diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 4e9e26a..81e4cfe 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -12675,6 +12675,8 @@ o )show BasicStochasticDifferential
 @
 \pagehead{BasicStochasticDifferential}{BSD}
 \pagepic{ps/v103basicstochasticdifferential.ps}{BSD}{1.00}
+{\bf See}\\
+\pageto{StochasticDifferential}{SD}
 
 {\bf Exports:}\\
 \begin{tabular}{llll}
@@ -12733,6 +12735,9 @@ BasicStochasticDifferential(): Category == Implementation where
   introduce!: (Symbol,Symbol) -> Union(%, "failed")
    ++ introduce!(X,dX) returns \axiom{dX} as \axiom{BSD} if it
    ++ isn't already in \axiom{BSD}
+   ++
+   ++X introduce!(t,dt) -- dt is a new stochastic differential
+   ++X copyBSD()
 
   d: Symbol -> Union(%,INT)
    ++ d(X) returns \axiom{dX} if \axiom{tableIto(X)=dX}
@@ -12740,13 +12745,24 @@ BasicStochasticDifferential(): Category == Implementation where
 
   copyBSD:() -> List %
    ++ copyBSD() returns \axiom{setBSD} as a list of \axiom{BSD}.
+   ++
+   ++X introduce!(t,dt) -- dt is a new stochastic differential
+   ++X copyBSD()
+
   copyIto:() -> Table(Symbol,%)
    ++ copyIto() returns the table relating semimartingales
    ++ to basic stochastic differentials.
+   ++
+   ++X introduce!(t,dt) -- dt is a new stochastic differential
+   ++X copyIto()
+
   getSmgl: % -> Union(Symbol,"failed")
    ++ getSmgl(bsd) returns the semimartingale \axiom{S} related
    ++ to the basic stochastic differential \axiom{bsd} by
    ++ \axiom{introduce!}
+   ++
+   ++X introduce!(t,dt) -- dt is a new stochastic differential
+   ++X getSmgl(dt::BSD)
 
  Implementation ==> Symbol add 
 
@@ -124777,6 +124793,495 @@ Stack(S:SetCategory): StackAggregate S with
 
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\section{domain SD StochasticDifferential}
+
+<<StochasticDifferential.input>>=
+)set break resume
+)sys rm -f StochasticDifferential.output
+)spool StochasticDifferential.output
+)set message test on
+)set message auto off
+)clear all
+ 
+--S 1 of 12
+dt := introduce!(t,dt)
+--R 
+--R
+--R   (1)  dt
+--R                                 Type: Union(BasicStochasticDifferential,...)
+--E 1
+
+--S 2 of 12
+dX := introduce!(X,dX)
+--R 
+--R
+--R   (2)  dX
+--R                                 Type: Union(BasicStochasticDifferential,...)
+--E 2
+
+--S 3 of 12
+dY := introduce!(Y,dY)
+--R 
+--R
+--R   (3)  dY
+--R                                 Type: Union(BasicStochasticDifferential,...)
+--E 3
+
+--S 4 of 12
+copyBSD()
+--R 
+--R
+--R   (4)  [dX,dY,dt]
+--R                                       Type: List BasicStochasticDifferential
+--E 4
+
+--S 5 of 12
+copyIto()
+--R 
+--R
+--R   (5)  table(t= dt,Y= dY,X= dX)
+--R                              Type: Table(Symbol,BasicStochasticDifferential)
+--E 5
+
+--S 6 of 12
+copyQuadVar()             -- display of multiplication table
+--R 
+--R
+--R   (6)  table()
+--R   Type: Table(StochasticDifferential Integer,StochasticDifferential Integer)
+--E 6
+
+--S 7 of 12
+statusIto()
+--R 
+--R
+--R        +B S D   :  dX  dY  dt+
+--R        |                     |
+--R        |drift   :  ?   ?   ? |
+--R        |                     |
+--R        |  *                  |
+--R   (7)  |                     |
+--R        |  dX    :  ?   ?   ? |
+--R        |                     |
+--R        |  dY    :  ?   ?   ? |
+--R        |                     |
+--R        +  dt    :  ?   ?   ? +
+--R                                                             Type: OutputForm
+--E 7
+
+--S 8 of 12
+copyDrift()       -- display of drift list
+--R 
+--R
+--R   (8)  table()
+--R   Type: Table(StochasticDifferential Integer,StochasticDifferential Integer)
+--E 8
+
+--S 9 of 12
+nbsd := #copyBSD()
+--R 
+--R
+--R   (9)  3
+--R                                                        Type: PositiveInteger
+--E 9
+
+--S 10 of 12
+ItoMultArray:ARRAY2(SD INT) :=new(nbsd,nbsd,0$SD(INT))
+--R 
+--R
+--R         +0  0  0+
+--R         |       |
+--R   (10)  |0  0  0|
+--R         |       |
+--R         +0  0  0+
+--R                     Type: TwoDimensionalArray StochasticDifferential Integer
+--E 10
+
+--S 11 of 12
+ItoMultArray
+--R 
+--R
+--R         +0  0  0+
+--R         |       |
+--R   (11)  |0  0  0|
+--R         |       |
+--R         +0  0  0+
+--R                     Type: TwoDimensionalArray StochasticDifferential Integer
+--E 11
+
+--S 12 of 12
+statusIto()
+--R 
+--R
+--R         +B S D   :  dX  dY  dt+
+--R         |                     |
+--R         |drift   :  ?   ?   ? |
+--R         |                     |
+--R         |  *                  |
+--R   (12)  |                     |
+--R         |  dX    :  ?   ?   ? |
+--R         |                     |
+--R         |  dY    :  ?   ?   ? |
+--R         |                     |
+--R         +  dt    :  ?   ?   ? +
+--R                                                             Type: OutputForm
+--E 12
+ 
+)spool
+)lisp (bye)
+@
+<<StochasticDifferential.help>>=
+====================================================================
+StochasticDifferential examples
+====================================================================
+A basic implementation of StochasticDifferential(R) using the
+associated domain BasicStochasticDifferential in the underlying 
+representation as sparse multivariate polynomials. The domain is 
+a module over Expression(R), and is a ring without identity 
+(AXIOM term is "Rng"). Note that separate instances, for example 
+using R=Integer and R=Float, have different hidden structure 
+(multiplication and drift tables).
+
+dt := introduce!(t,dt)
+   dt
+
+dX := introduce!(X,dX)
+   dX
+
+dY := introduce!(Y,dY)
+   dY
+
+copyBSD()
+   [dX,dY,dt]
+
+copyIto()
+   table(t= dt,Y= dY,X= dX)
+
+copyQuadVar()             -- display of multiplication table
+   table()
+
+statusIto()
+   +B S D   :  dX  dY  dt+
+   |                     |
+   |drift   :  ?   ?   ? |
+   |                     |
+   |  *                  |
+   |                     |
+   |  dX    :  ?   ?   ? |
+   |                     |
+   |  dY    :  ?   ?   ? |
+   |                     |
+   +  dt    :  ?   ?   ? +
+
+copyDrift()       -- display of drift list
+   table()
+
+nbsd := #copyBSD()
+   3
+
+ItoMultArray:ARRAY2(SD INT) :=new(nbsd,nbsd,0$SD(INT))
+   +0  0  0+
+   |       |
+   |0  0  0|
+   |       |
+   +0  0  0+
+
+ItoMultArray
+   +0  0  0+
+   |       |
+   |0  0  0|
+   |       |
+   +0  0  0+
+
+statusIto()
+   +B S D   :  dX  dY  dt+
+   |                     |
+   |drift   :  ?   ?   ? |
+   |                     |
+   |  *                  |
+   |                     |
+   |  dX    :  ?   ?   ? |
+   |                     |
+   |  dY    :  ?   ?   ? |
+   |                     |
+   +  dt    :  ?   ?   ? +
+ 
+
+See Also:
+o )help BasicStochasticDifferential
+o )show StochasticDifferential
+
+@
+\pagehead{StochasticDifferential}{SD}
+\pagepic{ps/v103stochasticdifferential.ps}{SD}{1.00}
+{\bf See}\\
+\pagefrom{BasicStochasticDifferential}{BSD}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{SD}{0} &
+\cross{SD}{coerce} &
+\cross{SD}{copyDrift} &
+\cross{SD}{copyQuadVar} \\
+\cross{SD}{drift} &
+\cross{SD}{hash} &
+\cross{SD}{latex} &
+\cross{SD}{sample} \\
+\cross{SD}{statusIto} &
+\cross{SD}{uncorrelated?} &
+\cross{SD}{zero?} &
+\cross{SD}{alterDrift!} \\
+\cross{SD}{alterQuadVar!} &
+\cross{SD}{coefficient} &
+\cross{SD}{coerce} &
+\cross{SD}{equation} \\
+\cross{SD}{freeOf?} &
+\cross{SD}{listSD} &
+\cross{SD}{retract} &
+\cross{SD}{retractIfCan} \\
+\cross{SD}{subtractIfCan} &
+\cross{SD}{?*?} &
+\cross{SD}{?**?} &
+\cross{SD}{?+?} \\
+\cross{SD}{?-?} &
+\cross{SD}{-?} &
+\cross{SD}{?/?} &
+\cross{SD}{?=?} \\
+\cross{SD}{?\^{}?} &
+\cross{SD}{?\~{}=?}
+\end{tabular}
+
+<<domain SD StochasticDifferential>>=
+)abbrev domain SD StochasticDifferential
+++ Author: Wilfrid S. Kendall
+++ Last Last Updated: July 26, 1999
+++ Related Domains: BasicStochasticDifferential
+++ AMS Classifications:
+++ Keywords: stochastic differential, semimartingale.
+++ References: Ito (1975), Kendall (1991a,b; 1993a,b).
+++ Description:
+++ A basic implementation of StochasticDifferential(R) using the
+++ associated domain BasicStochasticDifferential in the underlying 
+++ representation as sparse multivariate polynomials. The domain is 
+++ a module over Expression(R), and is a ring without identity 
+++ (AXIOM term is "Rng"). Note that separate instances, for example 
+++ using R=Integer and R=Float, have different hidden structure 
+++ (multiplication and drift tables).
+
+StochasticDifferential(R:Join(OrderedSet, IntegralDomain)): 
+ Category == Implementation where
+  ER ==> Expression(R)
+  PR ==> Polynomial(R)
+  FR ==> Fraction(PR)
+  BSD ==> BasicStochasticDifferential
+  PI ==> PositiveInteger
+  NNI ==> NonNegativeInteger
+  OF  ==> OutputForm
+  Category ==> Join(Rng, Module(ER)) with
+
+   RetractableTo(BSD)
+
+   alterQuadVar!:(BSD,BSD,%) -> Union(%,"failed")
+    ++ alterQuadVar! adds multiplication formula for a
+    ++ pair of stochastic differentials to a private table.
+    ++ Failure occurs if
+    ++  (a) either of first or second arguments is not basic
+    ++  (b) third argument is not exactly of first degree
+
+   alterDrift!:(BSD,%) -> Union(%,"failed")
+    ++ alterDrift! adds drift formula for a 
+    ++ stochastic differential to a private table.
+    ++ Failure occurs if
+    ++  (a) first arguments is not basic
+    ++  (b) second argument is not exactly of first degree
+
+   drift:% -> %
+    ++ drift(dx) returns the drift of \axiom{dx}
+
+   freeOf?:(%,BSD) -> Boolean
+    ++ freeOf?(sd,dX) checks whether \axiom{dX} occurs in
+    ++ \axiom{sd} as a module element
+
+   coefficient:(%,BSD) -> ER
+    ++ coefficient(sd,dX) returns the coefficient of \axiom{dX}
+    ++ in the stochastic differential \axiom{sd}
+
+   listSD:(%) -> List BSD
+    ++ listSD(dx) returns a list of all \axiom{BSD} involved
+    ++ in the generation of \axiom{dx} as a module element
+
+   equation:(%,R) -> Union(Equation %,"failed")
+    ++ equation(dx,0) allows RHS of Equation % to be zero
+   equation:(R,%) -> Union(Equation %,"failed")
+    ++ equation(0,dx) allows LHS of Equation % to be zero
+
+   copyDrift:() -> Table(%,%)
+    ++ copyDrift returns private table of drifts 
+    ++ of basic stochastic differentials for inspection
+
+   copyQuadVar:() -> Table(%,%)
+    ++ copyQuadVar returns private multiplication table
+    ++ of basic stochastic differentials for inspection
+
+   "/"      : (%, ER) -> %
+      ++ dx/y divides the stochastic differential dx 
+      ++ by the previsible function y.
+
+   "**"     : (%, PI) -> %
+      ++ dx**n is dx multiplied by itself n times.
+
+   "^"     : (%, PI) -> %
+      ++ dx^n is dx multiplied by itself n times.
+
+   statusIto:()  -> OF
+    ++ statusIto() displays the current state of \axiom{setBSD},
+    ++ \axiom{tableDrift}, and \axiom{tableQuadVar}. Question
+    ++ marks are printed instead of undefined entries
+    ++
+    ++X dt:=introduce!(t,dt)
+    ++X dX:=introduce!(X,dX)
+    ++X dY:=introduce!(Y,dY)
+    ++X copyBSD()
+    ++X copyIto()
+    ++X copyhQuadVar()
+    ++X statusIto()
+
+   uncorrelated?: (%,%) -> Boolean
+    ++ uncorrelated?(dx,dy) checks whether its two arguments
+    ++ have zero quadratic co-variation.
+   uncorrelated?: (List %,List %) -> Boolean
+    ++ uncorrelated?(l1,l2) checks whether its two arguments
+    ++ are lists of stochastic differentials of zero inter-list
+    ++ quadratic co-variation.
+   uncorrelated?: (List List %) -> Boolean
+    ++ uncorrelated?(ll) checks whether its argument is a list
+    ++ of lists of stochastic differentials of zero inter-list
+    ++ quadratic co-variation.
+
+  Implementation ==> SparseMultivariatePolynomial(ER,BSD) add
+   Rep:=SparseMultivariatePolynomial(ER,BSD)
+
+   (v:% / s:ER):% == inv(s) * v
+
+   tableQuadVar:Table(%,%)  := table()
+   tableDrift:Table(%,%) := table()
+
+   alterQuadVar!(da:BSD,db:BSD,dXdY:%):Union(%,"failed") ==
+    -- next two lines for security only!
+    1 < totalDegree(dXdY)                => "failed"
+    0 ~= coefficient(dXdY,degree(1)$Rep) => "failed"
+    not(0::% = (dXdY*dXdY)::%) => "failed"
+    setelt(tableQuadVar,((da::Rep)*(db::Rep))$Rep,dXdY)$Table(%,%)
+    -- We have to take care here to avoid a bad
+    -- recursion on \axiom{*:(%,%)->%}
+
+   alterDrift!(da:BSD,dx:%):Union(%,"failed") ==
+    1 < totalDegree(dx)                => "failed"
+    0 ~= coefficient(dx,degree(1)$Rep) => "failed"
+    not(0::% = (dx*dx)::%) => "failed"
+    setelt(tableDrift,da::Rep,dx)$Table(%,%)
+
+   multSDOrError(dm:%):% ==
+    c := leadingCoefficient dm
+    (dmm := search(dm/c,tableQuadVar)) 
+      case "failed" =>
+       print hconcat(message("ERROR IN ")$OF,(dm/c)::OF)
+       error "Above product of sd's is not defined"
+    c*dmm
+
+   (dx:% * dy:%) : % ==
+    1 < totalDegree(dx) =>
+     print hconcat(message("ERROR IN ")$OF,dx::OF)
+     error "bad sd in lhs of sd product"
+    1 < totalDegree(dy) =>
+     print hconcat(message("ERROR IN ")$OF,dy::OF)
+     error "bad sd in rhs of sd product"
+    reduce("+",map(multSDOrError,monomials((dx*dy)$Rep)),0)
+    -- We have to take care here to avoid a bad 
+    -- recursion on \axiom{*:(%,%)->%}
+
+   (dx:% ** n:PI) : % ==
+    n = 1 => dx
+    n = 2 => dx*dx
+    n > 2 => 0::%
+
+   (dx:% ^ n:PI) : % == dx**n
+
+   driftSDOrError(dm:%):% ==
+    c := leadingCoefficient dm
+    (dmm := search(dm/c,tableDrift)) 
+      case "failed" =>
+       print hconcat(message("ERROR IN ")$OF,(dm/c)::OF)
+       error "drift of sd is not defined"
+    c*dmm
+
+   drift(dx:%):% ==
+    reduce("+",map(driftSDOrError,monomials(dx)),0)
+
+   freeOf?(sd,dX) == (0 = coefficient(sd,dX,1))
+
+   coefficient(sd:%,dX:BSD):ER == 
+    retract(coefficient(sd,dX,1))@ER
+
+   listSD(sd) == 
+    [retract(dX)@BSD for dX in primitiveMonomials(sd)]
+
+   equation(dx:%,zero:R):Union(Equation %,"failed") ==
+    not(0 = zero) => "failed"
+    equation(dx,0::%)
+   equation(zero:R,dx:%):Union(Equation %,"failed") ==
+    not(0 = zero) => "failed"
+    equation(0::%,dx)
+
+   copyDrift() == tableDrift
+   copyQuadVar() == tableQuadVar
+
+   xDrift(dx:BSD):OF ==
+    (xdx := search(dx::Rep,tableDrift)) case "failed" => "?"::OF
+    xdx::OF
+
+   xQV(dx:BSD,dy:BSD):OF ==
+    (xdxdy := search((dx::% * dy::%)$Rep,tableQuadVar)) 
+      case "failed" => "?"::Symbol::OF
+    xdxdy::OF
+
+   statusIto():OF ==
+    bsd  := copyBSD()$BSD
+    bsdo := [dx::OF for dx in bsd]
+    blank:= ""::Symbol::OF
+    colon:= ":"::Symbol::OF
+    bsdh := "B S D "::Symbol::OF
+    dfth := "drift "::Symbol::OF
+    qvh  := "*"::Symbol::OF
+    head := append([bsdh,colon],bsdo)
+    drift:= append([dfth,colon],[xDrift dx for dx in bsd])
+    space:= append([qvh ,blank],[blank for dx in bsd])
+    qv   := [append([dy::OF,colon],[xQV(dx,dy) for dx in bsd]) 
+                                               for dy in bsd]
+    matrix(append([head,drift,space],qv))$OF
+
+   uncorrelated?(dx:%,dy:%): Boolean == (0::% = dx*dy)
+
+   uncorrelated?(l1:List %,l2:List %): Boolean ==
+    reduce("and", [ 
+     reduce("and",[uncorrelated?(dx,dy) for dy in l2],true) 
+      for dx in l1 ],true)
+
+   uncorrelated1?(l1:List %,ll:List List %): Boolean ==
+    reduce("and",[uncorrelated?(l1,l2) for l2 in ll],true)
+
+   uncorrelated?(ll:List List %): Boolean ==
+    (0$Integer = # ll) => true
+    (1 = # ll) => true
+    uncorrelated1?(first ll,rest ll) and uncorrelated?(rest ll)
+@
+<<SD.dotabb>>=
+"SD" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SD"]
+"FS" [color="#4488FF",href="bookvol10.2.pdf#nameddest=FS"]
+"SD" -> "FS"
+
+@
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain STREAM Stream}
 
 <<Stream.input>>=
diff --git a/books/bookvol10.5.pamphlet b/books/bookvol10.5.pamphlet
index 0b4f76c..933f670 100644
--- a/books/bookvol10.5.pamphlet
+++ b/books/bookvol10.5.pamphlet
@@ -577,7 +577,7 @@ BlasLevelOne() : Exports == Implementation where
 
 @
 <<BLAS1.dotabb>>=
-"BLAS1" [color="#FF8844",href="bookvol10.5.pdf#nameddest=BLAS1"]
+"BLAS1" [color="#444488",href="bookvol10.5.pdf#nameddest=BLAS1"]
 "FIELD" [color="#4488FF",href="bookvol10.2.pdf#nameddest=FIELD"]
 "RADCAT" [color="#4488FF",href="bookvol10.2.pdf#nameddest=RADCAT"]
 "BLAS1" -> "FIELD"
diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 8d91757..10b7db3 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -136,7 +136,7 @@ of effort. We would like to acknowledge and thank the following people:
 "Pietro Iglio"
 "Alejandro Jakubi       Richard Jenks"
 "Kai Kaminski           Grant Keady            Wilfrid Kendall"
-Tony Kennedy            Ted Kosan              Paul Kosinski"
+"Tony Kennedy           Ted Kosan              Paul Kosinski"
 "Klaus Kusche           Bernhard Kutzler"
 "Tim Lahey              Larry Lambe            Kaj Laurson"
 "Franz Lehner           Frederic Lehobey       Michel Levaud"
@@ -23602,6 +23602,7 @@ otherwise the new algebra won't be loaded by the interpreter when needed.
    (|StreamFunctions2| . STREAM2)
    (|StreamFunctions3| . STREAM3)
    (|StreamTensor| . STNSR)
+   (|StochasticDifferential| . SD)
    (|String| . STRING)
    (|SturmHabichtPackage| . SHP)
    (|Symbol| . SYMBOL)
diff --git a/books/ps/v103stochasticdifferential.ps b/books/ps/v103stochasticdifferential.ps
new file mode 100644
index 0000000..997ecd2
--- /dev/null
+++ b/books/ps/v103stochasticdifferential.ps
@@ -0,0 +1,268 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: Graphviz version 2.20.2 (Mon Mar 30 10:09:11 UTC 2009)
+%%For: (root) root
+%%Title: pic
+%%Pages: (atend)
+%%BoundingBox: (atend)
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw text fitted to its expected width
+/alignedtext {			% width text
+	/text exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
+		} if
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 98 152
+%%PageOrientation: Portrait
+0 0 1 beginpage
+gsave
+36 36 62 116 boxprim clip newpath
+1 1 set_scale 0 rotate 40 40 translate
+% SD
+gsave
+[ /Rect [ 0 72 54 108 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI (bookvol10.3.pdf#nameddest=SD) >>
+  /Subtype /Link
+/ANN pdfmark
+0.273 0.733 1.000 nodecolor
+newpath 54 108 moveto
+0 108 lineto
+0 72 lineto
+54 72 lineto
+closepath fill
+1 setlinewidth
+filled
+0.273 0.733 1.000 nodecolor
+newpath 54 108 moveto
+0 108 lineto
+0 72 lineto
+54 72 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+17 85.9 moveto 20 (SD) alignedtext
+grestore
+% FS
+gsave
+[ /Rect [ 0 0 54 36 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI (bookvol10.2.pdf#nameddest=FS) >>
+  /Subtype /Link
+/ANN pdfmark
+0.606 0.733 1.000 nodecolor
+newpath 54 36 moveto
+0 36 lineto
+0 0 lineto
+54 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.606 0.733 1.000 nodecolor
+newpath 54 36 moveto
+0 36 lineto
+0 0 lineto
+54 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+18.5 13.9 moveto 17 (FS) alignedtext
+grestore
+% SD->FS
+gsave
+1 setlinewidth
+0.000 0.000 0.000 edgecolor
+newpath 27 72 moveto
+27 64 27 55 27 46 curveto
+stroke
+0.000 0.000 0.000 edgecolor
+newpath 30.5 46 moveto
+27 36 lineto
+23.5 46 lineto
+closepath fill
+1 setlinewidth
+solid
+0.000 0.000 0.000 edgecolor
+newpath 30.5 46 moveto
+27 36 lineto
+23.5 46 lineto
+closepath stroke
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+%%Pages: 1
+%%BoundingBox: 36 36 98 152
+end
+restore
+%%EOF
diff --git a/changelog b/changelog
index c361cbd..6d31c86 100644
--- a/changelog
+++ b/changelog
@@ -1,4 +1,18 @@
-20110909 wsk src/axiom-website/patches.html 20110910.01.tpd.patch
+20110911 tpd src/axiom-website/patches.html 20110911.01.tpd.patch
+20110911 tpd src/share/algebra/users.daase/index.kaf add BSD
+20110911 tpd src/share/algebra/operation.daase add BSD
+20110911 tpd src/share/algebra/interp.daase add BSD
+20110911 tpd src/share/algebra/dependents.daase/index.kaf add BSD
+20110911 tpd src/share/algebra/compress.daase add BSD 
+20110911 tpd src/share/algebra/category.daase add BSD
+20110911 tpd src/share/algebra/browse.daase add BSD
+20110911 tpd src/algebra/Makefile add StochasticDifferential
+20110911 tpd readme fix credits typo
+20110911 tpd books/bookvol5 fix credits typo
+20110911 tpd books/bookvol10.5 add StochasticDifferential
+20110911 tpd books/bookvol10.3 add StochasticDifferential
+20110911 tpd books/ps/v103stochasticdifferential.ps added
+20110910 wsk src/axiom-website/patches.html 20110910.01.tpd.patch
 20110910 wsk src/algebra/Makefile add BasicStochasticDifferential domain
 20110910 wsk books/ps/v103basicstochasticdifferential.ps added
 20110910 wsk books/bookvolbib fix Ken99a, Ken99b
diff --git a/readme b/readme
index 88a7c58..ed2c343 100644
--- a/readme
+++ b/readme
@@ -229,7 +229,7 @@ at the axiom command prompt will prettyprint the list.
 "Pietro Iglio"
 "Alejandro Jakubi       Richard Jenks"
 "Kai Kaminski           Grant Keady            Wilfrid Kendall"
-Tony Kennedy            Ted Kosan              Paul Kosinski"
+"Tony Kennedy           Ted Kosan              Paul Kosinski"
 "Klaus Kusche           Bernhard Kutzler"
 "Tim Lahey              Larry Lambe            Kaj Laurson"
 "Franz Lehner           Frederic Lehobey       Michel Levaud"
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index 7dfe7e6..62625b9 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -127,6 +127,10 @@ expected output and reports success or failure.
 \end{itemize}
 \end{itemize}
 
+\subsubsection{The input section}
+Here we use BasicStochasticDifferential.output to create a set of test
+cases. These are automatically extracted as part of the build process
+by the function ``makeInputFiles''. This function is in the tangle.lisp file.
 \begin{verbatim}
 <BasicStochasticDifferential.input>>=
 )set break resume
@@ -158,9 +162,11 @@ g := gcd(p, q)
  @
 \end{verbatim}
 
-\subsubsection{The input section}
+\subsubsection{The help section}
 This section becomes a help file in the distributed Axiom system.
-It gets typed out when the user types:
+This section is automatically extracted as part of the build process
+by the function ``makeHelpFiles''. This function is in the tangle.lisp file.
+The help section gets typed out when the user types:
 \begin{verbatim}
 )help BasicStochasticDifferential
 \end{verbatim}
@@ -208,8 +214,15 @@ in this file (see the graph subsection below). The ``1.00'' is a
 scaling factor for the graph.
 
 The ``pageto'' macro inserts HTML anchors into the PDF file so there
-is a way to navigate to related algebra. There can be multiple pageto
-macros.
+is a way to navigate to algebra that is ``above'' this domain in the
+graph. There can be multiple pageto macros.
+
+The ``pagefrom'' macro inserts HTML anchors into the PDF file so there
+is a way to navigate to algebra that is ``below'' this domain in the
+graph. There can be multiple pagefrom macros.
+
+Together these two macros, pageto and pagefrom, allow the user to 
+follow the thread of domains in the PDF documentation.
 \begin{verbatim}
 \pagehead{BasicStochasticDifferential}{BSD}
 \pagepic{ps/v103basicstochasticdifferential.ps}{BSD}{1.00}
@@ -234,11 +247,29 @@ the domain and the functions.
 \end{tabular}
 \end{verbatim}
 
-\subsubsection{The Exports section}
+\subsubsection{The Code section}
 This is the actual algebra. Note that the ``++'' comments from the 
 description section are available at runtime using the ``)describe''
 command. They have certain format limitations so be sure to check
-this in the final system.
+this in the final system. 
+
+The signatures have comments. If the comments are broken into two
+parts and the lines of the second part of the comment start with
+``++X'' then these will be typed out as part of the output of the
+command ``)d op''. For instance, in the code below for the ``introduce!''
+function the comments read:
+\begin{verbatim}
+  introduce!: (Symbol,Symbol) -> Union(%, "failed")
+   ++ introduce!(X,dX) returns \axiom{dX} as \axiom{BSD} if it
+   ++ isn't already in \axiom{BSD}
+   ++
+   ++X introduce!(t,dt)
+\end{verbatim}
+When we type ``)d op introduce!'' in a running Axiom we will see the
+example text:
+\begin{verbatim}
+   introduce!(t,dt)
+\end{verbatim}
 \begin{verbatim}
 <domain BSD BasicStochasticDifferential>>=
 )abbrev domain BSD BasicStochasticDifferential
@@ -12809,7 +12840,7 @@ LAYER17=\
   ${OUT}/PSETPK.o   \
   ${OUT}/QUAT.o     ${OUT}/QUATCT2.o  ${OUT}/RADFF.o    ${OUT}/RDEEF.o    \
   ${OUT}/RDEEFS.o   ${OUT}/RDIV.o     ${OUT}/RSETCAT.o  ${OUT}/RSETCAT-.o \
-  ${OUT}/RSETGCD.o  ${OUT}/RULE.o     ${OUT}/RULESET.o  \
+  ${OUT}/RSETGCD.o  ${OUT}/RULE.o     ${OUT}/RULESET.o  ${OUT}/SD.o       \
   ${OUT}/SIGNEF.o   ${OUT}/SIMPAN.o   ${OUT}/SFORT.o    ${OUT}/SOLVESER.o \
   ${OUT}/SOLVETRA.o ${OUT}/SUMFS.o    ${OUT}/SUTS.o     ${OUT}/TOOLSIGN.o \
   ${OUT}/TRIGMNIP.o ${OUT}/TRMANIP.o  ${OUT}/UFPS.o     ${OUT}/ULSCCAT.o  \
@@ -15166,6 +15197,25 @@ LAYER17=\
 /*"RULESET" -> {"ILIST"; "FSAGG"; "DIAGG"; "DIOPS"; "BGAGG"; "HOAGG"}*/
 /*"RULESET" -> {"AGG"; "CLAGG"; "SETAGG"; "FINITE"}*/
 
+"SD" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SD",
+        shape=ellipse]
+/*"SD" -> {"RNG"; "ABELGRP"; "CABMON"; "ABELMON"; "ABELSG"; "SETCAT"}*/
+/*"SD" -> {"BASTYPE"; "KOERCE"; "SGROUP"; "MODULE"; "BMODULE"; "LMODULE"}*/
+/*"SD" -> {"RMODULE"; "RETRACT"; "ES"; "ORDSET"; "IEVALAB"; "EVALAB"}*/
+/*"SD" -> {"PATAB"; "KONVERT"; "FPATMAB"; "TYPE"; "PATMAB"; "FRETRCT"}*/
+/*"SD" -> {"MONOID"; "GROUP"; "RING"; "PDRING"; "FLINEXP"; "LINEXP"}*/
+/*"SD" -> {"CHARZ"; "CHARNZ"; "ALGEBRA"; "FIELD"; "EUCDOM"; "PID"}*/
+/*"SD" -> {"GCDDOM"; "INTDOM"; "COMRING"; "ENTIRER"; "UFD"; "DIVRING"}*/
+/*"SD" -> {"NNI"; "INT"; "LIST"; "ILIST"; "LSAGG-"; "STAGG-"; "ELAGG-"}*/
+/*"SD" -> {"FLAGG-"; "URAGG-"; "LNAGG-"; "RCAGG-"; "IXAGG-"; "CLAGG-"}*/
+/*"SD" -> {"HOAGG-"; "ORDSET-"; "AGG-"; "ELTAGG-"; "SETCAT-"}*/
+/*"SD" -> {"BASTYPE-"; "LSAGG"; "STAGG"; "URAGG"; "RCAGG"; "HOAGG"}*/
+/*"SD" -> {"AGG"; "LNAGG"; "IXAGG"; "ELTAGG"; "ELTAB"; "CLAGG"}*/
+/*"SD" -> {"FLAGG"; "ELAGG"; "OM"; "PI"; "SYMBOL"; "REF"; "ALIST"}*/
+/*"SD" -> {"STRING"; "CHAR"; "SINT"; "OUTFORM"; "PRIMARR"; "A1AGG-"}*/
+/*"SD" -> {" ISTRING"; "SRAGG";-" BOOLEAN"; "BSD"}*/
+"SD" -> "FS"
+
 "SIGNEF" [color="#FF4488",href="bookvol10.4.pdf#nameddest=SIGNEF"]
 /*"SIGNEF" -> {"INTDOM"; "COMRING"; "RING"; "RNG"; "ABELGRP"; "CABMON"}*/
 /*"SIGNEF" -> {"ABELMON"; "ABELSG"; "SETCAT"; "BASTYPE"; "KOERCE"; "SGROUP"}*/
@@ -16887,15 +16937,23 @@ LAYER23=\
 
 @
 \subsection{Order}
-The final order of the layers is determined here.
-<<order>>=
-
+The final order of the layers is determined here. The GUESS package
+is broken so we remove the layers involved until this can be resolved.
+\begin{verbatim}
 ORDER=\
   ${LAYER0BOOTSTRAP}     ${LAYER0}  ${LAYER1}  ${LAYER2}  ${LAYER3}  \
   ${LAYER4}   ${LAYER5}  ${LAYER6}  ${LAYER7}  ${LAYER8}  ${LAYER9}  \
   ${LAYER10}  ${LAYER11} ${LAYER12} ${LAYER13} ${LAYER14} ${LAYER15} \
   ${LAYER16}  ${LAYER17} ${LAYER18} ${LAYER19} ${LAYER20} ${LAYER21} \
   ${LAYER22}  ${LAYER23} ${LAYER0COPY}
+\end{verbatim}
+<<order>>=
+
+ORDER=\
+  ${LAYER0BOOTSTRAP}     ${LAYER0}  ${LAYER1}  ${LAYER2}  ${LAYER3}  \
+  ${LAYER4}   ${LAYER5}  ${LAYER6}  ${LAYER7}  ${LAYER8}  ${LAYER9}  \
+  ${LAYER10}  ${LAYER11} ${LAYER12} ${LAYER13} ${LAYER14} ${LAYER15} \
+  ${LAYER16}  ${LAYER17} ${LAYER18} ${LAYER19} ${LAYER0COPY}
 
 @
 \section{Cliques}
@@ -18170,6 +18228,7 @@ REGRESS= \
  Stack.regress \
  StackAggregate.regress \
  StepThrough.regress \
+ StochasticDifferential.regress \
  Stream.regress \
  StreamAggregate.regress \
  StreamTensor.regress \
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 67580bb..0604d91 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3616,5 +3616,7 @@ src/scripts/tex/axiom.sty fix defplist<br/>
 books/bookvol5 treeshake interpreter<br/>
 <a href="patches/20110910.01.tpd.patch">20110910.01.tpd.patch</a>
 books/bookvol10.3 add BasicStochasticDifferential domain, Wilfrid Kendall<br/>
+<a href="patches/20110911.01.tpd.patch">20110911.01.tpd.patch</a>
+books/bookvol10.3 add StochasticDifferential<br/>
  </body>
 </html>
diff --git a/src/share/algebra/browse.daase b/src/share/algebra/browse.daase
index 3983e54..ae720ff 100644
--- a/src/share/algebra/browse.daase
+++ b/src/share/algebra/browse.daase
@@ -1,12 +1,12 @@
 
-(2465526 . 3488060042)       
+(2472069 . 3524719204)       
 (-18 A S) 
 ((|constructor| (NIL "One-dimensional-array aggregates serves as models for one-dimensional arrays. Categorically,{} these aggregates are finite linear aggregates with the \\spadatt{shallowlyMutable} property,{} that is,{} any component of the array may be changed without affecting the identity of the overall array. Array data structures are typically represented by a fixed area in storage and cannot efficiently grow or shrink on demand as can list structures (see however \\spadtype{FlexibleArray} for a data structure which is a cross between a list and an array). Iteration over,{} and access to,{} elements of arrays is extremely fast (and often can be optimized to open-code). Insertion and deletion however is generally slow since an entirely new data structure must be created for the result."))) 
 NIL 
 NIL 
 (-19 S) 
 ((|constructor| (NIL "One-dimensional-array aggregates serves as models for one-dimensional arrays. Categorically,{} these aggregates are finite linear aggregates with the \\spadatt{shallowlyMutable} property,{} that is,{} any component of the array may be changed without affecting the identity of the overall array. Array data structures are typically represented by a fixed area in storage and cannot efficiently grow or shrink on demand as can list structures (see however \\spadtype{FlexibleArray} for a data structure which is a cross between a list and an array). Iteration over,{} and access to,{} elements of arrays is extremely fast (and often can be optimized to open-code). Insertion and deletion however is generally slow since an entirely new data structure must be created for the result."))) 
-((-4522 . T) (-4521 . T) (-3973 . T)) 
+((-4536 . T) (-4535 . T) (-2982 . T)) 
 NIL 
 (-20 S) 
 ((|constructor| (NIL "The class of abelian groups,{} \\spadignore{i.e.} additive monoids where each element has an additive inverse. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{-(-x) = x}\\spad{\\br} \\tab{5}\\spad{x+(-x) = 0}")) (* (($ (|Integer|) $) "\\spad{n*x} is the product of \\spad{x} by the integer \\spad{n}.")) (- (($ $ $) "\\spad{x-y} is the difference of \\spad{x} and \\spad{y} \\spadignore{i.e.} \\spad{x + (-y)}.") (($ $) "\\spad{-x} is the additive inverse of \\spad{x}."))) 
@@ -38,7 +38,7 @@ NIL
 NIL 
 (-27) 
 ((|constructor| (NIL "Model for algebraically closed fields.")) (|zerosOf| (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{zerosOf(\\spad{p},{} \\spad{y}) returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}.} \\indented{1}{The \\spad{yi}\\spad{'s} are expressed in radicals if possible,{} and otherwise} \\indented{1}{as implicit algebraic quantities} \\indented{1}{which display as \\spad{'yi}.} \\indented{1}{The returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} a:SparseUnivariatePolynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} zerosOf(a,{}\\spad{x})") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\indented{1}{zerosOf(\\spad{p}) returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}.} \\indented{1}{The \\spad{yi}\\spad{'s} are expressed in radicals if possible,{} and otherwise} \\indented{1}{as implicit algebraic quantities.} \\indented{1}{The returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} a:SparseUnivariatePolynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} zerosOf(a)") (((|List| $) (|Polynomial| $)) "\\indented{1}{zerosOf(\\spad{p}) returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}.} \\indented{1}{The \\spad{yi}\\spad{'s} are expressed in radicals if possible.} \\indented{1}{Otherwise they are implicit algebraic quantities.} \\indented{1}{The returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter} \\indented{1}{to respective root values.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y}.} \\blankline \\spad{X} a:Polynomial(Integer)\\spad{:=}-3*x^2+2*x-13 \\spad{X} zerosOf(a)")) (|zeroOf| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{zeroOf(\\spad{p},{} \\spad{y}) returns \\spad{y} such that \\spad{p(y) = 0};} \\indented{1}{if possible,{} \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity which} \\indented{1}{displays as \\spad{'y}.} \\blankline \\spad{X} a:SparseUnivariatePolynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} zeroOf(a,{}\\spad{x})") (($ (|SparseUnivariatePolynomial| $)) "\\indented{1}{zeroOf(\\spad{p}) returns \\spad{y} such that \\spad{p(y) = 0};} \\indented{1}{if possible,{} \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity.} \\blankline \\spad{X} a:SparseUnivariatePolynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} zeroOf(a)") (($ (|Polynomial| $)) "\\indented{1}{zeroOf(\\spad{p}) returns \\spad{y} such that \\spad{p(y) = 0}.} \\indented{1}{If possible,{} \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y}.} \\blankline \\spad{X} a:Polynomial(Integer)\\spad{:=}-3*x^2+2*x-13 \\spad{X} zeroOf(a)")) (|rootsOf| (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{rootsOf(\\spad{p},{} \\spad{y}) returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0};} \\indented{1}{The returned roots display as \\spad{'y1},{}...,{}\\spad{'yn}.} \\indented{1}{Note that the returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} a:SparseUnivariatePolynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} rootsOf(a,{}\\spad{x})") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\indented{1}{rootsOf(\\spad{p}) returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}.} \\indented{1}{Note that the returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} a:SparseUnivariatePolynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} rootsOf(a)") (((|List| $) (|Polynomial| $)) "\\indented{1}{rootsOf(\\spad{p}) returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}.} \\indented{1}{Note that the returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the} \\indented{1}{interpreter to respective root values.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y}.} \\blankline \\spad{X} a:Polynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} rootsOf(a)")) (|rootOf| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{rootOf(\\spad{p},{} \\spad{y}) returns \\spad{y} such that \\spad{p(y) = 0}.} \\indented{1}{The object returned displays as \\spad{'y}.} \\blankline \\spad{X} a:SparseUnivariatePolynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} rootOf(a,{}\\spad{x})") (($ (|SparseUnivariatePolynomial| $)) "\\indented{1}{rootOf(\\spad{p}) returns \\spad{y} such that \\spad{p(y) = 0}.} \\blankline \\spad{X} a:SparseUnivariatePolynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} rootOf(a)") (($ (|Polynomial| $)) "\\indented{1}{rootOf(\\spad{p}) returns \\spad{y} such that \\spad{p(y) = 0}.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y}.} \\blankline \\spad{X} a:Polynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} rootOf(a)"))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
 (-28 S R) 
 ((|constructor| (NIL "Model for algebraically closed function spaces.")) (|zerosOf| (((|List| $) $ (|Symbol|)) "\\spad{zerosOf(p,{} y)} returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}. The \\spad{yi}\\spad{'s} are expressed in radicals if possible,{} and otherwise as implicit algebraic quantities which display as \\spad{'yi}. The returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter to respective root values.") (((|List| $) $) "\\spad{zerosOf(p)} returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}. The \\spad{yi}\\spad{'s} are expressed in radicals if possible. The returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter to respective root values. Error: if \\spad{p} has more than one variable.")) (|zeroOf| (($ $ (|Symbol|)) "\\spad{zeroOf(p,{} y)} returns \\spad{y} such that \\spad{p(y) = 0}. The value \\spad{y} is expressed in terms of radicals if possible,{}and otherwise as an implicit algebraic quantity which displays as \\spad{'y}.") (($ $) "\\spad{zeroOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. The value \\spad{y} is expressed in terms of radicals if possible,{}and otherwise as an implicit algebraic quantity. Error: if \\spad{p} has more than one variable.")) (|rootsOf| (((|List| $) $ (|Symbol|)) "\\spad{rootsOf(p,{} y)} returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}; The returned roots display as \\spad{'y1},{}...,{}\\spad{'yn}. Note that the returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter to respective root values.") (((|List| $) $) "\\spad{rootsOf(p,{} y)} returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}; Note that the returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter to respective root values. Error: if \\spad{p} has more than one variable \\spad{y}.")) (|rootOf| (($ $ (|Symbol|)) "\\spad{rootOf(p,{}y)} returns \\spad{y} such that \\spad{p(y) = 0}. The object returned displays as \\spad{'y}.") (($ $) "\\spad{rootOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. Error: if \\spad{p} has more than one variable \\spad{y}."))) 
@@ -46,7 +46,7 @@ NIL
 NIL 
 (-29 R) 
 ((|constructor| (NIL "Model for algebraically closed function spaces.")) (|zerosOf| (((|List| $) $ (|Symbol|)) "\\spad{zerosOf(p,{} y)} returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}. The \\spad{yi}\\spad{'s} are expressed in radicals if possible,{} and otherwise as implicit algebraic quantities which display as \\spad{'yi}. The returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter to respective root values.") (((|List| $) $) "\\spad{zerosOf(p)} returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}. The \\spad{yi}\\spad{'s} are expressed in radicals if possible. The returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter to respective root values. Error: if \\spad{p} has more than one variable.")) (|zeroOf| (($ $ (|Symbol|)) "\\spad{zeroOf(p,{} y)} returns \\spad{y} such that \\spad{p(y) = 0}. The value \\spad{y} is expressed in terms of radicals if possible,{}and otherwise as an implicit algebraic quantity which displays as \\spad{'y}.") (($ $) "\\spad{zeroOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. The value \\spad{y} is expressed in terms of radicals if possible,{}and otherwise as an implicit algebraic quantity. Error: if \\spad{p} has more than one variable.")) (|rootsOf| (((|List| $) $ (|Symbol|)) "\\spad{rootsOf(p,{} y)} returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}; The returned roots display as \\spad{'y1},{}...,{}\\spad{'yn}. Note that the returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter to respective root values.") (((|List| $) $) "\\spad{rootsOf(p,{} y)} returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}; Note that the returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter to respective root values. Error: if \\spad{p} has more than one variable \\spad{y}.")) (|rootOf| (($ $ (|Symbol|)) "\\spad{rootOf(p,{}y)} returns \\spad{y} such that \\spad{p(y) = 0}. The object returned displays as \\spad{'y}.") (($ $) "\\spad{rootOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. Error: if \\spad{p} has more than one variable \\spad{y}."))) 
-((-4518 . T) (-4516 . T) (-4515 . T) ((-4523 "*") . T) (-4514 . T) (-4519 . T) (-4513 . T) (-3973 . T)) 
+((-4532 . T) (-4530 . T) (-4529 . T) ((-4537 "*") . T) (-4528 . T) (-4533 . T) (-4527 . T) (-2982 . T)) 
 NIL 
 (-30) 
 ((|constructor| (NIL "Plot a NON-SINGULAR plane algebraic curve \\spad{p}(\\spad{x},{}\\spad{y}) = 0.")) (|refine| (($ $ (|DoubleFloat|)) "\\indented{1}{refine(\\spad{p},{}\\spad{x}) is not documented} \\blankline \\spad{X} sketch:=makeSketch(x+y,{}\\spad{x},{}\\spad{y},{}\\spad{-1/2}..1/2,{}\\spad{-1/2}..1/2)\\$ACPLOT \\spad{X} refined:=refine(sketch,{}0.1)")) (|makeSketch| (($ (|Polynomial| (|Integer|)) (|Symbol|) (|Symbol|) (|Segment| (|Fraction| (|Integer|))) (|Segment| (|Fraction| (|Integer|)))) "\\indented{1}{makeSketch(\\spad{p},{}\\spad{x},{}\\spad{y},{}a..\\spad{b},{}\\spad{c}..\\spad{d}) creates an ACPLOT of the} \\indented{1}{curve \\spad{p = 0} in the region a \\spad{<=} \\spad{x} \\spad{<=} \\spad{b},{} \\spad{c} \\spad{<=} \\spad{y} \\spad{<=} \\spad{d}.} \\indented{1}{More specifically,{} 'makeSketch' plots a non-singular algebraic curve} \\indented{1}{\\spad{p = 0} in an rectangular region xMin \\spad{<=} \\spad{x} \\spad{<=} xMax,{}} \\indented{1}{yMin \\spad{<=} \\spad{y} \\spad{<=} yMax. The user inputs} \\indented{1}{\\spad{makeSketch(p,{}x,{}y,{}xMin..xMax,{}yMin..yMax)}.} \\indented{1}{Here \\spad{p} is a polynomial in the variables \\spad{x} and \\spad{y} with} \\indented{1}{integer coefficients (\\spad{p} belongs to the domain} \\indented{1}{\\spad{Polynomial Integer}). The case} \\indented{1}{where \\spad{p} is a polynomial in only one of the variables is} \\indented{1}{allowed.\\space{2}The variables \\spad{x} and \\spad{y} are input to specify the} \\indented{1}{the coordinate axes.\\space{2}The horizontal axis is the \\spad{x}-axis and} \\indented{1}{the vertical axis is the \\spad{y}-axis.\\space{2}The rational numbers} \\indented{1}{xMin,{}...,{}yMax specify the boundaries of the region in} \\indented{1}{which the curve is to be plotted.} \\blankline \\spad{X} makeSketch(x+y,{}\\spad{x},{}\\spad{y},{}\\spad{-1/2}..1/2,{}\\spad{-1/2}..1/2)\\$ACPLOT"))) 
@@ -68,14 +68,14 @@ NIL
 ((|constructor| (NIL "The following is all the categories and domains related to projective space and part of the PAFF package"))) 
 NIL 
 NIL 
-(-35 -1965 K) 
+(-35 -4391 K) 
 ((|constructor| (NIL "The following is all the categories and domains related to projective space and part of the PAFF package"))) 
 NIL 
 NIL 
-(-36 R -1478) 
+(-36 R -1564) 
 ((|constructor| (NIL "This package provides algebraic functions over an integral domain.")) (|iroot| ((|#2| |#1| (|Integer|)) "\\spad{iroot(p,{} n)} should be a non-exported function.")) (|definingPolynomial| ((|#2| |#2|) "\\spad{definingPolynomial(f)} returns the defining polynomial of \\spad{f} as an element of \\spad{F}. Error: if \\spad{f} is not a kernel.")) (|minPoly| (((|SparseUnivariatePolynomial| |#2|) (|Kernel| |#2|)) "\\spad{minPoly(k)} returns the defining polynomial of \\spad{k}.")) (** ((|#2| |#2| (|Fraction| (|Integer|))) "\\spad{x ** q} is \\spad{x} raised to the rational power \\spad{q}.")) (|droot| (((|OutputForm|) (|List| |#2|)) "\\spad{droot(l)} should be a non-exported function.")) (|inrootof| ((|#2| (|SparseUnivariatePolynomial| |#2|) |#2|) "\\spad{inrootof(p,{} x)} should be a non-exported function.")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} is \\spad{true} if \\spad{op} is an algebraic operator,{} that is,{} an \\spad{n}th root or implicit algebraic operator.")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns a copy of \\spad{op} with the domain-dependent properties appropriate for \\spad{F}. Error: if \\spad{op} is not an algebraic operator,{} that is,{} an \\spad{n}th root or implicit algebraic operator.")) (|rootOf| ((|#2| (|SparseUnivariatePolynomial| |#2|) (|Symbol|)) "\\spad{rootOf(p,{} y)} returns \\spad{y} such that \\spad{p(y) = 0}. The object returned displays as \\spad{'y}."))) 
 NIL 
-((|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568))))) 
+((|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569))))) 
 (-37 K) 
 ((|constructor| (NIL "The following is all the categories and domains related to projective space and part of the PAFF package")) (|pointValue| (((|List| |#1|) $) "\\spad{pointValue returns} the coordinates of the point or of the point of origin that represent an infinitly close point")) (|setelt| ((|#1| $ (|Integer|) |#1|) "\\spad{setelt sets} the value of a specified coordinates")) (|elt| ((|#1| $ (|Integer|)) "\\spad{elt returns} the value of a specified coordinates")) (|list| (((|List| |#1|) $) "\\spad{list returns} the list of the coordinates")) (|rational?| (((|Boolean|) $) "\\spad{rational?(p)} test if the point is rational according to the characteristic of the ground field.") (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{rational?(p,{}n)} test if the point is rational according to \\spad{n}.")) (|removeConjugate| (((|List| $) (|List| $)) "\\spad{removeConjugate(lp)} returns removeConjugate(\\spad{lp},{}\\spad{n}) where \\spad{n} is the characteristic of the ground field.") (((|List| $) (|List| $) (|NonNegativeInteger|)) "\\spad{removeConjugate(lp,{}n)} returns a list of points such that no points in the list is the conjugate (according to \\spad{n}) of another point.")) (|conjugate| (($ $) "\\spad{conjugate(p)} returns conjugate(\\spad{p},{}\\spad{n}) where \\spad{n} is the characteristic of the ground field.") (($ $ (|NonNegativeInteger|)) "\\spad{conjugate(p,{}n)} returns p**n,{} that is all the coordinates of \\spad{p} to the power of \\spad{n}")) (|orbit| (((|List| $) $ (|NonNegativeInteger|)) "\\spad{orbit(p,{}n)} returns the orbit of the point \\spad{p} according to \\spad{n},{} that is orbit(\\spad{p},{}\\spad{n}) = \\spad{\\{} \\spad{p},{} p**n,{} \\spad{p**}(\\spad{n**2}),{} \\spad{p**}(\\spad{n**3}),{} ..... \\spad{\\}}") (((|List| $) $) "\\spad{orbit(p)} returns the orbit of the point \\spad{p} according to the characteristic of \\spad{K},{} that is,{} for \\spad{q=} char \\spad{K},{} orbit(\\spad{p}) = \\spad{\\{} \\spad{p},{} p**q,{} \\spad{p**}(\\spad{q**2}),{} \\spad{p**}(\\spad{q**3}),{} ..... \\spad{\\}}")) (|coerce| (($ (|List| |#1|)) "\\spad{coerce a} list of \\spad{K} to a affine point.")) (|affinePoint| (($ (|List| |#1|)) "\\spad{affinePoint creates} a affine point from a list"))) 
 NIL 
@@ -83,10 +83,10 @@ NIL
 (-38 S) 
 ((|constructor| (NIL "The notion of aggregate serves to model any data structure aggregate,{} designating any collection of objects,{} with heterogenous or homogeneous members,{} with a finite or infinite number of members,{} explicitly or implicitly represented. An aggregate can in principle represent everything from a string of characters to abstract sets such as \"the set of \\spad{x} satisfying relation \\spad{r}(\\spad{x})\" An attribute \\spadatt{finiteAggregate} is used to assert that a domain has a finite number of elements.")) (|#| (((|NonNegativeInteger|) $) "\\spad{\\# u} returns the number of items in \\spad{u}.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{size?(u,{}n)} tests if \\spad{u} has exactly \\spad{n} elements.")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{more?(u,{}n)} tests if \\spad{u} has greater than \\spad{n} elements.")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{less?(u,{}n)} tests if \\spad{u} has less than \\spad{n} elements.")) (|empty?| (((|Boolean|) $) "\\spad{empty?(u)} tests if \\spad{u} has 0 elements.")) (|empty| (($) "\\spad{empty()}\\$\\spad{D} creates an aggregate of type \\spad{D} with 0 elements. Note that The \\$\\spad{D} can be dropped if understood by context,{} \\spadignore{e.g.} \\axiom{u: \\spad{D} \\spad{:=} empty()}.")) (|copy| (($ $) "\\spad{copy(u)} returns a top-level (non-recursive) copy of \\spad{u}. Note that for collections,{} \\axiom{copy(\\spad{u}) \\spad{==} [\\spad{x} for \\spad{x} in \\spad{u}]}.")) (|eq?| (((|Boolean|) $ $) "\\spad{eq?(u,{}v)} tests if \\spad{u} and \\spad{v} are same objects."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4521))) 
+((|HasAttribute| |#1| (QUOTE -4535))) 
 (-39) 
 ((|constructor| (NIL "The notion of aggregate serves to model any data structure aggregate,{} designating any collection of objects,{} with heterogenous or homogeneous members,{} with a finite or infinite number of members,{} explicitly or implicitly represented. An aggregate can in principle represent everything from a string of characters to abstract sets such as \"the set of \\spad{x} satisfying relation \\spad{r}(\\spad{x})\" An attribute \\spadatt{finiteAggregate} is used to assert that a domain has a finite number of elements.")) (|#| (((|NonNegativeInteger|) $) "\\spad{\\# u} returns the number of items in \\spad{u}.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{size?(u,{}n)} tests if \\spad{u} has exactly \\spad{n} elements.")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{more?(u,{}n)} tests if \\spad{u} has greater than \\spad{n} elements.")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{less?(u,{}n)} tests if \\spad{u} has less than \\spad{n} elements.")) (|empty?| (((|Boolean|) $) "\\spad{empty?(u)} tests if \\spad{u} has 0 elements.")) (|empty| (($) "\\spad{empty()}\\$\\spad{D} creates an aggregate of type \\spad{D} with 0 elements. Note that The \\$\\spad{D} can be dropped if understood by context,{} \\spadignore{e.g.} \\axiom{u: \\spad{D} \\spad{:=} empty()}.")) (|copy| (($ $) "\\spad{copy(u)} returns a top-level (non-recursive) copy of \\spad{u}. Note that for collections,{} \\axiom{copy(\\spad{u}) \\spad{==} [\\spad{x} for \\spad{x} in \\spad{u}]}.")) (|eq?| (((|Boolean|) $ $) "\\spad{eq?(u,{}v)} tests if \\spad{u} and \\spad{v} are same objects."))) 
-((-3973 . T)) 
+((-2982 . T)) 
 NIL 
 (-40) 
 ((|constructor| (NIL "Category for the inverse hyperbolic trigonometric functions.")) (|atanh| (($ $) "\\spad{atanh(x)} returns the hyperbolic arc-tangent of \\spad{x}.")) (|asinh| (($ $) "\\spad{asinh(x)} returns the hyperbolic arc-sine of \\spad{x}.")) (|asech| (($ $) "\\spad{asech(x)} returns the hyperbolic arc-secant of \\spad{x}.")) (|acsch| (($ $) "\\spad{acsch(x)} returns the hyperbolic arc-cosecant of \\spad{x}.")) (|acoth| (($ $) "\\spad{acoth(x)} returns the hyperbolic arc-cotangent of \\spad{x}.")) (|acosh| (($ $) "\\spad{acosh(x)} returns the hyperbolic arc-cosine of \\spad{x}."))) 
@@ -94,7 +94,7 @@ NIL
 NIL 
 (-41 |Key| |Entry|) 
 ((|constructor| (NIL "An association list is a list of key entry pairs which may be viewed as a table. It is a poor mans version of a table: searching for a key is a linear operation.")) (|assoc| (((|Union| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) "failed") |#1| $) "\\spad{assoc(k,{}u)} returns the element \\spad{x} in association list \\spad{u} stored with key \\spad{k},{} or \"failed\" if \\spad{u} has no key \\spad{k}."))) 
-((-4521 . T) (-4522 . T) (-3973 . T)) 
+((-4535 . T) (-4536 . T) (-2982 . T)) 
 NIL 
 (-42 S R) 
 ((|constructor| (NIL "The category of associative algebras (modules which are themselves rings). \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{(b+c)::\\% = (b::\\%) + (c::\\%)}\\spad{\\br} \\tab{5}\\spad{(b*c)::\\% = (b::\\%) * (c::\\%)}\\spad{\\br} \\tab{5}\\spad{(1::R)::\\% = 1::\\%}\\spad{\\br} \\tab{5}\\spad{b*x = (b::\\%)*x}\\spad{\\br} \\tab{5}\\spad{r*(a*b) = (r*a)*b = a*(r*b)}")) (|coerce| (($ |#2|) "\\spad{coerce(r)} maps the ring element \\spad{r} to a member of the algebra."))) 
@@ -102,20 +102,20 @@ NIL
 NIL 
 (-43 R) 
 ((|constructor| (NIL "The category of associative algebras (modules which are themselves rings). \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{(b+c)::\\% = (b::\\%) + (c::\\%)}\\spad{\\br} \\tab{5}\\spad{(b*c)::\\% = (b::\\%) * (c::\\%)}\\spad{\\br} \\tab{5}\\spad{(1::R)::\\% = 1::\\%}\\spad{\\br} \\tab{5}\\spad{b*x = (b::\\%)*x}\\spad{\\br} \\tab{5}\\spad{r*(a*b) = (r*a)*b = a*(r*b)}")) (|coerce| (($ |#1|) "\\spad{coerce(r)} maps the ring element \\spad{r} to a member of the algebra."))) 
-((-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
 (-44 UP) 
 ((|constructor| (NIL "Factorization of univariate polynomials with coefficients in \\spadtype{AlgebraicNumber}.")) (|doublyTransitive?| (((|Boolean|) |#1|) "\\spad{doublyTransitive?(p)} is \\spad{true} if \\spad{p} is irreducible over over the field \\spad{K} generated by its coefficients,{} and if \\spad{p(X) / (X - a)} is irreducible over \\spad{K(a)} where \\spad{p(a) = 0}.")) (|split| (((|Factored| |#1|) |#1|) "\\spad{split(p)} returns a prime factorisation of \\spad{p} over its splitting field.")) (|factor| (((|Factored| |#1|) |#1|) "\\spad{factor(p)} returns a prime factorisation of \\spad{p} over the field generated by its coefficients.") (((|Factored| |#1|) |#1| (|List| (|AlgebraicNumber|))) "\\spad{factor(p,{} [a1,{}...,{}an])} returns a prime factorisation of \\spad{p} over the field generated by its coefficients and \\spad{a1},{}...,{}an."))) 
 NIL 
 NIL 
-(-45 -1478 UP UPUP -2477) 
+(-45 -1564 UP UPUP -3092) 
 ((|constructor| (NIL "Function field defined by \\spad{f}(\\spad{x},{} \\spad{y}) = 0.")) (|knownInfBasis| (((|Void|) (|NonNegativeInteger|)) "\\spad{knownInfBasis(n)} is not documented"))) 
-((-4514 |has| (-409 |#2|) (-365)) (-4519 |has| (-409 |#2|) (-365)) (-4513 |has| (-409 |#2|) (-365)) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| (-409 |#2|) (QUOTE (-148))) (|HasCategory| (-409 |#2|) (QUOTE (-150))) (|HasCategory| (-409 |#2|) (QUOTE (-350))) (|HasCategory| (-409 |#2|) (QUOTE (-365))) (-2199 (|HasCategory| (-409 |#2|) (QUOTE (-365))) (|HasCategory| (-409 |#2|) (QUOTE (-350)))) (|HasCategory| (-409 |#2|) (QUOTE (-370))) (|HasCategory| (-409 |#2|) (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| (-409 |#2|) (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| (-409 |#2|) (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-370))) (-2199 (|HasCategory| (-409 |#2|) (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| (-409 |#2|) (QUOTE (-365)))) (-12 (|HasCategory| (-409 |#2|) (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| (-409 |#2|) (QUOTE (-365)))) (-2199 (-12 (|HasCategory| (-409 |#2|) (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| (-409 |#2|) (QUOTE (-365)))) (-12 (|HasCategory| (-409 |#2|) (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| (-409 |#2|) (QUOTE (-350))))) (-12 (|HasCategory| (-409 |#2|) (QUOTE (-225))) (|HasCategory| (-409 |#2|) (QUOTE (-365)))) (-2199 (-12 (|HasCategory| (-409 |#2|) (QUOTE (-225))) (|HasCategory| (-409 |#2|) (QUOTE (-365)))) (|HasCategory| (-409 |#2|) (QUOTE (-350))))) 
-(-46 R -1478) 
+((-4528 |has| (-410 |#2|) (-366)) (-4533 |has| (-410 |#2|) (-366)) (-4527 |has| (-410 |#2|) (-366)) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| (-410 |#2|) (QUOTE (-149))) (|HasCategory| (-410 |#2|) (QUOTE (-151))) (|HasCategory| (-410 |#2|) (QUOTE (-351))) (|HasCategory| (-410 |#2|) (QUOTE (-366))) (-2232 (|HasCategory| (-410 |#2|) (QUOTE (-366))) (|HasCategory| (-410 |#2|) (QUOTE (-351)))) (|HasCategory| (-410 |#2|) (QUOTE (-371))) (|HasCategory| (-410 |#2|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| (-410 |#2|) (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-410 |#2|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-371))) (-2232 (|HasCategory| (-410 |#2|) (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-12 (|HasCategory| (-410 |#2|) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-2232 (-12 (|HasCategory| (-410 |#2|) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-12 (|HasCategory| (-410 |#2|) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-410 |#2|) (QUOTE (-351))))) (-12 (|HasCategory| (-410 |#2|) (QUOTE (-226))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-2232 (-12 (|HasCategory| (-410 |#2|) (QUOTE (-226))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (|HasCategory| (-410 |#2|) (QUOTE (-351))))) 
+(-46 R -1564) 
 ((|constructor| (NIL "AlgebraicManipulations provides functions to simplify and expand expressions involving algebraic operators.")) (|rootKerSimp| ((|#2| (|BasicOperator|) |#2| (|NonNegativeInteger|)) "\\spad{rootKerSimp(op,{}f,{}n)} should be local but conditional.")) (|rootSimp| ((|#2| |#2|) "\\spad{rootSimp(f)} transforms every radical of the form \\spad{(a * b**(q*n+r))**(1/n)} appearing in \\spad{f} into \\spad{b**q * (a * b**r)**(1/n)}. This transformation is not in general valid for all complex numbers \\spad{b}.")) (|rootProduct| ((|#2| |#2|) "\\spad{rootProduct(f)} combines every product of the form \\spad{(a**(1/n))**m * (a**(1/s))**t} into a single power of a root of \\spad{a},{} and transforms every radical power of the form \\spad{(a**(1/n))**m} into a simpler form.")) (|rootPower| ((|#2| |#2|) "\\spad{rootPower(f)} transforms every radical power of the form \\spad{(a**(1/n))**m} into a simpler form if \\spad{m} and \\spad{n} have a common factor.")) (|ratPoly| (((|SparseUnivariatePolynomial| |#2|) |#2|) "\\spad{ratPoly(f)} returns a polynomial \\spad{p} such that \\spad{p} has no algebraic coefficients,{} and \\spad{p(f) = 0}.")) (|ratDenom| ((|#2| |#2| (|List| (|Kernel| |#2|))) "\\spad{ratDenom(f,{} [a1,{}...,{}an])} removes the \\spad{ai}\\spad{'s} which are algebraic from the denominators in \\spad{f}.") ((|#2| |#2| (|List| |#2|)) "\\spad{ratDenom(f,{} [a1,{}...,{}an])} removes the \\spad{ai}\\spad{'s} which are algebraic kernels from the denominators in \\spad{f}.") ((|#2| |#2| |#2|) "\\spad{ratDenom(f,{} a)} removes \\spad{a} from the denominators in \\spad{f} if \\spad{a} is an algebraic kernel.") ((|#2| |#2|) "\\spad{ratDenom(f)} rationalizes the denominators appearing in \\spad{f} by moving all the algebraic quantities into the numerators.")) (|rootSplit| ((|#2| |#2|) "\\spad{rootSplit(f)} transforms every radical of the form \\spad{(a/b)**(1/n)} appearing in \\spad{f} into \\spad{a**(1/n) / b**(1/n)}. This transformation is not in general valid for all complex numbers \\spad{a} and \\spad{b}.")) (|coerce| (($ (|SparseMultivariatePolynomial| |#1| (|Kernel| $))) "\\spad{coerce(x)} \\undocumented")) (|denom| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) "\\spad{denom(x)} \\undocumented")) (|numer| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) "\\spad{numer(x)} \\undocumented"))) 
 NIL 
-((-12 (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#2| (LIST (QUOTE -432) (|devaluate| |#1|))))) 
+((-12 (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#2| (LIST (QUOTE -433) (|devaluate| |#1|))))) 
 (-47 OV E P) 
 ((|constructor| (NIL "This package factors multivariate polynomials over the domain of \\spadtype{AlgebraicNumber} by allowing the user to specify a list of algebraic numbers generating the particular extension to factor over.")) (|factor| (((|Factored| (|SparseUnivariatePolynomial| |#3|)) (|SparseUnivariatePolynomial| |#3|) (|List| (|AlgebraicNumber|))) "\\spad{factor(p,{}lan)} factors the polynomial \\spad{p} over the extension generated by the algebraic numbers given by the list \\spad{lan}. \\spad{p} is presented as a univariate polynomial with multivariate coefficients.") (((|Factored| |#3|) |#3| (|List| (|AlgebraicNumber|))) "\\spad{factor(p,{}lan)} factors the polynomial \\spad{p} over the extension generated by the algebraic numbers given by the list \\spad{lan}."))) 
 NIL 
@@ -123,34 +123,34 @@ NIL
 (-48 R A) 
 ((|constructor| (NIL "AlgebraPackage assembles a variety of useful functions for general algebras.")) (|basis| (((|Vector| |#2|) (|Vector| |#2|)) "\\spad{basis(va)} selects a basis from the elements of \\spad{va}.")) (|radicalOfLeftTraceForm| (((|List| |#2|)) "\\spad{radicalOfLeftTraceForm()} returns basis for null space of \\spad{leftTraceMatrix()},{} if the algebra is associative,{} alternative or a Jordan algebra,{} then this space equals the radical (maximal nil ideal) of the algebra.")) (|basisOfCentroid| (((|List| (|Matrix| |#1|))) "\\spad{basisOfCentroid()} returns a basis of the centroid,{} \\spadignore{i.e.} the endomorphism ring of \\spad{A} considered as \\spad{(A,{}A)}-bimodule.")) (|basisOfRightNucloid| (((|List| (|Matrix| |#1|))) "\\spad{basisOfRightNucloid()} returns a basis of the space of endomorphisms of \\spad{A} as left module. Note that right nucloid coincides with right nucleus if \\spad{A} has a unit.")) (|basisOfLeftNucloid| (((|List| (|Matrix| |#1|))) "\\spad{basisOfLeftNucloid()} returns a basis of the space of endomorphisms of \\spad{A} as right module. Note that left nucloid coincides with left nucleus if \\spad{A} has a unit.")) (|basisOfCenter| (((|List| |#2|)) "\\spad{basisOfCenter()} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{commutator(x,{}a) = 0} and \\spad{associator(x,{}a,{}b) = associator(a,{}x,{}b) = associator(a,{}b,{}x) = 0} for all \\spad{a},{}\\spad{b} in \\spad{A}.")) (|basisOfNucleus| (((|List| |#2|)) "\\spad{basisOfNucleus()} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{associator(x,{}a,{}b) = associator(a,{}x,{}b) = associator(a,{}b,{}x) = 0} for all \\spad{a},{}\\spad{b} in \\spad{A}.")) (|basisOfMiddleNucleus| (((|List| |#2|)) "\\spad{basisOfMiddleNucleus()} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{0 = associator(a,{}x,{}b)} for all \\spad{a},{}\\spad{b} in \\spad{A}.")) (|basisOfRightNucleus| (((|List| |#2|)) "\\spad{basisOfRightNucleus()} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{0 = associator(a,{}b,{}x)} for all \\spad{a},{}\\spad{b} in \\spad{A}.")) (|basisOfLeftNucleus| (((|List| |#2|)) "\\spad{basisOfLeftNucleus()} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{0 = associator(x,{}a,{}b)} for all \\spad{a},{}\\spad{b} in \\spad{A}.")) (|basisOfRightAnnihilator| (((|List| |#2|) |#2|) "\\spad{basisOfRightAnnihilator(a)} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{0 = a*x}.")) (|basisOfLeftAnnihilator| (((|List| |#2|) |#2|) "\\spad{basisOfLeftAnnihilator(a)} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{0 = x*a}.")) (|basisOfCommutingElements| (((|List| |#2|)) "\\spad{basisOfCommutingElements()} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{0 = commutator(x,{}a)} for all \\spad{a} in \\spad{A}.")) (|biRank| (((|NonNegativeInteger|) |#2|) "\\spad{biRank(x)} determines the number of linearly independent elements in \\spad{x},{} \\spad{x*bi},{} \\spad{bi*x},{} \\spad{bi*x*bj},{} \\spad{i,{}j=1,{}...,{}n},{} where \\spad{b=[b1,{}...,{}bn]} is a basis. Note that if \\spad{A} has a unit,{} then doubleRank,{} weakBiRank,{} and biRank coincide.")) (|weakBiRank| (((|NonNegativeInteger|) |#2|) "\\spad{weakBiRank(x)} determines the number of linearly independent elements in the \\spad{bi*x*bj},{} \\spad{i,{}j=1,{}...,{}n},{} where \\spad{b=[b1,{}...,{}bn]} is a basis.")) (|doubleRank| (((|NonNegativeInteger|) |#2|) "\\spad{doubleRank(x)} determines the number of linearly independent elements in \\spad{b1*x},{}...,{}\\spad{x*bn},{} where \\spad{b=[b1,{}...,{}bn]} is a basis.")) (|rightRank| (((|NonNegativeInteger|) |#2|) "\\spad{rightRank(x)} determines the number of linearly independent elements in \\spad{b1*x},{}...,{}\\spad{bn*x},{} where \\spad{b=[b1,{}...,{}bn]} is a basis.")) (|leftRank| (((|NonNegativeInteger|) |#2|) "\\spad{leftRank(x)} determines the number of linearly independent elements in \\spad{x*b1},{}...,{}\\spad{x*bn},{} where \\spad{b=[b1,{}...,{}bn]} is a basis."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-301)))) 
+((|HasCategory| |#1| (QUOTE (-302)))) 
 (-49 R |n| |ls| |gamma|) 
 ((|constructor| (NIL "AlgebraGivenByStructuralConstants implements finite rank algebras over a commutative ring,{} given by the structural constants \\spad{gamma} with respect to a fixed basis \\spad{[a1,{}..,{}an]},{} where \\spad{gamma} is an \\spad{n}-vector of \\spad{n} by \\spad{n} matrices \\spad{[(gammaijk) for k in 1..rank()]} defined by \\spad{\\spad{ai} * aj = gammaij1 * a1 + ... + gammaijn * an}. The symbols for the fixed basis have to be given as a list of symbols.")) (|coerce| (($ (|Vector| |#1|)) "\\spad{coerce(v)} converts a vector to a member of the algebra by forming a linear combination with the basis element. Note: the vector is assumed to have length equal to the dimension of the algebra."))) 
-((-4518 |has| |#1| (-558)) (-4516 . T) (-4515 . T)) 
-((|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-558)))) 
+((-4532 |has| |#1| (-559)) (-4530 . T) (-4529 . T)) 
+((|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) 
 (-50 |Key| |Entry|) 
 ((|constructor| (NIL "\\spadtype{AssociationList} implements association lists. These may be viewed as lists of pairs where the first part is a key and the second is the stored value. For example,{} the key might be a string with a persons employee identification number and the value might be a record with personnel data."))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#2| (QUOTE (-1090))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1090)))) (|HasCategory| (-568) (QUOTE (-842))) (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (QUOTE (-1090))) (-2199 (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (QUOTE (-1090))) (|HasCategory| |#2| (QUOTE (-1090)))) (-2199 (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (QUOTE (-842))) (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (QUOTE (-1090))) (|HasCategory| |#2| (QUOTE (-1090)))) (-12 (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (LIST (QUOTE -303) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3651) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -4085) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (LIST (QUOTE -303) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3651) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -4085) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (QUOTE (-842)))) (-12 (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (LIST (QUOTE -303) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3651) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -4085) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (QUOTE (-1090)))))) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-1091))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (-2232 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (|HasCategory| |#2| (QUOTE (-1091)))) (-2232 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-843))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (|HasCategory| |#2| (QUOTE (-1091)))) (-12 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3782) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3782) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-843)))) (-12 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3782) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091)))))) 
 (-51 S R E) 
 ((|constructor| (NIL "Abelian monoid ring elements (not necessarily of finite support) of this ring are of the form formal SUM (r_i * e_i) where the r_i are coefficents and the e_i,{} elements of the ordered abelian monoid,{} are thought of as exponents or monomials. The monomials commute with each other,{} and with the coefficients (which themselves may or may not be commutative). See \\spadtype{FiniteAbelianMonoidRing} for the case of finite support a useful common model for polynomials and power series. Conceptually at least,{} only the non-zero terms are ever operated on.")) (/ (($ $ |#2|) "\\spad{p/c} divides \\spad{p} by the coefficient \\spad{c}.")) (|coefficient| ((|#2| $ |#3|) "\\spad{coefficient(p,{}e)} extracts the coefficient of the monomial with exponent \\spad{e} from polynomial \\spad{p},{} or returns zero if exponent is not present.")) (|reductum| (($ $) "\\spad{reductum(u)} returns \\spad{u} minus its leading monomial returns zero if handed the zero element.")) (|monomial| (($ |#2| |#3|) "\\spad{monomial(r,{}e)} makes a term from a coefficient \\spad{r} and an exponent \\spad{e}.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(p)} tests if \\spad{p} is a single monomial.")) (|map| (($ (|Mapping| |#2| |#2|) $) "\\spad{map(fn,{}u)} maps function \\spad{fn} onto the coefficients of the non-zero monomials of \\spad{u}.")) (|degree| ((|#3| $) "\\spad{degree(p)} returns the maximum of the exponents of the terms of \\spad{p}.")) (|leadingMonomial| (($ $) "\\spad{leadingMonomial(p)} returns the monomial of \\spad{p} with the highest degree.")) (|leadingCoefficient| ((|#2| $) "\\spad{leadingCoefficient(p)} returns the coefficient highest degree term of \\spad{p}."))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-148))) (|HasCategory| |#2| (QUOTE (-150))) (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-365)))) 
+((|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366)))) 
 (-52 R E) 
 ((|constructor| (NIL "Abelian monoid ring elements (not necessarily of finite support) of this ring are of the form formal SUM (r_i * e_i) where the r_i are coefficents and the e_i,{} elements of the ordered abelian monoid,{} are thought of as exponents or monomials. The monomials commute with each other,{} and with the coefficients (which themselves may or may not be commutative). See \\spadtype{FiniteAbelianMonoidRing} for the case of finite support a useful common model for polynomials and power series. Conceptually at least,{} only the non-zero terms are ever operated on.")) (/ (($ $ |#1|) "\\spad{p/c} divides \\spad{p} by the coefficient \\spad{c}.")) (|coefficient| ((|#1| $ |#2|) "\\spad{coefficient(p,{}e)} extracts the coefficient of the monomial with exponent \\spad{e} from polynomial \\spad{p},{} or returns zero if exponent is not present.")) (|reductum| (($ $) "\\spad{reductum(u)} returns \\spad{u} minus its leading monomial returns zero if handed the zero element.")) (|monomial| (($ |#1| |#2|) "\\spad{monomial(r,{}e)} makes a term from a coefficient \\spad{r} and an exponent \\spad{e}.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(p)} tests if \\spad{p} is a single monomial.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(fn,{}u)} maps function \\spad{fn} onto the coefficients of the non-zero monomials of \\spad{u}.")) (|degree| ((|#2| $) "\\spad{degree(p)} returns the maximum of the exponents of the terms of \\spad{p}.")) (|leadingMonomial| (($ $) "\\spad{leadingMonomial(p)} returns the monomial of \\spad{p} with the highest degree.")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(p)} returns the coefficient highest degree term of \\spad{p}."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4515 . T) (-4516 . T) (-4518 . T)) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
 (-53) 
 ((|constructor| (NIL "Algebraic closure of the rational numbers,{} with mathematical =")) (|norm| (($ $ (|List| (|Kernel| $))) "\\spad{norm(f,{}l)} computes the norm of the algebraic number \\spad{f} with respect to the extension generated by kernels \\spad{l}") (($ $ (|Kernel| $)) "\\spad{norm(f,{}k)} computes the norm of the algebraic number \\spad{f} with respect to the extension generated by kernel \\spad{k}") (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|List| (|Kernel| $))) "\\spad{norm(p,{}l)} computes the norm of the polynomial \\spad{p} with respect to the extension generated by kernels \\spad{l}") (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|Kernel| $)) "\\spad{norm(p,{}k)} computes the norm of the polynomial \\spad{p} with respect to the extension generated by kernel \\spad{k}")) (|reduce| (($ $) "\\spad{reduce(f)} simplifies all the unreduced algebraic numbers present in \\spad{f} by applying their defining relations.")) (|denom| (((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $) "\\spad{denom(f)} returns the denominator of \\spad{f} viewed as a polynomial in the kernels over \\spad{Z}.")) (|numer| (((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $) "\\spad{numer(f)} returns the numerator of \\spad{f} viewed as a polynomial in the kernels over \\spad{Z}.")) (|coerce| (($ (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $))) "\\spad{coerce(p)} returns \\spad{p} viewed as an algebraic number."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| $ (QUOTE (-1047))) (|HasCategory| $ (LIST (QUOTE -1037) (QUOTE (-568))))) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| $ (QUOTE (-1048))) (|HasCategory| $ (LIST (QUOTE -1038) (QUOTE (-569))))) 
 (-54) 
 ((|constructor| (NIL "This domain implements anonymous functions"))) 
 NIL 
 NIL 
 (-55 R |lVar|) 
 ((|constructor| (NIL "The domain of antisymmetric polynomials.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f,{}p)} changes each coefficient of \\spad{p} by the application of \\spad{f}.")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(p)} returns the homogeneous degree of \\spad{p}.")) (|retractable?| (((|Boolean|) $) "\\spad{retractable?(p)} tests if \\spad{p} is a 0-form,{} \\spadignore{i.e.} if degree(\\spad{p}) = 0.")) (|homogeneous?| (((|Boolean|) $) "\\spad{homogeneous?(p)} tests if all of the terms of \\spad{p} have the same degree.")) (|exp| (($ (|List| (|Integer|))) "\\spad{exp([i1,{}...in])} returns \\spad{u_1\\^{i_1} ... u_n\\^{i_n}}")) (|generator| (($ (|NonNegativeInteger|)) "\\spad{generator(n)} returns the \\spad{n}th multiplicative generator,{} a basis term.")) (|coefficient| ((|#1| $ $) "\\spad{coefficient(p,{}u)} returns the coefficient of the term in \\spad{p} containing the basis term \\spad{u} if such a term exists,{} and 0 otherwise. Error: if the second argument \\spad{u} is not a basis element.")) (|reductum| (($ $) "\\spad{reductum(p)},{} where \\spad{p} is an antisymmetric polynomial,{} returns \\spad{p} minus the leading term of \\spad{p} if \\spad{p} has at least two terms,{} and 0 otherwise.")) (|leadingBasisTerm| (($ $) "\\spad{leadingBasisTerm(p)} returns the leading basis term of antisymmetric polynomial \\spad{p}.")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(p)} returns the leading coefficient of antisymmetric polynomial \\spad{p}."))) 
-((-4518 . T)) 
+((-4532 . T)) 
 NIL 
 (-56 S) 
 ((|constructor| (NIL "\\spadtype{AnyFunctions1} implements several utility functions for working with \\spadtype{Any}. These functions are used to go back and forth between objects of \\spadtype{Any} and objects of other types.")) (|retract| ((|#1| (|Any|)) "\\spad{retract(a)} tries to convert \\spad{a} into an object of type \\spad{S}. If possible,{} it returns the object. Error: if no such retraction is possible.")) (|retractable?| (((|Boolean|) (|Any|)) "\\spad{retractable?(a)} tests if \\spad{a} can be converted into an object of type \\spad{S}.")) (|retractIfCan| (((|Union| |#1| "failed") (|Any|)) "\\spad{retractIfCan(a)} tries change \\spad{a} into an object of type \\spad{S}. If it can,{} then such an object is returned. Otherwise,{} \"failed\" is returned.")) (|coerce| (((|Any|) |#1|) "\\spad{coerce(s)} creates an object of \\spadtype{Any} from the object \\spad{s} of type \\spad{S}."))) 
@@ -168,7 +168,7 @@ NIL
 ((|constructor| (NIL "\\spad{ApplyUnivariateSkewPolynomial} (internal) allows univariate skew polynomials to be applied to appropriate modules.")) (|apply| ((|#2| |#3| (|Mapping| |#2| |#2|) |#2|) "\\spad{apply(p,{} f,{} m)} returns \\spad{p(m)} where the action is given by \\spad{x m = f(m)}. \\spad{f} must be an \\spad{R}-pseudo linear map on \\spad{M}."))) 
 NIL 
 NIL 
-(-60 |Base| R -1478) 
+(-60 |Base| R -1564) 
 ((|constructor| (NIL "This package apply rewrite rules to expressions,{} calling the pattern matcher.")) (|localUnquote| ((|#3| |#3| (|List| (|Symbol|))) "\\spad{localUnquote(f,{}ls)} is a local function.")) (|applyRules| ((|#3| (|List| (|RewriteRule| |#1| |#2| |#3|)) |#3| (|PositiveInteger|)) "\\spad{applyRules([r1,{}...,{}rn],{} expr,{} n)} applies the rules \\spad{r1},{}...,{}\\spad{rn} to \\spad{f} a most \\spad{n} times.") ((|#3| (|List| (|RewriteRule| |#1| |#2| |#3|)) |#3|) "\\spad{applyRules([r1,{}...,{}rn],{} expr)} applies the rules \\spad{r1},{}...,{}\\spad{rn} to \\spad{f} an unlimited number of times,{} \\spadignore{i.e.} until none of \\spad{r1},{}...,{}\\spad{rn} is applicable to the expression."))) 
 NIL 
 NIL 
@@ -178,7 +178,7 @@ NIL
 NIL 
 (-62 R |Row| |Col|) 
 ((|constructor| (NIL "Two dimensional array categories and domains")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\indented{1}{map!(\\spad{f},{}a)\\space{2}assign \\spad{a(i,{}j)} to \\spad{f(a(i,{}j))}} \\indented{1}{for all \\spad{i,{} j}} \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} map!(-,{}arr)")) (|map| (($ (|Mapping| |#1| |#1| |#1|) $ $ |#1|) "\\indented{1}{map(\\spad{f},{}a,{}\\spad{b},{}\\spad{r}) returns \\spad{c},{} where \\spad{c(i,{}j) = f(a(i,{}j),{}b(i,{}j))}} \\indented{1}{when both \\spad{a(i,{}j)} and \\spad{b(i,{}j)} exist;} \\indented{1}{else \\spad{c(i,{}j) = f(r,{} b(i,{}j))} when \\spad{a(i,{}j)} does not exist;} \\indented{1}{else \\spad{c(i,{}j) = f(a(i,{}j),{}r)} when \\spad{b(i,{}j)} does not exist;} \\indented{1}{otherwise \\spad{c(i,{}j) = f(r,{}r)}.} \\blankline \\spad{X} adder(a:Integer,{}b:Integer):Integer \\spad{==} a+b \\spad{X} \\spad{arr1} : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} \\spad{arr2} : \\spad{ARRAY2} INT \\spad{:=} new(3,{}3,{}10) \\spad{X} map(adder,{}\\spad{arr1},{}\\spad{arr2},{}17)") (($ (|Mapping| |#1| |#1| |#1|) $ $) "\\indented{1}{map(\\spad{f},{}a,{}\\spad{b}) returns \\spad{c},{} where \\spad{c(i,{}j) = f(a(i,{}j),{}b(i,{}j))}} \\indented{1}{for all \\spad{i,{} j}} \\blankline \\spad{X} adder(a:Integer,{}b:Integer):Integer \\spad{==} a+b \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} map(adder,{}arr,{}arr)") (($ (|Mapping| |#1| |#1|) $) "\\indented{1}{map(\\spad{f},{}a) returns \\spad{b},{} where \\spad{b(i,{}j) = f(a(i,{}j))}} \\indented{1}{for all \\spad{i,{} j}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} map(-,{}arr) \\spad{X} map((\\spad{x} +-> \\spad{x} + \\spad{x}),{}arr)")) (|setColumn!| (($ $ (|Integer|) |#3|) "\\indented{1}{setColumn!(\\spad{m},{}\\spad{j},{}\\spad{v}) sets to \\spad{j}th column of \\spad{m} to \\spad{v}} \\blankline \\spad{X} T1:=TwoDimensionalArray Integer \\spad{X} arr:T1:= new(5,{}4,{}0) \\spad{X} T2:=OneDimensionalArray Integer \\spad{X} acol:=construct([1,{}2,{}3,{}4,{}5]::List(INT))\\$\\spad{T2} \\spad{X} setColumn!(arr,{}1,{}acol)\\$\\spad{T1}")) (|setRow!| (($ $ (|Integer|) |#2|) "\\indented{1}{setRow!(\\spad{m},{}\\spad{i},{}\\spad{v}) sets to \\spad{i}th row of \\spad{m} to \\spad{v}} \\blankline \\spad{X} T1:=TwoDimensionalArray Integer \\spad{X} arr:T1:= new(5,{}4,{}0) \\spad{X} T2:=OneDimensionalArray Integer \\spad{X} arow:=construct([1,{}2,{}3,{}4]::List(INT))\\$\\spad{T2} \\spad{X} setRow!(arr,{}1,{}arow)\\$\\spad{T1}")) (|qsetelt!| ((|#1| $ (|Integer|) (|Integer|) |#1|) "\\indented{1}{qsetelt!(\\spad{m},{}\\spad{i},{}\\spad{j},{}\\spad{r}) sets the element in the \\spad{i}th row and \\spad{j}th} \\indented{1}{column of \\spad{m} to \\spad{r}} \\indented{1}{NO error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}0) \\spad{X} qsetelt!(arr,{}1,{}1,{}17)")) (|setelt| ((|#1| $ (|Integer|) (|Integer|) |#1|) "\\indented{1}{setelt(\\spad{m},{}\\spad{i},{}\\spad{j},{}\\spad{r}) sets the element in the \\spad{i}th row and \\spad{j}th} \\indented{1}{column of \\spad{m} to \\spad{r}} \\indented{1}{error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}0) \\spad{X} setelt(arr,{}1,{}1,{}17)")) (|parts| (((|List| |#1|) $) "\\indented{1}{parts(\\spad{m}) returns a list of the elements of \\spad{m} in row major order} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} parts(arr)")) (|column| ((|#3| $ (|Integer|)) "\\indented{1}{column(\\spad{m},{}\\spad{j}) returns the \\spad{j}th column of \\spad{m}} \\indented{1}{error check to determine if index is in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} column(arr,{}1)")) (|row| ((|#2| $ (|Integer|)) "\\indented{1}{row(\\spad{m},{}\\spad{i}) returns the \\spad{i}th row of \\spad{m}} \\indented{1}{error check to determine if index is in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} row(arr,{}1)")) (|qelt| ((|#1| $ (|Integer|) (|Integer|)) "\\indented{1}{qelt(\\spad{m},{}\\spad{i},{}\\spad{j}) returns the element in the \\spad{i}th row and \\spad{j}th} \\indented{1}{column of the array \\spad{m}} \\indented{1}{NO error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} qelt(arr,{}1,{}1)")) (|elt| ((|#1| $ (|Integer|) (|Integer|) |#1|) "\\indented{1}{elt(\\spad{m},{}\\spad{i},{}\\spad{j},{}\\spad{r}) returns the element in the \\spad{i}th row and \\spad{j}th} \\indented{1}{column of the array \\spad{m},{} if \\spad{m} has an \\spad{i}th row and a \\spad{j}th column,{}} \\indented{1}{and returns \\spad{r} otherwise} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} elt(arr,{}1,{}1,{}6) \\spad{X} elt(arr,{}1,{}10,{}6)") ((|#1| $ (|Integer|) (|Integer|)) "\\indented{1}{elt(\\spad{m},{}\\spad{i},{}\\spad{j}) returns the element in the \\spad{i}th row and \\spad{j}th} \\indented{1}{column of the array \\spad{m}} \\indented{1}{error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} elt(arr,{}1,{}1)")) (|ncols| (((|NonNegativeInteger|) $) "\\indented{1}{ncols(\\spad{m}) returns the number of columns in the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} ncols(arr)")) (|nrows| (((|NonNegativeInteger|) $) "\\indented{1}{nrows(\\spad{m}) returns the number of rows in the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} nrows(arr)")) (|maxColIndex| (((|Integer|) $) "\\indented{1}{maxColIndex(\\spad{m}) returns the index of the 'last' column of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} maxColIndex(arr)")) (|minColIndex| (((|Integer|) $) "\\indented{1}{minColIndex(\\spad{m}) returns the index of the 'first' column of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} minColIndex(arr)")) (|maxRowIndex| (((|Integer|) $) "\\indented{1}{maxRowIndex(\\spad{m}) returns the index of the 'last' row of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} maxRowIndex(arr)")) (|minRowIndex| (((|Integer|) $) "\\indented{1}{minRowIndex(\\spad{m}) returns the index of the 'first' row of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} minRowIndex(arr)")) (|fill!| (($ $ |#1|) "\\indented{1}{fill!(\\spad{m},{}\\spad{r}) fills \\spad{m} with \\spad{r}\\spad{'s}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}0) \\spad{X} fill!(arr,{}10)")) (|new| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|) "\\indented{1}{new(\\spad{m},{}\\spad{n},{}\\spad{r}) is an \\spad{m}-by-\\spad{n} array all of whose entries are \\spad{r}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}0)")) (|finiteAggregate| ((|attribute|) "two-dimensional arrays are finite")) (|shallowlyMutable| ((|attribute|) "one may destructively alter arrays"))) 
-((-4521 . T) (-4522 . T) (-3973 . T)) 
+((-4535 . T) (-4536 . T) (-2982 . T)) 
 NIL 
 (-63 A B) 
 ((|constructor| (NIL "This package provides tools for operating on one-dimensional arrays with unary and binary functions involving different underlying types")) (|map| (((|OneDimensionalArray| |#2|) (|Mapping| |#2| |#1|) (|OneDimensionalArray| |#1|)) "\\indented{1}{map(\\spad{f},{}a) applies function \\spad{f} to each member of one-dimensional array} \\indented{1}{\\spad{a} resulting in a new one-dimensional array over a} \\indented{1}{possibly different underlying domain.} \\blankline \\spad{X} \\spad{T1:=OneDimensionalArrayFunctions2}(Integer,{}Integer) \\spad{X} map(\\spad{x+}-\\spad{>x+2},{}[\\spad{i} for \\spad{i} in 1..10])\\$\\spad{T1}")) (|reduce| ((|#2| (|Mapping| |#2| |#1| |#2|) (|OneDimensionalArray| |#1|) |#2|) "\\indented{1}{reduce(\\spad{f},{}a,{}\\spad{r}) applies function \\spad{f} to each} \\indented{1}{successive element of the} \\indented{1}{one-dimensional array \\spad{a} and an accumulant initialized to \\spad{r}.} \\indented{1}{For example,{} \\spad{reduce(_+\\$Integer,{}[1,{}2,{}3],{}0)}} \\indented{1}{does \\spad{3+(2+(1+0))}. Note that third argument \\spad{r}} \\indented{1}{may be regarded as the identity element for the function \\spad{f}.} \\blankline \\spad{X} \\spad{T1:=OneDimensionalArrayFunctions2}(Integer,{}Integer) \\spad{X} adder(a:Integer,{}b:Integer):Integer \\spad{==} a+b \\spad{X} reduce(adder,{}[\\spad{i} for \\spad{i} in 1..10],{}0)\\$\\spad{T1}")) (|scan| (((|OneDimensionalArray| |#2|) (|Mapping| |#2| |#1| |#2|) (|OneDimensionalArray| |#1|) |#2|) "\\indented{1}{scan(\\spad{f},{}a,{}\\spad{r}) successively applies} \\indented{1}{\\spad{reduce(f,{}x,{}r)} to more and more leading sub-arrays} \\indented{1}{\\spad{x} of one-dimensional array \\spad{a}.} \\indented{1}{More precisely,{} if \\spad{a} is \\spad{[a1,{}a2,{}...]},{} then} \\indented{1}{\\spad{scan(f,{}a,{}r)} returns} \\indented{1}{\\spad{[reduce(f,{}[a1],{}r),{}reduce(f,{}[a1,{}a2],{}r),{}...]}.} \\blankline \\spad{X} \\spad{T1:=OneDimensionalArrayFunctions2}(Integer,{}Integer) \\spad{X} adder(a:Integer,{}b:Integer):Integer \\spad{==} a+b \\spad{X} scan(adder,{}[\\spad{i} for \\spad{i} in 1..10],{}0)\\$\\spad{T1}"))) 
@@ -186,65 +186,65 @@ NIL
 NIL 
 (-64 S) 
 ((|constructor| (NIL "This is the domain of 1-based one dimensional arrays")) (|oneDimensionalArray| (($ (|NonNegativeInteger|) |#1|) "\\indented{1}{oneDimensionalArray(\\spad{n},{}\\spad{s}) creates an array from \\spad{n} copies of element \\spad{s}} \\blankline \\spad{X} oneDimensionalArray(10,{}0.0)") (($ (|List| |#1|)) "\\indented{1}{oneDimensionalArray(\\spad{l}) creates an array from a list of elements \\spad{l}} \\blankline \\spad{X} oneDimensionalArray [\\spad{i**2} for \\spad{i} in 1..10]"))) 
-((-4522 . T) (-4521 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (QUOTE (-842))) (-2199 (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-1090)))) (|HasCategory| (-568) (QUOTE (-842))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-842)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))))) 
+((-4536 . T) (-4535 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (-2232 (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-843)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
 (-65 R) 
 ((|constructor| (NIL "A TwoDimensionalArray is a two dimensional array with 1-based indexing for both rows and columns.")) (|shallowlyMutable| ((|attribute|) "One may destructively alter TwoDimensionalArray\\spad{'s}."))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090))))) 
-(-66 -3393) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
+(-66 -1486) 
 ((|constructor| (NIL "\\spadtype{ASP10} produces Fortran for Type 10 ASPs,{} needed for NAG routine d02kef. This ASP computes the values of a set of functions,{} for example: \\blankline \\tab{5}SUBROUTINE COEFFN(\\spad{P},{}\\spad{Q},{}DQDL,{}\\spad{X},{}ELAM,{}JINT)\\spad{\\br} \\tab{5}DOUBLE PRECISION ELAM,{}\\spad{P},{}\\spad{Q},{}\\spad{X},{}DQDL\\spad{\\br} \\tab{5}INTEGER JINT\\spad{\\br} \\tab{5}\\spad{P=1}.0D0\\spad{\\br} \\tab{5}\\spad{Q=}((\\spad{-1}.0D0*X**3)+ELAM*X*X-2.0D0)/(\\spad{X*X})\\spad{\\br} \\tab{5}\\spad{DQDL=1}.0D0\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-67 -3393) 
+(-67 -1486) 
 ((|constructor| (NIL "\\spadtype{Asp12} produces Fortran for Type 12 ASPs,{} needed for NAG routine d02kef etc.,{} for example: \\blankline \\tab{5}SUBROUTINE MONIT (MAXIT,{}IFLAG,{}ELAM,{}FINFO)\\spad{\\br} \\tab{5}DOUBLE PRECISION ELAM,{}FINFO(15)\\spad{\\br} \\tab{5}INTEGER MAXIT,{}IFLAG\\spad{\\br} \\tab{5}IF(MAXIT.EQ.\\spad{-1})THEN\\spad{\\br} \\tab{7}PRINT*,{}\"Output from Monit\"\\spad{\\br} \\tab{5}ENDIF\\spad{\\br} \\tab{5}PRINT*,{}MAXIT,{}IFLAG,{}ELAM,{}(FINFO(\\spad{I}),{}\\spad{I=1},{}4)\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END\\")) (|outputAsFortran| (((|Void|)) "\\spad{outputAsFortran()} generates the default code for \\spadtype{ASP12}."))) 
 NIL 
 NIL 
-(-68 -3393) 
+(-68 -1486) 
 ((|constructor| (NIL "\\spadtype{Asp19} produces Fortran for Type 19 ASPs,{} evaluating a set of functions and their jacobian at a given point,{} for example: \\blankline \\tab{5}SUBROUTINE \\spad{LSFUN2}(\\spad{M},{}\\spad{N},{}\\spad{XC},{}FVECC,{}FJACC,{}\\spad{LJC})\\spad{\\br} \\tab{5}DOUBLE PRECISION FVECC(\\spad{M}),{}FJACC(\\spad{LJC},{}\\spad{N}),{}\\spad{XC}(\\spad{N})\\spad{\\br} \\tab{5}INTEGER \\spad{M},{}\\spad{N},{}\\spad{LJC}\\spad{\\br} \\tab{5}INTEGER \\spad{I},{}\\spad{J}\\spad{\\br} \\tab{5}DO 25003 \\spad{I=1},{}\\spad{LJC}\\spad{\\br} \\tab{7}DO 25004 \\spad{J=1},{}\\spad{N}\\spad{\\br} \\tab{9}FJACC(\\spad{I},{}\\spad{J})\\spad{=0}.0D0\\spad{\\br} 25004 CONTINUE\\spad{\\br} 25003 CONTINUE\\spad{\\br} \\tab{5}FVECC(1)=((\\spad{XC}(1)\\spad{-0}.14D0)\\spad{*XC}(3)+(15.0D0*XC(1)\\spad{-2}.1D0)\\spad{*XC}(2)\\spad{+1}.0D0)/(\\spad{\\br} \\tab{4}\\spad{&XC}(3)\\spad{+15}.0D0*XC(2))\\spad{\\br} \\tab{5}FVECC(2)=((\\spad{XC}(1)\\spad{-0}.18D0)\\spad{*XC}(3)+(7.0D0*XC(1)\\spad{-1}.26D0)\\spad{*XC}(2)\\spad{+1}.0D0)/(\\spad{\\br} \\tab{4}\\spad{&XC}(3)\\spad{+7}.0D0*XC(2))\\spad{\\br} \\tab{5}FVECC(3)=((\\spad{XC}(1)\\spad{-0}.22D0)\\spad{*XC}(3)+(4.333333333333333D0*XC(1)\\spad{-0}.953333\\spad{\\br} \\tab{4}\\spad{&3333333333D0})\\spad{*XC}(2)\\spad{+1}.0D0)/(\\spad{XC}(3)\\spad{+4}.333333333333333D0*XC(2))\\spad{\\br} \\tab{5}FVECC(4)=((\\spad{XC}(1)\\spad{-0}.25D0)\\spad{*XC}(3)+(3.0D0*XC(1)\\spad{-0}.75D0)\\spad{*XC}(2)\\spad{+1}.0D0)/(\\spad{\\br} \\tab{4}\\spad{&XC}(3)\\spad{+3}.0D0*XC(2))\\spad{\\br} \\tab{5}FVECC(5)=((\\spad{XC}(1)\\spad{-0}.29D0)\\spad{*XC}(3)+(2.2D0*XC(1)\\spad{-0}.6379999999999999D0)*\\spad{\\br} \\tab{4}\\spad{&XC}(2)\\spad{+1}.0D0)/(\\spad{XC}(3)\\spad{+2}.2D0*XC(2))\\spad{\\br} \\tab{5}FVECC(6)=((\\spad{XC}(1)\\spad{-0}.32D0)\\spad{*XC}(3)+(1.666666666666667D0*XC(1)\\spad{-0}.533333\\spad{\\br} \\tab{4}\\spad{&3333333333D0})\\spad{*XC}(2)\\spad{+1}.0D0)/(\\spad{XC}(3)\\spad{+1}.666666666666667D0*XC(2))\\spad{\\br} \\tab{5}FVECC(7)=((\\spad{XC}(1)\\spad{-0}.35D0)\\spad{*XC}(3)+(1.285714285714286D0*XC(1)\\spad{-0}.45D0)*\\spad{\\br} \\tab{4}\\spad{&XC}(2)\\spad{+1}.0D0)/(\\spad{XC}(3)\\spad{+1}.285714285714286D0*XC(2))\\spad{\\br} \\tab{5}FVECC(8)=((\\spad{XC}(1)\\spad{-0}.39D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-0}.39D0)\\spad{*XC}(2)\\spad{+1}.0D0)/(\\spad{XC}(3)+\\spad{\\br} \\tab{4}\\spad{&XC}(2))\\spad{\\br} \\tab{5}FVECC(9)=((\\spad{XC}(1)\\spad{-0}.37D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-0}.37D0)\\spad{*XC}(2)\\spad{+1}.285714285714\\spad{\\br} \\tab{4}\\spad{&286D0})/(\\spad{XC}(3)\\spad{+XC}(2))\\spad{\\br} \\tab{5}FVECC(10)=((\\spad{XC}(1)\\spad{-0}.58D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-0}.58D0)\\spad{*XC}(2)\\spad{+1}.66666666666\\spad{\\br} \\tab{4}\\spad{&6667D0})/(\\spad{XC}(3)\\spad{+XC}(2))\\spad{\\br} \\tab{5}FVECC(11)=((\\spad{XC}(1)\\spad{-0}.73D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-0}.73D0)\\spad{*XC}(2)\\spad{+2}.2D0)/(\\spad{XC}(3)\\spad{\\br} \\tab{4}&+XC(2))\\spad{\\br} \\tab{5}FVECC(12)=((\\spad{XC}(1)\\spad{-0}.96D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-0}.96D0)\\spad{*XC}(2)\\spad{+3}.0D0)/(\\spad{XC}(3)\\spad{\\br} \\tab{4}&+XC(2))\\spad{\\br} \\tab{5}FVECC(13)=((\\spad{XC}(1)\\spad{-1}.34D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-1}.34D0)\\spad{*XC}(2)\\spad{+4}.33333333333\\spad{\\br} \\tab{4}\\spad{&3333D0})/(\\spad{XC}(3)\\spad{+XC}(2))\\spad{\\br} \\tab{5}FVECC(14)=((\\spad{XC}(1)\\spad{-2}.1D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-2}.1D0)\\spad{*XC}(2)\\spad{+7}.0D0)/(\\spad{XC}(3)\\spad{+X}\\spad{\\br} \\tab{4}\\spad{&C}(2))\\spad{\\br} \\tab{5}FVECC(15)=((\\spad{XC}(1)\\spad{-4}.39D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-4}.39D0)\\spad{*XC}(2)\\spad{+15}.0D0)/(\\spad{XC}(3\\spad{\\br} \\tab{4}&)\\spad{+XC}(2))\\spad{\\br} \\tab{5}FJACC(1,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(1,{}2)=-15.0D0/(\\spad{XC}(3)\\spad{**2+30}.0D0*XC(2)\\spad{*XC}(3)\\spad{+225}.0D0*XC(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(1,{}3)=-1.0D0/(\\spad{XC}(3)\\spad{**2+30}.0D0*XC(2)\\spad{*XC}(3)\\spad{+225}.0D0*XC(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(2,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(2,{}2)=-7.0D0/(\\spad{XC}(3)\\spad{**2+14}.0D0*XC(2)\\spad{*XC}(3)\\spad{+49}.0D0*XC(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(2,{}3)=-1.0D0/(\\spad{XC}(3)\\spad{**2+14}.0D0*XC(2)\\spad{*XC}(3)\\spad{+49}.0D0*XC(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(3,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(3,{}2)=((\\spad{-0}.1110223024625157D-15*XC(3))\\spad{-4}.333333333333333D0)/(\\spad{\\br} \\tab{4}\\spad{&XC}(3)\\spad{**2+8}.666666666666666D0*XC(2)\\spad{*XC}(3)\\spad{+18}.77777777777778D0*XC(2)\\spad{\\br} \\tab{4}\\spad{&**2})\\spad{\\br} \\tab{5}FJACC(3,{}3)=(0.1110223024625157D-15*XC(2)\\spad{-1}.0D0)/(\\spad{XC}(3)\\spad{**2+8}.666666\\spad{\\br} \\tab{4}&666666666D0*XC(2)\\spad{*XC}(3)\\spad{+18}.77777777777778D0*XC(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(4,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(4,{}2)=-3.0D0/(\\spad{XC}(3)\\spad{**2+6}.0D0*XC(2)\\spad{*XC}(3)\\spad{+9}.0D0*XC(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(4,{}3)=-1.0D0/(\\spad{XC}(3)\\spad{**2+6}.0D0*XC(2)\\spad{*XC}(3)\\spad{+9}.0D0*XC(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(5,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(5,{}2)=((\\spad{-0}.1110223024625157D-15*XC(3))\\spad{-2}.2D0)/(\\spad{XC}(3)\\spad{**2+4}.399\\spad{\\br} \\tab{4}&999999999999D0*XC(2)\\spad{*XC}(3)\\spad{+4}.839999999999998D0*XC(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(5,{}3)=(0.1110223024625157D-15*XC(2)\\spad{-1}.0D0)/(\\spad{XC}(3)\\spad{**2+4}.399999\\spad{\\br} \\tab{4}&999999999D0*XC(2)\\spad{*XC}(3)\\spad{+4}.839999999999998D0*XC(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(6,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(6,{}2)=((\\spad{-0}.2220446049250313D-15*XC(3))\\spad{-1}.666666666666667D0)/(\\spad{\\br} \\tab{4}\\spad{&XC}(3)\\spad{**2+3}.333333333333333D0*XC(2)\\spad{*XC}(3)\\spad{+2}.777777777777777D0*XC(2)\\spad{\\br} \\tab{4}\\spad{&**2})\\spad{\\br} \\tab{5}FJACC(6,{}3)=(0.2220446049250313D-15*XC(2)\\spad{-1}.0D0)/(\\spad{XC}(3)\\spad{**2+3}.333333\\spad{\\br} \\tab{4}&333333333D0*XC(2)\\spad{*XC}(3)\\spad{+2}.777777777777777D0*XC(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(7,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(7,{}2)=((\\spad{-0}.5551115123125783D-16*XC(3))\\spad{-1}.285714285714286D0)/(\\spad{\\br} \\tab{4}\\spad{&XC}(3)\\spad{**2+2}.571428571428571D0*XC(2)\\spad{*XC}(3)\\spad{+1}.653061224489796D0*XC(2)\\spad{\\br} \\tab{4}\\spad{&**2})\\spad{\\br} \\tab{5}FJACC(7,{}3)=(0.5551115123125783D-16*XC(2)\\spad{-1}.0D0)/(\\spad{XC}(3)\\spad{**2+2}.571428\\spad{\\br} \\tab{4}&571428571D0*XC(2)\\spad{*XC}(3)\\spad{+1}.653061224489796D0*XC(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(8,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(8,{}2)=-1.0D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(8,{}3)=-1.0D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(9,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(9,{}2)=-1.285714285714286D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)*\\spad{\\br} \\tab{4}\\spad{&*2})\\spad{\\br} \\tab{5}FJACC(9,{}3)=-1.285714285714286D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)*\\spad{\\br} \\tab{4}\\spad{&*2})\\spad{\\br} \\tab{5}FJACC(10,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(10,{}2)=-1.666666666666667D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{\\br} \\tab{4}\\spad{&**2})\\spad{\\br} \\tab{5}FJACC(10,{}3)=-1.666666666666667D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{\\br} \\tab{4}\\spad{&**2})\\spad{\\br} \\tab{5}FJACC(11,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(11,{}2)=-2.2D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(11,{}3)=-2.2D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(12,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(12,{}2)=-3.0D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(12,{}3)=-3.0D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(13,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(13,{}2)=-4.333333333333333D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{\\br} \\tab{4}\\spad{&**2})\\spad{\\br} \\tab{5}FJACC(13,{}3)=-4.333333333333333D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{\\br} \\tab{4}\\spad{&**2})\\spad{\\br} \\tab{5}FJACC(14,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(14,{}2)=-7.0D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(14,{}3)=-7.0D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(15,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(15,{}2)=-15.0D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(15,{}3)=-15.0D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{**2})\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-69 -3393) 
+(-69 -1486) 
 ((|constructor| (NIL "\\spadtype{Asp1} produces Fortran for Type 1 ASPs,{} needed for various NAG routines. Type 1 ASPs take a univariate expression (in the symbol \\spad{x}) and turn it into a Fortran Function like the following: \\blankline \\tab{5}DOUBLE PRECISION FUNCTION \\spad{F}(\\spad{X})\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{X}\\spad{\\br} \\tab{5}F=DSIN(\\spad{X})\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|))) "\\spad{coerce(f)} takes an object from the appropriate instantiation of \\spadtype{FortranExpression} and turns it into an ASP."))) 
 NIL 
 NIL 
-(-70 -3393) 
+(-70 -1486) 
 ((|constructor| (NIL "\\spadtype{Asp20} produces Fortran for Type 20 ASPs,{} for example: \\blankline \\tab{5}SUBROUTINE QPHESS(\\spad{N},{}NROWH,{}NCOLH,{}JTHCOL,{}HESS,{}\\spad{X},{}\\spad{HX})\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{HX}(\\spad{N}),{}\\spad{X}(\\spad{N}),{}HESS(NROWH,{}NCOLH)\\spad{\\br} \\tab{5}INTEGER JTHCOL,{}\\spad{N},{}NROWH,{}NCOLH\\spad{\\br} \\tab{5}\\spad{HX}(1)\\spad{=2}.0D0*X(1)\\spad{\\br} \\tab{5}\\spad{HX}(2)\\spad{=2}.0D0*X(2)\\spad{\\br} \\tab{5}\\spad{HX}(3)\\spad{=2}.0D0*X(4)\\spad{+2}.0D0*X(3)\\spad{\\br} \\tab{5}\\spad{HX}(4)\\spad{=2}.0D0*X(4)\\spad{+2}.0D0*X(3)\\spad{\\br} \\tab{5}\\spad{HX}(5)\\spad{=2}.0D0*X(5)\\spad{\\br} \\tab{5}\\spad{HX}(6)=(\\spad{-2}.0D0*X(7))+(\\spad{-2}.0D0*X(6))\\spad{\\br} \\tab{5}\\spad{HX}(7)=(\\spad{-2}.0D0*X(7))+(\\spad{-2}.0D0*X(6))\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|Matrix| (|FortranExpression| (|construct|) (|construct| (QUOTE X) (QUOTE HESS)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-71 -3393) 
+(-71 -1486) 
 ((|constructor| (NIL "\\spadtype{Asp24} produces Fortran for Type 24 ASPs which evaluate a multivariate function at a point (needed for NAG routine e04jaf),{} for example: \\blankline \\tab{5}SUBROUTINE \\spad{FUNCT1}(\\spad{N},{}\\spad{XC},{}\\spad{FC})\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{FC},{}\\spad{XC}(\\spad{N})\\spad{\\br} \\tab{5}INTEGER \\spad{N}\\spad{\\br} \\tab{5}\\spad{FC=10}.0D0*XC(4)**4+(\\spad{-40}.0D0*XC(1)\\spad{*XC}(4)\\spad{**3})+(60.0D0*XC(1)\\spad{**2+5}\\spad{\\br} \\tab{4}&.0D0)\\spad{*XC}(4)**2+((\\spad{-10}.0D0*XC(3))+(\\spad{-40}.0D0*XC(1)\\spad{**3}))\\spad{*XC}(4)\\spad{+16}.0D0*X\\spad{\\br} \\tab{4}\\spad{&C}(3)**4+(\\spad{-32}.0D0*XC(2)\\spad{*XC}(3)\\spad{**3})+(24.0D0*XC(2)\\spad{**2+5}.0D0)\\spad{*XC}(3)**2+\\spad{\\br} \\tab{4}&(\\spad{-8}.0D0*XC(2)**3*XC(3))\\spad{+XC}(2)\\spad{**4+100}.0D0*XC(2)\\spad{**2+20}.0D0*XC(1)\\spad{*XC}(\\spad{\\br} \\tab{4}\\spad{&2})\\spad{+10}.0D0*XC(1)**4+XC(1)\\spad{**2}\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END\\spad{\\br}")) (|coerce| (($ (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|))) "\\spadtype{FortranExpression} and turns it into an ASP. coerce(\\spad{f}) takes an object from the appropriate instantiation of"))) 
 NIL 
 NIL 
-(-72 -3393) 
+(-72 -1486) 
 ((|constructor| (NIL "\\spadtype{Asp27} produces Fortran for Type 27 ASPs,{} needed for NAG routine f02fjf ,{}for example: \\blankline \\tab{5}FUNCTION DOT(IFLAG,{}\\spad{N},{}\\spad{Z},{}\\spad{W},{}RWORK,{}LRWORK,{}IWORK,{}LIWORK)\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{W}(\\spad{N}),{}\\spad{Z}(\\spad{N}),{}RWORK(LRWORK)\\spad{\\br} \\tab{5}INTEGER \\spad{N},{}LIWORK,{}IFLAG,{}LRWORK,{}IWORK(LIWORK)\\spad{\\br} \\tab{5}DOT=(\\spad{W}(16)+(\\spad{-0}.5D0*W(15)))\\spad{*Z}(16)+((\\spad{-0}.5D0*W(16))\\spad{+W}(15)+(\\spad{-0}.5D0*W(1\\spad{\\br} \\tab{4}\\spad{&4})))\\spad{*Z}(15)+((\\spad{-0}.5D0*W(15))\\spad{+W}(14)+(\\spad{-0}.5D0*W(13)))\\spad{*Z}(14)+((\\spad{-0}.5D0*W(\\spad{\\br} \\tab{4}\\spad{&14}))\\spad{+W}(13)+(\\spad{-0}.5D0*W(12)))\\spad{*Z}(13)+((\\spad{-0}.5D0*W(13))\\spad{+W}(12)+(\\spad{-0}.5D0*W(1\\spad{\\br} \\tab{4}\\spad{&1})))\\spad{*Z}(12)+((\\spad{-0}.5D0*W(12))\\spad{+W}(11)+(\\spad{-0}.5D0*W(10)))\\spad{*Z}(11)+((\\spad{-0}.5D0*W(\\spad{\\br} \\tab{4}\\spad{&11}))\\spad{+W}(10)+(\\spad{-0}.5D0*W(9)))\\spad{*Z}(10)+((\\spad{-0}.5D0*W(10))\\spad{+W}(9)+(\\spad{-0}.5D0*W(8))\\spad{\\br} \\tab{4}&)\\spad{*Z}(9)+((\\spad{-0}.5D0*W(9))\\spad{+W}(8)+(\\spad{-0}.5D0*W(7)))\\spad{*Z}(8)+((\\spad{-0}.5D0*W(8))\\spad{+W}(7)\\spad{\\br} \\tab{4}\\spad{&+}(\\spad{-0}.5D0*W(6)))\\spad{*Z}(7)+((\\spad{-0}.5D0*W(7))\\spad{+W}(6)+(\\spad{-0}.5D0*W(5)))\\spad{*Z}(6)+((\\spad{-0}.\\spad{\\br} \\tab{4}&5D0*W(6))\\spad{+W}(5)+(\\spad{-0}.5D0*W(4)))\\spad{*Z}(5)+((\\spad{-0}.5D0*W(5))\\spad{+W}(4)+(\\spad{-0}.5D0*W(3\\spad{\\br} \\tab{4}&)))\\spad{*Z}(4)+((\\spad{-0}.5D0*W(4))\\spad{+W}(3)+(\\spad{-0}.5D0*W(2)))\\spad{*Z}(3)+((\\spad{-0}.5D0*W(3))\\spad{+W}(\\spad{\\br} \\tab{4}\\spad{&2})+(\\spad{-0}.5D0*W(1)))\\spad{*Z}(2)+((\\spad{-0}.5D0*W(2))\\spad{+W}(1))\\spad{*Z}(1)\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END"))) 
 NIL 
 NIL 
-(-73 -3393) 
+(-73 -1486) 
 ((|constructor| (NIL "\\spadtype{Asp28} produces Fortran for Type 28 ASPs,{} used in NAG routine f02fjf,{} for example: \\blankline \\tab{5}SUBROUTINE IMAGE(IFLAG,{}\\spad{N},{}\\spad{Z},{}\\spad{W},{}RWORK,{}LRWORK,{}IWORK,{}LIWORK)\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{Z}(\\spad{N}),{}\\spad{W}(\\spad{N}),{}IWORK(LRWORK),{}RWORK(LRWORK)\\spad{\\br} \\tab{5}INTEGER \\spad{N},{}LIWORK,{}IFLAG,{}LRWORK\\spad{\\br} \\tab{5}\\spad{W}(1)\\spad{=0}.01707454969713436D0*Z(16)\\spad{+0}.001747395874954051D0*Z(15)\\spad{+0}.00\\spad{\\br} \\tab{4}&2106973900813502D0*Z(14)\\spad{+0}.002957434991769087D0*Z(13)+(\\spad{-0}.00700554\\spad{\\br} \\tab{4}&0882865317D0*Z(12))+(\\spad{-0}.01219194009813166D0*Z(11))\\spad{+0}.0037230647365\\spad{\\br} \\tab{4}&3087D0*Z(10)\\spad{+0}.04932374658377151D0*Z(9)+(\\spad{-0}.03586220812223305D0*Z(\\spad{\\br} \\tab{4}\\spad{&8}))+(\\spad{-0}.04723268012114625D0*Z(7))+(\\spad{-0}.02434652144032987D0*Z(6))\\spad{+0}.\\spad{\\br} \\tab{4}&2264766947290192D0*Z(5)+(\\spad{-0}.1385343580686922D0*Z(4))+(\\spad{-0}.116530050\\spad{\\br} \\tab{4}&8238904D0*Z(3))+(\\spad{-0}.2803531651057233D0*Z(2))\\spad{+1}.019463911841327D0*Z\\spad{\\br} \\tab{4}&(1)\\spad{\\br} \\tab{5}\\spad{W}(2)\\spad{=0}.0227345011107737D0*Z(16)\\spad{+0}.008812321197398072D0*Z(15)\\spad{+0}.010\\spad{\\br} \\tab{4}&94012210519586D0*Z(14)+(\\spad{-0}.01764072463999744D0*Z(13))+(\\spad{-0}.01357136\\spad{\\br} \\tab{4}&72105995D0*Z(12))\\spad{+0}.00157466157362272D0*Z(11)\\spad{+0}.05258889186338282D\\spad{\\br} \\tab{4}&0*Z(10)+(\\spad{-0}.01981532388243379D0*Z(9))+(\\spad{-0}.06095390688679697D0*Z(8)\\spad{\\br} \\tab{4}&)+(\\spad{-0}.04153119955569051D0*Z(7))\\spad{+0}.2176561076571465D0*Z(6)+(\\spad{-0}.0532\\spad{\\br} \\tab{4}&5555586632358D0*Z(5))+(\\spad{-0}.1688977368984641D0*Z(4))+(\\spad{-0}.32440166056\\spad{\\br} \\tab{4}&67343D0*Z(3))\\spad{+0}.9128222941872173D0*Z(2)+(\\spad{-0}.2419652703415429D0*Z(1\\spad{\\br} \\tab{4}&))\\spad{\\br} \\tab{5}\\spad{W}(3)\\spad{=0}.03371198197190302D0*Z(16)\\spad{+0}.02021603150122265D0*Z(15)+(\\spad{-0}.0\\spad{\\br} \\tab{4}&06607305534689702D0*Z(14))+(\\spad{-0}.03032392238968179D0*Z(13))\\spad{+0}.002033\\spad{\\br} \\tab{4}&305231024948D0*Z(12)\\spad{+0}.05375944956767728D0*Z(11)+(\\spad{-0}.0163213312502\\spad{\\br} \\tab{4}&9967D0*Z(10))+(\\spad{-0}.05483186562035512D0*Z(9))+(\\spad{-0}.04901428822579872D\\spad{\\br} \\tab{4}&0*Z(8))\\spad{+0}.2091097927887612D0*Z(7)+(\\spad{-0}.05760560341383113D0*Z(6))+(-\\spad{\\br} \\tab{4}\\spad{&0}.1236679206156403D0*Z(5))+(\\spad{-0}.3523683853026259D0*Z(4))\\spad{+0}.88929961\\spad{\\br} \\tab{4}&32269974D0*Z(3)+(\\spad{-0}.2995429545781457D0*Z(2))+(\\spad{-0}.02986582812574917\\spad{\\br} \\tab{4}&D0*Z(1))\\spad{\\br} \\tab{5}\\spad{W}(4)\\spad{=0}.05141563713660119D0*Z(16)\\spad{+0}.005239165960779299D0*Z(15)+(\\spad{-0}.\\spad{\\br} \\tab{4}&01623427735779699D0*Z(14))+(\\spad{-0}.01965809746040371D0*Z(13))\\spad{+0}.054688\\spad{\\br} \\tab{4}&97337339577D0*Z(12)+(\\spad{-0}.014224695935687D0*Z(11))+(\\spad{-0}.0505181779315\\spad{\\br} \\tab{4}&6355D0*Z(10))+(\\spad{-0}.04353074206076491D0*Z(9))\\spad{+0}.2012230497530726D0*Z\\spad{\\br} \\tab{4}&(8)+(\\spad{-0}.06630874514535952D0*Z(7))+(\\spad{-0}.1280829963720053D0*Z(6))+(\\spad{-0}\\spad{\\br} \\tab{4}&.305169742604165D0*Z(5))\\spad{+0}.8600427128450191D0*Z(4)+(\\spad{-0}.32415033802\\spad{\\br} \\tab{4}&68184D0*Z(3))+(\\spad{-0}.09033531980693314D0*Z(2))\\spad{+0}.09089205517109111D0*\\spad{\\br} \\tab{4}\\spad{&Z}(1)\\spad{\\br} \\tab{5}\\spad{W}(5)\\spad{=0}.04556369767776375D0*Z(16)+(\\spad{-0}.001822737697581869D0*Z(15))+(\\spad{\\br} \\tab{4}&-0.002512226501941856D0*Z(14))\\spad{+0}.02947046460707379D0*Z(13)+(\\spad{-0}.014\\spad{\\br} \\tab{4}&45079632086177D0*Z(12))+(\\spad{-0}.05034242196614937D0*Z(11))+(\\spad{-0}.0376966\\spad{\\br} \\tab{4}&3291725935D0*Z(10))\\spad{+0}.2171103102175198D0*Z(9)+(\\spad{-0}.0824949256021352\\spad{\\br} \\tab{4}&4D0*Z(8))+(\\spad{-0}.1473995209288945D0*Z(7))+(\\spad{-0}.315042193418466D0*Z(6))\\spad{\\br} \\tab{4}\\spad{&+0}.9591623347824002D0*Z(5)+(\\spad{-0}.3852396953763045D0*Z(4))+(\\spad{-0}.141718\\spad{\\br} \\tab{4}&5427288274D0*Z(3))+(\\spad{-0}.03423495461011043D0*Z(2))\\spad{+0}.319820917706851\\spad{\\br} \\tab{4}&6D0*Z(1)\\spad{\\br} \\tab{5}\\spad{W}(6)\\spad{=0}.04015147277405744D0*Z(16)\\spad{+0}.01328585741341559D0*Z(15)\\spad{+0}.048\\spad{\\br} \\tab{4}&26082005465965D0*Z(14)+(\\spad{-0}.04319641116207706D0*Z(13))+(\\spad{-0}.04931323\\spad{\\br} \\tab{4}&319055762D0*Z(12))+(\\spad{-0}.03526886317505474D0*Z(11))\\spad{+0}.22295383396730\\spad{\\br} \\tab{4}&01D0*Z(10)+(\\spad{-0}.07375317649315155D0*Z(9))+(\\spad{-0}.1589391311991561D0*Z(\\spad{\\br} \\tab{4}\\spad{&8}))+(\\spad{-0}.328001910890377D0*Z(7))\\spad{+0}.952576555482747D0*Z(6)+(\\spad{-0}.31583\\spad{\\br} \\tab{4}&09975786731D0*Z(5))+(\\spad{-0}.1846882042225383D0*Z(4))+(\\spad{-0}.0703762046700\\spad{\\br} \\tab{4}&4427D0*Z(3))\\spad{+0}.2311852964327382D0*Z(2)\\spad{+0}.04254083491825025D0*Z(1)\\spad{\\br} \\tab{5}\\spad{W}(7)\\spad{=0}.06069778964023718D0*Z(16)\\spad{+0}.06681263884671322D0*Z(15)+(\\spad{-0}.0\\spad{\\br} \\tab{4}&2113506688615768D0*Z(14))+(\\spad{-0}.083996867458326D0*Z(13))+(\\spad{-0}.0329843\\spad{\\br} \\tab{4}&8523869648D0*Z(12))\\spad{+0}.2276878326327734D0*Z(11)+(\\spad{-0}.067356038933017\\spad{\\br} \\tab{4}&95D0*Z(10))+(\\spad{-0}.1559813965382218D0*Z(9))+(\\spad{-0}.3363262957694705D0*Z(\\spad{\\br} \\tab{4}\\spad{&8}))\\spad{+0}.9442791158560948D0*Z(7)+(\\spad{-0}.3199955249404657D0*Z(6))+(\\spad{-0}.136\\spad{\\br} \\tab{4}&2463839920727D0*Z(5))+(\\spad{-0}.1006185171570586D0*Z(4))\\spad{+0}.2057504515015\\spad{\\br} \\tab{4}&423D0*Z(3)+(\\spad{-0}.02065879269286707D0*Z(2))\\spad{+0}.03160990266745513D0*Z(1\\spad{\\br} \\tab{4}&)\\spad{\\br} \\tab{5}\\spad{W}(8)\\spad{=0}.126386868896738D0*Z(16)\\spad{+0}.002563370039476418D0*Z(15)+(\\spad{-0}.05\\spad{\\br} \\tab{4}&581757739455641D0*Z(14))+(\\spad{-0}.07777893205900685D0*Z(13))\\spad{+0}.23117338\\spad{\\br} \\tab{4}&45834199D0*Z(12)+(\\spad{-0}.06031581134427592D0*Z(11))+(\\spad{-0}.14805474755869\\spad{\\br} \\tab{4}&52D0*Z(10))+(\\spad{-0}.3364014128402243D0*Z(9))\\spad{+0}.9364014128402244D0*Z(8)\\spad{\\br} \\tab{4}\\spad{&+}(\\spad{-0}.3269452524413048D0*Z(7))+(\\spad{-0}.1396841886557241D0*Z(6))+(\\spad{-0}.056\\spad{\\br} \\tab{4}&1733845834199D0*Z(5))\\spad{+0}.1777789320590069D0*Z(4)+(\\spad{-0}.04418242260544\\spad{\\br} \\tab{4}&359D0*Z(3))+(\\spad{-0}.02756337003947642D0*Z(2))\\spad{+0}.07361313110326199D0*Z(\\spad{\\br} \\tab{4}\\spad{&1})\\spad{\\br} \\tab{5}\\spad{W}(9)\\spad{=0}.07361313110326199D0*Z(16)+(\\spad{-0}.02756337003947642D0*Z(15))+(-\\spad{\\br} \\tab{4}\\spad{&0}.04418242260544359D0*Z(14))\\spad{+0}.1777789320590069D0*Z(13)+(\\spad{-0}.056173\\spad{\\br} \\tab{4}&3845834199D0*Z(12))+(\\spad{-0}.1396841886557241D0*Z(11))+(\\spad{-0}.326945252441\\spad{\\br} \\tab{4}&3048D0*Z(10))\\spad{+0}.9364014128402244D0*Z(9)+(\\spad{-0}.3364014128402243D0*Z(8\\spad{\\br} \\tab{4}&))+(\\spad{-0}.1480547475586952D0*Z(7))+(\\spad{-0}.06031581134427592D0*Z(6))\\spad{+0}.23\\spad{\\br} \\tab{4}&11733845834199D0*Z(5)+(\\spad{-0}.07777893205900685D0*Z(4))+(\\spad{-0}.0558175773\\spad{\\br} \\tab{4}&9455641D0*Z(3))\\spad{+0}.002563370039476418D0*Z(2)\\spad{+0}.126386868896738D0*Z(\\spad{\\br} \\tab{4}\\spad{&1})\\spad{\\br} \\tab{5}\\spad{W}(10)\\spad{=0}.03160990266745513D0*Z(16)+(\\spad{-0}.02065879269286707D0*Z(15))\\spad{+0}\\spad{\\br} \\tab{4}&.2057504515015423D0*Z(14)+(\\spad{-0}.1006185171570586D0*Z(13))+(\\spad{-0}.136246\\spad{\\br} \\tab{4}&3839920727D0*Z(12))+(\\spad{-0}.3199955249404657D0*Z(11))\\spad{+0}.94427911585609\\spad{\\br} \\tab{4}&48D0*Z(10)+(\\spad{-0}.3363262957694705D0*Z(9))+(\\spad{-0}.1559813965382218D0*Z(8\\spad{\\br} \\tab{4}&))+(\\spad{-0}.06735603893301795D0*Z(7))\\spad{+0}.2276878326327734D0*Z(6)+(\\spad{-0}.032\\spad{\\br} \\tab{4}&98438523869648D0*Z(5))+(\\spad{-0}.083996867458326D0*Z(4))+(\\spad{-0}.02113506688\\spad{\\br} \\tab{4}&615768D0*Z(3))\\spad{+0}.06681263884671322D0*Z(2)\\spad{+0}.06069778964023718D0*Z(\\spad{\\br} \\tab{4}\\spad{&1})\\spad{\\br} \\tab{5}\\spad{W}(11)\\spad{=0}.04254083491825025D0*Z(16)\\spad{+0}.2311852964327382D0*Z(15)+(\\spad{-0}.0\\spad{\\br} \\tab{4}&7037620467004427D0*Z(14))+(\\spad{-0}.1846882042225383D0*Z(13))+(\\spad{-0}.315830\\spad{\\br} \\tab{4}&9975786731D0*Z(12))\\spad{+0}.952576555482747D0*Z(11)+(\\spad{-0}.328001910890377D\\spad{\\br} \\tab{4}&0*Z(10))+(\\spad{-0}.1589391311991561D0*Z(9))+(\\spad{-0}.07375317649315155D0*Z(8)\\spad{\\br} \\tab{4}&)\\spad{+0}.2229538339673001D0*Z(7)+(\\spad{-0}.03526886317505474D0*Z(6))+(\\spad{-0}.0493\\spad{\\br} \\tab{4}&1323319055762D0*Z(5))+(\\spad{-0}.04319641116207706D0*Z(4))\\spad{+0}.048260820054\\spad{\\br} \\tab{4}&65965D0*Z(3)\\spad{+0}.01328585741341559D0*Z(2)\\spad{+0}.04015147277405744D0*Z(1)\\spad{\\br} \\tab{5}\\spad{W}(12)\\spad{=0}.3198209177068516D0*Z(16)+(\\spad{-0}.03423495461011043D0*Z(15))+(-\\spad{\\br} \\tab{4}\\spad{&0}.1417185427288274D0*Z(14))+(\\spad{-0}.3852396953763045D0*Z(13))\\spad{+0}.959162\\spad{\\br} \\tab{4}&3347824002D0*Z(12)+(\\spad{-0}.315042193418466D0*Z(11))+(\\spad{-0}.14739952092889\\spad{\\br} \\tab{4}&45D0*Z(10))+(\\spad{-0}.08249492560213524D0*Z(9))\\spad{+0}.2171103102175198D0*Z(8\\spad{\\br} \\tab{4}&)+(\\spad{-0}.03769663291725935D0*Z(7))+(\\spad{-0}.05034242196614937D0*Z(6))+(\\spad{-0}.\\spad{\\br} \\tab{4}&01445079632086177D0*Z(5))\\spad{+0}.02947046460707379D0*Z(4)+(\\spad{-0}.002512226\\spad{\\br} \\tab{4}&501941856D0*Z(3))+(\\spad{-0}.001822737697581869D0*Z(2))\\spad{+0}.045563697677763\\spad{\\br} \\tab{4}&75D0*Z(1)\\spad{\\br} \\tab{5}\\spad{W}(13)\\spad{=0}.09089205517109111D0*Z(16)+(\\spad{-0}.09033531980693314D0*Z(15))+(\\spad{\\br} \\tab{4}&-0.3241503380268184D0*Z(14))\\spad{+0}.8600427128450191D0*Z(13)+(\\spad{-0}.305169\\spad{\\br} \\tab{4}&742604165D0*Z(12))+(\\spad{-0}.1280829963720053D0*Z(11))+(\\spad{-0}.0663087451453\\spad{\\br} \\tab{4}&5952D0*Z(10))\\spad{+0}.2012230497530726D0*Z(9)+(\\spad{-0}.04353074206076491D0*Z(\\spad{\\br} \\tab{4}\\spad{&8}))+(\\spad{-0}.05051817793156355D0*Z(7))+(\\spad{-0}.014224695935687D0*Z(6))\\spad{+0}.05\\spad{\\br} \\tab{4}&468897337339577D0*Z(5)+(\\spad{-0}.01965809746040371D0*Z(4))+(\\spad{-0}.016234277\\spad{\\br} \\tab{4}&35779699D0*Z(3))\\spad{+0}.005239165960779299D0*Z(2)\\spad{+0}.05141563713660119D0\\spad{\\br} \\tab{4}\\spad{&*Z}(1)\\spad{\\br} \\tab{5}\\spad{W}(14)=(\\spad{-0}.02986582812574917D0*Z(16))+(\\spad{-0}.2995429545781457D0*Z(15))\\spad{\\br} \\tab{4}\\spad{&+0}.8892996132269974D0*Z(14)+(\\spad{-0}.3523683853026259D0*Z(13))+(\\spad{-0}.1236\\spad{\\br} \\tab{4}&679206156403D0*Z(12))+(\\spad{-0}.05760560341383113D0*Z(11))\\spad{+0}.20910979278\\spad{\\br} \\tab{4}&87612D0*Z(10)+(\\spad{-0}.04901428822579872D0*Z(9))+(\\spad{-0}.05483186562035512D\\spad{\\br} \\tab{4}&0*Z(8))+(\\spad{-0}.01632133125029967D0*Z(7))\\spad{+0}.05375944956767728D0*Z(6)\\spad{+0}\\spad{\\br} \\tab{4}&.002033305231024948D0*Z(5)+(\\spad{-0}.03032392238968179D0*Z(4))+(\\spad{-0}.00660\\spad{\\br} \\tab{4}&7305534689702D0*Z(3))\\spad{+0}.02021603150122265D0*Z(2)\\spad{+0}.033711981971903\\spad{\\br} \\tab{4}&02D0*Z(1)\\spad{\\br} \\tab{5}\\spad{W}(15)=(\\spad{-0}.2419652703415429D0*Z(16))\\spad{+0}.9128222941872173D0*Z(15)+(\\spad{-0}\\spad{\\br} \\tab{4}&.3244016605667343D0*Z(14))+(\\spad{-0}.1688977368984641D0*Z(13))+(\\spad{-0}.05325\\spad{\\br} \\tab{4}&555586632358D0*Z(12))\\spad{+0}.2176561076571465D0*Z(11)+(\\spad{-0}.0415311995556\\spad{\\br} \\tab{4}&9051D0*Z(10))+(\\spad{-0}.06095390688679697D0*Z(9))+(\\spad{-0}.01981532388243379D\\spad{\\br} \\tab{4}&0*Z(8))\\spad{+0}.05258889186338282D0*Z(7)\\spad{+0}.00157466157362272D0*Z(6)+(\\spad{-0}.\\spad{\\br} \\tab{4}&0135713672105995D0*Z(5))+(\\spad{-0}.01764072463999744D0*Z(4))\\spad{+0}.010940122\\spad{\\br} \\tab{4}&10519586D0*Z(3)\\spad{+0}.008812321197398072D0*Z(2)\\spad{+0}.0227345011107737D0*Z\\spad{\\br} \\tab{4}&(1)\\spad{\\br} \\tab{5}\\spad{W}(16)\\spad{=1}.019463911841327D0*Z(16)+(\\spad{-0}.2803531651057233D0*Z(15))+(\\spad{-0}.\\spad{\\br} \\tab{4}&1165300508238904D0*Z(14))+(\\spad{-0}.1385343580686922D0*Z(13))\\spad{+0}.22647669\\spad{\\br} \\tab{4}&47290192D0*Z(12)+(\\spad{-0}.02434652144032987D0*Z(11))+(\\spad{-0}.04723268012114\\spad{\\br} \\tab{4}&625D0*Z(10))+(\\spad{-0}.03586220812223305D0*Z(9))\\spad{+0}.04932374658377151D0*Z\\spad{\\br} \\tab{4}&(8)\\spad{+0}.00372306473653087D0*Z(7)+(\\spad{-0}.01219194009813166D0*Z(6))+(\\spad{-0}.0\\spad{\\br} \\tab{4}&07005540882865317D0*Z(5))\\spad{+0}.002957434991769087D0*Z(4)\\spad{+0}.0021069739\\spad{\\br} \\tab{4}&00813502D0*Z(3)\\spad{+0}.001747395874954051D0*Z(2)\\spad{+0}.01707454969713436D0*\\spad{\\br} \\tab{4}\\spad{&Z}(1)\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END\\spad{\\br}"))) 
 NIL 
 NIL 
-(-74 -3393) 
+(-74 -1486) 
 ((|constructor| (NIL "\\spadtype{Asp29} produces Fortran for Type 29 ASPs,{} needed for NAG routine f02fjf,{} for example: \\blankline \\tab{5}SUBROUTINE MONIT(ISTATE,{}NEXTIT,{}NEVALS,{}NEVECS,{}\\spad{K},{}\\spad{F},{}\\spad{D})\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{D}(\\spad{K}),{}\\spad{F}(\\spad{K})\\spad{\\br} \\tab{5}INTEGER \\spad{K},{}NEXTIT,{}NEVALS,{}NVECS,{}ISTATE\\spad{\\br} \\tab{5}CALL F02FJZ(ISTATE,{}NEXTIT,{}NEVALS,{}NEVECS,{}\\spad{K},{}\\spad{F},{}\\spad{D})\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END\\spad{\\br}")) (|outputAsFortran| (((|Void|)) "\\spad{outputAsFortran()} generates the default code for \\spadtype{ASP29}."))) 
 NIL 
 NIL 
-(-75 -3393) 
+(-75 -1486) 
 ((|constructor| (NIL "\\spadtype{Asp30} produces Fortran for Type 30 ASPs,{} needed for NAG routine f04qaf,{} for example: \\blankline \\tab{5}SUBROUTINE APROD(MODE,{}\\spad{M},{}\\spad{N},{}\\spad{X},{}\\spad{Y},{}RWORK,{}LRWORK,{}IWORK,{}LIWORK)\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{X}(\\spad{N}),{}\\spad{Y}(\\spad{M}),{}RWORK(LRWORK)\\spad{\\br} \\tab{5}INTEGER \\spad{M},{}\\spad{N},{}LIWORK,{}IFAIL,{}LRWORK,{}IWORK(LIWORK),{}MODE\\spad{\\br} \\tab{5}DOUBLE PRECISION A(5,{}5)\\spad{\\br} \\tab{5}EXTERNAL F06PAF\\spad{\\br} \\tab{5}A(1,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}A(1,{}2)\\spad{=0}.0D0\\spad{\\br} \\tab{5}A(1,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{5}A(1,{}4)=-1.0D0\\spad{\\br} \\tab{5}A(1,{}5)\\spad{=0}.0D0\\spad{\\br} \\tab{5}A(2,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}A(2,{}2)\\spad{=1}.0D0\\spad{\\br} \\tab{5}A(2,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{5}A(2,{}4)\\spad{=0}.0D0\\spad{\\br} \\tab{5}A(2,{}5)=-1.0D0\\spad{\\br} \\tab{5}A(3,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}A(3,{}2)\\spad{=0}.0D0\\spad{\\br} \\tab{5}A(3,{}3)\\spad{=1}.0D0\\spad{\\br} \\tab{5}A(3,{}4)=-1.0D0\\spad{\\br} \\tab{5}A(3,{}5)\\spad{=0}.0D0\\spad{\\br} \\tab{5}A(4,{}1)=-1.0D0\\spad{\\br} \\tab{5}A(4,{}2)\\spad{=0}.0D0\\spad{\\br} \\tab{5}A(4,{}3)=-1.0D0\\spad{\\br} \\tab{5}A(4,{}4)\\spad{=4}.0D0\\spad{\\br} \\tab{5}A(4,{}5)=-1.0D0\\spad{\\br} \\tab{5}A(5,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}A(5,{}2)=-1.0D0\\spad{\\br} \\tab{5}A(5,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{5}A(5,{}4)=-1.0D0\\spad{\\br} \\tab{5}A(5,{}5)\\spad{=4}.0D0\\spad{\\br} \\tab{5}IF(MODE.EQ.1)THEN\\spad{\\br} \\tab{7}CALL F06PAF(\\spad{'N'},{}\\spad{M},{}\\spad{N},{}1.0D0,{}A,{}\\spad{M},{}\\spad{X},{}1,{}1.0D0,{}\\spad{Y},{}1)\\spad{\\br} \\tab{5}ELSEIF(MODE.EQ.2)THEN\\spad{\\br} \\tab{7}CALL F06PAF(\\spad{'T'},{}\\spad{M},{}\\spad{N},{}1.0D0,{}A,{}\\spad{M},{}\\spad{Y},{}1,{}1.0D0,{}\\spad{X},{}1)\\spad{\\br} \\tab{5}ENDIF\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END"))) 
 NIL 
 NIL 
-(-76 -3393) 
+(-76 -1486) 
 ((|constructor| (NIL "\\spadtype{Asp31} produces Fortran for Type 31 ASPs,{} needed for NAG routine d02ejf,{} for example: \\blankline \\tab{5}SUBROUTINE PEDERV(\\spad{X},{}\\spad{Y},{}\\spad{PW})\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{X},{}\\spad{Y}(*)\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{PW}(3,{}3)\\spad{\\br} \\tab{5}\\spad{PW}(1,{}1)=-0.03999999999999999D0\\spad{\\br} \\tab{5}\\spad{PW}(1,{}2)\\spad{=10000}.0D0*Y(3)\\spad{\\br} \\tab{5}\\spad{PW}(1,{}3)\\spad{=10000}.0D0*Y(2)\\spad{\\br} \\tab{5}\\spad{PW}(2,{}1)\\spad{=0}.03999999999999999D0\\spad{\\br} \\tab{5}\\spad{PW}(2,{}2)=(\\spad{-10000}.0D0*Y(3))+(\\spad{-60000000}.0D0*Y(2))\\spad{\\br} \\tab{5}\\spad{PW}(2,{}3)=-10000.0D0*Y(2)\\spad{\\br} \\tab{5}\\spad{PW}(3,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{PW}(3,{}2)\\spad{=60000000}.0D0*Y(2)\\spad{\\br} \\tab{5}\\spad{PW}(3,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-77 -3393) 
+(-77 -1486) 
 ((|constructor| (NIL "\\spadtype{Asp33} produces Fortran for Type 33 ASPs,{} needed for NAG routine d02kef. The code is a dummy ASP: \\blankline \\tab{5}SUBROUTINE REPORT(\\spad{X},{}\\spad{V},{}JINT)\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{V}(3),{}\\spad{X}\\spad{\\br} \\tab{5}INTEGER JINT\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|outputAsFortran| (((|Void|)) "\\spad{outputAsFortran()} generates the default code for \\spadtype{ASP33}."))) 
 NIL 
 NIL 
-(-78 -3393) 
+(-78 -1486) 
 ((|constructor| (NIL "\\spadtype{Asp34} produces Fortran for Type 34 ASPs,{} needed for NAG routine f04mbf,{} for example: \\blankline \\tab{5}SUBROUTINE MSOLVE(IFLAG,{}\\spad{N},{}\\spad{X},{}\\spad{Y},{}RWORK,{}LRWORK,{}IWORK,{}LIWORK)\\spad{\\br} \\tab{5}DOUBLE PRECISION RWORK(LRWORK),{}\\spad{X}(\\spad{N}),{}\\spad{Y}(\\spad{N})\\spad{\\br} \\tab{5}INTEGER \\spad{I},{}\\spad{J},{}\\spad{N},{}LIWORK,{}IFLAG,{}LRWORK,{}IWORK(LIWORK)\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{W1}(3),{}\\spad{W2}(3),{}\\spad{MS}(3,{}3)\\spad{\\br} \\tab{5}IFLAG=-1\\spad{\\br} \\tab{5}\\spad{MS}(1,{}1)\\spad{=2}.0D0\\spad{\\br} \\tab{5}\\spad{MS}(1,{}2)\\spad{=1}.0D0\\spad{\\br} \\tab{5}\\spad{MS}(1,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{MS}(2,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}\\spad{MS}(2,{}2)\\spad{=2}.0D0\\spad{\\br} \\tab{5}\\spad{MS}(2,{}3)\\spad{=1}.0D0\\spad{\\br} \\tab{5}\\spad{MS}(3,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{MS}(3,{}2)\\spad{=1}.0D0\\spad{\\br} \\tab{5}\\spad{MS}(3,{}3)\\spad{=2}.0D0\\spad{\\br} \\tab{5}CALL F04ASF(\\spad{MS},{}\\spad{N},{}\\spad{X},{}\\spad{N},{}\\spad{Y},{}\\spad{W1},{}\\spad{W2},{}IFLAG)\\spad{\\br} \\tab{5}IFLAG=-IFLAG\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END"))) 
 NIL 
 NIL 
-(-79 -3393) 
+(-79 -1486) 
 ((|constructor| (NIL "\\spadtype{Asp35} produces Fortran for Type 35 ASPs,{} needed for NAG routines c05pbf,{} c05pcf,{} for example: \\blankline \\tab{5}SUBROUTINE \\spad{FCN}(\\spad{N},{}\\spad{X},{}FVEC,{}FJAC,{}LDFJAC,{}IFLAG)\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{X}(\\spad{N}),{}FVEC(\\spad{N}),{}FJAC(LDFJAC,{}\\spad{N})\\spad{\\br} \\tab{5}INTEGER LDFJAC,{}\\spad{N},{}IFLAG\\spad{\\br} \\tab{5}IF(IFLAG.EQ.1)THEN\\spad{\\br} \\tab{7}FVEC(1)=(\\spad{-1}.0D0*X(2))\\spad{+X}(1)\\spad{\\br} \\tab{7}FVEC(2)=(\\spad{-1}.0D0*X(3))\\spad{+2}.0D0*X(2)\\spad{\\br} \\tab{7}FVEC(3)\\spad{=3}.0D0*X(3)\\spad{\\br} \\tab{5}ELSEIF(IFLAG.EQ.2)THEN\\spad{\\br} \\tab{7}FJAC(1,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{7}FJAC(1,{}2)=-1.0D0\\spad{\\br} \\tab{7}FJAC(1,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{7}FJAC(2,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{7}FJAC(2,{}2)\\spad{=2}.0D0\\spad{\\br} \\tab{7}FJAC(2,{}3)=-1.0D0\\spad{\\br} \\tab{7}FJAC(3,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{7}FJAC(3,{}2)\\spad{=0}.0D0\\spad{\\br} \\tab{7}FJAC(3,{}3)\\spad{=3}.0D0\\spad{\\br} \\tab{5}ENDIF\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
@@ -256,66 +256,66 @@ NIL
 ((|constructor| (NIL "\\spadtype{Asp42} produces Fortran for Type 42 ASPs,{} needed for NAG routines d02raf and d02saf in particular. These ASPs are in fact three Fortran routines which return a vector of functions,{} and their derivatives \\spad{wrt} \\spad{Y}(\\spad{i}) and also a continuation parameter EPS,{} for example: \\blankline \\tab{5}SUBROUTINE \\spad{G}(EPS,{}YA,{}\\spad{YB},{}\\spad{BC},{}\\spad{N})\\spad{\\br} \\tab{5}DOUBLE PRECISION EPS,{}YA(\\spad{N}),{}\\spad{YB}(\\spad{N}),{}\\spad{BC}(\\spad{N})\\spad{\\br} \\tab{5}INTEGER \\spad{N}\\spad{\\br} \\tab{5}\\spad{BC}(1)=YA(1)\\spad{\\br} \\tab{5}\\spad{BC}(2)=YA(2)\\spad{\\br} \\tab{5}\\spad{BC}(3)\\spad{=YB}(2)\\spad{-1}.0D0\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END\\spad{\\br} \\tab{5}SUBROUTINE JACOBG(EPS,{}YA,{}\\spad{YB},{}AJ,{}\\spad{BJ},{}\\spad{N})\\spad{\\br} \\tab{5}DOUBLE PRECISION EPS,{}YA(\\spad{N}),{}AJ(\\spad{N},{}\\spad{N}),{}\\spad{BJ}(\\spad{N},{}\\spad{N}),{}\\spad{YB}(\\spad{N})\\spad{\\br} \\tab{5}INTEGER \\spad{N}\\spad{\\br} \\tab{5}AJ(1,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}AJ(1,{}2)\\spad{=0}.0D0\\spad{\\br} \\tab{5}AJ(1,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{5}AJ(2,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}AJ(2,{}2)\\spad{=1}.0D0\\spad{\\br} \\tab{5}AJ(2,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{5}AJ(3,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}AJ(3,{}2)\\spad{=0}.0D0\\spad{\\br} \\tab{5}AJ(3,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{BJ}(1,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{BJ}(1,{}2)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{BJ}(1,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{BJ}(2,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{BJ}(2,{}2)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{BJ}(2,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{BJ}(3,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{BJ}(3,{}2)\\spad{=1}.0D0\\spad{\\br} \\tab{5}\\spad{BJ}(3,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END\\spad{\\br} \\tab{5}SUBROUTINE JACGEP(EPS,{}YA,{}\\spad{YB},{}BCEP,{}\\spad{N})\\spad{\\br} \\tab{5}DOUBLE PRECISION EPS,{}YA(\\spad{N}),{}\\spad{YB}(\\spad{N}),{}BCEP(\\spad{N})\\spad{\\br} \\tab{5}INTEGER \\spad{N}\\spad{\\br} \\tab{5}BCEP(1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}BCEP(2)\\spad{=0}.0D0\\spad{\\br} \\tab{5}BCEP(3)\\spad{=0}.0D0\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE EPS)) (|construct| (QUOTE YA) (QUOTE YB)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-82 -3393) 
+(-82 -1486) 
 ((|constructor| (NIL "\\spadtype{Asp49} produces Fortran for Type 49 ASPs,{} needed for NAG routines e04dgf,{} e04ucf,{} for example: \\blankline \\tab{5}SUBROUTINE OBJFUN(MODE,{}\\spad{N},{}\\spad{X},{}OBJF,{}OBJGRD,{}NSTATE,{}IUSER,{}USER)\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{X}(\\spad{N}),{}OBJF,{}OBJGRD(\\spad{N}),{}USER(*)\\spad{\\br} \\tab{5}INTEGER \\spad{N},{}IUSER(*),{}MODE,{}NSTATE\\spad{\\br} \\tab{5}OBJF=X(4)\\spad{*X}(9)+((\\spad{-1}.0D0*X(5))\\spad{+X}(3))\\spad{*X}(8)+((\\spad{-1}.0D0*X(3))\\spad{+X}(1))\\spad{*X}(7)\\spad{\\br} \\tab{4}\\spad{&+}(\\spad{-1}.0D0*X(2)\\spad{*X}(6))\\spad{\\br} \\tab{5}OBJGRD(1)\\spad{=X}(7)\\spad{\\br} \\tab{5}OBJGRD(2)=-1.0D0*X(6)\\spad{\\br} \\tab{5}OBJGRD(3)\\spad{=X}(8)+(\\spad{-1}.0D0*X(7))\\spad{\\br} \\tab{5}OBJGRD(4)\\spad{=X}(9)\\spad{\\br} \\tab{5}OBJGRD(5)=-1.0D0*X(8)\\spad{\\br} \\tab{5}OBJGRD(6)=-1.0D0*X(2)\\spad{\\br} \\tab{5}OBJGRD(7)=(\\spad{-1}.0D0*X(3))\\spad{+X}(1)\\spad{\\br} \\tab{5}OBJGRD(8)=(\\spad{-1}.0D0*X(5))\\spad{+X}(3)\\spad{\\br} \\tab{5}OBJGRD(9)\\spad{=X}(4)\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))) "\\spad{coerce(f)} takes an object from the appropriate instantiation of \\spadtype{FortranExpression} and turns it into an ASP."))) 
 NIL 
 NIL 
-(-83 -3393) 
+(-83 -1486) 
 ((|constructor| (NIL "\\spadtype{Asp4} produces Fortran for Type 4 ASPs,{} which take an expression in \\spad{X}(1) .. \\spad{X}(NDIM) and produce a real function of the form: \\blankline \\tab{5}DOUBLE PRECISION FUNCTION FUNCTN(NDIM,{}\\spad{X})\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{X}(NDIM)\\spad{\\br} \\tab{5}INTEGER NDIM\\spad{\\br} \\tab{5}FUNCTN=(4.0D0*X(1)\\spad{*X}(3)**2*DEXP(2.0D0*X(1)\\spad{*X}(3)))/(\\spad{X}(4)**2+(2.0D0*\\spad{\\br} \\tab{4}\\spad{&X}(2)\\spad{+2}.0D0)\\spad{*X}(4)\\spad{+X}(2)\\spad{**2+2}.0D0*X(2)\\spad{+1}.0D0)\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))) "\\spad{coerce(f)} takes an object from the appropriate instantiation of \\spadtype{FortranExpression} and turns it into an ASP."))) 
 NIL 
 NIL 
-(-84 -3393) 
+(-84 -1486) 
 ((|constructor| (NIL "\\spadtype{Asp50} produces Fortran for Type 50 ASPs,{} needed for NAG routine e04fdf,{} for example: \\blankline \\tab{5}SUBROUTINE \\spad{LSFUN1}(\\spad{M},{}\\spad{N},{}\\spad{XC},{}FVECC)\\spad{\\br} \\tab{5}DOUBLE PRECISION FVECC(\\spad{M}),{}\\spad{XC}(\\spad{N})\\spad{\\br} \\tab{5}INTEGER \\spad{I},{}\\spad{M},{}\\spad{N}\\spad{\\br} \\tab{5}FVECC(1)=((\\spad{XC}(1)\\spad{-2}.4D0)\\spad{*XC}(3)+(15.0D0*XC(1)\\spad{-36}.0D0)\\spad{*XC}(2)\\spad{+1}.0D0)/(\\spad{\\br} \\tab{4}\\spad{&XC}(3)\\spad{+15}.0D0*XC(2))\\spad{\\br} \\tab{5}FVECC(2)=((\\spad{XC}(1)\\spad{-2}.8D0)\\spad{*XC}(3)+(7.0D0*XC(1)\\spad{-19}.6D0)\\spad{*XC}(2)\\spad{+1}.0D0)/(\\spad{X}\\spad{\\br} \\tab{4}\\spad{&C}(3)\\spad{+7}.0D0*XC(2))\\spad{\\br} \\tab{5}FVECC(3)=((\\spad{XC}(1)\\spad{-3}.2D0)\\spad{*XC}(3)+(4.333333333333333D0*XC(1)\\spad{-13}.866666\\spad{\\br} \\tab{4}\\spad{&66666667D0})\\spad{*XC}(2)\\spad{+1}.0D0)/(\\spad{XC}(3)\\spad{+4}.333333333333333D0*XC(2))\\spad{\\br} \\tab{5}FVECC(4)=((\\spad{XC}(1)\\spad{-3}.5D0)\\spad{*XC}(3)+(3.0D0*XC(1)\\spad{-10}.5D0)\\spad{*XC}(2)\\spad{+1}.0D0)/(\\spad{X}\\spad{\\br} \\tab{4}\\spad{&C}(3)\\spad{+3}.0D0*XC(2))\\spad{\\br} \\tab{5}FVECC(5)=((\\spad{XC}(1)\\spad{-3}.9D0)\\spad{*XC}(3)+(2.2D0*XC(1)\\spad{-8}.579999999999998D0)\\spad{*XC}\\spad{\\br} \\tab{4}&(2)\\spad{+1}.0D0)/(\\spad{XC}(3)\\spad{+2}.2D0*XC(2))\\spad{\\br} \\tab{5}FVECC(6)=((\\spad{XC}(1)\\spad{-4}.199999999999999D0)\\spad{*XC}(3)+(1.666666666666667D0*X\\spad{\\br} \\tab{4}\\spad{&C}(1)\\spad{-7}.0D0)\\spad{*XC}(2)\\spad{+1}.0D0)/(\\spad{XC}(3)\\spad{+1}.666666666666667D0*XC(2))\\spad{\\br} \\tab{5}FVECC(7)=((\\spad{XC}(1)\\spad{-4}.5D0)\\spad{*XC}(3)+(1.285714285714286D0*XC(1)\\spad{-5}.7857142\\spad{\\br} \\tab{4}\\spad{&85714286D0})\\spad{*XC}(2)\\spad{+1}.0D0)/(\\spad{XC}(3)\\spad{+1}.285714285714286D0*XC(2))\\spad{\\br} \\tab{5}FVECC(8)=((\\spad{XC}(1)\\spad{-4}.899999999999999D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-4}.8999999999999\\spad{\\br} \\tab{4}\\spad{&99D0})\\spad{*XC}(2)\\spad{+1}.0D0)/(\\spad{XC}(3)\\spad{+XC}(2))\\spad{\\br} \\tab{5}FVECC(9)=((\\spad{XC}(1)\\spad{-4}.699999999999999D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-4}.6999999999999\\spad{\\br} \\tab{4}\\spad{&99D0})\\spad{*XC}(2)\\spad{+1}.285714285714286D0)/(\\spad{XC}(3)\\spad{+XC}(2))\\spad{\\br} \\tab{5}FVECC(10)=((\\spad{XC}(1)\\spad{-6}.8D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-6}.8D0)\\spad{*XC}(2)\\spad{+1}.6666666666666\\spad{\\br} \\tab{4}\\spad{&67D0})/(\\spad{XC}(3)\\spad{+XC}(2))\\spad{\\br} \\tab{5}FVECC(11)=((\\spad{XC}(1)\\spad{-8}.299999999999999D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-8}.299999999999\\spad{\\br} \\tab{4}\\spad{&999D0})\\spad{*XC}(2)\\spad{+2}.2D0)/(\\spad{XC}(3)\\spad{+XC}(2))\\spad{\\br} \\tab{5}FVECC(12)=((\\spad{XC}(1)\\spad{-10}.6D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-10}.6D0)\\spad{*XC}(2)\\spad{+3}.0D0)/(\\spad{XC}(3)\\spad{\\br} \\tab{4}&+XC(2))\\spad{\\br} \\tab{5}FVECC(13)=((\\spad{XC}(1)\\spad{-1}.34D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-1}.34D0)\\spad{*XC}(2)\\spad{+4}.33333333333\\spad{\\br} \\tab{4}\\spad{&3333D0})/(\\spad{XC}(3)\\spad{+XC}(2))\\spad{\\br} \\tab{5}FVECC(14)=((\\spad{XC}(1)\\spad{-2}.1D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-2}.1D0)\\spad{*XC}(2)\\spad{+7}.0D0)/(\\spad{XC}(3)\\spad{+X}\\spad{\\br} \\tab{4}\\spad{&C}(2))\\spad{\\br} \\tab{5}FVECC(15)=((\\spad{XC}(1)\\spad{-4}.39D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-4}.39D0)\\spad{*XC}(2)\\spad{+15}.0D0)/(\\spad{XC}(3\\spad{\\br} \\tab{4}&)\\spad{+XC}(2))\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-85 -3393) 
+(-85 -1486) 
 ((|constructor| (NIL "\\spadtype{Asp55} produces Fortran for Type 55 ASPs,{} needed for NAG routines e04dgf and e04ucf,{} for example: \\blankline \\tab{5}SUBROUTINE CONFUN(MODE,{}NCNLN,{}\\spad{N},{}NROWJ,{}NEEDC,{}\\spad{X},{}\\spad{C},{}CJAC,{}NSTATE,{}IUSER\\spad{\\br} \\tab{4}&,{}USER)\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{C}(NCNLN),{}\\spad{X}(\\spad{N}),{}CJAC(NROWJ,{}\\spad{N}),{}USER(*)\\spad{\\br} \\tab{5}INTEGER \\spad{N},{}IUSER(*),{}NEEDC(NCNLN),{}NROWJ,{}MODE,{}NCNLN,{}NSTATE\\spad{\\br} \\tab{5}IF(NEEDC(1).\\spad{GT}.0)THEN\\spad{\\br} \\tab{7}\\spad{C}(1)\\spad{=X}(6)**2+X(1)\\spad{**2}\\spad{\\br} \\tab{7}CJAC(1,{}1)\\spad{=2}.0D0*X(1)\\spad{\\br} \\tab{7}CJAC(1,{}2)\\spad{=0}.0D0\\spad{\\br} \\tab{7}CJAC(1,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{7}CJAC(1,{}4)\\spad{=0}.0D0\\spad{\\br} \\tab{7}CJAC(1,{}5)\\spad{=0}.0D0\\spad{\\br} \\tab{7}CJAC(1,{}6)\\spad{=2}.0D0*X(6)\\spad{\\br} \\tab{5}ENDIF\\spad{\\br} \\tab{5}IF(NEEDC(2).\\spad{GT}.0)THEN\\spad{\\br} \\tab{7}\\spad{C}(2)\\spad{=X}(2)**2+(\\spad{-2}.0D0*X(1)\\spad{*X}(2))\\spad{+X}(1)\\spad{**2}\\spad{\\br} \\tab{7}CJAC(2,{}1)=(\\spad{-2}.0D0*X(2))\\spad{+2}.0D0*X(1)\\spad{\\br} \\tab{7}CJAC(2,{}2)\\spad{=2}.0D0*X(2)+(\\spad{-2}.0D0*X(1))\\spad{\\br} \\tab{7}CJAC(2,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{7}CJAC(2,{}4)\\spad{=0}.0D0\\spad{\\br} \\tab{7}CJAC(2,{}5)\\spad{=0}.0D0\\spad{\\br} \\tab{7}CJAC(2,{}6)\\spad{=0}.0D0\\spad{\\br} \\tab{5}ENDIF\\spad{\\br} \\tab{5}IF(NEEDC(3).\\spad{GT}.0)THEN\\spad{\\br} \\tab{7}\\spad{C}(3)\\spad{=X}(3)**2+(\\spad{-2}.0D0*X(1)\\spad{*X}(3))\\spad{+X}(2)**2+X(1)\\spad{**2}\\spad{\\br} \\tab{7}CJAC(3,{}1)=(\\spad{-2}.0D0*X(3))\\spad{+2}.0D0*X(1)\\spad{\\br} \\tab{7}CJAC(3,{}2)\\spad{=2}.0D0*X(2)\\spad{\\br} \\tab{7}CJAC(3,{}3)\\spad{=2}.0D0*X(3)+(\\spad{-2}.0D0*X(1))\\spad{\\br} \\tab{7}CJAC(3,{}4)\\spad{=0}.0D0\\spad{\\br} \\tab{7}CJAC(3,{}5)\\spad{=0}.0D0\\spad{\\br} \\tab{7}CJAC(3,{}6)\\spad{=0}.0D0\\spad{\\br} \\tab{5}ENDIF\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-86 -3393) 
+(-86 -1486) 
 ((|constructor| (NIL "\\spadtype{Asp6} produces Fortran for Type 6 ASPs,{} needed for NAG routines c05nbf,{} c05ncf. These represent vectors of functions of \\spad{X}(\\spad{i}) and look like: \\blankline \\tab{5}SUBROUTINE \\spad{FCN}(\\spad{N},{}\\spad{X},{}FVEC,{}IFLAG) \\tab{5}DOUBLE PRECISION \\spad{X}(\\spad{N}),{}FVEC(\\spad{N}) \\tab{5}INTEGER \\spad{N},{}IFLAG \\tab{5}FVEC(1)=(\\spad{-2}.0D0*X(2))+(\\spad{-2}.0D0*X(1)\\spad{**2})\\spad{+3}.0D0*X(1)\\spad{+1}.0D0 \\tab{5}FVEC(2)=(\\spad{-2}.0D0*X(3))+(\\spad{-2}.0D0*X(2)\\spad{**2})\\spad{+3}.0D0*X(2)+(\\spad{-1}.0D0*X(1))\\spad{+1}. \\tab{4}\\spad{&0D0} \\tab{5}FVEC(3)=(\\spad{-2}.0D0*X(4))+(\\spad{-2}.0D0*X(3)\\spad{**2})\\spad{+3}.0D0*X(3)+(\\spad{-1}.0D0*X(2))\\spad{+1}. \\tab{4}\\spad{&0D0} \\tab{5}FVEC(4)=(\\spad{-2}.0D0*X(5))+(\\spad{-2}.0D0*X(4)\\spad{**2})\\spad{+3}.0D0*X(4)+(\\spad{-1}.0D0*X(3))\\spad{+1}. \\tab{4}\\spad{&0D0} \\tab{5}FVEC(5)=(\\spad{-2}.0D0*X(6))+(\\spad{-2}.0D0*X(5)\\spad{**2})\\spad{+3}.0D0*X(5)+(\\spad{-1}.0D0*X(4))\\spad{+1}. \\tab{4}\\spad{&0D0} \\tab{5}FVEC(6)=(\\spad{-2}.0D0*X(7))+(\\spad{-2}.0D0*X(6)\\spad{**2})\\spad{+3}.0D0*X(6)+(\\spad{-1}.0D0*X(5))\\spad{+1}. \\tab{4}\\spad{&0D0} \\tab{5}FVEC(7)=(\\spad{-2}.0D0*X(8))+(\\spad{-2}.0D0*X(7)\\spad{**2})\\spad{+3}.0D0*X(7)+(\\spad{-1}.0D0*X(6))\\spad{+1}. \\tab{4}\\spad{&0D0} \\tab{5}FVEC(8)=(\\spad{-2}.0D0*X(9))+(\\spad{-2}.0D0*X(8)\\spad{**2})\\spad{+3}.0D0*X(8)+(\\spad{-1}.0D0*X(7))\\spad{+1}. \\tab{4}\\spad{&0D0} \\tab{5}FVEC(9)=(\\spad{-2}.0D0*X(9)\\spad{**2})\\spad{+3}.0D0*X(9)+(\\spad{-1}.0D0*X(8))\\spad{+1}.0D0 \\tab{5}RETURN \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-87 -3393) 
+(-87 -1486) 
 ((|constructor| (NIL "\\spadtype{Asp73} produces Fortran for Type 73 ASPs,{} needed for NAG routine d03eef,{} for example: \\blankline \\tab{5}SUBROUTINE PDEF(\\spad{X},{}\\spad{Y},{}ALPHA,{}BETA,{}GAMMA,{}DELTA,{}EPSOLN,{}PHI,{}PSI)\\spad{\\br} \\tab{5}DOUBLE PRECISION ALPHA,{}EPSOLN,{}PHI,{}\\spad{X},{}\\spad{Y},{}BETA,{}DELTA,{}GAMMA,{}PSI\\spad{\\br} \\tab{5}ALPHA=DSIN(\\spad{X})\\spad{\\br} \\tab{5}BETA=Y\\spad{\\br} \\tab{5}GAMMA=X*Y\\spad{\\br} \\tab{5}DELTA=DCOS(\\spad{X})*DSIN(\\spad{Y})\\spad{\\br} \\tab{5}EPSOLN=Y+X\\spad{\\br} \\tab{5}PHI=X\\spad{\\br} \\tab{5}PSI=Y\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X) (QUOTE Y)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-88 -3393) 
+(-88 -1486) 
 ((|constructor| (NIL "\\spadtype{Asp74} produces Fortran for Type 74 ASPs,{} needed for NAG routine d03eef,{} for example: \\blankline \\tab{5} SUBROUTINE BNDY(\\spad{X},{}\\spad{Y},{}A,{}\\spad{B},{}\\spad{C},{}IBND)\\spad{\\br} \\tab{5} DOUBLE PRECISION A,{}\\spad{B},{}\\spad{C},{}\\spad{X},{}\\spad{Y}\\spad{\\br} \\tab{5} INTEGER IBND\\spad{\\br} \\tab{5} IF(IBND.EQ.0)THEN\\spad{\\br} \\tab{7} \\spad{A=0}.0D0\\spad{\\br} \\tab{7} \\spad{B=1}.0D0\\spad{\\br} \\tab{7} \\spad{C=}-1.0D0*DSIN(\\spad{X})\\spad{\\br} \\tab{5} ELSEIF(IBND.EQ.1)THEN\\spad{\\br} \\tab{7} \\spad{A=1}.0D0\\spad{\\br} \\tab{7} \\spad{B=0}.0D0\\spad{\\br} \\tab{7} C=DSIN(\\spad{X})*DSIN(\\spad{Y})\\spad{\\br} \\tab{5} ELSEIF(IBND.EQ.2)THEN\\spad{\\br} \\tab{7} \\spad{A=1}.0D0\\spad{\\br} \\tab{7} \\spad{B=0}.0D0\\spad{\\br} \\tab{7} C=DSIN(\\spad{X})*DSIN(\\spad{Y})\\spad{\\br} \\tab{5} ELSEIF(IBND.EQ.3)THEN\\spad{\\br} \\tab{7} \\spad{A=0}.0D0\\spad{\\br} \\tab{7} \\spad{B=1}.0D0\\spad{\\br} \\tab{7} \\spad{C=}-1.0D0*DSIN(\\spad{Y})\\spad{\\br} \\tab{5} ENDIF\\spad{\\br} \\tab{5} END")) (|coerce| (($ (|Matrix| (|FortranExpression| (|construct| (QUOTE X) (QUOTE Y)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-89 -3393) 
+(-89 -1486) 
 ((|constructor| (NIL "\\spadtype{Asp77} produces Fortran for Type 77 ASPs,{} needed for NAG routine d02gbf,{} for example: \\blankline \\tab{5}SUBROUTINE FCNF(\\spad{X},{}\\spad{F})\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{X}\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{F}(2,{}2)\\spad{\\br} \\tab{5}\\spad{F}(1,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{F}(1,{}2)\\spad{=1}.0D0\\spad{\\br} \\tab{5}\\spad{F}(2,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{F}(2,{}2)=-10.0D0\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|Matrix| (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-90 -3393) 
+(-90 -1486) 
 ((|constructor| (NIL "\\spadtype{Asp78} produces Fortran for Type 78 ASPs,{} needed for NAG routine d02gbf,{} for example: \\blankline \\tab{5}SUBROUTINE FCNG(\\spad{X},{}\\spad{G})\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{G}(*),{}\\spad{X}\\spad{\\br} \\tab{5}\\spad{G}(1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{G}(2)\\spad{=0}.0D0\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-91 -3393) 
+(-91 -1486) 
 ((|constructor| (NIL "\\spadtype{Asp7} produces Fortran for Type 7 ASPs,{} needed for NAG routines d02bbf,{} d02gaf. These represent a vector of functions of the scalar \\spad{X} and the array \\spad{Z},{} and look like: \\blankline \\tab{5}SUBROUTINE \\spad{FCN}(\\spad{X},{}\\spad{Z},{}\\spad{F})\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{F}(*),{}\\spad{X},{}\\spad{Z}(*)\\spad{\\br} \\tab{5}\\spad{F}(1)=DTAN(\\spad{Z}(3))\\spad{\\br} \\tab{5}\\spad{F}(2)=((\\spad{-0}.03199999999999999D0*DCOS(\\spad{Z}(3))*DTAN(\\spad{Z}(3)))+(\\spad{-0}.02D0*Z(2)\\spad{\\br} \\tab{4}\\spad{&**2}))/(\\spad{Z}(2)*DCOS(\\spad{Z}(3)))\\spad{\\br} \\tab{5}\\spad{F}(3)=-0.03199999999999999D0/(\\spad{X*Z}(2)\\spad{**2})\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-92 -3393) 
+(-92 -1486) 
 ((|constructor| (NIL "\\spadtype{Asp80} produces Fortran for Type 80 ASPs,{} needed for NAG routine d02kef,{} for example: \\blankline \\tab{5}SUBROUTINE BDYVAL(\\spad{XL},{}\\spad{XR},{}ELAM,{}\\spad{YL},{}\\spad{YR})\\spad{\\br} \\tab{5}DOUBLE PRECISION ELAM,{}\\spad{XL},{}\\spad{YL}(3),{}\\spad{XR},{}\\spad{YR}(3)\\spad{\\br} \\tab{5}\\spad{YL}(1)\\spad{=XL}\\spad{\\br} \\tab{5}\\spad{YL}(2)\\spad{=2}.0D0\\spad{\\br} \\tab{5}\\spad{YR}(1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}\\spad{YR}(2)=-1.0D0*DSQRT(\\spad{XR+}(\\spad{-1}.0D0*ELAM))\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|Matrix| (|FortranExpression| (|construct| (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-93 -3393) 
+(-93 -1486) 
 ((|constructor| (NIL "\\spadtype{Asp8} produces Fortran for Type 8 ASPs,{} needed for NAG routine d02bbf. This ASP prints intermediate values of the computed solution of an ODE and might look like: \\blankline \\tab{5}SUBROUTINE OUTPUT(XSOL,{}\\spad{Y},{}COUNT,{}\\spad{M},{}\\spad{N},{}RESULT,{}FORWRD)\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{Y}(\\spad{N}),{}RESULT(\\spad{M},{}\\spad{N}),{}XSOL\\spad{\\br} \\tab{5}INTEGER \\spad{M},{}\\spad{N},{}COUNT\\spad{\\br} \\tab{5}LOGICAL FORWRD\\spad{\\br} \\tab{5}DOUBLE PRECISION X02ALF,{}POINTS(8)\\spad{\\br} \\tab{5}EXTERNAL X02ALF\\spad{\\br} \\tab{5}INTEGER \\spad{I}\\spad{\\br} \\tab{5}POINTS(1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}POINTS(2)\\spad{=2}.0D0\\spad{\\br} \\tab{5}POINTS(3)\\spad{=3}.0D0\\spad{\\br} \\tab{5}POINTS(4)\\spad{=4}.0D0\\spad{\\br} \\tab{5}POINTS(5)\\spad{=5}.0D0\\spad{\\br} \\tab{5}POINTS(6)\\spad{=6}.0D0\\spad{\\br} \\tab{5}POINTS(7)\\spad{=7}.0D0\\spad{\\br} \\tab{5}POINTS(8)\\spad{=8}.0D0\\spad{\\br} \\tab{5}\\spad{COUNT=COUNT+1}\\spad{\\br} \\tab{5}DO 25001 \\spad{I=1},{}\\spad{N}\\spad{\\br} \\tab{7} RESULT(COUNT,{}\\spad{I})\\spad{=Y}(\\spad{I})\\spad{\\br} 25001 CONTINUE\\spad{\\br} \\tab{5}IF(COUNT.EQ.\\spad{M})THEN\\spad{\\br} \\tab{7}IF(FORWRD)THEN\\spad{\\br} \\tab{9}XSOL=X02ALF()\\spad{\\br} \\tab{7}ELSE\\spad{\\br} \\tab{9}XSOL=-X02ALF()\\spad{\\br} \\tab{7}ENDIF\\spad{\\br} \\tab{5}ELSE\\spad{\\br} \\tab{7} XSOL=POINTS(COUNT)\\spad{\\br} \\tab{5}ENDIF\\spad{\\br} \\tab{5}END"))) 
 NIL 
 NIL 
-(-94 -3393) 
+(-94 -1486) 
 ((|constructor| (NIL "\\spadtype{Asp9} produces Fortran for Type 9 ASPs,{} needed for NAG routines d02bhf,{} d02cjf,{} d02ejf. These ASPs represent a function of a scalar \\spad{X} and a vector \\spad{Y},{} for example: \\blankline \\tab{5}DOUBLE PRECISION FUNCTION \\spad{G}(\\spad{X},{}\\spad{Y})\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{X},{}\\spad{Y}(*)\\spad{\\br} \\tab{5}G=X+Y(1)\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END \\blankline If the user provides a constant value for \\spad{G},{} then extra information is added via COMMON blocks used by certain routines. This specifies that the value returned by \\spad{G} in this case is to be ignored.")) (|coerce| (($ (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|))) "\\spad{coerce(f)} takes an object from the appropriate instantiation of \\spadtype{FortranExpression} and turns it into an ASP."))) 
 NIL 
 NIL 
 (-95 R L) 
 ((|constructor| (NIL "\\spadtype{AssociatedEquations} provides functions to compute the associated equations needed for factoring operators")) (|associatedEquations| (((|Record| (|:| |minor| (|List| (|PositiveInteger|))) (|:| |eq| |#2|) (|:| |minors| (|List| (|List| (|PositiveInteger|)))) (|:| |ops| (|List| |#2|))) |#2| (|PositiveInteger|)) "\\spad{associatedEquations(op,{} m)} returns \\spad{[w,{} eq,{} lw,{} lop]} such that \\spad{eq(w) = 0} where \\spad{w} is the given minor,{} and \\spad{lw_i = lop_i(w)} for all the other minors.")) (|uncouplingMatrices| (((|Vector| (|Matrix| |#1|)) (|Matrix| |#1|)) "\\spad{uncouplingMatrices(M)} returns \\spad{[A_1,{}...,{}A_n]} such that if \\spad{y = [y_1,{}...,{}y_n]} is a solution of \\spad{y' = M y},{} then \\spad{[\\$y_j',{}y_j'',{}...,{}y_j^{(n)}\\$] = \\$A_j y\\$} for all \\spad{j}\\spad{'s}.")) (|associatedSystem| (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| (|List| (|PositiveInteger|))))) |#2| (|PositiveInteger|)) "\\spad{associatedSystem(op,{} m)} returns \\spad{[M,{}w]} such that the \\spad{m}-th associated equation system to \\spad{L} is \\spad{w' = M w}."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-365)))) 
+((|HasCategory| |#1| (QUOTE (-366)))) 
 (-96 S) 
 ((|constructor| (NIL "A stack represented as a flexible array.")) (|member?| (((|Boolean|) |#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} member?(3,{}a)")) (|members| (((|List| |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} members a")) (|parts| (((|List| |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} parts a")) (|#| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} \\#a")) (|count| (((|NonNegativeInteger|) |#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} count(4,{}a)") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} count(\\spad{x+}->(\\spad{x>2}),{}a)")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} any?(\\spad{x+}->(\\spad{x=4}),{}a)")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} every?(\\spad{x+}->(\\spad{x=4}),{}a)")) (~= (((|Boolean|) $ $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} b:=copy a \\spad{X} (a~=b)")) (= (((|Boolean|) $ $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} b:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} (a=b)@Boolean")) (|coerce| (((|OutputForm|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} coerce a")) (|hash| (((|SingleInteger|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} hash a")) (|latex| (((|String|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} latex a")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} map!(\\spad{x+}-\\spad{>x+10},{}a) \\spad{X} a")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} map(\\spad{x+}-\\spad{>x+10},{}a) \\spad{X} a")) (|eq?| (((|Boolean|) $ $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} b:=copy a \\spad{X} eq?(a,{}\\spad{b})")) (|copy| (($ $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} copy a")) (|sample| (($) "\\blankline \\spad{X} sample()\\$ArrayStack(INT)")) (|empty| (($) "\\blankline \\spad{X} b:=empty()\\$(ArrayStack INT)")) (|empty?| (((|Boolean|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} empty? a")) (|bag| (($ (|List| |#1|)) "\\blankline \\spad{X} bag([1,{}2,{}3,{}4,{}5])\\$ArrayStack(INT)")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} size?(a,{}5)")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} more?(a,{}9)")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} less?(a,{}9)")) (|depth| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} depth a")) (|top| ((|#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} top a")) (|inspect| ((|#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} inspect a")) (|insert!| (($ |#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} insert!(8,{}a) \\spad{X} a")) (|push!| ((|#1| |#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} push!(9,{}a) \\spad{X} a")) (|extract!| ((|#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} extract! a \\spad{X} a")) (|pop!| ((|#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} pop! a \\spad{X} a")) (|arrayStack| (($ (|List| |#1|)) "\\indented{1}{arrayStack([\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]) creates an array stack with first (top)} \\indented{1}{element \\spad{x},{} second element \\spad{y},{}...,{}and last element \\spad{z}.} \\blankline \\spad{E} c:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5]"))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090))))) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
 (-97 S) 
 ((|constructor| (NIL "Category for the inverse trigonometric functions.")) (|atan| (($ $) "\\spad{atan(x)} returns the arc-tangent of \\spad{x}.")) (|asin| (($ $) "\\spad{asin(x)} returns the arc-sine of \\spad{x}.")) (|asec| (($ $) "\\spad{asec(x)} returns the arc-secant of \\spad{x}.")) (|acsc| (($ $) "\\spad{acsc(x)} returns the arc-cosecant of \\spad{x}.")) (|acot| (($ $) "\\spad{acot(x)} returns the arc-cotangent of \\spad{x}.")) (|acos| (($ $) "\\spad{acos(x)} returns the arc-cosine of \\spad{x}."))) 
 NIL 
@@ -326,15 +326,15 @@ NIL
 NIL 
 (-99) 
 ((|constructor| (NIL "\\axiomType{AttributeButtons} implements a database and associated adjustment mechanisms for a set of attributes. \\blankline For ODEs these attributes are \"stiffness\",{} \"stability\" (\\spadignore{i.e.} how much affect the cosine or sine component of the solution has on the stability of the result),{} \"accuracy\" and \"expense\" (\\spadignore{i.e.} how expensive is the evaluation of the ODE). All these have bearing on the cost of calculating the solution given that reducing the step-length to achieve greater accuracy requires considerable number of evaluations and calculations. \\blankline The effect of each of these attributes can be altered by increasing or decreasing the button value. \\blankline For Integration there is a button for increasing and decreasing the preset number of function evaluations for each method. This is automatically used by ANNA when a method fails due to insufficient workspace or where the limit of function evaluations has been reached before the required accuracy is achieved.")) (|setButtonValue| (((|Float|) (|String|) (|String|) (|Float|)) "\\axiom{setButtonValue(attributeName,{}routineName,{}\\spad{n})} sets the value of the button of attribute \\spad{attributeName} to routine \\spad{routineName} to \\spad{n}. \\spad{n} must be in the range [0..1]. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\",{} \"stability\",{} \"accuracy\",{} \"expense\" or \"functionEvaluations\".") (((|Float|) (|String|) (|Float|)) "\\axiom{setButtonValue(attributeName,{}\\spad{n})} sets the value of all buttons of attribute \\spad{attributeName} to \\spad{n}. \\spad{n} must be in the range [0..1]. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\",{} \"stability\",{} \"accuracy\",{} \"expense\" or \"functionEvaluations\".")) (|setAttributeButtonStep| (((|Float|) (|Float|)) "\\axiom{setAttributeButtonStep(\\spad{n})} sets the value of the steps for increasing and decreasing the button values. \\axiom{\\spad{n}} must be greater than 0 and less than 1. The preset value is 0.5.")) (|resetAttributeButtons| (((|Void|)) "\\axiom{resetAttributeButtons()} resets the Attribute buttons to a neutral level.")) (|getButtonValue| (((|Float|) (|String|) (|String|)) "\\axiom{getButtonValue(routineName,{}attributeName)} returns the current value for the effect of the attribute \\axiom{attributeName} with routine \\axiom{routineName}. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\",{} \"stability\",{} \"accuracy\",{} \"expense\" or \"functionEvaluations\".")) (|decrease| (((|Float|) (|String|)) "\\axiom{decrease(attributeName)} decreases the value for the effect of the attribute \\axiom{attributeName} with all routines. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\",{} \"stability\",{} \"accuracy\",{} \"expense\" or \"functionEvaluations\".") (((|Float|) (|String|) (|String|)) "\\axiom{decrease(routineName,{}attributeName)} decreases the value for the effect of the attribute \\axiom{attributeName} with routine \\axiom{routineName}. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\",{} \"stability\",{} \"accuracy\",{} \"expense\" or \"functionEvaluations\".")) (|increase| (((|Float|) (|String|)) "\\axiom{increase(attributeName)} increases the value for the effect of the attribute \\axiom{attributeName} with all routines. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\",{} \"stability\",{} \"accuracy\",{} \"expense\" or \"functionEvaluations\".") (((|Float|) (|String|) (|String|)) "\\axiom{increase(routineName,{}attributeName)} increases the value for the effect of the attribute \\axiom{attributeName} with routine \\axiom{routineName}. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\",{} \"stability\",{} \"accuracy\",{} \"expense\" or \"functionEvaluations\"."))) 
-((-4521 . T)) 
+((-4535 . T)) 
 NIL 
 (-100) 
 ((|constructor| (NIL "This category exports the attributes in the AXIOM Library")) (|approximate| ((|attribute|) "\\spad{approximate} means \"is an approximation to the real numbers\".")) (|canonical| ((|attribute|) "\\spad{canonical} is \\spad{true} if and only if distinct elements have distinct data structures. For example,{} a domain of mathematical objects which has the \\spad{canonical} attribute means that two objects are mathematically equal if and only if their data structures are equal.")) (|multiplicativeValuation| ((|attribute|) "\\spad{multiplicativeValuation} implies \\spad{euclideanSize(a*b)=euclideanSize(a)*euclideanSize(b)}.")) (|additiveValuation| ((|attribute|) "\\spad{additiveValuation} implies \\spad{euclideanSize(a*b)=euclideanSize(a)+euclideanSize(b)}.")) (|noetherian| ((|attribute|) "\\spad{noetherian} is \\spad{true} if all of its ideals are finitely generated.")) (|central| ((|attribute|) "\\spad{central} is \\spad{true} if,{} given an algebra over a ring \\spad{R},{} the image of \\spad{R} is the center of the algebra,{} \\spadignore{i.e.} the set of members of the algebra which commute with all others is precisely the image of \\spad{R} in the algebra.")) (|partiallyOrderedSet| ((|attribute|) "\\spad{partiallyOrderedSet} is \\spad{true} if a set with \\spadop{<} which is transitive,{} but \\spad{not(a < b or a = b)} does not necessarily imply \\spad{b<a}.")) (|arbitraryPrecision| ((|attribute|) "\\spad{arbitraryPrecision} means the user can set the precision for subsequent calculations.")) (|canonicalsClosed| ((|attribute|) "\\spad{canonicalsClosed} is \\spad{true} if \\spad{unitCanonical(a)*unitCanonical(b) = unitCanonical(a*b)}.")) (|canonicalUnitNormal| ((|attribute|) "\\spad{canonicalUnitNormal} is \\spad{true} if we can choose a canonical representative for each class of associate elements,{} that is \\spad{associates?(a,{}b)} returns \\spad{true} if and only if \\spad{unitCanonical(a) = unitCanonical(b)}.")) (|noZeroDivisors| ((|attribute|) "\\spad{noZeroDivisors} is \\spad{true} if \\spad{x * y \\~~= 0} implies both \\spad{x} and \\spad{y} are non-zero.")) (|rightUnitary| ((|attribute|) "\\spad{rightUnitary} is \\spad{true} if \\spad{x * 1 = x} for all \\spad{x}.")) (|leftUnitary| ((|attribute|) "\\spad{leftUnitary} is \\spad{true} if \\spad{1 * x = x} for all \\spad{x}.")) (|unitsKnown| ((|attribute|) "\\spad{unitsKnown} is \\spad{true} if a monoid (a multiplicative semigroup with a 1) has \\spad{unitsKnown} means that the operation \\spadfun{recip} can only return \"failed\" if its argument is not a unit.")) (|shallowlyMutable| ((|attribute|) "\\spad{shallowlyMutable} is \\spad{true} if its values have immediate components that are updateable (mutable). Note that the properties of any component domain are irrevelant to the \\spad{shallowlyMutable} proper.")) (|commutative| ((|attribute| "*") "\\spad{commutative(\"*\")} is \\spad{true} if it has an operation \\spad{\"*\": (D,{}D) -> D} which is commutative.")) (|finiteAggregate| ((|attribute|) "\\spad{finiteAggregate} is \\spad{true} if it is an aggregate with a finite number of elements."))) 
-((-4521 . T) ((-4523 "*") . T) (-4522 . T) (-4518 . T) (-4516 . T) (-4515 . T) (-4514 . T) (-4519 . T) (-4513 . T) (-4512 . T) (-4511 . T) (-4510 . T) (-4509 . T) (-4517 . T) (-4520 . T) (|NullSquare| . T) (|JacobiIdentity| . T) (-4508 . T) (-3999 . T)) 
+((-4535 . T) ((-4537 "*") . T) (-4536 . T) (-4532 . T) (-4530 . T) (-4529 . T) (-4528 . T) (-4533 . T) (-4527 . T) (-4526 . T) (-4525 . T) (-4524 . T) (-4523 . T) (-4531 . T) (-4534 . T) (|NullSquare| . T) (|JacobiIdentity| . T) (-4522 . T) (-2994 . T)) 
 NIL 
 (-101 R) 
 ((|constructor| (NIL "Automorphism \\spad{R} is the multiplicative group of automorphisms of \\spad{R}.")) (|morphism| (($ (|Mapping| |#1| |#1| (|Integer|))) "\\spad{morphism(f)} returns the morphism given by \\spad{f^n(x) = f(x,{}n)}.") (($ (|Mapping| |#1| |#1|) (|Mapping| |#1| |#1|)) "\\spad{morphism(f,{} g)} returns the invertible morphism given by \\spad{f},{} where \\spad{g} is the inverse of \\spad{f}..") (($ (|Mapping| |#1| |#1|)) "\\spad{morphism(f)} returns the non-invertible morphism given by \\spad{f}."))) 
-((-4518 . T)) 
+((-4532 . T)) 
 NIL 
 (-102) 
 ((|constructor| (NIL "This package provides a functions to support a web server for the new Axiom Browser functions."))) 
@@ -354,8 +354,8 @@ NIL
 NIL 
 (-106 S) 
 ((|constructor| (NIL "\\spadtype{BalancedBinaryTree(S)} is the domain of balanced binary trees (bbtree). A balanced binary tree of \\spad{2**k} leaves,{} for some \\spad{k > 0},{} is symmetric,{} that is,{} the left and right subtree of each interior node have identical shape. In general,{} the left and right subtree of a given node can differ by at most leaf node.")) (|mapDown!| (($ $ |#1| (|Mapping| (|List| |#1|) |#1| |#1| |#1|)) "\\indented{1}{mapDown!(\\spad{t},{}\\spad{p},{}\\spad{f}) returns \\spad{t} after traversing \\spad{t} in \"preorder\"} \\indented{1}{(node then left then right) fashion replacing the successive} \\indented{1}{interior nodes as follows. Let \\spad{l} and \\spad{r} denote the left and} \\indented{1}{right subtrees of \\spad{t}. The root value \\spad{x} of \\spad{t} is replaced by \\spad{p}.} \\indented{1}{Then \\spad{f}(value \\spad{l},{} value \\spad{r},{} \\spad{p}),{} where \\spad{l} and \\spad{r} denote the left} \\indented{1}{and right subtrees of \\spad{t},{} is evaluated producing two values} \\indented{1}{\\spad{pl} and \\spad{pr}. Then \\spad{mapDown!(l,{}pl,{}f)} and \\spad{mapDown!(l,{}pr,{}f)}} \\indented{1}{are evaluated.} \\blankline \\spad{X} T1:=BalancedBinaryTree Integer \\spad{X} t2:=balancedBinaryTree(4,{} 0)\\$\\spad{T1} \\spad{X} setleaves!(\\spad{t2},{}[1,{}2,{}3,{}4]::List(Integer)) \\spad{X} \\spad{adder3}(i:Integer,{}j:Integer,{}k:Integer):List Integer \\spad{==} [i+j,{}\\spad{j+k}] \\spad{X} mapDown!(\\spad{t2},{}4::INT,{}\\spad{adder3}) \\spad{X} \\spad{t2}") (($ $ |#1| (|Mapping| |#1| |#1| |#1|)) "\\indented{1}{mapDown!(\\spad{t},{}\\spad{p},{}\\spad{f}) returns \\spad{t} after traversing \\spad{t} in \"preorder\"} \\indented{1}{(node then left then right) fashion replacing the successive} \\indented{1}{interior nodes as follows. The root value \\spad{x} is} \\indented{1}{replaced by \\spad{q} \\spad{:=} \\spad{f}(\\spad{p},{}\\spad{x}). The mapDown!(\\spad{l},{}\\spad{q},{}\\spad{f}) and} \\indented{1}{mapDown!(\\spad{r},{}\\spad{q},{}\\spad{f}) are evaluated for the left and right subtrees} \\indented{1}{\\spad{l} and \\spad{r} of \\spad{t}.} \\blankline \\spad{X} T1:=BalancedBinaryTree Integer \\spad{X} t2:=balancedBinaryTree(4,{} 0)\\$\\spad{T1} \\spad{X} setleaves!(\\spad{t2},{}[1,{}2,{}3,{}4]::List(Integer)) \\spad{X} adder(i:Integer,{}j:Integer):Integer \\spad{==} i+j \\spad{X} mapDown!(\\spad{t2},{}4::INT,{}adder) \\spad{X} \\spad{t2}")) (|mapUp!| (($ $ $ (|Mapping| |#1| |#1| |#1| |#1| |#1|)) "\\indented{1}{mapUp!(\\spad{t},{}\\spad{t1},{}\\spad{f}) traverses balanced binary tree \\spad{t} in an \"endorder\"} \\indented{1}{(left then right then node) fashion returning \\spad{t} with the value} \\indented{1}{at each successive interior node of \\spad{t} replaced by} \\indented{1}{\\spad{f}(\\spad{l},{}\\spad{r},{}\\spad{l1},{}\\spad{r1}) where \\spad{l} and \\spad{r} are the values at the immediate} \\indented{1}{left and right nodes. Values \\spad{l1} and \\spad{r1} are values at the} \\indented{1}{corresponding nodes of a balanced binary tree \\spad{t1},{} of identical} \\indented{1}{shape at \\spad{t}.} \\blankline \\spad{X} T1:=BalancedBinaryTree Integer \\spad{X} t2:=balancedBinaryTree(4,{} 0)\\$\\spad{T1} \\spad{X} setleaves!(\\spad{t2},{}[1,{}2,{}3,{}4]::List(Integer)) \\spad{X} \\spad{adder4}(i:INT,{}j:INT,{}k:INT,{}l:INT):INT \\spad{==} i+j+k+l \\spad{X} mapUp!(\\spad{t2},{}\\spad{t2},{}\\spad{adder4}) \\spad{X} \\spad{t2}") ((|#1| $ (|Mapping| |#1| |#1| |#1|)) "\\indented{1}{mapUp!(\\spad{t},{}\\spad{f}) traverses balanced binary tree \\spad{t} in an \"endorder\"} \\indented{1}{(left then right then node) fashion returning \\spad{t} with the value} \\indented{1}{at each successive interior node of \\spad{t} replaced by} \\indented{1}{\\spad{f}(\\spad{l},{}\\spad{r}) where \\spad{l} and \\spad{r} are the values at the immediate} \\indented{1}{left and right nodes.} \\blankline \\spad{X} T1:=BalancedBinaryTree Integer \\spad{X} t2:=balancedBinaryTree(4,{} 0)\\$\\spad{T1} \\spad{X} setleaves!(\\spad{t2},{}[1,{}2,{}3,{}4]::List(Integer)) \\spad{X} adder(a:Integer,{}b:Integer):Integer \\spad{==} a+b \\spad{X} mapUp!(\\spad{t2},{}adder) \\spad{X} \\spad{t2}")) (|setleaves!| (($ $ (|List| |#1|)) "\\indented{1}{setleaves!(\\spad{t},{} \\spad{ls}) sets the leaves of \\spad{t} in left-to-right order} \\indented{1}{to the elements of \\spad{ls}.} \\blankline \\spad{X} t1:=balancedBinaryTree(4,{} 0) \\spad{X} setleaves!(\\spad{t1},{}[1,{}2,{}3,{}4])")) (|balancedBinaryTree| (($ (|NonNegativeInteger|) |#1|) "\\indented{1}{balancedBinaryTree(\\spad{n},{} \\spad{s}) creates a balanced binary tree with} \\indented{1}{\\spad{n} nodes each with value \\spad{s}.} \\blankline \\spad{X} balancedBinaryTree(4,{} 0)"))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090))))) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
 (-107 R) 
 ((|constructor| (NIL "Provide linear,{} quadratic,{} and cubic spline bezier curves")) (|cubicBezier| (((|Mapping| (|List| |#1|) |#1|) (|List| |#1|) (|List| |#1|) (|List| |#1|) (|List| |#1|)) "\\indented{1}{A cubic Bezier curve is a simple interpolation between the} \\indented{1}{starting point,{} a left-middle point,{},{} a right-middle point,{}} \\indented{1}{and the ending point based on a parameter \\spad{t}.} \\indented{1}{Given a start point a=[\\spad{x1},{}\\spad{y1}],{} the left-middle point \\spad{b=}[\\spad{x2},{}\\spad{y2}],{}} \\indented{1}{the right-middle point \\spad{c=}[\\spad{x3},{}\\spad{y3}] and an endpoint \\spad{d=}[\\spad{x4},{}\\spad{y4}]} \\indented{1}{\\spad{f}(\\spad{t}) \\spad{==} [(1-\\spad{t})\\spad{^3} \\spad{x1} + 3t(1-\\spad{t})\\spad{^2} \\spad{x2} + 3t^2 (1-\\spad{t}) \\spad{x3} + \\spad{t^3} \\spad{x4},{}} \\indented{10}{(1-\\spad{t})\\spad{^3} \\spad{y1} + 3t(1-\\spad{t})\\spad{^2} \\spad{y2} + 3t^2 (1-\\spad{t}) \\spad{y3} + \\spad{t^3} \\spad{y4}]} \\blankline \\spad{X} n:=cubicBezier([2.0,{}2.0],{}[2.0,{}4.0],{}[6.0,{}4.0],{}[6.0,{}2.0]) \\spad{X} [\\spad{n}(\\spad{t/10}.0) for \\spad{t} in 0..10 by 1]")) (|quadraticBezier| (((|Mapping| (|List| |#1|) |#1|) (|List| |#1|) (|List| |#1|) (|List| |#1|)) "\\indented{1}{A quadratic Bezier curve is a simple interpolation between the} \\indented{1}{starting point,{} a middle point,{} and the ending point based on} \\indented{1}{a parameter \\spad{t}.} \\indented{1}{Given a start point a=[\\spad{x1},{}\\spad{y1}],{} a middle point \\spad{b=}[\\spad{x2},{}\\spad{y2}],{}} \\indented{1}{and an endpoint \\spad{c=}[\\spad{x3},{}\\spad{y3}]} \\indented{1}{\\spad{f}(\\spad{t}) \\spad{==} [(1-\\spad{t})\\spad{^2} \\spad{x1} + 2t(1-\\spad{t}) \\spad{x2} + \\spad{t^2} \\spad{x3},{}} \\indented{10}{(1-\\spad{t})\\spad{^2} \\spad{y1} + 2t(1-\\spad{t}) \\spad{y2} + \\spad{t^2} \\spad{y3}]} \\blankline \\spad{X} n:=quadraticBezier([2.0,{}2.0],{}[4.0,{}4.0],{}[6.0,{}2.0]) \\spad{X} [\\spad{n}(\\spad{t/10}.0) for \\spad{t} in 0..10 by 1]")) (|linearBezier| (((|Mapping| (|List| |#1|) |#1|) (|List| |#1|) (|List| |#1|)) "\\indented{1}{A linear Bezier curve is a simple interpolation between the} \\indented{1}{starting point and the ending point based on a parameter \\spad{t}.} \\indented{1}{Given a start point a=[\\spad{x1},{}\\spad{y1}] and an endpoint \\spad{b=}[\\spad{x2},{}\\spad{y2}]} \\indented{1}{\\spad{f}(\\spad{t}) \\spad{==} [(1-\\spad{t})\\spad{*x1} + \\spad{t*x2},{} (1-\\spad{t})\\spad{*y1} + \\spad{t*y2}]} \\blankline \\spad{X} n:=linearBezier([2.0,{}2.0],{}[4.0,{}4.0]) \\spad{X} [\\spad{n}(\\spad{t/10}.0) for \\spad{t} in 0..10 by 1]"))) 
 NIL 
@@ -363,10 +363,10 @@ NIL
 (-108 R UP M |Row| |Col|) 
 ((|constructor| (NIL "\\spadtype{BezoutMatrix} contains functions for computing resultants and discriminants using Bezout matrices.")) (|bezoutDiscriminant| ((|#1| |#2|) "\\spad{bezoutDiscriminant(p)} computes the discriminant of a polynomial \\spad{p} by computing the determinant of a Bezout matrix.")) (|bezoutResultant| ((|#1| |#2| |#2|) "\\spad{bezoutResultant(p,{}q)} computes the resultant of the two polynomials \\spad{p} and \\spad{q} by computing the determinant of a Bezout matrix.")) (|bezoutMatrix| ((|#3| |#2| |#2|) "\\spad{bezoutMatrix(p,{}q)} returns the Bezout matrix for the two polynomials \\spad{p} and \\spad{q}.")) (|sylvesterMatrix| ((|#3| |#2| |#2|) "\\spad{sylvesterMatrix(p,{}q)} returns the Sylvester matrix for the two polynomials \\spad{p} and \\spad{q}."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE (-4523 "*")))) 
+((|HasAttribute| |#1| (QUOTE (-4537 "*")))) 
 (-109) 
 ((|constructor| (NIL "A Domain which implements a table containing details of points at which particular functions have evaluation problems.")) (|bfEntry| (((|Record| (|:| |zeros| (|Stream| (|DoubleFloat|))) (|:| |ones| (|Stream| (|DoubleFloat|))) (|:| |singularities| (|Stream| (|DoubleFloat|)))) (|Symbol|)) "\\spad{bfEntry(k)} returns the entry in the \\axiomType{BasicFunctions} table corresponding to \\spad{k}")) (|bfKeys| (((|List| (|Symbol|))) "\\spad{bfKeys()} returns the names of each function in the \\axiomType{BasicFunctions} table"))) 
-((-4521 . T)) 
+((-4535 . T)) 
 NIL 
 (-110 A S) 
 ((|constructor| (NIL "A bag aggregate is an aggregate for which one can insert and extract objects,{} and where the order in which objects are inserted determines the order of extraction. Examples of bags are stacks,{} queues,{} and dequeues.")) (|inspect| ((|#2| $) "\\spad{inspect(u)} returns an (random) element from a bag.")) (|insert!| (($ |#2| $) "\\spad{insert!(x,{}u)} inserts item \\spad{x} into bag \\spad{u}.")) (|extract!| ((|#2| $) "\\spad{extract!(u)} destructively removes a (random) item from bag \\spad{u}.")) (|bag| (($ (|List| |#2|)) "\\spad{bag([x,{}y,{}...,{}z])} creates a bag with elements \\spad{x},{}\\spad{y},{}...,{}\\spad{z}.")) (|shallowlyMutable| ((|attribute|) "shallowlyMutable means that elements of bags may be destructively changed."))) 
@@ -374,20 +374,20 @@ NIL
 NIL 
 (-111 S) 
 ((|constructor| (NIL "A bag aggregate is an aggregate for which one can insert and extract objects,{} and where the order in which objects are inserted determines the order of extraction. Examples of bags are stacks,{} queues,{} and dequeues.")) (|inspect| ((|#1| $) "\\spad{inspect(u)} returns an (random) element from a bag.")) (|insert!| (($ |#1| $) "\\spad{insert!(x,{}u)} inserts item \\spad{x} into bag \\spad{u}.")) (|extract!| ((|#1| $) "\\spad{extract!(u)} destructively removes a (random) item from bag \\spad{u}.")) (|bag| (($ (|List| |#1|)) "\\spad{bag([x,{}y,{}...,{}z])} creates a bag with elements \\spad{x},{}\\spad{y},{}...,{}\\spad{z}.")) (|shallowlyMutable| ((|attribute|) "shallowlyMutable means that elements of bags may be destructively changed."))) 
-((-4522 . T) (-3973 . T)) 
+((-4536 . T) (-2982 . T)) 
 NIL 
 (-112) 
 ((|constructor| (NIL "This domain allows rational numbers to be presented as repeating binary expansions.")) (|binary| (($ (|Fraction| (|Integer|))) "\\indented{1}{binary(\\spad{r}) converts a rational number to a binary expansion.} \\blankline \\spad{X} binary(22/7)")) (|fractionPart| (((|Fraction| (|Integer|)) $) "\\spad{fractionPart(b)} returns the fractional part of a binary expansion.")) (|coerce| (((|RadixExpansion| 2) $) "\\spad{coerce(b)} converts a binary expansion to a radix expansion with base 2.") (((|Fraction| (|Integer|)) $) "\\spad{coerce(b)} converts a binary expansion to a rational number."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| (-568) (QUOTE (-904))) (|HasCategory| (-568) (LIST (QUOTE -1037) (QUOTE (-1161)))) (|HasCategory| (-568) (QUOTE (-148))) (|HasCategory| (-568) (QUOTE (-150))) (|HasCategory| (-568) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| (-568) (QUOTE (-1021))) (|HasCategory| (-568) (QUOTE (-815))) (|HasCategory| (-568) (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| (-568) (QUOTE (-1136))) (|HasCategory| (-568) (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| (-568) (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| (-568) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| (-568) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| (-568) (QUOTE (-225))) (|HasCategory| (-568) (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| (-568) (LIST (QUOTE -523) (QUOTE (-1161)) (QUOTE (-568)))) (|HasCategory| (-568) (LIST (QUOTE -303) (QUOTE (-568)))) (|HasCategory| (-568) (LIST (QUOTE -281) (QUOTE (-568)) (QUOTE (-568)))) (|HasCategory| (-568) (QUOTE (-301))) (|HasCategory| (-568) (QUOTE (-550))) (|HasCategory| (-568) (QUOTE (-842))) (-2199 (|HasCategory| (-568) (QUOTE (-815))) (|HasCategory| (-568) (QUOTE (-842)))) (|HasCategory| (-568) (LIST (QUOTE -630) (QUOTE (-568)))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| (-568) (QUOTE (-904)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| (-568) (QUOTE (-904)))) (|HasCategory| (-568) (QUOTE (-148))))) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| (-569) (QUOTE (-905))) (|HasCategory| (-569) (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| (-569) (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-151))) (|HasCategory| (-569) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-1022))) (|HasCategory| (-569) (QUOTE (-816))) (|HasCategory| (-569) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1137))) (|HasCategory| (-569) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| (-569) (QUOTE (-226))) (|HasCategory| (-569) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-569) (LIST (QUOTE -524) (QUOTE (-1163)) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -282) (QUOTE (-569)) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-302))) (|HasCategory| (-569) (QUOTE (-551))) (|HasCategory| (-569) (QUOTE (-843))) (-2232 (|HasCategory| (-569) (QUOTE (-816))) (|HasCategory| (-569) (QUOTE (-843)))) (|HasCategory| (-569) (LIST (QUOTE -631) (QUOTE (-569)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-905)))) (|HasCategory| (-569) (QUOTE (-149))))) 
 (-113) 
 ((|constructor| (NIL "This domain provides an implementation of binary files. Data is accessed one byte at a time as a small integer.")) (|position!| (((|SingleInteger|) $ (|SingleInteger|)) "\\spad{position!(f,{} i)} sets the current byte-position to \\spad{i}.")) (|position| (((|SingleInteger|) $) "\\spad{position(f)} returns the current byte-position in the file \\spad{f}.")) (|readIfCan!| (((|Union| (|SingleInteger|) "failed") $) "\\spad{readIfCan!(f)} returns a value from the file \\spad{f},{} if possible. If \\spad{f} is not open for reading,{} or if \\spad{f} is at the end of file then \\spad{\"failed\"} is the result."))) 
 NIL 
 NIL 
 (-114) 
 ((|constructor| (NIL "\\spadtype{Bits} provides logical functions for Indexed Bits.")) (|bits| (($ (|NonNegativeInteger|) (|Boolean|)) "\\spad{bits(n,{}b)} creates bits with \\spad{n} values of \\spad{b}"))) 
-((-4522 . T) (-4521 . T)) 
-((|HasCategory| (-121) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| (-121) (QUOTE (-842))) (|HasCategory| (-568) (QUOTE (-842))) (|HasCategory| (-121) (QUOTE (-1090))) (-12 (|HasCategory| (-121) (LIST (QUOTE -303) (QUOTE (-121)))) (|HasCategory| (-121) (QUOTE (-1090))))) 
+((-4536 . T) (-4535 . T)) 
+((|HasCategory| (-121) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-121) (QUOTE (-843))) (|HasCategory| (-569) (QUOTE (-843))) (|HasCategory| (-121) (QUOTE (-1091))) (-12 (|HasCategory| (-121) (LIST (QUOTE -304) (QUOTE (-121)))) (|HasCategory| (-121) (QUOTE (-1091))))) 
 (-115) 
 ((|constructor| (NIL "This package provides an interface to the Blas library (level 1)")) (|dcopy| (((|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\indented{1}{dcopy(\\spad{n},{}\\spad{x},{}incx,{}\\spad{y},{}incy) copies \\spad{y} from \\spad{x}} \\indented{1}{for each of the chosen elements of the vectors \\spad{x} and \\spad{y}} \\indented{1}{Note that the vector \\spad{y} is modified with the results.} \\blankline \\spad{X} x:PRIMARR(DFLOAT)\\spad{:=}[ [1.0,{}2.0,{}3.0,{}4.0,{}5.0,{}6.0] ] \\spad{X} y:PRIMARR(DFLOAT)\\spad{:=}[ [0.0,{}0.0,{}0.0,{}0.0,{}0.0,{}0.0] ] \\spad{X} dcopy(6,{}\\spad{x},{}1,{}\\spad{y},{}1) \\spad{X} \\spad{y} \\spad{X} m:PRIMARR(DFLOAT)\\spad{:=}[ [1.0,{}2.0,{}3.0] ] \\spad{X} n:PRIMARR(DFLOAT)\\spad{:=}[ [0.0,{}0.0,{}0.0,{}0.0,{}0.0,{}0.0] ] \\spad{X} dcopy(3,{}\\spad{m},{}1,{}\\spad{n},{}2) \\spad{X} \\spad{n}")) (|daxpy| (((|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|DoubleFloat|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\indented{1}{daxpy(\\spad{n},{}da,{}\\spad{x},{}incx,{}\\spad{y},{}incy) computes a \\spad{y} = a*x + \\spad{y}} \\indented{1}{for each of the chosen elements of the vectors \\spad{x} and \\spad{y}} \\indented{1}{and a constant multiplier a} \\indented{1}{Note that the vector \\spad{y} is modified with the results.} \\blankline \\spad{X} x:PRIMARR(DFLOAT)\\spad{:=}[ [1.0,{}2.0,{}3.0,{}4.0,{}5.0,{}6.0] ] \\spad{X} y:PRIMARR(DFLOAT)\\spad{:=}[ [1.0,{}2.0,{}3.0,{}4.0,{}5.0,{}6.0] ] \\spad{X} daxpy(6,{}2.0,{}\\spad{x},{}1,{}\\spad{y},{}1) \\spad{X} \\spad{y} \\spad{X} m:PRIMARR(DFLOAT)\\spad{:=}[ [1.0,{}2.0,{}3.0] ] \\spad{X} n:PRIMARR(DFLOAT)\\spad{:=}[ [1.0,{}2.0,{}3.0,{}4.0,{}5.0,{}6.0] ] \\spad{X} daxpy(3,{}\\spad{-2}.0,{}\\spad{m},{}1,{}\\spad{n},{}2) \\spad{X} \\spad{n}")) (|dasum| (((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\indented{1}{dasum(\\spad{n},{}array,{}incx) computes the sum of \\spad{n} elements in array} \\indented{1}{using a stride of incx} \\blankline \\spad{X} dx:PRIMARR(DFLOAT)\\spad{:=}[ [1.0,{}2.0,{}3.0,{}4.0,{}5.0,{}6.0] ] \\spad{X} dasum(6,{}\\spad{dx},{}1) \\spad{X} dasum(3,{}\\spad{dx},{}2)")) (|dcabs1| (((|DoubleFloat|) (|Complex| (|DoubleFloat|))) "\\indented{1}{\\spad{dcabs1}(\\spad{z}) computes (+ (abs (realpart \\spad{z})) (abs (imagpart \\spad{z})))} \\blankline \\spad{X} t1:Complex DoubleFloat \\spad{:=} complex(1.0,{}0) \\spad{X} dcabs(\\spad{t1})"))) 
 NIL 
@@ -410,7 +410,7 @@ NIL
 NIL 
 (-120 R S) 
 ((|constructor| (NIL "A \\spadtype{BiModule} is both a left and right module with respect to potentially different rings. \\blankline Axiom\\spad{\\br} \\tab{5}\\spad{ r*(x*s) = (r*x)*s }")) (|rightUnitary| ((|attribute|) "\\spad{x * 1 = x}")) (|leftUnitary| ((|attribute|) "\\spad{1 * x = x}"))) 
-((-4516 . T) (-4515 . T)) 
+((-4530 . T) (-4529 . T)) 
 NIL 
 (-121) 
 ((|constructor| (NIL "\\spadtype{Boolean} is the elementary logic with 2 values: \\spad{true} and \\spad{false}")) (|test| (((|Boolean|) $) "\\spad{test(b)} returns \\spad{b} and is provided for compatibility with the new compiler.")) (|implies| (($ $ $) "\\spad{implies(a,{}b)} returns the logical implication of Boolean \\spad{a} and \\spad{b}.")) (|nor| (($ $ $) "\\spad{nor(a,{}b)} returns the logical negation of \\spad{a} or \\spad{b}.")) (|nand| (($ $ $) "\\spad{nand(a,{}b)} returns the logical negation of \\spad{a} and \\spad{b}.")) (|xor| (($ $ $) "\\spad{xor(a,{}b)} returns the logical exclusive or of Boolean \\spad{a} and \\spad{b}.")) (|or| (($ $ $) "\\spad{a or b} returns the logical inclusive or of Boolean \\spad{a} and \\spad{b}.")) (|and| (($ $ $) "\\spad{a and b} returns the logical and of Boolean \\spad{a} and \\spad{b}.")) (|not| (($ $) "\\spad{not n} returns the negation of \\spad{n}.")) (^ (($ $) "\\spad{^ n} returns the negation of \\spad{n}.")) (|false| (($) "\\spad{false} is a logical constant.")) (|true| (($) "\\spad{true} is a logical constant."))) 
@@ -419,4598 +419,4610 @@ NIL
 (-122 A) 
 ((|constructor| (NIL "This package exports functions to set some commonly used properties of operators,{} including properties which contain functions.")) (|constantOpIfCan| (((|Union| |#1| "failed") (|BasicOperator|)) "\\spad{constantOpIfCan(op)} returns \\spad{a} if \\spad{op} is the constant nullary operator always returning \\spad{a},{} \"failed\" otherwise.")) (|constantOperator| (((|BasicOperator|) |#1|) "\\spad{constantOperator(a)} returns a nullary operator op such that \\spad{op()} always evaluate to \\spad{a}.")) (|derivative| (((|Union| (|List| (|Mapping| |#1| (|List| |#1|))) "failed") (|BasicOperator|)) "\\spad{derivative(op)} returns the value of the \"\\%diff\" property of \\spad{op} if it has one,{} and \"failed\" otherwise.") (((|BasicOperator|) (|BasicOperator|) (|Mapping| |#1| |#1|)) "\\spad{derivative(op,{} foo)} attaches foo as the \"\\%diff\" property of \\spad{op}. If \\spad{op} has an \"\\%diff\" property \\spad{f},{} then applying a derivation \\spad{D} to \\spad{op}(a) returns \\spad{f(a) * D(a)}. Argument \\spad{op} must be unary.") (((|BasicOperator|) (|BasicOperator|) (|List| (|Mapping| |#1| (|List| |#1|)))) "\\spad{derivative(op,{} [foo1,{}...,{}foon])} attaches [\\spad{foo1},{}...,{}foon] as the \"\\%diff\" property of \\spad{op}. If \\spad{op} has an \"\\%diff\" property \\spad{[f1,{}...,{}fn]} then applying a derivation \\spad{D} to \\spad{op(a1,{}...,{}an)} returns \\spad{f1(a1,{}...,{}an) * D(a1) + ... + fn(a1,{}...,{}an) * D(an)}.")) (|evaluate| (((|Union| (|Mapping| |#1| (|List| |#1|)) "failed") (|BasicOperator|)) "\\spad{evaluate(op)} returns the value of the \"\\%eval\" property of \\spad{op} if it has one,{} and \"failed\" otherwise.") (((|BasicOperator|) (|BasicOperator|) (|Mapping| |#1| |#1|)) "\\spad{evaluate(op,{} foo)} attaches foo as the \"\\%eval\" property of \\spad{op}. If \\spad{op} has an \"\\%eval\" property \\spad{f},{} then applying \\spad{op} to a returns the result of \\spad{f(a)}. Argument \\spad{op} must be unary.") (((|BasicOperator|) (|BasicOperator|) (|Mapping| |#1| (|List| |#1|))) "\\spad{evaluate(op,{} foo)} attaches foo as the \"\\%eval\" property of \\spad{op}. If \\spad{op} has an \"\\%eval\" property \\spad{f},{} then applying \\spad{op} to \\spad{(a1,{}...,{}an)} returns the result of \\spad{f(a1,{}...,{}an)}.") (((|Union| |#1| "failed") (|BasicOperator|) (|List| |#1|)) "\\spad{evaluate(op,{} [a1,{}...,{}an])} checks if \\spad{op} has an \"\\%eval\" property \\spad{f}. If it has,{} then \\spad{f(a1,{}...,{}an)} is returned,{} and \"failed\" otherwise."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-842)))) 
+((|HasCategory| |#1| (QUOTE (-843)))) 
 (-123) 
 ((|constructor| (NIL "Basic system operators. A basic operator is an object that can be applied to a list of arguments from a set,{} the result being a kernel over that set.")) (|setProperties| (($ $ (|AssociationList| (|String|) (|None|))) "\\spad{setProperties(op,{} l)} sets the property list of \\spad{op} to \\spad{l}. Argument \\spad{op} is modified \"in place\",{} \\spadignore{i.e.} no copy is made.")) (|setProperty| (($ $ (|String|) (|None|)) "\\spad{setProperty(op,{} s,{} v)} attaches property \\spad{s} to \\spad{op},{} and sets its value to \\spad{v}. Argument \\spad{op} is modified \"in place\",{} \\spadignore{i.e.} no copy is made.")) (|property| (((|Union| (|None|) "failed") $ (|String|)) "\\spad{property(op,{} s)} returns the value of property \\spad{s} if it is attached to \\spad{op},{} and \"failed\" otherwise.")) (|deleteProperty!| (($ $ (|String|)) "\\spad{deleteProperty!(op,{} s)} unattaches property \\spad{s} from \\spad{op}. Argument \\spad{op} is modified \"in place\",{} \\spadignore{i.e.} no copy is made.")) (|assert| (($ $ (|String|)) "\\spad{assert(op,{} s)} attaches property \\spad{s} to \\spad{op}. Argument \\spad{op} is modified \"in place\",{} \\spadignore{i.e.} no copy is made.")) (|has?| (((|Boolean|) $ (|String|)) "\\spad{has?(op,{} s)} tests if property \\spad{s} is attached to \\spad{op}.")) (|is?| (((|Boolean|) $ (|Symbol|)) "\\spad{is?(op,{} s)} tests if the name of \\spad{op} is \\spad{s}.")) (|input| (((|Union| (|Mapping| (|InputForm|) (|List| (|InputForm|))) "failed") $) "\\spad{input(op)} returns the \"\\%input\" property of \\spad{op} if it has one attached,{} \"failed\" otherwise.") (($ $ (|Mapping| (|InputForm|) (|List| (|InputForm|)))) "\\spad{input(op,{} foo)} attaches foo as the \"\\%input\" property of \\spad{op}. If \\spad{op} has a \"\\%input\" property \\spad{f},{} then \\spad{op(a1,{}...,{}an)} gets converted to InputForm as \\spad{f(a1,{}...,{}an)}.")) (|display| (($ $ (|Mapping| (|OutputForm|) (|OutputForm|))) "\\spad{display(op,{} foo)} attaches foo as the \"\\%display\" property of \\spad{op}. If \\spad{op} has a \"\\%display\" property \\spad{f},{} then \\spad{op(a)} gets converted to OutputForm as \\spad{f(a)}. Argument \\spad{op} must be unary.") (($ $ (|Mapping| (|OutputForm|) (|List| (|OutputForm|)))) "\\spad{display(op,{} foo)} attaches foo as the \"\\%display\" property of \\spad{op}. If \\spad{op} has a \"\\%display\" property \\spad{f},{} then \\spad{op(a1,{}...,{}an)} gets converted to OutputForm as \\spad{f(a1,{}...,{}an)}.") (((|Union| (|Mapping| (|OutputForm|) (|List| (|OutputForm|))) "failed") $) "\\spad{display(op)} returns the \"\\%display\" property of \\spad{op} if it has one attached,{} and \"failed\" otherwise.")) (|comparison| (($ $ (|Mapping| (|Boolean|) $ $)) "\\spad{comparison(op,{} foo?)} attaches foo? as the \"\\%less?\" property to \\spad{op}. If \\spad{op1} and \\spad{op2} have the same name,{} and one of them has a \"\\%less?\" property \\spad{f},{} then \\spad{f(op1,{} op2)} is called to decide whether \\spad{op1 < op2}.")) (|equality| (($ $ (|Mapping| (|Boolean|) $ $)) "\\spad{equality(op,{} foo?)} attaches foo? as the \"\\%equal?\" property to \\spad{op}. If \\spad{op1} and \\spad{op2} have the same name,{} and one of them has an \"\\%equal?\" property \\spad{f},{} then \\spad{f(op1,{} op2)} is called to decide whether \\spad{op1} and \\spad{op2} should be considered equal.")) (|weight| (($ $ (|NonNegativeInteger|)) "\\spad{weight(op,{} n)} attaches the weight \\spad{n} to \\spad{op}.") (((|NonNegativeInteger|) $) "\\spad{weight(op)} returns the weight attached to \\spad{op}.")) (|nary?| (((|Boolean|) $) "\\spad{nary?(op)} tests if \\spad{op} has arbitrary arity.")) (|unary?| (((|Boolean|) $) "\\spad{unary?(op)} tests if \\spad{op} is unary.")) (|nullary?| (((|Boolean|) $) "\\spad{nullary?(op)} tests if \\spad{op} is nullary.")) (|arity| (((|Union| (|NonNegativeInteger|) "failed") $) "\\spad{arity(op)} returns \\spad{n} if \\spad{op} is \\spad{n}-ary,{} and \"failed\" if \\spad{op} has arbitrary arity.")) (|operator| (($ (|Symbol|) (|NonNegativeInteger|)) "\\spad{operator(f,{} n)} makes \\spad{f} into an \\spad{n}-ary operator.") (($ (|Symbol|)) "\\spad{operator(f)} makes \\spad{f} into an operator with arbitrary arity.")) (|copy| (($ $) "\\spad{copy(op)} returns a copy of \\spad{op}.")) (|properties| (((|AssociationList| (|String|) (|None|)) $) "\\spad{properties(op)} returns the list of all the properties currently attached to \\spad{op}.")) (|name| (((|Symbol|) $) "\\spad{name(op)} returns the name of \\spad{op}."))) 
 NIL 
 NIL 
-(-124 -1478 UP) 
+(-124 -1564 UP) 
 ((|constructor| (NIL "\\spadtype{BoundIntegerRoots} provides functions to find lower bounds on the integer roots of a polynomial.")) (|integerBound| (((|Integer|) |#2|) "\\spad{integerBound(p)} returns a lower bound on the negative integer roots of \\spad{p},{} and 0 if \\spad{p} has no negative integer roots."))) 
 NIL 
 NIL 
 (-125 |p|) 
 ((|constructor| (NIL "Stream-based implementation of \\spad{Zp:} \\spad{p}-adic numbers are represented as sum(\\spad{i} = 0..,{} a[\\spad{i}] * p^i),{} where the a[\\spad{i}] lie in -(\\spad{p} - 1)\\spad{/2},{}...,{}(\\spad{p} - 1)\\spad{/2}."))) 
-((-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
 (-126 |p|) 
 ((|constructor| (NIL "Stream-based implementation of \\spad{Qp:} numbers are represented as sum(\\spad{i} = \\spad{k}..,{} a[\\spad{i}] * p^i),{} where the a[\\spad{i}] lie in -(\\spad{p} - 1)\\spad{/2},{}...,{}(\\spad{p} - 1)\\spad{/2}."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| (-125 |#1|) (QUOTE (-904))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -1037) (QUOTE (-1161)))) (|HasCategory| (-125 |#1|) (QUOTE (-148))) (|HasCategory| (-125 |#1|) (QUOTE (-150))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| (-125 |#1|) (QUOTE (-1021))) (|HasCategory| (-125 |#1|) (QUOTE (-815))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| (-125 |#1|) (QUOTE (-1136))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| (-125 |#1|) (QUOTE (-225))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -523) (QUOTE (-1161)) (LIST (QUOTE -125) (|devaluate| |#1|)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -303) (LIST (QUOTE -125) (|devaluate| |#1|)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -281) (LIST (QUOTE -125) (|devaluate| |#1|)) (LIST (QUOTE -125) (|devaluate| |#1|)))) (|HasCategory| (-125 |#1|) (QUOTE (-301))) (|HasCategory| (-125 |#1|) (QUOTE (-550))) (|HasCategory| (-125 |#1|) (QUOTE (-842))) (-2199 (|HasCategory| (-125 |#1|) (QUOTE (-815))) (|HasCategory| (-125 |#1|) (QUOTE (-842)))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| (-125 |#1|) (QUOTE (-904)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| (-125 |#1|) (QUOTE (-904)))) (|HasCategory| (-125 |#1|) (QUOTE (-148))))) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| (-125 |#1|) (QUOTE (-905))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| (-125 |#1|) (QUOTE (-149))) (|HasCategory| (-125 |#1|) (QUOTE (-151))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-125 |#1|) (QUOTE (-1022))) (|HasCategory| (-125 |#1|) (QUOTE (-816))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| (-125 |#1|) (QUOTE (-1137))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| (-125 |#1|) (QUOTE (-226))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -524) (QUOTE (-1163)) (LIST (QUOTE -125) (|devaluate| |#1|)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -304) (LIST (QUOTE -125) (|devaluate| |#1|)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -282) (LIST (QUOTE -125) (|devaluate| |#1|)) (LIST (QUOTE -125) (|devaluate| |#1|)))) (|HasCategory| (-125 |#1|) (QUOTE (-302))) (|HasCategory| (-125 |#1|) (QUOTE (-551))) (|HasCategory| (-125 |#1|) (QUOTE (-843))) (-2232 (|HasCategory| (-125 |#1|) (QUOTE (-816))) (|HasCategory| (-125 |#1|) (QUOTE (-843)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-125 |#1|) (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-125 |#1|) (QUOTE (-905)))) (|HasCategory| (-125 |#1|) (QUOTE (-149))))) 
 (-127 A S) 
 ((|constructor| (NIL "A binary-recursive aggregate has 0,{} 1 or 2 children and serves as a model for a binary tree or a doubly-linked aggregate structure")) (|setright!| (($ $ $) "\\spad{setright!(a,{}x)} sets the right child of \\spad{t} to be \\spad{x}.")) (|setleft!| (($ $ $) "\\spad{setleft!(a,{}b)} sets the left child of \\axiom{a} to be \\spad{b}.")) (|setelt| (($ $ "right" $) "\\spad{setelt(a,{}\"right\",{}b)} (also written \\axiom{\\spad{b} . right \\spad{:=} \\spad{b}}) is equivalent to \\axiom{setright!(a,{}\\spad{b})}.") (($ $ "left" $) "\\spad{setelt(a,{}\"left\",{}b)} (also written \\axiom{a . left \\spad{:=} \\spad{b}}) is equivalent to \\axiom{setleft!(a,{}\\spad{b})}.")) (|right| (($ $) "\\spad{right(a)} returns the right child.")) (|elt| (($ $ "right") "\\spad{elt(a,{}\"right\")} (also written: \\axiom{a . right}) is equivalent to \\axiom{right(a)}.") (($ $ "left") "\\spad{elt(u,{}\"left\")} (also written: \\axiom{a . left}) is equivalent to \\axiom{left(a)}.")) (|left| (($ $) "\\spad{left(u)} returns the left child."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4522))) 
+((|HasAttribute| |#1| (QUOTE -4536))) 
 (-128 S) 
 ((|constructor| (NIL "A binary-recursive aggregate has 0,{} 1 or 2 children and serves as a model for a binary tree or a doubly-linked aggregate structure")) (|setright!| (($ $ $) "\\spad{setright!(a,{}x)} sets the right child of \\spad{t} to be \\spad{x}.")) (|setleft!| (($ $ $) "\\spad{setleft!(a,{}b)} sets the left child of \\axiom{a} to be \\spad{b}.")) (|setelt| (($ $ "right" $) "\\spad{setelt(a,{}\"right\",{}b)} (also written \\axiom{\\spad{b} . right \\spad{:=} \\spad{b}}) is equivalent to \\axiom{setright!(a,{}\\spad{b})}.") (($ $ "left" $) "\\spad{setelt(a,{}\"left\",{}b)} (also written \\axiom{a . left \\spad{:=} \\spad{b}}) is equivalent to \\axiom{setleft!(a,{}\\spad{b})}.")) (|right| (($ $) "\\spad{right(a)} returns the right child.")) (|elt| (($ $ "right") "\\spad{elt(a,{}\"right\")} (also written: \\axiom{a . right}) is equivalent to \\axiom{right(a)}.") (($ $ "left") "\\spad{elt(u,{}\"left\")} (also written: \\axiom{a . left}) is equivalent to \\axiom{left(a)}.")) (|left| (($ $) "\\spad{left(u)} returns the left child."))) 
-((-3973 . T)) 
+((-2982 . T)) 
 NIL 
 (-129 UP) 
 ((|constructor| (NIL "This package has no description")) (|noLinearFactor?| (((|Boolean|) |#1|) "\\spad{noLinearFactor?(p)} returns \\spad{true} if \\spad{p} can be shown to have no linear factor by a theorem of Lehmer,{} \\spad{false} else. \\spad{I} insist on the fact that \\spad{false} does not mean that \\spad{p} has a linear factor.")) (|brillhartTrials| (((|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{brillhartTrials(n)} sets to \\spad{n} the number of tests in \\spadfun{brillhartIrreducible?} and returns the previous value.") (((|NonNegativeInteger|)) "\\spad{brillhartTrials()} returns the number of tests in \\spadfun{brillhartIrreducible?}.")) (|brillhartIrreducible?| (((|Boolean|) |#1| (|Boolean|)) "\\spad{brillhartIrreducible?(p,{}noLinears)} returns \\spad{true} if \\spad{p} can be shown to be irreducible by a remark of Brillhart,{} \\spad{false} else. If \\spad{noLinears} is \\spad{true},{} we are being told \\spad{p} has no linear factors \\spad{false} does not mean that \\spad{p} is reducible.") (((|Boolean|) |#1|) "\\spad{brillhartIrreducible?(p)} returns \\spad{true} if \\spad{p} can be shown to be irreducible by a remark of Brillhart,{} \\spad{false} is inconclusive."))) 
 NIL 
 NIL 
-(-130 S) 
-((|constructor| (NIL "BinarySearchTree(\\spad{S}) is the domain of a binary trees where elements are ordered across the tree. A binary search tree is either empty or has a value which is an \\spad{S},{} and a right and left which are both BinaryTree(\\spad{S}) Elements are ordered across the tree.")) (|split| (((|Record| (|:| |less| $) (|:| |greater| $)) |#1| $) "\\indented{1}{split(\\spad{x},{}\\spad{b}) splits binary tree \\spad{b} into two trees,{} one with elements} \\indented{1}{greater than \\spad{x},{} the other with elements less than \\spad{x}.} \\blankline \\spad{X} t1:=binarySearchTree [1,{}2,{}3,{}4] \\spad{X} split(3,{}\\spad{t1})")) (|insertRoot!| (($ |#1| $) "\\indented{1}{insertRoot!(\\spad{x},{}\\spad{b}) inserts element \\spad{x} as a root of binary search tree \\spad{b}.} \\blankline \\spad{X} t1:=binarySearchTree [1,{}2,{}3,{}4] \\spad{X} insertRoot!(5,{}\\spad{t1})")) (|insert!| (($ |#1| $) "\\indented{1}{insert!(\\spad{x},{}\\spad{b}) inserts element \\spad{x} as leaves into binary search tree \\spad{b}.} \\blankline \\spad{X} t1:=binarySearchTree [1,{}2,{}3,{}4] \\spad{X} insert!(5,{}\\spad{t1})")) (|binarySearchTree| (($ (|List| |#1|)) "\\indented{1}{binarySearchTree(\\spad{l}) is not documented} \\blankline \\spad{X} binarySearchTree [1,{}2,{}3,{}4]"))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090))))) 
+(-130) 
+((|constructor| (NIL "Based on Symbol: a domain of symbols representing basic stochastic differentials,{} used in StochasticDifferential(\\spad{R}) in the underlying sparse multivariate polynomial representation. \\blankline We create new \\spad{BSD} only by coercion from Symbol using a special function introduce! first of all to add to a private set SDset. We allow a separate function convertIfCan which will check whether the argument has previously been declared as a \\spad{BSD}.")) (|getSmgl| (((|Union| (|Symbol|) "failed") $) "\\indented{1}{getSmgl(\\spad{bsd}) returns the semimartingale \\axiom{\\spad{S}} related} \\indented{1}{to the basic stochastic differential \\axiom{\\spad{bsd}} by} \\indented{1}{\\axiom{introduce!}} \\blankline \\spad{X} introduce!(\\spad{t},{}\\spad{dt}) \\spad{--} \\spad{dt} is a new stochastic differential \\spad{X} getSmgl(dt::BSD)")) (|copyIto| (((|Table| (|Symbol|) $)) "\\indented{1}{copyIto() returns the table relating semimartingales} \\indented{1}{to basic stochastic differentials.} \\blankline \\spad{X} introduce!(\\spad{t},{}\\spad{dt}) \\spad{--} \\spad{dt} is a new stochastic differential \\spad{X} copyIto()")) (|copyBSD| (((|List| $)) "\\indented{1}{copyBSD() returns \\axiom{setBSD} as a list of \\axiom{\\spad{BSD}}.} \\blankline \\spad{X} introduce!(\\spad{t},{}\\spad{dt}) \\spad{--} \\spad{dt} is a new stochastic differential \\spad{X} copyBSD()")) (|d| (((|Union| $ (|Integer|)) (|Symbol|)) "\\spad{d(X)} returns \\axiom{\\spad{dX}} if \\axiom{tableIto(\\spad{X})\\spad{=dX}} and otherwise returns \\axiom{0}")) (|introduce!| (((|Union| $ "failed") (|Symbol|) (|Symbol|)) "\\indented{1}{introduce!(\\spad{X},{}\\spad{dX}) returns \\axiom{\\spad{dX}} as \\axiom{\\spad{BSD}} if it} \\indented{1}{isn\\spad{'t} already in \\axiom{\\spad{BSD}}} \\blankline \\spad{X} introduce!(\\spad{t},{}\\spad{dt}) \\spad{--} \\spad{dt} is a new stochastic differential \\spad{X} copyBSD()")) (|convert| (($ (|Symbol|)) "\\spad{convert(dX)} transforms \\axiom{\\spad{dX}} into a \\axiom{\\spad{BSD}} if possible and otherwise produces an error.")) (|convertIfCan| (((|Union| $ "failed") (|Symbol|)) "\\spad{convertIfCan(ds)} transforms \\axiom{\\spad{dX}} into a \\axiom{\\spad{BSD}} if possible (if \\axiom{introduce(\\spad{X},{}\\spad{dX})} has been invoked previously)."))) 
+NIL 
+NIL 
 (-131 S) 
+((|constructor| (NIL "BinarySearchTree(\\spad{S}) is the domain of a binary trees where elements are ordered across the tree. A binary search tree is either empty or has a value which is an \\spad{S},{} and a right and left which are both BinaryTree(\\spad{S}) Elements are ordered across the tree.")) (|split| (((|Record| (|:| |less| $) (|:| |greater| $)) |#1| $) "\\indented{1}{split(\\spad{x},{}\\spad{b}) splits binary tree \\spad{b} into two trees,{} one with elements} \\indented{1}{greater than \\spad{x},{} the other with elements less than \\spad{x}.} \\blankline \\spad{X} t1:=binarySearchTree [1,{}2,{}3,{}4] \\spad{X} split(3,{}\\spad{t1})")) (|insertRoot!| (($ |#1| $) "\\indented{1}{insertRoot!(\\spad{x},{}\\spad{b}) inserts element \\spad{x} as a root of binary search tree \\spad{b}.} \\blankline \\spad{X} t1:=binarySearchTree [1,{}2,{}3,{}4] \\spad{X} insertRoot!(5,{}\\spad{t1})")) (|insert!| (($ |#1| $) "\\indented{1}{insert!(\\spad{x},{}\\spad{b}) inserts element \\spad{x} as leaves into binary search tree \\spad{b}.} \\blankline \\spad{X} t1:=binarySearchTree [1,{}2,{}3,{}4] \\spad{X} insert!(5,{}\\spad{t1})")) (|binarySearchTree| (($ (|List| |#1|)) "\\indented{1}{binarySearchTree(\\spad{l}) is not documented} \\blankline \\spad{X} binarySearchTree [1,{}2,{}3,{}4]"))) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
+(-132 S) 
 ((|constructor| (NIL "The bit aggregate category models aggregates representing large quantities of Boolean data.")) (|xor| (($ $ $) "\\spad{xor(a,{}b)} returns the logical exclusive-or of bit aggregates \\axiom{a} and \\axiom{\\spad{b}}.")) (|or| (($ $ $) "\\spad{a or b} returns the logical or of bit aggregates \\axiom{a} and \\axiom{\\spad{b}}.")) (|and| (($ $ $) "\\spad{a and b} returns the logical and of bit aggregates \\axiom{a} and \\axiom{\\spad{b}}.")) (|nor| (($ $ $) "\\spad{nor(a,{}b)} returns the logical nor of bit aggregates \\axiom{a} and \\axiom{\\spad{b}}.")) (|nand| (($ $ $) "\\spad{nand(a,{}b)} returns the logical nand of bit aggregates \\axiom{a} and \\axiom{\\spad{b}}.")) (^ (($ $) "\\spad{^ b} returns the logical not of bit aggregate \\axiom{\\spad{b}}.")) (|not| (($ $) "\\spad{not(b)} returns the logical not of bit aggregate \\axiom{\\spad{b}}."))) 
 NIL 
 NIL 
-(-132) 
+(-133) 
 ((|constructor| (NIL "The bit aggregate category models aggregates representing large quantities of Boolean data.")) (|xor| (($ $ $) "\\spad{xor(a,{}b)} returns the logical exclusive-or of bit aggregates \\axiom{a} and \\axiom{\\spad{b}}.")) (|or| (($ $ $) "\\spad{a or b} returns the logical or of bit aggregates \\axiom{a} and \\axiom{\\spad{b}}.")) (|and| (($ $ $) "\\spad{a and b} returns the logical and of bit aggregates \\axiom{a} and \\axiom{\\spad{b}}.")) (|nor| (($ $ $) "\\spad{nor(a,{}b)} returns the logical nor of bit aggregates \\axiom{a} and \\axiom{\\spad{b}}.")) (|nand| (($ $ $) "\\spad{nand(a,{}b)} returns the logical nand of bit aggregates \\axiom{a} and \\axiom{\\spad{b}}.")) (^ (($ $) "\\spad{^ b} returns the logical not of bit aggregate \\axiom{\\spad{b}}.")) (|not| (($ $) "\\spad{not(b)} returns the logical not of bit aggregate \\axiom{\\spad{b}}."))) 
-((-4522 . T) (-4521 . T) (-3973 . T)) 
+((-4536 . T) (-4535 . T) (-2982 . T)) 
 NIL 
-(-133 A S) 
+(-134 A S) 
 ((|constructor| (NIL "\\spadtype{BinaryTreeCategory(S)} is the category of binary trees: a tree which is either empty or else is a \\spadfun{node} consisting of a value and a \\spadfun{left} and \\spadfun{right},{} both binary trees.")) (|node| (($ $ |#2| $) "\\spad{node(left,{}v,{}right)} creates a binary tree with value \\spad{v},{} a binary tree \\spad{left},{} and a binary tree \\spad{right}. \\blankline")) (|finiteAggregate| ((|attribute|) "Binary trees have a finite number of components")) (|shallowlyMutable| ((|attribute|) "Binary trees have updateable components"))) 
 NIL 
 NIL 
-(-134 S) 
+(-135 S) 
 ((|constructor| (NIL "\\spadtype{BinaryTreeCategory(S)} is the category of binary trees: a tree which is either empty or else is a \\spadfun{node} consisting of a value and a \\spadfun{left} and \\spadfun{right},{} both binary trees.")) (|node| (($ $ |#1| $) "\\spad{node(left,{}v,{}right)} creates a binary tree with value \\spad{v},{} a binary tree \\spad{left},{} and a binary tree \\spad{right}. \\blankline")) (|finiteAggregate| ((|attribute|) "Binary trees have a finite number of components")) (|shallowlyMutable| ((|attribute|) "Binary trees have updateable components"))) 
-((-4521 . T) (-4522 . T) (-3973 . T)) 
+((-4535 . T) (-4536 . T) (-2982 . T)) 
 NIL 
-(-135 S) 
-((|constructor| (NIL "BinaryTournament creates a binary tournament with the elements of \\spad{ls} as values at the nodes.")) (|insert!| (($ |#1| $) "\\indented{1}{insert!(\\spad{x},{}\\spad{b}) inserts element \\spad{x} as leaves into binary tournament \\spad{b}.} \\blankline \\spad{X} t1:=binaryTournament [1,{}2,{}3,{}4] \\spad{X} insert!(5,{}\\spad{t1}) \\spad{X} \\spad{t1}")) (|binaryTournament| (($ (|List| |#1|)) "\\indented{1}{binaryTournament(\\spad{ls}) creates a binary tournament with the} \\indented{1}{elements of \\spad{ls} as values at the nodes.} \\blankline \\spad{X} binaryTournament [1,{}2,{}3,{}4]"))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090))))) 
 (-136 S) 
+((|constructor| (NIL "BinaryTournament creates a binary tournament with the elements of \\spad{ls} as values at the nodes.")) (|insert!| (($ |#1| $) "\\indented{1}{insert!(\\spad{x},{}\\spad{b}) inserts element \\spad{x} as leaves into binary tournament \\spad{b}.} \\blankline \\spad{X} t1:=binaryTournament [1,{}2,{}3,{}4] \\spad{X} insert!(5,{}\\spad{t1}) \\spad{X} \\spad{t1}")) (|binaryTournament| (($ (|List| |#1|)) "\\indented{1}{binaryTournament(\\spad{ls}) creates a binary tournament with the} \\indented{1}{elements of \\spad{ls} as values at the nodes.} \\blankline \\spad{X} binaryTournament [1,{}2,{}3,{}4]"))) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
+(-137 S) 
 ((|constructor| (NIL "\\spadtype{BinaryTree(S)} is the domain of all binary trees. A binary tree over \\spad{S} is either empty or has a \\spadfun{value} which is an \\spad{S} and a \\spadfun{right} and \\spadfun{left} which are both binary trees.")) (|binaryTree| (($ $ |#1| $) "\\indented{1}{binaryTree(\\spad{l},{}\\spad{v},{}\\spad{r}) creates a binary tree with} \\indented{1}{value \\spad{v} with left subtree \\spad{l} and right subtree \\spad{r}.} \\blankline \\spad{X} t1:=binaryTree([1,{}2,{}3]) \\spad{X} t2:=binaryTree([4,{}5,{}6]) \\spad{X} binaryTree(\\spad{t1},{}[7,{}8,{}9],{}\\spad{t2})") (($ |#1|) "\\indented{1}{binaryTree(\\spad{v}) is an non-empty binary tree} \\indented{1}{with value \\spad{v},{} and left and right empty.} \\blankline \\spad{X} t1:=binaryTree([1,{}2,{}3])"))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090))))) 
-(-137) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
+(-138) 
 ((|constructor| (NIL "This is an \\spadtype{AbelianMonoid} with the cancellation property,{} \\spadignore{i.e.} \\tab{5}\\spad{ a+b = a+c => b=c }.\\spad{\\br} This is formalised by the partial subtraction operator,{} which satisfies the Axioms\\spad{\\br} \\tab{5}\\spad{c = a+b <=> c-b = a}")) (|subtractIfCan| (((|Union| $ "failed") $ $) "\\spad{subtractIfCan(x,{} y)} returns an element \\spad{z} such that \\spad{z+y=x} or \"failed\" if no such element exists."))) 
 NIL 
 NIL 
-(-138) 
+(-139) 
 ((|constructor| (NIL "A cachable set is a set whose elements keep an integer as part of their structure.")) (|setPosition| (((|Void|) $ (|NonNegativeInteger|)) "\\spad{setPosition(x,{} n)} associates the integer \\spad{n} to \\spad{x}.")) (|position| (((|NonNegativeInteger|) $) "\\spad{position(x)} returns the integer \\spad{n} associated to \\spad{x}."))) 
 NIL 
 NIL 
-(-139) 
+(-140) 
 ((|constructor| (NIL "Members of the domain CardinalNumber are values indicating the cardinality of sets,{} both finite and infinite. Arithmetic operations are defined on cardinal numbers as follows. \\blankline If \\spad{x = \\#X} and \\spad{y = \\#Y} then\\spad{\\br} \\tab{5}\\spad{x+y = \\#(X+Y)} \\tab{5}disjoint union\\spad{\\br} \\tab{5}\\spad{x-y = \\#(X-Y)} \\tab{5}relative complement\\spad{\\br} \\tab{5}\\spad{x*y = \\#(X*Y)} \\tab{5}cartesian product\\spad{\\br} \\tab{5}\\spad{x**y = \\#(X**Y)} \\tab{4}\\spad{X**Y = g| g:Y->X} \\blankline The non-negative integers have a natural construction as cardinals\\spad{\\br} \\spad{0 = \\#\\{\\}},{} \\spad{1 = \\{0\\}},{} \\spad{2 = \\{0,{} 1\\}},{} ...,{} \\spad{n = \\{i| 0 <= i < n\\}}. \\blankline That \\spad{0} acts as a zero for the multiplication of cardinals is equivalent to the axiom of choice. \\blankline The generalized continuum hypothesis asserts \\spad{\\br} \\spad{2**Aleph i = Aleph(i+1)} and is independent of the axioms of set theory [Goedel 1940]. \\blankline Three commonly encountered cardinal numbers are\\spad{\\br} \\tab{5}\\spad{a = \\#Z} \\tab{5}countable infinity\\spad{\\br} \\tab{5}\\spad{c = \\#R} \\tab{5}the continuum\\spad{\\br} \\tab{5}\\spad{f = \\# g | g:[0,{}1]->R\\} \\blankline In this domain,{} these values are obtained using\\br \\tab{5}\\spad{a := Aleph 0},{} \\spad{c := 2**a},{} \\spad{f := 2**c}.")) (|generalizedContinuumHypothesisAssumed| (((|Boolean|) (|Boolean|)) "\\indented{1}{generalizedContinuumHypothesisAssumed(bool)} \\indented{1}{is used to dictate whether the hypothesis is to be assumed.} \\blankline \\spad{X} generalizedContinuumHypothesisAssumed \\spad{true} \\spad{X} a:=Aleph 0 \\spad{X} c:=2**a \\spad{X} f:=2**c")) (|generalizedContinuumHypothesisAssumed?| (((|Boolean|)) "\\indented{1}{generalizedContinuumHypothesisAssumed?()} \\indented{1}{tests if the hypothesis is currently assumed.} \\blankline \\spad{X} generalizedContinuumHypothesisAssumed?")) (|countable?| (((|Boolean|) $) "\\indented{1}{countable?(\\spad{a}) determines} \\indented{1}{whether \\spad{a} is a countable cardinal,{}} \\indented{1}{\\spadignore{i.e.} an integer or \\spad{Aleph 0}.} \\blankline \\spad{X} c2:=2::CardinalNumber \\spad{X} countable? \\spad{c2} \\spad{X} A0:=Aleph 0 \\spad{X} countable? \\spad{A0} \\spad{X} A1:=Aleph 1 \\spad{X} countable? \\spad{A1}")) (|finite?| (((|Boolean|) $) "\\indented{1}{finite?(\\spad{a}) determines whether} \\indented{1}{\\spad{a} is a finite cardinal,{} \\spadignore{i.e.} an integer.} \\blankline \\spad{X} c2:=2::CardinalNumber \\spad{X} finite? \\spad{c2} \\spad{X} A0:=Aleph 0 \\spad{X} finite? \\spad{A0}")) (|Aleph| (($ (|NonNegativeInteger|)) "\\indented{1}{Aleph(\\spad{n}) provides the named (infinite) cardinal number.} \\blankline \\spad{X} A0:=Aleph 0")) (** (($ $ $) "\\indented{1}{\\spad{x**y} returns \\spad{\\#(X**Y)} where \\spad{X**Y} is defined} \\indented{2}{as \\spad{\\{g| g:Y->X\\}}.} \\blankline \\spad{X} c2:=2::CardinalNumber \\spad{X} \\spad{c2**c2} \\spad{X} A1:=Aleph 1 \\spad{X} \\spad{A1**c2} \\spad{X} generalizedContinuumHypothesisAssumed \\spad{true} \\spad{X} \\spad{A1**A1}")) (- (((|Union| $ "failed") $ $) "\\indented{1}{\\spad{x - y} returns an element \\spad{z} such that} \\indented{1}{\\spad{z+y=x} or \"failed\" if no such element exists.} \\blankline \\spad{X} c2:=2::CardinalNumber \\spad{X} \\spad{c2}-\\spad{c2} \\spad{X} A1:=Aleph 1 \\spad{X} \\spad{A1}-\\spad{c2}")) (|commutative| ((|attribute| "*") "a domain \\spad{D} has \\spad{commutative(\"*\")} if it has an operation \\spad{\"*\": (D,{}D) -> D} which is commutative."))) 
-(((-4523 "*") . T)) 
+(((-4537 "*") . T)) 
 NIL 
-(-140 |minix| -1965 S T$) 
+(-141 |minix| -4391 S T$) 
 ((|constructor| (NIL "This package provides functions to enable conversion of tensors given conversion of the components.")) (|map| (((|CartesianTensor| |#1| |#2| |#4|) (|Mapping| |#4| |#3|) (|CartesianTensor| |#1| |#2| |#3|)) "\\spad{map(f,{}ts)} does a componentwise conversion of the tensor \\spad{ts} to a tensor with components of type \\spad{T}.")) (|reshape| (((|CartesianTensor| |#1| |#2| |#4|) (|List| |#4|) (|CartesianTensor| |#1| |#2| |#3|)) "\\spad{reshape(lt,{}ts)} organizes the list of components \\spad{lt} into a tensor with the same shape as \\spad{ts}."))) 
 NIL 
 NIL 
-(-141 |minix| -1965 R) 
+(-142 |minix| -4391 R) 
 ((|constructor| (NIL "CartesianTensor(minix,{}dim,{}\\spad{R}) provides Cartesian tensors with components belonging to a commutative ring \\spad{R}. These tensors can have any number of indices. Each index takes values from \\spad{minix} to \\spad{minix + dim - 1}.")) (|sample| (($) "\\spad{sample()} returns an object of type \\%.")) (|unravel| (($ (|List| |#3|)) "\\spad{unravel(t)} produces a tensor from a list of components such that \\indented{2}{\\spad{unravel(ravel(t)) = t}.}")) (|ravel| (((|List| |#3|) $) "\\indented{1}{ravel(\\spad{t}) produces a list of components from a tensor such that} \\indented{3}{\\spad{unravel(ravel(t)) = t}.} \\blankline \\spad{X} n:SquareMatrix(2,{}Integer):=matrix [[2,{}3],{}[0,{}1]] \\spad{X} tn:CartesianTensor(1,{}2,{}Integer)\\spad{:=n} \\spad{X} ravel \\spad{tn}")) (|leviCivitaSymbol| (($) "\\indented{1}{leviCivitaSymbol() is the rank \\spad{dim} tensor defined by} \\indented{1}{\\spad{leviCivitaSymbol()(i1,{}...idim) = +1/0/-1}} \\indented{1}{if \\spad{i1,{}...,{}idim} is an even/is nota /is an odd permutation} \\indented{1}{of \\spad{minix,{}...,{}minix+dim-1}.} \\blankline \\spad{X} lcs:CartesianTensor(1,{}2,{}Integer):=leviCivitaSymbol()")) (|kroneckerDelta| (($) "\\indented{1}{kroneckerDelta() is the rank 2 tensor defined by} \\indented{4}{\\spad{kroneckerDelta()(i,{}j)}} \\indented{7}{\\spad{= 1\\space{2}if i = j}} \\indented{7}{\\spad{= 0 if\\space{2}i \\^= j}} \\blankline \\spad{X} delta:CartesianTensor(1,{}2,{}Integer):=kroneckerDelta()")) (|reindex| (($ $ (|List| (|Integer|))) "\\indented{1}{reindex(\\spad{t},{}[\\spad{i1},{}...,{}idim]) permutes the indices of \\spad{t}.} \\indented{1}{For example,{} if \\spad{r = reindex(t,{} [4,{}1,{}2,{}3])}} \\indented{1}{for a rank 4 tensor \\spad{t},{}} \\indented{1}{then \\spad{r} is the rank for tensor given by} \\indented{5}{\\spad{r(i,{}j,{}k,{}l) = t(l,{}i,{}j,{}k)}.} \\blankline \\spad{X} n:SquareMatrix(2,{}Integer):=matrix [[2,{}3],{}[0,{}1]] \\spad{X} tn:CartesianTensor(1,{}2,{}Integer)\\spad{:=n} \\spad{X} p:=product(\\spad{tn},{}\\spad{tn}) \\spad{X} reindex(\\spad{p},{}[4,{}3,{}2,{}1])")) (|transpose| (($ $ (|Integer|) (|Integer|)) "\\indented{1}{transpose(\\spad{t},{}\\spad{i},{}\\spad{j}) exchanges the \\spad{i}\\spad{-}th and \\spad{j}\\spad{-}th} \\indented{1}{indices of \\spad{t}. For example,{} if \\spad{r = transpose(t,{}2,{}3)}} \\indented{1}{for a rank 4 tensor \\spad{t},{} then \\spad{r} is the rank 4 tensor} \\indented{1}{given by} \\indented{5}{\\spad{r(i,{}j,{}k,{}l) = t(i,{}k,{}j,{}l)}.} \\blankline \\spad{X} m:SquareMatrix(2,{}Integer):=matrix [[1,{}2],{}[4,{}5]] \\spad{X} tm:CartesianTensor(1,{}2,{}Integer)\\spad{:=m} \\spad{X} tn:CartesianTensor(1,{}2,{}Integer)\\spad{:=}[\\spad{tm},{}\\spad{tm}] \\spad{X} transpose(\\spad{tn},{}1,{}2)") (($ $) "\\indented{1}{transpose(\\spad{t}) exchanges the first and last indices of \\spad{t}.} \\indented{1}{For example,{} if \\spad{r = transpose(t)} for a rank 4} \\indented{1}{tensor \\spad{t},{} then \\spad{r} is the rank 4 tensor given by} \\indented{5}{\\spad{r(i,{}j,{}k,{}l) = t(l,{}j,{}k,{}i)}.} \\blankline \\spad{X} m:SquareMatrix(2,{}Integer):=matrix [[1,{}2],{}[4,{}5]] \\spad{X} Tm:CartesianTensor(1,{}2,{}Integer)\\spad{:=m} \\spad{X} transpose(\\spad{Tm})")) (|contract| (($ $ (|Integer|) (|Integer|)) "\\indented{1}{contract(\\spad{t},{}\\spad{i},{}\\spad{j}) is the contraction of tensor \\spad{t} which} \\indented{1}{sums along the \\spad{i}\\spad{-}th and \\spad{j}\\spad{-}th indices.} \\indented{1}{For example,{}\\space{2}if} \\indented{1}{\\spad{r = contract(t,{}1,{}3)} for a rank 4 tensor \\spad{t},{} then} \\indented{1}{\\spad{r} is the rank 2 \\spad{(= 4 - 2)} tensor given by} \\indented{5}{\\spad{r(i,{}j) = sum(h=1..dim,{}t(h,{}i,{}h,{}j))}.} \\blankline \\spad{X} m:SquareMatrix(2,{}Integer):=matrix [[1,{}2],{}[4,{}5]] \\spad{X} Tm:CartesianTensor(1,{}2,{}Integer)\\spad{:=m} \\spad{X} v:DirectProduct(2,{}Integer):=directProduct [3,{}4] \\spad{X} Tv:CartesianTensor(1,{}2,{}Integer)\\spad{:=v} \\spad{X} Tmv:=contract(\\spad{Tm},{}2,{}1)") (($ $ (|Integer|) $ (|Integer|)) "\\indented{1}{contract(\\spad{t},{}\\spad{i},{}\\spad{s},{}\\spad{j}) is the inner product of tenors \\spad{s} and \\spad{t}} \\indented{1}{which sums along the \\spad{k1}\\spad{-}th index of} \\indented{1}{\\spad{t} and the \\spad{k2}\\spad{-}th index of \\spad{s}.} \\indented{1}{For example,{} if \\spad{r = contract(s,{}2,{}t,{}1)} for rank 3 tensors} \\indented{1}{rank 3 tensors \\spad{s} and \\spad{t},{} then \\spad{r} is} \\indented{1}{the rank 4 \\spad{(= 3 + 3 - 2)} tensor\\space{2}given by} \\indented{5}{\\spad{r(i,{}j,{}k,{}l) = sum(h=1..dim,{}s(i,{}h,{}j)*t(h,{}k,{}l))}.} \\blankline \\spad{X} m:SquareMatrix(2,{}Integer):=matrix [[1,{}2],{}[4,{}5]] \\spad{X} Tm:CartesianTensor(1,{}2,{}Integer)\\spad{:=m} \\spad{X} v:DirectProduct(2,{}Integer):=directProduct [3,{}4] \\spad{X} Tv:CartesianTensor(1,{}2,{}Integer)\\spad{:=v} \\spad{X} Tmv:=contract(\\spad{Tm},{}2,{}\\spad{Tv},{}1)")) (* (($ $ $) "\\indented{1}{\\spad{s*t} is the inner product of the tensors \\spad{s} and \\spad{t} which contracts} \\indented{1}{the last index of \\spad{s} with the first index of \\spad{t},{} that is,{}} \\indented{5}{\\spad{t*s = contract(t,{}rank t,{} s,{} 1)}} \\indented{5}{\\spad{t*s = sum(k=1..N,{} t[i1,{}..,{}iN,{}k]*s[k,{}j1,{}..,{}jM])}} \\indented{1}{This is compatible with the use of \\spad{M*v} to denote} \\indented{1}{the matrix-vector inner product.} \\blankline \\spad{X} m:SquareMatrix(2,{}Integer):=matrix [[1,{}2],{}[4,{}5]] \\spad{X} Tm:CartesianTensor(1,{}2,{}Integer)\\spad{:=m} \\spad{X} v:DirectProduct(2,{}Integer):=directProduct [3,{}4] \\spad{X} Tv:CartesianTensor(1,{}2,{}Integer)\\spad{:=v} \\spad{X} Tm*Tv")) (|product| (($ $ $) "\\indented{1}{product(\\spad{s},{}\\spad{t}) is the outer product of the tensors \\spad{s} and \\spad{t}.} \\indented{1}{For example,{} if \\spad{r = product(s,{}t)} for rank 2 tensors} \\indented{1}{\\spad{s} and \\spad{t},{} then \\spad{r} is a rank 4 tensor given by} \\indented{5}{\\spad{r(i,{}j,{}k,{}l) = s(i,{}j)*t(k,{}l)}.} \\blankline \\spad{X} m:SquareMatrix(2,{}Integer):=matrix [[1,{}2],{}[4,{}5]] \\spad{X} Tm:CartesianTensor(1,{}2,{}Integer)\\spad{:=m} \\spad{X} n:SquareMatrix(2,{}Integer):=matrix [[2,{}3],{}[0,{}1]] \\spad{X} Tn:CartesianTensor(1,{}2,{}Integer)\\spad{:=n} \\spad{X} Tmn:=product(\\spad{Tm},{}\\spad{Tn})")) (|elt| ((|#3| $ (|List| (|Integer|))) "\\indented{1}{elt(\\spad{t},{}[\\spad{i1},{}...,{}iN]) gives a component of a rank \\spad{N} tensor.} \\blankline \\spad{X} \\spad{v:=}[2,{}3] \\spad{X} tv:CartesianTensor(1,{}2,{}Integer)\\spad{:=v} \\spad{X} tm:CartesianTensor(1,{}2,{}Integer)\\spad{:=}[\\spad{tv},{}\\spad{tv}] \\spad{X} tn:CartesianTensor(1,{}2,{}Integer)\\spad{:=}[\\spad{tm},{}\\spad{tm}] \\spad{X} tp:CartesianTensor(1,{}2,{}Integer)\\spad{:=}[\\spad{tn},{}\\spad{tn}] \\spad{X} tq:CartesianTensor(1,{}2,{}Integer)\\spad{:=}[\\spad{tp},{}\\spad{tp}] \\spad{X} elt(\\spad{tq},{}[2,{}2,{}2,{}2,{}2])") ((|#3| $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\indented{1}{elt(\\spad{t},{}\\spad{i},{}\\spad{j},{}\\spad{k},{}\\spad{l}) gives a component of a rank 4 tensor.} \\blankline \\spad{X} \\spad{v:=}[2,{}3] \\spad{X} tv:CartesianTensor(1,{}2,{}Integer)\\spad{:=v} \\spad{X} tm:CartesianTensor(1,{}2,{}Integer)\\spad{:=}[\\spad{tv},{}\\spad{tv}] \\spad{X} tn:CartesianTensor(1,{}2,{}Integer)\\spad{:=}[\\spad{tm},{}\\spad{tm}] \\spad{X} tp:CartesianTensor(1,{}2,{}Integer)\\spad{:=}[\\spad{tn},{}\\spad{tn}] \\spad{X} elt(\\spad{tp},{}2,{}2,{}2,{}2) \\spad{X} \\spad{tp}[2,{}2,{}2,{}2]") ((|#3| $ (|Integer|) (|Integer|) (|Integer|)) "\\indented{1}{elt(\\spad{t},{}\\spad{i},{}\\spad{j},{}\\spad{k}) gives a component of a rank 3 tensor.} \\blankline \\spad{X} \\spad{v:=}[2,{}3] \\spad{X} tv:CartesianTensor(1,{}2,{}Integer)\\spad{:=v} \\spad{X} tm:CartesianTensor(1,{}2,{}Integer)\\spad{:=}[\\spad{tv},{}\\spad{tv}] \\spad{X} tn:CartesianTensor(1,{}2,{}Integer)\\spad{:=}[\\spad{tm},{}\\spad{tm}] \\spad{X} elt(\\spad{tn},{}2,{}2,{}2) \\spad{X} \\spad{tn}[2,{}2,{}2]") ((|#3| $ (|Integer|) (|Integer|)) "\\indented{1}{elt(\\spad{t},{}\\spad{i},{}\\spad{j}) gives a component of a rank 2 tensor.} \\blankline \\spad{X} \\spad{v:=}[2,{}3] \\spad{X} tv:CartesianTensor(1,{}2,{}Integer)\\spad{:=v} \\spad{X} tm:CartesianTensor(1,{}2,{}Integer)\\spad{:=}[\\spad{tv},{}\\spad{tv}] \\spad{X} elt(\\spad{tm},{}2,{}2) \\spad{X} \\spad{tm}[2,{}2]") ((|#3| $ (|Integer|)) "\\indented{1}{elt(\\spad{t},{}\\spad{i}) gives a component of a rank 1 tensor.} \\blankline \\spad{X} \\spad{v:=}[2,{}3] \\spad{X} tv:CartesianTensor(1,{}2,{}Integer)\\spad{:=v} \\spad{X} elt(\\spad{tv},{}2) \\spad{X} \\spad{tv}[2]") ((|#3| $) "\\indented{1}{elt(\\spad{t}) gives the component of a rank 0 tensor.} \\blankline \\spad{X} tv:CartesianTensor(1,{}2,{}Integer)\\spad{:=8} \\spad{X} elt(\\spad{tv}) \\spad{X} \\spad{tv}[]")) (|rank| (((|NonNegativeInteger|) $) "\\indented{1}{rank(\\spad{t}) returns the tensorial rank of \\spad{t} (that is,{} the} \\indented{1}{number of indices).\\space{2}This is the same as the graded module} \\indented{1}{degree.} \\blankline \\spad{X} CT:=CARTEN(1,{}2,{}Integer) \\spad{X} \\spad{t0:CT:=8} \\spad{X} rank \\spad{t0}")) (|coerce| (($ (|List| $)) "\\indented{1}{coerce([\\spad{t_1},{}...,{}t_dim]) allows tensors to be constructed} \\indented{1}{using lists.} \\blankline \\spad{X} \\spad{v:=}[2,{}3] \\spad{X} tv:CartesianTensor(1,{}2,{}Integer)\\spad{:=v} \\spad{X} tm:CartesianTensor(1,{}2,{}Integer)\\spad{:=}[\\spad{tv},{}\\spad{tv}]") (($ (|List| |#3|)) "\\indented{1}{coerce([\\spad{r_1},{}...,{}r_dim]) allows tensors to be constructed} \\indented{1}{using lists.} \\blankline \\spad{X} \\spad{v:=}[2,{}3] \\spad{X} tv:CartesianTensor(1,{}2,{}Integer)\\spad{:=v}") (($ (|SquareMatrix| |#2| |#3|)) "\\indented{1}{coerce(\\spad{m}) views a matrix as a rank 2 tensor.} \\blankline \\spad{X} v:SquareMatrix(2,{}Integer)\\spad{:=}[[1,{}2],{}[3,{}4]] \\spad{X} tv:CartesianTensor(1,{}2,{}Integer)\\spad{:=v}") (($ (|DirectProduct| |#2| |#3|)) "\\indented{1}{coerce(\\spad{v}) views a vector as a rank 1 tensor.} \\blankline \\spad{X} v:DirectProduct(2,{}Integer):=directProduct [3,{}4] \\spad{X} tv:CartesianTensor(1,{}2,{}Integer)\\spad{:=v}"))) 
 NIL 
 NIL 
-(-142) 
+(-143) 
 ((|constructor| (NIL "This domain allows classes of characters to be defined and manipulated efficiently.")) (|alphanumeric| (($) "\\spad{alphanumeric()} returns the class of all characters for which alphanumeric? is \\spad{true}.")) (|alphabetic| (($) "\\spad{alphabetic()} returns the class of all characters for which alphabetic? is \\spad{true}.")) (|lowerCase| (($) "\\spad{lowerCase()} returns the class of all characters for which lowerCase? is \\spad{true}.")) (|upperCase| (($) "\\spad{upperCase()} returns the class of all characters for which upperCase? is \\spad{true}.")) (|hexDigit| (($) "\\spad{hexDigit()} returns the class of all characters for which hexDigit? is \\spad{true}.")) (|digit| (($) "\\spad{digit()} returns the class of all characters for which digit? is \\spad{true}.")) (|charClass| (($ (|List| (|Character|))) "\\spad{charClass(l)} creates a character class which contains exactly the characters given in the list \\spad{l}.") (($ (|String|)) "\\spad{charClass(s)} creates a character class which contains exactly the characters given in the string \\spad{s}."))) 
-((-4521 . T) (-4511 . T) (-4522 . T)) 
-((|HasCategory| (-147) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| (-147) (QUOTE (-370))) (|HasCategory| (-147) (QUOTE (-842))) (|HasCategory| (-147) (QUOTE (-1090))) (-12 (|HasCategory| (-147) (LIST (QUOTE -303) (QUOTE (-147)))) (|HasCategory| (-147) (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| (-147) (LIST (QUOTE -303) (QUOTE (-147)))) (|HasCategory| (-147) (QUOTE (-370)))) (-12 (|HasCategory| (-147) (LIST (QUOTE -303) (QUOTE (-147)))) (|HasCategory| (-147) (QUOTE (-1090)))))) 
-(-143 R Q A) 
+((-4535 . T) (-4525 . T) (-4536 . T)) 
+((|HasCategory| (-148) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-148) (QUOTE (-371))) (|HasCategory| (-148) (QUOTE (-843))) (|HasCategory| (-148) (QUOTE (-1091))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-371)))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1091)))))) 
+(-144 R Q A) 
 ((|constructor| (NIL "CommonDenominator provides functions to compute the common denominator of a finite linear aggregate of elements of the quotient field of an integral domain.")) (|splitDenominator| (((|Record| (|:| |num| |#3|) (|:| |den| |#1|)) |#3|) "\\spad{splitDenominator([q1,{}...,{}qn])} returns \\spad{[[p1,{}...,{}pn],{} d]} such that \\spad{\\spad{qi} = pi/d} and \\spad{d} is a common denominator for the \\spad{qi}\\spad{'s}.")) (|clearDenominator| ((|#3| |#3|) "\\spad{clearDenominator([q1,{}...,{}qn])} returns \\spad{[p1,{}...,{}pn]} such that \\spad{\\spad{qi} = pi/d} where \\spad{d} is a common denominator for the \\spad{qi}\\spad{'s}.")) (|commonDenominator| ((|#1| |#3|) "\\spad{commonDenominator([q1,{}...,{}qn])} returns a common denominator \\spad{d} for \\spad{q1},{}...,{}\\spad{qn}."))) 
 NIL 
 NIL 
-(-144) 
-((|constructor| (NIL "This is a low-level domain which implements matrices (two dimensional arrays) of complex double precision floating point numbers. Indexing is 0 based,{} there is no bound checking (unless provided by lower level).")) (|qnew| (($ (|Integer|) (|Integer|)) "\\indented{1}{qnew(\\spad{n},{} \\spad{m}) creates a new uninitialized \\spad{n} by \\spad{m} matrix.} \\blankline \\spad{X} t1:CDFMAT:=qnew(3,{}4)"))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| (-169 (-215)) (QUOTE (-1090))) (-12 (|HasCategory| (-169 (-215)) (LIST (QUOTE -303) (LIST (QUOTE -169) (QUOTE (-215))))) (|HasCategory| (-169 (-215)) (QUOTE (-1090)))) (|HasCategory| (-169 (-215)) (QUOTE (-301))) (|HasCategory| (-169 (-215)) (QUOTE (-558))) (|HasAttribute| (-169 (-215)) (QUOTE (-4523 "*"))) (|HasCategory| (-169 (-215)) (QUOTE (-172))) (|HasCategory| (-169 (-215)) (QUOTE (-365)))) 
 (-145) 
-((|constructor| (NIL "This is a low-level domain which implements vectors (one dimensional arrays) of complex double precision floating point numbers. Indexing is 0 based,{} there is no bound checking (unless provided by lower level).")) (|vector| (($ (|List| (|Complex| (|DoubleFloat|)))) "\\indented{1}{vector(\\spad{l}) converts the list \\spad{l} to a vector.} \\blankline \\spad{X} t1:List(Complex(DoubleFloat))\\spad{:=}[1+2*\\%\\spad{i},{}3+4*\\%\\spad{i},{}\\spad{-5}-6*\\%\\spad{i}] \\spad{X} t2:CDFVEC:=vector(\\spad{t1})")) (|qnew| (($ (|Integer|)) "\\indented{1}{qnew(\\spad{n}) creates a new uninitialized vector of length \\spad{n}.} \\blankline \\spad{X} t1:CDFVEC:=qnew 7"))) 
-((-4522 . T) (-4521 . T)) 
-((|HasCategory| (-169 (-215)) (QUOTE (-1090))) (|HasCategory| (-169 (-215)) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| (-169 (-215)) (QUOTE (-842))) (-2199 (|HasCategory| (-169 (-215)) (QUOTE (-842))) (|HasCategory| (-169 (-215)) (QUOTE (-1090)))) (|HasCategory| (-568) (QUOTE (-842))) (|HasCategory| (-169 (-215)) (QUOTE (-25))) (|HasCategory| (-169 (-215)) (QUOTE (-23))) (|HasCategory| (-169 (-215)) (QUOTE (-21))) (|HasCategory| (-169 (-215)) (QUOTE (-716))) (|HasCategory| (-169 (-215)) (QUOTE (-1047))) (-12 (|HasCategory| (-169 (-215)) (QUOTE (-1002))) (|HasCategory| (-169 (-215)) (QUOTE (-1047)))) (-12 (|HasCategory| (-169 (-215)) (LIST (QUOTE -303) (LIST (QUOTE -169) (QUOTE (-215))))) (|HasCategory| (-169 (-215)) (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| (-169 (-215)) (LIST (QUOTE -303) (LIST (QUOTE -169) (QUOTE (-215))))) (|HasCategory| (-169 (-215)) (QUOTE (-842)))) (-12 (|HasCategory| (-169 (-215)) (LIST (QUOTE -303) (LIST (QUOTE -169) (QUOTE (-215))))) (|HasCategory| (-169 (-215)) (QUOTE (-1090)))))) 
+((|constructor| (NIL "This is a low-level domain which implements matrices (two dimensional arrays) of complex double precision floating point numbers. Indexing is 0 based,{} there is no bound checking (unless provided by lower level).")) (|qnew| (($ (|Integer|) (|Integer|)) "\\indented{1}{qnew(\\spad{n},{} \\spad{m}) creates a new uninitialized \\spad{n} by \\spad{m} matrix.} \\blankline \\spad{X} t1:CDFMAT:=qnew(3,{}4)"))) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| (-170 (-216)) (QUOTE (-1091))) (-12 (|HasCategory| (-170 (-216)) (LIST (QUOTE -304) (LIST (QUOTE -170) (QUOTE (-216))))) (|HasCategory| (-170 (-216)) (QUOTE (-1091)))) (|HasCategory| (-170 (-216)) (QUOTE (-302))) (|HasCategory| (-170 (-216)) (QUOTE (-559))) (|HasAttribute| (-170 (-216)) (QUOTE (-4537 "*"))) (|HasCategory| (-170 (-216)) (QUOTE (-173))) (|HasCategory| (-170 (-216)) (QUOTE (-366)))) 
 (-146) 
+((|constructor| (NIL "This is a low-level domain which implements vectors (one dimensional arrays) of complex double precision floating point numbers. Indexing is 0 based,{} there is no bound checking (unless provided by lower level).")) (|vector| (($ (|List| (|Complex| (|DoubleFloat|)))) "\\indented{1}{vector(\\spad{l}) converts the list \\spad{l} to a vector.} \\blankline \\spad{X} t1:List(Complex(DoubleFloat))\\spad{:=}[1+2*\\%\\spad{i},{}3+4*\\%\\spad{i},{}\\spad{-5}-6*\\%\\spad{i}] \\spad{X} t2:CDFVEC:=vector(\\spad{t1})")) (|qnew| (($ (|Integer|)) "\\indented{1}{qnew(\\spad{n}) creates a new uninitialized vector of length \\spad{n}.} \\blankline \\spad{X} t1:CDFVEC:=qnew 7"))) 
+((-4536 . T) (-4535 . T)) 
+((|HasCategory| (-170 (-216)) (QUOTE (-1091))) (|HasCategory| (-170 (-216)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-170 (-216)) (QUOTE (-843))) (-2232 (|HasCategory| (-170 (-216)) (QUOTE (-843))) (|HasCategory| (-170 (-216)) (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (|HasCategory| (-170 (-216)) (QUOTE (-25))) (|HasCategory| (-170 (-216)) (QUOTE (-23))) (|HasCategory| (-170 (-216)) (QUOTE (-21))) (|HasCategory| (-170 (-216)) (QUOTE (-717))) (|HasCategory| (-170 (-216)) (QUOTE (-1048))) (-12 (|HasCategory| (-170 (-216)) (QUOTE (-1003))) (|HasCategory| (-170 (-216)) (QUOTE (-1048)))) (-12 (|HasCategory| (-170 (-216)) (LIST (QUOTE -304) (LIST (QUOTE -170) (QUOTE (-216))))) (|HasCategory| (-170 (-216)) (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| (-170 (-216)) (LIST (QUOTE -304) (LIST (QUOTE -170) (QUOTE (-216))))) (|HasCategory| (-170 (-216)) (QUOTE (-843)))) (-12 (|HasCategory| (-170 (-216)) (LIST (QUOTE -304) (LIST (QUOTE -170) (QUOTE (-216))))) (|HasCategory| (-170 (-216)) (QUOTE (-1091)))))) 
+(-147) 
 ((|constructor| (NIL "Category for the usual combinatorial functions.")) (|permutation| (($ $ $) "\\spad{permutation(n,{} m)} returns the number of permutations of \\spad{n} objects taken \\spad{m} at a time. Note that \\spad{permutation(n,{}m) = n!/(n-m)!}.")) (|factorial| (($ $) "\\spad{factorial(n)} computes the factorial of \\spad{n} (denoted in the literature by \\spad{n!}) Note that \\spad{n! = n (n-1)! when n > 0}; also,{} \\spad{0! = 1}.")) (|binomial| (($ $ $) "\\indented{1}{binomial(\\spad{n},{}\\spad{r}) returns the \\spad{(n,{}r)} binomial coefficient} \\indented{1}{(often denoted in the literature by \\spad{C(n,{}r)}).} \\indented{1}{Note that \\spad{C(n,{}r) = n!/(r!(n-r)!)} where \\spad{n >= r >= 0}.} \\blankline \\spad{X} [binomial(5,{}\\spad{i}) for \\spad{i} in 0..5]"))) 
 NIL 
 NIL 
-(-147) 
+(-148) 
 ((|constructor| (NIL "This domain provides the basic character data type.")) (|alphanumeric?| (((|Boolean|) $) "\\indented{1}{alphanumeric?(\\spad{c}) tests if \\spad{c} is either a letter or number,{}} \\indented{1}{\\spadignore{i.e.} one of 0..9,{} a..\\spad{z} or A..\\spad{Z}.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\",{} char \"A\",{} char \\spad{\"X\"},{} char \\spad{\"8\"},{} char \\spad{\"+\"}] \\spad{X} [alphanumeric? \\spad{c} for \\spad{c} in chars]")) (|lowerCase?| (((|Boolean|) $) "\\indented{1}{lowerCase?(\\spad{c}) tests if \\spad{c} is an lower case letter,{}} \\indented{1}{\\spadignore{i.e.} one of a..\\spad{z}.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\",{} char \"A\",{} char \\spad{\"X\"},{} char \\spad{\"8\"},{} char \\spad{\"+\"}] \\spad{X} [lowerCase? \\spad{c} for \\spad{c} in chars]")) (|upperCase?| (((|Boolean|) $) "\\indented{1}{upperCase?(\\spad{c}) tests if \\spad{c} is an upper case letter,{}} \\indented{1}{\\spadignore{i.e.} one of A..\\spad{Z}.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\",{} char \"A\",{} char \\spad{\"X\"},{} char \\spad{\"8\"},{} char \\spad{\"+\"}] \\spad{X} [upperCase? \\spad{c} for \\spad{c} in chars]")) (|alphabetic?| (((|Boolean|) $) "\\indented{1}{alphabetic?(\\spad{c}) tests if \\spad{c} is a letter,{}} \\indented{1}{\\spadignore{i.e.} one of a..\\spad{z} or A..\\spad{Z}.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\",{} char \"A\",{} char \\spad{\"X\"},{} char \\spad{\"8\"},{} char \\spad{\"+\"}] \\spad{X} [alphabetic? \\spad{c} for \\spad{c} in chars]")) (|hexDigit?| (((|Boolean|) $) "\\indented{1}{hexDigit?(\\spad{c}) tests if \\spad{c} is a hexadecimal numeral,{}} \\indented{1}{\\spadignore{i.e.} one of 0..9,{} a..\\spad{f} or A..\\spad{F}.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\",{} char \"A\",{} char \\spad{\"X\"},{} char \\spad{\"8\"},{} char \\spad{\"+\"}] \\spad{X} [hexDigit? \\spad{c} for \\spad{c} in chars]")) (|digit?| (((|Boolean|) $) "\\indented{1}{digit?(\\spad{c}) tests if \\spad{c} is a digit character,{}} \\indented{1}{\\spadignore{i.e.} one of 0..9.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\",{} char \"A\",{} char \\spad{\"X\"},{} char \\spad{\"8\"},{} char \\spad{\"+\"}] \\spad{X} [digit? \\spad{c} for \\spad{c} in chars]")) (|lowerCase| (($ $) "\\indented{1}{lowerCase(\\spad{c}) converts an upper case letter to the corresponding} \\indented{1}{lower case letter.\\space{2}If \\spad{c} is not an upper case letter,{} then} \\indented{1}{it is returned unchanged.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\",{} char \"A\",{} char \\spad{\"X\"},{} char \\spad{\"8\"},{} char \\spad{\"+\"}] \\spad{X} [lowerCase \\spad{c} for \\spad{c} in chars]")) (|upperCase| (($ $) "\\indented{1}{upperCase(\\spad{c}) converts a lower case letter to the corresponding} \\indented{1}{upper case letter.\\space{2}If \\spad{c} is not a lower case letter,{} then} \\indented{1}{it is returned unchanged.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\",{} char \"A\",{} char \\spad{\"X\"},{} char \\spad{\"8\"},{} char \\spad{\"+\"}] \\spad{X} [upperCase \\spad{c} for \\spad{c} in chars]")) (|escape| (($) "\\indented{1}{escape() provides the escape character,{} \\spad{_},{} which} \\indented{1}{is used to allow quotes and other characters within} \\indented{1}{strings.} \\blankline \\spad{X} escape()")) (|quote| (($) "\\indented{1}{quote() provides the string quote character,{} \\spad{\"}.} \\blankline \\spad{X} quote()")) (|space| (($) "\\indented{1}{space() provides the blank character.} \\blankline \\spad{X} space()")) (|char| (($ (|String|)) "\\indented{1}{char(\\spad{s}) provides a character from a string \\spad{s} of length one.} \\blankline \\spad{X} [char \\spad{c} for \\spad{c} in [\"a\",{}\"A\",{}\\spad{\"X\"},{}\\spad{\"8\"},{}\\spad{\"+\"}]]") (($ (|Integer|)) "\\indented{1}{char(\\spad{i}) provides a character corresponding to the integer} \\indented{1}{code \\spad{i}. It is always \\spad{true} that \\spad{ord char i = i}.} \\blankline \\spad{X} [char \\spad{c} for \\spad{c} in [97,{}65,{}88,{}56,{}43]]")) (|ord| (((|Integer|) $) "\\indented{1}{ord(\\spad{c}) provides an integral code corresponding to the} \\indented{1}{character \\spad{c}.\\space{2}It is always \\spad{true} that \\spad{char ord c = c}.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\",{} char \"A\",{} char \\spad{\"X\"},{} char \\spad{\"8\"},{} char \\spad{\"+\"}] \\spad{X} [ord \\spad{c} for \\spad{c} in chars]"))) 
 NIL 
 NIL 
-(-148) 
+(-149) 
 ((|constructor| (NIL "Rings of Characteristic Non Zero")) (|charthRoot| (((|Union| $ "failed") $) "\\spad{charthRoot(x)} returns the \\spad{p}th root of \\spad{x} where \\spad{p} is the characteristic of the ring."))) 
-((-4518 . T)) 
+((-4532 . T)) 
 NIL 
-(-149 R) 
+(-150 R) 
 ((|constructor| (NIL "This package provides a characteristicPolynomial function for any matrix over a commutative ring.")) (|characteristicPolynomial| ((|#1| (|Matrix| |#1|) |#1|) "\\spad{characteristicPolynomial(m,{}r)} computes the characteristic polynomial of the matrix \\spad{m} evaluated at the point \\spad{r}. In particular,{} if \\spad{r} is the polynomial \\spad{'x},{} then it returns the characteristic polynomial expressed as a polynomial in \\spad{'x}."))) 
 NIL 
 NIL 
-(-150) 
+(-151) 
 ((|constructor| (NIL "Rings of Characteristic Zero."))) 
-((-4518 . T)) 
+((-4532 . T)) 
 NIL 
-(-151 -1478 UP UPUP) 
+(-152 -1564 UP UPUP) 
 ((|constructor| (NIL "Tools to send a point to infinity on an algebraic curve.")) (|chvar| (((|Record| (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (|Fraction| |#2|)) (|:| |c2| (|Fraction| |#2|)) (|:| |deg| (|NonNegativeInteger|))) |#3| |#3|) "\\spad{chvar(f(x,{}y),{} p(x,{}y))} returns \\spad{[g(z,{}t),{} q(z,{}t),{} c1(z),{} c2(z),{} n]} such that under the change of variable \\spad{x = c1(z)},{} \\spad{y = t * c2(z)},{} one gets \\spad{f(x,{}y) = g(z,{}t)}. The algebraic relation between \\spad{x} and \\spad{y} is \\spad{p(x,{} y) = 0}. The algebraic relation between \\spad{z} and \\spad{t} is \\spad{q(z,{} t) = 0}.")) (|eval| ((|#3| |#3| (|Fraction| |#2|) (|Fraction| |#2|)) "\\spad{eval(p(x,{}y),{} f(x),{} g(x))} returns \\spad{p(f(x),{} y * g(x))}.")) (|goodPoint| ((|#1| |#3| |#3|) "\\spad{goodPoint(p,{} q)} returns an integer a such that a is neither a pole of \\spad{p(x,{}y)} nor a branch point of \\spad{q(x,{}y) = 0}.")) (|rootPoly| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| (|Fraction| |#2|)) (|:| |radicand| |#2|)) (|Fraction| |#2|) (|NonNegativeInteger|)) "\\spad{rootPoly(g,{} n)} returns \\spad{[m,{} c,{} P]} such that \\spad{c * g ** (1/n) = P ** (1/m)} thus if \\spad{y**n = g},{} then \\spad{z**m = P} where \\spad{z = c * y}.")) (|radPoly| (((|Union| (|Record| (|:| |radicand| (|Fraction| |#2|)) (|:| |deg| (|NonNegativeInteger|))) "failed") |#3|) "\\spad{radPoly(p(x,{} y))} returns \\spad{[c(x),{} n]} if \\spad{p} is of the form \\spad{y**n - c(x)},{} \"failed\" otherwise.")) (|mkIntegral| (((|Record| (|:| |coef| (|Fraction| |#2|)) (|:| |poly| |#3|)) |#3|) "\\spad{mkIntegral(p(x,{}y))} returns \\spad{[c(x),{} q(x,{}z)]} such that \\spad{z = c * y} is integral. The algebraic relation between \\spad{x} and \\spad{y} is \\spad{p(x,{} y) = 0}. The algebraic relation between \\spad{x} and \\spad{z} is \\spad{q(x,{} z) = 0}."))) 
 NIL 
 NIL 
-(-152 R CR) 
+(-153 R CR) 
 ((|constructor| (NIL "This package provides the generalized euclidean algorithm which is needed as the basic step for factoring polynomials.")) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| |#2|)) "failed") (|List| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) "\\spad{solveLinearPolynomialEquation([f1,{} ...,{} fn],{} g)} where (\\spad{fi} relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g} = sum \\spad{ai} prod \\spad{fj} (\\spad{j} \\spad{\\=} \\spad{i}) or equivalently g/prod \\spad{fj} = sum (ai/fi) or returns \"failed\" if no such list exists"))) 
 NIL 
 NIL 
-(-153 A S) 
+(-154 A S) 
 ((|constructor| (NIL "A collection is a homogeneous aggregate which can built from list of members. The operation used to build the aggregate is generically named \\spadfun{construct}. However,{} each collection provides its own special function with the same name as the data type,{} except with an initial lower case letter,{} \\spadignore{e.g.} \\spadfun{list} for \\spadtype{List},{} \\spadfun{flexibleArray} for \\spadtype{FlexibleArray},{} and so on.")) (|removeDuplicates| (($ $) "\\spad{removeDuplicates(u)} returns a copy of \\spad{u} with all duplicates removed.")) (|select| (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{select(p,{}u)} returns a copy of \\spad{u} containing only those elements such \\axiom{\\spad{p}(\\spad{x})} is \\spad{true}. Note that \\axiom{select(\\spad{p},{}\\spad{u}) \\spad{==} [\\spad{x} for \\spad{x} in \\spad{u} | \\spad{p}(\\spad{x})]}.")) (|remove| (($ |#2| $) "\\spad{remove(x,{}u)} returns a copy of \\spad{u} with all elements \\axiom{\\spad{y} = \\spad{x}} removed. Note that \\axiom{remove(\\spad{y},{}\\spad{c}) \\spad{==} [\\spad{x} for \\spad{x} in \\spad{c} | \\spad{x} \\spad{^=} \\spad{y}]}.") (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{remove(p,{}u)} returns a copy of \\spad{u} removing all elements \\spad{x} such that \\axiom{\\spad{p}(\\spad{x})} is \\spad{true}. Note that \\axiom{remove(\\spad{p},{}\\spad{u}) \\spad{==} [\\spad{x} for \\spad{x} in \\spad{u} | not \\spad{p}(\\spad{x})]}.")) (|reduce| ((|#2| (|Mapping| |#2| |#2| |#2|) $ |#2| |#2|) "\\spad{reduce(f,{}u,{}x,{}z)} reduces the binary operation \\spad{f} across \\spad{u},{} stopping when an \"absorbing element\" \\spad{z} is encountered. As for \\axiom{reduce(\\spad{f},{}\\spad{u},{}\\spad{x})},{} \\spad{x} is the identity operation of \\spad{f}. Same as \\axiom{reduce(\\spad{f},{}\\spad{u},{}\\spad{x})} when \\spad{u} contains no element \\spad{z}. Thus the third argument \\spad{x} is returned when \\spad{u} is empty.") ((|#2| (|Mapping| |#2| |#2| |#2|) $ |#2|) "\\spad{reduce(f,{}u,{}x)} reduces the binary operation \\spad{f} across \\spad{u},{} where \\spad{x} is the identity operation of \\spad{f}. Same as \\axiom{reduce(\\spad{f},{}\\spad{u})} if \\spad{u} has 2 or more elements. Returns \\axiom{\\spad{f}(\\spad{x},{}\\spad{y})} if \\spad{u} has one element \\spad{y},{} \\spad{x} if \\spad{u} is empty. For example,{} \\axiom{reduce(+,{}\\spad{u},{}0)} returns the sum of the elements of \\spad{u}.") ((|#2| (|Mapping| |#2| |#2| |#2|) $) "\\indented{1}{reduce(\\spad{f},{}\\spad{u}) reduces the binary operation \\spad{f} across \\spad{u}. For example,{}} \\indented{1}{if \\spad{u} is \\axiom{[\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]} then \\axiom{reduce(\\spad{f},{}\\spad{u})}} \\indented{1}{returns \\axiom{\\spad{f}(..\\spad{f}(\\spad{f}(\\spad{x},{}\\spad{y}),{}...),{}\\spad{z})}.} \\indented{1}{Note that if \\spad{u} has one element \\spad{x},{} \\axiom{reduce(\\spad{f},{}\\spad{u})} returns \\spad{x}.} \\indented{1}{Error: if \\spad{u} is empty.} \\blankline \\spad{C} )clear all \\spad{X} reduce(+,{}[\\spad{C}[\\spad{i}]*x**i for \\spad{i} in 1..5])")) (|find| (((|Union| |#2| "failed") (|Mapping| (|Boolean|) |#2|) $) "\\spad{find(p,{}u)} returns the first \\spad{x} in \\spad{u} such that \\axiom{\\spad{p}(\\spad{x})} is \\spad{true},{} and \"failed\" otherwise.")) (|construct| (($ (|List| |#2|)) "\\axiom{construct(\\spad{x},{}\\spad{y},{}...,{}\\spad{z})} returns the collection of elements \\axiom{\\spad{x},{}\\spad{y},{}...,{}\\spad{z}} ordered as given. Equivalently written as \\axiom{[\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]\\$\\spad{D}},{} where \\spad{D} is the domain. \\spad{D} may be omitted for those of type List."))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#2| (QUOTE (-1090))) (|HasAttribute| |#1| (QUOTE -4521))) 
-(-154 S) 
+((|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-1091))) (|HasAttribute| |#1| (QUOTE -4535))) 
+(-155 S) 
 ((|constructor| (NIL "A collection is a homogeneous aggregate which can built from list of members. The operation used to build the aggregate is generically named \\spadfun{construct}. However,{} each collection provides its own special function with the same name as the data type,{} except with an initial lower case letter,{} \\spadignore{e.g.} \\spadfun{list} for \\spadtype{List},{} \\spadfun{flexibleArray} for \\spadtype{FlexibleArray},{} and so on.")) (|removeDuplicates| (($ $) "\\spad{removeDuplicates(u)} returns a copy of \\spad{u} with all duplicates removed.")) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{select(p,{}u)} returns a copy of \\spad{u} containing only those elements such \\axiom{\\spad{p}(\\spad{x})} is \\spad{true}. Note that \\axiom{select(\\spad{p},{}\\spad{u}) \\spad{==} [\\spad{x} for \\spad{x} in \\spad{u} | \\spad{p}(\\spad{x})]}.")) (|remove| (($ |#1| $) "\\spad{remove(x,{}u)} returns a copy of \\spad{u} with all elements \\axiom{\\spad{y} = \\spad{x}} removed. Note that \\axiom{remove(\\spad{y},{}\\spad{c}) \\spad{==} [\\spad{x} for \\spad{x} in \\spad{c} | \\spad{x} \\spad{^=} \\spad{y}]}.") (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{remove(p,{}u)} returns a copy of \\spad{u} removing all elements \\spad{x} such that \\axiom{\\spad{p}(\\spad{x})} is \\spad{true}. Note that \\axiom{remove(\\spad{p},{}\\spad{u}) \\spad{==} [\\spad{x} for \\spad{x} in \\spad{u} | not \\spad{p}(\\spad{x})]}.")) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) "\\spad{reduce(f,{}u,{}x,{}z)} reduces the binary operation \\spad{f} across \\spad{u},{} stopping when an \"absorbing element\" \\spad{z} is encountered. As for \\axiom{reduce(\\spad{f},{}\\spad{u},{}\\spad{x})},{} \\spad{x} is the identity operation of \\spad{f}. Same as \\axiom{reduce(\\spad{f},{}\\spad{u},{}\\spad{x})} when \\spad{u} contains no element \\spad{z}. Thus the third argument \\spad{x} is returned when \\spad{u} is empty.") ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) "\\spad{reduce(f,{}u,{}x)} reduces the binary operation \\spad{f} across \\spad{u},{} where \\spad{x} is the identity operation of \\spad{f}. Same as \\axiom{reduce(\\spad{f},{}\\spad{u})} if \\spad{u} has 2 or more elements. Returns \\axiom{\\spad{f}(\\spad{x},{}\\spad{y})} if \\spad{u} has one element \\spad{y},{} \\spad{x} if \\spad{u} is empty. For example,{} \\axiom{reduce(+,{}\\spad{u},{}0)} returns the sum of the elements of \\spad{u}.") ((|#1| (|Mapping| |#1| |#1| |#1|) $) "\\indented{1}{reduce(\\spad{f},{}\\spad{u}) reduces the binary operation \\spad{f} across \\spad{u}. For example,{}} \\indented{1}{if \\spad{u} is \\axiom{[\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]} then \\axiom{reduce(\\spad{f},{}\\spad{u})}} \\indented{1}{returns \\axiom{\\spad{f}(..\\spad{f}(\\spad{f}(\\spad{x},{}\\spad{y}),{}...),{}\\spad{z})}.} \\indented{1}{Note that if \\spad{u} has one element \\spad{x},{} \\axiom{reduce(\\spad{f},{}\\spad{u})} returns \\spad{x}.} \\indented{1}{Error: if \\spad{u} is empty.} \\blankline \\spad{C} )clear all \\spad{X} reduce(+,{}[\\spad{C}[\\spad{i}]*x**i for \\spad{i} in 1..5])")) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) "\\spad{find(p,{}u)} returns the first \\spad{x} in \\spad{u} such that \\axiom{\\spad{p}(\\spad{x})} is \\spad{true},{} and \"failed\" otherwise.")) (|construct| (($ (|List| |#1|)) "\\axiom{construct(\\spad{x},{}\\spad{y},{}...,{}\\spad{z})} returns the collection of elements \\axiom{\\spad{x},{}\\spad{y},{}...,{}\\spad{z}} ordered as given. Equivalently written as \\axiom{[\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]\\$\\spad{D}},{} where \\spad{D} is the domain. \\spad{D} may be omitted for those of type List."))) 
-((-3973 . T)) 
+((-2982 . T)) 
 NIL 
-(-155 |n| K Q) 
+(-156 |n| K Q) 
 ((|constructor| (NIL "CliffordAlgebra(\\spad{n},{} \\spad{K},{} \\spad{Q}) defines a vector space of dimension \\spad{2**n} over \\spad{K},{} given a quadratic form \\spad{Q} on \\spad{K**n}. \\blankline If \\spad{e[i]},{} \\spad{1<=i<=n} is a basis for \\spad{K**n} then 1,{} \\spad{e[i]} (\\spad{1<=i<=n}),{} \\spad{e[i1]*e[i2]} (\\spad{1<=i1<i2<=n}),{}...,{}\\spad{e[1]*e[2]*..*e[n]} is a basis for the Clifford Algebra. \\blankline The algebra is defined by the relations\\spad{\\br} \\tab{5}\\spad{e[i]*e[j] = -e[j]*e[i]} (\\spad{i \\~~= j}),{}\\spad{\\br} \\tab{5}\\spad{e[i]*e[i] = Q(e[i])} \\blankline Examples of Clifford Algebras are: gaussians,{} quaternions,{} exterior algebras and spin algebras.")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(x)} computes the multiplicative inverse of \\spad{x} or \"failed\" if \\spad{x} is not invertible.")) (|coefficient| ((|#2| $ (|List| (|PositiveInteger|))) "\\spad{coefficient(x,{}[i1,{}i2,{}...,{}iN])} extracts the coefficient of \\spad{e(i1)*e(i2)*...*e(iN)} in \\spad{x}.")) (|monomial| (($ |#2| (|List| (|PositiveInteger|))) "\\spad{monomial(c,{}[i1,{}i2,{}...,{}iN])} produces the value given by \\spad{c*e(i1)*e(i2)*...*e(iN)}.")) (|e| (($ (|PositiveInteger|)) "\\spad{e(n)} produces the appropriate unit element."))) 
-((-4516 . T) (-4515 . T) (-4518 . T)) 
+((-4530 . T) (-4529 . T) (-4532 . T)) 
 NIL 
-(-156) 
+(-157) 
 ((|constructor| (NIL "Automatic clipping for 2-dimensional plots The purpose of this package is to provide reasonable plots of functions with singularities.")) (|clipWithRanges| (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|List| (|List| (|Point| (|DoubleFloat|)))) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{clipWithRanges(pointLists,{}xMin,{}xMax,{}yMin,{}yMax)} performs clipping on a list of lists of points,{} \\spad{pointLists}. Clipping is done within the specified ranges of \\spad{xMin},{} \\spad{xMax} and \\spad{yMin},{} \\spad{yMax}. This function is used internally by the \\fakeAxiomFun{iClipParametric} subroutine in this package.")) (|clipParametric| (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|) (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) "\\spad{clipParametric(p,{}frac,{}sc)} performs two-dimensional clipping on a plot,{} \\spad{p},{} from the domain \\spadtype{Plot} for the parametric curve \\spad{x = f(t)},{} \\spad{y = g(t)}; the fraction parameter is specified by \\spad{frac} and the scale parameter is specified by \\spad{sc} for use in the \\fakeAxiomFun{iClipParametric} subroutine,{} which is called by this function.") (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|)) "\\spad{clipParametric(p)} performs two-dimensional clipping on a plot,{} \\spad{p},{} from the domain \\spadtype{Plot} for the parametric curve \\spad{x = f(t)},{} \\spad{y = g(t)}; the default parameters \\spad{1/2} for the fraction and \\spad{5/1} for the scale are used in the \\fakeAxiomFun{iClipParametric} subroutine,{} which is called by this function.")) (|clip| (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|List| (|List| (|Point| (|DoubleFloat|))))) "\\spad{clip(ll)} performs two-dimensional clipping on a list of lists of points,{} \\spad{ll}; the default parameters \\spad{1/2} for the fraction and \\spad{5/1} for the scale are used in the \\fakeAxiomFun{iClipParametric} subroutine,{} which is called by this function.") (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|List| (|Point| (|DoubleFloat|)))) "\\spad{clip(l)} performs two-dimensional clipping on a curve \\spad{l},{} which is a list of points; the default parameters \\spad{1/2} for the fraction and \\spad{5/1} for the scale are used in the \\fakeAxiomFun{iClipParametric} subroutine,{} which is called by this function.") (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|) (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) "\\spad{clip(p,{}frac,{}sc)} performs two-dimensional clipping on a plot,{} \\spad{p},{} from the domain \\spadtype{Plot} for the graph of one variable \\spad{y = f(x)}; the fraction parameter is specified by \\spad{frac} and the scale parameter is specified by \\spad{sc} for use in the \\spadfun{clip} function.") (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|)) "\\spad{clip(p)} performs two-dimensional clipping on a plot,{} \\spad{p},{} from the domain \\spadtype{Plot} for the graph of one variable,{} \\spad{y = f(x)}; the default parameters \\spad{1/4} for the fraction and \\spad{5/1} for the scale are used in the \\spadfun{clip} function."))) 
 NIL 
 NIL 
-(-157 UP |Par|) 
+(-158 UP |Par|) 
 ((|constructor| (NIL "This package provides functions complexZeros for finding the complex zeros of univariate polynomials with complex rational number coefficients. The results are to any user specified precision and are returned as either complex rational number or complex floating point numbers depending on the type of the second argument which specifies the precision.")) (|complexZeros| (((|List| (|Complex| |#2|)) |#1| |#2|) "\\spad{complexZeros(poly,{} eps)} finds the complex zeros of the univariate polynomial \\spad{poly} to precision eps with solutions returned as complex floats or rationals depending on the type of eps."))) 
 NIL 
 NIL 
-(-158) 
+(-159) 
 ((|constructor| (NIL "Color() specifies a domain of 27 colors provided in the \\Language{} system (the colors mix additively).")) (|color| (($ (|Integer|)) "\\spad{color(i)} returns a color of the indicated hue \\spad{i}.")) (|numberOfHues| (((|PositiveInteger|)) "\\spad{numberOfHues()} returns the number of total hues,{} set in totalHues.")) (|hue| (((|Integer|) $) "\\spad{hue(c)} returns the hue index of the indicated color \\spad{c}.")) (|blue| (($) "\\spad{blue()} returns the position of the blue hue from total hues.")) (|green| (($) "\\spad{green()} returns the position of the green hue from total hues.")) (|yellow| (($) "\\spad{yellow()} returns the position of the yellow hue from total hues.")) (|red| (($) "\\spad{red()} returns the position of the red hue from total hues.")) (+ (($ $ $) "\\spad{c1 + c2} additively mixes the two colors \\spad{c1} and \\spad{c2}.")) (* (($ (|DoubleFloat|) $) "\\spad{s * c},{} returns the color \\spad{c},{} whose weighted shade has been scaled by \\spad{s}.") (($ (|PositiveInteger|) $) "\\spad{s * c},{} returns the color \\spad{c},{} whose weighted shade has been scaled by \\spad{s}."))) 
 NIL 
 NIL 
-(-159 R -1478) 
+(-160 R -1564) 
 ((|constructor| (NIL "Provides combinatorial functions over an integral domain.")) (|ipow| ((|#2| (|List| |#2|)) "\\spad{ipow(l)} should be local but conditional.")) (|iidprod| ((|#2| (|List| |#2|)) "\\spad{iidprod(l)} should be local but conditional.")) (|iidsum| ((|#2| (|List| |#2|)) "\\spad{iidsum(l)} should be local but conditional.")) (|iipow| ((|#2| (|List| |#2|)) "\\spad{iipow(l)} should be local but conditional.")) (|iiperm| ((|#2| (|List| |#2|)) "\\spad{iiperm(l)} should be local but conditional.")) (|iibinom| ((|#2| (|List| |#2|)) "\\spad{iibinom(l)} should be local but conditional.")) (|iifact| ((|#2| |#2|) "\\spad{iifact(x)} should be local but conditional.")) (|product| ((|#2| |#2| (|SegmentBinding| |#2|)) "\\spad{product(f(n),{} n = a..b)} returns \\spad{f}(a) * ... * \\spad{f}(\\spad{b}) as a formal product.") ((|#2| |#2| (|Symbol|)) "\\spad{product(f(n),{} n)} returns the formal product \\spad{P}(\\spad{n}) which verifies \\spad{P}(\\spad{n+1})\\spad{/P}(\\spad{n}) = \\spad{f}(\\spad{n}).")) (|summation| ((|#2| |#2| (|SegmentBinding| |#2|)) "\\spad{summation(f(n),{} n = a..b)} returns \\spad{f}(a) + ... + \\spad{f}(\\spad{b}) as a formal sum.") ((|#2| |#2| (|Symbol|)) "\\spad{summation(f(n),{} n)} returns the formal sum \\spad{S}(\\spad{n}) which verifies \\spad{S}(\\spad{n+1}) - \\spad{S}(\\spad{n}) = \\spad{f}(\\spad{n}).")) (|factorials| ((|#2| |#2| (|Symbol|)) "\\spad{factorials(f,{} x)} rewrites the permutations and binomials in \\spad{f} involving \\spad{x} in terms of factorials.") ((|#2| |#2|) "\\spad{factorials(f)} rewrites the permutations and binomials in \\spad{f} in terms of factorials.")) (|factorial| ((|#2| |#2|) "\\spad{factorial(n)} returns the factorial of \\spad{n},{} \\spadignore{i.e.} \\spad{n!}.")) (|permutation| ((|#2| |#2| |#2|) "\\spad{permutation(n,{} r)} returns the number of permutations of \\spad{n} objects taken \\spad{r} at a time,{} \\spadignore{i.e.} \\spad{n!/}(\\spad{n}-\\spad{r})!.")) (|binomial| ((|#2| |#2| |#2|) "\\indented{1}{binomial(\\spad{n},{} \\spad{r}) returns the number of subsets of \\spad{r} objects} \\indented{1}{taken among \\spad{n} objects,{} \\spadignore{i.e.} \\spad{n!/}(\\spad{r!} * (\\spad{n}-\\spad{r})!);} \\blankline \\spad{X} [binomial(5,{}\\spad{i}) for \\spad{i} in 0..5]")) (** ((|#2| |#2| |#2|) "\\spad{a ** b} is the formal exponential a**b.")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns a copy of \\spad{op} with the domain-dependent properties appropriate for \\spad{F}; error if \\spad{op} is not a combinatorial operator.")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} is \\spad{true} if \\spad{op} is a combinatorial operator."))) 
 NIL 
 NIL 
-(-160 I) 
+(-161 I) 
 ((|constructor| (NIL "The \\spadtype{IntegerCombinatoricFunctions} package provides some standard functions in combinatorics.")) (|stirling2| ((|#1| |#1| |#1|) "\\spad{stirling2(n,{}m)} returns the Stirling number of the second kind denoted \\spad{SS[n,{}m]}.")) (|stirling1| ((|#1| |#1| |#1|) "\\spad{stirling1(n,{}m)} returns the Stirling number of the first kind denoted \\spad{S[n,{}m]}.")) (|permutation| ((|#1| |#1| |#1|) "\\spad{permutation(n)} returns \\spad{!P(n,{}r) = n!/(n-r)!}. This is the number of permutations of \\spad{n} objects taken \\spad{r} at a time.")) (|partition| ((|#1| |#1|) "\\spad{partition(n)} returns the number of partitions of the integer \\spad{n}. This is the number of distinct ways that \\spad{n} can be written as a sum of positive integers.")) (|multinomial| ((|#1| |#1| (|List| |#1|)) "\\spad{multinomial(n,{}[m1,{}m2,{}...,{}mk])} returns the multinomial coefficient \\spad{n!/(m1! m2! ... mk!)}.")) (|factorial| ((|#1| |#1|) "\\spad{factorial(n)} returns \\spad{n!}. this is the product of all integers between 1 and \\spad{n} (inclusive). Note that \\spad{0!} is defined to be 1.")) (|binomial| ((|#1| |#1| |#1|) "\\indented{1}{\\spad{binomial(n,{}r)} returns the binomial coefficient} \\indented{1}{\\spad{C(n,{}r) = n!/(r! (n-r)!)},{} where \\spad{n >= r >= 0}.} \\indented{1}{This is the number of combinations of \\spad{n} objects taken \\spad{r} at a time.} \\blankline \\spad{X} [binomial(5,{}\\spad{i}) for \\spad{i} in 0..5]"))) 
 NIL 
 NIL 
-(-161) 
+(-162) 
 ((|constructor| (NIL "CombinatorialOpsCategory is the category obtaining by adjoining summations and products to the usual combinatorial operations.")) (|product| (($ $ (|SegmentBinding| $)) "\\spad{product(f(n),{} n = a..b)} returns \\spad{f}(a) * ... * \\spad{f}(\\spad{b}) as a formal product.") (($ $ (|Symbol|)) "\\spad{product(f(n),{} n)} returns the formal product \\spad{P}(\\spad{n}) which verifies \\spad{P}(\\spad{n+1})\\spad{/P}(\\spad{n}) = \\spad{f}(\\spad{n}).")) (|summation| (($ $ (|SegmentBinding| $)) "\\spad{summation(f(n),{} n = a..b)} returns \\spad{f}(a) + ... + \\spad{f}(\\spad{b}) as a formal sum.") (($ $ (|Symbol|)) "\\spad{summation(f(n),{} n)} returns the formal sum \\spad{S}(\\spad{n}) which verifies \\spad{S}(\\spad{n+1}) - \\spad{S}(\\spad{n}) = \\spad{f}(\\spad{n}).")) (|factorials| (($ $ (|Symbol|)) "\\spad{factorials(f,{} x)} rewrites the permutations and binomials in \\spad{f} involving \\spad{x} in terms of factorials.") (($ $) "\\spad{factorials(f)} rewrites the permutations and binomials in \\spad{f} in terms of factorials."))) 
 NIL 
 NIL 
-(-162) 
+(-163) 
 ((|constructor| (NIL "A type for basic commutators")) (|mkcomm| (($ $ $) "\\spad{mkcomm(i,{}j)} is not documented") (($ (|Integer|)) "\\spad{mkcomm(i)} is not documented"))) 
 NIL 
 NIL 
-(-163) 
+(-164) 
 ((|constructor| (NIL "This package exports the elementary operators,{} with some semantics already attached to them. The semantics that is attached here is not dependent on the set in which the operators will be applied.")) (|operator| (((|BasicOperator|) (|Symbol|)) "\\spad{operator(s)} returns an operator with name \\spad{s},{} with the appropriate semantics if \\spad{s} is known. If \\spad{s} is not known,{} the result has no semantics."))) 
 NIL 
 NIL 
-(-164 R UP UPUP) 
+(-165 R UP UPUP) 
 ((|constructor| (NIL "A package for swapping the order of two variables in a tower of two UnivariatePolynomialCategory extensions.")) (|swap| ((|#3| |#3|) "\\spad{swap(p(x,{}y))} returns \\spad{p}(\\spad{y},{}\\spad{x})."))) 
 NIL 
 NIL 
-(-165 S R) 
+(-166 S R) 
 ((|constructor| (NIL "This category represents the extension of a ring by a square root of \\spad{-1}.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(x)} returns \\spad{x} as a rational number,{} or \"failed\" if \\spad{x} is not a rational number.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(x)} returns \\spad{x} as a rational number. Error: if \\spad{x} is not a rational number.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(x)} tests if \\spad{x} is a rational number.")) (|polarCoordinates| (((|Record| (|:| |r| |#2|) (|:| |phi| |#2|)) $) "\\spad{polarCoordinates(x)} returns (\\spad{r},{} phi) such that \\spad{x} = \\spad{r} * exp(\\%\\spad{i} * phi).")) (|argument| ((|#2| $) "\\spad{argument(x)} returns the angle made by (0,{}1) and (0,{}\\spad{x}).")) (|abs| (($ $) "\\spad{abs(x)} returns the absolute value of \\spad{x} = sqrt(norm(\\spad{x})).")) (|exquo| (((|Union| $ "failed") $ |#2|) "\\spad{exquo(x,{} r)} returns the exact quotient of \\spad{x} by \\spad{r},{} or \"failed\" if \\spad{r} does not divide \\spad{x} exactly.")) (|norm| ((|#2| $) "\\spad{norm(x)} returns \\spad{x} * conjugate(\\spad{x})")) (|real| ((|#2| $) "\\spad{real(x)} returns real part of \\spad{x}.")) (|imag| ((|#2| $) "\\spad{imag(x)} returns imaginary part of \\spad{x}.")) (|conjugate| (($ $) "\\spad{conjugate(x + \\%i y)} returns \\spad{x} - \\%\\spad{i} \\spad{y}.")) (|imaginary| (($) "\\spad{imaginary()} = sqrt(\\spad{-1}) = \\%\\spad{i}.")) (|complex| (($ |#2| |#2|) "\\spad{complex(x,{}y)} constructs \\spad{x} + \\%i*y.") ((|attribute|) "indicates that \\% has sqrt(\\spad{-1})"))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-904))) (|HasCategory| |#2| (QUOTE (-550))) (|HasCategory| |#2| (QUOTE (-1002))) (|HasCategory| |#2| (QUOTE (-1181))) (|HasCategory| |#2| (QUOTE (-1056))) (|HasCategory| |#2| (QUOTE (-1021))) (|HasCategory| |#2| (QUOTE (-148))) (|HasCategory| |#2| (QUOTE (-150))) (|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#2| (QUOTE (-365))) (|HasAttribute| |#2| (QUOTE -4517)) (|HasAttribute| |#2| (QUOTE -4520)) (|HasCategory| |#2| (QUOTE (-301))) (|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-842)))) 
-(-166 R) 
+((|HasCategory| |#2| (QUOTE (-905))) (|HasCategory| |#2| (QUOTE (-551))) (|HasCategory| |#2| (QUOTE (-1003))) (|HasCategory| |#2| (QUOTE (-1183))) (|HasCategory| |#2| (QUOTE (-1057))) (|HasCategory| |#2| (QUOTE (-1022))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-366))) (|HasAttribute| |#2| (QUOTE -4531)) (|HasAttribute| |#2| (QUOTE -4534)) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-843)))) 
+(-167 R) 
 ((|constructor| (NIL "This category represents the extension of a ring by a square root of \\spad{-1}.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(x)} returns \\spad{x} as a rational number,{} or \"failed\" if \\spad{x} is not a rational number.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(x)} returns \\spad{x} as a rational number. Error: if \\spad{x} is not a rational number.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(x)} tests if \\spad{x} is a rational number.")) (|polarCoordinates| (((|Record| (|:| |r| |#1|) (|:| |phi| |#1|)) $) "\\spad{polarCoordinates(x)} returns (\\spad{r},{} phi) such that \\spad{x} = \\spad{r} * exp(\\%\\spad{i} * phi).")) (|argument| ((|#1| $) "\\spad{argument(x)} returns the angle made by (0,{}1) and (0,{}\\spad{x}).")) (|abs| (($ $) "\\spad{abs(x)} returns the absolute value of \\spad{x} = sqrt(norm(\\spad{x})).")) (|exquo| (((|Union| $ "failed") $ |#1|) "\\spad{exquo(x,{} r)} returns the exact quotient of \\spad{x} by \\spad{r},{} or \"failed\" if \\spad{r} does not divide \\spad{x} exactly.")) (|norm| ((|#1| $) "\\spad{norm(x)} returns \\spad{x} * conjugate(\\spad{x})")) (|real| ((|#1| $) "\\spad{real(x)} returns real part of \\spad{x}.")) (|imag| ((|#1| $) "\\spad{imag(x)} returns imaginary part of \\spad{x}.")) (|conjugate| (($ $) "\\spad{conjugate(x + \\%i y)} returns \\spad{x} - \\%\\spad{i} \\spad{y}.")) (|imaginary| (($) "\\spad{imaginary()} = sqrt(\\spad{-1}) = \\%\\spad{i}.")) (|complex| (($ |#1| |#1|) "\\spad{complex(x,{}y)} constructs \\spad{x} + \\%i*y.") ((|attribute|) "indicates that \\% has sqrt(\\spad{-1})"))) 
-((-4514 -2199 (|has| |#1| (-558)) (-12 (|has| |#1| (-301)) (|has| |#1| (-904)))) (-4519 |has| |#1| (-365)) (-4513 |has| |#1| (-365)) (-4517 |has| |#1| (-6 -4517)) (-4520 |has| |#1| (-6 -4520)) (-4005 . T) (-3973 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4528 -2232 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905)))) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-4531 |has| |#1| (-6 -4531)) (-4534 |has| |#1| (-6 -4534)) (-2997 . T) (-2982 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-167 RR PR) 
+(-168 RR PR) 
 ((|constructor| (NIL "This package has no description")) (|factor| (((|Factored| |#2|) |#2|) "\\spad{factor(p)} factorizes the polynomial \\spad{p} with complex coefficients."))) 
 NIL 
 NIL 
-(-168 R S) 
+(-169 R S) 
 ((|constructor| (NIL "This package extends maps from underlying rings to maps between complex over those rings.")) (|map| (((|Complex| |#2|) (|Mapping| |#2| |#1|) (|Complex| |#1|)) "\\spad{map(f,{}u)} maps \\spad{f} onto real and imaginary parts of \\spad{u}."))) 
 NIL 
 NIL 
-(-169 R) 
+(-170 R) 
 ((|constructor| (NIL "\\spadtype{Complex(R)} creates the domain of elements of the form \\spad{a + b * i} where \\spad{a} and \\spad{b} come from the ring \\spad{R},{} and \\spad{i} is a new element such that \\spad{i**2 = -1}."))) 
-((-4514 -2199 (|has| |#1| (-558)) (-12 (|has| |#1| (-301)) (|has| |#1| (-904)))) (-4519 |has| |#1| (-365)) (-4513 |has| |#1| (-365)) (-4517 |has| |#1| (-6 -4517)) (-4520 |has| |#1| (-6 -4520)) (-4005 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-350))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-365))) (-2199 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-350)))) (|HasCategory| |#1| (QUOTE (-370))) (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#1| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (-2199 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-558)))) (|HasCategory| |#1| (QUOTE (-1181))) (-12 (|HasCategory| |#1| (QUOTE (-1002))) (|HasCategory| |#1| (QUOTE (-1181)))) (|HasCategory| |#1| (QUOTE (-1021))) (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#1| (LIST (QUOTE -523) (QUOTE (-1161)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -281) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-823))) (|HasCategory| |#1| (QUOTE (-1056))) (-12 (|HasCategory| |#1| (QUOTE (-1056))) (|HasCategory| |#1| (QUOTE (-1181)))) (|HasCategory| |#1| (QUOTE (-550))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-365)))) (|HasCategory| |#1| (QUOTE (-301))) (-2199 (|HasCategory| |#1| (QUOTE (-301))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-350))) (|HasCategory| |#1| (QUOTE (-558)))) (-2199 (|HasCategory| |#1| (QUOTE (-301))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-350)))) (|HasCategory| |#1| (QUOTE (-904))) (|HasCategory| |#1| (QUOTE (-225))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#1| (QUOTE (-350)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-350)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (QUOTE (-350)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -281) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-350)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-350)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -523) (QUOTE (-1161)) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-350)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-350)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#1| (QUOTE (-350)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#1| (QUOTE (-350)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-350)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-350)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-350)))) (-12 (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-350)))) (-12 (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-350)))) (|HasCategory| |#1| (QUOTE (-225))) (-12 (|HasCategory| |#1| (QUOTE (-301))) (|HasCategory| |#1| (QUOTE (-350)))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-350)))) (-12 (|HasCategory| |#1| (QUOTE (-350))) (|HasCategory| |#1| (QUOTE (-370)))) (-12 (|HasCategory| |#1| (QUOTE (-350))) (|HasCategory| |#1| (QUOTE (-558)))) (-12 (|HasCategory| |#1| (QUOTE (-350))) (|HasCategory| |#1| (QUOTE (-823)))) (-12 (|HasCategory| |#1| (QUOTE (-350))) (|HasCategory| |#1| (QUOTE (-842)))) (-12 (|HasCategory| |#1| (QUOTE (-350))) (|HasCategory| |#1| (QUOTE (-1021)))) (-12 (|HasCategory| |#1| (QUOTE (-350))) (|HasCategory| |#1| (QUOTE (-1181))))) (-12 (|HasCategory| |#1| (QUOTE (-301))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (-12 (|HasCategory| |#1| (QUOTE (-301))) (|HasCategory| |#1| (QUOTE (-904)))) (|HasCategory| |#1| (QUOTE (-365))) (-12 (|HasCategory| |#1| (QUOTE (-350))) (|HasCategory| |#1| (QUOTE (-904))))) (-2199 (-12 (|HasCategory| |#1| (QUOTE (-301))) (|HasCategory| |#1| (QUOTE (-904)))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-904)))) (-12 (|HasCategory| |#1| (QUOTE (-350))) (|HasCategory| |#1| (QUOTE (-904))))) (-2199 (-12 (|HasCategory| |#1| (QUOTE (-301))) (|HasCategory| |#1| (QUOTE (-904)))) (|HasCategory| |#1| (QUOTE (-365)))) (-2199 (-12 (|HasCategory| |#1| (QUOTE (-301))) (|HasCategory| |#1| (QUOTE (-904)))) (|HasCategory| |#1| (QUOTE (-558)))) (|HasAttribute| |#1| (QUOTE -4517)) (|HasAttribute| |#1| (QUOTE -4520)) (-12 (|HasCategory| |#1| (QUOTE (-225))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#1| (QUOTE (-365)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-301))) (|HasCategory| |#1| (QUOTE (-904)))) (|HasCategory| |#1| (QUOTE (-148)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-301))) (|HasCategory| |#1| (QUOTE (-904)))) (|HasCategory| |#1| (QUOTE (-350))))) 
-(-170 R S CS) 
+((-4528 -2232 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905)))) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-4531 |has| |#1| (-6 -4531)) (-4534 |has| |#1| (-6 -4534)) (-2997 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-351)))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-1183))) (-12 (|HasCategory| |#1| (QUOTE (-1003))) (|HasCategory| |#1| (QUOTE (-1183)))) (|HasCategory| |#1| (QUOTE (-1022))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1163)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-824))) (|HasCategory| |#1| (QUOTE (-1057))) (-12 (|HasCategory| |#1| (QUOTE (-1057))) (|HasCategory| |#1| (QUOTE (-1183)))) (|HasCategory| |#1| (QUOTE (-551))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-302))) (-2232 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-559)))) (-2232 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-351)))) (|HasCategory| |#1| (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-226))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1163)) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-351)))) (|HasCategory| |#1| (QUOTE (-226))) (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-371)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-824)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-843)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-1022)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-1183))))) (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-366))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-905))))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-905)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-905)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-905))))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-366)))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasAttribute| |#1| (QUOTE -4531)) (|HasAttribute| |#1| (QUOTE -4534)) (-12 (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-366)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-149)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-351))))) 
+(-171 R S CS) 
 ((|constructor| (NIL "This package supports converting complex expressions to patterns")) (|convert| (((|Pattern| |#1|) |#3|) "\\spad{convert(cs)} converts the complex expression \\spad{cs} to a pattern"))) 
 NIL 
 NIL 
-(-171) 
+(-172) 
 ((|constructor| (NIL "This domain implements some global properties of subspaces.")) (|copy| (($ $) "\\spad{copy(x)} is not documented")) (|solid| (((|Boolean|) $ (|Boolean|)) "\\spad{solid(x,{}b)} is not documented")) (|close| (((|Boolean|) $ (|Boolean|)) "\\spad{close(x,{}b)} is not documented")) (|solid?| (((|Boolean|) $) "\\spad{solid?(x)} is not documented")) (|closed?| (((|Boolean|) $) "\\spad{closed?(x)} is not documented")) (|new| (($) "\\spad{new()} is not documented"))) 
 NIL 
 NIL 
-(-172) 
+(-173) 
 ((|constructor| (NIL "The category of commutative rings with unity,{} \\spadignore{i.e.} rings where \\spadop{*} is commutative,{} and which have a multiplicative identity element.")) (|commutative| ((|attribute| "*") "multiplication is commutative."))) 
-(((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+(((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-173 R) 
+(-174 R) 
 ((|constructor| (NIL "\\spadtype{ContinuedFraction} implements general continued fractions. This version is not restricted to simple,{} finite fractions and uses the \\spadtype{Stream} as a representation. The arithmetic functions assume that the approximants alternate below/above the convergence point. This is enforced by ensuring the partial numerators and partial denominators are greater than 0 in the Euclidean domain view of \\spad{R} (\\spadignore{i.e.} \\spad{sizeLess?(0,{} x)}).")) (|complete| (($ $) "\\spad{complete(x)} causes all entries in \\spadvar{\\spad{x}} to be computed. Normally entries are only computed as needed. If \\spadvar{\\spad{x}} is an infinite continued fraction,{} a user-initiated interrupt is necessary to stop the computation.")) (|extend| (($ $ (|Integer|)) "\\spad{extend(x,{}n)} causes the first \\spadvar{\\spad{n}} entries in the continued fraction \\spadvar{\\spad{x}} to be computed. Normally entries are only computed as needed.")) (|denominators| (((|Stream| |#1|) $) "\\spad{denominators(x)} returns the stream of denominators of the approximants of the continued fraction \\spadvar{\\spad{x}}. If the continued fraction is finite,{} then the stream will be finite.")) (|numerators| (((|Stream| |#1|) $) "\\spad{numerators(x)} returns the stream of numerators of the approximants of the continued fraction \\spadvar{\\spad{x}}. If the continued fraction is finite,{} then the stream will be finite.")) (|convergents| (((|Stream| (|Fraction| |#1|)) $) "\\spad{convergents(x)} returns the stream of the convergents of the continued fraction \\spadvar{\\spad{x}}. If the continued fraction is finite,{} then the stream will be finite.")) (|approximants| (((|Stream| (|Fraction| |#1|)) $) "\\spad{approximants(x)} returns the stream of approximants of the continued fraction \\spadvar{\\spad{x}}. If the continued fraction is finite,{} then the stream will be infinite and periodic with period 1.")) (|reducedForm| (($ $) "\\spad{reducedForm(x)} puts the continued fraction \\spadvar{\\spad{x}} in reduced form,{} \\spadignore{i.e.} the function returns an equivalent continued fraction of the form \\spad{continuedFraction(b0,{}[1,{}1,{}1,{}...],{}[b1,{}b2,{}b3,{}...])}.")) (|wholePart| ((|#1| $) "\\spad{wholePart(x)} extracts the whole part of \\spadvar{\\spad{x}}. That is,{} if \\spad{x = continuedFraction(b0,{} [a1,{}a2,{}a3,{}...],{} [b1,{}b2,{}b3,{}...])},{} then \\spad{wholePart(x) = b0}.")) (|partialQuotients| (((|Stream| |#1|) $) "\\spad{partialQuotients(x)} extracts the partial quotients in \\spadvar{\\spad{x}}. That is,{} if \\spad{x = continuedFraction(b0,{} [a1,{}a2,{}a3,{}...],{} [b1,{}b2,{}b3,{}...])},{} then \\spad{partialQuotients(x) = [b0,{}b1,{}b2,{}b3,{}...]}.")) (|partialDenominators| (((|Stream| |#1|) $) "\\spad{partialDenominators(x)} extracts the denominators in \\spadvar{\\spad{x}}. That is,{} if \\spad{x = continuedFraction(b0,{} [a1,{}a2,{}a3,{}...],{} [b1,{}b2,{}b3,{}...])},{} then \\spad{partialDenominators(x) = [b1,{}b2,{}b3,{}...]}.")) (|partialNumerators| (((|Stream| |#1|) $) "\\spad{partialNumerators(x)} extracts the numerators in \\spadvar{\\spad{x}}. That is,{} if \\spad{x = continuedFraction(b0,{} [a1,{}a2,{}a3,{}...],{} [b1,{}b2,{}b3,{}...])},{} then \\spad{partialNumerators(x) = [a1,{}a2,{}a3,{}...]}.")) (|reducedContinuedFraction| (($ |#1| (|Stream| |#1|)) "\\spad{reducedContinuedFraction(b0,{}b)} constructs a continued fraction in the following way: if \\spad{b = [b1,{}b2,{}...]} then the result is the continued fraction \\spad{b0 + 1/(b1 + 1/(b2 + ...))}. That is,{} the result is the same as \\spad{continuedFraction(b0,{}[1,{}1,{}1,{}...],{}[b1,{}b2,{}b3,{}...])}.")) (|continuedFraction| (($ |#1| (|Stream| |#1|) (|Stream| |#1|)) "\\spad{continuedFraction(b0,{}a,{}b)} constructs a continued fraction in the following way: if \\spad{a = [a1,{}a2,{}...]} and \\spad{b = [b1,{}b2,{}...]} then the result is the continued fraction \\spad{b0 + a1/(b1 + a2/(b2 + ...))}.") (($ (|Fraction| |#1|)) "\\spad{continuedFraction(r)} converts the fraction \\spadvar{\\spad{r}} with components of type \\spad{R} to a continued fraction over \\spad{R}."))) 
-(((-4523 "*") . T) (-4514 . T) (-4519 . T) (-4513 . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+(((-4537 "*") . T) (-4528 . T) (-4533 . T) (-4527 . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-174 R) 
+(-175 R) 
 ((|constructor| (NIL "CoordinateSystems provides coordinate transformation functions for plotting. Functions in this package return conversion functions which take points expressed in other coordinate systems and return points with the corresponding Cartesian coordinates.")) (|conical| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1| |#1|) "\\spad{conical(a,{}b)} transforms from conical coordinates to Cartesian coordinates: \\spad{conical(a,{}b)} is a function which will map the point \\spad{(lambda,{}mu,{}nu)} to \\spad{x = lambda*mu*nu/(a*b)},{} \\spad{y = lambda/a*sqrt((mu**2-a**2)*(nu**2-a**2)/(a**2-b**2))},{} \\spad{z = lambda/b*sqrt((mu**2-b**2)*(nu**2-b**2)/(b**2-a**2))}.")) (|toroidal| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{toroidal(a)} transforms from toroidal coordinates to Cartesian coordinates: \\spad{toroidal(a)} is a function which will map the point \\spad{(u,{}v,{}phi)} to \\spad{x = a*sinh(v)*cos(phi)/(cosh(v)-cos(u))},{} \\spad{y = a*sinh(v)*sin(phi)/(cosh(v)-cos(u))},{} \\spad{z = a*sin(u)/(cosh(v)-cos(u))}.")) (|bipolarCylindrical| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{bipolarCylindrical(a)} transforms from bipolar cylindrical coordinates to Cartesian coordinates: \\spad{bipolarCylindrical(a)} is a function which will map the point \\spad{(u,{}v,{}z)} to \\spad{x = a*sinh(v)/(cosh(v)-cos(u))},{} \\spad{y = a*sin(u)/(cosh(v)-cos(u))},{} \\spad{z}.")) (|bipolar| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{bipolar(a)} transforms from bipolar coordinates to Cartesian coordinates: \\spad{bipolar(a)} is a function which will map the point \\spad{(u,{}v)} to \\spad{x = a*sinh(v)/(cosh(v)-cos(u))},{} \\spad{y = a*sin(u)/(cosh(v)-cos(u))}.")) (|oblateSpheroidal| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{oblateSpheroidal(a)} transforms from oblate spheroidal coordinates to Cartesian coordinates: \\spad{oblateSpheroidal(a)} is a function which will map the point \\spad{(\\spad{xi},{}eta,{}phi)} to \\spad{x = a*sinh(\\spad{xi})*sin(eta)*cos(phi)},{} \\spad{y = a*sinh(\\spad{xi})*sin(eta)*sin(phi)},{} \\spad{z = a*cosh(\\spad{xi})*cos(eta)}.")) (|prolateSpheroidal| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{prolateSpheroidal(a)} transforms from prolate spheroidal coordinates to Cartesian coordinates: \\spad{prolateSpheroidal(a)} is a function which will map the point \\spad{(\\spad{xi},{}eta,{}phi)} to \\spad{x = a*sinh(\\spad{xi})*sin(eta)*cos(phi)},{} \\spad{y = a*sinh(\\spad{xi})*sin(eta)*sin(phi)},{} \\spad{z = a*cosh(\\spad{xi})*cos(eta)}.")) (|ellipticCylindrical| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{ellipticCylindrical(a)} transforms from elliptic cylindrical coordinates to Cartesian coordinates: \\spad{ellipticCylindrical(a)} is a function which will map the point \\spad{(u,{}v,{}z)} to \\spad{x = a*cosh(u)*cos(v)},{} \\spad{y = a*sinh(u)*sin(v)},{} \\spad{z}.")) (|elliptic| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{elliptic(a)} transforms from elliptic coordinates to Cartesian coordinates: \\spad{elliptic(a)} is a function which will map the point \\spad{(u,{}v)} to \\spad{x = a*cosh(u)*cos(v)},{} \\spad{y = a*sinh(u)*sin(v)}.")) (|paraboloidal| (((|Point| |#1|) (|Point| |#1|)) "\\spad{paraboloidal(pt)} transforms \\spad{pt} from paraboloidal coordinates to Cartesian coordinates: the function produced will map the point \\spad{(u,{}v,{}phi)} to \\spad{x = u*v*cos(phi)},{} \\spad{y = u*v*sin(phi)},{} \\spad{z = 1/2 * (u**2 - v**2)}.")) (|parabolicCylindrical| (((|Point| |#1|) (|Point| |#1|)) "\\spad{parabolicCylindrical(pt)} transforms \\spad{pt} from parabolic cylindrical coordinates to Cartesian coordinates: the function produced will map the point \\spad{(u,{}v,{}z)} to \\spad{x = 1/2*(u**2 - v**2)},{} \\spad{y = u*v},{} \\spad{z}.")) (|parabolic| (((|Point| |#1|) (|Point| |#1|)) "\\spad{parabolic(pt)} transforms \\spad{pt} from parabolic coordinates to Cartesian coordinates: the function produced will map the point \\spad{(u,{}v)} to \\spad{x = 1/2*(u**2 - v**2)},{} \\spad{y = u*v}.")) (|spherical| (((|Point| |#1|) (|Point| |#1|)) "\\spad{spherical(pt)} transforms \\spad{pt} from spherical coordinates to Cartesian coordinates: the function produced will map the point \\spad{(r,{}theta,{}phi)} to \\spad{x = r*sin(phi)*cos(theta)},{} \\spad{y = r*sin(phi)*sin(theta)},{} \\spad{z = r*cos(phi)}.")) (|cylindrical| (((|Point| |#1|) (|Point| |#1|)) "\\spad{cylindrical(pt)} transforms \\spad{pt} from polar coordinates to Cartesian coordinates: the function produced will map the point \\spad{(r,{}theta,{}z)} to \\spad{x = r * cos(theta)},{} \\spad{y = r * sin(theta)},{} \\spad{z}.")) (|polar| (((|Point| |#1|) (|Point| |#1|)) "\\spad{polar(pt)} transforms \\spad{pt} from polar coordinates to Cartesian coordinates: the function produced will map the point \\spad{(r,{}theta)} to \\spad{x = r * cos(theta)} ,{} \\spad{y = r * sin(theta)}.")) (|cartesian| (((|Point| |#1|) (|Point| |#1|)) "\\spad{cartesian(pt)} returns the Cartesian coordinates of point \\spad{pt}."))) 
 NIL 
 NIL 
-(-175 R |PolR| E) 
+(-176 R |PolR| E) 
 ((|constructor| (NIL "This package implements characteristicPolynomials for monogenic algebras using resultants")) (|characteristicPolynomial| ((|#2| |#3|) "\\spad{characteristicPolynomial(e)} returns the characteristic polynomial of \\spad{e} using resultants"))) 
 NIL 
 NIL 
-(-176 R S CS) 
+(-177 R S CS) 
 ((|constructor| (NIL "This package supports matching patterns involving complex expressions")) (|patternMatch| (((|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)) "\\spad{patternMatch(cexpr,{} pat,{} res)} matches the pattern \\spad{pat} to the complex expression \\spad{cexpr}. res contains the variables of \\spad{pat} which are already matched and their matches."))) 
 NIL 
-((|HasCategory| (-953 |#2|) (LIST (QUOTE -881) (|devaluate| |#1|)))) 
-(-177 R) 
+((|HasCategory| (-954 |#2|) (LIST (QUOTE -882) (|devaluate| |#1|)))) 
+(-178 R) 
 ((|constructor| (NIL "This package has no documentation")) (|multiEuclideanTree| (((|List| |#1|) (|List| |#1|) |#1|) "\\spad{multiEuclideanTree(l,{}r)} \\undocumented{}")) (|chineseRemainder| (((|List| |#1|) (|List| (|List| |#1|)) (|List| |#1|)) "\\spad{chineseRemainder(llv,{}lm)} returns a list of values,{} each of which corresponds to the Chinese remainder of the associated element of \\axiom{\\spad{llv}} and axiom{\\spad{lm}}. This is more efficient than applying chineseRemainder several times.") ((|#1| (|List| |#1|) (|List| |#1|)) "\\spad{chineseRemainder(lv,{}lm)} returns a value \\axiom{\\spad{v}} such that,{} if \\spad{x} is \\axiom{\\spad{lv}.\\spad{i}} modulo \\axiom{\\spad{lm}.\\spad{i}} for all \\axiom{\\spad{i}},{} then \\spad{x} is \\axiom{\\spad{v}} modulo \\axiom{\\spad{lm}(1)\\spad{*lm}(2)*...\\spad{*lm}(\\spad{n})}.")) (|modTree| (((|List| |#1|) |#1| (|List| |#1|)) "\\spad{modTree(r,{}l)} \\undocumented{}"))) 
 NIL 
 NIL 
-(-178 R UP) 
+(-179 R UP) 
 ((|constructor| (NIL "\\spadtype{ComplexRootFindingPackage} provides functions to find all roots of a polynomial \\spad{p} over the complex number by using Plesken\\spad{'s} idea to calculate in the polynomial ring modulo \\spad{f} and employing the Chinese Remainder Theorem. In this first version,{} the precision (see digits) is not increased when this is necessary to avoid rounding errors. Hence it is the user\\spad{'s} responsibility to increase the precision if necessary. Note also,{} if this package is called with \\spadignore{e.g.} \\spadtype{Fraction Integer},{} the precise calculations could require a lot of time. Also note that evaluating the zeros is not necessarily a good check whether the result is correct: already evaluation can cause rounding errors.")) (|startPolynomial| (((|Record| (|:| |start| |#2|) (|:| |factors| (|Factored| |#2|))) |#2|) "\\spad{startPolynomial(p)} uses the ideas of Schoenhage\\spad{'s} variant of Graeffe\\spad{'s} method to construct circles which separate roots to get a good start polynomial,{} \\spadignore{i.e.} one whose image under the Chinese Remainder Isomorphism has both entries of norm smaller and greater or equal to 1. In case the roots are found during internal calculations. The corresponding factors are in factors which are otherwise 1.")) (|setErrorBound| ((|#1| |#1|) "\\spad{setErrorBound(eps)} changes the internal error bound,{} by default being 10 \\spad{**} (\\spad{-3}) to \\spad{eps},{} if \\spad{R} is a member in the category \\spadtype{QuotientFieldCategory Integer}. The internal globalDigits is set to \\em ceiling(1/r)\\spad{**2*10} being 10**7 by default.")) (|schwerpunkt| (((|Complex| |#1|) |#2|) "\\spad{schwerpunkt(p)} determines the 'Schwerpunkt' of the roots of the polynomial \\spad{p} of degree \\spad{n},{} \\spadignore{i.e.} the center of gravity,{} which is coeffient of \\spad{x**(n-1)} divided by \\spad{n} times coefficient of \\spad{x**n}.")) (|rootRadius| ((|#1| |#2|) "\\spad{rootRadius(p)} calculates the root radius of \\spad{p} with a maximal error quotient of 1+globalEps,{} where globalEps is the internal error bound,{} which can be set by setErrorBound.") ((|#1| |#2| |#1|) "\\spad{rootRadius(p,{}errQuot)} calculates the root radius of \\spad{p} with a maximal error quotient of \\spad{errQuot}.")) (|reciprocalPolynomial| ((|#2| |#2|) "\\spad{reciprocalPolynomial(p)} calulates a polynomial which has exactly the inverses of the non-zero roots of \\spad{p} as roots,{} and the same number of 0-roots.")) (|pleskenSplit| (((|Factored| |#2|) |#2| |#1|) "\\spad{pleskenSplit(poly,{} eps)} determines a start polynomial start by using \"startPolynomial then it increases the exponent \\spad{n} of start \\spad{**} \\spad{n} mod \\spad{poly} to get an approximate factor of \\spad{poly},{} in general of degree \"degree \\spad{poly} \\spad{-1\"}. Then a divisor cascade is calculated and the best splitting is chosen,{} as soon as the error is small enough.") (((|Factored| |#2|) |#2| |#1| (|Boolean|)) "\\spad{pleskenSplit(poly,{}eps,{}info)} determines a start polynomial start by using \"startPolynomial then it increases the exponent \\spad{n} of start \\spad{**} \\spad{n} mod \\spad{poly} to get an approximate factor of \\spad{poly},{} in general of degree \"degree \\spad{poly} \\spad{-1\"}. Then a divisor cascade is calculated and the best splitting is chosen,{} as soon as the error is small enough. If \\spad{info} is \\spad{true},{} then information messages are issued.")) (|norm| ((|#1| |#2|) "\\spad{norm(p)} determines sum of absolute values of coefficients Note that this function depends on abs.")) (|graeffe| ((|#2| |#2|) "\\spad{graeffe p} determines \\spad{q} such that \\spad{q(-z**2) = p(z)*p(-z)}. Note that the roots of \\spad{q} are the squares of the roots of \\spad{p}.")) (|factor| (((|Factored| |#2|) |#2|) "\\spad{factor(p)} tries to factor \\spad{p} into linear factors with error atmost globalEps,{} the internal error bound,{} which can be set by setErrorBound. An overall error bound \\spad{eps0} is determined and iterated tree-like calls to pleskenSplit are used to get the factorization.") (((|Factored| |#2|) |#2| |#1|) "\\spad{factor(p,{} eps)} tries to factor \\spad{p} into linear factors with error atmost eps. An overall error bound \\spad{eps0} is determined and iterated tree-like calls to pleskenSplit are used to get the factorization.") (((|Factored| |#2|) |#2| |#1| (|Boolean|)) "\\spad{factor(p,{} eps,{} info)} tries to factor \\spad{p} into linear factors with error atmost \\spad{eps}. An overall error bound \\spad{eps0} is determined and iterated tree-like calls to pleskenSplit are used to get the factorization. If info is \\spad{true},{} then information messages are given.")) (|divisorCascade| (((|List| (|Record| (|:| |factors| (|List| |#2|)) (|:| |error| |#1|))) |#2| |#2|) "\\spad{divisorCascade(p,{}tp)} assumes that degree of polynomial \\spad{tp} is smaller than degree of polynomial \\spad{p},{} both monic. A sequence of divisions is calculated using the remainder,{} made monic,{} as divisor for the the next division. The result contains also the error of the factorizations,{} \\spadignore{i.e.} the norm of the remainder polynomial.") (((|List| (|Record| (|:| |factors| (|List| |#2|)) (|:| |error| |#1|))) |#2| |#2| (|Boolean|)) "\\spad{divisorCascade(p,{}tp)} assumes that degree of polynomial \\spad{tp} is smaller than degree of polynomial \\spad{p},{} both monic. A sequence of divisions are calculated using the remainder,{} made monic,{} as divisor for the the next division. The result contains also the error of the factorizations,{} \\spadignore{i.e.} the norm of the remainder polynomial. If info is \\spad{true},{} then information messages are issued.")) (|complexZeros| (((|List| (|Complex| |#1|)) |#2| |#1|) "\\spad{complexZeros(p,{} eps)} tries to determine all complex zeros of the polynomial \\spad{p} with accuracy given by eps.") (((|List| (|Complex| |#1|)) |#2|) "\\spad{complexZeros(p)} tries to determine all complex zeros of the polynomial \\spad{p} with accuracy given by the package constant globalEps which you may change by setErrorBound."))) 
 NIL 
 NIL 
-(-179 S ST) 
+(-180 S ST) 
 ((|constructor| (NIL "This package provides tools for working with cyclic streams.")) (|computeCycleEntry| ((|#2| |#2| |#2|) "\\indented{1}{computeCycleEntry(\\spad{x},{}cycElt),{} where cycElt is a pointer to a} \\indented{1}{node in the cyclic part of the cyclic stream \\spad{x},{} returns a} \\indented{1}{pointer to the first node in the cycle} \\blankline \\spad{X} p:=repeating([1,{}2,{}3]) \\spad{X} q:=cons(4,{}\\spad{p}) \\spad{X} computeCycleEntry(\\spad{q},{}cycleElt(\\spad{q}))")) (|computeCycleLength| (((|NonNegativeInteger|) |#2|) "\\indented{1}{computeCycleLength(\\spad{s}) returns the length of the cycle of a} \\indented{1}{cyclic stream \\spad{t},{} where \\spad{s} is a pointer to a node in the} \\indented{1}{cyclic part of \\spad{t}.} \\blankline \\spad{X} p:=repeating([1,{}2,{}3]) \\spad{X} q:=cons(4,{}\\spad{p}) \\spad{X} computeCycleLength(cycleElt(\\spad{q}))")) (|cycleElt| (((|Union| |#2| "failed") |#2|) "\\indented{1}{cycleElt(\\spad{s}) returns a pointer to a node in the cycle if the stream} \\indented{1}{\\spad{s} is cyclic and returns \"failed\" if \\spad{s} is not cyclic} \\blankline \\spad{X} p:=repeating([1,{}2,{}3]) \\spad{X} q:=cons(4,{}\\spad{p}) \\spad{X} cycleElt \\spad{q} \\spad{X} \\spad{r:=}[1,{}2,{}3]::Stream(Integer) \\spad{X} cycleElt \\spad{r}"))) 
 NIL 
 NIL 
-(-180 R -1478) 
+(-181 R -1564) 
 ((|constructor| (NIL "\\spadtype{ComplexTrigonometricManipulations} provides function that compute the real and imaginary parts of complex functions.")) (|complexForm| (((|Complex| (|Expression| |#1|)) |#2|) "\\spad{complexForm(f)} returns \\spad{[real f,{} imag f]}.")) (|trigs| ((|#2| |#2|) "\\spad{trigs(f)} rewrites all the complex logs and exponentials appearing in \\spad{f} in terms of trigonometric functions.")) (|real?| (((|Boolean|) |#2|) "\\spad{real?(f)} returns \\spad{true} if \\spad{f = real f}.")) (|imag| (((|Expression| |#1|) |#2|) "\\spad{imag(f)} returns the imaginary part of \\spad{f} where \\spad{f} is a complex function.")) (|real| (((|Expression| |#1|) |#2|) "\\spad{real(f)} returns the real part of \\spad{f} where \\spad{f} is a complex function.")) (|complexElementary| ((|#2| |#2| (|Symbol|)) "\\spad{complexElementary(f,{} x)} rewrites the kernels of \\spad{f} involving \\spad{x} in terms of the 2 fundamental complex transcendental elementary functions: \\spad{log,{} exp}.") ((|#2| |#2|) "\\spad{complexElementary(f)} rewrites \\spad{f} in terms of the 2 fundamental complex transcendental elementary functions: \\spad{log,{} exp}.")) (|complexNormalize| ((|#2| |#2| (|Symbol|)) "\\spad{complexNormalize(f,{} x)} rewrites \\spad{f} using the least possible number of complex independent kernels involving \\spad{x}.") ((|#2| |#2|) "\\spad{complexNormalize(f)} rewrites \\spad{f} using the least possible number of complex independent kernels."))) 
 NIL 
 NIL 
-(-181 R) 
+(-182 R) 
 ((|constructor| (NIL "CoerceVectorMatrixPackage is an unexposed,{} technical package for data conversions")) (|coerce| (((|Vector| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Vector| (|Matrix| |#1|))) "\\spad{coerce(v)} coerces a vector \\spad{v} with entries in \\spadtype{Matrix R} as vector over \\spadtype{Matrix Fraction Polynomial R}")) (|coerceP| (((|Vector| (|Matrix| (|Polynomial| |#1|))) (|Vector| (|Matrix| |#1|))) "\\spad{coerceP(v)} coerces a vector \\spad{v} with entries in \\spadtype{Matrix R} as vector over \\spadtype{Matrix Polynomial R}"))) 
 NIL 
 NIL 
-(-182) 
+(-183) 
 ((|constructor| (NIL "Polya-Redfield enumeration by cycle indices.")) (|skewSFunction| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{skewSFunction(li1,{}li2)} is the \\spad{S}-function \\indented{1}{of the partition difference \\spad{li1 - li2}} \\indented{1}{expressed in terms of power sum symmetric functions.}")) (|SFunction| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|List| (|Integer|))) "\\spad{SFunction(\\spad{li})} is the \\spad{S}-function of the partition \\spad{\\spad{li}} \\indented{1}{expressed in terms of power sum symmetric functions.}")) (|wreath| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|)))) "\\spad{wreath(s1,{}s2)} is the cycle index of the wreath product \\indented{1}{of the two groups whose cycle indices are \\spad{s1} and} \\indented{1}{\\spad{s2}.}")) (|eval| (((|Fraction| (|Integer|)) (|SymmetricPolynomial| (|Fraction| (|Integer|)))) "\\spad{eval s} is the sum of the coefficients of a cycle index.")) (|cup| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|)))) "\\spad{cup(s1,{}s2)},{} introduced by Redfield,{} \\indented{1}{is the scalar product of two cycle indices,{} in which the} \\indented{1}{power sums are retained to produce a cycle index.}")) (|cap| (((|Fraction| (|Integer|)) (|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|)))) "\\spad{cap(s1,{}s2)},{} introduced by Redfield,{} \\indented{1}{is the scalar product of two cycle indices.}")) (|graphs| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{graphs n} is the cycle index of the group induced on \\indented{1}{the edges of a graph by applying the symmetric function to the} \\indented{1}{\\spad{n} nodes.}")) (|dihedral| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{dihedral n} is the cycle index of the \\indented{1}{dihedral group of degree \\spad{n}.}")) (|cyclic| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{cyclic n} is the cycle index of the \\indented{1}{cyclic group of degree \\spad{n}.}")) (|alternating| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{alternating n} is the cycle index of the \\indented{1}{alternating group of degree \\spad{n}.}")) (|elementary| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{elementary n} is the \\spad{n} th elementary symmetric \\indented{1}{function expressed in terms of power sums.}")) (|powerSum| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{powerSum n} is the \\spad{n} th power sum symmetric \\indented{1}{function.}")) (|complete| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{complete n} is the \\spad{n} th complete homogeneous \\indented{1}{symmetric function expressed in terms of power sums.} \\indented{1}{Alternatively it is the cycle index of the symmetric} \\indented{1}{group of degree \\spad{n}.}"))) 
 NIL 
 NIL 
-(-183) 
+(-184) 
 ((|constructor| (NIL "This package has no description")) (|cyclotomicFactorization| (((|Factored| (|SparseUnivariatePolynomial| (|Integer|))) (|Integer|)) "\\spad{cyclotomicFactorization(n)} \\undocumented{}")) (|cyclotomic| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{cyclotomic(n)} \\undocumented{}")) (|cyclotomicDecomposition| (((|List| (|SparseUnivariatePolynomial| (|Integer|))) (|Integer|)) "\\spad{cyclotomicDecomposition(n)} \\undocumented{}"))) 
 NIL 
 NIL 
-(-184) 
+(-185) 
 ((|constructor| (NIL "\\axiomType{d01AgentsPackage} is a package of numerical agents to be used to investigate attributes of an input function so as to decide the \\axiomFun{measure} of an appropriate numerical integration routine. It contains functions \\axiomFun{rangeIsFinite} to test the input range and \\axiomFun{functionIsContinuousAtEndPoints} to check for continuity at the end points of the range.")) (|changeName| (((|Result|) (|Symbol|) (|Symbol|) (|Result|)) "\\spad{changeName(s,{}t,{}r)} changes the name of item \\axiom{\\spad{s}} in \\axiom{\\spad{r}} to \\axiom{\\spad{t}}.")) (|commaSeparate| (((|String|) (|List| (|String|))) "\\spad{commaSeparate(l)} produces a comma separated string from a list of strings.")) (|sdf2lst| (((|List| (|String|)) (|Stream| (|DoubleFloat|))) "\\spad{sdf2lst(ln)} coerces a Stream of \\axiomType{DoubleFloat} to \\axiomType{List String}")) (|ldf2lst| (((|List| (|String|)) (|List| (|DoubleFloat|))) "\\spad{ldf2lst(ln)} coerces a List of \\axiomType{DoubleFloat} to \\axiomType{List String}")) (|df2st| (((|String|) (|DoubleFloat|)) "\\spad{df2st(n)} coerces a \\axiomType{DoubleFloat} to \\axiomType{String}")) (|singularitiesOf| (((|Stream| (|DoubleFloat|)) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{singularitiesOf(args)} returns a list of potential singularities of the function within the given range")) (|problemPoints| (((|List| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|Symbol|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{problemPoints(f,{}var,{}range)} returns a list of possible problem points by looking at the zeros of the denominator of the function if it can be retracted to \\axiomType{Polynomial DoubleFloat}.")) (|functionIsOscillatory| (((|Float|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{functionIsOscillatory(a)} tests whether the function \\spad{a.fn} has many zeros of its derivative.")) (|gethi| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{gethi(x)} gets the \\axiomType{DoubleFloat} equivalent of the second endpoint of the range \\axiom{\\spad{x}}")) (|getlo| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{getlo(x)} gets the \\axiomType{DoubleFloat} equivalent of the first endpoint of the range \\axiom{\\spad{x}}")) (|functionIsContinuousAtEndPoints| (((|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{functionIsContinuousAtEndPoints(args)} uses power series limits to check for problems at the end points of the range of \\spad{args}.")) (|rangeIsFinite| (((|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{rangeIsFinite(args)} tests the endpoints of \\spad{args.range} for infinite end points."))) 
 NIL 
 NIL 
-(-185) 
+(-186) 
 ((|constructor| (NIL "\\axiomType{d01ajfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01AJF,{} a general numerical integration routine which can handle some singularities in the input function. The function \\axiomFun{measure} measures the usefulness of the routine D01AJF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
-(-186) 
+(-187) 
 ((|constructor| (NIL "\\axiomType{d01akfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01AKF,{} a numerical integration routine which is is suitable for oscillating,{} non-singular functions. The function \\axiomFun{measure} measures the usefulness of the routine D01AKF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
-(-187) 
+(-188) 
 ((|constructor| (NIL "\\axiomType{d01alfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01ALF,{} a general numerical integration routine which can handle a list of singularities. The function \\axiomFun{measure} measures the usefulness of the routine D01ALF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
-(-188) 
+(-189) 
 ((|constructor| (NIL "\\axiomType{d01amfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01AMF,{} a general numerical integration routine which can handle infinite or semi-infinite range of the input function. The function \\axiomFun{measure} measures the usefulness of the routine D01AMF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
-(-189) 
+(-190) 
 ((|constructor| (NIL "\\axiomType{d01anfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01ANF,{} a numerical integration routine which can handle weight functions of the form cos(\\omega \\spad{x}) or sin(\\omega \\spad{x}). The function \\axiomFun{measure} measures the usefulness of the routine D01ANF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
-(-190) 
+(-191) 
 ((|constructor| (NIL "\\axiomType{d01apfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01APF,{} a general numerical integration routine which can handle end point singularities of the algebraico-logarithmic form \\spad{w}(\\spad{x}) = (\\spad{x}-a)\\spad{^c} * (\\spad{b}-\\spad{x})\\spad{^d}. The function \\axiomFun{measure} measures the usefulness of the routine D01APF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
-(-191) 
+(-192) 
 ((|constructor| (NIL "\\axiomType{d01aqfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01AQF,{} a general numerical integration routine which can solve an integral of the form /home/bjd/Axiom/anna/hypertex/bitmaps/d01aqf.\\spad{xbm} The function \\axiomFun{measure} measures the usefulness of the routine D01AQF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
-(-192) 
+(-193) 
 ((|constructor| (NIL "\\axiomType{d01asfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01ASF,{} a numerical integration routine which can handle weight functions of the form cos(\\omega \\spad{x}) or sin(\\omega \\spad{x}) on an semi-infinite range. The function \\axiomFun{measure} measures the usefulness of the routine D01ASF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
-(-193) 
+(-194) 
 ((|constructor| (NIL "\\axiomType{d01fcfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01FCF,{} a numerical integration routine which can handle multi-dimensional quadrature over a finite region. The function \\axiomFun{measure} measures the usefulness of the routine D01GBF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
-(-194) 
+(-195) 
 ((|constructor| (NIL "\\axiomType{d01gbfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01GBF,{} a numerical integration routine which can handle multi-dimensional quadrature over a finite region. The function \\axiomFun{measure} measures the usefulness of the routine D01GBF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
-(-195) 
+(-196) 
 NIL 
 NIL 
 NIL 
-(-196) 
+(-197) 
 ((|constructor| (NIL "\\axiom{d01WeightsPackage} is a package for functions used to investigate whether a function can be divided into a simpler function and a weight function. The types of weights investigated are those giving rise to end-point singularities of the algebraico-logarithmic type,{} and trigonometric weights.")) (|exprHasLogarithmicWeights| (((|Integer|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\axiom{exprHasLogarithmicWeights} looks for logarithmic weights giving rise to singularities of the function at the end-points.")) (|exprHasAlgebraicWeight| (((|Union| (|List| (|DoubleFloat|)) "failed") (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\axiom{exprHasAlgebraicWeight} looks for algebraic weights giving rise to singularities of the function at the end-points.")) (|exprHasWeightCosWXorSinWX| (((|Union| (|Record| (|:| |op| (|BasicOperator|)) (|:| |w| (|DoubleFloat|))) "failed") (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\axiom{exprHasWeightCosWXorSinWX} looks for trigonometric weights in an expression of the form \\axiom{cos \\omega \\spad{x}} or \\axiom{sin \\omega \\spad{x}},{} returning the value of \\omega (\\notequal 1) and the operator."))) 
 NIL 
 NIL 
-(-197) 
+(-198) 
 ((|constructor| (NIL "\\axiom{d02AgentsPackage} contains a set of computational agents for use with Ordinary Differential Equation solvers.")) (|intermediateResultsIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{intermediateResultsIF(o)} returns a value corresponding to the required number of intermediate results required and,{} therefore,{} an indication of how much this would affect the step-length of the calculation. It returns a value in the range [0,{}1].")) (|accuracyIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{accuracyIF(o)} returns the intensity value of the accuracy requirements of the input ODE. A request of accuracy of 10^-6 corresponds to the neutral intensity. It returns a value in the range [0,{}1].")) (|expenseOfEvaluationIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{expenseOfEvaluationIF(o)} returns the intensity value of the cost of evaluating the input ODE. This is in terms of the number of ``operational units\\spad{''}. It returns a value in the range [0,{}1].\\indent{20} 400 ``operation units\\spad{''} \\spad{->} 0.75 200 ``operation units\\spad{''} \\spad{->} 0.5 83 ``operation units\\spad{''} \\spad{->} 0.25 \\indent{15} exponentiation = 4 units ,{} function calls = 10 units.")) (|systemSizeIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{systemSizeIF(ode)} returns the intensity value of the size of the system of ODEs. 20 equations corresponds to the neutral value. It returns a value in the range [0,{}1].")) (|stiffnessAndStabilityOfODEIF| (((|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|))) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{stiffnessAndStabilityOfODEIF(ode)} calculates the intensity values of stiffness of a system of first-order differential equations (by evaluating the maximum difference in the real parts of the negative eigenvalues of the jacobian of the system for which \\spad{O}(10) equates to mildly stiff wheras stiffness ratios of \\spad{O}(10^6) are not uncommon) and whether the system is likely to show any oscillations (identified by the closeness to the imaginary axis of the complex eigenvalues of the jacobian). \\blankline It returns two values in the range [0,{}1].")) (|stiffnessAndStabilityFactor| (((|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|))) (|Matrix| (|Expression| (|DoubleFloat|)))) "\\spad{stiffnessAndStabilityFactor(me)} calculates the stability and stiffness factor of a system of first-order differential equations (by evaluating the maximum difference in the real parts of the negative eigenvalues of the jacobian of the system for which \\spad{O}(10) equates to mildly stiff wheras stiffness ratios of \\spad{O}(10^6) are not uncommon) and whether the system is likely to show any oscillations (identified by the closeness to the imaginary axis of the complex eigenvalues of the jacobian).")) (|eval| (((|Matrix| (|Expression| (|DoubleFloat|))) (|Matrix| (|Expression| (|DoubleFloat|))) (|List| (|Symbol|)) (|Vector| (|Expression| (|DoubleFloat|)))) "\\spad{eval(mat,{}symbols,{}values)} evaluates a multivariable matrix at given \\spad{values} for each of a list of variables")) (|jacobian| (((|Matrix| (|Expression| (|DoubleFloat|))) (|Vector| (|Expression| (|DoubleFloat|))) (|List| (|Symbol|))) "\\spad{jacobian(v,{}w)} is a local function to make a jacobian matrix")) (|sparsityIF| (((|Float|) (|Matrix| (|Expression| (|DoubleFloat|)))) "\\spad{sparsityIF(m)} calculates the sparsity of a jacobian matrix")) (|combineFeatureCompatibility| (((|Float|) (|Float|) (|List| (|Float|))) "\\spad{combineFeatureCompatibility(C1,{}L)} is for interacting attributes") (((|Float|) (|Float|) (|Float|)) "\\spad{combineFeatureCompatibility(C1,{}C2)} is for interacting attributes"))) 
 NIL 
 NIL 
-(-198) 
+(-199) 
 ((|constructor| (NIL "\\axiomType{d02bbfAnnaType} is a domain of \\axiomType{OrdinaryDifferentialEquationsInitialValueProblemSolverCategory} for the NAG routine D02BBF,{} a ODE routine which uses an Runge-Kutta method to solve a system of differential equations. The function \\axiomFun{measure} measures the usefulness of the routine D02BBF for the given problem. The function \\axiomFun{ODESolve} performs the integration by using \\axiomType{NagOrdinaryDifferentialEquationsPackage}."))) 
 NIL 
 NIL 
-(-199) 
+(-200) 
 ((|constructor| (NIL "\\axiomType{d02bhfAnnaType} is a domain of \\axiomType{OrdinaryDifferentialEquationsInitialValueProblemSolverCategory} for the NAG routine D02BHF,{} a ODE routine which uses an Runge-Kutta method to solve a system of differential equations. The function \\axiomFun{measure} measures the usefulness of the routine D02BHF for the given problem. The function \\axiomFun{ODESolve} performs the integration by using \\axiomType{NagOrdinaryDifferentialEquationsPackage}."))) 
 NIL 
 NIL 
-(-200) 
+(-201) 
 ((|constructor| (NIL "\\axiomType{d02cjfAnnaType} is a domain of \\axiomType{OrdinaryDifferentialEquationsInitialValueProblemSolverCategory} for the NAG routine D02CJF,{} a ODE routine which uses an Adams-Moulton-Bashworth method to solve a system of differential equations. The function \\axiomFun{measure} measures the usefulness of the routine D02CJF for the given problem. The function \\axiomFun{ODESolve} performs the integration by using \\axiomType{NagOrdinaryDifferentialEquationsPackage}."))) 
 NIL 
 NIL 
-(-201) 
+(-202) 
 ((|constructor| (NIL "\\axiomType{d02ejfAnnaType} is a domain of \\axiomType{OrdinaryDifferentialEquationsInitialValueProblemSolverCategory} for the NAG routine D02EJF,{} a ODE routine which uses a backward differentiation formulae method to handle a stiff system of differential equations. The function \\axiomFun{measure} measures the usefulness of the routine D02EJF for the given problem. The function \\axiomFun{ODESolve} performs the integration by using \\axiomType{NagOrdinaryDifferentialEquationsPackage}."))) 
 NIL 
 NIL 
-(-202) 
+(-203) 
 ((|constructor| (NIL "\\axiom{d03AgentsPackage} contains a set of computational agents for use with Partial Differential Equation solvers.")) (|elliptic?| (((|Boolean|) (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) "\\spad{elliptic?(r)} \\undocumented{}")) (|central?| (((|Boolean|) (|DoubleFloat|) (|DoubleFloat|) (|List| (|Expression| (|DoubleFloat|)))) "\\spad{central?(f,{}g,{}l)} \\undocumented{}")) (|subscriptedVariables| (((|Expression| (|DoubleFloat|)) (|Expression| (|DoubleFloat|))) "\\spad{subscriptedVariables(e)} \\undocumented{}")) (|varList| (((|List| (|Symbol|)) (|Symbol|) (|NonNegativeInteger|)) "\\spad{varList(s,{}n)} \\undocumented{}"))) 
 NIL 
 NIL 
-(-203) 
+(-204) 
 ((|constructor| (NIL "\\axiomType{d03eefAnnaType} is a domain of \\axiomType{PartialDifferentialEquationsSolverCategory} for the NAG routines D03EEF/D03EDF."))) 
 NIL 
 NIL 
-(-204) 
+(-205) 
 ((|constructor| (NIL "\\axiomType{d03fafAnnaType} is a domain of \\axiomType{PartialDifferentialEquationsSolverCategory} for the NAG routine D03FAF."))) 
 NIL 
 NIL 
-(-205 S) 
+(-206 S) 
 ((|constructor| (NIL "This domain implements a simple view of a database whose fields are indexed by symbols")) (|coerce| (($ (|List| |#1|)) "\\spad{coerce(l)} makes a database out of a list")) (- (($ $ $) "\\spad{db1-db2} returns the difference of databases \\spad{db1} and \\spad{db2} \\spadignore{i.e.} consisting of elements in \\spad{db1} but not in \\spad{db2}")) (+ (($ $ $) "\\spad{db1+db2} returns the merge of databases \\spad{db1} and \\spad{db2}")) (|fullDisplay| (((|Void|) $ (|PositiveInteger|) (|PositiveInteger|)) "\\spad{fullDisplay(db,{}start,{}end )} prints full details of entries in the range \\axiom{\\spad{start}..end} in \\axiom{\\spad{db}}.") (((|Void|) $) "\\spad{fullDisplay(db)} prints full details of each entry in \\axiom{\\spad{db}}.") (((|Void|) $) "\\spad{fullDisplay(x)} displays \\spad{x} in detail")) (|display| (((|Void|) $) "\\spad{display(db)} prints a summary line for each entry in \\axiom{\\spad{db}}.") (((|Void|) $) "\\spad{display(x)} displays \\spad{x} in some form")) (|elt| (((|DataList| (|String|)) $ (|Symbol|)) "\\spad{elt(db,{}s)} returns the \\axiom{\\spad{s}} field of each element of \\axiom{\\spad{db}}.") (($ $ (|QueryEquation|)) "\\spad{elt(db,{}q)} returns all elements of \\axiom{\\spad{db}} which satisfy \\axiom{\\spad{q}}.") (((|String|) $ (|Symbol|)) "\\spad{elt(x,{}s)} returns an element of \\spad{x} indexed by \\spad{s}"))) 
 NIL 
 NIL 
-(-206 -1478 UP UPUP R) 
+(-207 -1564 UP UPUP R) 
 ((|constructor| (NIL "This package provides functions for computing the residues of a function on an algebraic curve.")) (|doubleResultant| ((|#2| |#4| (|Mapping| |#2| |#2|)) "\\spad{doubleResultant(f,{} ')} returns \\spad{p}(\\spad{x}) whose roots are rational multiples of the residues of \\spad{f} at all its finite poles. Argument ' is the derivation to use."))) 
 NIL 
 NIL 
-(-207 -1478 FP) 
+(-208 -1564 FP) 
 ((|constructor| (NIL "Package for the factorization of a univariate polynomial with coefficients in a finite field. The algorithm used is the \"distinct degree\" algorithm of Cantor-Zassenhaus,{} modified to use trace instead of the norm and a table for computing Frobenius as suggested by Naudin and Quitte .")) (|irreducible?| (((|Boolean|) |#2|) "\\spad{irreducible?(p)} tests whether the polynomial \\spad{p} is irreducible.")) (|tracePowMod| ((|#2| |#2| (|NonNegativeInteger|) |#2|) "\\spad{tracePowMod(u,{}k,{}v)} produces the sum of \\spad{u**(q**i)} for \\spad{i} running and \\spad{q=} size \\spad{F}")) (|trace2PowMod| ((|#2| |#2| (|NonNegativeInteger|) |#2|) "\\spad{trace2PowMod(u,{}k,{}v)} produces the sum of u**(2**i) for \\spad{i} running from 1 to \\spad{k} all computed modulo the polynomial \\spad{v}.")) (|exptMod| ((|#2| |#2| (|NonNegativeInteger|) |#2|) "\\spad{exptMod(u,{}k,{}v)} raises the polynomial \\spad{u} to the \\spad{k}th power modulo the polynomial \\spad{v}.")) (|separateFactors| (((|List| |#2|) (|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| |#2|)))) "\\spad{separateFactors(lfact)} takes the list produced by separateDegrees and produces the complete list of factors.")) (|separateDegrees| (((|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| |#2|))) |#2|) "\\spad{separateDegrees(p)} splits the square free polynomial \\spad{p} into factors each of which is a product of irreducibles of the same degree.")) (|distdfact| (((|Record| (|:| |cont| |#1|) (|:| |factors| (|List| (|Record| (|:| |irr| |#2|) (|:| |pow| (|Integer|)))))) |#2| (|Boolean|)) "\\spad{distdfact(p,{}sqfrflag)} produces the complete factorization of the polynomial \\spad{p} returning an internal data structure. If argument \\spad{sqfrflag} is \\spad{true},{} the polynomial is assumed square free.")) (|factorSquareFree| (((|Factored| |#2|) |#2|) "\\spad{factorSquareFree(p)} produces the complete factorization of the square free polynomial \\spad{p}.")) (|factor| (((|Factored| |#2|) |#2|) "\\spad{factor(p)} produces the complete factorization of the polynomial \\spad{p}."))) 
 NIL 
 NIL 
-(-208) 
+(-209) 
 ((|constructor| (NIL "This domain allows rational numbers to be presented as repeating decimal expansions.")) (|decimal| (($ (|Fraction| (|Integer|))) "\\spad{decimal(r)} converts a rational number to a decimal expansion.")) (|fractionPart| (((|Fraction| (|Integer|)) $) "\\spad{fractionPart(d)} returns the fractional part of a decimal expansion.")) (|coerce| (((|RadixExpansion| 10) $) "\\spad{coerce(d)} converts a decimal expansion to a radix expansion with base 10.") (((|Fraction| (|Integer|)) $) "\\spad{coerce(d)} converts a decimal expansion to a rational number."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| (-568) (QUOTE (-904))) (|HasCategory| (-568) (LIST (QUOTE -1037) (QUOTE (-1161)))) (|HasCategory| (-568) (QUOTE (-148))) (|HasCategory| (-568) (QUOTE (-150))) (|HasCategory| (-568) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| (-568) (QUOTE (-1021))) (|HasCategory| (-568) (QUOTE (-815))) (|HasCategory| (-568) (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| (-568) (QUOTE (-1136))) (|HasCategory| (-568) (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| (-568) (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| (-568) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| (-568) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| (-568) (QUOTE (-225))) (|HasCategory| (-568) (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| (-568) (LIST (QUOTE -523) (QUOTE (-1161)) (QUOTE (-568)))) (|HasCategory| (-568) (LIST (QUOTE -303) (QUOTE (-568)))) (|HasCategory| (-568) (LIST (QUOTE -281) (QUOTE (-568)) (QUOTE (-568)))) (|HasCategory| (-568) (QUOTE (-301))) (|HasCategory| (-568) (QUOTE (-550))) (|HasCategory| (-568) (QUOTE (-842))) (-2199 (|HasCategory| (-568) (QUOTE (-815))) (|HasCategory| (-568) (QUOTE (-842)))) (|HasCategory| (-568) (LIST (QUOTE -630) (QUOTE (-568)))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| (-568) (QUOTE (-904)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| (-568) (QUOTE (-904)))) (|HasCategory| (-568) (QUOTE (-148))))) 
-(-209 R -1478) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| (-569) (QUOTE (-905))) (|HasCategory| (-569) (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| (-569) (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-151))) (|HasCategory| (-569) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-1022))) (|HasCategory| (-569) (QUOTE (-816))) (|HasCategory| (-569) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1137))) (|HasCategory| (-569) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| (-569) (QUOTE (-226))) (|HasCategory| (-569) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-569) (LIST (QUOTE -524) (QUOTE (-1163)) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -282) (QUOTE (-569)) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-302))) (|HasCategory| (-569) (QUOTE (-551))) (|HasCategory| (-569) (QUOTE (-843))) (-2232 (|HasCategory| (-569) (QUOTE (-816))) (|HasCategory| (-569) (QUOTE (-843)))) (|HasCategory| (-569) (LIST (QUOTE -631) (QUOTE (-569)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-905)))) (|HasCategory| (-569) (QUOTE (-149))))) 
+(-210 R -1564) 
 ((|constructor| (NIL "\\spadtype{ElementaryFunctionDefiniteIntegration} provides functions to compute definite integrals of elementary functions.")) (|innerint| (((|Union| (|:| |f1| (|OrderedCompletion| |#2|)) (|:| |f2| (|List| (|OrderedCompletion| |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (|Symbol|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)) "\\spad{innerint(f,{} x,{} a,{} b,{} ignore?)} should be local but conditional")) (|integrate| (((|Union| (|:| |f1| (|OrderedCompletion| |#2|)) (|:| |f2| (|List| (|OrderedCompletion| |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (|SegmentBinding| (|OrderedCompletion| |#2|)) (|String|)) "\\spad{integrate(f,{} x = a..b,{} \"noPole\")} returns the integral of \\spad{f(x)dx} from a to \\spad{b}. If it is not possible to check whether \\spad{f} has a pole for \\spad{x} between a and \\spad{b} (because of parameters),{} then this function will assume that \\spad{f} has no such pole. Error: if \\spad{f} has a pole for \\spad{x} between a and \\spad{b} or if the last argument is not \"noPole\".") (((|Union| (|:| |f1| (|OrderedCompletion| |#2|)) (|:| |f2| (|List| (|OrderedCompletion| |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (|SegmentBinding| (|OrderedCompletion| |#2|))) "\\spad{integrate(f,{} x = a..b)} returns the integral of \\spad{f(x)dx} from a to \\spad{b}. Error: if \\spad{f} has a pole for \\spad{x} between a and \\spad{b}."))) 
 NIL 
 NIL 
-(-210 R) 
+(-211 R) 
 ((|constructor| (NIL "Definite integration of rational functions. \\spadtype{RationalFunctionDefiniteIntegration} provides functions to compute definite integrals of rational functions.")) (|integrate| (((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|)))) (|String|)) "\\spad{integrate(f,{} x = a..b,{} \"noPole\")} returns the integral of \\spad{f(x)dx} from a to \\spad{b}. If it is not possible to check whether \\spad{f} has a pole for \\spad{x} between a and \\spad{b} (because of parameters),{} then this function will assume that \\spad{f} has no such pole. Error: if \\spad{f} has a pole for \\spad{x} between a and \\spad{b} or if the last argument is not \"noPole\".") (((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))))) "\\spad{integrate(f,{} x = a..b)} returns the integral of \\spad{f(x)dx} from a to \\spad{b}. Error: if \\spad{f} has a pole for \\spad{x} between a and \\spad{b}.") (((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Expression| |#1|))) (|String|)) "\\spad{integrate(f,{} x = a..b,{} \"noPole\")} returns the integral of \\spad{f(x)dx} from a to \\spad{b}. If it is not possible to check whether \\spad{f} has a pole for \\spad{x} between a and \\spad{b} (because of parameters),{} then this function will assume that \\spad{f} has no such pole. Error: if \\spad{f} has a pole for \\spad{x} between a and \\spad{b} or if the last argument is not \"noPole\".") (((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Expression| |#1|)))) "\\spad{integrate(f,{} x = a..b)} returns the integral of \\spad{f(x)dx} from a to \\spad{b}. Error: if \\spad{f} has a pole for \\spad{x} between a and \\spad{b}."))) 
 NIL 
 NIL 
-(-211 R1 R2) 
+(-212 R1 R2) 
 ((|constructor| (NIL "This package has no description")) (|expand| (((|List| (|Expression| |#2|)) (|Expression| |#2|) (|PositiveInteger|)) "\\spad{expand(f,{}n)} \\undocumented{}")) (|reduce| (((|Record| (|:| |pol| (|SparseUnivariatePolynomial| |#1|)) (|:| |deg| (|PositiveInteger|))) (|SparseUnivariatePolynomial| |#1|)) "\\spad{reduce(p)} \\undocumented{}"))) 
 NIL 
 NIL 
-(-212 S) 
+(-213 S) 
 ((|constructor| (NIL "Linked list implementation of a Dequeue")) (|member?| (((|Boolean|) |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} member?(3,{}a)")) (|members| (((|List| |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} members a")) (|parts| (((|List| |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} parts a")) (|#| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} \\#a")) (|count| (((|NonNegativeInteger|) |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} count(4,{}a)") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} count(\\spad{x+}->(\\spad{x>2}),{}a)")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} any?(\\spad{x+}->(\\spad{x=4}),{}a)")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} every?(\\spad{x+}->(\\spad{x=4}),{}a)")) (~= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} b:=copy a \\spad{X} (a~=b)")) (= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} b:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} (a=b)@Boolean")) (|coerce| (((|OutputForm|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} coerce a")) (|hash| (((|SingleInteger|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} hash a")) (|latex| (((|String|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} latex a")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} map!(\\spad{x+}-\\spad{>x+10},{}a) \\spad{X} a")) (|top!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} top! a \\spad{X} a")) (|reverse!| (($ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} reverse! a \\spad{X} a")) (|push!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} push! a \\spad{X} a")) (|pop!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} pop! a \\spad{X} a")) (|insertTop!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} insertTop! a \\spad{X} a")) (|insertBottom!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} insertBottom! a \\spad{X} a")) (|extractTop!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} extractTop! a \\spad{X} a")) (|extractBottom!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} extractBottom! a \\spad{X} a")) (|bottom!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} bottom! a \\spad{X} a")) (|top| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} top a")) (|height| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} height a")) (|depth| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} depth a")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} map(\\spad{x+}-\\spad{>x+10},{}a) \\spad{X} a")) (|eq?| (((|Boolean|) $ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} b:=copy a \\spad{X} eq?(a,{}\\spad{b})")) (|copy| (($ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} copy a")) (|sample| (($) "\\blankline \\spad{X} sample()\\$Dequeue(INT)")) (|empty| (($) "\\blankline \\spad{X} b:=empty()\\$(Dequeue INT)")) (|empty?| (((|Boolean|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} empty? a")) (|bag| (($ (|List| |#1|)) "\\blankline \\spad{X} bag([1,{}2,{}3,{}4,{}5])\\$Dequeue(INT)")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} size?(a,{}5)")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} more?(a,{}9)")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} less?(a,{}9)")) (|length| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} length a")) (|rotate!| (($ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} rotate! a")) (|back| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} back a")) (|front| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} front a")) (|inspect| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} inspect a")) (|insert!| (($ |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} insert! (8,{}a) \\spad{X} a")) (|enqueue!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} enqueue! (9,{}a) \\spad{X} a")) (|extract!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} extract! a \\spad{X} a")) (|dequeue!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} dequeue! a \\spad{X} a")) (|dequeue| (($) "\\blankline \\spad{X} a:Dequeue INT:= dequeue ()") (($ (|List| |#1|)) "\\indented{1}{dequeue([\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]) creates a dequeue with first (top or front)} \\indented{1}{element \\spad{x},{} second element \\spad{y},{}...,{}and last (bottom or back) element \\spad{z}.} \\blankline \\spad{E} g:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5]"))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090))))) 
-(-213 |CoefRing| |listIndVar|) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
+(-214 |CoefRing| |listIndVar|) 
 ((|constructor| (NIL "The deRham complex of Euclidean space,{} that is,{} the class of differential forms of arbitary degree over a coefficient ring. See Flanders,{} Harley,{} Differential Forms,{} With Applications to the Physical Sciences,{} New York,{} Academic Press,{} 1963.")) (|exteriorDifferential| (($ $) "\\spad{exteriorDifferential(df)} returns the exterior derivative (gradient,{} curl,{} divergence,{} ...) of the differential form \\spad{df}.")) (|totalDifferential| (($ (|Expression| |#1|)) "\\spad{totalDifferential(x)} returns the total differential (gradient) form for element \\spad{x}.")) (|map| (($ (|Mapping| (|Expression| |#1|) (|Expression| |#1|)) $) "\\spad{map(f,{}df)} replaces each coefficient \\spad{x} of differential form \\spad{df} by \\spad{f(x)}.")) (|degree| (((|Integer|) $) "\\spad{degree(df)} returns the homogeneous degree of differential form \\spad{df}.")) (|retractable?| (((|Boolean|) $) "\\spad{retractable?(df)} tests if differential form \\spad{df} is a 0-form,{} \\spadignore{i.e.} if degree(\\spad{df}) = 0.")) (|homogeneous?| (((|Boolean|) $) "\\spad{homogeneous?(df)} tests if all of the terms of differential form \\spad{df} have the same degree.")) (|generator| (($ (|NonNegativeInteger|)) "\\spad{generator(n)} returns the \\spad{n}th basis term for a differential form.")) (|coefficient| (((|Expression| |#1|) $ $) "\\spad{coefficient(df,{}u)},{} where \\spad{df} is a differential form,{} returns the coefficient of \\spad{df} containing the basis term \\spad{u} if such a term exists,{} and 0 otherwise.")) (|reductum| (($ $) "\\spad{reductum(df)},{} where \\spad{df} is a differential form,{} returns \\spad{df} minus the leading term of \\spad{df} if \\spad{df} has two or more terms,{} and 0 otherwise.")) (|leadingBasisTerm| (($ $) "\\spad{leadingBasisTerm(df)} returns the leading basis term of differential form \\spad{df}.")) (|leadingCoefficient| (((|Expression| |#1|) $) "\\spad{leadingCoefficient(df)} returns the leading coefficient of differential form \\spad{df}."))) 
-((-4518 . T)) 
+((-4532 . T)) 
 NIL 
-(-214 R -1478) 
+(-215 R -1564) 
 ((|constructor| (NIL "\\spadtype{DefiniteIntegrationTools} provides common tools used by the definite integration of both rational and elementary functions.")) (|checkForZero| (((|Union| (|Boolean|) "failed") (|SparseUnivariatePolynomial| |#2|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)) "\\spad{checkForZero(p,{} a,{} b,{} incl?)} is \\spad{true} if \\spad{p} has a zero between a and \\spad{b},{} \\spad{false} otherwise,{} \"failed\" if this cannot be determined. Check for a and \\spad{b} inclusive if incl? is \\spad{true},{} exclusive otherwise.") (((|Union| (|Boolean|) "failed") (|Polynomial| |#1|) (|Symbol|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)) "\\spad{checkForZero(p,{} x,{} a,{} b,{} incl?)} is \\spad{true} if \\spad{p} has a zero for \\spad{x} between a and \\spad{b},{} \\spad{false} otherwise,{} \"failed\" if this cannot be determined. Check for a and \\spad{b} inclusive if incl? is \\spad{true},{} exclusive otherwise.")) (|computeInt| (((|Union| (|OrderedCompletion| |#2|) "failed") (|Kernel| |#2|) |#2| (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)) "\\spad{computeInt(x,{} g,{} a,{} b,{} eval?)} returns the integral of \\spad{f} for \\spad{x} between a and \\spad{b},{} assuming that \\spad{g} is an indefinite integral of \\spad{f} and \\spad{f} has no pole between a and \\spad{b}. If \\spad{eval?} is \\spad{true},{} then \\spad{g} can be evaluated safely at \\spad{a} and \\spad{b},{} provided that they are finite values. Otherwise,{} limits must be computed.")) (|ignore?| (((|Boolean|) (|String|)) "\\spad{ignore?(s)} is \\spad{true} if \\spad{s} is the string that tells the integrator to assume that the function has no pole in the integration interval."))) 
 NIL 
 NIL 
-(-215) 
+(-216) 
 ((|constructor| (NIL "\\spadtype{DoubleFloat} is intended to make accessible hardware floating point arithmetic in Axiom,{} either native double precision,{} or IEEE. On most machines,{} there will be hardware support for the arithmetic operations: \\spad{++} +,{} *,{} / and possibly also the sqrt operation. The operations exp,{} log,{} sin,{} cos,{} atan are normally coded in software based on minimax polynomial/rational approximations. \\blankline Some general comments about the accuracy of the operations: the operations +,{} *,{} / and sqrt are expected to be fully accurate. The operations exp,{} log,{} sin,{} cos and atan are not expected to be fully accurate. In particular,{} sin and cos will lose all precision for large arguments. \\blankline The Float domain provides an alternative to the DoubleFloat domain. It provides an arbitrary precision model of floating point arithmetic. This means that accuracy problems like those above are eliminated by increasing the working precision where necessary. \\spadtype{Float} provides some special functions such as erf,{} the error function in addition to the elementary functions. The disadvantage of Float is that it is much more expensive than small floats when the latter can be used.")) (|integerDecode| (((|List| (|Integer|)) $) "\\indented{1}{integerDecode(\\spad{x}) returns the multiple values of the\\space{2}common} \\indented{1}{lisp integer-decode-float function.} \\indented{1}{See Steele,{} ISBN 0-13-152414-3 \\spad{p354}. This function can be used} \\indented{1}{to ensure that the results are bit-exact and do not depend on} \\indented{1}{the binary-to-decimal conversions.} \\blankline \\spad{X} a:DFLOAT:=-1.0/3.0 \\spad{X} integerDecode a")) (|machineFraction| (((|Fraction| (|Integer|)) $) "\\indented{1}{machineFraction(\\spad{x}) returns a bit-exact fraction of the machine} \\indented{1}{floating point number using the common lisp integer-decode-float} \\indented{1}{function. See Steele,{} ISBN 0-13-152414-3 \\spad{p354}} \\indented{1}{This function can be used to print results which do not depend} \\indented{1}{on binary-to-decimal conversions} \\blankline \\spad{X} a:DFLOAT:=-1.0/3.0 \\spad{X} machineFraction a")) (|rationalApproximation| (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{rationalApproximation(f,{} n,{} b)} computes a rational approximation \\spad{r} to \\spad{f} with relative error \\spad{< b**(-n)} (that is,{} \\spad{|(r-f)/f| < b**(-n)}).") (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|)) "\\spad{rationalApproximation(f,{} n)} computes a rational approximation \\spad{r} to \\spad{f} with relative error \\spad{< 10**(-n)}.")) (|doubleFloatFormat| (((|String|) (|String|)) "change the output format for doublefloats using lisp format strings")) (|Beta| (($ $ $) "\\spad{Beta(x,{}y)} is \\spad{Gamma(x) * Gamma(y)/Gamma(x+y)}.")) (|Gamma| (($ $) "\\spad{Gamma(x)} is the Euler Gamma function.")) (|atan| (($ $ $) "\\spad{atan(x,{}y)} computes the arc tangent from \\spad{x} with phase \\spad{y}.")) (|log10| (($ $) "\\spad{log10(x)} computes the logarithm with base 10 for \\spad{x}.")) (|log2| (($ $) "\\spad{log2(x)} computes the logarithm with base 2 for \\spad{x}.")) (|hash| (((|Integer|) $) "\\spad{hash(x)} returns the hash key for \\spad{x}")) (|exp1| (($) "\\spad{exp1()} returns the natural log base \\spad{2.718281828...}.")) (** (($ $ $) "\\spad{x ** y} returns the \\spad{y}th power of \\spad{x} (equal to \\spad{exp(y log x)}).")) (/ (($ $ (|Integer|)) "\\spad{x / i} computes the division from \\spad{x} by an integer \\spad{i}."))) 
-((-3999 . T) (-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-2994 . T) (-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-216) 
-((|constructor| (NIL "This is a low-level domain which implements matrices (two dimensional arrays) of double precision floating point numbers. Indexing is 0 based,{} there is no bound checking (unless provided by lower level).")) (|qnew| (($ (|Integer|) (|Integer|)) "\\indented{1}{qnew(\\spad{n},{} \\spad{m}) creates a new uninitialized \\spad{n} by \\spad{m} matrix.} \\blankline \\spad{X} t1:DFMAT:=qnew(3,{}4)"))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| (-215) (QUOTE (-1090))) (-12 (|HasCategory| (-215) (LIST (QUOTE -303) (QUOTE (-215)))) (|HasCategory| (-215) (QUOTE (-1090)))) (|HasCategory| (-215) (QUOTE (-301))) (|HasCategory| (-215) (QUOTE (-558))) (|HasAttribute| (-215) (QUOTE (-4523 "*"))) (|HasCategory| (-215) (QUOTE (-172))) (|HasCategory| (-215) (QUOTE (-365)))) 
 (-217) 
-((|constructor| (NIL "This package provides special functions for double precision real and complex floating point.")) (|hypergeometric0F1| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{hypergeometric0F1(c,{}z)} is the hypergeometric function \\spad{0F1(; c; z)}.") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{hypergeometric0F1(c,{}z)} is the hypergeometric function \\spad{0F1(; c; z)}.")) (|airyBi| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{airyBi(x)} is the Airy function \\spad{\\spad{Bi}(x)}. This function satisfies the differential equation: \\indented{2}{\\spad{\\spad{Bi}''(x) - x * \\spad{Bi}(x) = 0}.}") (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{airyBi(x)} is the Airy function \\spad{\\spad{Bi}(x)}. This function satisfies the differential equation: \\indented{2}{\\spad{\\spad{Bi}''(x) - x * \\spad{Bi}(x) = 0}.}")) (|airyAi| (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{airyAi(x)} is the Airy function \\spad{\\spad{Ai}(x)}. This function satisfies the differential equation: \\indented{2}{\\spad{\\spad{Ai}''(x) - x * \\spad{Ai}(x) = 0}.}") (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{airyAi(x)} is the Airy function \\spad{\\spad{Ai}(x)}. This function satisfies the differential equation: \\indented{2}{\\spad{\\spad{Ai}''(x) - x * \\spad{Ai}(x) = 0}.}")) (|besselK| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{besselK(v,{}x)} is the modified Bessel function of the second kind,{} \\spad{K(v,{}x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + x w'(x) - (x^2+v^2)w(x) = 0}.} Note that the default implementation uses the relation \\indented{2}{\\spad{K(v,{}x) = \\%pi/2*(I(-v,{}x) - I(v,{}x))/sin(v*\\%\\spad{pi})}} so is not valid for integer values of \\spad{v}.") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{besselK(v,{}x)} is the modified Bessel function of the second kind,{} \\spad{K(v,{}x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + x w'(x) - (x^2+v^2)w(x) = 0}.} Note that the default implementation uses the relation \\indented{2}{\\spad{K(v,{}x) = \\%pi/2*(I(-v,{}x) - I(v,{}x))/sin(v*\\%\\spad{pi})}.} so is not valid for integer values of \\spad{v}.")) (|besselI| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{besselI(v,{}x)} is the modified Bessel function of the first kind,{} \\spad{I(v,{}x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + x w'(x) - (x^2+v^2)w(x) = 0}.}") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{besselI(v,{}x)} is the modified Bessel function of the first kind,{} \\spad{I(v,{}x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + x w'(x) - (x^2+v^2)w(x) = 0}.}")) (|besselY| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{besselY(v,{}x)} is the Bessel function of the second kind,{} \\spad{Y(v,{}x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + x w'(x) + (x^2-v^2)w(x) = 0}.} Note that the default implementation uses the relation \\indented{2}{\\spad{Y(v,{}x) = (J(v,{}x) cos(v*\\%\\spad{pi}) - J(-v,{}x))/sin(v*\\%\\spad{pi})}} so is not valid for integer values of \\spad{v}.") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{besselY(v,{}x)} is the Bessel function of the second kind,{} \\spad{Y(v,{}x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + x w'(x) + (x^2-v^2)w(x) = 0}.} Note that the default implementation uses the relation \\indented{2}{\\spad{Y(v,{}x) = (J(v,{}x) cos(v*\\%\\spad{pi}) - J(-v,{}x))/sin(v*\\%\\spad{pi})}} so is not valid for integer values of \\spad{v}.")) (|besselJ| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{besselJ(v,{}x)} is the Bessel function of the first kind,{} \\spad{J(v,{}x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + x w'(x) + (x^2-v^2)w(x) = 0}.}") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{besselJ(v,{}x)} is the Bessel function of the first kind,{} \\spad{J(v,{}x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + x w'(x) + (x^2-v^2)w(x) = 0}.}")) (|polygamma| (((|Complex| (|DoubleFloat|)) (|NonNegativeInteger|) (|Complex| (|DoubleFloat|))) "\\spad{polygamma(n,{} x)} is the \\spad{n}-th derivative of \\spad{digamma(x)}.") (((|DoubleFloat|) (|NonNegativeInteger|) (|DoubleFloat|)) "\\spad{polygamma(n,{} x)} is the \\spad{n}-th derivative of \\spad{digamma(x)}.")) (|digamma| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{digamma(x)} is the function,{} \\spad{psi(x)},{} defined by \\indented{2}{\\spad{psi(x) = Gamma'(x)/Gamma(x)}.}") (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{digamma(x)} is the function,{} \\spad{psi(x)},{} defined by \\indented{2}{\\spad{psi(x) = Gamma'(x)/Gamma(x)}.}")) (|logGamma| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{logGamma(x)} is the natural log of \\spad{Gamma(x)}. This can often be computed even if \\spad{Gamma(x)} cannot.") (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{logGamma(x)} is the natural log of \\spad{Gamma(x)}. This can often be computed even if \\spad{Gamma(x)} cannot.")) (|Beta| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{Beta(x,{} y)} is the Euler beta function,{} \\spad{B(x,{}y)},{} defined by \\indented{2}{\\spad{Beta(x,{}y) = integrate(t^(x-1)*(1-t)^(y-1),{} t=0..1)}.} This is related to \\spad{Gamma(x)} by \\indented{2}{\\spad{Beta(x,{}y) = Gamma(x)*Gamma(y) / Gamma(x + y)}.}") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{Beta(x,{} y)} is the Euler beta function,{} \\spad{B(x,{}y)},{} defined by \\indented{2}{\\spad{Beta(x,{}y) = integrate(t^(x-1)*(1-t)^(y-1),{} t=0..1)}.} This is related to \\spad{Gamma(x)} by \\indented{2}{\\spad{Beta(x,{}y) = Gamma(x)*Gamma(y) / Gamma(x + y)}.}")) (|Ei6| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei6} is the first approximation of \\spad{Ei} where the result is \\spad{x*}\\%e^-x*Ei(\\spad{x}) from 32 to infinity (preserves digits)")) (|Ei5| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei5} is the first approximation of \\spad{Ei} where the result is \\spad{x*}\\%e^-x*Ei(\\spad{x}) from 12 to 32 (preserves digits)")) (|Ei4| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei4} is the first approximation of \\spad{Ei} where the result is \\spad{x*}\\%e^-x*Ei(\\spad{x}) from 4 to 12 (preserves digits)")) (|Ei3| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei3} is the first approximation of \\spad{Ei} where the result is (\\spad{Ei}(\\spad{x})-log \\spad{|x|} - gamma)\\spad{/x} from \\spad{-4} to 4 (preserves digits)")) (|Ei2| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei2} is the first approximation of \\spad{Ei} where the result is \\spad{x*}\\%e^-x*Ei(\\spad{x}) from \\spad{-10} to \\spad{-4} (preserves digits)")) (|Ei1| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei1} is the first approximation of \\spad{Ei} where the result is \\spad{x*}\\%e^-x*Ei(\\spad{x}) from -infinity to \\spad{-10} (preserves digits)")) (|Ei| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei} is the Exponential Integral function This is computed using a 6 part piecewise approximation. DoubleFloat can only preserve about 16 digits but the Chebyshev approximation used can give 30 digits.")) (|En| (((|OnePointCompletion| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|)) "\\spad{En(n,{}x)} is the \\spad{n}th Exponential Integral Function")) (E1 (((|OnePointCompletion| (|DoubleFloat|)) (|DoubleFloat|)) "\\spad{E1(x)} is the Exponential Integral function The current implementation is a piecewise approximation involving one poly from \\spad{-4}..4 and a second poly for \\spad{x} > 4")) (|Gamma| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{Gamma(x)} is the Euler gamma function,{} \\spad{Gamma(x)},{} defined by \\indented{2}{\\spad{Gamma(x) = integrate(t^(x-1)*exp(-t),{} t=0..\\%infinity)}.}") (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{Gamma(x)} is the Euler gamma function,{} \\spad{Gamma(x)},{} defined by \\indented{2}{\\spad{Gamma(x) = integrate(t^(x-1)*exp(-t),{} t=0..\\%infinity)}.}"))) 
+((|constructor| (NIL "This is a low-level domain which implements matrices (two dimensional arrays) of double precision floating point numbers. Indexing is 0 based,{} there is no bound checking (unless provided by lower level).")) (|qnew| (($ (|Integer|) (|Integer|)) "\\indented{1}{qnew(\\spad{n},{} \\spad{m}) creates a new uninitialized \\spad{n} by \\spad{m} matrix.} \\blankline \\spad{X} t1:DFMAT:=qnew(3,{}4)"))) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| (-216) (QUOTE (-1091))) (-12 (|HasCategory| (-216) (LIST (QUOTE -304) (QUOTE (-216)))) (|HasCategory| (-216) (QUOTE (-1091)))) (|HasCategory| (-216) (QUOTE (-302))) (|HasCategory| (-216) (QUOTE (-559))) (|HasAttribute| (-216) (QUOTE (-4537 "*"))) (|HasCategory| (-216) (QUOTE (-173))) (|HasCategory| (-216) (QUOTE (-366)))) 
+(-218) 
+((|constructor| (NIL "This package provides special functions for double precision real and complex floating point.")) (|fresnelC| (((|Float|) (|Float|)) "\\indented{1}{fresnelC(\\spad{f}) denotes the Fresnel integral \\spad{C}} \\blankline \\spad{X} fresnelC(1.5)")) (|fresnelS| (((|Float|) (|Float|)) "\\indented{1}{fresnelS(\\spad{f}) denotes the Fresnel integral \\spad{S}} \\blankline \\spad{X} fresnelS(1.5)")) (|hypergeometric0F1| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{hypergeometric0F1(c,{}z)} is the hypergeometric function \\spad{0F1(; c; z)}.") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{hypergeometric0F1(c,{}z)} is the hypergeometric function \\spad{0F1(; c; z)}.")) (|airyBi| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{airyBi(x)} is the Airy function \\spad{\\spad{Bi}(x)}. This function satisfies the differential equation: \\indented{2}{\\spad{\\spad{Bi}''(x) - x * \\spad{Bi}(x) = 0}.}") (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{airyBi(x)} is the Airy function \\spad{\\spad{Bi}(x)}. This function satisfies the differential equation: \\indented{2}{\\spad{\\spad{Bi}''(x) - x * \\spad{Bi}(x) = 0}.}")) (|airyAi| (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{airyAi(x)} is the Airy function \\spad{\\spad{Ai}(x)}. This function satisfies the differential equation: \\indented{2}{\\spad{\\spad{Ai}''(x) - x * \\spad{Ai}(x) = 0}.}") (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{airyAi(x)} is the Airy function \\spad{\\spad{Ai}(x)}. This function satisfies the differential equation: \\indented{2}{\\spad{\\spad{Ai}''(x) - x * \\spad{Ai}(x) = 0}.}")) (|besselK| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{besselK(v,{}x)} is the modified Bessel function of the second kind,{} \\spad{K(v,{}x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + x w'(x) - (x^2+v^2)w(x) = 0}.} Note that the default implementation uses the relation \\indented{2}{\\spad{K(v,{}x) = \\%pi/2*(I(-v,{}x) - I(v,{}x))/sin(v*\\%\\spad{pi})}} so is not valid for integer values of \\spad{v}.") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{besselK(v,{}x)} is the modified Bessel function of the second kind,{} \\spad{K(v,{}x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + x w'(x) - (x^2+v^2)w(x) = 0}.} Note that the default implementation uses the relation \\indented{2}{\\spad{K(v,{}x) = \\%pi/2*(I(-v,{}x) - I(v,{}x))/sin(v*\\%\\spad{pi})}.} so is not valid for integer values of \\spad{v}.")) (|besselI| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{besselI(v,{}x)} is the modified Bessel function of the first kind,{} \\spad{I(v,{}x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + x w'(x) - (x^2+v^2)w(x) = 0}.}") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{besselI(v,{}x)} is the modified Bessel function of the first kind,{} \\spad{I(v,{}x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + x w'(x) - (x^2+v^2)w(x) = 0}.}")) (|besselY| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{besselY(v,{}x)} is the Bessel function of the second kind,{} \\spad{Y(v,{}x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + x w'(x) + (x^2-v^2)w(x) = 0}.} Note that the default implementation uses the relation \\indented{2}{\\spad{Y(v,{}x) = (J(v,{}x) cos(v*\\%\\spad{pi}) - J(-v,{}x))/sin(v*\\%\\spad{pi})}} so is not valid for integer values of \\spad{v}.") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{besselY(v,{}x)} is the Bessel function of the second kind,{} \\spad{Y(v,{}x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + x w'(x) + (x^2-v^2)w(x) = 0}.} Note that the default implementation uses the relation \\indented{2}{\\spad{Y(v,{}x) = (J(v,{}x) cos(v*\\%\\spad{pi}) - J(-v,{}x))/sin(v*\\%\\spad{pi})}} so is not valid for integer values of \\spad{v}.")) (|besselJ| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{besselJ(v,{}x)} is the Bessel function of the first kind,{} \\spad{J(v,{}x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + x w'(x) + (x^2-v^2)w(x) = 0}.}") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{besselJ(v,{}x)} is the Bessel function of the first kind,{} \\spad{J(v,{}x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + x w'(x) + (x^2-v^2)w(x) = 0}.}")) (|polygamma| (((|Complex| (|DoubleFloat|)) (|NonNegativeInteger|) (|Complex| (|DoubleFloat|))) "\\spad{polygamma(n,{} x)} is the \\spad{n}-th derivative of \\spad{digamma(x)}.") (((|DoubleFloat|) (|NonNegativeInteger|) (|DoubleFloat|)) "\\spad{polygamma(n,{} x)} is the \\spad{n}-th derivative of \\spad{digamma(x)}.")) (|digamma| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{digamma(x)} is the function,{} \\spad{psi(x)},{} defined by \\indented{2}{\\spad{psi(x) = Gamma'(x)/Gamma(x)}.}") (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{digamma(x)} is the function,{} \\spad{psi(x)},{} defined by \\indented{2}{\\spad{psi(x) = Gamma'(x)/Gamma(x)}.}")) (|logGamma| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{logGamma(x)} is the natural log of \\spad{Gamma(x)}. This can often be computed even if \\spad{Gamma(x)} cannot.") (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{logGamma(x)} is the natural log of \\spad{Gamma(x)}. This can often be computed even if \\spad{Gamma(x)} cannot.")) (|Beta| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{Beta(x,{} y)} is the Euler beta function,{} \\spad{B(x,{}y)},{} defined by \\indented{2}{\\spad{Beta(x,{}y) = integrate(t^(x-1)*(1-t)^(y-1),{} t=0..1)}.} This is related to \\spad{Gamma(x)} by \\indented{2}{\\spad{Beta(x,{}y) = Gamma(x)*Gamma(y) / Gamma(x + y)}.}") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{Beta(x,{} y)} is the Euler beta function,{} \\spad{B(x,{}y)},{} defined by \\indented{2}{\\spad{Beta(x,{}y) = integrate(t^(x-1)*(1-t)^(y-1),{} t=0..1)}.} This is related to \\spad{Gamma(x)} by \\indented{2}{\\spad{Beta(x,{}y) = Gamma(x)*Gamma(y) / Gamma(x + y)}.}")) (|Ei6| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei6} is the first approximation of \\spad{Ei} where the result is \\spad{x*}\\%e^-x*Ei(\\spad{x}) from 32 to infinity (preserves digits)")) (|Ei5| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei5} is the first approximation of \\spad{Ei} where the result is \\spad{x*}\\%e^-x*Ei(\\spad{x}) from 12 to 32 (preserves digits)")) (|Ei4| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei4} is the first approximation of \\spad{Ei} where the result is \\spad{x*}\\%e^-x*Ei(\\spad{x}) from 4 to 12 (preserves digits)")) (|Ei3| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei3} is the first approximation of \\spad{Ei} where the result is (\\spad{Ei}(\\spad{x})-log \\spad{|x|} - gamma)\\spad{/x} from \\spad{-4} to 4 (preserves digits)")) (|Ei2| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei2} is the first approximation of \\spad{Ei} where the result is \\spad{x*}\\%e^-x*Ei(\\spad{x}) from \\spad{-10} to \\spad{-4} (preserves digits)")) (|Ei1| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei1} is the first approximation of \\spad{Ei} where the result is \\spad{x*}\\%e^-x*Ei(\\spad{x}) from -infinity to \\spad{-10} (preserves digits)")) (|Ei| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei} is the Exponential Integral function This is computed using a 6 part piecewise approximation. DoubleFloat can only preserve about 16 digits but the Chebyshev approximation used can give 30 digits.")) (|En| (((|OnePointCompletion| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|)) "\\spad{En(n,{}x)} is the \\spad{n}th Exponential Integral Function")) (E1 (((|OnePointCompletion| (|DoubleFloat|)) (|DoubleFloat|)) "\\spad{E1(x)} is the Exponential Integral function The current implementation is a piecewise approximation involving one poly from \\spad{-4}..4 and a second poly for \\spad{x} > 4")) (|Gamma| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{Gamma(x)} is the Euler gamma function,{} \\spad{Gamma(x)},{} defined by \\indented{2}{\\spad{Gamma(x) = integrate(t^(x-1)*exp(-t),{} t=0..\\%infinity)}.}") (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{Gamma(x)} is the Euler gamma function,{} \\spad{Gamma(x)},{} defined by \\indented{2}{\\spad{Gamma(x) = integrate(t^(x-1)*exp(-t),{} t=0..\\%infinity)}.}"))) 
 NIL 
 NIL 
-(-218) 
+(-219) 
 ((|constructor| (NIL "This is a low-level domain which implements vectors (one dimensional arrays) of double precision floating point numbers. Indexing is 0 based,{} there is no bound checking (unless provided by lower level).")) (|qnew| (($ (|Integer|)) "\\indented{1}{qnew(\\spad{n}) creates a new uninitialized vector of length \\spad{n}.} \\blankline \\spad{X} t1:DFVEC:=qnew(7)"))) 
-((-4522 . T) (-4521 . T)) 
-((|HasCategory| (-215) (QUOTE (-1090))) (|HasCategory| (-215) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| (-215) (QUOTE (-842))) (-2199 (|HasCategory| (-215) (QUOTE (-842))) (|HasCategory| (-215) (QUOTE (-1090)))) (|HasCategory| (-568) (QUOTE (-842))) (|HasCategory| (-215) (QUOTE (-25))) (|HasCategory| (-215) (QUOTE (-23))) (|HasCategory| (-215) (QUOTE (-21))) (|HasCategory| (-215) (QUOTE (-716))) (|HasCategory| (-215) (QUOTE (-1047))) (-12 (|HasCategory| (-215) (QUOTE (-1002))) (|HasCategory| (-215) (QUOTE (-1047)))) (-12 (|HasCategory| (-215) (LIST (QUOTE -303) (QUOTE (-215)))) (|HasCategory| (-215) (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| (-215) (LIST (QUOTE -303) (QUOTE (-215)))) (|HasCategory| (-215) (QUOTE (-842)))) (-12 (|HasCategory| (-215) (LIST (QUOTE -303) (QUOTE (-215)))) (|HasCategory| (-215) (QUOTE (-1090)))))) 
-(-219 R) 
+((-4536 . T) (-4535 . T)) 
+((|HasCategory| (-216) (QUOTE (-1091))) (|HasCategory| (-216) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-216) (QUOTE (-843))) (-2232 (|HasCategory| (-216) (QUOTE (-843))) (|HasCategory| (-216) (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (|HasCategory| (-216) (QUOTE (-25))) (|HasCategory| (-216) (QUOTE (-23))) (|HasCategory| (-216) (QUOTE (-21))) (|HasCategory| (-216) (QUOTE (-717))) (|HasCategory| (-216) (QUOTE (-1048))) (-12 (|HasCategory| (-216) (QUOTE (-1003))) (|HasCategory| (-216) (QUOTE (-1048)))) (-12 (|HasCategory| (-216) (LIST (QUOTE -304) (QUOTE (-216)))) (|HasCategory| (-216) (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| (-216) (LIST (QUOTE -304) (QUOTE (-216)))) (|HasCategory| (-216) (QUOTE (-843)))) (-12 (|HasCategory| (-216) (LIST (QUOTE -304) (QUOTE (-216)))) (|HasCategory| (-216) (QUOTE (-1091)))))) 
+(-220 R) 
 ((|constructor| (NIL "4x4 Matrices for coordinate transformations\\spad{\\br} This package contains functions to create 4x4 matrices useful for rotating and transforming coordinate systems. These matrices are useful for graphics and robotics. (Reference: Robot Manipulators Richard Paul MIT Press 1981) \\blankline A Denavit-Hartenberg Matrix is a 4x4 Matrix of the form:\\spad{\\br} \\tab{5}\\spad{nx ox ax px}\\spad{\\br} \\tab{5}\\spad{ny oy ay py}\\spad{\\br} \\tab{5}\\spad{nz oz az pz}\\spad{\\br} \\tab{5}\\spad{0 0 0 1}\\spad{\\br} (\\spad{n},{} \\spad{o},{} and a are the direction cosines)")) (|translate| (($ |#1| |#1| |#1|) "\\spad{translate(x,{}y,{}z)} returns a dhmatrix for translation by \\spad{x},{} \\spad{y},{} and \\spad{z}")) (|scale| (($ |#1| |#1| |#1|) "\\spad{scale(sx,{}sy,{}sz)} returns a dhmatrix for scaling in the \\spad{x},{} \\spad{y} and \\spad{z} directions")) (|rotatez| (($ |#1|) "\\spad{rotatez(r)} returns a dhmatrix for rotation about axis \\spad{z} for \\spad{r} degrees")) (|rotatey| (($ |#1|) "\\spad{rotatey(r)} returns a dhmatrix for rotation about axis \\spad{y} for \\spad{r} degrees")) (|rotatex| (($ |#1|) "\\spad{rotatex(r)} returns a dhmatrix for rotation about axis \\spad{x} for \\spad{r} degrees")) (|identity| (($) "\\spad{identity()} create the identity dhmatrix")) (* (((|Point| |#1|) $ (|Point| |#1|)) "\\spad{t*p} applies the dhmatrix \\spad{t} to point \\spad{p}"))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))) (|HasCategory| |#1| (QUOTE (-301))) (|HasCategory| |#1| (QUOTE (-558))) (|HasAttribute| |#1| (QUOTE (-4523 "*"))) (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-365)))) 
-(-220 A S) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-559))) (|HasAttribute| |#1| (QUOTE (-4537 "*"))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366)))) 
+(-221 A S) 
 ((|constructor| (NIL "A dictionary is an aggregate in which entries can be inserted,{} searched for and removed. Duplicates are thrown away on insertion. This category models the usual notion of dictionary which involves large amounts of data where copying is impractical. Principal operations are thus destructive (non-copying) ones."))) 
 NIL 
 NIL 
-(-221 S) 
+(-222 S) 
 ((|constructor| (NIL "A dictionary is an aggregate in which entries can be inserted,{} searched for and removed. Duplicates are thrown away on insertion. This category models the usual notion of dictionary which involves large amounts of data where copying is impractical. Principal operations are thus destructive (non-copying) ones."))) 
-((-4522 . T) (-3973 . T)) 
+((-4536 . T) (-2982 . T)) 
 NIL 
-(-222 S R) 
+(-223 S R) 
 ((|constructor| (NIL "Differential extensions of a ring \\spad{R}. Given a differentiation on \\spad{R},{} extend it to a differentiation on \\%.")) (D (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) "\\spad{D(x,{} deriv,{} n)} differentiate \\spad{x} \\spad{n} times using a derivation which extends \\spad{deriv} on \\spad{R}.") (($ $ (|Mapping| |#2| |#2|)) "\\spad{D(x,{} deriv)} differentiates \\spad{x} extending the derivation deriv on \\spad{R}.")) (|differentiate| (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) "\\spad{differentiate(x,{} deriv,{} n)} differentiate \\spad{x} \\spad{n} times using a derivation which extends \\spad{deriv} on \\spad{R}.") (($ $ (|Mapping| |#2| |#2|)) "\\spad{differentiate(x,{} deriv)} differentiates \\spad{x} extending the derivation deriv on \\spad{R}."))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-225)))) 
-(-223 R) 
+((|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-226)))) 
+(-224 R) 
 ((|constructor| (NIL "Differential extensions of a ring \\spad{R}. Given a differentiation on \\spad{R},{} extend it to a differentiation on \\%.")) (D (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) "\\spad{D(x,{} deriv,{} n)} differentiate \\spad{x} \\spad{n} times using a derivation which extends \\spad{deriv} on \\spad{R}.") (($ $ (|Mapping| |#1| |#1|)) "\\spad{D(x,{} deriv)} differentiates \\spad{x} extending the derivation deriv on \\spad{R}.")) (|differentiate| (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) "\\spad{differentiate(x,{} deriv,{} n)} differentiate \\spad{x} \\spad{n} times using a derivation which extends \\spad{deriv} on \\spad{R}.") (($ $ (|Mapping| |#1| |#1|)) "\\spad{differentiate(x,{} deriv)} differentiates \\spad{x} extending the derivation deriv on \\spad{R}."))) 
-((-4518 . T)) 
+((-4532 . T)) 
 NIL 
-(-224 S) 
+(-225 S) 
 ((|constructor| (NIL "An ordinary differential ring,{} that is,{} a ring with an operation \\spadfun{differentiate}. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{differentiate(x+y) = differentiate(x)+differentiate(y)}\\spad{\\br} \\tab{5}\\spad{differentiate(x*y) = x*differentiate(y) + differentiate(x)*y}")) (D (($ $ (|NonNegativeInteger|)) "\\spad{D(x,{} n)} returns the \\spad{n}-th derivative of \\spad{x}.") (($ $) "\\spad{D(x)} returns the derivative of \\spad{x}. This function is a simple differential operator where no variable needs to be specified.")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(x,{} n)} returns the \\spad{n}-th derivative of \\spad{x}.") (($ $) "\\spad{differentiate(x)} returns the derivative of \\spad{x}. This function is a simple differential operator where no variable needs to be specified."))) 
 NIL 
 NIL 
-(-225) 
+(-226) 
 ((|constructor| (NIL "An ordinary differential ring,{} that is,{} a ring with an operation \\spadfun{differentiate}. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{differentiate(x+y) = differentiate(x)+differentiate(y)}\\spad{\\br} \\tab{5}\\spad{differentiate(x*y) = x*differentiate(y) + differentiate(x)*y}")) (D (($ $ (|NonNegativeInteger|)) "\\spad{D(x,{} n)} returns the \\spad{n}-th derivative of \\spad{x}.") (($ $) "\\spad{D(x)} returns the derivative of \\spad{x}. This function is a simple differential operator where no variable needs to be specified.")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(x,{} n)} returns the \\spad{n}-th derivative of \\spad{x}.") (($ $) "\\spad{differentiate(x)} returns the derivative of \\spad{x}. This function is a simple differential operator where no variable needs to be specified."))) 
-((-4518 . T)) 
+((-4532 . T)) 
 NIL 
-(-226 A S) 
+(-227 A S) 
 ((|constructor| (NIL "This category is a collection of operations common to both categories \\spadtype{Dictionary} and \\spadtype{MultiDictionary}")) (|select!| (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{select!(p,{}d)} destructively changes dictionary \\spad{d} by removing all entries \\spad{x} such that \\axiom{\\spad{p}(\\spad{x})} is not \\spad{true}.")) (|remove!| (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{remove!(p,{}d)} destructively changes dictionary \\spad{d} by removeing all entries \\spad{x} such that \\axiom{\\spad{p}(\\spad{x})} is \\spad{true}.") (($ |#2| $) "\\spad{remove!(x,{}d)} destructively changes dictionary \\spad{d} by removing all entries \\spad{y} such that \\axiom{\\spad{y} = \\spad{x}}.")) (|dictionary| (($ (|List| |#2|)) "\\spad{dictionary([x,{}y,{}...,{}z])} creates a dictionary consisting of entries \\axiom{\\spad{x},{}\\spad{y},{}...,{}\\spad{z}}.") (($) "\\spad{dictionary()}\\$\\spad{D} creates an empty dictionary of type \\spad{D}."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4521))) 
-(-227 S) 
+((|HasAttribute| |#1| (QUOTE -4535))) 
+(-228 S) 
 ((|constructor| (NIL "This category is a collection of operations common to both categories \\spadtype{Dictionary} and \\spadtype{MultiDictionary}")) (|select!| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{select!(p,{}d)} destructively changes dictionary \\spad{d} by removing all entries \\spad{x} such that \\axiom{\\spad{p}(\\spad{x})} is not \\spad{true}.")) (|remove!| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{remove!(p,{}d)} destructively changes dictionary \\spad{d} by removeing all entries \\spad{x} such that \\axiom{\\spad{p}(\\spad{x})} is \\spad{true}.") (($ |#1| $) "\\spad{remove!(x,{}d)} destructively changes dictionary \\spad{d} by removing all entries \\spad{y} such that \\axiom{\\spad{y} = \\spad{x}}.")) (|dictionary| (($ (|List| |#1|)) "\\spad{dictionary([x,{}y,{}...,{}z])} creates a dictionary consisting of entries \\axiom{\\spad{x},{}\\spad{y},{}...,{}\\spad{z}}.") (($) "\\spad{dictionary()}\\$\\spad{D} creates an empty dictionary of type \\spad{D}."))) 
-((-4522 . T) (-3973 . T)) 
+((-4536 . T) (-2982 . T)) 
 NIL 
-(-228) 
+(-229) 
 ((|constructor| (NIL "Any solution of a homogeneous linear Diophantine equation can be represented as a sum of minimal solutions,{} which form a \"basis\" (a minimal solution cannot be represented as a nontrivial sum of solutions) in the case of an inhomogeneous linear Diophantine equation,{} each solution is the sum of a inhomogeneous solution and any number of homogeneous solutions therefore,{} it suffices to compute two sets:\\spad{\\br} \\tab{5}1. all minimal inhomogeneous solutions\\spad{\\br} \\tab{5}2. all minimal homogeneous solutions\\spad{\\br} the algorithm implemented is a completion procedure,{} which enumerates all solutions in a recursive depth-first-search it can be seen as finding monotone paths in a graph for more details see Reference")) (|dioSolve| (((|Record| (|:| |varOrder| (|List| (|Symbol|))) (|:| |inhom| (|Union| (|List| (|Vector| (|NonNegativeInteger|))) "failed")) (|:| |hom| (|List| (|Vector| (|NonNegativeInteger|))))) (|Equation| (|Polynomial| (|Integer|)))) "\\spad{dioSolve(u)} computes a basis of all minimal solutions for linear homogeneous Diophantine equation \\spad{u},{} then all minimal solutions of inhomogeneous equation"))) 
 NIL 
 NIL 
-(-229 S -1965 R) 
+(-230 S -4391 R) 
 ((|constructor| (NIL "This category represents a finite cartesian product of a given type. Many categorical properties are preserved under this construction.")) (|dot| ((|#3| $ $) "\\spad{dot(x,{}y)} computes the inner product of the vectors \\spad{x} and \\spad{y}.")) (|unitVector| (($ (|PositiveInteger|)) "\\spad{unitVector(n)} produces a vector with 1 in position \\spad{n} and zero elsewhere.")) (|directProduct| (($ (|Vector| |#3|)) "\\spad{directProduct(v)} converts the vector \\spad{v} to become a direct product. Error: if the length of \\spad{v} is different from dim.")) (|finiteAggregate| ((|attribute|) "attribute to indicate an aggregate of finite size"))) 
 NIL 
-((|HasCategory| |#3| (QUOTE (-365))) (|HasCategory| |#3| (QUOTE (-788))) (|HasCategory| |#3| (QUOTE (-840))) (|HasAttribute| |#3| (QUOTE -4518)) (|HasCategory| |#3| (QUOTE (-172))) (|HasCategory| |#3| (QUOTE (-370))) (|HasCategory| |#3| (QUOTE (-716))) (|HasCategory| |#3| (QUOTE (-137))) (|HasCategory| |#3| (QUOTE (-25))) (|HasCategory| |#3| (QUOTE (-1047))) (|HasCategory| |#3| (QUOTE (-1090)))) 
-(-230 -1965 R) 
+((|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-789))) (|HasCategory| |#3| (QUOTE (-841))) (|HasAttribute| |#3| (QUOTE -4532)) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-371))) (|HasCategory| |#3| (QUOTE (-717))) (|HasCategory| |#3| (QUOTE (-138))) (|HasCategory| |#3| (QUOTE (-25))) (|HasCategory| |#3| (QUOTE (-1048))) (|HasCategory| |#3| (QUOTE (-1091)))) 
+(-231 -4391 R) 
 ((|constructor| (NIL "This category represents a finite cartesian product of a given type. Many categorical properties are preserved under this construction.")) (|dot| ((|#2| $ $) "\\spad{dot(x,{}y)} computes the inner product of the vectors \\spad{x} and \\spad{y}.")) (|unitVector| (($ (|PositiveInteger|)) "\\spad{unitVector(n)} produces a vector with 1 in position \\spad{n} and zero elsewhere.")) (|directProduct| (($ (|Vector| |#2|)) "\\spad{directProduct(v)} converts the vector \\spad{v} to become a direct product. Error: if the length of \\spad{v} is different from dim.")) (|finiteAggregate| ((|attribute|) "attribute to indicate an aggregate of finite size"))) 
-((-4515 |has| |#2| (-1047)) (-4516 |has| |#2| (-1047)) (-4518 |has| |#2| (-6 -4518)) ((-4523 "*") |has| |#2| (-172)) (-4521 . T) (-3973 . T)) 
+((-4529 |has| |#2| (-1048)) (-4530 |has| |#2| (-1048)) (-4532 |has| |#2| (-6 -4532)) ((-4537 "*") |has| |#2| (-173)) (-4535 . T) (-2982 . T)) 
 NIL 
-(-231 -1965 A B) 
+(-232 -4391 A B) 
 ((|constructor| (NIL "This package provides operations which all take as arguments direct products of elements of some type \\spad{A} and functions from \\spad{A} to another type \\spad{B}. The operations all iterate over their vector argument and either return a value of type \\spad{B} or a direct product over \\spad{B}.")) (|map| (((|DirectProduct| |#1| |#3|) (|Mapping| |#3| |#2|) (|DirectProduct| |#1| |#2|)) "\\spad{map(f,{} v)} applies the function \\spad{f} to every element of the vector \\spad{v} producing a new vector containing the values.")) (|reduce| ((|#3| (|Mapping| |#3| |#2| |#3|) (|DirectProduct| |#1| |#2|) |#3|) "\\spad{reduce(func,{}vec,{}ident)} combines the elements in \\spad{vec} using the binary function \\spad{func}. Argument \\spad{ident} is returned if the vector is empty.")) (|scan| (((|DirectProduct| |#1| |#3|) (|Mapping| |#3| |#2| |#3|) (|DirectProduct| |#1| |#2|) |#3|) "\\spad{scan(func,{}vec,{}ident)} creates a new vector whose elements are the result of applying reduce to the binary function \\spad{func},{} increasing initial subsequences of the vector \\spad{vec},{} and the element \\spad{ident}."))) 
 NIL 
 NIL 
-(-232 -1965 R) 
+(-233 -4391 R) 
 ((|constructor| (NIL "This type represents the finite direct or cartesian product of an underlying component type. This contrasts with simple vectors in that the members can be viewed as having constant length. Thus many categorical properties can by lifted from the underlying component type. Component extraction operations are provided but no updating operations. Thus new direct product elements can either be created by converting vector elements using the \\spadfun{directProduct} function or by taking appropriate linear combinations of basis vectors provided by the \\spad{unitVector} operation."))) 
-((-4515 |has| |#2| (-1047)) (-4516 |has| |#2| (-1047)) (-4518 |has| |#2| (-6 -4518)) ((-4523 "*") |has| |#2| (-172)) (-4521 . T)) 
-((|HasCategory| |#2| (QUOTE (-1090))) (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-1047))) (|HasCategory| |#2| (QUOTE (-788))) (|HasCategory| |#2| (QUOTE (-840))) (-2199 (|HasCategory| |#2| (QUOTE (-788))) (|HasCategory| |#2| (QUOTE (-840)))) (|HasCategory| |#2| (QUOTE (-716))) (|HasCategory| |#2| (QUOTE (-172))) (-2199 (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-1047)))) (-2199 (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-365)))) (-2199 (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-1047)))) (|HasCategory| |#2| (QUOTE (-370))) (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-225))) (-2199 (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-225))) (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-1047)))) (-2199 (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-225))) (|HasCategory| |#2| (QUOTE (-1047)))) (|HasCategory| (-568) (QUOTE (-842))) (-12 (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-1047)))) (-12 (|HasCategory| |#2| (QUOTE (-225))) (|HasCategory| |#2| (QUOTE (-1047)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-1047)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-1090)))) (|HasCategory| |#2| (QUOTE (-1047)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-1090)))) (|HasAttribute| |#2| (QUOTE -4518)) (|HasCategory| |#2| (QUOTE (-137))) (-2199 (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-137))) (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-225))) (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-1047)))) (|HasCategory| |#2| (QUOTE (-25))) (-2199 (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-137))) (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-225))) (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-370))) (|HasCategory| |#2| (QUOTE (-716))) (|HasCategory| |#2| (QUOTE (-788))) (|HasCategory| |#2| (QUOTE (-840))) (|HasCategory| |#2| (QUOTE (-1047))) (|HasCategory| |#2| (QUOTE (-1090)))) (-2199 (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-137))) (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-225))) (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-1047)))) (-2199 (-12 (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-137)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-172)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-225)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-365)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-370)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-716)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-788)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-840)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-1047)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-1090))))) (-2199 (-12 (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-137)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-172)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-225)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-365)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-370)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-716)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-788)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-840)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-1047)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-1090))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-137)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-172)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-225)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-365)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-370)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-716)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-788)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-840)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1047)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1090)))))) 
-(-233 |Coef|) 
+((-4529 |has| |#2| (-1048)) (-4530 |has| |#2| (-1048)) (-4532 |has| |#2| (-6 -4532)) ((-4537 "*") |has| |#2| (-173)) (-4535 . T)) 
+((|HasCategory| |#2| (QUOTE (-1091))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048))) (|HasCategory| |#2| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-841))) (-2232 (|HasCategory| |#2| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-841)))) (|HasCategory| |#2| (QUOTE (-717))) (|HasCategory| |#2| (QUOTE (-173))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048)))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366)))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-1048)))) (|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-226))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048)))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1048)))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1091)))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1091)))) (|HasAttribute| |#2| (QUOTE -4532)) (|HasCategory| |#2| (QUOTE (-138))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048)))) (|HasCategory| |#2| (QUOTE (-25))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (QUOTE (-717))) (|HasCategory| |#2| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-841))) (|HasCategory| |#2| (QUOTE (-1048))) (|HasCategory| |#2| (QUOTE (-1091)))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048)))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-717)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-789)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-841)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1091))))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-717)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-789)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-841)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1091))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-717)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-789)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-841)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091)))))) 
+(-234 |Coef|) 
 ((|constructor| (NIL "DirichletRing is the ring of arithmetical functions with Dirichlet convolution as multiplication")) (|additive?| (((|Boolean|) $ (|PositiveInteger|)) "\\spad{additive?(a,{} n)} returns \\spad{true} if the first \\spad{n} coefficients of a are additive")) (|multiplicative?| (((|Boolean|) $ (|PositiveInteger|)) "\\spad{multiplicative?(a,{} n)} returns \\spad{true} if the first \\spad{n} coefficients of a are multiplicative")) (|zeta| (($) "\\spad{zeta()} returns the function which is constantly one"))) 
-((-4516 |has| |#1| (-172)) (-4515 |has| |#1| (-172)) ((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-172)) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-172)))) 
-(-234) 
+((-4530 |has| |#1| (-173)) (-4529 |has| |#1| (-173)) ((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-173)) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-173)))) 
+(-235) 
 ((|constructor| (NIL "DisplayPackage allows one to print strings in a nice manner,{} including highlighting substrings.")) (|sayLength| (((|Integer|) (|List| (|String|))) "\\spad{sayLength(l)} returns the length of a list of strings \\spad{l} as an integer.") (((|Integer|) (|String|)) "\\spad{sayLength(s)} returns the length of a string \\spad{s} as an integer.")) (|say| (((|Void|) (|List| (|String|))) "\\spad{say(l)} sends a list of strings \\spad{l} to output.") (((|Void|) (|String|)) "\\spad{say(s)} sends a string \\spad{s} to output.")) (|center| (((|List| (|String|)) (|List| (|String|)) (|Integer|) (|String|)) "\\spad{center(l,{}i,{}s)} takes a list of strings \\spad{l},{} and centers them within a list of strings which is \\spad{i} characters long,{} in which the remaining spaces are filled with strings composed of as many repetitions as possible of the last string parameter \\spad{s}.") (((|String|) (|String|) (|Integer|) (|String|)) "\\spad{center(s,{}i,{}s)} takes the first string \\spad{s},{} and centers it within a string of length \\spad{i},{} in which the other elements of the string are composed of as many replications as possible of the second indicated string,{} \\spad{s} which must have a length greater than that of an empty string.")) (|copies| (((|String|) (|Integer|) (|String|)) "\\spad{copies(i,{}s)} will take a string \\spad{s} and create a new string composed of \\spad{i} copies of \\spad{s}.")) (|newLine| (((|String|)) "\\spad{newLine()} sends a new line command to output.")) (|bright| (((|List| (|String|)) (|List| (|String|))) "\\spad{bright(l)} sets the font property of a list of strings,{} \\spad{l},{} to bold-face type.") (((|List| (|String|)) (|String|)) "\\spad{bright(s)} sets the font property of the string \\spad{s} to bold-face type."))) 
 NIL 
 NIL 
-(-235 S) 
+(-236 S) 
 ((|constructor| (NIL "This category exports the function for domains")) (|divOfPole| (($ $) "\\spad{divOfPole(d)} returns the negative part of \\spad{d}.")) (|divOfZero| (($ $) "\\spad{divOfZero(d)} returns the positive part of \\spad{d}.")) (|suppOfPole| (((|List| |#1|) $) "suppOfZero(\\spad{d}) returns the elements of the support of \\spad{d} that have a negative coefficient.")) (|suppOfZero| (((|List| |#1|) $) "\\spad{suppOfZero(d)} returns the elements of the support of \\spad{d} that have a positive coefficient.")) (|supp| (((|List| |#1|) $) "\\spad{supp(d)} returns the support of the divisor \\spad{d}.")) (|effective?| (((|Boolean|) $) "\\spad{effective?(d)} returns \\spad{true} if \\spad{d} \\spad{>=} 0.")) (|concat| (($ $ $) "\\spad{concat(a,{}b)} concats the divisor a and \\spad{b} without collecting the duplicative points.")) (|collect| (($ $) "\\spad{collect collects} the duplicative points in the divisor.")) (|split| (((|List| $) $) "\\spad{split(d)} splits the divisor \\spad{d}. For example,{} split( 2 \\spad{p1} + 3p2 ) returns the list [ 2 \\spad{p1},{} 3 \\spad{p2} ].")) (|degree| (((|Integer|) $) "\\spad{degree(d)} returns the degree of the divisor \\spad{d}"))) 
-((-4516 . T) (-4515 . T)) 
+((-4530 . T) (-4529 . T)) 
 NIL 
-(-236 S) 
-((|constructor| (NIL "The following is part of the PAFF package"))) 
-((-4516 . T) (-4515 . T)) 
-((|HasCategory| (-568) (QUOTE (-787)))) 
 (-237 S) 
+((|constructor| (NIL "The following is part of the PAFF package"))) 
+((-4530 . T) (-4529 . T)) 
+((|HasCategory| (-569) (QUOTE (-788)))) 
+(-238 S) 
 ((|constructor| (NIL "A division ring (sometimes called a skew field),{} \\spadignore{i.e.} a not necessarily commutative ring where all non-zero elements have multiplicative inverses.")) (|inv| (($ $) "\\spad{inv x} returns the multiplicative inverse of \\spad{x}. Error: if \\spad{x} is 0.")) (^ (($ $ (|Integer|)) "\\spad{x^n} returns \\spad{x} raised to the integer power \\spad{n}.")) (** (($ $ (|Integer|)) "\\spad{x**n} returns \\spad{x} raised to the integer power \\spad{n}."))) 
 NIL 
 NIL 
-(-238) 
+(-239) 
 ((|constructor| (NIL "A division ring (sometimes called a skew field),{} \\spadignore{i.e.} a not necessarily commutative ring where all non-zero elements have multiplicative inverses.")) (|inv| (($ $) "\\spad{inv x} returns the multiplicative inverse of \\spad{x}. Error: if \\spad{x} is 0.")) (^ (($ $ (|Integer|)) "\\spad{x^n} returns \\spad{x} raised to the integer power \\spad{n}.")) (** (($ $ (|Integer|)) "\\spad{x**n} returns \\spad{x} raised to the integer power \\spad{n}."))) 
-((-4514 . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4528 . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-239 S) 
+(-240 S) 
 ((|constructor| (NIL "A doubly-linked aggregate serves as a model for a doubly-linked list,{} that is,{} a list which can has links to both next and previous nodes and thus can be efficiently traversed in both directions.")) (|setnext!| (($ $ $) "\\spad{setnext!(u,{}v)} destructively sets the next node of doubly-linked aggregate \\spad{u} to \\spad{v},{} returning \\spad{v}.")) (|setprevious!| (($ $ $) "\\spad{setprevious!(u,{}v)} destructively sets the previous node of doubly-linked aggregate \\spad{u} to \\spad{v},{} returning \\spad{v}.")) (|concat!| (($ $ $) "\\spad{concat!(u,{}v)} destructively concatenates doubly-linked aggregate \\spad{v} to the end of doubly-linked aggregate \\spad{u}.")) (|next| (($ $) "\\spad{next(l)} returns the doubly-linked aggregate beginning with its next element. Error: if \\spad{l} has no next element. Note that \\axiom{next(\\spad{l}) = rest(\\spad{l})} and \\axiom{previous(next(\\spad{l})) = \\spad{l}}.")) (|previous| (($ $) "\\spad{previous(l)} returns the doubly-link list beginning with its previous element. Error: if \\spad{l} has no previous element. Note that \\axiom{next(previous(\\spad{l})) = \\spad{l}}.")) (|tail| (($ $) "\\spad{tail(l)} returns the doubly-linked aggregate \\spad{l} starting at its second element. Error: if \\spad{l} is empty.")) (|head| (($ $) "\\spad{head(l)} returns the first element of a doubly-linked aggregate \\spad{l}. Error: if \\spad{l} is empty.")) (|last| ((|#1| $) "\\spad{last(l)} returns the last element of a doubly-linked aggregate \\spad{l}. Error: if \\spad{l} is empty."))) 
-((-3973 . T)) 
+((-2982 . T)) 
 NIL 
-(-240 S) 
+(-241 S) 
 ((|constructor| (NIL "This domain provides some nice functions on lists")) (|elt| (((|NonNegativeInteger|) $ "count") "\\axiom{\\spad{l}.\"count\"} returns the number of elements in \\axiom{\\spad{l}}.") (($ $ "sort") "\\axiom{\\spad{l}.sort} returns \\axiom{\\spad{l}} with elements sorted. Note: \\axiom{\\spad{l}.sort = sort(\\spad{l})}") (($ $ "unique") "\\axiom{\\spad{l}.unique} returns \\axiom{\\spad{l}} with duplicates removed. Note: \\axiom{\\spad{l}.unique = removeDuplicates(\\spad{l})}.")) (|datalist| (($ (|List| |#1|)) "\\spad{datalist(l)} creates a datalist from \\spad{l}")) (|coerce| (((|List| |#1|) $) "\\spad{coerce(x)} returns the list of elements in \\spad{x}") (($ (|List| |#1|)) "\\spad{coerce(l)} creates a datalist from \\spad{l}"))) 
-((-4522 . T) (-4521 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (QUOTE (-842))) (-2199 (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-1090)))) (|HasCategory| (-568) (QUOTE (-842))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-842)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))))) 
-(-241 M) 
+((-4536 . T) (-4535 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (-2232 (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-843)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
+(-242 M) 
 ((|constructor| (NIL "DiscreteLogarithmPackage implements help functions for discrete logarithms in monoids using small cyclic groups.")) (|shanksDiscLogAlgorithm| (((|Union| (|NonNegativeInteger|) "failed") |#1| |#1| (|NonNegativeInteger|)) "\\spad{shanksDiscLogAlgorithm(b,{}a,{}p)} computes \\spad{s} with \\spad{b**s = a} for assuming that \\spad{a} and \\spad{b} are elements in a 'small' cyclic group of order \\spad{p} by Shank\\spad{'s} algorithm. Note that this is a subroutine of the function \\spadfun{discreteLog}.")) (** ((|#1| |#1| (|Integer|)) "\\spad{x ** n} returns \\spad{x} raised to the integer power \\spad{n}"))) 
 NIL 
 NIL 
-(-242 |vl| R) 
+(-243 |vl| R) 
 ((|constructor| (NIL "This type supports distributed multivariate polynomials whose variables are from a user specified list of symbols. The coefficient ring may be non commutative,{} but the variables are assumed to commute. The term ordering is lexicographic specified by the variable list parameter with the most significant variable first in the list.")) (|reorder| (($ $ (|List| (|Integer|))) "\\spad{reorder(p,{} perm)} applies the permutation perm to the variables in a polynomial and returns the new correctly ordered polynomial"))) 
-(((-4523 "*") |has| |#2| (-172)) (-4514 |has| |#2| (-558)) (-4519 |has| |#2| (-6 -4519)) (-4516 . T) (-4515 . T) (-4518 . T)) 
-((|HasCategory| |#2| (QUOTE (-904))) (|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-172))) (-2199 (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-558)))) (-12 (|HasCategory| (-852 |#1|) (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#2| (LIST (QUOTE -881) (QUOTE (-381))))) (-12 (|HasCategory| (-852 |#1|) (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -881) (QUOTE (-568))))) (-12 (|HasCategory| (-852 |#1|) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#2| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381)))))) (-12 (|HasCategory| (-852 |#1|) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568)))))) (-12 (|HasCategory| (-852 |#1|) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-541))))) (|HasCategory| |#2| (QUOTE (-842))) (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-150))) (|HasCategory| |#2| (QUOTE (-148))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-365))) (-2199 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (|HasAttribute| |#2| (QUOTE -4519)) (|HasCategory| |#2| (QUOTE (-453))) (-2199 (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-453))) (|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-904)))) (-2199 (|HasCategory| |#2| (QUOTE (-453))) (|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-904)))) (-2199 (|HasCategory| |#2| (QUOTE (-453))) (|HasCategory| |#2| (QUOTE (-904)))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#2| (QUOTE (-904)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#2| (QUOTE (-904)))) (|HasCategory| |#2| (QUOTE (-148))))) 
-(-243 |n| R M S) 
+(((-4537 "*") |has| |#2| (-173)) (-4528 |has| |#2| (-559)) (-4533 |has| |#2| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
+((|HasCategory| |#2| (QUOTE (-905))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#2| (QUOTE (-843))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#2| (QUOTE -4533)) (|HasCategory| |#2| (QUOTE (-454))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (|HasCategory| |#2| (QUOTE (-149))))) 
+(-244 |n| R M S) 
 ((|constructor| (NIL "This constructor provides a direct product type with a left matrix-module view."))) 
-((-4518 -2199 (-2141 (|has| |#4| (-1047)) (|has| |#4| (-225))) (-2141 (|has| |#4| (-1047)) (|has| |#4| (-895 (-1161)))) (|has| |#4| (-6 -4518)) (-2141 (|has| |#4| (-1047)) (|has| |#4| (-630 (-568))))) (-4515 |has| |#4| (-1047)) (-4516 |has| |#4| (-1047)) ((-4523 "*") |has| |#4| (-172)) (-4521 . T)) 
-((|HasCategory| |#4| (QUOTE (-365))) (|HasCategory| |#4| (QUOTE (-1047))) (|HasCategory| |#4| (QUOTE (-788))) (|HasCategory| |#4| (QUOTE (-840))) (-2199 (|HasCategory| |#4| (QUOTE (-788))) (|HasCategory| |#4| (QUOTE (-840)))) (|HasCategory| |#4| (QUOTE (-716))) (|HasCategory| |#4| (QUOTE (-172))) (-2199 (|HasCategory| |#4| (QUOTE (-172))) (|HasCategory| |#4| (QUOTE (-365))) (|HasCategory| |#4| (QUOTE (-1047)))) (-2199 (|HasCategory| |#4| (QUOTE (-172))) (|HasCategory| |#4| (QUOTE (-365)))) (-2199 (|HasCategory| |#4| (QUOTE (-172))) (|HasCategory| |#4| (QUOTE (-1047)))) (|HasCategory| |#4| (QUOTE (-370))) (|HasCategory| |#4| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#4| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#4| (QUOTE (-225))) (-2199 (|HasCategory| |#4| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#4| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#4| (QUOTE (-172))) (|HasCategory| |#4| (QUOTE (-225))) (|HasCategory| |#4| (QUOTE (-1047)))) (|HasCategory| |#4| (QUOTE (-1090))) (|HasCategory| (-568) (QUOTE (-842))) (-12 (|HasCategory| |#4| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#4| (QUOTE (-1047)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#4| (QUOTE (-1047)))) (-12 (|HasCategory| |#4| (QUOTE (-225))) (|HasCategory| |#4| (QUOTE (-1047)))) (-2199 (-12 (|HasCategory| |#4| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#4| (QUOTE (-1047)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#4| (QUOTE (-1047)))) (-12 (|HasCategory| |#4| (QUOTE (-225))) (|HasCategory| |#4| (QUOTE (-1047)))) (|HasCategory| |#4| (QUOTE (-716)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#4| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#4| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#4| (LIST (QUOTE -1037) (QUOTE (-568))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#4| (LIST (QUOTE -1037) (QUOTE (-568))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#4| (QUOTE (-172)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#4| (QUOTE (-225)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#4| (QUOTE (-365)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#4| (QUOTE (-370)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#4| (QUOTE (-716)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#4| (QUOTE (-788)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#4| (QUOTE (-840)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#4| (QUOTE (-1047)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#4| (QUOTE (-1090))))) (-2199 (-12 (|HasCategory| |#4| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#4| (QUOTE (-1090)))) (|HasCategory| |#4| (QUOTE (-1047)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#4| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#4| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#4| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#4| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#4| (QUOTE (-172)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#4| (QUOTE (-225)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#4| (QUOTE (-365)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#4| (QUOTE (-370)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#4| (QUOTE (-716)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#4| (QUOTE (-788)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#4| (QUOTE (-840)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#4| (QUOTE (-1047)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#4| (QUOTE (-1090))))) (-2199 (|HasAttribute| |#4| (QUOTE -4518)) (-12 (|HasCategory| |#4| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#4| (QUOTE (-1047)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#4| (QUOTE (-1047)))) (-12 (|HasCategory| |#4| (QUOTE (-225))) (|HasCategory| |#4| (QUOTE (-1047))))) (|HasCategory| |#4| (QUOTE (-137))) (|HasCategory| |#4| (QUOTE (-25))) (-12 (|HasCategory| |#4| (LIST (QUOTE -303) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#4| (LIST (QUOTE -303) (|devaluate| |#4|))) (|HasCategory| |#4| (LIST (QUOTE -630) (QUOTE (-568))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -303) (|devaluate| |#4|))) (|HasCategory| |#4| (LIST (QUOTE -895) (QUOTE (-1161))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -303) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-172)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -303) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-225)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -303) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-365)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -303) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-370)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -303) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-716)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -303) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-788)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -303) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-840)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -303) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1047)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -303) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1090)))))) 
-(-244 |n| R S) 
+((-4532 -2232 (-2206 (|has| |#4| (-1048)) (|has| |#4| (-226))) (-2206 (|has| |#4| (-1048)) (|has| |#4| (-896 (-1163)))) (|has| |#4| (-6 -4532)) (-2206 (|has| |#4| (-1048)) (|has| |#4| (-631 (-569))))) (-4529 |has| |#4| (-1048)) (-4530 |has| |#4| (-1048)) ((-4537 "*") |has| |#4| (-173)) (-4535 . T)) 
+((|HasCategory| |#4| (QUOTE (-366))) (|HasCategory| |#4| (QUOTE (-1048))) (|HasCategory| |#4| (QUOTE (-789))) (|HasCategory| |#4| (QUOTE (-841))) (-2232 (|HasCategory| |#4| (QUOTE (-789))) (|HasCategory| |#4| (QUOTE (-841)))) (|HasCategory| |#4| (QUOTE (-717))) (|HasCategory| |#4| (QUOTE (-173))) (-2232 (|HasCategory| |#4| (QUOTE (-173))) (|HasCategory| |#4| (QUOTE (-366))) (|HasCategory| |#4| (QUOTE (-1048)))) (-2232 (|HasCategory| |#4| (QUOTE (-173))) (|HasCategory| |#4| (QUOTE (-366)))) (-2232 (|HasCategory| |#4| (QUOTE (-173))) (|HasCategory| |#4| (QUOTE (-1048)))) (|HasCategory| |#4| (QUOTE (-371))) (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#4| (QUOTE (-226))) (-2232 (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#4| (QUOTE (-173))) (|HasCategory| |#4| (QUOTE (-226))) (|HasCategory| |#4| (QUOTE (-1048)))) (|HasCategory| |#4| (QUOTE (-1091))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1048)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#4| (QUOTE (-1048)))) (-12 (|HasCategory| |#4| (QUOTE (-226))) (|HasCategory| |#4| (QUOTE (-1048)))) (-2232 (-12 (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1048)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#4| (QUOTE (-1048)))) (-12 (|HasCategory| |#4| (QUOTE (-226))) (|HasCategory| |#4| (QUOTE (-1048)))) (|HasCategory| |#4| (QUOTE (-717)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#4| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-173)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-226)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-366)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-371)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-717)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-789)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-841)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1048)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1091))))) (-2232 (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1091)))) (|HasCategory| |#4| (QUOTE (-1048)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#4| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-173)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-226)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-366)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-371)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-717)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-789)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-841)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-1048)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-1091))))) (-2232 (|HasAttribute| |#4| (QUOTE -4532)) (-12 (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1048)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#4| (QUOTE (-1048)))) (-12 (|HasCategory| |#4| (QUOTE (-226))) (|HasCategory| |#4| (QUOTE (-1048))))) (|HasCategory| |#4| (QUOTE (-138))) (|HasCategory| |#4| (QUOTE (-25))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (LIST (QUOTE -896) (QUOTE (-1163))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-173)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-226)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-366)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-371)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-717)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-789)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-841)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1048)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1091)))))) 
+(-245 |n| R S) 
 ((|constructor| (NIL "This constructor provides a direct product of \\spad{R}-modules with an \\spad{R}-module view."))) 
-((-4518 -2199 (-2141 (|has| |#3| (-1047)) (|has| |#3| (-225))) (-2141 (|has| |#3| (-1047)) (|has| |#3| (-895 (-1161)))) (|has| |#3| (-6 -4518)) (-2141 (|has| |#3| (-1047)) (|has| |#3| (-630 (-568))))) (-4515 |has| |#3| (-1047)) (-4516 |has| |#3| (-1047)) ((-4523 "*") |has| |#3| (-172)) (-4521 . T)) 
-((|HasCategory| |#3| (QUOTE (-365))) (|HasCategory| |#3| (QUOTE (-1047))) (|HasCategory| |#3| (QUOTE (-788))) (|HasCategory| |#3| (QUOTE (-840))) (-2199 (|HasCategory| |#3| (QUOTE (-788))) (|HasCategory| |#3| (QUOTE (-840)))) (|HasCategory| |#3| (QUOTE (-716))) (|HasCategory| |#3| (QUOTE (-172))) (-2199 (|HasCategory| |#3| (QUOTE (-172))) (|HasCategory| |#3| (QUOTE (-365))) (|HasCategory| |#3| (QUOTE (-1047)))) (-2199 (|HasCategory| |#3| (QUOTE (-172))) (|HasCategory| |#3| (QUOTE (-365)))) (-2199 (|HasCategory| |#3| (QUOTE (-172))) (|HasCategory| |#3| (QUOTE (-1047)))) (|HasCategory| |#3| (QUOTE (-370))) (|HasCategory| |#3| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#3| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#3| (QUOTE (-225))) (-2199 (|HasCategory| |#3| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#3| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#3| (QUOTE (-172))) (|HasCategory| |#3| (QUOTE (-225))) (|HasCategory| |#3| (QUOTE (-1047)))) (|HasCategory| |#3| (QUOTE (-1090))) (|HasCategory| (-568) (QUOTE (-842))) (-12 (|HasCategory| |#3| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-1047)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#3| (QUOTE (-1047)))) (-12 (|HasCategory| |#3| (QUOTE (-225))) (|HasCategory| |#3| (QUOTE (-1047)))) (-2199 (-12 (|HasCategory| |#3| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-1047)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#3| (QUOTE (-1047)))) (-12 (|HasCategory| |#3| (QUOTE (-225))) (|HasCategory| |#3| (QUOTE (-1047)))) (|HasCategory| |#3| (QUOTE (-716)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#3| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-172)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-225)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-365)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-370)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-716)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-788)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-840)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-1047)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-1090))))) (-2199 (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-1090)))) (|HasCategory| |#3| (QUOTE (-1047)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#3| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#3| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#3| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#3| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#3| (QUOTE (-172)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#3| (QUOTE (-225)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#3| (QUOTE (-365)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#3| (QUOTE (-370)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#3| (QUOTE (-716)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#3| (QUOTE (-788)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#3| (QUOTE (-840)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#3| (QUOTE (-1047)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#3| (QUOTE (-1090))))) (-2199 (|HasAttribute| |#3| (QUOTE -4518)) (-12 (|HasCategory| |#3| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-1047)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#3| (QUOTE (-1047)))) (-12 (|HasCategory| |#3| (QUOTE (-225))) (|HasCategory| |#3| (QUOTE (-1047))))) (|HasCategory| |#3| (QUOTE (-137))) (|HasCategory| |#3| (QUOTE (-25))) (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -630) (QUOTE (-568))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -895) (QUOTE (-1161))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-172)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-225)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-365)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-370)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-716)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-788)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-840)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1047)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1090)))))) 
-(-245 A R S V E) 
+((-4532 -2232 (-2206 (|has| |#3| (-1048)) (|has| |#3| (-226))) (-2206 (|has| |#3| (-1048)) (|has| |#3| (-896 (-1163)))) (|has| |#3| (-6 -4532)) (-2206 (|has| |#3| (-1048)) (|has| |#3| (-631 (-569))))) (-4529 |has| |#3| (-1048)) (-4530 |has| |#3| (-1048)) ((-4537 "*") |has| |#3| (-173)) (-4535 . T)) 
+((|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1048))) (|HasCategory| |#3| (QUOTE (-789))) (|HasCategory| |#3| (QUOTE (-841))) (-2232 (|HasCategory| |#3| (QUOTE (-789))) (|HasCategory| |#3| (QUOTE (-841)))) (|HasCategory| |#3| (QUOTE (-717))) (|HasCategory| |#3| (QUOTE (-173))) (-2232 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1048)))) (-2232 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-366)))) (-2232 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-1048)))) (|HasCategory| |#3| (QUOTE (-371))) (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (QUOTE (-226))) (-2232 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1048)))) (|HasCategory| |#3| (QUOTE (-1091))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1048)))) (-2232 (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1048)))) (|HasCategory| |#3| (QUOTE (-717)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-371)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-717)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-789)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-841)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1091))))) (-2232 (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1091)))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-371)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-717)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-789)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-841)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-1091))))) (-2232 (|HasAttribute| |#3| (QUOTE -4532)) (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1048))))) (|HasCategory| |#3| (QUOTE (-138))) (|HasCategory| |#3| (QUOTE (-25))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-371)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-717)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-789)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-841)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1091)))))) 
+(-246 A R S V E) 
 ((|constructor| (NIL "\\spadtype{DifferentialPolynomialCategory} is a category constructor specifying basic functions in an ordinary differential polynomial ring with a given ordered set of differential indeterminates. In addition,{} it implements defaults for the basic functions. The functions \\spadfun{order} and \\spadfun{weight} are extended from the set of derivatives of differential indeterminates to the set of differential polynomials. Other operations provided on differential polynomials are \\spadfun{leader},{} \\spadfun{initial},{} \\spadfun{separant},{} \\spadfun{differentialVariables},{} and \\spadfun{isobaric?}. Furthermore,{} if the ground ring is a differential ring,{} then evaluation (substitution of differential indeterminates by elements of the ground ring or by differential polynomials) is provided by \\spadfun{eval}. A convenient way of referencing derivatives is provided by the functions \\spadfun{makeVariable}. \\blankline To construct a domain using this constructor,{} one needs to provide a ground ring \\spad{R},{} an ordered set \\spad{S} of differential indeterminates,{} a ranking \\spad{V} on the set of derivatives of the differential indeterminates,{} and a set \\spad{E} of exponents in bijection with the set of differential monomials in the given differential indeterminates.")) (|separant| (($ $) "\\spad{separant(p)} returns the partial derivative of the differential polynomial \\spad{p} with respect to its leader.")) (|initial| (($ $) "\\spad{initial(p)} returns the leading coefficient when the differential polynomial \\spad{p} is written as a univariate polynomial in its leader.")) (|leader| ((|#4| $) "\\spad{leader(p)} returns the derivative of the highest rank appearing in the differential polynomial \\spad{p} Note that an error occurs if \\spad{p} is in the ground ring.")) (|isobaric?| (((|Boolean|) $) "\\spad{isobaric?(p)} returns \\spad{true} if every differential monomial appearing in the differential polynomial \\spad{p} has same weight,{} and returns \\spad{false} otherwise.")) (|weight| (((|NonNegativeInteger|) $ |#3|) "\\spad{weight(p,{} s)} returns the maximum weight of all differential monomials appearing in the differential polynomial \\spad{p} when \\spad{p} is viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.") (((|NonNegativeInteger|) $) "\\spad{weight(p)} returns the maximum weight of all differential monomials appearing in the differential polynomial \\spad{p}.")) (|weights| (((|List| (|NonNegativeInteger|)) $ |#3|) "\\spad{weights(p,{} s)} returns a list of weights of differential monomials appearing in the differential polynomial \\spad{p} when \\spad{p} is viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.") (((|List| (|NonNegativeInteger|)) $) "\\spad{weights(p)} returns a list of weights of differential monomials appearing in differential polynomial \\spad{p}.")) (|degree| (((|NonNegativeInteger|) $ |#3|) "\\spad{degree(p,{} s)} returns the maximum degree of the differential polynomial \\spad{p} viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(p)} returns the order of the differential polynomial \\spad{p},{} which is the maximum number of differentiations of a differential indeterminate,{} among all those appearing in \\spad{p}.") (((|NonNegativeInteger|) $ |#3|) "\\spad{order(p,{}s)} returns the order of the differential polynomial \\spad{p} in differential indeterminate \\spad{s}.")) (|differentialVariables| (((|List| |#3|) $) "\\spad{differentialVariables(p)} returns a list of differential indeterminates occurring in a differential polynomial \\spad{p}.")) (|makeVariable| (((|Mapping| $ (|NonNegativeInteger|)) $) "\\spad{makeVariable(p)} views \\spad{p} as an element of a differential ring,{} in such a way that the \\spad{n}-th derivative of \\spad{p} may be simply referenced as \\spad{z}.\\spad{n} where \\spad{z} \\spad{:=} makeVariable(\\spad{p}). Note that In the interpreter,{} \\spad{z} is given as an internal map,{} which may be ignored.") (((|Mapping| $ (|NonNegativeInteger|)) |#3|) "\\spad{makeVariable(s)} views \\spad{s} as a differential indeterminate,{} in such a way that the \\spad{n}-th derivative of \\spad{s} may be simply referenced as \\spad{z}.\\spad{n} where \\spad{z} :=makeVariable(\\spad{s}). Note that In the interpreter,{} \\spad{z} is given as an internal map,{} which may be ignored."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-225)))) 
-(-246 R S V E) 
+((|HasCategory| |#2| (QUOTE (-226)))) 
+(-247 R S V E) 
 ((|constructor| (NIL "\\spadtype{DifferentialPolynomialCategory} is a category constructor specifying basic functions in an ordinary differential polynomial ring with a given ordered set of differential indeterminates. In addition,{} it implements defaults for the basic functions. The functions \\spadfun{order} and \\spadfun{weight} are extended from the set of derivatives of differential indeterminates to the set of differential polynomials. Other operations provided on differential polynomials are \\spadfun{leader},{} \\spadfun{initial},{} \\spadfun{separant},{} \\spadfun{differentialVariables},{} and \\spadfun{isobaric?}. Furthermore,{} if the ground ring is a differential ring,{} then evaluation (substitution of differential indeterminates by elements of the ground ring or by differential polynomials) is provided by \\spadfun{eval}. A convenient way of referencing derivatives is provided by the functions \\spadfun{makeVariable}. \\blankline To construct a domain using this constructor,{} one needs to provide a ground ring \\spad{R},{} an ordered set \\spad{S} of differential indeterminates,{} a ranking \\spad{V} on the set of derivatives of the differential indeterminates,{} and a set \\spad{E} of exponents in bijection with the set of differential monomials in the given differential indeterminates.")) (|separant| (($ $) "\\spad{separant(p)} returns the partial derivative of the differential polynomial \\spad{p} with respect to its leader.")) (|initial| (($ $) "\\spad{initial(p)} returns the leading coefficient when the differential polynomial \\spad{p} is written as a univariate polynomial in its leader.")) (|leader| ((|#3| $) "\\spad{leader(p)} returns the derivative of the highest rank appearing in the differential polynomial \\spad{p} Note that an error occurs if \\spad{p} is in the ground ring.")) (|isobaric?| (((|Boolean|) $) "\\spad{isobaric?(p)} returns \\spad{true} if every differential monomial appearing in the differential polynomial \\spad{p} has same weight,{} and returns \\spad{false} otherwise.")) (|weight| (((|NonNegativeInteger|) $ |#2|) "\\spad{weight(p,{} s)} returns the maximum weight of all differential monomials appearing in the differential polynomial \\spad{p} when \\spad{p} is viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.") (((|NonNegativeInteger|) $) "\\spad{weight(p)} returns the maximum weight of all differential monomials appearing in the differential polynomial \\spad{p}.")) (|weights| (((|List| (|NonNegativeInteger|)) $ |#2|) "\\spad{weights(p,{} s)} returns a list of weights of differential monomials appearing in the differential polynomial \\spad{p} when \\spad{p} is viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.") (((|List| (|NonNegativeInteger|)) $) "\\spad{weights(p)} returns a list of weights of differential monomials appearing in differential polynomial \\spad{p}.")) (|degree| (((|NonNegativeInteger|) $ |#2|) "\\spad{degree(p,{} s)} returns the maximum degree of the differential polynomial \\spad{p} viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(p)} returns the order of the differential polynomial \\spad{p},{} which is the maximum number of differentiations of a differential indeterminate,{} among all those appearing in \\spad{p}.") (((|NonNegativeInteger|) $ |#2|) "\\spad{order(p,{}s)} returns the order of the differential polynomial \\spad{p} in differential indeterminate \\spad{s}.")) (|differentialVariables| (((|List| |#2|) $) "\\spad{differentialVariables(p)} returns a list of differential indeterminates occurring in a differential polynomial \\spad{p}.")) (|makeVariable| (((|Mapping| $ (|NonNegativeInteger|)) $) "\\spad{makeVariable(p)} views \\spad{p} as an element of a differential ring,{} in such a way that the \\spad{n}-th derivative of \\spad{p} may be simply referenced as \\spad{z}.\\spad{n} where \\spad{z} \\spad{:=} makeVariable(\\spad{p}). Note that In the interpreter,{} \\spad{z} is given as an internal map,{} which may be ignored.") (((|Mapping| $ (|NonNegativeInteger|)) |#2|) "\\spad{makeVariable(s)} views \\spad{s} as a differential indeterminate,{} in such a way that the \\spad{n}-th derivative of \\spad{s} may be simply referenced as \\spad{z}.\\spad{n} where \\spad{z} :=makeVariable(\\spad{s}). Note that In the interpreter,{} \\spad{z} is given as an internal map,{} which may be ignored."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4519 |has| |#1| (-6 -4519)) (-4516 . T) (-4515 . T) (-4518 . T)) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
 NIL 
-(-247 S) 
+(-248 S) 
 ((|constructor| (NIL "A dequeue is a doubly ended stack,{} that is,{} a bag where first items inserted are the first items extracted,{} at either the front or the back end of the data structure.")) (|reverse!| (($ $) "\\spad{reverse!(d)} destructively replaces \\spad{d} by its reverse dequeue,{} \\spadignore{i.e.} the top (front) element is now the bottom (back) element,{} and so on.")) (|extractBottom!| ((|#1| $) "\\spad{extractBottom!(d)} destructively extracts the bottom (back) element from the dequeue \\spad{d}. Error: if \\spad{d} is empty.")) (|extractTop!| ((|#1| $) "\\spad{extractTop!(d)} destructively extracts the top (front) element from the dequeue \\spad{d}. Error: if \\spad{d} is empty.")) (|insertBottom!| ((|#1| |#1| $) "\\spad{insertBottom!(x,{}d)} destructively inserts \\spad{x} into the dequeue \\spad{d} at the bottom (back) of the dequeue.")) (|insertTop!| ((|#1| |#1| $) "\\spad{insertTop!(x,{}d)} destructively inserts \\spad{x} into the dequeue \\spad{d},{} that is,{} at the top (front) of the dequeue. The element previously at the top of the dequeue becomes the second in the dequeue,{} and so on.")) (|bottom!| ((|#1| $) "\\spad{bottom!(d)} returns the element at the bottom (back) of the dequeue.")) (|top!| ((|#1| $) "\\spad{top!(d)} returns the element at the top (front) of the dequeue.")) (|height| (((|NonNegativeInteger|) $) "\\spad{height(d)} returns the number of elements in dequeue \\spad{d}. Note that \\axiom{height(\\spad{d}) = \\# \\spad{d}}.")) (|dequeue| (($ (|List| |#1|)) "\\spad{dequeue([x,{}y,{}...,{}z])} creates a dequeue with first (top or front) element \\spad{x},{} second element \\spad{y},{}...,{}and last (bottom or back) element \\spad{z}.") (($) "\\spad{dequeue()}\\$\\spad{D} creates an empty dequeue of type \\spad{D}."))) 
-((-4521 . T) (-4522 . T) (-3973 . T)) 
+((-4535 . T) (-4536 . T) (-2982 . T)) 
 NIL 
-(-248) 
+(-249) 
 ((|constructor| (NIL "TopLevelDrawFunctionsForCompiledFunctions provides top level functions for drawing graphics of expressions.")) (|recolor| (((|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) "\\spad{recolor()},{} uninteresting to top level user; exported in order to compile package.")) (|makeObject| (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{makeObject(surface(f,{}g,{}h),{}a..b,{}c..d,{}l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{x = f(u,{}v)},{} \\spad{y = g(u,{}v)},{} \\spad{z = h(u,{}v)} as \\spad{u} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{v} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}.") (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(surface(f,{}g,{}h),{}a..b,{}c..d,{}l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{x = f(u,{}v)},{} \\spad{y = g(u,{}v)},{} \\spad{z = h(u,{}v)} as \\spad{u} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{v} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{makeObject(f,{}a..b,{}c..d,{}l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{f(u,{}v)} as \\spad{u} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{v} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(f,{}a..b,{}c..d,{}l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{f(u,{}v)} as \\spad{u} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{v} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}; The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{makeObject(f,{}a..b,{}c..d)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of \\spad{z = f(x,{}y)} as \\spad{x} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{y} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(f,{}a..b,{}c..d,{}l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of \\spad{z = f(x,{}y)} as \\spad{x} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{y} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)},{} and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|))) "\\spad{makeObject(sp,{}curve(f,{}g,{}h),{}a..b)} returns the space \\spad{sp} of the domain \\spadtype{ThreeSpace} with the addition of the graph of the parametric curve \\spad{x = f(t),{} y = g(t),{} z = h(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(curve(f,{}g,{}h),{}a..b,{}l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric curve \\spad{x = f(t),{} y = g(t),{} z = h(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|))) "\\spad{makeObject(sp,{}curve(f,{}g,{}h),{}a..b)} returns the space \\spad{sp} of the domain \\spadtype{ThreeSpace} with the addition of the graph of the parametric curve \\spad{x = f(t),{} y = g(t),{} z = h(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}.") (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(curve(f,{}g,{}h),{}a..b,{}l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric curve \\spad{x = f(t),{} y = g(t),{} z = h(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}; The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.")) (|draw| (((|ThreeDimensionalViewport|) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{draw(surface(f,{}g,{}h),{}a..b,{}c..d)} draws the graph of the parametric surface \\spad{x = f(u,{}v)},{} \\spad{y = g(u,{}v)},{} \\spad{z = h(u,{}v)} as \\spad{u} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{v} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}.") (((|ThreeDimensionalViewport|) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(surface(f,{}g,{}h),{}a..b,{}c..d)} draws the graph of the parametric surface \\spad{x = f(u,{}v)},{} \\spad{y = g(u,{}v)},{} \\spad{z = h(u,{}v)} as \\spad{u} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{v} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}; The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{draw(f,{}a..b,{}c..d)} draws the graph of the parametric surface \\spad{f(u,{}v)} as \\spad{u} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{v} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)} The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f,{}a..b,{}c..d)} draws the graph of the parametric surface \\spad{f(u,{}v)} as \\spad{u} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{v} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{draw(f,{}a..b,{}c..d)} draws the graph of \\spad{z = f(x,{}y)} as \\spad{x} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{y} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}.") (((|ThreeDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f,{}a..b,{}c..d,{}l)} draws the graph of \\spad{z = f(x,{}y)} as \\spad{x} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{y} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}. and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|))) "\\spad{draw(f,{}a..b,{}l)} draws the graph of the parametric curve \\spad{f} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}.") (((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f,{}a..b,{}l)} draws the graph of the parametric curve \\spad{f} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|))) "\\spad{draw(curve(f,{}g,{}h),{}a..b,{}l)} draws the graph of the parametric curve \\spad{x = f(t),{} y = g(t),{} z = h(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}.") (((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(curve(f,{}g,{}h),{}a..b,{}l)} draws the graph of the parametric curve \\spad{x = f(t),{} y = g(t),{} z = h(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|TwoDimensionalViewport|) (|ParametricPlaneCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|))) "\\spad{draw(curve(f,{}g),{}a..b)} draws the graph of the parametric curve \\spad{x = f(t),{} y = g(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}.") (((|TwoDimensionalViewport|) (|ParametricPlaneCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(curve(f,{}g),{}a..b,{}l)} draws the graph of the parametric curve \\spad{x = f(t),{} y = g(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|TwoDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|))) "\\spad{draw(f,{}a..b)} draws the graph of \\spad{y = f(x)} as \\spad{x} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}.") (((|TwoDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f,{}a..b,{}l)} draws the graph of \\spad{y = f(x)} as \\spad{x} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied."))) 
 NIL 
 NIL 
-(-249 R |Ex|) 
+(-250 R |Ex|) 
 ((|constructor| (NIL "TopLevelDrawFunctionsForAlgebraicCurves provides top level functions for drawing non-singular algebraic curves.")) (|draw| (((|TwoDimensionalViewport|) (|Equation| |#2|) (|Symbol|) (|Symbol|) (|List| (|DrawOption|))) "\\spad{draw(f(x,{}y) = g(x,{}y),{}x,{}y,{}l)} draws the graph of a polynomial equation. The list \\spad{l} of draw options must specify a region in the plane in which the curve is to sketched."))) 
 NIL 
 NIL 
-(-250) 
+(-251) 
 ((|constructor| (NIL "\\axiomType{DrawComplex} provides some facilities for drawing complex functions.")) (|setClipValue| (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{setClipValue(x)} sets to \\spad{x} the maximum value to plot when drawing complex functions. Returns \\spad{x}.")) (|setImagSteps| (((|Integer|) (|Integer|)) "\\spad{setImagSteps(i)} sets to \\spad{i} the number of steps to use in the imaginary direction when drawing complex functions. Returns \\spad{i}.")) (|setRealSteps| (((|Integer|) (|Integer|)) "\\spad{setRealSteps(i)} sets to \\spad{i} the number of steps to use in the real direction when drawing complex functions. Returns \\spad{i}.")) (|drawComplexVectorField| (((|ThreeDimensionalViewport|) (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{drawComplexVectorField(f,{}rRange,{}iRange)} draws a complex vector field using arrows on the \\spad{x--y} plane. These vector fields should be viewed from the top by pressing the \"XY\" translate button on the 3-\\spad{d} viewport control panel. Sample call: \\indented{3}{\\spad{f z == sin z}} \\indented{3}{\\spad{drawComplexVectorField(f,{} -2..2,{} -2..2)}} Parameter descriptions: \\indented{2}{\\spad{f} : the function to draw} \\indented{2}{\\spad{rRange} : the range of the real values} \\indented{2}{\\spad{iRange} : the range of the imaginary values} Call the functions \\axiomFunFrom{setRealSteps}{DrawComplex} and \\axiomFunFrom{setImagSteps}{DrawComplex} to change the number of steps used in each direction.")) (|drawComplex| (((|ThreeDimensionalViewport|) (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Boolean|)) "\\spad{drawComplex(f,{}rRange,{}iRange,{}arrows?)} draws a complex function as a height field. It uses the complex norm as the height and the complex argument as the color. It will optionally draw arrows on the surface indicating the direction of the complex value. Sample call: \\indented{2}{\\spad{f z == exp(1/z)}} \\indented{2}{\\spad{drawComplex(f,{} 0.3..3,{} 0..2*\\%\\spad{pi},{} false)}} Parameter descriptions: \\indented{2}{\\spad{f:}\\space{2}the function to draw} \\indented{2}{\\spad{rRange} : the range of the real values} \\indented{2}{\\spad{iRange} : the range of imaginary values} \\indented{2}{\\spad{arrows?} : a flag indicating whether to draw the phase arrows for \\spad{f}} Call the functions \\axiomFunFrom{setRealSteps}{DrawComplex} and \\axiomFunFrom{setImagSteps}{DrawComplex} to change the number of steps used in each direction."))) 
 NIL 
 NIL 
-(-251 R) 
+(-252 R) 
 ((|constructor| (NIL "Hack for the draw interface. DrawNumericHack provides a \"coercion\" from something of the form \\spad{x = a..b} where \\spad{a} and \\spad{b} are formal expressions to a binding of the form \\spad{x = c..d} where \\spad{c} and \\spad{d} are the numerical values of \\spad{a} and \\spad{b}. This \"coercion\" fails if \\spad{a} and \\spad{b} contains symbolic variables,{} but is meant for expressions involving \\%\\spad{pi}. Note that this package is meant for internal use only.")) (|coerce| (((|SegmentBinding| (|Float|)) (|SegmentBinding| (|Expression| |#1|))) "\\spad{coerce(x = a..b)} returns \\spad{x = c..d} where \\spad{c} and \\spad{d} are the numerical values of \\spad{a} and \\spad{b}."))) 
 NIL 
 NIL 
-(-252 |Ex|) 
+(-253 |Ex|) 
 ((|constructor| (NIL "TopLevelDrawFunctions provides top level functions for drawing graphics of expressions.")) (|makeObject| (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|))) "\\spad{makeObject(surface(f(u,{}v),{}g(u,{}v),{}h(u,{}v)),{}u = a..b,{}v = c..d)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{x = f(u,{}v)},{} \\spad{y = g(u,{}v)},{} \\spad{z = h(u,{}v)} as \\spad{u} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{v} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}; \\spad{h(t)} is the default title.") (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(surface(f(u,{}v),{}g(u,{}v),{}h(u,{}v)),{}u = a..b,{}v = c..d,{}l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{x = f(u,{}v)},{} \\spad{y = g(u,{}v)},{} \\spad{z = h(u,{}v)} as \\spad{u} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{v} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}; \\spad{h(t)} is the default title,{} and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|))) "\\spad{makeObject(f(x,{}y),{}x = a..b,{}y = c..d)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of \\spad{z = f(x,{}y)} as \\spad{x} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{y} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}; \\spad{f(x,{}y)} appears as the default title.") (((|ThreeSpace| (|DoubleFloat|)) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(f(x,{}y),{}x = a..b,{}y = c..d,{}l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of \\spad{z = f(x,{}y)} as \\spad{x} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{y} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}; \\spad{f(x,{}y)} is the default title,{} and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|))) "\\spad{makeObject(curve(f(t),{}g(t),{}h(t)),{}t = a..b)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric curve \\spad{x = f(t)},{} \\spad{y = g(t)},{} \\spad{z = h(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}; \\spad{h(t)} is the default title.") (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(curve(f(t),{}g(t),{}h(t)),{}t = a..b,{}l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric curve \\spad{x = f(t)},{} \\spad{y = g(t)},{} \\spad{z = h(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}; \\spad{h(t)} is the default title,{} and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.")) (|draw| (((|ThreeDimensionalViewport|) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|))) "\\spad{draw(surface(f(u,{}v),{}g(u,{}v),{}h(u,{}v)),{}u = a..b,{}v = c..d)} draws the graph of the parametric surface \\spad{x = f(u,{}v)},{} \\spad{y = g(u,{}v)},{} \\spad{z = h(u,{}v)} as \\spad{u} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{v} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}; \\spad{h(t)} is the default title.") (((|ThreeDimensionalViewport|) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(surface(f(u,{}v),{}g(u,{}v),{}h(u,{}v)),{}u = a..b,{}v = c..d,{}l)} draws the graph of the parametric surface \\spad{x = f(u,{}v)},{} \\spad{y = g(u,{}v)},{} \\spad{z = h(u,{}v)} as \\spad{u} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{v} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}; \\spad{h(t)} is the default title,{} and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|))) "\\spad{draw(f(x,{}y),{}x = a..b,{}y = c..d)} draws the graph of \\spad{z = f(x,{}y)} as \\spad{x} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{y} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}; \\spad{f(x,{}y)} appears in the title bar.") (((|ThreeDimensionalViewport|) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f(x,{}y),{}x = a..b,{}y = c..d,{}l)} draws the graph of \\spad{z = f(x,{}y)} as \\spad{x} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{y} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}; \\spad{f(x,{}y)} is the default title,{} and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|))) "\\spad{draw(curve(f(t),{}g(t),{}h(t)),{}t = a..b)} draws the graph of the parametric curve \\spad{x = f(t)},{} \\spad{y = g(t)},{} \\spad{z = h(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}; \\spad{h(t)} is the default title.") (((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(curve(f(t),{}g(t),{}h(t)),{}t = a..b,{}l)} draws the graph of the parametric curve \\spad{x = f(t)},{} \\spad{y = g(t)},{} \\spad{z = h(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}; \\spad{h(t)} is the default title,{} and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|TwoDimensionalViewport|) (|ParametricPlaneCurve| |#1|) (|SegmentBinding| (|Float|))) "\\spad{draw(curve(f(t),{}g(t)),{}t = a..b)} draws the graph of the parametric curve \\spad{x = f(t),{} y = g(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}; \\spad{(f(t),{}g(t))} appears in the title bar.") (((|TwoDimensionalViewport|) (|ParametricPlaneCurve| |#1|) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(curve(f(t),{}g(t)),{}t = a..b,{}l)} draws the graph of the parametric curve \\spad{x = f(t),{} y = g(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}; \\spad{(f(t),{}g(t))} is the default title,{} and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|TwoDimensionalViewport|) |#1| (|SegmentBinding| (|Float|))) "\\spad{draw(f(x),{}x = a..b)} draws the graph of \\spad{y = f(x)} as \\spad{x} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}; \\spad{f(x)} appears in the title bar.") (((|TwoDimensionalViewport|) |#1| (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f(x),{}x = a..b,{}l)} draws the graph of \\spad{y = f(x)} as \\spad{x} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}; \\spad{f(x)} is the default title,{} and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied."))) 
 NIL 
 NIL 
-(-253) 
+(-254) 
 ((|constructor| (NIL "TopLevelDrawFunctionsForPoints provides top level functions for drawing curves and surfaces described by sets of points.")) (|draw| (((|ThreeDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{draw(lx,{}ly,{}lz,{}l)} draws the surface constructed by projecting the values in the \\axiom{\\spad{lz}} list onto the rectangular grid formed by the The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|))) "\\spad{draw(lx,{}ly,{}lz)} draws the surface constructed by projecting the values in the \\axiom{\\spad{lz}} list onto the rectangular grid formed by the \\axiom{\\spad{lx} \\spad{x} \\spad{ly}}.") (((|TwoDimensionalViewport|) (|List| (|Point| (|DoubleFloat|))) (|List| (|DrawOption|))) "\\spad{draw(lp,{}l)} plots the curve constructed from the list of points \\spad{lp}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|TwoDimensionalViewport|) (|List| (|Point| (|DoubleFloat|)))) "\\spad{draw(lp)} plots the curve constructed from the list of points \\spad{lp}.") (((|TwoDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{draw(lx,{}ly,{}l)} plots the curve constructed of points (\\spad{x},{}\\spad{y}) for \\spad{x} in \\spad{lx} for \\spad{y} in \\spad{ly}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|TwoDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|))) "\\spad{draw(lx,{}ly)} plots the curve constructed of points (\\spad{x},{}\\spad{y}) for \\spad{x} in \\spad{lx} for \\spad{y} in \\spad{ly}."))) 
 NIL 
 NIL 
-(-254) 
+(-255) 
 ((|constructor| (NIL "This package has no description")) (|units| (((|List| (|Float|)) (|List| (|DrawOption|)) (|List| (|Float|))) "\\spad{units(l,{}u)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{unit}. If the option does not exist the value,{} \\spad{u} is returned.")) (|coord| (((|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) (|List| (|DrawOption|)) (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) "\\spad{coord(l,{}p)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{coord}. If the option does not exist the value,{} \\spad{p} is returned.")) (|tubeRadius| (((|Float|) (|List| (|DrawOption|)) (|Float|)) "\\spad{tubeRadius(l,{}n)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{tubeRadius}. If the option does not exist the value,{} \\spad{n} is returned.")) (|tubePoints| (((|PositiveInteger|) (|List| (|DrawOption|)) (|PositiveInteger|)) "\\spad{tubePoints(l,{}n)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{tubePoints}. If the option does not exist the value,{} \\spad{n} is returned.")) (|space| (((|ThreeSpace| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{space(l)} takes a list of draw options,{} \\spad{l},{} and checks to see if it contains the option \\spad{space}. If the the option doesn\\spad{'t} exist,{} then an empty space is returned.")) (|var2Steps| (((|PositiveInteger|) (|List| (|DrawOption|)) (|PositiveInteger|)) "\\spad{var2Steps(l,{}n)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{var2Steps}. If the option does not exist the value,{} \\spad{n} is returned.")) (|var1Steps| (((|PositiveInteger|) (|List| (|DrawOption|)) (|PositiveInteger|)) "\\spad{var1Steps(l,{}n)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{var1Steps}. If the option does not exist the value,{} \\spad{n} is returned.")) (|ranges| (((|List| (|Segment| (|Float|))) (|List| (|DrawOption|)) (|List| (|Segment| (|Float|)))) "\\spad{ranges(l,{}r)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{ranges}. If the option does not exist the value,{} \\spad{r} is returned.")) (|curveColorPalette| (((|Palette|) (|List| (|DrawOption|)) (|Palette|)) "\\spad{curveColorPalette(l,{}p)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{curveColorPalette}. If the option does not exist the value,{} \\spad{p} is returned.")) (|pointColorPalette| (((|Palette|) (|List| (|DrawOption|)) (|Palette|)) "\\spad{pointColorPalette(l,{}p)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{pointColorPalette}. If the option does not exist the value,{} \\spad{p} is returned.")) (|toScale| (((|Boolean|) (|List| (|DrawOption|)) (|Boolean|)) "\\spad{toScale(l,{}b)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{toScale}. If the option does not exist the value,{} \\spad{b} is returned.")) (|style| (((|String|) (|List| (|DrawOption|)) (|String|)) "\\spad{style(l,{}s)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{style}. If the option does not exist the value,{} \\spad{s} is returned.")) (|title| (((|String|) (|List| (|DrawOption|)) (|String|)) "\\spad{title(l,{}s)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{title}. If the option does not exist the value,{} \\spad{s} is returned.")) (|viewpoint| (((|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|))) (|List| (|DrawOption|)) (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) "\\spad{viewpoint(l,{}ls)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{viewpoint}. IF the option does not exist,{} the value \\spad{ls} is returned.")) (|clipBoolean| (((|Boolean|) (|List| (|DrawOption|)) (|Boolean|)) "\\spad{clipBoolean(l,{}b)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{clipBoolean}. If the option does not exist the value,{} \\spad{b} is returned.")) (|adaptive| (((|Boolean|) (|List| (|DrawOption|)) (|Boolean|)) "\\spad{adaptive(l,{}b)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{adaptive}. If the option does not exist the value,{} \\spad{b} is returned."))) 
 NIL 
 NIL 
-(-255 S) 
+(-256 S) 
 ((|constructor| (NIL "This package has no description")) (|option| (((|Union| |#1| "failed") (|List| (|DrawOption|)) (|Symbol|)) "\\spad{option(l,{}s)} determines whether the indicated drawing option,{} \\spad{s},{} is contained in the list of drawing options,{} \\spad{l},{} which is defined by the draw command."))) 
 NIL 
 NIL 
-(-256) 
+(-257) 
 ((|constructor| (NIL "DrawOption allows the user to specify defaults for the creation and rendering of plots.")) (|option?| (((|Boolean|) (|List| $) (|Symbol|)) "\\spad{option?()} is not to be used at the top level; option? internally returns \\spad{true} for drawing options which are indicated in a draw command,{} or \\spad{false} for those which are not.")) (|option| (((|Union| (|Any|) "failed") (|List| $) (|Symbol|)) "\\spad{option()} is not to be used at the top level; option determines internally which drawing options are indicated in a draw command.")) (|unit| (($ (|List| (|Float|))) "\\spad{unit(lf)} will mark off the units according to the indicated list \\spad{lf}. This option is expressed in the form \\spad{unit == [f1,{}f2]}.")) (|coord| (($ (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) "\\spad{coord(p)} specifies a change of coordinates of point \\spad{p}. This option is expressed in the form \\spad{coord == p}.")) (|tubePoints| (($ (|PositiveInteger|)) "\\spad{tubePoints(n)} specifies the number of points,{} \\spad{n},{} defining the circle which creates the tube around a 3D curve,{} the default is 6. This option is expressed in the form \\spad{tubePoints == n}.")) (|var2Steps| (($ (|PositiveInteger|)) "\\spad{var2Steps(n)} indicates the number of subdivisions,{} \\spad{n},{} of the second range variable. This option is expressed in the form \\spad{var2Steps == n}.")) (|var1Steps| (($ (|PositiveInteger|)) "\\spad{var1Steps(n)} indicates the number of subdivisions,{} \\spad{n},{} of the first range variable. This option is expressed in the form \\spad{var1Steps == n}.")) (|space| (($ (|ThreeSpace| (|DoubleFloat|))) "\\spad{space specifies} the space into which we will draw. If none is given then a new space is created.")) (|ranges| (($ (|List| (|Segment| (|Float|)))) "\\spad{ranges(l)} provides a list of user-specified ranges \\spad{l}. This option is expressed in the form \\spad{ranges == l}.")) (|range| (($ (|List| (|Segment| (|Fraction| (|Integer|))))) "\\spad{range([i])} provides a user-specified range \\spad{i}. This option is expressed in the form \\spad{range == [i]}.") (($ (|List| (|Segment| (|Float|)))) "\\spad{range([l])} provides a user-specified range \\spad{l}. This option is expressed in the form \\spad{range == [l]}.")) (|tubeRadius| (($ (|Float|)) "\\spad{tubeRadius(r)} specifies a radius,{} \\spad{r},{} for a tube plot around a 3D curve; is expressed in the form \\spad{tubeRadius == 4}.")) (|colorFunction| (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) "\\spad{colorFunction(f(x,{}y,{}z))} specifies the color for three dimensional plots as a function of \\spad{x},{} \\spad{y},{} and \\spad{z} coordinates. This option is expressed in the form \\spad{colorFunction == f(x,{}y,{}z)}.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) "\\spad{colorFunction(f(u,{}v))} specifies the color for three dimensional plots as a function based upon the two parametric variables. This option is expressed in the form \\spad{colorFunction == f(u,{}v)}.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) "\\spad{colorFunction(f(z))} specifies the color based upon the \\spad{z}-component of three dimensional plots. This option is expressed in the form \\spad{colorFunction == f(z)}.")) (|curveColor| (($ (|Palette|)) "\\spad{curveColor(p)} specifies a color index for 2D graph curves from the spadcolors palette \\spad{p}. This option is expressed in the form \\spad{curveColor ==p}.") (($ (|Float|)) "\\spad{curveColor(v)} specifies a color,{} \\spad{v},{} for 2D graph curves. This option is expressed in the form \\spad{curveColor == v}.")) (|pointColor| (($ (|Palette|)) "\\spad{pointColor(p)} specifies a color index for 2D graph points from the spadcolors palette \\spad{p}. This option is expressed in the form \\spad{pointColor == p}.") (($ (|Float|)) "\\spad{pointColor(v)} specifies a color,{} \\spad{v},{} for 2D graph points. This option is expressed in the form \\spad{pointColor == v}.")) (|coordinates| (($ (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) "\\spad{coordinates(p)} specifies a change of coordinate systems of point \\spad{p}. This option is expressed in the form \\spad{coordinates == p}.")) (|toScale| (($ (|Boolean|)) "\\spad{toScale(b)} specifies whether or not a plot is to be drawn to scale; if \\spad{b} is \\spad{true} it is drawn to scale,{} if \\spad{b} is \\spad{false} it is not. This option is expressed in the form \\spad{toScale == b}.")) (|style| (($ (|String|)) "\\spad{style(s)} specifies the drawing style in which the graph will be plotted by the indicated string \\spad{s}. This option is expressed in the form \\spad{style == s}.")) (|title| (($ (|String|)) "\\spad{title(s)} specifies a title for a plot by the indicated string \\spad{s}. This option is expressed in the form \\spad{title == s}.")) (|viewpoint| (($ (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) "\\spad{viewpoint(vp)} creates a viewpoint data structure corresponding to the list of values. The values are interpreted as [theta,{} phi,{} scale,{} scaleX,{} scaleY,{} scaleZ,{} deltaX,{} deltaY]. This option is expressed in the form \\spad{viewpoint == ls}.")) (|clip| (($ (|List| (|Segment| (|Float|)))) "\\spad{clip([l])} provides ranges for user-defined clipping as specified in the list \\spad{l}. This option is expressed in the form \\spad{clip == [l]}.") (($ (|Boolean|)) "\\spad{clip(b)} turns 2D clipping on if \\spad{b} is \\spad{true},{} or off if \\spad{b} is \\spad{false}. This option is expressed in the form \\spad{clip == b}.")) (|adaptive| (($ (|Boolean|)) "\\spad{adaptive(b)} turns adaptive 2D plotting on if \\spad{b} is \\spad{true},{} or off if \\spad{b} is \\spad{false}. This option is expressed in the form \\spad{adaptive == b}."))) 
 NIL 
 NIL 
-(-257 R S V) 
+(-258 R S V) 
 ((|constructor| (NIL "\\spadtype{DifferentialSparseMultivariatePolynomial} implements an ordinary differential polynomial ring by combining a domain belonging to the category \\spadtype{DifferentialVariableCategory} with the domain \\spadtype{SparseMultivariatePolynomial}."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4519 |has| |#1| (-6 -4519)) (-4516 . T) (-4515 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-904))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-172))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#3| (LIST (QUOTE -881) (QUOTE (-381))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#3| (LIST (QUOTE -881) (QUOTE (-568))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#3| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#3| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#3| (LIST (QUOTE -609) (QUOTE (-541))))) (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-225))) (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#1| (QUOTE (-365))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (|HasAttribute| |#1| (QUOTE -4519)) (|HasCategory| |#1| (QUOTE (-453))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-904)))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-904)))) (|HasCategory| |#1| (QUOTE (-148))))) 
-(-258 S) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#3| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#3| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#3| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#3| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4533)) (|HasCategory| |#1| (QUOTE (-454))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-259 S) 
 ((|constructor| (NIL "This category is part of the PAFF package")) (|tree| (($ (|List| |#1|)) "\\spad{tree(l)} creates a chain tree from the list \\spad{l}") (($ |#1|) "\\spad{tree(nd)} creates a tree with value \\spad{nd},{} and no children") (($ |#1| (|List| $)) "\\spad{tree(nd,{}ls)} creates a tree with value \\spad{nd},{} and children \\spad{ls}."))) 
-((-4521 . T) (-4522 . T) (-3973 . T)) 
+((-4535 . T) (-4536 . T) (-2982 . T)) 
 NIL 
-(-259 S) 
+(-260 S) 
 ((|constructor| (NIL "This category is part of the PAFF package")) (|fullOutput| (((|Boolean|)) "\\spad{fullOutput returns} the value of the flag set by fullOutput(\\spad{b}).") (((|Boolean|) (|Boolean|)) "\\spad{fullOutput(b)} sets a flag such that when \\spad{true},{} a coerce to OutputForm yields the full output of \\spad{tr},{} otherwise encode(\\spad{tr}) is output (see encode function). The default is \\spad{false}.")) (|fullOut| (((|OutputForm|) $) "\\spad{fullOut(tr)} yields a full output of \\spad{tr} (see function fullOutput).")) (|encode| (((|String|) $) "\\spad{encode(t)} returns a string indicating the \"shape\" of the tree"))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090))))) 
-(-260 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR |InfClsPoint| |DesTree| BLMET) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
+(-261 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR |InfClsPoint| |DesTree| BLMET) 
 ((|constructor| (NIL "\\indented{1}{The following is all the categories,{} domains and package} used for the desingularisation be means of monoidal transformation (Blowing-up)")) (|genusTreeNeg| (((|Integer|) (|NonNegativeInteger|) (|List| |#10|)) "\\spad{genusTreeNeg(n,{}listOfTrees)} computes the \"genus\" of a curve that may be not absolutly irreducible,{} where \\spad{n} is the degree of a polynomial pol defining the curve and \\spad{listOfTrees} is all the desingularisation trees at all singular points on the curve defined by pol. A \"negative\" genus means that the curve is reducible \\spad{!!}.")) (|genusTree| (((|NonNegativeInteger|) (|NonNegativeInteger|) (|List| |#10|)) "\\spad{genusTree(n,{}listOfTrees)} computes the genus of a curve,{} where \\spad{n} is the degree of a polynomial pol defining the curve and \\spad{listOfTrees} is all the desingularisation trees at all singular points on the curve defined by pol.")) (|genusNeg| (((|Integer|) |#3|) "\\spad{genusNeg(pol)} computes the \"genus\" of a curve that may be not absolutly irreducible. A \"negative\" genus means that the curve is reducible \\spad{!!}.")) (|genus| (((|NonNegativeInteger|) |#3|) "\\spad{genus(pol)} computes the genus of the curve defined by \\spad{pol}.")) (|initializeParamOfPlaces| (((|Void|) |#10| (|List| |#3|)) "initParLocLeaves(\\spad{tr},{}listOfFnc) initialize the local parametrization at places corresponding to the leaves of \\spad{tr} according to the given list of functions in listOfFnc.") (((|Void|) |#10|) "initParLocLeaves(\\spad{tr}) initialize the local parametrization at places corresponding to the leaves of \\spad{tr}.")) (|initParLocLeaves| (((|Void|) |#10|) "\\spad{initParLocLeaves(tr)} initialize the local parametrization at simple points corresponding to the leaves of \\spad{tr}.")) (|fullParamInit| (((|Void|) |#10|) "\\spad{fullParamInit(tr)} initialize the local parametrization at all places (leaves of \\spad{tr}),{} computes the local exceptional divisor at each infinytly close points in the tree. This function is equivalent to the following called: initParLocLeaves(\\spad{tr}) initializeParamOfPlaces(\\spad{tr}) blowUpWithExcpDiv(\\spad{tr})")) (|desingTree| (((|List| |#10|) |#3|) "\\spad{desingTree(pol)} returns all the desingularisation trees of all singular points on the curve defined by \\spad{pol}.")) (|desingTreeAtPoint| ((|#10| |#5| |#3|) "\\spad{desingTreeAtPoint(pt,{}pol)} computes the desingularisation tree at the point \\spad{pt} on the curve defined by \\spad{pol}. This function recursively compute the tree.")) (|adjunctionDivisor| ((|#8| |#10|) "\\spad{adjunctionDivisor(tr)} compute the local adjunction divisor of a desingularisation tree \\spad{tr} of a singular point.")) (|divisorAtDesingTree| ((|#8| |#3| |#10|) "\\spad{divisorAtDesingTree(f,{}tr)} computes the local divisor of \\spad{f} at a desingularisation tree \\spad{tr} of a singular point."))) 
 NIL 
 NIL 
-(-261 A S) 
+(-262 A S) 
 ((|constructor| (NIL "\\spadtype{DifferentialVariableCategory} constructs the set of derivatives of a given set of (ordinary) differential indeterminates. If \\spad{x},{}...,{}\\spad{y} is an ordered set of differential indeterminates,{} and the prime notation is used for differentiation,{} then the set of derivatives (including zero-th order) of the differential indeterminates is \\spad{x},{}\\spad{x'},{}\\spad{x''},{}...,{} \\spad{y},{}\\spad{y'},{}\\spad{y''},{}... (Note that in the interpreter,{} the \\spad{n}-th derivative of \\spad{y} is displayed as \\spad{y} with a subscript \\spad{n}.) This set is viewed as a set of algebraic indeterminates,{} totally ordered in a way compatible with differentiation and the given order on the differential indeterminates. Such a total order is called a ranking of the differential indeterminates. \\blankline A domain in this category is needed to construct a differential polynomial domain. Differential polynomials are ordered by a ranking on the derivatives,{} and by an order (extending the ranking) on on the set of differential monomials. One may thus associate a domain in this category with a ranking of the differential indeterminates,{} just as one associates a domain in the category \\spadtype{OrderedAbelianMonoidSup} with an ordering of the set of monomials in a set of algebraic indeterminates. The ranking is specified through the binary relation \\spadfun{<}. For example,{} one may define one derivative to be less than another by lexicographically comparing first the \\spadfun{order},{} then the given order of the differential indeterminates appearing in the derivatives. This is the default implementation. \\blankline The notion of weight generalizes that of degree. A polynomial domain may be made into a graded ring if a weight function is given on the set of indeterminates,{} Very often,{} a grading is the first step in ordering the set of monomials. For differential polynomial domains,{} this constructor provides a function \\spadfun{weight},{} which allows the assignment of a non-negative number to each derivative of a differential indeterminate. For example,{} one may define the weight of a derivative to be simply its \\spadfun{order} (this is the default assignment). This weight function can then be extended to the set of all differential polynomials,{} providing a graded ring structure.")) (|coerce| (($ |#2|) "\\spad{coerce(s)} returns \\spad{s},{} viewed as the zero-th order derivative of \\spad{s}.")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(v,{} n)} returns the \\spad{n}-th derivative of \\spad{v}.") (($ $) "\\spad{differentiate(v)} returns the derivative of \\spad{v}.")) (|weight| (((|NonNegativeInteger|) $) "\\spad{weight(v)} returns the weight of the derivative \\spad{v}.")) (|variable| ((|#2| $) "\\spad{variable(v)} returns \\spad{s} if \\spad{v} is any derivative of the differential indeterminate \\spad{s}.")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(v)} returns \\spad{n} if \\spad{v} is the \\spad{n}-th derivative of any differential indeterminate.")) (|makeVariable| (($ |#2| (|NonNegativeInteger|)) "\\spad{makeVariable(s,{} n)} returns the \\spad{n}-th derivative of a differential indeterminate \\spad{s} as an algebraic indeterminate."))) 
 NIL 
 NIL 
-(-262 S) 
+(-263 S) 
 ((|constructor| (NIL "\\spadtype{DifferentialVariableCategory} constructs the set of derivatives of a given set of (ordinary) differential indeterminates. If \\spad{x},{}...,{}\\spad{y} is an ordered set of differential indeterminates,{} and the prime notation is used for differentiation,{} then the set of derivatives (including zero-th order) of the differential indeterminates is \\spad{x},{}\\spad{x'},{}\\spad{x''},{}...,{} \\spad{y},{}\\spad{y'},{}\\spad{y''},{}... (Note that in the interpreter,{} the \\spad{n}-th derivative of \\spad{y} is displayed as \\spad{y} with a subscript \\spad{n}.) This set is viewed as a set of algebraic indeterminates,{} totally ordered in a way compatible with differentiation and the given order on the differential indeterminates. Such a total order is called a ranking of the differential indeterminates. \\blankline A domain in this category is needed to construct a differential polynomial domain. Differential polynomials are ordered by a ranking on the derivatives,{} and by an order (extending the ranking) on on the set of differential monomials. One may thus associate a domain in this category with a ranking of the differential indeterminates,{} just as one associates a domain in the category \\spadtype{OrderedAbelianMonoidSup} with an ordering of the set of monomials in a set of algebraic indeterminates. The ranking is specified through the binary relation \\spadfun{<}. For example,{} one may define one derivative to be less than another by lexicographically comparing first the \\spadfun{order},{} then the given order of the differential indeterminates appearing in the derivatives. This is the default implementation. \\blankline The notion of weight generalizes that of degree. A polynomial domain may be made into a graded ring if a weight function is given on the set of indeterminates,{} Very often,{} a grading is the first step in ordering the set of monomials. For differential polynomial domains,{} this constructor provides a function \\spadfun{weight},{} which allows the assignment of a non-negative number to each derivative of a differential indeterminate. For example,{} one may define the weight of a derivative to be simply its \\spadfun{order} (this is the default assignment). This weight function can then be extended to the set of all differential polynomials,{} providing a graded ring structure.")) (|coerce| (($ |#1|) "\\spad{coerce(s)} returns \\spad{s},{} viewed as the zero-th order derivative of \\spad{s}.")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(v,{} n)} returns the \\spad{n}-th derivative of \\spad{v}.") (($ $) "\\spad{differentiate(v)} returns the derivative of \\spad{v}.")) (|weight| (((|NonNegativeInteger|) $) "\\spad{weight(v)} returns the weight of the derivative \\spad{v}.")) (|variable| ((|#1| $) "\\spad{variable(v)} returns \\spad{s} if \\spad{v} is any derivative of the differential indeterminate \\spad{s}.")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(v)} returns \\spad{n} if \\spad{v} is the \\spad{n}-th derivative of any differential indeterminate.")) (|makeVariable| (($ |#1| (|NonNegativeInteger|)) "\\spad{makeVariable(s,{} n)} returns the \\spad{n}-th derivative of a differential indeterminate \\spad{s} as an algebraic indeterminate."))) 
 NIL 
 NIL 
-(-263) 
+(-264) 
 ((|constructor| (NIL "\\axiomType{e04AgentsPackage} is a package of numerical agents to be used to investigate attributes of an input function so as to decide the \\axiomFun{measure} of an appropriate numerical optimization routine.")) (|optAttributes| (((|List| (|String|)) (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))) "\\spad{optAttributes(o)} is a function for supplying a list of attributes of an optimization problem.")) (|expenseOfEvaluation| (((|Float|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) "\\spad{expenseOfEvaluation(o)} returns the intensity value of the cost of evaluating the input set of functions. This is in terms of the number of ``operational units\\spad{''}. It returns a value in the range [0,{}1].")) (|changeNameToObjf| (((|Result|) (|Symbol|) (|Result|)) "\\spad{changeNameToObjf(s,{}r)} changes the name of item \\axiom{\\spad{s}} in \\axiom{\\spad{r}} to objf.")) (|varList| (((|List| (|Symbol|)) (|Expression| (|DoubleFloat|)) (|NonNegativeInteger|)) "\\spad{varList(e,{}n)} returns a list of \\axiom{\\spad{n}} indexed variables with name as in \\axiom{\\spad{e}}.")) (|variables| (((|List| (|Symbol|)) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) "\\spad{variables(args)} returns the list of variables in \\axiom{\\spad{args}.\\spad{lfn}}")) (|quadratic?| (((|Boolean|) (|Expression| (|DoubleFloat|))) "\\spad{quadratic?(e)} tests if \\axiom{\\spad{e}} is a quadratic function.")) (|nonLinearPart| (((|List| (|Expression| (|DoubleFloat|))) (|List| (|Expression| (|DoubleFloat|)))) "\\spad{nonLinearPart(l)} returns the list of non-linear functions of \\spad{l}.")) (|linearPart| (((|List| (|Expression| (|DoubleFloat|))) (|List| (|Expression| (|DoubleFloat|)))) "\\spad{linearPart(l)} returns the list of linear functions of \\axiom{\\spad{l}}.")) (|linearMatrix| (((|Matrix| (|DoubleFloat|)) (|List| (|Expression| (|DoubleFloat|))) (|NonNegativeInteger|)) "\\spad{linearMatrix(l,{}n)} returns a matrix of coefficients of the linear functions in \\axiom{\\spad{l}}. If \\spad{l} is empty,{} the matrix has at least one row.")) (|linear?| (((|Boolean|) (|Expression| (|DoubleFloat|))) "\\spad{linear?(e)} tests if \\axiom{\\spad{e}} is a linear function.") (((|Boolean|) (|List| (|Expression| (|DoubleFloat|)))) "\\spad{linear?(l)} returns \\spad{true} if all the bounds \\spad{l} are either linear or simple.")) (|simpleBounds?| (((|Boolean|) (|List| (|Expression| (|DoubleFloat|)))) "\\spad{simpleBounds?(l)} returns \\spad{true} if the list of expressions \\spad{l} are simple.")) (|splitLinear| (((|Expression| (|DoubleFloat|)) (|Expression| (|DoubleFloat|))) "\\spad{splitLinear(f)} splits the linear part from an expression which it returns.")) (|sumOfSquares| (((|Union| (|Expression| (|DoubleFloat|)) "failed") (|Expression| (|DoubleFloat|))) "\\spad{sumOfSquares(f)} returns either an expression for which the square is the original function of \"failed\".")) (|sortConstraints| (((|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|))))) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) "\\spad{sortConstraints(args)} uses a simple bubblesort on the list of constraints using the degree of the expression on which to sort. Of course,{} it must match the bounds to the constraints.")) (|finiteBound| (((|List| (|DoubleFloat|)) (|List| (|OrderedCompletion| (|DoubleFloat|))) (|DoubleFloat|)) "\\spad{finiteBound(l,{}b)} repaces all instances of an infinite entry in \\axiom{\\spad{l}} by a finite entry \\axiom{\\spad{b}} or \\axiom{\\spad{-b}}."))) 
 NIL 
 NIL 
-(-264) 
+(-265) 
 ((|constructor| (NIL "\\axiomType{e04dgfAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04DGF,{} a general optimization routine which can handle some singularities in the input function. The function \\axiomFun{measure} measures the usefulness of the routine E04DGF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
 NIL 
 NIL 
-(-265) 
+(-266) 
 ((|constructor| (NIL "\\axiomType{e04fdfAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04FDF,{} a general optimization routine which can handle some singularities in the input function. The function \\axiomFun{measure} measures the usefulness of the routine E04FDF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
 NIL 
 NIL 
-(-266) 
+(-267) 
 ((|constructor| (NIL "\\axiomType{e04gcfAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04GCF,{} a general optimization routine which can handle some singularities in the input function. The function \\axiomFun{measure} measures the usefulness of the routine E04GCF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
 NIL 
 NIL 
-(-267) 
+(-268) 
 ((|constructor| (NIL "\\axiomType{e04jafAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04JAF,{} a general optimization routine which can handle some singularities in the input function. The function \\axiomFun{measure} measures the usefulness of the routine E04JAF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
 NIL 
 NIL 
-(-268) 
+(-269) 
 ((|constructor| (NIL "\\axiomType{e04mbfAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04MBF,{} an optimization routine for Linear functions. The function \\axiomFun{measure} measures the usefulness of the routine E04MBF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
 NIL 
 NIL 
-(-269) 
+(-270) 
 ((|constructor| (NIL "\\axiomType{e04nafAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04NAF,{} an optimization routine for Quadratic functions. The function \\axiomFun{measure} measures the usefulness of the routine E04NAF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
 NIL 
 NIL 
-(-270) 
+(-271) 
 ((|constructor| (NIL "\\axiomType{e04ucfAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04UCF,{} a general optimization routine which can handle some singularities in the input function. The function \\axiomFun{measure} measures the usefulness of the routine E04UCF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
 NIL 
 NIL 
-(-271) 
+(-272) 
 ((|constructor| (NIL "A domain used in the construction of the exterior algebra on a set \\spad{X} over a ring \\spad{R}. This domain represents the set of all ordered subsets of the set \\spad{X},{} assumed to be in correspondance with {1,{}2,{}3,{} ...}. The ordered subsets are themselves ordered lexicographically and are in bijective correspondance with an ordered basis of the exterior algebra. In this domain we are dealing strictly with the exponents of basis elements which can only be 0 or 1. \\blankline The multiplicative identity element of the exterior algebra corresponds to the empty subset of \\spad{X}. A coerce from List Integer to an ordered basis element is provided to allow the convenient input of expressions. Another exported function forgets the ordered structure and simply returns the list corresponding to an ordered subset.")) (|Nul| (($ (|NonNegativeInteger|)) "\\spad{Nul()} gives the basis element 1 for the algebra generated by \\spad{n} generators.")) (|exponents| (((|List| (|Integer|)) $) "\\spad{exponents(x)} converts a domain element into a list of zeros and ones corresponding to the exponents in the basis element that \\spad{x} represents.")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(x)} gives the numbers of 1\\spad{'s} in \\spad{x},{} \\spadignore{i.e.} the number of non-zero exponents in the basis element that \\spad{x} represents.")) (|coerce| (($ (|List| (|Integer|))) "\\spad{coerce(l)} converts a list of 0\\spad{'s} and 1\\spad{'s} into a basis element,{} where 1 (respectively 0) designates that the variable of the corresponding index of \\spad{l} is (respectively,{} is not) present. Error: if an element of \\spad{l} is not 0 or 1."))) 
 NIL 
 NIL 
-(-272 R -1478) 
+(-273 R -1564) 
 ((|constructor| (NIL "Provides elementary functions over an integral domain.")) (|localReal?| (((|Boolean|) |#2|) "\\spad{localReal?(x)} should be local but conditional")) (|specialTrigs| (((|Union| |#2| "failed") |#2| (|List| (|Record| (|:| |func| |#2|) (|:| |pole| (|Boolean|))))) "\\spad{specialTrigs(x,{}l)} should be local but conditional")) (|iiacsch| ((|#2| |#2|) "\\spad{iiacsch(x)} should be local but conditional")) (|iiasech| ((|#2| |#2|) "\\spad{iiasech(x)} should be local but conditional")) (|iiacoth| ((|#2| |#2|) "\\spad{iiacoth(x)} should be local but conditional")) (|iiatanh| ((|#2| |#2|) "\\spad{iiatanh(x)} should be local but conditional")) (|iiacosh| ((|#2| |#2|) "\\spad{iiacosh(x)} should be local but conditional")) (|iiasinh| ((|#2| |#2|) "\\spad{iiasinh(x)} should be local but conditional")) (|iicsch| ((|#2| |#2|) "\\spad{iicsch(x)} should be local but conditional")) (|iisech| ((|#2| |#2|) "\\spad{iisech(x)} should be local but conditional")) (|iicoth| ((|#2| |#2|) "\\spad{iicoth(x)} should be local but conditional")) (|iitanh| ((|#2| |#2|) "\\spad{iitanh(x)} should be local but conditional")) (|iicosh| ((|#2| |#2|) "\\spad{iicosh(x)} should be local but conditional")) (|iisinh| ((|#2| |#2|) "\\spad{iisinh(x)} should be local but conditional")) (|iiacsc| ((|#2| |#2|) "\\spad{iiacsc(x)} should be local but conditional")) (|iiasec| ((|#2| |#2|) "\\spad{iiasec(x)} should be local but conditional")) (|iiacot| ((|#2| |#2|) "\\spad{iiacot(x)} should be local but conditional")) (|iiatan| ((|#2| |#2|) "\\spad{iiatan(x)} should be local but conditional")) (|iiacos| ((|#2| |#2|) "\\spad{iiacos(x)} should be local but conditional")) (|iiasin| ((|#2| |#2|) "\\spad{iiasin(x)} should be local but conditional")) (|iicsc| ((|#2| |#2|) "\\spad{iicsc(x)} should be local but conditional")) (|iisec| ((|#2| |#2|) "\\spad{iisec(x)} should be local but conditional")) (|iicot| ((|#2| |#2|) "\\spad{iicot(x)} should be local but conditional")) (|iitan| ((|#2| |#2|) "\\spad{iitan(x)} should be local but conditional")) (|iicos| ((|#2| |#2|) "\\spad{iicos(x)} should be local but conditional")) (|iisin| ((|#2| |#2|) "\\spad{iisin(x)} should be local but conditional")) (|iilog| ((|#2| |#2|) "\\spad{iilog(x)} should be local but conditional")) (|iiexp| ((|#2| |#2|) "\\spad{iiexp(x)} should be local but conditional")) (|iisqrt3| ((|#2|) "\\spad{iisqrt3()} should be local but conditional")) (|iisqrt2| ((|#2|) "\\spad{iisqrt2()} should be local but conditional")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(p)} returns an elementary operator with the same symbol as \\spad{p}")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(p)} returns \\spad{true} if operator \\spad{p} is elementary")) (|pi| ((|#2|) "\\spad{\\spad{pi}()} returns the \\spad{pi} operator")) (|acsch| ((|#2| |#2|) "\\spad{acsch(x)} applies the inverse hyperbolic cosecant operator to \\spad{x}")) (|asech| ((|#2| |#2|) "\\spad{asech(x)} applies the inverse hyperbolic secant operator to \\spad{x}")) (|acoth| ((|#2| |#2|) "\\spad{acoth(x)} applies the inverse hyperbolic cotangent operator to \\spad{x}")) (|atanh| ((|#2| |#2|) "\\spad{atanh(x)} applies the inverse hyperbolic tangent operator to \\spad{x}")) (|acosh| ((|#2| |#2|) "\\spad{acosh(x)} applies the inverse hyperbolic cosine operator to \\spad{x}")) (|asinh| ((|#2| |#2|) "\\spad{asinh(x)} applies the inverse hyperbolic sine operator to \\spad{x}")) (|csch| ((|#2| |#2|) "\\spad{csch(x)} applies the hyperbolic cosecant operator to \\spad{x}")) (|sech| ((|#2| |#2|) "\\spad{sech(x)} applies the hyperbolic secant operator to \\spad{x}")) (|coth| ((|#2| |#2|) "\\spad{coth(x)} applies the hyperbolic cotangent operator to \\spad{x}")) (|tanh| ((|#2| |#2|) "\\spad{tanh(x)} applies the hyperbolic tangent operator to \\spad{x}")) (|cosh| ((|#2| |#2|) "\\spad{cosh(x)} applies the hyperbolic cosine operator to \\spad{x}")) (|sinh| ((|#2| |#2|) "\\spad{sinh(x)} applies the hyperbolic sine operator to \\spad{x}")) (|acsc| ((|#2| |#2|) "\\spad{acsc(x)} applies the inverse cosecant operator to \\spad{x}")) (|asec| ((|#2| |#2|) "\\spad{asec(x)} applies the inverse secant operator to \\spad{x}")) (|acot| ((|#2| |#2|) "\\spad{acot(x)} applies the inverse cotangent operator to \\spad{x}")) (|atan| ((|#2| |#2|) "\\spad{atan(x)} applies the inverse tangent operator to \\spad{x}")) (|acos| ((|#2| |#2|) "\\spad{acos(x)} applies the inverse cosine operator to \\spad{x}")) (|asin| ((|#2| |#2|) "\\spad{asin(x)} applies the inverse sine operator to \\spad{x}")) (|csc| ((|#2| |#2|) "\\spad{csc(x)} applies the cosecant operator to \\spad{x}")) (|sec| ((|#2| |#2|) "\\spad{sec(x)} applies the secant operator to \\spad{x}")) (|cot| ((|#2| |#2|) "\\spad{cot(x)} applies the cotangent operator to \\spad{x}")) (|tan| ((|#2| |#2|) "\\spad{tan(x)} applies the tangent operator to \\spad{x}")) (|cos| ((|#2| |#2|) "\\spad{cos(x)} applies the cosine operator to \\spad{x}")) (|sin| ((|#2| |#2|) "\\spad{sin(x)} applies the sine operator to \\spad{x}")) (|log| ((|#2| |#2|) "\\spad{log(x)} applies the logarithm operator to \\spad{x}")) (|exp| ((|#2| |#2|) "\\spad{exp(x)} applies the exponential operator to \\spad{x}"))) 
 NIL 
 NIL 
-(-273 R -1478) 
+(-274 R -1564) 
 ((|constructor| (NIL "ElementaryFunctionStructurePackage provides functions to test the algebraic independence of various elementary functions,{} using the Risch structure theorem (real and complex versions). It also provides transformations on elementary functions which are not considered simplifications.")) (|tanQ| ((|#2| (|Fraction| (|Integer|)) |#2|) "\\spad{tanQ(q,{}a)} is a local function with a conditional implementation.")) (|rootNormalize| ((|#2| |#2| (|Kernel| |#2|)) "\\spad{rootNormalize(f,{} k)} returns \\spad{f} rewriting either \\spad{k} which must be an \\spad{n}th-root in terms of radicals already in \\spad{f},{} or some radicals in \\spad{f} in terms of \\spad{k}.")) (|validExponential| (((|Union| |#2| "failed") (|List| (|Kernel| |#2|)) |#2| (|Symbol|)) "\\spad{validExponential([k1,{}...,{}kn],{}f,{}x)} returns \\spad{g} if \\spad{exp(f)=g} and \\spad{g} involves only \\spad{k1...kn},{} and \"failed\" otherwise.")) (|realElementary| ((|#2| |#2| (|Symbol|)) "\\spad{realElementary(f,{}x)} rewrites the kernels of \\spad{f} involving \\spad{x} in terms of the 4 fundamental real transcendental elementary functions: \\spad{log,{} exp,{} tan,{} atan}.") ((|#2| |#2|) "\\spad{realElementary(f)} rewrites \\spad{f} in terms of the 4 fundamental real transcendental elementary functions: \\spad{log,{} exp,{} tan,{} atan}.")) (|rischNormalize| (((|Record| (|:| |func| |#2|) (|:| |kers| (|List| (|Kernel| |#2|))) (|:| |vals| (|List| |#2|))) |#2| (|Symbol|)) "\\spad{rischNormalize(f,{} x)} returns \\spad{[g,{} [k1,{}...,{}kn],{} [h1,{}...,{}hn]]} such that \\spad{g = normalize(f,{} x)} and each \\spad{\\spad{ki}} was rewritten as \\spad{\\spad{hi}} during the normalization.")) (|normalize| ((|#2| |#2| (|Symbol|)) "\\spad{normalize(f,{} x)} rewrites \\spad{f} using the least possible number of real algebraically independent kernels involving \\spad{x}.") ((|#2| |#2|) "\\spad{normalize(f)} rewrites \\spad{f} using the least possible number of real algebraically independent kernels."))) 
 NIL 
 NIL 
-(-274 |Coef| UTS ULS) 
+(-275 |Coef| UTS ULS) 
 ((|constructor| (NIL "This package provides elementary functions on any Laurent series domain over a field which was constructed from a Taylor series domain. These functions are implemented by calling the corresponding functions on the Taylor series domain. We also provide 'partial functions' which compute transcendental functions of Laurent series when possible and return \"failed\" when this is not possible.")) (|acsch| ((|#3| |#3|) "\\spad{acsch(z)} returns the inverse hyperbolic cosecant of Laurent series \\spad{z}.")) (|asech| ((|#3| |#3|) "\\spad{asech(z)} returns the inverse hyperbolic secant of Laurent series \\spad{z}.")) (|acoth| ((|#3| |#3|) "\\spad{acoth(z)} returns the inverse hyperbolic cotangent of Laurent series \\spad{z}.")) (|atanh| ((|#3| |#3|) "\\spad{atanh(z)} returns the inverse hyperbolic tangent of Laurent series \\spad{z}.")) (|acosh| ((|#3| |#3|) "\\spad{acosh(z)} returns the inverse hyperbolic cosine of Laurent series \\spad{z}.")) (|asinh| ((|#3| |#3|) "\\spad{asinh(z)} returns the inverse hyperbolic sine of Laurent series \\spad{z}.")) (|csch| ((|#3| |#3|) "\\spad{csch(z)} returns the hyperbolic cosecant of Laurent series \\spad{z}.")) (|sech| ((|#3| |#3|) "\\spad{sech(z)} returns the hyperbolic secant of Laurent series \\spad{z}.")) (|coth| ((|#3| |#3|) "\\spad{coth(z)} returns the hyperbolic cotangent of Laurent series \\spad{z}.")) (|tanh| ((|#3| |#3|) "\\spad{tanh(z)} returns the hyperbolic tangent of Laurent series \\spad{z}.")) (|cosh| ((|#3| |#3|) "\\spad{cosh(z)} returns the hyperbolic cosine of Laurent series \\spad{z}.")) (|sinh| ((|#3| |#3|) "\\spad{sinh(z)} returns the hyperbolic sine of Laurent series \\spad{z}.")) (|acsc| ((|#3| |#3|) "\\spad{acsc(z)} returns the arc-cosecant of Laurent series \\spad{z}.")) (|asec| ((|#3| |#3|) "\\spad{asec(z)} returns the arc-secant of Laurent series \\spad{z}.")) (|acot| ((|#3| |#3|) "\\spad{acot(z)} returns the arc-cotangent of Laurent series \\spad{z}.")) (|atan| ((|#3| |#3|) "\\spad{atan(z)} returns the arc-tangent of Laurent series \\spad{z}.")) (|acos| ((|#3| |#3|) "\\spad{acos(z)} returns the arc-cosine of Laurent series \\spad{z}.")) (|asin| ((|#3| |#3|) "\\spad{asin(z)} returns the arc-sine of Laurent series \\spad{z}.")) (|csc| ((|#3| |#3|) "\\spad{csc(z)} returns the cosecant of Laurent series \\spad{z}.")) (|sec| ((|#3| |#3|) "\\spad{sec(z)} returns the secant of Laurent series \\spad{z}.")) (|cot| ((|#3| |#3|) "\\spad{cot(z)} returns the cotangent of Laurent series \\spad{z}.")) (|tan| ((|#3| |#3|) "\\spad{tan(z)} returns the tangent of Laurent series \\spad{z}.")) (|cos| ((|#3| |#3|) "\\spad{cos(z)} returns the cosine of Laurent series \\spad{z}.")) (|sin| ((|#3| |#3|) "\\spad{sin(z)} returns the sine of Laurent series \\spad{z}.")) (|log| ((|#3| |#3|) "\\spad{log(z)} returns the logarithm of Laurent series \\spad{z}.")) (|exp| ((|#3| |#3|) "\\spad{exp(z)} returns the exponential of Laurent series \\spad{z}.")) (** ((|#3| |#3| (|Fraction| (|Integer|))) "\\spad{s ** r} raises a Laurent series \\spad{s} to a rational power \\spad{r}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-365)))) 
-(-275 |Coef| ULS UPXS EFULS) 
+((|HasCategory| |#1| (QUOTE (-366)))) 
+(-276 |Coef| ULS UPXS EFULS) 
 ((|constructor| (NIL "This package provides elementary functions on any Laurent series domain over a field which was constructed from a Taylor series domain. These functions are implemented by calling the corresponding functions on the Taylor series domain. We also provide 'partial functions' which compute transcendental functions of Laurent series when possible and return \"failed\" when this is not possible.")) (|acsch| ((|#3| |#3|) "\\spad{acsch(z)} returns the inverse hyperbolic cosecant of a Puiseux series \\spad{z}.")) (|asech| ((|#3| |#3|) "\\spad{asech(z)} returns the inverse hyperbolic secant of a Puiseux series \\spad{z}.")) (|acoth| ((|#3| |#3|) "\\spad{acoth(z)} returns the inverse hyperbolic cotangent of a Puiseux series \\spad{z}.")) (|atanh| ((|#3| |#3|) "\\spad{atanh(z)} returns the inverse hyperbolic tangent of a Puiseux series \\spad{z}.")) (|acosh| ((|#3| |#3|) "\\spad{acosh(z)} returns the inverse hyperbolic cosine of a Puiseux series \\spad{z}.")) (|asinh| ((|#3| |#3|) "\\spad{asinh(z)} returns the inverse hyperbolic sine of a Puiseux series \\spad{z}.")) (|csch| ((|#3| |#3|) "\\spad{csch(z)} returns the hyperbolic cosecant of a Puiseux series \\spad{z}.")) (|sech| ((|#3| |#3|) "\\spad{sech(z)} returns the hyperbolic secant of a Puiseux series \\spad{z}.")) (|coth| ((|#3| |#3|) "\\spad{coth(z)} returns the hyperbolic cotangent of a Puiseux series \\spad{z}.")) (|tanh| ((|#3| |#3|) "\\spad{tanh(z)} returns the hyperbolic tangent of a Puiseux series \\spad{z}.")) (|cosh| ((|#3| |#3|) "\\spad{cosh(z)} returns the hyperbolic cosine of a Puiseux series \\spad{z}.")) (|sinh| ((|#3| |#3|) "\\spad{sinh(z)} returns the hyperbolic sine of a Puiseux series \\spad{z}.")) (|acsc| ((|#3| |#3|) "\\spad{acsc(z)} returns the arc-cosecant of a Puiseux series \\spad{z}.")) (|asec| ((|#3| |#3|) "\\spad{asec(z)} returns the arc-secant of a Puiseux series \\spad{z}.")) (|acot| ((|#3| |#3|) "\\spad{acot(z)} returns the arc-cotangent of a Puiseux series \\spad{z}.")) (|atan| ((|#3| |#3|) "\\spad{atan(z)} returns the arc-tangent of a Puiseux series \\spad{z}.")) (|acos| ((|#3| |#3|) "\\spad{acos(z)} returns the arc-cosine of a Puiseux series \\spad{z}.")) (|asin| ((|#3| |#3|) "\\spad{asin(z)} returns the arc-sine of a Puiseux series \\spad{z}.")) (|csc| ((|#3| |#3|) "\\spad{csc(z)} returns the cosecant of a Puiseux series \\spad{z}.")) (|sec| ((|#3| |#3|) "\\spad{sec(z)} returns the secant of a Puiseux series \\spad{z}.")) (|cot| ((|#3| |#3|) "\\spad{cot(z)} returns the cotangent of a Puiseux series \\spad{z}.")) (|tan| ((|#3| |#3|) "\\spad{tan(z)} returns the tangent of a Puiseux series \\spad{z}.")) (|cos| ((|#3| |#3|) "\\spad{cos(z)} returns the cosine of a Puiseux series \\spad{z}.")) (|sin| ((|#3| |#3|) "\\spad{sin(z)} returns the sine of a Puiseux series \\spad{z}.")) (|log| ((|#3| |#3|) "\\spad{log(z)} returns the logarithm of a Puiseux series \\spad{z}.")) (|exp| ((|#3| |#3|) "\\spad{exp(z)} returns the exponential of a Puiseux series \\spad{z}.")) (** ((|#3| |#3| (|Fraction| (|Integer|))) "\\spad{z ** r} raises a Puiseaux series \\spad{z} to a rational power \\spad{r}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-365)))) 
-(-276 A S) 
+((|HasCategory| |#1| (QUOTE (-366)))) 
+(-277 A S) 
 ((|constructor| (NIL "An extensible aggregate is one which allows insertion and deletion of entries. These aggregates are models of lists and streams which are represented by linked structures so as to make insertion,{} deletion,{} and concatenation efficient. However,{} access to elements of these extensible aggregates is generally slow since access is made from the end. See \\spadtype{FlexibleArray} for an exception.")) (|removeDuplicates!| (($ $) "\\spad{removeDuplicates!(u)} destructively removes duplicates from \\spad{u}.")) (|select!| (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{select!(p,{}u)} destructively changes \\spad{u} by keeping only values \\spad{x} such that \\axiom{\\spad{p}(\\spad{x})}.")) (|merge!| (($ $ $) "\\spad{merge!(u,{}v)} destructively merges \\spad{u} and \\spad{v} in ascending order.") (($ (|Mapping| (|Boolean|) |#2| |#2|) $ $) "\\spad{merge!(p,{}u,{}v)} destructively merges \\spad{u} and \\spad{v} using predicate \\spad{p}.")) (|insert!| (($ $ $ (|Integer|)) "\\spad{insert!(v,{}u,{}i)} destructively inserts aggregate \\spad{v} into \\spad{u} at position \\spad{i}.") (($ |#2| $ (|Integer|)) "\\spad{insert!(x,{}u,{}i)} destructively inserts \\spad{x} into \\spad{u} at position \\spad{i}.")) (|remove!| (($ |#2| $) "\\spad{remove!(x,{}u)} destructively removes all values \\spad{x} from \\spad{u}.") (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{remove!(p,{}u)} destructively removes all elements \\spad{x} of \\spad{u} such that \\axiom{\\spad{p}(\\spad{x})} is \\spad{true}.")) (|delete!| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{delete!(u,{}i..j)} destructively deletes elements \\spad{u}.\\spad{i} through \\spad{u}.\\spad{j}.") (($ $ (|Integer|)) "\\indented{1}{delete!(\\spad{u},{}\\spad{i}) destructively deletes the \\axiom{\\spad{i}}th element of \\spad{u}.} \\blankline \\spad{E} Data:=Record(age:Integer,{}gender:String) \\spad{E} a1:AssociationList(String,{}Data):=table() \\spad{E} \\spad{a1}.\"tim\":=[55,{}\"male\"]\\$Data \\spad{E} delete!(\\spad{a1},{}1)")) (|concat!| (($ $ $) "\\spad{concat!(u,{}v)} destructively appends \\spad{v} to the end of \\spad{u}. \\spad{v} is unchanged") (($ $ |#2|) "\\spad{concat!(u,{}x)} destructively adds element \\spad{x} to the end of \\spad{u}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-842))) (|HasCategory| |#2| (QUOTE (-1090)))) 
-(-277 S) 
+((|HasCategory| |#2| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-1091)))) 
+(-278 S) 
 ((|constructor| (NIL "An extensible aggregate is one which allows insertion and deletion of entries. These aggregates are models of lists and streams which are represented by linked structures so as to make insertion,{} deletion,{} and concatenation efficient. However,{} access to elements of these extensible aggregates is generally slow since access is made from the end. See \\spadtype{FlexibleArray} for an exception.")) (|removeDuplicates!| (($ $) "\\spad{removeDuplicates!(u)} destructively removes duplicates from \\spad{u}.")) (|select!| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{select!(p,{}u)} destructively changes \\spad{u} by keeping only values \\spad{x} such that \\axiom{\\spad{p}(\\spad{x})}.")) (|merge!| (($ $ $) "\\spad{merge!(u,{}v)} destructively merges \\spad{u} and \\spad{v} in ascending order.") (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) "\\spad{merge!(p,{}u,{}v)} destructively merges \\spad{u} and \\spad{v} using predicate \\spad{p}.")) (|insert!| (($ $ $ (|Integer|)) "\\spad{insert!(v,{}u,{}i)} destructively inserts aggregate \\spad{v} into \\spad{u} at position \\spad{i}.") (($ |#1| $ (|Integer|)) "\\spad{insert!(x,{}u,{}i)} destructively inserts \\spad{x} into \\spad{u} at position \\spad{i}.")) (|remove!| (($ |#1| $) "\\spad{remove!(x,{}u)} destructively removes all values \\spad{x} from \\spad{u}.") (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{remove!(p,{}u)} destructively removes all elements \\spad{x} of \\spad{u} such that \\axiom{\\spad{p}(\\spad{x})} is \\spad{true}.")) (|delete!| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{delete!(u,{}i..j)} destructively deletes elements \\spad{u}.\\spad{i} through \\spad{u}.\\spad{j}.") (($ $ (|Integer|)) "\\indented{1}{delete!(\\spad{u},{}\\spad{i}) destructively deletes the \\axiom{\\spad{i}}th element of \\spad{u}.} \\blankline \\spad{E} Data:=Record(age:Integer,{}gender:String) \\spad{E} a1:AssociationList(String,{}Data):=table() \\spad{E} \\spad{a1}.\"tim\":=[55,{}\"male\"]\\$Data \\spad{E} delete!(\\spad{a1},{}1)")) (|concat!| (($ $ $) "\\spad{concat!(u,{}v)} destructively appends \\spad{v} to the end of \\spad{u}. \\spad{v} is unchanged") (($ $ |#1|) "\\spad{concat!(u,{}x)} destructively adds element \\spad{x} to the end of \\spad{u}."))) 
-((-4522 . T) (-3973 . T)) 
+((-4536 . T) (-2982 . T)) 
 NIL 
-(-278 S) 
+(-279 S) 
 ((|constructor| (NIL "Category for the elementary functions.")) (** (($ $ $) "\\spad{x**y} returns \\spad{x} to the power \\spad{y}.")) (|exp| (($ $) "\\spad{exp(x)} returns \\%\\spad{e} to the power \\spad{x}.")) (|log| (($ $) "\\spad{log(x)} returns the natural logarithm of \\spad{x}."))) 
 NIL 
 NIL 
-(-279) 
+(-280) 
 ((|constructor| (NIL "Category for the elementary functions.")) (** (($ $ $) "\\spad{x**y} returns \\spad{x} to the power \\spad{y}.")) (|exp| (($ $) "\\spad{exp(x)} returns \\%\\spad{e} to the power \\spad{x}.")) (|log| (($ $) "\\spad{log(x)} returns the natural logarithm of \\spad{x}."))) 
 NIL 
 NIL 
-(-280 |Coef| UTS) 
+(-281 |Coef| UTS) 
 ((|constructor| (NIL "The elliptic functions \\spad{sn},{} \\spad{sc} and \\spad{dn} are expanded as Taylor series.")) (|sncndn| (((|List| (|Stream| |#1|)) (|Stream| |#1|) |#1|) "\\spad{sncndn(s,{}c)} is used internally.")) (|dn| ((|#2| |#2| |#1|) "\\spad{dn(x,{}k)} expands the elliptic function \\spad{dn} as a Taylor \\indented{1}{series.}")) (|cn| ((|#2| |#2| |#1|) "\\spad{cn(x,{}k)} expands the elliptic function \\spad{cn} as a Taylor \\indented{1}{series.}")) (|sn| ((|#2| |#2| |#1|) "\\spad{sn(x,{}k)} expands the elliptic function \\spad{sn} as a Taylor \\indented{1}{series.}"))) 
 NIL 
 NIL 
-(-281 S |Index|) 
+(-282 S |Index|) 
 ((|constructor| (NIL "An eltable over domains \\spad{D} and \\spad{I} is a structure which can be viewed as a function from \\spad{D} to \\spad{I}. Examples of eltable structures range from data structures,{} \\spadignore{e.g.} those of type \\spadtype{List},{} to algebraic structures like \\spadtype{Polynomial}.")) (|elt| ((|#2| $ |#1|) "\\spad{elt(u,{}i)} (also written: \\spad{u} . \\spad{i}) returns the element of \\spad{u} indexed by \\spad{i}. Error: if \\spad{i} is not an index of \\spad{u}."))) 
 NIL 
 NIL 
-(-282 S |Dom| |Im|) 
+(-283 S |Dom| |Im|) 
 ((|constructor| (NIL "An eltable aggregate is one which can be viewed as a function. For example,{} the list \\axiom{[1,{}7,{}4]} can applied to 0,{}1,{} and 2 respectively will return the integers 1,{}7,{} and 4; thus this list may be viewed as mapping 0 to 1,{} 1 to 7 and 2 to 4. In general,{} an aggregate can map members of a domain Dom to an image domain Im.")) (|qsetelt!| ((|#3| $ |#2| |#3|) "\\spad{qsetelt!(u,{}x,{}y)} sets the image of \\axiom{\\spad{x}} to be \\axiom{\\spad{y}} under \\axiom{\\spad{u}},{} without checking that \\axiom{\\spad{x}} is in the domain of \\axiom{\\spad{u}}. If such a check is required use the function \\axiom{setelt}.")) (|setelt| ((|#3| $ |#2| |#3|) "\\spad{setelt(u,{}x,{}y)} sets the image of \\spad{x} to be \\spad{y} under \\spad{u},{} assuming \\spad{x} is in the domain of \\spad{u}. Error: if \\spad{x} is not in the domain of \\spad{u}.")) (|qelt| ((|#3| $ |#2|) "\\spad{qelt(u,{} x)} applies \\axiom{\\spad{u}} to \\axiom{\\spad{x}} without checking whether \\axiom{\\spad{x}} is in the domain of \\axiom{\\spad{u}}. If \\axiom{\\spad{x}} is not in the domain of \\axiom{\\spad{u}} a memory-access violation may occur. If a check on whether \\axiom{\\spad{x}} is in the domain of \\axiom{\\spad{u}} is required,{} use the function \\axiom{elt}.")) (|elt| ((|#3| $ |#2| |#3|) "\\spad{elt(u,{} x,{} y)} applies \\spad{u} to \\spad{x} if \\spad{x} is in the domain of \\spad{u},{} and returns \\spad{y} otherwise. For example,{} if \\spad{u} is a polynomial in \\axiom{\\spad{x}} over the rationals,{} \\axiom{elt(\\spad{u},{}\\spad{n},{}0)} may define the coefficient of \\axiom{\\spad{x}} to the power \\spad{n},{} returning 0 when \\spad{n} is out of range."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4522))) 
-(-283 |Dom| |Im|) 
+((|HasAttribute| |#1| (QUOTE -4536))) 
+(-284 |Dom| |Im|) 
 ((|constructor| (NIL "An eltable aggregate is one which can be viewed as a function. For example,{} the list \\axiom{[1,{}7,{}4]} can applied to 0,{}1,{} and 2 respectively will return the integers 1,{}7,{} and 4; thus this list may be viewed as mapping 0 to 1,{} 1 to 7 and 2 to 4. In general,{} an aggregate can map members of a domain Dom to an image domain Im.")) (|qsetelt!| ((|#2| $ |#1| |#2|) "\\spad{qsetelt!(u,{}x,{}y)} sets the image of \\axiom{\\spad{x}} to be \\axiom{\\spad{y}} under \\axiom{\\spad{u}},{} without checking that \\axiom{\\spad{x}} is in the domain of \\axiom{\\spad{u}}. If such a check is required use the function \\axiom{setelt}.")) (|setelt| ((|#2| $ |#1| |#2|) "\\spad{setelt(u,{}x,{}y)} sets the image of \\spad{x} to be \\spad{y} under \\spad{u},{} assuming \\spad{x} is in the domain of \\spad{u}. Error: if \\spad{x} is not in the domain of \\spad{u}.")) (|qelt| ((|#2| $ |#1|) "\\spad{qelt(u,{} x)} applies \\axiom{\\spad{u}} to \\axiom{\\spad{x}} without checking whether \\axiom{\\spad{x}} is in the domain of \\axiom{\\spad{u}}. If \\axiom{\\spad{x}} is not in the domain of \\axiom{\\spad{u}} a memory-access violation may occur. If a check on whether \\axiom{\\spad{x}} is in the domain of \\axiom{\\spad{u}} is required,{} use the function \\axiom{elt}.")) (|elt| ((|#2| $ |#1| |#2|) "\\spad{elt(u,{} x,{} y)} applies \\spad{u} to \\spad{x} if \\spad{x} is in the domain of \\spad{u},{} and returns \\spad{y} otherwise. For example,{} if \\spad{u} is a polynomial in \\axiom{\\spad{x}} over the rationals,{} \\axiom{elt(\\spad{u},{}\\spad{n},{}0)} may define the coefficient of \\axiom{\\spad{x}} to the power \\spad{n},{} returning 0 when \\spad{n} is out of range."))) 
 NIL 
 NIL 
-(-284 S R |Mod| -3121 -3645 |exactQuo|) 
+(-285 S R |Mod| -2461 -3288 |exactQuo|) 
 ((|constructor| (NIL "These domains are used for the factorization and gcds of univariate polynomials over the integers in order to work modulo different primes. See \\spadtype{ModularRing},{} \\spadtype{ModularField}")) (|elt| ((|#2| $ |#2|) "\\spad{elt(x,{}r)} or \\spad{x}.\\spad{r} is not documented")) (|inv| (($ $) "\\spad{inv(x)} is not documented")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(x)} is not documented")) (|exQuo| (((|Union| $ "failed") $ $) "\\spad{exQuo(x,{}y)} is not documented")) (|reduce| (($ |#2| |#3|) "\\spad{reduce(r,{}m)} is not documented")) (|coerce| ((|#2| $) "\\spad{coerce(x)} is not documented")) (|modulus| ((|#3| $) "\\spad{modulus(x)} is not documented"))) 
-((-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-285) 
+(-286) 
 ((|constructor| (NIL "Entire Rings (non-commutative Integral Domains),{} \\spadignore{i.e.} a ring not necessarily commutative which has no zero divisors. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{ab=0 => a=0 or b=0} \\spad{--} known as noZeroDivisors\\spad{\\br} \\tab{5}\\spad{not(1=0)}")) (|noZeroDivisors| ((|attribute|) "if a product is zero then one of the factors must be zero."))) 
-((-4514 . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4528 . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-286 R) 
+(-287 R) 
 ((|constructor| (NIL "This is a package for the exact computation of eigenvalues and eigenvectors. This package can be made to work for matrices with coefficients which are rational functions over a ring where we can factor polynomials. Rational eigenvalues are always explicitly computed while the non-rational ones are expressed in terms of their minimal polynomial.")) (|eigenvectors| (((|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|:| |eigmult| (|NonNegativeInteger|)) (|:| |eigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| |#1|))))))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{eigenvectors(m)} returns the eigenvalues and eigenvectors for the matrix \\spad{m}. The rational eigenvalues and the correspondent eigenvectors are explicitely computed,{} while the non rational ones are given via their minimal polynomial and the corresponding eigenvectors are expressed in terms of a \"generic\" root of such a polynomial.")) (|generalizedEigenvectors| (((|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|:| |geneigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| |#1|))))))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{generalizedEigenvectors(m)} returns the generalized eigenvectors of the matrix \\spad{m}.")) (|generalizedEigenvector| (((|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|:| |eigmult| (|NonNegativeInteger|)) (|:| |eigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{generalizedEigenvector(eigen,{}m)} returns the generalized eigenvectors of the matrix relative to the eigenvalue \\spad{eigen},{} as returned by the function eigenvectors.") (((|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|))) (|Matrix| (|Fraction| (|Polynomial| |#1|))) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{generalizedEigenvector(alpha,{}m,{}k,{}g)} returns the generalized eigenvectors of the matrix relative to the eigenvalue \\spad{alpha}. The integers \\spad{k} and \\spad{g} are respectively the algebraic and the geometric multiplicity of tye eigenvalue \\spad{alpha}. \\spad{alpha} can be either rational or not. In the seconda case apha is the minimal polynomial of the eigenvalue.")) (|eigenvector| (((|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{eigenvector(eigval,{}m)} returns the eigenvectors belonging to the eigenvalue \\spad{eigval} for the matrix \\spad{m}.")) (|eigenvalues| (((|List| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{eigenvalues(m)} returns the eigenvalues of the matrix \\spad{m} which are expressible as rational functions over the rational numbers.")) (|characteristicPolynomial| (((|Polynomial| |#1|) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{characteristicPolynomial(m)} returns the characteristicPolynomial of the matrix \\spad{m} using a new generated symbol symbol as the main variable.") (((|Polynomial| |#1|) (|Matrix| (|Fraction| (|Polynomial| |#1|))) (|Symbol|)) "\\spad{characteristicPolynomial(m,{}var)} returns the characteristicPolynomial of the matrix \\spad{m} using the symbol \\spad{var} as the main variable."))) 
 NIL 
 NIL 
-(-287 S R) 
+(-288 S R) 
 ((|constructor| (NIL "This package provides operations for mapping the sides of equations.")) (|map| (((|Equation| |#2|) (|Mapping| |#2| |#1|) (|Equation| |#1|)) "\\spad{map(f,{}eq)} returns an equation where \\spad{f} is applied to the sides of \\spad{eq}"))) 
 NIL 
 NIL 
-(-288 S) 
+(-289 S) 
 ((|constructor| (NIL "Equations as mathematical objects. All properties of the basis domain,{} \\spadignore{e.g.} being an abelian group are carried over the equation domain,{} by performing the structural operations on the left and on the right hand side.")) (|subst| (($ $ $) "\\spad{subst(eq1,{}eq2)} substitutes \\spad{eq2} into both sides of \\spad{eq1} the \\spad{lhs} of \\spad{eq2} should be a kernel")) (|inv| (($ $) "\\spad{inv(x)} returns the multiplicative inverse of \\spad{x}.")) (/ (($ $ $) "\\spad{e1/e2} produces a new equation by dividing the left and right hand sides of equations \\spad{e1} and \\spad{e2}.")) (|factorAndSplit| (((|List| $) $) "\\spad{factorAndSplit(eq)} make the right hand side 0 and factors the new left hand side. Each factor is equated to 0 and put into the resulting list without repetitions.")) (|rightOne| (((|Union| $ "failed") $) "\\spad{rightOne(eq)} divides by the right hand side.") (((|Union| $ "failed") $) "\\spad{rightOne(eq)} divides by the right hand side,{} if possible.")) (|leftOne| (((|Union| $ "failed") $) "\\spad{leftOne(eq)} divides by the left hand side.") (((|Union| $ "failed") $) "\\spad{leftOne(eq)} divides by the left hand side,{} if possible.")) (* (($ $ |#1|) "\\spad{eqn*x} produces a new equation by multiplying both sides of equation eqn by \\spad{x}.") (($ |#1| $) "\\spad{x*eqn} produces a new equation by multiplying both sides of equation eqn by \\spad{x}.")) (- (($ $ |#1|) "\\spad{eqn-x} produces a new equation by subtracting \\spad{x} from both sides of equation eqn.") (($ |#1| $) "\\spad{x-eqn} produces a new equation by subtracting both sides of equation eqn from \\spad{x}.")) (|rightZero| (($ $) "\\spad{rightZero(eq)} subtracts the right hand side.")) (|leftZero| (($ $) "\\spad{leftZero(eq)} subtracts the left hand side.")) (+ (($ $ |#1|) "\\spad{eqn+x} produces a new equation by adding \\spad{x} to both sides of equation eqn.") (($ |#1| $) "\\spad{x+eqn} produces a new equation by adding \\spad{x} to both sides of equation eqn.")) (|eval| (($ $ (|List| $)) "\\spad{eval(eqn,{} [x1=v1,{} ... xn=vn])} replaces \\spad{xi} by \\spad{vi} in equation \\spad{eqn}.") (($ $ $) "\\spad{eval(eqn,{} x=f)} replaces \\spad{x} by \\spad{f} in equation \\spad{eqn}.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f,{}eqn)} constructs a new equation by applying \\spad{f} to both sides of \\spad{eqn}.")) (|rhs| ((|#1| $) "\\spad{rhs(eqn)} returns the right hand side of equation \\spad{eqn}.")) (|lhs| ((|#1| $) "\\spad{lhs(eqn)} returns the left hand side of equation \\spad{eqn}.")) (|swap| (($ $) "\\spad{swap(eq)} interchanges left and right hand side of equation \\spad{eq}.")) (|equation| (($ |#1| |#1|) "\\spad{equation(a,{}b)} creates an equation.")) (= (($ |#1| |#1|) "\\spad{a=b} creates an equation."))) 
-((-4518 -2199 (|has| |#1| (-1047)) (|has| |#1| (-478))) (-4515 |has| |#1| (-1047)) (-4516 |has| |#1| (-1047))) 
-((|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-1090))) (|HasCategory| |#1| (QUOTE (-1047))) (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#1| (QUOTE (-1047)))) (|HasCategory| |#1| (QUOTE (-478))) (|HasCategory| |#1| (LIST (QUOTE -523) (QUOTE (-1161)) (|devaluate| |#1|))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-296))) (-2199 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-478)))) (-2199 (|HasCategory| |#1| (QUOTE (-478))) (|HasCategory| |#1| (QUOTE (-1047)))) (|HasCategory| |#1| (QUOTE (-172))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-1047)))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-365)))) (|HasCategory| |#1| (QUOTE (-716))) (-2199 (|HasCategory| |#1| (QUOTE (-478))) (|HasCategory| |#1| (QUOTE (-716)))) (|HasCategory| |#1| (QUOTE (-1102))) (-2199 (|HasCategory| |#1| (QUOTE (-478))) (|HasCategory| |#1| (QUOTE (-716))) (|HasCategory| |#1| (QUOTE (-1102)))) (|HasCategory| |#1| (QUOTE (-21))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-1047)))) (-2199 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-716)))) (|HasCategory| |#1| (QUOTE (-25))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-1047)))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-478))) (|HasCategory| |#1| (QUOTE (-716))) (|HasCategory| |#1| (QUOTE (-1047))) (|HasCategory| |#1| (QUOTE (-1102))) (|HasCategory| |#1| (QUOTE (-1090))))) 
-(-289 |Key| |Entry|) 
+((-4532 -2232 (|has| |#1| (-1048)) (|has| |#1| (-479))) (-4529 |has| |#1| (-1048)) (-4530 |has| |#1| (-1048))) 
+((|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (QUOTE (-1048))) (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-1048)))) (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1163)) (|devaluate| |#1|))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-297))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-479)))) (-2232 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-1048)))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1048)))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-717))) (-2232 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-717)))) (|HasCategory| |#1| (QUOTE (-1103))) (-2232 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-717))) (|HasCategory| |#1| (QUOTE (-1103)))) (|HasCategory| |#1| (QUOTE (-21))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1048)))) (-2232 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-717)))) (|HasCategory| |#1| (QUOTE (-25))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1048)))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-717))) (|HasCategory| |#1| (QUOTE (-1048))) (|HasCategory| |#1| (QUOTE (-1103))) (|HasCategory| |#1| (QUOTE (-1091))))) 
+(-290 |Key| |Entry|) 
 ((|constructor| (NIL "This domain provides tables where the keys are compared using \\spadfun{eq?}. Thus keys are considered equal only if they are the same instance of a structure."))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (QUOTE (-1090))) (-12 (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (LIST (QUOTE -303) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3651) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -4085) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (QUOTE (-1090)))) (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#2| (QUOTE (-1090))) (-2199 (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (QUOTE (-1090))) (|HasCategory| |#2| (QUOTE (-1090)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1090))))) 
-(-290) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (-12 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3782) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-1091))) (-2232 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (|HasCategory| |#2| (QUOTE (-1091)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091))))) 
+(-291) 
 ((|constructor| (NIL "ErrorFunctions implements error functions callable from the system interpreter. Typically,{} these functions would be called in user functions. The simple forms of the functions take one argument which is either a string (an error message) or a list of strings which all together make up a message. The list can contain formatting codes (see below). The more sophisticated versions takes two arguments where the first argument is the name of the function from which the error was invoked and the second argument is either a string or a list of strings,{} as above. When you use the one argument version in an interpreter function,{} the system will automatically insert the name of the function as the new first argument. Thus in the user interpreter function\\spad{\\br} \\tab{5}\\spad{f x == if x < 0 then error \"negative argument\" else x}\\spad{\\br} the call to error will actually be of the form\\spad{\\br} \\tab{5}\\spad{error(\"f\",{}\"negative argument\")}\\spad{\\br} because the interpreter will have created a new first argument. \\blankline Formatting codes: error messages may contain the following formatting codes (they should either start or end a string or else have blanks around them):\\spad{\\br} \\spad{\\%l}\\tab{6}start a new line\\spad{\\br} \\spad{\\%b}\\tab{6}start printing in a bold font (where available)\\spad{\\br} \\spad{\\%d}\\tab{6}stop printing in a bold font (where available)\\spad{\\br} \\spad{\\%ceon}\\tab{3}start centering message lines\\spad{\\br} \\spad{\\%ceoff}\\tab{2}stop centering message lines\\spad{\\br} \\spad{\\%rjon}\\tab{3}start displaying lines \"ragged left\"\\spad{\\br} \\spad{\\%rjoff}\\tab{2}stop displaying lines \"ragged left\"\\spad{\\br} \\spad{\\%i}\\tab{6}indent following lines 3 additional spaces\\spad{\\br} \\spad{\\%u}\\tab{6}unindent following lines 3 additional spaces\\spad{\\br} \\spad{\\%xN}\\tab{5}insert \\spad{N} blanks (eg,{} \\spad{\\%x10} inserts 10 blanks) \\blankline")) (|error| (((|Exit|) (|String|) (|List| (|String|))) "\\spad{error(nam,{}lmsg)} displays error messages \\spad{lmsg} preceded by a message containing the name \\spad{nam} of the function in which the error is contained.") (((|Exit|) (|String|) (|String|)) "\\spad{error(nam,{}msg)} displays error message \\spad{msg} preceded by a message containing the name \\spad{nam} of the function in which the error is contained.") (((|Exit|) (|List| (|String|))) "\\spad{error(lmsg)} displays error message \\spad{lmsg} and terminates.") (((|Exit|) (|String|)) "\\spad{error(msg)} displays error message \\spad{msg} and terminates."))) 
 NIL 
 NIL 
-(-291 -1478 S) 
+(-292 -1564 S) 
 ((|constructor| (NIL "This package allows a map from any expression space into any object to be lifted to a kernel over the expression set,{} using a given property of the operator of the kernel.")) (|map| ((|#2| (|Mapping| |#2| |#1|) (|String|) (|Kernel| |#1|)) "\\spad{map(f,{} p,{} k)} uses the property \\spad{p} of the operator of \\spad{k},{} in order to lift \\spad{f} and apply it to \\spad{k}."))) 
 NIL 
 NIL 
-(-292 E -1478) 
+(-293 E -1564) 
 ((|constructor| (NIL "This package allows a mapping \\spad{E} \\spad{->} \\spad{F} to be lifted to a kernel over \\spad{E}; This lifting can fail if the operator of the kernel cannot be applied in \\spad{F}; Do not use this package with \\spad{E} = \\spad{F},{} since this may drop some properties of the operators.")) (|map| ((|#2| (|Mapping| |#2| |#1|) (|Kernel| |#1|)) "\\spad{map(f,{} k)} returns \\spad{g = op(f(a1),{}...,{}f(an))} where \\spad{k = op(a1,{}...,{}an)}."))) 
 NIL 
 NIL 
-(-293 A B) 
+(-294 A B) 
 ((|constructor| (NIL "\\spad{ExpertSystemContinuityPackage1} exports a function to check range inclusion")) (|in?| (((|Boolean|) (|DoubleFloat|)) "\\spad{in?(p)} tests whether point \\spad{p} is internal to the range [\\spad{A..B}]"))) 
 NIL 
 NIL 
-(-294) 
+(-295) 
 ((|constructor| (NIL "ExpertSystemContinuityPackage is a package of functions for the use of domains belonging to the category \\axiomType{NumericalIntegration}.")) (|sdf2lst| (((|List| (|String|)) (|Stream| (|DoubleFloat|))) "\\spad{sdf2lst(ln)} coerces a Stream of \\axiomType{DoubleFloat} to \\axiomType{List}(\\axiomType{String})")) (|ldf2lst| (((|List| (|String|)) (|List| (|DoubleFloat|))) "\\spad{ldf2lst(ln)} coerces a List of \\axiomType{DoubleFloat} to \\axiomType{List}(\\axiomType{String})")) (|df2st| (((|String|) (|DoubleFloat|)) "\\spad{df2st(n)} coerces a \\axiomType{DoubleFloat} to \\axiomType{String}")) (|polynomialZeros| (((|List| (|DoubleFloat|)) (|Polynomial| (|Fraction| (|Integer|))) (|Symbol|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{polynomialZeros(fn,{}var,{}range)} calculates the real zeros of the polynomial which are contained in the given interval. It returns a list of points (\\axiomType{Doublefloat}) for which the univariate polynomial \\spad{fn} is zero.")) (|singularitiesOf| (((|Stream| (|DoubleFloat|)) (|Vector| (|Expression| (|DoubleFloat|))) (|List| (|Symbol|)) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{singularitiesOf(v,{}vars,{}range)} returns a list of points (\\axiomType{Doublefloat}) at which a NAG fortran version of \\spad{v} will most likely produce an error. This includes those points which evaluate to 0/0.") (((|Stream| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|List| (|Symbol|)) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{singularitiesOf(e,{}vars,{}range)} returns a list of points (\\axiomType{Doublefloat}) at which a NAG fortran version of \\spad{e} will most likely produce an error. This includes those points which evaluate to 0/0.")) (|zerosOf| (((|Stream| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|List| (|Symbol|)) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{zerosOf(e,{}vars,{}range)} returns a list of points (\\axiomType{Doublefloat}) at which a NAG fortran version of \\spad{e} will most likely produce an error.")) (|problemPoints| (((|List| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|Symbol|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{problemPoints(f,{}var,{}range)} returns a list of possible problem points by looking at the zeros of the denominator of the function \\spad{f} if it can be retracted to \\axiomType{Polynomial(DoubleFloat)}.")) (|functionIsFracPolynomial?| (((|Boolean|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{functionIsFracPolynomial?(args)} tests whether the function can be retracted to \\axiomType{Fraction(Polynomial(DoubleFloat))}")) (|gethi| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{gethi(u)} gets the \\axiomType{DoubleFloat} equivalent of the second endpoint of the range \\axiom{\\spad{u}}")) (|getlo| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{getlo(u)} gets the \\axiomType{DoubleFloat} equivalent of the first endpoint of the range \\axiom{\\spad{u}}"))) 
 NIL 
 NIL 
-(-295 S) 
+(-296 S) 
 ((|constructor| (NIL "An expression space is a set which is closed under certain operators.")) (|odd?| (((|Boolean|) $) "\\spad{odd? x} is \\spad{true} if \\spad{x} is an odd integer.")) (|even?| (((|Boolean|) $) "\\spad{even? x} is \\spad{true} if \\spad{x} is an even integer.")) (|definingPolynomial| (($ $) "\\spad{definingPolynomial(x)} returns an expression \\spad{p} such that \\spad{p(x) = 0}.")) (|minPoly| (((|SparseUnivariatePolynomial| $) (|Kernel| $)) "\\spad{minPoly(k)} returns \\spad{p} such that \\spad{p(k) = 0}.")) (|eval| (($ $ (|BasicOperator|) (|Mapping| $ $)) "\\spad{eval(x,{} s,{} f)} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|BasicOperator|) (|Mapping| $ (|List| $))) "\\spad{eval(x,{} s,{} f)} replaces every \\spad{s(a1,{}..,{}am)} in \\spad{x} by \\spad{f(a1,{}..,{}am)} for any \\spad{a1},{}...,{}\\spad{am}.") (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [f1,{}...,{}fm])} replaces every \\spad{\\spad{si}(a1,{}...,{}an)} in \\spad{x} by \\spad{\\spad{fi}(a1,{}...,{}an)} for any \\spad{a1},{}...,{}\\spad{an}.") (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ $))) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [f1,{}...,{}fm])} replaces every \\spad{\\spad{si}(a)} in \\spad{x} by \\spad{\\spad{fi}(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|Mapping| $ $)) "\\spad{eval(x,{} s,{} f)} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|Mapping| $ (|List| $))) "\\spad{eval(x,{} s,{} f)} replaces every \\spad{s(a1,{}..,{}am)} in \\spad{x} by \\spad{f(a1,{}..,{}am)} for any \\spad{a1},{}...,{}\\spad{am}.") (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [f1,{}...,{}fm])} replaces every \\spad{\\spad{si}(a1,{}...,{}an)} in \\spad{x} by \\spad{\\spad{fi}(a1,{}...,{}an)} for any \\spad{a1},{}...,{}\\spad{an}.") (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ $))) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [f1,{}...,{}fm])} replaces every \\spad{\\spad{si}(a)} in \\spad{x} by \\spad{\\spad{fi}(a)} for any \\spad{a}.")) (|freeOf?| (((|Boolean|) $ (|Symbol|)) "\\spad{freeOf?(x,{} s)} tests if \\spad{x} does not contain any operator whose name is \\spad{s}.") (((|Boolean|) $ $) "\\spad{freeOf?(x,{} y)} tests if \\spad{x} does not contain any occurrence of \\spad{y},{} where \\spad{y} is a single kernel.")) (|map| (($ (|Mapping| $ $) (|Kernel| $)) "\\spad{map(f,{} k)} returns \\spad{op(f(x1),{}...,{}f(xn))} where \\spad{k = op(x1,{}...,{}xn)}.")) (|kernel| (($ (|BasicOperator|) (|List| $)) "\\spad{kernel(op,{} [f1,{}...,{}fn])} constructs \\spad{op(f1,{}...,{}fn)} without evaluating it.") (($ (|BasicOperator|) $) "\\spad{kernel(op,{} x)} constructs \\spad{op}(\\spad{x}) without evaluating it.")) (|is?| (((|Boolean|) $ (|Symbol|)) "\\spad{is?(x,{} s)} tests if \\spad{x} is a kernel and is the name of its operator is \\spad{s}.") (((|Boolean|) $ (|BasicOperator|)) "\\spad{is?(x,{} op)} tests if \\spad{x} is a kernel and is its operator is op.")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} tests if \\% accepts \\spad{op} as applicable to its elements.")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns a copy of \\spad{op} with the domain-dependent properties appropriate for \\%.")) (|operators| (((|List| (|BasicOperator|)) $) "\\spad{operators(f)} returns all the basic operators appearing in \\spad{f},{} no matter what their levels are.")) (|tower| (((|List| (|Kernel| $)) $) "\\spad{tower(f)} returns all the kernels appearing in \\spad{f},{} no matter what their levels are.")) (|kernels| (((|List| (|Kernel| $)) $) "\\spad{kernels(f)} returns the list of all the top-level kernels appearing in \\spad{f},{} but not the ones appearing in the arguments of the top-level kernels.")) (|mainKernel| (((|Union| (|Kernel| $) "failed") $) "\\spad{mainKernel(f)} returns a kernel of \\spad{f} with maximum nesting level,{} or if \\spad{f} has no kernels (\\spadignore{i.e.} \\spad{f} is a constant).")) (|height| (((|NonNegativeInteger|) $) "\\spad{height(f)} returns the highest nesting level appearing in \\spad{f}. Constants have height 0. Symbols have height 1. For any operator op and expressions \\spad{f1},{}...,{}\\spad{fn},{} \\spad{op(f1,{}...,{}fn)} has height equal to \\spad{1 + max(height(f1),{}...,{}height(fn))}.")) (|distribute| (($ $ $) "\\spad{distribute(f,{} g)} expands all the kernels in \\spad{f} that contain \\spad{g} in their arguments and that are formally enclosed by a \\spadfunFrom{box}{ExpressionSpace} or a \\spadfunFrom{paren}{ExpressionSpace} expression.") (($ $) "\\spad{distribute(f)} expands all the kernels in \\spad{f} that are formally enclosed by a \\spadfunFrom{box}{ExpressionSpace} or \\spadfunFrom{paren}{ExpressionSpace} expression.")) (|paren| (($ (|List| $)) "\\spad{paren([f1,{}...,{}fn])} returns \\spad{(f1,{}...,{}fn)}. This prevents the \\spad{fi} from being evaluated when operators are applied to them,{} and makes them applicable to a unary operator. For example,{} \\spad{atan(paren [x,{} 2])} returns the formal kernel \\spad{atan((x,{} 2))}.") (($ $) "\\spad{paren(f)} returns (\\spad{f}). This prevents \\spad{f} from being evaluated when operators are applied to it. For example,{} \\spad{log(1)} returns 0,{} but \\spad{log(paren 1)} returns the formal kernel log((1)).")) (|box| (($ (|List| $)) "\\spad{box([f1,{}...,{}fn])} returns \\spad{(f1,{}...,{}fn)} with a 'box' around them that prevents the \\spad{fi} from being evaluated when operators are applied to them,{} and makes them applicable to a unary operator. For example,{} \\spad{atan(box [x,{} 2])} returns the formal kernel \\spad{atan(x,{} 2)}.") (($ $) "\\spad{box(f)} returns \\spad{f} with a 'box' around it that prevents \\spad{f} from being evaluated when operators are applied to it. For example,{} \\spad{log(1)} returns 0,{} but \\spad{log(box 1)} returns the formal kernel log(1).")) (|subst| (($ $ (|List| (|Kernel| $)) (|List| $)) "\\spad{subst(f,{} [k1...,{}kn],{} [g1,{}...,{}gn])} replaces the kernels \\spad{k1},{}...,{}\\spad{kn} by \\spad{g1},{}...,{}\\spad{gn} formally in \\spad{f}.") (($ $ (|List| (|Equation| $))) "\\spad{subst(f,{} [k1 = g1,{}...,{}kn = gn])} replaces the kernels \\spad{k1},{}...,{}\\spad{kn} by \\spad{g1},{}...,{}\\spad{gn} formally in \\spad{f}.") (($ $ (|Equation| $)) "\\spad{subst(f,{} k = g)} replaces the kernel \\spad{k} by \\spad{g} formally in \\spad{f}.")) (|elt| (($ (|BasicOperator|) (|List| $)) "\\spad{elt(op,{}[x1,{}...,{}xn])} or \\spad{op}([\\spad{x1},{}...,{}\\spad{xn}]) applies the \\spad{n}-ary operator \\spad{op} to \\spad{x1},{}...,{}\\spad{xn}.") (($ (|BasicOperator|) $ $ $ $) "\\spad{elt(op,{}x,{}y,{}z,{}t)} or \\spad{op}(\\spad{x},{} \\spad{y},{} \\spad{z},{} \\spad{t}) applies the 4-ary operator \\spad{op} to \\spad{x},{} \\spad{y},{} \\spad{z} and \\spad{t}.") (($ (|BasicOperator|) $ $ $) "\\spad{elt(op,{}x,{}y,{}z)} or \\spad{op}(\\spad{x},{} \\spad{y},{} \\spad{z}) applies the ternary operator \\spad{op} to \\spad{x},{} \\spad{y} and \\spad{z}.") (($ (|BasicOperator|) $ $) "\\spad{elt(op,{}x,{}y)} or \\spad{op}(\\spad{x},{} \\spad{y}) applies the binary operator \\spad{op} to \\spad{x} and \\spad{y}.") (($ (|BasicOperator|) $) "\\spad{elt(op,{}x)} or \\spad{op}(\\spad{x}) applies the unary operator \\spad{op} to \\spad{x}."))) 
 NIL 
-((|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-1047)))) 
-(-296) 
+((|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1048)))) 
+(-297) 
 ((|constructor| (NIL "An expression space is a set which is closed under certain operators.")) (|odd?| (((|Boolean|) $) "\\spad{odd? x} is \\spad{true} if \\spad{x} is an odd integer.")) (|even?| (((|Boolean|) $) "\\spad{even? x} is \\spad{true} if \\spad{x} is an even integer.")) (|definingPolynomial| (($ $) "\\spad{definingPolynomial(x)} returns an expression \\spad{p} such that \\spad{p(x) = 0}.")) (|minPoly| (((|SparseUnivariatePolynomial| $) (|Kernel| $)) "\\spad{minPoly(k)} returns \\spad{p} such that \\spad{p(k) = 0}.")) (|eval| (($ $ (|BasicOperator|) (|Mapping| $ $)) "\\spad{eval(x,{} s,{} f)} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|BasicOperator|) (|Mapping| $ (|List| $))) "\\spad{eval(x,{} s,{} f)} replaces every \\spad{s(a1,{}..,{}am)} in \\spad{x} by \\spad{f(a1,{}..,{}am)} for any \\spad{a1},{}...,{}\\spad{am}.") (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [f1,{}...,{}fm])} replaces every \\spad{\\spad{si}(a1,{}...,{}an)} in \\spad{x} by \\spad{\\spad{fi}(a1,{}...,{}an)} for any \\spad{a1},{}...,{}\\spad{an}.") (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ $))) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [f1,{}...,{}fm])} replaces every \\spad{\\spad{si}(a)} in \\spad{x} by \\spad{\\spad{fi}(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|Mapping| $ $)) "\\spad{eval(x,{} s,{} f)} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|Mapping| $ (|List| $))) "\\spad{eval(x,{} s,{} f)} replaces every \\spad{s(a1,{}..,{}am)} in \\spad{x} by \\spad{f(a1,{}..,{}am)} for any \\spad{a1},{}...,{}\\spad{am}.") (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [f1,{}...,{}fm])} replaces every \\spad{\\spad{si}(a1,{}...,{}an)} in \\spad{x} by \\spad{\\spad{fi}(a1,{}...,{}an)} for any \\spad{a1},{}...,{}\\spad{an}.") (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ $))) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [f1,{}...,{}fm])} replaces every \\spad{\\spad{si}(a)} in \\spad{x} by \\spad{\\spad{fi}(a)} for any \\spad{a}.")) (|freeOf?| (((|Boolean|) $ (|Symbol|)) "\\spad{freeOf?(x,{} s)} tests if \\spad{x} does not contain any operator whose name is \\spad{s}.") (((|Boolean|) $ $) "\\spad{freeOf?(x,{} y)} tests if \\spad{x} does not contain any occurrence of \\spad{y},{} where \\spad{y} is a single kernel.")) (|map| (($ (|Mapping| $ $) (|Kernel| $)) "\\spad{map(f,{} k)} returns \\spad{op(f(x1),{}...,{}f(xn))} where \\spad{k = op(x1,{}...,{}xn)}.")) (|kernel| (($ (|BasicOperator|) (|List| $)) "\\spad{kernel(op,{} [f1,{}...,{}fn])} constructs \\spad{op(f1,{}...,{}fn)} without evaluating it.") (($ (|BasicOperator|) $) "\\spad{kernel(op,{} x)} constructs \\spad{op}(\\spad{x}) without evaluating it.")) (|is?| (((|Boolean|) $ (|Symbol|)) "\\spad{is?(x,{} s)} tests if \\spad{x} is a kernel and is the name of its operator is \\spad{s}.") (((|Boolean|) $ (|BasicOperator|)) "\\spad{is?(x,{} op)} tests if \\spad{x} is a kernel and is its operator is op.")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} tests if \\% accepts \\spad{op} as applicable to its elements.")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns a copy of \\spad{op} with the domain-dependent properties appropriate for \\%.")) (|operators| (((|List| (|BasicOperator|)) $) "\\spad{operators(f)} returns all the basic operators appearing in \\spad{f},{} no matter what their levels are.")) (|tower| (((|List| (|Kernel| $)) $) "\\spad{tower(f)} returns all the kernels appearing in \\spad{f},{} no matter what their levels are.")) (|kernels| (((|List| (|Kernel| $)) $) "\\spad{kernels(f)} returns the list of all the top-level kernels appearing in \\spad{f},{} but not the ones appearing in the arguments of the top-level kernels.")) (|mainKernel| (((|Union| (|Kernel| $) "failed") $) "\\spad{mainKernel(f)} returns a kernel of \\spad{f} with maximum nesting level,{} or if \\spad{f} has no kernels (\\spadignore{i.e.} \\spad{f} is a constant).")) (|height| (((|NonNegativeInteger|) $) "\\spad{height(f)} returns the highest nesting level appearing in \\spad{f}. Constants have height 0. Symbols have height 1. For any operator op and expressions \\spad{f1},{}...,{}\\spad{fn},{} \\spad{op(f1,{}...,{}fn)} has height equal to \\spad{1 + max(height(f1),{}...,{}height(fn))}.")) (|distribute| (($ $ $) "\\spad{distribute(f,{} g)} expands all the kernels in \\spad{f} that contain \\spad{g} in their arguments and that are formally enclosed by a \\spadfunFrom{box}{ExpressionSpace} or a \\spadfunFrom{paren}{ExpressionSpace} expression.") (($ $) "\\spad{distribute(f)} expands all the kernels in \\spad{f} that are formally enclosed by a \\spadfunFrom{box}{ExpressionSpace} or \\spadfunFrom{paren}{ExpressionSpace} expression.")) (|paren| (($ (|List| $)) "\\spad{paren([f1,{}...,{}fn])} returns \\spad{(f1,{}...,{}fn)}. This prevents the \\spad{fi} from being evaluated when operators are applied to them,{} and makes them applicable to a unary operator. For example,{} \\spad{atan(paren [x,{} 2])} returns the formal kernel \\spad{atan((x,{} 2))}.") (($ $) "\\spad{paren(f)} returns (\\spad{f}). This prevents \\spad{f} from being evaluated when operators are applied to it. For example,{} \\spad{log(1)} returns 0,{} but \\spad{log(paren 1)} returns the formal kernel log((1)).")) (|box| (($ (|List| $)) "\\spad{box([f1,{}...,{}fn])} returns \\spad{(f1,{}...,{}fn)} with a 'box' around them that prevents the \\spad{fi} from being evaluated when operators are applied to them,{} and makes them applicable to a unary operator. For example,{} \\spad{atan(box [x,{} 2])} returns the formal kernel \\spad{atan(x,{} 2)}.") (($ $) "\\spad{box(f)} returns \\spad{f} with a 'box' around it that prevents \\spad{f} from being evaluated when operators are applied to it. For example,{} \\spad{log(1)} returns 0,{} but \\spad{log(box 1)} returns the formal kernel log(1).")) (|subst| (($ $ (|List| (|Kernel| $)) (|List| $)) "\\spad{subst(f,{} [k1...,{}kn],{} [g1,{}...,{}gn])} replaces the kernels \\spad{k1},{}...,{}\\spad{kn} by \\spad{g1},{}...,{}\\spad{gn} formally in \\spad{f}.") (($ $ (|List| (|Equation| $))) "\\spad{subst(f,{} [k1 = g1,{}...,{}kn = gn])} replaces the kernels \\spad{k1},{}...,{}\\spad{kn} by \\spad{g1},{}...,{}\\spad{gn} formally in \\spad{f}.") (($ $ (|Equation| $)) "\\spad{subst(f,{} k = g)} replaces the kernel \\spad{k} by \\spad{g} formally in \\spad{f}.")) (|elt| (($ (|BasicOperator|) (|List| $)) "\\spad{elt(op,{}[x1,{}...,{}xn])} or \\spad{op}([\\spad{x1},{}...,{}\\spad{xn}]) applies the \\spad{n}-ary operator \\spad{op} to \\spad{x1},{}...,{}\\spad{xn}.") (($ (|BasicOperator|) $ $ $ $) "\\spad{elt(op,{}x,{}y,{}z,{}t)} or \\spad{op}(\\spad{x},{} \\spad{y},{} \\spad{z},{} \\spad{t}) applies the 4-ary operator \\spad{op} to \\spad{x},{} \\spad{y},{} \\spad{z} and \\spad{t}.") (($ (|BasicOperator|) $ $ $) "\\spad{elt(op,{}x,{}y,{}z)} or \\spad{op}(\\spad{x},{} \\spad{y},{} \\spad{z}) applies the ternary operator \\spad{op} to \\spad{x},{} \\spad{y} and \\spad{z}.") (($ (|BasicOperator|) $ $) "\\spad{elt(op,{}x,{}y)} or \\spad{op}(\\spad{x},{} \\spad{y}) applies the binary operator \\spad{op} to \\spad{x} and \\spad{y}.") (($ (|BasicOperator|) $) "\\spad{elt(op,{}x)} or \\spad{op}(\\spad{x}) applies the unary operator \\spad{op} to \\spad{x}."))) 
 NIL 
 NIL 
-(-297 R1) 
+(-298 R1) 
 ((|constructor| (NIL "\\axiom{\\spad{ExpertSystemToolsPackage1}} contains some useful functions for use by the computational agents of Ordinary Differential Equation solvers.")) (|neglist| (((|List| |#1|) (|List| |#1|)) "\\spad{neglist(l)} returns only the negative elements of the list \\spad{l}"))) 
 NIL 
 NIL 
-(-298 R1 R2) 
+(-299 R1 R2) 
 ((|constructor| (NIL "\\axiom{\\spad{ExpertSystemToolsPackage2}} contains some useful functions for use by the computational agents of Ordinary Differential Equation solvers.")) (|map| (((|Matrix| |#2|) (|Mapping| |#2| |#1|) (|Matrix| |#1|)) "\\spad{map(f,{}m)} applies a mapping \\spad{f:R1} \\spad{->} \\spad{R2} onto a matrix \\spad{m} in \\spad{R1} returning a matrix in \\spad{R2}"))) 
 NIL 
 NIL 
-(-299) 
+(-300) 
 ((|constructor| (NIL "\\axiom{ExpertSystemToolsPackage} contains some useful functions for use by the computational agents of numerical solvers.")) (|mat| (((|Matrix| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|NonNegativeInteger|)) "\\spad{mat(a,{}n)} constructs a one-dimensional matrix of a.")) (|fi2df| (((|DoubleFloat|) (|Fraction| (|Integer|))) "\\spad{fi2df(f)} coerces a \\axiomType{Fraction Integer} to \\axiomType{DoubleFloat}")) (|df2ef| (((|Expression| (|Float|)) (|DoubleFloat|)) "\\spad{df2ef(a)} coerces a \\axiomType{DoubleFloat} to \\axiomType{Expression Float}")) (|pdf2df| (((|DoubleFloat|) (|Polynomial| (|DoubleFloat|))) "\\spad{pdf2df(p)} coerces a \\axiomType{Polynomial DoubleFloat} to \\axiomType{DoubleFloat}. It is an error if \\axiom{\\spad{p}} is not retractable to DoubleFloat.")) (|pdf2ef| (((|Expression| (|Float|)) (|Polynomial| (|DoubleFloat|))) "\\spad{pdf2ef(p)} coerces a \\axiomType{Polynomial DoubleFloat} to \\axiomType{Expression Float}")) (|iflist2Result| (((|Result|) (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))) "\\spad{iflist2Result(m)} converts a attributes record into a \\axiomType{Result}")) (|att2Result| (((|Result|) (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) "\\spad{att2Result(m)} converts a attributes record into a \\axiomType{Result}")) (|measure2Result| (((|Result|) (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|)))) "\\spad{measure2Result(m)} converts a measure record into a \\axiomType{Result}") (((|Result|) (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) "\\spad{measure2Result(m)} converts a measure record into a \\axiomType{Result}")) (|outputMeasure| (((|String|) (|Float|)) "\\spad{outputMeasure(n)} rounds \\spad{n} to 3 decimal places and outputs it as a string")) (|concat| (((|Result|) (|List| (|Result|))) "\\spad{concat(l)} concatenates a list of aggregates of type \\axiomType{Result}") (((|Result|) (|Result|) (|Result|)) "\\spad{concat(a,{}b)} adds two aggregates of type \\axiomType{Result}.")) (|gethi| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{gethi(u)} gets the \\axiomType{DoubleFloat} equivalent of the second endpoint of the range \\spad{u}")) (|getlo| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{getlo(u)} gets the \\axiomType{DoubleFloat} equivalent of the first endpoint of the range \\spad{u}")) (|sdf2lst| (((|List| (|String|)) (|Stream| (|DoubleFloat|))) "\\spad{sdf2lst(ln)} coerces a \\axiomType{Stream DoubleFloat} to \\axiomType{String}")) (|ldf2lst| (((|List| (|String|)) (|List| (|DoubleFloat|))) "\\spad{ldf2lst(ln)} coerces a \\axiomType{List DoubleFloat} to \\axiomType{List String}")) (|f2st| (((|String|) (|Float|)) "\\spad{f2st(n)} coerces a \\axiomType{Float} to \\axiomType{String}")) (|df2st| (((|String|) (|DoubleFloat|)) "\\spad{df2st(n)} coerces a \\axiomType{DoubleFloat} to \\axiomType{String}")) (|in?| (((|Boolean|) (|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{in?(p,{}range)} tests whether point \\spad{p} is internal to the \\spad{range} \\spad{range}")) (|vedf2vef| (((|Vector| (|Expression| (|Float|))) (|Vector| (|Expression| (|DoubleFloat|)))) "\\spad{vedf2vef(v)} maps \\axiomType{Vector Expression DoubleFloat} to \\axiomType{Vector Expression Float}")) (|edf2ef| (((|Expression| (|Float|)) (|Expression| (|DoubleFloat|))) "\\spad{edf2ef(e)} maps \\axiomType{Expression DoubleFloat} to \\axiomType{Expression Float}")) (|ldf2vmf| (((|Vector| (|MachineFloat|)) (|List| (|DoubleFloat|))) "\\spad{ldf2vmf(l)} coerces a \\axiomType{List DoubleFloat} to \\axiomType{List MachineFloat}")) (|df2mf| (((|MachineFloat|) (|DoubleFloat|)) "\\spad{df2mf(n)} coerces a \\axiomType{DoubleFloat} to \\axiomType{MachineFloat}")) (|dflist| (((|List| (|DoubleFloat|)) (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) "\\spad{dflist(l)} returns a list of \\axiomType{DoubleFloat} equivalents of list \\spad{l}")) (|dfRange| (((|Segment| (|OrderedCompletion| (|DoubleFloat|))) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{dfRange(r)} converts a range including \\inputbitmap{\\htbmdir{}/plusminus.bitmap} \\infty to \\axiomType{DoubleFloat} equavalents.")) (|edf2efi| (((|Expression| (|Fraction| (|Integer|))) (|Expression| (|DoubleFloat|))) "\\spad{edf2efi(e)} coerces \\axiomType{Expression DoubleFloat} into \\axiomType{Expression Fraction Integer}")) (|numberOfOperations| (((|Record| (|:| |additions| (|Integer|)) (|:| |multiplications| (|Integer|)) (|:| |exponentiations| (|Integer|)) (|:| |functionCalls| (|Integer|))) (|Vector| (|Expression| (|DoubleFloat|)))) "\\spad{numberOfOperations(ode)} counts additions,{} multiplications,{} exponentiations and function calls in the input set of expressions.")) (|expenseOfEvaluation| (((|Float|) (|Vector| (|Expression| (|DoubleFloat|)))) "\\spad{expenseOfEvaluation(o)} gives an approximation of the cost of evaluating a list of expressions in terms of the number of basic operations. < 0.3 inexpensive ; 0.5 neutral ; > 0.7 very expensive 400 `operation units' \\spad{->} 0.75 200 `operation units' \\spad{->} 0.5 83 `operation units' \\spad{->} 0.25 \\spad{**} = 4 units ,{} function calls = 10 units.")) (|isQuotient| (((|Union| (|Expression| (|DoubleFloat|)) "failed") (|Expression| (|DoubleFloat|))) "\\spad{isQuotient(expr)} returns the quotient part of the input expression or \\spad{\"failed\"} if the expression is not of that form.")) (|edf2df| (((|DoubleFloat|) (|Expression| (|DoubleFloat|))) "\\spad{edf2df(n)} maps \\axiomType{Expression DoubleFloat} to \\axiomType{DoubleFloat} It is an error if \\spad{n} is not coercible to DoubleFloat")) (|edf2fi| (((|Fraction| (|Integer|)) (|Expression| (|DoubleFloat|))) "\\spad{edf2fi(n)} maps \\axiomType{Expression DoubleFloat} to \\axiomType{Fraction Integer} It is an error if \\spad{n} is not coercible to Fraction Integer")) (|df2fi| (((|Fraction| (|Integer|)) (|DoubleFloat|)) "\\spad{df2fi(n)} is a function to convert a \\axiomType{DoubleFloat} to a \\axiomType{Fraction Integer}")) (|convert| (((|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|List| (|Segment| (|OrderedCompletion| (|Float|))))) "\\spad{convert(l)} is a function to convert a \\axiomType{Segment OrderedCompletion Float} to a \\axiomType{Segment OrderedCompletion DoubleFloat}")) (|socf2socdf| (((|Segment| (|OrderedCompletion| (|DoubleFloat|))) (|Segment| (|OrderedCompletion| (|Float|)))) "\\spad{socf2socdf(a)} is a function to convert a \\axiomType{Segment OrderedCompletion Float} to a \\axiomType{Segment OrderedCompletion DoubleFloat}")) (|ocf2ocdf| (((|OrderedCompletion| (|DoubleFloat|)) (|OrderedCompletion| (|Float|))) "\\spad{ocf2ocdf(a)} is a function to convert an \\axiomType{OrderedCompletion Float} to an \\axiomType{OrderedCompletion DoubleFloat}")) (|ef2edf| (((|Expression| (|DoubleFloat|)) (|Expression| (|Float|))) "\\spad{ef2edf(f)} is a function to convert an \\axiomType{Expression Float} to an \\axiomType{Expression DoubleFloat}")) (|f2df| (((|DoubleFloat|) (|Float|)) "\\spad{f2df(f)} is a function to convert a \\axiomType{Float} to a \\axiomType{DoubleFloat}"))) 
 NIL 
 NIL 
-(-300 S) 
+(-301 S) 
 ((|constructor| (NIL "A constructive euclidean domain,{} \\spadignore{i.e.} one can divide producing a quotient and a remainder where the remainder is either zero or is smaller (\\spadfun{euclideanSize}) than the divisor. \\blankline Conditional attributes\\spad{\\br} \\tab{5}multiplicativeValuation\\tab{5}Size(a*b)=Size(a)*Size(\\spad{b})\\spad{\\br} \\tab{5}additiveValuation\\tab{11}Size(a*b)=Size(a)+Size(\\spad{b})")) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) "\\spad{multiEuclidean([f1,{}...,{}fn],{}z)} returns a list of coefficients \\spad{[a1,{} ...,{} an]} such that \\spad{ z / prod \\spad{fi} = sum aj/fj}. If no such list of coefficients exists,{} \"failed\" is returned.")) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) "\\spad{extendedEuclidean(x,{}y,{}z)} either returns a record rec where \\spad{rec.coef1*x+rec.coef2*y=z} or returns \"failed\" if \\spad{z} cannot be expressed as a linear combination of \\spad{x} and \\spad{y}.") (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{extendedEuclidean(x,{}y)} returns a record rec where \\spad{rec.coef1*x+rec.coef2*y = rec.generator} and rec.generator is a \\spad{gcd} of \\spad{x} and \\spad{y}. The \\spad{gcd} is unique only up to associates if \\spadatt{canonicalUnitNormal} is not asserted. \\spadfun{principalIdeal} provides a version of this operation which accepts an arbitrary length list of arguments.")) (|rem| (($ $ $) "\\spad{x rem y} is the same as \\spad{divide(x,{}y).remainder}. See \\spadfunFrom{divide}{EuclideanDomain}.")) (|quo| (($ $ $) "\\spad{x quo y} is the same as \\spad{divide(x,{}y).quotient}. See \\spadfunFrom{divide}{EuclideanDomain}.")) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{divide(x,{}y)} divides \\spad{x} by \\spad{y} producing a record containing a \\spad{quotient} and \\spad{remainder},{} where the remainder is smaller (see \\spadfunFrom{sizeLess?}{EuclideanDomain}) than the divisor \\spad{y}.")) (|euclideanSize| (((|NonNegativeInteger|) $) "\\spad{euclideanSize(x)} returns the euclidean size of the element \\spad{x}. Error: if \\spad{x} is zero.")) (|sizeLess?| (((|Boolean|) $ $) "\\spad{sizeLess?(x,{}y)} tests whether \\spad{x} is strictly smaller than \\spad{y} with respect to the \\spadfunFrom{euclideanSize}{EuclideanDomain}."))) 
 NIL 
 NIL 
-(-301) 
+(-302) 
 ((|constructor| (NIL "A constructive euclidean domain,{} \\spadignore{i.e.} one can divide producing a quotient and a remainder where the remainder is either zero or is smaller (\\spadfun{euclideanSize}) than the divisor. \\blankline Conditional attributes\\spad{\\br} \\tab{5}multiplicativeValuation\\tab{5}Size(a*b)=Size(a)*Size(\\spad{b})\\spad{\\br} \\tab{5}additiveValuation\\tab{11}Size(a*b)=Size(a)+Size(\\spad{b})")) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) "\\spad{multiEuclidean([f1,{}...,{}fn],{}z)} returns a list of coefficients \\spad{[a1,{} ...,{} an]} such that \\spad{ z / prod \\spad{fi} = sum aj/fj}. If no such list of coefficients exists,{} \"failed\" is returned.")) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) "\\spad{extendedEuclidean(x,{}y,{}z)} either returns a record rec where \\spad{rec.coef1*x+rec.coef2*y=z} or returns \"failed\" if \\spad{z} cannot be expressed as a linear combination of \\spad{x} and \\spad{y}.") (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{extendedEuclidean(x,{}y)} returns a record rec where \\spad{rec.coef1*x+rec.coef2*y = rec.generator} and rec.generator is a \\spad{gcd} of \\spad{x} and \\spad{y}. The \\spad{gcd} is unique only up to associates if \\spadatt{canonicalUnitNormal} is not asserted. \\spadfun{principalIdeal} provides a version of this operation which accepts an arbitrary length list of arguments.")) (|rem| (($ $ $) "\\spad{x rem y} is the same as \\spad{divide(x,{}y).remainder}. See \\spadfunFrom{divide}{EuclideanDomain}.")) (|quo| (($ $ $) "\\spad{x quo y} is the same as \\spad{divide(x,{}y).quotient}. See \\spadfunFrom{divide}{EuclideanDomain}.")) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{divide(x,{}y)} divides \\spad{x} by \\spad{y} producing a record containing a \\spad{quotient} and \\spad{remainder},{} where the remainder is smaller (see \\spadfunFrom{sizeLess?}{EuclideanDomain}) than the divisor \\spad{y}.")) (|euclideanSize| (((|NonNegativeInteger|) $) "\\spad{euclideanSize(x)} returns the euclidean size of the element \\spad{x}. Error: if \\spad{x} is zero.")) (|sizeLess?| (((|Boolean|) $ $) "\\spad{sizeLess?(x,{}y)} tests whether \\spad{x} is strictly smaller than \\spad{y} with respect to the \\spadfunFrom{euclideanSize}{EuclideanDomain}."))) 
-((-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-302 S R) 
+(-303 S R) 
 ((|constructor| (NIL "This category provides \\spadfun{eval} operations. A domain may belong to this category if it is possible to make ``evaluation\\spad{''} substitutions.")) (|eval| (($ $ (|List| (|Equation| |#2|))) "\\spad{eval(f,{} [x1 = v1,{}...,{}xn = vn])} replaces \\spad{xi} by \\spad{vi} in \\spad{f}.") (($ $ (|Equation| |#2|)) "\\spad{eval(f,{}x = v)} replaces \\spad{x} by \\spad{v} in \\spad{f}."))) 
 NIL 
 NIL 
-(-303 R) 
+(-304 R) 
 ((|constructor| (NIL "This category provides \\spadfun{eval} operations. A domain may belong to this category if it is possible to make ``evaluation\\spad{''} substitutions.")) (|eval| (($ $ (|List| (|Equation| |#1|))) "\\spad{eval(f,{} [x1 = v1,{}...,{}xn = vn])} replaces \\spad{xi} by \\spad{vi} in \\spad{f}.") (($ $ (|Equation| |#1|)) "\\spad{eval(f,{}x = v)} replaces \\spad{x} by \\spad{v} in \\spad{f}."))) 
 NIL 
 NIL 
-(-304 -1478) 
+(-305 -1564) 
 ((|constructor| (NIL "This package is to be used in conjuction with the CycleIndicators package. It provides an evaluation function for SymmetricPolynomials.")) (|eval| ((|#1| (|Mapping| |#1| (|Integer|)) (|SymmetricPolynomial| (|Fraction| (|Integer|)))) "\\spad{eval(f,{}s)} evaluates the cycle index \\spad{s} by applying \\indented{1}{the function \\spad{f} to each integer in a monomial partition,{}} \\indented{1}{forms their product and sums the results over all monomials.}"))) 
 NIL 
 NIL 
-(-305) 
+(-306) 
 ((|constructor| (NIL "A function which does not return directly to its caller should have Exit as its return type. \\blankline Note that It is convenient to have a formal \\spad{coerce} into each type from type Exit. This allows,{} for example,{} errors to be raised in one half of a type-balanced \\spad{if}."))) 
 NIL 
 NIL 
-(-306) 
+(-307) 
 ((|writeObj| (((|Void|) (|SubSpace| 3 (|DoubleFloat|)) (|String|)) "writes 3D SubSpace to a file in Wavefront (.OBJ) format"))) 
 NIL 
 NIL 
-(-307 R FE |var| |cen|) 
+(-308 R FE |var| |cen|) 
 ((|constructor| (NIL "UnivariatePuiseuxSeriesWithExponentialSingularity is a domain used to represent essential singularities of functions. Objects in this domain are quotients of sums,{} where each term in the sum is a univariate Puiseux series times the exponential of a univariate Puiseux series.")) (|coerce| (($ (|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) "\\spad{coerce(f)} converts a \\spadtype{UnivariatePuiseuxSeries} to an \\spadtype{ExponentialExpansion}.")) (|limitPlus| (((|Union| (|OrderedCompletion| |#2|) "failed") $) "\\spad{limitPlus(f(var))} returns \\spad{limit(var -> a+,{}f(var))}."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| (-1229 |#1| |#2| |#3| |#4|) (QUOTE (-904))) (|HasCategory| (-1229 |#1| |#2| |#3| |#4|) (LIST (QUOTE -1037) (QUOTE (-1161)))) (|HasCategory| (-1229 |#1| |#2| |#3| |#4|) (QUOTE (-148))) (|HasCategory| (-1229 |#1| |#2| |#3| |#4|) (QUOTE (-150))) (|HasCategory| (-1229 |#1| |#2| |#3| |#4|) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| (-1229 |#1| |#2| |#3| |#4|) (QUOTE (-1021))) (|HasCategory| (-1229 |#1| |#2| |#3| |#4|) (QUOTE (-815))) (|HasCategory| (-1229 |#1| |#2| |#3| |#4|) (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| (-1229 |#1| |#2| |#3| |#4|) (QUOTE (-1136))) (|HasCategory| (-1229 |#1| |#2| |#3| |#4|) (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| (-1229 |#1| |#2| |#3| |#4|) (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| (-1229 |#1| |#2| |#3| |#4|) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| (-1229 |#1| |#2| |#3| |#4|) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| (-1229 |#1| |#2| |#3| |#4|) (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| (-1229 |#1| |#2| |#3| |#4|) (QUOTE (-225))) (|HasCategory| (-1229 |#1| |#2| |#3| |#4|) (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| (-1229 |#1| |#2| |#3| |#4|) (LIST (QUOTE -523) (QUOTE (-1161)) (LIST (QUOTE -1229) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)))) (|HasCategory| (-1229 |#1| |#2| |#3| |#4|) (LIST (QUOTE -303) (LIST (QUOTE -1229) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)))) (|HasCategory| (-1229 |#1| |#2| |#3| |#4|) (LIST (QUOTE -281) (LIST (QUOTE -1229) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)) (LIST (QUOTE -1229) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)))) (|HasCategory| (-1229 |#1| |#2| |#3| |#4|) (QUOTE (-301))) (|HasCategory| (-1229 |#1| |#2| |#3| |#4|) (QUOTE (-550))) (|HasCategory| (-1229 |#1| |#2| |#3| |#4|) (QUOTE (-842))) (-2199 (|HasCategory| (-1229 |#1| |#2| |#3| |#4|) (QUOTE (-815))) (|HasCategory| (-1229 |#1| |#2| |#3| |#4|) (QUOTE (-842)))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| (-1229 |#1| |#2| |#3| |#4|) (QUOTE (-904)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| (-1229 |#1| |#2| |#3| |#4|) (QUOTE (-904)))) (|HasCategory| (-1229 |#1| |#2| |#3| |#4|) (QUOTE (-148))))) 
-(-308 R S) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-905))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-149))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-151))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-1022))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-816))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-1137))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-226))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (LIST (QUOTE -524) (QUOTE (-1163)) (LIST (QUOTE -1232) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (LIST (QUOTE -304) (LIST (QUOTE -1232) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (LIST (QUOTE -282) (LIST (QUOTE -1232) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)) (LIST (QUOTE -1232) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-302))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-551))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-843))) (-2232 (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-816))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-843)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-905)))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-149))))) 
+(-309 R S) 
 ((|constructor| (NIL "Lifting of maps to Expressions.")) (|map| (((|Expression| |#2|) (|Mapping| |#2| |#1|) (|Expression| |#1|)) "\\spad{map(f,{} e)} applies \\spad{f} to all the constants appearing in \\spad{e}."))) 
 NIL 
 NIL 
-(-309 R FE) 
+(-310 R FE) 
 ((|constructor| (NIL "This package provides functions to convert functional expressions to power series.")) (|series| (((|Any|) |#2| (|Equation| |#2|) (|Fraction| (|Integer|))) "\\spad{series(f,{}x = a,{}n)} expands the expression \\spad{f} as a series in powers of (\\spad{x} - a); terms will be computed up to order at least \\spad{n}.") (((|Any|) |#2| (|Equation| |#2|)) "\\spad{series(f,{}x = a)} expands the expression \\spad{f} as a series in powers of (\\spad{x} - a).") (((|Any|) |#2| (|Fraction| (|Integer|))) "\\spad{series(f,{}n)} returns a series expansion of the expression \\spad{f}. Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable and terms will be computed up to order at least \\spad{n}.") (((|Any|) |#2|) "\\spad{series(f)} returns a series expansion of the expression \\spad{f}. Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable.") (((|Any|) (|Symbol|)) "\\spad{series(x)} returns \\spad{x} viewed as a series.")) (|puiseux| (((|Any|) |#2| (|Equation| |#2|) (|Fraction| (|Integer|))) "\\spad{puiseux(f,{}x = a,{}n)} expands the expression \\spad{f} as a Puiseux series in powers of \\spad{(x - a)}; terms will be computed up to order at least \\spad{n}.") (((|Any|) |#2| (|Equation| |#2|)) "\\spad{puiseux(f,{}x = a)} expands the expression \\spad{f} as a Puiseux series in powers of \\spad{(x - a)}.") (((|Any|) |#2| (|Fraction| (|Integer|))) "\\spad{puiseux(f,{}n)} returns a Puiseux expansion of the expression \\spad{f}. Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable and terms will be computed up to order at least \\spad{n}.") (((|Any|) |#2|) "\\spad{puiseux(f)} returns a Puiseux expansion of the expression \\spad{f}. Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable.") (((|Any|) (|Symbol|)) "\\spad{puiseux(x)} returns \\spad{x} viewed as a Puiseux series.")) (|laurent| (((|Any|) |#2| (|Equation| |#2|) (|Integer|)) "\\spad{laurent(f,{}x = a,{}n)} expands the expression \\spad{f} as a Laurent series in powers of \\spad{(x - a)}; terms will be computed up to order at least \\spad{n}.") (((|Any|) |#2| (|Equation| |#2|)) "\\spad{laurent(f,{}x = a)} expands the expression \\spad{f} as a Laurent series in powers of \\spad{(x - a)}.") (((|Any|) |#2| (|Integer|)) "\\spad{laurent(f,{}n)} returns a Laurent expansion of the expression \\spad{f}. Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable and terms will be computed up to order at least \\spad{n}.") (((|Any|) |#2|) "\\spad{laurent(f)} returns a Laurent expansion of the expression \\spad{f}. Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable.") (((|Any|) (|Symbol|)) "\\spad{laurent(x)} returns \\spad{x} viewed as a Laurent series.")) (|taylor| (((|Any|) |#2| (|Equation| |#2|) (|NonNegativeInteger|)) "\\spad{taylor(f,{}x = a)} expands the expression \\spad{f} as a Taylor series in powers of \\spad{(x - a)}; terms will be computed up to order at least \\spad{n}.") (((|Any|) |#2| (|Equation| |#2|)) "\\spad{taylor(f,{}x = a)} expands the expression \\spad{f} as a Taylor series in powers of \\spad{(x - a)}.") (((|Any|) |#2| (|NonNegativeInteger|)) "\\spad{taylor(f,{}n)} returns a Taylor expansion of the expression \\spad{f}. Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable and terms will be computed up to order at least \\spad{n}.") (((|Any|) |#2|) "\\spad{taylor(f)} returns a Taylor expansion of the expression \\spad{f}. Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable.") (((|Any|) (|Symbol|)) "\\spad{taylor(x)} returns \\spad{x} viewed as a Taylor series."))) 
 NIL 
 NIL 
-(-310 R) 
+(-311 R) 
 ((|constructor| (NIL "Top-level mathematical expressions involving symbolic functions.")) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{squareFreePolynomial(p)} is not documented")) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{factorPolynomial(p)} is not documented")) (|simplifyPower| (($ $ (|Integer|)) "simplifyPower?(\\spad{f},{}\\spad{n}) is not documented")) (|number?| (((|Boolean|) $) "\\spad{number?(f)} tests if \\spad{f} is rational")) (|reduce| (($ $) "\\spad{reduce(f)} simplifies all the unreduced algebraic quantities present in \\spad{f} by applying their defining relations."))) 
-((-4518 -2199 (-2141 (|has| |#1| (-1047)) (|has| |#1| (-630 (-568)))) (-12 (|has| |#1| (-558)) (-2199 (-2141 (|has| |#1| (-1047)) (|has| |#1| (-630 (-568)))) (|has| |#1| (-1047)) (|has| |#1| (-478)))) (|has| |#1| (-1047)) (|has| |#1| (-478))) (-4516 |has| |#1| (-172)) (-4515 |has| |#1| (-172)) ((-4523 "*") |has| |#1| (-558)) (-4514 |has| |#1| (-558)) (-4519 |has| |#1| (-558)) (-4513 |has| |#1| (-558))) 
-((|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-1047))) (-2199 (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-1047)))) (|HasCategory| |#1| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-478))) (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-558)))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-1047)))) (-12 (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-558)))) (-2199 (|HasCategory| |#1| (QUOTE (-478))) (|HasCategory| |#1| (QUOTE (-558)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-1047)))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-1047)))) (-2199 (|HasCategory| |#1| (QUOTE (-478))) (|HasCategory| |#1| (QUOTE (-1047)))) (|HasCategory| |#1| (QUOTE (-21))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-1047)))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-1047)))) (|HasCategory| |#1| (QUOTE (-21)))) (|HasCategory| |#1| (QUOTE (-25))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-1047)))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-1047)))) (|HasCategory| |#1| (QUOTE (-25)))) (|HasCategory| |#1| (QUOTE (-1102))) (-2199 (|HasCategory| |#1| (QUOTE (-478))) (|HasCategory| |#1| (QUOTE (-1102)))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-1047)))) (|HasCategory| |#1| (QUOTE (-1102)))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-1047)))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-1102)))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-558))))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-558)))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-558)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-558))))) (|HasCategory| $ (QUOTE (-1047))) (|HasCategory| $ (LIST (QUOTE -1037) (QUOTE (-568))))) 
-(-311 R -1478) 
+((-4532 -2232 (-2206 (|has| |#1| (-1048)) (|has| |#1| (-631 (-569)))) (-12 (|has| |#1| (-559)) (-2232 (-2206 (|has| |#1| (-1048)) (|has| |#1| (-631 (-569)))) (|has| |#1| (-1048)) (|has| |#1| (-479)))) (|has| |#1| (-1048)) (|has| |#1| (-479))) (-4530 |has| |#1| (-173)) (-4529 |has| |#1| (-173)) ((-4537 "*") |has| |#1| (-559)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-559)) (-4527 |has| |#1| (-559))) 
+((|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-1048))) (-2232 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-1048)))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559)))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-1048)))) (-12 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559)))) (-2232 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1048)))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1048)))) (-2232 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-1048)))) (|HasCategory| |#1| (QUOTE (-21))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-1048)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1048)))) (|HasCategory| |#1| (QUOTE (-21)))) (|HasCategory| |#1| (QUOTE (-25))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-1048)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1048)))) (|HasCategory| |#1| (QUOTE (-25)))) (|HasCategory| |#1| (QUOTE (-1103))) (-2232 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-1103)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1048)))) (|HasCategory| |#1| (QUOTE (-1103)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1048)))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-1103)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559))))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559))))) (|HasCategory| $ (QUOTE (-1048))) (|HasCategory| $ (LIST (QUOTE -1038) (QUOTE (-569))))) 
+(-312 R -1564) 
 ((|constructor| (NIL "Taylor series solutions of explicit ODE\\spad{'s}.")) (|seriesSolve| (((|Any|) |#2| (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)) "\\spad{seriesSolve(eq,{} y,{} x = a,{} [b0,{}...,{}bn])} is equivalent to \\spad{seriesSolve(eq = 0,{} y,{} x = a,{} [b0,{}...,{}b(n-1)])}.") (((|Any|) |#2| (|BasicOperator|) (|Equation| |#2|) (|Equation| |#2|)) "\\spad{seriesSolve(eq,{} y,{} x = a,{} y a = b)} is equivalent to \\spad{seriesSolve(eq=0,{} y,{} x=a,{} y a = b)}.") (((|Any|) |#2| (|BasicOperator|) (|Equation| |#2|) |#2|) "\\spad{seriesSolve(eq,{} y,{} x = a,{} b)} is equivalent to \\spad{seriesSolve(eq = 0,{} y,{} x = a,{} y a = b)}.") (((|Any|) (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) |#2|) "\\spad{seriesSolve(eq,{}y,{} x=a,{} b)} is equivalent to \\spad{seriesSolve(eq,{} y,{} x=a,{} y a = b)}.") (((|Any|) (|List| |#2|) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| (|Equation| |#2|))) "seriesSolve([\\spad{eq1},{}...,{}eqn],{} [\\spad{y1},{}...,{}\\spad{yn}],{} \\spad{x} = a,{}[\\spad{y1} a = \\spad{b1},{}...,{} \\spad{yn} a = \\spad{bn}]) is equivalent to \\spad{seriesSolve([eq1=0,{}...,{}eqn=0],{} [y1,{}...,{}yn],{} x = a,{} [y1 a = b1,{}...,{} yn a = bn])}.") (((|Any|) (|List| |#2|) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| |#2|)) "\\spad{seriesSolve([eq1,{}...,{}eqn],{} [y1,{}...,{}yn],{} x=a,{} [b1,{}...,{}bn])} is equivalent to \\spad{seriesSolve([eq1=0,{}...,{}eqn=0],{} [y1,{}...,{}yn],{} x=a,{} [b1,{}...,{}bn])}.") (((|Any|) (|List| (|Equation| |#2|)) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| |#2|)) "\\spad{seriesSolve([eq1,{}...,{}eqn],{} [y1,{}...,{}yn],{} x=a,{} [b1,{}...,{}bn])} is equivalent to \\spad{seriesSolve([eq1,{}...,{}eqn],{} [y1,{}...,{}yn],{} x = a,{} [y1 a = b1,{}...,{} yn a = bn])}.") (((|Any|) (|List| (|Equation| |#2|)) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| (|Equation| |#2|))) "\\spad{seriesSolve([eq1,{}...,{}eqn],{}[y1,{}...,{}yn],{}x = a,{}[y1 a = b1,{}...,{}yn a = bn])} returns a taylor series solution of \\spad{[eq1,{}...,{}eqn]} around \\spad{x = a} with initial conditions \\spad{\\spad{yi}(a) = \\spad{bi}}. Note that eqi must be of the form \\spad{\\spad{fi}(x,{} y1 x,{} y2 x,{}...,{} yn x) y1'(x) + \\spad{gi}(x,{} y1 x,{} y2 x,{}...,{} yn x) = h(x,{} y1 x,{} y2 x,{}...,{} yn x)}.") (((|Any|) (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)) "\\spad{seriesSolve(eq,{}y,{}x=a,{}[b0,{}...,{}b(n-1)])} returns a Taylor series solution of \\spad{eq} around \\spad{x = a} with initial conditions \\spad{y(a) = b0},{} \\spad{y'(a) = b1},{} \\spad{y''(a) = b2},{} ...,{}\\spad{y(n-1)(a) = b(n-1)} \\spad{eq} must be of the form \\spad{f(x,{} y x,{} y'(x),{}...,{} y(n-1)(x)) y(n)(x) + g(x,{}y x,{}y'(x),{}...,{}y(n-1)(x)) = h(x,{}y x,{} y'(x),{}...,{} y(n-1)(x))}.") (((|Any|) (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) (|Equation| |#2|)) "\\spad{seriesSolve(eq,{}y,{}x=a,{} y a = b)} returns a Taylor series solution of \\spad{eq} around \\spad{x} = a with initial condition \\spad{y(a) = b}. Note that \\spad{eq} must be of the form \\spad{f(x,{} y x) y'(x) + g(x,{} y x) = h(x,{} y x)}."))) 
 NIL 
 NIL 
-(-312 R -1478 UTSF UTSSUPF) 
+(-313 R -1564 UTSF UTSSUPF) 
 ((|constructor| (NIL "This package has no description"))) 
 NIL 
 NIL 
-(-313) 
+(-314) 
 ((|constructor| (NIL "Package for constructing tubes around 3-dimensional parametric curves.")) (|tubePlot| (((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|String|)) "\\spad{tubePlot(f,{}g,{}h,{}colorFcn,{}a..b,{}r,{}n,{}s)} puts a tube of radius \\spad{r} with \\spad{n} points on each circle about the curve \\spad{x = f(t)},{} \\spad{y = g(t)},{} \\spad{z = h(t)} for \\spad{t} in \\spad{[a,{}b]}. If \\spad{s} = \"closed\",{} the tube is considered to be closed; if \\spad{s} = \"open\",{} the tube is considered to be open.") (((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|)) "\\spad{tubePlot(f,{}g,{}h,{}colorFcn,{}a..b,{}r,{}n)} puts a tube of radius \\spad{r} with \\spad{n} points on each circle about the curve \\spad{x = f(t)},{} \\spad{y = g(t)},{} \\spad{z = h(t)} for \\spad{t} in \\spad{[a,{}b]}. The tube is considered to be open.") (((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Integer|) (|String|)) "\\spad{tubePlot(f,{}g,{}h,{}colorFcn,{}a..b,{}r,{}n,{}s)} puts a tube of radius \\spad{r(t)} with \\spad{n} points on each circle about the curve \\spad{x = f(t)},{} \\spad{y = g(t)},{} \\spad{z = h(t)} for \\spad{t} in \\spad{[a,{}b]}. If \\spad{s} = \"closed\",{} the tube is considered to be closed; if \\spad{s} = \"open\",{} the tube is considered to be open.") (((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Integer|)) "\\spad{tubePlot(f,{}g,{}h,{}colorFcn,{}a..b,{}r,{}n)} puts a tube of radius \\spad{r}(\\spad{t}) with \\spad{n} points on each circle about the curve \\spad{x = f(t)},{} \\spad{y = g(t)},{} \\spad{z = h(t)} for \\spad{t} in \\spad{[a,{}b]}. The tube is considered to be open.")) (|constantToUnaryFunction| (((|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|DoubleFloat|)) "\\spad{constantToUnaryFunction(s)} is a local function which takes the value of \\spad{s},{} which may be a function of a constant,{} and returns a function which always returns the value \\spadtype{DoubleFloat} \\spad{s}."))) 
 NIL 
 NIL 
-(-314 FE |var| |cen|) 
+(-315 FE |var| |cen|) 
 ((|constructor| (NIL "ExponentialOfUnivariatePuiseuxSeries is a domain used to represent essential singularities of functions. An object in this domain is a function of the form \\spad{exp(f(x))},{} where \\spad{f(x)} is a Puiseux series with no terms of non-negative degree. Objects are ordered according to order of singularity,{} with functions which tend more rapidly to zero or infinity considered to be larger. Thus,{} if \\spad{order(f(x)) < order(g(x))},{} \\spadignore{i.e.} the first non-zero term of \\spad{f(x)} has lower degree than the first non-zero term of \\spad{g(x)},{} then \\spad{exp(f(x)) > exp(g(x))}. If \\spad{order(f(x)) = order(g(x))},{} then the ordering is essentially random. This domain is used in computing limits involving functions with essential singularities.")) (|exponentialOrder| (((|Fraction| (|Integer|)) $) "\\spad{exponentialOrder(exp(c * x **(-n) + ...))} returns \\spad{-n}. exponentialOrder(0) returns \\spad{0}.")) (|exponent| (((|UnivariatePuiseuxSeries| |#1| |#2| |#3|) $) "\\spad{exponent(exp(f(x)))} returns \\spad{f(x)}")) (|exponential| (($ (|UnivariatePuiseuxSeries| |#1| |#2| |#3|)) "\\spad{exponential(f(x))} returns \\spad{exp(f(x))}. Note: the function does NOT check that \\spad{f(x)} has no non-negative terms."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4519 |has| |#1| (-365)) (-4513 |has| |#1| (-365)) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-172))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558)))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-150))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -409) (QUOTE (-568))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -409) (QUOTE (-568))) (|devaluate| |#1|))))) (|HasCategory| (-409 (-568)) (QUOTE (-1102))) (|HasCategory| |#1| (QUOTE (-365))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-558)))) (-2199 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-558)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -409) (QUOTE (-568)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -409) (QUOTE (-568)))))) (|HasSignature| |#1| (LIST (QUOTE -2747) (LIST (|devaluate| |#1|) (QUOTE (-1161)))))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-959))) (|HasCategory| |#1| (QUOTE (-1181)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasSignature| |#1| (LIST (QUOTE -1845) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1161))))) (|HasSignature| |#1| (LIST (QUOTE -2057) (LIST (LIST (QUOTE -634) (QUOTE (-1161))) (|devaluate| |#1|))))))) 
-(-315 K) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|))))) (|HasCategory| (-410 (-569)) (QUOTE (-1103))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163)))))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-960))) (|HasCategory| |#1| (QUOTE (-1183)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2565) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1163))))) (|HasSignature| |#1| (LIST (QUOTE -1773) (LIST (LIST (QUOTE -635) (QUOTE (-1163))) (|devaluate| |#1|))))))) 
+(-316 K) 
 ((|constructor| (NIL "Part of the Package for Algebraic Function Fields in one variable PAFF"))) 
 NIL 
 NIL 
-(-316 M) 
+(-317 M) 
 ((|constructor| (NIL "computes various functions on factored arguments.")) (|log| (((|List| (|Record| (|:| |coef| (|NonNegativeInteger|)) (|:| |logand| |#1|))) (|Factored| |#1|)) "\\spad{log(f)} returns \\spad{[(a1,{}b1),{}...,{}(am,{}bm)]} such that the logarithm of \\spad{f} is equal to \\spad{a1*log(b1) + ... + am*log(bm)}.")) (|nthRoot| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#1|) (|:| |radicand| (|List| |#1|))) (|Factored| |#1|) (|NonNegativeInteger|)) "\\spad{nthRoot(f,{} n)} returns \\spad{(p,{} r,{} [r1,{}...,{}rm])} such that the \\spad{n}th-root of \\spad{f} is equal to \\spad{r * \\spad{p}th-root(r1 * ... * rm)},{} where \\spad{r1},{}...,{}\\spad{rm} are distinct factors of \\spad{f},{} each of which has an exponent smaller than \\spad{p} in \\spad{f}."))) 
 NIL 
 NIL 
-(-317 K) 
+(-318 K) 
 ((|constructor| (NIL "Part of the Package for Algebraic Function Fields in one variable PAFF"))) 
 NIL 
 NIL 
-(-318 E OV R P) 
+(-319 E OV R P) 
 ((|constructor| (NIL "This package provides utilities used by the factorizers which operate on polynomials represented as univariate polynomials with multivariate coefficients.")) (|ran| ((|#3| (|Integer|)) "\\spad{ran(k)} computes a random integer between \\spad{-k} and \\spad{k} as a member of \\spad{R}.")) (|normalDeriv| (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|Integer|)) "\\spad{normalDeriv(poly,{}i)} computes the \\spad{i}th derivative of \\spad{poly} divided by i!.")) (|raisePolynomial| (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#3|)) "\\spad{raisePolynomial(rpoly)} converts \\spad{rpoly} from a univariate polynomial over \\spad{r} to be a univariate polynomial with polynomial coefficients.")) (|lowerPolynomial| (((|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{lowerPolynomial(upoly)} converts \\spad{upoly} to be a univariate polynomial over \\spad{R}. An error if the coefficients contain variables.")) (|variables| (((|List| |#2|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{variables(upoly)} returns the list of variables for the coefficients of \\spad{upoly}.")) (|degree| (((|List| (|NonNegativeInteger|)) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|)) "\\spad{degree(upoly,{} lvar)} returns a list containing the maximum degree for each variable in lvar.")) (|completeEval| (((|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| |#3|)) "\\spad{completeEval(upoly,{} lvar,{} lval)} evaluates the polynomial \\spad{upoly} with each variable in \\spad{lvar} replaced by the corresponding value in lval. Substitutions are done for all variables in \\spad{upoly} producing a univariate polynomial over \\spad{R}."))) 
 NIL 
 NIL 
-(-319 S) 
+(-320 S) 
 ((|constructor| (NIL "The free abelian group on a set \\spad{S} is the monoid of finite sums of the form \\spad{reduce(+,{}[\\spad{ni} * \\spad{si}])} where the \\spad{si}\\spad{'s} are in \\spad{S},{} and the \\spad{ni}\\spad{'s} are integers. The operation is commutative."))) 
-((-4516 . T) (-4515 . T)) 
-((|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| (-568) (QUOTE (-787)))) 
-(-320 S E) 
+((-4530 . T) (-4529 . T)) 
+((|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| (-569) (QUOTE (-788)))) 
+(-321 S E) 
 ((|constructor| (NIL "A free abelian monoid on a set \\spad{S} is the monoid of finite sums of the form \\spad{reduce(+,{}[\\spad{ni} * \\spad{si}])} where the \\spad{si}\\spad{'s} are in \\spad{S},{} and the \\spad{ni}\\spad{'s} are in a given abelian monoid. The operation is commutative.")) (|highCommonTerms| (($ $ $) "\\spad{highCommonTerms(e1 a1 + ... + en an,{} f1 b1 + ... + fm bm)} returns \\spad{reduce(+,{}[max(\\spad{ei},{} \\spad{fi}) \\spad{ci}])} where \\spad{ci} ranges in the intersection of \\spad{{a1,{}...,{}an}} and \\spad{{b1,{}...,{}bm}}.")) (|mapGen| (($ (|Mapping| |#1| |#1|) $) "\\spad{mapGen(f,{} e1 a1 +...+ en an)} returns \\spad{e1 f(a1) +...+ en f(an)}.")) (|mapCoef| (($ (|Mapping| |#2| |#2|) $) "\\spad{mapCoef(f,{} e1 a1 +...+ en an)} returns \\spad{f(e1) a1 +...+ f(en) an}.")) (|coefficient| ((|#2| |#1| $) "\\spad{coefficient(s,{} e1 a1 + ... + en an)} returns \\spad{ei} such that \\spad{ai} = \\spad{s},{} or 0 if \\spad{s} is not one of the \\spad{ai}\\spad{'s}.")) (|nthFactor| ((|#1| $ (|Integer|)) "\\spad{nthFactor(x,{} n)} returns the factor of the n^th term of \\spad{x}.")) (|nthCoef| ((|#2| $ (|Integer|)) "\\spad{nthCoef(x,{} n)} returns the coefficient of the n^th term of \\spad{x}.")) (|terms| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| |#2|))) $) "\\spad{terms(e1 a1 + ... + en an)} returns \\spad{[[a1,{} e1],{}...,{}[an,{} en]]}.")) (|size| (((|NonNegativeInteger|) $) "\\indented{1}{size(\\spad{x}) returns the number of terms in \\spad{x}.} \\indented{1}{mapGen(\\spad{f},{} \\spad{a1}\\spad{\\^}\\spad{e1} ... an\\spad{\\^}en) returns} \\spad{f(a1)\\^e1 ... f(an)\\^en}.")) (* (($ |#2| |#1|) "\\spad{e * s} returns \\spad{e} times \\spad{s}.")) (+ (($ |#1| $) "\\spad{s + x} returns the sum of \\spad{s} and \\spad{x}."))) 
 NIL 
 NIL 
-(-321 S) 
+(-322 S) 
 ((|constructor| (NIL "The free abelian monoid on a set \\spad{S} is the monoid of finite sums of the form \\spad{reduce(+,{}[\\spad{ni} * \\spad{si}])} where the \\spad{si}\\spad{'s} are in \\spad{S},{} and the \\spad{ni}\\spad{'s} are non-negative integers. The operation is commutative."))) 
 NIL 
-((|HasCategory| (-763) (QUOTE (-787)))) 
-(-322 E R1 A1 R2 A2) 
+((|HasCategory| (-764) (QUOTE (-788)))) 
+(-323 E R1 A1 R2 A2) 
 ((|constructor| (NIL "This package provides a mapping function for \\spadtype{FiniteAbelianMonoidRing} The packages defined in this file provide fast fraction free rational interpolation algorithms. (see \\spad{FAMR2},{} FFFG,{} FFFGF,{} NEWTON)")) (|map| ((|#5| (|Mapping| |#4| |#2|) |#3|) "\\spad{map}(\\spad{f},{} a) applies the map \\spad{f} to each coefficient in a. It is assumed that \\spad{f} maps 0 to 0"))) 
 NIL 
 NIL 
-(-323 S R E) 
+(-324 S R E) 
 ((|constructor| (NIL "This category is similar to AbelianMonoidRing,{} except that the sum is assumed to be finite. It is a useful model for polynomials,{} but is somewhat more general.")) (|primitivePart| (($ $) "\\spad{primitivePart(p)} returns the unit normalized form of polynomial \\spad{p} divided by the content of \\spad{p}.")) (|content| ((|#2| $) "\\spad{content(p)} gives the \\spad{gcd} of the coefficients of polynomial \\spad{p}.")) (|exquo| (((|Union| $ "failed") $ |#2|) "\\spad{exquo(p,{}r)} returns the exact quotient of polynomial \\spad{p} by \\spad{r},{} or \"failed\" if none exists.")) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) "\\spad{binomThmExpt(p,{}q,{}n)} returns \\spad{(x+y)^n} by means of the binomial theorem trick.")) (|pomopo!| (($ $ |#2| |#3| $) "\\spad{pomopo!(p1,{}r,{}e,{}p2)} returns \\spad{p1 + monomial(e,{}r) * p2} and may use \\spad{p1} as workspace. The constaant \\spad{r} is assumed to be nonzero.")) (|mapExponents| (($ (|Mapping| |#3| |#3|) $) "\\spad{mapExponents(fn,{}u)} maps function \\spad{fn} onto the exponents of the non-zero monomials of polynomial \\spad{u}.")) (|minimumDegree| ((|#3| $) "\\spad{minimumDegree(p)} gives the least exponent of a non-zero term of polynomial \\spad{p}. Error: if applied to 0.")) (|numberOfMonomials| (((|NonNegativeInteger|) $) "\\spad{numberOfMonomials(p)} gives the number of non-zero monomials in polynomial \\spad{p}.")) (|coefficients| (((|List| |#2|) $) "\\spad{coefficients(p)} gives the list of non-zero coefficients of polynomial \\spad{p}.")) (|ground| ((|#2| $) "\\spad{ground(p)} retracts polynomial \\spad{p} to the coefficient ring.")) (|ground?| (((|Boolean|) $) "\\spad{ground?(p)} tests if polynomial \\spad{p} is a member of the coefficient ring."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-453))) (|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-172)))) 
-(-324 R E) 
+((|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173)))) 
+(-325 R E) 
 ((|constructor| (NIL "This category is similar to AbelianMonoidRing,{} except that the sum is assumed to be finite. It is a useful model for polynomials,{} but is somewhat more general.")) (|primitivePart| (($ $) "\\spad{primitivePart(p)} returns the unit normalized form of polynomial \\spad{p} divided by the content of \\spad{p}.")) (|content| ((|#1| $) "\\spad{content(p)} gives the \\spad{gcd} of the coefficients of polynomial \\spad{p}.")) (|exquo| (((|Union| $ "failed") $ |#1|) "\\spad{exquo(p,{}r)} returns the exact quotient of polynomial \\spad{p} by \\spad{r},{} or \"failed\" if none exists.")) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) "\\spad{binomThmExpt(p,{}q,{}n)} returns \\spad{(x+y)^n} by means of the binomial theorem trick.")) (|pomopo!| (($ $ |#1| |#2| $) "\\spad{pomopo!(p1,{}r,{}e,{}p2)} returns \\spad{p1 + monomial(e,{}r) * p2} and may use \\spad{p1} as workspace. The constaant \\spad{r} is assumed to be nonzero.")) (|mapExponents| (($ (|Mapping| |#2| |#2|) $) "\\spad{mapExponents(fn,{}u)} maps function \\spad{fn} onto the exponents of the non-zero monomials of polynomial \\spad{u}.")) (|minimumDegree| ((|#2| $) "\\spad{minimumDegree(p)} gives the least exponent of a non-zero term of polynomial \\spad{p}. Error: if applied to 0.")) (|numberOfMonomials| (((|NonNegativeInteger|) $) "\\spad{numberOfMonomials(p)} gives the number of non-zero monomials in polynomial \\spad{p}.")) (|coefficients| (((|List| |#1|) $) "\\spad{coefficients(p)} gives the list of non-zero coefficients of polynomial \\spad{p}.")) (|ground| ((|#1| $) "\\spad{ground(p)} retracts polynomial \\spad{p} to the coefficient ring.")) (|ground?| (((|Boolean|) $) "\\spad{ground?(p)} tests if polynomial \\spad{p} is a member of the coefficient ring."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4515 . T) (-4516 . T) (-4518 . T)) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-325 S) 
+(-326 S) 
 ((|constructor| (NIL "A FlexibleArray is the notion of an array intended to allow for growth at the end only. Hence the following efficient operations \\spad{append(x,{}a)} meaning append item \\spad{x} at the end of the array \\spad{a} \\spad{delete(a,{}n)} meaning delete the last item from the array \\spad{a} Flexible arrays support the other operations inherited from \\spadtype{ExtensibleLinearAggregate}. However,{} these are not efficient. Flexible arrays combine the \\spad{O(1)} access time property of arrays with growing and shrinking at the end in \\spad{O(1)} (average) time. This is done by using an ordinary array which may have zero or more empty slots at the end. When the array becomes full it is copied into a new larger (50\\% larger) array. Conversely,{} when the array becomes less than 1/2 full,{} it is copied into a smaller array. Flexible arrays provide for an efficient implementation of many data structures in particular heaps,{} stacks and sets."))) 
-((-4522 . T) (-4521 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (QUOTE (-842))) (-2199 (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-1090)))) (|HasCategory| (-568) (QUOTE (-842))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-842)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))))) 
-(-326 S -1478) 
+((-4536 . T) (-4535 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (-2232 (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-843)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
+(-327 S -1564) 
 ((|constructor| (NIL "FiniteAlgebraicExtensionField \\spad{F} is the category of fields which are finite algebraic extensions of the field \\spad{F}. If \\spad{F} is finite then any finite algebraic extension of \\spad{F} is finite,{} too. Let \\spad{K} be a finite algebraic extension of the finite field \\spad{F}. The exponentiation of elements of \\spad{K} defines a \\spad{Z}-module structure on the multiplicative group of \\spad{K}. The additive group of \\spad{K} becomes a module over the ring of polynomials over \\spad{F} via the operation \\spadfun{linearAssociatedExp}(a:K,{}f:SparseUnivariatePolynomial \\spad{F}) which is linear over \\spad{F},{} \\spadignore{i.e.} for elements a from \\spad{K},{} \\spad{c},{}\\spad{d} from \\spad{F} and \\spad{f},{}\\spad{g} univariate polynomials over \\spad{F} we have \\spadfun{linearAssociatedExp}(a,{}cf+dg) equals \\spad{c} times \\spadfun{linearAssociatedExp}(a,{}\\spad{f}) plus \\spad{d} times \\spadfun{linearAssociatedExp}(a,{}\\spad{g}). Therefore \\spadfun{linearAssociatedExp} is defined completely by its action on monomials from \\spad{F}[\\spad{X}]: \\spadfun{linearAssociatedExp}(a,{}monomial(1,{}\\spad{k})\\spad{\\$}SUP(\\spad{F})) is defined to be \\spadfun{Frobenius}(a,{}\\spad{k}) which is a**(q**k) where q=size()\\spad{\\$}\\spad{F}. The operations order and discreteLog associated with the multiplicative exponentiation have additive analogues associated to the operation \\spadfun{linearAssociatedExp}. These are the functions \\spadfun{linearAssociatedOrder} and \\spadfun{linearAssociatedLog},{} respectively.")) (|linearAssociatedLog| (((|Union| (|SparseUnivariatePolynomial| |#2|) "failed") $ $) "\\spad{linearAssociatedLog(b,{}a)} returns a polynomial \\spad{g},{} such that the \\spadfun{linearAssociatedExp}(\\spad{b},{}\\spad{g}) equals a. If there is no such polynomial \\spad{g},{} then \\spadfun{linearAssociatedLog} fails.") (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{linearAssociatedLog(a)} returns a polynomial \\spad{g},{} such that \\spadfun{linearAssociatedExp}(normalElement(),{}\\spad{g}) equals a.")) (|linearAssociatedOrder| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{linearAssociatedOrder(a)} retruns the monic polynomial \\spad{g} of least degree,{} such that \\spadfun{linearAssociatedExp}(a,{}\\spad{g}) is 0.")) (|linearAssociatedExp| (($ $ (|SparseUnivariatePolynomial| |#2|)) "\\spad{linearAssociatedExp(a,{}f)} is linear over \\spad{F},{} \\spadignore{i.e.} for elements a from \\spad{\\$},{} \\spad{c},{}\\spad{d} form \\spad{F} and \\spad{f},{}\\spad{g} univariate polynomials over \\spad{F} we have \\spadfun{linearAssociatedExp}(a,{}cf+dg) equals \\spad{c} times \\spadfun{linearAssociatedExp}(a,{}\\spad{f}) plus \\spad{d} times \\spadfun{linearAssociatedExp}(a,{}\\spad{g}). Therefore \\spadfun{linearAssociatedExp} is defined completely by its action on monomials from \\spad{F}[\\spad{X}]: \\spadfun{linearAssociatedExp}(a,{}monomial(1,{}\\spad{k})\\spad{\\$}SUP(\\spad{F})) is defined to be \\spadfun{Frobenius}(a,{}\\spad{k}) which is a**(q**k),{} where q=size()\\spad{\\$}\\spad{F}.")) (|generator| (($) "\\spad{generator()} returns a root of the defining polynomial. This element generates the field as an algebra over the ground field.")) (|normal?| (((|Boolean|) $) "\\spad{normal?(a)} tests whether the element \\spad{a} is normal over the ground field \\spad{F},{} \\spadignore{i.e.} \\spad{a**(q**i),{} 0 <= i <= extensionDegree()-1} is an \\spad{F}-basis,{} where \\spad{q = size()\\$F}. Implementation according to Lidl/Niederreiter: Theorem 2.39.")) (|normalElement| (($) "\\spad{normalElement()} returns a element,{} normal over the ground field \\spad{F},{} \\spadignore{i.e.} \\spad{a**(q**i),{} 0 <= i < extensionDegree()} is an \\spad{F}-basis,{} where \\spad{q = size()\\$F}. At the first call,{} the element is computed by \\spadfunFrom{createNormalElement}{FiniteAlgebraicExtensionField} then cached in a global variable. On subsequent calls,{} the element is retrieved by referencing the global variable.")) (|createNormalElement| (($) "\\spad{createNormalElement()} computes a normal element over the ground field \\spad{F},{} that is,{} \\spad{a**(q**i),{} 0 <= i < extensionDegree()} is an \\spad{F}-basis,{} where \\spad{q = size()\\$F}. Reference: Such an element exists Lidl/Niederreiter: Theorem 2.35.")) (|trace| (($ $ (|PositiveInteger|)) "\\spad{trace(a,{}d)} computes the trace of \\spad{a} with respect to the field of extension degree \\spad{d} over the ground field of size \\spad{q}. Error: if \\spad{d} does not divide the extension degree of \\spad{a}. Note that \\spad{trace(a,{}d)=reduce(+,{}[a**(q**(d*i)) for i in 0..n/d])}.") ((|#2| $) "\\spad{trace(a)} computes the trace of \\spad{a} with respect to the field considered as an algebra with 1 over the ground field \\spad{F}.")) (|norm| (($ $ (|PositiveInteger|)) "\\spad{norm(a,{}d)} computes the norm of \\spad{a} with respect to the field of extension degree \\spad{d} over the ground field of size. Error: if \\spad{d} does not divide the extension degree of \\spad{a}. Note that norm(a,{}\\spad{d}) = reduce(*,{}[a**(\\spad{q**}(d*i)) for \\spad{i} in 0..\\spad{n/d}])") ((|#2| $) "\\spad{norm(a)} computes the norm of \\spad{a} with respect to the field considered as an algebra with 1 over the ground field \\spad{F}.")) (|degree| (((|PositiveInteger|) $) "\\spad{degree(a)} returns the degree of the minimal polynomial of an element \\spad{a} over the ground field \\spad{F}.")) (|extensionDegree| (((|PositiveInteger|)) "\\spad{extensionDegree()} returns the degree of field extension.")) (|definingPolynomial| (((|SparseUnivariatePolynomial| |#2|)) "\\spad{definingPolynomial()} returns the polynomial used to define the field extension.")) (|minimalPolynomial| (((|SparseUnivariatePolynomial| $) $ (|PositiveInteger|)) "\\spad{minimalPolynomial(x,{}n)} computes the minimal polynomial of \\spad{x} over the field of extension degree \\spad{n} over the ground field \\spad{F}.") (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{minimalPolynomial(a)} returns the minimal polynomial of an element \\spad{a} over the ground field \\spad{F}.")) (|represents| (($ (|Vector| |#2|)) "\\spad{represents([a1,{}..,{}an])} returns \\spad{a1*v1 + ... + an*vn},{} where \\spad{v1},{}...,{}\\spad{vn} are the elements of the fixed basis.")) (|coordinates| (((|Matrix| |#2|) (|Vector| $)) "\\spad{coordinates([v1,{}...,{}vm])} returns the coordinates of the \\spad{vi}\\spad{'s} with to the fixed basis. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#2|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{F}-vectorspace basis.")) (|basis| (((|Vector| $) (|PositiveInteger|)) "\\spad{basis(n)} returns a fixed basis of a subfield of \\spad{\\$} as \\spad{F}-vectorspace.") (((|Vector| $)) "\\spad{basis()} returns a fixed basis of \\spad{\\$} as \\spad{F}-vectorspace."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-370)))) 
-(-327 -1478) 
+((|HasCategory| |#2| (QUOTE (-371)))) 
+(-328 -1564) 
 ((|constructor| (NIL "FiniteAlgebraicExtensionField \\spad{F} is the category of fields which are finite algebraic extensions of the field \\spad{F}. If \\spad{F} is finite then any finite algebraic extension of \\spad{F} is finite,{} too. Let \\spad{K} be a finite algebraic extension of the finite field \\spad{F}. The exponentiation of elements of \\spad{K} defines a \\spad{Z}-module structure on the multiplicative group of \\spad{K}. The additive group of \\spad{K} becomes a module over the ring of polynomials over \\spad{F} via the operation \\spadfun{linearAssociatedExp}(a:K,{}f:SparseUnivariatePolynomial \\spad{F}) which is linear over \\spad{F},{} \\spadignore{i.e.} for elements a from \\spad{K},{} \\spad{c},{}\\spad{d} from \\spad{F} and \\spad{f},{}\\spad{g} univariate polynomials over \\spad{F} we have \\spadfun{linearAssociatedExp}(a,{}cf+dg) equals \\spad{c} times \\spadfun{linearAssociatedExp}(a,{}\\spad{f}) plus \\spad{d} times \\spadfun{linearAssociatedExp}(a,{}\\spad{g}). Therefore \\spadfun{linearAssociatedExp} is defined completely by its action on monomials from \\spad{F}[\\spad{X}]: \\spadfun{linearAssociatedExp}(a,{}monomial(1,{}\\spad{k})\\spad{\\$}SUP(\\spad{F})) is defined to be \\spadfun{Frobenius}(a,{}\\spad{k}) which is a**(q**k) where q=size()\\spad{\\$}\\spad{F}. The operations order and discreteLog associated with the multiplicative exponentiation have additive analogues associated to the operation \\spadfun{linearAssociatedExp}. These are the functions \\spadfun{linearAssociatedOrder} and \\spadfun{linearAssociatedLog},{} respectively.")) (|linearAssociatedLog| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") $ $) "\\spad{linearAssociatedLog(b,{}a)} returns a polynomial \\spad{g},{} such that the \\spadfun{linearAssociatedExp}(\\spad{b},{}\\spad{g}) equals a. If there is no such polynomial \\spad{g},{} then \\spadfun{linearAssociatedLog} fails.") (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{linearAssociatedLog(a)} returns a polynomial \\spad{g},{} such that \\spadfun{linearAssociatedExp}(normalElement(),{}\\spad{g}) equals a.")) (|linearAssociatedOrder| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{linearAssociatedOrder(a)} retruns the monic polynomial \\spad{g} of least degree,{} such that \\spadfun{linearAssociatedExp}(a,{}\\spad{g}) is 0.")) (|linearAssociatedExp| (($ $ (|SparseUnivariatePolynomial| |#1|)) "\\spad{linearAssociatedExp(a,{}f)} is linear over \\spad{F},{} \\spadignore{i.e.} for elements a from \\spad{\\$},{} \\spad{c},{}\\spad{d} form \\spad{F} and \\spad{f},{}\\spad{g} univariate polynomials over \\spad{F} we have \\spadfun{linearAssociatedExp}(a,{}cf+dg) equals \\spad{c} times \\spadfun{linearAssociatedExp}(a,{}\\spad{f}) plus \\spad{d} times \\spadfun{linearAssociatedExp}(a,{}\\spad{g}). Therefore \\spadfun{linearAssociatedExp} is defined completely by its action on monomials from \\spad{F}[\\spad{X}]: \\spadfun{linearAssociatedExp}(a,{}monomial(1,{}\\spad{k})\\spad{\\$}SUP(\\spad{F})) is defined to be \\spadfun{Frobenius}(a,{}\\spad{k}) which is a**(q**k),{} where q=size()\\spad{\\$}\\spad{F}.")) (|generator| (($) "\\spad{generator()} returns a root of the defining polynomial. This element generates the field as an algebra over the ground field.")) (|normal?| (((|Boolean|) $) "\\spad{normal?(a)} tests whether the element \\spad{a} is normal over the ground field \\spad{F},{} \\spadignore{i.e.} \\spad{a**(q**i),{} 0 <= i <= extensionDegree()-1} is an \\spad{F}-basis,{} where \\spad{q = size()\\$F}. Implementation according to Lidl/Niederreiter: Theorem 2.39.")) (|normalElement| (($) "\\spad{normalElement()} returns a element,{} normal over the ground field \\spad{F},{} \\spadignore{i.e.} \\spad{a**(q**i),{} 0 <= i < extensionDegree()} is an \\spad{F}-basis,{} where \\spad{q = size()\\$F}. At the first call,{} the element is computed by \\spadfunFrom{createNormalElement}{FiniteAlgebraicExtensionField} then cached in a global variable. On subsequent calls,{} the element is retrieved by referencing the global variable.")) (|createNormalElement| (($) "\\spad{createNormalElement()} computes a normal element over the ground field \\spad{F},{} that is,{} \\spad{a**(q**i),{} 0 <= i < extensionDegree()} is an \\spad{F}-basis,{} where \\spad{q = size()\\$F}. Reference: Such an element exists Lidl/Niederreiter: Theorem 2.35.")) (|trace| (($ $ (|PositiveInteger|)) "\\spad{trace(a,{}d)} computes the trace of \\spad{a} with respect to the field of extension degree \\spad{d} over the ground field of size \\spad{q}. Error: if \\spad{d} does not divide the extension degree of \\spad{a}. Note that \\spad{trace(a,{}d)=reduce(+,{}[a**(q**(d*i)) for i in 0..n/d])}.") ((|#1| $) "\\spad{trace(a)} computes the trace of \\spad{a} with respect to the field considered as an algebra with 1 over the ground field \\spad{F}.")) (|norm| (($ $ (|PositiveInteger|)) "\\spad{norm(a,{}d)} computes the norm of \\spad{a} with respect to the field of extension degree \\spad{d} over the ground field of size. Error: if \\spad{d} does not divide the extension degree of \\spad{a}. Note that norm(a,{}\\spad{d}) = reduce(*,{}[a**(\\spad{q**}(d*i)) for \\spad{i} in 0..\\spad{n/d}])") ((|#1| $) "\\spad{norm(a)} computes the norm of \\spad{a} with respect to the field considered as an algebra with 1 over the ground field \\spad{F}.")) (|degree| (((|PositiveInteger|) $) "\\spad{degree(a)} returns the degree of the minimal polynomial of an element \\spad{a} over the ground field \\spad{F}.")) (|extensionDegree| (((|PositiveInteger|)) "\\spad{extensionDegree()} returns the degree of field extension.")) (|definingPolynomial| (((|SparseUnivariatePolynomial| |#1|)) "\\spad{definingPolynomial()} returns the polynomial used to define the field extension.")) (|minimalPolynomial| (((|SparseUnivariatePolynomial| $) $ (|PositiveInteger|)) "\\spad{minimalPolynomial(x,{}n)} computes the minimal polynomial of \\spad{x} over the field of extension degree \\spad{n} over the ground field \\spad{F}.") (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{minimalPolynomial(a)} returns the minimal polynomial of an element \\spad{a} over the ground field \\spad{F}.")) (|represents| (($ (|Vector| |#1|)) "\\spad{represents([a1,{}..,{}an])} returns \\spad{a1*v1 + ... + an*vn},{} where \\spad{v1},{}...,{}\\spad{vn} are the elements of the fixed basis.")) (|coordinates| (((|Matrix| |#1|) (|Vector| $)) "\\spad{coordinates([v1,{}...,{}vm])} returns the coordinates of the \\spad{vi}\\spad{'s} with to the fixed basis. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#1|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{F}-vectorspace basis.")) (|basis| (((|Vector| $) (|PositiveInteger|)) "\\spad{basis(n)} returns a fixed basis of a subfield of \\spad{\\$} as \\spad{F}-vectorspace.") (((|Vector| $)) "\\spad{basis()} returns a fixed basis of \\spad{\\$} as \\spad{F}-vectorspace."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-328) 
+(-329) 
 ((|constructor| (NIL "This domain builds representations of program code segments for use with the FortranProgram domain.")) (|setLabelValue| (((|SingleInteger|) (|SingleInteger|)) "\\spad{setLabelValue(i)} resets the counter which produces labels to \\spad{i}")) (|getCode| (((|SExpression|) $) "\\spad{getCode(f)} returns a Lisp list of strings representing \\spad{f} in Fortran notation. This is used by the FortranProgram domain.")) (|printCode| (((|Void|) $) "\\spad{printCode(f)} prints out \\spad{f} in FORTRAN notation.")) (|code| (((|Union| (|:| |nullBranch| "null") (|:| |assignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |arrayIndex| (|List| (|Polynomial| (|Integer|)))) (|:| |rand| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |arrayAssignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |rand| (|OutputForm|)) (|:| |ints2Floats?| (|Boolean|)))) (|:| |conditionalBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (|Record| (|:| |empty?| (|Boolean|)) (|:| |value| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |blockBranch| (|List| $)) (|:| |commentBranch| (|List| (|String|))) (|:| |callBranch| (|String|)) (|:| |forBranch| (|Record| (|:| |range| (|SegmentBinding| (|Polynomial| (|Integer|)))) (|:| |span| (|Polynomial| (|Integer|))) (|:| |body| $))) (|:| |labelBranch| (|SingleInteger|)) (|:| |loopBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |body| $))) (|:| |commonBranch| (|Record| (|:| |name| (|Symbol|)) (|:| |contents| (|List| (|Symbol|))))) (|:| |printBranch| (|List| (|OutputForm|)))) $) "\\spad{code(f)} returns the internal representation of the object represented by \\spad{f}.")) (|operation| (((|Union| (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $) "\\spad{operation(f)} returns the name of the operation represented by \\spad{f}.")) (|common| (($ (|Symbol|) (|List| (|Symbol|))) "\\spad{common(name,{}contents)} creates a representation a named common block.")) (|printStatement| (($ (|List| (|OutputForm|))) "\\spad{printStatement(l)} creates a representation of a PRINT statement.")) (|save| (($) "\\spad{save()} creates a representation of a SAVE statement.")) (|stop| (($) "\\spad{stop()} creates a representation of a STOP statement.")) (|block| (($ (|List| $)) "\\spad{block(l)} creates a representation of the statements in \\spad{l} as a block.")) (|assign| (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|Complex| (|Float|)))) "\\spad{assign(x,{}l,{}y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}\\spad{'}th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|Float|))) "\\spad{assign(x,{}l,{}y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}\\spad{'}th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|Integer|))) "\\spad{assign(x,{}l,{}y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}\\spad{'}th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|Vector| (|Expression| (|Complex| (|Float|))))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|Expression| (|Float|)))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|Expression| (|Integer|)))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|Complex| (|Float|))))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|Float|)))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|Integer|)))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|Complex| (|Float|)))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|Float|))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|Integer|))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|MachineComplex|))) "\\spad{assign(x,{}l,{}y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}\\spad{'}th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|MachineFloat|))) "\\spad{assign(x,{}l,{}y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}\\spad{'}th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|MachineInteger|))) "\\spad{assign(x,{}l,{}y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}\\spad{'}th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|Vector| (|Expression| (|MachineComplex|)))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|Expression| (|MachineFloat|)))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|Expression| (|MachineInteger|)))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|MachineComplex|)))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|MachineFloat|)))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|MachineInteger|)))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|MachineComplex|))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|MachineFloat|))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|MachineInteger|))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|MachineComplex|))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|MachineFloat|))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|MachineInteger|))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|MachineComplex|))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|MachineFloat|))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|MachineInteger|))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|String|)) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.")) (|cond| (($ (|Switch|) $ $) "\\spad{cond(s,{}e,{}f)} creates a representation of the FORTRAN expression IF (\\spad{s}) THEN \\spad{e} ELSE \\spad{f}.") (($ (|Switch|) $) "\\spad{cond(s,{}e)} creates a representation of the FORTRAN expression IF (\\spad{s}) THEN \\spad{e}.")) (|returns| (($ (|Expression| (|Complex| (|Float|)))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($ (|Expression| (|Integer|))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($ (|Expression| (|Float|))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($ (|Expression| (|MachineComplex|))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($ (|Expression| (|MachineInteger|))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($ (|Expression| (|MachineFloat|))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($) "\\spad{returns()} creates a representation of a FORTRAN RETURN statement.")) (|call| (($ (|String|)) "\\spad{call(s)} creates a representation of a FORTRAN CALL statement")) (|comment| (($ (|List| (|String|))) "\\spad{comment(s)} creates a representation of the Strings \\spad{s} as a multi-line FORTRAN comment.") (($ (|String|)) "\\spad{comment(s)} creates a representation of the String \\spad{s} as a single FORTRAN comment.")) (|continue| (($ (|SingleInteger|)) "\\spad{continue(l)} creates a representation of a FORTRAN CONTINUE labelled with \\spad{l}")) (|goto| (($ (|SingleInteger|)) "\\spad{goto(l)} creates a representation of a FORTRAN GOTO statement")) (|repeatUntilLoop| (($ (|Switch|) $) "\\spad{repeatUntilLoop(s,{}c)} creates a repeat ... until loop in FORTRAN.")) (|whileLoop| (($ (|Switch|) $) "\\spad{whileLoop(s,{}c)} creates a while loop in FORTRAN.")) (|forLoop| (($ (|SegmentBinding| (|Polynomial| (|Integer|))) (|Polynomial| (|Integer|)) $) "\\spad{forLoop(i=1..10,{}n,{}c)} creates a representation of a FORTRAN DO loop with \\spad{i} ranging over the values 1 to 10 by \\spad{n}.") (($ (|SegmentBinding| (|Polynomial| (|Integer|))) $) "\\spad{forLoop(i=1..10,{}c)} creates a representation of a FORTRAN DO loop with \\spad{i} ranging over the values 1 to 10.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(f)} returns an object of type OutputForm."))) 
 NIL 
 NIL 
-(-329 E) 
+(-330 E) 
 ((|constructor| (NIL "This domain creates kernels for use in Fourier series")) (|argument| ((|#1| $) "\\spad{argument(x)} returns the argument of a given sin/cos expressions")) (|sin?| (((|Boolean|) $) "\\spad{sin?(x)} returns \\spad{true} if term is a sin,{} otherwise \\spad{false}")) (|cos| (($ |#1|) "\\spad{cos(x)} makes a cos kernel for use in Fourier series")) (|sin| (($ |#1|) "\\spad{sin(x)} makes a sin kernel for use in Fourier series"))) 
 NIL 
 NIL 
-(-330) 
+(-331) 
 ((|constructor| (NIL "\\spadtype{FortranCodePackage1} provides some utilities for producing useful objects in FortranCode domain. The Package may be used with the FortranCode domain and its \\spad{printCode} or possibly via an outputAsFortran. (The package provides items of use in connection with ASPs in the AXIOM-NAG link and,{} where appropriate,{} naming accords with that in IRENA.) The easy-to-use functions use Fortran loop variables \\spad{I1},{} \\spad{I2},{} and it is users' responsibility to check that this is sensible. The advanced functions use SegmentBinding to allow users control over Fortran loop variable names.")) (|identitySquareMatrix| (((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|))) "\\spad{identitySquareMatrix(s,{}p)} \\undocumented{}")) (|zeroSquareMatrix| (((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|))) "\\spad{zeroSquareMatrix(s,{}p)} \\undocumented{}")) (|zeroMatrix| (((|FortranCode|) (|Symbol|) (|SegmentBinding| (|Polynomial| (|Integer|))) (|SegmentBinding| (|Polynomial| (|Integer|)))) "\\spad{zeroMatrix(s,{}b,{}d)} in this version gives the user control over names of Fortran variables used in loops.") (((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|)) (|Polynomial| (|Integer|))) "\\spad{zeroMatrix(s,{}p,{}q)} uses loop variables in the Fortran,{} \\spad{I1} and \\spad{I2}")) (|zeroVector| (((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|))) "\\spad{zeroVector(s,{}p)} \\undocumented{}"))) 
 NIL 
 NIL 
-(-331 R1 UP1 UPUP1 F1 R2 UP2 UPUP2 F2) 
+(-332 R1 UP1 UPUP1 F1 R2 UP2 UPUP2 F2) 
 ((|constructor| (NIL "Lift a map to finite divisors.")) (|map| (((|FiniteDivisor| |#5| |#6| |#7| |#8|) (|Mapping| |#5| |#1|) (|FiniteDivisor| |#1| |#2| |#3| |#4|)) "\\spad{map(f,{}d)} \\undocumented{}"))) 
 NIL 
 NIL 
-(-332 S -1478 UP UPUP R) 
+(-333 S -1564 UP UPUP R) 
 ((|constructor| (NIL "This category describes finite rational divisors on a curve,{} that is finite formal sums SUM(\\spad{n} * \\spad{P}) where the \\spad{n}\\spad{'s} are integers and the \\spad{P}\\spad{'s} are finite rational points on the curve.")) (|generator| (((|Union| |#5| "failed") $) "\\spad{generator(d)} returns \\spad{f} if \\spad{(f) = d},{} \"failed\" if \\spad{d} is not principal.")) (|principal?| (((|Boolean|) $) "\\spad{principal?(D)} tests if the argument is the divisor of a function.")) (|reduce| (($ $) "\\spad{reduce(D)} converts \\spad{D} to some reduced form (the reduced forms can be differents in different implementations).")) (|decompose| (((|Record| (|:| |id| (|FractionalIdeal| |#3| (|Fraction| |#3|) |#4| |#5|)) (|:| |principalPart| |#5|)) $) "\\spad{decompose(d)} returns \\spad{[id,{} f]} where \\spad{d = (id) + div(f)}.")) (|divisor| (($ |#5| |#3| |#3| |#3| |#2|) "\\spad{divisor(h,{} d,{} d',{} g,{} r)} returns the sum of all the finite points where \\spad{h/d} has residue \\spad{r}. \\spad{h} must be integral. \\spad{d} must be squarefree. \\spad{d'} is some derivative of \\spad{d} (not necessarily dd/dx). \\spad{g = gcd(d,{}discriminant)} contains the ramified zeros of \\spad{d}") (($ |#2| |#2| (|Integer|)) "\\spad{divisor(a,{} b,{} n)} makes the divisor \\spad{nP} where \\spad{P:} \\spad{(x = a,{} y = b)}. \\spad{P} is allowed to be singular if \\spad{n} is a multiple of the rank.") (($ |#2| |#2|) "\\spad{divisor(a,{} b)} makes the divisor \\spad{P:} \\spad{(x = a,{} y = b)}. Error: if \\spad{P} is singular.") (($ |#5|) "\\spad{divisor(g)} returns the divisor of the function \\spad{g}.") (($ (|FractionalIdeal| |#3| (|Fraction| |#3|) |#4| |#5|)) "\\spad{divisor(I)} makes a divisor \\spad{D} from an ideal \\spad{I}.")) (|ideal| (((|FractionalIdeal| |#3| (|Fraction| |#3|) |#4| |#5|) $) "\\spad{ideal(D)} returns the ideal corresponding to a divisor \\spad{D}."))) 
 NIL 
 NIL 
-(-333 -1478 UP UPUP R) 
+(-334 -1564 UP UPUP R) 
 ((|constructor| (NIL "This category describes finite rational divisors on a curve,{} that is finite formal sums SUM(\\spad{n} * \\spad{P}) where the \\spad{n}\\spad{'s} are integers and the \\spad{P}\\spad{'s} are finite rational points on the curve.")) (|generator| (((|Union| |#4| "failed") $) "\\spad{generator(d)} returns \\spad{f} if \\spad{(f) = d},{} \"failed\" if \\spad{d} is not principal.")) (|principal?| (((|Boolean|) $) "\\spad{principal?(D)} tests if the argument is the divisor of a function.")) (|reduce| (($ $) "\\spad{reduce(D)} converts \\spad{D} to some reduced form (the reduced forms can be differents in different implementations).")) (|decompose| (((|Record| (|:| |id| (|FractionalIdeal| |#2| (|Fraction| |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) "\\spad{decompose(d)} returns \\spad{[id,{} f]} where \\spad{d = (id) + div(f)}.")) (|divisor| (($ |#4| |#2| |#2| |#2| |#1|) "\\spad{divisor(h,{} d,{} d',{} g,{} r)} returns the sum of all the finite points where \\spad{h/d} has residue \\spad{r}. \\spad{h} must be integral. \\spad{d} must be squarefree. \\spad{d'} is some derivative of \\spad{d} (not necessarily dd/dx). \\spad{g = gcd(d,{}discriminant)} contains the ramified zeros of \\spad{d}") (($ |#1| |#1| (|Integer|)) "\\spad{divisor(a,{} b,{} n)} makes the divisor \\spad{nP} where \\spad{P:} \\spad{(x = a,{} y = b)}. \\spad{P} is allowed to be singular if \\spad{n} is a multiple of the rank.") (($ |#1| |#1|) "\\spad{divisor(a,{} b)} makes the divisor \\spad{P:} \\spad{(x = a,{} y = b)}. Error: if \\spad{P} is singular.") (($ |#4|) "\\spad{divisor(g)} returns the divisor of the function \\spad{g}.") (($ (|FractionalIdeal| |#2| (|Fraction| |#2|) |#3| |#4|)) "\\spad{divisor(I)} makes a divisor \\spad{D} from an ideal \\spad{I}.")) (|ideal| (((|FractionalIdeal| |#2| (|Fraction| |#2|) |#3| |#4|) $) "\\spad{ideal(D)} returns the ideal corresponding to a divisor \\spad{D}."))) 
 NIL 
 NIL 
-(-334 -1478 UP UPUP R) 
+(-335 -1564 UP UPUP R) 
 ((|constructor| (NIL "This domains implements finite rational divisors on a curve,{} that is finite formal sums SUM(\\spad{n} * \\spad{P}) where the \\spad{n}\\spad{'s} are integers and the \\spad{P}\\spad{'s} are finite rational points on the curve.")) (|lSpaceBasis| (((|Vector| |#4|) $) "\\spad{lSpaceBasis(d)} returns a basis for \\spad{L(d) = {f | (f) >= -d}} as a module over \\spad{K[x]}.")) (|finiteBasis| (((|Vector| |#4|) $) "\\spad{finiteBasis(d)} returns a basis for \\spad{d} as a module over \\spad{K}[\\spad{x}]."))) 
 NIL 
 NIL 
-(-335 S R) 
+(-336 S R) 
 ((|constructor| (NIL "This category provides a selection of evaluation operations depending on what the argument type \\spad{R} provides.")) (|map| (($ (|Mapping| |#2| |#2|) $) "\\spad{map(f,{} ex)} evaluates ex,{} applying \\spad{f} to values of type \\spad{R} in ex."))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -523) (QUOTE (-1161)) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -281) (|devaluate| |#2|) (|devaluate| |#2|)))) 
-(-336 R) 
+((|HasCategory| |#2| (LIST (QUOTE -524) (QUOTE (-1163)) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -282) (|devaluate| |#2|) (|devaluate| |#2|)))) 
+(-337 R) 
 ((|constructor| (NIL "This category provides a selection of evaluation operations depending on what the argument type \\spad{R} provides.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f,{} ex)} evaluates ex,{} applying \\spad{f} to values of type \\spad{R} in ex."))) 
 NIL 
 NIL 
-(-337 |basicSymbols| |subscriptedSymbols| R) 
+(-338 |basicSymbols| |subscriptedSymbols| R) 
 ((|constructor| (NIL "A domain of expressions involving functions which can be translated into standard Fortran-77,{} with some extra extensions from the NAG Fortran Library.")) (|useNagFunctions| (((|Boolean|) (|Boolean|)) "\\spad{useNagFunctions(v)} sets the flag which controls whether NAG functions \\indented{1}{are being used for mathematical and machine constants.\\space{2}The previous} \\indented{1}{value is returned.}") (((|Boolean|)) "\\spad{useNagFunctions()} indicates whether NAG functions are being used \\indented{1}{for mathematical and machine constants.}")) (|variables| (((|List| (|Symbol|)) $) "\\spad{variables(e)} return a list of all the variables in \\spad{e}.")) (|pi| (($) "\\spad{\\spad{pi}(x)} represents the NAG Library function X01AAF which returns \\indented{1}{an approximation to the value of \\spad{pi}}")) (|tanh| (($ $) "\\spad{tanh(x)} represents the Fortran intrinsic function TANH")) (|cosh| (($ $) "\\spad{cosh(x)} represents the Fortran intrinsic function COSH")) (|sinh| (($ $) "\\spad{sinh(x)} represents the Fortran intrinsic function SINH")) (|atan| (($ $) "\\spad{atan(x)} represents the Fortran intrinsic function ATAN")) (|acos| (($ $) "\\spad{acos(x)} represents the Fortran intrinsic function ACOS")) (|asin| (($ $) "\\spad{asin(x)} represents the Fortran intrinsic function ASIN")) (|tan| (($ $) "\\spad{tan(x)} represents the Fortran intrinsic function TAN")) (|cos| (($ $) "\\spad{cos(x)} represents the Fortran intrinsic function COS")) (|sin| (($ $) "\\spad{sin(x)} represents the Fortran intrinsic function SIN")) (|log10| (($ $) "\\spad{log10(x)} represents the Fortran intrinsic function \\spad{LOG10}")) (|log| (($ $) "\\spad{log(x)} represents the Fortran intrinsic function LOG")) (|exp| (($ $) "\\spad{exp(x)} represents the Fortran intrinsic function EXP")) (|sqrt| (($ $) "\\spad{sqrt(x)} represents the Fortran intrinsic function SQRT")) (|abs| (($ $) "\\spad{abs(x)} represents the Fortran intrinsic function ABS")) (|coerce| (((|Expression| |#3|) $) "\\spad{coerce(x)} is not documented")) (|retractIfCan| (((|Union| $ "failed") (|Polynomial| (|Float|))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Float|)))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Expression| (|Float|))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Integer|)))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Expression| (|Integer|))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Symbol|)) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it is one of the given basic symbols or subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Expression| |#3|)) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.")) (|retract| (($ (|Polynomial| (|Float|))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Fraction| (|Polynomial| (|Float|)))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Expression| (|Float|))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Polynomial| (|Integer|))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Fraction| (|Polynomial| (|Integer|)))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Expression| (|Integer|))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Symbol|)) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it is one of the given basic symbols or subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Expression| |#3|)) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively."))) 
-((-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-381)))) (|HasCategory| $ (QUOTE (-1047))) (|HasCategory| $ (LIST (QUOTE -1037) (QUOTE (-568))))) 
-(-338 R1 UP1 UPUP1 F1 R2 UP2 UPUP2 F2) 
+((-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-382)))) (|HasCategory| $ (QUOTE (-1048))) (|HasCategory| $ (LIST (QUOTE -1038) (QUOTE (-569))))) 
+(-339 R1 UP1 UPUP1 F1 R2 UP2 UPUP2 F2) 
 ((|constructor| (NIL "Lifts a map from rings to function fields over them.")) (|map| ((|#8| (|Mapping| |#5| |#1|) |#4|) "\\spad{map(f,{} p)} lifts \\spad{f} to \\spad{F1} and applies it to \\spad{p}."))) 
 NIL 
 NIL 
-(-339 S -1478 UP UPUP) 
+(-340 S -1564 UP UPUP) 
 ((|constructor| (NIL "This category is a model for the function field of a plane algebraic curve.")) (|rationalPoints| (((|List| (|List| |#2|))) "\\indented{1}{rationalPoints() returns the list of all the affine} rational points.")) (|nonSingularModel| (((|List| (|Polynomial| |#2|)) (|Symbol|)) "\\spad{nonSingularModel(u)} returns the equations in \\spad{u1},{}...,{}un of an affine non-singular model for the curve.")) (|algSplitSimple| (((|Record| (|:| |num| $) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) $ (|Mapping| |#3| |#3|)) "\\spad{algSplitSimple(f,{} D)} returns \\spad{[h,{}d,{}d',{}g]} such that \\spad{f=h/d},{} \\spad{h} is integral at all the normal places \\spad{w}.\\spad{r}.\\spad{t}. \\spad{D},{} \\spad{d' = Dd},{} \\spad{g = gcd(d,{} discriminant())} and \\spad{D} is the derivation to use. \\spad{f} must have at most simple finite poles.")) (|hyperelliptic| (((|Union| |#3| "failed")) "\\spad{hyperelliptic()} returns \\spad{p(x)} if the curve is the hyperelliptic defined by \\spad{y**2 = p(x)},{} \"failed\" otherwise.")) (|elliptic| (((|Union| |#3| "failed")) "\\spad{elliptic()} returns \\spad{p(x)} if the curve is the elliptic defined by \\spad{y**2 = p(x)},{} \"failed\" otherwise.")) (|elt| ((|#2| $ |#2| |#2|) "\\spad{elt(f,{}a,{}b)} or \\spad{f}(a,{} \\spad{b}) returns the value of \\spad{f} at the point \\spad{(x = a,{} y = b)} if it is not singular.")) (|primitivePart| (($ $) "\\spad{primitivePart(f)} removes the content of the denominator and the common content of the numerator of \\spad{f}.")) (|differentiate| (($ $ (|Mapping| |#3| |#3|)) "\\spad{differentiate(x,{} d)} extends the derivation \\spad{d} from UP to \\$ and applies it to \\spad{x}.")) (|integralDerivationMatrix| (((|Record| (|:| |num| (|Matrix| |#3|)) (|:| |den| |#3|)) (|Mapping| |#3| |#3|)) "\\spad{integralDerivationMatrix(d)} extends the derivation \\spad{d} from UP to \\$ and returns (\\spad{M},{} \\spad{Q}) such that the i^th row of \\spad{M} divided by \\spad{Q} form the coordinates of \\spad{d(\\spad{wi})} with respect to \\spad{(w1,{}...,{}wn)} where \\spad{(w1,{}...,{}wn)} is the integral basis returned by integralBasis().")) (|integralRepresents| (($ (|Vector| |#3|) |#3|) "\\spad{integralRepresents([A1,{}...,{}An],{} D)} returns \\spad{(A1 w1+...+An wn)/D} where \\spad{(w1,{}...,{}wn)} is the integral basis of \\spad{integralBasis()}.")) (|integralCoordinates| (((|Record| (|:| |num| (|Vector| |#3|)) (|:| |den| |#3|)) $) "\\spad{integralCoordinates(f)} returns \\spad{[[A1,{}...,{}An],{} D]} such that \\spad{f = (A1 w1 +...+ An wn) / D} where \\spad{(w1,{}...,{}wn)} is the integral basis returned by \\spad{integralBasis()}.")) (|represents| (($ (|Vector| |#3|) |#3|) "\\spad{represents([A0,{}...,{}A(n-1)],{}D)} returns \\spad{(A0 + A1 y +...+ A(n-1)*y**(n-1))/D}.") (($ (|Vector| |#3|) |#3|) "\\spad{represents([A0,{}...,{}A(n-1)],{}D)} returns \\spad{(A0 + A1 y +...+ A(n-1)*y**(n-1))/D}.")) (|yCoordinates| (((|Record| (|:| |num| (|Vector| |#3|)) (|:| |den| |#3|)) $) "\\spad{yCoordinates(f)} returns \\spad{[[A1,{}...,{}An],{} D]} such that \\spad{f = (A1 + A2 y +...+ An y**(n-1)) / D}.")) (|inverseIntegralMatrixAtInfinity| (((|Matrix| (|Fraction| |#3|))) "\\indented{1}{inverseIntegralMatrixAtInfinity() returns \\spad{M} such} \\indented{1}{that \\spad{M (v1,{}...,{}vn) = (1,{} y,{} ...,{} y**(n-1))}} \\indented{1}{where \\spad{(v1,{}...,{}vn)} is the local integral basis at infinity} \\indented{1}{returned by \\spad{infIntBasis()}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} inverseIntegralMatrixAtInfinity()\\$\\spad{R}")) (|integralMatrixAtInfinity| (((|Matrix| (|Fraction| |#3|))) "\\indented{1}{integralMatrixAtInfinity() returns \\spad{M} such that} \\indented{1}{\\spad{(v1,{}...,{}vn) = M (1,{} y,{} ...,{} y**(n-1))}} \\indented{1}{where \\spad{(v1,{}...,{}vn)} is the local integral basis at infinity} \\indented{1}{returned by \\spad{infIntBasis()}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} integralMatrixAtInfinity()\\$\\spad{R}")) (|inverseIntegralMatrix| (((|Matrix| (|Fraction| |#3|))) "\\indented{1}{inverseIntegralMatrix() returns \\spad{M} such that} \\indented{1}{\\spad{M (w1,{}...,{}wn) = (1,{} y,{} ...,{} y**(n-1))}} \\indented{1}{where \\spad{(w1,{}...,{}wn)} is the integral basis of} \\indented{1}{\\spadfunFrom{integralBasis}{FunctionFieldCategory}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} inverseIntegralMatrix()\\$\\spad{R}")) (|integralMatrix| (((|Matrix| (|Fraction| |#3|))) "\\indented{1}{integralMatrix() returns \\spad{M} such that} \\indented{1}{\\spad{(w1,{}...,{}wn) = M (1,{} y,{} ...,{} y**(n-1))},{}} \\indented{1}{where \\spad{(w1,{}...,{}wn)} is the integral basis of} \\indented{1}{\\spadfunFrom{integralBasis}{FunctionFieldCategory}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} integralMatrix()\\$\\spad{R}")) (|reduceBasisAtInfinity| (((|Vector| $) (|Vector| $)) "\\spad{reduceBasisAtInfinity(b1,{}...,{}bn)} returns \\spad{(x**i * bj)} for all \\spad{i},{}\\spad{j} such that \\spad{x**i*bj} is locally integral at infinity.")) (|normalizeAtInfinity| (((|Vector| $) (|Vector| $)) "\\spad{normalizeAtInfinity(v)} makes \\spad{v} normal at infinity.")) (|complementaryBasis| (((|Vector| $) (|Vector| $)) "\\spad{complementaryBasis(b1,{}...,{}bn)} returns the complementary basis \\spad{(b1',{}...,{}bn')} of \\spad{(b1,{}...,{}bn)}.")) (|integral?| (((|Boolean|) $ |#3|) "\\spad{integral?(f,{} p)} tests whether \\spad{f} is locally integral at \\spad{p(x) = 0}") (((|Boolean|) $ |#2|) "\\spad{integral?(f,{} a)} tests whether \\spad{f} is locally integral at \\spad{x = a}.") (((|Boolean|) $) "\\spad{integral?()} tests if \\spad{f} is integral over \\spad{k[x]}.")) (|integralAtInfinity?| (((|Boolean|) $) "\\spad{integralAtInfinity?()} tests if \\spad{f} is locally integral at infinity.")) (|integralBasisAtInfinity| (((|Vector| $)) "\\indented{1}{integralBasisAtInfinity() returns the local integral basis} \\indented{1}{at infinity} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} integralBasisAtInfinity()\\$\\spad{R}")) (|integralBasis| (((|Vector| $)) "\\indented{1}{integralBasis() returns the integral basis for the curve.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} integralBasis()\\$\\spad{R}")) (|ramified?| (((|Boolean|) |#3|) "\\spad{ramified?(p)} tests whether \\spad{p(x) = 0} is ramified.") (((|Boolean|) |#2|) "\\spad{ramified?(a)} tests whether \\spad{x = a} is ramified.")) (|ramifiedAtInfinity?| (((|Boolean|)) "\\spad{ramifiedAtInfinity?()} tests if infinity is ramified.")) (|singular?| (((|Boolean|) |#3|) "\\spad{singular?(p)} tests whether \\spad{p(x) = 0} is singular.") (((|Boolean|) |#2|) "\\spad{singular?(a)} tests whether \\spad{x = a} is singular.")) (|singularAtInfinity?| (((|Boolean|)) "\\spad{singularAtInfinity?()} tests if there is a singularity at infinity.")) (|branchPoint?| (((|Boolean|) |#3|) "\\spad{branchPoint?(p)} tests whether \\spad{p(x) = 0} is a branch point.") (((|Boolean|) |#2|) "\\spad{branchPoint?(a)} tests whether \\spad{x = a} is a branch point.")) (|branchPointAtInfinity?| (((|Boolean|)) "\\indented{1}{branchPointAtInfinity?() tests if there is a branch point} \\indented{1}{at infinity.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} branchPointAtInfinity?()\\$\\spad{R} \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 2 * \\spad{x**2},{} 4) \\spad{X} branchPointAtInfinity?()\\$\\spad{R}")) (|rationalPoint?| (((|Boolean|) |#2| |#2|) "\\indented{1}{rationalPoint?(a,{} \\spad{b}) tests if \\spad{(x=a,{}y=b)} is on the curve.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} rationalPoint?(0,{}0)\\$\\spad{R} \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 2 * \\spad{x**2},{} 4) \\spad{X} rationalPoint?(0,{}0)\\$\\spad{R2}")) (|absolutelyIrreducible?| (((|Boolean|)) "\\indented{1}{absolutelyIrreducible?() tests if the curve absolutely irreducible?} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 2 * \\spad{x**2},{} 4) \\spad{X} absolutelyIrreducible?()\\$\\spad{R2}")) (|genus| (((|NonNegativeInteger|)) "\\indented{1}{genus() returns the genus of one absolutely irreducible component} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} genus()\\$\\spad{R}")) (|numberOfComponents| (((|NonNegativeInteger|)) "\\indented{1}{numberOfComponents() returns the number of absolutely irreducible} \\indented{1}{components.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} numberOfComponents()\\$\\spad{R}"))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-370))) (|HasCategory| |#2| (QUOTE (-365)))) 
-(-340 -1478 UP UPUP) 
+((|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (QUOTE (-366)))) 
+(-341 -1564 UP UPUP) 
 ((|constructor| (NIL "This category is a model for the function field of a plane algebraic curve.")) (|rationalPoints| (((|List| (|List| |#1|))) "\\indented{1}{rationalPoints() returns the list of all the affine} rational points.")) (|nonSingularModel| (((|List| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{nonSingularModel(u)} returns the equations in \\spad{u1},{}...,{}un of an affine non-singular model for the curve.")) (|algSplitSimple| (((|Record| (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (|Mapping| |#2| |#2|)) "\\spad{algSplitSimple(f,{} D)} returns \\spad{[h,{}d,{}d',{}g]} such that \\spad{f=h/d},{} \\spad{h} is integral at all the normal places \\spad{w}.\\spad{r}.\\spad{t}. \\spad{D},{} \\spad{d' = Dd},{} \\spad{g = gcd(d,{} discriminant())} and \\spad{D} is the derivation to use. \\spad{f} must have at most simple finite poles.")) (|hyperelliptic| (((|Union| |#2| "failed")) "\\spad{hyperelliptic()} returns \\spad{p(x)} if the curve is the hyperelliptic defined by \\spad{y**2 = p(x)},{} \"failed\" otherwise.")) (|elliptic| (((|Union| |#2| "failed")) "\\spad{elliptic()} returns \\spad{p(x)} if the curve is the elliptic defined by \\spad{y**2 = p(x)},{} \"failed\" otherwise.")) (|elt| ((|#1| $ |#1| |#1|) "\\spad{elt(f,{}a,{}b)} or \\spad{f}(a,{} \\spad{b}) returns the value of \\spad{f} at the point \\spad{(x = a,{} y = b)} if it is not singular.")) (|primitivePart| (($ $) "\\spad{primitivePart(f)} removes the content of the denominator and the common content of the numerator of \\spad{f}.")) (|differentiate| (($ $ (|Mapping| |#2| |#2|)) "\\spad{differentiate(x,{} d)} extends the derivation \\spad{d} from UP to \\$ and applies it to \\spad{x}.")) (|integralDerivationMatrix| (((|Record| (|:| |num| (|Matrix| |#2|)) (|:| |den| |#2|)) (|Mapping| |#2| |#2|)) "\\spad{integralDerivationMatrix(d)} extends the derivation \\spad{d} from UP to \\$ and returns (\\spad{M},{} \\spad{Q}) such that the i^th row of \\spad{M} divided by \\spad{Q} form the coordinates of \\spad{d(\\spad{wi})} with respect to \\spad{(w1,{}...,{}wn)} where \\spad{(w1,{}...,{}wn)} is the integral basis returned by integralBasis().")) (|integralRepresents| (($ (|Vector| |#2|) |#2|) "\\spad{integralRepresents([A1,{}...,{}An],{} D)} returns \\spad{(A1 w1+...+An wn)/D} where \\spad{(w1,{}...,{}wn)} is the integral basis of \\spad{integralBasis()}.")) (|integralCoordinates| (((|Record| (|:| |num| (|Vector| |#2|)) (|:| |den| |#2|)) $) "\\spad{integralCoordinates(f)} returns \\spad{[[A1,{}...,{}An],{} D]} such that \\spad{f = (A1 w1 +...+ An wn) / D} where \\spad{(w1,{}...,{}wn)} is the integral basis returned by \\spad{integralBasis()}.")) (|represents| (($ (|Vector| |#2|) |#2|) "\\spad{represents([A0,{}...,{}A(n-1)],{}D)} returns \\spad{(A0 + A1 y +...+ A(n-1)*y**(n-1))/D}.") (($ (|Vector| |#2|) |#2|) "\\spad{represents([A0,{}...,{}A(n-1)],{}D)} returns \\spad{(A0 + A1 y +...+ A(n-1)*y**(n-1))/D}.")) (|yCoordinates| (((|Record| (|:| |num| (|Vector| |#2|)) (|:| |den| |#2|)) $) "\\spad{yCoordinates(f)} returns \\spad{[[A1,{}...,{}An],{} D]} such that \\spad{f = (A1 + A2 y +...+ An y**(n-1)) / D}.")) (|inverseIntegralMatrixAtInfinity| (((|Matrix| (|Fraction| |#2|))) "\\indented{1}{inverseIntegralMatrixAtInfinity() returns \\spad{M} such} \\indented{1}{that \\spad{M (v1,{}...,{}vn) = (1,{} y,{} ...,{} y**(n-1))}} \\indented{1}{where \\spad{(v1,{}...,{}vn)} is the local integral basis at infinity} \\indented{1}{returned by \\spad{infIntBasis()}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} inverseIntegralMatrixAtInfinity()\\$\\spad{R}")) (|integralMatrixAtInfinity| (((|Matrix| (|Fraction| |#2|))) "\\indented{1}{integralMatrixAtInfinity() returns \\spad{M} such that} \\indented{1}{\\spad{(v1,{}...,{}vn) = M (1,{} y,{} ...,{} y**(n-1))}} \\indented{1}{where \\spad{(v1,{}...,{}vn)} is the local integral basis at infinity} \\indented{1}{returned by \\spad{infIntBasis()}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} integralMatrixAtInfinity()\\$\\spad{R}")) (|inverseIntegralMatrix| (((|Matrix| (|Fraction| |#2|))) "\\indented{1}{inverseIntegralMatrix() returns \\spad{M} such that} \\indented{1}{\\spad{M (w1,{}...,{}wn) = (1,{} y,{} ...,{} y**(n-1))}} \\indented{1}{where \\spad{(w1,{}...,{}wn)} is the integral basis of} \\indented{1}{\\spadfunFrom{integralBasis}{FunctionFieldCategory}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} inverseIntegralMatrix()\\$\\spad{R}")) (|integralMatrix| (((|Matrix| (|Fraction| |#2|))) "\\indented{1}{integralMatrix() returns \\spad{M} such that} \\indented{1}{\\spad{(w1,{}...,{}wn) = M (1,{} y,{} ...,{} y**(n-1))},{}} \\indented{1}{where \\spad{(w1,{}...,{}wn)} is the integral basis of} \\indented{1}{\\spadfunFrom{integralBasis}{FunctionFieldCategory}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} integralMatrix()\\$\\spad{R}")) (|reduceBasisAtInfinity| (((|Vector| $) (|Vector| $)) "\\spad{reduceBasisAtInfinity(b1,{}...,{}bn)} returns \\spad{(x**i * bj)} for all \\spad{i},{}\\spad{j} such that \\spad{x**i*bj} is locally integral at infinity.")) (|normalizeAtInfinity| (((|Vector| $) (|Vector| $)) "\\spad{normalizeAtInfinity(v)} makes \\spad{v} normal at infinity.")) (|complementaryBasis| (((|Vector| $) (|Vector| $)) "\\spad{complementaryBasis(b1,{}...,{}bn)} returns the complementary basis \\spad{(b1',{}...,{}bn')} of \\spad{(b1,{}...,{}bn)}.")) (|integral?| (((|Boolean|) $ |#2|) "\\spad{integral?(f,{} p)} tests whether \\spad{f} is locally integral at \\spad{p(x) = 0}") (((|Boolean|) $ |#1|) "\\spad{integral?(f,{} a)} tests whether \\spad{f} is locally integral at \\spad{x = a}.") (((|Boolean|) $) "\\spad{integral?()} tests if \\spad{f} is integral over \\spad{k[x]}.")) (|integralAtInfinity?| (((|Boolean|) $) "\\spad{integralAtInfinity?()} tests if \\spad{f} is locally integral at infinity.")) (|integralBasisAtInfinity| (((|Vector| $)) "\\indented{1}{integralBasisAtInfinity() returns the local integral basis} \\indented{1}{at infinity} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} integralBasisAtInfinity()\\$\\spad{R}")) (|integralBasis| (((|Vector| $)) "\\indented{1}{integralBasis() returns the integral basis for the curve.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} integralBasis()\\$\\spad{R}")) (|ramified?| (((|Boolean|) |#2|) "\\spad{ramified?(p)} tests whether \\spad{p(x) = 0} is ramified.") (((|Boolean|) |#1|) "\\spad{ramified?(a)} tests whether \\spad{x = a} is ramified.")) (|ramifiedAtInfinity?| (((|Boolean|)) "\\spad{ramifiedAtInfinity?()} tests if infinity is ramified.")) (|singular?| (((|Boolean|) |#2|) "\\spad{singular?(p)} tests whether \\spad{p(x) = 0} is singular.") (((|Boolean|) |#1|) "\\spad{singular?(a)} tests whether \\spad{x = a} is singular.")) (|singularAtInfinity?| (((|Boolean|)) "\\spad{singularAtInfinity?()} tests if there is a singularity at infinity.")) (|branchPoint?| (((|Boolean|) |#2|) "\\spad{branchPoint?(p)} tests whether \\spad{p(x) = 0} is a branch point.") (((|Boolean|) |#1|) "\\spad{branchPoint?(a)} tests whether \\spad{x = a} is a branch point.")) (|branchPointAtInfinity?| (((|Boolean|)) "\\indented{1}{branchPointAtInfinity?() tests if there is a branch point} \\indented{1}{at infinity.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} branchPointAtInfinity?()\\$\\spad{R} \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 2 * \\spad{x**2},{} 4) \\spad{X} branchPointAtInfinity?()\\$\\spad{R}")) (|rationalPoint?| (((|Boolean|) |#1| |#1|) "\\indented{1}{rationalPoint?(a,{} \\spad{b}) tests if \\spad{(x=a,{}y=b)} is on the curve.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} rationalPoint?(0,{}0)\\$\\spad{R} \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 2 * \\spad{x**2},{} 4) \\spad{X} rationalPoint?(0,{}0)\\$\\spad{R2}")) (|absolutelyIrreducible?| (((|Boolean|)) "\\indented{1}{absolutelyIrreducible?() tests if the curve absolutely irreducible?} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 2 * \\spad{x**2},{} 4) \\spad{X} absolutelyIrreducible?()\\$\\spad{R2}")) (|genus| (((|NonNegativeInteger|)) "\\indented{1}{genus() returns the genus of one absolutely irreducible component} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} genus()\\$\\spad{R}")) (|numberOfComponents| (((|NonNegativeInteger|)) "\\indented{1}{numberOfComponents() returns the number of absolutely irreducible} \\indented{1}{components.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} numberOfComponents()\\$\\spad{R}"))) 
-((-4514 |has| (-409 |#2|) (-365)) (-4519 |has| (-409 |#2|) (-365)) (-4513 |has| (-409 |#2|) (-365)) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4528 |has| (-410 |#2|) (-366)) (-4533 |has| (-410 |#2|) (-366)) (-4527 |has| (-410 |#2|) (-366)) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-341 |p| |extdeg|) 
+(-342 |p| |extdeg|) 
 ((|constructor| (NIL "FiniteFieldCyclicGroup(\\spad{p},{}\\spad{n}) implements a finite field extension of degee \\spad{n} over the prime field with \\spad{p} elements. Its elements are represented by powers of a primitive element,{} \\spadignore{i.e.} a generator of the multiplicative (cyclic) group. As primitive element we choose the root of the extension polynomial,{} which is created by createPrimitivePoly from \\spadtype{FiniteFieldPolynomialPackage}. The Zech logarithms are stored in a table of size half of the field size,{} and use \\spadtype{SingleInteger} for representing field elements,{} hence,{} there are restrictions on the size of the field.")) (|getZechTable| (((|PrimitiveArray| (|SingleInteger|))) "\\spad{getZechTable()} returns the zech logarithm table of the field. This table is used to perform additions in the field quickly."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| (-905 |#1|) (QUOTE (-150))) (|HasCategory| (-905 |#1|) (QUOTE (-370))) (|HasCategory| (-905 |#1|) (QUOTE (-148))) (-2199 (|HasCategory| (-905 |#1|) (QUOTE (-148))) (|HasCategory| (-905 |#1|) (QUOTE (-370))))) 
-(-342 GF |defpol|) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| (-906 |#1|) (QUOTE (-151))) (|HasCategory| (-906 |#1|) (QUOTE (-371))) (|HasCategory| (-906 |#1|) (QUOTE (-149))) (-2232 (|HasCategory| (-906 |#1|) (QUOTE (-149))) (|HasCategory| (-906 |#1|) (QUOTE (-371))))) 
+(-343 GF |defpol|) 
 ((|constructor| (NIL "FiniteFieldCyclicGroupExtensionByPolynomial(\\spad{GF},{}defpol) implements a finite extension field of the ground field \\spad{GF}. Its elements are represented by powers of a primitive element,{} \\spadignore{i.e.} a generator of the multiplicative (cyclic) group. As primitive element we choose the root of the extension polynomial defpol,{} which MUST be primitive (user responsibility). Zech logarithms are stored in a table of size half of the field size,{} and use \\spadtype{SingleInteger} for representing field elements,{} hence,{} there are restrictions on the size of the field.")) (|getZechTable| (((|PrimitiveArray| (|SingleInteger|))) "\\spad{getZechTable()} returns the zech logarithm table of the field it is used to perform additions in the field quickly."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-370))) (|HasCategory| |#1| (QUOTE (-148))) (-2199 (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-370))))) 
-(-343 GF |extdeg|) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-149))) (-2232 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-371))))) 
+(-344 GF |extdeg|) 
 ((|constructor| (NIL "FiniteFieldCyclicGroupExtension(\\spad{GF},{}\\spad{n}) implements a extension of degree \\spad{n} over the ground field \\spad{GF}. Its elements are represented by powers of a primitive element,{} \\spadignore{i.e.} a generator of the multiplicative (cyclic) group. As primitive element we choose the root of the extension polynomial,{} which is created by createPrimitivePoly from \\spadtype{FiniteFieldPolynomialPackage}. Zech logarithms are stored in a table of size half of the field size,{} and use \\spadtype{SingleInteger} for representing field elements,{} hence,{} there are restrictions on the size of the field.")) (|getZechTable| (((|PrimitiveArray| (|SingleInteger|))) "\\spad{getZechTable()} returns the zech logarithm table of the field. This table is used to perform additions in the field quickly."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-370))) (|HasCategory| |#1| (QUOTE (-148))) (-2199 (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-370))))) 
-(-344 K |PolK|) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-149))) (-2232 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-371))))) 
+(-345 K |PolK|) 
 ((|constructor| (NIL "Part of the package for Algebraic Function Fields in one variable (\\spad{PAFF}) It has been modified (very slitely) so that each time the \"factor\" function is used,{} the variable related to the size of the field over which the polynomial is factorized is reset. This is done in order to be used with a \"dynamic extension field\" which size is not fixed but set before calling the \"factor\" function and which is parse by side effect to this package via the function \"size\". See the local function \"initialize\" of this package."))) 
 NIL 
 NIL 
-(-345 -3192 V VF) 
+(-346 -3022 V VF) 
 ((|constructor| (NIL "This package lifts the interpolation functions from \\spadtype{FractionFreeFastGaussian} to fractions. The packages defined in this file provide fast fraction free rational interpolation algorithms. (see \\spad{FAMR2},{} FFFG,{} FFFGF,{} NEWTON)")) (|generalInterpolation| (((|Stream| (|Matrix| (|SparseUnivariatePolynomial| |#1|))) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#3|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{generalInterpolation(l,{} CA,{} f,{} sumEta,{} maxEta)} applies generalInterpolation(\\spad{l},{} \\spad{CA},{} \\spad{f},{} eta) for all possible eta with maximal entry maxEta and sum of entries \\spad{sumEta}") (((|Matrix| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#3|) (|List| (|NonNegativeInteger|))) "\\spad{generalInterpolation(l,{} CA,{} f,{} eta)} performs Hermite-Pade approximation using the given action \\spad{CA} of polynomials on the elements of \\spad{f}. The result is guaranteed to be correct up to order |eta|-1. Given that eta is a \"normal\" point,{} the degrees on the diagonal are given by eta. The degrees of column \\spad{i} are in this case eta + \\spad{e}.\\spad{i} - [1,{}1,{}...,{}1],{} where the degree of zero is \\spad{-1}."))) 
 NIL 
 NIL 
-(-346 -3192 V) 
+(-347 -3022 V) 
 ((|constructor| (NIL "This package implements the interpolation algorithm proposed in Beckermann,{} Bernhard and Labahn,{} George,{} Fraction-free computation of matrix rational interpolants and matrix GCDs,{} SIAM Journal on Matrix Analysis and Applications 22. The packages defined in this file provide fast fraction free rational interpolation algorithms. (see \\spad{FAMR2},{} FFFG,{} FFFGF,{} NEWTON)")) (|qShiftC| (((|List| |#1|) |#1| (|NonNegativeInteger|)) "\\spad{qShiftC} gives the coefficients \\spad{c_}{\\spad{k},{}\\spad{k}} in the expansion <x^k> \\spad{z} \\spad{g}(\\spad{x}) = sum_{\\spad{i=0}}\\spad{^k} \\spad{c_}{\\spad{k},{}\\spad{i}} <x^i> \\spad{g}(\\spad{x}),{} where \\spad{z} acts on \\spad{g}(\\spad{x}) by shifting. In fact,{} the result is [1,{}\\spad{q},{}\\spad{q^2},{}...]")) (|qShiftAction| ((|#1| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) "\\spad{qShiftAction(q,{} k,{} l,{} g)} gives the coefficient of \\spad{x^k} in \\spad{z^l} \\spad{g}(\\spad{x}),{} where \\spad{z*}(a+b*x+c*x^2+d*x^3+...) = (a+q*b*x+q^2*c*x^2+q^3*d*x^3+...). In terms of sequences,{} z*u(\\spad{n})=q^n*u(\\spad{n}).")) (|DiffC| (((|List| |#1|) (|NonNegativeInteger|)) "\\spad{DiffC} gives the coefficients \\spad{c_}{\\spad{k},{}\\spad{k}} in the expansion <x^k> \\spad{z} \\spad{g}(\\spad{x}) = sum_{\\spad{i=0}}\\spad{^k} \\spad{c_}{\\spad{k},{}\\spad{i}} <x^i> \\spad{g}(\\spad{x}),{} where \\spad{z} acts on \\spad{g}(\\spad{x}) by shifting. In fact,{} the result is [0,{}0,{}0,{}...]")) (|DiffAction| ((|#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) "\\spad{DiffAction(k,{} l,{} g)} gives the coefficient of \\spad{x^k} in \\spad{z^l} \\spad{g}(\\spad{x}),{} where \\spad{z*}(a+b*x+c*x^2+d*x^3+...) = (a*x+b*x^2+c*x^3+...),{} \\spadignore{i.e.} multiplication with \\spad{x}.")) (|ShiftC| (((|List| |#1|) (|NonNegativeInteger|)) "\\spad{ShiftC} gives the coefficients \\spad{c_}{\\spad{k},{}\\spad{k}} in the expansion <x^k> \\spad{z} \\spad{g}(\\spad{x}) = sum_{\\spad{i=0}}\\spad{^k} \\spad{c_}{\\spad{k},{}\\spad{i}} <x^i> \\spad{g}(\\spad{x}),{} where \\spad{z} acts on \\spad{g}(\\spad{x}) by shifting. In fact,{} the result is [0,{}1,{}2,{}...]")) (|ShiftAction| ((|#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) "\\spad{ShiftAction(k,{} l,{} g)} gives the coefficient of \\spad{x^k} in \\spad{z^l} \\spad{g}(\\spad{x}),{} where \\spad{z*(a+b*x+c*x^2+d*x^3+...) = (b*x+2*c*x^2+3*d*x^3+...)}. In terms of sequences,{} z*u(\\spad{n})=n*u(\\spad{n}).")) (|generalCoefficient| ((|#1| (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#2|) (|NonNegativeInteger|) (|Vector| (|SparseUnivariatePolynomial| |#1|))) "\\spad{generalCoefficient(action,{} f,{} k,{} p)} gives the coefficient of \\spad{x^k} in \\spad{p}(\\spad{z})\\dot \\spad{f}(\\spad{x}),{} where the \\spad{action} of \\spad{z^l} on a polynomial in \\spad{x} is given by \\spad{action},{} \\spadignore{i.e.} \\spad{action}(\\spad{k},{} \\spad{l},{} \\spad{f}) should return the coefficient of \\spad{x^k} in \\spad{z^l} \\spad{f}(\\spad{x}).")) (|generalInterpolation| (((|Stream| (|Matrix| (|SparseUnivariatePolynomial| |#1|))) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#2|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{generalInterpolation(C,{} CA,{} f,{} sumEta,{} maxEta)} applies \\spad{generalInterpolation(C,{} CA,{} f,{} eta)} for all possible \\spad{eta} with maximal entry \\spad{maxEta} and sum of entries at most \\spad{sumEta}. \\blankline The first argument \\spad{C} is the list of coefficients \\spad{c_}{\\spad{k},{}\\spad{k}} in the expansion <x^k> \\spad{z} \\spad{g}(\\spad{x}) = sum_{\\spad{i=0}}\\spad{^k} \\spad{c_}{\\spad{k},{}\\spad{i}} <x^i> \\spad{g}(\\spad{x}). \\blankline The second argument,{} \\spad{CA}(\\spad{k},{} \\spad{l},{} \\spad{f}),{} should return the coefficient of \\spad{x^k} in \\spad{z^l} \\spad{f}(\\spad{x}).") (((|Matrix| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#2|) (|List| (|NonNegativeInteger|))) "\\spad{generalInterpolation(C,{} CA,{} f,{} eta)} performs Hermite-Pade approximation using the given action \\spad{CA} of polynomials on the elements of \\spad{f}. The result is guaranteed to be correct up to order |eta|-1. Given that eta is a \"normal\" point,{} the degrees on the diagonal are given by eta. The degrees of column \\spad{i} are in this case eta + \\spad{e}.\\spad{i} - [1,{}1,{}...,{}1],{} where the degree of zero is \\spad{-1}. \\blankline The first argument \\spad{C} is the list of coefficients \\spad{c_}{\\spad{k},{}\\spad{k}} in the expansion <x^k> \\spad{z} \\spad{g}(\\spad{x}) = sum_{\\spad{i=0}}\\spad{^k} \\spad{c_}{\\spad{k},{}\\spad{i}} <x^i> \\spad{g}(\\spad{x}). \\blankline The second argument,{} \\spad{CA}(\\spad{k},{} \\spad{l},{} \\spad{f}),{} should return the coefficient of \\spad{x^k} in \\spad{z^l} \\spad{f}(\\spad{x}).")) (|interpolate| (((|Fraction| (|SparseUnivariatePolynomial| |#1|)) (|List| (|Fraction| |#1|)) (|List| (|Fraction| |#1|)) (|NonNegativeInteger|)) "\\spad{interpolate(xlist,{} ylist,{} deg} returns the rational function with numerator degree \\spad{deg} that interpolates the given points using fraction free arithmetic.") (((|Fraction| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|List| |#1|) (|NonNegativeInteger|)) "\\spad{interpolate(xlist,{} ylist,{} deg} returns the rational function with numerator degree at most \\spad{deg} and denominator degree at most \\spad{\\#xlist-deg-1} that interpolates the given points using fraction free arithmetic. Note that rational interpolation does not guarantee that all given points are interpolated correctly: unattainable points may make this impossible.")) (|fffg| (((|Matrix| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|Vector| (|SparseUnivariatePolynomial| |#1|))) (|List| (|NonNegativeInteger|))) "\\spad{fffg} is the general algorithm as proposed by Beckermann and Labahn. \\blankline The first argument is the list of \\spad{c_}{\\spad{i},{}\\spad{i}}. These are the only values of \\spad{C} explicitely needed in \\spad{fffg}. \\blankline The second argument \\spad{c},{} computes \\spad{c_k}(\\spad{M}),{} \\spadignore{i.e.} \\spad{c_k}(.) is the dual basis of the vector space \\spad{V},{} but also knows about the special multiplication rule as descibed in Equation (2). Note that the information about \\spad{f} is therefore encoded in \\spad{c}. \\blankline The third argument is the vector of degree bounds \\spad{n},{} as introduced in Definition 2.1. In particular,{} the sum of the entries is the order of the Mahler system computed."))) 
 NIL 
 NIL 
-(-347 GF) 
+(-348 GF) 
 ((|constructor| (NIL "FiniteFieldFunctions(\\spad{GF}) is a package with functions concerning finite extension fields of the finite ground field \\spad{GF},{} \\spadignore{e.g.} Zech logarithms.")) (|createLowComplexityNormalBasis| (((|Union| (|SparseUnivariatePolynomial| |#1|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) (|PositiveInteger|)) "\\spad{createLowComplexityNormalBasis(n)} tries to find a a low complexity normal basis of degree \\spad{n} over \\spad{GF} and returns its multiplication matrix If no low complexity basis is found it calls \\axiomFunFrom{createNormalPoly}{FiniteFieldPolynomialPackage}(\\spad{n}) to produce a normal polynomial of degree \\spad{n} over \\spad{GF}")) (|createLowComplexityTable| (((|Union| (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))) "failed") (|PositiveInteger|)) "\\spad{createLowComplexityTable(n)} tries to find a low complexity normal basis of degree \\spad{n} over \\spad{GF} and returns its multiplication matrix Fails,{} if it does not find a low complexity basis")) (|sizeMultiplication| (((|NonNegativeInteger|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) "\\spad{sizeMultiplication(m)} returns the number of entries of the multiplication table \\spad{m}.")) (|createMultiplicationMatrix| (((|Matrix| |#1|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) "\\spad{createMultiplicationMatrix(m)} forms the multiplication table \\spad{m} into a matrix over the ground field.")) (|createMultiplicationTable| (((|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))) (|SparseUnivariatePolynomial| |#1|)) "\\spad{createMultiplicationTable(f)} generates a multiplication table for the normal basis of the field extension determined by \\spad{f}. This is needed to perform multiplications between elements represented as coordinate vectors to this basis. See \\spadtype{FFNBP},{} \\spadtype{FFNBX}.")) (|createZechTable| (((|PrimitiveArray| (|SingleInteger|)) (|SparseUnivariatePolynomial| |#1|)) "\\spad{createZechTable(f)} generates a Zech logarithm table for the cyclic group representation of a extension of the ground field by the primitive polynomial \\spad{f}(\\spad{x}),{} \\spadignore{i.e.} \\spad{Z(i)},{} defined by x**Z(\\spad{i}) = 1+x**i is stored at index \\spad{i}. This is needed in particular to perform addition of field elements in finite fields represented in this way. See \\spadtype{FFCGP},{} \\spadtype{FFCGX}."))) 
 NIL 
 NIL 
-(-348 F1 GF F2) 
+(-349 F1 GF F2) 
 ((|constructor| (NIL "FiniteFieldHomomorphisms(\\spad{F1},{}\\spad{GF},{}\\spad{F2}) exports coercion functions of elements between the fields \\spad{F1} and \\spad{F2},{} which both must be finite simple algebraic extensions of the finite ground field \\spad{GF}.")) (|coerce| ((|#1| |#3|) "\\spad{coerce(x)} is the homomorphic image of \\spad{x} from \\spad{F2} in \\spad{F1},{} where coerce is a field homomorphism between the fields extensions \\spad{F2} and \\spad{F1} both over ground field \\spad{GF} (the second argument to the package). Error: if the extension degree of \\spad{F2} doesn\\spad{'t} divide the extension degree of \\spad{F1}. Note that the other coercion function in the \\spadtype{FiniteFieldHomomorphisms} is a left inverse.") ((|#3| |#1|) "\\spad{coerce(x)} is the homomorphic image of \\spad{x} from \\spad{F1} in \\spad{F2}. Thus coerce is a field homomorphism between the fields extensions \\spad{F1} and \\spad{F2} both over ground field \\spad{GF} (the second argument to the package). Error: if the extension degree of \\spad{F1} doesn\\spad{'t} divide the extension degree of \\spad{F2}. Note that the other coercion function in the \\spadtype{FiniteFieldHomomorphisms} is a left inverse."))) 
 NIL 
 NIL 
-(-349 S) 
+(-350 S) 
 ((|constructor| (NIL "FiniteFieldCategory is the category of finite fields")) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) "\\spad{representationType()} returns the type of the representation,{} one of: \\spad{prime},{} \\spad{polynomial},{} \\spad{normal},{} or \\spad{cyclic}.")) (|order| (((|PositiveInteger|) $) "\\spad{order(b)} computes the order of an element \\spad{b} in the multiplicative group of the field. Error: if \\spad{b} equals 0.")) (|discreteLog| (((|NonNegativeInteger|) $) "\\spad{discreteLog(a)} computes the discrete logarithm of \\spad{a} with respect to \\spad{primitiveElement()} of the field.")) (|primitive?| (((|Boolean|) $) "\\spad{primitive?(b)} tests whether the element \\spad{b} is a generator of the (cyclic) multiplicative group of the field,{} \\spadignore{i.e.} is a primitive element. Implementation Note that see \\spad{ch}.IX.1.3,{} th.2 in \\spad{D}. Lipson.")) (|primitiveElement| (($) "\\spad{primitiveElement()} returns a primitive element stored in a global variable in the domain. At first call,{} the primitive element is computed by calling \\spadfun{createPrimitiveElement}.")) (|createPrimitiveElement| (($) "\\spad{createPrimitiveElement()} computes a generator of the (cyclic) multiplicative group of the field.")) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) "\\spad{tableForDiscreteLogarithm(a,{}n)} returns a table of the discrete logarithms of \\spad{a**0} up to \\spad{a**(n-1)} which,{} called with key \\spad{lookup(a**i)} returns \\spad{i} for \\spad{i} in \\spad{0..n-1}. Error: if not called for prime divisors of order of \\indented{7}{multiplicative group.}")) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) "\\spad{factorsOfCyclicGroupSize()} returns the factorization of size()\\spad{-1}")) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) "\\spad{conditionP(mat)},{} given a matrix representing a homogeneous system of equations,{} returns a vector whose characteristic'th powers is a non-trivial solution,{} or \"failed\" if no such vector exists.")) (|charthRoot| (($ $) "\\spad{charthRoot(a)} takes the characteristic'th root of a. Note that such a root is alway defined in finite fields."))) 
 NIL 
 NIL 
-(-350) 
+(-351) 
 ((|constructor| (NIL "FiniteFieldCategory is the category of finite fields")) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) "\\spad{representationType()} returns the type of the representation,{} one of: \\spad{prime},{} \\spad{polynomial},{} \\spad{normal},{} or \\spad{cyclic}.")) (|order| (((|PositiveInteger|) $) "\\spad{order(b)} computes the order of an element \\spad{b} in the multiplicative group of the field. Error: if \\spad{b} equals 0.")) (|discreteLog| (((|NonNegativeInteger|) $) "\\spad{discreteLog(a)} computes the discrete logarithm of \\spad{a} with respect to \\spad{primitiveElement()} of the field.")) (|primitive?| (((|Boolean|) $) "\\spad{primitive?(b)} tests whether the element \\spad{b} is a generator of the (cyclic) multiplicative group of the field,{} \\spadignore{i.e.} is a primitive element. Implementation Note that see \\spad{ch}.IX.1.3,{} th.2 in \\spad{D}. Lipson.")) (|primitiveElement| (($) "\\spad{primitiveElement()} returns a primitive element stored in a global variable in the domain. At first call,{} the primitive element is computed by calling \\spadfun{createPrimitiveElement}.")) (|createPrimitiveElement| (($) "\\spad{createPrimitiveElement()} computes a generator of the (cyclic) multiplicative group of the field.")) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) "\\spad{tableForDiscreteLogarithm(a,{}n)} returns a table of the discrete logarithms of \\spad{a**0} up to \\spad{a**(n-1)} which,{} called with key \\spad{lookup(a**i)} returns \\spad{i} for \\spad{i} in \\spad{0..n-1}. Error: if not called for prime divisors of order of \\indented{7}{multiplicative group.}")) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) "\\spad{factorsOfCyclicGroupSize()} returns the factorization of size()\\spad{-1}")) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) "\\spad{conditionP(mat)},{} given a matrix representing a homogeneous system of equations,{} returns a vector whose characteristic'th powers is a non-trivial solution,{} or \"failed\" if no such vector exists.")) (|charthRoot| (($ $) "\\spad{charthRoot(a)} takes the characteristic'th root of a. Note that such a root is alway defined in finite fields."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-351 R UP -1478) 
+(-352 R UP -1564) 
 ((|constructor| (NIL "Integral bases for function fields of dimension one In this package \\spad{R} is a Euclidean domain and \\spad{F} is a framed algebra over \\spad{R}. The package provides functions to compute the integral closure of \\spad{R} in the quotient field of \\spad{F}. It is assumed that \\spad{char(R/P) = char(R)} for any prime \\spad{P} of \\spad{R}. A typical instance of this is when \\spad{R = K[x]} and \\spad{F} is a function field over \\spad{R}.")) (|localIntegralBasis| (((|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|))) |#1|) "\\spad{integralBasis(p)} returns a record \\spad{[basis,{}basisDen,{}basisInv]} containing information regarding the local integral closure of \\spad{R} at the prime \\spad{p} in the quotient field of \\spad{F},{} where \\spad{F} is a framed algebra with \\spad{R}-module basis \\spad{w1,{}w2,{}...,{}wn}. If \\spad{basis} is the matrix \\spad{(aij,{} i = 1..n,{} j = 1..n)},{} then the \\spad{i}th element of the local integral basis is \\spad{\\spad{vi} = (1/basisDen) * sum(aij * wj,{} j = 1..n)},{} \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly,{} the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{\\spad{wi}} with respect to the basis \\spad{v1,{}...,{}vn}: if \\spad{basisInv} is the matrix \\spad{(bij,{} i = 1..n,{} j = 1..n)},{} then \\spad{\\spad{wi} = sum(bij * vj,{} j = 1..n)}.")) (|integralBasis| (((|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|)))) "\\spad{integralBasis()} returns a record \\spad{[basis,{}basisDen,{}basisInv]} containing information regarding the integral closure of \\spad{R} in the quotient field of \\spad{F},{} where \\spad{F} is a framed algebra with \\spad{R}-module basis \\spad{w1,{}w2,{}...,{}wn}. If \\spad{basis} is the matrix \\spad{(aij,{} i = 1..n,{} j = 1..n)},{} then the \\spad{i}th element of the integral basis is \\spad{\\spad{vi} = (1/basisDen) * sum(aij * wj,{} j = 1..n)},{} \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly,{} the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{\\spad{wi}} with respect to the basis \\spad{v1,{}...,{}vn}: if \\spad{basisInv} is the matrix \\spad{(bij,{} i = 1..n,{} j = 1..n)},{} then \\spad{\\spad{wi} = sum(bij * vj,{} j = 1..n)}.")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(x)} returns a square-free factorisation of \\spad{x}"))) 
 NIL 
 NIL 
-(-352 |p| |extdeg|) 
+(-353 |p| |extdeg|) 
 ((|constructor| (NIL "FiniteFieldNormalBasis(\\spad{p},{}\\spad{n}) implements a finite extension field of degree \\spad{n} over the prime field with \\spad{p} elements. The elements are represented by coordinate vectors with respect to a normal basis,{} \\spadignore{i.e.} a basis consisting of the conjugates (\\spad{q}-powers) of an element,{} in this case called normal element. This is chosen as a root of the extension polynomial created by createNormalPoly")) (|sizeMultiplication| (((|NonNegativeInteger|)) "\\spad{sizeMultiplication()} returns the number of entries in the multiplication table of the field. Note: The time of multiplication of field elements depends on this size.")) (|getMultiplicationMatrix| (((|Matrix| (|PrimeField| |#1|))) "\\spad{getMultiplicationMatrix()} returns the multiplication table in form of a matrix.")) (|getMultiplicationTable| (((|Vector| (|List| (|Record| (|:| |value| (|PrimeField| |#1|)) (|:| |index| (|SingleInteger|)))))) "\\spad{getMultiplicationTable()} returns the multiplication table for the normal basis of the field. This table is used to perform multiplications between field elements."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| (-905 |#1|) (QUOTE (-150))) (|HasCategory| (-905 |#1|) (QUOTE (-370))) (|HasCategory| (-905 |#1|) (QUOTE (-148))) (-2199 (|HasCategory| (-905 |#1|) (QUOTE (-148))) (|HasCategory| (-905 |#1|) (QUOTE (-370))))) 
-(-353 GF |uni|) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| (-906 |#1|) (QUOTE (-151))) (|HasCategory| (-906 |#1|) (QUOTE (-371))) (|HasCategory| (-906 |#1|) (QUOTE (-149))) (-2232 (|HasCategory| (-906 |#1|) (QUOTE (-149))) (|HasCategory| (-906 |#1|) (QUOTE (-371))))) 
+(-354 GF |uni|) 
 ((|constructor| (NIL "FiniteFieldNormalBasisExtensionByPolynomial(\\spad{GF},{}uni) implements a finite extension of the ground field \\spad{GF}. The elements are represented by coordinate vectors with respect to. a normal basis,{} \\spadignore{i.e.} a basis consisting of the conjugates (\\spad{q}-powers) of an element,{} in this case called normal element,{} where \\spad{q} is the size of \\spad{GF}. The normal element is chosen as a root of the extension polynomial,{} which MUST be normal over \\spad{GF} (user responsibility)")) (|sizeMultiplication| (((|NonNegativeInteger|)) "\\spad{sizeMultiplication()} returns the number of entries in the multiplication table of the field. Note: the time of multiplication of field elements depends on this size.")) (|getMultiplicationMatrix| (((|Matrix| |#1|)) "\\spad{getMultiplicationMatrix()} returns the multiplication table in form of a matrix.")) (|getMultiplicationTable| (((|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) "\\spad{getMultiplicationTable()} returns the multiplication table for the normal basis of the field. This table is used to perform multiplications between field elements."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-370))) (|HasCategory| |#1| (QUOTE (-148))) (-2199 (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-370))))) 
-(-354 GF |extdeg|) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-149))) (-2232 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-371))))) 
+(-355 GF |extdeg|) 
 ((|constructor| (NIL "FiniteFieldNormalBasisExtensionByPolynomial(\\spad{GF},{}\\spad{n}) implements a finite extension field of degree \\spad{n} over the ground field \\spad{GF}. The elements are represented by coordinate vectors with respect to a normal basis,{} \\spadignore{i.e.} a basis consisting of the conjugates (\\spad{q}-powers) of an element,{} in this case called normal element. This is chosen as a root of the extension polynomial,{} created by createNormalPoly from \\spadtype{FiniteFieldPolynomialPackage}")) (|sizeMultiplication| (((|NonNegativeInteger|)) "\\spad{sizeMultiplication()} returns the number of entries in the multiplication table of the field. Note: the time of multiplication of field elements depends on this size.")) (|getMultiplicationMatrix| (((|Matrix| |#1|)) "\\spad{getMultiplicationMatrix()} returns the multiplication table in form of a matrix.")) (|getMultiplicationTable| (((|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) "\\spad{getMultiplicationTable()} returns the multiplication table for the normal basis of the field. This table is used to perform multiplications between field elements."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-370))) (|HasCategory| |#1| (QUOTE (-148))) (-2199 (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-370))))) 
-(-355 |p| |n|) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-149))) (-2232 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-371))))) 
+(-356 |p| |n|) 
 ((|constructor| (NIL "FiniteField(\\spad{p},{}\\spad{n}) implements finite fields with p**n elements. This packages checks that \\spad{p} is prime. For a non-checking version,{} see \\spadtype{InnerFiniteField}."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| (-905 |#1|) (QUOTE (-150))) (|HasCategory| (-905 |#1|) (QUOTE (-370))) (|HasCategory| (-905 |#1|) (QUOTE (-148))) (-2199 (|HasCategory| (-905 |#1|) (QUOTE (-148))) (|HasCategory| (-905 |#1|) (QUOTE (-370))))) 
-(-356 GF |defpol|) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| (-906 |#1|) (QUOTE (-151))) (|HasCategory| (-906 |#1|) (QUOTE (-371))) (|HasCategory| (-906 |#1|) (QUOTE (-149))) (-2232 (|HasCategory| (-906 |#1|) (QUOTE (-149))) (|HasCategory| (-906 |#1|) (QUOTE (-371))))) 
+(-357 GF |defpol|) 
 ((|constructor| (NIL "FiniteFieldExtensionByPolynomial(\\spad{GF},{} defpol) implements the extension of the finite field \\spad{GF} generated by the extension polynomial defpol which MUST be irreducible."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-370))) (|HasCategory| |#1| (QUOTE (-148))) (-2199 (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-370))))) 
-(-357 -1478 GF) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-149))) (-2232 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-371))))) 
+(-358 -1564 GF) 
 ((|constructor| (NIL "\\spad{FiniteFieldPolynomialPackage2}(\\spad{F},{}\\spad{GF}) exports some functions concerning finite fields,{} which depend on a finite field \\spad{GF} and an algebraic extension \\spad{F} of \\spad{GF},{} \\spadignore{e.g.} a zero of a polynomial over \\spad{GF} in \\spad{F}.")) (|rootOfIrreduciblePoly| ((|#1| (|SparseUnivariatePolynomial| |#2|)) "\\spad{rootOfIrreduciblePoly(f)} computes one root of the monic,{} irreducible polynomial \\spad{f},{} which degree must divide the extension degree of \\spad{F} over \\spad{GF},{} \\spadignore{i.e.} \\spad{f} splits into linear factors over \\spad{F}.")) (|Frobenius| ((|#1| |#1|) "\\spad{Frobenius(x)} \\undocumented{}")) (|basis| (((|Vector| |#1|) (|PositiveInteger|)) "\\spad{basis(n)} \\undocumented{}")) (|lookup| (((|PositiveInteger|) |#1|) "\\spad{lookup(x)} \\undocumented{}")) (|coerce| ((|#1| |#2|) "\\spad{coerce(x)} \\undocumented{}"))) 
 NIL 
 NIL 
-(-358 GF) 
+(-359 GF) 
 ((|constructor| (NIL "This package provides a number of functions for generating,{} counting and testing irreducible,{} normal,{} primitive,{} random polynomials over finite fields.")) (|reducedQPowers| (((|PrimitiveArray| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|)) "\\spad{reducedQPowers(f)} generates \\spad{[x,{}x**q,{}x**(q**2),{}...,{}x**(q**(n-1))]} reduced modulo \\spad{f} where \\spad{q = size()\\$GF} and \\spad{n = degree f}.")) (|leastAffineMultiple| (((|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|)) "\\spad{leastAffineMultiple(f)} computes the least affine polynomial which is divisible by the polynomial \\spad{f} over the finite field \\spad{GF},{} \\spadignore{i.e.} a polynomial whose exponents are 0 or a power of \\spad{q},{} the size of \\spad{GF}.")) (|random| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|) (|PositiveInteger|)) "\\spad{random(m,{}n)}\\$FFPOLY(\\spad{GF}) generates a random monic polynomial of degree \\spad{d} over the finite field \\spad{GF},{} \\spad{d} between \\spad{m} and \\spad{n}.") (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{random(n)}\\$FFPOLY(\\spad{GF}) generates a random monic polynomial of degree \\spad{n} over the finite field \\spad{GF}.")) (|nextPrimitiveNormalPoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) "\\spad{nextPrimitiveNormalPoly(f)} yields the next primitive normal polynomial over a finite field \\spad{GF} of the same degree as \\spad{f} in the following order,{} or \"failed\" if there are no greater ones. Error: if \\spad{f} has degree 0. Note that the input polynomial \\spad{f} is made monic. Also,{} \\spad{f < g} if the lookup of the constant term of \\spad{f} is less than this number for \\spad{g} or,{} in case these numbers are equal,{} if the lookup of the coefficient of the term of degree \\spad{n}-1 of \\spad{f} is less than this number for \\spad{g}. If these numbers are equals,{} \\spad{f < g} if the number of monomials of \\spad{f} is less than that for \\spad{g},{} or if the lists of exponents for \\spad{f} are lexicographically less than those for \\spad{g}. If these lists are also equal,{} the lists of coefficients are coefficients according to the lexicographic ordering induced by the ordering of the elements of \\spad{GF} given by lookup. This operation is equivalent to nextNormalPrimitivePoly(\\spad{f}).")) (|nextNormalPrimitivePoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) "\\spad{nextNormalPrimitivePoly(f)} yields the next normal primitive polynomial over a finite field \\spad{GF} of the same degree as \\spad{f} in the following order,{} or \"failed\" if there are no greater ones. Error: if \\spad{f} has degree 0. Note that the input polynomial \\spad{f} is made monic. Also,{} \\spad{f < g} if the lookup of the constant term of \\spad{f} is less than this number for \\spad{g} or if lookup of the coefficient of the term of degree \\spad{n}-1 of \\spad{f} is less than this number for \\spad{g}. Otherwise,{} \\spad{f < g} if the number of monomials of \\spad{f} is less than that for \\spad{g} or if the lists of exponents for \\spad{f} are lexicographically less than those for \\spad{g}. If these lists are also equal,{} the lists of coefficients are compared according to the lexicographic ordering induced by the ordering of the elements of \\spad{GF} given by lookup. This operation is equivalent to nextPrimitiveNormalPoly(\\spad{f}).")) (|nextNormalPoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) "\\spad{nextNormalPoly(f)} yields the next normal polynomial over a finite field \\spad{GF} of the same degree as \\spad{f} in the following order,{} or \"failed\" if there are no greater ones. Error: if \\spad{f} has degree 0. Note that the input polynomial \\spad{f} is made monic. Also,{} \\spad{f < g} if the lookup of the coefficient of the term of degree \\spad{n}-1 of \\spad{f} is less than that for \\spad{g}. In case these numbers are equal,{} \\spad{f < g} if if the number of monomials of \\spad{f} is less that for \\spad{g} or if the list of exponents of \\spad{f} are lexicographically less than the corresponding list for \\spad{g}. If these lists are also equal,{} the lists of coefficients are compared according to the lexicographic ordering induced by the ordering of the elements of \\spad{GF} given by lookup.")) (|nextPrimitivePoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) "\\spad{nextPrimitivePoly(f)} yields the next primitive polynomial over a finite field \\spad{GF} of the same degree as \\spad{f} in the following order,{} or \"failed\" if there are no greater ones. Error: if \\spad{f} has degree 0. Note that the input polynomial \\spad{f} is made monic. Also,{} \\spad{f < g} if the lookup of the constant term of \\spad{f} is less than this number for \\spad{g}. If these values are equal,{} then \\spad{f < g} if if the number of monomials of \\spad{f} is less than that for \\spad{g} or if the lists of exponents of \\spad{f} are lexicographically less than the corresponding list for \\spad{g}. If these lists are also equal,{} the lists of coefficients are compared according to the lexicographic ordering induced by the ordering of the elements of \\spad{GF} given by lookup.")) (|nextIrreduciblePoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) "\\spad{nextIrreduciblePoly(f)} yields the next monic irreducible polynomial over a finite field \\spad{GF} of the same degree as \\spad{f} in the following order,{} or \"failed\" if there are no greater ones. Error: if \\spad{f} has degree 0. Note that the input polynomial \\spad{f} is made monic. Also,{} \\spad{f < g} if the number of monomials of \\spad{f} is less than this number for \\spad{g}. If \\spad{f} and \\spad{g} have the same number of monomials,{} the lists of exponents are compared lexicographically. If these lists are also equal,{} the lists of coefficients are compared according to the lexicographic ordering induced by the ordering of the elements of \\spad{GF} given by lookup.")) (|createPrimitiveNormalPoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{createPrimitiveNormalPoly(n)}\\$FFPOLY(\\spad{GF}) generates a normal and primitive polynomial of degree \\spad{n} over the field \\spad{GF}. polynomial of degree \\spad{n} over the field \\spad{GF}.")) (|createNormalPrimitivePoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{createNormalPrimitivePoly(n)}\\$FFPOLY(\\spad{GF}) generates a normal and primitive polynomial of degree \\spad{n} over the field \\spad{GF}. Note that this function is equivalent to createPrimitiveNormalPoly(\\spad{n})")) (|createNormalPoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{createNormalPoly(n)}\\$FFPOLY(\\spad{GF}) generates a normal polynomial of degree \\spad{n} over the finite field \\spad{GF}.")) (|createPrimitivePoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{createPrimitivePoly(n)}\\$FFPOLY(\\spad{GF}) generates a primitive polynomial of degree \\spad{n} over the finite field \\spad{GF}.")) (|createIrreduciblePoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{createIrreduciblePoly(n)}\\$FFPOLY(\\spad{GF}) generates a monic irreducible univariate polynomial of degree \\spad{n} over the finite field \\spad{GF}.")) (|numberOfNormalPoly| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{numberOfNormalPoly(n)}\\$FFPOLY(\\spad{GF}) yields the number of normal polynomials of degree \\spad{n} over the finite field \\spad{GF}.")) (|numberOfPrimitivePoly| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{numberOfPrimitivePoly(n)}\\$FFPOLY(\\spad{GF}) yields the number of primitive polynomials of degree \\spad{n} over the finite field \\spad{GF}.")) (|numberOfIrreduciblePoly| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{numberOfIrreduciblePoly(n)}\\$FFPOLY(\\spad{GF}) yields the number of monic irreducible univariate polynomials of degree \\spad{n} over the finite field \\spad{GF}.")) (|normal?| (((|Boolean|) (|SparseUnivariatePolynomial| |#1|)) "\\spad{normal?(f)} tests whether the polynomial \\spad{f} over a finite field is normal,{} \\spadignore{i.e.} its roots are linearly independent over the field.")) (|primitive?| (((|Boolean|) (|SparseUnivariatePolynomial| |#1|)) "\\spad{primitive?(f)} tests whether the polynomial \\spad{f} over a finite field is primitive,{} \\spadignore{i.e.} all its roots are primitive."))) 
 NIL 
 NIL 
-(-359 -1478 FP FPP) 
+(-360 -1564 FP FPP) 
 ((|constructor| (NIL "This package solves linear diophantine equations for Bivariate polynomials over finite fields")) (|solveLinearPolynomialEquation| (((|Union| (|List| |#3|) "failed") (|List| |#3|) |#3|) "\\spad{solveLinearPolynomialEquation([f1,{} ...,{} fn],{} g)} (where the \\spad{fi} are relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g/prod \\spad{fi} = sum ai/fi} or returns \"failed\" if no such list of \\spad{ai}\\spad{'s} exists."))) 
 NIL 
 NIL 
-(-360 K |PolK|) 
+(-361 K |PolK|) 
 ((|constructor| (NIL "Part of the package for Algebraic Function Fields in one variable (\\spad{PAFF})"))) 
 NIL 
 NIL 
-(-361 GF |n|) 
+(-362 GF |n|) 
 ((|constructor| (NIL "FiniteFieldExtensionByPolynomial(\\spad{GF},{} \\spad{n}) implements an extension of the finite field \\spad{GF} of degree \\spad{n} generated by the extension polynomial constructed by createIrreduciblePoly from \\spadtype{FiniteFieldPolynomialPackage}."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-370))) (|HasCategory| |#1| (QUOTE (-148))) (-2199 (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-370))))) 
-(-362 R |ls|) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-149))) (-2232 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-371))))) 
+(-363 R |ls|) 
 ((|constructor| (NIL "This is just an interface between several packages and domains. The goal is to compute lexicographical Groebner bases of sets of polynomial with type \\spadtype{Polynomial R} by the FGLM algorithm if this is possible (\\spadignore{i.e.} if the input system generates a zero-dimensional ideal).")) (|groebner| (((|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|))) "\\axiom{groebner(\\spad{lq1})} returns the lexicographical Groebner basis of \\axiom{\\spad{lq1}}. If \\axiom{\\spad{lq1}} generates a zero-dimensional ideal then the FGLM strategy is used,{} otherwise the Sugar strategy is used.")) (|fglmIfCan| (((|Union| (|List| (|Polynomial| |#1|)) "failed") (|List| (|Polynomial| |#1|))) "\\axiom{fglmIfCan(\\spad{lq1})} returns the lexicographical Groebner basis of \\axiom{\\spad{lq1}} by using the FGLM strategy,{} if \\axiom{zeroDimensional?(\\spad{lq1})} holds.")) (|zeroDimensional?| (((|Boolean|) (|List| (|Polynomial| |#1|))) "\\axiom{zeroDimensional?(\\spad{lq1})} returns \\spad{true} iff \\axiom{\\spad{lq1}} generates a zero-dimensional ideal \\spad{w}.\\spad{r}.\\spad{t}. the variables of \\axiom{\\spad{ls}}."))) 
 NIL 
 NIL 
-(-363 S) 
+(-364 S) 
 ((|constructor| (NIL "The free group on a set \\spad{S} is the group of finite products of the form \\spad{reduce(*,{}[\\spad{si} ** \\spad{ni}])} where the \\spad{si}\\spad{'s} are in \\spad{S},{} and the \\spad{ni}\\spad{'s} are integers. The multiplication is not commutative.")) (|factors| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|Integer|)))) $) "\\spad{factors(a1\\^e1,{}...,{}an\\^en)} returns \\spad{[[a1,{} e1],{}...,{}[an,{} en]]}.")) (|mapGen| (($ (|Mapping| |#1| |#1|) $) "\\spad{mapGen(f,{} a1\\^e1 ... an\\^en)} returns \\spad{f(a1)\\^e1 ... f(an)\\^en}.")) (|mapExpon| (($ (|Mapping| (|Integer|) (|Integer|)) $) "\\spad{mapExpon(f,{} a1\\^e1 ... an\\^en)} returns \\spad{a1\\^f(e1) ... an\\^f(en)}.")) (|nthFactor| ((|#1| $ (|Integer|)) "\\spad{nthFactor(x,{} n)} returns the factor of the n^th monomial of \\spad{x}.")) (|nthExpon| (((|Integer|) $ (|Integer|)) "\\spad{nthExpon(x,{} n)} returns the exponent of the n^th monomial of \\spad{x}.")) (|size| (((|NonNegativeInteger|) $) "\\spad{size(x)} returns the number of monomials in \\spad{x}.")) (** (($ |#1| (|Integer|)) "\\spad{s ** n} returns the product of \\spad{s} by itself \\spad{n} times.")) (* (($ $ |#1|) "\\spad{x * s} returns the product of \\spad{x} by \\spad{s} on the right.") (($ |#1| $) "\\spad{s * x} returns the product of \\spad{x} by \\spad{s} on the left."))) 
-((-4518 . T)) 
+((-4532 . T)) 
 NIL 
-(-364 S) 
+(-365 S) 
 ((|constructor| (NIL "The category of commutative fields,{} \\spadignore{i.e.} commutative rings where all non-zero elements have multiplicative inverses. The \\spadfun{factor} operation while trivial is useful to have defined. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{a*(b/a) = b}\\spad{\\br} \\tab{5}\\spad{inv(a) = 1/a}")) (|canonicalsClosed| ((|attribute|) "since \\spad{0*0=0},{} \\spad{1*1=1}")) (|canonicalUnitNormal| ((|attribute|) "either 0 or 1.")) (/ (($ $ $) "\\spad{x/y} divides the element \\spad{x} by the element \\spad{y}. Error: if \\spad{y} is 0."))) 
 NIL 
 NIL 
-(-365) 
+(-366) 
 ((|constructor| (NIL "The category of commutative fields,{} \\spadignore{i.e.} commutative rings where all non-zero elements have multiplicative inverses. The \\spadfun{factor} operation while trivial is useful to have defined. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{a*(b/a) = b}\\spad{\\br} \\tab{5}\\spad{inv(a) = 1/a}")) (|canonicalsClosed| ((|attribute|) "since \\spad{0*0=0},{} \\spad{1*1=1}")) (|canonicalUnitNormal| ((|attribute|) "either 0 or 1.")) (/ (($ $ $) "\\spad{x/y} divides the element \\spad{x} by the element \\spad{y}. Error: if \\spad{y} is 0."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-366 |Name| S) 
+(-367 |Name| S) 
 ((|constructor| (NIL "This category provides an interface to operate on files in the computer\\spad{'s} file system. The precise method of naming files is determined by the Name parameter. The type of the contents of the file is determined by \\spad{S}.")) (|flush| (((|Void|) $) "\\spad{flush(f)} makes sure that buffered data is written out")) (|write!| ((|#2| $ |#2|) "\\spad{write!(f,{}s)} puts the value \\spad{s} into the file \\spad{f}. The state of \\spad{f} is modified so subsequents call to \\spad{write!} will append one after another.")) (|read!| ((|#2| $) "\\spad{read!(f)} extracts a value from file \\spad{f}. The state of \\spad{f} is modified so a subsequent call to \\spadfun{read!} will return the next element.")) (|iomode| (((|String|) $) "\\spad{iomode(f)} returns the status of the file \\spad{f}. The input/output status of \\spad{f} may be \"input\",{} \"output\" or \"closed\" mode.")) (|name| ((|#1| $) "\\spad{name(f)} returns the external name of the file \\spad{f}.")) (|close!| (($ $) "\\spad{close!(f)} returns the file \\spad{f} closed to input and output.")) (|reopen!| (($ $ (|String|)) "\\spad{reopen!(f,{}mode)} returns a file \\spad{f} reopened for operation in the indicated mode: \"input\" or \"output\". \\spad{reopen!(f,{}\"input\")} will reopen the file \\spad{f} for input.")) (|open| (($ |#1| (|String|)) "\\spad{open(s,{}mode)} returns a file \\spad{s} open for operation in the indicated mode: \"input\" or \"output\".") (($ |#1|) "\\spad{open(s)} returns the file \\spad{s} open for input."))) 
 NIL 
 NIL 
-(-367 S) 
+(-368 S) 
 ((|constructor| (NIL "This domain provides a basic model of files to save arbitrary values. The operations provide sequential access to the contents.")) (|readIfCan!| (((|Union| |#1| "failed") $) "\\spad{readIfCan!(f)} returns a value from the file \\spad{f},{} if possible. If \\spad{f} is not open for reading,{} or if \\spad{f} is at the end of file then \\spad{\"failed\"} is the result."))) 
 NIL 
 NIL 
-(-368 S R) 
+(-369 S R) 
 ((|constructor| (NIL "A FiniteRankNonAssociativeAlgebra is a non associative algebra over a commutative ring \\spad{R} which is a free \\spad{R}-module of finite rank.")) (|unitsKnown| ((|attribute|) "unitsKnown means that \\spadfun{recip} truly yields reciprocal or \\spad{\"failed\"} if not a unit,{} similarly for \\spadfun{leftRecip} and \\spadfun{rightRecip}. The reason is that we use left,{} respectively right,{} minimal polynomials to decide this question.")) (|unit| (((|Union| $ "failed")) "\\spad{unit()} returns a unit of the algebra (necessarily unique),{} or \\spad{\"failed\"} if there is none.")) (|rightUnit| (((|Union| $ "failed")) "\\spad{rightUnit()} returns a right unit of the algebra (not necessarily unique),{} or \\spad{\"failed\"} if there is none.")) (|leftUnit| (((|Union| $ "failed")) "\\spad{leftUnit()} returns a left unit of the algebra (not necessarily unique),{} or \\spad{\"failed\"} if there is none.")) (|rightUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{rightUnits()} returns the affine space of all right units of the algebra,{} or \\spad{\"failed\"} if there is none.")) (|leftUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{leftUnits()} returns the affine space of all left units of the algebra,{} or \\spad{\"failed\"} if there is none.")) (|rightMinimalPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{rightMinimalPolynomial(a)} returns the polynomial determined by the smallest non-trivial linear combination of right powers of \\spad{a}. Note that the polynomial never has a constant term as in general the algebra has no unit.")) (|leftMinimalPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{leftMinimalPolynomial(a)} returns the polynomial determined by the smallest non-trivial linear combination of left powers of \\spad{a}. Note that the polynomial never has a constant term as in general the algebra has no unit.")) (|associatorDependence| (((|List| (|Vector| |#2|))) "\\spad{associatorDependence()} looks for the associator identities,{} \\spadignore{i.e.} finds a basis of the solutions of the linear combinations of the six permutations of \\spad{associator(a,{}b,{}c)} which yield 0,{} for all \\spad{a},{}\\spad{b},{}\\spad{c} in the algebra. The order of the permutations is \\spad{123 231 312 132 321 213}.")) (|rightRecip| (((|Union| $ "failed") $) "\\spad{rightRecip(a)} returns an element,{} which is a right inverse of \\spad{a},{} or \\spad{\"failed\"} if there is no unit element,{} if such an element doesn\\spad{'t} exist or cannot be determined (see unitsKnown).")) (|leftRecip| (((|Union| $ "failed") $) "\\spad{leftRecip(a)} returns an element,{} which is a left inverse of \\spad{a},{} or \\spad{\"failed\"} if there is no unit element,{} if such an element doesn\\spad{'t} exist or cannot be determined (see unitsKnown).")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(a)} returns an element,{} which is both a left and a right inverse of \\spad{a},{} or \\spad{\"failed\"} if there is no unit element,{} if such an element doesn\\spad{'t} exist or cannot be determined (see unitsKnown).")) (|lieAlgebra?| (((|Boolean|)) "\\spad{lieAlgebra?()} tests if the algebra is anticommutative and \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} for all \\spad{a},{}\\spad{b},{}\\spad{c} in the algebra (Jacobi identity). Example: for every associative algebra \\spad{(A,{}+,{}@)} we can construct a Lie algebra \\spad{(A,{}+,{}*)},{} where \\spad{a*b := a@b-b@a}.")) (|jordanAlgebra?| (((|Boolean|)) "\\spad{jordanAlgebra?()} tests if the algebra is commutative,{} characteristic is not 2,{} and \\spad{(a*b)*a**2 - a*(b*a**2) = 0} for all \\spad{a},{}\\spad{b},{}\\spad{c} in the algebra (Jordan identity). Example: for every associative algebra \\spad{(A,{}+,{}@)} we can construct a Jordan algebra \\spad{(A,{}+,{}*)},{} where \\spad{a*b := (a@b+b@a)/2}.")) (|noncommutativeJordanAlgebra?| (((|Boolean|)) "\\spad{noncommutativeJordanAlgebra?()} tests if the algebra is flexible and Jordan admissible.")) (|jordanAdmissible?| (((|Boolean|)) "\\spad{jordanAdmissible?()} tests if 2 is invertible in the coefficient domain and the multiplication defined by \\spad{(1/2)(a*b+b*a)} determines a Jordan algebra,{} \\spadignore{i.e.} satisfies the Jordan identity. The property of \\spadatt{commutative(\\spad{\"*\"})} follows from by definition.")) (|lieAdmissible?| (((|Boolean|)) "\\spad{lieAdmissible?()} tests if the algebra defined by the commutators is a Lie algebra,{} \\spadignore{i.e.} satisfies the Jacobi identity. The property of anticommutativity follows from definition.")) (|jacobiIdentity?| (((|Boolean|)) "\\spad{jacobiIdentity?()} tests if \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} for all \\spad{a},{}\\spad{b},{}\\spad{c} in the algebra. For example,{} this holds for crossed products of 3-dimensional vectors.")) (|powerAssociative?| (((|Boolean|)) "\\spad{powerAssociative?()} tests if all subalgebras generated by a single element are associative.")) (|alternative?| (((|Boolean|)) "\\spad{alternative?()} tests if \\spad{2*associator(a,{}a,{}b) = 0 = 2*associator(a,{}b,{}b)} for all \\spad{a},{} \\spad{b} in the algebra. Note that we only can test this; in general we don\\spad{'t} know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|flexible?| (((|Boolean|)) "\\spad{flexible?()} tests if \\spad{2*associator(a,{}b,{}a) = 0} for all \\spad{a},{} \\spad{b} in the algebra. Note that we only can test this; in general we don\\spad{'t} know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|rightAlternative?| (((|Boolean|)) "\\spad{rightAlternative?()} tests if \\spad{2*associator(a,{}b,{}b) = 0} for all \\spad{a},{} \\spad{b} in the algebra. Note that we only can test this; in general we don\\spad{'t} know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|leftAlternative?| (((|Boolean|)) "\\spad{leftAlternative?()} tests if \\spad{2*associator(a,{}a,{}b) = 0} for all \\spad{a},{} \\spad{b} in the algebra. Note that we only can test this; in general we don\\spad{'t} know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|antiAssociative?| (((|Boolean|)) "\\spad{antiAssociative?()} tests if multiplication in algebra is anti-associative,{} \\spadignore{i.e.} \\spad{(a*b)*c + a*(b*c) = 0} for all \\spad{a},{}\\spad{b},{}\\spad{c} in the algebra.")) (|associative?| (((|Boolean|)) "\\spad{associative?()} tests if multiplication in algebra is associative.")) (|antiCommutative?| (((|Boolean|)) "\\spad{antiCommutative?()} tests if \\spad{a*a = 0} for all \\spad{a} in the algebra. Note that this implies \\spad{a*b + b*a = 0} for all \\spad{a} and \\spad{b}.")) (|commutative?| (((|Boolean|)) "\\spad{commutative?()} tests if multiplication in the algebra is commutative.")) (|rightCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{rightCharacteristicPolynomial(a)} returns the characteristic polynomial of the right regular representation of \\spad{a} with respect to any basis.")) (|leftCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{leftCharacteristicPolynomial(a)} returns the characteristic polynomial of the left regular representation of \\spad{a} with respect to any basis.")) (|rightTraceMatrix| (((|Matrix| |#2|) (|Vector| $)) "\\spad{rightTraceMatrix([v1,{}...,{}vn])} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the right trace of the product \\spad{vi*vj}.")) (|leftTraceMatrix| (((|Matrix| |#2|) (|Vector| $)) "\\spad{leftTraceMatrix([v1,{}...,{}vn])} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the left trace of the product \\spad{vi*vj}.")) (|rightDiscriminant| ((|#2| (|Vector| $)) "\\spad{rightDiscriminant([v1,{}...,{}vn])} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the right trace of the product \\spad{vi*vj}. Note that this is the same as \\spad{determinant(rightTraceMatrix([v1,{}...,{}vn]))}.")) (|leftDiscriminant| ((|#2| (|Vector| $)) "\\spad{leftDiscriminant([v1,{}...,{}vn])} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the left trace of the product \\spad{vi*vj}. Note that this is the same as \\spad{determinant(leftTraceMatrix([v1,{}...,{}vn]))}.")) (|represents| (($ (|Vector| |#2|) (|Vector| $)) "\\spad{represents([a1,{}...,{}am],{}[v1,{}...,{}vm])} returns the linear combination \\spad{a1*vm + ... + an*vm}.")) (|coordinates| (((|Matrix| |#2|) (|Vector| $) (|Vector| $)) "\\spad{coordinates([a1,{}...,{}am],{}[v1,{}...,{}vn])} returns a matrix whose \\spad{i}-th row is formed by the coordinates of \\spad{\\spad{ai}} with respect to the \\spad{R}-module basis \\spad{v1},{}...,{}\\spad{vn}.") (((|Vector| |#2|) $ (|Vector| $)) "\\spad{coordinates(a,{}[v1,{}...,{}vn])} returns the coordinates of \\spad{a} with respect to the \\spad{R}-module basis \\spad{v1},{}...,{}\\spad{vn}.")) (|rightNorm| ((|#2| $) "\\spad{rightNorm(a)} returns the determinant of the right regular representation of \\spad{a}.")) (|leftNorm| ((|#2| $) "\\spad{leftNorm(a)} returns the determinant of the left regular representation of \\spad{a}.")) (|rightTrace| ((|#2| $) "\\spad{rightTrace(a)} returns the trace of the right regular representation of \\spad{a}.")) (|leftTrace| ((|#2| $) "\\spad{leftTrace(a)} returns the trace of the left regular representation of \\spad{a}.")) (|rightRegularRepresentation| (((|Matrix| |#2|) $ (|Vector| $)) "\\spad{rightRegularRepresentation(a,{}[v1,{}...,{}vn])} returns the matrix of the linear map defined by right multiplication by \\spad{a} with respect to the \\spad{R}-module basis \\spad{[v1,{}...,{}vn]}.")) (|leftRegularRepresentation| (((|Matrix| |#2|) $ (|Vector| $)) "\\spad{leftRegularRepresentation(a,{}[v1,{}...,{}vn])} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the \\spad{R}-module basis \\spad{[v1,{}...,{}vn]}.")) (|structuralConstants| (((|Vector| (|Matrix| |#2|)) (|Vector| $)) "\\spad{structuralConstants([v1,{}v2,{}...,{}vm])} calculates the structural constants \\spad{[(gammaijk) for k in 1..m]} defined by \\spad{\\spad{vi} * vj = gammaij1 * v1 + ... + gammaijm * vm},{} where \\spad{[v1,{}...,{}vm]} is an \\spad{R}-module basis of a subalgebra.")) (|conditionsForIdempotents| (((|List| (|Polynomial| |#2|)) (|Vector| $)) "\\spad{conditionsForIdempotents([v1,{}...,{}vn])} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the \\spad{R}-module basis \\spad{v1},{}...,{}\\spad{vn}.")) (|rank| (((|PositiveInteger|)) "\\spad{rank()} returns the rank of the algebra as \\spad{R}-module.")) (|someBasis| (((|Vector| $)) "\\spad{someBasis()} returns some \\spad{R}-module basis."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-558)))) 
-(-369 R) 
+((|HasCategory| |#2| (QUOTE (-559)))) 
+(-370 R) 
 ((|constructor| (NIL "A FiniteRankNonAssociativeAlgebra is a non associative algebra over a commutative ring \\spad{R} which is a free \\spad{R}-module of finite rank.")) (|unitsKnown| ((|attribute|) "unitsKnown means that \\spadfun{recip} truly yields reciprocal or \\spad{\"failed\"} if not a unit,{} similarly for \\spadfun{leftRecip} and \\spadfun{rightRecip}. The reason is that we use left,{} respectively right,{} minimal polynomials to decide this question.")) (|unit| (((|Union| $ "failed")) "\\spad{unit()} returns a unit of the algebra (necessarily unique),{} or \\spad{\"failed\"} if there is none.")) (|rightUnit| (((|Union| $ "failed")) "\\spad{rightUnit()} returns a right unit of the algebra (not necessarily unique),{} or \\spad{\"failed\"} if there is none.")) (|leftUnit| (((|Union| $ "failed")) "\\spad{leftUnit()} returns a left unit of the algebra (not necessarily unique),{} or \\spad{\"failed\"} if there is none.")) (|rightUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{rightUnits()} returns the affine space of all right units of the algebra,{} or \\spad{\"failed\"} if there is none.")) (|leftUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{leftUnits()} returns the affine space of all left units of the algebra,{} or \\spad{\"failed\"} if there is none.")) (|rightMinimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{rightMinimalPolynomial(a)} returns the polynomial determined by the smallest non-trivial linear combination of right powers of \\spad{a}. Note that the polynomial never has a constant term as in general the algebra has no unit.")) (|leftMinimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{leftMinimalPolynomial(a)} returns the polynomial determined by the smallest non-trivial linear combination of left powers of \\spad{a}. Note that the polynomial never has a constant term as in general the algebra has no unit.")) (|associatorDependence| (((|List| (|Vector| |#1|))) "\\spad{associatorDependence()} looks for the associator identities,{} \\spadignore{i.e.} finds a basis of the solutions of the linear combinations of the six permutations of \\spad{associator(a,{}b,{}c)} which yield 0,{} for all \\spad{a},{}\\spad{b},{}\\spad{c} in the algebra. The order of the permutations is \\spad{123 231 312 132 321 213}.")) (|rightRecip| (((|Union| $ "failed") $) "\\spad{rightRecip(a)} returns an element,{} which is a right inverse of \\spad{a},{} or \\spad{\"failed\"} if there is no unit element,{} if such an element doesn\\spad{'t} exist or cannot be determined (see unitsKnown).")) (|leftRecip| (((|Union| $ "failed") $) "\\spad{leftRecip(a)} returns an element,{} which is a left inverse of \\spad{a},{} or \\spad{\"failed\"} if there is no unit element,{} if such an element doesn\\spad{'t} exist or cannot be determined (see unitsKnown).")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(a)} returns an element,{} which is both a left and a right inverse of \\spad{a},{} or \\spad{\"failed\"} if there is no unit element,{} if such an element doesn\\spad{'t} exist or cannot be determined (see unitsKnown).")) (|lieAlgebra?| (((|Boolean|)) "\\spad{lieAlgebra?()} tests if the algebra is anticommutative and \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} for all \\spad{a},{}\\spad{b},{}\\spad{c} in the algebra (Jacobi identity). Example: for every associative algebra \\spad{(A,{}+,{}@)} we can construct a Lie algebra \\spad{(A,{}+,{}*)},{} where \\spad{a*b := a@b-b@a}.")) (|jordanAlgebra?| (((|Boolean|)) "\\spad{jordanAlgebra?()} tests if the algebra is commutative,{} characteristic is not 2,{} and \\spad{(a*b)*a**2 - a*(b*a**2) = 0} for all \\spad{a},{}\\spad{b},{}\\spad{c} in the algebra (Jordan identity). Example: for every associative algebra \\spad{(A,{}+,{}@)} we can construct a Jordan algebra \\spad{(A,{}+,{}*)},{} where \\spad{a*b := (a@b+b@a)/2}.")) (|noncommutativeJordanAlgebra?| (((|Boolean|)) "\\spad{noncommutativeJordanAlgebra?()} tests if the algebra is flexible and Jordan admissible.")) (|jordanAdmissible?| (((|Boolean|)) "\\spad{jordanAdmissible?()} tests if 2 is invertible in the coefficient domain and the multiplication defined by \\spad{(1/2)(a*b+b*a)} determines a Jordan algebra,{} \\spadignore{i.e.} satisfies the Jordan identity. The property of \\spadatt{commutative(\\spad{\"*\"})} follows from by definition.")) (|lieAdmissible?| (((|Boolean|)) "\\spad{lieAdmissible?()} tests if the algebra defined by the commutators is a Lie algebra,{} \\spadignore{i.e.} satisfies the Jacobi identity. The property of anticommutativity follows from definition.")) (|jacobiIdentity?| (((|Boolean|)) "\\spad{jacobiIdentity?()} tests if \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} for all \\spad{a},{}\\spad{b},{}\\spad{c} in the algebra. For example,{} this holds for crossed products of 3-dimensional vectors.")) (|powerAssociative?| (((|Boolean|)) "\\spad{powerAssociative?()} tests if all subalgebras generated by a single element are associative.")) (|alternative?| (((|Boolean|)) "\\spad{alternative?()} tests if \\spad{2*associator(a,{}a,{}b) = 0 = 2*associator(a,{}b,{}b)} for all \\spad{a},{} \\spad{b} in the algebra. Note that we only can test this; in general we don\\spad{'t} know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|flexible?| (((|Boolean|)) "\\spad{flexible?()} tests if \\spad{2*associator(a,{}b,{}a) = 0} for all \\spad{a},{} \\spad{b} in the algebra. Note that we only can test this; in general we don\\spad{'t} know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|rightAlternative?| (((|Boolean|)) "\\spad{rightAlternative?()} tests if \\spad{2*associator(a,{}b,{}b) = 0} for all \\spad{a},{} \\spad{b} in the algebra. Note that we only can test this; in general we don\\spad{'t} know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|leftAlternative?| (((|Boolean|)) "\\spad{leftAlternative?()} tests if \\spad{2*associator(a,{}a,{}b) = 0} for all \\spad{a},{} \\spad{b} in the algebra. Note that we only can test this; in general we don\\spad{'t} know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|antiAssociative?| (((|Boolean|)) "\\spad{antiAssociative?()} tests if multiplication in algebra is anti-associative,{} \\spadignore{i.e.} \\spad{(a*b)*c + a*(b*c) = 0} for all \\spad{a},{}\\spad{b},{}\\spad{c} in the algebra.")) (|associative?| (((|Boolean|)) "\\spad{associative?()} tests if multiplication in algebra is associative.")) (|antiCommutative?| (((|Boolean|)) "\\spad{antiCommutative?()} tests if \\spad{a*a = 0} for all \\spad{a} in the algebra. Note that this implies \\spad{a*b + b*a = 0} for all \\spad{a} and \\spad{b}.")) (|commutative?| (((|Boolean|)) "\\spad{commutative?()} tests if multiplication in the algebra is commutative.")) (|rightCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{rightCharacteristicPolynomial(a)} returns the characteristic polynomial of the right regular representation of \\spad{a} with respect to any basis.")) (|leftCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{leftCharacteristicPolynomial(a)} returns the characteristic polynomial of the left regular representation of \\spad{a} with respect to any basis.")) (|rightTraceMatrix| (((|Matrix| |#1|) (|Vector| $)) "\\spad{rightTraceMatrix([v1,{}...,{}vn])} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the right trace of the product \\spad{vi*vj}.")) (|leftTraceMatrix| (((|Matrix| |#1|) (|Vector| $)) "\\spad{leftTraceMatrix([v1,{}...,{}vn])} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the left trace of the product \\spad{vi*vj}.")) (|rightDiscriminant| ((|#1| (|Vector| $)) "\\spad{rightDiscriminant([v1,{}...,{}vn])} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the right trace of the product \\spad{vi*vj}. Note that this is the same as \\spad{determinant(rightTraceMatrix([v1,{}...,{}vn]))}.")) (|leftDiscriminant| ((|#1| (|Vector| $)) "\\spad{leftDiscriminant([v1,{}...,{}vn])} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the left trace of the product \\spad{vi*vj}. Note that this is the same as \\spad{determinant(leftTraceMatrix([v1,{}...,{}vn]))}.")) (|represents| (($ (|Vector| |#1|) (|Vector| $)) "\\spad{represents([a1,{}...,{}am],{}[v1,{}...,{}vm])} returns the linear combination \\spad{a1*vm + ... + an*vm}.")) (|coordinates| (((|Matrix| |#1|) (|Vector| $) (|Vector| $)) "\\spad{coordinates([a1,{}...,{}am],{}[v1,{}...,{}vn])} returns a matrix whose \\spad{i}-th row is formed by the coordinates of \\spad{\\spad{ai}} with respect to the \\spad{R}-module basis \\spad{v1},{}...,{}\\spad{vn}.") (((|Vector| |#1|) $ (|Vector| $)) "\\spad{coordinates(a,{}[v1,{}...,{}vn])} returns the coordinates of \\spad{a} with respect to the \\spad{R}-module basis \\spad{v1},{}...,{}\\spad{vn}.")) (|rightNorm| ((|#1| $) "\\spad{rightNorm(a)} returns the determinant of the right regular representation of \\spad{a}.")) (|leftNorm| ((|#1| $) "\\spad{leftNorm(a)} returns the determinant of the left regular representation of \\spad{a}.")) (|rightTrace| ((|#1| $) "\\spad{rightTrace(a)} returns the trace of the right regular representation of \\spad{a}.")) (|leftTrace| ((|#1| $) "\\spad{leftTrace(a)} returns the trace of the left regular representation of \\spad{a}.")) (|rightRegularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) "\\spad{rightRegularRepresentation(a,{}[v1,{}...,{}vn])} returns the matrix of the linear map defined by right multiplication by \\spad{a} with respect to the \\spad{R}-module basis \\spad{[v1,{}...,{}vn]}.")) (|leftRegularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) "\\spad{leftRegularRepresentation(a,{}[v1,{}...,{}vn])} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the \\spad{R}-module basis \\spad{[v1,{}...,{}vn]}.")) (|structuralConstants| (((|Vector| (|Matrix| |#1|)) (|Vector| $)) "\\spad{structuralConstants([v1,{}v2,{}...,{}vm])} calculates the structural constants \\spad{[(gammaijk) for k in 1..m]} defined by \\spad{\\spad{vi} * vj = gammaij1 * v1 + ... + gammaijm * vm},{} where \\spad{[v1,{}...,{}vm]} is an \\spad{R}-module basis of a subalgebra.")) (|conditionsForIdempotents| (((|List| (|Polynomial| |#1|)) (|Vector| $)) "\\spad{conditionsForIdempotents([v1,{}...,{}vn])} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the \\spad{R}-module basis \\spad{v1},{}...,{}\\spad{vn}.")) (|rank| (((|PositiveInteger|)) "\\spad{rank()} returns the rank of the algebra as \\spad{R}-module.")) (|someBasis| (((|Vector| $)) "\\spad{someBasis()} returns some \\spad{R}-module basis."))) 
-((-4518 |has| |#1| (-558)) (-4516 . T) (-4515 . T)) 
+((-4532 |has| |#1| (-559)) (-4530 . T) (-4529 . T)) 
 NIL 
-(-370) 
+(-371) 
 ((|constructor| (NIL "The category of domains composed of a finite set of elements. We include the functions \\spadfun{lookup} and \\spadfun{index} to give a bijection between the finite set and an initial segment of positive integers. \\blankline")) (|random| (($) "\\spad{random()} returns a random element from the set.")) (|lookup| (((|PositiveInteger|) $) "\\spad{lookup(x)} returns a positive integer such that \\spad{x = index lookup x}.")) (|index| (($ (|PositiveInteger|)) "\\spad{index(i)} takes a positive integer \\spad{i} less than or equal to \\spad{size()} and returns the \\spad{i}\\spad{-}th element of the set. This operation establishs a bijection between the elements of the finite set and \\spad{1..size()}.")) (|size| (((|NonNegativeInteger|)) "\\spad{size()} returns the number of elements in the set."))) 
 NIL 
 NIL 
-(-371 S R UP) 
+(-372 S R UP) 
 ((|constructor| (NIL "A FiniteRankAlgebra is an algebra over a commutative ring \\spad{R} which is a free \\spad{R}-module of finite rank.")) (|minimalPolynomial| ((|#3| $) "\\spad{minimalPolynomial(a)} returns the minimal polynomial of \\spad{a}.")) (|characteristicPolynomial| ((|#3| $) "\\spad{characteristicPolynomial(a)} returns the characteristic polynomial of the regular representation of \\spad{a} with respect to any basis.")) (|traceMatrix| (((|Matrix| |#2|) (|Vector| $)) "\\spad{traceMatrix([v1,{}..,{}vn])} is the \\spad{n}-by-\\spad{n} matrix ( \\spad{Tr}(\\spad{vi} * \\spad{vj}) )")) (|discriminant| ((|#2| (|Vector| $)) "\\spad{discriminant([v1,{}..,{}vn])} returns \\spad{determinant(traceMatrix([v1,{}..,{}vn]))}.")) (|represents| (($ (|Vector| |#2|) (|Vector| $)) "\\spad{represents([a1,{}..,{}an],{}[v1,{}..,{}vn])} returns \\spad{a1*v1+...+an*vn}.")) (|coordinates| (((|Matrix| |#2|) (|Vector| $) (|Vector| $)) "\\spad{coordinates([v1,{}...,{}vm],{} basis)} returns the coordinates of the \\spad{vi}\\spad{'s} with to the basis \\spad{basis}. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#2|) $ (|Vector| $)) "\\spad{coordinates(a,{}basis)} returns the coordinates of \\spad{a} with respect to the \\spad{basis} \\spad{basis}.")) (|norm| ((|#2| $) "\\spad{norm(a)} returns the determinant of the regular representation of \\spad{a} with respect to any basis.")) (|trace| ((|#2| $) "\\spad{trace(a)} returns the trace of the regular representation of \\spad{a} with respect to any basis.")) (|regularRepresentation| (((|Matrix| |#2|) $ (|Vector| $)) "\\spad{regularRepresentation(a,{}basis)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the \\spad{basis} \\spad{basis}.")) (|rank| (((|PositiveInteger|)) "\\spad{rank()} returns the rank of the algebra."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-148))) (|HasCategory| |#2| (QUOTE (-150))) (|HasCategory| |#2| (QUOTE (-365)))) 
-(-372 R UP) 
+((|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-366)))) 
+(-373 R UP) 
 ((|constructor| (NIL "A FiniteRankAlgebra is an algebra over a commutative ring \\spad{R} which is a free \\spad{R}-module of finite rank.")) (|minimalPolynomial| ((|#2| $) "\\spad{minimalPolynomial(a)} returns the minimal polynomial of \\spad{a}.")) (|characteristicPolynomial| ((|#2| $) "\\spad{characteristicPolynomial(a)} returns the characteristic polynomial of the regular representation of \\spad{a} with respect to any basis.")) (|traceMatrix| (((|Matrix| |#1|) (|Vector| $)) "\\spad{traceMatrix([v1,{}..,{}vn])} is the \\spad{n}-by-\\spad{n} matrix ( \\spad{Tr}(\\spad{vi} * \\spad{vj}) )")) (|discriminant| ((|#1| (|Vector| $)) "\\spad{discriminant([v1,{}..,{}vn])} returns \\spad{determinant(traceMatrix([v1,{}..,{}vn]))}.")) (|represents| (($ (|Vector| |#1|) (|Vector| $)) "\\spad{represents([a1,{}..,{}an],{}[v1,{}..,{}vn])} returns \\spad{a1*v1+...+an*vn}.")) (|coordinates| (((|Matrix| |#1|) (|Vector| $) (|Vector| $)) "\\spad{coordinates([v1,{}...,{}vm],{} basis)} returns the coordinates of the \\spad{vi}\\spad{'s} with to the basis \\spad{basis}. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#1|) $ (|Vector| $)) "\\spad{coordinates(a,{}basis)} returns the coordinates of \\spad{a} with respect to the \\spad{basis} \\spad{basis}.")) (|norm| ((|#1| $) "\\spad{norm(a)} returns the determinant of the regular representation of \\spad{a} with respect to any basis.")) (|trace| ((|#1| $) "\\spad{trace(a)} returns the trace of the regular representation of \\spad{a} with respect to any basis.")) (|regularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) "\\spad{regularRepresentation(a,{}basis)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the \\spad{basis} \\spad{basis}.")) (|rank| (((|PositiveInteger|)) "\\spad{rank()} returns the rank of the algebra."))) 
-((-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-373 S A R B) 
+(-374 S A R B) 
 ((|constructor| (NIL "\\spad{FiniteLinearAggregateFunctions2} provides functions involving two FiniteLinearAggregates where the underlying domains might be different. An example of this might be creating a list of rational numbers by mapping a function across a list of integers where the function divides each integer by 1000.")) (|scan| ((|#4| (|Mapping| |#3| |#1| |#3|) |#2| |#3|) "\\spad{scan(f,{}a,{}r)} successively applies \\spad{reduce(f,{}x,{}r)} to more and more leading sub-aggregates \\spad{x} of aggregrate \\spad{a}. More precisely,{} if \\spad{a} is \\spad{[a1,{}a2,{}...]},{} then \\spad{scan(f,{}a,{}r)} returns \\spad{[reduce(f,{}[a1],{}r),{}reduce(f,{}[a1,{}a2],{}r),{}...]}.")) (|reduce| ((|#3| (|Mapping| |#3| |#1| |#3|) |#2| |#3|) "\\spad{reduce(f,{}a,{}r)} applies function \\spad{f} to each successive element of the aggregate \\spad{a} and an accumulant initialized to \\spad{r}. For example,{} \\spad{reduce(_+\\$Integer,{}[1,{}2,{}3],{}0)} does \\spad{3+(2+(1+0))}. Note that third argument \\spad{r} may be regarded as the identity element for the function \\spad{f}.")) (|map| ((|#4| (|Mapping| |#3| |#1|) |#2|) "\\spad{map(f,{}a)} applies function \\spad{f} to each member of aggregate \\spad{a} resulting in a new aggregate over a possibly different underlying domain."))) 
 NIL 
 NIL 
-(-374 A S) 
+(-375 A S) 
 ((|constructor| (NIL "A finite linear aggregate is a linear aggregate of finite length. The finite property of the aggregate adds several exports to the list of exports from \\spadtype{LinearAggregate} such as \\spadfun{reverse},{} \\spadfun{sort},{} and so on.")) (|sort!| (($ $) "\\spad{sort!(u)} returns \\spad{u} with its elements in ascending order.") (($ (|Mapping| (|Boolean|) |#2| |#2|) $) "\\spad{sort!(p,{}u)} returns \\spad{u} with its elements ordered by \\spad{p}.")) (|reverse!| (($ $) "\\spad{reverse!(u)} returns \\spad{u} with its elements in reverse order.")) (|copyInto!| (($ $ $ (|Integer|)) "\\spad{copyInto!(u,{}v,{}i)} returns aggregate \\spad{u} containing a copy of \\spad{v} inserted at element \\spad{i}.")) (|position| (((|Integer|) |#2| $ (|Integer|)) "\\spad{position(x,{}a,{}n)} returns the index \\spad{i} of the first occurrence of \\spad{x} in \\axiom{a} where \\axiom{\\spad{i} \\spad{>=} \\spad{n}},{} and \\axiom{minIndex(a) - 1} if no such \\spad{x} is found.") (((|Integer|) |#2| $) "\\spad{position(x,{}a)} returns the index \\spad{i} of the first occurrence of \\spad{x} in a,{} and \\axiom{minIndex(a) - 1} if there is no such \\spad{x}.") (((|Integer|) (|Mapping| (|Boolean|) |#2|) $) "\\spad{position(p,{}a)} returns the index \\spad{i} of the first \\spad{x} in \\axiom{a} such that \\axiom{\\spad{p}(\\spad{x})} is \\spad{true},{} and \\axiom{minIndex(a) - 1} if there is no such \\spad{x}.")) (|sorted?| (((|Boolean|) $) "\\spad{sorted?(u)} tests if the elements of \\spad{u} are in ascending order.") (((|Boolean|) (|Mapping| (|Boolean|) |#2| |#2|) $) "\\spad{sorted?(p,{}a)} tests if \\axiom{a} is sorted according to predicate \\spad{p}.")) (|sort| (($ $) "\\spad{sort(u)} returns an \\spad{u} with elements in ascending order. Note that \\axiom{sort(\\spad{u}) = sort(\\spad{<=},{}\\spad{u})}.") (($ (|Mapping| (|Boolean|) |#2| |#2|) $) "\\spad{sort(p,{}a)} returns a copy of \\axiom{a} sorted using total ordering predicate \\spad{p}.")) (|reverse| (($ $) "\\spad{reverse(a)} returns a copy of \\axiom{a} with elements in reverse order.")) (|merge| (($ $ $) "\\spad{merge(u,{}v)} merges \\spad{u} and \\spad{v} in ascending order. Note that \\axiom{merge(\\spad{u},{}\\spad{v}) = merge(\\spad{<=},{}\\spad{u},{}\\spad{v})}.") (($ (|Mapping| (|Boolean|) |#2| |#2|) $ $) "\\spad{merge(p,{}a,{}b)} returns an aggregate \\spad{c} which merges \\axiom{a} and \\spad{b}. The result is produced by examining each element \\spad{x} of \\axiom{a} and \\spad{y} of \\spad{b} successively. If \\axiom{\\spad{p}(\\spad{x},{}\\spad{y})} is \\spad{true},{} then \\spad{x} is inserted into the result; otherwise \\spad{y} is inserted. If \\spad{x} is chosen,{} the next element of \\axiom{a} is examined,{} and so on. When all the elements of one aggregate are examined,{} the remaining elements of the other are appended. For example,{} \\axiom{merge(<,{}[1,{}3],{}[2,{}7,{}5])} returns \\axiom{[1,{}2,{}3,{}7,{}5]}."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4522)) (|HasCategory| |#2| (QUOTE (-842))) (|HasCategory| |#2| (QUOTE (-1090)))) 
-(-375 S) 
+((|HasAttribute| |#1| (QUOTE -4536)) (|HasCategory| |#2| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-1091)))) 
+(-376 S) 
 ((|constructor| (NIL "A finite linear aggregate is a linear aggregate of finite length. The finite property of the aggregate adds several exports to the list of exports from \\spadtype{LinearAggregate} such as \\spadfun{reverse},{} \\spadfun{sort},{} and so on.")) (|sort!| (($ $) "\\spad{sort!(u)} returns \\spad{u} with its elements in ascending order.") (($ (|Mapping| (|Boolean|) |#1| |#1|) $) "\\spad{sort!(p,{}u)} returns \\spad{u} with its elements ordered by \\spad{p}.")) (|reverse!| (($ $) "\\spad{reverse!(u)} returns \\spad{u} with its elements in reverse order.")) (|copyInto!| (($ $ $ (|Integer|)) "\\spad{copyInto!(u,{}v,{}i)} returns aggregate \\spad{u} containing a copy of \\spad{v} inserted at element \\spad{i}.")) (|position| (((|Integer|) |#1| $ (|Integer|)) "\\spad{position(x,{}a,{}n)} returns the index \\spad{i} of the first occurrence of \\spad{x} in \\axiom{a} where \\axiom{\\spad{i} \\spad{>=} \\spad{n}},{} and \\axiom{minIndex(a) - 1} if no such \\spad{x} is found.") (((|Integer|) |#1| $) "\\spad{position(x,{}a)} returns the index \\spad{i} of the first occurrence of \\spad{x} in a,{} and \\axiom{minIndex(a) - 1} if there is no such \\spad{x}.") (((|Integer|) (|Mapping| (|Boolean|) |#1|) $) "\\spad{position(p,{}a)} returns the index \\spad{i} of the first \\spad{x} in \\axiom{a} such that \\axiom{\\spad{p}(\\spad{x})} is \\spad{true},{} and \\axiom{minIndex(a) - 1} if there is no such \\spad{x}.")) (|sorted?| (((|Boolean|) $) "\\spad{sorted?(u)} tests if the elements of \\spad{u} are in ascending order.") (((|Boolean|) (|Mapping| (|Boolean|) |#1| |#1|) $) "\\spad{sorted?(p,{}a)} tests if \\axiom{a} is sorted according to predicate \\spad{p}.")) (|sort| (($ $) "\\spad{sort(u)} returns an \\spad{u} with elements in ascending order. Note that \\axiom{sort(\\spad{u}) = sort(\\spad{<=},{}\\spad{u})}.") (($ (|Mapping| (|Boolean|) |#1| |#1|) $) "\\spad{sort(p,{}a)} returns a copy of \\axiom{a} sorted using total ordering predicate \\spad{p}.")) (|reverse| (($ $) "\\spad{reverse(a)} returns a copy of \\axiom{a} with elements in reverse order.")) (|merge| (($ $ $) "\\spad{merge(u,{}v)} merges \\spad{u} and \\spad{v} in ascending order. Note that \\axiom{merge(\\spad{u},{}\\spad{v}) = merge(\\spad{<=},{}\\spad{u},{}\\spad{v})}.") (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) "\\spad{merge(p,{}a,{}b)} returns an aggregate \\spad{c} which merges \\axiom{a} and \\spad{b}. The result is produced by examining each element \\spad{x} of \\axiom{a} and \\spad{y} of \\spad{b} successively. If \\axiom{\\spad{p}(\\spad{x},{}\\spad{y})} is \\spad{true},{} then \\spad{x} is inserted into the result; otherwise \\spad{y} is inserted. If \\spad{x} is chosen,{} the next element of \\axiom{a} is examined,{} and so on. When all the elements of one aggregate are examined,{} the remaining elements of the other are appended. For example,{} \\axiom{merge(<,{}[1,{}3],{}[2,{}7,{}5])} returns \\axiom{[1,{}2,{}3,{}7,{}5]}."))) 
-((-4521 . T) (-3973 . T)) 
+((-4535 . T) (-2982 . T)) 
 NIL 
-(-376 |VarSet| R) 
+(-377 |VarSet| R) 
 ((|constructor| (NIL "The category of free Lie algebras. It is used by domains of non-commutative algebra: \\spadtype{LiePolynomial} and \\spadtype{XPBWPolynomial}.")) (|eval| (($ $ (|List| |#1|) (|List| $)) "\\axiom{eval(\\spad{p},{} [\\spad{x1},{}...,{}\\spad{xn}],{} [\\spad{v1},{}...,{}\\spad{vn}])} replaces \\axiom{\\spad{xi}} by \\axiom{\\spad{vi}} in \\axiom{\\spad{p}}.") (($ $ |#1| $) "\\axiom{eval(\\spad{p},{} \\spad{x},{} \\spad{v})} replaces \\axiom{\\spad{x}} by \\axiom{\\spad{v}} in \\axiom{\\spad{p}}.")) (|varList| (((|List| |#1|) $) "\\axiom{varList(\\spad{x})} returns the list of distinct entries of \\axiom{\\spad{x}}.")) (|trunc| (($ $ (|NonNegativeInteger|)) "\\axiom{trunc(\\spad{p},{}\\spad{n})} returns the polynomial \\axiom{\\spad{p}} truncated at order \\axiom{\\spad{n}}.")) (|mirror| (($ $) "\\axiom{mirror(\\spad{x})} returns \\axiom{Sum(r_i mirror(w_i))} if \\axiom{\\spad{x}} is \\axiom{Sum(r_i w_i)}.")) (|LiePoly| (($ (|LyndonWord| |#1|)) "\\axiom{LiePoly(\\spad{l})} returns the bracketed form of \\axiom{\\spad{l}} as a Lie polynomial.")) (|rquo| (((|XRecursivePolynomial| |#1| |#2|) (|XRecursivePolynomial| |#1| |#2|) $) "\\axiom{rquo(\\spad{x},{}\\spad{y})} returns the right simplification of \\axiom{\\spad{x}} by \\axiom{\\spad{y}}.")) (|lquo| (((|XRecursivePolynomial| |#1| |#2|) (|XRecursivePolynomial| |#1| |#2|) $) "\\axiom{lquo(\\spad{x},{}\\spad{y})} returns the left simplification of \\axiom{\\spad{x}} by \\axiom{\\spad{y}}.")) (|degree| (((|NonNegativeInteger|) $) "\\axiom{degree(\\spad{x})} returns the greatest length of a word in the support of \\axiom{\\spad{x}}.")) (|coerce| (((|XRecursivePolynomial| |#1| |#2|) $) "\\axiom{coerce(\\spad{x})} returns \\axiom{\\spad{x}} as a recursive polynomial.") (((|XDistributedPolynomial| |#1| |#2|) $) "\\axiom{coerce(\\spad{x})} returns \\axiom{\\spad{x}} as distributed polynomial.") (($ |#1|) "\\axiom{coerce(\\spad{x})} returns \\axiom{\\spad{x}} as a Lie polynomial.")) (|coef| ((|#2| (|XRecursivePolynomial| |#1| |#2|) $) "\\axiom{coef(\\spad{x},{}\\spad{y})} returns the scalar product of \\axiom{\\spad{x}} by \\axiom{\\spad{y}},{} the set of words being regarded as an orthogonal basis."))) 
-((|JacobiIdentity| . T) (|NullSquare| . T) (-4516 . T) (-4515 . T)) 
+((|JacobiIdentity| . T) (|NullSquare| . T) (-4530 . T) (-4529 . T)) 
 NIL 
-(-377 S V) 
+(-378 S V) 
 ((|constructor| (NIL "This package exports 3 sorting algorithms which work over FiniteLinearAggregates. Sort package (in-place) for shallowlyMutable Finite Linear Aggregates")) (|shellSort| ((|#2| (|Mapping| (|Boolean|) |#1| |#1|) |#2|) "\\spad{shellSort(f,{} agg)} sorts the aggregate agg with the ordering function \\spad{f} using the shellSort algorithm.")) (|heapSort| ((|#2| (|Mapping| (|Boolean|) |#1| |#1|) |#2|) "\\spad{heapSort(f,{} agg)} sorts the aggregate agg with the ordering function \\spad{f} using the heapsort algorithm.")) (|quickSort| ((|#2| (|Mapping| (|Boolean|) |#1| |#1|) |#2|) "\\spad{quickSort(f,{} agg)} sorts the aggregate agg with the ordering function \\spad{f} using the quicksort algorithm."))) 
 NIL 
 NIL 
-(-378 S R) 
+(-379 S R) 
 ((|constructor| (NIL "\\spad{S} is \\spadtype{FullyLinearlyExplicitRingOver R} means that \\spad{S} is a \\spadtype{LinearlyExplicitRingOver R} and,{} in addition,{} if \\spad{R} is a \\spadtype{LinearlyExplicitRingOver Integer},{} then so is \\spad{S}"))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568))))) 
-(-379 R) 
+((|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569))))) 
+(-380 R) 
 ((|constructor| (NIL "\\spad{S} is \\spadtype{FullyLinearlyExplicitRingOver R} means that \\spad{S} is a \\spadtype{LinearlyExplicitRingOver R} and,{} in addition,{} if \\spad{R} is a \\spadtype{LinearlyExplicitRingOver Integer},{} then so is \\spad{S}"))) 
-((-4518 . T)) 
+((-4532 . T)) 
 NIL 
-(-380 |Par|) 
+(-381 |Par|) 
 ((|constructor| (NIL "This is a package for the approximation of complex solutions for systems of equations of rational functions with complex rational coefficients. The results are expressed as either complex rational numbers or complex floats depending on the type of the precision parameter which can be either a rational number or a floating point number.")) (|complexRoots| (((|List| (|List| (|Complex| |#1|))) (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) (|List| (|Symbol|)) |#1|) "\\spad{complexRoots(lrf,{} lv,{} eps)} finds all the complex solutions of a list of rational functions with rational number coefficients with respect the the variables appearing in \\spad{lv}. Each solution is computed to precision eps and returned as list corresponding to the order of variables in \\spad{lv}.") (((|List| (|Complex| |#1|)) (|Fraction| (|Polynomial| (|Complex| (|Integer|)))) |#1|) "\\spad{complexRoots(rf,{} eps)} finds all the complex solutions of a univariate rational function with rational number coefficients. The solutions are computed to precision eps.")) (|complexSolve| (((|List| (|Equation| (|Polynomial| (|Complex| |#1|)))) (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) |#1|) "\\spad{complexSolve(eq,{}eps)} finds all the complex solutions of the equation \\spad{eq} of rational functions with rational rational coefficients with respect to all the variables appearing in \\spad{eq},{} with precision \\spad{eps}.") (((|List| (|Equation| (|Polynomial| (|Complex| |#1|)))) (|Fraction| (|Polynomial| (|Complex| (|Integer|)))) |#1|) "\\spad{complexSolve(p,{}eps)} find all the complex solutions of the rational function \\spad{p} with complex rational coefficients with respect to all the variables appearing in \\spad{p},{} with precision \\spad{eps}.") (((|List| (|List| (|Equation| (|Polynomial| (|Complex| |#1|))))) (|List| (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|)))))) |#1|) "\\spad{complexSolve(leq,{}eps)} finds all the complex solutions to precision \\spad{eps} of the system \\spad{leq} of equations of rational functions over complex rationals with respect to all the variables appearing in \\spad{lp}.") (((|List| (|List| (|Equation| (|Polynomial| (|Complex| |#1|))))) (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) |#1|) "\\spad{complexSolve(lp,{}eps)} finds all the complex solutions to precision \\spad{eps} of the system \\spad{lp} of rational functions over the complex rationals with respect to all the variables appearing in \\spad{lp}."))) 
 NIL 
 NIL 
-(-381) 
+(-382) 
 ((|constructor| (NIL "\\spadtype{Float} implements arbitrary precision floating point arithmetic. The number of significant digits of each operation can be set to an arbitrary value (the default is 20 decimal digits). The operation \\spad{float(mantissa,{}exponent,{}base)} for integer \\spad{mantissa},{} \\spad{exponent} specifies the number \\spad{mantissa * base ** exponent} The underlying representation for floats is binary not decimal. The implications of this are described below. \\blankline The model adopted is that arithmetic operations are rounded to to nearest unit in the last place,{} that is,{} accurate to within \\spad{2**(-bits)}. Also,{} the elementary functions and constants are accurate to one unit in the last place. A float is represented as a record of two integers,{} the mantissa and the exponent. The base of the representation is binary,{} hence a \\spad{Record(m:mantissa,{}e:exponent)} represents the number \\spad{m * 2 ** e}. Though it is not assumed that the underlying integers are represented with a binary base,{} the code will be most efficient when this is the the case (this is \\spad{true} in most implementations of Lisp). The decision to choose the base to be binary has some unfortunate consequences. First,{} decimal numbers like 0.3 cannot be represented exactly. Second,{} there is a further loss of accuracy during conversion to decimal for output. To compensate for this,{} if \\spad{d} digits of precision are specified,{} \\spad{1 + ceiling(log2 d)} bits are used. Two numbers that are displayed identically may therefore be not equal. On the other hand,{} a significant efficiency loss would be incurred if we chose to use a decimal base when the underlying integer base is binary. \\blankline Algorithms used: For the elementary functions,{} the general approach is to apply identities so that the taylor series can be used,{} and,{} so that it will converge within \\spad{O( sqrt n )} steps. For example,{} using the identity \\spad{exp(x) = exp(x/2)**2},{} we can compute \\spad{exp(1/3)} to \\spad{n} digits of precision as follows. We have \\spad{exp(1/3) = exp(2 ** (-sqrt s) / 3) ** (2 ** sqrt s)}. The taylor series will converge in less than sqrt \\spad{n} steps and the exponentiation requires sqrt \\spad{n} multiplications for a total of \\spad{2 sqrt n} multiplications. Assuming integer multiplication costs \\spad{O( n**2 )} the overall running time is \\spad{O( sqrt(n) n**2 )}. This approach is the best known approach for precisions up to about 10,{}000 digits at which point the methods of Brent which are \\spad{O( log(n) n**2 )} become competitive. Note also that summing the terms of the taylor series for the elementary functions is done using integer operations. This avoids the overhead of floating point operations and results in efficient code at low precisions. This implementation makes no attempt to reuse storage,{} relying on the underlying system to do \\spadgloss{garbage collection}. \\spad{I} estimate that the efficiency of this package at low precisions could be improved by a factor of 2 if in-place operations were available. \\blankline Running times: in the following,{} \\spad{n} is the number of bits of precision\\spad{\\br} \\spad{*},{} \\spad{/},{} \\spad{sqrt},{} \\spad{\\spad{pi}},{} \\spad{exp1},{} \\spad{log2},{} \\spad{log10}: \\spad{ O( n**2 )} \\spad{\\br} \\spad{exp},{} \\spad{log},{} \\spad{sin},{} \\spad{atan}: \\spad{O(sqrt(n) n**2)}\\spad{\\br} The other elementary functions are coded in terms of the ones above.")) (|outputSpacing| (((|Void|) (|NonNegativeInteger|)) "\\spad{outputSpacing(n)} inserts a space after \\spad{n} (default 10) digits on output; outputSpacing(0) means no spaces are inserted.")) (|outputGeneral| (((|Void|) (|NonNegativeInteger|)) "\\spad{outputGeneral(n)} sets the output mode to general notation with \\spad{n} significant digits displayed.") (((|Void|)) "\\spad{outputGeneral()} sets the output mode (default mode) to general notation; numbers will be displayed in either fixed or floating (scientific) notation depending on the magnitude.")) (|outputFixed| (((|Void|) (|NonNegativeInteger|)) "\\spad{outputFixed(n)} sets the output mode to fixed point notation,{} with \\spad{n} digits displayed after the decimal point.") (((|Void|)) "\\spad{outputFixed()} sets the output mode to fixed point notation; the output will contain a decimal point.")) (|outputFloating| (((|Void|) (|NonNegativeInteger|)) "\\spad{outputFloating(n)} sets the output mode to floating (scientific) notation with \\spad{n} significant digits displayed after the decimal point.") (((|Void|)) "\\spad{outputFloating()} sets the output mode to floating (scientific) notation,{} \\spadignore{i.e.} \\spad{mantissa * 10 exponent} is displayed as \\spad{0.mantissa E exponent}.")) (|convert| (($ (|DoubleFloat|)) "\\spad{convert(x)} converts a \\spadtype{DoubleFloat} \\spad{x} to a \\spadtype{Float}.")) (|atan| (($ $ $) "\\spad{atan(x,{}y)} computes the arc tangent from \\spad{x} with phase \\spad{y}.")) (|exp1| (($) "\\spad{exp1()} returns exp 1: \\spad{2.7182818284...}.")) (|log10| (($ $) "\\spad{log10(x)} computes the logarithm for \\spad{x} to base 10.") (($) "\\spad{log10()} returns \\spad{ln 10}: \\spad{2.3025809299...}.")) (|log2| (($ $) "\\spad{log2(x)} computes the logarithm for \\spad{x} to base 2.") (($) "\\spad{log2()} returns \\spad{ln 2},{} \\spadignore{i.e.} \\spad{0.6931471805...}.")) (|rationalApproximation| (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{rationalApproximation(f,{} n,{} b)} computes a rational approximation \\spad{r} to \\spad{f} with relative error \\spad{< b**(-n)},{} that is \\spad{|(r-f)/f| < b**(-n)}.") (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|)) "\\spad{rationalApproximation(f,{} n)} computes a rational approximation \\spad{r} to \\spad{f} with relative error \\spad{< 10**(-n)}.")) (|shift| (($ $ (|Integer|)) "\\spad{shift(x,{}n)} adds \\spad{n} to the exponent of float \\spad{x}.")) (|relerror| (((|Integer|) $ $) "\\spad{relerror(x,{}y)} computes the absolute value of \\spad{x - y} divided by \\spad{y},{} when \\spad{y \\^= 0}.")) (|normalize| (($ $) "\\spad{normalize(x)} normalizes \\spad{x} at current precision.")) (** (($ $ $) "\\spad{x ** y} computes \\spad{exp(y log x)} where \\spad{x >= 0}.")) (/ (($ $ (|Integer|)) "\\spad{x / i} computes the division from \\spad{x} by an integer \\spad{i}."))) 
-((-4504 . T) (-4512 . T) (-3999 . T) (-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4518 . T) (-4526 . T) (-2994 . T) (-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-382 |Par|) 
+(-383 |Par|) 
 ((|constructor| (NIL "This is a package for the approximation of real solutions for systems of polynomial equations over the rational numbers. The results are expressed as either rational numbers or floats depending on the type of the precision parameter which can be either a rational number or a floating point number.")) (|realRoots| (((|List| |#1|) (|Fraction| (|Polynomial| (|Integer|))) |#1|) "\\spad{realRoots(rf,{} eps)} finds the real zeros of a univariate rational function with precision given by eps.") (((|List| (|List| |#1|)) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|Symbol|)) |#1|) "\\spad{realRoots(lp,{}lv,{}eps)} computes the list of the real solutions of the list \\spad{lp} of rational functions with rational coefficients with respect to the variables in \\spad{lv},{} with precision \\spad{eps}. Each solution is expressed as a list of numbers in order corresponding to the variables in \\spad{lv}.")) (|solve| (((|List| (|Equation| (|Polynomial| |#1|))) (|Equation| (|Fraction| (|Polynomial| (|Integer|)))) |#1|) "\\spad{solve(eq,{}eps)} finds all of the real solutions of the univariate equation \\spad{eq} of rational functions with respect to the unique variables appearing in \\spad{eq},{} with precision \\spad{eps}.") (((|List| (|Equation| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| (|Integer|))) |#1|) "\\spad{solve(p,{}eps)} finds all of the real solutions of the univariate rational function \\spad{p} with rational coefficients with respect to the unique variable appearing in \\spad{p},{} with precision \\spad{eps}.") (((|List| (|List| (|Equation| (|Polynomial| |#1|)))) (|List| (|Equation| (|Fraction| (|Polynomial| (|Integer|))))) |#1|) "\\spad{solve(leq,{}eps)} finds all of the real solutions of the system \\spad{leq} of equationas of rational functions with respect to all the variables appearing in \\spad{lp},{} with precision \\spad{eps}.") (((|List| (|List| (|Equation| (|Polynomial| |#1|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) |#1|) "\\spad{solve(lp,{}eps)} finds all of the real solutions of the system \\spad{lp} of rational functions over the rational numbers with respect to all the variables appearing in \\spad{lp},{} with precision \\spad{eps}."))) 
 NIL 
 NIL 
-(-383 R S) 
+(-384 R S) 
 ((|constructor| (NIL "This domain implements linear combinations of elements from the domain \\spad{S} with coefficients in the domain \\spad{R} where \\spad{S} is an ordered set and \\spad{R} is a ring (which may be non-commutative). This domain is used by domains of non-commutative algebra such as: XDistributedPolynomial,{} XRecursivePolynomial.")) (* (($ |#2| |#1|) "\\spad{s*r} returns the product \\spad{r*s} used by \\spadtype{XRecursivePolynomial}"))) 
-((-4516 . T) (-4515 . T)) 
-((|HasCategory| |#1| (QUOTE (-172)))) 
-(-384 R |Basis|) 
+((-4530 . T) (-4529 . T)) 
+((|HasCategory| |#1| (QUOTE (-173)))) 
+(-385 R |Basis|) 
 ((|constructor| (NIL "A domain of this category implements formal linear combinations of elements from a domain \\spad{Basis} with coefficients in a domain \\spad{R}. The domain \\spad{Basis} needs only to belong to the category \\spadtype{SetCategory} and \\spad{R} to the category \\spadtype{Ring}. Thus the coefficient ring may be non-commutative. See the \\spadtype{XDistributedPolynomial} constructor for examples of domains built with the \\spadtype{FreeModuleCat} category constructor.")) (|reductum| (($ $) "\\spad{reductum(x)} returns \\spad{x} minus its leading term.")) (|leadingTerm| (((|Record| (|:| |k| |#2|) (|:| |c| |#1|)) $) "\\spad{leadingTerm(x)} returns the first term which appears in \\spad{listOfTerms(x)}.")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(x)} returns the first coefficient which appears in \\spad{listOfTerms(x)}.")) (|leadingMonomial| ((|#2| $) "\\spad{leadingMonomial(x)} returns the first element from \\spad{Basis} which appears in \\spad{listOfTerms(x)}.")) (|numberOfMonomials| (((|NonNegativeInteger|) $) "\\spad{numberOfMonomials(x)} returns the number of monomials of \\spad{x}.")) (|monomials| (((|List| $) $) "\\spad{monomials(x)} returns the list of \\spad{r_i*b_i} whose sum is \\spad{x}.")) (|coefficients| (((|List| |#1|) $) "\\spad{coefficients(x)} returns the list of coefficients of \\spad{x}")) (|listOfTerms| (((|List| (|Record| (|:| |k| |#2|) (|:| |c| |#1|))) $) "\\spad{listOfTerms(x)} returns a list \\spad{lt} of terms with type \\spad{Record(k: Basis,{} c: R)} such that \\spad{x} equals \\spad{reduce(+,{} map(x +-> monom(x.k,{} x.c),{} lt))}.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(x)} returns \\spad{true} if \\spad{x} contains a single monomial.")) (|monom| (($ |#2| |#1|) "\\spad{monom(b,{}r)} returns the element with the single monomial \\indented{1}{\\spad{b} and coefficient \\spad{r}.}")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(fn,{}u)} maps function \\spad{fn} onto the coefficients \\indented{1}{of the non-zero monomials of \\spad{u}.}")) (|coefficient| ((|#1| $ |#2|) "\\spad{coefficient(x,{}b)} returns the coefficient of \\spad{b} in \\spad{x}.")) (* (($ |#1| |#2|) "\\spad{r*b} returns the product of \\spad{r} by \\spad{b}."))) 
-((-4516 . T) (-4515 . T)) 
+((-4530 . T) (-4529 . T)) 
 NIL 
-(-385) 
+(-386) 
 ((|constructor| (NIL "\\axiomType{FortranMatrixCategory} provides support for producing Functions and Subroutines when the input to these is an AXIOM object of type \\axiomType{Matrix} or in domains involving \\axiomType{FortranCode}.")) (|coerce| (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(e)} takes the component of \\spad{e} from \\spadtype{List FortranCode} and uses it as the body of the ASP,{} making the declarations in the \\spadtype{SymbolTable} component.") (($ (|FortranCode|)) "\\spad{coerce(e)} takes an object from \\spadtype{FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|List| (|FortranCode|))) "\\spad{coerce(e)} takes an object from \\spadtype{List FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|Matrix| (|MachineFloat|))) "\\spad{coerce(v)} produces an ASP which returns the value of \\spad{v}."))) 
-((-3973 . T)) 
+((-2982 . T)) 
 NIL 
-(-386) 
+(-387) 
 ((|constructor| (NIL "\\axiomType{FortranMatrixFunctionCategory} provides support for producing Functions and Subroutines representing matrices of expressions.")) (|retractIfCan| (((|Union| $ "failed") (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Matrix| (|Polynomial| (|Integer|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Matrix| (|Polynomial| (|Float|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Matrix| (|Expression| (|Integer|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Matrix| (|Expression| (|Float|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}")) (|retract| (($ (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Matrix| (|Polynomial| (|Integer|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Matrix| (|Polynomial| (|Float|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Matrix| (|Expression| (|Integer|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Matrix| (|Expression| (|Float|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}")) (|coerce| (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(e)} takes the component of \\spad{e} from \\spadtype{List FortranCode} and uses it as the body of the ASP,{} making the declarations in the \\spadtype{SymbolTable} component.") (($ (|FortranCode|)) "\\spad{coerce(e)} takes an object from \\spadtype{FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|List| (|FortranCode|))) "\\spad{coerce(e)} takes an object from \\spadtype{List FortranCode} and \\indented{1}{uses it as the body of an ASP.}"))) 
-((-3973 . T)) 
+((-2982 . T)) 
 NIL 
-(-387 R S) 
+(-388 R S) 
 ((|constructor| (NIL "A \\spad{bi}-module is a free module over a ring with generators indexed by an ordered set. Each element can be expressed as a finite linear combination of generators. Only non-zero terms are stored."))) 
-((-4516 . T) (-4515 . T)) 
-((|HasCategory| |#1| (QUOTE (-172)))) 
-(-388 S) 
+((-4530 . T) (-4529 . T)) 
+((|HasCategory| |#1| (QUOTE (-173)))) 
+(-389 S) 
 ((|constructor| (NIL "The free monoid on a set \\spad{S} is the monoid of finite products of the form \\spad{reduce(*,{}[\\spad{si} ** \\spad{ni}])} where the \\spad{si}\\spad{'s} are in \\spad{S},{} and the \\spad{ni}\\spad{'s} are nonnegative integers. The multiplication is not commutative.")) (|mapGen| (($ (|Mapping| |#1| |#1|) $) "\\spad{mapGen(f,{} a1\\^e1 ... an\\^en)} returns \\spad{f(a1)\\^e1 ... f(an)\\^en}.")) (|mapExpon| (($ (|Mapping| (|NonNegativeInteger|) (|NonNegativeInteger|)) $) "\\spad{mapExpon(f,{} a1\\^e1 ... an\\^en)} returns \\spad{a1\\^f(e1) ... an\\^f(en)}.")) (|nthFactor| ((|#1| $ (|Integer|)) "\\spad{nthFactor(x,{} n)} returns the factor of the n^th monomial of \\spad{x}.")) (|nthExpon| (((|NonNegativeInteger|) $ (|Integer|)) "\\spad{nthExpon(x,{} n)} returns the exponent of the n^th monomial of \\spad{x}.")) (|factors| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|NonNegativeInteger|)))) $) "\\spad{factors(a1\\^e1,{}...,{}an\\^en)} returns \\spad{[[a1,{} e1],{}...,{}[an,{} en]]}.")) (|size| (((|NonNegativeInteger|) $) "\\spad{size(x)} returns the number of monomials in \\spad{x}.")) (|overlap| (((|Record| (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $) "\\spad{overlap(x,{} y)} returns \\spad{[l,{} m,{} r]} such that \\spad{x = l * m},{} \\spad{y = m * r} and \\spad{l} and \\spad{r} have no overlap,{} \\spadignore{i.e.} \\spad{overlap(l,{} r) = [l,{} 1,{} r]}.")) (|divide| (((|Union| (|Record| (|:| |lm| $) (|:| |rm| $)) "failed") $ $) "\\spad{divide(x,{} y)} returns the left and right exact quotients of \\spad{x} by \\spad{y},{} \\spadignore{i.e.} \\spad{[l,{} r]} such that \\spad{x = l * y * r},{} \"failed\" if \\spad{x} is not of the form \\spad{l * y * r}.")) (|rquo| (((|Union| $ "failed") $ $) "\\spad{rquo(x,{} y)} returns the exact right quotient of \\spad{x} by \\spad{y} \\spadignore{i.e.} \\spad{q} such that \\spad{x = q * y},{} \"failed\" if \\spad{x} is not of the form \\spad{q * y}.")) (|lquo| (((|Union| $ "failed") $ $) "\\spad{lquo(x,{} y)} returns the exact left quotient of \\spad{x} by \\spad{y} \\spadignore{i.e.} \\spad{q} such that \\spad{x = y * q},{} \"failed\" if \\spad{x} is not of the form \\spad{y * q}.")) (|hcrf| (($ $ $) "\\spad{hcrf(x,{} y)} returns the highest common right factor of \\spad{x} and \\spad{y},{} \\spadignore{i.e.} the largest \\spad{d} such that \\spad{x = a d} and \\spad{y = b d}.")) (|hclf| (($ $ $) "\\spad{hclf(x,{} y)} returns the highest common left factor of \\spad{x} and \\spad{y},{} \\spadignore{i.e.} the largest \\spad{d} such that \\spad{x = d a} and \\spad{y = d b}.")) (** (($ |#1| (|NonNegativeInteger|)) "\\spad{s ** n} returns the product of \\spad{s} by itself \\spad{n} times.")) (* (($ $ |#1|) "\\spad{x * s} returns the product of \\spad{x} by \\spad{s} on the right.") (($ |#1| $) "\\spad{s * x} returns the product of \\spad{x} by \\spad{s} on the left."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-842)))) 
-(-389) 
+((|HasCategory| |#1| (QUOTE (-843)))) 
+(-390) 
 ((|constructor| (NIL "A category of domains which model machine arithmetic used by machines in the AXIOM-NAG link."))) 
-((-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-390) 
+(-391) 
 ((|constructor| (NIL "This domain provides an interface to names in the file system."))) 
 NIL 
 NIL 
-(-391) 
+(-392) 
 ((|constructor| (NIL "This category provides an interface to names in the file system.")) (|new| (($ (|String|) (|String|) (|String|)) "\\spad{new(d,{}pref,{}e)} constructs the name of a new writable file with \\spad{d} as its directory,{} \\spad{pref} as a prefix of its name and \\spad{e} as its extension. When \\spad{d} or \\spad{t} is the empty string,{} a default is used. An error occurs if a new file cannot be written in the given directory.")) (|writable?| (((|Boolean|) $) "\\spad{writable?(f)} tests if the named file be opened for writing. The named file need not already exist.")) (|readable?| (((|Boolean|) $) "\\spad{readable?(f)} tests if the named file exist and can it be opened for reading.")) (|exists?| (((|Boolean|) $) "\\spad{exists?(f)} tests if the file exists in the file system.")) (|extension| (((|String|) $) "\\spad{extension(f)} returns the type part of the file name.")) (|name| (((|String|) $) "\\spad{name(f)} returns the name part of the file name.")) (|directory| (((|String|) $) "\\spad{directory(f)} returns the directory part of the file name.")) (|filename| (($ (|String|) (|String|) (|String|)) "\\spad{filename(d,{}n,{}e)} creates a file name with \\spad{d} as its directory,{} \\spad{n} as its name and \\spad{e} as its extension. This is a portable way to create file names. When \\spad{d} or \\spad{t} is the empty string,{} a default is used.")) (|coerce| (((|String|) $) "\\spad{coerce(fn)} produces a string for a file name according to operating system-dependent conventions.") (($ (|String|)) "\\spad{coerce(s)} converts a string to a file name according to operating system-dependent conventions."))) 
 NIL 
 NIL 
-(-392 |n| |class| R) 
+(-393 |n| |class| R) 
 ((|constructor| (NIL "Generate the Free Lie Algebra over a ring \\spad{R} with identity; A \\spad{P}. Hall basis is generated by a package call to HallBasis.")) (|generator| (($ (|NonNegativeInteger|)) "\\spad{generator(i)} is the \\spad{i}th Hall Basis element")) (|shallowExpand| (((|OutputForm|) $) "\\spad{shallowExpand(x)} is not documented")) (|deepExpand| (((|OutputForm|) $) "\\spad{deepExpand(x)} is not documented")) (|dimension| (((|NonNegativeInteger|)) "\\spad{dimension()} is the rank of this Lie algebra"))) 
-((-4516 . T) (-4515 . T)) 
+((-4530 . T) (-4529 . T)) 
 NIL 
-(-393) 
+(-394) 
 ((|constructor| (NIL "Code to manipulate Fortran Output Stack")) (|topFortranOutputStack| (((|String|)) "\\spad{topFortranOutputStack()} returns the top element of the Fortran output stack")) (|pushFortranOutputStack| (((|Void|) (|String|)) "\\spad{pushFortranOutputStack(f)} pushes \\spad{f} onto the Fortran output stack") (((|Void|) (|FileName|)) "\\spad{pushFortranOutputStack(f)} pushes \\spad{f} onto the Fortran output stack")) (|popFortranOutputStack| (((|Void|)) "\\spad{popFortranOutputStack()} pops the Fortran output stack")) (|showFortranOutputStack| (((|Stack| (|String|))) "\\spad{showFortranOutputStack()} returns the Fortran output stack")) (|clearFortranOutputStack| (((|Stack| (|String|))) "\\spad{clearFortranOutputStack()} clears the Fortran output stack"))) 
 NIL 
 NIL 
-(-394 -1478 UP UPUP R) 
+(-395 -1564 UP UPUP R) 
 ((|constructor| (NIL "Finds the order of a divisor over a finite field")) (|order| (((|NonNegativeInteger|) (|FiniteDivisor| |#1| |#2| |#3| |#4|)) "\\spad{order(x)} \\undocumented"))) 
 NIL 
 NIL 
-(-395 S) 
+(-396 S) 
 ((|constructor| (NIL "\\spadtype{ScriptFormulaFormat1} provides a utility coercion for changing to SCRIPT formula format anything that has a coercion to the standard output format.")) (|coerce| (((|ScriptFormulaFormat|) |#1|) "\\spad{coerce(s)} provides a direct coercion from an expression \\spad{s} of domain \\spad{S} to SCRIPT formula format. This allows the user to skip the step of first manually coercing the object to standard output format before it is coerced to SCRIPT formula format."))) 
 NIL 
 NIL 
-(-396) 
+(-397) 
 ((|constructor| (NIL "\\spadtype{ScriptFormulaFormat} provides a coercion from \\spadtype{OutputForm} to IBM SCRIPT/VS Mathematical Formula Format. The basic SCRIPT formula format object consists of three parts: a prologue,{} a formula part and an epilogue. The functions \\spadfun{prologue},{} \\spadfun{formula} and \\spadfun{epilogue} extract these parts,{} respectively. The central parts of the expression go into the formula part. The other parts can be set (\\spadfun{setPrologue!},{} \\spadfun{setEpilogue!}) so that contain the appropriate tags for printing. For example,{} the prologue and epilogue might simply contain \":df.\" and \":edf.\" so that the formula section will be printed in display math mode.")) (|setPrologue!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setPrologue!(t,{}strings)} sets the prologue section of a formatted object \\spad{t} to \\spad{strings}.")) (|setFormula!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setFormula!(t,{}strings)} sets the formula section of a formatted object \\spad{t} to \\spad{strings}.")) (|setEpilogue!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setEpilogue!(t,{}strings)} sets the epilogue section of a formatted object \\spad{t} to \\spad{strings}.")) (|prologue| (((|List| (|String|)) $) "\\spad{prologue(t)} extracts the prologue section of a formatted object \\spad{t}.")) (|new| (($) "\\spad{new()} create a new,{} empty object. Use \\spadfun{setPrologue!},{} \\spadfun{setFormula!} and \\spadfun{setEpilogue!} to set the various components of this object.")) (|formula| (((|List| (|String|)) $) "\\spad{formula(t)} extracts the formula section of a formatted object \\spad{t}.")) (|epilogue| (((|List| (|String|)) $) "\\spad{epilogue(t)} extracts the epilogue section of a formatted object \\spad{t}.")) (|display| (((|Void|) $) "\\spad{display(t)} outputs the formatted code \\spad{t} so that each line has length less than or equal to the value set by the system command \\spadsyscom{set output length}.") (((|Void|) $ (|Integer|)) "\\spad{display(t,{}width)} outputs the formatted code \\spad{t} so that each line has length less than or equal to \\spadvar{\\spad{width}}.")) (|convert| (($ (|OutputForm|) (|Integer|)) "\\spad{convert(o,{}step)} changes \\spad{o} in standard output format to SCRIPT formula format and also adds the given \\spad{step} number. This is useful if you want to create equations with given numbers or have the equation numbers correspond to the interpreter \\spad{step} numbers.")) (|coerce| (($ (|OutputForm|)) "\\spad{coerce(o)} changes \\spad{o} in the standard output format to SCRIPT formula format."))) 
 NIL 
 NIL 
-(-397) 
+(-398) 
 ((|constructor| (NIL "\\axiomType{FortranProgramCategory} provides various models of FORTRAN subprograms. These can be transformed into actual FORTRAN code.")) (|outputAsFortran| (((|Void|) $) "\\axiom{outputAsFortran(\\spad{u})} translates \\axiom{\\spad{u}} into a legal FORTRAN subprogram."))) 
-((-3973 . T)) 
+((-2982 . T)) 
 NIL 
-(-398) 
+(-399) 
 ((|constructor| (NIL "\\axiomType{FortranFunctionCategory} is the category of arguments to NAG Library routines which return (sets of) function values.")) (|retractIfCan| (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Integer|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Float|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Polynomial| (|Float|))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Expression| (|Integer|))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Expression| (|Float|))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}")) (|retract| (($ (|Fraction| (|Polynomial| (|Integer|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Fraction| (|Polynomial| (|Float|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Polynomial| (|Integer|))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Polynomial| (|Float|))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Expression| (|Integer|))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Expression| (|Float|))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}")) (|coerce| (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(e)} takes the component of \\spad{e} from \\spadtype{List FortranCode} and uses it as the body of the ASP,{} making the declarations in the \\spadtype{SymbolTable} component.") (($ (|FortranCode|)) "\\spad{coerce(e)} takes an object from \\spadtype{FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|List| (|FortranCode|))) "\\spad{coerce(e)} takes an object from \\spadtype{List FortranCode} and \\indented{1}{uses it as the body of an ASP.}"))) 
-((-3973 . T)) 
+((-2982 . T)) 
 NIL 
-(-399) 
+(-400) 
 ((|constructor| (NIL "provides an interface to the boot code for calling Fortran")) (|setLegalFortranSourceExtensions| (((|List| (|String|)) (|List| (|String|))) "\\spad{setLegalFortranSourceExtensions(l)} \\undocumented{}")) (|outputAsFortran| (((|Void|) (|FileName|)) "\\spad{outputAsFortran(fn)} \\undocumented{}")) (|linkToFortran| (((|SExpression|) (|Symbol|) (|List| (|Symbol|)) (|TheSymbolTable|) (|List| (|Symbol|))) "\\spad{linkToFortran(s,{}l,{}t,{}lv)} \\undocumented{}") (((|SExpression|) (|Symbol|) (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|)))) (|List| (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|))))) (|List| (|Symbol|)) (|Symbol|)) "\\spad{linkToFortran(s,{}l,{}ll,{}lv,{}t)} \\undocumented{}") (((|SExpression|) (|Symbol|) (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|)))) (|List| (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|))))) (|List| (|Symbol|))) "\\spad{linkToFortran(s,{}l,{}ll,{}lv)} \\undocumented{}"))) 
 NIL 
 NIL 
-(-400 -3393 |returnType| |arguments| |symbols|) 
+(-401 -1486 |returnType| |arguments| |symbols|) 
 ((|constructor| (NIL "\\axiomType{FortranProgram} allows the user to build and manipulate simple models of FORTRAN subprograms. These can then be transformed into actual FORTRAN notation.")) (|coerce| (($ (|Equation| (|Expression| (|Complex| (|Float|))))) "\\spad{coerce(eq)} is not documented") (($ (|Equation| (|Expression| (|Float|)))) "\\spad{coerce(eq)} is not documented") (($ (|Equation| (|Expression| (|Integer|)))) "\\spad{coerce(eq)} is not documented") (($ (|Expression| (|Complex| (|Float|)))) "\\spad{coerce(e)} is not documented") (($ (|Expression| (|Float|))) "\\spad{coerce(e)} is not documented") (($ (|Expression| (|Integer|))) "\\spad{coerce(e)} is not documented") (($ (|Equation| (|Expression| (|MachineComplex|)))) "\\spad{coerce(eq)} is not documented") (($ (|Equation| (|Expression| (|MachineFloat|)))) "\\spad{coerce(eq)} is not documented") (($ (|Equation| (|Expression| (|MachineInteger|)))) "\\spad{coerce(eq)} is not documented") (($ (|Expression| (|MachineComplex|))) "\\spad{coerce(e)} is not documented") (($ (|Expression| (|MachineFloat|))) "\\spad{coerce(e)} is not documented") (($ (|Expression| (|MachineInteger|))) "\\spad{coerce(e)} is not documented") (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(r)} is not documented") (($ (|List| (|FortranCode|))) "\\spad{coerce(lfc)} is not documented") (($ (|FortranCode|)) "\\spad{coerce(fc)} is not documented"))) 
 NIL 
 NIL 
-(-401 -1478 UP) 
+(-402 -1564 UP) 
 ((|constructor| (NIL "Full partial fraction expansion of rational functions")) (D (($ $ (|NonNegativeInteger|)) "\\spad{D(f,{} n)} returns the \\spad{n}-th derivative of \\spad{f}.") (($ $) "\\spad{D(f)} returns the derivative of \\spad{f}.")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(f,{} n)} returns the \\spad{n}-th derivative of \\spad{f}.") (($ $) "\\spad{differentiate(f)} returns the derivative of \\spad{f}.")) (|construct| (($ (|List| (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |center| |#2|) (|:| |num| |#2|)))) "\\spad{construct(l)} is the inverse of fracPart.")) (|fracPart| (((|List| (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |center| |#2|) (|:| |num| |#2|))) $) "\\spad{fracPart(f)} returns the list of summands of the fractional part of \\spad{f}.")) (|polyPart| ((|#2| $) "\\spad{polyPart(f)} returns the polynomial part of \\spad{f}.")) (|fullPartialFraction| (($ (|Fraction| |#2|)) "\\spad{fullPartialFraction(f)} returns \\spad{[p,{} [[j,{} Dj,{} Hj]...]]} such that \\spad{f = p(x) + sum_{[j,{}Dj,{}Hj] in l} sum_{Dj(a)=0} Hj(a)/(x - a)\\^j}.")) (+ (($ |#2| $) "\\spad{p + x} returns the sum of \\spad{p} and \\spad{x}"))) 
 NIL 
 NIL 
-(-402 R) 
+(-403 R) 
 ((|constructor| (NIL "A set \\spad{S} is PatternMatchable over \\spad{R} if \\spad{S} can lift the pattern-matching functions of \\spad{S} over the integers and float to itself (necessary for matching in towers)."))) 
-((-3973 . T)) 
+((-2982 . T)) 
 NIL 
-(-403 S) 
+(-404 S) 
 ((|constructor| (NIL "FieldOfPrimeCharacteristic is the category of fields of prime characteristic,{} \\spadignore{e.g.} finite fields,{} algebraic closures of fields of prime characteristic,{} transcendental extensions of of fields of prime characteristic.")) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) "\\spad{primeFrobenius(a,{}s)} returns \\spad{a**(p**s)} where \\spad{p} is the characteristic.") (($ $) "\\spad{primeFrobenius(a)} returns \\spad{a**p} where \\spad{p} is the characteristic.")) (|discreteLog| (((|Union| (|NonNegativeInteger|) "failed") $ $) "\\spad{discreteLog(b,{}a)} computes \\spad{s} with \\spad{b**s = a} if such an \\spad{s} exists.")) (|order| (((|OnePointCompletion| (|PositiveInteger|)) $) "\\spad{order(a)} computes the order of an element in the multiplicative group of the field. Error: if \\spad{a} is 0."))) 
 NIL 
 NIL 
-(-404) 
+(-405) 
 ((|constructor| (NIL "FieldOfPrimeCharacteristic is the category of fields of prime characteristic,{} \\spadignore{e.g.} finite fields,{} algebraic closures of fields of prime characteristic,{} transcendental extensions of of fields of prime characteristic.")) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) "\\spad{primeFrobenius(a,{}s)} returns \\spad{a**(p**s)} where \\spad{p} is the characteristic.") (($ $) "\\spad{primeFrobenius(a)} returns \\spad{a**p} where \\spad{p} is the characteristic.")) (|discreteLog| (((|Union| (|NonNegativeInteger|) "failed") $ $) "\\spad{discreteLog(b,{}a)} computes \\spad{s} with \\spad{b**s = a} if such an \\spad{s} exists.")) (|order| (((|OnePointCompletion| (|PositiveInteger|)) $) "\\spad{order(a)} computes the order of an element in the multiplicative group of the field. Error: if \\spad{a} is 0."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-405 S) 
+(-406 S) 
 ((|constructor| (NIL "This category is intended as a model for floating point systems. A floating point system is a model for the real numbers. In fact,{} it is an approximation in the sense that not all real numbers are exactly representable by floating point numbers. A floating point system is characterized by the following: \\blankline 1: base of the exponent where the actual implemenations are usually binary or decimal)\\spad{\\br} 2: precision of the mantissa (arbitrary or fixed)\\spad{\\br} 3: rounding error for operations \\blankline Because a Float is an approximation to the real numbers,{} even though it is defined to be a join of a Field and OrderedRing,{} some of the attributes do not hold. In particular associative(\\spad{\"+\"}) does not hold. Algorithms defined over a field need special considerations when the field is a floating point system.")) (|max| (($) "\\spad{max()} returns the maximum floating point number.")) (|min| (($) "\\spad{min()} returns the minimum floating point number.")) (|decreasePrecision| (((|PositiveInteger|) (|Integer|)) "\\spad{decreasePrecision(n)} decreases the current \\spadfunFrom{precision}{FloatingPointSystem} precision by \\spad{n} decimal digits.")) (|increasePrecision| (((|PositiveInteger|) (|Integer|)) "\\spad{increasePrecision(n)} increases the current \\spadfunFrom{precision}{FloatingPointSystem} by \\spad{n} decimal digits.")) (|precision| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{precision(n)} set the precision in the base to \\spad{n} decimal digits.") (((|PositiveInteger|)) "\\spad{precision()} returns the precision in digits base.")) (|digits| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{digits(d)} set the \\spadfunFrom{precision}{FloatingPointSystem} to \\spad{d} digits.") (((|PositiveInteger|)) "\\spad{digits()} returns ceiling\\spad{'s} precision in decimal digits.")) (|bits| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{bits(n)} set the \\spadfunFrom{precision}{FloatingPointSystem} to \\spad{n} bits.") (((|PositiveInteger|)) "\\spad{bits()} returns ceiling\\spad{'s} precision in bits.")) (|mantissa| (((|Integer|) $) "\\spad{mantissa(x)} returns the mantissa part of \\spad{x}.")) (|exponent| (((|Integer|) $) "\\spad{exponent(x)} returns the \\spadfunFrom{exponent}{FloatingPointSystem} part of \\spad{x}.")) (|base| (((|PositiveInteger|)) "\\indented{1}{base() returns the base of the} \\spadfunFrom{exponent}{FloatingPointSystem}.")) (|order| (((|Integer|) $) "\\spad{order x} is the order of magnitude of \\spad{x}. Note that \\spad{base ** order x <= |x| < base ** (1 + order x)}.")) (|float| (($ (|Integer|) (|Integer|) (|PositiveInteger|)) "\\spad{float(a,{}e,{}b)} returns \\spad{a * b ** e}.") (($ (|Integer|) (|Integer|)) "\\spad{float(a,{}e)} returns \\spad{a * base() ** e}.")) (|approximate| ((|attribute|) "\\spad{approximate} means \"is an approximation to the real numbers\"."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4504)) (|HasAttribute| |#1| (QUOTE -4512))) 
-(-406) 
+((|HasAttribute| |#1| (QUOTE -4518)) (|HasAttribute| |#1| (QUOTE -4526))) 
+(-407) 
 ((|constructor| (NIL "This category is intended as a model for floating point systems. A floating point system is a model for the real numbers. In fact,{} it is an approximation in the sense that not all real numbers are exactly representable by floating point numbers. A floating point system is characterized by the following: \\blankline 1: base of the exponent where the actual implemenations are usually binary or decimal)\\spad{\\br} 2: precision of the mantissa (arbitrary or fixed)\\spad{\\br} 3: rounding error for operations \\blankline Because a Float is an approximation to the real numbers,{} even though it is defined to be a join of a Field and OrderedRing,{} some of the attributes do not hold. In particular associative(\\spad{\"+\"}) does not hold. Algorithms defined over a field need special considerations when the field is a floating point system.")) (|max| (($) "\\spad{max()} returns the maximum floating point number.")) (|min| (($) "\\spad{min()} returns the minimum floating point number.")) (|decreasePrecision| (((|PositiveInteger|) (|Integer|)) "\\spad{decreasePrecision(n)} decreases the current \\spadfunFrom{precision}{FloatingPointSystem} precision by \\spad{n} decimal digits.")) (|increasePrecision| (((|PositiveInteger|) (|Integer|)) "\\spad{increasePrecision(n)} increases the current \\spadfunFrom{precision}{FloatingPointSystem} by \\spad{n} decimal digits.")) (|precision| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{precision(n)} set the precision in the base to \\spad{n} decimal digits.") (((|PositiveInteger|)) "\\spad{precision()} returns the precision in digits base.")) (|digits| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{digits(d)} set the \\spadfunFrom{precision}{FloatingPointSystem} to \\spad{d} digits.") (((|PositiveInteger|)) "\\spad{digits()} returns ceiling\\spad{'s} precision in decimal digits.")) (|bits| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{bits(n)} set the \\spadfunFrom{precision}{FloatingPointSystem} to \\spad{n} bits.") (((|PositiveInteger|)) "\\spad{bits()} returns ceiling\\spad{'s} precision in bits.")) (|mantissa| (((|Integer|) $) "\\spad{mantissa(x)} returns the mantissa part of \\spad{x}.")) (|exponent| (((|Integer|) $) "\\spad{exponent(x)} returns the \\spadfunFrom{exponent}{FloatingPointSystem} part of \\spad{x}.")) (|base| (((|PositiveInteger|)) "\\indented{1}{base() returns the base of the} \\spadfunFrom{exponent}{FloatingPointSystem}.")) (|order| (((|Integer|) $) "\\spad{order x} is the order of magnitude of \\spad{x}. Note that \\spad{base ** order x <= |x| < base ** (1 + order x)}.")) (|float| (($ (|Integer|) (|Integer|) (|PositiveInteger|)) "\\spad{float(a,{}e,{}b)} returns \\spad{a * b ** e}.") (($ (|Integer|) (|Integer|)) "\\spad{float(a,{}e)} returns \\spad{a * base() ** e}.")) (|approximate| ((|attribute|) "\\spad{approximate} means \"is an approximation to the real numbers\"."))) 
-((-3999 . T) (-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-2994 . T) (-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-407 R S) 
+(-408 R S) 
 ((|constructor| (NIL "\\spadtype{FactoredFunctions2} contains functions that involve factored objects whose underlying domains may not be the same. For example,{} \\spadfun{map} might be used to coerce an object of type \\spadtype{Factored(Integer)} to \\spadtype{Factored(Complex(Integer))}.")) (|map| (((|Factored| |#2|) (|Mapping| |#2| |#1|) (|Factored| |#1|)) "\\spad{map(fn,{}u)} is used to apply the function \\userfun{\\spad{fn}} to every factor of \\spadvar{\\spad{u}}. The new factored object will have all its information flags set to \"nil\". This function is used,{} for example,{} to coerce every factor base to another type."))) 
 NIL 
 NIL 
-(-408 A B) 
+(-409 A B) 
 ((|constructor| (NIL "This package extends a map between integral domains to a map between Fractions over those domains by applying the map to the numerators and denominators.")) (|map| (((|Fraction| |#2|) (|Mapping| |#2| |#1|) (|Fraction| |#1|)) "\\spad{map(func,{}frac)} applies the function \\spad{func} to the numerator and denominator of the fraction \\spad{frac}."))) 
 NIL 
 NIL 
-(-409 S) 
+(-410 S) 
 ((|constructor| (NIL "Fraction takes an IntegralDomain \\spad{S} and produces the domain of Fractions with numerators and denominators from \\spad{S}. If \\spad{S} is also a GcdDomain,{} then \\spad{gcd}\\spad{'s} between numerator and denominator will be cancelled during all operations.")) (|canonical| ((|attribute|) "\\spad{canonical} means that equal elements are in fact identical."))) 
-((-4508 -12 (|has| |#1| (-6 -4519)) (|has| |#1| (-453)) (|has| |#1| (-6 -4508))) (-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-904))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-1161)))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-1021))) (|HasCategory| |#1| (QUOTE (-815))) (|HasCategory| |#1| (QUOTE (-1136))) (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#1| (QUOTE (-225))) (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#1| (LIST (QUOTE -523) (QUOTE (-1161)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -281) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-301))) (|HasCategory| |#1| (QUOTE (-550))) (-12 (|HasCategory| |#1| (QUOTE (-550))) (|HasCategory| |#1| (QUOTE (-823)))) (-12 (|HasAttribute| |#1| (QUOTE -4519)) (|HasAttribute| |#1| (QUOTE -4508)) (|HasCategory| |#1| (QUOTE (-453)))) (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541)))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541)))) (-12 (|HasCategory| |#1| (QUOTE (-550))) (|HasCategory| |#1| (QUOTE (-823))))) (|HasCategory| |#1| (QUOTE (-842))) (-2199 (|HasCategory| |#1| (QUOTE (-815))) (|HasCategory| |#1| (QUOTE (-842)))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (-12 (|HasCategory| |#1| (QUOTE (-550))) (|HasCategory| |#1| (QUOTE (-823))))) (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-568)))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-568)))) (-12 (|HasCategory| |#1| (QUOTE (-550))) (|HasCategory| |#1| (QUOTE (-823))))) (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (-12 (|HasCategory| |#1| (QUOTE (-550))) (|HasCategory| |#1| (QUOTE (-823))))) (|HasCategory| |#1| (LIST (QUOTE -630) (QUOTE (-568)))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -630) (QUOTE (-568)))) (-12 (|HasCategory| |#1| (QUOTE (-550))) (|HasCategory| |#1| (QUOTE (-823))))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-904)))) (|HasCategory| |#1| (QUOTE (-148))))) 
-(-410 S R UP) 
+((-4522 -12 (|has| |#1| (-6 -4533)) (|has| |#1| (-454)) (|has| |#1| (-6 -4522))) (-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-905))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-1022))) (|HasCategory| |#1| (QUOTE (-816))) (|HasCategory| |#1| (QUOTE (-1137))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1163)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-551))) (-12 (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-824)))) (-12 (|HasAttribute| |#1| (QUOTE -4533)) (|HasAttribute| |#1| (QUOTE -4522)) (|HasCategory| |#1| (QUOTE (-454)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (-12 (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-824))))) (|HasCategory| |#1| (QUOTE (-843))) (-2232 (|HasCategory| |#1| (QUOTE (-816))) (|HasCategory| |#1| (QUOTE (-843)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (-12 (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-824))))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569)))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569)))) (-12 (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-824))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-824))))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (-12 (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-824))))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-411 S R UP) 
 ((|constructor| (NIL "A \\spadtype{FramedAlgebra} is a \\spadtype{FiniteRankAlgebra} together with a fixed \\spad{R}-module basis.")) (|regularRepresentation| (((|Matrix| |#2|) $) "\\spad{regularRepresentation(a)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the fixed basis.")) (|discriminant| ((|#2|) "\\spad{discriminant()} = determinant(traceMatrix()).")) (|traceMatrix| (((|Matrix| |#2|)) "\\spad{traceMatrix()} is the \\spad{n}-by-\\spad{n} matrix ( \\spad{Tr(\\spad{vi} * vj)} ),{} where \\spad{v1},{} ...,{} \\spad{vn} are the elements of the fixed basis.")) (|convert| (($ (|Vector| |#2|)) "\\spad{convert([a1,{}..,{}an])} returns \\spad{a1*v1 + ... + an*vn},{} where \\spad{v1},{} ...,{} \\spad{vn} are the elements of the fixed basis.") (((|Vector| |#2|) $) "\\spad{convert(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|represents| (($ (|Vector| |#2|)) "\\spad{represents([a1,{}..,{}an])} returns \\spad{a1*v1 + ... + an*vn},{} where \\spad{v1},{} ...,{} \\spad{vn} are the elements of the fixed basis.")) (|coordinates| (((|Matrix| |#2|) (|Vector| $)) "\\spad{coordinates([v1,{}...,{}vm])} returns the coordinates of the \\spad{vi}\\spad{'s} with to the fixed basis. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#2|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|basis| (((|Vector| $)) "\\spad{basis()} returns the fixed \\spad{R}-module basis."))) 
 NIL 
 NIL 
-(-411 R UP) 
+(-412 R UP) 
 ((|constructor| (NIL "A \\spadtype{FramedAlgebra} is a \\spadtype{FiniteRankAlgebra} together with a fixed \\spad{R}-module basis.")) (|regularRepresentation| (((|Matrix| |#1|) $) "\\spad{regularRepresentation(a)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the fixed basis.")) (|discriminant| ((|#1|) "\\spad{discriminant()} = determinant(traceMatrix()).")) (|traceMatrix| (((|Matrix| |#1|)) "\\spad{traceMatrix()} is the \\spad{n}-by-\\spad{n} matrix ( \\spad{Tr(\\spad{vi} * vj)} ),{} where \\spad{v1},{} ...,{} \\spad{vn} are the elements of the fixed basis.")) (|convert| (($ (|Vector| |#1|)) "\\spad{convert([a1,{}..,{}an])} returns \\spad{a1*v1 + ... + an*vn},{} where \\spad{v1},{} ...,{} \\spad{vn} are the elements of the fixed basis.") (((|Vector| |#1|) $) "\\spad{convert(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|represents| (($ (|Vector| |#1|)) "\\spad{represents([a1,{}..,{}an])} returns \\spad{a1*v1 + ... + an*vn},{} where \\spad{v1},{} ...,{} \\spad{vn} are the elements of the fixed basis.")) (|coordinates| (((|Matrix| |#1|) (|Vector| $)) "\\spad{coordinates([v1,{}...,{}vm])} returns the coordinates of the \\spad{vi}\\spad{'s} with to the fixed basis. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#1|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|basis| (((|Vector| $)) "\\spad{basis()} returns the fixed \\spad{R}-module basis."))) 
-((-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-412 A S) 
+(-413 A S) 
 ((|constructor| (NIL "A is fully retractable to \\spad{B} means that A is retractable to \\spad{B} and if \\spad{B} is retractable to the integers or rational numbers then so is A. In particular,{} what we are asserting is that there are no integers (rationals) in A which don\\spad{'t} retract into \\spad{B}."))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568))))) 
-(-413 S) 
+((|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569))))) 
+(-414 S) 
 ((|constructor| (NIL "A is fully retractable to \\spad{B} means that A is retractable to \\spad{B} and if \\spad{B} is retractable to the integers or rational numbers then so is A. In particular,{} what we are asserting is that there are no integers (rationals) in A which don\\spad{'t} retract into \\spad{B}."))) 
 NIL 
 NIL 
-(-414 R1 F1 U1 A1 R2 F2 U2 A2) 
+(-415 R1 F1 U1 A1 R2 F2 U2 A2) 
 ((|constructor| (NIL "Lifting of morphisms to fractional ideals.")) (|map| (((|FractionalIdeal| |#5| |#6| |#7| |#8|) (|Mapping| |#5| |#1|) (|FractionalIdeal| |#1| |#2| |#3| |#4|)) "\\spad{map(f,{}i)} \\undocumented{}"))) 
 NIL 
 NIL 
-(-415 R -1478 UP A) 
+(-416 R -1564 UP A) 
 ((|constructor| (NIL "Fractional ideals in a framed algebra.")) (|randomLC| ((|#4| (|NonNegativeInteger|) (|Vector| |#4|)) "\\spad{randomLC(n,{}x)} should be local but conditional.")) (|minimize| (($ $) "\\spad{minimize(I)} returns a reduced set of generators for \\spad{I}.")) (|denom| ((|#1| $) "\\spad{denom(1/d * (f1,{}...,{}fn))} returns \\spad{d}.")) (|numer| (((|Vector| |#4|) $) "\\spad{numer(1/d * (f1,{}...,{}fn))} = the vector \\spad{[f1,{}...,{}fn]}.")) (|norm| ((|#2| $) "\\spad{norm(I)} returns the norm of the ideal \\spad{I}.")) (|basis| (((|Vector| |#4|) $) "\\spad{basis((f1,{}...,{}fn))} returns the vector \\spad{[f1,{}...,{}fn]}.")) (|ideal| (($ (|Vector| |#4|)) "\\spad{ideal([f1,{}...,{}fn])} returns the ideal \\spad{(f1,{}...,{}fn)}."))) 
-((-4518 . T)) 
+((-4532 . T)) 
 NIL 
-(-416 R -1478 UP A |ibasis|) 
+(-417 R -1564 UP A |ibasis|) 
 ((|constructor| (NIL "Module representation of fractional ideals.")) (|module| (($ (|FractionalIdeal| |#1| |#2| |#3| |#4|)) "\\spad{module(I)} returns \\spad{I} viewed has a module over \\spad{R}.") (($ (|Vector| |#4|)) "\\spad{module([f1,{}...,{}fn])} = the module generated by \\spad{(f1,{}...,{}fn)} over \\spad{R}.")) (|norm| ((|#2| $) "\\spad{norm(f)} returns the norm of the module \\spad{f}.")) (|basis| (((|Vector| |#4|) $) "\\spad{basis((f1,{}...,{}fn))} = the vector \\spad{[f1,{}...,{}fn]}."))) 
 NIL 
-((|HasCategory| |#4| (LIST (QUOTE -1037) (|devaluate| |#2|)))) 
-(-417 AR R AS S) 
+((|HasCategory| |#4| (LIST (QUOTE -1038) (|devaluate| |#2|)))) 
+(-418 AR R AS S) 
 ((|constructor| (NIL "\\spad{FramedNonAssociativeAlgebraFunctions2} implements functions between two framed non associative algebra domains defined over different rings. The function map is used to coerce between algebras over different domains having the same structural constants.")) (|map| ((|#3| (|Mapping| |#4| |#2|) |#1|) "\\spad{map(f,{}u)} maps \\spad{f} onto the coordinates of \\spad{u} to get an element in \\spad{AS} via identification of the basis of \\spad{AR} as beginning part of the basis of \\spad{AS}."))) 
 NIL 
 NIL 
-(-418 S R) 
+(-419 S R) 
 ((|constructor| (NIL "FramedNonAssociativeAlgebra(\\spad{R}) is a \\spadtype{FiniteRankNonAssociativeAlgebra} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free \\spad{R}-module of finite rank) over a commutative ring \\spad{R} together with a fixed \\spad{R}-module basis.")) (|apply| (($ (|Matrix| |#2|) $) "\\spad{apply(m,{}a)} defines a left operation of \\spad{n} by \\spad{n} matrices where \\spad{n} is the rank of the algebra in terms of matrix-vector multiplication,{} this is a substitute for a left module structure. Error: if shape of matrix doesn\\spad{'t} fit.")) (|rightRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#2|))) "\\spad{rightRankPolynomial()} calculates the right minimal polynomial of the generic element in the algebra,{} defined by the same structural constants over the polynomial ring in symbolic coefficients with respect to the fixed basis.")) (|leftRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#2|))) "\\spad{leftRankPolynomial()} calculates the left minimal polynomial of the generic element in the algebra,{} defined by the same structural constants over the polynomial ring in symbolic coefficients with respect to the fixed basis.")) (|rightRegularRepresentation| (((|Matrix| |#2|) $) "\\spad{rightRegularRepresentation(a)} returns the matrix of the linear map defined by right multiplication by \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|leftRegularRepresentation| (((|Matrix| |#2|) $) "\\spad{leftRegularRepresentation(a)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|rightTraceMatrix| (((|Matrix| |#2|)) "\\spad{rightTraceMatrix()} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the right trace of the product \\spad{vi*vj},{} where \\spad{v1},{}...,{}\\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|leftTraceMatrix| (((|Matrix| |#2|)) "\\spad{leftTraceMatrix()} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by left trace of the product \\spad{vi*vj},{} where \\spad{v1},{}...,{}\\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|rightDiscriminant| ((|#2|) "\\spad{rightDiscriminant()} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the right trace of the product \\spad{vi*vj},{} where \\spad{v1},{}...,{}\\spad{vn} are the elements of the fixed \\spad{R}-module basis. Note that the same as \\spad{determinant(rightTraceMatrix())}.")) (|leftDiscriminant| ((|#2|) "\\spad{leftDiscriminant()} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the left trace of the product \\spad{vi*vj},{} where \\spad{v1},{}...,{}\\spad{vn} are the elements of the fixed \\spad{R}-module basis. Note that the same as \\spad{determinant(leftTraceMatrix())}.")) (|convert| (($ (|Vector| |#2|)) "\\spad{convert([a1,{}...,{}an])} returns \\spad{a1*v1 + ... + an*vn},{} where \\spad{v1},{} ...,{} \\spad{vn} are the elements of the fixed \\spad{R}-module basis.") (((|Vector| |#2|) $) "\\spad{convert(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|represents| (($ (|Vector| |#2|)) "\\spad{represents([a1,{}...,{}an])} returns \\spad{a1*v1 + ... + an*vn},{} where \\spad{v1},{} ...,{} \\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|conditionsForIdempotents| (((|List| (|Polynomial| |#2|))) "\\spad{conditionsForIdempotents()} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the fixed \\spad{R}-module basis.")) (|structuralConstants| (((|Vector| (|Matrix| |#2|))) "\\spad{structuralConstants()} calculates the structural constants \\spad{[(gammaijk) for k in 1..rank()]} defined by \\spad{\\spad{vi} * vj = gammaij1 * v1 + ... + gammaijn * vn},{} where \\spad{v1},{}...,{}\\spad{vn} is the fixed \\spad{R}-module basis.")) (|elt| ((|#2| $ (|Integer|)) "\\spad{elt(a,{}i)} returns the \\spad{i}-th coefficient of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|coordinates| (((|Matrix| |#2|) (|Vector| $)) "\\spad{coordinates([a1,{}...,{}am])} returns a matrix whose \\spad{i}-th row is formed by the coordinates of \\spad{\\spad{ai}} with respect to the fixed \\spad{R}-module basis.") (((|Vector| |#2|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|basis| (((|Vector| $)) "\\spad{basis()} returns the fixed \\spad{R}-module basis."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-365)))) 
-(-419 R) 
+((|HasCategory| |#2| (QUOTE (-366)))) 
+(-420 R) 
 ((|constructor| (NIL "FramedNonAssociativeAlgebra(\\spad{R}) is a \\spadtype{FiniteRankNonAssociativeAlgebra} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free \\spad{R}-module of finite rank) over a commutative ring \\spad{R} together with a fixed \\spad{R}-module basis.")) (|apply| (($ (|Matrix| |#1|) $) "\\spad{apply(m,{}a)} defines a left operation of \\spad{n} by \\spad{n} matrices where \\spad{n} is the rank of the algebra in terms of matrix-vector multiplication,{} this is a substitute for a left module structure. Error: if shape of matrix doesn\\spad{'t} fit.")) (|rightRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#1|))) "\\spad{rightRankPolynomial()} calculates the right minimal polynomial of the generic element in the algebra,{} defined by the same structural constants over the polynomial ring in symbolic coefficients with respect to the fixed basis.")) (|leftRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#1|))) "\\spad{leftRankPolynomial()} calculates the left minimal polynomial of the generic element in the algebra,{} defined by the same structural constants over the polynomial ring in symbolic coefficients with respect to the fixed basis.")) (|rightRegularRepresentation| (((|Matrix| |#1|) $) "\\spad{rightRegularRepresentation(a)} returns the matrix of the linear map defined by right multiplication by \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|leftRegularRepresentation| (((|Matrix| |#1|) $) "\\spad{leftRegularRepresentation(a)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|rightTraceMatrix| (((|Matrix| |#1|)) "\\spad{rightTraceMatrix()} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the right trace of the product \\spad{vi*vj},{} where \\spad{v1},{}...,{}\\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|leftTraceMatrix| (((|Matrix| |#1|)) "\\spad{leftTraceMatrix()} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by left trace of the product \\spad{vi*vj},{} where \\spad{v1},{}...,{}\\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|rightDiscriminant| ((|#1|) "\\spad{rightDiscriminant()} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the right trace of the product \\spad{vi*vj},{} where \\spad{v1},{}...,{}\\spad{vn} are the elements of the fixed \\spad{R}-module basis. Note that the same as \\spad{determinant(rightTraceMatrix())}.")) (|leftDiscriminant| ((|#1|) "\\spad{leftDiscriminant()} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the left trace of the product \\spad{vi*vj},{} where \\spad{v1},{}...,{}\\spad{vn} are the elements of the fixed \\spad{R}-module basis. Note that the same as \\spad{determinant(leftTraceMatrix())}.")) (|convert| (($ (|Vector| |#1|)) "\\spad{convert([a1,{}...,{}an])} returns \\spad{a1*v1 + ... + an*vn},{} where \\spad{v1},{} ...,{} \\spad{vn} are the elements of the fixed \\spad{R}-module basis.") (((|Vector| |#1|) $) "\\spad{convert(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|represents| (($ (|Vector| |#1|)) "\\spad{represents([a1,{}...,{}an])} returns \\spad{a1*v1 + ... + an*vn},{} where \\spad{v1},{} ...,{} \\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|conditionsForIdempotents| (((|List| (|Polynomial| |#1|))) "\\spad{conditionsForIdempotents()} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the fixed \\spad{R}-module basis.")) (|structuralConstants| (((|Vector| (|Matrix| |#1|))) "\\spad{structuralConstants()} calculates the structural constants \\spad{[(gammaijk) for k in 1..rank()]} defined by \\spad{\\spad{vi} * vj = gammaij1 * v1 + ... + gammaijn * vn},{} where \\spad{v1},{}...,{}\\spad{vn} is the fixed \\spad{R}-module basis.")) (|elt| ((|#1| $ (|Integer|)) "\\spad{elt(a,{}i)} returns the \\spad{i}-th coefficient of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|coordinates| (((|Matrix| |#1|) (|Vector| $)) "\\spad{coordinates([a1,{}...,{}am])} returns a matrix whose \\spad{i}-th row is formed by the coordinates of \\spad{\\spad{ai}} with respect to the fixed \\spad{R}-module basis.") (((|Vector| |#1|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|basis| (((|Vector| $)) "\\spad{basis()} returns the fixed \\spad{R}-module basis."))) 
-((-4518 |has| |#1| (-558)) (-4516 . T) (-4515 . T)) 
+((-4532 |has| |#1| (-559)) (-4530 . T) (-4529 . T)) 
 NIL 
-(-420 R) 
-((|constructor| (NIL "\\spadtype{Factored} creates a domain whose objects are kept in factored form as long as possible. Thus certain operations like multiplication and \\spad{gcd} are relatively easy to do. Others,{} like addition require somewhat more work,{} and unless the argument domain provides a factor function,{} the result may not be completely factored. Each object consists of a unit and a list of factors,{} where a factor has a member of \\spad{R} (the \"base\"),{} and exponent and a flag indicating what is known about the base. A flag may be one of \"nil\",{} \"sqfr\",{} \"irred\" or \"prime\",{} which respectively mean that nothing is known about the base,{} it is square-free,{} it is irreducible,{} or it is prime. The current restriction to integral domains allows simplification to be performed without worrying about multiplication order.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(u)} returns a rational number if \\spad{u} really is one,{} and \"failed\" otherwise.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(u)} assumes spadvar{\\spad{u}} is actually a rational number and does the conversion to rational number (see \\spadtype{Fraction Integer}).")) (|rational?| (((|Boolean|) $) "\\spad{rational?(u)} tests if \\spadvar{\\spad{u}} is actually a rational number (see \\spadtype{Fraction Integer}).")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\indented{1}{map(\\spad{fn},{}\\spad{u}) maps the function \\userfun{\\spad{fn}} across the factors of} \\indented{1}{\\spadvar{\\spad{u}} and creates a new factored object. Note: this clears} \\indented{1}{the information flags (sets them to \"nil\") because the effect of} \\indented{1}{\\userfun{\\spad{fn}} is clearly not known in general.} \\blankline \\spad{X} \\spad{m}(a:Factored Polynomial Integer):Factored Polynomial Integer \\spad{==} \\spad{a^2} \\spad{X} \\spad{f:=x*y^3}-3*x^2*y^2+3*x^3*y-\\spad{x^4} \\spad{X} map(\\spad{m},{}\\spad{f}) \\spad{X} g:=makeFR(\\spad{z},{}factorList \\spad{f}) \\spad{X} map(\\spad{m},{}\\spad{g})")) (|unitNormalize| (($ $) "\\spad{unitNormalize(u)} normalizes the unit part of the factorization. For example,{} when working with factored integers,{} this operation will ensure that the bases are all positive integers.")) (|unit| ((|#1| $) "\\indented{1}{unit(\\spad{u}) extracts the unit part of the factorization.} \\blankline \\spad{X} \\spad{f:=x*y^3}-3*x^2*y^2+3*x^3*y-\\spad{x^4} \\spad{X} unit \\spad{f} \\spad{X} g:=makeFR(\\spad{z},{}factorList \\spad{f}) \\spad{X} unit \\spad{g}")) (|flagFactor| (($ |#1| (|Integer|) (|Union| "nil" "sqfr" "irred" "prime")) "\\spad{flagFactor(base,{}exponent,{}flag)} creates a factored object with a single factor whose \\spad{base} is asserted to be properly described by the information \\spad{flag}.")) (|sqfrFactor| (($ |#1| (|Integer|)) "\\indented{1}{sqfrFactor(base,{}exponent) creates a factored object with} \\indented{1}{a single factor whose base is asserted to be square-free} \\indented{1}{(flag = \"sqfr\").} \\blankline \\spad{X} a:=sqfrFactor(3,{}5) \\spad{X} nthFlag(a,{}1)")) (|primeFactor| (($ |#1| (|Integer|)) "\\indented{1}{primeFactor(base,{}exponent) creates a factored object with} \\indented{1}{a single factor whose base is asserted to be prime} \\indented{1}{(flag = \"prime\").} \\blankline \\spad{X} a:=primeFactor(3,{}4) \\spad{X} nthFlag(a,{}1)")) (|numberOfFactors| (((|NonNegativeInteger|) $) "\\indented{1}{numberOfFactors(\\spad{u}) returns the number of factors in \\spadvar{\\spad{u}}.} \\blankline \\spad{X} a:=factor 9720000 \\spad{X} numberOfFactors a")) (|nthFlag| (((|Union| "nil" "sqfr" "irred" "prime") $ (|Integer|)) "\\indented{1}{nthFlag(\\spad{u},{}\\spad{n}) returns the information flag of the \\spad{n}th factor of} \\indented{1}{\\spadvar{\\spad{u}}.\\space{2}If \\spadvar{\\spad{n}} is not a valid index for a factor} \\indented{1}{(for example,{} less than 1 or too big),{} \"nil\" is returned.} \\blankline \\spad{X} a:=factor 9720000 \\spad{X} nthFlag(a,{}2)")) (|nthFactor| ((|#1| $ (|Integer|)) "\\indented{1}{nthFactor(\\spad{u},{}\\spad{n}) returns the base of the \\spad{n}th factor of} \\indented{1}{\\spadvar{\\spad{u}}.\\space{2}If \\spadvar{\\spad{n}} is not a valid index for a factor} \\indented{1}{(for example,{} less than 1 or too big),{} 1 is returned.\\space{2}If} \\indented{1}{\\spadvar{\\spad{u}} consists only of a unit,{} the unit is returned.} \\blankline \\spad{X} a:=factor 9720000 \\spad{X} nthFactor(a,{}2)")) (|nthExponent| (((|Integer|) $ (|Integer|)) "\\indented{1}{nthExponent(\\spad{u},{}\\spad{n}) returns the exponent of the \\spad{n}th factor of} \\indented{1}{\\spadvar{\\spad{u}}.\\space{2}If \\spadvar{\\spad{n}} is not a valid index for a factor} \\indented{1}{(for example,{} less than 1 or too big),{} 0 is returned.} \\blankline \\spad{X} a:=factor 9720000 \\spad{X} nthExponent(a,{}2)")) (|irreducibleFactor| (($ |#1| (|Integer|)) "\\indented{1}{irreducibleFactor(base,{}exponent) creates a factored object with} \\indented{1}{a single factor whose base is asserted to be irreducible} \\indented{1}{(flag = \"irred\").} \\blankline \\spad{X} a:=irreducibleFactor(3,{}1) \\spad{X} nthFlag(a,{}1)")) (|factors| (((|List| (|Record| (|:| |factor| |#1|) (|:| |exponent| (|Integer|)))) $) "\\indented{1}{factors(\\spad{u}) returns a list of the factors in a form suitable} \\indented{1}{for iteration. That is,{} it returns a list where each element} \\indented{1}{is a record containing a base and exponent.\\space{2}The original} \\indented{1}{object is the product of all the factors and the unit (which} \\indented{1}{can be extracted by \\axiom{unit(\\spad{u})}).} \\blankline \\spad{X} \\spad{f:=x*y^3}-3*x^2*y^2+3*x^3*y-\\spad{x^4} \\spad{X} factors \\spad{f} \\spad{X} g:=makeFR(\\spad{z},{}factorList \\spad{f}) \\spad{X} factors \\spad{g}")) (|nilFactor| (($ |#1| (|Integer|)) "\\indented{1}{nilFactor(base,{}exponent) creates a factored object with} \\indented{1}{a single factor with no information about the kind of} \\indented{1}{base (flag = \"nil\").} \\blankline \\spad{X} nilFactor(24,{}2) \\spad{X} nilFactor(\\spad{x}-\\spad{y},{}3)")) (|factorList| (((|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (|Integer|)))) $) "\\indented{1}{factorList(\\spad{u}) returns the list of factors with flags (for} \\indented{1}{use by factoring code).} \\blankline \\spad{X} f:=nilFactor(\\spad{x}-\\spad{y},{}3) \\spad{X} factorList \\spad{f}")) (|makeFR| (($ |#1| (|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (|Integer|))))) "\\indented{1}{makeFR(unit,{}listOfFactors) creates a factored object (for} \\indented{1}{use by factoring code).} \\blankline \\spad{X} f:=nilFactor(\\spad{x}-\\spad{y},{}3) \\spad{X} g:=factorList \\spad{f} \\spad{X} makeFR(\\spad{z},{}\\spad{g})")) (|exponent| (((|Integer|) $) "\\indented{1}{exponent(\\spad{u}) returns the exponent of the first factor of} \\indented{1}{\\spadvar{\\spad{u}},{} or 0 if the factored form consists solely of a unit.} \\blankline \\spad{X} f:=nilFactor(\\spad{y}-\\spad{x},{}3) \\spad{X} exponent(\\spad{f})")) (|expand| ((|#1| $) "\\indented{1}{expand(\\spad{f}) multiplies the unit and factors together,{} yielding an} \\indented{1}{\"unfactored\" object. Note: this is purposely not called} \\indented{1}{\\spadfun{coerce} which would cause the interpreter to do this} \\indented{1}{automatically.} \\blankline \\spad{X} f:=nilFactor(\\spad{y}-\\spad{x},{}3) \\spad{X} expand(\\spad{f})"))) 
-((-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -523) (QUOTE (-1161)) (QUOTE $))) (|HasCategory| |#1| (LIST (QUOTE -303) (QUOTE $))) (|HasCategory| |#1| (LIST (QUOTE -281) (QUOTE $) (QUOTE $))) (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (QUOTE (-1199))) (|HasCategory| |#1| (QUOTE (-1021))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -523) (QUOTE (-1161)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -281) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-225))) (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#1| (QUOTE (-550))) (|HasCategory| |#1| (QUOTE (-453))) (-2199 (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-1199))))) 
 (-421 R) 
+((|constructor| (NIL "\\spadtype{Factored} creates a domain whose objects are kept in factored form as long as possible. Thus certain operations like multiplication and \\spad{gcd} are relatively easy to do. Others,{} like addition require somewhat more work,{} and unless the argument domain provides a factor function,{} the result may not be completely factored. Each object consists of a unit and a list of factors,{} where a factor has a member of \\spad{R} (the \"base\"),{} and exponent and a flag indicating what is known about the base. A flag may be one of \"nil\",{} \"sqfr\",{} \"irred\" or \"prime\",{} which respectively mean that nothing is known about the base,{} it is square-free,{} it is irreducible,{} or it is prime. The current restriction to integral domains allows simplification to be performed without worrying about multiplication order.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(u)} returns a rational number if \\spad{u} really is one,{} and \"failed\" otherwise.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(u)} assumes spadvar{\\spad{u}} is actually a rational number and does the conversion to rational number (see \\spadtype{Fraction Integer}).")) (|rational?| (((|Boolean|) $) "\\spad{rational?(u)} tests if \\spadvar{\\spad{u}} is actually a rational number (see \\spadtype{Fraction Integer}).")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\indented{1}{map(\\spad{fn},{}\\spad{u}) maps the function \\userfun{\\spad{fn}} across the factors of} \\indented{1}{\\spadvar{\\spad{u}} and creates a new factored object. Note: this clears} \\indented{1}{the information flags (sets them to \"nil\") because the effect of} \\indented{1}{\\userfun{\\spad{fn}} is clearly not known in general.} \\blankline \\spad{X} \\spad{m}(a:Factored Polynomial Integer):Factored Polynomial Integer \\spad{==} \\spad{a^2} \\spad{X} \\spad{f:=x*y^3}-3*x^2*y^2+3*x^3*y-\\spad{x^4} \\spad{X} map(\\spad{m},{}\\spad{f}) \\spad{X} g:=makeFR(\\spad{z},{}factorList \\spad{f}) \\spad{X} map(\\spad{m},{}\\spad{g})")) (|unitNormalize| (($ $) "\\spad{unitNormalize(u)} normalizes the unit part of the factorization. For example,{} when working with factored integers,{} this operation will ensure that the bases are all positive integers.")) (|unit| ((|#1| $) "\\indented{1}{unit(\\spad{u}) extracts the unit part of the factorization.} \\blankline \\spad{X} \\spad{f:=x*y^3}-3*x^2*y^2+3*x^3*y-\\spad{x^4} \\spad{X} unit \\spad{f} \\spad{X} g:=makeFR(\\spad{z},{}factorList \\spad{f}) \\spad{X} unit \\spad{g}")) (|flagFactor| (($ |#1| (|Integer|) (|Union| "nil" "sqfr" "irred" "prime")) "\\spad{flagFactor(base,{}exponent,{}flag)} creates a factored object with a single factor whose \\spad{base} is asserted to be properly described by the information \\spad{flag}.")) (|sqfrFactor| (($ |#1| (|Integer|)) "\\indented{1}{sqfrFactor(base,{}exponent) creates a factored object with} \\indented{1}{a single factor whose base is asserted to be square-free} \\indented{1}{(flag = \"sqfr\").} \\blankline \\spad{X} a:=sqfrFactor(3,{}5) \\spad{X} nthFlag(a,{}1)")) (|primeFactor| (($ |#1| (|Integer|)) "\\indented{1}{primeFactor(base,{}exponent) creates a factored object with} \\indented{1}{a single factor whose base is asserted to be prime} \\indented{1}{(flag = \"prime\").} \\blankline \\spad{X} a:=primeFactor(3,{}4) \\spad{X} nthFlag(a,{}1)")) (|numberOfFactors| (((|NonNegativeInteger|) $) "\\indented{1}{numberOfFactors(\\spad{u}) returns the number of factors in \\spadvar{\\spad{u}}.} \\blankline \\spad{X} a:=factor 9720000 \\spad{X} numberOfFactors a")) (|nthFlag| (((|Union| "nil" "sqfr" "irred" "prime") $ (|Integer|)) "\\indented{1}{nthFlag(\\spad{u},{}\\spad{n}) returns the information flag of the \\spad{n}th factor of} \\indented{1}{\\spadvar{\\spad{u}}.\\space{2}If \\spadvar{\\spad{n}} is not a valid index for a factor} \\indented{1}{(for example,{} less than 1 or too big),{} \"nil\" is returned.} \\blankline \\spad{X} a:=factor 9720000 \\spad{X} nthFlag(a,{}2)")) (|nthFactor| ((|#1| $ (|Integer|)) "\\indented{1}{nthFactor(\\spad{u},{}\\spad{n}) returns the base of the \\spad{n}th factor of} \\indented{1}{\\spadvar{\\spad{u}}.\\space{2}If \\spadvar{\\spad{n}} is not a valid index for a factor} \\indented{1}{(for example,{} less than 1 or too big),{} 1 is returned.\\space{2}If} \\indented{1}{\\spadvar{\\spad{u}} consists only of a unit,{} the unit is returned.} \\blankline \\spad{X} a:=factor 9720000 \\spad{X} nthFactor(a,{}2)")) (|nthExponent| (((|Integer|) $ (|Integer|)) "\\indented{1}{nthExponent(\\spad{u},{}\\spad{n}) returns the exponent of the \\spad{n}th factor of} \\indented{1}{\\spadvar{\\spad{u}}.\\space{2}If \\spadvar{\\spad{n}} is not a valid index for a factor} \\indented{1}{(for example,{} less than 1 or too big),{} 0 is returned.} \\blankline \\spad{X} a:=factor 9720000 \\spad{X} nthExponent(a,{}2)")) (|irreducibleFactor| (($ |#1| (|Integer|)) "\\indented{1}{irreducibleFactor(base,{}exponent) creates a factored object with} \\indented{1}{a single factor whose base is asserted to be irreducible} \\indented{1}{(flag = \"irred\").} \\blankline \\spad{X} a:=irreducibleFactor(3,{}1) \\spad{X} nthFlag(a,{}1)")) (|factors| (((|List| (|Record| (|:| |factor| |#1|) (|:| |exponent| (|Integer|)))) $) "\\indented{1}{factors(\\spad{u}) returns a list of the factors in a form suitable} \\indented{1}{for iteration. That is,{} it returns a list where each element} \\indented{1}{is a record containing a base and exponent.\\space{2}The original} \\indented{1}{object is the product of all the factors and the unit (which} \\indented{1}{can be extracted by \\axiom{unit(\\spad{u})}).} \\blankline \\spad{X} \\spad{f:=x*y^3}-3*x^2*y^2+3*x^3*y-\\spad{x^4} \\spad{X} factors \\spad{f} \\spad{X} g:=makeFR(\\spad{z},{}factorList \\spad{f}) \\spad{X} factors \\spad{g}")) (|nilFactor| (($ |#1| (|Integer|)) "\\indented{1}{nilFactor(base,{}exponent) creates a factored object with} \\indented{1}{a single factor with no information about the kind of} \\indented{1}{base (flag = \"nil\").} \\blankline \\spad{X} nilFactor(24,{}2) \\spad{X} nilFactor(\\spad{x}-\\spad{y},{}3)")) (|factorList| (((|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (|Integer|)))) $) "\\indented{1}{factorList(\\spad{u}) returns the list of factors with flags (for} \\indented{1}{use by factoring code).} \\blankline \\spad{X} f:=nilFactor(\\spad{x}-\\spad{y},{}3) \\spad{X} factorList \\spad{f}")) (|makeFR| (($ |#1| (|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (|Integer|))))) "\\indented{1}{makeFR(unit,{}listOfFactors) creates a factored object (for} \\indented{1}{use by factoring code).} \\blankline \\spad{X} f:=nilFactor(\\spad{x}-\\spad{y},{}3) \\spad{X} g:=factorList \\spad{f} \\spad{X} makeFR(\\spad{z},{}\\spad{g})")) (|exponent| (((|Integer|) $) "\\indented{1}{exponent(\\spad{u}) returns the exponent of the first factor of} \\indented{1}{\\spadvar{\\spad{u}},{} or 0 if the factored form consists solely of a unit.} \\blankline \\spad{X} f:=nilFactor(\\spad{y}-\\spad{x},{}3) \\spad{X} exponent(\\spad{f})")) (|expand| ((|#1| $) "\\indented{1}{expand(\\spad{f}) multiplies the unit and factors together,{} yielding an} \\indented{1}{\"unfactored\" object. Note: this is purposely not called} \\indented{1}{\\spadfun{coerce} which would cause the interpreter to do this} \\indented{1}{automatically.} \\blankline \\spad{X} f:=nilFactor(\\spad{y}-\\spad{x},{}3) \\spad{X} expand(\\spad{f})"))) 
+((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1163)) (QUOTE $))) (|HasCategory| |#1| (LIST (QUOTE -304) (QUOTE $))) (|HasCategory| |#1| (LIST (QUOTE -282) (QUOTE $) (QUOTE $))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-1202))) (|HasCategory| |#1| (QUOTE (-1022))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1163)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-454))) (-2232 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-1202))))) 
+(-422 R) 
 ((|constructor| (NIL "\\spadtype{FactoredFunctionUtilities} implements some utility functions for manipulating factored objects.")) (|mergeFactors| (((|Factored| |#1|) (|Factored| |#1|) (|Factored| |#1|)) "\\spad{mergeFactors(u,{}v)} is used when the factorizations of \\spadvar{\\spad{u}} and \\spadvar{\\spad{v}} are known to be disjoint,{} \\spadignore{e.g.} resulting from a content/primitive part split. Essentially,{} it creates a new factored object by multiplying the units together and appending the lists of factors.")) (|refine| (((|Factored| |#1|) (|Factored| |#1|) (|Mapping| (|Factored| |#1|) |#1|)) "\\spad{refine(u,{}fn)} is used to apply the function \\userfun{\\spad{fn}} to each factor of \\spadvar{\\spad{u}} and then build a new factored object from the results. For example,{} if \\spadvar{\\spad{u}} were created by calling \\spad{nilFactor(10,{}2)} then \\spad{refine(u,{}factor)} would create a factored object equal to that created by \\spad{factor(100)} or \\spad{primeFactor(2,{}2) * primeFactor(5,{}2)}."))) 
 NIL 
 NIL 
-(-422 R FE |x| |cen|) 
+(-423 R FE |x| |cen|) 
 ((|constructor| (NIL "This package converts expressions in some function space to exponential expansions.")) (|localAbs| ((|#2| |#2|) "\\spad{localAbs(fcn)} = \\spad{abs(fcn)} or \\spad{sqrt(fcn**2)} depending on whether or not FE has a function \\spad{abs}. This should be a local function,{} but the compiler won\\spad{'t} allow it.")) (|exprToXXP| (((|Union| (|:| |%expansion| (|ExponentialExpansion| |#1| |#2| |#3| |#4|)) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|))))) |#2| (|Boolean|)) "\\spad{exprToXXP(fcn,{}posCheck?)} converts the expression \\spad{fcn} to an exponential expansion. If \\spad{posCheck?} is \\spad{true},{} log\\spad{'s} of negative numbers are not allowed nor are \\spad{n}th roots of negative numbers with \\spad{n} even. If \\spad{posCheck?} is \\spad{false},{} these are allowed."))) 
 NIL 
 NIL 
-(-423 R A S B) 
+(-424 R A S B) 
 ((|constructor| (NIL "Lifting of maps to function spaces This package allows a mapping \\spad{R} \\spad{->} \\spad{S} to be lifted to a mapping from a function space over \\spad{R} to a function space over \\spad{S}.")) (|map| ((|#4| (|Mapping| |#3| |#1|) |#2|) "\\spad{map(f,{} a)} applies \\spad{f} to all the constants in \\spad{R} appearing in \\spad{a}."))) 
 NIL 
 NIL 
-(-424 R FE |Expon| UPS TRAN |x|) 
+(-425 R FE |Expon| UPS TRAN |x|) 
 ((|constructor| (NIL "This package converts expressions in some function space to power series in a variable \\spad{x} with coefficients in that function space. The function \\spadfun{exprToUPS} converts expressions to power series whose coefficients do not contain the variable \\spad{x}. The function \\spadfun{exprToGenUPS} converts functional expressions to power series whose coefficients may involve functions of \\spad{log(x)}.")) (|localAbs| ((|#2| |#2|) "\\spad{localAbs(fcn)} = \\spad{abs(fcn)} or \\spad{sqrt(fcn**2)} depending on whether or not FE has a function \\spad{abs}. This should be a local function,{} but the compiler won\\spad{'t} allow it.")) (|exprToGenUPS| (((|Union| (|:| |%series| |#4|) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|))))) |#2| (|Boolean|) (|String|)) "\\spad{exprToGenUPS(fcn,{}posCheck?,{}atanFlag)} converts the expression \\spad{fcn} to a generalized power series. If \\spad{posCheck?} is \\spad{true},{} log\\spad{'s} of negative numbers are not allowed nor are \\spad{n}th roots of negative numbers with \\spad{n} even. If \\spad{posCheck?} is \\spad{false},{} these are allowed. \\spad{atanFlag} determines how the case \\spad{atan(f(x))},{} where \\spad{f(x)} has a pole,{} will be treated. The possible values of \\spad{atanFlag} are \\spad{\"complex\"},{} \\spad{\"real: two sides\"},{} \\spad{\"real: left side\"},{} \\spad{\"real: right side\"},{} and \\spad{\"just do it\"}. If \\spad{atanFlag} is \\spad{\"complex\"},{} then no series expansion will be computed because,{} viewed as a function of a complex variable,{} \\spad{atan(f(x))} has an essential singularity. Otherwise,{} the sign of the leading coefficient of the series expansion of \\spad{f(x)} determines the constant coefficient in the series expansion of \\spad{atan(f(x))}. If this sign cannot be determined,{} a series expansion is computed only when \\spad{atanFlag} is \\spad{\"just do it\"}. When the leading term in the series expansion of \\spad{f(x)} is of odd degree (or is a rational degree with odd numerator),{} then the constant coefficient in the series expansion of \\spad{atan(f(x))} for values to the left differs from that for values to the right. If \\spad{atanFlag} is \\spad{\"real: two sides\"},{} no series expansion will be computed. If \\spad{atanFlag} is \\spad{\"real: left side\"} the constant coefficient for values to the left will be used and if \\spad{atanFlag} \\spad{\"real: right side\"} the constant coefficient for values to the right will be used. If there is a problem in converting the function to a power series,{} we return a record containing the name of the function that caused the problem and a brief description of the problem. When expanding the expression into a series it is assumed that the series is centered at 0. For a series centered at a,{} the user should perform the substitution \\spad{x -> x + a} before calling this function.")) (|exprToUPS| (((|Union| (|:| |%series| |#4|) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|))))) |#2| (|Boolean|) (|String|)) "\\spad{exprToUPS(fcn,{}posCheck?,{}atanFlag)} converts the expression \\spad{fcn} to a power series. If \\spad{posCheck?} is \\spad{true},{} log\\spad{'s} of negative numbers are not allowed nor are \\spad{n}th roots of negative numbers with \\spad{n} even. If \\spad{posCheck?} is \\spad{false},{} these are allowed. \\spad{atanFlag} determines how the case \\spad{atan(f(x))},{} where \\spad{f(x)} has a pole,{} will be treated. The possible values of \\spad{atanFlag} are \\spad{\"complex\"},{} \\spad{\"real: two sides\"},{} \\spad{\"real: left side\"},{} \\spad{\"real: right side\"},{} and \\spad{\"just do it\"}. If \\spad{atanFlag} is \\spad{\"complex\"},{} then no series expansion will be computed because,{} viewed as a function of a complex variable,{} \\spad{atan(f(x))} has an essential singularity. Otherwise,{} the sign of the leading coefficient of the series expansion of \\spad{f(x)} determines the constant coefficient in the series expansion of \\spad{atan(f(x))}. If this sign cannot be determined,{} a series expansion is computed only when \\spad{atanFlag} is \\spad{\"just do it\"}. When the leading term in the series expansion of \\spad{f(x)} is of odd degree (or is a rational degree with odd numerator),{} then the constant coefficient in the series expansion of \\spad{atan(f(x))} for values to the left differs from that for values to the right. If \\spad{atanFlag} is \\spad{\"real: two sides\"},{} no series expansion will be computed. If \\spad{atanFlag} is \\spad{\"real: left side\"} the constant coefficient for values to the left will be used and if \\spad{atanFlag} \\spad{\"real: right side\"} the constant coefficient for values to the right will be used. If there is a problem in converting the function to a power series,{} a record containing the name of the function that caused the problem and a brief description of the problem is returned. When expanding the expression into a series it is assumed that the series is centered at 0. For a series centered at a,{} the user should perform the substitution \\spad{x -> x + a} before calling this function.")) (|integrate| (($ $) "\\spad{integrate(x)} returns the integral of \\spad{x} since we need to be able to integrate a power series")) (|differentiate| (($ $) "\\spad{differentiate(x)} returns the derivative of \\spad{x} since we need to be able to differentiate a power series")) (|coerce| (($ |#3|) "\\spad{coerce(e)} converts an 'exponent' \\spad{e} to an 'expression'"))) 
 NIL 
 NIL 
-(-425 S A R B) 
+(-426 S A R B) 
 ((|constructor| (NIL "\\spad{FiniteSetAggregateFunctions2} provides functions involving two finite set aggregates where the underlying domains might be different. An example of this is to create a set of rational numbers by mapping a function across a set of integers,{} where the function divides each integer by 1000.")) (|scan| ((|#4| (|Mapping| |#3| |#1| |#3|) |#2| |#3|) "\\spad{scan(f,{}a,{}r)} successively applies \\spad{reduce(f,{}x,{}r)} to more and more leading sub-aggregates \\spad{x} of aggregate \\spad{a}. More precisely,{} if \\spad{a} is \\spad{[a1,{}a2,{}...]},{} then \\spad{scan(f,{}a,{}r)} returns \\spad {[reduce(f,{}[a1],{}r),{}reduce(f,{}[a1,{}a2],{}r),{}...]}.")) (|reduce| ((|#3| (|Mapping| |#3| |#1| |#3|) |#2| |#3|) "\\spad{reduce(f,{}a,{}r)} applies function \\spad{f} to each successive element of the aggregate \\spad{a} and an accumulant initialised to \\spad{r}. For example,{} \\spad{reduce(_+\\$Integer,{}[1,{}2,{}3],{}0)} does a \\spad{3+(2+(1+0))}. Note that third argument \\spad{r} may be regarded as an identity element for the function.")) (|map| ((|#4| (|Mapping| |#3| |#1|) |#2|) "\\spad{map(f,{}a)} applies function \\spad{f} to each member of aggregate \\spad{a},{} creating a new aggregate with a possibly different underlying domain."))) 
 NIL 
 NIL 
-(-426 A S) 
+(-427 A S) 
 ((|constructor| (NIL "A finite-set aggregate models the notion of a finite set,{} that is,{} a collection of elements characterized by membership,{} but not by order or multiplicity. See \\spadtype{Set} for an example.")) (|min| ((|#2| $) "\\spad{min(u)} returns the smallest element of aggregate \\spad{u}.")) (|max| ((|#2| $) "\\spad{max(u)} returns the largest element of aggregate \\spad{u}.")) (|universe| (($) "\\spad{universe()}\\$\\spad{D} returns the universal set for finite set aggregate \\spad{D}.")) (|complement| (($ $) "\\spad{complement(u)} returns the complement of the set \\spad{u},{} \\spadignore{i.e.} the set of all values not in \\spad{u}.")) (|cardinality| (((|NonNegativeInteger|) $) "\\spad{cardinality(u)} returns the number of elements of \\spad{u}. Note that \\axiom{cardinality(\\spad{u}) = \\#u}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-842))) (|HasCategory| |#2| (QUOTE (-370)))) 
-(-427 S) 
+((|HasCategory| |#2| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-371)))) 
+(-428 S) 
 ((|constructor| (NIL "A finite-set aggregate models the notion of a finite set,{} that is,{} a collection of elements characterized by membership,{} but not by order or multiplicity. See \\spadtype{Set} for an example.")) (|min| ((|#1| $) "\\spad{min(u)} returns the smallest element of aggregate \\spad{u}.")) (|max| ((|#1| $) "\\spad{max(u)} returns the largest element of aggregate \\spad{u}.")) (|universe| (($) "\\spad{universe()}\\$\\spad{D} returns the universal set for finite set aggregate \\spad{D}.")) (|complement| (($ $) "\\spad{complement(u)} returns the complement of the set \\spad{u},{} \\spadignore{i.e.} the set of all values not in \\spad{u}.")) (|cardinality| (((|NonNegativeInteger|) $) "\\spad{cardinality(u)} returns the number of elements of \\spad{u}. Note that \\axiom{cardinality(\\spad{u}) = \\#u}."))) 
-((-4521 . T) (-4511 . T) (-4522 . T) (-3973 . T)) 
+((-4535 . T) (-4525 . T) (-4536 . T) (-2982 . T)) 
 NIL 
-(-428 R -1478) 
+(-429 R -1564) 
 ((|constructor| (NIL "Top-level complex function integration \\spadtype{FunctionSpaceComplexIntegration} provides functions for the indefinite integration of complex-valued functions.")) (|complexIntegrate| ((|#2| |#2| (|Symbol|)) "\\spad{complexIntegrate(f,{} x)} returns the integral of \\spad{f(x)dx} where \\spad{x} is viewed as a complex variable.")) (|internalIntegrate0| (((|IntegrationResult| |#2|) |#2| (|Symbol|)) "\\spad{internalIntegrate0 should} be a local function,{} but is conditional.")) (|internalIntegrate| (((|IntegrationResult| |#2|) |#2| (|Symbol|)) "\\spad{internalIntegrate(f,{} x)} returns the integral of \\spad{f(x)dx} where \\spad{x} is viewed as a complex variable."))) 
 NIL 
 NIL 
-(-429 R E) 
+(-430 R E) 
 ((|constructor| (NIL "This domain converts terms into Fourier series")) (|makeCos| (($ |#2| |#1|) "\\indented{1}{makeCos(\\spad{e},{}\\spad{r}) makes a sin expression with given} argument and coefficient")) (|makeSin| (($ |#2| |#1|) "\\spad{makeSin(e,{}r)} makes a sin expression with given argument and coefficient")) (|coerce| (($ (|FourierComponent| |#2|)) "\\spad{coerce(c)} converts sin/cos terms into Fourier Series") (($ |#1|) "\\spad{coerce(r)} converts coefficients into Fourier Series"))) 
-((-4508 -12 (|has| |#1| (-6 -4508)) (|has| |#2| (-6 -4508))) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((-12 (|HasAttribute| |#1| (QUOTE -4508)) (|HasAttribute| |#2| (QUOTE -4508)))) 
-(-430 R -1478) 
+((-4522 -12 (|has| |#1| (-6 -4522)) (|has| |#2| (-6 -4522))) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((-12 (|HasAttribute| |#1| (QUOTE -4522)) (|HasAttribute| |#2| (QUOTE -4522)))) 
+(-431 R -1564) 
 ((|constructor| (NIL "Top-level real function integration \\spadtype{FunctionSpaceIntegration} provides functions for the indefinite integration of real-valued functions.")) (|integrate| (((|Union| |#2| (|List| |#2|)) |#2| (|Symbol|)) "\\spad{integrate(f,{} x)} returns the integral of \\spad{f(x)dx} where \\spad{x} is viewed as a real variable."))) 
 NIL 
 NIL 
-(-431 S R) 
+(-432 S R) 
 ((|constructor| (NIL "A space of formal functions with arguments in an arbitrary ordered set.")) (|univariate| (((|Fraction| (|SparseUnivariatePolynomial| $)) $ (|Kernel| $)) "\\spad{univariate(f,{} k)} returns \\spad{f} viewed as a univariate fraction in \\spad{k}.")) (/ (($ (|SparseMultivariatePolynomial| |#2| (|Kernel| $)) (|SparseMultivariatePolynomial| |#2| (|Kernel| $))) "\\spad{p1/p2} returns the quotient of \\spad{p1} and \\spad{p2} as an element of \\%.")) (|denominator| (($ $) "\\spad{denominator(f)} returns the denominator of \\spad{f} converted to \\%.")) (|denom| (((|SparseMultivariatePolynomial| |#2| (|Kernel| $)) $) "\\spad{denom(f)} returns the denominator of \\spad{f} viewed as a polynomial in the kernels over \\spad{R}.")) (|convert| (($ (|Factored| $)) "\\spad{convert(f1\\^e1 ... fm\\^em)} returns \\spad{(f1)\\^e1 ... (fm)\\^em} as an element of \\%,{} using formal kernels created using a \\spadfunFrom{paren}{ExpressionSpace}.")) (|isPower| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| (|Integer|))) "failed") $) "\\spad{isPower(p)} returns \\spad{[x,{} n]} if \\spad{p = x**n} and \\spad{n <> 0}.")) (|numerator| (($ $) "\\spad{numerator(f)} returns the numerator of \\spad{f} converted to \\%.")) (|numer| (((|SparseMultivariatePolynomial| |#2| (|Kernel| $)) $) "\\spad{numer(f)} returns the numerator of \\spad{f} viewed as a polynomial in the kernels over \\spad{R} if \\spad{R} is an integral domain. If not,{} then numer(\\spad{f}) = \\spad{f} viewed as a polynomial in the kernels over \\spad{R}.")) (|coerce| (($ (|Fraction| (|Polynomial| (|Fraction| |#2|)))) "\\spad{coerce(f)} returns \\spad{f} as an element of \\%.") (($ (|Polynomial| (|Fraction| |#2|))) "\\spad{coerce(p)} returns \\spad{p} as an element of \\%.") (($ (|Fraction| |#2|)) "\\spad{coerce(q)} returns \\spad{q} as an element of \\%.") (($ (|SparseMultivariatePolynomial| |#2| (|Kernel| $))) "\\spad{coerce(p)} returns \\spad{p} as an element of \\%.")) (|isMult| (((|Union| (|Record| (|:| |coef| (|Integer|)) (|:| |var| (|Kernel| $))) "failed") $) "\\spad{isMult(p)} returns \\spad{[n,{} x]} if \\spad{p = n * x} and \\spad{n <> 0}.")) (|isPlus| (((|Union| (|List| $) "failed") $) "\\spad{isPlus(p)} returns \\spad{[m1,{}...,{}mn]} if \\spad{p = m1 +...+ mn} and \\spad{n > 1}.")) (|isExpt| (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|Symbol|)) "\\spad{isExpt(p,{}f)} returns \\spad{[x,{} n]} if \\spad{p = x**n} and \\spad{n <> 0} and \\spad{x = f(a)}.") (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|BasicOperator|)) "\\spad{isExpt(p,{}op)} returns \\spad{[x,{} n]} if \\spad{p = x**n} and \\spad{n <> 0} and \\spad{x = op(a)}.") (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $) "\\spad{isExpt(p)} returns \\spad{[x,{} n]} if \\spad{p = x**n} and \\spad{n <> 0}.")) (|isTimes| (((|Union| (|List| $) "failed") $) "\\spad{isTimes(p)} returns \\spad{[a1,{}...,{}an]} if \\spad{p = a1*...*an} and \\spad{n > 1}.")) (** (($ $ (|NonNegativeInteger|)) "\\spad{x**n} returns \\spad{x} * \\spad{x} * \\spad{x} * ... * \\spad{x} (\\spad{n} times).")) (|eval| (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ $)) "\\spad{eval(x,{} s,{} n,{} f)} replaces every \\spad{s(a)**n} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ (|List| $))) "\\spad{eval(x,{} s,{} n,{} f)} replaces every \\spad{s(a1,{}...,{}am)**n} in \\spad{x} by \\spad{f(a1,{}...,{}am)} for any \\spad{a1},{}...,{}am.") (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [n1,{}...,{}nm],{} [f1,{}...,{}fm])} replaces every \\spad{\\spad{si}(a1,{}...,{}an)**ni} in \\spad{x} by \\spad{\\spad{fi}(a1,{}...,{}an)} for any \\spad{a1},{}...,{}am.") (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ $))) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [n1,{}...,{}nm],{} [f1,{}...,{}fm])} replaces every \\spad{\\spad{si}(a)**ni} in \\spad{x} by \\spad{\\spad{fi}(a)} for any \\spad{a}.") (($ $ (|List| (|BasicOperator|)) (|List| $) (|Symbol|)) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [f1,{}...,{}fm],{} y)} replaces every \\spad{\\spad{si}(a)} in \\spad{x} by \\spad{\\spad{fi}(y)} with \\spad{y} replaced by \\spad{a} for any \\spad{a}.") (($ $ (|BasicOperator|) $ (|Symbol|)) "\\spad{eval(x,{} s,{} f,{} y)} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(y)} with \\spad{y} replaced by \\spad{a} for any \\spad{a}.") (($ $) "\\spad{eval(f)} unquotes all the quoted operators in \\spad{f}.") (($ $ (|List| (|Symbol|))) "\\spad{eval(f,{} [foo1,{}...,{}foon])} unquotes all the \\spad{fooi}\\spad{'s} in \\spad{f}.") (($ $ (|Symbol|)) "\\spad{eval(f,{} foo)} unquotes all the foo\\spad{'s} in \\spad{f}.")) (|applyQuote| (($ (|Symbol|) (|List| $)) "\\spad{applyQuote(foo,{} [x1,{}...,{}xn])} returns \\spad{'foo(x1,{}...,{}xn)}.") (($ (|Symbol|) $ $ $ $) "\\spad{applyQuote(foo,{} x,{} y,{} z,{} t)} returns \\spad{'foo(x,{}y,{}z,{}t)}.") (($ (|Symbol|) $ $ $) "\\spad{applyQuote(foo,{} x,{} y,{} z)} returns \\spad{'foo(x,{}y,{}z)}.") (($ (|Symbol|) $ $) "\\spad{applyQuote(foo,{} x,{} y)} returns \\spad{'foo(x,{}y)}.") (($ (|Symbol|) $) "\\spad{applyQuote(foo,{} x)} returns \\spad{'foo(x)}.")) (|variables| (((|List| (|Symbol|)) $) "\\spad{variables(f)} returns the list of all the variables of \\spad{f}.")) (|ground| ((|#2| $) "\\spad{ground(f)} returns \\spad{f} as an element of \\spad{R}. An error occurs if \\spad{f} is not an element of \\spad{R}.")) (|ground?| (((|Boolean|) $) "\\spad{ground?(f)} tests if \\spad{f} is an element of \\spad{R}."))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-148))) (|HasCategory| |#2| (QUOTE (-150))) (|HasCategory| |#2| (QUOTE (-1047))) (|HasCategory| |#2| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-478))) (|HasCategory| |#2| (QUOTE (-1102))) (|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-541))))) 
-(-432 R) 
+((|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-1048))) (|HasCategory| |#2| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-479))) (|HasCategory| |#2| (QUOTE (-1103))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) 
+(-433 R) 
 ((|constructor| (NIL "A space of formal functions with arguments in an arbitrary ordered set.")) (|univariate| (((|Fraction| (|SparseUnivariatePolynomial| $)) $ (|Kernel| $)) "\\spad{univariate(f,{} k)} returns \\spad{f} viewed as a univariate fraction in \\spad{k}.")) (/ (($ (|SparseMultivariatePolynomial| |#1| (|Kernel| $)) (|SparseMultivariatePolynomial| |#1| (|Kernel| $))) "\\spad{p1/p2} returns the quotient of \\spad{p1} and \\spad{p2} as an element of \\%.")) (|denominator| (($ $) "\\spad{denominator(f)} returns the denominator of \\spad{f} converted to \\%.")) (|denom| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) "\\spad{denom(f)} returns the denominator of \\spad{f} viewed as a polynomial in the kernels over \\spad{R}.")) (|convert| (($ (|Factored| $)) "\\spad{convert(f1\\^e1 ... fm\\^em)} returns \\spad{(f1)\\^e1 ... (fm)\\^em} as an element of \\%,{} using formal kernels created using a \\spadfunFrom{paren}{ExpressionSpace}.")) (|isPower| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| (|Integer|))) "failed") $) "\\spad{isPower(p)} returns \\spad{[x,{} n]} if \\spad{p = x**n} and \\spad{n <> 0}.")) (|numerator| (($ $) "\\spad{numerator(f)} returns the numerator of \\spad{f} converted to \\%.")) (|numer| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) "\\spad{numer(f)} returns the numerator of \\spad{f} viewed as a polynomial in the kernels over \\spad{R} if \\spad{R} is an integral domain. If not,{} then numer(\\spad{f}) = \\spad{f} viewed as a polynomial in the kernels over \\spad{R}.")) (|coerce| (($ (|Fraction| (|Polynomial| (|Fraction| |#1|)))) "\\spad{coerce(f)} returns \\spad{f} as an element of \\%.") (($ (|Polynomial| (|Fraction| |#1|))) "\\spad{coerce(p)} returns \\spad{p} as an element of \\%.") (($ (|Fraction| |#1|)) "\\spad{coerce(q)} returns \\spad{q} as an element of \\%.") (($ (|SparseMultivariatePolynomial| |#1| (|Kernel| $))) "\\spad{coerce(p)} returns \\spad{p} as an element of \\%.")) (|isMult| (((|Union| (|Record| (|:| |coef| (|Integer|)) (|:| |var| (|Kernel| $))) "failed") $) "\\spad{isMult(p)} returns \\spad{[n,{} x]} if \\spad{p = n * x} and \\spad{n <> 0}.")) (|isPlus| (((|Union| (|List| $) "failed") $) "\\spad{isPlus(p)} returns \\spad{[m1,{}...,{}mn]} if \\spad{p = m1 +...+ mn} and \\spad{n > 1}.")) (|isExpt| (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|Symbol|)) "\\spad{isExpt(p,{}f)} returns \\spad{[x,{} n]} if \\spad{p = x**n} and \\spad{n <> 0} and \\spad{x = f(a)}.") (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|BasicOperator|)) "\\spad{isExpt(p,{}op)} returns \\spad{[x,{} n]} if \\spad{p = x**n} and \\spad{n <> 0} and \\spad{x = op(a)}.") (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $) "\\spad{isExpt(p)} returns \\spad{[x,{} n]} if \\spad{p = x**n} and \\spad{n <> 0}.")) (|isTimes| (((|Union| (|List| $) "failed") $) "\\spad{isTimes(p)} returns \\spad{[a1,{}...,{}an]} if \\spad{p = a1*...*an} and \\spad{n > 1}.")) (** (($ $ (|NonNegativeInteger|)) "\\spad{x**n} returns \\spad{x} * \\spad{x} * \\spad{x} * ... * \\spad{x} (\\spad{n} times).")) (|eval| (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ $)) "\\spad{eval(x,{} s,{} n,{} f)} replaces every \\spad{s(a)**n} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ (|List| $))) "\\spad{eval(x,{} s,{} n,{} f)} replaces every \\spad{s(a1,{}...,{}am)**n} in \\spad{x} by \\spad{f(a1,{}...,{}am)} for any \\spad{a1},{}...,{}am.") (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [n1,{}...,{}nm],{} [f1,{}...,{}fm])} replaces every \\spad{\\spad{si}(a1,{}...,{}an)**ni} in \\spad{x} by \\spad{\\spad{fi}(a1,{}...,{}an)} for any \\spad{a1},{}...,{}am.") (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ $))) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [n1,{}...,{}nm],{} [f1,{}...,{}fm])} replaces every \\spad{\\spad{si}(a)**ni} in \\spad{x} by \\spad{\\spad{fi}(a)} for any \\spad{a}.") (($ $ (|List| (|BasicOperator|)) (|List| $) (|Symbol|)) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [f1,{}...,{}fm],{} y)} replaces every \\spad{\\spad{si}(a)} in \\spad{x} by \\spad{\\spad{fi}(y)} with \\spad{y} replaced by \\spad{a} for any \\spad{a}.") (($ $ (|BasicOperator|) $ (|Symbol|)) "\\spad{eval(x,{} s,{} f,{} y)} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(y)} with \\spad{y} replaced by \\spad{a} for any \\spad{a}.") (($ $) "\\spad{eval(f)} unquotes all the quoted operators in \\spad{f}.") (($ $ (|List| (|Symbol|))) "\\spad{eval(f,{} [foo1,{}...,{}foon])} unquotes all the \\spad{fooi}\\spad{'s} in \\spad{f}.") (($ $ (|Symbol|)) "\\spad{eval(f,{} foo)} unquotes all the foo\\spad{'s} in \\spad{f}.")) (|applyQuote| (($ (|Symbol|) (|List| $)) "\\spad{applyQuote(foo,{} [x1,{}...,{}xn])} returns \\spad{'foo(x1,{}...,{}xn)}.") (($ (|Symbol|) $ $ $ $) "\\spad{applyQuote(foo,{} x,{} y,{} z,{} t)} returns \\spad{'foo(x,{}y,{}z,{}t)}.") (($ (|Symbol|) $ $ $) "\\spad{applyQuote(foo,{} x,{} y,{} z)} returns \\spad{'foo(x,{}y,{}z)}.") (($ (|Symbol|) $ $) "\\spad{applyQuote(foo,{} x,{} y)} returns \\spad{'foo(x,{}y)}.") (($ (|Symbol|) $) "\\spad{applyQuote(foo,{} x)} returns \\spad{'foo(x)}.")) (|variables| (((|List| (|Symbol|)) $) "\\spad{variables(f)} returns the list of all the variables of \\spad{f}.")) (|ground| ((|#1| $) "\\spad{ground(f)} returns \\spad{f} as an element of \\spad{R}. An error occurs if \\spad{f} is not an element of \\spad{R}.")) (|ground?| (((|Boolean|) $) "\\spad{ground?(f)} tests if \\spad{f} is an element of \\spad{R}."))) 
-((-4518 -2199 (|has| |#1| (-1047)) (|has| |#1| (-478))) (-4516 |has| |#1| (-172)) (-4515 |has| |#1| (-172)) ((-4523 "*") |has| |#1| (-558)) (-4514 |has| |#1| (-558)) (-4519 |has| |#1| (-558)) (-4513 |has| |#1| (-558)) (-3973 . T)) 
+((-4532 -2232 (|has| |#1| (-1048)) (|has| |#1| (-479))) (-4530 |has| |#1| (-173)) (-4529 |has| |#1| (-173)) ((-4537 "*") |has| |#1| (-559)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-559)) (-4527 |has| |#1| (-559)) (-2982 . T)) 
 NIL 
-(-433 R -1478) 
+(-434 R -1564) 
 ((|constructor| (NIL "Provides some special functions over an integral domain.")) (|iiAiryBi| ((|#2| |#2|) "\\spad{iiAiryBi(x)} should be local but conditional.")) (|iiAiryAi| ((|#2| |#2|) "\\spad{iiAiryAi(x)} should be local but conditional.")) (|iiBesselK| ((|#2| (|List| |#2|)) "\\spad{iiBesselK(x)} should be local but conditional.")) (|iiBesselI| ((|#2| (|List| |#2|)) "\\spad{iiBesselI(x)} should be local but conditional.")) (|iiBesselY| ((|#2| (|List| |#2|)) "\\spad{iiBesselY(x)} should be local but conditional.")) (|iiBesselJ| ((|#2| (|List| |#2|)) "\\spad{iiBesselJ(x)} should be local but conditional.")) (|iipolygamma| ((|#2| (|List| |#2|)) "\\spad{iipolygamma(x)} should be local but conditional.")) (|iidigamma| ((|#2| |#2|) "\\spad{iidigamma(x)} should be local but conditional.")) (|iiBeta| ((|#2| (|List| |#2|)) "iiGamma(\\spad{x}) should be local but conditional.")) (|iiabs| ((|#2| |#2|) "\\spad{iiabs(x)} should be local but conditional.")) (|iiGamma| ((|#2| |#2|) "\\spad{iiGamma(x)} should be local but conditional.")) (|airyBi| ((|#2| |#2|) "\\spad{airyBi(x)} returns the airybi function applied to \\spad{x}")) (|airyAi| ((|#2| |#2|) "\\spad{airyAi(x)} returns the airyai function applied to \\spad{x}")) (|besselK| ((|#2| |#2| |#2|) "\\spad{besselK(x,{}y)} returns the besselk function applied to \\spad{x} and \\spad{y}")) (|besselI| ((|#2| |#2| |#2|) "\\spad{besselI(x,{}y)} returns the besseli function applied to \\spad{x} and \\spad{y}")) (|besselY| ((|#2| |#2| |#2|) "\\spad{besselY(x,{}y)} returns the bessely function applied to \\spad{x} and \\spad{y}")) (|besselJ| ((|#2| |#2| |#2|) "\\spad{besselJ(x,{}y)} returns the besselj function applied to \\spad{x} and \\spad{y}")) (|polygamma| ((|#2| |#2| |#2|) "\\spad{polygamma(x,{}y)} returns the polygamma function applied to \\spad{x} and \\spad{y}")) (|digamma| ((|#2| |#2|) "\\spad{digamma(x)} returns the digamma function applied to \\spad{x}")) (|Beta| ((|#2| |#2| |#2|) "\\spad{Beta(x,{}y)} returns the beta function applied to \\spad{x} and \\spad{y}")) (|Gamma| ((|#2| |#2| |#2|) "\\spad{Gamma(a,{}x)} returns the incomplete Gamma function applied to a and \\spad{x}") ((|#2| |#2|) "\\spad{Gamma(f)} returns the formal Gamma function applied to \\spad{f}")) (|abs| ((|#2| |#2|) "\\spad{abs(f)} returns the absolute value operator applied to \\spad{f}")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns a copy of \\spad{op} with the domain-dependent properties appropriate for \\spad{F}; error if \\spad{op} is not a special function operator")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} is \\spad{true} if \\spad{op} is a special function operator."))) 
 NIL 
 NIL 
-(-434 R -1478) 
+(-435 R -1564) 
 ((|constructor| (NIL "FunctionsSpacePrimitiveElement provides functions to compute primitive elements in functions spaces.")) (|primitiveElement| (((|Record| (|:| |primelt| |#2|) (|:| |pol1| (|SparseUnivariatePolynomial| |#2|)) (|:| |pol2| (|SparseUnivariatePolynomial| |#2|)) (|:| |prim| (|SparseUnivariatePolynomial| |#2|))) |#2| |#2|) "\\spad{primitiveElement(a1,{} a2)} returns \\spad{[a,{} q1,{} q2,{} q]} such that \\spad{k(a1,{} a2) = k(a)},{} \\spad{\\spad{ai} = \\spad{qi}(a)},{} and \\spad{q(a) = 0}. The minimal polynomial for \\spad{a2} may involve \\spad{a1},{} but the minimal polynomial for \\spad{a1} may not involve \\spad{a2}; This operations uses \\spadfun{resultant}.") (((|Record| (|:| |primelt| |#2|) (|:| |poly| (|List| (|SparseUnivariatePolynomial| |#2|))) (|:| |prim| (|SparseUnivariatePolynomial| |#2|))) (|List| |#2|)) "\\spad{primitiveElement([a1,{}...,{}an])} returns \\spad{[a,{} [q1,{}...,{}qn],{} q]} such that then \\spad{k(a1,{}...,{}an) = k(a)},{} \\spad{\\spad{ai} = \\spad{qi}(a)},{} and \\spad{q(a) = 0}. This operation uses the technique of \\spadglossSee{groebner bases}{Groebner basis}."))) 
 NIL 
 ((|HasCategory| |#2| (QUOTE (-27)))) 
-(-435 R -1478) 
+(-436 R -1564) 
 ((|constructor| (NIL "Reduction from a function space to the rational numbers This package provides function which replaces transcendental kernels in a function space by random integers. The correspondence between the kernels and the integers is fixed between calls to new().")) (|newReduc| (((|Void|)) "\\spad{newReduc()} \\undocumented")) (|bringDown| (((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) |#2| (|Kernel| |#2|)) "\\spad{bringDown(f,{}k)} \\undocumented") (((|Fraction| (|Integer|)) |#2|) "\\spad{bringDown(f)} \\undocumented"))) 
 NIL 
 NIL 
-(-436) 
+(-437) 
 ((|constructor| (NIL "Creates and manipulates objects which correspond to the basic FORTRAN data types: REAL,{} INTEGER,{} COMPLEX,{} LOGICAL and CHARACTER")) (= (((|Boolean|) $ $) "\\spad{x=y} tests for equality")) (|logical?| (((|Boolean|) $) "\\spad{logical?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type LOGICAL.")) (|character?| (((|Boolean|) $) "\\spad{character?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type CHARACTER.")) (|doubleComplex?| (((|Boolean|) $) "\\spad{doubleComplex?(t)} tests whether \\spad{t} is equivalent to the (non-standard) FORTRAN type DOUBLE COMPLEX.")) (|complex?| (((|Boolean|) $) "\\spad{complex?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type COMPLEX.")) (|integer?| (((|Boolean|) $) "\\spad{integer?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type INTEGER.")) (|double?| (((|Boolean|) $) "\\spad{double?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type DOUBLE PRECISION")) (|real?| (((|Boolean|) $) "\\spad{real?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type REAL.")) (|coerce| (((|SExpression|) $) "\\spad{coerce(x)} returns the \\spad{s}-expression associated with \\spad{x}") (((|Symbol|) $) "\\spad{coerce(x)} returns the symbol associated with \\spad{x}") (($ (|Symbol|)) "\\spad{coerce(s)} transforms the symbol \\spad{s} into an element of FortranScalarType provided \\spad{s} is one of real,{} complex,{}double precision,{} logical,{} integer,{} character,{} REAL,{} COMPLEX,{} LOGICAL,{} INTEGER,{} CHARACTER,{} DOUBLE PRECISION") (($ (|String|)) "\\spad{coerce(s)} transforms the string \\spad{s} into an element of FortranScalarType provided \\spad{s} is one of \"real\",{} \"double precision\",{} \"complex\",{} \"logical\",{} \"integer\",{} \"character\",{} \"REAL\",{} \"COMPLEX\",{} \"LOGICAL\",{} \"INTEGER\",{} \"CHARACTER\",{} \"DOUBLE PRECISION\""))) 
 NIL 
 NIL 
-(-437 R -1478 UP) 
+(-438 R -1564 UP) 
 ((|constructor| (NIL "This package is used internally by IR2F")) (|anfactor| (((|Union| (|Factored| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) "failed") |#3|) "\\spad{anfactor(p)} tries to factor \\spad{p} over algebraic numbers,{} returning \"failed\" if it cannot")) (|UP2ifCan| (((|Union| (|:| |overq| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|:| |overan| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) (|:| |failed| (|Boolean|))) |#3|) "\\spad{UP2ifCan(x)} should be local but conditional.")) (|qfactor| (((|Union| (|Factored| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) "failed") |#3|) "\\spad{qfactor(p)} tries to factor \\spad{p} over fractions of integers,{} returning \"failed\" if it cannot")) (|ffactor| (((|Factored| |#3|) |#3|) "\\spad{ffactor(p)} tries to factor a univariate polynomial \\spad{p} over \\spad{F}"))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-53))))) 
-(-438) 
+((|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-53))))) 
+(-439) 
 ((|constructor| (NIL "Code to manipulate Fortran templates")) (|fortranCarriageReturn| (((|Void|)) "\\spad{fortranCarriageReturn()} produces a carriage return on the current Fortran output stream")) (|fortranLiteral| (((|Void|) (|String|)) "\\spad{fortranLiteral(s)} writes \\spad{s} to the current Fortran output stream")) (|fortranLiteralLine| (((|Void|) (|String|)) "\\spad{fortranLiteralLine(s)} writes \\spad{s} to the current Fortran output stream,{} followed by a carriage return")) (|processTemplate| (((|FileName|) (|FileName|)) "\\spad{processTemplate(tp)} processes the template \\spad{tp},{} writing the result to the current FORTRAN output stream.") (((|FileName|) (|FileName|) (|FileName|)) "\\spad{processTemplate(tp,{}fn)} processes the template \\spad{tp},{} writing the result out to \\spad{fn}."))) 
 NIL 
 NIL 
-(-439) 
+(-440) 
 ((|constructor| (NIL "Creates and manipulates objects which correspond to FORTRAN data types,{} including array dimensions.")) (|fortranCharacter| (($) "\\spad{fortranCharacter()} returns CHARACTER,{} an element of FortranType")) (|fortranDoubleComplex| (($) "\\spad{fortranDoubleComplex()} returns DOUBLE COMPLEX,{} an element of FortranType")) (|fortranComplex| (($) "\\spad{fortranComplex()} returns COMPLEX,{} an element of FortranType")) (|fortranLogical| (($) "\\spad{fortranLogical()} returns LOGICAL,{} an element of FortranType")) (|fortranInteger| (($) "\\spad{fortranInteger()} returns INTEGER,{} an element of FortranType")) (|fortranDouble| (($) "\\spad{fortranDouble()} returns DOUBLE PRECISION,{} an element of FortranType")) (|fortranReal| (($) "\\spad{fortranReal()} returns REAL,{} an element of FortranType")) (|construct| (($ (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) (|List| (|Polynomial| (|Integer|))) (|Boolean|)) "\\spad{construct(type,{}dims)} creates an element of FortranType") (($ (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) (|List| (|Symbol|)) (|Boolean|)) "\\spad{construct(type,{}dims)} creates an element of FortranType")) (|external?| (((|Boolean|) $) "\\spad{external?(u)} returns \\spad{true} if \\spad{u} is declared to be EXTERNAL")) (|dimensionsOf| (((|List| (|Polynomial| (|Integer|))) $) "\\spad{dimensionsOf(t)} returns the dimensions of \\spad{t}")) (|scalarTypeOf| (((|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) $) "\\spad{scalarTypeOf(t)} returns the FORTRAN data type of \\spad{t}")) (|coerce| (($ (|FortranScalarType|)) "\\spad{coerce(t)} creates an element from a scalar type") (((|OutputForm|) $) "\\spad{coerce(x)} provides a printable form for \\spad{x}"))) 
 NIL 
 NIL 
-(-440 |f|) 
+(-441 |f|) 
 ((|constructor| (NIL "This domain implements named functions")) (|name| (((|Symbol|) $) "\\spad{name(x)} returns the symbol"))) 
 NIL 
 NIL 
-(-441) 
+(-442) 
 ((|constructor| (NIL "\\axiomType{FortranVectorCategory} provides support for producing Functions and Subroutines when the input to these is an AXIOM object of type \\axiomType{Vector} or in domains involving \\axiomType{FortranCode}.")) (|coerce| (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(e)} takes the component of \\spad{e} from \\spadtype{List FortranCode} and uses it as the body of the ASP,{} making the declarations in the \\spadtype{SymbolTable} component.") (($ (|FortranCode|)) "\\spad{coerce(e)} takes an object from \\spadtype{FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|List| (|FortranCode|))) "\\spad{coerce(e)} takes an object from \\spadtype{List FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|Vector| (|MachineFloat|))) "\\spad{coerce(v)} produces an ASP which returns the value of \\spad{v}."))) 
-((-3973 . T)) 
+((-2982 . T)) 
 NIL 
-(-442) 
+(-443) 
 ((|constructor| (NIL "\\axiomType{FortranVectorFunctionCategory} is the catagory of arguments to NAG Library routines which return the values of vectors of functions.")) (|retractIfCan| (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Float|))))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Vector| (|Polynomial| (|Integer|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Vector| (|Polynomial| (|Float|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Vector| (|Expression| (|Integer|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Vector| (|Expression| (|Float|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}")) (|retract| (($ (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Vector| (|Fraction| (|Polynomial| (|Float|))))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Vector| (|Polynomial| (|Integer|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Vector| (|Polynomial| (|Float|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Vector| (|Expression| (|Integer|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Vector| (|Expression| (|Float|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}")) (|coerce| (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(e)} takes the component of \\spad{e} from \\spadtype{List FortranCode} and uses it as the body of the ASP,{} making the declarations in the \\spadtype{SymbolTable} component.") (($ (|FortranCode|)) "\\spad{coerce(e)} takes an object from \\spadtype{FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|List| (|FortranCode|))) "\\spad{coerce(e)} takes an object from \\spadtype{List FortranCode} and \\indented{1}{uses it as the body of an ASP.}"))) 
-((-3973 . T)) 
+((-2982 . T)) 
 NIL 
-(-443 UP) 
+(-444 UP) 
 ((|constructor| (NIL "\\spadtype{GaloisGroupFactorizer} provides functions to factor resolvents.")) (|btwFact| (((|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|)))))) |#1| (|Boolean|) (|Set| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{btwFact(p,{}sqf,{}pd,{}r)} returns the factorization of \\spad{p},{} the result is a Record such that \\spad{contp=}content \\spad{p},{} \\spad{factors=}List of irreducible factors of \\spad{p} with exponent. If \\spad{sqf=true} the polynomial is assumed to be square free (\\spadignore{i.e.} without repeated factors). \\spad{pd} is the \\spadtype{Set} of possible degrees. \\spad{r} is a lower bound for the number of factors of \\spad{p}. Please do not use this function in your code because its design may change.")) (|henselFact| (((|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|)))))) |#1| (|Boolean|)) "\\spad{henselFact(p,{}sqf)} returns the factorization of \\spad{p},{} the result is a Record such that \\spad{contp=}content \\spad{p},{} \\spad{factors=}List of irreducible factors of \\spad{p} with exponent. If \\spad{sqf=true} the polynomial is assumed to be square free (\\spadignore{i.e.} without repeated factors).")) (|factorOfDegree| (((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|) (|Boolean|)) "\\spad{factorOfDegree(d,{}p,{}listOfDegrees,{}r,{}sqf)} returns a factor of \\spad{p} of degree \\spad{d} knowing that \\spad{p} has for possible splitting of its degree \\spad{listOfDegrees},{} and that \\spad{p} has at least \\spad{r} factors. If \\spad{sqf=true} the polynomial is assumed to be square free (\\spadignore{i.e.} without repeated factors).") (((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{factorOfDegree(d,{}p,{}listOfDegrees,{}r)} returns a factor of \\spad{p} of degree \\spad{d} knowing that \\spad{p} has for possible splitting of its degree \\spad{listOfDegrees},{} and that \\spad{p} has at least \\spad{r} factors.") (((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|List| (|NonNegativeInteger|))) "\\spad{factorOfDegree(d,{}p,{}listOfDegrees)} returns a factor of \\spad{p} of degree \\spad{d} knowing that \\spad{p} has for possible splitting of its degree \\spad{listOfDegrees}.") (((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|NonNegativeInteger|)) "\\spad{factorOfDegree(d,{}p,{}r)} returns a factor of \\spad{p} of degree \\spad{d} knowing that \\spad{p} has at least \\spad{r} factors.") (((|Union| |#1| "failed") (|PositiveInteger|) |#1|) "\\spad{factorOfDegree(d,{}p)} returns a factor of \\spad{p} of degree \\spad{d}.")) (|factorSquareFree| (((|Factored| |#1|) |#1| (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{factorSquareFree(p,{}d,{}r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm,{} knowing that \\spad{d} divides the degree of all factors of \\spad{p} and that \\spad{p} has at least \\spad{r} factors. \\spad{f} is supposed not having any repeated factor (this is not checked).") (((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{factorSquareFree(p,{}listOfDegrees,{}r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm,{} knowing that \\spad{p} has for possible splitting of its degree \\spad{listOfDegrees} and that \\spad{p} has at least \\spad{r} factors. \\spad{f} is supposed not having any repeated factor (this is not checked).") (((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|))) "\\spad{factorSquareFree(p,{}listOfDegrees)} factorizes the polynomial \\spad{p} using the single factor bound algorithm and knowing that \\spad{p} has for possible splitting of its degree \\spad{listOfDegrees}. \\spad{f} is supposed not having any repeated factor (this is not checked).") (((|Factored| |#1|) |#1| (|NonNegativeInteger|)) "\\spad{factorSquareFree(p,{}r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm and knowing that \\spad{p} has at least \\spad{r} factors. \\spad{f} is supposed not having any repeated factor (this is not checked).") (((|Factored| |#1|) |#1|) "\\spad{factorSquareFree(p)} returns the factorization of \\spad{p} which is supposed not having any repeated factor (this is not checked).")) (|factor| (((|Factored| |#1|) |#1| (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{factor(p,{}d,{}r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm,{} knowing that \\spad{d} divides the degree of all factors of \\spad{p} and that \\spad{p} has at least \\spad{r} factors.") (((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{factor(p,{}listOfDegrees,{}r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm,{} knowing that \\spad{p} has for possible splitting of its degree \\spad{listOfDegrees} and that \\spad{p} has at least \\spad{r} factors.") (((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|))) "\\spad{factor(p,{}listOfDegrees)} factorizes the polynomial \\spad{p} using the single factor bound algorithm and knowing that \\spad{p} has for possible splitting of its degree \\spad{listOfDegrees}.") (((|Factored| |#1|) |#1| (|NonNegativeInteger|)) "\\spad{factor(p,{}r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm and knowing that \\spad{p} has at least \\spad{r} factors.") (((|Factored| |#1|) |#1|) "\\spad{factor(p)} returns the factorization of \\spad{p} over the integers.")) (|tryFunctionalDecomposition| (((|Boolean|) (|Boolean|)) "\\spad{tryFunctionalDecomposition(b)} chooses whether factorizers have to look for functional decomposition of polynomials (\\spad{true}) or not (\\spad{false}). Returns the previous value.")) (|tryFunctionalDecomposition?| (((|Boolean|)) "\\spad{tryFunctionalDecomposition?()} returns \\spad{true} if factorizers try functional decomposition of polynomials before factoring them.")) (|eisensteinIrreducible?| (((|Boolean|) |#1|) "\\spad{eisensteinIrreducible?(p)} returns \\spad{true} if \\spad{p} can be shown to be irreducible by Eisenstein\\spad{'s} criterion,{} \\spad{false} is inconclusive.")) (|useEisensteinCriterion| (((|Boolean|) (|Boolean|)) "\\spad{useEisensteinCriterion(b)} chooses whether factorizers check Eisenstein\\spad{'s} criterion before factoring: \\spad{true} for using it,{} \\spad{false} else. Returns the previous value.")) (|useEisensteinCriterion?| (((|Boolean|)) "\\spad{useEisensteinCriterion?()} returns \\spad{true} if factorizers check Eisenstein\\spad{'s} criterion before factoring.")) (|useSingleFactorBound| (((|Boolean|) (|Boolean|)) "\\spad{useSingleFactorBound(b)} chooses the algorithm to be used by the factorizers: \\spad{true} for algorithm with single factor bound,{} \\spad{false} for algorithm with overall bound. Returns the previous value.")) (|useSingleFactorBound?| (((|Boolean|)) "\\spad{useSingleFactorBound?()} returns \\spad{true} if algorithm with single factor bound is used for factorization,{} \\spad{false} for algorithm with overall bound.")) (|modularFactor| (((|Record| (|:| |prime| (|Integer|)) (|:| |factors| (|List| |#1|))) |#1|) "\\spad{modularFactor(f)} chooses a \"good\" prime and returns the factorization of \\spad{f} modulo this prime in a form that may be used by completeHensel. If prime is zero it means that \\spad{f} has been proved to be irreducible over the integers or that \\spad{f} is a unit (\\spadignore{i.e.} 1 or \\spad{-1}). \\spad{f} shall be primitive (\\spadignore{i.e.} content(\\spad{p})\\spad{=1}) and square free (\\spadignore{i.e.} without repeated factors).")) (|numberOfFactors| (((|NonNegativeInteger|) (|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|))))) "\\spad{numberOfFactors(ddfactorization)} returns the number of factors of the polynomial \\spad{f} modulo \\spad{p} where \\spad{ddfactorization} is the distinct degree factorization of \\spad{f} computed by ddFact for some prime \\spad{p}.")) (|stopMusserTrials| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{stopMusserTrials(n)} sets to \\spad{n} the bound on the number of factors for which \\spadfun{modularFactor} stops to look for an other prime. You will have to remember that the step of recombining the extraneous factors may take up to \\spad{2**n} trials. Returns the previous value.") (((|PositiveInteger|)) "\\spad{stopMusserTrials()} returns the bound on the number of factors for which \\spadfun{modularFactor} stops to look for an other prime. You will have to remember that the step of recombining the extraneous factors may take up to \\spad{2**stopMusserTrials()} trials.")) (|musserTrials| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{musserTrials(n)} sets to \\spad{n} the number of primes to be tried in \\spadfun{modularFactor} and returns the previous value.") (((|PositiveInteger|)) "\\spad{musserTrials()} returns the number of primes that are tried in \\spadfun{modularFactor}.")) (|degreePartition| (((|Multiset| (|NonNegativeInteger|)) (|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|))))) "\\spad{degreePartition(ddfactorization)} returns the degree partition of the polynomial \\spad{f} modulo \\spad{p} where \\spad{ddfactorization} is the distinct degree factorization of \\spad{f} computed by ddFact for some prime \\spad{p}.")) (|makeFR| (((|Factored| |#1|) (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|))))))) "\\spad{makeFR(flist)} turns the final factorization of henselFact into a \\spadtype{Factored} object."))) 
 NIL 
 NIL 
-(-444 R UP -1478) 
+(-445 R UP -1564) 
 ((|constructor| (NIL "\\spadtype{GaloisGroupFactorizationUtilities} provides functions that will be used by the factorizer.")) (|length| ((|#3| |#2|) "\\spad{length(p)} returns the sum of the absolute values of the coefficients of the polynomial \\spad{p}.")) (|height| ((|#3| |#2|) "\\spad{height(p)} returns the maximal absolute value of the coefficients of the polynomial \\spad{p}.")) (|infinityNorm| ((|#3| |#2|) "\\spad{infinityNorm(f)} returns the maximal absolute value of the coefficients of the polynomial \\spad{f}.")) (|quadraticNorm| ((|#3| |#2|) "\\spad{quadraticNorm(f)} returns the \\spad{l2} norm of the polynomial \\spad{f}.")) (|norm| ((|#3| |#2| (|PositiveInteger|)) "\\spad{norm(f,{}p)} returns the \\spad{lp} norm of the polynomial \\spad{f}.")) (|singleFactorBound| (((|Integer|) |#2|) "\\spad{singleFactorBound(p,{}r)} returns a bound on the infinite norm of the factor of \\spad{p} with smallest Bombieri\\spad{'s} norm. \\spad{p} shall be of degree higher or equal to 2.") (((|Integer|) |#2| (|NonNegativeInteger|)) "\\spad{singleFactorBound(p,{}r)} returns a bound on the infinite norm of the factor of \\spad{p} with smallest Bombieri\\spad{'s} norm. \\spad{r} is a lower bound for the number of factors of \\spad{p}. \\spad{p} shall be of degree higher or equal to 2.")) (|rootBound| (((|Integer|) |#2|) "\\spad{rootBound(p)} returns a bound on the largest norm of the complex roots of \\spad{p}.")) (|bombieriNorm| ((|#3| |#2| (|PositiveInteger|)) "\\spad{bombieriNorm(p,{}n)} returns the \\spad{n}th Bombieri\\spad{'s} norm of \\spad{p}.") ((|#3| |#2|) "\\spad{bombieriNorm(p)} returns quadratic Bombieri\\spad{'s} norm of \\spad{p}.")) (|beauzamyBound| (((|Integer|) |#2|) "\\spad{beauzamyBound(p)} returns a bound on the larger coefficient of any factor of \\spad{p}."))) 
 NIL 
 NIL 
-(-445 R UP) 
+(-446 R UP) 
 ((|constructor| (NIL "\\spadtype{GaloisGroupPolynomialUtilities} provides useful functions for univariate polynomials which should be added to \\spadtype{UnivariatePolynomialCategory} or to \\spadtype{Factored}")) (|factorsOfDegree| (((|List| |#2|) (|PositiveInteger|) (|Factored| |#2|)) "\\spad{factorsOfDegree(d,{}f)} returns the factors of degree \\spad{d} of the factored polynomial \\spad{f}.")) (|factorOfDegree| ((|#2| (|PositiveInteger|) (|Factored| |#2|)) "\\spad{factorOfDegree(d,{}f)} returns a factor of degree \\spad{d} of the factored polynomial \\spad{f}. Such a factor shall exist.")) (|degreePartition| (((|Multiset| (|NonNegativeInteger|)) (|Factored| |#2|)) "\\spad{degreePartition(f)} returns the degree partition (\\spadignore{i.e.} the multiset of the degrees of the irreducible factors) of the polynomial \\spad{f}.")) (|shiftRoots| ((|#2| |#2| |#1|) "\\spad{shiftRoots(p,{}c)} returns the polynomial which has for roots \\spad{c} added to the roots of \\spad{p}.")) (|scaleRoots| ((|#2| |#2| |#1|) "\\spad{scaleRoots(p,{}c)} returns the polynomial which has \\spad{c} times the roots of \\spad{p}.")) (|reverse| ((|#2| |#2|) "\\spad{reverse(p)} returns the reverse polynomial of \\spad{p}.")) (|unvectorise| ((|#2| (|Vector| |#1|)) "\\spad{unvectorise(v)} returns the polynomial which has for coefficients the entries of \\spad{v} in the increasing order.")) (|monic?| (((|Boolean|) |#2|) "\\spad{monic?(p)} tests if \\spad{p} is monic (\\spadignore{i.e.} leading coefficient equal to 1)."))) 
 NIL 
 NIL 
-(-446 R) 
+(-447 R) 
 ((|constructor| (NIL "\\spadtype{GaloisGroupUtilities} provides several useful functions.")) (|safetyMargin| (((|NonNegativeInteger|)) "\\spad{safetyMargin()} returns the number of low weight digits we do not trust in the floating point representation (used by \\spadfun{safeCeiling}).") (((|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{safetyMargin(n)} sets to \\spad{n} the number of low weight digits we do not trust in the floating point representation and returns the previous value (for use by \\spadfun{safeCeiling}).")) (|safeFloor| (((|Integer|) |#1|) "\\spad{safeFloor(x)} returns the integer which is lower or equal to the largest integer which has the same floating point number representation.")) (|safeCeiling| (((|Integer|) |#1|) "\\spad{safeCeiling(x)} returns the integer which is greater than any integer with the same floating point number representation.")) (|fillPascalTriangle| (((|Void|)) "\\spad{fillPascalTriangle()} fills the stored table.")) (|sizePascalTriangle| (((|NonNegativeInteger|)) "\\spad{sizePascalTriangle()} returns the number of entries currently stored in the table.")) (|rangePascalTriangle| (((|NonNegativeInteger|)) "\\spad{rangePascalTriangle()} returns the maximal number of lines stored.") (((|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{rangePascalTriangle(n)} sets the maximal number of lines which are stored and returns the previous value.")) (|pascalTriangle| ((|#1| (|NonNegativeInteger|) (|Integer|)) "\\spad{pascalTriangle(n,{}r)} returns the binomial coefficient \\spad{C(n,{}r)=n!/(r! (n-r)!)} and stores it in a table to prevent recomputation."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-406)))) 
-(-447) 
+((|HasCategory| |#1| (QUOTE (-407)))) 
+(-448) 
 ((|constructor| (NIL "Package for the factorization of complex or gaussian integers.")) (|prime?| (((|Boolean|) (|Complex| (|Integer|))) "\\spad{prime?(\\spad{zi})} tests if the complex integer \\spad{zi} is prime.")) (|sumSquares| (((|List| (|Integer|)) (|Integer|)) "\\spad{sumSquares(p)} construct \\spad{a} and \\spad{b} such that \\spad{a**2+b**2} is equal to the integer prime \\spad{p},{} and otherwise returns an error. It will succeed if the prime number \\spad{p} is 2 or congruent to 1 mod 4.")) (|factor| (((|Factored| (|Complex| (|Integer|))) (|Complex| (|Integer|))) "\\spad{factor(\\spad{zi})} produces the complete factorization of the complex integer \\spad{zi}."))) 
 NIL 
 NIL 
-(-448 |Dom| |Expon| |VarSet| |Dpol|) 
+(-449 |Dom| |Expon| |VarSet| |Dpol|) 
 ((|constructor| (NIL "\\spadtype{EuclideanGroebnerBasisPackage} computes groebner bases for polynomial ideals over euclidean domains. The basic computation provides a distinguished set of generators for these ideals. This basis allows an easy test for membership: the operation \\spadfun{euclideanNormalForm} returns zero on ideal members. The string \"info\" and \"redcrit\" can be given as additional args to provide incremental information during the computation. If \"info\" is given,{} a computational summary is given for each \\spad{s}-polynomial. If \"redcrit\" is given,{} the reduced critical pairs are printed. The term ordering is determined by the polynomial type used. Suggested types include \\spadtype{DistributedMultivariatePolynomial},{} \\spadtype{HomogeneousDistributedMultivariatePolynomial},{} \\spadtype{GeneralDistributedMultivariatePolynomial}.")) (|euclideanGroebner| (((|List| |#4|) (|List| |#4|) (|String|) (|String|)) "\\indented{1}{euclideanGroebner(\\spad{lp},{} \"info\",{} \"redcrit\") computes a groebner basis} \\indented{1}{for a polynomial ideal generated by the list of polynomials \\spad{lp}.} \\indented{1}{If the second argument is \"info\",{}} \\indented{1}{a summary is given of the critical pairs.} \\indented{1}{If the third argument is \"redcrit\",{} critical pairs are printed.} \\blankline \\spad{X} a1:DMP([\\spad{y},{}\\spad{x}],{}INT)\\spad{:=} (9*x**2 + 5*x - 3)+ \\spad{y*}(3*x**2 + 2*x + 1) \\spad{X} a2:DMP([\\spad{y},{}\\spad{x}],{}INT)\\spad{:=} (6*x**3 - 2*x**2 - 3*x \\spad{+3}) + \\spad{y*}(2*x**3 - \\spad{x} - 1) \\spad{X} a3:DMP([\\spad{y},{}\\spad{x}],{}INT)\\spad{:=} (3*x**3 + 2*x**2) + \\spad{y*}(\\spad{x**3} + \\spad{x**2}) \\spad{X} an:=[\\spad{a1},{}\\spad{a2},{}\\spad{a3}] \\spad{X} euclideanGroebner(an,{}\"info\",{}\"redcrit\")") (((|List| |#4|) (|List| |#4|) (|String|)) "\\indented{1}{euclideanGroebner(\\spad{lp},{} infoflag) computes a groebner basis} \\indented{1}{for a polynomial ideal over a euclidean domain} \\indented{1}{generated by the list of polynomials \\spad{lp}.} \\indented{1}{During computation,{} additional information is printed out} \\indented{1}{if infoflag is given as} \\indented{1}{either \"info\" (for summary information) or} \\indented{1}{\"redcrit\" (for reduced critical pairs)} \\blankline \\spad{X} a1:DMP([\\spad{y},{}\\spad{x}],{}INT)\\spad{:=} (9*x**2 + 5*x - 3)+ \\spad{y*}(3*x**2 + 2*x + 1) \\spad{X} a2:DMP([\\spad{y},{}\\spad{x}],{}INT)\\spad{:=} (6*x**3 - 2*x**2 - 3*x \\spad{+3}) + \\spad{y*}(2*x**3 - \\spad{x} - 1) \\spad{X} a3:DMP([\\spad{y},{}\\spad{x}],{}INT)\\spad{:=} (3*x**3 + 2*x**2) + \\spad{y*}(\\spad{x**3} + \\spad{x**2}) \\spad{X} an:=[\\spad{a1},{}\\spad{a2},{}\\spad{a3}] \\spad{X} euclideanGroebner(an,{}\"redcrit\") \\spad{X} euclideanGroebner(an,{}\"info\")") (((|List| |#4|) (|List| |#4|)) "\\indented{1}{euclideanGroebner(\\spad{lp}) computes a groebner basis for a polynomial} \\indented{1}{ideal over a euclidean domain generated by the list of polys \\spad{lp}.} \\blankline \\spad{X} a1:DMP([\\spad{y},{}\\spad{x}],{}INT)\\spad{:=} (9*x**2 + 5*x - 3)+ \\spad{y*}(3*x**2 + 2*x + 1) \\spad{X} a2:DMP([\\spad{y},{}\\spad{x}],{}INT)\\spad{:=} (6*x**3 - 2*x**2 - 3*x \\spad{+3}) + \\spad{y*}(2*x**3 - \\spad{x} - 1) \\spad{X} a3:DMP([\\spad{y},{}\\spad{x}],{}INT)\\spad{:=} (3*x**3 + 2*x**2) + \\spad{y*}(\\spad{x**3} + \\spad{x**2}) \\spad{X} an:=[\\spad{a1},{}\\spad{a2},{}\\spad{a3}] \\spad{X} euclideanGroebner(an)")) (|euclideanNormalForm| ((|#4| |#4| (|List| |#4|)) "\\spad{euclideanNormalForm(poly,{}gb)} reduces the polynomial \\spad{poly} modulo the precomputed groebner basis \\spad{gb} giving a canonical representative of the residue class."))) 
 NIL 
 NIL 
-(-449 |Dom| |Expon| |VarSet| |Dpol|) 
+(-450 |Dom| |Expon| |VarSet| |Dpol|) 
 ((|constructor| (NIL "\\spadtype{GroebnerFactorizationPackage} provides the function groebnerFactor\" which uses the factorization routines of \\Language{} to factor each polynomial under consideration while doing the groebner basis algorithm. Then it writes the ideal as an intersection of ideals determined by the irreducible factors. Note that the whole ring may occur as well as other redundancies. We also use the fact,{} that from the second factor on we can assume that the preceding factors are not equal to 0 and we divide all polynomials under considerations by the elements of this list of \"nonZeroRestrictions\". The result is a list of groebner bases,{} whose union of solutions of the corresponding systems of equations is the solution of the system of equation corresponding to the input list. The term ordering is determined by the polynomial type used. Suggested types include \\spadtype{DistributedMultivariatePolynomial},{} \\spadtype{HomogeneousDistributedMultivariatePolynomial},{} \\spadtype{GeneralDistributedMultivariatePolynomial}.")) (|groebnerFactorize| (((|List| (|List| |#4|)) (|List| |#4|) (|Boolean|)) "\\spad{groebnerFactorize(listOfPolys,{} info)} returns a list of groebner bases. The union of their solutions is the solution of the system of equations given by \\spad{listOfPolys}. At each stage the polynomial \\spad{p} under consideration (either from the given basis or obtained from a reduction of the next \\spad{S}-polynomial) is factorized. For each irreducible factors of \\spad{p},{} a new createGroebnerBasis is started doing the usual updates with the factor in place of \\spad{p}. If info is \\spad{true},{} information is printed about partial results.") (((|List| (|List| |#4|)) (|List| |#4|)) "\\indented{1}{groebnerFactorize(listOfPolys) returns} \\indented{1}{a list of groebner bases. The union of their solutions} \\indented{1}{is the solution of the system of equations given by listOfPolys.} \\indented{1}{At each stage the polynomial \\spad{p} under consideration (either from} \\indented{1}{the given basis or obtained from a reduction of the next \\spad{S}-polynomial)} \\indented{1}{is factorized. For each irreducible factors of \\spad{p},{} a} \\indented{1}{new createGroebnerBasis is started} \\indented{1}{doing the usual updates with the factor} \\indented{1}{in place of \\spad{p}.} \\blankline \\spad{X} mfzn : SQMATRIX(6,{}\\spad{DMP}([\\spad{x},{}\\spad{y},{}\\spad{z}],{}Fraction INT)) \\spad{:=} \\spad{++X} [ [0,{}1,{}1,{}1,{}1,{}1],{} [1,{}0,{}1,{}8/3,{}\\spad{x},{}8/3],{} [1,{}1,{}0,{}1,{}8/3,{}\\spad{y}],{} \\spad{++X} [1,{}8/3,{}1,{}0,{}1,{}8/3],{} [1,{}\\spad{x},{}8/3,{}1,{}0,{}1],{} [1,{}8/3,{}\\spad{y},{}8/3,{}1,{}0] ] \\spad{X} eq \\spad{:=} determinant mfzn \\spad{X} groebnerFactorize \\spad{++X} [eq,{}eval(eq,{} [\\spad{x},{}\\spad{y},{}\\spad{z}],{}[\\spad{y},{}\\spad{z},{}\\spad{x}]),{} eval(eq,{}[\\spad{x},{}\\spad{y},{}\\spad{z}],{}[\\spad{z},{}\\spad{x},{}\\spad{y}])]") (((|List| (|List| |#4|)) (|List| |#4|) (|List| |#4|) (|Boolean|)) "\\spad{groebnerFactorize(listOfPolys,{} nonZeroRestrictions,{} info)} returns a list of groebner basis. The union of their solutions is the solution of the system of equations given by \\spad{listOfPolys} under the restriction that the polynomials of \\spad{nonZeroRestrictions} don\\spad{'t} vanish. At each stage the polynomial \\spad{p} under consideration (either from the given basis or obtained from a reduction of the next \\spad{S}-polynomial) is factorized. For each irreducible factors of \\spad{p} a new createGroebnerBasis is started doing the usual updates with the factor in place of \\spad{p}. If argument info is \\spad{true},{} information is printed about partial results.") (((|List| (|List| |#4|)) (|List| |#4|) (|List| |#4|)) "\\spad{groebnerFactorize(listOfPolys,{} nonZeroRestrictions)} returns a list of groebner basis. The union of their solutions is the solution of the system of equations given by \\spad{listOfPolys} under the restriction that the polynomials of nonZeroRestrictions don\\spad{'t} vanish. At each stage the polynomial \\spad{p} under consideration (either from the given basis or obtained from a reduction of the next \\spad{S}-polynomial) is factorized. For each irreducible factors of \\spad{p},{} a new createGroebnerBasis is started doing the usual updates with the factor in place of \\spad{p}.")) (|factorGroebnerBasis| (((|List| (|List| |#4|)) (|List| |#4|) (|Boolean|)) "\\spad{factorGroebnerBasis(basis,{}info)} checks whether the \\spad{basis} contains reducible polynomials and uses these to split the \\spad{basis}. If argument \\spad{info} is \\spad{true},{} information is printed about partial results.") (((|List| (|List| |#4|)) (|List| |#4|)) "\\spad{factorGroebnerBasis(basis)} checks whether the \\spad{basis} contains reducible polynomials and uses these to split the \\spad{basis}."))) 
 NIL 
 NIL 
-(-450 |Dom| |Expon| |VarSet| |Dpol|) 
+(-451 |Dom| |Expon| |VarSet| |Dpol|) 
 ((|constructor| (NIL "This package provides low level tools for Groebner basis computations")) (|virtualDegree| (((|NonNegativeInteger|) |#4|) "\\spad{virtualDegree }\\undocumented")) (|makeCrit| (((|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| |#4|)) |#4| (|NonNegativeInteger|)) "\\spad{makeCrit }\\undocumented")) (|critpOrder| (((|Boolean|) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) "\\spad{critpOrder }\\undocumented")) (|prinb| (((|Void|) (|Integer|)) "\\spad{prinb }\\undocumented")) (|prinpolINFO| (((|Void|) (|List| |#4|)) "\\spad{prinpolINFO }\\undocumented")) (|fprindINFO| (((|Integer|) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{fprindINFO }\\undocumented")) (|prindINFO| (((|Integer|) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (|Integer|) (|Integer|) (|Integer|)) "\\spad{prindINFO }\\undocumented")) (|prinshINFO| (((|Void|) |#4|) "\\spad{prinshINFO }\\undocumented")) (|lepol| (((|Integer|) |#4|) "\\spad{lepol }\\undocumented")) (|minGbasis| (((|List| |#4|) (|List| |#4|)) "\\spad{minGbasis }\\undocumented")) (|updatD| (((|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) "\\spad{updatD }\\undocumented")) (|sPol| ((|#4| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) "\\spad{sPol }\\undocumented")) (|updatF| (((|List| (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| |#4|))) |#4| (|NonNegativeInteger|) (|List| (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| |#4|)))) "\\spad{updatF }\\undocumented")) (|hMonic| ((|#4| |#4|) "\\spad{hMonic }\\undocumented")) (|redPo| (((|Record| (|:| |poly| |#4|) (|:| |mult| |#1|)) |#4| (|List| |#4|)) "\\spad{redPo }\\undocumented")) (|critMonD1| (((|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#2| (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) "\\spad{critMonD1 }\\undocumented")) (|critMTonD1| (((|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) "\\spad{critMTonD1 }\\undocumented")) (|critBonD| (((|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#4| (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) "\\spad{critBonD }\\undocumented")) (|critB| (((|Boolean|) |#2| |#2| |#2| |#2|) "\\spad{critB }\\undocumented")) (|critM| (((|Boolean|) |#2| |#2|) "\\spad{critM }\\undocumented")) (|critT| (((|Boolean|) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) "\\spad{critT }\\undocumented")) (|gbasis| (((|List| |#4|) (|List| |#4|) (|Integer|) (|Integer|)) "\\spad{gbasis }\\undocumented")) (|redPol| ((|#4| |#4| (|List| |#4|)) "\\spad{redPol }\\undocumented")) (|credPol| ((|#4| |#4| (|List| |#4|)) "\\spad{credPol }\\undocumented"))) 
 NIL 
 NIL 
-(-451 |Dom| |Expon| |VarSet| |Dpol|) 
+(-452 |Dom| |Expon| |VarSet| |Dpol|) 
 ((|constructor| (NIL "\\spadtype{GroebnerPackage} computes groebner bases for polynomial ideals. The basic computation provides a distinguished set of generators for polynomial ideals over fields. This basis allows an easy test for membership: the operation \\spadfun{normalForm} returns zero on ideal members. When the provided coefficient domain,{} Dom,{} is not a field,{} the result is equivalent to considering the extended ideal with \\spadtype{Fraction(Dom)} as coefficients,{} but considerably more efficient since all calculations are performed in Dom. Additional argument \"info\" and \"redcrit\" can be given to provide incremental information during computation. Argument \"info\" produces a computational summary for each \\spad{s}-polynomial. Argument \"redcrit\" prints out the reduced critical pairs. The term ordering is determined by the polynomial type used. Suggested types include \\spadtype{DistributedMultivariatePolynomial},{} \\spadtype{HomogeneousDistributedMultivariatePolynomial},{} \\spadtype{GeneralDistributedMultivariatePolynomial}.")) (|normalForm| ((|#4| |#4| (|List| |#4|)) "\\spad{normalForm(poly,{}gb)} reduces the polynomial \\spad{poly} modulo the precomputed groebner basis \\spad{gb} giving a canonical representative of the residue class.")) (|groebner| (((|List| |#4|) (|List| |#4|) (|String|) (|String|)) "\\indented{1}{groebner(\\spad{lp},{} \"info\",{} \"redcrit\") computes a groebner basis} \\indented{1}{for a polynomial ideal generated by the list of polynomials \\spad{lp},{}} \\indented{1}{displaying both a summary of the critical pairs considered (\"info\")} \\indented{1}{and the result of reducing each critical pair (\"redcrit\").} \\indented{1}{If the second or third arguments have any other string value,{}} \\indented{1}{the indicated information is suppressed.} \\blankline \\spad{X} s1:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} 45*p + 35*s - 165*b - 36 \\spad{X} s2:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} 35*p + 40*z + 25*t - 27*s \\spad{X} s3:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} 15*w + 25*p*s + 30*z - 18*t - 165*b**2 \\spad{X} s4:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} -9*w + 15*p*t + 20*z*s \\spad{X} s5:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} \\spad{w*p} + 2*z*t - 11*b**3 \\spad{X} s6:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} 99*w - 11*b*s + 3*b**2 \\spad{X} s7:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} \\spad{b**2} + 33/50*b + 2673/10000 \\spad{X} sn7:=[\\spad{s1},{}\\spad{s2},{}\\spad{s3},{}\\spad{s4},{}\\spad{s5},{}\\spad{s6},{}\\spad{s7}] \\spad{X} groebner(\\spad{sn7},{}\"info\",{}\"redcrit\")") (((|List| |#4|) (|List| |#4|) (|String|)) "\\indented{1}{groebner(\\spad{lp},{} infoflag) computes a groebner basis} \\indented{1}{for a polynomial ideal} \\indented{1}{generated by the list of polynomials \\spad{lp}.} \\indented{1}{Argument infoflag is used to get information on the computation.} \\indented{1}{If infoflag is \"info\",{} then summary information} \\indented{1}{is displayed for each \\spad{s}-polynomial generated.} \\indented{1}{If infoflag is \"redcrit\",{} the reduced critical pairs are displayed.} \\indented{1}{If infoflag is any other string,{}} \\indented{1}{no information is printed during computation.} \\blankline \\spad{X} s1:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} 45*p + 35*s - 165*b - 36 \\spad{X} s2:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} 35*p + 40*z + 25*t - 27*s \\spad{X} s3:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} 15*w + 25*p*s + 30*z - 18*t - 165*b**2 \\spad{X} s4:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} -9*w + 15*p*t + 20*z*s \\spad{X} s5:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} \\spad{w*p} + 2*z*t - 11*b**3 \\spad{X} s6:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} 99*w - 11*b*s + 3*b**2 \\spad{X} s7:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} \\spad{b**2} + 33/50*b + 2673/10000 \\spad{X} sn7:=[\\spad{s1},{}\\spad{s2},{}\\spad{s3},{}\\spad{s4},{}\\spad{s5},{}\\spad{s6},{}\\spad{s7}] \\spad{X} groebner(\\spad{sn7},{}\"info\") \\spad{X} groebner(\\spad{sn7},{}\"redcrit\")") (((|List| |#4|) (|List| |#4|)) "\\indented{1}{groebner(\\spad{lp}) computes a groebner basis for a polynomial ideal} \\indented{1}{generated by the list of polynomials \\spad{lp}.} \\blankline \\spad{X} s1:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} 45*p + 35*s - 165*b - 36 \\spad{X} s2:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} 35*p + 40*z + 25*t - 27*s \\spad{X} s3:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} 15*w + 25*p*s + 30*z - 18*t - 165*b**2 \\spad{X} s4:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} -9*w + 15*p*t + 20*z*s \\spad{X} s5:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} \\spad{w*p} + 2*z*t - 11*b**3 \\spad{X} s6:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} 99*w - 11*b*s + 3*b**2 \\spad{X} s7:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} \\spad{b**2} + 33/50*b + 2673/10000 \\spad{X} sn7:=[\\spad{s1},{}\\spad{s2},{}\\spad{s3},{}\\spad{s4},{}\\spad{s5},{}\\spad{s6},{}\\spad{s7}] \\spad{X} groebner(\\spad{sn7})"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-365)))) 
-(-452 S) 
+((|HasCategory| |#1| (QUOTE (-366)))) 
+(-453 S) 
 ((|constructor| (NIL "This category describes domains where \\spadfun{\\spad{gcd}} can be computed but where there is no guarantee of the existence of \\spadfun{factor} operation for factorisation into irreducibles. However,{} if such a \\spadfun{factor} operation exist,{} factorization will be unique up to order and units.")) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) "\\spad{gcdPolynomial(p,{}q)} returns the greatest common divisor (\\spad{gcd}) of univariate polynomials over the domain")) (|lcm| (($ (|List| $)) "\\spad{lcm(l)} returns the least common multiple of the elements of the list \\spad{l}.") (($ $ $) "\\spad{lcm(x,{}y)} returns the least common multiple of \\spad{x} and \\spad{y}.")) (|gcd| (($ (|List| $)) "\\spad{gcd(l)} returns the common \\spad{gcd} of the elements in the list \\spad{l}.") (($ $ $) "\\spad{gcd(x,{}y)} returns the greatest common divisor of \\spad{x} and \\spad{y}."))) 
 NIL 
 NIL 
-(-453) 
+(-454) 
 ((|constructor| (NIL "This category describes domains where \\spadfun{\\spad{gcd}} can be computed but where there is no guarantee of the existence of \\spadfun{factor} operation for factorisation into irreducibles. However,{} if such a \\spadfun{factor} operation exist,{} factorization will be unique up to order and units.")) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) "\\spad{gcdPolynomial(p,{}q)} returns the greatest common divisor (\\spad{gcd}) of univariate polynomials over the domain")) (|lcm| (($ (|List| $)) "\\spad{lcm(l)} returns the least common multiple of the elements of the list \\spad{l}.") (($ $ $) "\\spad{lcm(x,{}y)} returns the least common multiple of \\spad{x} and \\spad{y}.")) (|gcd| (($ (|List| $)) "\\spad{gcd(l)} returns the common \\spad{gcd} of the elements in the list \\spad{l}.") (($ $ $) "\\spad{gcd(x,{}y)} returns the greatest common divisor of \\spad{x} and \\spad{y}."))) 
-((-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-454 R |n| |ls| |gamma|) 
+(-455 R |n| |ls| |gamma|) 
 ((|constructor| (NIL "AlgebraGenericElementPackage allows you to create generic elements of an algebra,{} \\spadignore{i.e.} the scalars are extended to include symbolic coefficients")) (|conditionsForIdempotents| (((|List| (|Polynomial| |#1|))) "\\spad{conditionsForIdempotents()} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the fixed \\spad{R}-module basis") (((|List| (|Polynomial| |#1|)) (|Vector| $)) "\\spad{conditionsForIdempotents([v1,{}...,{}vn])} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the \\spad{R}-module basis \\spad{v1},{}...,{}\\spad{vn}")) (|genericRightDiscriminant| (((|Fraction| (|Polynomial| |#1|))) "\\spad{genericRightDiscriminant()} is the determinant of the generic left trace forms of all products of basis element,{} if the generic left trace form is associative,{} an algebra is separable if the generic left discriminant is invertible,{} if it is non-zero,{} there is some ring extension which makes the algebra separable")) (|genericRightTraceForm| (((|Fraction| (|Polynomial| |#1|)) $ $) "\\spad{genericRightTraceForm (a,{}b)} is defined to be \\spadfun{genericRightTrace (a*b)},{} this defines a symmetric bilinear form on the algebra")) (|genericLeftDiscriminant| (((|Fraction| (|Polynomial| |#1|))) "\\spad{genericLeftDiscriminant()} is the determinant of the generic left trace forms of all products of basis element,{} if the generic left trace form is associative,{} an algebra is separable if the generic left discriminant is invertible,{} if it is non-zero,{} there is some ring extension which makes the algebra separable")) (|genericLeftTraceForm| (((|Fraction| (|Polynomial| |#1|)) $ $) "\\spad{genericLeftTraceForm (a,{}b)} is defined to be \\spad{genericLeftTrace (a*b)},{} this defines a symmetric bilinear form on the algebra")) (|genericRightNorm| (((|Fraction| (|Polynomial| |#1|)) $) "\\spad{genericRightNorm(a)} substitutes the coefficients of \\spad{a} for the generic coefficients into the coefficient of the constant term in \\spadfun{rightRankPolynomial} and changes the sign if the degree of this polynomial is odd")) (|genericRightTrace| (((|Fraction| (|Polynomial| |#1|)) $) "\\spad{genericRightTrace(a)} substitutes the coefficients of \\spad{a} for the generic coefficients into the coefficient of the second highest term in \\spadfun{rightRankPolynomial} and changes the sign")) (|genericRightMinimalPolynomial| (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|))) $) "\\spad{genericRightMinimalPolynomial(a)} substitutes the coefficients of \\spad{a} for the generic coefficients in \\spadfun{rightRankPolynomial}")) (|rightRankPolynomial| (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) "\\spad{rightRankPolynomial()} returns the right minimimal polynomial of the generic element")) (|genericLeftNorm| (((|Fraction| (|Polynomial| |#1|)) $) "\\spad{genericLeftNorm(a)} substitutes the coefficients of \\spad{a} for the generic coefficients into the coefficient of the constant term in \\spadfun{leftRankPolynomial} and changes the sign if the degree of this polynomial is odd. This is a form of degree \\spad{k}")) (|genericLeftTrace| (((|Fraction| (|Polynomial| |#1|)) $) "\\spad{genericLeftTrace(a)} substitutes the coefficients of \\spad{a} for the generic coefficients into the coefficient of the second highest term in \\spadfun{leftRankPolynomial} and changes the sign. \\indented{1}{This is a linear form}")) (|genericLeftMinimalPolynomial| (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|))) $) "\\spad{genericLeftMinimalPolynomial(a)} substitutes the coefficients of {em a} for the generic coefficients in \\spad{leftRankPolynomial()}")) (|leftRankPolynomial| (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) "\\spad{leftRankPolynomial()} returns the left minimimal polynomial of the generic element")) (|generic| (($ (|Vector| (|Symbol|)) (|Vector| $)) "\\spad{generic(vs,{}ve)} returns a generic element,{} \\spadignore{i.e.} the linear combination of \\spad{ve} with the symbolic coefficients \\spad{vs} error,{} if the vector of symbols is shorter than the vector of elements") (($ (|Symbol|) (|Vector| $)) "\\spad{generic(s,{}v)} returns a generic element,{} \\spadignore{i.e.} the linear combination of \\spad{v} with the symbolic coefficients \\spad{s1,{}s2,{}..}") (($ (|Vector| $)) "\\spad{generic(ve)} returns a generic element,{} \\spadignore{i.e.} the linear combination of \\spad{ve} basis with the symbolic coefficients \\spad{\\%x1,{}\\%x2,{}..}") (($ (|Vector| (|Symbol|))) "\\spad{generic(vs)} returns a generic element,{} \\spadignore{i.e.} the linear combination of the fixed basis with the symbolic coefficients \\spad{vs}; error,{} if the vector of symbols is too short") (($ (|Symbol|)) "\\spad{generic(s)} returns a generic element,{} \\spadignore{i.e.} the linear combination of the fixed basis with the symbolic coefficients \\spad{s1,{}s2,{}..}") (($) "\\spad{generic()} returns a generic element,{} \\spadignore{i.e.} the linear combination of the fixed basis with the symbolic coefficients \\spad{\\%x1,{}\\%x2,{}..}")) (|rightUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{rightUnits()} returns the affine space of all right units of the algebra,{} or \\spad{\"failed\"} if there is none")) (|leftUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{leftUnits()} returns the affine space of all left units of the algebra,{} or \\spad{\"failed\"} if there is none")) (|coerce| (($ (|Vector| (|Fraction| (|Polynomial| |#1|)))) "\\spad{coerce(v)} assumes that it is called with a vector of length equal to the dimension of the algebra,{} then a linear combination with the basis element is formed"))) 
-((-4518 |has| (-409 (-953 |#1|)) (-558)) (-4516 . T) (-4515 . T)) 
-((|HasCategory| (-409 (-953 |#1|)) (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| (-409 (-953 |#1|)) (QUOTE (-558)))) 
-(-455 |vl| R E) 
+((-4532 |has| (-410 (-954 |#1|)) (-559)) (-4530 . T) (-4529 . T)) 
+((|HasCategory| (-410 (-954 |#1|)) (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| (-410 (-954 |#1|)) (QUOTE (-559)))) 
+(-456 |vl| R E) 
 ((|constructor| (NIL "This type supports distributed multivariate polynomials whose variables are from a user specified list of symbols. The coefficient ring may be non commutative,{} but the variables are assumed to commute. The term ordering is specified by its third parameter. Suggested types which define term orderings include: \\spadtype{DirectProduct},{} \\spadtype{HomogeneousDirectProduct},{} \\spadtype{SplitHomogeneousDirectProduct} and finally \\spadtype{OrderedDirectProduct} which accepts an arbitrary user function to define a term ordering.")) (|reorder| (($ $ (|List| (|Integer|))) "\\spad{reorder(p,{} perm)} applies the permutation perm to the variables in a polynomial and returns the new correctly ordered polynomial"))) 
-(((-4523 "*") |has| |#2| (-172)) (-4514 |has| |#2| (-558)) (-4519 |has| |#2| (-6 -4519)) (-4516 . T) (-4515 . T) (-4518 . T)) 
-((|HasCategory| |#2| (QUOTE (-904))) (|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-172))) (-2199 (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-558)))) (-12 (|HasCategory| (-852 |#1|) (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#2| (LIST (QUOTE -881) (QUOTE (-381))))) (-12 (|HasCategory| (-852 |#1|) (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -881) (QUOTE (-568))))) (-12 (|HasCategory| (-852 |#1|) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#2| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381)))))) (-12 (|HasCategory| (-852 |#1|) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568)))))) (-12 (|HasCategory| (-852 |#1|) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-541))))) (|HasCategory| |#2| (QUOTE (-842))) (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-150))) (|HasCategory| |#2| (QUOTE (-148))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-365))) (-2199 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (|HasAttribute| |#2| (QUOTE -4519)) (|HasCategory| |#2| (QUOTE (-453))) (-2199 (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-453))) (|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-904)))) (-2199 (|HasCategory| |#2| (QUOTE (-453))) (|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-904)))) (-2199 (|HasCategory| |#2| (QUOTE (-453))) (|HasCategory| |#2| (QUOTE (-904)))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#2| (QUOTE (-904)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#2| (QUOTE (-904)))) (|HasCategory| |#2| (QUOTE (-148))))) 
-(-456) 
+(((-4537 "*") |has| |#2| (-173)) (-4528 |has| |#2| (-559)) (-4533 |has| |#2| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
+((|HasCategory| |#2| (QUOTE (-905))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#2| (QUOTE (-843))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#2| (QUOTE -4533)) (|HasCategory| |#2| (QUOTE (-454))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (|HasCategory| |#2| (QUOTE (-149))))) 
+(-457) 
 ((|constructor| (NIL "This package provides support for gnuplot. These routines generate output files contain gnuplot scripts that may be processed directly by gnuplot. This is especially convenient in the axiom-wiki environment where gnuplot is called from LaTeX via gnuplottex.")) (|gnuDraw| (((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|String|)) "\\indented{1}{\\spad{gnuDraw} provides 3d surface plotting,{} default options} \\blankline \\spad{X} gnuDraw(sin(\\spad{x})*cos(\\spad{y}),{}\\spad{x=}-6..4,{}\\spad{y=}-4..6,{}\"out3d.dat\") \\spad{X} )\\spad{sys} gnuplot -persist out3d.dat") (((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|String|) (|List| (|DrawOption|))) "\\indented{1}{\\spad{gnuDraw} provides 3d surface plotting with options} \\blankline \\spad{X} gnuDraw(sin(\\spad{x})*cos(\\spad{y}),{}\\spad{x=}-6..4,{}\\spad{y=}-4..6,{}\"out3d.dat\",{}title==\"out3d\") \\spad{X} )\\spad{sys} gnuplot -persist out3d.dat") (((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|String|)) "\\indented{1}{\\spad{gnuDraw} provides 2d plotting,{} default options} \\blankline \\spad{X} gnuDraw(\\spad{D}(cos(exp(\\spad{z}))/exp(\\spad{z^2}),{}\\spad{z}),{}\\spad{z=}-5..5,{}\"out2d.dat\") \\spad{X} )\\spad{sys} gnuplot -persist out2d.dat") (((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|String|) (|List| (|DrawOption|))) "\\indented{1}{\\spad{gnuDraw} provides 2d plotting with options} \\blankline \\spad{X} gnuDraw(\\spad{D}(cos(exp(\\spad{z}))/exp(\\spad{z^2}),{}\\spad{z}),{}\\spad{z=}-5..5,{}\"out2d.dat\",{}title==\"out2d\") \\spad{X} )\\spad{sys} gnuplot -persist out2d.dat"))) 
 NIL 
 NIL 
-(-457 R BP) 
+(-458 R BP) 
 ((|constructor| (NIL "The equation \\spad{Af+Bg=h} and its generalization to \\spad{n} polynomials is solved for solutions over the \\spad{R},{} euclidean domain. A table containing the solutions of \\spad{Af+Bg=x**k} is used. The operations are performed modulus a prime which are in principle big enough,{} but the solutions are tested and,{} in case of failure,{} a hensel lifting process is used to get to the right solutions. It will be used in the factorization of multivariate polynomials over finite field,{} with \\spad{R=F[x]}.")) (|testModulus| (((|Boolean|) |#1| (|List| |#2|)) "\\spad{testModulus(p,{}lp)} returns \\spad{true} if the the prime \\spad{p} is valid for the list of polynomials \\spad{lp},{} \\spadignore{i.e.} preserves the degree and they remain relatively prime.")) (|solveid| (((|Union| (|List| |#2|) "failed") |#2| |#1| (|Vector| (|List| |#2|))) "\\spad{solveid(h,{}table)} computes the coefficients of the extended euclidean algorithm for a list of polynomials whose tablePow is \\spad{table} and with right side \\spad{h}.")) (|tablePow| (((|Union| (|Vector| (|List| |#2|)) "failed") (|NonNegativeInteger|) |#1| (|List| |#2|)) "\\spad{tablePow(maxdeg,{}prime,{}lpol)} constructs the table with the coefficients of the Extended Euclidean Algorithm for \\spad{lpol}. Here the right side is \\spad{x**k},{} for \\spad{k} less or equal to \\spad{maxdeg}. The operation returns \"failed\" when the elements are not coprime modulo \\spad{prime}.")) (|compBound| (((|NonNegativeInteger|) |#2| (|List| |#2|)) "\\spad{compBound(p,{}lp)} computes a bound for the coefficients of the solution polynomials. Given a polynomial right hand side \\spad{p},{} and a list \\spad{lp} of left hand side polynomials. Exported because it depends on the valuation.")) (|reduction| ((|#2| |#2| |#1|) "\\spad{reduction(p,{}prime)} reduces the polynomial \\spad{p} modulo \\spad{prime} of \\spad{R}. Note that this function is exported only because it\\spad{'s} conditional."))) 
 NIL 
 NIL 
-(-458 OV E S R P) 
+(-459 OV E S R P) 
 ((|constructor| (NIL "This is the top level package for doing multivariate factorization over basic domains like \\spadtype{Integer} or \\spadtype{Fraction Integer}.")) (|factor| (((|Factored| |#5|) |#5|) "\\spad{factor(p)} factors the multivariate polynomial \\spad{p} over its coefficient domain")) (|variable| (((|Union| $ "failed") (|Symbol|)) "\\spad{variable(s)} makes an element from symbol \\spad{s} or fails.")) (|convert| (((|Symbol|) $) "\\spad{convert(x)} converts \\spad{x} to a symbol"))) 
 NIL 
 NIL 
-(-459 E OV R P) 
+(-460 E OV R P) 
 ((|constructor| (NIL "This package provides operations for \\spad{GCD} computations on polynomials")) (|randomR| ((|#3|) "\\spad{randomR()} should be local but conditional")) (|gcdPolynomial| (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{gcdPolynomial(p,{}q)} returns the \\spad{GCD} of \\spad{p} and \\spad{q}"))) 
 NIL 
 NIL 
-(-460 R) 
+(-461 R) 
 ((|constructor| (NIL "This package provides operations for the factorization of univariate polynomials with integer coefficients. The factorization is done by \"lifting\" the finite \"berlekamp's\" factorization")) (|factor| (((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|)) "\\spad{factor(p)} returns the factorisation of \\spad{p}"))) 
 NIL 
 NIL 
-(-461 R FE) 
+(-462 R FE) 
 ((|constructor| (NIL "\\spadtype{GenerateUnivariatePowerSeries} provides functions that create power series from explicit formulas for their \\spad{n}th coefficient.")) (|series| (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|))) "\\spad{series(a(n),{}n,{}x = a,{}r0..,{}r)} returns \\spad{sum(n = r0,{}r0 + r,{}r0 + 2*r...,{} a(n) * (x - a)**n)}; \\spad{series(a(n),{}n,{}x = a,{}r0..r1,{}r)} returns \\spad{sum(n = r0 + k*r while n <= r1,{} a(n) * (x - a)**n)}.") (((|Any|) (|Mapping| |#2| (|Fraction| (|Integer|))) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|))) "\\spad{series(n +-> a(n),{}x = a,{}r0..,{}r)} returns \\spad{sum(n = r0,{}r0 + r,{}r0 + 2*r...,{} a(n) * (x - a)**n)}; \\spad{series(n +-> a(n),{}x = a,{}r0..r1,{}r)} returns \\spad{sum(n = r0 + k*r while n <= r1,{} a(n) * (x - a)**n)}.") (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Integer|))) "\\spad{series(a(n),{}n,{}x=a,{}n0..)} returns \\spad{sum(n = n0..,{}a(n) * (x - a)**n)}; \\spad{series(a(n),{}n,{}x=a,{}n0..n1)} returns \\spad{sum(n = n0..n1,{}a(n) * (x - a)**n)}.") (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|) (|UniversalSegment| (|Integer|))) "\\spad{series(n +-> a(n),{}x = a,{}n0..)} returns \\spad{sum(n = n0..,{}a(n) * (x - a)**n)}; \\spad{series(n +-> a(n),{}x = a,{}n0..n1)} returns \\spad{sum(n = n0..n1,{}a(n) * (x - a)**n)}.") (((|Any|) |#2| (|Symbol|) (|Equation| |#2|)) "\\spad{series(a(n),{}n,{}x = a)} returns \\spad{sum(n = 0..,{}a(n)*(x-a)**n)}.") (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|)) "\\spad{series(n +-> a(n),{}x = a)} returns \\spad{sum(n = 0..,{}a(n)*(x-a)**n)}.")) (|puiseux| (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|))) "\\spad{puiseux(a(n),{}n,{}x = a,{}r0..,{}r)} returns \\spad{sum(n = r0,{}r0 + r,{}r0 + 2*r...,{} a(n) * (x - a)**n)}; \\spad{puiseux(a(n),{}n,{}x = a,{}r0..r1,{}r)} returns \\spad{sum(n = r0 + k*r while n <= r1,{} a(n) * (x - a)**n)}.") (((|Any|) (|Mapping| |#2| (|Fraction| (|Integer|))) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|))) "\\spad{puiseux(n +-> a(n),{}x = a,{}r0..,{}r)} returns \\spad{sum(n = r0,{}r0 + r,{}r0 + 2*r...,{} a(n) * (x - a)**n)}; \\spad{puiseux(n +-> a(n),{}x = a,{}r0..r1,{}r)} returns \\spad{sum(n = r0 + k*r while n <= r1,{} a(n) * (x - a)**n)}.")) (|laurent| (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Integer|))) "\\spad{laurent(a(n),{}n,{}x=a,{}n0..)} returns \\spad{sum(n = n0..,{}a(n) * (x - a)**n)}; \\spad{laurent(a(n),{}n,{}x=a,{}n0..n1)} returns \\spad{sum(n = n0..n1,{}a(n) * (x - a)**n)}.") (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|) (|UniversalSegment| (|Integer|))) "\\spad{laurent(n +-> a(n),{}x = a,{}n0..)} returns \\spad{sum(n = n0..,{}a(n) * (x - a)**n)}; \\spad{laurent(n +-> a(n),{}x = a,{}n0..n1)} returns \\spad{sum(n = n0..n1,{}a(n) * (x - a)**n)}.")) (|taylor| (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|NonNegativeInteger|))) "\\spad{taylor(a(n),{}n,{}x = a,{}n0..)} returns \\spad{sum(n = n0..,{}a(n)*(x-a)**n)}; \\spad{taylor(a(n),{}n,{}x = a,{}n0..n1)} returns \\spad{sum(n = n0..,{}a(n)*(x-a)**n)}.") (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|) (|UniversalSegment| (|NonNegativeInteger|))) "\\spad{taylor(n +-> a(n),{}x = a,{}n0..)} returns \\spad{sum(n=n0..,{}a(n)*(x-a)**n)}; \\spad{taylor(n +-> a(n),{}x = a,{}n0..n1)} returns \\spad{sum(n = n0..,{}a(n)*(x-a)**n)}.") (((|Any|) |#2| (|Symbol|) (|Equation| |#2|)) "\\spad{taylor(a(n),{}n,{}x = a)} returns \\spad{sum(n = 0..,{}a(n)*(x-a)**n)}.") (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|)) "\\spad{taylor(n +-> a(n),{}x = a)} returns \\spad{sum(n = 0..,{}a(n)*(x-a)**n)}."))) 
 NIL 
 NIL 
-(-462 RP TP) 
+(-463 RP TP) 
 ((|constructor| (NIL "General Hensel Lifting Used for Factorization of bivariate polynomials over a finite field.")) (|reduction| ((|#2| |#2| |#1|) "\\spad{reduction(u,{}pol)} computes the symmetric reduction of \\spad{u} mod \\spad{pol}")) (|completeHensel| (((|List| |#2|) |#2| (|List| |#2|) |#1| (|PositiveInteger|)) "\\spad{completeHensel(pol,{}lfact,{}prime,{}bound)} lifts \\spad{lfact},{} the factorization mod \\spad{prime} of \\spad{pol},{} to the factorization mod prime**k>bound. Factors are recombined on the way.")) (|HenselLift| (((|Record| (|:| |plist| (|List| |#2|)) (|:| |modulo| |#1|)) |#2| (|List| |#2|) |#1| (|PositiveInteger|)) "\\spad{HenselLift(pol,{}lfacts,{}prime,{}bound)} lifts \\spad{lfacts},{} that are the factors of \\spad{pol} mod \\spad{prime},{} to factors of \\spad{pol} mod prime**k > \\spad{bound}. No recombining is done ."))) 
 NIL 
 NIL 
-(-463 |vl| R IS E |ff| P) 
+(-464 |vl| R IS E |ff| P) 
 ((|constructor| (NIL "This package is undocumented")) (* (($ |#6| $) "\\spad{p*x} is not documented")) (|multMonom| (($ |#2| |#4| $) "\\spad{multMonom(r,{}e,{}x)} is not documented")) (|build| (($ |#2| |#3| |#4|) "\\spad{build(r,{}i,{}e)} is not documented")) (|unitVector| (($ |#3|) "\\spad{unitVector(x)} is not documented")) (|monomial| (($ |#2| (|ModuleMonomial| |#3| |#4| |#5|)) "\\spad{monomial(r,{}x)} is not documented")) (|reductum| (($ $) "\\spad{reductum(x)} is not documented")) (|leadingIndex| ((|#3| $) "\\spad{leadingIndex(x)} is not documented")) (|leadingExponent| ((|#4| $) "\\spad{leadingExponent(x)} is not documented")) (|leadingMonomial| (((|ModuleMonomial| |#3| |#4| |#5|) $) "\\spad{leadingMonomial(x)} is not documented")) (|leadingCoefficient| ((|#2| $) "\\spad{leadingCoefficient(x)} is not documented"))) 
-((-4516 . T) (-4515 . T)) 
+((-4530 . T) (-4529 . T)) 
 NIL 
-(-464) 
-((|constructor| (NIL "\\spad{GuessOptionFunctions0} provides operations that extract the values of options for \\spadtype{Guess}.")) (|debug| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{debug returns} whether we want additional output on the progress,{} default being \\spad{false}")) (|displayAsGF| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{displayAsGF specifies} whether the result is a generating function or a recurrence. This option should not be set by the user,{} but rather by the \\spad{HP}-specification,{} therefore,{} there is no default.")) (|indexName| (((|Symbol|) (|List| (|GuessOption|))) "\\spad{indexName returns} the name of the index variable used for the formulas,{} default being \\spad{n}")) (|variableName| (((|Symbol|) (|List| (|GuessOption|))) "\\spad{variableName returns} the name of the variable used in by the algebraic differential equation,{} default being \\spad{x}")) (|functionName| (((|Symbol|) (|List| (|GuessOption|))) "\\spad{functionName returns} the name of the function given by the algebraic differential equation,{} default being \\spad{f}")) (|homogeneous| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{homogeneous returns} whether we allow only homogeneous algebraic differential equations,{} default being \\spad{false}")) (|one| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{one returns} whether we need only one solution,{} default being \\spad{true}.")) (|safety| (((|NonNegativeInteger|) (|List| (|GuessOption|))) "\\spad{safety returns} the specified safety or 1 as default.")) (|allDegrees| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{allDegrees returns} whether all possibilities of the degree vector should be tried,{} the default being \\spad{false}.")) (|maxDegree| (((|Integer|) (|List| (|GuessOption|))) "\\spad{maxDegree returns} the specified maxDegree or \\spad{-1} as default.")) (|maxShift| (((|Integer|) (|List| (|GuessOption|))) "\\spad{maxShift returns} the specified maxShift or \\spad{-1} as default.")) (|maxDerivative| (((|Integer|) (|List| (|GuessOption|))) "\\spad{maxDerivative returns} the specified maxDerivative or \\spad{-1} as default.")) (|maxPower| (((|Integer|) (|List| (|GuessOption|))) "\\spad{maxPower returns} the specified maxPower or \\spad{-1} as default.")) (|maxLevel| (((|Integer|) (|List| (|GuessOption|))) "\\spad{maxLevel returns} the specified maxLevel or \\spad{-1} as default."))) 
+(-465) 
+((|constructor| (NIL "\\spad{GuessOptionFunctions0} provides operations that extract the values of options for Guess.")) (|checkOptions| (((|Void|) (|List| (|GuessOption|))) "\\spad{checkOptions checks} whether the given options are consistent,{} and yields an error otherwise")) (|debug| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{debug returns} whether we want additional output on the progress,{} default being \\spad{false}")) (|displayAsGF| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{displayAsGF specifies} whether the result is a generating function or a recurrence. This option should not be set by the user,{} but rather by the \\spad{HP}-specification,{} therefore,{} there is no default.")) (|indexName| (((|Symbol|) (|List| (|GuessOption|))) "\\spad{indexName returns} the name of the index variable used for the formulas,{} default being \\spad{n}")) (|variableName| (((|Symbol|) (|List| (|GuessOption|))) "\\spad{variableName returns} the name of the variable used in by the algebraic differential equation,{} default being \\spad{x}")) (|functionName| (((|Symbol|) (|List| (|GuessOption|))) "\\spad{functionName returns} the name of the function given by the algebraic differential equation,{} default being \\spad{f}")) (|one| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{one returns} whether we need only one solution,{} default being \\spad{true}.")) (|checkExtraValues| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{checkExtraValues(d)} specifies whether we want to check the solution beyond the order given by the degree bounds. The default is \\spad{true}.")) (|check| (((|Union| "skip" "MonteCarlo" "deterministic") (|List| (|GuessOption|))) "\\spad{check(d)} specifies how we want to check the solution. If the value is \"skip\",{} we return the solutions found by the interpolation routine without checking. If the value is \"MonteCarlo\",{} we use a probabilistic check. The default is \"deterministic\".")) (|safety| (((|NonNegativeInteger|) (|List| (|GuessOption|))) "\\spad{safety returns} the specified safety or 1 as default.")) (|allDegrees| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{allDegrees returns} whether all possibilities of the degree vector should be tried,{} the default being \\spad{false}.")) (|maxMixedDegree| (((|NonNegativeInteger|) (|List| (|GuessOption|))) "\\spad{maxMixedDegree returns} the specified maxMixedDegree.")) (|maxDegree| (((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxDegree returns} the specified maxDegree.")) (|maxLevel| (((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxLevel returns} the specified maxLevel.")) (|Somos| (((|Union| (|PositiveInteger|) (|Boolean|)) (|List| (|GuessOption|))) "\\spad{Somos returns} whether we allow only Somos-like operators,{} default being \\spad{false}")) (|homogeneous| (((|Union| (|PositiveInteger|) (|Boolean|)) (|List| (|GuessOption|))) "\\spad{homogeneous returns} whether we allow only homogeneous algebraic differential equations,{} default being \\spad{false}")) (|maxPower| (((|Union| (|PositiveInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxPower returns} the specified maxPower.")) (|maxSubst| (((|Union| (|PositiveInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxSubst returns} the specified maxSubst.")) (|maxShift| (((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxShift returns} the specified maxShift.")) (|maxDerivative| (((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxDerivative returns} the specified maxDerivative."))) 
 NIL 
 NIL 
-(-465) 
-((|constructor| (NIL "GuessOption is a domain whose elements are various options used by \\spadtype{Guess}.")) (|checkOptions| (((|Void|) (|List| $)) "\\spad{checkOptions checks} whether an option is given twice")) (|option?| (((|Boolean|) (|List| $) (|Symbol|)) "\\spad{option?()} is not to be used at the top level; option? internally returns \\spad{true} for drawing options which are indicated in a draw command,{} or \\spad{false} for those which are not.")) (|option| (((|Union| (|Any|) "failed") (|List| $) (|Symbol|)) "\\spad{option()} is not to be used at the top level; option determines internally which drawing options are indicated in a draw command.")) (|displayAsGF| (($ (|Boolean|)) "\\spad{displayAsGF(d)} specifies whether the result is a generating function or a recurrence. This option should not be set by the user,{} but rather by the \\spad{HP}-specification.")) (|indexName| (($ (|Symbol|)) "\\spad{indexName(d)} specifies the index variable used for the formulas. This option is expressed in the form \\spad{indexName == d}.")) (|variableName| (($ (|Symbol|)) "\\spad{variableName(d)} specifies the variable used in by the algebraic differential equation. This option is expressed in the form \\spad{variableName == d}.")) (|functionName| (($ (|Symbol|)) "\\spad{functionName(d)} specifies the name of the function given by the algebraic differential equation or recurrence. This option is expressed in the form \\spad{functionName == d}.")) (|debug| (($ (|Boolean|)) "\\spad{debug(d)} specifies whether we want additional output on the progress. This option is expressed in the form \\spad{debug == d}.")) (|one| (($ (|Boolean|)) "\\spad{one(d)} specifies whether we are happy with one solution. This option is expressed in the form \\spad{one == d}.")) (|safety| (($ (|NonNegativeInteger|)) "\\spad{safety(d)} specifies the number of values reserved for testing any solutions found. This option is expressed in the form \\spad{safety == d}.")) (|allDegrees| (($ (|Boolean|)) "\\spad{allDegrees(d)} specifies whether all possibilities of the degree vector - taking into account maxDegree - should be tried. This is mainly interesting for rational interpolation. This option is expressed in the form \\spad{allDegrees == d}.")) (|maxDegree| (($ (|Integer|)) "\\spad{maxDegree(d)} specifies the maximum degree of the coefficient polynomials in an algebraic differential equation or a recursion with polynomial coefficients. For rational functions with an exponential term,{} \\spad{maxDegree} bounds the degree of the denominator polynomial. maxDegree(\\spad{-1}) specifies that the maximum degree can be arbitrary. This option is expressed in the form \\spad{maxDegree == d}.")) (|maxLevel| (($ (|Integer|)) "\\spad{maxLevel(d)} specifies the maximum number of recursion levels operators guessProduct and guessSum will be applied. maxLevel(\\spad{-1}) specifies that all levels are tried. This option is expressed in the form \\spad{maxLevel == d}.")) (|homogeneous| (($ (|Boolean|)) "\\spad{homogeneous(d)} specifies whether we allow only homogeneous algebraic differential equations. This option is expressed in the form \\spad{homogeneous == d}.")) (|maxPower| (($ (|Integer|)) "\\spad{maxPower(d)} specifies the maximum degree in an algebraic differential equation. For example,{} the degree of (\\spad{f}\\spad{''})\\spad{^3} \\spad{f'} is 4. maxPower(\\spad{-1}) specifies that the maximum exponent can be arbitrary. This option is expressed in the form \\spad{maxPower == d}.")) (|maxShift| (($ (|Integer|)) "\\spad{maxShift(d)} specifies the maximum shift in a recurrence equation. maxShift(\\spad{-1}) specifies that the maximum shift can be arbitrary. This option is expressed in the form \\spad{maxShift == d}.")) (|maxDerivative| (($ (|Integer|)) "\\spad{maxDerivative(d)} specifies the maximum derivative in an algebraic differential equation. maxDerivative(\\spad{-1}) specifies that the maximum derivative can be arbitrary. This option is expressed in the form \\spad{maxDerivative == d}."))) 
+(-466) 
+((|constructor| (NIL "GuessOption is a domain whose elements are various options used by \\spadtype{Guess}.")) (|option| (((|Union| (|Any|) "failed") (|List| $) (|Symbol|)) "\\spad{option(l,{} option)} returns which options are given.")) (|displayAsGF| (($ (|Boolean|)) "\\spad{displayAsGF(d)} specifies whether the result is a generating function or a recurrence. This option should not be set by the user,{} but rather by the \\spad{HP}-specification.")) (|indexName| (($ (|Symbol|)) "\\spad{indexName(d)} specifies the index variable used for the formulas. This option is expressed in the form \\spad{indexName == d}.")) (|variableName| (($ (|Symbol|)) "\\spad{variableName(d)} specifies the variable used in by the algebraic differential equation. This option is expressed in the form \\spad{variableName == d}.")) (|functionName| (($ (|Symbol|)) "\\spad{functionName(d)} specifies the name of the function given by the algebraic differential equation or recurrence. This option is expressed in the form \\spad{functionName == d}.")) (|debug| (($ (|Boolean|)) "\\spad{debug(d)} specifies whether we want additional output on the progress. This option is expressed in the form \\spad{debug == d}.")) (|one| (($ (|Boolean|)) "\\spad{one(d)} specifies whether we are happy with one solution. This option is expressed in the form \\spad{one == d}.")) (|checkExtraValues| (($ (|Boolean|)) "\\spad{checkExtraValues(d)} specifies whether we want to check the solution beyond the order given by the degree bounds. This option is expressed in the form \\spad{checkExtraValues == d}")) (|check| (($ (|Union| "skip" "MonteCarlo" "deterministic")) "\\spad{check(d)} specifies how we want to check the solution. If the value is \"skip\",{} we return the solutions found by the interpolation routine without checking. If the value is \"MonteCarlo\",{} we use a probabilistic check. This option is expressed in the form \\spad{check == d}")) (|safety| (($ (|NonNegativeInteger|)) "\\spad{safety(d)} specifies the number of values reserved for testing any solutions found. This option is expressed in the form \\spad{safety == d}.")) (|allDegrees| (($ (|Boolean|)) "\\spad{allDegrees(d)} specifies whether all possibilities of the degree vector - taking into account maxDegree - should be tried. This is mainly interesting for rational interpolation. This option is expressed in the form \\spad{allDegrees == d}.")) (|maxMixedDegree| (($ (|NonNegativeInteger|)) "\\spad{maxMixedDegree(d)} specifies the maximum \\spad{q}-degree of the coefficient polynomials in a recurrence with polynomial coefficients,{} in the case of mixed shifts. Although slightly inconsistent,{} maxMixedDegree(0) specifies that no mixed shifts are allowed. This option is expressed in the form \\spad{maxMixedDegree == d}.")) (|maxDegree| (($ (|Union| (|NonNegativeInteger|) "arbitrary")) "\\spad{maxDegree(d)} specifies the maximum degree of the coefficient polynomials in an algebraic differential equation or a recursion with polynomial coefficients. For rational functions with an exponential term,{} \\spad{maxDegree} bounds the degree of the denominator polynomial. This option is expressed in the form \\spad{maxDegree == d}.")) (|maxLevel| (($ (|Union| (|NonNegativeInteger|) "arbitrary")) "\\spad{maxLevel(d)} specifies the maximum number of recursion levels operators guessProduct and guessSum will be applied. This option is expressed in the form spad{maxLevel \\spad{==} \\spad{d}}.")) (|Somos| (($ (|Union| (|PositiveInteger|) (|Boolean|))) "\\spad{Somos(d)} specifies whether we want that the total degree of the differential operators is constant,{} and equal to \\spad{d},{} or maxDerivative if \\spad{true}. If \\spad{true},{} maxDerivative must be set,{} too.")) (|homogeneous| (($ (|Union| (|PositiveInteger|) (|Boolean|))) "\\spad{homogeneous(d)} specifies whether we allow only homogeneous algebraic differential equations. This option is expressed in the form \\spad{homogeneous == d}. If \\spad{true},{} then maxPower must be set,{} too,{} and ADEs with constant total degree are allowed. If a PositiveInteger is given,{} only ADE\\spad{'s} with this total degree are allowed.")) (|maxPower| (($ (|Union| (|PositiveInteger|) "arbitrary")) "\\spad{maxPower(d)} specifies the maximum degree in an algebraic differential equation. For example,{} the degree of (\\spad{f}\\spad{''})\\spad{^3} \\spad{f'} is 4. maxPower(\\spad{-1}) specifies that the maximum exponent can be arbitrary. This option is expressed in the form \\spad{maxPower == d}.")) (|maxSubst| (($ (|Union| (|PositiveInteger|) "arbitrary")) "\\spad{maxSubst(d)} specifies the maximum degree of the monomial substituted into the function we are looking for. That is,{} if \\spad{maxSubst == d},{} we look for polynomials such that \\$\\spad{p}(\\spad{f}(\\spad{x}),{} \\spad{f}(\\spad{x^2}),{} ...,{} \\spad{f}(\\spad{x^d}))\\spad{=0}\\$. equation. This option is expressed in the form \\spad{maxSubst == d}.")) (|maxShift| (($ (|Union| (|NonNegativeInteger|) "arbitrary")) "\\spad{maxShift(d)} specifies the maximum shift in a recurrence equation. This option is expressed in the form \\spad{maxShift == d}.")) (|maxDerivative| (($ (|Union| (|NonNegativeInteger|) "arbitrary")) "\\spad{maxDerivative(d)} specifies the maximum derivative in an algebraic differential equation. This option is expressed in the form \\spad{maxDerivative == d}."))) 
 NIL 
 NIL 
-(-466 E V R P Q) 
+(-467 E V R P Q) 
 ((|constructor| (NIL "Gosper\\spad{'s} summation algorithm.")) (|GospersMethod| (((|Union| |#5| "failed") |#5| |#2| (|Mapping| |#2|)) "\\spad{GospersMethod(b,{} n,{} new)} returns a rational function \\spad{rf(n)} such that \\spad{a(n) * rf(n)} is the indefinite sum of \\spad{a(n)} with respect to upward difference on \\spad{n},{} \\spadignore{i.e.} \\spad{a(n+1) * rf(n+1) - a(n) * rf(n) = a(n)},{} where \\spad{b(n) = a(n)/a(n-1)} is a rational function. Returns \"failed\" if no such rational function \\spad{rf(n)} exists. Note that \\spad{new} is a nullary function returning a new \\spad{V} every time. The condition on \\spad{a(n)} is that \\spad{a(n)/a(n-1)} is a rational function of \\spad{n}."))) 
 NIL 
 NIL 
-(-467 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR |InfClsPoint| |DesTree| BLMET) 
+(-468 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR |InfClsPoint| |DesTree| BLMET) 
 ((|constructor| (NIL "A package that implements the Brill-Noether algorithm. Part of the PAFF package.")) (|ZetaFunction| (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|) (|PositiveInteger|)) "Returns the Zeta function of the curve in constant field extension. Calculated by using the \\spad{L}-Polynomial") (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) "Returns the Zeta function of the curve. Calculated by using the \\spad{L}-Polynomial")) (|numberPlacesDegExtDeg| (((|Integer|) (|PositiveInteger|) (|PositiveInteger|)) "numberRatPlacesExtDegExtDeg(\\spad{d},{} \\spad{n}) returns the number of places of degree \\spad{d} in the constant field extension of degree \\spad{n}")) (|numberRatPlacesExtDeg| (((|Integer|) (|PositiveInteger|)) "\\spad{numberRatPlacesExtDeg(n)} returns the number of rational places in the constant field extenstion of degree \\spad{n}")) (|numberOfPlacesOfDegree| (((|Integer|) (|PositiveInteger|)) "returns the number of places of the given degree")) (|placesOfDegree| (((|List| |#7|) (|PositiveInteger|)) "\\spad{placesOfDegree(d)} returns all places of degree \\spad{d} of the curve.")) (|classNumber| (((|Integer|)) "Returns the class number of the curve.")) (|LPolynomial| (((|SparseUnivariatePolynomial| (|Integer|)) (|PositiveInteger|)) "\\spad{LPolynomial(d)} returns the \\spad{L}-Polynomial of the curve in constant field extension of degree \\spad{d}.") (((|SparseUnivariatePolynomial| (|Integer|))) "Returns the \\spad{L}-Polynomial of the curve.")) (|rationalPlaces| (((|List| |#7|)) "\\spad{rationalPlaces returns} all the rational places of the curve defined by the polynomial given to the package.")) (|pointDominateBy| ((|#5| |#7|) "\\spad{pointDominateBy(pl)} returns the projective point dominated by the place \\spad{pl}.")) (|adjunctionDivisor| ((|#8|) "\\spad{adjunctionDivisor computes} the adjunction divisor of the plane curve given by the polynomial \\spad{crv}.")) (|intersectionDivisor| ((|#8| |#3|) "\\spad{intersectionDivisor(pol)} compute the intersection divisor (the Cartier divisor) of the form \\spad{pol} with the curve. If some intersection points lie in an extension of the ground field,{} an error message is issued specifying the extension degree needed to find all the intersection points. (If \\spad{pol} is not homogeneous an error message is issued).")) (|evalIfCan| (((|Union| |#1| "failed") (|Fraction| |#3|) |#7|) "\\spad{evalIfCan(u,{}pl)} evaluate the function \\spad{u} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") |#3| |#3| |#7|) "\\spad{evalIfCan(f,{}g,{}pl)} evaluate the function \\spad{f/g} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") |#3| |#7|) "\\spad{evalIfCan(f,{}pl)} evaluate \\spad{f} at the place \\spad{pl} (returns \"failed\" if it is a pole).")) (|eval| ((|#1| (|Fraction| |#3|) |#7|) "\\spad{eval(u,{}pl)} evaluate the function \\spad{u} at the place \\spad{pl}.") ((|#1| |#3| |#3| |#7|) "\\spad{eval(f,{}g,{}pl)} evaluate the function \\spad{f/g} at the place \\spad{pl}.") ((|#1| |#3| |#7|) "\\spad{eval(f,{}pl)} evaluate \\spad{f} at the place \\spad{pl}.")) (|interpolateForms| (((|List| |#3|) |#8| (|NonNegativeInteger|)) "\\spad{interpolateForms(d,{}n)} returns a basis of the interpolate forms of degree \\spad{n} of the divisor \\spad{d}.")) (|lBasis| (((|Record| (|:| |num| (|List| |#3|)) (|:| |den| |#3|)) |#8|) "\\spad{lBasis computes} a basis associated to the specified divisor")) (|parametrize| ((|#6| |#3| |#7|) "\\spad{parametrize(f,{}pl)} returns a local parametrization of \\spad{f} at the place \\spad{pl}.")) (|singularPoints| (((|List| |#5|)) "rationalPoints() returns the singular points of the curve defined by the polynomial given to the package. If the singular points lie in an extension of the specified ground field an error message is issued specifying the extension degree needed to find all singular points.")) (|setSingularPoints| (((|List| |#5|) (|List| |#5|)) "\\spad{setSingularPoints(lpt)} sets the singular points to be used. Beware: no attempt is made to check if the points are singular or not,{} nor if all of the singular points are presents. Hence,{} results of some computation maybe \\spad{false}. It is intend to be use when one want to compute the singular points are computed by other means than to use the function singularPoints.")) (|desingTreeWoFullParam| (((|List| |#10|)) "\\spad{desingTreeWoFullParam returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package. The local parametrizations are not computed.")) (|desingTree| (((|List| |#10|)) "\\spad{desingTree returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package.")) (|genus| (((|NonNegativeInteger|)) "\\spad{genus returns} the genus of the curve defined by the polynomial given to the package.")) (|theCurve| ((|#3|) "\\spad{theCurve returns} the specified polynomial for the package.")) (|printInfo| (((|Void|) (|List| (|Boolean|))) "\\spad{printInfo(lbool)} prints some information comming from various package and domain used by this package."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-370)))) 
-(-468 R E |VarSet| P) 
+((|HasCategory| |#1| (QUOTE (-371)))) 
+(-469 R E |VarSet| P) 
 ((|constructor| (NIL "A domain for polynomial sets.")) (|convert| (($ (|List| |#4|)) "\\axiom{convert(\\spad{lp})} returns the polynomial set whose members are the polynomials of \\axiom{\\spad{lp}}."))) 
-((-4522 . T) (-4521 . T)) 
-((|HasCategory| |#4| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#4| (QUOTE (-1090))) (-12 (|HasCategory| |#4| (LIST (QUOTE -303) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1090)))) (|HasCategory| |#1| (QUOTE (-558)))) 
-(-469 S R E) 
+((-4536 . T) (-4535 . T)) 
+((|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#4| (QUOTE (-1091))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-559)))) 
+(-470 S R E) 
 ((|constructor| (NIL "GradedAlgebra(\\spad{R},{}\\spad{E}) denotes ``E-graded \\spad{R}-algebra\\spad{''}. A graded algebra is a graded module together with a degree preserving \\spad{R}-linear map,{} called the product. \\blankline The name ``product\\spad{''} is written out in full so inner and outer products with the same mapping type can be distinguished by name.")) (|product| (($ $ $) "\\spad{product(a,{}b)} is the degree-preserving \\spad{R}-linear product: \\blankline \\indented{2}{\\spad{degree product(a,{}b) = degree a + degree b}} \\indented{2}{\\spad{product(a1+a2,{}b) = product(a1,{}b) + product(a2,{}b)}} \\indented{2}{\\spad{product(a,{}b1+b2) = product(a,{}b1) + product(a,{}b2)}} \\indented{2}{\\spad{product(r*a,{}b) = product(a,{}r*b) = r*product(a,{}b)}} \\indented{2}{\\spad{product(a,{}product(b,{}c)) = product(product(a,{}b),{}c)}}")) ((|One|) (($) "1 is the identity for \\spad{product}."))) 
 NIL 
 NIL 
-(-470 R E) 
+(-471 R E) 
 ((|constructor| (NIL "GradedAlgebra(\\spad{R},{}\\spad{E}) denotes ``E-graded \\spad{R}-algebra\\spad{''}. A graded algebra is a graded module together with a degree preserving \\spad{R}-linear map,{} called the product. \\blankline The name ``product\\spad{''} is written out in full so inner and outer products with the same mapping type can be distinguished by name.")) (|product| (($ $ $) "\\spad{product(a,{}b)} is the degree-preserving \\spad{R}-linear product: \\blankline \\indented{2}{\\spad{degree product(a,{}b) = degree a + degree b}} \\indented{2}{\\spad{product(a1+a2,{}b) = product(a1,{}b) + product(a2,{}b)}} \\indented{2}{\\spad{product(a,{}b1+b2) = product(a,{}b1) + product(a,{}b2)}} \\indented{2}{\\spad{product(r*a,{}b) = product(a,{}r*b) = r*product(a,{}b)}} \\indented{2}{\\spad{product(a,{}product(b,{}c)) = product(product(a,{}b),{}c)}}")) ((|One|) (($) "1 is the identity for \\spad{product}."))) 
 NIL 
 NIL 
-(-471) 
+(-472) 
 ((|constructor| (NIL "GrayCode provides a function for efficiently running through all subsets of a finite set,{} only changing one element by another one.")) (|firstSubsetGray| (((|Vector| (|Vector| (|Integer|))) (|PositiveInteger|)) "\\spad{firstSubsetGray(n)} creates the first vector \\spad{ww} to start a loop using nextSubsetGray(\\spad{ww},{}\\spad{n})")) (|nextSubsetGray| (((|Vector| (|Vector| (|Integer|))) (|Vector| (|Vector| (|Integer|))) (|PositiveInteger|)) "\\spad{nextSubsetGray(ww,{}n)} returns a vector \\spad{vv} whose components have the following meanings:\\spad{\\br} \\spad{vv}.1: a vector of length \\spad{n} whose entries are 0 or 1. This can be interpreted as a code for a subset of the set 1,{}...,{}\\spad{n}; \\spad{vv}.1 differs from \\spad{ww}.1 by exactly one entry;\\spad{\\br} \\spad{vv}.2.1 is the number of the entry of \\spad{vv}.1 which will be changed next time;\\spad{\\br} \\spad{vv}.2.1 = \\spad{n+1} means that \\spad{vv}.1 is the last subset; trying to compute nextSubsetGray(\\spad{vv}) if \\spad{vv}.2.1 = \\spad{n+1} will produce an error!\\spad{\\br} \\blankline The other components of \\spad{vv}.2 are needed to compute nextSubsetGray efficiently. Note that this is an implementation of [Williamson,{} Topic II,{} 3.54,{} \\spad{p}. 112] for the special case \\spad{r1} = \\spad{r2} = ... = \\spad{rn} = 2; Note that nextSubsetGray produces a side-effect,{} \\spadignore{i.e.} nextSubsetGray(\\spad{vv}) and \\spad{vv} \\spad{:=} nextSubsetGray(\\spad{vv}) will have the same effect."))) 
 NIL 
 NIL 
-(-472) 
+(-473) 
 ((|constructor| (NIL "TwoDimensionalPlotSettings sets global flags and constants for 2-dimensional plotting.")) (|screenResolution| (((|Integer|) (|Integer|)) "\\spad{screenResolution(n)} sets the screen resolution to \\spad{n}.") (((|Integer|)) "\\spad{screenResolution()} returns the screen resolution \\spad{n}.")) (|minPoints| (((|Integer|) (|Integer|)) "\\spad{minPoints()} sets the minimum number of points in a plot.") (((|Integer|)) "\\spad{minPoints()} returns the minimum number of points in a plot.")) (|maxPoints| (((|Integer|) (|Integer|)) "\\spad{maxPoints()} sets the maximum number of points in a plot.") (((|Integer|)) "\\spad{maxPoints()} returns the maximum number of points in a plot.")) (|adaptive| (((|Boolean|) (|Boolean|)) "\\spad{adaptive(true)} turns adaptive plotting on; \\spad{adaptive(false)} turns adaptive plotting off.") (((|Boolean|)) "\\spad{adaptive()} determines whether plotting will be done adaptively.")) (|drawToScale| (((|Boolean|) (|Boolean|)) "\\spad{drawToScale(true)} causes plots to be drawn to scale. \\spad{drawToScale(false)} causes plots to be drawn so that they fill up the viewport window. The default setting is \\spad{false}.") (((|Boolean|)) "\\spad{drawToScale()} determines whether or not plots are to be drawn to scale.")) (|clipPointsDefault| (((|Boolean|) (|Boolean|)) "\\spad{clipPointsDefault(true)} turns on automatic clipping; \\spad{clipPointsDefault(false)} turns off automatic clipping. The default setting is \\spad{true}.") (((|Boolean|)) "\\spad{clipPointsDefault()} determines whether or not automatic clipping is to be done."))) 
 NIL 
 NIL 
-(-473) 
+(-474) 
 ((|constructor| (NIL "TwoDimensionalGraph creates virtual two dimensional graphs (to be displayed on TwoDimensionalViewports).")) (|putColorInfo| (((|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|Palette|))) "\\spad{putColorInfo(llp,{}lpal)} takes a list of list of points,{} \\spad{llp},{} and returns the points with their hue and shade components set according to the list of palette colors,{} \\spad{lpal}.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(\\spad{gi})} returns the indicated graph,{} \\spad{\\spad{gi}},{} of domain \\spadtype{GraphImage} as output of the domain \\spadtype{OutputForm}.") (($ (|List| (|List| (|Point| (|DoubleFloat|))))) "\\spad{coerce(llp)} component(\\spad{gi},{}\\spad{pt}) creates and returns a graph of the domain \\spadtype{GraphImage} which is composed of the list of list of points given by \\spad{llp},{} and whose point colors,{} line colors and point sizes are determined by the default functions \\spadfun{pointColorDefault},{} \\spadfun{lineColorDefault},{} and \\spadfun{pointSizeDefault}. The graph data is then sent to the viewport manager where it waits to be included in a two-dimensional viewport window.")) (|point| (((|Void|) $ (|Point| (|DoubleFloat|)) (|Palette|)) "\\spad{point(\\spad{gi},{}pt,{}pal)} modifies the graph \\spad{\\spad{gi}} of the domain \\spadtype{GraphImage} to contain one point component,{} \\spad{pt} whose point color is set to be the palette color \\spad{pal},{} and whose line color and point size are determined by the default functions \\spadfun{lineColorDefault} and \\spadfun{pointSizeDefault}.")) (|appendPoint| (((|Void|) $ (|Point| (|DoubleFloat|))) "\\spad{appendPoint(\\spad{gi},{}pt)} appends the point \\spad{pt} to the end of the list of points component for the graph,{} \\spad{\\spad{gi}},{} which is of the domain \\spadtype{GraphImage}.")) (|component| (((|Void|) $ (|Point| (|DoubleFloat|)) (|Palette|) (|Palette|) (|PositiveInteger|)) "\\spad{component(\\spad{gi},{}pt,{}pal1,{}pal2,{}ps)} modifies the graph \\spad{\\spad{gi}} of the domain \\spadtype{GraphImage} to contain one point component,{} \\spad{pt} whose point color is set to the palette color \\spad{pal1},{} line color is set to the palette color \\spad{pal2},{} and point size is set to the positive integer \\spad{ps}.") (((|Void|) $ (|Point| (|DoubleFloat|))) "\\spad{component(\\spad{gi},{}pt)} modifies the graph \\spad{\\spad{gi}} of the domain \\spadtype{GraphImage} to contain one point component,{} \\spad{pt} whose point color,{} line color and point size are determined by the default functions \\spadfun{pointColorDefault},{} \\spadfun{lineColorDefault},{} and \\spadfun{pointSizeDefault}.") (((|Void|) $ (|List| (|Point| (|DoubleFloat|))) (|Palette|) (|Palette|) (|PositiveInteger|)) "\\spad{component(\\spad{gi},{}lp,{}pal1,{}pal2,{}p)} sets the components of the graph,{} \\spad{\\spad{gi}} of the domain \\spadtype{GraphImage},{} to the values given. The point list for \\spad{\\spad{gi}} is set to the list \\spad{lp},{} the color of the points in \\spad{lp} is set to the palette color \\spad{pal1},{} the color of the lines which connect the points \\spad{lp} is set to the palette color \\spad{pal2},{} and the size of the points in \\spad{lp} is given by the integer \\spad{p}.")) (|units| (((|List| (|Float|)) $ (|List| (|Float|))) "\\spad{units(\\spad{gi},{}lu)} modifies the list of unit increments for the \\spad{x} and \\spad{y} axes of the given graph,{} \\spad{\\spad{gi}} of the domain \\spadtype{GraphImage},{} to be that of the list of unit increments,{} \\spad{lu},{} and returns the new list of units for \\spad{\\spad{gi}}.") (((|List| (|Float|)) $) "\\spad{units(\\spad{gi})} returns the list of unit increments for the \\spad{x} and \\spad{y} axes of the indicated graph,{} \\spad{\\spad{gi}},{} of the domain \\spadtype{GraphImage}.")) (|ranges| (((|List| (|Segment| (|Float|))) $ (|List| (|Segment| (|Float|)))) "\\spad{ranges(\\spad{gi},{}lr)} modifies the list of ranges for the given graph,{} \\spad{\\spad{gi}} of the domain \\spadtype{GraphImage},{} to be that of the list of range segments,{} \\spad{lr},{} and returns the new range list for \\spad{\\spad{gi}}.") (((|List| (|Segment| (|Float|))) $) "\\spad{ranges(\\spad{gi})} returns the list of ranges of the point components from the indicated graph,{} \\spad{\\spad{gi}},{} of the domain \\spadtype{GraphImage}.")) (|key| (((|Integer|) $) "\\spad{key(\\spad{gi})} returns the process ID of the given graph,{} \\spad{\\spad{gi}},{} of the domain \\spadtype{GraphImage}.")) (|pointLists| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) "\\spad{pointLists(\\spad{gi})} returns the list of lists of points which compose the given graph,{} \\spad{\\spad{gi}},{} of the domain \\spadtype{GraphImage}.")) (|makeGraphImage| (($ (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|Palette|)) (|List| (|Palette|)) (|List| (|PositiveInteger|)) (|List| (|DrawOption|))) "\\spad{makeGraphImage(llp,{}lpal1,{}lpal2,{}lp,{}lopt)} returns a graph of the domain \\spadtype{GraphImage} which is composed of the points and lines from the list of lists of points,{} \\spad{llp},{} whose point colors are indicated by the list of palette colors,{} \\spad{lpal1},{} and whose lines are colored according to the list of palette colors,{} \\spad{lpal2}. The paramater \\spad{lp} is a list of integers which denote the size of the data points,{} and \\spad{lopt} is the list of draw command options. The graph data is then sent to the viewport manager where it waits to be included in a two-dimensional viewport window.") (($ (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|Palette|)) (|List| (|Palette|)) (|List| (|PositiveInteger|))) "\\spad{makeGraphImage(llp,{}lpal1,{}lpal2,{}lp)} returns a graph of the domain \\spadtype{GraphImage} which is composed of the points and lines from the list of lists of points,{} \\spad{llp},{} whose point colors are indicated by the list of palette colors,{} \\spad{lpal1},{} and whose lines are colored according to the list of palette colors,{} \\spad{lpal2}. The paramater \\spad{lp} is a list of integers which denote the size of the data points. The graph data is then sent to the viewport manager where it waits to be included in a two-dimensional viewport window.") (($ (|List| (|List| (|Point| (|DoubleFloat|))))) "\\spad{makeGraphImage(llp)} returns a graph of the domain \\spadtype{GraphImage} which is composed of the points and lines from the list of lists of points,{} \\spad{llp},{} with default point size and default point and line colours. The graph data is then sent to the viewport manager where it waits to be included in a two-dimensional viewport window.") (($ $) "\\spad{makeGraphImage(\\spad{gi})} takes the given graph,{} \\spad{\\spad{gi}} of the domain \\spadtype{GraphImage},{} and sends it\\spad{'s} data to the viewport manager where it waits to be included in a two-dimensional viewport window. \\spad{\\spad{gi}} cannot be an empty graph,{} and it\\spad{'s} elements must have been created using the \\spadfun{point} or \\spadfun{component} functions,{} not by a previous \\spadfun{makeGraphImage}.")) (|graphImage| (($) "\\spad{graphImage()} returns an empty graph with 0 point lists of the domain \\spadtype{GraphImage}. A graph image contains the graph data component of a two dimensional viewport."))) 
 NIL 
 NIL 
-(-474 S R E) 
+(-475 S R E) 
 ((|constructor| (NIL "GradedModule(\\spad{R},{}\\spad{E}) denotes ``E-graded \\spad{R}-module\\spad{''},{} \\spadignore{i.e.} collection of \\spad{R}-modules indexed by an abelian monoid \\spad{E}. An element \\spad{g} of \\spad{G[s]} for some specific \\spad{s} in \\spad{E} is said to be an element of \\spad{G} with degree \\spad{s}. Sums are defined in each module \\spad{G[s]} so two elements of \\spad{G} have a sum if they have the same degree. \\blankline Morphisms can be defined and composed by degree to give the mathematical category of graded modules.")) (+ (($ $ $) "\\spad{g+h} is the sum of \\spad{g} and \\spad{h} in the module of elements of the same degree as \\spad{g} and \\spad{h}. Error: if \\spad{g} and \\spad{h} have different degrees.")) (- (($ $ $) "\\spad{g-h} is the difference of \\spad{g} and \\spad{h} in the module of elements of the same degree as \\spad{g} and \\spad{h}. Error: if \\spad{g} and \\spad{h} have different degrees.") (($ $) "\\spad{-g} is the additive inverse of \\spad{g} in the module of elements of the same grade as \\spad{g}.")) (* (($ $ |#2|) "\\spad{g*r} is right module multiplication.") (($ |#2| $) "\\spad{r*g} is left module multiplication.")) ((|Zero|) (($) "0 denotes the zero of degree 0.")) (|degree| ((|#3| $) "\\spad{degree(g)} names the degree of \\spad{g}. The set of all elements of a given degree form an \\spad{R}-module."))) 
 NIL 
 NIL 
-(-475 R E) 
+(-476 R E) 
 ((|constructor| (NIL "GradedModule(\\spad{R},{}\\spad{E}) denotes ``E-graded \\spad{R}-module\\spad{''},{} \\spadignore{i.e.} collection of \\spad{R}-modules indexed by an abelian monoid \\spad{E}. An element \\spad{g} of \\spad{G[s]} for some specific \\spad{s} in \\spad{E} is said to be an element of \\spad{G} with degree \\spad{s}. Sums are defined in each module \\spad{G[s]} so two elements of \\spad{G} have a sum if they have the same degree. \\blankline Morphisms can be defined and composed by degree to give the mathematical category of graded modules.")) (+ (($ $ $) "\\spad{g+h} is the sum of \\spad{g} and \\spad{h} in the module of elements of the same degree as \\spad{g} and \\spad{h}. Error: if \\spad{g} and \\spad{h} have different degrees.")) (- (($ $ $) "\\spad{g-h} is the difference of \\spad{g} and \\spad{h} in the module of elements of the same degree as \\spad{g} and \\spad{h}. Error: if \\spad{g} and \\spad{h} have different degrees.") (($ $) "\\spad{-g} is the additive inverse of \\spad{g} in the module of elements of the same grade as \\spad{g}.")) (* (($ $ |#1|) "\\spad{g*r} is right module multiplication.") (($ |#1| $) "\\spad{r*g} is left module multiplication.")) ((|Zero|) (($) "0 denotes the zero of degree 0.")) (|degree| ((|#2| $) "\\spad{degree(g)} names the degree of \\spad{g}. The set of all elements of a given degree form an \\spad{R}-module."))) 
 NIL 
 NIL 
-(-476 |lv| -1478 R) 
+(-477 |lv| -1564 R) 
 ((|constructor| (NIL "Solve systems of polynomial equations using Groebner bases Total order Groebner bases are computed and then converted to lex ones This package is mostly intended for internal use.")) (|genericPosition| (((|Record| (|:| |dpolys| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|:| |coords| (|List| (|Integer|)))) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|OrderedVariableList| |#1|))) "\\spad{genericPosition(lp,{}lv)} puts a radical zero dimensional ideal in general position,{} for system \\spad{lp} in variables \\spad{lv}.")) (|testDim| (((|Union| (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) "failed") (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|OrderedVariableList| |#1|))) "\\spad{testDim(lp,{}lv)} tests if the polynomial system \\spad{lp} in variables \\spad{lv} is zero dimensional.")) (|groebSolve| (((|List| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|OrderedVariableList| |#1|))) "\\spad{groebSolve(lp,{}lv)} reduces the polynomial system \\spad{lp} in variables \\spad{lv} to triangular form. Algorithm based on groebner bases algorithm with linear algebra for change of ordering. Preprocessing for the general solver. The polynomials in input are of type \\spadtype{DMP}."))) 
 NIL 
 NIL 
-(-477 S) 
+(-478 S) 
 ((|constructor| (NIL "The class of multiplicative groups,{} \\spadignore{i.e.} monoids with multiplicative inverses. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{leftInverse(\"*\":(\\%,{}\\%)->\\%,{}inv)}\\tab{5}\\spad{ inv(x)*x = 1 }\\spad{\\br} \\tab{5}\\spad{rightInverse(\"*\":(\\%,{}\\%)->\\%,{}inv)}\\tab{4}\\spad{ x*inv(x) = 1 }")) (|commutator| (($ $ $) "\\spad{commutator(p,{}q)} computes \\spad{inv(p) * inv(q) * p * q}.")) (|conjugate| (($ $ $) "\\spad{conjugate(p,{}q)} computes \\spad{inv(q) * p * q}; this is 'right action by conjugation'.")) (|unitsKnown| ((|attribute|) "unitsKnown asserts that recip only returns \"failed\" for non-units.")) (^ (($ $ (|Integer|)) "\\spad{x^n} returns \\spad{x} raised to the integer power \\spad{n}.")) (** (($ $ (|Integer|)) "\\spad{x**n} returns \\spad{x} raised to the integer power \\spad{n}.")) (/ (($ $ $) "\\spad{x/y} is the same as \\spad{x} times the inverse of \\spad{y}.")) (|inv| (($ $) "\\spad{inv(x)} returns the inverse of \\spad{x}."))) 
 NIL 
 NIL 
-(-478) 
+(-479) 
 ((|constructor| (NIL "The class of multiplicative groups,{} \\spadignore{i.e.} monoids with multiplicative inverses. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{leftInverse(\"*\":(\\%,{}\\%)->\\%,{}inv)}\\tab{5}\\spad{ inv(x)*x = 1 }\\spad{\\br} \\tab{5}\\spad{rightInverse(\"*\":(\\%,{}\\%)->\\%,{}inv)}\\tab{4}\\spad{ x*inv(x) = 1 }")) (|commutator| (($ $ $) "\\spad{commutator(p,{}q)} computes \\spad{inv(p) * inv(q) * p * q}.")) (|conjugate| (($ $ $) "\\spad{conjugate(p,{}q)} computes \\spad{inv(q) * p * q}; this is 'right action by conjugation'.")) (|unitsKnown| ((|attribute|) "unitsKnown asserts that recip only returns \"failed\" for non-units.")) (^ (($ $ (|Integer|)) "\\spad{x^n} returns \\spad{x} raised to the integer power \\spad{n}.")) (** (($ $ (|Integer|)) "\\spad{x**n} returns \\spad{x} raised to the integer power \\spad{n}.")) (/ (($ $ $) "\\spad{x/y} is the same as \\spad{x} times the inverse of \\spad{y}.")) (|inv| (($ $) "\\spad{inv(x)} returns the inverse of \\spad{x}."))) 
-((-4518 . T)) 
+((-4532 . T)) 
 NIL 
-(-479 |Coef| |var| |cen|) 
+(-480 |Coef| |var| |cen|) 
 ((|constructor| (NIL "This is a category of univariate Puiseux series constructed from univariate Laurent series. A Puiseux series is represented by a pair \\spad{[r,{}f(x)]},{} where \\spad{r} is a positive rational number and \\spad{f(x)} is a Laurent series. This pair represents the Puiseux series \\spad{f(x\\^r)}.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),{}x)} returns the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|coerce| (($ (|UnivariatePuiseuxSeries| |#1| |#2| |#3|)) "\\spad{coerce(f)} converts a Puiseux series to a general power series.") (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a Puiseux series."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4519 |has| |#1| (-365)) (-4513 |has| |#1| (-365)) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-172))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558)))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-150))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -409) (QUOTE (-568))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -409) (QUOTE (-568))) (|devaluate| |#1|))))) (|HasCategory| (-409 (-568)) (QUOTE (-1102))) (|HasCategory| |#1| (QUOTE (-365))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-558)))) (-2199 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-558)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -409) (QUOTE (-568)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -409) (QUOTE (-568)))))) (|HasSignature| |#1| (LIST (QUOTE -2747) (LIST (|devaluate| |#1|) (QUOTE (-1161)))))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-959))) (|HasCategory| |#1| (QUOTE (-1181)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasSignature| |#1| (LIST (QUOTE -1845) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1161))))) (|HasSignature| |#1| (LIST (QUOTE -2057) (LIST (LIST (QUOTE -634) (QUOTE (-1161))) (|devaluate| |#1|))))))) 
-(-480 |Key| |Entry| |Tbl| |dent|) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|))))) (|HasCategory| (-410 (-569)) (QUOTE (-1103))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163)))))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-960))) (|HasCategory| |#1| (QUOTE (-1183)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2565) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1163))))) (|HasSignature| |#1| (LIST (QUOTE -1773) (LIST (LIST (QUOTE -635) (QUOTE (-1163))) (|devaluate| |#1|))))))) 
+(-481 |Key| |Entry| |Tbl| |dent|) 
 ((|constructor| (NIL "A sparse table has a default entry,{} which is returned if no other value has been explicitly stored for a key."))) 
-((-4522 . T)) 
-((|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#2| (QUOTE (-1090))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1090)))) (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (QUOTE (-1090))) (-12 (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (LIST (QUOTE -303) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3651) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -4085) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (QUOTE (-1090)))) (-2199 (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (QUOTE (-1090))) (|HasCategory| |#2| (QUOTE (-1090))))) 
-(-481 R E V P) 
+((-4536 . T)) 
+((|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-1091))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091)))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (-12 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3782) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091)))) (-2232 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (|HasCategory| |#2| (QUOTE (-1091))))) 
+(-482 R E V P) 
 ((|constructor| (NIL "A domain constructor of the category \\axiomType{TriangularSetCategory}. The only requirement for a list of polynomials to be a member of such a domain is the following: no polynomial is constant and two distinct polynomials have distinct main variables. Such a triangular set may not be auto-reduced or consistent. Triangular sets are stored as sorted lists \\spad{w}.\\spad{r}.\\spad{t}. the main variables of their members but they are displayed in reverse order."))) 
-((-4522 . T) (-4521 . T)) 
-((|HasCategory| |#4| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#4| (QUOTE (-1090))) (-12 (|HasCategory| |#4| (LIST (QUOTE -303) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1090)))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#3| (QUOTE (-370)))) 
-(-482) 
+((-4536 . T) (-4535 . T)) 
+((|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#4| (QUOTE (-1091))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#3| (QUOTE (-371)))) 
+(-483) 
 ((|constructor| (NIL "This package exports guessing of sequences of rational functions"))) 
 NIL 
-((|HasCategory| (-53) (LIST (QUOTE -1037) (QUOTE (-1161))))) 
-(-483 -1478) 
+((|HasCategory| (-53) (LIST (QUOTE -1038) (QUOTE (-1163))))) 
+(-484 -1564) 
 ((|constructor| (NIL "This package exports guessing of sequences of numbers in a finite field"))) 
 NIL 
 NIL 
-(-484 -1478) 
+(-485 -1564) 
 ((|constructor| (NIL "This package exports guessing of sequences of numbers in a finite field"))) 
 NIL 
-((|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-1161))))) 
-(-485) 
+((|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-1163))))) 
+(-486) 
 ((|constructor| (NIL "This package exports guessing of sequences of rational numbers"))) 
 NIL 
-((-12 (|HasCategory| (-409 (-568)) (LIST (QUOTE -1037) (QUOTE (-1161)))) (|HasCategory| (-568) (LIST (QUOTE -1037) (QUOTE (-1161)))))) 
-(-486 -1478 S EXPRR R -2857 -2747) 
+((-12 (|HasCategory| (-410 (-569)) (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| (-569) (LIST (QUOTE -1038) (QUOTE (-1163)))))) 
+(-487 -1564 S EXPRR R -2428 -2185) 
 ((|constructor| (NIL "This package implements guessing of sequences. Packages for the most common cases are provided as \\spadtype{GuessInteger},{} \\spadtype{GuessPolynomial},{} etc.")) (|shiftHP| (((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{shiftHP options} returns a specification for Hermite-Pade approximation with the \\$\\spad{q}\\$-shift operator") (((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) "\\spad{shiftHP options} returns a specification for Hermite-Pade approximation with the shift operator")) (|diffHP| (((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{diffHP options} returns a specification for Hermite-Pade approximation with the \\$\\spad{q}\\$-dilation operator") (((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) "\\spad{diffHP options} returns a specification for Hermite-Pade approximation with the differential operator")) (|guessRat| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessRat q} returns a guesser that tries to find a \\spad{q}-rational function whose first values are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessRec} with \\spad{(l,{} maxShift == 0,{} maxPower == 1,{} allDegrees == true)}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessRat l} tries to find a rational function whose first values are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessRec}\\spad{(l,{} maxShift == 0,{} maxPower == 1,{} allDegrees == true)}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessRat(l,{} options)} tries to find a rational function whose first values are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(l,{} maxShift == 0,{} maxPower == 1,{} allDegrees == true)}.")) (|guessPRec| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessPRec q} returns a guesser that tries to find a linear \\spad{q}-recurrence with polynomial coefficients whose first values are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(q)} with \\spad{maxPower == 1}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessPRec l} tries to find a linear recurrence with polynomial coefficients whose first values are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessRec}\\spad{(l,{} maxPower == 1)}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessPRec(l,{} options)} tries to find a linear recurrence with polynomial coefficients whose first values are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(l,{} options)} with \\spad{maxPower == 1}.")) (|guessRec| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessRec q} returns a guesser that finds an ordinary \\spad{q}-difference equation whose first values are given by \\spad{l},{} using the given options.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessRec(l,{} options)} tries to find an ordinary difference equation whose first values are given by \\spad{l},{} using the given options.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessRec l} tries to find an ordinary difference equation whose first values are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}.")) (|guessPade| (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessPade(l,{} options)} tries to find a rational function whose first Taylor coefficients are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}\\spad{(l,{} options)} with \\spad{maxDerivative == 0,{} maxPower == 1,{} allDegrees == true}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessPade(l,{} options)} tries to find a rational function whose first Taylor coefficients are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessADE}\\spad{(l,{} maxDerivative == 0,{} maxPower == 1,{} allDegrees == true)}.")) (|guessHolo| (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessHolo(l,{} options)} tries to find an ordinary linear differential equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessADE}\\spad{(l,{} options)} with \\spad{maxPower == 1}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessHolo l} tries to find an ordinary linear differential equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}\\spad{(l,{} maxPower == 1)}.")) (|guessAlg| (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessAlg(l,{} options)} tries to find an algebraic equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessADE}(\\spad{l},{} options) with \\spad{maxDerivative == 0}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessAlg l} tries to find an algebraic equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}(\\spad{l},{} maxDerivative \\spad{==} 0).")) (|guessADE| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessADE q} returns a guesser that tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the given options.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessADE(l,{} options)} tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the given options.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessADE l} tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}.")) (|guessHP| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) "\\spad{guessHP f} constructs an operation that applies Hermite-Pade approximation to the series generated by the given function \\spad{f}.")) (|guessBinRat| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessBinRat q} returns a guesser that tries to find a function of the form \\spad{n+}->qbinomial(a+b \\spad{n},{} \\spad{n}) \\spad{r}(\\spad{n}),{} where \\spad{r}(\\spad{q^n}) is a \\spad{q}-rational function,{} that fits \\spad{l}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessBinRat(l,{} options)} tries to find a function of the form \\spad{n+}->binomial(a+b \\spad{n},{} \\spad{n}) \\spad{r}(\\spad{n}),{} where \\spad{r}(\\spad{n}) is a rational function,{} that fits \\spad{l}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessBinRat(l,{} options)} tries to find a function of the form \\spad{n+}->binomial(a+b \\spad{n},{} \\spad{n}) \\spad{r}(\\spad{n}),{} where \\spad{r}(\\spad{n}) is a rational function,{} that fits \\spad{l}.")) (|guessExpRat| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessExpRat q} returns a guesser that tries to find a function of the form \\spad{n+}->(a+b \\spad{q^n})\\spad{^n} \\spad{r}(\\spad{q^n}),{} where \\spad{r}(\\spad{q^n}) is a \\spad{q}-rational function,{} that fits \\spad{l}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessExpRat(l,{} options)} tries to find a function of the form \\spad{n+}->(a+b \\spad{n})\\spad{^n} \\spad{r}(\\spad{n}),{} where \\spad{r}(\\spad{n}) is a rational function,{} that fits \\spad{l}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessExpRat l} tries to find a function of the form \\spad{n+}->(a+b \\spad{n})\\spad{^n} \\spad{r}(\\spad{n}),{} where \\spad{r}(\\spad{n}) is a rational function,{} that fits \\spad{l}.")) (|guess| (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|))) "\\spad{guess(l,{} guessers,{} ops)} applies recursively the given \\spad{guessers} to the successive differences if ops contains the symbol \\spad{guessSum} and quotients if ops contains the symbol \\spad{guessProduct} to the list. The given options are used.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (|List| (|Symbol|))) "\\spad{guess(l,{} guessers,{} ops)} applies recursively the given \\spad{guessers} to the successive differences if ops contains the symbol guessSum and quotients if ops contains the symbol guessProduct to the list. Default options as described in \\spadtype{GuessOptionFunctions0} are used.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guess(l,{} options)} applies recursively \\spadfun{guessRec} and \\spadfun{guessADE} to the successive differences and quotients of the list. The given options are used.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guess l} applies recursively \\spadfun{guessRec} and \\spadfun{guessADE} to the successive differences and quotients of the list. Default options as described in \\spadtype{GuessOptionFunctions0} are used."))) 
 NIL 
-((-12 (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-1161)))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-1161)))))) 
-(-487) 
+((-12 (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-1163)))))) 
+(-488) 
 ((|constructor| (NIL "This package exports guessing of sequences of rational functions"))) 
 NIL 
-((-12 (|HasCategory| (-409 (-953 (-568))) (LIST (QUOTE -1037) (QUOTE (-1161)))) (|HasCategory| (-953 (-568)) (LIST (QUOTE -1037) (QUOTE (-1161)))))) 
-(-488 |q|) 
+((-12 (|HasCategory| (-410 (-954 (-569))) (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| (-954 (-569)) (LIST (QUOTE -1038) (QUOTE (-1163)))))) 
+(-489 |q|) 
 ((|constructor| (NIL "This package exports guessing of sequences of univariate rational functions")) (|shiftHP| (((|Mapping| HPSPEC (|List| (|GuessOption|))) (|Symbol|)) "\\spad{shiftHP options} returns a specification for Hermite-Pade approximation with the \\$\\spad{q}\\$-shift operator") ((HPSPEC (|List| (|GuessOption|))) "\\spad{shiftHP options} returns a specification for Hermite-Pade approximation with the shift operator")) (|diffHP| (((|Mapping| HPSPEC (|List| (|GuessOption|))) (|Symbol|)) "\\spad{diffHP options} returns a specification for Hermite-Pade approximation with the \\$\\spad{q}\\$-dilation operator") ((HPSPEC (|List| (|GuessOption|))) "\\spad{diffHP options} returns a specification for Hermite-Pade approximation with the differential operator")) (|guessRat| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessRat q} returns a guesser that tries to find a \\spad{q}-rational function whose first values are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessRec} with \\spad{(l,{} maxShift == 0,{} maxPower == 1,{} allDegrees == true)}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessRat l} tries to find a rational function whose first values are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessRec}\\spad{(l,{} maxShift == 0,{} maxPower == 1,{} allDegrees == true)}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessRat(l,{} options)} tries to find a rational function whose first values are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(l,{} maxShift == 0,{} maxPower == 1,{} allDegrees == true)}.")) (|guessPRec| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessPRec q} returns a guesser that tries to find a linear \\spad{q}-recurrence with polynomial coefficients whose first values are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(q)} with \\spad{maxPower == 1}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessPRec l} tries to find a linear recurrence with polynomial coefficients whose first values are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessRec}\\spad{(l,{} maxPower == 1)}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessPRec(l,{} options)} tries to find a linear recurrence with polynomial coefficients whose first values are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(l,{} options)} with \\spad{maxPower == 1}.")) (|guessRec| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessRec q} returns a guesser that finds an ordinary \\spad{q}-difference equation whose first values are given by \\spad{l},{} using the given options.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessRec(l,{} options)} tries to find an ordinary difference equation whose first values are given by \\spad{l},{} using the given options.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessRec l} tries to find an ordinary difference equation whose first values are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}.")) (|guessPade| (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessPade(l,{} options)} tries to find a rational function whose first Taylor coefficients are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}\\spad{(l,{} options)} with \\spad{maxDerivative == 0,{} maxPower == 1,{} allDegrees == true}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessPade(l,{} options)} tries to find a rational function whose first Taylor coefficients are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessADE}\\spad{(l,{} maxDerivative == 0,{} maxPower == 1,{} allDegrees == true)}.")) (|guessHolo| (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessHolo(l,{} options)} tries to find an ordinary linear differential equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessADE}\\spad{(l,{} options)} with \\spad{maxPower == 1}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessHolo l} tries to find an ordinary linear differential equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}\\spad{(l,{} maxPower == 1)}.")) (|guessAlg| (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessAlg(l,{} options)} tries to find an algebraic equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessADE}(\\spad{l},{} options) with \\spad{maxDerivative == 0}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessAlg l} tries to find an algebraic equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}(\\spad{l},{} maxDerivative \\spad{==} 0).")) (|guessADE| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessADE q} returns a guesser that tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the given options.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessADE(l,{} options)} tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the given options.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessADE l} tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}.")) (|guessHP| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Mapping| HPSPEC (|List| (|GuessOption|)))) "\\spad{guessHP f} constructs an operation that applies Hermite-Pade approximation to the series generated by the given function \\spad{f}.")) (|guessBinRat| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessBinRat q} returns a guesser that tries to find a function of the form \\spad{n+}->qbinomial(a+b \\spad{n},{} \\spad{n}) \\spad{r}(\\spad{n}),{} where \\spad{r}(\\spad{q^n}) is a \\spad{q}-rational function,{} that fits \\spad{l}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessBinRat(l,{} options)} tries to find a function of the form \\spad{n+}->binomial(a+b \\spad{n},{} \\spad{n}) \\spad{r}(\\spad{n}),{} where \\spad{r}(\\spad{n}) is a rational function,{} that fits \\spad{l}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessBinRat(l,{} options)} tries to find a function of the form \\spad{n+}->binomial(a+b \\spad{n},{} \\spad{n}) \\spad{r}(\\spad{n}),{} where \\spad{r}(\\spad{n}) is a rational function,{} that fits \\spad{l}.")) (|guessExpRat| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessExpRat q} returns a guesser that tries to find a function of the form \\spad{n+}->(a+b \\spad{q^n})\\spad{^n} \\spad{r}(\\spad{q^n}),{} where \\spad{r}(\\spad{q^n}) is a \\spad{q}-rational function,{} that fits \\spad{l}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessExpRat(l,{} options)} tries to find a function of the form \\spad{n+}->(a+b \\spad{n})\\spad{^n} \\spad{r}(\\spad{n}),{} where \\spad{r}(\\spad{n}) is a rational function,{} that fits \\spad{l}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessExpRat l} tries to find a function of the form \\spad{n+}->(a+b \\spad{n})\\spad{^n} \\spad{r}(\\spad{n}),{} where \\spad{r}(\\spad{n}) is a rational function,{} that fits \\spad{l}.")) (|guess| (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|))) "\\spad{guess(l,{} guessers,{} ops)} applies recursively the given \\spad{guessers} to the successive differences if ops contains the symbol \\spad{guessSum} and quotients if ops contains the symbol \\spad{guessProduct} to the list. The given options are used.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (|List| (|Symbol|))) "\\spad{guess(l,{} guessers,{} ops)} applies recursively the given \\spad{guessers} to the successive differences if ops contains the symbol guessSum and quotients if ops contains the symbol guessProduct to the list. Default options as described in \\spadtype{GuessOptionFunctions0} are used.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guess(l,{} options)} applies recursively \\spadfun{guessRec} and \\spadfun{guessADE} to the successive differences and quotients of the list. The given options are used.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guess l} applies recursively \\spadfun{guessRec} and \\spadfun{guessADE} to the successive differences and quotients of the list. Default options as described in \\spadtype{GuessOptionFunctions0} are used."))) 
 NIL 
 NIL 
-(-489) 
+(-490) 
 ((|constructor| (NIL "Symbolic fractions in \\%\\spad{pi} with integer coefficients; The point for using \\spad{Pi} as the default domain for those fractions is that \\spad{Pi} is coercible to the float types,{} and not Expression.")) (|pi| (($) "\\spad{\\spad{pi}()} returns the symbolic \\%\\spad{pi}."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-490 |Key| |Entry| |hashfn|) 
+(-491 |Key| |Entry| |hashfn|) 
 ((|constructor| (NIL "This domain provides access to the underlying Lisp hash tables. By varying the hashfn parameter,{} tables suited for different purposes can be obtained."))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (QUOTE (-1090))) (-12 (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (LIST (QUOTE -303) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3651) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -4085) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (QUOTE (-1090)))) (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#2| (QUOTE (-1090))) (-2199 (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (QUOTE (-1090))) (|HasCategory| |#2| (QUOTE (-1090)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1090))))) 
-(-491) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (-12 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3782) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-1091))) (-2232 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (|HasCategory| |#2| (QUOTE (-1091)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091))))) 
+(-492) 
 ((|constructor| (NIL "Generate a basis for the free Lie algebra on \\spad{n} generators over a ring \\spad{R} with identity up to basic commutators of length \\spad{c} using the algorithm of \\spad{P}. Hall as given in Serre\\spad{'s} book Lie Groups \\spad{--} Lie Algebras")) (|generate| (((|Vector| (|List| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{generate(numberOfGens,{} maximalWeight)} generates a vector of elements of the form [left,{}weight,{}right] which represents a \\spad{P}. Hall basis element for the free lie algebra on \\spad{numberOfGens} generators. We only generate those basis elements of weight less than or equal to maximalWeight")) (|inHallBasis?| (((|Boolean|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{inHallBasis?(numberOfGens,{} leftCandidate,{} rightCandidate,{} left)} tests to see if a new element should be added to the \\spad{P}. Hall basis being constructed. The list \\spad{[leftCandidate,{}wt,{}rightCandidate]} is included in the basis if in the unique factorization of \\spad{rightCandidate},{} we have left factor leftOfRight,{} and leftOfRight \\spad{<=} \\spad{leftCandidate}")) (|lfunc| (((|Integer|) (|Integer|) (|Integer|)) "\\spad{lfunc(d,{}n)} computes the rank of the \\spad{n}th factor in the lower central series of the free \\spad{d}-generated free Lie algebra; This rank is \\spad{d} if \\spad{n} = 1 and binom(\\spad{d},{}2) if \\spad{n} = 2"))) 
 NIL 
 NIL 
-(-492 |vl| R) 
+(-493 |vl| R) 
 ((|constructor| (NIL "This type supports distributed multivariate polynomials whose variables are from a user specified list of symbols. The coefficient ring may be non commutative,{} but the variables are assumed to commute. The term ordering is total degree ordering refined by reverse lexicographic ordering with respect to the position that the variables appear in the list of variables parameter.")) (|reorder| (($ $ (|List| (|Integer|))) "\\spad{reorder(p,{} perm)} applies the permutation perm to the variables in a polynomial and returns the new correctly ordered polynomial"))) 
-(((-4523 "*") |has| |#2| (-172)) (-4514 |has| |#2| (-558)) (-4519 |has| |#2| (-6 -4519)) (-4516 . T) (-4515 . T) (-4518 . T)) 
-((|HasCategory| |#2| (QUOTE (-904))) (|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-172))) (-2199 (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-558)))) (-12 (|HasCategory| (-852 |#1|) (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#2| (LIST (QUOTE -881) (QUOTE (-381))))) (-12 (|HasCategory| (-852 |#1|) (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -881) (QUOTE (-568))))) (-12 (|HasCategory| (-852 |#1|) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#2| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381)))))) (-12 (|HasCategory| (-852 |#1|) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568)))))) (-12 (|HasCategory| (-852 |#1|) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-541))))) (|HasCategory| |#2| (QUOTE (-842))) (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-150))) (|HasCategory| |#2| (QUOTE (-148))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-365))) (-2199 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (|HasAttribute| |#2| (QUOTE -4519)) (|HasCategory| |#2| (QUOTE (-453))) (-2199 (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-453))) (|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-904)))) (-2199 (|HasCategory| |#2| (QUOTE (-453))) (|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-904)))) (-2199 (|HasCategory| |#2| (QUOTE (-453))) (|HasCategory| |#2| (QUOTE (-904)))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#2| (QUOTE (-904)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#2| (QUOTE (-904)))) (|HasCategory| |#2| (QUOTE (-148))))) 
-(-493 -1965 S) 
+(((-4537 "*") |has| |#2| (-173)) (-4528 |has| |#2| (-559)) (-4533 |has| |#2| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
+((|HasCategory| |#2| (QUOTE (-905))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#2| (QUOTE (-843))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#2| (QUOTE -4533)) (|HasCategory| |#2| (QUOTE (-454))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (|HasCategory| |#2| (QUOTE (-149))))) 
+(-494 -4391 S) 
 ((|constructor| (NIL "This type represents the finite direct or cartesian product of an underlying ordered component type. The vectors are ordered first by the sum of their components,{} and then refined using a reverse lexicographic ordering. This type is a suitable third argument for \\spadtype{GeneralDistributedMultivariatePolynomial}."))) 
-((-4515 |has| |#2| (-1047)) (-4516 |has| |#2| (-1047)) (-4518 |has| |#2| (-6 -4518)) ((-4523 "*") |has| |#2| (-172)) (-4521 . T)) 
-((|HasCategory| |#2| (QUOTE (-1090))) (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-1047))) (|HasCategory| |#2| (QUOTE (-788))) (|HasCategory| |#2| (QUOTE (-840))) (-2199 (|HasCategory| |#2| (QUOTE (-788))) (|HasCategory| |#2| (QUOTE (-840)))) (|HasCategory| |#2| (QUOTE (-716))) (|HasCategory| |#2| (QUOTE (-172))) (-2199 (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-1047)))) (-2199 (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-365)))) (-2199 (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-1047)))) (|HasCategory| |#2| (QUOTE (-370))) (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-225))) (-2199 (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-225))) (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-1047)))) (-2199 (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-225))) (|HasCategory| |#2| (QUOTE (-1047)))) (|HasCategory| (-568) (QUOTE (-842))) (-12 (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-1047)))) (-12 (|HasCategory| |#2| (QUOTE (-225))) (|HasCategory| |#2| (QUOTE (-1047)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-1047)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-1090)))) (|HasCategory| |#2| (QUOTE (-1047)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-1090)))) (|HasAttribute| |#2| (QUOTE -4518)) (|HasCategory| |#2| (QUOTE (-137))) (-2199 (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-137))) (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-225))) (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-1047)))) (|HasCategory| |#2| (QUOTE (-25))) (-2199 (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-137))) (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-225))) (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-370))) (|HasCategory| |#2| (QUOTE (-716))) (|HasCategory| |#2| (QUOTE (-788))) (|HasCategory| |#2| (QUOTE (-840))) (|HasCategory| |#2| (QUOTE (-1047))) (|HasCategory| |#2| (QUOTE (-1090)))) (-2199 (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-137))) (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-225))) (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-1047)))) (-2199 (-12 (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-137)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-172)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-225)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-365)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-370)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-716)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-788)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-840)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-1047)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-1090))))) (-2199 (-12 (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-137)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-172)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-225)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-365)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-370)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-716)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-788)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-840)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-1047)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-1090))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-137)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-172)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-225)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-365)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-370)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-716)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-788)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-840)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1047)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1090)))))) 
-(-494 S) 
+((-4529 |has| |#2| (-1048)) (-4530 |has| |#2| (-1048)) (-4532 |has| |#2| (-6 -4532)) ((-4537 "*") |has| |#2| (-173)) (-4535 . T)) 
+((|HasCategory| |#2| (QUOTE (-1091))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048))) (|HasCategory| |#2| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-841))) (-2232 (|HasCategory| |#2| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-841)))) (|HasCategory| |#2| (QUOTE (-717))) (|HasCategory| |#2| (QUOTE (-173))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048)))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366)))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-1048)))) (|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-226))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048)))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1048)))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1091)))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1091)))) (|HasAttribute| |#2| (QUOTE -4532)) (|HasCategory| |#2| (QUOTE (-138))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048)))) (|HasCategory| |#2| (QUOTE (-25))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (QUOTE (-717))) (|HasCategory| |#2| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-841))) (|HasCategory| |#2| (QUOTE (-1048))) (|HasCategory| |#2| (QUOTE (-1091)))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048)))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-717)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-789)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-841)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1091))))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-717)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-789)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-841)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1091))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-717)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-789)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-841)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091)))))) 
+(-495 S) 
 ((|constructor| (NIL "Heap implemented in a flexible array to allow for insertions")) (|member?| (((|Boolean|) |#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} member?(3,{}a)")) (|members| (((|List| |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} members a")) (|parts| (((|List| |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} parts a")) (|#| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} \\#a")) (|count| (((|NonNegativeInteger|) |#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} count(4,{}a)") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} count(\\spad{x+}->(\\spad{x>2}),{}a)")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} any?(\\spad{x+}->(\\spad{x=4}),{}a)")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} every?(\\spad{x+}->(\\spad{x=4}),{}a)")) (~= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} b:=copy a \\spad{X} (a~=b)")) (= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} b:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} (a=b)@Boolean")) (|coerce| (((|OutputForm|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} coerce a")) (|hash| (((|SingleInteger|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} hash a")) (|latex| (((|String|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} latex a")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} map!(\\spad{x+}-\\spad{>x+10},{}a) \\spad{X} a")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} size?(a,{}5)")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} more?(a,{}9)")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} less?(a,{}9)")) (|sample| (($) "\\blankline \\spad{X} sample()\\$Heap(INT)")) (|merge!| (($ $ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} b:Heap INT:= heap [6,{}7,{}8,{}9,{}10] \\spad{X} merge!(a,{}\\spad{b}) \\spad{X} a \\spad{X} \\spad{b}")) (|merge| (($ $ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} b:Heap INT:= heap [6,{}7,{}8,{}9,{}10] \\spad{X} merge(a,{}\\spad{b})")) (|max| ((|#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} max a")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} map(\\spad{x+}-\\spad{>x+10},{}a) \\spad{X} a")) (|inspect| ((|#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} inspect a")) (|insert!| (($ |#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} insert!(8,{}a) \\spad{X} a")) (|extract!| ((|#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} extract! a \\spad{X} a")) (|eq?| (((|Boolean|) $ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} b:=copy a \\spad{X} eq?(a,{}\\spad{b})")) (|empty| (($) "\\blankline \\spad{X} b:=empty()\\$(Heap INT)")) (|empty?| (((|Boolean|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} empty? a")) (|copy| (($ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} copy a")) (|bag| (($ (|List| |#1|)) "\\blankline \\spad{X} bag([1,{}2,{}3,{}4,{}5])\\$Heap(INT)")) (|heap| (($ (|List| |#1|)) "\\indented{1}{heap(\\spad{ls}) creates a heap of elements consisting of the} \\indented{1}{elements of \\spad{ls}.} \\blankline \\spad{E} i:Heap INT \\spad{:=} heap [1,{}6,{}3,{}7,{}5,{}2,{}4]"))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090))))) 
-(-495 -1478 UP UPUP R) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
+(-496 -1564 UP UPUP R) 
 ((|constructor| (NIL "This domains implements finite rational divisors on an hyperelliptic curve,{} that is finite formal sums SUM(\\spad{n} * \\spad{P}) where the \\spad{n}\\spad{'s} are integers and the \\spad{P}\\spad{'s} are finite rational points on the curve. The equation of the curve must be \\spad{y^2} = \\spad{f}(\\spad{x}) and \\spad{f} must have odd degree."))) 
 NIL 
 NIL 
-(-496 BP) 
+(-497 BP) 
 ((|constructor| (NIL "This package provides the functions for the heuristic integer \\spad{gcd}. Geddes\\spad{'s} algorithm,{}for univariate polynomials with integer coefficients")) (|lintgcd| (((|Integer|) (|List| (|Integer|))) "\\spad{lintgcd([a1,{}..,{}ak])} = \\spad{gcd} of a list of integers")) (|content| (((|List| (|Integer|)) (|List| |#1|)) "\\spad{content([f1,{}..,{}fk])} = content of a list of univariate polynonials")) (|gcdcofactprim| (((|List| |#1|) (|List| |#1|)) "\\spad{gcdcofactprim([f1,{}..fk])} = \\spad{gcd} and cofactors of \\spad{k} primitive polynomials.")) (|gcdcofact| (((|List| |#1|) (|List| |#1|)) "\\spad{gcdcofact([f1,{}..fk])} = \\spad{gcd} and cofactors of \\spad{k} univariate polynomials.")) (|gcdprim| ((|#1| (|List| |#1|)) "\\spad{gcdprim([f1,{}..,{}fk])} = \\spad{gcd} of \\spad{k} PRIMITIVE univariate polynomials")) (|gcd| ((|#1| (|List| |#1|)) "\\indented{1}{\\spad{gcd}([\\spad{f1},{}..,{}\\spad{fk}]) = \\spad{gcd} of the polynomials \\spad{fi}.} \\blankline \\spad{X} \\spad{gcd}([671*671*x^2-1,{}671*671*x^2+2*671*x+1]) \\spad{X} \\spad{gcd}([7*x^2+1,{}(7*x^2+1)\\spad{^2}])"))) 
 NIL 
 NIL 
-(-497) 
+(-498) 
 ((|constructor| (NIL "This domain allows rational numbers to be presented as repeating hexadecimal expansions.")) (|hex| (($ (|Fraction| (|Integer|))) "\\spad{hex(r)} converts a rational number to a hexadecimal expansion.")) (|fractionPart| (((|Fraction| (|Integer|)) $) "\\spad{fractionPart(h)} returns the fractional part of a hexadecimal expansion.")) (|coerce| (((|RadixExpansion| 16) $) "\\spad{coerce(h)} converts a hexadecimal expansion to a radix expansion with base 16.") (((|Fraction| (|Integer|)) $) "\\spad{coerce(h)} converts a hexadecimal expansion to a rational number."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| (-568) (QUOTE (-904))) (|HasCategory| (-568) (LIST (QUOTE -1037) (QUOTE (-1161)))) (|HasCategory| (-568) (QUOTE (-148))) (|HasCategory| (-568) (QUOTE (-150))) (|HasCategory| (-568) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| (-568) (QUOTE (-1021))) (|HasCategory| (-568) (QUOTE (-815))) (|HasCategory| (-568) (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| (-568) (QUOTE (-1136))) (|HasCategory| (-568) (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| (-568) (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| (-568) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| (-568) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| (-568) (QUOTE (-225))) (|HasCategory| (-568) (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| (-568) (LIST (QUOTE -523) (QUOTE (-1161)) (QUOTE (-568)))) (|HasCategory| (-568) (LIST (QUOTE -303) (QUOTE (-568)))) (|HasCategory| (-568) (LIST (QUOTE -281) (QUOTE (-568)) (QUOTE (-568)))) (|HasCategory| (-568) (QUOTE (-301))) (|HasCategory| (-568) (QUOTE (-550))) (|HasCategory| (-568) (QUOTE (-842))) (-2199 (|HasCategory| (-568) (QUOTE (-815))) (|HasCategory| (-568) (QUOTE (-842)))) (|HasCategory| (-568) (LIST (QUOTE -630) (QUOTE (-568)))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| (-568) (QUOTE (-904)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| (-568) (QUOTE (-904)))) (|HasCategory| (-568) (QUOTE (-148))))) 
-(-498 A S) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| (-569) (QUOTE (-905))) (|HasCategory| (-569) (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| (-569) (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-151))) (|HasCategory| (-569) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-1022))) (|HasCategory| (-569) (QUOTE (-816))) (|HasCategory| (-569) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1137))) (|HasCategory| (-569) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| (-569) (QUOTE (-226))) (|HasCategory| (-569) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-569) (LIST (QUOTE -524) (QUOTE (-1163)) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -282) (QUOTE (-569)) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-302))) (|HasCategory| (-569) (QUOTE (-551))) (|HasCategory| (-569) (QUOTE (-843))) (-2232 (|HasCategory| (-569) (QUOTE (-816))) (|HasCategory| (-569) (QUOTE (-843)))) (|HasCategory| (-569) (LIST (QUOTE -631) (QUOTE (-569)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-905)))) (|HasCategory| (-569) (QUOTE (-149))))) 
+(-499 A S) 
 ((|constructor| (NIL "A homogeneous aggregate is an aggregate of elements all of the same type. In the current system,{} all aggregates are homogeneous. Two attributes characterize classes of aggregates. Aggregates from domains with attribute \\spadatt{finiteAggregate} have a finite number of members. Those with attribute \\spadatt{shallowlyMutable} allow an element to be modified or updated without changing its overall value.")) (|member?| (((|Boolean|) |#2| $) "\\spad{member?(x,{}u)} tests if \\spad{x} is a member of \\spad{u}. For collections,{} \\axiom{member?(\\spad{x},{}\\spad{u}) = reduce(or,{}[x=y for \\spad{y} in \\spad{u}],{}\\spad{false})}.")) (|members| (((|List| |#2|) $) "\\spad{members(u)} returns a list of the consecutive elements of \\spad{u}. For collections,{} \\axiom{parts([\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]) = (\\spad{x},{}\\spad{y},{}...,{}\\spad{z})}.")) (|parts| (((|List| |#2|) $) "\\spad{parts(u)} returns a list of the consecutive elements of \\spad{u}. For collections,{} \\axiom{parts([\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]) = (\\spad{x},{}\\spad{y},{}...,{}\\spad{z})}.")) (|count| (((|NonNegativeInteger|) |#2| $) "\\spad{count(x,{}u)} returns the number of occurrences of \\spad{x} in \\spad{u}. For collections,{} \\axiom{count(\\spad{x},{}\\spad{u}) = reduce(+,{}[x=y for \\spad{y} in \\spad{u}],{}0)}.") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) "\\spad{count(p,{}u)} returns the number of elements \\spad{x} in \\spad{u} such that \\axiom{\\spad{p}(\\spad{x})} is \\spad{true}. For collections,{} \\axiom{count(\\spad{p},{}\\spad{u}) = reduce(+,{}[1 for \\spad{x} in \\spad{u} | \\spad{p}(\\spad{x})],{}0)}.")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) "\\spad{every?(f,{}u)} tests if \\spad{p}(\\spad{x}) is \\spad{true} for all elements \\spad{x} of \\spad{u}. Note that for collections,{} \\axiom{every?(\\spad{p},{}\\spad{u}) = reduce(and,{}map(\\spad{f},{}\\spad{u}),{}\\spad{true},{}\\spad{false})}.")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) "\\spad{any?(p,{}u)} tests if \\axiom{\\spad{p}(\\spad{x})} is \\spad{true} for any element \\spad{x} of \\spad{u}. Note that for collections,{} \\axiom{any?(\\spad{p},{}\\spad{u}) = reduce(or,{}map(\\spad{f},{}\\spad{u}),{}\\spad{false},{}\\spad{true})}.")) (|map!| (($ (|Mapping| |#2| |#2|) $) "\\spad{map!(f,{}u)} destructively replaces each element \\spad{x} of \\spad{u} by \\axiom{\\spad{f}(\\spad{x})}.")) (|map| (($ (|Mapping| |#2| |#2|) $) "\\spad{map(f,{}u)} returns a copy of \\spad{u} with each element \\spad{x} replaced by \\spad{f}(\\spad{x}). For collections,{} \\axiom{map(\\spad{f},{}\\spad{u}) = [\\spad{f}(\\spad{x}) for \\spad{x} in \\spad{u}]}."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4521)) (|HasAttribute| |#1| (QUOTE -4522)) (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1090)))) 
-(-499 S) 
+((|HasAttribute| |#1| (QUOTE -4535)) (|HasAttribute| |#1| (QUOTE -4536)) (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091)))) 
+(-500 S) 
 ((|constructor| (NIL "A homogeneous aggregate is an aggregate of elements all of the same type. In the current system,{} all aggregates are homogeneous. Two attributes characterize classes of aggregates. Aggregates from domains with attribute \\spadatt{finiteAggregate} have a finite number of members. Those with attribute \\spadatt{shallowlyMutable} allow an element to be modified or updated without changing its overall value.")) (|member?| (((|Boolean|) |#1| $) "\\spad{member?(x,{}u)} tests if \\spad{x} is a member of \\spad{u}. For collections,{} \\axiom{member?(\\spad{x},{}\\spad{u}) = reduce(or,{}[x=y for \\spad{y} in \\spad{u}],{}\\spad{false})}.")) (|members| (((|List| |#1|) $) "\\spad{members(u)} returns a list of the consecutive elements of \\spad{u}. For collections,{} \\axiom{parts([\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]) = (\\spad{x},{}\\spad{y},{}...,{}\\spad{z})}.")) (|parts| (((|List| |#1|) $) "\\spad{parts(u)} returns a list of the consecutive elements of \\spad{u}. For collections,{} \\axiom{parts([\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]) = (\\spad{x},{}\\spad{y},{}...,{}\\spad{z})}.")) (|count| (((|NonNegativeInteger|) |#1| $) "\\spad{count(x,{}u)} returns the number of occurrences of \\spad{x} in \\spad{u}. For collections,{} \\axiom{count(\\spad{x},{}\\spad{u}) = reduce(+,{}[x=y for \\spad{y} in \\spad{u}],{}0)}.") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\spad{count(p,{}u)} returns the number of elements \\spad{x} in \\spad{u} such that \\axiom{\\spad{p}(\\spad{x})} is \\spad{true}. For collections,{} \\axiom{count(\\spad{p},{}\\spad{u}) = reduce(+,{}[1 for \\spad{x} in \\spad{u} | \\spad{p}(\\spad{x})],{}0)}.")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\spad{every?(f,{}u)} tests if \\spad{p}(\\spad{x}) is \\spad{true} for all elements \\spad{x} of \\spad{u}. Note that for collections,{} \\axiom{every?(\\spad{p},{}\\spad{u}) = reduce(and,{}map(\\spad{f},{}\\spad{u}),{}\\spad{true},{}\\spad{false})}.")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\spad{any?(p,{}u)} tests if \\axiom{\\spad{p}(\\spad{x})} is \\spad{true} for any element \\spad{x} of \\spad{u}. Note that for collections,{} \\axiom{any?(\\spad{p},{}\\spad{u}) = reduce(or,{}map(\\spad{f},{}\\spad{u}),{}\\spad{false},{}\\spad{true})}.")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\spad{map!(f,{}u)} destructively replaces each element \\spad{x} of \\spad{u} by \\axiom{\\spad{f}(\\spad{x})}.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f,{}u)} returns a copy of \\spad{u} with each element \\spad{x} replaced by \\spad{f}(\\spad{x}). For collections,{} \\axiom{map(\\spad{f},{}\\spad{u}) = [\\spad{f}(\\spad{x}) for \\spad{x} in \\spad{u}]}."))) 
-((-3973 . T)) 
+((-2982 . T)) 
 NIL 
-(-500) 
+(-501) 
 ((|constructor| (NIL "HtmlFormat provides a coercion from OutputForm to html.")) (|display| (((|Void|) (|String|)) "\\indented{1}{display(\\spad{o}) prints the string returned by coerce.} \\blankline \\spad{X} display(coerce(sqrt(3+x)::OutputForm)\\$HTMLFORM)\\$HTMLFORM")) (|exprex| (((|String|) (|OutputForm|)) "\\indented{1}{exprex(\\spad{o}) coverts \\spadtype{OutputForm} to \\spadtype{String}} \\blankline \\spad{X} exprex(sqrt(3+x)::OutputForm)\\$HTMLFORM")) (|coerceL| (((|String|) (|OutputForm|)) "\\indented{1}{coerceL(\\spad{o}) changes \\spad{o} in the standard output format to html} \\indented{1}{format and displays result as one long string.} \\blankline \\spad{X} coerceL(sqrt(3+x)::OutputForm)\\$HTMLFORM")) (|coerceS| (((|String|) (|OutputForm|)) "\\indented{1}{coerceS(\\spad{o}) changes \\spad{o} in the standard output format to html} \\indented{1}{format and displays formatted result.} \\blankline \\spad{X} coerceS(sqrt(3+x)::OutputForm)\\$HTMLFORM")) (|coerce| (((|String|) (|OutputForm|)) "\\indented{1}{coerce(\\spad{o}) changes \\spad{o} in the standard output format to html format.} \\blankline \\spad{X} coerce(sqrt(3+x)::OutputForm)\\$HTMLFORM"))) 
 NIL 
 NIL 
-(-501 S) 
+(-502 S) 
 ((|constructor| (NIL "Category for the hyperbolic trigonometric functions.")) (|tanh| (($ $) "\\spad{tanh(x)} returns the hyperbolic tangent of \\spad{x}.")) (|sinh| (($ $) "\\spad{sinh(x)} returns the hyperbolic sine of \\spad{x}.")) (|sech| (($ $) "\\spad{sech(x)} returns the hyperbolic secant of \\spad{x}.")) (|csch| (($ $) "\\spad{csch(x)} returns the hyperbolic cosecant of \\spad{x}.")) (|coth| (($ $) "\\spad{coth(x)} returns the hyperbolic cotangent of \\spad{x}.")) (|cosh| (($ $) "\\spad{cosh(x)} returns the hyperbolic cosine of \\spad{x}."))) 
 NIL 
 NIL 
-(-502) 
+(-503) 
 ((|constructor| (NIL "Category for the hyperbolic trigonometric functions.")) (|tanh| (($ $) "\\spad{tanh(x)} returns the hyperbolic tangent of \\spad{x}.")) (|sinh| (($ $) "\\spad{sinh(x)} returns the hyperbolic sine of \\spad{x}.")) (|sech| (($ $) "\\spad{sech(x)} returns the hyperbolic secant of \\spad{x}.")) (|csch| (($ $) "\\spad{csch(x)} returns the hyperbolic cosecant of \\spad{x}.")) (|coth| (($ $) "\\spad{coth(x)} returns the hyperbolic cotangent of \\spad{x}.")) (|cosh| (($ $) "\\spad{cosh(x)} returns the hyperbolic cosine of \\spad{x}."))) 
 NIL 
 NIL 
-(-503 -1478 UP |AlExt| |AlPol|) 
+(-504 -1564 UP |AlExt| |AlPol|) 
 ((|constructor| (NIL "Factorisation in a simple algebraic extension Factorization of univariate polynomials with coefficients in an algebraic extension of a field over which we can factor UP\\spad{'s}.")) (|factor| (((|Factored| |#4|) |#4| (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{factor(p,{} f)} returns a prime factorisation of \\spad{p}; \\spad{f} is a factorisation map for elements of UP."))) 
 NIL 
 NIL 
-(-504) 
+(-505) 
 ((|constructor| (NIL "Algebraic closure of the rational numbers.")) (|norm| (($ $ (|List| (|Kernel| $))) "\\spad{norm(f,{}l)} computes the norm of the algebraic number \\spad{f} with respect to the extension generated by kernels \\spad{l}") (($ $ (|Kernel| $)) "\\spad{norm(f,{}k)} computes the norm of the algebraic number \\spad{f} with respect to the extension generated by kernel \\spad{k}") (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|List| (|Kernel| $))) "\\spad{norm(p,{}l)} computes the norm of the polynomial \\spad{p} with respect to the extension generated by kernels \\spad{l}") (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|Kernel| $)) "\\spad{norm(p,{}k)} computes the norm of the polynomial \\spad{p} with respect to the extension generated by kernel \\spad{k}")) (|trueEqual| (((|Boolean|) $ $) "\\spad{trueEqual(x,{}y)} tries to determine if the two numbers are equal")) (|reduce| (($ $) "\\spad{reduce(f)} simplifies all the unreduced algebraic numbers present in \\spad{f} by applying their defining relations.")) (|denom| (((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $) "\\spad{denom(f)} returns the denominator of \\spad{f} viewed as a polynomial in the kernels over \\spad{Z}.")) (|numer| (((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $) "\\spad{numer(f)} returns the numerator of \\spad{f} viewed as a polynomial in the kernels over \\spad{Z}.")) (|coerce| (($ (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $))) "\\spad{coerce(p)} returns \\spad{p} viewed as an algebraic number."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| $ (QUOTE (-1047))) (|HasCategory| $ (LIST (QUOTE -1037) (QUOTE (-568))))) 
-(-505 S |mn|) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| $ (QUOTE (-1048))) (|HasCategory| $ (LIST (QUOTE -1038) (QUOTE (-569))))) 
+(-506 S |mn|) 
 ((|constructor| (NIL "This is the basic one dimensional array data type."))) 
-((-4522 . T) (-4521 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (QUOTE (-842))) (-2199 (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-1090)))) (|HasCategory| (-568) (QUOTE (-842))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-842)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))))) 
-(-506 R |mnRow| |mnCol|) 
+((-4536 . T) (-4535 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (-2232 (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-843)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
+(-507 R |mnRow| |mnCol|) 
 ((|constructor| (NIL "This domain implements two dimensional arrays"))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090))))) 
-(-507 K R UP) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
+(-508 K R UP) 
 ((|constructor| (NIL "This package has no description")) (|chineseRemainder| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) (|List| |#3|) (|List| (|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) (|NonNegativeInteger|)) "\\spad{chineseRemainder(lu,{}lr,{}n)} \\undocumented")) (|listConjugateBases| (((|List| (|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) (|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{listConjugateBases(bas,{}q,{}n)} returns the list \\spad{[bas,{}bas^Frob,{}bas^(Frob^2),{}...bas^(Frob^(n-1))]},{} where \\spad{Frob} raises the coefficients of all polynomials appearing in the basis \\spad{bas} to the \\spad{q}th power.")) (|factorList| (((|List| (|SparseUnivariatePolynomial| |#1|)) |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{factorList(k,{}n,{}m,{}j)} \\undocumented"))) 
 NIL 
 NIL 
-(-508 R UP -1478) 
+(-509 R UP -1564) 
 ((|constructor| (NIL "This package contains functions used in the packages FunctionFieldIntegralBasis and NumberFieldIntegralBasis.")) (|moduleSum| (((|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|))) (|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|))) (|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|)))) "\\spad{moduleSum(m1,{}m2)} returns the sum of two modules in the framed algebra \\spad{F}. Each module \\spad{\\spad{mi}} is represented as follows: \\spad{F} is a framed algebra with \\spad{R}-module basis \\spad{w1,{}w2,{}...,{}wn} and \\spad{\\spad{mi}} is a record \\spad{[basis,{}basisDen,{}basisInv]}. If \\spad{basis} is the matrix \\spad{(aij,{} i = 1..n,{} j = 1..n)},{} then a basis \\spad{v1,{}...,{}vn} for \\spad{\\spad{mi}} is given by \\spad{\\spad{vi} = (1/basisDen) * sum(aij * wj,{} j = 1..n)},{} \\spadignore{i.e.} the \\spad{i}th row of 'basis' contains the coordinates of the \\spad{i}th basis vector. Similarly,{} the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{\\spad{wi}} with respect to the basis \\spad{v1,{}...,{}vn}: if \\spad{basisInv} is the matrix \\spad{(bij,{} i = 1..n,{} j = 1..n)},{} then \\spad{\\spad{wi} = sum(bij * vj,{} j = 1..n)}.")) (|idealiserMatrix| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{idealiserMatrix(m1,{} m2)} returns the matrix representing the linear conditions on the Ring associatied with an ideal defined by \\spad{m1} and \\spad{m2}.")) (|idealiser| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) |#1|) "\\spad{idealiser(m1,{}m2,{}d)} computes the order of an ideal defined by \\spad{m1} and \\spad{m2} where \\spad{d} is the known part of the denominator") (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{idealiser(m1,{}m2)} computes the order of an ideal defined by \\spad{m1} and \\spad{m2}")) (|leastPower| (((|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{leastPower(p,{}n)} returns \\spad{e},{} where \\spad{e} is the smallest integer such that \\spad{p **e >= n}")) (|divideIfCan!| ((|#1| (|Matrix| |#1|) (|Matrix| |#1|) |#1| (|Integer|)) "\\spad{divideIfCan!(matrix,{}matrixOut,{}prime,{}n)} attempts to divide the entries of \\spad{matrix} by \\spad{prime} and store the result in \\spad{matrixOut}. If it is successful,{} 1 is returned and if not,{} \\spad{prime} is returned. Here both \\spad{matrix} and \\spad{matrixOut} are \\spad{n}-by-\\spad{n} upper triangular matrices.")) (|matrixGcd| ((|#1| (|Matrix| |#1|) |#1| (|NonNegativeInteger|)) "\\spad{matrixGcd(mat,{}sing,{}n)} is \\spad{gcd(sing,{}g)} where \\spad{g} is the \\spad{gcd} of the entries of the \\spad{n}-by-\\spad{n} upper-triangular matrix \\spad{mat}.")) (|diagonalProduct| ((|#1| (|Matrix| |#1|)) "\\spad{diagonalProduct(m)} returns the product of the elements on the diagonal of the matrix \\spad{m}")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(x)} returns a square-free factorisation of \\spad{x}"))) 
 NIL 
 NIL 
-(-509 |mn|) 
+(-510 |mn|) 
 ((|constructor| (NIL "\\spadtype{IndexedBits} is a domain to compactly represent large quantities of Boolean data.")) (|And| (($ $ $) "\\spad{And(n,{}m)} returns the bit-by-bit logical And of \\spad{n} and \\spad{m}.")) (|Or| (($ $ $) "\\spad{Or(n,{}m)} returns the bit-by-bit logical Or of \\spad{n} and \\spad{m}.")) (|Not| (($ $) "\\spad{Not(n)} returns the bit-by-bit logical Not of \\spad{n}."))) 
-((-4522 . T) (-4521 . T)) 
-((|HasCategory| (-121) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| (-121) (QUOTE (-842))) (|HasCategory| (-568) (QUOTE (-842))) (|HasCategory| (-121) (QUOTE (-1090))) (-12 (|HasCategory| (-121) (LIST (QUOTE -303) (QUOTE (-121)))) (|HasCategory| (-121) (QUOTE (-1090))))) 
-(-510 K R UP L) 
+((-4536 . T) (-4535 . T)) 
+((|HasCategory| (-121) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-121) (QUOTE (-843))) (|HasCategory| (-569) (QUOTE (-843))) (|HasCategory| (-121) (QUOTE (-1091))) (-12 (|HasCategory| (-121) (LIST (QUOTE -304) (QUOTE (-121)))) (|HasCategory| (-121) (QUOTE (-1091))))) 
+(-511 K R UP L) 
 ((|constructor| (NIL "IntegralBasisPolynomialTools provides functions for mapping functions on the coefficients of univariate and bivariate polynomials.")) (|mapBivariate| (((|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#4|)) (|Mapping| |#4| |#1|) |#3|) "\\spad{mapBivariate(f,{}p(x,{}y))} applies the function \\spad{f} to the coefficients of \\spad{p(x,{}y)}.")) (|mapMatrixIfCan| (((|Union| (|Matrix| |#2|) "failed") (|Mapping| (|Union| |#1| "failed") |#4|) (|Matrix| (|SparseUnivariatePolynomial| |#4|))) "\\spad{mapMatrixIfCan(f,{}mat)} applies the function \\spad{f} to the coefficients of the entries of \\spad{mat} if possible,{} and returns \\spad{\"failed\"} otherwise.")) (|mapUnivariateIfCan| (((|Union| |#2| "failed") (|Mapping| (|Union| |#1| "failed") |#4|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{mapUnivariateIfCan(f,{}p(x))} applies the function \\spad{f} to the coefficients of \\spad{p(x)},{} if possible,{} and returns \\spad{\"failed\"} otherwise.")) (|mapUnivariate| (((|SparseUnivariatePolynomial| |#4|) (|Mapping| |#4| |#1|) |#2|) "\\spad{mapUnivariate(f,{}p(x))} applies the function \\spad{f} to the coefficients of \\spad{p(x)}.") ((|#2| (|Mapping| |#1| |#4|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{mapUnivariate(f,{}p(x))} applies the function \\spad{f} to the coefficients of \\spad{p(x)}."))) 
 NIL 
 NIL 
-(-511) 
+(-512) 
 ((|constructor| (NIL "This domain implements a container of information about the AXIOM library")) (|coerce| (($ (|String|)) "\\spad{coerce(s)} converts \\axiom{\\spad{s}} into an \\axiom{IndexCard}. Warning: if \\axiom{\\spad{s}} is not of the right format then an error will occur")) (|fullDisplay| (((|Void|) $) "\\spad{fullDisplay(ic)} prints all of the information contained in \\axiom{\\spad{ic}}.")) (|display| (((|Void|) $) "\\spad{display(ic)} prints a summary of information contained in \\axiom{\\spad{ic}}.")) (|elt| (((|String|) $ (|Symbol|)) "\\spad{elt(ic,{}s)} selects a particular field from \\axiom{\\spad{ic}}. Valid fields are \\axiom{name,{} nargs,{} exposed,{} type,{} abbreviation,{} kind,{} origin,{} params,{} condition,{} doc}."))) 
 NIL 
 NIL 
-(-512 R Q A B) 
+(-513 R Q A B) 
 ((|constructor| (NIL "InnerCommonDenominator provides functions to compute the common denominator of a finite linear aggregate of elements of the quotient field of an integral domain.")) (|splitDenominator| (((|Record| (|:| |num| |#3|) (|:| |den| |#1|)) |#4|) "\\spad{splitDenominator([q1,{}...,{}qn])} returns \\spad{[[p1,{}...,{}pn],{} d]} such that \\spad{\\spad{qi} = pi/d} and \\spad{d} is a common denominator for the \\spad{qi}\\spad{'s}.")) (|clearDenominator| ((|#3| |#4|) "\\spad{clearDenominator([q1,{}...,{}qn])} returns \\spad{[p1,{}...,{}pn]} such that \\spad{\\spad{qi} = pi/d} where \\spad{d} is a common denominator for the \\spad{qi}\\spad{'s}.")) (|commonDenominator| ((|#1| |#4|) "\\spad{commonDenominator([q1,{}...,{}qn])} returns a common denominator \\spad{d} for \\spad{q1},{}...,{}\\spad{qn}."))) 
 NIL 
 NIL 
-(-513 K |symb| BLMET) 
+(-514 K |symb| BLMET) 
 ((|constructor| (NIL "This domain is part of the PAFF package")) (|fullOutput| (((|Boolean|)) "\\spad{fullOutput returns} the value of the flag set by fullOutput(\\spad{b}).") (((|Boolean|) (|Boolean|)) "\\spad{fullOutput(b)} sets a flag such that when \\spad{true},{} a coerce to OutputForm yields the full output of \\spad{tr},{} otherwise encode(\\spad{tr}) is output (see encode function). The default is \\spad{false}.")) (|fullOut| (((|OutputForm|) $) "\\spad{fullOut(tr)} yields a full output of \\spad{tr} (see function fullOutput)."))) 
 NIL 
 NIL 
-(-514 -1478 |Expon| |VarSet| |DPoly|) 
+(-515 -1564 |Expon| |VarSet| |DPoly|) 
 ((|constructor| (NIL "This domain represents polynomial ideals with coefficients in any field and supports the basic ideal operations,{} including intersection sum and quotient. An ideal is represented by a list of polynomials (the generators of the ideal) and a boolean that is \\spad{true} if the generators are a Groebner basis. The algorithms used are based on Groebner basis computations. The ordering is determined by the datatype of the input polynomials. Users may use refinements of total degree orderings.")) (|relationsIdeal| (((|SuchThat| (|List| (|Polynomial| |#1|)) (|List| (|Equation| (|Polynomial| |#1|)))) (|List| |#4|)) "\\spad{relationsIdeal(polyList)} returns the ideal of relations among the polynomials in \\spad{polyList}.")) (|saturate| (($ $ |#4| (|List| |#3|)) "\\spad{saturate(I,{}f,{}lvar)} is the saturation with respect to the prime principal ideal which is generated by \\spad{f} in the polynomial ring \\spad{F[lvar]}.") (($ $ |#4|) "\\spad{saturate(I,{}f)} is the saturation of the ideal \\spad{I} with respect to the multiplicative set generated by the polynomial \\spad{f}.")) (|coerce| (($ (|List| |#4|)) "\\spad{coerce(polyList)} converts the list of polynomials \\spad{polyList} to an ideal.")) (|generators| (((|List| |#4|) $) "\\spad{generators(I)} returns a list of generators for the ideal \\spad{I}.")) (|groebner?| (((|Boolean|) $) "\\spad{groebner?(I)} tests if the generators of the ideal \\spad{I} are a Groebner basis.")) (|groebnerIdeal| (($ (|List| |#4|)) "\\spad{groebnerIdeal(polyList)} constructs the ideal generated by the list of polynomials \\spad{polyList} which are assumed to be a Groebner basis. Note: this operation avoids a Groebner basis computation.")) (|ideal| (($ (|List| |#4|)) "\\spad{ideal(polyList)} constructs the ideal generated by the list of polynomials \\spad{polyList}.")) (|leadingIdeal| (($ $) "\\spad{leadingIdeal(I)} is the ideal generated by the leading terms of the elements of the ideal \\spad{I}.")) (|dimension| (((|Integer|) $) "\\spad{dimension(I)} gives the dimension of the ideal \\spad{I}. in the ring \\spad{F[lvar]},{} where lvar are the variables appearing in \\spad{I}") (((|Integer|) $ (|List| |#3|)) "\\spad{dimension(I,{}lvar)} gives the dimension of the ideal \\spad{I},{} in the ring \\spad{F[lvar]}")) (|backOldPos| (($ (|Record| (|:| |mval| (|Matrix| |#1|)) (|:| |invmval| (|Matrix| |#1|)) (|:| |genIdeal| $))) "\\spad{backOldPos(genPos)} takes the result produced by generalPosition from PolynomialIdeals and performs the inverse transformation,{} returning the original ideal \\spad{backOldPos(generalPosition(I,{}listvar))} = \\spad{I}.")) (|generalPosition| (((|Record| (|:| |mval| (|Matrix| |#1|)) (|:| |invmval| (|Matrix| |#1|)) (|:| |genIdeal| $)) $ (|List| |#3|)) "\\spad{generalPosition(I,{}listvar)} perform a random linear transformation on the variables in \\spad{listvar} and returns the transformed ideal along with the change of basis matrix.")) (|groebner| (($ $) "\\spad{groebner(I)} returns a set of generators of \\spad{I} that are a Groebner basis for \\spad{I}.")) (|quotient| (($ $ |#4|) "\\spad{quotient(I,{}f)} computes the quotient of the ideal \\spad{I} by the principal ideal generated by the polynomial \\spad{f},{} \\spad{(I:(f))}.") (($ $ $) "\\spad{quotient(I,{}J)} computes the quotient of the ideals \\spad{I} and \\spad{J},{} \\spad{(I:J)}.")) (|intersect| (($ (|List| $)) "\\spad{intersect(LI)} computes the intersection of the list of ideals \\spad{LI}.") (($ $ $) "\\spad{intersect(I,{}J)} computes the intersection of the ideals \\spad{I} and \\spad{J}.")) (|zeroDim?| (((|Boolean|) $) "\\spad{zeroDim?(I)} tests if the ideal \\spad{I} is zero dimensional,{} \\spadignore{i.e.} all its associated primes are maximal,{} in the ring \\spad{F[lvar]},{} where lvar are the variables appearing in \\spad{I}") (((|Boolean|) $ (|List| |#3|)) "\\spad{zeroDim?(I,{}lvar)} tests if the ideal \\spad{I} is zero dimensional,{} \\spadignore{i.e.} all its associated primes are maximal,{} in the ring \\spad{F[lvar]}")) (|inRadical?| (((|Boolean|) |#4| $) "\\spad{inRadical?(f,{}I)} tests if some power of the polynomial \\spad{f} belongs to the ideal \\spad{I}.")) (|in?| (((|Boolean|) $ $) "\\spad{in?(I,{}J)} tests if the ideal \\spad{I} is contained in the ideal \\spad{J}.")) (|element?| (((|Boolean|) |#4| $) "\\spad{element?(f,{}I)} tests whether the polynomial \\spad{f} belongs to the ideal \\spad{I}.")) (|zero?| (((|Boolean|) $) "\\spad{zero?(I)} tests whether the ideal \\spad{I} is the zero ideal")) (|one?| (((|Boolean|) $) "\\spad{one?(I)} tests whether the ideal \\spad{I} is the unit ideal,{} \\spadignore{i.e.} contains 1.")) (+ (($ $ $) "\\spad{I+J} computes the ideal generated by the union of \\spad{I} and \\spad{J}.")) (** (($ $ (|NonNegativeInteger|)) "\\spad{I**n} computes the \\spad{n}th power of the ideal \\spad{I}.")) (* (($ $ $) "\\spad{I*J} computes the product of the ideal \\spad{I} and \\spad{J}."))) 
 NIL 
-((|HasCategory| |#3| (LIST (QUOTE -609) (QUOTE (-1161))))) 
-(-515 |vl| |nv|) 
+((|HasCategory| |#3| (LIST (QUOTE -610) (QUOTE (-1163))))) 
+(-516 |vl| |nv|) 
 ((|constructor| (NIL "This package provides functions for the primary decomposition of polynomial ideals over the rational numbers. The ideals are members of the \\spadtype{PolynomialIdeals} domain,{} and the polynomial generators are required to be from the \\spadtype{DistributedMultivariatePolynomial} domain.")) (|contract| (((|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|List| (|OrderedVariableList| |#1|))) "\\spad{contract(I,{}lvar)} contracts the ideal \\spad{I} to the polynomial ring \\spad{F[lvar]}.")) (|primaryDecomp| (((|List| (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{primaryDecomp(I)} returns a list of primary ideals such that their intersection is the ideal \\spad{I}.")) (|radical| (((|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{radical(I)} returns the radical of the ideal \\spad{I}.")) (|prime?| (((|Boolean|) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{prime?(I)} tests if the ideal \\spad{I} is prime.")) (|zeroDimPrimary?| (((|Boolean|) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{zeroDimPrimary?(I)} tests if the ideal \\spad{I} is 0-dimensional primary.")) (|zeroDimPrime?| (((|Boolean|) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{zeroDimPrime?(I)} tests if the ideal \\spad{I} is a 0-dimensional prime."))) 
 NIL 
 NIL 
-(-516 A S) 
+(-517 A S) 
 ((|constructor| (NIL "Indexed direct products of abelian groups over an abelian group \\spad{A} of generators indexed by the ordered set \\spad{S}. All items have finite support: only non-zero terms are stored."))) 
 NIL 
 NIL 
-(-517 A S) 
+(-518 A S) 
 ((|constructor| (NIL "Indexed direct products of abelian monoids over an abelian monoid \\spad{A} of generators indexed by the ordered set \\spad{S}. All items have finite support. Only non-zero terms are stored."))) 
 NIL 
 NIL 
-(-518 A S) 
+(-519 A S) 
 ((|constructor| (NIL "This category represents the direct product of some set with respect to an ordered indexing set.")) (|reductum| (($ $) "\\spad{reductum(z)} returns a new element created by removing the leading coefficient/support pair from the element \\spad{z}. Error: if \\spad{z} has no support.")) (|leadingSupport| ((|#2| $) "\\spad{leadingSupport(z)} returns the index of leading (with respect to the ordering on the indexing set) monomial of \\spad{z}. Error: if \\spad{z} has no support.")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(z)} returns the coefficient of the leading (with respect to the ordering on the indexing set) monomial of \\spad{z}. Error: if \\spad{z} has no support.")) (|monomial| (($ |#1| |#2|) "\\spad{monomial(a,{}s)} constructs a direct product element with the \\spad{s} component set to \\spad{a}")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f,{}z)} returns the new element created by applying the function \\spad{f} to each component of the direct product element \\spad{z}."))) 
 NIL 
 NIL 
-(-519 A S) 
+(-520 A S) 
 ((|constructor| (NIL "Indexed direct products of ordered abelian monoids \\spad{A} of generators indexed by the ordered set \\spad{S}. The inherited order is lexicographical. All items have finite support: only non-zero terms are stored."))) 
 NIL 
 NIL 
-(-520 A S) 
+(-521 A S) 
 ((|constructor| (NIL "Indexed direct products of ordered abelian monoid sups \\spad{A},{} generators indexed by the ordered set \\spad{S}. All items have finite support: only non-zero terms are stored."))) 
 NIL 
 NIL 
-(-521 A S) 
+(-522 A S) 
 ((|constructor| (NIL "Indexed direct products of objects over a set \\spad{A} of generators indexed by an ordered set \\spad{S}. All items have finite support."))) 
 NIL 
 NIL 
-(-522 S A B) 
+(-523 S A B) 
 ((|constructor| (NIL "This category provides \\spadfun{eval} operations. A domain may belong to this category if it is possible to make ``evaluation\\spad{''} substitutions. The difference between this and \\spadtype{Evalable} is that the operations in this category specify the substitution as a pair of arguments rather than as an equation.")) (|eval| (($ $ (|List| |#2|) (|List| |#3|)) "\\spad{eval(f,{} [x1,{}...,{}xn],{} [v1,{}...,{}vn])} replaces \\spad{xi} by \\spad{vi} in \\spad{f}.") (($ $ |#2| |#3|) "\\spad{eval(f,{} x,{} v)} replaces \\spad{x} by \\spad{v} in \\spad{f}."))) 
 NIL 
 NIL 
-(-523 A B) 
+(-524 A B) 
 ((|constructor| (NIL "This category provides \\spadfun{eval} operations. A domain may belong to this category if it is possible to make ``evaluation\\spad{''} substitutions. The difference between this and \\spadtype{Evalable} is that the operations in this category specify the substitution as a pair of arguments rather than as an equation.")) (|eval| (($ $ (|List| |#1|) (|List| |#2|)) "\\spad{eval(f,{} [x1,{}...,{}xn],{} [v1,{}...,{}vn])} replaces \\spad{xi} by \\spad{vi} in \\spad{f}.") (($ $ |#1| |#2|) "\\spad{eval(f,{} x,{} v)} replaces \\spad{x} by \\spad{v} in \\spad{f}."))) 
 NIL 
 NIL 
-(-524 S E |un|) 
+(-525 S E |un|) 
 ((|constructor| (NIL "Internal implementation of a free abelian monoid on any set of generators"))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-787)))) 
-(-525 S |mn|) 
+((|HasCategory| |#2| (QUOTE (-788)))) 
+(-526 S |mn|) 
 ((|constructor| (NIL "A FlexibleArray is the notion of an array intended to allow for growth at the end only. Hence the following efficient operations\\spad{\\br} \\spad{append(x,{}a)} meaning append item \\spad{x} at the end of the array \\spad{a}\\spad{\\br} \\spad{delete(a,{}n)} meaning delete the last item from the array \\spad{a}\\spad{\\br} Flexible arrays support the other operations inherited from \\spadtype{ExtensibleLinearAggregate}. However,{} these are not efficient. Flexible arrays combine the \\spad{O(1)} access time property of arrays with growing and shrinking at the end in \\spad{O(1)} (average) time. This is done by using an ordinary array which may have zero or more empty slots at the end. When the array becomes full it is copied into a new larger (50\\% larger) array. Conversely,{} when the array becomes less than 1/2 full,{} it is copied into a smaller array. Flexible arrays provide for an efficient implementation of many data structures in particular heaps,{} stacks and sets.")) (|shrinkable| (((|Boolean|) (|Boolean|)) "\\indented{1}{shrinkable(\\spad{b}) sets the shrinkable attribute of flexible arrays to \\spad{b}} \\indented{1}{and returns the previous value} \\blankline \\spad{X} T1:=IndexedFlexibleArray(Integer,{}20) \\spad{X} shrinkable(\\spad{false})\\$\\spad{T1}")) (|physicalLength!| (($ $ (|Integer|)) "\\indented{1}{physicalLength!(\\spad{x},{}\\spad{n}) changes the physical length of \\spad{x} to be \\spad{n} and} \\indented{1}{returns the new array.} \\blankline \\spad{X} T1:=IndexedFlexibleArray(Integer,{}20) \\spad{X} t2:=flexibleArray([\\spad{i} for \\spad{i} in 1..10])\\$\\spad{T1} \\spad{X} physicalLength!(\\spad{t2},{}15)")) (|physicalLength| (((|NonNegativeInteger|) $) "\\indented{1}{physicalLength(\\spad{x}) returns the number of elements \\spad{x} can} \\indented{1}{accomodate before growing} \\blankline \\spad{X} T1:=IndexedFlexibleArray(Integer,{}20) \\spad{X} t2:=flexibleArray([\\spad{i} for \\spad{i} in 1..10])\\$\\spad{T1} \\spad{X} physicalLength \\spad{t2}")) (|flexibleArray| (($ (|List| |#1|)) "\\indented{1}{flexibleArray(\\spad{l}) creates a flexible array from the list of elements \\spad{l}} \\blankline \\spad{X} T1:=IndexedFlexibleArray(Integer,{}20) \\spad{X} flexibleArray([\\spad{i} for \\spad{i} in 1..10])\\$\\spad{T1}"))) 
-((-4522 . T) (-4521 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (QUOTE (-842))) (-2199 (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-1090)))) (|HasCategory| (-568) (QUOTE (-842))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-842)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))))) 
-(-526 |p| |n|) 
+((-4536 . T) (-4535 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (-2232 (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-843)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
+(-527 |p| |n|) 
 ((|constructor| (NIL "InnerFiniteField(\\spad{p},{}\\spad{n}) implements finite fields with \\spad{p**n} elements where \\spad{p} is assumed prime but does not check. For a version which checks that \\spad{p} is prime,{} see \\spadtype{FiniteField}."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| (-581 |#1|) (QUOTE (-150))) (|HasCategory| (-581 |#1|) (QUOTE (-370))) (|HasCategory| (-581 |#1|) (QUOTE (-148))) (-2199 (|HasCategory| (-581 |#1|) (QUOTE (-148))) (|HasCategory| (-581 |#1|) (QUOTE (-370))))) 
-(-527 R |mnRow| |mnCol| |Row| |Col|) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| (-582 |#1|) (QUOTE (-151))) (|HasCategory| (-582 |#1|) (QUOTE (-371))) (|HasCategory| (-582 |#1|) (QUOTE (-149))) (-2232 (|HasCategory| (-582 |#1|) (QUOTE (-149))) (|HasCategory| (-582 |#1|) (QUOTE (-371))))) 
+(-528 R |mnRow| |mnCol| |Row| |Col|) 
 ((|constructor| (NIL "There is no description for this domain"))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090))))) 
-(-528 S |mn|) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
+(-529 S |mn|) 
 ((|constructor| (NIL "\\spadtype{IndexedList} is a basic implementation of the functions in \\spadtype{ListAggregate},{} often using functions in the underlying LISP system. The second parameter to the constructor (\\spad{mn}) is the beginning index of the list. That is,{} if \\spad{l} is a list,{} then \\spad{elt(l,{}mn)} is the first value. This constructor is probably best viewed as the implementation of singly-linked lists that are addressable by index rather than as a mere wrapper for LISP lists."))) 
-((-4522 . T) (-4521 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (QUOTE (-842))) (-2199 (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-1090)))) (|HasCategory| (-568) (QUOTE (-842))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-842)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))))) 
-(-529 R |Row| |Col| M) 
+((-4536 . T) (-4535 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (-2232 (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-843)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
+(-530 R |Row| |Col| M) 
 ((|constructor| (NIL "\\spadtype{InnerMatrixLinearAlgebraFunctions} is an internal package which provides standard linear algebra functions on domains in \\spad{MatrixCategory}")) (|inverse| (((|Union| |#4| "failed") |#4|) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m}. If the matrix is not invertible,{} \"failed\" is returned. Error: if the matrix is not square.")) (|generalizedInverse| ((|#4| |#4|) "\\spad{generalizedInverse(m)} returns the generalized (Moore--Penrose) inverse of the matrix \\spad{m},{} \\spadignore{i.e.} the matrix \\spad{h} such that m*h*m=h,{} h*m*h=m,{} \\spad{m*h} and \\spad{h*m} are both symmetric matrices.")) (|determinant| ((|#1| |#4|) "\\spad{determinant(m)} returns the determinant of the matrix \\spad{m}. an error message is returned if the matrix is not square.")) (|nullSpace| (((|List| |#3|) |#4|) "\\spad{nullSpace(m)} returns a basis for the null space of the matrix \\spad{m}.")) (|nullity| (((|NonNegativeInteger|) |#4|) "\\spad{nullity(m)} returns the mullity of the matrix \\spad{m}. This is the dimension of the null space of the matrix \\spad{m}.")) (|rank| (((|NonNegativeInteger|) |#4|) "\\spad{rank(m)} returns the rank of the matrix \\spad{m}.")) (|rowEchelon| ((|#4| |#4|) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m}."))) 
 NIL 
-((|HasAttribute| |#3| (QUOTE -4522))) 
-(-530 R |Row| |Col| M QF |Row2| |Col2| M2) 
+((|HasAttribute| |#3| (QUOTE -4536))) 
+(-531 R |Row| |Col| M QF |Row2| |Col2| M2) 
 ((|constructor| (NIL "\\spadtype{InnerMatrixQuotientFieldFunctions} provides functions on matrices over an integral domain which involve the quotient field of that integral domain. The functions rowEchelon and inverse return matrices with entries in the quotient field.")) (|nullSpace| (((|List| |#3|) |#4|) "\\spad{nullSpace(m)} returns a basis for the null space of the matrix \\spad{m}.")) (|inverse| (((|Union| |#8| "failed") |#4|) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m}. If the matrix is not invertible,{} \"failed\" is returned. Error: if the matrix is not square. Note that the result will have entries in the quotient field.")) (|rowEchelon| ((|#8| |#4|) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m}. the result will have entries in the quotient field."))) 
 NIL 
-((|HasAttribute| |#7| (QUOTE -4522))) 
-(-531 R |mnRow| |mnCol|) 
+((|HasAttribute| |#7| (QUOTE -4536))) 
+(-532 R |mnRow| |mnCol|) 
 ((|constructor| (NIL "An \\spad{IndexedMatrix} is a matrix where the minimal row and column indices are parameters of the type. The domains Row and Col are both IndexedVectors. The index of the 'first' row may be obtained by calling the function \\spadfun{minRowIndex}. The index of the 'first' column may be obtained by calling the function \\spadfun{minColIndex}. The index of the first element of a 'Row' is the same as the index of the first column in a matrix and vice versa."))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))) (|HasCategory| |#1| (QUOTE (-301))) (|HasCategory| |#1| (QUOTE (-558))) (|HasAttribute| |#1| (QUOTE (-4523 "*"))) (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-365)))) 
-(-532 GF) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-559))) (|HasAttribute| |#1| (QUOTE (-4537 "*"))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366)))) 
+(-533 GF) 
 ((|constructor| (NIL "InnerNormalBasisFieldFunctions(\\spad{GF}) (unexposed): This package has functions used by every normal basis finite field extension domain.")) (|minimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) (|Vector| |#1|)) "\\spad{minimalPolynomial(x)} \\undocumented{} See \\axiomFunFrom{minimalPolynomial}{FiniteAlgebraicExtensionField}")) (|normalElement| (((|Vector| |#1|) (|PositiveInteger|)) "\\spad{normalElement(n)} \\undocumented{} See \\axiomFunFrom{normalElement}{FiniteAlgebraicExtensionField}")) (|basis| (((|Vector| (|Vector| |#1|)) (|PositiveInteger|)) "\\spad{basis(n)} \\undocumented{} See \\axiomFunFrom{basis}{FiniteAlgebraicExtensionField}")) (|normal?| (((|Boolean|) (|Vector| |#1|)) "\\spad{normal?(x)} \\undocumented{} See \\axiomFunFrom{normal?}{FiniteAlgebraicExtensionField}")) (|lookup| (((|PositiveInteger|) (|Vector| |#1|)) "\\spad{lookup(x)} \\undocumented{} See \\axiomFunFrom{lookup}{Finite}")) (|inv| (((|Vector| |#1|) (|Vector| |#1|)) "\\spad{inv x} \\undocumented{} See \\axiomFunFrom{inv}{DivisionRing}")) (|trace| (((|Vector| |#1|) (|Vector| |#1|) (|PositiveInteger|)) "\\spad{trace(x,{}n)} \\undocumented{} See \\axiomFunFrom{trace}{FiniteAlgebraicExtensionField}")) (|norm| (((|Vector| |#1|) (|Vector| |#1|) (|PositiveInteger|)) "\\spad{norm(x,{}n)} \\undocumented{} See \\axiomFunFrom{norm}{FiniteAlgebraicExtensionField}")) (/ (((|Vector| |#1|) (|Vector| |#1|) (|Vector| |#1|)) "\\spad{x/y} \\undocumented{} See \\axiomFunFrom{/}{Field}")) (* (((|Vector| |#1|) (|Vector| |#1|) (|Vector| |#1|)) "\\spad{x*y} \\undocumented{} See \\axiomFunFrom{*}{SemiGroup}")) (** (((|Vector| |#1|) (|Vector| |#1|) (|Integer|)) "\\spad{x**n} \\undocumented{} See \\axiomFunFrom{\\spad{**}}{DivisionRing}")) (|qPot| (((|Vector| |#1|) (|Vector| |#1|) (|Integer|)) "\\spad{qPot(v,{}e)} computes \\spad{v**(q**e)},{} interpreting \\spad{v} as an element of normal basis field,{} \\spad{q} the size of the ground field. This is done by a cyclic \\spad{e}-shift of the vector \\spad{v}.")) (|expPot| (((|Vector| |#1|) (|Vector| |#1|) (|SingleInteger|) (|SingleInteger|)) "\\spad{expPot(v,{}e,{}d)} returns the sum from \\spad{i = 0} to \\spad{e - 1} of \\spad{v**(q**i*d)},{} interpreting \\spad{v} as an element of a normal basis field and where \\spad{q} is the size of the ground field. Note that for a description of the algorithm,{} see \\spad{T}.Itoh and \\spad{S}.Tsujii,{} \"A fast algorithm for computing multiplicative inverses in \\spad{GF}(2^m) using normal bases\",{} Information and Computation 78,{} \\spad{pp}.171-177,{} 1988.")) (|repSq| (((|Vector| |#1|) (|Vector| |#1|) (|NonNegativeInteger|)) "\\spad{repSq(v,{}e)} computes \\spad{v**e} by repeated squaring,{} interpreting \\spad{v} as an element of a normal basis field.")) (|dAndcExp| (((|Vector| |#1|) (|Vector| |#1|) (|NonNegativeInteger|) (|SingleInteger|)) "\\spad{dAndcExp(v,{}n,{}k)} computes \\spad{v**e} interpreting \\spad{v} as an element of normal basis field. A divide and conquer algorithm similar to the one from \\spad{D}.\\spad{R}.Stinson,{} \"Some observations on parallel Algorithms for fast exponentiation in \\spad{GF}(2^n)\",{} Siam \\spad{J}. Computation,{} Vol.19,{} No.4,{} \\spad{pp}.711-717,{} August 1990 is used. Argument \\spad{k} is a parameter of this algorithm.")) (|xn| (((|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|)) "\\spad{xn(n)} returns the polynomial \\spad{x**n-1}.")) (|pol| (((|SparseUnivariatePolynomial| |#1|) (|Vector| |#1|)) "\\spad{pol(v)} turns the vector \\spad{[v0,{}...,{}vn]} into the polynomial \\spad{v0+v1*x+ ... + vn*x**n}.")) (|index| (((|Vector| |#1|) (|PositiveInteger|) (|PositiveInteger|)) "\\spad{index(n,{}m)} is a index function for vectors of length \\spad{n} over the ground field.")) (|random| (((|Vector| |#1|) (|PositiveInteger|)) "\\spad{random(n)} creates a vector over the ground field with random entries.")) (|setFieldInfo| (((|Void|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))) |#1|) "\\spad{setFieldInfo(m,{}p)} initializes the field arithmetic,{} where \\spad{m} is the multiplication table and \\spad{p} is the respective normal element of the ground field \\spad{GF}."))) 
 NIL 
 NIL 
-(-533 R) 
+(-534 R) 
 ((|constructor| (NIL "This package provides operations to create incrementing functions.")) (|incrementBy| (((|Mapping| |#1| |#1|) |#1|) "\\spad{incrementBy(n)} produces a function which adds \\spad{n} to whatever argument it is given. For example,{} if {\\spad{f} \\spad{:=} increment(\\spad{n})} then \\spad{f x} is \\spad{x+n}.")) (|increment| (((|Mapping| |#1| |#1|)) "\\spad{increment()} produces a function which adds \\spad{1} to whatever argument it is given. For example,{} if {\\spad{f} \\spad{:=} increment()} then \\spad{f x} is \\spad{x+1}."))) 
 NIL 
 NIL 
-(-534 |Varset|) 
+(-535 |Varset|) 
 ((|constructor| (NIL "converts entire exponents to OutputForm"))) 
 NIL 
 NIL 
-(-535 K -1478 |Par|) 
+(-536 K -1564 |Par|) 
 ((|constructor| (NIL "This package is the inner package to be used by NumericRealEigenPackage and NumericComplexEigenPackage for the computation of numeric eigenvalues and eigenvectors.")) (|innerEigenvectors| (((|List| (|Record| (|:| |outval| |#2|) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| |#2|))))) (|Matrix| |#1|) |#3| (|Mapping| (|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) "\\spad{innerEigenvectors(m,{}eps,{}factor)} computes explicitly the eigenvalues and the correspondent eigenvectors of the matrix \\spad{m}. The parameter \\spad{eps} determines the type of the output,{} \\spad{factor} is the univariate factorizer to \\spad{br} used to reduce the characteristic polynomial into irreducible factors.")) (|solve1| (((|List| |#2|) (|SparseUnivariatePolynomial| |#1|) |#3|) "\\spad{solve1(pol,{} eps)} finds the roots of the univariate polynomial polynomial \\spad{pol} to precision eps. If \\spad{K} is \\spad{Fraction Integer} then only the real roots are returned,{} if \\spad{K} is \\spad{Complex Fraction Integer} then all roots are found.")) (|charpol| (((|SparseUnivariatePolynomial| |#1|) (|Matrix| |#1|)) "\\spad{charpol(m)} computes the characteristic polynomial of a matrix \\spad{m} with entries in \\spad{K}. This function returns a polynomial over \\spad{K},{} while the general one (that is in EiegenPackage) returns Fraction \\spad{P} \\spad{K}"))) 
 NIL 
 NIL 
-(-536 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR BLMET) 
+(-537 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR BLMET) 
 ((|constructor| (NIL "This category is part of the PAFF package")) (|excpDivV| ((|#8| $) "\\spad{excpDivV returns} the exceptional divisor of the infinitly close point.")) (|chartV| ((|#9| $) "chartV is the chart of the infinitly close point. The first integer correspond to variable defining the exceptional line,{} the last one the affine neighboorhood and the second one is the remaining integer. For example [1,{}2,{}3] means that \\spad{Z=1},{} \\spad{X=X} and Y=XY. [2,{}3,{}1] means that \\spad{X=1},{} \\spad{Y=Y} and Z=YZ.")) (|multV| (((|NonNegativeInteger|) $) "\\spad{multV returns} the multiplicity of the infinitly close point.")) (|localPointV| (((|AffinePlane| |#1|) $) "\\spad{localPointV returns} the coordinates of the local infinitly close point")) (|curveV| (((|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) $) "\\spad{curveV(p)} returns the defining polynomial of the strict transform on which lies the corresponding infinitly close point.")) (|pointV| ((|#5| $) "\\spad{pointV returns} the infinitly close point.")) (|create| (($ |#5| (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) (|AffinePlane| |#1|) (|NonNegativeInteger|) |#9| (|NonNegativeInteger|) |#8| |#1| (|Symbol|)) "\\spad{create an} infinitly close point"))) 
 NIL 
 NIL 
-(-537 K |symb| BLMET) 
+(-538 K |symb| BLMET) 
 ((|constructor| (NIL "This domain is part of the PAFF package")) (|fullOutput| (((|Boolean|)) "\\spad{fullOutput returns} the value of the flag set by fullOutput(\\spad{b}).") (((|Boolean|) (|Boolean|)) "\\spad{fullOutput(b)} sets a flag such that when \\spad{true},{} a coerce to OutputForm \\indented{1}{yields the full output of \\spad{tr},{} otherwise encode(\\spad{tr}) is output} (see encode function). The default is \\spad{false}.")) (|fullOut| (((|OutputForm|) $) "\\spad{fullOut(tr)} yields a full output of \\spad{tr} (see function fullOutput)."))) 
 NIL 
 NIL 
-(-538 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR BLMET) 
+(-539 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR BLMET) 
 ((|constructor| (NIL "This domain is part of the PAFF package")) (|fullOutput| (((|Boolean|)) "\\spad{fullOutput returns} the value of the flag set by fullOutput(\\spad{b}).") (((|Boolean|) (|Boolean|)) "\\spad{fullOutput(b)} sets a flag such that when \\spad{true},{} a coerce to OutputForm yields the full output of \\spad{tr},{} otherwise encode(\\spad{tr}) is output (see encode function). The default is \\spad{false}.")) (|fullOut| (((|OutputForm|) $) "\\spad{fullOut(tr)} yields a full output of \\spad{tr} (see function fullOutput)."))) 
 NIL 
 NIL 
-(-539) 
+(-540) 
 ((|constructor| (NIL "Top-level infinity Default infinity signatures for the interpreter.")) (|minusInfinity| (((|OrderedCompletion| (|Integer|))) "\\spad{minusInfinity()} returns minusInfinity.")) (|plusInfinity| (((|OrderedCompletion| (|Integer|))) "\\spad{plusInfinity()} returns plusIinfinity.")) (|infinity| (((|OnePointCompletion| (|Integer|))) "\\spad{infinity()} returns infinity."))) 
 NIL 
 NIL 
-(-540 R) 
+(-541 R) 
 ((|constructor| (NIL "Tools for manipulating input forms.")) (|interpret| ((|#1| (|InputForm|)) "\\spad{interpret(f)} passes \\spad{f} to the interpreter,{} and transforms the result into an object of type \\spad{R}.")) (|packageCall| (((|InputForm|) (|Symbol|)) "\\spad{packageCall(f)} returns the input form corresponding to \\spad{f}\\$\\spad{R}."))) 
 NIL 
 NIL 
-(-541) 
+(-542) 
 ((|constructor| (NIL "Domain of parsed forms which can be passed to the interpreter. This is also the interface between algebra code and facilities in the interpreter.")) (|compile| (((|Symbol|) (|Symbol|) (|List| $)) "\\spad{compile(f,{} [t1,{}...,{}tn])} forces the interpreter to compile the function \\spad{f} with signature \\spad{(t1,{}...,{}tn) -> ?}. returns the symbol \\spad{f} if successful. Error: if \\spad{f} was not defined beforehand in the interpreter,{} or if the \\spad{ti}\\spad{'s} are not valid types,{} or if the compiler fails.")) (|declare| (((|Symbol|) (|List| $)) "\\spad{declare(t)} returns a name \\spad{f} such that \\spad{f} has been declared to the interpreter to be of type \\spad{t},{} but has not been assigned a value yet. Note: \\spad{t} should be created as \\spad{devaluate(T)\\$Lisp} where \\spad{T} is the actual type of \\spad{f} (this hack is required for the case where \\spad{T} is a mapping type).")) (|parse| (($ (|String|)) "parse is the inverse of unparse. It parses a string to InputForm.")) (|unparse| (((|String|) $) "\\spad{unparse(f)} returns a string \\spad{s} such that the parser would transform \\spad{s} to \\spad{f}. Error: if \\spad{f} is not the parsed form of a string.")) (|flatten| (($ $) "\\spad{flatten(s)} returns an input form corresponding to \\spad{s} with all the nested operations flattened to triples using new local variables. If \\spad{s} is a piece of code,{} this speeds up the compilation tremendously later on.")) ((|One|) (($) "\\spad{1} returns the input form corresponding to 1.")) ((|Zero|) (($) "\\spad{0} returns the input form corresponding to 0.")) (** (($ $ (|Integer|)) "\\spad{a ** b} returns the input form corresponding to \\spad{a ** b}.") (($ $ (|NonNegativeInteger|)) "\\spad{a ** b} returns the input form corresponding to \\spad{a ** b}.")) (/ (($ $ $) "\\spad{a / b} returns the input form corresponding to \\spad{a / b}.")) (* (($ $ $) "\\spad{a * b} returns the input form corresponding to \\spad{a * b}.")) (+ (($ $ $) "\\spad{a + b} returns the input form corresponding to \\spad{a + b}.")) (|lambda| (($ $ (|List| (|Symbol|))) "\\spad{lambda(code,{} [x1,{}...,{}xn])} returns the input form corresponding to \\spad{(x1,{}...,{}xn) +-> code} if \\spad{n > 1},{} or to \\spad{x1 +-> code} if \\spad{n = 1}.")) (|function| (($ $ (|List| (|Symbol|)) (|Symbol|)) "\\spad{function(code,{} [x1,{}...,{}xn],{} f)} returns the input form corresponding to \\spad{f(x1,{}...,{}xn) == code}.")) (|binary| (($ $ (|List| $)) "\\indented{1}{\\spad{binary(op,{} [a1,{}...,{}an])} returns the input form} \\indented{1}{corresponding to\\space{2}\\spad{a1 op a2 op ... op an}.} \\blankline \\spad{X} a:=[1,{}2,{}3]::List(InputForm) \\spad{X} binary(_+::InputForm,{}a)")) (|convert| (($ (|SExpression|)) "\\spad{convert(s)} makes \\spad{s} into an input form.")) (|interpret| (((|Any|) $) "\\spad{interpret(f)} passes \\spad{f} to the interpreter."))) 
 NIL 
 NIL 
-(-542 |Coef| UTS) 
+(-543 |Coef| UTS) 
 ((|constructor| (NIL "This package computes infinite products of univariate Taylor series over an integral domain of characteristic 0.")) (|generalInfiniteProduct| ((|#2| |#2| (|Integer|) (|Integer|)) "\\spad{generalInfiniteProduct(f(x),{}a,{}d)} computes \\spad{product(n=a,{}a+d,{}a+2*d,{}...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|oddInfiniteProduct| ((|#2| |#2|) "\\spad{oddInfiniteProduct(f(x))} computes \\spad{product(n=1,{}3,{}5...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|evenInfiniteProduct| ((|#2| |#2|) "\\spad{evenInfiniteProduct(f(x))} computes \\spad{product(n=2,{}4,{}6...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|infiniteProduct| ((|#2| |#2|) "\\spad{infiniteProduct(f(x))} computes \\spad{product(n=1,{}2,{}3...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1."))) 
 NIL 
 NIL 
-(-543 K -1478 |Par|) 
+(-544 K -1564 |Par|) 
 ((|constructor| (NIL "This is an internal package for computing approximate solutions to systems of polynomial equations. The parameter \\spad{K} specifies the coefficient field of the input polynomials and must be either \\spad{Fraction(Integer)} or \\spad{Complex(Fraction Integer)}. The parameter \\spad{F} specifies where the solutions must lie and can be one of the following: \\spad{Float},{} \\spad{Fraction(Integer)},{} \\spad{Complex(Float)},{} \\spad{Complex(Fraction Integer)}. The last parameter specifies the type of the precision operand and must be either \\spad{Fraction(Integer)} or \\spad{Float}.")) (|makeEq| (((|List| (|Equation| (|Polynomial| |#2|))) (|List| |#2|) (|List| (|Symbol|))) "\\spad{makeEq(lsol,{}lvar)} returns a list of equations formed by corresponding members of \\spad{lvar} and \\spad{lsol}.")) (|innerSolve| (((|List| (|List| |#2|)) (|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|)) |#3|) "\\spad{innerSolve(lnum,{}lden,{}lvar,{}eps)} returns a list of solutions of the system of polynomials \\spad{lnum},{} with the side condition that none of the members of \\spad{lden} vanish identically on any solution. Each solution is expressed as a list corresponding to the list of variables in \\spad{lvar} and with precision specified by \\spad{eps}.")) (|innerSolve1| (((|List| |#2|) (|Polynomial| |#1|) |#3|) "\\spad{innerSolve1(p,{}eps)} returns the list of the zeros of the polynomial \\spad{p} with precision \\spad{eps}.") (((|List| |#2|) (|SparseUnivariatePolynomial| |#1|) |#3|) "\\spad{innerSolve1(up,{}eps)} returns the list of the zeros of the univariate polynomial \\spad{up} with precision \\spad{eps}."))) 
 NIL 
 NIL 
-(-544 R BP |pMod| |nextMod|) 
+(-545 R BP |pMod| |nextMod|) 
 ((|constructor| (NIL "This file contains the functions for modular \\spad{gcd} algorithm for univariate polynomials with coefficients in a non-trivial euclidean domain (\\spadignore{i.e.} not a field). The package parametrised by the coefficient domain,{} the polynomial domain,{} a prime,{} and a function for choosing the next prime")) (|reduction| ((|#2| |#2| |#1|) "\\spad{reduction(f,{}p)} reduces the coefficients of the polynomial \\spad{f} modulo the prime \\spad{p}.")) (|modularGcd| ((|#2| (|List| |#2|)) "\\spad{modularGcd(listf)} computes the \\spad{gcd} of the list of polynomials \\spad{listf} by modular methods.")) (|modularGcdPrimitive| ((|#2| (|List| |#2|)) "\\spad{modularGcdPrimitive(f1,{}f2)} computes the \\spad{gcd} of the two polynomials \\spad{f1} and \\spad{f2} by modular methods."))) 
 NIL 
 NIL 
-(-545 OV E R P) 
+(-546 OV E R P) 
 ((|constructor| (NIL "This is an inner package for factoring multivariate polynomials over various coefficient domains in characteristic 0. The univariate factor operation is passed as a parameter. Multivariate hensel lifting is used to lift the univariate factorization")) (|factor| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|) (|Mapping| (|Factored| (|SparseUnivariatePolynomial| |#3|)) (|SparseUnivariatePolynomial| |#3|))) "\\spad{factor(p,{}ufact)} factors the multivariate polynomial \\spad{p} by specializing variables and calling the univariate factorizer \\spad{ufact}. \\spad{p} is represented as a univariate polynomial with multivariate coefficients.") (((|Factored| |#4|) |#4| (|Mapping| (|Factored| (|SparseUnivariatePolynomial| |#3|)) (|SparseUnivariatePolynomial| |#3|))) "\\spad{factor(p,{}ufact)} factors the multivariate polynomial \\spad{p} by specializing variables and calling the univariate factorizer \\spad{ufact}."))) 
 NIL 
 NIL 
-(-546 K UP |Coef| UTS) 
+(-547 K UP |Coef| UTS) 
 ((|constructor| (NIL "This package computes infinite products of univariate Taylor series over an arbitrary finite field.")) (|generalInfiniteProduct| ((|#4| |#4| (|Integer|) (|Integer|)) "\\spad{generalInfiniteProduct(f(x),{}a,{}d)} computes \\spad{product(n=a,{}a+d,{}a+2*d,{}...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|oddInfiniteProduct| ((|#4| |#4|) "\\spad{oddInfiniteProduct(f(x))} computes \\spad{product(n=1,{}3,{}5...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|evenInfiniteProduct| ((|#4| |#4|) "\\spad{evenInfiniteProduct(f(x))} computes \\spad{product(n=2,{}4,{}6...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|infiniteProduct| ((|#4| |#4|) "\\spad{infiniteProduct(f(x))} computes \\spad{product(n=1,{}2,{}3...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1."))) 
 NIL 
 NIL 
-(-547 |Coef| UTS) 
+(-548 |Coef| UTS) 
 ((|constructor| (NIL "This package computes infinite products of univariate Taylor series over a field of prime order.")) (|generalInfiniteProduct| ((|#2| |#2| (|Integer|) (|Integer|)) "\\spad{generalInfiniteProduct(f(x),{}a,{}d)} computes \\spad{product(n=a,{}a+d,{}a+2*d,{}...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|oddInfiniteProduct| ((|#2| |#2|) "\\spad{oddInfiniteProduct(f(x))} computes \\spad{product(n=1,{}3,{}5...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|evenInfiniteProduct| ((|#2| |#2|) "\\spad{evenInfiniteProduct(f(x))} computes \\spad{product(n=2,{}4,{}6...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|infiniteProduct| ((|#2| |#2|) "\\spad{infiniteProduct(f(x))} computes \\spad{product(n=1,{}2,{}3...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1."))) 
 NIL 
 NIL 
-(-548 R UP) 
+(-549 R UP) 
 ((|constructor| (NIL "Find the sign of a polynomial around a point or infinity.")) (|signAround| (((|Union| (|Integer|) "failed") |#2| |#1| (|Mapping| (|Union| (|Integer|) "failed") |#1|)) "\\spad{signAround(u,{}r,{}f)} \\undocumented") (((|Union| (|Integer|) "failed") |#2| |#1| (|Integer|) (|Mapping| (|Union| (|Integer|) "failed") |#1|)) "\\spad{signAround(u,{}r,{}i,{}f)} \\undocumented") (((|Union| (|Integer|) "failed") |#2| (|Integer|) (|Mapping| (|Union| (|Integer|) "failed") |#1|)) "\\spad{signAround(u,{}i,{}f)} \\undocumented"))) 
 NIL 
 NIL 
-(-549 S) 
+(-550 S) 
 ((|constructor| (NIL "An \\spad{IntegerNumberSystem} is a model for the integers.")) (|invmod| (($ $ $) "\\spad{invmod(a,{}b)},{} \\spad{0<=a<b>1},{} \\spad{(a,{}b)=1} means \\spad{1/a mod b}.")) (|powmod| (($ $ $ $) "\\spad{powmod(a,{}b,{}p)},{} \\spad{0<=a,{}b<p>1},{} means \\spad{a**b mod p}.")) (|mulmod| (($ $ $ $) "\\spad{mulmod(a,{}b,{}p)},{} \\spad{0<=a,{}b<p>1},{} means \\spad{a*b mod p}.")) (|submod| (($ $ $ $) "\\spad{submod(a,{}b,{}p)},{} \\spad{0<=a,{}b<p>1},{} means \\spad{a-b mod p}.")) (|addmod| (($ $ $ $) "\\spad{addmod(a,{}b,{}p)},{} \\spad{0<=a,{}b<p>1},{} means \\spad{a+b mod p}.")) (|mask| (($ $) "\\spad{mask(n)} returns \\spad{2**n-1} (an \\spad{n} bit mask).")) (|dec| (($ $) "\\spad{dec(x)} returns \\spad{x - 1}.")) (|inc| (($ $) "\\spad{inc(x)} returns \\spad{x + 1}.")) (|copy| (($ $) "\\spad{copy(n)} gives a copy of \\spad{n}.")) (|hash| (($ $) "\\spad{hash(n)} returns the hash code of \\spad{n}.")) (|random| (($ $) "\\spad{random(a)} creates a random element from 0 to \\spad{n-1}.") (($) "\\spad{random()} creates a random element.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(n)} creates a rational number,{} or returns \"failed\" if this is not possible.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(n)} creates a rational number (see \\spadtype{Fraction Integer})..")) (|rational?| (((|Boolean|) $) "\\spad{rational?(n)} tests if \\spad{n} is a rational number (see \\spadtype{Fraction Integer}).")) (|symmetricRemainder| (($ $ $) "\\spad{symmetricRemainder(a,{}b)} (where \\spad{b > 1}) yields \\spad{r} where \\spad{ -b/2 <= r < b/2 }.")) (|positiveRemainder| (($ $ $) "\\spad{positiveRemainder(a,{}b)} (where \\spad{b > 1}) yields \\spad{r} where \\spad{0 <= r < b} and \\spad{r == a rem b}.")) (|bit?| (((|Boolean|) $ $) "\\spad{bit?(n,{}i)} returns \\spad{true} if and only if \\spad{i}-th bit of \\spad{n} is a 1.")) (|shift| (($ $ $) "\\spad{shift(a,{}i)} shift \\spad{a} by \\spad{i} digits.")) (|length| (($ $) "\\spad{length(a)} length of \\spad{a} in digits.")) (|base| (($) "\\spad{base()} returns the base for the operations of \\spad{IntegerNumberSystem}.")) (|multiplicativeValuation| ((|attribute|) "euclideanSize(a*b) returns \\spad{euclideanSize(a)*euclideanSize(b)}.")) (|even?| (((|Boolean|) $) "\\spad{even?(n)} returns \\spad{true} if and only if \\spad{n} is even.")) (|odd?| (((|Boolean|) $) "\\spad{odd?(n)} returns \\spad{true} if and only if \\spad{n} is odd."))) 
 NIL 
 NIL 
-(-550) 
+(-551) 
 ((|constructor| (NIL "An \\spad{IntegerNumberSystem} is a model for the integers.")) (|invmod| (($ $ $) "\\spad{invmod(a,{}b)},{} \\spad{0<=a<b>1},{} \\spad{(a,{}b)=1} means \\spad{1/a mod b}.")) (|powmod| (($ $ $ $) "\\spad{powmod(a,{}b,{}p)},{} \\spad{0<=a,{}b<p>1},{} means \\spad{a**b mod p}.")) (|mulmod| (($ $ $ $) "\\spad{mulmod(a,{}b,{}p)},{} \\spad{0<=a,{}b<p>1},{} means \\spad{a*b mod p}.")) (|submod| (($ $ $ $) "\\spad{submod(a,{}b,{}p)},{} \\spad{0<=a,{}b<p>1},{} means \\spad{a-b mod p}.")) (|addmod| (($ $ $ $) "\\spad{addmod(a,{}b,{}p)},{} \\spad{0<=a,{}b<p>1},{} means \\spad{a+b mod p}.")) (|mask| (($ $) "\\spad{mask(n)} returns \\spad{2**n-1} (an \\spad{n} bit mask).")) (|dec| (($ $) "\\spad{dec(x)} returns \\spad{x - 1}.")) (|inc| (($ $) "\\spad{inc(x)} returns \\spad{x + 1}.")) (|copy| (($ $) "\\spad{copy(n)} gives a copy of \\spad{n}.")) (|hash| (($ $) "\\spad{hash(n)} returns the hash code of \\spad{n}.")) (|random| (($ $) "\\spad{random(a)} creates a random element from 0 to \\spad{n-1}.") (($) "\\spad{random()} creates a random element.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(n)} creates a rational number,{} or returns \"failed\" if this is not possible.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(n)} creates a rational number (see \\spadtype{Fraction Integer})..")) (|rational?| (((|Boolean|) $) "\\spad{rational?(n)} tests if \\spad{n} is a rational number (see \\spadtype{Fraction Integer}).")) (|symmetricRemainder| (($ $ $) "\\spad{symmetricRemainder(a,{}b)} (where \\spad{b > 1}) yields \\spad{r} where \\spad{ -b/2 <= r < b/2 }.")) (|positiveRemainder| (($ $ $) "\\spad{positiveRemainder(a,{}b)} (where \\spad{b > 1}) yields \\spad{r} where \\spad{0 <= r < b} and \\spad{r == a rem b}.")) (|bit?| (((|Boolean|) $ $) "\\spad{bit?(n,{}i)} returns \\spad{true} if and only if \\spad{i}-th bit of \\spad{n} is a 1.")) (|shift| (($ $ $) "\\spad{shift(a,{}i)} shift \\spad{a} by \\spad{i} digits.")) (|length| (($ $) "\\spad{length(a)} length of \\spad{a} in digits.")) (|base| (($) "\\spad{base()} returns the base for the operations of \\spad{IntegerNumberSystem}.")) (|multiplicativeValuation| ((|attribute|) "euclideanSize(a*b) returns \\spad{euclideanSize(a)*euclideanSize(b)}.")) (|even?| (((|Boolean|) $) "\\spad{even?(n)} returns \\spad{true} if and only if \\spad{n} is even.")) (|odd?| (((|Boolean|) $) "\\spad{odd?(n)} returns \\spad{true} if and only if \\spad{n} is odd."))) 
-((-4519 . T) (-4520 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4533 . T) (-4534 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-551 |Key| |Entry| |addDom|) 
+(-552 |Key| |Entry| |addDom|) 
 ((|constructor| (NIL "This domain is used to provide a conditional \"add\" domain for the implementation of \\spadtype{Table}."))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (QUOTE (-1090))) (-12 (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (LIST (QUOTE -303) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3651) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -4085) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (QUOTE (-1090)))) (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#2| (QUOTE (-1090))) (-2199 (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (QUOTE (-1090))) (|HasCategory| |#2| (QUOTE (-1090)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1090))))) 
-(-552 R -1478) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (-12 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3782) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-1091))) (-2232 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (|HasCategory| |#2| (QUOTE (-1091)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091))))) 
+(-553 R -1564) 
 ((|constructor| (NIL "This package provides functions for the integration of algebraic integrands over transcendental functions.")) (|algint| (((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|SparseUnivariatePolynomial| |#2|) (|SparseUnivariatePolynomial| |#2|))) "\\spad{algint(f,{} x,{} y,{} d)} returns the integral of \\spad{f(x,{}y)dx} where \\spad{y} is an algebraic function of \\spad{x}; \\spad{d} is the derivation to use on \\spad{k[x]}."))) 
 NIL 
 NIL 
-(-553 R0 -1478 UP UPUP R) 
+(-554 R0 -1564 UP UPUP R) 
 ((|constructor| (NIL "This package provides functions for integrating a function on an algebraic curve.")) (|palginfieldint| (((|Union| |#5| "failed") |#5| (|Mapping| |#3| |#3|)) "\\spad{palginfieldint(f,{} d)} returns an algebraic function \\spad{g} such that \\spad{dg = f} if such a \\spad{g} exists,{} \"failed\" otherwise. Argument \\spad{f} must be a pure algebraic function.")) (|palgintegrate| (((|IntegrationResult| |#5|) |#5| (|Mapping| |#3| |#3|)) "\\spad{palgintegrate(f,{} d)} integrates \\spad{f} with respect to the derivation \\spad{d}. Argument \\spad{f} must be a pure algebraic function.")) (|algintegrate| (((|IntegrationResult| |#5|) |#5| (|Mapping| |#3| |#3|)) "\\spad{algintegrate(f,{} d)} integrates \\spad{f} with respect to the derivation \\spad{d}."))) 
 NIL 
 NIL 
-(-554) 
+(-555) 
 ((|constructor| (NIL "This package provides functions to lookup bits in integers")) (|bitTruth| (((|Boolean|) (|Integer|) (|Integer|)) "\\spad{bitTruth(n,{}m)} returns \\spad{true} if coefficient of 2**m in abs(\\spad{n}) is 1")) (|bitCoef| (((|Integer|) (|Integer|) (|Integer|)) "\\spad{bitCoef(n,{}m)} returns the coefficient of 2**m in abs(\\spad{n})")) (|bitLength| (((|Integer|) (|Integer|)) "\\spad{bitLength(n)} returns the number of bits to represent abs(\\spad{n})"))) 
 NIL 
 NIL 
-(-555 R) 
+(-556 R) 
 ((|constructor| (NIL "This category implements of interval arithmetic and transcendental functions over intervals.")) (|contains?| (((|Boolean|) $ |#1|) "\\spad{contains?(i,{}f)} returns \\spad{true} if \\axiom{\\spad{f}} is contained within the interval \\axiom{\\spad{i}},{} \\spad{false} otherwise.")) (|negative?| (((|Boolean|) $) "\\spad{negative?(u)} returns \\axiom{\\spad{true}} if every element of \\spad{u} is negative,{} \\axiom{\\spad{false}} otherwise.")) (|positive?| (((|Boolean|) $) "\\spad{positive?(u)} returns \\axiom{\\spad{true}} if every element of \\spad{u} is positive,{} \\axiom{\\spad{false}} otherwise.")) (|width| ((|#1| $) "\\spad{width(u)} returns \\axiom{sup(\\spad{u}) - inf(\\spad{u})}.")) (|sup| ((|#1| $) "\\spad{sup(u)} returns the supremum of \\axiom{\\spad{u}}.")) (|inf| ((|#1| $) "\\spad{inf(u)} returns the infinum of \\axiom{\\spad{u}}.")) (|qinterval| (($ |#1| |#1|) "\\spad{qinterval(inf,{}sup)} creates a new interval \\axiom{[\\spad{inf},{}\\spad{sup}]},{} without checking the ordering on the elements.")) (|interval| (($ (|Fraction| (|Integer|))) "\\spad{interval(f)} creates a new interval around \\spad{f}.") (($ |#1|) "\\spad{interval(f)} creates a new interval around \\spad{f}.") (($ |#1| |#1|) "\\spad{interval(inf,{}sup)} creates a new interval,{} either \\axiom{[\\spad{inf},{}\\spad{sup}]} if \\axiom{\\spad{inf} \\spad{<=} \\spad{sup}} or \\axiom{[\\spad{sup},{}in]} otherwise."))) 
-((-3999 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-2994 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-556 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR |InfClsPoint| |DesTree| BLMET) 
+(-557 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR |InfClsPoint| |DesTree| BLMET) 
 ((|constructor| (NIL "The following is part of the PAFF package")) (|placesOfDegree| (((|Void|) (|PositiveInteger|) |#3| (|List| |#5|)) "\\spad{placesOfDegree(d,{} f,{} pts)} compute the places of degree dividing \\spad{d} of the curve \\spad{f}. \\spad{pts} should be the singular points of the curve \\spad{f}. For \\spad{d} > 1 this only works if \\spad{K} has \\axiomType{PseudoAlgebraicClosureOfFiniteFieldCategory}.")) (|intersectionDivisor| ((|#8| |#3| |#3| (|List| |#10|) (|List| |#5|)) "\\spad{intersectionDivisor(f,{}pol,{}listOfTree)} returns the intersection divisor of \\spad{f} with a curve defined by \\spad{pol}. \\spad{listOfTree} must contain all the desingularisation trees of all singular points on the curve \\indented{1}{defined by \\spad{pol}.}"))) 
 NIL 
 NIL 
-(-557 S) 
+(-558 S) 
 ((|constructor| (NIL "The category of commutative integral domains,{} \\spadignore{i.e.} commutative rings with no zero divisors. \\blankline Conditional attributes\\spad{\\br} canonicalUnitNormal\\tab{5}the canonical field is the same for all associates\\spad{\\br} canonicalsClosed\\tab{5}the product of two canonicals is itself canonical")) (|unit?| (((|Boolean|) $) "\\spad{unit?(x)} tests whether \\spad{x} is a unit,{} \\spadignore{i.e.} is invertible.")) (|associates?| (((|Boolean|) $ $) "\\spad{associates?(x,{}y)} tests whether \\spad{x} and \\spad{y} are associates,{} \\spadignore{i.e.} differ by a unit factor.")) (|unitCanonical| (($ $) "\\spad{unitCanonical(x)} returns \\spad{unitNormal(x).canonical}.")) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) "\\spad{unitNormal(x)} tries to choose a canonical element from the associate class of \\spad{x}. The attribute canonicalUnitNormal,{} if asserted,{} means that the \"canonical\" element is the same across all associates of \\spad{x} if \\spad{unitNormal(x) = [u,{}c,{}a]} then \\spad{u*c = x},{} \\spad{a*u = 1}.")) (|exquo| (((|Union| $ "failed") $ $) "\\spad{exquo(a,{}b)} either returns an element \\spad{c} such that \\spad{c*b=a} or \"failed\" if no such element can be found."))) 
 NIL 
 NIL 
-(-558) 
+(-559) 
 ((|constructor| (NIL "The category of commutative integral domains,{} \\spadignore{i.e.} commutative rings with no zero divisors. \\blankline Conditional attributes\\spad{\\br} canonicalUnitNormal\\tab{5}the canonical field is the same for all associates\\spad{\\br} canonicalsClosed\\tab{5}the product of two canonicals is itself canonical")) (|unit?| (((|Boolean|) $) "\\spad{unit?(x)} tests whether \\spad{x} is a unit,{} \\spadignore{i.e.} is invertible.")) (|associates?| (((|Boolean|) $ $) "\\spad{associates?(x,{}y)} tests whether \\spad{x} and \\spad{y} are associates,{} \\spadignore{i.e.} differ by a unit factor.")) (|unitCanonical| (($ $) "\\spad{unitCanonical(x)} returns \\spad{unitNormal(x).canonical}.")) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) "\\spad{unitNormal(x)} tries to choose a canonical element from the associate class of \\spad{x}. The attribute canonicalUnitNormal,{} if asserted,{} means that the \"canonical\" element is the same across all associates of \\spad{x} if \\spad{unitNormal(x) = [u,{}c,{}a]} then \\spad{u*c = x},{} \\spad{a*u = 1}.")) (|exquo| (((|Union| $ "failed") $ $) "\\spad{exquo(a,{}b)} either returns an element \\spad{c} such that \\spad{c*b=a} or \"failed\" if no such element can be found."))) 
-((-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-559 R -1478) 
+(-560 R -1564) 
 ((|constructor| (NIL "This package provides functions for integration,{} limited integration,{} extended integration and the risch differential equation for elementary functions.")) (|lfextlimint| (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Symbol|) (|Kernel| |#2|) (|List| (|Kernel| |#2|))) "\\spad{lfextlimint(f,{}x,{}k,{}[k1,{}...,{}kn])} returns functions \\spad{[h,{} c]} such that \\spad{dh/dx = f - c dk/dx}. Value \\spad{h} is looked for in a field containing \\spad{f} and \\spad{k1},{}...,{}\\spad{kn} (the \\spad{ki}\\spad{'s} must be logs).")) (|lfintegrate| (((|IntegrationResult| |#2|) |#2| (|Symbol|)) "\\spad{lfintegrate(f,{} x)} = \\spad{g} such that \\spad{dg/dx = f}.")) (|lfinfieldint| (((|Union| |#2| "failed") |#2| (|Symbol|)) "\\spad{lfinfieldint(f,{} x)} returns a function \\spad{g} such that \\spad{dg/dx = f} if \\spad{g} exists,{} \"failed\" otherwise.")) (|lflimitedint| (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Symbol|) (|List| |#2|)) "\\spad{lflimitedint(f,{}x,{}[g1,{}...,{}gn])} returns functions \\spad{[h,{}[[\\spad{ci},{} \\spad{gi}]]]} such that the \\spad{gi}\\spad{'s} are among \\spad{[g1,{}...,{}gn]},{} and \\spad{d(h+sum(\\spad{ci} log(\\spad{gi})))/dx = f},{} if possible,{} \"failed\" otherwise.")) (|lfextendedint| (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Symbol|) |#2|) "\\spad{lfextendedint(f,{} x,{} g)} returns functions \\spad{[h,{} c]} such that \\spad{dh/dx = f - cg},{} if (\\spad{h},{} \\spad{c}) exist,{} \"failed\" otherwise."))) 
 NIL 
 NIL 
-(-560 K |symb| E OV R) 
+(-561 K |symb| E OV R) 
 ((|constructor| (NIL "Part of the Package for Algebraic Function Fields in one variable PAFF"))) 
 NIL 
 NIL 
-(-561 I) 
+(-562 I) 
 ((|constructor| (NIL "This Package contains basic methods for integer factorization. The factor operation employs trial division up to 10,{}000. It then tests to see if \\spad{n} is a perfect power before using Pollards rho method. Because Pollards method may fail,{} the result of factor may contain composite factors. We should also employ Lenstra\\spad{'s} eliptic curve method.")) (|PollardSmallFactor| (((|Union| |#1| "failed") |#1|) "\\spad{PollardSmallFactor(n)} returns a factor of \\spad{n} or \"failed\" if no one is found")) (|BasicMethod| (((|Factored| |#1|) |#1|) "\\spad{BasicMethod(n)} returns the factorization of integer \\spad{n} by trial division")) (|squareFree| (((|Factored| |#1|) |#1|) "\\spad{squareFree(n)} returns the square free factorization of integer \\spad{n}")) (|factor| (((|Factored| |#1|) |#1|) "\\spad{factor(n)} returns the full factorization of integer \\spad{n}"))) 
 NIL 
 NIL 
-(-562 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR) 
+(-563 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR) 
 ((|constructor| (NIL "The following is part of the PAFF package")) (|interpolateForms| (((|List| |#3|) |#8| (|NonNegativeInteger|) |#3| (|List| |#3|)) "\\spad{interpolateForms(D,{}n,{}pol,{}base)} compute the basis of the sub-vector space \\spad{W} of \\spad{V} = <base>,{} such that for all \\spad{G} in \\spad{W},{} the divisor (\\spad{G}) \\spad{>=} \\spad{D}. All the elements in \\spad{base} must be homogeneous polynomial of degree \\spad{n}. Typicaly,{} \\spad{base} is the set of all monomial of degree \\spad{n:} in that case,{} interpolateForms(\\spad{D},{}\\spad{n},{}\\spad{pol},{}\\spad{base}) returns the basis of the vector space of all forms of degree \\spad{d} that interpolated \\spad{D}. The argument \\spad{pol} must be the same polynomial that defined the curve form which the divisor \\spad{D} is defined."))) 
 NIL 
 NIL 
-(-563) 
+(-564) 
 ((|constructor| (NIL "There is no description for this domain")) (|entry| (((|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{entry(n)} is not documented")) (|entries| (((|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $) "\\spad{entries(x)} is not documented")) (|showAttributes| (((|Union| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{showAttributes(x)} is not documented")) (|insert!| (($ (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) "\\spad{insert!(r)} inserts an entry \\spad{r} into theIFTable")) (|fTable| (($ (|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) "\\spad{fTable(l)} creates a functions table from the elements of \\spad{l}.")) (|keys| (((|List| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) $) "\\spad{keys(f)} returns the list of keys of \\spad{f}")) (|clearTheFTable| (((|Void|)) "\\spad{clearTheFTable()} clears the current table of functions.")) (|showTheFTable| (($) "\\spad{showTheFTable()} returns the current table of functions."))) 
 NIL 
 NIL 
-(-564 R -1478 L) 
+(-565 R -1564 L) 
 ((|constructor| (NIL "Rationalization of several types of genus 0 integrands; This internal package rationalises integrands on curves of the form:\\spad{\\br} \\tab{5}\\spad{y\\^2 = a x\\^2 + b x + c}\\spad{\\br} \\tab{5}\\spad{y\\^2 = (a x + b) / (c x + d)}\\spad{\\br} \\tab{5}\\spad{f(x,{} y) = 0} where \\spad{f} has degree 1 in \\spad{x}\\spad{\\br} The rationalization is done for integration,{} limited integration,{} extended integration and the risch differential equation.")) (|palgLODE0| (((|Record| (|:| |particular| (|Union| |#2| "failed")) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) "\\spad{palgLODE0(op,{}g,{}x,{}y,{}z,{}t,{}c)} returns the solution of \\spad{op f = g} Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{f(x,{}y)dx = c f(t,{}y) dy}; \\spad{c} and \\spad{t} are rational functions of \\spad{y}.") (((|Record| (|:| |particular| (|Union| |#2| "failed")) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|)) "\\spad{palgLODE0(op,{} g,{} x,{} y,{} d,{} p)} returns the solution of \\spad{op f = g}. Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{d(x)\\^2y(x)\\^2 = P(x)}.")) (|lift| (((|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) (|SparseUnivariatePolynomial| |#2|) (|Kernel| |#2|)) "\\spad{lift(u,{}k)} \\undocumented")) (|multivariate| ((|#2| (|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) (|Kernel| |#2|) |#2|) "\\spad{multivariate(u,{}k,{}f)} \\undocumented")) (|univariate| (((|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|SparseUnivariatePolynomial| |#2|)) "\\spad{univariate(f,{}k,{}k,{}p)} \\undocumented")) (|palgRDE0| (((|Union| |#2| "failed") |#2| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|Union| |#2| "failed") |#2| |#2| (|Symbol|)) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) "\\spad{palgRDE0(f,{} g,{} x,{} y,{} foo,{} t,{} c)} returns a function \\spad{z(x,{}y)} such that \\spad{dz/dx + n * df/dx z(x,{}y) = g(x,{}y)} if such a \\spad{z} exists,{} and \"failed\" otherwise. Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{f(x,{}y)dx = c f(t,{}y) dy}; \\spad{c} and \\spad{t} are rational functions of \\spad{y}. Argument \\spad{foo},{} called by \\spad{foo(a,{} b,{} x)},{} is a function that solves \\spad{du/dx + n * da/dx u(x) = u(x)} for an unknown \\spad{u(x)} not involving \\spad{y}.") (((|Union| |#2| "failed") |#2| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|Union| |#2| "failed") |#2| |#2| (|Symbol|)) |#2| (|SparseUnivariatePolynomial| |#2|)) "\\spad{palgRDE0(f,{} g,{} x,{} y,{} foo,{} d,{} p)} returns a function \\spad{z(x,{}y)} such that \\spad{dz/dx + n * df/dx z(x,{}y) = g(x,{}y)} if such a \\spad{z} exists,{} and \"failed\" otherwise. Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{d(x)\\^2y(x)\\^2 = P(x)}. Argument \\spad{foo},{} called by \\spad{foo(a,{} b,{} x)},{} is a function that solves \\spad{du/dx + n * da/dx u(x) = u(x)} for an unknown \\spad{u(x)} not involving \\spad{y}.")) (|palglimint0| (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|List| |#2|) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) "\\spad{palglimint0(f,{} x,{} y,{} [u1,{}...,{}un],{} z,{} t,{} c)} returns functions \\spad{[h,{}[[\\spad{ci},{} \\spad{ui}]]]} such that the \\spad{ui}\\spad{'s} are among \\spad{[u1,{}...,{}un]} and \\spad{d(h + sum(\\spad{ci} log(\\spad{ui})))/dx = f(x,{}y)} if such functions exist,{} and \"failed\" otherwise. Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{f(x,{}y)dx = c f(t,{}y) dy}; \\spad{c} and \\spad{t} are rational functions of \\spad{y}.") (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|List| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|)) "\\spad{palglimint0(f,{} x,{} y,{} [u1,{}...,{}un],{} d,{} p)} returns functions \\spad{[h,{}[[\\spad{ci},{} \\spad{ui}]]]} such that the \\spad{ui}\\spad{'s} are among \\spad{[u1,{}...,{}un]} and \\spad{d(h + sum(\\spad{ci} log(\\spad{ui})))/dx = f(x,{}y)} if such functions exist,{} and \"failed\" otherwise. Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{d(x)\\^2y(x)\\^2 = P(x)}.")) (|palgextint0| (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) "\\spad{palgextint0(f,{} x,{} y,{} g,{} z,{} t,{} c)} returns functions \\spad{[h,{} d]} such that \\spad{dh/dx = f(x,{}y) - d g},{} where \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{f(x,{}y)dx = c f(t,{}y) dy},{} and \\spad{c} and \\spad{t} are rational functions of \\spad{y}. Argument \\spad{z} is a dummy variable not appearing in \\spad{f(x,{}y)}. The operation returns \"failed\" if no such functions exist.") (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| |#2| (|SparseUnivariatePolynomial| |#2|)) "\\spad{palgextint0(f,{} x,{} y,{} g,{} d,{} p)} returns functions \\spad{[h,{} c]} such that \\spad{dh/dx = f(x,{}y) - c g},{} where \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{d(x)\\^2 y(x)\\^2 = P(x)},{} or \"failed\" if no such functions exist.")) (|palgint0| (((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) "\\spad{palgint0(f,{} x,{} y,{} z,{} t,{} c)} returns the integral of \\spad{f(x,{}y)dx} where \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{f(x,{}y)dx = c f(t,{}y) dy}; \\spad{c} and \\spad{t} are rational functions of \\spad{y}. Argument \\spad{z} is a dummy variable not appearing in \\spad{f(x,{}y)}.") (((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|)) "\\spad{palgint0(f,{} x,{} y,{} d,{} p)} returns the integral of \\spad{f(x,{}y)dx} where \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{d(x)\\^2 y(x)\\^2 = P(x)}."))) 
 NIL 
-((|HasCategory| |#3| (LIST (QUOTE -646) (|devaluate| |#2|)))) 
-(-565) 
+((|HasCategory| |#3| (LIST (QUOTE -647) (|devaluate| |#2|)))) 
+(-566) 
 ((|constructor| (NIL "This package provides various number theoretic functions on the integers.")) (|sumOfKthPowerDivisors| (((|Integer|) (|Integer|) (|NonNegativeInteger|)) "\\spad{sumOfKthPowerDivisors(n,{}k)} returns the sum of the \\spad{k}th powers of the integers between 1 and \\spad{n} (inclusive) which divide \\spad{n}. the sum of the \\spad{k}th powers of the divisors of \\spad{n} is often denoted by \\spad{sigma_k(n)}.")) (|sumOfDivisors| (((|Integer|) (|Integer|)) "\\spad{sumOfDivisors(n)} returns the sum of the integers between 1 and \\spad{n} (inclusive) which divide \\spad{n}. The sum of the divisors of \\spad{n} is often denoted by \\spad{sigma(n)}.")) (|numberOfDivisors| (((|Integer|) (|Integer|)) "\\spad{numberOfDivisors(n)} returns the number of integers between 1 and \\spad{n} (inclusive) which divide \\spad{n}. The number of divisors of \\spad{n} is often denoted by \\spad{tau(n)}.")) (|moebiusMu| (((|Integer|) (|Integer|)) "\\spad{moebiusMu(n)} returns the Moebius function \\spad{mu(n)}. \\spad{mu(n)} is either \\spad{-1},{}0 or 1 as follows: \\spad{mu(n) = 0} if \\spad{n} is divisible by a square > 1,{} \\spad{mu(n) = (-1)^k} if \\spad{n} is square-free and has \\spad{k} distinct prime divisors.")) (|legendre| (((|Integer|) (|Integer|) (|Integer|)) "\\spad{legendre(a,{}p)} returns the Legendre symbol \\spad{L(a/p)}. \\spad{L(a/p) = (-1)**((p-1)/2) mod p} (\\spad{p} prime),{} which is 0 if \\spad{a} is 0,{} 1 if \\spad{a} is a quadratic residue \\spad{mod p} and \\spad{-1} otherwise. Note that because the primality test is expensive,{} if it is known that \\spad{p} is prime then use \\spad{jacobi(a,{}p)}.")) (|jacobi| (((|Integer|) (|Integer|) (|Integer|)) "\\spad{jacobi(a,{}b)} returns the Jacobi symbol \\spad{J(a/b)}. When \\spad{b} is odd,{} \\spad{J(a/b) = product(L(a/p) for p in factor b )}. Note that by convention,{} 0 is returned if \\spad{gcd(a,{}b) ^= 1}. Iterative \\spad{O(log(b)^2)} version coded by Michael Monagan June 1987.")) (|harmonic| (((|Fraction| (|Integer|)) (|Integer|)) "\\spad{harmonic(n)} returns the \\spad{n}th harmonic number. This is \\spad{H[n] = sum(1/k,{}k=1..n)}.")) (|fibonacci| (((|Integer|) (|Integer|)) "\\spad{fibonacci(n)} returns the \\spad{n}th Fibonacci number. the Fibonacci numbers \\spad{F[n]} are defined by \\spad{F[0] = F[1] = 1} and \\spad{F[n] = F[n-1] + F[n-2]}. The algorithm has running time \\spad{O(log(n)^3)}. Reference: Knuth,{} The Art of Computer Programming Vol 2,{} Semi-Numerical Algorithms.")) (|eulerPhi| (((|Integer|) (|Integer|)) "\\spad{eulerPhi(n)} returns the number of integers between 1 and \\spad{n} (including 1) which are relatively prime to \\spad{n}. This is the Euler phi function \\spad{\\phi(n)} is also called the totient function.")) (|euler| (((|Integer|) (|Integer|)) "\\spad{euler(n)} returns the \\spad{n}th Euler number. This is \\spad{2^n E(n,{}1/2)},{} where \\spad{E(n,{}x)} is the \\spad{n}th Euler polynomial.")) (|divisors| (((|List| (|Integer|)) (|Integer|)) "\\spad{divisors(n)} returns a list of the divisors of \\spad{n}.")) (|chineseRemainder| (((|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{chineseRemainder(x1,{}m1,{}x2,{}m2)} returns \\spad{w},{} where \\spad{w} is such that \\spad{w = x1 mod m1} and \\spad{w = x2 mod m2}. Note that \\spad{m1} and \\spad{m2} must be relatively prime.")) (|bernoulli| (((|Fraction| (|Integer|)) (|Integer|)) "\\spad{bernoulli(n)} returns the \\spad{n}th Bernoulli number. this is \\spad{B(n,{}0)},{} where \\spad{B(n,{}x)} is the \\spad{n}th Bernoulli polynomial."))) 
 NIL 
 NIL 
-(-566 -1478 UP UPUP R) 
+(-567 -1564 UP UPUP R) 
 ((|constructor| (NIL "Algebraic Hermite reduction.")) (|HermiteIntegrate| (((|Record| (|:| |answer| |#4|) (|:| |logpart| |#4|)) |#4| (|Mapping| |#2| |#2|)) "\\spad{HermiteIntegrate(f,{} ')} returns \\spad{[g,{}h]} such that \\spad{f = g' + h} and \\spad{h} has a only simple finite normal poles."))) 
 NIL 
 NIL 
-(-567 -1478 UP) 
+(-568 -1564 UP) 
 ((|constructor| (NIL "Hermite integration,{} transcendental case.")) (|HermiteIntegrate| (((|Record| (|:| |answer| (|Fraction| |#2|)) (|:| |logpart| (|Fraction| |#2|)) (|:| |specpart| (|Fraction| |#2|)) (|:| |polypart| |#2|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{HermiteIntegrate(f,{} D)} returns \\spad{[g,{} h,{} s,{} p]} such that \\spad{f = Dg + h + s + p},{} \\spad{h} has a squarefree denominator normal \\spad{w}.\\spad{r}.\\spad{t}. \\spad{D},{} and all the squarefree factors of the denominator of \\spad{s} are special \\spad{w}.\\spad{r}.\\spad{t}. \\spad{D}. Furthermore,{} \\spad{h} and \\spad{s} have no polynomial parts. \\spad{D} is the derivation to use on \\spadtype{UP}."))) 
 NIL 
 NIL 
-(-568) 
+(-569) 
 ((|constructor| (NIL "\\spadtype{Integer} provides the domain of arbitrary precision integers.")) (|infinite| ((|attribute|) "nextItem never returns \"failed\".")) (|noetherian| ((|attribute|) "ascending chain condition on ideals.")) (|canonicalsClosed| ((|attribute|) "two positives multiply to give positive.")) (|canonical| ((|attribute|) "mathematical equality is data structure equality.")) (|random| (($ $) "\\spad{random(n)} returns a random integer from 0 to \\spad{n-1}."))) 
-((-4503 . T) (-4509 . T) (-4513 . T) (-4508 . T) (-4519 . T) (-4520 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4517 . T) (-4523 . T) (-4527 . T) (-4522 . T) (-4533 . T) (-4534 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-569) 
+(-570) 
 ((|constructor| (NIL "\\axiomType{AnnaNumericalIntegrationPackage} is a \\axiom{package} of functions for the \\axiom{category} \\axiomType{NumericalIntegrationCategory} with \\axiom{measure},{} and \\axiom{integrate}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|))) (|NumericalIntegrationProblem|) (|RoutinesTable|)) "\\spad{measure(prob,{}R)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical integration problem defined by \\axiom{\\spad{prob}}. \\blankline It calls each \\axiom{domain} listed in \\axiom{\\spad{R}} of \\axiom{category} \\axiomType{NumericalIntegrationCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information.") (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|))) (|NumericalIntegrationProblem|)) "\\spad{measure(prob)} is a top level ANNA function for identifying the most appropriate numerical routine for solving the numerical integration problem defined by \\axiom{\\spad{prob}}. \\blankline It calls each \\axiom{domain} of \\axiom{category} \\axiomType{NumericalIntegrationCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information.")) (|integrate| (((|Union| (|Result|) "failed") (|Expression| (|Float|)) (|SegmentBinding| (|OrderedCompletion| (|Float|))) (|Symbol|)) "\\spad{integrate(exp,{} x = a..b,{} numerical)} is a top level ANNA function to integrate an expression,{} {\\spad{\\tt} \\spad{exp}},{} over a given range,{} {\\spad{\\tt} a} to {\\spad{\\tt} \\spad{b}}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline Default values for the absolute and relative error are used. \\blankline It is an error if the last argument is not {\\spad{\\tt} numerical}.") (((|Union| (|Result|) "failed") (|Expression| (|Float|)) (|SegmentBinding| (|OrderedCompletion| (|Float|))) (|String|)) "\\spad{integrate(exp,{} x = a..b,{} \"numerical\")} is a top level ANNA function to integrate an expression,{} {\\spad{\\tt} \\spad{exp}},{} over a given range,{} {\\spad{\\tt} a} to {\\spad{\\tt} \\spad{b}}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline Default values for the absolute and relative error are used. \\blankline It is an error of the last argument is not {\\spad{\\tt} \"numerical\"}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|)))) (|Float|) (|Float|) (|RoutinesTable|)) "\\spad{integrate(exp,{} [a..b,{}c..d,{}...],{} epsabs,{} epsrel,{} routines)} is a top level ANNA function to integrate a multivariate expression,{} {\\spad{\\tt} \\spad{exp}},{} over a given set of ranges to the required absolute and relative accuracy,{} using the routines available in the RoutinesTable provided. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|)))) (|Float|) (|Float|)) "\\spad{integrate(exp,{} [a..b,{}c..d,{}...],{} epsabs,{} epsrel)} is a top level ANNA function to integrate a multivariate expression,{} {\\spad{\\tt} \\spad{exp}},{} over a given set of ranges to the required absolute and relative accuracy. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|)))) (|Float|)) "\\spad{integrate(exp,{} [a..b,{}c..d,{}...],{} epsrel)} is a top level ANNA function to integrate a multivariate expression,{} {\\spad{\\tt} \\spad{exp}},{} over a given set of ranges to the required relative accuracy. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline If epsrel = 0,{} a default absolute accuracy is used.") (((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|))))) "\\spad{integrate(exp,{} [a..b,{}c..d,{}...])} is a top level ANNA function to integrate a multivariate expression,{} {\\spad{\\tt} \\spad{exp}},{} over a given set of ranges. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline Default values for the absolute and relative error are used.") (((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|)))) "\\spad{integrate(exp,{} a..b)} is a top level ANNA function to integrate an expression,{} {\\spad{\\tt} \\spad{exp}},{} over a given range {\\spad{\\tt} a} to {\\spad{\\tt} \\spad{b}}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline Default values for the absolute and relative error are used.") (((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|))) (|Float|)) "\\spad{integrate(exp,{} a..b,{} epsrel)} is a top level ANNA function to integrate an expression,{} {\\spad{\\tt} \\spad{exp}},{} over a given range {\\spad{\\tt} a} to {\\spad{\\tt} \\spad{b}} to the required relative accuracy. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline If epsrel = 0,{} a default absolute accuracy is used.") (((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|))) (|Float|) (|Float|)) "\\spad{integrate(exp,{} a..b,{} epsabs,{} epsrel)} is a top level ANNA function to integrate an expression,{} {\\spad{\\tt} \\spad{exp}},{} over a given range {\\spad{\\tt} a} to {\\spad{\\tt} \\spad{b}} to the required absolute and relative accuracy. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}.") (((|Result|) (|NumericalIntegrationProblem|)) "\\spad{integrate(IntegrationProblem)} is a top level ANNA function to integrate an expression over a given range or ranges to the required absolute and relative accuracy. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|))) (|Float|) (|Float|) (|RoutinesTable|)) "\\spad{integrate(exp,{} a..b,{} epsrel,{} routines)} is a top level ANNA function to integrate an expression,{} {\\spad{\\tt} \\spad{exp}},{} over a given range {\\spad{\\tt} a} to {\\spad{\\tt} \\spad{b}} to the required absolute and relative accuracy using the routines available in the RoutinesTable provided. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}."))) 
 NIL 
 NIL 
-(-570 R -1478 L) 
+(-571 R -1564 L) 
 ((|constructor| (NIL "Integration of pure algebraic functions; This package provides functions for integration,{} limited integration,{} extended integration and the risch differential equation for pure algebraic integrands.")) (|palgLODE| (((|Record| (|:| |particular| (|Union| |#2| "failed")) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Symbol|)) "\\spad{palgLODE(op,{} g,{} kx,{} y,{} x)} returns the solution of \\spad{op f = g}. \\spad{y} is an algebraic function of \\spad{x}.")) (|palgRDE| (((|Union| |#2| "failed") |#2| |#2| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|Union| |#2| "failed") |#2| |#2| (|Symbol|))) "\\spad{palgRDE(nfp,{} f,{} g,{} x,{} y,{} foo)} returns a function \\spad{z(x,{}y)} such that \\spad{dz/dx + n * df/dx z(x,{}y) = g(x,{}y)} if such a \\spad{z} exists,{} \"failed\" otherwise; \\spad{y} is an algebraic function of \\spad{x}; \\spad{foo(a,{} b,{} x)} is a function that solves \\spad{du/dx + n * da/dx u(x) = u(x)} for an unknown \\spad{u(x)} not involving \\spad{y}. \\spad{nfp} is \\spad{n * df/dx}.")) (|palglimint| (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|List| |#2|)) "\\spad{palglimint(f,{} x,{} y,{} [u1,{}...,{}un])} returns functions \\spad{[h,{}[[\\spad{ci},{} \\spad{ui}]]]} such that the \\spad{ui}\\spad{'s} are among \\spad{[u1,{}...,{}un]} and \\spad{d(h + sum(\\spad{ci} log(\\spad{ui})))/dx = f(x,{}y)} if such functions exist,{} \"failed\" otherwise; \\spad{y} is an algebraic function of \\spad{x}.")) (|palgextint| (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2|) "\\spad{palgextint(f,{} x,{} y,{} g)} returns functions \\spad{[h,{} c]} such that \\spad{dh/dx = f(x,{}y) - c g},{} where \\spad{y} is an algebraic function of \\spad{x}; returns \"failed\" if no such functions exist.")) (|palgint| (((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|)) "\\spad{palgint(f,{} x,{} y)} returns the integral of \\spad{f(x,{}y)dx} where \\spad{y} is an algebraic function of \\spad{x}."))) 
 NIL 
-((|HasCategory| |#3| (LIST (QUOTE -646) (|devaluate| |#2|)))) 
-(-571 R -1478) 
+((|HasCategory| |#3| (LIST (QUOTE -647) (|devaluate| |#2|)))) 
+(-572 R -1564) 
 ((|constructor| (NIL "\\spadtype{PatternMatchIntegration} provides functions that use the pattern matcher to find some indefinite and definite integrals involving special functions and found in the litterature.")) (|pmintegrate| (((|Union| |#2| "failed") |#2| (|Symbol|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|)) "\\spad{pmintegrate(f,{} x = a..b)} returns the integral of \\spad{f(x)dx} from a to \\spad{b} if it can be found by the built-in pattern matching rules.") (((|Union| (|Record| (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (|Symbol|)) "\\spad{pmintegrate(f,{} x)} returns either \"failed\" or \\spad{[g,{}h]} such that \\spad{integrate(f,{}x) = g + integrate(h,{}x)}.")) (|pmComplexintegrate| (((|Union| (|Record| (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (|Symbol|)) "\\spad{pmComplexintegrate(f,{} x)} returns either \"failed\" or \\spad{[g,{}h]} such that \\spad{integrate(f,{}x) = g + integrate(h,{}x)}. It only looks for special complex integrals that pmintegrate does not return.")) (|splitConstant| (((|Record| (|:| |const| |#2|) (|:| |nconst| |#2|)) |#2| (|Symbol|)) "\\spad{splitConstant(f,{} x)} returns \\spad{[c,{} g]} such that \\spad{f = c * g} and \\spad{c} does not involve \\spad{t}."))) 
 NIL 
-((-12 (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-1124)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-620))))) 
-(-572 -1478 UP) 
+((-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1125)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-621))))) 
+(-573 -1564 UP) 
 ((|constructor| (NIL "Rational function integration This package provides functions for the base case of the Risch algorithm.")) (|limitedint| (((|Union| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|)))))) "failed") (|Fraction| |#2|) (|List| (|Fraction| |#2|))) "\\spad{limitedint(f,{} [g1,{}...,{}gn])} returns fractions \\spad{[h,{}[[\\spad{ci},{} \\spad{gi}]]]} such that the \\spad{gi}\\spad{'s} are among \\spad{[g1,{}...,{}gn]},{} \\spad{ci' = 0},{} and \\spad{(h+sum(\\spad{ci} log(\\spad{gi})))' = f},{} if possible,{} \"failed\" otherwise.")) (|extendedint| (((|Union| (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Fraction| |#2|)) "\\spad{extendedint(f,{} g)} returns fractions \\spad{[h,{} c]} such that \\spad{c' = 0} and \\spad{h' = f - cg},{} if \\spad{(h,{} c)} exist,{} \"failed\" otherwise.")) (|infieldint| (((|Union| (|Fraction| |#2|) "failed") (|Fraction| |#2|)) "\\spad{infieldint(f)} returns \\spad{g} such that \\spad{g' = f} or \"failed\" if the integral of \\spad{f} is not a rational function.")) (|integrate| (((|IntegrationResult| (|Fraction| |#2|)) (|Fraction| |#2|)) "\\spad{integrate(f)} returns \\spad{g} such that \\spad{g' = f}."))) 
 NIL 
 NIL 
-(-573 S) 
+(-574 S) 
 ((|constructor| (NIL "Provides integer testing and retraction functions.")) (|integerIfCan| (((|Union| (|Integer|) "failed") |#1|) "\\spad{integerIfCan(x)} returns \\spad{x} as an integer,{} \"failed\" if \\spad{x} is not an integer.")) (|integer?| (((|Boolean|) |#1|) "\\spad{integer?(x)} is \\spad{true} if \\spad{x} is an integer,{} \\spad{false} otherwise.")) (|integer| (((|Integer|) |#1|) "\\spad{integer(x)} returns \\spad{x} as an integer; error if \\spad{x} is not an integer."))) 
 NIL 
 NIL 
-(-574 -1478) 
+(-575 -1564) 
 ((|constructor| (NIL "This package provides functions for the integration of rational functions.")) (|extendedIntegrate| (((|Union| (|Record| (|:| |ratpart| (|Fraction| (|Polynomial| |#1|))) (|:| |coeff| (|Fraction| (|Polynomial| |#1|)))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|Fraction| (|Polynomial| |#1|))) "\\spad{extendedIntegrate(f,{} x,{} g)} returns fractions \\spad{[h,{} c]} such that \\spad{dc/dx = 0} and \\spad{dh/dx = f - cg},{} if \\spad{(h,{} c)} exist,{} \"failed\" otherwise.")) (|limitedIntegrate| (((|Union| (|Record| (|:| |mainpart| (|Fraction| (|Polynomial| |#1|))) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| (|Polynomial| |#1|))) (|:| |logand| (|Fraction| (|Polynomial| |#1|))))))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|List| (|Fraction| (|Polynomial| |#1|)))) "\\spad{limitedIntegrate(f,{} x,{} [g1,{}...,{}gn])} returns fractions \\spad{[h,{} [[\\spad{ci},{}\\spad{gi}]]]} such that the \\spad{gi}\\spad{'s} are among \\spad{[g1,{}...,{}gn]},{} \\spad{dci/dx = 0},{} and \\spad{d(h + sum(\\spad{ci} log(\\spad{gi})))/dx = f} if possible,{} \"failed\" otherwise.")) (|infieldIntegrate| (((|Union| (|Fraction| (|Polynomial| |#1|)) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{infieldIntegrate(f,{} x)} returns a fraction \\spad{g} such that \\spad{dg/dx = f} if \\spad{g} exists,{} \"failed\" otherwise.")) (|internalIntegrate| (((|IntegrationResult| (|Fraction| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{internalIntegrate(f,{} x)} returns \\spad{g} such that \\spad{dg/dx = f}."))) 
 NIL 
 NIL 
-(-575 R) 
+(-576 R) 
 ((|constructor| (NIL "This domain is an implementation of interval arithmetic and transcendental functions over intervals."))) 
-((-3999 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-2994 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-576) 
+(-577) 
 ((|constructor| (NIL "This package provides the implementation for the \\spadfun{solveLinearPolynomialEquation} operation over the integers. It uses a lifting technique from the package GenExEuclid")) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| (|Integer|))) "failed") (|List| (|SparseUnivariatePolynomial| (|Integer|))) (|SparseUnivariatePolynomial| (|Integer|))) "\\spad{solveLinearPolynomialEquation([f1,{} ...,{} fn],{} g)} (where the \\spad{fi} are relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g/prod \\spad{fi} = sum ai/fi} or returns \"failed\" if no such list of \\spad{ai}\\spad{'s} exists."))) 
 NIL 
 NIL 
-(-577 R -1478) 
+(-578 R -1564) 
 ((|constructor| (NIL "Tools for the integrator")) (|intPatternMatch| (((|IntegrationResult| |#2|) |#2| (|Symbol|) (|Mapping| (|IntegrationResult| |#2|) |#2| (|Symbol|)) (|Mapping| (|Union| (|Record| (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (|Symbol|))) "\\spad{intPatternMatch(f,{} x,{} int,{} pmint)} tries to integrate \\spad{f} first by using the integration function \\spad{int},{} and then by using the pattern match intetgration function \\spad{pmint} on any remaining unintegrable part.")) (|mkPrim| ((|#2| |#2| (|Symbol|)) "\\spad{mkPrim(f,{} x)} makes the logs in \\spad{f} which are linear in \\spad{x} primitive with respect to \\spad{x}.")) (|removeConstantTerm| ((|#2| |#2| (|Symbol|)) "\\spad{removeConstantTerm(f,{} x)} returns \\spad{f} minus any additive constant with respect to \\spad{x}.")) (|vark| (((|List| (|Kernel| |#2|)) (|List| |#2|) (|Symbol|)) "\\spad{vark([f1,{}...,{}fn],{}x)} returns the set-theoretic union of \\spad{(varselect(f1,{}x),{}...,{}varselect(fn,{}x))}.")) (|union| (((|List| (|Kernel| |#2|)) (|List| (|Kernel| |#2|)) (|List| (|Kernel| |#2|))) "\\spad{union(l1,{} l2)} returns set-theoretic union of \\spad{l1} and \\spad{l2}.")) (|ksec| (((|Kernel| |#2|) (|Kernel| |#2|) (|List| (|Kernel| |#2|)) (|Symbol|)) "\\spad{ksec(k,{} [k1,{}...,{}kn],{} x)} returns the second top-level \\spad{ki} after \\spad{k} involving \\spad{x}.")) (|kmax| (((|Kernel| |#2|) (|List| (|Kernel| |#2|))) "\\spad{kmax([k1,{}...,{}kn])} returns the top-level \\spad{ki} for integration.")) (|varselect| (((|List| (|Kernel| |#2|)) (|List| (|Kernel| |#2|)) (|Symbol|)) "\\spad{varselect([k1,{}...,{}kn],{} x)} returns the \\spad{ki} which involve \\spad{x}."))) 
 NIL 
-((-12 (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-279))) (|HasCategory| |#2| (QUOTE (-620)))) (-12 (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#2| (QUOTE (-279)))) (|HasCategory| |#1| (QUOTE (-558)))) 
-(-578 -1478 UP) 
+((-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-280))) (|HasCategory| |#2| (QUOTE (-621)))) (-12 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-280)))) (|HasCategory| |#1| (QUOTE (-559)))) 
+(-579 -1564 UP) 
 ((|constructor| (NIL "This package provides functions for the transcendental case of the Risch algorithm.")) (|monomialIntPoly| (((|Record| (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (|Mapping| |#2| |#2|)) "\\spad{monomialIntPoly(p,{} ')} returns [\\spad{q},{} \\spad{r}] such that \\spad{p = q' + r} and \\spad{degree(r) < degree(t')}. Error if \\spad{degree(t') < 2}.")) (|monomialIntegrate| (((|Record| (|:| |ir| (|IntegrationResult| (|Fraction| |#2|))) (|:| |specpart| (|Fraction| |#2|)) (|:| |polypart| |#2|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{monomialIntegrate(f,{} ')} returns \\spad{[ir,{} s,{} p]} such that \\spad{f = ir' + s + p} and all the squarefree factors of the denominator of \\spad{s} are special \\spad{w}.\\spad{r}.\\spad{t} the derivation '.")) (|expintfldpoly| (((|Union| (|LaurentPolynomial| |#1| |#2|) "failed") (|LaurentPolynomial| |#1| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|)) "\\spad{expintfldpoly(p,{} foo)} returns \\spad{q} such that \\spad{p' = q} or \"failed\" if no such \\spad{q} exists. Argument foo is a Risch differential equation function on \\spad{F}.")) (|primintfldpoly| (((|Union| |#2| "failed") |#2| (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|) "\\spad{primintfldpoly(p,{} ',{} t')} returns \\spad{q} such that \\spad{p' = q} or \"failed\" if no such \\spad{q} exists. Argument \\spad{t'} is the derivative of the primitive generating the extension.")) (|primlimintfrac| (((|Union| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|)))))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|List| (|Fraction| |#2|))) "\\spad{primlimintfrac(f,{} ',{} [u1,{}...,{}un])} returns \\spad{[v,{} [c1,{}...,{}cn]]} such that \\spad{ci' = 0} and \\spad{f = v' + +/[\\spad{ci} * ui'/ui]}. Error: if \\spad{degree numer f >= degree denom f}.")) (|primextintfrac| (((|Union| (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Fraction| |#2|)) "\\spad{primextintfrac(f,{} ',{} g)} returns \\spad{[v,{} c]} such that \\spad{f = v' + c g} and \\spad{c' = 0}. Error: if \\spad{degree numer f >= degree denom f} or if \\spad{degree numer g >= degree denom g} or if \\spad{denom g} is not squarefree.")) (|explimitedint| (((|Union| (|Record| (|:| |answer| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|))))))) (|:| |a0| |#1|)) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|) (|List| (|Fraction| |#2|))) "\\spad{explimitedint(f,{} ',{} foo,{} [u1,{}...,{}un])} returns \\spad{[v,{} [c1,{}...,{}cn],{} a]} such that \\spad{ci' = 0},{} \\spad{f = v' + a + reduce(+,{}[\\spad{ci} * ui'/ui])},{} and \\spad{a = 0} or \\spad{a} has no integral in \\spad{F}. Returns \"failed\" if no such \\spad{v},{} \\spad{ci},{} a exist. Argument \\spad{foo} is a Risch differential equation function on \\spad{F}.")) (|primlimitedint| (((|Union| (|Record| (|:| |answer| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|))))))) (|:| |a0| |#1|)) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (|List| (|Fraction| |#2|))) "\\spad{primlimitedint(f,{} ',{} foo,{} [u1,{}...,{}un])} returns \\spad{[v,{} [c1,{}...,{}cn],{} a]} such that \\spad{ci' = 0},{} \\spad{f = v' + a + reduce(+,{}[\\spad{ci} * ui'/ui])},{} and \\spad{a = 0} or \\spad{a} has no integral in UP. Returns \"failed\" if no such \\spad{v},{} \\spad{ci},{} a exist. Argument \\spad{foo} is an extended integration function on \\spad{F}.")) (|expextendedint| (((|Union| (|Record| (|:| |answer| (|Fraction| |#2|)) (|:| |a0| |#1|)) (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|) (|Fraction| |#2|)) "\\spad{expextendedint(f,{} ',{} foo,{} g)} returns either \\spad{[v,{} c]} such that \\spad{f = v' + c g} and \\spad{c' = 0},{} or \\spad{[v,{} a]} such that \\spad{f = g' + a},{} and \\spad{a = 0} or \\spad{a} has no integral in \\spad{F}. Returns \"failed\" if neither case can hold. Argument \\spad{foo} is a Risch differential equation function on \\spad{F}.")) (|primextendedint| (((|Union| (|Record| (|:| |answer| (|Fraction| |#2|)) (|:| |a0| |#1|)) (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (|Fraction| |#2|)) "\\spad{primextendedint(f,{} ',{} foo,{} g)} returns either \\spad{[v,{} c]} such that \\spad{f = v' + c g} and \\spad{c' = 0},{} or \\spad{[v,{} a]} such that \\spad{f = g' + a},{} and \\spad{a = 0} or \\spad{a} has no integral in UP. Returns \"failed\" if neither case can hold. Argument \\spad{foo} is an extended integration function on \\spad{F}.")) (|tanintegrate| (((|Record| (|:| |answer| (|IntegrationResult| (|Fraction| |#2|))) (|:| |a0| |#1|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|List| |#1|) "failed") (|Integer|) |#1| |#1|)) "\\spad{tanintegrate(f,{} ',{} foo)} returns \\spad{[g,{} a]} such that \\spad{f = g' + a},{} and \\spad{a = 0} or \\spad{a} has no integral in \\spad{F}; Argument foo is a Risch differential system solver on \\spad{F}.")) (|expintegrate| (((|Record| (|:| |answer| (|IntegrationResult| (|Fraction| |#2|))) (|:| |a0| |#1|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|)) "\\spad{expintegrate(f,{} ',{} foo)} returns \\spad{[g,{} a]} such that \\spad{f = g' + a},{} and \\spad{a = 0} or \\spad{a} has no integral in \\spad{F}; Argument foo is a Risch differential equation solver on \\spad{F}.")) (|primintegrate| (((|Record| (|:| |answer| (|IntegrationResult| (|Fraction| |#2|))) (|:| |a0| |#1|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|)) "\\spad{primintegrate(f,{} ',{} foo)} returns \\spad{[g,{} a]} such that \\spad{f = g' + a},{} and \\spad{a = 0} or \\spad{a} has no integral in UP. Argument foo is an extended integration function on \\spad{F}."))) 
 NIL 
 NIL 
-(-579 R -1478) 
+(-580 R -1564) 
 ((|constructor| (NIL "This package computes the inverse Laplace Transform.")) (|inverseLaplace| (((|Union| |#2| "failed") |#2| (|Symbol|) (|Symbol|)) "\\spad{inverseLaplace(f,{} s,{} t)} returns the Inverse Laplace transform of \\spad{f(s)} using \\spad{t} as the new variable or \"failed\" if unable to find a closed form. Handles only rational \\spad{f(s)}."))) 
 NIL 
 NIL 
-(-580 |p| |unBalanced?|) 
+(-581 |p| |unBalanced?|) 
 ((|constructor| (NIL "This domain implements \\spad{Zp},{} the \\spad{p}-adic completion of the integers. This is an internal domain."))) 
-((-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-581 |p|) 
+(-582 |p|) 
 ((|constructor| (NIL "InnerPrimeField(\\spad{p}) implements the field with \\spad{p} elements."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| $ (QUOTE (-150))) (|HasCategory| $ (QUOTE (-148))) (|HasCategory| $ (QUOTE (-370)))) 
-(-582) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| $ (QUOTE (-151))) (|HasCategory| $ (QUOTE (-149))) (|HasCategory| $ (QUOTE (-371)))) 
+(-583) 
 ((|constructor| (NIL "A package to print strings without line-feed nor carriage-return.")) (|iprint| (((|Void|) (|String|)) "\\axiom{iprint(\\spad{s})} prints \\axiom{\\spad{s}} at the current position of the cursor."))) 
 NIL 
 NIL 
-(-583 R -1478) 
+(-584 R -1564) 
 ((|constructor| (NIL "Conversion of integration results to top-level expressions This package allows a sum of logs over the roots of a polynomial to be expressed as explicit logarithms and arc tangents,{} provided that the indexing polynomial can be factored into quadratics.")) (|complexExpand| ((|#2| (|IntegrationResult| |#2|)) "\\spad{complexExpand(i)} returns the expanded complex function corresponding to \\spad{i}.")) (|expand| (((|List| |#2|) (|IntegrationResult| |#2|)) "\\spad{expand(i)} returns the list of possible real functions corresponding to \\spad{i}.")) (|split| (((|IntegrationResult| |#2|) (|IntegrationResult| |#2|)) "\\spad{split(u(x) + sum_{P(a)=0} Q(a,{}x))} returns \\spad{u(x) + sum_{P1(a)=0} Q(a,{}x) + ... + sum_{Pn(a)=0} Q(a,{}x)} where \\spad{P1},{}...,{}\\spad{Pn} are the factors of \\spad{P}."))) 
 NIL 
 NIL 
-(-584 E -1478) 
+(-585 E -1564) 
 ((|constructor| (NIL "Internally used by the integration packages")) (|map| (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (|Mapping| |#2| |#1|) (|Union| (|Record| (|:| |mainpart| |#1|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")) "\\spad{map(f,{}ufe)} \\undocumented") (((|Union| |#2| "failed") (|Mapping| |#2| |#1|) (|Union| |#1| "failed")) "\\spad{map(f,{}ue)} \\undocumented") (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") (|Mapping| |#2| |#1|) (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed")) "\\spad{map(f,{}ure)} \\undocumented") (((|IntegrationResult| |#2|) (|Mapping| |#2| |#1|) (|IntegrationResult| |#1|)) "\\spad{map(f,{}ire)} \\undocumented"))) 
 NIL 
 NIL 
-(-585 -1478) 
+(-586 -1564) 
 ((|constructor| (NIL "The result of a transcendental integration. If a function \\spad{f} has an elementary integral \\spad{g},{} then \\spad{g} can be written in the form \\spad{g = h + c1 log(u1) + c2 log(u2) + ... + cn log(un)} where \\spad{h},{} which is in the same field than \\spad{f},{} is called the rational part of the integral,{} and \\spad{c1 log(u1) + ... cn log(un)} is called the logarithmic part of the integral. This domain manipulates integrals represented in that form,{} by keeping both parts separately. The logs are not explicitly computed.")) (|differentiate| ((|#1| $ (|Symbol|)) "\\spad{differentiate(ir,{}x)} differentiates \\spad{ir} with respect to \\spad{x}") ((|#1| $ (|Mapping| |#1| |#1|)) "\\spad{differentiate(ir,{}D)} differentiates \\spad{ir} with respect to the derivation \\spad{D}.")) (|integral| (($ |#1| (|Symbol|)) "\\spad{integral(f,{}x)} returns the formal integral of \\spad{f} with respect to \\spad{x}") (($ |#1| |#1|) "\\spad{integral(f,{}x)} returns the formal integral of \\spad{f} with respect to \\spad{x}")) (|elem?| (((|Boolean|) $) "\\spad{elem?(ir)} tests if an integration result is elementary over \\spad{F?}")) (|notelem| (((|List| (|Record| (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $) "\\spad{notelem(ir)} returns the non-elementary part of an integration result")) (|logpart| (((|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| |#1|)) (|:| |logand| (|SparseUnivariatePolynomial| |#1|)))) $) "\\spad{logpart(ir)} returns the logarithmic part of an integration result")) (|ratpart| ((|#1| $) "\\spad{ratpart(ir)} returns the rational part of an integration result")) (|mkAnswer| (($ |#1| (|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| |#1|)) (|:| |logand| (|SparseUnivariatePolynomial| |#1|)))) (|List| (|Record| (|:| |integrand| |#1|) (|:| |intvar| |#1|)))) "\\spad{mkAnswer(r,{}l,{}ne)} creates an integration result from a rational part \\spad{r},{} a logarithmic part \\spad{l},{} and a non-elementary part \\spad{ne}."))) 
-((-4516 . T) (-4515 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-1161))))) 
-(-586 I) 
+((-4530 . T) (-4529 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-1163))))) 
+(-587 I) 
 ((|constructor| (NIL "The \\spadtype{IntegerRoots} package computes square roots and \\spad{n}th roots of integers efficiently.")) (|approxSqrt| ((|#1| |#1|) "\\spad{approxSqrt(n)} returns an approximation \\spad{x} to \\spad{sqrt(n)} such that \\spad{-1 < x - sqrt(n) < 1}. Compute an approximation \\spad{s} to \\spad{sqrt(n)} such that \\indented{10}{\\spad{-1 < s - sqrt(n) < 1}} A variable precision Newton iteration is used. The running time is \\spad{O( log(n)**2 )}.")) (|perfectSqrt| (((|Union| |#1| "failed") |#1|) "\\spad{perfectSqrt(n)} returns the square root of \\spad{n} if \\spad{n} is a perfect square and returns \"failed\" otherwise")) (|perfectSquare?| (((|Boolean|) |#1|) "\\spad{perfectSquare?(n)} returns \\spad{true} if \\spad{n} is a perfect square and \\spad{false} otherwise")) (|approxNthRoot| ((|#1| |#1| (|NonNegativeInteger|)) "\\spad{approxRoot(n,{}r)} returns an approximation \\spad{x} to \\spad{n**(1/r)} such that \\spad{-1 < x - n**(1/r) < 1}")) (|perfectNthRoot| (((|Record| (|:| |base| |#1|) (|:| |exponent| (|NonNegativeInteger|))) |#1|) "\\spad{perfectNthRoot(n)} returns \\spad{[x,{}r]},{} where \\spad{n = x\\^r} and \\spad{r} is the largest integer such that \\spad{n} is a perfect \\spad{r}th power") (((|Union| |#1| "failed") |#1| (|NonNegativeInteger|)) "\\spad{perfectNthRoot(n,{}r)} returns the \\spad{r}th root of \\spad{n} if \\spad{n} is an \\spad{r}th power and returns \"failed\" otherwise")) (|perfectNthPower?| (((|Boolean|) |#1| (|NonNegativeInteger|)) "\\spad{perfectNthPower?(n,{}r)} returns \\spad{true} if \\spad{n} is an \\spad{r}th power and \\spad{false} otherwise"))) 
 NIL 
 NIL 
-(-587 GF) 
+(-588 GF) 
 ((|constructor| (NIL "This package exports the function generateIrredPoly that computes a monic irreducible polynomial of degree \\spad{n} over a finite field.")) (|generateIrredPoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{generateIrredPoly(n)} generates an irreducible univariate polynomial of the given degree \\spad{n} over the finite field."))) 
 NIL 
 NIL 
-(-588 R) 
+(-589 R) 
 ((|constructor| (NIL "Conversion of integration results to top-level expressions. This package allows a sum of logs over the roots of a polynomial to be expressed as explicit logarithms and arc tangents,{} provided that the indexing polynomial can be factored into quadratics.")) (|complexIntegrate| (((|Expression| |#1|) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{complexIntegrate(f,{} x)} returns the integral of \\spad{f(x)dx} where \\spad{x} is viewed as a complex variable.")) (|integrate| (((|Union| (|Expression| |#1|) (|List| (|Expression| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{integrate(f,{} x)} returns the integral of \\spad{f(x)dx} where \\spad{x} is viewed as a real variable..")) (|complexExpand| (((|Expression| |#1|) (|IntegrationResult| (|Fraction| (|Polynomial| |#1|)))) "\\spad{complexExpand(i)} returns the expanded complex function corresponding to \\spad{i}.")) (|expand| (((|List| (|Expression| |#1|)) (|IntegrationResult| (|Fraction| (|Polynomial| |#1|)))) "\\spad{expand(i)} returns the list of possible real functions corresponding to \\spad{i}.")) (|split| (((|IntegrationResult| (|Fraction| (|Polynomial| |#1|))) (|IntegrationResult| (|Fraction| (|Polynomial| |#1|)))) "\\spad{split(u(x) + sum_{P(a)=0} Q(a,{}x))} returns \\spad{u(x) + sum_{P1(a)=0} Q(a,{}x) + ... + sum_{Pn(a)=0} Q(a,{}x)} where \\spad{P1},{}...,{}\\spad{Pn} are the factors of \\spad{P}."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-150)))) 
-(-589) 
+((|HasCategory| |#1| (QUOTE (-151)))) 
+(-590) 
 ((|constructor| (NIL "IrrRepSymNatPackage contains functions for computing the ordinary irreducible representations of symmetric groups on \\spad{n} letters {1,{}2,{}...,{}\\spad{n}} in Young\\spad{'s} natural form and their dimensions. These representations can be labelled by number partitions of \\spad{n},{} \\spadignore{i.e.} a weakly decreasing sequence of integers summing up to \\spad{n},{} \\spadignore{e.g.} [3,{}3,{}3,{}1] labels an irreducible representation for \\spad{n} equals 10. Note that whenever a \\spadtype{List Integer} appears in a signature,{} a partition required.")) (|irreducibleRepresentation| (((|List| (|Matrix| (|Integer|))) (|List| (|Integer|)) (|List| (|Permutation| (|Integer|)))) "\\spad{irreducibleRepresentation(lambda,{}listOfPerm)} is the list of the irreducible representations corresponding to \\spad{lambda} in Young\\spad{'s} natural form for the list of permutations given by \\spad{listOfPerm}.") (((|List| (|Matrix| (|Integer|))) (|List| (|Integer|))) "\\spad{irreducibleRepresentation(lambda)} is the list of the two irreducible representations corresponding to the partition \\spad{lambda} in Young\\spad{'s} natural form for the following two generators of the symmetric group,{} whose elements permute {1,{}2,{}...,{}\\spad{n}},{} namely (1 2) (2-cycle) and (1 2 ... \\spad{n}) (\\spad{n}-cycle).") (((|Matrix| (|Integer|)) (|List| (|Integer|)) (|Permutation| (|Integer|))) "\\spad{irreducibleRepresentation(lambda,{}\\spad{pi})} is the irreducible representation corresponding to partition \\spad{lambda} in Young\\spad{'s} natural form of the permutation \\spad{pi} in the symmetric group,{} whose elements permute {1,{}2,{}...,{}\\spad{n}}.")) (|dimensionOfIrreducibleRepresentation| (((|NonNegativeInteger|) (|List| (|Integer|))) "\\spad{dimensionOfIrreducibleRepresentation(lambda)} is the dimension of the ordinary irreducible representation of the symmetric group corresponding to \\spad{lambda}. Note that the Robinson-Thrall hook formula is implemented."))) 
 NIL 
 NIL 
-(-590 R E V P TS) 
+(-591 R E V P TS) 
 ((|constructor| (NIL "An internal package for computing the rational univariate representation of a zero-dimensional algebraic variety given by a square-free triangular set. The main operation is rur")) (|checkRur| (((|Boolean|) |#5| (|List| |#5|)) "\\spad{checkRur(ts,{}lus)} returns \\spad{true} if \\spad{lus} is a rational univariate representation of \\spad{ts}.")) (|rur| (((|List| |#5|) |#5| (|Boolean|)) "\\spad{rur(ts,{}univ?)} returns a rational univariate representation of \\spad{ts}. This assumes that the lowest polynomial in \\spad{ts} is a variable \\spad{v} which does not occur in the other polynomials of \\spad{ts}. This variable will be used to define the simple algebraic extension over which these other polynomials will be rewritten as univariate polynomials with degree one. If \\spad{univ?} is \\spad{true} then these polynomials will have a constant initial."))) 
 NIL 
 NIL 
-(-591 |mn|) 
+(-592 |mn|) 
 ((|constructor| (NIL "This domain implements low-level strings")) (|hash| (((|Integer|) $) "\\spad{hash(x)} provides a hashing function for strings"))) 
-((-4522 . T) (-4521 . T)) 
-((|HasCategory| (-147) (QUOTE (-1090))) (|HasCategory| (-147) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| (-147) (QUOTE (-842))) (-2199 (|HasCategory| (-147) (QUOTE (-842))) (|HasCategory| (-147) (QUOTE (-1090)))) (|HasCategory| (-568) (QUOTE (-842))) (-12 (|HasCategory| (-147) (LIST (QUOTE -303) (QUOTE (-147)))) (|HasCategory| (-147) (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| (-147) (LIST (QUOTE -303) (QUOTE (-147)))) (|HasCategory| (-147) (QUOTE (-842)))) (-12 (|HasCategory| (-147) (LIST (QUOTE -303) (QUOTE (-147)))) (|HasCategory| (-147) (QUOTE (-1090)))))) 
-(-592 E V R P) 
+((-4536 . T) (-4535 . T)) 
+((|HasCategory| (-148) (QUOTE (-1091))) (|HasCategory| (-148) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-148) (QUOTE (-843))) (-2232 (|HasCategory| (-148) (QUOTE (-843))) (|HasCategory| (-148) (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-843)))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1091)))))) 
+(-593 E V R P) 
 ((|constructor| (NIL "Tools for the summation packages of polynomials")) (|sum| (((|Record| (|:| |num| |#4|) (|:| |den| (|Integer|))) |#4| |#2|) "\\spad{sum(p(n),{} n)} returns \\spad{P(n)},{} the indefinite sum of \\spad{p(n)} with respect to upward difference on \\spad{n},{} \\spadignore{i.e.} \\spad{P(n+1) - P(n) = a(n)}.") (((|Record| (|:| |num| |#4|) (|:| |den| (|Integer|))) |#4| |#2| (|Segment| |#4|)) "\\spad{sum(p(n),{} n = a..b)} returns \\spad{p(a) + p(a+1) + ... + p(b)}."))) 
 NIL 
 NIL 
-(-593 |Coef|) 
-((|constructor| (NIL "InnerSparseUnivariatePowerSeries is an internal domain used for creating sparse Taylor and Laurent series.")) (|cAcsch| (($ $) "\\spad{cAcsch(f)} computes the inverse hyperbolic cosecant of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAsech| (($ $) "\\spad{cAsech(f)} computes the inverse hyperbolic secant of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAcoth| (($ $) "\\spad{cAcoth(f)} computes the inverse hyperbolic cotangent of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAtanh| (($ $) "\\spad{cAtanh(f)} computes the inverse hyperbolic tangent of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAcosh| (($ $) "\\spad{cAcosh(f)} computes the inverse hyperbolic cosine of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAsinh| (($ $) "\\spad{cAsinh(f)} computes the inverse hyperbolic sine of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cCsch| (($ $) "\\spad{cCsch(f)} computes the hyperbolic cosecant of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cSech| (($ $) "\\spad{cSech(f)} computes the hyperbolic secant of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cCoth| (($ $) "\\spad{cCoth(f)} computes the hyperbolic cotangent of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cTanh| (($ $) "\\spad{cTanh(f)} computes the hyperbolic tangent of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cCosh| (($ $) "\\spad{cCosh(f)} computes the hyperbolic cosine of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cSinh| (($ $) "\\spad{cSinh(f)} computes the hyperbolic sine of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAcsc| (($ $) "\\spad{cAcsc(f)} computes the arccosecant of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAsec| (($ $) "\\spad{cAsec(f)} computes the arcsecant of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAcot| (($ $) "\\spad{cAcot(f)} computes the arccotangent of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAtan| (($ $) "\\spad{cAtan(f)} computes the arctangent of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAcos| (($ $) "\\spad{cAcos(f)} computes the arccosine of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAsin| (($ $) "\\spad{cAsin(f)} computes the arcsine of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cCsc| (($ $) "\\spad{cCsc(f)} computes the cosecant of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cSec| (($ $) "\\spad{cSec(f)} computes the secant of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cCot| (($ $) "\\spad{cCot(f)} computes the cotangent of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cTan| (($ $) "\\spad{cTan(f)} computes the tangent of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cCos| (($ $) "\\spad{cCos(f)} computes the cosine of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cSin| (($ $) "\\spad{cSin(f)} computes the sine of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cLog| (($ $) "\\spad{cLog(f)} computes the logarithm of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cExp| (($ $) "\\spad{cExp(f)} computes the exponential of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cRationalPower| (($ $ (|Fraction| (|Integer|))) "\\spad{cRationalPower(f,{}r)} computes \\spad{f^r}. For use when the coefficient ring is commutative.")) (|cPower| (($ $ |#1|) "\\spad{cPower(f,{}r)} computes \\spad{f^r},{} where \\spad{f} has constant coefficient 1. For use when the coefficient ring is commutative.")) (|integrate| (($ $) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. Warning: function does not check for a term of degree \\spad{-1}.")) (|seriesToOutputForm| (((|OutputForm|) (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) (|Reference| (|OrderedCompletion| (|Integer|))) (|Symbol|) |#1| (|Fraction| (|Integer|))) "\\spad{seriesToOutputForm(st,{}refer,{}var,{}cen,{}r)} prints the series \\spad{f((var - cen)^r)}.")) (|iCompose| (($ $ $) "\\spad{iCompose(f,{}g)} returns \\spad{f(g(x))}. This is an internal function which should only be called for Taylor series \\spad{f(x)} and \\spad{g(x)} such that the constant coefficient of \\spad{g(x)} is zero.")) (|taylorQuoByVar| (($ $) "\\spad{taylorQuoByVar(a0 + a1 x + a2 x**2 + ...)} returns \\spad{a1 + a2 x + a3 x**2 + ...}")) (|iExquo| (((|Union| $ "failed") $ $ (|Boolean|)) "\\spad{iExquo(f,{}g,{}taylor?)} is the quotient of the power series \\spad{f} and \\spad{g}. If \\spad{taylor?} is \\spad{true},{} then we must have \\spad{order(f) >= order(g)}.")) (|multiplyCoefficients| (($ (|Mapping| |#1| (|Integer|)) $) "\\spad{multiplyCoefficients(fn,{}f)} returns the series \\spad{sum(fn(n) * an * x^n,{}n = n0..)},{} where \\spad{f} is the series \\spad{sum(an * x^n,{}n = n0..)}.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(f)} tests if \\spad{f} is a single monomial.")) (|series| (($ (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) "\\spad{series(st)} creates a series from a stream of non-zero terms,{} where a term is an exponent-coefficient pair. The terms in the stream should be ordered by increasing order of exponents.")) (|getStream| (((|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) "\\spad{getStream(f)} returns the stream of terms representing the series \\spad{f}.")) (|getRef| (((|Reference| (|OrderedCompletion| (|Integer|))) $) "\\spad{getRef(f)} returns a reference containing the order to which the terms of \\spad{f} have been computed.")) (|makeSeries| (($ (|Reference| (|OrderedCompletion| (|Integer|))) (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) "\\spad{makeSeries(refer,{}str)} creates a power series from the reference \\spad{refer} and the stream \\spad{str}."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-172))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558)))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-150))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-568)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-568)) (|devaluate| |#1|))))) (|HasCategory| (-568) (QUOTE (-1102))) (|HasCategory| |#1| (QUOTE (-365))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-568))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-568))))) (|HasSignature| |#1| (LIST (QUOTE -2747) (LIST (|devaluate| |#1|) (QUOTE (-1161))))))) 
 (-594 |Coef|) 
+((|constructor| (NIL "InnerSparseUnivariatePowerSeries is an internal domain used for creating sparse Taylor and Laurent series.")) (|cAcsch| (($ $) "\\spad{cAcsch(f)} computes the inverse hyperbolic cosecant of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAsech| (($ $) "\\spad{cAsech(f)} computes the inverse hyperbolic secant of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAcoth| (($ $) "\\spad{cAcoth(f)} computes the inverse hyperbolic cotangent of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAtanh| (($ $) "\\spad{cAtanh(f)} computes the inverse hyperbolic tangent of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAcosh| (($ $) "\\spad{cAcosh(f)} computes the inverse hyperbolic cosine of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAsinh| (($ $) "\\spad{cAsinh(f)} computes the inverse hyperbolic sine of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cCsch| (($ $) "\\spad{cCsch(f)} computes the hyperbolic cosecant of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cSech| (($ $) "\\spad{cSech(f)} computes the hyperbolic secant of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cCoth| (($ $) "\\spad{cCoth(f)} computes the hyperbolic cotangent of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cTanh| (($ $) "\\spad{cTanh(f)} computes the hyperbolic tangent of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cCosh| (($ $) "\\spad{cCosh(f)} computes the hyperbolic cosine of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cSinh| (($ $) "\\spad{cSinh(f)} computes the hyperbolic sine of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAcsc| (($ $) "\\spad{cAcsc(f)} computes the arccosecant of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAsec| (($ $) "\\spad{cAsec(f)} computes the arcsecant of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAcot| (($ $) "\\spad{cAcot(f)} computes the arccotangent of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAtan| (($ $) "\\spad{cAtan(f)} computes the arctangent of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAcos| (($ $) "\\spad{cAcos(f)} computes the arccosine of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAsin| (($ $) "\\spad{cAsin(f)} computes the arcsine of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cCsc| (($ $) "\\spad{cCsc(f)} computes the cosecant of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cSec| (($ $) "\\spad{cSec(f)} computes the secant of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cCot| (($ $) "\\spad{cCot(f)} computes the cotangent of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cTan| (($ $) "\\spad{cTan(f)} computes the tangent of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cCos| (($ $) "\\spad{cCos(f)} computes the cosine of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cSin| (($ $) "\\spad{cSin(f)} computes the sine of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cLog| (($ $) "\\spad{cLog(f)} computes the logarithm of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cExp| (($ $) "\\spad{cExp(f)} computes the exponential of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cRationalPower| (($ $ (|Fraction| (|Integer|))) "\\spad{cRationalPower(f,{}r)} computes \\spad{f^r}. For use when the coefficient ring is commutative.")) (|cPower| (($ $ |#1|) "\\spad{cPower(f,{}r)} computes \\spad{f^r},{} where \\spad{f} has constant coefficient 1. For use when the coefficient ring is commutative.")) (|integrate| (($ $) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. Warning: function does not check for a term of degree \\spad{-1}.")) (|seriesToOutputForm| (((|OutputForm|) (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) (|Reference| (|OrderedCompletion| (|Integer|))) (|Symbol|) |#1| (|Fraction| (|Integer|))) "\\spad{seriesToOutputForm(st,{}refer,{}var,{}cen,{}r)} prints the series \\spad{f((var - cen)^r)}.")) (|iCompose| (($ $ $) "\\spad{iCompose(f,{}g)} returns \\spad{f(g(x))}. This is an internal function which should only be called for Taylor series \\spad{f(x)} and \\spad{g(x)} such that the constant coefficient of \\spad{g(x)} is zero.")) (|taylorQuoByVar| (($ $) "\\spad{taylorQuoByVar(a0 + a1 x + a2 x**2 + ...)} returns \\spad{a1 + a2 x + a3 x**2 + ...}")) (|iExquo| (((|Union| $ "failed") $ $ (|Boolean|)) "\\spad{iExquo(f,{}g,{}taylor?)} is the quotient of the power series \\spad{f} and \\spad{g}. If \\spad{taylor?} is \\spad{true},{} then we must have \\spad{order(f) >= order(g)}.")) (|multiplyCoefficients| (($ (|Mapping| |#1| (|Integer|)) $) "\\spad{multiplyCoefficients(fn,{}f)} returns the series \\spad{sum(fn(n) * an * x^n,{}n = n0..)},{} where \\spad{f} is the series \\spad{sum(an * x^n,{}n = n0..)}.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(f)} tests if \\spad{f} is a single monomial.")) (|series| (($ (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) "\\spad{series(st)} creates a series from a stream of non-zero terms,{} where a term is an exponent-coefficient pair. The terms in the stream should be ordered by increasing order of exponents.")) (|getStream| (((|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) "\\spad{getStream(f)} returns the stream of terms representing the series \\spad{f}.")) (|getRef| (((|Reference| (|OrderedCompletion| (|Integer|))) $) "\\spad{getRef(f)} returns a reference containing the order to which the terms of \\spad{f} have been computed.")) (|makeSeries| (($ (|Reference| (|OrderedCompletion| (|Integer|))) (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) "\\spad{makeSeries(refer,{}str)} creates a power series from the reference \\spad{refer} and the stream \\spad{str}."))) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|))))) (|HasCategory| (-569) (QUOTE (-1103))) (|HasCategory| |#1| (QUOTE (-366))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163))))))) 
+(-595 |Coef|) 
 ((|constructor| (NIL "Internal package for dense Taylor series. This is an internal Taylor series type in which Taylor series are represented by a \\spadtype{Stream} of \\spadtype{Ring} elements. For univariate series,{} the \\spad{Stream} elements are the Taylor coefficients. For multivariate series,{} the \\spad{n}th Stream element is a form of degree \\spad{n} in the power series variables.")) (* (($ $ (|Integer|)) "\\spad{x*i} returns the product of integer \\spad{i} and the series \\spad{x}.") (($ $ |#1|) "\\spad{x*c} returns the product of \\spad{c} and the series \\spad{x}.") (($ |#1| $) "\\spad{c*x} returns the product of \\spad{c} and the series \\spad{x}.")) (|order| (((|NonNegativeInteger|) $ (|NonNegativeInteger|)) "\\spad{order(x,{}n)} returns the minimum of \\spad{n} and the order of \\spad{x}.") (((|NonNegativeInteger|) $) "\\spad{order(x)} returns the order of a power series \\spad{x},{} \\indented{1}{\\spadignore{i.e.} the degree of the first non-zero term of the series.}")) (|pole?| (((|Boolean|) $) "\\spad{pole?(x)} tests if the series \\spad{x} has a pole. \\indented{1}{Note: this is \\spad{false} when \\spad{x} is a Taylor series.}")) (|series| (($ (|Stream| |#1|)) "\\spad{series(s)} creates a power series from a stream of \\indented{1}{ring elements.} \\indented{1}{For univariate series types,{} the stream \\spad{s} should be a stream} \\indented{1}{of Taylor coefficients. For multivariate series types,{} the} \\indented{1}{stream \\spad{s} should be a stream of forms the \\spad{n}th element} \\indented{1}{of which is a} \\indented{1}{form of degree \\spad{n} in the power series variables.}")) (|coefficients| (((|Stream| |#1|) $) "\\spad{coefficients(x)} returns a stream of ring elements. \\indented{1}{When \\spad{x} is a univariate series,{} this is a stream of Taylor} \\indented{1}{coefficients. When \\spad{x} is a multivariate series,{} the} \\indented{1}{\\spad{n}th element of the stream is a form of} \\indented{1}{degree \\spad{n} in the power series variables.}"))) 
-((-4516 |has| |#1| (-558)) (-4515 |has| |#1| (-558)) ((-4523 "*") |has| |#1| (-558)) (-4514 |has| |#1| (-558)) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-558)))) 
-(-595 A B) 
+((-4530 |has| |#1| (-559)) (-4529 |has| |#1| (-559)) ((-4537 "*") |has| |#1| (-559)) (-4528 |has| |#1| (-559)) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-559)))) 
+(-596 A B) 
 ((|constructor| (NIL "Functions defined on streams with entries in two sets.")) (|map| (((|InfiniteTuple| |#2|) (|Mapping| |#2| |#1|) (|InfiniteTuple| |#1|)) "\\spad{map(f,{}[x0,{}x1,{}x2,{}...])} returns \\spad{[f(x0),{}f(x1),{}f(x2),{}..]}."))) 
 NIL 
 NIL 
-(-596 A B C) 
+(-597 A B C) 
 ((|constructor| (NIL "Functions defined on streams with entries in two sets.")) (|map| (((|Stream| |#3|) (|Mapping| |#3| |#1| |#2|) (|InfiniteTuple| |#1|) (|Stream| |#2|)) "\\spad{map(f,{}a,{}b)} \\undocumented") (((|Stream| |#3|) (|Mapping| |#3| |#1| |#2|) (|Stream| |#1|) (|InfiniteTuple| |#2|)) "\\spad{map(f,{}a,{}b)} \\undocumented") (((|InfiniteTuple| |#3|) (|Mapping| |#3| |#1| |#2|) (|InfiniteTuple| |#1|) (|InfiniteTuple| |#2|)) "\\spad{map(f,{}a,{}b)} \\undocumented"))) 
 NIL 
 NIL 
-(-597 R -1478 FG) 
+(-598 R -1564 FG) 
 ((|constructor| (NIL "This package provides transformations from trigonometric functions to exponentials and logarithms,{} and back. \\spad{F} and \\spad{FG} should be the same type of function space.")) (|trigs2explogs| ((|#3| |#3| (|List| (|Kernel| |#3|)) (|List| (|Symbol|))) "\\spad{trigs2explogs(f,{} [k1,{}...,{}kn],{} [x1,{}...,{}xm])} rewrites all the trigonometric functions appearing in \\spad{f} and involving one of the \\spad{\\spad{xi}'s} in terms of complex logarithms and exponentials. A kernel of the form \\spad{tan(u)} is expressed using \\spad{exp(u)**2} if it is one of the \\spad{\\spad{ki}'s},{} in terms of \\spad{exp(2*u)} otherwise.")) (|explogs2trigs| (((|Complex| |#2|) |#3|) "\\spad{explogs2trigs(f)} rewrites all the complex logs and exponentials appearing in \\spad{f} in terms of trigonometric functions.")) (F2FG ((|#3| |#2|) "\\spad{F2FG(a + sqrt(-1) b)} returns \\spad{a + i b}.")) (FG2F ((|#2| |#3|) "\\spad{FG2F(a + i b)} returns \\spad{a + sqrt(-1) b}.")) (GF2FG ((|#3| (|Complex| |#2|)) "\\spad{GF2FG(a + i b)} returns \\spad{a + i b} viewed as a function with the \\spad{i} pushed down into the coefficient domain."))) 
 NIL 
 NIL 
-(-598 S) 
+(-599 S) 
 ((|constructor| (NIL "This package implements 'infinite tuples' for the interpreter. The representation is a stream.")) (|construct| (((|Stream| |#1|) $) "\\spad{construct(t)} converts an infinite tuple to a stream.")) (|generate| (($ (|Mapping| |#1| |#1|) |#1|) "\\spad{generate(f,{}s)} returns \\spad{[s,{}f(s),{}f(f(s)),{}...]}.")) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{select(p,{}t)} returns \\spad{[x for x in t | p(x)]}.")) (|filterUntil| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{filterUntil(p,{}t)} returns \\spad{[x for x in t while not p(x)]}.")) (|filterWhile| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{filterWhile(p,{}t)} returns \\spad{[x for x in t while p(x)]}.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f,{}t)} replaces the tuple \\spad{t} by \\spad{[f(x) for x in t]}."))) 
 NIL 
 NIL 
-(-599 R |mn|) 
+(-600 R |mn|) 
 ((|constructor| (NIL "This type represents vector like objects with varying lengths and a user-specified initial index."))) 
-((-4522 . T) (-4521 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (QUOTE (-842))) (-2199 (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-1090)))) (|HasCategory| (-568) (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-716))) (|HasCategory| |#1| (QUOTE (-1047))) (-12 (|HasCategory| |#1| (QUOTE (-1002))) (|HasCategory| |#1| (QUOTE (-1047)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-842)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))))) 
-(-600 S |Index| |Entry|) 
+((-4536 . T) (-4535 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (-2232 (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-717))) (|HasCategory| |#1| (QUOTE (-1048))) (-12 (|HasCategory| |#1| (QUOTE (-1003))) (|HasCategory| |#1| (QUOTE (-1048)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-843)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
+(-601 S |Index| |Entry|) 
 ((|constructor| (NIL "An indexed aggregate is a many-to-one mapping of indices to entries. For example,{} a one-dimensional-array is an indexed aggregate where the index is an integer. Also,{} a table is an indexed aggregate where the indices and entries may have any type.")) (|swap!| (((|Void|) $ |#2| |#2|) "\\spad{swap!(u,{}i,{}j)} interchanges elements \\spad{i} and \\spad{j} of aggregate \\spad{u}. No meaningful value is returned.")) (|fill!| (($ $ |#3|) "\\spad{fill!(u,{}x)} replaces each entry in aggregate \\spad{u} by \\spad{x}. The modified \\spad{u} is returned as value.")) (|first| ((|#3| $) "\\spad{first(u)} returns the first element \\spad{x} of \\spad{u}. Note that for collections,{} \\axiom{first([\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]) = \\spad{x}}. Error: if \\spad{u} is empty.")) (|minIndex| ((|#2| $) "\\spad{minIndex(u)} returns the minimum index \\spad{i} of aggregate \\spad{u}. Note that in general,{} \\axiom{minIndex(a) = reduce(min,{}[\\spad{i} for \\spad{i} in indices a])}; for lists,{} \\axiom{minIndex(a) = 1}.")) (|maxIndex| ((|#2| $) "\\spad{maxIndex(u)} returns the maximum index \\spad{i} of aggregate \\spad{u}. Note that in general,{} \\axiom{maxIndex(\\spad{u}) = reduce(max,{}[\\spad{i} for \\spad{i} in indices \\spad{u}])}; if \\spad{u} is a list,{} \\axiom{maxIndex(\\spad{u}) = \\#u}.")) (|entry?| (((|Boolean|) |#3| $) "\\spad{entry?(x,{}u)} tests if \\spad{x} equals \\axiom{\\spad{u} . \\spad{i}} for some index \\spad{i}.")) (|indices| (((|List| |#2|) $) "\\spad{indices(u)} returns a list of indices of aggregate \\spad{u} in no particular order. to become indices:")) (|index?| (((|Boolean|) |#2| $) "\\spad{index?(i,{}u)} tests if \\spad{i} is an index of aggregate \\spad{u}.")) (|entries| (((|List| |#3|) $) "\\spad{entries(u)} returns a list of all the entries of aggregate \\spad{u} in no assumed order."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4522)) (|HasCategory| |#2| (QUOTE (-842))) (|HasAttribute| |#1| (QUOTE -4521)) (|HasCategory| |#3| (QUOTE (-1090)))) 
-(-601 |Index| |Entry|) 
+((|HasAttribute| |#1| (QUOTE -4536)) (|HasCategory| |#2| (QUOTE (-843))) (|HasAttribute| |#1| (QUOTE -4535)) (|HasCategory| |#3| (QUOTE (-1091)))) 
+(-602 |Index| |Entry|) 
 ((|constructor| (NIL "An indexed aggregate is a many-to-one mapping of indices to entries. For example,{} a one-dimensional-array is an indexed aggregate where the index is an integer. Also,{} a table is an indexed aggregate where the indices and entries may have any type.")) (|swap!| (((|Void|) $ |#1| |#1|) "\\spad{swap!(u,{}i,{}j)} interchanges elements \\spad{i} and \\spad{j} of aggregate \\spad{u}. No meaningful value is returned.")) (|fill!| (($ $ |#2|) "\\spad{fill!(u,{}x)} replaces each entry in aggregate \\spad{u} by \\spad{x}. The modified \\spad{u} is returned as value.")) (|first| ((|#2| $) "\\spad{first(u)} returns the first element \\spad{x} of \\spad{u}. Note that for collections,{} \\axiom{first([\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]) = \\spad{x}}. Error: if \\spad{u} is empty.")) (|minIndex| ((|#1| $) "\\spad{minIndex(u)} returns the minimum index \\spad{i} of aggregate \\spad{u}. Note that in general,{} \\axiom{minIndex(a) = reduce(min,{}[\\spad{i} for \\spad{i} in indices a])}; for lists,{} \\axiom{minIndex(a) = 1}.")) (|maxIndex| ((|#1| $) "\\spad{maxIndex(u)} returns the maximum index \\spad{i} of aggregate \\spad{u}. Note that in general,{} \\axiom{maxIndex(\\spad{u}) = reduce(max,{}[\\spad{i} for \\spad{i} in indices \\spad{u}])}; if \\spad{u} is a list,{} \\axiom{maxIndex(\\spad{u}) = \\#u}.")) (|entry?| (((|Boolean|) |#2| $) "\\spad{entry?(x,{}u)} tests if \\spad{x} equals \\axiom{\\spad{u} . \\spad{i}} for some index \\spad{i}.")) (|indices| (((|List| |#1|) $) "\\spad{indices(u)} returns a list of indices of aggregate \\spad{u} in no particular order. to become indices:")) (|index?| (((|Boolean|) |#1| $) "\\spad{index?(i,{}u)} tests if \\spad{i} is an index of aggregate \\spad{u}.")) (|entries| (((|List| |#2|) $) "\\spad{entries(u)} returns a list of all the entries of aggregate \\spad{u} in no assumed order."))) 
-((-3973 . T)) 
+((-2982 . T)) 
 NIL 
-(-602 R A) 
+(-603 R A) 
 ((|constructor| (NIL "AssociatedJordanAlgebra takes an algebra \\spad{A} and uses \\spadfun{*\\$A} to define the new multiplications \\spad{a*b := (a *\\$A b + b *\\$A a)/2} (anticommutator). The usual notation \\spad{{a,{}b}_+} cannot be used due to restrictions in the current language. This domain only gives a Jordan algebra if the Jordan-identity \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} holds for all \\spad{a},{}\\spad{b},{}\\spad{c} in \\spad{A}. This relation can be checked by \\spadfun{jordanAdmissible?()\\$A}. \\blankline If the underlying algebra is of type \\spadtype{FramedNonAssociativeAlgebra(R)} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free \\spad{R}-module of finite rank,{} together with a fixed \\spad{R}-module basis),{} then the same is \\spad{true} for the associated Jordan algebra. Moreover,{} if the underlying algebra is of type \\spadtype{FiniteRankNonAssociativeAlgebra(R)} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free \\spad{R}-module of finite rank),{} then the same \\spad{true} for the associated Jordan algebra.")) (|coerce| (($ |#2|) "\\spad{coerce(a)} coerces the element \\spad{a} of the algebra \\spad{A} to an element of the Jordan algebra \\spadtype{AssociatedJordanAlgebra}(\\spad{R},{}A)."))) 
-((-4518 -2199 (-2141 (|has| |#2| (-369 |#1|)) (|has| |#1| (-558))) (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-558)))) (-4516 . T) (-4515 . T)) 
-((|HasCategory| |#2| (LIST (QUOTE -419) (|devaluate| |#1|))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (LIST (QUOTE -419) (|devaluate| |#1|)))) (|HasCategory| |#2| (LIST (QUOTE -369) (|devaluate| |#1|))) (-2199 (|HasCategory| |#2| (LIST (QUOTE -369) (|devaluate| |#1|))) (|HasCategory| |#2| (LIST (QUOTE -419) (|devaluate| |#1|)))) (-2199 (-12 (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#2| (LIST (QUOTE -369) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#2| (LIST (QUOTE -419) (|devaluate| |#1|)))))) 
-(-603 |Entry|) 
+((-4532 -2232 (-2206 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))) (-4530 . T) (-4529 . T)) 
+((|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|)))) (|HasCategory| |#2| (LIST (QUOTE -370) (|devaluate| |#1|))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -370) (|devaluate| |#1|))) (|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|)))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#2| (LIST (QUOTE -370) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|)))))) 
+(-604 |Entry|) 
 ((|constructor| (NIL "This domain allows a random access file to be viewed both as a table and as a file object. The KeyedAccessFile format is a directory containing a single file called ``index.kaf\\spad{''}. This file is a random access file. The first thing in the file is an integer which is the byte offset of an association list (the dictionary) at the end of the file. The association list is of the form ((key . byteoffset) (key . byteoffset)...) where the byte offset is the number of bytes from the beginning of the file. This offset contains an \\spad{s}-expression for the value of the key.")) (|pack!| (($ $) "\\spad{pack!(f)} reorganizes the file \\spad{f} on disk to recover unused space."))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (QUOTE (-1090))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))) (|HasCategory| (-1143) (QUOTE (-842))) (|HasCategory| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (QUOTE (-1090))) (-12 (|HasCategory| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (LIST (QUOTE -303) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3651) (QUOTE (-1143))) (LIST (QUOTE |:|) (QUOTE -4085) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (QUOTE (-1090))))) 
-(-604 S |Key| |Entry|) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| (-1145) (QUOTE (-843))) (|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (QUOTE (-1091))) (-12 (|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (QUOTE (-1145))) (LIST (QUOTE |:|) (QUOTE -3782) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (QUOTE (-1091))))) 
+(-605 S |Key| |Entry|) 
 ((|constructor| (NIL "A keyed dictionary is a dictionary of key-entry pairs for which there is a unique entry for each key.")) (|search| (((|Union| |#3| "failed") |#2| $) "\\spad{search(k,{}t)} searches the table \\spad{t} for the key \\spad{k},{} returning the entry stored in \\spad{t} for key \\spad{k}. If \\spad{t} has no such key,{} \\axiom{search(\\spad{k},{}\\spad{t})} returns \"failed\".")) (|remove!| (((|Union| |#3| "failed") |#2| $) "\\spad{remove!(k,{}t)} searches the table \\spad{t} for the key \\spad{k} removing (and return) the entry if there. If \\spad{t} has no such key,{} \\axiom{remove!(\\spad{k},{}\\spad{t})} returns \"failed\".")) (|keys| (((|List| |#2|) $) "\\spad{keys(t)} returns the list the keys in table \\spad{t}.")) (|key?| (((|Boolean|) |#2| $) "\\spad{key?(k,{}t)} tests if \\spad{k} is a key in table \\spad{t}."))) 
 NIL 
 NIL 
-(-605 |Key| |Entry|) 
+(-606 |Key| |Entry|) 
 ((|constructor| (NIL "A keyed dictionary is a dictionary of key-entry pairs for which there is a unique entry for each key.")) (|search| (((|Union| |#2| "failed") |#1| $) "\\spad{search(k,{}t)} searches the table \\spad{t} for the key \\spad{k},{} returning the entry stored in \\spad{t} for key \\spad{k}. If \\spad{t} has no such key,{} \\axiom{search(\\spad{k},{}\\spad{t})} returns \"failed\".")) (|remove!| (((|Union| |#2| "failed") |#1| $) "\\spad{remove!(k,{}t)} searches the table \\spad{t} for the key \\spad{k} removing (and return) the entry if there. If \\spad{t} has no such key,{} \\axiom{remove!(\\spad{k},{}\\spad{t})} returns \"failed\".")) (|keys| (((|List| |#1|) $) "\\spad{keys(t)} returns the list the keys in table \\spad{t}.")) (|key?| (((|Boolean|) |#1| $) "\\spad{key?(k,{}t)} tests if \\spad{k} is a key in table \\spad{t}."))) 
-((-4522 . T) (-3973 . T)) 
+((-4536 . T) (-2982 . T)) 
 NIL 
-(-606 R S) 
+(-607 R S) 
 ((|constructor| (NIL "This package exports some auxiliary functions on kernels")) (|constantIfCan| (((|Union| |#1| "failed") (|Kernel| |#2|)) "\\spad{constantIfCan(k)} \\undocumented")) (|constantKernel| (((|Kernel| |#2|) |#1|) "\\spad{constantKernel(r)} \\undocumented"))) 
 NIL 
 NIL 
-(-607 S) 
+(-608 S) 
 ((|constructor| (NIL "A kernel over a set \\spad{S} is an operator applied to a given list of arguments from \\spad{S}.")) (|is?| (((|Boolean|) $ (|Symbol|)) "\\spad{is?(op(a1,{}...,{}an),{} s)} tests if the name of op is \\spad{s}.") (((|Boolean|) $ (|BasicOperator|)) "\\spad{is?(op(a1,{}...,{}an),{} f)} tests if op = \\spad{f}.")) (|symbolIfCan| (((|Union| (|Symbol|) "failed") $) "\\spad{symbolIfCan(k)} returns \\spad{k} viewed as a symbol if \\spad{k} is a symbol,{} and \"failed\" otherwise.")) (|kernel| (($ (|Symbol|)) "\\spad{kernel(x)} returns \\spad{x} viewed as a kernel.") (($ (|BasicOperator|) (|List| |#1|) (|NonNegativeInteger|)) "\\spad{kernel(op,{} [a1,{}...,{}an],{} m)} returns the kernel \\spad{op(a1,{}...,{}an)} of nesting level \\spad{m}. Error: if \\spad{op} is \\spad{k}-ary for some \\spad{k} not equal to \\spad{m}.")) (|height| (((|NonNegativeInteger|) $) "\\spad{height(k)} returns the nesting level of \\spad{k}.")) (|argument| (((|List| |#1|) $) "\\spad{argument(op(a1,{}...,{}an))} returns \\spad{[a1,{}...,{}an]}.")) (|operator| (((|BasicOperator|) $) "\\spad{operator(op(a1,{}...,{}an))} returns the operator op.")) (|name| (((|Symbol|) $) "\\spad{name(op(a1,{}...,{}an))} returns the name of op."))) 
 NIL 
-((|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568)))))) 
-(-608 S) 
+((|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) 
+(-609 S) 
 ((|constructor| (NIL "A is coercible to \\spad{B} means any element of A can automatically be converted into an element of \\spad{B} by the interpreter.")) (|coerce| ((|#1| $) "\\spad{coerce(a)} transforms a into an element of \\spad{S}."))) 
 NIL 
 NIL 
-(-609 S) 
+(-610 S) 
 ((|constructor| (NIL "A is convertible to \\spad{B} means any element of A can be converted into an element of \\spad{B},{} but not automatically by the interpreter.")) (|convert| ((|#1| $) "\\spad{convert(a)} transforms a into an element of \\spad{S}."))) 
 NIL 
 NIL 
-(-610 -1478 UP) 
+(-611 -1564 UP) 
 ((|constructor| (NIL "\\spadtype{Kovacic} provides a modified Kovacic\\spad{'s} algorithm for solving explicitely irreducible 2nd order linear ordinary differential equations.")) (|kovacic| (((|Union| (|SparseUnivariatePolynomial| (|Fraction| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{kovacic(a_0,{}a_1,{}a_2,{}ezfactor)} returns either \"failed\" or \\spad{P}(\\spad{u}) such that \\spad{\\$e^{\\int(-a_1/2a_2)} e^{\\int u}\\$} is a solution of \\indented{5}{\\spad{\\$a_2 y'' + a_1 y' + a0 y = 0\\$}} whenever \\spad{u} is a solution of \\spad{P u = 0}. The equation must be already irreducible over the rational functions. Argument \\spad{ezfactor} is a factorisation in \\spad{UP},{} not necessarily into irreducibles.") (((|Union| (|SparseUnivariatePolynomial| (|Fraction| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|)) "\\spad{kovacic(a_0,{}a_1,{}a_2)} returns either \"failed\" or \\spad{P}(\\spad{u}) such that \\spad{\\$e^{\\int(-a_1/2a_2)} e^{\\int u}\\$} is a solution of \\indented{5}{\\spad{a_2 y'' + a_1 y' + a0 y = 0}} whenever \\spad{u} is a solution of \\spad{P u = 0}. The equation must be already irreducible over the rational functions."))) 
 NIL 
 NIL 
-(-611 S R) 
+(-612 S R) 
 ((|constructor| (NIL "The category of all left algebras over an arbitrary ring.")) (|coerce| (($ |#2|) "\\spad{coerce(r)} returns \\spad{r} * 1 where 1 is the identity of the left algebra."))) 
 NIL 
 NIL 
-(-612 R) 
+(-613 R) 
 ((|constructor| (NIL "The category of all left algebras over an arbitrary ring.")) (|coerce| (($ |#1|) "\\spad{coerce(r)} returns \\spad{r} * 1 where 1 is the identity of the left algebra."))) 
-((-4518 . T)) 
+((-4532 . T)) 
 NIL 
-(-613 A R S) 
+(-614 A R S) 
 ((|constructor| (NIL "LocalAlgebra produces the localization of an algebra,{} \\spadignore{i.e.} fractions whose numerators come from some \\spad{R} algebra.")) (|denom| ((|#3| $) "\\spad{denom x} returns the denominator of \\spad{x}.")) (|numer| ((|#1| $) "\\spad{numer x} returns the numerator of \\spad{x}.")) (/ (($ |#1| |#3|) "\\spad{a / d} divides the element \\spad{a} by \\spad{d}.") (($ $ |#3|) "\\spad{x / d} divides the element \\spad{x} by \\spad{d}."))) 
-((-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-840)))) 
-(-614 R -1478) 
+((-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-841)))) 
+(-615 R -1564) 
 ((|constructor| (NIL "This package computes the forward Laplace Transform.")) (|laplace| ((|#2| |#2| (|Symbol|) (|Symbol|)) "\\spad{laplace(f,{} t,{} s)} returns the Laplace transform of \\spad{f(t)} using \\spad{s} as the new variable. This is \\spad{integral(exp(-s*t)*f(t),{} t = 0..\\%plusInfinity)}. Returns the formal object \\spad{laplace(f,{} t,{} s)} if it cannot compute the transform."))) 
 NIL 
 NIL 
-(-615 R UP) 
+(-616 R UP) 
 ((|constructor| (NIL "Univariate polynomials with negative and positive exponents.")) (|separate| (((|Record| (|:| |polyPart| $) (|:| |fracPart| (|Fraction| |#2|))) (|Fraction| |#2|)) "\\spad{separate(x)} is not documented")) (|monomial| (($ |#1| (|Integer|)) "\\spad{monomial(x,{}n)} is not documented")) (|coefficient| ((|#1| $ (|Integer|)) "\\spad{coefficient(x,{}n)} is not documented")) (|trailingCoefficient| ((|#1| $) "trailingCoefficient is not documented")) (|leadingCoefficient| ((|#1| $) "leadingCoefficient is not documented")) (|reductum| (($ $) "\\spad{reductum(x)} is not documented")) (|order| (((|Integer|) $) "\\spad{order(x)} is not documented")) (|degree| (((|Integer|) $) "\\spad{degree(x)} is not documented")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(x)} is not documented"))) 
-((-4516 . T) (-4515 . T) ((-4523 "*") . T) (-4514 . T) (-4518 . T)) 
-((|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-225))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568))))) 
-(-616 R E V P TS ST) 
+((-4530 . T) (-4529 . T) ((-4537 "*") . T) (-4528 . T) (-4532 . T)) 
+((|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569))))) 
+(-617 R E V P TS ST) 
 ((|constructor| (NIL "A package for solving polynomial systems by means of Lazard triangular sets. This package provides two operations. One for solving in the sense of the regular zeros,{} and the other for solving in the sense of the Zariski closure. Both produce square-free regular sets. Moreover,{} the decompositions do not contain any redundant component. However,{} only zero-dimensional regular sets are normalized,{} since normalization may be time consumming in positive dimension. The decomposition process is that of [2].")) (|zeroSetSplit| (((|List| |#6|) (|List| |#4|) (|Boolean|)) "\\axiom{zeroSetSplit(\\spad{lp},{}clos?)} has the same specifications as zeroSetSplit(\\spad{lp},{}clos?) from RegularTriangularSetCategory.")) (|normalizeIfCan| ((|#6| |#6|) "\\axiom{normalizeIfCan(\\spad{ts})} returns \\axiom{\\spad{ts}} in an normalized shape if \\axiom{\\spad{ts}} is zero-dimensional."))) 
 NIL 
 NIL 
-(-617 OV E Z P) 
+(-618 OV E Z P) 
 ((|constructor| (NIL "Package for leading coefficient determination in the lifting step. Package working for every \\spad{R} euclidean with property \\spad{\"F\"}.")) (|distFact| (((|Union| (|Record| (|:| |polfac| (|List| |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (|List| (|SparseUnivariatePolynomial| |#3|)))) "failed") |#3| (|List| (|SparseUnivariatePolynomial| |#3|)) (|Record| (|:| |contp| |#3|) (|:| |factors| (|List| (|Record| (|:| |irr| |#4|) (|:| |pow| (|Integer|)))))) (|List| |#3|) (|List| |#1|) (|List| |#3|)) "\\spad{distFact(contm,{}unilist,{}plead,{}vl,{}lvar,{}lval)},{} where \\spad{contm} is the content of the evaluated polynomial,{} \\spad{unilist} is the list of factors of the evaluated polynomial,{} \\spad{plead} is the complete factorization of the leading coefficient,{} \\spad{vl} is the list of factors of the leading coefficient evaluated,{} \\spad{lvar} is the list of variables,{} \\spad{lval} is the list of values,{} returns a record giving the list of leading coefficients to impose on the univariate factors,{}")) (|polCase| (((|Boolean|) |#3| (|NonNegativeInteger|) (|List| |#3|)) "\\spad{polCase(contprod,{} numFacts,{} evallcs)},{} where \\spad{contprod} is the product of the content of the leading coefficient of the polynomial to be factored with the content of the evaluated polynomial,{} \\spad{numFacts} is the number of factors of the leadingCoefficient,{} and evallcs is the list of the evaluated factors of the leadingCoefficient,{} returns \\spad{true} if the factors of the leading Coefficient can be distributed with this valuation."))) 
 NIL 
 NIL 
-(-618 |VarSet| R |Order|) 
+(-619 |VarSet| R |Order|) 
 ((|constructor| (NIL "Management of the Lie Group associated with a free nilpotent Lie algebra. Every Lie bracket with length greater than \\axiom{Order} are assumed to be null. The implementation inherits from the \\spadtype{XPBWPolynomial} domain constructor: Lyndon coordinates are exponential coordinates of the second kind.")) (|identification| (((|List| (|Equation| |#2|)) $ $) "\\axiom{identification(\\spad{g},{}\\spad{h})} returns the list of equations \\axiom{g_i = h_i},{} where \\axiom{g_i} (resp. \\axiom{h_i}) are exponential coordinates of \\axiom{\\spad{g}} (resp. \\axiom{\\spad{h}}).")) (|LyndonCoordinates| (((|List| (|Record| (|:| |k| (|LyndonWord| |#1|)) (|:| |c| |#2|))) $) "\\axiom{LyndonCoordinates(\\spad{g})} returns the exponential coordinates of \\axiom{\\spad{g}}.")) (|LyndonBasis| (((|List| (|LiePolynomial| |#1| |#2|)) (|List| |#1|)) "\\axiom{LyndonBasis(\\spad{lv})} returns the Lyndon basis of the nilpotent free Lie algebra.")) (|varList| (((|List| |#1|) $) "\\axiom{varList(\\spad{g})} returns the list of variables of \\axiom{\\spad{g}}.")) (|mirror| (($ $) "\\axiom{mirror(\\spad{g})} is the mirror of the internal representation of \\axiom{\\spad{g}}.")) (|coerce| (((|XPBWPolynomial| |#1| |#2|) $) "\\axiom{coerce(\\spad{g})} returns the internal representation of \\axiom{\\spad{g}}.") (((|XDistributedPolynomial| |#1| |#2|) $) "\\axiom{coerce(\\spad{g})} returns the internal representation of \\axiom{\\spad{g}}.")) (|listOfTerms| (((|List| (|Record| (|:| |k| (|PoincareBirkhoffWittLyndonBasis| |#1|)) (|:| |c| |#2|))) $) "\\axiom{listOfTerms(\\spad{p})} returns the internal representation of \\axiom{\\spad{p}}.")) (|log| (((|LiePolynomial| |#1| |#2|) $) "\\axiom{log(\\spad{p})} returns the logarithm of \\axiom{\\spad{p}}.")) (|exp| (($ (|LiePolynomial| |#1| |#2|)) "\\axiom{exp(\\spad{p})} returns the exponential of \\axiom{\\spad{p}}."))) 
-((-4518 . T)) 
+((-4532 . T)) 
 NIL 
-(-619 R |ls|) 
+(-620 R |ls|) 
 ((|constructor| (NIL "A package for solving polynomial systems with finitely many solutions. The decompositions are given by means of regular triangular sets. The computations use lexicographical Groebner bases. The main operations are lexTriangular and squareFreeLexTriangular. The second one provide decompositions by means of square-free regular triangular sets. Both are based on the lexTriangular method described in [1]. They differ from the algorithm described in [2] by the fact that multiciplities of the roots are not kept. With the squareFreeLexTriangular operation all multiciplities are removed. With the other operation some multiciplities may remain. Both operations admit an optional argument to produce normalized triangular sets.")) (|zeroSetSplit| (((|List| (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#2|)) (|OrderedVariableList| |#2|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|)) "\\axiom{zeroSetSplit(\\spad{lp},{} norm?)} decomposes the variety associated with \\axiom{\\spad{lp}} into square-free regular chains. Thus a point belongs to this variety iff it is a regular zero of a regular set in in the output. Note that \\axiom{\\spad{lp}} needs to generate a zero-dimensional ideal. If \\axiom{norm?} is \\axiom{\\spad{true}} then the regular sets are normalized.") (((|List| (|RegularChain| |#1| |#2|)) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|)) "\\axiom{zeroSetSplit(\\spad{lp},{} norm?)} decomposes the variety associated with \\axiom{\\spad{lp}} into regular chains. Thus a point belongs to this variety iff it is a regular zero of a regular set in in the output. Note that \\axiom{\\spad{lp}} needs to generate a zero-dimensional ideal. If \\axiom{norm?} is \\axiom{\\spad{true}} then the regular sets are normalized.")) (|squareFreeLexTriangular| (((|List| (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#2|)) (|OrderedVariableList| |#2|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|)) "\\axiom{squareFreeLexTriangular(base,{} norm?)} decomposes the variety associated with \\axiom{base} into square-free regular chains. Thus a point belongs to this variety iff it is a regular zero of a regular set in in the output. Note that \\axiom{base} needs to be a lexicographical Groebner basis of a zero-dimensional ideal. If \\axiom{norm?} is \\axiom{\\spad{true}} then the regular sets are normalized.")) (|lexTriangular| (((|List| (|RegularChain| |#1| |#2|)) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|)) "\\axiom{lexTriangular(base,{} norm?)} decomposes the variety associated with \\axiom{base} into regular chains. Thus a point belongs to this variety iff it is a regular zero of a regular set in in the output. Note that \\axiom{base} needs to be a lexicographical Groebner basis of a zero-dimensional ideal. If \\axiom{norm?} is \\axiom{\\spad{true}} then the regular sets are normalized.")) (|groebner| (((|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) "\\axiom{groebner(\\spad{lp})} returns the lexicographical Groebner basis of \\axiom{\\spad{lp}}. If \\axiom{\\spad{lp}} generates a zero-dimensional ideal then the FGLM strategy is used,{} otherwise the Sugar strategy is used.")) (|fglmIfCan| (((|Union| (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) "failed") (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) "\\axiom{fglmIfCan(\\spad{lp})} returns the lexicographical Groebner basis of \\axiom{\\spad{lp}} by using the FGLM strategy,{} if \\axiom{zeroDimensional?(\\spad{lp})} holds .")) (|zeroDimensional?| (((|Boolean|) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) "\\axiom{zeroDimensional?(\\spad{lp})} returns \\spad{true} iff \\axiom{\\spad{lp}} generates a zero-dimensional ideal \\spad{w}.\\spad{r}.\\spad{t}. the variables involved in \\axiom{\\spad{lp}}."))) 
 NIL 
 NIL 
-(-620) 
+(-621) 
 ((|constructor| (NIL "Category for the transcendental Liouvillian functions.")) (|fresnelC| (($ $) "fresnelC is the Fresnel integral \\spad{C},{} defined by \\spad{C}(\\spad{x}) = integrate(cos(\\spad{t^2}),{}\\spad{t=0}..\\spad{x})")) (|fresnelS| (($ $) "fresnelS is the Fresnel integral \\spad{S},{} defined by \\spad{S}(\\spad{x}) = integrate(sin(\\spad{t^2}),{}\\spad{t=0}..\\spad{x})")) (|erf| (($ $) "\\spad{erf(x)} returns the error function of \\spad{x},{} \\spadignore{i.e.} \\spad{2 / sqrt(\\%\\spad{pi})} times the integral of \\spad{exp(-x**2) dx}.")) (|dilog| (($ $) "\\spad{dilog(x)} returns the dilogarithm of \\spad{x},{} \\spadignore{i.e.} the integral of \\spad{log(x) / (1 - x) dx}.")) (|li| (($ $) "\\spad{\\spad{li}(x)} returns the logarithmic integral of \\spad{x},{} \\spadignore{i.e.} the integral of \\spad{dx / log(x)}.")) (|Ci| (($ $) "\\spad{\\spad{Ci}(x)} returns the cosine integral of \\spad{x},{} \\spadignore{i.e.} the integral of \\spad{cos(x) / x dx}.")) (|Si| (($ $) "\\spad{\\spad{Si}(x)} returns the sine integral of \\spad{x},{} \\spadignore{i.e.} the integral of \\spad{sin(x) / x dx}.")) (|Ei| (($ $) "\\spad{\\spad{Ei}(x)} returns the exponential integral of \\spad{x},{} \\spadignore{i.e.} the integral of \\spad{exp(x)/x dx}."))) 
 NIL 
 NIL 
-(-621 R -1478) 
+(-622 R -1564) 
 ((|constructor| (NIL "This package provides liouvillian functions over an integral domain.")) (|integral| ((|#2| |#2| (|SegmentBinding| |#2|)) "\\spad{integral(f,{}x = a..b)} denotes the definite integral of \\spad{f} with respect to \\spad{x} from \\spad{a} to \\spad{b}.") ((|#2| |#2| (|Symbol|)) "\\spad{integral(f,{}x)} indefinite integral of \\spad{f} with respect to \\spad{x}.")) (|fresnelC| ((|#2| |#2|) "\\spad{fresnelC(f)} denotes the Fresnel integral \\spad{C}")) (|fresnelS| ((|#2| |#2|) "\\spad{fresnelS(f)} denotes the Fresnel integral \\spad{S}")) (|dilog| ((|#2| |#2|) "\\spad{dilog(f)} denotes the dilogarithm")) (|erf| ((|#2| |#2|) "\\spad{erf(f)} denotes the error function")) (|li| ((|#2| |#2|) "\\spad{\\spad{li}(f)} denotes the logarithmic integral")) (|Ci| ((|#2| |#2|) "\\spad{\\spad{Ci}(f)} denotes the cosine integral")) (|Si| ((|#2| |#2|) "\\spad{\\spad{Si}(f)} denotes the sine integral")) (|Ei| ((|#2| |#2|) "\\spad{\\spad{Ei}(f)} denotes the exponential integral")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns the Liouvillian operator based on \\spad{op}")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} checks if \\spad{op} is Liouvillian"))) 
 NIL 
 NIL 
-(-622 |lv| -1478) 
+(-623 |lv| -1564) 
 ((|constructor| (NIL "Given a Groebner basis \\spad{B} with respect to the total degree ordering for a zero-dimensional ideal \\spad{I},{} compute a Groebner basis with respect to the lexicographical ordering by using linear algebra.")) (|transform| (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|)) "\\spad{transform }\\undocumented")) (|choosemon| (((|DistributedMultivariatePolynomial| |#1| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{choosemon }\\undocumented")) (|intcompBasis| (((|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|OrderedVariableList| |#1|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{intcompBasis }\\undocumented")) (|anticoord| (((|DistributedMultivariatePolynomial| |#1| |#2|) (|List| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{anticoord }\\undocumented")) (|coord| (((|Vector| |#2|) (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{coord }\\undocumented")) (|computeBasis| (((|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{computeBasis }\\undocumented")) (|minPol| (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|OrderedVariableList| |#1|)) "\\spad{minPol }\\undocumented") (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|OrderedVariableList| |#1|)) "\\spad{minPol }\\undocumented")) (|totolex| (((|List| (|DistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{totolex }\\undocumented")) (|groebgen| (((|Record| (|:| |glbase| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|:| |glval| (|List| (|Integer|)))) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{groebgen }\\undocumented")) (|linGenPos| (((|Record| (|:| |gblist| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|:| |gvlist| (|List| (|Integer|)))) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{linGenPos }\\undocumented"))) 
 NIL 
 NIL 
-(-623) 
+(-624) 
 ((|constructor| (NIL "This domain provides a simple way to save values in files.")) (|close!| (($ $) "\\spad{close!(f)} returns the library \\spad{f} closed to input and output.")) (|setelt| (((|Any|) $ (|Symbol|) (|Any|)) "\\spad{lib.k := v} saves the value \\spad{v} in the library \\spad{lib}. It can later be extracted using the key \\spad{k}.")) (|elt| (((|Any|) $ (|Symbol|)) "\\spad{elt(lib,{}k)} or \\spad{lib}.\\spad{k} extracts the value corresponding to the key \\spad{k} from the library \\spad{lib}.")) (|pack!| (($ $) "\\spad{pack!(f)} reorganizes the file \\spad{f} on disk to recover unused space.")) (|library| (($ (|FileName|)) "\\spad{library(ln)} creates a new library file."))) 
-((-4522 . T)) 
-((|HasCategory| (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| (-1143) (QUOTE (-842))) (|HasCategory| (-57) (QUOTE (-1090))) (-12 (|HasCategory| (-57) (LIST (QUOTE -303) (QUOTE (-57)))) (|HasCategory| (-57) (QUOTE (-1090)))) (|HasCategory| (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (QUOTE (-1090))) (-12 (|HasCategory| (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (LIST (QUOTE -303) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3651) (QUOTE (-1143))) (LIST (QUOTE |:|) (QUOTE -4085) (QUOTE (-57)))))) (|HasCategory| (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (QUOTE (-1090)))) (-2199 (|HasCategory| (-57) (QUOTE (-1090))) (|HasCategory| (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (QUOTE (-1090))))) 
-(-624 S R) 
+((-4536 . T)) 
+((|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-1145) (QUOTE (-843))) (|HasCategory| (-57) (QUOTE (-1091))) (-12 (|HasCategory| (-57) (LIST (QUOTE -304) (QUOTE (-57)))) (|HasCategory| (-57) (QUOTE (-1091)))) (|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (QUOTE (-1091))) (-12 (|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (QUOTE (-1145))) (LIST (QUOTE |:|) (QUOTE -3782) (QUOTE (-57)))))) (|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (QUOTE (-1091)))) (-2232 (|HasCategory| (-57) (QUOTE (-1091))) (|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (QUOTE (-1091))))) 
+(-625 S R) 
 ((|constructor| (NIL "The category of Lie Algebras. It is used by the domains of non-commutative algebra,{} LiePolynomial and XPBWPolynomial.")) (/ (($ $ |#2|) "\\axiom{\\spad{x/r}} returns the division of \\axiom{\\spad{x}} by \\axiom{\\spad{r}}.")) (|construct| (($ $ $) "\\axiom{construct(\\spad{x},{}\\spad{y})} returns the Lie bracket of \\axiom{\\spad{x}} and \\axiom{\\spad{y}}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-365)))) 
-(-625 R) 
+((|HasCategory| |#2| (QUOTE (-366)))) 
+(-626 R) 
 ((|constructor| (NIL "The category of Lie Algebras. It is used by the domains of non-commutative algebra,{} LiePolynomial and XPBWPolynomial.")) (/ (($ $ |#1|) "\\axiom{\\spad{x/r}} returns the division of \\axiom{\\spad{x}} by \\axiom{\\spad{r}}.")) (|construct| (($ $ $) "\\axiom{construct(\\spad{x},{}\\spad{y})} returns the Lie bracket of \\axiom{\\spad{x}} and \\axiom{\\spad{y}}."))) 
-((|JacobiIdentity| . T) (|NullSquare| . T) (-4516 . T) (-4515 . T)) 
+((|JacobiIdentity| . T) (|NullSquare| . T) (-4530 . T) (-4529 . T)) 
 NIL 
-(-626 R A) 
+(-627 R A) 
 ((|constructor| (NIL "AssociatedLieAlgebra takes an algebra \\spad{A} and uses \\spadfun{*\\$A} to define the Lie bracket \\spad{a*b := (a *\\$A b - b *\\$A a)} (commutator). Note that the notation \\spad{[a,{}b]} cannot be used due to restrictions of the current compiler. This domain only gives a Lie algebra if the Jacobi-identity \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} holds for all \\spad{a},{}\\spad{b},{}\\spad{c} in \\spad{A}. This relation can be checked by \\spad{lieAdmissible?()\\$A}. \\blankline If the underlying algebra is of type \\spadtype{FramedNonAssociativeAlgebra(R)} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free \\spad{R}-module of finite rank,{} together with a fixed \\spad{R}-module basis),{} then the same is \\spad{true} for the associated Lie algebra. Also,{} if the underlying algebra is of type \\spadtype{FiniteRankNonAssociativeAlgebra(R)} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free \\spad{R}-module of finite rank),{} then the same is \\spad{true} for the associated Lie algebra.")) (|coerce| (($ |#2|) "\\spad{coerce(a)} coerces the element \\spad{a} of the algebra \\spad{A} to an element of the Lie algebra \\spadtype{AssociatedLieAlgebra}(\\spad{R},{}A)."))) 
-((-4518 -2199 (-2141 (|has| |#2| (-369 |#1|)) (|has| |#1| (-558))) (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-558)))) (-4516 . T) (-4515 . T)) 
-((|HasCategory| |#2| (LIST (QUOTE -419) (|devaluate| |#1|))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (LIST (QUOTE -419) (|devaluate| |#1|)))) (|HasCategory| |#2| (LIST (QUOTE -369) (|devaluate| |#1|))) (-2199 (|HasCategory| |#2| (LIST (QUOTE -369) (|devaluate| |#1|))) (|HasCategory| |#2| (LIST (QUOTE -419) (|devaluate| |#1|)))) (-2199 (-12 (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#2| (LIST (QUOTE -369) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#2| (LIST (QUOTE -419) (|devaluate| |#1|)))))) 
-(-627 R FE) 
+((-4532 -2232 (-2206 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))) (-4530 . T) (-4529 . T)) 
+((|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|)))) (|HasCategory| |#2| (LIST (QUOTE -370) (|devaluate| |#1|))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -370) (|devaluate| |#1|))) (|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|)))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#2| (LIST (QUOTE -370) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|)))))) 
+(-628 R FE) 
 ((|constructor| (NIL "PowerSeriesLimitPackage implements limits of expressions in one or more variables as one of the variables approaches a limiting value. Included are two-sided limits,{} left- and right- hand limits,{} and limits at plus or minus infinity.")) (|complexLimit| (((|Union| (|OnePointCompletion| |#2|) "failed") |#2| (|Equation| (|OnePointCompletion| |#2|))) "\\spad{complexLimit(f(x),{}x = a)} computes the complex limit \\spad{lim(x -> a,{}f(x))}.")) (|limit| (((|Union| (|OrderedCompletion| |#2|) "failed") |#2| (|Equation| |#2|) (|String|)) "\\spad{limit(f(x),{}x=a,{}\"left\")} computes the left hand real limit \\spad{lim(x -> a-,{}f(x))}; \\spad{limit(f(x),{}x=a,{}\"right\")} computes the right hand real limit \\spad{lim(x -> a+,{}f(x))}.") (((|Union| (|OrderedCompletion| |#2|) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| |#2|) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| |#2|) "failed"))) "failed") |#2| (|Equation| (|OrderedCompletion| |#2|))) "\\spad{limit(f(x),{}x = a)} computes the real limit \\spad{lim(x -> a,{}f(x))}."))) 
 NIL 
 NIL 
-(-628 R) 
+(-629 R) 
 ((|constructor| (NIL "Computation of limits for rational functions.")) (|complexLimit| (((|OnePointCompletion| (|Fraction| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|)))) "\\spad{complexLimit(f(x),{}x = a)} computes the complex limit of \\spad{f} as its argument \\spad{x} approaches \\spad{a}.") (((|OnePointCompletion| (|Fraction| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Equation| (|OnePointCompletion| (|Polynomial| |#1|)))) "\\spad{complexLimit(f(x),{}x = a)} computes the complex limit of \\spad{f} as its argument \\spad{x} approaches \\spad{a}.")) (|limit| (((|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|String|)) "\\spad{limit(f(x),{}x,{}a,{}\"left\")} computes the real limit of \\spad{f} as its argument \\spad{x} approaches \\spad{a} from the left; limit(\\spad{f}(\\spad{x}),{}\\spad{x},{}a,{}\"right\") computes the corresponding limit as \\spad{x} approaches \\spad{a} from the right.") (((|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed"))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|)))) "\\spad{limit(f(x),{}x = a)} computes the real two-sided limit of \\spad{f} as its argument \\spad{x} approaches \\spad{a}.") (((|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed"))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Equation| (|OrderedCompletion| (|Polynomial| |#1|)))) "\\spad{limit(f(x),{}x = a)} computes the real two-sided limit of \\spad{f} as its argument \\spad{x} approaches \\spad{a}."))) 
 NIL 
 NIL 
-(-629 S R) 
+(-630 S R) 
 ((|constructor| (NIL "Test for linear dependence.")) (|solveLinear| (((|Union| (|Vector| (|Fraction| |#1|)) "failed") (|Vector| |#2|) |#2|) "\\spad{solveLinear([v1,{}...,{}vn],{} u)} returns \\spad{[c1,{}...,{}cn]} such that \\spad{c1*v1 + ... + cn*vn = u},{} \"failed\" if no such \\spad{ci}\\spad{'s} exist in the quotient field of \\spad{S}.") (((|Union| (|Vector| |#1|) "failed") (|Vector| |#2|) |#2|) "\\spad{solveLinear([v1,{}...,{}vn],{} u)} returns \\spad{[c1,{}...,{}cn]} such that \\spad{c1*v1 + ... + cn*vn = u},{} \"failed\" if no such \\spad{ci}\\spad{'s} exist in \\spad{S}.")) (|linearDependence| (((|Union| (|Vector| |#1|) "failed") (|Vector| |#2|)) "\\spad{linearDependence([v1,{}...,{}vn])} returns \\spad{[c1,{}...,{}cn]} if \\spad{c1*v1 + ... + cn*vn = 0} and not all the \\spad{ci}\\spad{'s} are 0,{} \"failed\" if the \\spad{vi}\\spad{'s} are linearly independent over \\spad{S}.")) (|linearlyDependent?| (((|Boolean|) (|Vector| |#2|)) "\\spad{linearlyDependent?([v1,{}...,{}vn])} returns \\spad{true} if the \\spad{vi}\\spad{'s} are linearly dependent over \\spad{S},{} \\spad{false} otherwise."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-365))) (-3046 (|HasCategory| |#1| (QUOTE (-365))))) 
-(-630 R) 
+((|HasCategory| |#1| (QUOTE (-366))) (-3864 (|HasCategory| |#1| (QUOTE (-366))))) 
+(-631 R) 
 ((|constructor| (NIL "An extension ring with an explicit linear dependence test.")) (|reducedSystem| (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) "\\spad{reducedSystem(A,{} v)} returns a matrix \\spad{B} and a vector \\spad{w} such that \\spad{A x = v} and \\spad{B x = w} have the same solutions in \\spad{R}.") (((|Matrix| |#1|) (|Matrix| $)) "\\spad{reducedSystem(A)} returns a matrix \\spad{B} such that \\spad{A x = 0} and \\spad{B x = 0} have the same solutions in \\spad{R}."))) 
-((-4518 . T)) 
+((-4532 . T)) 
 NIL 
-(-631 A B) 
+(-632 A B) 
 ((|constructor| (NIL "\\spadtype{ListToMap} allows mappings to be described by a pair of lists of equal lengths. The image of an element \\spad{x},{} which appears in position \\spad{n} in the first list,{} is then the \\spad{n}th element of the second list. A default value or default function can be specified to be used when \\spad{x} does not appear in the first list. In the absence of defaults,{} an error will occur in that case.")) (|match| ((|#2| (|List| |#1|) (|List| |#2|) |#1| (|Mapping| |#2| |#1|)) "\\spad{match(la,{} lb,{} a,{} f)} creates a map defined by lists \\spad{la} and \\spad{lb} of equal length. and applies this map to a. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb}. Argument \\spad{f} is a default function to call if a is not in \\spad{la}. The value returned is then obtained by applying \\spad{f} to argument a.") (((|Mapping| |#2| |#1|) (|List| |#1|) (|List| |#2|) (|Mapping| |#2| |#1|)) "\\spad{match(la,{} lb,{} f)} creates a map defined by lists \\spad{la} and \\spad{lb} of equal length. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb}. Argument \\spad{f} is used as the function to call when the given function argument is not in \\spad{la}. The value returned is \\spad{f} applied to that argument.") ((|#2| (|List| |#1|) (|List| |#2|) |#1| |#2|) "\\spad{match(la,{} lb,{} a,{} b)} creates a map defined by lists \\spad{la} and \\spad{lb} of equal length. and applies this map to a. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb}. Argument \\spad{b} is the default target value if a is not in \\spad{la}. Error: if \\spad{la} and \\spad{lb} are not of equal length.") (((|Mapping| |#2| |#1|) (|List| |#1|) (|List| |#2|) |#2|) "\\spad{match(la,{} lb,{} b)} creates a map defined by lists \\spad{la} and \\spad{lb} of equal length,{} where \\spad{b} is used as the default target value if the given function argument is not in \\spad{la}. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb}. Error: if \\spad{la} and \\spad{lb} are not of equal length.") ((|#2| (|List| |#1|) (|List| |#2|) |#1|) "\\spad{match(la,{} lb,{} a)} creates a map defined by lists \\spad{la} and \\spad{lb} of equal length,{} where \\spad{a} is used as the default source value if the given one is not in \\spad{la}. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb}. Error: if \\spad{la} and \\spad{lb} are not of equal length.") (((|Mapping| |#2| |#1|) (|List| |#1|) (|List| |#2|)) "\\spad{match(la,{} lb)} creates a map with no default source or target values defined by lists \\spad{la} and \\spad{lb} of equal length. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb}. Error: if \\spad{la} and \\spad{lb} are not of equal length. Note that when this map is applied,{} an error occurs when applied to a value missing from \\spad{la}."))) 
 NIL 
 NIL 
-(-632 A B) 
+(-633 A B) 
 ((|constructor| (NIL "\\spadtype{ListFunctions2} implements utility functions that operate on two kinds of lists,{} each with a possibly different type of element.")) (|map| (((|List| |#2|) (|Mapping| |#2| |#1|) (|List| |#1|)) "\\spad{map(fn,{}u)} applies \\spad{fn} to each element of list \\spad{u} and returns a new list with the results. For example \\spad{map(square,{}[1,{}2,{}3]) = [1,{}4,{}9]}.")) (|reduce| ((|#2| (|Mapping| |#2| |#1| |#2|) (|List| |#1|) |#2|) "\\spad{reduce(fn,{}u,{}ident)} successively uses the binary function \\spad{fn} on the elements of list \\spad{u} and the result of previous applications. \\spad{ident} is returned if the \\spad{u} is empty. Note the order of application in the following examples: \\spad{reduce(fn,{}[1,{}2,{}3],{}0) = fn(3,{}fn(2,{}fn(1,{}0)))} and \\spad{reduce(*,{}[2,{}3],{}1) = 3 * (2 * 1)}.")) (|scan| (((|List| |#2|) (|Mapping| |#2| |#1| |#2|) (|List| |#1|) |#2|) "\\spad{scan(fn,{}u,{}ident)} successively uses the binary function \\spad{fn} to reduce more and more of list \\spad{u}. \\spad{ident} is returned if the \\spad{u} is empty. The result is a list of the reductions at each step. See \\spadfun{reduce} for more information. Examples: \\spad{scan(fn,{}[1,{}2],{}0) = [fn(2,{}fn(1,{}0)),{}fn(1,{}0)]} and \\spad{scan(*,{}[2,{}3],{}1) = [2 * 1,{} 3 * (2 * 1)]}."))) 
 NIL 
 NIL 
-(-633 A B C) 
+(-634 A B C) 
 ((|constructor| (NIL "\\spadtype{ListFunctions3} implements utility functions that operate on three kinds of lists,{} each with a possibly different type of element.")) (|map| (((|List| |#3|) (|Mapping| |#3| |#1| |#2|) (|List| |#1|) (|List| |#2|)) "\\spad{map(fn,{}list1,{} u2)} applies the binary function \\spad{fn} to corresponding elements of lists \\spad{u1} and \\spad{u2} and returns a list of the results (in the same order). Thus \\spad{map(/,{}[1,{}2,{}3],{}[4,{}5,{}6]) = [1/4,{}2/4,{}1/2]}. The computation terminates when the end of either list is reached. That is,{} the length of the result list is equal to the minimum of the lengths of \\spad{u1} and \\spad{u2}."))) 
 NIL 
 NIL 
-(-634 S) 
+(-635 S) 
 ((|constructor| (NIL "\\spadtype{List} implements singly-linked lists that are addressable by indices; the index of the first element is 1. In addition to the operations provided by \\spadtype{IndexedList},{} this constructor provides some LISP-like functions such as \\spadfun{null} and \\spadfun{cons}.")) (|setDifference| (($ $ $) "\\spad{setDifference(u1,{}u2)} returns a list of the elements of \\spad{u1} that are not also in \\spad{u2}. The order of elements in the resulting list is unspecified.")) (|setIntersection| (($ $ $) "\\spad{setIntersection(u1,{}u2)} returns a list of the elements that lists \\spad{u1} and \\spad{u2} have in common. The order of elements in the resulting list is unspecified.")) (|setUnion| (($ $ $) "\\spad{setUnion(u1,{}u2)} appends the two lists \\spad{u1} and \\spad{u2},{} then removes all duplicates. The order of elements in the resulting list is unspecified.")) (|append| (($ $ $) "\\spad{append(u1,{}u2)} appends the elements of list \\spad{u1} onto the front of list \\spad{u2}. This new list and \\spad{u2} will share some structure.")) (|cons| (($ |#1| $) "\\spad{cons(element,{}u)} appends \\spad{element} onto the front of list \\spad{u} and returns the new list. This new list and the old one will share some structure.")) (|null| (((|Boolean|) $) "\\spad{null(u)} tests if list \\spad{u} is the empty list.")) (|nil| (($) "\\spad{nil()} returns the empty list."))) 
-((-4522 . T) (-4521 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (QUOTE (-842))) (-2199 (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-1090)))) (|HasCategory| |#1| (QUOTE (-823))) (|HasCategory| (-568) (QUOTE (-842))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-842)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))))) 
-(-635 K PCS) 
+((-4536 . T) (-4535 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (-2232 (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-824))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-843)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
+(-636 K PCS) 
 ((|constructor| (NIL "Part of the PAFF package")) (|finiteSeries2LinSys| (((|Matrix| |#1|) (|List| |#2|) (|Integer|)) "\\spad{finiteSeries2LinSys(ls,{}n)} returns a matrix which right kernel is the solution of the linear combinations of the series in \\spad{ls} which has order greater or equal to \\spad{n}. NOTE: All the series in \\spad{ls} must be finite and must have order at least 0: so one must first call on each of them the function filterUpTo(\\spad{s},{}\\spad{n}) and apply an appropriate shift (mult by a power of \\spad{t})."))) 
 NIL 
 NIL 
-(-636 S) 
+(-637 S) 
 ((|constructor| (NIL "The \\spadtype{ListMultiDictionary} domain implements a dictionary with duplicates allowed. The representation is a list with duplicates represented explicitly. Hence most operations will be relatively inefficient when the number of entries in the dictionary becomes large. If the objects in the dictionary belong to an ordered set,{} the entries are maintained in ascending order.")) (|substitute| (($ |#1| |#1| $) "\\spad{substitute(x,{}y,{}d)} replace \\spad{x}\\spad{'s} with \\spad{y}\\spad{'s} in dictionary \\spad{d}.")) (|duplicates?| (((|Boolean|) $) "\\spad{duplicates?(d)} tests if dictionary \\spad{d} has duplicate entries."))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))) (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541))))) 
-(-637 R) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) 
+(-638 R) 
 ((|constructor| (NIL "The category of left modules over an \\spad{rng} (ring not necessarily with unit). This is an abelian group which supports left multiplation by elements of the \\spad{rng}. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{ (a*b)*x = a*(b*x) }\\spad{\\br} \\tab{5}\\spad{ (a+b)*x = (a*x)+(b*x) }\\spad{\\br} \\tab{5}\\spad{ a*(x+y) = (a*x)+(a*y) }")) (* (($ |#1| $) "\\spad{r*x} returns the left multiplication of the module element \\spad{x} by the ring element \\spad{r}."))) 
 NIL 
 NIL 
-(-638 S E |un|) 
+(-639 S E |un|) 
 ((|constructor| (NIL "This internal package represents monoid (abelian or not,{} with or without inverses) as lists and provides some common operations to the various flavors of monoids.")) (|mapGen| (($ (|Mapping| |#1| |#1|) $) "\\spad{mapGen(f,{} a1\\^e1 ... an\\^en)} returns \\spad{f(a1)\\^e1 ... f(an)\\^en}.")) (|mapExpon| (($ (|Mapping| |#2| |#2|) $) "\\spad{mapExpon(f,{} a1\\^e1 ... an\\^en)} returns \\spad{a1\\^f(e1) ... an\\^f(en)}.")) (|commutativeEquality| (((|Boolean|) $ $) "\\spad{commutativeEquality(x,{}y)} returns \\spad{true} if \\spad{x} and \\spad{y} are equal assuming commutativity")) (|plus| (($ $ $) "\\spad{plus(x,{} y)} returns \\spad{x + y} where \\spad{+} is the monoid operation,{} which is assumed commutative.") (($ |#1| |#2| $) "\\spad{plus(s,{} e,{} x)} returns \\spad{e * s + x} where \\spad{+} is the monoid operation,{} which is assumed commutative.")) (|leftMult| (($ |#1| $) "\\spad{leftMult(s,{} a)} returns \\spad{s * a} where \\spad{*} is the monoid operation,{} which is assumed non-commutative.")) (|rightMult| (($ $ |#1|) "\\spad{rightMult(a,{} s)} returns \\spad{a * s} where \\spad{*} is the monoid operation,{} which is assumed non-commutative.")) (|makeUnit| (($) "\\spad{makeUnit()} returns the unit element of the monomial.")) (|size| (((|NonNegativeInteger|) $) "\\spad{size(l)} returns the number of monomials forming \\spad{l}.")) (|reverse!| (($ $) "\\spad{reverse!(l)} reverses the list of monomials forming \\spad{l},{} destroying the element \\spad{l}.")) (|reverse| (($ $) "\\spad{reverse(l)} reverses the list of monomials forming \\spad{l}. This has some effect if the monoid is non-abelian,{} \\spadignore{i.e.} \\spad{reverse(a1\\^e1 ... an\\^en) = an\\^en ... a1\\^e1} which is different.")) (|nthFactor| ((|#1| $ (|Integer|)) "\\spad{nthFactor(l,{} n)} returns the factor of the n^th monomial of \\spad{l}.")) (|nthExpon| ((|#2| $ (|Integer|)) "\\spad{nthExpon(l,{} n)} returns the exponent of the n^th monomial of \\spad{l}.")) (|makeMulti| (($ (|List| (|Record| (|:| |gen| |#1|) (|:| |exp| |#2|)))) "\\spad{makeMulti(l)} returns the element whose list of monomials is \\spad{l}.")) (|makeTerm| (($ |#1| |#2|) "\\spad{makeTerm(s,{} e)} returns the monomial \\spad{s} exponentiated by \\spad{e} (\\spadignore{e.g.} s^e or \\spad{e} * \\spad{s}).")) (|listOfMonoms| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| |#2|))) $) "\\spad{listOfMonoms(l)} returns the list of the monomials forming \\spad{l}.")) (|outputForm| (((|OutputForm|) $ (|Mapping| (|OutputForm|) (|OutputForm|) (|OutputForm|)) (|Mapping| (|OutputForm|) (|OutputForm|) (|OutputForm|)) (|Integer|)) "\\spad{outputForm(l,{} fop,{} fexp,{} unit)} converts the monoid element represented by \\spad{l} to an \\spadtype{OutputForm}. Argument unit is the output form for the \\spadignore{unit} of the monoid (\\spadignore{e.g.} 0 or 1),{} \\spad{fop(a,{} b)} is the output form for the monoid operation applied to \\spad{a} and \\spad{b} (\\spadignore{e.g.} \\spad{a + b},{} \\spad{a * b},{} \\spad{ab}),{} and \\spad{fexp(a,{} n)} is the output form for the exponentiation operation applied to \\spad{a} and \\spad{n} (\\spadignore{e.g.} \\spad{n a},{} \\spad{n * a},{} \\spad{a ** n},{} \\spad{a\\^n})."))) 
 NIL 
 NIL 
-(-639 A S) 
+(-640 A S) 
 ((|constructor| (NIL "A linear aggregate is an aggregate whose elements are indexed by integers. Examples of linear aggregates are strings,{} lists,{} and arrays. Most of the exported operations for linear aggregates are non-destructive but are not always efficient for a particular aggregate. For example,{} \\spadfun{concat} of two lists needs only to copy its first argument,{} whereas \\spadfun{concat} of two arrays needs to copy both arguments. Most of the operations exported here apply to infinite objects (\\spadignore{e.g.} streams) as well to finite ones. For finite linear aggregates,{} see \\spadtype{FiniteLinearAggregate}.")) (|setelt| ((|#2| $ (|UniversalSegment| (|Integer|)) |#2|) "\\spad{setelt(u,{}i..j,{}x)} (also written: \\axiom{\\spad{u}(\\spad{i}..\\spad{j}) \\spad{:=} \\spad{x}}) destructively replaces each element in the segment \\axiom{\\spad{u}(\\spad{i}..\\spad{j})} by \\spad{x}. The value \\spad{x} is returned. Note that \\spad{u} is destructively change so that \\axiom{\\spad{u}.\\spad{k} \\spad{:=} \\spad{x} for \\spad{k} in \\spad{i}..\\spad{j}}; its length remains unchanged.")) (|insert| (($ $ $ (|Integer|)) "\\spad{insert(v,{}u,{}k)} returns a copy of \\spad{u} having \\spad{v} inserted beginning at the \\axiom{\\spad{i}}th element. Note that \\axiom{insert(\\spad{v},{}\\spad{u},{}\\spad{k}) = concat( \\spad{u}(0..\\spad{k}-1),{} \\spad{v},{} \\spad{u}(\\spad{k}..) )}.") (($ |#2| $ (|Integer|)) "\\spad{insert(x,{}u,{}i)} returns a copy of \\spad{u} having \\spad{x} as its \\axiom{\\spad{i}}th element. Note that \\axiom{insert(\\spad{x},{}a,{}\\spad{k}) = concat(concat(a(0..\\spad{k}-1),{}\\spad{x}),{}a(\\spad{k}..))}.")) (|delete| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{delete(u,{}i..j)} returns a copy of \\spad{u} with the \\axiom{\\spad{i}}th through \\axiom{\\spad{j}}th element deleted. Note that \\axiom{delete(a,{}\\spad{i}..\\spad{j}) = concat(a(0..\\spad{i}-1),{}a(\\spad{j+1}..))}.") (($ $ (|Integer|)) "\\spad{delete(u,{}i)} returns a copy of \\spad{u} with the \\axiom{\\spad{i}}th element deleted. Note that for lists,{} \\axiom{delete(a,{}\\spad{i}) \\spad{==} concat(a(0..\\spad{i} - 1),{}a(\\spad{i} + 1,{}..))}.")) (|elt| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{elt(u,{}i..j)} (also written: \\axiom{a(\\spad{i}..\\spad{j})}) returns the aggregate of elements \\axiom{\\spad{u}} for \\spad{k} from \\spad{i} to \\spad{j} in that order. Note that in general,{} \\axiom{a.\\spad{s} = [a.\\spad{k} for \\spad{i} in \\spad{s}]}.")) (|map| (($ (|Mapping| |#2| |#2| |#2|) $ $) "\\spad{map(f,{}u,{}v)} returns a new collection \\spad{w} with elements \\axiom{\\spad{z} = \\spad{f}(\\spad{x},{}\\spad{y})} for corresponding elements \\spad{x} and \\spad{y} from \\spad{u} and \\spad{v}. Note that for linear aggregates,{} \\axiom{\\spad{w}.\\spad{i} = \\spad{f}(\\spad{u}.\\spad{i},{}\\spad{v}.\\spad{i})}.")) (|concat| (($ (|List| $)) "\\spad{concat(u)},{} where \\spad{u} is a lists of aggregates \\axiom{[a,{}\\spad{b},{}...,{}\\spad{c}]},{} returns a single aggregate consisting of the elements of \\axiom{a} followed by those of \\spad{b} followed ... by the elements of \\spad{c}. Note that \\axiom{concat(a,{}\\spad{b},{}...,{}\\spad{c}) = concat(a,{}concat(\\spad{b},{}...,{}\\spad{c}))}.") (($ $ $) "\\spad{concat(u,{}v)} returns an aggregate consisting of the elements of \\spad{u} followed by the elements of \\spad{v}. Note that if \\axiom{\\spad{w} = concat(\\spad{u},{}\\spad{v})} then \\axiom{\\spad{w}.\\spad{i} = \\spad{u}.\\spad{i} for \\spad{i} in indices \\spad{u}} and \\axiom{\\spad{w}.(\\spad{j} + maxIndex \\spad{u}) = \\spad{v}.\\spad{j} for \\spad{j} in indices \\spad{v}}.") (($ |#2| $) "\\spad{concat(x,{}u)} returns aggregate \\spad{u} with additional element at the front. Note that for lists: \\axiom{concat(\\spad{x},{}\\spad{u}) \\spad{==} concat([\\spad{x}],{}\\spad{u})}.") (($ $ |#2|) "\\spad{concat(u,{}x)} returns aggregate \\spad{u} with additional element \\spad{x} at the end. Note that for lists,{} \\axiom{concat(\\spad{u},{}\\spad{x}) \\spad{==} concat(\\spad{u},{}[\\spad{x}])}")) (|new| (($ (|NonNegativeInteger|) |#2|) "\\spad{new(n,{}x)} returns \\axiom{fill!(new \\spad{n},{}\\spad{x})}."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4522))) 
-(-640 S) 
+((|HasAttribute| |#1| (QUOTE -4536))) 
+(-641 S) 
 ((|constructor| (NIL "A linear aggregate is an aggregate whose elements are indexed by integers. Examples of linear aggregates are strings,{} lists,{} and arrays. Most of the exported operations for linear aggregates are non-destructive but are not always efficient for a particular aggregate. For example,{} \\spadfun{concat} of two lists needs only to copy its first argument,{} whereas \\spadfun{concat} of two arrays needs to copy both arguments. Most of the operations exported here apply to infinite objects (\\spadignore{e.g.} streams) as well to finite ones. For finite linear aggregates,{} see \\spadtype{FiniteLinearAggregate}.")) (|setelt| ((|#1| $ (|UniversalSegment| (|Integer|)) |#1|) "\\spad{setelt(u,{}i..j,{}x)} (also written: \\axiom{\\spad{u}(\\spad{i}..\\spad{j}) \\spad{:=} \\spad{x}}) destructively replaces each element in the segment \\axiom{\\spad{u}(\\spad{i}..\\spad{j})} by \\spad{x}. The value \\spad{x} is returned. Note that \\spad{u} is destructively change so that \\axiom{\\spad{u}.\\spad{k} \\spad{:=} \\spad{x} for \\spad{k} in \\spad{i}..\\spad{j}}; its length remains unchanged.")) (|insert| (($ $ $ (|Integer|)) "\\spad{insert(v,{}u,{}k)} returns a copy of \\spad{u} having \\spad{v} inserted beginning at the \\axiom{\\spad{i}}th element. Note that \\axiom{insert(\\spad{v},{}\\spad{u},{}\\spad{k}) = concat( \\spad{u}(0..\\spad{k}-1),{} \\spad{v},{} \\spad{u}(\\spad{k}..) )}.") (($ |#1| $ (|Integer|)) "\\spad{insert(x,{}u,{}i)} returns a copy of \\spad{u} having \\spad{x} as its \\axiom{\\spad{i}}th element. Note that \\axiom{insert(\\spad{x},{}a,{}\\spad{k}) = concat(concat(a(0..\\spad{k}-1),{}\\spad{x}),{}a(\\spad{k}..))}.")) (|delete| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{delete(u,{}i..j)} returns a copy of \\spad{u} with the \\axiom{\\spad{i}}th through \\axiom{\\spad{j}}th element deleted. Note that \\axiom{delete(a,{}\\spad{i}..\\spad{j}) = concat(a(0..\\spad{i}-1),{}a(\\spad{j+1}..))}.") (($ $ (|Integer|)) "\\spad{delete(u,{}i)} returns a copy of \\spad{u} with the \\axiom{\\spad{i}}th element deleted. Note that for lists,{} \\axiom{delete(a,{}\\spad{i}) \\spad{==} concat(a(0..\\spad{i} - 1),{}a(\\spad{i} + 1,{}..))}.")) (|elt| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{elt(u,{}i..j)} (also written: \\axiom{a(\\spad{i}..\\spad{j})}) returns the aggregate of elements \\axiom{\\spad{u}} for \\spad{k} from \\spad{i} to \\spad{j} in that order. Note that in general,{} \\axiom{a.\\spad{s} = [a.\\spad{k} for \\spad{i} in \\spad{s}]}.")) (|map| (($ (|Mapping| |#1| |#1| |#1|) $ $) "\\spad{map(f,{}u,{}v)} returns a new collection \\spad{w} with elements \\axiom{\\spad{z} = \\spad{f}(\\spad{x},{}\\spad{y})} for corresponding elements \\spad{x} and \\spad{y} from \\spad{u} and \\spad{v}. Note that for linear aggregates,{} \\axiom{\\spad{w}.\\spad{i} = \\spad{f}(\\spad{u}.\\spad{i},{}\\spad{v}.\\spad{i})}.")) (|concat| (($ (|List| $)) "\\spad{concat(u)},{} where \\spad{u} is a lists of aggregates \\axiom{[a,{}\\spad{b},{}...,{}\\spad{c}]},{} returns a single aggregate consisting of the elements of \\axiom{a} followed by those of \\spad{b} followed ... by the elements of \\spad{c}. Note that \\axiom{concat(a,{}\\spad{b},{}...,{}\\spad{c}) = concat(a,{}concat(\\spad{b},{}...,{}\\spad{c}))}.") (($ $ $) "\\spad{concat(u,{}v)} returns an aggregate consisting of the elements of \\spad{u} followed by the elements of \\spad{v}. Note that if \\axiom{\\spad{w} = concat(\\spad{u},{}\\spad{v})} then \\axiom{\\spad{w}.\\spad{i} = \\spad{u}.\\spad{i} for \\spad{i} in indices \\spad{u}} and \\axiom{\\spad{w}.(\\spad{j} + maxIndex \\spad{u}) = \\spad{v}.\\spad{j} for \\spad{j} in indices \\spad{v}}.") (($ |#1| $) "\\spad{concat(x,{}u)} returns aggregate \\spad{u} with additional element at the front. Note that for lists: \\axiom{concat(\\spad{x},{}\\spad{u}) \\spad{==} concat([\\spad{x}],{}\\spad{u})}.") (($ $ |#1|) "\\spad{concat(u,{}x)} returns aggregate \\spad{u} with additional element \\spad{x} at the end. Note that for lists,{} \\axiom{concat(\\spad{u},{}\\spad{x}) \\spad{==} concat(\\spad{u},{}[\\spad{x}])}")) (|new| (($ (|NonNegativeInteger|) |#1|) "\\spad{new(n,{}x)} returns \\axiom{fill!(new \\spad{n},{}\\spad{x})}."))) 
-((-3973 . T)) 
+((-2982 . T)) 
 NIL 
-(-641 K) 
+(-642 K) 
 ((|printInfo| (((|Boolean|)) "returns the value of the \\spad{printInfo} flag.") (((|Boolean|) (|Boolean|)) "\\spad{printInfo(b)} set a flag such that when \\spad{true} (\\spad{b} \\spad{<-} \\spad{true}) prints some information during some critical computation.")) (|coefOfFirstNonZeroTerm| ((|#1| $) "\\spad{coefOfFirstNonZeroTerm(s)} returns the first non zero coefficient of the series.")) (|filterUpTo| (($ $ (|Integer|)) "\\spad{filterUpTo(s,{}n)} returns the series consisting of the terms of \\spad{s} having degree strictly less than \\spad{n}.")) (|shift| (($ $ (|Integer|)) "\\spad{shift(s,{}n)} returns t**n * \\spad{s}")) (|series| (($ (|Integer|) |#1| $) "\\spad{series(e,{}c,{}s)} create the series c*t**e + \\spad{s}.")) (|removeZeroes| (($ $) "\\spad{removeZeroes(s)} removes the zero terms in \\spad{s}.") (($ (|Integer|) $) "\\spad{removeZeroes(n,{}s)} removes the zero terms in the first \\spad{n} terms of \\spad{s}.")) (|monomial2series| (($ (|List| $) (|List| (|NonNegativeInteger|)) (|Integer|)) "\\spad{monomial2series(ls,{}le,{}n)} returns t**n * reduce(\\spad{\"*\"},{}[\\spad{s} \\spad{**} \\spad{e} for \\spad{s} in \\spad{ls} for \\spad{e} in \\spad{le}])")) (|delay| (($ (|Mapping| $)) "\\spad{delay delayed} the computation of the next term of the series given by the input function.")) (|posExpnPart| (($ $) "\\spad{posExpnPart(s)} returns the series \\spad{s} less the terms with negative exponant.")) (|order| (((|Integer|) $) "\\spad{order(s)} returns the order of \\spad{s}."))) 
-(((-4523 "*") . T) (-4514 . T) (-4513 . T) (-4519 . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+(((-4537 "*") . T) (-4528 . T) (-4527 . T) (-4533 . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-642 R -1478 L) 
+(-643 R -1564 L) 
 ((|constructor| (NIL "\\spad{ElementaryFunctionLODESolver} provides the top-level functions for finding closed form solutions of linear ordinary differential equations and initial value problems.")) (|solve| (((|Union| |#2| "failed") |#3| |#2| (|Symbol|) |#2| (|List| |#2|)) "\\spad{solve(op,{} g,{} x,{} a,{} [y0,{}...,{}ym])} returns either the solution of the initial value problem \\spad{op y = g,{} y(a) = y0,{} y'(a) = y1,{}...} or \"failed\" if the solution cannot be found; \\spad{x} is the dependent variable.") (((|Union| (|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) "failed") |#3| |#2| (|Symbol|)) "\\spad{solve(op,{} g,{} x)} returns either a solution of the ordinary differential equation \\spad{op y = g} or \"failed\" if no non-trivial solution can be found; When found,{} the solution is returned in the form \\spad{[h,{} [b1,{}...,{}bm]]} where \\spad{h} is a particular solution and and \\spad{[b1,{}...bm]} are linearly independent solutions of the associated homogenuous equation \\spad{op y = 0}. A full basis for the solutions of the homogenuous equation is not always returned,{} only the solutions which were found; \\spad{x} is the dependent variable."))) 
 NIL 
 NIL 
-(-643 A) 
+(-644 A) 
 ((|constructor| (NIL "\\spad{LinearOrdinaryDifferentialOperator1} defines a ring of differential operators with coefficients in a differential ring A. Multiplication of operators corresponds to functional composition:\\spad{\\br} \\spad{(L1 * L2).(f) = L1 L2 f}"))) 
-((-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-365)))) 
-(-644 A M) 
+((-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-366)))) 
+(-645 A M) 
 ((|constructor| (NIL "\\spad{LinearOrdinaryDifferentialOperator2} defines a ring of differential operators with coefficients in a differential ring A and acting on an A-module \\spad{M}. Multiplication of operators corresponds to functional composition:\\spad{\\br} \\spad{(L1 * L2).(f) = L1 L2 f}")) (|differentiate| (($ $) "\\spad{differentiate(x)} returns the derivative of \\spad{x}"))) 
-((-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-365)))) 
-(-645 S A) 
+((-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-366)))) 
+(-646 S A) 
 ((|constructor| (NIL "LinearOrdinaryDifferentialOperatorCategory is the category of differential operators with coefficients in a ring A with a given derivation. \\blankline Multiplication of operators corresponds to functional composition:\\spad{\\br} (\\spad{L1} * \\spad{L2}).(\\spad{f}) = \\spad{L1} \\spad{L2} \\spad{f}")) (|directSum| (($ $ $) "\\spad{directSum(a,{}b)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the sums of a solution of \\spad{a} by a solution of \\spad{b}.")) (|symmetricSquare| (($ $) "\\spad{symmetricSquare(a)} computes \\spad{symmetricProduct(a,{}a)} using a more efficient method.")) (|symmetricPower| (($ $ (|NonNegativeInteger|)) "\\spad{symmetricPower(a,{}n)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of \\spad{n} solutions of \\spad{a}.")) (|symmetricProduct| (($ $ $) "\\spad{symmetricProduct(a,{}b)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of a solution of \\spad{a} by a solution of \\spad{b}.")) (|adjoint| (($ $) "\\spad{adjoint(a)} returns the adjoint operator of a.")) (D (($) "\\spad{D()} provides the operator corresponding to a derivation in the ring \\spad{A}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-365)))) 
-(-646 A) 
+((|HasCategory| |#2| (QUOTE (-366)))) 
+(-647 A) 
 ((|constructor| (NIL "LinearOrdinaryDifferentialOperatorCategory is the category of differential operators with coefficients in a ring A with a given derivation. \\blankline Multiplication of operators corresponds to functional composition:\\spad{\\br} (\\spad{L1} * \\spad{L2}).(\\spad{f}) = \\spad{L1} \\spad{L2} \\spad{f}")) (|directSum| (($ $ $) "\\spad{directSum(a,{}b)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the sums of a solution of \\spad{a} by a solution of \\spad{b}.")) (|symmetricSquare| (($ $) "\\spad{symmetricSquare(a)} computes \\spad{symmetricProduct(a,{}a)} using a more efficient method.")) (|symmetricPower| (($ $ (|NonNegativeInteger|)) "\\spad{symmetricPower(a,{}n)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of \\spad{n} solutions of \\spad{a}.")) (|symmetricProduct| (($ $ $) "\\spad{symmetricProduct(a,{}b)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of a solution of \\spad{a} by a solution of \\spad{b}.")) (|adjoint| (($ $) "\\spad{adjoint(a)} returns the adjoint operator of a.")) (D (($) "\\spad{D()} provides the operator corresponding to a derivation in the ring \\spad{A}."))) 
-((-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-647 -1478 UP) 
+(-648 -1564 UP) 
 ((|constructor| (NIL "\\spadtype{LinearOrdinaryDifferentialOperatorFactorizer} provides a factorizer for linear ordinary differential operators whose coefficients are rational functions.")) (|factor1| (((|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) "\\spad{factor1(a)} returns the factorisation of a,{} assuming that a has no first-order right factor.")) (|factor| (((|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) "\\spad{factor(a)} returns the factorisation of a.") (((|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|)) "\\spad{factor(a,{} zeros)} returns the factorisation of a. \\spad{zeros} is a zero finder in \\spad{UP}."))) 
 NIL 
 ((|HasCategory| |#1| (QUOTE (-27)))) 
-(-648 A -1571) 
+(-649 A -4477) 
 ((|constructor| (NIL "\\spad{LinearOrdinaryDifferentialOperator} defines a ring of differential operators with coefficients in a ring A with a given derivation. Multiplication of operators corresponds to functional composition:\\spad{\\br} \\spad{(L1 * L2).(f) = L1 L2 f}"))) 
-((-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-365)))) 
-(-649 A L) 
+((-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-366)))) 
+(-650 A L) 
 ((|constructor| (NIL "\\spad{LinearOrdinaryDifferentialOperatorsOps} provides symmetric products and sums for linear ordinary differential operators.")) (|directSum| ((|#2| |#2| |#2| (|Mapping| |#1| |#1|)) "\\spad{directSum(a,{}b,{}D)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the sums of a solution of \\spad{a} by a solution of \\spad{b}. \\spad{D} is the derivation to use.")) (|symmetricPower| ((|#2| |#2| (|NonNegativeInteger|) (|Mapping| |#1| |#1|)) "\\spad{symmetricPower(a,{}n,{}D)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of \\spad{n} solutions of \\spad{a}. \\spad{D} is the derivation to use.")) (|symmetricProduct| ((|#2| |#2| |#2| (|Mapping| |#1| |#1|)) "\\spad{symmetricProduct(a,{}b,{}D)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of a solution of \\spad{a} by a solution of \\spad{b}. \\spad{D} is the derivation to use."))) 
 NIL 
 NIL 
-(-650 S) 
+(-651 S) 
 ((|constructor| (NIL "`Logic' provides the basic operations for lattices,{} \\spadignore{e.g.} boolean algebra.")) (|\\/| (($ $ $) "\\spadignore{ \\/ } returns the logical `join',{} \\spadignore{e.g.} `or'.")) (|/\\| (($ $ $) "\\spadignore { /\\ }returns the logical `meet',{} \\spadignore{e.g.} `and'.")) (~ (($ $) "\\spad{~(x)} returns the logical complement of \\spad{x}."))) 
 NIL 
 NIL 
-(-651) 
+(-652) 
 ((|constructor| (NIL "`Logic' provides the basic operations for lattices,{} \\spadignore{e.g.} boolean algebra.")) (|\\/| (($ $ $) "\\spadignore{ \\/ } returns the logical `join',{} \\spadignore{e.g.} `or'.")) (|/\\| (($ $ $) "\\spadignore { /\\ }returns the logical `meet',{} \\spadignore{e.g.} `and'.")) (~ (($ $) "\\spad{~(x)} returns the logical complement of \\spad{x}."))) 
 NIL 
 NIL 
-(-652 M R S) 
+(-653 M R S) 
 ((|constructor| (NIL "Localize(\\spad{M},{}\\spad{R},{}\\spad{S}) produces fractions with numerators from an \\spad{R} module \\spad{M} and denominators from some multiplicative subset \\spad{D} of \\spad{R}.")) (|denom| ((|#3| $) "\\spad{denom x} returns the denominator of \\spad{x}.")) (|numer| ((|#1| $) "\\spad{numer x} returns the numerator of \\spad{x}.")) (/ (($ |#1| |#3|) "\\spad{m / d} divides the element \\spad{m} by \\spad{d}.") (($ $ |#3|) "\\spad{x / d} divides the element \\spad{x} by \\spad{d}."))) 
-((-4516 . T) (-4515 . T)) 
-((|HasCategory| |#1| (QUOTE (-786)))) 
-(-653 K) 
+((-4530 . T) (-4529 . T)) 
+((|HasCategory| |#1| (QUOTE (-787)))) 
+(-654 K) 
 ((|constructor| (NIL "A package that exports several linear algebra operations over lines of matrices. Part of the PAFF package.")) (|reduceRowOnList| (((|List| (|List| |#1|)) (|List| |#1|) (|List| (|List| |#1|))) "\\spad{reduceRowOnList(v,{}lvec)} applies a row reduction on each of the element of \\spad{lv} using \\spad{v} according to a pivot in \\spad{v} which is set to be the first non nul element in \\spad{v}.")) (|reduceLineOverLine| (((|List| |#1|) (|List| |#1|) (|List| |#1|) |#1|) "\\spad{reduceLineOverLine(v1,{}v2,{}a)} returns \\spad{v1}-\\spad{a*v1} where \\indented{1}{\\spad{v1} and \\spad{v2} are considered as vector space.}")) (|quotVecSpaceBasis| (((|List| (|List| |#1|)) (|List| (|List| |#1|)) (|List| (|List| |#1|))) "\\spad{quotVecSpaceBasis(b1,{}b2)} returns a basis of \\spad{V1/V2} where \\spad{V1} and \\spad{V2} are vector space with basis \\spad{b1} and \\spad{b2} resp. and \\spad{V2} is suppose to be include in \\spad{V1}; Note that if it is not the case then it returs the basis of V1/W where \\spad{W} = intersection of \\spad{V1} and \\spad{V2}")) (|reduceRow| (((|List| (|List| |#1|)) (|List| (|List| |#1|))) "reduceRow: if the input is considered as a matrix,{} the output would be the row reduction matrix. It\\spad{'s} almost the rowEchelon form except that no permution of lines is performed."))) 
 NIL 
 NIL 
-(-654 K |symb| |PolyRing| E |ProjPt| PCS |Plc|) 
+(-655 K |symb| |PolyRing| E |ProjPt| PCS |Plc|) 
 ((|constructor| (NIL "The following is part of the PAFF package")) (|localize| (((|Record| (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (|List| (|Integer|)))) |#3| |#5| |#3| (|Integer|)) "\\spad{localize(f,{}pt,{}crv,{}n)} returns a record containing the polynomials \\spad{f} and \\spad{crv} translate to the origin with respect to \\spad{pt}. The last element of the records,{} consisting of three integers contains information about the local parameter that will be used (either \\spad{x} or \\spad{y}): the first integer correspond to the variable that will be used as a local parameter.")) (|pointDominateBy| ((|#5| |#7|) "\\spad{pointDominateBy(pl)} returns the projective point dominated by the place \\spad{pl}.")) (|localParamOfSimplePt| (((|List| |#6|) |#5| |#3| (|Integer|)) "\\spad{localParamOfSimplePt(pt,{}pol,{}n)} computes the local parametrization of the simple point \\spad{pt} on the curve defined by \\spad{pol}. This local parametrization is done according to the standard open affine plane set by \\spad{n}")) (|pointToPlace| ((|#7| |#5| |#3|) "\\spad{pointToPlace(pt,{}pol)} takes for input a simple point \\spad{pt} on the curve defined by \\spad{pol} and set the local parametrization of the point.")) (|printInfo| (((|Boolean|)) "returns the value of the \\spad{printInfo} flag.") (((|Boolean|) (|Boolean|)) "\\spad{printInfo(b)} set a flag such that when \\spad{true} (\\spad{b} \\spad{<-} \\spad{true}) prints some information during some critical computation."))) 
 NIL 
 NIL 
-(-655 R) 
+(-656 R) 
 ((|constructor| (NIL "Given a PolynomialFactorizationExplicit ring,{} this package provides a defaulting rule for the \\spad{solveLinearPolynomialEquation} operation,{} by moving into the field of fractions,{} and solving it there via the \\spad{multiEuclidean} operation.")) (|solveLinearPolynomialEquationByFractions| (((|Union| (|List| (|SparseUnivariatePolynomial| |#1|)) "failed") (|List| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|)) "\\spad{solveLinearPolynomialEquationByFractions([f1,{} ...,{} fn],{} g)} (where the \\spad{fi} are relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g/prod \\spad{fi} = sum ai/fi} or returns \"failed\" if no such exists."))) 
 NIL 
 NIL 
-(-656 |VarSet| R) 
+(-657 |VarSet| R) 
 ((|constructor| (NIL "This type supports Lie polynomials in Lyndon basis see Free Lie Algebras by \\spad{C}. Reutenauer (Oxford science publications).")) (|construct| (($ $ (|LyndonWord| |#1|)) "\\axiom{construct(\\spad{x},{}\\spad{y})} returns the Lie bracket \\axiom{[\\spad{x},{}\\spad{y}]}.") (($ (|LyndonWord| |#1|) $) "\\axiom{construct(\\spad{x},{}\\spad{y})} returns the Lie bracket \\axiom{[\\spad{x},{}\\spad{y}]}.") (($ (|LyndonWord| |#1|) (|LyndonWord| |#1|)) "\\axiom{construct(\\spad{x},{}\\spad{y})} returns the Lie bracket \\axiom{[\\spad{x},{}\\spad{y}]}.")) (|LiePolyIfCan| (((|Union| $ "failed") (|XDistributedPolynomial| |#1| |#2|)) "\\axiom{LiePolyIfCan(\\spad{p})} returns \\axiom{\\spad{p}} in Lyndon basis if \\axiom{\\spad{p}} is a Lie polynomial,{} otherwise \\axiom{\"failed\"} is returned."))) 
-((|JacobiIdentity| . T) (|NullSquare| . T) (-4516 . T) (-4515 . T)) 
-((|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-172)))) 
-(-657 A S) 
+((|JacobiIdentity| . T) (|NullSquare| . T) (-4530 . T) (-4529 . T)) 
+((|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-173)))) 
+(-658 A S) 
 ((|constructor| (NIL "A list aggregate is a model for a linked list data structure. A linked list is a versatile data structure. Insertion and deletion are efficient and searching is a linear operation.")) (|list| (($ |#2|) "\\spad{list(x)} returns the list of one element \\spad{x}."))) 
 NIL 
 NIL 
-(-658 S) 
+(-659 S) 
 ((|constructor| (NIL "A list aggregate is a model for a linked list data structure. A linked list is a versatile data structure. Insertion and deletion are efficient and searching is a linear operation.")) (|list| (($ |#1|) "\\spad{list(x)} returns the list of one element \\spad{x}."))) 
-((-4522 . T) (-4521 . T) (-3973 . T)) 
+((-4536 . T) (-4535 . T) (-2982 . T)) 
 NIL 
-(-659 -1478) 
+(-660 -1564) 
 ((|constructor| (NIL "This package solves linear system in the matrix form \\spad{AX = B}. It is essentially a particular instantiation of the package \\spadtype{LinearSystemMatrixPackage} for Matrix and Vector. This package\\spad{'s} existence makes it easier to use \\spadfun{solve} in the AXIOM interpreter.")) (|rank| (((|NonNegativeInteger|) (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{rank(A,{}B)} computes the rank of the complete matrix \\spad{(A|B)} of the linear system \\spad{AX = B}.")) (|hasSolution?| (((|Boolean|) (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{hasSolution?(A,{}B)} tests if the linear system \\spad{AX = B} has a solution.")) (|particularSolution| (((|Union| (|Vector| |#1|) "failed") (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{particularSolution(A,{}B)} finds a particular solution of the linear system \\spad{AX = B}.")) (|solve| (((|List| (|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|))))) (|List| (|List| |#1|)) (|List| (|Vector| |#1|))) "\\spad{solve(A,{}LB)} finds a particular soln of the systems \\spad{AX = B} and a basis of the associated homogeneous systems \\spad{AX = 0} where \\spad{B} varies in the list of column vectors \\spad{LB}.") (((|List| (|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|))))) (|Matrix| |#1|) (|List| (|Vector| |#1|))) "\\spad{solve(A,{}LB)} finds a particular soln of the systems \\spad{AX = B} and a basis of the associated homogeneous systems \\spad{AX = 0} where \\spad{B} varies in the list of column vectors \\spad{LB}.") (((|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|)))) (|List| (|List| |#1|)) (|Vector| |#1|)) "\\spad{solve(A,{}B)} finds a particular solution of the system \\spad{AX = B} and a basis of the associated homogeneous system \\spad{AX = 0}.") (((|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|)))) (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{solve(A,{}B)} finds a particular solution of the system \\spad{AX = B} and a basis of the associated homogeneous system \\spad{AX = 0}."))) 
 NIL 
 NIL 
-(-660 -1478 |Row| |Col| M) 
+(-661 -1564 |Row| |Col| M) 
 ((|constructor| (NIL "This package solves linear system in the matrix form \\spad{AX = B}.")) (|rank| (((|NonNegativeInteger|) |#4| |#3|) "\\spad{rank(A,{}B)} computes the rank of the complete matrix \\spad{(A|B)} of the linear system \\spad{AX = B}.")) (|hasSolution?| (((|Boolean|) |#4| |#3|) "\\spad{hasSolution?(A,{}B)} tests if the linear system \\spad{AX = B} has a solution.")) (|particularSolution| (((|Union| |#3| "failed") |#4| |#3|) "\\spad{particularSolution(A,{}B)} finds a particular solution of the linear system \\spad{AX = B}.")) (|solve| (((|List| (|Record| (|:| |particular| (|Union| |#3| "failed")) (|:| |basis| (|List| |#3|)))) |#4| (|List| |#3|)) "\\spad{solve(A,{}LB)} finds a particular soln of the systems \\spad{AX = B} and a basis of the associated homogeneous systems \\spad{AX = 0} where \\spad{B} varies in the list of column vectors \\spad{LB}.") (((|Record| (|:| |particular| (|Union| |#3| "failed")) (|:| |basis| (|List| |#3|))) |#4| |#3|) "\\spad{solve(A,{}B)} finds a particular solution of the system \\spad{AX = B} and a basis of the associated homogeneous system \\spad{AX = 0}."))) 
 NIL 
 NIL 
-(-661 R E OV P) 
+(-662 R E OV P) 
 ((|constructor| (NIL "This package finds the solutions of linear systems presented as a list of polynomials.")) (|linSolve| (((|Record| (|:| |particular| (|Union| (|Vector| (|Fraction| |#4|)) "failed")) (|:| |basis| (|List| (|Vector| (|Fraction| |#4|))))) (|List| |#4|) (|List| |#3|)) "\\spad{linSolve(lp,{}lvar)} finds the solutions of the linear system of polynomials \\spad{lp} = 0 with respect to the list of symbols \\spad{lvar}."))) 
 NIL 
 NIL 
-(-662 |n| R) 
+(-663 |n| R) 
 ((|constructor| (NIL "LieSquareMatrix(\\spad{n},{}\\spad{R}) implements the Lie algebra of the \\spad{n} by \\spad{n} matrices over the commutative ring \\spad{R}. The Lie bracket (commutator) of the algebra is given by\\spad{\\br} \\spad{a*b := (a *\\$SQMATRIX(n,{}R) b - b *\\$SQMATRIX(n,{}R) a)},{}\\spad{\\br} where \\spadfun{*\\$SQMATRIX(\\spad{n},{}\\spad{R})} is the usual matrix multiplication."))) 
-((-4518 . T) (-4521 . T) (-4515 . T) (-4516 . T)) 
-((|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-225))) (|HasAttribute| |#2| (QUOTE (-4523 "*"))) (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-301))) (|HasCategory| |#2| (QUOTE (-1090))) (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-558))) (-2199 (|HasAttribute| |#2| (QUOTE (-4523 "*"))) (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-225)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-225)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1090))))) (|HasCategory| |#2| (QUOTE (-172)))) 
-(-663 |VarSet|) 
+((-4532 . T) (-4535 . T) (-4529 . T) (-4530 . T)) 
+((|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-226))) (|HasAttribute| |#2| (QUOTE (-4537 "*"))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (QUOTE (-1091))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-559))) (-2232 (|HasAttribute| |#2| (QUOTE (-4537 "*"))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091))))) (|HasCategory| |#2| (QUOTE (-173)))) 
+(-664 |VarSet|) 
 ((|constructor| (NIL "Lyndon words over arbitrary (ordered) symbols: see Free Lie Algebras by \\spad{C}. Reutenauer (Oxford science publications). A Lyndon word is a word which is smaller than any of its right factors \\spad{w}.\\spad{r}.\\spad{t}. the pure lexicographical ordering. If \\axiom{a} and \\axiom{\\spad{b}} are two Lyndon words such that \\axiom{a < \\spad{b}} holds \\spad{w}.\\spad{r}.\\spad{t} lexicographical ordering then \\axiom{a*b} is a Lyndon word. Parenthesized Lyndon words can be generated from symbols by using the following rule:\\spad{\\br} \\axiom{[[a,{}\\spad{b}],{}\\spad{c}]} is a Lyndon word iff \\axiom{a*b < \\spad{c} \\spad{<=} \\spad{b}} holds.\\spad{\\br} Lyndon words are internally represented by binary trees using the \\spadtype{Magma} domain constructor. Two ordering are provided: lexicographic and length-lexicographic.")) (|LyndonWordsList| (((|List| $) (|List| |#1|) (|PositiveInteger|)) "\\axiom{LyndonWordsList(\\spad{vl},{} \\spad{n})} returns the list of Lyndon words over the alphabet \\axiom{\\spad{vl}},{} up to order \\axiom{\\spad{n}}.")) (|LyndonWordsList1| (((|OneDimensionalArray| (|List| $)) (|List| |#1|) (|PositiveInteger|)) "\\axiom{\\spad{LyndonWordsList1}(\\spad{vl},{} \\spad{n})} returns an array of lists of Lyndon words over the alphabet \\axiom{\\spad{vl}},{} up to order \\axiom{\\spad{n}}.")) (|varList| (((|List| |#1|) $) "\\axiom{varList(\\spad{x})} returns the list of distinct entries of \\axiom{\\spad{x}}.")) (|lyndonIfCan| (((|Union| $ "failed") (|OrderedFreeMonoid| |#1|)) "\\axiom{lyndonIfCan(\\spad{w})} convert \\axiom{\\spad{w}} into a Lyndon word.")) (|lyndon| (($ (|OrderedFreeMonoid| |#1|)) "\\axiom{lyndon(\\spad{w})} convert \\axiom{\\spad{w}} into a Lyndon word,{} error if \\axiom{\\spad{w}} is not a Lyndon word.")) (|lyndon?| (((|Boolean|) (|OrderedFreeMonoid| |#1|)) "\\axiom{lyndon?(\\spad{w})} test if \\axiom{\\spad{w}} is a Lyndon word.")) (|factor| (((|List| $) (|OrderedFreeMonoid| |#1|)) "\\axiom{factor(\\spad{x})} returns the decreasing factorization into Lyndon words.")) (|coerce| (((|Magma| |#1|) $) "\\axiom{coerce(\\spad{x})} returns the element of \\axiomType{Magma}(VarSet) corresponding to \\axiom{\\spad{x}}.") (((|OrderedFreeMonoid| |#1|) $) "\\axiom{coerce(\\spad{x})} returns the element of \\axiomType{OrderedFreeMonoid}(VarSet) corresponding to \\axiom{\\spad{x}}.")) (|lexico| (((|Boolean|) $ $) "\\axiom{lexico(\\spad{x},{}\\spad{y})} returns \\axiom{\\spad{true}} iff \\axiom{\\spad{x}} is smaller than \\axiom{\\spad{y}} \\spad{w}.\\spad{r}.\\spad{t}. the lexicographical ordering induced by \\axiom{VarSet}.")) (|length| (((|PositiveInteger|) $) "\\axiom{length(\\spad{x})} returns the number of entries in \\axiom{\\spad{x}}.")) (|right| (($ $) "\\axiom{right(\\spad{x})} returns right subtree of \\axiom{\\spad{x}} or error if retractable?(\\spad{x}) is \\spad{true}.")) (|left| (($ $) "\\axiom{left(\\spad{x})} returns left subtree of \\axiom{\\spad{x}} or error if retractable?(\\spad{x}) is \\spad{true}.")) (|retractable?| (((|Boolean|) $) "\\axiom{retractable?(\\spad{x})} tests if \\axiom{\\spad{x}} is a tree with only one entry."))) 
 NIL 
 NIL 
-(-664 A S) 
+(-665 A S) 
 ((|constructor| (NIL "LazyStreamAggregate is the category of streams with lazy evaluation. It is understood that the function 'empty?' will cause lazy evaluation if necessary to determine if there are entries. Functions which call 'empty?',{} \\spadignore{e.g.} 'first' and 'rest',{} will also cause lazy evaluation if necessary.")) (|complete| (($ $) "\\indented{1}{complete(st) causes all entries of 'st' to be computed.} \\indented{1}{this function should only be called on streams which are} \\indented{1}{known to be finite.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 1..] \\spad{X} n:=filterUntil(i+-\\spad{>i>100},{}\\spad{m}) \\spad{X} numberOfComputedEntries \\spad{n} \\spad{X} complete \\spad{n} \\spad{X} numberOfComputedEntries \\spad{n}")) (|extend| (($ $ (|Integer|)) "\\indented{1}{extend(st,{}\\spad{n}) causes entries to be computed,{} if necessary,{}} \\indented{1}{so that 'st' will have at least \\spad{'n'} explicit entries or so} \\indented{1}{that all entries of 'st' will be computed if 'st' is finite} \\indented{1}{with length \\spad{<=} \\spad{n}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} numberOfComputedEntries \\spad{m} \\spad{X} extend(\\spad{m},{}20) \\spad{X} numberOfComputedEntries \\spad{m}")) (|numberOfComputedEntries| (((|NonNegativeInteger|) $) "\\indented{1}{numberOfComputedEntries(st) returns the number of explicitly} \\indented{1}{computed entries of stream st which exist immediately prior to the} \\indented{1}{time this function is called.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} numberOfComputedEntries \\spad{m}")) (|rst| (($ $) "\\indented{1}{\\spad{rst}(\\spad{s}) returns a pointer to the next node of stream \\spad{s}.} \\indented{1}{Caution: this function should only be called after a \\spad{empty?}} \\indented{1}{test has been made since there no error check.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} \\spad{rst} \\spad{m}")) (|frst| ((|#2| $) "\\indented{1}{frst(\\spad{s}) returns the first element of stream \\spad{s}.} \\indented{1}{Caution: this function should only be called after a \\spad{empty?}} \\indented{1}{test has been made since there no error check.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} frst \\spad{m}")) (|lazyEvaluate| (($ $) "\\spad{lazyEvaluate(s)} causes one lazy evaluation of stream \\spad{s}. Caution: the first node must be a lazy evaluation mechanism (satisfies \\spad{lazy?(s) = true}) as there is no error check. Note that a call to this function may or may not produce an explicit first entry")) (|lazy?| (((|Boolean|) $) "\\indented{1}{lazy?(\\spad{s}) returns \\spad{true} if the first node of the stream \\spad{s}} \\indented{1}{is a lazy evaluation mechanism which could produce an} \\indented{1}{additional entry to \\spad{s}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} lazy? \\spad{m}")) (|explicitlyEmpty?| (((|Boolean|) $) "\\indented{1}{explicitlyEmpty?(\\spad{s}) returns \\spad{true} if the stream is an} \\indented{1}{(explicitly) empty stream.} \\indented{1}{Note that this is a null test which will not cause lazy evaluation.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} explicitlyEmpty? \\spad{m}")) (|explicitEntries?| (((|Boolean|) $) "\\indented{1}{explicitEntries?(\\spad{s}) returns \\spad{true} if the stream \\spad{s} has} \\indented{1}{explicitly computed entries,{} and \\spad{false} otherwise.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} explicitEntries? \\spad{m}")) (|select| (($ (|Mapping| (|Boolean|) |#2|) $) "\\indented{1}{select(\\spad{f},{}st) returns a stream consisting of those elements of stream} \\indented{1}{st satisfying the predicate \\spad{f}.} \\indented{1}{Note that \\spad{select(f,{}st) = [x for x in st | f(x)]}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} select(\\spad{x+}->prime? \\spad{x},{}\\spad{m})")) (|remove| (($ (|Mapping| (|Boolean|) |#2|) $) "\\indented{1}{remove(\\spad{f},{}st) returns a stream consisting of those elements of stream} \\indented{1}{st which do not satisfy the predicate \\spad{f}.} \\indented{1}{Note that \\spad{remove(f,{}st) = [x for x in st | not f(x)]}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 1..] \\spad{X} \\spad{f}(i:PositiveInteger):Boolean \\spad{==} even? \\spad{i} \\spad{X} remove(\\spad{f},{}\\spad{m})"))) 
 NIL 
 NIL 
-(-665 S) 
+(-666 S) 
 ((|constructor| (NIL "LazyStreamAggregate is the category of streams with lazy evaluation. It is understood that the function 'empty?' will cause lazy evaluation if necessary to determine if there are entries. Functions which call 'empty?',{} \\spadignore{e.g.} 'first' and 'rest',{} will also cause lazy evaluation if necessary.")) (|complete| (($ $) "\\indented{1}{complete(st) causes all entries of 'st' to be computed.} \\indented{1}{this function should only be called on streams which are} \\indented{1}{known to be finite.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 1..] \\spad{X} n:=filterUntil(i+-\\spad{>i>100},{}\\spad{m}) \\spad{X} numberOfComputedEntries \\spad{n} \\spad{X} complete \\spad{n} \\spad{X} numberOfComputedEntries \\spad{n}")) (|extend| (($ $ (|Integer|)) "\\indented{1}{extend(st,{}\\spad{n}) causes entries to be computed,{} if necessary,{}} \\indented{1}{so that 'st' will have at least \\spad{'n'} explicit entries or so} \\indented{1}{that all entries of 'st' will be computed if 'st' is finite} \\indented{1}{with length \\spad{<=} \\spad{n}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} numberOfComputedEntries \\spad{m} \\spad{X} extend(\\spad{m},{}20) \\spad{X} numberOfComputedEntries \\spad{m}")) (|numberOfComputedEntries| (((|NonNegativeInteger|) $) "\\indented{1}{numberOfComputedEntries(st) returns the number of explicitly} \\indented{1}{computed entries of stream st which exist immediately prior to the} \\indented{1}{time this function is called.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} numberOfComputedEntries \\spad{m}")) (|rst| (($ $) "\\indented{1}{\\spad{rst}(\\spad{s}) returns a pointer to the next node of stream \\spad{s}.} \\indented{1}{Caution: this function should only be called after a \\spad{empty?}} \\indented{1}{test has been made since there no error check.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} \\spad{rst} \\spad{m}")) (|frst| ((|#1| $) "\\indented{1}{frst(\\spad{s}) returns the first element of stream \\spad{s}.} \\indented{1}{Caution: this function should only be called after a \\spad{empty?}} \\indented{1}{test has been made since there no error check.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} frst \\spad{m}")) (|lazyEvaluate| (($ $) "\\spad{lazyEvaluate(s)} causes one lazy evaluation of stream \\spad{s}. Caution: the first node must be a lazy evaluation mechanism (satisfies \\spad{lazy?(s) = true}) as there is no error check. Note that a call to this function may or may not produce an explicit first entry")) (|lazy?| (((|Boolean|) $) "\\indented{1}{lazy?(\\spad{s}) returns \\spad{true} if the first node of the stream \\spad{s}} \\indented{1}{is a lazy evaluation mechanism which could produce an} \\indented{1}{additional entry to \\spad{s}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} lazy? \\spad{m}")) (|explicitlyEmpty?| (((|Boolean|) $) "\\indented{1}{explicitlyEmpty?(\\spad{s}) returns \\spad{true} if the stream is an} \\indented{1}{(explicitly) empty stream.} \\indented{1}{Note that this is a null test which will not cause lazy evaluation.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} explicitlyEmpty? \\spad{m}")) (|explicitEntries?| (((|Boolean|) $) "\\indented{1}{explicitEntries?(\\spad{s}) returns \\spad{true} if the stream \\spad{s} has} \\indented{1}{explicitly computed entries,{} and \\spad{false} otherwise.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} explicitEntries? \\spad{m}")) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) "\\indented{1}{select(\\spad{f},{}st) returns a stream consisting of those elements of stream} \\indented{1}{st satisfying the predicate \\spad{f}.} \\indented{1}{Note that \\spad{select(f,{}st) = [x for x in st | f(x)]}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} select(\\spad{x+}->prime? \\spad{x},{}\\spad{m})")) (|remove| (($ (|Mapping| (|Boolean|) |#1|) $) "\\indented{1}{remove(\\spad{f},{}st) returns a stream consisting of those elements of stream} \\indented{1}{st which do not satisfy the predicate \\spad{f}.} \\indented{1}{Note that \\spad{remove(f,{}st) = [x for x in st | not f(x)]}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 1..] \\spad{X} \\spad{f}(i:PositiveInteger):Boolean \\spad{==} even? \\spad{i} \\spad{X} remove(\\spad{f},{}\\spad{m})"))) 
-((-3973 . T)) 
+((-2982 . T)) 
 NIL 
-(-666 R) 
+(-667 R) 
 ((|constructor| (NIL "This domain represents three dimensional matrices over a general object type")) (|matrixDimensions| (((|Vector| (|NonNegativeInteger|)) $) "\\spad{matrixDimensions(x)} returns the dimensions of a matrix")) (|matrixConcat3D| (($ (|Symbol|) $ $) "\\spad{matrixConcat3D(s,{}x,{}y)} concatenates two 3-\\spad{D} matrices along a specified axis")) (|coerce| (((|PrimitiveArray| (|PrimitiveArray| (|PrimitiveArray| |#1|))) $) "\\spad{coerce(x)} moves from the domain to the representation type") (($ (|PrimitiveArray| (|PrimitiveArray| (|PrimitiveArray| |#1|)))) "\\spad{coerce(p)} moves from the representation type (PrimitiveArray PrimitiveArray PrimitiveArray \\spad{R}) to the domain")) (|setelt!| ((|#1| $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|) "\\spad{setelt!(x,{}i,{}j,{}k,{}s)} (or \\spad{x}.\\spad{i}.\\spad{j}.k:=s) sets a specific element of the array to some value of type \\spad{R}")) (|elt| ((|#1| $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{elt(x,{}i,{}j,{}k)} extract an element from the matrix \\spad{x}")) (|construct| (($ (|List| (|List| (|List| |#1|)))) "\\spad{construct(lll)} creates a 3-\\spad{D} matrix from a List List List \\spad{R} \\spad{lll}")) (|plus| (($ $ $) "\\spad{plus(x,{}y)} adds two matrices,{} term by term we note that they must be the same size")) (|identityMatrix| (($ (|NonNegativeInteger|)) "\\spad{identityMatrix(n)} create an identity matrix we note that this must be square")) (|zeroMatrix| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{zeroMatrix(i,{}j,{}k)} create a matrix with all zero terms"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-1090))) (|HasCategory| |#1| (QUOTE (-1047))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1047)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))))) 
-(-667 |VarSet|) 
+((|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (QUOTE (-1048))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1048)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
+(-668 |VarSet|) 
 ((|constructor| (NIL "This type is the basic representation of parenthesized words (binary trees over arbitrary symbols) useful in \\spadtype{LiePolynomial}.")) (|varList| (((|List| |#1|) $) "\\axiom{varList(\\spad{x})} returns the list of distinct entries of \\axiom{\\spad{x}}.")) (|right| (($ $) "\\axiom{right(\\spad{x})} returns right subtree of \\axiom{\\spad{x}} or error if retractable?(\\spad{x}) is \\spad{true}.")) (|retractable?| (((|Boolean|) $) "\\axiom{retractable?(\\spad{x})} tests if \\axiom{\\spad{x}} is a tree with only one entry.")) (|rest| (($ $) "\\axiom{rest(\\spad{x})} return \\axiom{\\spad{x}} without the first entry or error if retractable?(\\spad{x}) is \\spad{true}.")) (|mirror| (($ $) "\\axiom{mirror(\\spad{x})} returns the reversed word of \\axiom{\\spad{x}}. That is \\axiom{\\spad{x}} itself if retractable?(\\spad{x}) is \\spad{true} and \\axiom{mirror(\\spad{z}) * mirror(\\spad{y})} if \\axiom{\\spad{x}} is \\axiom{\\spad{y*z}}.")) (|lexico| (((|Boolean|) $ $) "\\axiom{lexico(\\spad{x},{}\\spad{y})} returns \\axiom{\\spad{true}} iff \\axiom{\\spad{x}} is smaller than \\axiom{\\spad{y}} \\spad{w}.\\spad{r}.\\spad{t}. the lexicographical ordering induced by \\axiom{VarSet}. \\spad{N}.\\spad{B}. This operation does not take into account the tree structure of its arguments. Thus this is not a total ordering.")) (|length| (((|PositiveInteger|) $) "\\axiom{length(\\spad{x})} returns the number of entries in \\axiom{\\spad{x}}.")) (|left| (($ $) "\\axiom{left(\\spad{x})} returns left subtree of \\axiom{\\spad{x}} or error if retractable?(\\spad{x}) is \\spad{true}.")) (|first| ((|#1| $) "\\axiom{first(\\spad{x})} returns the first entry of the tree \\axiom{\\spad{x}}.")) (|coerce| (((|OrderedFreeMonoid| |#1|) $) "\\indented{1}{\\axiom{coerce(\\spad{x})} returns the element of} \\axiomType{OrderedFreeMonoid}(VarSet) \\indented{1}{corresponding to \\axiom{\\spad{x}} by removing parentheses.}")) (* (($ $ $) "\\axiom{x*y} returns the tree \\axiom{[\\spad{x},{}\\spad{y}]}."))) 
 NIL 
 NIL 
-(-668 A) 
+(-669 A) 
 ((|constructor| (NIL "Various Currying operations.")) (|recur| ((|#1| (|Mapping| |#1| (|NonNegativeInteger|) |#1|) (|NonNegativeInteger|) |#1|) "\\spad{recur(n,{}g,{}x)} is \\spad{g(n,{}g(n-1,{}..g(1,{}x)..))}.")) (|iter| ((|#1| (|Mapping| |#1| |#1|) (|NonNegativeInteger|) |#1|) "\\spad{iter(f,{}n,{}x)} applies \\spad{f n} times to \\spad{x}."))) 
 NIL 
 NIL 
-(-669 A C) 
+(-670 A C) 
 ((|constructor| (NIL "Various Currying operations.")) (|arg2| ((|#2| |#1| |#2|) "\\spad{arg2(a,{}c)} selects its second argument.")) (|arg1| ((|#1| |#1| |#2|) "\\spad{arg1(a,{}c)} selects its first argument."))) 
 NIL 
 NIL 
-(-670 A B C) 
+(-671 A B C) 
 ((|constructor| (NIL "Various Currying operations.")) (|comp| ((|#3| (|Mapping| |#3| |#2|) (|Mapping| |#2| |#1|) |#1|) "\\spad{comp(f,{}g,{}x)} is \\spad{f(g x)}."))) 
 NIL 
 NIL 
-(-671 A) 
+(-672 A) 
 ((|constructor| (NIL "Various Currying operations.")) (|recur| (((|Mapping| |#1| (|NonNegativeInteger|) |#1|) (|Mapping| |#1| (|NonNegativeInteger|) |#1|)) "\\spad{recur(g)} is the function \\spad{h} such that \\indented{1}{\\spad{h(n,{}x)= g(n,{}g(n-1,{}..g(1,{}x)..))}.}")) (** (((|Mapping| |#1| |#1|) (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) "\\spad{f**n} is the function which is the \\spad{n}-fold application \\indented{1}{of \\spad{f}.}")) (|id| ((|#1| |#1|) "\\spad{id x} is \\spad{x}.")) (|fixedPoint| (((|List| |#1|) (|Mapping| (|List| |#1|) (|List| |#1|)) (|Integer|)) "\\spad{fixedPoint(f,{}n)} is the fixed point of function \\indented{1}{\\spad{f} which is assumed to transform a list of length} \\indented{1}{\\spad{n}.}") ((|#1| (|Mapping| |#1| |#1|)) "\\spad{fixedPoint f} is the fixed point of function \\spad{f}. \\indented{1}{\\spadignore{i.e.} such that \\spad{fixedPoint f = f(fixedPoint f)}.}")) (|coerce| (((|Mapping| |#1|) |#1|) "\\spad{coerce A} changes its argument into a \\indented{1}{nullary function.}")) (|nullary| (((|Mapping| |#1|) |#1|) "\\spad{nullary A} changes its argument into a \\indented{1}{nullary function.}"))) 
 NIL 
 NIL 
-(-672 A C) 
+(-673 A C) 
 ((|constructor| (NIL "Various Currying operations.")) (|diag| (((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1| |#1|)) "\\spad{diag(f)} is the function \\spad{g} \\indented{1}{such that \\spad{g a = f(a,{}a)}.}")) (|constant| (((|Mapping| |#2| |#1|) (|Mapping| |#2|)) "\\spad{vu(f)} is the function \\spad{g} \\indented{1}{such that \\spad{g a= f ()}.}")) (|curry| (((|Mapping| |#2|) (|Mapping| |#2| |#1|) |#1|) "\\spad{cu(f,{}a)} is the function \\spad{g} \\indented{1}{such that \\spad{g ()= f a}.}")) (|const| (((|Mapping| |#2| |#1|) |#2|) "\\spad{const c} is a function which produces \\spad{c} when \\indented{1}{applied to its argument.}"))) 
 NIL 
 NIL 
-(-673 A B C) 
+(-674 A B C) 
 ((|constructor| (NIL "Various Currying operations.")) (* (((|Mapping| |#3| |#1|) (|Mapping| |#3| |#2|) (|Mapping| |#2| |#1|)) "\\spad{f*g} is the function \\spad{h} \\indented{1}{such that \\spad{h x= f(g x)}.}")) (|twist| (((|Mapping| |#3| |#2| |#1|) (|Mapping| |#3| |#1| |#2|)) "\\spad{twist(f)} is the function \\spad{g} \\indented{1}{such that \\spad{g (a,{}b)= f(b,{}a)}.}")) (|constantLeft| (((|Mapping| |#3| |#1| |#2|) (|Mapping| |#3| |#2|)) "\\spad{constantLeft(f)} is the function \\spad{g} \\indented{1}{such that \\spad{g (a,{}b)= f b}.}")) (|constantRight| (((|Mapping| |#3| |#1| |#2|) (|Mapping| |#3| |#1|)) "\\spad{constantRight(f)} is the function \\spad{g} \\indented{1}{such that \\spad{g (a,{}b)= f a}.}")) (|curryLeft| (((|Mapping| |#3| |#2|) (|Mapping| |#3| |#1| |#2|) |#1|) "\\spad{curryLeft(f,{}a)} is the function \\spad{g} \\indented{1}{such that \\spad{g b = f(a,{}b)}.}")) (|curryRight| (((|Mapping| |#3| |#1|) (|Mapping| |#3| |#1| |#2|) |#2|) "\\spad{curryRight(f,{}b)} is the function \\spad{g} such that \\indented{1}{\\spad{g a = f(a,{}b)}.}"))) 
 NIL 
 NIL 
-(-674 A B) 
+(-675 A B) 
 ((|constructor| (NIL "Functional Composition. Given functions \\spad{f} and \\spad{g},{} returns the applicable closure")) (/ (((|Mapping| (|Expression| (|Integer|)) |#1|) (|Mapping| (|Expression| (|Integer|)) |#1|) (|Mapping| (|Expression| (|Integer|)) |#1|)) "\\indented{1}\\spad{(+) does functional addition} \\blankline \\spad{X} \\spad{p:=}(x:EXPR(INT)):EXPR(INT)+->3*x \\spad{X} \\spad{q:=}(x:EXPR(INT)):EXPR(INT)+-\\spad{>2*x+3} \\spad{X} (\\spad{p/q})(4) \\spad{X} (\\spad{p/q})(\\spad{x})")) (* (((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|)) "\\indented{1}\\spad{(+) does functional addition} \\blankline \\spad{X} \\spad{f:=}(x:INT):INT +-> 3*x \\spad{X} \\spad{g:=}(x:INT):INT +-> 2*x+3 \\spad{X} (\\spad{f*g})(4)")) (- (((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|)) "\\indented{1}\\spad{(+) does functional addition} \\blankline \\spad{X} \\spad{f:=}(x:INT):INT +-> 3*x \\spad{X} \\spad{g:=}(x:INT):INT +-> 2*x+3 \\spad{X} (\\spad{f}-\\spad{g})(4)")) (+ (((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|)) "\\indented{1}\\spad{(+) does functional addition} \\blankline \\spad{X} \\spad{f:=}(x:INT):INT +-> 3*x \\spad{X} \\spad{g:=}(x:INT):INT +-> 2*x+3 \\spad{X} (\\spad{f+g})(4)"))) 
 NIL 
 NIL 
-(-675 R1 |Row1| |Col1| M1 R2 |Row2| |Col2| M2) 
+(-676 R1 |Row1| |Col1| M1 R2 |Row2| |Col2| M2) 
 ((|constructor| (NIL "\\spadtype{MatrixCategoryFunctions2} provides functions between two matrix domains. The functions provided are \\spadfun{map} and \\spadfun{reduce}.")) (|reduce| ((|#5| (|Mapping| |#5| |#1| |#5|) |#4| |#5|) "\\spad{reduce(f,{}m,{}r)} returns a matrix \\spad{n} where \\spad{n[i,{}j] = f(m[i,{}j],{}r)} for all indices \\spad{i} and \\spad{j}.")) (|map| (((|Union| |#8| "failed") (|Mapping| (|Union| |#5| "failed") |#1|) |#4|) "\\spad{map(f,{}m)} applies the function \\spad{f} to the elements of the matrix \\spad{m}.") ((|#8| (|Mapping| |#5| |#1|) |#4|) "\\spad{map(f,{}m)} applies the function \\spad{f} to the elements of the matrix \\spad{m}."))) 
 NIL 
 NIL 
-(-676 S R |Row| |Col|) 
+(-677 S R |Row| |Col|) 
 ((|constructor| (NIL "\\spadtype{MatrixCategory} is a general matrix category which allows different representations and indexing schemes. Rows and columns may be extracted with rows returned as objects of type Row and colums returned as objects of type Col. A domain belonging to this category will be shallowly mutable. The index of the 'first' row may be obtained by calling the function \\spadfun{minRowIndex}. The index of the 'first' column may be obtained by calling the function \\spadfun{minColIndex}. The index of the first element of a Row is the same as the index of the first column in a matrix and vice versa.")) (|inverse| (((|Union| $ "failed") $) "\\indented{1}{\\spad{inverse(m)} returns the inverse of the matrix \\spad{m}.} \\indented{1}{If the matrix is not invertible,{} \"failed\" is returned.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} inverse matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|pfaffian| ((|#2| $) "\\indented{1}{\\spad{pfaffian(m)} returns the Pfaffian of the matrix \\spad{m}.} \\indented{1}{Error if the matrix is not antisymmetric} \\blankline \\spad{X} pfaffian [[0,{}1,{}0,{}0],{}[\\spad{-1},{}0,{}0,{}0],{}[0,{}0,{}0,{}1],{}[0,{}0,{}\\spad{-1},{}0]]")) (|minordet| ((|#2| $) "\\indented{1}{\\spad{minordet(m)} computes the determinant of the matrix \\spad{m} using} \\indented{1}{minors. Error: if the matrix is not square.} \\blankline \\spad{X} minordet matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|determinant| ((|#2| $) "\\indented{1}{\\spad{determinant(m)} returns the determinant of the matrix \\spad{m}.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} determinant matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|nullSpace| (((|List| |#4|) $) "\\indented{1}{\\spad{nullSpace(m)} returns a basis for the null space of} \\indented{1}{the matrix \\spad{m}.} \\blankline \\spad{X} nullSpace matrix [[1,{}2,{}3],{}[4,{}5,{}6],{}[7,{}8,{}9]]")) (|nullity| (((|NonNegativeInteger|) $) "\\indented{1}{\\spad{nullity(m)} returns the nullity of the matrix \\spad{m}. This is} \\indented{1}{the dimension of the null space of the matrix \\spad{m}.} \\blankline \\spad{X} nullity matrix [[1,{}2,{}3],{}[4,{}5,{}6],{}[7,{}8,{}9]]")) (|rank| (((|NonNegativeInteger|) $) "\\indented{1}{\\spad{rank(m)} returns the rank of the matrix \\spad{m}.} \\blankline \\spad{X} rank matrix [[1,{}2,{}3],{}[4,{}5,{}6],{}[7,{}8,{}9]]")) (|columnSpace| (((|List| |#4|) $) "\\indented{1}{\\spad{columnSpace(m)} returns a sublist of columns of the matrix \\spad{m}} \\indented{1}{forming a basis of its column space} \\blankline \\spad{X} columnSpace matrix [[1,{}2,{}3],{}[4,{}5,{}6],{}[7,{}8,{}9],{}[1,{}1,{}1]]")) (|rowEchelon| (($ $) "\\indented{1}{\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m}.} \\blankline \\spad{X} rowEchelon matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (/ (($ $ |#2|) "\\indented{1}{\\spad{m/r} divides the elements of \\spad{m} by \\spad{r}. Error: if \\spad{r = 0}.} \\blankline \\spad{X} m:=matrix [[2**i for \\spad{i} in 2..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m/4}")) (|exquo| (((|Union| $ "failed") $ |#2|) "\\indented{1}{\\spad{exquo(m,{}r)} computes the exact quotient of the elements} \\indented{1}{of \\spad{m} by \\spad{r},{} returning \\axiom{\"failed\"} if this is not possible.} \\blankline \\spad{X} m:=matrix [[2**i for \\spad{i} in 2..4] for \\spad{j} in 1..5] \\spad{X} exquo(\\spad{m},{}2)")) (** (($ $ (|Integer|)) "\\indented{1}{\\spad{m**n} computes an integral power of the matrix \\spad{m}.} \\indented{1}{Error: if matrix is not square or if the matrix} \\indented{1}{is square but not invertible.} \\blankline \\spad{X} (matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]) \\spad{**} 2") (($ $ (|NonNegativeInteger|)) "\\indented{1}{\\spad{x ** n} computes a non-negative integral power of the matrix \\spad{x}.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m**3}")) (* ((|#3| |#3| $) "\\indented{1}{\\spad{r * x} is the product of the row vector \\spad{r} and the matrix \\spad{x}.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} r:=transpose([1,{}2,{}3,{}4,{}5])@Matrix(INT) \\spad{X} \\spad{r*m}") ((|#4| $ |#4|) "\\indented{1}{\\spad{x * c} is the product of the matrix \\spad{x} and the column vector \\spad{c}.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} c:=coerce([1,{}2,{}3,{}4,{}5])@Matrix(INT) \\spad{X} \\spad{m*c}") (($ (|Integer|) $) "\\indented{1}{\\spad{n * x} is an integer multiple.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} 3*m") (($ $ |#2|) "\\indented{1}{\\spad{x * r} is the right scalar multiple of the scalar \\spad{r} and the} \\indented{1}{matrix \\spad{x}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m*1/3}") (($ |#2| $) "\\indented{1}{\\spad{r*x} is the left scalar multiple of the scalar \\spad{r} and the} \\indented{1}{matrix \\spad{x}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} 1/3*m") (($ $ $) "\\indented{1}{\\spad{x * y} is the product of the matrices \\spad{x} and \\spad{y}.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m*m}")) (- (($ $) "\\indented{1}{\\spad{-x} returns the negative of the matrix \\spad{x}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{-m}") (($ $ $) "\\indented{1}{\\spad{x - y} is the difference of the matrices \\spad{x} and \\spad{y}.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m}-\\spad{m}")) (+ (($ $ $) "\\indented{1}{\\spad{x + y} is the sum of the matrices \\spad{x} and \\spad{y}.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m+m}")) (|setsubMatrix!| (($ $ (|Integer|) (|Integer|) $) "\\indented{1}{\\spad{setsubMatrix(x,{}i1,{}j1,{}y)} destructively alters the} \\indented{1}{matrix \\spad{x}. Here \\spad{x(i,{}j)} is set to \\spad{y(i-i1+1,{}j-j1+1)} for} \\indented{1}{\\spad{i = i1,{}...,{}i1-1+nrows y} and \\spad{j = j1,{}...,{}j1-1+ncols y}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} setsubMatrix!(\\spad{m},{}2,{}2,{}matrix [[3,{}3],{}[3,{}3]])")) (|subMatrix| (($ $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\indented{1}{\\spad{subMatrix(x,{}i1,{}i2,{}j1,{}j2)} extracts the submatrix} \\indented{1}{\\spad{[x(i,{}j)]} where the index \\spad{i} ranges from \\spad{i1} to \\spad{i2}} \\indented{1}{and the index \\spad{j} ranges from \\spad{j1} to \\spad{j2}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} subMatrix(\\spad{m},{}1,{}3,{}2,{}4)")) (|swapColumns!| (($ $ (|Integer|) (|Integer|)) "\\indented{1}{\\spad{swapColumns!(m,{}i,{}j)} interchanges the \\spad{i}th and \\spad{j}th} \\indented{1}{columns of \\spad{m}. This destructively alters the matrix.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} swapColumns!(\\spad{m},{}2,{}4)")) (|swapRows!| (($ $ (|Integer|) (|Integer|)) "\\indented{1}{\\spad{swapRows!(m,{}i,{}j)} interchanges the \\spad{i}th and \\spad{j}th} \\indented{1}{rows of \\spad{m}. This destructively alters the matrix.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} swapRows!(\\spad{m},{}2,{}4)")) (|setelt| (($ $ (|List| (|Integer|)) (|List| (|Integer|)) $) "\\indented{1}{\\spad{setelt(x,{}rowList,{}colList,{}y)} destructively alters the matrix \\spad{x}.} \\indented{1}{If \\spad{y} is \\spad{m}-by-\\spad{n},{} \\spad{rowList = [i<1>,{}i<2>,{}...,{}i<m>]}} \\indented{1}{and \\spad{colList = [j<1>,{}j<2>,{}...,{}j<n>]},{} then \\spad{x(i<k>,{}j<l>)}} \\indented{1}{is set to \\spad{y(k,{}l)} for \\spad{k = 1,{}...,{}m} and \\spad{l = 1,{}...,{}n}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} setelt(\\spad{m},{}3,{}3,{}10)")) (|elt| (($ $ (|List| (|Integer|)) (|List| (|Integer|))) "\\indented{1}{\\spad{elt(x,{}rowList,{}colList)} returns an \\spad{m}-by-\\spad{n} matrix consisting} \\indented{1}{of elements of \\spad{x},{} where \\spad{m = \\# rowList} and \\spad{n = \\# colList}} \\indented{1}{If \\spad{rowList = [i<1>,{}i<2>,{}...,{}i<m>]} and \\spad{colList =} \\indented{1}{[j<1>,{}j<2>,{}...,{}j<n>]},{} then the \\spad{(k,{}l)}th entry of} \\indented{1}{\\spad{elt(x,{}rowList,{}colList)} is \\spad{x(i<k>,{}j<l>)}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} elt(\\spad{m},{}3,{}3)")) (|listOfLists| (((|List| (|List| |#2|)) $) "\\indented{1}{\\spad{listOfLists(m)} returns the rows of the matrix \\spad{m} as a list} \\indented{1}{of lists.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} listOfLists \\spad{m}")) (|vertConcat| (($ $ $) "\\indented{1}{\\spad{vertConcat(x,{}y)} vertically concatenates two matrices with an} \\indented{1}{equal number of columns. The entries of \\spad{y} appear below} \\indented{1}{of the entries of \\spad{x}.\\space{2}Error: if the matrices} \\indented{1}{do not have the same number of columns.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} vertConcat(\\spad{m},{}\\spad{m})")) (|horizConcat| (($ $ $) "\\indented{1}{\\spad{horizConcat(x,{}y)} horizontally concatenates two matrices with} \\indented{1}{an equal number of rows. The entries of \\spad{y} appear to the right} \\indented{1}{of the entries of \\spad{x}.\\space{2}Error: if the matrices} \\indented{1}{do not have the same number of rows.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} horizConcat(\\spad{m},{}\\spad{m})")) (|squareTop| (($ $) "\\indented{1}{\\spad{squareTop(m)} returns an \\spad{n}-by-\\spad{n} matrix consisting of the first} \\indented{1}{\\spad{n} rows of the \\spad{m}-by-\\spad{n} matrix \\spad{m}. Error: if} \\indented{1}{\\spad{m < n}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..2] for \\spad{j} in 1..5] \\spad{X} squareTop \\spad{m}")) (|transpose| (($ $) "\\indented{1}{\\spad{transpose(m)} returns the transpose of the matrix \\spad{m}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} transpose \\spad{m}") (($ |#3|) "\\indented{1}{\\spad{transpose(r)} converts the row \\spad{r} to a row matrix.} \\blankline \\spad{X} transpose([1,{}2,{}3])@Matrix(INT)")) (|coerce| (($ |#4|) "\\indented{1}{\\spad{coerce(col)} converts the column col to a column matrix.} \\blankline \\spad{X} coerce([1,{}2,{}3])@Matrix(INT)")) (|diagonalMatrix| (($ (|List| $)) "\\indented{1}{\\spad{diagonalMatrix([m1,{}...,{}mk])} creates a block diagonal matrix} \\indented{1}{\\spad{M} with block matrices \\spad{m1},{}...,{}\\spad{mk} down the diagonal,{}} \\indented{1}{with 0 block matrices elsewhere.} \\indented{1}{More precisly: if \\spad{\\spad{ri} := nrows \\spad{mi}},{} \\spad{\\spad{ci} := ncols \\spad{mi}},{}} \\indented{1}{then \\spad{m} is an (\\spad{r1+}..\\spad{+rk}) by (\\spad{c1+}..\\spad{+ck}) - matrix\\space{2}with entries} \\indented{1}{\\spad{m.i.j = ml.(i-r1-..-r(l-1)).(j-n1-..-n(l-1))},{} if} \\indented{1}{\\spad{(r1+..+r(l-1)) < i <= r1+..+rl} and} \\indented{1}{\\spad{(c1+..+c(l-1)) < i <= c1+..+cl},{}} \\indented{1}{\\spad{m.i.j} = 0\\space{2}otherwise.} \\blankline \\spad{X} diagonalMatrix [matrix [[1,{}2],{}[3,{}4]],{} matrix [[4,{}5],{}[6,{}7]]]") (($ (|List| |#2|)) "\\indented{1}{\\spad{diagonalMatrix(l)} returns a diagonal matrix with the elements} \\indented{1}{of \\spad{l} on the diagonal.} \\blankline \\spad{X} diagonalMatrix [1,{}2,{}3]")) (|scalarMatrix| (($ (|NonNegativeInteger|) |#2|) "\\indented{1}{\\spad{scalarMatrix(n,{}r)} returns an \\spad{n}-by-\\spad{n} matrix with \\spad{r}\\spad{'s} on the} \\indented{1}{diagonal and zeroes elsewhere.} \\blankline \\spad{X} z:Matrix(INT):=scalarMatrix(3,{}5)")) (|matrix| (($ (|List| (|List| |#2|))) "\\indented{1}{\\spad{matrix(l)} converts the list of lists \\spad{l} to a matrix,{} where the} \\indented{1}{list of lists is viewed as a list of the rows of the matrix.} \\blankline \\spad{X} matrix [[1,{}2,{}3],{}[4,{}5,{}6],{}[7,{}8,{}9],{}[1,{}1,{}1]]")) (|zero| (($ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\indented{1}{\\spad{zero(m,{}n)} returns an \\spad{m}-by-\\spad{n} zero matrix.} \\blankline \\spad{X} z:Matrix(INT):=zero(3,{}3)")) (|antisymmetric?| (((|Boolean|) $) "\\indented{1}{\\spad{antisymmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and} \\indented{1}{antisymmetric (\\spadignore{i.e.} \\spad{m[i,{}j] = -m[j,{}i]} for all \\spad{i} and \\spad{j})} \\indented{1}{and \\spad{false} otherwise.} \\blankline \\spad{X} antisymmetric? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|symmetric?| (((|Boolean|) $) "\\indented{1}{\\spad{symmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and} \\indented{1}{symmetric (\\spadignore{i.e.} \\spad{m[i,{}j] = m[j,{}i]} for all \\spad{i} and \\spad{j}) and \\spad{false}} \\indented{1}{otherwise.} \\blankline \\spad{X} symmetric? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|diagonal?| (((|Boolean|) $) "\\indented{1}{\\spad{diagonal?(m)} returns \\spad{true} if the matrix \\spad{m} is square and} \\indented{1}{diagonal (\\spadignore{i.e.} all entries of \\spad{m} not on the diagonal are zero) and} \\indented{1}{\\spad{false} otherwise.} \\blankline \\spad{X} diagonal? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|square?| (((|Boolean|) $) "\\indented{1}{\\spad{square?(m)} returns \\spad{true} if \\spad{m} is a square matrix} \\indented{1}{(if \\spad{m} has the same number of rows as columns) and \\spad{false} otherwise.} \\blankline \\spad{X} square matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|finiteAggregate| ((|attribute|) "matrices are finite")) (|shallowlyMutable| ((|attribute|) "One may destructively alter matrices"))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-172))) (|HasAttribute| |#2| (QUOTE (-4523 "*"))) (|HasCategory| |#2| (QUOTE (-301))) (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-558)))) 
-(-677 R |Row| |Col|) 
+((|HasCategory| |#2| (QUOTE (-173))) (|HasAttribute| |#2| (QUOTE (-4537 "*"))) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-559)))) 
+(-678 R |Row| |Col|) 
 ((|constructor| (NIL "\\spadtype{MatrixCategory} is a general matrix category which allows different representations and indexing schemes. Rows and columns may be extracted with rows returned as objects of type Row and colums returned as objects of type Col. A domain belonging to this category will be shallowly mutable. The index of the 'first' row may be obtained by calling the function \\spadfun{minRowIndex}. The index of the 'first' column may be obtained by calling the function \\spadfun{minColIndex}. The index of the first element of a Row is the same as the index of the first column in a matrix and vice versa.")) (|inverse| (((|Union| $ "failed") $) "\\indented{1}{\\spad{inverse(m)} returns the inverse of the matrix \\spad{m}.} \\indented{1}{If the matrix is not invertible,{} \"failed\" is returned.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} inverse matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|pfaffian| ((|#1| $) "\\indented{1}{\\spad{pfaffian(m)} returns the Pfaffian of the matrix \\spad{m}.} \\indented{1}{Error if the matrix is not antisymmetric} \\blankline \\spad{X} pfaffian [[0,{}1,{}0,{}0],{}[\\spad{-1},{}0,{}0,{}0],{}[0,{}0,{}0,{}1],{}[0,{}0,{}\\spad{-1},{}0]]")) (|minordet| ((|#1| $) "\\indented{1}{\\spad{minordet(m)} computes the determinant of the matrix \\spad{m} using} \\indented{1}{minors. Error: if the matrix is not square.} \\blankline \\spad{X} minordet matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|determinant| ((|#1| $) "\\indented{1}{\\spad{determinant(m)} returns the determinant of the matrix \\spad{m}.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} determinant matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|nullSpace| (((|List| |#3|) $) "\\indented{1}{\\spad{nullSpace(m)} returns a basis for the null space of} \\indented{1}{the matrix \\spad{m}.} \\blankline \\spad{X} nullSpace matrix [[1,{}2,{}3],{}[4,{}5,{}6],{}[7,{}8,{}9]]")) (|nullity| (((|NonNegativeInteger|) $) "\\indented{1}{\\spad{nullity(m)} returns the nullity of the matrix \\spad{m}. This is} \\indented{1}{the dimension of the null space of the matrix \\spad{m}.} \\blankline \\spad{X} nullity matrix [[1,{}2,{}3],{}[4,{}5,{}6],{}[7,{}8,{}9]]")) (|rank| (((|NonNegativeInteger|) $) "\\indented{1}{\\spad{rank(m)} returns the rank of the matrix \\spad{m}.} \\blankline \\spad{X} rank matrix [[1,{}2,{}3],{}[4,{}5,{}6],{}[7,{}8,{}9]]")) (|columnSpace| (((|List| |#3|) $) "\\indented{1}{\\spad{columnSpace(m)} returns a sublist of columns of the matrix \\spad{m}} \\indented{1}{forming a basis of its column space} \\blankline \\spad{X} columnSpace matrix [[1,{}2,{}3],{}[4,{}5,{}6],{}[7,{}8,{}9],{}[1,{}1,{}1]]")) (|rowEchelon| (($ $) "\\indented{1}{\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m}.} \\blankline \\spad{X} rowEchelon matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (/ (($ $ |#1|) "\\indented{1}{\\spad{m/r} divides the elements of \\spad{m} by \\spad{r}. Error: if \\spad{r = 0}.} \\blankline \\spad{X} m:=matrix [[2**i for \\spad{i} in 2..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m/4}")) (|exquo| (((|Union| $ "failed") $ |#1|) "\\indented{1}{\\spad{exquo(m,{}r)} computes the exact quotient of the elements} \\indented{1}{of \\spad{m} by \\spad{r},{} returning \\axiom{\"failed\"} if this is not possible.} \\blankline \\spad{X} m:=matrix [[2**i for \\spad{i} in 2..4] for \\spad{j} in 1..5] \\spad{X} exquo(\\spad{m},{}2)")) (** (($ $ (|Integer|)) "\\indented{1}{\\spad{m**n} computes an integral power of the matrix \\spad{m}.} \\indented{1}{Error: if matrix is not square or if the matrix} \\indented{1}{is square but not invertible.} \\blankline \\spad{X} (matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]) \\spad{**} 2") (($ $ (|NonNegativeInteger|)) "\\indented{1}{\\spad{x ** n} computes a non-negative integral power of the matrix \\spad{x}.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m**3}")) (* ((|#2| |#2| $) "\\indented{1}{\\spad{r * x} is the product of the row vector \\spad{r} and the matrix \\spad{x}.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} r:=transpose([1,{}2,{}3,{}4,{}5])@Matrix(INT) \\spad{X} \\spad{r*m}") ((|#3| $ |#3|) "\\indented{1}{\\spad{x * c} is the product of the matrix \\spad{x} and the column vector \\spad{c}.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} c:=coerce([1,{}2,{}3,{}4,{}5])@Matrix(INT) \\spad{X} \\spad{m*c}") (($ (|Integer|) $) "\\indented{1}{\\spad{n * x} is an integer multiple.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} 3*m") (($ $ |#1|) "\\indented{1}{\\spad{x * r} is the right scalar multiple of the scalar \\spad{r} and the} \\indented{1}{matrix \\spad{x}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m*1/3}") (($ |#1| $) "\\indented{1}{\\spad{r*x} is the left scalar multiple of the scalar \\spad{r} and the} \\indented{1}{matrix \\spad{x}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} 1/3*m") (($ $ $) "\\indented{1}{\\spad{x * y} is the product of the matrices \\spad{x} and \\spad{y}.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m*m}")) (- (($ $) "\\indented{1}{\\spad{-x} returns the negative of the matrix \\spad{x}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{-m}") (($ $ $) "\\indented{1}{\\spad{x - y} is the difference of the matrices \\spad{x} and \\spad{y}.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m}-\\spad{m}")) (+ (($ $ $) "\\indented{1}{\\spad{x + y} is the sum of the matrices \\spad{x} and \\spad{y}.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m+m}")) (|setsubMatrix!| (($ $ (|Integer|) (|Integer|) $) "\\indented{1}{\\spad{setsubMatrix(x,{}i1,{}j1,{}y)} destructively alters the} \\indented{1}{matrix \\spad{x}. Here \\spad{x(i,{}j)} is set to \\spad{y(i-i1+1,{}j-j1+1)} for} \\indented{1}{\\spad{i = i1,{}...,{}i1-1+nrows y} and \\spad{j = j1,{}...,{}j1-1+ncols y}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} setsubMatrix!(\\spad{m},{}2,{}2,{}matrix [[3,{}3],{}[3,{}3]])")) (|subMatrix| (($ $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\indented{1}{\\spad{subMatrix(x,{}i1,{}i2,{}j1,{}j2)} extracts the submatrix} \\indented{1}{\\spad{[x(i,{}j)]} where the index \\spad{i} ranges from \\spad{i1} to \\spad{i2}} \\indented{1}{and the index \\spad{j} ranges from \\spad{j1} to \\spad{j2}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} subMatrix(\\spad{m},{}1,{}3,{}2,{}4)")) (|swapColumns!| (($ $ (|Integer|) (|Integer|)) "\\indented{1}{\\spad{swapColumns!(m,{}i,{}j)} interchanges the \\spad{i}th and \\spad{j}th} \\indented{1}{columns of \\spad{m}. This destructively alters the matrix.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} swapColumns!(\\spad{m},{}2,{}4)")) (|swapRows!| (($ $ (|Integer|) (|Integer|)) "\\indented{1}{\\spad{swapRows!(m,{}i,{}j)} interchanges the \\spad{i}th and \\spad{j}th} \\indented{1}{rows of \\spad{m}. This destructively alters the matrix.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} swapRows!(\\spad{m},{}2,{}4)")) (|setelt| (($ $ (|List| (|Integer|)) (|List| (|Integer|)) $) "\\indented{1}{\\spad{setelt(x,{}rowList,{}colList,{}y)} destructively alters the matrix \\spad{x}.} \\indented{1}{If \\spad{y} is \\spad{m}-by-\\spad{n},{} \\spad{rowList = [i<1>,{}i<2>,{}...,{}i<m>]}} \\indented{1}{and \\spad{colList = [j<1>,{}j<2>,{}...,{}j<n>]},{} then \\spad{x(i<k>,{}j<l>)}} \\indented{1}{is set to \\spad{y(k,{}l)} for \\spad{k = 1,{}...,{}m} and \\spad{l = 1,{}...,{}n}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} setelt(\\spad{m},{}3,{}3,{}10)")) (|elt| (($ $ (|List| (|Integer|)) (|List| (|Integer|))) "\\indented{1}{\\spad{elt(x,{}rowList,{}colList)} returns an \\spad{m}-by-\\spad{n} matrix consisting} \\indented{1}{of elements of \\spad{x},{} where \\spad{m = \\# rowList} and \\spad{n = \\# colList}} \\indented{1}{If \\spad{rowList = [i<1>,{}i<2>,{}...,{}i<m>]} and \\spad{colList =} \\indented{1}{[j<1>,{}j<2>,{}...,{}j<n>]},{} then the \\spad{(k,{}l)}th entry of} \\indented{1}{\\spad{elt(x,{}rowList,{}colList)} is \\spad{x(i<k>,{}j<l>)}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} elt(\\spad{m},{}3,{}3)")) (|listOfLists| (((|List| (|List| |#1|)) $) "\\indented{1}{\\spad{listOfLists(m)} returns the rows of the matrix \\spad{m} as a list} \\indented{1}{of lists.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} listOfLists \\spad{m}")) (|vertConcat| (($ $ $) "\\indented{1}{\\spad{vertConcat(x,{}y)} vertically concatenates two matrices with an} \\indented{1}{equal number of columns. The entries of \\spad{y} appear below} \\indented{1}{of the entries of \\spad{x}.\\space{2}Error: if the matrices} \\indented{1}{do not have the same number of columns.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} vertConcat(\\spad{m},{}\\spad{m})")) (|horizConcat| (($ $ $) "\\indented{1}{\\spad{horizConcat(x,{}y)} horizontally concatenates two matrices with} \\indented{1}{an equal number of rows. The entries of \\spad{y} appear to the right} \\indented{1}{of the entries of \\spad{x}.\\space{2}Error: if the matrices} \\indented{1}{do not have the same number of rows.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} horizConcat(\\spad{m},{}\\spad{m})")) (|squareTop| (($ $) "\\indented{1}{\\spad{squareTop(m)} returns an \\spad{n}-by-\\spad{n} matrix consisting of the first} \\indented{1}{\\spad{n} rows of the \\spad{m}-by-\\spad{n} matrix \\spad{m}. Error: if} \\indented{1}{\\spad{m < n}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..2] for \\spad{j} in 1..5] \\spad{X} squareTop \\spad{m}")) (|transpose| (($ $) "\\indented{1}{\\spad{transpose(m)} returns the transpose of the matrix \\spad{m}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} transpose \\spad{m}") (($ |#2|) "\\indented{1}{\\spad{transpose(r)} converts the row \\spad{r} to a row matrix.} \\blankline \\spad{X} transpose([1,{}2,{}3])@Matrix(INT)")) (|coerce| (($ |#3|) "\\indented{1}{\\spad{coerce(col)} converts the column col to a column matrix.} \\blankline \\spad{X} coerce([1,{}2,{}3])@Matrix(INT)")) (|diagonalMatrix| (($ (|List| $)) "\\indented{1}{\\spad{diagonalMatrix([m1,{}...,{}mk])} creates a block diagonal matrix} \\indented{1}{\\spad{M} with block matrices \\spad{m1},{}...,{}\\spad{mk} down the diagonal,{}} \\indented{1}{with 0 block matrices elsewhere.} \\indented{1}{More precisly: if \\spad{\\spad{ri} := nrows \\spad{mi}},{} \\spad{\\spad{ci} := ncols \\spad{mi}},{}} \\indented{1}{then \\spad{m} is an (\\spad{r1+}..\\spad{+rk}) by (\\spad{c1+}..\\spad{+ck}) - matrix\\space{2}with entries} \\indented{1}{\\spad{m.i.j = ml.(i-r1-..-r(l-1)).(j-n1-..-n(l-1))},{} if} \\indented{1}{\\spad{(r1+..+r(l-1)) < i <= r1+..+rl} and} \\indented{1}{\\spad{(c1+..+c(l-1)) < i <= c1+..+cl},{}} \\indented{1}{\\spad{m.i.j} = 0\\space{2}otherwise.} \\blankline \\spad{X} diagonalMatrix [matrix [[1,{}2],{}[3,{}4]],{} matrix [[4,{}5],{}[6,{}7]]]") (($ (|List| |#1|)) "\\indented{1}{\\spad{diagonalMatrix(l)} returns a diagonal matrix with the elements} \\indented{1}{of \\spad{l} on the diagonal.} \\blankline \\spad{X} diagonalMatrix [1,{}2,{}3]")) (|scalarMatrix| (($ (|NonNegativeInteger|) |#1|) "\\indented{1}{\\spad{scalarMatrix(n,{}r)} returns an \\spad{n}-by-\\spad{n} matrix with \\spad{r}\\spad{'s} on the} \\indented{1}{diagonal and zeroes elsewhere.} \\blankline \\spad{X} z:Matrix(INT):=scalarMatrix(3,{}5)")) (|matrix| (($ (|List| (|List| |#1|))) "\\indented{1}{\\spad{matrix(l)} converts the list of lists \\spad{l} to a matrix,{} where the} \\indented{1}{list of lists is viewed as a list of the rows of the matrix.} \\blankline \\spad{X} matrix [[1,{}2,{}3],{}[4,{}5,{}6],{}[7,{}8,{}9],{}[1,{}1,{}1]]")) (|zero| (($ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\indented{1}{\\spad{zero(m,{}n)} returns an \\spad{m}-by-\\spad{n} zero matrix.} \\blankline \\spad{X} z:Matrix(INT):=zero(3,{}3)")) (|antisymmetric?| (((|Boolean|) $) "\\indented{1}{\\spad{antisymmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and} \\indented{1}{antisymmetric (\\spadignore{i.e.} \\spad{m[i,{}j] = -m[j,{}i]} for all \\spad{i} and \\spad{j})} \\indented{1}{and \\spad{false} otherwise.} \\blankline \\spad{X} antisymmetric? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|symmetric?| (((|Boolean|) $) "\\indented{1}{\\spad{symmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and} \\indented{1}{symmetric (\\spadignore{i.e.} \\spad{m[i,{}j] = m[j,{}i]} for all \\spad{i} and \\spad{j}) and \\spad{false}} \\indented{1}{otherwise.} \\blankline \\spad{X} symmetric? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|diagonal?| (((|Boolean|) $) "\\indented{1}{\\spad{diagonal?(m)} returns \\spad{true} if the matrix \\spad{m} is square and} \\indented{1}{diagonal (\\spadignore{i.e.} all entries of \\spad{m} not on the diagonal are zero) and} \\indented{1}{\\spad{false} otherwise.} \\blankline \\spad{X} diagonal? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|square?| (((|Boolean|) $) "\\indented{1}{\\spad{square?(m)} returns \\spad{true} if \\spad{m} is a square matrix} \\indented{1}{(if \\spad{m} has the same number of rows as columns) and \\spad{false} otherwise.} \\blankline \\spad{X} square matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|finiteAggregate| ((|attribute|) "matrices are finite")) (|shallowlyMutable| ((|attribute|) "One may destructively alter matrices"))) 
-((-4521 . T) (-4522 . T) (-3973 . T)) 
+((-4535 . T) (-4536 . T) (-2982 . T)) 
 NIL 
-(-678 R |Row| |Col| M) 
+(-679 R |Row| |Col| M) 
 ((|constructor| (NIL "\\spadtype{MatrixLinearAlgebraFunctions} provides functions to compute inverses and canonical forms.")) (|inverse| (((|Union| |#4| "failed") |#4|) "\\spad{inverse(m)} returns the inverse of the matrix. If the matrix is not invertible,{} \"failed\" is returned. Error: if the matrix is not square.")) (|normalizedDivide| (((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|) "\\spad{normalizedDivide(n,{}d)} returns a normalized quotient and remainder such that consistently unique representatives for the residue class are chosen,{} \\spadignore{e.g.} positive remainders")) (|rowEchelon| ((|#4| |#4|) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m}.")) (|adjoint| (((|Record| (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|) "\\spad{adjoint(m)} returns the ajoint matrix of \\spad{m} (\\spadignore{i.e.} the matrix \\spad{n} such that \\spad{m*n} = determinant(\\spad{m})*id) and the detrminant of \\spad{m}.")) (|invertIfCan| (((|Union| |#4| "failed") |#4|) "\\spad{invertIfCan(m)} returns the inverse of \\spad{m} over \\spad{R}")) (|fractionFreeGauss!| ((|#4| |#4|) "\\spad{fractionFreeGauss(m)} performs the fraction free gaussian elimination on the matrix \\spad{m}.")) (|nullSpace| (((|List| |#3|) |#4|) "\\spad{nullSpace(m)} returns a basis for the null space of the matrix \\spad{m}.")) (|nullity| (((|NonNegativeInteger|) |#4|) "\\spad{nullity(m)} returns the mullity of the matrix \\spad{m}. This is the dimension of the null space of the matrix \\spad{m}.")) (|rank| (((|NonNegativeInteger|) |#4|) "\\spad{rank(m)} returns the rank of the matrix \\spad{m}.")) (|elColumn2!| ((|#4| |#4| |#1| (|Integer|) (|Integer|)) "\\spad{elColumn2!(m,{}a,{}i,{}j)} adds to column \\spad{i} a*column(\\spad{m},{}\\spad{j}) : elementary operation of second kind. (\\spad{i} \\spad{^=j})")) (|elRow2!| ((|#4| |#4| |#1| (|Integer|) (|Integer|)) "\\spad{elRow2!(m,{}a,{}i,{}j)} adds to row \\spad{i} a*row(\\spad{m},{}\\spad{j}) : elementary operation of second kind. (\\spad{i} \\spad{^=j})")) (|elRow1!| ((|#4| |#4| (|Integer|) (|Integer|)) "\\spad{elRow1!(m,{}i,{}j)} swaps rows \\spad{i} and \\spad{j} of matrix \\spad{m} : elementary operation of first kind")) (|minordet| ((|#1| |#4|) "\\spad{minordet(m)} computes the determinant of the matrix \\spad{m} using minors. Error: if the matrix is not square.")) (|determinant| ((|#1| |#4|) "\\spad{determinant(m)} returns the determinant of the matrix \\spad{m}. an error message is returned if the matrix is not square."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-301))) (|HasCategory| |#1| (QUOTE (-558)))) 
-(-679 R) 
-((|constructor| (NIL "\\spadtype{Matrix} is a matrix domain where 1-based indexing is used for both rows and columns.")) (|inverse| (((|Union| $ "failed") $) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m}. If the matrix is not invertible,{} \"failed\" is returned. Error: if the matrix is not square.")) (|diagonalMatrix| (($ (|Vector| |#1|)) "\\spad{diagonalMatrix(v)} returns a diagonal matrix where the elements of \\spad{v} appear on the diagonal."))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (QUOTE (-301))) (|HasCategory| |#1| (QUOTE (-558))) (|HasAttribute| |#1| (QUOTE (-4523 "*"))) (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-365))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))))) 
+((|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-559)))) 
 (-680 R) 
+((|constructor| (NIL "\\spadtype{Matrix} is a matrix domain where 1-based indexing is used for both rows and columns.")) (|inverse| (((|Union| $ "failed") $) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m}. If the matrix is not invertible,{} \"failed\" is returned. Error: if the matrix is not square.")) (|diagonalMatrix| (($ (|Vector| |#1|)) "\\spad{diagonalMatrix(v)} returns a diagonal matrix where the elements of \\spad{v} appear on the diagonal."))) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-559))) (|HasAttribute| |#1| (QUOTE (-4537 "*"))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
+(-681 R) 
 ((|constructor| (NIL "This package provides standard arithmetic operations on matrices. The functions in this package store the results of computations in existing matrices,{} rather than creating new matrices. This package works only for matrices of type Matrix and uses the internal representation of this type.")) (** (((|Matrix| |#1|) (|Matrix| |#1|) (|NonNegativeInteger|)) "\\spad{x ** n} computes the \\spad{n}-th power of a square matrix. The power \\spad{n} is assumed greater than 1.")) (|power!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|NonNegativeInteger|)) "\\spad{power!(a,{}b,{}c,{}m,{}n)} computes \\spad{m} \\spad{**} \\spad{n} and stores the result in \\spad{a}. The matrices \\spad{b} and \\spad{c} are used to store intermediate results. Error: if \\spad{a},{} \\spad{b},{} \\spad{c},{} and \\spad{m} are not square and of the same dimensions.")) (|times!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{times!(c,{}a,{}b)} computes the matrix product \\spad{a * b} and stores the result in the matrix \\spad{c}. Error: if \\spad{a},{} \\spad{b},{} and \\spad{c} do not have compatible dimensions.")) (|rightScalarTimes!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) |#1|) "\\spad{rightScalarTimes!(c,{}a,{}r)} computes the scalar product \\spad{a * r} and stores the result in the matrix \\spad{c}. Error: if \\spad{a} and \\spad{c} do not have the same dimensions.")) (|leftScalarTimes!| (((|Matrix| |#1|) (|Matrix| |#1|) |#1| (|Matrix| |#1|)) "\\spad{leftScalarTimes!(c,{}r,{}a)} computes the scalar product \\spad{r * a} and stores the result in the matrix \\spad{c}. Error: if \\spad{a} and \\spad{c} do not have the same dimensions.")) (|minus!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{!minus!(c,{}a,{}b)} computes the matrix difference \\spad{a - b} and stores the result in the matrix \\spad{c}. Error: if \\spad{a},{} \\spad{b},{} and \\spad{c} do not have the same dimensions.") (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{minus!(c,{}a)} computes \\spad{-a} and stores the result in the matrix \\spad{c}. Error: if a and \\spad{c} do not have the same dimensions.")) (|plus!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{plus!(c,{}a,{}b)} computes the matrix sum \\spad{a + b} and stores the result in the matrix \\spad{c}. Error: if \\spad{a},{} \\spad{b},{} and \\spad{c} do not have the same dimensions.")) (|copy!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{copy!(c,{}a)} copies the matrix \\spad{a} into the matrix \\spad{c}. Error: if \\spad{a} and \\spad{c} do not have the same dimensions."))) 
 NIL 
 NIL 
-(-681 S -1478 FLAF FLAS) 
+(-682 S -1564 FLAF FLAS) 
 ((|constructor| (NIL "\\spadtype{MultiVariableCalculusFunctions} Package provides several functions for multivariable calculus. These include gradient,{} hessian and jacobian,{} divergence and laplacian. Various forms for banded and sparse storage of matrices are included.")) (|bandedJacobian| (((|Matrix| |#2|) |#3| |#4| (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{bandedJacobian(vf,{}xlist,{}kl,{}ku)} computes the jacobian,{} the matrix of first partial derivatives,{} of the vector field \\spad{vf},{} \\spad{vf} a vector function of the variables listed in \\spad{xlist},{} \\spad{kl} is the number of nonzero subdiagonals,{} \\spad{ku} is the number of nonzero superdiagonals,{} \\spad{kl+ku+1} being actual bandwidth. Stores the nonzero band in a matrix,{} dimensions \\spad{kl+ku+1} by \\#xlist. The upper triangle is in the top \\spad{ku} rows,{} the diagonal is in row \\spad{ku+1},{} the lower triangle in the last \\spad{kl} rows. Entries in a column in the band store correspond to entries in same column of full store. (The notation conforms to LAPACK/NAG-\\spad{F07} conventions.)")) (|jacobian| (((|Matrix| |#2|) |#3| |#4|) "\\spad{jacobian(vf,{}xlist)} computes the jacobian,{} the matrix of first partial derivatives,{} of the vector field \\spad{vf},{} \\spad{vf} a vector function of the variables listed in \\spad{xlist}.")) (|bandedHessian| (((|Matrix| |#2|) |#2| |#4| (|NonNegativeInteger|)) "\\spad{bandedHessian(v,{}xlist,{}k)} computes the hessian,{} the matrix of second partial derivatives,{} of the scalar field \\spad{v},{} \\spad{v} a function of the variables listed in \\spad{xlist},{} \\spad{k} is the semi-bandwidth,{} the number of nonzero subdiagonals,{} 2*k+1 being actual bandwidth. Stores the nonzero band in lower triangle in a matrix,{} dimensions \\spad{k+1} by \\#xlist,{} whose rows are the vectors formed by diagonal,{} subdiagonal,{} etc. of the real,{} full-matrix,{} hessian. (The notation conforms to LAPACK/NAG-\\spad{F07} conventions.)")) (|hessian| (((|Matrix| |#2|) |#2| |#4|) "\\spad{hessian(v,{}xlist)} computes the hessian,{} the matrix of second partial derivatives,{} of the scalar field \\spad{v},{} \\spad{v} a function of the variables listed in \\spad{xlist}.")) (|laplacian| ((|#2| |#2| |#4|) "\\spad{laplacian(v,{}xlist)} computes the laplacian of the scalar field \\spad{v},{} \\spad{v} a function of the variables listed in \\spad{xlist}.")) (|divergence| ((|#2| |#3| |#4|) "\\spad{divergence(vf,{}xlist)} computes the divergence of the vector field \\spad{vf},{} \\spad{vf} a vector function of the variables listed in \\spad{xlist}.")) (|gradient| (((|Vector| |#2|) |#2| |#4|) "\\spad{gradient(v,{}xlist)} computes the gradient,{} the vector of first partial derivatives,{} of the scalar field \\spad{v},{} \\spad{v} a function of the variables listed in \\spad{xlist}."))) 
 NIL 
 NIL 
-(-682 R Q) 
+(-683 R Q) 
 ((|constructor| (NIL "MatrixCommonDenominator provides functions to compute the common denominator of a matrix of elements of the quotient field of an integral domain.")) (|splitDenominator| (((|Record| (|:| |num| (|Matrix| |#1|)) (|:| |den| |#1|)) (|Matrix| |#2|)) "\\spad{splitDenominator(q)} returns \\spad{[p,{} d]} such that \\spad{q = p/d} and \\spad{d} is a common denominator for the elements of \\spad{q}.")) (|clearDenominator| (((|Matrix| |#1|) (|Matrix| |#2|)) "\\spad{clearDenominator(q)} returns \\spad{p} such that \\spad{q = p/d} where \\spad{d} is a common denominator for the elements of \\spad{q}.")) (|commonDenominator| ((|#1| (|Matrix| |#2|)) "\\spad{commonDenominator(q)} returns a common denominator \\spad{d} for the elements of \\spad{q}."))) 
 NIL 
 NIL 
-(-683) 
+(-684) 
 ((|constructor| (NIL "A domain which models the complex number representation used by machines in the AXIOM-NAG link.")) (|coerce| (((|Complex| (|Float|)) $) "\\spad{coerce(u)} transforms \\spad{u} into a COmplex Float") (($ (|Complex| (|MachineInteger|))) "\\spad{coerce(u)} transforms \\spad{u} into a MachineComplex") (($ (|Complex| (|MachineFloat|))) "\\spad{coerce(u)} transforms \\spad{u} into a MachineComplex") (($ (|Complex| (|Integer|))) "\\spad{coerce(u)} transforms \\spad{u} into a MachineComplex") (($ (|Complex| (|Float|))) "\\spad{coerce(u)} transforms \\spad{u} into a MachineComplex"))) 
-((-4514 . T) (-4519 |has| (-688) (-365)) (-4513 |has| (-688) (-365)) (-4005 . T) (-4520 |has| (-688) (-6 -4520)) (-4517 |has| (-688) (-6 -4517)) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| (-688) (QUOTE (-150))) (|HasCategory| (-688) (QUOTE (-148))) (|HasCategory| (-688) (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| (-688) (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| (-688) (QUOTE (-370))) (|HasCategory| (-688) (QUOTE (-365))) (|HasCategory| (-688) (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| (-688) (QUOTE (-225))) (|HasCategory| (-688) (QUOTE (-350))) (-2199 (|HasCategory| (-688) (QUOTE (-365))) (|HasCategory| (-688) (QUOTE (-350)))) (|HasCategory| (-688) (LIST (QUOTE -281) (QUOTE (-688)) (QUOTE (-688)))) (|HasCategory| (-688) (LIST (QUOTE -303) (QUOTE (-688)))) (|HasCategory| (-688) (LIST (QUOTE -523) (QUOTE (-1161)) (QUOTE (-688)))) (|HasCategory| (-688) (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| (-688) (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| (-688) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| (-688) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| (-688) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| (-688) (QUOTE (-1021))) (|HasCategory| (-688) (QUOTE (-1181))) (-12 (|HasCategory| (-688) (QUOTE (-1002))) (|HasCategory| (-688) (QUOTE (-1181)))) (|HasCategory| (-688) (QUOTE (-550))) (|HasCategory| (-688) (QUOTE (-1056))) (-12 (|HasCategory| (-688) (QUOTE (-1056))) (|HasCategory| (-688) (QUOTE (-1181)))) (-2199 (|HasCategory| (-688) (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| (-688) (QUOTE (-365)))) (|HasCategory| (-688) (QUOTE (-301))) (-2199 (|HasCategory| (-688) (QUOTE (-301))) (|HasCategory| (-688) (QUOTE (-365))) (|HasCategory| (-688) (QUOTE (-350)))) (|HasCategory| (-688) (QUOTE (-904))) (-12 (|HasCategory| (-688) (QUOTE (-225))) (|HasCategory| (-688) (QUOTE (-365)))) (-12 (|HasCategory| (-688) (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| (-688) (QUOTE (-365)))) (|HasCategory| (-688) (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| (-688) (QUOTE (-842))) (|HasCategory| (-688) (QUOTE (-558))) (|HasAttribute| (-688) (QUOTE -4520)) (|HasAttribute| (-688) (QUOTE -4517)) (-12 (|HasCategory| (-688) (QUOTE (-301))) (|HasCategory| (-688) (QUOTE (-904)))) (-2199 (-12 (|HasCategory| (-688) (QUOTE (-301))) (|HasCategory| (-688) (QUOTE (-904)))) (|HasCategory| (-688) (QUOTE (-365))) (-12 (|HasCategory| (-688) (QUOTE (-350))) (|HasCategory| (-688) (QUOTE (-904))))) (-2199 (-12 (|HasCategory| (-688) (QUOTE (-301))) (|HasCategory| (-688) (QUOTE (-904)))) (-12 (|HasCategory| (-688) (QUOTE (-365))) (|HasCategory| (-688) (QUOTE (-904)))) (-12 (|HasCategory| (-688) (QUOTE (-350))) (|HasCategory| (-688) (QUOTE (-904))))) (-2199 (-12 (|HasCategory| (-688) (QUOTE (-301))) (|HasCategory| (-688) (QUOTE (-904)))) (|HasCategory| (-688) (QUOTE (-365)))) (-2199 (-12 (|HasCategory| (-688) (QUOTE (-301))) (|HasCategory| (-688) (QUOTE (-904)))) (|HasCategory| (-688) (QUOTE (-558)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| (-688) (QUOTE (-301))) (|HasCategory| (-688) (QUOTE (-904)))) (|HasCategory| (-688) (QUOTE (-148)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| (-688) (QUOTE (-301))) (|HasCategory| (-688) (QUOTE (-904)))) (|HasCategory| (-688) (QUOTE (-350))))) 
-(-684 S) 
+((-4528 . T) (-4533 |has| (-689) (-366)) (-4527 |has| (-689) (-366)) (-2997 . T) (-4534 |has| (-689) (-6 -4534)) (-4531 |has| (-689) (-6 -4531)) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| (-689) (QUOTE (-151))) (|HasCategory| (-689) (QUOTE (-149))) (|HasCategory| (-689) (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-689) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| (-689) (QUOTE (-371))) (|HasCategory| (-689) (QUOTE (-366))) (|HasCategory| (-689) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-689) (QUOTE (-226))) (|HasCategory| (-689) (QUOTE (-351))) (-2232 (|HasCategory| (-689) (QUOTE (-366))) (|HasCategory| (-689) (QUOTE (-351)))) (|HasCategory| (-689) (LIST (QUOTE -282) (QUOTE (-689)) (QUOTE (-689)))) (|HasCategory| (-689) (LIST (QUOTE -304) (QUOTE (-689)))) (|HasCategory| (-689) (LIST (QUOTE -524) (QUOTE (-1163)) (QUOTE (-689)))) (|HasCategory| (-689) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| (-689) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| (-689) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| (-689) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| (-689) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-689) (QUOTE (-1022))) (|HasCategory| (-689) (QUOTE (-1183))) (-12 (|HasCategory| (-689) (QUOTE (-1003))) (|HasCategory| (-689) (QUOTE (-1183)))) (|HasCategory| (-689) (QUOTE (-551))) (|HasCategory| (-689) (QUOTE (-1057))) (-12 (|HasCategory| (-689) (QUOTE (-1057))) (|HasCategory| (-689) (QUOTE (-1183)))) (-2232 (|HasCategory| (-689) (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-689) (QUOTE (-366)))) (|HasCategory| (-689) (QUOTE (-302))) (-2232 (|HasCategory| (-689) (QUOTE (-302))) (|HasCategory| (-689) (QUOTE (-366))) (|HasCategory| (-689) (QUOTE (-351)))) (|HasCategory| (-689) (QUOTE (-905))) (-12 (|HasCategory| (-689) (QUOTE (-226))) (|HasCategory| (-689) (QUOTE (-366)))) (-12 (|HasCategory| (-689) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-689) (QUOTE (-366)))) (|HasCategory| (-689) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| (-689) (QUOTE (-843))) (|HasCategory| (-689) (QUOTE (-559))) (|HasAttribute| (-689) (QUOTE -4534)) (|HasAttribute| (-689) (QUOTE -4531)) (-12 (|HasCategory| (-689) (QUOTE (-302))) (|HasCategory| (-689) (QUOTE (-905)))) (-2232 (-12 (|HasCategory| (-689) (QUOTE (-302))) (|HasCategory| (-689) (QUOTE (-905)))) (|HasCategory| (-689) (QUOTE (-366))) (-12 (|HasCategory| (-689) (QUOTE (-351))) (|HasCategory| (-689) (QUOTE (-905))))) (-2232 (-12 (|HasCategory| (-689) (QUOTE (-302))) (|HasCategory| (-689) (QUOTE (-905)))) (-12 (|HasCategory| (-689) (QUOTE (-366))) (|HasCategory| (-689) (QUOTE (-905)))) (-12 (|HasCategory| (-689) (QUOTE (-351))) (|HasCategory| (-689) (QUOTE (-905))))) (-2232 (-12 (|HasCategory| (-689) (QUOTE (-302))) (|HasCategory| (-689) (QUOTE (-905)))) (|HasCategory| (-689) (QUOTE (-366)))) (-2232 (-12 (|HasCategory| (-689) (QUOTE (-302))) (|HasCategory| (-689) (QUOTE (-905)))) (|HasCategory| (-689) (QUOTE (-559)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-689) (QUOTE (-302))) (|HasCategory| (-689) (QUOTE (-905)))) (|HasCategory| (-689) (QUOTE (-149)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-689) (QUOTE (-302))) (|HasCategory| (-689) (QUOTE (-905)))) (|HasCategory| (-689) (QUOTE (-351))))) 
+(-685 S) 
 ((|constructor| (NIL "A multi-dictionary is a dictionary which may contain duplicates. As for any dictionary,{} its size is assumed large so that copying (non-destructive) operations are generally to be avoided.")) (|duplicates| (((|List| (|Record| (|:| |entry| |#1|) (|:| |count| (|NonNegativeInteger|)))) $) "\\spad{duplicates(d)} returns a list of values which have duplicates in \\spad{d}")) (|removeDuplicates!| (($ $) "\\spad{removeDuplicates!(d)} destructively removes any duplicate values in dictionary \\spad{d}.")) (|insert!| (($ |#1| $ (|NonNegativeInteger|)) "\\spad{insert!(x,{}d,{}n)} destructively inserts \\spad{n} copies of \\spad{x} into dictionary \\spad{d}."))) 
-((-4522 . T) (-3973 . T)) 
+((-4536 . T) (-2982 . T)) 
 NIL 
-(-685 U) 
+(-686 U) 
 ((|constructor| (NIL "This package supports factorization and gcds of univariate polynomials over the integers modulo different primes. The inputs are given as polynomials over the integers with the prime passed explicitly as an extra argument.")) (|exptMod| ((|#1| |#1| (|Integer|) |#1| (|Integer|)) "\\spad{exptMod(f,{}n,{}g,{}p)} raises the univariate polynomial \\spad{f} to the \\spad{n}th power modulo the polynomial \\spad{g} and the prime \\spad{p}.")) (|separateFactors| (((|List| |#1|) (|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|)))) (|Integer|)) "\\spad{separateFactors(ddl,{} p)} refines the distinct degree factorization produced by ddFact to give a complete list of factors.")) (|ddFact| (((|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|)))) |#1| (|Integer|)) "\\spad{ddFact(f,{}p)} computes a distinct degree factorization of the polynomial \\spad{f} modulo the prime \\spad{p},{} \\spadignore{i.e.} such that each factor is a product of irreducibles of the same degrees. The input polynomial \\spad{f} is assumed to be square-free modulo \\spad{p}.")) (|factor| (((|List| |#1|) |#1| (|Integer|)) "\\spad{factor(f1,{}p)} returns the list of factors of the univariate polynomial \\spad{f1} modulo the integer prime \\spad{p}. Error: if \\spad{f1} is not square-free modulo \\spad{p}.")) (|linears| ((|#1| |#1| (|Integer|)) "\\spad{linears(f,{}p)} returns the product of all the linear factors of \\spad{f} modulo \\spad{p}. Potentially incorrect result if \\spad{f} is not square-free modulo \\spad{p}.")) (|gcd| ((|#1| |#1| |#1| (|Integer|)) "\\spad{gcd(f1,{}f2,{}p)} computes the \\spad{gcd} of the univariate polynomials \\spad{f1} and \\spad{f2} modulo the integer prime \\spad{p}."))) 
 NIL 
 NIL 
-(-686) 
+(-687) 
 ((|constructor| (NIL "This package has no description")) (|ptFunc| (((|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) "\\spad{ptFunc(a,{}b,{}c,{}d)} is an internal function exported in order to compile packages.")) (|meshPar1Var| (((|ThreeSpace| (|DoubleFloat|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{meshPar1Var(s,{}t,{}u,{}f,{}s1,{}l)} \\undocumented")) (|meshFun2Var| (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined") (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{meshFun2Var(f,{}g,{}s1,{}s2,{}l)} \\undocumented")) (|meshPar2Var| (((|ThreeSpace| (|DoubleFloat|)) (|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{meshPar2Var(sp,{}f,{}s1,{}s2,{}l)} \\undocumented") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{meshPar2Var(f,{}s1,{}s2,{}l)} \\undocumented") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined") (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{meshPar2Var(f,{}g,{}h,{}j,{}s1,{}s2,{}l)} \\undocumented"))) 
 NIL 
 NIL 
-(-687 OV E -1478 PG) 
+(-688 OV E -1564 PG) 
 ((|constructor| (NIL "Package for factorization of multivariate polynomials over finite fields.")) (|factor| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{factor(p)} produces the complete factorization of the multivariate polynomial \\spad{p} over a finite field. \\spad{p} is represented as a univariate polynomial with multivariate coefficients over a finite field.") (((|Factored| |#4|) |#4|) "\\spad{factor(p)} produces the complete factorization of the multivariate polynomial \\spad{p} over a finite field."))) 
 NIL 
 NIL 
-(-688) 
+(-689) 
 ((|constructor| (NIL "A domain which models the floating point representation used by machines in the AXIOM-NAG link.")) (|changeBase| (($ (|Integer|) (|Integer|) (|PositiveInteger|)) "\\spad{changeBase(exp,{}man,{}base)} is not documented")) (|exponent| (((|Integer|) $) "\\spad{exponent(u)} returns the exponent of \\spad{u}")) (|mantissa| (((|Integer|) $) "\\spad{mantissa(u)} returns the mantissa of \\spad{u}")) (|coerce| (($ (|MachineInteger|)) "\\spad{coerce(u)} transforms a MachineInteger into a MachineFloat") (((|Float|) $) "\\spad{coerce(u)} transforms a MachineFloat to a standard Float")) (|minimumExponent| (((|Integer|)) "\\spad{minimumExponent()} returns the minimum exponent in the model") (((|Integer|) (|Integer|)) "\\spad{minimumExponent(e)} sets the minimum exponent in the model to \\spad{e}")) (|maximumExponent| (((|Integer|)) "\\spad{maximumExponent()} returns the maximum exponent in the model") (((|Integer|) (|Integer|)) "\\spad{maximumExponent(e)} sets the maximum exponent in the model to \\spad{e}")) (|base| (((|PositiveInteger|)) "\\spad{base()} returns the base of the model") (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{base(b)} sets the base of the model to \\spad{b}")) (|precision| (((|PositiveInteger|)) "\\spad{precision()} returns the number of digits in the model") (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{precision(p)} sets the number of digits in the model to \\spad{p}"))) 
-((-3999 . T) (-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-2994 . T) (-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-689 R) 
+(-690 R) 
 ((|constructor| (NIL "Modular hermitian row reduction.")) (|normalizedDivide| (((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|) "\\spad{normalizedDivide(n,{}d)} returns a normalized quotient and remainder such that consistently unique representatives for the residue class are chosen,{} \\spadignore{e.g.} positive remainders")) (|rowEchelonLocal| (((|Matrix| |#1|) (|Matrix| |#1|) |#1| |#1|) "\\spad{rowEchelonLocal(m,{} d,{} p)} computes the row-echelon form of \\spad{m} concatenated with \\spad{d} times the identity matrix over a local ring where \\spad{p} is the only prime.")) (|rowEchLocal| (((|Matrix| |#1|) (|Matrix| |#1|) |#1|) "\\spad{rowEchLocal(m,{}p)} computes a modular row-echelon form of \\spad{m},{} finding an appropriate modulus over a local ring where \\spad{p} is the only prime.")) (|rowEchelon| (((|Matrix| |#1|) (|Matrix| |#1|) |#1|) "\\spad{rowEchelon(m,{} d)} computes a modular row-echelon form mod \\spad{d} of \\indented{3}{[\\spad{d}\\space{5}]} \\indented{3}{[\\space{2}\\spad{d}\\space{3}]} \\indented{3}{[\\space{4}. ]} \\indented{3}{[\\space{5}\\spad{d}]} \\indented{3}{[\\space{3}\\spad{M}\\space{2}]} where \\spad{M = m mod d}.")) (|rowEch| (((|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{rowEch(m)} computes a modular row-echelon form of \\spad{m},{} finding an appropriate modulus."))) 
 NIL 
 NIL 
-(-690) 
+(-691) 
 ((|constructor| (NIL "A domain which models the integer representation used by machines in the AXIOM-NAG link.")) (|coerce| (((|Expression| $) (|Expression| (|Integer|))) "\\spad{coerce(x)} returns \\spad{x} with coefficients in the domain")) (|maxint| (((|PositiveInteger|)) "\\spad{maxint()} returns the maximum integer in the model") (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{maxint(u)} sets the maximum integer in the model to \\spad{u}"))) 
-((-4520 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4534 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-691 S D1 D2 I) 
+(-692 S D1 D2 I) 
 ((|constructor| (NIL "Tools and transforms for making compiled functions from top-level expressions")) (|compiledFunction| (((|Mapping| |#4| |#2| |#3|) |#1| (|Symbol|) (|Symbol|)) "\\spad{compiledFunction(expr,{}x,{}y)} returns a function \\spad{f: (D1,{} D2) -> I} defined by \\spad{f(x,{} y) == expr}. Function \\spad{f} is compiled and directly applicable to objects of type \\spad{(D1,{} D2)}")) (|binaryFunction| (((|Mapping| |#4| |#2| |#3|) (|Symbol|)) "\\spad{binaryFunction(s)} is a local function"))) 
 NIL 
 NIL 
-(-692 S) 
+(-693 S) 
 ((|constructor| (NIL "MakeCachableSet(\\spad{S}) returns a cachable set which is equal to \\spad{S} as a set.")) (|coerce| (($ |#1|) "\\spad{coerce(s)} returns \\spad{s} viewed as an element of \\%."))) 
 NIL 
 NIL 
-(-693 S) 
+(-694 S) 
 ((|constructor| (NIL "Tools for making compiled functions from top-level expressions MakeFloatCompiledFunction transforms top-level objects into compiled Lisp functions whose arguments are Lisp floats. This by-passes the \\Language{} compiler and interpreter,{} thereby gaining several orders of magnitude.")) (|makeFloatFunction| (((|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) |#1| (|Symbol|) (|Symbol|)) "\\spad{makeFloatFunction(expr,{} x,{} y)} returns a Lisp function \\spad{f: (\\axiomType{DoubleFloat},{} \\axiomType{DoubleFloat}) -> \\axiomType{DoubleFloat}} defined by \\spad{f(x,{} y) == expr}. Function \\spad{f} is compiled and directly applicable to objects of type \\spad{(\\axiomType{DoubleFloat},{} \\axiomType{DoubleFloat})}.") (((|Mapping| (|DoubleFloat|) (|DoubleFloat|)) |#1| (|Symbol|)) "\\spad{makeFloatFunction(expr,{} x)} returns a Lisp function \\spad{f: \\axiomType{DoubleFloat} -> \\axiomType{DoubleFloat}} defined by \\spad{f(x) == expr}. Function \\spad{f} is compiled and directly applicable to objects of type \\axiomType{DoubleFloat}."))) 
 NIL 
 NIL 
-(-694 S) 
+(-695 S) 
 ((|constructor| (NIL "Tools for making interpreter functions from top-level expressions Transforms top-level objects into interpreter functions.")) (|function| (((|Symbol|) |#1| (|Symbol|) (|List| (|Symbol|))) "\\spad{function(e,{} foo,{} [x1,{}...,{}xn])} creates a function \\spad{foo(x1,{}...,{}xn) == e}.") (((|Symbol|) |#1| (|Symbol|) (|Symbol|) (|Symbol|)) "\\spad{function(e,{} foo,{} x,{} y)} creates a function \\spad{foo(x,{} y) = e}.") (((|Symbol|) |#1| (|Symbol|) (|Symbol|)) "\\spad{function(e,{} foo,{} x)} creates a function \\spad{foo(x) == e}.") (((|Symbol|) |#1| (|Symbol|)) "\\spad{function(e,{} foo)} creates a function \\spad{foo() == e}."))) 
 NIL 
 NIL 
-(-695 S T$) 
+(-696 S T$) 
 ((|constructor| (NIL "MakeRecord is used internally by the interpreter to create record types which are used for doing parallel iterations on streams.")) (|makeRecord| (((|Record| (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|) "\\spad{makeRecord(a,{}b)} creates a record object with type Record(part1:S,{} part2:R),{} where \\spad{part1} is \\spad{a} and \\spad{part2} is \\spad{b}."))) 
 NIL 
 NIL 
-(-696 S -3192 I) 
+(-697 S -3022 I) 
 ((|constructor| (NIL "Tools for making compiled functions from top-level expressions Transforms top-level objects into compiled functions.")) (|compiledFunction| (((|Mapping| |#3| |#2|) |#1| (|Symbol|)) "\\spad{compiledFunction(expr,{} x)} returns a function \\spad{f: D -> I} defined by \\spad{f(x) == expr}. Function \\spad{f} is compiled and directly applicable to objects of type \\spad{D}.")) (|unaryFunction| (((|Mapping| |#3| |#2|) (|Symbol|)) "\\spad{unaryFunction(a)} is a local function"))) 
 NIL 
 NIL 
-(-697 E OV R P) 
+(-698 E OV R P) 
 ((|constructor| (NIL "This package provides the functions for the multivariate \"lifting\",{} using an algorithm of Paul Wang. This package will work for every euclidean domain \\spad{R} which has property \\spad{F},{} \\spadignore{i.e.} there exists a factor operation in \\spad{R[x]}.")) (|lifting1| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|SparseUnivariatePolynomial| |#4|)) (|List| |#3|) (|List| |#4|) (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| |#4|)))) (|List| (|NonNegativeInteger|)) (|Vector| (|List| (|SparseUnivariatePolynomial| |#3|))) |#3|) "\\spad{lifting1(u,{}lv,{}lu,{}lr,{}lp,{}lt,{}ln,{}t,{}r)} \\undocumented")) (|lifting| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|SparseUnivariatePolynomial| |#3|)) (|List| |#3|) (|List| |#4|) (|List| (|NonNegativeInteger|)) |#3|) "\\spad{lifting(u,{}lv,{}lu,{}lr,{}lp,{}ln,{}r)} \\undocumented")) (|corrPoly| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| |#3|) (|List| (|NonNegativeInteger|)) (|List| (|SparseUnivariatePolynomial| |#4|)) (|Vector| (|List| (|SparseUnivariatePolynomial| |#3|))) |#3|) "\\spad{corrPoly(u,{}lv,{}lr,{}ln,{}lu,{}t,{}r)} \\undocumented"))) 
 NIL 
 NIL 
-(-698 R) 
+(-699 R) 
 ((|constructor| (NIL "This is the category of linear operator rings with one generator. The generator is not named by the category but can always be constructed as \\spad{monomial(1,{}1)}. \\blankline For convenience,{} call the generator \\spad{G}. Then each value is equal to \\spad{sum(a(i)*G**i,{} i = 0..n)} for some unique \\spad{n} and \\spad{a(i)} in \\spad{R}. \\blankline Note that multiplication is not necessarily commutative. In fact,{} if \\spad{a} is in \\spad{R},{} it is quite normal to have \\spad{a*G \\^= G*a}.")) (|monomial| (($ |#1| (|NonNegativeInteger|)) "\\spad{monomial(c,{}k)} produces \\spad{c} times the \\spad{k}-th power of the generating operator,{} \\spad{monomial(1,{}1)}.")) (|coefficient| ((|#1| $ (|NonNegativeInteger|)) "\\spad{coefficient(l,{}k)} is \\spad{a(k)} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}")) (|reductum| (($ $) "\\spad{reductum(l)} is \\spad{l - monomial(a(n),{}n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(l)} is \\spad{a(n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}")) (|minimumDegree| (((|NonNegativeInteger|) $) "\\spad{minimumDegree(l)} is the smallest \\spad{k} such that \\spad{a(k) \\^= 0} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(l)} is \\spad{n} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}"))) 
-((-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-699 R1 UP1 UPUP1 R2 UP2 UPUP2) 
+(-700 R1 UP1 UPUP1 R2 UP2 UPUP2) 
 ((|constructor| (NIL "Lifting of a map through 2 levels of polynomials.")) (|map| ((|#6| (|Mapping| |#4| |#1|) |#3|) "\\spad{map(f,{} p)} lifts \\spad{f} to the domain of \\spad{p} then applies it to \\spad{p}."))) 
 NIL 
 NIL 
-(-700) 
+(-701) 
 ((|constructor| (NIL "This package is based on the TeXFormat domain by Robert \\spad{S}. Sutor \\spadtype{MathMLFormat} provides a coercion from \\spadtype{OutputForm} to MathML format.")) (|display| (((|Void|) (|String|)) "prints the string returned by coerce,{} adding <math ...> tags.")) (|exprex| (((|String|) (|OutputForm|)) "coverts \\spadtype{OutputForm} to \\spadtype{String} with the structure preserved with braces. Actually this is not quite accurate. The function \\spadfun{precondition} is first applied to the \\spadtype{OutputForm} expression before \\spadfun{exprex}. The raw \\spadtype{OutputForm} and the nature of the \\spadfun{precondition} function is still obscure to me at the time of this writing (2007-02-14).")) (|coerceL| (((|String|) (|OutputForm|)) "coerceS(\\spad{o}) changes \\spad{o} in the standard output format to MathML format and displays result as one long string.")) (|coerceS| (((|String|) (|OutputForm|)) "\\spad{coerceS(o)} changes \\spad{o} in the standard output format to MathML format and displays formatted result.")) (|coerce| (((|String|) (|OutputForm|)) "coerceS(\\spad{o}) changes \\spad{o} in the standard output format to MathML format."))) 
 NIL 
 NIL 
-(-701 R |Mod| -3121 -3645 |exactQuo|) 
+(-702 R |Mod| -2461 -3288 |exactQuo|) 
 ((|constructor| (NIL "These domains are used for the factorization and gcds of univariate polynomials over the integers in order to work modulo different primes. See \\spadtype{ModularRing},{} \\spadtype{EuclideanModularRing}")) (|exQuo| (((|Union| $ "failed") $ $) "\\spad{exQuo(x,{}y)} is not documented")) (|reduce| (($ |#1| |#2|) "\\spad{reduce(r,{}m)} is not documented")) (|coerce| ((|#1| $) "\\spad{coerce(x)} is not documented")) (|modulus| ((|#2| $) "\\spad{modulus(x)} is not documented"))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-702 R |Rep|) 
+(-703 R |Rep|) 
 ((|constructor| (NIL "This package has not been documented")) (|frobenius| (($ $) "\\spad{frobenius(x)} is not documented")) (|computePowers| (((|PrimitiveArray| $)) "\\spad{computePowers()} is not documented")) (|pow| (((|PrimitiveArray| $)) "\\spad{pow()} is not documented")) (|An| (((|Vector| |#1|) $) "\\spad{An(x)} is not documented")) (|UnVectorise| (($ (|Vector| |#1|)) "\\spad{UnVectorise(v)} is not documented")) (|Vectorise| (((|Vector| |#1|) $) "\\spad{Vectorise(x)} is not documented")) (|coerce| (($ |#2|) "\\spad{coerce(x)} is not documented")) (|lift| ((|#2| $) "\\spad{lift(x)} is not documented")) (|reduce| (($ |#2|) "\\spad{reduce(x)} is not documented")) (|modulus| ((|#2|) "\\spad{modulus()} is not documented")) (|setPoly| ((|#2| |#2|) "\\spad{setPoly(x)} is not documented"))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4517 |has| |#1| (-365)) (-4519 |has| |#1| (-6 -4519)) (-4516 . T) (-4515 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-904))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-172))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558)))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-381))))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-568))))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381)))))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568)))))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541))))) (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-1136))) (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#1| (QUOTE (-370))) (|HasCategory| |#1| (QUOTE (-350))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (|HasCategory| |#1| (QUOTE (-225))) (|HasAttribute| |#1| (QUOTE -4519)) (|HasCategory| |#1| (QUOTE (-453))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-904)))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-904)))) (|HasCategory| |#1| (QUOTE (-148))))) 
-(-703 IS E |ff|) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4531 |has| |#1| (-366)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1137))) (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-351))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasAttribute| |#1| (QUOTE -4533)) (|HasCategory| |#1| (QUOTE (-454))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-704 IS E |ff|) 
 ((|constructor| (NIL "This package has no documentation")) (|construct| (($ |#1| |#2|) "\\spad{construct(i,{}e)} is not documented")) (|coerce| (((|Record| (|:| |index| |#1|) (|:| |exponent| |#2|)) $) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |index| |#1|) (|:| |exponent| |#2|))) "\\spad{coerce(x)} is not documented")) (|index| ((|#1| $) "\\spad{index(x)} is not documented")) (|exponent| ((|#2| $) "\\spad{exponent(x)} is not documented"))) 
 NIL 
 NIL 
-(-704 R M) 
+(-705 R M) 
 ((|constructor| (NIL "Algebra of ADDITIVE operators on a module.")) (|makeop| (($ |#1| (|FreeGroup| (|BasicOperator|))) "\\spad{makeop should} be local but conditional")) (|opeval| ((|#2| (|BasicOperator|) |#2|) "\\spad{opeval should} be local but conditional")) (** (($ $ (|Integer|)) "\\spad{op**n} is not documented") (($ (|BasicOperator|) (|Integer|)) "\\spad{op**n} is not documented")) (|evaluateInverse| (($ $ (|Mapping| |#2| |#2|)) "\\spad{evaluateInverse(x,{}f)} is not documented")) (|evaluate| (($ $ (|Mapping| |#2| |#2|)) "\\spad{evaluate(f,{} u +-> g u)} attaches the map \\spad{g} to \\spad{f}. \\spad{f} must be a basic operator \\spad{g} MUST be additive,{} \\spadignore{i.e.} \\spad{g(a + b) = g(a) + g(b)} for any \\spad{a},{} \\spad{b} in \\spad{M}. This implies that \\spad{g(n a) = n g(a)} for any \\spad{a} in \\spad{M} and integer \\spad{n > 0}.")) (|conjug| ((|#1| |#1|) "\\spad{conjug(x)}should be local but conditional")) (|adjoint| (($ $ $) "\\spad{adjoint(op1,{} op2)} sets the adjoint of \\spad{op1} to be \\spad{op2}. \\spad{op1} must be a basic operator") (($ $) "\\spad{adjoint(op)} returns the adjoint of the operator \\spad{op}."))) 
-((-4516 |has| |#1| (-172)) (-4515 |has| |#1| (-172)) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-150)))) 
-(-705 R |Mod| -3121 -3645 |exactQuo|) 
+((-4530 |has| |#1| (-173)) (-4529 |has| |#1| (-173)) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151)))) 
+(-706 R |Mod| -2461 -3288 |exactQuo|) 
 ((|constructor| (NIL "These domains are used for the factorization and gcds of univariate polynomials over the integers in order to work modulo different primes. See \\spadtype{EuclideanModularRing} ,{}\\spadtype{ModularField}")) (|inv| (($ $) "\\spad{inv(x)} is not documented")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(x)} is not documented")) (|exQuo| (((|Union| $ "failed") $ $) "\\spad{exQuo(x,{}y)} is not documented")) (|reduce| (($ |#1| |#2|) "\\spad{reduce(r,{}m)} is not documented")) (|coerce| ((|#1| $) "\\spad{coerce(x)} is not documented")) (|modulus| ((|#2| $) "\\spad{modulus(x)} is not documented"))) 
-((-4518 . T)) 
+((-4532 . T)) 
 NIL 
-(-706 S R) 
+(-707 S R) 
 ((|constructor| (NIL "The category of modules over a commutative ring. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{1*x = x}\\spad{\\br} \\tab{5}\\spad{(a*b)*x = a*(b*x)}\\spad{\\br} \\tab{5}\\spad{(a+b)*x = (a*x)+(b*x)}\\spad{\\br} \\tab{5}\\spad{a*(x+y) = (a*x)+(a*y)}"))) 
 NIL 
 NIL 
-(-707 R) 
+(-708 R) 
 ((|constructor| (NIL "The category of modules over a commutative ring. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{1*x = x}\\spad{\\br} \\tab{5}\\spad{(a*b)*x = a*(b*x)}\\spad{\\br} \\tab{5}\\spad{(a+b)*x = (a*x)+(b*x)}\\spad{\\br} \\tab{5}\\spad{a*(x+y) = (a*x)+(a*y)}"))) 
-((-4516 . T) (-4515 . T)) 
+((-4530 . T) (-4529 . T)) 
 NIL 
-(-708 -1478) 
+(-709 -1564) 
 ((|constructor| (NIL "MoebiusTransform(\\spad{F}) is the domain of fractional linear (Moebius) transformations over \\spad{F}. This a domain of 2-by-2 matrices acting on \\spad{P1}(\\spad{F}).")) (|eval| (((|OnePointCompletion| |#1|) $ (|OnePointCompletion| |#1|)) "\\spad{eval(m,{}x)} returns \\spad{(a*x + b)/(c*x + d)} where \\spad{m = moebius(a,{}b,{}c,{}d)} (see moebius from MoebiusTransform).") ((|#1| $ |#1|) "\\spad{eval(m,{}x)} returns \\spad{(a*x + b)/(c*x + d)} where \\spad{m = moebius(a,{}b,{}c,{}d)} (see moebius from MoebiusTransform).")) (|recip| (($ $) "\\spad{recip(m)} = recip() * \\spad{m}") (($) "\\spad{recip()} returns \\spad{matrix [[0,{}1],{}[1,{}0]]} representing the map \\spad{x -> 1 / x}.")) (|scale| (($ $ |#1|) "\\spad{scale(m,{}h)} returns \\spad{scale(h) * m} (see shift from MoebiusTransform).") (($ |#1|) "\\spad{scale(k)} returns \\spad{matrix [[k,{}0],{}[0,{}1]]} representing the map \\spad{x -> k * x}.")) (|shift| (($ $ |#1|) "\\spad{shift(m,{}h)} returns \\spad{shift(h) * m} (see shift from MoebiusTransform).") (($ |#1|) "\\spad{shift(k)} returns \\spad{matrix [[1,{}k],{}[0,{}1]]} representing the map \\spad{x -> x + k}.")) (|moebius| (($ |#1| |#1| |#1| |#1|) "\\spad{moebius(a,{}b,{}c,{}d)} returns \\spad{matrix [[a,{}b],{}[c,{}d]]}."))) 
-((-4518 . T)) 
+((-4532 . T)) 
 NIL 
-(-709 S) 
+(-710 S) 
 ((|constructor| (NIL "Monad is the class of all multiplicative monads,{} \\spadignore{i.e.} sets with a binary operation.")) (** (($ $ (|PositiveInteger|)) "\\spad{a**n} returns the \\spad{n}\\spad{-}th power of \\spad{a},{} defined by repeated squaring.")) (|leftPower| (($ $ (|PositiveInteger|)) "\\spad{leftPower(a,{}n)} returns the \\spad{n}\\spad{-}th left power of \\spad{a},{} \\spadignore{i.e.} \\spad{leftPower(a,{}n) := a * leftPower(a,{}n-1)} and \\spad{leftPower(a,{}1) := a}.")) (|rightPower| (($ $ (|PositiveInteger|)) "\\spad{rightPower(a,{}n)} returns the \\spad{n}\\spad{-}th right power of \\spad{a},{} \\spadignore{i.e.} \\spad{rightPower(a,{}n) := rightPower(a,{}n-1) * a} and \\spad{rightPower(a,{}1) := a}.")) (* (($ $ $) "\\spad{a*b} is the product of \\spad{a} and \\spad{b} in a set with a binary operation."))) 
 NIL 
 NIL 
-(-710) 
+(-711) 
 ((|constructor| (NIL "Monad is the class of all multiplicative monads,{} \\spadignore{i.e.} sets with a binary operation.")) (** (($ $ (|PositiveInteger|)) "\\spad{a**n} returns the \\spad{n}\\spad{-}th power of \\spad{a},{} defined by repeated squaring.")) (|leftPower| (($ $ (|PositiveInteger|)) "\\spad{leftPower(a,{}n)} returns the \\spad{n}\\spad{-}th left power of \\spad{a},{} \\spadignore{i.e.} \\spad{leftPower(a,{}n) := a * leftPower(a,{}n-1)} and \\spad{leftPower(a,{}1) := a}.")) (|rightPower| (($ $ (|PositiveInteger|)) "\\spad{rightPower(a,{}n)} returns the \\spad{n}\\spad{-}th right power of \\spad{a},{} \\spadignore{i.e.} \\spad{rightPower(a,{}n) := rightPower(a,{}n-1) * a} and \\spad{rightPower(a,{}1) := a}.")) (* (($ $ $) "\\spad{a*b} is the product of \\spad{a} and \\spad{b} in a set with a binary operation."))) 
 NIL 
 NIL 
-(-711 S) 
+(-712 S) 
 ((|constructor| (NIL "MonadWithUnit is the class of multiplicative monads with unit,{} \\spadignore{i.e.} sets with a binary operation and a unit element. \\blankline Axioms\\spad{\\br} \\tab{5}leftIdentity(\"*\":(\\%,{}\\%)\\spad{->}\\%,{}1) \\spadignore{e.g.} 1*x=x\\spad{\\br} \\tab{5}rightIdentity(\"*\":(\\%,{}\\%)\\spad{->}\\%,{}1) \\spad{e}.\\spad{g} x*1=x \\blankline Common Additional Axioms\\spad{\\br} \\tab{5}unitsKnown - if \"recip\" says \"failed\",{} it PROVES input wasn\\spad{'t} a unit")) (|rightRecip| (((|Union| $ "failed") $) "\\spad{rightRecip(a)} returns an element,{} which is a right inverse of \\spad{a},{} or \\spad{\"failed\"} if such an element doesn\\spad{'t} exist or cannot be determined (see unitsKnown).")) (|leftRecip| (((|Union| $ "failed") $) "\\spad{leftRecip(a)} returns an element,{} which is a left inverse of \\spad{a},{} or \\spad{\"failed\"} if such an element doesn\\spad{'t} exist or cannot be determined (see unitsKnown).")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(a)} returns an element,{} which is both a left and a right inverse of \\spad{a},{} or \\spad{\"failed\"} if such an element doesn\\spad{'t} exist or cannot be determined (see unitsKnown).")) (** (($ $ (|NonNegativeInteger|)) "\\spad{a**n} returns the \\spad{n}\\spad{-}th power of \\spad{a},{} defined by repeated squaring.")) (|leftPower| (($ $ (|NonNegativeInteger|)) "\\spad{leftPower(a,{}n)} returns the \\spad{n}\\spad{-}th left power of \\spad{a},{} \\spadignore{i.e.} \\spad{leftPower(a,{}n) := a * leftPower(a,{}n-1)} and \\spad{leftPower(a,{}0) := 1}.")) (|rightPower| (($ $ (|NonNegativeInteger|)) "\\spad{rightPower(a,{}n)} returns the \\spad{n}\\spad{-}th right power of \\spad{a},{} \\spadignore{i.e.} \\spad{rightPower(a,{}n) := rightPower(a,{}n-1) * a} and \\spad{rightPower(a,{}0) := 1}.")) (|one?| (((|Boolean|) $) "\\spad{one?(a)} tests whether \\spad{a} is the unit 1.")) ((|One|) (($) "1 returns the unit element,{} denoted by 1."))) 
 NIL 
 NIL 
-(-712) 
+(-713) 
 ((|constructor| (NIL "MonadWithUnit is the class of multiplicative monads with unit,{} \\spadignore{i.e.} sets with a binary operation and a unit element. \\blankline Axioms\\spad{\\br} \\tab{5}leftIdentity(\"*\":(\\%,{}\\%)\\spad{->}\\%,{}1) \\spadignore{e.g.} 1*x=x\\spad{\\br} \\tab{5}rightIdentity(\"*\":(\\%,{}\\%)\\spad{->}\\%,{}1) \\spad{e}.\\spad{g} x*1=x \\blankline Common Additional Axioms\\spad{\\br} \\tab{5}unitsKnown - if \"recip\" says \"failed\",{} it PROVES input wasn\\spad{'t} a unit")) (|rightRecip| (((|Union| $ "failed") $) "\\spad{rightRecip(a)} returns an element,{} which is a right inverse of \\spad{a},{} or \\spad{\"failed\"} if such an element doesn\\spad{'t} exist or cannot be determined (see unitsKnown).")) (|leftRecip| (((|Union| $ "failed") $) "\\spad{leftRecip(a)} returns an element,{} which is a left inverse of \\spad{a},{} or \\spad{\"failed\"} if such an element doesn\\spad{'t} exist or cannot be determined (see unitsKnown).")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(a)} returns an element,{} which is both a left and a right inverse of \\spad{a},{} or \\spad{\"failed\"} if such an element doesn\\spad{'t} exist or cannot be determined (see unitsKnown).")) (** (($ $ (|NonNegativeInteger|)) "\\spad{a**n} returns the \\spad{n}\\spad{-}th power of \\spad{a},{} defined by repeated squaring.")) (|leftPower| (($ $ (|NonNegativeInteger|)) "\\spad{leftPower(a,{}n)} returns the \\spad{n}\\spad{-}th left power of \\spad{a},{} \\spadignore{i.e.} \\spad{leftPower(a,{}n) := a * leftPower(a,{}n-1)} and \\spad{leftPower(a,{}0) := 1}.")) (|rightPower| (($ $ (|NonNegativeInteger|)) "\\spad{rightPower(a,{}n)} returns the \\spad{n}\\spad{-}th right power of \\spad{a},{} \\spadignore{i.e.} \\spad{rightPower(a,{}n) := rightPower(a,{}n-1) * a} and \\spad{rightPower(a,{}0) := 1}.")) (|one?| (((|Boolean|) $) "\\spad{one?(a)} tests whether \\spad{a} is the unit 1.")) ((|One|) (($) "1 returns the unit element,{} denoted by 1."))) 
 NIL 
 NIL 
-(-713 S R UP) 
+(-714 S R UP) 
 ((|constructor| (NIL "A \\spadtype{MonogenicAlgebra} is an algebra of finite rank which can be generated by a single element.")) (|derivationCoordinates| (((|Matrix| |#2|) (|Vector| $) (|Mapping| |#2| |#2|)) "\\spad{derivationCoordinates(b,{} ')} returns \\spad{M} such that \\spad{b' = M b}.")) (|lift| ((|#3| $) "\\spad{lift(z)} returns a minimal degree univariate polynomial up such that \\spad{z=reduce up}.")) (|convert| (($ |#3|) "\\spad{convert(up)} converts the univariate polynomial \\spad{up} to an algebra element,{} reducing by the \\spad{definingPolynomial()} if necessary.")) (|reduce| (((|Union| $ "failed") (|Fraction| |#3|)) "\\spad{reduce(frac)} converts the fraction \\spad{frac} to an algebra element.") (($ |#3|) "\\spad{reduce(up)} converts the univariate polynomial \\spad{up} to an algebra element,{} reducing by the \\spad{definingPolynomial()} if necessary.")) (|definingPolynomial| ((|#3|) "\\spad{definingPolynomial()} returns the minimal polynomial which \\spad{generator()} satisfies.")) (|generator| (($) "\\spad{generator()} returns the generator for this domain."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-350))) (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-370)))) 
-(-714 R UP) 
+((|HasCategory| |#2| (QUOTE (-351))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-371)))) 
+(-715 R UP) 
 ((|constructor| (NIL "A \\spadtype{MonogenicAlgebra} is an algebra of finite rank which can be generated by a single element.")) (|derivationCoordinates| (((|Matrix| |#1|) (|Vector| $) (|Mapping| |#1| |#1|)) "\\spad{derivationCoordinates(b,{} ')} returns \\spad{M} such that \\spad{b' = M b}.")) (|lift| ((|#2| $) "\\spad{lift(z)} returns a minimal degree univariate polynomial up such that \\spad{z=reduce up}.")) (|convert| (($ |#2|) "\\spad{convert(up)} converts the univariate polynomial \\spad{up} to an algebra element,{} reducing by the \\spad{definingPolynomial()} if necessary.")) (|reduce| (((|Union| $ "failed") (|Fraction| |#2|)) "\\spad{reduce(frac)} converts the fraction \\spad{frac} to an algebra element.") (($ |#2|) "\\spad{reduce(up)} converts the univariate polynomial \\spad{up} to an algebra element,{} reducing by the \\spad{definingPolynomial()} if necessary.")) (|definingPolynomial| ((|#2|) "\\spad{definingPolynomial()} returns the minimal polynomial which \\spad{generator()} satisfies.")) (|generator| (($) "\\spad{generator()} returns the generator for this domain."))) 
-((-4514 |has| |#1| (-365)) (-4519 |has| |#1| (-365)) (-4513 |has| |#1| (-365)) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4528 |has| |#1| (-366)) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-715 S) 
+(-716 S) 
 ((|constructor| (NIL "The class of multiplicative monoids,{} \\spadignore{i.e.} semigroups with a multiplicative identity element. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{leftIdentity(\"*\":(\\%,{}\\%)->\\%,{}1)}\\tab{5}\\spad{1*x=x}\\spad{\\br} \\tab{5}\\spad{rightIdentity(\"*\":(\\%,{}\\%)->\\%,{}1)}\\tab{4}\\spad{x*1=x} \\blankline Conditional attributes\\spad{\\br} \\tab{5}unitsKnown - \\spadfun{recip} only returns \"failed\" on non-units")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(x)} tries to compute the multiplicative inverse for \\spad{x} or \"failed\" if it cannot find the inverse (see unitsKnown).")) (^ (($ $ (|NonNegativeInteger|)) "\\spad{x^n} returns the repeated product of \\spad{x} \\spad{n} times,{} \\spadignore{i.e.} exponentiation.")) (** (($ $ (|NonNegativeInteger|)) "\\spad{x**n} returns the repeated product of \\spad{x} \\spad{n} times,{} \\spadignore{i.e.} exponentiation.")) (|one?| (((|Boolean|) $) "\\spad{one?(x)} tests if \\spad{x} is equal to 1.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) ((|One|) (($) "1 is the multiplicative identity."))) 
 NIL 
 NIL 
-(-716) 
+(-717) 
 ((|constructor| (NIL "The class of multiplicative monoids,{} \\spadignore{i.e.} semigroups with a multiplicative identity element. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{leftIdentity(\"*\":(\\%,{}\\%)->\\%,{}1)}\\tab{5}\\spad{1*x=x}\\spad{\\br} \\tab{5}\\spad{rightIdentity(\"*\":(\\%,{}\\%)->\\%,{}1)}\\tab{4}\\spad{x*1=x} \\blankline Conditional attributes\\spad{\\br} \\tab{5}unitsKnown - \\spadfun{recip} only returns \"failed\" on non-units")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(x)} tries to compute the multiplicative inverse for \\spad{x} or \"failed\" if it cannot find the inverse (see unitsKnown).")) (^ (($ $ (|NonNegativeInteger|)) "\\spad{x^n} returns the repeated product of \\spad{x} \\spad{n} times,{} \\spadignore{i.e.} exponentiation.")) (** (($ $ (|NonNegativeInteger|)) "\\spad{x**n} returns the repeated product of \\spad{x} \\spad{n} times,{} \\spadignore{i.e.} exponentiation.")) (|one?| (((|Boolean|) $) "\\spad{one?(x)} tests if \\spad{x} is equal to 1.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) ((|One|) (($) "1 is the multiplicative identity."))) 
 NIL 
 NIL 
-(-717 -1478 UP) 
+(-718 -1564 UP) 
 ((|constructor| (NIL "Tools for handling monomial extensions.")) (|decompose| (((|Record| (|:| |poly| |#2|) (|:| |normal| (|Fraction| |#2|)) (|:| |special| (|Fraction| |#2|))) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{decompose(f,{} D)} returns \\spad{[p,{}n,{}s]} such that \\spad{f = p+n+s},{} all the squarefree factors of \\spad{denom(n)} are normal \\spad{w}.\\spad{r}.\\spad{t}. \\spad{D},{} \\spad{denom(s)} is special \\spad{w}.\\spad{r}.\\spad{t}. \\spad{D},{} and \\spad{n} and \\spad{s} are proper fractions (no pole at infinity). \\spad{D} is the derivation to use.")) (|normalDenom| ((|#2| (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{normalDenom(f,{} D)} returns the product of all the normal factors of \\spad{denom(f)}. \\spad{D} is the derivation to use.")) (|splitSquarefree| (((|Record| (|:| |normal| (|Factored| |#2|)) (|:| |special| (|Factored| |#2|))) |#2| (|Mapping| |#2| |#2|)) "\\spad{splitSquarefree(p,{} D)} returns \\spad{[n_1 n_2\\^2 ... n_m\\^m,{} s_1 s_2\\^2 ... s_q\\^q]} such that \\spad{p = n_1 n_2\\^2 ... n_m\\^m s_1 s_2\\^2 ... s_q\\^q},{} each \\spad{n_i} is normal \\spad{w}.\\spad{r}.\\spad{t}. \\spad{D} and each \\spad{s_i} is special \\spad{w}.\\spad{r}.\\spad{t} \\spad{D}. \\spad{D} is the derivation to use.")) (|split| (((|Record| (|:| |normal| |#2|) (|:| |special| |#2|)) |#2| (|Mapping| |#2| |#2|)) "\\spad{split(p,{} D)} returns \\spad{[n,{}s]} such that \\spad{p = n s},{} all the squarefree factors of \\spad{n} are normal \\spad{w}.\\spad{r}.\\spad{t}. \\spad{D},{} and \\spad{s} is special \\spad{w}.\\spad{r}.\\spad{t}. \\spad{D}. \\spad{D} is the derivation to use."))) 
 NIL 
 NIL 
-(-718 |VarSet| -4464 E2 R S PR PS) 
+(-719 |VarSet| -1375 E2 R S PR PS) 
 ((|constructor| (NIL "Utilities for MPolyCat")) (|reshape| ((|#7| (|List| |#5|) |#6|) "\\spad{reshape(l,{}p)} \\undocumented")) (|map| ((|#7| (|Mapping| |#5| |#4|) |#6|) "\\spad{map(f,{}p)} \\undocumented"))) 
 NIL 
 NIL 
-(-719 |Vars1| |Vars2| -4464 E2 R PR1 PR2) 
+(-720 |Vars1| |Vars2| -1375 E2 R PR1 PR2) 
 ((|constructor| (NIL "This package has no description")) (|map| ((|#7| (|Mapping| |#2| |#1|) |#6|) "\\spad{map(f,{}x)} \\undocumented"))) 
 NIL 
 NIL 
-(-720 E OV R PPR) 
+(-721 E OV R PPR) 
 ((|constructor| (NIL "This package exports a factor operation for multivariate polynomials with coefficients which are polynomials over some ring \\spad{R} over which we can factor. It is used internally by packages such as the solve package which need to work with polynomials in a specific set of variables with coefficients which are polynomials in all the other variables.")) (|factor| (((|Factored| |#4|) |#4|) "\\spad{factor(p)} factors a polynomial with polynomial coefficients.")) (|variable| (((|Union| $ "failed") (|Symbol|)) "\\spad{variable(s)} makes an element from symbol \\spad{s} or fails.")) (|convert| (((|Symbol|) $) "\\spad{convert(x)} converts \\spad{x} to a symbol"))) 
 NIL 
 NIL 
-(-721 |vl| R) 
+(-722 |vl| R) 
 ((|constructor| (NIL "This type is the basic representation of sparse recursive multivariate polynomials whose variables are from a user specified list of symbols. The ordering is specified by the position of the variable in the list. The coefficient ring may be non commutative,{} but the variables are assumed to commute."))) 
-(((-4523 "*") |has| |#2| (-172)) (-4514 |has| |#2| (-558)) (-4519 |has| |#2| (-6 -4519)) (-4516 . T) (-4515 . T) (-4518 . T)) 
-((|HasCategory| |#2| (QUOTE (-904))) (|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-172))) (-2199 (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-558)))) (-12 (|HasCategory| (-852 |#1|) (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#2| (LIST (QUOTE -881) (QUOTE (-381))))) (-12 (|HasCategory| (-852 |#1|) (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -881) (QUOTE (-568))))) (-12 (|HasCategory| (-852 |#1|) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#2| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381)))))) (-12 (|HasCategory| (-852 |#1|) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568)))))) (-12 (|HasCategory| (-852 |#1|) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-541))))) (|HasCategory| |#2| (QUOTE (-842))) (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-150))) (|HasCategory| |#2| (QUOTE (-148))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-365))) (-2199 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (|HasAttribute| |#2| (QUOTE -4519)) (|HasCategory| |#2| (QUOTE (-453))) (-2199 (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-453))) (|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-904)))) (-2199 (|HasCategory| |#2| (QUOTE (-453))) (|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-904)))) (-2199 (|HasCategory| |#2| (QUOTE (-453))) (|HasCategory| |#2| (QUOTE (-904)))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#2| (QUOTE (-904)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#2| (QUOTE (-904)))) (|HasCategory| |#2| (QUOTE (-148))))) 
-(-722 E OV R PRF) 
+(((-4537 "*") |has| |#2| (-173)) (-4528 |has| |#2| (-559)) (-4533 |has| |#2| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
+((|HasCategory| |#2| (QUOTE (-905))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#2| (QUOTE (-843))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#2| (QUOTE -4533)) (|HasCategory| |#2| (QUOTE (-454))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (|HasCategory| |#2| (QUOTE (-149))))) 
+(-723 E OV R PRF) 
 ((|constructor| (NIL "This package exports a factor operation for multivariate polynomials with coefficients which are rational functions over some ring \\spad{R} over which we can factor. It is used internally by packages such as primary decomposition which need to work with polynomials with rational function coefficients,{} \\spadignore{i.e.} themselves fractions of polynomials.")) (|factor| (((|Factored| |#4|) |#4|) "\\spad{factor(prf)} factors a polynomial with rational function coefficients.")) (|pushuconst| ((|#4| (|Fraction| (|Polynomial| |#3|)) |#2|) "\\spad{pushuconst(r,{}var)} takes a rational function and raises all occurances of the variable \\spad{var} to the polynomial level.")) (|pushucoef| ((|#4| (|SparseUnivariatePolynomial| (|Polynomial| |#3|)) |#2|) "\\spad{pushucoef(upoly,{}var)} converts the anonymous univariate polynomial \\spad{upoly} to a polynomial in \\spad{var} over rational functions.")) (|pushup| ((|#4| |#4| |#2|) "\\spad{pushup(prf,{}var)} raises all occurences of the variable \\spad{var} in the coefficients of the polynomial \\spad{prf} back to the polynomial level.")) (|pushdterm| ((|#4| (|SparseUnivariatePolynomial| |#4|) |#2|) "\\spad{pushdterm(monom,{}var)} pushes all top level occurences of the variable \\spad{var} into the coefficient domain for the monomial \\spad{monom}.")) (|pushdown| ((|#4| |#4| |#2|) "\\spad{pushdown(prf,{}var)} pushes all top level occurences of the variable \\spad{var} into the coefficient domain for the polynomial \\spad{prf}.")) (|totalfract| (((|Record| (|:| |sup| (|Polynomial| |#3|)) (|:| |inf| (|Polynomial| |#3|))) |#4|) "\\spad{totalfract(prf)} takes a polynomial whose coefficients are themselves fractions of polynomials and returns a record containing the numerator and denominator resulting from putting \\spad{prf} over a common denominator.")) (|convert| (((|Symbol|) $) "\\spad{convert(x)} converts \\spad{x} to a symbol"))) 
 NIL 
 NIL 
-(-723 E OV R P) 
+(-724 E OV R P) 
 ((|constructor| (NIL "MRationalFactorize contains the factor function for multivariate polynomials over the quotient field of a ring \\spad{R} such that the package MultivariateFactorize can factor multivariate polynomials over \\spad{R}.")) (|factor| (((|Factored| |#4|) |#4|) "\\spad{factor(p)} factors the multivariate polynomial \\spad{p} with coefficients which are fractions of elements of \\spad{R}."))) 
 NIL 
 NIL 
-(-724 R S M) 
+(-725 R S M) 
 ((|constructor| (NIL "\\spad{MonoidRingFunctions2} implements functions between two monoid rings defined with the same monoid over different rings.")) (|map| (((|MonoidRing| |#2| |#3|) (|Mapping| |#2| |#1|) (|MonoidRing| |#1| |#3|)) "\\spad{map(f,{}u)} maps \\spad{f} onto the coefficients \\spad{f} the element \\spad{u} of the monoid ring to create an element of a monoid ring with the same monoid \\spad{b}."))) 
 NIL 
 NIL 
-(-725 R M) 
+(-726 R M) 
 ((|constructor| (NIL "\\spadtype{MonoidRing}(\\spad{R},{}\\spad{M}),{} implements the algebra of all maps from the monoid \\spad{M} to the commutative ring \\spad{R} with finite support. Multiplication of two maps \\spad{f} and \\spad{g} is defined to map an element \\spad{c} of \\spad{M} to the (convolution) sum over \\spad{f}(a)\\spad{g}(\\spad{b}) such that ab = \\spad{c}. Thus \\spad{M} can be identified with a canonical basis and the maps can also be considered as formal linear combinations of the elements in \\spad{M}. Scalar multiples of a basis element are called monomials. A prominent example is the class of polynomials where the monoid is a direct product of the natural numbers with pointwise addition. When \\spad{M} is \\spadtype{FreeMonoid Symbol},{} one gets polynomials in infinitely many non-commuting variables. Another application area is representation theory of finite groups \\spad{G},{} where modules over \\spadtype{MonoidRing}(\\spad{R},{}\\spad{G}) are studied.")) (|reductum| (($ $) "\\spad{reductum(f)} is \\spad{f} minus its leading monomial.")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(f)} gives the coefficient of \\spad{f},{} whose corresponding monoid element is the greatest among all those with non-zero coefficients.")) (|leadingMonomial| ((|#2| $) "\\spad{leadingMonomial(f)} gives the monomial of \\spad{f} whose corresponding monoid element is the greatest among all those with non-zero coefficients.")) (|numberOfMonomials| (((|NonNegativeInteger|) $) "\\spad{numberOfMonomials(f)} is the number of non-zero coefficients with respect to the canonical basis.")) (|monomials| (((|List| $) $) "\\spad{monomials(f)} gives the list of all monomials whose sum is \\spad{f}.")) (|coefficients| (((|List| |#1|) $) "\\spad{coefficients(f)} lists all non-zero coefficients.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(f)} tests if \\spad{f} is a single monomial.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(fn,{}u)} maps function \\spad{fn} onto the coefficients of the non-zero monomials of \\spad{u}.")) (|terms| (((|List| (|Record| (|:| |coef| |#1|) (|:| |monom| |#2|))) $) "\\spad{terms(f)} gives the list of non-zero coefficients combined with their corresponding basis element as records. This is the internal representation.")) (|coerce| (($ (|List| (|Record| (|:| |coef| |#1|) (|:| |monom| |#2|)))) "\\spad{coerce(lt)} converts a list of terms and coefficients to a member of the domain.")) (|coefficient| ((|#1| $ |#2|) "\\spad{coefficient(f,{}m)} extracts the coefficient of \\spad{m} in \\spad{f} with respect to the canonical basis \\spad{M}.")) (|monomial| (($ |#1| |#2|) "\\spad{monomial(r,{}m)} creates a scalar multiple of the basis element \\spad{m}."))) 
-((-4516 |has| |#1| (-172)) (-4515 |has| |#1| (-172)) (-4518 . T)) 
-((-12 (|HasCategory| |#1| (QUOTE (-370))) (|HasCategory| |#2| (QUOTE (-370)))) (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#2| (QUOTE (-842)))) 
-(-726 S) 
+((-4530 |has| |#1| (-173)) (-4529 |has| |#1| (-173)) (-4532 . T)) 
+((-12 (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#2| (QUOTE (-371)))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-843)))) 
+(-727 S) 
 ((|constructor| (NIL "A multi-set aggregate is a set which keeps track of the multiplicity of its elements."))) 
-((-4511 . T) (-4522 . T) (-3973 . T)) 
+((-4525 . T) (-4536 . T) (-2982 . T)) 
 NIL 
-(-727 S) 
+(-728 S) 
 ((|constructor| (NIL "A multiset is a set with multiplicities.")) (|remove!| (($ (|Mapping| (|Boolean|) |#1|) $ (|Integer|)) "\\spad{remove!(p,{}ms,{}number)} removes destructively at most \\spad{number} copies of elements \\spad{x} such that \\spad{p(x)} is \\spadfun{\\spad{true}} if \\spad{number} is positive,{} all of them if \\spad{number} equals zero,{} and all but at most \\spad{-number} if \\spad{number} is negative.") (($ |#1| $ (|Integer|)) "\\spad{remove!(x,{}ms,{}number)} removes destructively at most \\spad{number} copies of element \\spad{x} if \\spad{number} is positive,{} all of them if \\spad{number} equals zero,{} and all but at most \\spad{-number} if \\spad{number} is negative.")) (|remove| (($ (|Mapping| (|Boolean|) |#1|) $ (|Integer|)) "\\spad{remove(p,{}ms,{}number)} removes at most \\spad{number} copies of elements \\spad{x} such that \\spad{p(x)} is \\spadfun{\\spad{true}} if \\spad{number} is positive,{} all of them if \\spad{number} equals zero,{} and all but at most \\spad{-number} if \\spad{number} is negative.") (($ |#1| $ (|Integer|)) "\\spad{remove(x,{}ms,{}number)} removes at most \\spad{number} copies of element \\spad{x} if \\spad{number} is positive,{} all of them if \\spad{number} equals zero,{} and all but at most \\spad{-number} if \\spad{number} is negative.")) (|members| (((|List| |#1|) $) "\\spad{members(ms)} returns a list of the elements of \\spad{ms} without their multiplicity. See also \\spadfun{parts}.")) (|multiset| (($ (|List| |#1|)) "\\spad{multiset(ls)} creates a multiset with elements from \\spad{ls}.") (($ |#1|) "\\spad{multiset(s)} creates a multiset with singleton \\spad{s}.") (($) "\\spad{multiset()}\\$\\spad{D} creates an empty multiset of domain \\spad{D}."))) 
-((-4521 . T) (-4511 . T) (-4522 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (QUOTE (-1090))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090))))) 
-(-728) 
+((-4535 . T) (-4525 . T) (-4536 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
+(-729) 
 ((|constructor| (NIL "\\spadtype{MoreSystemCommands} implements an interface with the system command facility. These are the commands that are issued from source files or the system interpreter and they start with a close parenthesis,{} \\spadignore{e.g.} the \"what\" commands.")) (|systemCommand| (((|Void|) (|String|)) "\\spad{systemCommand(cmd)} takes the string \\spadvar{\\spad{cmd}} and passes it to the runtime environment for execution as a system command. Although various things may be printed,{} no usable value is returned."))) 
 NIL 
 NIL 
-(-729 S) 
+(-730 S) 
 ((|constructor| (NIL "This package exports tools for merging lists")) (|mergeDifference| (((|List| |#1|) (|List| |#1|) (|List| |#1|)) "\\spad{mergeDifference(l1,{}l2)} returns a list of elements in \\spad{l1} not present in \\spad{l2}. Assumes lists are ordered and all \\spad{x} in \\spad{l2} are also in \\spad{l1}."))) 
 NIL 
 NIL 
-(-730 |Coef| |Var|) 
+(-731 |Coef| |Var|) 
 ((|constructor| (NIL "\\spadtype{MultivariateTaylorSeriesCategory} is the most general multivariate Taylor series category.")) (|integrate| (($ $ |#2|) "\\spad{integrate(f,{}x)} returns the anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{x} with constant coefficient 1. We may integrate a series when we can divide coefficients by integers.")) (|polynomial| (((|Polynomial| |#1|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{polynomial(f,{}k1,{}k2)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 <= d <= k2}.") (((|Polynomial| |#1|) $ (|NonNegativeInteger|)) "\\spad{polynomial(f,{}k)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{<= k}.")) (|order| (((|NonNegativeInteger|) $ |#2| (|NonNegativeInteger|)) "\\spad{order(f,{}x,{}n)} returns \\spad{min(n,{}order(f,{}x))}.") (((|NonNegativeInteger|) $ |#2|) "\\spad{order(f,{}x)} returns the order of \\spad{f} viewed as a series in \\spad{x} may result in an infinite loop if \\spad{f} has no non-zero terms.")) (|monomial| (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) "\\spad{monomial(a,{}[x1,{}x2,{}...,{}xk],{}[n1,{}n2,{}...,{}nk])} returns \\spad{a * x1^n1 * ... * xk^nk}.") (($ $ |#2| (|NonNegativeInteger|)) "\\spad{monomial(a,{}x,{}n)} returns \\spad{a*x^n}.")) (|extend| (($ $ (|NonNegativeInteger|)) "\\spad{extend(f,{}n)} causes all terms of \\spad{f} of degree \\spad{<= n} to be computed.")) (|coefficient| (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) "\\spad{coefficient(f,{}[x1,{}x2,{}...,{}xk],{}[n1,{}n2,{}...,{}nk])} returns the coefficient of \\spad{x1^n1 * ... * xk^nk} in \\spad{f}.") (($ $ |#2| (|NonNegativeInteger|)) "\\spad{coefficient(f,{}x,{}n)} returns the coefficient of \\spad{x^n} in \\spad{f}."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4516 . T) (-4515 . T) (-4518 . T)) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4530 . T) (-4529 . T) (-4532 . T)) 
 NIL 
-(-731 OV E R P) 
+(-732 OV E R P) 
 ((|constructor| (NIL "This is the top level package for doing multivariate factorization over basic domains like \\spadtype{Integer} or \\spadtype{Fraction Integer}.")) (|factor| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{factor(p)} factors the multivariate polynomial \\spad{p} over its coefficient domain where \\spad{p} is represented as a univariate polynomial with multivariate coefficients") (((|Factored| |#4|) |#4|) "\\spad{factor(p)} factors the multivariate polynomial \\spad{p} over its coefficient domain"))) 
 NIL 
 NIL 
-(-732 E OV R P) 
+(-733 E OV R P) 
 ((|constructor| (NIL "This package provides the functions for the computation of the square free decomposition of a multivariate polynomial. It uses the package GenExEuclid for the resolution of the equation \\spad{Af + Bg = h} and its generalization to \\spad{n} polynomials over an integral domain and the package \\spad{MultivariateLifting} for the \"multivariate\" lifting.")) (|normDeriv2| (((|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#3|) (|Integer|)) "\\spad{normDeriv2 should} be local")) (|myDegree| (((|List| (|NonNegativeInteger|)) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|NonNegativeInteger|)) "\\spad{myDegree should} be local")) (|lift| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#3|) |#4| (|List| |#2|) (|List| (|NonNegativeInteger|)) (|List| |#3|)) "\\spad{lift should} be local")) (|check| (((|Boolean|) (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|)))) (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|))))) "\\spad{check should} be local")) (|coefChoose| ((|#4| (|Integer|) (|Factored| |#4|)) "\\spad{coefChoose should} be local")) (|intChoose| (((|Record| (|:| |upol| (|SparseUnivariatePolynomial| |#3|)) (|:| |Lval| (|List| |#3|)) (|:| |Lfact| (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|))))) (|:| |ctpol| |#3|)) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|List| |#3|))) "\\spad{intChoose should} be local")) (|nsqfree| (((|Record| (|:| |unitPart| |#4|) (|:| |suPart| (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#4|)) (|:| |exponent| (|Integer|)))))) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|List| |#3|))) "\\spad{nsqfree should} be local")) (|consnewpol| (((|Record| (|:| |pol| (|SparseUnivariatePolynomial| |#4|)) (|:| |polval| (|SparseUnivariatePolynomial| |#3|))) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#3|) (|Integer|)) "\\spad{consnewpol should} be local")) (|univcase| (((|Factored| |#4|) |#4| |#2|) "\\spad{univcase should} be local")) (|compdegd| (((|Integer|) (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|))))) "\\spad{compdegd should} be local")) (|squareFreePrim| (((|Factored| |#4|) |#4|) "\\spad{squareFreePrim(p)} compute the square free decomposition of a primitive multivariate polynomial \\spad{p}.")) (|squareFree| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{squareFree(p)} computes the square free decomposition of a multivariate polynomial \\spad{p} presented as a univariate polynomial with multivariate coefficients.") (((|Factored| |#4|) |#4|) "\\spad{squareFree(p)} computes the square free decomposition of a multivariate polynomial \\spad{p}."))) 
 NIL 
 NIL 
-(-733 |q| R) 
+(-734 |q| R) 
 ((|constructor| (NIL "This domain has no description"))) 
-((-4519 |has| |#2| (-558)) (-4513 |has| |#2| (-558)) (-4518 -2199 (|has| |#2| (-478)) (|has| |#2| (-1047))) (-4516 |has| |#2| (-172)) (-4515 |has| |#2| (-172)) ((-4523 "*") |has| |#2| (-558)) (-4514 |has| |#2| (-558))) 
-((|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-148))) (|HasCategory| |#2| (QUOTE (-150))) (|HasCategory| |#2| (QUOTE (-1047))) (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-478))) (|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#2| (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#2| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#2| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (-2199 (|HasCategory| |#2| (QUOTE (-478))) (|HasCategory| |#2| (QUOTE (-558)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-1047)))) (-2199 (|HasCategory| |#2| (QUOTE (-478))) (|HasCategory| |#2| (QUOTE (-1047)))) (|HasCategory| |#2| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-1102))) (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (-2199 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-558)))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-558)))) (-2199 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-558))))) (|HasCategory| $ (QUOTE (-1047))) (|HasCategory| $ (LIST (QUOTE -1037) (QUOTE (-568))))) 
-(-734 |x| R) 
+((-4533 |has| |#2| (-559)) (-4527 |has| |#2| (-559)) (-4532 -2232 (|has| |#2| (-479)) (|has| |#2| (-1048))) (-4530 |has| |#2| (-173)) (-4529 |has| |#2| (-173)) ((-4537 "*") |has| |#2| (-559)) (-4528 |has| |#2| (-559))) 
+((|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-1048))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-479))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (-2232 (|HasCategory| |#2| (QUOTE (-479))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1048)))) (-2232 (|HasCategory| |#2| (QUOTE (-479))) (|HasCategory| |#2| (QUOTE (-1048)))) (|HasCategory| |#2| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-1103))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-559)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-559)))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-559))))) (|HasCategory| $ (QUOTE (-1048))) (|HasCategory| $ (LIST (QUOTE -1038) (QUOTE (-569))))) 
+(-735 |x| R) 
 ((|constructor| (NIL "This domain has no description")) (|fmecg| (($ $ (|NonNegativeInteger|) |#2| $) "\\spad{fmecg(p1,{}e,{}r,{}p2)} finds \\spad{x} : \\spad{p1} - \\spad{r} * x**e * \\spad{p2}")) (|coerce| (($ (|Variable| |#1|)) "\\spad{coerce(x)} converts the variable \\spad{x} to a univariate polynomial."))) 
-(((-4523 "*") |has| |#2| (-172)) (-4514 |has| |#2| (-558)) (-4517 |has| |#2| (-365)) (-4519 |has| |#2| (-6 -4519)) (-4516 . T) (-4515 . T) (-4518 . T)) 
-((|HasCategory| |#2| (QUOTE (-904))) (|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-172))) (-2199 (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-558)))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#2| (LIST (QUOTE -881) (QUOTE (-381))))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -881) (QUOTE (-568))))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#2| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381)))))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568)))))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-541))))) (|HasCategory| |#2| (QUOTE (-842))) (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-150))) (|HasCategory| |#2| (QUOTE (-148))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-1136))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (-2199 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (|HasCategory| |#2| (QUOTE (-225))) (|HasAttribute| |#2| (QUOTE -4519)) (|HasCategory| |#2| (QUOTE (-453))) (-2199 (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-453))) (|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-904)))) (-2199 (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-453))) (|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-904)))) (-2199 (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-453))) (|HasCategory| |#2| (QUOTE (-904)))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#2| (QUOTE (-904)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#2| (QUOTE (-904)))) (|HasCategory| |#2| (QUOTE (-148))))) 
-(-735 S R) 
+(((-4537 "*") |has| |#2| (-173)) (-4528 |has| |#2| (-559)) (-4531 |has| |#2| (-366)) (-4533 |has| |#2| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
+((|HasCategory| |#2| (QUOTE (-905))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#2| (QUOTE (-843))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1137))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#2| (QUOTE (-226))) (|HasAttribute| |#2| (QUOTE -4533)) (|HasCategory| |#2| (QUOTE (-454))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (|HasCategory| |#2| (QUOTE (-149))))) 
+(-736 S R) 
 ((|constructor| (NIL "NonAssociativeAlgebra is the category of non associative algebras (modules which are themselves non associative rngs).\\spad{\\br} \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{r*}(a*b) = (r*a)\\spad{*b} = a*(\\spad{r*b})")) (|plenaryPower| (($ $ (|PositiveInteger|)) "\\spad{plenaryPower(a,{}n)} is recursively defined to be \\spad{plenaryPower(a,{}n-1)*plenaryPower(a,{}n-1)} for \\spad{n>1} and \\spad{a} for \\spad{n=1}."))) 
 NIL 
 NIL 
-(-736 R) 
+(-737 R) 
 ((|constructor| (NIL "NonAssociativeAlgebra is the category of non associative algebras (modules which are themselves non associative rngs).\\spad{\\br} \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{r*}(a*b) = (r*a)\\spad{*b} = a*(\\spad{r*b})")) (|plenaryPower| (($ $ (|PositiveInteger|)) "\\spad{plenaryPower(a,{}n)} is recursively defined to be \\spad{plenaryPower(a,{}n-1)*plenaryPower(a,{}n-1)} for \\spad{n>1} and \\spad{a} for \\spad{n=1}."))) 
-((-4516 . T) (-4515 . T)) 
+((-4530 . T) (-4529 . T)) 
 NIL 
-(-737) 
+(-738) 
 ((|constructor| (NIL "This package uses the NAG Library to compute the zeros of a polynomial with real or complex coefficients.")) (|c02agf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Boolean|) (|Integer|)) "\\spad{c02agf(a,{}n,{}scale,{}ifail)} finds all the roots of a real polynomial equation,{} using a variant of Laguerre\\spad{'s} Method. See \\downlink{Manual Page}{manpageXXc02agf}.")) (|c02aff| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Boolean|) (|Integer|)) "\\spad{c02aff(a,{}n,{}scale,{}ifail)} finds all the roots of a complex polynomial equation,{} using a variant of Laguerre\\spad{'s} Method. See \\downlink{Manual Page}{manpageXXc02aff}."))) 
 NIL 
 NIL 
-(-738) 
+(-739) 
 ((|constructor| (NIL "This package uses the NAG Library to calculate real zeros of continuous real functions of one or more variables. (Complex equations must be expressed in terms of the equivalent larger system of real equations.)")) (|c05pbf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp35| FCN)))) "\\spad{c05pbf(n,{}ldfjac,{}lwa,{}x,{}xtol,{}ifail,{}fcn)} is an easy-to-use routine to find a solution of a system of nonlinear equations by a modification of the Powell hybrid method. The user must provide the Jacobian. See \\downlink{Manual Page}{manpageXXc05pbf}.")) (|c05nbf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp6| FCN)))) "\\spad{c05nbf(n,{}lwa,{}x,{}xtol,{}ifail,{}fcn)} is an easy-to-use routine to find a solution of a system of nonlinear equations by a modification of the Powell hybrid method. See \\downlink{Manual Page}{manpageXXc05nbf}.")) (|c05adf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) "\\spad{c05adf(a,{}b,{}eps,{}eta,{}ifail,{}f)} locates a zero of a continuous function in a given interval by a combination of the methods of linear interpolation,{} extrapolation and bisection. See \\downlink{Manual Page}{manpageXXc05adf}."))) 
 NIL 
 NIL 
-(-739) 
+(-740) 
 ((|constructor| (NIL "This package uses the NAG Library to calculate the discrete Fourier transform of a sequence of real or complex data values,{} and applies it to calculate convolutions and correlations.")) (|c06gsf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06gsf(m,{}n,{}x,{}ifail)} takes \\spad{m} Hermitian sequences,{} each containing \\spad{n} data values,{} and forms the real and imaginary parts of the \\spad{m} corresponding complex sequences. See \\downlink{Manual Page}{manpageXXc06gsf}.")) (|c06gqf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06gqf(m,{}n,{}x,{}ifail)} forms the complex conjugates,{} each containing \\spad{n} data values. See \\downlink{Manual Page}{manpageXXc06gqf}.")) (|c06gcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06gcf(n,{}y,{}ifail)} forms the complex conjugate of a sequence of \\spad{n} data values. See \\downlink{Manual Page}{manpageXXc06gcf}.")) (|c06gbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06gbf(n,{}x,{}ifail)} forms the complex conjugate of \\spad{n} data values. See \\downlink{Manual Page}{manpageXXc06gbf}.")) (|c06fuf| (((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06fuf(m,{}n,{}init,{}x,{}y,{}trigm,{}trign,{}ifail)} computes the two-dimensional discrete Fourier transform of a bivariate sequence of complex data values. This routine is designed to be particularly efficient on vector processors. See \\downlink{Manual Page}{manpageXXc06fuf}.")) (|c06frf| (((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06frf(m,{}n,{}init,{}x,{}y,{}trig,{}ifail)} computes the discrete Fourier transforms of \\spad{m} sequences,{} each containing \\spad{n} complex data values. This routine is designed to be particularly efficient on vector processors. See \\downlink{Manual Page}{manpageXXc06frf}.")) (|c06fqf| (((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06fqf(m,{}n,{}init,{}x,{}trig,{}ifail)} computes the discrete Fourier transforms of \\spad{m} Hermitian sequences,{} each containing \\spad{n} complex data values. This routine is designed to be particularly efficient on vector processors. See \\downlink{Manual Page}{manpageXXc06fqf}.")) (|c06fpf| (((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06fpf(m,{}n,{}init,{}x,{}trig,{}ifail)} computes the discrete Fourier transforms of \\spad{m} sequences,{} each containing \\spad{n} real data values. This routine is designed to be particularly efficient on vector processors. See \\downlink{Manual Page}{manpageXXc06fpf}.")) (|c06ekf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06ekf(job,{}n,{}x,{}y,{}ifail)} calculates the circular convolution of two real vectors of period \\spad{n}. No extra workspace is required. See \\downlink{Manual Page}{manpageXXc06ekf}.")) (|c06ecf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06ecf(n,{}x,{}y,{}ifail)} calculates the discrete Fourier transform of a sequence of \\spad{n} complex data values. (No extra workspace required.) See \\downlink{Manual Page}{manpageXXc06ecf}.")) (|c06ebf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06ebf(n,{}x,{}ifail)} calculates the discrete Fourier transform of a Hermitian sequence of \\spad{n} complex data values. (No extra workspace required.) See \\downlink{Manual Page}{manpageXXc06ebf}.")) (|c06eaf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06eaf(n,{}x,{}ifail)} calculates the discrete Fourier transform of a sequence of \\spad{n} real data values. (No extra workspace required.) See \\downlink{Manual Page}{manpageXXc06eaf}."))) 
 NIL 
 NIL 
-(-740) 
+(-741) 
 ((|constructor| (NIL "This package uses the NAG Library to calculate the numerical value of definite integrals in one or more dimensions and to evaluate weights and abscissae of integration rules.")) (|d01gbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN)))) "\\spad{d01gbf(ndim,{}a,{}b,{}maxcls,{}eps,{}lenwrk,{}mincls,{}wrkstr,{}ifail,{}functn)} returns an approximation to the integral of a function over a hyper-rectangular region,{} using a Monte Carlo method. An approximate relative error estimate is also returned. This routine is suitable for low accuracy work. See \\downlink{Manual Page}{manpageXXd01gbf}.")) (|d01gaf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|)) "\\spad{d01gaf(x,{}y,{}n,{}ifail)} integrates a function which is specified numerically at four or more points,{} over the whole of its specified range,{} using third-order finite-difference formulae with error estimates,{} according to a method due to Gill and Miller. See \\downlink{Manual Page}{manpageXXd01gaf}.")) (|d01fcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN)))) "\\spad{d01fcf(ndim,{}a,{}b,{}maxpts,{}eps,{}lenwrk,{}minpts,{}ifail,{}functn)} attempts to evaluate a multi-dimensional integral (up to 15 dimensions),{} with constant and finite limits,{} to a specified relative accuracy,{} using an adaptive subdivision strategy. See \\downlink{Manual Page}{manpageXXd01fcf}.")) (|d01bbf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{d01bbf(a,{}b,{}itype,{}n,{}gtype,{}ifail)} returns the weight appropriate to a Gaussian quadrature. The formulae provided are Gauss-Legendre,{} Gauss-Rational,{} Gauss- Laguerre and Gauss-Hermite. See \\downlink{Manual Page}{manpageXXd01bbf}.")) (|d01asf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) "\\spad{d01asf(a,{}omega,{}key,{}epsabs,{}limlst,{}lw,{}liw,{}ifail,{}g)} calculates an approximation to the sine or the cosine transform of a function \\spad{g} over [a,{}infty): See \\downlink{Manual Page}{manpageXXd01asf}.")) (|d01aqf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) "\\spad{d01aqf(a,{}b,{}c,{}epsabs,{}epsrel,{}lw,{}liw,{}ifail,{}g)} calculates an approximation to the Hilbert transform of a function \\spad{g}(\\spad{x}) over [a,{}\\spad{b}]: See \\downlink{Manual Page}{manpageXXd01aqf}.")) (|d01apf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) "\\spad{d01apf(a,{}b,{}alfa,{}beta,{}key,{}epsabs,{}epsrel,{}lw,{}liw,{}ifail,{}g)} is an adaptive integrator which calculates an approximation to the integral of a function \\spad{g}(\\spad{x})\\spad{w}(\\spad{x}) over a finite interval [a,{}\\spad{b}]: See \\downlink{Manual Page}{manpageXXd01apf}.")) (|d01anf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) "\\spad{d01anf(a,{}b,{}omega,{}key,{}epsabs,{}epsrel,{}lw,{}liw,{}ifail,{}g)} calculates an approximation to the sine or the cosine transform of a function \\spad{g} over [a,{}\\spad{b}]: See \\downlink{Manual Page}{manpageXXd01anf}.")) (|d01amf| (((|Result|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) "\\spad{d01amf(bound,{}inf,{}epsabs,{}epsrel,{}lw,{}liw,{}ifail,{}f)} calculates an approximation to the integral of a function \\spad{f}(\\spad{x}) over an infinite or semi-infinite interval [a,{}\\spad{b}]: See \\downlink{Manual Page}{manpageXXd01amf}.")) (|d01alf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) "\\spad{d01alf(a,{}b,{}npts,{}points,{}epsabs,{}epsrel,{}lw,{}liw,{}ifail,{}f)} is a general purpose integrator which calculates an approximation to the integral of a function \\spad{f}(\\spad{x}) over a finite interval [a,{}\\spad{b}]: See \\downlink{Manual Page}{manpageXXd01alf}.")) (|d01akf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) "\\spad{d01akf(a,{}b,{}epsabs,{}epsrel,{}lw,{}liw,{}ifail,{}f)} is an adaptive integrator,{} especially suited to oscillating,{} non-singular integrands,{} which calculates an approximation to the integral of a function \\spad{f}(\\spad{x}) over a finite interval [a,{}\\spad{b}]: See \\downlink{Manual Page}{manpageXXd01akf}.")) (|d01ajf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) "\\spad{d01ajf(a,{}b,{}epsabs,{}epsrel,{}lw,{}liw,{}ifail,{}f)} is a general-purpose integrator which calculates an approximation to the integral of a function \\spad{f}(\\spad{x}) over a finite interval [a,{}\\spad{b}]: See \\downlink{Manual Page}{manpageXXd01ajf}."))) 
 NIL 
 NIL 
-(-741) 
+(-742) 
 ((|constructor| (NIL "This package uses the NAG Library to calculate the numerical solution of ordinary differential equations. There are two main types of problem,{} those in which all boundary conditions are specified at one point (initial-value problems),{} and those in which the boundary conditions are distributed between two or more points (boundary- value problems and eigenvalue problems). Routines are available for initial-value problems,{} two-point boundary-value problems and Sturm-Liouville eigenvalue problems.")) (|d02raf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp41| FCN JACOBF JACEPS))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp42| G JACOBG JACGEP)))) "d02raf(\\spad{n},{}\\spad{mnp},{}numbeg,{}nummix,{}tol,{}init,{}iy,{}ijac,{}lwork,{} \\indented{7}{liwork,{}\\spad{np},{}\\spad{x},{}\\spad{y},{}deleps,{}ifail,{}\\spad{fcn},{}\\spad{g})} solves the two-point boundary-value problem with general boundary conditions for a system of ordinary differential equations,{} using a deferred correction technique and Newton iteration. See \\downlink{Manual Page}{manpageXXd02raf}.")) (|d02kef| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL))) (|FileName|) (|FileName|)) "d02kef(xpoint,{}\\spad{m},{}\\spad{k},{}tol,{}maxfun,{}match,{}elam,{}delam,{} \\indented{7}{hmax,{}maxit,{}ifail,{}coeffn,{}bdyval,{}monit,{}report)} finds a specified eigenvalue of a regular singular second- order Sturm-Liouville system on a finite or infinite range,{} using a Pruefer transformation and a shooting method. It also reports values of the eigenfunction and its derivatives. Provision is made for discontinuities in the coefficient functions or their derivatives. See \\downlink{Manual Page}{manpageXXd02kef}. Files \\spad{monit} and \\spad{report} will be used to define the subroutines for the MONIT and REPORT arguments. See \\downlink{Manual Page}{manpageXXd02gbf}.") (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL)))) "d02kef(xpoint,{}\\spad{m},{}\\spad{k},{}tol,{}maxfun,{}match,{}elam,{}delam,{} \\indented{7}{hmax,{}maxit,{}ifail,{}coeffn,{}bdyval)} finds a specified eigenvalue of a regular singular second- order Sturm-Liouville system on a finite or infinite range,{} using a Pruefer transformation and a shooting method. It also reports values of the eigenfunction and its derivatives. Provision is made for discontinuities in the coefficient functions or their derivatives. See \\downlink{Manual Page}{manpageXXd02kef}. ASP domains \\spad{Asp12} and \\spad{Asp33} are used to supply default subroutines for the MONIT and REPORT arguments via their \\axiomOp{outputAsFortran} operation.")) (|d02gbf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp77| FCNF))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp78| FCNG)))) "\\spad{d02gbf(a,{}b,{}n,{}tol,{}mnp,{}lw,{}liw,{}c,{}d,{}gam,{}x,{}np,{}ifail,{}fcnf,{}fcng)} solves a general linear two-point boundary value problem for a system of ordinary differential equations using a deferred correction technique. See \\downlink{Manual Page}{manpageXXd02gbf}.")) (|d02gaf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) "\\spad{d02gaf(u,{}v,{}n,{}a,{}b,{}tol,{}mnp,{}lw,{}liw,{}x,{}np,{}ifail,{}fcn)} solves the two-point boundary-value problem with assigned boundary values for a system of ordinary differential equations,{} using a deferred correction technique and a Newton iteration. See \\downlink{Manual Page}{manpageXXd02gaf}.")) (|d02ejf| (((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|String|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp31| PEDERV))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) "\\spad{d02ejf(xend,{}m,{}n,{}relabs,{}iw,{}x,{}y,{}tol,{}ifail,{}g,{}fcn,{}pederv,{}output)} integrates a stiff system of first-order ordinary differential equations over an interval with suitable initial conditions,{} using a variable-order,{} variable-step method implementing the Backward Differentiation Formulae (\\spad{BDF}),{} until a user-specified function,{} if supplied,{} of the solution is zero,{} and returns the solution at points specified by the user,{} if desired. See \\downlink{Manual Page}{manpageXXd02ejf}.")) (|d02cjf| (((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|String|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) "\\spad{d02cjf(xend,{}m,{}n,{}tol,{}relabs,{}x,{}y,{}ifail,{}g,{}fcn,{}output)} integrates a system of first-order ordinary differential equations over a range with suitable initial conditions,{} using a variable-order,{} variable-step Adams method until a user-specified function,{} if supplied,{} of the solution is zero,{} and returns the solution at points specified by the user,{} if desired. See \\downlink{Manual Page}{manpageXXd02cjf}.")) (|d02bhf| (((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) "\\spad{d02bhf(xend,{}n,{}irelab,{}hmax,{}x,{}y,{}tol,{}ifail,{}g,{}fcn)} integrates a system of first-order ordinary differential equations over an interval with suitable initial conditions,{} using a Runge-Kutta-Merson method,{} until a user-specified function of the solution is zero. See \\downlink{Manual Page}{manpageXXd02bhf}.")) (|d02bbf| (((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) "\\spad{d02bbf(xend,{}m,{}n,{}irelab,{}x,{}y,{}tol,{}ifail,{}fcn,{}output)} integrates a system of first-order ordinary differential equations over an interval with suitable initial conditions,{} using a Runge-Kutta-Merson method,{} and returns the solution at points specified by the user. See \\downlink{Manual Page}{manpageXXd02bbf}."))) 
 NIL 
 NIL 
-(-742) 
+(-743) 
 ((|constructor| (NIL "This package uses the NAG Library to solve partial differential equations.")) (|d03faf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|ThreeDimensionalMatrix| (|DoubleFloat|)) (|Integer|)) "d03faf(\\spad{xs},{}\\spad{xf},{}\\spad{l},{}lbdcnd,{}bdxs,{}bdxf,{}\\spad{ys},{}\\spad{yf},{}\\spad{m},{}mbdcnd,{}bdys,{}bdyf,{}\\spad{zs},{} \\indented{7}{\\spad{zf},{}\\spad{n},{}nbdcnd,{}bdzs,{}bdzf,{}lambda,{}ldimf,{}mdimf,{}lwrk,{}\\spad{f},{}ifail)} solves the Helmholtz equation in Cartesian co-ordinates in three dimensions using the standard seven-point finite difference approximation. This routine is designed to be particularly efficient on vector processors. See \\downlink{Manual Page}{manpageXXd03faf}.")) (|d03eef| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|String|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp73| PDEF))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp74| BNDY)))) "\\spad{d03eef(xmin,{}xmax,{}ymin,{}ymax,{}ngx,{}ngy,{}lda,{}scheme,{}ifail,{}pdef,{}bndy)} discretizes a second order elliptic partial differential equation (PDE) on a rectangular region. See \\downlink{Manual Page}{manpageXXd03eef}.")) (|d03edf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{d03edf(ngx,{}ngy,{}lda,{}maxit,{}acc,{}iout,{}a,{}rhs,{}ub,{}ifail)} solves seven-diagonal systems of linear equations which arise from the discretization of an elliptic partial differential equation on a rectangular region. This routine uses a multigrid technique. See \\downlink{Manual Page}{manpageXXd03edf}."))) 
 NIL 
 NIL 
-(-743) 
+(-744) 
 ((|constructor| (NIL "This package uses the NAG Library to calculate the interpolation of a function of one or two variables. When provided with the value of the function (and possibly one or more of its lowest-order derivatives) at each of a number of values of the variable(\\spad{s}),{} the routines provide either an interpolating function or an interpolated value. For some of the interpolating functions,{} there are supporting routines to evaluate,{} differentiate or integrate them.")) (|e01sff| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{e01sff(m,{}x,{}y,{}f,{}rnw,{}fnodes,{}px,{}py,{}ifail)} evaluates at a given point the two-dimensional interpolating function computed by E01SEF. See \\downlink{Manual Page}{manpageXXe01sff}.")) (|e01sef| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{e01sef(m,{}x,{}y,{}f,{}nw,{}nq,{}rnw,{}rnq,{}ifail)} generates a two-dimensional surface interpolating a set of scattered data points,{} using a modified Shepard method. See \\downlink{Manual Page}{manpageXXe01sef}.")) (|e01sbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{e01sbf(m,{}x,{}y,{}f,{}triang,{}grads,{}px,{}py,{}ifail)} evaluates at a given point the two-dimensional interpolant function computed by E01SAF. See \\downlink{Manual Page}{manpageXXe01sbf}.")) (|e01saf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e01saf(m,{}x,{}y,{}f,{}ifail)} generates a two-dimensional surface interpolating a set of scattered data points,{} using the method of Renka and Cline. See \\downlink{Manual Page}{manpageXXe01saf}.")) (|e01daf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e01daf(mx,{}my,{}x,{}y,{}f,{}ifail)} computes a bicubic spline interpolating surface through a set of data values,{} given on a rectangular grid in the \\spad{x}-\\spad{y} plane. See \\downlink{Manual Page}{manpageXXe01daf}.")) (|e01bhf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{e01bhf(n,{}x,{}f,{}d,{}a,{}b,{}ifail)} evaluates the definite integral of a piecewise cubic Hermite interpolant over the interval [a,{}\\spad{b}]. See \\downlink{Manual Page}{manpageXXe01bhf}.")) (|e01bgf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e01bgf(n,{}x,{}f,{}d,{}m,{}px,{}ifail)} evaluates a piecewise cubic Hermite interpolant and its first derivative at a set of points. See \\downlink{Manual Page}{manpageXXe01bgf}.")) (|e01bff| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e01bff(n,{}x,{}f,{}d,{}m,{}px,{}ifail)} evaluates a piecewise cubic Hermite interpolant at a set of points. See \\downlink{Manual Page}{manpageXXe01bff}.")) (|e01bef| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e01bef(n,{}x,{}f,{}ifail)} computes a monotonicity-preserving piecewise cubic Hermite interpolant to a set of data points. See \\downlink{Manual Page}{manpageXXe01bef}.")) (|e01baf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e01baf(m,{}x,{}y,{}lck,{}lwrk,{}ifail)} determines a cubic spline to a given set of data. See \\downlink{Manual Page}{manpageXXe01baf}."))) 
 NIL 
 NIL 
-(-744) 
+(-745) 
 ((|constructor| (NIL "This package uses the NAG Library to find a function which approximates a set of data points. Typically the data contain random errors,{} as of experimental measurement,{} which need to be smoothed out. To seek an approximation to the data,{} it is first necessary to specify for the approximating function a mathematical form (a polynomial,{} for example) which contains a number of unspecified coefficients: the appropriate fitting routine then derives for the coefficients the values which provide the best fit of that particular form. The package deals mainly with curve and surface fitting (\\spadignore{i.e.} fitting with functions of one and of two variables) when a polynomial or a cubic spline is used as the fitting function,{} since these cover the most common needs. However,{} fitting with other functions and/or more variables can be undertaken by means of general linear or nonlinear routines (some of which are contained in other packages) depending on whether the coefficients in the function occur linearly or nonlinearly. Cases where a graph rather than a set of data points is given can be treated simply by first reading a suitable set of points from the graph. The package also contains routines for evaluating,{} differentiating and integrating polynomial and spline curves and surfaces,{} once the numerical values of their coefficients have been determined.")) (|e02zaf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e02zaf(px,{}py,{}lamda,{}mu,{}m,{}x,{}y,{}npoint,{}nadres,{}ifail)} sorts two-dimensional data into rectangular panels. See \\downlink{Manual Page}{manpageXXe02zaf}.")) (|e02gaf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02gaf(m,{}la,{}nplus2,{}toler,{}a,{}b,{}ifail)} calculates an \\spad{l} solution to an over-determined system of linear equations. See \\downlink{Manual Page}{manpageXXe02gaf}.")) (|e02dff| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e02dff(mx,{}my,{}px,{}py,{}x,{}y,{}lamda,{}mu,{}c,{}lwrk,{}liwrk,{}ifail)} calculates values of a bicubic spline representation. The spline is evaluated at all points on a rectangular grid. See \\downlink{Manual Page}{manpageXXe02dff}.")) (|e02def| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02def(m,{}px,{}py,{}x,{}y,{}lamda,{}mu,{}c,{}ifail)} calculates values of a bicubic spline representation. See \\downlink{Manual Page}{manpageXXe02def}.")) (|e02ddf| (((|Result|) (|String|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02ddf(start,{}m,{}x,{}y,{}f,{}w,{}s,{}nxest,{}nyest,{}lwrk,{}liwrk,{}nx,{} ++ lamda,{}ny,{}mu,{}wrk,{}ifail)} computes a bicubic spline approximation to a set of scattered data are located automatically,{} but a single parameter must be specified to control the trade-off between closeness of fit and smoothness of fit. See \\downlink{Manual Page}{manpageXXe02ddf}.")) (|e02dcf| (((|Result|) (|String|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|)) "\\spad{e02dcf(start,{}mx,{}x,{}my,{}y,{}f,{}s,{}nxest,{}nyest,{}lwrk,{}liwrk,{}nx,{} ++ lamda,{}ny,{}mu,{}wrk,{}iwrk,{}ifail)} computes a bicubic spline approximation to a set of data values,{} given on a rectangular grid in the \\spad{x}-\\spad{y} plane. The knots of the spline are located automatically,{} but a single parameter must be specified to control the trade-off between closeness of fit and smoothness of fit. See \\downlink{Manual Page}{manpageXXe02dcf}.")) (|e02daf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02daf(m,{}px,{}py,{}x,{}y,{}f,{}w,{}mu,{}point,{}npoint,{}nc,{}nws,{}eps,{}lamda,{}ifail)} forms a minimal,{} weighted least-squares bicubic spline surface fit with prescribed knots to a given set of data points. See \\downlink{Manual Page}{manpageXXe02daf}.")) (|e02bef| (((|Result|) (|String|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|))) "\\spad{e02bef(start,{}m,{}x,{}y,{}w,{}s,{}nest,{}lwrk,{}n,{}lamda,{}ifail,{}wrk,{}iwrk)} computes a cubic spline approximation to an arbitrary set of data points. The knot are located automatically,{} but a single parameter must be specified to control the trade-off between closeness of fit and smoothness of fit. See \\downlink{Manual Page}{manpageXXe02bef}.")) (|e02bdf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02bdf(ncap7,{}lamda,{}c,{}ifail)} computes the definite integral from its \\spad{B}-spline representation. See \\downlink{Manual Page}{manpageXXe02bdf}.")) (|e02bcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|)) "\\spad{e02bcf(ncap7,{}lamda,{}c,{}x,{}left,{}ifail)} evaluates a cubic spline and its first three derivatives from its \\spad{B}-spline representation. See \\downlink{Manual Page}{manpageXXe02bcf}.")) (|e02bbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|)) "\\spad{e02bbf(ncap7,{}lamda,{}c,{}x,{}ifail)} evaluates a cubic spline representation. See \\downlink{Manual Page}{manpageXXe02bbf}.")) (|e02baf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02baf(m,{}ncap7,{}x,{}y,{}w,{}lamda,{}ifail)} computes a weighted least-squares approximation to an arbitrary set of data points by a cubic splines prescribed by the user. Cubic spline can also be carried out. See \\downlink{Manual Page}{manpageXXe02baf}.")) (|e02akf| (((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|)) "\\spad{e02akf(np1,{}xmin,{}xmax,{}a,{}ia1,{}la,{}x,{}ifail)} evaluates a polynomial from its Chebyshev-series representation,{} allowing an arbitrary index increment for accessing the array of coefficients. See \\downlink{Manual Page}{manpageXXe02akf}.")) (|e02ajf| (((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e02ajf(np1,{}xmin,{}xmax,{}a,{}ia1,{}la,{}qatm1,{}iaint1,{}laint,{}ifail)} determines the coefficients in the Chebyshev-series representation of the indefinite integral of a polynomial given in Chebyshev-series form. See \\downlink{Manual Page}{manpageXXe02ajf}.")) (|e02ahf| (((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e02ahf(np1,{}xmin,{}xmax,{}a,{}ia1,{}la,{}iadif1,{}ladif,{}ifail)} determines the coefficients in the Chebyshev-series representation of the derivative of a polynomial given in Chebyshev-series form. See \\downlink{Manual Page}{manpageXXe02ahf}.")) (|e02agf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e02agf(m,{}kplus1,{}nrows,{}xmin,{}xmax,{}x,{}y,{}w,{}mf,{}xf,{}yf,{}lyf,{}ip,{}lwrk,{}liwrk,{}ifail)} computes constrained weighted least-squares polynomial approximations in Chebyshev-series form to an arbitrary set of data points. The values of the approximations and any number of their derivatives can be specified at selected points. See \\downlink{Manual Page}{manpageXXe02agf}.")) (|e02aef| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|)) "\\spad{e02aef(nplus1,{}a,{}xcap,{}ifail)} evaluates a polynomial from its Chebyshev-series representation. See \\downlink{Manual Page}{manpageXXe02aef}.")) (|e02adf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02adf(m,{}kplus1,{}nrows,{}x,{}y,{}w,{}ifail)} computes weighted least-squares polynomial approximations to an arbitrary set of data points. See \\downlink{Manual Page}{manpageXXe02adf}."))) 
 NIL 
 NIL 
-(-745) 
+(-746) 
 ((|constructor| (NIL "This package uses the NAG Library to perform optimization. An optimization problem involves minimizing a function (called the objective function) of several variables,{} possibly subject to restrictions on the values of the variables defined by a set of constraint functions. The routines in the NAG Foundation Library are concerned with function minimization only,{} since the problem of maximizing a given function can be transformed into a minimization problem simply by multiplying the function by \\spad{-1}.")) (|e04ycf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e04ycf(job,{}m,{}n,{}fsumsq,{}s,{}lv,{}v,{}ifail)} returns estimates of elements of the variance matrix of the estimated regression coefficients for a nonlinear least squares problem. The estimates are derived from the Jacobian of the function \\spad{f}(\\spad{x}) at the solution. See \\downlink{Manual Page}{manpageXXe04ycf}.")) (|e04ucf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Boolean|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Boolean|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Boolean|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp55| CONFUN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp49| OBJFUN)))) "e04ucf(\\spad{n},{}nclin,{}ncnln,{}nrowa,{}nrowj,{}nrowr,{}a,{}\\spad{bl},{}bu,{}liwork,{}lwork,{}sta,{} \\indented{7}{cra,{}der,{}fea,{}fun,{}hes,{}infb,{}infs,{}linf,{}lint,{}list,{}maji,{}majp,{}mini,{}} \\indented{7}{minp,{}mon,{}nonf,{}opt,{}ste,{}stao,{}stac,{}stoo,{}stoc,{}ve,{}istate,{}cjac,{}} \\indented{7}{clamda,{}\\spad{r},{}\\spad{x},{}ifail,{}confun,{}objfun)} is designed to minimize an arbitrary smooth function subject to constraints on the variables,{} linear constraints. (E04UCF may be used for unconstrained,{} bound-constrained and linearly constrained optimization.) The user must provide subroutines that define the objective and constraint functions and as many of their first partial derivatives as possible. Unspecified derivatives are approximated by finite differences. All matrices are treated as dense,{} and hence E04UCF is not intended for large sparse problems. See \\downlink{Manual Page}{manpageXXe04ucf}.")) (|e04naf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Boolean|) (|Boolean|) (|Boolean|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp20| QPHESS)))) "e04naf(itmax,{}msglvl,{}\\spad{n},{}nclin,{}nctotl,{}nrowa,{}nrowh,{}ncolh,{}bigbnd,{}a,{}\\spad{bl},{} bu,{}cvec,{}featol,{}hess,{}cold,{}\\spad{lpp},{}orthog,{}liwork,{}lwork,{}\\spad{x},{}istate,{}ifail,{}qphess) is a comprehensive programming (\\spad{QP}) or linear programming (\\spad{LP}) problems. It is not intended for large sparse problems. See \\downlink{Manual Page}{manpageXXe04naf}.")) (|e04mbf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Boolean|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "e04mbf(itmax,{}msglvl,{}\\spad{n},{}nclin,{}nctotl,{}nrowa,{}a,{}\\spad{bl},{}bu,{} \\indented{7}{cvec,{}linobj,{}liwork,{}lwork,{}\\spad{x},{}ifail)} is an easy-to-use routine for solving linear programming problems,{} or for finding a feasible point for such problems. It is not intended for large sparse problems. See \\downlink{Manual Page}{manpageXXe04mbf}.")) (|e04jaf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp24| FUNCT1)))) "\\spad{e04jaf(n,{}ibound,{}liw,{}lw,{}bl,{}bu,{}x,{}ifail,{}funct1)} is an easy-to-use quasi-Newton algorithm for finding a minimum of a function \\spad{F}(\\spad{x} ,{}\\spad{x} ,{}...,{}\\spad{x} ),{} subject to fixed upper and \\indented{25}{1\\space{2}2\\space{6}\\spad{n}} lower bounds of the independent variables \\spad{x} ,{}\\spad{x} ,{}...,{}\\spad{x} ,{} using \\indented{43}{1\\space{2}2\\space{6}\\spad{n}} function values only. See \\downlink{Manual Page}{manpageXXe04jaf}.")) (|e04gcf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp19| LSFUN2)))) "\\spad{e04gcf(m,{}n,{}liw,{}lw,{}x,{}ifail,{}lsfun2)} is an easy-to-use quasi-Newton algorithm for finding an unconstrained minimum of \\spad{m} nonlinear functions in \\spad{n} variables (m>=n). First derivatives are required. See \\downlink{Manual Page}{manpageXXe04gcf}.")) (|e04fdf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp50| LSFUN1)))) "\\spad{e04fdf(m,{}n,{}liw,{}lw,{}x,{}ifail,{}lsfun1)} is an easy-to-use algorithm for finding an unconstrained minimum of a sum of squares of \\spad{m} nonlinear functions in \\spad{n} variables (m>=n). No derivatives are required. See \\downlink{Manual Page}{manpageXXe04fdf}.")) (|e04dgf| (((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|Boolean|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp49| OBJFUN)))) "\\spad{e04dgf(n,{}es,{}fu,{}it,{}lin,{}list,{}ma,{}op,{}pr,{}sta,{}sto,{}ve,{}x,{}ifail,{}objfun)} minimizes an unconstrained nonlinear function of several variables using a pre-conditioned,{} limited memory quasi-Newton conjugate gradient method. First derivatives are required. The routine is intended for use on large scale problems. See \\downlink{Manual Page}{manpageXXe04dgf}."))) 
 NIL 
 NIL 
-(-746) 
+(-747) 
 ((|constructor| (NIL "This package uses the NAG Library to provide facilities for matrix factorizations and associated transformations.")) (|f01ref| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) "\\spad{f01ref(wheret,{}m,{}n,{}ncolq,{}lda,{}theta,{}a,{}ifail)} returns the first \\spad{ncolq} columns of the complex \\spad{m} by \\spad{m} unitary matrix \\spad{Q},{} where \\spad{Q} is given as the product of Householder transformation matrices. See \\downlink{Manual Page}{manpageXXf01ref}.")) (|f01rdf| (((|Result|) (|String|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) "\\spad{f01rdf(trans,{}wheret,{}m,{}n,{}a,{}lda,{}theta,{}ncolb,{}ldb,{}b,{}ifail)} performs one of the transformations See \\downlink{Manual Page}{manpageXXf01rdf}.")) (|f01rcf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) "\\spad{f01rcf(m,{}n,{}lda,{}a,{}ifail)} finds the \\spad{QR} factorization of the complex \\spad{m} by \\spad{n} matrix A,{} where m>=n. See \\downlink{Manual Page}{manpageXXf01rcf}.")) (|f01qef| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f01qef(wheret,{}m,{}n,{}ncolq,{}lda,{}zeta,{}a,{}ifail)} returns the first \\spad{ncolq} columns of the real \\spad{m} by \\spad{m} orthogonal matrix \\spad{Q},{} where \\spad{Q} is given as the product of Householder transformation matrices. See \\downlink{Manual Page}{manpageXXf01qef}.")) (|f01qdf| (((|Result|) (|String|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f01qdf(trans,{}wheret,{}m,{}n,{}a,{}lda,{}zeta,{}ncolb,{}ldb,{}b,{}ifail)} performs one of the transformations See \\downlink{Manual Page}{manpageXXf01qdf}.")) (|f01qcf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f01qcf(m,{}n,{}lda,{}a,{}ifail)} finds the \\spad{QR} factorization of the real \\spad{m} by \\spad{n} matrix A,{} where m>=n. See \\downlink{Manual Page}{manpageXXf01qcf}.")) (|f01mcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|)) "\\spad{f01mcf(n,{}avals,{}lal,{}nrow,{}ifail)} computes the Cholesky factorization of a real symmetric positive-definite variable-bandwidth matrix. See \\downlink{Manual Page}{manpageXXf01mcf}.")) (|f01maf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|List| (|Boolean|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{f01maf(n,{}nz,{}licn,{}lirn,{}abort,{}avals,{}irn,{}icn,{}droptl,{}densw,{}ifail)} computes an incomplete Cholesky factorization of a real sparse symmetric positive-definite matrix A. See \\downlink{Manual Page}{manpageXXf01maf}.")) (|f01bsf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Boolean|) (|DoubleFloat|) (|Boolean|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "f01bsf(\\spad{n},{}\\spad{nz},{}licn,{}ivect,{}jvect,{}icn,{}ikeep,{}grow,{} \\indented{7}{eta,{}abort,{}idisp,{}avals,{}ifail)} factorizes a real sparse matrix using the pivotal sequence previously obtained by F01BRF when a matrix of the same sparsity pattern was factorized. See \\downlink{Manual Page}{manpageXXf01bsf}.")) (|f01brf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Boolean|) (|Boolean|) (|List| (|Boolean|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Integer|)) "\\spad{f01brf(n,{}nz,{}licn,{}lirn,{}pivot,{}lblock,{}grow,{}abort,{}a,{}irn,{}icn,{}ifail)} factorizes a real sparse matrix. The routine either forms the LU factorization of a permutation of the entire matrix,{} or,{} optionally,{} first permutes the matrix to block lower triangular form and then only factorizes the diagonal blocks. See \\downlink{Manual Page}{manpageXXf01brf}."))) 
 NIL 
 NIL 
-(-747) 
+(-748) 
 ((|constructor| (NIL "This package uses the NAG Library to compute\\spad{\\br} \\tab{5}eigenvalues and eigenvectors of a matrix\\spad{\\br} \\tab{5} eigenvalues and eigenvectors of generalized matrix eigenvalue problems\\spad{\\br} \\tab{5}singular values and singular vectors of a matrix.")) (|f02xef| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Boolean|) (|Integer|) (|Boolean|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) "\\spad{f02xef(m,{}n,{}lda,{}ncolb,{}ldb,{}wantq,{}ldq,{}wantp,{}ldph,{}a,{}b,{}ifail)} returns all,{} or part,{} of the singular value decomposition of a general complex matrix. See \\downlink{Manual Page}{manpageXXf02xef}.")) (|f02wef| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Boolean|) (|Integer|) (|Boolean|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02wef(m,{}n,{}lda,{}ncolb,{}ldb,{}wantq,{}ldq,{}wantp,{}ldpt,{}a,{}b,{}ifail)} returns all,{} or part,{} of the singular value decomposition of a general real matrix. See \\downlink{Manual Page}{manpageXXf02wef}.")) (|f02fjf| (((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE))) (|FileName|)) "f02fjf(\\spad{n},{}\\spad{k},{}tol,{}novecs,{}\\spad{nrx},{}lwork,{}lrwork,{} \\indented{7}{liwork,{}\\spad{m},{}noits,{}\\spad{x},{}ifail,{}dot,{}image,{}monit)} finds eigenvalues of a real sparse symmetric or generalized symmetric eigenvalue problem. See \\downlink{Manual Page}{manpageXXf02fjf}.") (((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE)))) "f02fjf(\\spad{n},{}\\spad{k},{}tol,{}novecs,{}\\spad{nrx},{}lwork,{}lrwork,{} \\indented{7}{liwork,{}\\spad{m},{}noits,{}\\spad{x},{}ifail,{}dot,{}image)} finds eigenvalues of a real sparse symmetric or generalized symmetric eigenvalue problem. See \\downlink{Manual Page}{manpageXXf02fjf}.")) (|f02bjf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Boolean|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02bjf(n,{}ia,{}ib,{}eps1,{}matv,{}iv,{}a,{}b,{}ifail)} calculates all the eigenvalues and,{} if required,{} all the eigenvectors of the generalized eigenproblem Ax=(lambda)\\spad{Bx} where A and \\spad{B} are real,{} square matrices,{} using the \\spad{QZ} algorithm. See \\downlink{Manual Page}{manpageXXf02bjf}.")) (|f02bbf| (((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02bbf(ia,{}n,{}alb,{}ub,{}m,{}iv,{}a,{}ifail)} calculates selected eigenvalues of a real symmetric matrix by reduction to tridiagonal form,{} bisection and inverse iteration,{} where the selected eigenvalues lie within a given interval. See \\downlink{Manual Page}{manpageXXf02bbf}.")) (|f02axf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{f02axf(ar,{}iar,{}\\spad{ai},{}iai,{}n,{}ivr,{}ivi,{}ifail)} calculates all the eigenvalues of a complex Hermitian matrix. See \\downlink{Manual Page}{manpageXXf02axf}.")) (|f02awf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02awf(iar,{}iai,{}n,{}ar,{}\\spad{ai},{}ifail)} calculates all the eigenvalues of a complex Hermitian matrix. See \\downlink{Manual Page}{manpageXXf02awf}.")) (|f02akf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02akf(iar,{}iai,{}n,{}ivr,{}ivi,{}ar,{}\\spad{ai},{}ifail)} calculates all the eigenvalues of a complex matrix. See \\downlink{Manual Page}{manpageXXf02akf}.")) (|f02ajf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02ajf(iar,{}iai,{}n,{}ar,{}\\spad{ai},{}ifail)} calculates all the eigenvalue. See \\downlink{Manual Page}{manpageXXf02ajf}.")) (|f02agf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02agf(ia,{}n,{}ivr,{}ivi,{}a,{}ifail)} calculates all the eigenvalues of a real unsymmetric matrix. See \\downlink{Manual Page}{manpageXXf02agf}.")) (|f02aff| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02aff(ia,{}n,{}a,{}ifail)} calculates all the eigenvalues of a real unsymmetric matrix. See \\downlink{Manual Page}{manpageXXf02aff}.")) (|f02aef| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02aef(ia,{}ib,{}n,{}iv,{}a,{}b,{}ifail)} calculates all the eigenvalues of Ax=(lambda)\\spad{Bx},{} where A is a real symmetric matrix and \\spad{B} is a real symmetric positive-definite matrix. See \\downlink{Manual Page}{manpageXXf02aef}.")) (|f02adf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02adf(ia,{}ib,{}n,{}a,{}b,{}ifail)} calculates all the eigenvalues of Ax=(lambda)\\spad{Bx},{} where A is a real symmetric matrix and \\spad{B} is a real symmetric positive- definite matrix. See \\downlink{Manual Page}{manpageXXf02adf}.")) (|f02abf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{f02abf(a,{}ia,{}n,{}iv,{}ifail)} calculates all the eigenvalues of a real symmetric matrix. See \\downlink{Manual Page}{manpageXXf02abf}.")) (|f02aaf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02aaf(ia,{}n,{}a,{}ifail)} calculates all the eigenvalue. See \\downlink{Manual Page}{manpageXXf02aaf}."))) 
 NIL 
 NIL 
-(-748) 
+(-749) 
 ((|constructor| (NIL "This package uses the NAG Library to solve the matrix equation \\spad{\\br} \\tab{5}\\axiom{AX=B},{} where \\axiom{\\spad{B}}\\spad{\\br} may be a single vector or a matrix of multiple right-hand sides. The matrix \\axiom{A} may be real,{} complex,{} symmetric,{} Hermitian positive- definite,{} or sparse. It may also be rectangular,{} in which case a least-squares solution is obtained.")) (|f04qaf| (((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp30| APROD)))) "f04qaf(\\spad{m},{}\\spad{n},{}damp,{}atol,{}btol,{}conlim,{}itnlim,{}msglvl,{} \\indented{7}{lrwork,{}liwork,{}\\spad{b},{}ifail,{}aprod)} solves sparse unsymmetric equations,{} sparse linear least- squares problems and sparse damped linear least-squares problems,{} using a Lanczos algorithm. See \\downlink{Manual Page}{manpageXXf04qaf}.")) (|f04mcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{f04mcf(n,{}al,{}lal,{}d,{}nrow,{}ir,{}b,{}nrb,{}iselct,{}nrx,{}ifail)} computes the approximate solution of a system of real linear equations with multiple right-hand sides,{} AX=B,{} where A is a symmetric positive-definite variable-bandwidth matrix,{} which has previously been factorized by F01MCF. Related systems may also be solved. See \\downlink{Manual Page}{manpageXXf04mcf}.")) (|f04mbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Boolean|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| APROD))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp34| MSOLVE)))) "\\spad{f04mbf(n,{}b,{}precon,{}shift,{}itnlim,{}msglvl,{}lrwork,{} ++ liwork,{}rtol,{}ifail,{}aprod,{}msolve)} solves a system of real sparse symmetric linear equations using a Lanczos algorithm. See \\downlink{Manual Page}{manpageXXf04mbf}.")) (|f04maf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|)) "f04maf(\\spad{n},{}\\spad{nz},{}avals,{}licn,{}irn,{}lirn,{}icn,{}wkeep,{}ikeep,{} \\indented{7}{inform,{}\\spad{b},{}acc,{}noits,{}ifail)} \\spad{e} a sparse symmetric positive-definite system of linear equations,{} Ax=b,{} using a pre-conditioned conjugate gradient method,{} where A has been factorized by F01MAF. See \\downlink{Manual Page}{manpageXXf04maf}.")) (|f04jgf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f04jgf(m,{}n,{}nra,{}tol,{}lwork,{}a,{}b,{}ifail)} finds the solution of a linear least-squares problem,{} Ax=b ,{} where A is a real \\spad{m} by \\spad{n} (m>=n) matrix and \\spad{b} is an \\spad{m} element vector. If the matrix of observations is not of full rank,{} then the minimal least-squares solution is returned. See \\downlink{Manual Page}{manpageXXf04jgf}.")) (|f04faf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f04faf(job,{}n,{}d,{}e,{}b,{}ifail)} calculates the approximate solution of a set of real symmetric positive-definite tridiagonal linear equations. See \\downlink{Manual Page}{manpageXXf04faf}.")) (|f04axf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|))) "\\spad{f04axf(n,{}a,{}licn,{}icn,{}ikeep,{}mtype,{}idisp,{}rhs)} calculates the approximate solution of a set of real sparse linear equations with a single right-hand side,{} Ax=b or \\indented{1}{\\spad{T}} A \\spad{x=b},{} where A has been factorized by F01BRF or F01BSF. See \\downlink{Manual Page}{manpageXXf04axf}.")) (|f04atf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{f04atf(a,{}ia,{}b,{}n,{}iaa,{}ifail)} calculates the accurate solution of a set of real linear equations with a single right-hand side,{} using an LU factorization with partial pivoting,{} and iterative refinement. See \\downlink{Manual Page}{manpageXXf04atf}.")) (|f04asf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f04asf(ia,{}b,{}n,{}a,{}ifail)} calculates the accurate solution of a set of real symmetric positive-definite linear equations with a single right- hand side,{} Ax=b,{} using a Cholesky factorization and iterative refinement. See \\downlink{Manual Page}{manpageXXf04asf}.")) (|f04arf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f04arf(ia,{}b,{}n,{}a,{}ifail)} calculates the approximate solution of a set of real linear equations with a single right-hand side,{} using an LU factorization with partial pivoting. See \\downlink{Manual Page}{manpageXXf04arf}.")) (|f04adf| (((|Result|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) "\\spad{f04adf(ia,{}b,{}ib,{}n,{}m,{}ic,{}a,{}ifail)} calculates the approximate solution of a set of complex linear equations with multiple right-hand sides,{} using an LU factorization with partial pivoting. See \\downlink{Manual Page}{manpageXXf04adf}."))) 
 NIL 
 NIL 
-(-749) 
+(-750) 
 ((|constructor| (NIL "This package uses the NAG Library to compute matrix factorizations,{} and to solve systems of linear equations following the matrix factorizations.")) (|f07fef| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|))) "\\spad{f07fef(uplo,{}n,{}nrhs,{}a,{}lda,{}ldb,{}b)} (DPOTRS) solves a real symmetric positive-definite system of linear equations with multiple right-hand sides,{} AX=B,{} where A has been factorized by F07FDF (DPOTRF). See \\downlink{Manual Page}{manpageXXf07fef}.")) (|f07fdf| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|))) "\\spad{f07fdf(uplo,{}n,{}lda,{}a)} (DPOTRF) computes the Cholesky factorization of a real symmetric positive-definite matrix. See \\downlink{Manual Page}{manpageXXf07fdf}.")) (|f07aef| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|DoubleFloat|))) "\\spad{f07aef(trans,{}n,{}nrhs,{}a,{}lda,{}ipiv,{}ldb,{}b)} (DGETRS) solves a real system of linear equations with \\indented{36}{\\spad{T}} multiple right-hand sides,{} AX=B or A \\spad{X=B},{} where A has been factorized by F07ADF (DGETRF). See \\downlink{Manual Page}{manpageXXf07aef}.")) (|f07adf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|))) "\\spad{f07adf(m,{}n,{}lda,{}a)} (DGETRF) computes the LU factorization of a real \\spad{m} by \\spad{n} matrix. See \\downlink{Manual Page}{manpageXXf07adf}."))) 
 NIL 
 NIL 
-(-750) 
+(-751) 
 ((|constructor| (NIL "This package uses the NAG Library to compute some commonly occurring physical and mathematical functions.")) (|s21bdf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{s21bdf(x,{}y,{}z,{}r,{}ifail)} returns a value of the symmetrised elliptic integral of the third kind,{} via the routine name. See \\downlink{Manual Page}{manpageXXs21bdf}.")) (|s21bcf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{s21bcf(x,{}y,{}z,{}ifail)} returns a value of the symmetrised elliptic integral of the second kind,{} via the routine name. See \\downlink{Manual Page}{manpageXXs21bcf}.")) (|s21bbf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{s21bbf(x,{}y,{}z,{}ifail)} returns a value of the symmetrised elliptic integral of the first kind,{} via the routine name. See \\downlink{Manual Page}{manpageXXs21bbf}.")) (|s21baf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{s21baf(x,{}y,{}ifail)} returns a value of an elementary integral,{} which occurs as a degenerate case of an elliptic integral of the first kind,{} via the routine name. See \\downlink{Manual Page}{manpageXXs21baf}.")) (|s20adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s20adf(x,{}ifail)} returns a value for the Fresnel Integral \\spad{C}(\\spad{x}),{} via the routine name. See \\downlink{Manual Page}{manpageXXs20adf}.")) (|s20acf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s20acf(x,{}ifail)} returns a value for the Fresnel Integral \\spad{S}(\\spad{x}),{} via the routine name. See \\downlink{Manual Page}{manpageXXs20acf}.")) (|s19adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s19adf(x,{}ifail)} returns a value for the Kelvin function kei(\\spad{x}) via the routine name. See \\downlink{Manual Page}{manpageXXs19adf}.")) (|s19acf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s19acf(x,{}ifail)} returns a value for the Kelvin function ker(\\spad{x}),{} via the routine name. See \\downlink{Manual Page}{manpageXXs19acf}.")) (|s19abf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s19abf(x,{}ifail)} returns a value for the Kelvin function bei(\\spad{x}) via the routine name. See \\downlink{Manual Page}{manpageXXs19abf}.")) (|s19aaf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s19aaf(x,{}ifail)} returns a value for the Kelvin function ber(\\spad{x}) via the routine name. See \\downlink{Manual Page}{manpageXXs19aaf}.")) (|s18def| (((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) "\\spad{s18def(fnu,{}z,{}n,{}scale,{}ifail)} returns a sequence of values for the modified Bessel functions \\indented{1}{\\spad{I}\\space{6}(\\spad{z}) for complex \\spad{z},{} non-negative (nu) and} \\indented{2}{(nu)\\spad{+n}} \\spad{n=0},{}1,{}...,{}\\spad{N}-1,{} with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs18def}.")) (|s18dcf| (((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) "\\spad{s18dcf(fnu,{}z,{}n,{}scale,{}ifail)} returns a sequence of values for the modified Bessel functions \\indented{1}{\\spad{K}\\space{6}(\\spad{z}) for complex \\spad{z},{} non-negative (nu) and} \\indented{2}{(nu)\\spad{+n}} \\spad{n=0},{}1,{}...,{}\\spad{N}-1,{} with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs18dcf}.")) (|s18aff| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s18aff(x,{}ifail)} returns a value for the modified Bessel Function \\indented{1}{\\spad{I} (\\spad{x}),{} via the routine name.} \\indented{2}{1} See \\downlink{Manual Page}{manpageXXs18aff}.")) (|s18aef| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s18aef(x,{}ifail)} returns the value of the modified Bessel Function \\indented{1}{\\spad{I} (\\spad{x}),{} via the routine name.} \\indented{2}{0} See \\downlink{Manual Page}{manpageXXs18aef}.")) (|s18adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s18adf(x,{}ifail)} returns the value of the modified Bessel Function \\indented{1}{\\spad{K} (\\spad{x}),{} via the routine name.} \\indented{2}{1} See \\downlink{Manual Page}{manpageXXs18adf}.")) (|s18acf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s18acf(x,{}ifail)} returns the value of the modified Bessel Function \\indented{1}{\\spad{K} (\\spad{x}),{} via the routine name.} \\indented{2}{0} See \\downlink{Manual Page}{manpageXXs18acf}.")) (|s17dlf| (((|Result|) (|Integer|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) "\\spad{s17dlf(m,{}fnu,{}z,{}n,{}scale,{}ifail)} returns a sequence of values for the Hankel functions \\indented{2}{(1)\\space{11}(2)} \\indented{1}{\\spad{H}\\space{6}(\\spad{z}) or \\spad{H}\\space{6}(\\spad{z}) for complex \\spad{z},{} non-negative (nu) and} \\indented{2}{(nu)\\spad{+n}\\space{8}(nu)\\spad{+n}} \\spad{n=0},{}1,{}...,{}\\spad{N}-1,{} with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs17dlf}.")) (|s17dhf| (((|Result|) (|String|) (|Complex| (|DoubleFloat|)) (|String|) (|Integer|)) "\\spad{s17dhf(deriv,{}z,{}scale,{}ifail)} returns the value of the Airy function \\spad{Bi}(\\spad{z}) or its derivative Bi'(\\spad{z}) for complex \\spad{z},{} with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs17dhf}.")) (|s17dgf| (((|Result|) (|String|) (|Complex| (|DoubleFloat|)) (|String|) (|Integer|)) "\\spad{s17dgf(deriv,{}z,{}scale,{}ifail)} returns the value of the Airy function \\spad{Ai}(\\spad{z}) or its derivative Ai'(\\spad{z}) for complex \\spad{z},{} with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs17dgf}.")) (|s17def| (((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) "\\spad{s17def(fnu,{}z,{}n,{}scale,{}ifail)} returns a sequence of values for the Bessel functions \\indented{1}{\\spad{J}\\space{6}(\\spad{z}) for complex \\spad{z},{} non-negative (nu) and \\spad{n=0},{}1,{}...,{}\\spad{N}-1,{}} \\indented{2}{(nu)\\spad{+n}} with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs17def}.")) (|s17dcf| (((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) "\\spad{s17dcf(fnu,{}z,{}n,{}scale,{}ifail)} returns a sequence of values for the Bessel functions \\indented{1}{\\spad{Y}\\space{6}(\\spad{z}) for complex \\spad{z},{} non-negative (nu) and \\spad{n=0},{}1,{}...,{}\\spad{N}-1,{}} \\indented{2}{(nu)\\spad{+n}} with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs17dcf}.")) (|s17akf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17akf(x,{}ifail)} returns a value for the derivative of the Airy function \\spad{Bi}(\\spad{x}),{} via the routine name. See \\downlink{Manual Page}{manpageXXs17akf}.")) (|s17ajf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17ajf(x,{}ifail)} returns a value of the derivative of the Airy function \\spad{Ai}(\\spad{x}),{} via the routine name. See \\downlink{Manual Page}{manpageXXs17ajf}.")) (|s17ahf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17ahf(x,{}ifail)} returns a value of the Airy function,{} \\spad{Bi}(\\spad{x}),{} via the routine name. See \\downlink{Manual Page}{manpageXXs17ahf}.")) (|s17agf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17agf(x,{}ifail)} returns a value for the Airy function,{} \\spad{Ai}(\\spad{x}),{} via the routine name. See \\downlink{Manual Page}{manpageXXs17agf}.")) (|s17aff| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17aff(x,{}ifail)} returns the value of the Bessel Function \\indented{1}{\\spad{J} (\\spad{x}),{} via the routine name.} \\indented{2}{1} See \\downlink{Manual Page}{manpageXXs17aff}.")) (|s17aef| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17aef(x,{}ifail)} returns the value of the Bessel Function \\indented{1}{\\spad{J} (\\spad{x}),{} via the routine name.} \\indented{2}{0} See \\downlink{Manual Page}{manpageXXs17aef}.")) (|s17adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17adf(x,{}ifail)} returns the value of the Bessel Function \\indented{1}{\\spad{Y} (\\spad{x}),{} via the routine name.} \\indented{2}{1} See \\downlink{Manual Page}{manpageXXs17adf}.")) (|s17acf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17acf(x,{}ifail)} returns the value of the Bessel Function \\indented{1}{\\spad{Y} (\\spad{x}),{} via the routine name.} \\indented{2}{0} See \\downlink{Manual Page}{manpageXXs17acf}.")) (|s15aef| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s15aef(x,{}ifail)} returns the value of the error function erf(\\spad{x}),{} via the routine name. See \\downlink{Manual Page}{manpageXXs15aef}.")) (|s15adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s15adf(x,{}ifail)} returns the value of the complementary error function,{} erfc(\\spad{x}),{} via the routine name. See \\downlink{Manual Page}{manpageXXs15adf}.")) (|s14baf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{s14baf(a,{}x,{}tol,{}ifail)} computes values for the incomplete gamma functions \\spad{P}(a,{}\\spad{x}) and \\spad{Q}(a,{}\\spad{x}). See \\downlink{Manual Page}{manpageXXs14baf}.")) (|s14abf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s14abf(x,{}ifail)} returns a value for the log,{} \\spad{ln}(Gamma(\\spad{x})),{} via the routine name. See \\downlink{Manual Page}{manpageXXs14abf}.")) (|s14aaf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s14aaf(x,{}ifail)} returns the value of the Gamma function (Gamma)(\\spad{x}),{} via the routine name. See \\downlink{Manual Page}{manpageXXs14aaf}.")) (|s13adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s13adf(x,{}ifail)} returns the value of the sine integral See \\downlink{Manual Page}{manpageXXs13adf}.")) (|s13acf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s13acf(x,{}ifail)} returns the value of the cosine integral See \\downlink{Manual Page}{manpageXXs13acf}.")) (|s13aaf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s13aaf(x,{}ifail)} returns the value of the exponential integral \\indented{1}{\\spad{E} (\\spad{x}),{} via the routine name.} \\indented{2}{1} See \\downlink{Manual Page}{manpageXXs13aaf}.")) (|s01eaf| (((|Result|) (|Complex| (|DoubleFloat|)) (|Integer|)) "\\spad{s01eaf(z,{}ifail)} S01EAF evaluates the exponential function exp(\\spad{z}) ,{} for complex \\spad{z}. See \\downlink{Manual Page}{manpageXXs01eaf}."))) 
 NIL 
 NIL 
-(-751) 
+(-752) 
 ((|constructor| (NIL "Support functions for the NAG Library Link functions")) (|restorePrecision| (((|Void|)) "\\spad{restorePrecision()} \\undocumented{}")) (|checkPrecision| (((|Boolean|)) "\\spad{checkPrecision()} \\undocumented{}")) (|dimensionsOf| (((|SExpression|) (|Symbol|) (|Matrix| (|Integer|))) "\\spad{dimensionsOf(s,{}m)} \\undocumented{}") (((|SExpression|) (|Symbol|) (|Matrix| (|DoubleFloat|))) "\\spad{dimensionsOf(s,{}m)} \\undocumented{}")) (|aspFilename| (((|String|) (|String|)) "\\spad{aspFilename(\"f\")} returns a String consisting of \\spad{\"f\"} suffixed with \\indented{1}{an extension identifying the current AXIOM session.}")) (|fortranLinkerArgs| (((|String|)) "\\spad{fortranLinkerArgs()} returns the current linker arguments")) (|fortranCompilerName| (((|String|)) "\\spad{fortranCompilerName()} returns the name of the currently selected \\indented{1}{Fortran compiler}"))) 
 NIL 
 NIL 
-(-752 S) 
+(-753 S) 
 ((|constructor| (NIL "NonAssociativeRng is a basic ring-type structure,{} not necessarily commutative or associative,{} and not necessarily with unit.\\spad{\\br} Axioms\\spad{\\br} \\tab{5}\\spad{x*}(\\spad{y+z}) = x*y + \\spad{x*z}\\spad{\\br} \\tab{5}(x+y)\\spad{*z} = \\spad{x*z} + \\spad{y*z}\\spad{\\br} \\blankline Common Additional Axioms\\spad{\\br} \\tab{5}noZeroDivisors\\tab{5} ab = 0 \\spad{=>} \\spad{a=0} or \\spad{b=0}")) (|antiCommutator| (($ $ $) "\\spad{antiCommutator(a,{}b)} returns \\spad{a*b+b*a}.")) (|commutator| (($ $ $) "\\spad{commutator(a,{}b)} returns \\spad{a*b-b*a}.")) (|associator| (($ $ $ $) "\\spad{associator(a,{}b,{}c)} returns \\spad{(a*b)*c-a*(b*c)}."))) 
 NIL 
 NIL 
-(-753) 
+(-754) 
 ((|constructor| (NIL "NonAssociativeRng is a basic ring-type structure,{} not necessarily commutative or associative,{} and not necessarily with unit.\\spad{\\br} Axioms\\spad{\\br} \\tab{5}\\spad{x*}(\\spad{y+z}) = x*y + \\spad{x*z}\\spad{\\br} \\tab{5}(x+y)\\spad{*z} = \\spad{x*z} + \\spad{y*z}\\spad{\\br} \\blankline Common Additional Axioms\\spad{\\br} \\tab{5}noZeroDivisors\\tab{5} ab = 0 \\spad{=>} \\spad{a=0} or \\spad{b=0}")) (|antiCommutator| (($ $ $) "\\spad{antiCommutator(a,{}b)} returns \\spad{a*b+b*a}.")) (|commutator| (($ $ $) "\\spad{commutator(a,{}b)} returns \\spad{a*b-b*a}.")) (|associator| (($ $ $ $) "\\spad{associator(a,{}b,{}c)} returns \\spad{(a*b)*c-a*(b*c)}."))) 
 NIL 
 NIL 
-(-754 S) 
+(-755 S) 
 ((|constructor| (NIL "A NonAssociativeRing is a non associative \\spad{rng} which has a unit,{} the multiplication is not necessarily commutative or associative.")) (|coerce| (($ (|Integer|)) "\\spad{coerce(n)} coerces the integer \\spad{n} to an element of the ring.")) (|characteristic| (((|NonNegativeInteger|)) "\\spad{characteristic()} returns the characteristic of the ring."))) 
 NIL 
 NIL 
-(-755) 
+(-756) 
 ((|constructor| (NIL "A NonAssociativeRing is a non associative \\spad{rng} which has a unit,{} the multiplication is not necessarily commutative or associative.")) (|coerce| (($ (|Integer|)) "\\spad{coerce(n)} coerces the integer \\spad{n} to an element of the ring.")) (|characteristic| (((|NonNegativeInteger|)) "\\spad{characteristic()} returns the characteristic of the ring."))) 
 NIL 
 NIL 
-(-756 |Par|) 
+(-757 |Par|) 
 ((|constructor| (NIL "This package computes explicitly eigenvalues and eigenvectors of matrices with entries over the complex rational numbers. The results are expressed either as complex floating numbers or as complex rational numbers depending on the type of the precision parameter.")) (|complexEigenvectors| (((|List| (|Record| (|:| |outval| (|Complex| |#1|)) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| (|Complex| |#1|)))))) (|Matrix| (|Complex| (|Fraction| (|Integer|)))) |#1|) "\\spad{complexEigenvectors(m,{}eps)} returns a list of records each one containing a complex eigenvalue,{} its algebraic multiplicity,{} and a list of associated eigenvectors. All these results are computed to precision \\spad{eps} and are expressed as complex floats or complex rational numbers depending on the type of \\spad{eps} (float or rational).")) (|complexEigenvalues| (((|List| (|Complex| |#1|)) (|Matrix| (|Complex| (|Fraction| (|Integer|)))) |#1|) "\\spad{complexEigenvalues(m,{}eps)} computes the eigenvalues of the matrix \\spad{m} to precision \\spad{eps}. The eigenvalues are expressed as complex floats or complex rational numbers depending on the type of \\spad{eps} (float or rational).")) (|characteristicPolynomial| (((|Polynomial| (|Complex| (|Fraction| (|Integer|)))) (|Matrix| (|Complex| (|Fraction| (|Integer|)))) (|Symbol|)) "\\spad{characteristicPolynomial(m,{}x)} returns the characteristic polynomial of the matrix \\spad{m} expressed as polynomial over Complex Rationals with variable \\spad{x}.") (((|Polynomial| (|Complex| (|Fraction| (|Integer|)))) (|Matrix| (|Complex| (|Fraction| (|Integer|))))) "\\spad{characteristicPolynomial(m)} returns the characteristic polynomial of the matrix \\spad{m} expressed as polynomial over complex rationals with a new symbol as variable."))) 
 NIL 
 NIL 
-(-757 -1478) 
+(-758 -1564) 
 ((|constructor| (NIL "\\spadtype{NumericContinuedFraction} provides functions for converting floating point numbers to continued fractions.")) (|continuedFraction| (((|ContinuedFraction| (|Integer|)) |#1|) "\\spad{continuedFraction(f)} converts the floating point number \\spad{f} to a reduced continued fraction."))) 
 NIL 
 NIL 
-(-758 P -1478) 
+(-759 P -1564) 
 ((|constructor| (NIL "This package provides a division and related operations for \\spadtype{MonogenicLinearOperator}\\spad{s} over a \\spadtype{Field}. Since the multiplication is in general non-commutative,{} these operations all have left- and right-hand versions. This package provides the operations based on left-division.\\spad{\\br} \\tab{5}[\\spad{q},{}\\spad{r}] = leftDivide(a,{}\\spad{b}) means a=b*q+r")) (|leftLcm| ((|#1| |#1| |#1|) "\\spad{leftLcm(a,{}b)} computes the value \\spad{m} of lowest degree such that \\spad{m = a*aa = b*bb} for some values \\spad{aa} and \\spad{bb}. The value \\spad{m} is computed using left-division.")) (|leftGcd| ((|#1| |#1| |#1|) "\\spad{leftGcd(a,{}b)} computes the value \\spad{g} of highest degree such that \\indented{3}{\\spad{a = aa*g}} \\indented{3}{\\spad{b = bb*g}} for some values \\spad{aa} and \\spad{bb}. The value \\spad{g} is computed using left-division.")) (|leftExactQuotient| (((|Union| |#1| "failed") |#1| |#1|) "\\spad{leftExactQuotient(a,{}b)} computes the value \\spad{q},{} if it exists,{} \\indented{1}{such that \\spad{a = b*q}.}")) (|leftRemainder| ((|#1| |#1| |#1|) "\\spad{leftRemainder(a,{}b)} computes the pair \\spad{[q,{}r]} such that \\spad{a = b*q + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{r} is returned.")) (|leftQuotient| ((|#1| |#1| |#1|) "\\spad{leftQuotient(a,{}b)} computes the pair \\spad{[q,{}r]} such that \\spad{a = b*q + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{q} is returned.")) (|leftDivide| (((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|) "\\spad{leftDivide(a,{}b)} returns the pair \\spad{[q,{}r]} such that \\spad{a = b*q + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``left division\\spad{''}."))) 
 NIL 
 NIL 
-(-759 -1478) 
+(-760 -1564) 
 ((|constructor| (NIL "This package exports Newton interpolation for the special case where the result is known to be in the original integral domain The packages defined in this file provide fast fraction free rational interpolation algorithms. (see \\spad{FAMR2},{} FFFG,{} FFFGF,{} NEWTON)")) (|newton| (((|SparseUnivariatePolynomial| |#1|) (|List| |#1|)) "\\spad{newton}(\\spad{l}) returns the interpolating polynomial for the values \\spad{l},{} where the \\spad{x}-coordinates are assumed to be [1,{}2,{}3,{}...,{}\\spad{n}] and the coefficients of the interpolating polynomial are known to be in the domain \\spad{F}. \\spad{I}.\\spad{e}.,{} it is a very streamlined version for a special case of interpolation."))) 
 NIL 
 NIL 
-(-760 UP -1478) 
+(-761 UP -1564) 
 ((|constructor| (NIL "In this package \\spad{F} is a framed algebra over the integers (typically \\spad{F = Z[a]} for some algebraic integer a). The package provides functions to compute the integral closure of \\spad{Z} in the quotient quotient field of \\spad{F}.")) (|localIntegralBasis| (((|Record| (|:| |basis| (|Matrix| (|Integer|))) (|:| |basisDen| (|Integer|)) (|:| |basisInv| (|Matrix| (|Integer|)))) (|Integer|)) "\\spad{integralBasis(p)} returns a record \\spad{[basis,{}basisDen,{}basisInv]} containing information regarding the local integral closure of \\spad{Z} at the prime \\spad{p} in the quotient field of \\spad{F},{} where \\spad{F} is a framed algebra with \\spad{Z}-module basis \\spad{w1,{}w2,{}...,{}wn}. If \\spad{basis} is the matrix \\spad{(aij,{} i = 1..n,{} j = 1..n)},{} then the \\spad{i}th element of the integral basis is \\spad{\\spad{vi} = (1/basisDen) * sum(aij * wj,{} j = 1..n)},{} \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly,{} the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{\\spad{wi}} with respect to the basis \\spad{v1,{}...,{}vn}: if \\spad{basisInv} is the matrix \\spad{(bij,{} i = 1..n,{} j = 1..n)},{} then \\spad{\\spad{wi} = sum(bij * vj,{} j = 1..n)}.")) (|integralBasis| (((|Record| (|:| |basis| (|Matrix| (|Integer|))) (|:| |basisDen| (|Integer|)) (|:| |basisInv| (|Matrix| (|Integer|))))) "\\spad{integralBasis()} returns a record \\spad{[basis,{}basisDen,{}basisInv]} containing information regarding the integral closure of \\spad{Z} in the quotient field of \\spad{F},{} where \\spad{F} is a framed algebra with \\spad{Z}-module basis \\spad{w1,{}w2,{}...,{}wn}. If \\spad{basis} is the matrix \\spad{(aij,{} i = 1..n,{} j = 1..n)},{} then the \\spad{i}th element of the integral basis is \\spad{\\spad{vi} = (1/basisDen) * sum(aij * wj,{} j = 1..n)},{} \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly,{} the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{\\spad{wi}} with respect to the basis \\spad{v1,{}...,{}vn}: if \\spad{basisInv} is the matrix \\spad{(bij,{} i = 1..n,{} j = 1..n)},{} then \\spad{\\spad{wi} = sum(bij * vj,{} j = 1..n)}.")) (|discriminant| (((|Integer|)) "\\spad{discriminant()} returns the discriminant of the integral closure of \\spad{Z} in the quotient field of the framed algebra \\spad{F}."))) 
 NIL 
 NIL 
-(-761) 
+(-762) 
 ((|constructor| (NIL "\\axiomType{NumericalIntegrationProblem} is a \\axiom{domain} for the representation of Numerical Integration problems for use by ANNA. \\blankline The representation is a Union of two record types - one for integration of a function of one variable: \\blankline \\axiomType{Record}(var:\\axiomType{Symbol},{}\\spad{\\br} \\spad{fn:}\\axiomType{Expression DoubleFloat},{}\\spad{\\br} range:\\axiomType{Segment OrderedCompletion DoubleFloat},{}\\spad{\\br} abserr:\\axiomType{DoubleFloat},{}\\spad{\\br} relerr:\\axiomType{DoubleFloat},{}) \\blankline and one for multivariate integration: \\blankline \\axiomType{Record}(\\spad{fn:}\\axiomType{Expression DoubleFloat},{}\\spad{\\br} range:\\axiomType{List Segment OrderedCompletion DoubleFloat},{}\\spad{\\br} abserr:\\axiomType{DoubleFloat},{}\\spad{\\br} relerr:\\axiomType{DoubleFloat},{}). \\blankline")) (|retract| (((|Union| (|:| |nia| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |mdnia| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) $) "\\spad{retract(x)} is not documented")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(x)} is not documented") (($ (|Union| (|:| |nia| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |mdnia| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))))) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{coerce(x)} is not documented"))) 
 NIL 
 NIL 
-(-762 R) 
+(-763 R) 
 ((|constructor| (NIL "NonLinearSolvePackage is an interface to \\spadtype{SystemSolvePackage} that attempts to retract the coefficients of the equations before solving. The solutions are given in the algebraic closure of \\spad{R} whenever possible.")) (|solve| (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|))) "\\spad{solve(lp)} finds the solution in the algebraic closure of \\spad{R} of the list \\spad{lp} of rational functions with respect to all the symbols appearing in \\spad{lp}.") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) "\\spad{solve(lp,{}lv)} finds the solutions in the algebraic closure of \\spad{R} of the list \\spad{lp} of rational functions with respect to the list of symbols \\spad{lv}.")) (|solveInField| (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|))) "\\spad{solveInField(lp)} finds the solution of the list \\spad{lp} of rational functions with respect to all the symbols appearing in \\spad{lp}.") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) "\\spad{solveInField(lp,{}lv)} finds the solutions of the list \\spad{lp} of rational functions with respect to the list of symbols \\spad{lv}."))) 
 NIL 
 NIL 
-(-763) 
+(-764) 
 ((|constructor| (NIL "\\spadtype{NonNegativeInteger} provides functions for non-negative integers.")) (|commutative| ((|attribute| "*") "\\spad{commutative(\"*\")} means multiplication is commutative,{} that is,{} \\spad{x*y = y*x}.")) (|random| (($ $) "\\spad{random(n)} returns a random integer from 0 to \\spad{n-1}.")) (|shift| (($ $ (|Integer|)) "\\spad{shift(a,{}i)} shift \\spad{a} by \\spad{i} bits.")) (|exquo| (((|Union| $ "failed") $ $) "\\spad{exquo(a,{}b)} returns the quotient of \\spad{a} and \\spad{b},{} or \"failed\" if \\spad{b} is zero or \\spad{a} rem \\spad{b} is zero.")) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{divide(a,{}b)} returns a record containing both remainder and quotient.")) (|gcd| (($ $ $) "\\spad{gcd(a,{}b)} computes the greatest common divisor of two non negative integers \\spad{a} and \\spad{b}.")) (|rem| (($ $ $) "\\spad{a rem b} returns the remainder of \\spad{a} and \\spad{b}.")) (|quo| (($ $ $) "\\spad{a quo b} returns the quotient of \\spad{a} and \\spad{b},{} forgetting the remainder."))) 
-(((-4523 "*") . T)) 
+(((-4537 "*") . T)) 
 NIL 
-(-764 R -1478) 
+(-765 R -1564) 
 ((|constructor| (NIL "NonLinearFirstOrderODESolver provides a function for finding closed form first integrals of nonlinear ordinary differential equations of order 1.")) (|solve| (((|Union| |#2| "failed") |#2| |#2| (|BasicOperator|) (|Symbol|)) "\\spad{solve(M(x,{}y),{} N(x,{}y),{} y,{} x)} returns \\spad{F(x,{}y)} such that \\spad{F(x,{}y) = c} for a constant \\spad{c} is a first integral of the equation \\spad{M(x,{}y) dx + N(x,{}y) dy = 0},{} or \"failed\" if no first-integral can be found."))) 
 NIL 
 NIL 
-(-765 S) 
+(-766 S) 
 ((|constructor| (NIL "\\spadtype{NoneFunctions1} implements functions on \\spadtype{None}. It particular it includes a particulary dangerous coercion from any other type to \\spadtype{None}.")) (|coerce| (((|None|) |#1|) "\\spad{coerce(x)} changes \\spad{x} into an object of type \\spadtype{None}."))) 
 NIL 
 NIL 
-(-766) 
+(-767) 
 ((|constructor| (NIL "\\spadtype{None} implements a type with no objects. It is mainly used in technical situations where such a thing is needed (\\spadignore{e.g.} the interpreter and some of the internal \\spadtype{Expression} code)."))) 
 NIL 
 NIL 
-(-767 R |PolR| E |PolE|) 
+(-768 R |PolR| E |PolE|) 
 ((|constructor| (NIL "This package implements the norm of a polynomial with coefficients in a monogenic algebra (using resultants)")) (|norm| ((|#2| |#4|) "\\spad{norm q} returns the norm of \\spad{q},{} \\spadignore{i.e.} the product of all the conjugates of \\spad{q}."))) 
 NIL 
 NIL 
-(-768 R E V P TS) 
+(-769 R E V P TS) 
 ((|constructor| (NIL "A package for computing normalized assocites of univariate polynomials with coefficients in a tower of simple extensions of a field.")) (|normInvertible?| (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| |#5|))) |#4| |#5|) "\\axiom{normInvertible?(\\spad{p},{}\\spad{ts})} is an internal subroutine,{} exported only for developement.")) (|outputArgs| (((|Void|) (|String|) (|String|) |#4| |#5|) "\\axiom{outputArgs(\\spad{s1},{}\\spad{s2},{}\\spad{p},{}\\spad{ts})} is an internal subroutine,{} exported only for developement.")) (|normalize| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#5|) "\\axiom{normalize(\\spad{p},{}\\spad{ts})} normalizes \\axiom{\\spad{p}} \\spad{w}.\\spad{r}.\\spad{t} \\spad{ts}.")) (|normalizedAssociate| ((|#4| |#4| |#5|) "\\axiom{normalizedAssociate(\\spad{p},{}\\spad{ts})} returns a normalized polynomial \\axiom{\\spad{n}} \\spad{w}.\\spad{r}.\\spad{t}. \\spad{ts} such that \\axiom{\\spad{n}} and \\axiom{\\spad{p}} are associates \\spad{w}.\\spad{r}.\\spad{t} \\spad{ts} and assuming that \\axiom{\\spad{p}} is invertible \\spad{w}.\\spad{r}.\\spad{t} \\spad{ts}.")) (|recip| (((|Record| (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|) "\\axiom{recip(\\spad{p},{}\\spad{ts})} returns the inverse of \\axiom{\\spad{p}} \\spad{w}.\\spad{r}.\\spad{t} \\spad{ts} assuming that \\axiom{\\spad{p}} is invertible \\spad{w}.\\spad{r}.\\spad{t} \\spad{ts}."))) 
 NIL 
 NIL 
-(-769 -1478 |ExtF| |SUEx| |ExtP| |n|) 
+(-770 -1564 |ExtF| |SUEx| |ExtP| |n|) 
 ((|constructor| (NIL "This package has no description")) (|Frobenius| ((|#4| |#4|) "\\spad{Frobenius(x)} \\undocumented")) (|retractIfCan| (((|Union| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)) "failed") |#4|) "\\spad{retractIfCan(x)} \\undocumented")) (|normFactors| (((|List| |#4|) |#4|) "\\spad{normFactors(x)} \\undocumented"))) 
 NIL 
 NIL 
-(-770 -1478) 
+(-771 -1564) 
 ((|constructor| (NIL "This is an implmenentation of the Nottingham Group"))) 
-((-4518 . T)) 
+((-4532 . T)) 
 NIL 
-(-771 BP E OV R P) 
+(-772 BP E OV R P) 
 ((|constructor| (NIL "Package for the determination of the coefficients in the lifting process. Used by \\spadtype{MultivariateLifting}. This package will work for every euclidean domain \\spad{R} which has property \\spad{F},{} \\spadignore{i.e.} there exists a factor operation in \\spad{R[x]}.")) (|listexp| (((|List| (|NonNegativeInteger|)) |#1|) "\\spad{listexp }\\undocumented")) (|npcoef| (((|Record| (|:| |deter| (|List| (|SparseUnivariatePolynomial| |#5|))) (|:| |dterm| (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (|List| |#1|)) (|:| |nlead| (|List| |#5|))) (|SparseUnivariatePolynomial| |#5|) (|List| |#1|) (|List| |#5|)) "\\spad{npcoef }\\undocumented"))) 
 NIL 
 NIL 
-(-772 K |PolyRing| E -1965) 
+(-773 K |PolyRing| E -4391) 
 ((|constructor| (NIL "The following is part of the PAFF package"))) 
 NIL 
 NIL 
-(-773 |Par|) 
+(-774 |Par|) 
 ((|constructor| (NIL "This package computes explicitly eigenvalues and eigenvectors of matrices with entries over the Rational Numbers. The results are expressed as floating numbers or as rational numbers depending on the type of the parameter Par.")) (|realEigenvectors| (((|List| (|Record| (|:| |outval| |#1|) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| |#1|))))) (|Matrix| (|Fraction| (|Integer|))) |#1|) "\\spad{realEigenvectors(m,{}eps)} returns a list of records each one containing a real eigenvalue,{} its algebraic multiplicity,{} and a list of associated eigenvectors. All these results are computed to precision \\spad{eps} as floats or rational numbers depending on the type of \\spad{eps} .")) (|realEigenvalues| (((|List| |#1|) (|Matrix| (|Fraction| (|Integer|))) |#1|) "\\spad{realEigenvalues(m,{}eps)} computes the eigenvalues of the matrix \\spad{m} to precision \\spad{eps}. The eigenvalues are expressed as floats or rational numbers depending on the type of \\spad{eps} (float or rational).")) (|characteristicPolynomial| (((|Polynomial| (|Fraction| (|Integer|))) (|Matrix| (|Fraction| (|Integer|))) (|Symbol|)) "\\spad{characteristicPolynomial(m,{}x)} returns the characteristic polynomial of the matrix \\spad{m} expressed as polynomial over \\spad{RN} with variable \\spad{x}. Fraction \\spad{P} \\spad{RN}.") (((|Polynomial| (|Fraction| (|Integer|))) (|Matrix| (|Fraction| (|Integer|)))) "\\spad{characteristicPolynomial(m)} returns the characteristic polynomial of the matrix \\spad{m} expressed as polynomial over \\spad{RN} with a new symbol as variable."))) 
 NIL 
 NIL 
-(-774 K) 
+(-775 K) 
 ((|constructor| (NIL "This domain is part of the PAFF package"))) 
-(((-4523 "*") . T) (-4514 . T) (-4513 . T) (-4519 . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| (-568) (QUOTE (-1102))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-568)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-568)) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-568))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-568))))) (|HasSignature| |#1| (LIST (QUOTE -2747) (LIST (|devaluate| |#1|) (QUOTE (-1161)))))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| (-568) (QUOTE (-842))) (|HasCategory| (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (QUOTE (-1090))) (-12 (|HasCategory| (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (LIST (QUOTE -303) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE |k|) (QUOTE (-568))) (LIST (QUOTE |:|) (QUOTE |c|) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (QUOTE (-1090)))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568)))))) 
-(-775 R |VarSet|) 
+(((-4537 "*") . T) (-4528 . T) (-4527 . T) (-4533 . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-1103))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163)))))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| (-569) (QUOTE (-843))) (|HasCategory| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (QUOTE (-1091))) (-12 (|HasCategory| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE |k|) (QUOTE (-569))) (LIST (QUOTE |:|) (QUOTE |c|) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) 
+(-776 R |VarSet|) 
 ((|constructor| (NIL "A post-facto extension for \\axiomType{\\spad{SMP}} in order to speed up operations related to pseudo-division and \\spad{gcd}. This domain is based on the \\axiomType{NSUP} constructor which is itself a post-facto extension of the \\axiomType{SUP} constructor."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4519 |has| |#1| (-6 -4519)) (-4516 . T) (-4515 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-904))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-172))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#2| (LIST (QUOTE -881) (QUOTE (-381))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -881) (QUOTE (-568))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#2| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-541))))) (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-1161)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-1161))))) (|HasCategory| |#1| (QUOTE (-365))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-1161))))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-1161)))) (-3046 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-1161)))))) (-2199 (-12 (|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-1161)))) (-3046 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568)))))) (-3046 (|HasCategory| |#1| (LIST (QUOTE -43) (QUOTE (-568)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-1161)))) (-3046 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568)))))) (-3046 (|HasCategory| |#1| (QUOTE (-550))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-1161)))) (-3046 (|HasCategory| |#1| (LIST (QUOTE -993) (QUOTE (-568))))))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (|HasAttribute| |#1| (QUOTE -4519)) (|HasCategory| |#1| (QUOTE (-453))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-904)))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-904)))) (|HasCategory| |#1| (QUOTE (-148))))) 
-(-776 R S) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1163)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1163))))) (|HasCategory| |#1| (QUOTE (-366))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1163))))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1163)))) (-3864 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1163)))))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1163)))) (-3864 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) (-3864 (|HasCategory| |#1| (LIST (QUOTE -43) (QUOTE (-569)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1163)))) (-3864 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) (-3864 (|HasCategory| |#1| (QUOTE (-551))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1163)))) (-3864 (|HasCategory| |#1| (LIST (QUOTE -994) (QUOTE (-569))))))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4533)) (|HasCategory| |#1| (QUOTE (-454))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-777 R S) 
 ((|constructor| (NIL "This package lifts a mapping from coefficient rings \\spad{R} to \\spad{S} to a mapping from sparse univariate polynomial over \\spad{R} to a sparse univariate polynomial over \\spad{S}. Note that the mapping is assumed to send zero to zero,{} since it will only be applied to the non-zero coefficients of the polynomial.")) (|map| (((|NewSparseUnivariatePolynomial| |#2|) (|Mapping| |#2| |#1|) (|NewSparseUnivariatePolynomial| |#1|)) "\\axiom{map(func,{} poly)} creates a new polynomial by applying func to every non-zero coefficient of the polynomial poly."))) 
 NIL 
 NIL 
-(-777 R) 
-((|constructor| (NIL "A post-facto extension for \\axiomType{SUP} in order to speed up operations related to pseudo-division and \\spad{gcd} for both \\axiomType{SUP} and,{} consequently,{} \\axiomType{NSMP}.")) (|halfExtendedResultant2| (((|Record| (|:| |resultant| |#1|) (|:| |coef2| $)) $ $) "\\axiom{\\spad{halfExtendedResultant2}(a,{}\\spad{b})} returns \\axiom{[\\spad{r},{}ca]} such that \\axiom{extendedResultant(a,{}\\spad{b})} returns \\axiom{[\\spad{r},{}ca,{} \\spad{cb}]}")) (|halfExtendedResultant1| (((|Record| (|:| |resultant| |#1|) (|:| |coef1| $)) $ $) "\\axiom{\\spad{halfExtendedResultant1}(a,{}\\spad{b})} returns \\axiom{[\\spad{r},{}ca]} such that \\axiom{extendedResultant(a,{}\\spad{b})} returns \\axiom{[\\spad{r},{}ca,{} \\spad{cb}]}")) (|extendedResultant| (((|Record| (|:| |resultant| |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $) "\\axiom{extendedResultant(a,{}\\spad{b})} returns \\axiom{[\\spad{r},{}ca,{}\\spad{cb}]} such that \\axiom{\\spad{r}} is the resultant of \\axiom{a} and \\axiom{\\spad{b}} and \\axiom{\\spad{r} = ca * a + \\spad{cb} * \\spad{b}}")) (|halfExtendedSubResultantGcd2| (((|Record| (|:| |gcd| $) (|:| |coef2| $)) $ $) "\\axiom{\\spad{halfExtendedSubResultantGcd2}(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}\\spad{cb}]} such that \\axiom{extendedSubResultantGcd(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}ca,{} \\spad{cb}]}")) (|halfExtendedSubResultantGcd1| (((|Record| (|:| |gcd| $) (|:| |coef1| $)) $ $) "\\axiom{\\spad{halfExtendedSubResultantGcd1}(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}ca]} such that \\axiom{extendedSubResultantGcd(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}ca,{} \\spad{cb}]}")) (|extendedSubResultantGcd| (((|Record| (|:| |gcd| $) (|:| |coef1| $) (|:| |coef2| $)) $ $) "\\axiom{extendedSubResultantGcd(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}ca,{} \\spad{cb}]} such that \\axiom{\\spad{g}} is a \\spad{gcd} of \\axiom{a} and \\axiom{\\spad{b}} in \\axiom{\\spad{R^}(\\spad{-1}) \\spad{P}} and \\axiom{\\spad{g} = ca * a + \\spad{cb} * \\spad{b}}")) (|lastSubResultant| (($ $ $) "\\axiom{lastSubResultant(a,{}\\spad{b})} returns \\axiom{resultant(a,{}\\spad{b})} if \\axiom{a} and \\axiom{\\spad{b}} has no non-trivial \\spad{gcd} in \\axiom{\\spad{R^}(\\spad{-1}) \\spad{P}} otherwise the non-zero sub-resultant with smallest index.")) (|subResultantsChain| (((|List| $) $ $) "\\axiom{subResultantsChain(a,{}\\spad{b})} returns the list of the non-zero sub-resultants of \\axiom{a} and \\axiom{\\spad{b}} sorted by increasing degree.")) (|lazyPseudoQuotient| (($ $ $) "\\axiom{lazyPseudoQuotient(a,{}\\spad{b})} returns \\axiom{\\spad{q}} if \\axiom{lazyPseudoDivide(a,{}\\spad{b})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{q},{}\\spad{r}]}")) (|lazyPseudoDivide| (((|Record| (|:| |coef| |#1|) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{lazyPseudoDivide(a,{}\\spad{b})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{q},{}\\spad{r}]} such that \\axiom{\\spad{c^n} * a = \\spad{q*b} \\spad{+r}} and \\axiom{lazyResidueClass(a,{}\\spad{b})} returns \\axiom{[\\spad{r},{}\\spad{c},{}\\spad{n}]} where \\axiom{\\spad{n} + \\spad{g} = max(0,{} degree(\\spad{b}) - degree(a) + 1)}.")) (|lazyPseudoRemainder| (($ $ $) "\\axiom{lazyPseudoRemainder(a,{}\\spad{b})} returns \\axiom{\\spad{r}} if \\axiom{lazyResidueClass(a,{}\\spad{b})} returns \\axiom{[\\spad{r},{}\\spad{c},{}\\spad{n}]}. This lazy pseudo-remainder is computed by means of the fmecg from NewSparseUnivariatePolynomial operation.")) (|lazyResidueClass| (((|Record| (|:| |polnum| $) (|:| |polden| |#1|) (|:| |power| (|NonNegativeInteger|))) $ $) "\\axiom{lazyResidueClass(a,{}\\spad{b})} returns \\axiom{[\\spad{r},{}\\spad{c},{}\\spad{n}]} such that \\axiom{\\spad{r}} is reduced \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{b}} and \\axiom{\\spad{b}} divides \\axiom{\\spad{c^n} * a - \\spad{r}} where \\axiom{\\spad{c}} is \\axiom{leadingCoefficient(\\spad{b})} and \\axiom{\\spad{n}} is as small as possible with the previous properties.")) (|monicModulo| (($ $ $) "\\axiom{monicModulo(a,{}\\spad{b})} returns \\axiom{\\spad{r}} such that \\axiom{\\spad{r}} is reduced \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{b}} and \\axiom{\\spad{b}} divides \\axiom{a \\spad{-r}} where \\axiom{\\spad{b}} is monic.")) (|fmecg| (($ $ (|NonNegativeInteger|) |#1| $) "\\axiom{fmecg(\\spad{p1},{}\\spad{e},{}\\spad{r},{}\\spad{p2})} returns \\axiom{\\spad{p1} - \\spad{r} * x**e * \\spad{p2}} where \\axiom{\\spad{x}} is \\axiom{monomial(1,{}1)}"))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4517 |has| |#1| (-365)) (-4519 |has| |#1| (-6 -4519)) (-4516 . T) (-4515 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-904))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-172))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558)))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-381))))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-568))))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381)))))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568)))))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541))))) (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-1136))) (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (|HasCategory| |#1| (QUOTE (-225))) (|HasAttribute| |#1| (QUOTE -4519)) (|HasCategory| |#1| (QUOTE (-453))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-904)))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-904)))) (|HasCategory| |#1| (QUOTE (-148))))) 
 (-778 R) 
+((|constructor| (NIL "A post-facto extension for \\axiomType{SUP} in order to speed up operations related to pseudo-division and \\spad{gcd} for both \\axiomType{SUP} and,{} consequently,{} \\axiomType{NSMP}.")) (|halfExtendedResultant2| (((|Record| (|:| |resultant| |#1|) (|:| |coef2| $)) $ $) "\\axiom{\\spad{halfExtendedResultant2}(a,{}\\spad{b})} returns \\axiom{[\\spad{r},{}ca]} such that \\axiom{extendedResultant(a,{}\\spad{b})} returns \\axiom{[\\spad{r},{}ca,{} \\spad{cb}]}")) (|halfExtendedResultant1| (((|Record| (|:| |resultant| |#1|) (|:| |coef1| $)) $ $) "\\axiom{\\spad{halfExtendedResultant1}(a,{}\\spad{b})} returns \\axiom{[\\spad{r},{}ca]} such that \\axiom{extendedResultant(a,{}\\spad{b})} returns \\axiom{[\\spad{r},{}ca,{} \\spad{cb}]}")) (|extendedResultant| (((|Record| (|:| |resultant| |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $) "\\axiom{extendedResultant(a,{}\\spad{b})} returns \\axiom{[\\spad{r},{}ca,{}\\spad{cb}]} such that \\axiom{\\spad{r}} is the resultant of \\axiom{a} and \\axiom{\\spad{b}} and \\axiom{\\spad{r} = ca * a + \\spad{cb} * \\spad{b}}")) (|halfExtendedSubResultantGcd2| (((|Record| (|:| |gcd| $) (|:| |coef2| $)) $ $) "\\axiom{\\spad{halfExtendedSubResultantGcd2}(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}\\spad{cb}]} such that \\axiom{extendedSubResultantGcd(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}ca,{} \\spad{cb}]}")) (|halfExtendedSubResultantGcd1| (((|Record| (|:| |gcd| $) (|:| |coef1| $)) $ $) "\\axiom{\\spad{halfExtendedSubResultantGcd1}(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}ca]} such that \\axiom{extendedSubResultantGcd(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}ca,{} \\spad{cb}]}")) (|extendedSubResultantGcd| (((|Record| (|:| |gcd| $) (|:| |coef1| $) (|:| |coef2| $)) $ $) "\\axiom{extendedSubResultantGcd(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}ca,{} \\spad{cb}]} such that \\axiom{\\spad{g}} is a \\spad{gcd} of \\axiom{a} and \\axiom{\\spad{b}} in \\axiom{\\spad{R^}(\\spad{-1}) \\spad{P}} and \\axiom{\\spad{g} = ca * a + \\spad{cb} * \\spad{b}}")) (|lastSubResultant| (($ $ $) "\\axiom{lastSubResultant(a,{}\\spad{b})} returns \\axiom{resultant(a,{}\\spad{b})} if \\axiom{a} and \\axiom{\\spad{b}} has no non-trivial \\spad{gcd} in \\axiom{\\spad{R^}(\\spad{-1}) \\spad{P}} otherwise the non-zero sub-resultant with smallest index.")) (|subResultantsChain| (((|List| $) $ $) "\\axiom{subResultantsChain(a,{}\\spad{b})} returns the list of the non-zero sub-resultants of \\axiom{a} and \\axiom{\\spad{b}} sorted by increasing degree.")) (|lazyPseudoQuotient| (($ $ $) "\\axiom{lazyPseudoQuotient(a,{}\\spad{b})} returns \\axiom{\\spad{q}} if \\axiom{lazyPseudoDivide(a,{}\\spad{b})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{q},{}\\spad{r}]}")) (|lazyPseudoDivide| (((|Record| (|:| |coef| |#1|) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{lazyPseudoDivide(a,{}\\spad{b})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{q},{}\\spad{r}]} such that \\axiom{\\spad{c^n} * a = \\spad{q*b} \\spad{+r}} and \\axiom{lazyResidueClass(a,{}\\spad{b})} returns \\axiom{[\\spad{r},{}\\spad{c},{}\\spad{n}]} where \\axiom{\\spad{n} + \\spad{g} = max(0,{} degree(\\spad{b}) - degree(a) + 1)}.")) (|lazyPseudoRemainder| (($ $ $) "\\axiom{lazyPseudoRemainder(a,{}\\spad{b})} returns \\axiom{\\spad{r}} if \\axiom{lazyResidueClass(a,{}\\spad{b})} returns \\axiom{[\\spad{r},{}\\spad{c},{}\\spad{n}]}. This lazy pseudo-remainder is computed by means of the fmecg from NewSparseUnivariatePolynomial operation.")) (|lazyResidueClass| (((|Record| (|:| |polnum| $) (|:| |polden| |#1|) (|:| |power| (|NonNegativeInteger|))) $ $) "\\axiom{lazyResidueClass(a,{}\\spad{b})} returns \\axiom{[\\spad{r},{}\\spad{c},{}\\spad{n}]} such that \\axiom{\\spad{r}} is reduced \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{b}} and \\axiom{\\spad{b}} divides \\axiom{\\spad{c^n} * a - \\spad{r}} where \\axiom{\\spad{c}} is \\axiom{leadingCoefficient(\\spad{b})} and \\axiom{\\spad{n}} is as small as possible with the previous properties.")) (|monicModulo| (($ $ $) "\\axiom{monicModulo(a,{}\\spad{b})} returns \\axiom{\\spad{r}} such that \\axiom{\\spad{r}} is reduced \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{b}} and \\axiom{\\spad{b}} divides \\axiom{a \\spad{-r}} where \\axiom{\\spad{b}} is monic.")) (|fmecg| (($ $ (|NonNegativeInteger|) |#1| $) "\\axiom{fmecg(\\spad{p1},{}\\spad{e},{}\\spad{r},{}\\spad{p2})} returns \\axiom{\\spad{p1} - \\spad{r} * x**e * \\spad{p2}} where \\axiom{\\spad{x}} is \\axiom{monomial(1,{}1)}"))) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4531 |has| |#1| (-366)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1137))) (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasAttribute| |#1| (QUOTE -4533)) (|HasCategory| |#1| (QUOTE (-454))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-779 R) 
 ((|constructor| (NIL "This package provides polynomials as functions on a ring.")) (|eulerE| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{eulerE(n,{}r)} \\undocumented")) (|bernoulliB| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{bernoulliB(n,{}r)} \\undocumented")) (|cyclotomic| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{cyclotomic(n,{}r)} \\undocumented"))) 
 NIL 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568)))))) 
-(-779 R E V P) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) 
+(-780 R E V P) 
 ((|constructor| (NIL "The category of normalized triangular sets. A triangular set \\spad{ts} is said normalized if for every algebraic variable \\spad{v} of \\spad{ts} the polynomial \\spad{select(ts,{}v)} is normalized \\spad{w}.\\spad{r}.\\spad{t}. every polynomial in \\spad{collectUnder(ts,{}v)}. A polynomial \\spad{p} is said normalized \\spad{w}.\\spad{r}.\\spad{t}. a non-constant polynomial \\spad{q} if \\spad{p} is constant or \\spad{degree(p,{}mdeg(q)) = 0} and \\spad{init(p)} is normalized \\spad{w}.\\spad{r}.\\spad{t}. \\spad{q}. One of the important features of normalized triangular sets is that they are regular sets."))) 
-((-4522 . T) (-4521 . T) (-3973 . T)) 
+((-4536 . T) (-4535 . T) (-2982 . T)) 
 NIL 
-(-780 S) 
+(-781 S) 
 ((|constructor| (NIL "Numeric provides real and complex numerical evaluation functions for various symbolic types.")) (|numericIfCan| (((|Union| (|Float|) "failed") (|Expression| |#1|) (|PositiveInteger|)) "\\spad{numericIfCan(x,{} n)} returns a real approximation of \\spad{x} up to \\spad{n} decimal places,{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Float|) "failed") (|Expression| |#1|)) "\\spad{numericIfCan(x)} returns a real approximation of \\spad{x},{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Float|) "failed") (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|)) "\\spad{numericIfCan(x,{}n)} returns a real approximation of \\spad{x} up to \\spad{n} decimal places,{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Float|) "failed") (|Fraction| (|Polynomial| |#1|))) "\\spad{numericIfCan(x)} returns a real approximation of \\spad{x},{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Float|) "failed") (|Polynomial| |#1|) (|PositiveInteger|)) "\\spad{numericIfCan(x,{}n)} returns a real approximation of \\spad{x} up to \\spad{n} decimal places,{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Float|) "failed") (|Polynomial| |#1|)) "\\spad{numericIfCan(x)} returns a real approximation of \\spad{x},{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.")) (|complexNumericIfCan| (((|Union| (|Complex| (|Float|)) "failed") (|Expression| (|Complex| |#1|)) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x,{} n)} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places,{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Expression| (|Complex| |#1|))) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x},{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Expression| |#1|) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x,{} n)} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places,{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Expression| |#1|)) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x},{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| (|Complex| |#1|))) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x,{} n)} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places,{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| (|Complex| |#1|)))) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x},{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x,{} n)} returns a complex approximation of \\spad{x},{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| |#1|))) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x},{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| |#1|) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x,{} n)} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places,{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| |#1|)) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x},{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| (|Complex| |#1|)) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x,{} n)} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places,{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| (|Complex| |#1|))) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x},{} or \"failed\" if \\axiom{\\spad{x}} is not constant.")) (|complexNumeric| (((|Complex| (|Float|)) (|Expression| (|Complex| |#1|)) (|PositiveInteger|)) "\\spad{complexNumeric(x,{} n)} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Expression| (|Complex| |#1|))) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x}.") (((|Complex| (|Float|)) (|Expression| |#1|) (|PositiveInteger|)) "\\spad{complexNumeric(x,{} n)} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Expression| |#1|)) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x}.") (((|Complex| (|Float|)) (|Fraction| (|Polynomial| (|Complex| |#1|))) (|PositiveInteger|)) "\\spad{complexNumeric(x,{} n)} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Fraction| (|Polynomial| (|Complex| |#1|)))) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x}.") (((|Complex| (|Float|)) (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|)) "\\spad{complexNumeric(x,{} n)} returns a complex approximation of \\spad{x}") (((|Complex| (|Float|)) (|Fraction| (|Polynomial| |#1|))) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x}.") (((|Complex| (|Float|)) (|Polynomial| |#1|) (|PositiveInteger|)) "\\spad{complexNumeric(x,{} n)} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Polynomial| |#1|)) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x}.") (((|Complex| (|Float|)) (|Polynomial| (|Complex| |#1|)) (|PositiveInteger|)) "\\spad{complexNumeric(x,{} n)} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Polynomial| (|Complex| |#1|))) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x}.") (((|Complex| (|Float|)) (|Complex| |#1|) (|PositiveInteger|)) "\\spad{complexNumeric(x,{} n)} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Complex| |#1|)) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x}.") (((|Complex| (|Float|)) |#1| (|PositiveInteger|)) "\\spad{complexNumeric(x,{} n)} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) |#1|) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x}.")) (|numeric| (((|Float|) (|Expression| |#1|) (|PositiveInteger|)) "\\spad{numeric(x,{} n)} returns a real approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Float|) (|Expression| |#1|)) "\\spad{numeric(x)} returns a real approximation of \\spad{x}.") (((|Float|) (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|)) "\\spad{numeric(x,{}n)} returns a real approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Float|) (|Fraction| (|Polynomial| |#1|))) "\\spad{numeric(x)} returns a real approximation of \\spad{x}.") (((|Float|) (|Polynomial| |#1|) (|PositiveInteger|)) "\\spad{numeric(x,{}n)} returns a real approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Float|) (|Polynomial| |#1|)) "\\spad{numeric(x)} returns a real approximation of \\spad{x}.") (((|Float|) |#1| (|PositiveInteger|)) "\\spad{numeric(x,{} n)} returns a real approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Float|) |#1|) "\\spad{numeric(x)} returns a real approximation of \\spad{x}."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-558))) (-12 (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-842)))) (|HasCategory| |#1| (QUOTE (-1047))) (|HasCategory| |#1| (QUOTE (-172)))) 
-(-781) 
+((|HasCategory| |#1| (QUOTE (-559))) (-12 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-843)))) (|HasCategory| |#1| (QUOTE (-1048))) (|HasCategory| |#1| (QUOTE (-173)))) 
+(-782) 
 ((|constructor| (NIL "NumberFormats provides function to format and read arabic and roman numbers,{} to convert numbers to strings and to read floating-point numbers.")) (|ScanFloatIgnoreSpacesIfCan| (((|Union| (|Float|) "failed") (|String|)) "\\spad{ScanFloatIgnoreSpacesIfCan(s)} tries to form a floating point number from the string \\spad{s} ignoring any spaces.")) (|ScanFloatIgnoreSpaces| (((|Float|) (|String|)) "\\spad{ScanFloatIgnoreSpaces(s)} forms a floating point number from the string \\spad{s} ignoring any spaces. Error is generated if the string is not recognised as a floating point number.")) (|ScanRoman| (((|PositiveInteger|) (|String|)) "\\spad{ScanRoman(s)} forms an integer from a Roman numeral string \\spad{s}.")) (|FormatRoman| (((|String|) (|PositiveInteger|)) "\\spad{FormatRoman(n)} forms a Roman numeral string from an integer \\spad{n}.")) (|ScanArabic| (((|PositiveInteger|) (|String|)) "\\spad{ScanArabic(s)} forms an integer from an Arabic numeral string \\spad{s}.")) (|FormatArabic| (((|String|) (|PositiveInteger|)) "\\spad{FormatArabic(n)} forms an Arabic numeral string from an integer \\spad{n}."))) 
 NIL 
 NIL 
-(-782) 
+(-783) 
 ((|constructor| (NIL "\\axiomType{NumericalIntegrationCategory} is the \\axiom{category} for describing the set of Numerical Integration \\axiom{domains} with \\axiomFun{measure} and \\axiomFun{numericalIntegration}.")) (|numericalIntegration| (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) "\\spad{numericalIntegration(args,{}hints)} performs the integration of the function given the strategy or method returned by \\axiomFun{measure}.") (((|Result|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) "\\spad{numericalIntegration(args,{}hints)} performs the integration of the function given the strategy or method returned by \\axiomFun{measure}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{measure(R,{}args)} calculates an estimate of the ability of a particular method to solve a problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter,{} labelled \\axiom{sofar},{} which would contain the best compatibility found so far.") (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{measure(R,{}args)} calculates an estimate of the ability of a particular method to solve a problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter,{} labelled \\axiom{sofar},{} which would contain the best compatibility found so far."))) 
 NIL 
 NIL 
-(-783) 
+(-784) 
 ((|constructor| (NIL "This package is a suite of functions for the numerical integration of an ordinary differential equation of \\spad{n} variables:\\spad{\\br} \\tab{5}dy/dx = \\spad{f}(\\spad{y},{}\\spad{x})\\tab{5}\\spad{y} is an \\spad{n}-vector\\spad{\\br} All the routines are based on a 4-th order Runge-Kutta kernel. These routines generally have as arguments:\\spad{\\br} \\spad{n},{} the number of dependent variables;\\spad{\\br} \\spad{x1},{} the initial point;\\spad{\\br} \\spad{h},{} the step size;\\spad{\\br} \\spad{y},{} a vector of initial conditions of length \\spad{n}\\spad{\\br} which upon exit contains the solution at \\spad{x1 + h};\\spad{\\br} \\blankline \\spad{derivs},{} a function which computes the right hand side of the ordinary differential equation: \\spad{derivs(dydx,{}y,{}x)} computes \\spad{dydx},{} a vector which contains the derivative information. \\blankline In order of increasing complexity:\\spad{\\br} \\tab{5}\\spad{rk4(y,{}n,{}x1,{}h,{}derivs)} advances the solution vector to\\spad{\\br} \\tab{5}\\spad{x1 + h} and return the values in \\spad{y}.\\spad{\\br} \\blankline \\tab{5}\\spad{rk4(y,{}n,{}x1,{}h,{}derivs,{}t1,{}t2,{}t3,{}t4)} is the same as\\spad{\\br} \\tab{5}\\spad{rk4(y,{}n,{}x1,{}h,{}derivs)} except that you must provide 4 scratch\\spad{\\br} \\tab{5}arrays \\spad{t1}-\\spad{t4} of size \\spad{n}.\\spad{\\br} \\blankline \\tab{5}Starting with \\spad{y} at \\spad{x1},{} \\spad{rk4f(y,{}n,{}x1,{}x2,{}ns,{}derivs)}\\spad{\\br} \\tab{5}uses \\spad{ns} fixed steps of a 4-th order Runge-Kutta\\spad{\\br} \\tab{5}integrator to advance the solution vector to \\spad{x2} and return\\spad{\\br} \\tab{5}the values in \\spad{y}. Argument \\spad{x2},{} is the final point,{} and\\spad{\\br} \\tab{5}\\spad{ns},{} the number of steps to take. \\blankline \\spad{rk4qc(y,{}n,{}x1,{}step,{}eps,{}yscal,{}derivs)} takes a 5-th order Runge-Kutta step with monitoring of local truncation to ensure accuracy and adjust stepsize. The function takes two half steps and one full step and scales the difference in solutions at the final point. If the error is within \\spad{eps},{} the step is taken and the result is returned. If the error is not within \\spad{eps},{} the stepsize if decreased and the procedure is tried again until the desired accuracy is reached. Upon input,{} an trial step size must be given and upon return,{} an estimate of the next step size to use is returned as well as the step size which produced the desired accuracy. The scaled error is computed as\\spad{\\br} \\tab{5}\\spad{error = MAX(ABS((y2steps(i) - y1step(i))/yscal(i)))}\\spad{\\br} and this is compared against \\spad{eps}. If this is greater than \\spad{eps},{} the step size is reduced accordingly to\\spad{\\br} \\tab{5}\\spad{hnew = 0.9 * hdid * (error/eps)**(-1/4)}\\spad{\\br} If the error criterion is satisfied,{} then we check if the step size was too fine and return a more efficient one. If \\spad{error > \\spad{eps} * (6.0E-04)} then the next step size should be\\spad{\\br} \\tab{5}\\spad{hnext = 0.9 * hdid * (error/\\spad{eps})\\spad{**}(\\spad{-1/5})}\\spad{\\br} Otherwise \\spad{hnext = 4.0 * hdid} is returned. A more detailed discussion of this and related topics can be found in the book \"Numerical Recipies\" by \\spad{W}.Press,{} \\spad{B}.\\spad{P}. Flannery,{} \\spad{S}.A. Teukolsky,{} \\spad{W}.\\spad{T}. Vetterling published by Cambridge University Press. \\blankline Argument \\spad{step} is a record of 3 floating point numbers \\spad{(try ,{} did ,{} next)},{} \\spad{eps} is the required accuracy,{} \\spad{yscal} is the scaling vector for the difference in solutions. On input,{} \\spad{step.try} should be the guess at a step size to achieve the accuracy. On output,{} \\spad{step.did} contains the step size which achieved the accuracy and \\spad{step.next} is the next step size to use. \\blankline \\spad{rk4qc(y,{}n,{}x1,{}step,{}eps,{}yscal,{}derivs,{}t1,{}t2,{}t3,{}t4,{}t5,{}t6,{}t7)} is the same as \\spad{rk4qc(y,{}n,{}x1,{}step,{}eps,{}yscal,{}derivs)} except that the user must provide the 7 scratch arrays \\spad{t1-t7} of size \\spad{n}. \\blankline \\spad{rk4a(y,{}n,{}x1,{}x2,{}eps,{}h,{}ns,{}derivs)} is a driver program which uses \\spad{rk4qc} to integrate \\spad{n} ordinary differential equations starting at \\spad{x1} to \\spad{x2},{} keeping the local truncation error to within \\spad{eps} by changing the local step size. The scaling vector is defined as\\spad{\\br} \\tab{5}\\spad{yscal(i) = abs(y(i)) + abs(h*dydx(i)) + tiny}\\spad{\\br} where \\spad{y(i)} is the solution at location \\spad{x},{} \\spad{dydx} is the ordinary differential equation\\spad{'s} right hand side,{} \\spad{h} is the current step size and \\spad{tiny} is 10 times the smallest positive number representable. \\blankline The user must supply an estimate for a trial step size and the maximum number of calls to \\spad{rk4qc} to use. Argument \\spad{x2} is the final point,{} \\spad{eps} is local truncation,{} \\spad{ns} is the maximum number of call to \\spad{rk4qc} to use.")) (|rk4f| (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Integer|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|))) "\\spad{rk4f(y,{}n,{}x1,{}x2,{}ns,{}derivs)} uses a 4-th order Runge-Kutta method to numerically integrate the ordinary differential equation dy/dx = \\spad{f}(\\spad{y},{}\\spad{x}) of \\spad{n} variables,{} where \\spad{y} is an \\spad{n}-vector. Starting with \\spad{y} at \\spad{x1},{} this function uses \\spad{ns} fixed steps of a 4-th order Runge-Kutta integrator to advance the solution vector to \\spad{x2} and return the values in \\spad{y}. For details,{} see \\con{NumericalOrdinaryDifferentialEquations}.")) (|rk4qc| (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|))) (|Float|) (|Vector| (|Float|)) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|))) "\\spad{rk4qc(y,{}n,{}x1,{}step,{}eps,{}yscal,{}derivs,{}t1,{}t2,{}t3,{}t4,{}t5,{}t6,{}t7)} is a subfunction for the numerical integration of an ordinary differential equation dy/dx = \\spad{f}(\\spad{y},{}\\spad{x}) of \\spad{n} variables,{} where \\spad{y} is an \\spad{n}-vector using a 4-th order Runge-Kutta method. This function takes a 5-th order Runge-Kutta \\spad{step} with monitoring of local truncation to ensure accuracy and adjust stepsize. For details,{} see \\con{NumericalOrdinaryDifferentialEquations}.") (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|))) (|Float|) (|Vector| (|Float|)) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|))) "\\spad{rk4qc(y,{}n,{}x1,{}step,{}eps,{}yscal,{}derivs)} is a subfunction for the numerical integration of an ordinary differential equation dy/dx = \\spad{f}(\\spad{y},{}\\spad{x}) of \\spad{n} variables,{} where \\spad{y} is an \\spad{n}-vector using a 4-th order Runge-Kutta method. This function takes a 5-th order Runge-Kutta \\spad{step} with monitoring of local truncation to ensure accuracy and adjust stepsize. For details,{} see \\con{NumericalOrdinaryDifferentialEquations}.")) (|rk4a| (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|))) "\\spad{rk4a(y,{}n,{}x1,{}x2,{}eps,{}h,{}ns,{}derivs)} is a driver function for the numerical integration of an ordinary differential equation dy/dx = \\spad{f}(\\spad{y},{}\\spad{x}) of \\spad{n} variables,{} where \\spad{y} is an \\spad{n}-vector using a 4-th order Runge-Kutta method. For details,{} see \\con{NumericalOrdinaryDifferentialEquations}.")) (|rk4| (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|))) "\\spad{rk4(y,{}n,{}x1,{}h,{}derivs,{}t1,{}t2,{}t3,{}t4)} is the same as \\spad{rk4(y,{}n,{}x1,{}h,{}derivs)} except that you must provide 4 scratch arrays \\spad{t1}-\\spad{t4} of size \\spad{n}. For details,{} see \\con{NumericalOrdinaryDifferentialEquations}.") (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|))) "\\spad{rk4(y,{}n,{}x1,{}h,{}derivs)} uses a 4-th order Runge-Kutta method to numerically integrate the ordinary differential equation dy/dx = \\spad{f}(\\spad{y},{}\\spad{x}) of \\spad{n} variables,{} where \\spad{y} is an \\spad{n}-vector. Argument \\spad{y} is a vector of initial conditions of length \\spad{n} which upon exit contains the solution at \\spad{x1 + h},{} \\spad{n} is the number of dependent variables,{} \\spad{x1} is the initial point,{} \\spad{h} is the step size,{} and \\spad{derivs} is a function which computes the right hand side of the ordinary differential equation. For details,{} see \\spadtype{NumericalOrdinaryDifferentialEquations}."))) 
 NIL 
 NIL 
-(-784) 
+(-785) 
 ((|constructor| (NIL "This suite of routines performs numerical quadrature using algorithms derived from the basic trapezoidal rule. Because the error term of this rule contains only even powers of the step size (for open and closed versions),{} fast convergence can be obtained if the integrand is sufficiently smooth. \\blankline Each routine returns a Record of type TrapAns,{} which contains value Float: estimate of the integral error Float: estimate of the error in the computation totalpts Integer: total number of function evaluations success Boolean: if the integral was computed within the user specified error criterion To produce this estimate,{} each routine generates an internal sequence of sub-estimates,{} denoted by \\spad{S}(\\spad{i}),{} depending on the routine,{} to which the various convergence criteria are applied. The user must supply a relative accuracy,{} \\spad{eps_r},{} and an absolute accuracy,{} \\spad{eps_a}. Convergence is obtained when either\\spad{\\br} \\tab{5}\\spad{ABS(S(i) - S(i-1)) < eps_r * ABS(S(i-1))}\\spad{\\br} \\tab{5}or \\spad{ABS(S(i) - S(i-1)) < eps_a} are \\spad{true} statements. \\blankline The routines come in three families and three flavors: closed: romberg,{} simpson,{} trapezoidal open: rombergo,{} simpsono,{} trapezoidalo adaptive closed: aromberg,{} asimpson,{} atrapezoidal \\blankline The \\spad{S}(\\spad{i}) for the trapezoidal family is the value of the integral using an equally spaced absicca trapezoidal rule for that level of refinement. \\blankline The \\spad{S}(\\spad{i}) for the simpson family is the value of the integral using an equally spaced absicca simpson rule for that level of refinement. \\blankline The \\spad{S}(\\spad{i}) for the romberg family is the estimate of the integral using an equally spaced absicca romberg method. For the \\spad{i}-th level,{} this is an appropriate combination of all the previous trapezodial estimates so that the error term starts with the 2*(\\spad{i+1}) power only. \\blankline The three families come in a closed version,{} where the formulas include the endpoints,{} an open version where the formulas do not include the endpoints and an adaptive version,{} where the user is required to input the number of subintervals over which the appropriate closed family integrator will apply with the usual convergence parmeters for each subinterval. This is useful where a large number of points are needed only in a small fraction of the entire domain. \\blankline Each routine takes as arguments:\\spad{\\br} \\spad{f} integrand\\spad{\\br} a starting point\\spad{\\br} \\spad{b} ending point\\spad{\\br} eps_r relative error\\spad{\\br} eps_a absolute error\\spad{\\br} nmin refinement level when to start checking for convergence (> 1)\\spad{\\br} nmax maximum level of refinement\\spad{\\br} \\blankline The adaptive routines take as an additional parameter,{} nint,{} the number of independent intervals to apply a closed family integrator of the same name. \\blankline")) (|trapezoidalo| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{trapezoidalo(fn,{}a,{}b,{}epsrel,{}epsabs,{}nmin,{}nmax)} uses the trapezoidal method to numerically integrate function \\spad{fn} over the open interval from \\spad{a} to \\spad{b},{} with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs},{} with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral,{} the estimate of the error in the computation,{} the total number of function evaluations,{} and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|simpsono| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{simpsono(fn,{}a,{}b,{}epsrel,{}epsabs,{}nmin,{}nmax)} uses the simpson method to numerically integrate function \\spad{fn} over the open interval from \\spad{a} to \\spad{b},{} with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs},{} with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral,{} the estimate of the error in the computation,{} the total number of function evaluations,{} and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|rombergo| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{rombergo(fn,{}a,{}b,{}epsrel,{}epsabs,{}nmin,{}nmax)} uses the romberg method to numerically integrate function \\spad{fn} over the open interval from \\spad{a} to \\spad{b},{} with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs},{} with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral,{} the estimate of the error in the computation,{} the total number of function evaluations,{} and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|trapezoidal| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{trapezoidal(fn,{}a,{}b,{}epsrel,{}epsabs,{}nmin,{}nmax)} uses the trapezoidal method to numerically integrate function \\spadvar{\\spad{fn}} over the closed interval \\spad{a} to \\spad{b},{} with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs},{} with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral,{} the estimate of the error in the computation,{} the total number of function evaluations,{} and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|simpson| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{simpson(fn,{}a,{}b,{}epsrel,{}epsabs,{}nmin,{}nmax)} uses the simpson method to numerically integrate function \\spad{fn} over the closed interval \\spad{a} to \\spad{b},{} with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs},{} with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral,{} the estimate of the error in the computation,{} the total number of function evaluations,{} and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|romberg| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{romberg(fn,{}a,{}b,{}epsrel,{}epsabs,{}nmin,{}nmax)} uses the romberg method to numerically integrate function \\spadvar{\\spad{fn}} over the closed interval \\spad{a} to \\spad{b},{} with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs},{} with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral,{} the estimate of the error in the computation,{} the total number of function evaluations,{} and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|atrapezoidal| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{atrapezoidal(fn,{}a,{}b,{}epsrel,{}epsabs,{}nmin,{}nmax,{}nint)} uses the adaptive trapezoidal method to numerically integrate function \\spad{fn} over the closed interval from \\spad{a} to \\spad{b},{} with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs},{} with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax},{} and where \\spad{nint} is the number of independent intervals to apply the integrator. The value returned is a record containing the value of the integral,{} the estimate of the error in the computation,{} the total number of function evaluations,{} and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|asimpson| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{asimpson(fn,{}a,{}b,{}epsrel,{}epsabs,{}nmin,{}nmax,{}nint)} uses the adaptive simpson method to numerically integrate function \\spad{fn} over the closed interval from \\spad{a} to \\spad{b},{} with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs},{} with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax},{} and where \\spad{nint} is the number of independent intervals to apply the integrator. The value returned is a record containing the value of the integral,{} the estimate of the error in the computation,{} the total number of function evaluations,{} and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|aromberg| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{aromberg(fn,{}a,{}b,{}epsrel,{}epsabs,{}nmin,{}nmax,{}nint)} uses the adaptive romberg method to numerically integrate function \\spad{fn} over the closed interval from \\spad{a} to \\spad{b},{} with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs},{} with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax},{} and where \\spad{nint} is the number of independent intervals to apply the integrator. The value returned is a record containing the value of the integral,{} the estimate of the error in the computation,{} the total number of function evaluations,{} and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details."))) 
 NIL 
 NIL 
-(-785 |Curve|) 
+(-786 |Curve|) 
 ((|constructor| (NIL "Package for constructing tubes around 3-dimensional parametric curves.")) (|tube| (((|TubePlot| |#1|) |#1| (|DoubleFloat|) (|Integer|)) "\\spad{tube(c,{}r,{}n)} creates a tube of radius \\spad{r} around the curve \\spad{c}."))) 
 NIL 
 NIL 
-(-786) 
+(-787) 
 ((|constructor| (NIL "Ordered sets which are also abelian groups,{} such that the addition preserves the ordering."))) 
 NIL 
 NIL 
-(-787) 
+(-788) 
 ((|constructor| (NIL "Ordered sets which are also abelian monoids,{} such that the addition preserves the ordering."))) 
 NIL 
 NIL 
-(-788) 
+(-789) 
 ((|constructor| (NIL "This domain is an OrderedAbelianMonoid with a \\spadfun{sup} operation added. The purpose of the \\spadfun{sup} operator in this domain is to act as a supremum with respect to the partial order imposed by \\spadop{-},{} rather than with respect to the total \\spad{>} order (since that is \"max\"). \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{sup(a,{}b)-a \\~~= \"failed\"}\\spad{\\br} \\tab{5}\\spad{sup(a,{}b)-b \\~~= \"failed\"}\\spad{\\br} \\tab{5}\\spad{x-a \\~~= \"failed\" and x-b \\~~= \"failed\" => x >= sup(a,{}b)}\\spad{\\br}")) (|sup| (($ $ $) "\\spad{sup(x,{}y)} returns the least element from which both \\spad{x} and \\spad{y} can be subtracted."))) 
 NIL 
 NIL 
-(-789) 
+(-790) 
 ((|constructor| (NIL "Ordered sets which are also abelian semigroups,{} such that the addition preserves the ordering.\\spad{\\br} \\blankline Axiom\\spad{\\br} \\tab{5} \\spad{x} < \\spad{y} \\spad{=>} \\spad{x+z} < \\spad{y+z}"))) 
 NIL 
 NIL 
-(-790) 
+(-791) 
 ((|constructor| (NIL "Ordered sets which are also abelian cancellation monoids,{} such that the addition preserves the ordering."))) 
 NIL 
 NIL 
-(-791 S R) 
+(-792 S R) 
 ((|constructor| (NIL "OctonionCategory gives the categorial frame for the octonions,{} and eight-dimensional non-associative algebra,{} doubling the the quaternions in the same way as doubling the Complex numbers to get the quaternions.")) (|inv| (($ $) "\\spad{inv(o)} returns the inverse of \\spad{o} if it exists.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(o)} returns the real part if all seven imaginary parts are 0,{} and \"failed\" otherwise.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(o)} returns the real part if all seven imaginary parts are 0. Error: if \\spad{o} is not rational.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(o)} tests if \\spad{o} is rational,{} \\spadignore{i.e.} that all seven imaginary parts are 0.")) (|abs| ((|#2| $) "\\spad{abs(o)} computes the absolute value of an octonion,{} equal to the square root of the \\spadfunFrom{norm}{Octonion}.")) (|octon| (($ |#2| |#2| |#2| |#2| |#2| |#2| |#2| |#2|) "\\spad{octon(re,{}\\spad{ri},{}rj,{}rk,{}rE,{}rI,{}rJ,{}rK)} constructs an octonion from scalars.")) (|norm| ((|#2| $) "\\spad{norm(o)} returns the norm of an octonion,{} equal to the sum of the squares of its coefficients.")) (|imagK| ((|#2| $) "\\spad{imagK(o)} extracts the imaginary \\spad{K} part of octonion \\spad{o}.")) (|imagJ| ((|#2| $) "\\spad{imagJ(o)} extracts the imaginary \\spad{J} part of octonion \\spad{o}.")) (|imagI| ((|#2| $) "\\spad{imagI(o)} extracts the imaginary \\spad{I} part of octonion \\spad{o}.")) (|imagE| ((|#2| $) "\\spad{imagE(o)} extracts the imaginary \\spad{E} part of octonion \\spad{o}.")) (|imagk| ((|#2| $) "\\spad{imagk(o)} extracts the \\spad{k} part of octonion \\spad{o}.")) (|imagj| ((|#2| $) "\\spad{imagj(o)} extracts the \\spad{j} part of octonion \\spad{o}.")) (|imagi| ((|#2| $) "\\spad{imagi(o)} extracts the \\spad{i} part of octonion \\spad{o}.")) (|real| ((|#2| $) "\\spad{real(o)} extracts real part of octonion \\spad{o}.")) (|conjugate| (($ $) "\\spad{conjugate(o)} negates the imaginary parts \\spad{i},{}\\spad{j},{}\\spad{k},{}\\spad{E},{}\\spad{I},{}\\spad{J},{}\\spad{K} of octonian \\spad{o}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-550))) (|HasCategory| |#2| (QUOTE (-1056))) (|HasCategory| |#2| (QUOTE (-148))) (|HasCategory| |#2| (QUOTE (-150))) (|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#2| (QUOTE (-842))) (|HasCategory| |#2| (QUOTE (-370)))) 
-(-792 R) 
+((|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-551))) (|HasCategory| |#2| (QUOTE (-1057))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-371)))) 
+(-793 R) 
 ((|constructor| (NIL "OctonionCategory gives the categorial frame for the octonions,{} and eight-dimensional non-associative algebra,{} doubling the the quaternions in the same way as doubling the Complex numbers to get the quaternions.")) (|inv| (($ $) "\\spad{inv(o)} returns the inverse of \\spad{o} if it exists.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(o)} returns the real part if all seven imaginary parts are 0,{} and \"failed\" otherwise.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(o)} returns the real part if all seven imaginary parts are 0. Error: if \\spad{o} is not rational.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(o)} tests if \\spad{o} is rational,{} \\spadignore{i.e.} that all seven imaginary parts are 0.")) (|abs| ((|#1| $) "\\spad{abs(o)} computes the absolute value of an octonion,{} equal to the square root of the \\spadfunFrom{norm}{Octonion}.")) (|octon| (($ |#1| |#1| |#1| |#1| |#1| |#1| |#1| |#1|) "\\spad{octon(re,{}\\spad{ri},{}rj,{}rk,{}rE,{}rI,{}rJ,{}rK)} constructs an octonion from scalars.")) (|norm| ((|#1| $) "\\spad{norm(o)} returns the norm of an octonion,{} equal to the sum of the squares of its coefficients.")) (|imagK| ((|#1| $) "\\spad{imagK(o)} extracts the imaginary \\spad{K} part of octonion \\spad{o}.")) (|imagJ| ((|#1| $) "\\spad{imagJ(o)} extracts the imaginary \\spad{J} part of octonion \\spad{o}.")) (|imagI| ((|#1| $) "\\spad{imagI(o)} extracts the imaginary \\spad{I} part of octonion \\spad{o}.")) (|imagE| ((|#1| $) "\\spad{imagE(o)} extracts the imaginary \\spad{E} part of octonion \\spad{o}.")) (|imagk| ((|#1| $) "\\spad{imagk(o)} extracts the \\spad{k} part of octonion \\spad{o}.")) (|imagj| ((|#1| $) "\\spad{imagj(o)} extracts the \\spad{j} part of octonion \\spad{o}.")) (|imagi| ((|#1| $) "\\spad{imagi(o)} extracts the \\spad{i} part of octonion \\spad{o}.")) (|real| ((|#1| $) "\\spad{real(o)} extracts real part of octonion \\spad{o}.")) (|conjugate| (($ $) "\\spad{conjugate(o)} negates the imaginary parts \\spad{i},{}\\spad{j},{}\\spad{k},{}\\spad{E},{}\\spad{I},{}\\spad{J},{}\\spad{K} of octonian \\spad{o}."))) 
-((-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-793 -2199 R OS S) 
+(-794 -2232 R OS S) 
 ((|constructor| (NIL "\\spad{OctonionCategoryFunctions2} implements functions between two octonion domains defined over different rings. The function map is used to coerce between octonion types.")) (|map| ((|#3| (|Mapping| |#4| |#2|) |#1|) "\\spad{map(f,{}u)} maps \\spad{f} onto the component parts of the octonion \\spad{u}."))) 
 NIL 
 NIL 
-(-794 R) 
+(-795 R) 
 ((|constructor| (NIL "Octonion implements octonions (Cayley-Dixon algebra) over a commutative ring,{} an eight-dimensional non-associative algebra,{} doubling the quaternions in the same way as doubling the complex numbers to get the quaternions the main constructor function is octon which takes 8 arguments: the real part,{} the \\spad{i} imaginary part,{} the \\spad{j} imaginary part,{} the \\spad{k} imaginary part,{} (as with quaternions) and in addition the imaginary parts \\spad{E},{} \\spad{I},{} \\spad{J},{} \\spad{K}.")) (|octon| (($ (|Quaternion| |#1|) (|Quaternion| |#1|)) "\\spad{octon(qe,{}qE)} constructs an octonion from two quaternions using the relation \\spad{O} = \\spad{Q} + QE."))) 
-((-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-370))) (|HasCategory| |#1| (LIST (QUOTE -523) (QUOTE (-1161)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -281) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1056))) (|HasCategory| |#1| (QUOTE (-550))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| (-999 |#1|) (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| (-999 |#1|) (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (-2199 (|HasCategory| (-999 |#1|) (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (-2199 (|HasCategory| (-999 |#1|) (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))))) 
-(-795) 
+((-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1163)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1057))) (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| (-1000 |#1|) (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-1000 |#1|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (-2232 (|HasCategory| (-1000 |#1|) (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (-2232 (|HasCategory| (-1000 |#1|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))))) 
+(-796) 
 ((|constructor| (NIL "\\axiomType{OrdinaryDifferentialEquationsSolverCategory} is the \\axiom{category} for describing the set of ODE solver \\axiom{domains} with \\axiomFun{measure} and \\axiomFun{ODEsolve}.")) (|ODESolve| (((|Result|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{ODESolve(args)} performs the integration of the function given the strategy or method returned by \\axiomFun{measure}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{measure(R,{}args)} calculates an estimate of the ability of a particular method to solve a problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter,{} labelled \\axiom{sofar},{} which would contain the best compatibility found so far."))) 
 NIL 
 NIL 
-(-796 R -1478 L) 
+(-797 R -1564 L) 
 ((|constructor| (NIL "Solution of linear ordinary differential equations,{} constant coefficient case.")) (|constDsolve| (((|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Symbol|)) "\\spad{constDsolve(op,{} g,{} x)} returns \\spad{[f,{} [y1,{}...,{}ym]]} where \\spad{f} is a particular solution of the equation \\spad{op y = g},{} and the \\spad{\\spad{yi}}\\spad{'s} form a basis for the solutions of \\spad{op y = 0}."))) 
 NIL 
 NIL 
-(-797 R -1478) 
+(-798 R -1564) 
 ((|constructor| (NIL "\\spad{ElementaryFunctionODESolver} provides the top-level functions for finding closed form solutions of ordinary differential equations and initial value problems.")) (|solve| (((|Union| |#2| "failed") |#2| (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)) "\\spad{solve(eq,{} y,{} x = a,{} [y0,{}...,{}ym])} returns either the solution of the initial value problem \\spad{eq,{} y(a) = y0,{} y'(a) = y1,{}...} or \"failed\" if the solution cannot be found; error if the equation is not one linear ordinary or of the form \\spad{dy/dx = f(x,{}y)}.") (((|Union| |#2| "failed") (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)) "\\spad{solve(eq,{} y,{} x = a,{} [y0,{}...,{}ym])} returns either the solution of the initial value problem \\spad{eq,{} y(a) = y0,{} y'(a) = y1,{}...} or \"failed\" if the solution cannot be found; error if the equation is not one linear ordinary or of the form \\spad{dy/dx = f(x,{}y)}.") (((|Union| (|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) |#2| "failed") |#2| (|BasicOperator|) (|Symbol|)) "\\spad{solve(eq,{} y,{} x)} returns either a solution of the ordinary differential equation \\spad{eq} or \"failed\" if no non-trivial solution can be found; If the equation is linear ordinary,{} a solution is of the form \\spad{[h,{} [b1,{}...,{}bm]]} where \\spad{h} is a particular solution and and \\spad{[b1,{}...bm]} are linearly independent solutions of the associated homogenuous equation \\spad{f(x,{}y) = 0}; A full basis for the solutions of the homogenuous equation is not always returned,{} only the solutions which were found; If the equation is of the form {dy/dx = \\spad{f}(\\spad{x},{}\\spad{y})},{} a solution is of the form \\spad{h(x,{}y)} where \\spad{h(x,{}y) = c} is a first integral of the equation for any constant \\spad{c}.") (((|Union| (|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) |#2| "failed") (|Equation| |#2|) (|BasicOperator|) (|Symbol|)) "\\spad{solve(eq,{} y,{} x)} returns either a solution of the ordinary differential equation \\spad{eq} or \"failed\" if no non-trivial solution can be found; If the equation is linear ordinary,{} a solution is of the form \\spad{[h,{} [b1,{}...,{}bm]]} where \\spad{h} is a particular solution and \\spad{[b1,{}...bm]} are linearly independent solutions of the associated homogenuous equation \\spad{f(x,{}y) = 0}; A full basis for the solutions of the homogenuous equation is not always returned,{} only the solutions which were found; If the equation is of the form {dy/dx = \\spad{f}(\\spad{x},{}\\spad{y})},{} a solution is of the form \\spad{h(x,{}y)} where \\spad{h(x,{}y) = c} is a first integral of the equation for any constant \\spad{c}; error if the equation is not one of those 2 forms.") (((|Union| (|Record| (|:| |particular| (|Vector| |#2|)) (|:| |basis| (|List| (|Vector| |#2|)))) "failed") (|List| |#2|) (|List| (|BasicOperator|)) (|Symbol|)) "\\spad{solve([eq_1,{}...,{}eq_n],{} [y_1,{}...,{}y_n],{} x)} returns either \"failed\" or,{} if the equations form a fist order linear system,{} a solution of the form \\spad{[y_p,{} [b_1,{}...,{}b_n]]} where \\spad{h_p} is a particular solution and \\spad{[b_1,{}...b_m]} are linearly independent solutions of the associated homogenuous system. error if the equations do not form a first order linear system") (((|Union| (|Record| (|:| |particular| (|Vector| |#2|)) (|:| |basis| (|List| (|Vector| |#2|)))) "failed") (|List| (|Equation| |#2|)) (|List| (|BasicOperator|)) (|Symbol|)) "\\spad{solve([eq_1,{}...,{}eq_n],{} [y_1,{}...,{}y_n],{} x)} returns either \"failed\" or,{} if the equations form a fist order linear system,{} a solution of the form \\spad{[y_p,{} [b_1,{}...,{}b_n]]} where \\spad{h_p} is a particular solution and \\spad{[b_1,{}...b_m]} are linearly independent solutions of the associated homogenuous system. error if the equations do not form a first order linear system") (((|Union| (|List| (|Vector| |#2|)) "failed") (|Matrix| |#2|) (|Symbol|)) "\\spad{solve(m,{} x)} returns a basis for the solutions of \\spad{D y = m y}. \\spad{x} is the dependent variable.") (((|Union| (|Record| (|:| |particular| (|Vector| |#2|)) (|:| |basis| (|List| (|Vector| |#2|)))) "failed") (|Matrix| |#2|) (|Vector| |#2|) (|Symbol|)) "\\spad{solve(m,{} v,{} x)} returns \\spad{[v_p,{} [v_1,{}...,{}v_m]]} such that the solutions of the system \\spad{D y = m y + v} are \\spad{v_p + c_1 v_1 + ... + c_m v_m} where the \\spad{c_i's} are constants,{} and the \\spad{v_i's} form a basis for the solutions of \\spad{D y = m y}. \\spad{x} is the dependent variable."))) 
 NIL 
 NIL 
-(-798) 
+(-799) 
 ((|constructor| (NIL "\\axiom{ODEIntensityFunctionsTable()} provides a dynamic table and a set of functions to store details found out about sets of ODE\\spad{'s}.")) (|showIntensityFunctions| (((|Union| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|))) "failed") (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{showIntensityFunctions(k)} returns the entries in the table of intensity functions \\spad{k}.")) (|insert!| (($ (|Record| (|:| |key| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))))) "\\spad{insert!(r)} inserts an entry \\spad{r} into theIFTable")) (|iFTable| (($ (|List| (|Record| (|:| |key| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|))))))) "\\spad{iFTable(l)} creates an intensity-functions table from the elements of \\spad{l}.")) (|keys| (((|List| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) $) "\\spad{keys(tab)} returns the list of keys of \\spad{f}")) (|clearTheIFTable| (((|Void|)) "\\spad{clearTheIFTable()} clears the current table of intensity functions.")) (|showTheIFTable| (($) "\\spad{showTheIFTable()} returns the current table of intensity functions."))) 
 NIL 
 NIL 
-(-799 R -1478) 
+(-800 R -1564) 
 ((|constructor| (NIL "\\spadtype{ODEIntegration} provides an interface to the integrator. This package is intended for use by the differential equations solver but not at top-level.")) (|diff| (((|Mapping| |#2| |#2|) (|Symbol|)) "\\spad{diff(x)} returns the derivation with respect to \\spad{x}.")) (|expint| ((|#2| |#2| (|Symbol|)) "\\spad{expint(f,{} x)} returns e^{the integral of \\spad{f} with respect to \\spad{x}}.")) (|int| ((|#2| |#2| (|Symbol|)) "\\spad{int(f,{} x)} returns the integral of \\spad{f} with respect to \\spad{x}."))) 
 NIL 
 NIL 
-(-800) 
+(-801) 
 ((|constructor| (NIL "\\axiomType{AnnaOrdinaryDifferentialEquationPackage} is a \\axiom{package} of functions for the \\axiom{category} \\axiomType{OrdinaryDifferentialEquationsSolverCategory} with \\axiom{measure},{} and \\axiom{solve}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalODEProblem|) (|RoutinesTable|)) "\\spad{measure(prob,{}R)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical ODE problem defined by \\axiom{\\spad{prob}}. \\blankline It calls each \\axiom{domain} listed in \\axiom{\\spad{R}} of \\axiom{category} \\axiomType{OrdinaryDifferentialEquationsSolverCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information. It predicts the likely most effective NAG numerical Library routine to solve the input set of ODEs by checking various attributes of the system of ODEs and calculating a measure of compatibility of each routine to these attributes.") (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalODEProblem|)) "\\spad{measure(prob)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical ODE problem defined by \\axiom{\\spad{prob}}. \\blankline It calls each \\axiom{domain} of \\axiom{category} \\axiomType{OrdinaryDifferentialEquationsSolverCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information. It predicts the likely most effective NAG numerical Library routine to solve the input set of ODEs by checking various attributes of the system of ODEs and calculating a measure of compatibility of each routine to these attributes.")) (|solve| (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Expression| (|Float|)) (|List| (|Float|)) (|Float|) (|Float|)) "\\spad{solve(f,{}xStart,{}xEnd,{}yInitial,{}G,{}intVals,{}epsabs,{}epsrel)} is a top level ANNA function to solve numerically a system of ordinary differential equations,{} \\axiom{\\spad{f}},{} \\spadignore{i.e.} equations for the derivatives \\spad{y}[1]'..\\spad{y}[\\spad{n}]' defined in terms of \\spad{x},{}\\spad{y}[1]..\\spad{y}[\\spad{n}] from \\axiom{\\spad{xStart}} to \\axiom{\\spad{xEnd}} with the initial values for \\spad{y}[1]..\\spad{y}[\\spad{n}] (\\axiom{\\spad{yInitial}}) to an absolute error requirement \\axiom{\\spad{epsabs}} and relative error \\axiom{\\spad{epsrel}}. The values of \\spad{y}[1]..\\spad{y}[\\spad{n}] will be output for the values of \\spad{x} in \\axiom{\\spad{intVals}}. The calculation will stop if the function \\spad{G}(\\spad{x},{}\\spad{y}[1],{}..,{}\\spad{y}[\\spad{n}]) evaluates to zero before \\spad{x} = \\spad{xEnd}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{\\spad{R}} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE\\spad{'s} and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Expression| (|Float|)) (|List| (|Float|)) (|Float|)) "\\spad{solve(f,{}xStart,{}xEnd,{}yInitial,{}G,{}intVals,{}tol)} is a top level ANNA function to solve numerically a system of ordinary differential equations,{} \\axiom{\\spad{f}},{} \\spadignore{i.e.} equations for the derivatives \\spad{y}[1]'..\\spad{y}[\\spad{n}]' defined in terms of \\spad{x},{}\\spad{y}[1]..\\spad{y}[\\spad{n}] from \\axiom{\\spad{xStart}} to \\axiom{\\spad{xEnd}} with the initial values for \\spad{y}[1]..\\spad{y}[\\spad{n}] (\\axiom{\\spad{yInitial}}) to a tolerance \\axiom{\\spad{tol}}. The values of \\spad{y}[1]..\\spad{y}[\\spad{n}] will be output for the values of \\spad{x} in \\axiom{\\spad{intVals}}. The calculation will stop if the function \\spad{G}(\\spad{x},{}\\spad{y}[1],{}..,{}\\spad{y}[\\spad{n}]) evaluates to zero before \\spad{x} = \\spad{xEnd}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{\\spad{R}} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE\\spad{'s} and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|List| (|Float|)) (|Float|)) "\\spad{solve(f,{}xStart,{}xEnd,{}yInitial,{}intVals,{}tol)} is a top level ANNA function to solve numerically a system of ordinary differential equations,{} \\axiom{\\spad{f}},{} \\spadignore{i.e.} equations for the derivatives \\spad{y}[1]'..\\spad{y}[\\spad{n}]' defined in terms of \\spad{x},{}\\spad{y}[1]..\\spad{y}[\\spad{n}] from \\axiom{\\spad{xStart}} to \\axiom{\\spad{xEnd}} with the initial values for \\spad{y}[1]..\\spad{y}[\\spad{n}] (\\axiom{\\spad{yInitial}}) to a tolerance \\axiom{\\spad{tol}}. The values of \\spad{y}[1]..\\spad{y}[\\spad{n}] will be output for the values of \\spad{x} in \\axiom{\\spad{intVals}}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{\\spad{R}} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE\\spad{'s} and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Expression| (|Float|)) (|Float|)) "\\spad{solve(f,{}xStart,{}xEnd,{}yInitial,{}G,{}tol)} is a top level ANNA function to solve numerically a system of ordinary differential equations,{} \\axiom{\\spad{f}},{} \\spadignore{i.e.} equations for the derivatives \\spad{y}[1]'..\\spad{y}[\\spad{n}]' defined in terms of \\spad{x},{}\\spad{y}[1]..\\spad{y}[\\spad{n}] from \\axiom{\\spad{xStart}} to \\axiom{\\spad{xEnd}} with the initial values for \\spad{y}[1]..\\spad{y}[\\spad{n}] (\\axiom{\\spad{yInitial}}) to a tolerance \\axiom{\\spad{tol}}. The calculation will stop if the function \\spad{G}(\\spad{x},{}\\spad{y}[1],{}..,{}\\spad{y}[\\spad{n}]) evaluates to zero before \\spad{x} = \\spad{xEnd}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{\\spad{R}} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE\\spad{'s} and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Float|)) "\\spad{solve(f,{}xStart,{}xEnd,{}yInitial,{}tol)} is a top level ANNA function to solve numerically a system of ordinary differential equations,{} \\axiom{\\spad{f}},{} \\spadignore{i.e.} equations for the derivatives \\spad{y}[1]'..\\spad{y}[\\spad{n}]' defined in terms of \\spad{x},{}\\spad{y}[1]..\\spad{y}[\\spad{n}] from \\axiom{\\spad{xStart}} to \\axiom{\\spad{xEnd}} with the initial values for \\spad{y}[1]..\\spad{y}[\\spad{n}] (\\axiom{\\spad{yInitial}}) to a tolerance \\axiom{\\spad{tol}}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{\\spad{R}} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE\\spad{'s} and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|))) "\\spad{solve(f,{}xStart,{}xEnd,{}yInitial)} is a top level ANNA function to solve numerically a system of ordinary differential equations \\spadignore{i.e.} equations for the derivatives \\spad{y}[1]'..\\spad{y}[\\spad{n}]' defined in terms of \\spad{x},{}\\spad{y}[1]..\\spad{y}[\\spad{n}],{} together with a starting value for \\spad{x} and \\spad{y}[1]..\\spad{y}[\\spad{n}] (called the initial conditions) and a final value of \\spad{x}. A default value is used for the accuracy requirement. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{\\spad{R}} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE\\spad{'s} and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|NumericalODEProblem|) (|RoutinesTable|)) "\\spad{solve(odeProblem,{}R)} is a top level ANNA function to solve numerically a system of ordinary differential equations \\spadignore{i.e.} equations for the derivatives \\spad{y}[1]'..\\spad{y}[\\spad{n}]' defined in terms of \\spad{x},{}\\spad{y}[1]..\\spad{y}[\\spad{n}],{} together with starting values for \\spad{x} and \\spad{y}[1]..\\spad{y}[\\spad{n}] (called the initial conditions),{} a final value of \\spad{x},{} an accuracy requirement and any intermediate points at which the result is required. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{\\spad{R}} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE\\spad{'s} and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|NumericalODEProblem|)) "\\spad{solve(odeProblem)} is a top level ANNA function to solve numerically a system of ordinary differential equations \\spadignore{i.e.} equations for the derivatives \\spad{y}[1]'..\\spad{y}[\\spad{n}]' defined in terms of \\spad{x},{}\\spad{y}[1]..\\spad{y}[\\spad{n}],{} together with starting values for \\spad{x} and \\spad{y}[1]..\\spad{y}[\\spad{n}] (called the initial conditions),{} a final value of \\spad{x},{} an accuracy requirement and any intermediate points at which the result is required. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE\\spad{'s} and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine."))) 
 NIL 
 NIL 
-(-801 -1478 UP UPUP R) 
+(-802 -1564 UP UPUP R) 
 ((|constructor| (NIL "In-field solution of an linear ordinary differential equation,{} pure algebraic case.")) (|algDsolve| (((|Record| (|:| |particular| (|Union| |#4| "failed")) (|:| |basis| (|List| |#4|))) (|LinearOrdinaryDifferentialOperator1| |#4|) |#4|) "\\spad{algDsolve(op,{} g)} returns \\spad{[\"failed\",{} []]} if the equation \\spad{op y = g} has no solution in \\spad{R}. Otherwise,{} it returns \\spad{[f,{} [y1,{}...,{}ym]]} where \\spad{f} is a particular rational solution and the \\spad{y_i's} form a basis for the solutions in \\spad{R} of the homogeneous equation."))) 
 NIL 
 NIL 
-(-802 -1478 UP L LQ) 
+(-803 -1564 UP L LQ) 
 ((|constructor| (NIL "\\spad{PrimitiveRatDE} provides functions for in-field solutions of linear ordinary differential equations,{} in the transcendental case. The derivation to use is given by the parameter \\spad{L}.")) (|splitDenominator| (((|Record| (|:| |eq| |#3|) (|:| |rh| (|List| (|Fraction| |#2|)))) |#4| (|List| (|Fraction| |#2|))) "\\spad{splitDenominator(op,{} [g1,{}...,{}gm])} returns \\spad{op0,{} [h1,{}...,{}hm]} such that the equations \\spad{op y = c1 g1 + ... + cm gm} and \\spad{op0 y = c1 h1 + ... + cm hm} have the same solutions.")) (|indicialEquation| ((|#2| |#4| |#1|) "\\spad{indicialEquation(op,{} a)} returns the indicial equation of \\spad{op} at \\spad{a}.") ((|#2| |#3| |#1|) "\\spad{indicialEquation(op,{} a)} returns the indicial equation of \\spad{op} at \\spad{a}.")) (|indicialEquations| (((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#4| |#2|) "\\spad{indicialEquations(op,{} p)} returns \\spad{[[d1,{}e1],{}...,{}[dq,{}eq]]} where the \\spad{d_i}\\spad{'s} are the affine singularities of \\spad{op} above the roots of \\spad{p},{} and the \\spad{e_i}\\spad{'s} are the indicial equations at each \\spad{d_i}.") (((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#4|) "\\spad{indicialEquations op} returns \\spad{[[d1,{}e1],{}...,{}[dq,{}eq]]} where the \\spad{d_i}\\spad{'s} are the affine singularities of \\spad{op},{} and the \\spad{e_i}\\spad{'s} are the indicial equations at each \\spad{d_i}.") (((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#3| |#2|) "\\spad{indicialEquations(op,{} p)} returns \\spad{[[d1,{}e1],{}...,{}[dq,{}eq]]} where the \\spad{d_i}\\spad{'s} are the affine singularities of \\spad{op} above the roots of \\spad{p},{} and the \\spad{e_i}\\spad{'s} are the indicial equations at each \\spad{d_i}.") (((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#3|) "\\spad{indicialEquations op} returns \\spad{[[d1,{}e1],{}...,{}[dq,{}eq]]} where the \\spad{d_i}\\spad{'s} are the affine singularities of \\spad{op},{} and the \\spad{e_i}\\spad{'s} are the indicial equations at each \\spad{d_i}.")) (|denomLODE| ((|#2| |#3| (|List| (|Fraction| |#2|))) "\\spad{denomLODE(op,{} [g1,{}...,{}gm])} returns a polynomial \\spad{d} such that any rational solution of \\spad{op y = c1 g1 + ... + cm gm} is of the form \\spad{p/d} for some polynomial \\spad{p}.") (((|Union| |#2| "failed") |#3| (|Fraction| |#2|)) "\\spad{denomLODE(op,{} g)} returns a polynomial \\spad{d} such that any rational solution of \\spad{op y = g} is of the form \\spad{p/d} for some polynomial \\spad{p},{} and \"failed\",{} if the equation has no rational solution."))) 
 NIL 
 NIL 
-(-803) 
+(-804) 
 ((|constructor| (NIL "\\axiomType{NumericalODEProblem} is a \\axiom{domain} for the representation of Numerical ODE problems for use by ANNA. \\blankline The representation is of type: \\blankline \\axiomType{Record}(xinit:\\axiomType{DoubleFloat},{}\\spad{\\br} xend:\\axiomType{DoubleFloat},{}\\spad{\\br} \\spad{fn:}\\axiomType{Vector Expression DoubleFloat},{}\\spad{\\br} yinit:\\axiomType{List DoubleFloat},{}intvals:\\axiomType{List DoubleFloat},{}\\spad{\\br} \\spad{g:}\\axiomType{Expression DoubleFloat},{}abserr:\\axiomType{DoubleFloat},{}\\spad{\\br} relerr:\\axiomType{DoubleFloat}) \\blankline")) (|retract| (((|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) $) "\\spad{retract(x)} is not documented")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{coerce(x)} is not documented"))) 
 NIL 
 NIL 
-(-804 -1478 UP L LQ) 
+(-805 -1564 UP L LQ) 
 ((|constructor| (NIL "In-field solution of Riccati equations,{} primitive case.")) (|changeVar| ((|#3| |#3| (|Fraction| |#2|)) "\\spad{changeVar(+/[\\spad{ai} D^i],{} a)} returns the operator \\spad{+/[\\spad{ai} (D+a)\\spad{^i}]}.") ((|#3| |#3| |#2|) "\\spad{changeVar(+/[\\spad{ai} D^i],{} a)} returns the operator \\spad{+/[\\spad{ai} (D+a)\\spad{^i}]}.")) (|singRicDE| (((|List| (|Record| (|:| |frac| (|Fraction| |#2|)) (|:| |eq| |#3|))) |#3| (|Mapping| (|List| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|)) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{singRicDE(op,{} zeros,{} ezfactor)} returns \\spad{[[f1,{} L1],{} [f2,{} L2],{} ... ,{} [fk,{} Lk]]} such that the singular part of any rational solution of the associated Riccati equation of \\spad{op y=0} must be one of the \\spad{fi}\\spad{'s} (up to the constant coefficient),{} in which case the equation for \\spad{z=y e^{-int p}} is \\spad{\\spad{Li} z=0}. \\spad{zeros(C(x),{}H(x,{}y))} returns all the \\spad{P_i(x)}\\spad{'s} such that \\spad{H(x,{}P_i(x)) = 0 modulo C(x)}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP},{} not necessarily into irreducibles.")) (|polyRicDE| (((|List| (|Record| (|:| |poly| |#2|) (|:| |eq| |#3|))) |#3| (|Mapping| (|List| |#1|) |#2|)) "\\spad{polyRicDE(op,{} zeros)} returns \\spad{[[p1,{} L1],{} [p2,{} L2],{} ... ,{} [pk,{} Lk]]} such that the polynomial part of any rational solution of the associated Riccati equation of \\spad{op y=0} must be one of the \\spad{pi}\\spad{'s} (up to the constant coefficient),{} in which case the equation for \\spad{z=y e^{-int p}} is \\spad{\\spad{Li} z =0}. \\spad{zeros} is a zero finder in \\spad{UP}.")) (|constantCoefficientRicDE| (((|List| (|Record| (|:| |constant| |#1|) (|:| |eq| |#3|))) |#3| (|Mapping| (|List| |#1|) |#2|)) "\\spad{constantCoefficientRicDE(op,{} ric)} returns \\spad{[[a1,{} L1],{} [a2,{} L2],{} ... ,{} [ak,{} Lk]]} such that any rational solution with no polynomial part of the associated Riccati equation of \\spad{op y = 0} must be one of the \\spad{ai}\\spad{'s} in which case the equation for \\spad{z = y e^{-int \\spad{ai}}} is \\spad{\\spad{Li} z = 0}. \\spad{ric} is a Riccati equation solver over \\spad{F},{} whose input is the associated linear equation.")) (|leadingCoefficientRicDE| (((|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |eq| |#2|))) |#3|) "\\spad{leadingCoefficientRicDE(op)} returns \\spad{[[m1,{} p1],{} [m2,{} p2],{} ... ,{} [mk,{} pk]]} such that the polynomial part of any rational solution of the associated Riccati equation of \\spad{op y = 0} must have degree \\spad{mj} for some \\spad{j},{} and its leading coefficient is then a zero of \\spad{pj}. In addition,{}\\spad{m1>m2> ... >mk}.")) (|denomRicDE| ((|#2| |#3|) "\\spad{denomRicDE(op)} returns a polynomial \\spad{d} such that any rational solution of the associated Riccati equation of \\spad{op y = 0} is of the form \\spad{p/d + q'/q + r} for some polynomials \\spad{p} and \\spad{q} and a reduced \\spad{r}. Also,{} \\spad{deg(p) < deg(d)} and {\\spad{gcd}(\\spad{d},{}\\spad{q}) = 1}."))) 
 NIL 
 NIL 
-(-805 -1478 UP) 
+(-806 -1564 UP) 
 ((|constructor| (NIL "\\spad{RationalLODE} provides functions for in-field solutions of linear ordinary differential equations,{} in the rational case.")) (|indicialEquationAtInfinity| ((|#2| (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))) "\\spad{indicialEquationAtInfinity op} returns the indicial equation of \\spad{op} at infinity.") ((|#2| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) "\\spad{indicialEquationAtInfinity op} returns the indicial equation of \\spad{op} at infinity.")) (|ratDsolve| (((|Record| (|:| |basis| (|List| (|Fraction| |#2|))) (|:| |mat| (|Matrix| |#1|))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|List| (|Fraction| |#2|))) "\\spad{ratDsolve(op,{} [g1,{}...,{}gm])} returns \\spad{[[h1,{}...,{}hq],{} M]} such that any rational solution of \\spad{op y = c1 g1 + ... + cm gm} is of the form \\spad{d1 h1 + ... + dq hq} where \\spad{M [d1,{}...,{}dq,{}c1,{}...,{}cm] = 0}.") (((|Record| (|:| |particular| (|Union| (|Fraction| |#2|) "failed")) (|:| |basis| (|List| (|Fraction| |#2|)))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Fraction| |#2|)) "\\spad{ratDsolve(op,{} g)} returns \\spad{[\"failed\",{} []]} if the equation \\spad{op y = g} has no rational solution. Otherwise,{} it returns \\spad{[f,{} [y1,{}...,{}ym]]} where \\spad{f} is a particular rational solution and the \\spad{yi}\\spad{'s} form a basis for the rational solutions of the homogeneous equation.") (((|Record| (|:| |basis| (|List| (|Fraction| |#2|))) (|:| |mat| (|Matrix| |#1|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|List| (|Fraction| |#2|))) "\\spad{ratDsolve(op,{} [g1,{}...,{}gm])} returns \\spad{[[h1,{}...,{}hq],{} M]} such that any rational solution of \\spad{op y = c1 g1 + ... + cm gm} is of the form \\spad{d1 h1 + ... + dq hq} where \\spad{M [d1,{}...,{}dq,{}c1,{}...,{}cm] = 0}.") (((|Record| (|:| |particular| (|Union| (|Fraction| |#2|) "failed")) (|:| |basis| (|List| (|Fraction| |#2|)))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Fraction| |#2|)) "\\spad{ratDsolve(op,{} g)} returns \\spad{[\"failed\",{} []]} if the equation \\spad{op y = g} has no rational solution. Otherwise,{} it returns \\spad{[f,{} [y1,{}...,{}ym]]} where \\spad{f} is a particular rational solution and the \\spad{yi}\\spad{'s} form a basis for the rational solutions of the homogeneous equation."))) 
 NIL 
 NIL 
-(-806 -1478 L UP A LO) 
+(-807 -1564 L UP A LO) 
 ((|constructor| (NIL "Elimination of an algebraic from the coefficentss of a linear ordinary differential equation.")) (|reduceLODE| (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#1|))) |#5| |#4|) "\\spad{reduceLODE(op,{} g)} returns \\spad{[m,{} v]} such that any solution in \\spad{A} of \\spad{op z = g} is of the form \\spad{z = (z_1,{}...,{}z_m) . (b_1,{}...,{}b_m)} where the \\spad{b_i's} are the basis of \\spad{A} over \\spad{F} returned by \\spadfun{basis}() from \\spad{A},{} and the \\spad{z_i's} satisfy the differential system \\spad{M.z = v}."))) 
 NIL 
 NIL 
-(-807 -1478 UP) 
+(-808 -1564 UP) 
 ((|constructor| (NIL "In-field solution of Riccati equations,{} rational case.")) (|polyRicDE| (((|List| (|Record| (|:| |poly| |#2|) (|:| |eq| (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|)) "\\spad{polyRicDE(op,{} zeros)} returns \\spad{[[p1,{}L1],{} [p2,{}L2],{} ... ,{} [pk,{}Lk]]} such that the polynomial part of any rational solution of the associated Riccati equation of \\spad{op y = 0} must be one of the \\spad{pi}\\spad{'s} (up to the constant coefficient),{} in which case the equation for \\spad{z = y e^{-int p}} is \\spad{\\spad{Li} z = 0}. \\spad{zeros} is a zero finder in \\spad{UP}.")) (|singRicDE| (((|List| (|Record| (|:| |frac| (|Fraction| |#2|)) (|:| |eq| (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{singRicDE(op,{} ezfactor)} returns \\spad{[[f1,{}L1],{} [f2,{}L2],{}...,{} [fk,{}Lk]]} such that the singular \\spad{++} part of any rational solution of the associated Riccati equation of \\spad{op y = 0} must be one of the \\spad{fi}\\spad{'s} (up to the constant coefficient),{} in which case the equation for \\spad{z = y e^{-int \\spad{ai}}} is \\spad{\\spad{Li} z = 0}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP},{} not necessarily into irreducibles.")) (|ricDsolve| (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{ricDsolve(op,{} ezfactor)} returns the rational solutions of the associated Riccati equation of \\spad{op y = 0}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP},{} not necessarily into irreducibles.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))) "\\spad{ricDsolve(op)} returns the rational solutions of the associated Riccati equation of \\spad{op y = 0}.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{ricDsolve(op,{} ezfactor)} returns the rational solutions of the associated Riccati equation of \\spad{op y = 0}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP},{} not necessarily into irreducibles.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) "\\spad{ricDsolve(op)} returns the rational solutions of the associated Riccati equation of \\spad{op y = 0}.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{ricDsolve(op,{} zeros,{} ezfactor)} returns the rational solutions of the associated Riccati equation of \\spad{op y = 0}. \\spad{zeros} is a zero finder in \\spad{UP}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP},{} not necessarily into irreducibles.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|)) "\\spad{ricDsolve(op,{} zeros)} returns the rational solutions of the associated Riccati equation of \\spad{op y = 0}. \\spad{zeros} is a zero finder in \\spad{UP}.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{ricDsolve(op,{} zeros,{} ezfactor)} returns the rational solutions of the associated Riccati equation of \\spad{op y = 0}. \\spad{zeros} is a zero finder in \\spad{UP}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP},{} not necessarily into irreducibles.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|)) "\\spad{ricDsolve(op,{} zeros)} returns the rational solutions of the associated Riccati equation of \\spad{op y = 0}. \\spad{zeros} is a zero finder in \\spad{UP}."))) 
 NIL 
 ((|HasCategory| |#1| (QUOTE (-27)))) 
-(-808 -1478 LO) 
+(-809 -1564 LO) 
 ((|constructor| (NIL "SystemODESolver provides tools for triangulating and solving some systems of linear ordinary differential equations.")) (|solveInField| (((|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|)))) (|Matrix| |#2|) (|Vector| |#1|) (|Mapping| (|Record| (|:| |particular| (|Union| |#1| "failed")) (|:| |basis| (|List| |#1|))) |#2| |#1|)) "\\spad{solveInField(m,{} v,{} solve)} returns \\spad{[[v_1,{}...,{}v_m],{} v_p]} such that the solutions in \\spad{F} of the system \\spad{m x = v} are \\spad{v_p + c_1 v_1 + ... + c_m v_m} where the \\spad{c_i's} are constants,{} and the \\spad{v_i's} form a basis for the solutions of \\spad{m x = 0}. Argument \\spad{solve} is a function for solving a single linear ordinary differential equation in \\spad{F}.")) (|solve| (((|Union| (|Record| (|:| |particular| (|Vector| |#1|)) (|:| |basis| (|Matrix| |#1|))) "failed") (|Matrix| |#1|) (|Vector| |#1|) (|Mapping| (|Union| (|Record| (|:| |particular| |#1|) (|:| |basis| (|List| |#1|))) "failed") |#2| |#1|)) "\\spad{solve(m,{} v,{} solve)} returns \\spad{[[v_1,{}...,{}v_m],{} v_p]} such that the solutions in \\spad{F} of the system \\spad{D x = m x + v} are \\spad{v_p + c_1 v_1 + ... + c_m v_m} where the \\spad{c_i's} are constants,{} and the \\spad{v_i's} form a basis for the solutions of \\spad{D x = m x}. Argument \\spad{solve} is a function for solving a single linear ordinary differential equation in \\spad{F}.")) (|triangulate| (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| |#2|) (|Vector| |#1|)) "\\spad{triangulate(m,{} v)} returns \\spad{[m_0,{} v_0]} such that \\spad{m_0} is upper triangular and the system \\spad{m_0 x = v_0} is equivalent to \\spad{m x = v}.") (((|Record| (|:| A (|Matrix| |#1|)) (|:| |eqs| (|List| (|Record| (|:| C (|Matrix| |#1|)) (|:| |g| (|Vector| |#1|)) (|:| |eq| |#2|) (|:| |rh| |#1|))))) (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{triangulate(M,{}v)} returns \\spad{A,{}[[C_1,{}g_1,{}L_1,{}h_1],{}...,{}[C_k,{}g_k,{}L_k,{}h_k]]} such that under the change of variable \\spad{y = A z},{} the first order linear system \\spad{D y = M y + v} is uncoupled as \\spad{D z_i = C_i z_i + g_i} and each \\spad{C_i} is a companion matrix corresponding to the scalar equation \\spad{L_i z_j = h_i}."))) 
 NIL 
 NIL 
-(-809 -1478 LODO) 
+(-810 -1564 LODO) 
 ((|constructor| (NIL "\\spad{ODETools} provides tools for the linear ODE solver.")) (|particularSolution| (((|Union| |#1| "failed") |#2| |#1| (|List| |#1|) (|Mapping| |#1| |#1|)) "\\spad{particularSolution(op,{} g,{} [f1,{}...,{}fm],{} I)} returns a particular solution \\spad{h} of the equation \\spad{op y = g} where \\spad{[f1,{}...,{}fm]} are linearly independent and \\spad{op(\\spad{fi})=0}. The value \"failed\" is returned if no particular solution is found. Note that the method of variations of parameters is used.")) (|variationOfParameters| (((|Union| (|Vector| |#1|) "failed") |#2| |#1| (|List| |#1|)) "\\spad{variationOfParameters(op,{} g,{} [f1,{}...,{}fm])} returns \\spad{[u1,{}...,{}um]} such that a particular solution of the equation \\spad{op y = g} is \\spad{f1 int(u1) + ... + fm int(um)} where \\spad{[f1,{}...,{}fm]} are linearly independent and \\spad{op(\\spad{fi})=0}. The value \"failed\" is returned if \\spad{m < n} and no particular solution is found.")) (|wronskianMatrix| (((|Matrix| |#1|) (|List| |#1|) (|NonNegativeInteger|)) "\\spad{wronskianMatrix([f1,{}...,{}fn],{} q,{} D)} returns the \\spad{q x n} matrix \\spad{m} whose i^th row is \\spad{[f1^(i-1),{}...,{}fn^(i-1)]}.") (((|Matrix| |#1|) (|List| |#1|)) "\\spad{wronskianMatrix([f1,{}...,{}fn])} returns the \\spad{n x n} matrix \\spad{m} whose i^th row is \\spad{[f1^(i-1),{}...,{}fn^(i-1)]}."))) 
 NIL 
 NIL 
-(-810 -1965 S |f|) 
+(-811 -4391 S |f|) 
 ((|constructor| (NIL "This type represents the finite direct or cartesian product of an underlying ordered component type. The ordering on the type is determined by its third argument which represents the less than function on vectors. This type is a suitable third argument for \\spadtype{GeneralDistributedMultivariatePolynomial}."))) 
-((-4515 |has| |#2| (-1047)) (-4516 |has| |#2| (-1047)) (-4518 |has| |#2| (-6 -4518)) ((-4523 "*") |has| |#2| (-172)) (-4521 . T)) 
-((|HasCategory| |#2| (QUOTE (-1090))) (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-1047))) (|HasCategory| |#2| (QUOTE (-788))) (|HasCategory| |#2| (QUOTE (-840))) (-2199 (|HasCategory| |#2| (QUOTE (-788))) (|HasCategory| |#2| (QUOTE (-840)))) (|HasCategory| |#2| (QUOTE (-716))) (|HasCategory| |#2| (QUOTE (-172))) (-2199 (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-1047)))) (-2199 (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-365)))) (-2199 (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-1047)))) (|HasCategory| |#2| (QUOTE (-370))) (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-225))) (-2199 (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-225))) (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-1047)))) (-2199 (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-225))) (|HasCategory| |#2| (QUOTE (-1047)))) (|HasCategory| (-568) (QUOTE (-842))) (-12 (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-1047)))) (-12 (|HasCategory| |#2| (QUOTE (-225))) (|HasCategory| |#2| (QUOTE (-1047)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-1047)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-1090)))) (|HasCategory| |#2| (QUOTE (-1047)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-1090)))) (|HasAttribute| |#2| (QUOTE -4518)) (|HasCategory| |#2| (QUOTE (-137))) (-2199 (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-137))) (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-225))) (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-1047)))) (|HasCategory| |#2| (QUOTE (-25))) (-2199 (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-137))) (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-225))) (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-370))) (|HasCategory| |#2| (QUOTE (-716))) (|HasCategory| |#2| (QUOTE (-788))) (|HasCategory| |#2| (QUOTE (-840))) (|HasCategory| |#2| (QUOTE (-1047))) (|HasCategory| |#2| (QUOTE (-1090)))) (-2199 (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-137))) (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-225))) (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-1047)))) (-2199 (-12 (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-137)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-172)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-225)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-365)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-370)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-716)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-788)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-840)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-1047)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-1090))))) (-2199 (-12 (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-137)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-172)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-225)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-365)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-370)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-716)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-788)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-840)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-1047)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-1090))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-137)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-172)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-225)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-365)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-370)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-716)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-788)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-840)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1047)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1090)))))) 
-(-811 R) 
+((-4529 |has| |#2| (-1048)) (-4530 |has| |#2| (-1048)) (-4532 |has| |#2| (-6 -4532)) ((-4537 "*") |has| |#2| (-173)) (-4535 . T)) 
+((|HasCategory| |#2| (QUOTE (-1091))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048))) (|HasCategory| |#2| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-841))) (-2232 (|HasCategory| |#2| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-841)))) (|HasCategory| |#2| (QUOTE (-717))) (|HasCategory| |#2| (QUOTE (-173))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048)))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366)))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-1048)))) (|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-226))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048)))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1048)))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1091)))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1091)))) (|HasAttribute| |#2| (QUOTE -4532)) (|HasCategory| |#2| (QUOTE (-138))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048)))) (|HasCategory| |#2| (QUOTE (-25))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (QUOTE (-717))) (|HasCategory| |#2| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-841))) (|HasCategory| |#2| (QUOTE (-1048))) (|HasCategory| |#2| (QUOTE (-1091)))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048)))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-717)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-789)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-841)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1091))))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-717)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-789)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-841)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1091))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-717)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-789)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-841)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091)))))) 
+(-812 R) 
 ((|constructor| (NIL "\\spadtype{OrderlyDifferentialPolynomial} implements an ordinary differential polynomial ring in arbitrary number of differential indeterminates,{} with coefficients in a ring. The ranking on the differential indeterminate is orderly. This is analogous to the domain \\spadtype{Polynomial}."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4519 |has| |#1| (-6 -4519)) (-4516 . T) (-4515 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-904))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-172))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558)))) (-12 (|HasCategory| (-813 (-1161)) (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-381))))) (-12 (|HasCategory| (-813 (-1161)) (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-568))))) (-12 (|HasCategory| (-813 (-1161)) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381)))))) (-12 (|HasCategory| (-813 (-1161)) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568)))))) (-12 (|HasCategory| (-813 (-1161)) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541))))) (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-225))) (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#1| (QUOTE (-365))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (|HasAttribute| |#1| (QUOTE -4519)) (|HasCategory| |#1| (QUOTE (-453))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-904)))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-904)))) (|HasCategory| |#1| (QUOTE (-148))))) 
-(-812 |Kernels| R |var|) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-814 (-1163)) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| (-814 (-1163)) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| (-814 (-1163)) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| (-814 (-1163)) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| (-814 (-1163)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4533)) (|HasCategory| |#1| (QUOTE (-454))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-813 |Kernels| R |var|) 
 ((|constructor| (NIL "This constructor produces an ordinary differential ring from a partial differential ring by specifying a variable.")) (|coerce| ((|#2| $) "\\spad{coerce(p)} views \\spad{p} as a valie in the partial differential ring.") (($ |#2|) "\\spad{coerce(r)} views \\spad{r} as a value in the ordinary differential ring."))) 
-(((-4523 "*") |has| |#2| (-365)) (-4514 |has| |#2| (-365)) (-4519 |has| |#2| (-365)) (-4513 |has| |#2| (-365)) (-4518 . T) (-4516 . T) (-4515 . T)) 
-((|HasCategory| |#2| (QUOTE (-365)))) 
-(-813 S) 
+(((-4537 "*") |has| |#2| (-366)) (-4528 |has| |#2| (-366)) (-4533 |has| |#2| (-366)) (-4527 |has| |#2| (-366)) (-4532 . T) (-4530 . T) (-4529 . T)) 
+((|HasCategory| |#2| (QUOTE (-366)))) 
+(-814 S) 
 ((|constructor| (NIL "\\spadtype{OrderlyDifferentialVariable} adds a commonly used orderly ranking to the set of derivatives of an ordered list of differential indeterminates. An orderly ranking is a ranking \\spadfun{<} of the derivatives with the property that for two derivatives \\spad{u} and \\spad{v},{} \\spad{u} \\spadfun{<} \\spad{v} if the \\spadfun{order} of \\spad{u} is less than that of \\spad{v}. This domain belongs to \\spadtype{DifferentialVariableCategory}. It defines \\spadfun{weight} to be just \\spadfun{order},{} and it defines an orderly ranking \\spadfun{<} on derivatives \\spad{u} via the lexicographic order on the pair (\\spadfun{order}(\\spad{u}),{} \\spadfun{variable}(\\spad{u}))."))) 
 NIL 
 NIL 
-(-814 S) 
+(-815 S) 
 ((|constructor| (NIL "The free monoid on a set \\spad{S} is the monoid of finite products of the form \\spad{reduce(*,{}[\\spad{si} ** \\spad{ni}])} where the \\spad{si}\\spad{'s} are in \\spad{S},{} and the \\spad{ni}\\spad{'s} are non-negative integers. The multiplication is not commutative. For two elements \\spad{x} and \\spad{y} the relation \\spad{x < y} holds if either \\spad{length(x) < length(y)} holds or if these lengths are equal and if \\spad{x} is smaller than \\spad{y} \\spad{w}.\\spad{r}.\\spad{t}. the lexicographical ordering induced by \\spad{S}. This domain inherits implementation from \\spadtype{FreeMonoid}.")) (|varList| (((|List| |#1|) $) "\\indented{1}{\\spad{varList(x)} returns the list of variables of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} varList \\spad{m1}")) (|length| (((|NonNegativeInteger|) $) "\\indented{1}{\\spad{length(x)} returns the length of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} length \\spad{m1}")) (|factors| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|NonNegativeInteger|)))) $) "\\indented{1}{\\spad{factors(a1\\^e1,{}...,{}an\\^en)} returns} \\indented{1}{\\spad{[[a1,{} e1],{}...,{}[an,{} en]]}.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} factors \\spad{m1}")) (|nthFactor| ((|#1| $ (|Integer|)) "\\indented{1}{\\spad{nthFactor(x,{} n)} returns the factor of the \\spad{n-th}} \\indented{1}{monomial of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} nthFactor(\\spad{m1},{}2)")) (|nthExpon| (((|NonNegativeInteger|) $ (|Integer|)) "\\indented{1}{\\spad{nthExpon(x,{} n)} returns the exponent of the} \\indented{1}{\\spad{n-th} monomial of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} nthExpon(\\spad{m1},{}2)")) (|size| (((|NonNegativeInteger|) $) "\\indented{1}{\\spad{size(x)} returns the number of monomials in \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} size(\\spad{m1},{}2)")) (|overlap| (((|Record| (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $) "\\indented{1}{\\spad{overlap(x,{} y)} returns \\spad{[l,{} m,{} r]} such that} \\indented{1}{\\spad{x = l * m} and \\spad{y = m * r} hold and such that} \\indented{1}{\\spad{l} and \\spad{r} have no overlap,{}} \\indented{1}{that is \\spad{overlap(l,{} r) = [l,{} 1,{} r]}.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} m2:=(x*y)\\$OFMONOID(Symbol) \\spad{X} overlap(\\spad{m1},{}\\spad{m2})")) (|divide| (((|Union| (|Record| (|:| |lm| (|Union| $ "failed")) (|:| |rm| (|Union| $ "failed"))) "failed") $ $) "\\indented{1}{\\spad{divide(x,{}y)} returns the left and right exact quotients of} \\indented{1}{\\spad{x} by \\spad{y},{} that is \\spad{[l,{}r]} such that \\spad{x = l*y*r}.} \\indented{1}{\"failed\" is returned iff \\spad{x} is not of the form \\spad{l * y * r}.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} m2:=(x*y)\\$OFMONOID(Symbol) \\spad{X} divide(\\spad{m1},{}\\spad{m2})")) (|rquo| (((|Union| $ "failed") $ |#1|) "\\indented{1}{\\spad{rquo(x,{} s)} returns the exact right quotient} \\indented{1}{of \\spad{x} by \\spad{s}.} \\blankline \\spad{X} m1:=(x*y)\\$OFMONOID(Symbol) \\spad{X} div(\\spad{m1},{}\\spad{y})") (((|Union| $ "failed") $ $) "\\indented{1}{\\spad{rquo(x,{} y)} returns the exact right quotient of \\spad{x}} \\indented{1}{by \\spad{y} that is \\spad{q} such that \\spad{x = q * y},{}} \\indented{1}{\"failed\" if \\spad{x} is not of the form \\spad{q * y}.} \\blankline \\spad{X} m1:=(\\spad{q*y^3})\\$OFMONOID(Symbol) \\spad{X} m2:=(\\spad{y^2})\\$OFMONOID(Symbol) \\spad{X} lquo(\\spad{m1},{}\\spad{m2})")) (|lquo| (((|Union| $ "failed") $ |#1|) "\\indented{1}{\\spad{lquo(x,{} s)} returns the exact left quotient of \\spad{x}} \\indented{1}{by \\spad{s}.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} lquo(\\spad{m1},{}\\spad{x})") (((|Union| $ "failed") $ $) "\\indented{1}{\\spad{lquo(x,{} y)} returns the exact left quotient of \\spad{x}} \\indented{2}{by \\spad{y} that is \\spad{q} such that \\spad{x = y * q},{}} \\indented{1}{\"failed\" if \\spad{x} is not of the form \\spad{y * q}.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} m2:=(x*y)\\$OFMONOID(Symbol) \\spad{X} lquo(\\spad{m1},{}\\spad{m2})")) (|hcrf| (($ $ $) "\\indented{1}{\\spad{hcrf(x,{} y)} returns the highest common right} \\indented{1}{factor of \\spad{x} and \\spad{y},{}} \\indented{1}{that is the largest \\spad{d} such that \\spad{x = a d}} \\indented{1}{and \\spad{y = b d}.} \\blankline \\spad{X} m1:=(x*y*z)\\$OFMONOID(Symbol) \\spad{X} m2:=(\\spad{y*z})\\$OFMONOID(Symbol) \\spad{X} hcrf(\\spad{m1},{}\\spad{m2})")) (|hclf| (($ $ $) "\\indented{1}{\\spad{hclf(x,{} y)} returns the highest common left factor} \\indented{1}{of \\spad{x} and \\spad{y},{}} \\indented{1}{that is the largest \\spad{d} such that \\spad{x = d a}} \\indented{1}{and \\spad{y = d b}.} \\blankline \\spad{X} m1:=(x*y*z)\\$OFMONOID(Symbol) \\spad{X} m2:=(x*y)\\$OFMONOID(Symbol) \\spad{X} hclf(\\spad{m1},{}\\spad{m2})")) (|lexico| (((|Boolean|) $ $) "\\indented{1}{\\spad{lexico(x,{}y)} returns \\spad{true}} \\indented{1}{iff \\spad{x} is smaller than \\spad{y}} \\indented{1}{\\spad{w}.\\spad{r}.\\spad{t}. the pure lexicographical ordering induced by \\spad{S}.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} m2:=(x*y)\\$OFMONOID(Symbol) \\spad{X} lexico(\\spad{m1},{}\\spad{m2}) \\spad{X} lexico(\\spad{m2},{}\\spad{m1})")) (|mirror| (($ $) "\\indented{1}{\\spad{mirror(x)} returns the reversed word of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} mirror \\spad{m1}")) (|rest| (($ $) "\\indented{1}{\\spad{rest(x)} returns \\spad{x} except the first letter.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} rest \\spad{m1}")) (|first| ((|#1| $) "\\indented{1}{\\spad{first(x)} returns the first letter of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} first \\spad{m1}")) (** (($ |#1| (|NonNegativeInteger|)) "\\indented{1}{\\spad{s**n} returns the product of \\spad{s} by itself \\spad{n} times.} \\blankline \\spad{X} m1:=(\\spad{y**3})\\$OFMONOID(Symbol)")) (* (($ $ |#1|) "\\indented{1}{\\spad{x*s} returns the product of \\spad{x} by \\spad{s} on the right.} \\blankline \\spad{X} m1:=(\\spad{y**3})\\$OFMONOID(Symbol) \\spad{X} m1*x") (($ |#1| $) "\\indented{1}{\\spad{s*x} returns the product of \\spad{x} by \\spad{s} on the left.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} \\spad{x*m1}"))) 
 NIL 
 NIL 
-(-815) 
+(-816) 
 ((|constructor| (NIL "The category of ordered commutative integral domains,{} where ordering and the arithmetic operations are compatible"))) 
-((-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-816) 
+(-817) 
 ((|constructor| (NIL "\\spadtype{OpenMathConnection} provides low-level functions for handling connections to and from \\spadtype{OpenMathDevice}\\spad{s}.")) (|OMbindTCP| (((|Boolean|) $ (|SingleInteger|)) "\\spad{OMbindTCP}")) (|OMconnectTCP| (((|Boolean|) $ (|String|) (|SingleInteger|)) "\\spad{OMconnectTCP}")) (|OMconnOutDevice| (((|OpenMathDevice|) $) "\\spad{OMconnOutDevice:}")) (|OMconnInDevice| (((|OpenMathDevice|) $) "\\spad{OMconnInDevice:}")) (|OMcloseConn| (((|Void|) $) "\\spad{OMcloseConn}")) (|OMmakeConn| (($ (|SingleInteger|)) "\\spad{OMmakeConn}"))) 
 NIL 
 NIL 
-(-817) 
+(-818) 
 ((|constructor| (NIL "\\spadtype{OpenMathDevice} provides support for reading and writing openMath objects to files,{} strings etc. It also provides access to low-level operations from within the interpreter.")) (|OMgetType| (((|Symbol|) $) "\\spad{OMgetType(dev)} returns the type of the next object on \\axiom{\\spad{dev}}.")) (|OMgetSymbol| (((|Record| (|:| |cd| (|String|)) (|:| |name| (|String|))) $) "\\spad{OMgetSymbol(dev)} reads a symbol from \\axiom{\\spad{dev}}.")) (|OMgetString| (((|String|) $) "\\spad{OMgetString(dev)} reads a string from \\axiom{\\spad{dev}}.")) (|OMgetVariable| (((|Symbol|) $) "\\spad{OMgetVariable(dev)} reads a variable from \\axiom{\\spad{dev}}.")) (|OMgetFloat| (((|DoubleFloat|) $) "\\spad{OMgetFloat(dev)} reads a float from \\axiom{\\spad{dev}}.")) (|OMgetInteger| (((|Integer|) $) "\\spad{OMgetInteger(dev)} reads an integer from \\axiom{\\spad{dev}}.")) (|OMgetEndObject| (((|Void|) $) "\\spad{OMgetEndObject(dev)} reads an end object token from \\axiom{\\spad{dev}}.")) (|OMgetEndError| (((|Void|) $) "\\spad{OMgetEndError(dev)} reads an end error token from \\axiom{\\spad{dev}}.")) (|OMgetEndBVar| (((|Void|) $) "\\spad{OMgetEndBVar(dev)} reads an end bound variable list token from \\axiom{\\spad{dev}}.")) (|OMgetEndBind| (((|Void|) $) "\\spad{OMgetEndBind(dev)} reads an end binder token from \\axiom{\\spad{dev}}.")) (|OMgetEndAttr| (((|Void|) $) "\\spad{OMgetEndAttr(dev)} reads an end attribute token from \\axiom{\\spad{dev}}.")) (|OMgetEndAtp| (((|Void|) $) "\\spad{OMgetEndAtp(dev)} reads an end attribute pair token from \\axiom{\\spad{dev}}.")) (|OMgetEndApp| (((|Void|) $) "\\spad{OMgetEndApp(dev)} reads an end application token from \\axiom{\\spad{dev}}.")) (|OMgetObject| (((|Void|) $) "\\spad{OMgetObject(dev)} reads a begin object token from \\axiom{\\spad{dev}}.")) (|OMgetError| (((|Void|) $) "\\spad{OMgetError(dev)} reads a begin error token from \\axiom{\\spad{dev}}.")) (|OMgetBVar| (((|Void|) $) "\\spad{OMgetBVar(dev)} reads a begin bound variable list token from \\axiom{\\spad{dev}}.")) (|OMgetBind| (((|Void|) $) "\\spad{OMgetBind(dev)} reads a begin binder token from \\axiom{\\spad{dev}}.")) (|OMgetAttr| (((|Void|) $) "\\spad{OMgetAttr(dev)} reads a begin attribute token from \\axiom{\\spad{dev}}.")) (|OMgetAtp| (((|Void|) $) "\\spad{OMgetAtp(dev)} reads a begin attribute pair token from \\axiom{\\spad{dev}}.")) (|OMgetApp| (((|Void|) $) "\\spad{OMgetApp(dev)} reads a begin application token from \\axiom{\\spad{dev}}.")) (|OMputSymbol| (((|Void|) $ (|String|) (|String|)) "\\spad{OMputSymbol(dev,{}cd,{}s)} writes the symbol \\axiom{\\spad{s}} from \\spad{CD} \\axiom{\\spad{cd}} to \\axiom{\\spad{dev}}.")) (|OMputString| (((|Void|) $ (|String|)) "\\spad{OMputString(dev,{}i)} writes the string \\axiom{\\spad{i}} to \\axiom{\\spad{dev}}.")) (|OMputVariable| (((|Void|) $ (|Symbol|)) "\\spad{OMputVariable(dev,{}i)} writes the variable \\axiom{\\spad{i}} to \\axiom{\\spad{dev}}.")) (|OMputFloat| (((|Void|) $ (|DoubleFloat|)) "\\spad{OMputFloat(dev,{}i)} writes the float \\axiom{\\spad{i}} to \\axiom{\\spad{dev}}.")) (|OMputInteger| (((|Void|) $ (|Integer|)) "\\spad{OMputInteger(dev,{}i)} writes the integer \\axiom{\\spad{i}} to \\axiom{\\spad{dev}}.")) (|OMputEndObject| (((|Void|) $) "\\spad{OMputEndObject(dev)} writes an end object token to \\axiom{\\spad{dev}}.")) (|OMputEndError| (((|Void|) $) "\\spad{OMputEndError(dev)} writes an end error token to \\axiom{\\spad{dev}}.")) (|OMputEndBVar| (((|Void|) $) "\\spad{OMputEndBVar(dev)} writes an end bound variable list token to \\axiom{\\spad{dev}}.")) (|OMputEndBind| (((|Void|) $) "\\spad{OMputEndBind(dev)} writes an end binder token to \\axiom{\\spad{dev}}.")) (|OMputEndAttr| (((|Void|) $) "\\spad{OMputEndAttr(dev)} writes an end attribute token to \\axiom{\\spad{dev}}.")) (|OMputEndAtp| (((|Void|) $) "\\spad{OMputEndAtp(dev)} writes an end attribute pair token to \\axiom{\\spad{dev}}.")) (|OMputEndApp| (((|Void|) $) "\\spad{OMputEndApp(dev)} writes an end application token to \\axiom{\\spad{dev}}.")) (|OMputObject| (((|Void|) $) "\\spad{OMputObject(dev)} writes a begin object token to \\axiom{\\spad{dev}}.")) (|OMputError| (((|Void|) $) "\\spad{OMputError(dev)} writes a begin error token to \\axiom{\\spad{dev}}.")) (|OMputBVar| (((|Void|) $) "\\spad{OMputBVar(dev)} writes a begin bound variable list token to \\axiom{\\spad{dev}}.")) (|OMputBind| (((|Void|) $) "\\spad{OMputBind(dev)} writes a begin binder token to \\axiom{\\spad{dev}}.")) (|OMputAttr| (((|Void|) $) "\\spad{OMputAttr(dev)} writes a begin attribute token to \\axiom{\\spad{dev}}.")) (|OMputAtp| (((|Void|) $) "\\spad{OMputAtp(dev)} writes a begin attribute pair token to \\axiom{\\spad{dev}}.")) (|OMputApp| (((|Void|) $) "\\spad{OMputApp(dev)} writes a begin application token to \\axiom{\\spad{dev}}.")) (|OMsetEncoding| (((|Void|) $ (|OpenMathEncoding|)) "\\spad{OMsetEncoding(dev,{}enc)} sets the encoding used for reading or writing OpenMath objects to or from \\axiom{\\spad{dev}} to \\axiom{\\spad{enc}}.")) (|OMclose| (((|Void|) $) "\\spad{OMclose(dev)} closes \\axiom{\\spad{dev}},{} flushing output if necessary.")) (|OMopenString| (($ (|String|) (|OpenMathEncoding|)) "\\spad{OMopenString(s,{}mode)} opens the string \\axiom{\\spad{s}} for reading or writing OpenMath objects in encoding \\axiom{enc}.")) (|OMopenFile| (($ (|String|) (|String|) (|OpenMathEncoding|)) "\\spad{OMopenFile(f,{}mode,{}enc)} opens file \\axiom{\\spad{f}} for reading or writing OpenMath objects (depending on \\axiom{\\spad{mode}} which can be \\spad{\"r\"},{} \\spad{\"w\"} or \"a\" for read,{} write and append respectively),{} in the encoding \\axiom{\\spad{enc}}."))) 
 NIL 
 NIL 
-(-818) 
+(-819) 
 ((|constructor| (NIL "\\spadtype{OpenMathEncoding} is the set of valid OpenMath encodings.")) (|OMencodingBinary| (($) "\\spad{OMencodingBinary()} is the constant for the OpenMath binary encoding.")) (|OMencodingSGML| (($) "\\spad{OMencodingSGML()} is the constant for the deprecated OpenMath SGML encoding.")) (|OMencodingXML| (($) "\\spad{OMencodingXML()} is the constant for the OpenMath \\spad{XML} encoding.")) (|OMencodingUnknown| (($) "\\spad{OMencodingUnknown()} is the constant for unknown encoding types. If this is used on an input device,{} the encoding will be autodetected. It is invalid to use it on an output device."))) 
 NIL 
 NIL 
-(-819) 
+(-820) 
 ((|constructor| (NIL "\\spadtype{OpenMathErrorKind} represents different kinds of OpenMath errors: specifically parse errors,{} unknown \\spad{CD} or symbol errors,{} and read errors.")) (|OMReadError?| (((|Boolean|) $) "\\spad{OMReadError?(u)} tests whether \\spad{u} is an OpenMath read error.")) (|OMUnknownSymbol?| (((|Boolean|) $) "\\spad{OMUnknownSymbol?(u)} tests whether \\spad{u} is an OpenMath unknown symbol error.")) (|OMUnknownCD?| (((|Boolean|) $) "\\spad{OMUnknownCD?(u)} tests whether \\spad{u} is an OpenMath unknown \\spad{CD} error.")) (|OMParseError?| (((|Boolean|) $) "\\spad{OMParseError?(u)} tests whether \\spad{u} is an OpenMath parsing error.")) (|coerce| (($ (|Symbol|)) "\\spad{coerce(u)} creates an OpenMath error object of an appropriate type if \\axiom{\\spad{u}} is one of \\axiom{OMParseError},{} \\axiom{OMReadError},{} \\axiom{OMUnknownCD} or \\axiom{OMUnknownSymbol},{} otherwise it raises a runtime error."))) 
 NIL 
 NIL 
-(-820) 
+(-821) 
 ((|constructor| (NIL "\\spadtype{OpenMathError} is the domain of OpenMath errors.")) (|omError| (($ (|OpenMathErrorKind|) (|List| (|Symbol|))) "\\spad{omError(k,{}l)} creates an instance of OpenMathError.")) (|errorInfo| (((|List| (|Symbol|)) $) "\\spad{errorInfo(u)} returns information about the error \\spad{u}.")) (|errorKind| (((|OpenMathErrorKind|) $) "\\spad{errorKind(u)} returns the type of error which \\spad{u} represents."))) 
 NIL 
 NIL 
-(-821 R) 
+(-822 R) 
 ((|constructor| (NIL "\\spadtype{ExpressionToOpenMath} provides support for converting objects of type \\spadtype{Expression} into OpenMath."))) 
 NIL 
 NIL 
-(-822 P R) 
+(-823 P R) 
 ((|constructor| (NIL "This constructor creates the \\spadtype{MonogenicLinearOperator} domain which is ``opposite\\spad{''} in the ring sense to \\spad{P}. That is,{} as sets \\spad{P = \\$} but \\spad{a * b} in \\spad{\\$} is equal to \\spad{b * a} in \\spad{P}.")) (|po| ((|#1| $) "\\spad{po(q)} creates a value in \\spad{P} equal to \\spad{q} in \\$.")) (|op| (($ |#1|) "\\spad{op(p)} creates a value in \\$ equal to \\spad{p} in \\spad{P}."))) 
-((-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-225)))) 
-(-823) 
+((-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-226)))) 
+(-824) 
 ((|constructor| (NIL "\\spadtype{OpenMath} provides operations for exporting an object in OpenMath format.")) (|OMwrite| (((|Void|) (|OpenMathDevice|) $ (|Boolean|)) "\\spad{OMwrite(dev,{} u,{} true)} writes the OpenMath form of \\axiom{\\spad{u}} to the OpenMath device \\axiom{\\spad{dev}} as a complete OpenMath object; OMwrite(\\spad{dev},{} \\spad{u},{} \\spad{false}) writes the object as an OpenMath fragment.") (((|Void|) (|OpenMathDevice|) $) "\\spad{OMwrite(dev,{} u)} writes the OpenMath form of \\axiom{\\spad{u}} to the OpenMath device \\axiom{\\spad{dev}} as a complete OpenMath object.") (((|String|) $ (|Boolean|)) "\\spad{OMwrite(u,{} true)} returns the OpenMath \\spad{XML} encoding of \\axiom{\\spad{u}} as a complete OpenMath object; OMwrite(\\spad{u},{} \\spad{false}) returns the OpenMath \\spad{XML} encoding of \\axiom{\\spad{u}} as an OpenMath fragment.") (((|String|) $) "\\spad{OMwrite(u)} returns the OpenMath \\spad{XML} encoding of \\axiom{\\spad{u}} as a complete OpenMath object."))) 
 NIL 
 NIL 
-(-824) 
+(-825) 
 ((|constructor| (NIL "\\spadtype{OpenMathPackage} provides some simple utilities to make reading OpenMath objects easier.")) (|OMunhandledSymbol| (((|Exit|) (|String|) (|String|)) "\\spad{OMunhandledSymbol(s,{}cd)} raises an error if AXIOM reads a symbol which it is unable to handle. Note that this is different from an unexpected symbol.")) (|OMsupportsSymbol?| (((|Boolean|) (|String|) (|String|)) "\\spad{OMsupportsSymbol?(s,{}cd)} returns \\spad{true} if AXIOM supports symbol \\axiom{\\spad{s}} from \\spad{CD} \\axiom{\\spad{cd}},{} \\spad{false} otherwise.")) (|OMsupportsCD?| (((|Boolean|) (|String|)) "\\spad{OMsupportsCD?(cd)} returns \\spad{true} if AXIOM supports \\axiom{\\spad{cd}},{} \\spad{false} otherwise.")) (|OMlistSymbols| (((|List| (|String|)) (|String|)) "\\spad{OMlistSymbols(cd)} lists all the symbols in \\axiom{\\spad{cd}}.")) (|OMlistCDs| (((|List| (|String|))) "\\spad{OMlistCDs()} lists all the \\spad{CDs} supported by AXIOM.")) (|OMreadStr| (((|Any|) (|String|)) "\\spad{OMreadStr(f)} reads an OpenMath object from \\axiom{\\spad{f}} and passes it to AXIOM.")) (|OMreadFile| (((|Any|) (|String|)) "\\spad{OMreadFile(f)} reads an OpenMath object from \\axiom{\\spad{f}} and passes it to AXIOM.")) (|OMread| (((|Any|) (|OpenMathDevice|)) "\\spad{OMread(dev)} reads an OpenMath object from \\axiom{\\spad{dev}} and passes it to AXIOM."))) 
 NIL 
 NIL 
-(-825 S) 
+(-826 S) 
 ((|constructor| (NIL "to become an in order iterator")) (|min| ((|#1| $) "\\spad{min(u)} returns the smallest entry in the multiset aggregate \\spad{u}."))) 
-((-4521 . T) (-4511 . T) (-4522 . T) (-3973 . T)) 
+((-4535 . T) (-4525 . T) (-4536 . T) (-2982 . T)) 
 NIL 
-(-826) 
+(-827) 
 ((|constructor| (NIL "\\spadtype{OpenMathServerPackage} provides the necessary operations to run AXIOM as an OpenMath server,{} reading/writing objects to/from a port. Please note the facilities available here are very basic. The idea is that a user calls \\spadignore{e.g.} \\axiom{Omserve(4000,{}60)} and then another process sends OpenMath objects to port 4000 and reads the result.")) (|OMserve| (((|Void|) (|SingleInteger|) (|SingleInteger|)) "\\spad{OMserve(portnum,{}timeout)} puts AXIOM into server mode on port number \\axiom{\\spad{portnum}}. The parameter \\axiom{\\spad{timeout}} specifies the \\spad{timeout} period for the connection.")) (|OMsend| (((|Void|) (|OpenMathConnection|) (|Any|)) "\\spad{OMsend(c,{}u)} attempts to output \\axiom{\\spad{u}} on \\axiom{\\spad{c}} in OpenMath.")) (|OMreceive| (((|Any|) (|OpenMathConnection|)) "\\spad{OMreceive(c)} reads an OpenMath object from connection \\axiom{\\spad{c}} and returns the appropriate AXIOM object."))) 
 NIL 
 NIL 
-(-827 R S) 
+(-828 R S) 
 ((|constructor| (NIL "Lifting of maps to one-point completions.")) (|map| (((|OnePointCompletion| |#2|) (|Mapping| |#2| |#1|) (|OnePointCompletion| |#1|) (|OnePointCompletion| |#2|)) "\\spad{map(f,{} r,{} i)} lifts \\spad{f} and applies it to \\spad{r},{} assuming that \\spad{f}(infinity) = \\spad{i}.") (((|OnePointCompletion| |#2|) (|Mapping| |#2| |#1|) (|OnePointCompletion| |#1|)) "\\spad{map(f,{} r)} lifts \\spad{f} and applies it to \\spad{r},{} assuming that \\spad{f}(infinity) = infinity."))) 
 NIL 
 NIL 
-(-828 R) 
-((|constructor| (NIL "Completion with infinity. Adjunction of a complex infinity to a set.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(x)} returns \\spad{x} as a finite rational number if it is one,{} \"failed\" otherwise.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(x)} returns \\spad{x} as a finite rational number. Error: if \\spad{x} is not a rational number.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(x)} tests if \\spad{x} is a finite rational number.")) (|infinite?| (((|Boolean|) $) "\\spad{infinite?(x)} tests if \\spad{x} is infinite.")) (|finite?| (((|Boolean|) $) "\\spad{finite?(x)} tests if \\spad{x} is finite.")) (|infinity| (($) "\\spad{infinity()} returns infinity."))) 
-((-4518 |has| |#1| (-840))) 
-((|HasCategory| |#1| (QUOTE (-840))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-550))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-840)))) (|HasCategory| |#1| (QUOTE (-21))) (-2199 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-840))))) 
 (-829 R) 
+((|constructor| (NIL "Completion with infinity. Adjunction of a complex infinity to a set.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(x)} returns \\spad{x} as a finite rational number if it is one,{} \"failed\" otherwise.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(x)} returns \\spad{x} as a finite rational number. Error: if \\spad{x} is not a rational number.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(x)} tests if \\spad{x} is a finite rational number.")) (|infinite?| (((|Boolean|) $) "\\spad{infinite?(x)} tests if \\spad{x} is infinite.")) (|finite?| (((|Boolean|) $) "\\spad{finite?(x)} tests if \\spad{x} is finite.")) (|infinity| (($) "\\spad{infinity()} returns infinity."))) 
+((-4532 |has| |#1| (-841))) 
+((|HasCategory| |#1| (QUOTE (-841))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-551))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-841)))) (|HasCategory| |#1| (QUOTE (-21))) (-2232 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-841))))) 
+(-830 R) 
 ((|constructor| (NIL "Algebra of ADDITIVE operators over a ring."))) 
-((-4516 |has| |#1| (-172)) (-4515 |has| |#1| (-172)) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-150)))) 
-(-830) 
+((-4530 |has| |#1| (-173)) (-4529 |has| |#1| (-173)) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151)))) 
+(-831) 
 ((|constructor| (NIL "This package exports tools to create AXIOM Library information databases.")) (|getDatabase| (((|Database| (|IndexCard|)) (|String|)) "\\spad{getDatabase(\"char\")} returns a list of appropriate entries in the browser database. The legal values for \\spad{\"char\"} are \"o\" (operations),{} \\spad{\"k\"} (constructors),{} \\spad{\"d\"} (domains),{} \\spad{\"c\"} (categories) or \\spad{\"p\"} (packages)."))) 
 NIL 
 NIL 
-(-831) 
+(-832) 
 ((|constructor| (NIL "\\axiomType{NumericalOptimizationCategory} is the \\axiom{category} for describing the set of Numerical Optimization \\axiom{domains} with \\axiomFun{measure} and \\axiomFun{optimize}.")) (|numericalOptimization| (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) "\\spad{numericalOptimization(args)} performs the optimization of the function given the strategy or method returned by \\axiomFun{measure}.") (((|Result|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) "\\spad{numericalOptimization(args)} performs the optimization of the function given the strategy or method returned by \\axiomFun{measure}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) "\\spad{measure(R,{}args)} calculates an estimate of the ability of a particular method to solve an optimization problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter,{} labelled \\axiom{sofar},{} which would contain the best compatibility found so far.") (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) "\\spad{measure(R,{}args)} calculates an estimate of the ability of a particular method to solve an optimization problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter,{} labelled \\axiom{sofar},{} which would contain the best compatibility found so far."))) 
 NIL 
 NIL 
-(-832) 
+(-833) 
 ((|constructor| (NIL "\\axiomType{AnnaNumericalOptimizationPackage} is a \\axiom{package} of functions for the \\axiomType{NumericalOptimizationCategory} with \\axiom{measure} and \\axiom{optimize}.")) (|goodnessOfFit| (((|Result|) (|List| (|Expression| (|Float|))) (|List| (|Float|))) "\\spad{goodnessOfFit(lf,{}start)} is a top level ANNA function to check to goodness of fit of a least squares model \\spadignore{i.e.} the minimization of a set of functions,{} \\axiom{\\spad{lf}},{} of one or more variables without constraints. \\blankline The parameter \\axiom{\\spad{start}} is a list of the initial guesses of the values of the variables. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}. It then calls the numerical routine \\axiomType{E04YCF} to get estimates of the variance-covariance matrix of the regression coefficients of the least-squares problem. \\blankline It thus returns both the results of the optimization and the variance-covariance calculation. goodnessOfFit(\\spad{lf},{}\\spad{start}) is a top level function to iterate over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}. It then checks the goodness of fit of the least squares model.") (((|Result|) (|NumericalOptimizationProblem|)) "\\spad{goodnessOfFit(prob)} is a top level ANNA function to check to goodness of fit of a least squares model as defined within \\axiom{\\spad{prob}}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}. It then calls the numerical routine \\axiomType{E04YCF} to get estimates of the variance-covariance matrix of the regression coefficients of the least-squares problem. \\blankline It thus returns both the results of the optimization and the variance-covariance calculation.")) (|optimize| (((|Result|) (|List| (|Expression| (|Float|))) (|List| (|Float|))) "\\spad{optimize(lf,{}start)} is a top level ANNA function to minimize a set of functions,{} \\axiom{\\spad{lf}},{} of one or more variables without constraints \\spadignore{i.e.} a least-squares problem. \\blankline The parameter \\axiom{\\spad{start}} is a list of the initial guesses of the values of the variables. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Float|))) "\\spad{optimize(f,{}start)} is a top level ANNA function to minimize a function,{} \\axiom{\\spad{f}},{} of one or more variables without constraints. \\blankline The parameter \\axiom{\\spad{start}} is a list of the initial guesses of the values of the variables. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Float|)) (|List| (|OrderedCompletion| (|Float|))) (|List| (|OrderedCompletion| (|Float|)))) "\\spad{optimize(f,{}start,{}lower,{}upper)} is a top level ANNA function to minimize a function,{} \\axiom{\\spad{f}},{} of one or more variables with simple constraints. The bounds on the variables are defined in \\axiom{\\spad{lower}} and \\axiom{\\spad{upper}}. \\blankline The parameter \\axiom{\\spad{start}} is a list of the initial guesses of the values of the variables. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Float|)) (|List| (|OrderedCompletion| (|Float|))) (|List| (|Expression| (|Float|))) (|List| (|OrderedCompletion| (|Float|)))) "\\spad{optimize(f,{}start,{}lower,{}cons,{}upper)} is a top level ANNA function to minimize a function,{} \\axiom{\\spad{f}},{} of one or more variables with the given constraints. \\blankline These constraints may be simple constraints on the variables in which case \\axiom{\\spad{cons}} would be an empty list and the bounds on those variables defined in \\axiom{\\spad{lower}} and \\axiom{\\spad{upper}},{} or a mixture of simple,{} linear and non-linear constraints,{} where \\axiom{\\spad{cons}} contains the linear and non-linear constraints and the bounds on these are added to \\axiom{\\spad{upper}} and \\axiom{\\spad{lower}}. \\blankline The parameter \\axiom{\\spad{start}} is a list of the initial guesses of the values of the variables. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.") (((|Result|) (|NumericalOptimizationProblem|)) "\\spad{optimize(prob)} is a top level ANNA function to minimize a function or a set of functions with any constraints as defined within \\axiom{\\spad{prob}}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.") (((|Result|) (|NumericalOptimizationProblem|) (|RoutinesTable|)) "\\spad{optimize(prob,{}routines)} is a top level ANNA function to minimize a function or a set of functions with any constraints as defined within \\axiom{\\spad{prob}}. \\blankline It iterates over the \\axiom{domains} listed in \\axiom{\\spad{routines}} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalOptimizationProblem|) (|RoutinesTable|)) "\\spad{measure(prob,{}R)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical optimization problem defined by \\axiom{\\spad{prob}} by checking various attributes of the functions and calculating a measure of compatibility of each routine to these attributes. \\blankline It calls each \\axiom{domain} listed in \\axiom{\\spad{R}} of \\axiom{category} \\axiomType{NumericalOptimizationCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information.") (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalOptimizationProblem|)) "\\spad{measure(prob)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical optimization problem defined by \\axiom{\\spad{prob}} by checking various attributes of the functions and calculating a measure of compatibility of each routine to these attributes. \\blankline It calls each \\axiom{domain} of \\axiom{category} \\axiomType{NumericalOptimizationCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information."))) 
 NIL 
 NIL 
-(-833) 
+(-834) 
 ((|constructor| (NIL "\\axiomType{NumericalOptimizationProblem} is a \\axiom{domain} for the representation of Numerical Optimization problems for use by ANNA. \\blankline The representation is a Union of two record types - one for otimization of a single function of one or more variables: \\blankline \\axiomType{Record}(\\spad{\\br} \\spad{fn:}\\axiomType{Expression DoubleFloat},{}\\spad{\\br} init:\\axiomType{List DoubleFloat},{}\\spad{\\br} \\spad{lb:}\\axiomType{List OrderedCompletion DoubleFloat},{}\\spad{\\br} \\spad{cf:}\\axiomType{List Expression DoubleFloat},{}\\spad{\\br} ub:\\axiomType{List OrderedCompletion DoubleFloat}) \\blankline and one for least-squares problems \\spadignore{i.e.} optimization of a set of observations of a data set: \\blankline \\axiomType{Record}(lfn:\\axiomType{List Expression DoubleFloat},{}\\spad{\\br} init:\\axiomType{List DoubleFloat}).")) (|retract| (((|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|)))))) $) "\\spad{retract(x)} is not documented")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(x)} is not documented") (($ (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) "\\spad{coerce(x)} is not documented"))) 
 NIL 
 NIL 
-(-834 R S) 
+(-835 R S) 
 ((|constructor| (NIL "Lifting of maps to ordered completions.")) (|map| (((|OrderedCompletion| |#2|) (|Mapping| |#2| |#1|) (|OrderedCompletion| |#1|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|)) "\\spad{map(f,{} r,{} p,{} m)} lifts \\spad{f} and applies it to \\spad{r},{} assuming that \\spad{f}(plusInfinity) = \\spad{p} and that \\spad{f}(minusInfinity) = \\spad{m}.") (((|OrderedCompletion| |#2|) (|Mapping| |#2| |#1|) (|OrderedCompletion| |#1|)) "\\spad{map(f,{} r)} lifts \\spad{f} and applies it to \\spad{r},{} assuming that \\spad{f}(plusInfinity) = plusInfinity and that \\spad{f}(minusInfinity) = minusInfinity."))) 
 NIL 
 NIL 
-(-835 R) 
+(-836 R) 
 ((|constructor| (NIL "Completion with + and - infinity. Adjunction of two real infinites quantities to a set.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(x)} returns \\spad{x} as a finite rational number if it is one and \"failed\" otherwise.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(x)} returns \\spad{x} as a finite rational number. Error: if \\spad{x} cannot be so converted.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(x)} tests if \\spad{x} is a finite rational number.")) (|whatInfinity| (((|SingleInteger|) $) "\\spad{whatInfinity(x)} returns 0 if \\spad{x} is finite,{} 1 if \\spad{x} is +infinity,{} and \\spad{-1} if \\spad{x} is -infinity.")) (|infinite?| (((|Boolean|) $) "\\spad{infinite?(x)} tests if \\spad{x} is +infinity or -infinity,{}")) (|finite?| (((|Boolean|) $) "\\spad{finite?(x)} tests if \\spad{x} is finite.")) (|minusInfinity| (($) "\\spad{minusInfinity()} returns -infinity.")) (|plusInfinity| (($) "\\spad{plusInfinity()} returns +infinity."))) 
-((-4518 |has| |#1| (-840))) 
-((|HasCategory| |#1| (QUOTE (-840))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-550))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-840)))) (|HasCategory| |#1| (QUOTE (-21))) (-2199 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-840))))) 
-(-836) 
+((-4532 |has| |#1| (-841))) 
+((|HasCategory| |#1| (QUOTE (-841))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-551))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-841)))) (|HasCategory| |#1| (QUOTE (-21))) (-2232 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-841))))) 
+(-837) 
 ((|constructor| (NIL "Ordered finite sets."))) 
 NIL 
 NIL 
-(-837 -1965 S) 
+(-838 -4391 S) 
 ((|constructor| (NIL "This package provides ordering functions on vectors which are suitable parameters for OrderedDirectProduct.")) (|reverseLex| (((|Boolean|) (|Vector| |#2|) (|Vector| |#2|)) "\\spad{reverseLex(v1,{}v2)} return \\spad{true} if the vector \\spad{v1} is less than the vector \\spad{v2} in the ordering which is total degree refined by the reverse lexicographic ordering.")) (|totalLex| (((|Boolean|) (|Vector| |#2|) (|Vector| |#2|)) "\\spad{totalLex(v1,{}v2)} return \\spad{true} if the vector \\spad{v1} is less than the vector \\spad{v2} in the ordering which is total degree refined by lexicographic ordering.")) (|pureLex| (((|Boolean|) (|Vector| |#2|) (|Vector| |#2|)) "\\spad{pureLex(v1,{}v2)} return \\spad{true} if the vector \\spad{v1} is less than the vector \\spad{v2} in the lexicographic ordering."))) 
 NIL 
 NIL 
-(-838) 
+(-839) 
 ((|constructor| (NIL "Ordered sets which are also monoids,{} such that multiplication preserves the ordering. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{x < y => x*z < y*z}\\spad{\\br} \\tab{5}\\spad{x < y => z*x < z*y}"))) 
 NIL 
 NIL 
-(-839 S) 
+(-840 S) 
 ((|constructor| (NIL "Ordered sets which are also rings,{} that is,{} domains where the ring operations are compatible with the ordering. \\blankline Axiom\\spad{\\br} \\tab{5}\\spad{0<a and b<c => ab< ac}")) (|abs| (($ $) "\\spad{abs(x)} returns the absolute value of \\spad{x}.")) (|sign| (((|Integer|) $) "\\spad{sign(x)} is 1 if \\spad{x} is positive,{} \\spad{-1} if \\spad{x} is negative,{} 0 if \\spad{x} equals 0.")) (|negative?| (((|Boolean|) $) "\\spad{negative?(x)} tests whether \\spad{x} is strictly less than 0.")) (|positive?| (((|Boolean|) $) "\\spad{positive?(x)} tests whether \\spad{x} is strictly greater than 0."))) 
 NIL 
 NIL 
-(-840) 
+(-841) 
 ((|constructor| (NIL "Ordered sets which are also rings,{} that is,{} domains where the ring operations are compatible with the ordering. \\blankline Axiom\\spad{\\br} \\tab{5}\\spad{0<a and b<c => ab< ac}")) (|abs| (($ $) "\\spad{abs(x)} returns the absolute value of \\spad{x}.")) (|sign| (((|Integer|) $) "\\spad{sign(x)} is 1 if \\spad{x} is positive,{} \\spad{-1} if \\spad{x} is negative,{} 0 if \\spad{x} equals 0.")) (|negative?| (((|Boolean|) $) "\\spad{negative?(x)} tests whether \\spad{x} is strictly less than 0.")) (|positive?| (((|Boolean|) $) "\\spad{positive?(x)} tests whether \\spad{x} is strictly greater than 0."))) 
-((-4518 . T)) 
+((-4532 . T)) 
 NIL 
-(-841 S) 
+(-842 S) 
 ((|constructor| (NIL "The class of totally ordered sets,{} that is,{} sets such that for each pair of elements \\spad{(a,{}b)} exactly one of the following relations holds \\spad{a<b or a=b or b<a} and the relation is transitive,{} \\spadignore{i.e.} \\spad{a<b and b<c => a<c}.")) (|min| (($ $ $) "\\spad{min(x,{}y)} returns the minimum of \\spad{x} and \\spad{y} relative to \\spad{\"<\"}.")) (|max| (($ $ $) "\\spad{max(x,{}y)} returns the maximum of \\spad{x} and \\spad{y} relative to \\spad{\"<\"}.")) (<= (((|Boolean|) $ $) "\\spad{x <= y} is a less than or equal test.")) (>= (((|Boolean|) $ $) "\\spad{x >= y} is a greater than or equal test.")) (> (((|Boolean|) $ $) "\\spad{x > y} is a greater than test.")) (< (((|Boolean|) $ $) "\\spad{x < y} is a strict total ordering on the elements of the set."))) 
 NIL 
 NIL 
-(-842) 
+(-843) 
 ((|constructor| (NIL "The class of totally ordered sets,{} that is,{} sets such that for each pair of elements \\spad{(a,{}b)} exactly one of the following relations holds \\spad{a<b or a=b or b<a} and the relation is transitive,{} \\spadignore{i.e.} \\spad{a<b and b<c => a<c}.")) (|min| (($ $ $) "\\spad{min(x,{}y)} returns the minimum of \\spad{x} and \\spad{y} relative to \\spad{\"<\"}.")) (|max| (($ $ $) "\\spad{max(x,{}y)} returns the maximum of \\spad{x} and \\spad{y} relative to \\spad{\"<\"}.")) (<= (((|Boolean|) $ $) "\\spad{x <= y} is a less than or equal test.")) (>= (((|Boolean|) $ $) "\\spad{x >= y} is a greater than or equal test.")) (> (((|Boolean|) $ $) "\\spad{x > y} is a greater than test.")) (< (((|Boolean|) $ $) "\\spad{x < y} is a strict total ordering on the elements of the set."))) 
 NIL 
 NIL 
-(-843 S R) 
+(-844 S R) 
 ((|constructor| (NIL "This is the category of univariate skew polynomials over an Ore coefficient ring. The multiplication is given by \\spad{x a = \\sigma(a) x + \\delta a}. This category is an evolution of the types MonogenicLinearOperator,{} OppositeMonogenicLinearOperator,{} and NonCommutativeOperatorDivision")) (|leftLcm| (($ $ $) "\\spad{leftLcm(a,{}b)} computes the value \\spad{m} of lowest degree such that \\spad{m = aa*a = bb*b} for some values \\spad{aa} and \\spad{bb}. The value \\spad{m} is computed using right-division.")) (|rightExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{rightExtendedGcd(a,{}b)} returns \\spad{[c,{}d]} such that \\spad{g = c * a + d * b = rightGcd(a,{} b)}.")) (|rightGcd| (($ $ $) "\\spad{rightGcd(a,{}b)} computes the value \\spad{g} of highest degree such that \\indented{3}{\\spad{a = aa*g}} \\indented{3}{\\spad{b = bb*g}} for some values \\spad{aa} and \\spad{bb}. The value \\spad{g} is computed using right-division.")) (|rightExactQuotient| (((|Union| $ "failed") $ $) "\\spad{rightExactQuotient(a,{}b)} computes the value \\spad{q},{} if it exists such that \\spad{a = q*b}.")) (|rightRemainder| (($ $ $) "\\spad{rightRemainder(a,{}b)} computes the pair \\spad{[q,{}r]} such that \\spad{a = q*b + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{r} is returned.")) (|rightQuotient| (($ $ $) "\\spad{rightQuotient(a,{}b)} computes the pair \\spad{[q,{}r]} such that \\spad{a = q*b + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{q} is returned.")) (|rightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{rightDivide(a,{}b)} returns the pair \\spad{[q,{}r]} such that \\spad{a = q*b + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``right division\\spad{''}.")) (|rightLcm| (($ $ $) "\\spad{rightLcm(a,{}b)} computes the value \\spad{m} of lowest degree such that \\spad{m = a*aa = b*bb} for some values \\spad{aa} and \\spad{bb}. The value \\spad{m} is computed using left-division.")) (|leftExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{leftExtendedGcd(a,{}b)} returns \\spad{[c,{}d]} such that \\spad{g = a * c + b * d = leftGcd(a,{} b)}.")) (|leftGcd| (($ $ $) "\\spad{leftGcd(a,{}b)} computes the value \\spad{g} of highest degree such that \\indented{3}{\\spad{a = g*aa}} \\indented{3}{\\spad{b = g*bb}} for some values \\spad{aa} and \\spad{bb}. The value \\spad{g} is computed using left-division.")) (|leftExactQuotient| (((|Union| $ "failed") $ $) "\\spad{leftExactQuotient(a,{}b)} computes the value \\spad{q},{} if it exists,{} \\indented{1}{such that \\spad{a = b*q}.}")) (|leftRemainder| (($ $ $) "\\spad{leftRemainder(a,{}b)} computes the pair \\spad{[q,{}r]} such that \\spad{a = b*q + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{r} is returned.")) (|leftQuotient| (($ $ $) "\\spad{leftQuotient(a,{}b)} computes the pair \\spad{[q,{}r]} such that \\spad{a = b*q + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{q} is returned.")) (|leftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{leftDivide(a,{}b)} returns the pair \\spad{[q,{}r]} such that \\spad{a = b*q + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``left division\\spad{''}.")) (|primitivePart| (($ $) "\\spad{primitivePart(l)} returns \\spad{l0} such that \\spad{l = a * l0} for some a in \\spad{R},{} and \\spad{content(l0) = 1}.")) (|content| ((|#2| $) "\\spad{content(l)} returns the \\spad{gcd} of all the coefficients of \\spad{l}.")) (|monicRightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicRightDivide(a,{}b)} returns the pair \\spad{[q,{}r]} such that \\spad{a = q*b + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``right division\\spad{''}.")) (|monicLeftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicLeftDivide(a,{}b)} returns the pair \\spad{[q,{}r]} such that \\spad{a = b*q + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``left division\\spad{''}.")) (|exquo| (((|Union| $ "failed") $ |#2|) "\\spad{exquo(l,{} a)} returns the exact quotient of \\spad{l} by a,{} returning \\axiom{\"failed\"} if this is not possible.")) (|apply| ((|#2| $ |#2| |#2|) "\\spad{apply(p,{} c,{} m)} returns \\spad{p(m)} where the action is given by \\spad{x m = c sigma(m) + delta(m)}.")) (|coefficients| (((|List| |#2|) $) "\\spad{coefficients(l)} returns the list of all the nonzero coefficients of \\spad{l}.")) (|monomial| (($ |#2| (|NonNegativeInteger|)) "\\spad{monomial(c,{}k)} produces \\spad{c} times the \\spad{k}-th power of the generating operator,{} \\spad{monomial(1,{}1)}.")) (|coefficient| ((|#2| $ (|NonNegativeInteger|)) "\\spad{coefficient(l,{}k)} is \\spad{a(k)} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}")) (|reductum| (($ $) "\\spad{reductum(l)} is \\spad{l - monomial(a(n),{}n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}")) (|leadingCoefficient| ((|#2| $) "\\spad{leadingCoefficient(l)} is \\spad{a(n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}")) (|minimumDegree| (((|NonNegativeInteger|) $) "\\spad{minimumDegree(l)} is the smallest \\spad{k} such that \\spad{a(k) ^= 0} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(l)} is \\spad{n} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}"))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-453))) (|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-172)))) 
-(-844 R) 
+((|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173)))) 
+(-845 R) 
 ((|constructor| (NIL "This is the category of univariate skew polynomials over an Ore coefficient ring. The multiplication is given by \\spad{x a = \\sigma(a) x + \\delta a}. This category is an evolution of the types MonogenicLinearOperator,{} OppositeMonogenicLinearOperator,{} and NonCommutativeOperatorDivision")) (|leftLcm| (($ $ $) "\\spad{leftLcm(a,{}b)} computes the value \\spad{m} of lowest degree such that \\spad{m = aa*a = bb*b} for some values \\spad{aa} and \\spad{bb}. The value \\spad{m} is computed using right-division.")) (|rightExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{rightExtendedGcd(a,{}b)} returns \\spad{[c,{}d]} such that \\spad{g = c * a + d * b = rightGcd(a,{} b)}.")) (|rightGcd| (($ $ $) "\\spad{rightGcd(a,{}b)} computes the value \\spad{g} of highest degree such that \\indented{3}{\\spad{a = aa*g}} \\indented{3}{\\spad{b = bb*g}} for some values \\spad{aa} and \\spad{bb}. The value \\spad{g} is computed using right-division.")) (|rightExactQuotient| (((|Union| $ "failed") $ $) "\\spad{rightExactQuotient(a,{}b)} computes the value \\spad{q},{} if it exists such that \\spad{a = q*b}.")) (|rightRemainder| (($ $ $) "\\spad{rightRemainder(a,{}b)} computes the pair \\spad{[q,{}r]} such that \\spad{a = q*b + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{r} is returned.")) (|rightQuotient| (($ $ $) "\\spad{rightQuotient(a,{}b)} computes the pair \\spad{[q,{}r]} such that \\spad{a = q*b + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{q} is returned.")) (|rightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{rightDivide(a,{}b)} returns the pair \\spad{[q,{}r]} such that \\spad{a = q*b + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``right division\\spad{''}.")) (|rightLcm| (($ $ $) "\\spad{rightLcm(a,{}b)} computes the value \\spad{m} of lowest degree such that \\spad{m = a*aa = b*bb} for some values \\spad{aa} and \\spad{bb}. The value \\spad{m} is computed using left-division.")) (|leftExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{leftExtendedGcd(a,{}b)} returns \\spad{[c,{}d]} such that \\spad{g = a * c + b * d = leftGcd(a,{} b)}.")) (|leftGcd| (($ $ $) "\\spad{leftGcd(a,{}b)} computes the value \\spad{g} of highest degree such that \\indented{3}{\\spad{a = g*aa}} \\indented{3}{\\spad{b = g*bb}} for some values \\spad{aa} and \\spad{bb}. The value \\spad{g} is computed using left-division.")) (|leftExactQuotient| (((|Union| $ "failed") $ $) "\\spad{leftExactQuotient(a,{}b)} computes the value \\spad{q},{} if it exists,{} \\indented{1}{such that \\spad{a = b*q}.}")) (|leftRemainder| (($ $ $) "\\spad{leftRemainder(a,{}b)} computes the pair \\spad{[q,{}r]} such that \\spad{a = b*q + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{r} is returned.")) (|leftQuotient| (($ $ $) "\\spad{leftQuotient(a,{}b)} computes the pair \\spad{[q,{}r]} such that \\spad{a = b*q + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{q} is returned.")) (|leftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{leftDivide(a,{}b)} returns the pair \\spad{[q,{}r]} such that \\spad{a = b*q + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``left division\\spad{''}.")) (|primitivePart| (($ $) "\\spad{primitivePart(l)} returns \\spad{l0} such that \\spad{l = a * l0} for some a in \\spad{R},{} and \\spad{content(l0) = 1}.")) (|content| ((|#1| $) "\\spad{content(l)} returns the \\spad{gcd} of all the coefficients of \\spad{l}.")) (|monicRightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicRightDivide(a,{}b)} returns the pair \\spad{[q,{}r]} such that \\spad{a = q*b + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``right division\\spad{''}.")) (|monicLeftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicLeftDivide(a,{}b)} returns the pair \\spad{[q,{}r]} such that \\spad{a = b*q + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``left division\\spad{''}.")) (|exquo| (((|Union| $ "failed") $ |#1|) "\\spad{exquo(l,{} a)} returns the exact quotient of \\spad{l} by a,{} returning \\axiom{\"failed\"} if this is not possible.")) (|apply| ((|#1| $ |#1| |#1|) "\\spad{apply(p,{} c,{} m)} returns \\spad{p(m)} where the action is given by \\spad{x m = c sigma(m) + delta(m)}.")) (|coefficients| (((|List| |#1|) $) "\\spad{coefficients(l)} returns the list of all the nonzero coefficients of \\spad{l}.")) (|monomial| (($ |#1| (|NonNegativeInteger|)) "\\spad{monomial(c,{}k)} produces \\spad{c} times the \\spad{k}-th power of the generating operator,{} \\spad{monomial(1,{}1)}.")) (|coefficient| ((|#1| $ (|NonNegativeInteger|)) "\\spad{coefficient(l,{}k)} is \\spad{a(k)} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}")) (|reductum| (($ $) "\\spad{reductum(l)} is \\spad{l - monomial(a(n),{}n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(l)} is \\spad{a(n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}")) (|minimumDegree| (((|NonNegativeInteger|) $) "\\spad{minimumDegree(l)} is the smallest \\spad{k} such that \\spad{a(k) ^= 0} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(l)} is \\spad{n} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}"))) 
-((-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-845 R C) 
+(-846 R C) 
 ((|constructor| (NIL "\\spad{UnivariateSkewPolynomialCategoryOps} provides products and divisions of univariate skew polynomials.")) (|rightDivide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)) "\\spad{rightDivide(a,{} b,{} sigma)} returns the pair \\spad{[q,{}r]} such that \\spad{a = q*b + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``right division\\spad{''}. \\spad{\\sigma} is the morphism to use.")) (|leftDivide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)) "\\spad{leftDivide(a,{} b,{} sigma)} returns the pair \\spad{[q,{}r]} such that \\spad{a = b*q + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``left division\\spad{''}. \\spad{\\sigma} is the morphism to use.")) (|monicRightDivide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)) "\\spad{monicRightDivide(a,{} b,{} sigma)} returns the pair \\spad{[q,{}r]} such that \\spad{a = q*b + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``right division\\spad{''}. \\spad{\\sigma} is the morphism to use.")) (|monicLeftDivide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)) "\\spad{monicLeftDivide(a,{} b,{} sigma)} returns the pair \\spad{[q,{}r]} such that \\spad{a = b*q + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``left division\\spad{''}. \\spad{\\sigma} is the morphism to use.")) (|apply| ((|#1| |#2| |#1| |#1| (|Automorphism| |#1|) (|Mapping| |#1| |#1|)) "\\spad{apply(p,{} c,{} m,{} sigma,{} delta)} returns \\spad{p(m)} where the action is given by \\spad{x m = c sigma(m) + delta(m)}.")) (|times| ((|#2| |#2| |#2| (|Automorphism| |#1|) (|Mapping| |#1| |#1|)) "\\spad{times(p,{} q,{} sigma,{} delta)} returns \\spad{p * q}. \\spad{\\sigma} and \\spad{\\delta} are the maps to use."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-558)))) 
-(-846 R |sigma| -3488) 
+((|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) 
+(-847 R |sigma| -2385) 
 ((|constructor| (NIL "This is the domain of sparse univariate skew polynomials over an Ore coefficient field. The multiplication is given by \\spad{x a = \\sigma(a) x + \\delta a}.")) (|outputForm| (((|OutputForm|) $ (|OutputForm|)) "\\spad{outputForm(p,{} x)} returns the output form of \\spad{p} using \\spad{x} for the otherwise anonymous variable."))) 
-((-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-365)))) 
-(-847 |x| R |sigma| -3488) 
+((-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-366)))) 
+(-848 |x| R |sigma| -2385) 
 ((|constructor| (NIL "This is the domain of univariate skew polynomials over an Ore coefficient field in a named variable. The multiplication is given by \\spad{x a = \\sigma(a) x + \\delta a}.")) (|coerce| (($ (|Variable| |#1|)) "\\spad{coerce(x)} returns \\spad{x} as a skew-polynomial."))) 
-((-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-453))) (|HasCategory| |#2| (QUOTE (-365)))) 
-(-848 R) 
+((-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-366)))) 
+(-849 R) 
 ((|constructor| (NIL "This package provides orthogonal polynomials as functions on a ring.")) (|legendreP| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{legendreP(n,{}x)} is the \\spad{n}-th Legendre polynomial,{} \\spad{P[n](x)}. These are defined by \\spad{1/sqrt(1-2*x*t+t**2) = sum(P[n](x)*t**n,{} n = 0..)}.")) (|laguerreL| ((|#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|) "\\spad{laguerreL(m,{}n,{}x)} is the associated Laguerre polynomial,{} \\spad{L<m>[n](x)}. This is the \\spad{m}-th derivative of \\spad{L[n](x)}.") ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{laguerreL(n,{}x)} is the \\spad{n}-th Laguerre polynomial,{} \\spad{L[n](x)}. These are defined by \\spad{exp(-t*x/(1-t))/(1-t) = sum(L[n](x)*t**n/n!,{} n = 0..)}.")) (|hermiteH| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{hermiteH(n,{}x)} is the \\spad{n}-th Hermite polynomial,{} \\spad{H[n](x)}. These are defined by \\spad{exp(2*t*x-t**2) = sum(H[n](x)*t**n/n!,{} n = 0..)}.")) (|chebyshevU| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{chebyshevU(n,{}x)} is the \\spad{n}-th Chebyshev polynomial of the second kind,{} \\spad{U[n](x)}. These are defined by \\spad{1/(1-2*t*x+t**2) = sum(T[n](x) *t**n,{} n = 0..)}.")) (|chebyshevT| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{chebyshevT(n,{}x)} is the \\spad{n}-th Chebyshev polynomial of the first kind,{} \\spad{T[n](x)}. These are defined by \\spad{(1-t*x)/(1-2*t*x+t**2) = sum(T[n](x) *t**n,{} n = 0..)}."))) 
 NIL 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568)))))) 
-(-849) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) 
+(-850) 
 ((|constructor| (NIL "A domain used in order to take the free \\spad{R}-module on the Integers \\spad{I}. This is actually the forgetful functor from OrderedRings to OrderedSets applied to \\spad{I}")) (|value| (((|Integer|) $) "\\spad{value(x)} returns the integer associated with \\spad{x}")) (|coerce| (($ (|Integer|)) "\\spad{coerce(i)} returns the element corresponding to \\spad{i}"))) 
 NIL 
 NIL 
-(-850) 
+(-851) 
 ((|constructor| (NIL "This domain is used to create and manipulate mathematical expressions for output. It is intended to provide an insulating layer between the expression rendering software (\\spadignore{e.g.} TeX,{} or Script) and the output coercions in the various domains.")) (SEGMENT (($ $) "\\spad{SEGMENT(x)} creates the prefix form: \\spad{x..}.") (($ $ $) "\\spad{SEGMENT(x,{}y)} creates the infix form: \\spad{x..y}.")) (|not| (($ $) "\\spad{not f} creates the equivalent prefix form.")) (|or| (($ $ $) "\\spad{f or g} creates the equivalent infix form.")) (|and| (($ $ $) "\\spad{f and g} creates the equivalent infix form.")) (|exquo| (($ $ $) "\\spad{exquo(f,{}g)} creates the equivalent infix form.")) (|quo| (($ $ $) "\\spad{f quo g} creates the equivalent infix form.")) (|rem| (($ $ $) "\\spad{f rem g} creates the equivalent infix form.")) (|div| (($ $ $) "\\spad{f div g} creates the equivalent infix form.")) (** (($ $ $) "\\spad{f ** g} creates the equivalent infix form.")) (/ (($ $ $) "\\spad{f / g} creates the equivalent infix form.")) (* (($ $ $) "\\spad{f * g} creates the equivalent infix form.")) (- (($ $) "\\spad{- f} creates the equivalent prefix form.") (($ $ $) "\\spad{f - g} creates the equivalent infix form.")) (+ (($ $ $) "\\spad{f + g} creates the equivalent infix form.")) (>= (($ $ $) "\\spad{f >= g} creates the equivalent infix form.")) (<= (($ $ $) "\\spad{f <= g} creates the equivalent infix form.")) (> (($ $ $) "\\spad{f > g} creates the equivalent infix form.")) (< (($ $ $) "\\spad{f < g} creates the equivalent infix form.")) (^= (($ $ $) "\\spad{f ^= g} creates the equivalent infix form.")) (= (($ $ $) "\\spad{f = g} creates the equivalent infix form.")) (|blankSeparate| (($ (|List| $)) "\\spad{blankSeparate(l)} creates the form separating the elements of \\spad{l} by blanks.")) (|semicolonSeparate| (($ (|List| $)) "\\spad{semicolonSeparate(l)} creates the form separating the elements of \\spad{l} by semicolons.")) (|commaSeparate| (($ (|List| $)) "\\spad{commaSeparate(l)} creates the form separating the elements of \\spad{l} by commas.")) (|pile| (($ (|List| $)) "\\spad{pile(l)} creates the form consisting of the elements of \\spad{l} which displays as a pile,{} \\spadignore{i.e.} the elements begin on a new line and are indented right to the same margin.")) (|paren| (($ (|List| $)) "\\spad{paren(lf)} creates the form separating the elements of \\spad{lf} by commas and encloses the result in parentheses.") (($ $) "\\spad{paren(f)} creates the form enclosing \\spad{f} in parentheses.")) (|bracket| (($ (|List| $)) "\\spad{bracket(lf)} creates the form separating the elements of \\spad{lf} by commas and encloses the result in square brackets.") (($ $) "\\spad{bracket(f)} creates the form enclosing \\spad{f} in square brackets.")) (|brace| (($ (|List| $)) "\\spad{brace(lf)} creates the form separating the elements of \\spad{lf} by commas and encloses the result in curly brackets.") (($ $) "\\spad{brace(f)} creates the form enclosing \\spad{f} in braces (curly brackets).")) (|int| (($ $ $ $) "\\spad{int(expr,{}lowerlimit,{}upperlimit)} creates the form prefixing \\spad{expr} by an integral sign with both a \\spad{lowerlimit} and \\spad{upperlimit}.") (($ $ $) "\\spad{int(expr,{}lowerlimit)} creates the form prefixing \\spad{expr} by an integral sign with a \\spad{lowerlimit}.") (($ $) "\\spad{int(expr)} creates the form prefixing \\spad{expr} with an integral sign.")) (|prod| (($ $ $ $) "\\spad{prod(expr,{}lowerlimit,{}upperlimit)} creates the form prefixing \\spad{expr} by a capital \\spad{pi} with both a \\spad{lowerlimit} and \\spad{upperlimit}.") (($ $ $) "\\spad{prod(expr,{}lowerlimit)} creates the form prefixing \\spad{expr} by a capital \\spad{pi} with a \\spad{lowerlimit}.") (($ $) "\\spad{prod(expr)} creates the form prefixing \\spad{expr} by a capital \\spad{pi}.")) (|sum| (($ $ $ $) "\\spad{sum(expr,{}lowerlimit,{}upperlimit)} creates the form prefixing \\spad{expr} by a capital sigma with both a \\spad{lowerlimit} and \\spad{upperlimit}.") (($ $ $) "\\spad{sum(expr,{}lowerlimit)} creates the form prefixing \\spad{expr} by a capital sigma with a \\spad{lowerlimit}.") (($ $) "\\spad{sum(expr)} creates the form prefixing \\spad{expr} by a capital sigma.")) (|overlabel| (($ $ $) "\\spad{overlabel(x,{}f)} creates the form \\spad{f} with \\spad{\"x} overbar\" over the top.")) (|overbar| (($ $) "\\spad{overbar(f)} creates the form \\spad{f} with an overbar.")) (|prime| (($ $ (|NonNegativeInteger|)) "\\spad{prime(f,{}n)} creates the form \\spad{f} followed by \\spad{n} primes.") (($ $) "\\spad{prime(f)} creates the form \\spad{f} followed by a suffix prime (single quote).")) (|dot| (($ $ (|NonNegativeInteger|)) "\\spad{dot(f,{}n)} creates the form \\spad{f} with \\spad{n} dots overhead.") (($ $) "\\spad{dot(f)} creates the form with a one dot overhead.")) (|quote| (($ $) "\\spad{quote(f)} creates the form \\spad{f} with a prefix quote.")) (|supersub| (($ $ (|List| $)) "\\spad{supersub(a,{}[sub1,{}super1,{}sub2,{}super2,{}...])} creates a form with each subscript aligned under each superscript.")) (|scripts| (($ $ (|List| $)) "\\spad{scripts(f,{} [sub,{} super,{} presuper,{} presub])} \\indented{1}{creates a form for \\spad{f} with scripts on all 4 corners.}")) (|presuper| (($ $ $) "\\spad{presuper(f,{}n)} creates a form for \\spad{f} presuperscripted by \\spad{n}.")) (|presub| (($ $ $) "\\spad{presub(f,{}n)} creates a form for \\spad{f} presubscripted by \\spad{n}.")) (|super| (($ $ $) "\\spad{super(f,{}n)} creates a form for \\spad{f} superscripted by \\spad{n}.")) (|sub| (($ $ $) "\\spad{sub(f,{}n)} creates a form for \\spad{f} subscripted by \\spad{n}.")) (|binomial| (($ $ $) "\\spad{binomial(n,{}m)} creates a form for the binomial coefficient of \\spad{n} and \\spad{m}.")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(f,{}n)} creates a form for the \\spad{n}th derivative of \\spad{f},{} \\spadignore{e.g.} \\spad{f'},{} \\spad{f''},{} \\spad{f'''},{} \\spad{\"f} super \\spad{iv}\".")) (|rarrow| (($ $ $) "\\spad{rarrow(f,{}g)} creates a form for the mapping \\spad{f -> g}.")) (|assign| (($ $ $) "\\spad{assign(f,{}g)} creates a form for the assignment \\spad{f := g}.")) (|slash| (($ $ $) "\\spad{slash(f,{}g)} creates a form for the horizontal fraction of \\spad{f} over \\spad{g}.")) (|over| (($ $ $) "\\spad{over(f,{}g)} creates a form for the vertical fraction of \\spad{f} over \\spad{g}.")) (|root| (($ $ $) "\\spad{root(f,{}n)} creates a form for the \\spad{n}th root of form \\spad{f}.") (($ $) "\\spad{root(f)} creates a form for the square root of form \\spad{f}.")) (|zag| (($ $ $) "\\spad{zag(f,{}g)} creates a form for the continued fraction form for \\spad{f} over \\spad{g}.")) (|matrix| (($ (|List| (|List| $))) "\\spad{matrix(llf)} makes \\spad{llf} (a list of lists of forms) into a form which displays as a matrix.")) (|box| (($ $) "\\spad{box(f)} encloses \\spad{f} in a box.")) (|label| (($ $ $) "\\spad{label(n,{}f)} gives form \\spad{f} an equation label \\spad{n}.")) (|string| (($ $) "\\spad{string(f)} creates \\spad{f} with string quotes.")) (|elt| (($ $ (|List| $)) "\\spad{elt(op,{}l)} creates a form for application of \\spad{op} to list of arguments \\spad{l}.")) (|infix?| (((|Boolean|) $) "\\spad{infix?(op)} returns \\spad{true} if \\spad{op} is an infix operator,{} and \\spad{false} otherwise.")) (|postfix| (($ $ $) "\\spad{postfix(op,{} a)} creates a form which prints as: a \\spad{op}.")) (|infix| (($ $ $ $) "\\spad{infix(op,{} a,{} b)} creates a form which prints as: a \\spad{op} \\spad{b}.") (($ $ (|List| $)) "\\spad{infix(f,{}l)} creates a form depicting the \\spad{n}-ary application of infix operation \\spad{f} to a tuple of arguments \\spad{l}.")) (|prefix| (($ $ (|List| $)) "\\spad{prefix(f,{}l)} creates a form depicting the \\spad{n}-ary prefix application of \\spad{f} to a tuple of arguments given by list \\spad{l}.")) (|vconcat| (($ (|List| $)) "\\spad{vconcat(u)} vertically concatenates all forms in list \\spad{u}.") (($ $ $) "\\spad{vconcat(f,{}g)} vertically concatenates forms \\spad{f} and \\spad{g}.")) (|hconcat| (($ (|List| $)) "\\spad{hconcat(u)} horizontally concatenates all forms in list \\spad{u}.") (($ $ $) "\\spad{hconcat(f,{}g)} horizontally concatenate forms \\spad{f} and \\spad{g}.")) (|center| (($ $) "\\spad{center(f)} centers form \\spad{f} in total space.") (($ $ (|Integer|)) "\\spad{center(f,{}n)} centers form \\spad{f} within space of width \\spad{n}.")) (|right| (($ $) "\\spad{right(f)} right-justifies form \\spad{f} in total space.") (($ $ (|Integer|)) "\\spad{right(f,{}n)} right-justifies form \\spad{f} within space of width \\spad{n}.")) (|left| (($ $) "\\spad{left(f)} left-justifies form \\spad{f} in total space.") (($ $ (|Integer|)) "\\spad{left(f,{}n)} left-justifies form \\spad{f} within space of width \\spad{n}.")) (|rspace| (($ (|Integer|) (|Integer|)) "\\spad{rspace(n,{}m)} creates rectangular white space,{} \\spad{n} wide by \\spad{m} high.")) (|vspace| (($ (|Integer|)) "\\spad{vspace(n)} creates white space of height \\spad{n}.")) (|hspace| (($ (|Integer|)) "\\spad{hspace(n)} creates white space of width \\spad{n}.")) (|superHeight| (((|Integer|) $) "\\spad{superHeight(f)} returns the height of form \\spad{f} above the base line.")) (|subHeight| (((|Integer|) $) "\\spad{subHeight(f)} returns the height of form \\spad{f} below the base line.")) (|height| (((|Integer|)) "\\spad{height()} returns the height of the display area (an integer).") (((|Integer|) $) "\\spad{height(f)} returns the height of form \\spad{f} (an integer).")) (|width| (((|Integer|)) "\\spad{width()} returns the width of the display area (an integer).") (((|Integer|) $) "\\spad{width(f)} returns the width of form \\spad{f} (an integer).")) (|empty| (($) "\\spad{empty()} creates an empty form.")) (|outputForm| (($ (|DoubleFloat|)) "\\spad{outputForm(sf)} creates an form for small float \\spad{sf}.") (($ (|String|)) "\\spad{outputForm(s)} creates an form for string \\spad{s}.") (($ (|Symbol|)) "\\spad{outputForm(s)} creates an form for symbol \\spad{s}.") (($ (|Integer|)) "\\spad{outputForm(n)} creates an form for integer \\spad{n}.")) (|messagePrint| (((|Void|) (|String|)) "\\spad{messagePrint(s)} prints \\spad{s} without string quotes. Note: \\spad{messagePrint(s)} is equivalent to \\spad{print message(s)}.")) (|message| (($ (|String|)) "\\spad{message(s)} creates an form with no string quotes from string \\spad{s}.")) (|print| (((|Void|) $) "\\spad{print(u)} prints the form \\spad{u}."))) 
 NIL 
 NIL 
-(-851) 
+(-852) 
 ((|constructor| (NIL "OutPackage allows pretty-printing from programs.")) (|outputList| (((|Void|) (|List| (|Any|))) "\\spad{outputList(l)} displays the concatenated components of the list \\spad{l} on the ``algebra output\\spad{''} stream,{} as defined by \\spadsyscom{set output algebra}; quotes are stripped from strings.")) (|output| (((|Void|) (|String|) (|OutputForm|)) "\\spad{output(s,{}x)} displays the string \\spad{s} followed by the form \\spad{x} on the ``algebra output\\spad{''} stream,{} as defined by \\spadsyscom{set output algebra}.") (((|Void|) (|OutputForm|)) "\\spad{output(x)} displays the output form \\spad{x} on the ``algebra output\\spad{''} stream,{} as defined by \\spadsyscom{set output algebra}.") (((|Void|) (|String|)) "\\spad{output(s)} displays the string \\spad{s} on the ``algebra output\\spad{''} stream,{} as defined by \\spadsyscom{set output algebra}."))) 
 NIL 
 NIL 
-(-852 |VariableList|) 
+(-853 |VariableList|) 
 ((|constructor| (NIL "This domain implements ordered variables")) (|variable| (((|Union| $ "failed") (|Symbol|)) "\\spad{variable(s)} returns a member of the variable set or failed"))) 
 NIL 
 NIL 
-(-853 R |vl| |wl| |wtlevel|) 
+(-854 R |vl| |wl| |wtlevel|) 
 ((|constructor| (NIL "This domain represents truncated weighted polynomials over the \"Polynomial\" type. The variables must be specified,{} as must the weights. The representation is sparse in the sense that only non-zero terms are represented.")) (|changeWeightLevel| (((|Void|) (|NonNegativeInteger|)) "\\spad{changeWeightLevel(n)} This changes the weight level to the new value given: \\spad{NB:} previously calculated terms are not affected")) (/ (((|Union| $ "failed") $ $) "\\spad{x/y} division (only works if minimum weight of divisor is zero,{} and if \\spad{R} is a Field)")) (|coerce| (($ (|Polynomial| |#1|)) "\\spad{coerce(p)} coerces a Polynomial(\\spad{R}) into Weighted form,{} applying weights and ignoring terms") (((|Polynomial| |#1|) $) "\\spad{coerce(p)} converts back into a Polynomial(\\spad{R}),{} ignoring weights"))) 
-((-4516 |has| |#1| (-172)) (-4515 |has| |#1| (-172)) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-365)))) 
-(-854) 
+((-4530 |has| |#1| (-173)) (-4529 |has| |#1| (-173)) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366)))) 
+(-855) 
 ((|constructor| (NIL "This category exports the function for the domain PseudoAlgebraicClosureOfAlgExtOfRationalNumber which implement dynamic extension using the simple notion of tower extensions. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension (\\spad{T} : \\spad{K_0},{} \\spad{K_1},{} ...,{} K_i...,{}\\spad{K_n}) where \\spad{K_0} = \\spad{K} and for \\spad{i} \\spad{=1},{}2,{}...,{}\\spad{n},{} K_i is an extension of \\spad{K_}{\\spad{i}-1} of degree > 1 and defined by an irreducible polynomial \\spad{p}(\\spad{Z}) in \\spad{K_}{\\spad{i}-1}. Two towers (T_1: \\spad{K_01},{} \\spad{K_11},{}...,{}\\spad{K_i1},{}...,{}\\spad{K_n1}) and (T_2: \\spad{K_02},{} \\spad{K_12},{}...,{}\\spad{K_i2},{}...,{}\\spad{K_n2}) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} \\spad{T_2}),{} that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1},{}2,{}...,{}\\spad{n1} (or \\spad{i=1},{}2,{}...,{}\\spad{n2}). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-855 |downLevel|) 
+(-856 |downLevel|) 
 ((|constructor| (NIL "This domain implement dynamic extension over the PseudoAlgebraicClosureOfRationalNumber. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension (\\spad{T} : \\spad{K_0},{} \\spad{K_1},{} ...,{} K_i...,{}\\spad{K_n}) where \\spad{K_0} = \\spad{K} and for \\spad{i} \\spad{=1},{}2,{}...,{}\\spad{n},{} K_i is an extension of \\spad{K_}{\\spad{i}-1} of degree > 1 and defined by an irreducible polynomial \\spad{p}(\\spad{Z}) in \\spad{K_}{\\spad{i}-1}. Two towers (T_1: \\spad{K_01},{} \\spad{K_11},{}...,{}\\spad{K_i1},{}...,{}\\spad{K_n1}) and (T_2: \\spad{K_02},{} \\spad{K_12},{}...,{}\\spad{K_i2},{}...,{}\\spad{K_n2}) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} \\spad{T_2}),{} that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1},{}2,{}...,{}\\spad{n1} (or \\spad{i=1},{}2,{}...,{}\\spad{n2}). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| (-860) (QUOTE (-150))) (|HasCategory| (-860) (QUOTE (-148))) (|HasCategory| (-860) (QUOTE (-370))) (|HasCategory| (-409 (-568)) (QUOTE (-150))) (|HasCategory| (-409 (-568)) (QUOTE (-148))) (|HasCategory| (-409 (-568)) (QUOTE (-370))) (-2199 (|HasCategory| (-409 (-568)) (QUOTE (-148))) (|HasCategory| (-409 (-568)) (QUOTE (-370))) (|HasCategory| (-860) (QUOTE (-148))) (|HasCategory| (-860) (QUOTE (-370)))) (-2199 (|HasCategory| (-409 (-568)) (QUOTE (-370))) (|HasCategory| (-860) (QUOTE (-370))))) 
-(-856) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| (-861) (QUOTE (-151))) (|HasCategory| (-861) (QUOTE (-149))) (|HasCategory| (-861) (QUOTE (-371))) (|HasCategory| (-410 (-569)) (QUOTE (-151))) (|HasCategory| (-410 (-569)) (QUOTE (-149))) (|HasCategory| (-410 (-569)) (QUOTE (-371))) (-2232 (|HasCategory| (-410 (-569)) (QUOTE (-149))) (|HasCategory| (-410 (-569)) (QUOTE (-371))) (|HasCategory| (-861) (QUOTE (-149))) (|HasCategory| (-861) (QUOTE (-371)))) (-2232 (|HasCategory| (-410 (-569)) (QUOTE (-371))) (|HasCategory| (-861) (QUOTE (-371))))) 
+(-857) 
 ((|constructor| (NIL "This category exports the function for the domain PseudoAlgebraicClosureOfFiniteField which implement dynamic extension using the simple notion of tower extensions. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension (\\spad{T} : \\spad{K_0},{} \\spad{K_1},{} ...,{} K_i...,{}\\spad{K_n}) where \\spad{K_0} = \\spad{K} and for \\spad{i} \\spad{=1},{}2,{}...,{}\\spad{n},{} K_i is an extension of \\spad{K_}{\\spad{i}-1} of degree > 1 and defined by an irreducible polynomial \\spad{p}(\\spad{Z}) in \\spad{K_}{\\spad{i}-1}. Two towers (T_1: \\spad{K_01},{} \\spad{K_11},{}...,{}\\spad{K_i1},{}...,{}\\spad{K_n1}) and (T_2: \\spad{K_02},{} \\spad{K_12},{}...,{}\\spad{K_i2},{}...,{}\\spad{K_n2}) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} \\spad{T_2}),{} that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1},{}2,{}...,{}\\spad{n1} (or \\spad{i=1},{}2,{}...,{}\\spad{n2}). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-857 K) 
+(-858 K) 
 ((|constructor| (NIL "This domain implement dynamic extension using the simple notion of tower extensions. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension (\\spad{T} : \\spad{K_0},{} \\spad{K_1},{} ...,{} K_i...,{}\\spad{K_n}) where \\spad{K_0} = \\spad{K} and for \\spad{i} \\spad{=1},{}2,{}...,{}\\spad{n},{} K_i is an extension of \\spad{K_}{\\spad{i}-1} of degree > 1 and defined by an irreducible polynomial \\spad{p}(\\spad{Z}) in \\spad{K_}{\\spad{i}-1}. Two towers (T_1: \\spad{K_01},{} \\spad{K_11},{}...,{}\\spad{K_i1},{}...,{}\\spad{K_n1}) and (T_2: \\spad{K_02},{} \\spad{K_12},{}...,{}\\spad{K_i2},{}...,{}\\spad{K_n2}) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} \\spad{T_2}),{} that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1},{}2,{}...,{}\\spad{n1} (or \\spad{i=1},{}2,{}...,{}\\spad{n2}). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-370)))) 
-(-858) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-371)))) 
+(-859) 
 ((|constructor| (NIL "This category exports the function for domains which implement dynamic extension using the simple notion of tower extensions. \\spad{++} A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension (\\spad{T} : \\spad{K_0},{} \\spad{K_1},{} ...,{} K_i...,{}\\spad{K_n}) where \\spad{K_0} = \\spad{K} and for \\spad{i} \\spad{=1},{}2,{}...,{}\\spad{n},{} K_i is an extension of \\spad{K_}{\\spad{i}-1} of degree > 1 and defined by an irreducible polynomial \\spad{p}(\\spad{Z}) in \\spad{K_}{\\spad{i}-1}. Two towers (T_1: \\spad{K_01},{} \\spad{K_11},{}...,{}\\spad{K_i1},{}...,{}\\spad{K_n1}) and (T_2: \\spad{K_02},{} \\spad{K_12},{}...,{}\\spad{K_i2},{}...,{}\\spad{K_n2}) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} \\spad{T_2}),{} that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1},{}2,{}...,{}\\spad{n1} (or \\spad{i=1},{}2,{}...,{}\\spad{n2}). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions.")) (|previousTower| (($ $) "\\spad{previousTower(a)} returns the previous tower extension over which the element a is defined.")) (|extDegree| (((|PositiveInteger|) $) "\\spad{extDegree(a)} returns the extension degree of the extension tower over which the element is defined.")) (|maxTower| (($ (|List| $)) "\\spad{maxTower(l)} returns the tower in the list having the maximal extension degree over the ground field. It has no meaning if the towers are not related.")) (|distinguishedRootsOf| (((|List| $) (|SparseUnivariatePolynomial| $) $) "\\spad{distinguishedRootsOf(p,{}a)} returns a (distinguised) root for each irreducible factor of the polynomial \\spad{p} (factored over the field defined by the element a)."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-859) 
+(-860) 
 ((|constructor| (NIL "This category exports the function for the domain PseudoAlgebraicClosureOfRationalNumber which implement dynamic extension using the simple notion of tower extensions. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension (\\spad{T} : \\spad{K_0},{} \\spad{K_1},{} ...,{} K_i...,{}\\spad{K_n}) where \\spad{K_0} = \\spad{K} and for \\spad{i} \\spad{=1},{}2,{}...,{}\\spad{n},{} K_i is an extension of \\spad{K_}{\\spad{i}-1} of degree > 1 and defined by an irreducible polynomial \\spad{p}(\\spad{Z}) in \\spad{K_}{\\spad{i}-1}. Two towers (T_1: \\spad{K_01},{} \\spad{K_11},{}...,{}\\spad{K_i1},{}...,{}\\spad{K_n1}) and (T_2: \\spad{K_02},{} \\spad{K_12},{}...,{}\\spad{K_i2},{}...,{}\\spad{K_n2}) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} \\spad{T_2}),{} that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1},{}2,{}...,{}\\spad{n1} (or \\spad{i=1},{}2,{}...,{}\\spad{n2}). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-860) 
+(-861) 
 ((|constructor| (NIL "This domain implements dynamic extension using the simple notion of tower extensions. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension (\\spad{T} : \\spad{K_0},{} \\spad{K_1},{} ...,{} K_i...,{}\\spad{K_n}) where \\spad{K_0} = \\spad{K} and for \\spad{i} \\spad{=1},{}2,{}...,{}\\spad{n},{} K_i is an extension of \\spad{K_}{\\spad{i}-1} of degree > 1 and defined by an irreducible polynomial \\spad{p}(\\spad{Z}) in \\spad{K_}{\\spad{i}-1}. Two towers (T_1: \\spad{K_01},{} \\spad{K_11},{}...,{}\\spad{K_i1},{}...,{}\\spad{K_n1}) and (T_2: \\spad{K_02},{} \\spad{K_12},{}...,{}\\spad{K_i2},{}...,{}\\spad{K_n2}) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} \\spad{T_2}),{} that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1},{}2,{}...,{}\\spad{n1} (or \\spad{i=1},{}2,{}...,{}\\spad{n2}). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| (-409 (-568)) (QUOTE (-150))) (|HasCategory| (-409 (-568)) (QUOTE (-148))) (|HasCategory| (-409 (-568)) (QUOTE (-370))) (-2199 (|HasCategory| (-409 (-568)) (QUOTE (-148))) (|HasCategory| (-409 (-568)) (QUOTE (-370))))) 
-(-861 R PS UP) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| (-410 (-569)) (QUOTE (-151))) (|HasCategory| (-410 (-569)) (QUOTE (-149))) (|HasCategory| (-410 (-569)) (QUOTE (-371))) (-2232 (|HasCategory| (-410 (-569)) (QUOTE (-149))) (|HasCategory| (-410 (-569)) (QUOTE (-371))))) 
+(-862 R PS UP) 
 ((|constructor| (NIL "This package computes reliable Pad&ea. approximants using a generalized Viskovatov continued fraction algorithm.")) (|padecf| (((|Union| (|ContinuedFraction| |#3|) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) |#2| |#2|) "\\spad{padecf(nd,{}dd,{}ns,{}ds)} computes the approximant as a continued fraction of polynomials (if it exists) for arguments \\spad{nd} (numerator degree of approximant),{} \\spad{dd} (denominator degree of approximant),{} \\spad{ns} (numerator series of function),{} and \\spad{ds} (denominator series of function).")) (|pade| (((|Union| (|Fraction| |#3|) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) |#2| |#2|) "\\spad{pade(nd,{}dd,{}ns,{}ds)} computes the approximant as a quotient of polynomials (if it exists) for arguments \\spad{nd} (numerator degree of approximant),{} \\spad{dd} (denominator degree of approximant),{} \\spad{ns} (numerator series of function),{} and \\spad{ds} (denominator series of function)."))) 
 NIL 
 NIL 
-(-862 R |x| |pt|) 
+(-863 R |x| |pt|) 
 ((|constructor| (NIL "This package computes reliable Pad&ea. approximants using a generalized Viskovatov continued fraction algorithm.")) (|pade| (((|Union| (|Fraction| (|UnivariatePolynomial| |#2| |#1|)) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateTaylorSeries| |#1| |#2| |#3|)) "\\spad{pade(nd,{}dd,{}s)} computes the quotient of polynomials (if it exists) with numerator degree at most \\spad{nd} and denominator degree at most \\spad{dd} which matches the series \\spad{s} to order \\spad{nd + dd}.") (((|Union| (|Fraction| (|UnivariatePolynomial| |#2| |#1|)) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|UnivariateTaylorSeries| |#1| |#2| |#3|)) "\\spad{pade(nd,{}dd,{}ns,{}ds)} computes the approximant as a quotient of polynomials (if it exists) for arguments \\spad{nd} (numerator degree of approximant),{} \\spad{dd} (denominator degree of approximant),{} \\spad{ns} (numerator series of function),{} and \\spad{ds} (denominator series of function)."))) 
 NIL 
 NIL 
-(-863 |p|) 
+(-864 |p|) 
 ((|constructor| (NIL "This is the category of stream-based representations of the \\spad{p}-adic integers.")) (|root| (($ (|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{root(f,{}a)} returns a root of the polynomial \\spad{f}. Argument \\spad{a} must be a root of \\spad{f} \\spad{(mod p)}.")) (|sqrt| (($ $ (|Integer|)) "\\spad{sqrt(b,{}a)} returns a square root of \\spad{b}. Argument \\spad{a} is a square root of \\spad{b} \\spad{(mod p)}.")) (|approximate| (((|Integer|) $ (|Integer|)) "\\spad{approximate(x,{}n)} returns an integer \\spad{y} such that \\spad{y = x (mod p^n)} when \\spad{n} is positive,{} and 0 otherwise.")) (|quotientByP| (($ $) "\\spad{quotientByP(x)} returns \\spad{b},{} where \\spad{x = a + b p}.")) (|moduloP| (((|Integer|) $) "\\spad{modulo(x)} returns a,{} where \\spad{x = a + b p}.")) (|modulus| (((|Integer|)) "\\spad{modulus()} returns the value of \\spad{p}.")) (|complete| (($ $) "\\spad{complete(x)} forces the computation of all digits.")) (|extend| (($ $ (|Integer|)) "\\spad{extend(x,{}n)} forces the computation of digits up to order \\spad{n}.")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(x)} returns the exponent of the highest power of \\spad{p} dividing \\spad{x}.")) (|digits| (((|Stream| (|Integer|)) $) "\\spad{digits(x)} returns a stream of \\spad{p}-adic digits of \\spad{x}."))) 
-((-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-864 |p|) 
+(-865 |p|) 
 ((|constructor| (NIL "Stream-based implementation of \\spad{Zp:} \\spad{p}-adic numbers are represented as sum(\\spad{i} = 0..,{} a[\\spad{i}] * p^i),{} where the a[\\spad{i}] lie in 0,{}1,{}...,{}(\\spad{p} - 1)."))) 
-((-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-865 |p|) 
+(-866 |p|) 
 ((|constructor| (NIL "Stream-based implementation of \\spad{Qp:} numbers are represented as sum(\\spad{i} = \\spad{k}..,{} a[\\spad{i}] * p^i) where the a[\\spad{i}] lie in 0,{}1,{}...,{}(\\spad{p} - 1)."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| (-864 |#1|) (QUOTE (-904))) (|HasCategory| (-864 |#1|) (LIST (QUOTE -1037) (QUOTE (-1161)))) (|HasCategory| (-864 |#1|) (QUOTE (-148))) (|HasCategory| (-864 |#1|) (QUOTE (-150))) (|HasCategory| (-864 |#1|) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| (-864 |#1|) (QUOTE (-1021))) (|HasCategory| (-864 |#1|) (QUOTE (-815))) (|HasCategory| (-864 |#1|) (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| (-864 |#1|) (QUOTE (-1136))) (|HasCategory| (-864 |#1|) (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| (-864 |#1|) (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| (-864 |#1|) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| (-864 |#1|) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| (-864 |#1|) (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| (-864 |#1|) (QUOTE (-225))) (|HasCategory| (-864 |#1|) (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| (-864 |#1|) (LIST (QUOTE -523) (QUOTE (-1161)) (LIST (QUOTE -864) (|devaluate| |#1|)))) (|HasCategory| (-864 |#1|) (LIST (QUOTE -303) (LIST (QUOTE -864) (|devaluate| |#1|)))) (|HasCategory| (-864 |#1|) (LIST (QUOTE -281) (LIST (QUOTE -864) (|devaluate| |#1|)) (LIST (QUOTE -864) (|devaluate| |#1|)))) (|HasCategory| (-864 |#1|) (QUOTE (-301))) (|HasCategory| (-864 |#1|) (QUOTE (-550))) (|HasCategory| (-864 |#1|) (QUOTE (-842))) (-2199 (|HasCategory| (-864 |#1|) (QUOTE (-815))) (|HasCategory| (-864 |#1|) (QUOTE (-842)))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| (-864 |#1|) (QUOTE (-904)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| (-864 |#1|) (QUOTE (-904)))) (|HasCategory| (-864 |#1|) (QUOTE (-148))))) 
-(-866 |p| PADIC) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| (-865 |#1|) (QUOTE (-905))) (|HasCategory| (-865 |#1|) (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| (-865 |#1|) (QUOTE (-149))) (|HasCategory| (-865 |#1|) (QUOTE (-151))) (|HasCategory| (-865 |#1|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-865 |#1|) (QUOTE (-1022))) (|HasCategory| (-865 |#1|) (QUOTE (-816))) (|HasCategory| (-865 |#1|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| (-865 |#1|) (QUOTE (-1137))) (|HasCategory| (-865 |#1|) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| (-865 |#1|) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| (-865 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| (-865 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| (-865 |#1|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| (-865 |#1|) (QUOTE (-226))) (|HasCategory| (-865 |#1|) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-865 |#1|) (LIST (QUOTE -524) (QUOTE (-1163)) (LIST (QUOTE -865) (|devaluate| |#1|)))) (|HasCategory| (-865 |#1|) (LIST (QUOTE -304) (LIST (QUOTE -865) (|devaluate| |#1|)))) (|HasCategory| (-865 |#1|) (LIST (QUOTE -282) (LIST (QUOTE -865) (|devaluate| |#1|)) (LIST (QUOTE -865) (|devaluate| |#1|)))) (|HasCategory| (-865 |#1|) (QUOTE (-302))) (|HasCategory| (-865 |#1|) (QUOTE (-551))) (|HasCategory| (-865 |#1|) (QUOTE (-843))) (-2232 (|HasCategory| (-865 |#1|) (QUOTE (-816))) (|HasCategory| (-865 |#1|) (QUOTE (-843)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-865 |#1|) (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-865 |#1|) (QUOTE (-905)))) (|HasCategory| (-865 |#1|) (QUOTE (-149))))) 
+(-867 |p| PADIC) 
 ((|constructor| (NIL "This is the category of stream-based representations of \\spad{Qp}.")) (|removeZeroes| (($ (|Integer|) $) "\\spad{removeZeroes(n,{}x)} removes up to \\spad{n} leading zeroes from the \\spad{p}-adic rational \\spad{x}.") (($ $) "\\spad{removeZeroes(x)} removes leading zeroes from the representation of the \\spad{p}-adic rational \\spad{x}. A \\spad{p}-adic rational is represented by (1) an exponent and (2) a \\spad{p}-adic integer which may have leading zero digits. When the \\spad{p}-adic integer has a leading zero digit,{} a 'leading zero' is removed from the \\spad{p}-adic rational as follows: the number is rewritten by increasing the exponent by 1 and dividing the \\spad{p}-adic integer by \\spad{p}. Note: \\spad{removeZeroes(f)} removes all leading zeroes from \\spad{f}.")) (|continuedFraction| (((|ContinuedFraction| (|Fraction| (|Integer|))) $) "\\spad{continuedFraction(x)} converts the \\spad{p}-adic rational number \\spad{x} to a continued fraction.")) (|approximate| (((|Fraction| (|Integer|)) $ (|Integer|)) "\\spad{approximate(x,{}n)} returns a rational number \\spad{y} such that \\spad{y = x (mod p^n)}."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#2| (QUOTE (-904))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-148))) (|HasCategory| |#2| (QUOTE (-150))) (|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#2| (QUOTE (-1021))) (|HasCategory| |#2| (QUOTE (-815))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-1136))) (|HasCategory| |#2| (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#2| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#2| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-225))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (LIST (QUOTE -523) (QUOTE (-1161)) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -281) (|devaluate| |#2|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-301))) (|HasCategory| |#2| (QUOTE (-550))) (|HasCategory| |#2| (QUOTE (-842))) (-2199 (|HasCategory| |#2| (QUOTE (-815))) (|HasCategory| |#2| (QUOTE (-842)))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#2| (QUOTE (-904)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#2| (QUOTE (-904)))) (|HasCategory| |#2| (QUOTE (-148))))) 
-(-867 K |symb| BLMET) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#2| (QUOTE (-905))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-1022))) (|HasCategory| |#2| (QUOTE (-816))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1137))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (LIST (QUOTE -524) (QUOTE (-1163)) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -282) (|devaluate| |#2|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (QUOTE (-551))) (|HasCategory| |#2| (QUOTE (-843))) (-2232 (|HasCategory| |#2| (QUOTE (-816))) (|HasCategory| |#2| (QUOTE (-843)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (|HasCategory| |#2| (QUOTE (-149))))) 
+(-868 K |symb| BLMET) 
 ((|constructor| (NIL "A package that implements the Brill-Noether algorithm. Part of the PAFF package")) (|ZetaFunction| (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|) (|PositiveInteger|)) "Returns the Zeta function of the curve in constant field extension. Calculated by using the \\spad{L}-Polynomial") (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) "Returns the Zeta function of the curve. Calculated by using the \\spad{L}-Polynomial")) (|numberPlacesDegExtDeg| (((|Integer|) (|PositiveInteger|) (|PositiveInteger|)) "numberRatPlacesExtDegExtDeg(\\spad{d},{} \\spad{n}) returns the number of places of degree \\spad{d} in the constant field extension of degree \\spad{n}")) (|numberRatPlacesExtDeg| (((|Integer|) (|PositiveInteger|)) "\\spad{numberRatPlacesExtDeg(n)} returns the number of rational places in the constant field extenstion of degree \\spad{n}")) (|numberOfPlacesOfDegree| (((|Integer|) (|PositiveInteger|)) "returns the number of places of the given degree")) (|placesOfDegree| (((|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|PositiveInteger|)) "\\spad{placesOfDegree(d)} returns all places of degree \\spad{d} of the curve.")) (|classNumber| (((|Integer|)) "Returns the class number of the curve.")) (|LPolynomial| (((|SparseUnivariatePolynomial| (|Integer|)) (|PositiveInteger|)) "\\spad{LPolynomial(d)} returns the \\spad{L}-Polynomial of the curve in constant field extension of degree \\spad{d}.") (((|SparseUnivariatePolynomial| (|Integer|))) "Returns the \\spad{L}-Polynomial of the curve.")) (|adjunctionDivisor| (((|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) "\\spad{adjunctionDivisor computes} the adjunction divisor of the plane curve given by the polynomial defined by setCurve.")) (|intersectionDivisor| (((|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|DistributedMultivariatePolynomial| |#2| |#1|)) "\\spad{intersectionDivisor(pol)} compute the intersection divisor of the form \\spad{pol} with the curve. (If \\spad{pol} is not homogeneous an error message is issued).")) (|evalIfCan| (((|Union| |#1| "failed") (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{evalIfCan(u,{}pl)} evaluate the function \\spad{u} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{evalIfCan(f,{}g,{}pl)} evaluate the function \\spad{f/g} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{evalIfCan(f,{}pl)} evaluate \\spad{f} at the place \\spad{pl} (returns \"failed\" if it is a pole).")) (|eval| ((|#1| (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{eval(u,{}pl)} evaluate the function \\spad{u} at the place \\spad{pl}.") ((|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{eval(f,{}g,{}pl)} evaluate the function \\spad{f/g} at the place \\spad{pl}.") ((|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{eval(f,{}pl)} evaluate \\spad{f} at the place \\spad{pl}.")) (|interpolateForms| (((|List| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|NonNegativeInteger|)) "\\spad{interpolateForms(d,{}n)} returns a basis of the interpolate forms of degree \\spad{n} of the divisor \\spad{d}.")) (|lBasis| (((|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|:| |den| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) "\\spad{lBasis computes} a basis associated to the specified divisor")) (|parametrize| (((|NeitherSparseOrDensePowerSeries| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{parametrize(f,{}pl)} returns a local parametrization of \\spad{f} at the place \\spad{pl}.")) (|singularPoints| (((|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|))) "rationalPoints() returns the singular points of the curve defined by the polynomial given to the package. If the singular points lie in an extension of the specified ground field an error message is issued specifying the extension degree needed to find all singular points.")) (|desingTree| (((|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |#1| |#2| |#3|)))) "\\spad{desingTree returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package.")) (|desingTreeWoFullParam| (((|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |#1| |#2| |#3|)))) "\\spad{desingTreeWoFullParam returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package. The local parametrizations are not computed.")) (|genus| (((|NonNegativeInteger|)) "\\spad{genus returns} the genus of the curve defined by the polynomial given to the package.")) (|theCurve| (((|DistributedMultivariatePolynomial| |#2| |#1|)) "\\spad{theCurve returns} the specified polynomial for the package.")) (|rationalPlaces| (((|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) "\\spad{rationalPlaces returns} all the rational places of the curve defined by the polynomial given to the package.")) (|pointDominateBy| (((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{pointDominateBy(pl)} returns the projective point dominated by the place \\spad{pl}."))) 
 NIL 
-((|HasCategory| (-857 |#1|) (QUOTE (-370)))) 
-(-868 K |symb| BLMET) 
+((|HasCategory| (-858 |#1|) (QUOTE (-371)))) 
+(-869 K |symb| BLMET) 
 ((|constructor| (NIL "A package that implements the Brill-Noether algorithm. Part of the PAFF package")) (|ZetaFunction| (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|) (|PositiveInteger|)) "Returns the Zeta function of the curve in constant field extension. Calculated by using the \\spad{L}-Polynomial") (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) "Returns the Zeta function of the curve. Calculated by using the \\spad{L}-Polynomial")) (|numberPlacesDegExtDeg| (((|Integer|) (|PositiveInteger|) (|PositiveInteger|)) "numberRatPlacesExtDegExtDeg(\\spad{d},{} \\spad{n}) returns the number of places of degree \\spad{d} in the constant field extension of degree \\spad{n}")) (|numberRatPlacesExtDeg| (((|Integer|) (|PositiveInteger|)) "\\spad{numberRatPlacesExtDeg(n)} returns the number of rational places in the constant field extenstion of degree \\spad{n}")) (|numberOfPlacesOfDegree| (((|Integer|) (|PositiveInteger|)) "returns the number of places of the given degree")) (|placesOfDegree| (((|List| (|Places| |#1|)) (|PositiveInteger|)) "\\spad{placesOfDegree(d)} returns all places of degree \\spad{d} of the curve.")) (|classNumber| (((|Integer|)) "Returns the class number of the curve.")) (|LPolynomial| (((|SparseUnivariatePolynomial| (|Integer|)) (|PositiveInteger|)) "\\spad{LPolynomial(d)} returns the \\spad{L}-Polynomial of the curve in constant field extension of degree \\spad{d}.") (((|SparseUnivariatePolynomial| (|Integer|))) "Returns the \\spad{L}-Polynomial of the curve.")) (|adjunctionDivisor| (((|Divisor| (|Places| |#1|))) "\\spad{adjunctionDivisor computes} the adjunction divisor of the plane curve given by the polynomial set with the function setCurve.")) (|intersectionDivisor| (((|Divisor| (|Places| |#1|)) (|DistributedMultivariatePolynomial| |#2| |#1|)) "\\spad{intersectionDivisor(pol)} compute the intersection divisor (the Cartier divisor) of the form \\spad{pol} with the curve. If some intersection points lie in an extension of the ground field,{} an error message is issued specifying the extension degree needed to find all the intersection points. (If \\spad{pol} is not homogeneous an error message is issued).")) (|evalIfCan| (((|Union| |#1| "failed") (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Places| |#1|)) "\\spad{evalIfCan(u,{}pl)} evaluate the function \\spad{u} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) "\\spad{evalIfCan(f,{}g,{}pl)} evaluate the function \\spad{f/g} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) "\\spad{evalIfCan(f,{}pl)} evaluate \\spad{f} at the place \\spad{pl} (returns \"failed\" if it is a pole).")) (|eval| ((|#1| (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Places| |#1|)) "\\spad{eval(u,{}pl)} evaluate the function \\spad{u} at the place \\spad{pl}.") ((|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) "\\spad{eval(f,{}g,{}pl)} evaluate the function \\spad{f/g} at the place \\spad{pl}.") ((|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) "\\spad{eval(f,{}pl)} evaluate \\spad{f} at the place \\spad{pl}.")) (|interpolateForms| (((|List| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Divisor| (|Places| |#1|)) (|NonNegativeInteger|)) "\\spad{interpolateForms(d,{}n)} returns a basis of the interpolate forms of degree \\spad{n} of the divisor \\spad{d}.")) (|lBasis| (((|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|:| |den| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|Divisor| (|Places| |#1|))) "\\spad{lBasis computes} a basis associated to the specified divisor")) (|parametrize| (((|NeitherSparseOrDensePowerSeries| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) "\\spad{parametrize(f,{}pl)} returns a local parametrization of \\spad{f} at the place \\spad{pl}.")) (|singularPoints| (((|List| (|ProjectivePlane| |#1|))) "rationalPoints() returns the singular points of the curve defined by the polynomial given to the package. If the singular points lie in an extension of the specified ground field an error message is issued specifying the extension degree needed to find all singular points.")) (|desingTree| (((|List| (|DesingTree| (|InfClsPt| |#1| |#2| |#3|)))) "\\spad{desingTree returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package.")) (|desingTreeWoFullParam| (((|List| (|DesingTree| (|InfClsPt| |#1| |#2| |#3|)))) "\\spad{desingTreeWoFullParam returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package. The local parametrizations are not computed.")) (|genus| (((|NonNegativeInteger|)) "\\spad{genus returns} the genus of the curve defined by the polynomial given to the package.")) (|theCurve| (((|DistributedMultivariatePolynomial| |#2| |#1|)) "\\spad{theCurve returns} the specified polynomial for the package.")) (|rationalPlaces| (((|List| (|Places| |#1|))) "\\spad{rationalPlaces returns} all the rational places of the curve defined by the polynomial given to the package.")) (|pointDominateBy| (((|ProjectivePlane| |#1|) (|Places| |#1|)) "\\spad{pointDominateBy(pl)} returns the projective point dominated by the place \\spad{pl}."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-370)))) 
-(-869) 
+((|HasCategory| |#1| (QUOTE (-371)))) 
+(-870) 
 ((|constructor| (NIL "This domain describes four groups of color shades (palettes).")) (|coerce| (($ (|Color|)) "\\spad{coerce(c)} sets the average shade for the palette to that of the indicated color \\spad{c}.")) (|shade| (((|Integer|) $) "\\spad{shade(p)} returns the shade index of the indicated palette \\spad{p}.")) (|hue| (((|Color|) $) "\\spad{hue(p)} returns the hue field of the indicated palette \\spad{p}.")) (|light| (($ (|Color|)) "\\spad{light(c)} sets the shade of a hue,{} \\spad{c},{} to it\\spad{'s} highest value.")) (|pastel| (($ (|Color|)) "\\spad{pastel(c)} sets the shade of a hue,{} \\spad{c},{} above bright,{} but below light.")) (|bright| (($ (|Color|)) "\\spad{bright(c)} sets the shade of a hue,{} \\spad{c},{} above dim,{} but below pastel.")) (|dim| (($ (|Color|)) "\\spad{dim(c)} sets the shade of a hue,{} \\spad{c},{} above dark,{} but below bright.")) (|dark| (($ (|Color|)) "\\spad{dark(c)} sets the shade of the indicated hue of \\spad{c} to it\\spad{'s} lowest value."))) 
 NIL 
 NIL 
-(-870) 
+(-871) 
 ((|constructor| (NIL "This package provides a coerce from polynomials over algebraic numbers to \\spadtype{Expression AlgebraicNumber}.")) (|coerce| (((|Expression| (|Integer|)) (|Fraction| (|Polynomial| (|AlgebraicNumber|)))) "\\spad{coerce(rf)} converts \\spad{rf},{} a fraction of polynomial \\spad{p} with algebraic number coefficients to \\spadtype{Expression Integer}.") (((|Expression| (|Integer|)) (|Polynomial| (|AlgebraicNumber|))) "\\spad{coerce(p)} converts the polynomial \\spad{p} with algebraic number coefficients to \\spadtype{Expression Integer}."))) 
 NIL 
 NIL 
-(-871 K |symb| |PolyRing| E |ProjPt| PCS |Plc|) 
+(-872 K |symb| |PolyRing| E |ProjPt| PCS |Plc|) 
 ((|constructor| (NIL "The following is part of the PAFF package")) (|parametrize| ((|#6| |#3| |#7| (|Integer|)) "\\spad{parametrize(f,{}pl,{}n)} returns t**n * parametrize(\\spad{f},{}\\spad{p}).") ((|#6| |#3| |#3| |#7|) "\\spad{parametrize(f,{}g,{}pl)} returns the local parametrization of the rational function \\spad{f/g} at the place \\spad{pl}. Note that local parametrization of the place must have first been compute and set. For simple point on a curve,{} this done with \\spad{pointToPlace}. The local parametrization places corresponding to a leaf in a desingularization tree are compute at the moment of their \"creation\". (See package \\spad{DesingTreePackage}.") ((|#6| |#3| |#7|) "\\spad{parametrize(f,{}pl)} returns the local parametrization of the polynomial function \\spad{f} at the place \\spad{pl}. Note that local parametrization of the place must have first been compute and set. For simple point on a curve,{} this done with \\spad{pointToPlace}. The local parametrization places corresponding to a leaf in a desingularization tree are compute at the moment of their \"creation\". (See package \\spad{DesingTreePackage}."))) 
 NIL 
 NIL 
-(-872 CF1 CF2) 
+(-873 CF1 CF2) 
 ((|constructor| (NIL "This package has no description")) (|map| (((|ParametricPlaneCurve| |#2|) (|Mapping| |#2| |#1|) (|ParametricPlaneCurve| |#1|)) "\\spad{map(f,{}x)} \\undocumented"))) 
 NIL 
 NIL 
-(-873 |ComponentFunction|) 
+(-874 |ComponentFunction|) 
 ((|constructor| (NIL "ParametricPlaneCurve is used for plotting parametric plane curves in the affine plane.")) (|coordinate| ((|#1| $ (|NonNegativeInteger|)) "\\spad{coordinate(c,{}i)} returns a coordinate function for \\spad{c} using 1-based indexing according to \\spad{i}. This indicates what the function for the coordinate component \\spad{i} of the plane curve is.")) (|curve| (($ |#1| |#1|) "\\spad{curve(c1,{}c2)} creates a plane curve from 2 component functions \\spad{c1} and \\spad{c2}."))) 
 NIL 
 NIL 
-(-874 CF1 CF2) 
+(-875 CF1 CF2) 
 ((|constructor| (NIL "This package has no description")) (|map| (((|ParametricSpaceCurve| |#2|) (|Mapping| |#2| |#1|) (|ParametricSpaceCurve| |#1|)) "\\spad{map(f,{}x)} \\undocumented"))) 
 NIL 
 NIL 
-(-875 |ComponentFunction|) 
+(-876 |ComponentFunction|) 
 ((|constructor| (NIL "ParametricSpaceCurve is used for plotting parametric space curves in affine 3-space.")) (|coordinate| ((|#1| $ (|NonNegativeInteger|)) "\\spad{coordinate(c,{}i)} returns a coordinate function of \\spad{c} using 1-based indexing according to \\spad{i}. This indicates what the function for the coordinate component,{} \\spad{i},{} of the space curve is.")) (|curve| (($ |#1| |#1| |#1|) "\\spad{curve(c1,{}c2,{}c3)} creates a space curve from 3 component functions \\spad{c1},{} \\spad{c2},{} and \\spad{c3}."))) 
 NIL 
 NIL 
-(-876 CF1 CF2) 
+(-877 CF1 CF2) 
 ((|constructor| (NIL "This package has no description")) (|map| (((|ParametricSurface| |#2|) (|Mapping| |#2| |#1|) (|ParametricSurface| |#1|)) "\\spad{map(f,{}x)} \\undocumented"))) 
 NIL 
 NIL 
-(-877 |ComponentFunction|) 
+(-878 |ComponentFunction|) 
 ((|constructor| (NIL "ParametricSurface is used for plotting parametric surfaces in affine 3-space.")) (|coordinate| ((|#1| $ (|NonNegativeInteger|)) "\\spad{coordinate(s,{}i)} returns a coordinate function of \\spad{s} using 1-based indexing according to \\spad{i}. This indicates what the function for the coordinate component,{} \\spad{i},{} of the surface is.")) (|surface| (($ |#1| |#1| |#1|) "\\spad{surface(c1,{}c2,{}c3)} creates a surface from 3 parametric component functions \\spad{c1},{} \\spad{c2},{} and \\spad{c3}."))) 
 NIL 
 NIL 
-(-878) 
+(-879) 
 ((|constructor| (NIL "PartitionsAndPermutations contains functions for generating streams of integer partitions,{} and streams of sequences of integers composed from a multi-set.")) (|permutations| (((|Stream| (|List| (|Integer|))) (|Integer|)) "\\spad{permutations(n)} is the stream of permutations \\indented{1}{formed from \\spad{1,{}2,{}3,{}...,{}n}.}")) (|sequences| (((|Stream| (|List| (|Integer|))) (|List| (|Integer|))) "\\spad{sequences([l0,{}l1,{}l2,{}..,{}ln])} is the set of \\indented{1}{all sequences formed from} \\spad{l0} 0\\spad{'s},{}\\spad{l1} 1\\spad{'s},{}\\spad{l2} 2\\spad{'s},{}...,{}\\spad{ln} \\spad{n}\\spad{'s}.") (((|Stream| (|List| (|Integer|))) (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{sequences(l1,{}l2)} is the stream of all sequences that \\indented{1}{can be composed from the multiset defined from} \\indented{1}{two lists of integers \\spad{l1} and \\spad{l2}.} \\indented{1}{For example,{}the pair \\spad{([1,{}2,{}4],{}[2,{}3,{}5])} represents} \\indented{1}{multi-set with 1 \\spad{2},{} 2 \\spad{3}\\spad{'s},{} and 4 \\spad{5}\\spad{'s}.}")) (|shufflein| (((|Stream| (|List| (|Integer|))) (|List| (|Integer|)) (|Stream| (|List| (|Integer|)))) "\\spad{shufflein(l,{}st)} maps shuffle(\\spad{l},{}\\spad{u}) on to all \\indented{1}{members \\spad{u} of \\spad{st},{} concatenating the results.}")) (|shuffle| (((|Stream| (|List| (|Integer|))) (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{shuffle(l1,{}l2)} forms the stream of all shuffles of \\spad{l1} \\indented{1}{and \\spad{l2},{} \\spadignore{i.e.} all sequences that can be formed from} \\indented{1}{merging \\spad{l1} and \\spad{l2}.}")) (|conjugates| (((|Stream| (|List| (|Integer|))) (|Stream| (|List| (|Integer|)))) "\\spad{conjugates(lp)} is the stream of conjugates of a stream \\indented{1}{of partitions \\spad{lp}.}")) (|conjugate| (((|List| (|Integer|)) (|List| (|Integer|))) "\\spad{conjugate(pt)} is the conjugate of the partition \\spad{pt}.")) (|partitions| (((|Stream| (|List| (|Integer|))) (|Integer|) (|Integer|)) "\\spad{partitions(p,{}l)} is the stream of all \\indented{1}{partitions whose number of} \\indented{1}{parts and largest part are no greater than \\spad{p} and \\spad{l}.}") (((|Stream| (|List| (|Integer|))) (|Integer|)) "\\spad{partitions(n)} is the stream of all partitions of \\spad{n}.") (((|Stream| (|List| (|Integer|))) (|Integer|) (|Integer|) (|Integer|)) "\\spad{partitions(p,{}l,{}n)} is the stream of partitions \\indented{1}{of \\spad{n} whose number of parts is no greater than \\spad{p}} \\indented{1}{and whose largest part is no greater than \\spad{l}.}"))) 
 NIL 
 NIL 
-(-879 R) 
+(-880 R) 
 ((|constructor| (NIL "An object \\spad{S} is Patternable over an object \\spad{R} if \\spad{S} can lift the conversions from \\spad{R} into \\spadtype{Pattern(Integer)} and \\spadtype{Pattern(Float)} to itself."))) 
 NIL 
 NIL 
-(-880 R S L) 
+(-881 R S L) 
 ((|constructor| (NIL "A PatternMatchListResult is an object internally returned by the pattern matcher when matching on lists. It is either a failed match,{} or a pair of PatternMatchResult,{} one for atoms (elements of the list),{} and one for lists.")) (|lists| (((|PatternMatchResult| |#1| |#3|) $) "\\spad{lists(r)} returns the list of matches that match lists.")) (|atoms| (((|PatternMatchResult| |#1| |#2|) $) "\\spad{atoms(r)} returns the list of matches that match atoms (elements of the lists).")) (|makeResult| (($ (|PatternMatchResult| |#1| |#2|) (|PatternMatchResult| |#1| |#3|)) "\\spad{makeResult(r1,{}r2)} makes the combined result [\\spad{r1},{}\\spad{r2}].")) (|new| (($) "\\spad{new()} returns a new empty match result.")) (|failed| (($) "\\spad{failed()} returns a failed match.")) (|failed?| (((|Boolean|) $) "\\spad{failed?(r)} tests if \\spad{r} is a failed match."))) 
 NIL 
 NIL 
-(-881 S) 
+(-882 S) 
 ((|constructor| (NIL "A set \\spad{R} is PatternMatchable over \\spad{S} if elements of \\spad{R} can be matched to patterns over \\spad{S}.")) (|patternMatch| (((|PatternMatchResult| |#1| $) $ (|Pattern| |#1|) (|PatternMatchResult| |#1| $)) "\\spad{patternMatch(expr,{} pat,{} res)} matches the pattern \\spad{pat} to the expression \\spad{expr}. res contains the variables of \\spad{pat} which are already matched and their matches (necessary for recursion). Initially,{} res is just the result of \\spadfun{new} which is an empty list of matches."))) 
 NIL 
 NIL 
-(-882 |Base| |Subject| |Pat|) 
+(-883 |Base| |Subject| |Pat|) 
 ((|constructor| (NIL "This package provides the top-level pattern macthing functions.")) (|Is| (((|PatternMatchResult| |#1| |#2|) |#2| |#3|) "\\spad{Is(expr,{} pat)} matches the pattern pat on the expression \\spad{expr} and returns a match of the form \\spad{[v1 = e1,{}...,{}vn = en]}; returns an empty match if \\spad{expr} is exactly equal to pat. returns a \\spadfun{failed} match if pat does not match \\spad{expr}.") (((|List| (|Equation| (|Polynomial| |#2|))) |#2| |#3|) "\\spad{Is(expr,{} pat)} matches the pattern pat on the expression \\spad{expr} and returns a list of matches \\spad{[v1 = e1,{}...,{}vn = en]}; returns an empty list if either \\spad{expr} is exactly equal to pat or if pat does not match \\spad{expr}.") (((|List| (|Equation| |#2|)) |#2| |#3|) "\\spad{Is(expr,{} pat)} matches the pattern pat on the expression \\spad{expr} and returns a list of matches \\spad{[v1 = e1,{}...,{}vn = en]}; returns an empty list if either \\spad{expr} is exactly equal to pat or if pat does not match \\spad{expr}.") (((|PatternMatchListResult| |#1| |#2| (|List| |#2|)) (|List| |#2|) |#3|) "\\spad{Is([e1,{}...,{}en],{} pat)} matches the pattern pat on the list of expressions \\spad{[e1,{}...,{}en]} and returns the result.")) (|is?| (((|Boolean|) (|List| |#2|) |#3|) "\\spad{is?([e1,{}...,{}en],{} pat)} tests if the list of expressions \\spad{[e1,{}...,{}en]} matches the pattern pat.") (((|Boolean|) |#2| |#3|) "\\spad{is?(expr,{} pat)} tests if the expression \\spad{expr} matches the pattern pat."))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-1161)))) (-12 (-3046 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-1161))))) (-3046 (|HasCategory| |#2| (QUOTE (-1047))))) (-12 (|HasCategory| |#2| (QUOTE (-1047))) (-3046 (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-1161))))))) 
-(-883 R A B) 
+((|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-1163)))) (-12 (-3864 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-1163))))) (-3864 (|HasCategory| |#2| (QUOTE (-1048))))) (-12 (|HasCategory| |#2| (QUOTE (-1048))) (-3864 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-1163))))))) 
+(-884 R A B) 
 ((|constructor| (NIL "Lifts maps to pattern matching results.")) (|map| (((|PatternMatchResult| |#1| |#3|) (|Mapping| |#3| |#2|) (|PatternMatchResult| |#1| |#2|)) "\\spad{map(f,{} [(v1,{}a1),{}...,{}(vn,{}an)])} returns the matching result [(\\spad{v1},{}\\spad{f}(\\spad{a1})),{}...,{}(\\spad{vn},{}\\spad{f}(an))]."))) 
 NIL 
 NIL 
-(-884 R S) 
+(-885 R S) 
 ((|constructor| (NIL "A PatternMatchResult is an object internally returned by the pattern matcher; It is either a failed match,{} or a list of matches of the form (var,{} expr) meaning that the variable var matches the expression expr.")) (|satisfy?| (((|Union| (|Boolean|) "failed") $ (|Pattern| |#1|)) "\\spad{satisfy?(r,{} p)} returns \\spad{true} if the matches satisfy the top-level predicate of \\spad{p},{} \\spad{false} if they don\\spad{'t},{} and \"failed\" if not enough variables of \\spad{p} are matched in \\spad{r} to decide.")) (|construct| (($ (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| |#2|)))) "\\spad{construct([v1,{}e1],{}...,{}[vn,{}en])} returns the match result containing the matches (\\spad{v1},{}\\spad{e1}),{}...,{}(\\spad{vn},{}en).")) (|destruct| (((|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| |#2|))) $) "\\spad{destruct(r)} returns the list of matches (var,{} expr) in \\spad{r}. Error: if \\spad{r} is a failed match.")) (|addMatchRestricted| (($ (|Pattern| |#1|) |#2| $ |#2|) "\\spad{addMatchRestricted(var,{} expr,{} r,{} val)} adds the match (\\spad{var},{} \\spad{expr}) in \\spad{r},{} provided that \\spad{expr} satisfies the predicates attached to \\spad{var},{} that \\spad{var} is not matched to another expression already,{} and that either \\spad{var} is an optional pattern variable or that \\spad{expr} is not equal to val (usually an identity).")) (|insertMatch| (($ (|Pattern| |#1|) |#2| $) "\\spad{insertMatch(var,{} expr,{} r)} adds the match (\\spad{var},{} \\spad{expr}) in \\spad{r},{} without checking predicates or previous matches for \\spad{var}.")) (|addMatch| (($ (|Pattern| |#1|) |#2| $) "\\spad{addMatch(var,{} expr,{} r)} adds the match (\\spad{var},{} \\spad{expr}) in \\spad{r},{} provided that \\spad{expr} satisfies the predicates attached to \\spad{var},{} and that \\spad{var} is not matched to another expression already.")) (|getMatch| (((|Union| |#2| "failed") (|Pattern| |#1|) $) "\\spad{getMatch(var,{} r)} returns the expression that \\spad{var} matches in the result \\spad{r},{} and \"failed\" if \\spad{var} is not matched in \\spad{r}.")) (|union| (($ $ $) "\\spad{union(a,{} b)} makes the set-union of two match results.")) (|new| (($) "\\spad{new()} returns a new empty match result.")) (|failed| (($) "\\spad{failed()} returns a failed match.")) (|failed?| (((|Boolean|) $) "\\spad{failed?(r)} tests if \\spad{r} is a failed match."))) 
 NIL 
 NIL 
-(-885 R -3192) 
+(-886 R -3022) 
 ((|constructor| (NIL "Utilities for handling patterns")) (|badValues| (((|List| |#2|) (|Pattern| |#1|)) "\\spad{badValues(p)} returns the list of \"bad values\" for \\spad{p}; \\spad{p} is not allowed to match any of its \"bad values\".")) (|addBadValue| (((|Pattern| |#1|) (|Pattern| |#1|) |#2|) "\\spad{addBadValue(p,{} v)} adds \\spad{v} to the list of \"bad values\" for \\spad{p}; \\spad{p} is not allowed to match any of its \"bad values\".")) (|satisfy?| (((|Boolean|) (|List| |#2|) (|Pattern| |#1|)) "\\spad{satisfy?([v1,{}...,{}vn],{} p)} returns \\spad{f(v1,{}...,{}vn)} where \\spad{f} is the top-level predicate attached to \\spad{p}.") (((|Boolean|) |#2| (|Pattern| |#1|)) "\\spad{satisfy?(v,{} p)} returns \\spad{f}(\\spad{v}) where \\spad{f} is the predicate attached to \\spad{p}.")) (|predicate| (((|Mapping| (|Boolean|) |#2|) (|Pattern| |#1|)) "\\spad{predicate(p)} returns the predicate attached to \\spad{p},{} the constant function \\spad{true} if \\spad{p} has no predicates attached to it.")) (|suchThat| (((|Pattern| |#1|) (|Pattern| |#1|) (|List| (|Symbol|)) (|Mapping| (|Boolean|) (|List| |#2|))) "\\spad{suchThat(p,{} [a1,{}...,{}an],{} f)} returns a copy of \\spad{p} with the top-level predicate set to \\spad{f(a1,{}...,{}an)}.") (((|Pattern| |#1|) (|Pattern| |#1|) (|List| (|Mapping| (|Boolean|) |#2|))) "\\spad{suchThat(p,{} [f1,{}...,{}fn])} makes a copy of \\spad{p} and adds the predicate \\spad{f1} and ... and \\spad{fn} to the copy,{} which is returned.") (((|Pattern| |#1|) (|Pattern| |#1|) (|Mapping| (|Boolean|) |#2|)) "\\spad{suchThat(p,{} f)} makes a copy of \\spad{p} and adds the predicate \\spad{f} to the copy,{} which is returned."))) 
 NIL 
 NIL 
-(-886 R S) 
+(-887 R S) 
 ((|constructor| (NIL "Lifts maps to patterns")) (|map| (((|Pattern| |#2|) (|Mapping| |#2| |#1|) (|Pattern| |#1|)) "\\spad{map(f,{} p)} applies \\spad{f} to all the leaves of \\spad{p} and returns the result as a pattern over \\spad{S}."))) 
 NIL 
 NIL 
-(-887 R) 
+(-888 R) 
 ((|constructor| (NIL "Patterns for use by the pattern matcher.")) (|optpair| (((|Union| (|List| $) "failed") (|List| $)) "\\spad{optpair(l)} returns \\spad{l} has the form \\spad{[a,{} b]} and a is optional,{} and \"failed\" otherwise.")) (|variables| (((|List| $) $) "\\spad{variables(p)} returns the list of matching variables appearing in \\spad{p}.")) (|getBadValues| (((|List| (|Any|)) $) "\\spad{getBadValues(p)} returns the list of \"bad values\" for \\spad{p}. Note: \\spad{p} is not allowed to match any of its \"bad values\".")) (|addBadValue| (($ $ (|Any|)) "\\spad{addBadValue(p,{} v)} adds \\spad{v} to the list of \"bad values\" for \\spad{p}. Note: \\spad{p} is not allowed to match any of its \"bad values\".")) (|resetBadValues| (($ $) "\\spad{resetBadValues(p)} initializes the list of \"bad values\" for \\spad{p} to \\spad{[]}. Note: \\spad{p} is not allowed to match any of its \"bad values\".")) (|hasTopPredicate?| (((|Boolean|) $) "\\spad{hasTopPredicate?(p)} tests if \\spad{p} has a top-level predicate.")) (|topPredicate| (((|Record| (|:| |var| (|List| (|Symbol|))) (|:| |pred| (|Any|))) $) "\\spad{topPredicate(x)} returns \\spad{[[a1,{}...,{}an],{} f]} where the top-level predicate of \\spad{x} is \\spad{f(a1,{}...,{}an)}. Note: \\spad{n} is 0 if \\spad{x} has no top-level predicate.")) (|setTopPredicate| (($ $ (|List| (|Symbol|)) (|Any|)) "\\spad{setTopPredicate(x,{} [a1,{}...,{}an],{} f)} returns \\spad{x} with the top-level predicate set to \\spad{f(a1,{}...,{}an)}.")) (|patternVariable| (($ (|Symbol|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\spad{patternVariable(x,{} c?,{} o?,{} m?)} creates a pattern variable \\spad{x},{} which is constant if \\spad{c? = true},{} optional if \\spad{o? = true},{} and multiple if \\spad{m? = true}.")) (|withPredicates| (($ $ (|List| (|Any|))) "\\spad{withPredicates(p,{} [p1,{}...,{}pn])} makes a copy of \\spad{p} and attaches the predicate \\spad{p1} and ... and \\spad{pn} to the copy,{} which is returned.")) (|setPredicates| (($ $ (|List| (|Any|))) "\\spad{setPredicates(p,{} [p1,{}...,{}pn])} attaches the predicate \\spad{p1} and ... and \\spad{pn} to \\spad{p}.")) (|predicates| (((|List| (|Any|)) $) "\\spad{predicates(p)} returns \\spad{[p1,{}...,{}pn]} such that the predicate attached to \\spad{p} is \\spad{p1} and ... and \\spad{pn}.")) (|hasPredicate?| (((|Boolean|) $) "\\spad{hasPredicate?(p)} tests if \\spad{p} has predicates attached to it.")) (|optional?| (((|Boolean|) $) "\\spad{optional?(p)} tests if \\spad{p} is a single matching variable which can match an identity.")) (|multiple?| (((|Boolean|) $) "\\spad{multiple?(p)} tests if \\spad{p} is a single matching variable allowing list matching or multiple term matching in a sum or product.")) (|generic?| (((|Boolean|) $) "\\spad{generic?(p)} tests if \\spad{p} is a single matching variable.")) (|constant?| (((|Boolean|) $) "\\spad{constant?(p)} tests if \\spad{p} contains no matching variables.")) (|symbol?| (((|Boolean|) $) "\\spad{symbol?(p)} tests if \\spad{p} is a symbol.")) (|quoted?| (((|Boolean|) $) "\\spad{quoted?(p)} tests if \\spad{p} is of the form \\spad{'s} for a symbol \\spad{s}.")) (|inR?| (((|Boolean|) $) "\\spad{inR?(p)} tests if \\spad{p} is an atom (\\spadignore{i.e.} an element of \\spad{R}).")) (|copy| (($ $) "\\spad{copy(p)} returns a recursive copy of \\spad{p}.")) (|convert| (($ (|List| $)) "\\spad{convert([a1,{}...,{}an])} returns the pattern \\spad{[a1,{}...,{}an]}.")) (|depth| (((|NonNegativeInteger|) $) "\\spad{depth(p)} returns the nesting level of \\spad{p}.")) (/ (($ $ $) "\\spad{a / b} returns the pattern \\spad{a / b}.")) (** (($ $ $) "\\spad{a ** b} returns the pattern \\spad{a ** b}.") (($ $ (|NonNegativeInteger|)) "\\spad{a ** n} returns the pattern \\spad{a ** n}.")) (* (($ $ $) "\\spad{a * b} returns the pattern \\spad{a * b}.")) (+ (($ $ $) "\\spad{a + b} returns the pattern \\spad{a + b}.")) (|elt| (($ (|BasicOperator|) (|List| $)) "\\spad{elt(op,{} [a1,{}...,{}an])} returns \\spad{op(a1,{}...,{}an)}.")) (|isPower| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| $)) "failed") $) "\\spad{isPower(p)} returns \\spad{[a,{} b]} if \\spad{p = a ** b},{} and \"failed\" otherwise.")) (|isList| (((|Union| (|List| $) "failed") $) "\\spad{isList(p)} returns \\spad{[a1,{}...,{}an]} if \\spad{p = [a1,{}...,{}an]},{} \"failed\" otherwise.")) (|isQuotient| (((|Union| (|Record| (|:| |num| $) (|:| |den| $)) "failed") $) "\\spad{isQuotient(p)} returns \\spad{[a,{} b]} if \\spad{p = a / b},{} and \"failed\" otherwise.")) (|isExpt| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) "\\spad{isExpt(p)} returns \\spad{[q,{} n]} if \\spad{n > 0} and \\spad{p = q ** n},{} and \"failed\" otherwise.")) (|isOp| (((|Union| (|Record| (|:| |op| (|BasicOperator|)) (|:| |arg| (|List| $))) "failed") $) "\\spad{isOp(p)} returns \\spad{[op,{} [a1,{}...,{}an]]} if \\spad{p = op(a1,{}...,{}an)},{} and \"failed\" otherwise.") (((|Union| (|List| $) "failed") $ (|BasicOperator|)) "\\spad{isOp(p,{} op)} returns \\spad{[a1,{}...,{}an]} if \\spad{p = op(a1,{}...,{}an)},{} and \"failed\" otherwise.")) (|isTimes| (((|Union| (|List| $) "failed") $) "\\spad{isTimes(p)} returns \\spad{[a1,{}...,{}an]} if \\spad{n > 1} and \\spad{p = a1 * ... * an},{} and \"failed\" otherwise.")) (|isPlus| (((|Union| (|List| $) "failed") $) "\\spad{isPlus(p)} returns \\spad{[a1,{}...,{}an]} if \\spad{n > 1} \\indented{1}{and \\spad{p = a1 + ... + an},{}} and \"failed\" otherwise.")) ((|One|) (($) "1")) ((|Zero|) (($) "0"))) 
 NIL 
 NIL 
-(-888 |VarSet|) 
+(-889 |VarSet|) 
 ((|constructor| (NIL "This domain provides the internal representation of polynomials in non-commutative variables written over the Poincare-Birkhoff-Witt basis. See the \\spadtype{XPBWPolynomial} domain constructor. See Free Lie Algebras by \\spad{C}. Reutenauer (Oxford science publications).")) (|varList| (((|List| |#1|) $) "\\spad{varList([l1]*[l2]*...[ln])} returns the list of variables in the word \\spad{l1*l2*...*ln}.")) (|retractable?| (((|Boolean|) $) "\\spad{retractable?([l1]*[l2]*...[ln])} returns \\spad{true} iff \\spad{n} equals \\spad{1}.")) (|rest| (($ $) "\\spad{rest([l1]*[l2]*...[ln])} returns the list \\spad{l2,{} .... ln}.")) (|listOfTerms| (((|List| (|LyndonWord| |#1|)) $) "\\spad{listOfTerms([l1]*[l2]*...[ln])} returns the list of words \\spad{l1,{} l2,{} .... ln}.")) (|length| (((|NonNegativeInteger|) $) "\\spad{length([l1]*[l2]*...[ln])} returns the length of the word \\spad{l1*l2*...*ln}.")) (|first| (((|LyndonWord| |#1|) $) "\\spad{first([l1]*[l2]*...[ln])} returns the Lyndon word \\spad{l1}.")) (|coerce| (($ |#1|) "\\spad{coerce(v)} return \\spad{v}") (((|OrderedFreeMonoid| |#1|) $) "\\spad{coerce([l1]*[l2]*...[ln])} returns the word \\spad{l1*l2*...*ln},{} where \\spad{[l_i]} is the backeted form of the Lyndon word \\spad{l_i}.")) ((|One|) (($) "\\spad{1} returns the empty list."))) 
 NIL 
 NIL 
-(-889 UP R) 
+(-890 UP R) 
 ((|constructor| (NIL "Polynomial composition and decomposition functions\\spad{\\br} If \\spad{f} = \\spad{g} \\spad{o} \\spad{h} then g=leftFactor(\\spad{f},{}\\spad{h}) and h=rightFactor(\\spad{f},{}\\spad{g})")) (|compose| ((|#1| |#1| |#1|) "\\spad{compose(p,{}q)} \\undocumented"))) 
 NIL 
 NIL 
-(-890) 
+(-891) 
 ((|constructor| (NIL "\\axiomType{PartialDifferentialEquationsSolverCategory} is the \\axiom{category} for describing the set of PDE solver \\axiom{domains} with \\axiomFun{measure} and \\axiomFun{PDEsolve}.")) (|PDESolve| (((|Result|) (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) "\\spad{PDESolve(args)} performs the integration of the function given the strategy or method returned by \\axiomFun{measure}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) "\\spad{measure(R,{}args)} calculates an estimate of the ability of a particular method to solve a problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter,{} labelled \\axiom{sofar},{} which would contain the best compatibility found so far."))) 
 NIL 
 NIL 
-(-891 UP -1478) 
+(-892 UP -1564) 
 ((|constructor| (NIL "Polynomial composition and decomposition functions\\spad{\\br} If \\spad{f} = \\spad{g} \\spad{o} \\spad{h} then g=leftFactor(\\spad{f},{}\\spad{h}) and h=rightFactor(\\spad{f},{}\\spad{g})")) (|rightFactorCandidate| ((|#1| |#1| (|NonNegativeInteger|)) "\\spad{rightFactorCandidate(p,{}n)} \\undocumented")) (|leftFactor| (((|Union| |#1| "failed") |#1| |#1|) "\\spad{leftFactor(p,{}q)} \\undocumented")) (|decompose| (((|Union| (|Record| (|:| |left| |#1|) (|:| |right| |#1|)) "failed") |#1| (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{decompose(up,{}m,{}n)} \\undocumented") (((|List| |#1|) |#1|) "\\spad{decompose(up)} \\undocumented"))) 
 NIL 
 NIL 
-(-892) 
+(-893) 
 ((|constructor| (NIL "AnnaPartialDifferentialEquationPackage is an uncompleted package for the interface to NAG PDE routines. It has been realised that a new approach to solving PDEs will need to be created.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalPDEProblem|) (|RoutinesTable|)) "\\spad{measure(prob,{}R)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical PDE problem defined by \\axiom{\\spad{prob}}. \\blankline It calls each \\axiom{domain} listed in \\axiom{\\spad{R}} of \\axiom{category} \\axiomType{PartialDifferentialEquationsSolverCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information. It predicts the likely most effective NAG numerical Library routine to solve the input set of PDEs by checking various attributes of the system of PDEs and calculating a measure of compatibility of each routine to these attributes.") (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalPDEProblem|)) "\\spad{measure(prob)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical PDE problem defined by \\axiom{\\spad{prob}}. \\blankline It calls each \\axiom{domain} of \\axiom{category} \\axiomType{PartialDifferentialEquationsSolverCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information. It predicts the likely most effective NAG numerical Library routine to solve the input set of PDEs by checking various attributes of the system of PDEs and calculating a measure of compatibility of each routine to these attributes.")) (|solve| (((|Result|) (|Float|) (|Float|) (|Float|) (|Float|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|List| (|Expression| (|Float|))) (|List| (|List| (|Expression| (|Float|)))) (|String|)) "\\spad{solve(xmin,{}ymin,{}xmax,{}ymax,{}ngx,{}ngy,{}pde,{}bounds,{}st)} is a top level ANNA function to solve numerically a system of partial differential equations. This is defined as a list of coefficients (\\axiom{\\spad{pde}}),{} a grid (\\axiom{\\spad{xmin}},{} \\axiom{\\spad{ymin}},{} \\axiom{\\spad{xmax}},{} \\axiom{\\spad{ymax}},{} \\axiom{\\spad{ngx}},{} \\axiom{\\spad{ngy}}) and the boundary values (\\axiom{\\spad{bounds}}). A default value for tolerance is used. There is also a parameter (\\axiom{\\spad{st}}) which should contain the value \"elliptic\" if the PDE is known to be elliptic,{} or \"unknown\" if it is uncertain. This causes the routine to check whether the PDE is elliptic. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of PDE\\spad{'s} and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine. \\blankline \\spad{**} At the moment,{} only Second Order Elliptic Partial Differential Equations are solved \\spad{**}") (((|Result|) (|Float|) (|Float|) (|Float|) (|Float|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|List| (|Expression| (|Float|))) (|List| (|List| (|Expression| (|Float|)))) (|String|) (|DoubleFloat|)) "\\spad{solve(xmin,{}ymin,{}xmax,{}ymax,{}ngx,{}ngy,{}pde,{}bounds,{}st,{}tol)} is a top level ANNA function to solve numerically a system of partial differential equations. This is defined as a list of coefficients (\\axiom{\\spad{pde}}),{} a grid (\\axiom{\\spad{xmin}},{} \\axiom{\\spad{ymin}},{} \\axiom{\\spad{xmax}},{} \\axiom{\\spad{ymax}},{} \\axiom{\\spad{ngx}},{} \\axiom{\\spad{ngy}}),{} the boundary values (\\axiom{\\spad{bounds}}) and a tolerance requirement (\\axiom{\\spad{tol}}). There is also a parameter (\\axiom{\\spad{st}}) which should contain the value \"elliptic\" if the PDE is known to be elliptic,{} or \"unknown\" if it is uncertain. This causes the routine to check whether the PDE is elliptic. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of PDE\\spad{'s} and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine. \\blankline \\spad{**} At the moment,{} only Second Order Elliptic Partial Differential Equations are solved \\spad{**}") (((|Result|) (|NumericalPDEProblem|) (|RoutinesTable|)) "\\spad{solve(PDEProblem,{}routines)} is a top level ANNA function to solve numerically a system of partial differential equations. \\blankline The method used to perform the numerical process will be one of the \\spad{routines} contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of PDE\\spad{'s} and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine. \\blankline \\spad{**} At the moment,{} only Second Order Elliptic Partial Differential Equations are solved \\spad{**}") (((|Result|) (|NumericalPDEProblem|)) "\\spad{solve(PDEProblem)} is a top level ANNA function to solve numerically a system of partial differential equations. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of PDE\\spad{'s} and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine. \\blankline \\spad{**} At the moment,{} only Second Order Elliptic Partial Differential Equations are solved \\spad{**}"))) 
 NIL 
 NIL 
-(-893) 
+(-894) 
 ((|constructor| (NIL "\\axiomType{NumericalPDEProblem} is a \\axiom{domain} for the representation of Numerical PDE problems for use by ANNA. \\blankline The representation is of type: \\blankline \\axiomType{Record}(pde:\\axiomType{List Expression DoubleFloat},{} \\spad{\\br} constraints:\\axiomType{List PDEC},{} \\spad{\\br} \\spad{f:}\\axiomType{List List Expression DoubleFloat},{}\\spad{\\br} \\spad{st:}\\axiomType{String},{}\\spad{\\br} tol:\\axiomType{DoubleFloat}) \\blankline where \\axiomType{PDEC} is of type: \\blankline \\axiomType{Record}(start:\\axiomType{DoubleFloat},{} \\spad{\\br} finish:\\axiomType{DoubleFloat},{}\\spad{\\br} grid:\\axiomType{NonNegativeInteger},{}\\spad{\\br} boundaryType:\\axiomType{Integer},{}\\spad{\\br} dStart:\\axiomType{Matrix DoubleFloat},{} \\spad{\\br} dFinish:\\axiomType{Matrix DoubleFloat})")) (|retract| (((|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|))) $) "\\spad{retract(x)} is not documented")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) "\\spad{coerce(x)} is not documented"))) 
 NIL 
 NIL 
-(-894 A S) 
+(-895 A S) 
 ((|constructor| (NIL "A partial differential ring with differentiations indexed by a parameter type \\spad{S}. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{differentiate(x+y,{}e)=differentiate(x,{}e)+differentiate(y,{}e)}\\spad{\\br} \\tab{5}\\spad{differentiate(x*y,{}e)=x*differentiate(y,{}e)+differentiate(x,{}e)*y}")) (D (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) "\\spad{D(x,{} [s1,{}...,{}sn],{} [n1,{}...,{}nn])} computes multiple partial derivatives,{} \\spadignore{i.e.} \\spad{D(...D(x,{} s1,{} n1)...,{} sn,{} nn)}.") (($ $ |#2| (|NonNegativeInteger|)) "\\spad{D(x,{} s,{} n)} computes multiple partial derivatives,{} \\spadignore{i.e.} \\spad{n}-th derivative of \\spad{x} with respect to \\spad{s}.") (($ $ (|List| |#2|)) "\\spad{D(x,{}[s1,{}...sn])} computes successive partial derivatives,{} \\spadignore{i.e.} \\spad{D(...D(x,{} s1)...,{} sn)}.") (($ $ |#2|) "\\spad{D(x,{}v)} computes the partial derivative of \\spad{x} with respect to \\spad{v}.")) (|differentiate| (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) "\\spad{differentiate(x,{} [s1,{}...,{}sn],{} [n1,{}...,{}nn])} computes multiple partial derivatives,{} \\spadignore{i.e.}") (($ $ |#2| (|NonNegativeInteger|)) "\\spad{differentiate(x,{} s,{} n)} computes multiple partial derivatives,{} \\spadignore{i.e.} \\spad{n}-th derivative of \\spad{x} with respect to \\spad{s}.") (($ $ (|List| |#2|)) "\\spad{differentiate(x,{}[s1,{}...sn])} computes successive partial derivatives,{} \\spadignore{i.e.} \\spad{differentiate(...differentiate(x,{} s1)...,{} sn)}.") (($ $ |#2|) "\\spad{differentiate(x,{}v)} computes the partial derivative of \\spad{x} with respect to \\spad{v}."))) 
 NIL 
 NIL 
-(-895 S) 
+(-896 S) 
 ((|constructor| (NIL "A partial differential ring with differentiations indexed by a parameter type \\spad{S}. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{differentiate(x+y,{}e)=differentiate(x,{}e)+differentiate(y,{}e)}\\spad{\\br} \\tab{5}\\spad{differentiate(x*y,{}e)=x*differentiate(y,{}e)+differentiate(x,{}e)*y}")) (D (($ $ (|List| |#1|) (|List| (|NonNegativeInteger|))) "\\spad{D(x,{} [s1,{}...,{}sn],{} [n1,{}...,{}nn])} computes multiple partial derivatives,{} \\spadignore{i.e.} \\spad{D(...D(x,{} s1,{} n1)...,{} sn,{} nn)}.") (($ $ |#1| (|NonNegativeInteger|)) "\\spad{D(x,{} s,{} n)} computes multiple partial derivatives,{} \\spadignore{i.e.} \\spad{n}-th derivative of \\spad{x} with respect to \\spad{s}.") (($ $ (|List| |#1|)) "\\spad{D(x,{}[s1,{}...sn])} computes successive partial derivatives,{} \\spadignore{i.e.} \\spad{D(...D(x,{} s1)...,{} sn)}.") (($ $ |#1|) "\\spad{D(x,{}v)} computes the partial derivative of \\spad{x} with respect to \\spad{v}.")) (|differentiate| (($ $ (|List| |#1|) (|List| (|NonNegativeInteger|))) "\\spad{differentiate(x,{} [s1,{}...,{}sn],{} [n1,{}...,{}nn])} computes multiple partial derivatives,{} \\spadignore{i.e.}") (($ $ |#1| (|NonNegativeInteger|)) "\\spad{differentiate(x,{} s,{} n)} computes multiple partial derivatives,{} \\spadignore{i.e.} \\spad{n}-th derivative of \\spad{x} with respect to \\spad{s}.") (($ $ (|List| |#1|)) "\\spad{differentiate(x,{}[s1,{}...sn])} computes successive partial derivatives,{} \\spadignore{i.e.} \\spad{differentiate(...differentiate(x,{} s1)...,{} sn)}.") (($ $ |#1|) "\\spad{differentiate(x,{}v)} computes the partial derivative of \\spad{x} with respect to \\spad{v}."))) 
-((-4518 . T)) 
+((-4532 . T)) 
 NIL 
-(-896 S) 
+(-897 S) 
 ((|constructor| (NIL "This domain has no description")) (|coerce| (((|Tree| |#1|) $) "\\indented{1}{coerce(\\spad{x}) is not documented} \\blankline \\spad{X} t1:=ptree([1,{}2,{}3]) \\spad{X} t2:=ptree(\\spad{t1},{}ptree([1,{}2,{}3])) \\spad{X} t2::Tree List PositiveInteger")) (|ptree| (($ $ $) "\\indented{1}{ptree(\\spad{x},{}\\spad{y}) is not documented} \\blankline \\spad{X} t1:=ptree([1,{}2,{}3]) \\spad{X} ptree(\\spad{t1},{}ptree([1,{}2,{}3]))") (($ |#1|) "\\indented{1}{ptree(\\spad{s}) is a leaf? pendant tree} \\blankline \\spad{X} t1:=ptree([1,{}2,{}3])"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-1090))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090))))) 
-(-897 |n| R) 
+((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
+(-898 |n| R) 
 ((|constructor| (NIL "Permanent implements the functions permanent,{} the permanent for square matrices.")) (|permanent| ((|#2| (|SquareMatrix| |#1| |#2|)) "\\spad{permanent(x)} computes the permanent of a square matrix \\spad{x}. The permanent is equivalent to the \\spadfun{determinant} except that coefficients have no change of sign. This function is much more difficult to compute than the determinant. The formula used is by \\spad{H}.\\spad{J}. Ryser,{} improved by [Nijenhuis and Wilf,{} \\spad{Ch}. 19]. Note that permanent(\\spad{x}) choose one of three algorithms,{} depending on the underlying ring \\spad{R} and on \\spad{n},{} the number of rows (and columns) of \\spad{x:}\\spad{\\br} if 2 has an inverse in \\spad{R} we can use the algorithm of [Nijenhuis and Wilf,{} \\spad{ch}.19,{}\\spad{p}.158]; if 2 has no inverse,{} some modifications are necessary:\\spad{\\br} if \\spad{n} > 6 and \\spad{R} is an integral domain with characteristic different from 2 (the algorithm works if and only 2 is not a zero-divisor of \\spad{R} and characteristic()\\$\\spad{R} \\spad{^=} 2,{} but how to check that for any given \\spad{R} ?),{} the local function \\spad{permanent2} is called;\\spad{\\br} else,{} the local function \\spad{permanent3} is called (works for all commutative rings \\spad{R})."))) 
 NIL 
 NIL 
-(-898 S) 
+(-899 S) 
 ((|constructor| (NIL "PermutationCategory provides a categorial environment for subgroups of bijections of a set (\\spadignore{i.e.} permutations)")) (< (((|Boolean|) $ $) "\\spad{p < q} is an order relation on permutations. Note that this order is only total if and only if \\spad{S} is totally ordered or \\spad{S} is finite.")) (|orbit| (((|Set| |#1|) $ |#1|) "\\spad{orbit(p,{} el)} returns the orbit of el under the permutation \\spad{p},{} \\spadignore{i.e.} the set which is given by applications of the powers of \\spad{p} to el.")) (|elt| ((|#1| $ |#1|) "\\spad{elt(p,{} el)} returns the image of el under the permutation \\spad{p}.")) (|eval| ((|#1| $ |#1|) "\\spad{eval(p,{} el)} returns the image of el under the permutation \\spad{p}.")) (|cycles| (($ (|List| (|List| |#1|))) "\\spad{cycles(lls)} coerces a list list of cycles \\spad{lls} to a permutation,{} each cycle being a list with not repetitions,{} is coerced to the permutation,{} which maps \\spad{ls}.\\spad{i} to \\spad{ls}.\\spad{i+1},{} indices modulo the length of the list,{} then these permutations are mutiplied. Error: if repetitions occur in one cycle.")) (|cycle| (($ (|List| |#1|)) "\\spad{cycle(ls)} coerces a cycle \\spad{ls},{} \\spadignore{i.e.} a list with not repetitions to a permutation,{} which maps \\spad{ls}.\\spad{i} to \\spad{ls}.\\spad{i+1},{} indices modulo the length of the list. Error: if repetitions occur."))) 
-((-4518 . T)) 
+((-4532 . T)) 
 NIL 
-(-899 S) 
+(-900 S) 
 ((|constructor| (NIL "PermutationGroup implements permutation groups acting on a set \\spad{S},{} \\spadignore{i.e.} all subgroups of the symmetric group of \\spad{S},{} represented as a list of permutations (generators). Note that therefore the objects are not members of the \\Language category \\spadtype{Group}. Using the idea of base and strong generators by Sims,{} basic routines and algorithms are implemented so that the word problem for permutation groups can be solved.")) (|initializeGroupForWordProblem| (((|Void|) $ (|Integer|) (|Integer|)) "\\spad{initializeGroupForWordProblem(gp,{}m,{}n)} initializes the group \\spad{gp} for the word problem. Notes: (1) with a small integer you get shorter words,{} but the routine takes longer than the standard routine for longer words. (2) be careful: invoking this routine will destroy the possibly stored information about your group (but will recompute it again). (3) users need not call this function normally for the soultion of the word problem.") (((|Void|) $) "\\spad{initializeGroupForWordProblem(gp)} initializes the group \\spad{gp} for the word problem. Notes: it calls the other function of this name with parameters 0 and 1: initializeGroupForWordProblem(\\spad{gp},{}0,{}1). Notes: (1) be careful: invoking this routine will destroy the possibly information about your group (but will recompute it again) (2) users need not call this function normally for the soultion of the word problem.")) (<= (((|Boolean|) $ $) "\\spad{gp1 <= gp2} returns \\spad{true} if and only if \\spad{gp1} is a subgroup of \\spad{gp2}. Note: because of a bug in the parser you have to call this function explicitly by \\spad{gp1} \\spad{<=}\\$(PERMGRP \\spad{S}) \\spad{gp2}.")) (< (((|Boolean|) $ $) "\\spad{gp1 < gp2} returns \\spad{true} if and only if \\spad{gp1} is a proper subgroup of \\spad{gp2}.")) (|movedPoints| (((|Set| |#1|) $) "\\spad{movedPoints(gp)} returns the points moved by the group \\spad{gp}.")) (|wordInGenerators| (((|List| (|NonNegativeInteger|)) (|Permutation| |#1|) $) "\\spad{wordInGenerators(p,{}gp)} returns the word for the permutation \\spad{p} in the original generators of the group \\spad{gp},{} represented by the indices of the list,{} given by generators.")) (|wordInStrongGenerators| (((|List| (|NonNegativeInteger|)) (|Permutation| |#1|) $) "\\spad{wordInStrongGenerators(p,{}gp)} returns the word for the permutation \\spad{p} in the strong generators of the group \\spad{gp},{} represented by the indices of the list,{} given by strongGenerators.")) (|member?| (((|Boolean|) (|Permutation| |#1|) $) "\\spad{member?(pp,{}gp)} answers the question,{} whether the permutation \\spad{pp} is in the group \\spad{gp} or not.")) (|orbits| (((|Set| (|Set| |#1|)) $) "\\spad{orbits(gp)} returns the orbits of the group \\spad{gp},{} \\spadignore{i.e.} it partitions the (finite) of all moved points.")) (|orbit| (((|Set| (|List| |#1|)) $ (|List| |#1|)) "\\spad{orbit(gp,{}ls)} returns the orbit of the ordered list \\spad{ls} under the group \\spad{gp}. Note: return type is \\spad{L} \\spad{L} \\spad{S} temporarily because FSET \\spad{L} \\spad{S} has an error.") (((|Set| (|Set| |#1|)) $ (|Set| |#1|)) "\\spad{orbit(gp,{}els)} returns the orbit of the unordered set \\spad{els} under the group \\spad{gp}.") (((|Set| |#1|) $ |#1|) "\\spad{orbit(gp,{}el)} returns the orbit of the element \\spad{el} under the group \\spad{gp},{} \\spadignore{i.e.} the set of all points gained by applying each group element to \\spad{el}.")) (|permutationGroup| (($ (|List| (|Permutation| |#1|))) "\\spad{permutationGroup(ls)} coerces a list of permutations \\spad{ls} to the group generated by this list.")) (|wordsForStrongGenerators| (((|List| (|List| (|NonNegativeInteger|))) $) "\\spad{wordsForStrongGenerators(gp)} returns the words for the strong generators of the group \\spad{gp} in the original generators of \\spad{gp},{} represented by their indices in the list,{} given by generators.")) (|strongGenerators| (((|List| (|Permutation| |#1|)) $) "\\spad{strongGenerators(gp)} returns strong generators for the group \\spad{gp}.")) (|base| (((|List| |#1|) $) "\\spad{base(gp)} returns a base for the group \\spad{gp}.")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(gp)} returns the number of points moved by all permutations of the group \\spad{gp}.")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(gp)} returns the order of the group \\spad{gp}.")) (|random| (((|Permutation| |#1|) $) "\\spad{random(gp)} returns a random product of maximal 20 generators of the group \\spad{gp}. Note: random(\\spad{gp})=random(\\spad{gp},{}20).") (((|Permutation| |#1|) $ (|Integer|)) "\\spad{random(gp,{}i)} returns a random product of maximal \\spad{i} generators of the group \\spad{gp}.")) (|elt| (((|Permutation| |#1|) $ (|NonNegativeInteger|)) "\\spad{elt(gp,{}i)} returns the \\spad{i}-th generator of the group \\spad{gp}.")) (|generators| (((|List| (|Permutation| |#1|)) $) "\\spad{generators(gp)} returns the generators of the group \\spad{gp}.")) (|coerce| (($ (|List| (|Permutation| |#1|))) "\\spad{coerce(ls)} coerces a list of permutations \\spad{ls} to the group generated by this list.") (((|List| (|Permutation| |#1|)) $) "\\spad{coerce(gp)} returns the generators of the group \\spad{gp}."))) 
 NIL 
 NIL 
-(-900 S) 
+(-901 S) 
 ((|constructor| (NIL "Permutation(\\spad{S}) implements the group of all bijections on a set \\spad{S},{} which move only a finite number of points. A permutation is considered as a map from \\spad{S} into \\spad{S}. In particular multiplication is defined as composition of maps:\\spad{\\br} \\spad{pi1} * \\spad{pi2} = \\spad{pi1} \\spad{o} \\spad{pi2}.\\spad{\\br} The internal representation of permuatations are two lists of equal length representing preimages and images.")) (|coerceImages| (($ (|List| |#1|)) "\\spad{coerceImages(ls)} coerces the list \\spad{ls} to a permutation whose image is given by \\spad{ls} and the preimage is fixed to be [1,{}...,{}\\spad{n}]. Note: {coerceImages(\\spad{ls})=coercePreimagesImages([1,{}...,{}\\spad{n}],{}\\spad{ls})}. We assume that both preimage and image do not contain repetitions.")) (|fixedPoints| (((|Set| |#1|) $) "\\indented{1}{fixedPoints(\\spad{p}) returns the points fixed by the permutation \\spad{p}.} \\spad{X} \\spad{p} \\spad{:=} coercePreimagesImages([[0,{}1,{}2,{}3],{}[3,{}0,{}2,{}1]])\\$PERM ZMOD 4 \\spad{X} fixedPoints \\spad{p}")) (|sort| (((|List| $) (|List| $)) "\\spad{sort(lp)} sorts a list of permutations \\spad{lp} according to cycle structure first according to length of cycles,{} second,{} if \\spad{S} has \\spadtype{Finite} or \\spad{S} has \\spadtype{OrderedSet} according to lexicographical order of entries in cycles of equal length.")) (|odd?| (((|Boolean|) $) "\\spad{odd?(p)} returns \\spad{true} if and only if \\spad{p} is an odd permutation \\spadignore{i.e.} sign(\\spad{p}) is \\spad{-1}.")) (|even?| (((|Boolean|) $) "\\indented{1}{even?(\\spad{p}) returns \\spad{true} if and only if \\spad{p} is an even permutation,{}} \\indented{1}{\\spadignore{i.e.} sign(\\spad{p}) is 1.} \\blankline \\spad{X} \\spad{p} \\spad{:=} coercePreimagesImages([[1,{}2,{}3],{}[1,{}2,{}3]]) \\spad{X} even? \\spad{p}")) (|sign| (((|Integer|) $) "\\spad{sign(p)} returns the signum of the permutation \\spad{p},{} \\spad{+1} or \\spad{-1}.")) (|numberOfCycles| (((|NonNegativeInteger|) $) "\\spad{numberOfCycles(p)} returns the number of non-trivial cycles of the permutation \\spad{p}.")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(p)} returns the order of a permutation \\spad{p} as a group element.")) (|cyclePartition| (((|Partition|) $) "\\spad{cyclePartition(p)} returns the cycle structure of a permutation \\spad{p} including cycles of length 1 only if \\spad{S} is finite.")) (|movedPoints| (((|Set| |#1|) $) "\\indented{1}{movedPoints(\\spad{p}) returns the set of points moved by the permutation \\spad{p}.} \\blankline \\spad{X} \\spad{p} \\spad{:=} coercePreimagesImages([[1,{}2,{}3],{}[1,{}2,{}3]]) \\spad{X} movedPoints \\spad{p}")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(p)} retuns the number of points moved by the permutation \\spad{p}.")) (|coerceListOfPairs| (($ (|List| (|List| |#1|))) "\\spad{coerceListOfPairs(lls)} coerces a list of pairs \\spad{lls} to a permutation. Error: if not consistent,{} \\spadignore{i.e.} the set of the first elements coincides with the set of second elements. coerce(\\spad{p}) generates output of the permutation \\spad{p} with domain OutputForm.")) (|coerce| (($ (|List| |#1|)) "\\spad{coerce(ls)} coerces a cycle \\spad{ls},{} \\spadignore{i.e.} a list with not repetitions to a permutation,{} which maps \\spad{ls}.\\spad{i} to \\spad{ls}.\\spad{i+1},{} indices modulo the length of the list. Error: if repetitions occur.") (($ (|List| (|List| |#1|))) "\\spad{coerce(lls)} coerces a list of cycles \\spad{lls} to a permutation,{} each cycle being a list with no repetitions,{} is coerced to the permutation,{} which maps \\spad{ls}.\\spad{i} to \\spad{ls}.\\spad{i+1},{} indices modulo the length of the list,{} then these permutations are mutiplied. Error: if repetitions occur in one cycle.")) (|coercePreimagesImages| (($ (|List| (|List| |#1|))) "\\indented{1}{coercePreimagesImages(\\spad{lls}) coerces the representation \\spad{lls}} \\indented{1}{of a permutation as a list of preimages and images to a permutation.} \\indented{1}{We assume that both preimage and image do not contain repetitions.} \\blankline \\spad{X} \\spad{p} \\spad{:=} coercePreimagesImages([[1,{}2,{}3],{}[1,{}2,{}3]]) \\spad{X} \\spad{q} \\spad{:=} coercePreimagesImages([[0,{}1,{}2,{}3],{}[3,{}0,{}2,{}1]])\\$PERM ZMOD 4")) (|listRepresentation| (((|Record| (|:| |preimage| (|List| |#1|)) (|:| |image| (|List| |#1|))) $) "\\spad{listRepresentation(p)} produces a representation rep of the permutation \\spad{p} as a list of preimages and images,{} \\spad{i}.\\spad{e} \\spad{p} maps (rep.preimage).\\spad{k} to (rep.image).\\spad{k} for all indices \\spad{k}. Elements of \\spad{S} not in (rep.preimage).\\spad{k} are fixed points,{} and these are the only fixed points of the permutation."))) 
-((-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-370))) (|HasCategory| |#1| (QUOTE (-842))) (-2199 (|HasCategory| |#1| (QUOTE (-370))) (|HasCategory| |#1| (QUOTE (-842))))) 
-(-901 R E |VarSet| S) 
+((-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-843))) (-2232 (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-843))))) 
+(-902 R E |VarSet| S) 
 ((|constructor| (NIL "PolynomialFactorizationByRecursion(\\spad{R},{}\\spad{E},{}\\spad{VarSet},{}\\spad{S}) is used for factorization of sparse univariate polynomials over a domain \\spad{S} of multivariate polynomials over \\spad{R}.")) (|factorSFBRlcUnit| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|List| |#3|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{factorSFBRlcUnit(p)} returns the square free factorization of polynomial \\spad{p} (see \\spadfun{factorSquareFreeByRecursion}{PolynomialFactorizationByRecursionUnivariate}) in the case where the leading coefficient of \\spad{p} is a unit.")) (|bivariateSLPEBR| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|List| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|) |#3|) "\\spad{bivariateSLPEBR(lp,{}p,{}v)} implements the bivariate case of solveLinearPolynomialEquationByRecursion its implementation depends on \\spad{R}")) (|randomR| ((|#1|) "\\spad{randomR produces} a random element of \\spad{R}")) (|factorSquareFreeByRecursion| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{factorSquareFreeByRecursion(p)} returns the square free factorization of \\spad{p}. This functions performs the recursion step for factorSquareFreePolynomial,{} as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{factorSquareFreePolynomial}).")) (|factorByRecursion| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{factorByRecursion(p)} factors polynomial \\spad{p}. This function performs the recursion step for factorPolynomial,{} as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{factorPolynomial})")) (|solveLinearPolynomialEquationByRecursion| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|List| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{solveLinearPolynomialEquationByRecursion([p1,{}...,{}pn],{}p)} returns the list of polynomials \\spad{[q1,{}...,{}qn]} such that \\spad{sum qi/pi = p / prod \\spad{pi}},{} a recursion step for solveLinearPolynomialEquation as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{solveLinearPolynomialEquation}). If no such list of \\spad{qi} exists,{} then \"failed\" is returned."))) 
 NIL 
 NIL 
-(-902 R S) 
+(-903 R S) 
 ((|constructor| (NIL "PolynomialFactorizationByRecursionUnivariate \\spad{R} is a \\spadfun{PolynomialFactorizationExplicit} domain,{} \\spad{S} is univariate polynomials over \\spad{R} We are interested in handling SparseUnivariatePolynomials over \\spad{S},{} is a variable we shall call \\spad{z}")) (|factorSFBRlcUnit| (((|Factored| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) "\\spad{factorSFBRlcUnit(p)} returns the square free factorization of polynomial \\spad{p} (see \\spadfun{factorSquareFreeByRecursion}{PolynomialFactorizationByRecursionUnivariate}) in the case where the leading coefficient of \\spad{p} is a unit.")) (|randomR| ((|#1|) "\\spad{randomR()} produces a random element of \\spad{R}")) (|factorSquareFreeByRecursion| (((|Factored| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) "\\spad{factorSquareFreeByRecursion(p)} returns the square free factorization of \\spad{p}. This functions performs the recursion step for factorSquareFreePolynomial,{} as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{factorSquareFreePolynomial}).")) (|factorByRecursion| (((|Factored| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) "\\spad{factorByRecursion(p)} factors polynomial \\spad{p}. This function performs the recursion step for factorPolynomial,{} as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{factorPolynomial})")) (|solveLinearPolynomialEquationByRecursion| (((|Union| (|List| (|SparseUnivariatePolynomial| |#2|)) "failed") (|List| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) "\\spad{solveLinearPolynomialEquationByRecursion([p1,{}...,{}pn],{}p)} returns the list of polynomials \\spad{[q1,{}...,{}qn]} such that \\spad{sum qi/pi = p / prod \\spad{pi}},{} a recursion step for solveLinearPolynomialEquation as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{solveLinearPolynomialEquation}). If no such list of \\spad{qi} exists,{} then \"failed\" is returned."))) 
 NIL 
 NIL 
-(-903 S) 
+(-904 S) 
 ((|constructor| (NIL "This is the category of domains that know \"enough\" about themselves in order to factor univariate polynomials over themselves. This will be used in future releases for supporting factorization over finitely generated coefficient fields,{} it is not yet available in the current release of axiom.")) (|charthRoot| (((|Union| $ "failed") $) "\\spad{charthRoot(r)} returns the \\spad{p}\\spad{-}th root of \\spad{r},{} or \"failed\" if none exists in the domain.")) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) "\\spad{conditionP(m)} returns a vector of elements,{} not all zero,{} whose \\spad{p}\\spad{-}th powers (\\spad{p} is the characteristic of the domain) are a solution of the homogenous linear system represented by \\spad{m},{} or \"failed\" is there is no such vector.")) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{solveLinearPolynomialEquation([f1,{} ...,{} fn],{} g)} (where the \\spad{fi} are relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g/prod \\spad{fi} = sum ai/fi} or returns \"failed\" if no such list of \\spad{ai}\\spad{'s} exists.")) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) "\\spad{gcdPolynomial(p,{}q)} returns the \\spad{gcd} of the univariate polynomials \\spad{p} \\spad{qnd} \\spad{q}.")) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{factorSquareFreePolynomial(p)} factors the univariate polynomial \\spad{p} into irreducibles where \\spad{p} is known to be square free and primitive with respect to its main variable.")) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{factorPolynomial(p)} returns the factorization into irreducibles of the univariate polynomial \\spad{p}.")) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{squareFreePolynomial(p)} returns the square-free factorization of the univariate polynomial \\spad{p}."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-148)))) 
-(-904) 
+((|HasCategory| |#1| (QUOTE (-149)))) 
+(-905) 
 ((|constructor| (NIL "This is the category of domains that know \"enough\" about themselves in order to factor univariate polynomials over themselves. This will be used in future releases for supporting factorization over finitely generated coefficient fields,{} it is not yet available in the current release of axiom.")) (|charthRoot| (((|Union| $ "failed") $) "\\spad{charthRoot(r)} returns the \\spad{p}\\spad{-}th root of \\spad{r},{} or \"failed\" if none exists in the domain.")) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) "\\spad{conditionP(m)} returns a vector of elements,{} not all zero,{} whose \\spad{p}\\spad{-}th powers (\\spad{p} is the characteristic of the domain) are a solution of the homogenous linear system represented by \\spad{m},{} or \"failed\" is there is no such vector.")) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{solveLinearPolynomialEquation([f1,{} ...,{} fn],{} g)} (where the \\spad{fi} are relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g/prod \\spad{fi} = sum ai/fi} or returns \"failed\" if no such list of \\spad{ai}\\spad{'s} exists.")) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) "\\spad{gcdPolynomial(p,{}q)} returns the \\spad{gcd} of the univariate polynomials \\spad{p} \\spad{qnd} \\spad{q}.")) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{factorSquareFreePolynomial(p)} factors the univariate polynomial \\spad{p} into irreducibles where \\spad{p} is known to be square free and primitive with respect to its main variable.")) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{factorPolynomial(p)} returns the factorization into irreducibles of the univariate polynomial \\spad{p}.")) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{squareFreePolynomial(p)} returns the square-free factorization of the univariate polynomial \\spad{p}."))) 
-((-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-905 |p|) 
+(-906 |p|) 
 ((|constructor| (NIL "PrimeField(\\spad{p}) implements the field with \\spad{p} elements if \\spad{p} is a prime number."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| $ (QUOTE (-150))) (|HasCategory| $ (QUOTE (-148))) (|HasCategory| $ (QUOTE (-370)))) 
-(-906 R0 -1478 UP UPUP R) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| $ (QUOTE (-151))) (|HasCategory| $ (QUOTE (-149))) (|HasCategory| $ (QUOTE (-371)))) 
+(-907 R0 -1564 UP UPUP R) 
 ((|constructor| (NIL "This package provides function for testing whether a divisor on a curve is a torsion divisor.")) (|torsionIfCan| (((|Union| (|Record| (|:| |order| (|NonNegativeInteger|)) (|:| |function| |#5|)) "failed") (|FiniteDivisor| |#2| |#3| |#4| |#5|)) "\\spad{torsionIfCan(f)}\\\\ undocumented")) (|torsion?| (((|Boolean|) (|FiniteDivisor| |#2| |#3| |#4| |#5|)) "\\spad{torsion?(f)} \\undocumented")) (|order| (((|Union| (|NonNegativeInteger|) "failed") (|FiniteDivisor| |#2| |#3| |#4| |#5|)) "\\spad{order(f)} \\undocumented"))) 
 NIL 
 NIL 
-(-907 UP UPUP R) 
+(-908 UP UPUP R) 
 ((|constructor| (NIL "This package provides function for testing whether a divisor on a curve is a torsion divisor.")) (|torsionIfCan| (((|Union| (|Record| (|:| |order| (|NonNegativeInteger|)) (|:| |function| |#3|)) "failed") (|FiniteDivisor| (|Fraction| (|Integer|)) |#1| |#2| |#3|)) "\\spad{torsionIfCan(f)} \\undocumented")) (|torsion?| (((|Boolean|) (|FiniteDivisor| (|Fraction| (|Integer|)) |#1| |#2| |#3|)) "\\spad{torsion?(f)} \\undocumented")) (|order| (((|Union| (|NonNegativeInteger|) "failed") (|FiniteDivisor| (|Fraction| (|Integer|)) |#1| |#2| |#3|)) "\\spad{order(f)} \\undocumented"))) 
 NIL 
 NIL 
-(-908 R |PolyRing| E -1965) 
+(-909 R |PolyRing| E -4391) 
 ((|constructor| (NIL "The following is part of the PAFF package")) (|degreeOfMinimalForm| (((|NonNegativeInteger|) |#2|) "\\spad{degreeOfMinimalForm does} what it says")) (|listAllMono| (((|List| |#2|) (|NonNegativeInteger|)) "\\spad{listAllMono(l)} returns all the monomials of degree \\spad{l}")) (|listAllMonoExp| (((|List| |#3|) (|Integer|)) "\\spad{listAllMonoExp(l)} returns all the exponents of degree \\spad{l}")) (|homogenize| ((|#2| |#2| (|Integer|)) "\\spad{homogenize(pol,{}n)} returns the homogenized polynomial of \\spad{pol} with respect to the \\spad{n}-th variable.")) (|constant| ((|#1| |#2|) "\\spad{constant(pol)} returns the constant term of the polynomial.")) (|degOneCoef| ((|#1| |#2| (|PositiveInteger|)) "\\spad{degOneCoef(pol,{}n)} returns the coefficient in front of the monomial specified by the positive integer.")) (|translate| ((|#2| |#2| (|List| |#1|)) "\\spad{translate(pol,{}[a,{}b,{}c])} apply to \\spad{pol} the linear change of coordinates,{} \\spad{x}->x+a,{} \\spad{y}->y+b,{} \\spad{z}->z+c") ((|#2| |#2| (|List| |#1|) (|Integer|)) "\\spad{translate(pol,{}[a,{}b,{}c],{}3)} apply to \\spad{pol} the linear change of coordinates,{} \\spad{x}->x+a,{} \\spad{y}->y+b,{} \\spad{z}-\\spad{>1}.")) (|replaceVarByOne| ((|#2| |#2| (|Integer|)) "\\spad{replaceVarByOne(pol,{}a)} evaluate to one the variable in \\spad{pol} specified by the integer a.")) (|replaceVarByZero| ((|#2| |#2| (|Integer|)) "\\spad{replaceVarByZero(pol,{}a)} evaluate to zero the variable in \\spad{pol} specified by the integer a.")) (|firstExponent| ((|#3| |#2|) "\\spad{firstExponent(pol)} returns the exponent of the first term in the representation of \\spad{pol}. Not to be confused with the leadingExponent \\indented{1}{which is the highest exponent according to the order} over the monomial.")) (|minimalForm| ((|#2| |#2|) "\\spad{minimalForm(pol)} returns the minimal forms of the polynomial \\spad{pol}."))) 
 NIL 
 NIL 
-(-909 UP UPUP) 
+(-910 UP UPUP) 
 ((|constructor| (NIL "Utilities for PFOQ and PFO")) (|polyred| ((|#2| |#2|) "\\spad{polyred(u)} \\undocumented")) (|doubleDisc| (((|Integer|) |#2|) "\\spad{doubleDisc(u)} \\undocumented")) (|mix| (((|Integer|) (|List| (|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|))))) "\\spad{mix(l)} \\undocumented")) (|badNum| (((|Integer|) |#2|) "\\spad{badNum(u)} \\undocumented") (((|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|))) |#1|) "\\spad{badNum(p)} \\undocumented")) (|getGoodPrime| (((|PositiveInteger|) (|Integer|)) "\\spad{getGoodPrime n} returns the smallest prime not dividing \\spad{n}"))) 
 NIL 
 NIL 
-(-910 R) 
+(-911 R) 
 ((|constructor| (NIL "The domain \\spadtype{PartialFraction} implements partial fractions over a euclidean domain \\spad{R}. This requirement on the argument domain allows us to normalize the fractions. Of particular interest are the 2 forms for these fractions. The ``compact\\spad{''} form has only one fractional term per prime in the denominator,{} while the \\spad{``p}-adic\\spad{''} form expands each numerator \\spad{p}-adically via the prime \\spad{p} in the denominator. For computational efficiency,{} the compact form is used,{} though the \\spad{p}-adic form may be gotten by calling the function padicFraction}. For a general euclidean domain,{} it is not known how to factor the denominator. Thus the function partialFraction takes as its second argument an element of \\spadtype{Factored(R)}.")) (|wholePart| ((|#1| $) "\\indented{1}{wholePart(\\spad{p}) extracts the whole part of the partial fraction} \\indented{1}{\\spad{p}.} \\blankline \\spad{X} a:=(74/13)::PFR(INT) \\spad{X} wholePart(a)")) (|partialFraction| (($ |#1| (|Factored| |#1|)) "\\indented{1}{partialFraction(numer,{}denom) is the main function for} \\indented{1}{constructing partial fractions. The second argument is the} \\indented{1}{denominator and should be factored.} \\blankline \\spad{X} partialFraction(1,{}factorial 10)")) (|padicFraction| (($ $) "\\indented{1}{padicFraction(\\spad{q}) expands the fraction \\spad{p}-adically in the primes} \\indented{1}{\\spad{p} in the denominator of \\spad{q}. For example,{}} \\indented{1}{\\spad{padicFraction(3/(2**2)) = 1/2 + 1/(2**2)}.} \\indented{1}{Use compactFraction from PartialFraction to} \\indented{1}{return to compact form.} \\blankline \\spad{X} a:=partialFraction(1,{}factorial 10) \\spad{X} padicFraction(a)")) (|padicallyExpand| (((|SparseUnivariatePolynomial| |#1|) |#1| |#1|) "\\spad{padicallyExpand(p,{}x)} is a utility function that expands the second argument \\spad{x} \\spad{``p}-adically\\spad{''} in the first.")) (|numberOfFractionalTerms| (((|Integer|) $) "\\indented{1}{numberOfFractionalTerms(\\spad{p}) computes the number of fractional} \\indented{1}{terms in \\spad{p}. This returns 0 if there is no fractional} \\indented{1}{part.} \\blankline \\spad{X} a:=partialFraction(1,{}factorial 10) \\spad{X} b:=padicFraction(a) \\spad{X} numberOfFractionalTerms(\\spad{b})")) (|nthFractionalTerm| (($ $ (|Integer|)) "\\indented{1}{nthFractionalTerm(\\spad{p},{}\\spad{n}) extracts the \\spad{n}th fractional term from} \\indented{1}{the partial fraction \\spad{p}.\\space{2}This returns 0 if the index} \\indented{1}{\\spad{n} is out of range.} \\blankline \\spad{X} a:=partialFraction(1,{}factorial 10) \\spad{X} b:=padicFraction(a) \\spad{X} nthFractionalTerm(\\spad{b},{}3)")) (|firstNumer| ((|#1| $) "\\indented{1}{firstNumer(\\spad{p}) extracts the numerator of the first fractional} \\indented{1}{term. This returns 0 if there is no fractional part (use} \\indented{1}{wholePart from PartialFraction to get the whole part).} \\blankline \\spad{X} a:=partialFraction(1,{}factorial 10) \\spad{X} firstNumer(a)")) (|firstDenom| (((|Factored| |#1|) $) "\\indented{1}{firstDenom(\\spad{p}) extracts the denominator of the first fractional} \\indented{1}{term. This returns 1 if there is no fractional part (use} \\indented{1}{wholePart from PartialFraction to get the whole part).} \\blankline \\spad{X} a:=partialFraction(1,{}factorial 10) \\spad{X} firstDenom(a)")) (|compactFraction| (($ $) "\\indented{1}{compactFraction(\\spad{p}) normalizes the partial fraction \\spad{p}} \\indented{1}{to the compact representation. In this form,{} the partial} \\indented{1}{fraction has only one fractional term per prime in the} \\indented{1}{denominator.} \\blankline \\spad{X} a:=partialFraction(1,{}factorial 10) \\spad{X} b:=padicFraction(a) \\spad{X} compactFraction(\\spad{b})")) (|coerce| (($ (|Fraction| (|Factored| |#1|))) "\\indented{1}{coerce(\\spad{f}) takes a fraction with numerator and denominator in} \\indented{1}{factored form and creates a partial fraction.\\space{2}It is} \\indented{1}{necessary for the parts to be factored because it is not} \\indented{1}{known in general how to factor elements of \\spad{R} and} \\indented{1}{this is needed to decompose into partial fractions.} \\blankline \\spad{X} (13/74)::PFR(INT)") (((|Fraction| |#1|) $) "\\indented{1}{coerce(\\spad{p}) sums up the components of the partial fraction and} \\indented{1}{returns a single fraction.} \\blankline \\spad{X} a:=(13/74)::PFR(INT) \\spad{X} a::FRAC(INT)"))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-911 R) 
+(-912 R) 
 ((|constructor| (NIL "The package \\spadtype{PartialFractionPackage} gives an easier to use interfact the domain \\spadtype{PartialFraction}. The user gives a fraction of polynomials,{} and a variable and the package converts it to the proper datatype for the \\spadtype{PartialFraction} domain.")) (|partialFraction| (((|Any|) (|Polynomial| |#1|) (|Factored| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{partialFraction(num,{} facdenom,{} var)} returns the partial fraction decomposition of the rational function whose numerator is \\spad{num} and whose factored denominator is \\spad{facdenom} with respect to the variable var.") (((|Any|) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\indented{1}{partialFraction(\\spad{rf},{} var) returns the partial fraction decomposition} \\indented{1}{of the rational function \\spad{rf} with respect to the variable var.} \\blankline \\spad{X} a:=x+1/(\\spad{y+1}) \\spad{X} partialFraction(a,{}\\spad{y})\\$PFRPAC(INT)"))) 
 NIL 
 NIL 
-(-912 E OV R P) 
+(-913 E OV R P) 
 ((|constructor| (NIL "This package computes multivariate polynomial \\spad{gcd}\\spad{'s} using a hensel lifting strategy. The contraint on the coefficient domain is imposed by the lifting strategy. It is assumed that the coefficient domain has the property that almost all specializations preserve the degree of the \\spad{gcd}.")) (|gcdPrimitive| ((|#4| (|List| |#4|)) "\\spad{gcdPrimitive lp} computes the \\spad{gcd} of the list of primitive polynomials \\spad{lp}.") (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{gcdPrimitive(p,{}q)} computes the \\spad{gcd} of the primitive polynomials \\spad{p} and \\spad{q}.") ((|#4| |#4| |#4|) "\\spad{gcdPrimitive(p,{}q)} computes the \\spad{gcd} of the primitive polynomials \\spad{p} and \\spad{q}.")) (|gcd| (((|SparseUnivariatePolynomial| |#4|) (|List| (|SparseUnivariatePolynomial| |#4|))) "\\spad{gcd(lp)} computes the \\spad{gcd} of the list of polynomials \\spad{lp}.") (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{gcd(p,{}q)} computes the \\spad{gcd} of the two polynomials \\spad{p} and \\spad{q}.") ((|#4| (|List| |#4|)) "\\spad{gcd(lp)} computes the \\spad{gcd} of the list of polynomials \\spad{lp}.") ((|#4| |#4| |#4|) "\\spad{gcd(p,{}q)} computes the \\spad{gcd} of the two polynomials \\spad{p} and \\spad{q}."))) 
 NIL 
 NIL 
-(-913) 
+(-914) 
 ((|constructor| (NIL "PermutationGroupExamples provides permutation groups for some classes of groups: symmetric,{} alternating,{} dihedral,{} cyclic,{} direct products of cyclic,{} which are in fact the finite abelian groups of symmetric groups called Young subgroups. Furthermore,{} Rubik\\spad{'s} group as permutation group of 48 integers and a list of sporadic simple groups derived from the atlas of finite groups.")) (|youngGroup| (((|PermutationGroup| (|Integer|)) (|Partition|)) "\\spad{youngGroup(lambda)} constructs the direct product of the symmetric groups given by the parts of the partition \\spad{lambda}.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{youngGroup([n1,{}...,{}nk])} constructs the direct product of the symmetric groups \\spad{Sn1},{}...,{}\\spad{Snk}.")) (|rubiksGroup| (((|PermutationGroup| (|Integer|))) "\\spad{rubiksGroup constructs} the permutation group representing Rubic\\spad{'s} Cube acting on integers 10*i+j for 1 \\spad{<=} \\spad{i} \\spad{<=} 6,{} 1 \\spad{<=} \\spad{j} \\spad{<=} 8. The faces of Rubik\\spad{'s} Cube are labelled in the obvious way Front,{} Right,{} Up,{} Down,{} Left,{} Back and numbered from 1 to 6 in this given ordering,{} the pieces on each face (except the unmoveable center piece) are clockwise numbered from 1 to 8 starting with the piece in the upper left corner. The moves of the cube are represented as permutations on these pieces,{} represented as a two digit integer ij where \\spad{i} is the numer of theface (1 to 6) and \\spad{j} is the number of the piece on this face. The remaining ambiguities are resolved by looking at the 6 generators,{} which represent a 90 degree turns of the faces,{} or from the following pictorial description. Permutation group representing Rubic\\spad{'s} Cube acting on integers 10*i+j for 1 \\spad{<=} \\spad{i} \\spad{<=} 6,{} 1 \\spad{<=} \\spad{j} \\spad{<=8}. \\blankline\\begin{verbatim}Rubik's Cube:   +-----+ +-- B   where: marks Side # :               / U   /|/              /     / |         F(ront)    <->    1      L -->  +-----+ R|         R(ight)    <->    2             |     |  +         U(p)       <->    3             |  F  | /          D(own)     <->    4             |     |/           L(eft)     <->    5             +-----+            B(ack)     <->    6                ^                |                DThe Cube's surface:                               The pieces on each side            +---+              (except the unmoveable center            |567|              piece) are clockwise numbered            |4U8|              from 1 to 8 starting with the            |321|              piece in the upper left        +---+---+---+          corner (see figure on the        |781|123|345|          left).  The moves of the cube        |6L2|8F4|2R6|          are represented as        |543|765|187|          permutations on these pieces.        +---+---+---+          Each of the pieces is            |123|              represented as a two digit            |8D4|              integer ij where i is the            |765|              # of the side ( 1 to 6 for            +---+              F to B (see table above ))            |567|              and j is the # of the piece.            |4B8|            |321|            +---+\\end{verbatim}")) (|janko2| (((|PermutationGroup| (|Integer|))) "\\spad{janko2 constructs} the janko group acting on the integers 1,{}...,{}100.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{janko2(\\spad{li})} constructs the janko group acting on the 100 integers given in the list \\spad{li}. Note that duplicates in the list will be removed. Error: if \\spad{li} has less or more than 100 different entries")) (|mathieu24| (((|PermutationGroup| (|Integer|))) "\\spad{mathieu24 constructs} the mathieu group acting on the integers 1,{}...,{}24.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{mathieu24(\\spad{li})} constructs the mathieu group acting on the 24 integers given in the list \\spad{li}. Note that duplicates in the list will be removed. Error: if \\spad{li} has less or more than 24 different entries.")) (|mathieu23| (((|PermutationGroup| (|Integer|))) "\\spad{mathieu23 constructs} the mathieu group acting on the integers 1,{}...,{}23.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{mathieu23(\\spad{li})} constructs the mathieu group acting on the 23 integers given in the list \\spad{li}. Note that duplicates in the list will be removed. Error: if \\spad{li} has less or more than 23 different entries.")) (|mathieu22| (((|PermutationGroup| (|Integer|))) "\\spad{mathieu22 constructs} the mathieu group acting on the integers 1,{}...,{}22.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{mathieu22(\\spad{li})} constructs the mathieu group acting on the 22 integers given in the list \\spad{li}. Note that duplicates in the list will be removed. Error: if \\spad{li} has less or more than 22 different entries.")) (|mathieu12| (((|PermutationGroup| (|Integer|))) "\\spad{mathieu12 constructs} the mathieu group acting on the integers 1,{}...,{}12.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{mathieu12(\\spad{li})} constructs the mathieu group acting on the 12 integers given in the list \\spad{li}. Note that duplicates in the list will be removed Error: if \\spad{li} has less or more than 12 different entries.")) (|mathieu11| (((|PermutationGroup| (|Integer|))) "\\spad{mathieu11 constructs} the mathieu group acting on the integers 1,{}...,{}11.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{mathieu11(\\spad{li})} constructs the mathieu group acting on the 11 integers given in the list \\spad{li}. Note that duplicates in the list will be removed. error,{} if \\spad{li} has less or more than 11 different entries.")) (|dihedralGroup| (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{dihedralGroup([i1,{}...,{}ik])} constructs the dihedral group of order 2k acting on the integers out of \\spad{i1},{}...,{}ik. Note that duplicates in the list will be removed.") (((|PermutationGroup| (|Integer|)) (|PositiveInteger|)) "\\spad{dihedralGroup(n)} constructs the dihedral group of order 2n acting on integers 1,{}...,{}\\spad{N}.")) (|cyclicGroup| (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{cyclicGroup([i1,{}...,{}ik])} constructs the cyclic group of order \\spad{k} acting on the integers \\spad{i1},{}...,{}ik. Note that duplicates in the list will be removed.") (((|PermutationGroup| (|Integer|)) (|PositiveInteger|)) "\\spad{cyclicGroup(n)} constructs the cyclic group of order \\spad{n} acting on the integers 1,{}...,{}\\spad{n}.")) (|abelianGroup| (((|PermutationGroup| (|Integer|)) (|List| (|PositiveInteger|))) "\\spad{abelianGroup([n1,{}...,{}nk])} constructs the abelian group that is the direct product of cyclic groups with order \\spad{ni}.")) (|alternatingGroup| (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{alternatingGroup(\\spad{li})} constructs the alternating group acting on the integers in the list \\spad{li},{} generators are in general the \\spad{n}-2-cycle (\\spad{li}.3,{}...,{}\\spad{li}.\\spad{n}) and the 3-cycle (\\spad{li}.1,{}\\spad{li}.2,{}\\spad{li}.3),{} if \\spad{n} is odd and product of the 2-cycle (\\spad{li}.1,{}\\spad{li}.2) with \\spad{n}-2-cycle (\\spad{li}.3,{}...,{}\\spad{li}.\\spad{n}) and the 3-cycle (\\spad{li}.1,{}\\spad{li}.2,{}\\spad{li}.3),{} if \\spad{n} is even. Note that duplicates in the list will be removed.") (((|PermutationGroup| (|Integer|)) (|PositiveInteger|)) "\\spad{alternatingGroup(n)} constructs the alternating group An acting on the integers 1,{}...,{}\\spad{n},{} generators are in general the \\spad{n}-2-cycle (3,{}...,{}\\spad{n}) and the 3-cycle (1,{}2,{}3) if \\spad{n} is odd and the product of the 2-cycle (1,{}2) with \\spad{n}-2-cycle (3,{}...,{}\\spad{n}) and the 3-cycle (1,{}2,{}3) if \\spad{n} is even.")) (|symmetricGroup| (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{symmetricGroup(\\spad{li})} constructs the symmetric group acting on the integers in the list \\spad{li},{} generators are the cycle given by \\spad{li} and the 2-cycle (\\spad{li}.1,{}\\spad{li}.2). Note that duplicates in the list will be removed.") (((|PermutationGroup| (|Integer|)) (|PositiveInteger|)) "\\spad{symmetricGroup(n)} constructs the symmetric group \\spad{Sn} acting on the integers 1,{}...,{}\\spad{n},{} generators are the \\spad{n}-cycle (1,{}...,{}\\spad{n}) and the 2-cycle (1,{}2)."))) 
 NIL 
 NIL 
-(-914 -1478) 
+(-915 -1564) 
 ((|constructor| (NIL "Groebner functions for \\spad{P} \\spad{F} This package is an interface package to the groebner basis package which allows you to compute groebner bases for polynomials in either lexicographic ordering or total degree ordering refined by reverse lex. The input is the ordinary polynomial type which is internally converted to a type with the required ordering. The resulting grobner basis is converted back to ordinary polynomials. The ordering among the variables is controlled by an explicit list of variables which is passed as a second argument. The coefficient domain is allowed to be any \\spad{gcd} domain,{} but the groebner basis is computed as if the polynomials were over a field.")) (|totalGroebner| (((|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) "\\spad{totalGroebner(lp,{}lv)} computes Groebner basis for the list of polynomials \\spad{lp} with the terms ordered first by total degree and then refined by reverse lexicographic ordering. The variables are ordered by their position in the list \\spad{lv}.")) (|lexGroebner| (((|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) "\\spad{lexGroebner(lp,{}lv)} computes Groebner basis for the list of polynomials \\spad{lp} in lexicographic order. The variables are ordered by their position in the list \\spad{lv}."))) 
 NIL 
 NIL 
-(-915 R) 
+(-916 R) 
 ((|constructor| (NIL "Provides a coercion from the symbolic fractions in \\%\\spad{pi} with integer coefficients to any Expression type.")) (|coerce| (((|Expression| |#1|) (|Pi|)) "\\spad{coerce(f)} returns \\spad{f} as an Expression(\\spad{R})."))) 
 NIL 
 NIL 
-(-916) 
+(-917) 
 ((|constructor| (NIL "The category of constructive principal ideal domains,{} \\spadignore{i.e.} where a single generator can be constructively found for any ideal given by a finite set of generators. Note that this constructive definition only implies that finitely generated ideals are principal. It is not clear what we would mean by an infinitely generated ideal.")) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) "\\spad{expressIdealMember([f1,{}...,{}fn],{}h)} returns a representation of \\spad{h} as a linear combination of the \\spad{fi} or \"failed\" if \\spad{h} is not in the ideal generated by the \\spad{fi}.")) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) "\\spad{principalIdeal([f1,{}...,{}fn])} returns a record whose generator component is a generator of the ideal generated by \\spad{[f1,{}...,{}fn]} whose coef component satisfies \\spad{generator = sum (input.i * coef.i)}"))) 
-((-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-917) 
+(-918) 
 ((|constructor| (NIL "\\spadtype{PositiveInteger} provides functions for positive integers.")) (|commutative| ((|attribute| "*") "\\spad{commutative(\"*\")} means multiplication is commutative : x*y = \\spad{y*x}")) (|gcd| (($ $ $) "\\spad{gcd(a,{}b)} computes the greatest common divisor of two positive integers \\spad{a} and \\spad{b}."))) 
-(((-4523 "*") . T)) 
+(((-4537 "*") . T)) 
 NIL 
-(-918 -1478 P) 
+(-919 -1564 P) 
 ((|constructor| (NIL "This package exports interpolation algorithms")) (|LagrangeInterpolation| ((|#2| (|List| |#1|) (|List| |#1|)) "\\spad{LagrangeInterpolation(l1,{}l2)} \\undocumented"))) 
 NIL 
 NIL 
-(-919 |xx| -1478) 
+(-920 |xx| -1564) 
 ((|constructor| (NIL "This package exports interpolation algorithms")) (|interpolate| (((|SparseUnivariatePolynomial| |#2|) (|List| |#2|) (|List| |#2|)) "\\spad{interpolate(lf,{}lg)} \\undocumented") (((|UnivariatePolynomial| |#1| |#2|) (|UnivariatePolynomial| |#1| |#2|) (|List| |#2|) (|List| |#2|)) "\\spad{interpolate(u,{}lf,{}lg)} \\undocumented"))) 
 NIL 
 NIL 
-(-920 K PCS) 
+(-921 K PCS) 
 ((|constructor| (NIL "This is part of the PAFF package,{} related to projective space.")) (|elt| ((|#1| $ (|Integer|)) "\\spad{elt returns} the value of a specified coordinates if the places correspnd to a simple point")) (|setFoundPlacesToEmpty| (((|List| $)) "\\spad{setFoundPlacesToEmpty()} does what it says. (this should not be used)\\spad{!!!}")) (|foundPlaces| (((|List| $)) "\\spad{foundPlaces()} returns the list of all \"created\" places up to now.")) (|leaf?| (((|Boolean|) $) "\\spad{leaf?(pl)} test if the place \\spad{pl} correspond to a leaf of a desingularisation tree.")) (|setDegree!| (((|Void|) $ (|PositiveInteger|)) "\\spad{setDegree!(pl,{}ls)} set the degree.")) (|setParam!| (((|Void|) $ (|List| |#2|)) "\\spad{setParam!(pl,{}ls)} set the local parametrization of \\spad{pl} to \\spad{ls}.")) (|localParam| (((|List| |#2|) $) "\\spad{localParam(pl)} returns the local parametrization associated to the place \\spad{pl}."))) 
 NIL 
 NIL 
-(-921 K) 
+(-922 K) 
 ((|constructor| (NIL "The following is part of the PAFF package"))) 
 NIL 
 NIL 
-(-922 K) 
+(-923 K) 
 ((|constructor| (NIL "The following is part of the PAFF package"))) 
 NIL 
 NIL 
-(-923 K PCS) 
+(-924 K PCS) 
 ((|constructor| (NIL "The following is part of the PAFF package"))) 
 NIL 
 NIL 
-(-924 R |Var| |Expon| GR) 
+(-925 R |Var| |Expon| GR) 
 ((|constructor| (NIL "This package completely solves a parametric linear system of equations by decomposing the set of all parametric values for which the linear system is consistent into a union of quasi-algebraic sets (which need not be irredundant,{} but most of the time is). Each quasi-algebraic set is described by a list of polynomials that vanish on the set,{} and a list of polynomials that vanish at no point of the set. For each quasi-algebraic set,{} the solution of the linear system is given,{} as a particular solution and a basis of the homogeneous system. \\blankline The parametric linear system should be given in matrix form,{} with a coefficient matrix and a right hand side vector. The entries of the coefficient matrix and right hand side vector should be polynomials in the parametric variables,{} over a Euclidean domain of characteristic zero. \\blankline If the system is homogeneous,{} the right hand side need not be given. The right hand side can also be replaced by an indeterminate vector,{} in which case,{} the conditions required for consistency will also be given. \\blankline The package has other facilities for saving results to external files,{} as well as solving the system for a specified minimum rank. Altogether there are 12 mode maps for psolve,{} as explained below.")) (|inconsistent?| (((|Boolean|) (|List| (|Polynomial| |#1|))) "inconsistant?(\\spad{pl}) returns \\spad{true} if the system of equations \\spad{p} = 0 for \\spad{p} in \\spad{pl} is inconsistent. It is assumed that \\spad{pl} is a groebner basis.") (((|Boolean|) (|List| |#4|)) "inconsistant?(\\spad{pl}) returns \\spad{true} if the system of equations \\spad{p} = 0 for \\spad{p} in \\spad{pl} is inconsistent. It is assumed that \\spad{pl} is a groebner basis.")) (|sqfree| ((|#4| |#4|) "\\spad{sqfree(p)} returns the product of square free factors of \\spad{p}")) (|regime| (((|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))))) (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))) (|Matrix| |#4|) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|List| |#4|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|Integer|)) "\\spad{regime(y,{}c,{} w,{} p,{} r,{} rm,{} m)} returns a regime,{} a list of polynomials specifying the consistency conditions,{} a particular solution and basis representing the general solution of the parametric linear system \\spad{c} \\spad{z} = \\spad{w} on that regime. The regime returned depends on the subdeterminant \\spad{y}.det and the row and column indices. The solutions are simplified using the assumption that the system has rank \\spad{r} and maximum rank \\spad{rm}. The list \\spad{p} represents a list of list of factors of polynomials in a groebner basis of the ideal generated by higher order subdeterminants,{} and ius used for the simplification. The mode \\spad{m} distinguishes the cases when the system is homogeneous,{} or the right hand side is arbitrary,{} or when there is no new right hand side variables.")) (|redmat| (((|Matrix| |#4|) (|Matrix| |#4|) (|List| |#4|)) "\\spad{redmat(m,{}g)} returns a matrix whose entries are those of \\spad{m} modulo the ideal generated by the groebner basis \\spad{g}")) (|ParCond| (((|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|))))) (|Matrix| |#4|) (|NonNegativeInteger|)) "\\spad{ParCond(m,{}k)} returns the list of all \\spad{k} by \\spad{k} subdeterminants in the matrix \\spad{m}")) (|overset?| (((|Boolean|) (|List| |#4|) (|List| (|List| |#4|))) "\\spad{overset?(s,{}sl)} returns \\spad{true} if \\spad{s} properly a sublist of a member of \\spad{sl}; otherwise it returns \\spad{false}")) (|nextSublist| (((|List| (|List| (|Integer|))) (|Integer|) (|Integer|)) "\\spad{nextSublist(n,{}k)} returns a list of \\spad{k}-subsets of {1,{} ...,{} \\spad{n}}.")) (|minset| (((|List| (|List| |#4|)) (|List| (|List| |#4|))) "\\spad{minset(sl)} returns the sublist of \\spad{sl} consisting of the minimal lists (with respect to inclusion) in the list \\spad{sl} of lists")) (|minrank| (((|NonNegativeInteger|) (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| |#4|))))) "\\spad{minrank(r)} returns the minimum rank in the list \\spad{r} of regimes")) (|maxrank| (((|NonNegativeInteger|) (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| |#4|))))) "\\spad{maxrank(r)} returns the maximum rank in the list \\spad{r} of regimes")) (|factorset| (((|List| |#4|) |#4|) "\\spad{factorset(p)} returns the set of irreducible factors of \\spad{p}.")) (|B1solve| (((|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))) (|Record| (|:| |mat| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|:| |vec| (|List| (|Fraction| (|Polynomial| |#1|)))) (|:| |rank| (|NonNegativeInteger|)) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|))))) "\\spad{B1solve(s)} solves the system (\\spad{s}.mat) \\spad{z} = \\spad{s}.vec for the variables given by the column indices of \\spad{s}.cols in terms of the other variables and the right hand side \\spad{s}.vec by assuming that the rank is \\spad{s}.rank,{} that the system is consistent,{} with the linearly independent equations indexed by the given row indices \\spad{s}.rows; the coefficients in \\spad{s}.mat involving parameters are treated as polynomials. B1solve(\\spad{s}) returns a particular solution to the system and a basis of the homogeneous system (\\spad{s}.mat) \\spad{z} = 0.")) (|redpps| (((|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))) (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))) (|List| |#4|)) "\\spad{redpps(s,{}g)} returns the simplified form of \\spad{s} after reducing modulo a groebner basis \\spad{g}")) (|ParCondList| (((|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| |#4|)))) (|Matrix| |#4|) (|NonNegativeInteger|)) "\\spad{ParCondList(c,{}r)} computes a list of subdeterminants of each rank \\spad{>=} \\spad{r} of the matrix \\spad{c} and returns a groebner basis for the ideal they generate")) (|hasoln| (((|Record| (|:| |sysok| (|Boolean|)) (|:| |z0| (|List| |#4|)) (|:| |n0| (|List| |#4|))) (|List| |#4|) (|List| |#4|)) "\\spad{hasoln(g,{} l)} tests whether the quasi-algebraic set defined by \\spad{p} = 0 for \\spad{p} in \\spad{g} and \\spad{q} \\spad{^=} 0 for \\spad{q} in \\spad{l} is empty or not and returns a simplified definition of the quasi-algebraic set")) (|pr2dmp| ((|#4| (|Polynomial| |#1|)) "\\spad{pr2dmp(p)} converts \\spad{p} to target domain")) (|se2rfi| (((|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) "\\spad{se2rfi(l)} converts \\spad{l} to target domain")) (|dmp2rfi| (((|List| (|Fraction| (|Polynomial| |#1|))) (|List| |#4|)) "\\spad{dmp2rfi(l)} converts \\spad{l} to target domain") (((|Matrix| (|Fraction| (|Polynomial| |#1|))) (|Matrix| |#4|)) "\\spad{dmp2rfi(m)} converts \\spad{m} to target domain") (((|Fraction| (|Polynomial| |#1|)) |#4|) "\\spad{dmp2rfi(p)} converts \\spad{p} to target domain")) (|bsolve| (((|Record| (|:| |rgl| (|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))))))) (|:| |rgsz| (|Integer|))) (|Matrix| |#4|) (|List| (|Fraction| (|Polynomial| |#1|))) (|NonNegativeInteger|) (|String|) (|Integer|)) "\\spad{bsolve(c,{} w,{} r,{} s,{} m)} returns a list of regimes and solutions of the system \\spad{c} \\spad{z} = \\spad{w} for ranks at least \\spad{r}; depending on the mode \\spad{m} chosen,{} it writes the output to a file given by the string \\spad{s}.")) (|rdregime| (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|String|)) "\\spad{rdregime(s)} reads in a list from a file with name \\spad{s}")) (|wrregime| (((|Integer|) (|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|String|)) "\\spad{wrregime(l,{}s)} writes a list of regimes to a file named \\spad{s} and returns the number of regimes written")) (|psolve| (((|Integer|) (|Matrix| |#4|) (|PositiveInteger|) (|String|)) "\\spad{psolve(c,{}k,{}s)} solves \\spad{c} \\spad{z} = 0 for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c},{} writes the results to a file named \\spad{s},{} and returns the number of regimes") (((|Integer|) (|Matrix| |#4|) (|List| (|Symbol|)) (|PositiveInteger|) (|String|)) "\\spad{psolve(c,{}w,{}k,{}s)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c} and indeterminate right hand side \\spad{w},{} writes the results to a file named \\spad{s},{} and returns the number of regimes") (((|Integer|) (|Matrix| |#4|) (|List| |#4|) (|PositiveInteger|) (|String|)) "\\spad{psolve(c,{}w,{}k,{}s)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c} and given right hand side \\spad{w},{} writes the results to a file named \\spad{s},{} and returns the number of regimes") (((|Integer|) (|Matrix| |#4|) (|String|)) "\\spad{psolve(c,{}s)} solves \\spad{c} \\spad{z} = 0 for all possible ranks of the matrix \\spad{c} and given right hand side vector \\spad{w},{} writes the results to a file named \\spad{s},{} and returns the number of regimes") (((|Integer|) (|Matrix| |#4|) (|List| (|Symbol|)) (|String|)) "\\spad{psolve(c,{}w,{}s)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks of the matrix \\spad{c} and indeterminate right hand side \\spad{w},{} writes the results to a file named \\spad{s},{} and returns the number of regimes") (((|Integer|) (|Matrix| |#4|) (|List| |#4|) (|String|)) "\\spad{psolve(c,{}w,{}s)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks of the matrix \\spad{c} and given right hand side vector \\spad{w},{} writes the results to a file named \\spad{s},{} and returns the number of regimes") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|PositiveInteger|)) "\\spad{psolve(c)} solves the homogeneous linear system \\spad{c} \\spad{z} = 0 for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c}") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| (|Symbol|)) (|PositiveInteger|)) "\\spad{psolve(c,{}w,{}k)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c} and indeterminate right hand side \\spad{w}") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| |#4|) (|PositiveInteger|)) "\\spad{psolve(c,{}w,{}k)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c} and given right hand side vector \\spad{w}") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|)) "\\spad{psolve(c)} solves the homogeneous linear system \\spad{c} \\spad{z} = 0 for all possible ranks of the matrix \\spad{c}") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| (|Symbol|))) "\\spad{psolve(c,{}w)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks of the matrix \\spad{c} and indeterminate right hand side \\spad{w}") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| |#4|)) "\\spad{psolve(c,{}w)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks of the matrix \\spad{c} and given right hand side vector \\spad{w}"))) 
 NIL 
 NIL 
-(-925 S) 
+(-926 S) 
 ((|constructor| (NIL "\\spad{PlotFunctions1} provides facilities for plotting curves where functions \\spad{SF} \\spad{->} \\spad{SF} are specified by giving an expression")) (|plotPolar| (((|Plot|) |#1| (|Symbol|)) "\\spad{plotPolar(f,{}theta)} plots the graph of \\spad{r = f(theta)} as \\spad{theta} ranges from 0 to 2 \\spad{pi}") (((|Plot|) |#1| (|Symbol|) (|Segment| (|DoubleFloat|))) "\\spad{plotPolar(f,{}theta,{}seg)} plots the graph of \\spad{r = f(theta)} as \\spad{theta} ranges over an interval")) (|plot| (((|Plot|) |#1| |#1| (|Symbol|) (|Segment| (|DoubleFloat|))) "\\spad{plot(f,{}g,{}t,{}seg)} plots the graph of \\spad{x = f(t)},{} \\spad{y = g(t)} as \\spad{t} ranges over an interval.") (((|Plot|) |#1| (|Symbol|) (|Segment| (|DoubleFloat|))) "\\spad{plot(fcn,{}x,{}seg)} plots the graph of \\spad{y = f(x)} on a interval"))) 
 NIL 
 NIL 
-(-926) 
+(-927) 
 ((|constructor| (NIL "Plot3D supports parametric plots defined over a real number system. A real number system is a model for the real numbers and as such may be an approximation. For example,{} floating point numbers and infinite continued fractions are real number systems. The facilities at this point are limited to 3-dimensional parametric plots.")) (|debug3D| (((|Boolean|) (|Boolean|)) "\\spad{debug3D(true)} turns debug mode on; debug3D(\\spad{false}) turns debug mode off.")) (|numFunEvals3D| (((|Integer|)) "\\spad{numFunEvals3D()} returns the number of points computed.")) (|setAdaptive3D| (((|Boolean|) (|Boolean|)) "\\spad{setAdaptive3D(true)} turns adaptive plotting on; setAdaptive3D(\\spad{false}) turns adaptive plotting off.")) (|adaptive3D?| (((|Boolean|)) "\\spad{adaptive3D?()} determines whether plotting be done adaptively.")) (|setScreenResolution3D| (((|Integer|) (|Integer|)) "\\spad{setScreenResolution3D(i)} sets the screen resolution for a 3d graph to \\spad{i}.")) (|screenResolution3D| (((|Integer|)) "\\spad{screenResolution3D()} returns the screen resolution for a 3d graph.")) (|setMaxPoints3D| (((|Integer|) (|Integer|)) "\\spad{setMaxPoints3D(i)} sets the maximum number of points in a plot to \\spad{i}.")) (|maxPoints3D| (((|Integer|)) "\\spad{maxPoints3D()} returns the maximum number of points in a plot.")) (|setMinPoints3D| (((|Integer|) (|Integer|)) "\\spad{setMinPoints3D(i)} sets the minimum number of points in a plot to \\spad{i}.")) (|minPoints3D| (((|Integer|)) "\\spad{minPoints3D()} returns the minimum number of points in a plot.")) (|tValues| (((|List| (|List| (|DoubleFloat|))) $) "\\spad{tValues(p)} returns a list of lists of the values of the parameter for which a point is computed,{} one list for each curve in the plot \\spad{p}.")) (|tRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{tRange(p)} returns the range of the parameter in a parametric plot \\spad{p}.")) (|refine| (($ $) "\\spad{refine(x)} is not documented") (($ $ (|Segment| (|DoubleFloat|))) "\\spad{refine(x,{}r)} is not documented")) (|zoom| (($ $ (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{zoom(x,{}r,{}s,{}t)} is not documented")) (|plot| (($ $ (|Segment| (|DoubleFloat|))) "\\spad{plot(x,{}r)} is not documented") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot(f1,{}f2,{}f3,{}f4,{}x,{}y,{}z,{}w)} is not documented") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot(f,{}g,{}h,{}a..b)} plots {/emx = \\spad{f}(\\spad{t}),{} \\spad{y} = \\spad{g}(\\spad{t}),{} \\spad{z} = \\spad{h}(\\spad{t})} as \\spad{t} ranges over {/em[a,{}\\spad{b}]}.")) (|pointPlot| (($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{pointPlot(f,{}x,{}y,{}z,{}w)} is not documented") (($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{pointPlot(f,{}g,{}h,{}a..b)} plots {/emx = \\spad{f}(\\spad{t}),{} \\spad{y} = \\spad{g}(\\spad{t}),{} \\spad{z} = \\spad{h}(\\spad{t})} as \\spad{t} ranges over {/em[a,{}\\spad{b}]}."))) 
 NIL 
 NIL 
-(-927) 
+(-928) 
 ((|constructor| (NIL "The Plot domain supports plotting of functions defined over a real number system. A real number system is a model for the real numbers and as such may be an approximation. For example floating point numbers and infinite continued fractions. The facilities at this point are limited to 2-dimensional plots or either a single function or a parametric function.")) (|debug| (((|Boolean|) (|Boolean|)) "\\spad{debug(true)} turns debug mode on \\spad{debug(false)} turns debug mode off")) (|numFunEvals| (((|Integer|)) "\\spad{numFunEvals()} returns the number of points computed")) (|setAdaptive| (((|Boolean|) (|Boolean|)) "\\spad{setAdaptive(true)} turns adaptive plotting on \\spad{setAdaptive(false)} turns adaptive plotting off")) (|adaptive?| (((|Boolean|)) "\\spad{adaptive?()} determines whether plotting be done adaptively")) (|setScreenResolution| (((|Integer|) (|Integer|)) "\\spad{setScreenResolution(i)} sets the screen resolution to \\spad{i}")) (|screenResolution| (((|Integer|)) "\\spad{screenResolution()} returns the screen resolution")) (|setMaxPoints| (((|Integer|) (|Integer|)) "\\spad{setMaxPoints(i)} sets the maximum number of points in a plot to \\spad{i}")) (|maxPoints| (((|Integer|)) "\\spad{maxPoints()} returns the maximum number of points in a plot")) (|setMinPoints| (((|Integer|) (|Integer|)) "\\spad{setMinPoints(i)} sets the minimum number of points in a plot to \\spad{i}")) (|minPoints| (((|Integer|)) "\\spad{minPoints()} returns the minimum number of points in a plot")) (|tRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{tRange(p)} returns the range of the parameter in a parametric plot \\spad{p}")) (|refine| (($ $) "\\spad{refine(p)} performs a refinement on the plot \\spad{p}") (($ $ (|Segment| (|DoubleFloat|))) "\\spad{refine(x,{}r)} is not documented")) (|zoom| (($ $ (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{zoom(x,{}r,{}s)} is not documented") (($ $ (|Segment| (|DoubleFloat|))) "\\spad{zoom(x,{}r)} is not documented")) (|parametric?| (((|Boolean|) $) "\\spad{parametric? determines} whether it is a parametric plot?")) (|plotPolar| (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) "\\spad{plotPolar(f)} plots the polar curve \\spad{r = f(theta)} as theta ranges over the interval \\spad{[0,{}2*\\%\\spad{pi}]}; this is the same as the parametric curve \\spad{x = f(t)*cos(t)},{} \\spad{y = f(t)*sin(t)}.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plotPolar(f,{}a..b)} plots the polar curve \\spad{r = f(theta)} as theta ranges over the interval \\spad{[a,{}b]}; this is the same as the parametric curve \\spad{x = f(t)*cos(t)},{} \\spad{y = f(t)*sin(t)}.")) (|pointPlot| (($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{pointPlot(t +-> (f(t),{}g(t)),{}a..b,{}c..d,{}e..f)} plots the parametric curve \\spad{x = f(t)},{} \\spad{y = g(t)} as \\spad{t} ranges over the interval \\spad{[a,{}b]}; \\spad{x}-range of \\spad{[c,{}d]} and \\spad{y}-range of \\spad{[e,{}f]} are noted in Plot object.") (($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{pointPlot(t +-> (f(t),{}g(t)),{}a..b)} plots the parametric curve \\spad{x = f(t)},{} \\spad{y = g(t)} as \\spad{t} ranges over the interval \\spad{[a,{}b]}.")) (|plot| (($ $ (|Segment| (|DoubleFloat|))) "\\spad{plot(x,{}r)} is not documented") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot(f,{}g,{}a..b,{}c..d,{}e..f)} plots the parametric curve \\spad{x = f(t)},{} \\spad{y = g(t)} as \\spad{t} ranges over the interval \\spad{[a,{}b]}; \\spad{x}-range of \\spad{[c,{}d]} and \\spad{y}-range of \\spad{[e,{}f]} are noted in Plot object.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot(f,{}g,{}a..b)} plots the parametric curve \\spad{x = f(t)},{} \\spad{y = g(t)} as \\spad{t} ranges over the interval \\spad{[a,{}b]}.") (($ (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot([f1,{}...,{}fm],{}a..b,{}c..d)} plots the functions \\spad{y = f1(x)},{}...,{} \\spad{y = fm(x)} on the interval \\spad{a..b}; \\spad{y}-range of \\spad{[c,{}d]} is noted in Plot object.") (($ (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|DoubleFloat|))) "\\spad{plot([f1,{}...,{}fm],{}a..b)} plots the functions \\spad{y = f1(x)},{}...,{} \\spad{y = fm(x)} on the interval \\spad{a..b}.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot(f,{}a..b,{}c..d)} plots the function \\spad{f(x)} on the interval \\spad{[a,{}b]}; \\spad{y}-range of \\spad{[c,{}d]} is noted in Plot object.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\indented{1}{plot(\\spad{f},{}a..\\spad{b}) plots the function \\spad{f(x)}} \\indented{1}{on the interval \\spad{[a,{}b]}.} \\blankline \\spad{X} fp:=(t:DFLOAT):DFLOAT +-> sin(\\spad{t}) \\spad{X} plot(\\spad{fp},{}\\spad{-1}.0..1.0)\\$PLOT"))) 
 NIL 
 NIL 
-(-928) 
+(-929) 
 ((|constructor| (NIL "This package exports plotting tools")) (|calcRanges| (((|List| (|Segment| (|DoubleFloat|))) (|List| (|List| (|Point| (|DoubleFloat|))))) "\\spad{calcRanges(l)} \\undocumented"))) 
 NIL 
 NIL 
-(-929 K |PolyRing| E -1965 |ProjPt|) 
+(-930 K |PolyRing| E -4391 |ProjPt|) 
 ((|constructor| (NIL "The following is part of the PAFF package")) (|multiplicity| (((|NonNegativeInteger|) |#2| |#5| (|Integer|)) "\\spad{multiplicity returns} the multiplicity of the polynomial at given point.") (((|NonNegativeInteger|) |#2| |#5|) "\\spad{multiplicity returns} the multiplicity of the polynomial at given point.")) (|minimalForm| ((|#2| |#2| |#5| (|Integer|)) "\\spad{minimalForm returns} the minimal form after translation to the origin.") ((|#2| |#2| |#5|) "\\spad{minimalForm returns} the minimal form after translation to the origin.")) (|translateToOrigin| ((|#2| |#2| |#5|) "\\spad{translateToOrigin translate} the polynomial from the given point to the origin") ((|#2| |#2| |#5| (|Integer|)) "\\spad{translateToOrigin translate} the polynomial from the given point to the origin")) (|eval| ((|#1| |#2| |#5|) "\\spad{eval returns} the value at given point.")) (|pointInIdeal?| (((|Boolean|) (|List| |#2|) |#5|) "\\spad{pointInIdeal? test} if the given point is in the algebraic set defined by the given list of polynomials."))) 
 NIL 
 NIL 
-(-930 R -1478) 
+(-931 R -1564) 
 ((|constructor| (NIL "Attaching assertions to symbols for pattern matching.")) (|multiple| ((|#2| |#2|) "\\spad{multiple(x)} tells the pattern matcher that \\spad{x} should preferably match a multi-term quantity in a sum or product. For matching on lists,{} multiple(\\spad{x}) tells the pattern matcher that \\spad{x} should match a list instead of an element of a list. Error: if \\spad{x} is not a symbol.")) (|optional| ((|#2| |#2|) "\\spad{optional(x)} tells the pattern matcher that \\spad{x} can match an identity (0 in a sum,{} 1 in a product or exponentiation). Error: if \\spad{x} is not a symbol.")) (|constant| ((|#2| |#2|) "\\spad{constant(x)} tells the pattern matcher that \\spad{x} should match only the symbol \\spad{'x} and no other quantity. Error: if \\spad{x} is not a symbol.")) (|assert| ((|#2| |#2| (|String|)) "\\spad{assert(x,{} s)} makes the assertion \\spad{s} about \\spad{x}. Error: if \\spad{x} is not a symbol."))) 
 NIL 
 NIL 
-(-931) 
+(-932) 
 ((|constructor| (NIL "Attaching assertions to symbols for pattern matching.")) (|multiple| (((|Expression| (|Integer|)) (|Symbol|)) "\\spad{multiple(x)} tells the pattern matcher that \\spad{x} should preferably match a multi-term quantity in a sum or product. For matching on lists,{} multiple(\\spad{x}) tells the pattern matcher that \\spad{x} should match a list instead of an element of a list.")) (|optional| (((|Expression| (|Integer|)) (|Symbol|)) "\\spad{optional(x)} tells the pattern matcher that \\spad{x} can match an identity (0 in a sum,{} 1 in a product or exponentiation)..")) (|constant| (((|Expression| (|Integer|)) (|Symbol|)) "\\spad{constant(x)} tells the pattern matcher that \\spad{x} should match only the symbol \\spad{'x} and no other quantity.")) (|assert| (((|Expression| (|Integer|)) (|Symbol|) (|String|)) "\\spad{assert(x,{} s)} makes the assertion \\spad{s} about \\spad{x}."))) 
 NIL 
 NIL 
-(-932 S A B) 
+(-933 S A B) 
 ((|constructor| (NIL "This packages provides tools for matching recursively in type towers.")) (|patternMatch| (((|PatternMatchResult| |#1| |#3|) |#2| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)) "\\spad{patternMatch(expr,{} pat,{} res)} matches the pattern \\spad{pat} to the expression \\spad{expr}; res contains the variables of \\spad{pat} which are already matched and their matches. Note that this function handles type towers by changing the predicates and calling the matching function provided by \\spad{A}.")) (|fixPredicate| (((|Mapping| (|Boolean|) |#2|) (|Mapping| (|Boolean|) |#3|)) "\\spad{fixPredicate(f)} returns \\spad{g} defined by \\spad{g}(a) = \\spad{f}(a::B)."))) 
 NIL 
 NIL 
-(-933 S R -1478) 
+(-934 S R -1564) 
 ((|constructor| (NIL "This package provides pattern matching functions on function spaces.")) (|patternMatch| (((|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)) "\\spad{patternMatch(expr,{} pat,{} res)} matches the pattern \\spad{pat} to the expression \\spad{expr}; res contains the variables of \\spad{pat} which are already matched and their matches."))) 
 NIL 
 NIL 
-(-934 I) 
+(-935 I) 
 ((|constructor| (NIL "This package provides pattern matching functions on integers.")) (|patternMatch| (((|PatternMatchResult| (|Integer|) |#1|) |#1| (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) |#1|)) "\\spad{patternMatch(n,{} pat,{} res)} matches the pattern \\spad{pat} to the integer \\spad{n}; res contains the variables of \\spad{pat} which are already matched and their matches."))) 
 NIL 
 NIL 
-(-935 S E) 
+(-936 S E) 
 ((|constructor| (NIL "This package provides pattern matching functions on kernels.")) (|patternMatch| (((|PatternMatchResult| |#1| |#2|) (|Kernel| |#2|) (|Pattern| |#1|) (|PatternMatchResult| |#1| |#2|)) "\\spad{patternMatch(f(e1,{}...,{}en),{} pat,{} res)} matches the pattern \\spad{pat} to \\spad{f(e1,{}...,{}en)}; res contains the variables of \\spad{pat} which are already matched and their matches."))) 
 NIL 
 NIL 
-(-936 S R L) 
+(-937 S R L) 
 ((|constructor| (NIL "This package provides pattern matching functions on lists.")) (|patternMatch| (((|PatternMatchListResult| |#1| |#2| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchListResult| |#1| |#2| |#3|)) "\\spad{patternMatch(l,{} pat,{} res)} matches the pattern \\spad{pat} to the list \\spad{l}; res contains the variables of \\spad{pat} which are already matched and their matches."))) 
 NIL 
 NIL 
-(-937 S E V R P) 
+(-938 S E V R P) 
 ((|constructor| (NIL "This package provides pattern matching functions on polynomials.")) (|patternMatch| (((|PatternMatchResult| |#1| |#5|) |#5| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#5|)) "\\spad{patternMatch(p,{} pat,{} res)} matches the pattern \\spad{pat} to the polynomial \\spad{p}; res contains the variables of \\spad{pat} which are already matched and their matches.") (((|PatternMatchResult| |#1| |#5|) |#5| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#5|) (|Mapping| (|PatternMatchResult| |#1| |#5|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#5|))) "\\spad{patternMatch(p,{} pat,{} res,{} vmatch)} matches the pattern \\spad{pat} to the polynomial \\spad{p}. \\spad{res} contains the variables of \\spad{pat} which are already matched and their matches; vmatch is the matching function to use on the variables."))) 
 NIL 
-((|HasCategory| |#3| (LIST (QUOTE -881) (|devaluate| |#1|)))) 
-(-938 R -1478 -3192) 
+((|HasCategory| |#3| (LIST (QUOTE -882) (|devaluate| |#1|)))) 
+(-939 R -1564 -3022) 
 ((|constructor| (NIL "Attaching predicates to symbols for pattern matching.")) (|suchThat| ((|#2| |#2| (|List| (|Mapping| (|Boolean|) |#3|))) "\\spad{suchThat(x,{} [f1,{} f2,{} ...,{} fn])} attaches the predicate \\spad{f1} and \\spad{f2} and ... and \\spad{fn} to \\spad{x}. Error: if \\spad{x} is not a symbol.") ((|#2| |#2| (|Mapping| (|Boolean|) |#3|)) "\\spad{suchThat(x,{} foo)} attaches the predicate foo to \\spad{x}; error if \\spad{x} is not a symbol."))) 
 NIL 
 NIL 
-(-939 -3192) 
+(-940 -3022) 
 ((|constructor| (NIL "Attaching predicates to symbols for pattern matching.")) (|suchThat| (((|Expression| (|Integer|)) (|Symbol|) (|List| (|Mapping| (|Boolean|) |#1|))) "\\spad{suchThat(x,{} [f1,{} f2,{} ...,{} fn])} attaches the predicate \\spad{f1} and \\spad{f2} and ... and \\spad{fn} to \\spad{x}.") (((|Expression| (|Integer|)) (|Symbol|) (|Mapping| (|Boolean|) |#1|)) "\\spad{suchThat(x,{} foo)} attaches the predicate foo to \\spad{x}."))) 
 NIL 
 NIL 
-(-940 S R Q) 
+(-941 S R Q) 
 ((|constructor| (NIL "This package provides pattern matching functions on quotients.")) (|patternMatch| (((|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)) "\\spad{patternMatch(a/b,{} pat,{} res)} matches the pattern \\spad{pat} to the quotient \\spad{a/b}; res contains the variables of \\spad{pat} which are already matched and their matches."))) 
 NIL 
 NIL 
-(-941 S) 
+(-942 S) 
 ((|constructor| (NIL "This package provides pattern matching functions on symbols.")) (|patternMatch| (((|PatternMatchResult| |#1| (|Symbol|)) (|Symbol|) (|Pattern| |#1|) (|PatternMatchResult| |#1| (|Symbol|))) "\\spad{patternMatch(expr,{} pat,{} res)} matches the pattern \\spad{pat} to the expression \\spad{expr}; res contains the variables of \\spad{pat} which are already matched and their matches (necessary for recursion)."))) 
 NIL 
 NIL 
-(-942 S R P) 
+(-943 S R P) 
 ((|constructor| (NIL "This package provides tools for the pattern matcher.")) (|patternMatchTimes| (((|PatternMatchResult| |#1| |#3|) (|List| |#3|) (|List| (|Pattern| |#1|)) (|PatternMatchResult| |#1| |#3|) (|Mapping| (|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|))) "\\spad{patternMatchTimes(lsubj,{} lpat,{} res,{} match)} matches the product of patterns \\spad{reduce(*,{}lpat)} to the product of subjects \\spad{reduce(*,{}lsubj)}; \\spad{r} contains the previous matches and match is a pattern-matching function on \\spad{P}.")) (|patternMatch| (((|PatternMatchResult| |#1| |#3|) (|List| |#3|) (|List| (|Pattern| |#1|)) (|Mapping| |#3| (|List| |#3|)) (|PatternMatchResult| |#1| |#3|) (|Mapping| (|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|))) "\\spad{patternMatch(lsubj,{} lpat,{} op,{} res,{} match)} matches the list of patterns \\spad{lpat} to the list of subjects \\spad{lsubj},{} allowing for commutativity; \\spad{op} is the operator such that \\spad{op}(\\spad{lpat}) should match \\spad{op}(\\spad{lsubj}) at the end,{} \\spad{r} contains the previous matches,{} and match is a pattern-matching function on \\spad{P}."))) 
 NIL 
 NIL 
-(-943) 
+(-944) 
 ((|constructor| (NIL "This package provides various polynomial number theoretic functions over the integers.")) (|legendre| (((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{legendre(n)} returns the \\spad{n}th Legendre polynomial \\spad{P[n](x)}. Note that Legendre polynomials,{} denoted \\spad{P[n](x)},{} are computed from the two term recurrence. The generating function is: \\spad{1/sqrt(1-2*t*x+t**2) = sum(P[n](x)*t**n,{} n=0..infinity)}.")) (|laguerre| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{laguerre(n)} returns the \\spad{n}th Laguerre polynomial \\spad{L[n](x)}. Note that Laguerre polynomials,{} denoted \\spad{L[n](x)},{} are computed from the two term recurrence. The generating function is: \\spad{exp(x*t/(t-1))/(1-t) = sum(L[n](x)*t**n/n!,{} n=0..infinity)}.")) (|hermite| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{hermite(n)} returns the \\spad{n}th Hermite polynomial \\spad{H[n](x)}. Note that Hermite polynomials,{} denoted \\spad{H[n](x)},{} are computed from the two term recurrence. The generating function is: \\spad{exp(2*t*x-t**2) = sum(H[n](x)*t**n/n!,{} n=0..infinity)}.")) (|fixedDivisor| (((|Integer|) (|SparseUnivariatePolynomial| (|Integer|))) "\\spad{fixedDivisor(a)} for \\spad{a(x)} in \\spad{Z[x]} is the largest integer \\spad{f} such that \\spad{f} divides \\spad{a(x=k)} for all integers \\spad{k}. Note that fixed divisor of \\spad{a} is \\spad{reduce(gcd,{}[a(x=k) for k in 0..degree(a)])}.")) (|euler| (((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{euler(n)} returns the \\spad{n}th Euler polynomial \\spad{E[n](x)}. Note that Euler polynomials denoted \\spad{E(n,{}x)} computed by solving the differential equation \\spad{differentiate(E(n,{}x),{}x) = n E(n-1,{}x)} where \\spad{E(0,{}x) = 1} and initial condition comes from \\spad{E(n) = 2**n E(n,{}1/2)}.")) (|cyclotomic| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{cyclotomic(n)} returns the \\spad{n}th cyclotomic polynomial \\spad{phi[n](x)}. Note that \\spad{phi[n](x)} is the factor of \\spad{x**n - 1} whose roots are the primitive \\spad{n}th roots of unity.")) (|chebyshevU| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{chebyshevU(n)} returns the \\spad{n}th Chebyshev polynomial \\spad{U[n](x)}. Note that Chebyshev polynomials of the second kind,{} denoted \\spad{U[n](x)},{} computed from the two term recurrence. The generating function \\spad{1/(1-2*t*x+t**2) = sum(T[n](x)*t**n,{} n=0..infinity)}.")) (|chebyshevT| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{chebyshevT(n)} returns the \\spad{n}th Chebyshev polynomial \\spad{T[n](x)}. Note that Chebyshev polynomials of the first kind,{} denoted \\spad{T[n](x)},{} computed from the two term recurrence. The generating function \\spad{(1-t*x)/(1-2*t*x+t**2) = sum(T[n](x)*t**n,{} n=0..infinity)}.")) (|bernoulli| (((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{bernoulli(n)} returns the \\spad{n}th Bernoulli polynomial \\spad{B[n](x)}. Bernoulli polynomials denoted \\spad{B(n,{}x)} computed by solving the differential equation \\spad{differentiate(B(n,{}x),{}x) = n B(n-1,{}x)} where \\spad{B(0,{}x) = 1} and initial condition comes from \\spad{B(n) = B(n,{}0)}."))) 
 NIL 
 NIL 
-(-944 R) 
+(-945 R) 
 ((|constructor| (NIL "This domain implements points in coordinate space"))) 
-((-4522 . T) (-4521 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (QUOTE (-842))) (-2199 (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-1090)))) (|HasCategory| (-568) (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-716))) (|HasCategory| |#1| (QUOTE (-1047))) (-12 (|HasCategory| |#1| (QUOTE (-1002))) (|HasCategory| |#1| (QUOTE (-1047)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-842)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))))) 
-(-945 |lv| R) 
+((-4536 . T) (-4535 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (-2232 (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-717))) (|HasCategory| |#1| (QUOTE (-1048))) (-12 (|HasCategory| |#1| (QUOTE (-1003))) (|HasCategory| |#1| (QUOTE (-1048)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-843)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
+(-946 |lv| R) 
 ((|constructor| (NIL "Package with the conversion functions among different kind of polynomials")) (|pToDmp| (((|DistributedMultivariatePolynomial| |#1| |#2|) (|Polynomial| |#2|)) "\\spad{pToDmp(p)} converts \\spad{p} from a \\spadtype{POLY} to a \\spadtype{DMP}.")) (|dmpToP| (((|Polynomial| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|)) "\\spad{dmpToP(p)} converts \\spad{p} from a \\spadtype{DMP} to a \\spadtype{POLY}.")) (|hdmpToP| (((|Polynomial| |#2|) (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) "\\spad{hdmpToP(p)} converts \\spad{p} from a \\spadtype{HDMP} to a \\spadtype{POLY}.")) (|pToHdmp| (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|Polynomial| |#2|)) "\\spad{pToHdmp(p)} converts \\spad{p} from a \\spadtype{POLY} to a \\spadtype{HDMP}.")) (|hdmpToDmp| (((|DistributedMultivariatePolynomial| |#1| |#2|) (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) "\\spad{hdmpToDmp(p)} converts \\spad{p} from a \\spadtype{HDMP} to a \\spadtype{DMP}.")) (|dmpToHdmp| (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|)) "\\spad{dmpToHdmp(p)} converts \\spad{p} from a \\spadtype{DMP} to a \\spadtype{HDMP}."))) 
 NIL 
 NIL 
-(-946 |TheField| |ThePols|) 
+(-947 |TheField| |ThePols|) 
 ((|constructor| (NIL "\\axiomType{RealPolynomialUtilitiesPackage} provides common functions used by interval coding.")) (|lazyVariations| (((|NonNegativeInteger|) (|List| |#1|) (|Integer|) (|Integer|)) "\\axiom{lazyVariations(\\spad{l},{}\\spad{s1},{}\\spad{sn})} is the number of sign variations in the list of non null numbers [s1::l]\\spad{@sn},{}")) (|sturmVariationsOf| (((|NonNegativeInteger|) (|List| |#1|)) "\\axiom{sturmVariationsOf(\\spad{l})} is the number of sign variations in the list of numbers \\spad{l},{} note that the first term counts as a sign")) (|boundOfCauchy| ((|#1| |#2|) "\\axiom{boundOfCauchy(\\spad{p})} bounds the roots of \\spad{p}")) (|sturmSequence| (((|List| |#2|) |#2|) "\\axiom{sturmSequence(\\spad{p}) = sylvesterSequence(\\spad{p},{}\\spad{p'})}")) (|sylvesterSequence| (((|List| |#2|) |#2| |#2|) "\\axiom{sylvesterSequence(\\spad{p},{}\\spad{q})} is the negated remainder sequence of \\spad{p} and \\spad{q} divided by the last computed term"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-840)))) 
-(-947 R S) 
+((|HasCategory| |#1| (QUOTE (-841)))) 
+(-948 R S) 
 ((|constructor| (NIL "This package takes a mapping between coefficient rings,{} and lifts it to a mapping between polynomials over those rings.")) (|map| (((|Polynomial| |#2|) (|Mapping| |#2| |#1|) (|Polynomial| |#1|)) "\\spad{map(f,{} p)} produces a new polynomial as a result of applying the function \\spad{f} to every coefficient of the polynomial \\spad{p}."))) 
 NIL 
 NIL 
-(-948 |x| R) 
+(-949 |x| R) 
 ((|constructor| (NIL "This package is primarily to help the interpreter do coercions. It allows you to view a polynomial as a univariate polynomial in one of its variables with coefficients which are again a polynomial in all the other variables.")) (|univariate| (((|UnivariatePolynomial| |#1| (|Polynomial| |#2|)) (|Polynomial| |#2|) (|Variable| |#1|)) "\\spad{univariate(p,{} x)} converts the polynomial \\spad{p} to a one of type \\spad{UnivariatePolynomial(x,{}Polynomial(R))},{} ie. as a member of \\spad{R[...][x]}."))) 
 NIL 
 NIL 
-(-949 S R E |VarSet|) 
+(-950 S R E |VarSet|) 
 ((|constructor| (NIL "The category for general multi-variate polynomials over a ring \\spad{R},{} in variables from VarSet,{} with exponents from the \\spadtype{OrderedAbelianMonoidSup}.")) (|canonicalUnitNormal| ((|attribute|) "we can choose a unique representative for each associate class. This normalization is chosen to be normalization of leading coefficient (by default).")) (|squareFreePart| (($ $) "\\spad{squareFreePart(p)} returns product of all the irreducible factors of polynomial \\spad{p} each taken with multiplicity one.")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(p)} returns the square free factorization of the polynomial \\spad{p}.")) (|primitivePart| (($ $ |#4|) "\\spad{primitivePart(p,{}v)} returns the unitCanonical associate of the polynomial \\spad{p} with its content with respect to the variable \\spad{v} divided out.") (($ $) "\\spad{primitivePart(p)} returns the unitCanonical associate of the polynomial \\spad{p} with its content divided out.")) (|content| (($ $ |#4|) "\\spad{content(p,{}v)} is the \\spad{gcd} of the coefficients of the polynomial \\spad{p} when \\spad{p} is viewed as a univariate polynomial with respect to the variable \\spad{v}. Thus,{} for polynomial 7*x**2*y + 14*x*y**2,{} the \\spad{gcd} of the coefficients with respect to \\spad{x} is 7*y.")) (|discriminant| (($ $ |#4|) "\\spad{discriminant(p,{}v)} returns the disriminant of the polynomial \\spad{p} with respect to the variable \\spad{v}.")) (|resultant| (($ $ $ |#4|) "\\spad{resultant(p,{}q,{}v)} returns the resultant of the polynomials \\spad{p} and \\spad{q} with respect to the variable \\spad{v}.")) (|primitiveMonomials| (((|List| $) $) "\\spad{primitiveMonomials(p)} gives the list of monomials of the polynomial \\spad{p} with their coefficients removed. Note that \\spad{primitiveMonomials(sum(a_(i) X^(i))) = [X^(1),{}...,{}X^(n)]}.")) (|variables| (((|List| |#4|) $) "\\spad{variables(p)} returns the list of those variables actually appearing in the polynomial \\spad{p}.")) (|totalDegree| (((|NonNegativeInteger|) $ (|List| |#4|)) "\\spad{totalDegree(p,{} lv)} returns the maximum sum (over all monomials of polynomial \\spad{p}) of the variables in the list \\spad{lv}.") (((|NonNegativeInteger|) $) "\\spad{totalDegree(p)} returns the largest sum over all monomials of all exponents of a monomial.")) (|isExpt| (((|Union| (|Record| (|:| |var| |#4|) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) "\\spad{isExpt(p)} returns \\spad{[x,{} n]} if polynomial \\spad{p} has the form \\spad{x**n} and \\spad{n > 0}.")) (|isTimes| (((|Union| (|List| $) "failed") $) "\\spad{isTimes(p)} returns \\spad{[a1,{}...,{}an]} if polynomial \\spad{p = a1 ... an} and \\spad{n >= 2},{} and,{} for each \\spad{i},{} \\spad{ai} is either a nontrivial constant in \\spad{R} or else of the form \\spad{x**e},{} where \\spad{e > 0} is an integer and \\spad{x} in a member of VarSet.")) (|isPlus| (((|Union| (|List| $) "failed") $) "\\spad{isPlus(p)} returns \\spad{[m1,{}...,{}mn]} if polynomial \\spad{p = m1 + ... + mn} and \\spad{n >= 2} and each \\spad{mi} is a nonzero monomial.")) (|multivariate| (($ (|SparseUnivariatePolynomial| $) |#4|) "\\spad{multivariate(sup,{}v)} converts an anonymous univariable polynomial \\spad{sup} to a polynomial in the variable \\spad{v}.") (($ (|SparseUnivariatePolynomial| |#2|) |#4|) "\\spad{multivariate(sup,{}v)} converts an anonymous univariable polynomial \\spad{sup} to a polynomial in the variable \\spad{v}.")) (|monomial| (($ $ (|List| |#4|) (|List| (|NonNegativeInteger|))) "\\spad{monomial(a,{}[v1..vn],{}[e1..en])} returns \\spad{a*prod(vi**ei)}.") (($ $ |#4| (|NonNegativeInteger|)) "\\spad{monomial(a,{}x,{}n)} creates the monomial \\spad{a*x**n} where \\spad{a} is a polynomial,{} \\spad{x} is a variable and \\spad{n} is a nonnegative integer.")) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ |#4|) "\\spad{monicDivide(a,{}b,{}v)} divides the polynomial a by the polynomial \\spad{b},{} with each viewed as a univariate polynomial in \\spad{v} returning both the quotient and remainder. Error: if \\spad{b} is not monic with respect to \\spad{v}.")) (|minimumDegree| (((|List| (|NonNegativeInteger|)) $ (|List| |#4|)) "\\spad{minimumDegree(p,{} lv)} gives the list of minimum degrees of the polynomial \\spad{p} with respect to each of the variables in the list \\spad{lv}") (((|NonNegativeInteger|) $ |#4|) "\\spad{minimumDegree(p,{}v)} gives the minimum degree of polynomial \\spad{p} with respect to \\spad{v},{} \\spadignore{i.e.} viewed a univariate polynomial in \\spad{v}")) (|mainVariable| (((|Union| |#4| "failed") $) "\\spad{mainVariable(p)} returns the biggest variable which actually occurs in the polynomial \\spad{p},{} or \"failed\" if no variables are present. fails precisely if polynomial satisfies ground?")) (|univariate| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{univariate(p)} converts the multivariate polynomial \\spad{p},{} which should actually involve only one variable,{} into a univariate polynomial in that variable,{} whose coefficients are in the ground ring. Error: if polynomial is genuinely multivariate") (((|SparseUnivariatePolynomial| $) $ |#4|) "\\spad{univariate(p,{}v)} converts the multivariate polynomial \\spad{p} into a univariate polynomial in \\spad{v},{} whose coefficients are still multivariate polynomials (in all the other variables).")) (|monomials| (((|List| $) $) "\\spad{monomials(p)} returns the list of non-zero monomials of polynomial \\spad{p},{} \\spadignore{i.e.} \\spad{monomials(sum(a_(i) X^(i))) = [a_(1) X^(1),{}...,{}a_(n) X^(n)]}.")) (|coefficient| (($ $ (|List| |#4|) (|List| (|NonNegativeInteger|))) "\\spad{coefficient(p,{} lv,{} ln)} views the polynomial \\spad{p} as a polynomial in the variables of \\spad{lv} and returns the coefficient of the term \\spad{lv**ln},{} \\spadignore{i.e.} \\spad{prod(lv_i ** ln_i)}.") (($ $ |#4| (|NonNegativeInteger|)) "\\spad{coefficient(p,{}v,{}n)} views the polynomial \\spad{p} as a univariate polynomial in \\spad{v} and returns the coefficient of the \\spad{v**n} term.")) (|degree| (((|List| (|NonNegativeInteger|)) $ (|List| |#4|)) "\\spad{degree(p,{}lv)} gives the list of degrees of polynomial \\spad{p} with respect to each of the variables in the list \\spad{lv}.") (((|NonNegativeInteger|) $ |#4|) "\\spad{degree(p,{}v)} gives the degree of polynomial \\spad{p} with respect to the variable \\spad{v}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-904))) (|HasAttribute| |#2| (QUOTE -4519)) (|HasCategory| |#2| (QUOTE (-453))) (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#4| (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#2| (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#4| (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#4| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#2| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#4| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#4| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#2| (QUOTE (-842)))) 
-(-950 R E |VarSet|) 
+((|HasCategory| |#2| (QUOTE (-905))) (|HasAttribute| |#2| (QUOTE -4533)) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#4| (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#4| (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#4| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#4| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-843)))) 
+(-951 R E |VarSet|) 
 ((|constructor| (NIL "The category for general multi-variate polynomials over a ring \\spad{R},{} in variables from VarSet,{} with exponents from the \\spadtype{OrderedAbelianMonoidSup}.")) (|canonicalUnitNormal| ((|attribute|) "we can choose a unique representative for each associate class. This normalization is chosen to be normalization of leading coefficient (by default).")) (|squareFreePart| (($ $) "\\spad{squareFreePart(p)} returns product of all the irreducible factors of polynomial \\spad{p} each taken with multiplicity one.")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(p)} returns the square free factorization of the polynomial \\spad{p}.")) (|primitivePart| (($ $ |#3|) "\\spad{primitivePart(p,{}v)} returns the unitCanonical associate of the polynomial \\spad{p} with its content with respect to the variable \\spad{v} divided out.") (($ $) "\\spad{primitivePart(p)} returns the unitCanonical associate of the polynomial \\spad{p} with its content divided out.")) (|content| (($ $ |#3|) "\\spad{content(p,{}v)} is the \\spad{gcd} of the coefficients of the polynomial \\spad{p} when \\spad{p} is viewed as a univariate polynomial with respect to the variable \\spad{v}. Thus,{} for polynomial 7*x**2*y + 14*x*y**2,{} the \\spad{gcd} of the coefficients with respect to \\spad{x} is 7*y.")) (|discriminant| (($ $ |#3|) "\\spad{discriminant(p,{}v)} returns the disriminant of the polynomial \\spad{p} with respect to the variable \\spad{v}.")) (|resultant| (($ $ $ |#3|) "\\spad{resultant(p,{}q,{}v)} returns the resultant of the polynomials \\spad{p} and \\spad{q} with respect to the variable \\spad{v}.")) (|primitiveMonomials| (((|List| $) $) "\\spad{primitiveMonomials(p)} gives the list of monomials of the polynomial \\spad{p} with their coefficients removed. Note that \\spad{primitiveMonomials(sum(a_(i) X^(i))) = [X^(1),{}...,{}X^(n)]}.")) (|variables| (((|List| |#3|) $) "\\spad{variables(p)} returns the list of those variables actually appearing in the polynomial \\spad{p}.")) (|totalDegree| (((|NonNegativeInteger|) $ (|List| |#3|)) "\\spad{totalDegree(p,{} lv)} returns the maximum sum (over all monomials of polynomial \\spad{p}) of the variables in the list \\spad{lv}.") (((|NonNegativeInteger|) $) "\\spad{totalDegree(p)} returns the largest sum over all monomials of all exponents of a monomial.")) (|isExpt| (((|Union| (|Record| (|:| |var| |#3|) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) "\\spad{isExpt(p)} returns \\spad{[x,{} n]} if polynomial \\spad{p} has the form \\spad{x**n} and \\spad{n > 0}.")) (|isTimes| (((|Union| (|List| $) "failed") $) "\\spad{isTimes(p)} returns \\spad{[a1,{}...,{}an]} if polynomial \\spad{p = a1 ... an} and \\spad{n >= 2},{} and,{} for each \\spad{i},{} \\spad{ai} is either a nontrivial constant in \\spad{R} or else of the form \\spad{x**e},{} where \\spad{e > 0} is an integer and \\spad{x} in a member of VarSet.")) (|isPlus| (((|Union| (|List| $) "failed") $) "\\spad{isPlus(p)} returns \\spad{[m1,{}...,{}mn]} if polynomial \\spad{p = m1 + ... + mn} and \\spad{n >= 2} and each \\spad{mi} is a nonzero monomial.")) (|multivariate| (($ (|SparseUnivariatePolynomial| $) |#3|) "\\spad{multivariate(sup,{}v)} converts an anonymous univariable polynomial \\spad{sup} to a polynomial in the variable \\spad{v}.") (($ (|SparseUnivariatePolynomial| |#1|) |#3|) "\\spad{multivariate(sup,{}v)} converts an anonymous univariable polynomial \\spad{sup} to a polynomial in the variable \\spad{v}.")) (|monomial| (($ $ (|List| |#3|) (|List| (|NonNegativeInteger|))) "\\spad{monomial(a,{}[v1..vn],{}[e1..en])} returns \\spad{a*prod(vi**ei)}.") (($ $ |#3| (|NonNegativeInteger|)) "\\spad{monomial(a,{}x,{}n)} creates the monomial \\spad{a*x**n} where \\spad{a} is a polynomial,{} \\spad{x} is a variable and \\spad{n} is a nonnegative integer.")) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ |#3|) "\\spad{monicDivide(a,{}b,{}v)} divides the polynomial a by the polynomial \\spad{b},{} with each viewed as a univariate polynomial in \\spad{v} returning both the quotient and remainder. Error: if \\spad{b} is not monic with respect to \\spad{v}.")) (|minimumDegree| (((|List| (|NonNegativeInteger|)) $ (|List| |#3|)) "\\spad{minimumDegree(p,{} lv)} gives the list of minimum degrees of the polynomial \\spad{p} with respect to each of the variables in the list \\spad{lv}") (((|NonNegativeInteger|) $ |#3|) "\\spad{minimumDegree(p,{}v)} gives the minimum degree of polynomial \\spad{p} with respect to \\spad{v},{} \\spadignore{i.e.} viewed a univariate polynomial in \\spad{v}")) (|mainVariable| (((|Union| |#3| "failed") $) "\\spad{mainVariable(p)} returns the biggest variable which actually occurs in the polynomial \\spad{p},{} or \"failed\" if no variables are present. fails precisely if polynomial satisfies ground?")) (|univariate| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{univariate(p)} converts the multivariate polynomial \\spad{p},{} which should actually involve only one variable,{} into a univariate polynomial in that variable,{} whose coefficients are in the ground ring. Error: if polynomial is genuinely multivariate") (((|SparseUnivariatePolynomial| $) $ |#3|) "\\spad{univariate(p,{}v)} converts the multivariate polynomial \\spad{p} into a univariate polynomial in \\spad{v},{} whose coefficients are still multivariate polynomials (in all the other variables).")) (|monomials| (((|List| $) $) "\\spad{monomials(p)} returns the list of non-zero monomials of polynomial \\spad{p},{} \\spadignore{i.e.} \\spad{monomials(sum(a_(i) X^(i))) = [a_(1) X^(1),{}...,{}a_(n) X^(n)]}.")) (|coefficient| (($ $ (|List| |#3|) (|List| (|NonNegativeInteger|))) "\\spad{coefficient(p,{} lv,{} ln)} views the polynomial \\spad{p} as a polynomial in the variables of \\spad{lv} and returns the coefficient of the term \\spad{lv**ln},{} \\spadignore{i.e.} \\spad{prod(lv_i ** ln_i)}.") (($ $ |#3| (|NonNegativeInteger|)) "\\spad{coefficient(p,{}v,{}n)} views the polynomial \\spad{p} as a univariate polynomial in \\spad{v} and returns the coefficient of the \\spad{v**n} term.")) (|degree| (((|List| (|NonNegativeInteger|)) $ (|List| |#3|)) "\\spad{degree(p,{}lv)} gives the list of degrees of polynomial \\spad{p} with respect to each of the variables in the list \\spad{lv}.") (((|NonNegativeInteger|) $ |#3|) "\\spad{degree(p,{}v)} gives the degree of polynomial \\spad{p} with respect to the variable \\spad{v}."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4519 |has| |#1| (-6 -4519)) (-4516 . T) (-4515 . T) (-4518 . T)) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
 NIL 
-(-951 E V R P -1478) 
+(-952 E V R P -1564) 
 ((|constructor| (NIL "Manipulations on polynomial quotients This package transforms multivariate polynomials or fractions into univariate polynomials or fractions,{} and back.")) (|isPower| (((|Union| (|Record| (|:| |val| |#5|) (|:| |exponent| (|Integer|))) "failed") |#5|) "\\spad{isPower(p)} returns \\spad{[x,{} n]} if \\spad{p = x**n} and \\spad{n <> 0},{} \"failed\" otherwise.")) (|isExpt| (((|Union| (|Record| (|:| |var| |#2|) (|:| |exponent| (|Integer|))) "failed") |#5|) "\\spad{isExpt(p)} returns \\spad{[x,{} n]} if \\spad{p = x**n} and \\spad{n <> 0},{} \"failed\" otherwise.")) (|isTimes| (((|Union| (|List| |#5|) "failed") |#5|) "\\spad{isTimes(p)} returns \\spad{[a1,{}...,{}an]} if \\spad{p = a1 ... an} and \\spad{n > 1},{} \"failed\" otherwise.")) (|isPlus| (((|Union| (|List| |#5|) "failed") |#5|) "\\spad{isPlus(p)} returns [\\spad{m1},{}...,{}\\spad{mn}] if \\spad{p = m1 + ... + mn} and \\spad{n > 1},{} \"failed\" otherwise.")) (|multivariate| ((|#5| (|Fraction| (|SparseUnivariatePolynomial| |#5|)) |#2|) "\\spad{multivariate(f,{} v)} applies both the numerator and denominator of \\spad{f} to \\spad{v}.")) (|univariate| (((|SparseUnivariatePolynomial| |#5|) |#5| |#2| (|SparseUnivariatePolynomial| |#5|)) "\\spad{univariate(f,{} x,{} p)} returns \\spad{f} viewed as a univariate polynomial in \\spad{x},{} using the side-condition \\spad{p(x) = 0}.") (((|Fraction| (|SparseUnivariatePolynomial| |#5|)) |#5| |#2|) "\\spad{univariate(f,{} v)} returns \\spad{f} viewed as a univariate rational function in \\spad{v}.")) (|mainVariable| (((|Union| |#2| "failed") |#5|) "\\spad{mainVariable(f)} returns the highest variable appearing in the numerator or the denominator of \\spad{f},{} \"failed\" if \\spad{f} has no variables.")) (|variables| (((|List| |#2|) |#5|) "\\spad{variables(f)} returns the list of variables appearing in the numerator or the denominator of \\spad{f}."))) 
 NIL 
 NIL 
-(-952 E |Vars| R P S) 
+(-953 E |Vars| R P S) 
 ((|constructor| (NIL "This package provides a very general map function,{} which given a set \\spad{S} and polynomials over \\spad{R} with maps from the variables into \\spad{S} and the coefficients into \\spad{S},{} maps polynomials into \\spad{S}. \\spad{S} is assumed to support \\spad{+},{} \\spad{*} and \\spad{**}.")) (|map| ((|#5| (|Mapping| |#5| |#2|) (|Mapping| |#5| |#3|) |#4|) "\\spad{map(varmap,{} coefmap,{} p)} takes a \\spad{varmap},{} a mapping from the variables of polynomial \\spad{p} into \\spad{S},{} \\spad{coefmap},{} a mapping from coefficients of \\spad{p} into \\spad{S},{} and \\spad{p},{} and produces a member of \\spad{S} using the corresponding arithmetic. in \\spad{S}"))) 
 NIL 
 NIL 
-(-953 R) 
+(-954 R) 
 ((|constructor| (NIL "This type is the basic representation of sparse recursive multivariate polynomials whose variables are arbitrary symbols. The ordering is alphabetic determined by the Symbol type. The coefficient ring may be non commutative,{} but the variables are assumed to commute.")) (|integrate| (($ $ (|Symbol|)) "\\spad{integrate(p,{}x)} computes the integral of \\spad{p*dx},{} \\spadignore{i.e.} integrates the polynomial \\spad{p} with respect to the variable \\spad{x}."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4519 |has| |#1| (-6 -4519)) (-4516 . T) (-4515 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-904))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-172))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558)))) (-12 (|HasCategory| (-1161) (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-381))))) (-12 (|HasCategory| (-1161) (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-568))))) (-12 (|HasCategory| (-1161) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381)))))) (-12 (|HasCategory| (-1161) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568)))))) (-12 (|HasCategory| (-1161) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541))))) (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-365))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (|HasAttribute| |#1| (QUOTE -4519)) (|HasCategory| |#1| (QUOTE (-453))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-904)))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-904)))) (|HasCategory| |#1| (QUOTE (-148))))) 
-(-954 E V R P -1478) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1163) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| (-1163) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| (-1163) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| (-1163) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| (-1163) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4533)) (|HasCategory| |#1| (QUOTE (-454))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-955 E V R P -1564) 
 ((|constructor| (NIL "Computes \\spad{n}-th roots of quotients of multivariate polynomials")) (|nthr| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#4|) (|:| |radicand| (|List| |#4|))) |#4| (|NonNegativeInteger|)) "\\spad{nthr(p,{}n)} should be local but conditional")) (|froot| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#5|) (|:| |radicand| |#5|)) |#5| (|NonNegativeInteger|)) "\\spad{froot(f,{} n)} returns \\spad{[m,{}c,{}r]} such that \\spad{f**(1/n) = c * r**(1/m)}.")) (|qroot| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#5|) (|:| |radicand| |#5|)) (|Fraction| (|Integer|)) (|NonNegativeInteger|)) "\\spad{qroot(f,{} n)} returns \\spad{[m,{}c,{}r]} such that \\spad{f**(1/n) = c * r**(1/m)}.")) (|rroot| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#5|) (|:| |radicand| |#5|)) |#3| (|NonNegativeInteger|)) "\\spad{rroot(f,{} n)} returns \\spad{[m,{}c,{}r]} such that \\spad{f**(1/n) = c * r**(1/m)}.")) (|coerce| (($ |#4|) "\\spad{coerce(p)} \\undocumented")) (|denom| ((|#4| $) "\\spad{denom(x)} \\undocumented")) (|numer| ((|#4| $) "\\spad{numer(x)} \\undocumented"))) 
 NIL 
-((|HasCategory| |#3| (QUOTE (-453)))) 
-(-955) 
+((|HasCategory| |#3| (QUOTE (-454)))) 
+(-956) 
 ((|constructor| (NIL "PlottablePlaneCurveCategory is the category of curves in the plane which may be plotted via the graphics facilities. Functions are provided for obtaining lists of lists of points,{} representing the branches of the curve,{} and for determining the ranges of the \\spad{x}-coordinates and \\spad{y}-coordinates of the points on the curve.")) (|yRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{yRange(c)} returns the range of the \\spad{y}-coordinates of the points on the curve \\spad{c}.")) (|xRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{xRange(c)} returns the range of the \\spad{x}-coordinates of the points on the curve \\spad{c}.")) (|listBranches| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) "\\spad{listBranches(c)} returns a list of lists of points,{} representing the branches of the curve \\spad{c}."))) 
 NIL 
 NIL 
-(-956 R L) 
+(-957 R L) 
 ((|constructor| (NIL "\\spadtype{PrecomputedAssociatedEquations} stores some generic precomputations which speed up the computations of the associated equations needed for factoring operators.")) (|firstUncouplingMatrix| (((|Union| (|Matrix| |#1|) "failed") |#2| (|PositiveInteger|)) "\\spad{firstUncouplingMatrix(op,{} m)} returns the matrix A such that \\spad{A w = (W',{}W'',{}...,{}W^N)} in the corresponding associated equations for right-factors of order \\spad{m} of \\spad{op}. Returns \"failed\" if the matrix A has not been precomputed for the particular combination \\spad{degree(L),{} m}."))) 
 NIL 
 NIL 
-(-957 A B) 
+(-958 A B) 
 ((|constructor| (NIL "This package provides tools for operating on primitive arrays with unary and binary functions involving different underlying types")) (|map| (((|PrimitiveArray| |#2|) (|Mapping| |#2| |#1|) (|PrimitiveArray| |#1|)) "\\indented{1}{map(\\spad{f},{}a) applies function \\spad{f} to each member of primitive array} \\indented{1}{\\spad{a} resulting in a new primitive array over a} \\indented{1}{possibly different underlying domain.} \\blankline \\spad{X} \\spad{T1:=PrimitiveArrayFunctions2}(Integer,{}Integer) \\spad{X} map(\\spad{x+}-\\spad{>x+2},{}[\\spad{i} for \\spad{i} in 1..10])\\$\\spad{T1}")) (|reduce| ((|#2| (|Mapping| |#2| |#1| |#2|) (|PrimitiveArray| |#1|) |#2|) "\\indented{1}{reduce(\\spad{f},{}a,{}\\spad{r}) applies function \\spad{f} to each} \\indented{1}{successive element of the} \\indented{1}{primitive array \\spad{a} and an accumulant initialized to \\spad{r}.} \\indented{1}{For example,{} \\spad{reduce(_+\\$Integer,{}[1,{}2,{}3],{}0)}} \\indented{1}{does \\spad{3+(2+(1+0))}. Note that third argument \\spad{r}} \\indented{1}{may be regarded as the identity element for the function \\spad{f}.} \\blankline \\spad{X} \\spad{T1:=PrimitiveArrayFunctions2}(Integer,{}Integer) \\spad{X} adder(a:Integer,{}b:Integer):Integer \\spad{==} a+b \\spad{X} reduce(adder,{}[\\spad{i} for \\spad{i} in 1..10],{}0)\\$\\spad{T1}")) (|scan| (((|PrimitiveArray| |#2|) (|Mapping| |#2| |#1| |#2|) (|PrimitiveArray| |#1|) |#2|) "\\indented{1}{scan(\\spad{f},{}a,{}\\spad{r}) successively applies} \\indented{1}{\\spad{reduce(f,{}x,{}r)} to more and more leading sub-arrays} \\indented{1}{\\spad{x} of primitive array \\spad{a}.} \\indented{1}{More precisely,{} if \\spad{a} is \\spad{[a1,{}a2,{}...]},{} then} \\indented{1}{\\spad{scan(f,{}a,{}r)} returns} \\indented{1}{\\spad{[reduce(f,{}[a1],{}r),{}reduce(f,{}[a1,{}a2],{}r),{}...]}.} \\blankline \\spad{X} \\spad{T1:=PrimitiveArrayFunctions2}(Integer,{}Integer) \\spad{X} adder(a:Integer,{}b:Integer):Integer \\spad{==} a+b \\spad{X} scan(adder,{}[\\spad{i} for \\spad{i} in 1..10],{}0)\\$\\spad{T1}"))) 
 NIL 
 NIL 
-(-958 S) 
+(-959 S) 
 ((|constructor| (NIL "This provides a fast array type with no bound checking on elt\\spad{'s}. Minimum index is 0 in this type,{} cannot be changed"))) 
-((-4522 . T) (-4521 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (QUOTE (-842))) (-2199 (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-1090)))) (|HasCategory| (-568) (QUOTE (-842))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-842)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))))) 
-(-959) 
+((-4536 . T) (-4535 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (-2232 (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-843)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
+(-960) 
 ((|constructor| (NIL "Category for the functions defined by integrals.")) (|integral| (($ $ (|SegmentBinding| $)) "\\spad{integral(f,{} x = a..b)} returns the formal definite integral of \\spad{f} \\spad{dx} for \\spad{x} between \\spad{a} and \\spad{b}.") (($ $ (|Symbol|)) "\\spad{integral(f,{} x)} returns the formal integral of \\spad{f} \\spad{dx}."))) 
 NIL 
 NIL 
-(-960 -1478) 
+(-961 -1564) 
 ((|constructor| (NIL "PrimitiveElement provides functions to compute primitive elements in algebraic extensions.")) (|primitiveElement| (((|Record| (|:| |coef| (|List| (|Integer|))) (|:| |poly| (|List| (|SparseUnivariatePolynomial| |#1|))) (|:| |prim| (|SparseUnivariatePolynomial| |#1|))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|)) (|Symbol|)) "\\spad{primitiveElement([p1,{}...,{}pn],{} [a1,{}...,{}an],{} a)} returns \\spad{[[c1,{}...,{}cn],{} [q1,{}...,{}qn],{} q]} such that then \\spad{k(a1,{}...,{}an) = k(a)},{} where \\spad{a = a1 c1 + ... + an cn},{} \\spad{\\spad{ai} = \\spad{qi}(a)},{} and \\spad{q(a) = 0}. The \\spad{pi}\\spad{'s} are the defining polynomials for the \\spad{ai}\\spad{'s}. This operation uses the technique of \\spadglossSee{groebner bases}{Groebner basis}.") (((|Record| (|:| |coef| (|List| (|Integer|))) (|:| |poly| (|List| (|SparseUnivariatePolynomial| |#1|))) (|:| |prim| (|SparseUnivariatePolynomial| |#1|))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) "\\spad{primitiveElement([p1,{}...,{}pn],{} [a1,{}...,{}an])} returns \\spad{[[c1,{}...,{}cn],{} [q1,{}...,{}qn],{} q]} such that then \\spad{k(a1,{}...,{}an) = k(a)},{} where \\spad{a = a1 c1 + ... + an cn},{} \\spad{\\spad{ai} = \\spad{qi}(a)},{} and \\spad{q(a) = 0}. The \\spad{pi}\\spad{'s} are the defining polynomials for the \\spad{ai}\\spad{'s}. This operation uses the technique of \\spadglossSee{groebner bases}{Groebner basis}.") (((|Record| (|:| |coef1| (|Integer|)) (|:| |coef2| (|Integer|)) (|:| |prim| (|SparseUnivariatePolynomial| |#1|))) (|Polynomial| |#1|) (|Symbol|) (|Polynomial| |#1|) (|Symbol|)) "\\spad{primitiveElement(p1,{} a1,{} p2,{} a2)} returns \\spad{[c1,{} c2,{} q]} such that \\spad{k(a1,{} a2) = k(a)} where \\spad{a = c1 a1 + c2 a2,{} and q(a) = 0}. The \\spad{pi}\\spad{'s} are the defining polynomials for the \\spad{ai}\\spad{'s}. The \\spad{p2} may involve \\spad{a1},{} but \\spad{p1} must not involve \\spad{a2}. This operation uses \\spadfun{resultant}."))) 
 NIL 
 NIL 
-(-961 I) 
+(-962 I) 
 ((|constructor| (NIL "The \\spadtype{IntegerPrimesPackage} implements a modification of Rabin\\spad{'s} probabilistic primality test and the utility functions \\spadfun{nextPrime},{} \\spadfun{prevPrime} and \\spadfun{primes}.")) (|primes| (((|List| |#1|) |#1| |#1|) "\\spad{primes(a,{}b)} returns a list of all primes \\spad{p} with \\spad{a <= p <= b}")) (|prevPrime| ((|#1| |#1|) "\\spad{prevPrime(n)} returns the largest prime strictly smaller than \\spad{n}")) (|nextPrime| ((|#1| |#1|) "\\spad{nextPrime(n)} returns the smallest prime strictly larger than \\spad{n}")) (|prime?| (((|Boolean|) |#1|) "\\spad{prime?(n)} returns \\spad{true} if \\spad{n} is prime and \\spad{false} if not. The algorithm used is Rabin\\spad{'s} probabilistic primality test (reference: Knuth Volume 2 Semi Numerical Algorithms). If \\spad{prime? n} returns \\spad{false},{} \\spad{n} is proven composite. If \\spad{prime? n} returns \\spad{true},{} prime? may be in error however,{} the probability of error is very low. and is zero below 25*10**9 (due to a result of Pomerance et al),{} below 10**12 and 10**13 due to results of Pinch,{} and below 341550071728321 due to a result of Jaeschke. Specifically,{} this implementation does at least 10 pseudo prime tests and so the probability of error is \\spad{< 4**(-10)}. The running time of this method is cubic in the length of the input \\spad{n},{} that is \\spad{O( (log n)**3 )},{} for \\spad{n<10**20}. beyond that,{} the algorithm is quartic,{} \\spad{O( (log n)**4 )}. Two improvements due to Davenport have been incorporated which catches some trivial strong pseudo-primes,{} such as [Jaeschke,{} 1991] 1377161253229053 * 413148375987157,{} which the original algorithm regards as prime"))) 
 NIL 
 NIL 
-(-962) 
+(-963) 
 ((|constructor| (NIL "PrintPackage provides a print function for output forms.")) (|print| (((|Void|) (|OutputForm|)) "\\spad{print(o)} writes the output form \\spad{o} on standard output using the two-dimensional formatter."))) 
 NIL 
 NIL 
-(-963 K |symb| |PolyRing| E |ProjPt|) 
+(-964 K |symb| |PolyRing| E |ProjPt|) 
 ((|constructor| (NIL "The following is part of the PAFF package")) (|rationalPoints| (((|List| |#5|) |#3| (|PositiveInteger|)) "\\axiom{rationalPoints(\\spad{f},{}\\spad{d})} returns all points on the curve \\axiom{\\spad{f}} in the extension of the ground field of degree \\axiom{\\spad{d}}. For \\axiom{\\spad{d} > 1} this only works if \\axiom{\\spad{K}} is a \\axiomType{LocallyAlgebraicallyClosedField}")) (|algebraicSet| (((|List| |#5|) (|List| |#3|)) "\\spad{algebraicSet returns} the algebraic set if finite (dimension 0).")) (|singularPoints| (((|List| |#5|) |#3|) "\\spad{singularPoints retourne} les points singulier")) (|singularPointsWithRestriction| (((|List| |#5|) |#3| (|List| |#3|)) "return the singular points that anhilate"))) 
 NIL 
 NIL 
-(-964 R E) 
+(-965 R E) 
 ((|constructor| (NIL "This domain represents generalized polynomials with coefficients (from a not necessarily commutative ring),{} and terms indexed by their exponents (from an arbitrary ordered abelian monoid). This type is used,{} for example,{} by the \\spadtype{DistributedMultivariatePolynomial} domain where the exponent domain is a direct product of non negative integers.")) (|canonicalUnitNormal| ((|attribute|) "canonicalUnitNormal guarantees that the function unitCanonical returns the same representative for all associates of any particular element.")) (|fmecg| (($ $ |#2| |#1| $) "\\spad{fmecg(p1,{}e,{}r,{}p2)} finds \\spad{x} : \\spad{p1} - \\spad{r} * x**e * \\spad{p2}"))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4519 |has| |#1| (-6 -4519)) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-172))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558)))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-453))) (-12 (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-137)))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (|HasAttribute| |#1| (QUOTE -4519))) 
-(-965 A B) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-6 -4533)) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (-12 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-138)))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4533))) 
+(-966 A B) 
 ((|constructor| (NIL "This domain implements cartesian product")) (|selectsecond| ((|#2| $) "\\spad{selectsecond(x)} is not documented")) (|selectfirst| ((|#1| $) "\\spad{selectfirst(x)} is not documented")) (|makeprod| (($ |#1| |#2|) "\\indented{1}{makeprod(a,{}\\spad{b}) computes the product of two functions} \\blankline \\spad{X} \\spad{f:=}(x:INT):INT +-> 3*x \\spad{X} \\spad{g:=}(x:INT):INT +-> \\spad{x^3} \\spad{X} \\spad{h}(x:INT):Product(INT,{}INT) \\spad{==} makeprod(\\spad{f} \\spad{x},{} \\spad{g} \\spad{x}) \\spad{X} \\spad{h}(3)"))) 
-((-4518 -12 (|has| |#2| (-478)) (|has| |#1| (-478)))) 
-((-12 (|HasCategory| |#1| (QUOTE (-788))) (|HasCategory| |#2| (QUOTE (-788)))) (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-478))) (|HasCategory| |#2| (QUOTE (-478)))) (-12 (|HasCategory| |#1| (QUOTE (-370))) (|HasCategory| |#2| (QUOTE (-370)))) (-12 (|HasCategory| |#1| (QUOTE (-716))) (|HasCategory| |#2| (QUOTE (-716)))) (-2199 (-12 (|HasCategory| |#1| (QUOTE (-478))) (|HasCategory| |#2| (QUOTE (-478)))) (-12 (|HasCategory| |#1| (QUOTE (-716))) (|HasCategory| |#2| (QUOTE (-716))))) (-12 (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-23)))) (-12 (|HasCategory| |#1| (QUOTE (-137))) (|HasCategory| |#2| (QUOTE (-137)))) (-2199 (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-137))) (|HasCategory| |#2| (QUOTE (-137)))) (-12 (|HasCategory| |#1| (QUOTE (-788))) (|HasCategory| |#2| (QUOTE (-788))))) (-2199 (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-23)))) (-12 (|HasCategory| |#1| (QUOTE (-137))) (|HasCategory| |#2| (QUOTE (-137)))) (-12 (|HasCategory| |#1| (QUOTE (-788))) (|HasCategory| |#2| (QUOTE (-788))))) (-2199 (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-23)))) (-12 (|HasCategory| |#1| (QUOTE (-137))) (|HasCategory| |#2| (QUOTE (-137)))) (-12 (|HasCategory| |#1| (QUOTE (-478))) (|HasCategory| |#2| (QUOTE (-478)))) (-12 (|HasCategory| |#1| (QUOTE (-716))) (|HasCategory| |#2| (QUOTE (-716)))) (-12 (|HasCategory| |#1| (QUOTE (-788))) (|HasCategory| |#2| (QUOTE (-788))))) (-12 (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#2| (QUOTE (-842)))) (-2199 (-12 (|HasCategory| |#1| (QUOTE (-788))) (|HasCategory| |#2| (QUOTE (-788)))) (-12 (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#2| (QUOTE (-842)))))) 
-(-966 K) 
+((-4532 -12 (|has| |#2| (-479)) (|has| |#1| (-479)))) 
+((-12 (|HasCategory| |#1| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-789)))) (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#2| (QUOTE (-479)))) (-12 (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#1| (QUOTE (-717))) (|HasCategory| |#2| (QUOTE (-717)))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#2| (QUOTE (-479)))) (-12 (|HasCategory| |#1| (QUOTE (-717))) (|HasCategory| |#2| (QUOTE (-717))))) (-12 (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-23)))) (-12 (|HasCategory| |#1| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-138)))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#1| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-789))))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-23)))) (-12 (|HasCategory| |#1| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#1| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-789))))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-23)))) (-12 (|HasCategory| |#1| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#2| (QUOTE (-479)))) (-12 (|HasCategory| |#1| (QUOTE (-717))) (|HasCategory| |#2| (QUOTE (-717)))) (-12 (|HasCategory| |#1| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-789))))) (-12 (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-843)))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-789)))) (-12 (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-843)))))) 
+(-967 K) 
 ((|constructor| (NIL "This is part of the PAFF package,{} related to projective space."))) 
 NIL 
 NIL 
-(-967 K) 
+(-968 K) 
 ((|constructor| (NIL "This is part of the PAFF package,{} related to projective space."))) 
 NIL 
 NIL 
-(-968 -1965 K) 
+(-969 -4391 K) 
 ((|constructor| (NIL "This is part of the PAFF package,{} related to projective space."))) 
 NIL 
 NIL 
-(-969 S) 
+(-970 S) 
 ((|constructor| (NIL "A priority queue is a bag of items from an ordered set where the item extracted is always the maximum element.")) (|merge!| (($ $ $) "\\spad{merge!(q,{}q1)} destructively changes priority queue \\spad{q} to include the values from priority queue \\spad{q1}.")) (|merge| (($ $ $) "\\spad{merge(q1,{}q2)} returns combines priority queues \\spad{q1} and \\spad{q2} to return a single priority queue \\spad{q}.")) (|max| ((|#1| $) "\\spad{max(q)} returns the maximum element of priority queue \\spad{q}."))) 
-((-4521 . T) (-4522 . T) (-3973 . T)) 
+((-4535 . T) (-4536 . T) (-2982 . T)) 
 NIL 
-(-970 R |polR|) 
+(-971 R |polR|) 
 ((|constructor| (NIL "This package contains some functions: discriminant,{} resultant,{} subResultantGcd,{} chainSubResultants,{} degreeSubResultant,{} lastSubResultant,{} resultantEuclidean,{} subResultantGcdEuclidean,{} \\spad{semiSubResultantGcdEuclidean1},{} \\spad{semiSubResultantGcdEuclidean2}\\spad{\\br} These procedures come from improvements of the subresultants algorithm.")) (|semiResultantEuclideannaif| (((|Record| (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) "\\axiom{resultantEuclidean_naif(\\spad{P},{}\\spad{Q})} returns the semi-extended resultant of \\axiom{\\spad{P}} and \\axiom{\\spad{Q}} computed by means of the naive algorithm.")) (|resultantEuclideannaif| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) "\\axiom{resultantEuclidean_naif(\\spad{P},{}\\spad{Q})} returns the extended resultant of \\axiom{\\spad{P}} and \\axiom{\\spad{Q}} computed by means of the naive algorithm.")) (|resultantnaif| ((|#1| |#2| |#2|) "\\axiom{resultantEuclidean_naif(\\spad{P},{}\\spad{Q})} returns the resultant of \\axiom{\\spad{P}} and \\axiom{\\spad{Q}} computed by means of the naive algorithm.")) (|nextsousResultant2| ((|#2| |#2| |#2| |#2| |#1|) "\\axiom{\\spad{nextsousResultant2}(\\spad{P},{} \\spad{Q},{} \\spad{Z},{} \\spad{s})} returns the subresultant \\axiom{\\spad{S_}{\\spad{e}-1}} where \\axiom{\\spad{P} ~ \\spad{S_d},{} \\spad{Q} = \\spad{S_}{\\spad{d}-1},{} \\spad{Z} = S_e,{} \\spad{s} = \\spad{lc}(\\spad{S_d})}")) (|Lazard2| ((|#2| |#2| |#1| |#1| (|NonNegativeInteger|)) "\\axiom{\\spad{Lazard2}(\\spad{F},{} \\spad{x},{} \\spad{y},{} \\spad{n})} computes \\axiom{(x/y)\\spad{**}(\\spad{n}-1) * \\spad{F}}")) (|Lazard| ((|#1| |#1| |#1| (|NonNegativeInteger|)) "\\axiom{Lazard(\\spad{x},{} \\spad{y},{} \\spad{n})} computes \\axiom{x**n/y**(\\spad{n}-1)}")) (|divide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2|) "\\axiom{divide(\\spad{F},{}\\spad{G})} computes quotient and rest of the exact euclidean division of \\axiom{\\spad{F}} by \\axiom{\\spad{G}}.")) (|pseudoDivide| (((|Record| (|:| |coef| |#1|) (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2|) "\\axiom{pseudoDivide(\\spad{P},{}\\spad{Q})} computes the pseudoDivide of \\axiom{\\spad{P}} by \\axiom{\\spad{Q}}.")) (|exquo| (((|Vector| |#2|) (|Vector| |#2|) |#1|) "\\axiom{\\spad{v} exquo \\spad{r}} computes the exact quotient of \\axiom{\\spad{v}} by \\axiom{\\spad{r}}")) (* (((|Vector| |#2|) |#1| (|Vector| |#2|)) "\\axiom{\\spad{r} * \\spad{v}} computes the product of \\axiom{\\spad{r}} and \\axiom{\\spad{v}}")) (|gcd| ((|#2| |#2| |#2|) "\\axiom{\\spad{gcd}(\\spad{P},{} \\spad{Q})} returns the \\spad{gcd} of \\axiom{\\spad{P}} and \\axiom{\\spad{Q}}.")) (|semiResultantReduitEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |resultantReduit| |#1|)) |#2| |#2|) "\\axiom{semiResultantReduitEuclidean(\\spad{P},{}\\spad{Q})} returns the \"reduce resultant\" and carries out the equality \\axiom{...\\spad{P} + coef2*Q = resultantReduit(\\spad{P},{}\\spad{Q})}.")) (|resultantReduitEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |resultantReduit| |#1|)) |#2| |#2|) "\\axiom{resultantReduitEuclidean(\\spad{P},{}\\spad{Q})} returns the \"reduce resultant\" and carries out the equality \\axiom{coef1*P + coef2*Q = resultantReduit(\\spad{P},{}\\spad{Q})}.")) (|resultantReduit| ((|#1| |#2| |#2|) "\\axiom{resultantReduit(\\spad{P},{}\\spad{Q})} returns the \"reduce resultant\" of \\axiom{\\spad{P}} and \\axiom{\\spad{Q}}.")) (|schema| (((|List| (|NonNegativeInteger|)) |#2| |#2|) "\\axiom{schema(\\spad{P},{}\\spad{Q})} returns the list of degrees of non zero subresultants of \\axiom{\\spad{P}} and \\axiom{\\spad{Q}}.")) (|chainSubResultants| (((|List| |#2|) |#2| |#2|) "\\axiom{chainSubResultants(\\spad{P},{} \\spad{Q})} computes the list of non zero subresultants of \\axiom{\\spad{P}} and \\axiom{\\spad{Q}}.")) (|semiDiscriminantEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |discriminant| |#1|)) |#2|) "\\axiom{discriminantEuclidean(\\spad{P})} carries out the equality \\axiom{...\\spad{P} + \\spad{coef2} * \\spad{D}(\\spad{P}) = discriminant(\\spad{P})}. Warning. \\axiom{degree(\\spad{P}) \\spad{>=} degree(\\spad{Q})}.")) (|discriminantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |discriminant| |#1|)) |#2|) "\\axiom{discriminantEuclidean(\\spad{P})} carries out the equality \\axiom{\\spad{coef1} * \\spad{P} + \\spad{coef2} * \\spad{D}(\\spad{P}) = discriminant(\\spad{P})}.")) (|discriminant| ((|#1| |#2|) "\\axiom{discriminant(\\spad{P},{} \\spad{Q})} returns the discriminant of \\axiom{\\spad{P}} and \\axiom{\\spad{Q}}.")) (|semiSubResultantGcdEuclidean1| (((|Record| (|:| |coef1| |#2|) (|:| |gcd| |#2|)) |#2| |#2|) "\\axiom{\\spad{semiSubResultantGcdEuclidean1}(\\spad{P},{}\\spad{Q})} carries out the equality \\axiom{coef1*P + ? \\spad{Q} = \\spad{+/-} S_i(\\spad{P},{}\\spad{Q})} where the degree (not the indice) of the subresultant \\axiom{S_i(\\spad{P},{}\\spad{Q})} is the smaller as possible.")) (|semiSubResultantGcdEuclidean2| (((|Record| (|:| |coef2| |#2|) (|:| |gcd| |#2|)) |#2| |#2|) "\\axiom{\\spad{semiSubResultantGcdEuclidean2}(\\spad{P},{}\\spad{Q})} carries out the equality \\axiom{...\\spad{P} + coef2*Q = \\spad{+/-} S_i(\\spad{P},{}\\spad{Q})} where the degree (not the indice) of the subresultant \\axiom{S_i(\\spad{P},{}\\spad{Q})} is the smaller as possible. Warning. \\axiom{degree(\\spad{P}) \\spad{>=} degree(\\spad{Q})}.")) (|subResultantGcdEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |gcd| |#2|)) |#2| |#2|) "\\axiom{subResultantGcdEuclidean(\\spad{P},{}\\spad{Q})} carries out the equality \\axiom{coef1*P + coef2*Q = \\spad{+/-} S_i(\\spad{P},{}\\spad{Q})} where the degree (not the indice) of the subresultant \\axiom{S_i(\\spad{P},{}\\spad{Q})} is the smaller as possible.")) (|subResultantGcd| ((|#2| |#2| |#2|) "\\axiom{subResultantGcd(\\spad{P},{} \\spad{Q})} returns the \\spad{gcd} of two primitive polynomials \\axiom{\\spad{P}} and \\axiom{\\spad{Q}}.")) (|semiLastSubResultantEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|) "\\axiom{semiLastSubResultantEuclidean(\\spad{P},{} \\spad{Q})} computes the last non zero subresultant \\axiom{\\spad{S}} and carries out the equality \\axiom{...\\spad{P} + coef2*Q = \\spad{S}}. Warning. \\axiom{degree(\\spad{P}) \\spad{>=} degree(\\spad{Q})}.")) (|lastSubResultantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|) "\\axiom{lastSubResultantEuclidean(\\spad{P},{} \\spad{Q})} computes the last non zero subresultant \\axiom{\\spad{S}} and carries out the equality \\axiom{coef1*P + coef2*Q = \\spad{S}}.")) (|lastSubResultant| ((|#2| |#2| |#2|) "\\axiom{lastSubResultant(\\spad{P},{} \\spad{Q})} computes the last non zero subresultant of \\axiom{\\spad{P}} and \\axiom{\\spad{Q}}")) (|semiDegreeSubResultantEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|)) "\\axiom{indiceSubResultant(\\spad{P},{} \\spad{Q},{} \\spad{i})} returns a subresultant \\axiom{\\spad{S}} of degree \\axiom{\\spad{d}} and carries out the equality \\axiom{...\\spad{P} + coef2*Q = S_i}. Warning. \\axiom{degree(\\spad{P}) \\spad{>=} degree(\\spad{Q})}.")) (|degreeSubResultantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|)) "\\axiom{indiceSubResultant(\\spad{P},{} \\spad{Q},{} \\spad{i})} returns a subresultant \\axiom{\\spad{S}} of degree \\axiom{\\spad{d}} and carries out the equality \\axiom{coef1*P + coef2*Q = S_i}.")) (|degreeSubResultant| ((|#2| |#2| |#2| (|NonNegativeInteger|)) "\\axiom{degreeSubResultant(\\spad{P},{} \\spad{Q},{} \\spad{d})} computes a subresultant of degree \\axiom{\\spad{d}}.")) (|semiIndiceSubResultantEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|)) "\\axiom{semiIndiceSubResultantEuclidean(\\spad{P},{} \\spad{Q},{} \\spad{i})} returns the subresultant \\axiom{S_i(\\spad{P},{}\\spad{Q})} and carries out the equality \\axiom{...\\spad{P} + coef2*Q = S_i(\\spad{P},{}\\spad{Q})} Warning. \\axiom{degree(\\spad{P}) \\spad{>=} degree(\\spad{Q})}.")) (|indiceSubResultantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|)) "\\axiom{indiceSubResultant(\\spad{P},{} \\spad{Q},{} \\spad{i})} returns the subresultant \\axiom{S_i(\\spad{P},{}\\spad{Q})} and carries out the equality \\axiom{coef1*P + coef2*Q = S_i(\\spad{P},{}\\spad{Q})}")) (|indiceSubResultant| ((|#2| |#2| |#2| (|NonNegativeInteger|)) "\\axiom{indiceSubResultant(\\spad{P},{} \\spad{Q},{} \\spad{i})} returns the subresultant of indice \\axiom{\\spad{i}}")) (|semiResultantEuclidean1| (((|Record| (|:| |coef1| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) "\\axiom{\\spad{semiResultantEuclidean1}(\\spad{P},{}\\spad{Q})} carries out the equality \\axiom{\\spad{coef1}.\\spad{P} + ? \\spad{Q} = resultant(\\spad{P},{}\\spad{Q})}.")) (|semiResultantEuclidean2| (((|Record| (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) "\\axiom{\\spad{semiResultantEuclidean2}(\\spad{P},{}\\spad{Q})} carries out the equality \\axiom{...\\spad{P} + coef2*Q = resultant(\\spad{P},{}\\spad{Q})}. Warning. \\axiom{degree(\\spad{P}) \\spad{>=} degree(\\spad{Q})}.")) (|resultantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) "\\axiom{resultantEuclidean(\\spad{P},{}\\spad{Q})} carries out the equality \\axiom{coef1*P + coef2*Q = resultant(\\spad{P},{}\\spad{Q})}")) (|resultant| ((|#1| |#2| |#2|) "\\axiom{resultant(\\spad{P},{} \\spad{Q})} returns the resultant of \\axiom{\\spad{P}} and \\axiom{\\spad{Q}}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-453)))) 
-(-971 K) 
+((|HasCategory| |#1| (QUOTE (-454)))) 
+(-972 K) 
 ((|constructor| (NIL "This is part of the PAFF package,{} related to projective space.")) (|pointValue| (((|List| |#1|) $) "\\spad{pointValue returns} the coordinates of the point or of the point of origin that represent an infinitly close point")) (|setelt| ((|#1| $ (|Integer|) |#1|) "\\spad{setelt sets} the value of a specified coordinates")) (|elt| ((|#1| $ (|Integer|)) "\\spad{elt returns} the value of a specified coordinates")) (|list| (((|List| |#1|) $) "\\spad{list returns} the list of the coordinates")) (|lastNonNull| (((|Integer|) $) "\\spad{lastNonNull returns} the integer corresponding to the last non null coordinates.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(p)} test if the point is rational according to the characteristic of the ground field.") (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{rational?(p,{}n)} test if the point is rational according to \\spad{n}.")) (|removeConjugate| (((|List| $) (|List| $)) "\\spad{removeConjugate(lp)} returns removeConjugate(\\spad{lp},{}\\spad{n}) where \\spad{n} is the characteristic of the ground field.") (((|List| $) (|List| $) (|NonNegativeInteger|)) "\\spad{removeConjugate(lp,{}n)} returns a list of points such that no points in the list is the conjugate (according to \\spad{n}) of another point.")) (|conjugate| (($ $) "\\spad{conjugate(p)} returns conjugate(\\spad{p},{}\\spad{n}) where \\spad{n} is the characteristic of the ground field.") (($ $ (|NonNegativeInteger|)) "\\spad{conjugate(p,{}n)} returns p**n,{} that is all the coordinates of \\spad{p} to the power of \\spad{n}")) (|orbit| (((|List| $) $ (|NonNegativeInteger|)) "\\spad{orbit(p,{}n)} returns the orbit of the point \\spad{p} according to \\spad{n},{} that is orbit(\\spad{p},{}\\spad{n}) = \\spad{\\{} \\spad{p},{} p**n,{} \\spad{p**}(\\spad{n**2}),{} \\spad{p**}(\\spad{n**3}),{} ..... \\spad{\\}}") (((|List| $) $) "\\spad{orbit(p)} returns the orbit of the point \\spad{p} according to the characteristic of \\spad{K},{} that is,{} for \\spad{q=} char \\spad{K},{} orbit(\\spad{p}) = \\spad{\\{} \\spad{p},{} p**q,{} \\spad{p**}(\\spad{q**2}),{} \\spad{p**}(\\spad{q**3}),{} ..... \\spad{\\}}")) (|coerce| (($ (|List| |#1|)) "\\spad{coerce a} list of \\spad{K} to a projective point.") (((|List| |#1|) $) "\\spad{coerce a} a projective point list of \\spad{K}")) (|projectivePoint| (($ (|List| |#1|)) "\\spad{projectivePoint creates} a projective point from a list")) (|homogenize| (($ $) "\\spad{homogenize(pt)} the point according to the coordinate which is the last non null.") (($ $ (|Integer|)) "\\spad{homogenize the} point according to the coordinate specified by the integer"))) 
 NIL 
 NIL 
-(-972) 
+(-973) 
 ((|constructor| (NIL "Domain for partitions of positive integers Partition is an OrderedCancellationAbelianMonoid which is used as the basis for symmetric polynomial representation of the sums of powers in SymmetricPolynomial. Thus,{} \\spad{(5 2 2 1)} will represent \\spad{s5 * s2**2 * s1}.")) (|coerce| (((|List| (|Integer|)) $) "\\spad{coerce(p)} coerces a partition into a list of integers")) (|conjugate| (($ $) "\\spad{conjugate(p)} returns the conjugate partition of a partition \\spad{p}")) (|pdct| (((|Integer|) $) "\\spad{pdct(a1**n1 a2**n2 ...)} returns \\spad{n1! * a1**n1 * n2! * a2**n2 * ...}. This function is used in the package \\spadtype{CycleIndicators}.")) (|powers| (((|List| (|List| (|Integer|))) (|List| (|Integer|))) "\\spad{powers(\\spad{li})} returns a list of 2-element lists. For each 2-element list,{} the first element is an entry of \\spad{li} and the second element is the multiplicity with which the first element occurs in \\spad{li}. There is a 2-element list for each value occurring in \\spad{l}.")) (|partition| (($ (|List| (|Integer|))) "\\spad{partition(\\spad{li})} converts a list of integers \\spad{li} to a partition"))) 
 NIL 
 NIL 
-(-973 S |Coef| |Expon| |Var|) 
+(-974 S |Coef| |Expon| |Var|) 
 ((|constructor| (NIL "\\spadtype{PowerSeriesCategory} is the most general power series category with exponents in an ordered abelian monoid.")) (|complete| (($ $) "\\spad{complete(f)} causes all terms of \\spad{f} to be computed. Note that this results in an infinite loop if \\spad{f} has infinitely many terms.")) (|pole?| (((|Boolean|) $) "\\spad{pole?(f)} determines if the power series \\spad{f} has a pole.")) (|variables| (((|List| |#4|) $) "\\spad{variables(f)} returns a list of the variables occuring in the power series \\spad{f}.")) (|degree| ((|#3| $) "\\spad{degree(f)} returns the exponent of the lowest order term of \\spad{f}.")) (|leadingCoefficient| ((|#2| $) "\\spad{leadingCoefficient(f)} returns the coefficient of the lowest order term of \\spad{f}")) (|leadingMonomial| (($ $) "\\spad{leadingMonomial(f)} returns the monomial of \\spad{f} of lowest order.")) (|monomial| (($ $ (|List| |#4|) (|List| |#3|)) "\\spad{monomial(a,{}[x1,{}..,{}xk],{}[n1,{}..,{}nk])} computes \\spad{a * x1**n1 * .. * xk**nk}.") (($ $ |#4| |#3|) "\\spad{monomial(a,{}x,{}n)} computes \\spad{a*x**n}."))) 
 NIL 
 NIL 
-(-974 |Coef| |Expon| |Var|) 
+(-975 |Coef| |Expon| |Var|) 
 ((|constructor| (NIL "\\spadtype{PowerSeriesCategory} is the most general power series category with exponents in an ordered abelian monoid.")) (|complete| (($ $) "\\spad{complete(f)} causes all terms of \\spad{f} to be computed. Note that this results in an infinite loop if \\spad{f} has infinitely many terms.")) (|pole?| (((|Boolean|) $) "\\spad{pole?(f)} determines if the power series \\spad{f} has a pole.")) (|variables| (((|List| |#3|) $) "\\spad{variables(f)} returns a list of the variables occuring in the power series \\spad{f}.")) (|degree| ((|#2| $) "\\spad{degree(f)} returns the exponent of the lowest order term of \\spad{f}.")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(f)} returns the coefficient of the lowest order term of \\spad{f}")) (|leadingMonomial| (($ $) "\\spad{leadingMonomial(f)} returns the monomial of \\spad{f} of lowest order.")) (|monomial| (($ $ (|List| |#3|) (|List| |#2|)) "\\spad{monomial(a,{}[x1,{}..,{}xk],{}[n1,{}..,{}nk])} computes \\spad{a * x1**n1 * .. * xk**nk}.") (($ $ |#3| |#2|) "\\spad{monomial(a,{}x,{}n)} computes \\spad{a*x**n}."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4515 . T) (-4516 . T) (-4518 . T)) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-975) 
+(-976) 
 ((|constructor| (NIL "PlottableSpaceCurveCategory is the category of curves in 3-space which may be plotted via the graphics facilities. Functions are provided for obtaining lists of lists of points,{} representing the branches of the curve,{} and for determining the ranges of the \\spad{x-},{} \\spad{y-},{} and \\spad{z}-coordinates of the points on the curve.")) (|zRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{zRange(c)} returns the range of the \\spad{z}-coordinates of the points on the curve \\spad{c}.")) (|yRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{yRange(c)} returns the range of the \\spad{y}-coordinates of the points on the curve \\spad{c}.")) (|xRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{xRange(c)} returns the range of the \\spad{x}-coordinates of the points on the curve \\spad{c}.")) (|listBranches| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) "\\spad{listBranches(c)} returns a list of lists of points,{} representing the branches of the curve \\spad{c}."))) 
 NIL 
 NIL 
-(-976 S R E |VarSet| P) 
+(-977 S R E |VarSet| P) 
 ((|constructor| (NIL "A category for finite subsets of a polynomial ring. Such a set is only regarded as a set of polynomials and not identified to the ideal it generates. So two distinct sets may generate the same the ideal. Furthermore,{} for \\spad{R} being an integral domain,{} a set of polynomials may be viewed as a representation of the ideal it generates in the polynomial ring \\spad{(R)^(-1) P},{} or the set of its zeros (described for instance by the radical of the previous ideal,{} or a split of the associated affine variety) and so on. So this category provides operations about those different notions.")) (|triangular?| (((|Boolean|) $) "\\axiom{triangular?(\\spad{ps})} returns \\spad{true} iff \\axiom{\\spad{ps}} is a triangular set,{} \\spadignore{i.e.} two distinct polynomials have distinct main variables and no constant lies in \\axiom{\\spad{ps}}.")) (|rewriteIdealWithRemainder| (((|List| |#5|) (|List| |#5|) $) "\\axiom{rewriteIdealWithRemainder(\\spad{lp},{}\\spad{cs})} returns \\axiom{\\spad{lr}} such that every polynomial in \\axiom{\\spad{lr}} is fully reduced in the sense of Groebner bases \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{cs}} and \\axiom{(\\spad{lp},{}\\spad{cs})} and \\axiom{(\\spad{lr},{}\\spad{cs})} generate the same ideal in \\axiom{(\\spad{R})^(\\spad{-1}) \\spad{P}}.")) (|rewriteIdealWithHeadRemainder| (((|List| |#5|) (|List| |#5|) $) "\\axiom{rewriteIdealWithHeadRemainder(\\spad{lp},{}\\spad{cs})} returns \\axiom{\\spad{lr}} such that the leading monomial of every polynomial in \\axiom{\\spad{lr}} is reduced in the sense of Groebner bases \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{cs}} and \\axiom{(\\spad{lp},{}\\spad{cs})} and \\axiom{(\\spad{lr},{}\\spad{cs})} generate the same ideal in \\axiom{(\\spad{R})^(\\spad{-1}) \\spad{P}}.")) (|remainder| (((|Record| (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| $) "\\axiom{remainder(a,{}\\spad{ps})} returns \\axiom{[\\spad{c},{}\\spad{b},{}\\spad{r}]} such that \\axiom{\\spad{b}} is fully reduced in the sense of Groebner bases \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{ps}},{} \\axiom{r*a - \\spad{c*b}} lies in the ideal generated by \\axiom{\\spad{ps}}. Furthermore,{} if \\axiom{\\spad{R}} is a \\spad{gcd}-domain,{} \\axiom{\\spad{b}} is primitive.")) (|headRemainder| (((|Record| (|:| |num| |#5|) (|:| |den| |#2|)) |#5| $) "\\axiom{headRemainder(a,{}\\spad{ps})} returns \\axiom{[\\spad{b},{}\\spad{r}]} such that the leading monomial of \\axiom{\\spad{b}} is reduced in the sense of Groebner bases \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{ps}} and \\axiom{r*a - \\spad{b}} lies in the ideal generated by \\axiom{\\spad{ps}}.")) (|roughUnitIdeal?| (((|Boolean|) $) "\\axiom{roughUnitIdeal?(\\spad{ps})} returns \\spad{true} iff \\axiom{\\spad{ps}} contains \\indented{1}{some non null element lying in the base ring \\axiom{\\spad{R}}.}")) (|roughEqualIdeals?| (((|Boolean|) $ $) "\\axiom{roughEqualIdeals?(\\spad{ps1},{}\\spad{ps2})} returns \\spad{true} iff it can proved that \\axiom{\\spad{ps1}} and \\axiom{\\spad{ps2}} generate the same ideal in \\axiom{(\\spad{R})^(\\spad{-1}) \\spad{P}} without computing Groebner bases.")) (|roughSubIdeal?| (((|Boolean|) $ $) "\\axiom{roughSubIdeal?(\\spad{ps1},{}\\spad{ps2})} returns \\spad{true} iff it can proved that all polynomials in \\axiom{\\spad{ps1}} lie in the ideal generated by \\axiom{\\spad{ps2}} in \\axiom{\\axiom{(\\spad{R})^(\\spad{-1}) \\spad{P}}} without computing Groebner bases.")) (|roughBase?| (((|Boolean|) $) "\\axiom{roughBase?(\\spad{ps})} returns \\spad{true} iff for every pair \\axiom{{\\spad{p},{}\\spad{q}}} of polynomials in \\axiom{\\spad{ps}} their leading monomials are relatively prime.")) (|trivialIdeal?| (((|Boolean|) $) "\\axiom{trivialIdeal?(\\spad{ps})} returns \\spad{true} iff \\axiom{\\spad{ps}} does not contain non-zero elements.")) (|sort| (((|Record| (|:| |under| $) (|:| |floor| $) (|:| |upper| $)) $ |#4|) "\\axiom{sort(\\spad{v},{}\\spad{ps})} returns \\axiom{us,{}\\spad{vs},{}\\spad{ws}} such that \\axiom{us} is \\axiom{collectUnder(\\spad{ps},{}\\spad{v})},{} \\axiom{\\spad{vs}} is \\axiom{collect(\\spad{ps},{}\\spad{v})} and \\axiom{\\spad{ws}} is \\axiom{collectUpper(\\spad{ps},{}\\spad{v})}.")) (|collectUpper| (($ $ |#4|) "\\axiom{collectUpper(\\spad{ps},{}\\spad{v})} returns the set consisting of the polynomials of \\axiom{\\spad{ps}} with main variable greater than \\axiom{\\spad{v}}.")) (|collect| (($ $ |#4|) "\\axiom{collect(\\spad{ps},{}\\spad{v})} returns the set consisting of the polynomials of \\axiom{\\spad{ps}} with \\axiom{\\spad{v}} as main variable.")) (|collectUnder| (($ $ |#4|) "\\axiom{collectUnder(\\spad{ps},{}\\spad{v})} returns the set consisting of the polynomials of \\axiom{\\spad{ps}} with main variable less than \\axiom{\\spad{v}}.")) (|mainVariable?| (((|Boolean|) |#4| $) "\\axiom{mainVariable?(\\spad{v},{}\\spad{ps})} returns \\spad{true} iff \\axiom{\\spad{v}} is the main variable of some polynomial in \\axiom{\\spad{ps}}.")) (|mainVariables| (((|List| |#4|) $) "\\axiom{mainVariables(\\spad{ps})} returns the decreasingly sorted list of the variables which are main variables of some polynomial in \\axiom{\\spad{ps}}.")) (|variables| (((|List| |#4|) $) "\\axiom{variables(\\spad{ps})} returns the decreasingly sorted list of the variables which are variables of some polynomial in \\axiom{\\spad{ps}}.")) (|mvar| ((|#4| $) "\\axiom{mvar(\\spad{ps})} returns the main variable of the non constant polynomial with the greatest main variable,{} if any,{} else an error is returned.")) (|retract| (($ (|List| |#5|)) "\\axiom{retract(\\spad{lp})} returns an element of the domain whose elements are the members of \\axiom{\\spad{lp}} if such an element exists,{} otherwise an error is produced.")) (|retractIfCan| (((|Union| $ "failed") (|List| |#5|)) "\\axiom{retractIfCan(\\spad{lp})} returns an element of the domain whose elements are the members of \\axiom{\\spad{lp}} if such an element exists,{} otherwise \\axiom{\"failed\"} is returned."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-558)))) 
-(-977 R E |VarSet| P) 
+((|HasCategory| |#2| (QUOTE (-559)))) 
+(-978 R E |VarSet| P) 
 ((|constructor| (NIL "A category for finite subsets of a polynomial ring. Such a set is only regarded as a set of polynomials and not identified to the ideal it generates. So two distinct sets may generate the same the ideal. Furthermore,{} for \\spad{R} being an integral domain,{} a set of polynomials may be viewed as a representation of the ideal it generates in the polynomial ring \\spad{(R)^(-1) P},{} or the set of its zeros (described for instance by the radical of the previous ideal,{} or a split of the associated affine variety) and so on. So this category provides operations about those different notions.")) (|triangular?| (((|Boolean|) $) "\\axiom{triangular?(\\spad{ps})} returns \\spad{true} iff \\axiom{\\spad{ps}} is a triangular set,{} \\spadignore{i.e.} two distinct polynomials have distinct main variables and no constant lies in \\axiom{\\spad{ps}}.")) (|rewriteIdealWithRemainder| (((|List| |#4|) (|List| |#4|) $) "\\axiom{rewriteIdealWithRemainder(\\spad{lp},{}\\spad{cs})} returns \\axiom{\\spad{lr}} such that every polynomial in \\axiom{\\spad{lr}} is fully reduced in the sense of Groebner bases \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{cs}} and \\axiom{(\\spad{lp},{}\\spad{cs})} and \\axiom{(\\spad{lr},{}\\spad{cs})} generate the same ideal in \\axiom{(\\spad{R})^(\\spad{-1}) \\spad{P}}.")) (|rewriteIdealWithHeadRemainder| (((|List| |#4|) (|List| |#4|) $) "\\axiom{rewriteIdealWithHeadRemainder(\\spad{lp},{}\\spad{cs})} returns \\axiom{\\spad{lr}} such that the leading monomial of every polynomial in \\axiom{\\spad{lr}} is reduced in the sense of Groebner bases \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{cs}} and \\axiom{(\\spad{lp},{}\\spad{cs})} and \\axiom{(\\spad{lr},{}\\spad{cs})} generate the same ideal in \\axiom{(\\spad{R})^(\\spad{-1}) \\spad{P}}.")) (|remainder| (((|Record| (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) "\\axiom{remainder(a,{}\\spad{ps})} returns \\axiom{[\\spad{c},{}\\spad{b},{}\\spad{r}]} such that \\axiom{\\spad{b}} is fully reduced in the sense of Groebner bases \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{ps}},{} \\axiom{r*a - \\spad{c*b}} lies in the ideal generated by \\axiom{\\spad{ps}}. Furthermore,{} if \\axiom{\\spad{R}} is a \\spad{gcd}-domain,{} \\axiom{\\spad{b}} is primitive.")) (|headRemainder| (((|Record| (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) "\\axiom{headRemainder(a,{}\\spad{ps})} returns \\axiom{[\\spad{b},{}\\spad{r}]} such that the leading monomial of \\axiom{\\spad{b}} is reduced in the sense of Groebner bases \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{ps}} and \\axiom{r*a - \\spad{b}} lies in the ideal generated by \\axiom{\\spad{ps}}.")) (|roughUnitIdeal?| (((|Boolean|) $) "\\axiom{roughUnitIdeal?(\\spad{ps})} returns \\spad{true} iff \\axiom{\\spad{ps}} contains \\indented{1}{some non null element lying in the base ring \\axiom{\\spad{R}}.}")) (|roughEqualIdeals?| (((|Boolean|) $ $) "\\axiom{roughEqualIdeals?(\\spad{ps1},{}\\spad{ps2})} returns \\spad{true} iff it can proved that \\axiom{\\spad{ps1}} and \\axiom{\\spad{ps2}} generate the same ideal in \\axiom{(\\spad{R})^(\\spad{-1}) \\spad{P}} without computing Groebner bases.")) (|roughSubIdeal?| (((|Boolean|) $ $) "\\axiom{roughSubIdeal?(\\spad{ps1},{}\\spad{ps2})} returns \\spad{true} iff it can proved that all polynomials in \\axiom{\\spad{ps1}} lie in the ideal generated by \\axiom{\\spad{ps2}} in \\axiom{\\axiom{(\\spad{R})^(\\spad{-1}) \\spad{P}}} without computing Groebner bases.")) (|roughBase?| (((|Boolean|) $) "\\axiom{roughBase?(\\spad{ps})} returns \\spad{true} iff for every pair \\axiom{{\\spad{p},{}\\spad{q}}} of polynomials in \\axiom{\\spad{ps}} their leading monomials are relatively prime.")) (|trivialIdeal?| (((|Boolean|) $) "\\axiom{trivialIdeal?(\\spad{ps})} returns \\spad{true} iff \\axiom{\\spad{ps}} does not contain non-zero elements.")) (|sort| (((|Record| (|:| |under| $) (|:| |floor| $) (|:| |upper| $)) $ |#3|) "\\axiom{sort(\\spad{v},{}\\spad{ps})} returns \\axiom{us,{}\\spad{vs},{}\\spad{ws}} such that \\axiom{us} is \\axiom{collectUnder(\\spad{ps},{}\\spad{v})},{} \\axiom{\\spad{vs}} is \\axiom{collect(\\spad{ps},{}\\spad{v})} and \\axiom{\\spad{ws}} is \\axiom{collectUpper(\\spad{ps},{}\\spad{v})}.")) (|collectUpper| (($ $ |#3|) "\\axiom{collectUpper(\\spad{ps},{}\\spad{v})} returns the set consisting of the polynomials of \\axiom{\\spad{ps}} with main variable greater than \\axiom{\\spad{v}}.")) (|collect| (($ $ |#3|) "\\axiom{collect(\\spad{ps},{}\\spad{v})} returns the set consisting of the polynomials of \\axiom{\\spad{ps}} with \\axiom{\\spad{v}} as main variable.")) (|collectUnder| (($ $ |#3|) "\\axiom{collectUnder(\\spad{ps},{}\\spad{v})} returns the set consisting of the polynomials of \\axiom{\\spad{ps}} with main variable less than \\axiom{\\spad{v}}.")) (|mainVariable?| (((|Boolean|) |#3| $) "\\axiom{mainVariable?(\\spad{v},{}\\spad{ps})} returns \\spad{true} iff \\axiom{\\spad{v}} is the main variable of some polynomial in \\axiom{\\spad{ps}}.")) (|mainVariables| (((|List| |#3|) $) "\\axiom{mainVariables(\\spad{ps})} returns the decreasingly sorted list of the variables which are main variables of some polynomial in \\axiom{\\spad{ps}}.")) (|variables| (((|List| |#3|) $) "\\axiom{variables(\\spad{ps})} returns the decreasingly sorted list of the variables which are variables of some polynomial in \\axiom{\\spad{ps}}.")) (|mvar| ((|#3| $) "\\axiom{mvar(\\spad{ps})} returns the main variable of the non constant polynomial with the greatest main variable,{} if any,{} else an error is returned.")) (|retract| (($ (|List| |#4|)) "\\axiom{retract(\\spad{lp})} returns an element of the domain whose elements are the members of \\axiom{\\spad{lp}} if such an element exists,{} otherwise an error is produced.")) (|retractIfCan| (((|Union| $ "failed") (|List| |#4|)) "\\axiom{retractIfCan(\\spad{lp})} returns an element of the domain whose elements are the members of \\axiom{\\spad{lp}} if such an element exists,{} otherwise \\axiom{\"failed\"} is returned."))) 
-((-4521 . T) (-3973 . T)) 
+((-4535 . T) (-2982 . T)) 
 NIL 
-(-978 R E V P) 
+(-979 R E V P) 
 ((|constructor| (NIL "This package provides modest routines for polynomial system solving. The aim of many of the operations of this package is to remove certain factors in some polynomials in order to avoid unnecessary computations in algorithms involving splitting techniques by partial factorization.")) (|removeIrreducibleRedundantFactors| (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeIrreducibleRedundantFactors(\\spad{lp},{}\\spad{lq})} returns the same as \\axiom{irreducibleFactors(concat(\\spad{lp},{}\\spad{lq}))} assuming that \\axiom{irreducibleFactors(\\spad{lp})} returns \\axiom{\\spad{lp}} up to replacing some polynomial \\axiom{\\spad{pj}} in \\axiom{\\spad{lp}} by some polynomial \\axiom{\\spad{qj}} associated to \\axiom{\\spad{pj}}.")) (|lazyIrreducibleFactors| (((|List| |#4|) (|List| |#4|)) "\\axiom{lazyIrreducibleFactors(\\spad{lp})} returns \\axiom{\\spad{lf}} such that if \\axiom{\\spad{lp} = [\\spad{p1},{}...,{}\\spad{pn}]} and \\axiom{\\spad{lf} = [\\spad{f1},{}...,{}\\spad{fm}]} then \\axiom{p1*p2*...\\spad{*pn=0}} means \\axiom{f1*f2*...\\spad{*fm=0}},{} and the \\axiom{\\spad{fi}} are irreducible over \\axiom{\\spad{R}} and are pairwise distinct. The algorithm tries to avoid factorization into irreducible factors as far as possible and makes previously use of \\spad{gcd} techniques over \\axiom{\\spad{R}}.")) (|irreducibleFactors| (((|List| |#4|) (|List| |#4|)) "\\axiom{irreducibleFactors(\\spad{lp})} returns \\axiom{\\spad{lf}} such that if \\axiom{\\spad{lp} = [\\spad{p1},{}...,{}\\spad{pn}]} and \\axiom{\\spad{lf} = [\\spad{f1},{}...,{}\\spad{fm}]} then \\axiom{p1*p2*...\\spad{*pn=0}} means \\axiom{f1*f2*...\\spad{*fm=0}},{} and the \\axiom{\\spad{fi}} are irreducible over \\axiom{\\spad{R}} and are pairwise distinct.")) (|removeRedundantFactorsInPols| (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeRedundantFactorsInPols(\\spad{lp},{}\\spad{lf})} returns \\axiom{newlp} where \\axiom{newlp} is obtained from \\axiom{\\spad{lp}} by removing in every polynomial \\axiom{\\spad{p}} of \\axiom{\\spad{lp}} any non trivial factor of any polynomial \\axiom{\\spad{f}} in \\axiom{\\spad{lf}}. Moreover,{} squares over \\axiom{\\spad{R}} are first removed in every polynomial \\axiom{\\spad{lp}}.")) (|removeRedundantFactorsInContents| (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeRedundantFactorsInContents(\\spad{lp},{}\\spad{lf})} returns \\axiom{newlp} where \\axiom{newlp} is obtained from \\axiom{\\spad{lp}} by removing in the content of every polynomial of \\axiom{\\spad{lp}} any non trivial factor of any polynomial \\axiom{\\spad{f}} in \\axiom{\\spad{lf}}. Moreover,{} squares over \\axiom{\\spad{R}} are first removed in the content of every polynomial of \\axiom{\\spad{lp}}.")) (|removeRoughlyRedundantFactorsInContents| (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeRoughlyRedundantFactorsInContents(\\spad{lp},{}\\spad{lf})} returns \\axiom{newlp}where \\axiom{newlp} is obtained from \\axiom{\\spad{lp}} by removing in the content of every polynomial of \\axiom{\\spad{lp}} any occurence of a polynomial \\axiom{\\spad{f}} in \\axiom{\\spad{lf}}. Moreover,{} squares over \\axiom{\\spad{R}} are first removed in the content of every polynomial of \\axiom{\\spad{lp}}.")) (|univariatePolynomialsGcds| (((|List| |#4|) (|List| |#4|) (|Boolean|)) "\\axiom{univariatePolynomialsGcds(\\spad{lp},{}opt)} returns the same as \\axiom{univariatePolynomialsGcds(\\spad{lp})} if \\axiom{opt} is \\axiom{\\spad{false}} and if the previous operation does not return any non null and constant polynomial,{} else return \\axiom{[1]}.") (((|List| |#4|) (|List| |#4|)) "\\axiom{univariatePolynomialsGcds(\\spad{lp})} returns \\axiom{\\spad{lg}} where \\axiom{\\spad{lg}} is a list of the gcds of every pair in \\axiom{\\spad{lp}} of univariate polynomials in the same main variable.")) (|squareFreeFactors| (((|List| |#4|) |#4|) "\\axiom{squareFreeFactors(\\spad{p})} returns the square-free factors of \\axiom{\\spad{p}} over \\axiom{\\spad{R}}")) (|rewriteIdealWithQuasiMonicGenerators| (((|List| |#4|) (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) "\\axiom{rewriteIdealWithQuasiMonicGenerators(\\spad{lp},{}redOp?,{}redOp)} returns \\axiom{\\spad{lq}} where \\axiom{\\spad{lq}} and \\axiom{\\spad{lp}} generate the same ideal in \\axiom{\\spad{R^}(\\spad{-1}) \\spad{P}} and \\axiom{\\spad{lq}} has rank not higher than the one of \\axiom{\\spad{lp}}. Moreover,{} \\axiom{\\spad{lq}} is computed by reducing \\axiom{\\spad{lp}} \\spad{w}.\\spad{r}.\\spad{t}. some basic set of the ideal generated by the quasi-monic polynomials in \\axiom{\\spad{lp}}.")) (|rewriteSetByReducingWithParticularGenerators| (((|List| |#4|) (|List| |#4|) (|Mapping| (|Boolean|) |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) "\\axiom{rewriteSetByReducingWithParticularGenerators(\\spad{lp},{}pred?,{}redOp?,{}redOp)} returns \\axiom{\\spad{lq}} where \\axiom{\\spad{lq}} is computed by the following algorithm. Chose a basic set \\spad{w}.\\spad{r}.\\spad{t}. the reduction-test \\axiom{redOp?} among the polynomials satisfying property \\axiom{pred?},{} if it is empty then leave,{} else reduce the other polynomials by this basic set \\spad{w}.\\spad{r}.\\spad{t}. the reduction-operation \\axiom{redOp}. Repeat while another basic set with smaller rank can be computed. See code. If \\axiom{pred?} is \\axiom{quasiMonic?} the ideal is unchanged.")) (|crushedSet| (((|List| |#4|) (|List| |#4|)) "\\axiom{crushedSet(\\spad{lp})} returns \\axiom{\\spad{lq}} such that \\axiom{\\spad{lp}} and and \\axiom{\\spad{lq}} generate the same ideal and no rough basic sets reduce (in the sense of Groebner bases) the other polynomials in \\axiom{\\spad{lq}}.")) (|roughBasicSet| (((|Union| (|Record| (|:| |bas| (|GeneralTriangularSet| |#1| |#2| |#3| |#4|)) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|)) "\\axiom{roughBasicSet(\\spad{lp})} returns the smallest (with Ritt-Wu ordering) triangular set contained in \\axiom{\\spad{lp}}.")) (|interReduce| (((|List| |#4|) (|List| |#4|)) "\\axiom{interReduce(\\spad{lp})} returns \\axiom{\\spad{lq}} such that \\axiom{\\spad{lp}} and \\axiom{\\spad{lq}} generate the same ideal and no polynomial in \\axiom{\\spad{lq}} is reducuble by the others in the sense of Groebner bases. Since no assumptions are required the result may depend on the ordering the reductions are performed.")) (|removeRoughlyRedundantFactorsInPol| ((|#4| |#4| (|List| |#4|)) "\\axiom{removeRoughlyRedundantFactorsInPol(\\spad{p},{}\\spad{lf})} returns the same as removeRoughlyRedundantFactorsInPols([\\spad{p}],{}\\spad{lf},{}\\spad{true})")) (|removeRoughlyRedundantFactorsInPols| (((|List| |#4|) (|List| |#4|) (|List| |#4|) (|Boolean|)) "\\axiom{removeRoughlyRedundantFactorsInPols(\\spad{lp},{}\\spad{lf},{}opt)} returns the same as \\axiom{removeRoughlyRedundantFactorsInPols(\\spad{lp},{}\\spad{lf})} if \\axiom{opt} is \\axiom{\\spad{false}} and if the previous operation does not return any non null and constant polynomial,{} else return \\axiom{[1]}.") (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeRoughlyRedundantFactorsInPols(\\spad{lp},{}\\spad{lf})} returns \\axiom{newlp}where \\axiom{newlp} is obtained from \\axiom{\\spad{lp}} by removing in every polynomial \\axiom{\\spad{p}} of \\axiom{\\spad{lp}} any occurence of a polynomial \\axiom{\\spad{f}} in \\axiom{\\spad{lf}}. This may involve a lot of exact-quotients computations.")) (|bivariatePolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|)) "\\axiom{bivariatePolynomials(\\spad{lp})} returns \\axiom{\\spad{bps},{}nbps} where \\axiom{\\spad{bps}} is a list of the bivariate polynomials,{} and \\axiom{nbps} are the other ones.")) (|bivariate?| (((|Boolean|) |#4|) "\\axiom{bivariate?(\\spad{p})} returns \\spad{true} iff \\axiom{\\spad{p}} involves two and only two variables.")) (|linearPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|)) "\\axiom{linearPolynomials(\\spad{lp})} returns \\axiom{\\spad{lps},{}nlps} where \\axiom{\\spad{lps}} is a list of the linear polynomials in \\spad{lp},{} and \\axiom{nlps} are the other ones.")) (|linear?| (((|Boolean|) |#4|) "\\axiom{linear?(\\spad{p})} returns \\spad{true} iff \\axiom{\\spad{p}} does not lie in the base ring \\axiom{\\spad{R}} and has main degree \\axiom{1}.")) (|univariatePolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|)) "\\axiom{univariatePolynomials(\\spad{lp})} returns \\axiom{ups,{}nups} where \\axiom{ups} is a list of the univariate polynomials,{} and \\axiom{nups} are the other ones.")) (|univariate?| (((|Boolean|) |#4|) "\\axiom{univariate?(\\spad{p})} returns \\spad{true} iff \\axiom{\\spad{p}} involves one and only one variable.")) (|quasiMonicPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|)) "\\axiom{quasiMonicPolynomials(\\spad{lp})} returns \\axiom{qmps,{}nqmps} where \\axiom{qmps} is a list of the quasi-monic polynomials in \\axiom{\\spad{lp}} and \\axiom{nqmps} are the other ones.")) (|selectAndPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| (|Mapping| (|Boolean|) |#4|)) (|List| |#4|)) "\\axiom{selectAndPolynomials(lpred?,{}\\spad{ps})} returns \\axiom{\\spad{gps},{}\\spad{bps}} where \\axiom{\\spad{gps}} is a list of the polynomial \\axiom{\\spad{p}} in \\axiom{\\spad{ps}} such that \\axiom{pred?(\\spad{p})} holds for every \\axiom{pred?} in \\axiom{lpred?} and \\axiom{\\spad{bps}} are the other ones.")) (|selectOrPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| (|Mapping| (|Boolean|) |#4|)) (|List| |#4|)) "\\axiom{selectOrPolynomials(lpred?,{}\\spad{ps})} returns \\axiom{\\spad{gps},{}\\spad{bps}} where \\axiom{\\spad{gps}} is a list of the polynomial \\axiom{\\spad{p}} in \\axiom{\\spad{ps}} such that \\axiom{pred?(\\spad{p})} holds for some \\axiom{pred?} in \\axiom{lpred?} and \\axiom{\\spad{bps}} are the other ones.")) (|selectPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|Mapping| (|Boolean|) |#4|) (|List| |#4|)) "\\axiom{selectPolynomials(pred?,{}\\spad{ps})} returns \\axiom{\\spad{gps},{}\\spad{bps}} where \\axiom{\\spad{gps}} is a list of the polynomial \\axiom{\\spad{p}} in \\axiom{\\spad{ps}} such that \\axiom{pred?(\\spad{p})} holds and \\axiom{\\spad{bps}} are the other ones.")) (|probablyZeroDim?| (((|Boolean|) (|List| |#4|)) "\\axiom{probablyZeroDim?(\\spad{lp})} returns \\spad{true} iff the number of polynomials in \\axiom{\\spad{lp}} is not smaller than the number of variables occurring in these polynomials.")) (|possiblyNewVariety?| (((|Boolean|) (|List| |#4|) (|List| (|List| |#4|))) "\\axiom{possiblyNewVariety?(newlp,{}\\spad{llp})} returns \\spad{true} iff for every \\axiom{\\spad{lp}} in \\axiom{\\spad{llp}} certainlySubVariety?(newlp,{}\\spad{lp}) does not hold.")) (|certainlySubVariety?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{certainlySubVariety?(newlp,{}\\spad{lp})} returns \\spad{true} iff for every \\axiom{\\spad{p}} in \\axiom{\\spad{lp}} the remainder of \\axiom{\\spad{p}} by \\axiom{newlp} using the division algorithm of Groebner techniques is zero.")) (|unprotectedRemoveRedundantFactors| (((|List| |#4|) |#4| |#4|) "\\axiom{unprotectedRemoveRedundantFactors(\\spad{p},{}\\spad{q})} returns the same as \\axiom{removeRedundantFactors(\\spad{p},{}\\spad{q})} but does assume that neither \\axiom{\\spad{p}} nor \\axiom{\\spad{q}} lie in the base ring \\axiom{\\spad{R}} and assumes that \\axiom{infRittWu?(\\spad{p},{}\\spad{q})} holds. Moreover,{} if \\axiom{\\spad{R}} is \\spad{gcd}-domain,{} then \\axiom{\\spad{p}} and \\axiom{\\spad{q}} are assumed to be square free.")) (|removeSquaresIfCan| (((|List| |#4|) (|List| |#4|)) "\\axiom{removeSquaresIfCan(\\spad{lp})} returns \\axiom{removeDuplicates [squareFreePart(\\spad{p})\\$\\spad{P} for \\spad{p} in \\spad{lp}]} if \\axiom{\\spad{R}} is \\spad{gcd}-domain else returns \\axiom{\\spad{lp}}.")) (|removeRedundantFactors| (((|List| |#4|) (|List| |#4|) (|List| |#4|) (|Mapping| (|List| |#4|) (|List| |#4|))) "\\axiom{removeRedundantFactors(\\spad{lp},{}\\spad{lq},{}remOp)} returns the same as \\axiom{concat(remOp(removeRoughlyRedundantFactorsInPols(\\spad{lp},{}\\spad{lq})),{}\\spad{lq})} assuming that \\axiom{remOp(\\spad{lq})} returns \\axiom{\\spad{lq}} up to similarity.") (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeRedundantFactors(\\spad{lp},{}\\spad{lq})} returns the same as \\axiom{removeRedundantFactors(concat(\\spad{lp},{}\\spad{lq}))} assuming that \\axiom{removeRedundantFactors(\\spad{lp})} returns \\axiom{\\spad{lp}} up to replacing some polynomial \\axiom{\\spad{pj}} in \\axiom{\\spad{lp}} by some polynomial \\axiom{\\spad{qj}} associated to \\axiom{\\spad{pj}}.") (((|List| |#4|) (|List| |#4|) |#4|) "\\axiom{removeRedundantFactors(\\spad{lp},{}\\spad{q})} returns the same as \\axiom{removeRedundantFactors(cons(\\spad{q},{}\\spad{lp}))} assuming that \\axiom{removeRedundantFactors(\\spad{lp})} returns \\axiom{\\spad{lp}} up to replacing some polynomial \\axiom{\\spad{pj}} in \\axiom{\\spad{lp}} by some some polynomial \\axiom{\\spad{qj}} associated to \\axiom{\\spad{pj}}.") (((|List| |#4|) |#4| |#4|) "\\axiom{removeRedundantFactors(\\spad{p},{}\\spad{q})} returns the same as \\axiom{removeRedundantFactors([\\spad{p},{}\\spad{q}])}") (((|List| |#4|) (|List| |#4|)) "\\axiom{removeRedundantFactors(\\spad{lp})} returns \\axiom{\\spad{lq}} such that if \\axiom{\\spad{lp} = [\\spad{p1},{}...,{}\\spad{pn}]} and \\axiom{\\spad{lq} = [\\spad{q1},{}...,{}\\spad{qm}]} then the product \\axiom{p1*p2*...\\spad{*pn}} vanishes iff the product \\axiom{q1*q2*...\\spad{*qm}} vanishes,{} and the product of degrees of the \\axiom{\\spad{qi}} is not greater than the one of the \\axiom{\\spad{pj}},{} and no polynomial in \\axiom{\\spad{lq}} divides another polynomial in \\axiom{\\spad{lq}}. In particular,{} polynomials lying in the base ring \\axiom{\\spad{R}} are removed. Moreover,{} \\axiom{\\spad{lq}} is sorted \\spad{w}.\\spad{r}.\\spad{t} \\axiom{infRittWu?}. Furthermore,{} if \\spad{R} is \\spad{gcd}-domain,{} the polynomials in \\axiom{\\spad{lq}} are pairwise without common non trivial factor."))) 
 NIL 
-((-12 (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-301)))) (|HasCategory| |#1| (QUOTE (-453)))) 
-(-979 K) 
+((-12 (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-302)))) (|HasCategory| |#1| (QUOTE (-454)))) 
+(-980 K) 
 ((|constructor| (NIL "PseudoLinearNormalForm provides a function for computing a block-companion form for pseudo-linear operators.")) (|companionBlocks| (((|List| (|Record| (|:| C (|Matrix| |#1|)) (|:| |g| (|Vector| |#1|)))) (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{companionBlocks(m,{} v)} returns \\spad{[[C_1,{} g_1],{}...,{}[C_k,{} g_k]]} such that each \\spad{C_i} is a companion block and \\spad{m = diagonal(C_1,{}...,{}C_k)}.")) (|changeBase| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Automorphism| |#1|) (|Mapping| |#1| |#1|)) "\\spad{changeBase(M,{} A,{} sig,{} der)}: computes the new matrix of a pseudo-linear transform given by the matrix \\spad{M} under the change of base A")) (|normalForm| (((|Record| (|:| R (|Matrix| |#1|)) (|:| A (|Matrix| |#1|)) (|:| |Ainv| (|Matrix| |#1|))) (|Matrix| |#1|) (|Automorphism| |#1|) (|Mapping| |#1| |#1|)) "\\spad{normalForm(M,{} sig,{} der)} returns \\spad{[R,{} A,{} A^{-1}]} such that the pseudo-linear operator whose matrix in the basis \\spad{y} is \\spad{M} had matrix \\spad{R} in the basis \\spad{z = A y}. \\spad{der} is a \\spad{sig}-derivation."))) 
 NIL 
 NIL 
-(-980 |VarSet| E RC P) 
+(-981 |VarSet| E RC P) 
 ((|constructor| (NIL "This package computes square-free decomposition of multivariate polynomials over a coefficient ring which is an arbitrary \\spad{gcd} domain. The requirement on the coefficient domain guarantees that the \\spadfun{content} can be removed so that factors will be primitive as well as square-free. Over an infinite ring of finite characteristic,{}it may not be possible to guarantee that the factors are square-free.")) (|squareFree| (((|Factored| |#4|) |#4|) "\\spad{squareFree(p)} returns the square-free factorization of the polynomial \\spad{p}. Each factor has no repeated roots,{} and the factors are pairwise relatively prime."))) 
 NIL 
 NIL 
-(-981 R) 
+(-982 R) 
 ((|constructor| (NIL "PointCategory is the category of points in space which may be plotted via the graphics facilities. Functions are provided for defining points and handling elements of points.")) (|extend| (($ $ (|List| |#1|)) "\\spad{extend(x,{}l,{}r)} \\undocumented")) (|cross| (($ $ $) "\\spad{cross(p,{}q)} computes the cross product of the two points \\spad{p} and \\spad{q}. Error if the \\spad{p} and \\spad{q} are not 3 dimensional")) (|convert| (($ (|List| |#1|)) "\\spad{convert(l)} takes a list of elements,{} \\spad{l},{} from the domain Ring and returns the form of point category.")) (|dimension| (((|PositiveInteger|) $) "\\spad{dimension(s)} returns the dimension of the point category \\spad{s}.")) (|point| (($ (|List| |#1|)) "\\spad{point(l)} returns a point category defined by a list \\spad{l} of elements from the domain \\spad{R}."))) 
-((-4522 . T) (-4521 . T) (-3973 . T)) 
+((-4536 . T) (-4535 . T) (-2982 . T)) 
 NIL 
-(-982 R1 R2) 
+(-983 R1 R2) 
 ((|constructor| (NIL "This package has no description")) (|map| (((|Point| |#2|) (|Mapping| |#2| |#1|) (|Point| |#1|)) "\\spad{map(f,{}p)} \\undocumented"))) 
 NIL 
 NIL 
-(-983 R) 
+(-984 R) 
 ((|constructor| (NIL "This package has no description")) (|shade| ((|#1| (|Point| |#1|)) "\\spad{shade(pt)} returns the fourth element of the two dimensional point,{} \\spad{pt},{} although no assumptions are made with regards as to how the components of higher dimensional points are interpreted. This function is defined for the convenience of the user using specifically,{} shade to express a fourth dimension.")) (|hue| ((|#1| (|Point| |#1|)) "\\spad{hue(pt)} returns the third element of the two dimensional point,{} \\spad{pt},{} although no assumptions are made with regards as to how the components of higher dimensional points are interpreted. This function is defined for the convenience of the user using specifically,{} hue to express a third dimension.")) (|color| ((|#1| (|Point| |#1|)) "\\spad{color(pt)} returns the fourth element of the point,{} \\spad{pt},{} although no assumptions are made with regards as to how the components of higher dimensional points are interpreted. This function is defined for the convenience of the user using specifically,{} color to express a fourth dimension.")) (|phiCoord| ((|#1| (|Point| |#1|)) "\\spad{phiCoord(pt)} returns the third element of the point,{} \\spad{pt},{} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a spherical coordinate system.")) (|thetaCoord| ((|#1| (|Point| |#1|)) "\\spad{thetaCoord(pt)} returns the second element of the point,{} \\spad{pt},{} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a spherical or a cylindrical coordinate system.")) (|rCoord| ((|#1| (|Point| |#1|)) "\\spad{rCoord(pt)} returns the first element of the point,{} \\spad{pt},{} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a spherical or a cylindrical coordinate system.")) (|zCoord| ((|#1| (|Point| |#1|)) "\\spad{zCoord(pt)} returns the third element of the point,{} \\spad{pt},{} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a Cartesian or a cylindrical coordinate system.")) (|yCoord| ((|#1| (|Point| |#1|)) "\\spad{yCoord(pt)} returns the second element of the point,{} \\spad{pt},{} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a Cartesian coordinate system.")) (|xCoord| ((|#1| (|Point| |#1|)) "\\spad{xCoord(pt)} returns the first element of the point,{} \\spad{pt},{} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a Cartesian coordinate system."))) 
 NIL 
 NIL 
-(-984 K) 
+(-985 K) 
 ((|constructor| (NIL "This is the description of any package which provides partial functions on a domain belonging to TranscendentalFunctionCategory.")) (|acschIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acschIfCan(z)} returns acsch(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|asechIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{asechIfCan(z)} returns asech(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|acothIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acothIfCan(z)} returns acoth(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|atanhIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{atanhIfCan(z)} returns atanh(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|acoshIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acoshIfCan(z)} returns acosh(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|asinhIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{asinhIfCan(z)} returns asinh(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|cschIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cschIfCan(z)} returns csch(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|sechIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{sechIfCan(z)} returns sech(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|cothIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cothIfCan(z)} returns coth(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|tanhIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{tanhIfCan(z)} returns tanh(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|coshIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{coshIfCan(z)} returns cosh(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|sinhIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{sinhIfCan(z)} returns sinh(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|acscIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acscIfCan(z)} returns acsc(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|asecIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{asecIfCan(z)} returns asec(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|acotIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acotIfCan(z)} returns acot(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|atanIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{atanIfCan(z)} returns atan(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|acosIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acosIfCan(z)} returns acos(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|asinIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{asinIfCan(z)} returns asin(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|cscIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cscIfCan(z)} returns \\spad{csc}(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|secIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{secIfCan(z)} returns sec(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|cotIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cotIfCan(z)} returns cot(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|tanIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{tanIfCan(z)} returns tan(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|cosIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cosIfCan(z)} returns cos(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|sinIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{sinIfCan(z)} returns sin(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|logIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{logIfCan(z)} returns log(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|expIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{expIfCan(z)} returns exp(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|nthRootIfCan| (((|Union| |#1| "failed") |#1| (|NonNegativeInteger|)) "\\spad{nthRootIfCan(z,{}n)} returns the \\spad{n}th root of \\spad{z} if possible,{} and \"failed\" otherwise."))) 
 NIL 
 NIL 
-(-985 R E OV PPR) 
+(-986 R E OV PPR) 
 ((|constructor| (NIL "This package has no description")) (|map| ((|#4| (|Mapping| |#4| (|Polynomial| |#1|)) |#4|) "\\spad{map(f,{}p)} \\undocumented{}")) (|pushup| ((|#4| |#4| (|List| |#3|)) "\\spad{pushup(p,{}lv)} \\undocumented{}") ((|#4| |#4| |#3|) "\\spad{pushup(p,{}v)} \\undocumented{}")) (|pushdown| ((|#4| |#4| (|List| |#3|)) "\\spad{pushdown(p,{}lv)} \\undocumented{}") ((|#4| |#4| |#3|) "\\spad{pushdown(p,{}v)} \\undocumented{}")) (|variable| (((|Union| $ "failed") (|Symbol|)) "\\spad{variable(s)} makes an element from symbol \\spad{s} or fails")) (|convert| (((|Symbol|) $) "\\spad{convert(x)} converts \\spad{x} to a symbol"))) 
 NIL 
 NIL 
-(-986 K R UP -1478) 
+(-987 K R UP -1564) 
 ((|constructor| (NIL "In this package \\spad{K} is a finite field,{} \\spad{R} is a ring of univariate polynomials over \\spad{K},{} and \\spad{F} is a monogenic algebra over \\spad{R}. We require that \\spad{F} is monogenic,{} \\spadignore{i.e.} that \\spad{F = K[x,{}y]/(f(x,{}y))},{} because the integral basis algorithm used will factor the polynomial \\spad{f(x,{}y)}. The package provides a function to compute the integral closure of \\spad{R} in the quotient field of \\spad{F} as well as a function to compute a \"local integral basis\" at a specific prime.")) (|reducedDiscriminant| ((|#2| |#3|) "\\spad{reducedDiscriminant(up)} \\undocumented")) (|localIntegralBasis| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) |#2|) "\\spad{integralBasis(p)} returns a record \\spad{[basis,{}basisDen,{}basisInv] } containing information regarding the local integral closure of \\spad{R} at the prime \\spad{p} in the quotient field of the framed algebra \\spad{F}. \\spad{F} is a framed algebra with \\spad{R}-module basis \\spad{w1,{}w2,{}...,{}wn}. If 'basis' is the matrix \\spad{(aij,{} i = 1..n,{} j = 1..n)},{} then the \\spad{i}th element of the local integral basis is \\spad{\\spad{vi} = (1/basisDen) * sum(aij * wj,{} j = 1..n)},{} \\spadignore{i.e.} the \\spad{i}th row of 'basis' contains the coordinates of the \\spad{i}th basis vector. Similarly,{} the \\spad{i}th row of the matrix 'basisInv' contains the coordinates of \\spad{\\spad{wi}} with respect to the basis \\spad{v1,{}...,{}vn}: if 'basisInv' is the matrix \\spad{(bij,{} i = 1..n,{} j = 1..n)},{} then \\spad{\\spad{wi} = sum(bij * vj,{} j = 1..n)}.")) (|integralBasis| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) "\\spad{integralBasis()} returns a record \\spad{[basis,{}basisDen,{}basisInv] } containing information regarding the integral closure of \\spad{R} in the quotient field of the framed algebra \\spad{F}. \\spad{F} is a framed algebra with \\spad{R}-module basis \\spad{w1,{}w2,{}...,{}wn}. If 'basis' is the matrix \\spad{(aij,{} i = 1..n,{} j = 1..n)},{} then the \\spad{i}th element of the integral basis is \\spad{\\spad{vi} = (1/basisDen) * sum(aij * wj,{} j = 1..n)},{} \\spadignore{i.e.} the \\spad{i}th row of 'basis' contains the coordinates of the \\spad{i}th basis vector. Similarly,{} the \\spad{i}th row of the matrix 'basisInv' contains the coordinates of \\spad{\\spad{wi}} with respect to the basis \\spad{v1,{}...,{}vn}: if 'basisInv' is the matrix \\spad{(bij,{} i = 1..n,{} j = 1..n)},{} then \\spad{\\spad{wi} = sum(bij * vj,{} j = 1..n)}."))) 
 NIL 
 NIL 
-(-987 |vl| |nv|) 
+(-988 |vl| |nv|) 
 ((|constructor| (NIL "\\spadtype{QuasiAlgebraicSet2} adds a function \\spadfun{radicalSimplify} which uses \\spadtype{IdealDecompositionPackage} to simplify the representation of a quasi-algebraic set. A quasi-algebraic set is the intersection of a Zariski closed set,{} defined as the common zeros of a given list of polynomials (the defining polynomials for equations),{} and a principal Zariski open set,{} defined as the complement of the common zeros of a polynomial \\spad{f} (the defining polynomial for the inequation). Quasi-algebraic sets are implemented in the domain \\spadtype{QuasiAlgebraicSet},{} where two simplification routines are provided: \\spadfun{idealSimplify} and \\spadfun{simplify}. The function \\spadfun{radicalSimplify} is added for comparison study only. Because the domain \\spadtype{IdealDecompositionPackage} provides facilities for computing with radical ideals,{} it is necessary to restrict the ground ring to the domain \\spadtype{Fraction Integer},{} and the polynomial ring to be of type \\spadtype{DistributedMultivariatePolynomial}. The routine \\spadfun{radicalSimplify} uses these to compute groebner basis of radical ideals and is inefficient and restricted when compared to the two in \\spadtype{QuasiAlgebraicSet}.")) (|radicalSimplify| (((|QuasiAlgebraicSet| (|Fraction| (|Integer|)) (|OrderedVariableList| |#1|) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|QuasiAlgebraicSet| (|Fraction| (|Integer|)) (|OrderedVariableList| |#1|) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{radicalSimplify(s)} returns a different and presumably simpler representation of \\spad{s} with the defining polynomials for the equations forming a groebner basis,{} and the defining polynomial for the inequation reduced with respect to the basis,{} using using groebner basis of radical ideals"))) 
 NIL 
 NIL 
-(-988 R |Var| |Expon| |Dpoly|) 
+(-989 R |Var| |Expon| |Dpoly|) 
 ((|constructor| (NIL "\\spadtype{QuasiAlgebraicSet} constructs a domain representing quasi-algebraic sets,{} which is the intersection of a Zariski closed set,{} defined as the common zeros of a given list of polynomials (the defining polynomials for equations),{} and a principal Zariski open set,{} defined as the complement of the common zeros of a polynomial \\spad{f} (the defining polynomial for the inequation). This domain provides simplification of a user-given representation using groebner basis computations. There are two simplification routines: the first function \\spadfun{idealSimplify} uses groebner basis of ideals alone,{} while the second,{} \\spadfun{simplify} uses both groebner basis and factorization. The resulting defining equations \\spad{L} always form a groebner basis,{} and the resulting defining inequation \\spad{f} is always reduced. The function \\spadfun{simplify} may be applied several times if desired. A third simplification routine \\spadfun{radicalSimplify} is provided in \\spadtype{QuasiAlgebraicSet2} for comparison study only,{} as it is inefficient compared to the other two,{} as well as is restricted to only certain coefficient domains. For detail analysis and a comparison of the three methods,{} please consult the reference cited. \\blankline A polynomial function \\spad{q} defined on the quasi-algebraic set is equivalent to its reduced form with respect to \\spad{L}. While this may be obtained using the usual normal form algorithm,{} there is no canonical form for \\spad{q}. \\blankline The ordering in groebner basis computation is determined by the data type of the input polynomials. If it is possible we suggest to use refinements of total degree orderings.")) (|simplify| (($ $) "\\spad{simplify(s)} returns a different and presumably simpler representation of \\spad{s} with the defining polynomials for the equations forming a groebner basis,{} and the defining polynomial for the inequation reduced with respect to the basis,{} using a heuristic algorithm based on factoring.")) (|idealSimplify| (($ $) "\\spad{idealSimplify(s)} returns a different and presumably simpler representation of \\spad{s} with the defining polynomials for the equations forming a groebner basis,{} and the defining polynomial for the inequation reduced with respect to the basis,{} using Buchberger\\spad{'s} algorithm.")) (|definingInequation| ((|#4| $) "\\spad{definingInequation(s)} returns a single defining polynomial for the inequation,{} that is,{} the Zariski open part of \\spad{s}.")) (|definingEquations| (((|List| |#4|) $) "\\spad{definingEquations(s)} returns a list of defining polynomials for equations,{} that is,{} for the Zariski closed part of \\spad{s}.")) (|empty?| (((|Boolean|) $) "\\spad{empty?(s)} returns \\spad{true} if the quasialgebraic set \\spad{s} has no points,{} and \\spad{false} otherwise.")) (|setStatus| (($ $ (|Union| (|Boolean|) "failed")) "\\spad{setStatus(s,{}t)} returns the same representation for \\spad{s},{} but asserts the following: if \\spad{t} is \\spad{true},{} then \\spad{s} is empty,{} if \\spad{t} is \\spad{false},{} then \\spad{s} is non-empty,{} and if \\spad{t} = \"failed\",{} then no assertion is made (that is,{} \"don\\spad{'t} know\"). Note: for internal use only,{} with care.")) (|status| (((|Union| (|Boolean|) "failed") $) "\\spad{status(s)} returns \\spad{true} if the quasi-algebraic set is empty,{} \\spad{false} if it is not,{} and \"failed\" if not yet known")) (|quasiAlgebraicSet| (($ (|List| |#4|) |#4|) "\\spad{quasiAlgebraicSet(pl,{}q)} returns the quasi-algebraic set with defining equations \\spad{p} = 0 for \\spad{p} belonging to the list \\spad{pl},{} and defining inequation \\spad{q} \\spad{^=} 0.")) (|empty| (($) "\\spad{empty()} returns the empty quasi-algebraic set"))) 
 NIL 
-((-12 (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-301))))) 
-(-989 R E V P TS) 
+((-12 (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-302))))) 
+(-990 R E V P TS) 
 ((|constructor| (NIL "A package for removing redundant quasi-components and redundant branches when decomposing a variety by means of quasi-components of regular triangular sets.")) (|branchIfCan| (((|Union| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|))) "failed") (|List| |#4|) |#5| (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{branchIfCan(leq,{}\\spad{ts},{}lineq,{}\\spad{b1},{}\\spad{b2},{}\\spad{b3},{}\\spad{b4},{}\\spad{b5})} is an internal subroutine,{} exported only for developement.")) (|prepareDecompose| (((|List| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|)))) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|)) "\\axiom{prepareDecompose(\\spad{lp},{}\\spad{lts},{}\\spad{b1},{}\\spad{b2})} is an internal subroutine,{} exported only for developement.")) (|removeSuperfluousCases| (((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)))) "\\axiom{removeSuperfluousCases(llpwt)} is an internal subroutine,{} exported only for developement.")) (|subCase?| (((|Boolean|) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) "\\axiom{subCase?(\\spad{lpwt1},{}\\spad{lpwt2})} is an internal subroutine,{} exported only for developement.")) (|removeSuperfluousQuasiComponents| (((|List| |#5|) (|List| |#5|)) "\\axiom{removeSuperfluousQuasiComponents(\\spad{lts})} removes from \\axiom{\\spad{lts}} any \\spad{ts} such that \\axiom{subQuasiComponent?(\\spad{ts},{}us)} holds for another \\spad{us} in \\axiom{\\spad{lts}}.")) (|subQuasiComponent?| (((|Boolean|) |#5| (|List| |#5|)) "\\axiom{subQuasiComponent?(\\spad{ts},{}lus)} returns \\spad{true} iff \\axiom{subQuasiComponent?(\\spad{ts},{}us)} holds for one \\spad{us} in \\spad{lus}.") (((|Boolean|) |#5| |#5|) "\\axiom{subQuasiComponent?(\\spad{ts},{}us)} returns \\spad{true} iff internalSubQuasiComponent? returs \\spad{true}.")) (|internalSubQuasiComponent?| (((|Union| (|Boolean|) "failed") |#5| |#5|) "\\axiom{internalSubQuasiComponent?(\\spad{ts},{}us)} returns a boolean \\spad{b} value if the fact that the regular zero set of \\axiom{us} contains that of \\axiom{\\spad{ts}} can be decided (and in that case \\axiom{\\spad{b}} gives this inclusion) otherwise returns \\axiom{\"failed\"}.")) (|infRittWu?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{infRittWu?(\\spad{lp1},{}\\spad{lp2})} is an internal subroutine,{} exported only for developement.")) (|internalInfRittWu?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{internalInfRittWu?(\\spad{lp1},{}\\spad{lp2})} is an internal subroutine,{} exported only for developement.")) (|internalSubPolSet?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{internalSubPolSet?(\\spad{lp1},{}\\spad{lp2})} returns \\spad{true} iff \\axiom{\\spad{lp1}} is a sub-set of \\axiom{\\spad{lp2}} assuming that these lists are sorted increasingly \\spad{w}.\\spad{r}.\\spad{t}. infRittWu? from RecursivePolynomialCategory.")) (|subPolSet?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{subPolSet?(\\spad{lp1},{}\\spad{lp2})} returns \\spad{true} iff \\axiom{\\spad{lp1}} is a sub-set of \\axiom{\\spad{lp2}}.")) (|subTriSet?| (((|Boolean|) |#5| |#5|) "\\axiom{subTriSet?(\\spad{ts},{}us)} returns \\spad{true} iff \\axiom{\\spad{ts}} is a sub-set of \\axiom{us}.")) (|moreAlgebraic?| (((|Boolean|) |#5| |#5|) "\\axiom{moreAlgebraic?(\\spad{ts},{}us)} returns \\spad{false} iff \\axiom{\\spad{ts}} and \\axiom{us} are both empty,{} or \\axiom{\\spad{ts}} has less elements than \\axiom{us},{} or some variable is algebraic \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{us} and is not \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{ts}}.")) (|algebraicSort| (((|List| |#5|) (|List| |#5|)) "\\axiom{algebraicSort(\\spad{lts})} sorts \\axiom{\\spad{lts}} \\spad{w}.\\spad{r}.\\spad{t} supDimElseRittWu?")) (|supDimElseRittWu?| (((|Boolean|) |#5| |#5|) "\\axiom{supDimElseRittWu(\\spad{ts},{}us)} returns \\spad{true} iff \\axiom{\\spad{ts}} has less elements than \\axiom{us} otherwise if \\axiom{\\spad{ts}} has higher rank than \\axiom{us} \\spad{w}.\\spad{r}.\\spad{t}. Riit and Wu ordering.")) (|stopTable!| (((|Void|)) "\\axiom{stopTableGcd!()} is an internal subroutine,{} exported only for developement.")) (|startTable!| (((|Void|) (|String|) (|String|) (|String|)) "\\axiom{startTableGcd!(\\spad{s1},{}\\spad{s2},{}\\spad{s3})} is an internal subroutine,{} exported only for developement."))) 
 NIL 
 NIL 
-(-990) 
+(-991) 
 ((|constructor| (NIL "This domain implements simple database queries")) (|value| (((|String|) $) "\\spad{value(q)} returns the value (\\spadignore{i.e.} right hand side) of \\axiom{\\spad{q}}.")) (|variable| (((|Symbol|) $) "\\spad{variable(q)} returns the variable (\\spadignore{i.e.} left hand side) of \\axiom{\\spad{q}}.")) (|equation| (($ (|Symbol|) (|String|)) "\\spad{equation(s,{}\"a\")} creates a new equation."))) 
 NIL 
 NIL 
-(-991 A B R S) 
+(-992 A B R S) 
 ((|constructor| (NIL "This package extends a function between integral domains to a mapping between their quotient fields.")) (|map| ((|#4| (|Mapping| |#2| |#1|) |#3|) "\\spad{map(func,{}frac)} applies the function \\spad{func} to the numerator and denominator of \\spad{frac}."))) 
 NIL 
 NIL 
-(-992 A S) 
+(-993 A S) 
 ((|constructor| (NIL "QuotientField(\\spad{S}) is the category of fractions of an Integral Domain \\spad{S}.")) (|floor| ((|#2| $) "\\spad{floor(x)} returns the largest integral element below \\spad{x}.")) (|ceiling| ((|#2| $) "\\spad{ceiling(x)} returns the smallest integral element above \\spad{x}.")) (|random| (($) "\\spad{random()} returns a random fraction.")) (|fractionPart| (($ $) "\\spad{fractionPart(x)} returns the fractional part of \\spad{x}. \\spad{x} = wholePart(\\spad{x}) + fractionPart(\\spad{x})")) (|wholePart| ((|#2| $) "\\spad{wholePart(x)} returns the whole part of the fraction \\spad{x} \\spadignore{i.e.} the truncated quotient of the numerator by the denominator.")) (|denominator| (($ $) "\\spad{denominator(x)} is the denominator of the fraction \\spad{x} converted to \\%.")) (|numerator| (($ $) "\\spad{numerator(x)} is the numerator of the fraction \\spad{x} converted to \\%.")) (|denom| ((|#2| $) "\\spad{denom(x)} returns the denominator of the fraction \\spad{x}.")) (|numer| ((|#2| $) "\\spad{numer(x)} returns the numerator of the fraction \\spad{x}.")) (/ (($ |#2| |#2|) "\\spad{d1 / d2} returns the fraction \\spad{d1} divided by \\spad{d2}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-904))) (|HasCategory| |#2| (QUOTE (-550))) (|HasCategory| |#2| (QUOTE (-301))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-148))) (|HasCategory| |#2| (QUOTE (-150))) (|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#2| (QUOTE (-1021))) (|HasCategory| |#2| (QUOTE (-815))) (|HasCategory| |#2| (QUOTE (-842))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-1136)))) 
-(-993 S) 
+((|HasCategory| |#2| (QUOTE (-905))) (|HasCategory| |#2| (QUOTE (-551))) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-1022))) (|HasCategory| |#2| (QUOTE (-816))) (|HasCategory| |#2| (QUOTE (-843))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1137)))) 
+(-994 S) 
 ((|constructor| (NIL "QuotientField(\\spad{S}) is the category of fractions of an Integral Domain \\spad{S}.")) (|floor| ((|#1| $) "\\spad{floor(x)} returns the largest integral element below \\spad{x}.")) (|ceiling| ((|#1| $) "\\spad{ceiling(x)} returns the smallest integral element above \\spad{x}.")) (|random| (($) "\\spad{random()} returns a random fraction.")) (|fractionPart| (($ $) "\\spad{fractionPart(x)} returns the fractional part of \\spad{x}. \\spad{x} = wholePart(\\spad{x}) + fractionPart(\\spad{x})")) (|wholePart| ((|#1| $) "\\spad{wholePart(x)} returns the whole part of the fraction \\spad{x} \\spadignore{i.e.} the truncated quotient of the numerator by the denominator.")) (|denominator| (($ $) "\\spad{denominator(x)} is the denominator of the fraction \\spad{x} converted to \\%.")) (|numerator| (($ $) "\\spad{numerator(x)} is the numerator of the fraction \\spad{x} converted to \\%.")) (|denom| ((|#1| $) "\\spad{denom(x)} returns the denominator of the fraction \\spad{x}.")) (|numer| ((|#1| $) "\\spad{numer(x)} returns the numerator of the fraction \\spad{x}.")) (/ (($ |#1| |#1|) "\\spad{d1 / d2} returns the fraction \\spad{d1} divided by \\spad{d2}."))) 
-((-3973 . T) (-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-2982 . T) (-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-994 |n| K) 
+(-995 |n| K) 
 ((|constructor| (NIL "This domain provides modest support for quadratic forms.")) (|elt| ((|#2| $ (|DirectProduct| |#1| |#2|)) "\\spad{elt(qf,{}v)} evaluates the quadratic form \\spad{qf} on the vector \\spad{v},{} producing a scalar.")) (|matrix| (((|SquareMatrix| |#1| |#2|) $) "\\spad{matrix(qf)} creates a square matrix from the quadratic form \\spad{qf}.")) (|quadraticForm| (($ (|SquareMatrix| |#1| |#2|)) "\\spad{quadraticForm(m)} creates a quadratic form from a symmetric,{} square matrix \\spad{m}."))) 
 NIL 
 NIL 
-(-995 S) 
+(-996 S) 
 ((|constructor| (NIL "A queue is a bag where the first item inserted is the first item extracted.")) (|back| ((|#1| $) "\\spad{back(q)} returns the element at the back of the queue. The queue \\spad{q} is unchanged by this operation. Error: if \\spad{q} is empty.")) (|front| ((|#1| $) "\\spad{front(q)} returns the element at the front of the queue. The queue \\spad{q} is unchanged by this operation. Error: if \\spad{q} is empty.")) (|length| (((|NonNegativeInteger|) $) "\\spad{length(q)} returns the number of elements in the queue. Note that \\axiom{length(\\spad{q}) = \\spad{#q}}.")) (|rotate!| (($ $) "\\spad{rotate! q} rotates queue \\spad{q} so that the element at the front of the queue goes to the back of the queue. Note that rotate! \\spad{q} is equivalent to enqueue!(dequeue!(\\spad{q})).")) (|dequeue!| ((|#1| $) "\\spad{dequeue! s} destructively extracts the first (top) element from queue \\spad{q}. The element previously second in the queue becomes the first element. Error: if \\spad{q} is empty.")) (|enqueue!| ((|#1| |#1| $) "\\spad{enqueue!(x,{}q)} inserts \\spad{x} into the queue \\spad{q} at the back end."))) 
-((-4521 . T) (-4522 . T) (-3973 . T)) 
+((-4535 . T) (-4536 . T) (-2982 . T)) 
 NIL 
-(-996 S R) 
+(-997 S R) 
 ((|constructor| (NIL "\\spadtype{QuaternionCategory} describes the category of quaternions and implements functions that are not representation specific.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(q)} returns \\spad{q} as a rational number,{} or \"failed\" if this is not possible. Note that if \\spad{rational?(q)} is \\spad{true},{} the conversion can be done and the rational number will be returned.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(q)} tries to convert \\spad{q} into a rational number. Error: if this is not possible. If \\spad{rational?(q)} is \\spad{true},{} the conversion will be done and the rational number returned.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(q)} returns {\\it \\spad{true}} if all the imaginary parts of \\spad{q} are zero and the real part can be converted into a rational number,{} and {\\it \\spad{false}} otherwise.")) (|abs| ((|#2| $) "\\spad{abs(q)} computes the absolute value of quaternion \\spad{q} (sqrt of norm).")) (|real| ((|#2| $) "\\spad{real(q)} extracts the real part of quaternion \\spad{q}.")) (|quatern| (($ |#2| |#2| |#2| |#2|) "\\spad{quatern(r,{}i,{}j,{}k)} constructs a quaternion from scalars.")) (|norm| ((|#2| $) "\\spad{norm(q)} computes the norm of \\spad{q} (the sum of the squares of the components).")) (|imagK| ((|#2| $) "\\spad{imagK(q)} extracts the imaginary \\spad{k} part of quaternion \\spad{q}.")) (|imagJ| ((|#2| $) "\\spad{imagJ(q)} extracts the imaginary \\spad{j} part of quaternion \\spad{q}.")) (|imagI| ((|#2| $) "\\spad{imagI(q)} extracts the imaginary \\spad{i} part of quaternion \\spad{q}.")) (|conjugate| (($ $) "\\spad{conjugate(q)} negates the imaginary parts of quaternion \\spad{q}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-550))) (|HasCategory| |#2| (QUOTE (-1056))) (|HasCategory| |#2| (QUOTE (-148))) (|HasCategory| |#2| (QUOTE (-150))) (|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-842))) (|HasCategory| |#2| (QUOTE (-285)))) 
-(-997 R) 
+((|HasCategory| |#2| (QUOTE (-551))) (|HasCategory| |#2| (QUOTE (-1057))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-286)))) 
+(-998 R) 
 ((|constructor| (NIL "\\spadtype{QuaternionCategory} describes the category of quaternions and implements functions that are not representation specific.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(q)} returns \\spad{q} as a rational number,{} or \"failed\" if this is not possible. Note that if \\spad{rational?(q)} is \\spad{true},{} the conversion can be done and the rational number will be returned.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(q)} tries to convert \\spad{q} into a rational number. Error: if this is not possible. If \\spad{rational?(q)} is \\spad{true},{} the conversion will be done and the rational number returned.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(q)} returns {\\it \\spad{true}} if all the imaginary parts of \\spad{q} are zero and the real part can be converted into a rational number,{} and {\\it \\spad{false}} otherwise.")) (|abs| ((|#1| $) "\\spad{abs(q)} computes the absolute value of quaternion \\spad{q} (sqrt of norm).")) (|real| ((|#1| $) "\\spad{real(q)} extracts the real part of quaternion \\spad{q}.")) (|quatern| (($ |#1| |#1| |#1| |#1|) "\\spad{quatern(r,{}i,{}j,{}k)} constructs a quaternion from scalars.")) (|norm| ((|#1| $) "\\spad{norm(q)} computes the norm of \\spad{q} (the sum of the squares of the components).")) (|imagK| ((|#1| $) "\\spad{imagK(q)} extracts the imaginary \\spad{k} part of quaternion \\spad{q}.")) (|imagJ| ((|#1| $) "\\spad{imagJ(q)} extracts the imaginary \\spad{j} part of quaternion \\spad{q}.")) (|imagI| ((|#1| $) "\\spad{imagI(q)} extracts the imaginary \\spad{i} part of quaternion \\spad{q}.")) (|conjugate| (($ $) "\\spad{conjugate(q)} negates the imaginary parts of quaternion \\spad{q}."))) 
-((-4514 |has| |#1| (-285)) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4528 |has| |#1| (-286)) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-998 QR R QS S) 
+(-999 QR R QS S) 
 ((|constructor| (NIL "\\spadtype{QuaternionCategoryFunctions2} implements functions between two quaternion domains. The function \\spadfun{map} is used by the system interpreter to coerce between quaternion types.")) (|map| ((|#3| (|Mapping| |#4| |#2|) |#1|) "\\indented{1}{map(\\spad{f},{}\\spad{u}) maps \\spad{f} onto the component parts of the quaternion \\spad{u}.} \\indented{1}{to convert an expression in Quaterion(\\spad{R}) to Quaternion(\\spad{S})} \\blankline \\spad{X} \\spad{f}(a:FRAC(INT)):COMPLEX(FRAC(INT)) \\spad{==} a::COMPLEX(FRAC(INT)) \\spad{X} q:=quatern(2/11,{}\\spad{-8},{}3/4,{}1) \\spad{X} map(\\spad{f},{}\\spad{q})"))) 
 NIL 
 NIL 
-(-999 R) 
+(-1000 R) 
 ((|constructor| (NIL "\\spadtype{Quaternion} implements quaternions over a commutative ring. The main constructor function is \\spadfun{quatern} which takes 4 arguments: the real part,{} the \\spad{i} imaginary part,{} the \\spad{j} imaginary part and the \\spad{k} imaginary part."))) 
-((-4514 |has| |#1| (-285)) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-285))) (-2199 (|HasCategory| |#1| (QUOTE (-285))) (|HasCategory| |#1| (QUOTE (-365)))) (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -523) (QUOTE (-1161)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -281) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-225))) (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-1056))) (|HasCategory| |#1| (QUOTE (-550))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-365))))) 
-(-1000 S) 
-((|constructor| (NIL "Linked List implementation of a Queue")) (|member?| (((|Boolean|) |#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} member?(3,{}a)")) (|members| (((|List| |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} members a")) (|parts| (((|List| |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} parts a")) (|#| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} \\#a")) (|count| (((|NonNegativeInteger|) |#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} count(4,{}a)") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} count(\\spad{x+}->(\\spad{x>2}),{}a)")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} any?(\\spad{x+}->(\\spad{x=4}),{}a)")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} every?(\\spad{x+}->(\\spad{x=4}),{}a)")) (~= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} b:=copy a \\spad{X} (a~=b)")) (= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} b:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} (a=b)@Boolean")) (|coerce| (((|OutputForm|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} coerce a")) (|hash| (((|SingleInteger|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} hash a")) (|latex| (((|String|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} latex a")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} map!(\\spad{x+}-\\spad{>x+10},{}a) \\spad{X} a")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} map(\\spad{x+}-\\spad{>x+10},{}a) \\spad{X} a")) (|eq?| (((|Boolean|) $ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} b:=copy a \\spad{X} eq?(a,{}\\spad{b})")) (|copy| (($ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} copy a")) (|sample| (($) "\\blankline \\spad{X} sample()\\$Queue(INT)")) (|empty| (($) "\\blankline \\spad{X} b:=empty()\\$(Queue INT)")) (|empty?| (((|Boolean|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} empty? a")) (|bag| (($ (|List| |#1|)) "\\blankline \\spad{X} bag([1,{}2,{}3,{}4,{}5])\\$Queue(INT)")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} size?(a,{}5)")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} more?(a,{}9)")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} less?(a,{}9)")) (|length| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} length a")) (|rotate!| (($ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} rotate! a")) (|back| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} back a")) (|front| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} front a")) (|inspect| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} inspect a")) (|insert!| (($ |#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} insert! (8,{}a) \\spad{X} a")) (|enqueue!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} enqueue! (9,{}a) \\spad{X} a")) (|extract!| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} extract! a \\spad{X} a")) (|dequeue!| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} dequeue! a \\spad{X} a")) (|queue| (($ (|List| |#1|)) "\\indented{1}{queue([\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]) creates a queue with first (top)} \\indented{1}{element \\spad{x},{} second element \\spad{y},{}...,{}and last (bottom) element \\spad{z}.} \\blankline \\spad{E} e:Queue INT:= queue [1,{}2,{}3,{}4,{}5]"))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090))))) 
+((-4528 |has| |#1| (-286)) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-286))) (-2232 (|HasCategory| |#1| (QUOTE (-286))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1163)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1057))) (|HasCategory| |#1| (QUOTE (-551))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))))) 
 (-1001 S) 
+((|constructor| (NIL "Linked List implementation of a Queue")) (|member?| (((|Boolean|) |#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} member?(3,{}a)")) (|members| (((|List| |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} members a")) (|parts| (((|List| |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} parts a")) (|#| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} \\#a")) (|count| (((|NonNegativeInteger|) |#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} count(4,{}a)") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} count(\\spad{x+}->(\\spad{x>2}),{}a)")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} any?(\\spad{x+}->(\\spad{x=4}),{}a)")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} every?(\\spad{x+}->(\\spad{x=4}),{}a)")) (~= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} b:=copy a \\spad{X} (a~=b)")) (= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} b:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} (a=b)@Boolean")) (|coerce| (((|OutputForm|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} coerce a")) (|hash| (((|SingleInteger|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} hash a")) (|latex| (((|String|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} latex a")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} map!(\\spad{x+}-\\spad{>x+10},{}a) \\spad{X} a")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} map(\\spad{x+}-\\spad{>x+10},{}a) \\spad{X} a")) (|eq?| (((|Boolean|) $ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} b:=copy a \\spad{X} eq?(a,{}\\spad{b})")) (|copy| (($ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} copy a")) (|sample| (($) "\\blankline \\spad{X} sample()\\$Queue(INT)")) (|empty| (($) "\\blankline \\spad{X} b:=empty()\\$(Queue INT)")) (|empty?| (((|Boolean|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} empty? a")) (|bag| (($ (|List| |#1|)) "\\blankline \\spad{X} bag([1,{}2,{}3,{}4,{}5])\\$Queue(INT)")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} size?(a,{}5)")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} more?(a,{}9)")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} less?(a,{}9)")) (|length| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} length a")) (|rotate!| (($ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} rotate! a")) (|back| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} back a")) (|front| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} front a")) (|inspect| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} inspect a")) (|insert!| (($ |#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} insert! (8,{}a) \\spad{X} a")) (|enqueue!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} enqueue! (9,{}a) \\spad{X} a")) (|extract!| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} extract! a \\spad{X} a")) (|dequeue!| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} dequeue! a \\spad{X} a")) (|queue| (($ (|List| |#1|)) "\\indented{1}{queue([\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]) creates a queue with first (top)} \\indented{1}{element \\spad{x},{} second element \\spad{y},{}...,{}and last (bottom) element \\spad{z}.} \\blankline \\spad{E} e:Queue INT:= queue [1,{}2,{}3,{}4,{}5]"))) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
+(-1002 S) 
 ((|constructor| (NIL "The \\spad{RadicalCategory} is a model for the rational numbers.")) (** (($ $ (|Fraction| (|Integer|))) "\\spad{x ** y} is the rational exponentiation of \\spad{x} by the power \\spad{y}.")) (|nthRoot| (($ $ (|Integer|)) "\\spad{nthRoot(x,{}n)} returns the \\spad{n}th root of \\spad{x}.")) (|sqrt| (($ $) "\\spad{sqrt(x)} returns the square root of \\spad{x}."))) 
 NIL 
 NIL 
-(-1002) 
+(-1003) 
 ((|constructor| (NIL "The \\spad{RadicalCategory} is a model for the rational numbers.")) (** (($ $ (|Fraction| (|Integer|))) "\\spad{x ** y} is the rational exponentiation of \\spad{x} by the power \\spad{y}.")) (|nthRoot| (($ $ (|Integer|)) "\\spad{nthRoot(x,{}n)} returns the \\spad{n}th root of \\spad{x}.")) (|sqrt| (($ $) "\\spad{sqrt(x)} returns the square root of \\spad{x}."))) 
 NIL 
 NIL 
-(-1003 -1478 UP UPUP |radicnd| |n|) 
+(-1004 -1564 UP UPUP |radicnd| |n|) 
 ((|constructor| (NIL "Function field defined by y**n = \\spad{f}(\\spad{x})."))) 
-((-4514 |has| (-409 |#2|) (-365)) (-4519 |has| (-409 |#2|) (-365)) (-4513 |has| (-409 |#2|) (-365)) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| (-409 |#2|) (QUOTE (-148))) (|HasCategory| (-409 |#2|) (QUOTE (-150))) (|HasCategory| (-409 |#2|) (QUOTE (-350))) (|HasCategory| (-409 |#2|) (QUOTE (-365))) (-2199 (|HasCategory| (-409 |#2|) (QUOTE (-365))) (|HasCategory| (-409 |#2|) (QUOTE (-350)))) (|HasCategory| (-409 |#2|) (QUOTE (-370))) (|HasCategory| (-409 |#2|) (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| (-409 |#2|) (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| (-409 |#2|) (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-370))) (-2199 (|HasCategory| (-409 |#2|) (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| (-409 |#2|) (QUOTE (-365)))) (-12 (|HasCategory| (-409 |#2|) (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| (-409 |#2|) (QUOTE (-365)))) (-2199 (-12 (|HasCategory| (-409 |#2|) (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| (-409 |#2|) (QUOTE (-365)))) (-12 (|HasCategory| (-409 |#2|) (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| (-409 |#2|) (QUOTE (-350))))) (-12 (|HasCategory| (-409 |#2|) (QUOTE (-225))) (|HasCategory| (-409 |#2|) (QUOTE (-365)))) (-2199 (-12 (|HasCategory| (-409 |#2|) (QUOTE (-225))) (|HasCategory| (-409 |#2|) (QUOTE (-365)))) (|HasCategory| (-409 |#2|) (QUOTE (-350))))) 
-(-1004 |bb|) 
+((-4528 |has| (-410 |#2|) (-366)) (-4533 |has| (-410 |#2|) (-366)) (-4527 |has| (-410 |#2|) (-366)) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| (-410 |#2|) (QUOTE (-149))) (|HasCategory| (-410 |#2|) (QUOTE (-151))) (|HasCategory| (-410 |#2|) (QUOTE (-351))) (|HasCategory| (-410 |#2|) (QUOTE (-366))) (-2232 (|HasCategory| (-410 |#2|) (QUOTE (-366))) (|HasCategory| (-410 |#2|) (QUOTE (-351)))) (|HasCategory| (-410 |#2|) (QUOTE (-371))) (|HasCategory| (-410 |#2|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| (-410 |#2|) (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-410 |#2|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-371))) (-2232 (|HasCategory| (-410 |#2|) (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-12 (|HasCategory| (-410 |#2|) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-2232 (-12 (|HasCategory| (-410 |#2|) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-12 (|HasCategory| (-410 |#2|) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-410 |#2|) (QUOTE (-351))))) (-12 (|HasCategory| (-410 |#2|) (QUOTE (-226))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-2232 (-12 (|HasCategory| (-410 |#2|) (QUOTE (-226))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (|HasCategory| (-410 |#2|) (QUOTE (-351))))) 
+(-1005 |bb|) 
 ((|constructor| (NIL "This domain allows rational numbers to be presented as repeating decimal expansions or more generally as repeating expansions in any base.")) (|fractRadix| (($ (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{fractRadix(pre,{}cyc)} creates a fractional radix expansion from a list of prefix ragits and a list of cyclic ragits. \\spadignore{e.g.} \\spad{fractRadix([1],{}[6])} will return \\spad{0.16666666...}.")) (|wholeRadix| (($ (|List| (|Integer|))) "\\spad{wholeRadix(l)} creates an integral radix expansion from a list of ragits. For example,{} \\spad{wholeRadix([1,{}3,{}4])} will return \\spad{134}.")) (|cycleRagits| (((|List| (|Integer|)) $) "\\spad{cycleRagits(rx)} returns the cyclic part of the ragits of the fractional part of a radix expansion. For example,{} if \\spad{x = 3/28 = 0.10 714285 714285 ...},{} then \\spad{cycleRagits(x) = [7,{}1,{}4,{}2,{}8,{}5]}.")) (|prefixRagits| (((|List| (|Integer|)) $) "\\spad{prefixRagits(rx)} returns the non-cyclic part of the ragits of the fractional part of a radix expansion. For example,{} if \\spad{x = 3/28 = 0.10 714285 714285 ...},{} then \\spad{prefixRagits(x)=[1,{}0]}.")) (|fractRagits| (((|Stream| (|Integer|)) $) "\\spad{fractRagits(rx)} returns the ragits of the fractional part of a radix expansion.")) (|wholeRagits| (((|List| (|Integer|)) $) "\\spad{wholeRagits(rx)} returns the ragits of the integer part of a radix expansion.")) (|fractionPart| (((|Fraction| (|Integer|)) $) "\\spad{fractionPart(rx)} returns the fractional part of a radix expansion.")) (|coerce| (((|Fraction| (|Integer|)) $) "\\spad{coerce(rx)} converts a radix expansion to a rational number."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| (-568) (QUOTE (-904))) (|HasCategory| (-568) (LIST (QUOTE -1037) (QUOTE (-1161)))) (|HasCategory| (-568) (QUOTE (-148))) (|HasCategory| (-568) (QUOTE (-150))) (|HasCategory| (-568) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| (-568) (QUOTE (-1021))) (|HasCategory| (-568) (QUOTE (-815))) (|HasCategory| (-568) (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| (-568) (QUOTE (-1136))) (|HasCategory| (-568) (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| (-568) (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| (-568) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| (-568) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| (-568) (QUOTE (-225))) (|HasCategory| (-568) (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| (-568) (LIST (QUOTE -523) (QUOTE (-1161)) (QUOTE (-568)))) (|HasCategory| (-568) (LIST (QUOTE -303) (QUOTE (-568)))) (|HasCategory| (-568) (LIST (QUOTE -281) (QUOTE (-568)) (QUOTE (-568)))) (|HasCategory| (-568) (QUOTE (-301))) (|HasCategory| (-568) (QUOTE (-550))) (|HasCategory| (-568) (QUOTE (-842))) (-2199 (|HasCategory| (-568) (QUOTE (-815))) (|HasCategory| (-568) (QUOTE (-842)))) (|HasCategory| (-568) (LIST (QUOTE -630) (QUOTE (-568)))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| (-568) (QUOTE (-904)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| (-568) (QUOTE (-904)))) (|HasCategory| (-568) (QUOTE (-148))))) 
-(-1005) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| (-569) (QUOTE (-905))) (|HasCategory| (-569) (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| (-569) (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-151))) (|HasCategory| (-569) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-1022))) (|HasCategory| (-569) (QUOTE (-816))) (|HasCategory| (-569) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1137))) (|HasCategory| (-569) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| (-569) (QUOTE (-226))) (|HasCategory| (-569) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-569) (LIST (QUOTE -524) (QUOTE (-1163)) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -282) (QUOTE (-569)) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-302))) (|HasCategory| (-569) (QUOTE (-551))) (|HasCategory| (-569) (QUOTE (-843))) (-2232 (|HasCategory| (-569) (QUOTE (-816))) (|HasCategory| (-569) (QUOTE (-843)))) (|HasCategory| (-569) (LIST (QUOTE -631) (QUOTE (-569)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-905)))) (|HasCategory| (-569) (QUOTE (-149))))) 
+(-1006) 
 ((|constructor| (NIL "This package provides tools for creating radix expansions.")) (|radix| (((|Any|) (|Fraction| (|Integer|)) (|Integer|)) "\\spad{radix(x,{}b)} converts \\spad{x} to a radix expansion in base \\spad{b}."))) 
 NIL 
 NIL 
-(-1006) 
+(-1007) 
 ((|constructor| (NIL "Random number generators. All random numbers used in the system should originate from the same generator. This package is intended to be the source.")) (|seed| (((|Integer|)) "\\spad{seed()} returns the current seed value.")) (|reseed| (((|Void|) (|Integer|)) "\\spad{reseed(n)} restarts the random number generator at \\spad{n}.")) (|size| (((|Integer|)) "\\spad{size()} is the base of the random number generator")) (|randnum| (((|Integer|) (|Integer|)) "\\spad{randnum(n)} is a random number between 0 and \\spad{n}.") (((|Integer|)) "\\spad{randnum()} is a random number between 0 and size()."))) 
 NIL 
 NIL 
-(-1007 RP) 
+(-1008 RP) 
 ((|constructor| (NIL "Factorization of extended polynomials with rational coefficients. This package implements factorization of extended polynomials whose coefficients are rational numbers. It does this by taking the \\spad{lcm} of the coefficients of the polynomial and creating a polynomial with integer coefficients. The algorithm in \\spadtype{GaloisGroupFactorizer} is then used to factor the integer polynomial. The result is normalized with respect to the original \\spad{lcm} of the denominators.")) (|factorSquareFree| (((|Factored| |#1|) |#1|) "\\spad{factorSquareFree(p)} factors an extended squareFree polynomial \\spad{p} over the rational numbers.")) (|factor| (((|Factored| |#1|) |#1|) "\\spad{factor(p)} factors an extended polynomial \\spad{p} over the rational numbers."))) 
 NIL 
 NIL 
-(-1008 S) 
+(-1009 S) 
 ((|constructor| (NIL "Rational number testing and retraction functions.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") |#1|) "\\spad{rationalIfCan(x)} returns \\spad{x} as a rational number,{} \"failed\" if \\spad{x} is not a rational number.")) (|rational?| (((|Boolean|) |#1|) "\\spad{rational?(x)} returns \\spad{true} if \\spad{x} is a rational number,{} \\spad{false} otherwise.")) (|rational| (((|Fraction| (|Integer|)) |#1|) "\\spad{rational(x)} returns \\spad{x} as a rational number; error if \\spad{x} is not a rational number."))) 
 NIL 
 NIL 
-(-1009 A S) 
+(-1010 A S) 
 ((|constructor| (NIL "A recursive aggregate over a type \\spad{S} is a model for a a directed graph containing values of type \\spad{S}. Recursively,{} a recursive aggregate is a node consisting of a \\spadfun{value} from \\spad{S} and 0 or more \\spadfun{children} which are recursive aggregates. A node with no children is called a \\spadfun{leaf} node. A recursive aggregate may be cyclic for which some operations as noted may go into an infinite loop.")) (|setvalue!| ((|#2| $ |#2|) "\\spad{setvalue!(u,{}x)} sets the value of node \\spad{u} to \\spad{x}.")) (|setelt| ((|#2| $ "value" |#2|) "\\spad{setelt(a,{}\"value\",{}x)} (also written \\axiom{a . value \\spad{:=} \\spad{x}}) is equivalent to \\axiom{setvalue!(a,{}\\spad{x})}")) (|setchildren!| (($ $ (|List| $)) "\\spad{setchildren!(u,{}v)} replaces the current children of node \\spad{u} with the members of \\spad{v} in left-to-right order.")) (|node?| (((|Boolean|) $ $) "\\spad{node?(u,{}v)} tests if node \\spad{u} is contained in node \\spad{v} (either as a child,{} a child of a child,{} etc.).")) (|child?| (((|Boolean|) $ $) "\\spad{child?(u,{}v)} tests if node \\spad{u} is a child of node \\spad{v}.")) (|distance| (((|Integer|) $ $) "\\spad{distance(u,{}v)} returns the path length (an integer) from node \\spad{u} to \\spad{v}.")) (|leaves| (((|List| |#2|) $) "\\spad{leaves(t)} returns the list of values in obtained by visiting the nodes of tree \\axiom{\\spad{t}} in left-to-right order.")) (|cyclic?| (((|Boolean|) $) "\\spad{cyclic?(u)} tests if \\spad{u} has a cycle.")) (|elt| ((|#2| $ "value") "\\spad{elt(u,{}\"value\")} (also written: \\axiom{a. value}) is equivalent to \\axiom{value(a)}.")) (|value| ((|#2| $) "\\spad{value(u)} returns the value of the node \\spad{u}.")) (|leaf?| (((|Boolean|) $) "\\spad{leaf?(u)} tests if \\spad{u} is a terminal node.")) (|nodes| (((|List| $) $) "\\spad{nodes(u)} returns a list of all of the nodes of aggregate \\spad{u}.")) (|children| (((|List| $) $) "\\spad{children(u)} returns a list of the children of aggregate \\spad{u}."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4522)) (|HasCategory| |#2| (QUOTE (-1090)))) 
-(-1010 S) 
+((|HasAttribute| |#1| (QUOTE -4536)) (|HasCategory| |#2| (QUOTE (-1091)))) 
+(-1011 S) 
 ((|constructor| (NIL "A recursive aggregate over a type \\spad{S} is a model for a a directed graph containing values of type \\spad{S}. Recursively,{} a recursive aggregate is a node consisting of a \\spadfun{value} from \\spad{S} and 0 or more \\spadfun{children} which are recursive aggregates. A node with no children is called a \\spadfun{leaf} node. A recursive aggregate may be cyclic for which some operations as noted may go into an infinite loop.")) (|setvalue!| ((|#1| $ |#1|) "\\spad{setvalue!(u,{}x)} sets the value of node \\spad{u} to \\spad{x}.")) (|setelt| ((|#1| $ "value" |#1|) "\\spad{setelt(a,{}\"value\",{}x)} (also written \\axiom{a . value \\spad{:=} \\spad{x}}) is equivalent to \\axiom{setvalue!(a,{}\\spad{x})}")) (|setchildren!| (($ $ (|List| $)) "\\spad{setchildren!(u,{}v)} replaces the current children of node \\spad{u} with the members of \\spad{v} in left-to-right order.")) (|node?| (((|Boolean|) $ $) "\\spad{node?(u,{}v)} tests if node \\spad{u} is contained in node \\spad{v} (either as a child,{} a child of a child,{} etc.).")) (|child?| (((|Boolean|) $ $) "\\spad{child?(u,{}v)} tests if node \\spad{u} is a child of node \\spad{v}.")) (|distance| (((|Integer|) $ $) "\\spad{distance(u,{}v)} returns the path length (an integer) from node \\spad{u} to \\spad{v}.")) (|leaves| (((|List| |#1|) $) "\\spad{leaves(t)} returns the list of values in obtained by visiting the nodes of tree \\axiom{\\spad{t}} in left-to-right order.")) (|cyclic?| (((|Boolean|) $) "\\spad{cyclic?(u)} tests if \\spad{u} has a cycle.")) (|elt| ((|#1| $ "value") "\\spad{elt(u,{}\"value\")} (also written: \\axiom{a. value}) is equivalent to \\axiom{value(a)}.")) (|value| ((|#1| $) "\\spad{value(u)} returns the value of the node \\spad{u}.")) (|leaf?| (((|Boolean|) $) "\\spad{leaf?(u)} tests if \\spad{u} is a terminal node.")) (|nodes| (((|List| $) $) "\\spad{nodes(u)} returns a list of all of the nodes of aggregate \\spad{u}.")) (|children| (((|List| $) $) "\\spad{children(u)} returns a list of the children of aggregate \\spad{u}."))) 
-((-3973 . T)) 
+((-2982 . T)) 
 NIL 
-(-1011 S) 
+(-1012 S) 
 ((|constructor| (NIL "\\axiomType{RealClosedField} provides common acces functions for all real closed fields.")) (|approximate| (((|Fraction| (|Integer|)) $ $) "\\axiom{approximate(\\spad{n},{}\\spad{p})} gives an approximation of \\axiom{\\spad{n}} that has precision \\axiom{\\spad{p}}")) (|rename| (($ $ (|OutputForm|)) "\\axiom{rename(\\spad{x},{}name)} gives a new number that prints as name")) (|rename!| (($ $ (|OutputForm|)) "\\axiom{rename!(\\spad{x},{}name)} changes the way \\axiom{\\spad{x}} is printed")) (|sqrt| (($ (|Integer|)) "\\axiom{sqrt(\\spad{x})} is \\axiom{\\spad{x} \\spad{**} (1/2)}") (($ (|Fraction| (|Integer|))) "\\axiom{sqrt(\\spad{x})} is \\axiom{\\spad{x} \\spad{**} (1/2)}") (($ $) "\\axiom{sqrt(\\spad{x})} is \\axiom{\\spad{x} \\spad{**} (1/2)}") (($ $ (|NonNegativeInteger|)) "\\axiom{sqrt(\\spad{x},{}\\spad{n})} is \\axiom{\\spad{x} \\spad{**} (1/n)}")) (|allRootsOf| (((|List| $) (|Polynomial| (|Integer|))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|Polynomial| $)) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| (|Integer|))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely")) (|rootOf| (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|)) "\\axiom{rootOf(pol,{}\\spad{n})} creates the \\spad{n}th root for the order of \\axiom{pol} and gives it unique name") (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|) (|OutputForm|)) "\\axiom{rootOf(pol,{}\\spad{n},{}name)} creates the \\spad{n}th root for the order of \\axiom{pol} and names it \\axiom{name}")) (|mainValue| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) "\\axiom{mainValue(\\spad{x})} is the expression of \\axiom{\\spad{x}} in terms of \\axiom{SparseUnivariatePolynomial(\\$)}")) (|mainDefiningPolynomial| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) "\\axiom{mainDefiningPolynomial(\\spad{x})} is the defining polynomial for the main algebraic quantity of \\axiom{\\spad{x}}")) (|mainForm| (((|Union| (|OutputForm|) "failed") $) "\\axiom{mainForm(\\spad{x})} is the main algebraic quantity name of \\axiom{\\spad{x}}"))) 
 NIL 
 NIL 
-(-1012) 
+(-1013) 
 ((|constructor| (NIL "\\axiomType{RealClosedField} provides common acces functions for all real closed fields.")) (|approximate| (((|Fraction| (|Integer|)) $ $) "\\axiom{approximate(\\spad{n},{}\\spad{p})} gives an approximation of \\axiom{\\spad{n}} that has precision \\axiom{\\spad{p}}")) (|rename| (($ $ (|OutputForm|)) "\\axiom{rename(\\spad{x},{}name)} gives a new number that prints as name")) (|rename!| (($ $ (|OutputForm|)) "\\axiom{rename!(\\spad{x},{}name)} changes the way \\axiom{\\spad{x}} is printed")) (|sqrt| (($ (|Integer|)) "\\axiom{sqrt(\\spad{x})} is \\axiom{\\spad{x} \\spad{**} (1/2)}") (($ (|Fraction| (|Integer|))) "\\axiom{sqrt(\\spad{x})} is \\axiom{\\spad{x} \\spad{**} (1/2)}") (($ $) "\\axiom{sqrt(\\spad{x})} is \\axiom{\\spad{x} \\spad{**} (1/2)}") (($ $ (|NonNegativeInteger|)) "\\axiom{sqrt(\\spad{x},{}\\spad{n})} is \\axiom{\\spad{x} \\spad{**} (1/n)}")) (|allRootsOf| (((|List| $) (|Polynomial| (|Integer|))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|Polynomial| $)) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| (|Integer|))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely")) (|rootOf| (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|)) "\\axiom{rootOf(pol,{}\\spad{n})} creates the \\spad{n}th root for the order of \\axiom{pol} and gives it unique name") (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|) (|OutputForm|)) "\\axiom{rootOf(pol,{}\\spad{n},{}name)} creates the \\spad{n}th root for the order of \\axiom{pol} and names it \\axiom{name}")) (|mainValue| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) "\\axiom{mainValue(\\spad{x})} is the expression of \\axiom{\\spad{x}} in terms of \\axiom{SparseUnivariatePolynomial(\\$)}")) (|mainDefiningPolynomial| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) "\\axiom{mainDefiningPolynomial(\\spad{x})} is the defining polynomial for the main algebraic quantity of \\axiom{\\spad{x}}")) (|mainForm| (((|Union| (|OutputForm|) "failed") $) "\\axiom{mainForm(\\spad{x})} is the main algebraic quantity name of \\axiom{\\spad{x}}"))) 
-((-4514 . T) (-4519 . T) (-4513 . T) (-4516 . T) (-4515 . T) ((-4523 "*") . T) (-4518 . T)) 
+((-4528 . T) (-4533 . T) (-4527 . T) (-4530 . T) (-4529 . T) ((-4537 "*") . T) (-4532 . T)) 
 NIL 
-(-1013 R -1478) 
+(-1014 R -1564) 
 ((|constructor| (NIL "Risch differential equation,{} elementary case.")) (|rischDE| (((|Record| (|:| |ans| |#2|) (|:| |right| |#2|) (|:| |sol?| (|Boolean|))) (|Integer|) |#2| |#2| (|Symbol|) (|Mapping| (|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|List| |#2|)) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)) "\\spad{rischDE(n,{} f,{} g,{} x,{} lim,{} ext)} returns \\spad{[y,{} h,{} b]} such that \\spad{dy/dx + n df/dx y = h} and \\spad{b := h = g}. The equation \\spad{dy/dx + n df/dx y = g} has no solution if \\spad{h \\~~= g} (\\spad{y} is a partial solution in that case). Notes: \\spad{lim} is a limited integration function,{} and ext is an extended integration function."))) 
 NIL 
 NIL 
-(-1014 R -1478) 
+(-1015 R -1564) 
 ((|constructor| (NIL "Risch differential equation,{} elementary case.")) (|rischDEsys| (((|Union| (|List| |#2|) "failed") (|Integer|) |#2| |#2| |#2| (|Symbol|) (|Mapping| (|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|List| |#2|)) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)) "\\spad{rischDEsys(n,{} f,{} g_1,{} g_2,{} x,{}lim,{}ext)} returns \\spad{y_1.y_2} such that \\spad{(dy1/dx,{}dy2/dx) + ((0,{} - n df/dx),{}(n df/dx,{}0)) (y1,{}y2) = (g1,{}g2)} if \\spad{y_1,{}y_2} exist,{} \"failed\" otherwise. \\spad{lim} is a limited integration function,{} \\spad{ext} is an extended integration function."))) 
 NIL 
 NIL 
-(-1015 -1478 UP) 
+(-1016 -1564 UP) 
 ((|constructor| (NIL "Risch differential equation,{} transcendental case.")) (|polyRDE| (((|Union| (|:| |ans| (|Record| (|:| |ans| |#2|) (|:| |nosol| (|Boolean|)))) (|:| |eq| (|Record| (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (|Integer|)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (|Integer|) (|Mapping| |#2| |#2|)) "\\spad{polyRDE(a,{} B,{} C,{} n,{} D)} returns either: 1. \\spad{[Q,{} b]} such that \\spad{degree(Q) <= n} and \\indented{3}{\\spad{a Q'+ B Q = C} if \\spad{b = true},{} \\spad{Q} is a partial solution} \\indented{3}{otherwise.} 2. \\spad{[B1,{} C1,{} m,{} \\alpha,{} \\beta]} such that any polynomial solution \\indented{3}{of degree at most \\spad{n} of \\spad{A Q' + BQ = C} must be of the form} \\indented{3}{\\spad{Q = \\alpha H + \\beta} where \\spad{degree(H) <= m} and} \\indented{3}{\\spad{H} satisfies \\spad{H' + B1 H = C1}.} \\spad{D} is the derivation to use.")) (|baseRDE| (((|Record| (|:| |ans| (|Fraction| |#2|)) (|:| |nosol| (|Boolean|))) (|Fraction| |#2|) (|Fraction| |#2|)) "\\spad{baseRDE(f,{} g)} returns a \\spad{[y,{} b]} such that \\spad{y' + fy = g} if \\spad{b = true},{} \\spad{y} is a partial solution otherwise (no solution in that case). \\spad{D} is the derivation to use.")) (|monomRDE| (((|Union| (|Record| (|:| |a| |#2|) (|:| |b| (|Fraction| |#2|)) (|:| |c| (|Fraction| |#2|)) (|:| |t| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{monomRDE(f,{}g,{}D)} returns \\spad{[A,{} B,{} C,{} T]} such that \\spad{y' + f y = g} has a solution if and only if \\spad{y = Q / T},{} where \\spad{Q} satisfies \\spad{A Q' + B Q = C} and has no normal pole. A and \\spad{T} are polynomials and \\spad{B} and \\spad{C} have no normal poles. \\spad{D} is the derivation to use."))) 
 NIL 
 NIL 
-(-1016 -1478 UP) 
+(-1017 -1564 UP) 
 ((|constructor| (NIL "Risch differential equation system,{} transcendental case.")) (|baseRDEsys| (((|Union| (|List| (|Fraction| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|)) "\\spad{baseRDEsys(f,{} g1,{} g2)} returns fractions \\spad{y_1.y_2} such that \\spad{(y1',{} y2') + ((0,{} -f),{} (f,{} 0)) (y1,{}y2) = (g1,{}g2)} if \\spad{y_1,{}y_2} exist,{} \"failed\" otherwise.")) (|monomRDEsys| (((|Union| (|Record| (|:| |a| |#2|) (|:| |b| (|Fraction| |#2|)) (|:| |h| |#2|) (|:| |c1| (|Fraction| |#2|)) (|:| |c2| (|Fraction| |#2|)) (|:| |t| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{monomRDEsys(f,{}g1,{}g2,{}D)} returns \\spad{[A,{} B,{} H,{} C1,{} C2,{} T]} such that \\spad{(y1',{} y2') + ((0,{} -f),{} (f,{} 0)) (y1,{}y2) = (g1,{}g2)} has a solution if and only if \\spad{y1 = Q1 / T,{} y2 = Q2 / T},{} where \\spad{B,{}C1,{}C2,{}Q1,{}Q2} have no normal poles and satisfy A \\spad{(Q1',{} Q2') + ((H,{} -B),{} (B,{} H)) (Q1,{}Q2) = (C1,{}C2)} \\spad{D} is the derivation to use."))) 
 NIL 
 NIL 
-(-1017 S) 
+(-1018 S) 
 ((|constructor| (NIL "This package exports random distributions")) (|rdHack1| (((|Mapping| |#1|) (|Vector| |#1|) (|Vector| (|Integer|)) (|Integer|)) "\\spad{rdHack1(v,{}u,{}n)} \\undocumented")) (|weighted| (((|Mapping| |#1|) (|List| (|Record| (|:| |value| |#1|) (|:| |weight| (|Integer|))))) "\\spad{weighted(l)} \\undocumented")) (|uniform| (((|Mapping| |#1|) (|Set| |#1|)) "\\spad{uniform(s)} \\undocumented"))) 
 NIL 
 NIL 
-(-1018 F1 UP UPUP R F2) 
+(-1019 F1 UP UPUP R F2) 
 ((|constructor| (NIL "Finds the order of a divisor over a finite field")) (|order| (((|NonNegativeInteger|) (|FiniteDivisor| |#1| |#2| |#3| |#4|) |#3| (|Mapping| |#5| |#1|)) "\\spad{order(f,{}u,{}g)} \\undocumented"))) 
 NIL 
 NIL 
-(-1019 |Pol|) 
+(-1020 |Pol|) 
 ((|constructor| (NIL "This package provides functions for finding the real zeros of univariate polynomials over the integers to arbitrary user-specified precision. The results are returned as a list of isolating intervals which are expressed as records with \"left\" and \"right\" rational number components.")) (|midpoints| (((|List| (|Fraction| (|Integer|))) (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) "\\spad{midpoints(isolist)} returns the list of midpoints for the list of intervals \\spad{isolist}.")) (|midpoint| (((|Fraction| (|Integer|)) (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) "\\spad{midpoint(int)} returns the midpoint of the interval \\spad{int}.")) (|refine| (((|Union| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) "failed") |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) "\\spad{refine(pol,{} int,{} range)} takes a univariate polynomial \\spad{pol} and and isolating interval \\spad{int} containing exactly one real root of \\spad{pol}; the operation returns an isolating interval which is contained within range,{} or \"failed\" if no such isolating interval exists.") (((|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|))) "\\spad{refine(pol,{} int,{} eps)} refines the interval \\spad{int} containing exactly one root of the univariate polynomial \\spad{pol} to size less than the rational number eps.")) (|realZeros| (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|))) "\\spad{realZeros(pol,{} int,{} eps)} returns a list of intervals of length less than the rational number eps for all the real roots of the polynomial \\spad{pol} which lie in the interval expressed by the record \\spad{int}.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Fraction| (|Integer|))) "\\spad{realZeros(pol,{} eps)} returns a list of intervals of length less than the rational number eps for all the real roots of the polynomial \\spad{pol}.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) "\\spad{realZeros(pol,{} range)} returns a list of isolating intervals for all the real zeros of the univariate polynomial \\spad{pol} which lie in the interval expressed by the record range.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1|) "\\spad{realZeros(pol)} returns a list of isolating intervals for all the real zeros of the univariate polynomial \\spad{pol}."))) 
 NIL 
 NIL 
-(-1020 |Pol|) 
+(-1021 |Pol|) 
 ((|constructor| (NIL "This package provides functions for finding the real zeros of univariate polynomials over the rational numbers to arbitrary user-specified precision. The results are returned as a list of isolating intervals,{} expressed as records with \"left\" and \"right\" rational number components.")) (|refine| (((|Union| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) "failed") |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) "\\spad{refine(pol,{} int,{} range)} takes a univariate polynomial \\spad{pol} and and isolating interval \\spad{int} which must contain exactly one real root of \\spad{pol},{} and returns an isolating interval which is contained within range,{} or \"failed\" if no such isolating interval exists.") (((|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|))) "\\spad{refine(pol,{} int,{} eps)} refines the interval \\spad{int} containing exactly one root of the univariate polynomial \\spad{pol} to size less than the rational number eps.")) (|realZeros| (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|))) "\\spad{realZeros(pol,{} int,{} eps)} returns a list of intervals of length less than the rational number eps for all the real roots of the polynomial \\spad{pol} which lie in the interval expressed by the record \\spad{int}.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Fraction| (|Integer|))) "\\spad{realZeros(pol,{} eps)} returns a list of intervals of length less than the rational number eps for all the real roots of the polynomial \\spad{pol}.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) "\\spad{realZeros(pol,{} range)} returns a list of isolating intervals for all the real zeros of the univariate polynomial \\spad{pol} which lie in the interval expressed by the record range.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1|) "\\spad{realZeros(pol)} returns a list of isolating intervals for all the real zeros of the univariate polynomial \\spad{pol}."))) 
 NIL 
 NIL 
-(-1021) 
+(-1022) 
 ((|constructor| (NIL "The category of real numeric domains,{} \\spadignore{i.e.} convertible to floats."))) 
 NIL 
 NIL 
-(-1022) 
+(-1023) 
 ((|constructor| (NIL "This package provides numerical solutions of systems of polynomial equations for use in ACPLOT")) (|realSolve| (((|List| (|List| (|Float|))) (|List| (|Polynomial| (|Integer|))) (|List| (|Symbol|)) (|Float|)) "\\indented{1}{realSolve(\\spad{lp},{}\\spad{lv},{}eps) = compute the list of the real} \\indented{1}{solutions of the list \\spad{lp} of polynomials with integer} \\indented{1}{coefficients with respect to the variables in \\spad{lv},{}} \\indented{1}{with precision eps.} \\blankline \\spad{X} \\spad{p1} \\spad{:=} x**2*y*z + \\spad{y*z} \\spad{X} \\spad{p2} \\spad{:=} x**2*y**2*z + \\spad{x} + \\spad{z} \\spad{X} \\spad{p3} \\spad{:=} \\spad{x**2*y**2*z**2} + \\spad{z} + 1 \\spad{X} \\spad{lp} \\spad{:=} [\\spad{p1},{} \\spad{p2},{} \\spad{p3}] \\spad{X} realSolve(\\spad{lp},{}[\\spad{x},{}\\spad{y},{}\\spad{z}],{}0.01)")) (|solve| (((|List| (|Float|)) (|Polynomial| (|Integer|)) (|Float|)) "\\indented{1}{solve(\\spad{p},{}eps) finds the real zeroes of a univariate} \\indented{1}{integer polynomial \\spad{p} with precision eps.} \\blankline \\spad{X} \\spad{p} \\spad{:=} 4*x^3 - 3*x^2 + 2*x - 4 \\spad{X} solve(\\spad{p},{}0.01)\\$REALSOLV") (((|List| (|Float|)) (|Polynomial| (|Fraction| (|Integer|))) (|Float|)) "\\indented{1}{solve(\\spad{p},{}eps) finds the real zeroes of a} \\indented{1}{univariate rational polynomial \\spad{p} with precision eps.} \\blankline \\spad{X} \\spad{p} \\spad{:=} 4*x^3 - 3*x^2 + 2*x - 4 \\spad{X} solve(p::POLY(FRAC(INT)),{}0.01)\\$REALSOLV"))) 
 NIL 
 NIL 
-(-1023 |TheField|) 
+(-1024 |TheField|) 
 ((|constructor| (NIL "This domain implements the real closure of an ordered field.")) (|relativeApprox| (((|Fraction| (|Integer|)) $ $) "\\axiom{relativeApprox(\\spad{n},{}\\spad{p})} gives a relative approximation of \\axiom{\\spad{n}} that has precision \\axiom{\\spad{p}}")) (|mainCharacterization| (((|Union| (|RightOpenIntervalRootCharacterization| $ (|SparseUnivariatePolynomial| $)) "failed") $) "\\axiom{mainCharacterization(\\spad{x})} is the main algebraic quantity of \\axiom{\\spad{x}} (\\axiom{SEG})")) (|algebraicOf| (($ (|RightOpenIntervalRootCharacterization| $ (|SparseUnivariatePolynomial| $)) (|OutputForm|)) "\\axiom{algebraicOf(char)} is the external number"))) 
-((-4514 . T) (-4519 . T) (-4513 . T) (-4516 . T) (-4515 . T) ((-4523 "*") . T) (-4518 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| (-409 (-568)) (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| (-409 (-568)) (LIST (QUOTE -1037) (QUOTE (-568)))) (-2199 (|HasCategory| (-409 (-568)) (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))))) 
-(-1024 R -1478) 
+((-4528 . T) (-4533 . T) (-4527 . T) (-4530 . T) (-4529 . T) ((-4537 "*") . T) (-4532 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| (-410 (-569)) (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-410 (-569)) (LIST (QUOTE -1038) (QUOTE (-569)))) (-2232 (|HasCategory| (-410 (-569)) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))))) 
+(-1025 R -1564) 
 ((|constructor| (NIL "This package provides an operator for the \\spad{n}-th term of a recurrence and an operator for the coefficient of \\spad{x^n} in a function specified by a functional equation.")) (|getOp| (((|BasicOperator|) |#2|) "\\spad{getOp f},{} if \\spad{f} represents the coefficient of a recurrence or ADE,{} returns the operator representing the solution")) (|getEq| ((|#2| |#2|) "\\spad{getEq f} returns the defining equation,{} if \\spad{f} represents the coefficient of an ADE or a recurrence.")) (|evalADE| ((|#2| (|BasicOperator|) (|Symbol|) |#2| |#2| |#2| (|List| |#2|)) "\\spad{evalADE(f,{} dummy,{} x,{} n,{} eq,{} values)} creates an expression that stands for the coefficient of \\spad{x^n} in the Taylor expansion of \\spad{f}(\\spad{x}),{} where \\spad{f}(\\spad{x}) is given by the functional equation \\spad{eq}. However,{} for technical reasons the variable \\spad{x} has to be replaced by a \\spad{dummy} variable \\spad{dummy} in \\spad{eq}. The argument values specifies the first few Taylor coefficients.")) (|evalRec| ((|#2| (|BasicOperator|) (|Symbol|) |#2| |#2| |#2| (|List| |#2|)) "\\spad{evalRec(u,{} dummy,{} n,{} n0,{} eq,{} values)} creates an expression that stands for \\spad{u}(\\spad{n0}),{} where \\spad{u}(\\spad{n}) is given by the equation \\spad{eq}. However,{} for technical reasons the variable \\spad{n} has to be replaced by a \\spad{dummy} variable \\spad{dummy} in \\spad{eq}. The argument values specifies the initial values of the recurrence \\spad{u}(0),{} \\spad{u}(1),{}... For the moment we don\\spad{'t} allow recursions that contain \\spad{u} inside of another operator."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-1047)))) 
-(-1025 -1478 L) 
+((|HasCategory| |#1| (QUOTE (-1048)))) 
+(-1026 -1564 L) 
 ((|constructor| (NIL "\\spadtype{ReductionOfOrder} provides functions for reducing the order of linear ordinary differential equations once some solutions are known.")) (|ReduceOrder| (((|Record| (|:| |eq| |#2|) (|:| |op| (|List| |#1|))) |#2| (|List| |#1|)) "\\spad{ReduceOrder(op,{} [f1,{}...,{}fk])} returns \\spad{[op1,{}[g1,{}...,{}gk]]} such that for any solution \\spad{z} of \\spad{op1 z = 0},{} \\spad{y = gk \\int(g_{k-1} \\int(... \\int(g1 \\int z)...)} is a solution of \\spad{op y = 0}. Each \\spad{\\spad{fi}} must satisfy \\spad{op \\spad{fi} = 0}.") ((|#2| |#2| |#1|) "\\spad{ReduceOrder(op,{} s)} returns \\spad{op1} such that for any solution \\spad{z} of \\spad{op1 z = 0},{} \\spad{y = s \\int z} is a solution of \\spad{op y = 0}. \\spad{s} must satisfy \\spad{op s = 0}."))) 
 NIL 
 NIL 
-(-1026 S) 
+(-1027 S) 
 ((|constructor| (NIL "\\spadtype{Reference} is for making a changeable instance of something.")) (= (((|Boolean|) $ $) "\\spad{a=b} tests if \\spad{a} and \\spad{b} are equal.")) (|setref| ((|#1| $ |#1|) "\\spad{setref(n,{}m)} same as \\spad{setelt(n,{}m)}.")) (|deref| ((|#1| $) "\\spad{deref(n)} is equivalent to \\spad{elt(n)}.")) (|setelt| ((|#1| $ |#1|) "\\spad{setelt(n,{}m)} changes the value of the object \\spad{n} to \\spad{m}.")) (|elt| ((|#1| $) "\\spad{elt(n)} returns the object \\spad{n}.")) (|ref| (($ |#1|) "\\spad{ref(n)} creates a pointer (reference) to the object \\spad{n}."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-1090)))) 
-(-1027 R E V P) 
+((|HasCategory| |#1| (QUOTE (-1091)))) 
+(-1028 R E V P) 
 ((|constructor| (NIL "This domain provides an implementation of regular chains. Moreover,{} the operation zeroSetSplit is an implementation of a new algorithm for solving polynomial systems by means of regular chains.")) (|preprocess| (((|Record| (|:| |val| (|List| |#4|)) (|:| |towers| (|List| $))) (|List| |#4|) (|Boolean|) (|Boolean|)) "\\axiom{pre_process(\\spad{lp},{}\\spad{b1},{}\\spad{b2})} is an internal subroutine,{} exported only for developement.")) (|internalZeroSetSplit| (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{internalZeroSetSplit(\\spad{lp},{}\\spad{b1},{}\\spad{b2},{}\\spad{b3})} is an internal subroutine,{} exported only for developement.")) (|zeroSetSplit| (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{zeroSetSplit(\\spad{lp},{}\\spad{b1},{}\\spad{b2}.\\spad{b3},{}\\spad{b4})} is an internal subroutine,{} exported only for developement.") (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|)) "\\axiom{zeroSetSplit(\\spad{lp},{}clos?,{}info?)} has the same specifications as zeroSetSplit from RegularTriangularSetCategory. Moreover,{} if \\axiom{clos?} then solves in the sense of the Zariski closure else solves in the sense of the regular zeros. If \\axiom{info?} then do print messages during the computations.")) (|internalAugment| (((|List| $) |#4| $ (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{internalAugment(\\spad{p},{}\\spad{ts},{}\\spad{b1},{}\\spad{b2},{}\\spad{b3},{}\\spad{b4},{}\\spad{b5})} is an internal subroutine,{} exported only for developement."))) 
-((-4522 . T) (-4521 . T)) 
-((|HasCategory| |#4| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#4| (QUOTE (-1090))) (-12 (|HasCategory| |#4| (LIST (QUOTE -303) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1090)))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#3| (QUOTE (-370)))) 
-(-1028 R) 
+((-4536 . T) (-4535 . T)) 
+((|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#4| (QUOTE (-1091))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#3| (QUOTE (-371)))) 
+(-1029 R) 
 ((|constructor| (NIL "\\spad{RepresentationPackage1} provides functions for representation theory for finite groups and algebras. The package creates permutation representations and uses tensor products and its symmetric and antisymmetric components to create new representations of larger degree from given ones. Note that instead of having parameters from \\spadtype{Permutation} this package allows list notation of permutations as well: \\spadignore{e.g.} \\spad{[1,{}4,{}3,{}2]} denotes permutes 2 and 4 and fixes 1 and 3.")) (|permutationRepresentation| (((|List| (|Matrix| (|Integer|))) (|List| (|List| (|Integer|)))) "\\spad{permutationRepresentation([pi1,{}...,{}pik],{}n)} returns the list of matrices [(deltai,{}\\spad{pi1}(\\spad{i})),{}...,{}(deltai,{}pik(\\spad{i}))] if the permutations \\spad{pi1},{}...,{}pik are in list notation and are permuting {1,{}2,{}...,{}\\spad{n}}.") (((|List| (|Matrix| (|Integer|))) (|List| (|Permutation| (|Integer|))) (|Integer|)) "\\spad{permutationRepresentation([pi1,{}...,{}pik],{}n)} returns the list of matrices [(deltai,{}\\spad{pi1}(\\spad{i})),{}...,{}(deltai,{}pik(\\spad{i}))] (Kronecker delta) for the permutations \\spad{pi1},{}...,{}pik of {1,{}2,{}...,{}\\spad{n}}.") (((|Matrix| (|Integer|)) (|List| (|Integer|))) "\\spad{permutationRepresentation(\\spad{pi},{}n)} returns the matrix (deltai,{}\\spad{pi}(\\spad{i})) (Kronecker delta) if the permutation \\spad{pi} is in list notation and permutes {1,{}2,{}...,{}\\spad{n}}.") (((|Matrix| (|Integer|)) (|Permutation| (|Integer|)) (|Integer|)) "\\spad{permutationRepresentation(\\spad{pi},{}n)} returns the matrix (deltai,{}\\spad{pi}(\\spad{i})) (Kronecker delta) for a permutation \\spad{pi} of {1,{}2,{}...,{}\\spad{n}}.")) (|tensorProduct| (((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|))) "\\spad{tensorProduct([a1,{}...ak])} calculates the list of Kronecker products of each matrix \\spad{ai} with itself for {1 \\spad{<=} \\spad{i} \\spad{<=} \\spad{k}}. Note that if the list of matrices corresponds to a group representation (repr. of generators) of one group,{} then these matrices correspond to the tensor product of the representation with itself.") (((|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{tensorProduct(a)} calculates the Kronecker product of the matrix a with itself.") (((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|))) "\\spad{tensorProduct([a1,{}...,{}ak],{}[b1,{}...,{}bk])} calculates the list of Kronecker products of the matrices \\spad{ai} and \\spad{bi} for {1 \\spad{<=} \\spad{i} \\spad{<=} \\spad{k}}. Note that if each list of matrices corresponds to a group representation (repr. of generators) of one group,{} then these matrices correspond to the tensor product of the two representations.") (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{tensorProduct(a,{}b)} calculates the Kronecker product of the matrices a and \\spad{b}. Note that if each matrix corresponds to a group representation (repr. of generators) of one group,{} then these matrices correspond to the tensor product of the two representations.")) (|symmetricTensors| (((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|PositiveInteger|)) "\\spad{symmetricTensors(la,{}n)} applies to each \\spad{m}-by-\\spad{m} square matrix in the list \\spad{la} the irreducible,{} polynomial representation of the general linear group \\spad{GLm} which corresponds to the partition (\\spad{n},{}0,{}...,{}0) of \\spad{n}. Error: if the matrices in \\spad{la} are not square matrices. Note that this corresponds to the symmetrization of the representation with the trivial representation of the symmetric group \\spad{Sn}. The carrier spaces of the representation are the symmetric tensors of the \\spad{n}-fold tensor product.") (((|Matrix| |#1|) (|Matrix| |#1|) (|PositiveInteger|)) "\\spad{symmetricTensors(a,{}n)} applies to the \\spad{m}-by-\\spad{m} square matrix a the irreducible,{} polynomial representation of the general linear group \\spad{GLm} which corresponds to the partition (\\spad{n},{}0,{}...,{}0) of \\spad{n}. Error: if a is not a square matrix. Note that this corresponds to the symmetrization of the representation with the trivial representation of the symmetric group \\spad{Sn}. The carrier spaces of the representation are the symmetric tensors of the \\spad{n}-fold tensor product.")) (|createGenericMatrix| (((|Matrix| (|Polynomial| |#1|)) (|NonNegativeInteger|)) "\\spad{createGenericMatrix(m)} creates a square matrix of dimension \\spad{k} whose entry at the \\spad{i}-th row and \\spad{j}-th column is the indeterminate \\spad{x}[\\spad{i},{}\\spad{j}] (double subscripted).")) (|antisymmetricTensors| (((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|PositiveInteger|)) "\\spad{antisymmetricTensors(la,{}n)} applies to each \\spad{m}-by-\\spad{m} square matrix in the list \\spad{la} the irreducible,{} polynomial representation of the general linear group \\spad{GLm} which corresponds to the partition (1,{}1,{}...,{}1,{}0,{}0,{}...,{}0) of \\spad{n}. Error: if \\spad{n} is greater than \\spad{m}. Note that this corresponds to the symmetrization of the representation with the sign representation of the symmetric group \\spad{Sn}. The carrier spaces of the representation are the antisymmetric tensors of the \\spad{n}-fold tensor product.") (((|Matrix| |#1|) (|Matrix| |#1|) (|PositiveInteger|)) "\\spad{antisymmetricTensors(a,{}n)} applies to the square matrix a the irreducible,{} polynomial representation of the general linear group \\spad{GLm},{} where \\spad{m} is the number of rows of a,{} which corresponds to the partition (1,{}1,{}...,{}1,{}0,{}0,{}...,{}0) of \\spad{n}. Error: if \\spad{n} is greater than \\spad{m}. Note that this corresponds to the symmetrization of the representation with the sign representation of the symmetric group \\spad{Sn}. The carrier spaces of the representation are the antisymmetric tensors of the \\spad{n}-fold tensor product."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE (-4523 "*")))) 
-(-1029 R) 
+((|HasAttribute| |#1| (QUOTE (-4537 "*")))) 
+(-1030 R) 
 ((|constructor| (NIL "\\spad{RepresentationPackage2} provides functions for working with modular representations of finite groups and algebra. The routines in this package are created,{} using ideas of \\spad{R}. Parker,{} (the meat-Axe) to get smaller representations from bigger ones,{} \\spadignore{i.e.} finding sub- and factormodules,{} or to show,{} that such the representations are irreducible. Note that most functions are randomized functions of Las Vegas type \\spadignore{i.e.} every answer is correct,{} but with small probability the algorithm fails to get an answer.")) (|scanOneDimSubspaces| (((|Vector| |#1|) (|List| (|Vector| |#1|)) (|Integer|)) "\\spad{scanOneDimSubspaces(basis,{}n)} gives a canonical representative of the \\spad{n}-th one-dimensional subspace of the vector space generated by the elements of \\spad{basis},{} all from R**n. The coefficients of the representative are of shape (0,{}...,{}0,{}1,{}*,{}...,{}*),{} * in \\spad{R}. If the size of \\spad{R} is \\spad{q},{} then there are (q**n-1)/(\\spad{q}-1) of them. We first reduce \\spad{n} modulo this number,{} then find the largest \\spad{i} such that \\spad{+/}[q**i for \\spad{i} in 0..\\spad{i}-1] \\spad{<=} \\spad{n}. Subtracting this sum of powers from \\spad{n} results in an \\spad{i}-digit number to \\spad{basis} \\spad{q}. This fills the positions of the stars.")) (|meatAxe| (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|PositiveInteger|)) "\\spad{meatAxe(aG,{} numberOfTries)} calls meatAxe(\\spad{aG},{}\\spad{true},{}numberOfTries,{}7). Notes: 7 covers the case of three-dimensional kernels over the field with 2 elements.") (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Boolean|)) "\\spad{meatAxe(aG,{} randomElements)} calls meatAxe(\\spad{aG},{}\\spad{false},{}6,{}7),{} only using Parker\\spad{'s} fingerprints,{} if randomElemnts is \\spad{false}. If it is \\spad{true},{} it calls meatAxe(\\spad{aG},{}\\spad{true},{}25,{}7),{} only using random elements. Note that the choice of 25 was rather arbitrary. Also,{} 7 covers the case of three-dimensional kernels over the field with 2 elements.") (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|))) "\\spad{meatAxe(aG)} calls meatAxe(\\spad{aG},{}\\spad{false},{}25,{}7) returns a 2-list of representations as follows. All matrices of argument \\spad{aG} are assumed to be square and of equal size. Then \\spad{aG} generates a subalgebra,{} say \\spad{A},{} of the algebra of all square matrices of dimension \\spad{n}. \\spad{V} \\spad{R} is an A-module in the usual way. meatAxe(\\spad{aG}) creates at most 25 random elements of the algebra,{} tests them for singularity. If singular,{} it tries at most 7 elements of its kernel to generate a proper submodule. If successful a list which contains first the list of the representations of the submodule,{} then a list of the representations of the factor module is returned. Otherwise,{} if we know that all the kernel is already scanned,{} Norton\\spad{'s} irreducibility test can be used either to prove irreducibility or to find the splitting. Notes: the first 6 tries use Parker\\spad{'s} fingerprints. Also,{} 7 covers the case of three-dimensional kernels over the field with 2 elements.") (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Boolean|) (|Integer|) (|Integer|)) "\\spad{meatAxe(aG,{}randomElements,{}numberOfTries,{} maxTests)} returns a 2-list of representations as follows. All matrices of argument \\spad{aG} are assumed to be square and of equal size. Then \\spad{aG} generates a subalgebra,{} say \\spad{A},{} of the algebra of all square matrices of dimension \\spad{n}. \\spad{V} \\spad{R} is an A-module in the usual way. meatAxe(\\spad{aG},{}\\spad{numberOfTries},{} maxTests) creates at most \\spad{numberOfTries} random elements of the algebra,{} tests them for singularity. If singular,{} it tries at most maxTests elements of its kernel to generate a proper submodule. If successful,{} a 2-list is returned: first,{} a list containing first the list of the representations of the submodule,{} then a list of the representations of the factor module. Otherwise,{} if we know that all the kernel is already scanned,{} Norton\\spad{'s} irreducibility test can be used either to prove irreducibility or to find the splitting. If \\spad{randomElements} is \\spad{false},{} the first 6 tries use Parker\\spad{'s} fingerprints.")) (|split| (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Vector| (|Vector| |#1|))) "\\spad{split(aG,{}submodule)} uses a proper \\spad{submodule} of R**n to create the representations of the \\spad{submodule} and of the factor module.") (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Vector| |#1|)) "\\spad{split(aG,{} vector)} returns a subalgebra \\spad{A} of all square matrix of dimension \\spad{n} as a list of list of matrices,{} generated by the list of matrices \\spad{aG},{} where \\spad{n} denotes both the size of vector as well as the dimension of each of the square matrices. \\spad{V} \\spad{R} is an A-module in the natural way. split(\\spad{aG},{} vector) then checks whether the cyclic submodule generated by vector is a proper submodule of \\spad{V} \\spad{R}. If successful,{} it returns a two-element list,{} which contains first the list of the representations of the submodule,{} then the list of the representations of the factor module. If the vector generates the whole module,{} a one-element list of the old representation is given. Note that a later version this should call the other split.")) (|isAbsolutelyIrreducible?| (((|Boolean|) (|List| (|Matrix| |#1|))) "\\spad{isAbsolutelyIrreducible?(aG)} calls isAbsolutelyIrreducible?(\\spad{aG},{}25). Note that the choice of 25 was rather arbitrary.") (((|Boolean|) (|List| (|Matrix| |#1|)) (|Integer|)) "\\spad{isAbsolutelyIrreducible?(aG,{} numberOfTries)} uses Norton\\spad{'s} irreducibility test to check for absolute irreduciblity,{} assuming if a one-dimensional kernel is found. As no field extension changes create \"new\" elements in a one-dimensional space,{} the criterium stays \\spad{true} for every extension. The method looks for one-dimensionals only by creating random elements (no fingerprints) since a run of meatAxe would have proved absolute irreducibility anyway.")) (|areEquivalent?| (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|Integer|)) "\\spad{areEquivalent?(aG0,{}aG1,{}numberOfTries)} calls areEquivalent?(\\spad{aG0},{}\\spad{aG1},{}\\spad{true},{}25). Note that the choice of 25 was rather arbitrary.") (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|))) "\\spad{areEquivalent?(aG0,{}aG1)} calls areEquivalent?(\\spad{aG0},{}\\spad{aG1},{}\\spad{true},{}25). Note that the choice of 25 was rather arbitrary.") (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|Boolean|) (|Integer|)) "\\spad{areEquivalent?(aG0,{}aG1,{}randomelements,{}numberOfTries)} tests whether the two lists of matrices,{} all assumed of same square shape,{} can be simultaneously conjugated by a non-singular matrix. If these matrices represent the same group generators,{} the representations are equivalent. The algorithm tries \\spad{numberOfTries} times to create elements in the generated algebras in the same fashion. If their ranks differ,{} they are not equivalent. If an isomorphism is assumed,{} then the kernel of an element of the first algebra is mapped to the kernel of the corresponding element in the second algebra. Now consider the one-dimensional ones. If they generate the whole space (\\spadignore{e.g.} irreducibility !) we use standardBasisOfCyclicSubmodule to create the only possible transition matrix. The method checks whether the matrix conjugates all corresponding matrices from aGi. The way to choose the singular matrices is as in meatAxe. If the two representations are equivalent,{} this routine returns the transformation matrix \\spad{TM} with \\spad{aG0}.\\spad{i} * \\spad{TM} = \\spad{TM} * \\spad{aG1}.\\spad{i} for all \\spad{i}. If the representations are not equivalent,{} a small 0-matrix is returned. Note that the case with different sets of group generators cannot be handled.")) (|standardBasisOfCyclicSubmodule| (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|Vector| |#1|)) "\\spad{standardBasisOfCyclicSubmodule(lm,{}v)} returns a matrix as follows. It is assumed that the size \\spad{n} of the vector equals the number of rows and columns of the matrices. Then the matrices generate a subalgebra,{} say \\spad{A},{} of the algebra of all square matrices of dimension \\spad{n}. \\spad{V} \\spad{R} is an \\spad{A}-module in the natural way. standardBasisOfCyclicSubmodule(\\spad{lm},{}\\spad{v}) calculates a matrix whose non-zero column vectors are the \\spad{R}-Basis of Av achieved in the way as described in section 6 of \\spad{R}. A. Parker\\spad{'s} \"The Meat-Axe\". Note that in contrast to cyclicSubmodule,{} the result is not in echelon form.")) (|cyclicSubmodule| (((|Vector| (|Vector| |#1|)) (|List| (|Matrix| |#1|)) (|Vector| |#1|)) "\\spad{cyclicSubmodule(lm,{}v)} generates a basis as follows. It is assumed that the size \\spad{n} of the vector equals the number of rows and columns of the matrices. Then the matrices generate a subalgebra,{} say \\spad{A},{} of the algebra of all square matrices of dimension \\spad{n}. \\spad{V} \\spad{R} is an \\spad{A}-module in the natural way. cyclicSubmodule(\\spad{lm},{}\\spad{v}) generates the \\spad{R}-Basis of Av as described in section 6 of \\spad{R}. A. Parker\\spad{'s} \"The Meat-Axe\". Note that in contrast to the description in \"The Meat-Axe\" and to standardBasisOfCyclicSubmodule the result is in echelon form.")) (|createRandomElement| (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|Matrix| |#1|)) "\\spad{createRandomElement(aG,{}x)} creates a random element of the group algebra generated by \\spad{aG}.")) (|completeEchelonBasis| (((|Matrix| |#1|) (|Vector| (|Vector| |#1|))) "\\spad{completeEchelonBasis(lv)} completes the basis \\spad{lv} assumed to be in echelon form of a subspace of R**n (\\spad{n} the length of all the vectors in \\spad{lv} with unit vectors to a basis of R**n. It is assumed that the argument is not an empty vector and that it is not the basis of the 0-subspace. Note that the rows of the result correspond to the vectors of the basis."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-365))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-370)))) (|HasCategory| |#1| (QUOTE (-301)))) 
-(-1030 S) 
+((|HasCategory| |#1| (QUOTE (-366))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-371)))) (|HasCategory| |#1| (QUOTE (-302)))) 
+(-1031 S) 
 ((|constructor| (NIL "Implements multiplication by repeated addition")) (|double| ((|#1| (|PositiveInteger|) |#1|) "\\spad{double(i,{} r)} multiplies \\spad{r} by \\spad{i} using repeated doubling.")) (+ (($ $ $) "\\spad{x+y} returns the sum of \\spad{x} and \\spad{y}"))) 
 NIL 
 NIL 
-(-1031) 
+(-1032) 
 ((|constructor| (NIL "Package for the computation of eigenvalues and eigenvectors. This package works for matrices with coefficients which are rational functions over the integers. (see \\spadtype{Fraction Polynomial Integer}). The eigenvalues and eigenvectors are expressed in terms of radicals.")) (|orthonormalBasis| (((|List| (|Matrix| (|Expression| (|Integer|)))) (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{orthonormalBasis(m)} returns the orthogonal matrix \\spad{b} such that \\spad{b*m*(inverse b)} is diagonal. Error: if \\spad{m} is not a symmetric matrix.")) (|gramschmidt| (((|List| (|Matrix| (|Expression| (|Integer|)))) (|List| (|Matrix| (|Expression| (|Integer|))))) "\\spad{gramschmidt(lv)} converts the list of column vectors \\spad{lv} into a set of orthogonal column vectors of euclidean length 1 using the Gram-Schmidt algorithm.")) (|normalise| (((|Matrix| (|Expression| (|Integer|))) (|Matrix| (|Expression| (|Integer|)))) "\\spad{normalise(v)} returns the column vector \\spad{v} divided by its euclidean norm; when possible,{} the vector \\spad{v} is expressed in terms of radicals.")) (|eigenMatrix| (((|Union| (|Matrix| (|Expression| (|Integer|))) "failed") (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{eigenMatrix(m)} returns the matrix \\spad{b} such that \\spad{b*m*(inverse b)} is diagonal,{} or \"failed\" if no such \\spad{b} exists.")) (|radicalEigenvalues| (((|List| (|Expression| (|Integer|))) (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{radicalEigenvalues(m)} computes the eigenvalues of the matrix \\spad{m}; when possible,{} the eigenvalues are expressed in terms of radicals.")) (|radicalEigenvector| (((|List| (|Matrix| (|Expression| (|Integer|)))) (|Expression| (|Integer|)) (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{radicalEigenvector(c,{}m)} computes the eigenvector(\\spad{s}) of the matrix \\spad{m} corresponding to the eigenvalue \\spad{c}; when possible,{} values are expressed in terms of radicals.")) (|radicalEigenvectors| (((|List| (|Record| (|:| |radval| (|Expression| (|Integer|))) (|:| |radmult| (|Integer|)) (|:| |radvect| (|List| (|Matrix| (|Expression| (|Integer|))))))) (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{radicalEigenvectors(m)} computes the eigenvalues and the corresponding eigenvectors of the matrix \\spad{m}; when possible,{} values are expressed in terms of radicals."))) 
 NIL 
 NIL 
-(-1032 S) 
+(-1033 S) 
 ((|constructor| (NIL "Implements exponentiation by repeated squaring")) (|expt| ((|#1| |#1| (|PositiveInteger|)) "\\spad{expt(r,{} i)} computes r**i by repeated squaring")) (* (($ $ $) "\\spad{x*y} returns the product of \\spad{x} and \\spad{y}"))) 
 NIL 
 NIL 
-(-1033 S) 
+(-1034 S) 
 ((|constructor| (NIL "This package provides coercions for the special types \\spadtype{Exit} and \\spadtype{Void}.")) (|coerce| ((|#1| (|Exit|)) "\\spad{coerce(e)} is never really evaluated. This coercion is used for formal type correctness when a function will not return directly to its caller.") (((|Void|) |#1|) "\\spad{coerce(s)} throws all information about \\spad{s} away. This coercion allows values of any type to appear in contexts where they will not be used. For example,{} it allows the resolution of different types in the \\spad{then} and \\spad{else} branches when an \\spad{if} is in a context where the resulting value is not used."))) 
 NIL 
 NIL 
-(-1034 -1478 |Expon| |VarSet| |FPol| |LFPol|) 
+(-1035 -1564 |Expon| |VarSet| |FPol| |LFPol|) 
 ((|constructor| (NIL "ResidueRing is the quotient of a polynomial ring by an ideal. The ideal is given as a list of generators. The elements of the domain are equivalence classes expressed in terms of reduced elements")) (|lift| ((|#4| $) "\\spad{lift(x)} return the canonical representative of the equivalence class \\spad{x}")) (|coerce| (($ |#4|) "\\spad{coerce(f)} produces the equivalence class of \\spad{f} in the residue ring")) (|reduce| (($ |#4|) "\\spad{reduce(f)} produces the equivalence class of \\spad{f} in the residue ring"))) 
-(((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+(((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-1035) 
+(-1036) 
 ((|constructor| (NIL "A domain used to return the results from a call to the NAG Library. It prints as a list of names and types,{} though the user may choose to display values automatically if he or she wishes.")) (|showArrayValues| (((|Boolean|) (|Boolean|)) "\\spad{showArrayValues(true)} forces the values of array components to be \\indented{1}{displayed rather than just their types.}")) (|showScalarValues| (((|Boolean|) (|Boolean|)) "\\spad{showScalarValues(true)} forces the values of scalar components to be \\indented{1}{displayed rather than just their types.}"))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (QUOTE (-1090))) (-12 (|HasCategory| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (LIST (QUOTE -303) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3651) (QUOTE (-1161))) (LIST (QUOTE |:|) (QUOTE -4085) (QUOTE (-57)))))) (|HasCategory| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (QUOTE (-1090)))) (|HasCategory| (-1161) (QUOTE (-842))) (|HasCategory| (-57) (QUOTE (-1090))) (-2199 (|HasCategory| (-57) (QUOTE (-1090))) (|HasCategory| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (QUOTE (-1090)))) (-12 (|HasCategory| (-57) (LIST (QUOTE -303) (QUOTE (-57)))) (|HasCategory| (-57) (QUOTE (-1090))))) 
-(-1036 A S) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (QUOTE (-1091))) (-12 (|HasCategory| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (QUOTE (-1163))) (LIST (QUOTE |:|) (QUOTE -3782) (QUOTE (-57)))))) (|HasCategory| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (QUOTE (-1091)))) (|HasCategory| (-1163) (QUOTE (-843))) (|HasCategory| (-57) (QUOTE (-1091))) (-2232 (|HasCategory| (-57) (QUOTE (-1091))) (|HasCategory| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (QUOTE (-1091)))) (-12 (|HasCategory| (-57) (LIST (QUOTE -304) (QUOTE (-57)))) (|HasCategory| (-57) (QUOTE (-1091))))) 
+(-1037 A S) 
 ((|constructor| (NIL "A is retractable to \\spad{B} means that some elementsif A can be converted into elements of \\spad{B} and any element of \\spad{B} can be converted into an element of A.")) (|retract| ((|#2| $) "\\spad{retract(a)} transforms a into an element of \\spad{S} if possible. Error: if a cannot be made into an element of \\spad{S}.")) (|retractIfCan| (((|Union| |#2| "failed") $) "\\spad{retractIfCan(a)} transforms a into an element of \\spad{S} if possible. Returns \"failed\" if a cannot be made into an element of \\spad{S}.")) (|coerce| (($ |#2|) "\\spad{coerce(a)} transforms a into an element of \\%."))) 
 NIL 
 NIL 
-(-1037 S) 
+(-1038 S) 
 ((|constructor| (NIL "A is retractable to \\spad{B} means that some elementsif A can be converted into elements of \\spad{B} and any element of \\spad{B} can be converted into an element of A.")) (|retract| ((|#1| $) "\\spad{retract(a)} transforms a into an element of \\spad{S} if possible. Error: if a cannot be made into an element of \\spad{S}.")) (|retractIfCan| (((|Union| |#1| "failed") $) "\\spad{retractIfCan(a)} transforms a into an element of \\spad{S} if possible. Returns \"failed\" if a cannot be made into an element of \\spad{S}.")) (|coerce| (($ |#1|) "\\spad{coerce(a)} transforms a into an element of \\%."))) 
 NIL 
 NIL 
-(-1038 Q R) 
+(-1039 Q R) 
 ((|constructor| (NIL "RetractSolvePackage is an interface to \\spadtype{SystemSolvePackage} that attempts to retract the coefficients of the equations before solving.")) (|solveRetract| (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#2|))))) (|List| (|Polynomial| |#2|)) (|List| (|Symbol|))) "\\spad{solveRetract(lp,{}lv)} finds the solutions of the list \\spad{lp} of rational functions with respect to the list of symbols \\spad{lv}. The function tries to retract all the coefficients of the equations to \\spad{Q} before solving if possible."))) 
 NIL 
 NIL 
-(-1039) 
+(-1040) 
 ((|t| (((|Mapping| (|Float|)) (|NonNegativeInteger|)) "\\spad{t(n)} \\undocumented")) (F (((|Mapping| (|Float|)) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{F(n,{}m)} \\undocumented")) (|Beta| (((|Mapping| (|Float|)) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{Beta(n,{}m)} \\undocumented")) (|chiSquare| (((|Mapping| (|Float|)) (|NonNegativeInteger|)) "\\spad{chiSquare(n)} \\undocumented")) (|exponential| (((|Mapping| (|Float|)) (|Float|)) "\\spad{exponential(f)} \\undocumented")) (|normal| (((|Mapping| (|Float|)) (|Float|) (|Float|)) "\\spad{normal(f,{}g)} \\undocumented")) (|uniform| (((|Mapping| (|Float|)) (|Float|) (|Float|)) "\\spad{uniform(f,{}g)} \\undocumented")) (|chiSquare1| (((|Float|) (|NonNegativeInteger|)) "\\spad{chiSquare1(n)} \\undocumented")) (|exponential1| (((|Float|)) "\\spad{exponential1()} \\undocumented")) (|normal01| (((|Float|)) "\\spad{normal01()} \\undocumented")) (|uniform01| (((|Float|)) "\\spad{uniform01()} \\undocumented"))) 
 NIL 
 NIL 
-(-1040 UP) 
+(-1041 UP) 
 ((|constructor| (NIL "Factorization of univariate polynomials with coefficients which are rational functions with integer coefficients.")) (|factor| (((|Factored| |#1|) |#1|) "\\spad{factor(p)} returns a prime factorisation of \\spad{p}."))) 
 NIL 
 NIL 
-(-1041 R) 
+(-1042 R) 
 ((|constructor| (NIL "\\spadtype{RationalFunctionFactorizer} contains the factor function (called factorFraction) which factors fractions of polynomials by factoring the numerator and denominator. Since any non zero fraction is a unit the usual factor operation will just return the original fraction.")) (|factorFraction| (((|Fraction| (|Factored| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|))) "\\spad{factorFraction(r)} factors the numerator and the denominator of the polynomial fraction \\spad{r}."))) 
 NIL 
 NIL 
-(-1042 R) 
+(-1043 R) 
 ((|constructor| (NIL "Utilities that provide the same top-level manipulations on fractions than on polynomials.")) (|coerce| (((|Fraction| (|Polynomial| |#1|)) |#1|) "\\spad{coerce(r)} returns \\spad{r} viewed as a rational function over \\spad{R}.")) (|eval| (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) "\\spad{eval(f,{} [v1 = g1,{}...,{}vn = gn])} returns \\spad{f} with each \\spad{vi} replaced by \\spad{gi} in parallel,{} \\spadignore{i.e.} \\spad{vi}\\spad{'s} appearing inside the \\spad{gi}\\spad{'s} are not replaced. Error: if any \\spad{vi} is not a symbol.") (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|)))) "\\spad{eval(f,{} v = g)} returns \\spad{f} with \\spad{v} replaced by \\spad{g}. Error: if \\spad{v} is not a symbol.") (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|List| (|Symbol|)) (|List| (|Fraction| (|Polynomial| |#1|)))) "\\spad{eval(f,{} [v1,{}...,{}vn],{} [g1,{}...,{}gn])} returns \\spad{f} with each \\spad{vi} replaced by \\spad{gi} in parallel,{} \\spadignore{i.e.} \\spad{vi}\\spad{'s} appearing inside the \\spad{gi}\\spad{'s} are not replaced.") (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|Fraction| (|Polynomial| |#1|))) "\\spad{eval(f,{} v,{} g)} returns \\spad{f} with \\spad{v} replaced by \\spad{g}.")) (|multivariate| (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) (|Symbol|)) "\\spad{multivariate(f,{} v)} applies both the numerator and denominator of \\spad{f} to \\spad{v}.")) (|univariate| (((|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{univariate(f,{} v)} returns \\spad{f} viewed as a univariate rational function in \\spad{v}.")) (|mainVariable| (((|Union| (|Symbol|) "failed") (|Fraction| (|Polynomial| |#1|))) "\\spad{mainVariable(f)} returns the highest variable appearing in the numerator or the denominator of \\spad{f},{} \"failed\" if \\spad{f} has no variables.")) (|variables| (((|List| (|Symbol|)) (|Fraction| (|Polynomial| |#1|))) "\\spad{variables(f)} returns the list of variables appearing in the numerator or the denominator of \\spad{f}."))) 
 NIL 
 NIL 
-(-1043 K) 
+(-1044 K) 
 ((|constructor| (NIL "This pacackage finds all the roots of a polynomial. If the constant field is not large enough then it returns the list of found zeros and the degree of the extension need to find the other roots missing. If the return degree is 1 then all the roots have been found. If 0 is return for the extension degree then there are an infinite number of zeros,{} that is you ask for the zeroes of 0. In the case of infinite field a list of all found zeros is kept and for each other call of a function that finds zeroes,{} a check is made on that list; this is to keep a kind of \"canonical\" representation of the elements.")) (|setFoundZeroes| (((|List| |#1|) (|List| |#1|)) "\\spad{setFoundZeroes sets} the list of foundZeroes to the given one.")) (|foundZeroes| (((|List| |#1|)) "\\spad{foundZeroes returns} the list of already found zeros by the functions distinguishedRootsOf and distinguishedCommonRootsOf.")) (|distinguishedCommonRootsOf| (((|Record| (|:| |zeros| (|List| |#1|)) (|:| |extDegree| (|Integer|))) (|List| (|SparseUnivariatePolynomial| |#1|)) |#1|) "\\spad{distinguishedCommonRootsOf returns} the common zeros of a list of polynomial. It returns a record as in distinguishedRootsOf. If 0 is returned as extension degree then there are an infinite number of common zeros (in this case,{} the polynomial 0 was given in the list of input polynomials).")) (|distinguishedRootsOf| (((|Record| (|:| |zeros| (|List| |#1|)) (|:| |extDegree| (|Integer|))) (|SparseUnivariatePolynomial| |#1|) |#1|) "\\spad{distinguishedRootsOf returns} a record consisting of a list of zeros of the input polynomial followed by the smallest extension degree needed to find all the zeros. If \\spad{K} has \\spad{PseudoAlgebraicClosureOfFiniteFieldCategory} or \\spad{PseudoAlgebraicClosureOfRationalNumberCategory} then a root is created for each irreducible factor,{} and only these roots are returns and not their conjugate."))) 
 NIL 
 NIL 
-(-1044 R |ls|) 
+(-1045 R |ls|) 
 ((|constructor| (NIL "A domain for regular chains (\\spadignore{i.e.} regular triangular sets) over a \\spad{Gcd}-Domain and with a fix list of variables. This is just a front-end for the \\spadtype{RegularTriangularSet} domain constructor.")) (|zeroSetSplit| (((|List| $) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|) (|Boolean|)) "\\spad{zeroSetSplit(lp,{}clos?,{}info?)} returns a list \\spad{lts} of regular chains such that the union of the closures of their regular zero sets equals the affine variety associated with \\spad{lp}. Moreover,{} if \\spad{clos?} is \\spad{false} then the union of the regular zero set of the \\spad{ts} (for \\spad{ts} in \\spad{lts}) equals this variety. If \\spad{info?} is \\spad{true} then some information is displayed during the computations. See zeroSetSplit from RegularTriangularSet."))) 
-((-4522 . T) (-4521 . T)) 
-((|HasCategory| (-775 |#1| (-852 |#2|)) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| (-775 |#1| (-852 |#2|)) (QUOTE (-1090))) (-12 (|HasCategory| (-775 |#1| (-852 |#2|)) (LIST (QUOTE -303) (LIST (QUOTE -775) (|devaluate| |#1|) (LIST (QUOTE -852) (|devaluate| |#2|))))) (|HasCategory| (-775 |#1| (-852 |#2|)) (QUOTE (-1090)))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| (-852 |#2|) (QUOTE (-370)))) 
-(-1045) 
+((-4536 . T) (-4535 . T)) 
+((|HasCategory| (-776 |#1| (-853 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-776 |#1| (-853 |#2|)) (QUOTE (-1091))) (-12 (|HasCategory| (-776 |#1| (-853 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -776) (|devaluate| |#1|) (LIST (QUOTE -853) (|devaluate| |#2|))))) (|HasCategory| (-776 |#1| (-853 |#2|)) (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| (-853 |#2|) (QUOTE (-371)))) 
+(-1046) 
 ((|constructor| (NIL "This package exports integer distributions")) (|ridHack1| (((|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{ridHack1(i,{}j,{}k,{}l)} \\undocumented")) (|geometric| (((|Mapping| (|Integer|)) |RationalNumber|) "\\spad{geometric(f)} \\undocumented")) (|poisson| (((|Mapping| (|Integer|)) |RationalNumber|) "\\spad{poisson(f)} \\undocumented")) (|binomial| (((|Mapping| (|Integer|)) (|Integer|) |RationalNumber|) "\\spad{binomial(n,{}f)} \\undocumented")) (|uniform| (((|Mapping| (|Integer|)) (|Segment| (|Integer|))) "\\spad{uniform(s)} as \\indented{4}{\\spad{l} + \\spad{u0} + \\spad{w*u1} + \\spad{w**2*u2} +...+ \\spad{w**}(\\spad{n}-1)*u-1 + w**n*m} where \\indented{4}{\\spad{s} = a..\\spad{b}} \\indented{4}{\\spad{l} = min(a,{}\\spad{b})} \\indented{4}{\\spad{m} = abs(\\spad{b}-a) + 1} \\indented{4}{w**n < \\spad{m} < \\spad{w**}(\\spad{n+1})} \\indented{4}{\\spad{u0},{}...,{}un-1\\space{2}are uniform on\\space{2}0..\\spad{w}-1} \\indented{4}{\\spad{m}\\space{12}is\\space{2}uniform on\\space{2}0..(\\spad{m} quo w**n)\\spad{-1}}"))) 
 NIL 
 NIL 
-(-1046 S) 
+(-1047 S) 
 ((|constructor| (NIL "The category of rings with unity,{} always associative,{} but not necessarily commutative.")) (|unitsKnown| ((|attribute|) "recip truly yields reciprocal or \"failed\" if not a unit. Note that \\spad{recip(0) = \"failed\"}.")) (|coerce| (($ (|Integer|)) "\\spad{coerce(i)} converts the integer \\spad{i} to a member of the given domain.")) (|characteristic| (((|NonNegativeInteger|)) "\\spad{characteristic()} returns the characteristic of the ring this is the smallest positive integer \\spad{n} such that \\spad{n*x=0} for all \\spad{x} in the ring,{} or zero if no such \\spad{n} exists."))) 
 NIL 
 NIL 
-(-1047) 
+(-1048) 
 ((|constructor| (NIL "The category of rings with unity,{} always associative,{} but not necessarily commutative.")) (|unitsKnown| ((|attribute|) "recip truly yields reciprocal or \"failed\" if not a unit. Note that \\spad{recip(0) = \"failed\"}.")) (|coerce| (($ (|Integer|)) "\\spad{coerce(i)} converts the integer \\spad{i} to a member of the given domain.")) (|characteristic| (((|NonNegativeInteger|)) "\\spad{characteristic()} returns the characteristic of the ring this is the smallest positive integer \\spad{n} such that \\spad{n*x=0} for all \\spad{x} in the ring,{} or zero if no such \\spad{n} exists."))) 
-((-4518 . T)) 
+((-4532 . T)) 
 NIL 
-(-1048 |xx| -1478) 
+(-1049 |xx| -1564) 
 ((|constructor| (NIL "This package exports rational interpolation algorithms"))) 
 NIL 
 NIL 
-(-1049 S |m| |n| R |Row| |Col|) 
+(-1050 S |m| |n| R |Row| |Col|) 
 ((|constructor| (NIL "\\spadtype{RectangularMatrixCategory} is a category of matrices of fixed dimensions. The dimensions of the matrix will be parameters of the domain. Domains in this category will be \\spad{R}-modules and will be non-mutable.")) (|nullSpace| (((|List| |#6|) $) "\\spad{nullSpace(m)}+ returns a basis for the null space of the matrix \\spad{m}.")) (|nullity| (((|NonNegativeInteger|) $) "\\spad{nullity(m)} returns the nullity of the matrix \\spad{m}. This is the dimension of the null space of the matrix \\spad{m}.")) (|rank| (((|NonNegativeInteger|) $) "\\spad{rank(m)} returns the rank of the matrix \\spad{m}.")) (|rowEchelon| (($ $) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m}.")) (/ (($ $ |#4|) "\\spad{m/r} divides the elements of \\spad{m} by \\spad{r}. Error: if \\spad{r = 0}.")) (|exquo| (((|Union| $ "failed") $ |#4|) "\\spad{exquo(m,{}r)} computes the exact quotient of the elements of \\spad{m} by \\spad{r},{} returning \\axiom{\"failed\"} if this is not possible.")) (|map| (($ (|Mapping| |#4| |#4| |#4|) $ $) "\\spad{map(f,{}a,{}b)} returns \\spad{c},{} where \\spad{c} is such that \\spad{c(i,{}j) = f(a(i,{}j),{}b(i,{}j))} for all \\spad{i},{} \\spad{j}.") (($ (|Mapping| |#4| |#4|) $) "\\spad{map(f,{}a)} returns \\spad{b},{} where \\spad{b(i,{}j) = a(i,{}j)} for all \\spad{i},{} \\spad{j}.")) (|column| ((|#6| $ (|Integer|)) "\\spad{column(m,{}j)} returns the \\spad{j}th column of the matrix \\spad{m}. Error: if the index outside the proper range.")) (|row| ((|#5| $ (|Integer|)) "\\spad{row(m,{}i)} returns the \\spad{i}th row of the matrix \\spad{m}. Error: if the index is outside the proper range.")) (|qelt| ((|#4| $ (|Integer|) (|Integer|)) "\\spad{qelt(m,{}i,{}j)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m}. Note that there is NO error check to determine if indices are in the proper ranges.")) (|elt| ((|#4| $ (|Integer|) (|Integer|) |#4|) "\\spad{elt(m,{}i,{}j,{}r)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m},{} if \\spad{m} has an \\spad{i}th row and a \\spad{j}th column,{} and returns \\spad{r} otherwise.") ((|#4| $ (|Integer|) (|Integer|)) "\\spad{elt(m,{}i,{}j)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m}. Error: if indices are outside the proper ranges.")) (|listOfLists| (((|List| (|List| |#4|)) $) "\\spad{listOfLists(m)} returns the rows of the matrix \\spad{m} as a list of lists.")) (|ncols| (((|NonNegativeInteger|) $) "\\spad{ncols(m)} returns the number of columns in the matrix \\spad{m}.")) (|nrows| (((|NonNegativeInteger|) $) "\\spad{nrows(m)} returns the number of rows in the matrix \\spad{m}.")) (|maxColIndex| (((|Integer|) $) "\\spad{maxColIndex(m)} returns the index of the 'last' column of the matrix \\spad{m}.")) (|minColIndex| (((|Integer|) $) "\\spad{minColIndex(m)} returns the index of the 'first' column of the matrix \\spad{m}.")) (|maxRowIndex| (((|Integer|) $) "\\spad{maxRowIndex(m)} returns the index of the 'last' row of the matrix \\spad{m}.")) (|minRowIndex| (((|Integer|) $) "\\spad{minRowIndex(m)} returns the index of the 'first' row of the matrix \\spad{m}.")) (|antisymmetric?| (((|Boolean|) $) "\\spad{antisymmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and antisymmetric (\\spadignore{i.e.} \\spad{m[i,{}j] = -m[j,{}i]} for all \\spad{i} and \\spad{j}) and \\spad{false} otherwise.")) (|symmetric?| (((|Boolean|) $) "\\spad{symmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and symmetric (\\spadignore{i.e.} \\spad{m[i,{}j] = m[j,{}i]} for all \\spad{i} and \\spad{j}) and \\spad{false} otherwise.")) (|diagonal?| (((|Boolean|) $) "\\spad{diagonal?(m)} returns \\spad{true} if the matrix \\spad{m} is square and diagonal (\\spadignore{i.e.} all entries of \\spad{m} not on the diagonal are zero) and \\spad{false} otherwise.")) (|square?| (((|Boolean|) $) "\\spad{square?(m)} returns \\spad{true} if \\spad{m} is a square matrix (\\spadignore{i.e.} if \\spad{m} has the same number of rows as columns) and \\spad{false} otherwise.")) (|matrix| (($ (|List| (|List| |#4|))) "\\spad{matrix(l)} converts the list of lists \\spad{l} to a matrix,{} where the list of lists is viewed as a list of the rows of the matrix.")) (|finiteAggregate| ((|attribute|) "matrices are finite"))) 
 NIL 
-((|HasCategory| |#4| (QUOTE (-301))) (|HasCategory| |#4| (QUOTE (-365))) (|HasCategory| |#4| (QUOTE (-558))) (|HasCategory| |#4| (QUOTE (-172)))) 
-(-1050 |m| |n| R |Row| |Col|) 
+((|HasCategory| |#4| (QUOTE (-302))) (|HasCategory| |#4| (QUOTE (-366))) (|HasCategory| |#4| (QUOTE (-559))) (|HasCategory| |#4| (QUOTE (-173)))) 
+(-1051 |m| |n| R |Row| |Col|) 
 ((|constructor| (NIL "\\spadtype{RectangularMatrixCategory} is a category of matrices of fixed dimensions. The dimensions of the matrix will be parameters of the domain. Domains in this category will be \\spad{R}-modules and will be non-mutable.")) (|nullSpace| (((|List| |#5|) $) "\\spad{nullSpace(m)}+ returns a basis for the null space of the matrix \\spad{m}.")) (|nullity| (((|NonNegativeInteger|) $) "\\spad{nullity(m)} returns the nullity of the matrix \\spad{m}. This is the dimension of the null space of the matrix \\spad{m}.")) (|rank| (((|NonNegativeInteger|) $) "\\spad{rank(m)} returns the rank of the matrix \\spad{m}.")) (|rowEchelon| (($ $) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m}.")) (/ (($ $ |#3|) "\\spad{m/r} divides the elements of \\spad{m} by \\spad{r}. Error: if \\spad{r = 0}.")) (|exquo| (((|Union| $ "failed") $ |#3|) "\\spad{exquo(m,{}r)} computes the exact quotient of the elements of \\spad{m} by \\spad{r},{} returning \\axiom{\"failed\"} if this is not possible.")) (|map| (($ (|Mapping| |#3| |#3| |#3|) $ $) "\\spad{map(f,{}a,{}b)} returns \\spad{c},{} where \\spad{c} is such that \\spad{c(i,{}j) = f(a(i,{}j),{}b(i,{}j))} for all \\spad{i},{} \\spad{j}.") (($ (|Mapping| |#3| |#3|) $) "\\spad{map(f,{}a)} returns \\spad{b},{} where \\spad{b(i,{}j) = a(i,{}j)} for all \\spad{i},{} \\spad{j}.")) (|column| ((|#5| $ (|Integer|)) "\\spad{column(m,{}j)} returns the \\spad{j}th column of the matrix \\spad{m}. Error: if the index outside the proper range.")) (|row| ((|#4| $ (|Integer|)) "\\spad{row(m,{}i)} returns the \\spad{i}th row of the matrix \\spad{m}. Error: if the index is outside the proper range.")) (|qelt| ((|#3| $ (|Integer|) (|Integer|)) "\\spad{qelt(m,{}i,{}j)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m}. Note that there is NO error check to determine if indices are in the proper ranges.")) (|elt| ((|#3| $ (|Integer|) (|Integer|) |#3|) "\\spad{elt(m,{}i,{}j,{}r)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m},{} if \\spad{m} has an \\spad{i}th row and a \\spad{j}th column,{} and returns \\spad{r} otherwise.") ((|#3| $ (|Integer|) (|Integer|)) "\\spad{elt(m,{}i,{}j)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m}. Error: if indices are outside the proper ranges.")) (|listOfLists| (((|List| (|List| |#3|)) $) "\\spad{listOfLists(m)} returns the rows of the matrix \\spad{m} as a list of lists.")) (|ncols| (((|NonNegativeInteger|) $) "\\spad{ncols(m)} returns the number of columns in the matrix \\spad{m}.")) (|nrows| (((|NonNegativeInteger|) $) "\\spad{nrows(m)} returns the number of rows in the matrix \\spad{m}.")) (|maxColIndex| (((|Integer|) $) "\\spad{maxColIndex(m)} returns the index of the 'last' column of the matrix \\spad{m}.")) (|minColIndex| (((|Integer|) $) "\\spad{minColIndex(m)} returns the index of the 'first' column of the matrix \\spad{m}.")) (|maxRowIndex| (((|Integer|) $) "\\spad{maxRowIndex(m)} returns the index of the 'last' row of the matrix \\spad{m}.")) (|minRowIndex| (((|Integer|) $) "\\spad{minRowIndex(m)} returns the index of the 'first' row of the matrix \\spad{m}.")) (|antisymmetric?| (((|Boolean|) $) "\\spad{antisymmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and antisymmetric (\\spadignore{i.e.} \\spad{m[i,{}j] = -m[j,{}i]} for all \\spad{i} and \\spad{j}) and \\spad{false} otherwise.")) (|symmetric?| (((|Boolean|) $) "\\spad{symmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and symmetric (\\spadignore{i.e.} \\spad{m[i,{}j] = m[j,{}i]} for all \\spad{i} and \\spad{j}) and \\spad{false} otherwise.")) (|diagonal?| (((|Boolean|) $) "\\spad{diagonal?(m)} returns \\spad{true} if the matrix \\spad{m} is square and diagonal (\\spadignore{i.e.} all entries of \\spad{m} not on the diagonal are zero) and \\spad{false} otherwise.")) (|square?| (((|Boolean|) $) "\\spad{square?(m)} returns \\spad{true} if \\spad{m} is a square matrix (\\spadignore{i.e.} if \\spad{m} has the same number of rows as columns) and \\spad{false} otherwise.")) (|matrix| (($ (|List| (|List| |#3|))) "\\spad{matrix(l)} converts the list of lists \\spad{l} to a matrix,{} where the list of lists is viewed as a list of the rows of the matrix.")) (|finiteAggregate| ((|attribute|) "matrices are finite"))) 
-((-4521 . T) (-3973 . T) (-4516 . T) (-4515 . T)) 
+((-4535 . T) (-2982 . T) (-4530 . T) (-4529 . T)) 
 NIL 
-(-1051 |m| |n| R) 
+(-1052 |m| |n| R) 
 ((|constructor| (NIL "\\spadtype{RectangularMatrix} is a matrix domain where the number of rows and the number of columns are parameters of the domain.")) (|coerce| (((|Matrix| |#3|) $) "\\spad{coerce(m)} converts a matrix of type \\spadtype{RectangularMatrix} to a matrix of type \\spad{Matrix}.")) (|rectangularMatrix| (($ (|Matrix| |#3|)) "\\spad{rectangularMatrix(m)} converts a matrix of type \\spadtype{Matrix} to a matrix of type \\spad{RectangularMatrix}."))) 
-((-4521 . T) (-4516 . T) (-4515 . T)) 
-((|HasCategory| |#3| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#3| (QUOTE (-365))) (|HasCategory| |#3| (QUOTE (-1090))) (|HasCategory| |#3| (QUOTE (-301))) (|HasCategory| |#3| (QUOTE (-558))) (|HasCategory| |#3| (QUOTE (-172))) (-2199 (|HasCategory| |#3| (QUOTE (-172))) (|HasCategory| |#3| (QUOTE (-365)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-172)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-365)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1090)))))) 
-(-1052 |m| |n| R1 |Row1| |Col1| M1 R2 |Row2| |Col2| M2) 
+((-4535 . T) (-4530 . T) (-4529 . T)) 
+((|HasCategory| |#3| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1091))) (|HasCategory| |#3| (QUOTE (-302))) (|HasCategory| |#3| (QUOTE (-559))) (|HasCategory| |#3| (QUOTE (-173))) (-2232 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1091)))))) 
+(-1053 |m| |n| R1 |Row1| |Col1| M1 R2 |Row2| |Col2| M2) 
 ((|constructor| (NIL "\\spadtype{RectangularMatrixCategoryFunctions2} provides functions between two matrix domains. The functions provided are \\spadfun{map} and \\spadfun{reduce}.")) (|reduce| ((|#7| (|Mapping| |#7| |#3| |#7|) |#6| |#7|) "\\spad{reduce(f,{}m,{}r)} returns a matrix \\spad{n} where \\spad{n[i,{}j] = f(m[i,{}j],{}r)} for all indices spad{\\spad{i}} and \\spad{j}.")) (|map| ((|#10| (|Mapping| |#7| |#3|) |#6|) "\\spad{map(f,{}m)} applies the function \\spad{f} to the elements of the matrix \\spad{m}."))) 
 NIL 
 NIL 
-(-1053 R) 
+(-1054 R) 
 ((|constructor| (NIL "The category of right modules over an \\spad{rng} (ring not necessarily with unit). This is an abelian group which supports right multiplication by elements of the \\spad{rng}. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{ x*(a*b) = (x*a)*b }\\spad{\\br} \\tab{5}\\spad{ x*(a+b) = (x*a)+(x*b) }\\spad{\\br} \\tab{5}\\spad{ (x+y)*x = (x*a)+(y*a) }")) (* (($ $ |#1|) "\\spad{x*r} returns the right multiplication of the module element \\spad{x} by the ring element \\spad{r}."))) 
 NIL 
 NIL 
-(-1054) 
+(-1055) 
 ((|constructor| (NIL "The category of associative rings,{} not necessarily commutative,{} and not necessarily with a 1. This is a combination of an abelian group and a semigroup,{} with multiplication distributing over addition. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{ x*(y+z) = x*y + x*z}\\spad{\\br} \\tab{5}\\spad{ (x+y)*z = x*z + y*z } \\blankline Conditional attributes\\spad{\\br} \\tab{5}noZeroDivisors\\tab{5}\\spad{ ab = 0 => a=0 or b=0}"))) 
 NIL 
 NIL 
-(-1055 S) 
+(-1056 S) 
 ((|constructor| (NIL "The real number system category is intended as a model for the real numbers. The real numbers form an ordered normed field. Note that we have purposely not included \\spadtype{DifferentialRing} or the elementary functions (see \\spadtype{TranscendentalFunctionCategory}) in the definition.")) (|abs| (($ $) "\\spad{abs x} returns the absolute value of \\spad{x}.")) (|round| (($ $) "\\spad{round x} computes the integer closest to \\spad{x}.")) (|truncate| (($ $) "\\spad{truncate x} returns the integer between \\spad{x} and 0 closest to \\spad{x}.")) (|fractionPart| (($ $) "\\spad{fractionPart x} returns the fractional part of \\spad{x}.")) (|wholePart| (((|Integer|) $) "\\spad{wholePart x} returns the integer part of \\spad{x}.")) (|floor| (($ $) "\\spad{floor x} returns the largest integer \\spad{<= x}.")) (|ceiling| (($ $) "\\spad{ceiling x} returns the small integer \\spad{>= x}.")) (|norm| (($ $) "\\spad{norm x} returns the same as absolute value."))) 
 NIL 
 NIL 
-(-1056) 
+(-1057) 
 ((|constructor| (NIL "The real number system category is intended as a model for the real numbers. The real numbers form an ordered normed field. Note that we have purposely not included \\spadtype{DifferentialRing} or the elementary functions (see \\spadtype{TranscendentalFunctionCategory}) in the definition.")) (|abs| (($ $) "\\spad{abs x} returns the absolute value of \\spad{x}.")) (|round| (($ $) "\\spad{round x} computes the integer closest to \\spad{x}.")) (|truncate| (($ $) "\\spad{truncate x} returns the integer between \\spad{x} and 0 closest to \\spad{x}.")) (|fractionPart| (($ $) "\\spad{fractionPart x} returns the fractional part of \\spad{x}.")) (|wholePart| (((|Integer|) $) "\\spad{wholePart x} returns the integer part of \\spad{x}.")) (|floor| (($ $) "\\spad{floor x} returns the largest integer \\spad{<= x}.")) (|ceiling| (($ $) "\\spad{ceiling x} returns the small integer \\spad{>= x}.")) (|norm| (($ $) "\\spad{norm x} returns the same as absolute value."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-1057 |TheField| |ThePolDom|) 
+(-1058 |TheField| |ThePolDom|) 
 ((|constructor| (NIL "\\axiomType{RightOpenIntervalRootCharacterization} provides work with interval root coding.")) (|relativeApprox| ((|#1| |#2| $ |#1|) "\\axiom{relativeApprox(exp,{}\\spad{c},{}\\spad{p}) = a} is relatively close to exp as a polynomial in \\spad{c} ip to precision \\spad{p}")) (|mightHaveRoots| (((|Boolean|) |#2| $) "\\axiom{mightHaveRoots(\\spad{p},{}\\spad{r})} is \\spad{false} if \\axiom{\\spad{p}.\\spad{r}} is not 0")) (|refine| (($ $) "\\axiom{refine(rootChar)} shrinks isolating interval around \\axiom{rootChar}")) (|middle| ((|#1| $) "\\axiom{middle(rootChar)} is the middle of the isolating interval")) (|size| ((|#1| $) "The size of the isolating interval")) (|right| ((|#1| $) "\\axiom{right(rootChar)} is the right bound of the isolating interval")) (|left| ((|#1| $) "\\axiom{left(rootChar)} is the left bound of the isolating interval"))) 
 NIL 
 NIL 
-(-1058) 
+(-1059) 
 ((|constructor| (NIL "\\spadtype{RomanNumeral} provides functions for converting integers to roman numerals.")) (|roman| (($ (|Integer|)) "\\spad{roman(n)} creates a roman numeral for \\spad{n}.") (($ (|Symbol|)) "\\spad{roman(n)} creates a roman numeral for symbol \\spad{n}.")) (|convert| (($ (|Symbol|)) "\\spad{convert(n)} creates a roman numeral for symbol \\spad{n}.")) (|noetherian| ((|attribute|) "ascending chain condition on ideals.")) (|canonicalsClosed| ((|attribute|) "two positives multiply to give positive.")) (|canonical| ((|attribute|) "mathematical equality is data structure equality."))) 
-((-4509 . T) (-4513 . T) (-4508 . T) (-4519 . T) (-4520 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4523 . T) (-4527 . T) (-4522 . T) (-4533 . T) (-4534 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-1059) 
+(-1060) 
 ((|constructor| (NIL "\\axiomType{RoutinesTable} implements a database and associated tuning mechanisms for a set of known NAG routines")) (|recoverAfterFail| (((|Union| (|String|) "failed") $ (|String|) (|Integer|)) "\\spad{recoverAfterFail(routs,{}routineName,{}ifailValue)} acts on the instructions given by the ifail list")) (|showTheRoutinesTable| (($) "\\spad{showTheRoutinesTable()} returns the current table of NAG routines.")) (|deleteRoutine!| (($ $ (|Symbol|)) "\\spad{deleteRoutine!(R,{}s)} destructively deletes the given routine from the current database of NAG routines")) (|getExplanations| (((|List| (|String|)) $ (|String|)) "\\spad{getExplanations(R,{}s)} gets the explanations of the output parameters for the given NAG routine.")) (|getMeasure| (((|Float|) $ (|Symbol|)) "\\spad{getMeasure(R,{}s)} gets the current value of the maximum measure for the given NAG routine.")) (|changeMeasure| (($ $ (|Symbol|) (|Float|)) "\\spad{changeMeasure(R,{}s,{}newValue)} changes the maximum value for a measure of the given NAG routine.")) (|changeThreshhold| (($ $ (|Symbol|) (|Float|)) "\\spad{changeThreshhold(R,{}s,{}newValue)} changes the value below which,{} given a NAG routine generating a higher measure,{} the routines will make no attempt to generate a measure.")) (|selectMultiDimensionalRoutines| (($ $) "\\spad{selectMultiDimensionalRoutines(R)} chooses only those routines from the database which are designed for use with multi-dimensional expressions")) (|selectNonFiniteRoutines| (($ $) "\\spad{selectNonFiniteRoutines(R)} chooses only those routines from the database which are designed for use with non-finite expressions.")) (|selectSumOfSquaresRoutines| (($ $) "\\spad{selectSumOfSquaresRoutines(R)} chooses only those routines from the database which are designed for use with sums of squares")) (|selectFiniteRoutines| (($ $) "\\spad{selectFiniteRoutines(R)} chooses only those routines from the database which are designed for use with finite expressions")) (|selectODEIVPRoutines| (($ $) "\\spad{selectODEIVPRoutines(R)} chooses only those routines from the database which are for the solution of ODE\\spad{'s}")) (|selectPDERoutines| (($ $) "\\spad{selectPDERoutines(R)} chooses only those routines from the database which are for the solution of PDE\\spad{'s}")) (|selectOptimizationRoutines| (($ $) "\\spad{selectOptimizationRoutines(R)} chooses only those routines from the database which are for integration")) (|selectIntegrationRoutines| (($ $) "\\spad{selectIntegrationRoutines(R)} chooses only those routines from the database which are for integration")) (|routines| (($) "\\spad{routines()} initialises a database of known NAG routines")) (|concat| (($ $ $) "\\spad{concat(x,{}y)} merges two tables \\spad{x} and \\spad{y}"))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (QUOTE (-1090))) (-12 (|HasCategory| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (LIST (QUOTE -303) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3651) (QUOTE (-1161))) (LIST (QUOTE |:|) (QUOTE -4085) (QUOTE (-57)))))) (|HasCategory| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (QUOTE (-1090)))) (|HasCategory| (-1161) (QUOTE (-842))) (|HasCategory| (-57) (QUOTE (-1090))) (-2199 (|HasCategory| (-57) (QUOTE (-1090))) (|HasCategory| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (QUOTE (-1090)))) (-12 (|HasCategory| (-57) (LIST (QUOTE -303) (QUOTE (-57)))) (|HasCategory| (-57) (QUOTE (-1090))))) 
-(-1060 S R E V) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (QUOTE (-1091))) (-12 (|HasCategory| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (QUOTE (-1163))) (LIST (QUOTE |:|) (QUOTE -3782) (QUOTE (-57)))))) (|HasCategory| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (QUOTE (-1091)))) (|HasCategory| (-1163) (QUOTE (-843))) (|HasCategory| (-57) (QUOTE (-1091))) (-2232 (|HasCategory| (-57) (QUOTE (-1091))) (|HasCategory| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (QUOTE (-1091)))) (-12 (|HasCategory| (-57) (LIST (QUOTE -304) (QUOTE (-57)))) (|HasCategory| (-57) (QUOTE (-1091))))) 
+(-1061 S R E V) 
 ((|constructor| (NIL "A category for general multi-variate polynomials with coefficients in a ring,{} variables in an ordered set,{} and exponents from an ordered abelian monoid,{} with a \\axiomOp{sup} operation. When not constant,{} such a polynomial is viewed as a univariate polynomial in its main variable \\spad{w}. \\spad{r}. \\spad{t}. to the total ordering on the elements in the ordered set,{} so that some operations usually defined for univariate polynomials make sense here.")) (|mainSquareFreePart| (($ $) "\\axiom{mainSquareFreePart(\\spad{p})} returns the square free part of \\axiom{\\spad{p}} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{\\spad{R}}.")) (|mainPrimitivePart| (($ $) "\\axiom{mainPrimitivePart(\\spad{p})} returns the primitive part of \\axiom{\\spad{p}} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{\\spad{R}}.")) (|mainContent| (($ $) "\\axiom{mainContent(\\spad{p})} returns the content of \\axiom{\\spad{p}} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{\\spad{R}}.")) (|primitivePart!| (($ $) "\\axiom{primitivePart!(\\spad{p})} replaces \\axiom{\\spad{p}} by its primitive part.")) (|gcd| ((|#2| |#2| $) "\\axiom{\\spad{gcd}(\\spad{r},{}\\spad{p})} returns the \\spad{gcd} of \\axiom{\\spad{r}} and the content of \\axiom{\\spad{p}}.")) (|nextsubResultant2| (($ $ $ $ $) "\\axiom{\\spad{nextsubResultant2}(\\spad{p},{}\\spad{q},{}\\spad{z},{}\\spad{s})} is the multivariate version of the operation \\spad{next_sousResultant2} from PseudoRemainderSequence from the \\axiomType{PseudoRemainderSequence} constructor.")) (|LazardQuotient2| (($ $ $ $ (|NonNegativeInteger|)) "\\axiom{\\spad{LazardQuotient2}(\\spad{p},{}a,{}\\spad{b},{}\\spad{n})} returns \\axiom{(a**(\\spad{n}-1) * \\spad{p}) exquo \\spad{b**}(\\spad{n}-1)} assuming that this quotient does not fail.")) (|LazardQuotient| (($ $ $ (|NonNegativeInteger|)) "\\axiom{LazardQuotient(a,{}\\spad{b},{}\\spad{n})} returns \\axiom{a**n exquo \\spad{b**}(\\spad{n}-1)} assuming that this quotient does not fail.")) (|lastSubResultant| (($ $ $) "\\axiom{lastSubResultant(a,{}\\spad{b})} returns the last non-zero subresultant of \\axiom{a} and \\axiom{\\spad{b}} where \\axiom{a} and \\axiom{\\spad{b}} are assumed to have the same main variable \\axiom{\\spad{v}} and are viewed as univariate polynomials in \\axiom{\\spad{v}}.")) (|subResultantChain| (((|List| $) $ $) "\\axiom{subResultantChain(a,{}\\spad{b})},{} where \\axiom{a} and \\axiom{\\spad{b}} are not contant polynomials with the same main variable,{} returns the subresultant chain of \\axiom{a} and \\axiom{\\spad{b}}.")) (|resultant| (($ $ $) "\\axiom{resultant(a,{}\\spad{b})} computes the resultant of \\axiom{a} and \\axiom{\\spad{b}} where \\axiom{a} and \\axiom{\\spad{b}} are assumed to have the same main variable \\axiom{\\spad{v}} and are viewed as univariate polynomials in \\axiom{\\spad{v}}.")) (|halfExtendedSubResultantGcd2| (((|Record| (|:| |gcd| $) (|:| |coef2| $)) $ $) "\\axiom{\\spad{halfExtendedSubResultantGcd2}(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}\\spad{cb}]} if \\axiom{extendedSubResultantGcd(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}ca,{}\\spad{cb}]} otherwise produces an error.")) (|halfExtendedSubResultantGcd1| (((|Record| (|:| |gcd| $) (|:| |coef1| $)) $ $) "\\axiom{\\spad{halfExtendedSubResultantGcd1}(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}ca]} if \\axiom{extendedSubResultantGcd(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}ca,{}\\spad{cb}]} otherwise produces an error.")) (|extendedSubResultantGcd| (((|Record| (|:| |gcd| $) (|:| |coef1| $) (|:| |coef2| $)) $ $) "\\axiom{extendedSubResultantGcd(a,{}\\spad{b})} returns \\axiom{[ca,{}\\spad{cb},{}\\spad{r}]} such that \\axiom{\\spad{r}} is \\axiom{subResultantGcd(a,{}\\spad{b})} and we have \\axiom{ca * a + \\spad{cb} * \\spad{cb} = \\spad{r}} .")) (|subResultantGcd| (($ $ $) "\\axiom{subResultantGcd(a,{}\\spad{b})} computes a \\spad{gcd} of \\axiom{a} and \\axiom{\\spad{b}} where \\axiom{a} and \\axiom{\\spad{b}} are assumed to have the same main variable \\axiom{\\spad{v}} and are viewed as univariate polynomials in \\axiom{\\spad{v}} with coefficients in the fraction field of the polynomial ring generated by their other variables over \\axiom{\\spad{R}}.")) (|exactQuotient!| (($ $ $) "\\axiom{exactQuotient!(a,{}\\spad{b})} replaces \\axiom{a} by \\axiom{exactQuotient(a,{}\\spad{b})}") (($ $ |#2|) "\\axiom{exactQuotient!(\\spad{p},{}\\spad{r})} replaces \\axiom{\\spad{p}} by \\axiom{exactQuotient(\\spad{p},{}\\spad{r})}.")) (|exactQuotient| (($ $ $) "\\axiom{exactQuotient(a,{}\\spad{b})} computes the exact quotient of \\axiom{a} by \\axiom{\\spad{b}},{} which is assumed to be a divisor of \\axiom{a}. No error is returned if this exact quotient fails!") (($ $ |#2|) "\\axiom{exactQuotient(\\spad{p},{}\\spad{r})} computes the exact quotient of \\axiom{\\spad{p}} by \\axiom{\\spad{r}},{} which is assumed to be a divisor of \\axiom{\\spad{p}}. No error is returned if this exact quotient fails!")) (|primPartElseUnitCanonical!| (($ $) "\\axiom{primPartElseUnitCanonical!(\\spad{p})} replaces \\axiom{\\spad{p}} by \\axiom{primPartElseUnitCanonical(\\spad{p})}.")) (|primPartElseUnitCanonical| (($ $) "\\axiom{primPartElseUnitCanonical(\\spad{p})} returns \\axiom{primitivePart(\\spad{p})} if \\axiom{\\spad{R}} is a \\spad{gcd}-domain,{} otherwise \\axiom{unitCanonical(\\spad{p})}.")) (|convert| (($ (|Polynomial| |#2|)) "\\axiom{convert(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}},{} otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{convert(\\spad{p})} returns the same as \\axiom{retract(\\spad{p})}.") (($ (|Polynomial| (|Integer|))) "\\axiom{convert(\\spad{p})} returns the same as \\axiom{retract(\\spad{p})}") (($ (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{convert(\\spad{p})} returns the same as \\axiom{retract(\\spad{p})}.")) (|retract| (($ (|Polynomial| |#2|)) "\\axiom{retract(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if \\axiom{retractIfCan(\\spad{p})} does not return \"failed\",{} otherwise an error is produced.") (($ (|Polynomial| |#2|)) "\\axiom{retract(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if \\axiom{retractIfCan(\\spad{p})} does not return \"failed\",{} otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{retract(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if \\axiom{retractIfCan(\\spad{p})} does not return \"failed\",{} otherwise an error is produced.") (($ (|Polynomial| |#2|)) "\\axiom{retract(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if \\axiom{retractIfCan(\\spad{p})} does not return \"failed\",{} otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{retract(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if \\axiom{retractIfCan(\\spad{p})} does not return \"failed\",{} otherwise an error is produced.") (($ (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{retract(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if \\axiom{retractIfCan(\\spad{p})} does not return \"failed\",{} otherwise an error is produced.")) (|retractIfCan| (((|Union| $ "failed") (|Polynomial| |#2|)) "\\axiom{retractIfCan(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}}.") (((|Union| $ "failed") (|Polynomial| |#2|)) "\\axiom{retractIfCan(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}}.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\axiom{retractIfCan(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}}.") (((|Union| $ "failed") (|Polynomial| |#2|)) "\\axiom{retractIfCan(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}}.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\axiom{retractIfCan(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}}.") (((|Union| $ "failed") (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{retractIfCan(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}}.")) (|initiallyReduce| (($ $ $) "\\axiom{initiallyReduce(a,{}\\spad{b})} returns a polynomial \\axiom{\\spad{r}} such that \\axiom{initiallyReduced?(\\spad{r},{}\\spad{b})} holds and there exists an integer \\axiom{\\spad{e}} such that \\axiom{init(\\spad{b})^e a - \\spad{r}} is zero modulo \\axiom{\\spad{b}}.")) (|headReduce| (($ $ $) "\\axiom{headReduce(a,{}\\spad{b})} returns a polynomial \\axiom{\\spad{r}} such that \\axiom{headReduced?(\\spad{r},{}\\spad{b})} holds and there exists an integer \\axiom{\\spad{e}} such that \\axiom{init(\\spad{b})^e a - \\spad{r}} is zero modulo \\axiom{\\spad{b}}.")) (|lazyResidueClass| (((|Record| (|:| |polnum| $) (|:| |polden| $) (|:| |power| (|NonNegativeInteger|))) $ $) "\\axiom{lazyResidueClass(a,{}\\spad{b})} returns \\axiom{[\\spad{p},{}\\spad{q},{}\\spad{n}]} where \\axiom{\\spad{p} / q**n} represents the residue class of \\axiom{a} modulo \\axiom{\\spad{b}} and \\axiom{\\spad{p}} is reduced \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{b}} and \\axiom{\\spad{q}} is \\axiom{init(\\spad{b})}.")) (|monicModulo| (($ $ $) "\\axiom{monicModulo(a,{}\\spad{b})} computes \\axiom{a mod \\spad{b}},{} if \\axiom{\\spad{b}} is monic as univariate polynomial in its main variable.")) (|pseudoDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{pseudoDivide(a,{}\\spad{b})} computes \\axiom{[pquo(a,{}\\spad{b}),{}prem(a,{}\\spad{b})]},{} both polynomials viewed as univariate polynomials in the main variable of \\axiom{\\spad{b}},{} if \\axiom{\\spad{b}} is not a constant polynomial.")) (|lazyPseudoDivide| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $ |#4|) "\\axiom{lazyPseudoDivide(a,{}\\spad{b},{}\\spad{v})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{q},{}\\spad{r}]} such that \\axiom{\\spad{r} = lazyPrem(a,{}\\spad{b},{}\\spad{v})},{} \\axiom{(c**g)\\spad{*r} = prem(a,{}\\spad{b},{}\\spad{v})} and \\axiom{\\spad{q}} is the pseudo-quotient computed in this lazy pseudo-division.") (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{lazyPseudoDivide(a,{}\\spad{b})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{q},{}\\spad{r}]} such that \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{r}] = lazyPremWithDefault(a,{}\\spad{b})} and \\axiom{\\spad{q}} is the pseudo-quotient computed in this lazy pseudo-division.")) (|lazyPremWithDefault| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $ |#4|) "\\axiom{lazyPremWithDefault(a,{}\\spad{b},{}\\spad{v})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{r}]} such that \\axiom{\\spad{r} = lazyPrem(a,{}\\spad{b},{}\\spad{v})} and \\axiom{(c**g)\\spad{*r} = prem(a,{}\\spad{b},{}\\spad{v})}.") (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $) "\\axiom{lazyPremWithDefault(a,{}\\spad{b})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{r}]} such that \\axiom{\\spad{r} = lazyPrem(a,{}\\spad{b})} and \\axiom{(c**g)\\spad{*r} = prem(a,{}\\spad{b})}.")) (|lazyPquo| (($ $ $ |#4|) "\\axiom{lazyPquo(a,{}\\spad{b},{}\\spad{v})} returns the polynomial \\axiom{\\spad{q}} such that \\axiom{lazyPseudoDivide(a,{}\\spad{b},{}\\spad{v})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{q},{}\\spad{r}]}.") (($ $ $) "\\axiom{lazyPquo(a,{}\\spad{b})} returns the polynomial \\axiom{\\spad{q}} such that \\axiom{lazyPseudoDivide(a,{}\\spad{b})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{q},{}\\spad{r}]}.")) (|lazyPrem| (($ $ $ |#4|) "\\axiom{lazyPrem(a,{}\\spad{b},{}\\spad{v})} returns the polynomial \\axiom{\\spad{r}} reduced \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{b}} viewed as univariate polynomials in the variable \\axiom{\\spad{v}} such that \\axiom{\\spad{b}} divides \\axiom{init(\\spad{b})^e a - \\spad{r}} where \\axiom{\\spad{e}} is the number of steps of this pseudo-division.") (($ $ $) "\\axiom{lazyPrem(a,{}\\spad{b})} returns the polynomial \\axiom{\\spad{r}} reduced \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{b}} and such that \\axiom{\\spad{b}} divides \\axiom{init(\\spad{b})^e a - \\spad{r}} where \\axiom{\\spad{e}} is the number of steps of this pseudo-division.")) (|pquo| (($ $ $ |#4|) "\\axiom{pquo(a,{}\\spad{b},{}\\spad{v})} computes the pseudo-quotient of \\axiom{a} by \\axiom{\\spad{b}},{} both viewed as univariate polynomials in \\axiom{\\spad{v}}.") (($ $ $) "\\axiom{pquo(a,{}\\spad{b})} computes the pseudo-quotient of \\axiom{a} by \\axiom{\\spad{b}},{} both viewed as univariate polynomials in the main variable of \\axiom{\\spad{b}}.")) (|prem| (($ $ $ |#4|) "\\axiom{prem(a,{}\\spad{b},{}\\spad{v})} computes the pseudo-remainder of \\axiom{a} by \\axiom{\\spad{b}},{} both viewed as univariate polynomials in \\axiom{\\spad{v}}.") (($ $ $) "\\axiom{prem(a,{}\\spad{b})} computes the pseudo-remainder of \\axiom{a} by \\axiom{\\spad{b}},{} both viewed as univariate polynomials in the main variable of \\axiom{\\spad{b}}.")) (|normalized?| (((|Boolean|) $ (|List| $)) "\\axiom{normalized?(\\spad{q},{}\\spad{lp})} returns \\spad{true} iff \\axiom{normalized?(\\spad{q},{}\\spad{p})} holds for every \\axiom{\\spad{p}} in \\axiom{\\spad{lp}}.") (((|Boolean|) $ $) "\\axiom{normalized?(a,{}\\spad{b})} returns \\spad{true} iff \\axiom{a} and its iterated initials have degree zero \\spad{w}.\\spad{r}.\\spad{t}. the main variable of \\axiom{\\spad{b}}")) (|initiallyReduced?| (((|Boolean|) $ (|List| $)) "\\axiom{initiallyReduced?(\\spad{q},{}\\spad{lp})} returns \\spad{true} iff \\axiom{initiallyReduced?(\\spad{q},{}\\spad{p})} holds for every \\axiom{\\spad{p}} in \\axiom{\\spad{lp}}.") (((|Boolean|) $ $) "\\axiom{initiallyReduced?(a,{}\\spad{b})} returns \\spad{false} iff there exists an iterated initial of \\axiom{a} which is not reduced \\spad{w}.\\spad{r}.\\spad{t} \\axiom{\\spad{b}}.")) (|headReduced?| (((|Boolean|) $ (|List| $)) "\\axiom{headReduced?(\\spad{q},{}\\spad{lp})} returns \\spad{true} iff \\axiom{headReduced?(\\spad{q},{}\\spad{p})} holds for every \\axiom{\\spad{p}} in \\axiom{\\spad{lp}}.") (((|Boolean|) $ $) "\\axiom{headReduced?(a,{}\\spad{b})} returns \\spad{true} iff \\axiom{degree(head(a),{}mvar(\\spad{b})) < mdeg(\\spad{b})}.")) (|reduced?| (((|Boolean|) $ (|List| $)) "\\axiom{reduced?(\\spad{q},{}\\spad{lp})} returns \\spad{true} iff \\axiom{reduced?(\\spad{q},{}\\spad{p})} holds for every \\axiom{\\spad{p}} in \\axiom{\\spad{lp}}.") (((|Boolean|) $ $) "\\axiom{reduced?(a,{}\\spad{b})} returns \\spad{true} iff \\axiom{degree(a,{}mvar(\\spad{b})) < mdeg(\\spad{b})}.")) (|supRittWu?| (((|Boolean|) $ $) "\\axiom{supRittWu?(a,{}\\spad{b})} returns \\spad{true} if \\axiom{a} is greater than \\axiom{\\spad{b}} \\spad{w}.\\spad{r}.\\spad{t}. the Ritt and Wu Wen Tsun ordering using the refinement of Lazard.")) (|infRittWu?| (((|Boolean|) $ $) "\\axiom{infRittWu?(a,{}\\spad{b})} returns \\spad{true} if \\axiom{a} is less than \\axiom{\\spad{b}} \\spad{w}.\\spad{r}.\\spad{t}. the Ritt and Wu Wen Tsun ordering using the refinement of Lazard.")) (|RittWuCompare| (((|Union| (|Boolean|) "failed") $ $) "\\axiom{RittWuCompare(a,{}\\spad{b})} returns \\axiom{\"failed\"} if \\axiom{a} and \\axiom{\\spad{b}} have same rank \\spad{w}.\\spad{r}.\\spad{t}. Ritt and Wu Wen Tsun ordering using the refinement of Lazard,{} otherwise returns \\axiom{infRittWu?(a,{}\\spad{b})}.")) (|mainMonomials| (((|List| $) $) "\\axiom{mainMonomials(\\spad{p})} returns an error if \\axiom{\\spad{p}} is \\axiom{\\spad{O}},{} otherwise,{} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}} returns [1],{} otherwise returns the list of the monomials of \\axiom{\\spad{p}},{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial in its main variable.")) (|mainCoefficients| (((|List| $) $) "\\axiom{mainCoefficients(\\spad{p})} returns an error if \\axiom{\\spad{p}} is \\axiom{\\spad{O}},{} otherwise,{} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}} returns [\\spad{p}],{} otherwise returns the list of the coefficients of \\axiom{\\spad{p}},{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial in its main variable.")) (|leastMonomial| (($ $) "\\axiom{leastMonomial(\\spad{p})} returns an error if \\axiom{\\spad{p}} is \\axiom{\\spad{O}},{} otherwise,{} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}} returns \\axiom{1},{} otherwise,{} the monomial of \\axiom{\\spad{p}} with lowest degree,{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial in its main variable.")) (|mainMonomial| (($ $) "\\axiom{mainMonomial(\\spad{p})} returns an error if \\axiom{\\spad{p}} is \\axiom{\\spad{O}},{} otherwise,{} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}} returns \\axiom{1},{} otherwise,{} \\axiom{mvar(\\spad{p})} raised to the power \\axiom{mdeg(\\spad{p})}.")) (|quasiMonic?| (((|Boolean|) $) "\\axiom{quasiMonic?(\\spad{p})} returns \\spad{false} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns \\spad{true} iff the initial of \\axiom{\\spad{p}} lies in the base ring \\axiom{\\spad{R}}.")) (|monic?| (((|Boolean|) $) "\\axiom{monic?(\\spad{p})} returns \\spad{false} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns \\spad{true} iff \\axiom{\\spad{p}} is monic as a univariate polynomial in its main variable.")) (|reductum| (($ $ |#4|) "\\axiom{reductum(\\spad{p},{}\\spad{v})} returns the reductum of \\axiom{\\spad{p}},{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial in \\axiom{\\spad{v}}.")) (|leadingCoefficient| (($ $ |#4|) "\\axiom{leadingCoefficient(\\spad{p},{}\\spad{v})} returns the leading coefficient of \\axiom{\\spad{p}},{} where \\axiom{\\spad{p}} is viewed as A univariate polynomial in \\axiom{\\spad{v}}.")) (|deepestInitial| (($ $) "\\axiom{deepestInitial(\\spad{p})} returns an error if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns the last term of \\axiom{iteratedInitials(\\spad{p})}.")) (|iteratedInitials| (((|List| $) $) "\\axiom{iteratedInitials(\\spad{p})} returns \\axiom{[]} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns the list of the iterated initials of \\axiom{\\spad{p}}.")) (|deepestTail| (($ $) "\\axiom{deepestTail(\\spad{p})} returns \\axiom{0} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns tail(\\spad{p}),{} if \\axiom{tail(\\spad{p})} belongs to \\axiom{\\spad{R}} or \\axiom{mvar(tail(\\spad{p})) < mvar(\\spad{p})},{} otherwise returns \\axiom{deepestTail(tail(\\spad{p}))}.")) (|tail| (($ $) "\\axiom{tail(\\spad{p})} returns its reductum,{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial in its main variable.")) (|head| (($ $) "\\axiom{head(\\spad{p})} returns \\axiom{\\spad{p}} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns its leading term (monomial in the AXIOM sense),{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial \\indented{1}{in its main variable.}")) (|init| (($ $) "\\axiom{init(\\spad{p})} returns an error if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns its leading coefficient,{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial in its main variable.")) (|mdeg| (((|NonNegativeInteger|) $) "\\axiom{mdeg(\\spad{p})} returns an error if \\axiom{\\spad{p}} is \\axiom{0},{} otherwise,{} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}} returns \\axiom{0},{} otherwise,{} returns the degree of \\axiom{\\spad{p}} in its main variable.")) (|mvar| ((|#4| $) "\\axiom{mvar(\\spad{p})} returns an error if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns its main variable \\spad{w}. \\spad{r}. \\spad{t}. to the total ordering on the elements in \\axiom{\\spad{V}}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-453))) (|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-550))) (|HasCategory| |#2| (LIST (QUOTE -43) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -993) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#4| (LIST (QUOTE -609) (QUOTE (-1161))))) 
-(-1061 R E V) 
+((|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-551))) (|HasCategory| |#2| (LIST (QUOTE -43) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -994) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-1163))))) 
+(-1062 R E V) 
 ((|constructor| (NIL "A category for general multi-variate polynomials with coefficients in a ring,{} variables in an ordered set,{} and exponents from an ordered abelian monoid,{} with a \\axiomOp{sup} operation. When not constant,{} such a polynomial is viewed as a univariate polynomial in its main variable \\spad{w}. \\spad{r}. \\spad{t}. to the total ordering on the elements in the ordered set,{} so that some operations usually defined for univariate polynomials make sense here.")) (|mainSquareFreePart| (($ $) "\\axiom{mainSquareFreePart(\\spad{p})} returns the square free part of \\axiom{\\spad{p}} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{\\spad{R}}.")) (|mainPrimitivePart| (($ $) "\\axiom{mainPrimitivePart(\\spad{p})} returns the primitive part of \\axiom{\\spad{p}} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{\\spad{R}}.")) (|mainContent| (($ $) "\\axiom{mainContent(\\spad{p})} returns the content of \\axiom{\\spad{p}} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{\\spad{R}}.")) (|primitivePart!| (($ $) "\\axiom{primitivePart!(\\spad{p})} replaces \\axiom{\\spad{p}} by its primitive part.")) (|gcd| ((|#1| |#1| $) "\\axiom{\\spad{gcd}(\\spad{r},{}\\spad{p})} returns the \\spad{gcd} of \\axiom{\\spad{r}} and the content of \\axiom{\\spad{p}}.")) (|nextsubResultant2| (($ $ $ $ $) "\\axiom{\\spad{nextsubResultant2}(\\spad{p},{}\\spad{q},{}\\spad{z},{}\\spad{s})} is the multivariate version of the operation \\spad{next_sousResultant2} from PseudoRemainderSequence from the \\axiomType{PseudoRemainderSequence} constructor.")) (|LazardQuotient2| (($ $ $ $ (|NonNegativeInteger|)) "\\axiom{\\spad{LazardQuotient2}(\\spad{p},{}a,{}\\spad{b},{}\\spad{n})} returns \\axiom{(a**(\\spad{n}-1) * \\spad{p}) exquo \\spad{b**}(\\spad{n}-1)} assuming that this quotient does not fail.")) (|LazardQuotient| (($ $ $ (|NonNegativeInteger|)) "\\axiom{LazardQuotient(a,{}\\spad{b},{}\\spad{n})} returns \\axiom{a**n exquo \\spad{b**}(\\spad{n}-1)} assuming that this quotient does not fail.")) (|lastSubResultant| (($ $ $) "\\axiom{lastSubResultant(a,{}\\spad{b})} returns the last non-zero subresultant of \\axiom{a} and \\axiom{\\spad{b}} where \\axiom{a} and \\axiom{\\spad{b}} are assumed to have the same main variable \\axiom{\\spad{v}} and are viewed as univariate polynomials in \\axiom{\\spad{v}}.")) (|subResultantChain| (((|List| $) $ $) "\\axiom{subResultantChain(a,{}\\spad{b})},{} where \\axiom{a} and \\axiom{\\spad{b}} are not contant polynomials with the same main variable,{} returns the subresultant chain of \\axiom{a} and \\axiom{\\spad{b}}.")) (|resultant| (($ $ $) "\\axiom{resultant(a,{}\\spad{b})} computes the resultant of \\axiom{a} and \\axiom{\\spad{b}} where \\axiom{a} and \\axiom{\\spad{b}} are assumed to have the same main variable \\axiom{\\spad{v}} and are viewed as univariate polynomials in \\axiom{\\spad{v}}.")) (|halfExtendedSubResultantGcd2| (((|Record| (|:| |gcd| $) (|:| |coef2| $)) $ $) "\\axiom{\\spad{halfExtendedSubResultantGcd2}(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}\\spad{cb}]} if \\axiom{extendedSubResultantGcd(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}ca,{}\\spad{cb}]} otherwise produces an error.")) (|halfExtendedSubResultantGcd1| (((|Record| (|:| |gcd| $) (|:| |coef1| $)) $ $) "\\axiom{\\spad{halfExtendedSubResultantGcd1}(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}ca]} if \\axiom{extendedSubResultantGcd(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}ca,{}\\spad{cb}]} otherwise produces an error.")) (|extendedSubResultantGcd| (((|Record| (|:| |gcd| $) (|:| |coef1| $) (|:| |coef2| $)) $ $) "\\axiom{extendedSubResultantGcd(a,{}\\spad{b})} returns \\axiom{[ca,{}\\spad{cb},{}\\spad{r}]} such that \\axiom{\\spad{r}} is \\axiom{subResultantGcd(a,{}\\spad{b})} and we have \\axiom{ca * a + \\spad{cb} * \\spad{cb} = \\spad{r}} .")) (|subResultantGcd| (($ $ $) "\\axiom{subResultantGcd(a,{}\\spad{b})} computes a \\spad{gcd} of \\axiom{a} and \\axiom{\\spad{b}} where \\axiom{a} and \\axiom{\\spad{b}} are assumed to have the same main variable \\axiom{\\spad{v}} and are viewed as univariate polynomials in \\axiom{\\spad{v}} with coefficients in the fraction field of the polynomial ring generated by their other variables over \\axiom{\\spad{R}}.")) (|exactQuotient!| (($ $ $) "\\axiom{exactQuotient!(a,{}\\spad{b})} replaces \\axiom{a} by \\axiom{exactQuotient(a,{}\\spad{b})}") (($ $ |#1|) "\\axiom{exactQuotient!(\\spad{p},{}\\spad{r})} replaces \\axiom{\\spad{p}} by \\axiom{exactQuotient(\\spad{p},{}\\spad{r})}.")) (|exactQuotient| (($ $ $) "\\axiom{exactQuotient(a,{}\\spad{b})} computes the exact quotient of \\axiom{a} by \\axiom{\\spad{b}},{} which is assumed to be a divisor of \\axiom{a}. No error is returned if this exact quotient fails!") (($ $ |#1|) "\\axiom{exactQuotient(\\spad{p},{}\\spad{r})} computes the exact quotient of \\axiom{\\spad{p}} by \\axiom{\\spad{r}},{} which is assumed to be a divisor of \\axiom{\\spad{p}}. No error is returned if this exact quotient fails!")) (|primPartElseUnitCanonical!| (($ $) "\\axiom{primPartElseUnitCanonical!(\\spad{p})} replaces \\axiom{\\spad{p}} by \\axiom{primPartElseUnitCanonical(\\spad{p})}.")) (|primPartElseUnitCanonical| (($ $) "\\axiom{primPartElseUnitCanonical(\\spad{p})} returns \\axiom{primitivePart(\\spad{p})} if \\axiom{\\spad{R}} is a \\spad{gcd}-domain,{} otherwise \\axiom{unitCanonical(\\spad{p})}.")) (|convert| (($ (|Polynomial| |#1|)) "\\axiom{convert(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}},{} otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{convert(\\spad{p})} returns the same as \\axiom{retract(\\spad{p})}.") (($ (|Polynomial| (|Integer|))) "\\axiom{convert(\\spad{p})} returns the same as \\axiom{retract(\\spad{p})}") (($ (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{convert(\\spad{p})} returns the same as \\axiom{retract(\\spad{p})}.")) (|retract| (($ (|Polynomial| |#1|)) "\\axiom{retract(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if \\axiom{retractIfCan(\\spad{p})} does not return \"failed\",{} otherwise an error is produced.") (($ (|Polynomial| |#1|)) "\\axiom{retract(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if \\axiom{retractIfCan(\\spad{p})} does not return \"failed\",{} otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{retract(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if \\axiom{retractIfCan(\\spad{p})} does not return \"failed\",{} otherwise an error is produced.") (($ (|Polynomial| |#1|)) "\\axiom{retract(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if \\axiom{retractIfCan(\\spad{p})} does not return \"failed\",{} otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{retract(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if \\axiom{retractIfCan(\\spad{p})} does not return \"failed\",{} otherwise an error is produced.") (($ (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{retract(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if \\axiom{retractIfCan(\\spad{p})} does not return \"failed\",{} otherwise an error is produced.")) (|retractIfCan| (((|Union| $ "failed") (|Polynomial| |#1|)) "\\axiom{retractIfCan(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}}.") (((|Union| $ "failed") (|Polynomial| |#1|)) "\\axiom{retractIfCan(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}}.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\axiom{retractIfCan(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}}.") (((|Union| $ "failed") (|Polynomial| |#1|)) "\\axiom{retractIfCan(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}}.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\axiom{retractIfCan(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}}.") (((|Union| $ "failed") (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{retractIfCan(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}}.")) (|initiallyReduce| (($ $ $) "\\axiom{initiallyReduce(a,{}\\spad{b})} returns a polynomial \\axiom{\\spad{r}} such that \\axiom{initiallyReduced?(\\spad{r},{}\\spad{b})} holds and there exists an integer \\axiom{\\spad{e}} such that \\axiom{init(\\spad{b})^e a - \\spad{r}} is zero modulo \\axiom{\\spad{b}}.")) (|headReduce| (($ $ $) "\\axiom{headReduce(a,{}\\spad{b})} returns a polynomial \\axiom{\\spad{r}} such that \\axiom{headReduced?(\\spad{r},{}\\spad{b})} holds and there exists an integer \\axiom{\\spad{e}} such that \\axiom{init(\\spad{b})^e a - \\spad{r}} is zero modulo \\axiom{\\spad{b}}.")) (|lazyResidueClass| (((|Record| (|:| |polnum| $) (|:| |polden| $) (|:| |power| (|NonNegativeInteger|))) $ $) "\\axiom{lazyResidueClass(a,{}\\spad{b})} returns \\axiom{[\\spad{p},{}\\spad{q},{}\\spad{n}]} where \\axiom{\\spad{p} / q**n} represents the residue class of \\axiom{a} modulo \\axiom{\\spad{b}} and \\axiom{\\spad{p}} is reduced \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{b}} and \\axiom{\\spad{q}} is \\axiom{init(\\spad{b})}.")) (|monicModulo| (($ $ $) "\\axiom{monicModulo(a,{}\\spad{b})} computes \\axiom{a mod \\spad{b}},{} if \\axiom{\\spad{b}} is monic as univariate polynomial in its main variable.")) (|pseudoDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{pseudoDivide(a,{}\\spad{b})} computes \\axiom{[pquo(a,{}\\spad{b}),{}prem(a,{}\\spad{b})]},{} both polynomials viewed as univariate polynomials in the main variable of \\axiom{\\spad{b}},{} if \\axiom{\\spad{b}} is not a constant polynomial.")) (|lazyPseudoDivide| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $ |#3|) "\\axiom{lazyPseudoDivide(a,{}\\spad{b},{}\\spad{v})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{q},{}\\spad{r}]} such that \\axiom{\\spad{r} = lazyPrem(a,{}\\spad{b},{}\\spad{v})},{} \\axiom{(c**g)\\spad{*r} = prem(a,{}\\spad{b},{}\\spad{v})} and \\axiom{\\spad{q}} is the pseudo-quotient computed in this lazy pseudo-division.") (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{lazyPseudoDivide(a,{}\\spad{b})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{q},{}\\spad{r}]} such that \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{r}] = lazyPremWithDefault(a,{}\\spad{b})} and \\axiom{\\spad{q}} is the pseudo-quotient computed in this lazy pseudo-division.")) (|lazyPremWithDefault| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $ |#3|) "\\axiom{lazyPremWithDefault(a,{}\\spad{b},{}\\spad{v})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{r}]} such that \\axiom{\\spad{r} = lazyPrem(a,{}\\spad{b},{}\\spad{v})} and \\axiom{(c**g)\\spad{*r} = prem(a,{}\\spad{b},{}\\spad{v})}.") (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $) "\\axiom{lazyPremWithDefault(a,{}\\spad{b})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{r}]} such that \\axiom{\\spad{r} = lazyPrem(a,{}\\spad{b})} and \\axiom{(c**g)\\spad{*r} = prem(a,{}\\spad{b})}.")) (|lazyPquo| (($ $ $ |#3|) "\\axiom{lazyPquo(a,{}\\spad{b},{}\\spad{v})} returns the polynomial \\axiom{\\spad{q}} such that \\axiom{lazyPseudoDivide(a,{}\\spad{b},{}\\spad{v})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{q},{}\\spad{r}]}.") (($ $ $) "\\axiom{lazyPquo(a,{}\\spad{b})} returns the polynomial \\axiom{\\spad{q}} such that \\axiom{lazyPseudoDivide(a,{}\\spad{b})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{q},{}\\spad{r}]}.")) (|lazyPrem| (($ $ $ |#3|) "\\axiom{lazyPrem(a,{}\\spad{b},{}\\spad{v})} returns the polynomial \\axiom{\\spad{r}} reduced \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{b}} viewed as univariate polynomials in the variable \\axiom{\\spad{v}} such that \\axiom{\\spad{b}} divides \\axiom{init(\\spad{b})^e a - \\spad{r}} where \\axiom{\\spad{e}} is the number of steps of this pseudo-division.") (($ $ $) "\\axiom{lazyPrem(a,{}\\spad{b})} returns the polynomial \\axiom{\\spad{r}} reduced \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{b}} and such that \\axiom{\\spad{b}} divides \\axiom{init(\\spad{b})^e a - \\spad{r}} where \\axiom{\\spad{e}} is the number of steps of this pseudo-division.")) (|pquo| (($ $ $ |#3|) "\\axiom{pquo(a,{}\\spad{b},{}\\spad{v})} computes the pseudo-quotient of \\axiom{a} by \\axiom{\\spad{b}},{} both viewed as univariate polynomials in \\axiom{\\spad{v}}.") (($ $ $) "\\axiom{pquo(a,{}\\spad{b})} computes the pseudo-quotient of \\axiom{a} by \\axiom{\\spad{b}},{} both viewed as univariate polynomials in the main variable of \\axiom{\\spad{b}}.")) (|prem| (($ $ $ |#3|) "\\axiom{prem(a,{}\\spad{b},{}\\spad{v})} computes the pseudo-remainder of \\axiom{a} by \\axiom{\\spad{b}},{} both viewed as univariate polynomials in \\axiom{\\spad{v}}.") (($ $ $) "\\axiom{prem(a,{}\\spad{b})} computes the pseudo-remainder of \\axiom{a} by \\axiom{\\spad{b}},{} both viewed as univariate polynomials in the main variable of \\axiom{\\spad{b}}.")) (|normalized?| (((|Boolean|) $ (|List| $)) "\\axiom{normalized?(\\spad{q},{}\\spad{lp})} returns \\spad{true} iff \\axiom{normalized?(\\spad{q},{}\\spad{p})} holds for every \\axiom{\\spad{p}} in \\axiom{\\spad{lp}}.") (((|Boolean|) $ $) "\\axiom{normalized?(a,{}\\spad{b})} returns \\spad{true} iff \\axiom{a} and its iterated initials have degree zero \\spad{w}.\\spad{r}.\\spad{t}. the main variable of \\axiom{\\spad{b}}")) (|initiallyReduced?| (((|Boolean|) $ (|List| $)) "\\axiom{initiallyReduced?(\\spad{q},{}\\spad{lp})} returns \\spad{true} iff \\axiom{initiallyReduced?(\\spad{q},{}\\spad{p})} holds for every \\axiom{\\spad{p}} in \\axiom{\\spad{lp}}.") (((|Boolean|) $ $) "\\axiom{initiallyReduced?(a,{}\\spad{b})} returns \\spad{false} iff there exists an iterated initial of \\axiom{a} which is not reduced \\spad{w}.\\spad{r}.\\spad{t} \\axiom{\\spad{b}}.")) (|headReduced?| (((|Boolean|) $ (|List| $)) "\\axiom{headReduced?(\\spad{q},{}\\spad{lp})} returns \\spad{true} iff \\axiom{headReduced?(\\spad{q},{}\\spad{p})} holds for every \\axiom{\\spad{p}} in \\axiom{\\spad{lp}}.") (((|Boolean|) $ $) "\\axiom{headReduced?(a,{}\\spad{b})} returns \\spad{true} iff \\axiom{degree(head(a),{}mvar(\\spad{b})) < mdeg(\\spad{b})}.")) (|reduced?| (((|Boolean|) $ (|List| $)) "\\axiom{reduced?(\\spad{q},{}\\spad{lp})} returns \\spad{true} iff \\axiom{reduced?(\\spad{q},{}\\spad{p})} holds for every \\axiom{\\spad{p}} in \\axiom{\\spad{lp}}.") (((|Boolean|) $ $) "\\axiom{reduced?(a,{}\\spad{b})} returns \\spad{true} iff \\axiom{degree(a,{}mvar(\\spad{b})) < mdeg(\\spad{b})}.")) (|supRittWu?| (((|Boolean|) $ $) "\\axiom{supRittWu?(a,{}\\spad{b})} returns \\spad{true} if \\axiom{a} is greater than \\axiom{\\spad{b}} \\spad{w}.\\spad{r}.\\spad{t}. the Ritt and Wu Wen Tsun ordering using the refinement of Lazard.")) (|infRittWu?| (((|Boolean|) $ $) "\\axiom{infRittWu?(a,{}\\spad{b})} returns \\spad{true} if \\axiom{a} is less than \\axiom{\\spad{b}} \\spad{w}.\\spad{r}.\\spad{t}. the Ritt and Wu Wen Tsun ordering using the refinement of Lazard.")) (|RittWuCompare| (((|Union| (|Boolean|) "failed") $ $) "\\axiom{RittWuCompare(a,{}\\spad{b})} returns \\axiom{\"failed\"} if \\axiom{a} and \\axiom{\\spad{b}} have same rank \\spad{w}.\\spad{r}.\\spad{t}. Ritt and Wu Wen Tsun ordering using the refinement of Lazard,{} otherwise returns \\axiom{infRittWu?(a,{}\\spad{b})}.")) (|mainMonomials| (((|List| $) $) "\\axiom{mainMonomials(\\spad{p})} returns an error if \\axiom{\\spad{p}} is \\axiom{\\spad{O}},{} otherwise,{} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}} returns [1],{} otherwise returns the list of the monomials of \\axiom{\\spad{p}},{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial in its main variable.")) (|mainCoefficients| (((|List| $) $) "\\axiom{mainCoefficients(\\spad{p})} returns an error if \\axiom{\\spad{p}} is \\axiom{\\spad{O}},{} otherwise,{} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}} returns [\\spad{p}],{} otherwise returns the list of the coefficients of \\axiom{\\spad{p}},{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial in its main variable.")) (|leastMonomial| (($ $) "\\axiom{leastMonomial(\\spad{p})} returns an error if \\axiom{\\spad{p}} is \\axiom{\\spad{O}},{} otherwise,{} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}} returns \\axiom{1},{} otherwise,{} the monomial of \\axiom{\\spad{p}} with lowest degree,{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial in its main variable.")) (|mainMonomial| (($ $) "\\axiom{mainMonomial(\\spad{p})} returns an error if \\axiom{\\spad{p}} is \\axiom{\\spad{O}},{} otherwise,{} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}} returns \\axiom{1},{} otherwise,{} \\axiom{mvar(\\spad{p})} raised to the power \\axiom{mdeg(\\spad{p})}.")) (|quasiMonic?| (((|Boolean|) $) "\\axiom{quasiMonic?(\\spad{p})} returns \\spad{false} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns \\spad{true} iff the initial of \\axiom{\\spad{p}} lies in the base ring \\axiom{\\spad{R}}.")) (|monic?| (((|Boolean|) $) "\\axiom{monic?(\\spad{p})} returns \\spad{false} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns \\spad{true} iff \\axiom{\\spad{p}} is monic as a univariate polynomial in its main variable.")) (|reductum| (($ $ |#3|) "\\axiom{reductum(\\spad{p},{}\\spad{v})} returns the reductum of \\axiom{\\spad{p}},{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial in \\axiom{\\spad{v}}.")) (|leadingCoefficient| (($ $ |#3|) "\\axiom{leadingCoefficient(\\spad{p},{}\\spad{v})} returns the leading coefficient of \\axiom{\\spad{p}},{} where \\axiom{\\spad{p}} is viewed as A univariate polynomial in \\axiom{\\spad{v}}.")) (|deepestInitial| (($ $) "\\axiom{deepestInitial(\\spad{p})} returns an error if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns the last term of \\axiom{iteratedInitials(\\spad{p})}.")) (|iteratedInitials| (((|List| $) $) "\\axiom{iteratedInitials(\\spad{p})} returns \\axiom{[]} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns the list of the iterated initials of \\axiom{\\spad{p}}.")) (|deepestTail| (($ $) "\\axiom{deepestTail(\\spad{p})} returns \\axiom{0} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns tail(\\spad{p}),{} if \\axiom{tail(\\spad{p})} belongs to \\axiom{\\spad{R}} or \\axiom{mvar(tail(\\spad{p})) < mvar(\\spad{p})},{} otherwise returns \\axiom{deepestTail(tail(\\spad{p}))}.")) (|tail| (($ $) "\\axiom{tail(\\spad{p})} returns its reductum,{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial in its main variable.")) (|head| (($ $) "\\axiom{head(\\spad{p})} returns \\axiom{\\spad{p}} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns its leading term (monomial in the AXIOM sense),{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial \\indented{1}{in its main variable.}")) (|init| (($ $) "\\axiom{init(\\spad{p})} returns an error if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns its leading coefficient,{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial in its main variable.")) (|mdeg| (((|NonNegativeInteger|) $) "\\axiom{mdeg(\\spad{p})} returns an error if \\axiom{\\spad{p}} is \\axiom{0},{} otherwise,{} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}} returns \\axiom{0},{} otherwise,{} returns the degree of \\axiom{\\spad{p}} in its main variable.")) (|mvar| ((|#3| $) "\\axiom{mvar(\\spad{p})} returns an error if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns its main variable \\spad{w}. \\spad{r}. \\spad{t}. to the total ordering on the elements in \\axiom{\\spad{V}}."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4519 |has| |#1| (-6 -4519)) (-4516 . T) (-4515 . T) (-4518 . T)) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
 NIL 
-(-1062 S |TheField| |ThePols|) 
+(-1063 S |TheField| |ThePols|) 
 ((|constructor| (NIL "\\axiomType{RealRootCharacterizationCategory} provides common acces functions for all real root codings.")) (|relativeApprox| ((|#2| |#3| $ |#2|) "\\axiom{approximate(term,{}root,{}prec)} gives an approximation of \\axiom{term} over \\axiom{root} with precision \\axiom{prec}")) (|approximate| ((|#2| |#3| $ |#2|) "\\axiom{approximate(term,{}root,{}prec)} gives an approximation of \\axiom{term} over \\axiom{root} with precision \\axiom{prec}")) (|rootOf| (((|Union| $ "failed") |#3| (|PositiveInteger|)) "\\axiom{rootOf(pol,{}\\spad{n})} gives the \\spad{n}th root for the order of the Real Closure")) (|allRootsOf| (((|List| $) |#3|) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} in the Real Closure,{} assumed in order.")) (|definingPolynomial| ((|#3| $) "\\axiom{definingPolynomial(aRoot)} gives a polynomial such that \\axiom{definingPolynomial(aRoot).aRoot = 0}")) (|recip| (((|Union| |#3| "failed") |#3| $) "\\axiom{recip(pol,{}aRoot)} tries to inverse \\axiom{pol} interpreted as \\axiom{aRoot}")) (|positive?| (((|Boolean|) |#3| $) "\\axiom{positive?(pol,{}aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is positive")) (|negative?| (((|Boolean|) |#3| $) "\\axiom{negative?(pol,{}aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is negative")) (|zero?| (((|Boolean|) |#3| $) "\\axiom{zero?(pol,{}aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is \\axiom{0}")) (|sign| (((|Integer|) |#3| $) "\\axiom{sign(pol,{}aRoot)} gives the sign of \\axiom{pol} interpreted as \\axiom{aRoot}"))) 
 NIL 
 NIL 
-(-1063 |TheField| |ThePols|) 
+(-1064 |TheField| |ThePols|) 
 ((|constructor| (NIL "\\axiomType{RealRootCharacterizationCategory} provides common acces functions for all real root codings.")) (|relativeApprox| ((|#1| |#2| $ |#1|) "\\axiom{approximate(term,{}root,{}prec)} gives an approximation of \\axiom{term} over \\axiom{root} with precision \\axiom{prec}")) (|approximate| ((|#1| |#2| $ |#1|) "\\axiom{approximate(term,{}root,{}prec)} gives an approximation of \\axiom{term} over \\axiom{root} with precision \\axiom{prec}")) (|rootOf| (((|Union| $ "failed") |#2| (|PositiveInteger|)) "\\axiom{rootOf(pol,{}\\spad{n})} gives the \\spad{n}th root for the order of the Real Closure")) (|allRootsOf| (((|List| $) |#2|) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} in the Real Closure,{} assumed in order.")) (|definingPolynomial| ((|#2| $) "\\axiom{definingPolynomial(aRoot)} gives a polynomial such that \\axiom{definingPolynomial(aRoot).aRoot = 0}")) (|recip| (((|Union| |#2| "failed") |#2| $) "\\axiom{recip(pol,{}aRoot)} tries to inverse \\axiom{pol} interpreted as \\axiom{aRoot}")) (|positive?| (((|Boolean|) |#2| $) "\\axiom{positive?(pol,{}aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is positive")) (|negative?| (((|Boolean|) |#2| $) "\\axiom{negative?(pol,{}aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is negative")) (|zero?| (((|Boolean|) |#2| $) "\\axiom{zero?(pol,{}aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is \\axiom{0}")) (|sign| (((|Integer|) |#2| $) "\\axiom{sign(pol,{}aRoot)} gives the sign of \\axiom{pol} interpreted as \\axiom{aRoot}"))) 
 NIL 
 NIL 
-(-1064 R E V P TS) 
+(-1065 R E V P TS) 
 ((|constructor| (NIL "A package providing a new algorithm for solving polynomial systems by means of regular chains. Two ways of solving are proposed: in the sense of Zariski closure (like in Kalkbrener\\spad{'s} algorithm) or in the sense of the regular zeros (like in Wu,{} Wang or Lazard methods). This algorithm is valid for nay type of regular set. It does not care about the way a polynomial is added in an regular set,{} or how two quasi-components are compared (by an inclusion-test),{} or how the invertibility test is made in the tower of simple extensions associated with a regular set. These operations are realized respectively by the domain \\spad{TS} and the packages \\axiomType{QCMPACK}(\\spad{R},{}\\spad{E},{}\\spad{V},{}\\spad{P},{}\\spad{TS}) and \\axiomType{RSETGCD}(\\spad{R},{}\\spad{E},{}\\spad{V},{}\\spad{P},{}\\spad{TS}). The same way it does not care about the way univariate polynomial \\spad{gcd} (with coefficients in the tower of simple extensions associated with a regular set) are computed. The only requirement is that these \\spad{gcd} need to have invertible initials (normalized or not). WARNING. There is no need for a user to call diectly any operation of this package since they can be accessed by the domain \\axiom{\\spad{TS}}. Thus,{} the operations of this package are not documented."))) 
 NIL 
 NIL 
-(-1065 S R E V P) 
+(-1066 S R E V P) 
 ((|constructor| (NIL "The category of regular triangular sets,{} introduced under the name regular chains in [1] (and other papers). In [3] it is proved that regular triangular sets and towers of simple extensions of a field are equivalent notions. In the following definitions,{} all polynomials and ideals are taken from the polynomial ring \\spad{k[x1,{}...,{}xn]} where \\spad{k} is the fraction field of \\spad{R}. The triangular set \\spad{[t1,{}...,{}tm]} is regular iff for every \\spad{i} the initial of \\spad{ti+1} is invertible in the tower of simple extensions associated with \\spad{[t1,{}...,{}\\spad{ti}]}. A family \\spad{[T1,{}...,{}Ts]} of regular triangular sets is a split of Kalkbrener of a given ideal \\spad{I} iff the radical of \\spad{I} is equal to the intersection of the radical ideals generated by the saturated ideals of the \\spad{[T1,{}...,{}\\spad{Ti}]}. A family \\spad{[T1,{}...,{}Ts]} of regular triangular sets is a split of Kalkbrener of a given triangular set \\spad{T} iff it is a split of Kalkbrener of the saturated ideal of \\spad{T}. Let \\spad{K} be an algebraic closure of \\spad{k}. Assume that \\spad{V} is finite with cardinality \\spad{n} and let \\spad{A} be the affine space \\spad{K^n}. For a regular triangular set \\spad{T} let denote by \\spad{W(T)} the set of regular zeros of \\spad{T}. A family \\spad{[T1,{}...,{}Ts]} of regular triangular sets is a split of Lazard of a given subset \\spad{S} of \\spad{A} iff the union of the \\spad{W(\\spad{Ti})} contains \\spad{S} and is contained in the closure of \\spad{S} (\\spad{w}.\\spad{r}.\\spad{t}. Zariski topology). A family \\spad{[T1,{}...,{}Ts]} of regular triangular sets is a split of Lazard of a given triangular set \\spad{T} if it is a split of Lazard of \\spad{W(T)}. Note that if \\spad{[T1,{}...,{}Ts]} is a split of Lazard of \\spad{T} then it is also a split of Kalkbrener of \\spad{T}. The converse is \\spad{false}. This category provides operations related to both kinds of splits,{} the former being related to ideals decomposition whereas the latter deals with varieties decomposition. See the example illustrating the RegularTriangularSet constructor for more explanations about decompositions by means of regular triangular sets.")) (|zeroSetSplit| (((|List| $) (|List| |#5|) (|Boolean|)) "\\spad{zeroSetSplit(lp,{}clos?)} returns \\spad{lts} a split of Kalkbrener of the radical ideal associated with \\spad{lp}. If \\spad{clos?} is \\spad{false},{} it is also a decomposition of the variety associated with \\spad{lp} into the regular zero set of the \\spad{ts} in \\spad{lts} (or,{} in other words,{} a split of Lazard of this variety). See the example illustrating the \\spadtype{RegularTriangularSet} constructor for more explanations about decompositions by means of regular triangular sets.")) (|extend| (((|List| $) (|List| |#5|) (|List| $)) "\\spad{extend(lp,{}lts)} returns the same as \\spad{concat([extend(lp,{}ts) for ts in lts])|}") (((|List| $) (|List| |#5|) $) "\\spad{extend(lp,{}ts)} returns \\spad{ts} if \\spad{empty? lp} \\spad{extend(p,{}ts)} if \\spad{lp = [p]} else \\spad{extend(first lp,{} extend(rest lp,{} ts))}") (((|List| $) |#5| (|List| $)) "\\spad{extend(p,{}lts)} returns the same as \\spad{concat([extend(p,{}ts) for ts in lts])|}") (((|List| $) |#5| $) "\\spad{extend(p,{}ts)} assumes that \\spad{p} is a non-constant polynomial whose main variable is greater than any variable of \\spad{ts}. Then it returns a split of Kalkbrener of \\spad{ts+p}. This may not be \\spad{ts+p} itself,{} if for instance \\spad{ts+p} is not a regular triangular set.")) (|internalAugment| (($ (|List| |#5|) $) "\\spad{internalAugment(lp,{}ts)} returns \\spad{ts} if \\spad{lp} is empty otherwise returns \\spad{internalAugment(rest lp,{} internalAugment(first lp,{} ts))}") (($ |#5| $) "\\spad{internalAugment(p,{}ts)} assumes that \\spad{augment(p,{}ts)} returns a singleton and returns it.")) (|augment| (((|List| $) (|List| |#5|) (|List| $)) "\\spad{augment(lp,{}lts)} returns the same as \\spad{concat([augment(lp,{}ts) for ts in lts])}") (((|List| $) (|List| |#5|) $) "\\spad{augment(lp,{}ts)} returns \\spad{ts} if \\spad{empty? lp},{} \\spad{augment(p,{}ts)} if \\spad{lp = [p]},{} otherwise \\spad{augment(first lp,{} augment(rest lp,{} ts))}") (((|List| $) |#5| (|List| $)) "\\spad{augment(p,{}lts)} returns the same as \\spad{concat([augment(p,{}ts) for ts in lts])}") (((|List| $) |#5| $) "\\spad{augment(p,{}ts)} assumes that \\spad{p} is a non-constant polynomial whose main variable is greater than any variable of \\spad{ts}. This operation assumes also that if \\spad{p} is added to \\spad{ts} the resulting set,{} say \\spad{ts+p},{} is a regular triangular set. Then it returns a split of Kalkbrener of \\spad{ts+p}. This may not be \\spad{ts+p} itself,{} if for instance \\spad{ts+p} is required to be square-free.")) (|intersect| (((|List| $) |#5| (|List| $)) "\\spad{intersect(p,{}lts)} returns the same as \\spad{intersect([p],{}lts)}") (((|List| $) (|List| |#5|) (|List| $)) "\\spad{intersect(lp,{}lts)} returns the same as \\spad{concat([intersect(lp,{}ts) for ts in lts])|}") (((|List| $) (|List| |#5|) $) "\\spad{intersect(lp,{}ts)} returns \\spad{lts} a split of Lazard of the intersection of the affine variety associated with \\spad{lp} and the regular zero set of \\spad{ts}.") (((|List| $) |#5| $) "\\spad{intersect(p,{}ts)} returns the same as \\spad{intersect([p],{}ts)}")) (|squareFreePart| (((|List| (|Record| (|:| |val| |#5|) (|:| |tower| $))) |#5| $) "\\spad{squareFreePart(p,{}ts)} returns \\spad{lpwt} such that \\spad{lpwt.i.val} is a square-free polynomial \\spad{w}.\\spad{r}.\\spad{t}. \\spad{lpwt.i.tower},{} this polynomial being associated with \\spad{p} modulo \\spad{lpwt.i.tower},{} for every \\spad{i}. Moreover,{} the list of the \\spad{lpwt.i.tower} is a split of Kalkbrener of \\spad{ts}. WARNING: This assumes that \\spad{p} is a non-constant polynomial such that if \\spad{p} is added to \\spad{ts},{} then the resulting set is a regular triangular set.")) (|lastSubResultant| (((|List| (|Record| (|:| |val| |#5|) (|:| |tower| $))) |#5| |#5| $) "\\spad{lastSubResultant(p1,{}p2,{}ts)} returns \\spad{lpwt} such that \\spad{lpwt.i.val} is a quasi-monic \\spad{gcd} of \\spad{p1} and \\spad{p2} \\spad{w}.\\spad{r}.\\spad{t}. \\spad{lpwt.i.tower},{} for every \\spad{i},{} and such that the list of the \\spad{lpwt.i.tower} is a split of Kalkbrener of \\spad{ts}. Moreover,{} if \\spad{p1} and \\spad{p2} do not have a non-trivial \\spad{gcd} \\spad{w}.\\spad{r}.\\spad{t}. \\spad{lpwt.i.tower} then \\spad{lpwt.i.val} is the resultant of these polynomials \\spad{w}.\\spad{r}.\\spad{t}. \\spad{lpwt.i.tower}. This assumes that \\spad{p1} and \\spad{p2} have the same main variable and that this variable is greater that any variable occurring in \\spad{ts}.")) (|lastSubResultantElseSplit| (((|Union| |#5| (|List| $)) |#5| |#5| $) "\\spad{lastSubResultantElseSplit(p1,{}p2,{}ts)} returns either \\spad{g} a quasi-monic \\spad{gcd} of \\spad{p1} and \\spad{p2} \\spad{w}.\\spad{r}.\\spad{t}. the \\spad{ts} or a split of Kalkbrener of \\spad{ts}. This assumes that \\spad{p1} and \\spad{p2} have the same maim variable and that this variable is greater that any variable occurring in \\spad{ts}.")) (|invertibleSet| (((|List| $) |#5| $) "\\spad{invertibleSet(p,{}ts)} returns a split of Kalkbrener of the quotient ideal of the ideal \\axiom{\\spad{I}} by \\spad{p} where \\spad{I} is the radical of saturated of \\spad{ts}.")) (|invertible?| (((|Boolean|) |#5| $) "\\spad{invertible?(p,{}ts)} returns \\spad{true} iff \\spad{p} is invertible in the tower associated with \\spad{ts}.") (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| $))) |#5| $) "\\spad{invertible?(p,{}ts)} returns \\spad{lbwt} where \\spad{lbwt.i} is the result of \\spad{invertibleElseSplit?(p,{}lbwt.i.tower)} and the list of the \\spad{(lqrwt.i).tower} is a split of Kalkbrener of \\spad{ts}.")) (|invertibleElseSplit?| (((|Union| (|Boolean|) (|List| $)) |#5| $) "\\spad{invertibleElseSplit?(p,{}ts)} returns \\spad{true} (resp. \\spad{false}) if \\spad{p} is invertible in the tower associated with \\spad{ts} or returns a split of Kalkbrener of \\spad{ts}.")) (|purelyAlgebraicLeadingMonomial?| (((|Boolean|) |#5| $) "\\spad{purelyAlgebraicLeadingMonomial?(p,{}ts)} returns \\spad{true} iff the main variable of any non-constant iterarted initial of \\spad{p} is algebraic \\spad{w}.\\spad{r}.\\spad{t}. \\spad{ts}.")) (|algebraicCoefficients?| (((|Boolean|) |#5| $) "\\spad{algebraicCoefficients?(p,{}ts)} returns \\spad{true} iff every variable of \\spad{p} which is not the main one of \\spad{p} is algebraic \\spad{w}.\\spad{r}.\\spad{t}. \\spad{ts}.")) (|purelyTranscendental?| (((|Boolean|) |#5| $) "\\spad{purelyTranscendental?(p,{}ts)} returns \\spad{true} iff every variable of \\spad{p} is not algebraic \\spad{w}.\\spad{r}.\\spad{t}. \\spad{ts}")) (|purelyAlgebraic?| (((|Boolean|) $) "\\spad{purelyAlgebraic?(ts)} returns \\spad{true} iff for every algebraic variable \\spad{v} of \\spad{ts} we have \\spad{algebraicCoefficients?(t_v,{}ts_v_-)} where \\spad{ts_v} is select from TriangularSetCategory(\\spad{ts},{}\\spad{v}) and \\spad{ts_v_-} is collectUnder from TriangularSetCategory(\\spad{ts},{}\\spad{v}).") (((|Boolean|) |#5| $) "\\spad{purelyAlgebraic?(p,{}ts)} returns \\spad{true} iff every variable of \\spad{p} is algebraic \\spad{w}.\\spad{r}.\\spad{t}. \\spad{ts}."))) 
 NIL 
 NIL 
-(-1066 R E V P) 
+(-1067 R E V P) 
 ((|constructor| (NIL "The category of regular triangular sets,{} introduced under the name regular chains in [1] (and other papers). In [3] it is proved that regular triangular sets and towers of simple extensions of a field are equivalent notions. In the following definitions,{} all polynomials and ideals are taken from the polynomial ring \\spad{k[x1,{}...,{}xn]} where \\spad{k} is the fraction field of \\spad{R}. The triangular set \\spad{[t1,{}...,{}tm]} is regular iff for every \\spad{i} the initial of \\spad{ti+1} is invertible in the tower of simple extensions associated with \\spad{[t1,{}...,{}\\spad{ti}]}. A family \\spad{[T1,{}...,{}Ts]} of regular triangular sets is a split of Kalkbrener of a given ideal \\spad{I} iff the radical of \\spad{I} is equal to the intersection of the radical ideals generated by the saturated ideals of the \\spad{[T1,{}...,{}\\spad{Ti}]}. A family \\spad{[T1,{}...,{}Ts]} of regular triangular sets is a split of Kalkbrener of a given triangular set \\spad{T} iff it is a split of Kalkbrener of the saturated ideal of \\spad{T}. Let \\spad{K} be an algebraic closure of \\spad{k}. Assume that \\spad{V} is finite with cardinality \\spad{n} and let \\spad{A} be the affine space \\spad{K^n}. For a regular triangular set \\spad{T} let denote by \\spad{W(T)} the set of regular zeros of \\spad{T}. A family \\spad{[T1,{}...,{}Ts]} of regular triangular sets is a split of Lazard of a given subset \\spad{S} of \\spad{A} iff the union of the \\spad{W(\\spad{Ti})} contains \\spad{S} and is contained in the closure of \\spad{S} (\\spad{w}.\\spad{r}.\\spad{t}. Zariski topology). A family \\spad{[T1,{}...,{}Ts]} of regular triangular sets is a split of Lazard of a given triangular set \\spad{T} if it is a split of Lazard of \\spad{W(T)}. Note that if \\spad{[T1,{}...,{}Ts]} is a split of Lazard of \\spad{T} then it is also a split of Kalkbrener of \\spad{T}. The converse is \\spad{false}. This category provides operations related to both kinds of splits,{} the former being related to ideals decomposition whereas the latter deals with varieties decomposition. See the example illustrating the RegularTriangularSet constructor for more explanations about decompositions by means of regular triangular sets.")) (|zeroSetSplit| (((|List| $) (|List| |#4|) (|Boolean|)) "\\spad{zeroSetSplit(lp,{}clos?)} returns \\spad{lts} a split of Kalkbrener of the radical ideal associated with \\spad{lp}. If \\spad{clos?} is \\spad{false},{} it is also a decomposition of the variety associated with \\spad{lp} into the regular zero set of the \\spad{ts} in \\spad{lts} (or,{} in other words,{} a split of Lazard of this variety). See the example illustrating the \\spadtype{RegularTriangularSet} constructor for more explanations about decompositions by means of regular triangular sets.")) (|extend| (((|List| $) (|List| |#4|) (|List| $)) "\\spad{extend(lp,{}lts)} returns the same as \\spad{concat([extend(lp,{}ts) for ts in lts])|}") (((|List| $) (|List| |#4|) $) "\\spad{extend(lp,{}ts)} returns \\spad{ts} if \\spad{empty? lp} \\spad{extend(p,{}ts)} if \\spad{lp = [p]} else \\spad{extend(first lp,{} extend(rest lp,{} ts))}") (((|List| $) |#4| (|List| $)) "\\spad{extend(p,{}lts)} returns the same as \\spad{concat([extend(p,{}ts) for ts in lts])|}") (((|List| $) |#4| $) "\\spad{extend(p,{}ts)} assumes that \\spad{p} is a non-constant polynomial whose main variable is greater than any variable of \\spad{ts}. Then it returns a split of Kalkbrener of \\spad{ts+p}. This may not be \\spad{ts+p} itself,{} if for instance \\spad{ts+p} is not a regular triangular set.")) (|internalAugment| (($ (|List| |#4|) $) "\\spad{internalAugment(lp,{}ts)} returns \\spad{ts} if \\spad{lp} is empty otherwise returns \\spad{internalAugment(rest lp,{} internalAugment(first lp,{} ts))}") (($ |#4| $) "\\spad{internalAugment(p,{}ts)} assumes that \\spad{augment(p,{}ts)} returns a singleton and returns it.")) (|augment| (((|List| $) (|List| |#4|) (|List| $)) "\\spad{augment(lp,{}lts)} returns the same as \\spad{concat([augment(lp,{}ts) for ts in lts])}") (((|List| $) (|List| |#4|) $) "\\spad{augment(lp,{}ts)} returns \\spad{ts} if \\spad{empty? lp},{} \\spad{augment(p,{}ts)} if \\spad{lp = [p]},{} otherwise \\spad{augment(first lp,{} augment(rest lp,{} ts))}") (((|List| $) |#4| (|List| $)) "\\spad{augment(p,{}lts)} returns the same as \\spad{concat([augment(p,{}ts) for ts in lts])}") (((|List| $) |#4| $) "\\spad{augment(p,{}ts)} assumes that \\spad{p} is a non-constant polynomial whose main variable is greater than any variable of \\spad{ts}. This operation assumes also that if \\spad{p} is added to \\spad{ts} the resulting set,{} say \\spad{ts+p},{} is a regular triangular set. Then it returns a split of Kalkbrener of \\spad{ts+p}. This may not be \\spad{ts+p} itself,{} if for instance \\spad{ts+p} is required to be square-free.")) (|intersect| (((|List| $) |#4| (|List| $)) "\\spad{intersect(p,{}lts)} returns the same as \\spad{intersect([p],{}lts)}") (((|List| $) (|List| |#4|) (|List| $)) "\\spad{intersect(lp,{}lts)} returns the same as \\spad{concat([intersect(lp,{}ts) for ts in lts])|}") (((|List| $) (|List| |#4|) $) "\\spad{intersect(lp,{}ts)} returns \\spad{lts} a split of Lazard of the intersection of the affine variety associated with \\spad{lp} and the regular zero set of \\spad{ts}.") (((|List| $) |#4| $) "\\spad{intersect(p,{}ts)} returns the same as \\spad{intersect([p],{}ts)}")) (|squareFreePart| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| $))) |#4| $) "\\spad{squareFreePart(p,{}ts)} returns \\spad{lpwt} such that \\spad{lpwt.i.val} is a square-free polynomial \\spad{w}.\\spad{r}.\\spad{t}. \\spad{lpwt.i.tower},{} this polynomial being associated with \\spad{p} modulo \\spad{lpwt.i.tower},{} for every \\spad{i}. Moreover,{} the list of the \\spad{lpwt.i.tower} is a split of Kalkbrener of \\spad{ts}. WARNING: This assumes that \\spad{p} is a non-constant polynomial such that if \\spad{p} is added to \\spad{ts},{} then the resulting set is a regular triangular set.")) (|lastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| $))) |#4| |#4| $) "\\spad{lastSubResultant(p1,{}p2,{}ts)} returns \\spad{lpwt} such that \\spad{lpwt.i.val} is a quasi-monic \\spad{gcd} of \\spad{p1} and \\spad{p2} \\spad{w}.\\spad{r}.\\spad{t}. \\spad{lpwt.i.tower},{} for every \\spad{i},{} and such that the list of the \\spad{lpwt.i.tower} is a split of Kalkbrener of \\spad{ts}. Moreover,{} if \\spad{p1} and \\spad{p2} do not have a non-trivial \\spad{gcd} \\spad{w}.\\spad{r}.\\spad{t}. \\spad{lpwt.i.tower} then \\spad{lpwt.i.val} is the resultant of these polynomials \\spad{w}.\\spad{r}.\\spad{t}. \\spad{lpwt.i.tower}. This assumes that \\spad{p1} and \\spad{p2} have the same main variable and that this variable is greater that any variable occurring in \\spad{ts}.")) (|lastSubResultantElseSplit| (((|Union| |#4| (|List| $)) |#4| |#4| $) "\\spad{lastSubResultantElseSplit(p1,{}p2,{}ts)} returns either \\spad{g} a quasi-monic \\spad{gcd} of \\spad{p1} and \\spad{p2} \\spad{w}.\\spad{r}.\\spad{t}. the \\spad{ts} or a split of Kalkbrener of \\spad{ts}. This assumes that \\spad{p1} and \\spad{p2} have the same maim variable and that this variable is greater that any variable occurring in \\spad{ts}.")) (|invertibleSet| (((|List| $) |#4| $) "\\spad{invertibleSet(p,{}ts)} returns a split of Kalkbrener of the quotient ideal of the ideal \\axiom{\\spad{I}} by \\spad{p} where \\spad{I} is the radical of saturated of \\spad{ts}.")) (|invertible?| (((|Boolean|) |#4| $) "\\spad{invertible?(p,{}ts)} returns \\spad{true} iff \\spad{p} is invertible in the tower associated with \\spad{ts}.") (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| $))) |#4| $) "\\spad{invertible?(p,{}ts)} returns \\spad{lbwt} where \\spad{lbwt.i} is the result of \\spad{invertibleElseSplit?(p,{}lbwt.i.tower)} and the list of the \\spad{(lqrwt.i).tower} is a split of Kalkbrener of \\spad{ts}.")) (|invertibleElseSplit?| (((|Union| (|Boolean|) (|List| $)) |#4| $) "\\spad{invertibleElseSplit?(p,{}ts)} returns \\spad{true} (resp. \\spad{false}) if \\spad{p} is invertible in the tower associated with \\spad{ts} or returns a split of Kalkbrener of \\spad{ts}.")) (|purelyAlgebraicLeadingMonomial?| (((|Boolean|) |#4| $) "\\spad{purelyAlgebraicLeadingMonomial?(p,{}ts)} returns \\spad{true} iff the main variable of any non-constant iterarted initial of \\spad{p} is algebraic \\spad{w}.\\spad{r}.\\spad{t}. \\spad{ts}.")) (|algebraicCoefficients?| (((|Boolean|) |#4| $) "\\spad{algebraicCoefficients?(p,{}ts)} returns \\spad{true} iff every variable of \\spad{p} which is not the main one of \\spad{p} is algebraic \\spad{w}.\\spad{r}.\\spad{t}. \\spad{ts}.")) (|purelyTranscendental?| (((|Boolean|) |#4| $) "\\spad{purelyTranscendental?(p,{}ts)} returns \\spad{true} iff every variable of \\spad{p} is not algebraic \\spad{w}.\\spad{r}.\\spad{t}. \\spad{ts}")) (|purelyAlgebraic?| (((|Boolean|) $) "\\spad{purelyAlgebraic?(ts)} returns \\spad{true} iff for every algebraic variable \\spad{v} of \\spad{ts} we have \\spad{algebraicCoefficients?(t_v,{}ts_v_-)} where \\spad{ts_v} is select from TriangularSetCategory(\\spad{ts},{}\\spad{v}) and \\spad{ts_v_-} is collectUnder from TriangularSetCategory(\\spad{ts},{}\\spad{v}).") (((|Boolean|) |#4| $) "\\spad{purelyAlgebraic?(p,{}ts)} returns \\spad{true} iff every variable of \\spad{p} is algebraic \\spad{w}.\\spad{r}.\\spad{t}. \\spad{ts}."))) 
-((-4522 . T) (-4521 . T) (-3973 . T)) 
+((-4536 . T) (-4535 . T) (-2982 . T)) 
 NIL 
-(-1067 R E V P TS) 
+(-1068 R E V P TS) 
 ((|constructor| (NIL "An internal package for computing gcds and resultants of univariate polynomials with coefficients in a tower of simple extensions of a field.")) (|toseSquareFreePart| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#5|) "\\axiom{toseSquareFreePart(\\spad{p},{}\\spad{ts})} has the same specifications as squareFreePart from RegularTriangularSetCategory.")) (|toseInvertibleSet| (((|List| |#5|) |#4| |#5|) "\\axiom{toseInvertibleSet(\\spad{p1},{}\\spad{p2},{}\\spad{ts})} has the same specifications as invertibleSet from RegularTriangularSetCategory.")) (|toseInvertible?| (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| |#5|))) |#4| |#5|) "\\axiom{toseInvertible?(\\spad{p1},{}\\spad{p2},{}\\spad{ts})} has the same specifications as invertible? from RegularTriangularSetCategory.") (((|Boolean|) |#4| |#5|) "\\axiom{toseInvertible?(\\spad{p1},{}\\spad{p2},{}\\spad{ts})} has the same specifications as invertible? from RegularTriangularSetCategory.")) (|toseLastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5|) "\\axiom{toseLastSubResultant(\\spad{p1},{}\\spad{p2},{}\\spad{ts})} has the same specifications as lastSubResultant from RegularTriangularSetCategory.")) (|integralLastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5|) "\\axiom{integralLastSubResultant(\\spad{p1},{}\\spad{p2},{}\\spad{ts})} is an internal subroutine,{} exported only for developement.")) (|internalLastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) |#3| (|Boolean|)) "\\axiom{internalLastSubResultant(lpwt,{}\\spad{v},{}flag)} is an internal subroutine,{} exported only for developement.") (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5| (|Boolean|) (|Boolean|)) "\\axiom{internalLastSubResultant(\\spad{p1},{}\\spad{p2},{}\\spad{ts},{}inv?,{}break?)} is an internal subroutine,{} exported only for developement.")) (|prepareSubResAlgo| (((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) |#4| |#4| |#5|) "\\axiom{prepareSubResAlgo(\\spad{p1},{}\\spad{p2},{}\\spad{ts})} is an internal subroutine,{} exported only for developement.")) (|stopTableInvSet!| (((|Void|)) "\\axiom{stopTableInvSet!()} is an internal subroutine,{} exported only for developement.")) (|startTableInvSet!| (((|Void|) (|String|) (|String|) (|String|)) "\\axiom{startTableInvSet!(\\spad{s1},{}\\spad{s2},{}\\spad{s3})} is an internal subroutine,{} exported only for developement.")) (|stopTableGcd!| (((|Void|)) "\\axiom{stopTableGcd!()} is an internal subroutine,{} exported only for developement.")) (|startTableGcd!| (((|Void|) (|String|) (|String|) (|String|)) "\\axiom{startTableGcd!(\\spad{s1},{}\\spad{s2},{}\\spad{s3})} is an internal subroutine,{} exported only for developement."))) 
 NIL 
 NIL 
-(-1068 |f|) 
+(-1069 |f|) 
 ((|constructor| (NIL "This domain implements named rules")) (|name| (((|Symbol|) $) "\\spad{name(x)} returns the symbol"))) 
 NIL 
 NIL 
-(-1069 |Base| R -1478) 
-((|constructor| (NIL "Rules for the pattern matcher")) (|quotedOperators| (((|List| (|Symbol|)) $) "\\spad{quotedOperators(r)} returns the list of operators on the right hand side of \\spad{r} that are considered quoted,{} that is they are not evaluated during any rewrite,{} but just applied formally to their arguments.")) (|elt| ((|#3| $ |#3| (|PositiveInteger|)) "\\spad{elt(r,{}f,{}n)} or \\spad{r}(\\spad{f},{} \\spad{n}) applies the rule \\spad{r} to \\spad{f} at most \\spad{n} times.")) (|rhs| ((|#3| $) "\\spad{rhs(r)} returns the right hand side of the rule \\spad{r}.")) (|lhs| ((|#3| $) "\\spad{lhs(r)} returns the left hand side of the rule \\spad{r}.")) (|pattern| (((|Pattern| |#1|) $) "\\spad{pattern(r)} returns the pattern corresponding to the left hand side of the rule \\spad{r}.")) (|suchThat| (($ $ (|List| (|Symbol|)) (|Mapping| (|Boolean|) (|List| |#3|))) "\\spad{suchThat(r,{} [a1,{}...,{}an],{} f)} returns the rewrite rule \\spad{r} with the predicate \\spad{f(a1,{}...,{}an)} attached to it.")) (|rule| (($ |#3| |#3| (|List| (|Symbol|))) "\\spad{rule(f,{} g,{} [f1,{}...,{}fn])} creates the rewrite rule \\spad{f == eval(eval(g,{} g is f),{} [f1,{}...,{}fn])},{} that is a rule with left-hand side \\spad{f} and right-hand side \\spad{g}; The symbols \\spad{f1},{}...,{}\\spad{fn} are the operators that are considered quoted,{} that is they are not evaluated during any rewrite,{} but just applied formally to their arguments.") (($ |#3| |#3|) "\\spad{rule(f,{} g)} creates the rewrite rule: \\spad{f == eval(g,{} g is f)},{} with left-hand side \\spad{f} and right-hand side \\spad{g}."))) 
+(-1070 |Base| R -1564) 
+((|constructor| (NIL "Rules for the pattern matcher")) (|quotedOperators| (((|List| (|Symbol|)) $) "\\spad{quotedOperators(r)} returns the list of operators on the right hand side of \\spad{r} that are considered quoted,{} that is they are not evaluated during any rewrite,{} but just applied formally to their arguments.")) (|elt| ((|#3| $ |#3| (|PositiveInteger|)) "\\spad{elt(r,{}f,{}n)} or \\spad{r}(\\spad{f},{} \\spad{n}) applies the rule \\spad{r} to \\spad{f} at most \\spad{n} times.")) (|rhs| ((|#3| $) "\\spad{rhs(r)} returns the right hand side of the rule \\spad{r}.")) (|lhs| ((|#3| $) "\\spad{lhs(r)} returns the left hand side of the rule \\spad{r}.")) (|pattern| (((|Pattern| |#1|) $) "\\spad{pattern(r)} returns the pattern corresponding to the left hand side of the rule \\spad{r}.")) (|suchThat| (($ $ (|List| (|Symbol|)) (|Mapping| (|Boolean|) (|List| |#3|))) "\\spad{suchThat(r,{} [a1,{}...,{}an],{} f)} returns the rewrite rule \\spad{r} with the predicate \\spad{f(a1,{}...,{}an)} attached to it.")) (|rule| (($ |#3| |#3| (|List| (|Symbol|))) "\\spad{rule(f,{} g,{} [f1,{}...,{}fn])} creates the rewrite rule \\spad{f == eval(eval(g,{} g is f),{} [f1,{}...,{}fn])},{} that is a rule with left-hand side \\spad{f} and right-hand side \\spad{g}; The symbols \\spad{f1},{}...,{}\\spad{fn} are the operators that are considered quoted,{} that is they are not evaluated during any rewrite,{} but just applied formally to their arguments.") (($ |#3| |#3|) "\\indented{1}{rule(\\spad{f},{} \\spad{g}) creates the rewrite rule: \\spad{f == eval(g,{} g is f)},{}} \\indented{1}{with left-hand side \\spad{f} and right-hand side \\spad{g}.} \\blankline \\spad{X} logrule \\spad{:=} rule log(\\spad{x}) + log(\\spad{y}) \\spad{==} log(x*y) \\spad{X} \\spad{f} \\spad{:=} log(sin(\\spad{x})) + log(\\spad{x}) \\spad{X} logrule \\spad{f}"))) 
 NIL 
 NIL 
-(-1070 |Base| R -1478) 
+(-1071 |Base| R -1564) 
 ((|constructor| (NIL "Sets of rules for the pattern matcher. A ruleset is a set of pattern matching rules grouped together.")) (|elt| ((|#3| $ |#3| (|PositiveInteger|)) "\\spad{elt(r,{}f,{}n)} or \\spad{r}(\\spad{f},{} \\spad{n}) applies all the rules of \\spad{r} to \\spad{f} at most \\spad{n} times.")) (|rules| (((|List| (|RewriteRule| |#1| |#2| |#3|)) $) "\\spad{rules(r)} returns the rules contained in \\spad{r}.")) (|ruleset| (($ (|List| (|RewriteRule| |#1| |#2| |#3|))) "\\spad{ruleset([r1,{}...,{}rn])} creates the rule set \\spad{{r1,{}...,{}rn}}."))) 
 NIL 
 NIL 
-(-1071 R |ls|) 
+(-1072 R |ls|) 
 ((|constructor| (NIL "A package for computing the rational univariate representation of a zero-dimensional algebraic variety given by a regular triangular set. This package is essentially an interface for the \\spadtype{InternalRationalUnivariateRepresentationPackage} constructor. It is used in the \\spadtype{ZeroDimensionalSolvePackage} for solving polynomial systems with finitely many solutions.")) (|rur| (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) "\\spad{rur(lp,{}univ?,{}check?)} returns the same as \\spad{rur(lp,{}true)}. Moreover,{} if \\spad{check?} is \\spad{true} then the result is checked.") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|))) "\\spad{rur(lp)} returns the same as \\spad{rur(lp,{}true)}") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|)) "\\spad{rur(lp,{}univ?)} returns a rational univariate representation of \\spad{lp}. This assumes that \\spad{lp} defines a regular triangular \\spad{ts} whose associated variety is zero-dimensional over \\spad{R}. \\spad{rur(lp,{}univ?)} returns a list of items \\spad{[u,{}lc]} where \\spad{u} is an irreducible univariate polynomial and each \\spad{c} in \\spad{lc} involves two variables: one from \\spad{ls},{} called the coordinate of \\spad{c},{} and an extra variable which represents any root of \\spad{u}. Every root of \\spad{u} leads to a tuple of values for the coordinates of \\spad{lc}. Moreover,{} a point \\spad{x} belongs to the variety associated with \\spad{lp} iff there exists an item \\spad{[u,{}lc]} in \\spad{rur(lp,{}univ?)} and a root \\spad{r} of \\spad{u} such that \\spad{x} is given by the tuple of values for the coordinates of \\spad{lc} evaluated at \\spad{r}. If \\spad{univ?} is \\spad{true} then each polynomial \\spad{c} will have a constant leading coefficient \\spad{w}.\\spad{r}.\\spad{t}. its coordinate. See the example which illustrates the \\spadtype{ZeroDimensionalSolvePackage} package constructor."))) 
 NIL 
 NIL 
-(-1072 UP SAE UPA) 
+(-1073 UP SAE UPA) 
 ((|constructor| (NIL "Factorization of univariate polynomials with coefficients in an algebraic extension of the rational numbers (\\spadtype{Fraction Integer}).")) (|factor| (((|Factored| |#3|) |#3|) "\\spad{factor(p)} returns a prime factorisation of \\spad{p}."))) 
 NIL 
 NIL 
-(-1073 R UP M) 
+(-1074 R UP M) 
 ((|constructor| (NIL "Algebraic extension of a ring by a single polynomial. Domain which represents simple algebraic extensions of arbitrary rings. The first argument to the domain,{} \\spad{R},{} is the underlying ring,{} the second argument is a domain of univariate polynomials over \\spad{K},{} while the last argument specifies the defining minimal polynomial. The elements of the domain are canonically represented as polynomials of degree less than that of the minimal polynomial with coefficients in \\spad{R}. The second argument is both the type of the third argument and the underlying representation used by \\spadtype{SAE} itself."))) 
-((-4514 |has| |#1| (-365)) (-4519 |has| |#1| (-365)) (-4513 |has| |#1| (-365)) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-350))) (|HasCategory| |#1| (QUOTE (-365))) (-2199 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-350)))) (|HasCategory| |#1| (QUOTE (-370))) (|HasCategory| |#1| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#1| (QUOTE (-365)))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#1| (QUOTE (-350))))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| |#1| (QUOTE (-225))) (|HasCategory| |#1| (QUOTE (-365)))) (-2199 (-12 (|HasCategory| |#1| (QUOTE (-225))) (|HasCategory| |#1| (QUOTE (-365)))) (|HasCategory| |#1| (QUOTE (-350))))) 
-(-1074 UP SAE UPA) 
+((-4528 |has| |#1| (-366)) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-351)))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-366)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-351))))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-366)))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-351))))) 
+(-1075 UP SAE UPA) 
 ((|constructor| (NIL "Factorization of univariate polynomials with coefficients in an algebraic extension of \\spadtype{Fraction Polynomial Integer}.")) (|factor| (((|Factored| |#3|) |#3|) "\\spad{factor(p)} returns a prime factorisation of \\spad{p}."))) 
 NIL 
 NIL 
-(-1075) 
+(-1076) 
 ((|constructor| (NIL "This trivial domain lets us build Univariate Polynomials in an anonymous variable"))) 
 NIL 
 NIL 
-(-1076 S) 
+(-1077 S) 
 ((|constructor| (NIL "A sorted cache of a cachable set \\spad{S} is a dynamic structure that keeps the elements of \\spad{S} sorted and assigns an integer to each element of \\spad{S} once it is in the cache. This way,{} equality and ordering on \\spad{S} are tested directly on the integers associated with the elements of \\spad{S},{} once they have been entered in the cache.")) (|enterInCache| ((|#1| |#1| (|Mapping| (|Integer|) |#1| |#1|)) "\\spad{enterInCache(x,{} f)} enters \\spad{x} in the cache,{} calling \\spad{f(x,{} y)} to determine whether \\spad{x < y (f(x,{}y) < 0),{} x = y (f(x,{}y) = 0)},{} or \\spad{x > y (f(x,{}y) > 0)}. It returns \\spad{x} with an integer associated with it.") ((|#1| |#1| (|Mapping| (|Boolean|) |#1|)) "\\spad{enterInCache(x,{} f)} enters \\spad{x} in the cache,{} calling \\spad{f(y)} to determine whether \\spad{x} is equal to \\spad{y}. It returns \\spad{x} with an integer associated with it.")) (|cache| (((|List| |#1|)) "\\spad{cache()} returns the current cache as a list.")) (|clearCache| (((|Void|)) "\\spad{clearCache()} empties the cache."))) 
 NIL 
 NIL 
-(-1077 R) 
+(-1078 R) 
 ((|constructor| (NIL "StructuralConstantsPackage provides functions creating structural constants from a multiplication tables or a basis of a matrix algebra and other useful functions in this context.")) (|coordinates| (((|Vector| |#1|) (|Matrix| |#1|) (|List| (|Matrix| |#1|))) "\\spad{coordinates(a,{}[v1,{}...,{}vn])} returns the coordinates of \\spad{a} with respect to the \\spad{R}-module basis \\spad{v1},{}...,{}\\spad{vn}.")) (|structuralConstants| (((|Vector| (|Matrix| |#1|)) (|List| (|Matrix| |#1|))) "\\spad{structuralConstants(basis)} takes the \\spad{basis} of a matrix algebra,{} \\spadignore{e.g.} the result of \\spadfun{basisOfCentroid} and calculates the structural constants. Note,{} that the it is not checked,{} whether \\spad{basis} really is a \\spad{basis} of a matrix algebra.") (((|Vector| (|Matrix| (|Polynomial| |#1|))) (|List| (|Symbol|)) (|Matrix| (|Polynomial| |#1|))) "\\spad{structuralConstants(ls,{}mt)} determines the structural constants of an algebra with generators \\spad{ls} and multiplication table \\spad{mt},{} the entries of which must be given as linear polynomials in the indeterminates given by \\spad{ls}. The result is in particular useful \\indented{1}{as fourth argument for \\spadtype{AlgebraGivenByStructuralConstants}} \\indented{1}{and \\spadtype{GenericNonAssociativeAlgebra}.}") (((|Vector| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|List| (|Symbol|)) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{structuralConstants(ls,{}mt)} determines the structural constants of an algebra with generators \\spad{ls} and multiplication table \\spad{mt},{} the entries of which must be given as linear polynomials in the indeterminates given by \\spad{ls}. The result is in particular useful \\indented{1}{as fourth argument for \\spadtype{AlgebraGivenByStructuralConstants}} \\indented{1}{and \\spadtype{GenericNonAssociativeAlgebra}.}"))) 
 NIL 
 NIL 
-(-1078 R) 
+(-1079 R) 
 ((|constructor| (NIL "\\spadtype{SequentialDifferentialPolynomial} implements an ordinary differential polynomial ring in arbitrary number of differential indeterminates,{} with coefficients in a ring. The ranking on the differential indeterminate is sequential."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4519 |has| |#1| (-6 -4519)) (-4516 . T) (-4515 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-904))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-172))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558)))) (-12 (|HasCategory| (-1079 (-1161)) (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-381))))) (-12 (|HasCategory| (-1079 (-1161)) (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-568))))) (-12 (|HasCategory| (-1079 (-1161)) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381)))))) (-12 (|HasCategory| (-1079 (-1161)) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568)))))) (-12 (|HasCategory| (-1079 (-1161)) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541))))) (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-225))) (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#1| (QUOTE (-365))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (|HasAttribute| |#1| (QUOTE -4519)) (|HasCategory| |#1| (QUOTE (-453))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-904)))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-904)))) (|HasCategory| |#1| (QUOTE (-148))))) 
-(-1079 S) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1080 (-1163)) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| (-1080 (-1163)) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| (-1080 (-1163)) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| (-1080 (-1163)) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| (-1080 (-1163)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4533)) (|HasCategory| |#1| (QUOTE (-454))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-1080 S) 
 ((|constructor| (NIL "\\spadtype{OrderlyDifferentialVariable} adds a commonly used sequential ranking to the set of derivatives of an ordered list of differential indeterminates. A sequential ranking is a ranking \\spadfun{<} of the derivatives with the property that for any derivative \\spad{v},{} there are only a finite number of derivatives \\spad{u} with \\spad{u} \\spadfun{<} \\spad{v}. This domain belongs to \\spadtype{DifferentialVariableCategory}. It defines \\spadfun{weight} to be just \\spadfun{order},{} and it defines a sequential ranking \\spadfun{<} on derivatives \\spad{u} by the lexicographic order on the pair (\\spadfun{variable}(\\spad{u}),{} \\spadfun{order}(\\spad{u}))."))) 
 NIL 
 NIL 
-(-1080 R S) 
+(-1081 R S) 
 ((|constructor| (NIL "This package provides operations for mapping functions onto segments.")) (|map| (((|List| |#2|) (|Mapping| |#2| |#1|) (|Segment| |#1|)) "\\spad{map(f,{}s)} expands the segment \\spad{s},{} applying \\spad{f} to each value. For example,{} if \\spad{s = l..h by k},{} then the list \\spad{[f(l),{} f(l+k),{}...,{} f(lN)]} is computed,{} where \\spad{lN <= h < lN+k}.") (((|Segment| |#2|) (|Mapping| |#2| |#1|) (|Segment| |#1|)) "\\spad{map(f,{}l..h)} returns a new segment \\spad{f(l)..f(h)}."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-840)))) 
-(-1081 R S) 
+((|HasCategory| |#1| (QUOTE (-841)))) 
+(-1082 R S) 
 ((|constructor| (NIL "This package provides operations for mapping functions onto \\spadtype{SegmentBinding}\\spad{s}.")) (|map| (((|SegmentBinding| |#2|) (|Mapping| |#2| |#1|) (|SegmentBinding| |#1|)) "\\spad{map(f,{}v=a..b)} returns the value given by \\spad{v=f(a)..f(b)}."))) 
 NIL 
 NIL 
-(-1082 S) 
+(-1083 S) 
 ((|constructor| (NIL "This domain is used to provide the function argument syntax \\spad{v=a..b}. This is used,{} for example,{} by the top-level \\spadfun{draw} functions.")) (|segment| (((|Segment| |#1|) $) "\\spad{segment(segb)} returns the segment from the right hand side of the \\spadtype{SegmentBinding}. For example,{} if \\spad{segb} is \\spad{v=a..b},{} then \\spad{segment(segb)} returns \\spad{a..b}.")) (|variable| (((|Symbol|) $) "\\spad{variable(segb)} returns the variable from the left hand side of the \\spadtype{SegmentBinding}. For example,{} if \\spad{segb} is \\spad{v=a..b},{} then \\spad{variable(segb)} returns \\spad{v}.")) (|equation| (($ (|Symbol|) (|Segment| |#1|)) "\\spad{equation(v,{}a..b)} creates a segment binding value with variable \\spad{v} and segment \\spad{a..b}. Note that the interpreter parses \\spad{v=a..b} to this form."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-1090)))) 
-(-1083 S) 
+((|HasCategory| |#1| (QUOTE (-1091)))) 
+(-1084 S) 
 ((|constructor| (NIL "This category provides operations on ranges,{} or segments as they are called.")) (|convert| (($ |#1|) "\\spad{convert(i)} creates the segment \\spad{i..i}.")) (|segment| (($ |#1| |#1|) "\\spad{segment(i,{}j)} is an alternate way to create the segment \\spad{i..j}.")) (|incr| (((|Integer|) $) "\\spad{incr(s)} returns \\spad{n},{} where \\spad{s} is a segment in which every \\spad{n}\\spad{-}th element is used. Note that \\spad{incr(l..h by n) = n}.")) (|high| ((|#1| $) "\\spad{high(s)} returns the second endpoint of \\spad{s}. Note that \\spad{high(l..h) = h}.")) (|low| ((|#1| $) "\\spad{low(s)} returns the first endpoint of \\spad{s}. Note that \\spad{low(l..h) = l}.")) (|hi| ((|#1| $) "\\spad{\\spad{hi}(s)} returns the second endpoint of \\spad{s}. Note that \\spad{\\spad{hi}(l..h) = h}.")) (|lo| ((|#1| $) "\\spad{lo(s)} returns the first endpoint of \\spad{s}. Note that \\spad{lo(l..h) = l}.")) (BY (($ $ (|Integer|)) "\\spad{s by n} creates a new segment in which only every \\spad{n}\\spad{-}th element is used.")) (SEGMENT (($ |#1| |#1|) "\\spad{l..h} creates a segment with \\spad{l} and \\spad{h} as the endpoints."))) 
-((-3973 . T)) 
+((-2982 . T)) 
 NIL 
-(-1084 S) 
+(-1085 S) 
 ((|constructor| (NIL "This type is used to specify a range of values from type \\spad{S}."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-840))) (|HasCategory| |#1| (QUOTE (-1090)))) 
-(-1085 S L) 
+((|HasCategory| |#1| (QUOTE (-841))) (|HasCategory| |#1| (QUOTE (-1091)))) 
+(-1086 S L) 
 ((|constructor| (NIL "This category provides an interface for expanding segments to a stream of elements.")) (|map| ((|#2| (|Mapping| |#1| |#1|) $) "\\spad{map(f,{}l..h by k)} produces a value of type \\spad{L} by applying \\spad{f} to each of the succesive elements of the segment,{} that is,{} \\spad{[f(l),{} f(l+k),{} ...,{} f(lN)]},{} where \\spad{lN <= h < lN+k}.")) (|expand| ((|#2| $) "\\spad{expand(l..h by k)} creates value of type \\spad{L} with elements \\spad{l,{} l+k,{} ... lN} where \\spad{lN <= h < lN+k}. For example,{} \\spad{expand(1..5 by 2) = [1,{}3,{}5]}.") ((|#2| (|List| $)) "\\spad{expand(l)} creates a new value of type \\spad{L} in which each segment \\spad{l..h by k} is replaced with \\spad{l,{} l+k,{} ... lN},{} where \\spad{lN <= h < lN+k}. For example,{} \\spad{expand [1..4,{} 7..9] = [1,{}2,{}3,{}4,{}7,{}8,{}9]}."))) 
-((-3973 . T)) 
+((-2982 . T)) 
 NIL 
-(-1086 A S) 
+(-1087 A S) 
 ((|constructor| (NIL "A set category lists a collection of set-theoretic operations useful for both finite sets and multisets. Note however that finite sets are distinct from multisets. Although the operations defined for set categories are common to both,{} the relationship between the two cannot be described by inclusion or inheritance.")) (|union| (($ |#2| $) "\\spad{union(x,{}u)} returns the set aggregate \\spad{u} with the element \\spad{x} added. If \\spad{u} already contains \\spad{x},{} \\axiom{union(\\spad{x},{}\\spad{u})} returns a copy of \\spad{u}.") (($ $ |#2|) "\\spad{union(u,{}x)} returns the set aggregate \\spad{u} with the element \\spad{x} added. If \\spad{u} already contains \\spad{x},{} \\axiom{union(\\spad{u},{}\\spad{x})} returns a copy of \\spad{u}.") (($ $ $) "\\spad{union(u,{}v)} returns the set aggregate of elements which are members of either set aggregate \\spad{u} or \\spad{v}.")) (|subset?| (((|Boolean|) $ $) "\\spad{subset?(u,{}v)} tests if \\spad{u} is a subset of \\spad{v}. Note that equivalent to \\axiom{reduce(and,{}{member?(\\spad{x},{}\\spad{v}) for \\spad{x} in \\spad{u}},{}\\spad{true},{}\\spad{false})}.")) (|symmetricDifference| (($ $ $) "\\spad{symmetricDifference(u,{}v)} returns the set aggregate of elements \\spad{x} which are members of set aggregate \\spad{u} or set aggregate \\spad{v} but not both. If \\spad{u} and \\spad{v} have no elements in common,{} \\axiom{symmetricDifference(\\spad{u},{}\\spad{v})} returns a copy of \\spad{u}. Note that \\axiom{symmetricDifference(\\spad{u},{}\\spad{v}) = \\indented{1}{union(difference(\\spad{u},{}\\spad{v}),{}difference(\\spad{v},{}\\spad{u}))}}")) (|difference| (($ $ |#2|) "\\spad{difference(u,{}x)} returns the set aggregate \\spad{u} with element \\spad{x} removed. If \\spad{u} does not contain \\spad{x},{} a copy of \\spad{u} is returned. Note that \\axiom{difference(\\spad{s},{} \\spad{x}) = difference(\\spad{s},{} {\\spad{x}})}.") (($ $ $) "\\spad{difference(u,{}v)} returns the set aggregate \\spad{w} consisting of elements in set aggregate \\spad{u} but not in set aggregate \\spad{v}. If \\spad{u} and \\spad{v} have no elements in common,{} \\axiom{difference(\\spad{u},{}\\spad{v})} returns a copy of \\spad{u}. Note that equivalent to the notation (not currently supported) \\axiom{{\\spad{x} for \\spad{x} in \\spad{u} | not member?(\\spad{x},{}\\spad{v})}}.")) (|intersect| (($ $ $) "\\spad{intersect(u,{}v)} returns the set aggregate \\spad{w} consisting of elements common to both set aggregates \\spad{u} and \\spad{v}. Note that equivalent to the notation (not currently supported) {\\spad{x} for \\spad{x} in \\spad{u} | member?(\\spad{x},{}\\spad{v})}.")) (|set| (($ (|List| |#2|)) "\\spad{set([x,{}y,{}...,{}z])} creates a set aggregate containing items \\spad{x},{}\\spad{y},{}...,{}\\spad{z}.") (($) "\\spad{set()}\\$\\spad{D} creates an empty set aggregate of type \\spad{D}.")) (|brace| (($ (|List| |#2|)) "\\spad{brace([x,{}y,{}...,{}z])} creates a set aggregate containing items \\spad{x},{}\\spad{y},{}...,{}\\spad{z}. This form is considered obsolete. Use \\axiomFun{set} instead.") (($) "\\spad{brace()}\\$\\spad{D} (otherwise written {}\\$\\spad{D}) creates an empty set aggregate of type \\spad{D}. This form is considered obsolete. Use \\axiomFun{set} instead.")) (< (((|Boolean|) $ $) "\\spad{s < t} returns \\spad{true} if all elements of set aggregate \\spad{s} are also elements of set aggregate \\spad{t}."))) 
 NIL 
 NIL 
-(-1087 S) 
+(-1088 S) 
 ((|constructor| (NIL "A set category lists a collection of set-theoretic operations useful for both finite sets and multisets. Note however that finite sets are distinct from multisets. Although the operations defined for set categories are common to both,{} the relationship between the two cannot be described by inclusion or inheritance.")) (|union| (($ |#1| $) "\\spad{union(x,{}u)} returns the set aggregate \\spad{u} with the element \\spad{x} added. If \\spad{u} already contains \\spad{x},{} \\axiom{union(\\spad{x},{}\\spad{u})} returns a copy of \\spad{u}.") (($ $ |#1|) "\\spad{union(u,{}x)} returns the set aggregate \\spad{u} with the element \\spad{x} added. If \\spad{u} already contains \\spad{x},{} \\axiom{union(\\spad{u},{}\\spad{x})} returns a copy of \\spad{u}.") (($ $ $) "\\spad{union(u,{}v)} returns the set aggregate of elements which are members of either set aggregate \\spad{u} or \\spad{v}.")) (|subset?| (((|Boolean|) $ $) "\\spad{subset?(u,{}v)} tests if \\spad{u} is a subset of \\spad{v}. Note that equivalent to \\axiom{reduce(and,{}{member?(\\spad{x},{}\\spad{v}) for \\spad{x} in \\spad{u}},{}\\spad{true},{}\\spad{false})}.")) (|symmetricDifference| (($ $ $) "\\spad{symmetricDifference(u,{}v)} returns the set aggregate of elements \\spad{x} which are members of set aggregate \\spad{u} or set aggregate \\spad{v} but not both. If \\spad{u} and \\spad{v} have no elements in common,{} \\axiom{symmetricDifference(\\spad{u},{}\\spad{v})} returns a copy of \\spad{u}. Note that \\axiom{symmetricDifference(\\spad{u},{}\\spad{v}) = \\indented{1}{union(difference(\\spad{u},{}\\spad{v}),{}difference(\\spad{v},{}\\spad{u}))}}")) (|difference| (($ $ |#1|) "\\spad{difference(u,{}x)} returns the set aggregate \\spad{u} with element \\spad{x} removed. If \\spad{u} does not contain \\spad{x},{} a copy of \\spad{u} is returned. Note that \\axiom{difference(\\spad{s},{} \\spad{x}) = difference(\\spad{s},{} {\\spad{x}})}.") (($ $ $) "\\spad{difference(u,{}v)} returns the set aggregate \\spad{w} consisting of elements in set aggregate \\spad{u} but not in set aggregate \\spad{v}. If \\spad{u} and \\spad{v} have no elements in common,{} \\axiom{difference(\\spad{u},{}\\spad{v})} returns a copy of \\spad{u}. Note that equivalent to the notation (not currently supported) \\axiom{{\\spad{x} for \\spad{x} in \\spad{u} | not member?(\\spad{x},{}\\spad{v})}}.")) (|intersect| (($ $ $) "\\spad{intersect(u,{}v)} returns the set aggregate \\spad{w} consisting of elements common to both set aggregates \\spad{u} and \\spad{v}. Note that equivalent to the notation (not currently supported) {\\spad{x} for \\spad{x} in \\spad{u} | member?(\\spad{x},{}\\spad{v})}.")) (|set| (($ (|List| |#1|)) "\\spad{set([x,{}y,{}...,{}z])} creates a set aggregate containing items \\spad{x},{}\\spad{y},{}...,{}\\spad{z}.") (($) "\\spad{set()}\\$\\spad{D} creates an empty set aggregate of type \\spad{D}.")) (|brace| (($ (|List| |#1|)) "\\spad{brace([x,{}y,{}...,{}z])} creates a set aggregate containing items \\spad{x},{}\\spad{y},{}...,{}\\spad{z}. This form is considered obsolete. Use \\axiomFun{set} instead.") (($) "\\spad{brace()}\\$\\spad{D} (otherwise written {}\\$\\spad{D}) creates an empty set aggregate of type \\spad{D}. This form is considered obsolete. Use \\axiomFun{set} instead.")) (< (((|Boolean|) $ $) "\\spad{s < t} returns \\spad{true} if all elements of set aggregate \\spad{s} are also elements of set aggregate \\spad{t}."))) 
-((-4511 . T) (-3973 . T)) 
+((-4525 . T) (-2982 . T)) 
 NIL 
-(-1088) 
+(-1089) 
 ((|constructor| (NIL "This is part of the PAFF package,{} related to projective space."))) 
 NIL 
 NIL 
-(-1089 S) 
+(-1090 S) 
 ((|constructor| (NIL "\\spadtype{SetCategory} is the basic category for describing a collection of elements with \\spadop{=} (equality) and \\spadfun{coerce} to output form. \\blankline Conditional Attributes\\spad{\\br} \\tab{5}canonical\\tab{5}data structure equality is the same as \\spadop{=}")) (|latex| (((|String|) $) "\\spad{latex(s)} returns a LaTeX-printable output representation of \\spad{s}.")) (|hash| (((|SingleInteger|) $) "\\spad{hash(s)} calculates a hash code for \\spad{s}."))) 
 NIL 
 NIL 
-(-1090) 
+(-1091) 
 ((|constructor| (NIL "\\spadtype{SetCategory} is the basic category for describing a collection of elements with \\spadop{=} (equality) and \\spadfun{coerce} to output form. \\blankline Conditional Attributes\\spad{\\br} \\tab{5}canonical\\tab{5}data structure equality is the same as \\spadop{=}")) (|latex| (((|String|) $) "\\spad{latex(s)} returns a LaTeX-printable output representation of \\spad{s}.")) (|hash| (((|SingleInteger|) $) "\\spad{hash(s)} calculates a hash code for \\spad{s}."))) 
 NIL 
 NIL 
-(-1091 |m| |n|) 
+(-1092 |m| |n|) 
 ((|constructor| (NIL "\\spadtype{SetOfMIntegersInOneToN} implements the subsets of \\spad{M} integers in the interval \\spad{[1..n]}")) (|delta| (((|NonNegativeInteger|) $ (|PositiveInteger|) (|PositiveInteger|)) "\\spad{delta(S,{}k,{}p)} returns the number of elements of \\spad{S} which are strictly between \\spad{p} and the \\spad{k^}{th} element of \\spad{S}.")) (|member?| (((|Boolean|) (|PositiveInteger|) $) "\\spad{member?(p,{} s)} returns \\spad{true} is \\spad{p} is in \\spad{s},{} \\spad{false} otherwise.")) (|enumerate| (((|Vector| $)) "\\spad{enumerate()} returns a vector of all the sets of \\spad{M} integers in \\spad{1..n}.")) (|setOfMinN| (($ (|List| (|PositiveInteger|))) "\\spad{setOfMinN([a_1,{}...,{}a_m])} returns the set {\\spad{a_1},{}...,{}a_m}. Error if {\\spad{a_1},{}...,{}a_m} is not a set of \\spad{M} integers in \\spad{1..n}.")) (|elements| (((|List| (|PositiveInteger|)) $) "\\spad{elements(S)} returns the list of the elements of \\spad{S} in increasing order.")) (|replaceKthElement| (((|Union| $ "failed") $ (|PositiveInteger|) (|PositiveInteger|)) "\\spad{replaceKthElement(S,{}k,{}p)} replaces the \\spad{k^}{th} element of \\spad{S} by \\spad{p},{} and returns \"failed\" if the result is not a set of \\spad{M} integers in \\spad{1..n} any more.")) (|incrementKthElement| (((|Union| $ "failed") $ (|PositiveInteger|)) "\\spad{incrementKthElement(S,{}k)} increments the \\spad{k^}{th} element of \\spad{S},{} and returns \"failed\" if the result is not a set of \\spad{M} integers in \\spad{1..n} any more."))) 
 NIL 
 NIL 
-(-1092 S) 
+(-1093 S) 
 ((|constructor| (NIL "A set over a domain \\spad{D} models the usual mathematical notion of a finite set of elements from \\spad{D}. Sets are unordered collections of distinct elements (that is,{} order and duplication does not matter). The notation \\spad{set [a,{}b,{}c]} can be used to create a set and the usual operations such as union and intersection are available to form new sets. In our implementation,{} \\Language{} maintains the entries in sorted order. Specifically,{} the parts function returns the entries as a list in ascending order and the extract operation returns the maximum entry. Given two sets \\spad{s} and \\spad{t} where \\spad{\\#s = m} and \\spad{\\#t = n},{} the complexity of\\spad{\\br} \\tab{5}\\spad{s = t} is \\spad{O(min(n,{}m))}\\spad{\\br} \\tab{5}\\spad{s < t} is \\spad{O(max(n,{}m))}\\spad{\\br} \\tab{5}\\spad{union(s,{}t)},{} \\spad{intersect(s,{}t)},{} \\spad{minus(s,{}t)},{}\\spad{\\br} \\tab{10 \\spad{symmetricDifference(s,{}t)} is \\spad{O(max(n,{}m))}\\spad{\\br} \\tab{5}\\spad{member(x,{}t)} is \\spad{O(n log n)}\\spad{\\br} \\tab{5}\\spad{insert(x,{}t)} and \\spad{remove(x,{}t)} is \\spad{O(n)}"))) 
-((-4521 . T) (-4511 . T) (-4522 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (QUOTE (-370))) (|HasCategory| |#1| (QUOTE (-1090))) (|HasCategory| |#1| (QUOTE (-842))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-370)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))))) 
-(-1093 |Str| |Sym| |Int| |Flt| |Expr|) 
+((-4535 . T) (-4525 . T) (-4536 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (QUOTE (-843))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-371)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
+(-1094 |Str| |Sym| |Int| |Flt| |Expr|) 
 ((|constructor| (NIL "This category allows the manipulation of Lisp values while keeping the grunge fairly localized.")) (|elt| (($ $ (|List| (|Integer|))) "\\spad{elt((a1,{}...,{}an),{} [i1,{}...,{}im])} returns \\spad{(a_i1,{}...,{}a_im)}.") (($ $ (|Integer|)) "\\spad{elt((a1,{}...,{}an),{} i)} returns \\spad{\\spad{ai}}.")) (|#| (((|Integer|) $) "\\spad{\\#((a1,{}...,{}an))} returns \\spad{n}.")) (|cdr| (($ $) "\\spad{cdr((a1,{}...,{}an))} returns \\spad{(a2,{}...,{}an)}.")) (|car| (($ $) "\\spad{car((a1,{}...,{}an))} returns \\spad{a1}.")) (|convert| (($ |#5|) "\\spad{convert(x)} returns the Lisp atom \\spad{x}.") (($ |#4|) "\\spad{convert(x)} returns the Lisp atom \\spad{x}.") (($ |#3|) "\\spad{convert(x)} returns the Lisp atom \\spad{x}.") (($ |#2|) "\\spad{convert(x)} returns the Lisp atom \\spad{x}.") (($ |#1|) "\\spad{convert(x)} returns the Lisp atom \\spad{x}.") (($ (|List| $)) "\\spad{convert([a1,{}...,{}an])} returns an \\spad{S}-expression \\spad{(a1,{}...,{}an)}.")) (|expr| ((|#5| $) "\\spad{expr(s)} returns \\spad{s} as an element of Expr; Error: if \\spad{s} is not an atom that also belongs to Expr.")) (|float| ((|#4| $) "\\spad{float(s)} returns \\spad{s} as an element of \\spad{Flt}; Error: if \\spad{s} is not an atom that also belongs to \\spad{Flt}.")) (|integer| ((|#3| $) "\\spad{integer(s)} returns \\spad{s} as an element of Int. Error: if \\spad{s} is not an atom that also belongs to Int.")) (|symbol| ((|#2| $) "\\spad{symbol(s)} returns \\spad{s} as an element of \\spad{Sym}. Error: if \\spad{s} is not an atom that also belongs to \\spad{Sym}.")) (|string| ((|#1| $) "\\spad{string(s)} returns \\spad{s} as an element of \\spad{Str}. Error: if \\spad{s} is not an atom that also belongs to \\spad{Str}.")) (|destruct| (((|List| $) $) "\\spad{destruct((a1,{}...,{}an))} returns the list [\\spad{a1},{}...,{}an].")) (|float?| (((|Boolean|) $) "\\spad{float?(s)} is \\spad{true} if \\spad{s} is an atom and belong to \\spad{Flt}.")) (|integer?| (((|Boolean|) $) "\\spad{integer?(s)} is \\spad{true} if \\spad{s} is an atom and belong to Int.")) (|symbol?| (((|Boolean|) $) "\\spad{symbol?(s)} is \\spad{true} if \\spad{s} is an atom and belong to \\spad{Sym}.")) (|string?| (((|Boolean|) $) "\\spad{string?(s)} is \\spad{true} if \\spad{s} is an atom and belong to \\spad{Str}.")) (|list?| (((|Boolean|) $) "\\spad{list?(s)} is \\spad{true} if \\spad{s} is a Lisp list,{} possibly ().")) (|pair?| (((|Boolean|) $) "\\spad{pair?(s)} is \\spad{true} if \\spad{s} has is a non-null Lisp list.")) (|atom?| (((|Boolean|) $) "\\spad{atom?(s)} is \\spad{true} if \\spad{s} is a Lisp atom.")) (|null?| (((|Boolean|) $) "\\spad{null?(s)} is \\spad{true} if \\spad{s} is the \\spad{S}-expression ().")) (|eq| (((|Boolean|) $ $) "\\spad{eq(s,{} t)} is \\spad{true} if EQ(\\spad{s},{}\\spad{t}) is \\spad{true} in Lisp."))) 
 NIL 
 NIL 
-(-1094) 
+(-1095) 
 ((|constructor| (NIL "This domain allows the manipulation of the usual Lisp values."))) 
 NIL 
 NIL 
-(-1095 |Str| |Sym| |Int| |Flt| |Expr|) 
+(-1096 |Str| |Sym| |Int| |Flt| |Expr|) 
 ((|constructor| (NIL "This domain allows the manipulation of Lisp values over arbitrary atomic types."))) 
 NIL 
 NIL 
-(-1096 R FS) 
+(-1097 R FS) 
 ((|constructor| (NIL "\\axiomType{SimpleFortranProgram(\\spad{f},{}type)} provides a simple model of some FORTRAN subprograms,{} making it possible to coerce objects of various domains into a FORTRAN subprogram called \\axiom{\\spad{f}}. These can then be translated into legal FORTRAN code.")) (|fortran| (($ (|Symbol|) (|FortranScalarType|) |#2|) "\\spad{fortran(fname,{}ftype,{}body)} builds an object of type \\axiomType{FortranProgramCategory}. The three arguments specify the name,{} the type and the \\spad{body} of the program."))) 
 NIL 
 NIL 
-(-1097 R E V P TS) 
+(-1098 R E V P TS) 
 ((|constructor| (NIL "A internal package for removing redundant quasi-components and redundant branches when decomposing a variety by means of quasi-components of regular triangular sets.")) (|branchIfCan| (((|Union| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|))) "failed") (|List| |#4|) |#5| (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{branchIfCan(leq,{}\\spad{ts},{}lineq,{}\\spad{b1},{}\\spad{b2},{}\\spad{b3},{}\\spad{b4},{}\\spad{b5})} is an internal subroutine,{} exported only for developement.")) (|prepareDecompose| (((|List| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|)))) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|)) "\\axiom{prepareDecompose(\\spad{lp},{}\\spad{lts},{}\\spad{b1},{}\\spad{b2})} is an internal subroutine,{} exported only for developement.")) (|removeSuperfluousCases| (((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)))) "\\axiom{removeSuperfluousCases(llpwt)} is an internal subroutine,{} exported only for developement.")) (|subCase?| (((|Boolean|) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) "\\axiom{subCase?(\\spad{lpwt1},{}\\spad{lpwt2})} is an internal subroutine,{} exported only for developement.")) (|removeSuperfluousQuasiComponents| (((|List| |#5|) (|List| |#5|)) "\\axiom{removeSuperfluousQuasiComponents(\\spad{lts})} removes from \\axiom{\\spad{lts}} any \\spad{ts} such that \\axiom{subQuasiComponent?(\\spad{ts},{}us)} holds for another \\spad{us} in \\axiom{\\spad{lts}}.")) (|subQuasiComponent?| (((|Boolean|) |#5| (|List| |#5|)) "\\axiom{subQuasiComponent?(\\spad{ts},{}lus)} returns \\spad{true} iff \\axiom{subQuasiComponent?(\\spad{ts},{}us)} holds for one \\spad{us} in \\spad{lus}.") (((|Boolean|) |#5| |#5|) "\\axiom{subQuasiComponent?(\\spad{ts},{}us)} returns \\spad{true} iff internalSubQuasiComponent?(\\spad{ts},{}us) from QuasiComponentPackage returns \\spad{true}.")) (|internalSubQuasiComponent?| (((|Union| (|Boolean|) "failed") |#5| |#5|) "\\axiom{internalSubQuasiComponent?(\\spad{ts},{}us)} returns a boolean \\spad{b} value if the fact the regular zero set of \\axiom{us} contains that of \\axiom{\\spad{ts}} can be decided (and in that case \\axiom{\\spad{b}} gives this inclusion) otherwise returns \\axiom{\"failed\"}.")) (|infRittWu?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{infRittWu?(\\spad{lp1},{}\\spad{lp2})} is an internal subroutine,{} exported only for developement.")) (|internalInfRittWu?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{internalInfRittWu?(\\spad{lp1},{}\\spad{lp2})} is an internal subroutine,{} exported only for developement.")) (|internalSubPolSet?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{internalSubPolSet?(\\spad{lp1},{}\\spad{lp2})} returns \\spad{true} iff \\axiom{\\spad{lp1}} is a sub-set of \\axiom{\\spad{lp2}} assuming that these lists are sorted increasingly \\spad{w}.\\spad{r}.\\spad{t}. infRittWu? from RecursivePolynomialCategory.")) (|subPolSet?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{subPolSet?(\\spad{lp1},{}\\spad{lp2})} returns \\spad{true} iff \\axiom{\\spad{lp1}} is a sub-set of \\axiom{\\spad{lp2}}.")) (|subTriSet?| (((|Boolean|) |#5| |#5|) "\\axiom{subTriSet?(\\spad{ts},{}us)} returns \\spad{true} iff \\axiom{\\spad{ts}} is a sub-set of \\axiom{us}.")) (|moreAlgebraic?| (((|Boolean|) |#5| |#5|) "\\axiom{moreAlgebraic?(\\spad{ts},{}us)} returns \\spad{false} iff \\axiom{\\spad{ts}} and \\axiom{us} are both empty,{} or \\axiom{\\spad{ts}} has less elements than \\axiom{us},{} or some variable is algebraic \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{us} and is not \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{ts}}.")) (|algebraicSort| (((|List| |#5|) (|List| |#5|)) "\\axiom{algebraicSort(\\spad{lts})} sorts \\axiom{\\spad{lts}} \\spad{w}.\\spad{r}.\\spad{t} supDimElseRittWu from QuasiComponentPackage.")) (|supDimElseRittWu?| (((|Boolean|) |#5| |#5|) "\\axiom{supDimElseRittWu(\\spad{ts},{}us)} returns \\spad{true} iff \\axiom{\\spad{ts}} has less elements than \\axiom{us} otherwise if \\axiom{\\spad{ts}} has higher rank than \\axiom{us} \\spad{w}.\\spad{r}.\\spad{t}. Riit and Wu ordering.")) (|stopTable!| (((|Void|)) "\\axiom{stopTableGcd!()} is an internal subroutine,{} exported only for developement.")) (|startTable!| (((|Void|) (|String|) (|String|) (|String|)) "\\axiom{startTableGcd!(\\spad{s1},{}\\spad{s2},{}\\spad{s3})} is an internal subroutine,{} exported only for developement."))) 
 NIL 
 NIL 
-(-1098 R E V P TS) 
+(-1099 R E V P TS) 
 ((|constructor| (NIL "A internal package for computing gcds and resultants of univariate polynomials with coefficients in a tower of simple extensions of a field. There is no need to use directly this package since its main operations are available from \\spad{TS}."))) 
 NIL 
 NIL 
-(-1099 R E V P) 
+(-1100 R E V P) 
 ((|constructor| (NIL "The category of square-free regular triangular sets. A regular triangular set \\spad{ts} is square-free if the \\spad{gcd} of any polynomial \\spad{p} in \\spad{ts} and differentiate(\\spad{p},{}mvar(\\spad{p})) \\spad{w}.\\spad{r}.\\spad{t}. collectUnder(\\spad{ts},{}mvar(\\spad{p})) has degree zero \\spad{w}.\\spad{r}.\\spad{t}. \\spad{mvar(p)}. Thus any square-free regular set defines a tower of square-free simple extensions."))) 
-((-4522 . T) (-4521 . T) (-3973 . T)) 
+((-4536 . T) (-4535 . T) (-2982 . T)) 
 NIL 
-(-1100) 
+(-1101) 
 ((|constructor| (NIL "SymmetricGroupCombinatoricFunctions contains combinatoric functions concerning symmetric groups and representation theory: list young tableaus,{} improper partitions,{} subsets bijection of Coleman.")) (|unrankImproperPartitions1| (((|List| (|Integer|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{unrankImproperPartitions1(n,{}m,{}k)} computes the \\spad{k}-th improper partition of nonnegative \\spad{n} in at most \\spad{m} nonnegative parts ordered as follows: first,{} in reverse lexicographically according to their non-zero parts,{} then according to their positions (\\spadignore{i.e.} lexicographical order using subSet: [3,{}0,{}0] < [0,{}3,{}0] < [0,{}0,{}3] < [2,{}1,{}0] < [2,{}0,{}1] < [0,{}2,{}1] < [1,{}2,{}0] < [1,{}0,{}2] < [0,{}1,{}2] < [1,{}1,{}1]. Note that counting of subtrees is done by numberOfImproperPartitionsInternal.")) (|unrankImproperPartitions0| (((|List| (|Integer|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{unrankImproperPartitions0(n,{}m,{}k)} computes the \\spad{k}-th improper partition of nonnegative \\spad{n} in \\spad{m} nonnegative parts in reverse lexicographical order. Example: [0,{}0,{}3] < [0,{}1,{}2] < [0,{}2,{}1] < [0,{}3,{}0] < [1,{}0,{}2] < [1,{}1,{}1] < [1,{}2,{}0] < [2,{}0,{}1] < [2,{}1,{}0] < [3,{}0,{}0]. Error: if \\spad{k} is negative or too big. Note that counting of subtrees is done by numberOfImproperPartitions")) (|subSet| (((|List| (|Integer|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{subSet(n,{}m,{}k)} calculates the \\spad{k}-th \\spad{m}-subset of the set 0,{}1,{}...,{}(\\spad{n}-1) in the lexicographic order considered as a decreasing map from 0,{}...,{}(\\spad{m}-1) into 0,{}...,{}(\\spad{n}-1). See \\spad{S}.\\spad{G}. Williamson: Theorem 1.60. Error: if not (0 \\spad{<=} \\spad{m} \\spad{<=} \\spad{n} and 0 < = \\spad{k} < (\\spad{n} choose \\spad{m})).")) (|numberOfImproperPartitions| (((|Integer|) (|Integer|) (|Integer|)) "\\spad{numberOfImproperPartitions(n,{}m)} computes the number of partitions of the nonnegative integer \\spad{n} in \\spad{m} nonnegative parts with regarding the order (improper partitions). Example: numberOfImproperPartitions (3,{}3) is 10,{} since [0,{}0,{}3],{} [0,{}1,{}2],{} [0,{}2,{}1],{} [0,{}3,{}0],{} [1,{}0,{}2],{} [1,{}1,{}1],{} [1,{}2,{}0],{} [2,{}0,{}1],{} [2,{}1,{}0],{} [3,{}0,{}0] are the possibilities. Note that this operation has a recursive implementation.")) (|nextPartition| (((|Vector| (|Integer|)) (|List| (|Integer|)) (|Vector| (|Integer|)) (|Integer|)) "\\spad{nextPartition(gamma,{}part,{}number)} generates the partition of \\spad{number} which follows \\spad{part} according to the right-to-left lexicographical order. The partition has the property that its components do not exceed the corresponding components of \\spad{gamma}. the first partition is achieved by part=[]. Also,{} [] indicates that \\spad{part} is the last partition.") (((|Vector| (|Integer|)) (|Vector| (|Integer|)) (|Vector| (|Integer|)) (|Integer|)) "\\spad{nextPartition(gamma,{}part,{}number)} generates the partition of \\spad{number} which follows \\spad{part} according to the right-to-left lexicographical order. The partition has the property that its components do not exceed the corresponding components of \\spad{gamma}. The first partition is achieved by part=[]. Also,{} [] indicates that \\spad{part} is the last partition.")) (|nextLatticePermutation| (((|List| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|Boolean|)) "\\spad{nextLatticePermutation(lambda,{}lattP,{}constructNotFirst)} generates the lattice permutation according to the proper partition \\spad{lambda} succeeding the lattice permutation \\spad{lattP} in lexicographical order as long as \\spad{constructNotFirst} is \\spad{true}. If \\spad{constructNotFirst} is \\spad{false},{} the first lattice permutation is returned. The result nil indicates that \\spad{lattP} has no successor.")) (|nextColeman| (((|Matrix| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|Matrix| (|Integer|))) "\\spad{nextColeman(alpha,{}beta,{}C)} generates the next Coleman matrix of column sums \\spad{alpha} and row sums \\spad{beta} according to the lexicographical order from bottom-to-top. The first Coleman matrix is achieved by C=new(1,{}1,{}0). Also,{} new(1,{}1,{}0) indicates that \\spad{C} is the last Coleman matrix.")) (|makeYoungTableau| (((|Matrix| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{makeYoungTableau(lambda,{}gitter)} computes for a given lattice permutation \\spad{gitter} and for an improper partition \\spad{lambda} the corresponding standard tableau of shape \\spad{lambda}. Notes: see listYoungTableaus. The entries are from 0,{}...,{}\\spad{n}-1.")) (|listYoungTableaus| (((|List| (|Matrix| (|Integer|))) (|List| (|Integer|))) "\\spad{listYoungTableaus(lambda)} where \\spad{lambda} is a proper partition generates the list of all standard tableaus of shape \\spad{lambda} by means of lattice permutations. The numbers of the lattice permutation are interpreted as column labels. Hence the contents of these lattice permutations are the conjugate of \\spad{lambda}. Notes: the functions nextLatticePermutation and makeYoungTableau are used. The entries are from 0,{}...,{}\\spad{n}-1.")) (|inverseColeman| (((|List| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|Matrix| (|Integer|))) "\\spad{inverseColeman(alpha,{}beta,{}C)}: there is a bijection from the set of matrices having nonnegative entries and row sums \\spad{alpha},{} column sums \\spad{beta} to the set of Salpha - Sbeta double cosets of the symmetric group \\spad{Sn}. (Salpha is the Young subgroup corresponding to the improper partition \\spad{alpha}). For such a matrix \\spad{C},{} inverseColeman(\\spad{alpha},{}\\spad{beta},{}\\spad{C}) calculates the lexicographical smallest \\spad{pi} in the corresponding double coset. Note that the resulting permutation \\spad{pi} of {1,{}2,{}...,{}\\spad{n}} is given in list form. Notes: the inverse of this map is coleman. For details,{} see James/Kerber.")) (|coleman| (((|Matrix| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{coleman(alpha,{}beta,{}\\spad{pi})}: there is a bijection from the set of matrices having nonnegative entries and row sums \\spad{alpha},{} column sums \\spad{beta} to the set of Salpha - Sbeta double cosets of the symmetric group \\spad{Sn}. (Salpha is the Young subgroup corresponding to the improper partition \\spad{alpha}). For a representing element \\spad{pi} of such a double coset,{} coleman(\\spad{alpha},{}\\spad{beta},{}\\spad{pi}) generates the Coleman-matrix corresponding to \\spad{alpha},{} \\spad{beta},{} \\spad{pi}. Note that The permutation \\spad{pi} of {1,{}2,{}...,{}\\spad{n}} has to be given in list form. Note that the inverse of this map is inverseColeman (if \\spad{pi} is the lexicographical smallest permutation in the coset). For details see James/Kerber."))) 
 NIL 
 NIL 
-(-1101 S) 
+(-1102 S) 
 ((|constructor| (NIL "the class of all multiplicative semigroups,{} \\spadignore{i.e.} a set with an associative operation \\spadop{*}. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{associative(\"*\":(\\%,{}\\%)->\\%)}\\tab{5}\\spad{ (x*y)*z = x*(y*z)} \\blankline Conditional attributes\\spad{\\br} \\tab{5}\\spad{commutative(\"*\":(\\%,{}\\%)->\\%)}\\tab{5}\\spad{ x*y = y*x }")) (^ (($ $ (|PositiveInteger|)) "\\spad{x^n} returns the repeated product of \\spad{x} \\spad{n} times,{} \\spadignore{i.e.} exponentiation.")) (** (($ $ (|PositiveInteger|)) "\\spad{x**n} returns the repeated product of \\spad{x} \\spad{n} times,{} \\spadignore{i.e.} exponentiation.")) (* (($ $ $) "\\spad{x*y} returns the product of \\spad{x} and \\spad{y}."))) 
 NIL 
 NIL 
-(-1102) 
+(-1103) 
 ((|constructor| (NIL "the class of all multiplicative semigroups,{} \\spadignore{i.e.} a set with an associative operation \\spadop{*}. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{associative(\"*\":(\\%,{}\\%)->\\%)}\\tab{5}\\spad{ (x*y)*z = x*(y*z)} \\blankline Conditional attributes\\spad{\\br} \\tab{5}\\spad{commutative(\"*\":(\\%,{}\\%)->\\%)}\\tab{5}\\spad{ x*y = y*x }")) (^ (($ $ (|PositiveInteger|)) "\\spad{x^n} returns the repeated product of \\spad{x} \\spad{n} times,{} \\spadignore{i.e.} exponentiation.")) (** (($ $ (|PositiveInteger|)) "\\spad{x**n} returns the repeated product of \\spad{x} \\spad{n} times,{} \\spadignore{i.e.} exponentiation.")) (* (($ $ $) "\\spad{x*y} returns the product of \\spad{x} and \\spad{y}."))) 
 NIL 
 NIL 
-(-1103 |dimtot| |dim1| S) 
+(-1104 |dimtot| |dim1| S) 
 ((|constructor| (NIL "This type represents the finite direct or cartesian product of an underlying ordered component type. The vectors are ordered as if they were split into two blocks. The \\spad{dim1} parameter specifies the length of the first block. The ordering is lexicographic between the blocks but acts like \\spadtype{HomogeneousDirectProduct} within each block. This type is a suitable third argument for \\spadtype{GeneralDistributedMultivariatePolynomial}."))) 
-((-4515 |has| |#3| (-1047)) (-4516 |has| |#3| (-1047)) (-4518 |has| |#3| (-6 -4518)) ((-4523 "*") |has| |#3| (-172)) (-4521 . T)) 
-((|HasCategory| |#3| (QUOTE (-1090))) (|HasCategory| |#3| (QUOTE (-365))) (|HasCategory| |#3| (QUOTE (-1047))) (|HasCategory| |#3| (QUOTE (-788))) (|HasCategory| |#3| (QUOTE (-840))) (-2199 (|HasCategory| |#3| (QUOTE (-788))) (|HasCategory| |#3| (QUOTE (-840)))) (|HasCategory| |#3| (QUOTE (-716))) (|HasCategory| |#3| (QUOTE (-172))) (-2199 (|HasCategory| |#3| (QUOTE (-172))) (|HasCategory| |#3| (QUOTE (-365))) (|HasCategory| |#3| (QUOTE (-1047)))) (-2199 (|HasCategory| |#3| (QUOTE (-172))) (|HasCategory| |#3| (QUOTE (-365)))) (-2199 (|HasCategory| |#3| (QUOTE (-172))) (|HasCategory| |#3| (QUOTE (-1047)))) (|HasCategory| |#3| (QUOTE (-370))) (|HasCategory| |#3| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#3| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#3| (QUOTE (-225))) (-2199 (|HasCategory| |#3| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#3| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#3| (QUOTE (-172))) (|HasCategory| |#3| (QUOTE (-225))) (|HasCategory| |#3| (QUOTE (-365))) (|HasCategory| |#3| (QUOTE (-1047)))) (-2199 (|HasCategory| |#3| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#3| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#3| (QUOTE (-172))) (|HasCategory| |#3| (QUOTE (-225))) (|HasCategory| |#3| (QUOTE (-1047)))) (|HasCategory| (-568) (QUOTE (-842))) (-12 (|HasCategory| |#3| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-1047)))) (-12 (|HasCategory| |#3| (QUOTE (-225))) (|HasCategory| |#3| (QUOTE (-1047)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#3| (QUOTE (-1047)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-1090)))) (|HasCategory| |#3| (QUOTE (-1047)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#3| (QUOTE (-1090)))) (|HasAttribute| |#3| (QUOTE -4518)) (|HasCategory| |#3| (QUOTE (-137))) (-2199 (|HasCategory| |#3| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#3| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#3| (QUOTE (-137))) (|HasCategory| |#3| (QUOTE (-172))) (|HasCategory| |#3| (QUOTE (-225))) (|HasCategory| |#3| (QUOTE (-365))) (|HasCategory| |#3| (QUOTE (-1047)))) (|HasCategory| |#3| (QUOTE (-25))) (-2199 (|HasCategory| |#3| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#3| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#3| (QUOTE (-25))) (|HasCategory| |#3| (QUOTE (-137))) (|HasCategory| |#3| (QUOTE (-172))) (|HasCategory| |#3| (QUOTE (-225))) (|HasCategory| |#3| (QUOTE (-365))) (|HasCategory| |#3| (QUOTE (-370))) (|HasCategory| |#3| (QUOTE (-716))) (|HasCategory| |#3| (QUOTE (-788))) (|HasCategory| |#3| (QUOTE (-840))) (|HasCategory| |#3| (QUOTE (-1047))) (|HasCategory| |#3| (QUOTE (-1090)))) (-2199 (|HasCategory| |#3| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#3| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#3| (QUOTE (-25))) (|HasCategory| |#3| (QUOTE (-137))) (|HasCategory| |#3| (QUOTE (-172))) (|HasCategory| |#3| (QUOTE (-225))) (|HasCategory| |#3| (QUOTE (-365))) (|HasCategory| |#3| (QUOTE (-1047)))) (-2199 (-12 (|HasCategory| |#3| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#3| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#3| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#3| (QUOTE (-25)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#3| (QUOTE (-137)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#3| (QUOTE (-172)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#3| (QUOTE (-225)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#3| (QUOTE (-365)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#3| (QUOTE (-370)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#3| (QUOTE (-716)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#3| (QUOTE (-788)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#3| (QUOTE (-840)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#3| (QUOTE (-1047)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#3| (QUOTE (-1090))))) (-2199 (-12 (|HasCategory| |#3| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-25)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-137)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-172)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-225)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-365)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-370)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-716)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-788)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-840)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-1047)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#3| (QUOTE (-1090))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -630) (QUOTE (-568))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -895) (QUOTE (-1161))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-25)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-137)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-172)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-225)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-365)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-370)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-716)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-788)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-840)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1047)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -303) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1090)))))) 
-(-1104 R |x|) 
+((-4529 |has| |#3| (-1048)) (-4530 |has| |#3| (-1048)) (-4532 |has| |#3| (-6 -4532)) ((-4537 "*") |has| |#3| (-173)) (-4535 . T)) 
+((|HasCategory| |#3| (QUOTE (-1091))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1048))) (|HasCategory| |#3| (QUOTE (-789))) (|HasCategory| |#3| (QUOTE (-841))) (-2232 (|HasCategory| |#3| (QUOTE (-789))) (|HasCategory| |#3| (QUOTE (-841)))) (|HasCategory| |#3| (QUOTE (-717))) (|HasCategory| |#3| (QUOTE (-173))) (-2232 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1048)))) (-2232 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-366)))) (-2232 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-1048)))) (|HasCategory| |#3| (QUOTE (-371))) (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (QUOTE (-226))) (-2232 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1048)))) (-2232 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1048)))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1091)))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-1091)))) (|HasAttribute| |#3| (QUOTE -4532)) (|HasCategory| |#3| (QUOTE (-138))) (-2232 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (QUOTE (-138))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1048)))) (|HasCategory| |#3| (QUOTE (-25))) (-2232 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (QUOTE (-25))) (|HasCategory| |#3| (QUOTE (-138))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-371))) (|HasCategory| |#3| (QUOTE (-717))) (|HasCategory| |#3| (QUOTE (-789))) (|HasCategory| |#3| (QUOTE (-841))) (|HasCategory| |#3| (QUOTE (-1048))) (|HasCategory| |#3| (QUOTE (-1091)))) (-2232 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (QUOTE (-25))) (|HasCategory| |#3| (QUOTE (-138))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1048)))) (-2232 (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-25)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-138)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-371)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-717)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-789)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-841)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-1091))))) (-2232 (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-25)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-138)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-371)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-717)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-789)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-841)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1091))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-25)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-138)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-371)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-717)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-789)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-841)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1091)))))) 
+(-1105 R |x|) 
 ((|constructor| (NIL "This package produces functions for counting etc. real roots of univariate polynomials in \\spad{x} over \\spad{R},{} which must be an OrderedIntegralDomain")) (|countRealRootsMultiple| (((|Integer|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{countRealRootsMultiple(p)} says how many real roots \\spad{p} has,{} counted with multiplicity")) (|SturmHabichtMultiple| (((|Integer|) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{SturmHabichtMultiple(p1,{}p2)} computes \\spad{c_}{+}\\spad{-c_}{-} where \\spad{c_}{+} is the number of real roots of \\spad{p1} with \\spad{p2>0} and \\spad{c_}{-} is the number of real roots of \\spad{p1} with \\spad{p2<0}. If \\spad{p2=1} what you get is the number of real roots of \\spad{p1}.")) (|countRealRoots| (((|Integer|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{countRealRoots(p)} says how many real roots \\spad{p} has")) (|SturmHabicht| (((|Integer|) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{SturmHabicht(p1,{}p2)} computes \\spad{c_}{+}\\spad{-c_}{-} where \\spad{c_}{+} is the number of real roots of \\spad{p1} with \\spad{p2>0} and \\spad{c_}{-} is the number of real roots of \\spad{p1} with \\spad{p2<0}. If \\spad{p2=1} what you get is the number of real roots of \\spad{p1}.")) (|SturmHabichtCoefficients| (((|List| |#1|) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{SturmHabichtCoefficients(p1,{}p2)} computes the principal Sturm-Habicht coefficients of \\spad{p1} and \\spad{p2}")) (|SturmHabichtSequence| (((|List| (|UnivariatePolynomial| |#2| |#1|)) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{SturmHabichtSequence(p1,{}p2)} computes the Sturm-Habicht sequence of \\spad{p1} and \\spad{p2}")) (|subresultantSequence| (((|List| (|UnivariatePolynomial| |#2| |#1|)) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{subresultantSequence(p1,{}p2)} computes the (standard) subresultant sequence of \\spad{p1} and \\spad{p2}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-453)))) 
-(-1105 R -1478) 
+((|HasCategory| |#1| (QUOTE (-454)))) 
+(-1106 R -1564) 
 ((|constructor| (NIL "This package provides functions to determine the sign of an elementary function around a point or infinity.")) (|sign| (((|Union| (|Integer|) "failed") |#2| (|Symbol|) |#2| (|String|)) "\\spad{sign(f,{} x,{} a,{} s)} returns the sign of \\spad{f} as \\spad{x} nears \\spad{a} from below if \\spad{s} is \"left\",{} or above if \\spad{s} is \"right\".") (((|Union| (|Integer|) "failed") |#2| (|Symbol|) (|OrderedCompletion| |#2|)) "\\spad{sign(f,{} x,{} a)} returns the sign of \\spad{f} as \\spad{x} nears \\spad{a},{} from both sides if \\spad{a} is finite.") (((|Union| (|Integer|) "failed") |#2|) "\\spad{sign(f)} returns the sign of \\spad{f} if it is constant everywhere."))) 
 NIL 
 NIL 
-(-1106 R) 
+(-1107 R) 
 ((|constructor| (NIL "Find the sign of a rational function around a point or infinity.")) (|sign| (((|Union| (|Integer|) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|Fraction| (|Polynomial| |#1|)) (|String|)) "\\spad{sign(f,{} x,{} a,{} s)} returns the sign of \\spad{f} as \\spad{x} nears \\spad{a} from the left (below) if \\spad{s} is the string \\spad{\"left\"},{} or from the right (above) if \\spad{s} is the string \\spad{\"right\"}.") (((|Union| (|Integer|) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|)))) "\\spad{sign(f,{} x,{} a)} returns the sign of \\spad{f} as \\spad{x} approaches \\spad{a},{} from both sides if \\spad{a} is finite.") (((|Union| (|Integer|) "failed") (|Fraction| (|Polynomial| |#1|))) "\\spad{sign f} returns the sign of \\spad{f} if it is constant everywhere."))) 
 NIL 
 NIL 
-(-1107) 
+(-1108) 
 ((|constructor| (NIL "Package to allow simplify to be called on AlgebraicNumbers by converting to EXPR(INT)")) (|simplify| (((|Expression| (|Integer|)) (|AlgebraicNumber|)) "\\spad{simplify(an)} applies simplifications to \\spad{an}"))) 
 NIL 
 NIL 
-(-1108) 
+(-1109) 
 ((|constructor| (NIL "SingleInteger is intended to support machine integer arithmetic.")) (|Or| (($ $ $) "\\spad{Or(n,{}m)} returns the bit-by-bit logical or of the single integers \\spad{n} and \\spad{m}.")) (|And| (($ $ $) "\\spad{And(n,{}m)} returns the bit-by-bit logical and of the single integers \\spad{n} and \\spad{m}.")) (|Not| (($ $) "\\spad{Not(n)} returns the bit-by-bit logical not of the single integer \\spad{n}.")) (|xor| (($ $ $) "\\spad{xor(n,{}m)} returns the bit-by-bit logical xor of the single integers \\spad{n} and \\spad{m}.")) (|\\/| (($ $ $) "\\spad{n} \\spad{\\/} \\spad{m} returns the bit-by-bit logical or of the single integers \\spad{n} and \\spad{m}.")) (|/\\| (($ $ $) "\\spad{n} \\spad{/\\} \\spad{m} returns the bit-by-bit logical and of the single integers \\spad{n} and \\spad{m}.")) (~ (($ $) "\\spad{~ n} returns the bit-by-bit logical not of the single integer \\spad{n}.")) (|not| (($ $) "\\spad{not(n)} returns the bit-by-bit logical not of the single integer \\spad{n}.")) (|min| (($) "\\spad{min()} returns the smallest single integer.")) (|max| (($) "\\spad{max()} returns the largest single integer.")) (|noetherian| ((|attribute|) "\\spad{noetherian} all ideals are finitely generated (in fact principal).")) (|canonicalsClosed| ((|attribute|) "\\spad{canonicalClosed} means two positives multiply to give positive.")) (|canonical| ((|attribute|) "\\spad{canonical} means that mathematical equality is implied by data structure equality."))) 
-((-4509 . T) (-4513 . T) (-4508 . T) (-4519 . T) (-4520 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4523 . T) (-4527 . T) (-4522 . T) (-4533 . T) (-4534 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-1109 S) 
+(-1110 S) 
 ((|constructor| (NIL "A stack is a bag where the last item inserted is the first item extracted.")) (|depth| (((|NonNegativeInteger|) $) "\\indented{1}{depth(\\spad{s}) returns the number of elements of stack \\spad{s}.} \\indented{1}{Note that \\axiom{depth(\\spad{s}) = \\spad{#s}}.} \\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} depth a")) (|top| ((|#1| $) "\\indented{1}{top(\\spad{s}) returns the top element \\spad{x} from \\spad{s}; \\spad{s} remains unchanged.} \\indented{1}{Note that Use \\axiom{pop!(\\spad{s})} to obtain \\spad{x} and remove it from \\spad{s}.} \\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} top a")) (|pop!| ((|#1| $) "\\indented{1}{pop!(\\spad{s}) returns the top element \\spad{x},{} destructively removing \\spad{x} from \\spad{s}.} \\indented{1}{Note that Use \\axiom{top(\\spad{s})} to obtain \\spad{x} without removing it from \\spad{s}.} \\indented{1}{Error: if \\spad{s} is empty.} \\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} pop! a \\spad{X} a")) (|push!| ((|#1| |#1| $) "\\indented{1}{push!(\\spad{x},{}\\spad{s}) pushes \\spad{x} onto stack \\spad{s},{} \\spadignore{i.e.} destructively changing \\spad{s}} \\indented{1}{so as to have a new first (top) element \\spad{x}.} \\indented{1}{Afterwards,{} pop!(\\spad{s}) produces \\spad{x} and pop!(\\spad{s}) produces the original \\spad{s}.} \\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} push! a \\spad{X} a"))) 
-((-4521 . T) (-4522 . T) (-3973 . T)) 
+((-4535 . T) (-4536 . T) (-2982 . T)) 
 NIL 
-(-1110 S |ndim| R |Row| |Col|) 
+(-1111 S |ndim| R |Row| |Col|) 
 ((|constructor| (NIL "\\spadtype{SquareMatrixCategory} is a general square matrix category which allows different representations and indexing schemes. Rows and columns may be extracted with rows returned as objects of type Row and colums returned as objects of type Col.")) (** (($ $ (|Integer|)) "\\spad{m**n} computes an integral power of the matrix \\spad{m}. Error: if the matrix is not invertible.")) (|inverse| (((|Union| $ "failed") $) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m},{} if that matrix is invertible and returns \"failed\" otherwise.")) (|minordet| ((|#3| $) "\\spad{minordet(m)} computes the determinant of the matrix \\spad{m} using minors.")) (|determinant| ((|#3| $) "\\spad{determinant(m)} returns the determinant of the matrix \\spad{m}.")) (* ((|#4| |#4| $) "\\spad{r * x} is the product of the row vector \\spad{r} and the matrix \\spad{x}. Error: if the dimensions are incompatible.") ((|#5| $ |#5|) "\\spad{x * c} is the product of the matrix \\spad{x} and the column vector \\spad{c}. Error: if the dimensions are incompatible.")) (|diagonalProduct| ((|#3| $) "\\spad{diagonalProduct(m)} returns the product of the elements on the diagonal of the matrix \\spad{m}.")) (|trace| ((|#3| $) "\\spad{trace(m)} returns the trace of the matrix \\spad{m}. this is the sum of the elements on the diagonal of the matrix \\spad{m}.")) (|diagonal| ((|#4| $) "\\spad{diagonal(m)} returns a row consisting of the elements on the diagonal of the matrix \\spad{m}.")) (|diagonalMatrix| (($ (|List| |#3|)) "\\spad{diagonalMatrix(l)} returns a diagonal matrix with the elements of \\spad{l} on the diagonal.")) (|scalarMatrix| (($ |#3|) "\\spad{scalarMatrix(r)} returns an \\spad{n}-by-\\spad{n} matrix with \\spad{r}\\spad{'s} on the diagonal and zeroes elsewhere."))) 
 NIL 
-((|HasCategory| |#3| (QUOTE (-365))) (|HasAttribute| |#3| (QUOTE (-4523 "*"))) (|HasCategory| |#3| (QUOTE (-172)))) 
-(-1111 |ndim| R |Row| |Col|) 
+((|HasCategory| |#3| (QUOTE (-366))) (|HasAttribute| |#3| (QUOTE (-4537 "*"))) (|HasCategory| |#3| (QUOTE (-173)))) 
+(-1112 |ndim| R |Row| |Col|) 
 ((|constructor| (NIL "\\spadtype{SquareMatrixCategory} is a general square matrix category which allows different representations and indexing schemes. Rows and columns may be extracted with rows returned as objects of type Row and colums returned as objects of type Col.")) (** (($ $ (|Integer|)) "\\spad{m**n} computes an integral power of the matrix \\spad{m}. Error: if the matrix is not invertible.")) (|inverse| (((|Union| $ "failed") $) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m},{} if that matrix is invertible and returns \"failed\" otherwise.")) (|minordet| ((|#2| $) "\\spad{minordet(m)} computes the determinant of the matrix \\spad{m} using minors.")) (|determinant| ((|#2| $) "\\spad{determinant(m)} returns the determinant of the matrix \\spad{m}.")) (* ((|#3| |#3| $) "\\spad{r * x} is the product of the row vector \\spad{r} and the matrix \\spad{x}. Error: if the dimensions are incompatible.") ((|#4| $ |#4|) "\\spad{x * c} is the product of the matrix \\spad{x} and the column vector \\spad{c}. Error: if the dimensions are incompatible.")) (|diagonalProduct| ((|#2| $) "\\spad{diagonalProduct(m)} returns the product of the elements on the diagonal of the matrix \\spad{m}.")) (|trace| ((|#2| $) "\\spad{trace(m)} returns the trace of the matrix \\spad{m}. this is the sum of the elements on the diagonal of the matrix \\spad{m}.")) (|diagonal| ((|#3| $) "\\spad{diagonal(m)} returns a row consisting of the elements on the diagonal of the matrix \\spad{m}.")) (|diagonalMatrix| (($ (|List| |#2|)) "\\spad{diagonalMatrix(l)} returns a diagonal matrix with the elements of \\spad{l} on the diagonal.")) (|scalarMatrix| (($ |#2|) "\\spad{scalarMatrix(r)} returns an \\spad{n}-by-\\spad{n} matrix with \\spad{r}\\spad{'s} on the diagonal and zeroes elsewhere."))) 
-((-3973 . T) (-4521 . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-2982 . T) (-4535 . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-1112 R |Row| |Col| M) 
+(-1113 R |Row| |Col| M) 
 ((|constructor| (NIL "\\spadtype{SmithNormalForm} is a package which provides some standard canonical forms for matrices.")) (|diophantineSystem| (((|Record| (|:| |particular| (|Union| |#3| "failed")) (|:| |basis| (|List| |#3|))) |#4| |#3|) "\\spad{diophantineSystem(A,{}B)} returns a particular integer solution and an integer basis of the equation \\spad{AX = B}.")) (|completeSmith| (((|Record| (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|) "\\spad{completeSmith} returns a record that contains the Smith normal form \\spad{H} of the matrix and the left and right equivalence matrices \\spad{U} and \\spad{V} such that U*m*v = \\spad{H}")) (|smith| ((|#4| |#4|) "\\spad{smith(m)} returns the Smith Normal form of the matrix \\spad{m}.")) (|completeHermite| (((|Record| (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|) "\\spad{completeHermite} returns a record that contains the Hermite normal form \\spad{H} of the matrix and the equivalence matrix \\spad{U} such that U*m = \\spad{H}")) (|hermite| ((|#4| |#4|) "\\spad{hermite(m)} returns the Hermite normal form of the matrix \\spad{m}."))) 
 NIL 
 NIL 
-(-1113 R |VarSet|) 
+(-1114 R |VarSet|) 
 ((|constructor| (NIL "This type is the basic representation of sparse recursive multivariate polynomials. It is parameterized by the coefficient ring and the variable set which may be infinite. The variable ordering is determined by the variable set parameter. The coefficient ring may be non-commutative,{} but the variables are assumed to commute."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4519 |has| |#1| (-6 -4519)) (-4516 . T) (-4515 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-904))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-172))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#2| (LIST (QUOTE -881) (QUOTE (-381))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -881) (QUOTE (-568))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#2| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-541))))) (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-365))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (|HasAttribute| |#1| (QUOTE -4519)) (|HasCategory| |#1| (QUOTE (-453))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-904)))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-904)))) (|HasCategory| |#1| (QUOTE (-148))))) 
-(-1114 |Coef| |Var| SMP) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4533)) (|HasCategory| |#1| (QUOTE (-454))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-1115 |Coef| |Var| SMP) 
 ((|constructor| (NIL "This domain provides multivariate Taylor series with variables from an arbitrary ordered set. A Taylor series is represented by a stream of polynomials from the polynomial domain \\spad{SMP}. The \\spad{n}th element of the stream is a form of degree \\spad{n}. SMTS is an internal domain.")) (|fintegrate| (($ (|Mapping| $) |#2| |#1|) "\\spad{fintegrate(f,{}v,{}c)} is the integral of \\spad{f()} with respect \\indented{1}{to \\spad{v} and having \\spad{c} as the constant of integration.} \\indented{1}{The evaluation of \\spad{f()} is delayed.}")) (|integrate| (($ $ |#2| |#1|) "\\spad{integrate(s,{}v,{}c)} is the integral of \\spad{s} with respect \\indented{1}{to \\spad{v} and having \\spad{c} as the constant of integration.}")) (|csubst| (((|Mapping| (|Stream| |#3|) |#3|) (|List| |#2|) (|List| (|Stream| |#3|))) "\\spad{csubst(a,{}b)} is for internal use only")) (* (($ |#3| $) "\\spad{smp*ts} multiplies a TaylorSeries by a monomial \\spad{SMP}.")) (|coerce| (($ |#3|) "\\spad{coerce(poly)} regroups the terms by total degree and forms a series.") (($ |#2|) "\\spad{coerce(var)} converts a variable to a Taylor series")) (|coefficient| ((|#3| $ (|NonNegativeInteger|)) "\\indented{1}{\\spad{coefficient(s,{} n)} gives the terms of total degree \\spad{n}.} \\blankline \\spad{X} xts:=x::TaylorSeries Fraction Integer \\spad{X} t1:=sin(\\spad{xts}) \\spad{X} coefficient(\\spad{t1},{}3)"))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4516 . T) (-4515 . T) (-4518 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-558))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558)))) (|HasCategory| |#1| (QUOTE (-365)))) 
-(-1115 R E V P) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4530 . T) (-4529 . T) (-4532 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-559))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-366)))) 
+(-1116 R E V P) 
 ((|constructor| (NIL "The category of square-free and normalized triangular sets. Thus,{} up to the primitivity axiom of [1],{} these sets are Lazard triangular sets."))) 
-((-4522 . T) (-4521 . T) (-3973 . T)) 
+((-4536 . T) (-4535 . T) (-2982 . T)) 
 NIL 
-(-1116 UP -1478) 
+(-1117 UP -1564) 
 ((|constructor| (NIL "This package factors the formulas out of the general solve code,{} allowing their recursive use over different domains. Care is taken to introduce few radicals so that radical extension domains can more easily simplify the results.")) (|aQuartic| ((|#2| |#2| |#2| |#2| |#2| |#2|) "\\spad{aQuartic(f,{}g,{}h,{}i,{}k)} \\undocumented")) (|aCubic| ((|#2| |#2| |#2| |#2| |#2|) "\\spad{aCubic(f,{}g,{}h,{}j)} \\undocumented")) (|aQuadratic| ((|#2| |#2| |#2| |#2|) "\\spad{aQuadratic(f,{}g,{}h)} \\undocumented")) (|aLinear| ((|#2| |#2| |#2|) "\\spad{aLinear(f,{}g)} \\undocumented")) (|quartic| (((|List| |#2|) |#2| |#2| |#2| |#2| |#2|) "\\spad{quartic(f,{}g,{}h,{}i,{}j)} \\undocumented") (((|List| |#2|) |#1|) "\\spad{quartic(u)} \\undocumented")) (|cubic| (((|List| |#2|) |#2| |#2| |#2| |#2|) "\\spad{cubic(f,{}g,{}h,{}i)} \\undocumented") (((|List| |#2|) |#1|) "\\spad{cubic(u)} \\undocumented")) (|quadratic| (((|List| |#2|) |#2| |#2| |#2|) "\\spad{quadratic(f,{}g,{}h)} \\undocumented") (((|List| |#2|) |#1|) "\\spad{quadratic(u)} \\undocumented")) (|linear| (((|List| |#2|) |#2| |#2|) "\\spad{linear(f,{}g)} \\undocumented") (((|List| |#2|) |#1|) "\\spad{linear(u)} \\undocumented")) (|mapSolve| (((|Record| (|:| |solns| (|List| |#2|)) (|:| |maps| (|List| (|Record| (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (|Mapping| |#2| |#2|)) "\\spad{mapSolve(u,{}f)} \\undocumented")) (|particularSolution| ((|#2| |#1|) "\\spad{particularSolution(u)} \\undocumented")) (|solve| (((|List| |#2|) |#1|) "\\spad{solve(u)} \\undocumented"))) 
 NIL 
 NIL 
-(-1117 R) 
+(-1118 R) 
 ((|constructor| (NIL "This package tries to find solutions expressed in terms of radicals for systems of equations of rational functions with coefficients in an integral domain \\spad{R}.")) (|contractSolve| (((|SuchThat| (|List| (|Expression| |#1|)) (|List| (|Equation| (|Expression| |#1|)))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\indented{1}{contractSolve(\\spad{rf},{}\\spad{x}) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation \\spad{rf} = 0 with respect to the symbol \\spad{x},{}} \\indented{1}{where \\spad{rf} is a rational function. The result contains\\space{2}new} \\indented{1}{symbols for common subexpressions in order to reduce the} \\indented{1}{size of the output.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer))\\spad{:=}(3*x^3+7)/(5*x^2-13) \\spad{X} contractSolve(\\spad{b},{}\\spad{x})") (((|SuchThat| (|List| (|Expression| |#1|)) (|List| (|Equation| (|Expression| |#1|)))) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|Symbol|)) "\\indented{1}{contractSolve(eq,{}\\spad{x}) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation of rational functions eq} \\indented{1}{with respect to the symbol \\spad{x}.\\space{2}The result contains new} \\indented{1}{symbols for common subexpressions in order to reduce the} \\indented{1}{size of the output.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer))\\spad{:=}(3*x^3+7)/(5*x^2-13) \\spad{X} contractSolve(\\spad{b=0},{}\\spad{x})")) (|radicalRoots| (((|List| (|List| (|Expression| |#1|))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) "\\indented{1}{radicalRoots(\\spad{lrf},{}lvar) finds the roots expressed in terms of} \\indented{1}{radicals of the list of rational functions \\spad{lrf}} \\indented{1}{with respect to the list of symbols lvar.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer))\\spad{:=}(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer))\\spad{:=}(\\spad{y^2+4})/(\\spad{y+1}) \\spad{X} radicalRoots([\\spad{b},{}\\spad{c}],{}[\\spad{x},{}\\spad{y}])") (((|List| (|Expression| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\indented{1}{radicalRoots(\\spad{rf},{}\\spad{x}) finds the roots expressed in terms of radicals} \\indented{1}{of the rational function \\spad{rf} with respect to the symbol \\spad{x}.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer))\\spad{:=}(3*x^3+7)/(5*x^2-13) \\spad{X} radicalRoots(\\spad{b},{}\\spad{x})")) (|radicalSolve| (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) "\\indented{1}{radicalSolve(leq) finds the solutions expressed in terms of} \\indented{1}{radicals of the system of equations of rational functions leq} \\indented{1}{with respect to the unique symbol \\spad{x} appearing in leq.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer))\\spad{:=}(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer))\\spad{:=}(\\spad{y^2+4})/(\\spad{y+1}) \\spad{X} radicalSolve([\\spad{b=0},{}\\spad{c=0}])") (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|List| (|Symbol|))) "\\indented{1}{radicalSolve(leq,{}lvar) finds the solutions expressed in terms of} \\indented{1}{radicals of the system of equations of rational functions leq} \\indented{1}{with respect to the list of symbols lvar.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer))\\spad{:=}(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer))\\spad{:=}(\\spad{y^2+4})/(\\spad{y+1}) \\spad{X} radicalSolve([\\spad{b=0},{}\\spad{c=0}],{}[\\spad{x},{}\\spad{y}])") (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Fraction| (|Polynomial| |#1|)))) "\\indented{1}{radicalSolve(\\spad{lrf}) finds the solutions expressed in terms of} \\indented{1}{radicals of the system of equations \\spad{lrf} = 0,{} where \\spad{lrf} is a} \\indented{1}{system of univariate rational functions.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer))\\spad{:=}(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer))\\spad{:=}(\\spad{y^2+4})/(\\spad{y+1}) \\spad{X} radicalSolve([\\spad{b},{}\\spad{c}])") (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) "\\indented{1}{radicalSolve(\\spad{lrf},{}lvar) finds the solutions expressed in terms of} \\indented{1}{radicals of the system of equations \\spad{lrf} = 0 with} \\indented{1}{respect to the list of symbols lvar,{}} \\indented{1}{where \\spad{lrf} is a list of rational functions.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer))\\spad{:=}(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer))\\spad{:=}(\\spad{y^2+4})/(\\spad{y+1}) \\spad{X} radicalSolve([\\spad{b},{}\\spad{c}],{}[\\spad{x},{}\\spad{y}])") (((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Fraction| (|Polynomial| |#1|)))) "\\indented{1}{radicalSolve(eq) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation of rational functions eq} \\indented{1}{with respect to the unique symbol \\spad{x} appearing in eq.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer))\\spad{:=}(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(\\spad{b=0})") (((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|Symbol|)) "\\indented{1}{radicalSolve(eq,{}\\spad{x}) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation of rational functions eq} \\indented{1}{with respect to the symbol \\spad{x}.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer))\\spad{:=}(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(\\spad{b=0},{}\\spad{x})") (((|List| (|Equation| (|Expression| |#1|))) (|Fraction| (|Polynomial| |#1|))) "\\indented{1}{radicalSolve(\\spad{rf}) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation \\spad{rf} = 0,{} where \\spad{rf} is a} \\indented{1}{univariate rational function.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer))\\spad{:=}(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(\\spad{b})") (((|List| (|Equation| (|Expression| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\indented{1}{radicalSolve(\\spad{rf},{}\\spad{x}) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation \\spad{rf} = 0 with respect to the symbol \\spad{x},{}} \\indented{1}{where \\spad{rf} is a rational function.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer))\\spad{:=}(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(\\spad{b},{}\\spad{x})"))) 
 NIL 
 NIL 
-(-1118 R) 
+(-1119 R) 
 ((|constructor| (NIL "This package finds the function \\spad{func3} where \\spad{func1} and \\spad{func2} are given and \\spad{func1} = \\spad{func3}(\\spad{func2}) . If there is no solution then function \\spad{func1} will be returned. An example would be \\spad{func1:= 8*X**3+32*X**2-14*X ::EXPR INT} and \\spad{func2:=2*X ::EXPR INT} convert them via univariate to FRAC SUP EXPR INT and then the solution is \\spad{func3:=X**3+X**2-X} of type FRAC SUP EXPR INT")) (|unvectorise| (((|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Vector| (|Expression| |#1|)) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Integer|)) "\\spad{unvectorise(vect,{} var,{} n)} returns \\spad{vect(1) + vect(2)*var + ... + vect(n+1)*var**(n)} where \\spad{vect} is the vector of the coefficients of the polynomail ,{} \\spad{var} the new variable and \\spad{n} the degree.")) (|decomposeFunc| (((|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|)))) "\\spad{decomposeFunc(func1,{} func2,{} newvar)} returns a function \\spad{func3} where \\spad{func1} = \\spad{func3}(\\spad{func2}) and expresses it in the new variable newvar. If there is no solution then \\spad{func1} will be returned."))) 
 NIL 
 NIL 
-(-1119 R) 
+(-1120 R) 
 ((|constructor| (NIL "This package tries to find solutions of equations of type Expression(\\spad{R}). This means expressions involving transcendental,{} exponential,{} logarithmic and nthRoot functions. After trying to transform different kernels to one kernel by applying several rules,{} it calls zerosOf for the SparseUnivariatePolynomial in the remaining kernel. For example the expression \\spad{sin(x)*cos(x)-2} will be transformed to \\spad{-2 tan(x/2)**4 -2 tan(x/2)**3 -4 tan(x/2)**2 +2 tan(x/2) -2} by using the function normalize and then to \\spad{-2 tan(x)**2 + tan(x) -2} with help of subsTan. This function tries to express the given function in terms of \\spad{tan(x/2)} to express in terms of \\spad{tan(x)} . Other examples are the expressions \\spad{sqrt(x+1)+sqrt(x+7)+1} or \\spad{sqrt(sin(x))+1} .")) (|solve| (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Equation| (|Expression| |#1|))) (|List| (|Symbol|))) "\\spad{solve(leqs,{} lvar)} returns a list of solutions to the list of equations \\spad{leqs} with respect to the list of symbols lvar.") (((|List| (|Equation| (|Expression| |#1|))) (|Expression| |#1|) (|Symbol|)) "\\indented{1}{solve(expr,{}\\spad{x}) finds the solutions of the equation expr = 0} \\indented{1}{with respect to the symbol \\spad{x} where expr is a function} \\indented{1}{of type Expression(\\spad{R}).} \\blankline \\spad{X} solve(1/2*v*v*cos(theta+phi)*cos(theta+phi)+g*l*cos(phi)=g*l,{}phi) \\spad{X} definingPolynomial \\%\\spad{phi0} \\spad{X} definingPolynomial \\%\\spad{phi1}") (((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Expression| |#1|)) (|Symbol|)) "\\spad{solve(eq,{}x)} finds the solutions of the equation \\spad{eq} where \\spad{eq} is an equation of functions of type Expression(\\spad{R}) with respect to the symbol \\spad{x}.") (((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Expression| |#1|))) "\\spad{solve(eq)} finds the solutions of the equation \\spad{eq} where \\spad{eq} is an equation of functions of type Expression(\\spad{R}) with respect to the unique symbol \\spad{x} appearing in \\spad{eq}.") (((|List| (|Equation| (|Expression| |#1|))) (|Expression| |#1|)) "\\spad{solve(expr)} finds the solutions of the equation \\spad{expr} = 0 where \\spad{expr} is a function of type Expression(\\spad{R}) with respect to the unique symbol \\spad{x} appearing in eq."))) 
 NIL 
 NIL 
-(-1120 S A) 
+(-1121 S A) 
 ((|constructor| (NIL "This package exports sorting algorithnms")) (|insertionSort!| ((|#2| |#2|) "\\spad{insertionSort! }\\undocumented") ((|#2| |#2| (|Mapping| (|Boolean|) |#1| |#1|)) "\\spad{insertionSort!(a,{}f)} \\undocumented")) (|bubbleSort!| ((|#2| |#2|) "\\spad{bubbleSort!(a)} \\undocumented") ((|#2| |#2| (|Mapping| (|Boolean|) |#1| |#1|)) "\\spad{bubbleSort!(a,{}f)} \\undocumented"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-842)))) 
-(-1121 R) 
+((|HasCategory| |#1| (QUOTE (-843)))) 
+(-1122 R) 
 ((|constructor| (NIL "The domain ThreeSpace is used for creating three dimensional objects using functions for defining points,{} curves,{} polygons,{} constructs and the subspaces containing them."))) 
 NIL 
 NIL 
-(-1122 R) 
+(-1123 R) 
 ((|constructor| (NIL "The category ThreeSpaceCategory is used for creating three dimensional objects using functions for defining points,{} curves,{} polygons,{} constructs and the subspaces containing them.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(s)} returns the \\spadtype{ThreeSpace} \\spad{s} to Output format.")) (|subspace| (((|SubSpace| 3 |#1|) $) "\\spad{subspace(s)} returns the \\spadtype{SubSpace} which holds all the point information in the \\spadtype{ThreeSpace},{} \\spad{s}.")) (|check| (($ $) "\\spad{check(s)} returns lllpt,{} list of lists of lists of point information about the \\spadtype{ThreeSpace} \\spad{s}.")) (|objects| (((|Record| (|:| |points| (|NonNegativeInteger|)) (|:| |curves| (|NonNegativeInteger|)) (|:| |polygons| (|NonNegativeInteger|)) (|:| |constructs| (|NonNegativeInteger|))) $) "\\spad{objects(s)} returns the \\spadtype{ThreeSpace},{} \\spad{s},{} in the form of a 3D object record containing information on the number of points,{} curves,{} polygons and constructs comprising the \\spadtype{ThreeSpace}..")) (|lprop| (((|List| (|SubSpaceComponentProperty|)) $) "\\spad{lprop(s)} checks to see if the \\spadtype{ThreeSpace},{} \\spad{s},{} is composed of a list of subspace component properties,{} and if so,{} returns the list; An error is signaled otherwise.")) (|llprop| (((|List| (|List| (|SubSpaceComponentProperty|))) $) "\\spad{llprop(s)} checks to see if the \\spadtype{ThreeSpace},{} \\spad{s},{} is composed of a list of curves which are lists of the subspace component properties of the curves,{} and if so,{} returns the list of lists; An error is signaled otherwise.")) (|lllp| (((|List| (|List| (|List| (|Point| |#1|)))) $) "\\spad{lllp(s)} checks to see if the \\spadtype{ThreeSpace},{} \\spad{s},{} is composed of a list of components,{} which are lists of curves,{} which are lists of points,{} and if so,{} returns the list of lists of lists; An error is signaled otherwise.")) (|lllip| (((|List| (|List| (|List| (|NonNegativeInteger|)))) $) "\\spad{lllip(s)} checks to see if the \\spadtype{ThreeSpace},{} \\spad{s},{} is composed of a list of components,{} which are lists of curves,{} which are lists of indices to points,{} and if so,{} returns the list of lists of lists; An error is signaled otherwise.")) (|lp| (((|List| (|Point| |#1|)) $) "\\spad{lp(s)} returns the list of points component which the \\spadtype{ThreeSpace},{} \\spad{s},{} contains; these points are used by reference,{} \\spadignore{i.e.} the component holds indices referring to the points rather than the points themselves. This allows for sharing of the points.")) (|mesh?| (((|Boolean|) $) "\\spad{mesh?(s)} returns \\spad{true} if the \\spadtype{ThreeSpace} \\spad{s} is composed of one component,{} a mesh comprising a list of curves which are lists of points,{} or returns \\spad{false} if otherwise")) (|mesh| (((|List| (|List| (|Point| |#1|))) $) "\\spad{mesh(s)} checks to see if the \\spadtype{ThreeSpace},{} \\spad{s},{} is composed of a single surface component defined by a list curves which contain lists of points,{} and if so,{} returns the list of lists of points; An error is signaled otherwise.") (($ (|List| (|List| (|Point| |#1|))) (|Boolean|) (|Boolean|)) "\\spad{mesh([[p0],{}[p1],{}...,{}[pn]],{} close1,{} close2)} creates a surface defined over a list of curves,{} \\spad{p0} through \\spad{pn},{} which are lists of points; the booleans \\spad{close1} and \\spad{close2} indicate how the surface is to be closed: \\spad{close1} set to \\spad{true} means that each individual list (a curve) is to be closed (that is,{} the last point of the list is to be connected to the first point); \\spad{close2} set to \\spad{true} means that the boundary at one end of the surface is to be connected to the boundary at the other end (the boundaries are defined as the first list of points (curve) and the last list of points (curve)); the \\spadtype{ThreeSpace} containing this surface is returned.") (($ (|List| (|List| (|Point| |#1|)))) "\\spad{mesh([[p0],{}[p1],{}...,{}[pn]])} creates a surface defined by a list of curves which are lists,{} \\spad{p0} through \\spad{pn},{} of points,{} and returns a \\spadtype{ThreeSpace} whose component is the surface.") (($ $ (|List| (|List| (|List| |#1|))) (|Boolean|) (|Boolean|)) "mesh(\\spad{s},{}[ [[\\spad{r10}]...,{}[\\spad{r1m}]],{}[[\\spad{r20}]...,{}[\\spad{r2m}]],{}...,{}[[\\spad{rn0}]...,{}[\\spad{rnm}]] ],{} \\indented{5}{\\spad{close1},{} \\spad{close2})} adds a surface component to the \\spadtype{ThreeSpace} \\spad{s},{} which is defined over a rectangular domain of size \\spad{WxH} where \\spad{W} is the number of lists of points from the domain \\spad{PointDomain(R)} and \\spad{H} is the number of elements in each of those lists; the booleans \\spad{close1} and \\spad{close2} indicate how the surface is to be closed: if \\spad{close1} is \\spad{true} this means that each individual list (a curve) is to be closed (\\spadignore{i.e.} the last point of the list is to be connected to the first point); if \\spad{close2} is \\spad{true},{} this means that the boundary at one end of the surface is to be connected to the boundary at the other end (the boundaries are defined as the first list of points (curve) and the last list of points (curve)).") (($ $ (|List| (|List| (|Point| |#1|))) (|Boolean|) (|Boolean|)) "\\spad{mesh(s,{}[[p0],{}[p1],{}...,{}[pn]],{} close1,{} close2)} adds a surface component to the \\spadtype{ThreeSpace},{} which is defined over a list of curves,{} in which each of these curves is a list of points. The boolean arguments \\spad{close1} and \\spad{close2} indicate how the surface is to be closed. Argument \\spad{close1} equal \\spad{true} means that each individual list (a curve) is to be closed,{} \\spadignore{i.e.} the last point of the list is to be connected to the first point. Argument \\spad{close2} equal \\spad{true} means that the boundary at one end of the surface is to be connected to the boundary at the other end,{} \\spadignore{i.e.} the boundaries are defined as the first list of points (curve) and the last list of points (curve).") (($ $ (|List| (|List| (|List| |#1|))) (|List| (|SubSpaceComponentProperty|)) (|SubSpaceComponentProperty|)) "mesh(\\spad{s},{}[ [[\\spad{r10}]...,{}[\\spad{r1m}]],{}[[\\spad{r20}]...,{}[\\spad{r2m}]],{}...,{}[[\\spad{rn0}]...,{}[\\spad{rnm}]] ],{} \\indented{7}{[props],{} prop)} adds a surface component to the \\spadtype{ThreeSpace} \\spad{s},{} which is defined over a rectangular domain of size \\spad{WxH} where \\spad{W} is the number of lists of points from the domain \\spad{PointDomain(R)} and \\spad{H} is the number of elements in each of those lists; lprops is the list of the subspace component properties for each curve list,{} and prop is the subspace component property by which the points are defined.") (($ $ (|List| (|List| (|Point| |#1|))) (|List| (|SubSpaceComponentProperty|)) (|SubSpaceComponentProperty|)) "\\spad{mesh(s,{}[[p0],{}[p1],{}...,{}[pn]],{}[props],{}prop)} adds a surface component,{} defined over a list curves which contains lists of points,{} to the \\spadtype{ThreeSpace} \\spad{s}; props is a list which contains the subspace component properties for each surface parameter,{} and \\spad{prop} is the subspace component property by which the points are defined.")) (|polygon?| (((|Boolean|) $) "\\spad{polygon?(s)} returns \\spad{true} if the \\spadtype{ThreeSpace} \\spad{s} contains a single polygon component,{} or \\spad{false} otherwise.")) (|polygon| (((|List| (|Point| |#1|)) $) "\\spad{polygon(s)} checks to see if the \\spadtype{ThreeSpace},{} \\spad{s},{} is composed of a single polygon component defined by a list of points,{} and if so,{} returns the list of points; An error is signaled otherwise.") (($ (|List| (|Point| |#1|))) "\\spad{polygon([p0,{}p1,{}...,{}pn])} creates a polygon defined by a list of points,{} \\spad{p0} through \\spad{pn},{} and returns a \\spadtype{ThreeSpace} whose component is the polygon.") (($ $ (|List| (|List| |#1|))) "\\spad{polygon(s,{}[[r0],{}[r1],{}...,{}[rn]])} adds a polygon component defined by a list of points \\spad{r0} through \\spad{rn},{} which are lists of elements from the domain \\spad{PointDomain(m,{}R)} to the \\spadtype{ThreeSpace} \\spad{s},{} where \\spad{m} is the dimension of the points and \\spad{R} is the \\spadtype{Ring} over which the points are defined.") (($ $ (|List| (|Point| |#1|))) "\\spad{polygon(s,{}[p0,{}p1,{}...,{}pn])} adds a polygon component defined by a list of points,{} \\spad{p0} throught \\spad{pn},{} to the \\spadtype{ThreeSpace} \\spad{s}.")) (|closedCurve?| (((|Boolean|) $) "\\spad{closedCurve?(s)} returns \\spad{true} if the \\spadtype{ThreeSpace} \\spad{s} contains a single closed curve component,{} \\spadignore{i.e.} the first element of the curve is also the last element,{} or \\spad{false} otherwise.")) (|closedCurve| (((|List| (|Point| |#1|)) $) "\\spad{closedCurve(s)} checks to see if the \\spadtype{ThreeSpace},{} \\spad{s},{} is composed of a single closed curve component defined by a list of points in which the first point is also the last point,{} all of which are from the domain \\spad{PointDomain(m,{}R)} and if so,{} returns the list of points. An error is signaled otherwise.") (($ (|List| (|Point| |#1|))) "\\spad{closedCurve(lp)} sets a list of points defined by the first element of \\spad{lp} through the last element of \\spad{lp} and back to the first elelment again and returns a \\spadtype{ThreeSpace} whose component is the closed curve defined by \\spad{lp}.") (($ $ (|List| (|List| |#1|))) "\\spad{closedCurve(s,{}[[lr0],{}[lr1],{}...,{}[lrn],{}[lr0]])} adds a closed curve component defined by a list of points \\spad{lr0} through \\spad{lrn},{} which are lists of elements from the domain \\spad{PointDomain(m,{}R)},{} where \\spad{R} is the \\spadtype{Ring} over which the point elements are defined and \\spad{m} is the dimension of the points,{} in which the last element of the list of points contains a copy of the first element list,{} \\spad{lr0}. The closed curve is added to the \\spadtype{ThreeSpace},{} \\spad{s}.") (($ $ (|List| (|Point| |#1|))) "\\spad{closedCurve(s,{}[p0,{}p1,{}...,{}pn,{}p0])} adds a closed curve component which is a list of points defined by the first element \\spad{p0} through the last element \\spad{pn} and back to the first element \\spad{p0} again,{} to the \\spadtype{ThreeSpace} \\spad{s}.")) (|curve?| (((|Boolean|) $) "\\spad{curve?(s)} queries whether the \\spadtype{ThreeSpace},{} \\spad{s},{} is a curve,{} \\spadignore{i.e.} has one component,{} a list of list of points,{} and returns \\spad{true} if it is,{} or \\spad{false} otherwise.")) (|curve| (((|List| (|Point| |#1|)) $) "\\spad{curve(s)} checks to see if the \\spadtype{ThreeSpace},{} \\spad{s},{} is composed of a single curve defined by a list of points and if so,{} returns the curve,{} \\spadignore{i.e.} list of points. An error is signaled otherwise.") (($ (|List| (|Point| |#1|))) "\\spad{curve([p0,{}p1,{}p2,{}...,{}pn])} creates a space curve defined by the list of points \\spad{p0} through \\spad{pn},{} and returns the \\spadtype{ThreeSpace} whose component is the curve.") (($ $ (|List| (|List| |#1|))) "\\spad{curve(s,{}[[p0],{}[p1],{}...,{}[pn]])} adds a space curve which is a list of points \\spad{p0} through \\spad{pn} defined by lists of elements from the domain \\spad{PointDomain(m,{}R)},{} where \\spad{R} is the \\spadtype{Ring} over which the point elements are defined and \\spad{m} is the dimension of the points,{} to the \\spadtype{ThreeSpace} \\spad{s}.") (($ $ (|List| (|Point| |#1|))) "\\spad{curve(s,{}[p0,{}p1,{}...,{}pn])} adds a space curve component defined by a list of points \\spad{p0} through \\spad{pn},{} to the \\spadtype{ThreeSpace} \\spad{s}.")) (|point?| (((|Boolean|) $) "\\spad{point?(s)} queries whether the \\spadtype{ThreeSpace},{} \\spad{s},{} is composed of a single component which is a point and returns the boolean result.")) (|point| (((|Point| |#1|) $) "\\spad{point(s)} checks to see if the \\spadtype{ThreeSpace},{} \\spad{s},{} is composed of only a single point and if so,{} returns the point. An error is signaled otherwise.") (($ (|Point| |#1|)) "\\spad{point(p)} returns a \\spadtype{ThreeSpace} object which is composed of one component,{} the point \\spad{p}.") (($ $ (|NonNegativeInteger|)) "\\spad{point(s,{}i)} adds a point component which is placed into a component list of the \\spadtype{ThreeSpace},{} \\spad{s},{} at the index given by \\spad{i}.") (($ $ (|List| |#1|)) "\\spad{point(s,{}[x,{}y,{}z])} adds a point component defined by a list of elements which are from the \\spad{PointDomain(R)} to the \\spadtype{ThreeSpace},{} \\spad{s},{} where \\spad{R} is the \\spadtype{Ring} over which the point elements are defined.") (($ $ (|Point| |#1|)) "\\spad{point(s,{}p)} adds a point component defined by the point,{} \\spad{p},{} specified as a list from \\spad{List(R)},{} to the \\spadtype{ThreeSpace},{} \\spad{s},{} where \\spad{R} is the \\spadtype{Ring} over which the point is defined.")) (|modifyPointData| (($ $ (|NonNegativeInteger|) (|Point| |#1|)) "\\spad{modifyPointData(s,{}i,{}p)} changes the point at the indexed location \\spad{i} in the \\spadtype{ThreeSpace},{} \\spad{s},{} to that of point \\spad{p}. This is useful for making changes to a point which has been transformed.")) (|enterPointData| (((|NonNegativeInteger|) $ (|List| (|Point| |#1|))) "\\spad{enterPointData(s,{}[p0,{}p1,{}...,{}pn])} adds a list of points from \\spad{p0} through \\spad{pn} to the \\spadtype{ThreeSpace},{} \\spad{s},{} and returns the index,{} to the starting point of the list.")) (|copy| (($ $) "\\spad{copy(s)} returns a new \\spadtype{ThreeSpace} that is an exact copy of \\spad{s}.")) (|composites| (((|List| $) $) "\\spad{composites(s)} takes the \\spadtype{ThreeSpace} \\spad{s},{} and creates a list containing a unique \\spadtype{ThreeSpace} for each single composite of \\spad{s}. If \\spad{s} has no composites defined (composites need to be explicitly created),{} the list returned is empty. Note that not all the components need to be part of a composite.")) (|components| (((|List| $) $) "\\spad{components(s)} takes the \\spadtype{ThreeSpace} \\spad{s},{} and creates a list containing a unique \\spadtype{ThreeSpace} for each single component of \\spad{s}. If \\spad{s} has no components defined,{} the list returned is empty.")) (|composite| (($ (|List| $)) "\\spad{composite([s1,{}s2,{}...,{}sn])} will create a new \\spadtype{ThreeSpace} that is a union of all the components from each \\spadtype{ThreeSpace} in the parameter list,{} grouped as a composite.")) (|merge| (($ $ $) "\\spad{merge(s1,{}s2)} will create a new \\spadtype{ThreeSpace} that has the components of \\spad{s1} and \\spad{s2}; Groupings of components into composites are maintained.") (($ (|List| $)) "\\spad{merge([s1,{}s2,{}...,{}sn])} will create a new \\spadtype{ThreeSpace} that has the components of all the ones in the list; Groupings of components into composites are maintained.")) (|numberOfComposites| (((|NonNegativeInteger|) $) "\\spad{numberOfComposites(s)} returns the number of supercomponents,{} or composites,{} in the \\spadtype{ThreeSpace},{} \\spad{s}; Composites are arbitrary groupings of otherwise distinct and unrelated components; A \\spadtype{ThreeSpace} need not have any composites defined at all and,{} outside of the requirement that no component can belong to more than one composite at a time,{} the definition and interpretation of composites are unrestricted.")) (|numberOfComponents| (((|NonNegativeInteger|) $) "\\spad{numberOfComponents(s)} returns the number of distinct object components in the indicated \\spadtype{ThreeSpace},{} \\spad{s},{} such as points,{} curves,{} polygons,{} and constructs.")) (|create3Space| (($ (|SubSpace| 3 |#1|)) "\\spad{create3Space(s)} creates a \\spadtype{ThreeSpace} object containing objects pre-defined within some \\spadtype{SubSpace} \\spad{s}.") (($) "\\spad{create3Space()} creates a \\spadtype{ThreeSpace} object capable of holding point,{} curve,{} mesh components and any combination."))) 
 NIL 
 NIL 
-(-1123) 
+(-1124) 
 ((|constructor| (NIL "SpecialOutputPackage allows FORTRAN,{} Tex and Script Formula Formatter output from programs.")) (|outputAsTex| (((|Void|) (|List| (|OutputForm|))) "\\spad{outputAsTex(l)} sends (for each expression in the list \\spad{l}) output in Tex format to the destination as defined by \\spadsyscom{set output tex}.") (((|Void|) (|OutputForm|)) "\\spad{outputAsTex(o)} sends output \\spad{o} in Tex format to the destination defined by \\spadsyscom{set output tex}.")) (|outputAsScript| (((|Void|) (|List| (|OutputForm|))) "\\spad{outputAsScript(l)} sends (for each expression in the list \\spad{l}) output in Script Formula Formatter format to the destination defined. by \\spadsyscom{set output forumula}.") (((|Void|) (|OutputForm|)) "\\spad{outputAsScript(o)} sends output \\spad{o} in Script Formula Formatter format to the destination defined by \\spadsyscom{set output formula}.")) (|outputAsFortran| (((|Void|) (|List| (|OutputForm|))) "\\spad{outputAsFortran(l)} sends (for each expression in the list \\spad{l}) output in FORTRAN format to the destination defined by \\spadsyscom{set output fortran}.") (((|Void|) (|OutputForm|)) "\\spad{outputAsFortran(o)} sends output \\spad{o} in FORTRAN format.") (((|Void|) (|String|) (|OutputForm|)) "\\spad{outputAsFortran(v,{}o)} sends output \\spad{v} = \\spad{o} in FORTRAN format to the destination defined by \\spadsyscom{set output fortran}."))) 
 NIL 
 NIL 
-(-1124) 
+(-1125) 
 ((|constructor| (NIL "Category for the other special functions.")) (|airyBi| (($ $) "\\spad{airyBi(x)} is the Airy function \\spad{\\spad{Bi}(x)}.")) (|airyAi| (($ $) "\\spad{airyAi(x)} is the Airy function \\spad{\\spad{Ai}(x)}.")) (|besselK| (($ $ $) "\\spad{besselK(v,{}z)} is the modified Bessel function of the second kind.")) (|besselI| (($ $ $) "\\spad{besselI(v,{}z)} is the modified Bessel function of the first kind.")) (|besselY| (($ $ $) "\\spad{besselY(v,{}z)} is the Bessel function of the second kind.")) (|besselJ| (($ $ $) "\\spad{besselJ(v,{}z)} is the Bessel function of the first kind.")) (|polygamma| (($ $ $) "\\spad{polygamma(k,{}x)} is the \\spad{k-th} derivative of \\spad{digamma(x)},{} (often written \\spad{psi(k,{}x)} in the literature).")) (|digamma| (($ $) "\\spad{digamma(x)} is the logarithmic derivative of \\spad{Gamma(x)} (often written \\spad{psi(x)} in the literature).")) (|Beta| (($ $ $) "\\spad{Beta(x,{}y)} is \\spad{Gamma(x) * Gamma(y)/Gamma(x+y)}.")) (|Gamma| (($ $ $) "\\spad{Gamma(a,{}x)} is the incomplete Gamma function.") (($ $) "\\spad{Gamma(x)} is the Euler Gamma function.")) (|abs| (($ $) "\\spad{abs(x)} returns the absolute value of \\spad{x}."))) 
 NIL 
 NIL 
-(-1125 V C) 
+(-1126 V C) 
 ((|constructor| (NIL "This domain exports a modest implementation for the vertices of splitting trees. These vertices are called here splitting nodes. Every of these nodes store 3 informations. The first one is its value,{} that is the current expression to evaluate. The second one is its condition,{} that is the hypothesis under which the value has to be evaluated. The last one is its status,{} that is a boolean flag which is \\spad{true} iff the value is the result of its evaluation under its condition. Two splitting vertices are equal iff they have the sane values and the same conditions (so their status do not matter).")) (|subNode?| (((|Boolean|) $ $ (|Mapping| (|Boolean|) |#2| |#2|)) "\\axiom{subNode?(\\spad{n1},{}\\spad{n2},{}\\spad{o2})} returns \\spad{true} iff \\axiom{value(\\spad{n1}) = value(\\spad{n2})} and \\axiom{\\spad{o2}(condition(\\spad{n1}),{}condition(\\spad{n2}))}")) (|infLex?| (((|Boolean|) $ $ (|Mapping| (|Boolean|) |#1| |#1|) (|Mapping| (|Boolean|) |#2| |#2|)) "\\axiom{infLex?(\\spad{n1},{}\\spad{n2},{}\\spad{o1},{}\\spad{o2})} returns \\spad{true} iff \\axiom{\\spad{o1}(value(\\spad{n1}),{}value(\\spad{n2}))} or \\axiom{value(\\spad{n1}) = value(\\spad{n2})} and \\axiom{\\spad{o2}(condition(\\spad{n1}),{}condition(\\spad{n2}))}.")) (|setEmpty!| (($ $) "\\axiom{setEmpty!(\\spad{n})} replaces \\spad{n} by \\axiom{empty()\\$\\%}.")) (|setStatus!| (($ $ (|Boolean|)) "\\axiom{setStatus!(\\spad{n},{}\\spad{b})} returns \\spad{n} whose status has been replaced by \\spad{b} if it is not empty,{} else an error is produced.")) (|setCondition!| (($ $ |#2|) "\\axiom{setCondition!(\\spad{n},{}\\spad{t})} returns \\spad{n} whose condition has been replaced by \\spad{t} if it is not empty,{} else an error is produced.")) (|setValue!| (($ $ |#1|) "\\axiom{setValue!(\\spad{n},{}\\spad{v})} returns \\spad{n} whose value has been replaced by \\spad{v} if it is not empty,{} else an error is produced.")) (|copy| (($ $) "\\axiom{copy(\\spad{n})} returns a copy of \\spad{n}.")) (|construct| (((|List| $) |#1| (|List| |#2|)) "\\axiom{construct(\\spad{v},{}\\spad{lt})} returns the same as \\axiom{[construct(\\spad{v},{}\\spad{t}) for \\spad{t} in \\spad{lt}]}") (((|List| $) (|List| (|Record| (|:| |val| |#1|) (|:| |tower| |#2|)))) "\\axiom{construct(\\spad{lvt})} returns the same as \\axiom{[construct(\\spad{vt}.val,{}\\spad{vt}.tower) for \\spad{vt} in \\spad{lvt}]}") (($ (|Record| (|:| |val| |#1|) (|:| |tower| |#2|))) "\\axiom{construct(\\spad{vt})} returns the same as \\axiom{construct(\\spad{vt}.val,{}\\spad{vt}.tower)}") (($ |#1| |#2|) "\\axiom{construct(\\spad{v},{}\\spad{t})} returns the same as \\axiom{construct(\\spad{v},{}\\spad{t},{}\\spad{false})}") (($ |#1| |#2| (|Boolean|)) "\\axiom{construct(\\spad{v},{}\\spad{t},{}\\spad{b})} returns the non-empty node with value \\spad{v},{} condition \\spad{t} and flag \\spad{b}")) (|status| (((|Boolean|) $) "\\axiom{status(\\spad{n})} returns the status of the node \\spad{n}.")) (|condition| ((|#2| $) "\\axiom{condition(\\spad{n})} returns the condition of the node \\spad{n}.")) (|value| ((|#1| $) "\\axiom{value(\\spad{n})} returns the value of the node \\spad{n}.")) (|empty?| (((|Boolean|) $) "\\axiom{empty?(\\spad{n})} returns \\spad{true} iff the node \\spad{n} is \\axiom{empty()\\$\\%}.")) (|empty| (($) "\\axiom{empty()} returns the same as \\axiom{[empty()\\$\\spad{V},{}empty()\\$\\spad{C},{}\\spad{false}]\\$\\%}"))) 
 NIL 
 NIL 
-(-1126 V C) 
+(-1127 V C) 
 ((|constructor| (NIL "This domain exports a modest implementation of splitting trees. Spliiting trees are needed when the evaluation of some quantity under some hypothesis requires to split the hypothesis into sub-cases. For instance by adding some new hypothesis on one hand and its negation on another hand. The computations are terminated is a splitting tree \\axiom{a} when \\axiom{status(value(a))} is \\axiom{\\spad{true}}. Thus,{} if for the splitting tree \\axiom{a} the flag \\axiom{status(value(a))} is \\axiom{\\spad{true}},{} then \\axiom{status(value(\\spad{d}))} is \\axiom{\\spad{true}} for any subtree \\axiom{\\spad{d}} of \\axiom{a}. This property of splitting trees is called the termination condition. If no vertex in a splitting tree \\axiom{a} is equal to another,{} \\axiom{a} is said to satisfy the no-duplicates condition. The splitting tree \\axiom{a} will satisfy this condition if nodes are added to \\axiom{a} by mean of \\axiom{splitNodeOf!} and if \\axiom{construct} is only used to create the root of \\axiom{a} with no children.")) (|splitNodeOf!| (($ $ $ (|List| (|SplittingNode| |#1| |#2|)) (|Mapping| (|Boolean|) |#2| |#2|)) "\\axiom{splitNodeOf!(\\spad{l},{}a,{}\\spad{ls},{}sub?)} returns \\axiom{a} where the children list of \\axiom{\\spad{l}} has been set to \\axiom{[[\\spad{s}]\\$\\% for \\spad{s} in \\spad{ls} | not subNodeOf?(\\spad{s},{}a,{}sub?)]}. Thus,{} if \\axiom{\\spad{l}} is not a node of \\axiom{a},{} this latter splitting tree is unchanged.") (($ $ $ (|List| (|SplittingNode| |#1| |#2|))) "\\axiom{splitNodeOf!(\\spad{l},{}a,{}\\spad{ls})} returns \\axiom{a} where the children list of \\axiom{\\spad{l}} has been set to \\axiom{[[\\spad{s}]\\$\\% for \\spad{s} in \\spad{ls} | not nodeOf?(\\spad{s},{}a)]}. Thus,{} if \\axiom{\\spad{l}} is not a node of \\axiom{a},{} this latter splitting tree is unchanged.")) (|remove!| (($ (|SplittingNode| |#1| |#2|) $) "\\axiom{remove!(\\spad{s},{}a)} replaces a by remove(\\spad{s},{}a)")) (|remove| (($ (|SplittingNode| |#1| |#2|) $) "\\axiom{remove(\\spad{s},{}a)} returns the splitting tree obtained from a by removing every sub-tree \\axiom{\\spad{b}} such that \\axiom{value(\\spad{b})} and \\axiom{\\spad{s}} have the same value,{} condition and status.")) (|subNodeOf?| (((|Boolean|) (|SplittingNode| |#1| |#2|) $ (|Mapping| (|Boolean|) |#2| |#2|)) "\\axiom{subNodeOf?(\\spad{s},{}a,{}sub?)} returns \\spad{true} iff for some node \\axiom{\\spad{n}} in \\axiom{a} we have \\axiom{\\spad{s} = \\spad{n}} or \\axiom{status(\\spad{n})} and \\axiom{subNode?(\\spad{s},{}\\spad{n},{}sub?)}.")) (|nodeOf?| (((|Boolean|) (|SplittingNode| |#1| |#2|) $) "\\axiom{nodeOf?(\\spad{s},{}a)} returns \\spad{true} iff some node of \\axiom{a} is equal to \\axiom{\\spad{s}}")) (|result| (((|List| (|Record| (|:| |val| |#1|) (|:| |tower| |#2|))) $) "\\axiom{result(a)} where \\axiom{\\spad{ls}} is the leaves list of \\axiom{a} returns \\axiom{[[value(\\spad{s}),{}condition(\\spad{s})]\\$\\spad{VT} for \\spad{s} in \\spad{ls}]} if the computations are terminated in \\axiom{a} else an error is produced.")) (|conditions| (((|List| |#2|) $) "\\axiom{conditions(a)} returns the list of the conditions of the leaves of a")) (|construct| (($ |#1| |#2| |#1| (|List| |#2|)) "\\axiom{construct(\\spad{v1},{}\\spad{t},{}\\spad{v2},{}\\spad{lt})} creates a splitting tree with value (\\spadignore{i.e.} root vertex) given by \\axiom{[\\spad{v},{}\\spad{t}]\\$\\spad{S}} and with children list given by \\axiom{[[[\\spad{v},{}\\spad{t}]\\$\\spad{S}]\\$\\% for \\spad{s} in \\spad{ls}]}.") (($ |#1| |#2| (|List| (|SplittingNode| |#1| |#2|))) "\\axiom{construct(\\spad{v},{}\\spad{t},{}\\spad{ls})} creates a splitting tree with value (\\spadignore{i.e.} root vertex) given by \\axiom{[\\spad{v},{}\\spad{t}]\\$\\spad{S}} and with children list given by \\axiom{[[\\spad{s}]\\$\\% for \\spad{s} in \\spad{ls}]}.") (($ |#1| |#2| (|List| $)) "\\axiom{construct(\\spad{v},{}\\spad{t},{}la)} creates a splitting tree with value (\\spadignore{i.e.} root vertex) given by \\axiom{[\\spad{v},{}\\spad{t}]\\$\\spad{S}} and with \\axiom{la} as children list.") (($ (|SplittingNode| |#1| |#2|)) "\\axiom{construct(\\spad{s})} creates a splitting tree with value (\\spadignore{i.e.} root vertex) given by \\axiom{\\spad{s}} and no children. Thus,{} if the status of \\axiom{\\spad{s}} is \\spad{false},{} \\axiom{[\\spad{s}]} represents the starting point of the evaluation \\axiom{value(\\spad{s})} under the hypothesis \\axiom{condition(\\spad{s})}.")) (|updateStatus!| (($ $) "\\axiom{updateStatus!(a)} returns a where the status of the vertices are updated to satisfy the \"termination condition\".")) (|extractSplittingLeaf| (((|Union| $ "failed") $) "\\axiom{extractSplittingLeaf(a)} returns the left most leaf (as a tree) whose status is \\spad{false} if any,{} else \"failed\" is returned."))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| (-1125 |#1| |#2|) (QUOTE (-1090))) (-12 (|HasCategory| (-1125 |#1| |#2|) (LIST (QUOTE -303) (LIST (QUOTE -1125) (|devaluate| |#1|) (|devaluate| |#2|)))) (|HasCategory| (-1125 |#1| |#2|) (QUOTE (-1090))))) 
-(-1127 |ndim| R) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| (-1126 |#1| |#2|) (QUOTE (-1091))) (-12 (|HasCategory| (-1126 |#1| |#2|) (LIST (QUOTE -304) (LIST (QUOTE -1126) (|devaluate| |#1|) (|devaluate| |#2|)))) (|HasCategory| (-1126 |#1| |#2|) (QUOTE (-1091))))) 
+(-1128 |ndim| R) 
 ((|constructor| (NIL "\\spadtype{SquareMatrix} is a matrix domain of square matrices,{} where the number of rows (= number of columns) is a parameter of the type.")) (|unitsKnown| ((|attribute|) "the invertible matrices are simply the matrices whose determinants are units in the Ring \\spad{R}.")) (|central| ((|attribute|) "the elements of the Ring \\spad{R},{} viewed as diagonal matrices,{} commute with all matrices and,{} indeed,{} are the only matrices which commute with all matrices.")) (|coerce| (((|Matrix| |#2|) $) "\\spad{coerce(m)} converts a matrix of type \\spadtype{SquareMatrix} to a matrix of type \\spadtype{Matrix}.")) (|squareMatrix| (($ (|Matrix| |#2|)) "\\spad{squareMatrix(m)} converts a matrix of type \\spadtype{Matrix} to a matrix of type \\spadtype{SquareMatrix}.")) (|transpose| (($ $) "\\spad{transpose(m)} returns the transpose of the matrix \\spad{m}."))) 
-((-4518 . T) (-4510 |has| |#2| (-6 (-4523 "*"))) (-4521 . T) (-4515 . T) (-4516 . T)) 
-((|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-225))) (|HasAttribute| |#2| (QUOTE (-4523 "*"))) (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#2| (QUOTE (-301))) (|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-1090))) (|HasCategory| |#2| (QUOTE (-365))) (-2199 (|HasAttribute| |#2| (QUOTE (-4523 "*"))) (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#2| (QUOTE (-225)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-225)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1090))))) (|HasCategory| |#2| (QUOTE (-172)))) 
-(-1128 S) 
+((-4532 . T) (-4524 |has| |#2| (-6 (-4537 "*"))) (-4535 . T) (-4529 . T) (-4530 . T)) 
+((|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-226))) (|HasAttribute| |#2| (QUOTE (-4537 "*"))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-1091))) (|HasCategory| |#2| (QUOTE (-366))) (-2232 (|HasAttribute| |#2| (QUOTE (-4537 "*"))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091))))) (|HasCategory| |#2| (QUOTE (-173)))) 
+(-1129 S) 
 ((|constructor| (NIL "A string aggregate is a category for strings,{} that is,{} one dimensional arrays of characters.")) (|elt| (($ $ $) "\\spad{elt(s,{}t)} returns the concatenation of \\spad{s} and \\spad{t}. It is provided to allow juxtaposition of strings to work as concatenation. For example,{} \\axiom{\"smoo\" \"shed\"} returns \\axiom{\"smooshed\"}.")) (|rightTrim| (($ $ (|CharacterClass|)) "\\spad{rightTrim(s,{}cc)} returns \\spad{s} with all trailing occurences of characters in \\spad{cc} deleted. For example,{} \\axiom{rightTrim(\"(abc)\",{} charClass \"()\")} returns \\axiom{\"(abc\"}.") (($ $ (|Character|)) "\\spad{rightTrim(s,{}c)} returns \\spad{s} with all trailing occurrences of \\spad{c} deleted. For example,{} \\axiom{rightTrim(\" abc \",{} char \" \")} returns \\axiom{\" abc\"}.")) (|leftTrim| (($ $ (|CharacterClass|)) "\\spad{leftTrim(s,{}cc)} returns \\spad{s} with all leading characters in \\spad{cc} deleted. For example,{} \\axiom{leftTrim(\"(abc)\",{} charClass \"()\")} returns \\axiom{\"abc)\"}.") (($ $ (|Character|)) "\\spad{leftTrim(s,{}c)} returns \\spad{s} with all leading characters \\spad{c} deleted. For example,{} \\axiom{leftTrim(\" abc \",{} char \" \")} returns \\axiom{\"abc \"}.")) (|trim| (($ $ (|CharacterClass|)) "\\spad{trim(s,{}cc)} returns \\spad{s} with all characters in \\spad{cc} deleted from right and left ends. For example,{} \\axiom{trim(\"(abc)\",{} charClass \"()\")} returns \\axiom{\"abc\"}.") (($ $ (|Character|)) "\\spad{trim(s,{}c)} returns \\spad{s} with all characters \\spad{c} deleted from right and left ends. For example,{} \\axiom{trim(\" abc \",{} char \" \")} returns \\axiom{\"abc\"}.")) (|split| (((|List| $) $ (|CharacterClass|)) "\\spad{split(s,{}cc)} returns a list of substrings delimited by characters in \\spad{cc}.") (((|List| $) $ (|Character|)) "\\spad{split(s,{}c)} returns a list of substrings delimited by character \\spad{c}.")) (|coerce| (($ (|Character|)) "\\spad{coerce(c)} returns \\spad{c} as a string \\spad{s} with the character \\spad{c}.")) (|position| (((|Integer|) (|CharacterClass|) $ (|Integer|)) "\\spad{position(cc,{}t,{}i)} returns the position \\axiom{\\spad{j} \\spad{>=} \\spad{i}} in \\spad{t} of the first character belonging to \\spad{cc}.") (((|Integer|) $ $ (|Integer|)) "\\spad{position(s,{}t,{}i)} returns the position \\spad{j} of the substring \\spad{s} in string \\spad{t},{} where \\axiom{\\spad{j} \\spad{>=} \\spad{i}} is required.")) (|replace| (($ $ (|UniversalSegment| (|Integer|)) $) "\\spad{replace(s,{}i..j,{}t)} replaces the substring \\axiom{\\spad{s}(\\spad{i}..\\spad{j})} of \\spad{s} by string \\spad{t}.")) (|match?| (((|Boolean|) $ $ (|Character|)) "\\spad{match?(s,{}t,{}c)} tests if \\spad{s} matches \\spad{t} except perhaps for multiple and consecutive occurrences of character \\spad{c}. Typically \\spad{c} is the blank character.")) (|match| (((|NonNegativeInteger|) $ $ (|Character|)) "\\spad{match(p,{}s,{}wc)} tests if pattern \\axiom{\\spad{p}} matches subject \\axiom{\\spad{s}} where \\axiom{\\spad{wc}} is a wild card character. If no match occurs,{} the index \\axiom{0} is returned; otheriwse,{} the value returned is the first index of the first character in the subject matching the subject (excluding that matched by an initial wild-card). For example,{} \\axiom{match(\"*to*\",{}\"yorktown\",{}\\spad{\"*\"})} returns \\axiom{5} indicating a successful match starting at index \\axiom{5} of \\axiom{\"yorktown\"}.")) (|substring?| (((|Boolean|) $ $ (|Integer|)) "\\spad{substring?(s,{}t,{}i)} tests if \\spad{s} is a substring of \\spad{t} beginning at index \\spad{i}. Note that \\axiom{substring?(\\spad{s},{}\\spad{t},{}0) = prefix?(\\spad{s},{}\\spad{t})}.")) (|suffix?| (((|Boolean|) $ $) "\\spad{suffix?(s,{}t)} tests if the string \\spad{s} is the final substring of \\spad{t}. Note that \\axiom{suffix?(\\spad{s},{}\\spad{t}) \\spad{==} \\indented{1}{reduce(and,{}[\\spad{s}.\\spad{i} = \\spad{t}.(\\spad{n} - \\spad{m} + \\spad{i}) for \\spad{i} in 0..maxIndex \\spad{s}])}} where \\spad{m} and \\spad{n} denote the maxIndex of \\spad{s} and \\spad{t} respectively.")) (|prefix?| (((|Boolean|) $ $) "\\spad{prefix?(s,{}t)} tests if the string \\spad{s} is the initial substring of \\spad{t}. Note that \\axiom{prefix?(\\spad{s},{}\\spad{t}) \\spad{==} \\indented{2}{reduce(and,{}[\\spad{s}.\\spad{i} = \\spad{t}.\\spad{i} for \\spad{i} in 0..maxIndex \\spad{s}])}.}")) (|upperCase!| (($ $) "\\spad{upperCase!(s)} destructively replaces the alphabetic characters in \\spad{s} by upper case characters.")) (|upperCase| (($ $) "\\spad{upperCase(s)} returns the string with all characters in upper case.")) (|lowerCase!| (($ $) "\\spad{lowerCase!(s)} destructively replaces the alphabetic characters in \\spad{s} by lower case.")) (|lowerCase| (($ $) "\\spad{lowerCase(s)} returns the string with all characters in lower case."))) 
 NIL 
 NIL 
-(-1129) 
+(-1130) 
 ((|constructor| (NIL "A string aggregate is a category for strings,{} that is,{} one dimensional arrays of characters.")) (|elt| (($ $ $) "\\spad{elt(s,{}t)} returns the concatenation of \\spad{s} and \\spad{t}. It is provided to allow juxtaposition of strings to work as concatenation. For example,{} \\axiom{\"smoo\" \"shed\"} returns \\axiom{\"smooshed\"}.")) (|rightTrim| (($ $ (|CharacterClass|)) "\\spad{rightTrim(s,{}cc)} returns \\spad{s} with all trailing occurences of characters in \\spad{cc} deleted. For example,{} \\axiom{rightTrim(\"(abc)\",{} charClass \"()\")} returns \\axiom{\"(abc\"}.") (($ $ (|Character|)) "\\spad{rightTrim(s,{}c)} returns \\spad{s} with all trailing occurrences of \\spad{c} deleted. For example,{} \\axiom{rightTrim(\" abc \",{} char \" \")} returns \\axiom{\" abc\"}.")) (|leftTrim| (($ $ (|CharacterClass|)) "\\spad{leftTrim(s,{}cc)} returns \\spad{s} with all leading characters in \\spad{cc} deleted. For example,{} \\axiom{leftTrim(\"(abc)\",{} charClass \"()\")} returns \\axiom{\"abc)\"}.") (($ $ (|Character|)) "\\spad{leftTrim(s,{}c)} returns \\spad{s} with all leading characters \\spad{c} deleted. For example,{} \\axiom{leftTrim(\" abc \",{} char \" \")} returns \\axiom{\"abc \"}.")) (|trim| (($ $ (|CharacterClass|)) "\\spad{trim(s,{}cc)} returns \\spad{s} with all characters in \\spad{cc} deleted from right and left ends. For example,{} \\axiom{trim(\"(abc)\",{} charClass \"()\")} returns \\axiom{\"abc\"}.") (($ $ (|Character|)) "\\spad{trim(s,{}c)} returns \\spad{s} with all characters \\spad{c} deleted from right and left ends. For example,{} \\axiom{trim(\" abc \",{} char \" \")} returns \\axiom{\"abc\"}.")) (|split| (((|List| $) $ (|CharacterClass|)) "\\spad{split(s,{}cc)} returns a list of substrings delimited by characters in \\spad{cc}.") (((|List| $) $ (|Character|)) "\\spad{split(s,{}c)} returns a list of substrings delimited by character \\spad{c}.")) (|coerce| (($ (|Character|)) "\\spad{coerce(c)} returns \\spad{c} as a string \\spad{s} with the character \\spad{c}.")) (|position| (((|Integer|) (|CharacterClass|) $ (|Integer|)) "\\spad{position(cc,{}t,{}i)} returns the position \\axiom{\\spad{j} \\spad{>=} \\spad{i}} in \\spad{t} of the first character belonging to \\spad{cc}.") (((|Integer|) $ $ (|Integer|)) "\\spad{position(s,{}t,{}i)} returns the position \\spad{j} of the substring \\spad{s} in string \\spad{t},{} where \\axiom{\\spad{j} \\spad{>=} \\spad{i}} is required.")) (|replace| (($ $ (|UniversalSegment| (|Integer|)) $) "\\spad{replace(s,{}i..j,{}t)} replaces the substring \\axiom{\\spad{s}(\\spad{i}..\\spad{j})} of \\spad{s} by string \\spad{t}.")) (|match?| (((|Boolean|) $ $ (|Character|)) "\\spad{match?(s,{}t,{}c)} tests if \\spad{s} matches \\spad{t} except perhaps for multiple and consecutive occurrences of character \\spad{c}. Typically \\spad{c} is the blank character.")) (|match| (((|NonNegativeInteger|) $ $ (|Character|)) "\\spad{match(p,{}s,{}wc)} tests if pattern \\axiom{\\spad{p}} matches subject \\axiom{\\spad{s}} where \\axiom{\\spad{wc}} is a wild card character. If no match occurs,{} the index \\axiom{0} is returned; otheriwse,{} the value returned is the first index of the first character in the subject matching the subject (excluding that matched by an initial wild-card). For example,{} \\axiom{match(\"*to*\",{}\"yorktown\",{}\\spad{\"*\"})} returns \\axiom{5} indicating a successful match starting at index \\axiom{5} of \\axiom{\"yorktown\"}.")) (|substring?| (((|Boolean|) $ $ (|Integer|)) "\\spad{substring?(s,{}t,{}i)} tests if \\spad{s} is a substring of \\spad{t} beginning at index \\spad{i}. Note that \\axiom{substring?(\\spad{s},{}\\spad{t},{}0) = prefix?(\\spad{s},{}\\spad{t})}.")) (|suffix?| (((|Boolean|) $ $) "\\spad{suffix?(s,{}t)} tests if the string \\spad{s} is the final substring of \\spad{t}. Note that \\axiom{suffix?(\\spad{s},{}\\spad{t}) \\spad{==} \\indented{1}{reduce(and,{}[\\spad{s}.\\spad{i} = \\spad{t}.(\\spad{n} - \\spad{m} + \\spad{i}) for \\spad{i} in 0..maxIndex \\spad{s}])}} where \\spad{m} and \\spad{n} denote the maxIndex of \\spad{s} and \\spad{t} respectively.")) (|prefix?| (((|Boolean|) $ $) "\\spad{prefix?(s,{}t)} tests if the string \\spad{s} is the initial substring of \\spad{t}. Note that \\axiom{prefix?(\\spad{s},{}\\spad{t}) \\spad{==} \\indented{2}{reduce(and,{}[\\spad{s}.\\spad{i} = \\spad{t}.\\spad{i} for \\spad{i} in 0..maxIndex \\spad{s}])}.}")) (|upperCase!| (($ $) "\\spad{upperCase!(s)} destructively replaces the alphabetic characters in \\spad{s} by upper case characters.")) (|upperCase| (($ $) "\\spad{upperCase(s)} returns the string with all characters in upper case.")) (|lowerCase!| (($ $) "\\spad{lowerCase!(s)} destructively replaces the alphabetic characters in \\spad{s} by lower case.")) (|lowerCase| (($ $) "\\spad{lowerCase(s)} returns the string with all characters in lower case."))) 
-((-4522 . T) (-4521 . T) (-3973 . T)) 
+((-4536 . T) (-4535 . T) (-2982 . T)) 
 NIL 
-(-1130 R E V P TS) 
+(-1131 R E V P TS) 
 ((|constructor| (NIL "A package providing a new algorithm for solving polynomial systems by means of regular chains. Two ways of solving are provided: in the sense of Zariski closure (like in Kalkbrener\\spad{'s} algorithm) or in the sense of the regular zeros (like in Wu,{} Wang or Lazard- Moreno methods). This algorithm is valid for nay type of regular set. It does not care about the way a polynomial is added in an regular set,{} or how two quasi-components are compared (by an inclusion-test),{} or how the invertibility test is made in the tower of simple extensions associated with a regular set. These operations are realized respectively by the domain \\spad{TS} and the packages \\spad{QCMPPK(R,{}E,{}V,{}P,{}TS)} and \\spad{RSETGCD(R,{}E,{}V,{}P,{}TS)}. The same way it does not care about the way univariate polynomial gcds (with coefficients in the tower of simple extensions associated with a regular set) are computed. The only requirement is that these gcds need to have invertible initials (normalized or not). WARNING. There is no need for a user to call diectly any operation of this package since they can be accessed by the domain \\axiomType{\\spad{TS}}. Thus,{} the operations of this package are not documented."))) 
 NIL 
 NIL 
-(-1131 R E V P) 
+(-1132 R E V P) 
 ((|constructor| (NIL "This domain provides an implementation of square-free regular chains. Moreover,{} the operation zeroSetSplit is an implementation of a new algorithm for solving polynomial systems by means of regular chains.")) (|preprocess| (((|Record| (|:| |val| (|List| |#4|)) (|:| |towers| (|List| $))) (|List| |#4|) (|Boolean|) (|Boolean|)) "\\axiom{pre_process(\\spad{lp},{}\\spad{b1},{}\\spad{b2})} is an internal subroutine,{} exported only for developement.")) (|internalZeroSetSplit| (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{internalZeroSetSplit(\\spad{lp},{}\\spad{b1},{}\\spad{b2},{}\\spad{b3})} is an internal subroutine,{} exported only for developement.")) (|zeroSetSplit| (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{zeroSetSplit(\\spad{lp},{}\\spad{b1},{}\\spad{b2}.\\spad{b3},{}\\spad{b4})} is an internal subroutine,{} exported only for developement.") (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|)) "\\axiom{zeroSetSplit(\\spad{lp},{}clos?,{}info?)} has the same specifications as zeroSetSplit from RegularTriangularSetCategory from \\spadtype{RegularTriangularSetCategory} Moreover,{} if clos? then solves in the sense of the Zariski closure else solves in the sense of the regular zeros. If \\axiom{info?} then do print messages during the computations.")) (|internalAugment| (((|List| $) |#4| $ (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{internalAugment(\\spad{p},{}\\spad{ts},{}\\spad{b1},{}\\spad{b2},{}\\spad{b3},{}\\spad{b4},{}\\spad{b5})} is an internal subroutine,{} exported only for developement."))) 
-((-4522 . T) (-4521 . T)) 
-((|HasCategory| |#4| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#4| (QUOTE (-1090))) (-12 (|HasCategory| |#4| (LIST (QUOTE -303) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1090)))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#3| (QUOTE (-370)))) 
-(-1132 S) 
+((-4536 . T) (-4535 . T)) 
+((|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#4| (QUOTE (-1091))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#3| (QUOTE (-371)))) 
+(-1133 S) 
 ((|constructor| (NIL "Linked List implementation of a Stack")) (|member?| (((|Boolean|) |#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} member?(3,{}a)")) (|members| (((|List| |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} members a")) (|parts| (((|List| |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} parts a")) (|#| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} \\#a")) (|count| (((|NonNegativeInteger|) |#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} count(4,{}a)") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} count(\\spad{x+}->(\\spad{x>2}),{}a)")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} any?(\\spad{x+}->(\\spad{x=4}),{}a)")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} every?(\\spad{x+}->(\\spad{x=4}),{}a)")) (~= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} b:=copy a \\spad{X} (a~=b)")) (= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} b:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} (a=b)@Boolean")) (|coerce| (((|OutputForm|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} coerce a")) (|hash| (((|SingleInteger|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} hash a")) (|latex| (((|String|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} latex a")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} map!(\\spad{x+}-\\spad{>x+10},{}a) \\spad{X} a")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} map(\\spad{x+}-\\spad{>x+10},{}a) \\spad{X} a")) (|eq?| (((|Boolean|) $ $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} b:=copy a \\spad{X} eq?(a,{}\\spad{b})")) (|copy| (($ $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} copy a")) (|sample| (($) "\\blankline \\spad{X} sample()\\$Stack(INT)")) (|empty| (($) "\\blankline \\spad{X} b:=empty()\\$(Stack INT)")) (|empty?| (((|Boolean|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} empty? a")) (|bag| (($ (|List| |#1|)) "\\blankline \\spad{X} bag([1,{}2,{}3,{}4,{}5])\\$Stack(INT)")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} size?(a,{}5)")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} more?(a,{}9)")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} less?(a,{}9)")) (|depth| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} depth a")) (|top| ((|#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} top a")) (|inspect| ((|#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} inspect a")) (|insert!| (($ |#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} insert!(8,{}a) \\spad{X} a")) (|push!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} push!(9,{}a) \\spad{X} a")) (|extract!| ((|#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} extract! a \\spad{X} a")) (|pop!| ((|#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} pop! a \\spad{X} a")) (|stack| (($ (|List| |#1|)) "\\indented{1}{stack([\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]) creates a stack with first (top)} \\indented{1}{element \\spad{x},{} second element \\spad{y},{}...,{}and last element \\spad{z}.} \\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5]"))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090))))) 
-(-1133 A S) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
+(-1134 A S) 
 ((|constructor| (NIL "A stream aggregate is a linear aggregate which possibly has an infinite number of elements. A basic domain constructor which builds stream aggregates is \\spadtype{Stream}. From streams,{} a number of infinite structures such power series can be built. A stream aggregate may also be infinite since it may be cyclic. For example,{} see \\spadtype{DecimalExpansion}.")) (|possiblyInfinite?| (((|Boolean|) $) "\\spad{possiblyInfinite?(s)} tests if the stream \\spad{s} could possibly have an infinite number of elements. Note that for many datatypes,{} \\axiom{possiblyInfinite?(\\spad{s}) = not explictlyFinite?(\\spad{s})}.")) (|explicitlyFinite?| (((|Boolean|) $) "\\spad{explicitlyFinite?(s)} tests if the stream has a finite number of elements,{} and \\spad{false} otherwise. Note that for many datatypes,{} \\axiom{explicitlyFinite?(\\spad{s}) = not possiblyInfinite?(\\spad{s})}."))) 
 NIL 
 NIL 
-(-1134 S) 
+(-1135 S) 
 ((|constructor| (NIL "A stream aggregate is a linear aggregate which possibly has an infinite number of elements. A basic domain constructor which builds stream aggregates is \\spadtype{Stream}. From streams,{} a number of infinite structures such power series can be built. A stream aggregate may also be infinite since it may be cyclic. For example,{} see \\spadtype{DecimalExpansion}.")) (|possiblyInfinite?| (((|Boolean|) $) "\\spad{possiblyInfinite?(s)} tests if the stream \\spad{s} could possibly have an infinite number of elements. Note that for many datatypes,{} \\axiom{possiblyInfinite?(\\spad{s}) = not explictlyFinite?(\\spad{s})}.")) (|explicitlyFinite?| (((|Boolean|) $) "\\spad{explicitlyFinite?(s)} tests if the stream has a finite number of elements,{} and \\spad{false} otherwise. Note that for many datatypes,{} \\axiom{explicitlyFinite?(\\spad{s}) = not possiblyInfinite?(\\spad{s})}."))) 
-((-3973 . T)) 
+((-2982 . T)) 
 NIL 
-(-1135 |Key| |Ent| |dent|) 
+(-1136 |Key| |Ent| |dent|) 
 ((|constructor| (NIL "A sparse table has a default entry,{} which is returned if no other value has been explicitly stored for a key."))) 
-((-4522 . T)) 
-((|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#2| (QUOTE (-1090))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1090)))) (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (QUOTE (-1090))) (-12 (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (LIST (QUOTE -303) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3651) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -4085) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (QUOTE (-1090)))) (-2199 (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (QUOTE (-1090))) (|HasCategory| |#2| (QUOTE (-1090))))) 
-(-1136) 
+((-4536 . T)) 
+((|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-1091))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091)))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (-12 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3782) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091)))) (-2232 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (|HasCategory| |#2| (QUOTE (-1091))))) 
+(-1137) 
 ((|constructor| (NIL "A class of objects which can be 'stepped through'. Repeated applications of \\spadfun{nextItem} is guaranteed never to return duplicate items and only return \"failed\" after exhausting all elements of the domain. This assumes that the sequence starts with \\spad{init()}. For infinite domains,{} repeated application of \\spadfun{nextItem} is not required to reach all possible domain elements starting from any initial element. \\blankline Conditional attributes\\spad{\\br} \\tab{5}infinite\\tab{5}repeated nextItem\\spad{'s} are never \"failed\".")) (|nextItem| (((|Union| $ "failed") $) "\\spad{nextItem(x)} returns the next item,{} or \"failed\" if domain is exhausted.")) (|init| (($) "\\spad{init()} chooses an initial object for stepping."))) 
 NIL 
 NIL 
-(-1137 |Coef|) 
+(-1138 |Coef|) 
 ((|constructor| (NIL "This package computes infinite products of Taylor series over an integral domain of characteristic 0. Here Taylor series are represented by streams of Taylor coefficients.")) (|generalInfiniteProduct| (((|Stream| |#1|) (|Stream| |#1|) (|Integer|) (|Integer|)) "\\spad{generalInfiniteProduct(f(x),{}a,{}d)} computes \\spad{product(n=a,{}a+d,{}a+2*d,{}...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|oddInfiniteProduct| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{oddInfiniteProduct(f(x))} computes \\spad{product(n=1,{}3,{}5...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|evenInfiniteProduct| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{evenInfiniteProduct(f(x))} computes \\spad{product(n=2,{}4,{}6...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|infiniteProduct| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{infiniteProduct(f(x))} computes \\spad{product(n=1,{}2,{}3...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1."))) 
 NIL 
 NIL 
-(-1138 S) 
+(-1139 R) 
+((|tensorMap| (((|Stream| |#1|) (|Stream| |#1|) (|Mapping| (|List| |#1|) |#1|)) "\\spad{tensorMap([s1,{} s2,{} ...],{} f)} returns the stream consisting of all elements of \\spad{f}(\\spad{s1}) followed by all elements of \\spad{f}(\\spad{s2}) and so on."))) 
+NIL 
+NIL 
+(-1140 S) 
 ((|constructor| (NIL "Functions defined on streams with entries in one set.")) (|concat| (((|Stream| |#1|) (|Stream| (|Stream| |#1|))) "\\indented{1}{concat(\\spad{u}) returns the left-to-right concatentation of the} \\indented{1}{streams in \\spad{u}. Note that \\spad{concat(u) = reduce(concat,{}u)}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 10..] \\spad{X} \\spad{n:=}[\\spad{j} for \\spad{j} in 1.. | prime? \\spad{j}] \\spad{X} \\spad{p:=}[\\spad{m},{}\\spad{n}]::Stream(Stream(PositiveInteger)) \\spad{X} concat(\\spad{p})"))) 
 NIL 
 NIL 
-(-1139 A B) 
+(-1141 A B) 
 ((|constructor| (NIL "Functions defined on streams with entries in two sets.")) (|reduce| ((|#2| |#2| (|Mapping| |#2| |#1| |#2|) (|Stream| |#1|)) "\\indented{1}{reduce(\\spad{b},{}\\spad{f},{}\\spad{u}),{} where \\spad{u} is a finite stream \\spad{[x0,{}x1,{}...,{}xn]},{}} \\indented{1}{returns the value \\spad{r(n)} computed as follows:} \\indented{1}{\\spad{r0 = f(x0,{}b),{}} \\indented{1}{\\spad{r1} = \\spad{f}(\\spad{x1},{}\\spad{r0}),{}...,{}} \\indented{1}{\\spad{r}(\\spad{n}) = \\spad{f}(\\spad{xn},{}\\spad{r}(\\spad{n}-1))}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 1..300]::Stream(Integer) \\spad{X} \\spad{f}(i:Integer,{}j:Integer):Integer==i+j \\spad{X} reduce(1,{}\\spad{f},{}\\spad{m})")) (|scan| (((|Stream| |#2|) |#2| (|Mapping| |#2| |#1| |#2|) (|Stream| |#1|)) "\\indented{1}{scan(\\spad{b},{}\\spad{h},{}[\\spad{x0},{}\\spad{x1},{}\\spad{x2},{}...]) returns \\spad{[y0,{}y1,{}y2,{}...]},{} where} \\indented{1}{\\spad{y0 = h(x0,{}b)},{}} \\indented{1}{\\spad{y1 = h(x1,{}y0)},{}\\spad{...}} \\indented{1}{\\spad{yn = h(xn,{}y(n-1))}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 1..]::Stream(Integer) \\spad{X} \\spad{f}(i:Integer,{}j:Integer):Integer==i+j \\spad{X} scan(1,{}\\spad{f},{}\\spad{m})")) (|map| (((|Stream| |#2|) (|Mapping| |#2| |#1|) (|Stream| |#1|)) "\\indented{1}{map(\\spad{f},{}\\spad{s}) returns a stream whose elements are the function \\spad{f} applied} \\indented{1}{to the corresponding elements of \\spad{s}.} \\indented{1}{Note that \\spad{map(f,{}[x0,{}x1,{}x2,{}...]) = [f(x0),{}f(x1),{}f(x2),{}..]}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 1..] \\spad{X} \\spad{f}(i:PositiveInteger)\\spad{:PositiveInteger==i**2} \\spad{X} map(\\spad{f},{}\\spad{m})"))) 
 NIL 
 NIL 
-(-1140 A B C) 
+(-1142 A B C) 
 ((|constructor| (NIL "Functions defined on streams with entries in three sets.")) (|map| (((|Stream| |#3|) (|Mapping| |#3| |#1| |#2|) (|Stream| |#1|) (|Stream| |#2|)) "\\indented{1}{map(\\spad{f},{}\\spad{st1},{}\\spad{st2}) returns the stream whose elements are the} \\indented{1}{function \\spad{f} applied to the corresponding elements of \\spad{st1} and \\spad{st2}.} \\indented{1}{\\spad{map(f,{}[x0,{}x1,{}x2,{}..],{}[y0,{}y1,{}y2,{}..]) = [f(x0,{}y0),{}f(x1,{}y1),{}..]}.} \\blankline \\spad{S} \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 1..]::Stream(Integer) \\spad{X} \\spad{n:=}[\\spad{i} for \\spad{i} in 1..]::Stream(Integer) \\spad{X} \\spad{f}(i:Integer,{}j:Integer):Integer \\spad{==} i+j \\spad{X} map(\\spad{f},{}\\spad{m},{}\\spad{n})"))) 
 NIL 
 NIL 
-(-1141 S) 
+(-1143 S) 
 ((|constructor| (NIL "A stream is an implementation of an infinite sequence using a list of terms that have been computed and a function closure to compute additional terms when needed.")) (|filterUntil| (($ (|Mapping| (|Boolean|) |#1|) $) "\\indented{1}{filterUntil(\\spad{p},{}\\spad{s}) returns \\spad{[x0,{}x1,{}...,{}x(n)]} where} \\indented{1}{\\spad{s = [x0,{}x1,{}x2,{}..]} and} \\indented{1}{\\spad{n} is the smallest index such that \\spad{p(xn) = true}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 1..] \\spad{X} \\spad{f}(x:PositiveInteger):Boolean \\spad{==} \\spad{x} < 5 \\spad{X} filterUntil(\\spad{f},{}\\spad{m})")) (|filterWhile| (($ (|Mapping| (|Boolean|) |#1|) $) "\\indented{1}{filterWhile(\\spad{p},{}\\spad{s}) returns \\spad{[x0,{}x1,{}...,{}x(n-1)]} where} \\indented{1}{\\spad{s = [x0,{}x1,{}x2,{}..]} and} \\indented{1}{\\spad{n} is the smallest index such that \\spad{p(xn) = false}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 1..] \\spad{X} \\spad{f}(x:PositiveInteger):Boolean \\spad{==} \\spad{x} < 5 \\spad{X} filterWhile(\\spad{f},{}\\spad{m})")) (|generate| (($ (|Mapping| |#1| |#1|) |#1|) "\\indented{1}{generate(\\spad{f},{}\\spad{x}) creates an infinite stream whose first element is} \\indented{1}{\\spad{x} and whose \\spad{n}th element (\\spad{n > 1}) is \\spad{f} applied to the previous} \\indented{1}{element. Note: \\spad{generate(f,{}x) = [x,{}f(x),{}f(f(x)),{}...]}.} \\blankline \\spad{X} \\spad{f}(x:Integer):Integer \\spad{==} \\spad{x+10} \\spad{X} generate(\\spad{f},{}10)") (($ (|Mapping| |#1|)) "\\indented{1}{generate(\\spad{f}) creates an infinite stream all of whose elements are} \\indented{1}{equal to \\spad{f()}.} \\indented{1}{Note: \\spad{generate(f) = [f(),{}f(),{}f(),{}...]}.} \\blankline \\spad{X} \\spad{f}():Integer \\spad{==} 1 \\spad{X} generate(\\spad{f})")) (|setrest!| (($ $ (|Integer|) $) "\\indented{1}{setrest!(\\spad{x},{}\\spad{n},{}\\spad{y}) sets rest(\\spad{x},{}\\spad{n}) to \\spad{y}. The function will expand} \\indented{1}{cycles if necessary.} \\blankline \\spad{X} \\spad{p:=}[\\spad{i} for \\spad{i} in 1..] \\spad{X} \\spad{q:=}[\\spad{i} for \\spad{i} in 9..] \\spad{X} setrest!(\\spad{p},{}4,{}\\spad{q}) \\spad{X} \\spad{p}")) (|showAll?| (((|Boolean|)) "\\spad{showAll?()} returns \\spad{true} if all computed entries of streams will be displayed.")) (|showAllElements| (((|OutputForm|) $) "\\indented{1}{showAllElements(\\spad{s}) creates an output form which displays all} \\indented{1}{computed elements.} \\blankline \\spad{X} \\spad{m:=}[1,{}2,{}3,{}4,{}5,{}6,{}7,{}8,{}9,{}10,{}11,{}12] \\spad{X} n:=m::Stream(PositiveInteger) \\spad{X} showAllElements \\spad{n}")) (|output| (((|Void|) (|Integer|) $) "\\indented{1}{output(\\spad{n},{}st) computes and displays the first \\spad{n} entries} \\indented{1}{of st.} \\blankline \\spad{X} \\spad{m:=}[1,{}2,{}3] \\spad{X} n:=repeating(\\spad{m}) \\spad{X} output(5,{}\\spad{n})")) (|cons| (($ |#1| $) "\\indented{1}{cons(a,{}\\spad{s}) returns a stream whose \\spad{first} is \\spad{a}} \\indented{1}{and whose \\spad{rest} is \\spad{s}.} \\indented{1}{Note: \\spad{cons(a,{}s) = concat(a,{}s)}.} \\blankline \\spad{X} \\spad{m:=}[1,{}2,{}3] \\spad{X} n:=repeating(\\spad{m}) \\spad{X} cons(4,{}\\spad{n})")) (|delay| (($ (|Mapping| $)) "\\spad{delay(f)} creates a stream with a lazy evaluation defined by function \\spad{f}. Caution: This function can only be called in compiled code.")) (|findCycle| (((|Record| (|:| |cycle?| (|Boolean|)) (|:| |prefix| (|NonNegativeInteger|)) (|:| |period| (|NonNegativeInteger|))) (|NonNegativeInteger|) $) "\\indented{1}{findCycle(\\spad{n},{}st) determines if st is periodic within \\spad{n}.} \\blankline \\spad{X} \\spad{m:=}[1,{}2,{}3] \\spad{X} n:=repeating(\\spad{m}) \\spad{X} findCycle(3,{}\\spad{n}) \\spad{X} findCycle(2,{}\\spad{n})")) (|repeating?| (((|Boolean|) (|List| |#1|) $) "\\indented{1}{repeating?(\\spad{l},{}\\spad{s}) returns \\spad{true} if a stream \\spad{s} is periodic} \\indented{1}{with period \\spad{l},{} and \\spad{false} otherwise.} \\blankline \\spad{X} \\spad{m:=}[1,{}2,{}3] \\spad{X} n:=repeating(\\spad{m}) \\spad{X} repeating?(\\spad{m},{}\\spad{n})")) (|repeating| (($ (|List| |#1|)) "\\indented{1}{repeating(\\spad{l}) is a repeating stream whose period is the list \\spad{l}.} \\blankline \\spad{X} m:=repeating([\\spad{-1},{}0,{}1,{}2,{}3])")) (|coerce| (($ (|List| |#1|)) "\\indented{1}{coerce(\\spad{l}) converts a list \\spad{l} to a stream.} \\blankline \\spad{X} \\spad{m:=}[1,{}2,{}3,{}4,{}5,{}6,{}7,{}8,{}9,{}10,{}11,{}12] \\spad{X} coerce(\\spad{m})@Stream(Integer) \\spad{X} m::Stream(Integer)")) (|shallowlyMutable| ((|attribute|) "one may destructively alter a stream by assigning new values to its entries."))) 
-((-4522 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))) (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| (-568) (QUOTE (-842)))) 
-(-1142) 
+((-4536 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-843)))) 
+(-1144) 
 ((|constructor| (NIL "A category for string-like objects")) (|string| (($ (|Integer|)) "\\spad{string(i)} returns the decimal representation of \\spad{i} in a string"))) 
-((-4522 . T) (-4521 . T) (-3973 . T)) 
+((-4536 . T) (-4535 . T) (-2982 . T)) 
 NIL 
-(-1143) 
+(-1145) 
 ((|constructor| (NIL "This is the domain of character strings. Strings are 1 based."))) 
-((-4522 . T) (-4521 . T)) 
-((|HasCategory| (-147) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| (-147) (QUOTE (-842))) (|HasCategory| (-568) (QUOTE (-842))) (|HasCategory| (-147) (QUOTE (-1090))) (-12 (|HasCategory| (-147) (LIST (QUOTE -303) (QUOTE (-147)))) (|HasCategory| (-147) (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| (-147) (LIST (QUOTE -303) (QUOTE (-147)))) (|HasCategory| (-147) (QUOTE (-842)))) (-12 (|HasCategory| (-147) (LIST (QUOTE -303) (QUOTE (-147)))) (|HasCategory| (-147) (QUOTE (-1090)))))) 
-(-1144 |Entry|) 
+((-4536 . T) (-4535 . T)) 
+((|HasCategory| (-148) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-148) (QUOTE (-843))) (|HasCategory| (-569) (QUOTE (-843))) (|HasCategory| (-148) (QUOTE (-1091))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-843)))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1091)))))) 
+(-1146 |Entry|) 
 ((|constructor| (NIL "This domain provides tables where the keys are strings. A specialized hash function for strings is used."))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (QUOTE (-1090))) (-12 (|HasCategory| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (LIST (QUOTE -303) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3651) (QUOTE (-1143))) (LIST (QUOTE |:|) (QUOTE -4085) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (QUOTE (-1090)))) (|HasCategory| (-1143) (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-1090))) (-2199 (|HasCategory| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (QUOTE (-1090))) (|HasCategory| |#1| (QUOTE (-1090)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090))))) 
-(-1145 A) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (QUOTE (-1091))) (-12 (|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (QUOTE (-1145))) (LIST (QUOTE |:|) (QUOTE -3782) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (QUOTE (-1091)))) (|HasCategory| (-1145) (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-1091))) (-2232 (|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (QUOTE (-1091))) (|HasCategory| |#1| (QUOTE (-1091)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
+(-1147 A) 
 ((|constructor| (NIL "StreamTaylorSeriesOperations implements Taylor series arithmetic,{} where a Taylor series is represented by a stream of its coefficients.")) (|power| (((|Stream| |#1|) |#1| (|Stream| |#1|)) "\\spad{power(a,{}f)} returns the power series \\spad{f} raised to the power \\spad{a}.")) (|lazyGintegrate| (((|Stream| |#1|) (|Mapping| |#1| (|Integer|)) |#1| (|Mapping| (|Stream| |#1|))) "\\spad{lazyGintegrate(f,{}r,{}g)} is used for fixed point computations.")) (|mapdiv| (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{mapdiv([a0,{}a1,{}..],{}[b0,{}b1,{}..])} returns \\spad{[a0/b0,{}a1/b1,{}..]}.")) (|powern| (((|Stream| |#1|) (|Fraction| (|Integer|)) (|Stream| |#1|)) "\\spad{powern(r,{}f)} raises power series \\spad{f} to the power \\spad{r}.")) (|nlde| (((|Stream| |#1|) (|Stream| (|Stream| |#1|))) "\\spad{nlde(u)} solves a first order non-linear differential equation described by \\spad{u} of the form \\spad{[[b<0,{}0>,{}b<0,{}1>,{}...],{}[b<1,{}0>,{}b<1,{}1>,{}.],{}...]}. the differential equation has the form \\spad{y'=sum(i=0 to infinity,{}j=0 to infinity,{}b<i,{}j>*(x**i)*(y**j))}.")) (|lazyIntegrate| (((|Stream| |#1|) |#1| (|Mapping| (|Stream| |#1|))) "\\spad{lazyIntegrate(r,{}f)} is a local function used for fixed point computations.")) (|integrate| (((|Stream| |#1|) |#1| (|Stream| |#1|)) "\\spad{integrate(r,{}a)} returns the integral of the power series \\spad{a} with respect to the power series variableintegration where \\spad{r} denotes the constant of integration. Thus \\spad{integrate(a,{}[a0,{}a1,{}a2,{}...]) = [a,{}a0,{}a1/2,{}a2/3,{}...]}.")) (|invmultisect| (((|Stream| |#1|) (|Integer|) (|Integer|) (|Stream| |#1|)) "\\spad{invmultisect(a,{}b,{}st)} substitutes \\spad{x**((a+b)*n)} for \\spad{x**n} and multiplies by \\spad{x**b}.")) (|multisect| (((|Stream| |#1|) (|Integer|) (|Integer|) (|Stream| |#1|)) "\\spad{multisect(a,{}b,{}st)} selects the coefficients of \\spad{x**((a+b)*n+a)},{} and changes them to \\spad{x**n}.")) (|generalLambert| (((|Stream| |#1|) (|Stream| |#1|) (|Integer|) (|Integer|)) "\\spad{generalLambert(f(x),{}a,{}d)} returns \\spad{f(x**a) + f(x**(a + d)) + f(x**(a + 2 d)) + ...}. \\spad{f(x)} should have zero constant coefficient and \\spad{a} and \\spad{d} should be positive.")) (|evenlambert| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{evenlambert(st)} computes \\spad{f(x**2) + f(x**4) + f(x**6) + ...} if \\spad{st} is a stream representing \\spad{f(x)}. This function is used for computing infinite products. If \\spad{f(x)} is a power series with constant coefficient 1,{} then \\spad{prod(f(x**(2*n)),{}n=1..infinity) = exp(evenlambert(log(f(x))))}.")) (|oddlambert| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{oddlambert(st)} computes \\spad{f(x) + f(x**3) + f(x**5) + ...} if \\spad{st} is a stream representing \\spad{f(x)}. This function is used for computing infinite products. If \\spad{f}(\\spad{x}) is a power series with constant coefficient 1 then \\spad{prod(f(x**(2*n-1)),{}n=1..infinity) = exp(oddlambert(log(f(x))))}.")) (|lambert| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{lambert(st)} computes \\spad{f(x) + f(x**2) + f(x**3) + ...} if \\spad{st} is a stream representing \\spad{f(x)}. This function is used for computing infinite products. If \\spad{f(x)} is a power series with constant coefficient 1 then \\spad{prod(f(x**n),{}n = 1..infinity) = exp(lambert(log(f(x))))}.")) (|addiag| (((|Stream| |#1|) (|Stream| (|Stream| |#1|))) "\\spad{addiag(x)} performs diagonal addition of a stream of streams. if \\spad{x} = \\spad{[[a<0,{}0>,{}a<0,{}1>,{}..],{}[a<1,{}0>,{}a<1,{}1>,{}..],{}[a<2,{}0>,{}a<2,{}1>,{}..],{}..]} and \\spad{addiag(x) = [b<0,{}b<1>,{}...],{} then b<k> = sum(i+j=k,{}a<i,{}j>)}.")) (|revert| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{revert(a)} computes the inverse of a power series \\spad{a} with respect to composition. the series should have constant coefficient 0 and first order coefficient 1.")) (|lagrange| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{lagrange(g)} produces the power series for \\spad{f} where \\spad{f} is implicitly defined as \\spad{f(z) = z*g(f(z))}.")) (|compose| (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{compose(a,{}b)} composes the power series \\spad{a} with the power series \\spad{b}.")) (|eval| (((|Stream| |#1|) (|Stream| |#1|) |#1|) "\\spad{eval(a,{}r)} returns a stream of partial sums of the power series \\spad{a} evaluated at the power series variable equal to \\spad{r}.")) (|coerce| (((|Stream| |#1|) |#1|) "\\spad{coerce(r)} converts a ring element \\spad{r} to a stream with one element.")) (|gderiv| (((|Stream| |#1|) (|Mapping| |#1| (|Integer|)) (|Stream| |#1|)) "\\spad{gderiv(f,{}[a0,{}a1,{}a2,{}..])} returns \\spad{[f(0)*a0,{}f(1)*a1,{}f(2)*a2,{}..]}.")) (|deriv| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{deriv(a)} returns the derivative of the power series with respect to the power series variable. Thus \\spad{deriv([a0,{}a1,{}a2,{}...])} returns \\spad{[a1,{}2 a2,{}3 a3,{}...]}.")) (|mapmult| (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{mapmult([a0,{}a1,{}..],{}[b0,{}b1,{}..])} returns \\spad{[a0*b0,{}a1*b1,{}..]}.")) (|int| (((|Stream| |#1|) |#1|) "\\spad{int(r)} returns [\\spad{r},{}\\spad{r+1},{}\\spad{r+2},{}...],{} where \\spad{r} is a ring element.")) (|oddintegers| (((|Stream| (|Integer|)) (|Integer|)) "\\spad{oddintegers(n)} returns \\spad{[n,{}n+2,{}n+4,{}...]}.")) (|integers| (((|Stream| (|Integer|)) (|Integer|)) "\\spad{integers(n)} returns \\spad{[n,{}n+1,{}n+2,{}...]}.")) (|monom| (((|Stream| |#1|) |#1| (|Integer|)) "\\spad{monom(deg,{}coef)} is a monomial of degree \\spad{deg} with coefficient \\spad{coef}.")) (|recip| (((|Union| (|Stream| |#1|) "failed") (|Stream| |#1|)) "\\spad{recip(a)} returns the power series reciprocal of \\spad{a},{} or \"failed\" if not possible.")) (/ (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{a / b} returns the power series quotient of \\spad{a} by \\spad{b}. An error message is returned if \\spad{b} is not invertible. This function is used in fixed point computations.")) (|exquo| (((|Union| (|Stream| |#1|) "failed") (|Stream| |#1|) (|Stream| |#1|)) "\\spad{exquo(a,{}b)} returns the power series quotient of \\spad{a} by \\spad{b},{} if the quotient exists,{} and \"failed\" otherwise")) (* (((|Stream| |#1|) (|Stream| |#1|) |#1|) "\\spad{a * r} returns the power series scalar multiplication of \\spad{a} by \\spad{r:} \\spad{[a0,{}a1,{}...] * r = [a0 * r,{}a1 * r,{}...]}") (((|Stream| |#1|) |#1| (|Stream| |#1|)) "\\spad{r * a} returns the power series scalar multiplication of \\spad{r} by \\spad{a}: \\spad{r * [a0,{}a1,{}...] = [r * a0,{}r * a1,{}...]}") (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{a * b} returns the power series (Cauchy) product of \\spad{a} and \\spad{b:} \\spad{[a0,{}a1,{}...] * [b0,{}b1,{}...] = [c0,{}c1,{}...]} where \\spad{ck = sum(i + j = k,{}\\spad{ai} * bk)}.")) (- (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{- a} returns the power series negative of \\spad{a}: \\spad{- [a0,{}a1,{}...] = [- a0,{}- a1,{}...]}") (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{a - b} returns the power series difference of \\spad{a} and \\spad{b}: \\spad{[a0,{}a1,{}..] - [b0,{}b1,{}..] = [a0 - b0,{}a1 - b1,{}..]}")) (+ (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{a + b} returns the power series sum of \\spad{a} and \\spad{b}: \\spad{[a0,{}a1,{}..] + [b0,{}b1,{}..] = [a0 + b0,{}a1 + b1,{}..]}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568)))))) 
-(-1146 |Coef|) 
+((|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) 
+(-1148 |Coef|) 
 ((|constructor| (NIL "StreamTranscendentalFunctionsNonCommutative implements transcendental functions on Taylor series over a non-commutative ring,{} where a Taylor series is represented by a stream of its coefficients.")) (|acsch| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acsch(st)} computes the inverse hyperbolic cosecant of a power series \\spad{st}.")) (|asech| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asech(st)} computes the inverse hyperbolic secant of a power series \\spad{st}.")) (|acoth| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acoth(st)} computes the inverse hyperbolic cotangent of a power series \\spad{st}.")) (|atanh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{atanh(st)} computes the inverse hyperbolic tangent of a power series \\spad{st}.")) (|acosh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acosh(st)} computes the inverse hyperbolic cosine of a power series \\spad{st}.")) (|asinh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asinh(st)} computes the inverse hyperbolic sine of a power series \\spad{st}.")) (|csch| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{csch(st)} computes the hyperbolic cosecant of a power series \\spad{st}.")) (|sech| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sech(st)} computes the hyperbolic secant of a power series \\spad{st}.")) (|coth| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{coth(st)} computes the hyperbolic cotangent of a power series \\spad{st}.")) (|tanh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{tanh(st)} computes the hyperbolic tangent of a power series \\spad{st}.")) (|cosh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cosh(st)} computes the hyperbolic cosine of a power series \\spad{st}.")) (|sinh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sinh(st)} computes the hyperbolic sine of a power series \\spad{st}.")) (|acsc| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acsc(st)} computes arccosecant of a power series \\spad{st}.")) (|asec| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asec(st)} computes arcsecant of a power series \\spad{st}.")) (|acot| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acot(st)} computes arccotangent of a power series \\spad{st}.")) (|atan| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{atan(st)} computes arctangent of a power series \\spad{st}.")) (|acos| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acos(st)} computes arccosine of a power series \\spad{st}.")) (|asin| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asin(st)} computes arcsine of a power series \\spad{st}.")) (|csc| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{csc(st)} computes cosecant of a power series \\spad{st}.")) (|sec| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sec(st)} computes secant of a power series \\spad{st}.")) (|cot| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cot(st)} computes cotangent of a power series \\spad{st}.")) (|tan| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{tan(st)} computes tangent of a power series \\spad{st}.")) (|cos| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cos(st)} computes cosine of a power series \\spad{st}.")) (|sin| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sin(st)} computes sine of a power series \\spad{st}.")) (** (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{st1 ** st2} computes the power of a power series \\spad{st1} by another power series \\spad{st2}.")) (|log| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{log(st)} computes the log of a power series.")) (|exp| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{exp(st)} computes the exponential of a power series \\spad{st}."))) 
 NIL 
 NIL 
-(-1147 |Coef|) 
+(-1149 |Coef|) 
 ((|constructor| (NIL "StreamTranscendentalFunctions implements transcendental functions on Taylor series,{} where a Taylor series is represented by a stream of its coefficients.")) (|acsch| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acsch(st)} computes the inverse hyperbolic cosecant of a power series \\spad{st}.")) (|asech| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asech(st)} computes the inverse hyperbolic secant of a power series \\spad{st}.")) (|acoth| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acoth(st)} computes the inverse hyperbolic cotangent of a power series \\spad{st}.")) (|atanh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{atanh(st)} computes the inverse hyperbolic tangent of a power series \\spad{st}.")) (|acosh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acosh(st)} computes the inverse hyperbolic cosine of a power series \\spad{st}.")) (|asinh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asinh(st)} computes the inverse hyperbolic sine of a power series \\spad{st}.")) (|csch| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{csch(st)} computes the hyperbolic cosecant of a power series \\spad{st}.")) (|sech| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sech(st)} computes the hyperbolic secant of a power series \\spad{st}.")) (|coth| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{coth(st)} computes the hyperbolic cotangent of a power series \\spad{st}.")) (|tanh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{tanh(st)} computes the hyperbolic tangent of a power series \\spad{st}.")) (|cosh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cosh(st)} computes the hyperbolic cosine of a power series \\spad{st}.")) (|sinh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sinh(st)} computes the hyperbolic sine of a power series \\spad{st}.")) (|sinhcosh| (((|Record| (|:| |sinh| (|Stream| |#1|)) (|:| |cosh| (|Stream| |#1|))) (|Stream| |#1|)) "\\spad{sinhcosh(st)} returns a record containing the hyperbolic sine and cosine of a power series \\spad{st}.")) (|acsc| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acsc(st)} computes arccosecant of a power series \\spad{st}.")) (|asec| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asec(st)} computes arcsecant of a power series \\spad{st}.")) (|acot| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acot(st)} computes arccotangent of a power series \\spad{st}.")) (|atan| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{atan(st)} computes arctangent of a power series \\spad{st}.")) (|acos| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acos(st)} computes arccosine of a power series \\spad{st}.")) (|asin| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asin(st)} computes arcsine of a power series \\spad{st}.")) (|csc| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{csc(st)} computes cosecant of a power series \\spad{st}.")) (|sec| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sec(st)} computes secant of a power series \\spad{st}.")) (|cot| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cot(st)} computes cotangent of a power series \\spad{st}.")) (|tan| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{tan(st)} computes tangent of a power series \\spad{st}.")) (|cos| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cos(st)} computes cosine of a power series \\spad{st}.")) (|sin| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sin(st)} computes sine of a power series \\spad{st}.")) (|sincos| (((|Record| (|:| |sin| (|Stream| |#1|)) (|:| |cos| (|Stream| |#1|))) (|Stream| |#1|)) "\\spad{sincos(st)} returns a record containing the sine and cosine of a power series \\spad{st}.")) (** (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{st1 ** st2} computes the power of a power series \\spad{st1} by another power series \\spad{st2}.")) (|log| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{log(st)} computes the log of a power series.")) (|exp| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{exp(st)} computes the exponential of a power series \\spad{st}."))) 
 NIL 
 NIL 
-(-1148 R UP) 
+(-1150 R UP) 
 ((|constructor| (NIL "This package computes the subresultants of two polynomials which is needed for the `Lazard Rioboo' enhancement to Tragers integrations formula For efficiency reasons this has been rewritten to call Lionel Ducos package which is currently the best one.")) (|primitivePart| ((|#2| |#2| |#1|) "\\spad{primitivePart(p,{} q)} reduces the coefficient of \\spad{p} modulo \\spad{q},{} takes the primitive part of the result,{} and ensures that the leading coefficient of that result is monic.")) (|subresultantVector| (((|PrimitiveArray| |#2|) |#2| |#2|) "\\spad{subresultantVector(p,{} q)} returns \\spad{[p0,{}...,{}pn]} where \\spad{pi} is the \\spad{i}-th subresultant of \\spad{p} and \\spad{q}. In particular,{} \\spad{p0 = resultant(p,{} q)}."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-301)))) 
-(-1149 |n| R) 
+((|HasCategory| |#1| (QUOTE (-302)))) 
+(-1151 |n| R) 
 ((|constructor| (NIL "This domain is not documented")) (|pointData| (((|List| (|Point| |#2|)) $) "\\spad{pointData(s)} returns the list of points from the point data field of the 3 dimensional subspace \\spad{s}.")) (|parent| (($ $) "\\spad{parent(s)} returns the subspace which is the parent of the indicated 3 dimensional subspace \\spad{s}. If \\spad{s} is the top level subspace an error message is returned.")) (|level| (((|NonNegativeInteger|) $) "\\spad{level(s)} returns a non negative integer which is the current level field of the indicated 3 dimensional subspace \\spad{s}.")) (|extractProperty| (((|SubSpaceComponentProperty|) $) "\\spad{extractProperty(s)} returns the property of domain \\spadtype{SubSpaceComponentProperty} of the indicated 3 dimensional subspace \\spad{s}.")) (|extractClosed| (((|Boolean|) $) "\\spad{extractClosed(s)} returns the \\spadtype{Boolean} value of the closed property for the indicated 3 dimensional subspace \\spad{s}. If the property is closed,{} \\spad{True} is returned,{} otherwise \\spad{False} is returned.")) (|extractIndex| (((|NonNegativeInteger|) $) "\\spad{extractIndex(s)} returns a non negative integer which is the current index of the 3 dimensional subspace \\spad{s}.")) (|extractPoint| (((|Point| |#2|) $) "\\spad{extractPoint(s)} returns the point which is given by the current index location into the point data field of the 3 dimensional subspace \\spad{s}.")) (|traverse| (($ $ (|List| (|NonNegativeInteger|))) "\\spad{traverse(s,{}\\spad{li})} follows the branch list of the 3 dimensional subspace,{} \\spad{s},{} along the path dictated by the list of non negative integers,{} \\spad{li},{} which points to the component which has been traversed to. The subspace,{} \\spad{s},{} is returned,{} where \\spad{s} is now the subspace pointed to by \\spad{li}.")) (|defineProperty| (($ $ (|List| (|NonNegativeInteger|)) (|SubSpaceComponentProperty|)) "\\spad{defineProperty(s,{}\\spad{li},{}p)} defines the component property in the 3 dimensional subspace,{} \\spad{s},{} to be that of \\spad{p},{} where \\spad{p} is of the domain \\spadtype{SubSpaceComponentProperty}. The list of non negative integers,{} \\spad{li},{} dictates the path to follow,{} or,{} to look at it another way,{} points to the component whose property is being defined. The subspace,{} \\spad{s},{} is returned with the component property definition.")) (|closeComponent| (($ $ (|List| (|NonNegativeInteger|)) (|Boolean|)) "\\spad{closeComponent(s,{}\\spad{li},{}b)} sets the property of the component in the 3 dimensional subspace,{} \\spad{s},{} to be closed if \\spad{b} is \\spad{true},{} or open if \\spad{b} is \\spad{false}. The list of non negative integers,{} \\spad{li},{} dictates the path to follow,{} or,{} to look at it another way,{} points to the component whose closed property is to be set. The subspace,{} \\spad{s},{} is returned with the component property modification.")) (|modifyPoint| (($ $ (|NonNegativeInteger|) (|Point| |#2|)) "\\spad{modifyPoint(s,{}ind,{}p)} modifies the point referenced by the index location,{} \\spad{ind},{} by replacing it with the point,{} \\spad{p} in the 3 dimensional subspace,{} \\spad{s}. An error message occurs if \\spad{s} is empty,{} otherwise the subspace \\spad{s} is returned with the point modification.") (($ $ (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{modifyPoint(s,{}\\spad{li},{}i)} replaces an existing point in the 3 dimensional subspace,{} \\spad{s},{} with the 4 dimensional point indicated by the index location,{} \\spad{i}. The list of non negative integers,{} \\spad{li},{} dictates the path to follow,{} or,{} to look at it another way,{} points to the component in which the existing point is to be modified. An error message occurs if \\spad{s} is empty,{} otherwise the subspace \\spad{s} is returned with the point modification.") (($ $ (|List| (|NonNegativeInteger|)) (|Point| |#2|)) "\\spad{modifyPoint(s,{}\\spad{li},{}p)} replaces an existing point in the 3 dimensional subspace,{} \\spad{s},{} with the 4 dimensional point,{} \\spad{p}. The list of non negative integers,{} \\spad{li},{} dictates the path to follow,{} or,{} to look at it another way,{} points to the component in which the existing point is to be modified. An error message occurs if \\spad{s} is empty,{} otherwise the subspace \\spad{s} is returned with the point modification.")) (|addPointLast| (($ $ $ (|Point| |#2|) (|NonNegativeInteger|)) "\\spad{addPointLast(s,{}s2,{}\\spad{li},{}p)} adds the 4 dimensional point,{} \\spad{p},{} to the 3 dimensional subspace,{} \\spad{s}. \\spad{s2} point to the end of the subspace \\spad{s}. \\spad{n} is the path in the \\spad{s2} component. The subspace \\spad{s} is returned with the additional point.")) (|addPoint2| (($ $ (|Point| |#2|)) "\\spad{addPoint2(s,{}p)} adds the 4 dimensional point,{} \\spad{p},{} to the 3 dimensional subspace,{} \\spad{s}. The subspace \\spad{s} is returned with the additional point.")) (|addPoint| (((|NonNegativeInteger|) $ (|Point| |#2|)) "\\spad{addPoint(s,{}p)} adds the point,{} \\spad{p},{} to the 3 dimensional subspace,{} \\spad{s},{} and returns the new total number of points in \\spad{s}.") (($ $ (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{addPoint(s,{}\\spad{li},{}i)} adds the 4 dimensional point indicated by the index location,{} \\spad{i},{} to the 3 dimensional subspace,{} \\spad{s}. The list of non negative integers,{} \\spad{li},{} dictates the path to follow,{} or,{} to look at it another way,{} points to the component in which the point is to be added. It\\spad{'s} length should range from 0 to \\spad{n - 1} where \\spad{n} is the dimension of the subspace. If the length is \\spad{n - 1},{} then a specific lowest level component is being referenced. If it is less than \\spad{n - 1},{} then some higher level component (0 indicates top level component) is being referenced and a component of that level with the desired point is created. The subspace \\spad{s} is returned with the additional point.") (($ $ (|List| (|NonNegativeInteger|)) (|Point| |#2|)) "\\spad{addPoint(s,{}\\spad{li},{}p)} adds the 4 dimensional point,{} \\spad{p},{} to the 3 dimensional subspace,{} \\spad{s}. The list of non negative integers,{} \\spad{li},{} dictates the path to follow,{} or,{} to look at it another way,{} points to the component in which the point is to be added. It\\spad{'s} length should range from 0 to \\spad{n - 1} where \\spad{n} is the dimension of the subspace. If the length is \\spad{n - 1},{} then a specific lowest level component is being referenced. If it is less than \\spad{n - 1},{} then some higher level component (0 indicates top level component) is being referenced and a component of that level with the desired point is created. The subspace \\spad{s} is returned with the additional point.")) (|separate| (((|List| $) $) "\\spad{separate(s)} makes each of the components of the \\spadtype{SubSpace},{} \\spad{s},{} into a list of separate and distinct subspaces and returns the list.")) (|merge| (($ (|List| $)) "\\spad{merge(ls)} a list of subspaces,{} \\spad{ls},{} into one subspace.") (($ $ $) "\\spad{merge(s1,{}s2)} the subspaces \\spad{s1} and \\spad{s2} into a single subspace.")) (|deepCopy| (($ $) "\\spad{deepCopy(x)} is not documented")) (|shallowCopy| (($ $) "\\spad{shallowCopy(x)} is not documented")) (|numberOfChildren| (((|NonNegativeInteger|) $) "\\spad{numberOfChildren(x)} is not documented")) (|children| (((|List| $) $) "\\spad{children(x)} is not documented")) (|child| (($ $ (|NonNegativeInteger|)) "\\spad{child(x,{}n)} is not documented")) (|birth| (($ $) "\\spad{birth(x)} is not documented")) (|subspace| (($) "\\spad{subspace()} is not documented")) (|new| (($) "\\spad{new()} is not documented")) (|internal?| (((|Boolean|) $) "\\spad{internal?(x)} is not documented")) (|root?| (((|Boolean|) $) "\\spad{root?(x)} is not documented")) (|leaf?| (((|Boolean|) $) "\\spad{leaf?(x)} is not documented"))) 
 NIL 
 NIL 
-(-1150 S1 S2) 
+(-1152 S1 S2) 
 ((|constructor| (NIL "This domain implements \"such that\" forms")) (|rhs| ((|#2| $) "\\spad{rhs(f)} returns the right side of \\spad{f}")) (|lhs| ((|#1| $) "\\spad{lhs(f)} returns the left side of \\spad{f}")) (|construct| (($ |#1| |#2|) "\\spad{construct(s,{}t)} makes a form \\spad{s:t}"))) 
 NIL 
 NIL 
-(-1151 |Coef| |var| |cen|) 
+(-1153 |Coef| |var| |cen|) 
 ((|constructor| (NIL "Sparse Laurent series in one variable \\spadtype{SparseUnivariateLaurentSeries} is a domain representing Laurent series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring,{} the power series variable,{} and the center of the power series expansion. For example,{} \\spad{SparseUnivariateLaurentSeries(Integer,{}x,{}3)} represents Laurent series in \\spad{(x - 3)} with integer coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),{}x)} returns the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a Laurent series."))) 
-(((-4523 "*") -2199 (-2141 (|has| |#1| (-365)) (|has| (-1159 |#1| |#2| |#3|) (-815))) (|has| |#1| (-172)) (-2141 (|has| |#1| (-365)) (|has| (-1159 |#1| |#2| |#3|) (-904)))) (-4514 -2199 (-2141 (|has| |#1| (-365)) (|has| (-1159 |#1| |#2| |#3|) (-815))) (|has| |#1| (-558)) (-2141 (|has| |#1| (-365)) (|has| (-1159 |#1| |#2| |#3|) (-904)))) (-4519 |has| |#1| (-365)) (-4513 |has| |#1| (-365)) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-172))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558)))) (|HasCategory| (-568) (QUOTE (-1102))) (|HasCategory| |#1| (QUOTE (-365))) (-2199 (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-365)))) (|HasCategory| |#1| (QUOTE (-150)))) (-2199 (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-568)) (|devaluate| |#1|)))))) (-2199 (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (QUOTE (-225))) (|HasCategory| |#1| (QUOTE (-365)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-568)) (|devaluate| |#1|))))) (-2199 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-558)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (LIST (QUOTE -1037) (QUOTE (-1161)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (QUOTE (-1021))) (|HasCategory| |#1| (QUOTE (-365)))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-558)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (QUOTE (-815))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (QUOTE (-1136))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (LIST (QUOTE -281) (LIST (QUOTE -1159) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1159) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (LIST (QUOTE -303) (LIST (QUOTE -1159) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (LIST (QUOTE -523) (QUOTE (-1161)) (LIST (QUOTE -1159) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#1| (QUOTE (-365)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-568))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-568))))) (|HasSignature| |#1| (LIST (QUOTE -2747) (LIST (|devaluate| |#1|) (QUOTE (-1161)))))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (QUOTE (-550))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (QUOTE (-301))) (|HasCategory| |#1| (QUOTE (-365)))) (|HasCategory| (-1159 |#1| |#2| |#3|) (QUOTE (-904))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (QUOTE (-904))) (|HasCategory| |#1| (QUOTE (-365)))) (|HasCategory| (-1159 |#1| |#2| |#3|) (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-148))) (-2199 (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-365)))) (|HasCategory| |#1| (QUOTE (-148)))) (-2199 (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (QUOTE (-815))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (QUOTE (-904))) (|HasCategory| |#1| (QUOTE (-365)))) (|HasCategory| |#1| (QUOTE (-558)))) (-2199 (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (QUOTE (-815))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (QUOTE (-904))) (|HasCategory| |#1| (QUOTE (-365)))) (|HasCategory| |#1| (QUOTE (-172)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-365)))) (-2199 (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (QUOTE (-815))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-365))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (-2199 (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (LIST (QUOTE -281) (LIST (QUOTE -1159) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1159) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (LIST (QUOTE -303) (LIST (QUOTE -1159) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (LIST (QUOTE -523) (QUOTE (-1161)) (LIST (QUOTE -1159) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (LIST (QUOTE -1037) (QUOTE (-1161)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (QUOTE (-815))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (QUOTE (-904))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (QUOTE (-1021))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (QUOTE (-1136))) (|HasCategory| |#1| (QUOTE (-365)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568)))))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-959))) (|HasCategory| |#1| (QUOTE (-1181)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasSignature| |#1| (LIST (QUOTE -1845) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1161))))) (|HasSignature| |#1| (LIST (QUOTE -2057) (LIST (LIST (QUOTE -634) (QUOTE (-1161))) (|devaluate| |#1|)))))) (-2199 (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-365)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568)))))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| (-1159 |#1| |#2| |#3|) (QUOTE (-904))) (|HasCategory| |#1| (QUOTE (-365)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| (-1159 |#1| |#2| |#3|) (QUOTE (-904))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1159 |#1| |#2| |#3|) (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-365)))) (|HasCategory| |#1| (QUOTE (-148))))) 
-(-1152 R -1478) 
+(((-4537 "*") -2232 (-2206 (|has| |#1| (-366)) (|has| (-1161 |#1| |#2| |#3|) (-816))) (|has| |#1| (-173)) (-2206 (|has| |#1| (-366)) (|has| (-1161 |#1| |#2| |#3|) (-905)))) (-4528 -2232 (-2206 (|has| |#1| (-366)) (|has| (-1161 |#1| |#2| |#3|) (-816))) (|has| |#1| (-559)) (-2206 (|has| |#1| (-366)) (|has| (-1161 |#1| |#2| |#3|) (-905)))) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| (-569) (QUOTE (-1103))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-151)))) (-2232 (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|)))))) (-2232 (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|))))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-1022))) (|HasCategory| |#1| (QUOTE (-366)))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-816))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-1137))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -282) (LIST (QUOTE -1161) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1161) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -304) (LIST (QUOTE -1161) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -524) (QUOTE (-1163)) (LIST (QUOTE -1161) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163)))))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-905))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-149))) (-2232 (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-149)))) (-2232 (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-816))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-559)))) (-2232 (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-816))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-173)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-366)))) (-2232 (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-816))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-366))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (-2232 (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -282) (LIST (QUOTE -1161) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1161) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -304) (LIST (QUOTE -1161) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -524) (QUOTE (-1163)) (LIST (QUOTE -1161) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-816))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-1022))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-1137))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-960))) (|HasCategory| |#1| (QUOTE (-1183)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2565) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1163))))) (|HasSignature| |#1| (LIST (QUOTE -1773) (LIST (LIST (QUOTE -635) (QUOTE (-1163))) (|devaluate| |#1|)))))) (-2232 (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-366)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-1154 R -1564) 
 ((|constructor| (NIL "Computes sums of top-level expressions")) (|sum| ((|#2| |#2| (|SegmentBinding| |#2|)) "\\spad{sum(f(n),{} n = a..b)} returns \\spad{f}(a) + \\spad{f}(\\spad{a+1}) + ... + \\spad{f}(\\spad{b}).") ((|#2| |#2| (|Symbol|)) "\\spad{sum(a(n),{} n)} returns A(\\spad{n}) such that A(\\spad{n+1}) - A(\\spad{n}) = a(\\spad{n})."))) 
 NIL 
 NIL 
-(-1153 R) 
+(-1155 R) 
 ((|constructor| (NIL "Computes sums of rational functions.")) (|sum| (((|Union| (|Fraction| (|Polynomial| |#1|)) (|Expression| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|Fraction| (|Polynomial| |#1|)))) "\\indented{1}{sum(\\spad{f}(\\spad{n}),{} \\spad{n} = a..\\spad{b}) returns \\spad{f(a) + f(a+1) + ... f(b)}.} \\blankline \\spad{X} sum(i::Fraction(Polynomial(Integer)),{}\\spad{i=1}..\\spad{n})") (((|Fraction| (|Polynomial| |#1|)) (|Polynomial| |#1|) (|SegmentBinding| (|Polynomial| |#1|))) "\\indented{1}{sum(\\spad{f}(\\spad{n}),{} \\spad{n} = a..\\spad{b}) returns \\spad{f(a) + f(a+1) + ... f(b)}.} \\blankline \\spad{X} sum(\\spad{i},{}\\spad{i=1}..\\spad{n})") (((|Union| (|Fraction| (|Polynomial| |#1|)) (|Expression| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\indented{1}{sum(a(\\spad{n}),{} \\spad{n}) returns \\spad{A} which} \\indented{1}{is the indefinite sum of \\spad{a} with respect to} \\indented{1}{upward difference on \\spad{n},{} \\spadignore{i.e.} \\spad{A(n+1) - A(n) = a(n)}.} \\blankline \\spad{X} sum(i::Fraction(Polynomial(Integer)),{}i::Symbol)") (((|Fraction| (|Polynomial| |#1|)) (|Polynomial| |#1|) (|Symbol|)) "\\indented{1}{sum(a(\\spad{n}),{} \\spad{n}) returns \\spad{A} which} \\indented{1}{is the indefinite sum of \\spad{a} with respect to} \\indented{1}{upward difference on \\spad{n},{} \\spadignore{i.e.} \\spad{A(n+1) - A(n) = a(n)}.} \\blankline \\spad{X} sum(i::Polynomial(Integer),{}variable(\\spad{i=1}..\\spad{n}))"))) 
 NIL 
 NIL 
-(-1154 R S) 
+(-1156 R S) 
 ((|constructor| (NIL "This package lifts a mapping from coefficient rings \\spad{R} to \\spad{S} to a mapping from sparse univariate polynomial over \\spad{R} to a sparse univariate polynomial over \\spad{S}. Note that the mapping is assumed to send zero to zero,{} since it will only be applied to the non-zero coefficients of the polynomial.")) (|map| (((|SparseUnivariatePolynomial| |#2|) (|Mapping| |#2| |#1|) (|SparseUnivariatePolynomial| |#1|)) "\\spad{map(func,{} poly)} creates a new polynomial by applying \\spad{func} to every non-zero coefficient of the polynomial poly."))) 
 NIL 
 NIL 
-(-1155 R) 
+(-1157 R) 
 ((|constructor| (NIL "This domain has no description"))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4517 |has| |#1| (-365)) (-4519 |has| |#1| (-6 -4519)) (-4516 . T) (-4515 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-904))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-172))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558)))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-381))))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-568))))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381)))))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568)))))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541))))) (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-1136))) (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#1| (QUOTE (-1181))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (|HasCategory| |#1| (QUOTE (-225))) (|HasAttribute| |#1| (QUOTE -4519)) (|HasCategory| |#1| (QUOTE (-453))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-904)))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-904)))) (|HasCategory| |#1| (QUOTE (-148))))) 
-(-1156 E OV R P) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4531 |has| |#1| (-366)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1137))) (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-1183))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasAttribute| |#1| (QUOTE -4533)) (|HasCategory| |#1| (QUOTE (-454))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-1158 E OV R P) 
 ((|constructor| (NIL "SupFractionFactorize contains the factor function for univariate polynomials over the quotient field of a ring \\spad{S} such that the package MultivariateFactorize works for \\spad{S}")) (|squareFree| (((|Factored| (|SparseUnivariatePolynomial| (|Fraction| |#4|))) (|SparseUnivariatePolynomial| (|Fraction| |#4|))) "\\spad{squareFree(p)} returns the square-free factorization of the univariate polynomial \\spad{p} with coefficients which are fractions of polynomials over \\spad{R}. Each factor has no repeated roots and the factors are pairwise relatively prime.")) (|factor| (((|Factored| (|SparseUnivariatePolynomial| (|Fraction| |#4|))) (|SparseUnivariatePolynomial| (|Fraction| |#4|))) "\\spad{factor(p)} factors the univariate polynomial \\spad{p} with coefficients which are fractions of polynomials over \\spad{R}."))) 
 NIL 
 NIL 
-(-1157 R) 
+(-1159 R) 
 ((|constructor| (NIL "This domain represents univariate polynomials over arbitrary (not necessarily commutative) coefficient rings. The variable is unspecified so that the variable displays as \\spad{?} on output. If it is necessary to specify the variable name,{} use type \\spadtype{UnivariatePolynomial}. The representation is sparse in the sense that only non-zero terms are represented. Note that if the coefficient ring is a field,{} this domain forms a euclidean domain.")) (|fmecg| (($ $ (|NonNegativeInteger|) |#1| $) "\\spad{fmecg(p1,{}e,{}r,{}p2)} finds \\spad{x} : \\spad{p1} - \\spad{r} * x**e * \\spad{p2}")) (|outputForm| (((|OutputForm|) $ (|OutputForm|)) "\\spad{outputForm(p,{}var)} converts the SparseUnivariatePolynomial \\spad{p} to an output form (see \\spadtype{OutputForm}) printed as a polynomial in the output form variable."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4517 |has| |#1| (-365)) (-4519 |has| |#1| (-6 -4519)) (-4516 . T) (-4515 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-904))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-172))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558)))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-381))))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -881) (QUOTE (-568))))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381)))))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568)))))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541))))) (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-1136))) (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (|HasCategory| |#1| (QUOTE (-225))) (|HasAttribute| |#1| (QUOTE -4519)) (|HasCategory| |#1| (QUOTE (-453))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-453))) (|HasCategory| |#1| (QUOTE (-904)))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-904)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-904)))) (|HasCategory| |#1| (QUOTE (-148))))) 
-(-1158 |Coef| |var| |cen|) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4531 |has| |#1| (-366)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1137))) (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasAttribute| |#1| (QUOTE -4533)) (|HasCategory| |#1| (QUOTE (-454))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-1160 |Coef| |var| |cen|) 
 ((|constructor| (NIL "Sparse Puiseux series in one variable \\spadtype{SparseUnivariatePuiseuxSeries} is a domain representing Puiseux series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring,{} the power series variable,{} and the center of the power series expansion. For example,{} \\spad{SparseUnivariatePuiseuxSeries(Integer,{}x,{}3)} represents Puiseux series in \\spad{(x - 3)} with \\spadtype{Integer} coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),{}x)} returns the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a Puiseux series."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4519 |has| |#1| (-365)) (-4513 |has| |#1| (-365)) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-172))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558)))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-150))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -409) (QUOTE (-568))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -409) (QUOTE (-568))) (|devaluate| |#1|))))) (|HasCategory| (-409 (-568)) (QUOTE (-1102))) (|HasCategory| |#1| (QUOTE (-365))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-558)))) (-2199 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-558)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -409) (QUOTE (-568)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -409) (QUOTE (-568)))))) (|HasSignature| |#1| (LIST (QUOTE -2747) (LIST (|devaluate| |#1|) (QUOTE (-1161)))))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-959))) (|HasCategory| |#1| (QUOTE (-1181)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasSignature| |#1| (LIST (QUOTE -1845) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1161))))) (|HasSignature| |#1| (LIST (QUOTE -2057) (LIST (LIST (QUOTE -634) (QUOTE (-1161))) (|devaluate| |#1|))))))) 
-(-1159 |Coef| |var| |cen|) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|))))) (|HasCategory| (-410 (-569)) (QUOTE (-1103))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163)))))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-960))) (|HasCategory| |#1| (QUOTE (-1183)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2565) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1163))))) (|HasSignature| |#1| (LIST (QUOTE -1773) (LIST (LIST (QUOTE -635) (QUOTE (-1163))) (|devaluate| |#1|))))))) 
+(-1161 |Coef| |var| |cen|) 
 ((|constructor| (NIL "Sparse Taylor series in one variable \\spadtype{SparseUnivariateTaylorSeries} is a domain representing Taylor series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring,{} the power series variable,{} and the center of the power series expansion. For example,{} \\spadtype{SparseUnivariateTaylorSeries}(Integer,{}\\spad{x},{}3) represents Taylor series in \\spad{(x - 3)} with \\spadtype{Integer} coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x),{}x)} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),{}x)} computes the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|univariatePolynomial| (((|UnivariatePolynomial| |#2| |#1|) $ (|NonNegativeInteger|)) "\\spad{univariatePolynomial(f,{}k)} returns a univariate polynomial \\indented{1}{consisting of the sum of all terms of \\spad{f} of degree \\spad{<= k}.}")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a \\indented{1}{Taylor series.}") (($ (|UnivariatePolynomial| |#2| |#1|)) "\\spad{coerce(p)} converts a univariate polynomial \\spad{p} in the variable \\spad{var} to a univariate Taylor series in \\spad{var}."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-172))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558)))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-150))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-763)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-763)) (|devaluate| |#1|))))) (|HasCategory| (-763) (QUOTE (-1102))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-763))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-763))))) (|HasSignature| |#1| (LIST (QUOTE -2747) (LIST (|devaluate| |#1|) (QUOTE (-1161)))))) (|HasCategory| |#1| (QUOTE (-365))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-959))) (|HasCategory| |#1| (QUOTE (-1181)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasSignature| |#1| (LIST (QUOTE -1845) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1161))))) (|HasSignature| |#1| (LIST (QUOTE -2057) (LIST (LIST (QUOTE -634) (QUOTE (-1161))) (|devaluate| |#1|))))))) 
-(-1160) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-764)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-764)) (|devaluate| |#1|))))) (|HasCategory| (-764) (QUOTE (-1103))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-764))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-764))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163)))))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-960))) (|HasCategory| |#1| (QUOTE (-1183)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2565) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1163))))) (|HasSignature| |#1| (LIST (QUOTE -1773) (LIST (LIST (QUOTE -635) (QUOTE (-1163))) (|devaluate| |#1|))))))) 
+(-1162) 
 ((|constructor| (NIL "This domain builds representations of boolean expressions for use with the \\axiomType{FortranCode} domain.")) (NOT (($ $) "\\spad{NOT(x)} returns the \\axiomType{Switch} expression representing \\spad{\\~~x}.") (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{NOT(x)} returns the \\axiomType{Switch} expression representing \\spad{\\~~x}.")) (AND (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{AND(x,{}y)} returns the \\axiomType{Switch} expression representing \\spad{x and y}.")) (EQ (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{EQ(x,{}y)} returns the \\axiomType{Switch} expression representing \\spad{x = y}.")) (OR (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{OR(x,{}y)} returns the \\axiomType{Switch} expression representing \\spad{x or y}.")) (GE (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{GE(x,{}y)} returns the \\axiomType{Switch} expression representing \\spad{x>=y}.")) (LE (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{LE(x,{}y)} returns the \\axiomType{Switch} expression representing \\spad{x<=y}.")) (GT (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{GT(x,{}y)} returns the \\axiomType{Switch} expression representing \\spad{x>y}.")) (LT (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{LT(x,{}y)} returns the \\axiomType{Switch} expression representing \\spad{x<y}.")) (|coerce| (($ (|Symbol|)) "\\spad{coerce(s)} is not documented"))) 
 NIL 
 NIL 
-(-1161) 
+(-1163) 
 ((|constructor| (NIL "Basic and scripted symbols.")) (|sample| (($) "\\spad{sample()} returns a sample of \\%")) (|list| (((|List| $) $) "\\spad{list(sy)} takes a scripted symbol and produces a list of the name followed by the scripts.")) (|string| (((|String|) $) "\\spad{string(s)} converts the symbol \\spad{s} to a string. Error: if the symbol is subscripted.")) (|elt| (($ $ (|List| (|OutputForm|))) "\\spad{elt(s,{}[a1,{}...,{}an])} or \\spad{s}([\\spad{a1},{}...,{}an]) returns \\spad{s} subscripted by \\spad{[a1,{}...,{}an]}.")) (|argscript| (($ $ (|List| (|OutputForm|))) "\\spad{argscript(s,{} [a1,{}...,{}an])} returns \\spad{s} arg-scripted by \\spad{[a1,{}...,{}an]}.")) (|superscript| (($ $ (|List| (|OutputForm|))) "\\spad{superscript(s,{} [a1,{}...,{}an])} returns \\spad{s} superscripted by \\spad{[a1,{}...,{}an]}.")) (|subscript| (($ $ (|List| (|OutputForm|))) "\\spad{subscript(s,{} [a1,{}...,{}an])} returns \\spad{s} subscripted by \\spad{[a1,{}...,{}an]}.")) (|script| (($ $ (|Record| (|:| |sub| (|List| (|OutputForm|))) (|:| |sup| (|List| (|OutputForm|))) (|:| |presup| (|List| (|OutputForm|))) (|:| |presub| (|List| (|OutputForm|))) (|:| |args| (|List| (|OutputForm|))))) "\\spad{script(s,{} [a,{}b,{}c,{}d,{}e])} returns \\spad{s} with subscripts a,{} superscripts \\spad{b},{} pre-superscripts \\spad{c},{} pre-subscripts \\spad{d},{} and argument-scripts \\spad{e}.") (($ $ (|List| (|List| (|OutputForm|)))) "\\spad{script(s,{} [a,{}b,{}c,{}d,{}e])} returns \\spad{s} with subscripts a,{} superscripts \\spad{b},{} pre-superscripts \\spad{c},{} pre-subscripts \\spad{d},{} and argument-scripts \\spad{e}. Omitted components are taken to be empty. For example,{} \\spad{script(s,{} [a,{}b,{}c])} is equivalent to \\spad{script(s,{}[a,{}b,{}c,{}[],{}[]])}.")) (|scripts| (((|Record| (|:| |sub| (|List| (|OutputForm|))) (|:| |sup| (|List| (|OutputForm|))) (|:| |presup| (|List| (|OutputForm|))) (|:| |presub| (|List| (|OutputForm|))) (|:| |args| (|List| (|OutputForm|)))) $) "\\spad{scripts(s)} returns all the scripts of \\spad{s}.")) (|scripted?| (((|Boolean|) $) "\\spad{scripted?(s)} is \\spad{true} if \\spad{s} has been given any scripts.")) (|name| (($ $) "\\spad{name(s)} returns \\spad{s} without its scripts.")) (|coerce| (($ (|String|)) "\\spad{coerce(s)} converts the string \\spad{s} to a symbol.")) (|resetNew| (((|Void|)) "\\spad{resetNew()} resets the internals counters that new() and new(\\spad{s}) use to return distinct symbols every time.")) (|new| (($ $) "\\spad{new(s)} returns a new symbol whose name starts with \\%\\spad{s}.") (($) "\\spad{new()} returns a new symbol whose name starts with \\%."))) 
 NIL 
 NIL 
-(-1162 R) 
+(-1164 R) 
 ((|constructor| (NIL "Computes all the symmetric functions in \\spad{n} variables.")) (|symFunc| (((|Vector| |#1|) |#1| (|PositiveInteger|)) "\\spad{symFunc(r,{} n)} returns the vector of the elementary symmetric functions in \\spad{[r,{}r,{}...,{}r]} \\spad{n} times.") (((|Vector| |#1|) (|List| |#1|)) "\\spad{symFunc([r1,{}...,{}rn])} returns the vector of the elementary symmetric functions in the \\spad{\\spad{ri}'s}: \\spad{[r1 + ... + rn,{} r1 r2 + ... + r(n-1) rn,{} ...,{} r1 r2 ... rn]}."))) 
 NIL 
 NIL 
-(-1163 R) 
+(-1165 R) 
 ((|constructor| (NIL "This domain implements symmetric polynomial"))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4519 |has| |#1| (-6 -4519)) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-172))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558)))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-453))) (-12 (|HasCategory| (-972) (QUOTE (-137))) (|HasCategory| |#1| (QUOTE (-558)))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (|HasAttribute| |#1| (QUOTE -4519))) 
-(-1164) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-6 -4533)) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (-12 (|HasCategory| (-973) (QUOTE (-138))) (|HasCategory| |#1| (QUOTE (-559)))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4533))) 
+(-1166) 
 ((|constructor| (NIL "Creates and manipulates one global symbol table for FORTRAN code generation,{} containing details of types,{} dimensions,{} and argument lists.")) (|symbolTableOf| (((|SymbolTable|) (|Symbol|) $) "\\spad{symbolTableOf(f,{}tab)} returns the symbol table of \\spad{f}")) (|argumentListOf| (((|List| (|Symbol|)) (|Symbol|) $) "\\spad{argumentListOf(f,{}tab)} returns the argument list of \\spad{f}")) (|returnTypeOf| (((|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) (|Symbol|) $) "\\spad{returnTypeOf(f,{}tab)} returns the type of the object returned by \\spad{f}")) (|empty| (($) "\\spad{empty()} creates a new,{} empty symbol table.")) (|printTypes| (((|Void|) (|Symbol|)) "\\spad{printTypes(tab)} produces FORTRAN type declarations from \\spad{tab},{} on the current FORTRAN output stream")) (|printHeader| (((|Void|)) "\\spad{printHeader()} produces the FORTRAN header for the current subprogram in the global symbol table on the current FORTRAN output stream.") (((|Void|) (|Symbol|)) "\\spad{printHeader(f)} produces the FORTRAN header for subprogram \\spad{f} in the global symbol table on the current FORTRAN output stream.") (((|Void|) (|Symbol|) $) "\\spad{printHeader(f,{}tab)} produces the FORTRAN header for subprogram \\spad{f} in symbol table \\spad{tab} on the current FORTRAN output stream.")) (|returnType!| (((|Void|) (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) "\\spad{returnType!(t)} declares that the return type of he current subprogram in the global symbol table is \\spad{t}.") (((|Void|) (|Symbol|) (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) "\\spad{returnType!(f,{}t)} declares that the return type of subprogram \\spad{f} in the global symbol table is \\spad{t}.") (((|Void|) (|Symbol|) (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) $) "\\spad{returnType!(f,{}t,{}tab)} declares that the return type of subprogram \\spad{f} in symbol table \\spad{tab} is \\spad{t}.")) (|argumentList!| (((|Void|) (|List| (|Symbol|))) "\\spad{argumentList!(l)} declares that the argument list for the current subprogram in the global symbol table is \\spad{l}.") (((|Void|) (|Symbol|) (|List| (|Symbol|))) "\\spad{argumentList!(f,{}l)} declares that the argument list for subprogram \\spad{f} in the global symbol table is \\spad{l}.") (((|Void|) (|Symbol|) (|List| (|Symbol|)) $) "\\spad{argumentList!(f,{}l,{}tab)} declares that the argument list for subprogram \\spad{f} in symbol table \\spad{tab} is \\spad{l}.")) (|endSubProgram| (((|Symbol|)) "\\spad{endSubProgram()} asserts that we are no longer processing the current subprogram.")) (|currentSubProgram| (((|Symbol|)) "\\spad{currentSubProgram()} returns the name of the current subprogram being processed")) (|newSubProgram| (((|Void|) (|Symbol|)) "\\spad{newSubProgram(f)} asserts that from now on type declarations are part of subprogram \\spad{f}.")) (|declare!| (((|FortranType|) (|Symbol|) (|FortranType|) (|Symbol|)) "\\spad{declare!(u,{}t,{}asp)} declares the parameter \\spad{u} to have type \\spad{t} in \\spad{asp}.") (((|FortranType|) (|Symbol|) (|FortranType|)) "\\spad{declare!(u,{}t)} declares the parameter \\spad{u} to have type \\spad{t} in the current level of the symbol table.") (((|FortranType|) (|List| (|Symbol|)) (|FortranType|) (|Symbol|) $) "\\spad{declare!(u,{}t,{}asp,{}tab)} declares the parameters \\spad{u} of subprogram \\spad{asp} to have type \\spad{t} in symbol table \\spad{tab}.") (((|FortranType|) (|Symbol|) (|FortranType|) (|Symbol|) $) "\\spad{declare!(u,{}t,{}asp,{}tab)} declares the parameter \\spad{u} of subprogram \\spad{asp} to have type \\spad{t} in symbol table \\spad{tab}.")) (|clearTheSymbolTable| (((|Void|) (|Symbol|)) "\\spad{clearTheSymbolTable(x)} removes the symbol \\spad{x} from the table") (((|Void|)) "\\spad{clearTheSymbolTable()} clears the current symbol table.")) (|showTheSymbolTable| (($) "\\spad{showTheSymbolTable()} returns the current symbol table."))) 
 NIL 
 NIL 
-(-1165) 
+(-1167) 
 ((|constructor| (NIL "Create and manipulate a symbol table for generated FORTRAN code")) (|symbolTable| (($ (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|FortranType|))))) "\\spad{symbolTable(l)} creates a symbol table from the elements of \\spad{l}.")) (|printTypes| (((|Void|) $) "\\spad{printTypes(tab)} produces FORTRAN type declarations from \\spad{tab},{} on the current FORTRAN output stream")) (|newTypeLists| (((|SExpression|) $) "\\spad{newTypeLists(x)} is not documented")) (|typeLists| (((|List| (|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|))))))))) $) "\\spad{typeLists(tab)} returns a list of lists of types of objects in \\spad{tab}")) (|externalList| (((|List| (|Symbol|)) $) "\\spad{externalList(tab)} returns a list of all the external symbols in \\spad{tab}")) (|typeList| (((|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|)))))))) (|FortranScalarType|) $) "\\spad{typeList(t,{}tab)} returns a list of all the objects of type \\spad{t} in \\spad{tab}")) (|parametersOf| (((|List| (|Symbol|)) $) "\\spad{parametersOf(tab)} returns a list of all the symbols declared in \\spad{tab}")) (|fortranTypeOf| (((|FortranType|) (|Symbol|) $) "\\spad{fortranTypeOf(u,{}tab)} returns the type of \\spad{u} in \\spad{tab}")) (|declare!| (((|FortranType|) (|Symbol|) (|FortranType|) $) "\\spad{declare!(u,{}t,{}tab)} creates a new entry in \\spad{tab},{} declaring \\spad{u} to be of type \\spad{t}") (((|FortranType|) (|List| (|Symbol|)) (|FortranType|) $) "\\spad{declare!(l,{}t,{}tab)} creates new entrys in \\spad{tab},{} declaring each of \\spad{l} to be of type \\spad{t}")) (|empty| (($) "\\spad{empty()} returns a new,{} empty symbol table")) (|coerce| (((|Table| (|Symbol|) (|FortranType|)) $) "\\spad{coerce(x)} returns a table view of \\spad{x}"))) 
 NIL 
 NIL 
-(-1166 R) 
+(-1168 R) 
 ((|constructor| (NIL "Symbolic solver for systems of rational functions with coefficients in an integral domain \\spad{R}. The systems are solved in the field of rational functions over \\spad{R}. Solutions are exact of the form variable = value when the value is a member of the coefficient domain \\spad{R}. Otherwise the solutions are implicitly expressed as roots of univariate polynomial equations over \\spad{R}. Care is taken to guarantee that the denominators of the input equations do not vanish on the solution sets. The arguments to solve can either be given as equations or as rational functions interpreted as equal to zero. The user can specify an explicit list of symbols to be solved for,{} treating all other symbols appearing as parameters or omit the list of symbols in which case the system tries to solve with respect to all symbols appearing in the input.")) (|triangularSystems| (((|List| (|List| (|Polynomial| |#1|))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) "\\spad{triangularSystems(lf,{}lv)} solves the system of equations defined by \\spad{lf} with respect to the list of symbols \\spad{lv}; the system of equations is obtaining by equating to zero the list of rational functions \\spad{lf}. The output is a list of solutions where each solution is expressed as a \"reduced\" triangular system of polynomials.")) (|solve| (((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Equation| (|Fraction| (|Polynomial| |#1|)))) "\\spad{solve(eq)} finds the solutions of the equation \\spad{eq} with respect to the unique variable appearing in \\spad{eq}.") (((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Fraction| (|Polynomial| |#1|))) "\\spad{solve(p)} finds the solution of a rational function \\spad{p} = 0 with respect to the unique variable appearing in \\spad{p}.") (((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|Symbol|)) "\\spad{solve(eq,{}v)} finds the solutions of the equation \\spad{eq} with respect to the variable \\spad{v}.") (((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{solve(p,{}v)} solves the equation \\spad{p=0},{} where \\spad{p} is a rational function with respect to the variable \\spad{v}.") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) "\\spad{solve(le)} finds the solutions of the list \\spad{le} of equations of rational functions with respect to all symbols appearing in \\spad{le}.") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Fraction| (|Polynomial| |#1|)))) "\\spad{solve(lp)} finds the solutions of the list \\spad{lp} of rational functions with respect to all symbols appearing in \\spad{lp}.") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|List| (|Symbol|))) "\\spad{solve(le,{}lv)} finds the solutions of the list \\spad{le} of equations of rational functions with respect to the list of symbols \\spad{lv}.") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) "\\spad{solve(lp,{}lv)} finds the solutions of the list \\spad{lp} of rational functions with respect to the list of symbols \\spad{lv}."))) 
 NIL 
 NIL 
-(-1167 S) 
+(-1169 S) 
 ((|constructor| (NIL "TableauBumpers implements the Schenstead-Knuth correspondence between sequences and pairs of Young tableaux. The 2 Young tableaux are represented as a single tableau with pairs as components.")) (|mr| (((|Record| (|:| |f1| (|List| |#1|)) (|:| |f2| (|List| (|List| (|List| |#1|)))) (|:| |f3| (|List| (|List| |#1|))) (|:| |f4| (|List| (|List| (|List| |#1|))))) (|List| (|List| (|List| |#1|)))) "\\spad{mr(t)} is an auxiliary function which finds the position of the maximum element of a tableau \\spad{t} which is in the lowest row,{} producing a record of results")) (|maxrow| (((|Record| (|:| |f1| (|List| |#1|)) (|:| |f2| (|List| (|List| (|List| |#1|)))) (|:| |f3| (|List| (|List| |#1|))) (|:| |f4| (|List| (|List| (|List| |#1|))))) (|List| |#1|) (|List| (|List| (|List| |#1|))) (|List| (|List| |#1|)) (|List| (|List| (|List| |#1|))) (|List| (|List| (|List| |#1|))) (|List| (|List| (|List| |#1|)))) "\\spad{maxrow(a,{}b,{}c,{}d,{}e)} is an auxiliary function for \\spad{mr}")) (|inverse| (((|List| |#1|) (|List| |#1|)) "\\spad{inverse(ls)} forms the inverse of a sequence \\spad{ls}")) (|slex| (((|List| (|List| |#1|)) (|List| |#1|)) "\\spad{slex(ls)} sorts the argument sequence \\spad{ls},{} then zips (see map) the original argument sequence with the sorted result to a list of pairs")) (|lex| (((|List| (|List| |#1|)) (|List| (|List| |#1|))) "\\spad{lex(ls)} sorts a list of pairs to lexicographic order")) (|tab| (((|Tableau| (|List| |#1|)) (|List| |#1|)) "\\spad{tab(ls)} creates a tableau from \\spad{ls} by first creating a list of pairs using slex,{} then creating a tableau using \\spad{tab1}.")) (|tab1| (((|List| (|List| (|List| |#1|))) (|List| (|List| |#1|))) "\\spad{tab1(lp)} creates a tableau from a list of pairs \\spad{lp}")) (|bat| (((|List| (|List| |#1|)) (|Tableau| (|List| |#1|))) "\\spad{bat(ls)} unbumps a tableau \\spad{ls}")) (|bat1| (((|List| (|List| |#1|)) (|List| (|List| (|List| |#1|)))) "\\spad{bat1(llp)} unbumps a tableau \\spad{llp}. Operation \\spad{bat1} is the inverse of \\spad{tab1}.")) (|untab| (((|List| (|List| |#1|)) (|List| (|List| |#1|)) (|List| (|List| (|List| |#1|)))) "\\spad{untab(lp,{}llp)} is an auxiliary function which unbumps a tableau \\spad{llp},{} using \\spad{lp} to accumulate pairs")) (|bumptab1| (((|List| (|List| (|List| |#1|))) (|List| |#1|) (|List| (|List| (|List| |#1|)))) "\\spad{bumptab1(pr,{}t)} bumps a tableau \\spad{t} with a pair \\spad{pr} using comparison function \\spadfun{<},{} returning a new tableau")) (|bumptab| (((|List| (|List| (|List| |#1|))) (|Mapping| (|Boolean|) |#1| |#1|) (|List| |#1|) (|List| (|List| (|List| |#1|)))) "\\spad{bumptab(cf,{}pr,{}t)} bumps a tableau \\spad{t} with a pair \\spad{pr} using comparison function \\spad{cf},{} returning a new tableau")) (|bumprow| (((|Record| (|:| |fs| (|Boolean|)) (|:| |sd| (|List| |#1|)) (|:| |td| (|List| (|List| |#1|)))) (|Mapping| (|Boolean|) |#1| |#1|) (|List| |#1|) (|List| (|List| |#1|))) "\\spad{bumprow(cf,{}pr,{}r)} is an auxiliary function which bumps a row \\spad{r} with a pair \\spad{pr} using comparison function \\spad{cf},{} and returns a record"))) 
 NIL 
 NIL 
-(-1168 S) 
+(-1170 S) 
 ((|constructor| (NIL "The tableau domain is for printing Young tableaux,{} and coercions to and from List List \\spad{S} where \\spad{S} is a set.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(t)} converts a tableau \\spad{t} to an output form.")) (|listOfLists| (((|List| (|List| |#1|)) $) "\\spad{listOfLists t} converts a tableau \\spad{t} to a list of lists.")) (|tableau| (($ (|List| (|List| |#1|))) "\\spad{tableau(ll)} converts a list of lists \\spad{ll} to a tableau."))) 
 NIL 
 NIL 
-(-1169 |Key| |Entry|) 
+(-1171 |Key| |Entry|) 
 ((|constructor| (NIL "This is the general purpose table type. The keys are hashed to look up the entries. This creates a \\spadtype{HashTable} if equal for the Key domain is consistent with Lisp EQUAL otherwise an \\spadtype{AssociationList}"))) 
-((-4521 . T) (-4522 . T)) 
-((|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (QUOTE (-1090))) (-12 (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (LIST (QUOTE -303) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3651) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -4085) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (QUOTE (-1090)))) (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#2| (QUOTE (-1090))) (-2199 (|HasCategory| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (QUOTE (-1090))) (|HasCategory| |#2| (QUOTE (-1090)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1090))))) 
-(-1170 R) 
+((-4535 . T) (-4536 . T)) 
+((|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (-12 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3782) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-1091))) (-2232 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (|HasCategory| |#2| (QUOTE (-1091)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091))))) 
+(-1172 R) 
 ((|constructor| (NIL "Expands tangents of sums and scalar products.")) (|tanNa| ((|#1| |#1| (|Integer|)) "\\spad{tanNa(a,{} n)} returns \\spad{f(a)} such that if \\spad{a = tan(u)} then \\spad{f(a) = tan(n * u)}.")) (|tanAn| (((|SparseUnivariatePolynomial| |#1|) |#1| (|PositiveInteger|)) "\\spad{tanAn(a,{} n)} returns \\spad{P(x)} such that if \\spad{a = tan(u)} then \\spad{P(tan(u/n)) = 0}.")) (|tanSum| ((|#1| (|List| |#1|)) "\\spad{tanSum([a1,{}...,{}an])} returns \\spad{f(a1,{}...,{}an)} such that if \\spad{\\spad{ai} = tan(\\spad{ui})} then \\spad{f(a1,{}...,{}an) = tan(u1 + ... + un)}."))) 
 NIL 
 NIL 
-(-1171 S |Key| |Entry|) 
+(-1173 S |Key| |Entry|) 
 ((|constructor| (NIL "A table aggregate is a model of a table,{} \\spadignore{i.e.} a discrete many-to-one mapping from keys to entries.")) (|map| (($ (|Mapping| |#3| |#3| |#3|) $ $) "\\spad{map(fn,{}t1,{}t2)} creates a new table \\spad{t} from given tables \\spad{t1} and \\spad{t2} with elements \\spad{fn}(\\spad{x},{}\\spad{y}) where \\spad{x} and \\spad{y} are corresponding elements from \\spad{t1} and \\spad{t2} respectively.")) (|table| (($ (|List| (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)))) "\\spad{table([x,{}y,{}...,{}z])} creates a table consisting of entries \\axiom{\\spad{x},{}\\spad{y},{}...,{}\\spad{z}}.") (($) "\\indented{1}{table()\\$\\spad{T} creates an empty table of type \\spad{T}.} \\blankline \\spad{E} Data:=Record(age:Integer,{}gender:String) \\spad{E} a1:AssociationList(String,{}Data):=table() \\spad{E} \\spad{a1}.\"tim\":=[55,{}\"male\"]\\$Data")) (|setelt| ((|#3| $ |#2| |#3|) "\\spad{setelt(t,{}k,{}e)} (also written \\axiom{\\spad{t}.\\spad{k} \\spad{:=} \\spad{e}}) is equivalent to \\axiom{(insert([\\spad{k},{}\\spad{e}],{}\\spad{t}); \\spad{e})}."))) 
 NIL 
 NIL 
-(-1172 |Key| |Entry|) 
+(-1174 |Key| |Entry|) 
 ((|constructor| (NIL "A table aggregate is a model of a table,{} \\spadignore{i.e.} a discrete many-to-one mapping from keys to entries.")) (|map| (($ (|Mapping| |#2| |#2| |#2|) $ $) "\\spad{map(fn,{}t1,{}t2)} creates a new table \\spad{t} from given tables \\spad{t1} and \\spad{t2} with elements \\spad{fn}(\\spad{x},{}\\spad{y}) where \\spad{x} and \\spad{y} are corresponding elements from \\spad{t1} and \\spad{t2} respectively.")) (|table| (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) "\\spad{table([x,{}y,{}...,{}z])} creates a table consisting of entries \\axiom{\\spad{x},{}\\spad{y},{}...,{}\\spad{z}}.") (($) "\\indented{1}{table()\\$\\spad{T} creates an empty table of type \\spad{T}.} \\blankline \\spad{E} Data:=Record(age:Integer,{}gender:String) \\spad{E} a1:AssociationList(String,{}Data):=table() \\spad{E} \\spad{a1}.\"tim\":=[55,{}\"male\"]\\$Data")) (|setelt| ((|#2| $ |#1| |#2|) "\\spad{setelt(t,{}k,{}e)} (also written \\axiom{\\spad{t}.\\spad{k} \\spad{:=} \\spad{e}}) is equivalent to \\axiom{(insert([\\spad{k},{}\\spad{e}],{}\\spad{t}); \\spad{e})}."))) 
-((-4522 . T) (-3973 . T)) 
+((-4536 . T) (-2982 . T)) 
 NIL 
-(-1173 |Key| |Entry|) 
+(-1175 |Key| |Entry|) 
 ((|constructor| (NIL "\\axiom{TabulatedComputationPackage(Key ,{}Entry)} provides some modest support for dealing with operations with type \\axiom{Key \\spad{->} Entry}. The result of such operations can be stored and retrieved with this package by using a hash-table. The user does not need to worry about the management of this hash-table. However,{} onnly one hash-table is built by calling \\axiom{TabulatedComputationPackage(Key ,{}Entry)}.")) (|insert!| (((|Void|) |#1| |#2|) "\\axiom{insert!(\\spad{x},{}\\spad{y})} stores the item whose key is \\axiom{\\spad{x}} and whose entry is \\axiom{\\spad{y}}.")) (|extractIfCan| (((|Union| |#2| "failed") |#1|) "\\axiom{extractIfCan(\\spad{x})} searches the item whose key is \\axiom{\\spad{x}}.")) (|makingStats?| (((|Boolean|)) "\\axiom{makingStats?()} returns \\spad{true} iff the statisitics process is running.")) (|printingInfo?| (((|Boolean|)) "\\axiom{printingInfo?()} returns \\spad{true} iff messages are printed when manipulating items from the hash-table.")) (|usingTable?| (((|Boolean|)) "\\axiom{usingTable?()} returns \\spad{true} iff the hash-table is used")) (|clearTable!| (((|Void|)) "\\axiom{clearTable!()} clears the hash-table and assumes that it will no longer be used.")) (|printStats!| (((|Void|)) "\\axiom{printStats!()} prints the statistics.")) (|startStats!| (((|Void|) (|String|)) "\\axiom{startStats!(\\spad{x})} initializes the statisitics process and sets the comments to display when statistics are printed")) (|printInfo!| (((|Void|) (|String|) (|String|)) "\\axiom{printInfo!(\\spad{x},{}\\spad{y})} initializes the mesages to be printed when manipulating items from the hash-table. If a key is retrieved then \\axiom{\\spad{x}} is displayed. If an item is stored then \\axiom{\\spad{y}} is displayed.")) (|initTable!| (((|Void|)) "\\axiom{initTable!()} initializes the hash-table."))) 
 NIL 
 NIL 
-(-1174) 
+(-1176) 
 ((|constructor| (NIL "This package provides functions for template manipulation")) (|stripCommentsAndBlanks| (((|String|) (|String|)) "\\spad{stripCommentsAndBlanks(s)} treats \\spad{s} as a piece of AXIOM input,{} and removes comments,{} and leading and trailing blanks.")) (|interpretString| (((|Any|) (|String|)) "\\spad{interpretString(s)} treats a string as a piece of AXIOM input,{} by parsing and interpreting it."))) 
 NIL 
 NIL 
-(-1175 S) 
+(-1177 S) 
 ((|constructor| (NIL "\\spadtype{TexFormat1} provides a utility coercion for changing to TeX format anything that has a coercion to the standard output format.")) (|coerce| (((|TexFormat|) |#1|) "\\spad{coerce(s)} provides a direct coercion from a domain \\spad{S} to TeX format. This allows the user to skip the step of first manually coercing the object to standard output format before it is coerced to TeX format."))) 
 NIL 
 NIL 
-(-1176) 
+(-1178) 
 ((|constructor| (NIL "\\spadtype{TexFormat} provides a coercion from \\spadtype{OutputForm} to \\TeX{} format. The particular dialect of \\TeX{} used is \\LaTeX{}. The basic object consists of three parts: a prologue,{} a tex part and an epilogue. The functions \\spadfun{prologue},{} \\spadfun{tex} and \\spadfun{epilogue} extract these parts,{} respectively. The main guts of the expression go into the tex part. The other parts can be set (\\spadfun{setPrologue!},{} \\spadfun{setEpilogue!}) so that contain the appropriate tags for printing. For example,{} the prologue and epilogue might simply contain \\spad{``}\\verb+\\spad{\\[}+\\spad{''} and \\spad{``}\\verb+\\spad{\\]}+\\spad{''},{} respectively,{} so that the TeX section will be printed in LaTeX display math mode.")) (|setPrologue!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setPrologue!(t,{}strings)} sets the prologue section of a TeX form \\spad{t} to \\spad{strings}.")) (|setTex!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setTex!(t,{}strings)} sets the TeX section of a TeX form \\spad{t} to \\spad{strings}.")) (|setEpilogue!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setEpilogue!(t,{}strings)} sets the epilogue section of a TeX form \\spad{t} to \\spad{strings}.")) (|prologue| (((|List| (|String|)) $) "\\spad{prologue(t)} extracts the prologue section of a TeX form \\spad{t}.")) (|new| (($) "\\spad{new()} create a new,{} empty object. Use \\spadfun{setPrologue!},{} \\spadfun{setTex!} and \\spadfun{setEpilogue!} to set the various components of this object.")) (|tex| (((|List| (|String|)) $) "\\spad{tex(t)} extracts the TeX section of a TeX form \\spad{t}.")) (|epilogue| (((|List| (|String|)) $) "\\spad{epilogue(t)} extracts the epilogue section of a TeX form \\spad{t}.")) (|display| (((|Void|) $) "\\spad{display(t)} outputs the TeX formatted code \\spad{t} so that each line has length less than or equal to the value set by the system command \\spadsyscom{set output length}.") (((|Void|) $ (|Integer|)) "\\spad{display(t,{}width)} outputs the TeX formatted code \\spad{t} so that each line has length less than or equal to \\spadvar{\\spad{width}}.")) (|convert| (($ (|OutputForm|) (|Integer|) (|OutputForm|)) "\\spad{convert(o,{}step,{}type)} changes \\spad{o} in standard output format to TeX format and also adds the given \\spad{step} number and \\spad{type}. This is useful if you want to create equations with given numbers or have the equation numbers correspond to the interpreter \\spad{step} numbers.") (($ (|OutputForm|) (|Integer|)) "\\spad{convert(o,{}step)} changes \\spad{o} in standard output format to TeX format and also adds the given \\spad{step} number. This is useful if you want to create equations with given numbers or have the equation numbers correspond to the interpreter \\spad{step} numbers.")) (|coerce| (($ (|OutputForm|)) "\\spad{coerce(o)} changes \\spad{o} in the standard output format to TeX format."))) 
 NIL 
 NIL 
-(-1177) 
+(-1179) 
 ((|constructor| (NIL "This domain provides an implementation of text files. Text is stored in these files using the native character set of the computer.")) (|endOfFile?| (((|Boolean|) $) "\\spad{endOfFile?(f)} tests whether the file \\spad{f} is positioned after the end of all text. If the file is open for output,{} then this test is always \\spad{true}.")) (|readIfCan!| (((|Union| (|String|) "failed") $) "\\spad{readIfCan!(f)} returns a string of the contents of a line from file \\spad{f},{} if possible. If \\spad{f} is not readable or if it is positioned at the end of file,{} then \\spad{\"failed\"} is returned.")) (|readLineIfCan!| (((|Union| (|String|) "failed") $) "\\spad{readLineIfCan!(f)} returns a string of the contents of a line from file \\spad{f},{} if possible. If \\spad{f} is not readable or if it is positioned at the end of file,{} then \\spad{\"failed\"} is returned.")) (|readLine!| (((|String|) $) "\\spad{readLine!(f)} returns a string of the contents of a line from the file \\spad{f}.")) (|writeLine!| (((|String|) $) "\\spad{writeLine!(f)} finishes the current line in the file \\spad{f}. An empty string is returned. The call \\spad{writeLine!(f)} is equivalent to \\spad{writeLine!(f,{}\"\")}.") (((|String|) $ (|String|)) "\\spad{writeLine!(f,{}s)} writes the contents of the string \\spad{s} and finishes the current line in the file \\spad{f}. The value of \\spad{s} is returned."))) 
 NIL 
 NIL 
-(-1178 R) 
+(-1180 R) 
 ((|constructor| (NIL "Tools for the sign finding utilities.")) (|direction| (((|Integer|) (|String|)) "\\spad{direction(s)} \\undocumented")) (|nonQsign| (((|Union| (|Integer|) "failed") |#1|) "\\spad{nonQsign(r)} \\undocumented")) (|sign| (((|Union| (|Integer|) "failed") |#1|) "\\spad{sign(r)} \\undocumented"))) 
 NIL 
 NIL 
-(-1179) 
+(-1181) 
 ((|constructor| (NIL "This package exports a function for making a \\spadtype{ThreeSpace}")) (|createThreeSpace| (((|ThreeSpace| (|DoubleFloat|))) "\\spad{createThreeSpace()} creates a \\spadtype{ThreeSpace(DoubleFloat)} object capable of holding point,{} curve,{} mesh components and any combination."))) 
 NIL 
 NIL 
-(-1180 S) 
+(-1182 S) 
 ((|constructor| (NIL "Category for the transcendental elementary functions.")) (|pi| (($) "\\spad{\\spad{pi}()} returns the constant \\spad{pi}."))) 
 NIL 
 NIL 
-(-1181) 
+(-1183) 
 ((|constructor| (NIL "Category for the transcendental elementary functions.")) (|pi| (($) "\\spad{\\spad{pi}()} returns the constant \\spad{pi}."))) 
 NIL 
 NIL 
-(-1182 S) 
+(-1184 S) 
 ((|constructor| (NIL "\\spadtype{Tree(S)} is a basic domains of tree structures. Each tree is either empty or else is a node consisting of a value and a list of (sub)trees.")) (|cyclicParents| (((|List| $) $) "\\indented{1}{cyclicParents(\\spad{t}) returns a list of cycles that are parents of \\spad{t}.} \\blankline \\spad{X} t1:=tree [1,{}2,{}3,{}4] \\spad{X} cyclicParents \\spad{t1}")) (|cyclicEqual?| (((|Boolean|) $ $) "\\indented{1}{cyclicEqual?(\\spad{t1},{} \\spad{t2}) tests of two cyclic trees have} \\indented{1}{the same structure.} \\blankline \\spad{X} t1:=tree [1,{}2,{}3,{}4] \\spad{X} t2:=tree [1,{}2,{}3,{}4] \\spad{X} cyclicEqual?(\\spad{t1},{}\\spad{t2})")) (|cyclicEntries| (((|List| $) $) "\\indented{1}{cyclicEntries(\\spad{t}) returns a list of top-level cycles in tree \\spad{t}.} \\blankline \\spad{X} t1:=tree [1,{}2,{}3,{}4] \\spad{X} cyclicEntries \\spad{t1}")) (|cyclicCopy| (($ $) "\\indented{1}{cyclicCopy(\\spad{l}) makes a copy of a (possibly) cyclic tree \\spad{l}.} \\blankline \\spad{X} t1:=tree [1,{}2,{}3,{}4] \\spad{X} cyclicCopy \\spad{t1}")) (|cyclic?| (((|Boolean|) $) "\\indented{1}{cyclic?(\\spad{t}) tests if \\spad{t} is a cyclic tree.} \\blankline \\spad{X} t1:=tree [1,{}2,{}3,{}4] \\spad{X} cyclic? \\spad{t1}")) (|tree| (($ |#1|) "\\indented{1}{tree(\\spad{nd}) creates a tree with value \\spad{nd},{} and no children} \\blankline \\spad{X} tree 6") (($ (|List| |#1|)) "\\indented{1}{tree(\\spad{ls}) creates a tree from a list of elements of \\spad{s}.} \\blankline \\spad{X} tree [1,{}2,{}3,{}4]") (($ |#1| (|List| $)) "\\indented{1}{tree(\\spad{nd},{}\\spad{ls}) creates a tree with value \\spad{nd},{} and children \\spad{ls}.} \\blankline \\spad{X} t1:=tree [1,{}2,{}3,{}4] \\spad{X} tree(5,{}[\\spad{t1}])"))) 
-((-4522 . T) (-4521 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090))))) 
-(-1183 S) 
+((-4536 . T) (-4535 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
+(-1185 S) 
 ((|constructor| (NIL "Category for the trigonometric functions.")) (|tan| (($ $) "\\spad{tan(x)} returns the tangent of \\spad{x}.")) (|sin| (($ $) "\\spad{sin(x)} returns the sine of \\spad{x}.")) (|sec| (($ $) "\\spad{sec(x)} returns the secant of \\spad{x}.")) (|csc| (($ $) "\\spad{csc(x)} returns the cosecant of \\spad{x}.")) (|cot| (($ $) "\\spad{cot(x)} returns the cotangent of \\spad{x}.")) (|cos| (($ $) "\\spad{cos(x)} returns the cosine of \\spad{x}."))) 
 NIL 
 NIL 
-(-1184) 
+(-1186) 
 ((|constructor| (NIL "Category for the trigonometric functions.")) (|tan| (($ $) "\\spad{tan(x)} returns the tangent of \\spad{x}.")) (|sin| (($ $) "\\spad{sin(x)} returns the sine of \\spad{x}.")) (|sec| (($ $) "\\spad{sec(x)} returns the secant of \\spad{x}.")) (|csc| (($ $) "\\spad{csc(x)} returns the cosecant of \\spad{x}.")) (|cot| (($ $) "\\spad{cot(x)} returns the cotangent of \\spad{x}.")) (|cos| (($ $) "\\spad{cos(x)} returns the cosine of \\spad{x}."))) 
 NIL 
 NIL 
-(-1185 R -1478) 
+(-1187 R -1564) 
 ((|constructor| (NIL "\\spadtype{TrigonometricManipulations} provides transformations from trigonometric functions to complex exponentials and logarithms,{} and back.")) (|complexForm| (((|Complex| |#2|) |#2|) "\\spad{complexForm(f)} returns \\spad{[real f,{} imag f]}.")) (|real?| (((|Boolean|) |#2|) "\\spad{real?(f)} returns \\spad{true} if \\spad{f = real f}.")) (|imag| ((|#2| |#2|) "\\spad{imag(f)} returns the imaginary part of \\spad{f} where \\spad{f} is a complex function.")) (|real| ((|#2| |#2|) "\\spad{real(f)} returns the real part of \\spad{f} where \\spad{f} is a complex function.")) (|trigs| ((|#2| |#2|) "\\spad{trigs(f)} rewrites all the complex logs and exponentials appearing in \\spad{f} in terms of trigonometric functions.")) (|complexElementary| ((|#2| |#2| (|Symbol|)) "\\spad{complexElementary(f,{} x)} rewrites the kernels of \\spad{f} involving \\spad{x} in terms of the 2 fundamental complex transcendental elementary functions: \\spad{log,{} exp}.") ((|#2| |#2|) "\\spad{complexElementary(f)} rewrites \\spad{f} in terms of the 2 fundamental complex transcendental elementary functions: \\spad{log,{} exp}.")) (|complexNormalize| ((|#2| |#2| (|Symbol|)) "\\spad{complexNormalize(f,{} x)} rewrites \\spad{f} using the least possible number of complex independent kernels involving \\spad{x}.") ((|#2| |#2|) "\\spad{complexNormalize(f)} rewrites \\spad{f} using the least possible number of complex independent kernels."))) 
 NIL 
 NIL 
-(-1186 R |Row| |Col| M) 
+(-1188 R |Row| |Col| M) 
 ((|constructor| (NIL "This package provides functions that compute \"fraction-free\" inverses of upper and lower triangular matrices over a integral domain. By \"fraction-free inverses\" we mean the following: given a matrix \\spad{B} with entries in \\spad{R} and an element \\spad{d} of \\spad{R} such that \\spad{d} * inv(\\spad{B}) also has entries in \\spad{R},{} we return \\spad{d} * inv(\\spad{B}). Thus,{} it is not necessary to pass to the quotient field in any of our computations.")) (|LowTriBddDenomInv| ((|#4| |#4| |#1|) "\\spad{LowTriBddDenomInv(B,{}d)} returns \\spad{M},{} where \\spad{B} is a non-singular lower triangular matrix and \\spad{d} is an element of \\spad{R} such that \\spad{M = d * inv(B)} has entries in \\spad{R}.")) (|UpTriBddDenomInv| ((|#4| |#4| |#1|) "\\spad{UpTriBddDenomInv(B,{}d)} returns \\spad{M},{} where \\spad{B} is a non-singular upper triangular matrix and \\spad{d} is an element of \\spad{R} such that \\spad{M = d * inv(B)} has entries in \\spad{R}."))) 
 NIL 
 NIL 
-(-1187 R -1478) 
+(-1189 R -1564) 
 ((|constructor| (NIL "TranscendentalManipulations provides functions to simplify and expand expressions involving transcendental operators.")) (|expandTrigProducts| ((|#2| |#2|) "\\spad{expandTrigProducts(e)} replaces \\axiom{sin(\\spad{x})*sin(\\spad{y})} by \\spad{(cos(x-y)-cos(x+y))/2},{} \\axiom{cos(\\spad{x})*cos(\\spad{y})} by \\spad{(cos(x-y)+cos(x+y))/2},{} and \\axiom{sin(\\spad{x})*cos(\\spad{y})} by \\spad{(sin(x-y)+sin(x+y))/2}. Note that this operation uses the pattern matcher and so is relatively expensive. To avoid getting into an infinite loop the transformations are applied at most ten times.")) (|removeSinhSq| ((|#2| |#2|) "\\spad{removeSinhSq(f)} converts every \\spad{sinh(u)**2} appearing in \\spad{f} into \\spad{1 - cosh(x)**2},{} and also reduces higher powers of \\spad{sinh(u)} with that formula.")) (|removeCoshSq| ((|#2| |#2|) "\\spad{removeCoshSq(f)} converts every \\spad{cosh(u)**2} appearing in \\spad{f} into \\spad{1 - sinh(x)**2},{} and also reduces higher powers of \\spad{cosh(u)} with that formula.")) (|removeSinSq| ((|#2| |#2|) "\\spad{removeSinSq(f)} converts every \\spad{sin(u)**2} appearing in \\spad{f} into \\spad{1 - cos(x)**2},{} and also reduces higher powers of \\spad{sin(u)} with that formula.")) (|removeCosSq| ((|#2| |#2|) "\\spad{removeCosSq(f)} converts every \\spad{cos(u)**2} appearing in \\spad{f} into \\spad{1 - sin(x)**2},{} and also reduces higher powers of \\spad{cos(u)} with that formula.")) (|coth2tanh| ((|#2| |#2|) "\\spad{coth2tanh(f)} converts every \\spad{coth(u)} appearing in \\spad{f} into \\spad{1/tanh(u)}.")) (|cot2tan| ((|#2| |#2|) "\\spad{cot2tan(f)} converts every \\spad{cot(u)} appearing in \\spad{f} into \\spad{1/tan(u)}.")) (|tanh2coth| ((|#2| |#2|) "\\spad{tanh2coth(f)} converts every \\spad{tanh(u)} appearing in \\spad{f} into \\spad{1/coth(u)}.")) (|tan2cot| ((|#2| |#2|) "\\spad{tan2cot(f)} converts every \\spad{tan(u)} appearing in \\spad{f} into \\spad{1/cot(u)}.")) (|tanh2trigh| ((|#2| |#2|) "\\spad{tanh2trigh(f)} converts every \\spad{tanh(u)} appearing in \\spad{f} into \\spad{sinh(u)/cosh(u)}.")) (|tan2trig| ((|#2| |#2|) "\\spad{tan2trig(f)} converts every \\spad{tan(u)} appearing in \\spad{f} into \\spad{sin(u)/cos(u)}.")) (|sinh2csch| ((|#2| |#2|) "\\spad{sinh2csch(f)} converts every \\spad{sinh(u)} appearing in \\spad{f} into \\spad{1/csch(u)}.")) (|sin2csc| ((|#2| |#2|) "\\spad{sin2csc(f)} converts every \\spad{sin(u)} appearing in \\spad{f} into \\spad{1/csc(u)}.")) (|sech2cosh| ((|#2| |#2|) "\\spad{sech2cosh(f)} converts every \\spad{sech(u)} appearing in \\spad{f} into \\spad{1/cosh(u)}.")) (|sec2cos| ((|#2| |#2|) "\\spad{sec2cos(f)} converts every \\spad{sec(u)} appearing in \\spad{f} into \\spad{1/cos(u)}.")) (|csch2sinh| ((|#2| |#2|) "\\spad{csch2sinh(f)} converts every \\spad{csch(u)} appearing in \\spad{f} into \\spad{1/sinh(u)}.")) (|csc2sin| ((|#2| |#2|) "\\spad{csc2sin(f)} converts every \\spad{csc(u)} appearing in \\spad{f} into \\spad{1/sin(u)}.")) (|coth2trigh| ((|#2| |#2|) "\\spad{coth2trigh(f)} converts every \\spad{coth(u)} appearing in \\spad{f} into \\spad{cosh(u)/sinh(u)}.")) (|cot2trig| ((|#2| |#2|) "\\spad{cot2trig(f)} converts every \\spad{cot(u)} appearing in \\spad{f} into \\spad{cos(u)/sin(u)}.")) (|cosh2sech| ((|#2| |#2|) "\\spad{cosh2sech(f)} converts every \\spad{cosh(u)} appearing in \\spad{f} into \\spad{1/sech(u)}.")) (|cos2sec| ((|#2| |#2|) "\\spad{cos2sec(f)} converts every \\spad{cos(u)} appearing in \\spad{f} into \\spad{1/sec(u)}.")) (|expandLog| ((|#2| |#2|) "\\spad{expandLog(f)} converts every \\spad{log(a/b)} appearing in \\spad{f} into \\spad{log(a) - log(b)},{} and every \\spad{log(a*b)} into \\spad{log(a) + log(b)}..")) (|expandPower| ((|#2| |#2|) "\\spad{expandPower(f)} converts every power \\spad{(a/b)**c} appearing in \\spad{f} into \\spad{a**c * b**(-c)}.")) (|simplifyLog| ((|#2| |#2|) "\\spad{simplifyLog(f)} converts every \\spad{log(a) - log(b)} appearing in \\spad{f} into \\spad{log(a/b)},{} every \\spad{log(a) + log(b)} into \\spad{log(a*b)} and every \\spad{n*log(a)} into \\spad{log(a^n)}.")) (|simplifyExp| ((|#2| |#2|) "\\spad{simplifyExp(f)} converts every product \\spad{exp(a)*exp(b)} appearing in \\spad{f} into \\spad{exp(a+b)}.")) (|htrigs| ((|#2| |#2|) "\\spad{htrigs(f)} converts all the exponentials in \\spad{f} into hyperbolic sines and cosines.")) (|simplify| ((|#2| |#2|) "\\spad{simplify(f)} performs the following simplifications on \\spad{f:}\\begin{items} \\item 1. rewrites trigs and hyperbolic trigs in terms of \\spad{sin} ,{}\\spad{cos},{} \\spad{sinh},{} \\spad{cosh}. \\item 2. rewrites \\spad{sin**2} and \\spad{sinh**2} in terms of \\spad{cos} and \\spad{cosh},{} \\item 3. rewrites \\spad{exp(a)*exp(b)} as \\spad{exp(a+b)}. \\item 4. rewrites \\spad{(a**(1/n))**m * (a**(1/s))**t} as a single power of a single radical of \\spad{a}. \\end{items}")) (|expand| ((|#2| |#2|) "\\spad{expand(f)} performs the following expansions on \\spad{f:}\\begin{items} \\item 1. logs of products are expanded into sums of logs,{} \\item 2. trigonometric and hyperbolic trigonometric functions of sums are expanded into sums of products of trigonometric and hyperbolic trigonometric functions. \\item 3. formal powers of the form \\spad{(a/b)**c} are expanded into \\spad{a**c * b**(-c)}. \\end{items}"))) 
 NIL 
-((-12 (|HasCategory| |#1| (LIST (QUOTE -609) (LIST (QUOTE -887) (|devaluate| |#1|)))) (|HasCategory| |#1| (LIST (QUOTE -881) (|devaluate| |#1|))) (|HasCategory| |#2| (LIST (QUOTE -609) (LIST (QUOTE -887) (|devaluate| |#1|)))) (|HasCategory| |#2| (LIST (QUOTE -881) (|devaluate| |#1|))))) 
-(-1188 S R E V P) 
+((-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (|devaluate| |#1|)))) (|HasCategory| |#1| (LIST (QUOTE -882) (|devaluate| |#1|))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (|devaluate| |#1|)))) (|HasCategory| |#2| (LIST (QUOTE -882) (|devaluate| |#1|))))) 
+(-1190 S R E V P) 
 ((|constructor| (NIL "The category of triangular sets of multivariate polynomials with coefficients in an integral domain. Let \\axiom{\\spad{R}} be an integral domain and \\axiom{\\spad{V}} a finite ordered set of variables,{} say \\axiom{\\spad{X1} < \\spad{X2} < ... < \\spad{Xn}}. A set \\axiom{\\spad{S}} of polynomials in \\axiom{\\spad{R}[\\spad{X1},{}\\spad{X2},{}...,{}\\spad{Xn}]} is triangular if no elements of \\axiom{\\spad{S}} lies in \\axiom{\\spad{R}},{} and if two distinct elements of \\axiom{\\spad{S}} have distinct main variables. Note that the empty set is a triangular set. A triangular set is not necessarily a (lexicographical) Groebner basis and the notion of reduction related to triangular sets is based on the recursive view of polynomials. We recall this notion here and refer to [1] for more details. A polynomial \\axiom{\\spad{P}} is reduced \\spad{w}.\\spad{r}.\\spad{t} a non-constant polynomial \\axiom{\\spad{Q}} if the degree of \\axiom{\\spad{P}} in the main variable of \\axiom{\\spad{Q}} is less than the main degree of \\axiom{\\spad{Q}}. A polynomial \\axiom{\\spad{P}} is reduced \\spad{w}.\\spad{r}.\\spad{t} a triangular set \\axiom{\\spad{T}} if it is reduced \\spad{w}.\\spad{r}.\\spad{t}. every polynomial of \\axiom{\\spad{T}}.")) (|coHeight| (((|NonNegativeInteger|) $) "\\axiom{coHeight(\\spad{ts})} returns \\axiom{size()\\spad{\\$}\\spad{V}} minus \\axiom{\\spad{\\#}\\spad{ts}}.")) (|extend| (($ $ |#5|) "\\axiom{extend(\\spad{ts},{}\\spad{p})} returns a triangular set which encodes the simple extension by \\axiom{\\spad{p}} of the extension of the base field defined by \\axiom{\\spad{ts}},{} according to the properties of triangular sets of the current category. If the required properties do not hold an error is returned.")) (|extendIfCan| (((|Union| $ "failed") $ |#5|) "\\axiom{extendIfCan(\\spad{ts},{}\\spad{p})} returns a triangular set which encodes the simple extension by \\axiom{\\spad{p}} of the extension of the base field defined by \\axiom{\\spad{ts}},{} according to the properties of triangular sets of the current domain. If the required properties do not hold then \"failed\" is returned. This operation encodes in some sense the properties of the triangular sets of the current category. Is is used to implement the \\axiom{construct} operation to guarantee that every triangular set build from a list of polynomials has the required properties.")) (|select| (((|Union| |#5| "failed") $ |#4|) "\\axiom{select(\\spad{ts},{}\\spad{v})} returns the polynomial of \\axiom{\\spad{ts}} with \\axiom{\\spad{v}} as main variable,{} if any.")) (|algebraic?| (((|Boolean|) |#4| $) "\\axiom{algebraic?(\\spad{v},{}\\spad{ts})} returns \\spad{true} iff \\axiom{\\spad{v}} is the main variable of some polynomial in \\axiom{\\spad{ts}}.")) (|algebraicVariables| (((|List| |#4|) $) "\\axiom{algebraicVariables(\\spad{ts})} returns the decreasingly sorted list of the main variables of the polynomials of \\axiom{\\spad{ts}}.")) (|rest| (((|Union| $ "failed") $) "\\axiom{rest(\\spad{ts})} returns the polynomials of \\axiom{\\spad{ts}} with smaller main variable than \\axiom{mvar(\\spad{ts})} if \\axiom{\\spad{ts}} is not empty,{} otherwise returns \"failed\"")) (|last| (((|Union| |#5| "failed") $) "\\axiom{last(\\spad{ts})} returns the polynomial of \\axiom{\\spad{ts}} with smallest main variable if \\axiom{\\spad{ts}} is not empty,{} otherwise returns \\axiom{\"failed\"}.")) (|first| (((|Union| |#5| "failed") $) "\\axiom{first(\\spad{ts})} returns the polynomial of \\axiom{\\spad{ts}} with greatest main variable if \\axiom{\\spad{ts}} is not empty,{} otherwise returns \\axiom{\"failed\"}.")) (|zeroSetSplitIntoTriangularSystems| (((|List| (|Record| (|:| |close| $) (|:| |open| (|List| |#5|)))) (|List| |#5|)) "\\axiom{zeroSetSplitIntoTriangularSystems(\\spad{lp})} returns a list of triangular systems \\axiom{[[\\spad{ts1},{}\\spad{qs1}],{}...,{}[\\spad{tsn},{}\\spad{qsn}]]} such that the zero set of \\axiom{\\spad{lp}} is the union of the closures of the \\axiom{W_i} where \\axiom{W_i} consists of the zeros of \\axiom{\\spad{ts}} which do not cancel any polynomial in \\axiom{qsi}.")) (|zeroSetSplit| (((|List| $) (|List| |#5|)) "\\axiom{zeroSetSplit(\\spad{lp})} returns a list \\axiom{\\spad{lts}} of triangular sets such that the zero set of \\axiom{\\spad{lp}} is the union of the closures of the regular zero sets of the members of \\axiom{\\spad{lts}}.")) (|reduceByQuasiMonic| ((|#5| |#5| $) "\\axiom{reduceByQuasiMonic(\\spad{p},{}\\spad{ts})} returns the same as \\axiom{remainder(\\spad{p},{}collectQuasiMonic(\\spad{ts})).polnum}.")) (|collectQuasiMonic| (($ $) "\\axiom{collectQuasiMonic(\\spad{ts})} returns the subset of \\axiom{\\spad{ts}} consisting of the polynomials with initial in \\axiom{\\spad{R}}.")) (|removeZero| ((|#5| |#5| $) "\\axiom{removeZero(\\spad{p},{}\\spad{ts})} returns \\axiom{0} if \\axiom{\\spad{p}} reduces to \\axiom{0} by pseudo-division \\spad{w}.\\spad{r}.\\spad{t} \\axiom{\\spad{ts}} otherwise returns a polynomial \\axiom{\\spad{q}} computed from \\axiom{\\spad{p}} by removing any coefficient in \\axiom{\\spad{p}} reducing to \\axiom{0}.")) (|initiallyReduce| ((|#5| |#5| $) "\\axiom{initiallyReduce(\\spad{p},{}\\spad{ts})} returns a polynomial \\axiom{\\spad{r}} such that \\axiom{initiallyReduced?(\\spad{r},{}\\spad{ts})} holds and there exists some product \\axiom{\\spad{h}} of \\axiom{initials(\\spad{ts})} such that \\axiom{\\spad{h*p} - \\spad{r}} lies in the ideal generated by \\axiom{\\spad{ts}}.")) (|headReduce| ((|#5| |#5| $) "\\axiom{headReduce(\\spad{p},{}\\spad{ts})} returns a polynomial \\axiom{\\spad{r}} such that \\axiom{headReduce?(\\spad{r},{}\\spad{ts})} holds and there exists some product \\axiom{\\spad{h}} of \\axiom{initials(\\spad{ts})} such that \\axiom{\\spad{h*p} - \\spad{r}} lies in the ideal generated by \\axiom{\\spad{ts}}.")) (|stronglyReduce| ((|#5| |#5| $) "\\axiom{stronglyReduce(\\spad{p},{}\\spad{ts})} returns a polynomial \\axiom{\\spad{r}} such that \\axiom{stronglyReduced?(\\spad{r},{}\\spad{ts})} holds and there exists some product \\axiom{\\spad{h}} of \\axiom{initials(\\spad{ts})} such that \\axiom{\\spad{h*p} - \\spad{r}} lies in the ideal generated by \\axiom{\\spad{ts}}.")) (|rewriteSetWithReduction| (((|List| |#5|) (|List| |#5|) $ (|Mapping| |#5| |#5| |#5|) (|Mapping| (|Boolean|) |#5| |#5|)) "\\axiom{rewriteSetWithReduction(\\spad{lp},{}\\spad{ts},{}redOp,{}redOp?)} returns a list \\axiom{\\spad{lq}} of polynomials such that \\axiom{[reduce(\\spad{p},{}\\spad{ts},{}redOp,{}redOp?) for \\spad{p} in \\spad{lp}]} and \\axiom{\\spad{lp}} have the same zeros inside the regular zero set of \\axiom{\\spad{ts}}. Moreover,{} for every polynomial \\axiom{\\spad{q}} in \\axiom{\\spad{lq}} and every polynomial \\axiom{\\spad{t}} in \\axiom{\\spad{ts}} \\axiom{redOp?(\\spad{q},{}\\spad{t})} holds and there exists a polynomial \\axiom{\\spad{p}} in the ideal generated by \\axiom{\\spad{lp}} and a product \\axiom{\\spad{h}} of \\axiom{initials(\\spad{ts})} such that \\axiom{\\spad{h*p} - \\spad{r}} lies in the ideal generated by \\axiom{\\spad{ts}}. The operation \\axiom{redOp} must satisfy the following conditions. For every \\axiom{\\spad{p}} and \\axiom{\\spad{q}} we have \\axiom{redOp?(redOp(\\spad{p},{}\\spad{q}),{}\\spad{q})} and there exists an integer \\axiom{\\spad{e}} and a polynomial \\axiom{\\spad{f}} such that \\axiom{init(\\spad{q})^e*p = \\spad{f*q} + redOp(\\spad{p},{}\\spad{q})}.")) (|reduce| ((|#5| |#5| $ (|Mapping| |#5| |#5| |#5|) (|Mapping| (|Boolean|) |#5| |#5|)) "\\axiom{reduce(\\spad{p},{}\\spad{ts},{}redOp,{}redOp?)} returns a polynomial \\axiom{\\spad{r}} such that \\axiom{redOp?(\\spad{r},{}\\spad{p})} holds for every \\axiom{\\spad{p}} of \\axiom{\\spad{ts}} and there exists some product \\axiom{\\spad{h}} of the initials of the members of \\axiom{\\spad{ts}} such that \\axiom{\\spad{h*p} - \\spad{r}} lies in the ideal generated by \\axiom{\\spad{ts}}. The operation \\axiom{redOp} must satisfy the following conditions. For every \\axiom{\\spad{p}} and \\axiom{\\spad{q}} we have \\axiom{redOp?(redOp(\\spad{p},{}\\spad{q}),{}\\spad{q})} and there exists an integer \\axiom{\\spad{e}} and a polynomial \\axiom{\\spad{f}} such that \\axiom{init(\\spad{q})^e*p = \\spad{f*q} + redOp(\\spad{p},{}\\spad{q})}.")) (|autoReduced?| (((|Boolean|) $ (|Mapping| (|Boolean|) |#5| (|List| |#5|))) "\\axiom{autoReduced?(\\spad{ts},{}redOp?)} returns \\spad{true} iff every element of \\axiom{\\spad{ts}} is reduced \\spad{w}.\\spad{r}.\\spad{t} to every other in the sense of \\axiom{redOp?}")) (|initiallyReduced?| (((|Boolean|) $) "\\spad{initiallyReduced?(ts)} returns \\spad{true} iff for every element \\axiom{\\spad{p}} of \\axiom{\\spad{ts}}. \\axiom{\\spad{p}} and all its iterated initials are reduced \\spad{w}.\\spad{r}.\\spad{t}. to the other elements of \\axiom{\\spad{ts}} with the same main variable.") (((|Boolean|) |#5| $) "\\axiom{initiallyReduced?(\\spad{p},{}\\spad{ts})} returns \\spad{true} iff \\axiom{\\spad{p}} and all its iterated initials are reduced \\spad{w}.\\spad{r}.\\spad{t}. to the elements of \\axiom{\\spad{ts}} with the same main variable.")) (|headReduced?| (((|Boolean|) $) "\\spad{headReduced?(ts)} returns \\spad{true} iff the head of every element of \\axiom{\\spad{ts}} is reduced \\spad{w}.\\spad{r}.\\spad{t} to any other element of \\axiom{\\spad{ts}}.") (((|Boolean|) |#5| $) "\\axiom{headReduced?(\\spad{p},{}\\spad{ts})} returns \\spad{true} iff the head of \\axiom{\\spad{p}} is reduced \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{ts}}.")) (|stronglyReduced?| (((|Boolean|) $) "\\axiom{stronglyReduced?(\\spad{ts})} returns \\spad{true} iff every element of \\axiom{\\spad{ts}} is reduced \\spad{w}.\\spad{r}.\\spad{t} to any other element of \\axiom{\\spad{ts}}.") (((|Boolean|) |#5| $) "\\axiom{stronglyReduced?(\\spad{p},{}\\spad{ts})} returns \\spad{true} iff \\axiom{\\spad{p}} is reduced \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{ts}}.")) (|reduced?| (((|Boolean|) |#5| $ (|Mapping| (|Boolean|) |#5| |#5|)) "\\axiom{reduced?(\\spad{p},{}\\spad{ts},{}redOp?)} returns \\spad{true} iff \\axiom{\\spad{p}} is reduced \\spad{w}.\\spad{r}.\\spad{t}.in the sense of the operation \\axiom{redOp?},{} that is if for every \\axiom{\\spad{t}} in \\axiom{\\spad{ts}} \\axiom{redOp?(\\spad{p},{}\\spad{t})} holds.")) (|normalized?| (((|Boolean|) $) "\\axiom{normalized?(\\spad{ts})} returns \\spad{true} iff for every axiom{\\spad{p}} in \\axiom{\\spad{ts}} we have \\axiom{normalized?(\\spad{p},{}us)} where \\axiom{us} is \\axiom{collectUnder(\\spad{ts},{}mvar(\\spad{p}))}.") (((|Boolean|) |#5| $) "\\axiom{normalized?(\\spad{p},{}\\spad{ts})} returns \\spad{true} iff \\axiom{\\spad{p}} and all its iterated initials have degree zero \\spad{w}.\\spad{r}.\\spad{t}. the main variables of the polynomials of \\axiom{\\spad{ts}}")) (|quasiComponent| (((|Record| (|:| |close| (|List| |#5|)) (|:| |open| (|List| |#5|))) $) "\\axiom{quasiComponent(\\spad{ts})} returns \\axiom{[\\spad{lp},{}\\spad{lq}]} where \\axiom{\\spad{lp}} is the list of the members of \\axiom{\\spad{ts}} and \\axiom{\\spad{lq}}is \\axiom{initials(\\spad{ts})}.")) (|degree| (((|NonNegativeInteger|) $) "\\axiom{degree(\\spad{ts})} returns the product of main degrees of the members of \\axiom{\\spad{ts}}.")) (|initials| (((|List| |#5|) $) "\\axiom{initials(\\spad{ts})} returns the list of the non-constant initials of the members of \\axiom{\\spad{ts}}.")) (|basicSet| (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#5|))) "failed") (|List| |#5|) (|Mapping| (|Boolean|) |#5|) (|Mapping| (|Boolean|) |#5| |#5|)) "\\axiom{basicSet(\\spad{ps},{}pred?,{}redOp?)} returns the same as \\axiom{basicSet(\\spad{qs},{}redOp?)} where \\axiom{\\spad{qs}} consists of the polynomials of \\axiom{\\spad{ps}} satisfying property \\axiom{pred?}.") (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#5|))) "failed") (|List| |#5|) (|Mapping| (|Boolean|) |#5| |#5|)) "\\axiom{basicSet(\\spad{ps},{}redOp?)} returns \\axiom{[\\spad{bs},{}\\spad{ts}]} where \\axiom{concat(\\spad{bs},{}\\spad{ts})} is \\axiom{\\spad{ps}} and \\axiom{\\spad{bs}} is a basic set in Wu Wen Tsun sense of \\axiom{\\spad{ps}} \\spad{w}.\\spad{r}.\\spad{t} the reduction-test \\axiom{redOp?},{} if no non-zero constant polynomial lie in \\axiom{\\spad{ps}},{} otherwise \\axiom{\"failed\"} is returned.")) (|infRittWu?| (((|Boolean|) $ $) "\\axiom{infRittWu?(\\spad{ts1},{}\\spad{ts2})} returns \\spad{true} iff \\axiom{\\spad{ts2}} has higher rank than \\axiom{\\spad{ts1}} in Wu Wen Tsun sense."))) 
 NIL 
-((|HasCategory| |#4| (QUOTE (-370)))) 
-(-1189 R E V P) 
+((|HasCategory| |#4| (QUOTE (-371)))) 
+(-1191 R E V P) 
 ((|constructor| (NIL "The category of triangular sets of multivariate polynomials with coefficients in an integral domain. Let \\axiom{\\spad{R}} be an integral domain and \\axiom{\\spad{V}} a finite ordered set of variables,{} say \\axiom{\\spad{X1} < \\spad{X2} < ... < \\spad{Xn}}. A set \\axiom{\\spad{S}} of polynomials in \\axiom{\\spad{R}[\\spad{X1},{}\\spad{X2},{}...,{}\\spad{Xn}]} is triangular if no elements of \\axiom{\\spad{S}} lies in \\axiom{\\spad{R}},{} and if two distinct elements of \\axiom{\\spad{S}} have distinct main variables. Note that the empty set is a triangular set. A triangular set is not necessarily a (lexicographical) Groebner basis and the notion of reduction related to triangular sets is based on the recursive view of polynomials. We recall this notion here and refer to [1] for more details. A polynomial \\axiom{\\spad{P}} is reduced \\spad{w}.\\spad{r}.\\spad{t} a non-constant polynomial \\axiom{\\spad{Q}} if the degree of \\axiom{\\spad{P}} in the main variable of \\axiom{\\spad{Q}} is less than the main degree of \\axiom{\\spad{Q}}. A polynomial \\axiom{\\spad{P}} is reduced \\spad{w}.\\spad{r}.\\spad{t} a triangular set \\axiom{\\spad{T}} if it is reduced \\spad{w}.\\spad{r}.\\spad{t}. every polynomial of \\axiom{\\spad{T}}.")) (|coHeight| (((|NonNegativeInteger|) $) "\\axiom{coHeight(\\spad{ts})} returns \\axiom{size()\\spad{\\$}\\spad{V}} minus \\axiom{\\spad{\\#}\\spad{ts}}.")) (|extend| (($ $ |#4|) "\\axiom{extend(\\spad{ts},{}\\spad{p})} returns a triangular set which encodes the simple extension by \\axiom{\\spad{p}} of the extension of the base field defined by \\axiom{\\spad{ts}},{} according to the properties of triangular sets of the current category. If the required properties do not hold an error is returned.")) (|extendIfCan| (((|Union| $ "failed") $ |#4|) "\\axiom{extendIfCan(\\spad{ts},{}\\spad{p})} returns a triangular set which encodes the simple extension by \\axiom{\\spad{p}} of the extension of the base field defined by \\axiom{\\spad{ts}},{} according to the properties of triangular sets of the current domain. If the required properties do not hold then \"failed\" is returned. This operation encodes in some sense the properties of the triangular sets of the current category. Is is used to implement the \\axiom{construct} operation to guarantee that every triangular set build from a list of polynomials has the required properties.")) (|select| (((|Union| |#4| "failed") $ |#3|) "\\axiom{select(\\spad{ts},{}\\spad{v})} returns the polynomial of \\axiom{\\spad{ts}} with \\axiom{\\spad{v}} as main variable,{} if any.")) (|algebraic?| (((|Boolean|) |#3| $) "\\axiom{algebraic?(\\spad{v},{}\\spad{ts})} returns \\spad{true} iff \\axiom{\\spad{v}} is the main variable of some polynomial in \\axiom{\\spad{ts}}.")) (|algebraicVariables| (((|List| |#3|) $) "\\axiom{algebraicVariables(\\spad{ts})} returns the decreasingly sorted list of the main variables of the polynomials of \\axiom{\\spad{ts}}.")) (|rest| (((|Union| $ "failed") $) "\\axiom{rest(\\spad{ts})} returns the polynomials of \\axiom{\\spad{ts}} with smaller main variable than \\axiom{mvar(\\spad{ts})} if \\axiom{\\spad{ts}} is not empty,{} otherwise returns \"failed\"")) (|last| (((|Union| |#4| "failed") $) "\\axiom{last(\\spad{ts})} returns the polynomial of \\axiom{\\spad{ts}} with smallest main variable if \\axiom{\\spad{ts}} is not empty,{} otherwise returns \\axiom{\"failed\"}.")) (|first| (((|Union| |#4| "failed") $) "\\axiom{first(\\spad{ts})} returns the polynomial of \\axiom{\\spad{ts}} with greatest main variable if \\axiom{\\spad{ts}} is not empty,{} otherwise returns \\axiom{\"failed\"}.")) (|zeroSetSplitIntoTriangularSystems| (((|List| (|Record| (|:| |close| $) (|:| |open| (|List| |#4|)))) (|List| |#4|)) "\\axiom{zeroSetSplitIntoTriangularSystems(\\spad{lp})} returns a list of triangular systems \\axiom{[[\\spad{ts1},{}\\spad{qs1}],{}...,{}[\\spad{tsn},{}\\spad{qsn}]]} such that the zero set of \\axiom{\\spad{lp}} is the union of the closures of the \\axiom{W_i} where \\axiom{W_i} consists of the zeros of \\axiom{\\spad{ts}} which do not cancel any polynomial in \\axiom{qsi}.")) (|zeroSetSplit| (((|List| $) (|List| |#4|)) "\\axiom{zeroSetSplit(\\spad{lp})} returns a list \\axiom{\\spad{lts}} of triangular sets such that the zero set of \\axiom{\\spad{lp}} is the union of the closures of the regular zero sets of the members of \\axiom{\\spad{lts}}.")) (|reduceByQuasiMonic| ((|#4| |#4| $) "\\axiom{reduceByQuasiMonic(\\spad{p},{}\\spad{ts})} returns the same as \\axiom{remainder(\\spad{p},{}collectQuasiMonic(\\spad{ts})).polnum}.")) (|collectQuasiMonic| (($ $) "\\axiom{collectQuasiMonic(\\spad{ts})} returns the subset of \\axiom{\\spad{ts}} consisting of the polynomials with initial in \\axiom{\\spad{R}}.")) (|removeZero| ((|#4| |#4| $) "\\axiom{removeZero(\\spad{p},{}\\spad{ts})} returns \\axiom{0} if \\axiom{\\spad{p}} reduces to \\axiom{0} by pseudo-division \\spad{w}.\\spad{r}.\\spad{t} \\axiom{\\spad{ts}} otherwise returns a polynomial \\axiom{\\spad{q}} computed from \\axiom{\\spad{p}} by removing any coefficient in \\axiom{\\spad{p}} reducing to \\axiom{0}.")) (|initiallyReduce| ((|#4| |#4| $) "\\axiom{initiallyReduce(\\spad{p},{}\\spad{ts})} returns a polynomial \\axiom{\\spad{r}} such that \\axiom{initiallyReduced?(\\spad{r},{}\\spad{ts})} holds and there exists some product \\axiom{\\spad{h}} of \\axiom{initials(\\spad{ts})} such that \\axiom{\\spad{h*p} - \\spad{r}} lies in the ideal generated by \\axiom{\\spad{ts}}.")) (|headReduce| ((|#4| |#4| $) "\\axiom{headReduce(\\spad{p},{}\\spad{ts})} returns a polynomial \\axiom{\\spad{r}} such that \\axiom{headReduce?(\\spad{r},{}\\spad{ts})} holds and there exists some product \\axiom{\\spad{h}} of \\axiom{initials(\\spad{ts})} such that \\axiom{\\spad{h*p} - \\spad{r}} lies in the ideal generated by \\axiom{\\spad{ts}}.")) (|stronglyReduce| ((|#4| |#4| $) "\\axiom{stronglyReduce(\\spad{p},{}\\spad{ts})} returns a polynomial \\axiom{\\spad{r}} such that \\axiom{stronglyReduced?(\\spad{r},{}\\spad{ts})} holds and there exists some product \\axiom{\\spad{h}} of \\axiom{initials(\\spad{ts})} such that \\axiom{\\spad{h*p} - \\spad{r}} lies in the ideal generated by \\axiom{\\spad{ts}}.")) (|rewriteSetWithReduction| (((|List| |#4|) (|List| |#4|) $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) "\\axiom{rewriteSetWithReduction(\\spad{lp},{}\\spad{ts},{}redOp,{}redOp?)} returns a list \\axiom{\\spad{lq}} of polynomials such that \\axiom{[reduce(\\spad{p},{}\\spad{ts},{}redOp,{}redOp?) for \\spad{p} in \\spad{lp}]} and \\axiom{\\spad{lp}} have the same zeros inside the regular zero set of \\axiom{\\spad{ts}}. Moreover,{} for every polynomial \\axiom{\\spad{q}} in \\axiom{\\spad{lq}} and every polynomial \\axiom{\\spad{t}} in \\axiom{\\spad{ts}} \\axiom{redOp?(\\spad{q},{}\\spad{t})} holds and there exists a polynomial \\axiom{\\spad{p}} in the ideal generated by \\axiom{\\spad{lp}} and a product \\axiom{\\spad{h}} of \\axiom{initials(\\spad{ts})} such that \\axiom{\\spad{h*p} - \\spad{r}} lies in the ideal generated by \\axiom{\\spad{ts}}. The operation \\axiom{redOp} must satisfy the following conditions. For every \\axiom{\\spad{p}} and \\axiom{\\spad{q}} we have \\axiom{redOp?(redOp(\\spad{p},{}\\spad{q}),{}\\spad{q})} and there exists an integer \\axiom{\\spad{e}} and a polynomial \\axiom{\\spad{f}} such that \\axiom{init(\\spad{q})^e*p = \\spad{f*q} + redOp(\\spad{p},{}\\spad{q})}.")) (|reduce| ((|#4| |#4| $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) "\\axiom{reduce(\\spad{p},{}\\spad{ts},{}redOp,{}redOp?)} returns a polynomial \\axiom{\\spad{r}} such that \\axiom{redOp?(\\spad{r},{}\\spad{p})} holds for every \\axiom{\\spad{p}} of \\axiom{\\spad{ts}} and there exists some product \\axiom{\\spad{h}} of the initials of the members of \\axiom{\\spad{ts}} such that \\axiom{\\spad{h*p} - \\spad{r}} lies in the ideal generated by \\axiom{\\spad{ts}}. The operation \\axiom{redOp} must satisfy the following conditions. For every \\axiom{\\spad{p}} and \\axiom{\\spad{q}} we have \\axiom{redOp?(redOp(\\spad{p},{}\\spad{q}),{}\\spad{q})} and there exists an integer \\axiom{\\spad{e}} and a polynomial \\axiom{\\spad{f}} such that \\axiom{init(\\spad{q})^e*p = \\spad{f*q} + redOp(\\spad{p},{}\\spad{q})}.")) (|autoReduced?| (((|Boolean|) $ (|Mapping| (|Boolean|) |#4| (|List| |#4|))) "\\axiom{autoReduced?(\\spad{ts},{}redOp?)} returns \\spad{true} iff every element of \\axiom{\\spad{ts}} is reduced \\spad{w}.\\spad{r}.\\spad{t} to every other in the sense of \\axiom{redOp?}")) (|initiallyReduced?| (((|Boolean|) $) "\\spad{initiallyReduced?(ts)} returns \\spad{true} iff for every element \\axiom{\\spad{p}} of \\axiom{\\spad{ts}}. \\axiom{\\spad{p}} and all its iterated initials are reduced \\spad{w}.\\spad{r}.\\spad{t}. to the other elements of \\axiom{\\spad{ts}} with the same main variable.") (((|Boolean|) |#4| $) "\\axiom{initiallyReduced?(\\spad{p},{}\\spad{ts})} returns \\spad{true} iff \\axiom{\\spad{p}} and all its iterated initials are reduced \\spad{w}.\\spad{r}.\\spad{t}. to the elements of \\axiom{\\spad{ts}} with the same main variable.")) (|headReduced?| (((|Boolean|) $) "\\spad{headReduced?(ts)} returns \\spad{true} iff the head of every element of \\axiom{\\spad{ts}} is reduced \\spad{w}.\\spad{r}.\\spad{t} to any other element of \\axiom{\\spad{ts}}.") (((|Boolean|) |#4| $) "\\axiom{headReduced?(\\spad{p},{}\\spad{ts})} returns \\spad{true} iff the head of \\axiom{\\spad{p}} is reduced \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{ts}}.")) (|stronglyReduced?| (((|Boolean|) $) "\\axiom{stronglyReduced?(\\spad{ts})} returns \\spad{true} iff every element of \\axiom{\\spad{ts}} is reduced \\spad{w}.\\spad{r}.\\spad{t} to any other element of \\axiom{\\spad{ts}}.") (((|Boolean|) |#4| $) "\\axiom{stronglyReduced?(\\spad{p},{}\\spad{ts})} returns \\spad{true} iff \\axiom{\\spad{p}} is reduced \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{ts}}.")) (|reduced?| (((|Boolean|) |#4| $ (|Mapping| (|Boolean|) |#4| |#4|)) "\\axiom{reduced?(\\spad{p},{}\\spad{ts},{}redOp?)} returns \\spad{true} iff \\axiom{\\spad{p}} is reduced \\spad{w}.\\spad{r}.\\spad{t}.in the sense of the operation \\axiom{redOp?},{} that is if for every \\axiom{\\spad{t}} in \\axiom{\\spad{ts}} \\axiom{redOp?(\\spad{p},{}\\spad{t})} holds.")) (|normalized?| (((|Boolean|) $) "\\axiom{normalized?(\\spad{ts})} returns \\spad{true} iff for every axiom{\\spad{p}} in \\axiom{\\spad{ts}} we have \\axiom{normalized?(\\spad{p},{}us)} where \\axiom{us} is \\axiom{collectUnder(\\spad{ts},{}mvar(\\spad{p}))}.") (((|Boolean|) |#4| $) "\\axiom{normalized?(\\spad{p},{}\\spad{ts})} returns \\spad{true} iff \\axiom{\\spad{p}} and all its iterated initials have degree zero \\spad{w}.\\spad{r}.\\spad{t}. the main variables of the polynomials of \\axiom{\\spad{ts}}")) (|quasiComponent| (((|Record| (|:| |close| (|List| |#4|)) (|:| |open| (|List| |#4|))) $) "\\axiom{quasiComponent(\\spad{ts})} returns \\axiom{[\\spad{lp},{}\\spad{lq}]} where \\axiom{\\spad{lp}} is the list of the members of \\axiom{\\spad{ts}} and \\axiom{\\spad{lq}}is \\axiom{initials(\\spad{ts})}.")) (|degree| (((|NonNegativeInteger|) $) "\\axiom{degree(\\spad{ts})} returns the product of main degrees of the members of \\axiom{\\spad{ts}}.")) (|initials| (((|List| |#4|) $) "\\axiom{initials(\\spad{ts})} returns the list of the non-constant initials of the members of \\axiom{\\spad{ts}}.")) (|basicSet| (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) "\\axiom{basicSet(\\spad{ps},{}pred?,{}redOp?)} returns the same as \\axiom{basicSet(\\spad{qs},{}redOp?)} where \\axiom{\\spad{qs}} consists of the polynomials of \\axiom{\\spad{ps}} satisfying property \\axiom{pred?}.") (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) "\\axiom{basicSet(\\spad{ps},{}redOp?)} returns \\axiom{[\\spad{bs},{}\\spad{ts}]} where \\axiom{concat(\\spad{bs},{}\\spad{ts})} is \\axiom{\\spad{ps}} and \\axiom{\\spad{bs}} is a basic set in Wu Wen Tsun sense of \\axiom{\\spad{ps}} \\spad{w}.\\spad{r}.\\spad{t} the reduction-test \\axiom{redOp?},{} if no non-zero constant polynomial lie in \\axiom{\\spad{ps}},{} otherwise \\axiom{\"failed\"} is returned.")) (|infRittWu?| (((|Boolean|) $ $) "\\axiom{infRittWu?(\\spad{ts1},{}\\spad{ts2})} returns \\spad{true} iff \\axiom{\\spad{ts2}} has higher rank than \\axiom{\\spad{ts1}} in Wu Wen Tsun sense."))) 
-((-4522 . T) (-4521 . T) (-3973 . T)) 
+((-4536 . T) (-4535 . T) (-2982 . T)) 
 NIL 
-(-1190 |Coef|) 
+(-1192 |Coef|) 
 ((|constructor| (NIL "\\spadtype{TaylorSeries} is a general multivariate Taylor series domain over the ring Coef and with variables of type Symbol.")) (|fintegrate| (($ (|Mapping| $) (|Symbol|) |#1|) "\\spad{fintegrate(f,{}v,{}c)} is the integral of \\spad{f()} with respect \\indented{1}{to \\spad{v} and having \\spad{c} as the constant of integration.} \\indented{1}{The evaluation of \\spad{f()} is delayed.}")) (|integrate| (($ $ (|Symbol|) |#1|) "\\spad{integrate(s,{}v,{}c)} is the integral of \\spad{s} with respect \\indented{1}{to \\spad{v} and having \\spad{c} as the constant of integration.}")) (|coerce| (($ (|Polynomial| |#1|)) "\\spad{coerce(s)} regroups terms of \\spad{s} by total degree \\indented{1}{and forms a series.}") (($ (|Symbol|)) "\\spad{coerce(s)} converts a variable to a Taylor series")) (|coefficient| (((|Polynomial| |#1|) $ (|NonNegativeInteger|)) "\\spad{coefficient(s,{} n)} gives the terms of total degree \\spad{n}."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4516 . T) (-4515 . T) (-4518 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-558))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558)))) (|HasCategory| |#1| (QUOTE (-365)))) 
-(-1191 |Curve|) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4530 . T) (-4529 . T) (-4532 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-559))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-366)))) 
+(-1193 |Curve|) 
 ((|constructor| (NIL "Package for constructing tubes around 3-dimensional parametric curves. Domain of tubes around 3-dimensional parametric curves.")) (|tube| (($ |#1| (|List| (|List| (|Point| (|DoubleFloat|)))) (|Boolean|)) "\\spad{tube(c,{}ll,{}b)} creates a tube of the domain \\spadtype{TubePlot} from a space curve \\spad{c} of the category \\spadtype{PlottableSpaceCurveCategory},{} a list of lists of points (loops) \\spad{ll} and a boolean \\spad{b} which if \\spad{true} indicates a closed tube,{} or if \\spad{false} an open tube.")) (|setClosed| (((|Boolean|) $ (|Boolean|)) "\\spad{setClosed(t,{}b)} declares the given tube plot \\spad{t} to be closed if \\spad{b} is \\spad{true},{} or if \\spad{b} is \\spad{false},{} \\spad{t} is set to be open.")) (|open?| (((|Boolean|) $) "\\spad{open?(t)} tests whether the given tube plot \\spad{t} is open.")) (|closed?| (((|Boolean|) $) "\\spad{closed?(t)} tests whether the given tube plot \\spad{t} is closed.")) (|listLoops| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) "\\spad{listLoops(t)} returns the list of lists of points,{} or the 'loops',{} of the given tube plot \\spad{t}.")) (|getCurve| ((|#1| $) "\\spad{getCurve(t)} returns the \\spadtype{PlottableSpaceCurveCategory} representing the parametric curve of the given tube plot \\spad{t}."))) 
 NIL 
 NIL 
-(-1192) 
+(-1194) 
 ((|constructor| (NIL "Tools for constructing tubes around 3-dimensional parametric curves.")) (|loopPoints| (((|List| (|Point| (|DoubleFloat|))) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|List| (|List| (|DoubleFloat|)))) "\\spad{loopPoints(p,{}n,{}b,{}r,{}lls)} creates and returns a list of points which form the loop with radius \\spad{r},{} around the center point indicated by the point \\spad{p},{} with the principal normal vector of the space curve at point \\spad{p} given by the point(vector) \\spad{n},{} and the binormal vector given by the point(vector) \\spad{b},{} and a list of lists,{} \\spad{lls},{} which is the \\spadfun{cosSinInfo} of the number of points defining the loop.")) (|cosSinInfo| (((|List| (|List| (|DoubleFloat|))) (|Integer|)) "\\spad{cosSinInfo(n)} returns the list of lists of values for \\spad{n},{} in the form \\spad{[[cos(n-1) a,{}sin(n-1) a],{}...,{}[cos 2 a,{}sin 2 a],{}[cos a,{}sin a]]} where \\spad{a = 2 pi/n}. Note that \\spad{n} should be greater than 2.")) (|unitVector| (((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) "\\spad{unitVector(p)} creates the unit vector of the point \\spad{p} and returns the result as a point. Note that \\spad{unitVector(p) = p/|p|}.")) (|cross| (((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) "\\spad{cross(p,{}q)} computes the cross product of the two points \\spad{p} and \\spad{q} using only the first three coordinates,{} and keeping the color of the first point \\spad{p}. The result is returned as a point.")) (|dot| (((|DoubleFloat|) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) "\\spad{dot(p,{}q)} computes the dot product of the two points \\spad{p} and \\spad{q} using only the first three coordinates,{} and returns the resulting \\spadtype{DoubleFloat}.")) (- (((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) "\\spad{p - q} computes and returns a point whose coordinates are the differences of the coordinates of two points \\spad{p} and \\spad{q},{} using the color,{} or fourth coordinate,{} of the first point \\spad{p} as the color also of the point \\spad{q}.")) (+ (((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) "\\spad{p + q} computes and returns a point whose coordinates are the sums of the coordinates of the two points \\spad{p} and \\spad{q},{} using the color,{} or fourth coordinate,{} of the first point \\spad{p} as the color also of the point \\spad{q}.")) (* (((|Point| (|DoubleFloat|)) (|DoubleFloat|) (|Point| (|DoubleFloat|))) "\\spad{s * p} returns a point whose coordinates are the scalar multiple of the point \\spad{p} by the scalar \\spad{s},{} preserving the color,{} or fourth coordinate,{} of \\spad{p}.")) (|point| (((|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{point(x1,{}x2,{}x3,{}c)} creates and returns a point from the three specified coordinates \\spad{x1},{} \\spad{x2},{} \\spad{x3},{} and also a fourth coordinate,{} \\spad{c},{} which is generally used to specify the color of the point."))) 
 NIL 
 NIL 
-(-1193 S) 
+(-1195 S) 
 ((|constructor| (NIL "This domain is used to interface with the interpreter\\spad{'s} notion of comma-delimited sequences of values.")) (|length| (((|NonNegativeInteger|) $) "\\indented{1}{length(\\spad{x}) returns the number of elements in tuple \\spad{x}} \\blankline \\spad{X} t1:PrimitiveArray(Integer)\\spad{:=} [\\spad{i} for \\spad{i} in 1..10] \\spad{X} t2:=coerce(\\spad{t1})\\$Tuple(Integer) \\spad{X} length(\\spad{t2})")) (|select| ((|#1| $ (|NonNegativeInteger|)) "\\indented{1}{select(\\spad{x},{}\\spad{n}) returns the \\spad{n}-th element of tuple \\spad{x}.} \\indented{1}{tuples are 0-based} \\blankline \\spad{X} t1:PrimitiveArray(Integer)\\spad{:=} [\\spad{i} for \\spad{i} in 1..10] \\spad{X} t2:=coerce(\\spad{t1})\\$Tuple(Integer) \\spad{X} select(\\spad{t2},{}3)")) (|coerce| (($ (|PrimitiveArray| |#1|)) "\\indented{1}{coerce(a) makes a tuple from primitive array a} \\blankline \\spad{X} t1:PrimitiveArray(Integer)\\spad{:=} [\\spad{i} for \\spad{i} in 1..10] \\spad{X} t2:=coerce(\\spad{t1})\\$Tuple(Integer)"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-1090)))) 
-(-1194 -1478) 
+((|HasCategory| |#1| (QUOTE (-1091)))) 
+(-1196 -1564) 
 ((|constructor| (NIL "A basic package for the factorization of bivariate polynomials over a finite field. The functions here represent the base step for the multivariate factorizer.")) (|twoFactor| (((|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)) (|Integer|)) "\\spad{twoFactor(p,{}n)} returns the factorisation of polynomial \\spad{p},{} a sparse univariate polynomial (sup) over a sup over \\spad{F}. Also,{} \\spad{p} is assumed primitive and square-free and \\spad{n} is the degree of the inner variable of \\spad{p} (maximum of the degrees of the coefficients of \\spad{p}).")) (|generalSqFr| (((|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) "\\spad{generalSqFr(p)} returns the square-free factorisation of polynomial \\spad{p},{} a sparse univariate polynomial (sup) over a sup over \\spad{F}.")) (|generalTwoFactor| (((|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) "\\spad{generalTwoFactor(p)} returns the factorisation of polynomial \\spad{p},{} a sparse univariate polynomial (sup) over a sup over \\spad{F}."))) 
 NIL 
 NIL 
-(-1195) 
+(-1197) 
 ((|constructor| (NIL "The fundamental Type."))) 
-((-3973 . T)) 
+((-2982 . T)) 
 NIL 
-(-1196 S) 
+(-1198) 
+((|constructor| (NIL "This is a low-level domain which implements vectors (one dimensional arrays) of unsigned 32-bit numbers. Indexing is 0 based,{} there is no bound checking (unless provided by lower level)."))) 
+((-4536 . T) (-4535 . T)) 
+((|HasCategory| (-569) (QUOTE (-1091))) (|HasCategory| (-569) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-843))) (-2232 (|HasCategory| (-569) (QUOTE (-843))) (|HasCategory| (-569) (QUOTE (-1091)))) (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-843)))) (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1091)))))) 
+(-1199 S) 
 ((|constructor| (NIL "Provides functions to force a partial ordering on any set.")) (|more?| (((|Boolean|) |#1| |#1|) "\\spad{more?(a,{} b)} compares a and \\spad{b} in the partial ordering induced by setOrder,{} and uses the ordering on \\spad{S} if a and \\spad{b} are not comparable in the partial ordering.")) (|userOrdered?| (((|Boolean|)) "\\spad{userOrdered?()} tests if the partial ordering induced by setOrder is not empty.")) (|largest| ((|#1| (|List| |#1|)) "\\spad{largest l} returns the largest element of \\spad{l} where the partial ordering induced by setOrder is completed into a total one by the ordering on \\spad{S}.") ((|#1| (|List| |#1|) (|Mapping| (|Boolean|) |#1| |#1|)) "\\spad{largest(l,{} fn)} returns the largest element of \\spad{l} where the partial ordering induced by setOrder is completed into a total one by \\spad{fn}.")) (|less?| (((|Boolean|) |#1| |#1| (|Mapping| (|Boolean|) |#1| |#1|)) "\\spad{less?(a,{} b,{} fn)} compares \\spad{a} and \\spad{b} in the partial ordering induced by setOrder,{} and returns \\spad{fn(a,{} b)} if \\spad{a} and \\spad{b} are not comparable in that ordering.") (((|Union| (|Boolean|) "failed") |#1| |#1|) "\\spad{less?(a,{} b)} compares \\spad{a} and \\spad{b} in the partial ordering induced by setOrder.")) (|getOrder| (((|Record| (|:| |low| (|List| |#1|)) (|:| |high| (|List| |#1|)))) "\\spad{getOrder()} returns \\spad{[[b1,{}...,{}bm],{} [a1,{}...,{}an]]} such that the partial ordering on \\spad{S} was given by \\spad{setOrder([b1,{}...,{}bm],{}[a1,{}...,{}an])}.")) (|setOrder| (((|Void|) (|List| |#1|) (|List| |#1|)) "\\spad{setOrder([b1,{}...,{}bm],{} [a1,{}...,{}an])} defines a partial ordering on \\spad{S} given \\spad{by:} \\indented{3}{(1)\\space{2}\\spad{b1 < b2 < ... < bm < a1 < a2 < ... < an}.} \\indented{3}{(2)\\space{2}\\spad{bj < c < \\spad{ai}}\\space{2}for \\spad{c} not among the \\spad{ai}\\spad{'s} and \\spad{bj}\\spad{'s}.} \\indented{3}{(3)\\space{2}undefined on \\spad{(c,{}d)} if neither is among the \\spad{ai}\\spad{'s},{}\\spad{bj}\\spad{'s}.}") (((|Void|) (|List| |#1|)) "\\spad{setOrder([a1,{}...,{}an])} defines a partial ordering on \\spad{S} given \\spad{by:} \\indented{3}{(1)\\space{2}\\spad{a1 < a2 < ... < an}.} \\indented{3}{(2)\\space{2}\\spad{b < \\spad{ai}\\space{3}for i = 1..n} and \\spad{b} not among the \\spad{ai}\\spad{'s}.} \\indented{3}{(3)\\space{2}undefined on \\spad{(b,{} c)} if neither is among the \\spad{ai}\\spad{'s}.}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-842)))) 
-(-1197) 
+((|HasCategory| |#1| (QUOTE (-843)))) 
+(-1200) 
 ((|constructor| (NIL "This packages provides functions to allow the user to select the ordering on the variables and operators for displaying polynomials,{} fractions and expressions. The ordering affects the display only and not the computations.")) (|resetVariableOrder| (((|Void|)) "\\spad{resetVariableOrder()} cancels any previous use of setVariableOrder and returns to the default system ordering.")) (|getVariableOrder| (((|Record| (|:| |high| (|List| (|Symbol|))) (|:| |low| (|List| (|Symbol|))))) "\\spad{getVariableOrder()} returns \\spad{[[b1,{}...,{}bm],{} [a1,{}...,{}an]]} such that the ordering on the variables was given by \\spad{setVariableOrder([b1,{}...,{}bm],{} [a1,{}...,{}an])}.")) (|setVariableOrder| (((|Void|) (|List| (|Symbol|)) (|List| (|Symbol|))) "\\spad{setVariableOrder([b1,{}...,{}bm],{} [a1,{}...,{}an])} defines an ordering on the variables given by \\spad{b1 > b2 > ... > bm >} other variables \\spad{> a1 > a2 > ... > an}.") (((|Void|) (|List| (|Symbol|))) "\\spad{setVariableOrder([a1,{}...,{}an])} defines an ordering on the variables given by \\spad{a1 > a2 > ... > an > other variables}."))) 
 NIL 
 NIL 
-(-1198 S) 
+(-1201 S) 
 ((|constructor| (NIL "A constructive unique factorization domain,{} \\spadignore{i.e.} where we can constructively factor members into a product of a finite number of irreducible elements.")) (|factor| (((|Factored| $) $) "\\spad{factor(x)} returns the factorization of \\spad{x} into irreducibles.")) (|squareFreePart| (($ $) "\\spad{squareFreePart(x)} returns a product of prime factors of \\spad{x} each taken with multiplicity one.")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(x)} returns the square-free factorization of \\spad{x} \\spadignore{i.e.} such that the factors are pairwise relatively prime and each has multiple prime factors.")) (|prime?| (((|Boolean|) $) "\\spad{prime?(x)} tests if \\spad{x} can never be written as the product of two non-units of the ring,{} \\spadignore{i.e.} \\spad{x} is an irreducible element."))) 
 NIL 
 NIL 
-(-1199) 
+(-1202) 
 ((|constructor| (NIL "A constructive unique factorization domain,{} \\spadignore{i.e.} where we can constructively factor members into a product of a finite number of irreducible elements.")) (|factor| (((|Factored| $) $) "\\spad{factor(x)} returns the factorization of \\spad{x} into irreducibles.")) (|squareFreePart| (($ $) "\\spad{squareFreePart(x)} returns a product of prime factors of \\spad{x} each taken with multiplicity one.")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(x)} returns the square-free factorization of \\spad{x} \\spadignore{i.e.} such that the factors are pairwise relatively prime and each has multiple prime factors.")) (|prime?| (((|Boolean|) $) "\\spad{prime?(x)} tests if \\spad{x} can never be written as the product of two non-units of the ring,{} \\spadignore{i.e.} \\spad{x} is an irreducible element."))) 
-((-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-1200 |Coef|) 
+(-1203 |Coef|) 
 ((|constructor| (NIL "This package has no description"))) 
 NIL 
 NIL 
-(-1201 |Coef|) 
+(-1204 |Coef|) 
 ((|constructor| (NIL "This domain has no description"))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-172))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558)))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-150))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-763)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-763)) (|devaluate| |#1|))))) (|HasCategory| (-763) (QUOTE (-1102))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-763))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-763))))) (|HasSignature| |#1| (LIST (QUOTE -2747) (LIST (|devaluate| |#1|) (QUOTE (-1161)))))) (|HasCategory| |#1| (QUOTE (-365))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-959))) (|HasCategory| |#1| (QUOTE (-1181)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasSignature| |#1| (LIST (QUOTE -1845) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1161))))) (|HasSignature| |#1| (LIST (QUOTE -2057) (LIST (LIST (QUOTE -634) (QUOTE (-1161))) (|devaluate| |#1|))))))) 
-(-1202 |Coef1| |Coef2| |var1| |var2| |cen1| |cen2|) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-764)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-764)) (|devaluate| |#1|))))) (|HasCategory| (-764) (QUOTE (-1103))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-764))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-764))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163)))))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-960))) (|HasCategory| |#1| (QUOTE (-1183)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2565) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1163))))) (|HasSignature| |#1| (LIST (QUOTE -1773) (LIST (LIST (QUOTE -635) (QUOTE (-1163))) (|devaluate| |#1|))))))) 
+(-1205 |Coef1| |Coef2| |var1| |var2| |cen1| |cen2|) 
 ((|constructor| (NIL "Mapping package for univariate Laurent series This package allows one to apply a function to the coefficients of a univariate Laurent series.")) (|map| (((|UnivariateLaurentSeries| |#2| |#4| |#6|) (|Mapping| |#2| |#1|) (|UnivariateLaurentSeries| |#1| |#3| |#5|)) "\\spad{map(f,{}g(x))} applies the map \\spad{f} to the coefficients of the Laurent series \\spad{g(x)}."))) 
 NIL 
 NIL 
-(-1203 |Coef|) 
+(-1206 |Coef|) 
 ((|constructor| (NIL "\\spadtype{UnivariateLaurentSeriesCategory} is the category of Laurent series in one variable.")) (|integrate| (($ $ (|Symbol|)) "\\spad{integrate(f(x),{}y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $ (|Symbol|)) "\\spad{integrate(f(x),{}y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 1. We may integrate a series when we can divide coefficients by integers.")) (|rationalFunction| (((|Fraction| (|Polynomial| |#1|)) $ (|Integer|) (|Integer|)) "\\spad{rationalFunction(f,{}k1,{}k2)} returns a rational function consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 <= d <= k2}.") (((|Fraction| (|Polynomial| |#1|)) $ (|Integer|)) "\\spad{rationalFunction(f,{}k)} returns a rational function consisting of the sum of all terms of \\spad{f} of degree \\spad{<=} \\spad{k}.")) (|multiplyCoefficients| (($ (|Mapping| |#1| (|Integer|)) $) "\\spad{multiplyCoefficients(f,{}sum(n = n0..infinity,{}a[n] * x**n)) = sum(n = 0..infinity,{}f(n) * a[n] * x**n)}. This function is used when Puiseux series are represented by a Laurent series and an exponent.")) (|series| (($ (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) "\\spad{series(st)} creates a series from a stream of non-zero terms,{} where a term is an exponent-coefficient pair. The terms in the stream should be ordered by increasing order of exponents."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4519 |has| |#1| (-365)) (-4513 |has| |#1| (-365)) (-4515 . T) (-4516 . T) (-4518 . T)) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-1204 S |Coef| UTS) 
+(-1207 S |Coef| UTS) 
 ((|constructor| (NIL "This is a category of univariate Laurent series constructed from univariate Taylor series. A Laurent series is represented by a pair \\spad{[n,{}f(x)]},{} where \\spad{n} is an arbitrary integer and \\spad{f(x)} is a Taylor series. This pair represents the Laurent series \\spad{x**n * f(x)}.")) (|taylorIfCan| (((|Union| |#3| "failed") $) "\\spad{taylorIfCan(f(x))} converts the Laurent series \\spad{f(x)} to a Taylor series,{} if possible. If this is not possible,{} \"failed\" is returned.")) (|taylor| ((|#3| $) "\\spad{taylor(f(x))} converts the Laurent series \\spad{f}(\\spad{x}) to a Taylor series,{} if possible. Error: if this is not possible.")) (|coerce| (($ |#3|) "\\spad{coerce(f(x))} converts the Taylor series \\spad{f(x)} to a Laurent series.")) (|removeZeroes| (($ (|Integer|) $) "\\spad{removeZeroes(n,{}f(x))} removes up to \\spad{n} leading zeroes from the Laurent series \\spad{f(x)}. A Laurent series is represented by (1) an exponent and (2) a Taylor series which may have leading zero coefficients. When the Taylor series has a leading zero coefficient,{} the 'leading zero' is removed from the Laurent series as follows: the series is rewritten by increasing the exponent by 1 and dividing the Taylor series by its variable.") (($ $) "\\spad{removeZeroes(f(x))} removes leading zeroes from the representation of the Laurent series \\spad{f(x)}. A Laurent series is represented by (1) an exponent and (2) a Taylor series which may have leading zero coefficients. When the Taylor series has a leading zero coefficient,{} the 'leading zero' is removed from the Laurent series as follows: the series is rewritten by increasing the exponent by 1 and dividing the Taylor series by its variable. Note that \\spad{removeZeroes(f)} removes all leading zeroes from \\spad{f}")) (|taylorRep| ((|#3| $) "\\spad{taylorRep(f(x))} returns \\spad{g(x)},{} where \\spad{f = x**n * g(x)} is represented by \\spad{[n,{}g(x)]}.")) (|degree| (((|Integer|) $) "\\spad{degree(f(x))} returns the degree of the lowest order term of \\spad{f(x)},{} which may have zero as a coefficient.")) (|laurent| (($ (|Integer|) |#3|) "\\spad{laurent(n,{}f(x))} returns \\spad{x**n * f(x)}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-365)))) 
-(-1205 |Coef| UTS) 
+((|HasCategory| |#2| (QUOTE (-366)))) 
+(-1208 |Coef| UTS) 
 ((|constructor| (NIL "This is a category of univariate Laurent series constructed from univariate Taylor series. A Laurent series is represented by a pair \\spad{[n,{}f(x)]},{} where \\spad{n} is an arbitrary integer and \\spad{f(x)} is a Taylor series. This pair represents the Laurent series \\spad{x**n * f(x)}.")) (|taylorIfCan| (((|Union| |#2| "failed") $) "\\spad{taylorIfCan(f(x))} converts the Laurent series \\spad{f(x)} to a Taylor series,{} if possible. If this is not possible,{} \"failed\" is returned.")) (|taylor| ((|#2| $) "\\spad{taylor(f(x))} converts the Laurent series \\spad{f}(\\spad{x}) to a Taylor series,{} if possible. Error: if this is not possible.")) (|coerce| (($ |#2|) "\\spad{coerce(f(x))} converts the Taylor series \\spad{f(x)} to a Laurent series.")) (|removeZeroes| (($ (|Integer|) $) "\\spad{removeZeroes(n,{}f(x))} removes up to \\spad{n} leading zeroes from the Laurent series \\spad{f(x)}. A Laurent series is represented by (1) an exponent and (2) a Taylor series which may have leading zero coefficients. When the Taylor series has a leading zero coefficient,{} the 'leading zero' is removed from the Laurent series as follows: the series is rewritten by increasing the exponent by 1 and dividing the Taylor series by its variable.") (($ $) "\\spad{removeZeroes(f(x))} removes leading zeroes from the representation of the Laurent series \\spad{f(x)}. A Laurent series is represented by (1) an exponent and (2) a Taylor series which may have leading zero coefficients. When the Taylor series has a leading zero coefficient,{} the 'leading zero' is removed from the Laurent series as follows: the series is rewritten by increasing the exponent by 1 and dividing the Taylor series by its variable. Note that \\spad{removeZeroes(f)} removes all leading zeroes from \\spad{f}")) (|taylorRep| ((|#2| $) "\\spad{taylorRep(f(x))} returns \\spad{g(x)},{} where \\spad{f = x**n * g(x)} is represented by \\spad{[n,{}g(x)]}.")) (|degree| (((|Integer|) $) "\\spad{degree(f(x))} returns the degree of the lowest order term of \\spad{f(x)},{} which may have zero as a coefficient.")) (|laurent| (($ (|Integer|) |#2|) "\\spad{laurent(n,{}f(x))} returns \\spad{x**n * f(x)}."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4519 |has| |#1| (-365)) (-4513 |has| |#1| (-365)) (-3973 |has| |#1| (-365)) (-4515 . T) (-4516 . T) (-4518 . T)) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-2982 |has| |#1| (-366)) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-1206 |Coef| UTS) 
+(-1209 |Coef| UTS) 
 ((|constructor| (NIL "This package enables one to construct a univariate Laurent series domain from a univariate Taylor series domain. Univariate Laurent series are represented by a pair \\spad{[n,{}f(x)]},{} where \\spad{n} is an arbitrary integer and \\spad{f(x)} is a Taylor series. This pair represents the Laurent series \\spad{x**n * f(x)}."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4519 |has| |#1| (-365)) (-4513 |has| |#1| (-365)) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-172))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558)))) (|HasCategory| (-568) (QUOTE (-1102))) (|HasCategory| |#1| (QUOTE (-365))) (-2199 (|HasCategory| |#1| (QUOTE (-150))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-150))))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-568)) (|devaluate| |#1|))))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))))) (-2199 (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-225)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-568)) (|devaluate| |#1|))))) (-2199 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-558)))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-1161))))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-541))))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-1021)))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-558)))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-815)))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568))))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-1136)))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (LIST (QUOTE -281) (|devaluate| |#2|) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (LIST (QUOTE -523) (QUOTE (-1161)) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568))))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568)))))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381)))))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (LIST (QUOTE -881) (QUOTE (-568))))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (LIST (QUOTE -881) (QUOTE (-381))))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-568))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-568))))) (|HasSignature| |#1| (LIST (QUOTE -2747) (LIST (|devaluate| |#1|) (QUOTE (-1161)))))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-842)))) (-2199 (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-815)))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-842))))) (|HasCategory| |#2| (QUOTE (-904))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-904)))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-550)))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-301)))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#2| (QUOTE (-148))) (-2199 (|HasCategory| |#1| (QUOTE (-148))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-148))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (-2199 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-541))))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (LIST (QUOTE -281) (|devaluate| |#2|) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (LIST (QUOTE -523) (QUOTE (-1161)) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568))))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-1161))))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-815)))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-842)))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-904)))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-1021)))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-1136))))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-959))) (|HasCategory| |#1| (QUOTE (-1181)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasSignature| |#1| (LIST (QUOTE -1845) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1161))))) (|HasSignature| |#1| (LIST (QUOTE -2057) (LIST (LIST (QUOTE -634) (QUOTE (-1161))) (|devaluate| |#1|)))))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-904)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-904)))) (|HasCategory| |#1| (QUOTE (-148))) (-12 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-148)))))) 
-(-1207 |Coef| |var| |cen|) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| (-569) (QUOTE (-1103))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (|HasCategory| |#1| (QUOTE (-151))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-151))))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-226)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|))))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-1163))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1022)))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-816)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1137)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -282) (|devaluate| |#2|) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -524) (QUOTE (-1163)) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-382))))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163)))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-843)))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-816)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-843))))) (|HasCategory| |#2| (QUOTE (-905))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-905)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-551)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-302)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-149))) (-2232 (|HasCategory| |#1| (QUOTE (-149))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-149))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -282) (|devaluate| |#2|) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -524) (QUOTE (-1163)) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-1163))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-816)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-843)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-905)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1022)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1137))))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-960))) (|HasCategory| |#1| (QUOTE (-1183)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2565) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1163))))) (|HasSignature| |#1| (LIST (QUOTE -1773) (LIST (LIST (QUOTE -635) (QUOTE (-1163))) (|devaluate| |#1|)))))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-149))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-149)))))) 
+(-1210 |Coef| |var| |cen|) 
 ((|constructor| (NIL "Dense Laurent series in one variable \\spadtype{UnivariateLaurentSeries} is a domain representing Laurent series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring,{} the power series variable,{} and the center of the power series expansion. For example,{} \\spad{UnivariateLaurentSeries(Integer,{}x,{}3)} represents Laurent series in \\spad{(x - 3)} with integer coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),{}x)} returns the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a Laurent series."))) 
-(((-4523 "*") -2199 (-2141 (|has| |#1| (-365)) (|has| (-1235 |#1| |#2| |#3|) (-815))) (|has| |#1| (-172)) (-2141 (|has| |#1| (-365)) (|has| (-1235 |#1| |#2| |#3|) (-904)))) (-4514 -2199 (-2141 (|has| |#1| (-365)) (|has| (-1235 |#1| |#2| |#3|) (-815))) (|has| |#1| (-558)) (-2141 (|has| |#1| (-365)) (|has| (-1235 |#1| |#2| |#3|) (-904)))) (-4519 |has| |#1| (-365)) (-4513 |has| |#1| (-365)) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-172))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558)))) (|HasCategory| (-568) (QUOTE (-1102))) (|HasCategory| |#1| (QUOTE (-365))) (-2199 (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (QUOTE (-150))) (|HasCategory| |#1| (QUOTE (-365)))) (|HasCategory| |#1| (QUOTE (-150)))) (-2199 (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-568)) (|devaluate| |#1|)))))) (-2199 (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (QUOTE (-225))) (|HasCategory| |#1| (QUOTE (-365)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-568)) (|devaluate| |#1|))))) (-2199 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-558)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (LIST (QUOTE -1037) (QUOTE (-1161)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (QUOTE (-1021))) (|HasCategory| |#1| (QUOTE (-365)))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-558)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (QUOTE (-815))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (QUOTE (-1136))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (LIST (QUOTE -281) (LIST (QUOTE -1235) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1235) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (LIST (QUOTE -303) (LIST (QUOTE -1235) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (LIST (QUOTE -523) (QUOTE (-1161)) (LIST (QUOTE -1235) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#1| (QUOTE (-365)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-568))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-568))))) (|HasSignature| |#1| (LIST (QUOTE -2747) (LIST (|devaluate| |#1|) (QUOTE (-1161)))))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (QUOTE (-550))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (QUOTE (-301))) (|HasCategory| |#1| (QUOTE (-365)))) (|HasCategory| (-1235 |#1| |#2| |#3|) (QUOTE (-904))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (QUOTE (-904))) (|HasCategory| |#1| (QUOTE (-365)))) (|HasCategory| (-1235 |#1| |#2| |#3|) (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-148))) (-2199 (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-365)))) (|HasCategory| |#1| (QUOTE (-148)))) (-2199 (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (QUOTE (-815))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (QUOTE (-904))) (|HasCategory| |#1| (QUOTE (-365)))) (|HasCategory| |#1| (QUOTE (-558)))) (-2199 (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (QUOTE (-815))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (QUOTE (-904))) (|HasCategory| |#1| (QUOTE (-365)))) (|HasCategory| |#1| (QUOTE (-172)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-365)))) (-2199 (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (QUOTE (-815))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-365))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (-2199 (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (LIST (QUOTE -281) (LIST (QUOTE -1235) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1235) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (LIST (QUOTE -303) (LIST (QUOTE -1235) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (LIST (QUOTE -523) (QUOTE (-1161)) (LIST (QUOTE -1235) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (LIST (QUOTE -1037) (QUOTE (-1161)))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (QUOTE (-815))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (QUOTE (-904))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (QUOTE (-1021))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (QUOTE (-1136))) (|HasCategory| |#1| (QUOTE (-365)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568)))))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-959))) (|HasCategory| |#1| (QUOTE (-1181)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasSignature| |#1| (LIST (QUOTE -1845) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1161))))) (|HasSignature| |#1| (LIST (QUOTE -2057) (LIST (LIST (QUOTE -634) (QUOTE (-1161))) (|devaluate| |#1|)))))) (-2199 (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#1| (QUOTE (-365)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568)))))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| (-1235 |#1| |#2| |#3|) (QUOTE (-904))) (|HasCategory| |#1| (QUOTE (-365)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| (-1235 |#1| |#2| |#3|) (QUOTE (-904))) (|HasCategory| |#1| (QUOTE (-365)))) (-12 (|HasCategory| (-1235 |#1| |#2| |#3|) (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-365)))) (|HasCategory| |#1| (QUOTE (-148))))) 
-(-1208 ZP) 
+(((-4537 "*") -2232 (-2206 (|has| |#1| (-366)) (|has| (-1238 |#1| |#2| |#3|) (-816))) (|has| |#1| (-173)) (-2206 (|has| |#1| (-366)) (|has| (-1238 |#1| |#2| |#3|) (-905)))) (-4528 -2232 (-2206 (|has| |#1| (-366)) (|has| (-1238 |#1| |#2| |#3|) (-816))) (|has| |#1| (-559)) (-2206 (|has| |#1| (-366)) (|has| (-1238 |#1| |#2| |#3|) (-905)))) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| (-569) (QUOTE (-1103))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-151)))) (-2232 (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|)))))) (-2232 (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|))))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-1022))) (|HasCategory| |#1| (QUOTE (-366)))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-816))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-1137))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -282) (LIST (QUOTE -1238) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1238) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -304) (LIST (QUOTE -1238) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -524) (QUOTE (-1163)) (LIST (QUOTE -1238) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163)))))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-905))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-149))) (-2232 (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-149)))) (-2232 (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-816))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-559)))) (-2232 (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-816))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-173)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-366)))) (-2232 (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-816))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-366))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (-2232 (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -282) (LIST (QUOTE -1238) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1238) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -304) (LIST (QUOTE -1238) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -524) (QUOTE (-1163)) (LIST (QUOTE -1238) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-816))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-1022))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-1137))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-960))) (|HasCategory| |#1| (QUOTE (-1183)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2565) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1163))))) (|HasSignature| |#1| (LIST (QUOTE -1773) (LIST (LIST (QUOTE -635) (QUOTE (-1163))) (|devaluate| |#1|)))))) (-2232 (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-366)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-1211 ZP) 
 ((|constructor| (NIL "Package for the factorization of univariate polynomials with integer coefficients. The factorization is done by \"lifting\" (HENSEL) the factorization over a finite field.")) (|henselFact| (((|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|)))))) |#1| (|Boolean|)) "\\spad{henselFact(m,{}flag)} returns the factorization of \\spad{m},{} FinalFact is a Record \\spad{s}.\\spad{t}. FinalFact.contp=content \\spad{m},{} FinalFact.factors=List of irreducible factors of \\spad{m} with exponent ,{} if \\spad{flag} =true the polynomial is assumed square free.")) (|factorSquareFree| (((|Factored| |#1|) |#1|) "\\spad{factorSquareFree(m)} returns the factorization of \\spad{m} square free polynomial")) (|factor| (((|Factored| |#1|) |#1|) "\\spad{factor(m)} returns the factorization of \\spad{m}"))) 
 NIL 
 NIL 
-(-1209 R S) 
+(-1212 R S) 
 ((|constructor| (NIL "This package provides operations for mapping functions onto segments.")) (|map| (((|Stream| |#2|) (|Mapping| |#2| |#1|) (|UniversalSegment| |#1|)) "\\spad{map(f,{}s)} expands the segment \\spad{s},{} applying \\spad{f} to each value.") (((|UniversalSegment| |#2|) (|Mapping| |#2| |#1|) (|UniversalSegment| |#1|)) "\\spad{map(f,{}seg)} returns the new segment obtained by applying \\spad{f} to the endpoints of \\spad{seg}."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-840)))) 
-(-1210 S) 
+((|HasCategory| |#1| (QUOTE (-841)))) 
+(-1213 S) 
 ((|constructor| (NIL "This domain provides segments which may be half open. That is,{} ranges of the form \\spad{a..} or \\spad{a..b}.")) (|hasHi| (((|Boolean|) $) "\\spad{hasHi(s)} tests whether the segment \\spad{s} has an upper bound.")) (|coerce| (($ (|Segment| |#1|)) "\\spad{coerce(x)} allows \\spadtype{Segment} values to be used as \\%.")) (|segment| (($ |#1|) "\\spad{segment(l)} is an alternate way to construct the segment \\spad{l..}.")) (SEGMENT (($ |#1|) "\\spad{l..} produces a half open segment,{} that is,{} one with no upper bound."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-840))) (|HasCategory| |#1| (QUOTE (-1090)))) 
-(-1211 |x| R |y| S) 
+((|HasCategory| |#1| (QUOTE (-841))) (|HasCategory| |#1| (QUOTE (-1091)))) 
+(-1214 |x| R |y| S) 
 ((|constructor| (NIL "This package lifts a mapping from coefficient rings \\spad{R} to \\spad{S} to a mapping from \\spadtype{UnivariatePolynomial}(\\spad{x},{}\\spad{R}) to \\spadtype{UnivariatePolynomial}(\\spad{y},{}\\spad{S}). Note that the mapping is assumed to send zero to zero,{} since it will only be applied to the non-zero coefficients of the polynomial.")) (|map| (((|UnivariatePolynomial| |#3| |#4|) (|Mapping| |#4| |#2|) (|UnivariatePolynomial| |#1| |#2|)) "\\spad{map(func,{} poly)} creates a new polynomial by applying \\spad{func} to every non-zero coefficient of the polynomial poly."))) 
 NIL 
 NIL 
-(-1212 R Q UP) 
+(-1215 R Q UP) 
 ((|constructor| (NIL "UnivariatePolynomialCommonDenominator provides functions to compute the common denominator of the coefficients of univariate polynomials over the quotient field of a \\spad{gcd} domain.")) (|splitDenominator| (((|Record| (|:| |num| |#3|) (|:| |den| |#1|)) |#3|) "\\spad{splitDenominator(q)} returns \\spad{[p,{} d]} such that \\spad{q = p/d} and \\spad{d} is a common denominator for the coefficients of \\spad{q}.")) (|clearDenominator| ((|#3| |#3|) "\\spad{clearDenominator(q)} returns \\spad{p} such that \\spad{q = p/d} where \\spad{d} is a common denominator for the coefficients of \\spad{q}.")) (|commonDenominator| ((|#1| |#3|) "\\spad{commonDenominator(q)} returns a common denominator \\spad{d} for the coefficients of \\spad{q}."))) 
 NIL 
 NIL 
-(-1213 R UP) 
+(-1216 R UP) 
 ((|constructor| (NIL "UnivariatePolynomialDecompositionPackage implements functional decomposition of univariate polynomial with coefficients in an \\spad{IntegralDomain} of \\spad{CharacteristicZero}.")) (|monicCompleteDecompose| (((|List| |#2|) |#2|) "\\spad{monicCompleteDecompose(f)} returns a list of factors of \\spad{f} for the functional decomposition ([ \\spad{f1},{} ...,{} \\spad{fn} ] means \\spad{f} = \\spad{f1} \\spad{o} ... \\spad{o} \\spad{fn}).")) (|monicDecomposeIfCan| (((|Union| (|Record| (|:| |left| |#2|) (|:| |right| |#2|)) "failed") |#2|) "\\spad{monicDecomposeIfCan(f)} returns a functional decomposition of the monic polynomial \\spad{f} of \"failed\" if it has not found any.")) (|leftFactorIfCan| (((|Union| |#2| "failed") |#2| |#2|) "\\spad{leftFactorIfCan(f,{}h)} returns the left factor (\\spad{g} in \\spad{f} = \\spad{g} \\spad{o} \\spad{h}) of the functional decomposition of the polynomial \\spad{f} with given \\spad{h} or \\spad{\"failed\"} if \\spad{g} does not exist.")) (|rightFactorIfCan| (((|Union| |#2| "failed") |#2| (|NonNegativeInteger|) |#1|) "\\spad{rightFactorIfCan(f,{}d,{}c)} returns a candidate to be the right factor (\\spad{h} in \\spad{f} = \\spad{g} \\spad{o} \\spad{h}) of degree \\spad{d} with leading coefficient \\spad{c} of a functional decomposition of the polynomial \\spad{f} or \\spad{\"failed\"} if no such candidate.")) (|monicRightFactorIfCan| (((|Union| |#2| "failed") |#2| (|NonNegativeInteger|)) "\\spad{monicRightFactorIfCan(f,{}d)} returns a candidate to be the monic right factor (\\spad{h} in \\spad{f} = \\spad{g} \\spad{o} \\spad{h}) of degree \\spad{d} of a functional decomposition of the polynomial \\spad{f} or \\spad{\"failed\"} if no such candidate."))) 
 NIL 
 NIL 
-(-1214 R UP) 
+(-1217 R UP) 
 ((|constructor| (NIL "UnivariatePolynomialDivisionPackage provides a division for non monic univarite polynomials with coefficients in an \\spad{IntegralDomain}.")) (|divideIfCan| (((|Union| (|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) "failed") |#2| |#2|) "\\spad{divideIfCan(f,{}g)} returns quotient and remainder of the division of \\spad{f} by \\spad{g} or \"failed\" if it has not succeeded."))) 
 NIL 
 NIL 
-(-1215 R U) 
+(-1218 R U) 
 ((|constructor| (NIL "This package implements Karatsuba\\spad{'s} trick for multiplying (large) univariate polynomials. It could be improved with a version doing the work on place and also with a special case for squares. We've done this in Basicmath,{} but we believe that this out of the scope of AXIOM.")) (|karatsuba| ((|#2| |#2| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{karatsuba(a,{}b,{}l,{}k)} returns \\spad{a*b} by applying Karatsuba\\spad{'s} trick provided that both \\spad{a} and \\spad{b} have at least \\spad{l} terms and \\spad{k > 0} holds and by calling \\spad{noKaratsuba} otherwise. The other multiplications are performed by recursive calls with the same third argument and \\spad{k-1} as fourth argument.")) (|karatsubaOnce| ((|#2| |#2| |#2|) "\\spad{karatsuba(a,{}b)} returns \\spad{a*b} by applying Karatsuba\\spad{'s} trick once. The other multiplications are performed by calling \\spad{*} from \\spad{U}.")) (|noKaratsuba| ((|#2| |#2| |#2|) "\\spad{noKaratsuba(a,{}b)} returns \\spad{a*b} without using Karatsuba\\spad{'s} trick at all."))) 
 NIL 
 NIL 
-(-1216 |x| R) 
+(-1219 |x| R) 
 ((|constructor| (NIL "This domain represents univariate polynomials in some symbol over arbitrary (not necessarily commutative) coefficient rings. The representation is sparse in the sense that only non-zero terms are represented. Note that if the coefficient ring is a field,{} then this domain forms a euclidean domain.")) (|fmecg| (($ $ (|NonNegativeInteger|) |#2| $) "\\spad{fmecg(p1,{}e,{}r,{}p2)} finds \\spad{x} : \\spad{p1} - \\spad{r} * x**e * \\spad{p2}")) (|coerce| (($ (|Variable| |#1|)) "\\spad{coerce(x)} converts the variable \\spad{x} to a univariate polynomial."))) 
-(((-4523 "*") |has| |#2| (-172)) (-4514 |has| |#2| (-558)) (-4517 |has| |#2| (-365)) (-4519 |has| |#2| (-6 -4519)) (-4516 . T) (-4515 . T) (-4518 . T)) 
-((|HasCategory| |#2| (QUOTE (-904))) (|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-172))) (-2199 (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-558)))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -881) (QUOTE (-381)))) (|HasCategory| |#2| (LIST (QUOTE -881) (QUOTE (-381))))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -881) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -881) (QUOTE (-568))))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381))))) (|HasCategory| |#2| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-381)))))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -609) (LIST (QUOTE -887) (QUOTE (-568)))))) (-12 (|HasCategory| (-1075) (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#2| (LIST (QUOTE -609) (QUOTE (-541))))) (|HasCategory| |#2| (QUOTE (-842))) (|HasCategory| |#2| (LIST (QUOTE -630) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-150))) (|HasCategory| |#2| (QUOTE (-148))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-1136))) (|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (-2199 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (|HasCategory| |#2| (QUOTE (-225))) (|HasAttribute| |#2| (QUOTE -4519)) (|HasCategory| |#2| (QUOTE (-453))) (-2199 (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-453))) (|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-904)))) (-2199 (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-453))) (|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-904)))) (-2199 (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-453))) (|HasCategory| |#2| (QUOTE (-904)))) (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#2| (QUOTE (-904)))) (-2199 (-12 (|HasCategory| $ (QUOTE (-148))) (|HasCategory| |#2| (QUOTE (-904)))) (|HasCategory| |#2| (QUOTE (-148))))) 
-(-1217 R PR S PS) 
+(((-4537 "*") |has| |#2| (-173)) (-4528 |has| |#2| (-559)) (-4531 |has| |#2| (-366)) (-4533 |has| |#2| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
+((|HasCategory| |#2| (QUOTE (-905))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#2| (QUOTE (-843))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1137))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#2| (QUOTE (-226))) (|HasAttribute| |#2| (QUOTE -4533)) (|HasCategory| |#2| (QUOTE (-454))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (|HasCategory| |#2| (QUOTE (-149))))) 
+(-1220 R PR S PS) 
 ((|constructor| (NIL "Mapping from polynomials over \\spad{R} to polynomials over \\spad{S} given a map from \\spad{R} to \\spad{S} assumed to send zero to zero.")) (|map| ((|#4| (|Mapping| |#3| |#1|) |#2|) "\\spad{map(f,{} p)} takes a function \\spad{f} from \\spad{R} to \\spad{S},{} and applies it to each (non-zero) coefficient of a polynomial \\spad{p} over \\spad{R},{} getting a new polynomial over \\spad{S}. Note that since the map is not applied to zero elements,{} it may map zero to zero."))) 
 NIL 
 NIL 
-(-1218 S R) 
+(-1221 S R) 
 ((|constructor| (NIL "The category of univariate polynomials over a ring \\spad{R}. No particular model is assumed - implementations can be either sparse or dense.")) (|integrate| (($ $) "\\spad{integrate(p)} integrates the univariate polynomial \\spad{p} with respect to its distinguished variable.")) (|additiveValuation| ((|attribute|) "euclideanSize(a*b) = euclideanSize(a) + euclideanSize(\\spad{b})")) (|separate| (((|Record| (|:| |primePart| $) (|:| |commonPart| $)) $ $) "\\spad{separate(p,{} q)} returns \\spad{[a,{} b]} such that polynomial \\spad{p = a b} and \\spad{a} is relatively prime to \\spad{q}.")) (|pseudoDivide| (((|Record| (|:| |coef| |#2|) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{pseudoDivide(p,{}q)} returns \\spad{[c,{} q,{} r]},{} when \\spad{p' := p*lc(q)**(deg p - deg q + 1) = c * p} is pseudo right-divided by \\spad{q},{} \\spadignore{i.e.} \\spad{p' = s q + r}.")) (|pseudoQuotient| (($ $ $) "\\spad{pseudoQuotient(p,{}q)} returns \\spad{r},{} the quotient when \\spad{p' := p*lc(q)**(deg p - deg q + 1)} is pseudo right-divided by \\spad{q},{} \\spadignore{i.e.} \\spad{p' = s q + r}.")) (|composite| (((|Union| (|Fraction| $) "failed") (|Fraction| $) $) "\\spad{composite(f,{} q)} returns \\spad{h} if \\spad{f} = \\spad{h}(\\spad{q}),{} and \"failed\" is no such \\spad{h} exists.") (((|Union| $ "failed") $ $) "\\spad{composite(p,{} q)} returns \\spad{h} if \\spad{p = h(q)},{} and \"failed\" no such \\spad{h} exists.")) (|subResultantGcd| (($ $ $) "\\spad{subResultantGcd(p,{}q)} computes the \\spad{gcd} of the polynomials \\spad{p} and \\spad{q} using the SubResultant \\spad{GCD} algorithm.")) (|order| (((|NonNegativeInteger|) $ $) "\\spad{order(p,{} q)} returns the largest \\spad{n} such that \\spad{q**n} divides polynomial \\spad{p} \\spadignore{i.e.} the order of \\spad{p(x)} at \\spad{q(x)=0}.")) (|elt| ((|#2| (|Fraction| $) |#2|) "\\spad{elt(a,{}r)} evaluates the fraction of univariate polynomials \\spad{a} with the distinguished variable replaced by the constant \\spad{r}.") (((|Fraction| $) (|Fraction| $) (|Fraction| $)) "\\spad{elt(a,{}b)} evaluates the fraction of univariate polynomials \\spad{a} with the distinguished variable replaced by \\spad{b}.")) (|resultant| ((|#2| $ $) "\\spad{resultant(p,{}q)} returns the resultant of the polynomials \\spad{p} and \\spad{q}.")) (|discriminant| ((|#2| $) "\\spad{discriminant(p)} returns the discriminant of the polynomial \\spad{p}.")) (|differentiate| (($ $ (|Mapping| |#2| |#2|) $) "\\spad{differentiate(p,{} d,{} x')} extends the \\spad{R}-derivation \\spad{d} to an extension \\spad{D} in \\spad{R[x]} where \\spad{Dx} is given by \\spad{x'},{} and returns \\spad{Dp}.")) (|pseudoRemainder| (($ $ $) "\\spad{pseudoRemainder(p,{}q)} = \\spad{r},{} for polynomials \\spad{p} and \\spad{q},{} returns the remainder when \\spad{p' := p*lc(q)**(deg p - deg q + 1)} is pseudo right-divided by \\spad{q},{} \\spadignore{i.e.} \\spad{p' = s q + r}.")) (|shiftLeft| (($ $ (|NonNegativeInteger|)) "\\spad{shiftLeft(p,{}n)} returns \\spad{p * monomial(1,{}n)}")) (|shiftRight| (($ $ (|NonNegativeInteger|)) "\\spad{shiftRight(p,{}n)} returns \\spad{monicDivide(p,{}monomial(1,{}n)).quotient}")) (|karatsubaDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ (|NonNegativeInteger|)) "\\spad{karatsubaDivide(p,{}n)} returns the same as \\spad{monicDivide(p,{}monomial(1,{}n))}")) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicDivide(p,{}q)} divide the polynomial \\spad{p} by the monic polynomial \\spad{q},{} returning the pair \\spad{[quotient,{} remainder]}. Error: if \\spad{q} isn\\spad{'t} monic.")) (|divideExponents| (((|Union| $ "failed") $ (|NonNegativeInteger|)) "\\spad{divideExponents(p,{}n)} returns a new polynomial resulting from dividing all exponents of the polynomial \\spad{p} by the non negative integer \\spad{n},{} or \"failed\" if some exponent is not exactly divisible by \\spad{n}.")) (|multiplyExponents| (($ $ (|NonNegativeInteger|)) "\\spad{multiplyExponents(p,{}n)} returns a new polynomial resulting from multiplying all exponents of the polynomial \\spad{p} by the non negative integer \\spad{n}.")) (|unmakeSUP| (($ (|SparseUnivariatePolynomial| |#2|)) "\\spad{unmakeSUP(sup)} converts \\spad{sup} of type \\spadtype{SparseUnivariatePolynomial(R)} to be a member of the given type. Note that converse of makeSUP.")) (|makeSUP| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{makeSUP(p)} converts the polynomial \\spad{p} to be of type SparseUnivariatePolynomial over the same coefficients.")) (|vectorise| (((|Vector| |#2|) $ (|NonNegativeInteger|)) "\\spad{vectorise(p,{} n)} returns \\spad{[a0,{}...,{}a(n-1)]} where \\spad{p = a0 + a1*x + ... + a(n-1)*x**(n-1)} + higher order terms. The degree of polynomial \\spad{p} can be different from \\spad{n-1}."))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-365))) (|HasCategory| |#2| (QUOTE (-453))) (|HasCategory| |#2| (QUOTE (-558))) (|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (QUOTE (-1136)))) 
-(-1219 R) 
+((|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-1137)))) 
+(-1222 R) 
 ((|constructor| (NIL "The category of univariate polynomials over a ring \\spad{R}. No particular model is assumed - implementations can be either sparse or dense.")) (|integrate| (($ $) "\\spad{integrate(p)} integrates the univariate polynomial \\spad{p} with respect to its distinguished variable.")) (|additiveValuation| ((|attribute|) "euclideanSize(a*b) = euclideanSize(a) + euclideanSize(\\spad{b})")) (|separate| (((|Record| (|:| |primePart| $) (|:| |commonPart| $)) $ $) "\\spad{separate(p,{} q)} returns \\spad{[a,{} b]} such that polynomial \\spad{p = a b} and \\spad{a} is relatively prime to \\spad{q}.")) (|pseudoDivide| (((|Record| (|:| |coef| |#1|) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{pseudoDivide(p,{}q)} returns \\spad{[c,{} q,{} r]},{} when \\spad{p' := p*lc(q)**(deg p - deg q + 1) = c * p} is pseudo right-divided by \\spad{q},{} \\spadignore{i.e.} \\spad{p' = s q + r}.")) (|pseudoQuotient| (($ $ $) "\\spad{pseudoQuotient(p,{}q)} returns \\spad{r},{} the quotient when \\spad{p' := p*lc(q)**(deg p - deg q + 1)} is pseudo right-divided by \\spad{q},{} \\spadignore{i.e.} \\spad{p' = s q + r}.")) (|composite| (((|Union| (|Fraction| $) "failed") (|Fraction| $) $) "\\spad{composite(f,{} q)} returns \\spad{h} if \\spad{f} = \\spad{h}(\\spad{q}),{} and \"failed\" is no such \\spad{h} exists.") (((|Union| $ "failed") $ $) "\\spad{composite(p,{} q)} returns \\spad{h} if \\spad{p = h(q)},{} and \"failed\" no such \\spad{h} exists.")) (|subResultantGcd| (($ $ $) "\\spad{subResultantGcd(p,{}q)} computes the \\spad{gcd} of the polynomials \\spad{p} and \\spad{q} using the SubResultant \\spad{GCD} algorithm.")) (|order| (((|NonNegativeInteger|) $ $) "\\spad{order(p,{} q)} returns the largest \\spad{n} such that \\spad{q**n} divides polynomial \\spad{p} \\spadignore{i.e.} the order of \\spad{p(x)} at \\spad{q(x)=0}.")) (|elt| ((|#1| (|Fraction| $) |#1|) "\\spad{elt(a,{}r)} evaluates the fraction of univariate polynomials \\spad{a} with the distinguished variable replaced by the constant \\spad{r}.") (((|Fraction| $) (|Fraction| $) (|Fraction| $)) "\\spad{elt(a,{}b)} evaluates the fraction of univariate polynomials \\spad{a} with the distinguished variable replaced by \\spad{b}.")) (|resultant| ((|#1| $ $) "\\spad{resultant(p,{}q)} returns the resultant of the polynomials \\spad{p} and \\spad{q}.")) (|discriminant| ((|#1| $) "\\spad{discriminant(p)} returns the discriminant of the polynomial \\spad{p}.")) (|differentiate| (($ $ (|Mapping| |#1| |#1|) $) "\\spad{differentiate(p,{} d,{} x')} extends the \\spad{R}-derivation \\spad{d} to an extension \\spad{D} in \\spad{R[x]} where \\spad{Dx} is given by \\spad{x'},{} and returns \\spad{Dp}.")) (|pseudoRemainder| (($ $ $) "\\spad{pseudoRemainder(p,{}q)} = \\spad{r},{} for polynomials \\spad{p} and \\spad{q},{} returns the remainder when \\spad{p' := p*lc(q)**(deg p - deg q + 1)} is pseudo right-divided by \\spad{q},{} \\spadignore{i.e.} \\spad{p' = s q + r}.")) (|shiftLeft| (($ $ (|NonNegativeInteger|)) "\\spad{shiftLeft(p,{}n)} returns \\spad{p * monomial(1,{}n)}")) (|shiftRight| (($ $ (|NonNegativeInteger|)) "\\spad{shiftRight(p,{}n)} returns \\spad{monicDivide(p,{}monomial(1,{}n)).quotient}")) (|karatsubaDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ (|NonNegativeInteger|)) "\\spad{karatsubaDivide(p,{}n)} returns the same as \\spad{monicDivide(p,{}monomial(1,{}n))}")) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicDivide(p,{}q)} divide the polynomial \\spad{p} by the monic polynomial \\spad{q},{} returning the pair \\spad{[quotient,{} remainder]}. Error: if \\spad{q} isn\\spad{'t} monic.")) (|divideExponents| (((|Union| $ "failed") $ (|NonNegativeInteger|)) "\\spad{divideExponents(p,{}n)} returns a new polynomial resulting from dividing all exponents of the polynomial \\spad{p} by the non negative integer \\spad{n},{} or \"failed\" if some exponent is not exactly divisible by \\spad{n}.")) (|multiplyExponents| (($ $ (|NonNegativeInteger|)) "\\spad{multiplyExponents(p,{}n)} returns a new polynomial resulting from multiplying all exponents of the polynomial \\spad{p} by the non negative integer \\spad{n}.")) (|unmakeSUP| (($ (|SparseUnivariatePolynomial| |#1|)) "\\spad{unmakeSUP(sup)} converts \\spad{sup} of type \\spadtype{SparseUnivariatePolynomial(R)} to be a member of the given type. Note that converse of makeSUP.")) (|makeSUP| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{makeSUP(p)} converts the polynomial \\spad{p} to be of type SparseUnivariatePolynomial over the same coefficients.")) (|vectorise| (((|Vector| |#1|) $ (|NonNegativeInteger|)) "\\spad{vectorise(p,{} n)} returns \\spad{[a0,{}...,{}a(n-1)]} where \\spad{p = a0 + a1*x + ... + a(n-1)*x**(n-1)} + higher order terms. The degree of polynomial \\spad{p} can be different from \\spad{n-1}."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4517 |has| |#1| (-365)) (-4519 |has| |#1| (-6 -4519)) (-4516 . T) (-4515 . T) (-4518 . T)) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4531 |has| |#1| (-366)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
 NIL 
-(-1220 S |Coef| |Expon|) 
+(-1223 S |Coef| |Expon|) 
 ((|constructor| (NIL "\\spadtype{UnivariatePowerSeriesCategory} is the most general univariate power series category with exponents in an ordered abelian monoid. Note that this category exports a substitution function if it is possible to multiply exponents. Also note that this category exports a derivative operation if it is possible to multiply coefficients by exponents.")) (|eval| (((|Stream| |#2|) $ |#2|) "\\spad{eval(f,{}a)} evaluates a power series at a value in the ground ring by returning a stream of partial sums.")) (|extend| (($ $ |#3|) "\\spad{extend(f,{}n)} causes all terms of \\spad{f} of degree \\spad{<=} \\spad{n} to be computed.")) (|approximate| ((|#2| $ |#3|) "\\spad{approximate(f)} returns a truncated power series with the series variable viewed as an element of the coefficient domain.")) (|truncate| (($ $ |#3| |#3|) "\\spad{truncate(f,{}k1,{}k2)} returns a (finite) power series consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 <= d <= k2}.") (($ $ |#3|) "\\spad{truncate(f,{}k)} returns a (finite) power series consisting of the sum of all terms of \\spad{f} of degree \\spad{<= k}.")) (|order| ((|#3| $ |#3|) "\\spad{order(f,{}n) = min(m,{}n)},{} where \\spad{m} is the degree of the lowest order non-zero term in \\spad{f}.") ((|#3| $) "\\spad{order(f)} is the degree of the lowest order non-zero term in \\spad{f}. This will result in an infinite loop if \\spad{f} has no non-zero terms.")) (|multiplyExponents| (($ $ (|PositiveInteger|)) "\\spad{multiplyExponents(f,{}n)} multiplies all exponents of the power series \\spad{f} by the positive integer \\spad{n}.")) (|center| ((|#2| $) "\\spad{center(f)} returns the point about which the series \\spad{f} is expanded.")) (|variable| (((|Symbol|) $) "\\spad{variable(f)} returns the (unique) power series variable of the power series \\spad{f}.")) (|elt| ((|#2| $ |#3|) "\\spad{elt(f(x),{}r)} returns the coefficient of the term of degree \\spad{r} in \\spad{f(x)}. This is the same as the function \\spadfun{coefficient}.")) (|terms| (((|Stream| (|Record| (|:| |k| |#3|) (|:| |c| |#2|))) $) "\\spad{terms(f(x))} returns a stream of non-zero terms,{} where a a term is an exponent-coefficient pair. The terms in the stream are ordered by increasing order of exponents."))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasSignature| |#2| (LIST (QUOTE *) (LIST (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#2|)))) (|HasCategory| |#3| (QUOTE (-1102))) (|HasSignature| |#2| (LIST (QUOTE **) (LIST (|devaluate| |#2|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasSignature| |#2| (LIST (QUOTE -2747) (LIST (|devaluate| |#2|) (QUOTE (-1161)))))) 
-(-1221 |Coef| |Expon|) 
+((|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#2| (LIST (QUOTE *) (LIST (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#2|)))) (|HasCategory| |#3| (QUOTE (-1103))) (|HasSignature| |#2| (LIST (QUOTE **) (LIST (|devaluate| |#2|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasSignature| |#2| (LIST (QUOTE -2185) (LIST (|devaluate| |#2|) (QUOTE (-1163)))))) 
+(-1224 |Coef| |Expon|) 
 ((|constructor| (NIL "\\spadtype{UnivariatePowerSeriesCategory} is the most general univariate power series category with exponents in an ordered abelian monoid. Note that this category exports a substitution function if it is possible to multiply exponents. Also note that this category exports a derivative operation if it is possible to multiply coefficients by exponents.")) (|eval| (((|Stream| |#1|) $ |#1|) "\\spad{eval(f,{}a)} evaluates a power series at a value in the ground ring by returning a stream of partial sums.")) (|extend| (($ $ |#2|) "\\spad{extend(f,{}n)} causes all terms of \\spad{f} of degree \\spad{<=} \\spad{n} to be computed.")) (|approximate| ((|#1| $ |#2|) "\\spad{approximate(f)} returns a truncated power series with the series variable viewed as an element of the coefficient domain.")) (|truncate| (($ $ |#2| |#2|) "\\spad{truncate(f,{}k1,{}k2)} returns a (finite) power series consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 <= d <= k2}.") (($ $ |#2|) "\\spad{truncate(f,{}k)} returns a (finite) power series consisting of the sum of all terms of \\spad{f} of degree \\spad{<= k}.")) (|order| ((|#2| $ |#2|) "\\spad{order(f,{}n) = min(m,{}n)},{} where \\spad{m} is the degree of the lowest order non-zero term in \\spad{f}.") ((|#2| $) "\\spad{order(f)} is the degree of the lowest order non-zero term in \\spad{f}. This will result in an infinite loop if \\spad{f} has no non-zero terms.")) (|multiplyExponents| (($ $ (|PositiveInteger|)) "\\spad{multiplyExponents(f,{}n)} multiplies all exponents of the power series \\spad{f} by the positive integer \\spad{n}.")) (|center| ((|#1| $) "\\spad{center(f)} returns the point about which the series \\spad{f} is expanded.")) (|variable| (((|Symbol|) $) "\\spad{variable(f)} returns the (unique) power series variable of the power series \\spad{f}.")) (|elt| ((|#1| $ |#2|) "\\spad{elt(f(x),{}r)} returns the coefficient of the term of degree \\spad{r} in \\spad{f(x)}. This is the same as the function \\spadfun{coefficient}.")) (|terms| (((|Stream| (|Record| (|:| |k| |#2|) (|:| |c| |#1|))) $) "\\spad{terms(f(x))} returns a stream of non-zero terms,{} where a a term is an exponent-coefficient pair. The terms in the stream are ordered by increasing order of exponents."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4515 . T) (-4516 . T) (-4518 . T)) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-1222 RC P) 
+(-1225 RC P) 
 ((|constructor| (NIL "This package provides for square-free decomposition of univariate polynomials over arbitrary rings,{} \\spadignore{i.e.} a partial factorization such that each factor is a product of irreducibles with multiplicity one and the factors are pairwise relatively prime. If the ring has characteristic zero,{} the result is guaranteed to satisfy this condition. If the ring is an infinite ring of finite characteristic,{} then it may not be possible to decide when polynomials contain factors which are \\spad{p}th powers. In this case,{} the flag associated with that polynomial is set to \"nil\" (meaning that that polynomials are not guaranteed to be square-free).")) (|BumInSepFFE| (((|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (|Integer|))) (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (|Integer|)))) "\\spad{BumInSepFFE(f)} is a local function,{} exported only because it has multiple conditional definitions.")) (|squareFreePart| ((|#2| |#2|) "\\spad{squareFreePart(p)} returns a polynomial which has the same irreducible factors as the univariate polynomial \\spad{p},{} but each factor has multiplicity one.")) (|squareFree| (((|Factored| |#2|) |#2|) "\\spad{squareFree(p)} computes the square-free factorization of the univariate polynomial \\spad{p}. Each factor has no repeated roots,{} and the factors are pairwise relatively prime.")) (|gcd| (($ $ $) "\\spad{gcd(p,{}q)} computes the greatest-common-divisor of \\spad{p} and \\spad{q}."))) 
 NIL 
 NIL 
-(-1223 |Coef1| |Coef2| |var1| |var2| |cen1| |cen2|) 
+(-1226 |Coef1| |Coef2| |var1| |var2| |cen1| |cen2|) 
 ((|constructor| (NIL "Mapping package for univariate Puiseux series. This package allows one to apply a function to the coefficients of a univariate Puiseux series.")) (|map| (((|UnivariatePuiseuxSeries| |#2| |#4| |#6|) (|Mapping| |#2| |#1|) (|UnivariatePuiseuxSeries| |#1| |#3| |#5|)) "\\spad{map(f,{}g(x))} applies the map \\spad{f} to the coefficients of the Puiseux series \\spad{g(x)}."))) 
 NIL 
 NIL 
-(-1224 |Coef|) 
+(-1227 |Coef|) 
 ((|constructor| (NIL "\\spadtype{UnivariatePuiseuxSeriesCategory} is the category of Puiseux series in one variable.")) (|integrate| (($ $ (|Symbol|)) "\\spad{integrate(f(x),{}y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $ (|Symbol|)) "\\spad{integrate(f(x),{}var)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{var}.") (($ $) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 1. We may integrate a series when we can divide coefficients by rational numbers.")) (|multiplyExponents| (($ $ (|Fraction| (|Integer|))) "\\spad{multiplyExponents(f,{}r)} multiplies all exponents of the power series \\spad{f} by the positive rational number \\spad{r}.")) (|series| (($ (|NonNegativeInteger|) (|Stream| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |#1|)))) "\\spad{series(n,{}st)} creates a series from a common denomiator and a stream of non-zero terms,{} where a term is an exponent-coefficient pair. The terms in the stream should be ordered by increasing order of exponents and \\spad{n} should be a common denominator for the exponents in the stream of terms."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4519 |has| |#1| (-365)) (-4513 |has| |#1| (-365)) (-4515 . T) (-4516 . T) (-4518 . T)) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-1225 S |Coef| ULS) 
+(-1228 S |Coef| ULS) 
 ((|constructor| (NIL "This is a category of univariate Puiseux series constructed from univariate Laurent series. A Puiseux series is represented by a pair \\spad{[r,{}f(x)]},{} where \\spad{r} is a positive rational number and \\spad{f(x)} is a Laurent series. This pair represents the Puiseux series \\spad{f(x^r)}.")) (|laurentIfCan| (((|Union| |#3| "failed") $) "\\spad{laurentIfCan(f(x))} converts the Puiseux series \\spad{f(x)} to a Laurent series if possible. If this is not possible,{} \"failed\" is returned.")) (|laurent| ((|#3| $) "\\spad{laurent(f(x))} converts the Puiseux series \\spad{f(x)} to a Laurent series if possible. Error: if this is not possible.")) (|coerce| (($ |#3|) "\\spad{coerce(f(x))} converts the Laurent series \\spad{f(x)} to a Puiseux series.")) (|degree| (((|Fraction| (|Integer|)) $) "\\spad{degree(f(x))} returns the degree of the leading term of the Puiseux series \\spad{f(x)},{} which may have zero as a coefficient.")) (|laurentRep| ((|#3| $) "\\spad{laurentRep(f(x))} returns \\spad{g(x)} where the Puiseux series \\spad{f(x) = g(x^r)} is represented by \\spad{[r,{}g(x)]}.")) (|rationalPower| (((|Fraction| (|Integer|)) $) "\\spad{rationalPower(f(x))} returns \\spad{r} where the Puiseux series \\spad{f(x) = g(x^r)}.")) (|puiseux| (($ (|Fraction| (|Integer|)) |#3|) "\\spad{puiseux(r,{}f(x))} returns \\spad{f(x^r)}."))) 
 NIL 
 NIL 
-(-1226 |Coef| ULS) 
+(-1229 |Coef| ULS) 
 ((|constructor| (NIL "This is a category of univariate Puiseux series constructed from univariate Laurent series. A Puiseux series is represented by a pair \\spad{[r,{}f(x)]},{} where \\spad{r} is a positive rational number and \\spad{f(x)} is a Laurent series. This pair represents the Puiseux series \\spad{f(x^r)}.")) (|laurentIfCan| (((|Union| |#2| "failed") $) "\\spad{laurentIfCan(f(x))} converts the Puiseux series \\spad{f(x)} to a Laurent series if possible. If this is not possible,{} \"failed\" is returned.")) (|laurent| ((|#2| $) "\\spad{laurent(f(x))} converts the Puiseux series \\spad{f(x)} to a Laurent series if possible. Error: if this is not possible.")) (|coerce| (($ |#2|) "\\spad{coerce(f(x))} converts the Laurent series \\spad{f(x)} to a Puiseux series.")) (|degree| (((|Fraction| (|Integer|)) $) "\\spad{degree(f(x))} returns the degree of the leading term of the Puiseux series \\spad{f(x)},{} which may have zero as a coefficient.")) (|laurentRep| ((|#2| $) "\\spad{laurentRep(f(x))} returns \\spad{g(x)} where the Puiseux series \\spad{f(x) = g(x^r)} is represented by \\spad{[r,{}g(x)]}.")) (|rationalPower| (((|Fraction| (|Integer|)) $) "\\spad{rationalPower(f(x))} returns \\spad{r} where the Puiseux series \\spad{f(x) = g(x^r)}.")) (|puiseux| (($ (|Fraction| (|Integer|)) |#2|) "\\spad{puiseux(r,{}f(x))} returns \\spad{f(x^r)}."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4519 |has| |#1| (-365)) (-4513 |has| |#1| (-365)) (-4515 . T) (-4516 . T) (-4518 . T)) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-1227 |Coef| ULS) 
+(-1230 |Coef| ULS) 
 ((|constructor| (NIL "This package enables one to construct a univariate Puiseux series domain from a univariate Laurent series domain. Univariate Puiseux series are represented by a pair \\spad{[r,{}f(x)]},{} where \\spad{r} is a positive rational number and \\spad{f(x)} is a Laurent series. This pair represents the Puiseux series \\spad{f(x^r)}."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4519 |has| |#1| (-365)) (-4513 |has| |#1| (-365)) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-172))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558)))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-150))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -409) (QUOTE (-568))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -409) (QUOTE (-568))) (|devaluate| |#1|))))) (|HasCategory| (-409 (-568)) (QUOTE (-1102))) (|HasCategory| |#1| (QUOTE (-365))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-558)))) (-2199 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-558)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -409) (QUOTE (-568)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -409) (QUOTE (-568)))))) (|HasSignature| |#1| (LIST (QUOTE -2747) (LIST (|devaluate| |#1|) (QUOTE (-1161)))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-959))) (|HasCategory| |#1| (QUOTE (-1181)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasSignature| |#1| (LIST (QUOTE -1845) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1161))))) (|HasSignature| |#1| (LIST (QUOTE -2057) (LIST (LIST (QUOTE -634) (QUOTE (-1161))) (|devaluate| |#1|))))))) 
-(-1228 |Coef| |var| |cen|) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|))))) (|HasCategory| (-410 (-569)) (QUOTE (-1103))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163)))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-960))) (|HasCategory| |#1| (QUOTE (-1183)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2565) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1163))))) (|HasSignature| |#1| (LIST (QUOTE -1773) (LIST (LIST (QUOTE -635) (QUOTE (-1163))) (|devaluate| |#1|))))))) 
+(-1231 |Coef| |var| |cen|) 
 ((|constructor| (NIL "Dense Puiseux series in one variable \\spadtype{UnivariatePuiseuxSeries} is a domain representing Puiseux series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring,{} the power series variable,{} and the center of the power series expansion. For example,{} \\spad{UnivariatePuiseuxSeries(Integer,{}x,{}3)} represents Puiseux series in \\spad{(x - 3)} with \\spadtype{Integer} coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),{}x)} returns the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a Puiseux series."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4519 |has| |#1| (-365)) (-4513 |has| |#1| (-365)) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-172))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558)))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-150))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -409) (QUOTE (-568))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -409) (QUOTE (-568))) (|devaluate| |#1|))))) (|HasCategory| (-409 (-568)) (QUOTE (-1102))) (|HasCategory| |#1| (QUOTE (-365))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-558)))) (-2199 (|HasCategory| |#1| (QUOTE (-365))) (|HasCategory| |#1| (QUOTE (-558)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -409) (QUOTE (-568)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -409) (QUOTE (-568)))))) (|HasSignature| |#1| (LIST (QUOTE -2747) (LIST (|devaluate| |#1|) (QUOTE (-1161)))))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-959))) (|HasCategory| |#1| (QUOTE (-1181)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasSignature| |#1| (LIST (QUOTE -1845) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1161))))) (|HasSignature| |#1| (LIST (QUOTE -2057) (LIST (LIST (QUOTE -634) (QUOTE (-1161))) (|devaluate| |#1|))))))) 
-(-1229 R FE |var| |cen|) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|))))) (|HasCategory| (-410 (-569)) (QUOTE (-1103))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163)))))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-960))) (|HasCategory| |#1| (QUOTE (-1183)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2565) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1163))))) (|HasSignature| |#1| (LIST (QUOTE -1773) (LIST (LIST (QUOTE -635) (QUOTE (-1163))) (|devaluate| |#1|))))))) 
+(-1232 R FE |var| |cen|) 
 ((|constructor| (NIL "UnivariatePuiseuxSeriesWithExponentialSingularity is a domain used to represent functions with essential singularities. Objects in this domain are sums,{} where each term in the sum is a univariate Puiseux series times the exponential of a univariate Puiseux series. Thus,{} the elements of this domain are sums of expressions of the form \\spad{g(x) * exp(f(x))},{} where \\spad{g}(\\spad{x}) is a univariate Puiseux series and \\spad{f}(\\spad{x}) is a univariate Puiseux series with no terms of non-negative degree.")) (|dominantTerm| (((|Union| (|Record| (|:| |%term| (|Record| (|:| |%coef| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) (|:| |%expon| (|ExponentialOfUnivariatePuiseuxSeries| |#2| |#3| |#4|)) (|:| |%expTerms| (|List| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |#2|)))))) (|:| |%type| (|String|))) "failed") $) "\\spad{dominantTerm(f(var))} returns the term that dominates the limiting behavior of \\spad{f(var)} as \\spad{var -> cen+} together with a \\spadtype{String} which briefly describes that behavior. The value of the \\spadtype{String} will be \\spad{\"zero\"} (resp. \\spad{\"infinity\"}) if the term tends to zero (resp. infinity) exponentially and will \\spad{\"series\"} if the term is a Puiseux series.")) (|limitPlus| (((|Union| (|OrderedCompletion| |#2|) "failed") $) "\\spad{limitPlus(f(var))} returns \\spad{limit(var -> cen+,{}f(var))}."))) 
-(((-4523 "*") |has| (-1228 |#2| |#3| |#4|) (-172)) (-4514 |has| (-1228 |#2| |#3| |#4|) (-558)) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| (-1228 |#2| |#3| |#4|) (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| (-1228 |#2| |#3| |#4|) (QUOTE (-148))) (|HasCategory| (-1228 |#2| |#3| |#4|) (QUOTE (-150))) (|HasCategory| (-1228 |#2| |#3| |#4|) (QUOTE (-172))) (|HasCategory| (-1228 |#2| |#3| |#4|) (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| (-1228 |#2| |#3| |#4|) (LIST (QUOTE -1037) (QUOTE (-568)))) (|HasCategory| (-1228 |#2| |#3| |#4|) (QUOTE (-365))) (|HasCategory| (-1228 |#2| |#3| |#4|) (QUOTE (-453))) (-2199 (|HasCategory| (-1228 |#2| |#3| |#4|) (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| (-1228 |#2| |#3| |#4|) (LIST (QUOTE -1037) (LIST (QUOTE -409) (QUOTE (-568)))))) (|HasCategory| (-1228 |#2| |#3| |#4|) (QUOTE (-558)))) 
-(-1230 A S) 
+(((-4537 "*") |has| (-1231 |#2| |#3| |#4|) (-173)) (-4528 |has| (-1231 |#2| |#3| |#4|) (-559)) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| (-1231 |#2| |#3| |#4|) (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-1231 |#2| |#3| |#4|) (QUOTE (-149))) (|HasCategory| (-1231 |#2| |#3| |#4|) (QUOTE (-151))) (|HasCategory| (-1231 |#2| |#3| |#4|) (QUOTE (-173))) (|HasCategory| (-1231 |#2| |#3| |#4|) (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-1231 |#2| |#3| |#4|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| (-1231 |#2| |#3| |#4|) (QUOTE (-366))) (|HasCategory| (-1231 |#2| |#3| |#4|) (QUOTE (-454))) (-2232 (|HasCategory| (-1231 |#2| |#3| |#4|) (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-1231 |#2| |#3| |#4|) (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| (-1231 |#2| |#3| |#4|) (QUOTE (-559)))) 
+(-1233 A S) 
 ((|constructor| (NIL "A unary-recursive aggregate is a one where nodes may have either 0 or 1 children. This aggregate models,{} though not precisely,{} a linked list possibly with a single cycle. A node with one children models a non-empty list,{} with the \\spadfun{value} of the list designating the head,{} or \\spadfun{first},{} of the list,{} and the child designating the tail,{} or \\spadfun{rest},{} of the list. A node with no child then designates the empty list. Since these aggregates are recursive aggregates,{} they may be cyclic.")) (|split!| (($ $ (|Integer|)) "\\spad{split!(u,{}n)} splits \\spad{u} into two aggregates: \\axiom{\\spad{v} = rest(\\spad{u},{}\\spad{n})} and \\axiom{\\spad{w} = first(\\spad{u},{}\\spad{n})},{} returning \\axiom{\\spad{v}}. Note that afterwards \\axiom{rest(\\spad{u},{}\\spad{n})} returns \\axiom{empty()}.")) (|setlast!| ((|#2| $ |#2|) "\\spad{setlast!(u,{}x)} destructively changes the last element of \\spad{u} to \\spad{x}.")) (|setrest!| (($ $ $) "\\spad{setrest!(u,{}v)} destructively changes the rest of \\spad{u} to \\spad{v}.")) (|setelt| ((|#2| $ "last" |#2|) "\\spad{setelt(u,{}\"last\",{}x)} (also written: \\axiom{\\spad{u}.last \\spad{:=} \\spad{b}}) is equivalent to \\axiom{setlast!(\\spad{u},{}\\spad{v})}.") (($ $ "rest" $) "\\spad{setelt(u,{}\"rest\",{}v)} (also written: \\axiom{\\spad{u}.rest \\spad{:=} \\spad{v}}) is equivalent to \\axiom{setrest!(\\spad{u},{}\\spad{v})}.") ((|#2| $ "first" |#2|) "\\spad{setelt(u,{}\"first\",{}x)} (also written: \\axiom{\\spad{u}.first \\spad{:=} \\spad{x}}) is equivalent to \\axiom{setfirst!(\\spad{u},{}\\spad{x})}.")) (|setfirst!| ((|#2| $ |#2|) "\\spad{setfirst!(u,{}x)} destructively changes the first element of a to \\spad{x}.")) (|cycleSplit!| (($ $) "\\spad{cycleSplit!(u)} splits the aggregate by dropping off the cycle. The value returned is the cycle entry,{} or nil if none exists. For example,{} if \\axiom{\\spad{w} = concat(\\spad{u},{}\\spad{v})} is the cyclic list where \\spad{v} is the head of the cycle,{} \\axiom{cycleSplit!(\\spad{w})} will drop \\spad{v} off \\spad{w} thus destructively changing \\spad{w} to \\spad{u},{} and returning \\spad{v}.")) (|concat!| (($ $ |#2|) "\\spad{concat!(u,{}x)} destructively adds element \\spad{x} to the end of \\spad{u}. Note that \\axiom{concat!(a,{}\\spad{x}) = setlast!(a,{}[\\spad{x}])}.") (($ $ $) "\\spad{concat!(u,{}v)} destructively concatenates \\spad{v} to the end of \\spad{u}. Note that \\axiom{concat!(\\spad{u},{}\\spad{v}) = setlast_!(\\spad{u},{}\\spad{v})}.")) (|cycleTail| (($ $) "\\spad{cycleTail(u)} returns the last node in the cycle,{} or empty if none exists.")) (|cycleLength| (((|NonNegativeInteger|) $) "\\spad{cycleLength(u)} returns the length of a top-level cycle contained in aggregate \\spad{u},{} or 0 is \\spad{u} has no such cycle.")) (|cycleEntry| (($ $) "\\spad{cycleEntry(u)} returns the head of a top-level cycle contained in aggregate \\spad{u},{} or \\axiom{empty()} if none exists.")) (|third| ((|#2| $) "\\spad{third(u)} returns the third element of \\spad{u}. Note that \\axiom{third(\\spad{u}) = first(rest(rest(\\spad{u})))}.")) (|second| ((|#2| $) "\\spad{second(u)} returns the second element of \\spad{u}. Note that \\axiom{second(\\spad{u}) = first(rest(\\spad{u}))}.")) (|tail| (($ $) "\\spad{tail(u)} returns the last node of \\spad{u}. Note that if \\spad{u} is \\axiom{shallowlyMutable},{} \\axiom{setrest(tail(\\spad{u}),{}\\spad{v}) = concat(\\spad{u},{}\\spad{v})}.")) (|last| (($ $ (|NonNegativeInteger|)) "\\spad{last(u,{}n)} returns a copy of the last \\spad{n} (\\axiom{\\spad{n} \\spad{>=} 0}) nodes of \\spad{u}. Note that \\axiom{last(\\spad{u},{}\\spad{n})} is a list of \\spad{n} elements.") ((|#2| $) "\\spad{last(u)} resturn the last element of \\spad{u}. Note that for lists,{} \\axiom{last(\\spad{u})=u . (maxIndex \\spad{u})=u . (\\# \\spad{u} - 1)}.")) (|rest| (($ $ (|NonNegativeInteger|)) "\\spad{rest(u,{}n)} returns the \\axiom{\\spad{n}}th (\\spad{n} \\spad{>=} 0) node of \\spad{u}. Note that \\axiom{rest(\\spad{u},{}0) = \\spad{u}}.") (($ $) "\\spad{rest(u)} returns an aggregate consisting of all but the first element of \\spad{u} (equivalently,{} the next node of \\spad{u}).")) (|elt| ((|#2| $ "last") "\\spad{elt(u,{}\"last\")} (also written: \\axiom{\\spad{u} . last}) is equivalent to last \\spad{u}.") (($ $ "rest") "\\spad{elt(\\%,{}\"rest\")} (also written: \\axiom{\\spad{u}.rest}) is equivalent to \\axiom{rest \\spad{u}}.") ((|#2| $ "first") "\\spad{elt(u,{}\"first\")} (also written: \\axiom{\\spad{u} . first}) is equivalent to first \\spad{u}.")) (|first| (($ $ (|NonNegativeInteger|)) "\\spad{first(u,{}n)} returns a copy of the first \\spad{n} (\\axiom{\\spad{n} \\spad{>=} 0}) elements of \\spad{u}.") ((|#2| $) "\\spad{first(u)} returns the first element of \\spad{u} (equivalently,{} the value at the current node).")) (|concat| (($ |#2| $) "\\spad{concat(x,{}u)} returns aggregate consisting of \\spad{x} followed by the elements of \\spad{u}. Note that if \\axiom{\\spad{v} = concat(\\spad{x},{}\\spad{u})} then \\axiom{\\spad{x} = first \\spad{v}} and \\axiom{\\spad{u} = rest \\spad{v}}.") (($ $ $) "\\spad{concat(u,{}v)} returns an aggregate \\spad{w} consisting of the elements of \\spad{u} followed by the elements of \\spad{v}. Note that \\axiom{\\spad{v} = rest(\\spad{w},{}\\#a)}."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4522))) 
-(-1231 S) 
+((|HasAttribute| |#1| (QUOTE -4536))) 
+(-1234 S) 
 ((|constructor| (NIL "A unary-recursive aggregate is a one where nodes may have either 0 or 1 children. This aggregate models,{} though not precisely,{} a linked list possibly with a single cycle. A node with one children models a non-empty list,{} with the \\spadfun{value} of the list designating the head,{} or \\spadfun{first},{} of the list,{} and the child designating the tail,{} or \\spadfun{rest},{} of the list. A node with no child then designates the empty list. Since these aggregates are recursive aggregates,{} they may be cyclic.")) (|split!| (($ $ (|Integer|)) "\\spad{split!(u,{}n)} splits \\spad{u} into two aggregates: \\axiom{\\spad{v} = rest(\\spad{u},{}\\spad{n})} and \\axiom{\\spad{w} = first(\\spad{u},{}\\spad{n})},{} returning \\axiom{\\spad{v}}. Note that afterwards \\axiom{rest(\\spad{u},{}\\spad{n})} returns \\axiom{empty()}.")) (|setlast!| ((|#1| $ |#1|) "\\spad{setlast!(u,{}x)} destructively changes the last element of \\spad{u} to \\spad{x}.")) (|setrest!| (($ $ $) "\\spad{setrest!(u,{}v)} destructively changes the rest of \\spad{u} to \\spad{v}.")) (|setelt| ((|#1| $ "last" |#1|) "\\spad{setelt(u,{}\"last\",{}x)} (also written: \\axiom{\\spad{u}.last \\spad{:=} \\spad{b}}) is equivalent to \\axiom{setlast!(\\spad{u},{}\\spad{v})}.") (($ $ "rest" $) "\\spad{setelt(u,{}\"rest\",{}v)} (also written: \\axiom{\\spad{u}.rest \\spad{:=} \\spad{v}}) is equivalent to \\axiom{setrest!(\\spad{u},{}\\spad{v})}.") ((|#1| $ "first" |#1|) "\\spad{setelt(u,{}\"first\",{}x)} (also written: \\axiom{\\spad{u}.first \\spad{:=} \\spad{x}}) is equivalent to \\axiom{setfirst!(\\spad{u},{}\\spad{x})}.")) (|setfirst!| ((|#1| $ |#1|) "\\spad{setfirst!(u,{}x)} destructively changes the first element of a to \\spad{x}.")) (|cycleSplit!| (($ $) "\\spad{cycleSplit!(u)} splits the aggregate by dropping off the cycle. The value returned is the cycle entry,{} or nil if none exists. For example,{} if \\axiom{\\spad{w} = concat(\\spad{u},{}\\spad{v})} is the cyclic list where \\spad{v} is the head of the cycle,{} \\axiom{cycleSplit!(\\spad{w})} will drop \\spad{v} off \\spad{w} thus destructively changing \\spad{w} to \\spad{u},{} and returning \\spad{v}.")) (|concat!| (($ $ |#1|) "\\spad{concat!(u,{}x)} destructively adds element \\spad{x} to the end of \\spad{u}. Note that \\axiom{concat!(a,{}\\spad{x}) = setlast!(a,{}[\\spad{x}])}.") (($ $ $) "\\spad{concat!(u,{}v)} destructively concatenates \\spad{v} to the end of \\spad{u}. Note that \\axiom{concat!(\\spad{u},{}\\spad{v}) = setlast_!(\\spad{u},{}\\spad{v})}.")) (|cycleTail| (($ $) "\\spad{cycleTail(u)} returns the last node in the cycle,{} or empty if none exists.")) (|cycleLength| (((|NonNegativeInteger|) $) "\\spad{cycleLength(u)} returns the length of a top-level cycle contained in aggregate \\spad{u},{} or 0 is \\spad{u} has no such cycle.")) (|cycleEntry| (($ $) "\\spad{cycleEntry(u)} returns the head of a top-level cycle contained in aggregate \\spad{u},{} or \\axiom{empty()} if none exists.")) (|third| ((|#1| $) "\\spad{third(u)} returns the third element of \\spad{u}. Note that \\axiom{third(\\spad{u}) = first(rest(rest(\\spad{u})))}.")) (|second| ((|#1| $) "\\spad{second(u)} returns the second element of \\spad{u}. Note that \\axiom{second(\\spad{u}) = first(rest(\\spad{u}))}.")) (|tail| (($ $) "\\spad{tail(u)} returns the last node of \\spad{u}. Note that if \\spad{u} is \\axiom{shallowlyMutable},{} \\axiom{setrest(tail(\\spad{u}),{}\\spad{v}) = concat(\\spad{u},{}\\spad{v})}.")) (|last| (($ $ (|NonNegativeInteger|)) "\\spad{last(u,{}n)} returns a copy of the last \\spad{n} (\\axiom{\\spad{n} \\spad{>=} 0}) nodes of \\spad{u}. Note that \\axiom{last(\\spad{u},{}\\spad{n})} is a list of \\spad{n} elements.") ((|#1| $) "\\spad{last(u)} resturn the last element of \\spad{u}. Note that for lists,{} \\axiom{last(\\spad{u})=u . (maxIndex \\spad{u})=u . (\\# \\spad{u} - 1)}.")) (|rest| (($ $ (|NonNegativeInteger|)) "\\spad{rest(u,{}n)} returns the \\axiom{\\spad{n}}th (\\spad{n} \\spad{>=} 0) node of \\spad{u}. Note that \\axiom{rest(\\spad{u},{}0) = \\spad{u}}.") (($ $) "\\spad{rest(u)} returns an aggregate consisting of all but the first element of \\spad{u} (equivalently,{} the next node of \\spad{u}).")) (|elt| ((|#1| $ "last") "\\spad{elt(u,{}\"last\")} (also written: \\axiom{\\spad{u} . last}) is equivalent to last \\spad{u}.") (($ $ "rest") "\\spad{elt(\\%,{}\"rest\")} (also written: \\axiom{\\spad{u}.rest}) is equivalent to \\axiom{rest \\spad{u}}.") ((|#1| $ "first") "\\spad{elt(u,{}\"first\")} (also written: \\axiom{\\spad{u} . first}) is equivalent to first \\spad{u}.")) (|first| (($ $ (|NonNegativeInteger|)) "\\spad{first(u,{}n)} returns a copy of the first \\spad{n} (\\axiom{\\spad{n} \\spad{>=} 0}) elements of \\spad{u}.") ((|#1| $) "\\spad{first(u)} returns the first element of \\spad{u} (equivalently,{} the value at the current node).")) (|concat| (($ |#1| $) "\\spad{concat(x,{}u)} returns aggregate consisting of \\spad{x} followed by the elements of \\spad{u}. Note that if \\axiom{\\spad{v} = concat(\\spad{x},{}\\spad{u})} then \\axiom{\\spad{x} = first \\spad{v}} and \\axiom{\\spad{u} = rest \\spad{v}}.") (($ $ $) "\\spad{concat(u,{}v)} returns an aggregate \\spad{w} consisting of the elements of \\spad{u} followed by the elements of \\spad{v}. Note that \\axiom{\\spad{v} = rest(\\spad{w},{}\\#a)}."))) 
-((-3973 . T)) 
+((-2982 . T)) 
 NIL 
-(-1232 |Coef1| |Coef2| UTS1 UTS2) 
+(-1235 |Coef1| |Coef2| UTS1 UTS2) 
 ((|constructor| (NIL "Mapping package for univariate Taylor series. This package allows one to apply a function to the coefficients of a univariate Taylor series.")) (|map| ((|#4| (|Mapping| |#2| |#1|) |#3|) "\\spad{map(f,{}g(x))} applies the map \\spad{f} to the coefficients of \\indented{1}{the Taylor series \\spad{g(x)}.}"))) 
 NIL 
 NIL 
-(-1233 S |Coef|) 
+(-1236 S |Coef|) 
 ((|constructor| (NIL "\\spadtype{UnivariateTaylorSeriesCategory} is the category of Taylor series in one variable.")) (|integrate| (($ $ (|Symbol|)) "\\spad{integrate(f(x),{}y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $ (|Symbol|)) "\\spad{integrate(f(x),{}y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (** (($ $ |#2|) "\\spad{f(x) ** a} computes a power of a power series. When the coefficient ring is a field,{} we may raise a series to an exponent from the coefficient ring provided that the constant coefficient of the series is 1.")) (|polynomial| (((|Polynomial| |#2|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{polynomial(f,{}k1,{}k2)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 <= d <= k2}.") (((|Polynomial| |#2|) $ (|NonNegativeInteger|)) "\\spad{polynomial(f,{}k)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{<= k}.")) (|multiplyCoefficients| (($ (|Mapping| |#2| (|Integer|)) $) "\\spad{multiplyCoefficients(f,{}sum(n = 0..infinity,{}a[n] * x**n))} returns \\spad{sum(n = 0..infinity,{}f(n) * a[n] * x**n)}. This function is used when Laurent series are represented by a Taylor series and an order.")) (|quoByVar| (($ $) "\\spad{quoByVar(a0 + a1 x + a2 x**2 + ...)} returns \\spad{a1 + a2 x + a3 x**2 + ...} Thus,{} this function substracts the constant term and divides by the series variable. This function is used when Laurent series are represented by a Taylor series and an order.")) (|coefficients| (((|Stream| |#2|) $) "\\spad{coefficients(a0 + a1 x + a2 x**2 + ...)} returns a stream of coefficients: \\spad{[a0,{}a1,{}a2,{}...]}. The entries of the stream may be zero.")) (|series| (($ (|Stream| |#2|)) "\\spad{series([a0,{}a1,{}a2,{}...])} is the Taylor series \\spad{a0 + a1 x + a2 x**2 + ...}.") (($ (|Stream| (|Record| (|:| |k| (|NonNegativeInteger|)) (|:| |c| |#2|)))) "\\spad{series(st)} creates a series from a stream of non-zero terms,{} where a term is an exponent-coefficient pair. The terms in the stream should be ordered by increasing order of exponents."))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -29) (QUOTE (-568)))) (|HasCategory| |#2| (QUOTE (-959))) (|HasCategory| |#2| (QUOTE (-1181))) (|HasSignature| |#2| (LIST (QUOTE -2057) (LIST (LIST (QUOTE -634) (QUOTE (-1161))) (|devaluate| |#2|)))) (|HasSignature| |#2| (LIST (QUOTE -1845) (LIST (|devaluate| |#2|) (|devaluate| |#2|) (QUOTE (-1161))))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#2| (QUOTE (-365)))) 
-(-1234 |Coef|) 
+((|HasCategory| |#2| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-960))) (|HasCategory| |#2| (QUOTE (-1183))) (|HasSignature| |#2| (LIST (QUOTE -1773) (LIST (LIST (QUOTE -635) (QUOTE (-1163))) (|devaluate| |#2|)))) (|HasSignature| |#2| (LIST (QUOTE -2565) (LIST (|devaluate| |#2|) (|devaluate| |#2|) (QUOTE (-1163))))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366)))) 
+(-1237 |Coef|) 
 ((|constructor| (NIL "\\spadtype{UnivariateTaylorSeriesCategory} is the category of Taylor series in one variable.")) (|integrate| (($ $ (|Symbol|)) "\\spad{integrate(f(x),{}y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $ (|Symbol|)) "\\spad{integrate(f(x),{}y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (** (($ $ |#1|) "\\spad{f(x) ** a} computes a power of a power series. When the coefficient ring is a field,{} we may raise a series to an exponent from the coefficient ring provided that the constant coefficient of the series is 1.")) (|polynomial| (((|Polynomial| |#1|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{polynomial(f,{}k1,{}k2)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 <= d <= k2}.") (((|Polynomial| |#1|) $ (|NonNegativeInteger|)) "\\spad{polynomial(f,{}k)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{<= k}.")) (|multiplyCoefficients| (($ (|Mapping| |#1| (|Integer|)) $) "\\spad{multiplyCoefficients(f,{}sum(n = 0..infinity,{}a[n] * x**n))} returns \\spad{sum(n = 0..infinity,{}f(n) * a[n] * x**n)}. This function is used when Laurent series are represented by a Taylor series and an order.")) (|quoByVar| (($ $) "\\spad{quoByVar(a0 + a1 x + a2 x**2 + ...)} returns \\spad{a1 + a2 x + a3 x**2 + ...} Thus,{} this function substracts the constant term and divides by the series variable. This function is used when Laurent series are represented by a Taylor series and an order.")) (|coefficients| (((|Stream| |#1|) $) "\\spad{coefficients(a0 + a1 x + a2 x**2 + ...)} returns a stream of coefficients: \\spad{[a0,{}a1,{}a2,{}...]}. The entries of the stream may be zero.")) (|series| (($ (|Stream| |#1|)) "\\spad{series([a0,{}a1,{}a2,{}...])} is the Taylor series \\spad{a0 + a1 x + a2 x**2 + ...}.") (($ (|Stream| (|Record| (|:| |k| (|NonNegativeInteger|)) (|:| |c| |#1|)))) "\\spad{series(st)} creates a series from a stream of non-zero terms,{} where a term is an exponent-coefficient pair. The terms in the stream should be ordered by increasing order of exponents."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4515 . T) (-4516 . T) (-4518 . T)) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-1235 |Coef| |var| |cen|) 
+(-1238 |Coef| |var| |cen|) 
 ((|constructor| (NIL "Dense Taylor series in one variable \\spadtype{UnivariateTaylorSeries} is a domain representing Taylor series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring,{} the power series variable,{} and the center of the power series expansion. For example,{} \\spadtype{UnivariateTaylorSeries}(Integer,{}\\spad{x},{}3) represents Taylor series in \\spad{(x - 3)} with \\spadtype{Integer} coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x),{}x)} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|invmultisect| (($ (|Integer|) (|Integer|) $) "\\spad{invmultisect(a,{}b,{}f(x))} substitutes \\spad{x^((a+b)*n)} \\indented{1}{for \\spad{x^n} and multiples by \\spad{x^b}.}")) (|multisect| (($ (|Integer|) (|Integer|) $) "\\spad{multisect(a,{}b,{}f(x))} selects the coefficients of \\indented{1}{\\spad{x^((a+b)*n+a)},{} and changes this monomial to \\spad{x^n}.}")) (|revert| (($ $) "\\spad{revert(f(x))} returns a Taylor series \\spad{g(x)} such that \\spad{f(g(x)) = g(f(x)) = x}. Series \\spad{f(x)} should have constant coefficient 0 and 1st order coefficient 1.")) (|generalLambert| (($ $ (|Integer|) (|Integer|)) "\\spad{generalLambert(f(x),{}a,{}d)} returns \\spad{f(x^a) + f(x^(a + d)) + \\indented{1}{f(x^(a + 2 d)) + ... }. \\spad{f(x)} should have zero constant} \\indented{1}{coefficient and \\spad{a} and \\spad{d} should be positive.}")) (|evenlambert| (($ $) "\\spad{evenlambert(f(x))} returns \\spad{f(x^2) + f(x^4) + f(x^6) + ...}. \\indented{1}{\\spad{f(x)} should have a zero constant coefficient.} \\indented{1}{This function is used for computing infinite products.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1,{} then} \\indented{1}{\\spad{product(n=1..infinity,{}f(x^(2*n))) = exp(log(evenlambert(f(x))))}.}")) (|oddlambert| (($ $) "\\spad{oddlambert(f(x))} returns \\spad{f(x) + f(x^3) + f(x^5) + ...}. \\indented{1}{\\spad{f(x)} should have a zero constant coefficient.} \\indented{1}{This function is used for computing infinite products.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1,{} then} \\indented{1}{\\spad{product(n=1..infinity,{}f(x^(2*n-1)))=exp(log(oddlambert(f(x))))}.}")) (|lambert| (($ $) "\\spad{lambert(f(x))} returns \\spad{f(x) + f(x^2) + f(x^3) + ...}. \\indented{1}{This function is used for computing infinite products.} \\indented{1}{\\spad{f(x)} should have zero constant coefficient.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1,{} then} \\indented{1}{\\spad{product(n = 1..infinity,{}f(x^n)) = exp(log(lambert(f(x))))}.}")) (|lagrange| (($ $) "\\spad{lagrange(g(x))} produces the Taylor series for \\spad{f(x)} \\indented{1}{where \\spad{f(x)} is implicitly defined as \\spad{f(x) = x*g(f(x))}.}")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),{}x)} computes the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|univariatePolynomial| (((|UnivariatePolynomial| |#2| |#1|) $ (|NonNegativeInteger|)) "\\spad{univariatePolynomial(f,{}k)} returns a univariate polynomial \\indented{1}{consisting of the sum of all terms of \\spad{f} of degree \\spad{<= k}.}")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a \\indented{1}{Taylor series.}") (($ (|UnivariatePolynomial| |#2| |#1|)) "\\spad{coerce(p)} converts a univariate polynomial \\spad{p} in the variable \\spad{var} to a univariate Taylor series in \\spad{var}."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-172))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558)))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-150))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-763)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-763)) (|devaluate| |#1|))))) (|HasCategory| (-763) (QUOTE (-1102))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-763))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-763))))) (|HasSignature| |#1| (LIST (QUOTE -2747) (LIST (|devaluate| |#1|) (QUOTE (-1161)))))) (|HasCategory| |#1| (QUOTE (-365))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-959))) (|HasCategory| |#1| (QUOTE (-1181)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasSignature| |#1| (LIST (QUOTE -1845) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1161))))) (|HasSignature| |#1| (LIST (QUOTE -2057) (LIST (LIST (QUOTE -634) (QUOTE (-1161))) (|devaluate| |#1|))))))) 
-(-1236 |Coef| UTS) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-764)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-764)) (|devaluate| |#1|))))) (|HasCategory| (-764) (QUOTE (-1103))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-764))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-764))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163)))))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-960))) (|HasCategory| |#1| (QUOTE (-1183)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2565) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1163))))) (|HasSignature| |#1| (LIST (QUOTE -1773) (LIST (LIST (QUOTE -635) (QUOTE (-1163))) (|devaluate| |#1|))))))) 
+(-1239 |Coef| UTS) 
 ((|constructor| (NIL "Taylor series solutions of explicit ODE\\spad{'s}. This package provides Taylor series solutions to regular linear or non-linear ordinary differential equations of arbitrary order.")) (|mpsode| (((|List| |#2|) (|List| |#1|) (|List| (|Mapping| |#2| (|List| |#2|)))) "\\spad{mpsode(r,{}f)} solves the system of differential equations \\spad{dy[i]/dx =f[i] [x,{}y[1],{}y[2],{}...,{}y[n]]},{} \\spad{y[i](a) = r[i]} for \\spad{i} in 1..\\spad{n}.")) (|ode| ((|#2| (|Mapping| |#2| (|List| |#2|)) (|List| |#1|)) "\\spad{ode(f,{}cl)} is the solution to \\spad{y<n>=f(y,{}y',{}..,{}y<n-1>)} such that \\spad{y<i>(a) = cl.i} for \\spad{i} in 1..\\spad{n}.")) (|ode2| ((|#2| (|Mapping| |#2| |#2| |#2|) |#1| |#1|) "\\spad{ode2(f,{}c0,{}c1)} is the solution to \\spad{y'' = f(y,{}y')} such that \\spad{y(a) = c0} and \\spad{y'(a) = c1}.")) (|ode1| ((|#2| (|Mapping| |#2| |#2|) |#1|) "\\spad{ode1(f,{}c)} is the solution to \\spad{y' = f(y)} such that \\spad{y(a) = c}.")) (|fixedPointExquo| ((|#2| |#2| |#2|) "\\spad{fixedPointExquo(f,{}g)} computes the exact quotient of \\spad{f} and \\spad{g} using a fixed point computation.")) (|stFuncN| (((|Mapping| (|Stream| |#1|) (|List| (|Stream| |#1|))) (|Mapping| |#2| (|List| |#2|))) "\\spad{stFuncN(f)} is a local function xported due to compiler problem. This function is of no interest to the top-level user.")) (|stFunc2| (((|Mapping| (|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) (|Mapping| |#2| |#2| |#2|)) "\\spad{stFunc2(f)} is a local function exported due to compiler problem. This function is of no interest to the top-level user.")) (|stFunc1| (((|Mapping| (|Stream| |#1|) (|Stream| |#1|)) (|Mapping| |#2| |#2|)) "\\spad{stFunc1(f)} is a local function exported due to compiler problem. This function is of no interest to the top-level user."))) 
 NIL 
 NIL 
-(-1237 -1478 UP L UTS) 
+(-1240 -1564 UP L UTS) 
 ((|constructor| (NIL "\\spad{RUTSodetools} provides tools to interface with the series ODE solver when presented with linear ODEs.")) (RF2UTS ((|#4| (|Fraction| |#2|)) "\\spad{RF2UTS(f)} converts \\spad{f} to a Taylor series.")) (LODO2FUN (((|Mapping| |#4| (|List| |#4|)) |#3|) "\\spad{LODO2FUN(op)} returns the function to pass to the series ODE solver in order to solve \\spad{op y = 0}.")) (UTS2UP ((|#2| |#4| (|NonNegativeInteger|)) "\\spad{UTS2UP(s,{} n)} converts the first \\spad{n} terms of \\spad{s} to a univariate polynomial.")) (UP2UTS ((|#4| |#2|) "\\spad{UP2UTS(p)} converts \\spad{p} to a Taylor series."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-558)))) 
-(-1238 -1478 UTSF UTSSUPF) 
+((|HasCategory| |#1| (QUOTE (-559)))) 
+(-1241 -1564 UTSF UTSSUPF) 
 ((|constructor| (NIL "This package has no description"))) 
 NIL 
 NIL 
-(-1239 |Coef| |var|) 
+(-1242 |Coef| |var|) 
 ((|constructor| (NIL "Part of the Package for Algebraic Function Fields in one variable PAFF")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x),{}x)} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|invmultisect| (($ (|Integer|) (|Integer|) $) "\\spad{invmultisect(a,{}b,{}f(x))} substitutes \\spad{x^((a+b)*n)} \\indented{1}{for \\spad{x^n} and multiples by \\spad{x^b}.}")) (|multisect| (($ (|Integer|) (|Integer|) $) "\\spad{multisect(a,{}b,{}f(x))} selects the coefficients of \\indented{1}{\\spad{x^((a+b)*n+a)},{} and changes this monomial to \\spad{x^n}.}")) (|revert| (($ $) "\\spad{revert(f(x))} returns a Taylor series \\spad{g(x)} such that \\spad{f(g(x)) = g(f(x)) = x}. Series \\spad{f(x)} should have constant coefficient 0 and 1st order coefficient 1.")) (|generalLambert| (($ $ (|Integer|) (|Integer|)) "\\spad{generalLambert(f(x),{}a,{}d)} returns \\spad{f(x^a) + f(x^(a + d)) + \\indented{1}{f(x^(a + 2 d)) + ... }. \\spad{f(x)} should have zero constant} \\indented{1}{coefficient and \\spad{a} and \\spad{d} should be positive.}")) (|evenlambert| (($ $) "\\spad{evenlambert(f(x))} returns \\spad{f(x^2) + f(x^4) + f(x^6) + ...}. \\indented{1}{\\spad{f(x)} should have a zero constant coefficient.} \\indented{1}{This function is used for computing infinite products.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1,{} then} \\indented{1}{\\spad{product(n=1..infinity,{}f(x^(2*n)))=exp(log(evenlambert(f(x))))}.}")) (|oddlambert| (($ $) "\\spad{oddlambert(f(x))} returns \\spad{f(x) + f(x^3) + f(x^5) + ...}. \\indented{1}{\\spad{f(x)} should have a zero constant coefficient.} \\indented{1}{This function is used for computing infinite products.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1,{} then} \\indented{1}{\\spad{product(n=1..infinity,{}f(x^(2*n-1)))=exp(log(oddlambert(f(x))))}.}")) (|lambert| (($ $) "\\spad{lambert(f(x))} returns \\spad{f(x) + f(x^2) + f(x^3) + ...}. \\indented{1}{This function is used for computing infinite products.} \\indented{1}{\\spad{f(x)} should have zero constant coefficient.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1,{} then} \\indented{1}{\\spad{product(n = 1..infinity,{}f(x^n)) = exp(log(lambert(f(x))))}.}")) (|lagrange| (($ $) "\\spad{lagrange(g(x))} produces the Taylor series for \\spad{f(x)} \\indented{1}{where \\spad{f(x)} is implicitly defined as \\spad{f(x) = x*g(f(x))}.}")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),{}x)} computes the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|univariatePolynomial| (((|UnivariatePolynomial| |#2| |#1|) $ (|NonNegativeInteger|)) "\\spad{univariatePolynomial(f,{}k)} returns a univariate polynomial \\indented{1}{consisting of the sum of all terms of \\spad{f} of degree \\spad{<= k}.}")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a \\indented{1}{Taylor series.}") (($ (|UnivariatePolynomial| |#2| |#1|)) "\\spad{coerce(p)} converts a univariate polynomial \\spad{p} in the variable \\spad{var} to a univariate Taylor series in \\spad{var}."))) 
-(((-4523 "*") |has| |#1| (-172)) (-4514 |has| |#1| (-558)) (-4515 . T) (-4516 . T) (-4518 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#1| (QUOTE (-172))) (-2199 (|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-558)))) (|HasCategory| |#1| (QUOTE (-148))) (|HasCategory| |#1| (QUOTE (-150))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-763)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -895) (QUOTE (-1161)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-763)) (|devaluate| |#1|))))) (|HasCategory| (-763) (QUOTE (-1102))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-763))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-763))))) (|HasSignature| |#1| (LIST (QUOTE -2747) (LIST (|devaluate| |#1|) (QUOTE (-1161)))))) (|HasCategory| |#1| (QUOTE (-365))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-568)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasCategory| |#1| (QUOTE (-959))) (|HasCategory| |#1| (QUOTE (-1181)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasSignature| |#1| (LIST (QUOTE -1845) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1161))))) (|HasSignature| |#1| (LIST (QUOTE -2057) (LIST (LIST (QUOTE -634) (QUOTE (-1161))) (|devaluate| |#1|))))))) 
-(-1240 |sym|) 
+(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-764)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-764)) (|devaluate| |#1|))))) (|HasCategory| (-764) (QUOTE (-1103))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-764))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-764))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163)))))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-960))) (|HasCategory| |#1| (QUOTE (-1183)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2565) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1163))))) (|HasSignature| |#1| (LIST (QUOTE -1773) (LIST (LIST (QUOTE -635) (QUOTE (-1163))) (|devaluate| |#1|))))))) 
+(-1243 |sym|) 
 ((|constructor| (NIL "This domain implements variables")) (|variable| (((|Symbol|)) "\\spad{variable()} returns the symbol")) (|coerce| (((|Symbol|) $) "\\spad{coerce(x)} returns the symbol"))) 
 NIL 
 NIL 
-(-1241 S R) 
+(-1244 S R) 
 ((|constructor| (NIL "\\spadtype{VectorCategory} represents the type of vector like objects,{} \\spadignore{i.e.} finite sequences indexed by some finite segment of the integers. The operations available on vectors depend on the structure of the underlying components. Many operations from the component domain are defined for vectors componentwise. It can by assumed that extraction or updating components can be done in constant time.")) (|magnitude| ((|#2| $) "\\spad{magnitude(v)} computes the sqrt(dot(\\spad{v},{}\\spad{v})),{} \\spadignore{i.e.} the length")) (|length| ((|#2| $) "\\spad{length(v)} computes the sqrt(dot(\\spad{v},{}\\spad{v})),{} \\spadignore{i.e.} the magnitude")) (|cross| (($ $ $) "vectorProduct(\\spad{u},{}\\spad{v}) constructs the cross product of \\spad{u} and \\spad{v}. Error: if \\spad{u} and \\spad{v} are not of length 3.")) (|outerProduct| (((|Matrix| |#2|) $ $) "\\spad{outerProduct(u,{}v)} constructs the matrix whose (\\spad{i},{}\\spad{j})\\spad{'}th element is \\spad{u}(\\spad{i})\\spad{*v}(\\spad{j}).")) (|dot| ((|#2| $ $) "\\spad{dot(x,{}y)} computes the inner product of the two vectors \\spad{x} and \\spad{y}. Error: if \\spad{x} and \\spad{y} are not of the same length.")) (* (($ $ |#2|) "\\spad{y * r} multiplies each component of the vector \\spad{y} by the element \\spad{r}.") (($ |#2| $) "\\spad{r * y} multiplies the element \\spad{r} times each component of the vector \\spad{y}.") (($ (|Integer|) $) "\\spad{n * y} multiplies each component of the vector \\spad{y} by the integer \\spad{n}.")) (- (($ $ $) "\\spad{x - y} returns the component-wise difference of the vectors \\spad{x} and \\spad{y}. Error: if \\spad{x} and \\spad{y} are not of the same length.") (($ $) "\\spad{-x} negates all components of the vector \\spad{x}.")) (|zero| (($ (|NonNegativeInteger|)) "\\spad{zero(n)} creates a zero vector of length \\spad{n}.")) (+ (($ $ $) "\\spad{x + y} returns the component-wise sum of the vectors \\spad{x} and \\spad{y}. Error: if \\spad{x} and \\spad{y} are not of the same length."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-1002))) (|HasCategory| |#2| (QUOTE (-1047))) (|HasCategory| |#2| (QUOTE (-716))) (|HasCategory| |#2| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-25)))) 
-(-1242 R) 
+((|HasCategory| |#2| (QUOTE (-1003))) (|HasCategory| |#2| (QUOTE (-1048))) (|HasCategory| |#2| (QUOTE (-717))) (|HasCategory| |#2| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-25)))) 
+(-1245 R) 
 ((|constructor| (NIL "\\spadtype{VectorCategory} represents the type of vector like objects,{} \\spadignore{i.e.} finite sequences indexed by some finite segment of the integers. The operations available on vectors depend on the structure of the underlying components. Many operations from the component domain are defined for vectors componentwise. It can by assumed that extraction or updating components can be done in constant time.")) (|magnitude| ((|#1| $) "\\spad{magnitude(v)} computes the sqrt(dot(\\spad{v},{}\\spad{v})),{} \\spadignore{i.e.} the length")) (|length| ((|#1| $) "\\spad{length(v)} computes the sqrt(dot(\\spad{v},{}\\spad{v})),{} \\spadignore{i.e.} the magnitude")) (|cross| (($ $ $) "vectorProduct(\\spad{u},{}\\spad{v}) constructs the cross product of \\spad{u} and \\spad{v}. Error: if \\spad{u} and \\spad{v} are not of length 3.")) (|outerProduct| (((|Matrix| |#1|) $ $) "\\spad{outerProduct(u,{}v)} constructs the matrix whose (\\spad{i},{}\\spad{j})\\spad{'}th element is \\spad{u}(\\spad{i})\\spad{*v}(\\spad{j}).")) (|dot| ((|#1| $ $) "\\spad{dot(x,{}y)} computes the inner product of the two vectors \\spad{x} and \\spad{y}. Error: if \\spad{x} and \\spad{y} are not of the same length.")) (* (($ $ |#1|) "\\spad{y * r} multiplies each component of the vector \\spad{y} by the element \\spad{r}.") (($ |#1| $) "\\spad{r * y} multiplies the element \\spad{r} times each component of the vector \\spad{y}.") (($ (|Integer|) $) "\\spad{n * y} multiplies each component of the vector \\spad{y} by the integer \\spad{n}.")) (- (($ $ $) "\\spad{x - y} returns the component-wise difference of the vectors \\spad{x} and \\spad{y}. Error: if \\spad{x} and \\spad{y} are not of the same length.") (($ $) "\\spad{-x} negates all components of the vector \\spad{x}.")) (|zero| (($ (|NonNegativeInteger|)) "\\spad{zero(n)} creates a zero vector of length \\spad{n}.")) (+ (($ $ $) "\\spad{x + y} returns the component-wise sum of the vectors \\spad{x} and \\spad{y}. Error: if \\spad{x} and \\spad{y} are not of the same length."))) 
-((-4522 . T) (-4521 . T) (-3973 . T)) 
+((-4536 . T) (-4535 . T) (-2982 . T)) 
 NIL 
-(-1243 A B) 
+(-1246 A B) 
 ((|constructor| (NIL "This package provides operations which all take as arguments vectors of elements of some type \\spad{A} and functions from \\spad{A} to another of type \\spad{B}. The operations all iterate over their vector argument and either return a value of type \\spad{B} or a vector over \\spad{B}.")) (|map| (((|Union| (|Vector| |#2|) "failed") (|Mapping| (|Union| |#2| "failed") |#1|) (|Vector| |#1|)) "\\spad{map(f,{} v)} applies the function \\spad{f} to every element of the vector \\spad{v} producing a new vector containing the values or \\spad{\"failed\"}.") (((|Vector| |#2|) (|Mapping| |#2| |#1|) (|Vector| |#1|)) "\\spad{map(f,{} v)} applies the function \\spad{f} to every element of the vector \\spad{v} producing a new vector containing the values.")) (|reduce| ((|#2| (|Mapping| |#2| |#1| |#2|) (|Vector| |#1|) |#2|) "\\spad{reduce(func,{}vec,{}ident)} combines the elements in \\spad{vec} using the binary function \\spad{func}. Argument \\spad{ident} is returned if \\spad{vec} is empty.")) (|scan| (((|Vector| |#2|) (|Mapping| |#2| |#1| |#2|) (|Vector| |#1|) |#2|) "\\spad{scan(func,{}vec,{}ident)} creates a new vector whose elements are the result of applying reduce to the binary function \\spad{func},{} increasing initial subsequences of the vector \\spad{vec},{} and the element \\spad{ident}."))) 
 NIL 
 NIL 
-(-1244 R) 
+(-1247 R) 
 ((|constructor| (NIL "This type represents vector like objects with varying lengths and indexed by a finite segment of integers starting at 1.")) (|vector| (($ (|List| |#1|)) "\\spad{vector(l)} converts the list \\spad{l} to a vector."))) 
-((-4522 . T) (-4521 . T)) 
-((|HasCategory| |#1| (QUOTE (-1090))) (|HasCategory| |#1| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#1| (QUOTE (-842))) (-2199 (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-1090)))) (|HasCategory| (-568) (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-716))) (|HasCategory| |#1| (QUOTE (-1047))) (-12 (|HasCategory| |#1| (QUOTE (-1002))) (|HasCategory| |#1| (QUOTE (-1047)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))) (-2199 (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-842)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1090)))))) 
-(-1245) 
+((-4536 . T) (-4535 . T)) 
+((|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (-2232 (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-717))) (|HasCategory| |#1| (QUOTE (-1048))) (-12 (|HasCategory| |#1| (QUOTE (-1003))) (|HasCategory| |#1| (QUOTE (-1048)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-843)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
+(-1248) 
 ((|constructor| (NIL "TwoDimensionalViewport creates viewports to display graphs.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(v)} returns the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport} as output of the domain \\spadtype{OutputForm}.")) (|key| (((|Integer|) $) "\\spad{key(v)} returns the process ID number of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport}.")) (|reset| (((|Void|) $) "\\spad{reset(v)} sets the current state of the graph characteristics of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} back to their initial settings.")) (|write| (((|String|) $ (|String|) (|List| (|String|))) "\\spad{write(v,{}s,{}lf)} takes the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} and creates a directory indicated by \\spad{s},{} which contains the graph data files for \\spad{v} and the optional file types indicated by the list \\spad{lf}.") (((|String|) $ (|String|) (|String|)) "\\spad{write(v,{}s,{}f)} takes the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} and creates a directory indicated by \\spad{s},{} which contains the graph data files for \\spad{v} and an optional file type \\spad{f}.") (((|String|) $ (|String|)) "\\spad{write(v,{}s)} takes the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} and creates a directory indicated by \\spad{s},{} which contains the graph data files for \\spad{v}.")) (|resize| (((|Void|) $ (|PositiveInteger|) (|PositiveInteger|)) "\\spad{resize(v,{}w,{}h)} displays the two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} with a width of \\spad{w} and a height of \\spad{h},{} keeping the upper left-hand corner position unchanged.")) (|update| (((|Void|) $ (|GraphImage|) (|PositiveInteger|)) "\\spad{update(v,{}gr,{}n)} drops the graph \\spad{gr} in slot \\spad{n} of viewport \\spad{v}. The graph \\spad{gr} must have been transmitted already and acquired an integer key.")) (|move| (((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{move(v,{}x,{}y)} displays the two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} with the upper left-hand corner of the viewport window at the screen coordinate position \\spad{x},{} \\spad{y}.")) (|show| (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{show(v,{}n,{}s)} displays the graph in field \\spad{n} of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} if \\spad{s} is \"on\",{} or does not display the graph if \\spad{s} is \"off\".")) (|translate| (((|Void|) $ (|PositiveInteger|) (|Float|) (|Float|)) "\\spad{translate(v,{}n,{}dx,{}dy)} displays the graph in field \\spad{n} of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} translated by \\spad{dx} in the \\spad{x}-coordinate direction from the center of the viewport,{} and by \\spad{dy} in the \\spad{y}-coordinate direction from the center. Setting \\spad{dx} and \\spad{dy} to \\spad{0} places the center of the graph at the center of the viewport.")) (|scale| (((|Void|) $ (|PositiveInteger|) (|Float|) (|Float|)) "\\spad{scale(v,{}n,{}sx,{}sy)} displays the graph in field \\spad{n} of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} scaled by the factor \\spad{sx} in the \\spad{x}-coordinate direction and by the factor \\spad{sy} in the \\spad{y}-coordinate direction.")) (|dimensions| (((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|PositiveInteger|) (|PositiveInteger|)) "\\spad{dimensions(v,{}x,{}y,{}width,{}height)} sets the position of the upper left-hand corner of the two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} to the window coordinate \\spad{x},{} \\spad{y},{} and sets the dimensions of the window to that of \\spad{width},{} \\spad{height}. The new dimensions are not displayed until the function \\spadfun{makeViewport2D} is executed again for \\spad{v}.")) (|close| (((|Void|) $) "\\spad{close(v)} closes the viewport window of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} and terminates the corresponding process ID.")) (|controlPanel| (((|Void|) $ (|String|)) "\\spad{controlPanel(v,{}s)} displays the control panel of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} if \\spad{s} is \"on\",{} or hides the control panel if \\spad{s} is \"off\".")) (|connect| (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{connect(v,{}n,{}s)} displays the lines connecting the graph points in field \\spad{n} of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} if \\spad{s} is \"on\",{} or does not display the lines if \\spad{s} is \"off\".")) (|region| (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{region(v,{}n,{}s)} displays the bounding box of the graph in field \\spad{n} of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} if \\spad{s} is \"on\",{} or does not display the bounding box if \\spad{s} is \"off\".")) (|points| (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{points(v,{}n,{}s)} displays the points of the graph in field \\spad{n} of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} if \\spad{s} is \"on\",{} or does not display the points if \\spad{s} is \"off\".")) (|units| (((|Void|) $ (|PositiveInteger|) (|Palette|)) "\\spad{units(v,{}n,{}c)} displays the units of the graph in field \\spad{n} of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} with the units color set to the given palette color \\spad{c}.") (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{units(v,{}n,{}s)} displays the units of the graph in field \\spad{n} of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} if \\spad{s} is \"on\",{} or does not display the units if \\spad{s} is \"off\".")) (|axes| (((|Void|) $ (|PositiveInteger|) (|Palette|)) "\\spad{axes(v,{}n,{}c)} displays the axes of the graph in field \\spad{n} of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} with the axes color set to the given palette color \\spad{c}.") (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{axes(v,{}n,{}s)} displays the axes of the graph in field \\spad{n} of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} if \\spad{s} is \"on\",{} or does not display the axes if \\spad{s} is \"off\".")) (|getGraph| (((|GraphImage|) $ (|PositiveInteger|)) "\\spad{getGraph(v,{}n)} returns the graph which is of the domain \\spadtype{GraphImage} which is located in graph field \\spad{n} of the given two-dimensional viewport,{} \\spad{v},{} which is of the domain \\spadtype{TwoDimensionalViewport}.")) (|putGraph| (((|Void|) $ (|GraphImage|) (|PositiveInteger|)) "\\spad{putGraph(v,{}\\spad{gi},{}n)} sets the graph field indicated by \\spad{n},{} of the indicated two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} to be the graph,{} \\spad{\\spad{gi}} of domain \\spadtype{GraphImage}. The contents of viewport,{} \\spad{v},{} will contain \\spad{\\spad{gi}} when the function \\spadfun{makeViewport2D} is called to create the an updated viewport \\spad{v}.")) (|title| (((|Void|) $ (|String|)) "\\spad{title(v,{}s)} changes the title which is shown in the two-dimensional viewport window,{} \\spad{v} of domain \\spadtype{TwoDimensionalViewport}.")) (|graphs| (((|Vector| (|Union| (|GraphImage|) "undefined")) $) "\\spad{graphs(v)} returns a vector,{} or list,{} which is a union of all the graphs,{} of the domain \\spadtype{GraphImage},{} which are allocated for the two-dimensional viewport,{} \\spad{v},{} of domain \\spadtype{TwoDimensionalViewport}. Those graphs which have no data are labeled \"undefined\",{} otherwise their contents are shown.")) (|graphStates| (((|Vector| (|Record| (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)) (|:| |points| (|Integer|)) (|:| |connect| (|Integer|)) (|:| |spline| (|Integer|)) (|:| |axes| (|Integer|)) (|:| |axesColor| (|Palette|)) (|:| |units| (|Integer|)) (|:| |unitsColor| (|Palette|)) (|:| |showing| (|Integer|)))) $) "\\spad{graphStates(v)} returns and shows a listing of a record containing the current state of the characteristics of each of the ten graph records in the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport}.")) (|graphState| (((|Void|) $ (|PositiveInteger|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Palette|) (|Integer|) (|Palette|) (|Integer|)) "\\spad{graphState(v,{}num,{}sX,{}sY,{}dX,{}dY,{}pts,{}lns,{}box,{}axes,{}axesC,{}un,{}unC,{}cP)} sets the state of the characteristics for the graph indicated by \\spad{num} in the given two-dimensional viewport \\spad{v},{} of domain \\spadtype{TwoDimensionalViewport},{} to the values given as parameters. The scaling of the graph in the \\spad{x} and \\spad{y} component directions is set to be \\spad{sX} and \\spad{sY}; the window translation in the \\spad{x} and \\spad{y} component directions is set to be \\spad{dX} and \\spad{dY}; The graph points,{} lines,{} bounding \\spad{box},{} \\spad{axes},{} or units will be shown in the viewport if their given parameters \\spad{pts},{} \\spad{lns},{} \\spad{box},{} \\spad{axes} or \\spad{un} are set to be \\spad{1},{} but will not be shown if they are set to \\spad{0}. The color of the \\spad{axes} and the color of the units are indicated by the palette colors \\spad{axesC} and \\spad{unC} respectively. To display the control panel when the viewport window is displayed,{} set \\spad{cP} to \\spad{1},{} otherwise set it to \\spad{0}.")) (|options| (($ $ (|List| (|DrawOption|))) "\\spad{options(v,{}lopt)} takes the given two-dimensional viewport,{} \\spad{v},{} of the domain \\spadtype{TwoDimensionalViewport} and returns \\spad{v} with it\\spad{'s} draw options modified to be those which are indicated in the given list,{} \\spad{lopt} of domain \\spadtype{DrawOption}.") (((|List| (|DrawOption|)) $) "\\spad{options(v)} takes the given two-dimensional viewport,{} \\spad{v},{} of the domain \\spadtype{TwoDimensionalViewport} and returns a list containing the draw options from the domain \\spadtype{DrawOption} for \\spad{v}.")) (|makeViewport2D| (($ (|GraphImage|) (|List| (|DrawOption|))) "\\spad{makeViewport2D(\\spad{gi},{}lopt)} creates and displays a viewport window of the domain \\spadtype{TwoDimensionalViewport} whose graph field is assigned to be the given graph,{} \\spad{\\spad{gi}},{} of domain \\spadtype{GraphImage},{} and whose options field is set to be the list of options,{} \\spad{lopt} of domain \\spadtype{DrawOption}.") (($ $) "\\spad{makeViewport2D(v)} takes the given two-dimensional viewport,{} \\spad{v},{} of the domain \\spadtype{TwoDimensionalViewport} and displays a viewport window on the screen which contains the contents of \\spad{v}.")) (|viewport2D| (($) "\\spad{viewport2D()} returns an undefined two-dimensional viewport of the domain \\spadtype{TwoDimensionalViewport} whose contents are empty.")) (|getPickedPoints| (((|List| (|Point| (|DoubleFloat|))) $) "\\spad{getPickedPoints(x)} returns a list of small floats for the points the user interactively picked on the viewport for full integration into the system,{} some design issues need to be addressed: \\spadignore{e.g.} how to go through the GraphImage interface,{} how to default to graphs,{} etc."))) 
 NIL 
 NIL 
-(-1246) 
+(-1249) 
 ((|constructor| (NIL "ThreeDimensionalViewport creates viewports to display graphs")) (|key| (((|Integer|) $) "\\spad{key(v)} returns the process ID number of the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|close| (((|Void|) $) "\\spad{close(v)} closes the viewport window of the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport},{} and terminates the corresponding process ID.")) (|write| (((|String|) $ (|String|) (|List| (|String|))) "\\spad{write(v,{}s,{}lf)} takes the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport},{} and creates a directory indicated by \\spad{s},{} which contains the graph data file for \\spad{v} and the optional file types indicated by the list \\spad{lf}.") (((|String|) $ (|String|) (|String|)) "\\spad{write(v,{}s,{}f)} takes the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport},{} and creates a directory indicated by \\spad{s},{} which contains the graph data file for \\spad{v} and an optional file type \\spad{f}.") (((|String|) $ (|String|)) "\\spad{write(v,{}s)} takes the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport},{} and creates a directory indicated by \\spad{s},{} which contains the graph data file for \\spad{v}.")) (|colorDef| (((|Void|) $ (|Color|) (|Color|)) "\\spad{colorDef(v,{}c1,{}c2)} sets the range of colors along the colormap so that the lower end of the colormap is defined by \\spad{c1} and the top end of the colormap is defined by \\spad{c2},{} for the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|reset| (((|Void|) $) "\\spad{reset(v)} sets the current state of the graph characteristics of the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport},{} back to their initial settings.")) (|intensity| (((|Void|) $ (|Float|)) "\\spad{intensity(v,{}i)} sets the intensity of the light source to \\spad{i},{} for the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|lighting| (((|Void|) $ (|Float|) (|Float|) (|Float|)) "\\spad{lighting(v,{}x,{}y,{}z)} sets the position of the light source to the coordinates \\spad{x},{} \\spad{y},{} and \\spad{z} and displays the graph for the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|clipSurface| (((|Void|) $ (|String|)) "\\spad{clipSurface(v,{}s)} displays the graph with the specified clipping region removed if \\spad{s} is \"on\",{} or displays the graph without clipping implemented if \\spad{s} is \"off\",{} for the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|showClipRegion| (((|Void|) $ (|String|)) "\\spad{showClipRegion(v,{}s)} displays the clipping region of the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport},{} if \\spad{s} is \"on\",{} or does not display the region if \\spad{s} is \"off\".")) (|showRegion| (((|Void|) $ (|String|)) "\\spad{showRegion(v,{}s)} displays the bounding box of the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport},{} if \\spad{s} is \"on\",{} or does not display the box if \\spad{s} is \"off\".")) (|hitherPlane| (((|Void|) $ (|Float|)) "\\spad{hitherPlane(v,{}h)} sets the hither clipping plane of the graph to \\spad{h},{} for the viewport \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport}.")) (|eyeDistance| (((|Void|) $ (|Float|)) "\\spad{eyeDistance(v,{}d)} sets the distance of the observer from the center of the graph to \\spad{d},{} for the viewport \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport}.")) (|perspective| (((|Void|) $ (|String|)) "\\spad{perspective(v,{}s)} displays the graph in perspective if \\spad{s} is \"on\",{} or does not display perspective if \\spad{s} is \"off\" for the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|translate| (((|Void|) $ (|Float|) (|Float|)) "\\spad{translate(v,{}dx,{}dy)} sets the horizontal viewport offset to \\spad{dx} and the vertical viewport offset to \\spad{dy},{} for the viewport \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport}.")) (|zoom| (((|Void|) $ (|Float|) (|Float|) (|Float|)) "\\spad{zoom(v,{}sx,{}sy,{}sz)} sets the graph scaling factors for the \\spad{x}-coordinate axis to \\spad{sx},{} the \\spad{y}-coordinate axis to \\spad{sy} and the \\spad{z}-coordinate axis to \\spad{sz} for the viewport \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport}.") (((|Void|) $ (|Float|)) "\\spad{zoom(v,{}s)} sets the graph scaling factor to \\spad{s},{} for the viewport \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport}.")) (|rotate| (((|Void|) $ (|Integer|) (|Integer|)) "\\spad{rotate(v,{}th,{}phi)} rotates the graph to the longitudinal view angle \\spad{th} degrees and the latitudinal view angle \\spad{phi} degrees for the viewport \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport}. The new rotation position is not displayed until the function \\spadfun{makeViewport3D} is executed again for \\spad{v}.") (((|Void|) $ (|Float|) (|Float|)) "\\spad{rotate(v,{}th,{}phi)} rotates the graph to the longitudinal view angle \\spad{th} radians and the latitudinal view angle \\spad{phi} radians for the viewport \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport}.")) (|drawStyle| (((|Void|) $ (|String|)) "\\spad{drawStyle(v,{}s)} displays the surface for the given three-dimensional viewport \\spad{v} which is of domain \\spadtype{ThreeDimensionalViewport} in the style of drawing indicated by \\spad{s}. If \\spad{s} is not a valid drawing style the style is wireframe by default. Possible styles are \\spad{\"shade\"},{} \\spad{\"solid\"} or \\spad{\"opaque\"},{} \\spad{\"smooth\"},{} and \\spad{\"wireMesh\"}.")) (|outlineRender| (((|Void|) $ (|String|)) "\\spad{outlineRender(v,{}s)} displays the polygon outline showing either triangularized surface or a quadrilateral surface outline depending on the whether the \\spadfun{diagonals} function has been set,{} for the given three-dimensional viewport \\spad{v} which is of domain \\spadtype{ThreeDimensionalViewport},{} if \\spad{s} is \"on\",{} or does not display the polygon outline if \\spad{s} is \"off\".")) (|diagonals| (((|Void|) $ (|String|)) "\\spad{diagonals(v,{}s)} displays the diagonals of the polygon outline showing a triangularized surface instead of a quadrilateral surface outline,{} for the given three-dimensional viewport \\spad{v} which is of domain \\spadtype{ThreeDimensionalViewport},{} if \\spad{s} is \"on\",{} or does not display the diagonals if \\spad{s} is \"off\".")) (|axes| (((|Void|) $ (|String|)) "\\spad{axes(v,{}s)} displays the axes of the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport},{} if \\spad{s} is \"on\",{} or does not display the axes if \\spad{s} is \"off\".")) (|controlPanel| (((|Void|) $ (|String|)) "\\spad{controlPanel(v,{}s)} displays the control panel of the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport},{} if \\spad{s} is \"on\",{} or hides the control panel if \\spad{s} is \"off\".")) (|viewpoint| (((|Void|) $ (|Float|) (|Float|) (|Float|)) "\\spad{viewpoint(v,{}rotx,{}roty,{}rotz)} sets the rotation about the \\spad{x}-axis to be \\spad{rotx} radians,{} sets the rotation about the \\spad{y}-axis to be \\spad{roty} radians,{} and sets the rotation about the \\spad{z}-axis to be \\spad{rotz} radians,{} for the viewport \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport} and displays \\spad{v} with the new view position.") (((|Void|) $ (|Float|) (|Float|)) "\\spad{viewpoint(v,{}th,{}phi)} sets the longitudinal view angle to \\spad{th} radians and the latitudinal view angle to \\spad{phi} radians for the viewport \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport}. The new viewpoint position is not displayed until the function \\spadfun{makeViewport3D} is executed again for \\spad{v}.") (((|Void|) $ (|Integer|) (|Integer|) (|Float|) (|Float|) (|Float|)) "\\spad{viewpoint(v,{}th,{}phi,{}s,{}dx,{}dy)} sets the longitudinal view angle to \\spad{th} degrees,{} the latitudinal view angle to \\spad{phi} degrees,{} the scale factor to \\spad{s},{} the horizontal viewport offset to \\spad{dx},{} and the vertical viewport offset to \\spad{dy} for the viewport \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport}. The new viewpoint position is not displayed until the function \\spadfun{makeViewport3D} is executed again for \\spad{v}.") (((|Void|) $ (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) "\\spad{viewpoint(v,{}viewpt)} sets the viewpoint for the viewport. The viewport record consists of the latitudal and longitudal angles,{} the zoom factor,{} the \\spad{x},{}\\spad{y} and \\spad{z} scales,{} and the \\spad{x} and \\spad{y} displacements.") (((|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|))) $) "\\spad{viewpoint(v)} returns the current viewpoint setting of the given viewport,{} \\spad{v}. This function is useful in the situation where the user has created a viewport,{} proceeded to interact with it via the control panel and desires to save the values of the viewpoint as the default settings for another viewport to be created using the system.") (((|Void|) $ (|Float|) (|Float|) (|Float|) (|Float|) (|Float|)) "\\spad{viewpoint(v,{}th,{}phi,{}s,{}dx,{}dy)} sets the longitudinal view angle to \\spad{th} radians,{} the latitudinal view angle to \\spad{phi} radians,{} the scale factor to \\spad{s},{} the horizontal viewport offset to \\spad{dx},{} and the vertical viewport offset to \\spad{dy} for the viewport \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport}. The new viewpoint position is not displayed until the function \\spadfun{makeViewport3D} is executed again for \\spad{v}.")) (|dimensions| (((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|PositiveInteger|) (|PositiveInteger|)) "\\spad{dimensions(v,{}x,{}y,{}width,{}height)} sets the position of the upper left-hand corner of the three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport},{} to the window coordinate \\spad{x},{} \\spad{y},{} and sets the dimensions of the window to that of \\spad{width},{} \\spad{height}. The new dimensions are not displayed until the function \\spadfun{makeViewport3D} is executed again for \\spad{v}.")) (|title| (((|Void|) $ (|String|)) "\\spad{title(v,{}s)} changes the title which is shown in the three-dimensional viewport window,{} \\spad{v} of domain \\spadtype{ThreeDimensionalViewport}.")) (|resize| (((|Void|) $ (|PositiveInteger|) (|PositiveInteger|)) "\\spad{resize(v,{}w,{}h)} displays the three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport},{} with a width of \\spad{w} and a height of \\spad{h},{} keeping the upper left-hand corner position unchanged.")) (|move| (((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{move(v,{}x,{}y)} displays the three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport},{} with the upper left-hand corner of the viewport window at the screen coordinate position \\spad{x},{} \\spad{y}.")) (|options| (($ $ (|List| (|DrawOption|))) "\\spad{options(v,{}lopt)} takes the viewport,{} \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport} and sets the draw options being used by \\spad{v} to those indicated in the list,{} \\spad{lopt},{} which is a list of options from the domain \\spad{DrawOption}.") (((|List| (|DrawOption|)) $) "\\spad{options(v)} takes the viewport,{} \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport} and returns a list of all the draw options from the domain \\spad{DrawOption} which are being used by \\spad{v}.")) (|modifyPointData| (((|Void|) $ (|NonNegativeInteger|) (|Point| (|DoubleFloat|))) "\\spad{modifyPointData(v,{}ind,{}pt)} takes the viewport,{} \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport},{} and places the data point,{} \\spad{pt} into the list of points database of \\spad{v} at the index location given by \\spad{ind}.")) (|subspace| (($ $ (|ThreeSpace| (|DoubleFloat|))) "\\spad{subspace(v,{}sp)} places the contents of the viewport \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport},{} in the subspace \\spad{sp},{} which is of the domain \\spad{ThreeSpace}.") (((|ThreeSpace| (|DoubleFloat|)) $) "\\spad{subspace(v)} returns the contents of the viewport \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport},{} as a subspace of the domain \\spad{ThreeSpace}.")) (|makeViewport3D| (($ (|ThreeSpace| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{makeViewport3D(sp,{}lopt)} takes the given space,{} \\spad{sp} which is of the domain \\spadtype{ThreeSpace} and displays a viewport window on the screen which contains the contents of \\spad{sp},{} and whose draw options are indicated by the list \\spad{lopt},{} which is a list of options from the domain \\spad{DrawOption}.") (($ (|ThreeSpace| (|DoubleFloat|)) (|String|)) "\\spad{makeViewport3D(sp,{}s)} takes the given space,{} \\spad{sp} which is of the domain \\spadtype{ThreeSpace} and displays a viewport window on the screen which contains the contents of \\spad{sp},{} and whose title is given by \\spad{s}.") (($ $) "\\spad{makeViewport3D(v)} takes the given three-dimensional viewport,{} \\spad{v},{} of the domain \\spadtype{ThreeDimensionalViewport} and displays a viewport window on the screen which contains the contents of \\spad{v}.")) (|viewport3D| (($) "\\spad{viewport3D()} returns an undefined three-dimensional viewport of the domain \\spadtype{ThreeDimensionalViewport} whose contents are empty.")) (|viewDeltaYDefault| (((|Float|) (|Float|)) "\\spad{viewDeltaYDefault(dy)} sets the current default vertical offset from the center of the viewport window to be \\spad{dy} and returns \\spad{dy}.") (((|Float|)) "\\spad{viewDeltaYDefault()} returns the current default vertical offset from the center of the viewport window.")) (|viewDeltaXDefault| (((|Float|) (|Float|)) "\\spad{viewDeltaXDefault(dx)} sets the current default horizontal offset from the center of the viewport window to be \\spad{dx} and returns \\spad{dx}.") (((|Float|)) "\\spad{viewDeltaXDefault()} returns the current default horizontal offset from the center of the viewport window.")) (|viewZoomDefault| (((|Float|) (|Float|)) "\\spad{viewZoomDefault(s)} sets the current default graph scaling value to \\spad{s} and returns \\spad{s}.") (((|Float|)) "\\spad{viewZoomDefault()} returns the current default graph scaling value.")) (|viewPhiDefault| (((|Float|) (|Float|)) "\\spad{viewPhiDefault(p)} sets the current default latitudinal view angle in radians to the value \\spad{p} and returns \\spad{p}.") (((|Float|)) "\\spad{viewPhiDefault()} returns the current default latitudinal view angle in radians.")) (|viewThetaDefault| (((|Float|) (|Float|)) "\\spad{viewThetaDefault(t)} sets the current default longitudinal view angle in radians to the value \\spad{t} and returns \\spad{t}.") (((|Float|)) "\\spad{viewThetaDefault()} returns the current default longitudinal view angle in radians."))) 
 NIL 
 NIL 
-(-1247) 
+(-1250) 
 ((|constructor| (NIL "ViewportDefaultsPackage describes default and user definable values for graphics")) (|tubeRadiusDefault| (((|DoubleFloat|)) "\\spad{tubeRadiusDefault()} returns the radius used for a 3D tube plot.") (((|DoubleFloat|) (|Float|)) "\\spad{tubeRadiusDefault(r)} sets the default radius for a 3D tube plot to \\spad{r}.")) (|tubePointsDefault| (((|PositiveInteger|)) "\\spad{tubePointsDefault()} returns the number of points to be used when creating the circle to be used in creating a 3D tube plot.") (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{tubePointsDefault(i)} sets the number of points to use when creating the circle to be used in creating a 3D tube plot to \\spad{i}.")) (|var2StepsDefault| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{var2StepsDefault(i)} sets the number of steps to take when creating a 3D mesh in the direction of the first defined free variable to \\spad{i} (a free variable is considered defined when its range is specified (\\spadignore{e.g.} \\spad{x=0}..10)).") (((|PositiveInteger|)) "\\spad{var2StepsDefault()} is the current setting for the number of steps to take when creating a 3D mesh in the direction of the first defined free variable (a free variable is considered defined when its range is specified (\\spadignore{e.g.} \\spad{x=0}..10)).")) (|var1StepsDefault| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{var1StepsDefault(i)} sets the number of steps to take when creating a 3D mesh in the direction of the first defined free variable to \\spad{i} (a free variable is considered defined when its range is specified (\\spadignore{e.g.} \\spad{x=0}..10)).") (((|PositiveInteger|)) "\\spad{var1StepsDefault()} is the current setting for the number of steps to take when creating a 3D mesh in the direction of the first defined free variable (a free variable is considered defined when its range is specified (\\spadignore{e.g.} \\spad{x=0}..10)).")) (|viewWriteAvailable| (((|List| (|String|))) "\\spad{viewWriteAvailable()} returns a list of available methods for writing,{} such as BITMAP,{} POSTSCRIPT,{} etc.")) (|viewWriteDefault| (((|List| (|String|)) (|List| (|String|))) "\\spad{viewWriteDefault(l)} sets the default list of things to write in a viewport data file to the strings in \\spad{l}; a viewalone file is always genereated.") (((|List| (|String|))) "\\spad{viewWriteDefault()} returns the list of things to write in a viewport data file; a viewalone file is always generated.")) (|viewDefaults| (((|Void|)) "\\spad{viewDefaults()} resets all the default graphics settings.")) (|viewSizeDefault| (((|List| (|PositiveInteger|)) (|List| (|PositiveInteger|))) "\\spad{viewSizeDefault([w,{}h])} sets the default viewport width to \\spad{w} and height to \\spad{h}.") (((|List| (|PositiveInteger|))) "\\spad{viewSizeDefault()} returns the default viewport width and height.")) (|viewPosDefault| (((|List| (|NonNegativeInteger|)) (|List| (|NonNegativeInteger|))) "\\spad{viewPosDefault([x,{}y])} sets the default \\spad{X} and \\spad{Y} position of a viewport window unless overriden explicityly,{} newly created viewports will have th \\spad{X} and \\spad{Y} coordinates \\spad{x},{} \\spad{y}.") (((|List| (|NonNegativeInteger|))) "\\spad{viewPosDefault()} returns the default \\spad{X} and \\spad{Y} position of a viewport window unless overriden explicityly,{} newly created viewports will have this \\spad{X} and \\spad{Y} coordinate.")) (|pointSizeDefault| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{pointSizeDefault(i)} sets the default size of the points in a 2D viewport to \\spad{i}.") (((|PositiveInteger|)) "\\spad{pointSizeDefault()} returns the default size of the points in a 2D viewport.")) (|unitsColorDefault| (((|Palette|) (|Palette|)) "\\spad{unitsColorDefault(p)} sets the default color of the unit ticks in a 2D viewport to the palette \\spad{p}.") (((|Palette|)) "\\spad{unitsColorDefault()} returns the default color of the unit ticks in a 2D viewport.")) (|axesColorDefault| (((|Palette|) (|Palette|)) "\\spad{axesColorDefault(p)} sets the default color of the axes in a 2D viewport to the palette \\spad{p}.") (((|Palette|)) "\\spad{axesColorDefault()} returns the default color of the axes in a 2D viewport.")) (|lineColorDefault| (((|Palette|) (|Palette|)) "\\spad{lineColorDefault(p)} sets the default color of lines connecting points in a 2D viewport to the palette \\spad{p}.") (((|Palette|)) "\\spad{lineColorDefault()} returns the default color of lines connecting points in a 2D viewport.")) (|pointColorDefault| (((|Palette|) (|Palette|)) "\\spad{pointColorDefault(p)} sets the default color of points in a 2D viewport to the palette \\spad{p}.") (((|Palette|)) "\\spad{pointColorDefault()} returns the default color of points in a 2D viewport."))) 
 NIL 
 NIL 
-(-1248) 
+(-1251) 
 ((|constructor| (NIL "ViewportPackage provides functions for creating GraphImages and TwoDimensionalViewports from lists of lists of points.")) (|coerce| (((|TwoDimensionalViewport|) (|GraphImage|)) "\\spad{coerce(\\spad{gi})} converts the indicated \\spadtype{GraphImage},{} \\spad{gi},{} into the \\spadtype{TwoDimensionalViewport} form.")) (|drawCurves| (((|TwoDimensionalViewport|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|DrawOption|))) "\\spad{drawCurves([[p0],{}[p1],{}...,{}[pn]],{}[options])} creates a \\spadtype{TwoDimensionalViewport} from the list of lists of points,{} \\spad{p0} throught \\spad{pn},{} using the options specified in the list \\spad{options}.") (((|TwoDimensionalViewport|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|Palette|) (|Palette|) (|PositiveInteger|) (|List| (|DrawOption|))) "\\spad{drawCurves([[p0],{}[p1],{}...,{}[pn]],{}ptColor,{}lineColor,{}ptSize,{}[options])} creates a \\spadtype{TwoDimensionalViewport} from the list of lists of points,{} \\spad{p0} throught \\spad{pn},{} using the options specified in the list \\spad{options}. The point color is specified by \\spad{ptColor},{} the line color is specified by \\spad{lineColor},{} and the point size is specified by \\spad{ptSize}.")) (|graphCurves| (((|GraphImage|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|DrawOption|))) "\\spad{graphCurves([[p0],{}[p1],{}...,{}[pn]],{}[options])} creates a \\spadtype{GraphImage} from the list of lists of points,{} \\spad{p0} throught \\spad{pn},{} using the options specified in the list \\spad{options}.") (((|GraphImage|) (|List| (|List| (|Point| (|DoubleFloat|))))) "\\spad{graphCurves([[p0],{}[p1],{}...,{}[pn]])} creates a \\spadtype{GraphImage} from the list of lists of points indicated by \\spad{p0} through \\spad{pn}.") (((|GraphImage|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|Palette|) (|Palette|) (|PositiveInteger|) (|List| (|DrawOption|))) "\\spad{graphCurves([[p0],{}[p1],{}...,{}[pn]],{}ptColor,{}lineColor,{}ptSize,{}[options])} creates a \\spadtype{GraphImage} from the list of lists of points,{} \\spad{p0} throught \\spad{pn},{} using the options specified in the list \\spad{options}. The graph point color is specified by \\spad{ptColor},{} the graph line color is specified by \\spad{lineColor},{} and the size of the points is specified by \\spad{ptSize}."))) 
 NIL 
 NIL 
-(-1249) 
+(-1252) 
 ((|constructor| (NIL "This type is used when no value is needed,{} \\spadignore{e.g.} in the \\spad{then} part of a one armed \\spad{if}. All values can be coerced to type Void. Once a value has been coerced to Void,{} it cannot be recovered.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(v)} coerces void object to outputForm.")) (|void| (($) "\\spad{void()} produces a void object."))) 
 NIL 
 NIL 
-(-1250 A S) 
+(-1253 A S) 
 ((|constructor| (NIL "Vector Spaces (not necessarily finite dimensional) over a field.")) (|dimension| (((|CardinalNumber|)) "\\spad{dimension()} returns the dimensionality of the vector space.")) (/ (($ $ |#2|) "\\spad{x/y} divides the vector \\spad{x} by the scalar \\spad{y}."))) 
 NIL 
 NIL 
-(-1251 S) 
+(-1254 S) 
 ((|constructor| (NIL "Vector Spaces (not necessarily finite dimensional) over a field.")) (|dimension| (((|CardinalNumber|)) "\\spad{dimension()} returns the dimensionality of the vector space.")) (/ (($ $ |#1|) "\\spad{x/y} divides the vector \\spad{x} by the scalar \\spad{y}."))) 
-((-4516 . T) (-4515 . T)) 
+((-4530 . T) (-4529 . T)) 
 NIL 
-(-1252 R) 
+(-1255 R) 
 ((|constructor| (NIL "This package implements the Weierstrass preparation theorem \\spad{f} or multivariate power series. weierstrass(\\spad{v},{}\\spad{p}) where \\spad{v} is a variable,{} and \\spad{p} is a TaylorSeries(\\spad{R}) in which the terms of lowest degree \\spad{s} must include c*v**s where \\spad{c} is a constant,{}\\spad{s>0},{} is a list of TaylorSeries coefficients A[\\spad{i}] of the equivalent polynomial A = A[0] + A[1]\\spad{*v} + A[2]\\spad{*v**2} + ... + A[\\spad{s}-1]*v**(\\spad{s}-1) + v**s such that p=A*B ,{} \\spad{B} being a TaylorSeries of minimum degree 0")) (|qqq| (((|Mapping| (|Stream| (|TaylorSeries| |#1|)) (|Stream| (|TaylorSeries| |#1|))) (|NonNegativeInteger|) (|TaylorSeries| |#1|) (|Stream| (|TaylorSeries| |#1|))) "\\spad{qqq(n,{}s,{}st)} is used internally.")) (|weierstrass| (((|List| (|TaylorSeries| |#1|)) (|Symbol|) (|TaylorSeries| |#1|)) "\\spad{weierstrass(v,{}ts)} where \\spad{v} is a variable and \\spad{ts} is \\indented{1}{a TaylorSeries,{} impements the Weierstrass Preparation} \\indented{1}{Theorem. The result is a list of TaylorSeries that} \\indented{1}{are the coefficients of the equivalent series.}")) (|clikeUniv| (((|Mapping| (|SparseUnivariatePolynomial| (|Polynomial| |#1|)) (|Polynomial| |#1|)) (|Symbol|)) "\\spad{clikeUniv(v)} is used internally.")) (|sts2stst| (((|Stream| (|Stream| (|Polynomial| |#1|))) (|Symbol|) (|Stream| (|Polynomial| |#1|))) "\\spad{sts2stst(v,{}s)} is used internally.")) (|cfirst| (((|Mapping| (|Stream| (|Polynomial| |#1|)) (|Stream| (|Polynomial| |#1|))) (|NonNegativeInteger|)) "\\spad{cfirst n} is used internally.")) (|crest| (((|Mapping| (|Stream| (|Polynomial| |#1|)) (|Stream| (|Polynomial| |#1|))) (|NonNegativeInteger|)) "\\spad{crest n} is used internally."))) 
 NIL 
 NIL 
-(-1253 K R UP -1478) 
+(-1256 K R UP -1564) 
 ((|constructor| (NIL "In this package \\spad{K} is a finite field,{} \\spad{R} is a ring of univariate polynomials over \\spad{K},{} and \\spad{F} is a framed algebra over \\spad{R}. The package provides a function to compute the integral closure of \\spad{R} in the quotient field of \\spad{F} as well as a function to compute a \"local integral basis\" at a specific prime.")) (|localIntegralBasis| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) |#2|) "\\spad{integralBasis(p)} returns a record \\spad{[basis,{}basisDen,{}basisInv]} containing information regarding the local integral closure of \\spad{R} at the prime \\spad{p} in the quotient field of \\spad{F},{} where \\spad{F} is a framed algebra with \\spad{R}-module basis \\spad{w1,{}w2,{}...,{}wn}. If \\spad{basis} is the matrix \\spad{(aij,{} i = 1..n,{} j = 1..n)},{} then the \\spad{i}th element of the local integral basis is \\spad{\\spad{vi} = (1/basisDen) * sum(aij * wj,{} j = 1..n)},{} \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly,{} the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{\\spad{wi}} with respect to the basis \\spad{v1,{}...,{}vn}: if \\spad{basisInv} is the matrix \\spad{(bij,{} i = 1..n,{} j = 1..n)},{} then \\spad{\\spad{wi} = sum(bij * vj,{} j = 1..n)}.")) (|integralBasis| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) "\\spad{integralBasis()} returns a record \\spad{[basis,{}basisDen,{}basisInv]} containing information regarding the integral closure of \\spad{R} in the quotient field of \\spad{F},{} where \\spad{F} is a framed algebra with \\spad{R}-module basis \\spad{w1,{}w2,{}...,{}wn}. If \\spad{basis} is the matrix \\spad{(aij,{} i = 1..n,{} j = 1..n)},{} then the \\spad{i}th element of the integral basis is \\spad{\\spad{vi} = (1/basisDen) * sum(aij * wj,{} j = 1..n)},{} \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly,{} the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{\\spad{wi}} with respect to the basis \\spad{v1,{}...,{}vn}: if \\spad{basisInv} is the matrix \\spad{(bij,{} i = 1..n,{} j = 1..n)},{} then \\spad{\\spad{wi} = sum(bij * vj,{} j = 1..n)}."))) 
 NIL 
 NIL 
-(-1254 R |VarSet| E P |vl| |wl| |wtlevel|) 
+(-1257 R |VarSet| E P |vl| |wl| |wtlevel|) 
 ((|constructor| (NIL "This domain represents truncated weighted polynomials over a general (not necessarily commutative) polynomial type. The variables must be specified,{} as must the weights. The representation is sparse in the sense that only non-zero terms are represented.")) (|changeWeightLevel| (((|Void|) (|NonNegativeInteger|)) "\\spad{changeWeightLevel(n)} changes the weight level to the new value given: \\spad{NB:} previously calculated terms are not affected")) (/ (((|Union| $ "failed") $ $) "\\spad{x/y} division (only works if minimum weight of divisor is zero,{} and if \\spad{R} is a Field)")) (|coerce| (($ |#4|) "\\spad{coerce(p)} coerces \\spad{p} into Weighted form,{} applying weights and ignoring terms") ((|#4| $) "convert back into a \\spad{\"P\"},{} ignoring weights"))) 
-((-4516 |has| |#1| (-172)) (-4515 |has| |#1| (-172)) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-365)))) 
-(-1255 R E V P) 
+((-4530 |has| |#1| (-173)) (-4529 |has| |#1| (-173)) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366)))) 
+(-1258 R E V P) 
 ((|constructor| (NIL "A domain constructor of the category \\axiomType{GeneralTriangularSet}. The only requirement for a list of polynomials to be a member of such a domain is the following: no polynomial is constant and two distinct polynomials have distinct main variables. Such a triangular set may not be auto-reduced or consistent. The construct operation does not check the previous requirement. Triangular sets are stored as sorted lists \\spad{w}.\\spad{r}.\\spad{t}. the main variables of their members. Furthermore,{} this domain exports operations dealing with the characteristic set method of Wu Wen Tsun and some optimizations mainly proposed by Dong Ming Wang.")) (|characteristicSerie| (((|List| $) (|List| |#4|)) "\\axiom{characteristicSerie(\\spad{ps})} returns the same as \\axiom{characteristicSerie(\\spad{ps},{}initiallyReduced?,{}initiallyReduce)}.") (((|List| $) (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) "\\axiom{characteristicSerie(\\spad{ps},{}redOp?,{}redOp)} returns a list \\axiom{\\spad{lts}} of triangular sets such that the zero set of \\axiom{\\spad{ps}} is the union of the regular zero sets of the members of \\axiom{\\spad{lts}}. This is made by the Ritt and Wu Wen Tsun process applying the operation \\axiom{characteristicSet(\\spad{ps},{}redOp?,{}redOp)} to compute characteristic sets in Wu Wen Tsun sense.")) (|characteristicSet| (((|Union| $ "failed") (|List| |#4|)) "\\axiom{characteristicSet(\\spad{ps})} returns the same as \\axiom{characteristicSet(\\spad{ps},{}initiallyReduced?,{}initiallyReduce)}.") (((|Union| $ "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) "\\axiom{characteristicSet(\\spad{ps},{}redOp?,{}redOp)} returns a non-contradictory characteristic set of \\axiom{\\spad{ps}} in Wu Wen Tsun sense \\spad{w}.\\spad{r}.\\spad{t} the reduction-test \\axiom{redOp?} (using \\axiom{redOp} to reduce polynomials \\spad{w}.\\spad{r}.\\spad{t} a \\axiom{redOp?} basic set),{} if no non-zero constant polynomial appear during those reductions,{} else \\axiom{\"failed\"} is returned. The operations \\axiom{redOp} and \\axiom{redOp?} must satisfy the following conditions: \\axiom{redOp?(redOp(\\spad{p},{}\\spad{q}),{}\\spad{q})} holds for every polynomials \\axiom{\\spad{p},{}\\spad{q}} and there exists an integer \\axiom{\\spad{e}} and a polynomial \\axiom{\\spad{f}} such that we have \\axiom{init(\\spad{q})^e*p = \\spad{f*q} + redOp(\\spad{p},{}\\spad{q})}.")) (|medialSet| (((|Union| $ "failed") (|List| |#4|)) "\\axiom{medial(\\spad{ps})} returns the same as \\axiom{medialSet(\\spad{ps},{}initiallyReduced?,{}initiallyReduce)}.") (((|Union| $ "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) "\\axiom{medialSet(\\spad{ps},{}redOp?,{}redOp)} returns \\axiom{\\spad{bs}} a basic set (in Wu Wen Tsun sense \\spad{w}.\\spad{r}.\\spad{t} the reduction-test \\axiom{redOp?}) of some set generating the same ideal as \\axiom{\\spad{ps}} (with rank not higher than any basic set of \\axiom{\\spad{ps}}),{} if no non-zero constant polynomials appear during the computatioms,{} else \\axiom{\"failed\"} is returned. In the former case,{} \\axiom{\\spad{bs}} has to be understood as a candidate for being a characteristic set of \\axiom{\\spad{ps}}. In the original algorithm,{} \\axiom{\\spad{bs}} is simply a basic set of \\axiom{\\spad{ps}}."))) 
-((-4522 . T) (-4521 . T)) 
-((|HasCategory| |#4| (LIST (QUOTE -609) (QUOTE (-541)))) (|HasCategory| |#4| (QUOTE (-1090))) (-12 (|HasCategory| |#4| (LIST (QUOTE -303) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1090)))) (|HasCategory| |#1| (QUOTE (-558))) (|HasCategory| |#3| (QUOTE (-370)))) 
-(-1256 R) 
+((-4536 . T) (-4535 . T)) 
+((|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#4| (QUOTE (-1091))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#3| (QUOTE (-371)))) 
+(-1259 R) 
 ((|constructor| (NIL "This is the category of algebras over non-commutative rings. It is used by constructors of non-commutative algebras such as XPolynomialRing and XFreeAlgebra")) (|coerce| (($ |#1|) "\\spad{coerce(r)} equals \\spad{r*1}."))) 
-((-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-1257 |vl| R) 
+(-1260 |vl| R) 
 ((|constructor| (NIL "This type supports distributed multivariate polynomials whose variables do not commute. The coefficient ring may be non-commutative too. However,{} coefficients and variables commute."))) 
-((-4518 . T) (-4514 |has| |#2| (-6 -4514)) (-4516 . T) (-4515 . T)) 
-((|HasCategory| |#2| (QUOTE (-172))) (|HasAttribute| |#2| (QUOTE -4514))) 
-(-1258 R |VarSet| XPOLY) 
+((-4532 . T) (-4528 |has| |#2| (-6 -4528)) (-4530 . T) (-4529 . T)) 
+((|HasCategory| |#2| (QUOTE (-173))) (|HasAttribute| |#2| (QUOTE -4528))) 
+(-1261 R |VarSet| XPOLY) 
 ((|constructor| (NIL "This package provides computations of logarithms and exponentials for polynomials in non-commutative variables.")) (|Hausdorff| ((|#3| |#3| |#3| (|NonNegativeInteger|)) "\\axiom{Hausdorff(a,{}\\spad{b},{}\\spad{n})} returns log(exp(a)*exp(\\spad{b})) truncated at order \\axiom{\\spad{n}}.")) (|log| ((|#3| |#3| (|NonNegativeInteger|)) "\\axiom{log(\\spad{p},{} \\spad{n})} returns the logarithm of \\axiom{\\spad{p}} truncated at order \\axiom{\\spad{n}}.")) (|exp| ((|#3| |#3| (|NonNegativeInteger|)) "\\axiom{exp(\\spad{p},{} \\spad{n})} returns the exponential of \\axiom{\\spad{p}} truncated at order \\axiom{\\spad{n}}."))) 
 NIL 
 NIL 
-(-1259 |vl| R) 
+(-1262 |vl| R) 
 ((|constructor| (NIL "This category specifies opeations for polynomials and formal series with non-commutative variables.")) (|varList| (((|List| |#1|) $) "\\spad{varList(x)} returns the list of variables which appear in \\spad{x}.")) (|map| (($ (|Mapping| |#2| |#2|) $) "\\spad{map(fn,{}x)} returns \\spad{Sum(fn(r_i) w_i)} if \\spad{x} writes \\spad{Sum(r_i w_i)}.")) (|sh| (($ $ (|NonNegativeInteger|)) "\\spad{sh(x,{}n)} returns the shuffle power of \\spad{x} to the \\spad{n}.") (($ $ $) "\\spad{sh(x,{}y)} returns the shuffle-product of \\spad{x} by \\spad{y}. This multiplication is associative and commutative.")) (|quasiRegular| (($ $) "\\spad{quasiRegular(x)} return \\spad{x} minus its constant term.")) (|quasiRegular?| (((|Boolean|) $) "\\spad{quasiRegular?(x)} return \\spad{true} if \\spad{constant(x)} is zero")) (|constant| ((|#2| $) "\\spad{constant(x)} returns the constant term of \\spad{x}.")) (|constant?| (((|Boolean|) $) "\\spad{constant?(x)} returns \\spad{true} if \\spad{x} is constant.")) (|coerce| (($ |#1|) "\\spad{coerce(v)} returns \\spad{v}.")) (|mirror| (($ $) "\\spad{mirror(x)} returns \\spad{Sum(r_i mirror(w_i))} if \\spad{x} writes \\spad{Sum(r_i w_i)}.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(x)} returns \\spad{true} if \\spad{x} is a monomial")) (|monom| (($ (|OrderedFreeMonoid| |#1|) |#2|) "\\spad{monom(w,{}r)} returns the product of the word \\spad{w} by the coefficient \\spad{r}.")) (|rquo| (($ $ $) "\\spad{rquo(x,{}y)} returns the right simplification of \\spad{x} by \\spad{y}.") (($ $ (|OrderedFreeMonoid| |#1|)) "\\spad{rquo(x,{}w)} returns the right simplification of \\spad{x} by \\spad{w}.") (($ $ |#1|) "\\spad{rquo(x,{}v)} returns the right simplification of \\spad{x} by the variable \\spad{v}.")) (|lquo| (($ $ $) "\\spad{lquo(x,{}y)} returns the left simplification of \\spad{x} by \\spad{y}.") (($ $ (|OrderedFreeMonoid| |#1|)) "\\spad{lquo(x,{}w)} returns the left simplification of \\spad{x} by the word \\spad{w}.") (($ $ |#1|) "\\spad{lquo(x,{}v)} returns the left simplification of \\spad{x} by the variable \\spad{v}.")) (|coef| ((|#2| $ $) "\\spad{coef(x,{}y)} returns scalar product of \\spad{x} by \\spad{y},{} the set of words being regarded as an orthogonal basis.") ((|#2| $ (|OrderedFreeMonoid| |#1|)) "\\spad{coef(x,{}w)} returns the coefficient of the word \\spad{w} in \\spad{x}.")) (|mindegTerm| (((|Record| (|:| |k| (|OrderedFreeMonoid| |#1|)) (|:| |c| |#2|)) $) "\\spad{mindegTerm(x)} returns the term whose word is \\spad{mindeg(x)}.")) (|mindeg| (((|OrderedFreeMonoid| |#1|) $) "\\spad{mindeg(x)} returns the little word which appears in \\spad{x}. Error if \\spad{x=0}.")) (* (($ $ |#2|) "\\spad{x * r} returns the product of \\spad{x} by \\spad{r}. Usefull if \\spad{R} is a non-commutative Ring.") (($ |#1| $) "\\spad{v * x} returns the product of a variable \\spad{x} by \\spad{x}."))) 
-((-4514 |has| |#2| (-6 -4514)) (-4516 . T) (-4515 . T) (-4518 . T)) 
+((-4528 |has| |#2| (-6 -4528)) (-4530 . T) (-4529 . T) (-4532 . T)) 
 NIL 
-(-1260 S -1478) 
+(-1263 S -1564) 
 ((|constructor| (NIL "ExtensionField \\spad{F} is the category of fields which extend the field \\spad{F}")) (|Frobenius| (($ $ (|NonNegativeInteger|)) "\\spad{Frobenius(a,{}s)} returns \\spad{a**(q**s)} where \\spad{q} is the size()\\$\\spad{F}.") (($ $) "\\spad{Frobenius(a)} returns \\spad{a ** q} where \\spad{q} is the \\spad{size()\\$F}.")) (|transcendenceDegree| (((|NonNegativeInteger|)) "\\spad{transcendenceDegree()} returns the transcendence degree of the field extension,{} 0 if the extension is algebraic.")) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) "\\spad{extensionDegree()} returns the degree of the field extension if the extension is algebraic,{} and \\spad{infinity} if it is not.")) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) "\\spad{degree(a)} returns the degree of minimal polynomial of an element \\spad{a} if \\spad{a} is algebraic with respect to the ground field \\spad{F},{} and \\spad{infinity} otherwise.")) (|inGroundField?| (((|Boolean|) $) "\\spad{inGroundField?(a)} tests whether an element \\spad{a} is already in the ground field \\spad{F}.")) (|transcendent?| (((|Boolean|) $) "\\spad{transcendent?(a)} tests whether an element \\spad{a} is transcendent with respect to the ground field \\spad{F}.")) (|algebraic?| (((|Boolean|) $) "\\spad{algebraic?(a)} tests whether an element \\spad{a} is algebraic with respect to the ground field \\spad{F}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-370))) (|HasCategory| |#2| (QUOTE (-148))) (|HasCategory| |#2| (QUOTE (-150)))) 
-(-1261 -1478) 
+((|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151)))) 
+(-1264 -1564) 
 ((|constructor| (NIL "ExtensionField \\spad{F} is the category of fields which extend the field \\spad{F}")) (|Frobenius| (($ $ (|NonNegativeInteger|)) "\\spad{Frobenius(a,{}s)} returns \\spad{a**(q**s)} where \\spad{q} is the size()\\$\\spad{F}.") (($ $) "\\spad{Frobenius(a)} returns \\spad{a ** q} where \\spad{q} is the \\spad{size()\\$F}.")) (|transcendenceDegree| (((|NonNegativeInteger|)) "\\spad{transcendenceDegree()} returns the transcendence degree of the field extension,{} 0 if the extension is algebraic.")) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) "\\spad{extensionDegree()} returns the degree of the field extension if the extension is algebraic,{} and \\spad{infinity} if it is not.")) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) "\\spad{degree(a)} returns the degree of minimal polynomial of an element \\spad{a} if \\spad{a} is algebraic with respect to the ground field \\spad{F},{} and \\spad{infinity} otherwise.")) (|inGroundField?| (((|Boolean|) $) "\\spad{inGroundField?(a)} tests whether an element \\spad{a} is already in the ground field \\spad{F}.")) (|transcendent?| (((|Boolean|) $) "\\spad{transcendent?(a)} tests whether an element \\spad{a} is transcendent with respect to the ground field \\spad{F}.")) (|algebraic?| (((|Boolean|) $) "\\spad{algebraic?(a)} tests whether an element \\spad{a} is algebraic with respect to the ground field \\spad{F}."))) 
-((-4513 . T) (-4519 . T) (-4514 . T) ((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
-(-1262 |VarSet| R) 
+(-1265 |VarSet| R) 
 ((|constructor| (NIL "This domain constructor implements polynomials in non-commutative variables written in the Poincare-Birkhoff-Witt basis from the Lyndon basis. These polynomials can be used to compute Baker-Campbell-Hausdorff relations.")) (|log| (($ $ (|NonNegativeInteger|)) "\\axiom{log(\\spad{p},{}\\spad{n})} returns the logarithm of \\axiom{\\spad{p}} (truncated up to order \\axiom{\\spad{n}}).")) (|exp| (($ $ (|NonNegativeInteger|)) "\\axiom{exp(\\spad{p},{}\\spad{n})} returns the exponential of \\axiom{\\spad{p}} (truncated up to order \\axiom{\\spad{n}}).")) (|product| (($ $ $ (|NonNegativeInteger|)) "\\axiom{product(a,{}\\spad{b},{}\\spad{n})} returns \\axiom{a*b} (truncated up to order \\axiom{\\spad{n}}).")) (|LiePolyIfCan| (((|Union| (|LiePolynomial| |#1| |#2|) "failed") $) "\\axiom{LiePolyIfCan(\\spad{p})} return \\axiom{\\spad{p}} if \\axiom{\\spad{p}} is a Lie polynomial.")) (|coerce| (((|XRecursivePolynomial| |#1| |#2|) $) "\\axiom{coerce(\\spad{p})} returns \\axiom{\\spad{p}} as a recursive polynomial.") (((|XDistributedPolynomial| |#1| |#2|) $) "\\axiom{coerce(\\spad{p})} returns \\axiom{\\spad{p}} as a distributed polynomial.") (($ (|LiePolynomial| |#1| |#2|)) "\\axiom{coerce(\\spad{p})} returns \\axiom{\\spad{p}}."))) 
-((-4514 |has| |#2| (-6 -4514)) (-4516 . T) (-4515 . T) (-4518 . T)) 
-((|HasCategory| |#2| (QUOTE (-172))) (|HasCategory| |#2| (LIST (QUOTE -707) (LIST (QUOTE -409) (QUOTE (-568))))) (|HasAttribute| |#2| (QUOTE -4514))) 
-(-1263 |vl| R) 
+((-4528 |has| |#2| (-6 -4528)) (-4530 . T) (-4529 . T) (-4532 . T)) 
+((|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (LIST (QUOTE -708) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasAttribute| |#2| (QUOTE -4528))) 
+(-1266 |vl| R) 
 ((|constructor| (NIL "The Category of polynomial rings with non-commutative variables. The coefficient ring may be non-commutative too. However coefficients commute with vaiables.")) (|trunc| (($ $ (|NonNegativeInteger|)) "\\spad{trunc(p,{}n)} returns the polynomial \\spad{p} truncated at order \\spad{n}.")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(p)} returns the degree of \\spad{p}. \\indented{1}{Note that the degree of a word is its length.}")) (|maxdeg| (((|OrderedFreeMonoid| |#1|) $) "\\spad{maxdeg(p)} returns the greatest leading word in the support of \\spad{p}."))) 
-((-4514 |has| |#2| (-6 -4514)) (-4516 . T) (-4515 . T) (-4518 . T)) 
+((-4528 |has| |#2| (-6 -4528)) (-4530 . T) (-4529 . T) (-4532 . T)) 
 NIL 
-(-1264 R) 
+(-1267 R) 
 ((|constructor| (NIL "This type supports multivariate polynomials whose set of variables is \\spadtype{Symbol}. The representation is recursive. The coefficient ring may be non-commutative and the variables do not commute. However,{} coefficients and variables commute."))) 
-((-4514 |has| |#1| (-6 -4514)) (-4516 . T) (-4515 . T) (-4518 . T)) 
-((|HasCategory| |#1| (QUOTE (-172))) (|HasAttribute| |#1| (QUOTE -4514))) 
-(-1265 R E) 
+((-4528 |has| |#1| (-6 -4528)) (-4530 . T) (-4529 . T) (-4532 . T)) 
+((|HasCategory| |#1| (QUOTE (-173))) (|HasAttribute| |#1| (QUOTE -4528))) 
+(-1268 R E) 
 ((|constructor| (NIL "This domain represents generalized polynomials with coefficients (from a not necessarily commutative ring),{} and words belonging to an arbitrary \\spadtype{OrderedMonoid}. This type is used,{} for instance,{} by the \\spadtype{XDistributedPolynomial} domain constructor where the Monoid is free.")) (|canonicalUnitNormal| ((|attribute|) "canonicalUnitNormal guarantees that the function unitCanonical returns the same representative for all associates of any particular element.")) (/ (($ $ |#1|) "\\spad{p/r} returns \\spad{p*(1/r)}.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(fn,{}x)} returns \\spad{Sum(fn(r_i) w_i)} if \\spad{x} writes \\spad{Sum(r_i w_i)}.")) (|quasiRegular| (($ $) "\\spad{quasiRegular(x)} return \\spad{x} minus its constant term.")) (|quasiRegular?| (((|Boolean|) $) "\\spad{quasiRegular?(x)} return \\spad{true} if \\spad{constant(p)} is zero.")) (|constant| ((|#1| $) "\\spad{constant(p)} return the constant term of \\spad{p}.")) (|constant?| (((|Boolean|) $) "\\spad{constant?(p)} tests whether the polynomial \\spad{p} belongs to the coefficient ring.")) (|coef| ((|#1| $ |#2|) "\\spad{coef(p,{}e)} extracts the coefficient of the monomial \\spad{e}. Returns zero if \\spad{e} is not present.")) (|reductum| (($ $) "\\spad{reductum(p)} returns \\spad{p} minus its leading term. An error is produced if \\spad{p} is zero.")) (|mindeg| ((|#2| $) "\\spad{mindeg(p)} returns the smallest word occurring in the polynomial \\spad{p} with a non-zero coefficient. An error is produced if \\spad{p} is zero.")) (|maxdeg| ((|#2| $) "\\spad{maxdeg(p)} returns the greatest word occurring in the polynomial \\spad{p} with a non-zero coefficient. An error is produced if \\spad{p} is zero.")) (|coerce| (($ |#2|) "\\spad{coerce(e)} returns \\spad{1*e}")) (|#| (((|NonNegativeInteger|) $) "\\spad{\\# p} returns the number of terms in \\spad{p}.")) (* (($ $ |#1|) "\\spad{p*r} returns the product of \\spad{p} by \\spad{r}."))) 
-((-4518 . T) (-4519 |has| |#1| (-6 -4519)) (-4514 |has| |#1| (-6 -4514)) (-4516 . T) (-4515 . T)) 
-((|HasCategory| |#1| (QUOTE (-172))) (|HasCategory| |#1| (QUOTE (-365))) (|HasAttribute| |#1| (QUOTE -4518)) (|HasAttribute| |#1| (QUOTE -4519)) (|HasAttribute| |#1| (QUOTE -4514))) 
-(-1266 |VarSet| R) 
+((-4532 . T) (-4533 |has| |#1| (-6 -4533)) (-4528 |has| |#1| (-6 -4528)) (-4530 . T) (-4529 . T)) 
+((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasAttribute| |#1| (QUOTE -4532)) (|HasAttribute| |#1| (QUOTE -4533)) (|HasAttribute| |#1| (QUOTE -4528))) 
+(-1269 |VarSet| R) 
 ((|constructor| (NIL "This type supports multivariate polynomials whose variables do not commute. The representation is recursive. The coefficient ring may be non-commutative. Coefficients and variables commute.")) (|RemainderList| (((|List| (|Record| (|:| |k| |#1|) (|:| |c| $))) $) "\\spad{RemainderList(p)} returns the regular part of \\spad{p} as a list of terms.")) (|unexpand| (($ (|XDistributedPolynomial| |#1| |#2|)) "\\spad{unexpand(p)} returns \\spad{p} in recursive form.")) (|expand| (((|XDistributedPolynomial| |#1| |#2|) $) "\\spad{expand(p)} returns \\spad{p} in distributed form."))) 
-((-4514 |has| |#2| (-6 -4514)) (-4516 . T) (-4515 . T) (-4518 . T)) 
-((|HasCategory| |#2| (QUOTE (-172))) (|HasAttribute| |#2| (QUOTE -4514))) 
-(-1267 A) 
+((-4528 |has| |#2| (-6 -4528)) (-4530 . T) (-4529 . T) (-4532 . T)) 
+((|HasCategory| |#2| (QUOTE (-173))) (|HasAttribute| |#2| (QUOTE -4528))) 
+(-1270 A) 
 ((|constructor| (NIL "This package implements fixed-point computations on streams.")) (Y (((|List| (|Stream| |#1|)) (|Mapping| (|List| (|Stream| |#1|)) (|List| (|Stream| |#1|))) (|Integer|)) "\\spad{Y(g,{}n)} computes a fixed point of the function \\spad{g},{} where \\spad{g} takes a list of \\spad{n} streams and returns a list of \\spad{n} streams.") (((|Stream| |#1|) (|Mapping| (|Stream| |#1|) (|Stream| |#1|))) "\\spad{Y(f)} computes a fixed point of the function \\spad{f}."))) 
 NIL 
 NIL 
-(-1268 R |ls| |ls2|) 
+(-1271 R |ls| |ls2|) 
 ((|constructor| (NIL "A package for computing symbolically the complex and real roots of zero-dimensional algebraic systems over the integer or rational numbers. Complex roots are given by means of univariate representations of irreducible regular chains. Real roots are given by means of tuples of coordinates lying in the \\spadtype{RealClosure} of the coefficient ring. This constructor takes three arguments. The first one \\spad{R} is the coefficient ring. The second one \\spad{ls} is the list of variables involved in the systems to solve. The third one must be \\spad{concat(ls,{}s)} where \\spad{s} is an additional symbol used for the univariate representations. WARNING. The third argument is not checked. All operations are based on triangular decompositions. The default is to compute these decompositions directly from the input system by using the \\spadtype{RegularChain} domain constructor. The lexTriangular algorithm can also be used for computing these decompositions (see \\spadtype{LexTriangularPackage} package constructor). For that purpose,{} the operations univariateSolve,{} realSolve and positiveSolve admit an optional argument.")) (|convert| (((|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|))) (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#3|)) (|OrderedVariableList| |#3|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|)))) "\\spad{convert(st)} returns the members of \\spad{st}.") (((|SparseUnivariatePolynomial| (|RealClosure| (|Fraction| |#1|))) (|SparseUnivariatePolynomial| |#1|)) "\\spad{convert(u)} converts \\spad{u}.") (((|Polynomial| (|RealClosure| (|Fraction| |#1|))) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|))) "\\spad{convert(q)} converts \\spad{q}.") (((|Polynomial| (|RealClosure| (|Fraction| |#1|))) (|Polynomial| |#1|)) "\\spad{convert(p)} converts \\spad{p}.") (((|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) "\\spad{convert(q)} converts \\spad{q}.")) (|squareFree| (((|List| (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#3|)) (|OrderedVariableList| |#3|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|)))) (|RegularChain| |#1| |#2|)) "\\spad{squareFree(ts)} returns the square-free factorization of \\spad{ts}. Moreover,{} each factor is a Lazard triangular set and the decomposition is a Kalkbrener split of \\spad{ts},{} which is enough here for the matter of solving zero-dimensional algebraic systems. WARNING. \\spad{ts} is not checked to be zero-dimensional.")) (|positiveSolve| (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|))) "\\spad{positiveSolve(lp)} returns the same as \\spad{positiveSolve(lp,{}false,{}false)}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|)) "\\spad{positiveSolve(lp)} returns the same as \\spad{positiveSolve(lp,{}info?,{}false)}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) "\\spad{positiveSolve(lp,{}info?,{}lextri?)} returns the set of the points in the variety associated with \\spad{lp} whose coordinates are (real) strictly positive. Moreover,{} if \\spad{info?} is \\spad{true} then some information is displayed during decomposition into regular chains. If \\spad{lextri?} is \\spad{true} then the lexTriangular algorithm is called from the \\spadtype{LexTriangularPackage} constructor (see zeroSetSplit from LexTriangularPackage(\\spad{lp},{}\\spad{false})). Otherwise,{} the triangular decomposition is computed directly from the input system by using the zeroSetSplit from \\spadtype{RegularChain}. WARNING. For each set of coordinates given by \\spad{positiveSolve(lp,{}info?,{}lextri?)} the ordering of the indeterminates is reversed \\spad{w}.\\spad{r}.\\spad{t}. \\spad{ls}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|RegularChain| |#1| |#2|)) "\\spad{positiveSolve(ts)} returns the points of the regular set of \\spad{ts} with (real) strictly positive coordinates.")) (|realSolve| (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|))) "\\spad{realSolve(lp)} returns the same as \\spad{realSolve(ts,{}false,{}false,{}false)}") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|)) "\\spad{realSolve(ts,{}info?)} returns the same as \\spad{realSolve(ts,{}info?,{}false,{}false)}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) "\\spad{realSolve(ts,{}info?,{}check?)} returns the same as \\spad{realSolve(ts,{}info?,{}check?,{}false)}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|) (|Boolean|)) "\\spad{realSolve(ts,{}info?,{}check?,{}lextri?)} returns the set of the points in the variety associated with \\spad{lp} whose coordinates are all real. Moreover,{} if \\spad{info?} is \\spad{true} then some information is displayed during decomposition into regular chains. If \\spad{check?} is \\spad{true} then the result is checked. If \\spad{lextri?} is \\spad{true} then the lexTriangular algorithm is called from the \\spadtype{LexTriangularPackage} constructor (see zeroSetSplit from LexTriangularPackage(\\spad{lp},{}\\spad{false})). Otherwise,{} the triangular decomposition is computed directly from the input system by using the zeroSetSplit from \\spadtype{RegularChain}. WARNING. For each set of coordinates given by \\spad{realSolve(ts,{}info?,{}check?,{}lextri?)} the ordering of the indeterminates is reversed \\spad{w}.\\spad{r}.\\spad{t}. \\spad{ls}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|RegularChain| |#1| |#2|)) "\\spad{realSolve(ts)} returns the set of the points in the regular zero set of \\spad{ts} whose coordinates are all real. WARNING. For each set of coordinates given by \\spad{realSolve(ts)} the ordering of the indeterminates is reversed \\spad{w}.\\spad{r}.\\spad{t}. \\spad{ls}.")) (|univariateSolve| (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|))) "\\spad{univariateSolve(lp)} returns the same as \\spad{univariateSolve(lp,{}false,{}false,{}false)}.") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|)) "\\spad{univariateSolve(lp,{}info?)} returns the same as \\spad{univariateSolve(lp,{}info?,{}false,{}false)}.") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) "\\spad{univariateSolve(lp,{}info?,{}check?)} returns the same as \\spad{univariateSolve(lp,{}info?,{}check?,{}false)}.") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|) (|Boolean|)) "\\spad{univariateSolve(lp,{}info?,{}check?,{}lextri?)} returns a univariate representation of the variety associated with \\spad{lp}. Moreover,{} if \\spad{info?} is \\spad{true} then some information is displayed during the decomposition into regular chains. If \\spad{check?} is \\spad{true} then the result is checked. See rur from RationalUnivariateRepresentationPackage(\\spad{lp},{}\\spad{true}). If \\spad{lextri?} is \\spad{true} then the lexTriangular algorithm is called from the \\spadtype{LexTriangularPackage} constructor (see zeroSetSplit from LexTriangularPackage(\\spad{lp},{}\\spad{false})). Otherwise,{} the triangular decomposition is computed directly from the input system by using the zeroSetSplit from RegularChain") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|RegularChain| |#1| |#2|)) "\\spad{univariateSolve(ts)} returns a univariate representation of \\spad{ts}. See rur from RationalUnivariateRepresentationPackage(\\spad{lp},{}\\spad{true}).")) (|triangSolve| (((|List| (|RegularChain| |#1| |#2|)) (|List| (|Polynomial| |#1|))) "\\spad{triangSolve(lp)} returns the same as \\spad{triangSolve(lp,{}false,{}false)}") (((|List| (|RegularChain| |#1| |#2|)) (|List| (|Polynomial| |#1|)) (|Boolean|)) "\\spad{triangSolve(lp,{}info?)} returns the same as \\spad{triangSolve(lp,{}false)}") (((|List| (|RegularChain| |#1| |#2|)) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) "\\spad{triangSolve(lp,{}info?,{}lextri?)} decomposes the variety associated with \\axiom{\\spad{lp}} into regular chains. Thus a point belongs to this variety iff it is a regular zero of a regular set in in the output. Note that \\axiom{\\spad{lp}} needs to generate a zero-dimensional ideal. If \\axiom{\\spad{lp}} is not zero-dimensional then the result is only a decomposition of its zero-set in the sense of the closure (\\spad{w}.\\spad{r}.\\spad{t}. Zarisky topology). Moreover,{} if \\spad{info?} is \\spad{true} then some information is displayed during the computations. See zeroSetSplit from RegularTriangularSetCategory(\\spad{lp},{}\\spad{true},{}\\spad{info?}). If \\spad{lextri?} is \\spad{true} then the lexTriangular algorithm is called from the \\spadtype{LexTriangularPackage} constructor (see zeroSetSplit from LexTriangularPackage(\\spad{lp},{}\\spad{false})). Otherwise,{} the triangular decomposition is computed directly from the input system by using the zeroSetSplit from RegularChain"))) 
 NIL 
 NIL 
-(-1269 R) 
+(-1272 R) 
 ((|constructor| (NIL "Test for linear dependence over the integers.")) (|solveLinearlyOverQ| (((|Union| (|Vector| (|Fraction| (|Integer|))) "failed") (|Vector| |#1|) |#1|) "\\spad{solveLinearlyOverQ([v1,{}...,{}vn],{} u)} returns \\spad{[c1,{}...,{}cn]} such that \\spad{c1*v1 + ... + cn*vn = u},{} \"failed\" if no such rational numbers \\spad{ci}\\spad{'s} exist.")) (|linearDependenceOverZ| (((|Union| (|Vector| (|Integer|)) "failed") (|Vector| |#1|)) "\\spad{linearlyDependenceOverZ([v1,{}...,{}vn])} returns \\spad{[c1,{}...,{}cn]} if \\spad{c1*v1 + ... + cn*vn = 0} and not all the \\spad{ci}\\spad{'s} are 0,{} \"failed\" if the \\spad{vi}\\spad{'s} are linearly independent over the integers.")) (|linearlyDependentOverZ?| (((|Boolean|) (|Vector| |#1|)) "\\spad{linearlyDependentOverZ?([v1,{}...,{}vn])} returns \\spad{true} if the \\spad{vi}\\spad{'s} are linearly dependent over the integers,{} \\spad{false} otherwise."))) 
 NIL 
 NIL 
-(-1270 |p|) 
+(-1273 |p|) 
 ((|constructor| (NIL "IntegerMod(\\spad{n}) creates the ring of integers reduced modulo the integer \\spad{n}."))) 
-(((-4523 "*") . T) (-4515 . T) (-4516 . T) (-4518 . T)) 
+(((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
 NIL 
 NIL 
@@ -5032,4 +5044,4 @@ NIL
 NIL 
 NIL 
 NIL 
-((-1275 NIL 2465506 2465511 2465516 2465521) (-3 NIL 2465486 2465491 2465496 2465501) (-2 NIL 2465466 2465471 2465476 2465481) (-1 NIL 2465446 2465451 2465456 2465461) (0 NIL 2465426 2465431 2465436 2465441) (-1270 "bookvol10.3.pamphlet" 2465235 2465248 2465364 2465421) (-1269 "bookvol10.4.pamphlet" 2464279 2464290 2465225 2465230) (-1268 "bookvol10.4.pamphlet" 2454519 2454541 2464269 2464274) (-1267 "bookvol10.4.pamphlet" 2454012 2454023 2454509 2454514) (-1266 "bookvol10.3.pamphlet" 2453247 2453267 2453868 2453937) (-1265 "bookvol10.3.pamphlet" 2450976 2450989 2452965 2453064) (-1264 "bookvol10.3.pamphlet" 2450546 2450557 2450832 2450901) (-1263 "bookvol10.2.pamphlet" 2449863 2449879 2450472 2450541) (-1262 "bookvol10.3.pamphlet" 2448360 2448380 2449643 2449712) (-1261 "bookvol10.2.pamphlet" 2446820 2446835 2448262 2448355) (-1260 NIL 2445260 2445277 2446704 2446709) (-1259 "bookvol10.2.pamphlet" 2442285 2442301 2445186 2445255) (-1258 "bookvol10.4.pamphlet" 2441596 2441622 2442275 2442280) (-1257 "bookvol10.3.pamphlet" 2441225 2441241 2441452 2441521) (-1256 "bookvol10.2.pamphlet" 2440924 2440935 2441181 2441220) (-1255 "bookvol10.3.pamphlet" 2437198 2437215 2440626 2440653) (-1254 "bookvol10.3.pamphlet" 2436212 2436256 2437056 2437123) (-1253 "bookvol10.4.pamphlet" 2433775 2433797 2436202 2436207) (-1252 "bookvol10.4.pamphlet" 2431981 2431992 2433765 2433770) (-1251 "bookvol10.2.pamphlet" 2431654 2431665 2431949 2431976) (-1250 NIL 2431347 2431360 2431644 2431649) (-1249 "bookvol10.3.pamphlet" 2430937 2430946 2431337 2431342) (-1248 "bookvol10.4.pamphlet" 2428559 2428568 2430927 2430932) (-1247 "bookvol10.4.pamphlet" 2423756 2423765 2428549 2428554) (-1246 "bookvol10.3.pamphlet" 2407510 2407519 2423746 2423751) (-1245 "bookvol10.3.pamphlet" 2395247 2395256 2407500 2407505) (-1244 "bookvol10.3.pamphlet" 2394144 2394155 2394395 2394422) (-1243 "bookvol10.4.pamphlet" 2392786 2392799 2394134 2394139) (-1242 "bookvol10.2.pamphlet" 2390674 2390685 2392742 2392781) (-1241 NIL 2388381 2388394 2390451 2390456) (-1240 "bookvol10.3.pamphlet" 2388161 2388176 2388371 2388376) (-1239 "bookvol10.3.pamphlet" 2383345 2383367 2386628 2386725) (-1238 "bookvol10.4.pamphlet" 2383248 2383276 2383335 2383340) (-1237 "bookvol10.4.pamphlet" 2382556 2382580 2383204 2383209) (-1236 "bookvol10.4.pamphlet" 2380708 2380728 2382546 2382551) (-1235 "bookvol10.3.pamphlet" 2375497 2375525 2379175 2379272) (-1234 "bookvol10.2.pamphlet" 2372948 2372964 2375395 2375492) (-1233 NIL 2370043 2370061 2372492 2372497) (-1232 "bookvol10.4.pamphlet" 2369666 2369701 2370033 2370038) (-1231 "bookvol10.2.pamphlet" 2364264 2364275 2369646 2369661) (-1230 NIL 2358836 2358849 2364220 2364225) (-1229 "bookvol10.3.pamphlet" 2356479 2356505 2357917 2358050) (-1228 "bookvol10.3.pamphlet" 2353614 2353642 2354611 2354760) (-1227 "bookvol10.3.pamphlet" 2351371 2351391 2351746 2351895) (-1226 "bookvol10.2.pamphlet" 2349829 2349849 2351217 2351366) (-1225 NIL 2348429 2348451 2349819 2349824) (-1224 "bookvol10.2.pamphlet" 2347010 2347026 2348275 2348424) (-1223 "bookvol10.4.pamphlet" 2346551 2346604 2347000 2347005) (-1222 "bookvol10.4.pamphlet" 2344963 2344977 2346541 2346546) (-1221 "bookvol10.2.pamphlet" 2342543 2342567 2344861 2344958) (-1220 NIL 2339829 2339855 2342149 2342154) (-1219 "bookvol10.2.pamphlet" 2334803 2334814 2339671 2339824) (-1218 NIL 2329669 2329682 2334539 2334544) (-1217 "bookvol10.4.pamphlet" 2329134 2329153 2329659 2329664) (-1216 "bookvol10.3.pamphlet" 2326085 2326100 2326684 2326837) (-1215 "bookvol10.4.pamphlet" 2324975 2324988 2326075 2326080) (-1214 "bookvol10.4.pamphlet" 2324538 2324552 2324965 2324970) (-1213 "bookvol10.4.pamphlet" 2322775 2322789 2324528 2324533) (-1212 "bookvol10.4.pamphlet" 2321982 2321998 2322765 2322770) (-1211 "bookvol10.4.pamphlet" 2321344 2321365 2321972 2321977) (-1210 "bookvol10.3.pamphlet" 2320697 2320708 2321263 2321268) (-1209 "bookvol10.4.pamphlet" 2320190 2320203 2320653 2320658) (-1208 "bookvol10.4.pamphlet" 2319291 2319303 2320180 2320185) (-1207 "bookvol10.3.pamphlet" 2309951 2309979 2310936 2311365) (-1206 "bookvol10.3.pamphlet" 2303988 2304008 2304360 2304509) (-1205 "bookvol10.2.pamphlet" 2301581 2301601 2303808 2303983) (-1204 NIL 2299308 2299330 2301537 2301542) (-1203 "bookvol10.2.pamphlet" 2297524 2297540 2299154 2299303) (-1202 "bookvol10.4.pamphlet" 2297066 2297119 2297514 2297519) (-1201 "bookvol10.3.pamphlet" 2295459 2295475 2295533 2295630) (-1200 "bookvol10.4.pamphlet" 2295374 2295390 2295449 2295454) (-1199 "bookvol10.2.pamphlet" 2294439 2294448 2295300 2295369) (-1198 NIL 2293566 2293577 2294429 2294434) (-1197 "bookvol10.4.pamphlet" 2292413 2292422 2293556 2293561) (-1196 "bookvol10.4.pamphlet" 2289899 2289910 2292369 2292374) (-1195 "bookvol10.2.pamphlet" 2289821 2289830 2289879 2289894) (-1194 "bookvol10.4.pamphlet" 2288471 2288486 2289811 2289816) (-1193 "bookvol10.3.pamphlet" 2287374 2287385 2288426 2288431) (-1192 "bookvol10.4.pamphlet" 2284208 2284217 2287364 2287369) (-1191 "bookvol10.3.pamphlet" 2282864 2282881 2284198 2284203) (-1190 "bookvol10.3.pamphlet" 2281453 2281469 2282429 2282526) (-1189 "bookvol10.2.pamphlet" 2268763 2268780 2281409 2281448) (-1188 NIL 2256071 2256090 2268719 2268724) (-1187 "bookvol10.4.pamphlet" 2250437 2250454 2255777 2255782) (-1186 "bookvol10.4.pamphlet" 2249396 2249421 2250427 2250432) (-1185 "bookvol10.4.pamphlet" 2247913 2247930 2249386 2249391) (-1184 "bookvol10.2.pamphlet" 2247425 2247434 2247903 2247908) (-1183 NIL 2246935 2246946 2247415 2247420) (-1182 "bookvol10.3.pamphlet" 2244984 2244995 2246765 2246792) (-1181 "bookvol10.2.pamphlet" 2244815 2244824 2244974 2244979) (-1180 NIL 2244644 2244655 2244805 2244810) (-1179 "bookvol10.4.pamphlet" 2244318 2244327 2244634 2244639) (-1178 "bookvol10.4.pamphlet" 2243981 2243992 2244308 2244313) (-1177 "bookvol10.3.pamphlet" 2242538 2242547 2243971 2243976) (-1176 "bookvol10.3.pamphlet" 2239555 2239564 2242528 2242533) (-1175 "bookvol10.4.pamphlet" 2239111 2239122 2239545 2239550) (-1174 "bookvol10.4.pamphlet" 2238666 2238675 2239101 2239106) (-1173 "bookvol10.4.pamphlet" 2236759 2236782 2238656 2238661) (-1172 "bookvol10.2.pamphlet" 2235606 2235629 2236727 2236754) (-1171 NIL 2234473 2234498 2235596 2235601) (-1170 "bookvol10.4.pamphlet" 2233849 2233860 2234463 2234468) (-1169 "bookvol10.3.pamphlet" 2232822 2232845 2233092 2233119) (-1168 "bookvol10.3.pamphlet" 2232318 2232329 2232812 2232817) (-1167 "bookvol10.4.pamphlet" 2229170 2229181 2232308 2232313) (-1166 "bookvol10.4.pamphlet" 2225763 2225774 2229160 2229165) (-1165 "bookvol10.3.pamphlet" 2223816 2223825 2225753 2225758) (-1164 "bookvol10.3.pamphlet" 2219801 2219810 2223806 2223811) (-1163 "bookvol10.3.pamphlet" 2218808 2218819 2218890 2219017) (-1162 "bookvol10.4.pamphlet" 2218283 2218294 2218798 2218803) (-1161 "bookvol10.3.pamphlet" 2215611 2215620 2218273 2218278) (-1160 "bookvol10.3.pamphlet" 2212367 2212376 2215601 2215606) (-1159 "bookvol10.3.pamphlet" 2209374 2209402 2210834 2210931) (-1158 "bookvol10.3.pamphlet" 2206496 2206524 2207506 2207655) (-1157 "bookvol10.3.pamphlet" 2203179 2203190 2204046 2204199) (-1156 "bookvol10.4.pamphlet" 2202299 2202317 2203169 2203174) (-1155 "bookvol10.3.pamphlet" 2199743 2199754 2199812 2199965) (-1154 "bookvol10.4.pamphlet" 2199133 2199146 2199733 2199738) (-1153 "bookvol10.4.pamphlet" 2197611 2197622 2199123 2199128) (-1152 "bookvol10.4.pamphlet" 2197237 2197254 2197601 2197606) (-1151 "bookvol10.3.pamphlet" 2187884 2187912 2188882 2189311) (-1150 "bookvol10.3.pamphlet" 2187564 2187579 2187874 2187879) (-1149 "bookvol10.3.pamphlet" 2179535 2179550 2187554 2187559) (-1148 "bookvol10.4.pamphlet" 2178707 2178721 2179491 2179496) (-1147 "bookvol10.4.pamphlet" 2174806 2174822 2178697 2178702) (-1146 "bookvol10.4.pamphlet" 2171274 2171290 2174796 2174801) (-1145 "bookvol10.4.pamphlet" 2163674 2163685 2171155 2171160) (-1144 "bookvol10.3.pamphlet" 2162753 2162770 2162902 2162929) (-1143 "bookvol10.3.pamphlet" 2162136 2162145 2162234 2162261) (-1142 "bookvol10.2.pamphlet" 2161912 2161921 2162092 2162131) (-1141 "bookvol10.3.pamphlet" 2156860 2156871 2161660 2161675) (-1140 "bookvol10.4.pamphlet" 2156071 2156086 2156850 2156855) (-1139 "bookvol10.4.pamphlet" 2154280 2154293 2156061 2156066) (-1138 "bookvol10.4.pamphlet" 2153704 2153715 2154270 2154275) (-1137 "bookvol10.4.pamphlet" 2152610 2152626 2153694 2153699) (-1136 "bookvol10.2.pamphlet" 2151816 2151825 2152600 2152605) (-1135 "bookvol10.3.pamphlet" 2150904 2150932 2151071 2151086) (-1134 "bookvol10.2.pamphlet" 2149961 2149972 2150884 2150899) (-1133 NIL 2149026 2149039 2149951 2149956) (-1132 "bookvol10.3.pamphlet" 2144651 2144662 2148856 2148883) (-1131 "bookvol10.3.pamphlet" 2142694 2142711 2144353 2144380) (-1130 "bookvol10.4.pamphlet" 2141421 2141441 2142684 2142689) (-1129 "bookvol10.2.pamphlet" 2136464 2136473 2141377 2141416) (-1128 NIL 2131539 2131550 2136454 2136459) (-1127 "bookvol10.3.pamphlet" 2129219 2129237 2130127 2130214) (-1126 "bookvol10.3.pamphlet" 2124086 2124099 2128970 2128997) (-1125 "bookvol10.3.pamphlet" 2120626 2120639 2124076 2124081) (-1124 "bookvol10.2.pamphlet" 2119403 2119412 2120616 2120621) (-1123 "bookvol10.4.pamphlet" 2117968 2117977 2119393 2119398) (-1122 "bookvol10.2.pamphlet" 2101795 2101806 2117958 2117963) (-1121 "bookvol10.3.pamphlet" 2101571 2101582 2101785 2101790) (-1120 "bookvol10.4.pamphlet" 2101116 2101129 2101527 2101532) (-1119 "bookvol10.4.pamphlet" 2098709 2098720 2101106 2101111) (-1118 "bookvol10.4.pamphlet" 2097274 2097285 2098699 2098704) (-1117 "bookvol10.4.pamphlet" 2090701 2090712 2097264 2097269) (-1116 "bookvol10.4.pamphlet" 2089121 2089139 2090691 2090696) (-1115 "bookvol10.2.pamphlet" 2088888 2088905 2089077 2089116) (-1114 "bookvol10.3.pamphlet" 2087004 2087030 2088453 2088550) (-1113 "bookvol10.3.pamphlet" 2084458 2084478 2084833 2084960) (-1112 "bookvol10.4.pamphlet" 2083301 2083326 2084448 2084453) (-1111 "bookvol10.2.pamphlet" 2081399 2081429 2083233 2083296) (-1110 NIL 2079441 2079473 2081277 2081282) (-1109 "bookvol10.2.pamphlet" 2077879 2077890 2079397 2079436) (-1108 "bookvol10.3.pamphlet" 2076244 2076253 2077745 2077874) (-1107 "bookvol10.4.pamphlet" 2075987 2075996 2076234 2076239) (-1106 "bookvol10.4.pamphlet" 2075095 2075106 2075977 2075982) (-1105 "bookvol10.4.pamphlet" 2074364 2074381 2075085 2075090) (-1104 "bookvol10.4.pamphlet" 2072234 2072249 2074320 2074325) (-1103 "bookvol10.3.pamphlet" 2063947 2063974 2064449 2064580) (-1102 "bookvol10.2.pamphlet" 2063182 2063191 2063937 2063942) (-1101 NIL 2062415 2062426 2063172 2063177) (-1100 "bookvol10.4.pamphlet" 2055441 2055450 2062405 2062410) (-1099 "bookvol10.2.pamphlet" 2054920 2054937 2055397 2055436) (-1098 "bookvol10.4.pamphlet" 2054619 2054639 2054910 2054915) (-1097 "bookvol10.4.pamphlet" 2049944 2049964 2054609 2054614) (-1096 "bookvol10.3.pamphlet" 2049379 2049393 2049934 2049939) (-1095 "bookvol10.3.pamphlet" 2049222 2049262 2049369 2049374) (-1094 "bookvol10.3.pamphlet" 2049114 2049123 2049212 2049217) (-1093 "bookvol10.2.pamphlet" 2046203 2046243 2049104 2049109) (-1092 "bookvol10.3.pamphlet" 2044513 2044524 2045680 2045719) (-1091 "bookvol10.3.pamphlet" 2042931 2042948 2044503 2044508) (-1090 "bookvol10.2.pamphlet" 2042413 2042422 2042921 2042926) (-1089 NIL 2041893 2041904 2042403 2042408) (-1088 "bookvol10.2.pamphlet" 2041782 2041791 2041883 2041888) (-1087 "bookvol10.2.pamphlet" 2038270 2038281 2041750 2041777) (-1086 NIL 2034778 2034791 2038260 2038265) (-1085 "bookvol10.2.pamphlet" 2033890 2033903 2034758 2034773) (-1084 "bookvol10.3.pamphlet" 2033703 2033714 2033809 2033814) (-1083 "bookvol10.2.pamphlet" 2032509 2032520 2033683 2033698) (-1082 "bookvol10.3.pamphlet" 2031581 2031592 2032464 2032469) (-1081 "bookvol10.4.pamphlet" 2031277 2031290 2031571 2031576) (-1080 "bookvol10.4.pamphlet" 2030702 2030715 2031233 2031238) (-1079 "bookvol10.3.pamphlet" 2029978 2029989 2030692 2030697) (-1078 "bookvol10.3.pamphlet" 2027380 2027391 2027659 2027786) (-1077 "bookvol10.4.pamphlet" 2025459 2025470 2027370 2027375) (-1076 "bookvol10.4.pamphlet" 2024340 2024351 2025449 2025454) (-1075 "bookvol10.3.pamphlet" 2024212 2024221 2024330 2024335) (-1074 "bookvol10.4.pamphlet" 2023925 2023945 2024202 2024207) (-1073 "bookvol10.3.pamphlet" 2022046 2022062 2022711 2022846) (-1072 "bookvol10.4.pamphlet" 2021747 2021767 2022036 2022041) (-1071 "bookvol10.4.pamphlet" 2019433 2019449 2021737 2021742) (-1070 "bookvol10.3.pamphlet" 2018835 2018859 2019423 2019428) (-1069 "bookvol10.3.pamphlet" 2017179 2017203 2018825 2018830) (-1068 "bookvol10.3.pamphlet" 2017031 2017044 2017169 2017174) (-1067 "bookvol10.4.pamphlet" 2014099 2014119 2017021 2017026) (-1066 "bookvol10.2.pamphlet" 2004559 2004576 2014055 2014094) (-1065 NIL 1995051 1995070 2004549 2004554) (-1064 "bookvol10.4.pamphlet" 1993685 1993705 1995041 1995046) (-1063 "bookvol10.2.pamphlet" 1992069 1992099 1993675 1993680) (-1062 NIL 1990451 1990483 1992059 1992064) (-1061 "bookvol10.2.pamphlet" 1969767 1969782 1990319 1990446) (-1060 NIL 1948797 1948814 1969351 1969356) (-1059 "bookvol10.3.pamphlet" 1945242 1945251 1948026 1948053) (-1058 "bookvol10.3.pamphlet" 1944489 1944498 1945108 1945237) (-1057 NIL 1943569 1943601 1944479 1944484) (-1056 "bookvol10.2.pamphlet" 1942472 1942481 1943471 1943564) (-1055 NIL 1941461 1941472 1942462 1942467) (-1054 "bookvol10.2.pamphlet" 1940983 1940992 1941451 1941456) (-1053 "bookvol10.2.pamphlet" 1940460 1940471 1940973 1940978) (-1052 "bookvol10.4.pamphlet" 1939868 1939925 1940450 1940455) (-1051 "bookvol10.3.pamphlet" 1938603 1938622 1939091 1939130) (-1050 "bookvol10.2.pamphlet" 1934120 1934151 1938547 1938598) (-1049 NIL 1929539 1929572 1933968 1933973) (-1048 "bookvol10.4.pamphlet" 1929427 1929447 1929529 1929534) (-1047 "bookvol10.2.pamphlet" 1928780 1928789 1929407 1929422) (-1046 NIL 1928141 1928152 1928770 1928775) (-1045 "bookvol10.4.pamphlet" 1927035 1927044 1928131 1928136) (-1044 "bookvol10.3.pamphlet" 1925700 1925716 1926595 1926622) (-1043 "bookvol10.4.pamphlet" 1923742 1923753 1925690 1925695) (-1042 "bookvol10.4.pamphlet" 1921356 1921367 1923732 1923737) (-1041 "bookvol10.4.pamphlet" 1920818 1920829 1921346 1921351) (-1040 "bookvol10.4.pamphlet" 1920553 1920565 1920808 1920813) (-1039 "bookvol10.4.pamphlet" 1919541 1919550 1920543 1920548) (-1038 "bookvol10.4.pamphlet" 1918958 1918971 1919531 1919536) (-1037 "bookvol10.2.pamphlet" 1918307 1918318 1918948 1918953) (-1036 NIL 1917654 1917667 1918297 1918302) (-1035 "bookvol10.3.pamphlet" 1916296 1916305 1916883 1916910) (-1034 "bookvol10.3.pamphlet" 1915643 1915690 1916234 1916291) (-1033 "bookvol10.4.pamphlet" 1914967 1914978 1915633 1915638) (-1032 "bookvol10.4.pamphlet" 1914696 1914707 1914957 1914962) (-1031 "bookvol10.4.pamphlet" 1912248 1912257 1914686 1914691) (-1030 "bookvol10.4.pamphlet" 1911953 1911964 1912238 1912243) (-1029 "bookvol10.4.pamphlet" 1901395 1901406 1911795 1911800) (-1028 "bookvol10.4.pamphlet" 1895371 1895382 1901345 1901350) (-1027 "bookvol10.3.pamphlet" 1893462 1893479 1895073 1895100) (-1026 "bookvol10.3.pamphlet" 1892806 1892817 1893417 1893422) (-1025 "bookvol10.4.pamphlet" 1891982 1891999 1892796 1892801) (-1024 "bookvol10.4.pamphlet" 1890279 1890296 1891937 1891942) (-1023 "bookvol10.3.pamphlet" 1889062 1889082 1889766 1889859) (-1022 "bookvol10.4.pamphlet" 1887517 1887526 1889052 1889057) (-1021 "bookvol10.2.pamphlet" 1887389 1887398 1887507 1887512) (-1020 "bookvol10.4.pamphlet" 1884686 1884701 1887379 1887384) (-1019 "bookvol10.4.pamphlet" 1881529 1881544 1884676 1884681) (-1018 "bookvol10.4.pamphlet" 1881274 1881299 1881519 1881524) (-1017 "bookvol10.4.pamphlet" 1880837 1880848 1881264 1881269) (-1016 "bookvol10.4.pamphlet" 1879737 1879755 1880827 1880832) (-1015 "bookvol10.4.pamphlet" 1877942 1877960 1879727 1879732) (-1014 "bookvol10.4.pamphlet" 1877167 1877184 1877932 1877937) (-1013 "bookvol10.4.pamphlet" 1876317 1876334 1877157 1877162) (-1012 "bookvol10.2.pamphlet" 1873500 1873509 1876219 1876312) (-1011 NIL 1870769 1870780 1873490 1873495) (-1010 "bookvol10.2.pamphlet" 1868678 1868689 1870749 1870764) (-1009 NIL 1866524 1866537 1868597 1868602) (-1008 "bookvol10.4.pamphlet" 1865941 1865952 1866514 1866519) (-1007 "bookvol10.4.pamphlet" 1865125 1865137 1865931 1865936) (-1006 "bookvol10.4.pamphlet" 1864482 1864491 1865115 1865120) (-1005 "bookvol10.4.pamphlet" 1864236 1864245 1864472 1864477) (-1004 "bookvol10.3.pamphlet" 1861021 1861035 1862703 1862796) (-1003 "bookvol10.3.pamphlet" 1859434 1859471 1859553 1859709) (-1002 "bookvol10.2.pamphlet" 1859027 1859036 1859424 1859429) (-1001 NIL 1858618 1858629 1859017 1859022) (-1000 "bookvol10.3.pamphlet" 1854007 1854018 1858448 1858475) (-999 "bookvol10.3.pamphlet" 1852634 1852644 1852931 1852996) (-998 "bookvol10.4.pamphlet" 1851957 1851975 1852624 1852629) (-997 "bookvol10.2.pamphlet" 1850118 1850128 1851887 1851952) (-996 NIL 1848030 1848042 1849801 1849806) (-995 "bookvol10.2.pamphlet" 1846836 1846846 1847986 1848025) (-994 "bookvol10.3.pamphlet" 1846299 1846313 1846826 1846831) (-993 "bookvol10.2.pamphlet" 1844990 1845000 1846189 1846294) (-992 NIL 1843284 1843296 1844485 1844490) (-991 "bookvol10.4.pamphlet" 1842975 1842991 1843274 1843279) (-990 "bookvol10.3.pamphlet" 1842532 1842540 1842965 1842970) (-989 "bookvol10.4.pamphlet" 1837934 1837953 1842522 1842527) (-988 "bookvol10.3.pamphlet" 1834009 1834041 1837848 1837853) (-987 "bookvol10.4.pamphlet" 1832005 1832023 1833999 1834004) (-986 "bookvol10.4.pamphlet" 1829315 1829336 1831995 1832000) (-985 "bookvol10.4.pamphlet" 1828642 1828661 1829305 1829310) (-984 "bookvol10.2.pamphlet" 1824768 1824778 1828632 1828637) (-983 "bookvol10.4.pamphlet" 1821852 1821862 1824758 1824763) (-982 "bookvol10.4.pamphlet" 1821669 1821683 1821842 1821847) (-981 "bookvol10.2.pamphlet" 1820751 1820761 1821625 1821664) (-980 "bookvol10.4.pamphlet" 1820058 1820082 1820741 1820746) (-979 "bookvol10.4.pamphlet" 1818916 1818926 1820048 1820053) (-978 "bookvol10.4.pamphlet" 1804317 1804333 1818794 1818799) (-977 "bookvol10.2.pamphlet" 1798210 1798233 1804285 1804312) (-976 NIL 1792089 1792114 1798166 1798171) (-975 "bookvol10.2.pamphlet" 1791072 1791080 1792079 1792084) (-974 "bookvol10.2.pamphlet" 1789835 1789864 1790970 1791067) (-973 NIL 1788688 1788719 1789825 1789830) (-972 "bookvol10.3.pamphlet" 1787503 1787511 1788678 1788683) (-971 "bookvol10.2.pamphlet" 1784836 1784846 1787493 1787498) (-970 "bookvol10.4.pamphlet" 1774981 1774998 1784792 1784797) (-969 "bookvol10.2.pamphlet" 1774400 1774410 1774937 1774976) (-968 "bookvol10.3.pamphlet" 1774282 1774298 1774390 1774395) (-967 "bookvol10.3.pamphlet" 1774170 1774180 1774272 1774277) (-966 "bookvol10.3.pamphlet" 1774058 1774068 1774160 1774165) (-965 "bookvol10.3.pamphlet" 1771459 1771471 1772024 1772079) (-964 "bookvol10.3.pamphlet" 1769845 1769857 1770550 1770677) (-963 "bookvol10.4.pamphlet" 1769049 1769088 1769835 1769840) (-962 "bookvol10.4.pamphlet" 1768801 1768809 1769039 1769044) (-961 "bookvol10.4.pamphlet" 1767044 1767054 1768791 1768796) (-960 "bookvol10.4.pamphlet" 1765017 1765031 1767034 1767039) (-959 "bookvol10.2.pamphlet" 1764640 1764648 1765007 1765012) (-958 "bookvol10.3.pamphlet" 1763883 1763893 1764046 1764073) (-957 "bookvol10.4.pamphlet" 1761775 1761787 1763873 1763878) (-956 "bookvol10.4.pamphlet" 1761147 1761159 1761765 1761770) (-955 "bookvol10.2.pamphlet" 1760284 1760292 1761137 1761142) (-954 "bookvol10.4.pamphlet" 1759056 1759078 1760240 1760245) (-953 "bookvol10.3.pamphlet" 1756368 1756378 1756870 1756997) (-952 "bookvol10.4.pamphlet" 1755629 1755652 1756358 1756363) (-951 "bookvol10.4.pamphlet" 1753693 1753715 1755619 1755624) (-950 "bookvol10.2.pamphlet" 1747095 1747116 1753561 1753688) (-949 NIL 1739799 1739822 1746267 1746272) (-948 "bookvol10.4.pamphlet" 1739247 1739261 1739789 1739794) (-947 "bookvol10.4.pamphlet" 1738857 1738869 1739237 1739242) (-946 "bookvol10.4.pamphlet" 1737798 1737827 1738813 1738818) (-945 "bookvol10.4.pamphlet" 1736546 1736561 1737788 1737793) (-944 "bookvol10.3.pamphlet" 1735607 1735617 1735694 1735721) (-943 "bookvol10.4.pamphlet" 1732247 1732255 1735597 1735602) (-942 "bookvol10.4.pamphlet" 1731004 1731018 1732237 1732242) (-941 "bookvol10.4.pamphlet" 1730549 1730559 1730994 1730999) (-940 "bookvol10.4.pamphlet" 1730136 1730150 1730539 1730544) (-939 "bookvol10.4.pamphlet" 1729662 1729676 1730126 1730131) (-938 "bookvol10.4.pamphlet" 1729163 1729185 1729652 1729657) (-937 "bookvol10.4.pamphlet" 1728233 1728251 1729095 1729100) (-936 "bookvol10.4.pamphlet" 1727814 1727828 1728223 1728228) (-935 "bookvol10.4.pamphlet" 1727381 1727393 1727804 1727809) (-934 "bookvol10.4.pamphlet" 1726957 1726967 1727371 1727376) (-933 "bookvol10.4.pamphlet" 1726530 1726548 1726947 1726952) (-932 "bookvol10.4.pamphlet" 1725812 1725826 1726520 1726525) (-931 "bookvol10.4.pamphlet" 1724881 1724889 1725802 1725807) (-930 "bookvol10.4.pamphlet" 1723907 1723923 1724871 1724876) (-929 "bookvol10.4.pamphlet" 1722805 1722843 1723897 1723902) (-928 "bookvol10.4.pamphlet" 1722585 1722593 1722795 1722800) (-927 "bookvol10.3.pamphlet" 1717257 1717265 1722575 1722580) (-926 "bookvol10.3.pamphlet" 1713659 1713667 1717247 1717252) (-925 "bookvol10.4.pamphlet" 1712792 1712802 1713649 1713654) (-924 "bookvol10.4.pamphlet" 1698749 1698776 1712782 1712787) (-923 "bookvol10.3.pamphlet" 1698656 1698670 1698739 1698744) (-922 "bookvol10.3.pamphlet" 1698567 1698577 1698646 1698651) (-921 "bookvol10.3.pamphlet" 1698478 1698488 1698557 1698562) (-920 "bookvol10.2.pamphlet" 1697506 1697520 1698468 1698473) (-919 "bookvol10.4.pamphlet" 1697122 1697141 1697496 1697501) (-918 "bookvol10.4.pamphlet" 1696904 1696920 1697112 1697117) (-917 "bookvol10.3.pamphlet" 1696526 1696534 1696878 1696899) (-916 "bookvol10.2.pamphlet" 1695482 1695490 1696452 1696521) (-915 "bookvol10.4.pamphlet" 1695211 1695221 1695472 1695477) (-914 "bookvol10.4.pamphlet" 1693823 1693837 1695201 1695206) (-913 "bookvol10.4.pamphlet" 1685189 1685197 1693813 1693818) (-912 "bookvol10.4.pamphlet" 1683739 1683756 1685179 1685184) (-911 "bookvol10.4.pamphlet" 1682754 1682764 1683729 1683734) (-910 "bookvol10.3.pamphlet" 1678122 1678132 1682656 1682749) (-909 "bookvol10.4.pamphlet" 1677477 1677493 1678112 1678117) (-908 "bookvol10.4.pamphlet" 1675512 1675541 1677467 1677472) (-907 "bookvol10.4.pamphlet" 1674882 1674900 1675502 1675507) (-906 "bookvol10.4.pamphlet" 1674301 1674328 1674872 1674877) (-905 "bookvol10.3.pamphlet" 1673968 1673980 1674106 1674199) (-904 "bookvol10.2.pamphlet" 1671634 1671642 1673894 1673963) (-903 NIL 1669328 1669338 1671590 1671595) (-902 "bookvol10.4.pamphlet" 1667213 1667225 1669318 1669323) (-901 "bookvol10.4.pamphlet" 1664813 1664836 1667203 1667208) (-900 "bookvol10.3.pamphlet" 1659799 1659809 1664643 1664658) (-899 "bookvol10.3.pamphlet" 1654489 1654499 1659789 1659794) (-898 "bookvol10.2.pamphlet" 1653042 1653052 1654469 1654484) (-897 "bookvol10.4.pamphlet" 1651705 1651719 1653032 1653037) (-896 "bookvol10.3.pamphlet" 1650975 1650985 1651557 1651562) (-895 "bookvol10.2.pamphlet" 1649269 1649279 1650955 1650970) (-894 NIL 1647571 1647583 1649259 1649264) (-893 "bookvol10.3.pamphlet" 1645676 1645684 1647561 1647566) (-892 "bookvol10.4.pamphlet" 1639468 1639476 1645666 1645671) (-891 "bookvol10.4.pamphlet" 1638768 1638785 1639458 1639463) (-890 "bookvol10.2.pamphlet" 1636912 1636920 1638758 1638763) (-889 "bookvol10.4.pamphlet" 1636601 1636614 1636902 1636907) (-888 "bookvol10.3.pamphlet" 1635243 1635260 1636591 1636596) (-887 "bookvol10.3.pamphlet" 1629674 1629684 1635233 1635238) (-886 "bookvol10.4.pamphlet" 1629411 1629423 1629664 1629669) (-885 "bookvol10.4.pamphlet" 1627701 1627717 1629401 1629406) (-884 "bookvol10.3.pamphlet" 1625240 1625252 1627691 1627696) (-883 "bookvol10.4.pamphlet" 1624894 1624908 1625230 1625235) (-882 "bookvol10.4.pamphlet" 1623051 1623082 1624602 1624607) (-881 "bookvol10.2.pamphlet" 1622476 1622486 1623041 1623046) (-880 "bookvol10.3.pamphlet" 1621560 1621574 1622466 1622471) (-879 "bookvol10.2.pamphlet" 1621324 1621334 1621550 1621555) (-878 "bookvol10.4.pamphlet" 1618686 1618694 1621314 1621319) (-877 "bookvol10.3.pamphlet" 1618114 1618142 1618676 1618681) (-876 "bookvol10.4.pamphlet" 1617905 1617921 1618104 1618109) (-875 "bookvol10.3.pamphlet" 1617333 1617361 1617895 1617900) (-874 "bookvol10.4.pamphlet" 1617118 1617134 1617323 1617328) (-873 "bookvol10.3.pamphlet" 1616576 1616604 1617108 1617113) (-872 "bookvol10.4.pamphlet" 1616361 1616377 1616566 1616571) (-871 "bookvol10.4.pamphlet" 1615152 1615201 1616351 1616356) (-870 "bookvol10.4.pamphlet" 1614564 1614572 1615142 1615147) (-869 "bookvol10.3.pamphlet" 1613534 1613542 1614554 1614559) (-868 "bookvol10.4.pamphlet" 1607917 1607940 1613490 1613495) (-867 "bookvol10.4.pamphlet" 1601736 1601759 1607866 1607871) (-866 "bookvol10.3.pamphlet" 1599066 1599084 1600241 1600334) (-865 "bookvol10.3.pamphlet" 1597081 1597093 1597302 1597395) (-864 "bookvol10.3.pamphlet" 1596776 1596788 1597007 1597076) (-863 "bookvol10.2.pamphlet" 1595332 1595344 1596702 1596771) (-862 "bookvol10.4.pamphlet" 1594261 1594280 1595322 1595327) (-861 "bookvol10.4.pamphlet" 1593242 1593258 1594251 1594256) (-860 "bookvol10.3.pamphlet" 1591843 1591851 1592913 1593006) (-859 "bookvol10.2.pamphlet" 1590593 1590601 1591745 1591838) (-858 "bookvol10.2.pamphlet" 1588656 1588664 1590495 1590588) (-857 "bookvol10.3.pamphlet" 1587381 1587391 1588452 1588545) (-856 "bookvol10.2.pamphlet" 1586134 1586142 1587283 1587376) (-855 "bookvol10.3.pamphlet" 1584439 1584459 1585524 1585617) (-854 "bookvol10.2.pamphlet" 1583181 1583189 1584341 1584434) (-853 "bookvol10.3.pamphlet" 1582165 1582195 1583039 1583106) (-852 "bookvol10.3.pamphlet" 1581946 1581969 1582155 1582160) (-851 "bookvol10.4.pamphlet" 1581030 1581038 1581936 1581941) (-850 "bookvol10.3.pamphlet" 1570444 1570452 1581020 1581025) (-849 "bookvol10.3.pamphlet" 1570033 1570041 1570434 1570439) (-848 "bookvol10.4.pamphlet" 1568494 1568504 1569950 1569955) (-847 "bookvol10.3.pamphlet" 1567852 1567880 1568174 1568213) (-846 "bookvol10.3.pamphlet" 1567151 1567175 1567532 1567571) (-845 "bookvol10.4.pamphlet" 1564985 1564997 1567071 1567076) (-844 "bookvol10.2.pamphlet" 1559131 1559141 1564941 1564980) (-843 NIL 1553167 1553179 1558979 1558984) (-842 "bookvol10.2.pamphlet" 1552333 1552341 1553157 1553162) (-841 NIL 1551497 1551507 1552323 1552328) (-840 "bookvol10.2.pamphlet" 1550831 1550839 1551477 1551492) (-839 NIL 1550173 1550183 1550821 1550826) (-838 "bookvol10.2.pamphlet" 1549927 1549935 1550163 1550168) (-837 "bookvol10.4.pamphlet" 1549068 1549084 1549917 1549922) (-836 "bookvol10.2.pamphlet" 1549002 1549010 1549058 1549063) (-835 "bookvol10.3.pamphlet" 1547488 1547498 1548549 1548578) (-834 "bookvol10.4.pamphlet" 1546828 1546840 1547478 1547483) (-833 "bookvol10.3.pamphlet" 1544512 1544520 1546818 1546823) (-832 "bookvol10.4.pamphlet" 1536696 1536704 1544502 1544507) (-831 "bookvol10.2.pamphlet" 1534162 1534170 1536686 1536691) (-830 "bookvol10.4.pamphlet" 1533711 1533719 1534152 1534157) (-829 "bookvol10.3.pamphlet" 1533453 1533463 1533533 1533600) (-828 "bookvol10.3.pamphlet" 1532227 1532237 1533000 1533029) (-827 "bookvol10.4.pamphlet" 1531700 1531712 1532217 1532222) (-826 "bookvol10.4.pamphlet" 1530702 1530710 1531690 1531695) (-825 "bookvol10.2.pamphlet" 1530478 1530488 1530646 1530697) (-824 "bookvol10.4.pamphlet" 1529090 1529098 1530468 1530473) (-823 "bookvol10.2.pamphlet" 1528055 1528063 1529080 1529085) (-822 "bookvol10.3.pamphlet" 1527480 1527492 1527941 1527980) (-821 "bookvol10.4.pamphlet" 1527314 1527324 1527470 1527475) (-820 "bookvol10.3.pamphlet" 1526857 1526865 1527304 1527309) (-819 "bookvol10.3.pamphlet" 1525891 1525899 1526847 1526852) (-818 "bookvol10.3.pamphlet" 1525235 1525243 1525881 1525886) (-817 "bookvol10.3.pamphlet" 1519524 1519532 1525225 1525230) (-816 "bookvol10.3.pamphlet" 1518933 1518941 1519514 1519519) (-815 "bookvol10.2.pamphlet" 1518708 1518716 1518859 1518928) (-814 "bookvol10.3.pamphlet" 1512079 1512089 1518698 1518703) (-813 "bookvol10.3.pamphlet" 1511340 1511350 1512069 1512074) (-812 "bookvol10.3.pamphlet" 1510788 1510814 1511152 1511301) (-811 "bookvol10.3.pamphlet" 1508146 1508156 1508474 1508601) (-810 "bookvol10.3.pamphlet" 1500003 1500023 1500361 1500492) (-809 "bookvol10.4.pamphlet" 1498582 1498601 1499993 1499998) (-808 "bookvol10.4.pamphlet" 1496232 1496249 1498572 1498577) (-807 "bookvol10.4.pamphlet" 1492175 1492192 1496189 1496194) (-806 "bookvol10.4.pamphlet" 1491562 1491586 1492165 1492170) (-805 "bookvol10.4.pamphlet" 1489128 1489145 1491552 1491557) (-804 "bookvol10.4.pamphlet" 1486019 1486041 1489118 1489123) (-803 "bookvol10.3.pamphlet" 1484605 1484613 1486009 1486014) (-802 "bookvol10.4.pamphlet" 1481909 1481931 1484595 1484600) (-801 "bookvol10.4.pamphlet" 1481285 1481309 1481899 1481904) (-800 "bookvol10.4.pamphlet" 1467647 1467655 1481275 1481280) (-799 "bookvol10.4.pamphlet" 1467078 1467094 1467637 1467642) (-798 "bookvol10.3.pamphlet" 1464473 1464481 1467068 1467073) (-797 "bookvol10.4.pamphlet" 1459840 1459856 1464463 1464468) (-796 "bookvol10.4.pamphlet" 1459359 1459377 1459830 1459835) (-795 "bookvol10.2.pamphlet" 1457744 1457752 1459349 1459354) (-794 "bookvol10.3.pamphlet" 1455880 1455890 1456598 1456637) (-793 "bookvol10.4.pamphlet" 1455516 1455537 1455870 1455875) (-792 "bookvol10.2.pamphlet" 1453290 1453300 1455472 1455511) (-791 NIL 1450789 1450801 1452973 1452978) (-790 "bookvol10.2.pamphlet" 1450637 1450645 1450779 1450784) (-789 "bookvol10.2.pamphlet" 1450385 1450393 1450627 1450632) (-788 "bookvol10.2.pamphlet" 1449677 1449685 1450375 1450380) (-787 "bookvol10.2.pamphlet" 1449538 1449546 1449667 1449672) (-786 "bookvol10.2.pamphlet" 1449400 1449408 1449528 1449533) (-785 "bookvol10.4.pamphlet" 1449123 1449139 1449390 1449395) (-784 "bookvol10.4.pamphlet" 1437440 1437448 1449113 1449118) (-783 "bookvol10.4.pamphlet" 1428199 1428207 1437430 1437435) (-782 "bookvol10.2.pamphlet" 1425538 1425546 1428189 1428194) (-781 "bookvol10.4.pamphlet" 1424378 1424386 1425528 1425533) (-780 "bookvol10.4.pamphlet" 1416450 1416460 1424183 1424188) (-779 "bookvol10.2.pamphlet" 1415747 1415763 1416406 1416445) (-778 "bookvol10.4.pamphlet" 1415292 1415302 1415664 1415669) (-777 "bookvol10.3.pamphlet" 1408281 1408291 1412842 1412995) (-776 "bookvol10.4.pamphlet" 1407673 1407685 1408271 1408276) (-775 "bookvol10.3.pamphlet" 1403868 1403887 1404176 1404303) (-774 "bookvol10.3.pamphlet" 1402392 1402402 1402469 1402562) (-773 "bookvol10.4.pamphlet" 1400764 1400778 1402382 1402387) (-772 "bookvol10.4.pamphlet" 1400656 1400685 1400754 1400759) (-771 "bookvol10.4.pamphlet" 1399902 1399922 1400646 1400651) (-770 "bookvol10.3.pamphlet" 1399790 1399804 1399882 1399897) (-769 "bookvol10.4.pamphlet" 1399384 1399423 1399780 1399785) (-768 "bookvol10.4.pamphlet" 1397918 1397937 1399374 1399379) (-767 "bookvol10.4.pamphlet" 1397606 1397632 1397908 1397913) (-766 "bookvol10.3.pamphlet" 1397347 1397355 1397596 1397601) (-765 "bookvol10.4.pamphlet" 1397023 1397033 1397337 1397342) (-764 "bookvol10.4.pamphlet" 1396492 1396508 1397013 1397018) (-763 "bookvol10.3.pamphlet" 1395382 1395390 1396466 1396487) (-762 "bookvol10.4.pamphlet" 1394004 1394014 1395372 1395377) (-761 "bookvol10.3.pamphlet" 1391602 1391610 1393994 1393999) (-760 "bookvol10.4.pamphlet" 1389062 1389079 1391592 1391597) (-759 "bookvol10.4.pamphlet" 1388315 1388329 1389052 1389057) (-758 "bookvol10.4.pamphlet" 1386427 1386443 1388305 1388310) (-757 "bookvol10.4.pamphlet" 1386084 1386098 1386417 1386422) (-756 "bookvol10.4.pamphlet" 1384244 1384258 1386074 1386079) (-755 "bookvol10.2.pamphlet" 1383840 1383848 1384234 1384239) (-754 NIL 1383434 1383444 1383830 1383835) (-753 "bookvol10.2.pamphlet" 1382720 1382728 1383424 1383429) (-752 NIL 1382004 1382014 1382710 1382715) (-751 "bookvol10.4.pamphlet" 1381077 1381085 1381994 1381999) (-750 "bookvol10.4.pamphlet" 1370643 1370651 1381067 1381072) (-749 "bookvol10.4.pamphlet" 1369079 1369087 1370633 1370638) (-748 "bookvol10.4.pamphlet" 1363253 1363261 1369069 1369074) (-747 "bookvol10.4.pamphlet" 1356997 1357005 1363243 1363248) (-746 "bookvol10.4.pamphlet" 1352619 1352627 1356987 1356992) (-745 "bookvol10.4.pamphlet" 1345993 1346001 1352609 1352614) (-744 "bookvol10.4.pamphlet" 1336388 1336396 1345983 1345988) (-743 "bookvol10.4.pamphlet" 1332315 1332323 1336378 1336383) (-742 "bookvol10.4.pamphlet" 1330190 1330198 1332305 1332310) (-741 "bookvol10.4.pamphlet" 1322636 1322644 1330180 1330185) (-740 "bookvol10.4.pamphlet" 1316792 1316800 1322626 1322631) (-739 "bookvol10.4.pamphlet" 1312622 1312630 1316782 1316787) (-738 "bookvol10.4.pamphlet" 1311134 1311142 1312612 1312617) (-737 "bookvol10.4.pamphlet" 1310432 1310440 1311124 1311129) (-736 "bookvol10.2.pamphlet" 1309938 1309948 1310400 1310427) (-735 NIL 1309464 1309476 1309928 1309933) (-734 "bookvol10.3.pamphlet" 1306685 1306699 1307014 1307167) (-733 "bookvol10.3.pamphlet" 1304804 1304818 1304876 1305096) (-732 "bookvol10.4.pamphlet" 1301788 1301805 1304794 1304799) (-731 "bookvol10.4.pamphlet" 1301186 1301203 1301778 1301783) (-730 "bookvol10.2.pamphlet" 1299220 1299241 1301084 1301181) (-729 "bookvol10.4.pamphlet" 1298877 1298887 1299210 1299215) (-728 "bookvol10.4.pamphlet" 1298317 1298325 1298867 1298872) (-727 "bookvol10.3.pamphlet" 1296322 1296332 1298079 1298118) (-726 "bookvol10.2.pamphlet" 1296155 1296165 1296278 1296317) (-725 "bookvol10.3.pamphlet" 1293108 1293120 1295863 1295930) (-724 "bookvol10.4.pamphlet" 1292668 1292682 1293098 1293103) (-723 "bookvol10.4.pamphlet" 1292229 1292246 1292658 1292663) (-722 "bookvol10.4.pamphlet" 1290274 1290293 1292219 1292224) (-721 "bookvol10.3.pamphlet" 1287724 1287739 1288068 1288195) (-720 "bookvol10.4.pamphlet" 1287003 1287022 1287714 1287719) (-719 "bookvol10.4.pamphlet" 1286811 1286854 1286993 1286998) (-718 "bookvol10.4.pamphlet" 1286555 1286591 1286801 1286806) (-717 "bookvol10.4.pamphlet" 1284890 1284907 1286545 1286550) (-716 "bookvol10.2.pamphlet" 1283754 1283762 1284880 1284885) (-715 NIL 1282616 1282626 1283744 1283749) (-714 "bookvol10.2.pamphlet" 1281362 1281375 1282476 1282611) (-713 NIL 1280130 1280145 1281246 1281251) (-712 "bookvol10.2.pamphlet" 1278136 1278144 1280120 1280125) (-711 NIL 1276140 1276150 1278126 1278131) (-710 "bookvol10.2.pamphlet" 1275284 1275292 1276130 1276135) (-709 NIL 1274426 1274436 1275274 1275279) (-708 "bookvol10.3.pamphlet" 1273105 1273119 1274406 1274421) (-707 "bookvol10.2.pamphlet" 1272786 1272796 1273073 1273100) (-706 NIL 1272487 1272499 1272776 1272781) (-705 "bookvol10.3.pamphlet" 1271800 1271839 1272467 1272482) (-704 "bookvol10.3.pamphlet" 1270442 1270454 1271622 1271689) (-703 "bookvol10.3.pamphlet" 1269953 1269971 1270432 1270437) (-702 "bookvol10.3.pamphlet" 1266613 1266629 1267431 1267584) (-701 "bookvol10.3.pamphlet" 1265974 1266013 1266515 1266608) (-700 "bookvol10.3.pamphlet" 1264761 1264769 1265964 1265969) (-699 "bookvol10.4.pamphlet" 1264501 1264535 1264751 1264756) (-698 "bookvol10.2.pamphlet" 1262943 1262953 1264457 1264496) (-697 "bookvol10.4.pamphlet" 1261515 1261532 1262933 1262938) (-696 "bookvol10.4.pamphlet" 1260985 1261003 1261505 1261510) (-695 "bookvol10.4.pamphlet" 1260571 1260584 1260975 1260980) (-694 "bookvol10.4.pamphlet" 1259886 1259896 1260561 1260566) (-693 "bookvol10.4.pamphlet" 1258779 1258789 1259876 1259881) (-692 "bookvol10.3.pamphlet" 1258555 1258565 1258769 1258774) (-691 "bookvol10.4.pamphlet" 1258016 1258034 1258545 1258550) (-690 "bookvol10.3.pamphlet" 1257455 1257463 1257918 1258011) (-689 "bookvol10.4.pamphlet" 1256094 1256104 1257445 1257450) (-688 "bookvol10.3.pamphlet" 1254538 1254546 1255984 1256089) (-687 "bookvol10.4.pamphlet" 1253938 1253960 1254528 1254533) (-686 "bookvol10.4.pamphlet" 1251800 1251808 1253928 1253933) (-685 "bookvol10.4.pamphlet" 1250041 1250051 1251790 1251795) (-684 "bookvol10.2.pamphlet" 1249316 1249326 1250009 1250036) (-683 "bookvol10.3.pamphlet" 1245289 1245297 1245903 1246104) (-682 "bookvol10.4.pamphlet" 1244497 1244509 1245279 1245284) (-681 "bookvol10.4.pamphlet" 1241605 1241631 1244487 1244492) (-680 "bookvol10.4.pamphlet" 1238881 1238891 1241595 1241600) (-679 "bookvol10.3.pamphlet" 1237772 1237782 1238256 1238283) (-678 "bookvol10.4.pamphlet" 1235098 1235122 1237656 1237661) (-677 "bookvol10.2.pamphlet" 1220309 1220331 1235054 1235093) (-676 NIL 1205368 1205392 1220115 1220120) (-675 "bookvol10.4.pamphlet" 1204636 1204684 1205358 1205363) (-674 "bookvol10.4.pamphlet" 1203356 1203368 1204626 1204631) (-673 "bookvol10.4.pamphlet" 1202255 1202269 1203346 1203351) (-672 "bookvol10.4.pamphlet" 1201589 1201601 1202245 1202250) (-671 "bookvol10.4.pamphlet" 1200407 1200417 1201579 1201584) (-670 "bookvol10.4.pamphlet" 1200215 1200229 1200397 1200402) (-669 "bookvol10.4.pamphlet" 1199980 1199992 1200205 1200210) (-668 "bookvol10.4.pamphlet" 1199610 1199620 1199970 1199975) (-667 "bookvol10.3.pamphlet" 1197554 1197571 1199600 1199605) (-666 "bookvol10.3.pamphlet" 1195473 1195483 1197155 1197160) (-665 "bookvol10.2.pamphlet" 1190929 1190939 1195453 1195468) (-664 NIL 1186393 1186405 1190919 1190924) (-663 "bookvol10.3.pamphlet" 1183199 1183216 1186383 1186388) (-662 "bookvol10.3.pamphlet" 1181457 1181471 1181879 1181930) (-661 "bookvol10.4.pamphlet" 1180990 1181007 1181447 1181452) (-660 "bookvol10.4.pamphlet" 1179830 1179858 1180980 1180985) (-659 "bookvol10.4.pamphlet" 1177634 1177648 1179820 1179825) (-658 "bookvol10.2.pamphlet" 1177291 1177301 1177590 1177629) (-657 NIL 1176980 1176992 1177281 1177286) (-656 "bookvol10.3.pamphlet" 1175994 1176013 1176836 1176905) (-655 "bookvol10.4.pamphlet" 1175251 1175261 1175984 1175989) (-654 "bookvol10.4.pamphlet" 1173696 1173745 1175241 1175246) (-653 "bookvol10.4.pamphlet" 1172335 1172345 1173686 1173691) (-652 "bookvol10.3.pamphlet" 1171736 1171750 1172269 1172296) (-651 "bookvol10.2.pamphlet" 1171338 1171346 1171726 1171731) (-650 NIL 1170938 1170948 1171328 1171333) (-649 "bookvol10.4.pamphlet" 1169856 1169868 1170928 1170933) (-648 "bookvol10.3.pamphlet" 1169243 1169259 1169536 1169575) (-647 "bookvol10.4.pamphlet" 1168287 1168304 1169200 1169205) (-646 "bookvol10.2.pamphlet" 1166904 1166914 1168243 1168282) (-645 NIL 1165519 1165531 1166860 1166865) (-644 "bookvol10.3.pamphlet" 1164795 1164807 1165199 1165238) (-643 "bookvol10.3.pamphlet" 1164198 1164208 1164475 1164514) (-642 "bookvol10.4.pamphlet" 1162970 1162988 1164188 1164193) (-641 "bookvol10.2.pamphlet" 1161345 1161355 1162872 1162965) (-640 "bookvol10.2.pamphlet" 1157093 1157103 1161325 1161340) (-639 NIL 1152815 1152827 1157049 1157054) (-638 "bookvol10.3.pamphlet" 1149551 1149568 1152805 1152810) (-637 "bookvol10.2.pamphlet" 1149034 1149044 1149541 1149546) (-636 "bookvol10.3.pamphlet" 1148134 1148144 1148808 1148835) (-635 "bookvol10.4.pamphlet" 1147565 1147579 1148124 1148129) (-634 "bookvol10.3.pamphlet" 1145506 1145516 1146935 1146962) (-633 "bookvol10.4.pamphlet" 1144797 1144811 1145496 1145501) (-632 "bookvol10.4.pamphlet" 1143437 1143449 1144787 1144792) (-631 "bookvol10.4.pamphlet" 1140310 1140322 1143427 1143432) (-630 "bookvol10.2.pamphlet" 1139742 1139752 1140290 1140305) (-629 "bookvol10.4.pamphlet" 1138519 1138531 1139654 1139659) (-628 "bookvol10.4.pamphlet" 1136433 1136443 1138509 1138514) (-627 "bookvol10.4.pamphlet" 1135316 1135329 1136423 1136428) (-626 "bookvol10.3.pamphlet" 1133330 1133342 1134606 1134751) (-625 "bookvol10.2.pamphlet" 1132855 1132865 1133256 1133325) (-624 NIL 1132408 1132420 1132811 1132816) (-623 "bookvol10.3.pamphlet" 1130941 1130949 1131649 1131664) (-622 "bookvol10.4.pamphlet" 1128309 1128328 1130931 1130936) (-621 "bookvol10.4.pamphlet" 1127052 1127068 1128299 1128304) (-620 "bookvol10.2.pamphlet" 1125759 1125767 1127042 1127047) (-619 "bookvol10.4.pamphlet" 1121411 1121426 1125749 1125754) (-618 "bookvol10.3.pamphlet" 1119474 1119501 1121391 1121406) (-617 "bookvol10.4.pamphlet" 1117858 1117875 1119464 1119469) (-616 "bookvol10.4.pamphlet" 1116916 1116938 1117848 1117853) (-615 "bookvol10.3.pamphlet" 1115688 1115701 1116509 1116578) (-614 "bookvol10.4.pamphlet" 1115261 1115277 1115678 1115683) (-613 "bookvol10.3.pamphlet" 1114701 1114715 1115183 1115222) (-612 "bookvol10.2.pamphlet" 1114477 1114487 1114681 1114696) (-611 NIL 1114261 1114273 1114467 1114472) (-610 "bookvol10.4.pamphlet" 1112974 1112991 1114251 1114256) (-609 "bookvol10.2.pamphlet" 1112696 1112706 1112964 1112969) (-608 "bookvol10.2.pamphlet" 1112433 1112443 1112686 1112691) (-607 "bookvol10.3.pamphlet" 1110968 1110978 1112217 1112222) (-606 "bookvol10.4.pamphlet" 1110671 1110683 1110958 1110963) (-605 "bookvol10.2.pamphlet" 1109762 1109784 1110639 1110666) (-604 NIL 1108873 1108897 1109752 1109757) (-603 "bookvol10.3.pamphlet" 1107495 1107511 1108220 1108247) (-602 "bookvol10.3.pamphlet" 1105472 1105484 1106785 1106930) (-601 "bookvol10.2.pamphlet" 1103554 1103578 1105452 1105467) (-600 NIL 1101501 1101527 1103401 1103406) (-599 "bookvol10.3.pamphlet" 1100509 1100524 1100649 1100676) (-598 "bookvol10.3.pamphlet" 1099669 1099679 1100499 1100504) (-597 "bookvol10.4.pamphlet" 1098480 1098499 1099659 1099664) (-596 "bookvol10.4.pamphlet" 1097974 1097988 1098470 1098475) (-595 "bookvol10.4.pamphlet" 1097704 1097716 1097964 1097969) (-594 "bookvol10.3.pamphlet" 1095496 1095511 1097540 1097665) (-593 "bookvol10.3.pamphlet" 1087922 1087937 1094470 1094567) (-592 "bookvol10.4.pamphlet" 1087405 1087421 1087912 1087917) (-591 "bookvol10.3.pamphlet" 1086635 1086648 1086801 1086828) (-590 "bookvol10.4.pamphlet" 1085715 1085734 1086625 1086630) (-589 "bookvol10.4.pamphlet" 1083679 1083687 1085705 1085710) (-588 "bookvol10.4.pamphlet" 1082202 1082212 1083635 1083640) (-587 "bookvol10.4.pamphlet" 1081803 1081814 1082192 1082197) (-586 "bookvol10.4.pamphlet" 1080149 1080159 1081793 1081798) (-585 "bookvol10.3.pamphlet" 1077894 1077908 1080004 1080031) (-584 "bookvol10.4.pamphlet" 1077030 1077046 1077884 1077889) (-583 "bookvol10.4.pamphlet" 1076171 1076187 1077020 1077025) (-582 "bookvol10.4.pamphlet" 1075931 1075939 1076161 1076166) (-581 "bookvol10.3.pamphlet" 1075624 1075636 1075736 1075829) (-580 "bookvol10.3.pamphlet" 1075385 1075411 1075550 1075619) (-579 "bookvol10.4.pamphlet" 1074994 1075010 1075375 1075380) (-578 "bookvol10.4.pamphlet" 1068240 1068257 1074984 1074989) (-577 "bookvol10.4.pamphlet" 1066099 1066115 1067814 1067819) (-576 "bookvol10.4.pamphlet" 1065405 1065413 1066089 1066094) (-575 "bookvol10.3.pamphlet" 1065181 1065191 1065319 1065400) (-574 "bookvol10.4.pamphlet" 1063545 1063559 1065171 1065176) (-573 "bookvol10.4.pamphlet" 1063034 1063044 1063535 1063540) (-572 "bookvol10.4.pamphlet" 1061679 1061696 1063024 1063029) (-571 "bookvol10.4.pamphlet" 1060042 1060058 1061322 1061327) (-570 "bookvol10.4.pamphlet" 1057769 1057787 1059974 1059979) (-569 "bookvol10.4.pamphlet" 1047876 1047884 1057759 1057764) (-568 "bookvol10.3.pamphlet" 1047237 1047245 1047730 1047871) (-567 "bookvol10.4.pamphlet" 1046503 1046520 1047227 1047232) (-566 "bookvol10.4.pamphlet" 1046168 1046192 1046493 1046498) (-565 "bookvol10.4.pamphlet" 1042569 1042577 1046158 1046163) (-564 "bookvol10.4.pamphlet" 1035949 1035967 1042501 1042506) (-563 "bookvol10.3.pamphlet" 1029947 1029955 1035939 1035944) (-562 "bookvol10.4.pamphlet" 1029047 1029104 1029937 1029942) (-561 "bookvol10.4.pamphlet" 1028121 1028131 1029037 1029042) (-560 "bookvol10.4.pamphlet" 1027989 1028013 1028111 1028116) (-559 "bookvol10.4.pamphlet" 1026303 1026319 1027979 1027984) (-558 "bookvol10.2.pamphlet" 1024927 1024935 1026229 1026298) (-557 NIL 1023613 1023623 1024917 1024922) (-556 "bookvol10.4.pamphlet" 1022743 1022830 1023603 1023608) (-555 "bookvol10.2.pamphlet" 1021206 1021216 1022657 1022738) (-554 "bookvol10.4.pamphlet" 1020709 1020717 1021196 1021201) (-553 "bookvol10.4.pamphlet" 1019891 1019918 1020699 1020704) (-552 "bookvol10.4.pamphlet" 1019383 1019399 1019881 1019886) (-551 "bookvol10.3.pamphlet" 1018463 1018494 1018626 1018653) (-550 "bookvol10.2.pamphlet" 1015859 1015867 1018365 1018458) (-549 NIL 1013341 1013351 1015849 1015854) (-548 "bookvol10.4.pamphlet" 1012775 1012788 1013331 1013336) (-547 "bookvol10.4.pamphlet" 1011841 1011860 1012765 1012770) (-546 "bookvol10.4.pamphlet" 1010899 1010923 1011831 1011836) (-545 "bookvol10.4.pamphlet" 1009885 1009902 1010889 1010894) (-544 "bookvol10.4.pamphlet" 1009032 1009062 1009875 1009880) (-543 "bookvol10.4.pamphlet" 1007317 1007339 1009022 1009027) (-542 "bookvol10.4.pamphlet" 1006367 1006386 1007307 1007312) (-541 "bookvol10.3.pamphlet" 1003411 1003419 1006357 1006362) (-540 "bookvol10.4.pamphlet" 1003036 1003046 1003401 1003406) (-539 "bookvol10.4.pamphlet" 1002624 1002632 1003026 1003031) (-538 "bookvol10.3.pamphlet" 1002005 1002068 1002614 1002619) (-537 "bookvol10.3.pamphlet" 1001411 1001434 1001995 1002000) (-536 "bookvol10.2.pamphlet" 1000034 1000097 1001401 1001406) (-535 "bookvol10.4.pamphlet" 998566 998588 1000024 1000029) (-534 "bookvol10.3.pamphlet" 998472 998489 998556 998561) (-533 "bookvol10.4.pamphlet" 997893 997903 998462 998467) (-532 "bookvol10.4.pamphlet" 993659 993670 997883 997888) (-531 "bookvol10.3.pamphlet" 992791 992817 993303 993330) (-530 "bookvol10.4.pamphlet" 991881 991925 992747 992752) (-529 "bookvol10.4.pamphlet" 990486 990510 991837 991842) (-528 "bookvol10.3.pamphlet" 989365 989380 989892 989919) (-527 "bookvol10.3.pamphlet" 989090 989128 989195 989222) (-526 "bookvol10.3.pamphlet" 988500 988516 988771 988864) (-525 "bookvol10.3.pamphlet" 985571 985586 987906 987933) (-524 "bookvol10.3.pamphlet" 985409 985426 985527 985532) (-523 "bookvol10.2.pamphlet" 984798 984810 985399 985404) (-522 NIL 984185 984199 984788 984793) (-521 "bookvol10.3.pamphlet" 983998 984010 984175 984180) (-520 "bookvol10.3.pamphlet" 983769 983781 983988 983993) (-519 "bookvol10.3.pamphlet" 983504 983516 983759 983764) (-518 "bookvol10.2.pamphlet" 982438 982450 983494 983499) (-517 "bookvol10.3.pamphlet" 982198 982210 982428 982433) (-516 "bookvol10.3.pamphlet" 981960 981972 982188 982193) (-515 "bookvol10.4.pamphlet" 979212 979230 981950 981955) (-514 "bookvol10.3.pamphlet" 974146 974185 979147 979152) (-513 "bookvol10.3.pamphlet" 973567 973590 974136 974141) (-512 "bookvol10.4.pamphlet" 972718 972734 973557 973562) (-511 "bookvol10.3.pamphlet" 971941 971949 972708 972713) (-510 "bookvol10.4.pamphlet" 970564 970581 971931 971936) (-509 "bookvol10.3.pamphlet" 969842 969855 970258 970285) (-508 "bookvol10.4.pamphlet" 966717 966736 969832 969837) (-507 "bookvol10.4.pamphlet" 965605 965620 966707 966712) (-506 "bookvol10.3.pamphlet" 965336 965362 965435 965462) (-505 "bookvol10.3.pamphlet" 964649 964664 964742 964769) (-504 "bookvol10.3.pamphlet" 962862 962870 964465 964558) (-503 "bookvol10.4.pamphlet" 962417 962450 962852 962857) (-502 "bookvol10.2.pamphlet" 961841 961849 962407 962412) (-501 NIL 961263 961273 961831 961836) (-500 "bookvol10.3.pamphlet" 960063 960071 961253 961258) (-499 "bookvol10.2.pamphlet" 957313 957323 960043 960058) (-498 NIL 954404 954416 957136 957141) (-497 "bookvol10.3.pamphlet" 952273 952281 952871 952964) (-496 "bookvol10.4.pamphlet" 951127 951138 952263 952268) (-495 "bookvol10.3.pamphlet" 950717 950741 951117 951122) (-494 "bookvol10.3.pamphlet" 946440 946450 950547 950574) (-493 "bookvol10.3.pamphlet" 938293 938309 938655 938786) (-492 "bookvol10.3.pamphlet" 935484 935499 936087 936214) (-491 "bookvol10.4.pamphlet" 934024 934032 935474 935479) (-490 "bookvol10.3.pamphlet" 933056 933087 933267 933294) (-489 "bookvol10.3.pamphlet" 932641 932649 932958 933051) (-488 "bookvol10.4.pamphlet" 918518 918530 932631 932636) (-487 "bookvol10.4.pamphlet" 918263 918271 918363 918368) (-486 "bookvol10.4.pamphlet" 902336 902372 918133 918138) (-485 "bookvol10.4.pamphlet" 902097 902105 902195 902200) (-484 "bookvol10.4.pamphlet" 901918 901932 902031 902036) (-483 "bookvol10.4.pamphlet" 901795 901809 901908 901913) (-482 "bookvol10.4.pamphlet" 901628 901636 901728 901733) (-481 "bookvol10.3.pamphlet" 900820 900836 901330 901357) (-480 "bookvol10.3.pamphlet" 899901 899936 900075 900090) (-479 "bookvol10.3.pamphlet" 897068 897095 898033 898182) (-478 "bookvol10.2.pamphlet" 896034 896042 897048 897063) (-477 NIL 895008 895018 896024 896029) (-476 "bookvol10.4.pamphlet" 893591 893612 894998 895003) (-475 "bookvol10.2.pamphlet" 892169 892181 893581 893586) (-474 NIL 890745 890759 892159 892164) (-473 "bookvol10.3.pamphlet" 883350 883358 890735 890740) (-472 "bookvol10.4.pamphlet" 881729 881737 883340 883345) (-471 "bookvol10.4.pamphlet" 880172 880180 881719 881724) (-470 "bookvol10.2.pamphlet" 879226 879238 880162 880167) (-469 NIL 878278 878292 879216 879221) (-468 "bookvol10.3.pamphlet" 877788 877811 878016 878043) (-467 "bookvol10.4.pamphlet" 872478 872565 877744 877749) (-466 "bookvol10.4.pamphlet" 871739 871757 872468 872473) (-465 "bookvol10.3.pamphlet" 867687 867695 871729 871734) (-464 "bookvol10.4.pamphlet" 865270 865278 867677 867682) (-463 "bookvol10.3.pamphlet" 864377 864404 865238 865265) (-462 "bookvol10.4.pamphlet" 863487 863501 864367 864372) (-461 "bookvol10.4.pamphlet" 859588 859601 863477 863482) (-460 "bookvol10.4.pamphlet" 859192 859202 859578 859583) (-459 "bookvol10.4.pamphlet" 858776 858793 859182 859187) (-458 "bookvol10.4.pamphlet" 858243 858262 858766 858771) (-457 "bookvol10.4.pamphlet" 856233 856246 858233 858238) (-456 "bookvol10.4.pamphlet" 854490 854498 856223 856228) (-455 "bookvol10.3.pamphlet" 851523 851540 852284 852411) (-454 "bookvol10.3.pamphlet" 845418 845445 851317 851384) (-453 "bookvol10.2.pamphlet" 844346 844354 845344 845413) (-452 NIL 843336 843346 844336 844341) (-451 "bookvol10.4.pamphlet" 837117 837155 843292 843297) (-450 "bookvol10.4.pamphlet" 833215 833253 837107 837112) (-449 "bookvol10.4.pamphlet" 828281 828319 833205 833210) (-448 "bookvol10.4.pamphlet" 824536 824574 828271 828276) (-447 "bookvol10.4.pamphlet" 823833 823841 824526 824531) (-446 "bookvol10.4.pamphlet" 822155 822165 823789 823794) (-445 "bookvol10.4.pamphlet" 820614 820627 822145 822150) (-444 "bookvol10.4.pamphlet" 818779 818798 820604 820609) (-443 "bookvol10.4.pamphlet" 809045 809056 818769 818774) (-442 "bookvol10.2.pamphlet" 806058 806066 809025 809040) (-441 "bookvol10.2.pamphlet" 805100 805108 806038 806053) (-440 "bookvol10.3.pamphlet" 804949 804961 805090 805095) (-439 NIL 803161 803169 804939 804944) (-438 "bookvol10.3.pamphlet" 802324 802332 803151 803156) (-437 "bookvol10.4.pamphlet" 801366 801385 802260 802265) (-436 "bookvol10.3.pamphlet" 799452 799460 801356 801361) (-435 "bookvol10.4.pamphlet" 798874 798890 799442 799447) (-434 "bookvol10.4.pamphlet" 797682 797698 798831 798836) (-433 "bookvol10.4.pamphlet" 794954 794970 797672 797677) (-432 "bookvol10.2.pamphlet" 788988 788998 794717 794949) (-431 NIL 782812 782824 788543 788548) (-430 "bookvol10.4.pamphlet" 782434 782450 782802 782807) (-429 "bookvol10.3.pamphlet" 781742 781754 782254 782353) (-428 "bookvol10.4.pamphlet" 781016 781032 781732 781737) (-427 "bookvol10.2.pamphlet" 780117 780127 780960 781011) (-426 NIL 779192 779204 780037 780042) (-425 "bookvol10.4.pamphlet" 777879 777895 779182 779187) (-424 "bookvol10.4.pamphlet" 772268 772302 777869 777874) (-423 "bookvol10.4.pamphlet" 771878 771894 772258 772263) (-422 "bookvol10.4.pamphlet" 771001 771024 771868 771873) (-421 "bookvol10.4.pamphlet" 769943 769953 770991 770996) (-420 "bookvol10.3.pamphlet" 761367 761377 768967 769036) (-419 "bookvol10.2.pamphlet" 756446 756456 761309 761362) (-418 NIL 751537 751549 756402 756407) (-417 "bookvol10.4.pamphlet" 750983 751001 751527 751532) (-416 "bookvol10.3.pamphlet" 750377 750407 750914 750919) (-415 "bookvol10.3.pamphlet" 749572 749593 750357 750372) (-414 "bookvol10.4.pamphlet" 749308 749340 749562 749567) (-413 "bookvol10.2.pamphlet" 748972 748982 749298 749303) (-412 NIL 748502 748514 748830 748835) (-411 "bookvol10.2.pamphlet" 746830 746843 748458 748497) (-410 NIL 745190 745205 746820 746825) (-409 "bookvol10.3.pamphlet" 742289 742299 742692 742865) (-408 "bookvol10.4.pamphlet" 741892 741904 742279 742284) (-407 "bookvol10.4.pamphlet" 741226 741238 741882 741887) (-406 "bookvol10.2.pamphlet" 738196 738204 741116 741221) (-405 NIL 735194 735204 738116 738121) (-404 "bookvol10.2.pamphlet" 734238 734246 735096 735189) (-403 NIL 733368 733378 734228 734233) (-402 "bookvol10.2.pamphlet" 733120 733130 733348 733363) (-401 "bookvol10.3.pamphlet" 731896 731913 733110 733115) (-400 NIL 730381 730430 731886 731891) (-399 "bookvol10.4.pamphlet" 729310 729318 730371 730376) (-398 "bookvol10.2.pamphlet" 726470 726478 729290 729305) (-397 "bookvol10.2.pamphlet" 726144 726152 726450 726465) (-396 "bookvol10.3.pamphlet" 723482 723490 726134 726139) (-395 "bookvol10.4.pamphlet" 722961 722971 723472 723477) (-394 "bookvol10.4.pamphlet" 722742 722766 722951 722956) (-393 "bookvol10.4.pamphlet" 721943 721951 722732 722737) (-392 "bookvol10.3.pamphlet" 721365 721387 721911 721938) (-391 "bookvol10.2.pamphlet" 719693 719701 721355 721360) (-390 "bookvol10.3.pamphlet" 719585 719593 719683 719688) (-389 "bookvol10.2.pamphlet" 719383 719391 719511 719580) (-388 "bookvol10.3.pamphlet" 716438 716448 719339 719344) (-387 "bookvol10.3.pamphlet" 716133 716145 716372 716399) (-386 "bookvol10.2.pamphlet" 713153 713161 716113 716128) (-385 "bookvol10.2.pamphlet" 712195 712203 713133 713148) (-384 "bookvol10.2.pamphlet" 709899 709917 712163 712190) (-383 "bookvol10.3.pamphlet" 709359 709371 709833 709860) (-382 "bookvol10.4.pamphlet" 707095 707109 709349 709354) (-381 "bookvol10.3.pamphlet" 700516 700524 706961 707090) (-380 "bookvol10.4.pamphlet" 697948 697962 700506 700511) (-379 "bookvol10.2.pamphlet" 697660 697670 697928 697943) (-378 NIL 697326 697338 697596 697601) (-377 "bookvol10.4.pamphlet" 696576 696588 697316 697321) (-376 "bookvol10.2.pamphlet" 694281 694300 696502 696571) (-375 "bookvol10.2.pamphlet" 691279 691289 694249 694276) (-374 NIL 688190 688202 691162 691167) (-373 "bookvol10.4.pamphlet" 686859 686875 688180 688185) (-372 "bookvol10.2.pamphlet" 684892 684905 686815 686854) (-371 NIL 682851 682866 684776 684781) (-370 "bookvol10.2.pamphlet" 682003 682011 682841 682846) (-369 "bookvol10.2.pamphlet" 670932 670942 681945 681998) (-368 NIL 659873 659885 670888 670893) (-367 "bookvol10.3.pamphlet" 659456 659466 659863 659868) (-366 "bookvol10.2.pamphlet" 657885 657902 659446 659451) (-365 "bookvol10.2.pamphlet" 657203 657211 657787 657880) (-364 NIL 656607 656617 657193 657198) (-363 "bookvol10.3.pamphlet" 655216 655226 656587 656602) (-362 "bookvol10.4.pamphlet" 654031 654046 655206 655211) (-361 "bookvol10.3.pamphlet" 653450 653465 653747 653840) (-360 "bookvol10.4.pamphlet" 653315 653332 653440 653445) (-359 "bookvol10.4.pamphlet" 652804 652825 653305 653310) (-358 "bookvol10.4.pamphlet" 644083 644094 652794 652799) (-357 "bookvol10.4.pamphlet" 643129 643146 644073 644078) (-356 "bookvol10.3.pamphlet" 642615 642635 642845 642938) (-355 "bookvol10.3.pamphlet" 642063 642079 642296 642389) (-354 "bookvol10.3.pamphlet" 640581 640601 641779 641872) (-353 "bookvol10.3.pamphlet" 639091 639108 640297 640390) (-352 "bookvol10.3.pamphlet" 637602 637623 638772 638865) (-351 "bookvol10.4.pamphlet" 634964 634983 637592 637597) (-350 "bookvol10.2.pamphlet" 632538 632546 634866 634959) (-349 NIL 630198 630208 632528 632533) (-348 "bookvol10.4.pamphlet" 628943 628960 630188 630193) (-347 "bookvol10.4.pamphlet" 626358 626369 628933 628938) (-346 "bookvol10.4.pamphlet" 619566 619582 626348 626353) (-345 "bookvol10.4.pamphlet" 618181 618200 619556 619561) (-344 "bookvol10.4.pamphlet" 617590 617607 618171 618176) (-343 "bookvol10.3.pamphlet" 616443 616463 617306 617399) (-342 "bookvol10.3.pamphlet" 615338 615358 616159 616252) (-341 "bookvol10.3.pamphlet" 614137 614158 615019 615112) (-340 "bookvol10.2.pamphlet" 602768 602790 613976 614132) (-339 NIL 591478 591502 602688 602693) (-338 "bookvol10.4.pamphlet" 591223 591263 591468 591473) (-337 "bookvol10.3.pamphlet" 583853 583899 590979 591018) (-336 "bookvol10.2.pamphlet" 583559 583569 583843 583848) (-335 NIL 583050 583062 583336 583341) (-334 "bookvol10.3.pamphlet" 582483 582507 583040 583045) (-333 "bookvol10.2.pamphlet" 580525 580549 582473 582478) (-332 NIL 578565 578591 580515 580520) (-331 "bookvol10.4.pamphlet" 578309 578349 578555 578560) (-330 "bookvol10.4.pamphlet" 576830 576838 578299 578304) (-329 "bookvol10.3.pamphlet" 576359 576369 576820 576825) (-328 NIL 566184 566192 576349 576354) (-327 "bookvol10.2.pamphlet" 559057 559071 566086 566179) (-326 NIL 551982 551998 559013 559018) (-325 "bookvol10.3.pamphlet" 550396 550406 551388 551415) (-324 "bookvol10.2.pamphlet" 548516 548528 550294 550391) (-323 NIL 546620 546634 548400 548405) (-322 "bookvol10.4.pamphlet" 546170 546192 546610 546615) (-321 "bookvol10.3.pamphlet" 545820 545830 546124 546129) (-320 "bookvol10.2.pamphlet" 544011 544023 545810 545815) (-319 "bookvol10.3.pamphlet" 543617 543627 543907 543934) (-318 "bookvol10.4.pamphlet" 541813 541830 543607 543612) (-317 "bookvol10.4.pamphlet" 541695 541705 541803 541808) (-316 "bookvol10.4.pamphlet" 540871 540881 541685 541690) (-315 "bookvol10.4.pamphlet" 540753 540763 540861 540866) (-314 "bookvol10.3.pamphlet" 537586 537609 538885 539034) (-313 "bookvol10.4.pamphlet" 534950 534958 537576 537581) (-312 "bookvol10.4.pamphlet" 534852 534881 534940 534945) (-311 "bookvol10.4.pamphlet" 531660 531676 534842 534847) (-310 "bookvol10.3.pamphlet" 526909 526919 527649 528056) (-309 "bookvol10.4.pamphlet" 522969 522982 526899 526904) (-308 "bookvol10.4.pamphlet" 522729 522741 522959 522964) (-307 "bookvol10.3.pamphlet" 519667 519692 520301 520394) (-306 "bookvol10.4.pamphlet" 519520 519528 519657 519662) (-305 "bookvol10.3.pamphlet" 519187 519195 519510 519515) (-304 "bookvol10.4.pamphlet" 518677 518691 519177 519182) (-303 "bookvol10.2.pamphlet" 518241 518251 518667 518672) (-302 NIL 517803 517815 518231 518236) (-301 "bookvol10.2.pamphlet" 515337 515345 517729 517798) (-300 NIL 512933 512943 515327 515332) (-299 "bookvol10.4.pamphlet" 504773 504781 512923 512928) (-298 "bookvol10.4.pamphlet" 504358 504372 504763 504768) (-297 "bookvol10.4.pamphlet" 504035 504046 504348 504353) (-296 "bookvol10.2.pamphlet" 496582 496590 504025 504030) (-295 NIL 489035 489045 496480 496485) (-294 "bookvol10.4.pamphlet" 485808 485816 489025 489030) (-293 "bookvol10.4.pamphlet" 485549 485561 485798 485803) (-292 "bookvol10.4.pamphlet" 485044 485060 485539 485544) (-291 "bookvol10.4.pamphlet" 484610 484626 485034 485039) (-290 "bookvol10.4.pamphlet" 481984 481992 484600 484605) (-289 "bookvol10.3.pamphlet" 481018 481040 481227 481254) (-288 "bookvol10.3.pamphlet" 475876 475886 478691 478803) (-287 "bookvol10.4.pamphlet" 475592 475604 475866 475871) (-286 "bookvol10.4.pamphlet" 471906 471916 475582 475587) (-285 "bookvol10.2.pamphlet" 471448 471456 471850 471901) (-284 "bookvol10.3.pamphlet" 470628 470669 471374 471443) (-283 "bookvol10.2.pamphlet" 468882 468901 470618 470623) (-282 NIL 467100 467121 468838 468843) (-281 "bookvol10.2.pamphlet" 466564 466582 467090 467095) (-280 "bookvol10.4.pamphlet" 465943 465962 466554 466559) (-279 "bookvol10.2.pamphlet" 465632 465640 465933 465938) (-278 NIL 465319 465329 465622 465627) (-277 "bookvol10.2.pamphlet" 463023 463033 465287 465314) (-276 NIL 460676 460688 462942 462947) (-275 "bookvol10.4.pamphlet" 457467 457497 460632 460637) (-274 "bookvol10.4.pamphlet" 454318 454341 457423 457428) (-273 "bookvol10.4.pamphlet" 452273 452289 454308 454313) (-272 "bookvol10.4.pamphlet" 447039 447055 452263 452268) (-271 "bookvol10.3.pamphlet" 445315 445323 447029 447034) (-270 "bookvol10.3.pamphlet" 444851 444859 445305 445310) (-269 "bookvol10.3.pamphlet" 444428 444436 444841 444846) (-268 "bookvol10.3.pamphlet" 444008 444016 444418 444423) (-267 "bookvol10.3.pamphlet" 443544 443552 443998 444003) (-266 "bookvol10.3.pamphlet" 443080 443088 443534 443539) (-265 "bookvol10.3.pamphlet" 442616 442624 443070 443075) (-264 "bookvol10.3.pamphlet" 442152 442160 442606 442611) (-263 "bookvol10.4.pamphlet" 437768 437776 442142 442147) (-262 "bookvol10.2.pamphlet" 434449 434459 437758 437763) (-261 NIL 431128 431140 434439 434444) (-260 "bookvol10.4.pamphlet" 428108 428195 431118 431123) (-259 "bookvol10.3.pamphlet" 427278 427288 427938 427965) (-258 "bookvol10.2.pamphlet" 426866 426876 427234 427273) (-257 "bookvol10.3.pamphlet" 424309 424323 424602 424729) (-256 "bookvol10.3.pamphlet" 418254 418262 424299 424304) (-255 "bookvol10.4.pamphlet" 417915 417925 418244 418249) (-254 "bookvol10.4.pamphlet" 412740 412748 417905 417910) (-253 "bookvol10.4.pamphlet" 410895 410903 412730 412735) (-252 "bookvol10.4.pamphlet" 403495 403508 410885 410890) (-251 "bookvol10.4.pamphlet" 402748 402758 403485 403490) (-250 "bookvol10.4.pamphlet" 400103 400111 402738 402743) (-249 "bookvol10.4.pamphlet" 399640 399655 400093 400098) (-248 "bookvol10.4.pamphlet" 388812 388820 399630 399635) (-247 "bookvol10.2.pamphlet" 386964 386974 388768 388807) (-246 "bookvol10.2.pamphlet" 382305 382321 386832 386959) (-245 NIL 377732 377750 382261 382266) (-244 "bookvol10.3.pamphlet" 371091 371107 371229 371530) (-243 "bookvol10.3.pamphlet" 364463 364481 364588 364889) (-242 "bookvol10.3.pamphlet" 361700 361715 362257 362384) (-241 "bookvol10.4.pamphlet" 361044 361054 361690 361695) (-240 "bookvol10.3.pamphlet" 359679 359689 360450 360477) (-239 "bookvol10.2.pamphlet" 358072 358082 359659 359674) (-238 "bookvol10.2.pamphlet" 357519 357527 358016 358067) (-237 NIL 357010 357020 357509 357514) (-236 "bookvol10.3.pamphlet" 356863 356873 356942 356969) (-235 "bookvol10.2.pamphlet" 355622 355632 356831 356858) (-234 "bookvol10.4.pamphlet" 353802 353810 355612 355617) (-233 "bookvol10.3.pamphlet" 353094 353109 353638 353763) (-232 "bookvol10.3.pamphlet" 344684 344700 345309 345440) (-231 "bookvol10.4.pamphlet" 343507 343525 344674 344679) (-230 "bookvol10.2.pamphlet" 342669 342685 343359 343502) (-229 NIL 341572 341590 342264 342269) (-228 "bookvol10.4.pamphlet" 340375 340383 341562 341567) (-227 "bookvol10.2.pamphlet" 339347 339357 340343 340370) (-226 NIL 338305 338317 339303 339308) (-225 "bookvol10.2.pamphlet" 337418 337426 338285 338300) (-224 NIL 336539 336549 337408 337413) (-223 "bookvol10.2.pamphlet" 335698 335708 336519 336534) (-222 NIL 334774 334786 335597 335602) (-221 "bookvol10.2.pamphlet" 334392 334402 334742 334769) (-220 NIL 334030 334042 334382 334387) (-219 "bookvol10.3.pamphlet" 332238 332248 333674 333701) (-218 "bookvol10.3.pamphlet" 330966 330974 331362 331389) (-217 "bookvol10.4.pamphlet" 322208 322216 330956 330961) (-216 "bookvol10.3.pamphlet" 321411 321419 321840 321867) (-215 "bookvol10.3.pamphlet" 317688 317696 321301 321406) (-214 "bookvol10.4.pamphlet" 315897 315913 317678 317683) (-213 "bookvol10.3.pamphlet" 313807 313839 315877 315892) (-212 "bookvol10.3.pamphlet" 307481 307491 313637 313664) (-211 "bookvol10.4.pamphlet" 307094 307108 307471 307476) (-210 "bookvol10.4.pamphlet" 304575 304585 307084 307089) (-209 "bookvol10.4.pamphlet" 303071 303087 304565 304570) (-208 "bookvol10.3.pamphlet" 300952 300960 301538 301631) (-207 "bookvol10.4.pamphlet" 298803 298820 300942 300947) (-206 "bookvol10.4.pamphlet" 298401 298425 298793 298798) (-205 "bookvol10.3.pamphlet" 296988 296998 298391 298396) (-204 "bookvol10.3.pamphlet" 296816 296824 296978 296983) (-203 "bookvol10.3.pamphlet" 296636 296644 296806 296811) (-202 "bookvol10.4.pamphlet" 295575 295583 296626 296631) (-201 "bookvol10.3.pamphlet" 295037 295045 295565 295570) (-200 "bookvol10.3.pamphlet" 294515 294523 295027 295032) (-199 "bookvol10.3.pamphlet" 294005 294013 294505 294510) (-198 "bookvol10.3.pamphlet" 293495 293503 293995 294000) (-197 "bookvol10.4.pamphlet" 288337 288345 293485 293490) (-196 "bookvol10.4.pamphlet" 286656 286664 288327 288332) (-195 "bookvol10.3.pamphlet" 286633 286641 286646 286651) (-194 "bookvol10.3.pamphlet" 286155 286163 286623 286628) (-193 "bookvol10.3.pamphlet" 285677 285685 286145 286150) (-192 "bookvol10.3.pamphlet" 285145 285153 285667 285672) (-191 "bookvol10.3.pamphlet" 284630 284638 285135 285140) (-190 "bookvol10.3.pamphlet" 284054 284062 284620 284625) (-189 "bookvol10.3.pamphlet" 283548 283556 284044 284049) (-188 "bookvol10.3.pamphlet" 283058 283066 283538 283543) (-187 "bookvol10.3.pamphlet" 282598 282606 283048 283053) (-186 "bookvol10.3.pamphlet" 282124 282132 282588 282593) (-185 "bookvol10.3.pamphlet" 281647 281655 282114 282119) (-184 "bookvol10.4.pamphlet" 277706 277714 281637 281642) (-183 "bookvol10.4.pamphlet" 277210 277218 277696 277701) (-182 "bookvol10.4.pamphlet" 274027 274035 277200 277205) (-181 "bookvol10.4.pamphlet" 273442 273452 274017 274022) (-180 "bookvol10.4.pamphlet" 271932 271948 273432 273437) (-179 "bookvol10.4.pamphlet" 270601 270614 271922 271927) (-178 "bookvol10.4.pamphlet" 264428 264441 270591 270596) (-177 "bookvol10.4.pamphlet" 263467 263477 264418 264423) (-176 "bookvol10.4.pamphlet" 262967 262982 263392 263397) (-175 "bookvol10.4.pamphlet" 262672 262691 262957 262962) (-174 "bookvol10.4.pamphlet" 257565 257575 262662 262667) (-173 "bookvol10.3.pamphlet" 253300 253310 257467 257560) (-172 "bookvol10.2.pamphlet" 252975 252983 253238 253295) (-171 "bookvol10.3.pamphlet" 252471 252479 252965 252970) (-170 "bookvol10.4.pamphlet" 252238 252253 252461 252466) (-169 "bookvol10.3.pamphlet" 246262 246272 246505 246766) (-168 "bookvol10.4.pamphlet" 245975 245987 246252 246257) (-167 "bookvol10.4.pamphlet" 245771 245785 245965 245970) (-166 "bookvol10.2.pamphlet" 243827 243837 245493 245766) (-165 NIL 241587 241599 243255 243260) (-164 "bookvol10.4.pamphlet" 241333 241351 241577 241582) (-163 "bookvol10.4.pamphlet" 240866 240874 241323 241328) (-162 "bookvol10.3.pamphlet" 240673 240681 240856 240861) (-161 "bookvol10.2.pamphlet" 239578 239586 240663 240668) (-160 "bookvol10.4.pamphlet" 238076 238086 239568 239573) (-159 "bookvol10.4.pamphlet" 235336 235352 238066 238071) (-158 "bookvol10.3.pamphlet" 234173 234181 235326 235331) (-157 "bookvol10.4.pamphlet" 233505 233522 234163 234168) (-156 "bookvol10.4.pamphlet" 229569 229577 233495 233500) (-155 "bookvol10.3.pamphlet" 228222 228238 229525 229564) (-154 "bookvol10.2.pamphlet" 224493 224503 228202 228217) (-153 NIL 220645 220657 224356 224361) (-152 "bookvol10.4.pamphlet" 219970 219983 220635 220640) (-151 "bookvol10.4.pamphlet" 218048 218070 219960 219965) (-150 "bookvol10.2.pamphlet" 217963 217971 218028 218043) (-149 "bookvol10.4.pamphlet" 217471 217481 217953 217958) (-148 "bookvol10.2.pamphlet" 217224 217232 217451 217466) (-147 "bookvol10.3.pamphlet" 212724 212732 217214 217219) (-146 "bookvol10.2.pamphlet" 211905 211913 212714 212719) (-145 "bookvol10.3.pamphlet" 210142 210150 210843 210870) (-144 "bookvol10.3.pamphlet" 209260 209268 209698 209725) (-143 "bookvol10.4.pamphlet" 208418 208432 209250 209255) (-142 "bookvol10.3.pamphlet" 206781 206789 207887 207926) (-141 "bookvol10.3.pamphlet" 196438 196462 206771 206776) (-140 "bookvol10.4.pamphlet" 195824 195851 196428 196433) (-139 "bookvol10.3.pamphlet" 192160 192168 195798 195819) (-138 "bookvol10.2.pamphlet" 191782 191790 192150 192155) (-137 "bookvol10.2.pamphlet" 191293 191301 191772 191777) (-136 "bookvol10.3.pamphlet" 190311 190321 191123 191150) (-135 "bookvol10.3.pamphlet" 189505 189515 190141 190168) (-134 "bookvol10.2.pamphlet" 188869 188879 189461 189500) (-133 NIL 188265 188277 188859 188864) (-132 "bookvol10.2.pamphlet" 187330 187338 188221 188260) (-131 NIL 186427 186437 187320 187325) (-130 "bookvol10.3.pamphlet" 184947 184957 186257 186284) (-129 "bookvol10.4.pamphlet" 183710 183721 184937 184942) (-128 "bookvol10.2.pamphlet" 182624 182634 183690 183705) (-127 NIL 181512 181524 182580 182585) (-126 "bookvol10.3.pamphlet" 179493 179505 179748 179841) (-125 "bookvol10.3.pamphlet" 179157 179169 179419 179488) (-124 "bookvol10.4.pamphlet" 178813 178830 179147 179152) (-123 "bookvol10.3.pamphlet" 174205 174213 178803 178808) (-122 "bookvol10.4.pamphlet" 171583 171593 174161 174166) (-121 "bookvol10.3.pamphlet" 170477 170485 171573 171578) (-120 "bookvol10.2.pamphlet" 170135 170147 170445 170472) (-119 "bookvol10.4.pamphlet" 168341 168377 170125 170130) (-118 "bookvol10.3.pamphlet" 168231 168239 168306 168336) (-117 "bookvol10.2.pamphlet" 168208 168216 168221 168226) (-116 "bookvol10.3.pamphlet" 168100 168108 168175 168203) (-115 "bookvol10.5.pamphlet" 165464 165472 168090 168095) (-114 "bookvol10.3.pamphlet" 164941 164949 165158 165185) (-113 "bookvol10.3.pamphlet" 164284 164292 164931 164936) (-112 "bookvol10.3.pamphlet" 162124 162132 162751 162844) (-111 "bookvol10.2.pamphlet" 161309 161319 162092 162119) (-110 NIL 160514 160526 161299 161304) (-109 "bookvol10.3.pamphlet" 159935 159943 160494 160509) (-108 "bookvol10.4.pamphlet" 159069 159096 159885 159890) (-107 "bookvol10.4.pamphlet" 156390 156400 159059 159064) (-106 "bookvol10.3.pamphlet" 151452 151462 156220 156247) (-105 "bookvol10.2.pamphlet" 151124 151132 151442 151447) (-104 NIL 150794 150804 151114 151119) (-103 "bookvol10.4.pamphlet" 150233 150246 150784 150789) (-102 "bookvol10.4.pamphlet" 150093 150101 150223 150228) (-101 "bookvol10.3.pamphlet" 149539 149549 150073 150088) (-100 "bookvol10.2.pamphlet" 146136 146144 149279 149534) (-99 "bookvol10.3.pamphlet" 142171 142178 146116 146131) (-98 "bookvol10.2.pamphlet" 141641 141648 142161 142166) (-97 NIL 141109 141118 141631 141636) (-96 "bookvol10.3.pamphlet" 136401 136410 140939 140966) (-95 "bookvol10.4.pamphlet" 135201 135212 136357 136362) (-94 "bookvol10.3.pamphlet" 134272 134285 135191 135196) (-93 "bookvol10.3.pamphlet" 132761 132774 134262 134267) (-92 "bookvol10.3.pamphlet" 131881 131894 132751 132756) (-91 "bookvol10.3.pamphlet" 130849 130862 131871 131876) (-90 "bookvol10.3.pamphlet" 130224 130237 130839 130844) (-89 "bookvol10.3.pamphlet" 129429 129442 130214 130219) (-88 "bookvol10.3.pamphlet" 128082 128095 129419 129424) (-87 "bookvol10.3.pamphlet" 127173 127186 128072 128077) (-86 "bookvol10.3.pamphlet" 125295 125308 127163 127168) (-85 "bookvol10.3.pamphlet" 123012 123025 125285 125290) (-84 "bookvol10.3.pamphlet" 119204 119217 123002 123007) (-83 "bookvol10.3.pamphlet" 118345 118358 119194 119199) (-82 "bookvol10.3.pamphlet" 116982 116995 118335 118340) (-81 "bookvol10.3.pamphlet" 114334 114373 116972 116977) (-80 "bookvol10.3.pamphlet" 112008 112047 114324 114329) (-79 "bookvol10.3.pamphlet" 110645 110658 111998 112003) (-78 "bookvol10.3.pamphlet" 109384 109397 110635 110640) (-77 "bookvol10.3.pamphlet" 108898 108911 109374 109379) (-76 "bookvol10.3.pamphlet" 107694 107707 108888 108893) (-75 "bookvol10.3.pamphlet" 105698 105711 107684 107689) (-74 "bookvol10.3.pamphlet" 105008 105021 105688 105693) (-73 "bookvol10.3.pamphlet" 92049 92062 104998 105003) (-72 "bookvol10.3.pamphlet" 90155 90168 92039 92044) (-71 "bookvol10.3.pamphlet" 88878 88891 90145 90150) (-70 "bookvol10.3.pamphlet" 87729 87742 88868 88873) (-69 "bookvol10.3.pamphlet" 87043 87056 87719 87724) (-68 "bookvol10.3.pamphlet" 77536 77549 87033 87038) (-67 "bookvol10.3.pamphlet" 76838 76851 77526 77531) (-66 "bookvol10.3.pamphlet" 75953 75966 76828 76833) (-65 "bookvol10.3.pamphlet" 75551 75560 75783 75810) (-64 "bookvol10.3.pamphlet" 74439 74448 74957 74984) (-63 "bookvol10.4.pamphlet" 72262 72273 74429 74434) (-62 "bookvol10.2.pamphlet" 64788 64809 72218 72257) (-61 NIL 57346 57369 64778 64783) (-60 "bookvol10.4.pamphlet" 56590 56612 57336 57341) (-59 "bookvol10.4.pamphlet" 56205 56218 56580 56585) (-58 "bookvol10.4.pamphlet" 55592 55599 56195 56200) (-57 "bookvol10.3.pamphlet" 53934 53941 55582 55587) (-56 "bookvol10.4.pamphlet" 53005 53014 53924 53929) (-55 "bookvol10.3.pamphlet" 51444 51460 52985 53000) (-54 "bookvol10.3.pamphlet" 51357 51364 51434 51439) (-53 "bookvol10.3.pamphlet" 49658 49665 51173 51266) (-52 "bookvol10.2.pamphlet" 47837 47848 49556 49653) (-51 NIL 45853 45866 47574 47579) (-50 "bookvol10.3.pamphlet" 43897 43918 44247 44274) (-49 "bookvol10.3.pamphlet" 43020 43046 43769 43822) (-48 "bookvol10.4.pamphlet" 38807 38818 42976 42981) (-47 "bookvol10.4.pamphlet" 37996 38010 38797 38802) (-46 "bookvol10.4.pamphlet" 35416 35431 37793 37798) (-45 "bookvol10.3.pamphlet" 33730 33757 33948 34104) (-44 "bookvol10.4.pamphlet" 32843 32853 33720 33725) (-43 "bookvol10.2.pamphlet" 32295 32304 32799 32838) (-42 NIL 31779 31790 32285 32290) (-41 "bookvol10.2.pamphlet" 31277 31298 31735 31774) (-40 "bookvol10.2.pamphlet" 30658 30665 31267 31272) (-39 "bookvol10.2.pamphlet" 28939 28946 30638 30653) (-38 NIL 27194 27203 28895 28900) (-37 "bookvol10.2.pamphlet" 24922 24931 27184 27189) (-36 "bookvol10.4.pamphlet" 23347 23362 24857 24862) (-35 "bookvol10.3.pamphlet" 23190 23205 23337 23342) (-34 "bookvol10.3.pamphlet" 23039 23048 23180 23185) (-33 "bookvol10.3.pamphlet" 22888 22897 23029 23034) (-32 "bookvol10.4.pamphlet" 22771 22809 22878 22883) (-31 "bookvol10.4.pamphlet" 22304 22342 22761 22766) (-30 "bookvol10.3.pamphlet" 20372 20379 22294 22299) (-29 "bookvol10.2.pamphlet" 18103 18112 20262 20367) (-28 NIL 15932 15943 18093 18098) (-27 "bookvol10.2.pamphlet" 10604 10611 15834 15927) (-26 NIL 5362 5371 10594 10599) (-25 "bookvol10.2.pamphlet" 4706 4713 5352 5357) (-24 NIL 4048 4057 4696 4701) (-23 "bookvol10.2.pamphlet" 3399 3406 4038 4043) (-22 NIL 2748 2757 3389 3394) (-21 "bookvol10.2.pamphlet" 2236 2243 2738 2743) (-20 NIL 1722 1731 2226 2231) (-19 "bookvol10.2.pamphlet" 860 869 1678 1717) (-18 NIL 30 41 850 855)) 
\ No newline at end of file
+((-1278 NIL 2472049 2472054 2472059 2472064) (-3 NIL 2472029 2472034 2472039 2472044) (-2 NIL 2472009 2472014 2472019 2472024) (-1 NIL 2471989 2471994 2471999 2472004) (0 NIL 2471969 2471974 2471979 2471984) (-1273 "bookvol10.3.pamphlet" 2471778 2471791 2471907 2471964) (-1272 "bookvol10.4.pamphlet" 2470822 2470833 2471768 2471773) (-1271 "bookvol10.4.pamphlet" 2461062 2461084 2470812 2470817) (-1270 "bookvol10.4.pamphlet" 2460555 2460566 2461052 2461057) (-1269 "bookvol10.3.pamphlet" 2459790 2459810 2460411 2460480) (-1268 "bookvol10.3.pamphlet" 2457519 2457532 2459508 2459607) (-1267 "bookvol10.3.pamphlet" 2457089 2457100 2457375 2457444) (-1266 "bookvol10.2.pamphlet" 2456406 2456422 2457015 2457084) (-1265 "bookvol10.3.pamphlet" 2454903 2454923 2456186 2456255) (-1264 "bookvol10.2.pamphlet" 2453363 2453378 2454805 2454898) (-1263 NIL 2451803 2451820 2453247 2453252) (-1262 "bookvol10.2.pamphlet" 2448828 2448844 2451729 2451798) (-1261 "bookvol10.4.pamphlet" 2448139 2448165 2448818 2448823) (-1260 "bookvol10.3.pamphlet" 2447768 2447784 2447995 2448064) (-1259 "bookvol10.2.pamphlet" 2447467 2447478 2447724 2447763) (-1258 "bookvol10.3.pamphlet" 2443741 2443758 2447169 2447196) (-1257 "bookvol10.3.pamphlet" 2442755 2442799 2443599 2443666) (-1256 "bookvol10.4.pamphlet" 2440318 2440340 2442745 2442750) (-1255 "bookvol10.4.pamphlet" 2438524 2438535 2440308 2440313) (-1254 "bookvol10.2.pamphlet" 2438197 2438208 2438492 2438519) (-1253 NIL 2437890 2437903 2438187 2438192) (-1252 "bookvol10.3.pamphlet" 2437480 2437489 2437880 2437885) (-1251 "bookvol10.4.pamphlet" 2435102 2435111 2437470 2437475) (-1250 "bookvol10.4.pamphlet" 2430299 2430308 2435092 2435097) (-1249 "bookvol10.3.pamphlet" 2414053 2414062 2430289 2430294) (-1248 "bookvol10.3.pamphlet" 2401790 2401799 2414043 2414048) (-1247 "bookvol10.3.pamphlet" 2400687 2400698 2400938 2400965) (-1246 "bookvol10.4.pamphlet" 2399329 2399342 2400677 2400682) (-1245 "bookvol10.2.pamphlet" 2397217 2397228 2399285 2399324) (-1244 NIL 2394924 2394937 2396994 2396999) (-1243 "bookvol10.3.pamphlet" 2394704 2394719 2394914 2394919) (-1242 "bookvol10.3.pamphlet" 2389888 2389910 2393171 2393268) (-1241 "bookvol10.4.pamphlet" 2389791 2389819 2389878 2389883) (-1240 "bookvol10.4.pamphlet" 2389099 2389123 2389747 2389752) (-1239 "bookvol10.4.pamphlet" 2387251 2387271 2389089 2389094) (-1238 "bookvol10.3.pamphlet" 2382040 2382068 2385718 2385815) (-1237 "bookvol10.2.pamphlet" 2379491 2379507 2381938 2382035) (-1236 NIL 2376586 2376604 2379035 2379040) (-1235 "bookvol10.4.pamphlet" 2376209 2376244 2376576 2376581) (-1234 "bookvol10.2.pamphlet" 2370807 2370818 2376189 2376204) (-1233 NIL 2365379 2365392 2370763 2370768) (-1232 "bookvol10.3.pamphlet" 2363022 2363048 2364460 2364593) (-1231 "bookvol10.3.pamphlet" 2360157 2360185 2361154 2361303) (-1230 "bookvol10.3.pamphlet" 2357914 2357934 2358289 2358438) (-1229 "bookvol10.2.pamphlet" 2356372 2356392 2357760 2357909) (-1228 NIL 2354972 2354994 2356362 2356367) (-1227 "bookvol10.2.pamphlet" 2353553 2353569 2354818 2354967) (-1226 "bookvol10.4.pamphlet" 2353094 2353147 2353543 2353548) (-1225 "bookvol10.4.pamphlet" 2351506 2351520 2353084 2353089) (-1224 "bookvol10.2.pamphlet" 2349086 2349110 2351404 2351501) (-1223 NIL 2346372 2346398 2348692 2348697) (-1222 "bookvol10.2.pamphlet" 2341346 2341357 2346214 2346367) (-1221 NIL 2336212 2336225 2341082 2341087) (-1220 "bookvol10.4.pamphlet" 2335677 2335696 2336202 2336207) (-1219 "bookvol10.3.pamphlet" 2332628 2332643 2333227 2333380) (-1218 "bookvol10.4.pamphlet" 2331518 2331531 2332618 2332623) (-1217 "bookvol10.4.pamphlet" 2331081 2331095 2331508 2331513) (-1216 "bookvol10.4.pamphlet" 2329318 2329332 2331071 2331076) (-1215 "bookvol10.4.pamphlet" 2328525 2328541 2329308 2329313) (-1214 "bookvol10.4.pamphlet" 2327887 2327908 2328515 2328520) (-1213 "bookvol10.3.pamphlet" 2327240 2327251 2327806 2327811) (-1212 "bookvol10.4.pamphlet" 2326733 2326746 2327196 2327201) (-1211 "bookvol10.4.pamphlet" 2325834 2325846 2326723 2326728) (-1210 "bookvol10.3.pamphlet" 2316494 2316522 2317479 2317908) (-1209 "bookvol10.3.pamphlet" 2310531 2310551 2310903 2311052) (-1208 "bookvol10.2.pamphlet" 2308124 2308144 2310351 2310526) (-1207 NIL 2305851 2305873 2308080 2308085) (-1206 "bookvol10.2.pamphlet" 2304067 2304083 2305697 2305846) (-1205 "bookvol10.4.pamphlet" 2303609 2303662 2304057 2304062) (-1204 "bookvol10.3.pamphlet" 2302002 2302018 2302076 2302173) (-1203 "bookvol10.4.pamphlet" 2301917 2301933 2301992 2301997) (-1202 "bookvol10.2.pamphlet" 2300982 2300991 2301843 2301912) (-1201 NIL 2300109 2300120 2300972 2300977) (-1200 "bookvol10.4.pamphlet" 2298956 2298965 2300099 2300104) (-1199 "bookvol10.4.pamphlet" 2296442 2296453 2298912 2298917) (-1198 "bookvol10.3.pamphlet" 2295651 2295660 2295876 2295903) (-1197 "bookvol10.2.pamphlet" 2295573 2295582 2295631 2295646) (-1196 "bookvol10.4.pamphlet" 2294223 2294238 2295563 2295568) (-1195 "bookvol10.3.pamphlet" 2293126 2293137 2294178 2294183) (-1194 "bookvol10.4.pamphlet" 2289960 2289969 2293116 2293121) (-1193 "bookvol10.3.pamphlet" 2288616 2288633 2289950 2289955) (-1192 "bookvol10.3.pamphlet" 2287205 2287221 2288181 2288278) (-1191 "bookvol10.2.pamphlet" 2274515 2274532 2287161 2287200) (-1190 NIL 2261823 2261842 2274471 2274476) (-1189 "bookvol10.4.pamphlet" 2256189 2256206 2261529 2261534) (-1188 "bookvol10.4.pamphlet" 2255148 2255173 2256179 2256184) (-1187 "bookvol10.4.pamphlet" 2253665 2253682 2255138 2255143) (-1186 "bookvol10.2.pamphlet" 2253177 2253186 2253655 2253660) (-1185 NIL 2252687 2252698 2253167 2253172) (-1184 "bookvol10.3.pamphlet" 2250736 2250747 2252517 2252544) (-1183 "bookvol10.2.pamphlet" 2250567 2250576 2250726 2250731) (-1182 NIL 2250396 2250407 2250557 2250562) (-1181 "bookvol10.4.pamphlet" 2250070 2250079 2250386 2250391) (-1180 "bookvol10.4.pamphlet" 2249733 2249744 2250060 2250065) (-1179 "bookvol10.3.pamphlet" 2248290 2248299 2249723 2249728) (-1178 "bookvol10.3.pamphlet" 2245307 2245316 2248280 2248285) (-1177 "bookvol10.4.pamphlet" 2244863 2244874 2245297 2245302) (-1176 "bookvol10.4.pamphlet" 2244418 2244427 2244853 2244858) (-1175 "bookvol10.4.pamphlet" 2242511 2242534 2244408 2244413) (-1174 "bookvol10.2.pamphlet" 2241358 2241381 2242479 2242506) (-1173 NIL 2240225 2240250 2241348 2241353) (-1172 "bookvol10.4.pamphlet" 2239601 2239612 2240215 2240220) (-1171 "bookvol10.3.pamphlet" 2238574 2238597 2238844 2238871) (-1170 "bookvol10.3.pamphlet" 2238070 2238081 2238564 2238569) (-1169 "bookvol10.4.pamphlet" 2234922 2234933 2238060 2238065) (-1168 "bookvol10.4.pamphlet" 2231515 2231526 2234912 2234917) (-1167 "bookvol10.3.pamphlet" 2229568 2229577 2231505 2231510) (-1166 "bookvol10.3.pamphlet" 2225553 2225562 2229558 2229563) (-1165 "bookvol10.3.pamphlet" 2224560 2224571 2224642 2224769) (-1164 "bookvol10.4.pamphlet" 2224035 2224046 2224550 2224555) (-1163 "bookvol10.3.pamphlet" 2221363 2221372 2224025 2224030) (-1162 "bookvol10.3.pamphlet" 2218119 2218128 2221353 2221358) (-1161 "bookvol10.3.pamphlet" 2215126 2215154 2216586 2216683) (-1160 "bookvol10.3.pamphlet" 2212248 2212276 2213258 2213407) (-1159 "bookvol10.3.pamphlet" 2208931 2208942 2209798 2209951) (-1158 "bookvol10.4.pamphlet" 2208051 2208069 2208921 2208926) (-1157 "bookvol10.3.pamphlet" 2205495 2205506 2205564 2205717) (-1156 "bookvol10.4.pamphlet" 2204885 2204898 2205485 2205490) (-1155 "bookvol10.4.pamphlet" 2203363 2203374 2204875 2204880) (-1154 "bookvol10.4.pamphlet" 2202989 2203006 2203353 2203358) (-1153 "bookvol10.3.pamphlet" 2193636 2193664 2194634 2195063) (-1152 "bookvol10.3.pamphlet" 2193316 2193331 2193626 2193631) (-1151 "bookvol10.3.pamphlet" 2185287 2185302 2193306 2193311) (-1150 "bookvol10.4.pamphlet" 2184459 2184473 2185243 2185248) (-1149 "bookvol10.4.pamphlet" 2180558 2180574 2184449 2184454) (-1148 "bookvol10.4.pamphlet" 2177026 2177042 2180548 2180553) (-1147 "bookvol10.4.pamphlet" 2169426 2169437 2176907 2176912) (-1146 "bookvol10.3.pamphlet" 2168505 2168522 2168654 2168681) (-1145 "bookvol10.3.pamphlet" 2167888 2167897 2167986 2168013) (-1144 "bookvol10.2.pamphlet" 2167664 2167673 2167844 2167883) (-1143 "bookvol10.3.pamphlet" 2162612 2162623 2167412 2167427) (-1142 "bookvol10.4.pamphlet" 2161823 2161838 2162602 2162607) (-1141 "bookvol10.4.pamphlet" 2160032 2160045 2161813 2161818) (-1140 "bookvol10.4.pamphlet" 2159456 2159467 2160022 2160027) (-1139 "bookvol10.4.pamphlet" 2159175 2159186 2159446 2159451) (-1138 "bookvol10.4.pamphlet" 2158081 2158097 2159165 2159170) (-1137 "bookvol10.2.pamphlet" 2157287 2157296 2158071 2158076) (-1136 "bookvol10.3.pamphlet" 2156375 2156403 2156542 2156557) (-1135 "bookvol10.2.pamphlet" 2155432 2155443 2156355 2156370) (-1134 NIL 2154497 2154510 2155422 2155427) (-1133 "bookvol10.3.pamphlet" 2150122 2150133 2154327 2154354) (-1132 "bookvol10.3.pamphlet" 2148165 2148182 2149824 2149851) (-1131 "bookvol10.4.pamphlet" 2146892 2146912 2148155 2148160) (-1130 "bookvol10.2.pamphlet" 2141935 2141944 2146848 2146887) (-1129 NIL 2137010 2137021 2141925 2141930) (-1128 "bookvol10.3.pamphlet" 2134690 2134708 2135598 2135685) (-1127 "bookvol10.3.pamphlet" 2129557 2129570 2134441 2134468) (-1126 "bookvol10.3.pamphlet" 2126097 2126110 2129547 2129552) (-1125 "bookvol10.2.pamphlet" 2124874 2124883 2126087 2126092) (-1124 "bookvol10.4.pamphlet" 2123439 2123448 2124864 2124869) (-1123 "bookvol10.2.pamphlet" 2107266 2107277 2123429 2123434) (-1122 "bookvol10.3.pamphlet" 2107042 2107053 2107256 2107261) (-1121 "bookvol10.4.pamphlet" 2106587 2106600 2106998 2107003) (-1120 "bookvol10.4.pamphlet" 2104180 2104191 2106577 2106582) (-1119 "bookvol10.4.pamphlet" 2102745 2102756 2104170 2104175) (-1118 "bookvol10.4.pamphlet" 2096172 2096183 2102735 2102740) (-1117 "bookvol10.4.pamphlet" 2094592 2094610 2096162 2096167) (-1116 "bookvol10.2.pamphlet" 2094359 2094376 2094548 2094587) (-1115 "bookvol10.3.pamphlet" 2092475 2092501 2093924 2094021) (-1114 "bookvol10.3.pamphlet" 2089929 2089949 2090304 2090431) (-1113 "bookvol10.4.pamphlet" 2088772 2088797 2089919 2089924) (-1112 "bookvol10.2.pamphlet" 2086870 2086900 2088704 2088767) (-1111 NIL 2084912 2084944 2086748 2086753) (-1110 "bookvol10.2.pamphlet" 2083350 2083361 2084868 2084907) (-1109 "bookvol10.3.pamphlet" 2081715 2081724 2083216 2083345) (-1108 "bookvol10.4.pamphlet" 2081458 2081467 2081705 2081710) (-1107 "bookvol10.4.pamphlet" 2080566 2080577 2081448 2081453) (-1106 "bookvol10.4.pamphlet" 2079835 2079852 2080556 2080561) (-1105 "bookvol10.4.pamphlet" 2077705 2077720 2079791 2079796) (-1104 "bookvol10.3.pamphlet" 2069418 2069445 2069920 2070051) (-1103 "bookvol10.2.pamphlet" 2068653 2068662 2069408 2069413) (-1102 NIL 2067886 2067897 2068643 2068648) (-1101 "bookvol10.4.pamphlet" 2060912 2060921 2067876 2067881) (-1100 "bookvol10.2.pamphlet" 2060391 2060408 2060868 2060907) (-1099 "bookvol10.4.pamphlet" 2060090 2060110 2060381 2060386) (-1098 "bookvol10.4.pamphlet" 2055415 2055435 2060080 2060085) (-1097 "bookvol10.3.pamphlet" 2054850 2054864 2055405 2055410) (-1096 "bookvol10.3.pamphlet" 2054693 2054733 2054840 2054845) (-1095 "bookvol10.3.pamphlet" 2054585 2054594 2054683 2054688) (-1094 "bookvol10.2.pamphlet" 2051674 2051714 2054575 2054580) (-1093 "bookvol10.3.pamphlet" 2049984 2049995 2051151 2051190) (-1092 "bookvol10.3.pamphlet" 2048402 2048419 2049974 2049979) (-1091 "bookvol10.2.pamphlet" 2047884 2047893 2048392 2048397) (-1090 NIL 2047364 2047375 2047874 2047879) (-1089 "bookvol10.2.pamphlet" 2047253 2047262 2047354 2047359) (-1088 "bookvol10.2.pamphlet" 2043741 2043752 2047221 2047248) (-1087 NIL 2040249 2040262 2043731 2043736) (-1086 "bookvol10.2.pamphlet" 2039361 2039374 2040229 2040244) (-1085 "bookvol10.3.pamphlet" 2039174 2039185 2039280 2039285) (-1084 "bookvol10.2.pamphlet" 2037980 2037991 2039154 2039169) (-1083 "bookvol10.3.pamphlet" 2037052 2037063 2037935 2037940) (-1082 "bookvol10.4.pamphlet" 2036748 2036761 2037042 2037047) (-1081 "bookvol10.4.pamphlet" 2036173 2036186 2036704 2036709) (-1080 "bookvol10.3.pamphlet" 2035449 2035460 2036163 2036168) (-1079 "bookvol10.3.pamphlet" 2032851 2032862 2033130 2033257) (-1078 "bookvol10.4.pamphlet" 2030930 2030941 2032841 2032846) (-1077 "bookvol10.4.pamphlet" 2029811 2029822 2030920 2030925) (-1076 "bookvol10.3.pamphlet" 2029683 2029692 2029801 2029806) (-1075 "bookvol10.4.pamphlet" 2029396 2029416 2029673 2029678) (-1074 "bookvol10.3.pamphlet" 2027517 2027533 2028182 2028317) (-1073 "bookvol10.4.pamphlet" 2027218 2027238 2027507 2027512) (-1072 "bookvol10.4.pamphlet" 2024904 2024920 2027208 2027213) (-1071 "bookvol10.3.pamphlet" 2024306 2024330 2024894 2024899) (-1070 "bookvol10.3.pamphlet" 2022418 2022442 2024296 2024301) (-1069 "bookvol10.3.pamphlet" 2022270 2022283 2022408 2022413) (-1068 "bookvol10.4.pamphlet" 2019338 2019358 2022260 2022265) (-1067 "bookvol10.2.pamphlet" 2009798 2009815 2019294 2019333) (-1066 NIL 2000290 2000309 2009788 2009793) (-1065 "bookvol10.4.pamphlet" 1998924 1998944 2000280 2000285) (-1064 "bookvol10.2.pamphlet" 1997308 1997338 1998914 1998919) (-1063 NIL 1995690 1995722 1997298 1997303) (-1062 "bookvol10.2.pamphlet" 1975006 1975021 1995558 1995685) (-1061 NIL 1954036 1954053 1974590 1974595) (-1060 "bookvol10.3.pamphlet" 1950481 1950490 1953265 1953292) (-1059 "bookvol10.3.pamphlet" 1949728 1949737 1950347 1950476) (-1058 NIL 1948808 1948840 1949718 1949723) (-1057 "bookvol10.2.pamphlet" 1947711 1947720 1948710 1948803) (-1056 NIL 1946700 1946711 1947701 1947706) (-1055 "bookvol10.2.pamphlet" 1946222 1946231 1946690 1946695) (-1054 "bookvol10.2.pamphlet" 1945699 1945710 1946212 1946217) (-1053 "bookvol10.4.pamphlet" 1945107 1945164 1945689 1945694) (-1052 "bookvol10.3.pamphlet" 1943842 1943861 1944330 1944369) (-1051 "bookvol10.2.pamphlet" 1939359 1939390 1943786 1943837) (-1050 NIL 1934778 1934811 1939207 1939212) (-1049 "bookvol10.4.pamphlet" 1934666 1934686 1934768 1934773) (-1048 "bookvol10.2.pamphlet" 1934019 1934028 1934646 1934661) (-1047 NIL 1933380 1933391 1934009 1934014) (-1046 "bookvol10.4.pamphlet" 1932274 1932283 1933370 1933375) (-1045 "bookvol10.3.pamphlet" 1930939 1930955 1931834 1931861) (-1044 "bookvol10.4.pamphlet" 1928981 1928992 1930929 1930934) (-1043 "bookvol10.4.pamphlet" 1926595 1926606 1928971 1928976) (-1042 "bookvol10.4.pamphlet" 1926057 1926068 1926585 1926590) (-1041 "bookvol10.4.pamphlet" 1925792 1925804 1926047 1926052) (-1040 "bookvol10.4.pamphlet" 1924780 1924789 1925782 1925787) (-1039 "bookvol10.4.pamphlet" 1924197 1924210 1924770 1924775) (-1038 "bookvol10.2.pamphlet" 1923546 1923557 1924187 1924192) (-1037 NIL 1922893 1922906 1923536 1923541) (-1036 "bookvol10.3.pamphlet" 1921535 1921544 1922122 1922149) (-1035 "bookvol10.3.pamphlet" 1920882 1920929 1921473 1921530) (-1034 "bookvol10.4.pamphlet" 1920206 1920217 1920872 1920877) (-1033 "bookvol10.4.pamphlet" 1919935 1919946 1920196 1920201) (-1032 "bookvol10.4.pamphlet" 1917487 1917496 1919925 1919930) (-1031 "bookvol10.4.pamphlet" 1917192 1917203 1917477 1917482) (-1030 "bookvol10.4.pamphlet" 1906634 1906645 1917034 1917039) (-1029 "bookvol10.4.pamphlet" 1900610 1900621 1906584 1906589) (-1028 "bookvol10.3.pamphlet" 1898701 1898718 1900312 1900339) (-1027 "bookvol10.3.pamphlet" 1898045 1898056 1898656 1898661) (-1026 "bookvol10.4.pamphlet" 1897221 1897238 1898035 1898040) (-1025 "bookvol10.4.pamphlet" 1895518 1895535 1897176 1897181) (-1024 "bookvol10.3.pamphlet" 1894301 1894321 1895005 1895098) (-1023 "bookvol10.4.pamphlet" 1892756 1892765 1894291 1894296) (-1022 "bookvol10.2.pamphlet" 1892628 1892637 1892746 1892751) (-1021 "bookvol10.4.pamphlet" 1889925 1889940 1892618 1892623) (-1020 "bookvol10.4.pamphlet" 1886768 1886783 1889915 1889920) (-1019 "bookvol10.4.pamphlet" 1886513 1886538 1886758 1886763) (-1018 "bookvol10.4.pamphlet" 1886076 1886087 1886503 1886508) (-1017 "bookvol10.4.pamphlet" 1884976 1884994 1886066 1886071) (-1016 "bookvol10.4.pamphlet" 1883181 1883199 1884966 1884971) (-1015 "bookvol10.4.pamphlet" 1882406 1882423 1883171 1883176) (-1014 "bookvol10.4.pamphlet" 1881556 1881573 1882396 1882401) (-1013 "bookvol10.2.pamphlet" 1878739 1878748 1881458 1881551) (-1012 NIL 1876008 1876019 1878729 1878734) (-1011 "bookvol10.2.pamphlet" 1873917 1873928 1875988 1876003) (-1010 NIL 1871763 1871776 1873836 1873841) (-1009 "bookvol10.4.pamphlet" 1871180 1871191 1871753 1871758) (-1008 "bookvol10.4.pamphlet" 1870364 1870376 1871170 1871175) (-1007 "bookvol10.4.pamphlet" 1869721 1869730 1870354 1870359) (-1006 "bookvol10.4.pamphlet" 1869475 1869484 1869711 1869716) (-1005 "bookvol10.3.pamphlet" 1866260 1866274 1867942 1868035) (-1004 "bookvol10.3.pamphlet" 1864673 1864710 1864792 1864948) (-1003 "bookvol10.2.pamphlet" 1864266 1864275 1864663 1864668) (-1002 NIL 1863857 1863868 1864256 1864261) (-1001 "bookvol10.3.pamphlet" 1859246 1859257 1863687 1863714) (-1000 "bookvol10.3.pamphlet" 1857872 1857883 1858170 1858235) (-999 "bookvol10.4.pamphlet" 1857195 1857213 1857862 1857867) (-998 "bookvol10.2.pamphlet" 1855356 1855366 1857125 1857190) (-997 NIL 1853268 1853280 1855039 1855044) (-996 "bookvol10.2.pamphlet" 1852074 1852084 1853224 1853263) (-995 "bookvol10.3.pamphlet" 1851537 1851551 1852064 1852069) (-994 "bookvol10.2.pamphlet" 1850228 1850238 1851427 1851532) (-993 NIL 1848522 1848534 1849723 1849728) (-992 "bookvol10.4.pamphlet" 1848213 1848229 1848512 1848517) (-991 "bookvol10.3.pamphlet" 1847770 1847778 1848203 1848208) (-990 "bookvol10.4.pamphlet" 1843172 1843191 1847760 1847765) (-989 "bookvol10.3.pamphlet" 1839247 1839279 1843086 1843091) (-988 "bookvol10.4.pamphlet" 1837243 1837261 1839237 1839242) (-987 "bookvol10.4.pamphlet" 1834553 1834574 1837233 1837238) (-986 "bookvol10.4.pamphlet" 1833880 1833899 1834543 1834548) (-985 "bookvol10.2.pamphlet" 1830006 1830016 1833870 1833875) (-984 "bookvol10.4.pamphlet" 1827090 1827100 1829996 1830001) (-983 "bookvol10.4.pamphlet" 1826907 1826921 1827080 1827085) (-982 "bookvol10.2.pamphlet" 1825989 1825999 1826863 1826902) (-981 "bookvol10.4.pamphlet" 1825296 1825320 1825979 1825984) (-980 "bookvol10.4.pamphlet" 1824154 1824164 1825286 1825291) (-979 "bookvol10.4.pamphlet" 1809555 1809571 1824032 1824037) (-978 "bookvol10.2.pamphlet" 1803448 1803471 1809523 1809550) (-977 NIL 1797327 1797352 1803404 1803409) (-976 "bookvol10.2.pamphlet" 1796310 1796318 1797317 1797322) (-975 "bookvol10.2.pamphlet" 1795073 1795102 1796208 1796305) (-974 NIL 1793926 1793957 1795063 1795068) (-973 "bookvol10.3.pamphlet" 1792741 1792749 1793916 1793921) (-972 "bookvol10.2.pamphlet" 1790074 1790084 1792731 1792736) (-971 "bookvol10.4.pamphlet" 1780219 1780236 1790030 1790035) (-970 "bookvol10.2.pamphlet" 1779638 1779648 1780175 1780214) (-969 "bookvol10.3.pamphlet" 1779520 1779536 1779628 1779633) (-968 "bookvol10.3.pamphlet" 1779408 1779418 1779510 1779515) (-967 "bookvol10.3.pamphlet" 1779296 1779306 1779398 1779403) (-966 "bookvol10.3.pamphlet" 1776697 1776709 1777262 1777317) (-965 "bookvol10.3.pamphlet" 1775083 1775095 1775788 1775915) (-964 "bookvol10.4.pamphlet" 1774287 1774326 1775073 1775078) (-963 "bookvol10.4.pamphlet" 1774039 1774047 1774277 1774282) (-962 "bookvol10.4.pamphlet" 1772282 1772292 1774029 1774034) (-961 "bookvol10.4.pamphlet" 1770255 1770269 1772272 1772277) (-960 "bookvol10.2.pamphlet" 1769878 1769886 1770245 1770250) (-959 "bookvol10.3.pamphlet" 1769121 1769131 1769284 1769311) (-958 "bookvol10.4.pamphlet" 1767013 1767025 1769111 1769116) (-957 "bookvol10.4.pamphlet" 1766385 1766397 1767003 1767008) (-956 "bookvol10.2.pamphlet" 1765522 1765530 1766375 1766380) (-955 "bookvol10.4.pamphlet" 1764294 1764316 1765478 1765483) (-954 "bookvol10.3.pamphlet" 1761606 1761616 1762108 1762235) (-953 "bookvol10.4.pamphlet" 1760867 1760890 1761596 1761601) (-952 "bookvol10.4.pamphlet" 1758931 1758953 1760857 1760862) (-951 "bookvol10.2.pamphlet" 1752333 1752354 1758799 1758926) (-950 NIL 1745037 1745060 1751505 1751510) (-949 "bookvol10.4.pamphlet" 1744485 1744499 1745027 1745032) (-948 "bookvol10.4.pamphlet" 1744095 1744107 1744475 1744480) (-947 "bookvol10.4.pamphlet" 1743036 1743065 1744051 1744056) (-946 "bookvol10.4.pamphlet" 1741784 1741799 1743026 1743031) (-945 "bookvol10.3.pamphlet" 1740845 1740855 1740932 1740959) (-944 "bookvol10.4.pamphlet" 1737485 1737493 1740835 1740840) (-943 "bookvol10.4.pamphlet" 1736242 1736256 1737475 1737480) (-942 "bookvol10.4.pamphlet" 1735787 1735797 1736232 1736237) (-941 "bookvol10.4.pamphlet" 1735374 1735388 1735777 1735782) (-940 "bookvol10.4.pamphlet" 1734900 1734914 1735364 1735369) (-939 "bookvol10.4.pamphlet" 1734401 1734423 1734890 1734895) (-938 "bookvol10.4.pamphlet" 1733471 1733489 1734333 1734338) (-937 "bookvol10.4.pamphlet" 1733052 1733066 1733461 1733466) (-936 "bookvol10.4.pamphlet" 1732619 1732631 1733042 1733047) (-935 "bookvol10.4.pamphlet" 1732195 1732205 1732609 1732614) (-934 "bookvol10.4.pamphlet" 1731768 1731786 1732185 1732190) (-933 "bookvol10.4.pamphlet" 1731050 1731064 1731758 1731763) (-932 "bookvol10.4.pamphlet" 1730119 1730127 1731040 1731045) (-931 "bookvol10.4.pamphlet" 1729145 1729161 1730109 1730114) (-930 "bookvol10.4.pamphlet" 1728043 1728081 1729135 1729140) (-929 "bookvol10.4.pamphlet" 1727823 1727831 1728033 1728038) (-928 "bookvol10.3.pamphlet" 1722495 1722503 1727813 1727818) (-927 "bookvol10.3.pamphlet" 1718897 1718905 1722485 1722490) (-926 "bookvol10.4.pamphlet" 1718030 1718040 1718887 1718892) (-925 "bookvol10.4.pamphlet" 1703987 1704014 1718020 1718025) (-924 "bookvol10.3.pamphlet" 1703894 1703908 1703977 1703982) (-923 "bookvol10.3.pamphlet" 1703805 1703815 1703884 1703889) (-922 "bookvol10.3.pamphlet" 1703716 1703726 1703795 1703800) (-921 "bookvol10.2.pamphlet" 1702744 1702758 1703706 1703711) (-920 "bookvol10.4.pamphlet" 1702360 1702379 1702734 1702739) (-919 "bookvol10.4.pamphlet" 1702142 1702158 1702350 1702355) (-918 "bookvol10.3.pamphlet" 1701764 1701772 1702116 1702137) (-917 "bookvol10.2.pamphlet" 1700720 1700728 1701690 1701759) (-916 "bookvol10.4.pamphlet" 1700449 1700459 1700710 1700715) (-915 "bookvol10.4.pamphlet" 1699061 1699075 1700439 1700444) (-914 "bookvol10.4.pamphlet" 1690427 1690435 1699051 1699056) (-913 "bookvol10.4.pamphlet" 1688977 1688994 1690417 1690422) (-912 "bookvol10.4.pamphlet" 1687992 1688002 1688967 1688972) (-911 "bookvol10.3.pamphlet" 1683360 1683370 1687894 1687987) (-910 "bookvol10.4.pamphlet" 1682715 1682731 1683350 1683355) (-909 "bookvol10.4.pamphlet" 1680750 1680779 1682705 1682710) (-908 "bookvol10.4.pamphlet" 1680120 1680138 1680740 1680745) (-907 "bookvol10.4.pamphlet" 1679539 1679566 1680110 1680115) (-906 "bookvol10.3.pamphlet" 1679206 1679218 1679344 1679437) (-905 "bookvol10.2.pamphlet" 1676872 1676880 1679132 1679201) (-904 NIL 1674566 1674576 1676828 1676833) (-903 "bookvol10.4.pamphlet" 1672451 1672463 1674556 1674561) (-902 "bookvol10.4.pamphlet" 1670051 1670074 1672441 1672446) (-901 "bookvol10.3.pamphlet" 1665037 1665047 1669881 1669896) (-900 "bookvol10.3.pamphlet" 1659727 1659737 1665027 1665032) (-899 "bookvol10.2.pamphlet" 1658280 1658290 1659707 1659722) (-898 "bookvol10.4.pamphlet" 1656943 1656957 1658270 1658275) (-897 "bookvol10.3.pamphlet" 1656213 1656223 1656795 1656800) (-896 "bookvol10.2.pamphlet" 1654507 1654517 1656193 1656208) (-895 NIL 1652809 1652821 1654497 1654502) (-894 "bookvol10.3.pamphlet" 1650914 1650922 1652799 1652804) (-893 "bookvol10.4.pamphlet" 1644706 1644714 1650904 1650909) (-892 "bookvol10.4.pamphlet" 1644006 1644023 1644696 1644701) (-891 "bookvol10.2.pamphlet" 1642150 1642158 1643996 1644001) (-890 "bookvol10.4.pamphlet" 1641839 1641852 1642140 1642145) (-889 "bookvol10.3.pamphlet" 1640481 1640498 1641829 1641834) (-888 "bookvol10.3.pamphlet" 1634912 1634922 1640471 1640476) (-887 "bookvol10.4.pamphlet" 1634649 1634661 1634902 1634907) (-886 "bookvol10.4.pamphlet" 1632939 1632955 1634639 1634644) (-885 "bookvol10.3.pamphlet" 1630478 1630490 1632929 1632934) (-884 "bookvol10.4.pamphlet" 1630132 1630146 1630468 1630473) (-883 "bookvol10.4.pamphlet" 1628289 1628320 1629840 1629845) (-882 "bookvol10.2.pamphlet" 1627714 1627724 1628279 1628284) (-881 "bookvol10.3.pamphlet" 1626798 1626812 1627704 1627709) (-880 "bookvol10.2.pamphlet" 1626562 1626572 1626788 1626793) (-879 "bookvol10.4.pamphlet" 1623924 1623932 1626552 1626557) (-878 "bookvol10.3.pamphlet" 1623352 1623380 1623914 1623919) (-877 "bookvol10.4.pamphlet" 1623143 1623159 1623342 1623347) (-876 "bookvol10.3.pamphlet" 1622571 1622599 1623133 1623138) (-875 "bookvol10.4.pamphlet" 1622356 1622372 1622561 1622566) (-874 "bookvol10.3.pamphlet" 1621814 1621842 1622346 1622351) (-873 "bookvol10.4.pamphlet" 1621599 1621615 1621804 1621809) (-872 "bookvol10.4.pamphlet" 1620390 1620439 1621589 1621594) (-871 "bookvol10.4.pamphlet" 1619802 1619810 1620380 1620385) (-870 "bookvol10.3.pamphlet" 1618772 1618780 1619792 1619797) (-869 "bookvol10.4.pamphlet" 1613155 1613178 1618728 1618733) (-868 "bookvol10.4.pamphlet" 1606974 1606997 1613104 1613109) (-867 "bookvol10.3.pamphlet" 1604304 1604322 1605479 1605572) (-866 "bookvol10.3.pamphlet" 1602319 1602331 1602540 1602633) (-865 "bookvol10.3.pamphlet" 1602014 1602026 1602245 1602314) (-864 "bookvol10.2.pamphlet" 1600570 1600582 1601940 1602009) (-863 "bookvol10.4.pamphlet" 1599499 1599518 1600560 1600565) (-862 "bookvol10.4.pamphlet" 1598480 1598496 1599489 1599494) (-861 "bookvol10.3.pamphlet" 1597081 1597089 1598151 1598244) (-860 "bookvol10.2.pamphlet" 1595831 1595839 1596983 1597076) (-859 "bookvol10.2.pamphlet" 1593894 1593902 1595733 1595826) (-858 "bookvol10.3.pamphlet" 1592619 1592629 1593690 1593783) (-857 "bookvol10.2.pamphlet" 1591372 1591380 1592521 1592614) (-856 "bookvol10.3.pamphlet" 1589677 1589697 1590762 1590855) (-855 "bookvol10.2.pamphlet" 1588419 1588427 1589579 1589672) (-854 "bookvol10.3.pamphlet" 1587403 1587433 1588277 1588344) (-853 "bookvol10.3.pamphlet" 1587184 1587207 1587393 1587398) (-852 "bookvol10.4.pamphlet" 1586268 1586276 1587174 1587179) (-851 "bookvol10.3.pamphlet" 1575682 1575690 1586258 1586263) (-850 "bookvol10.3.pamphlet" 1575271 1575279 1575672 1575677) (-849 "bookvol10.4.pamphlet" 1573732 1573742 1575188 1575193) (-848 "bookvol10.3.pamphlet" 1573090 1573118 1573412 1573451) (-847 "bookvol10.3.pamphlet" 1572389 1572413 1572770 1572809) (-846 "bookvol10.4.pamphlet" 1570223 1570235 1572309 1572314) (-845 "bookvol10.2.pamphlet" 1564369 1564379 1570179 1570218) (-844 NIL 1558405 1558417 1564217 1564222) (-843 "bookvol10.2.pamphlet" 1557571 1557579 1558395 1558400) (-842 NIL 1556735 1556745 1557561 1557566) (-841 "bookvol10.2.pamphlet" 1556069 1556077 1556715 1556730) (-840 NIL 1555411 1555421 1556059 1556064) (-839 "bookvol10.2.pamphlet" 1555165 1555173 1555401 1555406) (-838 "bookvol10.4.pamphlet" 1554306 1554322 1555155 1555160) (-837 "bookvol10.2.pamphlet" 1554240 1554248 1554296 1554301) (-836 "bookvol10.3.pamphlet" 1552726 1552736 1553787 1553816) (-835 "bookvol10.4.pamphlet" 1552066 1552078 1552716 1552721) (-834 "bookvol10.3.pamphlet" 1549750 1549758 1552056 1552061) (-833 "bookvol10.4.pamphlet" 1541934 1541942 1549740 1549745) (-832 "bookvol10.2.pamphlet" 1539400 1539408 1541924 1541929) (-831 "bookvol10.4.pamphlet" 1538949 1538957 1539390 1539395) (-830 "bookvol10.3.pamphlet" 1538691 1538701 1538771 1538838) (-829 "bookvol10.3.pamphlet" 1537465 1537475 1538238 1538267) (-828 "bookvol10.4.pamphlet" 1536938 1536950 1537455 1537460) (-827 "bookvol10.4.pamphlet" 1535940 1535948 1536928 1536933) (-826 "bookvol10.2.pamphlet" 1535716 1535726 1535884 1535935) (-825 "bookvol10.4.pamphlet" 1534328 1534336 1535706 1535711) (-824 "bookvol10.2.pamphlet" 1533293 1533301 1534318 1534323) (-823 "bookvol10.3.pamphlet" 1532718 1532730 1533179 1533218) (-822 "bookvol10.4.pamphlet" 1532552 1532562 1532708 1532713) (-821 "bookvol10.3.pamphlet" 1532095 1532103 1532542 1532547) (-820 "bookvol10.3.pamphlet" 1531129 1531137 1532085 1532090) (-819 "bookvol10.3.pamphlet" 1530473 1530481 1531119 1531124) (-818 "bookvol10.3.pamphlet" 1524762 1524770 1530463 1530468) (-817 "bookvol10.3.pamphlet" 1524171 1524179 1524752 1524757) (-816 "bookvol10.2.pamphlet" 1523946 1523954 1524097 1524166) (-815 "bookvol10.3.pamphlet" 1517317 1517327 1523936 1523941) (-814 "bookvol10.3.pamphlet" 1516578 1516588 1517307 1517312) (-813 "bookvol10.3.pamphlet" 1516026 1516052 1516390 1516539) (-812 "bookvol10.3.pamphlet" 1513384 1513394 1513712 1513839) (-811 "bookvol10.3.pamphlet" 1505241 1505261 1505599 1505730) (-810 "bookvol10.4.pamphlet" 1503820 1503839 1505231 1505236) (-809 "bookvol10.4.pamphlet" 1501470 1501487 1503810 1503815) (-808 "bookvol10.4.pamphlet" 1497413 1497430 1501427 1501432) (-807 "bookvol10.4.pamphlet" 1496800 1496824 1497403 1497408) (-806 "bookvol10.4.pamphlet" 1494366 1494383 1496790 1496795) (-805 "bookvol10.4.pamphlet" 1491257 1491279 1494356 1494361) (-804 "bookvol10.3.pamphlet" 1489843 1489851 1491247 1491252) (-803 "bookvol10.4.pamphlet" 1487147 1487169 1489833 1489838) (-802 "bookvol10.4.pamphlet" 1486523 1486547 1487137 1487142) (-801 "bookvol10.4.pamphlet" 1472885 1472893 1486513 1486518) (-800 "bookvol10.4.pamphlet" 1472316 1472332 1472875 1472880) (-799 "bookvol10.3.pamphlet" 1469711 1469719 1472306 1472311) (-798 "bookvol10.4.pamphlet" 1465078 1465094 1469701 1469706) (-797 "bookvol10.4.pamphlet" 1464597 1464615 1465068 1465073) (-796 "bookvol10.2.pamphlet" 1462982 1462990 1464587 1464592) (-795 "bookvol10.3.pamphlet" 1461114 1461124 1461832 1461871) (-794 "bookvol10.4.pamphlet" 1460750 1460771 1461104 1461109) (-793 "bookvol10.2.pamphlet" 1458524 1458534 1460706 1460745) (-792 NIL 1456023 1456035 1458207 1458212) (-791 "bookvol10.2.pamphlet" 1455871 1455879 1456013 1456018) (-790 "bookvol10.2.pamphlet" 1455619 1455627 1455861 1455866) (-789 "bookvol10.2.pamphlet" 1454911 1454919 1455609 1455614) (-788 "bookvol10.2.pamphlet" 1454772 1454780 1454901 1454906) (-787 "bookvol10.2.pamphlet" 1454634 1454642 1454762 1454767) (-786 "bookvol10.4.pamphlet" 1454357 1454373 1454624 1454629) (-785 "bookvol10.4.pamphlet" 1442674 1442682 1454347 1454352) (-784 "bookvol10.4.pamphlet" 1433433 1433441 1442664 1442669) (-783 "bookvol10.2.pamphlet" 1430772 1430780 1433423 1433428) (-782 "bookvol10.4.pamphlet" 1429612 1429620 1430762 1430767) (-781 "bookvol10.4.pamphlet" 1421684 1421694 1429417 1429422) (-780 "bookvol10.2.pamphlet" 1420981 1420997 1421640 1421679) (-779 "bookvol10.4.pamphlet" 1420526 1420536 1420898 1420903) (-778 "bookvol10.3.pamphlet" 1413515 1413525 1418076 1418229) (-777 "bookvol10.4.pamphlet" 1412907 1412919 1413505 1413510) (-776 "bookvol10.3.pamphlet" 1409102 1409121 1409410 1409537) (-775 "bookvol10.3.pamphlet" 1407626 1407636 1407703 1407796) (-774 "bookvol10.4.pamphlet" 1405998 1406012 1407616 1407621) (-773 "bookvol10.4.pamphlet" 1405890 1405919 1405988 1405993) (-772 "bookvol10.4.pamphlet" 1405136 1405156 1405880 1405885) (-771 "bookvol10.3.pamphlet" 1405024 1405038 1405116 1405131) (-770 "bookvol10.4.pamphlet" 1404618 1404657 1405014 1405019) (-769 "bookvol10.4.pamphlet" 1403152 1403171 1404608 1404613) (-768 "bookvol10.4.pamphlet" 1402840 1402866 1403142 1403147) (-767 "bookvol10.3.pamphlet" 1402581 1402589 1402830 1402835) (-766 "bookvol10.4.pamphlet" 1402257 1402267 1402571 1402576) (-765 "bookvol10.4.pamphlet" 1401726 1401742 1402247 1402252) (-764 "bookvol10.3.pamphlet" 1400616 1400624 1401700 1401721) (-763 "bookvol10.4.pamphlet" 1399238 1399248 1400606 1400611) (-762 "bookvol10.3.pamphlet" 1396836 1396844 1399228 1399233) (-761 "bookvol10.4.pamphlet" 1394296 1394313 1396826 1396831) (-760 "bookvol10.4.pamphlet" 1393549 1393563 1394286 1394291) (-759 "bookvol10.4.pamphlet" 1391661 1391677 1393539 1393544) (-758 "bookvol10.4.pamphlet" 1391318 1391332 1391651 1391656) (-757 "bookvol10.4.pamphlet" 1389478 1389492 1391308 1391313) (-756 "bookvol10.2.pamphlet" 1389074 1389082 1389468 1389473) (-755 NIL 1388668 1388678 1389064 1389069) (-754 "bookvol10.2.pamphlet" 1387954 1387962 1388658 1388663) (-753 NIL 1387238 1387248 1387944 1387949) (-752 "bookvol10.4.pamphlet" 1386311 1386319 1387228 1387233) (-751 "bookvol10.4.pamphlet" 1375877 1375885 1386301 1386306) (-750 "bookvol10.4.pamphlet" 1374313 1374321 1375867 1375872) (-749 "bookvol10.4.pamphlet" 1368487 1368495 1374303 1374308) (-748 "bookvol10.4.pamphlet" 1362231 1362239 1368477 1368482) (-747 "bookvol10.4.pamphlet" 1357853 1357861 1362221 1362226) (-746 "bookvol10.4.pamphlet" 1351227 1351235 1357843 1357848) (-745 "bookvol10.4.pamphlet" 1341622 1341630 1351217 1351222) (-744 "bookvol10.4.pamphlet" 1337549 1337557 1341612 1341617) (-743 "bookvol10.4.pamphlet" 1335424 1335432 1337539 1337544) (-742 "bookvol10.4.pamphlet" 1327870 1327878 1335414 1335419) (-741 "bookvol10.4.pamphlet" 1322026 1322034 1327860 1327865) (-740 "bookvol10.4.pamphlet" 1317856 1317864 1322016 1322021) (-739 "bookvol10.4.pamphlet" 1316368 1316376 1317846 1317851) (-738 "bookvol10.4.pamphlet" 1315666 1315674 1316358 1316363) (-737 "bookvol10.2.pamphlet" 1315172 1315182 1315634 1315661) (-736 NIL 1314698 1314710 1315162 1315167) (-735 "bookvol10.3.pamphlet" 1311919 1311933 1312248 1312401) (-734 "bookvol10.3.pamphlet" 1310038 1310052 1310110 1310330) (-733 "bookvol10.4.pamphlet" 1307022 1307039 1310028 1310033) (-732 "bookvol10.4.pamphlet" 1306420 1306437 1307012 1307017) (-731 "bookvol10.2.pamphlet" 1304454 1304475 1306318 1306415) (-730 "bookvol10.4.pamphlet" 1304111 1304121 1304444 1304449) (-729 "bookvol10.4.pamphlet" 1303551 1303559 1304101 1304106) (-728 "bookvol10.3.pamphlet" 1301556 1301566 1303313 1303352) (-727 "bookvol10.2.pamphlet" 1301389 1301399 1301512 1301551) (-726 "bookvol10.3.pamphlet" 1298342 1298354 1301097 1301164) (-725 "bookvol10.4.pamphlet" 1297902 1297916 1298332 1298337) (-724 "bookvol10.4.pamphlet" 1297463 1297480 1297892 1297897) (-723 "bookvol10.4.pamphlet" 1295508 1295527 1297453 1297458) (-722 "bookvol10.3.pamphlet" 1292958 1292973 1293302 1293429) (-721 "bookvol10.4.pamphlet" 1292237 1292256 1292948 1292953) (-720 "bookvol10.4.pamphlet" 1292045 1292088 1292227 1292232) (-719 "bookvol10.4.pamphlet" 1291789 1291825 1292035 1292040) (-718 "bookvol10.4.pamphlet" 1290124 1290141 1291779 1291784) (-717 "bookvol10.2.pamphlet" 1288988 1288996 1290114 1290119) (-716 NIL 1287850 1287860 1288978 1288983) (-715 "bookvol10.2.pamphlet" 1286596 1286609 1287710 1287845) (-714 NIL 1285364 1285379 1286480 1286485) (-713 "bookvol10.2.pamphlet" 1283370 1283378 1285354 1285359) (-712 NIL 1281374 1281384 1283360 1283365) (-711 "bookvol10.2.pamphlet" 1280518 1280526 1281364 1281369) (-710 NIL 1279660 1279670 1280508 1280513) (-709 "bookvol10.3.pamphlet" 1278339 1278353 1279640 1279655) (-708 "bookvol10.2.pamphlet" 1278020 1278030 1278307 1278334) (-707 NIL 1277721 1277733 1278010 1278015) (-706 "bookvol10.3.pamphlet" 1277034 1277073 1277701 1277716) (-705 "bookvol10.3.pamphlet" 1275676 1275688 1276856 1276923) (-704 "bookvol10.3.pamphlet" 1275187 1275205 1275666 1275671) (-703 "bookvol10.3.pamphlet" 1271847 1271863 1272665 1272818) (-702 "bookvol10.3.pamphlet" 1271208 1271247 1271749 1271842) (-701 "bookvol10.3.pamphlet" 1269995 1270003 1271198 1271203) (-700 "bookvol10.4.pamphlet" 1269735 1269769 1269985 1269990) (-699 "bookvol10.2.pamphlet" 1268177 1268187 1269691 1269730) (-698 "bookvol10.4.pamphlet" 1266749 1266766 1268167 1268172) (-697 "bookvol10.4.pamphlet" 1266219 1266237 1266739 1266744) (-696 "bookvol10.4.pamphlet" 1265805 1265818 1266209 1266214) (-695 "bookvol10.4.pamphlet" 1265120 1265130 1265795 1265800) (-694 "bookvol10.4.pamphlet" 1264013 1264023 1265110 1265115) (-693 "bookvol10.3.pamphlet" 1263789 1263799 1264003 1264008) (-692 "bookvol10.4.pamphlet" 1263250 1263268 1263779 1263784) (-691 "bookvol10.3.pamphlet" 1262689 1262697 1263152 1263245) (-690 "bookvol10.4.pamphlet" 1261328 1261338 1262679 1262684) (-689 "bookvol10.3.pamphlet" 1259772 1259780 1261218 1261323) (-688 "bookvol10.4.pamphlet" 1259172 1259194 1259762 1259767) (-687 "bookvol10.4.pamphlet" 1257034 1257042 1259162 1259167) (-686 "bookvol10.4.pamphlet" 1255275 1255285 1257024 1257029) (-685 "bookvol10.2.pamphlet" 1254550 1254560 1255243 1255270) (-684 "bookvol10.3.pamphlet" 1250523 1250531 1251137 1251338) (-683 "bookvol10.4.pamphlet" 1249731 1249743 1250513 1250518) (-682 "bookvol10.4.pamphlet" 1246839 1246865 1249721 1249726) (-681 "bookvol10.4.pamphlet" 1244115 1244125 1246829 1246834) (-680 "bookvol10.3.pamphlet" 1243006 1243016 1243490 1243517) (-679 "bookvol10.4.pamphlet" 1240332 1240356 1242890 1242895) (-678 "bookvol10.2.pamphlet" 1225543 1225565 1240288 1240327) (-677 NIL 1210602 1210626 1225349 1225354) (-676 "bookvol10.4.pamphlet" 1209870 1209918 1210592 1210597) (-675 "bookvol10.4.pamphlet" 1208590 1208602 1209860 1209865) (-674 "bookvol10.4.pamphlet" 1207489 1207503 1208580 1208585) (-673 "bookvol10.4.pamphlet" 1206823 1206835 1207479 1207484) (-672 "bookvol10.4.pamphlet" 1205641 1205651 1206813 1206818) (-671 "bookvol10.4.pamphlet" 1205449 1205463 1205631 1205636) (-670 "bookvol10.4.pamphlet" 1205214 1205226 1205439 1205444) (-669 "bookvol10.4.pamphlet" 1204844 1204854 1205204 1205209) (-668 "bookvol10.3.pamphlet" 1202788 1202805 1204834 1204839) (-667 "bookvol10.3.pamphlet" 1200707 1200717 1202389 1202394) (-666 "bookvol10.2.pamphlet" 1196163 1196173 1200687 1200702) (-665 NIL 1191627 1191639 1196153 1196158) (-664 "bookvol10.3.pamphlet" 1188433 1188450 1191617 1191622) (-663 "bookvol10.3.pamphlet" 1186691 1186705 1187113 1187164) (-662 "bookvol10.4.pamphlet" 1186224 1186241 1186681 1186686) (-661 "bookvol10.4.pamphlet" 1185064 1185092 1186214 1186219) (-660 "bookvol10.4.pamphlet" 1182868 1182882 1185054 1185059) (-659 "bookvol10.2.pamphlet" 1182525 1182535 1182824 1182863) (-658 NIL 1182214 1182226 1182515 1182520) (-657 "bookvol10.3.pamphlet" 1181228 1181247 1182070 1182139) (-656 "bookvol10.4.pamphlet" 1180485 1180495 1181218 1181223) (-655 "bookvol10.4.pamphlet" 1178930 1178979 1180475 1180480) (-654 "bookvol10.4.pamphlet" 1177569 1177579 1178920 1178925) (-653 "bookvol10.3.pamphlet" 1176970 1176984 1177503 1177530) (-652 "bookvol10.2.pamphlet" 1176572 1176580 1176960 1176965) (-651 NIL 1176172 1176182 1176562 1176567) (-650 "bookvol10.4.pamphlet" 1175090 1175102 1176162 1176167) (-649 "bookvol10.3.pamphlet" 1174477 1174493 1174770 1174809) (-648 "bookvol10.4.pamphlet" 1173521 1173538 1174434 1174439) (-647 "bookvol10.2.pamphlet" 1172138 1172148 1173477 1173516) (-646 NIL 1170753 1170765 1172094 1172099) (-645 "bookvol10.3.pamphlet" 1170029 1170041 1170433 1170472) (-644 "bookvol10.3.pamphlet" 1169432 1169442 1169709 1169748) (-643 "bookvol10.4.pamphlet" 1168204 1168222 1169422 1169427) (-642 "bookvol10.2.pamphlet" 1166579 1166589 1168106 1168199) (-641 "bookvol10.2.pamphlet" 1162327 1162337 1166559 1166574) (-640 NIL 1158049 1158061 1162283 1162288) (-639 "bookvol10.3.pamphlet" 1154785 1154802 1158039 1158044) (-638 "bookvol10.2.pamphlet" 1154268 1154278 1154775 1154780) (-637 "bookvol10.3.pamphlet" 1153368 1153378 1154042 1154069) (-636 "bookvol10.4.pamphlet" 1152799 1152813 1153358 1153363) (-635 "bookvol10.3.pamphlet" 1150740 1150750 1152169 1152196) (-634 "bookvol10.4.pamphlet" 1150031 1150045 1150730 1150735) (-633 "bookvol10.4.pamphlet" 1148671 1148683 1150021 1150026) (-632 "bookvol10.4.pamphlet" 1145544 1145556 1148661 1148666) (-631 "bookvol10.2.pamphlet" 1144976 1144986 1145524 1145539) (-630 "bookvol10.4.pamphlet" 1143753 1143765 1144888 1144893) (-629 "bookvol10.4.pamphlet" 1141667 1141677 1143743 1143748) (-628 "bookvol10.4.pamphlet" 1140550 1140563 1141657 1141662) (-627 "bookvol10.3.pamphlet" 1138564 1138576 1139840 1139985) (-626 "bookvol10.2.pamphlet" 1138089 1138099 1138490 1138559) (-625 NIL 1137642 1137654 1138045 1138050) (-624 "bookvol10.3.pamphlet" 1136175 1136183 1136883 1136898) (-623 "bookvol10.4.pamphlet" 1133543 1133562 1136165 1136170) (-622 "bookvol10.4.pamphlet" 1132286 1132302 1133533 1133538) (-621 "bookvol10.2.pamphlet" 1130993 1131001 1132276 1132281) (-620 "bookvol10.4.pamphlet" 1126645 1126660 1130983 1130988) (-619 "bookvol10.3.pamphlet" 1124708 1124735 1126625 1126640) (-618 "bookvol10.4.pamphlet" 1123092 1123109 1124698 1124703) (-617 "bookvol10.4.pamphlet" 1122150 1122172 1123082 1123087) (-616 "bookvol10.3.pamphlet" 1120922 1120935 1121743 1121812) (-615 "bookvol10.4.pamphlet" 1120495 1120511 1120912 1120917) (-614 "bookvol10.3.pamphlet" 1119935 1119949 1120417 1120456) (-613 "bookvol10.2.pamphlet" 1119711 1119721 1119915 1119930) (-612 NIL 1119495 1119507 1119701 1119706) (-611 "bookvol10.4.pamphlet" 1118208 1118225 1119485 1119490) (-610 "bookvol10.2.pamphlet" 1117930 1117940 1118198 1118203) (-609 "bookvol10.2.pamphlet" 1117667 1117677 1117920 1117925) (-608 "bookvol10.3.pamphlet" 1116202 1116212 1117451 1117456) (-607 "bookvol10.4.pamphlet" 1115905 1115917 1116192 1116197) (-606 "bookvol10.2.pamphlet" 1114996 1115018 1115873 1115900) (-605 NIL 1114107 1114131 1114986 1114991) (-604 "bookvol10.3.pamphlet" 1112729 1112745 1113454 1113481) (-603 "bookvol10.3.pamphlet" 1110706 1110718 1112019 1112164) (-602 "bookvol10.2.pamphlet" 1108788 1108812 1110686 1110701) (-601 NIL 1106735 1106761 1108635 1108640) (-600 "bookvol10.3.pamphlet" 1105743 1105758 1105883 1105910) (-599 "bookvol10.3.pamphlet" 1104903 1104913 1105733 1105738) (-598 "bookvol10.4.pamphlet" 1103714 1103733 1104893 1104898) (-597 "bookvol10.4.pamphlet" 1103208 1103222 1103704 1103709) (-596 "bookvol10.4.pamphlet" 1102938 1102950 1103198 1103203) (-595 "bookvol10.3.pamphlet" 1100730 1100745 1102774 1102899) (-594 "bookvol10.3.pamphlet" 1093156 1093171 1099704 1099801) (-593 "bookvol10.4.pamphlet" 1092639 1092655 1093146 1093151) (-592 "bookvol10.3.pamphlet" 1091869 1091882 1092035 1092062) (-591 "bookvol10.4.pamphlet" 1090949 1090968 1091859 1091864) (-590 "bookvol10.4.pamphlet" 1088913 1088921 1090939 1090944) (-589 "bookvol10.4.pamphlet" 1087436 1087446 1088869 1088874) (-588 "bookvol10.4.pamphlet" 1087037 1087048 1087426 1087431) (-587 "bookvol10.4.pamphlet" 1085383 1085393 1087027 1087032) (-586 "bookvol10.3.pamphlet" 1083128 1083142 1085238 1085265) (-585 "bookvol10.4.pamphlet" 1082264 1082280 1083118 1083123) (-584 "bookvol10.4.pamphlet" 1081405 1081421 1082254 1082259) (-583 "bookvol10.4.pamphlet" 1081165 1081173 1081395 1081400) (-582 "bookvol10.3.pamphlet" 1080858 1080870 1080970 1081063) (-581 "bookvol10.3.pamphlet" 1080619 1080645 1080784 1080853) (-580 "bookvol10.4.pamphlet" 1080228 1080244 1080609 1080614) (-579 "bookvol10.4.pamphlet" 1073474 1073491 1080218 1080223) (-578 "bookvol10.4.pamphlet" 1071333 1071349 1073048 1073053) (-577 "bookvol10.4.pamphlet" 1070639 1070647 1071323 1071328) (-576 "bookvol10.3.pamphlet" 1070415 1070425 1070553 1070634) (-575 "bookvol10.4.pamphlet" 1068779 1068793 1070405 1070410) (-574 "bookvol10.4.pamphlet" 1068268 1068278 1068769 1068774) (-573 "bookvol10.4.pamphlet" 1066913 1066930 1068258 1068263) (-572 "bookvol10.4.pamphlet" 1065276 1065292 1066556 1066561) (-571 "bookvol10.4.pamphlet" 1063003 1063021 1065208 1065213) (-570 "bookvol10.4.pamphlet" 1053110 1053118 1062993 1062998) (-569 "bookvol10.3.pamphlet" 1052471 1052479 1052964 1053105) (-568 "bookvol10.4.pamphlet" 1051737 1051754 1052461 1052466) (-567 "bookvol10.4.pamphlet" 1051402 1051426 1051727 1051732) (-566 "bookvol10.4.pamphlet" 1047803 1047811 1051392 1051397) (-565 "bookvol10.4.pamphlet" 1041183 1041201 1047735 1047740) (-564 "bookvol10.3.pamphlet" 1035181 1035189 1041173 1041178) (-563 "bookvol10.4.pamphlet" 1034281 1034338 1035171 1035176) (-562 "bookvol10.4.pamphlet" 1033355 1033365 1034271 1034276) (-561 "bookvol10.4.pamphlet" 1033223 1033247 1033345 1033350) (-560 "bookvol10.4.pamphlet" 1031537 1031553 1033213 1033218) (-559 "bookvol10.2.pamphlet" 1030161 1030169 1031463 1031532) (-558 NIL 1028847 1028857 1030151 1030156) (-557 "bookvol10.4.pamphlet" 1027977 1028064 1028837 1028842) (-556 "bookvol10.2.pamphlet" 1026440 1026450 1027891 1027972) (-555 "bookvol10.4.pamphlet" 1025943 1025951 1026430 1026435) (-554 "bookvol10.4.pamphlet" 1025125 1025152 1025933 1025938) (-553 "bookvol10.4.pamphlet" 1024617 1024633 1025115 1025120) (-552 "bookvol10.3.pamphlet" 1023697 1023728 1023860 1023887) (-551 "bookvol10.2.pamphlet" 1021093 1021101 1023599 1023692) (-550 NIL 1018575 1018585 1021083 1021088) (-549 "bookvol10.4.pamphlet" 1018009 1018022 1018565 1018570) (-548 "bookvol10.4.pamphlet" 1017075 1017094 1017999 1018004) (-547 "bookvol10.4.pamphlet" 1016133 1016157 1017065 1017070) (-546 "bookvol10.4.pamphlet" 1015119 1015136 1016123 1016128) (-545 "bookvol10.4.pamphlet" 1014266 1014296 1015109 1015114) (-544 "bookvol10.4.pamphlet" 1012551 1012573 1014256 1014261) (-543 "bookvol10.4.pamphlet" 1011601 1011620 1012541 1012546) (-542 "bookvol10.3.pamphlet" 1008645 1008653 1011591 1011596) (-541 "bookvol10.4.pamphlet" 1008270 1008280 1008635 1008640) (-540 "bookvol10.4.pamphlet" 1007858 1007866 1008260 1008265) (-539 "bookvol10.3.pamphlet" 1007239 1007302 1007848 1007853) (-538 "bookvol10.3.pamphlet" 1006645 1006668 1007229 1007234) (-537 "bookvol10.2.pamphlet" 1005268 1005331 1006635 1006640) (-536 "bookvol10.4.pamphlet" 1003800 1003822 1005258 1005263) (-535 "bookvol10.3.pamphlet" 1003706 1003723 1003790 1003795) (-534 "bookvol10.4.pamphlet" 1003127 1003137 1003696 1003701) (-533 "bookvol10.4.pamphlet" 998893 998904 1003117 1003122) (-532 "bookvol10.3.pamphlet" 998025 998051 998537 998564) (-531 "bookvol10.4.pamphlet" 997115 997159 997981 997986) (-530 "bookvol10.4.pamphlet" 995720 995744 997071 997076) (-529 "bookvol10.3.pamphlet" 994599 994614 995126 995153) (-528 "bookvol10.3.pamphlet" 994324 994362 994429 994456) (-527 "bookvol10.3.pamphlet" 993734 993750 994005 994098) (-526 "bookvol10.3.pamphlet" 990805 990820 993140 993167) (-525 "bookvol10.3.pamphlet" 990643 990660 990761 990766) (-524 "bookvol10.2.pamphlet" 990032 990044 990633 990638) (-523 NIL 989419 989433 990022 990027) (-522 "bookvol10.3.pamphlet" 989232 989244 989409 989414) (-521 "bookvol10.3.pamphlet" 989003 989015 989222 989227) (-520 "bookvol10.3.pamphlet" 988738 988750 988993 988998) (-519 "bookvol10.2.pamphlet" 987672 987684 988728 988733) (-518 "bookvol10.3.pamphlet" 987432 987444 987662 987667) (-517 "bookvol10.3.pamphlet" 987194 987206 987422 987427) (-516 "bookvol10.4.pamphlet" 984446 984464 987184 987189) (-515 "bookvol10.3.pamphlet" 979380 979419 984381 984386) (-514 "bookvol10.3.pamphlet" 978801 978824 979370 979375) (-513 "bookvol10.4.pamphlet" 977952 977968 978791 978796) (-512 "bookvol10.3.pamphlet" 977175 977183 977942 977947) (-511 "bookvol10.4.pamphlet" 975798 975815 977165 977170) (-510 "bookvol10.3.pamphlet" 975076 975089 975492 975519) (-509 "bookvol10.4.pamphlet" 971951 971970 975066 975071) (-508 "bookvol10.4.pamphlet" 970839 970854 971941 971946) (-507 "bookvol10.3.pamphlet" 970570 970596 970669 970696) (-506 "bookvol10.3.pamphlet" 969883 969898 969976 970003) (-505 "bookvol10.3.pamphlet" 968096 968104 969699 969792) (-504 "bookvol10.4.pamphlet" 967651 967684 968086 968091) (-503 "bookvol10.2.pamphlet" 967075 967083 967641 967646) (-502 NIL 966497 966507 967065 967070) (-501 "bookvol10.3.pamphlet" 965297 965305 966487 966492) (-500 "bookvol10.2.pamphlet" 962547 962557 965277 965292) (-499 NIL 959638 959650 962370 962375) (-498 "bookvol10.3.pamphlet" 957507 957515 958105 958198) (-497 "bookvol10.4.pamphlet" 956361 956372 957497 957502) (-496 "bookvol10.3.pamphlet" 955951 955975 956351 956356) (-495 "bookvol10.3.pamphlet" 951674 951684 955781 955808) (-494 "bookvol10.3.pamphlet" 943527 943543 943889 944020) (-493 "bookvol10.3.pamphlet" 940718 940733 941321 941448) (-492 "bookvol10.4.pamphlet" 939258 939266 940708 940713) (-491 "bookvol10.3.pamphlet" 938290 938321 938501 938528) (-490 "bookvol10.3.pamphlet" 937875 937883 938192 938285) (-489 "bookvol10.4.pamphlet" 923752 923764 937865 937870) (-488 "bookvol10.4.pamphlet" 923497 923505 923597 923602) (-487 "bookvol10.4.pamphlet" 907570 907606 923367 923372) (-486 "bookvol10.4.pamphlet" 907331 907339 907429 907434) (-485 "bookvol10.4.pamphlet" 907152 907166 907265 907270) (-484 "bookvol10.4.pamphlet" 907029 907043 907142 907147) (-483 "bookvol10.4.pamphlet" 906862 906870 906962 906967) (-482 "bookvol10.3.pamphlet" 906054 906070 906564 906591) (-481 "bookvol10.3.pamphlet" 905135 905170 905309 905324) (-480 "bookvol10.3.pamphlet" 902302 902329 903267 903416) (-479 "bookvol10.2.pamphlet" 901268 901276 902282 902297) (-478 NIL 900242 900252 901258 901263) (-477 "bookvol10.4.pamphlet" 898825 898846 900232 900237) (-476 "bookvol10.2.pamphlet" 897403 897415 898815 898820) (-475 NIL 895979 895993 897393 897398) (-474 "bookvol10.3.pamphlet" 888584 888592 895969 895974) (-473 "bookvol10.4.pamphlet" 886963 886971 888574 888579) (-472 "bookvol10.4.pamphlet" 885406 885414 886953 886958) (-471 "bookvol10.2.pamphlet" 884460 884472 885396 885401) (-470 NIL 883512 883526 884450 884455) (-469 "bookvol10.3.pamphlet" 883022 883045 883250 883277) (-468 "bookvol10.4.pamphlet" 877712 877799 882978 882983) (-467 "bookvol10.4.pamphlet" 876973 876991 877702 877707) (-466 "bookvol10.3.pamphlet" 871561 871569 876963 876968) (-465 "bookvol10.3.pamphlet" 867916 867924 871551 871556) (-464 "bookvol10.3.pamphlet" 867023 867050 867884 867911) (-463 "bookvol10.4.pamphlet" 866133 866147 867013 867018) (-462 "bookvol10.4.pamphlet" 862234 862247 866123 866128) (-461 "bookvol10.4.pamphlet" 861838 861848 862224 862229) (-460 "bookvol10.4.pamphlet" 861422 861439 861828 861833) (-459 "bookvol10.4.pamphlet" 860889 860908 861412 861417) (-458 "bookvol10.4.pamphlet" 858879 858892 860879 860884) (-457 "bookvol10.4.pamphlet" 857136 857144 858869 858874) (-456 "bookvol10.3.pamphlet" 854169 854186 854930 855057) (-455 "bookvol10.3.pamphlet" 848064 848091 853963 854030) (-454 "bookvol10.2.pamphlet" 846992 847000 847990 848059) (-453 NIL 845982 845992 846982 846987) (-452 "bookvol10.4.pamphlet" 839763 839801 845938 845943) (-451 "bookvol10.4.pamphlet" 835861 835899 839753 839758) (-450 "bookvol10.4.pamphlet" 830927 830965 835851 835856) (-449 "bookvol10.4.pamphlet" 827182 827220 830917 830922) (-448 "bookvol10.4.pamphlet" 826479 826487 827172 827177) (-447 "bookvol10.4.pamphlet" 824801 824811 826435 826440) (-446 "bookvol10.4.pamphlet" 823260 823273 824791 824796) (-445 "bookvol10.4.pamphlet" 821425 821444 823250 823255) (-444 "bookvol10.4.pamphlet" 811691 811702 821415 821420) (-443 "bookvol10.2.pamphlet" 808704 808712 811671 811686) (-442 "bookvol10.2.pamphlet" 807746 807754 808684 808699) (-441 "bookvol10.3.pamphlet" 807595 807607 807736 807741) (-440 NIL 805807 805815 807585 807590) (-439 "bookvol10.3.pamphlet" 804970 804978 805797 805802) (-438 "bookvol10.4.pamphlet" 804012 804031 804906 804911) (-437 "bookvol10.3.pamphlet" 802098 802106 804002 804007) (-436 "bookvol10.4.pamphlet" 801520 801536 802088 802093) (-435 "bookvol10.4.pamphlet" 800328 800344 801477 801482) (-434 "bookvol10.4.pamphlet" 797600 797616 800318 800323) (-433 "bookvol10.2.pamphlet" 791634 791644 797363 797595) (-432 NIL 785458 785470 791189 791194) (-431 "bookvol10.4.pamphlet" 785080 785096 785448 785453) (-430 "bookvol10.3.pamphlet" 784388 784400 784900 784999) (-429 "bookvol10.4.pamphlet" 783662 783678 784378 784383) (-428 "bookvol10.2.pamphlet" 782763 782773 783606 783657) (-427 NIL 781838 781850 782683 782688) (-426 "bookvol10.4.pamphlet" 780525 780541 781828 781833) (-425 "bookvol10.4.pamphlet" 774914 774948 780515 780520) (-424 "bookvol10.4.pamphlet" 774524 774540 774904 774909) (-423 "bookvol10.4.pamphlet" 773647 773670 774514 774519) (-422 "bookvol10.4.pamphlet" 772589 772599 773637 773642) (-421 "bookvol10.3.pamphlet" 764013 764023 771613 771682) (-420 "bookvol10.2.pamphlet" 759092 759102 763955 764008) (-419 NIL 754183 754195 759048 759053) (-418 "bookvol10.4.pamphlet" 753629 753647 754173 754178) (-417 "bookvol10.3.pamphlet" 753023 753053 753560 753565) (-416 "bookvol10.3.pamphlet" 752218 752239 753003 753018) (-415 "bookvol10.4.pamphlet" 751954 751986 752208 752213) (-414 "bookvol10.2.pamphlet" 751618 751628 751944 751949) (-413 NIL 751148 751160 751476 751481) (-412 "bookvol10.2.pamphlet" 749476 749489 751104 751143) (-411 NIL 747836 747851 749466 749471) (-410 "bookvol10.3.pamphlet" 744935 744945 745338 745511) (-409 "bookvol10.4.pamphlet" 744538 744550 744925 744930) (-408 "bookvol10.4.pamphlet" 743872 743884 744528 744533) (-407 "bookvol10.2.pamphlet" 740842 740850 743762 743867) (-406 NIL 737840 737850 740762 740767) (-405 "bookvol10.2.pamphlet" 736884 736892 737742 737835) (-404 NIL 736014 736024 736874 736879) (-403 "bookvol10.2.pamphlet" 735766 735776 735994 736009) (-402 "bookvol10.3.pamphlet" 734542 734559 735756 735761) (-401 NIL 733027 733076 734532 734537) (-400 "bookvol10.4.pamphlet" 731956 731964 733017 733022) (-399 "bookvol10.2.pamphlet" 729116 729124 731936 731951) (-398 "bookvol10.2.pamphlet" 728790 728798 729096 729111) (-397 "bookvol10.3.pamphlet" 726128 726136 728780 728785) (-396 "bookvol10.4.pamphlet" 725607 725617 726118 726123) (-395 "bookvol10.4.pamphlet" 725388 725412 725597 725602) (-394 "bookvol10.4.pamphlet" 724589 724597 725378 725383) (-393 "bookvol10.3.pamphlet" 724011 724033 724557 724584) (-392 "bookvol10.2.pamphlet" 722339 722347 724001 724006) (-391 "bookvol10.3.pamphlet" 722231 722239 722329 722334) (-390 "bookvol10.2.pamphlet" 722029 722037 722157 722226) (-389 "bookvol10.3.pamphlet" 719084 719094 721985 721990) (-388 "bookvol10.3.pamphlet" 718779 718791 719018 719045) (-387 "bookvol10.2.pamphlet" 715799 715807 718759 718774) (-386 "bookvol10.2.pamphlet" 714841 714849 715779 715794) (-385 "bookvol10.2.pamphlet" 712545 712563 714809 714836) (-384 "bookvol10.3.pamphlet" 712005 712017 712479 712506) (-383 "bookvol10.4.pamphlet" 709741 709755 711995 712000) (-382 "bookvol10.3.pamphlet" 703162 703170 709607 709736) (-381 "bookvol10.4.pamphlet" 700594 700608 703152 703157) (-380 "bookvol10.2.pamphlet" 700306 700316 700574 700589) (-379 NIL 699972 699984 700242 700247) (-378 "bookvol10.4.pamphlet" 699222 699234 699962 699967) (-377 "bookvol10.2.pamphlet" 696927 696946 699148 699217) (-376 "bookvol10.2.pamphlet" 693925 693935 696895 696922) (-375 NIL 690836 690848 693808 693813) (-374 "bookvol10.4.pamphlet" 689505 689521 690826 690831) (-373 "bookvol10.2.pamphlet" 687538 687551 689461 689500) (-372 NIL 685497 685512 687422 687427) (-371 "bookvol10.2.pamphlet" 684649 684657 685487 685492) (-370 "bookvol10.2.pamphlet" 673578 673588 684591 684644) (-369 NIL 662519 662531 673534 673539) (-368 "bookvol10.3.pamphlet" 662102 662112 662509 662514) (-367 "bookvol10.2.pamphlet" 660531 660548 662092 662097) (-366 "bookvol10.2.pamphlet" 659849 659857 660433 660526) (-365 NIL 659253 659263 659839 659844) (-364 "bookvol10.3.pamphlet" 657862 657872 659233 659248) (-363 "bookvol10.4.pamphlet" 656677 656692 657852 657857) (-362 "bookvol10.3.pamphlet" 656096 656111 656393 656486) (-361 "bookvol10.4.pamphlet" 655961 655978 656086 656091) (-360 "bookvol10.4.pamphlet" 655450 655471 655951 655956) (-359 "bookvol10.4.pamphlet" 646729 646740 655440 655445) (-358 "bookvol10.4.pamphlet" 645775 645792 646719 646724) (-357 "bookvol10.3.pamphlet" 645261 645281 645491 645584) (-356 "bookvol10.3.pamphlet" 644709 644725 644942 645035) (-355 "bookvol10.3.pamphlet" 643227 643247 644425 644518) (-354 "bookvol10.3.pamphlet" 641737 641754 642943 643036) (-353 "bookvol10.3.pamphlet" 640248 640269 641418 641511) (-352 "bookvol10.4.pamphlet" 637610 637629 640238 640243) (-351 "bookvol10.2.pamphlet" 635184 635192 637512 637605) (-350 NIL 632844 632854 635174 635179) (-349 "bookvol10.4.pamphlet" 631589 631606 632834 632839) (-348 "bookvol10.4.pamphlet" 629004 629015 631579 631584) (-347 "bookvol10.4.pamphlet" 622212 622228 628994 628999) (-346 "bookvol10.4.pamphlet" 620827 620846 622202 622207) (-345 "bookvol10.4.pamphlet" 620236 620253 620817 620822) (-344 "bookvol10.3.pamphlet" 619089 619109 619952 620045) (-343 "bookvol10.3.pamphlet" 617984 618004 618805 618898) (-342 "bookvol10.3.pamphlet" 616783 616804 617665 617758) (-341 "bookvol10.2.pamphlet" 605414 605436 616622 616778) (-340 NIL 594124 594148 605334 605339) (-339 "bookvol10.4.pamphlet" 593869 593909 594114 594119) (-338 "bookvol10.3.pamphlet" 586499 586545 593625 593664) (-337 "bookvol10.2.pamphlet" 586205 586215 586489 586494) (-336 NIL 585696 585708 585982 585987) (-335 "bookvol10.3.pamphlet" 585129 585153 585686 585691) (-334 "bookvol10.2.pamphlet" 583171 583195 585119 585124) (-333 NIL 581211 581237 583161 583166) (-332 "bookvol10.4.pamphlet" 580955 580995 581201 581206) (-331 "bookvol10.4.pamphlet" 579476 579484 580945 580950) (-330 "bookvol10.3.pamphlet" 579005 579015 579466 579471) (-329 NIL 568830 568838 578995 579000) (-328 "bookvol10.2.pamphlet" 561703 561717 568732 568825) (-327 NIL 554628 554644 561659 561664) (-326 "bookvol10.3.pamphlet" 553042 553052 554034 554061) (-325 "bookvol10.2.pamphlet" 551162 551174 552940 553037) (-324 NIL 549266 549280 551046 551051) (-323 "bookvol10.4.pamphlet" 548816 548838 549256 549261) (-322 "bookvol10.3.pamphlet" 548466 548476 548770 548775) (-321 "bookvol10.2.pamphlet" 546657 546669 548456 548461) (-320 "bookvol10.3.pamphlet" 546263 546273 546553 546580) (-319 "bookvol10.4.pamphlet" 544459 544476 546253 546258) (-318 "bookvol10.4.pamphlet" 544341 544351 544449 544454) (-317 "bookvol10.4.pamphlet" 543517 543527 544331 544336) (-316 "bookvol10.4.pamphlet" 543399 543409 543507 543512) (-315 "bookvol10.3.pamphlet" 540232 540255 541531 541680) (-314 "bookvol10.4.pamphlet" 537596 537604 540222 540227) (-313 "bookvol10.4.pamphlet" 537498 537527 537586 537591) (-312 "bookvol10.4.pamphlet" 534306 534322 537488 537493) (-311 "bookvol10.3.pamphlet" 529555 529565 530295 530702) (-310 "bookvol10.4.pamphlet" 525615 525628 529545 529550) (-309 "bookvol10.4.pamphlet" 525375 525387 525605 525610) (-308 "bookvol10.3.pamphlet" 522313 522338 522947 523040) (-307 "bookvol10.4.pamphlet" 522166 522174 522303 522308) (-306 "bookvol10.3.pamphlet" 521833 521841 522156 522161) (-305 "bookvol10.4.pamphlet" 521323 521337 521823 521828) (-304 "bookvol10.2.pamphlet" 520887 520897 521313 521318) (-303 NIL 520449 520461 520877 520882) (-302 "bookvol10.2.pamphlet" 517983 517991 520375 520444) (-301 NIL 515579 515589 517973 517978) (-300 "bookvol10.4.pamphlet" 507419 507427 515569 515574) (-299 "bookvol10.4.pamphlet" 507004 507018 507409 507414) (-298 "bookvol10.4.pamphlet" 506681 506692 506994 506999) (-297 "bookvol10.2.pamphlet" 499228 499236 506671 506676) (-296 NIL 491681 491691 499126 499131) (-295 "bookvol10.4.pamphlet" 488454 488462 491671 491676) (-294 "bookvol10.4.pamphlet" 488195 488207 488444 488449) (-293 "bookvol10.4.pamphlet" 487690 487706 488185 488190) (-292 "bookvol10.4.pamphlet" 487256 487272 487680 487685) (-291 "bookvol10.4.pamphlet" 484630 484638 487246 487251) (-290 "bookvol10.3.pamphlet" 483664 483686 483873 483900) (-289 "bookvol10.3.pamphlet" 478522 478532 481337 481449) (-288 "bookvol10.4.pamphlet" 478238 478250 478512 478517) (-287 "bookvol10.4.pamphlet" 474552 474562 478228 478233) (-286 "bookvol10.2.pamphlet" 474094 474102 474496 474547) (-285 "bookvol10.3.pamphlet" 473274 473315 474020 474089) (-284 "bookvol10.2.pamphlet" 471528 471547 473264 473269) (-283 NIL 469746 469767 471484 471489) (-282 "bookvol10.2.pamphlet" 469210 469228 469736 469741) (-281 "bookvol10.4.pamphlet" 468589 468608 469200 469205) (-280 "bookvol10.2.pamphlet" 468278 468286 468579 468584) (-279 NIL 467965 467975 468268 468273) (-278 "bookvol10.2.pamphlet" 465669 465679 467933 467960) (-277 NIL 463322 463334 465588 465593) (-276 "bookvol10.4.pamphlet" 460113 460143 463278 463283) (-275 "bookvol10.4.pamphlet" 456964 456987 460069 460074) (-274 "bookvol10.4.pamphlet" 454919 454935 456954 456959) (-273 "bookvol10.4.pamphlet" 449685 449701 454909 454914) (-272 "bookvol10.3.pamphlet" 447961 447969 449675 449680) (-271 "bookvol10.3.pamphlet" 447497 447505 447951 447956) (-270 "bookvol10.3.pamphlet" 447074 447082 447487 447492) (-269 "bookvol10.3.pamphlet" 446654 446662 447064 447069) (-268 "bookvol10.3.pamphlet" 446190 446198 446644 446649) (-267 "bookvol10.3.pamphlet" 445726 445734 446180 446185) (-266 "bookvol10.3.pamphlet" 445262 445270 445716 445721) (-265 "bookvol10.3.pamphlet" 444798 444806 445252 445257) (-264 "bookvol10.4.pamphlet" 440414 440422 444788 444793) (-263 "bookvol10.2.pamphlet" 437095 437105 440404 440409) (-262 NIL 433774 433786 437085 437090) (-261 "bookvol10.4.pamphlet" 430754 430841 433764 433769) (-260 "bookvol10.3.pamphlet" 429924 429934 430584 430611) (-259 "bookvol10.2.pamphlet" 429512 429522 429880 429919) (-258 "bookvol10.3.pamphlet" 426955 426969 427248 427375) (-257 "bookvol10.3.pamphlet" 420900 420908 426945 426950) (-256 "bookvol10.4.pamphlet" 420561 420571 420890 420895) (-255 "bookvol10.4.pamphlet" 415386 415394 420551 420556) (-254 "bookvol10.4.pamphlet" 413541 413549 415376 415381) (-253 "bookvol10.4.pamphlet" 406141 406154 413531 413536) (-252 "bookvol10.4.pamphlet" 405394 405404 406131 406136) (-251 "bookvol10.4.pamphlet" 402749 402757 405384 405389) (-250 "bookvol10.4.pamphlet" 402286 402301 402739 402744) (-249 "bookvol10.4.pamphlet" 391458 391466 402276 402281) (-248 "bookvol10.2.pamphlet" 389610 389620 391414 391453) (-247 "bookvol10.2.pamphlet" 384951 384967 389478 389605) (-246 NIL 380378 380396 384907 384912) (-245 "bookvol10.3.pamphlet" 373737 373753 373875 374176) (-244 "bookvol10.3.pamphlet" 367109 367127 367234 367535) (-243 "bookvol10.3.pamphlet" 364346 364361 364903 365030) (-242 "bookvol10.4.pamphlet" 363690 363700 364336 364341) (-241 "bookvol10.3.pamphlet" 362325 362335 363096 363123) (-240 "bookvol10.2.pamphlet" 360718 360728 362305 362320) (-239 "bookvol10.2.pamphlet" 360165 360173 360662 360713) (-238 NIL 359656 359666 360155 360160) (-237 "bookvol10.3.pamphlet" 359509 359519 359588 359615) (-236 "bookvol10.2.pamphlet" 358268 358278 359477 359504) (-235 "bookvol10.4.pamphlet" 356448 356456 358258 358263) (-234 "bookvol10.3.pamphlet" 355740 355755 356284 356409) (-233 "bookvol10.3.pamphlet" 347330 347346 347955 348086) (-232 "bookvol10.4.pamphlet" 346153 346171 347320 347325) (-231 "bookvol10.2.pamphlet" 345315 345331 346005 346148) (-230 NIL 344218 344236 344910 344915) (-229 "bookvol10.4.pamphlet" 343021 343029 344208 344213) (-228 "bookvol10.2.pamphlet" 341993 342003 342989 343016) (-227 NIL 340951 340963 341949 341954) (-226 "bookvol10.2.pamphlet" 340064 340072 340931 340946) (-225 NIL 339185 339195 340054 340059) (-224 "bookvol10.2.pamphlet" 338344 338354 339165 339180) (-223 NIL 337420 337432 338243 338248) (-222 "bookvol10.2.pamphlet" 337038 337048 337388 337415) (-221 NIL 336676 336688 337028 337033) (-220 "bookvol10.3.pamphlet" 334884 334894 336320 336347) (-219 "bookvol10.3.pamphlet" 333612 333620 334008 334035) (-218 "bookvol10.4.pamphlet" 324556 324564 333602 333607) (-217 "bookvol10.3.pamphlet" 323759 323767 324188 324215) (-216 "bookvol10.3.pamphlet" 320036 320044 323649 323754) (-215 "bookvol10.4.pamphlet" 318245 318261 320026 320031) (-214 "bookvol10.3.pamphlet" 316155 316187 318225 318240) (-213 "bookvol10.3.pamphlet" 309829 309839 315985 316012) (-212 "bookvol10.4.pamphlet" 309442 309456 309819 309824) (-211 "bookvol10.4.pamphlet" 306923 306933 309432 309437) (-210 "bookvol10.4.pamphlet" 305419 305435 306913 306918) (-209 "bookvol10.3.pamphlet" 303300 303308 303886 303979) (-208 "bookvol10.4.pamphlet" 301151 301168 303290 303295) (-207 "bookvol10.4.pamphlet" 300749 300773 301141 301146) (-206 "bookvol10.3.pamphlet" 299336 299346 300739 300744) (-205 "bookvol10.3.pamphlet" 299164 299172 299326 299331) (-204 "bookvol10.3.pamphlet" 298984 298992 299154 299159) (-203 "bookvol10.4.pamphlet" 297923 297931 298974 298979) (-202 "bookvol10.3.pamphlet" 297385 297393 297913 297918) (-201 "bookvol10.3.pamphlet" 296863 296871 297375 297380) (-200 "bookvol10.3.pamphlet" 296353 296361 296853 296858) (-199 "bookvol10.3.pamphlet" 295843 295851 296343 296348) (-198 "bookvol10.4.pamphlet" 290685 290693 295833 295838) (-197 "bookvol10.4.pamphlet" 289004 289012 290675 290680) (-196 "bookvol10.3.pamphlet" 288981 288989 288994 288999) (-195 "bookvol10.3.pamphlet" 288503 288511 288971 288976) (-194 "bookvol10.3.pamphlet" 288025 288033 288493 288498) (-193 "bookvol10.3.pamphlet" 287493 287501 288015 288020) (-192 "bookvol10.3.pamphlet" 286978 286986 287483 287488) (-191 "bookvol10.3.pamphlet" 286402 286410 286968 286973) (-190 "bookvol10.3.pamphlet" 285896 285904 286392 286397) (-189 "bookvol10.3.pamphlet" 285406 285414 285886 285891) (-188 "bookvol10.3.pamphlet" 284946 284954 285396 285401) (-187 "bookvol10.3.pamphlet" 284472 284480 284936 284941) (-186 "bookvol10.3.pamphlet" 283995 284003 284462 284467) (-185 "bookvol10.4.pamphlet" 280054 280062 283985 283990) (-184 "bookvol10.4.pamphlet" 279558 279566 280044 280049) (-183 "bookvol10.4.pamphlet" 276375 276383 279548 279553) (-182 "bookvol10.4.pamphlet" 275790 275800 276365 276370) (-181 "bookvol10.4.pamphlet" 274280 274296 275780 275785) (-180 "bookvol10.4.pamphlet" 272949 272962 274270 274275) (-179 "bookvol10.4.pamphlet" 266776 266789 272939 272944) (-178 "bookvol10.4.pamphlet" 265815 265825 266766 266771) (-177 "bookvol10.4.pamphlet" 265315 265330 265740 265745) (-176 "bookvol10.4.pamphlet" 265020 265039 265305 265310) (-175 "bookvol10.4.pamphlet" 259913 259923 265010 265015) (-174 "bookvol10.3.pamphlet" 255648 255658 259815 259908) (-173 "bookvol10.2.pamphlet" 255323 255331 255586 255643) (-172 "bookvol10.3.pamphlet" 254819 254827 255313 255318) (-171 "bookvol10.4.pamphlet" 254586 254601 254809 254814) (-170 "bookvol10.3.pamphlet" 248610 248620 248853 249114) (-169 "bookvol10.4.pamphlet" 248323 248335 248600 248605) (-168 "bookvol10.4.pamphlet" 248119 248133 248313 248318) (-167 "bookvol10.2.pamphlet" 246175 246185 247841 248114) (-166 NIL 243935 243947 245603 245608) (-165 "bookvol10.4.pamphlet" 243681 243699 243925 243930) (-164 "bookvol10.4.pamphlet" 243214 243222 243671 243676) (-163 "bookvol10.3.pamphlet" 243021 243029 243204 243209) (-162 "bookvol10.2.pamphlet" 241926 241934 243011 243016) (-161 "bookvol10.4.pamphlet" 240424 240434 241916 241921) (-160 "bookvol10.4.pamphlet" 237684 237700 240414 240419) (-159 "bookvol10.3.pamphlet" 236521 236529 237674 237679) (-158 "bookvol10.4.pamphlet" 235853 235870 236511 236516) (-157 "bookvol10.4.pamphlet" 231917 231925 235843 235848) (-156 "bookvol10.3.pamphlet" 230570 230586 231873 231912) (-155 "bookvol10.2.pamphlet" 226841 226851 230550 230565) (-154 NIL 222993 223005 226704 226709) (-153 "bookvol10.4.pamphlet" 222318 222331 222983 222988) (-152 "bookvol10.4.pamphlet" 220396 220418 222308 222313) (-151 "bookvol10.2.pamphlet" 220311 220319 220376 220391) (-150 "bookvol10.4.pamphlet" 219819 219829 220301 220306) (-149 "bookvol10.2.pamphlet" 219572 219580 219799 219814) (-148 "bookvol10.3.pamphlet" 215072 215080 219562 219567) (-147 "bookvol10.2.pamphlet" 214253 214261 215062 215067) (-146 "bookvol10.3.pamphlet" 212490 212498 213191 213218) (-145 "bookvol10.3.pamphlet" 211608 211616 212046 212073) (-144 "bookvol10.4.pamphlet" 210766 210780 211598 211603) (-143 "bookvol10.3.pamphlet" 209129 209137 210235 210274) (-142 "bookvol10.3.pamphlet" 198786 198810 209119 209124) (-141 "bookvol10.4.pamphlet" 198172 198199 198776 198781) (-140 "bookvol10.3.pamphlet" 194508 194516 198146 198167) (-139 "bookvol10.2.pamphlet" 194130 194138 194498 194503) (-138 "bookvol10.2.pamphlet" 193641 193649 194120 194125) (-137 "bookvol10.3.pamphlet" 192659 192669 193471 193498) (-136 "bookvol10.3.pamphlet" 191853 191863 192489 192516) (-135 "bookvol10.2.pamphlet" 191217 191227 191809 191848) (-134 NIL 190613 190625 191207 191212) (-133 "bookvol10.2.pamphlet" 189678 189686 190569 190608) (-132 NIL 188775 188785 189668 189673) (-131 "bookvol10.3.pamphlet" 187295 187305 188605 188632) (-130 "Makefile.pamphlet" 184947 184955 187285 187290) (-129 "bookvol10.4.pamphlet" 183710 183721 184937 184942) (-128 "bookvol10.2.pamphlet" 182624 182634 183690 183705) (-127 NIL 181512 181524 182580 182585) (-126 "bookvol10.3.pamphlet" 179493 179505 179748 179841) (-125 "bookvol10.3.pamphlet" 179157 179169 179419 179488) (-124 "bookvol10.4.pamphlet" 178813 178830 179147 179152) (-123 "bookvol10.3.pamphlet" 174205 174213 178803 178808) (-122 "bookvol10.4.pamphlet" 171583 171593 174161 174166) (-121 "bookvol10.3.pamphlet" 170477 170485 171573 171578) (-120 "bookvol10.2.pamphlet" 170135 170147 170445 170472) (-119 "bookvol10.4.pamphlet" 168341 168377 170125 170130) (-118 "bookvol10.3.pamphlet" 168231 168239 168306 168336) (-117 "bookvol10.2.pamphlet" 168208 168216 168221 168226) (-116 "bookvol10.3.pamphlet" 168100 168108 168175 168203) (-115 "bookvol10.5.pamphlet" 165464 165472 168090 168095) (-114 "bookvol10.3.pamphlet" 164941 164949 165158 165185) (-113 "bookvol10.3.pamphlet" 164284 164292 164931 164936) (-112 "bookvol10.3.pamphlet" 162124 162132 162751 162844) (-111 "bookvol10.2.pamphlet" 161309 161319 162092 162119) (-110 NIL 160514 160526 161299 161304) (-109 "bookvol10.3.pamphlet" 159935 159943 160494 160509) (-108 "bookvol10.4.pamphlet" 159069 159096 159885 159890) (-107 "bookvol10.4.pamphlet" 156390 156400 159059 159064) (-106 "bookvol10.3.pamphlet" 151452 151462 156220 156247) (-105 "bookvol10.2.pamphlet" 151124 151132 151442 151447) (-104 NIL 150794 150804 151114 151119) (-103 "bookvol10.4.pamphlet" 150233 150246 150784 150789) (-102 "bookvol10.4.pamphlet" 150093 150101 150223 150228) (-101 "bookvol10.3.pamphlet" 149539 149549 150073 150088) (-100 "bookvol10.2.pamphlet" 146136 146144 149279 149534) (-99 "bookvol10.3.pamphlet" 142171 142178 146116 146131) (-98 "bookvol10.2.pamphlet" 141641 141648 142161 142166) (-97 NIL 141109 141118 141631 141636) (-96 "bookvol10.3.pamphlet" 136401 136410 140939 140966) (-95 "bookvol10.4.pamphlet" 135201 135212 136357 136362) (-94 "bookvol10.3.pamphlet" 134272 134285 135191 135196) (-93 "bookvol10.3.pamphlet" 132761 132774 134262 134267) (-92 "bookvol10.3.pamphlet" 131881 131894 132751 132756) (-91 "bookvol10.3.pamphlet" 130849 130862 131871 131876) (-90 "bookvol10.3.pamphlet" 130224 130237 130839 130844) (-89 "bookvol10.3.pamphlet" 129429 129442 130214 130219) (-88 "bookvol10.3.pamphlet" 128082 128095 129419 129424) (-87 "bookvol10.3.pamphlet" 127173 127186 128072 128077) (-86 "bookvol10.3.pamphlet" 125295 125308 127163 127168) (-85 "bookvol10.3.pamphlet" 123012 123025 125285 125290) (-84 "bookvol10.3.pamphlet" 119204 119217 123002 123007) (-83 "bookvol10.3.pamphlet" 118345 118358 119194 119199) (-82 "bookvol10.3.pamphlet" 116982 116995 118335 118340) (-81 "bookvol10.3.pamphlet" 114334 114373 116972 116977) (-80 "bookvol10.3.pamphlet" 112008 112047 114324 114329) (-79 "bookvol10.3.pamphlet" 110645 110658 111998 112003) (-78 "bookvol10.3.pamphlet" 109384 109397 110635 110640) (-77 "bookvol10.3.pamphlet" 108898 108911 109374 109379) (-76 "bookvol10.3.pamphlet" 107694 107707 108888 108893) (-75 "bookvol10.3.pamphlet" 105698 105711 107684 107689) (-74 "bookvol10.3.pamphlet" 105008 105021 105688 105693) (-73 "bookvol10.3.pamphlet" 92049 92062 104998 105003) (-72 "bookvol10.3.pamphlet" 90155 90168 92039 92044) (-71 "bookvol10.3.pamphlet" 88878 88891 90145 90150) (-70 "bookvol10.3.pamphlet" 87729 87742 88868 88873) (-69 "bookvol10.3.pamphlet" 87043 87056 87719 87724) (-68 "bookvol10.3.pamphlet" 77536 77549 87033 87038) (-67 "bookvol10.3.pamphlet" 76838 76851 77526 77531) (-66 "bookvol10.3.pamphlet" 75953 75966 76828 76833) (-65 "bookvol10.3.pamphlet" 75551 75560 75783 75810) (-64 "bookvol10.3.pamphlet" 74439 74448 74957 74984) (-63 "bookvol10.4.pamphlet" 72262 72273 74429 74434) (-62 "bookvol10.2.pamphlet" 64788 64809 72218 72257) (-61 NIL 57346 57369 64778 64783) (-60 "bookvol10.4.pamphlet" 56590 56612 57336 57341) (-59 "bookvol10.4.pamphlet" 56205 56218 56580 56585) (-58 "bookvol10.4.pamphlet" 55592 55599 56195 56200) (-57 "bookvol10.3.pamphlet" 53934 53941 55582 55587) (-56 "bookvol10.4.pamphlet" 53005 53014 53924 53929) (-55 "bookvol10.3.pamphlet" 51444 51460 52985 53000) (-54 "bookvol10.3.pamphlet" 51357 51364 51434 51439) (-53 "bookvol10.3.pamphlet" 49658 49665 51173 51266) (-52 "bookvol10.2.pamphlet" 47837 47848 49556 49653) (-51 NIL 45853 45866 47574 47579) (-50 "bookvol10.3.pamphlet" 43897 43918 44247 44274) (-49 "bookvol10.3.pamphlet" 43020 43046 43769 43822) (-48 "bookvol10.4.pamphlet" 38807 38818 42976 42981) (-47 "bookvol10.4.pamphlet" 37996 38010 38797 38802) (-46 "bookvol10.4.pamphlet" 35416 35431 37793 37798) (-45 "bookvol10.3.pamphlet" 33730 33757 33948 34104) (-44 "bookvol10.4.pamphlet" 32843 32853 33720 33725) (-43 "bookvol10.2.pamphlet" 32295 32304 32799 32838) (-42 NIL 31779 31790 32285 32290) (-41 "bookvol10.2.pamphlet" 31277 31298 31735 31774) (-40 "bookvol10.2.pamphlet" 30658 30665 31267 31272) (-39 "bookvol10.2.pamphlet" 28939 28946 30638 30653) (-38 NIL 27194 27203 28895 28900) (-37 "bookvol10.2.pamphlet" 24922 24931 27184 27189) (-36 "bookvol10.4.pamphlet" 23347 23362 24857 24862) (-35 "bookvol10.3.pamphlet" 23190 23205 23337 23342) (-34 "bookvol10.3.pamphlet" 23039 23048 23180 23185) (-33 "bookvol10.3.pamphlet" 22888 22897 23029 23034) (-32 "bookvol10.4.pamphlet" 22771 22809 22878 22883) (-31 "bookvol10.4.pamphlet" 22304 22342 22761 22766) (-30 "bookvol10.3.pamphlet" 20372 20379 22294 22299) (-29 "bookvol10.2.pamphlet" 18103 18112 20262 20367) (-28 NIL 15932 15943 18093 18098) (-27 "bookvol10.2.pamphlet" 10604 10611 15834 15927) (-26 NIL 5362 5371 10594 10599) (-25 "bookvol10.2.pamphlet" 4706 4713 5352 5357) (-24 NIL 4048 4057 4696 4701) (-23 "bookvol10.2.pamphlet" 3399 3406 4038 4043) (-22 NIL 2748 2757 3389 3394) (-21 "bookvol10.2.pamphlet" 2236 2243 2738 2743) (-20 NIL 1722 1731 2226 2231) (-19 "bookvol10.2.pamphlet" 860 869 1678 1717) (-18 NIL 30 41 850 855)) 
\ No newline at end of file
diff --git a/src/share/algebra/category.daase b/src/share/algebra/category.daase
index 9ec0f20..72c12c3 100644
--- a/src/share/algebra/category.daase
+++ b/src/share/algebra/category.daase
@@ -1,3487 +1,3498 @@
 
-(155805 . 3488060047)        
-(((|#2| |#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) |has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))))) 
+(156028 . 3524719210)        
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 
 (((|#2| |#2|) . T)) 
-((((-568)) . T)) 
-((($ $) -2199 (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904))) ((|#2| |#2|) . T) (((-409 (-568)) (-409 (-568))) |has| |#2| (-43 (-409 (-568))))) 
+((((-569)) . T)) 
+((($ $) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) ((|#2| |#2|) . T) (((-410 (-569)) (-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
 ((($) . T)) 
 (((|#1|) . T)) 
-((($) . T) ((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
+((($) . T) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 (((|#2|) . T)) 
-((($) -2199 (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904))) ((|#2|) . T) (((-409 (-568))) |has| |#2| (-43 (-409 (-568))))) 
-(|has| |#1| (-904)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-568) (-169 (-215))) . T)) 
-((((-568) (-215)) . T)) 
-((($) . T) (((-409 (-568))) . T)) 
+((($) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) ((|#2|) . T) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
+(|has| |#1| (-905)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-569) (-170 (-216))) . T)) 
+((((-569) (-216)) . T)) 
+((($) . T) (((-410 (-569))) . T)) 
 ((($) . T)) 
 ((($) . T)) 
 ((($) . T)) 
 (((|#2| |#2|) . T)) 
-((((-147)) . T)) 
-((((-541)) . T) (((-1143)) . T) (((-215)) . T) (((-381)) . T) (((-887 (-381))) . T)) 
-(((|#1|) . T)) 
-((((-215)) . T) (((-850)) . T)) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(((|#1|) . T)) 
-(-2199 (|has| |#1| (-21)) (|has| |#1| (-840))) 
-((($ $) . T) (((-409 (-568)) (-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-350))) ((|#1| |#1|) . T)) 
-(-2199 (|has| |#1| (-815)) (|has| |#1| (-842))) 
-((((-409 (-568))) |has| |#1| (-1037 (-409 (-568)))) (((-568)) |has| |#1| (-1037 (-568))) ((|#1|) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-558))) 
-(|has| |#1| (-840)) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
+((((-148)) . T)) 
+((((-542)) . T) (((-1145)) . T) (((-216)) . T) (((-382)) . T) (((-888 (-382))) . T)) 
+(((|#1|) . T)) 
+((((-216)) . T) (((-851)) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1|) . T)) 
+(-2232 (|has| |#1| (-21)) (|has| |#1| (-841))) 
+((($ $) . T) (((-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1| |#1|) . T)) 
+(-2232 (|has| |#1| (-816)) (|has| |#1| (-843))) 
+((((-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) (((-569)) |has| |#1| (-1038 (-569))) ((|#1|) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(|has| |#1| (-841)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
 (((|#1| |#2| |#3|) . T)) 
 (((|#4|) . T)) 
-((($) . T) (((-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-350))) ((|#1|) . T)) 
-(((|#1| (-763) (-1075)) . T)) 
-((((-850)) . T)) 
-((((-850)) |has| |#1| (-1090))) 
+((($) . T) (((-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
+(((|#1| (-764) (-1076)) . T)) 
+((((-851)) . T)) 
+((((-851)) |has| |#1| (-1091))) 
 (((|#1|) . T) ((|#2|) . T)) 
-(((|#1|) . T) (((-568)) |has| |#1| (-1037 (-568))) (((-409 (-568))) |has| |#1| (-1037 (-409 (-568))))) 
-(-2199 (|has| |#2| (-172)) (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904))) 
-(-2199 (|has| |#1| (-172)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-(((|#2| (-493 (-1699 |#1|) (-763))) . T)) 
-(((|#1| (-534 (-1161))) . T)) 
-((((-864 |#1|) (-864 |#1|)) . T) (((-409 (-568)) (-409 (-568))) . T) (($ $) . T)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-(|has| |#1| (-1181)) 
-(|has| |#4| (-370)) 
-(|has| |#3| (-370)) 
-(((|#1|) . T)) 
-((((-864 |#1|)) . T) (((-409 (-568))) . T) (($) . T)) 
+(((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569))))) 
+(-2232 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
+(-2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(((|#2| (-494 (-4168 |#1|) (-764))) . T)) 
+(((|#1| (-535 (-1163))) . T)) 
+((((-865 |#1|) (-865 |#1|)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+(|has| |#1| (-1183)) 
+(|has| |#4| (-371)) 
+(|has| |#3| (-371)) 
+(((|#1|) . T)) 
+((((-865 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
 (((|#1| |#2|) . T)) 
 ((($) . T)) 
-(|has| |#1| (-148)) 
-(|has| |#1| (-150)) 
-(|has| |#1| (-558)) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-558))) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-558))) 
-((($) . T)) 
-((((-850)) -2199 (|has| |#1| (-842)) (|has| |#1| (-1090)))) 
-((((-541)) |has| |#1| (-609 (-541)))) 
-((($) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((|#1|) . T)) 
-((((-169 (-215)) (-145) (-145)) . T)) 
-((((-215) (-218) (-218)) . T)) 
-((($) . T)) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-((((-169 (-215))) . T)) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-((((-215)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-2 (|:| |k| (-568)) (|:| |c| |#1|))) |has| (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-303 (-2 (|:| |k| (-568)) (|:| |c| |#1|))))) 
-(((|#1|) . T)) 
-((((-409 (-568))) . T) (($) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
+(|has| |#1| (-149)) 
+(|has| |#1| (-151)) 
+(|has| |#1| (-559)) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+((($) . T)) 
+((((-851)) -2232 (|has| |#1| (-843)) (|has| |#1| (-1091)))) 
+((((-542)) |has| |#1| (-610 (-542)))) 
+((($) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T)) 
+((((-170 (-216)) (-146) (-146)) . T)) 
+((((-216) (-219) (-219)) . T)) 
+((($) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-170 (-216))) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-216)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) |has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-569)) (|:| |c| |#1|))))) 
+(((|#1|) . T)) 
+((((-410 (-569))) . T) (($) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-850)) . T)) 
-(((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568)))) (($) . T)) 
-(((|#1|) . T)) 
-((((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) (((-1235 |#1| |#2| |#3|)) |has| |#1| (-365)) (($) . T) ((|#1|) . T)) 
-(((|#1|) . T) (((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) (($) . T)) 
-((((-409 (-568)) (-409 (-568))) |has| |#2| (-43 (-409 (-568)))) ((|#2| |#2|) . T) (($ $) -2199 (|has| |#2| (-172)) (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904)))) 
-(((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568)))) (($) . T)) 
-(((|#1|) . T)) 
-(-2199 (|has| |#1| (-842)) (|has| |#1| (-1090))) 
-((((-409 (-568))) |has| |#2| (-43 (-409 (-568)))) ((|#2|) |has| |#2| (-172)) (($) -2199 (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904)))) 
-((($) -2199 (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-(((|#1|) . T) (((-409 (-568))) . T) (($) . T)) 
-(((|#1|) . T) (((-409 (-568))) . T) (($) . T)) 
-(((|#1|) . T) (((-409 (-568))) . T) (($) . T)) 
-((((-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((|#1| |#1|) . T) (($ $) -2199 (|has| |#1| (-172)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904)))) 
+((((-851)) . T)) 
+(((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) (($) . T)) 
+(((|#1|) . T)) 
+((((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (((-1238 |#1| |#2| |#3|)) |has| |#1| (-366)) (($) . T) ((|#1|) . T)) 
+(((|#1|) . T) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) . T)) 
+((((-410 (-569)) (-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2| |#2|) . T) (($ $) -2232 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
+(((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) (($) . T)) 
+(((|#1|) . T)) 
+(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
+((($) -2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
+(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
+(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
+((((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1| |#1|) . T) (($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905)))) 
 ((($ $) . T)) 
 (((|#2|) . T)) 
-((((-409 (-568))) |has| |#2| (-43 (-409 (-568)))) ((|#2|) . T) (($) -2199 (|has| |#2| (-172)) (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904)))) 
-((((-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((|#1|) . T) (($) -2199 (|has| |#1| (-172)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904)))) 
+((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T) (($) -2232 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
+((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T) (($) -2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905)))) 
 ((($) . T)) 
-(|has| |#1| (-370)) 
+(|has| |#1| (-371)) 
 (((|#1|) . T)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-((((-850)) . T)) 
-((((-850)) . T)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-851)) . T)) 
+((((-851)) . T)) 
 (((|#1| |#2|) . T)) 
-(-2199 (|has| |#1| (-21)) (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-895 (-1161))) (|has| |#1| (-1047))) 
-(-2199 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-895 (-1161))) (|has| |#1| (-1047))) 
+(-2232 (|has| |#1| (-21)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-896 (-1163))) (|has| |#1| (-1048))) 
+(-2232 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-896 (-1163))) (|has| |#1| (-1048))) 
 (((|#1| |#1|) . T)) 
-(|has| |#1| (-558)) 
-(((|#2| |#2|) -12 (|has| |#1| (-365)) (|has| |#2| (-303 |#2|))) (((-1161) |#2|) -12 (|has| |#1| (-365)) (|has| |#2| (-523 (-1161) |#2|)))) 
-((((-409 |#2|)) . T) (((-409 (-568))) . T) (($) . T)) 
-(-2199 (|has| |#1| (-21)) (|has| |#1| (-840))) 
-((($ $) . T) (((-409 (-568)) (-409 (-568))) . T)) 
-(-2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-558))) 
-(-2199 (|has| |#1| (-842)) (|has| |#1| (-1090))) 
-(|has| |#1| (-1090)) 
-(-2199 (|has| |#1| (-842)) (|has| |#1| (-1090))) 
-(|has| |#1| (-1090)) 
-(-2199 (|has| |#1| (-842)) (|has| |#1| (-1090))) 
-(|has| |#1| (-840)) 
-((($) . T) (((-409 (-568))) . T)) 
-(((|#1|) . T)) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-350))) 
-(-2199 (|has| |#4| (-788)) (|has| |#4| (-840))) 
-(-2199 (|has| |#4| (-788)) (|has| |#4| (-840))) 
-(-2199 (|has| |#3| (-788)) (|has| |#3| (-840))) 
-(-2199 (|has| |#3| (-788)) (|has| |#3| (-840))) 
+(|has| |#1| (-559)) 
+(((|#2| |#2|) -12 (|has| |#1| (-366)) (|has| |#2| (-304 |#2|))) (((-1163) |#2|) -12 (|has| |#1| (-366)) (|has| |#2| (-524 (-1163) |#2|)))) 
+((((-410 |#2|)) . T) (((-410 (-569))) . T) (($) . T)) 
+(-2232 (|has| |#1| (-21)) (|has| |#1| (-841))) 
+((($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+(-2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+(|has| |#1| (-1091)) 
+(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+(|has| |#1| (-1091)) 
+(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+(|has| |#1| (-841)) 
+((($) . T) (((-410 (-569))) . T)) 
+(((|#1|) . T)) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-351))) 
+(-2232 (|has| |#4| (-789)) (|has| |#4| (-841))) 
+(-2232 (|has| |#4| (-789)) (|has| |#4| (-841))) 
+(-2232 (|has| |#3| (-789)) (|has| |#3| (-841))) 
+(-2232 (|has| |#3| (-789)) (|has| |#3| (-841))) 
 (((|#1| |#2|) . T)) 
 (((|#1| |#2|) . T)) 
-(|has| |#2| (-365)) 
-(|has| |#1| (-1090)) 
-(|has| |#1| (-1090)) 
-(((|#1| (-1161) (-1079 (-1161)) (-534 (-1079 (-1161)))) . T)) 
-((((-568) |#1|) . T)) 
-((((-568)) . T)) 
-((((-568)) . T)) 
-((((-905 |#1|)) . T)) 
-(((|#1| (-534 |#2|)) . T)) 
-((((-568)) . T)) 
-((((-568)) . T)) 
-(((|#1|) . T)) 
-(-2199 (|has| |#2| (-172)) (|has| |#2| (-840)) (|has| |#2| (-1047)) SEQ) 
-(((|#1| (-763)) . T)) 
-(|has| |#2| (-788)) 
-(-2199 (|has| |#2| (-788)) (|has| |#2| (-840))) 
-(|has| |#2| (-840)) 
+(|has| |#2| (-366)) 
+(|has| |#1| (-1091)) 
+(|has| |#1| (-1091)) 
+(((|#1| (-1163) (-1080 (-1163)) (-535 (-1080 (-1163)))) . T)) 
+((((-569) |#1|) . T)) 
+((((-569)) . T)) 
+((((-569)) . T)) 
+((((-906 |#1|)) . T)) 
+(((|#1| (-535 |#2|)) . T)) 
+((((-569)) . T)) 
+((((-569)) . T)) 
+(((|#1|) . T)) 
+(-2232 (|has| |#2| (-173)) (|has| |#2| (-841)) (|has| |#2| (-1048)) SEQ) 
+(((|#1| (-764)) . T)) 
+(|has| |#2| (-789)) 
+(-2232 (|has| |#2| (-789)) (|has| |#2| (-841))) 
+(|has| |#2| (-841)) 
 (((|#1|) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-1143) |#1|) . T)) 
-((((-850)) |has| |#1| (-1090))) 
-(((|#1|) . T)) 
-(((|#3| (-763)) . T)) 
-(|has| |#1| (-150)) 
-(|has| |#1| (-148)) 
-(-2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-558))) 
-(-2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-558))) 
-(|has| |#1| (-1090)) 
-((((-409 (-568))) . T) (((-568)) . T)) 
-((((-1161) |#2|) |has| |#2| (-523 (-1161) |#2|)) ((|#2| |#2|) |has| |#2| (-303 |#2|))) 
-((((-409 (-568))) . T) (((-568)) . T)) 
+((((-1145) |#1|) . T)) 
+((((-851)) |has| |#1| (-1091))) 
+(((|#1|) . T)) 
+(((|#3| (-764)) . T)) 
+(|has| |#1| (-151)) 
+(|has| |#1| (-149)) 
+(-2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(-2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(|has| |#1| (-1091)) 
+((((-410 (-569))) . T) (((-569)) . T)) 
+((((-1163) |#2|) |has| |#2| (-524 (-1163) |#2|)) ((|#2| |#2|) |has| |#2| (-304 |#2|))) 
+((((-410 (-569))) . T) (((-569)) . T)) 
 (((|#1|) . T) (($) . T)) 
-((((-568)) . T)) 
-((((-568)) . T)) 
-((($) -2199 (|has| |#1| (-365)) (|has| |#1| (-558))) (((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) ((|#1|) |has| |#1| (-172))) 
-((((-568)) . T)) 
-((((-568)) . T)) 
-((((-688) (-1157 (-688))) . T)) 
-((((-409 (-568))) . T) (($) . T)) 
-((($) . T) (((-409 (-568))) . T) ((|#1|) |has| |#1| (-172))) 
-(((|#1|) . T) (($) . T) (((-409 (-568))) . T)) 
-(((|#1|) . T)) 
-(|has| |#2| (-365)) 
-(((|#1|) . T) (((-409 (-568))) . T) (($) . T)) 
-((((-568) |#1|) . T)) 
-((($) . T) (((-568)) . T) (((-409 (-568))) . T)) 
+((((-569)) . T)) 
+((((-569)) . T)) 
+((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#1|) |has| |#1| (-173))) 
+((((-569)) . T)) 
+((((-569)) . T)) 
+((((-689) (-1159 (-689))) . T)) 
+((((-410 (-569))) . T) (($) . T)) 
+((($) . T) (((-410 (-569))) . T) ((|#1|) |has| |#1| (-173))) 
+(((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
+(((|#1|) . T)) 
+(|has| |#2| (-366)) 
+(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
+((((-569) |#1|) . T)) 
+((($) . T) (((-569)) . T) (((-410 (-569))) . T)) 
 (((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-850)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-((((-1143) |#1|) . T)) 
+((((-851)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-1145) |#1|) . T)) 
 (((|#3| |#3|) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
 (((|#1| |#1|) . T)) 
-((((-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((|#1| |#1|) . T) (($ $) -2199 (|has| |#1| (-172)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904)))) 
-((($ $) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1| |#1|) . T) (((-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-(((|#1|) . T)) 
-((((-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((|#1|) . T) (($) -2199 (|has| |#1| (-172)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904)))) 
-((($) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((($) -2199 (|has| |#2| (-172)) (|has| |#2| (-840)) (|has| |#2| (-1047))) ((|#2|) -2199 (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-1047)))) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-568) |#1|) . T)) 
-((((-169 (-215))) |has| |#1| (-1021)) (((-169 (-381))) |has| |#1| (-1021)) (((-541)) |has| |#1| (-609 (-541))) (((-1157 |#1|)) . T) (((-887 (-568))) |has| |#1| (-609 (-887 (-568)))) (((-887 (-381))) |has| |#1| (-609 (-887 (-381))))) 
-((((-850)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(((|#1|) . T)) 
-(-2199 (|has| |#1| (-21)) (|has| |#1| (-840))) 
-(-2199 (|has| |#1| (-21)) (|has| |#1| (-840))) 
-((((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) (($) -2199 (|has| |#1| (-365)) (|has| |#1| (-558))) ((|#2|) |has| |#1| (-365)) ((|#1|) |has| |#1| (-172))) 
-(|has| |#2| (-558)) 
-(|has| |#1| (-365)) 
-(((|#1|) |has| |#1| (-172)) (((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) (($) -2199 (|has| |#1| (-365)) (|has| |#1| (-558)))) 
-((((-857 |#1|) (-774 (-857 |#1|))) . T)) 
-(((|#1| |#1|) |has| |#1| (-172)) (($ $) |has| |#1| (-172))) 
-(-12 (|has| |#4| (-225)) (|has| |#4| (-1047))) 
-(-12 (|has| |#3| (-225)) (|has| |#3| (-1047))) 
-(((|#1|) |has| |#1| (-172)) (($) |has| |#1| (-172))) 
-(-2199 (|has| |#4| (-172)) (|has| |#4| (-840)) (|has| |#4| (-1047))) 
-(-2199 (|has| |#3| (-172)) (|has| |#3| (-840)) (|has| |#3| (-1047))) 
-((((-850)) . T)) 
-(((|#1|) . T)) 
-((((-1161)) |has| |#2| (-895 (-1161))) (((-1075)) . T)) 
-((((-409 (-568))) |has| |#1| (-1037 (-409 (-568)))) (((-568)) |has| |#1| (-1037 (-568))) ((|#1|) . T)) 
-(((|#1|) . T) (((-568)) |has| |#1| (-630 (-568)))) 
-(((|#2|) . T) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-(((|#1|) . T) (((-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) . T)) 
-(|has| |#1| (-558)) 
-(|has| |#1| (-558)) 
-(((|#1|) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(-2199 (|has| |#1| (-842)) (|has| |#1| (-1090))) 
-(((|#1|) . T)) 
-(|has| |#1| (-558)) 
-(|has| |#1| (-558)) 
-(|has| |#1| (-558)) 
-((((-688)) . T)) 
-(((|#1|) . T)) 
-(((|#2|) . T)) 
-(-12 (|has| |#1| (-1002)) (|has| |#1| (-1181))) 
-(((|#2|) . T) (($) . T) (((-409 (-568))) . T)) 
-((($) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((|#1|) . T)) 
-((((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) (((-1159 |#1| |#2| |#3|)) |has| |#1| (-365)) (($) . T) ((|#1|) . T)) 
-(((|#1|) . T) (((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) (($) . T)) 
-(((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568)))) (($) . T)) 
-(((|#4| |#4|) -2199 (|has| |#4| (-172)) (|has| |#4| (-365)) (|has| |#4| (-1047))) (($ $) |has| |#4| (-172))) 
-(((|#3| |#3|) -2199 (|has| |#3| (-172)) (|has| |#3| (-365)) (|has| |#3| (-1047))) (($ $) |has| |#3| (-172))) 
-(((|#2|) . T)) 
-(((|#1|) . T)) 
-((((-541)) |has| |#2| (-609 (-541))) (((-887 (-381))) |has| |#2| (-609 (-887 (-381)))) (((-887 (-568))) |has| |#2| (-609 (-887 (-568))))) 
-((((-850)) . T)) 
+((((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1| |#1|) . T) (($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905)))) 
+((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(((|#1|) . T)) 
+((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T) (($) -2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905)))) 
+((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($) -2232 (|has| |#2| (-173)) (|has| |#2| (-841)) (|has| |#2| (-1048))) ((|#2|) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1048)))) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-569) |#1|) . T)) 
+((((-170 (-216))) |has| |#1| (-1022)) (((-170 (-382))) |has| |#1| (-1022)) (((-542)) |has| |#1| (-610 (-542))) (((-1159 |#1|)) . T) (((-888 (-569))) |has| |#1| (-610 (-888 (-569)))) (((-888 (-382))) |has| |#1| (-610 (-888 (-382))))) 
+((((-851)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1|) . T)) 
+(-2232 (|has| |#1| (-21)) (|has| |#1| (-841))) 
+(-2232 (|has| |#1| (-21)) (|has| |#1| (-841))) 
+((((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559))) ((|#2|) |has| |#1| (-366)) ((|#1|) |has| |#1| (-173))) 
+(|has| |#2| (-559)) 
+(|has| |#1| (-366)) 
+(((|#1|) |has| |#1| (-173)) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559)))) 
+((((-858 |#1|) (-775 (-858 |#1|))) . T)) 
+(((|#1| |#1|) |has| |#1| (-173)) (($ $) |has| |#1| (-173))) 
+(-12 (|has| |#4| (-226)) (|has| |#4| (-1048))) 
+(-12 (|has| |#3| (-226)) (|has| |#3| (-1048))) 
+(((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-173))) 
+(-2232 (|has| |#4| (-173)) (|has| |#4| (-841)) (|has| |#4| (-1048))) 
+(-2232 (|has| |#3| (-173)) (|has| |#3| (-841)) (|has| |#3| (-1048))) 
+((((-851)) . T)) 
+(((|#1|) . T)) 
+((((-1163)) |has| |#2| (-896 (-1163))) (((-1076)) . T)) 
+((((-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) (((-569)) |has| |#1| (-1038 (-569))) ((|#1|) . T)) 
+(((|#1|) . T) (((-569)) |has| |#1| (-631 (-569)))) 
+(((|#2|) . T) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+(((|#1|) . T) (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) . T)) 
+(|has| |#1| (-559)) 
+(|has| |#1| (-559)) 
+(((|#1|) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+(((|#1|) . T)) 
+(|has| |#1| (-559)) 
+(|has| |#1| (-559)) 
+(|has| |#1| (-559)) 
+((((-689)) . T)) 
+(((|#1|) . T)) 
+(((|#2|) . T)) 
+(-12 (|has| |#1| (-1003)) (|has| |#1| (-1183))) 
+(((|#2|) . T) (($) . T) (((-410 (-569))) . T)) 
+((($) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T)) 
+((((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (((-1161 |#1| |#2| |#3|)) |has| |#1| (-366)) (($) . T) ((|#1|) . T)) 
+(((|#1|) . T) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) . T)) 
+(((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) (($) . T)) 
+(((|#4| |#4|) -2232 (|has| |#4| (-173)) (|has| |#4| (-366)) (|has| |#4| (-1048))) (($ $) |has| |#4| (-173))) 
+(((|#3| |#3|) -2232 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-1048))) (($ $) |has| |#3| (-173))) 
+(((|#2|) . T)) 
+(((|#1|) . T)) 
+((((-542)) |has| |#2| (-610 (-542))) (((-888 (-382))) |has| |#2| (-610 (-888 (-382)))) (((-888 (-569))) |has| |#2| (-610 (-888 (-569))))) 
+((((-851)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-((((-850)) . T)) 
-((((-541)) |has| |#1| (-609 (-541))) (((-887 (-381))) |has| |#1| (-609 (-887 (-381)))) (((-887 (-568))) |has| |#1| (-609 (-887 (-568))))) 
-((((-850)) . T)) 
-(((|#4|) -2199 (|has| |#4| (-172)) (|has| |#4| (-365)) (|has| |#4| (-1047))) (($) |has| |#4| (-172))) 
-(((|#3|) -2199 (|has| |#3| (-172)) (|has| |#3| (-365)) (|has| |#3| (-1047))) (($) |has| |#3| (-172))) 
-((((-850)) . T)) 
-((((-541)) . T) (((-568)) . T) (((-887 (-568))) . T) (((-381)) . T) (((-215)) . T)) 
-((((-1075)) . T) ((|#2|) . T) (((-568)) |has| |#2| (-1037 (-568))) (((-409 (-568))) |has| |#2| (-1037 (-409 (-568))))) 
-(((|#1|) . T) (((-568)) |has| |#1| (-1037 (-568))) (((-409 (-568))) |has| |#1| (-1037 (-409 (-568))))) 
-((($) . T) (((-409 (-568))) |has| |#2| (-43 (-409 (-568)))) ((|#2|) . T)) 
-((((-409 $) (-409 $)) |has| |#2| (-558)) (($ $) . T) ((|#2| |#2|) . T)) 
-((((-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))) . T)) 
-(((|#1|) . T)) 
-(|has| |#2| (-904)) 
-((((-1143) (-57)) . T)) 
-((((-568)) |has| (-409 |#2|) (-630 (-568))) (((-409 |#2|)) . T)) 
-((((-541)) . T) (((-215)) . T) (((-381)) . T) (((-887 (-381))) . T)) 
-((((-850)) . T)) 
-(-2199 (|has| |#1| (-21)) (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-895 (-1161))) (|has| |#1| (-1047))) 
-(((|#1|) |has| |#1| (-172))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(((|#1| $) |has| |#1| (-281 |#1| |#1|))) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-409 (-568))) . T) (($) . T)) 
-((((-409 (-568))) . T) (($) . T)) 
-((((-850)) . T)) 
-(|has| |#1| (-842)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-1090)) 
-(((|#1|) . T)) 
-((((-850)) -2199 (|has| |#1| (-842)) (|has| |#1| (-1090)))) 
-((((-541)) |has| |#1| (-609 (-541)))) 
-((((-409 (-568))) |has| |#2| (-43 (-409 (-568)))) ((|#2|) |has| |#2| (-172)) (($) -2199 (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904)))) 
-(((|#2| (-763)) . T)) 
-((($) -2199 (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((($) -2199 (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-(|has| |#1| (-225)) 
-((($) -2199 (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-(((|#1| (-534 (-813 (-1161)))) . T)) 
-(((|#1| (-972)) . T)) 
-((((-864 |#1|) $) |has| (-864 |#1|) (-281 (-864 |#1|) (-864 |#1|)))) 
-((((-568) |#4|) . T)) 
-((((-568) |#3|) . T)) 
+((((-851)) . T)) 
+((((-542)) |has| |#1| (-610 (-542))) (((-888 (-382))) |has| |#1| (-610 (-888 (-382)))) (((-888 (-569))) |has| |#1| (-610 (-888 (-569))))) 
+((((-851)) . T)) 
+(((|#4|) -2232 (|has| |#4| (-173)) (|has| |#4| (-366)) (|has| |#4| (-1048))) (($) |has| |#4| (-173))) 
+(((|#3|) -2232 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-1048))) (($) |has| |#3| (-173))) 
+((((-851)) . T)) 
+((((-542)) . T) (((-569)) . T) (((-888 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
+((((-1076)) . T) ((|#2|) . T) (((-569)) |has| |#2| (-1038 (-569))) (((-410 (-569))) |has| |#2| (-1038 (-410 (-569))))) 
+(((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569))))) 
+((($) . T) (((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T)) 
+((((-410 $) (-410 $)) |has| |#2| (-559)) (($ $) . T) ((|#2| |#2|) . T)) 
+((((-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) . T)) 
+(((|#1|) . T)) 
+(|has| |#2| (-905)) 
+((((-1145) (-57)) . T)) 
+((((-569)) |has| (-410 |#2|) (-631 (-569))) (((-410 |#2|)) . T)) 
+((((-542)) . T) (((-216)) . T) (((-382)) . T) (((-888 (-382))) . T)) 
+((((-851)) . T)) 
+(-2232 (|has| |#1| (-21)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-896 (-1163))) (|has| |#1| (-1048))) 
+(((|#1|) |has| |#1| (-173))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(((|#1| $) |has| |#1| (-282 |#1| |#1|))) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-410 (-569))) . T) (($) . T)) 
+((((-410 (-569))) . T) (($) . T)) 
+((((-851)) . T)) 
+(|has| |#1| (-843)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-1091)) 
+(((|#1|) . T)) 
+((((-851)) -2232 (|has| |#1| (-843)) (|has| |#1| (-1091)))) 
+((((-542)) |has| |#1| (-610 (-542)))) 
+((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
+(((|#2| (-764)) . T)) 
+((($) -2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(|has| |#1| (-226)) 
+((($) -2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(((|#1| (-535 (-814 (-1163)))) . T)) 
+(((|#1| (-973)) . T)) 
+((((-865 |#1|) $) |has| (-865 |#1|) (-282 (-865 |#1|) (-865 |#1|)))) 
+((((-569) |#4|) . T)) 
+((((-569) |#3|) . T)) 
 (((|#1|) . T)) 
 (((|#2| |#2|) . T)) 
-(|has| |#1| (-1136)) 
-(((|#1| (-763) (-1075)) . T)) 
-((((-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) . T)) 
-(|has| (-1229 |#1| |#2| |#3| |#4|) (-148)) 
-(|has| (-1229 |#1| |#2| |#3| |#4|) (-150)) 
-(|has| |#1| (-148)) 
-(|has| |#1| (-150)) 
-(((|#1|) |has| |#1| (-172))) 
-((((-169 (-215))) . T)) 
-((((-215)) . T)) 
-((((-1161)) -12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) 
-(|has| |#1| (-1090)) 
-((((-1143) |#1|) . T)) 
-(((|#1|) . T)) 
-(((|#2|) . T)) 
-(((|#2|) . T) (((-568)) |has| |#2| (-630 (-568)))) 
-(|has| |#2| (-370)) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
+(|has| |#1| (-1137)) 
+(((|#1| (-764) (-1076)) . T)) 
+((((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) . T)) 
+(|has| (-1232 |#1| |#2| |#3| |#4|) (-149)) 
+(|has| (-1232 |#1| |#2| |#3| |#4|) (-151)) 
+(|has| |#1| (-149)) 
+(|has| |#1| (-151)) 
+(((|#1|) |has| |#1| (-173))) 
+((((-170 (-216))) . T)) 
+((((-216)) . T)) 
+((((-1163)) -12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) 
+(|has| |#1| (-1091)) 
+((((-1145) |#1|) . T)) 
+(((|#1|) . T)) 
+(((|#2|) . T)) 
+(((|#2|) . T) (((-569)) |has| |#2| (-631 (-569)))) 
+(|has| |#2| (-371)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
 ((($) . T) ((|#1|) . T)) 
-(((|#2|) |has| |#2| (-1047))) 
-((((-850)) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) |has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))))) 
+(((|#2|) |has| |#2| (-1048))) 
+((((-851)) . T)) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 
 (((|#1|) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) (((-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) |has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-303 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))))) 
-((((-568) |#1|) . T)) 
-((((-850)) . T)) 
-((((-541)) -12 (|has| |#1| (-609 (-541))) (|has| |#2| (-609 (-541)))) (((-887 (-381))) -12 (|has| |#1| (-609 (-887 (-381)))) (|has| |#2| (-609 (-887 (-381))))) (((-887 (-568))) -12 (|has| |#1| (-609 (-887 (-568)))) (|has| |#2| (-609 (-887 (-568)))))) 
-((((-850)) . T)) 
-((((-850)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) |has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))))) 
+((((-569) |#1|) . T)) 
+((((-851)) . T)) 
+((((-542)) -12 (|has| |#1| (-610 (-542))) (|has| |#2| (-610 (-542)))) (((-888 (-382))) -12 (|has| |#1| (-610 (-888 (-382)))) (|has| |#2| (-610 (-888 (-382))))) (((-888 (-569))) -12 (|has| |#1| (-610 (-888 (-569)))) (|has| |#2| (-610 (-888 (-569)))))) 
+((((-851)) . T)) 
+((((-851)) . T)) 
 ((($) . T)) 
-((($ $) -2199 (|has| |#1| (-172)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1| |#1|) . T) (((-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
+((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 ((($) . T)) 
 ((($) . T)) 
 ((($) . T)) 
-((($) -2199 (|has| |#1| (-172)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-(|has| (-1228 |#2| |#3| |#4|) (-150)) 
-(|has| (-1228 |#2| |#3| |#4|) (-148)) 
-(((|#2|) |has| |#2| (-1090)) (((-568)) -12 (|has| |#2| (-1037 (-568))) (|has| |#2| (-1090))) (((-409 (-568))) -12 (|has| |#2| (-1037 (-409 (-568)))) (|has| |#2| (-1090)))) 
+((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+(|has| (-1231 |#2| |#3| |#4|) (-151)) 
+(|has| (-1231 |#2| |#3| |#4|) (-149)) 
+(((|#2|) |has| |#2| (-1091)) (((-569)) -12 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091))) (((-410 (-569))) -12 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) 
 (((|#1|) . T)) 
-(|has| |#1| (-1090)) 
-((((-850)) . T)) 
+(|has| |#1| (-1091)) 
+((((-851)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(-2199 (|has| |#1| (-21)) (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-895 (-1161))) (|has| |#1| (-1047))) 
+(-2232 (|has| |#1| (-21)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-896 (-1163))) (|has| |#1| (-1048))) 
 (((|#1|) . T)) 
-((((-568) |#1|) . T)) 
-(((|#2|) |has| |#2| (-172))) 
-(((|#1|) |has| |#1| (-172))) 
+((((-569) |#1|) . T)) 
+(((|#2|) |has| |#2| (-173))) 
+(((|#1|) |has| |#1| (-173))) 
 (((|#1|) . T)) 
-(-2199 (|has| |#1| (-21)) (|has| |#1| (-840))) 
-((((-850)) |has| |#1| (-1090))) 
-(-2199 (|has| |#1| (-478)) (|has| |#1| (-716)) (|has| |#1| (-895 (-1161))) (|has| |#1| (-1047)) (|has| |#1| (-1102))) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-350))) 
-(|has| |#1| (-150)) 
-(|has| |#1| (-148)) 
-((((-905 |#1|)) . T)) 
-((((-409 |#2|) |#3|) . T)) 
-(|has| |#1| (-15 * (|#1| (-568) |#1|))) 
-((((-409 (-568))) . T) (($) . T)) 
-(|has| |#1| (-842)) 
+(-2232 (|has| |#1| (-21)) (|has| |#1| (-841))) 
+((((-851)) |has| |#1| (-1091))) 
+(-2232 (|has| |#1| (-479)) (|has| |#1| (-717)) (|has| |#1| (-896 (-1163))) (|has| |#1| (-1048)) (|has| |#1| (-1103))) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-351))) 
+(|has| |#1| (-151)) 
+(|has| |#1| (-149)) 
+((((-906 |#1|)) . T)) 
+((((-410 |#2|) |#3|) . T)) 
+(|has| |#1| (-15 * (|#1| (-569) |#1|))) 
+((((-410 (-569))) . T) (($) . T)) 
+(|has| |#1| (-843)) 
 (((|#1|) . T) (($) . T)) 
-((((-409 (-568))) . T) (($) . T)) 
-(((|#1|) . T)) 
-((((-850)) . T)) 
-((((-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((|#1|) |has| |#1| (-172)) (($) |has| |#1| (-558))) 
-(|has| |#1| (-15 * (|#1| (-763) |#1|))) 
-(|has| |#1| (-365)) 
-(-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-225)) (|has| |#1| (-365))) (|has| |#1| (-15 * (|#1| (-568) |#1|)))) 
-(|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) 
-((((-568)) . T)) 
-(|has| |#1| (-365)) 
-(|has| |#1| (-15 * (|#1| (-763) |#1|))) 
-((((-1127 |#2| (-409 (-953 |#1|)))) . T) (((-409 (-953 |#1|))) . T)) 
-((($) . T)) 
-(((|#1|) |has| |#1| (-172)) (($) . T)) 
-(((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568)))) (($) . T)) 
-(((|#1|) . T)) 
-((((-568) |#1|) . T)) 
-(((|#2|) . T)) 
-(-2199 (|has| |#2| (-365)) (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904))) 
-((((-2 (|:| |k| (-568)) (|:| |c| |#1|))) . T)) 
-(-2199 (|has| |#2| (-788)) (|has| |#2| (-840))) 
-(-2199 (|has| |#2| (-788)) (|has| |#2| (-840))) 
-(((|#1|) . T)) 
-(|has| |#2| (-148)) 
-(|has| |#2| (-150)) 
-((((-1161)) -12 (|has| |#3| (-895 (-1161))) (|has| |#3| (-1047)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-((((-850)) . T)) 
-(-12 (|has| |#1| (-365)) (|has| |#2| (-815))) 
-(-2199 (|has| |#1| (-301)) (|has| |#1| (-365)) (|has| |#1| (-350)) (|has| |#1| (-558))) 
-((((-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((|#1| |#1|) . T) (($ $) -2199 (|has| |#1| (-172)) (|has| |#1| (-558)))) 
-((($ $) |has| |#1| (-558))) 
-((((-688) (-1157 (-688))) . T)) 
-((((-850)) . T)) 
-((((-850)) . T) (((-1244 |#4|)) . T)) 
-((((-850)) . T) (((-1244 |#3|)) . T)) 
-((((-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((|#1|) . T) (($) -2199 (|has| |#1| (-172)) (|has| |#1| (-558)))) 
-((($) |has| |#1| (-558))) 
-((((-850)) . T)) 
-((($) . T)) 
-((($ $) -2199 (|has| |#1| (-172)) (|has| |#1| (-558))) ((|#1| |#1|) . T) (((-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((($ $) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-558))) (((-409 (-568)) (-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) (((-1235 |#1| |#2| |#3|) (-1235 |#1| |#2| |#3|)) |has| |#1| (-365)) ((|#1| |#1|) . T)) 
-(((|#1| |#1|) . T) (($ $) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-558))) (((-409 (-568)) (-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365)))) 
-((($ $) -2199 (|has| |#1| (-172)) (|has| |#1| (-558))) ((|#1| |#1|) . T) (((-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((($) -2199 (|has| |#1| (-172)) (|has| |#1| (-558))) ((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((($) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-558))) (((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) (((-1235 |#1| |#2| |#3|)) |has| |#1| (-365)) ((|#1|) . T)) 
-(((|#3|) |has| |#3| (-1047))) 
-(((|#1|) . T) (($) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-558))) (((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365)))) 
-((($) -2199 (|has| |#1| (-172)) (|has| |#1| (-558))) ((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-(|has| |#1| (-1090)) 
-(((|#2| (-814 |#1|)) . T)) 
-(((|#1|) . T)) 
-(|has| |#1| (-365)) 
-((((-409 $) (-409 $)) |has| |#1| (-558)) (($ $) . T) ((|#1| |#1|) . T)) 
-((((-1075) |#2|) . T) (((-1075) $) . T) (($ $) . T)) 
-((((-905 |#1|)) . T)) 
-((((-147)) . T)) 
-((((-147)) . T)) 
-(((|#3|) |has| |#3| (-1090)) (((-568)) -12 (|has| |#3| (-1037 (-568))) (|has| |#3| (-1090))) (((-409 (-568))) -12 (|has| |#3| (-1037 (-409 (-568)))) (|has| |#3| (-1090)))) 
-((((-850)) . T)) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-904))) 
-((((-409 (-568))) . T) (($) . T)) 
-((((-409 (-568))) . T) (($) . T)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-(((|#1|) . T)) 
-((((-850)) -2199 (|has| |#1| (-842)) (|has| |#1| (-1090)))) 
-((((-541)) |has| |#1| (-609 (-541)))) 
-((((-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) . T)) 
-(|has| |#1| (-365)) 
-(-2199 (|has| |#1| (-21)) (|has| |#1| (-840))) 
-((((-1161) |#1|) |has| |#1| (-523 (-1161) |#1|)) ((|#1| |#1|) |has| |#1| (-303 |#1|))) 
-(|has| |#2| (-815)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-840)) 
-(-2199 (|has| |#1| (-842)) (|has| |#1| (-1090))) 
-((((-850)) . T)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-((((-541)) |has| |#1| (-609 (-541)))) 
+((((-410 (-569))) . T) (($) . T)) 
+(((|#1|) . T)) 
+((((-851)) . T)) 
+((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-559))) 
+(|has| |#1| (-15 * (|#1| (-764) |#1|))) 
+(|has| |#1| (-366)) 
+(-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))) 
+(|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) 
+((((-569)) . T)) 
+(|has| |#1| (-366)) 
+(|has| |#1| (-15 * (|#1| (-764) |#1|))) 
+((((-1128 |#2| (-410 (-954 |#1|)))) . T) (((-410 (-954 |#1|))) . T)) 
+((($) . T)) 
+(((|#1|) |has| |#1| (-173)) (($) . T)) 
+(((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) (($) . T)) 
+(((|#1|) . T)) 
+((((-569) |#1|) . T)) 
+(((|#2|) . T)) 
+(-2232 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
+((((-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T)) 
+(-2232 (|has| |#2| (-789)) (|has| |#2| (-841))) 
+(-2232 (|has| |#2| (-789)) (|has| |#2| (-841))) 
+(((|#1|) . T)) 
+(|has| |#2| (-149)) 
+(|has| |#2| (-151)) 
+((((-1163)) -12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-851)) . T)) 
+(-12 (|has| |#1| (-366)) (|has| |#2| (-816))) 
+(-2232 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351)) (|has| |#1| (-559))) 
+((((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1| |#1|) . T) (($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-559)))) 
+((($ $) |has| |#1| (-559))) 
+((((-689) (-1159 (-689))) . T)) 
+((((-851)) . T)) 
+((((-851)) . T) (((-1247 |#4|)) . T)) 
+((((-851)) . T) (((-1247 |#3|)) . T)) 
+((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T) (($) -2232 (|has| |#1| (-173)) (|has| |#1| (-559)))) 
+((($) |has| |#1| (-559))) 
+((((-851)) . T)) 
+((($) . T)) 
+((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (((-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1| |#1|) . T)) 
+(((|#1| |#1|) . T) (($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366)))) 
+((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (((-1238 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1|) . T)) 
+(((|#3|) |has| |#3| (-1048))) 
+(((|#1|) . T) (($) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366)))) 
+((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(|has| |#1| (-1091)) 
+(((|#2| (-815 |#1|)) . T)) 
+(((|#1|) . T)) 
+(|has| |#1| (-366)) 
+((((-410 $) (-410 $)) |has| |#1| (-559)) (($ $) . T) ((|#1| |#1|) . T)) 
+((((-1076) |#2|) . T) (((-1076) $) . T) (($ $) . T)) 
+((((-906 |#1|)) . T)) 
+((((-148)) . T)) 
+((((-148)) . T)) 
+(((|#3|) |has| |#3| (-1091)) (((-569)) -12 (|has| |#3| (-1038 (-569))) (|has| |#3| (-1091))) (((-410 (-569))) -12 (|has| |#3| (-1038 (-410 (-569)))) (|has| |#3| (-1091)))) 
+((((-851)) . T)) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-905))) 
+((((-410 (-569))) . T) (($) . T)) 
+((((-410 (-569))) . T) (($) . T)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+(((|#1|) . T)) 
+((((-851)) -2232 (|has| |#1| (-843)) (|has| |#1| (-1091)))) 
+((((-542)) |has| |#1| (-610 (-542)))) 
+((((-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) . T)) 
+(|has| |#1| (-366)) 
+(-2232 (|has| |#1| (-21)) (|has| |#1| (-841))) 
+((((-1163) |#1|) |has| |#1| (-524 (-1163) |#1|)) ((|#1| |#1|) |has| |#1| (-304 |#1|))) 
+(|has| |#2| (-816)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-841)) 
+(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+((((-851)) . T)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-542)) |has| |#1| (-610 (-542)))) 
 (((|#1| |#2|) . T)) 
-((((-1161)) -12 (|has| |#1| (-365)) (|has| |#1| (-895 (-1161))))) 
-((((-1143) |#1|) . T)) 
-(((|#1| |#2| |#3| (-534 |#3|)) . T)) 
-((((-917) |#1|) . T)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-(|has| |#1| (-370)) 
-(|has| |#1| (-370)) 
-(|has| |#1| (-370)) 
-((((-850)) . T)) 
-(((|#1|) . T)) 
-(-2199 (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904))) 
+((((-1163)) -12 (|has| |#1| (-366)) (|has| |#1| (-896 (-1163))))) 
+((((-1145) |#1|) . T)) 
+(((|#1| |#2| |#3| (-535 |#3|)) . T)) 
+((((-918) |#1|) . T)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+(|has| |#1| (-371)) 
+(|has| |#1| (-371)) 
+(|has| |#1| (-371)) 
+((((-851)) . T)) 
+(((|#1|) . T)) 
+(-2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
 (((|#1| |#2|) . T)) 
-(|has| |#1| (-370)) 
-(-2199 (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-((((-568)) . T)) 
-((((-568)) . T)) 
-(-2199 (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904))) 
-((((-850)) . T)) 
-(((|#2|) . T)) 
-((((-850)) . T)) 
-(-12 (|has| |#2| (-225)) (|has| |#2| (-1047))) 
-((((-1161) (-864 |#1|)) |has| (-864 |#1|) (-523 (-1161) (-864 |#1|))) (((-864 |#1|) (-864 |#1|)) |has| (-864 |#1|) (-303 (-864 |#1|)))) 
-(((|#1|) . T)) 
-((((-568) |#4|) . T)) 
-((((-568) |#3|) . T)) 
-(((|#1|) . T) (((-568)) |has| |#1| (-630 (-568)))) 
-(-2199 (|has| |#2| (-172)) (|has| |#2| (-840)) (|has| |#2| (-1047))) 
-((((-1229 |#1| |#2| |#3| |#4|)) . T)) 
-((((-409 (-568))) . T) (((-568)) . T)) 
-((((-850)) |has| |#1| (-1090))) 
+(|has| |#1| (-371)) 
+(-2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+((((-569)) . T)) 
+((((-569)) . T)) 
+(-2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
+((((-851)) . T)) 
+(((|#2|) . T)) 
+((((-851)) . T)) 
+(-12 (|has| |#2| (-226)) (|has| |#2| (-1048))) 
+((((-1163) (-865 |#1|)) |has| (-865 |#1|) (-524 (-1163) (-865 |#1|))) (((-865 |#1|) (-865 |#1|)) |has| (-865 |#1|) (-304 (-865 |#1|)))) 
+(((|#1|) . T)) 
+((((-569) |#4|) . T)) 
+((((-569) |#3|) . T)) 
+(((|#1|) . T) (((-569)) |has| |#1| (-631 (-569)))) 
+(-2232 (|has| |#2| (-173)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+((((-1232 |#1| |#2| |#3| |#4|)) . T)) 
+((((-410 (-569))) . T) (((-569)) . T)) 
+((((-851)) |has| |#1| (-1091))) 
 (((|#1| |#1|) . T)) 
 (((|#1|) . T)) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((($) . T) (((-568)) . T) (((-409 (-568))) . T)) 
-((((-568)) . T)) 
-((((-568)) . T)) 
-((($) . T) (((-568)) . T) (((-409 (-568))) . T)) 
-(((|#1| |#1|) . T) (($ $) . T) (((-409 (-568)) (-409 (-568))) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-568) (-568)) . T) (((-409 (-568)) (-409 (-568))) . T) (($ $) . T)) 
-(((|#1|) . T) (((-568)) |has| |#1| (-1037 (-568))) (((-409 (-568))) |has| |#1| (-1037 (-409 (-568))))) 
-(((|#1|) . T) (($) . T) (((-409 (-568))) . T)) 
-(((|#1|) |has| |#1| (-558))) 
-((((-568) |#4|) . T)) 
-((((-568) |#3|) . T)) 
-((((-850)) . T)) 
-((((-568)) . T) (((-409 (-568))) . T) (($) . T)) 
-((((-850)) . T)) 
-((((-568) |#1|) . T)) 
-(((|#1|) . T)) 
-((($ $) . T) (((-852 |#1|) $) . T) (((-852 |#1|) |#2|) . T)) 
-((($) . T)) 
-((($ $) . T) (((-1161) $) . T) (((-1161) |#1|) . T)) 
-(((|#2|) |has| |#2| (-172))) 
-((($) -2199 (|has| |#2| (-365)) (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904))) ((|#2|) |has| |#2| (-172)) (((-409 (-568))) |has| |#2| (-43 (-409 (-568))))) 
-(((|#2| |#2|) -2199 (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-1047))) (($ $) |has| |#2| (-172))) 
-((((-147)) . T)) 
-(((|#1|) . T)) 
-(-12 (|has| |#1| (-370)) (|has| |#2| (-370))) 
-((((-850)) . T)) 
-(((|#2|) -2199 (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-1047))) (($) |has| |#2| (-172))) 
-(((|#1|) . T)) 
-((((-850)) . T)) 
-(|has| |#1| (-1090)) 
-(|has| $ (-150)) 
-((((-857 |#1|) |#2| (-242 |#2| (-857 |#1|)) (-232 (-1699 |#2|) (-763)) (-967 |#1|) (-774 (-857 |#1|)) (-922 |#1|) (-236 (-922 |#1|)) |#3|) . T)) 
-((((-568) |#1|) . T)) 
-((($) -2199 (|has| |#1| (-301)) (|has| |#1| (-365)) (|has| |#1| (-350)) (|has| |#1| (-558))) (((-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-350))) ((|#1|) . T)) 
-((((-1161)) -12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) 
-(|has| |#1| (-365)) 
-(-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-225)) (|has| |#1| (-365))) (|has| |#1| (-15 * (|#1| (-568) |#1|)))) 
-(|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) 
-(|has| |#1| (-365)) 
-(|has| |#1| (-15 * (|#1| (-763) |#1|))) 
-(((|#1|) . T)) 
-(-2199 (|has| |#1| (-842)) (|has| |#1| (-1090))) 
-((((-850)) . T)) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(-2199 (|has| |#2| (-172)) (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904))) 
-(((|#2| (-534 (-852 |#1|))) . T)) 
-((((-850)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(((|#1|) . T)) 
-(-2199 (|has| |#1| (-172)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-(-2199 (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-((((-581 |#1|)) . T)) 
-((($) . T)) 
-(|has| |#1| (-1181)) 
-(|has| |#1| (-1181)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((($) . T) (((-569)) . T) (((-410 (-569))) . T)) 
+((((-569)) . T)) 
+((((-569)) . T)) 
+((($) . T) (((-569)) . T) (((-410 (-569))) . T)) 
+(((|#1| |#1|) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-569) (-569)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
+(((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569))))) 
+(((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
+(((|#1|) |has| |#1| (-559))) 
+((((-569) |#4|) . T)) 
+((((-569) |#3|) . T)) 
+((((-851)) . T)) 
+((((-569)) . T) (((-410 (-569))) . T) (($) . T)) 
+((((-851)) . T)) 
+((((-569) |#1|) . T)) 
+(((|#1|) . T)) 
+((($ $) . T) (((-853 |#1|) $) . T) (((-853 |#1|) |#2|) . T)) 
+((($) . T)) 
+((($ $) . T) (((-1163) $) . T) (((-1163) |#1|) . T)) 
+(((|#2|) |has| |#2| (-173))) 
+((($) -2232 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) ((|#2|) |has| |#2| (-173)) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
+(((|#2| |#2|) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1048))) (($ $) |has| |#2| (-173))) 
+((((-148)) . T)) 
+(((|#1|) . T)) 
+(-12 (|has| |#1| (-371)) (|has| |#2| (-371))) 
+((((-851)) . T)) 
+(((|#2|) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1048))) (($) |has| |#2| (-173))) 
+(((|#1|) . T)) 
+((((-851)) . T)) 
+(|has| |#1| (-1091)) 
+(|has| $ (-151)) 
+((((-858 |#1|) |#2| (-243 |#2| (-858 |#1|)) (-233 (-4168 |#2|) (-764)) (-968 |#1|) (-775 (-858 |#1|)) (-923 |#1|) (-237 (-923 |#1|)) |#3|) . T)) 
+((((-569) |#1|) . T)) 
+((($) -2232 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351)) (|has| |#1| (-559))) (((-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
+((((-1163)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) 
+(|has| |#1| (-366)) 
+(-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))) 
+(|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) 
+(|has| |#1| (-366)) 
+(|has| |#1| (-15 * (|#1| (-764) |#1|))) 
+(((|#1|) . T)) 
+(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+((((-851)) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(-2232 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
+(((|#2| (-535 (-853 |#1|))) . T)) 
+((((-851)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1|) . T)) 
+(-2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(-2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+((((-582 |#1|)) . T)) 
+((($) . T)) 
+(|has| |#1| (-1183)) 
+(|has| |#1| (-1183)) 
 (((|#1|) . T) (($) . T)) 
-((((-568)) |has| |#1| (-630 (-568))) ((|#1|) . T)) 
+((((-569)) |has| |#1| (-631 (-569))) ((|#1|) . T)) 
 (((|#4|) . T)) 
 (((|#3|) . T)) 
-((((-864 |#1|)) . T) (($) . T) (((-409 (-568))) . T)) 
-(|has| |#1| (-1181)) 
-(|has| |#1| (-1181)) 
-((((-1161)) -12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) 
-(((|#1|) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-568) |#2|) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
+((((-865 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
+(|has| |#1| (-1183)) 
+(|has| |#1| (-1183)) 
+((((-1163)) -12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) 
+(((|#1|) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-569) |#2|) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
 (((|#1| |#2| |#3| |#4| |#5|) . T)) 
-((((-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((|#1| |#1|) . T) (($ $) -2199 (|has| |#1| (-172)) (|has| |#1| (-558)))) 
-((($ $) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-558))) (((-409 (-568)) (-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) (((-1159 |#1| |#2| |#3|) (-1159 |#1| |#2| |#3|)) |has| |#1| (-365)) ((|#1| |#1|) . T)) 
-(((|#1| |#1|) . T) (($ $) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-558))) (((-409 (-568)) (-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365)))) 
-((($ $) -2199 (|has| |#1| (-172)) (|has| |#1| (-558))) ((|#1| |#1|) . T) (((-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-(((|#2|) |has| |#2| (-1047))) 
-(|has| |#1| (-1090)) 
-((((-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((|#1|) . T) (($) -2199 (|has| |#1| (-172)) (|has| |#1| (-558)))) 
-(|has| |#1| (-172)) 
-((($) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-558))) (((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) (((-1159 |#1| |#2| |#3|)) |has| |#1| (-365)) ((|#1|) . T)) 
-(((|#1|) . T) (($) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-558))) (((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365)))) 
-((($) -2199 (|has| |#1| (-172)) (|has| |#1| (-558))) ((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-(((|#1|) |has| |#1| (-172)) (($) . T)) 
-(((|#1|) . T)) 
-((((-409 (-568)) (-409 (-568))) |has| |#2| (-43 (-409 (-568)))) ((|#2| |#2|) . T) (($ $) -2199 (|has| |#2| (-172)) (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904)))) 
-((((-850)) . T)) 
-((((-409 (-568))) |has| |#2| (-43 (-409 (-568)))) ((|#2|) |has| |#2| (-172)) (($) -2199 (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904)))) 
-((($) . T) ((|#2|) . T) (((-409 (-568))) |has| |#2| (-43 (-409 (-568))))) 
+((((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1| |#1|) . T) (($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-559)))) 
+((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (((-1161 |#1| |#2| |#3|) (-1161 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1| |#1|) . T)) 
+(((|#1| |#1|) . T) (($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366)))) 
+((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(((|#2|) |has| |#2| (-1048))) 
+(|has| |#1| (-1091)) 
+((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T) (($) -2232 (|has| |#1| (-173)) (|has| |#1| (-559)))) 
+(|has| |#1| (-173)) 
+((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (((-1161 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1|) . T)) 
+(((|#1|) . T) (($) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366)))) 
+((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(((|#1|) |has| |#1| (-173)) (($) . T)) 
+(((|#1|) . T)) 
+((((-410 (-569)) (-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2| |#2|) . T) (($ $) -2232 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
+((((-851)) . T)) 
+((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
+((($) . T) ((|#2|) . T) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
 ((($ $) . T) ((|#2| $) . T) ((|#2| |#1|) . T)) 
-((((-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((|#1|) |has| |#1| (-172)) (($) -2199 (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904)))) 
-((((-1075) |#1|) . T) (((-1075) $) . T) (($ $) . T)) 
-((((-409 (-568))) |has| |#2| (-43 (-409 (-568)))) ((|#2|) . T) (($) -2199 (|has| |#2| (-172)) (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904)))) 
-((($) . T)) 
-(((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568)))) (($) . T)) 
-(-2199 (|has| |#1| (-842)) (|has| |#1| (-1090))) 
-(((|#2|) |has| |#1| (-365))) 
-(((|#1|) . T)) 
-(|has| |#2| (-904)) 
-(((|#2|) |has| |#2| (-1090)) (((-568)) -12 (|has| |#2| (-1037 (-568))) (|has| |#2| (-1090))) (((-409 (-568))) -12 (|has| |#2| (-1037 (-409 (-568)))) (|has| |#2| (-1090)))) 
-((((-568) |#1|) . T)) 
-(((|#1| (-409 (-568))) . T)) 
-((((-409 |#2|) |#3|) . T)) 
-((((-409 (-568))) . T) (($) . T)) 
-((((-409 (-568))) . T) (($) . T)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-148)) 
-(|has| |#1| (-150)) 
-((((-409 (-568))) |has| |#2| (-43 (-409 (-568)))) ((|#2|) |has| |#2| (-172)) (($) -2199 (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904)))) 
-((($) -2199 (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((((-409 (-568))) . T) (($) . T)) 
-((((-409 (-568))) . T) (($) . T)) 
-((((-409 (-568))) . T) (($) . T)) 
-(((|#2| |#3| (-852 |#1|)) . T)) 
-((((-1161)) |has| |#2| (-895 (-1161)))) 
-(((|#1|) . T)) 
-(((|#1| (-534 |#2|) |#2|) . T)) 
-(((|#1| (-763) (-1075)) . T)) 
-((((-409 (-568))) |has| |#2| (-365)) (($) . T)) 
-(((|#1| (-534 (-1079 (-1161))) (-1079 (-1161))) . T)) 
-(-2199 (|has| |#1| (-172)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-(-2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-(((|#1|) . T)) 
-(-2199 (|has| |#2| (-172)) (|has| |#2| (-840)) (|has| |#2| (-1047)) SEQ) 
-(|has| |#2| (-788)) 
-(-2199 (|has| |#2| (-788)) (|has| |#2| (-840))) 
-(|has| |#1| (-370)) 
-(|has| |#1| (-370)) 
-(|has| |#1| (-370)) 
-(|has| |#2| (-840)) 
-(|has| |#1| (-150)) 
-(|has| |#1| (-148)) 
-((((-888 |#1|)) . T) (((-814 |#1|)) . T)) 
-((((-814 (-1161))) . T)) 
-(((|#1|) . T)) 
-(((|#2|) . T)) 
-(((|#2|) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-634 (-568))) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-541)) . T) (((-887 (-568))) . T) (((-381)) . T) (((-215)) . T)) 
-(|has| |#1| (-225)) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
+((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) -2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905)))) 
+((((-1076) |#1|) . T) (((-1076) $) . T) (($ $) . T)) 
+((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T) (($) -2232 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
+((($) . T)) 
+(((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) (($) . T)) 
+(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+(((|#2|) |has| |#1| (-366))) 
+(((|#1|) . T)) 
+(|has| |#2| (-905)) 
+(((|#2|) |has| |#2| (-1091)) (((-569)) -12 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091))) (((-410 (-569))) -12 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) 
+((((-569) |#1|) . T)) 
+(((|#1| (-410 (-569))) . T)) 
+((((-410 |#2|) |#3|) . T)) 
+((((-410 (-569))) . T) (($) . T)) 
+((((-410 (-569))) . T) (($) . T)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-149)) 
+(|has| |#1| (-151)) 
+((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
+((($) -2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-410 (-569))) . T) (($) . T)) 
+((((-410 (-569))) . T) (($) . T)) 
+((((-410 (-569))) . T) (($) . T)) 
+(((|#2| |#3| (-853 |#1|)) . T)) 
+((((-1163)) |has| |#2| (-896 (-1163)))) 
+(((|#1|) . T)) 
+(((|#1| (-535 |#2|) |#2|) . T)) 
+(((|#1| (-764) (-1076)) . T)) 
+((((-410 (-569))) |has| |#2| (-366)) (($) . T)) 
+(((|#1| (-535 (-1080 (-1163))) (-1080 (-1163))) . T)) 
+(-2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(-2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(((|#1|) . T)) 
+(-2232 (|has| |#2| (-173)) (|has| |#2| (-841)) (|has| |#2| (-1048)) SEQ) 
+(|has| |#2| (-789)) 
+(-2232 (|has| |#2| (-789)) (|has| |#2| (-841))) 
+(|has| |#1| (-371)) 
+(|has| |#1| (-371)) 
+(|has| |#1| (-371)) 
+(|has| |#2| (-841)) 
+(|has| |#1| (-151)) 
+(|has| |#1| (-149)) 
+((((-889 |#1|)) . T) (((-815 |#1|)) . T)) 
+((((-815 (-1163))) . T)) 
+(((|#1|) . T)) 
+(((|#2|) . T)) 
+(((|#2|) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-635 (-569))) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-542)) . T) (((-888 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
+(|has| |#1| (-226)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
 ((($ $) . T)) 
 (((|#1| |#1|) . T)) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
 ((($ $) . T)) 
-((((-1235 |#1| |#2| |#3|) $) -12 (|has| (-1235 |#1| |#2| |#3|) (-281 (-1235 |#1| |#2| |#3|) (-1235 |#1| |#2| |#3|))) (|has| |#1| (-365))) (($ $) . T)) 
+((((-1238 |#1| |#2| |#3|) $) -12 (|has| (-1238 |#1| |#2| |#3|) (-282 (-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|))) (|has| |#1| (-366))) (($ $) . T)) 
 ((($ $) . T)) 
 ((($ $) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-172)) 
-((((-1125 |#1| |#2|)) |has| (-1125 |#1| |#2|) (-303 (-1125 |#1| |#2|)))) 
-(((|#4| |#4|) -12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) 
-(((|#2|) . T) (((-568)) |has| |#2| (-1037 (-568))) (((-409 (-568))) |has| |#2| (-1037 (-409 (-568))))) 
-(((|#3| |#3|) -12 (|has| |#3| (-303 |#3|)) (|has| |#3| (-1090)))) 
-(((|#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) |has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))))) 
+(|has| |#1| (-173)) 
+((((-1126 |#1| |#2|)) |has| (-1126 |#1| |#2|) (-304 (-1126 |#1| |#2|)))) 
+(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) 
+(((|#2|) . T) (((-569)) |has| |#2| (-1038 (-569))) (((-410 (-569))) |has| |#2| (-1038 (-410 (-569))))) 
+(((|#3| |#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 
 (((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
 ((($) . T)) 
 ((($) . T)) 
 (((|#2|) . T)) 
 (((|#3|) . T)) 
-(-2199 (|has| |#1| (-842)) (|has| |#1| (-1090))) 
-(((|#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) |has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))))) 
-(((|#2|) . T)) 
-((((-850)) -2199 (|has| |#2| (-25)) (|has| |#2| (-137)) (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-370)) (|has| |#2| (-716)) (|has| |#2| (-788)) (|has| |#2| (-840)) (|has| |#2| (-1047)) (|has| |#2| (-1090))) (((-1244 |#2|)) . T)) 
-(((|#1|) |has| |#1| (-172))) 
-((((-568)) . T)) 
-((((-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((|#1|) |has| |#1| (-172)) (($) -2199 (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904)))) 
-((($) -2199 (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((((-568) (-147)) . T)) 
-((($) -2199 (|has| |#2| (-172)) (|has| |#2| (-840)) (|has| |#2| (-1047))) ((|#2|) -2199 (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-1047)))) 
-(-2199 (|has| |#1| (-21)) (|has| |#1| (-148)) (|has| |#1| (-150)) (|has| |#1| (-172)) (|has| |#1| (-558)) (|has| |#1| (-1047))) 
-(((|#1|) . T)) 
-(-2199 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-148)) (|has| |#1| (-150)) (|has| |#1| (-172)) (|has| |#1| (-558)) (|has| |#1| (-1047))) 
-(((|#2|) |has| |#1| (-365))) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
+(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 
+(((|#2|) . T)) 
+((((-851)) -2232 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-717)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048)) (|has| |#2| (-1091))) (((-1247 |#2|)) . T)) 
+(((|#1|) |has| |#1| (-173))) 
+((((-569)) . T)) 
+((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) -2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905)))) 
+((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-569) (-148)) . T)) 
+((($) -2232 (|has| |#2| (-173)) (|has| |#2| (-841)) (|has| |#2| (-1048))) ((|#2|) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1048)))) 
+(-2232 (|has| |#1| (-21)) (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1048))) 
+(((|#1|) . T)) 
+(-2232 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1048))) 
+(((|#2|) |has| |#1| (-366))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
 (((|#1| |#1|) . T) (($ $) . T)) 
-((($) -2199 (|has| |#1| (-365)) (|has| |#1| (-558))) (((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) ((|#1|) |has| |#1| (-172))) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-((($) . T) (((-409 (-568))) . T) ((|#1|) |has| |#1| (-172))) 
-((($) . T) (((-409 (-568))) . T)) 
-(((|#1| (-534 (-1161)) (-1161)) . T)) 
+((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#1|) |has| |#1| (-173))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((($) . T) (((-410 (-569))) . T) ((|#1|) |has| |#1| (-173))) 
+((($) . T) (((-410 (-569))) . T)) 
+(((|#1| (-535 (-1163)) (-1163)) . T)) 
 (((|#1|) . T) (($) . T)) 
-(|has| |#4| (-172)) 
-(|has| |#3| (-172)) 
-((((-409 (-953 |#1|)) (-409 (-953 |#1|))) . T)) 
-(-2199 (|has| |#1| (-842)) (|has| |#1| (-1090))) 
-(|has| |#1| (-1090)) 
-(-2199 (|has| |#1| (-842)) (|has| |#1| (-1090))) 
-(|has| |#1| (-1090)) 
-((((-850)) -2199 (|has| |#1| (-842)) (|has| |#1| (-1090)))) 
-((((-541)) |has| |#1| (-609 (-541)))) 
-(-2199 (|has| |#1| (-842)) (|has| |#1| (-1090))) 
-(((|#1|) |has| |#1| (-172)) (($) |has| |#1| (-172))) 
-(((|#1| |#1|) |has| |#1| (-172))) 
-((((-860)) . T) (((-409 (-568))) . T)) 
-((((-409 (-568))) . T)) 
-((($ $) -2199 (|has| |#1| (-172)) (|has| |#1| (-558))) ((|#1| |#1|) . T) (((-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((((-409 (-953 |#1|))) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(((|#1|) . T)) 
-(((|#1|) |has| |#1| (-172))) 
-((($) -2199 (|has| |#1| (-172)) (|has| |#1| (-558))) ((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-(-2199 (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-((((-850)) . T)) 
-((((-1229 |#1| |#2| |#3| |#4|)) . T)) 
-(((|#1|) |has| |#1| (-1047)) (((-568)) -12 (|has| |#1| (-630 (-568))) (|has| |#1| (-1047)))) 
+(|has| |#4| (-173)) 
+(|has| |#3| (-173)) 
+((((-410 (-954 |#1|)) (-410 (-954 |#1|))) . T)) 
+(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+(|has| |#1| (-1091)) 
+(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+(|has| |#1| (-1091)) 
+((((-851)) -2232 (|has| |#1| (-843)) (|has| |#1| (-1091)))) 
+((((-542)) |has| |#1| (-610 (-542)))) 
+(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+(((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-173))) 
+(((|#1| |#1|) |has| |#1| (-173))) 
+((((-861)) . T) (((-410 (-569))) . T)) 
+((((-410 (-569))) . T)) 
+((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-410 (-954 |#1|))) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1|) . T)) 
+(((|#1|) |has| |#1| (-173))) 
+((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(-2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+((((-851)) . T)) 
+((((-1232 |#1| |#2| |#3| |#4|)) . T)) 
+(((|#1|) |has| |#1| (-1048)) (((-569)) -12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048)))) 
 (((|#1| |#2|) . T)) 
-(-2199 (|has| |#3| (-172)) (|has| |#3| (-840)) (|has| |#3| (-1047)) SEQ) 
-(|has| |#3| (-788)) 
-(-2199 (|has| |#3| (-788)) (|has| |#3| (-840))) 
-(|has| |#3| (-840)) 
-((((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) (($) -2199 (|has| |#1| (-365)) (|has| |#1| (-558))) ((|#2|) |has| |#1| (-365)) ((|#1|) |has| |#1| (-172))) 
-(((|#1|) |has| |#1| (-172)) (((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) (($) -2199 (|has| |#1| (-365)) (|has| |#1| (-558)))) 
-(((|#2|) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-(((|#1| (-1141 |#1|)) |has| |#1| (-840))) 
-((((-568) |#2|) . T)) 
-(|has| |#1| (-1090)) 
-(((|#1|) . T)) 
-((((-2 (|:| |k| (-568)) (|:| |c| |#1|))) |has| (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-303 (-2 (|:| |k| (-568)) (|:| |c| |#1|))))) 
-(-12 (|has| |#1| (-365)) (|has| |#2| (-1136))) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(|has| |#1| (-1090)) 
-(((|#2|) . T)) 
-((((-541)) |has| |#2| (-609 (-541))) (((-887 (-381))) |has| |#2| (-609 (-887 (-381)))) (((-887 (-568))) |has| |#2| (-609 (-887 (-568))))) 
-(((|#4|) -2199 (|has| |#4| (-172)) (|has| |#4| (-365)))) 
-(((|#3|) -2199 (|has| |#3| (-172)) (|has| |#3| (-365)))) 
-((((-850)) . T)) 
-(((|#1|) . T)) 
-(-2199 (|has| |#2| (-453)) (|has| |#2| (-904))) 
-(-2199 (|has| |#1| (-453)) (|has| |#1| (-904))) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-904))) 
-((($ $) . T) (((-1161) $) |has| |#1| (-225)) (((-1161) |#1|) |has| |#1| (-225)) (((-813 (-1161)) |#1|) . T) (((-813 (-1161)) $) . T)) 
-(-2199 (|has| |#1| (-453)) (|has| |#1| (-904))) 
-((((-568) |#2|) . T)) 
-((((-850)) . T)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-((($) -2199 (|has| |#3| (-172)) (|has| |#3| (-840)) (|has| |#3| (-1047))) ((|#3|) -2199 (|has| |#3| (-172)) (|has| |#3| (-365)) (|has| |#3| (-1047)))) 
-((((-568) |#1|) . T)) 
-(|has| (-409 |#2|) (-150)) 
-(|has| (-409 |#2|) (-148)) 
-(((|#2|) -12 (|has| |#1| (-365)) (|has| |#2| (-303 |#2|)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(((|#1|) . T)) 
-(((|#2|) . T) (($) . T) (((-409 (-568))) . T)) 
-((((-850)) . T)) 
-(|has| |#1| (-558)) 
-(|has| |#1| (-558)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-((((-850)) . T)) 
-((((-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) . T)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-((((-390) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) . T)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#2| (-1136)) 
-(|has| |#1| (-558)) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-558))) 
-(((|#1|) . T)) 
-((((-390) (-1143)) . T)) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-558))) 
-(|has| |#1| (-558)) 
+(-2232 (|has| |#3| (-173)) (|has| |#3| (-841)) (|has| |#3| (-1048)) SEQ) 
+(|has| |#3| (-789)) 
+(-2232 (|has| |#3| (-789)) (|has| |#3| (-841))) 
+(|has| |#3| (-841)) 
+((((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559))) ((|#2|) |has| |#1| (-366)) ((|#1|) |has| |#1| (-173))) 
+(((|#1|) |has| |#1| (-173)) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559)))) 
+(((|#2|) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+(((|#1| (-1143 |#1|)) |has| |#1| (-841))) 
+((((-569) |#2|) . T)) 
+(|has| |#1| (-1091)) 
+(((|#1|) . T)) 
+((((-2 (|:| |k| (-569)) (|:| |c| |#1|))) |has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-569)) (|:| |c| |#1|))))) 
+(-12 (|has| |#1| (-366)) (|has| |#2| (-1137))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(|has| |#1| (-1091)) 
+(((|#2|) . T)) 
+((((-542)) |has| |#2| (-610 (-542))) (((-888 (-382))) |has| |#2| (-610 (-888 (-382)))) (((-888 (-569))) |has| |#2| (-610 (-888 (-569))))) 
+(((|#4|) -2232 (|has| |#4| (-173)) (|has| |#4| (-366)))) 
+(((|#3|) -2232 (|has| |#3| (-173)) (|has| |#3| (-366)))) 
+((((-851)) . T)) 
+(((|#1|) . T)) 
+(-2232 (|has| |#2| (-454)) (|has| |#2| (-905))) 
+(-2232 (|has| |#1| (-454)) (|has| |#1| (-905))) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-905))) 
+((($ $) . T) (((-1163) $) |has| |#1| (-226)) (((-1163) |#1|) |has| |#1| (-226)) (((-814 (-1163)) |#1|) . T) (((-814 (-1163)) $) . T)) 
+(-2232 (|has| |#1| (-454)) (|has| |#1| (-905))) 
+((((-569) |#2|) . T)) 
+((((-851)) . T)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((($) -2232 (|has| |#3| (-173)) (|has| |#3| (-841)) (|has| |#3| (-1048))) ((|#3|) -2232 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-1048)))) 
+((((-569) |#1|) . T)) 
+(|has| (-410 |#2|) (-151)) 
+(|has| (-410 |#2|) (-149)) 
+(((|#2|) -12 (|has| |#1| (-366)) (|has| |#2| (-304 |#2|)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(((|#1|) . T)) 
+(((|#2|) . T) (($) . T) (((-410 (-569))) . T)) 
+((((-851)) . T)) 
+(|has| |#1| (-559)) 
+(|has| |#1| (-559)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-851)) . T)) 
+((((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) . T)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+((((-391) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) . T)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#2| (-1137)) 
+(|has| |#1| (-559)) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(((|#1|) . T)) 
+((((-391) (-1145)) . T)) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(|has| |#1| (-559)) 
 ((((-125 |#1|)) . T)) 
-((((-568) |#1|) . T)) 
-(-2199 (|has| |#1| (-172)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-(((|#2|) . T)) 
-((((-850)) . T)) 
-(((|#2|) |has| |#2| (-1047)) (((-568)) -12 (|has| |#2| (-630 (-568))) (|has| |#2| (-1047)))) 
-((((-814 |#1|)) . T)) 
-(((|#2|) |has| |#2| (-172))) 
-((((-1161) (-57)) . T)) 
-(((|#1|) . T)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-558)) 
-(((|#1|) |has| |#1| (-172))) 
-((((-850)) . T)) 
-((((-541)) |has| |#1| (-609 (-541)))) 
-(-2199 (|has| |#1| (-842)) (|has| |#1| (-1090))) 
-(((|#2|) |has| |#2| (-303 |#2|))) 
-((((-568) (-568)) . T) (((-409 (-568)) (-409 (-568))) . T) (($ $) . T)) 
-(((|#1|) . T)) 
-(((|#1| (-1157 |#1|)) . T)) 
-(|has| $ (-150)) 
-(((|#2|) . T)) 
-((((-568) (-568)) . T) (((-409 (-568)) (-409 (-568))) . T) (($ $) . T)) 
-((($) . T) (((-568)) . T) (((-409 (-568))) . T)) 
-(|has| |#2| (-370)) 
-(-2199 (|has| |#1| (-842)) (|has| |#1| (-1090))) 
-(((|#1|) . T) (((-409 (-568))) . T) (($) . T)) 
-(((|#1|) . T) (((-409 (-568))) . T) (($) . T)) 
-(((|#1|) . T) (((-409 (-568))) . T) (($) . T)) 
-((((-568)) . T) (((-409 (-568))) . T) (($) . T)) 
+((((-569) |#1|) . T)) 
+(-2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(((|#2|) . T)) 
+((((-851)) . T)) 
+(((|#2|) |has| |#2| (-1048)) (((-569)) -12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048)))) 
+((((-815 |#1|)) . T)) 
+(((|#2|) |has| |#2| (-173))) 
+((((-1163) (-57)) . T)) 
+(((|#1|) . T)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-559)) 
+(((|#1|) |has| |#1| (-173))) 
+((((-851)) . T)) 
+((((-542)) |has| |#1| (-610 (-542)))) 
+(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+(((|#2|) |has| |#2| (-304 |#2|))) 
+((((-569) (-569)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
+(((|#1|) . T)) 
+(((|#1| (-1159 |#1|)) . T)) 
+(|has| $ (-151)) 
+(((|#2|) . T)) 
+((((-569) (-569)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
+((($) . T) (((-569)) . T) (((-410 (-569))) . T)) 
+(|has| |#2| (-371)) 
+(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
+(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
+(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
+((((-569)) . T) (((-410 (-569))) . T) (($) . T)) 
 (((|#1| |#2|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-568)) . T) (((-409 (-568))) . T) (($) . T)) 
-((((-1159 |#1| |#2| |#3|) $) -12 (|has| (-1159 |#1| |#2| |#3|) (-281 (-1159 |#1| |#2| |#3|) (-1159 |#1| |#2| |#3|))) (|has| |#1| (-365))) (($ $) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((($) . T) (((-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-350))) ((|#1|) . T)) 
-((((-541)) |has| |#1| (-609 (-541)))) 
-((((-850)) |has| |#1| (-1090))) 
+((((-569)) . T) (((-410 (-569))) . T) (($) . T)) 
+((((-1161 |#1| |#2| |#3|) $) -12 (|has| (-1161 |#1| |#2| |#3|) (-282 (-1161 |#1| |#2| |#3|) (-1161 |#1| |#2| |#3|))) (|has| |#1| (-366))) (($ $) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((($) . T) (((-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
+((((-542)) |has| |#1| (-610 (-542)))) 
+((((-851)) |has| |#1| (-1091))) 
 ((($ $) . T)) 
 ((($ $) . T)) 
-((((-850)) . T)) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-((((-1235 |#1| |#2| |#3|) (-1235 |#1| |#2| |#3|)) -12 (|has| (-1235 |#1| |#2| |#3|) (-303 (-1235 |#1| |#2| |#3|))) (|has| |#1| (-365))) (((-1161) (-1235 |#1| |#2| |#3|)) -12 (|has| (-1235 |#1| |#2| |#3|) (-523 (-1161) (-1235 |#1| |#2| |#3|))) (|has| |#1| (-365)))) 
+((((-851)) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|)) -12 (|has| (-1238 |#1| |#2| |#3|) (-304 (-1238 |#1| |#2| |#3|))) (|has| |#1| (-366))) (((-1163) (-1238 |#1| |#2| |#3|)) -12 (|has| (-1238 |#1| |#2| |#3|) (-524 (-1163) (-1238 |#1| |#2| |#3|))) (|has| |#1| (-366)))) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((($) -2199 (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((((-409 (-568))) . T) (((-568)) . T)) 
-((((-568) (-147)) . T)) 
-((((-147)) . T)) 
+((($) -2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-410 (-569))) . T) (((-569)) . T)) 
+((((-569) (-148)) . T)) 
+((((-148)) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-842)) 
-(-2199 (|has| |#1| (-21)) (|has| |#1| (-148)) (|has| |#1| (-150)) (|has| |#1| (-172)) (|has| |#1| (-558)) (|has| |#1| (-1047))) 
+(|has| |#1| (-843)) 
+(-2232 (|has| |#1| (-21)) (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1048))) 
 ((((-121)) . T)) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
 ((((-121)) . T)) 
 (((|#1|) . T)) 
-((((-541)) |has| |#1| (-609 (-541))) (((-215)) |has| |#1| (-1021)) (((-381)) |has| |#1| (-1021))) 
-((((-850)) . T)) 
-(|has| |#1| (-815)) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-(|has| |#1| (-842)) 
-(-2199 (|has| |#1| (-172)) (|has| |#1| (-558))) 
-(|has| |#1| (-558)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-904)) 
-(((|#1|) . T)) 
-(|has| |#1| (-1090)) 
-((((-850)) . T)) 
-(-2199 (|has| |#1| (-172)) (|has| |#1| (-558))) 
-(-2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-558))) 
-(-2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-558))) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-(-2199 (|has| |#1| (-172)) (|has| |#1| (-558))) 
-(((|#1| (-1244 |#1|) (-1244 |#1|)) . T)) 
-((((-568) (-147)) . T)) 
-((($) . T)) 
-(-2199 (|has| |#4| (-172)) (|has| |#4| (-840)) (|has| |#4| (-1047))) 
-(-2199 (|has| |#3| (-172)) (|has| |#3| (-840)) (|has| |#3| (-1047))) 
-(((|#2| (-763)) . T)) 
-((((-850)) . T)) 
-(|has| |#1| (-1090)) 
-(((|#1| (-972)) . T)) 
+((((-542)) |has| |#1| (-610 (-542))) (((-216)) |has| |#1| (-1022)) (((-382)) |has| |#1| (-1022))) 
+((((-851)) . T)) 
+(|has| |#1| (-816)) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(|has| |#1| (-843)) 
+(-2232 (|has| |#1| (-173)) (|has| |#1| (-559))) 
+(|has| |#1| (-559)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-905)) 
+(((|#1|) . T)) 
+(|has| |#1| (-1091)) 
+((((-851)) . T)) 
+(-2232 (|has| |#1| (-173)) (|has| |#1| (-559))) 
+(-2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(-2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+(-2232 (|has| |#1| (-173)) (|has| |#1| (-559))) 
+(((|#1| (-1247 |#1|) (-1247 |#1|)) . T)) 
+((((-569) (-148)) . T)) 
+((($) . T)) 
+(-2232 (|has| |#4| (-173)) (|has| |#4| (-841)) (|has| |#4| (-1048))) 
+(-2232 (|has| |#3| (-173)) (|has| |#3| (-841)) (|has| |#3| (-1048))) 
+(((|#2| (-764)) . T)) 
+((((-851)) . T)) 
+(|has| |#1| (-1091)) 
+(((|#1| (-973)) . T)) 
 (((|#1| |#1|) . T)) 
-(|has| (-409 (-568)) (-148)) 
-(-2199 (|has| |#2| (-788)) (|has| |#2| (-840))) 
-(-2199 (|has| |#2| (-788)) (|has| |#2| (-840))) 
-(|has| (-409 (-568)) (-148)) 
-(((|#1| (-568)) . T)) 
+(|has| (-410 (-569)) (-149)) 
+(-2232 (|has| |#2| (-789)) (|has| |#2| (-841))) 
+(-2232 (|has| |#2| (-789)) (|has| |#2| (-841))) 
+(|has| (-410 (-569)) (-149)) 
+(((|#1| (-569)) . T)) 
 ((($) . T)) 
-(-2199 (|has| |#2| (-172)) (|has| |#2| (-840)) (|has| |#2| (-1047)) SEQ) 
-(-12 (|has| |#1| (-478)) (|has| |#2| (-478))) 
+(-2232 (|has| |#2| (-173)) (|has| |#2| (-841)) (|has| |#2| (-1048)) SEQ) 
+(-12 (|has| |#1| (-479)) (|has| |#2| (-479))) 
 (((|#1|) . T)) 
-(|has| |#2| (-788)) 
-(-2199 (|has| |#2| (-788)) (|has| |#2| (-840))) 
+(|has| |#2| (-789)) 
+(-2232 (|has| |#2| (-789)) (|has| |#2| (-841))) 
 (((|#1| |#2|) . T)) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(|has| |#2| (-840)) 
-(-12 (|has| |#1| (-788)) (|has| |#2| (-788))) 
-(-12 (|has| |#1| (-788)) (|has| |#2| (-788))) 
-(-2199 (-12 (|has| |#1| (-478)) (|has| |#2| (-478))) (-12 (|has| |#1| (-716)) (|has| |#2| (-716)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(|has| |#2| (-841)) 
+(-12 (|has| |#1| (-789)) (|has| |#2| (-789))) 
+(-12 (|has| |#1| (-789)) (|has| |#2| (-789))) 
+(-2232 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-717)) (|has| |#2| (-717)))) 
 (((|#1| |#2|) . T)) 
-(((|#2|) |has| |#2| (-172))) 
-(((|#1|) |has| |#1| (-172))) 
-((((-850)) . T)) 
-(|has| |#1| (-350)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-409 (-568))) . T) (($) . T)) 
-((($) . T) (((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) ((|#1|) . T)) 
-(|has| |#1| (-823)) 
-((((-409 (-568))) |has| |#1| (-1037 (-409 (-568)))) (((-568)) |has| |#1| (-1037 (-568))) ((|#1|) . T)) 
-(|has| |#1| (-1090)) 
-(((|#1| $) |has| |#1| (-281 |#1| |#1|))) 
-((((-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((|#1|) |has| |#1| (-172)) (($) |has| |#1| (-558))) 
-((($) |has| |#1| (-558))) 
-(((|#4|) |has| |#4| (-1090))) 
-(((|#3|) |has| |#3| (-1090))) 
-(|has| |#3| (-370)) 
-(((|#1|) . T) (((-850)) . T)) 
-((($) |has| |#1| (-558)) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) (($) -2199 (|has| |#1| (-365)) (|has| |#1| (-558))) (((-1235 |#1| |#2| |#3|)) |has| |#1| (-365)) ((|#1|) |has| |#1| (-172))) 
-((((-850)) . T)) 
-(((|#1|) |has| |#1| (-172)) (((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) (($) -2199 (|has| |#1| (-365)) (|has| |#1| (-558)))) 
-((($) |has| |#1| (-558)) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-(((|#2|) . T)) 
-(((|#1| |#1|) |has| |#1| (-172))) 
+(((|#2|) |has| |#2| (-173))) 
+(((|#1|) |has| |#1| (-173))) 
+((((-851)) . T)) 
+(|has| |#1| (-351)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-410 (-569))) . T) (($) . T)) 
+((($) . T) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#1|) . T)) 
+(|has| |#1| (-824)) 
+((((-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) (((-569)) |has| |#1| (-1038 (-569))) ((|#1|) . T)) 
+(|has| |#1| (-1091)) 
+(((|#1| $) |has| |#1| (-282 |#1| |#1|))) 
+((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-559))) 
+((($) |has| |#1| (-559))) 
+(((|#4|) |has| |#4| (-1091))) 
+(((|#3|) |has| |#3| (-1091))) 
+(|has| |#3| (-371)) 
+(((|#1|) . T) (((-851)) . T)) 
+((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-1238 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1|) |has| |#1| (-173))) 
+((((-851)) . T)) 
+(((|#1|) |has| |#1| (-173)) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559)))) 
+((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(((|#2|) . T)) 
+(((|#1| |#1|) |has| |#1| (-173))) 
 (((|#1| |#2|) . T)) 
-(|has| |#2| (-365)) 
-(((|#1|) . T)) 
-(((|#1|) |has| |#1| (-172))) 
-((((-409 (-568))) . T) (((-568)) . T)) 
-((($ $) -2199 (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904))) ((|#2| |#2|) . T) (((-409 (-568)) (-409 (-568))) |has| |#2| (-43 (-409 (-568))))) 
-((($ $) -2199 (|has| |#1| (-172)) (|has| |#1| (-558))) ((|#1| |#1|) . T) (((-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((($) -2199 (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904))) ((|#2|) . T) (((-409 (-568))) |has| |#2| (-43 (-409 (-568))))) 
-((($) -2199 (|has| |#1| (-172)) (|has| |#1| (-558))) ((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-(((|#2| |#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) 
-((((-147)) . T)) 
-(((|#1|) . T)) 
-((((-147)) . T)) 
-((($) -2199 (|has| |#2| (-172)) (|has| |#2| (-840)) (|has| |#2| (-1047))) ((|#2|) -2199 (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-1047)))) 
-((((-147)) . T)) 
+(|has| |#2| (-366)) 
+(((|#1|) . T)) 
+(((|#1|) |has| |#1| (-173))) 
+((((-410 (-569))) . T) (((-569)) . T)) 
+((($ $) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) ((|#2| |#2|) . T) (((-410 (-569)) (-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
+((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) ((|#2|) . T) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
+((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) 
+((((-148)) . T)) 
+(((|#1|) . T)) 
+((((-148)) . T)) 
+((($) -2232 (|has| |#2| (-173)) (|has| |#2| (-841)) (|has| |#2| (-1048))) ((|#2|) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1048)))) 
+((((-148)) . T)) 
 (((|#1| |#2| |#3|) . T)) 
-(-2199 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-148)) (|has| |#1| (-150)) (|has| |#1| (-172)) (|has| |#1| (-558)) (|has| |#1| (-1047))) 
-(|has| $ (-150)) 
-(|has| $ (-150)) 
-(|has| |#1| (-1090)) 
-((((-850)) . T)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(-2199 (|has| |#1| (-148)) (|has| |#1| (-150)) (|has| |#1| (-172)) (|has| |#1| (-478)) (|has| |#1| (-558)) (|has| |#1| (-1047)) (|has| |#1| (-1102))) 
-((($ $) |has| |#1| (-281 $ $)) ((|#1| $) |has| |#1| (-281 |#1| |#1|))) 
-(((|#1| (-409 (-568))) . T)) 
-(((|#1|) . T)) 
-(((|#1| (-568)) . T)) 
-((((-1161)) . T)) 
-(|has| |#1| (-558)) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-558))) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-558))) 
-(|has| |#1| (-558)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-((((-850)) . T)) 
-(|has| |#2| (-148)) 
-(|has| |#2| (-150)) 
+(-2232 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1048))) 
+(|has| $ (-151)) 
+(|has| $ (-151)) 
+(|has| |#1| (-1091)) 
+((((-851)) . T)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(-2232 (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-479)) (|has| |#1| (-559)) (|has| |#1| (-1048)) (|has| |#1| (-1103))) 
+((($ $) |has| |#1| (-282 $ $)) ((|#1| $) |has| |#1| (-282 |#1| |#1|))) 
+(((|#1| (-410 (-569))) . T)) 
+(((|#1|) . T)) 
+(((|#1| (-569)) . T)) 
+((((-1163)) . T)) 
+(|has| |#1| (-559)) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(|has| |#1| (-559)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+((((-851)) . T)) 
+(|has| |#2| (-149)) 
+(|has| |#2| (-151)) 
 (((|#2|) . T) (($) . T)) 
-(|has| |#1| (-150)) 
-(|has| |#1| (-148)) 
-(|has| |#4| (-840)) 
-(((|#2| (-232 (-1699 |#1|) (-763)) (-852 |#1|)) . T)) 
-(|has| |#3| (-840)) 
-(((|#1| (-534 |#3|) |#3|) . T)) 
-(|has| |#1| (-150)) 
-(|has| |#1| (-148)) 
-((((-409 (-568)) (-409 (-568))) |has| |#2| (-365)) (($ $) . T)) 
-((((-864 |#1|)) . T)) 
-(|has| |#1| (-150)) 
-(|has| |#1| (-370)) 
-(|has| |#1| (-370)) 
-(|has| |#1| (-370)) 
-(|has| |#1| (-148)) 
-((((-409 (-568))) |has| |#2| (-365)) (($) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(-2199 (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904))) 
-(-2199 (|has| |#1| (-350)) (|has| |#1| (-370))) 
-((((-1127 |#2| |#1|)) . T) ((|#1|) . T)) 
-(((|#1|) . T)) 
-(|has| |#2| (-172)) 
+(|has| |#1| (-151)) 
+(|has| |#1| (-149)) 
+(|has| |#4| (-841)) 
+(((|#2| (-233 (-4168 |#1|) (-764)) (-853 |#1|)) . T)) 
+(|has| |#3| (-841)) 
+(((|#1| (-535 |#3|) |#3|) . T)) 
+(|has| |#1| (-151)) 
+(|has| |#1| (-149)) 
+((((-410 (-569)) (-410 (-569))) |has| |#2| (-366)) (($ $) . T)) 
+((((-865 |#1|)) . T)) 
+(|has| |#1| (-151)) 
+(|has| |#1| (-371)) 
+(|has| |#1| (-371)) 
+(|has| |#1| (-371)) 
+(|has| |#1| (-149)) 
+((((-410 (-569))) |has| |#2| (-366)) (($) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(-2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
+(-2232 (|has| |#1| (-351)) (|has| |#1| (-371))) 
+((((-1128 |#2| |#1|)) . T) ((|#1|) . T)) 
+(((|#1|) . T)) 
+(|has| |#2| (-173)) 
 (((|#1| |#2|) . T)) 
-(-12 (|has| |#2| (-225)) (|has| |#2| (-1047))) 
-(((|#2|) . T) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-(-2199 (|has| |#3| (-788)) (|has| |#3| (-840))) 
-(-2199 (|has| |#3| (-788)) (|has| |#3| (-840))) 
-((((-850)) . T)) 
+(-12 (|has| |#2| (-226)) (|has| |#2| (-1048))) 
+(((|#2|) . T) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+(-2232 (|has| |#3| (-789)) (|has| |#3| (-841))) 
+(-2232 (|has| |#3| (-789)) (|has| |#3| (-841))) 
+((((-851)) . T)) 
 (((|#1|) . T)) 
 (((|#2|) . T) (($) . T)) 
 (((|#1|) . T) (($) . T)) 
-((((-688)) . T)) 
-(-2199 (|has| |#2| (-172)) (|has| |#2| (-840)) (|has| |#2| (-1047))) 
-(|has| |#1| (-558)) 
+((((-689)) . T)) 
+(-2232 (|has| |#2| (-173)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+(|has| |#1| (-559)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-1161) (-57)) . T)) 
-((((-850)) . T)) 
-((((-541)) . T) (((-887 (-568))) . T) (((-381)) . T) (((-215)) . T)) 
+((((-1163) (-57)) . T)) 
+((((-851)) . T)) 
+((((-542)) . T) (((-888 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
 (((|#1|) . T)) 
-((((-850)) . T)) 
-((((-541)) . T) (((-887 (-568))) . T) (((-381)) . T) (((-215)) . T)) 
-(((|#1| (-568)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
+((((-851)) . T)) 
+((((-542)) . T) (((-888 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
+(((|#1| (-569)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
 (((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
-(((|#1| (-409 (-568))) . T)) 
-(((|#3|) . T) (((-607 $)) . T)) 
+(((|#1| (-410 (-569))) . T)) 
+(((|#3|) . T) (((-608 $)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
 (((|#1|) . T)) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
 ((($ $) . T) ((|#2| $) . T)) 
-(((|#1|) . T) (((-409 (-568))) . T) (($) . T)) 
-((((-1159 |#1| |#2| |#3|) (-1159 |#1| |#2| |#3|)) -12 (|has| (-1159 |#1| |#2| |#3|) (-303 (-1159 |#1| |#2| |#3|))) (|has| |#1| (-365))) (((-1161) (-1159 |#1| |#2| |#3|)) -12 (|has| (-1159 |#1| |#2| |#3|) (-523 (-1161) (-1159 |#1| |#2| |#3|))) (|has| |#1| (-365)))) 
-((((-568)) . T) (($) . T) (((-409 (-568))) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
+(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
+((((-1161 |#1| |#2| |#3|) (-1161 |#1| |#2| |#3|)) -12 (|has| (-1161 |#1| |#2| |#3|) (-304 (-1161 |#1| |#2| |#3|))) (|has| |#1| (-366))) (((-1163) (-1161 |#1| |#2| |#3|)) -12 (|has| (-1161 |#1| |#2| |#3|) (-524 (-1163) (-1161 |#1| |#2| |#3|))) (|has| |#1| (-366)))) 
+((((-569)) . T) (($) . T) (((-410 (-569))) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
 (((|#1| |#1|) . T)) 
-(((|#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) |has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))))) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) (((-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) |has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-303 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))))) 
-((((-850)) . T)) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) |has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))))) 
+((((-851)) . T)) 
 (((|#1|) . T)) 
 (((|#3| |#3|) . T)) 
 (((|#1|) . T)) 
 ((($) . T) ((|#2|) . T)) 
-((((-1161) (-57)) . T)) 
+((((-1163) (-57)) . T)) 
 (((|#3|) . T)) 
-((($ $) . T) (((-852 |#1|) $) . T) (((-852 |#1|) |#2|) . T)) 
-(|has| |#1| (-823)) 
-(|has| |#1| (-1090)) 
-(((|#2| |#2|) -2199 (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-1047))) (($ $) |has| |#2| (-172))) 
-(((|#2|) -2199 (|has| |#2| (-172)) (|has| |#2| (-365)))) 
-((((-568) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((|#1| |#2|) . T)) 
-(((|#2|) -2199 (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-1047))) (($) |has| |#2| (-172))) 
-((((-763)) . T)) 
-((((-568)) . T)) 
-(|has| |#1| (-558)) 
-((((-850)) . T)) 
-(((|#1| (-409 (-568)) (-1075)) . T)) 
-(|has| |#1| (-148)) 
-(((|#1|) . T)) 
-(|has| |#1| (-558)) 
-((((-568)) . T)) 
+((($ $) . T) (((-853 |#1|) $) . T) (((-853 |#1|) |#2|) . T)) 
+(|has| |#1| (-824)) 
+(|has| |#1| (-1091)) 
+(((|#2| |#2|) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1048))) (($ $) |has| |#2| (-173))) 
+(((|#2|) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)))) 
+((((-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((|#1| |#2|) . T)) 
+(((|#2|) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1048))) (($) |has| |#2| (-173))) 
+((((-764)) . T)) 
+((((-569)) . T)) 
+(|has| |#1| (-559)) 
+((((-851)) . T)) 
+(((|#1| (-410 (-569)) (-1076)) . T)) 
+(|has| |#1| (-149)) 
+(((|#1|) . T)) 
+(|has| |#1| (-559)) 
+((((-569)) . T)) 
 ((((-125 |#1|)) . T)) 
-(((|#1| (-568) (-1075)) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(-2199 (|has| |#1| (-172)) (|has| |#1| (-558))) 
-(-2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-558))) 
-(-2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-558))) 
-(-2199 (|has| |#1| (-172)) (|has| |#1| (-558))) 
-(|has| |#1| (-150)) 
-((((-887 (-568))) . T) (((-887 (-381))) . T) (((-541)) . T) (((-1161)) . T)) 
-((((-850)) . T)) 
-(-2199 (|has| |#1| (-842)) (|has| |#1| (-1090))) 
-((($) . T)) 
-((((-850)) . T)) 
-(-2199 (|has| |#2| (-172)) (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904))) 
-((((-568)) |has| |#1| (-630 (-568))) ((|#1|) . T)) 
-(((|#2|) |has| |#2| (-172))) 
-((($) -2199 (|has| |#2| (-365)) (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904))) ((|#2|) |has| |#2| (-172)) (((-409 (-568))) |has| |#2| (-43 (-409 (-568))))) 
-((((-864 |#1|)) . T)) 
-(-2199 (|has| |#2| (-25)) (|has| |#2| (-137)) (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-370)) (|has| |#2| (-716)) (|has| |#2| (-788)) (|has| |#2| (-840)) (|has| |#2| (-1047)) (|has| |#2| (-1090))) 
-((((-850)) . T)) 
-(-12 (|has| |#3| (-225)) (|has| |#3| (-1047))) 
-(|has| |#2| (-1136)) 
-((((-57)) . T) (((-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) . T)) 
-((((-2 (|:| |k| (-568)) (|:| |c| |#1|))) . T)) 
-(|has| |#2| (-558)) 
+(((|#1| (-569) (-1076)) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(-2232 (|has| |#1| (-173)) (|has| |#1| (-559))) 
+(-2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(-2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(-2232 (|has| |#1| (-173)) (|has| |#1| (-559))) 
+(|has| |#1| (-151)) 
+((((-888 (-569))) . T) (((-888 (-382))) . T) (((-542)) . T) (((-1163)) . T)) 
+((((-851)) . T)) 
+(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+((($) . T)) 
+((((-851)) . T)) 
+(-2232 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
+((((-569)) |has| |#1| (-631 (-569))) ((|#1|) . T)) 
+(((|#2|) |has| |#2| (-173))) 
+((($) -2232 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) ((|#2|) |has| |#2| (-173)) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
+((((-865 |#1|)) . T)) 
+(-2232 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-717)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048)) (|has| |#2| (-1091))) 
+((((-851)) . T)) 
+(-12 (|has| |#3| (-226)) (|has| |#3| (-1048))) 
+(|has| |#2| (-1137)) 
+((((-57)) . T) (((-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) . T)) 
+((((-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T)) 
+(|has| |#2| (-559)) 
 (((|#1| |#2|) . T)) 
-(-2199 (|has| |#3| (-172)) (|has| |#3| (-840)) (|has| |#3| (-1047))) 
-(((|#1| (-568) (-1075)) . T)) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(((|#1| (-409 (-568)) (-1075)) . T)) 
-((($) -2199 (|has| |#1| (-301)) (|has| |#1| (-365)) (|has| |#1| (-350)) (|has| |#1| (-558))) (((-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-350))) ((|#1|) . T)) 
-((((-568) |#2|) . T)) 
+(-2232 (|has| |#3| (-173)) (|has| |#3| (-841)) (|has| |#3| (-1048))) 
+(((|#1| (-569) (-1076)) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1| (-410 (-569)) (-1076)) . T)) 
+((($) -2232 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351)) (|has| |#1| (-559))) (((-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
+((((-569) |#2|) . T)) 
 (((|#1| |#2|) . T)) 
 (((|#1| |#2|) . T)) 
-(|has| |#2| (-370)) 
-(-12 (|has| |#1| (-370)) (|has| |#2| (-370))) 
-((((-850)) . T)) 
-((((-1161) |#1|) |has| |#1| (-523 (-1161) |#1|)) ((|#1| |#1|) |has| |#1| (-303 |#1|))) 
-(-2199 (|has| |#1| (-148)) (|has| |#1| (-370))) 
-(-2199 (|has| |#1| (-148)) (|has| |#1| (-370))) 
-(-2199 (|has| |#1| (-148)) (|has| |#1| (-370))) 
-(((|#1|) . T)) 
-((((-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((|#1|) |has| |#1| (-172)) (($) |has| |#1| (-558))) 
-((((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) (($) -2199 (|has| |#1| (-365)) (|has| |#1| (-558))) (((-1159 |#1| |#2| |#3|)) |has| |#1| (-365)) ((|#1|) |has| |#1| (-172))) 
-(((|#1|) |has| |#1| (-172)) (((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) (($) -2199 (|has| |#1| (-365)) (|has| |#1| (-558)))) 
-((($) |has| |#1| (-558)) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-(|has| |#1| (-558)) 
-(|has| |#1| (-350)) 
-(((|#1|) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) |has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))))) 
-(|has| |#1| (-558)) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-((((-850)) . T)) 
+(|has| |#2| (-371)) 
+(-12 (|has| |#1| (-371)) (|has| |#2| (-371))) 
+((((-851)) . T)) 
+((((-1163) |#1|) |has| |#1| (-524 (-1163) |#1|)) ((|#1| |#1|) |has| |#1| (-304 |#1|))) 
+(-2232 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+(-2232 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+(-2232 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+(((|#1|) . T)) 
+((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-559))) 
+((((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-1161 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1|) |has| |#1| (-173))) 
+(((|#1|) |has| |#1| (-173)) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559)))) 
+((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(|has| |#1| (-559)) 
+(|has| |#1| (-351)) 
+(((|#1|) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 
+(|has| |#1| (-559)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-851)) . T)) 
 (((|#1| |#2|) . T)) 
-(-2199 (|has| |#2| (-453)) (|has| |#2| (-904))) 
-(-2199 (|has| |#1| (-842)) (|has| |#1| (-1090))) 
-(-2199 (|has| |#1| (-453)) (|has| |#1| (-904))) 
-((((-409 (-568))) . T) (((-568)) . T)) 
-((((-568)) . T)) 
-((((-409 (-568))) |has| |#2| (-43 (-409 (-568)))) ((|#2|) |has| |#2| (-172)) (($) -2199 (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904)))) 
-((($) . T)) 
-((((-850)) . T)) 
-(((|#1|) . T)) 
-((((-864 |#1|)) . T) (($) . T) (((-409 (-568))) . T)) 
-((((-850)) . T)) 
-(|has| (-409 (-568)) (-148)) 
-(|has| (-409 (-568)) (-148)) 
-(((|#3| |#3|) -2199 (|has| |#3| (-172)) (|has| |#3| (-365)) (|has| |#3| (-1047))) (($ $) |has| |#3| (-172))) 
-(|has| |#1| (-1021)) 
-((((-850)) . T)) 
-(((|#3|) -2199 (|has| |#3| (-172)) (|has| |#3| (-365)) (|has| |#3| (-1047))) (($) |has| |#3| (-172))) 
-((((-568) (-121)) . T)) 
-(((|#1|) |has| |#1| (-303 |#1|))) 
-(|has| |#1| (-370)) 
-(|has| |#1| (-370)) 
-(|has| |#1| (-370)) 
-((((-1161) $) |has| |#1| (-523 (-1161) $)) (($ $) |has| |#1| (-303 $)) ((|#1| |#1|) |has| |#1| (-303 |#1|)) (((-1161) |#1|) |has| |#1| (-523 (-1161) |#1|))) 
-(|has| |#2| (-558)) 
-((((-1161)) |has| |#1| (-895 (-1161)))) 
-(-2199 (-12 (|has| |#1| (-225)) (|has| |#1| (-365))) (|has| |#1| (-350))) 
-((((-390) (-1108)) . T)) 
+(-2232 (|has| |#2| (-454)) (|has| |#2| (-905))) 
+(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+(-2232 (|has| |#1| (-454)) (|has| |#1| (-905))) 
+((((-410 (-569))) . T) (((-569)) . T)) 
+((((-569)) . T)) 
+((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
+((($) . T)) 
+((((-851)) . T)) 
+(((|#1|) . T)) 
+((((-865 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
+((((-851)) . T)) 
+(|has| (-410 (-569)) (-149)) 
+(|has| (-410 (-569)) (-149)) 
+(((|#3| |#3|) -2232 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-1048))) (($ $) |has| |#3| (-173))) 
+(|has| |#1| (-1022)) 
+((((-851)) . T)) 
+(((|#3|) -2232 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-1048))) (($) |has| |#3| (-173))) 
+((((-569) (-121)) . T)) 
+(((|#1|) |has| |#1| (-304 |#1|))) 
+(|has| |#1| (-371)) 
+(|has| |#1| (-371)) 
+(|has| |#1| (-371)) 
+((((-1163) $) |has| |#1| (-524 (-1163) $)) (($ $) |has| |#1| (-304 $)) ((|#1| |#1|) |has| |#1| (-304 |#1|)) (((-1163) |#1|) |has| |#1| (-524 (-1163) |#1|))) 
+(|has| |#2| (-559)) 
+((((-1163)) |has| |#1| (-896 (-1163)))) 
+(-2232 (-12 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351))) 
+((((-391) (-1109)) . T)) 
 (((|#1| |#4|) . T)) 
 (((|#1| |#3|) . T)) 
-((((-390) |#1|) . T)) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-350))) 
-(|has| |#1| (-1090)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-905 |#1|)) . T)) 
-((((-409 (-568))) |has| |#2| (-43 (-409 (-568)))) ((|#2|) |has| |#2| (-172)) (($) -2199 (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904)))) 
-((((-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((|#1|) |has| |#1| (-172)) (($) -2199 (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904)))) 
+((((-391) |#1|) . T)) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-351))) 
+(|has| |#1| (-1091)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-906 |#1|)) . T)) 
+((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
+((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) -2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905)))) 
 (((|#1| |#2|) . T)) 
 ((($) . T)) 
 (((|#1| |#1|) . T)) 
-((((-864 |#1|)) |has| (-864 |#1|) (-303 (-864 |#1|)))) 
-(|has| |#1| (-1181)) 
+((((-865 |#1|)) |has| (-865 |#1|) (-304 (-865 |#1|)))) 
+(|has| |#1| (-1183)) 
 (((|#1| |#2|) . T)) 
-(-2199 (|has| |#2| (-788)) (|has| |#2| (-840))) 
-(-2199 (|has| |#2| (-788)) (|has| |#2| (-840))) 
-(-12 (|has| |#1| (-788)) (|has| |#2| (-788))) 
+(-2232 (|has| |#2| (-789)) (|has| |#2| (-841))) 
+(-2232 (|has| |#2| (-789)) (|has| |#2| (-841))) 
+(-12 (|has| |#1| (-789)) (|has| |#2| (-789))) 
 (((|#1|) . T)) 
-(-12 (|has| |#1| (-788)) (|has| |#2| (-788))) 
-(-2199 (|has| |#2| (-172)) (|has| |#2| (-840)) (|has| |#2| (-1047))) 
+(-12 (|has| |#1| (-789)) (|has| |#2| (-789))) 
+(-2232 (|has| |#2| (-173)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
 (((|#2|) . T) (($) . T)) 
-(((|#2|) . T) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-(|has| |#1| (-1181)) 
-((((-568) (-568)) . T) (((-409 (-568)) (-409 (-568))) . T) (($ $) . T)) 
-((((-409 (-568))) . T) (($) . T)) 
-(((|#4|) |has| |#4| (-1047))) 
-(((|#3|) |has| |#3| (-1047))) 
-(((|#1| |#1|) . T) (($ $) . T) (((-409 (-568)) (-409 (-568))) . T)) 
-(((|#1| |#1|) . T) (($ $) . T) (((-409 (-568)) (-409 (-568))) . T)) 
-(((|#1| |#1|) . T) (($ $) . T) (((-409 (-568)) (-409 (-568))) . T)) 
-(|has| |#1| (-365)) 
-((((-568)) . T) (((-409 (-568))) . T) (($) . T)) 
-((((-850)) |has| |#1| (-1090))) 
-(((|#1|) . T) (($) . T) (((-409 (-568))) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-(((|#1|) . T) (($) . T) (((-409 (-568))) . T)) 
-(((|#1|) . T) (($) . T) (((-409 (-568))) . T)) 
-(((|#1|) . T)) 
-((($ $) . T) (((-409 (-568)) (-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-350))) ((|#1| |#1|) . T)) 
-((((-850)) . T)) 
-(((|#1|) . T)) 
-((((-541)) |has| |#3| (-609 (-541)))) 
-((((-679 |#3|)) . T) (((-850)) . T)) 
+(((|#2|) . T) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+(|has| |#1| (-1183)) 
+((((-569) (-569)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
+((((-410 (-569))) . T) (($) . T)) 
+(((|#4|) |has| |#4| (-1048))) 
+(((|#3|) |has| |#3| (-1048))) 
+(((|#1| |#1|) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+(((|#1| |#1|) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+(((|#1| |#1|) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+(|has| |#1| (-366)) 
+((((-569)) . T) (((-410 (-569))) . T) (($) . T)) 
+((((-851)) |has| |#1| (-1091))) 
+(((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+(((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
+(((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
+(((|#1|) . T)) 
+((($ $) . T) (((-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1| |#1|) . T)) 
+((((-851)) . T)) 
+(((|#1|) . T)) 
+((((-542)) |has| |#3| (-610 (-542)))) 
+((((-680 |#3|)) . T) (((-851)) . T)) 
 (((|#1| |#2|) . T)) 
-(|has| |#1| (-840)) 
-(|has| |#1| (-840)) 
-((($) . T) (((-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-350))) ((|#1|) . T)) 
-((((-568) |#3|) . T)) 
-(-2199 (|has| |#1| (-172)) (|has| |#1| (-558))) 
-((((-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) |has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-303 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))))) 
-((($) . T)) 
-((((-409 $) (-409 $)) |has| |#2| (-558)) (($ $) . T) ((|#2| |#2|) . T)) 
-((((-169 (-215))) . T)) 
-((((-215)) . T)) 
-(((|#2|) |has| |#2| (-1090))) 
-((((-850)) -2199 (|has| |#2| (-25)) (|has| |#2| (-137)) (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-370)) (|has| |#2| (-716)) (|has| |#2| (-788)) (|has| |#2| (-840)) (|has| |#2| (-1047)) (|has| |#2| (-1090))) (((-1244 |#2|)) . T)) 
-(|has| |#2| (-842)) 
-(|has| |#1| (-842)) 
-(|has| |#1| (-842)) 
-((($) . T)) 
-((((-1143) (-57)) . T)) 
-(|has| |#1| (-842)) 
-((((-850)) . T)) 
-((((-568)) |has| (-409 |#2|) (-630 (-568))) (((-409 |#2|)) . T)) 
-((((-568) (-147)) . T)) 
-((((-568) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((|#1| |#2|) . T)) 
-((((-409 (-568))) . T) (($) . T)) 
-(((|#1|) . T)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-((((-850)) . T)) 
-((((-905 |#1|)) . T)) 
-(|has| |#1| (-365)) 
-(|has| |#1| (-365)) 
-(|has| |#1| (-365)) 
-(|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) 
-(|has| |#1| (-840)) 
-(|has| |#1| (-365)) 
-(|has| |#1| (-840)) 
+(|has| |#1| (-841)) 
+(|has| |#1| (-841)) 
+((($) . T) (((-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
+((((-569) |#3|) . T)) 
+(-2232 (|has| |#1| (-173)) (|has| |#1| (-559))) 
+((((-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) |has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))))) 
+((($) . T)) 
+((((-410 $) (-410 $)) |has| |#2| (-559)) (($ $) . T) ((|#2| |#2|) . T)) 
+((((-170 (-216))) . T)) 
+((((-216)) . T)) 
+(((|#2|) |has| |#2| (-1091))) 
+((((-851)) -2232 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-717)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048)) (|has| |#2| (-1091))) (((-1247 |#2|)) . T)) 
+(|has| |#2| (-843)) 
+(|has| |#1| (-843)) 
+(|has| |#1| (-843)) 
+((($) . T)) 
+((((-1145) (-57)) . T)) 
+(|has| |#1| (-843)) 
+((((-851)) . T)) 
+((((-569)) |has| (-410 |#2|) (-631 (-569))) (((-410 |#2|)) . T)) 
+((((-569) (-148)) . T)) 
+((((-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((|#1| |#2|) . T)) 
+((((-410 (-569))) . T) (($) . T)) 
+(((|#1|) . T)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-851)) . T)) 
+((((-906 |#1|)) . T)) 
+(|has| |#1| (-366)) 
+(|has| |#1| (-366)) 
+(|has| |#1| (-366)) 
+(|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) 
+(|has| |#1| (-841)) 
+(|has| |#1| (-366)) 
+(|has| |#1| (-841)) 
 (((|#1|) . T) (($) . T)) 
-(|has| |#1| (-840)) 
-((((-1161)) |has| |#1| (-895 (-1161)))) 
-((((-857 |#1|)) . T)) 
-(((|#1| (-1161)) . T)) 
-(((|#1| (-1244 |#1|) (-1244 |#1|)) . T)) 
+(|has| |#1| (-841)) 
+((((-1163)) |has| |#1| (-896 (-1163)))) 
+((((-858 |#1|)) . T)) 
+(((|#1| (-1163)) . T)) 
+(((|#1| (-1247 |#1|) (-1247 |#1|)) . T)) 
 (((|#1| |#2|) . T)) 
 ((($ $) . T)) 
-(|has| |#1| (-1090)) 
-(((|#1| (-1161) (-813 (-1161)) (-534 (-813 (-1161)))) . T)) 
-((((-409 (-953 |#1|))) . T)) 
-((((-541)) . T)) 
-((((-850)) . T)) 
+(|has| |#1| (-1091)) 
+(((|#1| (-1163) (-814 (-1163)) (-535 (-814 (-1163)))) . T)) 
+((((-410 (-954 |#1|))) . T)) 
+((((-542)) . T)) 
+((((-851)) . T)) 
 ((($) . T)) 
 (((|#2|) . T) (($) . T)) 
-(((|#1|) |has| |#1| (-172))) 
-((((-568) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((|#1| |#2|) . T)) 
+((((-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
-((($) |has| |#1| (-558)) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
+(((|#1|) |has| |#1| (-173))) 
+((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
 (((|#3|) . T)) 
-(((|#1|) |has| |#1| (-172))) 
-((((-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((|#1|) |has| |#1| (-172)) (($) -2199 (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904)))) 
-((($) -2199 (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-541)) |has| |#1| (-609 (-541))) (((-887 (-381))) |has| |#1| (-609 (-887 (-381)))) (((-887 (-568))) |has| |#1| (-609 (-887 (-568))))) 
-((((-850)) . T)) 
-(((|#2|) . T) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-(|has| |#2| (-840)) 
-(-12 (|has| |#2| (-225)) (|has| |#2| (-1047))) 
-(|has| |#1| (-558)) 
-(|has| |#1| (-1136)) 
-((((-1143) |#1|) . T)) 
-(-2199 (|has| |#2| (-172)) (|has| |#2| (-840)) (|has| |#2| (-1047))) 
-((((-409 (-568)) (-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) (($ $) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-558))) ((|#1| |#1|) . T)) 
-((((-409 (-568))) |has| |#1| (-1037 (-568))) (((-568)) |has| |#1| (-1037 (-568))) (((-1161)) |has| |#1| (-1037 (-1161))) ((|#1|) . T)) 
-((((-568) |#2|) . T)) 
-((((-409 (-568))) |has| |#1| (-1037 (-409 (-568)))) (((-568)) |has| |#1| (-1037 (-568))) ((|#1|) . T)) 
-((((-568)) |has| |#1| (-881 (-568))) (((-381)) |has| |#1| (-881 (-381)))) 
-((((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) (($) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-558))) ((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-634 |#4|)) . T) (((-850)) . T)) 
-((((-541)) |has| |#4| (-609 (-541)))) 
-((((-541)) |has| |#4| (-609 (-541)))) 
-((((-850)) . T) (((-634 |#4|)) . T)) 
-((($) |has| |#1| (-840))) 
-(((|#1|) . T)) 
-(((|#1|) |has| |#1| (-172)) (($) |has| |#1| (-172))) 
-((((-634 |#4|)) . T) (((-850)) . T)) 
-((((-541)) |has| |#4| (-609 (-541)))) 
-(((|#1|) . T)) 
-(((|#2|) . T)) 
-((((-1161)) |has| (-409 |#2|) (-895 (-1161)))) 
-(((|#2| |#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) |has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))))) 
-((($) . T)) 
-((($) . T)) 
-(((|#2|) . T)) 
-((((-850)) -2199 (|has| |#3| (-25)) (|has| |#3| (-137)) (|has| |#3| (-172)) (|has| |#3| (-365)) (|has| |#3| (-370)) (|has| |#3| (-716)) (|has| |#3| (-788)) (|has| |#3| (-840)) (|has| |#3| (-1047)) (|has| |#3| (-1090))) (((-1244 |#3|)) . T)) 
-((((-568) |#2|) . T)) 
-(-2199 (|has| |#1| (-842)) (|has| |#1| (-1090))) 
-(((|#2| |#2|) -2199 (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-1047))) (($ $) |has| |#2| (-172))) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((|#2|) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-1143) (-1161) (-568) (-215) (-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-((((-850)) . T)) 
-((((-568) (-121)) . T)) 
-(((|#1|) . T)) 
-((((-850)) . T)) 
+(((|#1|) |has| |#1| (-173))) 
+((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) -2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905)))) 
+((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-542)) |has| |#1| (-610 (-542))) (((-888 (-382))) |has| |#1| (-610 (-888 (-382)))) (((-888 (-569))) |has| |#1| (-610 (-888 (-569))))) 
+((((-851)) . T)) 
+(((|#2|) . T) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+(|has| |#2| (-841)) 
+(-12 (|has| |#2| (-226)) (|has| |#2| (-1048))) 
+(|has| |#1| (-559)) 
+(|has| |#1| (-1137)) 
+((((-1145) |#1|) . T)) 
+(-2232 (|has| |#2| (-173)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+((((-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) ((|#1| |#1|) . T)) 
+((((-410 (-569))) |has| |#1| (-1038 (-569))) (((-569)) |has| |#1| (-1038 (-569))) (((-1163)) |has| |#1| (-1038 (-1163))) ((|#1|) . T)) 
+((((-569) |#2|) . T)) 
+((((-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) (((-569)) |has| |#1| (-1038 (-569))) ((|#1|) . T)) 
+((((-569)) |has| |#1| (-882 (-569))) (((-382)) |has| |#1| (-882 (-382)))) 
+((((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) ((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-635 |#4|)) . T) (((-851)) . T)) 
+((((-542)) |has| |#4| (-610 (-542)))) 
+((((-542)) |has| |#4| (-610 (-542)))) 
+((((-851)) . T) (((-635 |#4|)) . T)) 
+((($) |has| |#1| (-841))) 
+(((|#1|) . T)) 
+(((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-173))) 
+((((-635 |#4|)) . T) (((-851)) . T)) 
+((((-542)) |has| |#4| (-610 (-542)))) 
+(((|#1|) . T)) 
+(((|#2|) . T)) 
+((((-1163)) |has| (-410 |#2|) (-896 (-1163)))) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 
+((($) . T)) 
+((($) . T)) 
+(((|#2|) . T)) 
+((((-851)) -2232 (|has| |#3| (-25)) (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-371)) (|has| |#3| (-717)) (|has| |#3| (-789)) (|has| |#3| (-841)) (|has| |#3| (-1048)) (|has| |#3| (-1091))) (((-1247 |#3|)) . T)) 
+((((-569) |#2|) . T)) 
+(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+(((|#2| |#2|) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1048))) (($ $) |has| |#2| (-173))) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((|#2|) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-1145) (-1163) (-569) (-216) (-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+((((-851)) . T)) 
+((((-569) (-121)) . T)) 
+(((|#1|) . T)) 
+((((-851)) . T)) 
 ((((-121)) . T)) 
 ((((-121)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
 ((((-121)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-((((-850)) . T)) 
-((((-541)) |has| |#1| (-609 (-541)))) 
-((((-850)) |has| |#1| (-1090))) 
-(((|#2|) -2199 (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-1047))) (($) |has| |#2| (-172))) 
-(|has| $ (-150)) 
-((((-409 |#2|)) . T)) 
-((((-409 (-568))) |has| (-409 |#2|) (-1037 (-409 (-568)))) (((-568)) |has| (-409 |#2|) (-1037 (-568))) (((-409 |#2|)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+((((-851)) . T)) 
+((((-542)) |has| |#1| (-610 (-542)))) 
+((((-851)) |has| |#1| (-1091))) 
+(((|#2|) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1048))) (($) |has| |#2| (-173))) 
+(|has| $ (-151)) 
+((((-410 |#2|)) . T)) 
+((((-410 (-569))) |has| (-410 |#2|) (-1038 (-410 (-569)))) (((-569)) |has| (-410 |#2|) (-1038 (-569))) (((-410 |#2|)) . T)) 
 (((|#2| |#2|) . T)) 
-(((|#4|) |has| |#4| (-172))) 
-(|has| |#2| (-148)) 
-(|has| |#2| (-150)) 
-(((|#3|) |has| |#3| (-172))) 
-(|has| |#1| (-150)) 
-(|has| |#1| (-148)) 
-(-2199 (|has| |#1| (-148)) (|has| |#1| (-370))) 
-(|has| |#1| (-150)) 
-(-2199 (|has| |#1| (-148)) (|has| |#1| (-370))) 
-(|has| |#1| (-150)) 
-(-2199 (|has| |#1| (-148)) (|has| |#1| (-370))) 
-(|has| |#1| (-150)) 
-(((|#1|) . T)) 
-(((|#2|) . T)) 
-(|has| |#2| (-225)) 
-((((-1161) (-57)) . T)) 
-((((-850)) . T)) 
-(-2199 (|has| |#2| (-365)) (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904))) 
+(((|#4|) |has| |#4| (-173))) 
+(|has| |#2| (-149)) 
+(|has| |#2| (-151)) 
+(((|#3|) |has| |#3| (-173))) 
+(|has| |#1| (-151)) 
+(|has| |#1| (-149)) 
+(-2232 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+(|has| |#1| (-151)) 
+(-2232 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+(|has| |#1| (-151)) 
+(-2232 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+(|has| |#1| (-151)) 
+(((|#1|) . T)) 
+(((|#2|) . T)) 
+(|has| |#2| (-226)) 
+((((-1163) (-57)) . T)) 
+((((-851)) . T)) 
+(-2232 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
 (((|#1| |#1|) . T)) 
-((((-1161)) |has| |#2| (-895 (-1161)))) 
-((((-568) (-121)) . T)) 
-(|has| |#1| (-558)) 
+((((-1163)) |has| |#2| (-896 (-1163)))) 
+((((-569) (-121)) . T)) 
+(|has| |#1| (-559)) 
 (((|#2|) . T)) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
 (((|#2| |#2|) . T)) 
 (((|#1| |#1|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
 (((|#3|) . T)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(((|#1|) . T)) 
-((((-850)) . T)) 
-((((-541)) . T) (((-887 (-568))) . T) (((-381)) . T) (((-215)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-999 |#1|)) . T) ((|#1|) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-((((-409 (-568))) . T) (((-409 |#1|)) . T) ((|#1|) . T) (($) . T)) 
-(((|#1| (-1157 |#1|)) . T)) 
-((((-568)) . T) (($) . T) (((-409 (-568))) . T)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(((|#1|) . T)) 
+((((-851)) . T)) 
+((((-542)) . T) (((-888 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-1000 |#1|)) . T) ((|#1|) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-410 (-569))) . T) (((-410 |#1|)) . T) ((|#1|) . T) (($) . T)) 
+(((|#1| (-1159 |#1|)) . T)) 
+((((-569)) . T) (($) . T) (((-410 (-569))) . T)) 
 (((|#3|) . T) (($) . T)) 
-(|has| |#1| (-842)) 
+(|has| |#1| (-843)) 
 (((|#2|) . T)) 
-((((-568)) . T) (($) . T) (((-409 (-568))) . T)) 
-((((-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) . T)) 
-((((-568) |#2|) . T)) 
-((((-850)) |has| |#1| (-1090))) 
+((((-569)) . T) (($) . T) (((-410 (-569))) . T)) 
+((((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) . T)) 
+((((-569) |#2|) . T)) 
+((((-851)) |has| |#1| (-1091))) 
 (((|#2|) . T)) 
-((((-568) |#3|) . T)) 
+((((-569) |#3|) . T)) 
 (((|#2|) . T)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-((((-1235 |#1| |#2| |#3|)) |has| |#1| (-365))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-((((-850)) . T)) 
-(|has| |#1| (-1090)) 
-(((|#4|) -12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) 
-(((|#3|) -12 (|has| |#3| (-303 |#3|)) (|has| |#3| (-1090)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+((((-1238 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+((((-851)) . T)) 
+(|has| |#1| (-1091)) 
+(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) 
+(((|#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) |has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))))) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 
 (((|#2| |#2|) . T)) 
 (((|#2|) . T)) 
-(|has| |#2| (-365)) 
-(((|#2|) . T) (((-568)) |has| |#2| (-1037 (-568))) (((-409 (-568))) |has| |#2| (-1037 (-409 (-568))))) 
-(((|#2|) . T)) 
-((((-1075) |#2|) . T) (((-1075) $) . T) (($ $) . T)) 
-((((-1143) (-57)) . T)) 
-(((|#2|) |has| |#2| (-172))) 
-((((-568) |#3|) . T)) 
-((((-568) (-147)) . T)) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-((((-147)) . T)) 
-((((-850)) . T)) 
-(|has| |#1| (-904)) 
+(|has| |#2| (-366)) 
+(((|#2|) . T) (((-569)) |has| |#2| (-1038 (-569))) (((-410 (-569))) |has| |#2| (-1038 (-410 (-569))))) 
+(((|#2|) . T)) 
+((((-1076) |#2|) . T) (((-1076) $) . T) (($ $) . T)) 
+((((-1145) (-57)) . T)) 
+(((|#2|) |has| |#2| (-173))) 
+((((-569) |#3|) . T)) 
+((((-569) (-148)) . T)) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+((((-148)) . T)) 
+((((-851)) . T)) 
+(|has| |#1| (-905)) 
 ((((-121)) . T)) 
-(|has| |#1| (-150)) 
+(|has| |#1| (-151)) 
 (((|#1|) . T)) 
-(|has| |#1| (-148)) 
+(|has| |#1| (-149)) 
 ((($) . T)) 
-(|has| |#1| (-150)) 
-(|has| |#1| (-148)) 
-(|has| |#1| (-558)) 
-(|has| |#1| (-150)) 
+(|has| |#1| (-151)) 
+(|has| |#1| (-149)) 
+(|has| |#1| (-559)) 
+(|has| |#1| (-151)) 
 ((($) . T)) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
 (((|#1|) . T)) 
-(((|#2|) . T) (((-568)) |has| |#2| (-630 (-568)))) 
-(((|#1| (-774 |#1|)) . T)) 
-((((-850)) . T)) 
-((((-568)) |has| |#1| (-630 (-568))) ((|#1|) . T)) 
-((((-568)) |has| |#1| (-630 (-568))) ((|#1|) . T)) 
-((((-568)) |has| |#1| (-630 (-568))) ((|#1|) . T)) 
-((((-1143) (-57)) . T)) 
+(((|#2|) . T) (((-569)) |has| |#2| (-631 (-569)))) 
+(((|#1| (-775 |#1|)) . T)) 
+((((-851)) . T)) 
+((((-569)) |has| |#1| (-631 (-569))) ((|#1|) . T)) 
+((((-569)) |has| |#1| (-631 (-569))) ((|#1|) . T)) 
+((((-569)) |has| |#1| (-631 (-569))) ((|#1|) . T)) 
+((((-1145) (-57)) . T)) 
 (((|#1|) . T)) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
 (((|#1| |#2|) . T)) 
-((((-568) (-147)) . T)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) |has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) ((|#2| |#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) 
-(-2199 (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904))) 
-((($) -2199 (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-(|has| |#1| (-842)) 
-(((|#2| (-763) (-1075)) . T)) 
+((((-569) (-148)) . T)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) ((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) 
+(-2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
+((($) -2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(|has| |#1| (-843)) 
+(((|#2| (-764) (-1076)) . T)) 
 (((|#1| |#2|) . T)) 
-(-2199 (|has| |#1| (-172)) (|has| |#1| (-558))) 
-(|has| |#1| (-786)) 
-(((|#1|) |has| |#1| (-172))) 
+(-2232 (|has| |#1| (-173)) (|has| |#1| (-559))) 
+(|has| |#1| (-787)) 
+(((|#1|) |has| |#1| (-173))) 
 (((|#4|) . T)) 
 (((|#4|) . T)) 
 (((|#1| |#2|) . T)) 
-(-2199 (|has| |#1| (-150)) (-12 (|has| |#1| (-365)) (|has| |#2| (-150)))) 
-(-2199 (|has| |#1| (-148)) (-12 (|has| |#1| (-365)) (|has| |#2| (-148)))) 
+(-2232 (|has| |#1| (-151)) (-12 (|has| |#1| (-366)) (|has| |#2| (-151)))) 
+(-2232 (|has| |#1| (-149)) (-12 (|has| |#1| (-366)) (|has| |#2| (-149)))) 
 (((|#4|) . T)) 
-(|has| |#1| (-148)) 
-((((-1143) |#1|) . T)) 
-(|has| |#1| (-150)) 
+(|has| |#1| (-149)) 
+((((-1145) |#1|) . T)) 
+(|has| |#1| (-151)) 
 (((|#1|) . T)) 
-((((-568)) . T)) 
-((((-850)) . T)) 
+((((-569)) . T)) 
+((((-851)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-850)) . T)) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
+((((-851)) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
 (((|#3|) . T)) 
-((((-1235 |#1| |#2| |#3|)) |has| |#1| (-365))) 
-(-2199 (|has| |#1| (-842)) (|has| |#1| (-1090))) 
-(((|#1|) . T)) 
-((((-850)) |has| |#1| (-1090))) 
-((((-850)) |has| |#1| (-1090)) (((-958 |#1|)) . T)) 
-(|has| |#1| (-840)) 
-(|has| |#1| (-840)) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(|has| |#2| (-365)) 
-(((|#1|) |has| |#1| (-172))) 
-(((|#2|) |has| |#2| (-1047))) 
-((((-1143) |#1|) . T)) 
-(((|#3| |#3|) -12 (|has| |#3| (-303 |#3|)) (|has| |#3| (-1090)))) 
-(((|#2| (-888 |#1|)) . T)) 
-((($) . T)) 
-((($) -2199 (|has| |#2| (-365)) (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904))) ((|#2|) |has| |#2| (-172)) (((-409 (-568))) |has| |#2| (-43 (-409 (-568))))) 
-((((-390) (-1143)) . T)) 
-((($) |has| |#1| (-558)) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((((-850)) -2199 (|has| |#2| (-25)) (|has| |#2| (-137)) (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-370)) (|has| |#2| (-716)) (|has| |#2| (-788)) (|has| |#2| (-840)) (|has| |#2| (-1047)) (|has| |#2| (-1090))) (((-1244 |#2|)) . T)) 
-((((-57)) . T) (((-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))) . T)) 
-(((|#1|) . T)) 
-((((-850)) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) 
-((((-147)) . T)) 
-(|has| |#2| (-148)) 
-(|has| |#2| (-150)) 
-(|has| |#1| (-478)) 
-(-2199 (|has| |#1| (-478)) (|has| |#1| (-716)) (|has| |#1| (-895 (-1161))) (|has| |#1| (-1047))) 
-(|has| |#1| (-365)) 
-((((-850)) . T)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-((((-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((|#1|) |has| |#1| (-172)) (($) |has| |#1| (-558))) 
-((($) |has| |#1| (-558))) 
-(|has| |#2| (-558)) 
-(|has| |#1| (-840)) 
-(|has| |#1| (-840)) 
-((((-850)) . T)) 
-((($) |has| |#1| (-558)) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) (($) -2199 (|has| |#1| (-365)) (|has| |#1| (-558))) (((-1235 |#1| |#2| |#3|)) |has| |#1| (-365)) ((|#1|) |has| |#1| (-172))) 
-(((|#1|) |has| |#1| (-172)) (((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) (($) -2199 (|has| |#1| (-365)) (|has| |#1| (-558)))) 
-((($) |has| |#1| (-558)) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
+((((-1238 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+(((|#1|) . T)) 
+((((-851)) |has| |#1| (-1091))) 
+((((-851)) |has| |#1| (-1091)) (((-959 |#1|)) . T)) 
+(|has| |#1| (-841)) 
+(|has| |#1| (-841)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(|has| |#2| (-366)) 
+(((|#1|) |has| |#1| (-173))) 
+(((|#2|) |has| |#2| (-1048))) 
+((((-1145) |#1|) . T)) 
+(((|#3| |#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) 
+(((|#2| (-889 |#1|)) . T)) 
+((($) . T)) 
+((($) -2232 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) ((|#2|) |has| |#2| (-173)) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
+((((-391) (-1145)) . T)) 
+((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-851)) -2232 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-717)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048)) (|has| |#2| (-1091))) (((-1247 |#2|)) . T)) 
+((((-57)) . T) (((-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) . T)) 
+(((|#1|) . T)) 
+((((-851)) . T)) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) 
+((((-148)) . T)) 
+(|has| |#2| (-149)) 
+(|has| |#2| (-151)) 
+(|has| |#1| (-479)) 
+(-2232 (|has| |#1| (-479)) (|has| |#1| (-717)) (|has| |#1| (-896 (-1163))) (|has| |#1| (-1048))) 
+(|has| |#1| (-366)) 
+((((-851)) . T)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-559))) 
+((($) |has| |#1| (-559))) 
+(|has| |#2| (-559)) 
+(|has| |#1| (-841)) 
+(|has| |#1| (-841)) 
+((((-851)) . T)) 
+((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-1238 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1|) |has| |#1| (-173))) 
+(((|#1|) |has| |#1| (-173)) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559)))) 
+((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 (((|#1| |#2|) . T)) 
-((((-1161)) |has| |#1| (-895 (-1161)))) 
-((((-905 |#1|)) . T) (((-409 (-568))) . T) (($) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-(|has| |#1| (-1090)) 
-(((|#2| (-493 (-1699 |#1|) (-763)) (-852 |#1|)) . T)) 
-((((-409 (-568))) |has| |#2| (-365)) (($) |has| |#2| (-365))) 
-(((|#1| (-534 (-1161)) (-1161)) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
+((((-1163)) |has| |#1| (-896 (-1163)))) 
+((((-906 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+(|has| |#1| (-1091)) 
+(((|#2| (-494 (-4168 |#1|) (-764)) (-853 |#1|)) . T)) 
+((((-410 (-569))) |has| |#2| (-366)) (($) |has| |#2| (-366))) 
+(((|#1| (-535 (-1163)) (-1163)) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
 (((|#3|) . T)) 
 (((|#3|) . T)) 
 (((|#1| |#1|) . T)) 
 (((|#1|) . T)) 
-(|has| |#2| (-172)) 
+(|has| |#2| (-173)) 
 (((|#1|) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#2| |#2|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-148)) 
-(|has| |#1| (-150)) 
+(|has| |#1| (-149)) 
+(|has| |#1| (-151)) 
 (((|#1|) . T)) 
 (((|#2|) . T)) 
-(((|#1|) . T) (((-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) . T)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
+(((|#1|) . T) (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) . T)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
 (((|#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) . T)) 
-((((-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) . T)) 
-((((-1159 |#1| |#2| |#3|)) |has| |#1| (-365))) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-((((-1161) (-57)) . T)) 
+((((-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) . T)) 
+((((-1161 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-1163) (-57)) . T)) 
 ((($ $) . T)) 
-(((|#1| (-568)) . T)) 
-((((-905 |#1|)) . T)) 
-(((|#1|) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-1047))) (($) -2199 (|has| |#1| (-895 (-1161))) (|has| |#1| (-1047)))) 
-(((|#1|) . T) (((-568)) |has| |#1| (-1037 (-568))) (((-409 (-568))) |has| |#1| (-1037 (-409 (-568))))) 
-(|has| |#1| (-842)) 
-(|has| |#1| (-842)) 
-((((-568) |#2|) . T)) 
-((((-568)) . T)) 
-((((-1235 |#1| |#2| |#3|)) -12 (|has| (-1235 |#1| |#2| |#3|) (-303 (-1235 |#1| |#2| |#3|))) (|has| |#1| (-365)))) 
-(|has| |#1| (-842)) 
-((((-679 |#2|)) . T) (((-850)) . T)) 
+(((|#1| (-569)) . T)) 
+((((-906 |#1|)) . T)) 
+(((|#1|) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-1048))) (($) -2232 (|has| |#1| (-896 (-1163))) (|has| |#1| (-1048)))) 
+(((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569))))) 
+(|has| |#1| (-843)) 
+(|has| |#1| (-843)) 
+((((-569) |#2|) . T)) 
+((((-569)) . T)) 
+((((-1238 |#1| |#2| |#3|)) -12 (|has| (-1238 |#1| |#2| |#3|) (-304 (-1238 |#1| |#2| |#3|))) (|has| |#1| (-366)))) 
+(|has| |#1| (-843)) 
+((((-680 |#2|)) . T) (((-851)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-409 (-953 |#1|))) . T)) 
-(((|#4| |#4|) -12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) 
-(((|#4| |#4|) -12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) 
-(((|#1|) |has| |#1| (-172))) 
-(((|#4| |#4|) -12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) 
-(((|#3|) -2199 (|has| |#3| (-172)) (|has| |#3| (-365)))) 
-(|has| |#2| (-842)) 
-(|has| |#1| (-842)) 
-(-2199 (|has| |#2| (-365)) (|has| |#2| (-453)) (|has| |#2| (-904))) 
-(((|#1|) . T)) 
-((($ $) . T) (((-409 (-568)) (-409 (-568))) . T)) 
-((((-568) |#2|) . T)) 
-(((|#2|) -2199 (|has| |#2| (-172)) (|has| |#2| (-365)))) 
-(|has| |#1| (-350)) 
-(((|#3| |#3|) -12 (|has| |#3| (-303 |#3|)) (|has| |#3| (-1090)))) 
-((($) . T) (((-409 (-568))) . T)) 
-((((-568) (-121)) . T)) 
-(|has| |#1| (-815)) 
-(|has| |#1| (-815)) 
-(((|#1|) . T)) 
-(-2199 (|has| |#1| (-301)) (|has| |#1| (-365)) (|has| |#1| (-350))) 
-(|has| |#1| (-840)) 
-(|has| |#1| (-840)) 
-(|has| |#1| (-840)) 
-(((|#1|) . T) (((-409 (-568))) . T) (($) . T)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-((((-568)) . T) (($) . T) (((-409 (-568))) . T)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-350))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-((((-1161)) |has| |#1| (-895 (-1161))) (((-1075)) . T)) 
-(((|#1|) . T)) 
-(|has| |#1| (-840)) 
-((((-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))) |has| (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-303 (-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))))) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(|has| |#1| (-1090)) 
+((((-410 (-954 |#1|))) . T)) 
+(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) 
+(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) 
+(((|#1|) |has| |#1| (-173))) 
+(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) 
+(((|#3|) -2232 (|has| |#3| (-173)) (|has| |#3| (-366)))) 
+(|has| |#2| (-843)) 
+(|has| |#1| (-843)) 
+(-2232 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-905))) 
+(((|#1|) . T)) 
+((($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+((((-569) |#2|) . T)) 
+(((|#2|) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)))) 
+(|has| |#1| (-351)) 
+(((|#3| |#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) 
+((($) . T) (((-410 (-569))) . T)) 
+((((-569) (-121)) . T)) 
+(|has| |#1| (-816)) 
+(|has| |#1| (-816)) 
+(((|#1|) . T)) 
+(-2232 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351))) 
+(|has| |#1| (-841)) 
+(|has| |#1| (-841)) 
+(|has| |#1| (-841)) 
+(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+((((-569)) . T) (($) . T) (((-410 (-569))) . T)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-351))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-1163)) |has| |#1| (-896 (-1163))) (((-1076)) . T)) 
+(((|#1|) . T)) 
+(|has| |#1| (-841)) 
+((((-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) |has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(|has| |#1| (-1091)) 
 (((|#1|) . T)) 
 (((|#2| |#2|) . T)) 
 (((|#1|) . T)) 
-(((|#1| |#2| |#3| (-232 |#2| |#3|) (-232 |#1| |#3|)) . T)) 
+(((|#1| |#2| |#3| (-233 |#2| |#3|) (-233 |#1| |#3|)) . T)) 
 (((|#1|) . T)) 
 (((|#3| |#3|) . T)) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
-(((|#1| (-534 |#2|) |#2|) . T)) 
-((((-850)) . T)) 
-(((|#1| (-763) (-1075)) . T)) 
+(((|#1| (-535 |#2|) |#2|) . T)) 
+((((-851)) . T)) 
+(((|#1| (-764) (-1076)) . T)) 
 (((|#3|) . T)) 
 (((|#1|) . T)) 
-((((-147)) . T)) 
-(((|#2|) |has| |#2| (-172))) 
-(-2199 (|has| |#2| (-25)) (|has| |#2| (-137)) (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-370)) (|has| |#2| (-716)) (|has| |#2| (-788)) (|has| |#2| (-840)) (|has| |#2| (-1047)) (|has| |#2| (-1090))) 
+((((-148)) . T)) 
+(((|#2|) |has| |#2| (-173))) 
+(-2232 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-717)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048)) (|has| |#2| (-1091))) 
 (((|#1|) . T)) 
-(|has| |#1| (-148)) 
-(|has| |#1| (-150)) 
-(|has| |#3| (-172)) 
-(((|#4|) |has| |#4| (-365))) 
-(((|#3|) |has| |#3| (-365))) 
+(|has| |#1| (-149)) 
+(|has| |#1| (-151)) 
+(|has| |#3| (-173)) 
+(((|#4|) |has| |#4| (-366))) 
+(((|#3|) |has| |#3| (-366))) 
 (((|#1|) . T)) 
-(((|#2|) |has| |#1| (-365))) 
+(((|#2|) |has| |#1| (-366))) 
 (((|#2|) . T)) 
-(((|#1| (-1157 |#1|)) . T)) 
-((((-1075)) . T) ((|#1|) . T) (((-568)) |has| |#1| (-1037 (-568))) (((-409 (-568))) |has| |#1| (-1037 (-409 (-568))))) 
-((($) . T) ((|#1|) . T) (((-409 (-568))) . T)) 
+(((|#1| (-1159 |#1|)) . T)) 
+((((-1076)) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569))))) 
+((($) . T) ((|#1|) . T) (((-410 (-569))) . T)) 
 (((|#2|) . T)) 
-((((-1159 |#1| |#2| |#3|)) |has| |#1| (-365))) 
-((($) |has| |#1| (-840))) 
-(|has| |#1| (-904)) 
-((((-850)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
+((((-1161 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+((($) |has| |#1| (-841))) 
+(|has| |#1| (-905)) 
+((((-851)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) (((-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) |has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-303 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))))) 
-(-2199 (|has| |#2| (-453)) (|has| |#2| (-904))) 
-(-2199 (|has| |#1| (-453)) (|has| |#1| (-904))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) |has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))))) 
+(-2232 (|has| |#2| (-454)) (|has| |#2| (-905))) 
+(-2232 (|has| |#1| (-454)) (|has| |#1| (-905))) 
 (((|#1|) . T) (($) . T)) 
-(((|#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) 
 (((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(((|#3|) -2199 (|has| |#3| (-172)) (|has| |#3| (-365)))) 
-(|has| |#1| (-842)) 
-(|has| |#1| (-558)) 
-((((-581 |#1|)) . T)) 
+(((|#3|) -2232 (|has| |#3| (-173)) (|has| |#3| (-366)))) 
+(|has| |#1| (-843)) 
+(|has| |#1| (-559)) 
+((((-582 |#1|)) . T)) 
 ((($) . T)) 
 (((|#2|) . T)) 
-(-2199 (-12 (|has| |#1| (-365)) (|has| |#2| (-815))) (-12 (|has| |#1| (-365)) (|has| |#2| (-842)))) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-558))) 
-((((-905 |#1|)) . T)) 
-(((|#1| (-505 |#1| |#3|) (-505 |#1| |#2|)) . T)) 
+(-2232 (-12 (|has| |#1| (-366)) (|has| |#2| (-816))) (-12 (|has| |#1| (-366)) (|has| |#2| (-843)))) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+((((-906 |#1|)) . T)) 
+(((|#1| (-506 |#1| |#3|) (-506 |#1| |#2|)) . T)) 
 (((|#1| |#4| |#5|) . T)) 
-(((|#1| (-763)) . T)) 
-((((-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((|#1|) |has| |#1| (-172)) (($) |has| |#1| (-558))) 
-((((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) (($) -2199 (|has| |#1| (-365)) (|has| |#1| (-558))) (((-1159 |#1| |#2| |#3|)) |has| |#1| (-365)) ((|#1|) |has| |#1| (-172))) 
-(((|#1|) |has| |#1| (-172)) (((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) (($) -2199 (|has| |#1| (-365)) (|has| |#1| (-558)))) 
-((($) |has| |#1| (-558)) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((((-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) . T)) 
-((((-409 |#2|)) . T) (((-409 (-568))) . T) (($) . T)) 
-((((-663 |#1|)) . T)) 
+(((|#1| (-764)) . T)) 
+((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-559))) 
+((((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-1161 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1|) |has| |#1| (-173))) 
+(((|#1|) |has| |#1| (-173)) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559)))) 
+((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) . T)) 
+((((-410 |#2|)) . T) (((-410 (-569))) . T) (($) . T)) 
+((((-664 |#1|)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-((((-541)) . T)) 
-((((-850)) . T)) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-((((-850)) . T)) 
-((((-409 (-568))) |has| |#2| (-43 (-409 (-568)))) ((|#2|) |has| |#2| (-172)) (($) -2199 (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904)))) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-(((|#2|) . T)) 
-(-2199 (|has| |#3| (-25)) (|has| |#3| (-137)) (|has| |#3| (-172)) (|has| |#3| (-365)) (|has| |#3| (-370)) (|has| |#3| (-716)) (|has| |#3| (-788)) (|has| |#3| (-840)) (|has| |#3| (-1047)) (|has| |#3| (-1090))) 
-(-2199 (|has| |#2| (-172)) (|has| |#2| (-840)) (|has| |#2| (-1047))) 
-((((-409 (-568))) |has| |#1| (-1037 (-409 (-568)))) (((-568)) |has| |#1| (-1037 (-568))) ((|#1|) . T)) 
-(|has| |#1| (-1181)) 
-(|has| |#1| (-1181)) 
-(-2199 (|has| |#2| (-25)) (|has| |#2| (-137)) (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-370)) (|has| |#2| (-716)) (|has| |#2| (-788)) (|has| |#2| (-840)) (|has| |#2| (-1047)) (|has| |#2| (-1090))) 
-(|has| |#1| (-1181)) 
-(|has| |#1| (-1181)) 
+((((-542)) . T)) 
+((((-851)) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-851)) . T)) 
+((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+(((|#2|) . T)) 
+(-2232 (|has| |#3| (-25)) (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-371)) (|has| |#3| (-717)) (|has| |#3| (-789)) (|has| |#3| (-841)) (|has| |#3| (-1048)) (|has| |#3| (-1091))) 
+(-2232 (|has| |#2| (-173)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+((((-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) (((-569)) |has| |#1| (-1038 (-569))) ((|#1|) . T)) 
+(|has| |#1| (-1183)) 
+(|has| |#1| (-1183)) 
+(-2232 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-717)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048)) (|has| |#2| (-1091))) 
+(|has| |#1| (-1183)) 
+(|has| |#1| (-1183)) 
 (((|#3| |#3|) . T)) 
-((((-568)) . T) (($) . T) (((-409 (-568))) . T)) 
-((($) . T) (((-409 (-568))) . T) (((-409 |#1|)) . T) ((|#1|) . T)) 
-((($ $) . T) (((-409 (-568)) (-409 (-568))) . T) (((-409 |#1|) (-409 |#1|)) . T) ((|#1| |#1|) . T)) 
+((((-569)) . T) (($) . T) (((-410 (-569))) . T)) 
+((($) . T) (((-410 (-569))) . T) (((-410 |#1|)) . T) ((|#1|) . T)) 
+((($ $) . T) (((-410 (-569)) (-410 (-569))) . T) (((-410 |#1|) (-410 |#1|)) . T) ((|#1| |#1|) . T)) 
 (((|#3|) . T)) 
-(((|#1|) . T) (((-409 (-568))) . T) (($) . T)) 
-(((|#1|) . T) (((-409 (-568))) . T) (($) . T)) 
-(((|#1|) . T) (((-409 (-568))) . T) (($) . T)) 
-((((-1143) (-57)) . T)) 
-(|has| |#1| (-1090)) 
-(-2199 (|has| |#2| (-815)) (|has| |#2| (-842))) 
-(((|#1|) . T)) 
-(((|#1|) |has| |#1| (-172)) (($) . T)) 
-((($) -2199 (|has| |#1| (-365)) (|has| |#1| (-350))) (((-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-350))) ((|#1|) . T)) 
-((($) . T)) 
-((((-1159 |#1| |#2| |#3|)) -12 (|has| (-1159 |#1| |#2| |#3|) (-303 (-1159 |#1| |#2| |#3|))) (|has| |#1| (-365)))) 
-((((-850)) . T)) 
-(-2199 (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904))) 
-((($) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(-2199 (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-((((-850)) . T)) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-(-2199 (|has| |#1| (-453)) (|has| |#1| (-904))) 
-(|has| |#2| (-904)) 
-(|has| |#1| (-365)) 
-(((|#2|) |has| |#2| (-1090))) 
-(-2199 (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
+(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
+(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
+(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
+((((-1145) (-57)) . T)) 
+(|has| |#1| (-1091)) 
+(-2232 (|has| |#2| (-816)) (|has| |#2| (-843))) 
+(((|#1|) . T)) 
+(((|#1|) |has| |#1| (-173)) (($) . T)) 
+((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-351))) (((-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
+((($) . T)) 
+((((-1161 |#1| |#2| |#3|)) -12 (|has| (-1161 |#1| |#2| |#3|) (-304 (-1161 |#1| |#2| |#3|))) (|has| |#1| (-366)))) 
+((((-851)) . T)) 
+(-2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
+((($) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(-2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+((((-851)) . T)) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(-2232 (|has| |#1| (-454)) (|has| |#1| (-905))) 
+(|has| |#2| (-905)) 
+(|has| |#1| (-366)) 
+(((|#2|) |has| |#2| (-1091))) 
+(-2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
 ((($) . T) ((|#2|) . T)) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-904))) 
-((((-541)) . T) (((-409 (-1157 (-568)))) . T) (((-215)) . T) (((-381)) . T)) 
-((((-381)) . T) (((-215)) . T) (((-850)) . T)) 
-(|has| |#1| (-904)) 
-(|has| |#1| (-904)) 
-(|has| |#1| (-904)) 
-(-2199 (|has| |#1| (-842)) (|has| |#1| (-1090))) 
-(((|#1|) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) 
-(|has| (-169 (-215)) (-842)) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-905))) 
+((((-542)) . T) (((-410 (-1159 (-569)))) . T) (((-216)) . T) (((-382)) . T)) 
+((((-382)) . T) (((-216)) . T) (((-851)) . T)) 
+(|has| |#1| (-905)) 
+(|has| |#1| (-905)) 
+(|has| |#1| (-905)) 
+(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+(((|#1|) . T)) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) 
+(|has| (-170 (-216)) (-843)) 
 ((($ $) . T)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-(|has| |#1| (-365)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+(|has| |#1| (-366)) 
 ((($ $) . T)) 
-((((-568) (-121)) . T)) 
+((((-569) (-121)) . T)) 
 ((($) . T)) 
-(|has| |#2| (-558)) 
+(|has| |#2| (-559)) 
 (((|#1|) . T)) 
 ((((-121)) . T)) 
-(-2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-558))) 
-((((-568)) . T)) 
-(((|#1| (-568)) . T)) 
+(-2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
+((((-569)) . T)) 
+(((|#1| (-569)) . T)) 
 ((($) . T)) 
-(((|#2|) . T) (((-568)) |has| |#2| (-630 (-568)))) 
-((((-568)) |has| |#1| (-630 (-568))) ((|#1|) . T)) 
+(((|#2|) . T) (((-569)) |has| |#2| (-631 (-569)))) 
+((((-569)) |has| |#1| (-631 (-569))) ((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-568)) . T)) 
+((((-569)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-1161)) |has| |#1| (-1047))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-((((-850)) . T)) 
-(((|#1| (-763)) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1| (-568)) . T)) 
-(((|#1| (-1235 |#1| |#2| |#3|)) . T)) 
-(((|#1|) . T)) 
-(((|#1| (-409 (-568))) . T)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-((((-850)) . T)) 
-(((|#1| (-1207 |#1| |#2| |#3|)) . T)) 
-(|has| |#1| (-1090)) 
-(((|#1| (-763)) . T)) 
-(((|#1|) . T)) 
-((((-1143) |#1|) . T)) 
-((($) . T)) 
-(|has| |#2| (-150)) 
-(|has| |#2| (-148)) 
-(((|#1| (-534 (-813 (-1161))) (-813 (-1161))) . T)) 
-((((-1229 |#1| |#2| |#3| |#4|)) . T)) 
-((((-1229 |#1| |#2| |#3| |#4|)) . T)) 
-(((|#1|) |has| |#1| (-1047))) 
-((((-568) (-121)) . T)) 
-((((-850)) |has| |#1| (-1090))) 
-(|has| |#2| (-172)) 
-((((-568)) . T)) 
-(|has| |#2| (-840)) 
-(((|#1|) . T)) 
-((((-568)) . T)) 
-((((-850)) . T)) 
-(-2199 (|has| |#1| (-148)) (|has| |#1| (-350))) 
-(|has| |#1| (-150)) 
-((((-850)) . T)) 
+((((-1163)) |has| |#1| (-1048))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+((((-851)) . T)) 
+(((|#1| (-764)) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1| (-569)) . T)) 
+(((|#1| (-1238 |#1| |#2| |#3|)) . T)) 
+(((|#1|) . T)) 
+(((|#1| (-410 (-569))) . T)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-851)) . T)) 
+(((|#1| (-1210 |#1| |#2| |#3|)) . T)) 
+(|has| |#1| (-1091)) 
+(((|#1| (-764)) . T)) 
+(((|#1|) . T)) 
+((((-1145) |#1|) . T)) 
+((($) . T)) 
+(|has| |#2| (-151)) 
+(|has| |#2| (-149)) 
+(((|#1| (-535 (-814 (-1163))) (-814 (-1163))) . T)) 
+((((-1232 |#1| |#2| |#3| |#4|)) . T)) 
+((((-1232 |#1| |#2| |#3| |#4|)) . T)) 
+(((|#1|) |has| |#1| (-1048))) 
+((((-569) (-121)) . T)) 
+((((-851)) |has| |#1| (-1091))) 
+(|has| |#2| (-173)) 
+((((-569)) . T)) 
+(|has| |#2| (-841)) 
+(((|#1|) . T)) 
+((((-569)) . T)) 
+((((-851)) . T)) 
+(-2232 (|has| |#1| (-149)) (|has| |#1| (-351))) 
+(|has| |#1| (-151)) 
+((((-851)) . T)) 
 (((|#3|) . T)) 
-(-2199 (|has| |#3| (-172)) (|has| |#3| (-840)) (|has| |#3| (-1047))) 
-((((-850)) . T)) 
-((((-1228 |#2| |#3| |#4|)) . T) (((-1229 |#1| |#2| |#3| |#4|)) . T)) 
-((((-850)) . T)) 
-((((-53)) -12 (|has| |#1| (-558)) (|has| |#1| (-1037 (-568)))) (((-607 $)) . T) ((|#1|) . T) (((-568)) |has| |#1| (-1037 (-568))) (((-409 (-568))) -2199 (-12 (|has| |#1| (-558)) (|has| |#1| (-1037 (-568)))) (|has| |#1| (-1037 (-409 (-568))))) (((-409 (-953 |#1|))) |has| |#1| (-558)) (((-953 |#1|)) |has| |#1| (-1047)) (((-1161)) . T)) 
+(-2232 (|has| |#3| (-173)) (|has| |#3| (-841)) (|has| |#3| (-1048))) 
+((((-851)) . T)) 
+((((-1231 |#2| |#3| |#4|)) . T) (((-1232 |#1| |#2| |#3| |#4|)) . T)) 
+((((-851)) . T)) 
+((((-53)) -12 (|has| |#1| (-559)) (|has| |#1| (-1038 (-569)))) (((-608 $)) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) -2232 (-12 (|has| |#1| (-559)) (|has| |#1| (-1038 (-569)))) (|has| |#1| (-1038 (-410 (-569))))) (((-410 (-954 |#1|))) |has| |#1| (-559)) (((-954 |#1|)) |has| |#1| (-1048)) (((-1163)) . T)) 
 (((|#1|) . T) (($) . T)) 
-(((|#1| (-763)) . T)) 
-((($) -2199 (|has| |#1| (-365)) (|has| |#1| (-558))) (((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) ((|#1|) |has| |#1| (-172))) 
-(((|#1|) |has| |#1| (-303 |#1|))) 
-((((-1229 |#1| |#2| |#3| |#4|)) . T)) 
-((((-568)) |has| |#1| (-881 (-568))) (((-381)) |has| |#1| (-881 (-381)))) 
-(((|#1|) . T)) 
-(|has| |#1| (-558)) 
-(((|#1|) . T)) 
-((((-850)) . T)) 
-(((|#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) |has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))))) 
-(((|#1|) |has| |#1| (-172))) 
-((($) |has| |#1| (-558)) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(((|#2| |#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) 
-((((-1161)) -12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) 
-(((|#1|) . T)) 
-(((|#3|) |has| |#3| (-1090))) 
-(((|#2|) -2199 (|has| |#2| (-172)) (|has| |#2| (-365)))) 
-((((-1228 |#2| |#3| |#4|)) . T)) 
+(((|#1| (-764)) . T)) 
+((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#1|) |has| |#1| (-173))) 
+(((|#1|) |has| |#1| (-304 |#1|))) 
+((((-1232 |#1| |#2| |#3| |#4|)) . T)) 
+((((-569)) |has| |#1| (-882 (-569))) (((-382)) |has| |#1| (-882 (-382)))) 
+(((|#1|) . T)) 
+(|has| |#1| (-559)) 
+(((|#1|) . T)) 
+((((-851)) . T)) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 
+(((|#1|) |has| |#1| (-173))) 
+((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) 
+((((-1163)) -12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) 
+(((|#1|) . T)) 
+(((|#3|) |has| |#3| (-1091))) 
+(((|#2|) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)))) 
+((((-1231 |#2| |#3| |#4|)) . T)) 
 ((((-121)) . T)) 
-(|has| |#1| (-815)) 
-(|has| |#1| (-815)) 
-(((|#1| (-568) (-1075)) . T)) 
-((($) |has| |#1| (-303 $)) ((|#1|) |has| |#1| (-303 |#1|))) 
-(|has| |#1| (-840)) 
-(|has| |#1| (-840)) 
-(((|#1| (-763) (-1075)) . T)) 
-(-2199 (|has| |#1| (-895 (-1161))) (|has| |#1| (-1047))) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-((((-1161)) . T)) 
-(((|#1| (-568) (-1075)) . T)) 
-(((|#1| (-409 (-568)) (-1075)) . T)) 
-(((|#1| (-763) (-1075)) . T)) 
-(|has| |#1| (-842)) 
-((((-905 |#1|) (-905 |#1|)) . T) (($ $) . T) (((-409 (-568)) (-409 (-568))) . T)) 
-(|has| |#2| (-148)) 
-(|has| |#2| (-150)) 
-(((|#2|) . T)) 
-(|has| |#1| (-148)) 
-(|has| |#1| (-150)) 
-(|has| |#1| (-1090)) 
-((((-905 |#1|)) . T) (($) . T) (((-409 (-568))) . T)) 
-(|has| |#1| (-1090)) 
-((((-850)) . T)) 
-(((|#1|) . T)) 
-(|has| |#1| (-1090)) 
-((((-568)) -12 (|has| |#1| (-365)) (|has| |#2| (-630 (-568)))) ((|#2|) |has| |#1| (-365))) 
-(((|#2|) |has| |#2| (-1047))) 
-(-2199 (|has| |#2| (-25)) (|has| |#2| (-137)) (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-370)) (|has| |#2| (-716)) (|has| |#2| (-788)) (|has| |#2| (-840)) (|has| |#2| (-1047)) (|has| |#2| (-1090))) 
-(((|#2|) |has| |#2| (-172))) 
-(((|#1|) |has| |#1| (-172))) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-((((-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) . T)) 
-((((-850)) . T)) 
-(|has| |#3| (-840)) 
-((((-850)) . T)) 
-((((-1228 |#2| |#3| |#4|) (-314 |#2| |#3| |#4|)) . T)) 
-((((-850)) . T)) 
-(((|#1| |#1|) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-1047)))) 
-(((|#1|) . T)) 
-((((-568)) . T)) 
-((((-850)) . T)) 
-((((-568)) . T)) 
-((((-734 |#1| |#2|)) . T) (((-607 $)) . T) ((|#2|) . T) (((-568)) . T) (((-409 (-568))) -2199 (-12 (|has| |#2| (-558)) (|has| |#2| (-1037 (-568)))) (|has| |#2| (-1037 (-409 (-568))))) (((-409 (-953 |#2|))) |has| |#2| (-558)) (((-953 |#2|)) |has| |#2| (-1047)) (((-1161)) . T)) 
-(((|#1|) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-1047)))) 
-(((|#2|) |has| |#2| (-365))) 
-((((-568)) |has| |#2| (-881 (-568))) (((-381)) |has| |#2| (-881 (-381)))) 
-(((|#2|) . T)) 
-(|has| |#1| (-842)) 
-((($) . T) ((|#1|) . T) (((-409 (-568))) |has| |#1| (-365))) 
-(((|#2|) . T)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-(((|#1| (-763)) . T)) 
-(((|#2|) . T)) 
-((((-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) |has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-303 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))))) 
-(-2199 (|has| |#1| (-453)) (|has| |#1| (-904))) 
-(((|#2|) . T) (((-568)) |has| |#2| (-630 (-568)))) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-541)) . T) (((-568)) . T) (((-887 (-568))) . T) (((-381)) . T) (((-215)) . T)) 
-((((-850)) . T)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-((((-568)) . T) (($) . T) (((-409 (-568))) . T)) 
-((((-568)) . T) (($) . T) (((-409 (-568))) . T)) 
-(|has| |#1| (-225)) 
-(((|#1|) . T)) 
-(((|#1| (-568)) . T)) 
-(|has| |#1| (-840)) 
-(((|#1| (-1159 |#1| |#2| |#3|)) . T)) 
+(|has| |#1| (-816)) 
+(|has| |#1| (-816)) 
+(((|#1| (-569) (-1076)) . T)) 
+((($) |has| |#1| (-304 $)) ((|#1|) |has| |#1| (-304 |#1|))) 
+(|has| |#1| (-841)) 
+(|has| |#1| (-841)) 
+(((|#1| (-764) (-1076)) . T)) 
+(-2232 (|has| |#1| (-896 (-1163))) (|has| |#1| (-1048))) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-1163)) . T)) 
+(((|#1| (-569) (-1076)) . T)) 
+(((|#1| (-410 (-569)) (-1076)) . T)) 
+(((|#1| (-764) (-1076)) . T)) 
+(|has| |#1| (-843)) 
+((((-906 |#1|) (-906 |#1|)) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+(|has| |#2| (-149)) 
+(|has| |#2| (-151)) 
+(((|#2|) . T)) 
+(|has| |#1| (-149)) 
+(|has| |#1| (-151)) 
+(|has| |#1| (-1091)) 
+((((-906 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
+(|has| |#1| (-1091)) 
+((((-851)) . T)) 
+(((|#1|) . T)) 
+(|has| |#1| (-1091)) 
+((((-569)) -12 (|has| |#1| (-366)) (|has| |#2| (-631 (-569)))) ((|#2|) |has| |#1| (-366))) 
+(((|#2|) |has| |#2| (-1048))) 
+(-2232 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-717)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048)) (|has| |#2| (-1091))) 
+(((|#2|) |has| |#2| (-173))) 
+(((|#1|) |has| |#1| (-173))) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) . T)) 
+((((-851)) . T)) 
+(|has| |#3| (-841)) 
+((((-851)) . T)) 
+((((-1231 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) . T)) 
+((((-851)) . T)) 
+(((|#1| |#1|) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-1048)))) 
+(((|#1|) . T)) 
+((((-569)) . T)) 
+((((-851)) . T)) 
+((((-569)) . T)) 
+((((-735 |#1| |#2|)) . T) (((-608 $)) . T) ((|#2|) . T) (((-569)) . T) (((-410 (-569))) -2232 (-12 (|has| |#2| (-559)) (|has| |#2| (-1038 (-569)))) (|has| |#2| (-1038 (-410 (-569))))) (((-410 (-954 |#2|))) |has| |#2| (-559)) (((-954 |#2|)) |has| |#2| (-1048)) (((-1163)) . T)) 
+(((|#1|) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-1048)))) 
+(((|#2|) |has| |#2| (-366))) 
+((((-569)) |has| |#2| (-882 (-569))) (((-382)) |has| |#2| (-882 (-382)))) 
+(((|#2|) . T)) 
+(|has| |#1| (-843)) 
+((($) . T) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-366))) 
+(((|#2|) . T)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+(((|#1| (-764)) . T)) 
+(((|#2|) . T)) 
+((((-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) |has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))))) 
+(-2232 (|has| |#1| (-454)) (|has| |#1| (-905))) 
+(((|#2|) . T) (((-569)) |has| |#2| (-631 (-569)))) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-542)) . T) (((-569)) . T) (((-888 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
+((((-851)) . T)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+((((-569)) . T) (($) . T) (((-410 (-569))) . T)) 
+((((-569)) . T) (($) . T) (((-410 (-569))) . T)) 
+(|has| |#1| (-226)) 
+(((|#1|) . T)) 
+(((|#1| (-569)) . T)) 
+(|has| |#1| (-841)) 
+(((|#1| (-1161 |#1| |#2| |#3|)) . T)) 
 (((|#1| |#1|) . T)) 
 (((|#1| |#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(((|#1| (-409 (-568))) . T)) 
-(((|#1| (-1151 |#1| |#2| |#3|)) . T)) 
-(((|#1| (-763)) . T)) 
+(((|#1| (-410 (-569))) . T)) 
+(((|#1| (-1153 |#1| |#2| |#3|)) . T)) 
+(((|#1| (-764)) . T)) 
 (((|#1|) . T)) 
-(((|#1| |#1| |#2| (-232 |#1| |#2|) (-232 |#1| |#2|)) . T)) 
+(((|#1| |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-148)) 
-(|has| |#1| (-150)) 
-(|has| |#1| (-150)) 
-(|has| |#1| (-148)) 
+(|has| |#1| (-149)) 
+(|has| |#1| (-151)) 
+(|has| |#1| (-151)) 
+(|has| |#1| (-149)) 
 (((|#1| |#2|) . T)) 
-((((-147)) . T)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(((|#1|) . T)) 
-(-2199 (|has| |#2| (-172)) (|has| |#2| (-840)) (|has| |#2| (-1047))) 
-(((|#1| |#1|) . T) (((-409 (-568)) (-409 (-568))) . T) (($ $) . T)) 
-((((-850)) . T)) 
-(((|#1|) . T) (((-409 (-568))) . T) (($) . T)) 
-((($) . T) ((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((((-850)) |has| |#1| (-1090))) 
-(|has| |#1| (-365)) 
-(|has| |#1| (-365)) 
-(|has| (-409 |#2|) (-225)) 
-(|has| |#1| (-904)) 
-(((|#2|) |has| |#2| (-1047))) 
-(((|#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) |has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))))) 
-(|has| |#1| (-365)) 
-(((|#1|) |has| |#1| (-172))) 
+((((-148)) . T)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(((|#1|) . T)) 
+(-2232 (|has| |#2| (-173)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+(((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
+((((-851)) . T)) 
+(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
+((($) . T) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-851)) |has| |#1| (-1091))) 
+(|has| |#1| (-366)) 
+(|has| |#1| (-366)) 
+(|has| (-410 |#2|) (-226)) 
+(|has| |#1| (-905)) 
+(((|#2|) |has| |#2| (-1048))) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 
+(|has| |#1| (-366)) 
+(((|#1|) |has| |#1| (-173))) 
 (((|#1| |#1|) . T)) 
-((((-864 |#1|)) . T)) 
-((((-850)) . T)) 
+((((-865 |#1|)) . T)) 
+((((-851)) . T)) 
 (((|#1|) . T)) 
-(((|#2|) |has| |#2| (-1090))) 
-(|has| |#2| (-842)) 
+(((|#2|) |has| |#2| (-1091))) 
+(|has| |#2| (-843)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-365)) 
-((((-409 (-568))) . T) (((-568)) . T) (((-607 $)) . T)) 
+(|has| |#1| (-366)) 
+((((-410 (-569))) . T) (((-569)) . T) (((-608 $)) . T)) 
 (((|#1|) . T)) 
-((((-850)) . T)) 
+((((-851)) . T)) 
 ((($) . T)) 
-(|has| |#1| (-842)) 
-((((-850)) . T)) 
-(((|#1| (-534 |#2|) |#2|) . T)) 
-(((|#1| (-568) (-1075)) . T)) 
-((((-905 |#1|)) . T)) 
-((((-850)) . T)) 
+(|has| |#1| (-843)) 
+((((-851)) . T)) 
+(((|#1| (-535 |#2|) |#2|) . T)) 
+(((|#1| (-569) (-1076)) . T)) 
+((((-906 |#1|)) . T)) 
+((((-851)) . T)) 
 (((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
-(((|#1| (-409 (-568)) (-1075)) . T)) 
-(((|#1| (-763) (-1075)) . T)) 
-((((-409 |#2|) (-409 |#2|)) . T) (((-409 (-568)) (-409 (-568))) . T) (($ $) . T)) 
-(((|#1|) . T) (((-568)) -2199 (|has| (-409 (-568)) (-1037 (-568))) (|has| |#1| (-1037 (-568)))) (((-409 (-568))) . T)) 
-(((|#1| (-599 |#1| |#3|) (-599 |#1| |#2|)) . T)) 
-(((|#1|) |has| |#1| (-172))) 
+(((|#1| (-410 (-569)) (-1076)) . T)) 
+(((|#1| (-764) (-1076)) . T)) 
+((((-410 |#2|) (-410 |#2|)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
+(((|#1|) . T) (((-569)) -2232 (|has| (-410 (-569)) (-1038 (-569))) (|has| |#1| (-1038 (-569)))) (((-410 (-569))) . T)) 
+(((|#1| (-600 |#1| |#3|) (-600 |#1| |#2|)) . T)) 
+(((|#1|) |has| |#1| (-173))) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-409 |#2|)) . T) (((-409 (-568))) . T) (($) . T)) 
-(|has| |#2| (-225)) 
-(((|#2| (-534 (-852 |#1|)) (-852 |#1|)) . T)) 
-((($) -2199 (|has| |#2| (-365)) (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904))) ((|#2|) |has| |#2| (-172)) (((-409 (-568))) |has| |#2| (-43 (-409 (-568))))) 
-((((-850)) . T)) 
-((($) |has| |#1| (-558)) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((((-850)) . T)) 
+((((-410 |#2|)) . T) (((-410 (-569))) . T) (($) . T)) 
+(|has| |#2| (-226)) 
+(((|#2| (-535 (-853 |#1|)) (-853 |#1|)) . T)) 
+((($) -2232 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) ((|#2|) |has| |#2| (-173)) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
+((((-851)) . T)) 
+((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-851)) . T)) 
 (((|#1| |#3|) . T)) 
-((((-850)) . T)) 
-(|has| |#2| (-1136)) 
-(((|#1|) |has| |#1| (-172))) 
-((((-688)) . T)) 
-((((-688)) . T)) 
-(((|#2|) |has| |#2| (-172))) 
-(|has| |#2| (-840)) 
-((((-121)) |has| |#1| (-1090)) (((-850)) -2199 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-478)) (|has| |#1| (-716)) (|has| |#1| (-895 (-1161))) (|has| |#1| (-1047)) (|has| |#1| (-1102)) (|has| |#1| (-1090)))) 
+((((-851)) . T)) 
+(|has| |#2| (-1137)) 
+(((|#1|) |has| |#1| (-173))) 
+((((-689)) . T)) 
+((((-689)) . T)) 
+(((|#2|) |has| |#2| (-173))) 
+(|has| |#2| (-841)) 
+((((-121)) |has| |#1| (-1091)) (((-851)) -2232 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-479)) (|has| |#1| (-717)) (|has| |#1| (-896 (-1163))) (|has| |#1| (-1048)) (|has| |#1| (-1103)) (|has| |#1| (-1091)))) 
 (((|#1|) . T) (($) . T)) 
 (((|#1| |#2|) . T)) 
-((((-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-568) |#1|) . T)) 
-((((-688)) . T) (((-409 (-568))) . T) (((-568)) . T)) 
-(((|#2|) . T)) 
-(((|#1| |#1|) |has| |#1| (-172))) 
-(((|#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) |has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))))) 
-((((-381)) . T)) 
-((((-688)) . T)) 
-((((-409 (-568))) |has| |#2| (-365)) (($) |has| |#2| (-365))) 
-(((|#1|) |has| |#1| (-172))) 
-((((-409 (-953 |#1|))) . T)) 
+((((-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-569) |#1|) . T)) 
+((((-689)) . T) (((-410 (-569))) . T) (((-569)) . T)) 
+(((|#2|) . T)) 
+(((|#1| |#1|) |has| |#1| (-173))) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 
+((((-382)) . T)) 
+((((-689)) . T)) 
+((((-410 (-569))) |has| |#2| (-366)) (($) |has| |#2| (-366))) 
+(((|#1|) |has| |#1| (-173))) 
+((((-410 (-954 |#1|))) . T)) 
 (((|#2| |#2|) . T)) 
-(-2199 (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904))) 
-(-2199 (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-((($) . T)) 
-(((|#2|) . T)) 
-(|has| |#2| (-842)) 
-(((|#3|) |has| |#3| (-1047))) 
-(|has| |#2| (-904)) 
-(|has| |#1| (-904)) 
-(|has| |#1| (-365)) 
-(|has| |#1| (-842)) 
-((((-1161)) |has| |#2| (-895 (-1161)))) 
-((((-850)) . T)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-((((-409 (-568))) . T) (($) . T)) 
-(|has| |#1| (-478)) 
-(|has| |#1| (-370)) 
-(|has| |#1| (-370)) 
-(|has| |#1| (-370)) 
-(|has| |#1| (-365)) 
-((((-850)) . T)) 
-(-2199 (|has| |#1| (-148)) (|has| |#1| (-150)) (|has| |#1| (-172)) (|has| |#1| (-478)) (|has| |#1| (-558)) (|has| |#1| (-1047)) (|has| |#1| (-1102))) 
+(-2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
+(-2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+((($) . T)) 
+(((|#2|) . T)) 
+(|has| |#2| (-843)) 
+(((|#3|) |has| |#3| (-1048))) 
+(|has| |#2| (-905)) 
+(|has| |#1| (-905)) 
+(|has| |#1| (-366)) 
+(|has| |#1| (-843)) 
+((((-1163)) |has| |#2| (-896 (-1163)))) 
+((((-851)) . T)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-410 (-569))) . T) (($) . T)) 
+(|has| |#1| (-479)) 
+(|has| |#1| (-371)) 
+(|has| |#1| (-371)) 
+(|has| |#1| (-371)) 
+(|has| |#1| (-366)) 
+((((-851)) . T)) 
+(-2232 (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-479)) (|has| |#1| (-559)) (|has| |#1| (-1048)) (|has| |#1| (-1103))) 
 ((((-125 |#1|)) . T)) 
 ((((-125 |#1|)) . T)) 
-((((-147)) . T)) 
-(|has| |#1| (-350)) 
-((((-1161)) |has| |#1| (-895 (-1161))) (((-1075)) . T)) 
-((($) . T)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(((|#2|) . T) (((-850)) . T)) 
-(((|#2|) . T) (((-850)) . T)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-((((-169 (-215)) (-145) (-145)) . T)) 
-((((-215) (-218) (-218)) . T)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-842)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-((((-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) . T)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
+((((-148)) . T)) 
+(|has| |#1| (-351)) 
+((((-1163)) |has| |#1| (-896 (-1163))) (((-1076)) . T)) 
+((($) . T)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(((|#2|) . T) (((-851)) . T)) 
+(((|#2|) . T) (((-851)) . T)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+((((-170 (-216)) (-146) (-146)) . T)) 
+((((-216) (-219) (-219)) . T)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-843)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+((((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) . T)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
 (((|#1| |#2|) . T)) 
-(|has| |#1| (-150)) 
-(|has| |#1| (-148)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) |has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) ((|#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) 
+(|has| |#1| (-151)) 
+(|has| |#1| (-149)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) ((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
 (((|#3|) . T)) 
 ((((-125 |#1|)) . T)) 
-(|has| |#1| (-370)) 
-(|has| |#1| (-842)) 
-(((|#2|) . T) (((-409 (-568))) |has| |#1| (-1037 (-409 (-568)))) (((-568)) |has| |#1| (-1037 (-568))) ((|#1|) . T)) 
+(|has| |#1| (-371)) 
+(|has| |#1| (-843)) 
+(((|#2|) . T) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) (((-569)) |has| |#1| (-1038 (-569))) ((|#1|) . T)) 
 ((((-125 |#1|)) . T)) 
-(((|#2|) |has| |#2| (-172))) 
-(((|#1|) . T)) 
-((((-568)) . T)) 
-(|has| |#1| (-365)) 
-(|has| |#1| (-365)) 
-((((-850)) . T)) 
-((((-1075)) . T) ((|#1|) . T) (((-568)) |has| |#1| (-1037 (-568))) (((-409 (-568))) |has| |#1| (-1037 (-409 (-568))))) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-541)) |has| |#1| (-609 (-541))) (((-887 (-568))) |has| |#1| (-609 (-887 (-568)))) (((-887 (-381))) |has| |#1| (-609 (-887 (-381)))) (((-381)) |has| |#1| (-1021)) (((-215)) |has| |#1| (-1021))) 
-(((|#1|) |has| |#1| (-365))) 
-((((-850)) . T)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-((($ $) . T) (((-607 $) $) . T)) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-558))) 
-((($) . T) (((-1229 |#1| |#2| |#3| |#4|)) . T) (((-409 (-568))) . T)) 
-((($) -2199 (|has| |#1| (-148)) (|has| |#1| (-150)) (|has| |#1| (-172)) (|has| |#1| (-558)) (|has| |#1| (-1047))) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-558))) 
-(|has| |#1| (-365)) 
-(|has| |#1| (-365)) 
-(|has| |#1| (-365)) 
-((((-381)) . T) (((-568)) . T) (((-409 (-568))) . T)) 
-((((-634 (-775 |#1| (-852 |#2|)))) . T) (((-850)) . T)) 
-((((-541)) |has| (-775 |#1| (-852 |#2|)) (-609 (-541)))) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-((((-381)) . T)) 
-(((|#3|) -12 (|has| |#3| (-303 |#3|)) (|has| |#3| (-1090)))) 
-((((-850)) . T)) 
-(-2199 (|has| |#2| (-453)) (|has| |#2| (-904))) 
-(((|#1|) . T)) 
-(|has| |#1| (-842)) 
-(|has| |#1| (-842)) 
-((((-850)) |has| |#1| (-1090))) 
-((((-541)) |has| |#1| (-609 (-541)))) 
-(((|#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) 
-(|has| |#1| (-1090)) 
-((((-850)) . T)) 
-(((|#1| (-763)) . T)) 
-((((-409 (-568))) . T) (((-568)) . T) (((-607 $)) . T)) 
-(|has| |#1| (-148)) 
-(|has| |#1| (-150)) 
-((((-568)) . T)) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-558))) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-558))) 
-((((-1228 |#2| |#3| |#4|)) . T) (((-409 (-568))) |has| (-1228 |#2| |#3| |#4|) (-43 (-409 (-568)))) (($) . T)) 
-((((-568)) . T)) 
-(|has| |#2| (-478)) 
-(|has| |#1| (-150)) 
-(|has| |#1| (-148)) 
-(|has| |#1| (-365)) 
-(-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-150)) (|has| |#1| (-365))) (|has| |#1| (-150))) 
-(-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-148)) (|has| |#1| (-365))) (|has| |#1| (-148))) 
-(|has| |#1| (-365)) 
-(|has| |#1| (-148)) 
-(|has| |#1| (-225)) 
-(|has| |#1| (-365)) 
+(((|#2|) |has| |#2| (-173))) 
+(((|#1|) . T)) 
+((((-569)) . T)) 
+(|has| |#1| (-366)) 
+(|has| |#1| (-366)) 
+((((-851)) . T)) 
+((((-1076)) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569))))) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-542)) |has| |#1| (-610 (-542))) (((-888 (-569))) |has| |#1| (-610 (-888 (-569)))) (((-888 (-382))) |has| |#1| (-610 (-888 (-382)))) (((-382)) |has| |#1| (-1022)) (((-216)) |has| |#1| (-1022))) 
+(((|#1|) |has| |#1| (-366))) 
+((((-851)) . T)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((($ $) . T) (((-608 $) $) . T)) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+((($) . T) (((-1232 |#1| |#2| |#3| |#4|)) . T) (((-410 (-569))) . T)) 
+((($) -2232 (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1048))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-559))) 
+(|has| |#1| (-366)) 
+(|has| |#1| (-366)) 
+(|has| |#1| (-366)) 
+((((-382)) . T) (((-569)) . T) (((-410 (-569))) . T)) 
+((((-635 (-776 |#1| (-853 |#2|)))) . T) (((-851)) . T)) 
+((((-542)) |has| (-776 |#1| (-853 |#2|)) (-610 (-542)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-382)) . T)) 
+(((|#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) 
+((((-851)) . T)) 
+(-2232 (|has| |#2| (-454)) (|has| |#2| (-905))) 
+(((|#1|) . T)) 
+(|has| |#1| (-843)) 
+(|has| |#1| (-843)) 
+((((-851)) |has| |#1| (-1091))) 
+((((-542)) |has| |#1| (-610 (-542)))) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) 
+(|has| |#1| (-1091)) 
+((((-851)) . T)) 
+(((|#1| (-764)) . T)) 
+((((-410 (-569))) . T) (((-569)) . T) (((-608 $)) . T)) 
+(|has| |#1| (-149)) 
+(|has| |#1| (-151)) 
+((((-569)) . T)) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+((((-1231 |#2| |#3| |#4|)) . T) (((-410 (-569))) |has| (-1231 |#2| |#3| |#4|) (-43 (-410 (-569)))) (($) . T)) 
+((((-569)) . T)) 
+(|has| |#2| (-479)) 
+(|has| |#1| (-151)) 
+(|has| |#1| (-149)) 
+(|has| |#1| (-366)) 
+(-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-151)) (|has| |#1| (-366))) (|has| |#1| (-151))) 
+(-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-149)) (|has| |#1| (-366))) (|has| |#1| (-149))) 
+(|has| |#1| (-366)) 
+(|has| |#1| (-149)) 
+(|has| |#1| (-226)) 
+(|has| |#1| (-366)) 
 (((|#3|) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-(|has| |#1| (-150)) 
-((((-568)) |has| |#2| (-630 (-568))) ((|#2|) . T)) 
-(|has| |#1| (-150)) 
-(|has| |#1| (-148)) 
-(((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568)))) (($) . T)) 
-(((|#2|) . T)) 
-(|has| |#1| (-1090)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+(|has| |#1| (-151)) 
+((((-569)) |has| |#2| (-631 (-569))) ((|#2|) . T)) 
+(|has| |#1| (-151)) 
+(|has| |#1| (-149)) 
+(((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) (($) . T)) 
+(((|#2|) . T)) 
+(|has| |#1| (-1091)) 
 (((|#1| |#2|) . T)) 
-((((-169 (-215))) . T)) 
-((((-215)) . T)) 
-(((|#1|) . T) (((-568)) |has| |#1| (-630 (-568)))) 
-(((|#3|) |has| |#3| (-172))) 
-(-2199 (|has| |#2| (-25)) (|has| |#2| (-137)) (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-370)) (|has| |#2| (-716)) (|has| |#2| (-788)) (|has| |#2| (-840)) (|has| |#2| (-1047)) (|has| |#2| (-1090))) 
-((((-568)) . T)) 
-(((|#1| $) |has| |#1| (-281 |#1| |#1|))) 
-((((-409 (-568))) . T) (($) . T) (((-409 |#1|)) . T) ((|#1|) . T)) 
-((((-850)) . T)) 
+((((-170 (-216))) . T)) 
+((((-216)) . T)) 
+(((|#1|) . T) (((-569)) |has| |#1| (-631 (-569)))) 
+(((|#3|) |has| |#3| (-173))) 
+(-2232 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-717)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048)) (|has| |#2| (-1091))) 
+((((-569)) . T)) 
+(((|#1| $) |has| |#1| (-282 |#1| |#1|))) 
+((((-410 (-569))) . T) (($) . T) (((-410 |#1|)) . T) ((|#1|) . T)) 
+((((-851)) . T)) 
 (((|#3|) . T)) 
-(((|#1| |#1|) . T) (($ $) -2199 (|has| |#1| (-285)) (|has| |#1| (-365))) (((-409 (-568)) (-409 (-568))) |has| |#1| (-365))) 
-((((-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) . T)) 
-((($) . T)) 
-((($) . T) ((|#2|) |has| |#2| (-172)) (((-409 (-568))) |has| |#2| (-558))) 
-((((-568) |#1|) . T)) 
-((((-1161)) |has| (-409 |#2|) (-895 (-1161)))) 
-(((|#1|) . T) (($) -2199 (|has| |#1| (-285)) (|has| |#1| (-365))) (((-409 (-568))) |has| |#1| (-365))) 
-((((-541)) |has| |#2| (-609 (-541)))) 
-((((-679 |#2|)) . T) (((-850)) . T)) 
-(((|#1|) . T)) 
-(((|#4|) -12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) 
-(((|#4|) -12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) 
-((((-864 |#1|)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(-2199 (|has| |#4| (-788)) (|has| |#4| (-840))) 
-(-2199 (|has| |#3| (-788)) (|has| |#3| (-840))) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-(((|#4|) -12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) 
-(((|#2|) |has| |#2| (-1047))) 
-(((|#1|) . T)) 
-((((-409 |#2|)) . T)) 
-(((|#1|) . T)) 
-(((|#3|) -12 (|has| |#3| (-303 |#3|)) (|has| |#3| (-1090)))) 
-((((-568) |#1|) . T)) 
-(((|#1|) . T)) 
-((($) . T)) 
-((((-568)) . T) (($) . T) (((-409 (-568))) . T)) 
-((((-409 (-568))) . T) (($) . T)) 
-((((-409 (-568))) . T) (($) . T)) 
-((((-409 (-568))) . T) (($) . T)) 
-(-2199 (|has| |#1| (-453)) (|has| |#1| (-1199))) 
-((($) . T)) 
-((((-409 (-568))) |has| (-409 |#2|) (-1037 (-409 (-568)))) (((-568)) |has| (-409 |#2|) (-1037 (-568))) (((-409 |#2|)) . T)) 
-(((|#2|) . T) (((-568)) |has| |#2| (-630 (-568)))) 
-(((|#1| (-763)) . T)) 
-(|has| |#1| (-842)) 
-(((|#1|) . T) (((-568)) |has| |#1| (-630 (-568)))) 
-((((-568)) . T)) 
-((($) -2199 (|has| |#1| (-365)) (|has| |#1| (-350))) (((-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-350))) ((|#1|) . T)) 
-((((-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))) |has| (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-303 (-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))))) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(|has| |#1| (-840)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-370)) 
-(|has| |#1| (-370)) 
-(|has| |#1| (-370)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-350)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
+(((|#1| |#1|) . T) (($ $) -2232 (|has| |#1| (-286)) (|has| |#1| (-366))) (((-410 (-569)) (-410 (-569))) |has| |#1| (-366))) 
+((((-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) . T)) 
+((($) . T)) 
+((($) . T) ((|#2|) |has| |#2| (-173)) (((-410 (-569))) |has| |#2| (-559))) 
+((((-569) |#1|) . T)) 
+((((-1163)) |has| (-410 |#2|) (-896 (-1163)))) 
+(((|#1|) . T) (($) -2232 (|has| |#1| (-286)) (|has| |#1| (-366))) (((-410 (-569))) |has| |#1| (-366))) 
+((((-542)) |has| |#2| (-610 (-542)))) 
+((((-680 |#2|)) . T) (((-851)) . T)) 
+(((|#1|) . T)) 
+(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) 
+(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) 
+((((-865 |#1|)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(-2232 (|has| |#4| (-789)) (|has| |#4| (-841))) 
+(-2232 (|has| |#3| (-789)) (|has| |#3| (-841))) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) 
+(((|#2|) |has| |#2| (-1048))) 
+((((-569)) . T)) 
+(((|#1|) . T)) 
+((((-569)) . T)) 
+((((-410 |#2|)) . T)) 
+(((|#1|) . T)) 
+(((|#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) 
+((((-569) |#1|) . T)) 
+(((|#1|) . T)) 
+((($) . T)) 
+((((-569)) . T) (($) . T) (((-410 (-569))) . T)) 
+((((-410 (-569))) . T) (($) . T)) 
+((((-410 (-569))) . T) (($) . T)) 
+((((-410 (-569))) . T) (($) . T)) 
+(-2232 (|has| |#1| (-454)) (|has| |#1| (-1202))) 
+((($) . T)) 
+((((-410 (-569))) |has| (-410 |#2|) (-1038 (-410 (-569)))) (((-569)) |has| (-410 |#2|) (-1038 (-569))) (((-410 |#2|)) . T)) 
+(((|#2|) . T) (((-569)) |has| |#2| (-631 (-569)))) 
+(((|#1| (-764)) . T)) 
+(|has| |#1| (-843)) 
+(((|#1|) . T) (((-569)) |has| |#1| (-631 (-569)))) 
+((((-569)) . T)) 
+((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-351))) (((-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
+((((-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) |has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(|has| |#1| (-841)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-371)) 
+(|has| |#1| (-371)) 
+(|has| |#1| (-371)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-351)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
 (((|#2|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-147)) . T)) 
-((((-775 |#1| (-852 |#2|))) . T)) 
-((((-850)) |has| |#1| (-1090))) 
-(|has| |#1| (-1181)) 
-(((|#1|) . T)) 
-(-2199 (|has| |#3| (-25)) (|has| |#3| (-137)) (|has| |#3| (-172)) (|has| |#3| (-365)) (|has| |#3| (-370)) (|has| |#3| (-716)) (|has| |#3| (-788)) (|has| |#3| (-840)) (|has| |#3| (-1047)) (|has| |#3| (-1090))) 
-((((-1161) |#1|) |has| |#1| (-523 (-1161) |#1|))) 
-(((|#2|) . T)) 
-((($ $) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1| |#1|) . T) (((-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((($) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((((-905 |#1|)) . T)) 
-((($) . T)) 
-((((-409 (-953 |#1|))) . T)) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-((((-541)) |has| |#4| (-609 (-541)))) 
-((((-850)) . T) (((-634 |#4|)) . T)) 
-(|has| |#1| (-840)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-(|has| |#1| (-1090)) 
-(((|#1|) . T)) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) (((-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) |has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-303 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))))) 
-(((|#2|) . T)) 
-(|has| |#1| (-365)) 
-(|has| |#1| (-842)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((($) . T) (((-409 (-568))) . T)) 
-((($) -2199 (|has| |#1| (-365)) (|has| |#1| (-558))) (((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) ((|#1|) |has| |#1| (-172))) 
-(|has| |#1| (-148)) 
-(|has| |#1| (-150)) 
-(-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-150)) (|has| |#1| (-365))) (|has| |#1| (-150))) 
-(-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-148)) (|has| |#1| (-365))) (|has| |#1| (-148))) 
-(|has| |#1| (-148)) 
-(|has| |#1| (-150)) 
-(|has| |#1| (-150)) 
-(|has| |#1| (-148)) 
-((((-850)) |has| |#1| (-1090))) 
-((((-1235 |#1| |#2| |#3|)) |has| |#1| (-365))) 
-(|has| |#1| (-840)) 
+((((-148)) . T)) 
+((((-776 |#1| (-853 |#2|))) . T)) 
+((((-851)) |has| |#1| (-1091))) 
+(|has| |#1| (-1183)) 
+(((|#1|) . T)) 
+(-2232 (|has| |#3| (-25)) (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-371)) (|has| |#3| (-717)) (|has| |#3| (-789)) (|has| |#3| (-841)) (|has| |#3| (-1048)) (|has| |#3| (-1091))) 
+((((-1163) |#1|) |has| |#1| (-524 (-1163) |#1|))) 
+(((|#2|) . T)) 
+((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-906 |#1|)) . T)) 
+((($) . T)) 
+((((-410 (-954 |#1|))) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-542)) |has| |#4| (-610 (-542)))) 
+((((-851)) . T) (((-635 |#4|)) . T)) 
+(|has| |#1| (-841)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+(|has| |#1| (-1091)) 
+(((|#1|) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) |has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))))) 
+(((|#2|) . T)) 
+(|has| |#1| (-366)) 
+(|has| |#1| (-843)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((($) . T) (((-410 (-569))) . T)) 
+((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#1|) |has| |#1| (-173))) 
+(|has| |#1| (-149)) 
+(|has| |#1| (-151)) 
+(-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-151)) (|has| |#1| (-366))) (|has| |#1| (-151))) 
+(-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-149)) (|has| |#1| (-366))) (|has| |#1| (-149))) 
+(|has| |#1| (-149)) 
+(|has| |#1| (-151)) 
+(|has| |#1| (-151)) 
+(|has| |#1| (-149)) 
+((((-851)) |has| |#1| (-1091))) 
+((((-1238 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+(|has| |#1| (-841)) 
 (((|#1| |#2|) . T)) 
-(((|#1|) . T) (((-568)) |has| |#1| (-630 (-568)))) 
-((((-568)) |has| |#1| (-630 (-568))) ((|#1|) . T)) 
-((((-905 |#1|)) . T) (((-409 (-568))) . T) (($) . T)) 
-(|has| |#1| (-1090)) 
-(((|#1|) . T) (($) . T) (((-409 (-568))) . T) (((-568)) . T)) 
-(|has| |#2| (-148)) 
-(|has| |#2| (-150)) 
-((((-905 |#1|)) . T) (((-409 (-568))) . T) (($) . T)) 
-(((|#2| (-763) (-1075)) . T)) 
-(|has| |#1| (-1090)) 
-(((|#2|) |has| |#2| (-172))) 
+(((|#1|) . T) (((-569)) |has| |#1| (-631 (-569)))) 
+((((-569)) |has| |#1| (-631 (-569))) ((|#1|) . T)) 
+((((-906 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
+(|has| |#1| (-1091)) 
+(((|#1|) . T) (($) . T) (((-410 (-569))) . T) (((-569)) . T)) 
+(|has| |#2| (-149)) 
+(|has| |#2| (-151)) 
+((((-906 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
+(((|#2| (-764) (-1076)) . T)) 
+(|has| |#1| (-1091)) 
+(((|#2|) |has| |#2| (-173))) 
 (((|#2|) . T)) 
 (((|#1| |#1|) . T)) 
-(((|#3|) |has| |#3| (-365))) 
-((((-409 |#2|)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-(((|#1|) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-541)) |has| |#1| (-609 (-541)))) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-((((-1161) |#1|) |has| |#1| (-523 (-1161) |#1|)) ((|#1| |#1|) |has| |#1| (-303 |#1|))) 
-(((|#1|) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)))) 
-((((-310 |#1|)) . T)) 
-(((|#2|) |has| |#2| (-365))) 
-(((|#2|) . T)) 
-((((-409 (-568))) . T) (((-688)) . T) (($) . T)) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-((((-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|))) |has| (-775 |#1| (-852 |#2|)) (-303 (-775 |#1| (-852 |#2|))))) 
-((((-852 |#1|)) . T)) 
-(((|#2|) |has| |#2| (-172))) 
-(((|#1|) |has| |#1| (-172))) 
-(((|#2|) . T)) 
-((((-1161)) |has| |#1| (-895 (-1161))) (((-1075)) . T)) 
-((((-1161)) |has| |#1| (-895 (-1161))) (((-1079 (-1161))) . T)) 
-(((|#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(((|#4|) |has| |#4| (-1047)) (((-568)) -12 (|has| |#4| (-630 (-568))) (|has| |#4| (-1047)))) 
-(((|#3|) |has| |#3| (-1047)) (((-568)) -12 (|has| |#3| (-630 (-568))) (|has| |#3| (-1047)))) 
-(|has| |#1| (-148)) 
-(|has| |#1| (-150)) 
+(((|#3|) |has| |#3| (-366))) 
+((((-410 |#2|)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+(((|#1|) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-542)) |has| |#1| (-610 (-542)))) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-1163) |#1|) |has| |#1| (-524 (-1163) |#1|)) ((|#1| |#1|) |has| |#1| (-304 |#1|))) 
+(((|#1|) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)))) 
+((((-311 |#1|)) . T)) 
+(((|#2|) |has| |#2| (-366))) 
+(((|#2|) . T)) 
+((((-410 (-569))) . T) (((-689)) . T) (($) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|))) |has| (-776 |#1| (-853 |#2|)) (-304 (-776 |#1| (-853 |#2|))))) 
+((((-853 |#1|)) . T)) 
+(((|#2|) |has| |#2| (-173))) 
+(((|#1|) |has| |#1| (-173))) 
+(((|#2|) . T)) 
+((((-1163)) |has| |#1| (-896 (-1163))) (((-1076)) . T)) 
+((((-1163)) |has| |#1| (-896 (-1163))) (((-1080 (-1163))) . T)) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(((|#4|) |has| |#4| (-1048)) (((-569)) -12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1048)))) 
+(((|#3|) |has| |#3| (-1048)) (((-569)) -12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048)))) 
+(|has| |#1| (-149)) 
+(|has| |#1| (-151)) 
 ((($ $) . T)) 
-(-2199 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-478)) (|has| |#1| (-716)) (|has| |#1| (-895 (-1161))) (|has| |#1| (-1047)) (|has| |#1| (-1102)) (|has| |#1| (-1090))) 
-(|has| |#1| (-558)) 
+(-2232 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-479)) (|has| |#1| (-717)) (|has| |#1| (-896 (-1163))) (|has| |#1| (-1048)) (|has| |#1| (-1103)) (|has| |#1| (-1091))) 
+(|has| |#1| (-559)) 
 (((|#2|) . T)) 
-((((-568)) . T)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
+((((-569)) . T)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
 (((|#1|) . T)) 
-(-2199 (|has| |#1| (-148)) (|has| |#1| (-150)) (|has| |#1| (-172)) (|has| |#1| (-558)) (|has| |#1| (-1047))) 
-((((-581 |#1|)) . T)) 
+(-2232 (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1048))) 
+((((-582 |#1|)) . T)) 
 ((($) . T)) 
 (((|#1| (-64 |#1|) (-64 |#1|)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 ((($) . T)) 
 (((|#1|) . T)) 
-((((-850)) . T)) 
-(((|#2|) |has| |#2| (-6 (-4523 "*")))) 
+((((-851)) . T)) 
+(((|#2|) |has| |#2| (-6 (-4537 "*")))) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-409 (-568))) |has| |#2| (-1037 (-409 (-568)))) (((-568)) |has| |#2| (-1037 (-568))) ((|#2|) . T) (((-852 |#1|)) . T)) 
-((($) . T) (((-125 |#1|)) . T) (((-409 (-568))) . T)) 
-((((-1113 |#1| |#2|)) . T) ((|#2|) . T) ((|#1|) . T) (((-568)) |has| |#1| (-1037 (-568))) (((-409 (-568))) |has| |#1| (-1037 (-409 (-568))))) 
-((((-1157 |#1|)) . T) (((-1075)) . T) ((|#1|) . T) (((-568)) |has| |#1| (-1037 (-568))) (((-409 (-568))) |has| |#1| (-1037 (-409 (-568))))) 
-((((-1113 |#1| (-1161))) . T) (((-1079 (-1161))) . T) ((|#1|) . T) (((-568)) |has| |#1| (-1037 (-568))) (((-409 (-568))) |has| |#1| (-1037 (-409 (-568)))) (((-1161)) . T)) 
-(|has| |#1| (-1090)) 
+((((-410 (-569))) |has| |#2| (-1038 (-410 (-569)))) (((-569)) |has| |#2| (-1038 (-569))) ((|#2|) . T) (((-853 |#1|)) . T)) 
+((($) . T) (((-125 |#1|)) . T) (((-410 (-569))) . T)) 
+((((-1114 |#1| |#2|)) . T) ((|#2|) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569))))) 
+((((-1159 |#1|)) . T) (((-1076)) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569))))) 
+((((-1114 |#1| (-1163))) . T) (((-1080 (-1163))) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) (((-1163)) . T)) 
+(|has| |#1| (-1091)) 
 ((($) . T)) 
-(|has| |#1| (-1090)) 
-((((-568)) -12 (|has| |#1| (-881 (-568))) (|has| |#2| (-881 (-568)))) (((-381)) -12 (|has| |#1| (-881 (-381))) (|has| |#2| (-881 (-381))))) 
+(|has| |#1| (-1091)) 
+((((-569)) -12 (|has| |#1| (-882 (-569))) (|has| |#2| (-882 (-569)))) (((-382)) -12 (|has| |#1| (-882 (-382))) (|has| |#2| (-882 (-382))))) 
 (((|#1| |#2|) . T)) 
-((((-1161) |#1|) . T)) 
+((((-1163) |#1|) . T)) 
 (((|#4|) . T)) 
 (((|#1|) . T)) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-350))) 
-((((-409 (-568))) |has| |#1| (-1037 (-409 (-568)))) (((-568)) |has| |#1| (-1037 (-568))) ((|#1|) . T)) 
-((((-1161) (-57)) . T)) 
-((((-850)) . T)) 
-(-2199 (|has| |#2| (-25)) (|has| |#2| (-137)) (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-370)) (|has| |#2| (-716)) (|has| |#2| (-788)) (|has| |#2| (-840)) (|has| |#2| (-1047)) (|has| |#2| (-1090))) 
-((($) . T) ((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((((-1228 |#2| |#3| |#4|) (-314 |#2| |#3| |#4|)) . T)) 
-((((-1229 |#1| |#2| |#3| |#4|) (-1229 |#1| |#2| |#3| |#4|)) . T) (((-409 (-568)) (-409 (-568))) . T) (($ $) . T)) 
-(((|#1| |#1|) |has| |#1| (-172)) (((-409 (-568)) (-409 (-568))) |has| |#1| (-558)) (($ $) |has| |#1| (-558))) 
-(((|#1|) . T) (($) . T) (((-409 (-568))) . T)) 
-(|has| |#1| (-904)) 
-(((|#1| $) |has| |#1| (-281 |#1| |#1|))) 
-((((-1229 |#1| |#2| |#3| |#4|)) . T) (((-409 (-568))) . T) (($) . T)) 
-(((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-558)) (($) |has| |#1| (-558))) 
-(|has| |#1| (-365)) 
-(|has| |#1| (-148)) 
-(|has| |#1| (-150)) 
-(|has| |#1| (-150)) 
-(|has| |#1| (-148)) 
-((((-409 (-568))) . T) (($) . T)) 
-(((|#3|) |has| |#3| (-365))) 
-(|has| |#1| (-15 * (|#1| (-763) |#1|))) 
-(((|#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) 
-((((-1161)) . T)) 
-(((|#1|) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) 
-(-2199 (|has| |#2| (-365)) (|has| |#2| (-453)) (|has| |#2| (-904))) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-351))) 
+((((-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) (((-569)) |has| |#1| (-1038 (-569))) ((|#1|) . T)) 
+((((-1163) (-57)) . T)) 
+((((-851)) . T)) 
+(-2232 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-717)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048)) (|has| |#2| (-1091))) 
+((($) . T) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-1231 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) . T)) 
+((((-1232 |#1| |#2| |#3| |#4|) (-1232 |#1| |#2| |#3| |#4|)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
+(((|#1| |#1|) |has| |#1| (-173)) (((-410 (-569)) (-410 (-569))) |has| |#1| (-559)) (($ $) |has| |#1| (-559))) 
+(((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
+(|has| |#1| (-905)) 
+(((|#1| $) |has| |#1| (-282 |#1| |#1|))) 
+((((-1232 |#1| |#2| |#3| |#4|)) . T) (((-410 (-569))) . T) (($) . T)) 
+(((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-559)) (($) |has| |#1| (-559))) 
+(|has| |#1| (-366)) 
+(|has| |#1| (-149)) 
+(|has| |#1| (-151)) 
+(|has| |#1| (-151)) 
+(|has| |#1| (-149)) 
+((((-410 (-569))) . T) (($) . T)) 
+(((|#3|) |has| |#3| (-366))) 
+(|has| |#1| (-15 * (|#1| (-764) |#1|))) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) 
+((((-1163)) . T)) 
+(((|#1|) . T)) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) 
+(-2232 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-905))) 
 (((|#2| |#3|) . T)) 
-(-2199 (|has| |#2| (-365)) (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904))) 
-(((|#1| (-534 |#2|)) . T)) 
-(((|#1| (-763)) . T)) 
-(((|#1| (-534 (-1079 (-1161)))) . T)) 
-(((|#1|) |has| |#1| (-172))) 
-(((|#1|) . T)) 
-(|has| |#2| (-904)) 
-(-2199 (|has| |#2| (-788)) (|has| |#2| (-840))) 
-((((-850)) . T)) 
-((($ $) . T) (((-1228 |#2| |#3| |#4|) (-1228 |#2| |#3| |#4|)) . T) (((-409 (-568)) (-409 (-568))) |has| (-1228 |#2| |#3| |#4|) (-43 (-409 (-568))))) 
-((((-905 |#1|)) . T)) 
-(-12 (|has| |#1| (-365)) (|has| |#2| (-815))) 
-((($) . T) (((-409 (-568))) . T)) 
-((($) . T)) 
-((($) . T)) 
-(|has| |#1| (-365)) 
-(-2199 (|has| |#1| (-301)) (|has| |#1| (-365)) (|has| |#1| (-350)) (|has| |#1| (-558))) 
-(|has| |#1| (-365)) 
-((($) . T) (((-1228 |#2| |#3| |#4|)) . T) (((-409 (-568))) |has| (-1228 |#2| |#3| |#4|) (-43 (-409 (-568))))) 
+((((-569) (-569)) . T)) 
+(((|#1| (-535 |#2|)) . T)) 
+(((|#1| (-764)) . T)) 
+(-2232 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
+(((|#1| (-535 (-1080 (-1163)))) . T)) 
+(((|#1|) |has| |#1| (-173))) 
+(((|#1|) . T)) 
+(|has| |#2| (-905)) 
+(-2232 (|has| |#2| (-789)) (|has| |#2| (-841))) 
+((((-851)) . T)) 
+((($ $) . T) (((-1231 |#2| |#3| |#4|) (-1231 |#2| |#3| |#4|)) . T) (((-410 (-569)) (-410 (-569))) |has| (-1231 |#2| |#3| |#4|) (-43 (-410 (-569))))) 
+((((-906 |#1|)) . T)) 
+(-12 (|has| |#1| (-366)) (|has| |#2| (-816))) 
+((($) . T) (((-410 (-569))) . T)) 
+((($) . T)) 
+((($) . T)) 
+(|has| |#1| (-366)) 
+(-2232 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351)) (|has| |#1| (-559))) 
+(|has| |#1| (-366)) 
+((($) . T) (((-1231 |#2| |#3| |#4|)) . T) (((-410 (-569))) |has| (-1231 |#2| |#3| |#4|) (-43 (-410 (-569))))) 
 (((|#1| |#2|) . T)) 
-(|has| |#2| (-558)) 
-((((-1159 |#1| |#2| |#3|)) |has| |#1| (-365))) 
-(-2199 (-12 (|has| |#1| (-301)) (|has| |#1| (-904))) (|has| |#1| (-365)) (|has| |#1| (-350))) 
-(-2199 (|has| |#1| (-895 (-1161))) (|has| |#1| (-1047))) 
-((((-568)) |has| |#1| (-630 (-568))) ((|#1|) . T)) 
+(|has| |#2| (-559)) 
+((((-1161 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+(-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-366)) (|has| |#1| (-351))) 
+(-2232 (|has| |#1| (-896 (-1163))) (|has| |#1| (-1048))) 
+((((-569)) |has| |#1| (-631 (-569))) ((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
 ((((-121)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-((($ $) -2199 (|has| |#1| (-172)) (|has| |#1| (-558))) ((|#1| |#1|) . T) (((-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((((-409 |#2|)) . T) (((-409 (-568))) . T) (($) . T)) 
+((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-410 |#2|)) . T) (((-410 (-569))) . T) (($) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-(((|#1| (-534 (-852 |#2|)) (-852 |#2|) (-775 |#1| (-852 |#2|))) . T)) 
-(|has| |#2| (-365)) 
-((($) -2199 (|has| |#1| (-172)) (|has| |#1| (-558))) ((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-(|has| |#1| (-842)) 
+(((|#1| (-535 (-853 |#2|)) (-853 |#2|) (-776 |#1| (-853 |#2|))) . T)) 
+(|has| |#2| (-366)) 
+((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(|has| |#1| (-843)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-850)) . T)) 
-(|has| |#1| (-1090)) 
+((((-851)) . T)) 
+(|has| |#1| (-1091)) 
 (((|#4|) . T)) 
 (((|#4|) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-((((-409 $) (-409 $)) |has| |#1| (-558)) (($ $) . T) ((|#1| |#1|) . T)) 
-(((|#2| |#2|) |has| |#2| (-172)) (((-409 (-568)) (-409 (-568))) |has| |#2| (-558)) (($ $) . T)) 
-(|has| |#2| (-815)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-410 $) (-410 $)) |has| |#1| (-559)) (($ $) . T) ((|#1| |#1|) . T)) 
+(((|#2| |#2|) |has| |#2| (-173)) (((-410 (-569)) (-410 (-569))) |has| |#2| (-559)) (($ $) . T)) 
+(|has| |#2| (-816)) 
 (((|#4|) . T)) 
 ((($) . T)) 
-(((|#2|) |has| |#2| (-172)) (((-409 (-568))) |has| |#2| (-558)) (($) . T)) 
-((((-850)) . T)) 
-(((|#1| (-534 (-1161))) . T)) 
+(((|#2|) |has| |#2| (-173)) (((-410 (-569))) |has| |#2| (-559)) (($) . T)) 
+((((-851)) . T)) 
+(((|#1| (-535 (-1163))) . T)) 
 ((($ $) . T)) 
 ((($) . T)) 
-(((|#1|) |has| |#1| (-172))) 
-((((-850)) . T)) 
-(((|#4| |#4|) -12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) 
-(((|#2|) -2199 (|has| |#2| (-6 (-4523 "*"))) (|has| |#2| (-172)))) 
-(-2199 (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904))) 
-(-2199 (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-(|has| |#2| (-842)) 
-(|has| |#2| (-904)) 
-(|has| |#1| (-904)) 
-(((|#2|) |has| |#2| (-172))) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-((((-1235 |#1| |#2| |#3|)) |has| |#1| (-365))) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-541)) . T) (((-568)) . T) (((-887 (-568))) . T) (((-381)) . T) (((-215)) . T)) 
+(((|#1|) |has| |#1| (-173))) 
+((((-851)) . T)) 
+(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) 
+(((|#2|) -2232 (|has| |#2| (-6 (-4537 "*"))) (|has| |#2| (-173)))) 
+(-2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
+(-2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(|has| |#2| (-843)) 
+(|has| |#2| (-905)) 
+(|has| |#1| (-905)) 
+(((|#2|) |has| |#2| (-173))) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-1238 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-542)) . T) (((-569)) . T) (((-888 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-((((-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))) . T)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) . T)) 
 (((|#1|) . T)) 
-((((-860)) . T) (((-568)) . T) (((-409 (-568))) . T)) 
-((((-409 (-568))) . T) (((-568)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
+((((-861)) . T) (((-569)) . T) (((-410 (-569))) . T)) 
+((((-410 (-569))) . T) (((-569)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
 (((|#1| |#2|) . T)) 
-(((|#1| (-409 (-568))) . T)) 
+((((-851)) . T)) 
+(((|#1| (-410 (-569))) . T)) 
 (((|#1|) . T)) 
-(-2199 (|has| |#1| (-285)) (|has| |#1| (-365))) 
-((((-147)) . T)) 
-((((-409 |#2|)) . T) (((-409 (-568))) . T) (($) . T)) 
-(|has| |#1| (-840)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(((|#1| |#1| |#2| (-232 |#1| |#2|) (-232 |#1| |#2|)) . T)) 
+((((-542)) . T)) 
+(-2232 (|has| |#1| (-286)) (|has| |#1| (-366))) 
+((((-148)) . T)) 
+((((-410 |#2|)) . T) (((-410 (-569))) . T) (($) . T)) 
+(|has| |#1| (-841)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1| |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-850)) . T)) 
+((((-851)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-409 (-568))) . T) (($) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
+((((-410 (-569))) . T) (($) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
 (((|#2| |#2|) . T) ((|#1| |#1|) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-541)) |has| |#1| (-609 (-541))) (((-887 (-568))) |has| |#1| (-609 (-887 (-568)))) (((-887 (-381))) |has| |#1| (-609 (-887 (-381))))) 
-((((-1161) (-57)) . T)) 
-(((|#2|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-850)) . T)) 
-((((-634 (-147))) . T) (((-1143)) . T)) 
-((((-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) . T)) 
-((((-1161) |#1|) |has| |#1| (-523 (-1161) |#1|)) ((|#1| |#1|) |has| |#1| (-303 |#1|))) 
-(|has| |#1| (-842)) 
-((((-850)) . T)) 
-((((-541)) |has| |#1| (-609 (-541)))) 
-((((-850)) . T)) 
-(((|#2|) |has| |#2| (-365))) 
-((((-850)) . T)) 
-((((-541)) |has| |#4| (-609 (-541)))) 
-((((-850)) . T) (((-634 |#4|)) . T)) 
-(((|#2|) . T)) 
-((((-905 |#1|)) . T) (((-409 (-568))) . T) (($) . T)) 
-(-2199 (|has| |#4| (-172)) (|has| |#4| (-716)) (|has| |#4| (-840)) (|has| |#4| (-1047))) 
-(-2199 (|has| |#3| (-172)) (|has| |#3| (-716)) (|has| |#3| (-840)) (|has| |#3| (-1047))) 
-((((-1161) (-57)) . T)) 
-(-2199 (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(-2199 (|has| |#2| (-25)) (|has| |#2| (-137)) (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-788)) (|has| |#2| (-840)) (|has| |#2| (-1047))) 
-(-2199 (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-840)) (|has| |#2| (-1047))) 
-(|has| |#1| (-904)) 
-(|has| |#1| (-904)) 
-((((-2 (|:| |k| (-568)) (|:| |c| |#1|))) . T)) 
-(((|#2|) . T)) 
-(((|#1|) . T)) 
-((((-850)) . T)) 
-((((-568)) . T)) 
-((((-409 (-568)) (-409 (-568))) . T) (($ $) . T)) 
-((((-409 (-568))) . T) (($) . T)) 
-(((|#1| (-409 (-568)) (-1075)) . T)) 
-(|has| |#1| (-1090)) 
-(|has| |#1| (-558)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-(|has| |#1| (-815)) 
-((((-850)) |has| |#1| (-1090))) 
-((((-905 |#1|) (-905 |#1|)) . T) (($ $) . T) (((-409 (-568)) (-409 (-568))) . T)) 
-((((-409 |#2|)) . T)) 
-((((-850)) . T)) 
-(|has| |#1| (-840)) 
-((((-850)) |has| |#1| (-1090))) 
-(((|#1| |#1|) . T) (((-409 (-568)) (-409 (-568))) . T) (((-568) (-568)) . T) (($ $) . T)) 
-((((-905 |#1|)) . T) (($) . T) (((-409 (-568))) . T)) 
-(|has| |#1| (-172)) 
-(((|#2|) |has| |#2| (-1047)) (((-568)) -12 (|has| |#2| (-630 (-568))) (|has| |#2| (-1047)))) 
-(|has| |#2| (-150)) 
-(|has| |#2| (-148)) 
-(((|#1|) . T) (((-409 (-568))) . T) (((-568)) . T) (($) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-542)) |has| |#1| (-610 (-542))) (((-888 (-569))) |has| |#1| (-610 (-888 (-569)))) (((-888 (-382))) |has| |#1| (-610 (-888 (-382))))) 
+((((-1163) (-57)) . T)) 
+(((|#2|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-635 (-148))) . T) (((-1145)) . T)) 
+((((-851)) . T)) 
+((((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) . T)) 
+((((-1163) |#1|) |has| |#1| (-524 (-1163) |#1|)) ((|#1| |#1|) |has| |#1| (-304 |#1|))) 
+(|has| |#1| (-843)) 
+((((-851)) . T)) 
+((((-542)) |has| |#1| (-610 (-542)))) 
+((((-851)) . T)) 
+(((|#2|) |has| |#2| (-366))) 
+((((-851)) . T)) 
+((((-542)) |has| |#4| (-610 (-542)))) 
+((((-851)) . T) (((-635 |#4|)) . T)) 
+(((|#2|) . T)) 
+((((-906 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
+(-2232 (|has| |#4| (-173)) (|has| |#4| (-717)) (|has| |#4| (-841)) (|has| |#4| (-1048))) 
+(-2232 (|has| |#3| (-173)) (|has| |#3| (-717)) (|has| |#3| (-841)) (|has| |#3| (-1048))) 
+((((-1163) (-57)) . T)) 
+(-2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+((((-569) (-569)) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(-2232 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+(-2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+(|has| |#1| (-905)) 
+(|has| |#1| (-905)) 
+((((-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T)) 
+((((-569)) . T)) 
+(((|#2|) . T)) 
+(((|#1|) . T)) 
+((((-851)) . T)) 
+((((-569)) . T)) 
+((((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
+((((-410 (-569))) . T) (($) . T)) 
+(((|#1| (-410 (-569)) (-1076)) . T)) 
+(|has| |#1| (-1091)) 
+(|has| |#1| (-559)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(|has| |#1| (-816)) 
+((((-851)) |has| |#1| (-1091))) 
+((((-906 |#1|) (-906 |#1|)) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+((((-410 |#2|)) . T)) 
+((((-569) (-569)) . T)) 
+((((-851)) . T)) 
+(|has| |#1| (-841)) 
+((((-851)) |has| |#1| (-1091))) 
+(((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) . T) (((-569) (-569)) . T) (($ $) . T)) 
+((((-906 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
+(|has| |#1| (-173)) 
+(((|#2|) |has| |#2| (-1048)) (((-569)) -12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048)))) 
+(|has| |#2| (-151)) 
+(|has| |#2| (-149)) 
+(((|#1|) . T) (((-410 (-569))) . T) (((-569)) . T) (($) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-(|has| |#1| (-150)) 
-(|has| |#1| (-148)) 
-(((|#2|) . T)) 
-(-2199 (|has| |#1| (-148)) (|has| |#1| (-370))) 
-(-2199 (|has| |#1| (-148)) (|has| |#1| (-370))) 
-(-2199 (|has| |#1| (-148)) (|has| |#1| (-370))) 
-((((-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) . T)) 
-((((-57)) . T) (((-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) . T)) 
-(|has| |#1| (-350)) 
-((((-568)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-541)) |has| |#2| (-609 (-541))) (((-887 (-568))) |has| |#2| (-609 (-887 (-568)))) (((-887 (-381))) |has| |#2| (-609 (-887 (-381))))) 
-((((-1229 |#1| |#2| |#3| |#4|) $) |has| (-1229 |#1| |#2| |#3| |#4|) (-281 (-1229 |#1| |#2| |#3| |#4|) (-1229 |#1| |#2| |#3| |#4|)))) 
-(|has| |#1| (-365)) 
-((((-1075) |#1|) . T) (((-1075) $) . T) (($ $) . T)) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-350))) 
-((((-409 (-568)) (-409 (-568))) . T) (((-688) (-688)) . T) (($ $) . T)) 
-((((-310 |#1|)) . T) (($) . T)) 
-(((|#1|) . T) (((-409 (-568))) |has| |#1| (-365))) 
-(|has| |#1| (-1090)) 
-(((|#1|) . T)) 
-(((|#1|) -2199 (|has| |#2| (-369 |#1|)) (|has| |#2| (-419 |#1|)))) 
-(((|#1|) -2199 (|has| |#2| (-369 |#1|)) (|has| |#2| (-419 |#1|)))) 
-(((|#2|) . T)) 
-((((-409 (-568))) . T) (((-688)) . T) (($) . T)) 
-(|has| |#1| (-43 (-409 (-568)))) 
+(|has| |#1| (-151)) 
+(|has| |#1| (-149)) 
+(((|#2|) . T)) 
+(-2232 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+(-2232 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+(-2232 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+((((-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) . T)) 
+((((-57)) . T) (((-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) . T)) 
+(|has| |#1| (-351)) 
+((((-569)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-542)) |has| |#2| (-610 (-542))) (((-888 (-569))) |has| |#2| (-610 (-888 (-569)))) (((-888 (-382))) |has| |#2| (-610 (-888 (-382))))) 
+((((-1232 |#1| |#2| |#3| |#4|) $) |has| (-1232 |#1| |#2| |#3| |#4|) (-282 (-1232 |#1| |#2| |#3| |#4|) (-1232 |#1| |#2| |#3| |#4|)))) 
+(|has| |#1| (-366)) 
+((((-1076) |#1|) . T) (((-1076) $) . T) (($ $) . T)) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-351))) 
+((((-410 (-569)) (-410 (-569))) . T) (((-689) (-689)) . T) (($ $) . T)) 
+((((-311 |#1|)) . T) (($) . T)) 
+(((|#1|) . T) (((-410 (-569))) |has| |#1| (-366))) 
+(|has| |#1| (-1091)) 
+(((|#1|) . T)) 
+(((|#1|) -2232 (|has| |#2| (-370 |#1|)) (|has| |#2| (-420 |#1|)))) 
+(((|#1|) -2232 (|has| |#2| (-370 |#1|)) (|has| |#2| (-420 |#1|)))) 
+(((|#2|) . T)) 
+((((-410 (-569))) . T) (((-689)) . T) (($) . T)) 
+(|has| |#1| (-43 (-410 (-569)))) 
 (((|#3| |#3|) . T)) 
-(|has| |#2| (-225)) 
-((((-852 |#1|)) . T)) 
-((((-1161)) |has| |#1| (-895 (-1161))) ((|#3|) . T)) 
-(-12 (|has| |#1| (-365)) (|has| |#2| (-1021))) 
-((((-1159 |#1| |#2| |#3|)) |has| |#1| (-365))) 
-((((-850)) . T)) 
-(((|#1| (-763)) . T)) 
-(|has| |#1| (-365)) 
-(|has| |#1| (-365)) 
-((((-409 (-568))) . T) (($) . T) (((-409 |#1|)) . T) ((|#1|) . T)) 
-((((-568)) . T)) 
-(|has| |#1| (-1090)) 
+((((-569)) . T)) 
+(|has| |#2| (-226)) 
+((((-853 |#1|)) . T)) 
+((((-1163)) |has| |#1| (-896 (-1163))) ((|#3|) . T)) 
+(-12 (|has| |#1| (-366)) (|has| |#2| (-1022))) 
+((((-1161 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+((((-851)) . T)) 
+(((|#1| (-764)) . T)) 
+(|has| |#1| (-366)) 
+(|has| |#1| (-366)) 
+((((-410 (-569))) . T) (($) . T) (((-410 |#1|)) . T) ((|#1|) . T)) 
+((((-569)) . T)) 
+(|has| |#1| (-1091)) 
 (((|#3|) . T)) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
-((((-568)) . T)) 
-(-2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-(((|#2|) . T) (((-568)) |has| |#2| (-630 (-568)))) 
+((((-569)) . T)) 
+(-2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(((|#2|) . T) (((-569)) |has| |#2| (-631 (-569)))) 
 (((|#1| |#2|) . T)) 
 ((($) . T)) 
-((((-581 |#1|)) . T) (((-409 (-568))) . T) (($) . T)) 
-((($) . T) (((-409 (-568))) . T)) 
+((((-582 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
+((($) . T) (((-410 (-569))) . T)) 
 ((($ $) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#1|) . T) (($) . T)) 
-(((|#1| (-1244 |#1|) (-1244 |#1|)) . T)) 
+(((|#1| (-1247 |#1|) (-1247 |#1|)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-125 |#1|) (-125 |#1|)) . T) (((-409 (-568)) (-409 (-568))) . T) (($ $) . T)) 
-((((-409 (-568))) |has| |#2| (-1037 (-409 (-568)))) (((-568)) |has| |#2| (-1037 (-568))) ((|#2|) . T) (((-852 |#1|)) . T)) 
-((((-1113 |#1| |#2|)) . T) ((|#3|) . T) ((|#1|) . T) (((-568)) |has| |#1| (-1037 (-568))) (((-409 (-568))) |has| |#1| (-1037 (-409 (-568)))) ((|#2|) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-125 |#1|) (-125 |#1|)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
+((((-410 (-569))) |has| |#2| (-1038 (-410 (-569)))) (((-569)) |has| |#2| (-1038 (-569))) ((|#2|) . T) (((-853 |#1|)) . T)) 
+((((-1114 |#1| |#2|)) . T) ((|#3|) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) ((|#2|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 ((($ $) . T)) 
-((((-663 |#1|)) . T)) 
-((($) . T) (((-409 (-568))) |has| |#2| (-43 (-409 (-568)))) ((|#2|) . T)) 
-((((-125 |#1|)) . T) (((-409 (-568))) . T) (($) . T)) 
-((((-568)) -12 (|has| |#1| (-881 (-568))) (|has| |#3| (-881 (-568)))) (((-381)) -12 (|has| |#1| (-881 (-381))) (|has| |#3| (-881 (-381))))) 
+((((-664 |#1|)) . T)) 
+((($) . T) (((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T)) 
+((((-125 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
+((((-569)) -12 (|has| |#1| (-882 (-569))) (|has| |#3| (-882 (-569)))) (((-382)) -12 (|has| |#1| (-882 (-382))) (|has| |#3| (-882 (-382))))) 
 (((|#2|) . T) ((|#6|) . T)) 
-(((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568)))) (($) . T)) 
-((((-147)) . T)) 
+(((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) (($) . T)) 
+((((-148)) . T)) 
 ((($) . T)) 
-((($) . T) ((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((($) . T) ((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
+((($) . T) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($) . T) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 (((|#1|) . T)) 
-(|has| |#2| (-904)) 
-(|has| |#1| (-904)) 
-(|has| |#1| (-904)) 
+(|has| |#2| (-905)) 
+(|has| |#1| (-905)) 
+(|has| |#1| (-905)) 
 (((|#4|) . T)) 
-(|has| |#2| (-1021)) 
+(|has| |#2| (-1022)) 
 ((($) . T)) 
-(|has| |#1| (-904)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-((($ $) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1| |#1|) . T) (((-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((((-568)) . T)) 
+(|has| |#1| (-905)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-569)) . T)) 
 ((($) . T)) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
-((($) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
+((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 (((|#1|) . T) (($) . T)) 
 ((($) . T)) 
-(|has| |#1| (-365)) 
-((((-905 |#1|)) . T)) 
-((($) -2199 (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((($ $) . T) (((-409 (-568)) (-409 (-568))) . T)) 
-(-2199 (|has| |#1| (-370)) (|has| |#1| (-842))) 
-(((|#1|) . T)) 
-((((-850)) . T)) 
-((((-1161)) -12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) 
-((((-409 |#2|) |#3|) . T)) 
-((((-1161)) -12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161))))) 
-((($) . T) (((-409 (-568))) . T)) 
-((((-763) |#1|) . T)) 
-(((|#2| (-232 (-1699 |#1|) (-763))) . T)) 
-(((|#1| (-534 |#3|)) . T)) 
-((((-409 (-568))) . T)) 
-(-2199 (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-((((-850)) . T)) 
-((((-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) |has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-303 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))))) 
-(|has| |#1| (-904)) 
-(|has| |#2| (-365)) 
-(-2199 (|has| |#2| (-137)) (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-788)) (|has| |#2| (-840)) (|has| |#2| (-1047))) 
-(((|#1|) . T)) 
-((((-169 (-381))) . T) (((-215)) . T) (((-381)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-(((|#1|) . T)) 
-((((-381)) . T) (((-568)) . T)) 
-((((-409 (-568)) (-409 (-568))) . T) (($ $) . T)) 
+(|has| |#1| (-366)) 
+((((-906 |#1|)) . T)) 
+((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+(-2232 (|has| |#1| (-371)) (|has| |#1| (-843))) 
+(((|#1|) . T)) 
+((((-851)) . T)) 
+((((-1163)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) 
+((((-410 |#2|) |#3|) . T)) 
+((((-1163)) -12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) 
+((($) . T) (((-410 (-569))) . T)) 
+((((-764) |#1|) . T)) 
+(((|#2| (-233 (-4168 |#1|) (-764))) . T)) 
+(((|#1| (-535 |#3|)) . T)) 
+((((-410 (-569))) . T)) 
+(-2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+((((-851)) . T)) 
+((((-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) |has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))))) 
+(|has| |#1| (-905)) 
+(|has| |#2| (-366)) 
+(-2232 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+(((|#1|) . T)) 
+((((-170 (-382))) . T) (((-216)) . T) (((-382)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+(((|#1|) . T)) 
+((((-382)) . T) (((-569)) . T)) 
+((((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
 ((($ $) . T)) 
 ((($ $) . T)) 
 (((|#1| |#1|) . T)) 
-((((-850)) . T)) 
-(|has| |#1| (-558)) 
-((((-409 (-568))) . T) (($) . T)) 
-((($) . T)) 
-((($) . T)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(-2199 (|has| |#1| (-301)) (|has| |#1| (-365)) (|has| |#1| (-350))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(-12 (|has| |#1| (-550)) (|has| |#1| (-823))) 
-((((-850)) . T)) 
-((((-1161)) -2199 (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161)))) (-12 (|has| |#1| (-365)) (|has| |#2| (-895 (-1161)))))) 
-(|has| |#1| (-365)) 
-((((-1161)) -12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) 
-(|has| |#1| (-365)) 
-(((|#1|) . T)) 
-((((-409 (-568))) . T) (($) . T)) 
-((($) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((|#1|) . T)) 
-((((-568) |#1|) . T)) 
-(((|#1|) . T)) 
-(((|#2|) |has| |#1| (-365))) 
-(((|#2|) |has| |#1| (-365))) 
-((((-850)) . T)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-(((|#1|) . T)) 
-(((|#1|) |has| |#1| (-172))) 
-(((|#1|) . T)) 
-(((|#2|) . T) (((-1161)) -12 (|has| |#1| (-365)) (|has| |#2| (-1037 (-1161)))) (((-568)) -12 (|has| |#1| (-365)) (|has| |#2| (-1037 (-568)))) (((-409 (-568))) -12 (|has| |#1| (-365)) (|has| |#2| (-1037 (-568))))) 
-(((|#2|) . T)) 
-((((-1161) (-1229 |#1| |#2| |#3| |#4|)) |has| (-1229 |#1| |#2| |#3| |#4|) (-523 (-1161) (-1229 |#1| |#2| |#3| |#4|))) (((-1229 |#1| |#2| |#3| |#4|) (-1229 |#1| |#2| |#3| |#4|)) |has| (-1229 |#1| |#2| |#3| |#4|) (-303 (-1229 |#1| |#2| |#3| |#4|)))) 
-((((-607 $) $) . T) (($ $) . T)) 
-((((-169 (-215))) . T) (((-169 (-381))) . T) (((-1157 (-688))) . T) (((-887 (-381))) . T)) 
-((((-850)) . T)) 
-(|has| |#1| (-558)) 
-(|has| |#1| (-558)) 
-(|has| (-409 |#2|) (-225)) 
-(((|#1| (-409 (-568))) . T)) 
+((((-851)) . T)) 
+(|has| |#1| (-559)) 
+((((-410 (-569))) . T) (($) . T)) 
+((($) . T)) 
+((($) . T)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(-2232 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(-12 (|has| |#1| (-551)) (|has| |#1| (-824))) 
+((((-851)) . T)) 
+((((-1163)) -2232 (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))) (-12 (|has| |#1| (-366)) (|has| |#2| (-896 (-1163)))))) 
+(|has| |#1| (-366)) 
+((((-1163)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) 
+(|has| |#1| (-366)) 
+(((|#1|) . T)) 
+((((-410 (-569))) . T) (($) . T)) 
+((($) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T)) 
+((((-569) |#1|) . T)) 
+(((|#1|) . T)) 
+(((|#2|) |has| |#1| (-366))) 
+(((|#2|) |has| |#1| (-366))) 
+((((-851)) . T)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+(((|#1|) . T)) 
+(((|#1|) |has| |#1| (-173))) 
+(((|#1|) . T)) 
+(((|#2|) . T) (((-1163)) -12 (|has| |#1| (-366)) (|has| |#2| (-1038 (-1163)))) (((-569)) -12 (|has| |#1| (-366)) (|has| |#2| (-1038 (-569)))) (((-410 (-569))) -12 (|has| |#1| (-366)) (|has| |#2| (-1038 (-569))))) 
+(((|#2|) . T)) 
+((((-1163) (-1232 |#1| |#2| |#3| |#4|)) |has| (-1232 |#1| |#2| |#3| |#4|) (-524 (-1163) (-1232 |#1| |#2| |#3| |#4|))) (((-1232 |#1| |#2| |#3| |#4|) (-1232 |#1| |#2| |#3| |#4|)) |has| (-1232 |#1| |#2| |#3| |#4|) (-304 (-1232 |#1| |#2| |#3| |#4|)))) 
+((((-608 $) $) . T) (($ $) . T)) 
+((((-170 (-216))) . T) (((-170 (-382))) . T) (((-1159 (-689))) . T) (((-888 (-382))) . T)) 
+((((-851)) . T)) 
+(|has| |#1| (-559)) 
+(|has| |#1| (-559)) 
+(|has| (-410 |#2|) (-226)) 
+(((|#1| (-410 (-569))) . T)) 
 ((($ $) . T)) 
-(((|#1| (-568)) . T)) 
-((((-1161)) |has| |#2| (-895 (-1161)))) 
-((($) . T)) 
-((((-850)) . T)) 
-((((-409 (-568))) . T) (($) . T)) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(|has| |#1| (-558)) 
-(((|#2|) |has| |#1| (-365))) 
-((((-381)) -12 (|has| |#1| (-365)) (|has| |#2| (-881 (-381)))) (((-568)) -12 (|has| |#1| (-365)) (|has| |#2| (-881 (-568))))) 
-(|has| |#1| (-365)) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-558))) 
-(|has| |#1| (-365)) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-558))) 
-(|has| |#1| (-365)) 
-(|has| |#1| (-558)) 
-(|has| |#1| (-558)) 
-(((|#4| |#4|) -12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) 
+(((|#1| (-569)) . T)) 
+((((-1163)) |has| |#2| (-896 (-1163)))) 
+((($) . T)) 
+((((-851)) . T)) 
+((((-410 (-569))) . T) (($) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(|has| |#1| (-559)) 
+(((|#2|) |has| |#1| (-366))) 
+((((-382)) -12 (|has| |#1| (-366)) (|has| |#2| (-882 (-382)))) (((-569)) -12 (|has| |#1| (-366)) (|has| |#2| (-882 (-569))))) 
+(|has| |#1| (-366)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(|has| |#1| (-366)) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(|has| |#1| (-366)) 
+(|has| |#1| (-559)) 
+(|has| |#1| (-559)) 
+(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) 
 (((|#3|) . T)) 
 (((|#1|) . T)) 
-(|has| |#2| (-842)) 
-(-2199 (|has| |#2| (-137)) (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-788)) (|has| |#2| (-840)) (|has| |#2| (-1047))) 
+(|has| |#2| (-843)) 
+(-2232 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
 (((|#2|) . T)) 
 (((|#2|) . T)) 
-(-2199 (|has| |#2| (-172)) (|has| |#2| (-716)) (|has| |#2| (-840)) (|has| |#2| (-1047))) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-((((-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) . T)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-(|has| |#1| (-43 (-409 (-568)))) 
+(-2232 (|has| |#2| (-173)) (|has| |#2| (-717)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) . T)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+(|has| |#1| (-43 (-410 (-569)))) 
 (((|#1| |#2|) . T)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(-2199 (|has| |#1| (-148)) (|has| |#1| (-370))) 
-(|has| |#1| (-150)) 
-((((-1143) |#1|) . T)) 
-(-2199 (|has| |#1| (-148)) (|has| |#1| (-370))) 
-(|has| |#1| (-150)) 
-(-2199 (|has| |#1| (-148)) (|has| |#1| (-370))) 
-(|has| |#1| (-150)) 
-((((-581 |#1|)) . T)) 
-((($) . T)) 
-((((-409 |#2|)) . T)) 
-(|has| |#1| (-558)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-((((-860)) . T) (((-409 (-568))) . T) (($) . T)) 
-((($) . T) (((-409 (-568))) . T)) 
-(-2199 (|has| |#1| (-148)) (|has| |#1| (-350))) 
-(|has| |#1| (-150)) 
-((((-409 |#2|) (-409 |#2|)) . T) (((-409 (-568)) (-409 (-568))) . T) (($ $) . T)) 
-((((-409 (-568))) |has| |#2| (-1037 (-568))) (((-568)) |has| |#2| (-1037 (-568))) (((-1161)) |has| |#2| (-1037 (-1161))) ((|#2|) . T)) 
-((((-850)) . T)) 
-((($) . T)) 
-((((-1125 |#1| |#2|)) . T)) 
-(((|#1| (-568)) . T)) 
-(((|#1| (-409 (-568))) . T)) 
-((((-568)) |has| |#2| (-881 (-568))) (((-381)) |has| |#2| (-881 (-381)))) 
-(((|#2|) . T)) 
-((((-409 |#2|)) . T) (((-409 (-568))) . T) (($) . T)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(-2232 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+(|has| |#1| (-151)) 
+((((-1145) |#1|) . T)) 
+(-2232 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+(|has| |#1| (-151)) 
+(-2232 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+(|has| |#1| (-151)) 
+((((-582 |#1|)) . T)) 
+((($) . T)) 
+((((-410 |#2|)) . T)) 
+(|has| |#1| (-559)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+((((-861)) . T) (((-410 (-569))) . T) (($) . T)) 
+((($) . T) (((-410 (-569))) . T)) 
+(-2232 (|has| |#1| (-149)) (|has| |#1| (-351))) 
+(|has| |#1| (-151)) 
+((((-410 |#2|) (-410 |#2|)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
+((((-410 (-569))) |has| |#2| (-1038 (-569))) (((-569)) |has| |#2| (-1038 (-569))) (((-1163)) |has| |#2| (-1038 (-1163))) ((|#2|) . T)) 
+((((-851)) . T)) 
+((($) . T)) 
+((((-1126 |#1| |#2|)) . T)) 
+(((|#1| (-569)) . T)) 
+(((|#1| (-410 (-569))) . T)) 
+((((-569)) |has| |#2| (-882 (-569))) (((-382)) |has| |#2| (-882 (-382)))) 
+(((|#2|) . T)) 
+((((-410 |#2|)) . T) (((-410 (-569))) . T) (($) . T)) 
 ((((-121)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(((|#1| |#2| (-232 |#1| |#2|) (-232 |#1| |#2|)) . T)) 
-(((|#2|) . T)) 
-((((-850)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-((((-1161) (-57)) . T)) 
-((((-409 |#2|)) . T)) 
-((((-850)) . T)) 
-(((|#1|) . T)) 
-(|has| |#1| (-1090)) 
-(|has| |#1| (-786)) 
-(|has| |#1| (-786)) 
-((((-850)) . T)) 
-((((-541)) |has| |#1| (-609 (-541)))) 
-((((-850)) -2199 (|has| |#1| (-842)) (|has| |#1| (-1090)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) . T)) 
+(((|#2|) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-1163) (-57)) . T)) 
+((((-410 |#2|)) . T)) 
+((((-851)) . T)) 
+(((|#1|) . T)) 
+(|has| |#1| (-1091)) 
+(|has| |#1| (-787)) 
+(|has| |#1| (-787)) 
+((((-851)) . T)) 
+((((-542)) |has| |#1| (-610 (-542)))) 
+((((-851)) -2232 (|has| |#1| (-843)) (|has| |#1| (-1091)))) 
 ((((-123)) . T) ((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-215)) . T) (((-381)) . T) (((-887 (-381))) . T)) 
-((((-850)) . T)) 
-((((-1229 |#1| |#2| |#3| |#4|)) . T) (($) . T) (((-409 (-568))) . T)) 
-(((|#1|) |has| |#1| (-172)) (($) |has| |#1| (-558)) (((-409 (-568))) |has| |#1| (-558))) 
-((((-850)) . T)) 
-((((-607 $) $) . T) (($ $) . T)) 
-(((|#2|) . T)) 
-((((-850)) . T)) 
-((((-905 |#1|) (-905 |#1|)) . T) (($ $) . T) (((-409 (-568)) (-409 (-568))) . T)) 
-(((|#1|) . T)) 
-(-2199 (|has| |#1| (-172)) (|has| |#1| (-558))) 
-(((|#1|) . T)) 
-((((-905 |#1|)) . T) (($) . T) (((-409 (-568))) . T)) 
-(|has| |#1| (-365)) 
-(((|#2|) . T)) 
-((((-568)) . T)) 
-((((-2 (|:| |k| (-568)) (|:| |c| |#1|))) . T)) 
-((((-568)) . T)) 
-(-2199 (|has| |#2| (-788)) (|has| |#2| (-840))) 
-((((-169 (-381))) . T) (((-215)) . T) (((-381)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-1143)) . T) (((-541)) . T) (((-568)) . T) (((-887 (-568))) . T) (((-381)) . T) (((-215)) . T)) 
-((((-850)) . T)) 
-(|has| |#1| (-150)) 
-(|has| |#1| (-148)) 
-((($) . T) (((-1228 |#2| |#3| |#4|)) |has| (-1228 |#2| |#3| |#4|) (-172)) (((-409 (-568))) |has| (-1228 |#2| |#3| |#4|) (-43 (-409 (-568))))) 
-(((|#1|) . T) (($) . T) (((-409 (-568))) . T)) 
-(|has| |#1| (-365)) 
-(|has| |#1| (-365)) 
-((((-850)) |has| |#1| (-1090))) 
-((((-850)) |has| |#1| (-1090))) 
-(-2199 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-478)) (|has| |#1| (-716)) (|has| |#1| (-895 (-1161))) (|has| |#1| (-1047)) (|has| |#1| (-1102)) (|has| |#1| (-1090))) 
-(|has| |#1| (-1136)) 
-((($) |has| |#1| (-558)) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((((-568) |#1|) . T)) 
-((((-125 |#1|) $) |has| (-125 |#1|) (-281 (-125 |#1|) (-125 |#1|)))) 
-(((|#1|) . T)) 
-(((|#1|) |has| |#1| (-172))) 
-((((-850)) . T)) 
-(((|#1|) . T)) 
-((((-857 |#1|)) . T)) 
+((((-216)) . T) (((-382)) . T) (((-888 (-382))) . T)) 
+((((-851)) . T)) 
+((((-1232 |#1| |#2| |#3| |#4|)) . T) (($) . T) (((-410 (-569))) . T)) 
+(((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-559)) (((-410 (-569))) |has| |#1| (-559))) 
+((((-851)) . T)) 
+((((-608 $) $) . T) (($ $) . T)) 
+(((|#2|) . T)) 
+((((-851)) . T)) 
+((((-906 |#1|) (-906 |#1|)) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+(((|#1|) . T)) 
+(-2232 (|has| |#1| (-173)) (|has| |#1| (-559))) 
+(((|#1|) . T)) 
+((((-906 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
+(|has| |#1| (-366)) 
+(((|#2|) . T)) 
+((((-569)) . T)) 
+((((-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T)) 
+((((-569)) . T)) 
+(-2232 (|has| |#2| (-789)) (|has| |#2| (-841))) 
+((((-170 (-382))) . T) (((-216)) . T) (((-382)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-1145)) . T) (((-542)) . T) (((-569)) . T) (((-888 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
+((((-851)) . T)) 
+(|has| |#1| (-151)) 
+(|has| |#1| (-149)) 
+((($) . T) (((-1231 |#2| |#3| |#4|)) |has| (-1231 |#2| |#3| |#4|) (-173)) (((-410 (-569))) |has| (-1231 |#2| |#3| |#4|) (-43 (-410 (-569))))) 
+(((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
+(|has| |#1| (-366)) 
+(|has| |#1| (-366)) 
+((((-851)) |has| |#1| (-1091))) 
+((((-851)) |has| |#1| (-1091))) 
+(-2232 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-479)) (|has| |#1| (-717)) (|has| |#1| (-896 (-1163))) (|has| |#1| (-1048)) (|has| |#1| (-1103)) (|has| |#1| (-1091))) 
+(|has| |#1| (-1137)) 
+((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-569) |#1|) . T)) 
+((((-125 |#1|) $) |has| (-125 |#1|) (-282 (-125 |#1|) (-125 |#1|)))) 
+(((|#1|) . T)) 
+(((|#1|) |has| |#1| (-173))) 
+((((-851)) . T)) 
+(((|#1|) . T)) 
+((((-858 |#1|)) . T)) 
 ((((-123)) . T) ((|#1|) . T)) 
-((((-850)) . T)) 
-((((-409 $) (-409 $)) |has| |#1| (-558)) (($ $) . T) ((|#1| |#1|) . T)) 
-(((|#1|) |has| |#1| (-303 |#1|))) 
-((((-568) |#1|) . T)) 
+((((-851)) . T)) 
+((((-410 $) (-410 $)) |has| |#1| (-559)) (($ $) . T) ((|#1| |#1|) . T)) 
+(((|#1|) |has| |#1| (-304 |#1|))) 
+((((-569) |#1|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-1161) |#1|) . T)) 
+((((-1163) |#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-568)) . T) (((-409 (-568))) . T)) 
+((((-569)) . T) (((-410 (-569))) . T)) 
 (((|#1|) . T)) 
-(((|#2|) |has| |#2| (-172)) (($) . T) (((-409 (-568))) |has| |#2| (-558))) 
-((((-409 |#2|)) . T) (((-409 (-568))) . T) (($) . T)) 
-(|has| |#1| (-558)) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-558))) 
-((((-381)) . T)) 
-(|has| |#1| (-1090)) 
+(((|#2|) |has| |#2| (-173)) (($) . T) (((-410 (-569))) |has| |#2| (-559))) 
+((((-410 |#2|)) . T) (((-410 (-569))) . T) (($) . T)) 
+(|has| |#1| (-559)) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+((((-382)) . T)) 
+(|has| |#1| (-1091)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-365)) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-558))) 
-(|has| |#1| (-365)) 
-(|has| |#1| (-558)) 
-(|has| |#1| (-1090)) 
-((((-775 |#1| (-852 |#2|))) |has| (-775 |#1| (-852 |#2|)) (-303 (-775 |#1| (-852 |#2|))))) 
-(-2199 (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904))) 
+(|has| |#1| (-366)) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(|has| |#1| (-366)) 
+(|has| |#1| (-559)) 
+(|has| |#1| (-1091)) 
+((((-776 |#1| (-853 |#2|))) |has| (-776 |#1| (-853 |#2|)) (-304 (-776 |#1| (-853 |#2|))))) 
+(-2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
 (((|#1|) . T)) 
 (((|#2| |#3|) . T)) 
-(|has| |#2| (-904)) 
-(((|#1|) . T)) 
-(((|#1| (-534 |#2|)) . T)) 
-(((|#1| (-763)) . T)) 
-(|has| |#1| (-225)) 
-(((|#1| (-534 (-1079 (-1161)))) . T)) 
-(|has| |#2| (-365)) 
-((((-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))) . T)) 
-(((|#1|) . T)) 
-((((-860)) . T) (((-409 (-568))) . T)) 
-((((-409 (-568))) . T)) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-(-2199 (|has| |#3| (-788)) (|has| |#3| (-840))) 
-((((-850)) . T)) 
-(((|#1|) . T)) 
-((($ $) . T) (((-607 $) $) . T)) 
-(((|#1|) . T)) 
-((((-568)) . T)) 
+(|has| |#2| (-905)) 
+(((|#1|) . T)) 
+(((|#1| (-535 |#2|)) . T)) 
+(((|#1| (-764)) . T)) 
+(|has| |#1| (-226)) 
+(((|#1| (-535 (-1080 (-1163)))) . T)) 
+(|has| |#2| (-366)) 
+((((-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) . T)) 
+(((|#1|) . T)) 
+((((-861)) . T) (((-410 (-569))) . T)) 
+((((-410 (-569))) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+(-2232 (|has| |#3| (-789)) (|has| |#3| (-841))) 
+((((-851)) . T)) 
+(((|#1|) . T)) 
+((($ $) . T) (((-608 $) $) . T)) 
+(((|#1|) . T)) 
+((((-569)) . T)) 
 (((|#3|) . T)) 
-((((-850)) . T)) 
-(-2199 (|has| |#1| (-301)) (|has| |#1| (-365)) (|has| |#1| (-350))) 
-((((-850)) . T)) 
-(-2199 (|has| |#1| (-148)) (|has| |#1| (-150)) (|has| |#1| (-172)) (|has| |#1| (-558)) (|has| |#1| (-1047))) 
-((((-568)) |has| |#2| (-630 (-568))) ((|#2|) . T)) 
-((((-581 |#1|) (-581 |#1|)) . T) (($ $) . T) (((-409 (-568)) (-409 (-568))) . T)) 
-((($ $) . T) (((-409 (-568)) (-409 (-568))) . T)) 
-(((|#1|) |has| |#1| (-172))) 
-(((|#1| (-1244 |#1|) (-1244 |#1|)) . T)) 
-((((-581 |#1|)) . T) (($) . T) (((-409 (-568))) . T)) 
-((($) . T) (((-409 (-568))) . T)) 
-((($) . T) (((-409 (-568))) . T)) 
-(((|#2|) |has| |#2| (-6 (-4523 "*")))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-288 |#3|)) . T)) 
-(((|#1|) . T)) 
-((((-409 (-568)) (-409 (-568))) |has| |#2| (-43 (-409 (-568)))) ((|#2| |#2|) . T) (($ $) -2199 (|has| |#2| (-172)) (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904)))) 
+((((-851)) . T)) 
+(-2232 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351))) 
+((((-851)) . T)) 
+(-2232 (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1048))) 
+((((-569)) |has| |#2| (-631 (-569))) ((|#2|) . T)) 
+((((-582 |#1|) (-582 |#1|)) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+((($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+(((|#1|) |has| |#1| (-173))) 
+(((|#1| (-1247 |#1|) (-1247 |#1|)) . T)) 
+((((-582 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
+((($) . T) (((-410 (-569))) . T)) 
+((($) . T) (((-410 (-569))) . T)) 
+(((|#2|) |has| |#2| (-6 (-4537 "*")))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-289 |#3|)) . T)) 
+(((|#1|) . T)) 
+((((-410 (-569)) (-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2| |#2|) . T) (($ $) -2232 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
 (((|#2| |#2|) . T) ((|#6| |#6|) . T)) 
-((($) . T) (((-409 (-568))) |has| |#2| (-43 (-409 (-568)))) ((|#2|) . T)) 
-((($) . T) ((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-(((|#1|) . T) (((-409 (-568))) . T) (($) . T)) 
-(((|#1|) . T) (((-409 (-568))) . T) (($) . T)) 
-(((|#1|) . T) (((-409 (-568))) . T) (($) . T)) 
-((($ $) -2199 (|has| |#1| (-172)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1| |#1|) . T) (((-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((($ $) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1| |#1|) . T) (((-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-(((|#2|) . T)) 
-((((-409 (-568))) |has| |#2| (-43 (-409 (-568)))) ((|#2|) . T) (($) -2199 (|has| |#2| (-172)) (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904)))) 
+((($) . T) (((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T)) 
+((($) . T) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
+(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
+(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
+((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(((|#2|) . T)) 
+((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T) (($) -2232 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
 (((|#2|) . T) ((|#6|) . T)) 
-((($ $) -2199 (|has| |#1| (-172)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1| |#1|) . T) (((-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((((-850)) . T)) 
-((($) -2199 (|has| |#1| (-172)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((($) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-(|has| |#2| (-904)) 
-(|has| |#1| (-904)) 
-((($) -2199 (|has| |#1| (-172)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((((-568) (-568)) . T)) 
+((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-851)) . T)) 
+((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(|has| |#2| (-905)) 
+(|has| |#1| (-905)) 
+((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-569) (-569)) . T)) 
 (((|#1|) . T)) 
-((((-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) . T)) 
+((((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1| |#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-1090)) 
-((((-568)) . T)) 
-(((|#1|) . T)) 
-((((-1161)) . T) ((|#1|) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-(((|#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) 
-((((-409 (-568)) (-409 (-568))) . T)) 
-((((-409 (-568))) . T)) 
-(-2199 (|has| |#2| (-25)) (|has| |#2| (-137)) (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-788)) (|has| |#2| (-840)) (|has| |#2| (-1047))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(-2199 (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-840)) (|has| |#2| (-1047))) 
-((((-541)) . T)) 
-((((-850)) . T)) 
-((((-1161)) |has| |#2| (-895 (-1161))) (((-1075)) . T)) 
-((((-1228 |#2| |#3| |#4|)) . T)) 
-((((-905 |#1|)) . T)) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-((($) . T) (((-409 (-568))) . T)) 
-(-12 (|has| |#1| (-365)) (|has| |#2| (-815))) 
-(-12 (|has| |#1| (-365)) (|has| |#2| (-815))) 
-(|has| |#1| (-1199)) 
-(((|#2|) . T)) 
-((($ $) . T) (((-409 (-568)) (-409 (-568))) . T)) 
-((((-1161)) |has| |#1| (-895 (-1161)))) 
-((((-905 |#1|)) . T) (((-409 (-568))) . T) (($) . T)) 
-((($) . T) (((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) ((|#1|) . T)) 
-((((-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((|#1| |#1|) . T) (($ $) -2199 (|has| |#1| (-172)) (|has| |#1| (-558)))) 
-((($) . T) (((-409 (-568))) . T) ((|#1|) . T)) 
-(((|#1|) . T) (((-409 (-568))) . T) (($) . T)) 
-((($) . T) (((-409 (-568))) . T)) 
-(((|#1|) . T) (((-409 (-568))) . T) (((-568)) . T) (($) . T)) 
-(((|#2|) |has| |#2| (-1047)) (((-568)) -12 (|has| |#2| (-630 (-568))) (|has| |#2| (-1047)))) 
-((((-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((|#1|) . T) (($) -2199 (|has| |#1| (-172)) (|has| |#1| (-558)))) 
-(|has| |#1| (-558)) 
-(((|#1|) |has| |#1| (-365))) 
-((((-568)) . T)) 
-(|has| |#1| (-786)) 
-(|has| |#1| (-786)) 
-((((-1161) (-125 |#1|)) |has| (-125 |#1|) (-523 (-1161) (-125 |#1|))) (((-125 |#1|) (-125 |#1|)) |has| (-125 |#1|) (-303 (-125 |#1|)))) 
-(((|#2|) . T) (((-568)) |has| |#2| (-1037 (-568))) (((-409 (-568))) |has| |#2| (-1037 (-409 (-568))))) 
-((((-1075)) . T) ((|#2|) . T) (((-568)) |has| |#2| (-1037 (-568))) (((-409 (-568))) |has| |#2| (-1037 (-409 (-568))))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-568) (-763)) . T) ((|#3| (-763)) . T)) 
-((((-1075) |#1|) . T) (((-1075) $) . T) (($ $) . T)) 
-(((|#1|) . T)) 
-(((|#1| |#2| (-242 |#2| |#1|) (-232 (-1699 |#2|) (-763)) (-966 |#1|) (-774 |#1|) (-921 |#1|) (-236 (-921 |#1|)) |#3|) . T)) 
-(((|#2|) . T)) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-((((-850)) . T)) 
+(|has| |#1| (-1091)) 
+((((-569)) . T)) 
+(((|#1|) . T)) 
+((((-1163)) . T) ((|#1|) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) 
+((((-410 (-569)) (-410 (-569))) . T)) 
+((((-410 (-569))) . T)) 
+(-2232 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(-2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+((((-542)) . T)) 
+((((-851)) . T)) 
+((((-1163)) |has| |#2| (-896 (-1163))) (((-1076)) . T)) 
+((((-1231 |#2| |#3| |#4|)) . T)) 
+((((-906 |#1|)) . T)) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+((($) . T) (((-410 (-569))) . T)) 
+(-12 (|has| |#1| (-366)) (|has| |#2| (-816))) 
+(-12 (|has| |#1| (-366)) (|has| |#2| (-816))) 
+(|has| |#1| (-1202)) 
+(((|#2|) . T)) 
+((($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+((((-1163)) |has| |#1| (-896 (-1163)))) 
+((((-906 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
+((($) . T) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#1|) . T)) 
+((((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1| |#1|) . T) (($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-559)))) 
+((($) . T) (((-410 (-569))) . T) ((|#1|) . T)) 
+(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
+((($) . T) (((-410 (-569))) . T)) 
+(((|#1|) . T) (((-410 (-569))) . T) (((-569)) . T) (($) . T)) 
+(((|#2|) |has| |#2| (-1048)) (((-569)) -12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048)))) 
+((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T) (($) -2232 (|has| |#1| (-173)) (|has| |#1| (-559)))) 
+(|has| |#1| (-559)) 
+(((|#1|) |has| |#1| (-366))) 
+((((-569)) . T)) 
+(|has| |#1| (-787)) 
+(|has| |#1| (-787)) 
+((((-1163) (-125 |#1|)) |has| (-125 |#1|) (-524 (-1163) (-125 |#1|))) (((-125 |#1|) (-125 |#1|)) |has| (-125 |#1|) (-304 (-125 |#1|)))) 
+(((|#2|) . T) (((-569)) |has| |#2| (-1038 (-569))) (((-410 (-569))) |has| |#2| (-1038 (-410 (-569))))) 
+((((-1076)) . T) ((|#2|) . T) (((-569)) |has| |#2| (-1038 (-569))) (((-410 (-569))) |has| |#2| (-1038 (-410 (-569))))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-569) (-764)) . T) ((|#3| (-764)) . T)) 
+((((-1076) |#1|) . T) (((-1076) $) . T) (($ $) . T)) 
+(((|#1|) . T)) 
+(((|#1| |#2| (-243 |#2| |#1|) (-233 (-4168 |#2|) (-764)) (-967 |#1|) (-775 |#1|) (-922 |#1|) (-237 (-922 |#1|)) |#3|) . T)) 
+(((|#2|) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-851)) . T)) 
 (((|#1| |#2|) . T)) 
-(|has| |#2| (-815)) 
-(|has| |#2| (-815)) 
-((((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) ((|#2|) |has| |#1| (-365)) (($) . T) ((|#1|) . T)) 
-(((|#1|) . T) (((-568)) |has| |#1| (-1037 (-568))) (((-409 (-568))) |has| |#1| (-1037 (-409 (-568))))) 
-(((|#1|) . T) (((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) (($) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-((((-568)) |has| |#1| (-881 (-568))) (((-381)) |has| |#1| (-881 (-381)))) 
-(((|#1|) . T)) 
-((((-864 |#1|)) . T)) 
-((((-864 |#1|)) . T)) 
-(-12 (|has| |#1| (-365)) (|has| |#2| (-904))) 
-((((-409 (-568))) . T) (((-688)) . T) (($) . T)) 
-(|has| |#1| (-365)) 
-(|has| |#1| (-365)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#4|) -12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) 
-(|has| |#1| (-365)) 
-(((|#2|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-852 |#1|)) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#2| (-763)) . T)) 
-((((-1161)) . T)) 
-((((-864 |#1|)) . T)) 
-(-2199 (|has| |#3| (-25)) (|has| |#3| (-137)) (|has| |#3| (-172)) (|has| |#3| (-365)) (|has| |#3| (-788)) (|has| |#3| (-840)) (|has| |#3| (-1047))) 
-(-2199 (|has| |#3| (-172)) (|has| |#3| (-365)) (|has| |#3| (-840)) (|has| |#3| (-1047))) 
-((((-850)) . T)) 
-(((|#1|) . T)) 
-(-2199 (|has| |#2| (-788)) (|has| |#2| (-840))) 
-(-2199 (-12 (|has| |#1| (-788)) (|has| |#2| (-788))) (-12 (|has| |#1| (-842)) (|has| |#2| (-842)))) 
-((((-864 |#1|)) . T)) 
-(((|#1|) . T)) 
-(-2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-(|has| |#1| (-370)) 
-(|has| |#1| (-370)) 
-(|has| |#1| (-370)) 
-((($ $) . T) (((-607 $) $) . T)) 
-((((-860) (-860)) . T) (($ $) . T) (((-409 (-568)) (-409 (-568))) . T)) 
-((($ $) . T) (((-409 (-568)) (-409 (-568))) . T)) 
-((($) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-(((|#2|) . T)) 
-((((-568)) . T)) 
-((((-850)) . T)) 
-((((-860)) . T) (($) . T) (((-409 (-568))) . T)) 
-((($) . T) (((-409 (-568))) . T)) 
-((((-850)) . T)) 
-(((|#1|) . T)) 
-((((-850)) . T)) 
-(((|#1|) . T) (((-409 (-568))) |has| |#1| (-365))) 
-((($) . T) ((|#2|) . T) (((-409 (-568))) . T)) 
-(|has| |#1| (-1090)) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-850)) . T)) 
-(|has| |#2| (-904)) 
-((((-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) . T)) 
-((((-541)) |has| |#2| (-609 (-541))) (((-887 (-381))) |has| |#2| (-609 (-887 (-381)))) (((-887 (-568))) |has| |#2| (-609 (-887 (-568))))) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-(((|#3|) |has| |#3| (-1047)) (((-568)) -12 (|has| |#3| (-630 (-568))) (|has| |#3| (-1047)))) 
-((((-1113 |#1| |#2|)) . T) (((-953 |#1|)) |has| |#2| (-609 (-1161))) (((-850)) . T)) 
-((((-953 |#1|)) |has| |#2| (-609 (-1161))) (((-1143)) -12 (|has| |#1| (-1037 (-568))) (|has| |#2| (-609 (-1161)))) (((-887 (-568))) -12 (|has| |#1| (-609 (-887 (-568)))) (|has| |#2| (-609 (-887 (-568))))) (((-887 (-381))) -12 (|has| |#1| (-609 (-887 (-381)))) (|has| |#2| (-609 (-887 (-381))))) (((-541)) -12 (|has| |#1| (-609 (-541))) (|has| |#2| (-609 (-541))))) 
-((((-1157 |#1|)) . T) (((-850)) . T)) 
-((((-850)) . T)) 
-((((-409 (-568))) |has| |#2| (-1037 (-409 (-568)))) (((-568)) |has| |#2| (-1037 (-568))) ((|#2|) . T) (((-852 |#1|)) . T)) 
-((((-125 |#1|)) . T) (($) . T) (((-409 (-568))) . T)) 
-((((-409 (-568))) |has| |#1| (-1037 (-409 (-568)))) (((-568)) |has| |#1| (-1037 (-568))) ((|#1|) . T) (((-1161)) . T)) 
-((((-850)) . T)) 
-((((-568)) . T)) 
-((($) . T)) 
-((((-381)) |has| |#1| (-881 (-381))) (((-568)) |has| |#1| (-881 (-568)))) 
-((((-568)) . T)) 
-(((|#1|) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-(((|#1|) . T)) 
-((((-850)) . T)) 
-((($) -2199 (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-(((|#1|) |has| |#1| (-172)) (($) . T)) 
-((((-568)) . T) (((-409 (-568))) . T)) 
-(((|#1|) |has| |#1| (-303 |#1|))) 
-((((-850)) . T)) 
-((((-381)) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-850)) . T)) 
-((((-409 (-568))) . T) (($) . T)) 
-((((-409 |#2|) |#3|) . T)) 
-(((|#1|) . T)) 
-(|has| |#1| (-1090)) 
-(((|#2| (-493 (-1699 |#1|) (-763))) . T)) 
-((((-568) |#1|) . T)) 
+(|has| |#2| (-816)) 
+(|has| |#2| (-816)) 
+((((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#2|) |has| |#1| (-366)) (($) . T) ((|#1|) . T)) 
+(((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569))))) 
+(((|#1|) . T) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-569)) |has| |#1| (-882 (-569))) (((-382)) |has| |#1| (-882 (-382)))) 
+(((|#1|) . T)) 
+((((-865 |#1|)) . T)) 
+((((-865 |#1|)) . T)) 
+(-12 (|has| |#1| (-366)) (|has| |#2| (-905))) 
+((((-410 (-569))) . T) (((-689)) . T) (($) . T)) 
+(|has| |#1| (-366)) 
+(|has| |#1| (-366)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) 
+(|has| |#1| (-366)) 
+(((|#2|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-853 |#1|)) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#2| (-764)) . T)) 
+((((-1163)) . T)) 
+((((-865 |#1|)) . T)) 
+(-2232 (|has| |#3| (-25)) (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-789)) (|has| |#3| (-841)) (|has| |#3| (-1048))) 
+(-2232 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-841)) (|has| |#3| (-1048))) 
+((((-851)) . T)) 
+(((|#1|) . T)) 
+(-2232 (|has| |#2| (-789)) (|has| |#2| (-841))) 
+(-2232 (-12 (|has| |#1| (-789)) (|has| |#2| (-789))) (-12 (|has| |#1| (-843)) (|has| |#2| (-843)))) 
+((((-865 |#1|)) . T)) 
+(((|#1|) . T)) 
+(-2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(|has| |#1| (-371)) 
+(|has| |#1| (-371)) 
+(|has| |#1| (-371)) 
+((($ $) . T) (((-608 $) $) . T)) 
+((((-861) (-861)) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+((($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+((($) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+(((|#2|) . T)) 
+((((-569)) . T)) 
+((((-851)) . T)) 
+((((-861)) . T) (($) . T) (((-410 (-569))) . T)) 
+((($) . T) (((-410 (-569))) . T)) 
+((((-851)) . T)) 
+(((|#1|) . T)) 
+((((-851)) . T)) 
+(((|#1|) . T) (((-410 (-569))) |has| |#1| (-366))) 
+((($) . T) ((|#2|) . T) (((-410 (-569))) . T)) 
+(|has| |#1| (-1091)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-851)) . T)) 
+(|has| |#2| (-905)) 
+((((-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) . T)) 
+((((-542)) |has| |#2| (-610 (-542))) (((-888 (-382))) |has| |#2| (-610 (-888 (-382)))) (((-888 (-569))) |has| |#2| (-610 (-888 (-569))))) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+(((|#3|) |has| |#3| (-1048)) (((-569)) -12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048)))) 
+((((-1114 |#1| |#2|)) . T) (((-954 |#1|)) |has| |#2| (-610 (-1163))) (((-851)) . T)) 
+((((-954 |#1|)) |has| |#2| (-610 (-1163))) (((-1145)) -12 (|has| |#1| (-1038 (-569))) (|has| |#2| (-610 (-1163)))) (((-888 (-569))) -12 (|has| |#1| (-610 (-888 (-569)))) (|has| |#2| (-610 (-888 (-569))))) (((-888 (-382))) -12 (|has| |#1| (-610 (-888 (-382)))) (|has| |#2| (-610 (-888 (-382))))) (((-542)) -12 (|has| |#1| (-610 (-542))) (|has| |#2| (-610 (-542))))) 
+((((-1159 |#1|)) . T) (((-851)) . T)) 
+((((-851)) . T)) 
+((((-410 (-569))) |has| |#2| (-1038 (-410 (-569)))) (((-569)) |has| |#2| (-1038 (-569))) ((|#2|) . T) (((-853 |#1|)) . T)) 
+((((-125 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
+((((-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) (((-569)) |has| |#1| (-1038 (-569))) ((|#1|) . T) (((-1163)) . T)) 
+((((-851)) . T)) 
+((((-569)) . T)) 
+((($) . T)) 
+((((-382)) |has| |#1| (-882 (-382))) (((-569)) |has| |#1| (-882 (-569)))) 
+((((-569)) . T)) 
+(((|#1|) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+(((|#1|) . T)) 
+((((-851)) . T)) 
+((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(((|#1|) |has| |#1| (-173)) (($) . T)) 
+((((-569)) . T) (((-410 (-569))) . T)) 
+(((|#1|) |has| |#1| (-304 |#1|))) 
+((((-851)) . T)) 
+((((-382)) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-851)) . T)) 
+((((-410 (-569))) . T) (($) . T)) 
+((((-410 |#2|) |#3|) . T)) 
+(((|#1|) . T)) 
+(|has| |#1| (-1091)) 
+(((|#2| (-494 (-4168 |#1|) (-764))) . T)) 
+((((-569) |#1|) . T)) 
 (((|#2| |#2|) . T)) 
-(((|#1| (-534 (-1161))) . T)) 
-((((-2 (|:| |k| (-568)) (|:| |c| |#1|))) . T)) 
-(-2199 (|has| |#2| (-137)) (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-788)) (|has| |#2| (-840)) (|has| |#2| (-1047))) 
-((((-568)) . T)) 
+(((|#1| (-535 (-1163))) . T)) 
+((((-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T)) 
+(-2232 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+((((-569)) . T)) 
 (((|#2|) . T)) 
 (((|#2|) . T)) 
-((((-1161)) |has| |#1| (-895 (-1161))) (((-1075)) . T)) 
-(((|#1|) . T) (((-568)) |has| |#1| (-630 (-568)))) 
-(|has| |#1| (-558)) 
+((((-1163)) |has| |#1| (-896 (-1163))) (((-1076)) . T)) 
+(((|#1|) . T) (((-569)) |has| |#1| (-631 (-569)))) 
+(|has| |#1| (-559)) 
 (((|#1|) . T)) 
-((($) . T) (((-409 (-568))) . T)) 
+((($) . T) (((-410 (-569))) . T)) 
 ((($) . T)) 
 ((($) . T)) 
-(-2199 (|has| |#1| (-842)) (|has| |#1| (-1090))) 
+(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
 (((|#1|) . T)) 
-((($) -2199 (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((((-850)) . T)) 
-((((-147)) . T)) 
-(((|#1|) . T) (((-409 (-568))) . T)) 
+((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-851)) . T)) 
+((((-148)) . T)) 
+(((|#1|) . T) (((-410 (-569))) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-850)) . T)) 
+((((-851)) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-1136)) 
-(((|#1| (-534 (-852 |#2|)) (-852 |#2|) (-775 |#1| (-852 |#2|))) . T)) 
+(|has| |#1| (-1137)) 
+(((|#1| (-535 (-853 |#2|)) (-853 |#2|) (-776 |#1| (-853 |#2|))) . T)) 
 (((|#1|) . T)) 
-((((-850)) . T)) 
-((((-409 $) (-409 $)) |has| |#1| (-558)) (($ $) . T) ((|#1| |#1|) . T)) 
-(((|#1|) . T) (((-568)) |has| |#1| (-1037 (-568))) (((-409 (-568))) |has| |#1| (-1037 (-409 (-568))))) 
-((((-409 (-568))) |has| |#1| (-1037 (-409 (-568)))) (((-568)) |has| |#1| (-1037 (-568))) ((|#1|) . T) ((|#2|) . T)) 
-((((-1075)) . T) ((|#1|) . T) (((-568)) |has| |#1| (-1037 (-568))) (((-409 (-568))) |has| |#1| (-1037 (-409 (-568))))) 
-((((-381)) -12 (|has| |#1| (-881 (-381))) (|has| |#2| (-881 (-381)))) (((-568)) -12 (|has| |#1| (-881 (-568))) (|has| |#2| (-881 (-568))))) 
-((((-1229 |#1| |#2| |#3| |#4|)) . T)) 
-((((-568) |#1|) . T)) 
+((((-851)) . T)) 
+((((-410 $) (-410 $)) |has| |#1| (-559)) (($ $) . T) ((|#1| |#1|) . T)) 
+(((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569))))) 
+((((-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) (((-569)) |has| |#1| (-1038 (-569))) ((|#1|) . T) ((|#2|) . T)) 
+((((-1076)) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569))))) 
+((((-382)) -12 (|has| |#1| (-882 (-382))) (|has| |#2| (-882 (-382)))) (((-569)) -12 (|has| |#1| (-882 (-569))) (|has| |#2| (-882 (-569))))) 
+((((-1232 |#1| |#2| |#3| |#4|)) . T)) 
+((((-569) |#1|) . T)) 
 (((|#1| |#1|) . T)) 
 ((($) . T) ((|#2|) . T)) 
-(((|#1|) |has| |#1| (-172)) (($) . T)) 
-((($) . T)) 
-((((-688)) . T)) 
-((((-775 |#1| (-852 |#2|))) . T)) 
-((($) . T)) 
-((((-409 (-568))) . T) (($) . T)) 
-(|has| |#1| (-1090)) 
-(|has| |#1| (-1090)) 
-(|has| |#2| (-365)) 
-(|has| |#1| (-365)) 
-(|has| |#1| (-365)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-((((-568)) . T)) 
-((((-1161)) -12 (|has| |#4| (-895 (-1161))) (|has| |#4| (-1047)))) 
-((((-1161)) -12 (|has| |#3| (-895 (-1161))) (|has| |#3| (-1047)))) 
-(-2199 (|has| |#2| (-365)) (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904))) 
-(((|#1|) . T)) 
-(|has| |#1| (-225)) 
-(((|#1| (-534 |#3|)) . T)) 
-(((|#2| (-232 (-1699 |#1|) (-763))) . T)) 
-(|has| |#1| (-370)) 
-(|has| |#1| (-370)) 
-(|has| |#1| (-370)) 
-(|has| |#2| (-904)) 
+(((|#1|) |has| |#1| (-173)) (($) . T)) 
+((($) . T)) 
+((((-689)) . T)) 
+((((-776 |#1| (-853 |#2|))) . T)) 
+((($) . T)) 
+((((-410 (-569))) . T) (($) . T)) 
+(|has| |#1| (-1091)) 
+(|has| |#1| (-1091)) 
+(|has| |#2| (-366)) 
+(|has| |#1| (-366)) 
+(|has| |#1| (-366)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+((((-569)) . T)) 
+((((-1163)) -12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))) 
+((((-1163)) -12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) 
+(-2232 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
+(((|#1|) . T)) 
+(|has| |#1| (-226)) 
+(((|#1| (-535 |#3|)) . T)) 
+(((|#2| (-233 (-4168 |#1|) (-764))) . T)) 
+(|has| |#1| (-371)) 
+(|has| |#1| (-371)) 
+(|has| |#1| (-371)) 
+(|has| |#2| (-905)) 
 (((|#1|) . T) (($) . T)) 
-(-2199 (|has| |#2| (-137)) (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-788)) (|has| |#2| (-840)) (|has| |#2| (-1047))) 
-(((|#1| (-534 |#2|)) . T)) 
-(((|#1| (-763)) . T)) 
-(-2199 (|has| |#2| (-25)) (|has| |#2| (-137)) (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-788)) (|has| |#2| (-840)) (|has| |#2| (-1047))) 
-(-2199 (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-840)) (|has| |#2| (-1047))) 
+(-2232 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+(((|#1| (-535 |#2|)) . T)) 
+(((|#1| (-764)) . T)) 
+(-2232 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+(-2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) 
-((((-850)) . T)) 
-(-2199 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-137)) (|has| |#2| (-137))) (-12 (|has| |#1| (-788)) (|has| |#2| (-788)))) 
-(|has| |#1| (-558)) 
-(-2199 (|has| |#3| (-137)) (|has| |#3| (-172)) (|has| |#3| (-365)) (|has| |#3| (-788)) (|has| |#3| (-840)) (|has| |#3| (-1047))) 
-(-2199 (|has| |#2| (-172)) (|has| |#2| (-716)) (|has| |#2| (-840)) (|has| |#2| (-1047))) 
-(((|#1|) |has| |#1| (-172))) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-(((|#4|) |has| |#4| (-1047))) 
-(((|#3|) |has| |#3| (-1047))) 
-(-12 (|has| |#1| (-365)) (|has| |#2| (-815))) 
-(-12 (|has| |#1| (-365)) (|has| |#2| (-815))) 
-((((-850)) -2199 (|has| |#1| (-842)) (|has| |#1| (-1090)))) 
-((((-541)) |has| |#1| (-609 (-541)))) 
-((((-409 |#2|)) . T) (((-409 (-568))) . T) (($) . T)) 
-((($ $) . T) (((-409 (-568)) (-409 (-568))) . T)) 
-((((-850)) . T)) 
-((((-169 (-215))) . T)) 
-((((-215)) . T)) 
-((((-169 (-215))) . T)) 
-((((-215)) . T)) 
-((($) . T) (((-409 (-568))) . T)) 
-(((|#1|) . T)) 
-(((|#4|) |has| |#4| (-1090)) (((-568)) -12 (|has| |#4| (-1037 (-568))) (|has| |#4| (-1090))) (((-409 (-568))) -12 (|has| |#4| (-1037 (-409 (-568)))) (|has| |#4| (-1090)))) 
-(((|#3|) |has| |#3| (-1090)) (((-568)) -12 (|has| |#3| (-1037 (-568))) (|has| |#3| (-1090))) (((-409 (-568))) -12 (|has| |#3| (-1037 (-409 (-568)))) (|has| |#3| (-1090)))) 
-(|has| |#2| (-365)) 
-(((|#2|) |has| |#2| (-1047)) (((-568)) -12 (|has| |#2| (-630 (-568))) (|has| |#2| (-1047)))) 
-(((|#1|) . T)) 
-(|has| |#2| (-365)) 
-((((-409 (-568)) (-409 (-568))) |has| |#2| (-43 (-409 (-568)))) ((|#2| |#2|) . T) (($ $) -2199 (|has| |#2| (-172)) (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904)))) 
-((($ $) -2199 (|has| |#1| (-172)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1| |#1|) . T) (((-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-(((|#1| |#1|) . T) (($ $) . T) (((-409 (-568)) (-409 (-568))) . T)) 
-(((|#1| |#1|) . T) (($ $) . T) (((-409 (-568)) (-409 (-568))) . T)) 
-(((|#1| |#1|) . T) (($ $) . T) (((-409 (-568)) (-409 (-568))) . T)) 
+((((-851)) . T)) 
+(-2232 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-789)) (|has| |#2| (-789)))) 
+(|has| |#1| (-559)) 
+(-2232 (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-789)) (|has| |#3| (-841)) (|has| |#3| (-1048))) 
+(-2232 (|has| |#2| (-173)) (|has| |#2| (-717)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+(((|#1|) |has| |#1| (-173))) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+(((|#4|) |has| |#4| (-1048))) 
+(((|#3|) |has| |#3| (-1048))) 
+(-12 (|has| |#1| (-366)) (|has| |#2| (-816))) 
+(-12 (|has| |#1| (-366)) (|has| |#2| (-816))) 
+((((-851)) -2232 (|has| |#1| (-843)) (|has| |#1| (-1091)))) 
+((((-542)) |has| |#1| (-610 (-542)))) 
+((((-410 |#2|)) . T) (((-410 (-569))) . T) (($) . T)) 
+((($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+((((-851)) . T)) 
+((((-170 (-216))) . T)) 
+((((-216)) . T)) 
+((((-170 (-216))) . T)) 
+((((-216)) . T)) 
+((($) . T) (((-410 (-569))) . T)) 
+(((|#1|) . T)) 
+(((|#4|) |has| |#4| (-1091)) (((-569)) -12 (|has| |#4| (-1038 (-569))) (|has| |#4| (-1091))) (((-410 (-569))) -12 (|has| |#4| (-1038 (-410 (-569)))) (|has| |#4| (-1091)))) 
+(((|#3|) |has| |#3| (-1091)) (((-569)) -12 (|has| |#3| (-1038 (-569))) (|has| |#3| (-1091))) (((-410 (-569))) -12 (|has| |#3| (-1038 (-410 (-569)))) (|has| |#3| (-1091)))) 
+(|has| |#2| (-366)) 
+(((|#2|) |has| |#2| (-1048)) (((-569)) -12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048)))) 
+(((|#1|) . T)) 
+(|has| |#2| (-366)) 
+((((-410 (-569)) (-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2| |#2|) . T) (($ $) -2232 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
+((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(((|#1| |#1|) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+(((|#1| |#1|) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+(((|#1| |#1|) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
 (((|#2| |#2|) . T)) 
-((((-409 (-568))) |has| |#2| (-43 (-409 (-568)))) ((|#2|) . T) (($) -2199 (|has| |#2| (-172)) (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904)))) 
-((($) -2199 (|has| |#1| (-172)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-(((|#1|) . T) (($) . T) (((-409 (-568))) . T)) 
-(((|#1|) . T) (($) . T) (((-409 (-568))) . T)) 
-(((|#1|) . T) (($) . T) (((-409 (-568))) . T)) 
-(((|#2|) . T)) 
-(((|#1|) . T)) 
-((($) . T)) 
-((((-850)) |has| |#1| (-1090))) 
-((((-1229 |#1| |#2| |#3| |#4|)) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(|has| |#2| (-815)) 
-(|has| |#2| (-815)) 
-(|has| |#1| (-365)) 
-(|has| |#1| (-365)) 
-(|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) 
-(|has| |#1| (-365)) 
-(|has| |#1| (-15 * (|#1| (-568) |#1|))) 
-(((|#1|) |has| |#2| (-419 |#1|))) 
-(((|#1|) |has| |#2| (-419 |#1|))) 
-((((-905 |#1|)) . T) (((-409 (-568))) . T) (($) . T)) 
-((((-850)) -2199 (|has| |#1| (-842)) (|has| |#1| (-1090)))) 
-((((-541)) |has| |#1| (-609 (-541)))) 
-((((-850)) . T)) 
-((((-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) |has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-303 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))))) 
-(-2199 (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904))) 
-((((-568) |#1|) . T)) 
-((((-568) |#1|) . T)) 
-((((-568) |#1|) . T)) 
-(-2199 (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-((((-568) |#1|) . T)) 
-(((|#1|) . T)) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-(-2199 (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-((((-1161)) |has| |#1| (-895 (-1161))) (((-813 (-1161))) . T)) 
-(-2199 (|has| |#3| (-137)) (|has| |#3| (-172)) (|has| |#3| (-365)) (|has| |#3| (-788)) (|has| |#3| (-840)) (|has| |#3| (-1047))) 
-((((-814 |#1|)) . T)) 
+((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T) (($) -2232 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
+((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
+(((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
+(((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
+(((|#2|) . T)) 
+(((|#1|) . T)) 
+((($) . T)) 
+((((-851)) |has| |#1| (-1091))) 
+((((-1232 |#1| |#2| |#3| |#4|)) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(|has| |#2| (-816)) 
+(|has| |#2| (-816)) 
+(|has| |#1| (-366)) 
+(|has| |#1| (-366)) 
+(|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) 
+(|has| |#1| (-366)) 
+(|has| |#1| (-15 * (|#1| (-569) |#1|))) 
+(((|#1|) |has| |#2| (-420 |#1|))) 
+(((|#1|) |has| |#2| (-420 |#1|))) 
+((((-906 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
+((((-851)) -2232 (|has| |#1| (-843)) (|has| |#1| (-1091)))) 
+((((-542)) |has| |#1| (-610 (-542)))) 
+((((-851)) . T)) 
+((((-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) |has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))))) 
+(-2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
+((((-569) |#1|) . T)) 
+((((-569) |#1|) . T)) 
+((((-569) |#1|) . T)) 
+(-2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+((((-569) |#1|) . T)) 
+(((|#1|) . T)) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(-2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+((((-1163)) |has| |#1| (-896 (-1163))) (((-814 (-1163))) . T)) 
+(-2232 (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-789)) (|has| |#3| (-841)) (|has| |#3| (-1048))) 
+((((-815 |#1|)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-850)) . T)) 
-(-2199 (|has| |#3| (-172)) (|has| |#3| (-716)) (|has| |#3| (-840)) (|has| |#3| (-1047))) 
+((((-851)) . T)) 
+(-2232 (|has| |#3| (-173)) (|has| |#3| (-717)) (|has| |#3| (-841)) (|has| |#3| (-1048))) 
 (((|#1| |#2|) . T)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-((((-850)) . T)) 
-((((-1229 |#1| |#2| |#3| |#4|)) . T) (($) . T) (((-409 (-568))) . T)) 
-(((|#1|) |has| |#1| (-172)) (($) |has| |#1| (-558)) (((-409 (-568))) |has| |#1| (-558))) 
-(((|#2|) . T) (((-568)) |has| |#2| (-630 (-568)))) 
-(|has| |#1| (-365)) 
-(-2199 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (-12 (|has| |#1| (-365)) (|has| |#2| (-225)))) 
-(|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) 
-(|has| |#1| (-365)) 
-(((|#1|) . T)) 
-((((-409 (-568)) (-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) (($ $) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-558))) ((|#1| |#1|) . T)) 
-((((-568) |#1|) . T)) 
-((((-310 |#1|)) . T)) 
-((((-409 (-568)) (-409 (-568))) . T) (($ $) . T) ((|#1| |#1|) . T)) 
-(((|#1| |#1|) . T) (((-409 (-568)) (-409 (-568))) . T) (($ $) . T)) 
-((((-688) (-1157 (-688))) . T)) 
-((((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) (($) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-558))) ((|#1|) . T)) 
-((((-409 (-568))) . T) (($) . T) ((|#1|) . T)) 
-(((|#1|) . T) (((-409 (-568))) . T) (($) . T)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+((((-851)) . T)) 
+((((-1232 |#1| |#2| |#3| |#4|)) . T) (($) . T) (((-410 (-569))) . T)) 
+(((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-559)) (((-410 (-569))) |has| |#1| (-559))) 
+(((|#2|) . T) (((-569)) |has| |#2| (-631 (-569)))) 
+(|has| |#1| (-366)) 
+(-2232 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (-12 (|has| |#1| (-366)) (|has| |#2| (-226)))) 
+(|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) 
+(|has| |#1| (-366)) 
+(((|#1|) . T)) 
+((((-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) ((|#1| |#1|) . T)) 
+((((-569) |#1|) . T)) 
+((((-311 |#1|)) . T)) 
+((((-410 (-569)) (-410 (-569))) . T) (($ $) . T) ((|#1| |#1|) . T)) 
+(((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
+((((-689) (-1159 (-689))) . T)) 
+((((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) ((|#1|) . T)) 
+((((-410 (-569))) . T) (($) . T) ((|#1|) . T)) 
+(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-(|has| |#1| (-840)) 
-((($ $) . T) (((-852 |#1|) $) . T) (((-852 |#1|) |#2|) . T)) 
-((((-1113 |#1| (-1161))) . T) (((-813 (-1161))) . T) ((|#1|) . T) (((-568)) |has| |#1| (-1037 (-568))) (((-409 (-568))) |has| |#1| (-1037 (-409 (-568)))) (((-1161)) . T)) 
+(|has| |#1| (-841)) 
+((($ $) . T) (((-853 |#1|) $) . T) (((-853 |#1|) |#2|) . T)) 
+((((-1114 |#1| (-1163))) . T) (((-814 (-1163))) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) (((-1163)) . T)) 
 ((($) . T)) 
 (((|#2| |#1|) . T) ((|#2| $) . T) (($ $) . T)) 
-((((-1075) |#1|) . T) (((-1075) $) . T) (($ $) . T)) 
-((($ $) . T) (((-1161) $) |has| |#1| (-225)) (((-1161) |#1|) |has| |#1| (-225)) (((-1079 (-1161)) |#1|) . T) (((-1079 (-1161)) $) . T)) 
+((((-1076) |#1|) . T) (((-1076) $) . T) (($ $) . T)) 
+((($ $) . T) (((-1163) $) |has| |#1| (-226)) (((-1163) |#1|) |has| |#1| (-226)) (((-1080 (-1163)) |#1|) . T) (((-1080 (-1163)) $) . T)) 
 ((($) . T) ((|#2|) . T)) 
-((($) . T) ((|#2|) . T) (((-409 (-568))) |has| |#2| (-43 (-409 (-568))))) 
-(|has| |#2| (-904)) 
-((($) . T) (((-1228 |#2| |#3| |#4|)) |has| (-1228 |#2| |#3| |#4|) (-172)) (((-409 (-568))) |has| (-1228 |#2| |#3| |#4|) (-43 (-409 (-568))))) 
-((((-568) |#1|) . T)) 
-((((-1229 |#1| |#2| |#3| |#4|)) |has| (-1229 |#1| |#2| |#3| |#4|) (-303 (-1229 |#1| |#2| |#3| |#4|)))) 
-((($) . T)) 
-(((|#1|) . T)) 
-((($ $) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-558))) (((-409 (-568)) (-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) ((|#2| |#2|) |has| |#1| (-365)) ((|#1| |#1|) . T)) 
-(((|#1| |#1|) . T) (($ $) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-558))) (((-409 (-568)) (-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365)))) 
-(((|#2|) . T)) 
-(|has| |#2| (-225)) 
-(|has| $ (-150)) 
-((((-850)) . T)) 
-((($) . T) (((-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-350))) ((|#1|) . T)) 
-((((-850)) . T)) 
-(|has| |#1| (-840)) 
-((((-1161)) -12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161))))) 
-((((-409 |#2|) |#3|) . T)) 
-(((|#1|) . T)) 
-((((-850)) . T)) 
-(((|#2| (-663 |#1|)) . T)) 
-(-12 (|has| |#1| (-301)) (|has| |#1| (-904))) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
+((($) . T) ((|#2|) . T) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
+(|has| |#2| (-905)) 
+((($) . T) (((-1231 |#2| |#3| |#4|)) |has| (-1231 |#2| |#3| |#4|) (-173)) (((-410 (-569))) |has| (-1231 |#2| |#3| |#4|) (-43 (-410 (-569))))) 
+((((-569) |#1|) . T)) 
+((((-1232 |#1| |#2| |#3| |#4|)) |has| (-1232 |#1| |#2| |#3| |#4|) (-304 (-1232 |#1| |#2| |#3| |#4|)))) 
+((($) . T)) 
+(((|#1|) . T)) 
+((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#2| |#2|) |has| |#1| (-366)) ((|#1| |#1|) . T)) 
+(((|#1| |#1|) . T) (($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366)))) 
+(((|#2|) . T)) 
+(|has| |#2| (-226)) 
+(|has| $ (-151)) 
+((((-851)) . T)) 
+((($) . T) (((-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
+((((-851)) . T)) 
+(|has| |#1| (-841)) 
+((((-1163)) -12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) 
+((((-410 |#2|) |#3|) . T)) 
+(((|#1|) . T)) 
+((((-851)) . T)) 
+(((|#2| (-664 |#1|)) . T)) 
+(-12 (|has| |#1| (-302)) (|has| |#1| (-905))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
 (((|#4|) . T)) 
-(|has| |#1| (-558)) 
-((((-1161)) -12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) 
-((($) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-558))) (((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365))) ((|#2|) |has| |#1| (-365)) ((|#1|) . T)) 
-((((-1161)) -2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161)))))) 
-(((|#1|) . T) (($) -2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-558))) (((-409 (-568))) -2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-365)))) 
-((((-1161)) -12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) 
-((((-1161)) -12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) 
-((($) |has| |#1| (-558)) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-(((|#4|) -12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) 
-((((-568) |#1|) . T)) 
-(-2199 (|has| |#2| (-172)) (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904))) 
-(((|#1|) . T)) 
-(((|#1| (-534 (-813 (-1161)))) . T)) 
-(-2199 (|has| |#1| (-172)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-(-2199 (|has| |#1| (-172)) (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-((((-568) (-2 (|:| |k| (-568)) (|:| |c| |#1|))) . T)) 
-(((|#1|) . T)) 
-(-2199 (|has| |#1| (-172)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-(((|#1|) . T)) 
-(-2199 (|has| |#2| (-137)) (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-788)) (|has| |#2| (-840)) (|has| |#2| (-1047))) 
-(-2199 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-137)) (|has| |#2| (-137))) (-12 (|has| |#1| (-788)) (|has| |#2| (-788)))) 
-((((-1235 |#1| |#2| |#3|)) |has| |#1| (-365))) 
-((($) . T) (((-864 |#1|)) . T) (((-409 (-568))) . T)) 
-((((-1235 |#1| |#2| |#3|)) |has| |#1| (-365))) 
-(|has| |#1| (-558)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-409 |#2|)) . T)) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-350))) 
-((((-850)) -2199 (|has| |#1| (-842)) (|has| |#1| (-1090)))) 
-((((-541)) |has| |#1| (-609 (-541)))) 
-((((-850)) |has| |#1| (-1090))) 
-((((-850)) -2199 (|has| |#1| (-842)) (|has| |#1| (-1090)))) 
-((((-541)) |has| |#1| (-609 (-541)))) 
-((((-850)) -2199 (|has| |#1| (-842)) (|has| |#1| (-1090)))) 
-((((-541)) |has| |#1| (-609 (-541)))) 
-((((-850)) |has| |#1| (-1090))) 
-(((|#1|) . T)) 
-(((|#2|) |has| |#2| (-172)) (($) . T) (((-409 (-568))) |has| |#2| (-558))) 
-(((|#2| |#2|) . T) (((-409 (-568)) (-409 (-568))) . T) (($ $) . T)) 
-((((-568)) . T)) 
-(((|#2|) . T) (((-409 (-568))) . T) (($) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-((((-850)) . T)) 
-((((-581 |#1|)) . T) (((-409 (-568))) . T) (($) . T)) 
-((((-568) |#1|) . T)) 
-((((-409 (-568))) . T) (($) . T)) 
-((((-850)) . T)) 
-((($ $) . T) (((-1161) $) . T)) 
-((((-1235 |#1| |#2| |#3|)) . T)) 
-((((-1235 |#1| |#2| |#3|)) . T) (((-1207 |#1| |#2| |#3|)) . T)) 
-(((|#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(((|#1| (-534 (-852 |#2|)) (-852 |#2|) (-775 |#1| (-852 |#2|))) . T)) 
-((((-541)) |has| |#2| (-609 (-541))) (((-887 (-381))) |has| |#2| (-609 (-887 (-381)))) (((-887 (-568))) |has| |#2| (-609 (-887 (-568))))) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-887 (-568))) -12 (|has| |#1| (-609 (-887 (-568)))) (|has| |#3| (-609 (-887 (-568))))) (((-887 (-381))) -12 (|has| |#1| (-609 (-887 (-381)))) (|has| |#3| (-609 (-887 (-381))))) (((-541)) -12 (|has| |#1| (-609 (-541))) (|has| |#3| (-609 (-541))))) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-(((|#1| |#2| (-232 |#1| |#2|) (-232 |#1| |#2|)) . T)) 
-((((-850)) . T)) 
-((((-1235 |#1| |#2| |#3|)) |has| |#1| (-365))) 
-((((-1161)) . T) (((-850)) . T)) 
-(|has| |#1| (-365)) 
-((((-409 (-568))) |has| |#2| (-43 (-409 (-568)))) ((|#2|) |has| |#2| (-172)) (($) -2199 (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904)))) 
+(|has| |#1| (-559)) 
+((((-1163)) -12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) 
+((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#2|) |has| |#1| (-366)) ((|#1|) . T)) 
+((((-1163)) -2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) 
+(((|#1|) . T) (($) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366)))) 
+((((-1163)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) 
+((((-1163)) -12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) 
+((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) 
+((((-569) |#1|) . T)) 
+(-2232 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
+(((|#1|) . T)) 
+(((|#1| (-535 (-814 (-1163)))) . T)) 
+(-2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(-2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+((((-569) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T)) 
+(((|#1|) . T)) 
+(-2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(((|#1|) . T)) 
+(-2232 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+(-2232 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-789)) (|has| |#2| (-789)))) 
+((((-1238 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+((($) . T) (((-865 |#1|)) . T) (((-410 (-569))) . T)) 
+((((-1238 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+(|has| |#1| (-559)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-410 |#2|)) . T)) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-351))) 
+((((-851)) -2232 (|has| |#1| (-843)) (|has| |#1| (-1091)))) 
+((((-542)) |has| |#1| (-610 (-542)))) 
+((((-851)) |has| |#1| (-1091))) 
+((((-851)) -2232 (|has| |#1| (-843)) (|has| |#1| (-1091)))) 
+((((-542)) |has| |#1| (-610 (-542)))) 
+((((-851)) -2232 (|has| |#1| (-843)) (|has| |#1| (-1091)))) 
+((((-542)) |has| |#1| (-610 (-542)))) 
+((((-851)) |has| |#1| (-1091))) 
+(((|#1|) . T)) 
+(((|#2|) |has| |#2| (-173)) (($) . T) (((-410 (-569))) |has| |#2| (-559))) 
+(((|#2| |#2|) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
+((((-569)) . T)) 
+(((|#2|) . T) (((-410 (-569))) . T) (($) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-851)) . T)) 
+((((-582 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
+((((-569) |#1|) . T)) 
+((((-410 (-569))) . T) (($) . T)) 
+((((-851)) . T)) 
+((($ $) . T) (((-1163) $) . T)) 
+((((-1238 |#1| |#2| |#3|)) . T)) 
+((((-1238 |#1| |#2| |#3|)) . T) (((-1210 |#1| |#2| |#3|)) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1| (-535 (-853 |#2|)) (-853 |#2|) (-776 |#1| (-853 |#2|))) . T)) 
+((((-542)) |has| |#2| (-610 (-542))) (((-888 (-382))) |has| |#2| (-610 (-888 (-382)))) (((-888 (-569))) |has| |#2| (-610 (-888 (-569))))) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-888 (-569))) -12 (|has| |#1| (-610 (-888 (-569)))) (|has| |#3| (-610 (-888 (-569))))) (((-888 (-382))) -12 (|has| |#1| (-610 (-888 (-382)))) (|has| |#3| (-610 (-888 (-382))))) (((-542)) -12 (|has| |#1| (-610 (-542))) (|has| |#3| (-610 (-542))))) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+(((|#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) . T)) 
+((((-851)) . T)) 
+((((-1238 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+((((-1163)) . T) (((-851)) . T)) 
+(|has| |#1| (-366)) 
+((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
 (((|#2|) . T) ((|#6|) . T)) 
-((($) . T) (((-409 (-568))) |has| |#2| (-43 (-409 (-568)))) ((|#2|) . T)) 
-((($) -2199 (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((((-1094)) . T)) 
-((((-850)) . T)) 
-((($) -2199 (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-((($) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((|#1|) . T)) 
-((($) . T)) 
-((($) -2199 (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-(|has| |#2| (-904)) 
-(|has| |#1| (-904)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1| |#1|) |has| |#1| (-172))) 
-((((-568)) . T)) 
-((((-688)) . T)) 
-((((-850)) |has| |#1| (-1090))) 
-(((|#1|) |has| |#1| (-172))) 
-(((|#1|) |has| |#1| (-172))) 
-((($) . T)) 
-((((-409 (-568))) . T) (($) . T)) 
-(((|#1| (-568)) . T)) 
-((((-850)) . T)) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-350))) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-350))) 
-(|has| |#1| (-365)) 
-(|has| |#1| (-365)) 
-(-2199 (|has| |#1| (-172)) (|has| |#1| (-558))) 
-(((|#1| (-763)) . T)) 
-(((|#1| (-568)) . T)) 
-(((|#1| (-409 (-568))) . T)) 
-(((|#1| (-763)) . T)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-1090)) 
-((((-409 (-568))) . T)) 
-(((|#1| (-534 |#2|) |#2|) . T)) 
-((((-568) |#1|) . T)) 
-((((-568) |#1|) . T)) 
-(|has| |#1| (-1090)) 
-((((-568) |#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-887 (-381))) . T) (((-887 (-568))) . T) (((-1161)) . T) (((-541)) . T)) 
-(((|#1|) . T)) 
-((((-850)) . T)) 
-(-2199 (|has| |#2| (-137)) (|has| |#2| (-172)) (|has| |#2| (-365)) (|has| |#2| (-788)) (|has| |#2| (-840)) (|has| |#2| (-1047))) 
-(-2199 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-137)) (|has| |#2| (-137))) (-12 (|has| |#1| (-788)) (|has| |#2| (-788)))) 
-((((-568)) . T)) 
-((((-568)) . T)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
+((($) . T) (((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T)) 
+((($) -2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-1095)) . T)) 
+((((-851)) . T)) 
+((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T)) 
+((($) . T)) 
+((($) -2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(|has| |#2| (-905)) 
+(|has| |#1| (-905)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1| |#1|) |has| |#1| (-173))) 
+((((-569)) . T)) 
+((((-689)) . T)) 
+((((-851)) |has| |#1| (-1091))) 
+(((|#1|) |has| |#1| (-173))) 
+(((|#1|) |has| |#1| (-173))) 
+((($) . T)) 
+((((-410 (-569))) . T) (($) . T)) 
+(((|#1| (-569)) . T)) 
+((((-851)) . T)) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-351))) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-351))) 
+(|has| |#1| (-366)) 
+(|has| |#1| (-366)) 
+(-2232 (|has| |#1| (-173)) (|has| |#1| (-559))) 
+(((|#1| (-764)) . T)) 
+(((|#1| (-569)) . T)) 
+(((|#1| (-410 (-569))) . T)) 
+(((|#1| (-764)) . T)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-1091)) 
+((((-410 (-569))) . T)) 
+(((|#1| (-535 |#2|) |#2|) . T)) 
+((((-569) |#1|) . T)) 
+((((-569) |#1|) . T)) 
+(|has| |#1| (-1091)) 
+((((-569) |#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-888 (-382))) . T) (((-888 (-569))) . T) (((-1163)) . T) (((-542)) . T)) 
+(((|#1|) . T)) 
+((((-851)) . T)) 
+(-2232 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+(-2232 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-789)) (|has| |#2| (-789)))) 
+((((-569)) . T)) 
+((((-569)) . T)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
 (((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
-(-2199 (|has| |#2| (-172)) (|has| |#2| (-716)) (|has| |#2| (-840)) (|has| |#2| (-1047))) 
-((((-1161)) -12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) 
-(-2199 (-12 (|has| |#1| (-478)) (|has| |#2| (-478))) (-12 (|has| |#1| (-716)) (|has| |#2| (-716)))) 
-(|has| |#1| (-148)) 
-(|has| |#1| (-150)) 
-(|has| |#1| (-365)) 
+(-2232 (|has| |#2| (-173)) (|has| |#2| (-717)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+((((-1163)) -12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) 
+(-2232 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-717)) (|has| |#2| (-717)))) 
+(|has| |#1| (-149)) 
+(|has| |#1| (-151)) 
+(|has| |#1| (-366)) 
 (((|#1| |#2|) . T)) 
 (((|#1| |#2|) . T)) 
-(|has| |#1| (-225)) 
-((((-850)) . T)) 
-(((|#1| (-763) (-1075)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-568) |#1|) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-((((-568) |#1|) . T)) 
-((((-568) |#1|) . T)) 
+(|has| |#1| (-226)) 
+((((-851)) . T)) 
+(((|#1| (-764) (-1076)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-569) |#1|) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-569) |#1|) . T)) 
+((((-569) |#1|) . T)) 
 ((((-125 |#1|)) . T)) 
-((((-568) (-169 (-215))) . T)) 
-((((-568) (-215)) . T)) 
-(((|#2|) |has| |#2| (-1047))) 
-((((-409 (-568))) . T) (($) . T)) 
-(((|#2|) . T)) 
-((((-568)) . T)) 
-((((-568)) . T)) 
-((((-409 (-568))) . T) (((-568)) . T)) 
-((((-1143) (-1161) (-568) (-215) (-850)) . T)) 
+((((-569) (-170 (-216))) . T)) 
+((((-569) (-216)) . T)) 
+(((|#2|) |has| |#2| (-1048))) 
+((((-410 (-569))) . T) (($) . T)) 
+(((|#2|) . T)) 
+((((-569)) . T)) 
+((((-569)) . T)) 
+((((-410 (-569))) . T) (((-569)) . T)) 
+((((-1145) (-1163) (-569) (-216) (-851)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((|#1|) |has| |#1| (-172)) (($) |has| |#1| (-558))) 
-(-2199 (|has| |#1| (-350)) (|has| |#1| (-370))) 
+((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-559))) 
+(-2232 (|has| |#1| (-351)) (|has| |#1| (-371))) 
 (((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
 ((($) . T) ((|#1|) . T)) 
-((((-850)) . T)) 
-((($) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((|#1|) . T)) 
-((($) . T) ((|#1|) . T) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
-(((|#2|) |has| |#2| (-1090)) (((-568)) -12 (|has| |#2| (-1037 (-568))) (|has| |#2| (-1090))) (((-409 (-568))) -12 (|has| |#2| (-1037 (-409 (-568)))) (|has| |#2| (-1090)))) 
-((((-541)) |has| |#1| (-609 (-541)))) 
-((((-850)) -2199 (|has| |#1| (-842)) (|has| |#1| (-1090)))) 
-((($) . T) (((-409 (-568))) . T)) 
-(|has| |#1| (-904)) 
-(|has| |#1| (-904)) 
-((((-215)) -12 (|has| |#1| (-365)) (|has| |#2| (-1021))) (((-381)) -12 (|has| |#1| (-365)) (|has| |#2| (-1021))) (((-887 (-381))) -12 (|has| |#1| (-365)) (|has| |#2| (-609 (-887 (-381))))) (((-887 (-568))) -12 (|has| |#1| (-365)) (|has| |#2| (-609 (-887 (-568))))) (((-541)) -12 (|has| |#1| (-365)) (|has| |#2| (-609 (-541))))) 
-((((-850)) . T)) 
-((((-850)) . T)) 
+((((-851)) . T)) 
+((($) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T)) 
+((($) . T) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(((|#2|) |has| |#2| (-1091)) (((-569)) -12 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091))) (((-410 (-569))) -12 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) 
+((((-542)) |has| |#1| (-610 (-542)))) 
+((((-851)) -2232 (|has| |#1| (-843)) (|has| |#1| (-1091)))) 
+((($) . T) (((-410 (-569))) . T)) 
+(|has| |#1| (-905)) 
+(|has| |#1| (-905)) 
+((((-216)) -12 (|has| |#1| (-366)) (|has| |#2| (-1022))) (((-382)) -12 (|has| |#1| (-366)) (|has| |#2| (-1022))) (((-888 (-382))) -12 (|has| |#1| (-366)) (|has| |#2| (-610 (-888 (-382))))) (((-888 (-569))) -12 (|has| |#1| (-366)) (|has| |#2| (-610 (-888 (-569))))) (((-542)) -12 (|has| |#1| (-366)) (|has| |#2| (-610 (-542))))) 
+((((-851)) . T)) 
+((((-851)) . T)) 
 (((|#2| |#2|) . T)) 
-(((|#1| |#1|) |has| |#1| (-172))) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-558))) 
-(-2199 (|has| |#1| (-21)) (|has| |#1| (-840))) 
-(((|#2|) . T)) 
-(-2199 (|has| |#1| (-21)) (|has| |#1| (-840))) 
-(((|#1|) |has| |#1| (-172))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(|has| (-409 |#2|) (-150)) 
-((((-409 |#2|) |#3|) . T)) 
-((((-409 (-568))) . T) (($) . T)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-365)) 
-((($ $) . T) (((-409 (-568)) (-409 (-568))) . T)) 
-(|has| (-409 |#2|) (-148)) 
-((((-688)) . T)) 
-(((|#1|) . T) (((-409 (-568))) . T) (((-568)) . T) (($) . T)) 
-((((-568) (-568)) . T)) 
-((($) . T) (((-409 (-568))) . T)) 
-(-2199 (|has| |#4| (-172)) (|has| |#4| (-840)) (|has| |#4| (-1047)) SEQ) 
-(-2199 (|has| |#3| (-172)) (|has| |#3| (-840)) (|has| |#3| (-1047)) SEQ) 
-(|has| |#4| (-788)) 
-(-2199 (|has| |#4| (-788)) (|has| |#4| (-840))) 
-(|has| |#4| (-840)) 
-(|has| |#3| (-788)) 
-(-2199 (|has| |#3| (-788)) (|has| |#3| (-840))) 
-(|has| |#3| (-840)) 
-((((-568)) . T)) 
-(((|#2|) . T)) 
-((((-1161)) -2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161)))))) 
-((((-1161)) -12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) 
-(((|#1|) |has| |#1| (-172)) (($) . T)) 
-((((-1161)) -12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) 
+(((|#1| |#1|) |has| |#1| (-173))) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(-2232 (|has| |#1| (-21)) (|has| |#1| (-841))) 
+(((|#2|) . T)) 
+(-2232 (|has| |#1| (-21)) (|has| |#1| (-841))) 
+(((|#1|) |has| |#1| (-173))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(|has| (-410 |#2|) (-151)) 
+((((-410 |#2|) |#3|) . T)) 
+((((-410 (-569))) . T) (($) . T)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-366)) 
+((($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+(|has| (-410 |#2|) (-149)) 
+((((-689)) . T)) 
+(((|#1|) . T) (((-410 (-569))) . T) (((-569)) . T) (($) . T)) 
+((((-569) (-569)) . T)) 
+((($) . T) (((-410 (-569))) . T)) 
+(-2232 (|has| |#4| (-173)) (|has| |#4| (-841)) (|has| |#4| (-1048)) SEQ) 
+(-2232 (|has| |#3| (-173)) (|has| |#3| (-841)) (|has| |#3| (-1048)) SEQ) 
+(|has| |#4| (-789)) 
+(-2232 (|has| |#4| (-789)) (|has| |#4| (-841))) 
+(|has| |#4| (-841)) 
+(|has| |#3| (-789)) 
+(-2232 (|has| |#3| (-789)) (|has| |#3| (-841))) 
+(|has| |#3| (-841)) 
+((((-569)) . T)) 
+(((|#2|) . T)) 
+((((-1163)) -2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) 
+((((-1163)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) 
+(((|#1|) |has| |#1| (-173)) (($) . T)) 
+((((-1163)) -12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) 
 (((|#1| |#1|) . T) (($ $) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(|has| |#2| (-365)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(|has| |#2| (-366)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T) (($) . T)) 
 (((|#1|) . T)) 
-((((-568) (-2 (|:| |k| (-568)) (|:| |c| |#1|))) . T)) 
-((((-852 |#1|)) . T)) 
-((((-2 (|:| |k| (-568)) (|:| |c| |#1|))) . T)) 
-((((-1159 |#1| |#2| |#3|)) |has| |#1| (-365))) 
-((((-1159 |#1| |#2| |#3|)) |has| |#1| (-365))) 
-((((-1125 |#1| |#2|)) . T)) 
-(((|#2|) . T) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-((((-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) . T)) 
-((($) . T)) 
-(|has| |#1| (-1021)) 
-(((|#2|) . T) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-((((-850)) . T)) 
-((((-541)) |has| |#2| (-609 (-541))) (((-887 (-568))) |has| |#2| (-609 (-887 (-568)))) (((-887 (-381))) |has| |#2| (-609 (-887 (-381)))) (((-381)) |has| |#2| (-1021)) (((-215)) |has| |#2| (-1021))) 
-((((-1161) (-57)) . T)) 
-(|has| |#1| (-43 (-409 (-568)))) 
-(|has| |#1| (-43 (-409 (-568)))) 
-((((-860)) . T) (((-409 (-568))) . T) (($) . T)) 
-((((-409 (-568))) . T) (($) . T)) 
+((((-569) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T)) 
+((((-853 |#1|)) . T)) 
+((((-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T)) 
+((((-1161 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+((((-1161 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+((((-1126 |#1| |#2|)) . T)) 
+(((|#2|) . T) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) . T)) 
+((($) . T)) 
+(|has| |#1| (-1022)) 
+(((|#2|) . T) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-851)) . T)) 
+((((-542)) |has| |#2| (-610 (-542))) (((-888 (-569))) |has| |#2| (-610 (-888 (-569)))) (((-888 (-382))) |has| |#2| (-610 (-888 (-382)))) (((-382)) |has| |#2| (-1022)) (((-216)) |has| |#2| (-1022))) 
+((((-1163) (-57)) . T)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+((((-861)) . T) (((-410 (-569))) . T) (($) . T)) 
+((((-410 (-569))) . T) (($) . T)) 
 (((|#2|) . T)) 
 ((($ $) . T)) 
-((((-409 (-568))) . T) (((-688)) . T) (($) . T)) 
-((((-568) (-2 (|:| |k| (-568)) (|:| |c| |#1|))) . T) (($ $) . T)) 
-((((-1159 |#1| |#2| |#3|)) . T)) 
-((((-1159 |#1| |#2| |#3|)) . T) (((-1151 |#1| |#2| |#3|)) . T)) 
-((((-850)) . T)) 
-((((-850)) |has| |#1| (-1090))) 
-((((-568) |#1|) . T)) 
-((((-1159 |#1| |#2| |#3|)) |has| |#1| (-365))) 
+((((-410 (-569))) . T) (((-689)) . T) (($) . T)) 
+((((-569) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T) (($ $) . T)) 
+((((-1161 |#1| |#2| |#3|)) . T)) 
+((((-1161 |#1| |#2| |#3|)) . T) (((-1153 |#1| |#2| |#3|)) . T)) 
+((((-851)) . T)) 
+((((-851)) |has| |#1| (-1091))) 
+((((-569) |#1|) . T)) 
+((((-1161 |#1| |#2| |#3|)) |has| |#1| (-366))) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#1|) . T)) 
 (((|#2|) . T)) 
-(|has| |#2| (-365)) 
-(((|#3|) . T) ((|#2|) . T) (($) -2199 (|has| |#4| (-172)) (|has| |#4| (-840)) (|has| |#4| (-1047))) ((|#4|) -2199 (|has| |#4| (-172)) (|has| |#4| (-365)) (|has| |#4| (-1047)))) 
-(((|#2|) . T) (($) -2199 (|has| |#3| (-172)) (|has| |#3| (-840)) (|has| |#3| (-1047))) ((|#3|) -2199 (|has| |#3| (-172)) (|has| |#3| (-365)) (|has| |#3| (-1047)))) 
+(|has| |#2| (-366)) 
+(((|#3|) . T) ((|#2|) . T) (($) -2232 (|has| |#4| (-173)) (|has| |#4| (-841)) (|has| |#4| (-1048))) ((|#4|) -2232 (|has| |#4| (-173)) (|has| |#4| (-366)) (|has| |#4| (-1048)))) 
+(((|#2|) . T) (($) -2232 (|has| |#3| (-173)) (|has| |#3| (-841)) (|has| |#3| (-1048))) ((|#3|) -2232 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-1048)))) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-365)) 
+(|has| |#1| (-366)) 
 ((((-125 |#1|)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-409 (-568))) |has| |#2| (-1037 (-409 (-568)))) (((-568)) |has| |#2| (-1037 (-568))) ((|#2|) . T) (((-852 |#1|)) . T)) 
-((((-541)) |has| (-169 (-215)) (-609 (-541)))) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-541)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
+((((-410 (-569))) |has| |#2| (-1038 (-410 (-569)))) (((-569)) |has| |#2| (-1038 (-569))) ((|#2|) . T) (((-853 |#1|)) . T)) 
+((((-542)) |has| (-170 (-216)) (-610 (-542)))) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-542)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
 (((|#1|) . T)) 
-((((-850)) |has| |#1| (-1090))) 
-((((-568) |#1|) . T)) 
+((((-851)) |has| |#1| (-1091))) 
+((((-569) |#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(((|#2| $) -12 (|has| |#1| (-365)) (|has| |#2| (-281 |#2| |#2|))) (($ $) . T)) 
+(((|#2| $) -12 (|has| |#1| (-366)) (|has| |#2| (-282 |#2| |#2|))) (($ $) . T)) 
 ((($ $) . T)) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-904))) 
-(-2199 (|has| |#1| (-842)) (|has| |#1| (-1090))) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-((((-850)) . T)) 
-(((|#1| (-534 |#2|)) . T)) 
-((((-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) . T)) 
-(((|#1| (-568)) . T)) 
-(((|#1| (-409 (-568))) . T)) 
-(((|#1| (-763)) . T)) 
-(((|#1| (-763)) . T)) 
-(((|#1|) . T)) 
-((((-125 |#1|)) . T) (($) . T) (((-409 (-568))) . T)) 
-(-2199 (|has| |#2| (-453)) (|has| |#2| (-558)) (|has| |#2| (-904))) 
-(-2199 (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) 
-((($) . T)) 
-(((|#2| (-534 (-852 |#1|))) . T)) 
-((((-2 (|:| |k| (-568)) (|:| |c| |#1|))) . T)) 
-((((-568) |#1|) . T)) 
-(((|#2|) . T)) 
-(((|#2| (-763)) . T)) 
-((((-850)) |has| |#1| (-1090))) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-905))) 
+(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+((((-851)) . T)) 
+(((|#1| (-535 |#2|)) . T)) 
+((((-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) . T)) 
+(((|#1| (-569)) . T)) 
+(((|#1| (-410 (-569))) . T)) 
+(((|#1| (-764)) . T)) 
+(((|#1| (-764)) . T)) 
+(((|#1|) . T)) 
+((((-125 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
+(-2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
+(-2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+((($) . T)) 
+(((|#2| (-535 (-853 |#1|))) . T)) 
+((((-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T)) 
+((((-569) |#1|) . T)) 
+(((|#2|) . T)) 
+(((|#2| (-764)) . T)) 
+((((-851)) |has| |#1| (-1091))) 
 (((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-1143) |#1|) . T)) 
-((((-409 |#2|)) . T)) 
-((((-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-(|has| |#1| (-558)) 
-(|has| |#1| (-558)) 
-((($) -2199 (|has| |#1| (-365)) (|has| |#1| (-453)) (|has| |#1| (-558)) (|has| |#1| (-904))) ((|#1|) |has| |#1| (-172)) (((-409 (-568))) |has| |#1| (-43 (-409 (-568))))) 
+((((-1145) |#1|) . T)) 
+((((-410 |#2|)) . T)) 
+((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+(|has| |#1| (-559)) 
+(|has| |#1| (-559)) 
+((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-569)) . T)) 
 ((($) . T) ((|#2|) . T)) 
 (((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
-(((|#2| $) |has| |#2| (-281 |#2| |#2|))) 
-(((|#1| (-634 |#1|)) |has| |#1| (-840))) 
-(-2199 (|has| |#1| (-225)) (|has| |#1| (-350))) 
-(-2199 (|has| |#1| (-365)) (|has| |#1| (-350))) 
-(|has| |#1| (-1090)) 
-(((|#1|) . T)) 
-(|has| |#1| (-1136)) 
-((((-409 (-568))) . T) (($) . T)) 
-((((-999 |#1|)) . T) ((|#1|) . T) (((-568)) -2199 (|has| (-999 |#1|) (-1037 (-568))) (|has| |#1| (-1037 (-568)))) (((-409 (-568))) -2199 (|has| (-999 |#1|) (-1037 (-409 (-568)))) (|has| |#1| (-1037 (-409 (-568)))))) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-((((-1161)) |has| |#1| (-895 (-1161)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) 
-((((-568) (-169 (-215))) . T)) 
-((((-568) (-215)) . T)) 
-(((|#1| (-599 |#1| |#3|) (-599 |#1| |#2|)) . T)) 
-(((|#1|) . T)) 
-((((-169 (-215))) . T)) 
-((((-215)) . T)) 
+(((|#2| $) |has| |#2| (-282 |#2| |#2|))) 
+(((|#1| (-635 |#1|)) |has| |#1| (-841))) 
+(-2232 (|has| |#1| (-226)) (|has| |#1| (-351))) 
+(-2232 (|has| |#1| (-366)) (|has| |#1| (-351))) 
+(|has| |#1| (-1091)) 
+(((|#1|) . T)) 
+(|has| |#1| (-1137)) 
+((((-410 (-569))) . T) (($) . T)) 
+((((-1000 |#1|)) . T) ((|#1|) . T) (((-569)) -2232 (|has| (-1000 |#1|) (-1038 (-569))) (|has| |#1| (-1038 (-569)))) (((-410 (-569))) -2232 (|has| (-1000 |#1|) (-1038 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569)))))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-1163)) |has| |#1| (-896 (-1163)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-569) (-170 (-216))) . T)) 
+((((-569) (-216)) . T)) 
+(((|#1| (-600 |#1| |#3|) (-600 |#1| |#2|)) . T)) 
+(((|#1|) . T)) 
+((((-170 (-216))) . T)) 
+((((-216)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-((((-1125 |#1| |#2|) (-1125 |#1| |#2|)) |has| (-1125 |#1| |#2|) (-303 (-1125 |#1| |#2|)))) 
-(((|#2| |#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) |has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))))) 
-((((-125 |#1|)) |has| (-125 |#1|) (-303 (-125 |#1|)))) 
-(-2199 (|has| |#1| (-842)) (|has| |#1| (-1090))) 
+((((-1126 |#1| |#2|) (-1126 |#1| |#2|)) |has| (-1126 |#1| |#2|) (-304 (-1126 |#1| |#2|)))) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 
+((((-125 |#1|)) |has| (-125 |#1|) (-304 (-125 |#1|)))) 
+(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
 ((($ $) . T)) 
-((($ $) . T) (((-852 |#1|) $) . T) (((-852 |#1|) |#2|) . T)) 
-((($ $) . T) ((|#2| $) |has| |#1| (-225)) ((|#2| |#1|) |has| |#1| (-225)) ((|#3| |#1|) . T) ((|#3| $) . T)) 
-(((-652 . -1090) T) ((-257 . -523) 155696) ((-242 . -523) 155634) ((-575 . -120) 155619) ((-534 . -23) T) ((-240 . -1090) 155569) ((-126 . -303) 155513) ((-490 . -523) 155273) ((-683 . -105) T) ((-1126 . -523) 155181) ((-392 . -137) T) ((-1255 . -977) 155150) ((-218 . -19) 155132) ((-145 . -19) 155107) ((-599 . -499) 155091) ((-814 . -838) T) ((-613 . -137) T) ((-531 . -62) 155041) ((-218 . -601) 155016) ((-145 . -601) 154984) ((-64 . -523) 154917) ((-527 . -523) 154850) ((-420 . -895) 154809) ((-169 . -1047) T) ((-525 . -523) 154742) ((-506 . -523) 154675) ((-505 . -523) 154608) ((-794 . -1037) 154391) ((-688 . -43) 154356) ((-341 . -350) T) ((-1155 . -1136) 154334) ((-1084 . -1083) 154318) ((-1084 . -1090) 154296) ((-169 . -238) 154247) ((-169 . -225) 154198) ((-1084 . -1085) 154156) ((-866 . -281) 154114) ((-215 . -790) T) ((-215 . -787) T) ((-683 . -279) NIL) ((-1135 . -1172) 154093) ((-409 . -993) 154077) ((-968 . -105) T) ((-690 . -21) T) ((-690 . -25) T) ((-1257 . -637) 154051) ((-1155 . -43) 153880) ((-310 . -161) 153859) ((-310 . -146) 153838) ((-1135 . -111) 153788) ((-139 . -25) T) ((-45 . -223) 153765) ((-125 . -21) T) ((-125 . -25) T) ((-603 . -283) 153741) ((-480 . -283) 153720) ((-1216 . -1047) T) ((-847 . -1047) T) ((-794 . -336) 153704) ((-126 . -1136) NIL) ((-96 . -608) 153671) ((-489 . -137) T) ((-591 . -1195) T) ((-1216 . -324) 153648) ((-575 . -1047) T) ((-1216 . -225) T) ((-652 . -707) 153632) ((-958 . -283) 153609) ((-774 . -499) 153561) ((-65 . -39) T) ((-1058 . -790) T) ((-1058 . -787) T) ((-811 . -716) T) ((-721 . -52) 153526) ((-615 . -43) 153513) ((-356 . -285) T) ((-353 . -285) T) ((-342 . -285) T) ((-257 . -285) 153444) ((-242 . -285) 153375) ((-1023 . -105) T) ((-415 . -716) T) ((-126 . -43) 153320) ((-415 . -478) T) ((-355 . -105) T) ((-1190 . -1054) T) ((-701 . -1054) T) ((-1239 . -1234) 153304) ((-1239 . -1221) 153281) ((-1159 . -52) 153258) ((-1158 . -52) 153228) ((-1151 . -52) 153205) ((-1035 . -154) 153151) ((-905 . -285) T) ((-1114 . -52) 153123) ((-683 . -303) NIL) ((-524 . -608) 153105) ((-519 . -608) 153087) ((-517 . -608) 153069) ((-325 . -1090) 153019) ((-116 . -105) T) ((-702 . -453) 152950) ((-53 . -105) T) ((-1227 . -281) 152935) ((-1206 . -281) 152855) ((-634 . -658) 152839) ((-634 . -640) 152823) ((-337 . -21) T) ((-337 . -25) T) ((-45 . -350) NIL) ((-860 . -1090) T) ((-173 . -21) T) ((-173 . -25) T) ((-855 . -1090) T) ((-634 . -375) 152807) ((-599 . -281) 152784) ((-390 . -105) T) ((-1108 . -146) T) ((-135 . -608) 152751) ((-869 . -1090) T) ((-648 . -413) 152735) ((-704 . -608) 152717) ((-1257 . -716) T) ((-218 . -608) 152699) ((-218 . -609) 152681) ((-162 . -608) 152663) ((-158 . -608) 152645) ((-145 . -608) 152627) ((-145 . -609) 152579) ((-1092 . -39) T) ((-116 . -117) T) ((-865 . -790) NIL) ((-865 . -787) NIL) ((-849 . -842) T) ((-721 . -881) NIL) ((-1266 . -137) T) ((-383 . -137) T) ((-899 . -105) T) ((-721 . -1037) 152455) ((-534 . -137) T) ((-1078 . -413) 152439) ((-1000 . -499) 152423) ((-126 . -402) 152400) ((-1151 . -1195) 152379) ((-777 . -413) 152363) ((-775 . -413) 152347) ((-944 . -39) T) ((-683 . -1136) NIL) ((-244 . -637) 152182) ((-243 . -637) 152004) ((-812 . -916) 151983) ((-455 . -413) 151967) ((-599 . -19) 151951) ((-1131 . -1189) 151920) ((-1151 . -881) NIL) ((-1151 . -879) 151872) ((-599 . -601) 151849) ((-1182 . -608) 151816) ((-1160 . -608) 151798) ((-67 . -397) T) ((-1158 . -1037) 151733) ((-1151 . -1037) 151699) ((-774 . -281) 151632) ((-683 . -43) 151582) ((-479 . -281) 151567) ((-721 . -379) 151551) ((-860 . -707) 151516) ((-648 . -1054) T) ((-855 . -707) 151466) ((-1227 . -1002) 151432) ((-1206 . -1002) 151398) ((-1059 . -1172) 151373) ((-866 . -609) 151174) ((-866 . -608) 151156) ((-1169 . -499) 151093) ((-420 . -1021) 151071) ((-53 . -303) 151058) ((-1059 . -111) 151004) ((-490 . -499) 150941) ((-528 . -1195) T) ((-1126 . -499) 150912) ((-1151 . -336) 150864) ((-1151 . -379) 150816) ((-439 . -105) T) ((-1078 . -1054) T) ((-244 . -39) T) ((-243 . -39) T) ((-774 . -1231) 150768) ((-777 . -1054) T) ((-775 . -1054) T) ((-721 . -895) 150745) ((-455 . -1054) T) ((-774 . -601) 150690) ((-64 . -499) 150674) ((-1034 . -1053) 150648) ((-923 . -1090) T) ((-527 . -499) 150632) ((-525 . -499) 150616) ((-506 . -499) 150600) ((-505 . -499) 150584) ((-734 . -916) 150563) ((-240 . -523) 150496) ((-1034 . -120) 150463) ((-1159 . -895) 150376) ((-233 . -637) 150336) ((-662 . -1102) T) ((-1158 . -895) 150242) ((-1151 . -895) 150075) ((-1114 . -895) 150059) ((-355 . -1136) T) ((-319 . -1053) 150041) ((-244 . -786) 150020) ((-244 . -789) 149971) ((-244 . -788) 149950) ((-243 . -786) 149929) ((-243 . -789) 149880) ((-243 . -788) 149859) ((-55 . -1054) T) ((-244 . -716) 149785) ((-243 . -716) 149711) ((-1190 . -1090) T) ((-662 . -23) T) ((-581 . -1054) T) ((-526 . -1054) T) ((-381 . -1053) 149676) ((-319 . -120) 149651) ((-78 . -385) T) ((-78 . -397) T) ((-1023 . -43) 149588) ((-683 . -402) 149570) ((-101 . -105) T) ((-701 . -1090) T) ((-1003 . -148) 149542) ((-381 . -120) 149491) ((-314 . -1199) 149470) ((-479 . -1002) 149436) ((-355 . -43) 149401) ((-45 . -372) 149373) ((-1003 . -150) 149345) ((-136 . -134) 149329) ((-130 . -134) 149313) ((-829 . -1053) 149283) ((-828 . -21) 149235) ((-822 . -1053) 149219) ((-828 . -25) 149171) ((-314 . -558) 149122) ((-568 . -823) T) ((-232 . -1195) T) ((-860 . -172) T) ((-855 . -172) T) ((-829 . -120) 149087) ((-822 . -120) 149066) ((-1227 . -608) 149048) ((-1206 . -608) 149030) ((-1206 . -609) 148701) ((-1157 . -904) 148680) ((-1113 . -904) 148659) ((-53 . -43) 148624) ((-1264 . -1102) T) ((-599 . -608) 148563) ((-599 . -609) 148524) ((-1262 . -1102) T) ((-232 . -1037) 148351) ((-1157 . -637) 148276) ((-1113 . -637) 148201) ((-708 . -608) 148183) ((-846 . -637) 148157) ((-1264 . -23) T) ((-1262 . -23) T) ((-1155 . -223) 148141) ((-1034 . -1047) T) ((-1169 . -281) 148120) ((-169 . -370) 148071) ((-1004 . -1195) T) ((-49 . -23) T) ((-1270 . -105) T) ((-1190 . -707) 147968) ((-490 . -281) 147947) ((-585 . -1090) T) ((-1176 . -1090) T) ((-1131 . -1099) 147916) ((-1094 . -1093) 147868) ((-392 . -21) T) ((-392 . -25) T) ((-155 . -1102) T) ((-1004 . -1037) 147828) ((-1004 . -879) 147810) ((-1004 . -881) 147792) ((-733 . -105) T) ((-233 . -716) T) ((-615 . -223) 147776) ((-613 . -21) T) ((-284 . -558) T) ((-613 . -25) T) ((-701 . -707) 147741) ((-381 . -1047) T) ((-232 . -379) 147710) ((-218 . -283) 147685) ((-145 . -283) 147653) ((-213 . -1054) T) ((-126 . -223) 147630) ((-64 . -281) 147607) ((-155 . -23) T) ((-525 . -281) 147584) ((-325 . -523) 147517) ((-505 . -281) 147494) ((-381 . -238) T) ((-381 . -225) T) ((-857 . -608) 147476) ((-829 . -1047) T) ((-822 . -1047) T) ((-774 . -608) 147458) ((-774 . -609) NIL) ((-702 . -950) 147427) ((-690 . -842) T) ((-479 . -608) 147409) ((-822 . -225) 147388) ((-139 . -842) T) ((-648 . -1090) T) ((-1169 . -601) 147367) ((-551 . -1172) 147346) ((-334 . -1090) T) ((-314 . -365) 147325) ((-409 . -150) 147304) ((-409 . -148) 147283) ((-236 . -1090) T) ((-965 . -1102) 147182) ((-232 . -895) 147114) ((-810 . -1102) 147024) ((-644 . -844) 147008) ((-490 . -601) 146987) ((-551 . -111) 146937) ((-1004 . -379) 146919) ((-1004 . -336) 146901) ((-99 . -1090) T) ((-965 . -23) 146712) ((-489 . -21) T) ((-489 . -25) T) ((-810 . -23) 146582) ((-1161 . -608) 146564) ((-64 . -19) 146548) ((-1161 . -609) 146470) ((-1157 . -716) T) ((-1113 . -716) T) ((-525 . -19) 146454) ((-505 . -19) 146438) ((-64 . -601) 146415) ((-1078 . -1090) T) ((-896 . -105) 146393) ((-846 . -716) T) ((-777 . -1090) T) ((-525 . -601) 146370) ((-505 . -601) 146347) ((-775 . -1090) T) ((-775 . -1061) 146314) ((-463 . -1090) T) ((-455 . -1090) T) ((-1239 . -105) T) ((-585 . -707) 146289) ((-259 . -105) 146267) ((-638 . -1090) T) ((-1239 . -279) 146233) ((-1235 . -52) 146210) ((-1229 . -105) T) ((-1228 . -52) 146180) ((-1004 . -895) NIL) ((-1207 . -52) 146157) ((-618 . -1102) T) ((-662 . -137) T) ((-1201 . -52) 146134) ((-1190 . -172) 146085) ((-1158 . -301) 146064) ((-1151 . -301) 146043) ((-1073 . -1199) 145994) ((-271 . -1090) T) ((-90 . -442) T) ((-90 . -397) T) ((-1073 . -558) 145945) ((-770 . -608) 145927) ((-55 . -1090) T) ((-701 . -172) T) ((-593 . -52) 145904) ((-215 . -637) 145869) ((-581 . -1090) T) ((-537 . -1090) T) ((-526 . -1090) T) ((-361 . -1199) T) ((-354 . -1199) T) ((-343 . -1199) T) ((-497 . -815) T) ((-497 . -916) T) ((-314 . -1102) T) ((-112 . -1199) T) ((-733 . -303) 145856) ((-337 . -842) T) ((-208 . -916) T) ((-208 . -815) T) ((-704 . -1053) 145826) ((-361 . -558) T) ((-354 . -558) T) ((-343 . -558) T) ((-112 . -558) T) ((-1151 . -1021) NIL) ((-648 . -707) 145796) ((-860 . -285) T) ((-855 . -285) T) ((-314 . -23) T) ((-72 . -1195) T) ((-1000 . -608) 145763) ((-683 . -223) 145745) ((-236 . -707) 145727) ((-704 . -120) 145692) ((-634 . -39) T) ((-240 . -499) 145676) ((-1092 . -1087) 145660) ((-171 . -1090) T) ((-953 . -904) 145639) ((-492 . -904) 145618) ((-1266 . -21) T) ((-1266 . -25) T) ((-1264 . -137) T) ((-1262 . -137) T) ((-1078 . -707) 145467) ((-1058 . -637) 145454) ((-953 . -637) 145379) ((-777 . -707) 145208) ((-541 . -608) 145190) ((-541 . -609) 145171) ((-775 . -707) 145020) ((-1255 . -105) T) ((-1070 . -105) T) ((-383 . -25) T) ((-383 . -21) T) ((-492 . -637) 144945) ((-463 . -707) 144916) ((-455 . -707) 144765) ((-988 . -105) T) ((-727 . -105) T) ((-1270 . -1136) T) ((-534 . -25) T) ((-1207 . -1195) 144744) ((-1240 . -608) 144710) ((-1207 . -881) NIL) ((-1207 . -879) 144662) ((-142 . -105) T) ((-49 . -137) T) ((-1169 . -609) NIL) ((-1169 . -608) 144644) ((-1127 . -1111) 144589) ((-341 . -1054) T) ((-656 . -608) 144571) ((-284 . -1102) T) ((-356 . -608) 144553) ((-353 . -608) 144535) ((-342 . -608) 144517) ((-257 . -609) 144265) ((-257 . -608) 144247) ((-242 . -608) 144229) ((-242 . -609) 144090) ((-1044 . -1189) 144019) ((-896 . -303) 143957) ((-1228 . -1037) 143892) ((-1207 . -1037) 143858) ((-1190 . -523) 143825) ((-1126 . -608) 143807) ((-814 . -716) T) ((-581 . -707) 143772) ((-599 . -283) 143749) ((-526 . -707) 143694) ((-490 . -609) NIL) ((-490 . -608) 143676) ((-310 . -105) T) ((-259 . -303) 143614) ((-307 . -105) T) ((-284 . -23) T) ((-155 . -137) T) ((-967 . -608) 143596) ((-905 . -608) 143578) ((-388 . -716) T) ((-866 . -1053) 143530) ((-905 . -609) 143512) ((-866 . -120) 143443) ((-733 . -43) 143367) ((-141 . -105) T) ((-123 . -105) T) ((-702 . -1219) 143351) ((-704 . -1047) T) ((-683 . -350) NIL) ((-527 . -608) 143318) ((-381 . -790) T) ((-213 . -1090) T) ((-381 . -787) T) ((-215 . -789) T) ((-215 . -786) T) ((-64 . -609) 143279) ((-64 . -608) 143218) ((-215 . -716) T) ((-525 . -609) 143179) ((-525 . -608) 143118) ((-506 . -608) 143085) ((-505 . -609) 143046) ((-505 . -608) 142985) ((-1073 . -365) 142936) ((-45 . -413) 142913) ((-82 . -1195) T) ((-118 . -105) T) ((-966 . -971) 142897) ((-865 . -904) NIL) ((-361 . -327) 142881) ((-361 . -365) T) ((-354 . -327) 142865) ((-354 . -365) T) ((-343 . -327) 142849) ((-343 . -365) T) ((-310 . -279) 142828) ((-112 . -365) T) ((-75 . -1195) T) ((-1207 . -336) 142780) ((-865 . -637) 142725) ((-1207 . -379) 142677) ((-965 . -137) 142532) ((-810 . -137) 142402) ((-958 . -640) 142386) ((-1078 . -172) 142297) ((-1058 . -789) T) ((-958 . -375) 142281) ((-1058 . -786) T) ((-118 . -117) T) ((-774 . -283) 142226) ((-777 . -172) 142117) ((-775 . -172) 142028) ((-811 . -52) 141990) ((-1058 . -716) T) ((-325 . -499) 141974) ((-953 . -716) T) ((-455 . -172) 141885) ((-240 . -281) 141862) ((-492 . -716) T) ((-1255 . -303) 141800) ((-1239 . -43) 141697) ((-1235 . -895) 141610) ((-1228 . -895) 141516) ((-1227 . -1053) 141351) ((-1207 . -895) 141184) ((-1206 . -1053) 140992) ((-1201 . -895) 140905) ((-1190 . -285) 140884) ((-1131 . -154) 140868) ((-1068 . -105) T) ((-927 . -955) T) ((-727 . -303) 140806) ((-80 . -1195) T) ((-169 . -904) 140759) ((-34 . -105) T) ((-656 . -384) 140731) ((-30 . -955) T) ((-1 . -608) 140713) ((-1108 . -105) T) ((-1073 . -23) T) ((-55 . -612) 140697) ((-1073 . -1102) T) ((-1003 . -411) 140669) ((-593 . -895) 140582) ((-440 . -105) T) ((-142 . -303) NIL) ((-866 . -1047) T) ((-828 . -842) 140561) ((-86 . -1195) T) ((-701 . -285) T) ((-45 . -1054) T) ((-581 . -172) T) ((-526 . -172) T) ((-520 . -608) 140543) ((-169 . -637) 140453) ((-516 . -608) 140435) ((-352 . -150) 140417) ((-352 . -148) T) ((-361 . -1102) T) ((-354 . -1102) T) ((-343 . -1102) T) ((-1004 . -301) T) ((-910 . -301) T) ((-866 . -238) T) ((-112 . -1102) T) ((-866 . -225) 140396) ((-733 . -402) 140380) ((-1227 . -120) 140194) ((-1206 . -120) 139976) ((-240 . -1231) 139960) ((-568 . -840) T) ((-361 . -23) T) ((-355 . -350) T) ((-310 . -303) 139947) ((-307 . -303) 139843) ((-354 . -23) T) ((-314 . -137) T) ((-343 . -23) T) ((-1004 . -1021) T) ((-112 . -23) T) ((-240 . -601) 139820) ((-1229 . -43) 139677) ((-1216 . -904) 139656) ((-121 . -1090) T) ((-1035 . -105) T) ((-1216 . -637) 139581) ((-865 . -789) NIL) ((-847 . -637) 139555) ((-865 . -786) NIL) ((-811 . -881) NIL) ((-865 . -716) T) ((-1078 . -523) 139418) ((-777 . -523) 139364) ((-775 . -523) 139316) ((-575 . -637) 139303) ((-811 . -1037) 139131) ((-455 . -523) 139069) ((-390 . -391) T) ((-65 . -1195) T) ((-613 . -842) 139048) ((-509 . -651) T) ((-1131 . -977) 139017) ((-857 . -1053) 138969) ((-774 . -1053) 138921) ((-1003 . -453) T) ((-688 . -840) T) ((-519 . -787) T) ((-479 . -1053) 138756) ((-341 . -1090) T) ((-307 . -1136) NIL) ((-284 . -137) T) ((-396 . -1090) T) ((-864 . -1054) T) ((-683 . -372) 138723) ((-857 . -120) 138654) ((-774 . -120) 138585) ((-213 . -612) 138562) ((-325 . -281) 138539) ((-479 . -120) 138353) ((-1227 . -1047) T) ((-1206 . -1047) T) ((-811 . -379) 138337) ((-169 . -716) T) ((-644 . -105) T) ((-1227 . -238) 138316) ((-1227 . -225) 138268) ((-1206 . -225) 138173) ((-1206 . -238) 138152) ((-1003 . -404) NIL) ((-662 . -630) 138100) ((-310 . -43) 138010) ((-307 . -43) 137939) ((-74 . -608) 137921) ((-314 . -502) 137887) ((-1169 . -283) 137866) ((-1103 . -1102) 137776) ((-88 . -1195) T) ((-66 . -608) 137758) ((-490 . -283) 137737) ((-1257 . -1037) 137714) ((-1149 . -1090) T) ((-1103 . -23) 137584) ((-811 . -895) 137520) ((-1216 . -716) T) ((-1092 . -1195) T) ((-1078 . -285) 137451) ((-888 . -105) T) ((-777 . -285) 137362) ((-325 . -19) 137346) ((-64 . -283) 137323) ((-775 . -285) 137254) ((-847 . -716) T) ((-126 . -840) NIL) ((-525 . -283) 137231) ((-325 . -601) 137208) ((-505 . -283) 137185) ((-455 . -285) 137116) ((-1035 . -303) 136967) ((-575 . -716) T) ((-652 . -608) 136949) ((-240 . -609) 136910) ((-240 . -608) 136849) ((-1132 . -39) T) ((-944 . -1195) T) ((-341 . -707) 136794) ((-857 . -1047) T) ((-774 . -1047) T) ((-662 . -25) T) ((-662 . -21) T) ((-1108 . -1136) T) ((-479 . -1047) T) ((-626 . -419) 136759) ((-602 . -419) 136724) ((-922 . -1090) T) ((-857 . -225) T) ((-857 . -238) T) ((-774 . -225) 136683) ((-774 . -238) T) ((-581 . -285) T) ((-526 . -285) T) ((-1228 . -301) 136662) ((-479 . -225) 136614) ((-479 . -238) 136593) ((-1207 . -301) 136572) ((-1073 . -137) T) ((-866 . -790) 136551) ((-147 . -105) T) ((-45 . -1090) T) ((-866 . -787) 136530) ((-634 . -1010) 136514) ((-580 . -1054) T) ((-568 . -1054) T) ((-504 . -1054) T) ((-409 . -453) T) ((-361 . -137) T) ((-310 . -402) 136498) ((-307 . -402) 136459) ((-354 . -137) T) ((-343 . -137) T) ((-1207 . -1021) NIL) ((-1084 . -608) 136426) ((-112 . -137) T) ((-1108 . -43) 136413) ((-917 . -1090) T) ((-763 . -1090) T) ((-663 . -1090) T) ((-690 . -150) T) ((-1155 . -413) 136397) ((-125 . -150) T) ((-1264 . -21) T) ((-1264 . -25) T) ((-1262 . -21) T) ((-1262 . -25) T) ((-656 . -1053) 136381) ((-534 . -842) T) ((-509 . -842) T) ((-356 . -1053) 136333) ((-353 . -1053) 136285) ((-342 . -1053) 136237) ((-244 . -1195) T) ((-243 . -1195) T) ((-257 . -1053) 136080) ((-242 . -1053) 135923) ((-656 . -120) 135902) ((-356 . -120) 135833) ((-353 . -120) 135764) ((-342 . -120) 135695) ((-257 . -120) 135517) ((-242 . -120) 135339) ((-812 . -1199) 135318) ((-615 . -413) 135302) ((-49 . -21) T) ((-49 . -25) T) ((-810 . -630) 135208) ((-812 . -558) 135187) ((-244 . -1037) 135014) ((-243 . -1037) 134841) ((-135 . -128) 134825) ((-905 . -1053) 134790) ((-688 . -1054) T) ((-702 . -105) T) ((-218 . -640) 134772) ((-145 . -640) 134747) ((-341 . -172) T) ((-218 . -375) 134729) ((-145 . -375) 134704) ((-155 . -21) T) ((-155 . -25) T) ((-93 . -608) 134686) ((-905 . -120) 134635) ((-45 . -707) 134580) ((-864 . -1090) T) ((-325 . -609) 134541) ((-325 . -608) 134480) ((-1206 . -787) 134433) ((-1155 . -1054) T) ((-1206 . -790) 134386) ((-244 . -379) 134355) ((-243 . -379) 134324) ((-860 . -608) 134306) ((-855 . -608) 134288) ((-644 . -43) 134258) ((-603 . -39) T) ((-493 . -1102) 134168) ((-480 . -39) T) ((-1103 . -137) 134038) ((-1163 . -558) 134017) ((-965 . -25) 133828) ((-869 . -608) 133810) ((-965 . -21) 133765) ((-810 . -21) 133675) ((-810 . -25) 133526) ((-1157 . -52) 133503) ((-615 . -1054) T) ((-1113 . -52) 133475) ((-464 . -1090) T) ((-356 . -1047) T) ((-353 . -1047) T) ((-493 . -23) 133345) ((-342 . -1047) T) ((-257 . -1047) T) ((-242 . -1047) T) ((-1034 . -637) 133319) ((-126 . -1054) T) ((-958 . -39) T) ((-734 . -1199) 133298) ((-356 . -225) 133277) ((-356 . -238) T) ((-353 . -225) 133256) ((-353 . -238) T) ((-342 . -225) 133235) ((-242 . -324) 133192) ((-342 . -238) T) ((-257 . -324) 133164) ((-257 . -225) 133143) ((-1141 . -154) 133127) ((-734 . -558) 133038) ((-244 . -895) 132970) ((-243 . -895) 132902) ((-1075 . -842) T) ((-1210 . -1195) T) ((-416 . -1102) T) ((-1051 . -23) T) ((-905 . -1047) T) ((-319 . -637) 132884) ((-1023 . -840) T) ((-1190 . -1002) 132850) ((-1158 . -916) 132829) ((-1151 . -916) 132808) ((-905 . -238) T) ((-812 . -365) 132787) ((-387 . -23) T) ((-136 . -1090) 132765) ((-130 . -1090) 132743) ((-905 . -225) T) ((-1151 . -815) NIL) ((-381 . -637) 132708) ((-864 . -707) 132695) ((-1044 . -154) 132660) ((-45 . -172) T) ((-683 . -413) 132642) ((-702 . -303) 132629) ((-829 . -637) 132589) ((-822 . -637) 132563) ((-314 . -25) T) ((-314 . -21) T) ((-648 . -281) 132542) ((-580 . -1090) T) ((-568 . -1090) T) ((-504 . -1090) T) ((-240 . -283) 132519) ((-307 . -223) 132480) ((-1157 . -881) NIL) ((-1113 . -881) 132339) ((-1157 . -1037) 132219) ((-1113 . -1037) 132102) ((-846 . -1037) 131998) ((-777 . -281) 131925) ((-923 . -608) 131907) ((-812 . -1102) T) ((-1034 . -716) T) ((-599 . -640) 131891) ((-1044 . -977) 131820) ((-999 . -105) T) ((-812 . -23) T) ((-702 . -1136) 131798) ((-683 . -1054) T) ((-599 . -375) 131782) ((-352 . -453) T) ((-341 . -285) T) ((-1245 . -1090) T) ((-465 . -105) T) ((-401 . -105) T) ((-284 . -21) T) ((-284 . -25) T) ((-363 . -716) T) ((-700 . -1090) T) ((-688 . -1090) T) ((-363 . -478) T) ((-1190 . -608) 131764) ((-1157 . -379) 131748) ((-1113 . -379) 131732) ((-1023 . -413) 131694) ((-142 . -221) 131676) ((-381 . -789) T) ((-381 . -786) T) ((-864 . -172) T) ((-381 . -716) T) ((-701 . -608) 131658) ((-702 . -43) 131487) ((-1244 . -1242) 131471) ((-352 . -404) T) ((-1244 . -1090) 131421) ((-580 . -707) 131408) ((-568 . -707) 131395) ((-504 . -707) 131360) ((-857 . -1261) 131344) ((-310 . -620) 131323) ((-829 . -716) T) ((-822 . -716) T) ((-1155 . -1090) T) ((-634 . -1195) T) ((-1073 . -630) 131271) ((-1157 . -895) 131214) ((-1113 . -895) 131198) ((-652 . -1053) 131182) ((-112 . -630) 131164) ((-493 . -137) 131034) ((-774 . -640) 130986) ((-1163 . -1102) T) ((-857 . -370) T) ((-953 . -52) 130955) ((-734 . -1102) T) ((-615 . -1090) T) ((-652 . -120) 130934) ((-325 . -283) 130911) ((-492 . -52) 130868) ((-1163 . -23) T) ((-126 . -1090) T) ((-106 . -105) 130846) ((-734 . -23) T) ((-1254 . -1102) T) ((-1051 . -137) T) ((-1023 . -1054) T) ((-814 . -1037) 130830) ((-1003 . -714) 130802) ((-1254 . -23) T) ((-688 . -707) 130767) ((-585 . -608) 130749) ((-388 . -1037) 130733) ((-355 . -1054) T) ((-387 . -137) T) ((-321 . -1037) 130717) ((-215 . -881) 130699) ((-1004 . -916) T) ((-96 . -39) T) ((-1004 . -815) T) ((-910 . -916) T) ((-497 . -1199) T) ((-1176 . -608) 130681) ((-1095 . -1090) T) ((-208 . -1199) T) ((-999 . -303) 130646) ((-215 . -1037) 130606) ((-45 . -285) T) ((-1073 . -21) T) ((-1073 . -25) T) ((-1108 . -823) T) ((-497 . -558) T) ((-361 . -25) T) ((-208 . -558) T) ((-361 . -21) T) ((-354 . -25) T) ((-354 . -21) T) ((-704 . -637) 130566) ((-343 . -25) T) ((-343 . -21) T) ((-112 . -25) T) ((-112 . -21) T) ((-53 . -1054) T) ((-1155 . -707) 130395) ((-580 . -172) T) ((-568 . -172) T) ((-504 . -172) T) ((-648 . -608) 130377) ((-727 . -726) 130361) ((-334 . -608) 130343) ((-236 . -608) 130325) ((-73 . -385) T) ((-73 . -397) T) ((-1092 . -111) 130309) ((-1058 . -881) 130291) ((-953 . -881) 130216) ((-643 . -1102) T) ((-615 . -707) 130203) ((-492 . -881) NIL) ((-1131 . -105) T) ((-1058 . -1037) 130185) ((-99 . -608) 130167) ((-489 . -150) T) ((-953 . -1037) 130047) ((-126 . -707) 129992) ((-643 . -23) T) ((-492 . -1037) 129868) ((-1078 . -609) NIL) ((-1078 . -608) 129850) ((-777 . -609) NIL) ((-777 . -608) 129811) ((-775 . -609) 129445) ((-775 . -608) 129359) ((-1103 . -630) 129265) ((-463 . -608) 129247) ((-455 . -608) 129229) ((-455 . -609) 129090) ((-1035 . -221) 129036) ((-135 . -39) T) ((-812 . -137) T) ((-866 . -904) 129015) ((-638 . -608) 128997) ((-356 . -1261) 128981) ((-353 . -1261) 128965) ((-342 . -1261) 128949) ((-136 . -523) 128882) ((-130 . -523) 128815) ((-520 . -787) T) ((-520 . -790) T) ((-519 . -789) T) ((-106 . -303) 128753) ((-212 . -105) 128731) ((-218 . -39) T) ((-145 . -39) T) ((-683 . -1090) T) ((-688 . -172) T) ((-866 . -637) 128683) ((-999 . -43) 128631) ((-70 . -386) T) ((-271 . -608) 128613) ((-70 . -397) T) ((-953 . -379) 128597) ((-864 . -285) T) ((-55 . -608) 128579) ((-860 . -1053) 128544) ((-855 . -1053) 128494) ((-581 . -608) 128476) ((-581 . -609) 128458) ((-492 . -379) 128442) ((-537 . -608) 128424) ((-526 . -608) 128406) ((-905 . -1261) 128393) ((-865 . -1195) T) ((-860 . -120) 128342) ((-690 . -453) T) ((-855 . -120) 128269) ((-504 . -523) 128235) ((-497 . -365) T) ((-356 . -370) 128214) ((-353 . -370) 128193) ((-342 . -370) 128172) ((-208 . -365) T) ((-704 . -716) T) ((-125 . -453) T) ((-1155 . -172) 128063) ((-1265 . -1256) 128047) ((-865 . -879) 128024) ((-865 . -881) NIL) ((-965 . -842) 127923) ((-810 . -842) 127874) ((-644 . -646) 127858) ((-1182 . -39) T) ((-171 . -608) 127840) ((-1103 . -21) 127750) ((-1103 . -25) 127601) ((-968 . -1090) T) ((-865 . -1037) 127578) ((-953 . -895) 127559) ((-1216 . -52) 127536) ((-905 . -370) T) ((-64 . -640) 127520) ((-525 . -640) 127504) ((-492 . -895) 127481) ((-76 . -442) T) ((-76 . -397) T) ((-505 . -640) 127465) ((-64 . -375) 127449) ((-615 . -172) T) ((-525 . -375) 127433) ((-505 . -375) 127417) ((-822 . -698) 127401) ((-1157 . -301) 127380) ((-1163 . -137) T) ((-126 . -172) T) ((-734 . -137) T) ((-1131 . -303) 127318) ((-169 . -1195) T) ((-626 . -736) 127302) ((-602 . -736) 127286) ((-1254 . -137) T) ((-1228 . -916) 127265) ((-1207 . -916) 127244) ((-1207 . -815) NIL) ((-683 . -707) 127194) ((-1206 . -904) 127147) ((-1023 . -1090) T) ((-865 . -379) 127124) ((-865 . -336) 127101) ((-900 . -1102) T) ((-169 . -879) 127085) ((-169 . -881) 127010) ((-1244 . -523) 126943) ((-497 . -1102) T) ((-355 . -1090) T) ((-208 . -1102) T) ((-81 . -442) T) ((-81 . -397) T) ((-1227 . -637) 126840) ((-169 . -1037) 126736) ((-314 . -842) T) ((-860 . -1047) T) ((-855 . -1047) T) ((-1206 . -637) 126606) ((-866 . -789) 126585) ((-866 . -786) 126564) ((-1266 . -1259) 126543) ((-866 . -716) T) ((-497 . -23) T) ((-213 . -608) 126525) ((-173 . -453) T) ((-212 . -303) 126463) ((-91 . -442) T) ((-91 . -397) T) ((-860 . -238) T) ((-208 . -23) T) ((-855 . -238) T) ((-733 . -413) 126447) ((-513 . -536) 126322) ((-580 . -285) T) ((-568 . -285) T) ((-667 . -1037) 126306) ((-504 . -285) T) ((-1155 . -523) 126252) ((-141 . -475) 126207) ((-116 . -1090) T) ((-53 . -1090) T) ((-702 . -223) 126191) ((-865 . -895) NIL) ((-1216 . -881) NIL) ((-884 . -105) T) ((-880 . -105) T) ((-390 . -1090) T) ((-169 . -379) 126175) ((-169 . -336) 126159) ((-1216 . -1037) 126039) ((-847 . -1037) 125935) ((-1127 . -105) T) ((-643 . -137) T) ((-126 . -523) 125798) ((-652 . -787) 125777) ((-652 . -790) 125756) ((-575 . -1037) 125738) ((-288 . -1251) 125708) ((-853 . -105) T) ((-964 . -558) 125687) ((-1190 . -1053) 125570) ((-493 . -630) 125476) ((-899 . -1090) T) ((-1023 . -707) 125413) ((-701 . -1053) 125378) ((-857 . -637) 125330) ((-774 . -637) 125282) ((-599 . -39) T) ((-1132 . -1195) T) ((-1190 . -120) 125144) ((-479 . -637) 125041) ((-355 . -707) 124986) ((-169 . -895) 124945) ((-688 . -285) T) ((-733 . -1054) T) ((-683 . -172) T) ((-701 . -120) 124894) ((-1270 . -1054) T) ((-1216 . -379) 124878) ((-420 . -1199) 124856) ((-307 . -840) NIL) ((-420 . -558) T) ((-215 . -301) T) ((-1206 . -786) 124809) ((-1206 . -789) 124762) ((-33 . -1088) T) ((-1227 . -716) T) ((-1206 . -716) T) ((-53 . -707) 124727) ((-1155 . -285) 124638) ((-215 . -1021) T) ((-352 . -1251) 124615) ((-1229 . -413) 124581) ((-708 . -716) T) ((-1216 . -895) 124524) ((-121 . -608) 124506) ((-121 . -609) 124488) ((-708 . -478) T) ((-493 . -21) 124398) ((-136 . -499) 124382) ((-130 . -499) 124366) ((-493 . -25) 124217) ((-615 . -285) T) ((-774 . -39) T) ((-585 . -1053) 124192) ((-439 . -1090) T) ((-1058 . -301) T) ((-126 . -285) T) ((-1094 . -105) T) ((-1003 . -105) T) ((-585 . -120) 124153) ((-1239 . -1054) T) ((-1127 . -303) 124091) ((-1190 . -1047) T) ((-1058 . -1021) T) ((-71 . -1195) T) ((-1051 . -25) T) ((-1051 . -21) T) ((-701 . -1047) T) ((-387 . -21) T) ((-387 . -25) T) ((-683 . -523) NIL) ((-1023 . -172) T) ((-701 . -238) T) ((-1058 . -550) T) ((-857 . -716) T) ((-774 . -716) T) ((-511 . -105) T) ((-355 . -172) T) ((-341 . -608) 124073) ((-396 . -608) 124055) ((-479 . -716) T) ((-1108 . -840) T) ((-887 . -1037) 124023) ((-112 . -842) T) ((-648 . -1053) 124007) ((-497 . -137) T) ((-1229 . -1054) T) ((-208 . -137) T) ((-236 . -1053) 123989) ((-1141 . -105) 123967) ((-101 . -1090) T) ((-240 . -658) 123951) ((-240 . -640) 123935) ((-648 . -120) 123914) ((-310 . -413) 123898) ((-240 . -375) 123882) ((-1144 . -227) 123829) ((-999 . -223) 123813) ((-236 . -120) 123788) ((-79 . -1195) T) ((-53 . -172) T) ((-690 . -389) T) ((-690 . -146) T) ((-1265 . -105) T) ((-1078 . -1053) 123631) ((-257 . -904) 123610) ((-242 . -904) 123589) ((-777 . -1053) 123412) ((-775 . -1053) 123255) ((-603 . -1195) T) ((-1149 . -608) 123237) ((-1078 . -120) 123059) ((-1044 . -105) T) ((-480 . -1195) T) ((-463 . -1053) 123030) ((-455 . -1053) 122873) ((-656 . -637) 122857) ((-865 . -301) T) ((-777 . -120) 122659) ((-775 . -120) 122481) ((-356 . -637) 122433) ((-353 . -637) 122385) ((-342 . -637) 122337) ((-257 . -637) 122262) ((-242 . -637) 122187) ((-1143 . -842) T) ((-463 . -120) 122148) ((-455 . -120) 121970) ((-1079 . -1037) 121954) ((-1069 . -1037) 121931) ((-1000 . -39) T) ((-958 . -1195) T) ((-135 . -1010) 121915) ((-964 . -1102) T) ((-865 . -1021) NIL) ((-725 . -1102) T) ((-705 . -1102) T) ((-1244 . -499) 121899) ((-1127 . -43) 121859) ((-964 . -23) T) ((-905 . -637) 121824) ((-835 . -105) T) ((-812 . -21) T) ((-812 . -25) T) ((-725 . -23) T) ((-705 . -23) T) ((-114 . -651) T) ((-770 . -716) T) ((-581 . -1053) 121789) ((-526 . -1053) 121734) ((-219 . -62) 121692) ((-454 . -23) T) ((-409 . -105) T) ((-256 . -105) T) ((-770 . -478) T) ((-966 . -105) T) ((-683 . -285) T) ((-853 . -43) 121662) ((-581 . -120) 121611) ((-526 . -120) 121528) ((-734 . -630) 121476) ((-420 . -1102) T) ((-310 . -1054) 121366) ((-307 . -1054) T) ((-922 . -608) 121348) ((-733 . -1090) T) ((-648 . -1047) T) ((-1270 . -1090) T) ((-169 . -301) 121279) ((-420 . -23) T) ((-45 . -608) 121261) ((-45 . -609) 121245) ((-112 . -993) 121227) ((-125 . -863) 121211) ((-53 . -523) 121177) ((-1182 . -1010) 121161) ((-1169 . -39) T) ((-917 . -608) 121143) ((-1103 . -842) 121094) ((-763 . -608) 121076) ((-663 . -608) 121058) ((-1141 . -303) 120996) ((-1082 . -1195) T) ((-490 . -39) T) ((-1078 . -1047) T) ((-489 . -453) T) ((-860 . -1261) 120971) ((-855 . -1261) 120931) ((-1126 . -39) T) ((-777 . -1047) T) ((-775 . -1047) T) ((-636 . -227) 120915) ((-623 . -227) 120861) ((-1216 . -301) 120840) ((-1078 . -324) 120801) ((-455 . -1047) T) ((-1163 . -21) T) ((-1078 . -225) 120780) ((-777 . -324) 120757) ((-777 . -225) T) ((-775 . -324) 120729) ((-325 . -640) 120713) ((-721 . -1199) 120692) ((-1163 . -25) T) ((-64 . -39) T) ((-527 . -39) T) ((-525 . -39) T) ((-455 . -324) 120671) ((-325 . -375) 120655) ((-506 . -39) T) ((-505 . -39) T) ((-1003 . -1136) NIL) ((-626 . -105) T) ((-602 . -105) T) ((-721 . -558) 120586) ((-356 . -716) T) ((-353 . -716) T) ((-342 . -716) T) ((-257 . -716) T) ((-242 . -716) T) ((-734 . -25) T) ((-734 . -21) T) ((-1044 . -303) 120494) ((-1254 . -21) T) ((-1254 . -25) T) ((-896 . -1090) 120472) ((-55 . -1047) T) ((-1239 . -1090) T) ((-1159 . -558) 120451) ((-1158 . -1199) 120430) ((-1158 . -558) 120381) ((-1151 . -1199) 120360) ((-581 . -1047) T) ((-526 . -1047) T) ((-513 . -105) T) ((-1023 . -285) T) ((-363 . -1037) 120344) ((-319 . -1037) 120328) ((-259 . -1090) 120306) ((-381 . -881) 120288) ((-1151 . -558) 120239) ((-1114 . -558) 120218) ((-1003 . -43) 120163) ((-794 . -1102) T) ((-905 . -716) T) ((-581 . -238) T) ((-581 . -225) T) ((-526 . -225) T) ((-526 . -238) T) ((-733 . -707) 120087) ((-355 . -285) T) ((-636 . -684) 120071) ((-381 . -1037) 120031) ((-259 . -258) 120015) ((-1108 . -1054) T) ((-106 . -134) 119999) ((-794 . -23) T) ((-1264 . -1259) 119975) ((-1262 . -1259) 119954) ((-1244 . -281) 119931) ((-409 . -303) 119896) ((-1229 . -1090) T) ((-1155 . -281) 119823) ((-864 . -608) 119805) ((-829 . -1037) 119774) ((-195 . -782) T) ((-194 . -782) T) ((-34 . -37) 119751) ((-193 . -782) T) ((-192 . -782) T) ((-191 . -782) T) ((-190 . -782) T) ((-189 . -782) T) ((-188 . -782) T) ((-187 . -782) T) ((-186 . -782) T) ((-504 . -1002) T) ((-270 . -831) T) ((-269 . -831) T) ((-268 . -831) T) ((-267 . -831) T) ((-53 . -285) T) ((-266 . -831) T) ((-265 . -831) T) ((-264 . -831) T) ((-185 . -782) T) ((-607 . -842) T) ((-644 . -413) 119735) ((-114 . -842) T) ((-643 . -21) T) ((-643 . -25) T) ((-464 . -608) 119717) ((-1265 . -43) 119687) ((-1244 . -19) 119671) ((-126 . -281) 119601) ((-216 . -105) T) ((-144 . -105) T) ((-1244 . -601) 119578) ((-1255 . -1090) T) ((-1239 . -707) 119475) ((-1070 . -1090) T) ((-988 . -1090) T) ((-964 . -137) T) ((-727 . -1090) T) ((-725 . -137) T) ((-705 . -137) T) ((-520 . -788) T) ((-409 . -1136) 119453) ((-454 . -137) T) ((-520 . -789) T) ((-213 . -1047) T) ((-288 . -105) 119235) ((-142 . -1090) T) ((-688 . -1002) T) ((-96 . -1195) T) ((-136 . -608) 119202) ((-130 . -608) 119169) ((-733 . -172) T) ((-1270 . -172) T) ((-1158 . -365) 119148) ((-1151 . -365) 119127) ((-310 . -1090) T) ((-420 . -137) T) ((-307 . -1090) T) ((-409 . -43) 119079) ((-1121 . -105) T) ((-1229 . -707) 118936) ((-644 . -1054) T) ((-314 . -148) 118915) ((-314 . -150) 118894) ((-141 . -1090) T) ((-123 . -1090) T) ((-849 . -105) T) ((-580 . -608) 118876) ((-568 . -609) 118775) ((-568 . -608) 118757) ((-504 . -608) 118739) ((-504 . -609) 118684) ((-495 . -23) T) ((-493 . -842) 118635) ((-118 . -1090) T) ((-497 . -630) 118617) ((-774 . -1010) 118569) ((-208 . -630) 118551) ((-215 . -406) T) ((-652 . -637) 118535) ((-1157 . -916) 118514) ((-721 . -1102) T) ((-352 . -105) T) ((-813 . -842) T) ((-721 . -23) T) ((-341 . -1053) 118459) ((-1143 . -1142) T) ((-1132 . -111) 118443) ((-1239 . -172) 118394) ((-1159 . -1102) T) ((-1158 . -1102) T) ((-1151 . -1102) T) ((-1114 . -1102) T) ((-524 . -1037) 118378) ((-341 . -120) 118295) ((-216 . -303) NIL) ((-144 . -303) NIL) ((-1004 . -1199) T) ((-135 . -1195) T) ((-910 . -1199) T) ((-1245 . -608) 118277) ((-683 . -281) NIL) ((-1159 . -23) T) ((-1158 . -23) T) ((-1151 . -23) T) ((-1127 . -223) 118261) ((-1114 . -23) T) ((-1068 . -1090) T) ((-1004 . -558) T) ((-910 . -558) T) ((-794 . -137) T) ((-218 . -1195) T) ((-145 . -1195) T) ((-733 . -523) 118227) ((-700 . -608) 118209) ((-34 . -1090) T) ((-310 . -707) 118119) ((-307 . -707) 118048) ((-688 . -608) 118030) ((-688 . -609) 117975) ((-409 . -402) 117959) ((-440 . -1090) T) ((-497 . -25) T) ((-497 . -21) T) ((-1108 . -1090) T) ((-208 . -25) T) ((-208 . -21) T) ((-702 . -413) 117943) ((-704 . -1037) 117912) ((-1244 . -608) 117851) ((-1244 . -609) 117812) ((-1229 . -172) T) ((-240 . -39) T) ((-1155 . -609) NIL) ((-1155 . -608) 117794) ((-926 . -975) T) ((-1182 . -1195) T) ((-652 . -786) 117773) ((-652 . -789) 117752) ((-400 . -397) T) ((-531 . -105) 117730) ((-1035 . -1090) T) ((-212 . -995) 117714) ((-514 . -105) T) ((-615 . -608) 117696) ((-50 . -842) NIL) ((-615 . -609) 117673) ((-1035 . -605) 117648) ((-896 . -523) 117581) ((-341 . -1047) T) ((-126 . -609) NIL) ((-126 . -608) 117563) ((-866 . -1195) T) ((-662 . -419) 117547) ((-662 . -1111) 117492) ((-259 . -523) 117425) ((-509 . -154) 117407) ((-341 . -225) T) ((-341 . -238) T) ((-45 . -1053) 117352) ((-866 . -879) 117336) ((-866 . -881) 117261) ((-702 . -1054) T) ((-683 . -1002) NIL) ((-1227 . -52) 117231) ((-1206 . -52) 117208) ((-1126 . -1010) 117179) ((-1108 . -707) 117166) ((-1095 . -608) 117148) ((-866 . -1037) 117012) ((-215 . -916) T) ((-45 . -120) 116929) ((-733 . -285) T) ((-1073 . -150) 116908) ((-1073 . -148) 116859) ((-1004 . -365) T) ((-860 . -637) 116824) ((-855 . -637) 116774) ((-314 . -1184) 116740) ((-381 . -301) T) ((-314 . -1181) 116706) ((-310 . -172) 116685) ((-307 . -172) T) ((-1003 . -223) 116662) ((-910 . -365) T) ((-581 . -1261) 116649) ((-526 . -1261) 116626) ((-361 . -150) 116605) ((-361 . -148) 116556) ((-354 . -150) 116535) ((-354 . -148) 116486) ((-603 . -1172) 116462) ((-343 . -150) 116441) ((-343 . -148) 116392) ((-314 . -40) 116358) ((-480 . -1172) 116337) ((0 . |EnumerationCategory|) T) ((-314 . -98) 116303) ((-381 . -1021) T) ((-112 . -150) T) ((-112 . -148) NIL) ((-50 . -227) 116253) ((-644 . -1090) T) ((-603 . -111) 116200) ((-495 . -137) T) ((-480 . -111) 116150) ((-232 . -1102) 116060) ((-866 . -379) 116044) ((-866 . -336) 116028) ((-232 . -23) 115898) ((-1058 . -916) T) ((-1058 . -815) T) ((-581 . -370) T) ((-526 . -370) T) ((-734 . -842) 115877) ((-352 . -1136) T) ((-325 . -39) T) ((-49 . -419) 115861) ((-392 . -736) 115845) ((-1255 . -523) 115778) ((-721 . -137) T) ((-1239 . -285) 115757) ((-1235 . -558) 115736) ((-1228 . -1199) 115715) ((-1228 . -558) 115666) ((-1207 . -1199) 115645) ((-1207 . -558) 115596) ((-727 . -523) 115529) ((-1206 . -1195) 115508) ((-1206 . -881) 115381) ((-888 . -1090) T) ((-147 . -836) T) ((-1206 . -879) 115351) ((-1201 . -558) 115330) ((-1159 . -137) T) ((-531 . -303) 115268) ((-1158 . -137) T) ((-142 . -523) NIL) ((-1151 . -137) T) ((-1114 . -137) T) ((-1023 . -1002) T) ((-1004 . -23) T) ((-352 . -43) 115233) ((-1004 . -1102) T) ((-910 . -1102) T) ((-87 . -608) 115215) ((-45 . -1047) T) ((-864 . -1053) 115202) ((-866 . -895) 115161) ((-774 . -52) 115138) ((-690 . -105) T) ((-1003 . -350) NIL) ((-599 . -1195) T) ((-972 . -23) T) ((-910 . -23) T) ((-864 . -120) 115123) ((-429 . -1102) T) ((-479 . -52) 115093) ((-139 . -105) T) ((-45 . -225) 115065) ((-45 . -238) T) ((-125 . -105) T) ((-594 . -558) 115044) ((-593 . -558) 115023) ((-683 . -608) 115005) ((-683 . -609) 114913) ((-310 . -523) 114879) ((-307 . -523) 114630) ((-1227 . -1037) 114614) ((-1206 . -1037) 114400) ((-999 . -413) 114384) ((-429 . -23) T) ((-1108 . -172) T) ((-860 . -716) T) ((-855 . -716) T) ((-1229 . -285) T) ((-644 . -707) 114354) ((-147 . -1090) T) ((-53 . -1002) T) ((-409 . -223) 114338) ((-289 . -227) 114288) ((-865 . -916) T) ((-865 . -815) NIL) ((-968 . -608) 114270) ((-852 . -842) T) ((-1206 . -336) 114240) ((-1206 . -379) 114210) ((-212 . -1109) 114194) ((-774 . -1195) T) ((-1244 . -283) 114171) ((-500 . -105) T) ((-1190 . -637) 114096) ((-964 . -21) T) ((-964 . -25) T) ((-725 . -21) T) ((-725 . -25) T) ((-705 . -21) T) ((-705 . -25) T) ((-701 . -637) 114061) ((-454 . -21) T) ((-454 . -25) T) ((-337 . -105) T) ((-173 . -105) T) ((-999 . -1054) T) ((-864 . -1047) T) ((-857 . -1037) 114045) ((-766 . -105) T) ((-1228 . -365) 114024) ((-1227 . -895) 113930) ((-1207 . -365) 113909) ((-1206 . -895) 113760) ((-1023 . -608) 113742) ((-409 . -823) 113695) ((-1159 . -502) 113661) ((-169 . -916) 113592) ((-1158 . -502) 113558) ((-1151 . -502) 113524) ((-702 . -1090) T) ((-1114 . -502) 113490) ((-580 . -1053) 113477) ((-568 . -1053) 113464) ((-504 . -1053) 113429) ((-310 . -285) 113408) ((-307 . -285) T) ((-355 . -608) 113390) ((-420 . -25) T) ((-420 . -21) T) ((-101 . -281) 113369) ((-580 . -120) 113354) ((-568 . -120) 113339) ((-504 . -120) 113288) ((-1161 . -881) 113255) ((-35 . -105) T) ((-896 . -499) 113239) ((-116 . -608) 113221) ((-53 . -608) 113203) ((-53 . -609) 113148) ((-259 . -499) 113132) ((-232 . -137) 113002) ((-1216 . -916) 112981) ((-811 . -1199) 112960) ((-1035 . -523) 112768) ((-390 . -608) 112750) ((-811 . -558) 112681) ((-585 . -637) 112656) ((-257 . -52) 112628) ((-242 . -52) 112585) ((-534 . -518) 112562) ((-1000 . -1195) T) ((-1235 . -23) T) ((-688 . -1053) 112527) ((-774 . -895) 112440) ((-1235 . -1102) T) ((-1228 . -1102) T) ((-1207 . -1102) T) ((-1201 . -1102) T) ((-1003 . -372) 112412) ((-121 . -370) T) ((-479 . -895) 112318) ((-1228 . -23) T) ((-1207 . -23) T) ((-899 . -608) 112300) ((-96 . -111) 112284) ((-1190 . -716) T) ((-900 . -842) 112235) ((-690 . -1136) T) ((-688 . -120) 112184) ((-1201 . -23) T) ((-594 . -1102) T) ((-593 . -1102) T) ((-702 . -707) 112013) ((-701 . -716) T) ((-1108 . -285) T) ((-1004 . -137) T) ((-497 . -842) T) ((-972 . -137) T) ((-910 . -137) T) ((-794 . -25) T) ((-208 . -842) T) ((-794 . -21) T) ((-580 . -1047) T) ((-568 . -1047) T) ((-504 . -1047) T) ((-594 . -23) T) ((-341 . -1261) 111990) ((-314 . -453) 111969) ((-337 . -303) 111956) ((-593 . -23) T) ((-429 . -137) T) ((-648 . -637) 111930) ((-1155 . -1053) 111753) ((-240 . -1010) 111737) ((-866 . -301) T) ((-1266 . -1256) 111721) ((-763 . -787) T) ((-763 . -790) T) ((-690 . -43) 111708) ((-236 . -637) 111690) ((-568 . -225) T) ((-504 . -238) T) ((-504 . -225) T) ((-1155 . -120) 111492) ((-1135 . -227) 111442) ((-1078 . -904) 111421) ((-125 . -43) 111408) ((-201 . -795) T) ((-200 . -795) T) ((-199 . -795) T) ((-198 . -795) T) ((-866 . -1021) 111386) ((-1255 . -499) 111370) ((-777 . -904) 111349) ((-775 . -904) 111328) ((-1169 . -1195) T) ((-455 . -904) 111307) ((-727 . -499) 111291) ((-1078 . -637) 111216) ((-777 . -637) 111141) ((-615 . -1053) 111128) ((-490 . -1195) T) ((-341 . -370) T) ((-142 . -499) 111110) ((-775 . -637) 111035) ((-1126 . -1195) T) ((-463 . -637) 111006) ((-257 . -881) 110865) ((-242 . -881) NIL) ((-126 . -1053) 110810) ((-455 . -637) 110735) ((-656 . -1037) 110712) ((-615 . -120) 110697) ((-356 . -1037) 110681) ((-353 . -1037) 110665) ((-342 . -1037) 110649) ((-257 . -1037) 110493) ((-242 . -1037) 110369) ((-126 . -120) 110286) ((-64 . -1195) T) ((-527 . -1195) T) ((-525 . -1195) T) ((-506 . -1195) T) ((-505 . -1195) T) ((-439 . -608) 110268) ((-436 . -608) 110250) ((-3 . -105) T) ((-1027 . -1189) 110219) ((-828 . -105) T) ((-679 . -62) 110177) ((-688 . -1047) T) ((-55 . -637) 110151) ((-284 . -453) T) ((-481 . -1189) 110120) ((-1239 . -281) 110105) ((0 . -105) T) ((-581 . -637) 110070) ((-526 . -637) 110015) ((-54 . -105) T) ((-905 . -1037) 110002) ((-688 . -238) T) ((-1073 . -411) 109981) ((-721 . -630) 109929) ((-999 . -1090) T) ((-702 . -172) 109820) ((-497 . -993) 109802) ((-465 . -1090) T) ((-257 . -379) 109786) ((-242 . -379) 109770) ((-401 . -1090) T) ((-1155 . -1047) T) ((-337 . -43) 109754) ((-1026 . -105) 109732) ((-208 . -993) 109714) ((-173 . -43) 109646) ((-1227 . -301) 109625) ((-1206 . -301) 109604) ((-1155 . -324) 109581) ((-648 . -716) T) ((-1155 . -225) T) ((-101 . -608) 109563) ((-1151 . -630) 109515) ((-495 . -25) T) ((-495 . -21) T) ((-1206 . -1021) 109467) ((-615 . -1047) T) ((-381 . -406) T) ((-392 . -105) T) ((-257 . -895) 109413) ((-242 . -895) 109390) ((-126 . -1047) T) ((-811 . -1102) T) ((-1078 . -716) T) ((-615 . -225) 109369) ((-613 . -105) T) ((-777 . -716) T) ((-775 . -716) T) ((-415 . -1102) T) ((-126 . -238) T) ((-45 . -370) NIL) ((-126 . -225) NIL) ((-455 . -716) T) ((-811 . -23) T) ((-721 . -25) T) ((-721 . -21) T) ((-692 . -842) T) ((-1070 . -281) 109348) ((-83 . -398) T) ((-83 . -397) T) ((-1239 . -1002) 109314) ((-683 . -1053) 109264) ((-1235 . -137) T) ((-1228 . -137) T) ((-1207 . -137) T) ((-1201 . -137) T) ((-1159 . -25) T) ((-1127 . -413) 109248) ((-626 . -369) 109180) ((-602 . -369) 109112) ((-1141 . -1134) 109096) ((-106 . -1090) 109074) ((-1159 . -21) T) ((-1158 . -21) T) ((-1158 . -25) T) ((-999 . -707) 109022) ((-213 . -637) 108989) ((-683 . -120) 108916) ((-55 . -716) T) ((-1151 . -21) T) ((-352 . -350) T) ((-1151 . -25) T) ((-1073 . -453) 108867) ((-1114 . -21) T) ((-702 . -523) 108813) ((-581 . -716) T) ((-526 . -716) T) ((-857 . -301) T) ((-1114 . -25) T) ((-774 . -301) T) ((-594 . -137) T) ((-593 . -137) T) ((-361 . -453) T) ((-354 . -453) T) ((-343 . -453) T) ((-479 . -301) 108792) ((-307 . -281) 108658) ((-112 . -453) T) ((-84 . -442) T) ((-84 . -397) T) ((-489 . -105) T) ((-733 . -609) 108519) ((-733 . -608) 108501) ((-1270 . -608) 108483) ((-1270 . -609) 108465) ((-1073 . -404) 108444) ((-1035 . -499) 108376) ((-568 . -790) T) ((-568 . -787) T) ((-1059 . -227) 108322) ((-361 . -404) 108273) ((-354 . -404) 108224) ((-343 . -404) 108175) ((-1257 . -1102) T) ((-1257 . -23) T) ((-1246 . -105) T) ((-1127 . -1054) T) ((-662 . -736) 108159) ((-1163 . -148) 108138) ((-1163 . -150) 108117) ((-1131 . -1090) T) ((-1131 . -1066) 108086) ((-74 . -1195) T) ((-1023 . -1053) 108023) ((-853 . -1054) T) ((-734 . -148) 108002) ((-734 . -150) 107981) ((-232 . -630) 107887) ((-683 . -1047) T) ((-233 . -558) 107866) ((-355 . -1053) 107811) ((-66 . -1195) T) ((-1023 . -120) 107720) ((-896 . -608) 107687) ((-683 . -238) T) ((-683 . -225) NIL) ((-835 . -840) 107666) ((-688 . -790) T) ((-688 . -787) T) ((-1239 . -608) 107648) ((-1003 . -413) 107625) ((-355 . -120) 107542) ((-259 . -608) 107509) ((-381 . -916) T) ((-409 . -840) 107488) ((-702 . -285) 107399) ((-213 . -716) T) ((-1235 . -502) 107365) ((-1228 . -502) 107331) ((-1207 . -502) 107297) ((-1201 . -502) 107263) ((-310 . -1002) 107242) ((-212 . -1090) 107220) ((-314 . -974) 107182) ((-109 . -105) T) ((-53 . -1053) 107147) ((-1266 . -105) T) ((-383 . -105) T) ((-53 . -120) 107096) ((-1004 . -630) 107078) ((-1229 . -608) 107060) ((-534 . -105) T) ((-509 . -105) T) ((-1121 . -1122) 107044) ((-155 . -1251) 107028) ((-240 . -1195) T) ((-774 . -665) 106980) ((-1157 . -1199) 106959) ((-1113 . -1199) 106938) ((-232 . -21) 106848) ((-232 . -25) 106699) ((-136 . -128) 106683) ((-130 . -128) 106667) ((-49 . -736) 106651) ((-1157 . -558) 106562) ((-1113 . -558) 106493) ((-1035 . -281) 106468) ((-811 . -137) T) ((-126 . -790) NIL) ((-126 . -787) NIL) ((-356 . -301) T) ((-353 . -301) T) ((-342 . -301) T) ((-1084 . -1195) T) ((-244 . -1102) 106378) ((-243 . -1102) 106288) ((-1023 . -1047) T) ((-1003 . -1054) T) ((-341 . -637) 106233) ((-613 . -43) 106217) ((-1255 . -608) 106179) ((-1255 . -609) 106140) ((-1070 . -608) 106122) ((-1023 . -238) T) ((-355 . -1047) T) ((-810 . -1251) 106092) ((-244 . -23) T) ((-243 . -23) T) ((-988 . -608) 106074) ((-727 . -609) 106035) ((-727 . -608) 106017) ((-794 . -842) 105996) ((-999 . -523) 105908) ((-355 . -225) T) ((-355 . -238) T) ((-1144 . -154) 105855) ((-1004 . -25) T) ((-142 . -609) 105814) ((-142 . -608) 105796) ((-905 . -301) T) ((-1004 . -21) T) ((-972 . -25) T) ((-910 . -21) T) ((-910 . -25) T) ((-429 . -21) T) ((-429 . -25) T) ((-835 . -413) 105780) ((-53 . -1047) T) ((-1264 . -1256) 105764) ((-1262 . -1256) 105748) ((-1035 . -601) 105723) ((-310 . -609) 105584) ((-310 . -608) 105566) ((-307 . -609) NIL) ((-307 . -608) 105548) ((-53 . -238) T) ((-53 . -225) T) ((-644 . -281) 105509) ((-551 . -227) 105459) ((-141 . -608) 105441) ((-123 . -608) 105423) ((-489 . -43) 105388) ((-1266 . -1263) 105367) ((-1257 . -137) T) ((-1265 . -1054) T) ((-1075 . -105) T) ((-118 . -608) 105349) ((-93 . -1195) T) ((-509 . -303) NIL) ((-1000 . -111) 105333) ((-884 . -1090) T) ((-880 . -1090) T) ((-1244 . -640) 105317) ((-1244 . -375) 105301) ((-325 . -1195) T) ((-591 . -842) T) ((-233 . -1102) T) ((-1127 . -1090) T) ((-1127 . -1050) 105241) ((-106 . -523) 105174) ((-927 . -608) 105156) ((-233 . -23) T) ((-341 . -716) T) ((-30 . -608) 105138) ((-853 . -1090) T) ((-835 . -1054) 105117) ((-45 . -637) 105062) ((-215 . -1199) T) ((-409 . -1054) T) ((-1143 . -154) 105044) ((-999 . -285) 104995) ((-215 . -558) T) ((-314 . -1224) 104979) ((-314 . -1221) 104949) ((-1169 . -1172) 104928) ((-1068 . -608) 104910) ((-34 . -608) 104892) ((-860 . -1037) 104852) ((-855 . -1037) 104797) ((-636 . -154) 104781) ((-623 . -154) 104727) ((-1169 . -111) 104677) ((-490 . -1172) 104656) ((-497 . -150) T) ((-497 . -148) NIL) ((-1108 . -609) 104571) ((-440 . -608) 104553) ((-208 . -150) T) ((-208 . -148) NIL) ((-1108 . -608) 104535) ((-57 . -105) T) ((-1207 . -630) 104487) ((-490 . -111) 104437) ((-994 . -23) T) ((-1266 . -43) 104407) ((-1157 . -1102) T) ((-1113 . -1102) T) ((-1058 . -1199) T) ((-846 . -1102) T) ((-953 . -1199) 104386) ((-492 . -1199) 104365) ((-721 . -842) 104344) ((-1058 . -558) T) ((-953 . -558) 104275) ((-1157 . -23) T) ((-1113 . -23) T) ((-846 . -23) T) ((-492 . -558) 104206) ((-1127 . -707) 104138) ((-1131 . -523) 104071) ((-1035 . -609) NIL) ((-1035 . -608) 104053) ((-853 . -707) 104023) ((-1270 . -1053) 104010) ((-1270 . -120) 103995) ((-1190 . -52) 103964) ((-244 . -137) T) ((-243 . -137) T) ((-1094 . -1090) T) ((-1003 . -1090) T) ((-67 . -608) 103946) ((-1151 . -842) NIL) ((-1023 . -787) T) ((-1023 . -790) T) ((-1235 . -25) T) ((-733 . -1053) 103870) ((-1235 . -21) T) ((-1228 . -21) T) ((-864 . -637) 103857) ((-1228 . -25) T) ((-1207 . -21) T) ((-1207 . -25) T) ((-1201 . -25) T) ((-1201 . -21) T) ((-1027 . -154) 103841) ((-866 . -815) 103820) ((-866 . -916) T) ((-733 . -120) 103723) ((-702 . -281) 103650) ((-594 . -21) T) ((-594 . -25) T) ((-593 . -21) T) ((-45 . -716) T) ((-212 . -523) 103583) ((-593 . -25) T) ((-481 . -154) 103567) ((-468 . -154) 103551) ((-917 . -716) T) ((-763 . -788) T) ((-763 . -789) T) ((-511 . -1090) T) ((-763 . -716) T) ((-215 . -365) T) ((-1141 . -1090) 103529) ((-865 . -1199) T) ((-644 . -608) 103511) ((-865 . -558) T) ((-683 . -370) NIL) ((-361 . -1251) 103495) ((-662 . -105) T) ((-354 . -1251) 103479) ((-343 . -1251) 103463) ((-1265 . -1090) T) ((-528 . -842) 103442) ((-1239 . -1053) 103325) ((-812 . -453) 103304) ((-1044 . -1090) T) ((-1044 . -1066) 103233) ((-1027 . -977) 103202) ((-814 . -1102) T) ((-1003 . -707) 103147) ((-1239 . -120) 103009) ((-233 . -137) T) ((-388 . -1102) T) ((-481 . -977) 102978) ((-468 . -977) 102947) ((-921 . -1088) T) ((-114 . -154) 102929) ((-78 . -608) 102911) ((-888 . -608) 102893) ((-1073 . -714) 102872) ((-733 . -1047) T) ((-1270 . -1047) T) ((-811 . -630) 102820) ((-288 . -1054) 102762) ((-169 . -1199) 102667) ((-215 . -1102) T) ((-321 . -23) T) ((-1151 . -993) 102619) ((-835 . -1090) T) ((-733 . -238) 102598) ((-1114 . -730) 102577) ((-1229 . -1053) 102466) ((-1227 . -916) 102445) ((-864 . -716) T) ((-169 . -558) 102356) ((-1206 . -916) 102335) ((-580 . -637) 102322) ((-409 . -1090) T) ((-568 . -637) 102309) ((-256 . -1090) T) ((-504 . -637) 102274) ((-215 . -23) T) ((-1206 . -815) 102227) ((-966 . -1090) T) ((-1264 . -105) T) ((-355 . -1261) 102204) ((-1262 . -105) T) ((-1229 . -120) 102054) ((-147 . -608) 102036) ((-994 . -137) T) ((-49 . -105) T) ((-232 . -842) 101987) ((-1216 . -1199) 101966) ((-106 . -499) 101950) ((-1265 . -707) 101920) ((-1078 . -52) 101881) ((-1058 . -1102) T) ((-953 . -1102) T) ((-136 . -39) T) ((-130 . -39) T) ((-777 . -52) 101858) ((-775 . -52) 101830) ((-1216 . -558) 101741) ((-1157 . -137) T) ((-355 . -370) T) ((-492 . -1102) T) ((-1113 . -137) T) ((-1058 . -23) T) ((-455 . -52) 101720) ((-865 . -365) T) ((-846 . -137) T) ((-155 . -105) T) ((-734 . -453) 101651) ((-953 . -23) T) ((-575 . -558) T) ((-811 . -25) T) ((-811 . -21) T) ((-1127 . -523) 101584) ((-585 . -1037) 101568) ((-492 . -23) T) ((-352 . -1054) T) ((-1239 . -1047) T) ((-1190 . -895) 101549) ((-662 . -303) 101487) ((-1239 . -225) 101446) ((-1103 . -1251) 101416) ((-688 . -637) 101381) ((-1004 . -842) T) ((-1003 . -172) T) ((-964 . -148) 101360) ((-626 . -1090) T) ((-602 . -1090) T) ((-964 . -150) 101339) ((-857 . -916) T) ((-725 . -150) 101318) ((-725 . -148) 101297) ((-972 . -842) T) ((-774 . -916) T) ((-479 . -916) 101276) ((-310 . -1053) 101186) ((-307 . -1053) 101115) ((-999 . -281) 101073) ((-1155 . -904) 101052) ((-409 . -707) 101004) ((-690 . -840) T) ((-538 . -1088) T) ((-513 . -1090) T) ((-1229 . -1047) T) ((-310 . -120) 100893) ((-307 . -120) 100778) ((-1229 . -324) 100722) ((-1155 . -637) 100647) ((-965 . -105) T) ((-810 . -105) 100437) ((-702 . -609) NIL) ((-702 . -608) 100419) ((-1035 . -283) 100394) ((-648 . -1037) 100290) ((-860 . -301) T) ((-580 . -716) T) ((-568 . -789) T) ((-568 . -786) T) ((-169 . -365) 100241) ((-568 . -716) T) ((-504 . -716) T) ((-236 . -1037) 100225) ((-855 . -301) T) ((-1131 . -499) 100209) ((-1078 . -881) NIL) ((-865 . -1102) T) ((-126 . -904) NIL) ((-1264 . -1263) 100185) ((-1262 . -1263) 100164) ((-777 . -881) NIL) ((-775 . -881) 100023) ((-1257 . -25) T) ((-1257 . -21) T) ((-1193 . -105) 100001) ((-1096 . -397) T) ((-615 . -637) 99988) ((-455 . -881) NIL) ((-666 . -105) 99966) ((-1078 . -1037) 99793) ((-865 . -23) T) ((-777 . -1037) 99652) ((-775 . -1037) 99509) ((-126 . -637) 99454) ((-455 . -1037) 99330) ((-638 . -1037) 99314) ((-618 . -105) T) ((-212 . -499) 99298) ((-1244 . -39) T) ((-626 . -707) 99282) ((-602 . -707) 99266) ((-662 . -43) 99226) ((-314 . -105) T) ((-216 . -1090) T) ((-144 . -1090) T) ((-90 . -608) 99208) ((-55 . -1037) 99192) ((-1108 . -1053) 99179) ((-1078 . -379) 99163) ((-777 . -379) 99147) ((-65 . -62) 99109) ((-688 . -789) T) ((-688 . -786) T) ((-581 . -1037) 99096) ((-526 . -1037) 99073) ((-688 . -716) T) ((-321 . -137) T) ((-310 . -1047) 98963) ((-307 . -1047) T) ((-169 . -1102) T) ((-775 . -379) 98947) ((-50 . -154) 98897) ((-1004 . -993) 98879) ((-455 . -379) 98863) ((-409 . -172) T) ((-310 . -238) 98842) ((-307 . -238) T) ((-307 . -225) NIL) ((-288 . -1090) 98624) ((-215 . -137) T) ((-1108 . -120) 98609) ((-169 . -23) T) ((-794 . -150) 98588) ((-794 . -148) 98567) ((-244 . -630) 98473) ((-243 . -630) 98379) ((-314 . -279) 98345) ((-1155 . -716) T) ((-1141 . -523) 98278) ((-1121 . -1090) T) ((-215 . -1056) T) ((-810 . -303) 98216) ((-1078 . -895) 98151) ((-777 . -895) 98094) ((-775 . -895) 98078) ((-1264 . -43) 98048) ((-1262 . -43) 98018) ((-1216 . -1102) T) ((-847 . -1102) T) ((-455 . -895) 97995) ((-849 . -1090) T) ((-1216 . -23) T) ((-575 . -1102) T) ((-847 . -23) T) ((-615 . -716) T) ((-356 . -916) T) ((-353 . -916) T) ((-284 . -105) T) ((-342 . -916) T) ((-1058 . -137) T) ((-953 . -137) T) ((-126 . -789) NIL) ((-126 . -786) NIL) ((-126 . -716) T) ((-683 . -904) NIL) ((-1044 . -523) 97879) ((-492 . -137) T) ((-575 . -23) T) ((-666 . -303) 97817) ((-626 . -753) T) ((-602 . -753) T) ((-1207 . -842) NIL) ((-1003 . -285) T) ((-244 . -21) T) ((-683 . -637) 97767) ((-352 . -1090) T) ((-244 . -25) T) ((-243 . -21) T) ((-243 . -25) T) ((-155 . -43) 97751) ((-2 . -105) T) ((-905 . -916) T) ((-493 . -1251) 97721) ((-213 . -1037) 97698) ((-1108 . -1047) T) ((-701 . -301) T) ((-288 . -707) 97640) ((-690 . -1054) T) ((-497 . -453) T) ((-409 . -523) 97552) ((-208 . -453) T) ((-1108 . -225) T) ((-289 . -154) 97502) ((-999 . -609) 97463) ((-999 . -608) 97445) ((-990 . -608) 97427) ((-125 . -1054) T) ((-644 . -1053) 97411) ((-215 . -502) T) ((-465 . -608) 97393) ((-401 . -608) 97375) ((-401 . -609) 97352) ((-1051 . -1251) 97322) ((-644 . -120) 97301) ((-1127 . -499) 97285) ((-810 . -43) 97255) ((-68 . -442) T) ((-68 . -397) T) ((-1144 . -105) T) ((-865 . -137) T) ((-494 . -105) 97233) ((-1270 . -370) T) ((-734 . -950) 97202) ((-1073 . -105) T) ((-1057 . -105) T) ((-352 . -707) 97147) ((-721 . -150) 97126) ((-721 . -148) 97105) ((-1023 . -637) 97042) ((-531 . -1090) 97020) ((-361 . -105) T) ((-354 . -105) T) ((-343 . -105) T) ((-233 . -21) T) ((-233 . -25) T) ((-112 . -105) T) ((-514 . -1090) T) ((-355 . -637) 96965) ((-1157 . -630) 96913) ((-1113 . -630) 96861) ((-387 . -518) 96840) ((-828 . -840) 96819) ((-381 . -1199) T) ((-683 . -716) T) ((-337 . -1054) T) ((-1207 . -993) 96771) ((-173 . -1054) T) ((-106 . -608) 96738) ((-1159 . -148) 96717) ((-1159 . -150) 96696) ((-381 . -558) T) ((-1158 . -150) 96675) ((-1158 . -148) 96654) ((-1151 . -148) 96561) ((-409 . -285) T) ((-1151 . -150) 96468) ((-1114 . -150) 96447) ((-1114 . -148) 96426) ((-314 . -43) 96267) ((-169 . -137) T) ((-307 . -790) NIL) ((-307 . -787) NIL) ((-644 . -1047) T) ((-53 . -637) 96232) ((-994 . -21) T) ((-136 . -1010) 96216) ((-130 . -1010) 96200) ((-994 . -25) T) ((-896 . -128) 96184) ((-1143 . -105) T) ((-811 . -842) 96163) ((-1216 . -137) T) ((-1157 . -25) T) ((-1157 . -21) T) ((-847 . -137) T) ((-1113 . -25) T) ((-1113 . -21) T) ((-846 . -25) T) ((-846 . -21) T) ((-777 . -301) 96142) ((-35 . -37) 96126) ((-1144 . -303) 95921) ((-1141 . -499) 95905) ((-636 . -105) 95883) ((-623 . -105) T) ((-1135 . -154) 95833) ((-575 . -137) T) ((-613 . -840) 95812) ((-1131 . -608) 95774) ((-1131 . -609) 95735) ((-1023 . -786) T) ((-1023 . -789) T) ((-1023 . -716) T) ((-494 . -303) 95673) ((-454 . -419) 95643) ((-352 . -172) T) ((-216 . -523) NIL) ((-144 . -523) NIL) ((-284 . -43) 95630) ((-270 . -105) T) ((-269 . -105) T) ((-268 . -105) T) ((-267 . -105) T) ((-266 . -105) T) ((-265 . -105) T) ((-264 . -105) T) ((-341 . -1037) 95607) ((-204 . -105) T) ((-203 . -105) T) ((-201 . -105) T) ((-200 . -105) T) ((-199 . -105) T) ((-198 . -105) T) ((-195 . -105) T) ((-194 . -105) T) ((-702 . -1053) 95430) ((-193 . -105) T) ((-192 . -105) T) ((-191 . -105) T) ((-190 . -105) T) ((-189 . -105) T) ((-188 . -105) T) ((-187 . -105) T) ((-186 . -105) T) ((-185 . -105) T) ((-355 . -716) T) ((-702 . -120) 95232) ((-662 . -223) 95216) ((-581 . -301) T) ((-526 . -301) T) ((-288 . -523) 95165) ((-112 . -303) NIL) ((-77 . -397) T) ((-1103 . -105) 94955) ((-828 . -413) 94939) ((-1108 . -790) T) ((-1108 . -787) T) ((-690 . -1090) T) ((-381 . -365) T) ((-169 . -502) 94917) ((-212 . -608) 94884) ((-139 . -1090) T) ((-125 . -1090) T) ((-53 . -716) T) ((-1044 . -499) 94849) ((-142 . -427) 94831) ((-142 . -370) T) ((-1027 . -105) T) ((-521 . -518) 94810) ((-481 . -105) T) ((-468 . -105) T) ((-1034 . -1102) T) ((-734 . -1219) 94794) ((-1159 . -40) 94760) ((-1159 . -98) 94726) ((-1159 . -1184) 94692) ((-1159 . -1181) 94658) ((-1158 . -1181) 94624) ((-1143 . -303) NIL) ((-94 . -398) T) ((-94 . -397) T) ((-1073 . -1136) 94603) ((-1158 . -1184) 94569) ((-1158 . -98) 94535) ((-1034 . -23) T) ((-1158 . -40) 94501) ((-575 . -502) T) ((-1151 . -1181) 94467) ((-1151 . -1184) 94433) ((-1151 . -98) 94399) ((-1151 . -40) 94365) ((-363 . -1102) T) ((-361 . -1136) 94344) ((-354 . -1136) 94323) ((-343 . -1136) 94302) ((-1114 . -40) 94268) ((-1114 . -98) 94234) ((-1114 . -1184) 94200) ((-112 . -1136) T) ((-1114 . -1181) 94166) ((-828 . -1054) 94145) ((-636 . -303) 94083) ((-623 . -303) 93934) ((-1073 . -43) 93802) ((-702 . -1047) T) ((-1058 . -630) 93784) ((-1004 . -150) T) ((-953 . -630) 93732) ((-500 . -1090) T) ((-1004 . -148) NIL) ((-381 . -1102) T) ((-321 . -25) T) ((-319 . -23) T) ((-944 . -842) 93711) ((-702 . -324) 93688) ((-492 . -630) 93636) ((-45 . -1037) 93511) ((-690 . -707) 93498) ((-702 . -225) T) ((-337 . -1090) T) ((-173 . -1090) T) ((-329 . -842) T) ((-420 . -453) 93448) ((-381 . -23) T) ((-361 . -43) 93413) ((-354 . -43) 93378) ((-343 . -43) 93343) ((-85 . -442) T) ((-85 . -397) T) ((-215 . -25) T) ((-215 . -21) T) ((-829 . -1102) T) ((-112 . -43) 93293) ((-822 . -1102) T) ((-766 . -1090) T) ((-125 . -707) 93280) ((-663 . -1037) 93264) ((-607 . -105) T) ((-829 . -23) T) ((-822 . -23) T) ((-1141 . -281) 93241) ((-1103 . -303) 93179) ((-1092 . -227) 93163) ((-69 . -398) T) ((-69 . -397) T) ((-114 . -105) T) ((-45 . -379) 93140) ((-35 . -1090) T) ((-643 . -844) 93124) ((-1058 . -21) T) ((-1058 . -25) T) ((-810 . -223) 93093) ((-953 . -25) T) ((-953 . -21) T) ((-613 . -1054) T) ((-492 . -25) T) ((-492 . -21) T) ((-1027 . -303) 93031) ((-884 . -608) 93013) ((-880 . -608) 92995) ((-244 . -842) 92946) ((-243 . -842) 92897) ((-531 . -523) 92830) ((-865 . -630) 92807) ((-481 . -303) 92745) ((-468 . -303) 92683) ((-352 . -285) T) ((-1141 . -1231) 92667) ((-1127 . -608) 92629) ((-1127 . -609) 92590) ((-1125 . -105) T) ((-999 . -1053) 92486) ((-45 . -895) 92438) ((-1141 . -601) 92415) ((-733 . -637) 92339) ((-1270 . -637) 92326) ((-1059 . -154) 92272) ((-866 . -1199) T) ((-999 . -120) 92147) ((-337 . -707) 92131) ((-853 . -608) 92113) ((-173 . -707) 92045) ((-409 . -281) 92003) ((-866 . -558) T) ((-112 . -402) 91985) ((-89 . -386) T) ((-89 . -397) T) ((-860 . -916) T) ((-855 . -916) T) ((-690 . -172) T) ((-101 . -716) T) ((-493 . -105) 91775) ((-101 . -478) T) ((-125 . -172) T) ((-1103 . -43) 91745) ((-169 . -630) 91693) ((-216 . -499) 91675) ((-144 . -499) 91650) ((-1051 . -105) T) ((-865 . -25) T) ((-810 . -230) 91629) ((-865 . -21) T) ((-813 . -105) T) ((-416 . -105) T) ((-387 . -105) T) ((-114 . -303) NIL) ((-219 . -105) 91607) ((-136 . -1195) T) ((-130 . -1195) T) ((-1034 . -137) T) ((-662 . -369) 91591) ((-1239 . -637) 91516) ((-1270 . -716) T) ((-1235 . -148) 91495) ((-999 . -1047) T) ((-1235 . -150) 91474) ((-1216 . -630) 91422) ((-1228 . -150) 91401) ((-1094 . -608) 91383) ((-1003 . -608) 91365) ((-524 . -23) T) ((-519 . -23) T) ((-341 . -301) T) ((-517 . -23) T) ((-319 . -137) T) ((-3 . -1090) T) ((-1003 . -609) 91349) ((-999 . -238) 91328) ((-999 . -225) 91307) ((-1228 . -148) 91286) ((-1227 . -1199) 91265) ((-828 . -1090) T) ((-1207 . -148) 91172) ((-1207 . -150) 91079) ((-1206 . -1199) 91058) ((-1201 . -148) 91037) ((-1201 . -150) 91016) ((-733 . -478) 90995) ((-733 . -716) T) ((-381 . -137) T) ((-568 . -881) 90977) ((0 . -1090) T) ((-173 . -172) T) ((-169 . -21) T) ((-169 . -25) T) ((-54 . -1090) T) ((-1229 . -637) 90866) ((-1227 . -558) 90817) ((-704 . -1102) T) ((-1206 . -558) 90768) ((-568 . -1037) 90750) ((-593 . -150) 90729) ((-593 . -148) 90708) ((-504 . -1037) 90651) ((-92 . -386) T) ((-92 . -397) T) ((-866 . -365) T) ((-1155 . -52) 90628) ((-829 . -137) T) ((-822 . -137) T) ((-704 . -23) T) ((-511 . -608) 90610) ((-1266 . -1054) T) ((-381 . -1056) T) ((-1026 . -1090) 90588) ((-896 . -39) T) ((-493 . -303) 90526) ((-1141 . -609) 90487) ((-1141 . -608) 90454) ((-259 . -39) T) ((-1157 . -842) 90433) ((-50 . -105) T) ((-1113 . -842) 90412) ((-812 . -105) T) ((-1216 . -25) T) ((-1216 . -21) T) ((-847 . -25) T) ((-49 . -369) 90396) ((-847 . -21) T) ((-721 . -453) 90347) ((-1265 . -608) 90329) ((-575 . -25) T) ((-575 . -21) T) ((-392 . -1090) T) ((-1051 . -303) 90267) ((-613 . -1090) T) ((-688 . -881) 90249) ((-1244 . -1195) T) ((-219 . -303) 90187) ((-147 . -370) T) ((-1044 . -609) 90129) ((-1044 . -608) 90072) ((-857 . -1199) T) ((-307 . -904) NIL) ((-774 . -1199) T) ((-1239 . -716) T) ((-688 . -1037) 90017) ((-701 . -916) T) ((-479 . -1199) 89996) ((-1158 . -453) 89975) ((-1151 . -453) 89954) ((-857 . -558) T) ((-328 . -105) T) ((-774 . -558) T) ((-866 . -1102) T) ((-310 . -637) 89775) ((-307 . -637) 89704) ((-479 . -558) 89655) ((-337 . -523) 89621) ((-551 . -154) 89571) ((-45 . -301) T) ((-1155 . -881) NIL) ((-835 . -608) 89553) ((-690 . -285) T) ((-866 . -23) T) ((-381 . -502) T) ((-1073 . -223) 89523) ((-521 . -105) T) ((-409 . -609) 89324) ((-409 . -608) 89306) ((-256 . -608) 89288) ((-125 . -285) T) ((-1155 . -1037) 89168) ((-966 . -608) 89150) ((-1229 . -716) T) ((-1227 . -365) 89129) ((-1206 . -365) 89108) ((-1255 . -39) T) ((-126 . -1195) T) ((-112 . -223) 89090) ((-1163 . -105) T) ((-489 . -1090) T) ((-531 . -499) 89074) ((-734 . -105) T) ((-727 . -39) T) ((-493 . -43) 89044) ((-142 . -39) T) ((-126 . -879) 89021) ((-126 . -881) NIL) ((-615 . -1037) 88904) ((-634 . -842) 88883) ((-1254 . -105) T) ((-289 . -105) T) ((-702 . -370) 88862) ((-126 . -1037) 88839) ((-392 . -707) 88823) ((-1155 . -379) 88807) ((-613 . -707) 88791) ((-50 . -303) 88595) ((-811 . -148) 88574) ((-811 . -150) 88553) ((-1265 . -384) 88532) ((-814 . -842) T) ((-1246 . -1090) T) ((-1235 . -40) 88498) ((-1235 . -98) 88464) ((-1235 . -1184) 88430) ((-1144 . -221) 88377) ((-1235 . -1181) 88343) ((-388 . -842) 88322) ((-1228 . -1181) 88288) ((-1228 . -1184) 88254) ((-1228 . -98) 88220) ((-216 . -677) 88188) ((-144 . -677) 88149) ((-1228 . -40) 88115) ((-1227 . -1102) T) ((-1207 . -1181) 88081) ((-524 . -137) T) ((-1207 . -1184) 88047) ((-1201 . -1184) 88013) ((-1201 . -1181) 87979) ((-1207 . -98) 87945) ((-1207 . -40) 87911) ((-626 . -608) 87880) ((-602 . -608) 87849) ((-33 . -105) T) ((-215 . -842) T) ((-1206 . -1102) T) ((-1201 . -40) 87815) ((-1201 . -98) 87781) ((-1108 . -637) 87768) ((-1155 . -895) 87711) ((-1073 . -350) 87690) ((-591 . -154) 87672) ((-864 . -301) T) ((-126 . -379) 87649) ((-126 . -336) 87626) ((-173 . -285) T) ((-857 . -365) T) ((-774 . -365) T) ((-307 . -789) NIL) ((-307 . -786) NIL) ((-310 . -716) 87475) ((-307 . -716) T) ((-513 . -608) 87457) ((-479 . -365) 87436) ((-361 . -350) 87415) ((-354 . -350) 87394) ((-343 . -350) 87373) ((-310 . -478) 87352) ((-1227 . -23) T) ((-1206 . -23) T) ((-708 . -1102) T) ((-704 . -137) T) ((-643 . -105) T) ((-489 . -707) 87317) ((-50 . -277) 87267) ((-109 . -1090) T) ((-73 . -608) 87249) ((-852 . -105) T) ((-615 . -895) 87208) ((-1266 . -1090) T) ((-383 . -1090) T) ((-87 . -1195) T) ((-1058 . -842) T) ((-953 . -842) 87187) ((-126 . -895) NIL) ((-777 . -916) 87166) ((-703 . -842) T) ((-534 . -1090) T) ((-509 . -1090) T) ((-356 . -1199) T) ((-353 . -1199) T) ((-342 . -1199) T) ((-257 . -1199) 87145) ((-242 . -1199) 87124) ((-1103 . -223) 87093) ((-492 . -842) 87072) ((-1143 . -823) T) ((-1127 . -1053) 87056) ((-392 . -753) T) ((-734 . -303) 87043) ((-683 . -1195) T) ((-356 . -558) T) ((-353 . -558) T) ((-342 . -558) T) ((-257 . -558) 86974) ((-242 . -558) 86905) ((-1127 . -120) 86884) ((-454 . -736) 86854) ((-853 . -1053) 86824) ((-812 . -43) 86761) ((-683 . -879) 86743) ((-683 . -881) 86725) ((-289 . -303) 86529) ((-905 . -1199) T) ((-857 . -1102) T) ((-853 . -120) 86494) ((-662 . -413) 86478) ((-774 . -1102) T) ((-683 . -1037) 86423) ((-1141 . -283) 86400) ((-1004 . -453) T) ((-905 . -558) T) ((-581 . -916) T) ((-479 . -1102) T) ((-526 . -916) T) ((-910 . -453) T) ((-216 . -608) 86382) ((-144 . -608) 86364) ((-70 . -608) 86346) ((-857 . -23) T) ((-623 . -221) 86292) ((-774 . -23) T) ((-479 . -23) T) ((-1108 . -789) T) ((-866 . -137) T) ((-1108 . -786) T) ((-1257 . -1259) 86271) ((-1108 . -716) T) ((-644 . -637) 86245) ((-288 . -608) 85986) ((-1035 . -39) T) ((-810 . -840) 85965) ((-580 . -301) T) ((-568 . -301) T) ((-504 . -301) T) ((-1266 . -707) 85935) ((-683 . -379) 85917) ((-683 . -336) 85899) ((-489 . -172) T) ((-383 . -707) 85869) ((-734 . -1136) 85847) ((-865 . -842) NIL) ((-568 . -1021) T) ((-504 . -1021) T) ((-1121 . -608) 85829) ((-1103 . -230) 85808) ((-205 . -105) T) ((-1135 . -105) T) ((-76 . -608) 85790) ((-1127 . -1047) T) ((-1163 . -43) 85687) ((-849 . -608) 85669) ((-568 . -550) T) ((-734 . -43) 85498) ((-662 . -1054) T) ((-721 . -950) 85451) ((-1127 . -225) 85430) ((-1075 . -1090) T) ((-1034 . -25) T) ((-1034 . -21) T) ((-1003 . -1053) 85375) ((-900 . -105) T) ((-853 . -1047) T) ((-770 . -1102) T) ((-683 . -895) NIL) ((-356 . -327) 85359) ((-356 . -365) T) ((-353 . -327) 85343) ((-353 . -365) T) ((-342 . -327) 85327) ((-342 . -365) T) ((-497 . -105) T) ((-1254 . -43) 85297) ((-531 . -677) 85247) ((-208 . -105) T) ((-1023 . -1037) 85127) ((-1003 . -120) 85044) ((-1159 . -974) 85013) ((-1158 . -974) 84975) ((-528 . -154) 84959) ((-1073 . -372) 84938) ((-352 . -608) 84920) ((-319 . -21) T) ((-355 . -1037) 84897) ((-319 . -25) T) ((-1151 . -974) 84866) ((-1114 . -974) 84833) ((-81 . -608) 84815) ((-688 . -301) T) ((-169 . -842) 84794) ((-905 . -365) T) ((-381 . -25) T) ((-381 . -21) T) ((-905 . -327) 84781) ((-91 . -608) 84763) ((-688 . -1021) T) ((-667 . -842) T) ((-1227 . -137) T) ((-1206 . -137) T) ((-896 . -1010) 84747) ((-829 . -21) T) ((-53 . -1037) 84690) ((-829 . -25) T) ((-822 . -25) T) ((-822 . -21) T) ((-1264 . -1054) T) ((-1262 . -1054) T) ((-644 . -716) T) ((-1155 . -301) 84669) ((-259 . -1010) 84653) ((-1265 . -1053) 84637) ((-1216 . -842) 84616) ((-810 . -413) 84585) ((-106 . -128) 84569) ((-57 . -1090) T) ((-926 . -608) 84551) ((-865 . -993) 84528) ((-818 . -105) T) ((-1265 . -120) 84507) ((-643 . -43) 84477) ((-575 . -842) T) ((-356 . -1102) T) ((-353 . -1102) T) ((-342 . -1102) T) ((-257 . -1102) T) ((-242 . -1102) T) ((-615 . -301) 84456) ((-1135 . -303) 84260) ((-656 . -23) T) ((-493 . -223) 84229) ((-155 . -1054) T) ((-356 . -23) T) ((-353 . -23) T) ((-342 . -23) T) ((-126 . -301) T) ((-257 . -23) T) ((-242 . -23) T) ((-1003 . -1047) T) ((-702 . -904) 84208) ((-1003 . -225) 84180) ((-1003 . -238) T) ((-126 . -1021) NIL) ((-905 . -1102) T) ((-1228 . -453) 84159) ((-1207 . -453) 84138) ((-531 . -608) 84105) ((-702 . -637) 84030) ((-409 . -1053) 83982) ((-857 . -137) T) ((-514 . -608) 83964) ((-905 . -23) T) ((-774 . -137) T) ((-497 . -303) NIL) ((-479 . -137) T) ((-208 . -303) NIL) ((-409 . -120) 83895) ((-810 . -1054) 83825) ((-727 . -1087) 83809) ((-1227 . -502) 83775) ((-1206 . -502) 83741) ((-142 . -1087) 83723) ((-489 . -285) T) ((-1265 . -1047) T) ((-1059 . -105) T) ((-509 . -523) NIL) ((-692 . -105) T) ((-493 . -230) 83702) ((-1157 . -148) 83681) ((-1157 . -150) 83660) ((-1113 . -150) 83639) ((-1113 . -148) 83618) ((-626 . -1053) 83602) ((-602 . -1053) 83586) ((-662 . -1090) T) ((-662 . -1050) 83526) ((-1159 . -1234) 83510) ((-1159 . -1221) 83487) ((-497 . -1136) T) ((-1158 . -1226) 83448) ((-1158 . -1221) 83418) ((-1158 . -1224) 83402) ((-208 . -1136) T) ((-341 . -916) T) ((-813 . -262) 83386) ((-626 . -120) 83365) ((-602 . -120) 83344) ((-1151 . -1205) 83305) ((-835 . -1047) 83284) ((-1151 . -1221) 83261) ((-524 . -25) T) ((-504 . -296) T) ((-520 . -23) T) ((-519 . -25) T) ((-517 . -25) T) ((-516 . -23) T) ((-1151 . -1203) 83245) ((-409 . -1047) T) ((-314 . -1054) T) ((-683 . -301) T) ((-112 . -840) T) ((-409 . -238) T) ((-409 . -225) 83224) ((-702 . -716) T) ((-497 . -43) 83174) ((-208 . -43) 83124) ((-479 . -502) 83090) ((-1143 . -1129) T) ((-1091 . -105) T) ((-690 . -608) 83072) ((-690 . -609) 82987) ((-704 . -21) T) ((-704 . -25) T) ((-139 . -608) 82969) ((-125 . -608) 82951) ((-158 . -25) T) ((-1264 . -1090) T) ((-866 . -630) 82899) ((-1262 . -1090) T) ((-964 . -105) T) ((-725 . -105) T) ((-705 . -105) T) ((-454 . -105) T) ((-811 . -453) 82850) ((-49 . -1090) T) ((-1079 . -842) T) ((-656 . -137) T) ((-1059 . -303) 82701) ((-662 . -707) 82685) ((-284 . -1054) T) ((-356 . -137) T) ((-353 . -137) T) ((-342 . -137) T) ((-257 . -137) T) ((-242 . -137) T) ((-733 . -1195) T) ((-420 . -105) T) ((-1239 . -52) 82662) ((-155 . -1090) T) ((-50 . -221) 82612) ((-734 . -223) 82596) ((-999 . -637) 82534) ((-958 . -842) 82513) ((-733 . -879) 82497) ((-733 . -881) 82422) ((-232 . -1251) 82392) ((-1023 . -301) T) ((-288 . -1053) 82313) ((-905 . -137) T) ((-45 . -916) T) ((-733 . -1037) 82035) ((-497 . -402) 82017) ((-500 . -608) 81999) ((-355 . -301) T) ((-208 . -402) 81981) ((-1073 . -413) 81965) ((-288 . -120) 81881) ((-860 . -1199) T) ((-855 . -1199) T) ((-866 . -25) T) ((-866 . -21) T) ((-860 . -558) T) ((-855 . -558) T) ((-337 . -608) 81863) ((-1229 . -52) 81807) ((-215 . -150) T) ((-173 . -608) 81789) ((-1103 . -840) 81768) ((-766 . -608) 81750) ((-603 . -227) 81697) ((-480 . -227) 81647) ((-1264 . -707) 81617) ((-53 . -301) T) ((-1262 . -707) 81587) ((-965 . -1090) T) ((-810 . -1090) 81377) ((-305 . -105) T) ((-896 . -1195) T) ((-733 . -379) 81346) ((-53 . -1021) T) ((-1206 . -630) 81254) ((-679 . -105) 81232) ((-49 . -707) 81216) ((-551 . -105) T) ((-72 . -385) T) ((-259 . -1195) T) ((-72 . -397) T) ((-35 . -608) 81198) ((-652 . -23) T) ((-662 . -753) T) ((-1193 . -1090) 81176) ((-352 . -1053) 81121) ((-666 . -1090) 81099) ((-1058 . -150) T) ((-953 . -150) 81078) ((-953 . -148) 81057) ((-794 . -105) T) ((-155 . -707) 81041) ((-492 . -150) 81020) ((-492 . -148) 80999) ((-352 . -120) 80916) ((-1073 . -1054) T) ((-319 . -842) 80895) ((-967 . -1088) T) ((-1235 . -974) 80864) ((-1228 . -974) 80826) ((-1207 . -974) 80795) ((-618 . -1090) T) ((-733 . -895) 80776) ((-520 . -137) T) ((-516 . -137) T) ((-289 . -221) 80726) ((-361 . -1054) T) ((-354 . -1054) T) ((-343 . -1054) T) ((-288 . -1047) 80668) ((-1201 . -974) 80637) ((-381 . -842) T) ((-112 . -1054) T) ((-999 . -716) T) ((-864 . -916) T) ((-835 . -790) 80616) ((-835 . -787) 80595) ((-420 . -303) 80534) ((-473 . -105) T) ((-593 . -974) 80503) ((-314 . -1090) T) ((-409 . -790) 80482) ((-409 . -787) 80461) ((-509 . -499) 80443) ((-1229 . -1037) 80409) ((-1227 . -21) T) ((-1227 . -25) T) ((-1206 . -21) T) ((-1206 . -25) T) ((-810 . -707) 80351) ((-860 . -365) T) ((-855 . -365) T) ((-688 . -406) T) ((-1255 . -1195) T) ((-1103 . -413) 80320) ((-1003 . -370) NIL) ((-106 . -39) T) ((-727 . -1195) T) ((-49 . -753) T) ((-591 . -105) T) ((-82 . -398) T) ((-82 . -397) T) ((-643 . -646) 80304) ((-142 . -1195) T) ((-865 . -150) T) ((-865 . -148) NIL) ((-1239 . -895) 80217) ((-352 . -1047) T) ((-75 . -385) T) ((-75 . -397) T) ((-1150 . -105) T) ((-662 . -523) 80150) ((-679 . -303) 80088) ((-964 . -43) 79985) ((-725 . -43) 79955) ((-551 . -303) 79759) ((-310 . -1195) T) ((-352 . -225) T) ((-352 . -238) T) ((-307 . -1195) T) ((-284 . -1090) T) ((-1165 . -608) 79741) ((-701 . -1199) T) ((-1141 . -640) 79725) ((-1190 . -558) 79704) ((-857 . -25) T) ((-857 . -21) T) ((-701 . -558) T) ((-310 . -879) 79688) ((-310 . -881) 79613) ((-307 . -879) 79574) ((-307 . -881) NIL) ((-794 . -303) 79539) ((-774 . -25) T) ((-314 . -707) 79380) ((-774 . -21) T) ((-321 . -320) 79357) ((-495 . -105) T) ((-479 . -25) T) ((-479 . -21) T) ((-420 . -43) 79331) ((-310 . -1037) 78994) ((-215 . -1181) T) ((-215 . -1184) T) ((-3 . -608) 78976) ((-307 . -1037) 78906) ((-860 . -1102) T) ((-2 . -1090) T) ((-2 . |RecordCategory|) T) ((-855 . -1102) T) ((-828 . -608) 78888) ((-1103 . -1054) 78818) ((-580 . -916) T) ((-568 . -815) T) ((-568 . -916) T) ((-504 . -916) T) ((-141 . -1037) 78802) ((-215 . -98) T) ((-80 . -442) T) ((-80 . -397) T) ((0 . -608) 78784) ((-169 . -150) 78763) ((-169 . -148) 78714) ((-215 . -40) T) ((-54 . -608) 78696) ((-860 . -23) T) ((-489 . -1054) T) ((-855 . -23) T) ((-497 . -223) 78678) ((-494 . -969) 78662) ((-493 . -840) 78641) ((-208 . -223) 78623) ((-86 . -442) T) ((-86 . -397) T) ((-1131 . -39) T) ((-810 . -172) 78602) ((-721 . -105) T) ((-1026 . -608) 78569) ((-509 . -281) 78544) ((-310 . -379) 78513) ((-307 . -379) 78474) ((-307 . -336) 78435) ((-811 . -950) 78382) ((-652 . -137) T) ((-1216 . -148) 78361) ((-1216 . -150) 78340) ((-1159 . -105) T) ((-1158 . -105) T) ((-1151 . -105) T) ((-1144 . -1090) T) ((-1114 . -105) T) ((-212 . -39) T) ((-284 . -707) 78327) ((-1144 . -605) 78303) ((-591 . -303) NIL) ((-1235 . -1234) 78287) ((-1235 . -1221) 78264) ((-494 . -1090) 78242) ((-1228 . -1226) 78203) ((-392 . -608) 78185) ((-519 . -842) T) ((-1135 . -221) 78135) ((-1228 . -1221) 78105) ((-1228 . -1224) 78089) ((-1207 . -1205) 78050) ((-1207 . -1221) 78027) ((-1207 . -1203) 78011) ((-1201 . -1234) 77995) ((-1201 . -1221) 77972) ((-613 . -608) 77954) ((-1159 . -279) 77920) ((-688 . -916) T) ((-1158 . -279) 77886) ((-1151 . -279) 77852) ((-1114 . -279) 77818) ((-1073 . -1090) T) ((-1057 . -1090) T) ((-53 . -296) T) ((-310 . -895) 77784) ((-307 . -895) NIL) ((-1057 . -1063) 77763) ((-1108 . -881) 77745) ((-794 . -43) 77729) ((-257 . -630) 77677) ((-242 . -630) 77625) ((-690 . -1053) 77612) ((-593 . -1221) 77589) ((-1108 . -1037) 77571) ((-314 . -172) 77502) ((-361 . -1090) T) ((-354 . -1090) T) ((-343 . -1090) T) ((-509 . -19) 77484) ((-1092 . -154) 77468) ((-733 . -301) 77447) ((-112 . -1090) T) ((-125 . -1053) 77434) ((-701 . -365) T) ((-509 . -601) 77409) ((-690 . -120) 77394) ((-438 . -105) T) ((-1155 . -916) 77373) ((-50 . -1134) 77323) ((-125 . -120) 77308) ((-218 . -842) T) ((-145 . -842) 77278) ((-626 . -710) T) ((-602 . -710) T) ((-810 . -523) 77211) ((-1035 . -1195) T) ((-944 . -154) 77195) ((-528 . -105) 77145) ((-1078 . -1199) 77124) ((-777 . -1199) 77103) ((-775 . -1199) 77082) ((-67 . -1195) T) ((-489 . -608) 77034) ((-489 . -609) 76956) ((-1157 . -453) 76887) ((-1143 . -1090) T) ((-1127 . -637) 76861) ((-1078 . -558) 76792) ((-493 . -413) 76761) ((-615 . -916) 76740) ((-455 . -1199) 76719) ((-1113 . -453) 76670) ((-777 . -558) 76581) ((-400 . -608) 76563) ((-775 . -558) 76494) ((-666 . -523) 76427) ((-721 . -303) 76414) ((-656 . -25) T) ((-656 . -21) T) ((-455 . -558) 76345) ((-126 . -916) T) ((-126 . -815) NIL) ((-356 . -25) T) ((-356 . -21) T) ((-353 . -25) T) ((-353 . -21) T) ((-342 . -25) T) ((-342 . -21) T) ((-257 . -25) T) ((-257 . -21) T) ((-88 . -386) T) ((-88 . -397) T) ((-242 . -25) T) ((-242 . -21) T) ((-1246 . -608) 76327) ((-1190 . -1102) T) ((-1190 . -23) T) ((-1151 . -303) 76212) ((-1114 . -303) 76199) ((-1073 . -707) 76067) ((-853 . -637) 76027) ((-944 . -981) 76011) ((-905 . -21) T) ((-284 . -172) T) ((-905 . -25) T) ((-866 . -842) 75962) ((-860 . -137) T) ((-701 . -1102) T) ((-701 . -23) T) ((-636 . -1090) 75940) ((-623 . -605) 75915) ((-623 . -1090) T) ((-581 . -1199) T) ((-526 . -1199) T) ((-581 . -558) T) ((-526 . -558) T) ((-361 . -707) 75867) ((-354 . -707) 75819) ((-343 . -707) 75771) ((-337 . -1053) 75755) ((-173 . -120) 75654) ((-173 . -1053) 75586) ((-112 . -707) 75536) ((-337 . -120) 75515) ((-270 . -1090) T) ((-269 . -1090) T) ((-268 . -1090) T) ((-267 . -1090) T) ((-690 . -1047) T) ((-266 . -1090) T) ((-265 . -1090) T) ((-264 . -1090) T) ((-204 . -1090) T) ((-203 . -1090) T) ((-201 . -1090) T) ((-169 . -1184) 75493) ((-169 . -1181) 75471) ((-200 . -1090) T) ((-199 . -1090) T) ((-125 . -1047) T) ((-198 . -1090) T) ((-195 . -1090) T) ((-690 . -225) T) ((-194 . -1090) T) ((-193 . -1090) T) ((-192 . -1090) T) ((-191 . -1090) T) ((-190 . -1090) T) ((-189 . -1090) T) ((-188 . -1090) T) ((-187 . -1090) T) ((-186 . -1090) T) ((-185 . -1090) T) ((-232 . -105) 75261) ((-169 . -40) 75239) ((-169 . -98) 75217) ((-855 . -137) T) ((-644 . -1037) 75113) ((-493 . -1054) 75043) ((-1103 . -1090) 74833) ((-1127 . -39) T) ((-662 . -499) 74817) ((-78 . -1195) T) ((-109 . -608) 74799) ((-1266 . -608) 74781) ((-383 . -608) 74763) ((-575 . -1184) T) ((-575 . -1181) T) ((-721 . -43) 74612) ((-534 . -608) 74594) ((-528 . -303) 74532) ((-509 . -608) 74514) ((-509 . -609) 74496) ((-1151 . -1136) NIL) ((-1027 . -1066) 74465) ((-1027 . -1090) T) ((-1004 . -105) T) ((-972 . -105) T) ((-910 . -105) T) ((-888 . -1037) 74442) ((-1127 . -716) T) ((-1003 . -637) 74387) ((-481 . -1090) T) ((-468 . -1090) T) ((-585 . -23) T) ((-575 . -40) T) ((-575 . -98) T) ((-429 . -105) T) ((-1059 . -221) 74333) ((-1159 . -43) 74230) ((-853 . -716) T) ((-683 . -916) T) ((-520 . -25) T) ((-516 . -21) T) ((-516 . -25) T) ((-1158 . -43) 74071) ((-337 . -1047) T) ((-1151 . -43) 73867) ((-1073 . -172) T) ((-173 . -1047) T) ((-1114 . -43) 73764) ((-702 . -52) 73741) ((-361 . -172) T) ((-354 . -172) T) ((-527 . -62) 73715) ((-506 . -62) 73665) ((-352 . -1261) 73642) ((-215 . -453) T) ((-314 . -285) 73593) ((-343 . -172) T) ((-173 . -238) T) ((-1206 . -842) 73492) ((-112 . -172) T) ((-866 . -993) 73476) ((-648 . -1102) T) ((-581 . -365) T) ((-581 . -327) 73463) ((-526 . -327) 73440) ((-526 . -365) T) ((-310 . -301) 73419) ((-307 . -301) T) ((-599 . -842) 73398) ((-1103 . -707) 73340) ((-528 . -277) 73324) ((-648 . -23) T) ((-420 . -223) 73308) ((-307 . -1021) NIL) ((-334 . -23) T) ((-236 . -23) T) ((-106 . -1010) 73292) ((-50 . -41) 73271) ((-607 . -1090) T) ((-352 . -370) T) ((-504 . -27) T) ((-232 . -303) 73209) ((-1078 . -1102) T) ((-1265 . -637) 73183) ((-777 . -1102) T) ((-775 . -1102) T) ((-455 . -1102) T) ((-1058 . -453) T) ((-953 . -453) 73134) ((-114 . -1090) T) ((-1078 . -23) T) ((-812 . -1054) T) ((-777 . -23) T) ((-775 . -23) T) ((-492 . -453) 73085) ((-1144 . -523) 72833) ((-383 . -384) 72812) ((-1163 . -413) 72796) ((-463 . -23) T) ((-455 . -23) T) ((-734 . -413) 72780) ((-733 . -296) T) ((-494 . -523) 72713) ((-284 . -285) T) ((-1075 . -608) 72695) ((-409 . -904) 72674) ((-55 . -1102) T) ((-1023 . -916) T) ((-1003 . -716) T) ((-702 . -881) NIL) ((-581 . -1102) T) ((-526 . -1102) T) ((-835 . -637) 72647) ((-1190 . -137) T) ((-1151 . -402) 72599) ((-1004 . -303) NIL) ((-810 . -499) 72583) ((-355 . -916) T) ((-1141 . -39) T) ((-409 . -637) 72535) ((-55 . -23) T) ((-701 . -137) T) ((-702 . -1037) 72415) ((-581 . -23) T) ((-112 . -523) NIL) ((-526 . -23) T) ((-169 . -411) 72386) ((-215 . -1124) T) ((-1125 . -1090) T) ((-1257 . -1256) 72370) ((-690 . -790) T) ((-690 . -787) T) ((-381 . -150) T) ((-1108 . -301) T) ((-1206 . -993) 72340) ((-53 . -916) T) ((-666 . -499) 72324) ((-244 . -1251) 72294) ((-243 . -1251) 72264) ((-1161 . -842) T) ((-1103 . -172) 72243) ((-1108 . -1021) T) ((-1044 . -39) T) ((-829 . -150) 72222) ((-829 . -148) 72201) ((-727 . -111) 72185) ((-607 . -138) T) ((-493 . -1090) 71975) ((-1163 . -1054) T) ((-865 . -453) T) ((-90 . -1195) T) ((-232 . -43) 71945) ((-142 . -111) 71927) ((-923 . -1088) T) ((-702 . -379) 71911) ((-734 . -1054) T) ((-1108 . -550) T) ((-392 . -1053) 71895) ((-1265 . -716) T) ((-1157 . -950) 71864) ((-57 . -608) 71846) ((-1113 . -950) 71813) ((-643 . -413) 71797) ((-1254 . -1054) T) ((-1235 . -105) T) ((-613 . -1053) 71781) ((-652 . -25) T) ((-652 . -21) T) ((-1143 . -523) NIL) ((-1228 . -105) T) ((-1207 . -105) T) ((-392 . -120) 71760) ((-212 . -247) 71744) ((-1201 . -105) T) ((-1051 . -1090) T) ((-1004 . -1136) T) ((-1051 . -1050) 71684) ((-813 . -1090) T) ((-341 . -1199) T) ((-626 . -637) 71668) ((-613 . -120) 71647) ((-602 . -637) 71631) ((-594 . -105) T) ((-585 . -137) T) ((-593 . -105) T) ((-416 . -1090) T) ((-387 . -1090) T) ((-219 . -1090) 71609) ((-636 . -523) 71542) ((-623 . -523) 71350) ((-828 . -1047) 71329) ((-634 . -154) 71313) ((-341 . -558) T) ((-702 . -895) 71256) ((-551 . -221) 71206) ((-1235 . -279) 71172) ((-1228 . -279) 71138) ((-1073 . -285) 71089) ((-497 . -840) T) ((-213 . -1102) T) ((-1207 . -279) 71055) ((-1201 . -279) 71021) ((-1004 . -43) 70971) ((-208 . -840) T) ((-1190 . -502) 70937) ((-910 . -43) 70889) ((-835 . -789) 70868) ((-835 . -786) 70847) ((-835 . -716) 70826) ((-361 . -285) T) ((-354 . -285) T) ((-343 . -285) T) ((-169 . -453) 70757) ((-429 . -43) 70741) ((-112 . -285) T) ((-213 . -23) T) ((-409 . -789) 70720) ((-409 . -786) 70699) ((-409 . -716) T) ((-509 . -283) 70674) ((-489 . -1053) 70639) ((-648 . -137) T) ((-1103 . -523) 70572) ((-334 . -137) T) ((-169 . -404) 70551) ((-236 . -137) T) ((-493 . -707) 70493) ((-810 . -281) 70470) ((-489 . -120) 70419) ((-33 . -37) 70403) ((-643 . -1054) T) ((-1216 . -453) 70334) ((-1078 . -137) T) ((-257 . -842) 70313) ((-242 . -842) 70292) ((-777 . -137) T) ((-775 . -137) T) ((-575 . -453) T) ((-1051 . -707) 70234) ((-613 . -1047) T) ((-1027 . -523) 70167) ((-463 . -137) T) ((-455 . -137) T) ((-50 . -1090) T) ((-387 . -707) 70137) ((-812 . -1090) T) ((-481 . -523) 70070) ((-468 . -523) 70003) ((-454 . -369) 69973) ((-50 . -605) 69952) ((-310 . -296) T) ((-662 . -608) 69914) ((-64 . -842) 69893) ((-1207 . -303) 69778) ((-1004 . -402) 69760) ((-810 . -601) 69737) ((-525 . -842) 69716) ((-505 . -842) 69695) ((-45 . -1199) T) ((-999 . -1037) 69591) ((-55 . -137) T) ((-581 . -137) T) ((-526 . -137) T) ((-288 . -637) 69451) ((-341 . -327) 69428) ((-341 . -365) T) ((-319 . -320) 69405) ((-314 . -281) 69390) ((-45 . -558) T) ((-381 . -1181) T) ((-381 . -1184) T) ((-1035 . -1172) 69365) ((-1169 . -227) 69315) ((-1151 . -223) 69267) ((-1035 . -111) 69213) ((-328 . -1090) T) ((-381 . -98) T) ((-381 . -40) T) ((-860 . -21) T) ((-860 . -25) T) ((-855 . -25) T) ((-489 . -1047) T) ((-538 . -536) 69157) ((-855 . -21) T) ((-490 . -227) 69107) ((-1144 . -499) 69041) ((-1266 . -1053) 69025) ((-383 . -1053) 69009) ((-489 . -238) T) ((-811 . -105) T) ((-704 . -150) 68988) ((-704 . -148) 68967) ((-494 . -499) 68951) ((-1266 . -120) 68930) ((-495 . -333) 68899) ((-999 . -379) 68883) ((-521 . -1090) T) ((-493 . -172) 68862) ((-999 . -336) 68846) ((-415 . -105) T) ((-383 . -120) 68825) ((-275 . -984) 68809) ((-274 . -984) 68793) ((-216 . -39) T) ((-144 . -39) T) ((-1264 . -608) 68775) ((-1262 . -608) 68757) ((-114 . -523) NIL) ((-1157 . -1219) 68741) ((-846 . -844) 68725) ((-1163 . -1090) T) ((-106 . -1195) T) ((-953 . -950) 68686) ((-734 . -1090) T) ((-812 . -707) 68623) ((-1207 . -1136) NIL) ((-492 . -950) 68568) ((-1058 . -146) T) ((-65 . -105) 68546) ((-49 . -608) 68528) ((-83 . -608) 68510) ((-352 . -637) 68455) ((-1254 . -1090) T) ((-520 . -842) T) ((-341 . -1102) T) ((-289 . -1090) T) ((-999 . -895) 68414) ((-289 . -605) 68393) ((-1235 . -43) 68290) ((-1228 . -43) 68131) ((-537 . -1088) T) ((-1207 . -43) 67927) ((-497 . -1054) T) ((-1201 . -43) 67824) ((-208 . -1054) T) ((-341 . -23) T) ((-155 . -608) 67806) ((-828 . -790) 67785) ((-828 . -787) 67764) ((-733 . -916) 67743) ((-594 . -43) 67716) ((-593 . -43) 67613) ((-864 . -558) T) ((-213 . -137) T) ((-314 . -1002) 67579) ((-84 . -608) 67561) ((-702 . -301) 67540) ((-288 . -716) 67442) ((-819 . -105) T) ((-852 . -836) T) ((-288 . -478) 67421) ((-1257 . -105) T) ((-45 . -365) T) ((-866 . -150) 67400) ((-33 . -1090) T) ((-866 . -148) 67379) ((-1143 . -499) 67361) ((-1266 . -1047) T) ((-493 . -523) 67294) ((-1131 . -1195) T) ((-965 . -608) 67276) ((-636 . -499) 67260) ((-623 . -499) 67192) ((-810 . -608) 66950) ((-53 . -27) T) ((-1163 . -707) 66847) ((-643 . -1090) T) ((-438 . -366) 66821) ((-734 . -707) 66650) ((-1092 . -105) T) ((-811 . -303) 66637) ((-852 . -1090) T) ((-1262 . -384) 66609) ((-1051 . -523) 66542) ((-1144 . -281) 66518) ((-232 . -223) 66487) ((-1254 . -707) 66457) ((-812 . -172) 66436) ((-219 . -523) 66369) ((-613 . -790) 66348) ((-613 . -787) 66327) ((-1193 . -608) 66274) ((-212 . -1195) T) ((-666 . -608) 66241) ((-1141 . -1010) 66225) ((-352 . -716) T) ((-944 . -105) 66175) ((-1207 . -402) 66127) ((-1103 . -499) 66111) ((-65 . -303) 66049) ((-329 . -105) T) ((-1190 . -21) T) ((-1190 . -25) T) ((-45 . -1102) T) ((-701 . -21) T) ((-618 . -608) 66031) ((-524 . -320) 66010) ((-701 . -25) T) ((-112 . -281) NIL) ((-917 . -1102) T) ((-45 . -23) T) ((-763 . -1102) T) ((-568 . -1199) T) ((-504 . -1199) T) ((-314 . -608) 65992) ((-1004 . -223) 65974) ((-169 . -166) 65958) ((-580 . -558) T) ((-568 . -558) T) ((-504 . -558) T) ((-763 . -23) T) ((-1227 . -150) 65937) ((-1144 . -601) 65913) ((-1227 . -148) 65892) ((-1027 . -499) 65876) ((-1206 . -148) 65801) ((-1206 . -150) 65726) ((-1257 . -1263) 65705) ((-481 . -499) 65689) ((-468 . -499) 65673) ((-531 . -39) T) ((-643 . -707) 65643) ((-652 . -842) 65622) ((-1163 . -172) 65573) ((-367 . -105) T) ((-232 . -230) 65552) ((-244 . -105) T) ((-243 . -105) T) ((-1216 . -950) 65521) ((-113 . -105) T) ((-240 . -842) 65500) ((-811 . -43) 65349) ((-734 . -172) 65240) ((-50 . -523) 65000) ((-1143 . -281) 64975) ((-205 . -1090) T) ((-1135 . -1090) T) ((-921 . -105) T) ((-1135 . -605) 64954) ((-585 . -25) T) ((-585 . -21) T) ((-1092 . -303) 64892) ((-964 . -413) 64876) ((-688 . -1199) T) ((-623 . -281) 64851) ((-1078 . -630) 64799) ((-777 . -630) 64747) ((-775 . -630) 64695) ((-341 . -137) T) ((-284 . -608) 64677) ((-921 . -920) 64649) ((-688 . -558) T) ((-900 . -1090) T) ((-864 . -1102) T) ((-455 . -630) 64597) ((-900 . -898) 64581) ((-857 . -856) T) ((-857 . -858) T) ((-944 . -303) 64519) ((-381 . -453) T) ((-864 . -23) T) ((-497 . -1090) T) ((-857 . -148) T) ((-690 . -637) 64506) ((-857 . -150) 64485) ((-208 . -1090) T) ((-310 . -916) 64464) ((-307 . -916) T) ((-307 . -815) NIL) ((-392 . -710) T) ((-774 . -148) 64443) ((-774 . -150) 64422) ((-125 . -637) 64409) ((-479 . -148) 64388) ((-420 . -413) 64372) ((-479 . -150) 64351) ((-114 . -499) 64333) ((-1155 . -1199) 64312) ((-2 . -608) 64294) ((-1143 . -19) 64276) ((-1155 . -558) 64187) ((-1143 . -601) 64162) ((-648 . -21) T) ((-648 . -25) T) ((-591 . -1129) T) ((-1103 . -281) 64139) ((-334 . -25) T) ((-334 . -21) T) ((-236 . -25) T) ((-236 . -21) T) ((-504 . -365) T) ((-1257 . -43) 64109) ((-1127 . -1195) T) ((-623 . -601) 64084) ((-1078 . -25) T) ((-1078 . -21) T) ((-964 . -1054) T) ((-734 . -523) 64030) ((-534 . -787) T) ((-534 . -790) T) ((-126 . -1199) T) ((-233 . -105) T) ((-615 . -558) T) ((-777 . -25) T) ((-777 . -21) T) ((-775 . -21) T) ((-775 . -25) T) ((-725 . -1054) T) ((-705 . -1054) T) ((-662 . -1053) 64014) ((-463 . -25) T) ((-126 . -558) T) ((-463 . -21) T) ((-455 . -25) T) ((-455 . -21) T) ((-1127 . -1037) 63910) ((-812 . -285) 63889) ((-733 . -432) 63873) ((-818 . -1090) T) ((-662 . -120) 63852) ((-289 . -523) 63612) ((-1264 . -1053) 63596) ((-1262 . -1053) 63580) ((-1227 . -1181) 63546) ((-244 . -303) 63484) ((-243 . -303) 63422) ((-1210 . -105) 63400) ((-1144 . -609) NIL) ((-1144 . -608) 63382) ((-1227 . -1184) 63348) ((-1207 . -223) 63300) ((-1206 . -1181) 63266) ((-1206 . -1184) 63232) ((-1127 . -379) 63216) ((-1108 . -815) T) ((-1108 . -916) T) ((-1103 . -601) 63193) ((-1073 . -609) 63177) ((-538 . -105) T) ((-494 . -608) 63144) ((-810 . -283) 63121) ((-603 . -154) 63068) ((-420 . -1054) T) ((-497 . -707) 63018) ((-493 . -499) 63002) ((-325 . -842) 62981) ((-337 . -637) 62955) ((-55 . -21) T) ((-55 . -25) T) ((-208 . -707) 62905) ((-169 . -714) 62876) ((-173 . -637) 62808) ((-581 . -21) T) ((-581 . -25) T) ((-526 . -25) T) ((-526 . -21) T) ((-480 . -154) 62758) ((-1073 . -608) 62740) ((-1057 . -608) 62722) ((-994 . -105) T) ((-850 . -105) T) ((-794 . -413) 62686) ((-45 . -137) T) ((-688 . -365) T) ((-204 . -890) T) ((-690 . -789) T) ((-690 . -786) T) ((-580 . -1102) T) ((-568 . -1102) T) ((-504 . -1102) T) ((-690 . -716) T) ((-361 . -608) 62668) ((-354 . -608) 62650) ((-343 . -608) 62632) ((-71 . -398) T) ((-71 . -397) T) ((-112 . -609) 62562) ((-112 . -608) 62544) ((-203 . -890) T) ((-958 . -154) 62528) ((-1227 . -98) 62494) ((-763 . -137) T) ((-139 . -716) T) ((-125 . -716) T) ((-1227 . -40) 62460) ((-1051 . -499) 62444) ((-580 . -23) T) ((-568 . -23) T) ((-504 . -23) T) ((-1206 . -98) 62410) ((-1206 . -40) 62376) ((-1157 . -105) T) ((-1113 . -105) T) ((-846 . -105) T) ((-219 . -499) 62360) ((-1264 . -120) 62339) ((-1262 . -120) 62318) ((-49 . -1053) 62302) ((-1216 . -1219) 62286) ((-847 . -844) 62270) ((-1163 . -285) 62249) ((-114 . -281) 62224) ((-1127 . -895) 62183) ((-49 . -120) 62162) ((-734 . -285) 62073) ((-662 . -1047) T) ((-1151 . -840) NIL) ((-1143 . -609) NIL) ((-1143 . -608) 62055) ((-1059 . -605) 62030) ((-1059 . -1090) T) ((-79 . -442) T) ((-79 . -397) T) ((-662 . -225) 62009) ((-155 . -1053) 61993) ((-575 . -555) 61977) ((-356 . -150) 61956) ((-356 . -148) 61907) ((-353 . -150) 61886) ((-692 . -1090) T) ((-353 . -148) 61837) ((-342 . -150) 61816) ((-342 . -148) 61767) ((-257 . -148) 61746) ((-257 . -150) 61725) ((-244 . -43) 61695) ((-242 . -150) 61674) ((-126 . -365) T) ((-242 . -148) 61653) ((-243 . -43) 61623) ((-155 . -120) 61602) ((-1003 . -1037) 61477) ((-922 . -1088) T) ((-683 . -1199) T) ((-794 . -1054) T) ((-688 . -1102) T) ((-1264 . -1047) T) ((-1262 . -1047) T) ((-1155 . -1102) T) ((-1141 . -1195) T) ((-1003 . -379) 61454) ((-905 . -148) T) ((-905 . -150) 61436) ((-864 . -137) T) ((-810 . -1053) 61333) ((-683 . -558) T) ((-688 . -23) T) ((-636 . -608) 61300) ((-636 . -609) 61261) ((-623 . -609) NIL) ((-623 . -608) 61243) ((-497 . -172) T) ((-213 . -21) T) ((-213 . -25) T) ((-208 . -172) T) ((-479 . -1184) 61209) ((-479 . -1181) 61175) ((-270 . -608) 61157) ((-269 . -608) 61139) ((-268 . -608) 61121) ((-267 . -608) 61103) ((-266 . -608) 61085) ((-509 . -640) 61067) ((-265 . -608) 61049) ((-337 . -716) T) ((-264 . -608) 61031) ((-114 . -19) 61013) ((-173 . -716) T) ((-509 . -375) 60995) ((-204 . -608) 60977) ((-528 . -1134) 60961) ((-509 . -132) T) ((-114 . -601) 60936) ((-203 . -608) 60918) ((-479 . -40) 60884) ((-479 . -98) 60850) ((-201 . -608) 60832) ((-200 . -608) 60814) ((-199 . -608) 60796) ((-198 . -608) 60778) ((-195 . -608) 60760) ((-194 . -608) 60742) ((-193 . -608) 60724) ((-192 . -608) 60706) ((-191 . -608) 60688) ((-190 . -608) 60670) ((-189 . -608) 60652) ((-541 . -1093) 60604) ((-188 . -608) 60586) ((-187 . -608) 60568) ((-50 . -499) 60505) ((-186 . -608) 60487) ((-185 . -608) 60469) ((-1155 . -23) T) ((-810 . -120) 60359) ((-634 . -105) 60309) ((-493 . -281) 60286) ((-1103 . -608) 60044) ((-1091 . -1090) T) ((-1044 . -1195) T) ((-615 . -1102) T) ((-1265 . -1037) 60028) ((-1157 . -303) 60015) ((-1113 . -303) 60002) ((-126 . -1102) T) ((-814 . -105) T) ((-615 . -23) T) ((-1135 . -523) 59762) ((-388 . -105) T) ((-321 . -105) T) ((-1003 . -895) 59714) ((-964 . -1090) T) ((-155 . -1047) T) ((-126 . -23) T) ((-721 . -413) 59698) ((-725 . -1090) T) ((-705 . -1090) T) ((-692 . -138) T) ((-454 . -1090) T) ((-310 . -432) 59682) ((-409 . -1195) T) ((-1027 . -609) 59643) ((-1027 . -608) 59605) ((-1023 . -1199) T) ((-215 . -105) T) ((-233 . -43) 59551) ((-811 . -223) 59535) ((-1023 . -558) T) ((-828 . -637) 59508) ((-355 . -1199) T) ((-481 . -608) 59470) ((-481 . -609) 59431) ((-468 . -609) 59392) ((-468 . -608) 59354) ((-409 . -879) 59338) ((-314 . -1053) 59173) ((-409 . -881) 59098) ((-835 . -1037) 58994) ((-497 . -523) NIL) ((-493 . -601) 58971) ((-355 . -558) T) ((-208 . -523) NIL) ((-866 . -453) T) ((-420 . -1090) T) ((-409 . -1037) 58835) ((-314 . -120) 58649) ((-683 . -365) T) ((-215 . -279) T) ((-53 . -1199) T) ((-810 . -1047) 58579) ((-580 . -137) T) ((-568 . -137) T) ((-504 . -137) T) ((-53 . -558) T) ((-1144 . -283) 58555) ((-1157 . -1136) 58533) ((-310 . -27) 58512) ((-1058 . -105) T) ((-810 . -225) 58464) ((-232 . -840) 58443) ((-953 . -105) T) ((-703 . -105) T) ((-289 . -499) 58380) ((-492 . -105) T) ((-721 . -1054) T) ((-607 . -608) 58362) ((-607 . -609) 58223) ((-409 . -379) 58207) ((-409 . -336) 58191) ((-1157 . -43) 58020) ((-1113 . -43) 57869) ((-846 . -43) 57839) ((-392 . -637) 57823) ((-634 . -303) 57761) ((-964 . -707) 57658) ((-212 . -111) 57642) ((-50 . -281) 57567) ((-725 . -707) 57537) ((-613 . -637) 57511) ((-305 . -1090) T) ((-284 . -1053) 57498) ((-114 . -608) 57480) ((-114 . -609) 57462) ((-454 . -707) 57432) ((-811 . -246) 57371) ((-679 . -1090) 57349) ((-551 . -1090) T) ((-1159 . -1054) T) ((-1158 . -1054) T) ((-284 . -120) 57334) ((-1151 . -1054) T) ((-1114 . -1054) T) ((-551 . -605) 57313) ((-1004 . -840) T) ((-219 . -677) 57271) ((-683 . -1102) T) ((-1190 . -730) 57247) ((-967 . -971) 57224) ((-314 . -1047) T) ((-341 . -25) T) ((-341 . -21) T) ((-409 . -895) 57183) ((-73 . -1195) T) ((-828 . -789) 57162) ((-420 . -707) 57136) ((-794 . -1090) T) ((-828 . -786) 57115) ((-688 . -137) T) ((-702 . -916) 57094) ((-683 . -23) T) ((-497 . -285) T) ((-828 . -716) 57073) ((-314 . -225) 57025) ((-314 . -238) 57004) ((-208 . -285) T) ((-1023 . -365) T) ((-1227 . -453) 56983) ((-1206 . -453) 56962) ((-355 . -327) 56939) ((-355 . -365) T) ((-1125 . -608) 56921) ((-50 . -1231) 56871) ((-865 . -105) T) ((-634 . -277) 56855) ((-688 . -1056) T) ((-489 . -637) 56820) ((-473 . -1090) T) ((-50 . -601) 56745) ((-1143 . -283) 56720) ((-1155 . -137) T) ((-45 . -630) 56654) ((-53 . -365) T) ((-1096 . -608) 56636) ((-1078 . -842) 56615) ((-623 . -283) 56590) ((-953 . -303) 56577) ((-777 . -842) 56556) ((-775 . -842) 56535) ((-455 . -842) 56514) ((-493 . -608) 56272) ((-232 . -413) 56241) ((-216 . -1195) T) ((-144 . -1195) T) ((-218 . -154) 56223) ((-145 . -154) 56198) ((-70 . -1195) T) ((-734 . -281) 56125) ((-615 . -137) T) ((-492 . -303) 56112) ((-1059 . -523) 55920) ((-284 . -1047) T) ((-126 . -137) T) ((-454 . -753) T) ((-964 . -172) 55871) ((-1150 . -1090) T) ((-1103 . -283) 55848) ((-1073 . -1053) 55758) ((-613 . -789) 55737) ((-591 . -1090) T) ((-613 . -786) 55716) ((-613 . -716) T) ((-289 . -281) 55695) ((-288 . -1195) T) ((-1051 . -608) 55657) ((-1051 . -609) 55618) ((-1023 . -1102) T) ((-169 . -105) T) ((-271 . -842) T) ((-1092 . -221) 55602) ((-813 . -608) 55584) ((-1073 . -120) 55473) ((-1003 . -301) T) ((-857 . -453) T) ((-794 . -707) 55457) ((-361 . -1053) 55409) ((-355 . -1102) T) ((-354 . -1053) 55361) ((-416 . -608) 55343) ((-387 . -608) 55325) ((-343 . -1053) 55277) ((-219 . -608) 55244) ((-1023 . -23) T) ((-774 . -453) T) ((-112 . -1053) 55194) ((-893 . -105) T) ((-833 . -105) T) ((-803 . -105) T) ((-761 . -105) T) ((-667 . -105) T) ((-479 . -453) 55173) ((-420 . -172) T) ((-361 . -120) 55104) ((-354 . -120) 55035) ((-343 . -120) 54966) ((-244 . -223) 54935) ((-243 . -223) 54904) ((-355 . -23) T) ((-76 . -1195) T) ((-215 . -43) 54869) ((-112 . -120) 54796) ((-45 . -25) T) ((-45 . -21) T) ((-662 . -710) T) ((-169 . -279) 54774) ((-857 . -404) T) ((-53 . -1102) T) ((-917 . -25) T) ((-763 . -25) T) ((-1135 . -499) 54711) ((-495 . -1090) T) ((-1266 . -637) 54685) ((-1216 . -105) T) ((-847 . -105) T) ((-232 . -1054) 54615) ((-1058 . -1136) T) ((-965 . -787) 54568) ((-383 . -637) 54552) ((-53 . -23) T) ((-965 . -790) 54505) ((-810 . -790) 54456) ((-810 . -787) 54407) ((-289 . -601) 54386) ((-489 . -716) T) ((-1155 . -502) 54364) ((-575 . -105) T) ((-865 . -303) 54308) ((-643 . -281) 54287) ((-121 . -651) T) ((-81 . -1195) T) ((-1058 . -43) 54274) ((-656 . -376) 54253) ((-953 . -43) 54102) ((-721 . -1090) T) ((-492 . -43) 53951) ((-91 . -1195) T) ((-575 . -279) T) ((-1207 . -840) NIL) ((-1159 . -1090) T) ((-1158 . -1090) T) ((-1151 . -1090) T) ((-352 . -1037) 53928) ((-1073 . -1047) T) ((-1004 . -1054) T) ((-50 . -608) 53910) ((-50 . -609) NIL) ((-910 . -1054) T) ((-812 . -608) 53892) ((-1132 . -105) 53870) ((-1073 . -238) 53821) ((-429 . -1054) T) ((-361 . -1047) T) ((-354 . -1047) T) ((-367 . -366) 53798) ((-343 . -1047) T) ((-244 . -230) 53777) ((-243 . -230) 53756) ((-113 . -366) 53730) ((-1073 . -225) 53655) ((-1114 . -1090) T) ((-288 . -895) 53614) ((-112 . -1047) T) ((-733 . -1199) 53593) ((-683 . -137) T) ((-420 . -523) 53435) ((-361 . -225) 53414) ((-361 . -238) T) ((-49 . -710) T) ((-354 . -225) 53393) ((-354 . -238) T) ((-343 . -225) 53372) ((-343 . -238) T) ((-733 . -558) T) ((-169 . -303) 53337) ((-112 . -238) T) ((-112 . -225) T) ((-314 . -787) T) ((-864 . -21) T) ((-864 . -25) T) ((-409 . -301) T) ((-509 . -39) T) ((-114 . -283) 53312) ((-1103 . -1053) 53209) ((-865 . -1136) NIL) ((-860 . -859) T) ((-860 . -858) T) ((-855 . -854) T) ((-855 . -858) T) ((-855 . -859) T) ((-328 . -608) 53191) ((-409 . -1021) 53169) ((-1103 . -120) 53059) ((-860 . -148) 53029) ((-860 . -150) T) ((-855 . -150) T) ((-855 . -148) 52999) ((-438 . -1090) T) ((-1266 . -716) T) ((-68 . -608) 52981) ((-865 . -43) 52926) ((-531 . -1195) T) ((-599 . -154) 52910) ((-521 . -608) 52892) ((-1216 . -303) 52879) ((-721 . -707) 52728) ((-534 . -788) T) ((-534 . -789) T) ((-568 . -630) 52710) ((-504 . -630) 52670) ((-356 . -453) T) ((-353 . -453) T) ((-342 . -453) T) ((-257 . -453) 52621) ((-528 . -1090) 52571) ((-242 . -453) 52522) ((-1135 . -281) 52501) ((-1163 . -608) 52483) ((-679 . -523) 52416) ((-964 . -285) 52395) ((-551 . -523) 52155) ((-734 . -609) NIL) ((-734 . -608) 52137) ((-1254 . -608) 52119) ((-1157 . -223) 52103) ((-169 . -1136) 52082) ((-1239 . -558) 52061) ((-1159 . -707) 51958) ((-1158 . -707) 51799) ((-887 . -105) T) ((-1151 . -707) 51595) ((-1114 . -707) 51492) ((-1141 . -665) 51476) ((-356 . -404) 51427) ((-353 . -404) 51378) ((-342 . -404) 51329) ((-1023 . -137) T) ((-794 . -523) 51241) ((-289 . -609) NIL) ((-289 . -608) 51223) ((-905 . -453) T) ((-965 . -370) 51176) ((-810 . -370) 51155) ((-519 . -518) 51134) ((-517 . -518) 51113) ((-497 . -281) NIL) ((-493 . -283) 51090) ((-420 . -285) T) ((-355 . -137) T) ((-208 . -281) NIL) ((-683 . -502) NIL) ((-101 . -1102) T) ((-169 . -43) 50918) ((-1229 . -558) T) ((-1227 . -974) 50880) ((-1132 . -303) 50818) ((-1206 . -974) 50787) ((-905 . -404) T) ((-1103 . -1047) 50717) ((-1135 . -601) 50696) ((-733 . -365) 50675) ((-774 . -154) 50627) ((-121 . -842) T) ((-1059 . -499) 50559) ((-580 . -21) T) ((-580 . -25) T) ((-568 . -21) T) ((-568 . -25) T) ((-504 . -25) T) ((-504 . -21) T) ((-1216 . -1136) 50537) ((-1103 . -225) 50489) ((-53 . -137) T) ((-33 . -608) 50471) ((-968 . -1088) T) ((-1177 . -105) T) ((-232 . -1090) 50261) ((-865 . -402) 50238) ((-1079 . -105) T) ((-1069 . -105) T) ((-603 . -105) T) ((-480 . -105) T) ((-1216 . -43) 50067) ((-847 . -43) 50037) ((-1155 . -630) 49985) ((-721 . -172) 49896) ((-643 . -608) 49878) ((-575 . -43) 49865) ((-958 . -105) 49815) ((-852 . -608) 49797) ((-852 . -609) 49719) ((-591 . -523) NIL) ((-1235 . -1054) T) ((-1228 . -1054) T) ((-1207 . -1054) T) ((-1201 . -1054) T) ((-1270 . -1102) T) ((-1190 . -150) 49698) ((-1159 . -172) 49649) ((-594 . -1054) T) ((-593 . -1054) T) ((-1158 . -172) 49580) ((-1151 . -172) 49511) ((-1114 . -172) 49462) ((-1004 . -1090) T) ((-972 . -1090) T) ((-910 . -1090) T) ((-794 . -792) 49446) ((-774 . -641) 49430) ((-774 . -974) 49399) ((-733 . -1102) T) ((-688 . -25) T) ((-688 . -21) T) ((-126 . -630) 49376) ((-690 . -881) 49358) ((-429 . -1090) T) ((-310 . -1199) 49337) ((-307 . -1199) T) ((-169 . -402) 49321) ((-1190 . -148) 49300) ((-479 . -974) 49262) ((-77 . -608) 49244) ((-733 . -23) T) ((-112 . -790) T) ((-112 . -787) T) ((-310 . -558) 49223) ((-690 . -1037) 49205) ((-307 . -558) T) ((-1270 . -23) T) ((-139 . -1037) 49187) ((-493 . -1053) 49084) ((-50 . -283) 49009) ((-1155 . -25) T) ((-1155 . -21) T) ((-232 . -707) 48951) ((-493 . -120) 48841) ((-1082 . -105) 48819) ((-1034 . -105) T) ((-634 . -823) 48798) ((-721 . -523) 48736) ((-1051 . -1053) 48720) ((-615 . -21) T) ((-615 . -25) T) ((-1059 . -281) 48695) ((-363 . -105) T) ((-319 . -105) T) ((-662 . -637) 48669) ((-387 . -1053) 48653) ((-1051 . -120) 48632) ((-811 . -413) 48616) ((-126 . -25) T) ((-94 . -608) 48598) ((-126 . -21) T) ((-603 . -303) 48393) ((-480 . -303) 48197) ((-1239 . -1102) T) ((-1135 . -609) NIL) ((-387 . -120) 48176) ((-381 . -105) T) ((-205 . -608) 48158) ((-1135 . -608) 48140) ((-1004 . -707) 48090) ((-1151 . -523) 47824) ((-910 . -707) 47776) ((-1114 . -523) 47746) ((-352 . -301) T) ((-1239 . -23) T) ((-1169 . -154) 47696) ((-958 . -303) 47634) ((-829 . -105) T) ((-429 . -707) 47618) ((-215 . -823) T) ((-822 . -105) T) ((-820 . -105) T) ((-490 . -154) 47568) ((-1227 . -1226) 47547) ((-1108 . -1199) T) ((-337 . -1037) 47514) ((-1227 . -1221) 47484) ((-1227 . -1224) 47468) ((-1206 . -1205) 47447) ((-85 . -608) 47429) ((-900 . -608) 47411) ((-1206 . -1221) 47388) ((-1108 . -558) T) ((-917 . -842) T) ((-763 . -842) T) ((-497 . -609) 47318) ((-497 . -608) 47300) ((-381 . -279) T) ((-663 . -842) T) ((-1206 . -1203) 47284) ((-1229 . -1102) T) ((-208 . -609) 47214) ((-208 . -608) 47196) ((-1059 . -601) 47171) ((-64 . -154) 47155) ((-525 . -154) 47139) ((-505 . -154) 47123) ((-361 . -1261) 47107) ((-354 . -1261) 47091) ((-343 . -1261) 47075) ((-310 . -365) 47054) ((-307 . -365) T) ((-493 . -1047) 46984) ((-683 . -630) 46966) ((-1264 . -637) 46940) ((-1262 . -637) 46914) ((-1229 . -23) T) ((-679 . -499) 46898) ((-69 . -608) 46880) ((-1103 . -790) 46831) ((-1103 . -787) 46782) ((-551 . -499) 46719) ((-662 . -39) T) ((-493 . -225) 46671) ((-289 . -283) 46650) ((-232 . -172) 46629) ((-857 . -1251) 46613) ((-811 . -1054) T) ((-49 . -637) 46571) ((-1073 . -370) 46522) ((-721 . -285) 46453) ((-528 . -523) 46386) ((-812 . -1053) 46337) ((-1078 . -148) 46316) ((-361 . -370) 46295) ((-354 . -370) 46274) ((-343 . -370) 46253) ((-1078 . -150) 46232) ((-865 . -223) 46209) ((-812 . -120) 46144) ((-777 . -148) 46123) ((-777 . -150) 46102) ((-257 . -950) 46069) ((-244 . -840) 46048) ((-242 . -950) 45993) ((-243 . -840) 45972) ((-775 . -148) 45951) ((-775 . -150) 45930) ((-155 . -637) 45904) ((-455 . -150) 45883) ((-455 . -148) 45862) ((-662 . -716) T) ((-818 . -608) 45844) ((-1235 . -1090) T) ((-1228 . -1090) T) ((-1207 . -1090) T) ((-1201 . -1090) T) ((-1190 . -1184) 45810) ((-1190 . -1181) 45776) ((-1159 . -285) 45755) ((-1158 . -285) 45706) ((-1151 . -285) 45657) ((-1114 . -285) 45636) ((-337 . -895) 45617) ((-1004 . -172) T) ((-910 . -172) T) ((-774 . -1221) 45594) ((-594 . -1090) T) ((-593 . -1090) T) ((-683 . -21) T) ((-683 . -25) T) ((-479 . -1224) 45578) ((-479 . -1221) 45548) ((-420 . -281) 45476) ((-310 . -1102) 45325) ((-307 . -1102) T) ((-1190 . -40) 45291) ((-1190 . -98) 45257) ((-89 . -608) 45239) ((-96 . -105) 45217) ((-1270 . -137) T) ((-733 . -137) T) ((-581 . -148) T) ((-581 . -150) 45199) ((-526 . -150) 45181) ((-526 . -148) T) ((-310 . -23) 45033) ((-45 . -340) 45007) ((-307 . -23) T) ((-1143 . -640) 44989) ((-810 . -637) 44837) ((-1257 . -1054) T) ((-1143 . -375) 44819) ((-169 . -223) 44803) ((-591 . -499) 44785) ((-232 . -523) 44718) ((-1264 . -716) T) ((-1262 . -716) T) ((-1163 . -1053) 44601) ((-734 . -1053) 44424) ((-1163 . -120) 44286) ((-812 . -1047) T) ((-734 . -120) 44088) ((-524 . -105) T) ((-53 . -630) 44048) ((-519 . -105) T) ((-517 . -105) T) ((-1254 . -1053) 44018) ((-1034 . -43) 44002) ((-812 . -225) T) ((-812 . -238) 43981) ((-551 . -281) 43960) ((-1254 . -120) 43925) ((-1216 . -223) 43909) ((-1235 . -707) 43806) ((-1228 . -707) 43647) ((-1059 . -609) NIL) ((-1059 . -608) 43629) ((-1207 . -707) 43425) ((-1201 . -707) 43322) ((-1003 . -916) T) ((-692 . -608) 43291) ((-155 . -716) T) ((-1239 . -137) T) ((-1103 . -370) 43270) ((-1004 . -523) NIL) ((-244 . -413) 43239) ((-243 . -413) 43208) ((-1023 . -25) T) ((-1023 . -21) T) ((-594 . -707) 43181) ((-593 . -707) 43078) ((-794 . -281) 43036) ((-135 . -105) 43014) ((-828 . -1037) 42910) ((-169 . -823) 42889) ((-314 . -637) 42786) ((-810 . -39) T) ((-704 . -105) T) ((-1108 . -1102) T) ((-1026 . -1195) T) ((-381 . -43) 42751) ((-355 . -25) T) ((-355 . -21) T) ((-218 . -105) T) ((-162 . -105) T) ((-158 . -105) T) ((-145 . -105) T) ((-356 . -1251) 42735) ((-353 . -1251) 42719) ((-342 . -1251) 42703) ((-860 . -453) T) ((-169 . -350) 42682) ((-568 . -842) T) ((-504 . -842) T) ((-855 . -453) T) ((-1108 . -23) T) ((-92 . -608) 42664) ((-690 . -301) T) ((-829 . -43) 42634) ((-822 . -43) 42604) ((-1229 . -137) T) ((-1135 . -283) 42583) ((-965 . -716) 42482) ((-965 . -788) 42435) ((-965 . -789) 42388) ((-810 . -786) 42367) ((-125 . -301) T) ((-96 . -303) 42305) ((-666 . -39) T) ((-551 . -601) 42284) ((-53 . -25) T) ((-53 . -21) T) ((-810 . -789) 42235) ((-810 . -788) 42214) ((-690 . -1021) T) ((-643 . -1053) 42198) ((-965 . -478) 42151) ((-810 . -716) 42077) ((-905 . -1251) 42064) ((-236 . -320) 42041) ((-860 . -404) 42011) ((-493 . -790) 41962) ((-493 . -787) 41913) ((-855 . -404) 41883) ((-1163 . -1047) T) ((-734 . -1047) T) ((-643 . -120) 41862) ((-1163 . -324) 41839) ((-1182 . -105) 41817) ((-1091 . -608) 41799) ((-690 . -550) T) ((-734 . -324) 41776) ((-811 . -1090) T) ((-734 . -225) T) ((-1254 . -1047) T) ((-415 . -1090) T) ((-244 . -1054) 41706) ((-243 . -1054) 41636) ((-284 . -637) 41623) ((-591 . -281) 41598) ((-679 . -677) 41556) ((-1235 . -172) 41507) ((-964 . -608) 41489) ((-866 . -105) T) ((-725 . -608) 41471) ((-705 . -608) 41453) ((-1228 . -172) 41384) ((-1207 . -172) 41315) ((-1201 . -172) 41266) ((-688 . -842) T) ((-1004 . -285) T) ((-454 . -608) 41248) ((-618 . -716) T) ((-65 . -1090) 41226) ((-240 . -154) 41210) ((-910 . -285) T) ((-1023 . -1012) T) ((-618 . -478) T) ((-702 . -1199) 41189) ((-1239 . -502) 41155) ((-594 . -172) 41134) ((-593 . -172) 41085) ((-1244 . -842) 41064) ((-702 . -558) 40975) ((-409 . -916) T) ((-409 . -815) 40954) ((-314 . -789) T) ((-314 . -716) T) ((-420 . -608) 40936) ((-420 . -609) 40837) ((-634 . -1134) 40821) ((-114 . -640) 40803) ((-135 . -303) 40741) ((-114 . -375) 40723) ((-173 . -301) T) ((-400 . -1195) T) ((-310 . -137) 40594) ((-307 . -137) T) ((-74 . -397) T) ((-114 . -132) T) ((-1155 . -842) 40573) ((-528 . -499) 40557) ((-644 . -1102) T) ((-591 . -19) 40539) ((-218 . -303) NIL) ((-66 . -442) T) ((-145 . -303) NIL) ((-66 . -397) T) ((-819 . -1090) T) ((-591 . -601) 40514) ((-489 . -1037) 40474) ((-643 . -1047) T) ((-644 . -23) T) ((-1257 . -1090) T) ((-811 . -707) 40323) ((-126 . -842) NIL) ((-1157 . -413) 40307) ((-1113 . -413) 40291) ((-846 . -413) 40275) ((-233 . -1054) T) ((-1227 . -105) T) ((-1207 . -523) 40009) ((-1182 . -303) 39947) ((-305 . -608) 39929) ((-1206 . -105) T) ((-1092 . -1090) T) ((-1159 . -281) 39914) ((-1158 . -281) 39899) ((-284 . -716) T) ((-112 . -904) NIL) ((-679 . -608) 39866) ((-679 . -609) 39827) ((-1073 . -637) 39737) ((-598 . -608) 39719) ((-551 . -609) NIL) ((-551 . -608) 39701) ((-1151 . -281) 39549) ((-497 . -1053) 39499) ((-701 . -453) T) ((-520 . -518) 39478) ((-516 . -518) 39457) ((-208 . -1053) 39407) ((-361 . -637) 39359) ((-354 . -637) 39311) ((-215 . -840) T) ((-343 . -637) 39263) ((-599 . -105) 39213) ((-493 . -370) 39192) ((-112 . -637) 39142) ((-497 . -120) 39069) ((-232 . -499) 39053) ((-341 . -150) 39035) ((-341 . -148) T) ((-169 . -372) 39006) ((-944 . -1242) 38990) ((-208 . -120) 38917) ((-866 . -303) 38882) ((-944 . -1090) 38832) ((-794 . -609) 38793) ((-794 . -608) 38775) ((-708 . -105) T) ((-329 . -1090) T) ((-1108 . -137) T) ((-704 . -43) 38745) ((-310 . -502) 38724) ((-509 . -1195) T) ((-1227 . -279) 38690) ((-1206 . -279) 38656) ((-325 . -154) 38640) ((-1059 . -283) 38615) ((-1257 . -707) 38585) ((-1144 . -39) T) ((-1266 . -1037) 38562) ((-733 . -630) 38468) ((-473 . -608) 38450) ((-494 . -39) T) ((-383 . -1037) 38434) ((-1157 . -1054) T) ((-1113 . -1054) T) ((-846 . -1054) T) ((-1058 . -840) T) ((-811 . -172) 38345) ((-528 . -281) 38322) ((-126 . -993) 38299) ((-857 . -105) T) ((-774 . -105) T) ((-1235 . -285) 38278) ((-1228 . -285) 38229) ((-1177 . -366) 38203) ((-1079 . -262) 38187) ((-479 . -105) T) ((-367 . -1090) T) ((-244 . -1090) T) ((-243 . -1090) T) ((-1207 . -285) 38138) ((-113 . -1090) T) ((-1201 . -285) 38117) ((-866 . -1136) 38095) ((-1159 . -1002) 38061) ((-603 . -366) 38001) ((-1158 . -1002) 37967) ((-603 . -221) 37914) ((-591 . -608) 37896) ((-591 . -609) NIL) ((-683 . -842) T) ((-480 . -221) 37846) ((-497 . -1047) T) ((-1151 . -1002) 37812) ((-93 . -441) T) ((-93 . -397) T) ((-208 . -1047) T) ((-1114 . -1002) 37778) ((-34 . -1088) T) ((-921 . -1090) T) ((-1073 . -716) T) ((-702 . -1102) T) ((-594 . -285) 37757) ((-593 . -285) 37736) ((-497 . -238) T) ((-497 . -225) T) ((-1150 . -608) 37718) ((-866 . -43) 37670) ((-208 . -238) T) ((-208 . -225) T) ((-733 . -25) T) ((-733 . -21) T) ((-361 . -716) T) ((-354 . -716) T) ((-343 . -716) T) ((-112 . -789) T) ((-112 . -786) T) ((-528 . -1231) 37654) ((-112 . -716) T) ((-702 . -23) T) ((-1270 . -25) T) ((-479 . -279) 37620) ((-1270 . -21) T) ((-1206 . -303) 37559) ((-1161 . -105) T) ((-45 . -148) 37531) ((-45 . -150) 37503) ((-528 . -601) 37480) ((-1103 . -637) 37328) ((-599 . -303) 37266) ((-50 . -640) 37216) ((-50 . -658) 37166) ((-50 . -375) 37116) ((-1143 . -39) T) ((-865 . -840) NIL) ((-644 . -137) T) ((-495 . -608) 37098) ((-232 . -281) 37075) ((-636 . -39) T) ((-623 . -39) T) ((-1078 . -453) 37026) ((-811 . -523) 36891) ((-777 . -453) 36822) ((-775 . -453) 36773) ((-770 . -105) T) ((-455 . -453) 36724) ((-953 . -413) 36708) ((-721 . -608) 36690) ((-244 . -707) 36632) ((-243 . -707) 36574) ((-721 . -609) 36435) ((-492 . -413) 36419) ((-337 . -296) T) ((-233 . -1090) T) ((-352 . -916) T) ((-1000 . -105) 36397) ((-1023 . -842) T) ((-65 . -523) 36330) ((-1239 . -25) T) ((-1239 . -21) T) ((-1206 . -1136) 36282) ((-1004 . -281) NIL) ((-215 . -1054) T) ((-381 . -823) T) ((-1103 . -39) T) ((-774 . -303) 36151) ((-581 . -453) T) ((-526 . -453) T) ((-1210 . -1083) 36135) ((-1210 . -1090) 36113) ((-232 . -601) 36090) ((-1210 . -1085) 36047) ((-1159 . -608) 36029) ((-1158 . -608) 36011) ((-1151 . -608) 35993) ((-1151 . -609) NIL) ((-1114 . -608) 35975) ((-866 . -402) 35959) ((-538 . -1090) T) ((-541 . -105) T) ((-1227 . -43) 35800) ((-1206 . -43) 35614) ((-864 . -150) T) ((-581 . -404) T) ((-53 . -842) T) ((-526 . -404) T) ((-1229 . -21) T) ((-1229 . -25) T) ((-1103 . -786) 35593) ((-1103 . -789) 35544) ((-1103 . -788) 35523) ((-994 . -1090) T) ((-1027 . -39) T) ((-850 . -1090) T) ((-1240 . -105) T) ((-1103 . -716) 35449) ((-656 . -105) T) ((-551 . -283) 35428) ((-1169 . -105) T) ((-481 . -39) T) ((-468 . -39) T) ((-356 . -105) T) ((-353 . -105) T) ((-342 . -105) T) ((-257 . -105) T) ((-242 . -105) T) ((-489 . -301) T) ((-1058 . -1054) T) ((-953 . -1054) T) ((-310 . -630) 35334) ((-307 . -630) 35295) ((-492 . -1054) T) ((-490 . -105) T) ((-438 . -608) 35277) ((-1157 . -1090) T) ((-1113 . -1090) T) ((-846 . -1090) T) ((-1126 . -105) T) ((-811 . -285) 35208) ((-964 . -1053) 35091) ((-489 . -1021) T) ((-725 . -1053) 35061) ((-1132 . -1109) 35045) ((-1092 . -523) 34978) ((-967 . -105) T) ((-454 . -1053) 34948) ((-964 . -120) 34810) ((-860 . -1251) 34785) ((-855 . -1251) 34745) ((-905 . -105) T) ((-857 . -1136) T) ((-725 . -120) 34710) ((-233 . -707) 34656) ((-64 . -105) 34606) ((-528 . -609) 34567) ((-528 . -608) 34506) ((-527 . -105) 34484) ((-525 . -105) 34434) ((-506 . -105) 34412) ((-505 . -105) 34362) ((-454 . -120) 34313) ((-244 . -172) 34292) ((-243 . -172) 34271) ((-420 . -1053) 34245) ((-1190 . -974) 34206) ((-999 . -1102) T) ((-857 . -43) 34171) ((-774 . -43) 34109) ((-944 . -523) 34042) ((-497 . -790) T) ((-479 . -43) 33883) ((-420 . -120) 33850) ((-497 . -787) T) ((-1000 . -303) 33788) ((-208 . -790) T) ((-208 . -787) T) ((-999 . -23) T) ((-702 . -137) T) ((-1206 . -402) 33758) ((-310 . -25) 33610) ((-169 . -413) 33594) ((-310 . -21) 33465) ((-307 . -25) T) ((-307 . -21) T) ((-852 . -370) T) ((-114 . -39) T) ((-493 . -637) 33313) ((-865 . -1054) T) ((-591 . -283) 33288) ((-580 . -150) T) ((-568 . -150) T) ((-504 . -150) T) ((-1157 . -707) 33117) ((-1113 . -707) 32966) ((-1108 . -630) 32948) ((-846 . -707) 32918) ((-662 . -1195) T) ((-1 . -105) T) ((-232 . -608) 32676) ((-1216 . -413) 32660) ((-1169 . -303) 32464) ((-964 . -1047) T) ((-725 . -1047) T) ((-705 . -1047) T) ((-634 . -1090) 32414) ((-1051 . -637) 32398) ((-847 . -413) 32382) ((-520 . -105) T) ((-516 . -105) T) ((-242 . -303) 32369) ((-257 . -303) 32356) ((-964 . -324) 32335) ((-387 . -637) 32319) ((-490 . -303) 32123) ((-244 . -523) 32056) ((-662 . -1037) 31952) ((-243 . -523) 31885) ((-1126 . -303) 31811) ((-233 . -172) 31790) ((-814 . -1090) T) ((-794 . -1053) 31774) ((-1235 . -281) 31759) ((-1228 . -281) 31744) ((-1207 . -281) 31592) ((-1201 . -281) 31577) ((-388 . -1090) T) ((-321 . -1090) T) ((-420 . -1047) T) ((-169 . -1054) T) ((-64 . -303) 31515) ((-794 . -120) 31494) ((-593 . -281) 31479) ((-527 . -303) 31417) ((-525 . -303) 31355) ((-506 . -303) 31293) ((-505 . -303) 31231) ((-420 . -225) 31210) ((-493 . -39) T) ((-1004 . -609) 31140) ((-215 . -1090) T) ((-1004 . -608) 31122) ((-972 . -608) 31104) ((-972 . -609) 31079) ((-910 . -608) 31061) ((-688 . -150) T) ((-690 . -916) T) ((-690 . -815) T) ((-429 . -608) 31043) ((-1108 . -21) T) ((-1108 . -25) T) ((-662 . -379) 31027) ((-125 . -916) T) ((-866 . -223) 31011) ((-83 . -1195) T) ((-135 . -134) 30995) ((-1051 . -39) T) ((-1264 . -1037) 30969) ((-1262 . -1037) 30926) ((-1216 . -1054) T) ((-1155 . -148) 30905) ((-1155 . -150) 30884) ((-847 . -1054) T) ((-493 . -786) 30863) ((-356 . -1136) 30842) ((-353 . -1136) 30821) ((-342 . -1136) 30800) ((-493 . -789) 30751) ((-493 . -788) 30730) ((-219 . -39) T) ((-493 . -716) 30656) ((-65 . -499) 30640) ((-575 . -1054) T) ((-1157 . -172) 30531) ((-1113 . -172) 30442) ((-1058 . -1090) T) ((-1078 . -950) 30387) ((-953 . -1090) T) ((-812 . -637) 30338) ((-777 . -950) 30307) ((-703 . -1090) T) ((-775 . -950) 30274) ((-525 . -277) 30258) ((-662 . -895) 30217) ((-492 . -1090) T) ((-455 . -950) 30184) ((-84 . -1195) T) ((-356 . -43) 30149) ((-353 . -43) 30114) ((-342 . -43) 30079) ((-257 . -43) 29928) ((-242 . -43) 29777) ((-905 . -1136) T) ((-615 . -150) 29756) ((-615 . -148) 29735) ((-126 . -150) T) ((-126 . -148) NIL) ((-416 . -716) T) ((-794 . -1047) T) ((-341 . -453) T) ((-1235 . -1002) 29701) ((-1228 . -1002) 29667) ((-1207 . -1002) 29633) ((-1201 . -1002) 29599) ((-905 . -43) 29564) ((-215 . -707) 29529) ((-733 . -842) T) ((-45 . -411) 29501) ((-314 . -52) 29471) ((-999 . -137) T) ((-810 . -1195) T) ((-173 . -916) T) ((-341 . -404) T) ((-528 . -283) 29448) ((-50 . -39) T) ((-810 . -1037) 29275) ((-734 . -904) 29254) ((-652 . -105) T) ((-644 . -21) T) ((-644 . -25) T) ((-1092 . -499) 29238) ((-1206 . -223) 29208) ((-666 . -1195) T) ((-240 . -105) 29158) ((-865 . -1090) T) ((-1163 . -637) 29083) ((-1058 . -707) 29070) ((-721 . -1053) 28913) ((-1157 . -523) 28859) ((-953 . -707) 28708) ((-1113 . -523) 28660) ((-734 . -637) 28585) ((-492 . -707) 28434) ((-72 . -608) 28416) ((-721 . -120) 28238) ((-944 . -499) 28222) ((-1254 . -637) 28182) ((-1159 . -1053) 28065) ((-812 . -716) T) ((-1158 . -1053) 27900) ((-1151 . -1053) 27690) ((-233 . -285) 27669) ((-1114 . -1053) 27552) ((-1003 . -1199) T) ((-1084 . -105) 27530) ((-810 . -379) 27499) ((-1003 . -558) T) ((-1159 . -120) 27361) ((-1158 . -120) 27175) ((-1151 . -120) 26921) ((-1114 . -120) 26783) ((-1095 . -1093) 26747) ((-381 . -840) T) ((-1235 . -608) 26729) ((-1228 . -608) 26711) ((-1207 . -608) 26693) ((-1207 . -609) NIL) ((-1201 . -608) 26675) ((-232 . -283) 26652) ((-45 . -453) T) ((-215 . -172) T) ((-169 . -1090) T) ((-683 . -150) T) ((-683 . -148) NIL) ((-594 . -608) 26634) ((-593 . -608) 26616) ((-893 . -1090) T) ((-833 . -1090) T) ((-803 . -1090) T) ((-761 . -1090) T) ((-648 . -844) 26600) ((-667 . -1090) T) ((-810 . -895) 26532) ((-1155 . -1181) 26510) ((-1155 . -1184) 26488) ((-45 . -404) NIL) ((-1108 . -651) T) ((-865 . -707) 26433) ((-244 . -499) 26417) ((-243 . -499) 26401) ((-702 . -630) 26349) ((-643 . -637) 26323) ((-289 . -39) T) ((-1155 . -98) 26301) ((-1155 . -40) 26279) ((-721 . -1047) T) ((-581 . -1251) 26266) ((-526 . -1251) 26243) ((-1216 . -1090) T) ((-1157 . -285) 26154) ((-1113 . -285) 26085) ((-1058 . -172) T) ((-847 . -1090) T) ((-953 . -172) 25996) ((-777 . -1219) 25980) ((-634 . -523) 25913) ((-82 . -608) 25895) ((-721 . -324) 25860) ((-1163 . -716) T) ((-575 . -1090) T) ((-492 . -172) 25771) ((-734 . -716) T) ((-240 . -303) 25709) ((-1127 . -1102) T) ((-75 . -608) 25691) ((-1254 . -716) T) ((-1159 . -1047) T) ((-1158 . -1047) T) ((-325 . -105) 25641) ((-1151 . -1047) T) ((-1127 . -23) T) ((-1114 . -1047) T) ((-96 . -1109) 25625) ((-853 . -1102) T) ((-1159 . -225) 25584) ((-1158 . -238) 25563) ((-1158 . -225) 25515) ((-1151 . -225) 25402) ((-1151 . -238) 25381) ((-314 . -895) 25287) ((-860 . -105) T) ((-855 . -105) T) ((-853 . -23) T) ((-169 . -707) 25115) ((-1091 . -370) T) ((-409 . -1199) T) ((-1023 . -150) T) ((-1003 . -365) T) ((-944 . -281) 25092) ((-864 . -453) T) ((-857 . -350) T) ((-310 . -842) T) ((-307 . -842) NIL) ((-869 . -105) T) ((-537 . -536) 24946) ((-702 . -25) T) ((-409 . -558) T) ((-702 . -21) T) ((-355 . -150) 24928) ((-355 . -148) T) ((-1132 . -1090) 24906) ((-454 . -710) T) ((-80 . -608) 24888) ((-123 . -842) T) ((-240 . -277) 24872) ((-232 . -1053) 24769) ((-86 . -608) 24751) ((-725 . -370) 24704) ((-1161 . -823) T) ((-727 . -227) 24688) ((-1144 . -1195) T) ((-142 . -227) 24670) ((-232 . -120) 24560) ((-1216 . -707) 24389) ((-53 . -150) T) ((-865 . -172) T) ((-847 . -707) 24359) ((-494 . -1195) T) ((-953 . -523) 24305) ((-643 . -716) T) ((-575 . -707) 24292) ((-1034 . -1054) T) ((-492 . -523) 24230) ((-944 . -19) 24214) ((-944 . -601) 24191) ((-811 . -609) NIL) ((-811 . -608) 24173) ((-1004 . -1053) 24123) ((-415 . -608) 24105) ((-244 . -281) 24082) ((-243 . -281) 24059) ((-497 . -904) NIL) ((-310 . -29) 24029) ((-112 . -1195) T) ((-1003 . -1102) T) ((-208 . -904) NIL) ((-910 . -1053) 23981) ((-1073 . -1037) 23877) ((-1004 . -120) 23804) ((-727 . -684) 23788) ((-257 . -223) 23772) ((-429 . -1053) 23756) ((-381 . -1054) T) ((-1003 . -23) T) ((-910 . -120) 23687) ((-683 . -1184) NIL) ((-497 . -637) 23637) ((-112 . -879) 23619) ((-112 . -881) 23601) ((-683 . -1181) NIL) ((-208 . -637) 23551) ((-361 . -1037) 23535) ((-354 . -1037) 23519) ((-325 . -303) 23457) ((-343 . -1037) 23441) ((-215 . -285) T) ((-429 . -120) 23420) ((-65 . -608) 23387) ((-169 . -172) T) ((-1108 . -842) T) ((-112 . -1037) 23347) ((-887 . -1090) T) ((-829 . -1054) T) ((-822 . -1054) T) ((-683 . -40) NIL) ((-683 . -98) NIL) ((-307 . -993) 23308) ((-580 . -453) T) ((-568 . -453) T) ((-504 . -453) T) ((-409 . -365) T) ((-232 . -1047) 23238) ((-1135 . -39) T) ((-923 . -105) T) ((-489 . -916) T) ((-999 . -630) 23186) ((-244 . -601) 23163) ((-243 . -601) 23140) ((-1073 . -379) 23124) ((-865 . -523) 22987) ((-232 . -225) 22939) ((-1143 . -1195) T) ((-819 . -608) 22921) ((-968 . -971) 22905) ((-1265 . -1102) T) ((-1257 . -608) 22887) ((-1216 . -172) 22778) ((-112 . -379) 22760) ((-112 . -336) 22742) ((-1058 . -285) T) ((-953 . -285) 22673) ((-794 . -370) 22652) ((-923 . -920) 22631) ((-636 . -1195) T) ((-623 . -1195) T) ((-492 . -285) 22562) ((-575 . -172) T) ((-325 . -277) 22546) ((-1265 . -23) T) ((-1190 . -105) T) ((-1177 . -1090) T) ((-1079 . -1090) T) ((-1069 . -1090) T) ((-88 . -608) 22528) ((-701 . -105) T) ((-356 . -350) 22507) ((-603 . -1090) T) ((-353 . -350) 22486) ((-342 . -350) 22465) ((-1169 . -221) 22415) ((-480 . -1090) T) ((-233 . -281) 22392) ((-257 . -246) 22354) ((-1127 . -137) T) ((-603 . -605) 22330) ((-1073 . -895) 22263) ((-1004 . -1047) T) ((-910 . -1047) T) ((-480 . -605) 22242) ((-1151 . -787) NIL) ((-1151 . -790) NIL) ((-1092 . -609) 22203) ((-490 . -221) 22153) ((-1092 . -608) 22135) ((-1004 . -238) T) ((-1004 . -225) T) ((-429 . -1047) T) ((-958 . -1090) 22085) ((-910 . -238) T) ((-853 . -137) T) ((-688 . -453) T) ((-835 . -1102) 22064) ((-112 . -895) NIL) ((-1190 . -279) 22030) ((-866 . -840) 22009) ((-1103 . -1195) T) ((-900 . -716) T) ((-169 . -523) 21921) ((-999 . -25) T) ((-900 . -478) T) ((-409 . -1102) T) ((-497 . -789) T) ((-497 . -786) T) ((-905 . -350) T) ((-497 . -716) T) ((-208 . -789) T) ((-208 . -786) T) ((-999 . -21) T) ((-208 . -716) T) ((-835 . -23) 21873) ((-314 . -301) 21852) ((-1035 . -227) 21798) ((-409 . -23) T) ((-944 . -609) 21759) ((-944 . -608) 21698) ((-634 . -499) 21682) ((-50 . -1010) 21632) ((-860 . -43) 21597) ((-855 . -43) 21562) ((-1155 . -453) 21493) ((-329 . -608) 21475) ((-1103 . -1037) 21302) ((-591 . -640) 21284) ((-591 . -375) 21266) ((-341 . -1251) 21243) ((-1027 . -1195) T) ((-865 . -285) T) ((-1216 . -523) 21189) ((-481 . -1195) T) ((-468 . -1195) T) ((-585 . -105) T) ((-1157 . -281) 21116) ((-615 . -453) 21095) ((-1000 . -995) 21079) ((-1257 . -384) 21051) ((-126 . -453) T) ((-1176 . -105) T) ((-1082 . -1090) 21029) ((-1034 . -1090) T) ((-888 . -842) T) ((-1235 . -1053) 20912) ((-352 . -1199) T) ((-1228 . -1053) 20747) ((-1103 . -379) 20716) ((-1207 . -1053) 20506) ((-1201 . -1053) 20389) ((-1235 . -120) 20251) ((-1228 . -120) 20065) ((-1207 . -120) 19811) ((-1201 . -120) 19673) ((-1190 . -303) 19660) ((-352 . -558) T) ((-367 . -608) 19642) ((-284 . -301) T) ((-594 . -1053) 19615) ((-593 . -1053) 19498) ((-363 . -1090) T) ((-319 . -1090) T) ((-244 . -608) 19459) ((-243 . -608) 19420) ((-1003 . -137) T) ((-113 . -608) 19402) ((-626 . -23) T) ((-683 . -411) 19369) ((-602 . -23) T) ((-648 . -105) T) ((-594 . -120) 19340) ((-593 . -120) 19202) ((-381 . -1090) T) ((-334 . -105) T) ((-169 . -285) 19113) ((-236 . -105) T) ((-1206 . -840) 19066) ((-921 . -608) 19048) ((-704 . -1054) T) ((-1132 . -523) 18981) ((-1103 . -895) 18913) ((-829 . -1090) T) ((-822 . -1090) T) ((-820 . -1090) T) ((-99 . -105) T) ((-147 . -842) T) ((-733 . -150) 18892) ((-733 . -148) 18871) ((-607 . -879) 18855) ((-114 . -1195) T) ((-1078 . -105) T) ((-1059 . -39) T) ((-777 . -105) T) ((-775 . -105) T) ((-463 . -105) T) ((-455 . -105) T) ((-232 . -790) 18806) ((-232 . -787) 18757) ((-774 . -1134) 18709) ((-638 . -105) T) ((-1216 . -285) 18620) ((-656 . -625) 18604) ((-634 . -281) 18581) ((-1034 . -707) 18565) ((-575 . -285) T) ((-964 . -637) 18490) ((-1265 . -137) T) ((-725 . -637) 18450) ((-705 . -637) 18437) ((-271 . -105) T) ((-454 . -637) 18367) ((-55 . -105) T) ((-581 . -105) T) ((-537 . -105) T) ((-526 . -105) T) ((-1235 . -1047) T) ((-1228 . -1047) T) ((-1207 . -1047) T) ((-1201 . -1047) T) ((-1235 . -225) 18326) ((-1228 . -238) 18305) ((-319 . -707) 18287) ((-1228 . -225) 18239) ((-1207 . -225) 18126) ((-1207 . -238) 18105) ((-1201 . -225) 18064) ((-1190 . -43) 17961) ((-1004 . -790) T) ((-594 . -1047) T) ((-593 . -1047) T) ((-1004 . -787) T) ((-972 . -790) T) ((-972 . -787) T) ((-233 . -608) 17943) ((-866 . -1054) T) ((-864 . -863) 17927) ((-683 . -453) T) ((-381 . -707) 17892) ((-420 . -637) 17866) ((-702 . -842) 17845) ((-701 . -43) 17810) ((-593 . -225) 17769) ((-45 . -714) 17741) ((-352 . -327) 17718) ((-352 . -365) T) ((-1239 . -148) 17697) ((-1239 . -150) 17676) ((-1073 . -301) 17627) ((-288 . -1102) 17508) ((-1096 . -1195) T) ((-171 . -105) T) ((-1210 . -608) 17475) ((-835 . -137) 17427) ((-634 . -1231) 17411) ((-829 . -707) 17381) ((-822 . -707) 17351) ((-493 . -1195) T) ((-361 . -301) T) ((-354 . -301) T) ((-343 . -301) T) ((-634 . -601) 17328) ((-409 . -137) T) ((-528 . -658) 17312) ((-112 . -301) T) ((-288 . -23) 17195) ((-528 . -640) 17179) ((-683 . -404) NIL) ((-528 . -375) 17163) ((-538 . -608) 17145) ((-96 . -1090) 17123) ((-112 . -1021) T) ((-568 . -146) T) ((-1244 . -154) 17107) ((-493 . -1037) 16934) ((-1229 . -148) 16895) ((-1229 . -150) 16856) ((-1051 . -1195) T) ((-994 . -608) 16838) ((-850 . -608) 16820) ((-811 . -1053) 16663) ((-1078 . -303) 16650) ((-219 . -1195) T) ((-777 . -303) 16637) ((-775 . -303) 16624) ((-811 . -120) 16446) ((-455 . -303) 16433) ((-1157 . -609) NIL) ((-1157 . -608) 16415) ((-1113 . -608) 16397) ((-1113 . -609) 16145) ((-1034 . -172) T) ((-846 . -608) 16127) ((-944 . -283) 16104) ((-603 . -523) 15852) ((-813 . -1037) 15836) ((-480 . -523) 15596) ((-964 . -716) T) ((-725 . -716) T) ((-705 . -716) T) ((-352 . -1102) T) ((-1164 . -608) 15578) ((-213 . -105) T) ((-493 . -379) 15547) ((-524 . -1090) T) ((-519 . -1090) T) ((-517 . -1090) T) ((-794 . -637) 15521) ((-1023 . -453) T) ((-958 . -523) 15454) ((-352 . -23) T) ((-626 . -137) T) ((-602 . -137) T) ((-355 . -453) T) ((-232 . -370) 15433) ((-381 . -172) T) ((-1227 . -1054) T) ((-1206 . -1054) T) ((-215 . -1002) T) ((-966 . -1088) T) ((-688 . -389) T) ((-420 . -716) T) ((-690 . -1199) T) ((-1127 . -630) 15381) ((-1257 . -1053) 15365) ((-580 . -863) 15349) ((-1144 . -1172) 15325) ((-704 . -1090) T) ((-690 . -558) T) ((-135 . -1090) 15303) ((-493 . -895) 15235) ((-218 . -1242) 15217) ((-218 . -1090) T) ((-145 . -1242) 15192) ((-162 . -1090) T) ((-648 . -43) 15162) ((-355 . -404) T) ((-310 . -150) 15141) ((-310 . -148) 15120) ((-125 . -558) T) ((-307 . -150) 15076) ((-307 . -148) 15032) ((-53 . -453) T) ((-158 . -1090) T) ((-145 . -1090) T) ((-1144 . -111) 14979) ((-1155 . -950) 14948) ((-777 . -1136) 14926) ((-679 . -39) T) ((-1257 . -120) 14905) ((-551 . -39) T) ((-494 . -111) 14889) ((-244 . -283) 14866) ((-243 . -283) 14843) ((-865 . -281) 14773) ((-50 . -1195) T) ((-811 . -1047) T) ((-1163 . -52) 14750) ((-811 . -324) 14712) ((-1078 . -43) 14561) ((-811 . -225) 14540) ((-777 . -43) 14369) ((-775 . -43) 14218) ((-734 . -52) 14195) ((-455 . -43) 14044) ((-634 . -609) 14005) ((-634 . -608) 13944) ((-581 . -1136) T) ((-526 . -1136) T) ((-1132 . -499) 13928) ((-1182 . -1090) 13906) ((-1127 . -25) T) ((-1127 . -21) T) ((-857 . -1054) T) ((-774 . -1054) T) ((-1239 . -1184) 13872) ((-1239 . -1181) 13838) ((-479 . -1054) T) ((-1207 . -787) NIL) ((-1207 . -790) NIL) ((-999 . -842) 13817) ((-814 . -608) 13799) ((-853 . -21) T) ((-853 . -25) T) ((-794 . -716) T) ((-513 . -1088) T) ((-173 . -1199) T) ((-581 . -43) 13764) ((-526 . -43) 13729) ((-388 . -608) 13711) ((-321 . -608) 13693) ((-169 . -281) 13651) ((-1239 . -40) 13617) ((-1239 . -98) 13583) ((-68 . -1195) T) ((-121 . -105) T) ((-866 . -1090) T) ((-173 . -558) T) ((-704 . -707) 13553) ((-288 . -137) 13436) ((-215 . -608) 13418) ((-215 . -609) 13348) ((-1003 . -630) 13282) ((-1257 . -1047) T) ((-1108 . -150) T) ((-623 . -1172) 13257) ((-721 . -904) 13236) ((-591 . -39) T) ((-636 . -111) 13220) ((-623 . -111) 13166) ((-734 . -881) NIL) ((-1216 . -281) 13093) ((-721 . -637) 13018) ((-289 . -1195) T) ((-1163 . -1037) 12914) ((-734 . -1037) 12794) ((-1151 . -904) NIL) ((-1058 . -609) 12709) ((-1058 . -608) 12691) ((-341 . -105) T) ((-244 . -1053) 12588) ((-243 . -1053) 12485) ((-396 . -105) T) ((-953 . -608) 12467) ((-953 . -609) 12328) ((-703 . -608) 12310) ((-1255 . -1189) 12279) ((-492 . -608) 12261) ((-492 . -609) 12122) ((-257 . -413) 12106) ((-242 . -413) 12090) ((-244 . -120) 11980) ((-243 . -120) 11870) ((-1159 . -637) 11795) ((-1158 . -637) 11692) ((-1151 . -637) 11544) ((-1114 . -637) 11469) ((-352 . -137) T) ((-87 . -442) T) ((-87 . -397) T) ((-1003 . -25) T) ((-1003 . -21) T) ((-866 . -707) 11421) ((-381 . -285) T) ((-169 . -1002) 11372) ((-734 . -379) 11356) ((-683 . -389) T) ((-999 . -997) 11340) ((-690 . -1102) T) ((-683 . -166) 11322) ((-1227 . -1090) T) ((-1206 . -1090) T) ((-310 . -1181) 11301) ((-310 . -1184) 11280) ((-1149 . -105) T) ((-310 . -959) 11259) ((-139 . -1102) T) ((-125 . -1102) T) ((-599 . -1242) 11243) ((-690 . -23) T) ((-599 . -1090) 11193) ((-96 . -523) 11126) ((-173 . -365) T) ((-1155 . -1219) 11110) ((-310 . -98) 11089) ((-310 . -40) 11068) ((-603 . -499) 11002) ((-139 . -23) T) ((-125 . -23) T) ((-708 . -1090) T) ((-480 . -499) 10939) ((-409 . -630) 10887) ((-643 . -1037) 10783) ((-734 . -895) 10726) ((-958 . -499) 10710) ((-356 . -1054) T) ((-353 . -1054) T) ((-342 . -1054) T) ((-257 . -1054) T) ((-242 . -1054) T) ((-865 . -609) NIL) ((-865 . -608) 10692) ((-1265 . -21) T) ((-575 . -1002) T) ((-721 . -716) T) ((-1265 . -25) T) ((-244 . -1047) 10622) ((-243 . -1047) 10552) ((-233 . -1053) 10498) ((-77 . -1195) T) ((-922 . -105) T) ((-244 . -225) 10450) ((-243 . -225) 10402) ((-233 . -120) 10341) ((-45 . -105) T) ((-905 . -1054) T) ((-1159 . -716) T) ((-1158 . -716) T) ((-1151 . -716) T) ((-1151 . -786) NIL) ((-1151 . -789) NIL) ((-1114 . -716) T) ((-922 . -920) 10299) ((-857 . -1090) T) ((-917 . -105) T) ((-774 . -1090) T) ((-763 . -105) T) ((-663 . -105) T) ((-479 . -1090) T) ((-337 . -1102) T) ((-1227 . -707) 10140) ((-173 . -1102) T) ((-314 . -916) 10119) ((-733 . -453) 10098) ((-866 . -172) T) ((-1206 . -707) 9912) ((-835 . -21) 9864) ((-835 . -25) 9816) ((-240 . -1134) 9800) ((-135 . -523) 9733) ((-409 . -25) T) ((-409 . -21) T) ((-337 . -23) T) ((-169 . -608) 9715) ((-169 . -609) 9481) ((-173 . -23) T) ((-634 . -283) 9458) ((-218 . -523) NIL) ((-145 . -523) NIL) ((-528 . -39) T) ((-893 . -608) 9440) ((-94 . -1195) T) ((-833 . -608) 9422) ((-803 . -608) 9404) ((-761 . -608) 9386) ((-667 . -608) 9368) ((-232 . -637) 9216) ((-1161 . -1090) T) ((-1157 . -1053) 9039) ((-1135 . -1195) T) ((-1113 . -1053) 8882) ((-846 . -1053) 8866) ((-1157 . -120) 8668) ((-1113 . -120) 8490) ((-846 . -120) 8469) ((-1216 . -609) NIL) ((-1216 . -608) 8451) ((-341 . -1136) T) ((-847 . -608) 8433) ((-1069 . -281) 8412) ((-233 . -1047) T) ((-85 . -1195) T) ((-1004 . -904) NIL) ((-603 . -281) 8388) ((-1182 . -523) 8321) ((-497 . -1195) T) ((-575 . -608) 8303) ((-480 . -281) 8282) ((-1078 . -223) 8266) ((-1004 . -637) 8216) ((-208 . -1195) T) ((-958 . -281) 8193) ((-910 . -637) 8145) ((-284 . -916) T) ((-812 . -301) 8124) ((-864 . -105) T) ((-777 . -223) 8108) ((-770 . -1090) T) ((-857 . -707) 8060) ((-774 . -707) 7998) ((-626 . -21) T) ((-626 . -25) T) ((-602 . -21) T) ((-341 . -43) 7963) ((-683 . -714) 7930) ((-497 . -879) 7912) ((-497 . -881) 7894) ((-479 . -707) 7735) ((-208 . -879) 7717) ((-69 . -1195) T) ((-208 . -881) 7699) ((-602 . -25) T) ((-429 . -637) 7673) ((-497 . -1037) 7633) ((-866 . -523) 7545) ((-208 . -1037) 7505) ((-232 . -39) T) ((-1000 . -1090) 7483) ((-1227 . -172) 7414) ((-1206 . -172) 7345) ((-702 . -148) 7324) ((-702 . -150) 7303) ((-690 . -137) T) ((-141 . -470) 7280) ((-464 . -105) T) ((-648 . -646) 7264) ((-1132 . -608) 7231) ((-125 . -137) T) ((-489 . -1199) T) ((-603 . -601) 7207) ((-480 . -601) 7186) ((-334 . -333) 7155) ((-541 . -1090) T) ((-1157 . -1047) T) ((-489 . -558) T) ((-236 . -235) 7139) ((-1113 . -1047) T) ((-846 . -1047) T) ((-232 . -786) 7118) ((-232 . -789) 7069) ((-232 . -788) 7048) ((-1157 . -324) 7025) ((-232 . -716) 6951) ((-958 . -19) 6935) ((-497 . -379) 6917) ((-497 . -336) 6899) ((-1113 . -324) 6871) ((-355 . -1251) 6848) ((-208 . -379) 6830) ((-208 . -336) 6812) ((-958 . -601) 6789) ((-1157 . -225) T) ((-656 . -1090) T) ((-1240 . -1090) T) ((-1169 . -1090) T) ((-1078 . -246) 6726) ((-356 . -1090) T) ((-353 . -1090) T) ((-342 . -1090) T) ((-257 . -1090) T) ((-242 . -1090) T) ((-89 . -1195) T) ((-136 . -105) 6704) ((-130 . -105) 6682) ((-734 . -301) 6661) ((-1169 . -605) 6640) ((-490 . -1090) T) ((-1126 . -1090) T) ((-490 . -605) 6619) ((-244 . -790) 6570) ((-244 . -787) 6521) ((-243 . -790) 6472) ((-45 . -1136) NIL) ((-243 . -787) 6423) ((-1073 . -916) 6374) ((-1004 . -789) T) ((-1004 . -786) T) ((-1004 . -716) T) ((-972 . -789) T) ((-967 . -1090) T) ((-910 . -716) T) ((-905 . -1090) T) ((-866 . -285) T) ((-96 . -499) 6358) ((-497 . -895) NIL) ((-857 . -172) T) ((-215 . -1053) 6323) ((-828 . -1102) 6302) ((-208 . -895) NIL) ((-774 . -172) T) ((-64 . -1090) 6252) ((-527 . -1090) 6230) ((-525 . -1090) 6180) ((-506 . -1090) 6158) ((-505 . -1090) 6108) ((-580 . -105) T) ((-568 . -105) T) ((-504 . -105) T) ((-479 . -172) 6039) ((-361 . -916) T) ((-354 . -916) T) ((-343 . -916) T) ((-215 . -120) 5988) ((-828 . -23) 5940) ((-429 . -716) T) ((-112 . -916) T) ((-45 . -43) 5885) ((-112 . -815) T) ((-581 . -350) T) ((-526 . -350) T) ((-1206 . -523) 5745) ((-310 . -453) 5724) ((-307 . -453) T) ((-829 . -281) 5703) ((-337 . -137) T) ((-173 . -137) T) ((-288 . -25) 5567) ((-288 . -21) 5450) ((-50 . -1172) 5429) ((-71 . -608) 5411) ((-887 . -608) 5393) ((-599 . -523) 5326) ((-50 . -111) 5276) ((-1092 . -427) 5260) ((-1092 . -370) 5239) ((-1059 . -1195) T) ((-1058 . -1053) 5226) ((-953 . -1053) 5069) ((-492 . -1053) 4912) ((-656 . -707) 4896) ((-1058 . -120) 4881) ((-953 . -120) 4703) ((-489 . -365) T) ((-356 . -707) 4655) ((-353 . -707) 4607) ((-342 . -707) 4559) ((-257 . -707) 4408) ((-242 . -707) 4257) ((-1245 . -105) T) ((-1244 . -105) 4207) ((-944 . -640) 4191) ((-1235 . -637) 4116) ((-492 . -120) 3938) ((-1228 . -637) 3835) ((-1207 . -637) 3687) ((-1207 . -904) NIL) ((-944 . -375) 3671) ((-1201 . -637) 3596) ((-79 . -608) 3578) ((-964 . -52) 3557) ((-613 . -1102) T) ((-1 . -1090) T) ((-700 . -105) T) ((-688 . -105) T) ((-1177 . -608) 3539) ((-1079 . -608) 3521) ((-1069 . -608) 3503) ((-905 . -707) 3468) ((-135 . -499) 3452) ((-774 . -523) 3284) ((-613 . -23) T) ((-392 . -23) T) ((-603 . -608) 3266) ((-92 . -1195) T) ((-603 . -609) NIL) ((-480 . -609) NIL) ((-480 . -608) 3248) ((-352 . -25) T) ((-352 . -21) T) ((-218 . -499) 3230) ((-136 . -303) 3168) ((-520 . -1090) T) ((-516 . -1090) T) ((-145 . -499) 3143) ((-130 . -303) 3081) ((-594 . -637) 3068) ((-216 . -62) 3036) ((-144 . -62) 2997) ((-215 . -1047) T) ((-593 . -637) 2922) ((-381 . -1002) T) ((-215 . -238) T) ((-215 . -225) T) ((-1155 . -105) T) ((-958 . -609) 2883) ((-958 . -608) 2822) ((-864 . -43) 2809) ((-1227 . -285) 2760) ((-1206 . -285) 2711) ((-1108 . -453) T) ((-511 . -842) T) ((-310 . -1124) 2690) ((-999 . -150) 2669) ((-999 . -148) 2648) ((-733 . -161) T) ((-733 . -146) T) ((-504 . -303) 2635) ((-289 . -1172) 2614) ((-489 . -1102) T) ((-865 . -1053) 2559) ((-615 . -105) T) ((-1182 . -499) 2543) ((-244 . -370) 2522) ((-243 . -370) 2501) ((-1155 . -279) 2479) ((-289 . -111) 2429) ((-1058 . -1047) T) ((-126 . -105) T) ((-35 . -1088) T) ((-953 . -1047) T) ((-865 . -120) 2346) ((-489 . -23) T) ((-492 . -1047) T) ((-1058 . -225) T) ((-953 . -324) 2315) ((-492 . -324) 2272) ((-356 . -172) T) ((-353 . -172) T) ((-342 . -172) T) ((-257 . -172) 2183) ((-242 . -172) 2094) ((-964 . -1037) 1990) ((-725 . -1037) 1961) ((-1095 . -105) T) ((-1082 . -608) 1928) ((-1034 . -608) 1910) ((-1239 . -974) 1879) ((-1235 . -716) T) ((-1228 . -716) T) ((-1207 . -716) T) ((-1207 . -786) NIL) ((-1207 . -789) NIL) ((-857 . -285) T) ((-169 . -1053) 1789) ((-905 . -172) T) ((-774 . -285) T) ((-1201 . -716) T) ((-1255 . -154) 1773) ((-1003 . -340) 1747) ((-1000 . -523) 1680) ((-835 . -842) 1659) ((-568 . -1136) T) ((-479 . -285) 1610) ((-594 . -716) T) ((-363 . -608) 1592) ((-319 . -608) 1574) ((-420 . -1037) 1470) ((-593 . -716) T) ((-409 . -842) 1421) ((-169 . -120) 1310) ((-860 . -1054) T) ((-855 . -1054) T) ((-828 . -137) 1262) ((-727 . -154) 1246) ((-1244 . -303) 1184) ((-497 . -301) T) ((-381 . -608) 1151) ((-528 . -1010) 1135) ((-381 . -609) 1049) ((-208 . -301) T) ((-142 . -154) 1031) ((-704 . -281) 1010) ((-1155 . -303) 997) ((-497 . -1021) T) ((-580 . -43) 984) ((-568 . -43) 971) ((-504 . -43) 936) ((-218 . -281) 911) ((-145 . -281) 879) ((-208 . -1021) T) ((-865 . -1047) T) ((-829 . -608) 861) ((-822 . -608) 843) ((-820 . -608) 825) ((-811 . -904) 804) ((-1266 . -1102) T) ((-1216 . -1053) 627) ((-847 . -1053) 611) ((-865 . -238) T) ((-865 . -225) NIL) ((-679 . -1195) T) ((-1266 . -23) T) ((-811 . -637) 536) ((-551 . -1195) T) ((-420 . -336) 520) ((-575 . -1053) 507) ((-1216 . -120) 309) ((-690 . -630) 291) ((-847 . -120) 270) ((-383 . -23) T) ((-1169 . -523) 30)) 
\ No newline at end of file
+((($ $) . T) (((-853 |#1|) $) . T) (((-853 |#1|) |#2|) . T)) 
+((($ $) . T) ((|#2| $) |has| |#1| (-226)) ((|#2| |#1|) |has| |#1| (-226)) ((|#3| |#1|) . T) ((|#3| $) . T)) 
+(((-653 . -1091) T) ((-258 . -524) 155919) ((-243 . -524) 155857) ((-576 . -120) 155842) ((-535 . -23) T) ((-241 . -1091) 155792) ((-126 . -304) 155736) ((-491 . -524) 155496) ((-684 . -105) T) ((-1127 . -524) 155404) ((-393 . -138) T) ((-1258 . -978) 155373) ((-219 . -19) 155355) ((-146 . -19) 155330) ((-600 . -500) 155314) ((-815 . -839) T) ((-614 . -138) T) ((-532 . -62) 155264) ((-219 . -602) 155239) ((-146 . -602) 155207) ((-64 . -524) 155140) ((-528 . -524) 155073) ((-421 . -896) 155032) ((-170 . -1048) T) ((-526 . -524) 154965) ((-507 . -524) 154898) ((-506 . -524) 154831) ((-795 . -1038) 154611) ((-689 . -43) 154576) ((-342 . -351) T) ((-1157 . -1137) 154554) ((-1085 . -1084) 154538) ((-1085 . -1091) 154516) ((-170 . -239) 154467) ((-170 . -226) 154418) ((-1085 . -1086) 154376) ((-867 . -282) 154334) ((-216 . -791) T) ((-216 . -788) T) ((-684 . -280) NIL) ((-1136 . -1174) 154313) ((-410 . -994) 154297) ((-969 . -105) T) ((-691 . -21) T) ((-691 . -25) T) ((-1260 . -638) 154271) ((-1198 . -155) 154253) ((-1157 . -43) 154082) ((-311 . -162) 154061) ((-311 . -147) 154040) ((-1136 . -111) 153990) ((-140 . -25) T) ((-45 . -224) 153967) ((-125 . -21) T) ((-125 . -25) T) ((-604 . -284) 153943) ((-481 . -284) 153922) ((-1219 . -1048) T) ((-848 . -1048) T) ((-795 . -337) 153906) ((-126 . -1137) NIL) ((-96 . -609) 153873) ((-490 . -138) T) ((-592 . -1197) T) ((-1219 . -325) 153850) ((-576 . -1048) T) ((-1219 . -226) T) ((-653 . -708) 153834) ((-959 . -284) 153811) ((-775 . -500) 153763) ((-65 . -39) T) ((-1059 . -791) T) ((-1059 . -788) T) ((-812 . -717) T) ((-722 . -52) 153728) ((-616 . -43) 153715) ((-357 . -286) T) ((-354 . -286) T) ((-343 . -286) T) ((-258 . -286) 153646) ((-243 . -286) 153577) ((-1024 . -105) T) ((-416 . -717) T) ((-126 . -43) 153522) ((-416 . -479) T) ((-356 . -105) T) ((-1192 . -1055) T) ((-702 . -1055) T) ((-1242 . -1237) 153506) ((-1242 . -1224) 153483) ((-1161 . -52) 153460) ((-1160 . -52) 153430) ((-1153 . -52) 153407) ((-1036 . -155) 153353) ((-906 . -286) T) ((-1115 . -52) 153325) ((-684 . -304) NIL) ((-525 . -609) 153307) ((-520 . -609) 153289) ((-518 . -609) 153271) ((-326 . -1091) 153221) ((-116 . -105) T) ((-703 . -454) 153152) ((-53 . -105) T) ((-1230 . -282) 153137) ((-1209 . -282) 153057) ((-635 . -659) 153041) ((-635 . -641) 153025) ((-338 . -21) T) ((-338 . -25) T) ((-45 . -351) NIL) ((-861 . -1091) T) ((-174 . -21) T) ((-174 . -25) T) ((-856 . -1091) T) ((-635 . -376) 153009) ((-600 . -282) 152986) ((-391 . -105) T) ((-1109 . -147) T) ((-136 . -609) 152953) ((-870 . -1091) T) ((-649 . -414) 152937) ((-705 . -609) 152919) ((-1260 . -717) T) ((-219 . -609) 152901) ((-219 . -610) 152883) ((-163 . -609) 152865) ((-159 . -609) 152847) ((-146 . -609) 152829) ((-146 . -610) 152781) ((-1093 . -39) T) ((-116 . -117) T) ((-866 . -791) NIL) ((-866 . -788) NIL) ((-850 . -843) T) ((-722 . -882) NIL) ((-1269 . -138) T) ((-384 . -138) T) ((-900 . -105) T) ((-722 . -1038) 152657) ((-535 . -138) T) ((-1079 . -414) 152641) ((-1001 . -500) 152625) ((-126 . -403) 152602) ((-1153 . -1197) 152581) ((-778 . -414) 152565) ((-776 . -414) 152549) ((-945 . -39) T) ((-684 . -1137) NIL) ((-245 . -638) 152384) ((-244 . -638) 152206) ((-813 . -917) 152185) ((-456 . -414) 152169) ((-600 . -19) 152153) ((-1132 . -1191) 152122) ((-1153 . -882) NIL) ((-1153 . -880) 152074) ((-600 . -602) 152051) ((-1184 . -609) 152018) ((-1162 . -609) 152000) ((-67 . -398) T) ((-1160 . -1038) 151935) ((-1153 . -1038) 151901) ((-775 . -282) 151834) ((-684 . -43) 151784) ((-480 . -282) 151769) ((-722 . -380) 151753) ((-861 . -708) 151718) ((-649 . -1055) T) ((-856 . -708) 151668) ((-1230 . -1003) 151634) ((-1209 . -1003) 151600) ((-1060 . -1174) 151575) ((-867 . -610) 151376) ((-867 . -609) 151358) ((-1171 . -500) 151295) ((-421 . -1022) 151273) ((-53 . -304) 151260) ((-1060 . -111) 151206) ((-491 . -500) 151143) ((-529 . -1197) T) ((-1127 . -500) 151114) ((-1153 . -337) 151066) ((-1153 . -380) 151018) ((-440 . -105) T) ((-1079 . -1055) T) ((-245 . -39) T) ((-244 . -39) T) ((-775 . -1234) 150970) ((-778 . -1055) T) ((-776 . -1055) T) ((-722 . -896) 150947) ((-456 . -1055) T) ((-775 . -602) 150892) ((-64 . -500) 150876) ((-1035 . -1054) 150850) ((-924 . -1091) T) ((-528 . -500) 150834) ((-526 . -500) 150818) ((-507 . -500) 150802) ((-506 . -500) 150786) ((-735 . -917) 150765) ((-241 . -524) 150698) ((-1035 . -120) 150665) ((-1161 . -896) 150578) ((-234 . -638) 150538) ((-663 . -1103) T) ((-1160 . -896) 150444) ((-1153 . -896) 150277) ((-1115 . -896) 150261) ((-356 . -1137) T) ((-320 . -1054) 150243) ((-245 . -787) 150222) ((-245 . -790) 150173) ((-245 . -789) 150152) ((-244 . -787) 150131) ((-244 . -790) 150082) ((-244 . -789) 150061) ((-55 . -1055) T) ((-245 . -717) 149987) ((-244 . -717) 149913) ((-1192 . -1091) T) ((-663 . -23) T) ((-582 . -1055) T) ((-527 . -1055) T) ((-382 . -1054) 149878) ((-320 . -120) 149853) ((-78 . -386) T) ((-78 . -398) T) ((-1024 . -43) 149790) ((-684 . -403) 149772) ((-101 . -105) T) ((-702 . -1091) T) ((-1004 . -149) 149744) ((-382 . -120) 149693) ((-315 . -1202) 149672) ((-480 . -1003) 149638) ((-356 . -43) 149603) ((-45 . -373) 149575) ((-1004 . -151) 149547) ((-137 . -135) 149531) ((-131 . -135) 149515) ((-830 . -1054) 149485) ((-829 . -21) 149437) ((-823 . -1054) 149421) ((-829 . -25) 149373) ((-315 . -559) 149324) ((-569 . -824) T) ((-233 . -1197) T) ((-861 . -173) T) ((-856 . -173) T) ((-830 . -120) 149289) ((-823 . -120) 149268) ((-1230 . -609) 149250) ((-1209 . -609) 149232) ((-1209 . -610) 148903) ((-1159 . -905) 148882) ((-1114 . -905) 148861) ((-53 . -43) 148826) ((-1267 . -1103) T) ((-600 . -609) 148765) ((-600 . -610) 148726) ((-1265 . -1103) T) ((-233 . -1038) 148553) ((-1159 . -638) 148478) ((-1114 . -638) 148403) ((-709 . -609) 148385) ((-847 . -638) 148359) ((-1267 . -23) T) ((-1265 . -23) T) ((-1157 . -224) 148343) ((-1035 . -1048) T) ((-1171 . -282) 148322) ((-170 . -371) 148273) ((-1005 . -1197) T) ((-49 . -23) T) ((-1273 . -105) T) ((-1192 . -708) 148170) ((-491 . -282) 148149) ((-586 . -1091) T) ((-1178 . -1091) T) ((-1132 . -1100) 148118) ((-1095 . -1094) 148070) ((-393 . -21) T) ((-393 . -25) T) ((-156 . -1103) T) ((-1005 . -1038) 148030) ((-1005 . -880) 148012) ((-1005 . -882) 147994) ((-734 . -105) T) ((-234 . -717) T) ((-616 . -224) 147978) ((-614 . -21) T) ((-285 . -559) T) ((-614 . -25) T) ((-702 . -708) 147943) ((-382 . -1048) T) ((-233 . -380) 147912) ((-219 . -284) 147887) ((-146 . -284) 147855) ((-214 . -1055) T) ((-126 . -224) 147832) ((-64 . -282) 147809) ((-156 . -23) T) ((-526 . -282) 147786) ((-326 . -524) 147719) ((-506 . -282) 147696) ((-382 . -239) T) ((-382 . -226) T) ((-858 . -609) 147678) ((-830 . -1048) T) ((-823 . -1048) T) ((-775 . -609) 147660) ((-775 . -610) NIL) ((-703 . -951) 147629) ((-691 . -843) T) ((-480 . -609) 147611) ((-823 . -226) 147590) ((-140 . -843) T) ((-649 . -1091) T) ((-1171 . -602) 147569) ((-552 . -1174) 147548) ((-335 . -1091) T) ((-315 . -366) 147527) ((-410 . -151) 147506) ((-410 . -149) 147485) ((-237 . -1091) T) ((-966 . -1103) 147384) ((-233 . -896) 147316) ((-811 . -1103) 147226) ((-645 . -845) 147210) ((-491 . -602) 147189) ((-552 . -111) 147139) ((-1005 . -380) 147121) ((-1005 . -337) 147103) ((-99 . -1091) T) ((-966 . -23) 146914) ((-490 . -21) T) ((-490 . -25) T) ((-811 . -23) 146784) ((-1163 . -609) 146766) ((-64 . -19) 146750) ((-1163 . -610) 146672) ((-1159 . -717) T) ((-1114 . -717) T) ((-526 . -19) 146656) ((-506 . -19) 146640) ((-64 . -602) 146617) ((-1079 . -1091) T) ((-897 . -105) 146595) ((-847 . -717) T) ((-778 . -1091) T) ((-526 . -602) 146572) ((-506 . -602) 146549) ((-776 . -1091) T) ((-776 . -1062) 146516) ((-464 . -1091) T) ((-456 . -1091) T) ((-1242 . -105) T) ((-586 . -708) 146491) ((-260 . -105) 146469) ((-639 . -1091) T) ((-1242 . -280) 146435) ((-1238 . -52) 146412) ((-1232 . -105) T) ((-1231 . -52) 146382) ((-1005 . -896) NIL) ((-1210 . -52) 146359) ((-619 . -1103) T) ((-663 . -138) T) ((-1204 . -52) 146336) ((-1192 . -173) 146287) ((-1160 . -302) 146266) ((-1153 . -302) 146245) ((-1074 . -1202) 146196) ((-272 . -1091) T) ((-90 . -443) T) ((-90 . -398) T) ((-1074 . -559) 146147) ((-771 . -609) 146129) ((-55 . -1091) T) ((-702 . -173) T) ((-594 . -52) 146106) ((-216 . -638) 146071) ((-582 . -1091) T) ((-538 . -1091) T) ((-527 . -1091) T) ((-362 . -1202) T) ((-355 . -1202) T) ((-344 . -1202) T) ((-498 . -816) T) ((-498 . -917) T) ((-315 . -1103) T) ((-112 . -1202) T) ((-734 . -304) 146058) ((-338 . -843) T) ((-209 . -917) T) ((-209 . -816) T) ((-705 . -1054) 146028) ((-362 . -559) T) ((-355 . -559) T) ((-344 . -559) T) ((-112 . -559) T) ((-1153 . -1022) NIL) ((-649 . -708) 145998) ((-861 . -286) T) ((-856 . -286) T) ((-315 . -23) T) ((-72 . -1197) T) ((-1001 . -609) 145965) ((-684 . -224) 145947) ((-237 . -708) 145929) ((-705 . -120) 145894) ((-635 . -39) T) ((-241 . -500) 145878) ((-1093 . -1088) 145862) ((-172 . -1091) T) ((-954 . -905) 145841) ((-493 . -905) 145820) ((-1269 . -21) T) ((-1269 . -25) T) ((-1267 . -138) T) ((-1265 . -138) T) ((-1079 . -708) 145669) ((-1059 . -638) 145656) ((-954 . -638) 145581) ((-778 . -708) 145410) ((-542 . -609) 145392) ((-542 . -610) 145373) ((-776 . -708) 145222) ((-1258 . -105) T) ((-1071 . -105) T) ((-384 . -25) T) ((-384 . -21) T) ((-493 . -638) 145147) ((-464 . -708) 145118) ((-456 . -708) 144967) ((-989 . -105) T) ((-728 . -105) T) ((-1273 . -1137) T) ((-535 . -25) T) ((-1210 . -1197) 144946) ((-1243 . -609) 144912) ((-1210 . -882) NIL) ((-1210 . -880) 144864) ((-143 . -105) T) ((-49 . -138) T) ((-1171 . -610) NIL) ((-1171 . -609) 144846) ((-1128 . -1112) 144791) ((-342 . -1055) T) ((-657 . -609) 144773) ((-285 . -1103) T) ((-357 . -609) 144755) ((-354 . -609) 144737) ((-343 . -609) 144719) ((-258 . -610) 144467) ((-258 . -609) 144449) ((-243 . -609) 144431) ((-243 . -610) 144292) ((-1045 . -1191) 144221) ((-897 . -304) 144159) ((-1231 . -1038) 144094) ((-1210 . -1038) 144060) ((-1192 . -524) 144027) ((-1127 . -609) 144009) ((-815 . -717) T) ((-582 . -708) 143974) ((-600 . -284) 143951) ((-527 . -708) 143896) ((-491 . -610) NIL) ((-491 . -609) 143878) ((-311 . -105) T) ((-260 . -304) 143816) ((-308 . -105) T) ((-285 . -23) T) ((-156 . -138) T) ((-968 . -609) 143798) ((-906 . -609) 143780) ((-389 . -717) T) ((-867 . -1054) 143732) ((-906 . -610) 143714) ((-867 . -120) 143645) ((-734 . -43) 143569) ((-142 . -105) T) ((-123 . -105) T) ((-703 . -1222) 143553) ((-705 . -1048) T) ((-684 . -351) NIL) ((-528 . -609) 143520) ((-382 . -791) T) ((-214 . -1091) T) ((-382 . -788) T) ((-216 . -790) T) ((-216 . -787) T) ((-64 . -610) 143481) ((-64 . -609) 143420) ((-216 . -717) T) ((-526 . -610) 143381) ((-526 . -609) 143320) ((-507 . -609) 143287) ((-506 . -610) 143248) ((-506 . -609) 143187) ((-1074 . -366) 143138) ((-45 . -414) 143115) ((-82 . -1197) T) ((-118 . -105) T) ((-967 . -972) 143099) ((-866 . -905) NIL) ((-362 . -328) 143083) ((-362 . -366) T) ((-355 . -328) 143067) ((-355 . -366) T) ((-344 . -328) 143051) ((-344 . -366) T) ((-311 . -280) 143030) ((-112 . -366) T) ((-75 . -1197) T) ((-1210 . -337) 142982) ((-866 . -638) 142927) ((-1210 . -380) 142879) ((-966 . -138) 142734) ((-811 . -138) 142604) ((-959 . -641) 142588) ((-1079 . -173) 142499) ((-1059 . -790) T) ((-959 . -376) 142483) ((-1059 . -787) T) ((-118 . -117) T) ((-775 . -284) 142428) ((-778 . -173) 142319) ((-776 . -173) 142230) ((-812 . -52) 142192) ((-1059 . -717) T) ((-326 . -500) 142176) ((-954 . -717) T) ((-456 . -173) 142087) ((-241 . -282) 142064) ((-493 . -717) T) ((-1258 . -304) 142002) ((-1242 . -43) 141899) ((-1238 . -896) 141812) ((-1231 . -896) 141718) ((-1230 . -1054) 141553) ((-1210 . -896) 141386) ((-1209 . -1054) 141194) ((-1204 . -896) 141107) ((-1198 . -105) T) ((-1192 . -286) 141086) ((-1132 . -155) 141070) ((-1069 . -105) T) ((-928 . -956) T) ((-728 . -304) 141008) ((-80 . -1197) T) ((-170 . -905) 140961) ((-34 . -105) T) ((-657 . -385) 140933) ((-30 . -956) T) ((-1 . -609) 140915) ((-1109 . -105) T) ((-1074 . -23) T) ((-55 . -613) 140899) ((-1074 . -1103) T) ((-1004 . -412) 140871) ((-594 . -896) 140784) ((-441 . -105) T) ((-143 . -304) NIL) ((-867 . -1048) T) ((-829 . -843) 140763) ((-86 . -1197) T) ((-702 . -286) T) ((-45 . -1055) T) ((-582 . -173) T) ((-527 . -173) T) ((-521 . -609) 140745) ((-170 . -638) 140655) ((-517 . -609) 140637) ((-353 . -151) 140619) ((-353 . -149) T) ((-362 . -1103) T) ((-355 . -1103) T) ((-344 . -1103) T) ((-1005 . -302) T) ((-911 . -302) T) ((-867 . -239) T) ((-112 . -1103) T) ((-867 . -226) 140598) ((-734 . -403) 140582) ((-1230 . -120) 140396) ((-1209 . -120) 140178) ((-241 . -1234) 140162) ((-569 . -841) T) ((-362 . -23) T) ((-356 . -351) T) ((-311 . -304) 140149) ((-308 . -304) 140045) ((-355 . -23) T) ((-315 . -138) T) ((-344 . -23) T) ((-1005 . -1022) T) ((-112 . -23) T) ((-241 . -602) 140022) ((-1232 . -43) 139879) ((-1219 . -905) 139858) ((-121 . -1091) T) ((-1036 . -105) T) ((-1219 . -638) 139783) ((-866 . -790) NIL) ((-848 . -638) 139757) ((-866 . -787) NIL) ((-812 . -882) NIL) ((-866 . -717) T) ((-1079 . -524) 139620) ((-778 . -524) 139566) ((-776 . -524) 139518) ((-576 . -638) 139505) ((-812 . -1038) 139333) ((-456 . -524) 139271) ((-391 . -392) T) ((-65 . -1197) T) ((-614 . -843) 139250) ((-510 . -652) T) ((-1132 . -978) 139219) ((-858 . -1054) 139171) ((-775 . -1054) 139123) ((-1004 . -454) T) ((-689 . -841) T) ((-520 . -788) T) ((-480 . -1054) 138958) ((-342 . -1091) T) ((-308 . -1137) NIL) ((-285 . -138) T) ((-397 . -1091) T) ((-865 . -1055) T) ((-684 . -373) 138925) ((-858 . -120) 138856) ((-775 . -120) 138787) ((-214 . -613) 138764) ((-326 . -282) 138741) ((-1198 . -304) NIL) ((-480 . -120) 138555) ((-1230 . -1048) T) ((-1209 . -1048) T) ((-812 . -380) 138539) ((-170 . -717) T) ((-645 . -105) T) ((-1230 . -239) 138518) ((-1230 . -226) 138470) ((-1209 . -226) 138375) ((-1209 . -239) 138354) ((-1004 . -405) NIL) ((-663 . -631) 138302) ((-311 . -43) 138212) ((-308 . -43) 138141) ((-74 . -609) 138123) ((-315 . -503) 138089) ((-1171 . -284) 138068) ((-1104 . -1103) 137978) ((-88 . -1197) T) ((-66 . -609) 137960) ((-491 . -284) 137939) ((-1260 . -1038) 137916) ((-1151 . -1091) T) ((-1104 . -23) 137786) ((-812 . -896) 137722) ((-1219 . -717) T) ((-1093 . -1197) T) ((-1079 . -286) 137653) ((-889 . -105) T) ((-778 . -286) 137564) ((-326 . -19) 137548) ((-64 . -284) 137525) ((-776 . -286) 137456) ((-848 . -717) T) ((-126 . -841) NIL) ((-526 . -284) 137433) ((-326 . -602) 137410) ((-506 . -284) 137387) ((-456 . -286) 137318) ((-1036 . -304) 137169) ((-576 . -717) T) ((-653 . -609) 137151) ((-241 . -610) 137112) ((-241 . -609) 137051) ((-1133 . -39) T) ((-945 . -1197) T) ((-342 . -708) 136996) ((-858 . -1048) T) ((-775 . -1048) T) ((-663 . -25) T) ((-663 . -21) T) ((-1109 . -1137) T) ((-480 . -1048) T) ((-627 . -420) 136961) ((-603 . -420) 136926) ((-923 . -1091) T) ((-858 . -226) T) ((-858 . -239) T) ((-775 . -226) 136885) ((-775 . -239) T) ((-582 . -286) T) ((-527 . -286) T) ((-1231 . -302) 136864) ((-480 . -226) 136816) ((-480 . -239) 136795) ((-1210 . -302) 136774) ((-1074 . -138) T) ((-867 . -791) 136753) ((-148 . -105) T) ((-45 . -1091) T) ((-867 . -788) 136732) ((-635 . -1011) 136716) ((-581 . -1055) T) ((-569 . -1055) T) ((-505 . -1055) T) ((-410 . -454) T) ((-362 . -138) T) ((-311 . -403) 136700) ((-308 . -403) 136661) ((-355 . -138) T) ((-344 . -138) T) ((-1210 . -1022) NIL) ((-1085 . -609) 136628) ((-112 . -138) T) ((-1109 . -43) 136615) ((-918 . -1091) T) ((-764 . -1091) T) ((-664 . -1091) T) ((-691 . -151) T) ((-1157 . -414) 136599) ((-125 . -151) T) ((-1267 . -21) T) ((-1267 . -25) T) ((-1265 . -21) T) ((-1265 . -25) T) ((-657 . -1054) 136583) ((-535 . -843) T) ((-510 . -843) T) ((-357 . -1054) 136535) ((-354 . -1054) 136487) ((-343 . -1054) 136439) ((-245 . -1197) T) ((-244 . -1197) T) ((-258 . -1054) 136282) ((-243 . -1054) 136125) ((-657 . -120) 136104) ((-357 . -120) 136035) ((-354 . -120) 135966) ((-343 . -120) 135897) ((-258 . -120) 135719) ((-243 . -120) 135541) ((-813 . -1202) 135520) ((-616 . -414) 135504) ((-49 . -21) T) ((-49 . -25) T) ((-811 . -631) 135410) ((-813 . -559) 135389) ((-245 . -1038) 135216) ((-244 . -1038) 135043) ((-136 . -128) 135027) ((-906 . -1054) 134992) ((-689 . -1055) T) ((-703 . -105) T) ((-219 . -641) 134974) ((-146 . -641) 134949) ((-342 . -173) T) ((-219 . -376) 134931) ((-146 . -376) 134906) ((-156 . -21) T) ((-156 . -25) T) ((-93 . -609) 134888) ((-906 . -120) 134837) ((-45 . -708) 134782) ((-865 . -1091) T) ((-326 . -610) 134743) ((-326 . -609) 134682) ((-1209 . -788) 134635) ((-1157 . -1055) T) ((-1209 . -791) 134588) ((-245 . -380) 134557) ((-244 . -380) 134526) ((-861 . -609) 134508) ((-856 . -609) 134490) ((-645 . -43) 134460) ((-604 . -39) T) ((-494 . -1103) 134370) ((-481 . -39) T) ((-1104 . -138) 134240) ((-1165 . -559) 134219) ((-966 . -25) 134030) ((-870 . -609) 134012) ((-966 . -21) 133967) ((-811 . -21) 133877) ((-811 . -25) 133728) ((-1159 . -52) 133705) ((-616 . -1055) T) ((-1114 . -52) 133677) ((-465 . -1091) T) ((-357 . -1048) T) ((-354 . -1048) T) ((-494 . -23) 133547) ((-343 . -1048) T) ((-258 . -1048) T) ((-243 . -1048) T) ((-1035 . -638) 133521) ((-126 . -1055) T) ((-959 . -39) T) ((-735 . -1202) 133500) ((-357 . -226) 133479) ((-357 . -239) T) ((-354 . -226) 133458) ((-354 . -239) T) ((-343 . -226) 133437) ((-243 . -325) 133394) ((-343 . -239) T) ((-258 . -325) 133366) ((-258 . -226) 133345) ((-1143 . -155) 133329) ((-735 . -559) 133240) ((-245 . -896) 133172) ((-244 . -896) 133104) ((-1076 . -843) T) ((-1213 . -1197) T) ((-417 . -1103) T) ((-1052 . -23) T) ((-906 . -1048) T) ((-320 . -638) 133086) ((-1024 . -841) T) ((-1192 . -1003) 133052) ((-1160 . -917) 133031) ((-1153 . -917) 133010) ((-906 . -239) T) ((-813 . -366) 132989) ((-388 . -23) T) ((-137 . -1091) 132967) ((-131 . -1091) 132945) ((-906 . -226) T) ((-1153 . -816) NIL) ((-382 . -638) 132910) ((-865 . -708) 132897) ((-1045 . -155) 132862) ((-45 . -173) T) ((-684 . -414) 132844) ((-703 . -304) 132831) ((-830 . -638) 132791) ((-823 . -638) 132765) ((-315 . -25) T) ((-315 . -21) T) ((-649 . -282) 132744) ((-581 . -1091) T) ((-569 . -1091) T) ((-505 . -1091) T) ((-241 . -284) 132721) ((-308 . -224) 132682) ((-1159 . -882) NIL) ((-1114 . -882) 132541) ((-1159 . -1038) 132421) ((-1114 . -1038) 132304) ((-847 . -1038) 132200) ((-778 . -282) 132127) ((-924 . -609) 132109) ((-813 . -1103) T) ((-1035 . -717) T) ((-600 . -641) 132093) ((-1045 . -978) 132022) ((-1000 . -105) T) ((-813 . -23) T) ((-703 . -1137) 132000) ((-684 . -1055) T) ((-600 . -376) 131984) ((-353 . -454) T) ((-342 . -286) T) ((-1248 . -1091) T) ((-466 . -105) T) ((-402 . -105) T) ((-285 . -21) T) ((-285 . -25) T) ((-364 . -717) T) ((-701 . -1091) T) ((-689 . -1091) T) ((-364 . -479) T) ((-1192 . -609) 131966) ((-1159 . -380) 131950) ((-1114 . -380) 131934) ((-1024 . -414) 131896) ((-143 . -222) 131878) ((-382 . -790) T) ((-382 . -787) T) ((-865 . -173) T) ((-382 . -717) T) ((-702 . -609) 131860) ((-703 . -43) 131689) ((-1247 . -1245) 131673) ((-353 . -405) T) ((-1247 . -1091) 131623) ((-581 . -708) 131610) ((-569 . -708) 131597) ((-505 . -708) 131562) ((-858 . -1264) 131546) ((-311 . -621) 131525) ((-830 . -717) T) ((-823 . -717) T) ((-1157 . -1091) T) ((-635 . -1197) T) ((-1074 . -631) 131473) ((-1159 . -896) 131416) ((-1114 . -896) 131400) ((-653 . -1054) 131384) ((-112 . -631) 131366) ((-494 . -138) 131236) ((-775 . -641) 131188) ((-1165 . -1103) T) ((-858 . -371) T) ((-954 . -52) 131157) ((-735 . -1103) T) ((-616 . -1091) T) ((-653 . -120) 131136) ((-326 . -284) 131113) ((-493 . -52) 131070) ((-1165 . -23) T) ((-130 . -1091) T) ((-126 . -1091) T) ((-106 . -105) 131048) ((-735 . -23) T) ((-1257 . -1103) T) ((-1052 . -138) T) ((-1024 . -1055) T) ((-815 . -1038) 131032) ((-1004 . -715) 131004) ((-1257 . -23) T) ((-689 . -708) 130969) ((-586 . -609) 130951) ((-389 . -1038) 130935) ((-356 . -1055) T) ((-388 . -138) T) ((-322 . -1038) 130919) ((-216 . -882) 130901) ((-1005 . -917) T) ((-96 . -39) T) ((-1005 . -816) T) ((-911 . -917) T) ((-498 . -1202) T) ((-1178 . -609) 130883) ((-1096 . -1091) T) ((-209 . -1202) T) ((-1000 . -304) 130848) ((-216 . -1038) 130808) ((-45 . -286) T) ((-1074 . -21) T) ((-1074 . -25) T) ((-1109 . -824) T) ((-498 . -559) T) ((-362 . -25) T) ((-209 . -559) T) ((-362 . -21) T) ((-355 . -25) T) ((-355 . -21) T) ((-705 . -638) 130768) ((-344 . -25) T) ((-344 . -21) T) ((-112 . -25) T) ((-112 . -21) T) ((-53 . -1055) T) ((-1157 . -708) 130597) ((-581 . -173) T) ((-569 . -173) T) ((-505 . -173) T) ((-649 . -609) 130579) ((-728 . -727) 130563) ((-335 . -609) 130545) ((-237 . -609) 130527) ((-73 . -386) T) ((-73 . -398) T) ((-1093 . -111) 130511) ((-1059 . -882) 130493) ((-954 . -882) 130418) ((-644 . -1103) T) ((-616 . -708) 130405) ((-493 . -882) NIL) ((-1132 . -105) T) ((-1059 . -1038) 130387) ((-99 . -609) 130369) ((-490 . -151) T) ((-954 . -1038) 130249) ((-126 . -708) 130194) ((-644 . -23) T) ((-493 . -1038) 130070) ((-1079 . -610) NIL) ((-1079 . -609) 130052) ((-778 . -610) NIL) ((-778 . -609) 130013) ((-776 . -610) 129647) ((-776 . -609) 129561) ((-1104 . -631) 129467) ((-464 . -609) 129449) ((-456 . -609) 129431) ((-456 . -610) 129292) ((-1036 . -222) 129238) ((-136 . -39) T) ((-813 . -138) T) ((-867 . -905) 129217) ((-639 . -609) 129199) ((-357 . -1264) 129183) ((-354 . -1264) 129167) ((-343 . -1264) 129151) ((-137 . -524) 129084) ((-131 . -524) 129017) ((-521 . -788) T) ((-521 . -791) T) ((-520 . -790) T) ((-106 . -304) 128955) ((-213 . -105) 128933) ((-219 . -39) T) ((-146 . -39) T) ((-684 . -1091) T) ((-689 . -173) T) ((-867 . -638) 128885) ((-1000 . -43) 128833) ((-70 . -387) T) ((-272 . -609) 128815) ((-70 . -398) T) ((-954 . -380) 128799) ((-865 . -286) T) ((-55 . -609) 128781) ((-861 . -1054) 128746) ((-856 . -1054) 128696) ((-582 . -609) 128678) ((-582 . -610) 128660) ((-493 . -380) 128644) ((-538 . -609) 128626) ((-527 . -609) 128608) ((-906 . -1264) 128595) ((-866 . -1197) T) ((-861 . -120) 128544) ((-691 . -454) T) ((-856 . -120) 128471) ((-505 . -524) 128437) ((-498 . -366) T) ((-357 . -371) 128416) ((-354 . -371) 128395) ((-343 . -371) 128374) ((-209 . -366) T) ((-705 . -717) T) ((-125 . -454) T) ((-1157 . -173) 128265) ((-1268 . -1259) 128249) ((-866 . -880) 128226) ((-866 . -882) NIL) ((-966 . -843) 128125) ((-811 . -843) 128076) ((-645 . -647) 128060) ((-1184 . -39) T) ((-172 . -609) 128042) ((-1104 . -21) 127952) ((-1104 . -25) 127803) ((-969 . -1091) T) ((-866 . -1038) 127780) ((-954 . -896) 127761) ((-1219 . -52) 127738) ((-906 . -371) T) ((-64 . -641) 127722) ((-526 . -641) 127706) ((-493 . -896) 127683) ((-76 . -443) T) ((-76 . -398) T) ((-506 . -641) 127667) ((-64 . -376) 127651) ((-616 . -173) T) ((-526 . -376) 127635) ((-506 . -376) 127619) ((-823 . -699) 127603) ((-1159 . -302) 127582) ((-1165 . -138) T) ((-126 . -173) T) ((-735 . -138) T) ((-1132 . -304) 127520) ((-170 . -1197) T) ((-627 . -737) 127504) ((-603 . -737) 127488) ((-1257 . -138) T) ((-1231 . -917) 127467) ((-1210 . -917) 127446) ((-1210 . -816) NIL) ((-684 . -708) 127396) ((-1209 . -905) 127349) ((-1024 . -1091) T) ((-866 . -380) 127326) ((-866 . -337) 127303) ((-901 . -1103) T) ((-170 . -880) 127287) ((-170 . -882) 127212) ((-1247 . -524) 127145) ((-498 . -1103) T) ((-356 . -1091) T) ((-209 . -1103) T) ((-81 . -443) T) ((-81 . -398) T) ((-1230 . -638) 127042) ((-170 . -1038) 126938) ((-315 . -843) T) ((-861 . -1048) T) ((-856 . -1048) T) ((-1209 . -638) 126808) ((-867 . -790) 126787) ((-867 . -787) 126766) ((-1269 . -1262) 126745) ((-867 . -717) T) ((-498 . -23) T) ((-214 . -609) 126727) ((-174 . -454) T) ((-213 . -304) 126665) ((-91 . -443) T) ((-91 . -398) T) ((-861 . -239) T) ((-209 . -23) T) ((-856 . -239) T) ((-734 . -414) 126649) ((-514 . -537) 126524) ((-581 . -286) T) ((-569 . -286) T) ((-668 . -1038) 126508) ((-505 . -286) T) ((-1157 . -524) 126454) ((-142 . -476) 126409) ((-116 . -1091) T) ((-53 . -1091) T) ((-703 . -224) 126393) ((-866 . -896) NIL) ((-1219 . -882) NIL) ((-885 . -105) T) ((-881 . -105) T) ((-391 . -1091) T) ((-170 . -380) 126377) ((-170 . -337) 126361) ((-1219 . -1038) 126241) ((-848 . -1038) 126137) ((-1128 . -105) T) ((-644 . -138) T) ((-126 . -524) 126000) ((-653 . -788) 125979) ((-653 . -791) 125958) ((-576 . -1038) 125940) ((-289 . -1254) 125910) ((-854 . -105) T) ((-965 . -559) 125889) ((-1192 . -1054) 125772) ((-494 . -631) 125678) ((-900 . -1091) T) ((-1024 . -708) 125615) ((-702 . -1054) 125580) ((-858 . -638) 125532) ((-775 . -638) 125484) ((-600 . -39) T) ((-1133 . -1197) T) ((-1192 . -120) 125346) ((-480 . -638) 125243) ((-356 . -708) 125188) ((-170 . -896) 125147) ((-689 . -286) T) ((-734 . -1055) T) ((-684 . -173) T) ((-702 . -120) 125096) ((-1273 . -1055) T) ((-1219 . -380) 125080) ((-421 . -1202) 125058) ((-308 . -841) NIL) ((-421 . -559) T) ((-216 . -302) T) ((-1209 . -787) 125011) ((-1209 . -790) 124964) ((-33 . -1089) T) ((-1230 . -717) T) ((-1209 . -717) T) ((-53 . -708) 124929) ((-1157 . -286) 124840) ((-216 . -1022) T) ((-353 . -1254) 124817) ((-1232 . -414) 124783) ((-709 . -717) T) ((-1219 . -896) 124726) ((-121 . -609) 124708) ((-121 . -610) 124690) ((-709 . -479) T) ((-494 . -21) 124600) ((-137 . -500) 124584) ((-131 . -500) 124568) ((-494 . -25) 124419) ((-616 . -286) T) ((-775 . -39) T) ((-586 . -1054) 124394) ((-440 . -1091) T) ((-1059 . -302) T) ((-126 . -286) T) ((-1095 . -105) T) ((-1004 . -105) T) ((-586 . -120) 124355) ((-1242 . -1055) T) ((-1128 . -304) 124293) ((-1192 . -1048) T) ((-1059 . -1022) T) ((-71 . -1197) T) ((-1052 . -25) T) ((-1052 . -21) T) ((-702 . -1048) T) ((-388 . -21) T) ((-388 . -25) T) ((-684 . -524) NIL) ((-1024 . -173) T) ((-702 . -239) T) ((-1059 . -551) T) ((-858 . -717) T) ((-775 . -717) T) ((-512 . -105) T) ((-356 . -173) T) ((-342 . -609) 124275) ((-397 . -609) 124257) ((-480 . -717) T) ((-1109 . -841) T) ((-888 . -1038) 124225) ((-112 . -843) T) ((-649 . -1054) 124209) ((-498 . -138) T) ((-1232 . -1055) T) ((-209 . -138) T) ((-237 . -1054) 124191) ((-1143 . -105) 124169) ((-101 . -1091) T) ((-241 . -659) 124153) ((-241 . -641) 124137) ((-649 . -120) 124116) ((-311 . -414) 124100) ((-241 . -376) 124084) ((-1146 . -228) 124031) ((-1000 . -224) 124015) ((-237 . -120) 123990) ((-79 . -1197) T) ((-53 . -173) T) ((-691 . -390) T) ((-691 . -147) T) ((-1268 . -105) T) ((-1079 . -1054) 123833) ((-258 . -905) 123812) ((-243 . -905) 123791) ((-778 . -1054) 123614) ((-776 . -1054) 123457) ((-604 . -1197) T) ((-1151 . -609) 123439) ((-1079 . -120) 123261) ((-1045 . -105) T) ((-481 . -1197) T) ((-464 . -1054) 123232) ((-456 . -1054) 123075) ((-657 . -638) 123059) ((-866 . -302) T) ((-778 . -120) 122861) ((-776 . -120) 122683) ((-357 . -638) 122635) ((-354 . -638) 122587) ((-343 . -638) 122539) ((-258 . -638) 122464) ((-243 . -638) 122389) ((-1145 . -843) T) ((-464 . -120) 122350) ((-456 . -120) 122172) ((-1080 . -1038) 122156) ((-1070 . -1038) 122133) ((-1001 . -39) T) ((-959 . -1197) T) ((-136 . -1011) 122117) ((-965 . -1103) T) ((-866 . -1022) NIL) ((-726 . -1103) T) ((-706 . -1103) T) ((-1247 . -500) 122101) ((-1128 . -43) 122061) ((-965 . -23) T) ((-906 . -638) 122026) ((-836 . -105) T) ((-813 . -21) T) ((-813 . -25) T) ((-726 . -23) T) ((-706 . -23) T) ((-114 . -652) T) ((-771 . -717) T) ((-582 . -1054) 121991) ((-527 . -1054) 121936) ((-220 . -62) 121894) ((-455 . -23) T) ((-410 . -105) T) ((-257 . -105) T) ((-771 . -479) T) ((-967 . -105) T) ((-684 . -286) T) ((-854 . -43) 121864) ((-582 . -120) 121813) ((-527 . -120) 121730) ((-735 . -631) 121678) ((-421 . -1103) T) ((-311 . -1055) 121568) ((-308 . -1055) T) ((-923 . -609) 121550) ((-734 . -1091) T) ((-649 . -1048) T) ((-1273 . -1091) T) ((-170 . -302) 121481) ((-421 . -23) T) ((-45 . -609) 121463) ((-45 . -610) 121447) ((-112 . -994) 121429) ((-125 . -864) 121413) ((-53 . -524) 121379) ((-1184 . -1011) 121363) ((-1171 . -39) T) ((-918 . -609) 121345) ((-1104 . -843) 121296) ((-764 . -609) 121278) ((-664 . -609) 121260) ((-1143 . -304) 121198) ((-1083 . -1197) T) ((-491 . -39) T) ((-1079 . -1048) T) ((-490 . -454) T) ((-861 . -1264) 121173) ((-856 . -1264) 121133) ((-1127 . -39) T) ((-778 . -1048) T) ((-776 . -1048) T) ((-637 . -228) 121117) ((-624 . -228) 121063) ((-1219 . -302) 121042) ((-1079 . -325) 121003) ((-456 . -1048) T) ((-1165 . -21) T) ((-1079 . -226) 120982) ((-778 . -325) 120959) ((-778 . -226) T) ((-776 . -325) 120931) ((-326 . -641) 120915) ((-722 . -1202) 120894) ((-1165 . -25) T) ((-64 . -39) T) ((-528 . -39) T) ((-526 . -39) T) ((-456 . -325) 120873) ((-326 . -376) 120857) ((-507 . -39) T) ((-506 . -39) T) ((-1004 . -1137) NIL) ((-627 . -105) T) ((-603 . -105) T) ((-722 . -559) 120788) ((-357 . -717) T) ((-354 . -717) T) ((-343 . -717) T) ((-258 . -717) T) ((-243 . -717) T) ((-735 . -25) T) ((-735 . -21) T) ((-1045 . -304) 120696) ((-1257 . -21) T) ((-1257 . -25) T) ((-897 . -1091) 120674) ((-55 . -1048) T) ((-1242 . -1091) T) ((-1161 . -559) 120653) ((-1160 . -1202) 120632) ((-1160 . -559) 120583) ((-1153 . -1202) 120562) ((-582 . -1048) T) ((-527 . -1048) T) ((-514 . -105) T) ((-1024 . -286) T) ((-364 . -1038) 120546) ((-320 . -1038) 120530) ((-260 . -1091) 120508) ((-382 . -882) 120490) ((-1153 . -559) 120441) ((-1115 . -559) 120420) ((-1004 . -43) 120365) ((-795 . -1103) T) ((-906 . -717) T) ((-582 . -239) T) ((-582 . -226) T) ((-527 . -226) T) ((-527 . -239) T) ((-734 . -708) 120289) ((-356 . -286) T) ((-637 . -685) 120273) ((-382 . -1038) 120233) ((-260 . -259) 120217) ((-1109 . -1055) T) ((-106 . -135) 120201) ((-795 . -23) T) ((-1267 . -1262) 120177) ((-1265 . -1262) 120156) ((-1247 . -282) 120133) ((-410 . -304) 120098) ((-1232 . -1091) T) ((-1157 . -282) 120025) ((-865 . -609) 120007) ((-830 . -1038) 119976) ((-196 . -783) T) ((-195 . -783) T) ((-34 . -37) 119953) ((-194 . -783) T) ((-193 . -783) T) ((-192 . -783) T) ((-191 . -783) T) ((-190 . -783) T) ((-189 . -783) T) ((-188 . -783) T) ((-187 . -783) T) ((-505 . -1003) T) ((-271 . -832) T) ((-270 . -832) T) ((-269 . -832) T) ((-268 . -832) T) ((-53 . -286) T) ((-267 . -832) T) ((-266 . -832) T) ((-265 . -832) T) ((-186 . -783) T) ((-608 . -843) T) ((-645 . -414) 119937) ((-114 . -843) T) ((-644 . -21) T) ((-644 . -25) T) ((-465 . -609) 119919) ((-1268 . -43) 119889) ((-1247 . -19) 119873) ((-126 . -282) 119803) ((-217 . -105) T) ((-145 . -105) T) ((-1247 . -602) 119780) ((-1258 . -1091) T) ((-1242 . -708) 119677) ((-1071 . -1091) T) ((-989 . -1091) T) ((-965 . -138) T) ((-728 . -1091) T) ((-726 . -138) T) ((-706 . -138) T) ((-521 . -789) T) ((-410 . -1137) 119655) ((-455 . -138) T) ((-521 . -790) T) ((-214 . -1048) T) ((-289 . -105) 119437) ((-143 . -1091) T) ((-689 . -1003) T) ((-96 . -1197) T) ((-137 . -609) 119404) ((-131 . -609) 119371) ((-734 . -173) T) ((-1273 . -173) T) ((-1160 . -366) 119350) ((-1153 . -366) 119329) ((-311 . -1091) T) ((-421 . -138) T) ((-308 . -1091) T) ((-410 . -43) 119281) ((-1122 . -105) T) ((-1232 . -708) 119138) ((-645 . -1055) T) ((-315 . -149) 119117) ((-315 . -151) 119096) ((-142 . -1091) T) ((-123 . -1091) T) ((-850 . -105) T) ((-581 . -609) 119078) ((-569 . -610) 118977) ((-569 . -609) 118959) ((-505 . -609) 118941) ((-505 . -610) 118886) ((-496 . -23) T) ((-494 . -843) 118837) ((-118 . -1091) T) ((-498 . -631) 118819) ((-775 . -1011) 118771) ((-209 . -631) 118753) ((-216 . -407) T) ((-653 . -638) 118737) ((-1159 . -917) 118716) ((-722 . -1103) T) ((-353 . -105) T) ((-814 . -843) T) ((-722 . -23) T) ((-342 . -1054) 118661) ((-1145 . -1144) T) ((-1133 . -111) 118645) ((-1242 . -173) 118596) ((-1161 . -1103) T) ((-1160 . -1103) T) ((-1153 . -1103) T) ((-1115 . -1103) T) ((-525 . -1038) 118580) ((-342 . -120) 118497) ((-217 . -304) NIL) ((-145 . -304) NIL) ((-1005 . -1202) T) ((-136 . -1197) T) ((-911 . -1202) T) ((-1248 . -609) 118479) ((-1198 . -1091) T) ((-684 . -282) NIL) ((-1161 . -23) T) ((-1160 . -23) T) ((-1153 . -23) T) ((-1128 . -224) 118463) ((-1115 . -23) T) ((-1069 . -1091) T) ((-1005 . -559) T) ((-911 . -559) T) ((-795 . -138) T) ((-219 . -1197) T) ((-146 . -1197) T) ((-734 . -524) 118429) ((-701 . -609) 118411) ((-34 . -1091) T) ((-311 . -708) 118321) ((-308 . -708) 118250) ((-689 . -609) 118232) ((-689 . -610) 118177) ((-410 . -403) 118161) ((-441 . -1091) T) ((-498 . -25) T) ((-498 . -21) T) ((-1109 . -1091) T) ((-209 . -25) T) ((-209 . -21) T) ((-703 . -414) 118145) ((-705 . -1038) 118114) ((-1247 . -609) 118053) ((-1247 . -610) 118014) ((-1232 . -173) T) ((-241 . -39) T) ((-1157 . -610) NIL) ((-1157 . -609) 117996) ((-927 . -976) T) ((-1184 . -1197) T) ((-653 . -787) 117975) ((-653 . -790) 117954) ((-401 . -398) T) ((-532 . -105) 117932) ((-1036 . -1091) T) ((-213 . -996) 117916) ((-515 . -105) T) ((-616 . -609) 117898) ((-50 . -843) NIL) ((-616 . -610) 117875) ((-1036 . -606) 117850) ((-897 . -524) 117783) ((-342 . -1048) T) ((-130 . -609) 117765) ((-126 . -610) NIL) ((-126 . -609) 117747) ((-867 . -1197) T) ((-663 . -420) 117731) ((-663 . -1112) 117676) ((-260 . -524) 117609) ((-510 . -155) 117591) ((-342 . -226) T) ((-342 . -239) T) ((-45 . -1054) 117536) ((-867 . -880) 117520) ((-867 . -882) 117445) ((-703 . -1055) T) ((-684 . -1003) NIL) ((-1230 . -52) 117415) ((-1209 . -52) 117392) ((-1127 . -1011) 117363) ((-1109 . -708) 117350) ((-1096 . -609) 117332) ((-867 . -1038) 117196) ((-216 . -917) T) ((-45 . -120) 117113) ((-734 . -286) T) ((-1074 . -151) 117092) ((-1074 . -149) 117043) ((-1005 . -366) T) ((-861 . -638) 117008) ((-856 . -638) 116958) ((-315 . -1186) 116924) ((-382 . -302) T) ((-315 . -1183) 116890) ((-311 . -173) 116869) ((-308 . -173) T) ((-1004 . -224) 116846) ((-911 . -366) T) ((-582 . -1264) 116833) ((-527 . -1264) 116810) ((-362 . -151) 116789) ((-362 . -149) 116740) ((-355 . -151) 116719) ((-355 . -149) 116670) ((-604 . -1174) 116646) ((-344 . -151) 116625) ((-344 . -149) 116576) ((-315 . -40) 116542) ((-481 . -1174) 116521) ((0 . |EnumerationCategory|) T) ((-315 . -98) 116487) ((-382 . -1022) T) ((-112 . -151) T) ((-112 . -149) NIL) ((-50 . -228) 116437) ((-645 . -1091) T) ((-604 . -111) 116384) ((-496 . -138) T) ((-481 . -111) 116334) ((-233 . -1103) 116244) ((-867 . -380) 116228) ((-867 . -337) 116212) ((-233 . -23) 116082) ((-1059 . -917) T) ((-1059 . -816) T) ((-582 . -371) T) ((-527 . -371) T) ((-735 . -843) 116061) ((-353 . -1137) T) ((-326 . -39) T) ((-49 . -420) 116045) ((-393 . -737) 116029) ((-1258 . -524) 115962) ((-722 . -138) T) ((-1242 . -286) 115941) ((-1238 . -559) 115920) ((-1231 . -1202) 115899) ((-1231 . -559) 115850) ((-1210 . -1202) 115829) ((-1210 . -559) 115780) ((-728 . -524) 115713) ((-1209 . -1197) 115692) ((-1209 . -882) 115565) ((-889 . -1091) T) ((-148 . -837) T) ((-1209 . -880) 115535) ((-1204 . -559) 115514) ((-1161 . -138) T) ((-532 . -304) 115452) ((-1160 . -138) T) ((-143 . -524) NIL) ((-1153 . -138) T) ((-1115 . -138) T) ((-1024 . -1003) T) ((-1005 . -23) T) ((-353 . -43) 115417) ((-1005 . -1103) T) ((-911 . -1103) T) ((-87 . -609) 115399) ((-45 . -1048) T) ((-865 . -1054) 115386) ((-867 . -896) 115345) ((-775 . -52) 115322) ((-691 . -105) T) ((-1004 . -351) NIL) ((-600 . -1197) T) ((-973 . -23) T) ((-911 . -23) T) ((-865 . -120) 115307) ((-430 . -1103) T) ((-480 . -52) 115277) ((-140 . -105) T) ((-45 . -226) 115249) ((-45 . -239) T) ((-125 . -105) T) ((-595 . -559) 115228) ((-594 . -559) 115207) ((-684 . -609) 115189) ((-684 . -610) 115097) ((-311 . -524) 115063) ((-308 . -524) 114814) ((-1230 . -1038) 114798) ((-1209 . -1038) 114584) ((-1000 . -414) 114568) ((-430 . -23) T) ((-1109 . -173) T) ((-861 . -717) T) ((-856 . -717) T) ((-1232 . -286) T) ((-645 . -708) 114538) ((-148 . -1091) T) ((-53 . -1003) T) ((-410 . -224) 114522) ((-290 . -228) 114472) ((-866 . -917) T) ((-866 . -816) NIL) ((-969 . -609) 114454) ((-853 . -843) T) ((-1209 . -337) 114424) ((-1209 . -380) 114394) ((-213 . -1110) 114378) ((-775 . -1197) T) ((-1247 . -284) 114355) ((-501 . -105) T) ((-1192 . -638) 114280) ((-965 . -21) T) ((-965 . -25) T) ((-726 . -21) T) ((-726 . -25) T) ((-706 . -21) T) ((-706 . -25) T) ((-702 . -638) 114245) ((-455 . -21) T) ((-455 . -25) T) ((-338 . -105) T) ((-174 . -105) T) ((-1000 . -1055) T) ((-865 . -1048) T) ((-858 . -1038) 114229) ((-767 . -105) T) ((-1198 . -524) NIL) ((-1231 . -366) 114208) ((-1230 . -896) 114114) ((-1210 . -366) 114093) ((-1209 . -896) 113944) ((-1024 . -609) 113926) ((-410 . -824) 113879) ((-1161 . -503) 113845) ((-170 . -917) 113776) ((-1160 . -503) 113742) ((-1153 . -503) 113708) ((-703 . -1091) T) ((-1115 . -503) 113674) ((-581 . -1054) 113661) ((-569 . -1054) 113648) ((-505 . -1054) 113613) ((-311 . -286) 113592) ((-308 . -286) T) ((-356 . -609) 113574) ((-421 . -25) T) ((-421 . -21) T) ((-101 . -282) 113553) ((-581 . -120) 113538) ((-569 . -120) 113523) ((-505 . -120) 113472) ((-1163 . -882) 113439) ((-35 . -105) T) ((-897 . -500) 113423) ((-116 . -609) 113405) ((-53 . -609) 113387) ((-53 . -610) 113332) ((-260 . -500) 113316) ((-233 . -138) 113186) ((-1219 . -917) 113165) ((-812 . -1202) 113144) ((-1036 . -524) 112952) ((-391 . -609) 112934) ((-812 . -559) 112865) ((-586 . -638) 112840) ((-258 . -52) 112812) ((-243 . -52) 112769) ((-535 . -519) 112746) ((-1001 . -1197) T) ((-1238 . -23) T) ((-689 . -1054) 112711) ((-775 . -896) 112624) ((-1238 . -1103) T) ((-1231 . -1103) T) ((-1210 . -1103) T) ((-1204 . -1103) T) ((-1004 . -373) 112596) ((-121 . -371) T) ((-480 . -896) 112502) ((-1231 . -23) T) ((-1210 . -23) T) ((-900 . -609) 112484) ((-96 . -111) 112468) ((-1192 . -717) T) ((-901 . -843) 112419) ((-691 . -1137) T) ((-689 . -120) 112368) ((-1204 . -23) T) ((-595 . -1103) T) ((-594 . -1103) T) ((-703 . -708) 112197) ((-702 . -717) T) ((-1109 . -286) T) ((-1005 . -138) T) ((-498 . -843) T) ((-973 . -138) T) ((-911 . -138) T) ((-795 . -25) T) ((-209 . -843) T) ((-795 . -21) T) ((-581 . -1048) T) ((-569 . -1048) T) ((-505 . -1048) T) ((-595 . -23) T) ((-342 . -1264) 112174) ((-315 . -454) 112153) ((-338 . -304) 112140) ((-594 . -23) T) ((-430 . -138) T) ((-649 . -638) 112114) ((-1157 . -1054) 111937) ((-241 . -1011) 111921) ((-867 . -302) T) ((-1269 . -1259) 111905) ((-764 . -788) T) ((-764 . -791) T) ((-691 . -43) 111892) ((-237 . -638) 111874) ((-569 . -226) T) ((-505 . -239) T) ((-505 . -226) T) ((-1157 . -120) 111676) ((-1136 . -228) 111626) ((-1079 . -905) 111605) ((-125 . -43) 111592) ((-202 . -796) T) ((-201 . -796) T) ((-200 . -796) T) ((-199 . -796) T) ((-867 . -1022) 111570) ((-1258 . -500) 111554) ((-778 . -905) 111533) ((-776 . -905) 111512) ((-1171 . -1197) T) ((-456 . -905) 111491) ((-728 . -500) 111475) ((-1079 . -638) 111400) ((-778 . -638) 111325) ((-616 . -1054) 111312) ((-491 . -1197) T) ((-342 . -371) T) ((-143 . -500) 111294) ((-776 . -638) 111219) ((-1127 . -1197) T) ((-464 . -638) 111190) ((-258 . -882) 111049) ((-243 . -882) NIL) ((-126 . -1054) 110994) ((-456 . -638) 110919) ((-657 . -1038) 110896) ((-616 . -120) 110881) ((-357 . -1038) 110865) ((-354 . -1038) 110849) ((-343 . -1038) 110833) ((-258 . -1038) 110677) ((-243 . -1038) 110553) ((-126 . -120) 110470) ((-64 . -1197) T) ((-528 . -1197) T) ((-526 . -1197) T) ((-507 . -1197) T) ((-506 . -1197) T) ((-440 . -609) 110452) ((-437 . -609) 110434) ((-3 . -105) T) ((-1028 . -1191) 110403) ((-829 . -105) T) ((-680 . -62) 110361) ((-689 . -1048) T) ((-55 . -638) 110335) ((-285 . -454) T) ((-482 . -1191) 110304) ((-1242 . -282) 110289) ((0 . -105) T) ((-582 . -638) 110254) ((-527 . -638) 110199) ((-54 . -105) T) ((-906 . -1038) 110186) ((-689 . -239) T) ((-1074 . -412) 110165) ((-722 . -631) 110113) ((-1000 . -1091) T) ((-703 . -173) 110004) ((-498 . -994) 109986) ((-466 . -1091) T) ((-258 . -380) 109970) ((-243 . -380) 109954) ((-402 . -1091) T) ((-1157 . -1048) T) ((-338 . -43) 109938) ((-1027 . -105) 109916) ((-209 . -994) 109898) ((-174 . -43) 109830) ((-1230 . -302) 109809) ((-1209 . -302) 109788) ((-1157 . -325) 109765) ((-649 . -717) T) ((-1157 . -226) T) ((-101 . -609) 109747) ((-1153 . -631) 109699) ((-496 . -25) T) ((-496 . -21) T) ((-1209 . -1022) 109651) ((-616 . -1048) T) ((-382 . -407) T) ((-393 . -105) T) ((-258 . -896) 109597) ((-243 . -896) 109574) ((-126 . -1048) T) ((-812 . -1103) T) ((-1079 . -717) T) ((-616 . -226) 109553) ((-614 . -105) T) ((-1198 . -500) 109535) ((-778 . -717) T) ((-776 . -717) T) ((-416 . -1103) T) ((-126 . -239) T) ((-45 . -371) NIL) ((-126 . -226) NIL) ((-456 . -717) T) ((-812 . -23) T) ((-722 . -25) T) ((-722 . -21) T) ((-693 . -843) T) ((-1071 . -282) 109514) ((-83 . -399) T) ((-83 . -398) T) ((-1242 . -1003) 109480) ((-684 . -1054) 109430) ((-1238 . -138) T) ((-1231 . -138) T) ((-1210 . -138) T) ((-1204 . -138) T) ((-1161 . -25) T) ((-1128 . -414) 109414) ((-627 . -370) 109346) ((-603 . -370) 109278) ((-1143 . -1135) 109262) ((-106 . -1091) 109240) ((-1161 . -21) T) ((-1160 . -21) T) ((-1160 . -25) T) ((-1000 . -708) 109188) ((-214 . -638) 109155) ((-684 . -120) 109082) ((-55 . -717) T) ((-1153 . -21) T) ((-353 . -351) T) ((-1153 . -25) T) ((-1074 . -454) 109033) ((-1115 . -21) T) ((-703 . -524) 108979) ((-582 . -717) T) ((-527 . -717) T) ((-858 . -302) T) ((-1115 . -25) T) ((-775 . -302) T) ((-595 . -138) T) ((-594 . -138) T) ((-362 . -454) T) ((-355 . -454) T) ((-344 . -454) T) ((-480 . -302) 108958) ((-308 . -282) 108824) ((-112 . -454) T) ((-84 . -443) T) ((-84 . -398) T) ((-490 . -105) T) ((-734 . -610) 108685) ((-734 . -609) 108667) ((-1273 . -609) 108649) ((-1273 . -610) 108631) ((-1074 . -405) 108610) ((-1036 . -500) 108542) ((-569 . -791) T) ((-569 . -788) T) ((-1060 . -228) 108488) ((-362 . -405) 108439) ((-355 . -405) 108390) ((-344 . -405) 108341) ((-1260 . -1103) T) ((-1260 . -23) T) ((-1249 . -105) T) ((-1128 . -1055) T) ((-663 . -737) 108325) ((-1165 . -149) 108304) ((-1165 . -151) 108283) ((-1132 . -1091) T) ((-1132 . -1067) 108252) ((-74 . -1197) T) ((-1024 . -1054) 108189) ((-854 . -1055) T) ((-735 . -149) 108168) ((-735 . -151) 108147) ((-233 . -631) 108053) ((-684 . -1048) T) ((-234 . -559) 108032) ((-356 . -1054) 107977) ((-66 . -1197) T) ((-1024 . -120) 107886) ((-897 . -609) 107853) ((-684 . -239) T) ((-684 . -226) NIL) ((-836 . -841) 107832) ((-689 . -791) T) ((-689 . -788) T) ((-1242 . -609) 107814) ((-1198 . -282) 107789) ((-1004 . -414) 107766) ((-356 . -120) 107683) ((-260 . -609) 107650) ((-382 . -917) T) ((-410 . -841) 107629) ((-703 . -286) 107540) ((-214 . -717) T) ((-1238 . -503) 107506) ((-1231 . -503) 107472) ((-1210 . -503) 107438) ((-1204 . -503) 107404) ((-311 . -1003) 107383) ((-213 . -1091) 107361) ((-315 . -975) 107323) ((-109 . -105) T) ((-53 . -1054) 107288) ((-1269 . -105) T) ((-384 . -105) T) ((-53 . -120) 107237) ((-1005 . -631) 107219) ((-1232 . -609) 107201) ((-535 . -105) T) ((-510 . -105) T) ((-1122 . -1123) 107185) ((-156 . -1254) 107169) ((-241 . -1197) T) ((-1198 . -19) 107151) ((-775 . -666) 107103) ((-1159 . -1202) 107082) ((-1114 . -1202) 107061) ((-233 . -21) 106971) ((-233 . -25) 106822) ((-137 . -128) 106806) ((-131 . -128) 106790) ((-49 . -737) 106774) ((-1198 . -602) 106749) ((-1159 . -559) 106660) ((-1114 . -559) 106591) ((-1036 . -282) 106566) ((-812 . -138) T) ((-126 . -791) NIL) ((-126 . -788) NIL) ((-357 . -302) T) ((-354 . -302) T) ((-343 . -302) T) ((-1085 . -1197) T) ((-245 . -1103) 106476) ((-244 . -1103) 106386) ((-1024 . -1048) T) ((-1004 . -1055) T) ((-342 . -638) 106331) ((-614 . -43) 106315) ((-1258 . -609) 106277) ((-1258 . -610) 106238) ((-1071 . -609) 106220) ((-1024 . -239) T) ((-356 . -1048) T) ((-811 . -1254) 106190) ((-245 . -23) T) ((-244 . -23) T) ((-989 . -609) 106172) ((-728 . -610) 106133) ((-728 . -609) 106115) ((-795 . -843) 106094) ((-1000 . -524) 106006) ((-356 . -226) T) ((-356 . -239) T) ((-1146 . -155) 105953) ((-1005 . -25) T) ((-143 . -609) 105935) ((-143 . -610) 105894) ((-906 . -302) T) ((-1005 . -21) T) ((-973 . -25) T) ((-911 . -21) T) ((-911 . -25) T) ((-430 . -21) T) ((-430 . -25) T) ((-836 . -414) 105878) ((-53 . -1048) T) ((-1267 . -1259) 105862) ((-1265 . -1259) 105846) ((-1036 . -602) 105821) ((-311 . -610) 105682) ((-311 . -609) 105664) ((-308 . -610) NIL) ((-308 . -609) 105646) ((-53 . -239) T) ((-53 . -226) T) ((-645 . -282) 105607) ((-552 . -228) 105557) ((-142 . -609) 105539) ((-123 . -609) 105521) ((-490 . -43) 105486) ((-1269 . -1266) 105465) ((-1260 . -138) T) ((-1268 . -1055) T) ((-1076 . -105) T) ((-118 . -609) 105447) ((-93 . -1197) T) ((-510 . -304) NIL) ((-1001 . -111) 105431) ((-885 . -1091) T) ((-881 . -1091) T) ((-1247 . -641) 105415) ((-1247 . -376) 105399) ((-326 . -1197) T) ((-592 . -843) T) ((-234 . -1103) T) ((-1128 . -1091) T) ((-1128 . -1051) 105339) ((-106 . -524) 105272) ((-928 . -609) 105254) ((-234 . -23) T) ((-342 . -717) T) ((-30 . -609) 105236) ((-854 . -1091) T) ((-836 . -1055) 105215) ((-45 . -638) 105160) ((-216 . -1202) T) ((-410 . -1055) T) ((-1145 . -155) 105142) ((-1000 . -286) 105093) ((-216 . -559) T) ((-1198 . -610) 105075) ((-315 . -1227) 105059) ((-315 . -1224) 105029) ((-1198 . -609) 105011) ((-1171 . -1174) 104990) ((-1069 . -609) 104972) ((-34 . -609) 104954) ((-861 . -1038) 104914) ((-856 . -1038) 104859) ((-637 . -155) 104843) ((-624 . -155) 104789) ((-1171 . -111) 104739) ((-491 . -1174) 104718) ((-498 . -151) T) ((-498 . -149) NIL) ((-1109 . -610) 104633) ((-441 . -609) 104615) ((-209 . -151) T) ((-209 . -149) NIL) ((-1109 . -609) 104597) ((-57 . -105) T) ((-1210 . -631) 104549) ((-491 . -111) 104499) ((-995 . -23) T) ((-1269 . -43) 104469) ((-1159 . -1103) T) ((-1114 . -1103) T) ((-1059 . -1202) T) ((-847 . -1103) T) ((-954 . -1202) 104448) ((-493 . -1202) 104427) ((-722 . -843) 104406) ((-1059 . -559) T) ((-954 . -559) 104337) ((-1159 . -23) T) ((-1114 . -23) T) ((-847 . -23) T) ((-493 . -559) 104268) ((-1128 . -708) 104200) ((-1132 . -524) 104133) ((-1036 . -610) NIL) ((-1036 . -609) 104115) ((-854 . -708) 104085) ((-1273 . -1054) 104072) ((-1273 . -120) 104057) ((-1192 . -52) 104026) ((-245 . -138) T) ((-244 . -138) T) ((-1095 . -1091) T) ((-1004 . -1091) T) ((-67 . -609) 104008) ((-1153 . -843) NIL) ((-1024 . -788) T) ((-1024 . -791) T) ((-1238 . -25) T) ((-734 . -1054) 103932) ((-1238 . -21) T) ((-1231 . -21) T) ((-865 . -638) 103919) ((-1231 . -25) T) ((-1210 . -21) T) ((-1210 . -25) T) ((-1204 . -25) T) ((-1204 . -21) T) ((-1028 . -155) 103903) ((-867 . -816) 103882) ((-867 . -917) T) ((-734 . -120) 103785) ((-703 . -282) 103712) ((-595 . -21) T) ((-595 . -25) T) ((-594 . -21) T) ((-45 . -717) T) ((-213 . -524) 103645) ((-594 . -25) T) ((-482 . -155) 103629) ((-469 . -155) 103613) ((-918 . -717) T) ((-764 . -789) T) ((-764 . -790) T) ((-512 . -1091) T) ((-764 . -717) T) ((-216 . -366) T) ((-1143 . -1091) 103591) ((-866 . -1202) T) ((-645 . -609) 103573) ((-866 . -559) T) ((-684 . -371) NIL) ((-362 . -1254) 103557) ((-663 . -105) T) ((-355 . -1254) 103541) ((-344 . -1254) 103525) ((-1268 . -1091) T) ((-529 . -843) 103504) ((-1242 . -1054) 103387) ((-813 . -454) 103366) ((-1045 . -1091) T) ((-1045 . -1067) 103295) ((-1028 . -978) 103264) ((-815 . -1103) T) ((-1004 . -708) 103209) ((-1242 . -120) 103071) ((-234 . -138) T) ((-389 . -1103) T) ((-482 . -978) 103040) ((-469 . -978) 103009) ((-922 . -1089) T) ((-114 . -155) 102991) ((-78 . -609) 102973) ((-889 . -609) 102955) ((-1074 . -715) 102934) ((-734 . -1048) T) ((-1273 . -1048) T) ((-812 . -631) 102882) ((-289 . -1055) 102824) ((-170 . -1202) 102729) ((-216 . -1103) T) ((-322 . -23) T) ((-1153 . -994) 102681) ((-836 . -1091) T) ((-734 . -239) 102660) ((-1115 . -731) 102639) ((-1232 . -1054) 102528) ((-1230 . -917) 102507) ((-865 . -717) T) ((-170 . -559) 102418) ((-1209 . -917) 102397) ((-581 . -638) 102384) ((-410 . -1091) T) ((-569 . -638) 102371) ((-257 . -1091) T) ((-505 . -638) 102336) ((-216 . -23) T) ((-1209 . -816) 102289) ((-967 . -1091) T) ((-1267 . -105) T) ((-356 . -1264) 102266) ((-1265 . -105) T) ((-1232 . -120) 102116) ((-148 . -609) 102098) ((-995 . -138) T) ((-49 . -105) T) ((-233 . -843) 102049) ((-1219 . -1202) 102028) ((-106 . -500) 102012) ((-1268 . -708) 101982) ((-1079 . -52) 101943) ((-1059 . -1103) T) ((-954 . -1103) T) ((-137 . -39) T) ((-131 . -39) T) ((-1219 . -559) 101854) ((-778 . -52) 101831) ((-776 . -52) 101803) ((-1198 . -284) 101778) ((-1159 . -138) T) ((-356 . -371) T) ((-493 . -1103) T) ((-1114 . -138) T) ((-1059 . -23) T) ((-456 . -52) 101757) ((-866 . -366) T) ((-847 . -138) T) ((-156 . -105) T) ((-735 . -454) 101688) ((-954 . -23) T) ((-576 . -559) T) ((-812 . -25) T) ((-812 . -21) T) ((-1128 . -524) 101621) ((-586 . -1038) 101605) ((-493 . -23) T) ((-353 . -1055) T) ((-1242 . -1048) T) ((-1192 . -896) 101586) ((-663 . -304) 101524) ((-1242 . -226) 101483) ((-1104 . -1254) 101453) ((-689 . -638) 101418) ((-1005 . -843) T) ((-1004 . -173) T) ((-965 . -149) 101397) ((-627 . -1091) T) ((-603 . -1091) T) ((-965 . -151) 101376) ((-858 . -917) T) ((-726 . -151) 101355) ((-726 . -149) 101334) ((-973 . -843) T) ((-775 . -917) T) ((-480 . -917) 101313) ((-311 . -1054) 101223) ((-308 . -1054) 101152) ((-1000 . -282) 101110) ((-1157 . -905) 101089) ((-410 . -708) 101041) ((-691 . -841) T) ((-539 . -1089) T) ((-514 . -1091) T) ((-1232 . -1048) T) ((-311 . -120) 100930) ((-308 . -120) 100815) ((-1232 . -325) 100759) ((-1157 . -638) 100684) ((-966 . -105) T) ((-811 . -105) 100474) ((-703 . -610) NIL) ((-703 . -609) 100456) ((-1036 . -284) 100431) ((-649 . -1038) 100327) ((-861 . -302) T) ((-581 . -717) T) ((-569 . -790) T) ((-569 . -787) T) ((-170 . -366) 100278) ((-569 . -717) T) ((-505 . -717) T) ((-237 . -1038) 100262) ((-856 . -302) T) ((-1132 . -500) 100246) ((-1079 . -882) NIL) ((-866 . -1103) T) ((-126 . -905) NIL) ((-1267 . -1266) 100222) ((-1265 . -1266) 100201) ((-778 . -882) NIL) ((-776 . -882) 100060) ((-1260 . -25) T) ((-1260 . -21) T) ((-1195 . -105) 100038) ((-1097 . -398) T) ((-616 . -638) 100025) ((-456 . -882) NIL) ((-667 . -105) 100003) ((-1079 . -1038) 99830) ((-866 . -23) T) ((-778 . -1038) 99689) ((-776 . -1038) 99546) ((-126 . -638) 99491) ((-456 . -1038) 99367) ((-639 . -1038) 99351) ((-619 . -105) T) ((-213 . -500) 99335) ((-1247 . -39) T) ((-627 . -708) 99319) ((-603 . -708) 99303) ((-663 . -43) 99263) ((-315 . -105) T) ((-217 . -1091) T) ((-145 . -1091) T) ((-90 . -609) 99245) ((-55 . -1038) 99229) ((-1109 . -1054) 99216) ((-1079 . -380) 99200) ((-778 . -380) 99184) ((-65 . -62) 99146) ((-689 . -790) T) ((-689 . -787) T) ((-582 . -1038) 99133) ((-527 . -1038) 99110) ((-689 . -717) T) ((-322 . -138) T) ((-311 . -1048) 99000) ((-308 . -1048) T) ((-170 . -1103) T) ((-776 . -380) 98984) ((-50 . -155) 98934) ((-1005 . -994) 98916) ((-456 . -380) 98900) ((-410 . -173) T) ((-311 . -239) 98879) ((-308 . -239) T) ((-308 . -226) NIL) ((-289 . -1091) 98661) ((-216 . -138) T) ((-1109 . -120) 98646) ((-170 . -23) T) ((-795 . -151) 98625) ((-795 . -149) 98604) ((-245 . -631) 98510) ((-244 . -631) 98416) ((-315 . -280) 98382) ((-1157 . -717) T) ((-1143 . -524) 98315) ((-1122 . -1091) T) ((-216 . -1057) T) ((-811 . -304) 98253) ((-1079 . -896) 98188) ((-778 . -896) 98131) ((-776 . -896) 98115) ((-1267 . -43) 98085) ((-1265 . -43) 98055) ((-1219 . -1103) T) ((-848 . -1103) T) ((-456 . -896) 98032) ((-850 . -1091) T) ((-1219 . -23) T) ((-576 . -1103) T) ((-848 . -23) T) ((-616 . -717) T) ((-357 . -917) T) ((-354 . -917) T) ((-285 . -105) T) ((-343 . -917) T) ((-1059 . -138) T) ((-954 . -138) T) ((-126 . -790) NIL) ((-126 . -787) NIL) ((-126 . -717) T) ((-684 . -905) NIL) ((-1045 . -524) 97916) ((-493 . -138) T) ((-576 . -23) T) ((-667 . -304) 97854) ((-627 . -754) T) ((-603 . -754) T) ((-1210 . -843) NIL) ((-1004 . -286) T) ((-245 . -21) T) ((-684 . -638) 97804) ((-353 . -1091) T) ((-245 . -25) T) ((-244 . -21) T) ((-244 . -25) T) ((-156 . -43) 97788) ((-2 . -105) T) ((-906 . -917) T) ((-494 . -1254) 97758) ((-214 . -1038) 97735) ((-1109 . -1048) T) ((-702 . -302) T) ((-289 . -708) 97677) ((-691 . -1055) T) ((-498 . -454) T) ((-410 . -524) 97589) ((-209 . -454) T) ((-1109 . -226) T) ((-290 . -155) 97539) ((-1000 . -610) 97500) ((-1000 . -609) 97482) ((-991 . -609) 97464) ((-125 . -1055) T) ((-645 . -1054) 97448) ((-216 . -503) T) ((-466 . -609) 97430) ((-402 . -609) 97412) ((-402 . -610) 97389) ((-1052 . -1254) 97359) ((-645 . -120) 97338) ((-1128 . -500) 97322) ((-811 . -43) 97292) ((-68 . -443) T) ((-68 . -398) T) ((-1146 . -105) T) ((-866 . -138) T) ((-495 . -105) 97270) ((-1273 . -371) T) ((-735 . -951) 97239) ((-1074 . -105) T) ((-1058 . -105) T) ((-353 . -708) 97184) ((-722 . -151) 97163) ((-722 . -149) 97142) ((-1024 . -638) 97079) ((-532 . -1091) 97057) ((-362 . -105) T) ((-355 . -105) T) ((-344 . -105) T) ((-234 . -21) T) ((-234 . -25) T) ((-112 . -105) T) ((-515 . -1091) T) ((-356 . -638) 97002) ((-1159 . -631) 96950) ((-1114 . -631) 96898) ((-388 . -519) 96877) ((-829 . -841) 96856) ((-382 . -1202) T) ((-684 . -717) T) ((-338 . -1055) T) ((-1210 . -994) 96808) ((-174 . -1055) T) ((-106 . -609) 96775) ((-1161 . -149) 96754) ((-1161 . -151) 96733) ((-382 . -559) T) ((-1160 . -151) 96712) ((-1160 . -149) 96691) ((-1153 . -149) 96598) ((-410 . -286) T) ((-1153 . -151) 96505) ((-1115 . -151) 96484) ((-1115 . -149) 96463) ((-315 . -43) 96304) ((-170 . -138) T) ((-308 . -791) NIL) ((-308 . -788) NIL) ((-645 . -1048) T) ((-53 . -638) 96269) ((-995 . -21) T) ((-137 . -1011) 96253) ((-131 . -1011) 96237) ((-995 . -25) T) ((-897 . -128) 96221) ((-1145 . -105) T) ((-812 . -843) 96200) ((-1219 . -138) T) ((-1159 . -25) T) ((-1159 . -21) T) ((-848 . -138) T) ((-1114 . -25) T) ((-1114 . -21) T) ((-847 . -25) T) ((-847 . -21) T) ((-778 . -302) 96179) ((-35 . -37) 96163) ((-1146 . -304) 95958) ((-1143 . -500) 95942) ((-637 . -105) 95920) ((-624 . -105) T) ((-1136 . -155) 95870) ((-576 . -138) T) ((-614 . -841) 95849) ((-1132 . -609) 95811) ((-1132 . -610) 95772) ((-1024 . -787) T) ((-1024 . -790) T) ((-1024 . -717) T) ((-495 . -304) 95710) ((-455 . -420) 95680) ((-353 . -173) T) ((-217 . -524) NIL) ((-145 . -524) NIL) ((-285 . -43) 95667) ((-271 . -105) T) ((-270 . -105) T) ((-269 . -105) T) ((-268 . -105) T) ((-267 . -105) T) ((-266 . -105) T) ((-265 . -105) T) ((-342 . -1038) 95644) ((-205 . -105) T) ((-204 . -105) T) ((-202 . -105) T) ((-201 . -105) T) ((-200 . -105) T) ((-199 . -105) T) ((-196 . -105) T) ((-195 . -105) T) ((-703 . -1054) 95467) ((-194 . -105) T) ((-193 . -105) T) ((-192 . -105) T) ((-191 . -105) T) ((-190 . -105) T) ((-189 . -105) T) ((-188 . -105) T) ((-187 . -105) T) ((-186 . -105) T) ((-356 . -717) T) ((-703 . -120) 95269) ((-663 . -224) 95253) ((-582 . -302) T) ((-527 . -302) T) ((-289 . -524) 95202) ((-112 . -304) NIL) ((-77 . -398) T) ((-1104 . -105) 94992) ((-829 . -414) 94976) ((-1109 . -791) T) ((-1109 . -788) T) ((-691 . -1091) T) ((-382 . -366) T) ((-170 . -503) 94954) ((-213 . -609) 94921) ((-140 . -1091) T) ((-125 . -1091) T) ((-53 . -717) T) ((-1045 . -500) 94886) ((-143 . -428) 94868) ((-143 . -371) T) ((-1028 . -105) T) ((-522 . -519) 94847) ((-482 . -105) T) ((-469 . -105) T) ((-1035 . -1103) T) ((-735 . -1222) 94831) ((-1161 . -40) 94797) ((-1161 . -98) 94763) ((-1161 . -1186) 94729) ((-1161 . -1183) 94695) ((-1160 . -1183) 94661) ((-1145 . -304) NIL) ((-94 . -399) T) ((-94 . -398) T) ((-1074 . -1137) 94640) ((-1160 . -1186) 94606) ((-1160 . -98) 94572) ((-1035 . -23) T) ((-1160 . -40) 94538) ((-576 . -503) T) ((-1153 . -1183) 94504) ((-1153 . -1186) 94470) ((-1153 . -98) 94436) ((-1153 . -40) 94402) ((-364 . -1103) T) ((-362 . -1137) 94381) ((-355 . -1137) 94360) ((-344 . -1137) 94339) ((-1115 . -40) 94305) ((-1115 . -98) 94271) ((-1115 . -1186) 94237) ((-112 . -1137) T) ((-1115 . -1183) 94203) ((-829 . -1055) 94182) ((-637 . -304) 94120) ((-624 . -304) 93971) ((-1074 . -43) 93839) ((-703 . -1048) T) ((-1059 . -631) 93821) ((-1005 . -151) T) ((-954 . -631) 93769) ((-501 . -1091) T) ((-1005 . -149) NIL) ((-382 . -1103) T) ((-322 . -25) T) ((-320 . -23) T) ((-945 . -843) 93748) ((-703 . -325) 93725) ((-493 . -631) 93673) ((-45 . -1038) 93548) ((-691 . -708) 93535) ((-703 . -226) T) ((-338 . -1091) T) ((-174 . -1091) T) ((-330 . -843) T) ((-421 . -454) 93485) ((-382 . -23) T) ((-362 . -43) 93450) ((-355 . -43) 93415) ((-344 . -43) 93380) ((-85 . -443) T) ((-85 . -398) T) ((-216 . -25) T) ((-216 . -21) T) ((-830 . -1103) T) ((-112 . -43) 93330) ((-823 . -1103) T) ((-767 . -1091) T) ((-125 . -708) 93317) ((-664 . -1038) 93301) ((-608 . -105) T) ((-830 . -23) T) ((-823 . -23) T) ((-1143 . -282) 93278) ((-1104 . -304) 93216) ((-1093 . -228) 93200) ((-69 . -399) T) ((-69 . -398) T) ((-114 . -105) T) ((-45 . -380) 93177) ((-35 . -1091) T) ((-1198 . -641) 93159) ((-644 . -845) 93143) ((-1198 . -376) 93125) ((-1059 . -21) T) ((-1059 . -25) T) ((-811 . -224) 93094) ((-954 . -25) T) ((-954 . -21) T) ((-614 . -1055) T) ((-493 . -25) T) ((-493 . -21) T) ((-1028 . -304) 93032) ((-885 . -609) 93014) ((-881 . -609) 92996) ((-245 . -843) 92947) ((-244 . -843) 92898) ((-532 . -524) 92831) ((-866 . -631) 92808) ((-482 . -304) 92746) ((-469 . -304) 92684) ((-353 . -286) T) ((-1143 . -1234) 92668) ((-1128 . -609) 92630) ((-1128 . -610) 92591) ((-1126 . -105) T) ((-1000 . -1054) 92487) ((-45 . -896) 92439) ((-1143 . -602) 92416) ((-734 . -638) 92340) ((-1273 . -638) 92327) ((-1060 . -155) 92273) ((-867 . -1202) T) ((-1000 . -120) 92148) ((-338 . -708) 92132) ((-854 . -609) 92114) ((-174 . -708) 92046) ((-410 . -282) 92004) ((-867 . -559) T) ((-112 . -403) 91986) ((-89 . -387) T) ((-89 . -398) T) ((-861 . -917) T) ((-856 . -917) T) ((-691 . -173) T) ((-101 . -717) T) ((-494 . -105) 91776) ((-101 . -479) T) ((-125 . -173) T) ((-1104 . -43) 91746) ((-170 . -631) 91694) ((-217 . -500) 91676) ((-145 . -500) 91651) ((-1052 . -105) T) ((-866 . -25) T) ((-811 . -231) 91630) ((-866 . -21) T) ((-814 . -105) T) ((-417 . -105) T) ((-388 . -105) T) ((-114 . -304) NIL) ((-220 . -105) 91608) ((-137 . -1197) T) ((-131 . -1197) T) ((-1035 . -138) T) ((-663 . -370) 91592) ((-1242 . -638) 91517) ((-1273 . -717) T) ((-1238 . -149) 91496) ((-1000 . -1048) T) ((-1238 . -151) 91475) ((-1219 . -631) 91423) ((-1231 . -151) 91402) ((-1095 . -609) 91384) ((-1004 . -609) 91366) ((-525 . -23) T) ((-520 . -23) T) ((-342 . -302) T) ((-518 . -23) T) ((-320 . -138) T) ((-3 . -1091) T) ((-1004 . -610) 91350) ((-1000 . -239) 91329) ((-1000 . -226) 91308) ((-1231 . -149) 91287) ((-1230 . -1202) 91266) ((-829 . -1091) T) ((-1210 . -149) 91173) ((-1210 . -151) 91080) ((-1209 . -1202) 91059) ((-1204 . -149) 91038) ((-1204 . -151) 91017) ((-734 . -479) 90996) ((-734 . -717) T) ((-382 . -138) T) ((-569 . -882) 90978) ((0 . -1091) T) ((-174 . -173) T) ((-170 . -21) T) ((-170 . -25) T) ((-54 . -1091) T) ((-1232 . -638) 90867) ((-1230 . -559) 90818) ((-705 . -1103) T) ((-1209 . -559) 90769) ((-569 . -1038) 90751) ((-594 . -151) 90730) ((-594 . -149) 90709) ((-505 . -1038) 90652) ((-92 . -387) T) ((-92 . -398) T) ((-867 . -366) T) ((-1157 . -52) 90629) ((-830 . -138) T) ((-823 . -138) T) ((-705 . -23) T) ((-512 . -609) 90611) ((-1269 . -1055) T) ((-382 . -1057) T) ((-1027 . -1091) 90589) ((-897 . -39) T) ((-494 . -304) 90527) ((-1143 . -610) 90488) ((-1143 . -609) 90455) ((-260 . -39) T) ((-1159 . -843) 90434) ((-50 . -105) T) ((-1114 . -843) 90413) ((-813 . -105) T) ((-1219 . -25) T) ((-1219 . -21) T) ((-848 . -25) T) ((-49 . -370) 90397) ((-848 . -21) T) ((-722 . -454) 90348) ((-1268 . -609) 90330) ((-576 . -25) T) ((-576 . -21) T) ((-393 . -1091) T) ((-1052 . -304) 90268) ((-614 . -1091) T) ((-689 . -882) 90250) ((-1247 . -1197) T) ((-220 . -304) 90188) ((-148 . -371) T) ((-1045 . -610) 90130) ((-1045 . -609) 90073) ((-858 . -1202) T) ((-308 . -905) NIL) ((-775 . -1202) T) ((-1242 . -717) T) ((-689 . -1038) 90018) ((-702 . -917) T) ((-480 . -1202) 89997) ((-1160 . -454) 89976) ((-1153 . -454) 89955) ((-858 . -559) T) ((-329 . -105) T) ((-775 . -559) T) ((-867 . -1103) T) ((-311 . -638) 89776) ((-308 . -638) 89705) ((-480 . -559) 89656) ((-338 . -524) 89622) ((-552 . -155) 89572) ((-45 . -302) T) ((-1157 . -882) NIL) ((-836 . -609) 89554) ((-691 . -286) T) ((-867 . -23) T) ((-382 . -503) T) ((-1074 . -224) 89524) ((-522 . -105) T) ((-410 . -610) 89325) ((-410 . -609) 89307) ((-257 . -609) 89289) ((-125 . -286) T) ((-1157 . -1038) 89169) ((-967 . -609) 89151) ((-1232 . -717) T) ((-1230 . -366) 89130) ((-1209 . -366) 89109) ((-1258 . -39) T) ((-126 . -1197) T) ((-112 . -224) 89091) ((-1165 . -105) T) ((-490 . -1091) T) ((-532 . -500) 89075) ((-735 . -105) T) ((-728 . -39) T) ((-494 . -43) 89045) ((-143 . -39) T) ((-126 . -880) 89022) ((-126 . -882) NIL) ((-616 . -1038) 88905) ((-635 . -843) 88884) ((-1257 . -105) T) ((-290 . -105) T) ((-703 . -371) 88863) ((-126 . -1038) 88840) ((-393 . -708) 88824) ((-1157 . -380) 88808) ((-614 . -708) 88792) ((-50 . -304) 88596) ((-812 . -149) 88575) ((-812 . -151) 88554) ((-1268 . -385) 88533) ((-815 . -843) T) ((-1249 . -1091) T) ((-1238 . -40) 88499) ((-1238 . -98) 88465) ((-1238 . -1186) 88431) ((-1146 . -222) 88378) ((-1238 . -1183) 88344) ((-389 . -843) 88323) ((-1231 . -1183) 88289) ((-1231 . -1186) 88255) ((-1231 . -98) 88221) ((-217 . -678) 88189) ((-145 . -678) 88150) ((-1231 . -40) 88116) ((-1230 . -1103) T) ((-1210 . -1183) 88082) ((-525 . -138) T) ((-1210 . -1186) 88048) ((-1204 . -1186) 88014) ((-1204 . -1183) 87980) ((-1210 . -98) 87946) ((-1210 . -40) 87912) ((-627 . -609) 87881) ((-603 . -609) 87850) ((-33 . -105) T) ((-216 . -843) T) ((-1209 . -1103) T) ((-1204 . -40) 87816) ((-1204 . -98) 87782) ((-1109 . -638) 87769) ((-1157 . -896) 87712) ((-1074 . -351) 87691) ((-592 . -155) 87673) ((-865 . -302) T) ((-126 . -380) 87650) ((-126 . -337) 87627) ((-174 . -286) T) ((-858 . -366) T) ((-775 . -366) T) ((-308 . -790) NIL) ((-308 . -787) NIL) ((-311 . -717) 87476) ((-308 . -717) T) ((-514 . -609) 87458) ((-480 . -366) 87437) ((-362 . -351) 87416) ((-355 . -351) 87395) ((-344 . -351) 87374) ((-311 . -479) 87353) ((-1230 . -23) T) ((-1209 . -23) T) ((-709 . -1103) T) ((-705 . -138) T) ((-644 . -105) T) ((-490 . -708) 87318) ((-50 . -278) 87268) ((-109 . -1091) T) ((-73 . -609) 87250) ((-853 . -105) T) ((-616 . -896) 87209) ((-1269 . -1091) T) ((-384 . -1091) T) ((-1198 . -39) T) ((-87 . -1197) T) ((-1059 . -843) T) ((-954 . -843) 87188) ((-126 . -896) NIL) ((-778 . -917) 87167) ((-704 . -843) T) ((-535 . -1091) T) ((-510 . -1091) T) ((-357 . -1202) T) ((-354 . -1202) T) ((-343 . -1202) T) ((-258 . -1202) 87146) ((-243 . -1202) 87125) ((-1104 . -224) 87094) ((-493 . -843) 87073) ((-1145 . -824) T) ((-1128 . -1054) 87057) ((-393 . -754) T) ((-735 . -304) 87044) ((-684 . -1197) T) ((-357 . -559) T) ((-354 . -559) T) ((-343 . -559) T) ((-258 . -559) 86975) ((-243 . -559) 86906) ((-1128 . -120) 86885) ((-455 . -737) 86855) ((-854 . -1054) 86825) ((-813 . -43) 86762) ((-684 . -880) 86744) ((-684 . -882) 86726) ((-290 . -304) 86530) ((-906 . -1202) T) ((-858 . -1103) T) ((-854 . -120) 86495) ((-663 . -414) 86479) ((-775 . -1103) T) ((-684 . -1038) 86424) ((-1143 . -284) 86401) ((-1005 . -454) T) ((-906 . -559) T) ((-582 . -917) T) ((-480 . -1103) T) ((-527 . -917) T) ((-911 . -454) T) ((-217 . -609) 86383) ((-145 . -609) 86365) ((-70 . -609) 86347) ((-858 . -23) T) ((-624 . -222) 86293) ((-775 . -23) T) ((-480 . -23) T) ((-1109 . -790) T) ((-867 . -138) T) ((-1109 . -787) T) ((-1260 . -1262) 86272) ((-1109 . -717) T) ((-645 . -638) 86246) ((-289 . -609) 85987) ((-1036 . -39) T) ((-811 . -841) 85966) ((-581 . -302) T) ((-569 . -302) T) ((-505 . -302) T) ((-1269 . -708) 85936) ((-684 . -380) 85918) ((-684 . -337) 85900) ((-490 . -173) T) ((-384 . -708) 85870) ((-735 . -1137) 85848) ((-866 . -843) NIL) ((-569 . -1022) T) ((-505 . -1022) T) ((-1122 . -609) 85830) ((-1104 . -231) 85809) ((-206 . -105) T) ((-1136 . -105) T) ((-76 . -609) 85791) ((-1128 . -1048) T) ((-1165 . -43) 85688) ((-850 . -609) 85670) ((-569 . -551) T) ((-735 . -43) 85499) ((-663 . -1055) T) ((-722 . -951) 85452) ((-1128 . -226) 85431) ((-1076 . -1091) T) ((-1035 . -25) T) ((-1035 . -21) T) ((-1004 . -1054) 85376) ((-901 . -105) T) ((-854 . -1048) T) ((-771 . -1103) T) ((-684 . -896) NIL) ((-357 . -328) 85360) ((-357 . -366) T) ((-354 . -328) 85344) ((-354 . -366) T) ((-343 . -328) 85328) ((-343 . -366) T) ((-498 . -105) T) ((-1257 . -43) 85298) ((-532 . -678) 85248) ((-209 . -105) T) ((-1024 . -1038) 85128) ((-1004 . -120) 85045) ((-1161 . -975) 85014) ((-1160 . -975) 84976) ((-529 . -155) 84960) ((-1074 . -373) 84939) ((-353 . -609) 84921) ((-320 . -21) T) ((-356 . -1038) 84898) ((-320 . -25) T) ((-1153 . -975) 84867) ((-1115 . -975) 84834) ((-81 . -609) 84816) ((-689 . -302) T) ((-170 . -843) 84795) ((-906 . -366) T) ((-382 . -25) T) ((-382 . -21) T) ((-906 . -328) 84782) ((-91 . -609) 84764) ((-689 . -1022) T) ((-668 . -843) T) ((-1230 . -138) T) ((-1209 . -138) T) ((-897 . -1011) 84748) ((-830 . -21) T) ((-53 . -1038) 84691) ((-830 . -25) T) ((-823 . -25) T) ((-823 . -21) T) ((-1267 . -1055) T) ((-1265 . -1055) T) ((-645 . -717) T) ((-1157 . -302) 84670) ((-260 . -1011) 84654) ((-1268 . -1054) 84638) ((-1219 . -843) 84617) ((-811 . -414) 84586) ((-106 . -128) 84570) ((-57 . -1091) T) ((-927 . -609) 84552) ((-866 . -994) 84529) ((-819 . -105) T) ((-1268 . -120) 84508) ((-644 . -43) 84478) ((-576 . -843) T) ((-357 . -1103) T) ((-354 . -1103) T) ((-343 . -1103) T) ((-258 . -1103) T) ((-243 . -1103) T) ((-616 . -302) 84457) ((-1136 . -304) 84261) ((-657 . -23) T) ((-494 . -224) 84230) ((-156 . -1055) T) ((-357 . -23) T) ((-354 . -23) T) ((-343 . -23) T) ((-126 . -302) T) ((-258 . -23) T) ((-243 . -23) T) ((-1004 . -1048) T) ((-703 . -905) 84209) ((-1004 . -226) 84181) ((-1004 . -239) T) ((-126 . -1022) NIL) ((-906 . -1103) T) ((-1231 . -454) 84160) ((-1210 . -454) 84139) ((-532 . -609) 84106) ((-703 . -638) 84031) ((-410 . -1054) 83983) ((-858 . -138) T) ((-515 . -609) 83965) ((-906 . -23) T) ((-775 . -138) T) ((-498 . -304) NIL) ((-480 . -138) T) ((-209 . -304) NIL) ((-410 . -120) 83896) ((-811 . -1055) 83826) ((-728 . -1088) 83810) ((-1230 . -503) 83776) ((-1209 . -503) 83742) ((-143 . -1088) 83724) ((-490 . -286) T) ((-1268 . -1048) T) ((-1060 . -105) T) ((-510 . -524) NIL) ((-693 . -105) T) ((-494 . -231) 83703) ((-1159 . -149) 83682) ((-1159 . -151) 83661) ((-1114 . -151) 83640) ((-1114 . -149) 83619) ((-627 . -1054) 83603) ((-603 . -1054) 83587) ((-663 . -1091) T) ((-663 . -1051) 83527) ((-1161 . -1237) 83511) ((-1161 . -1224) 83488) ((-498 . -1137) T) ((-1160 . -1229) 83449) ((-1160 . -1224) 83419) ((-1160 . -1227) 83403) ((-209 . -1137) T) ((-342 . -917) T) ((-814 . -263) 83387) ((-627 . -120) 83366) ((-603 . -120) 83345) ((-1153 . -1208) 83306) ((-836 . -1048) 83285) ((-1153 . -1224) 83262) ((-525 . -25) T) ((-505 . -297) T) ((-521 . -23) T) ((-520 . -25) T) ((-518 . -25) T) ((-517 . -23) T) ((-1153 . -1206) 83246) ((-410 . -1048) T) ((-315 . -1055) T) ((-684 . -302) T) ((-112 . -841) T) ((-410 . -239) T) ((-410 . -226) 83225) ((-703 . -717) T) ((-498 . -43) 83175) ((-209 . -43) 83125) ((-480 . -503) 83091) ((-1145 . -1130) T) ((-1092 . -105) T) ((-691 . -609) 83073) ((-691 . -610) 82988) ((-705 . -21) T) ((-705 . -25) T) ((-140 . -609) 82970) ((-125 . -609) 82952) ((-159 . -25) T) ((-1267 . -1091) T) ((-867 . -631) 82900) ((-1265 . -1091) T) ((-965 . -105) T) ((-726 . -105) T) ((-706 . -105) T) ((-455 . -105) T) ((-812 . -454) 82851) ((-49 . -1091) T) ((-1080 . -843) T) ((-657 . -138) T) ((-1060 . -304) 82702) ((-663 . -708) 82686) ((-285 . -1055) T) ((-357 . -138) T) ((-354 . -138) T) ((-343 . -138) T) ((-258 . -138) T) ((-243 . -138) T) ((-734 . -1197) T) ((-421 . -105) T) ((-1242 . -52) 82663) ((-156 . -1091) T) ((-50 . -222) 82613) ((-735 . -224) 82597) ((-1000 . -638) 82535) ((-959 . -843) 82514) ((-734 . -880) 82498) ((-734 . -882) 82423) ((-233 . -1254) 82393) ((-1024 . -302) T) ((-289 . -1054) 82314) ((-906 . -138) T) ((-45 . -917) T) ((-734 . -1038) 82036) ((-498 . -403) 82018) ((-501 . -609) 82000) ((-356 . -302) T) ((-209 . -403) 81982) ((-1074 . -414) 81966) ((-289 . -120) 81882) ((-861 . -1202) T) ((-856 . -1202) T) ((-867 . -25) T) ((-867 . -21) T) ((-861 . -559) T) ((-856 . -559) T) ((-338 . -609) 81864) ((-1232 . -52) 81808) ((-216 . -151) T) ((-174 . -609) 81790) ((-1104 . -841) 81769) ((-767 . -609) 81751) ((-604 . -228) 81698) ((-481 . -228) 81648) ((-1267 . -708) 81618) ((-53 . -302) T) ((-1265 . -708) 81588) ((-966 . -1091) T) ((-811 . -1091) 81378) ((-306 . -105) T) ((-897 . -1197) T) ((-734 . -380) 81347) ((-53 . -1022) T) ((-1209 . -631) 81255) ((-680 . -105) 81233) ((-49 . -708) 81217) ((-552 . -105) T) ((-72 . -386) T) ((-260 . -1197) T) ((-72 . -398) T) ((-35 . -609) 81199) ((-653 . -23) T) ((-663 . -754) T) ((-1195 . -1091) 81177) ((-353 . -1054) 81122) ((-667 . -1091) 81100) ((-1059 . -151) T) ((-954 . -151) 81079) ((-954 . -149) 81058) ((-795 . -105) T) ((-156 . -708) 81042) ((-493 . -151) 81021) ((-493 . -149) 81000) ((-353 . -120) 80917) ((-1074 . -1055) T) ((-320 . -843) 80896) ((-968 . -1089) T) ((-1238 . -975) 80865) ((-1231 . -975) 80827) ((-1210 . -975) 80796) ((-619 . -1091) T) ((-734 . -896) 80777) ((-521 . -138) T) ((-517 . -138) T) ((-290 . -222) 80727) ((-362 . -1055) T) ((-355 . -1055) T) ((-344 . -1055) T) ((-289 . -1048) 80669) ((-1204 . -975) 80638) ((-382 . -843) T) ((-112 . -1055) T) ((-1000 . -717) T) ((-865 . -917) T) ((-836 . -791) 80617) ((-836 . -788) 80596) ((-421 . -304) 80535) ((-474 . -105) T) ((-594 . -975) 80504) ((-315 . -1091) T) ((-410 . -791) 80483) ((-410 . -788) 80462) ((-510 . -500) 80444) ((-1232 . -1038) 80410) ((-1230 . -21) T) ((-1230 . -25) T) ((-1209 . -21) T) ((-1209 . -25) T) ((-811 . -708) 80352) ((-861 . -366) T) ((-856 . -366) T) ((-689 . -407) T) ((-1258 . -1197) T) ((-1104 . -414) 80321) ((-1004 . -371) NIL) ((-106 . -39) T) ((-728 . -1197) T) ((-49 . -754) T) ((-592 . -105) T) ((-82 . -399) T) ((-82 . -398) T) ((-644 . -647) 80305) ((-143 . -1197) T) ((-866 . -151) T) ((-866 . -149) NIL) ((-1242 . -896) 80218) ((-353 . -1048) T) ((-75 . -386) T) ((-75 . -398) T) ((-1152 . -105) T) ((-663 . -524) 80151) ((-680 . -304) 80089) ((-965 . -43) 79986) ((-726 . -43) 79956) ((-552 . -304) 79760) ((-311 . -1197) T) ((-353 . -226) T) ((-353 . -239) T) ((-308 . -1197) T) ((-285 . -1091) T) ((-1167 . -609) 79742) ((-702 . -1202) T) ((-1143 . -641) 79726) ((-1192 . -559) 79705) ((-858 . -25) T) ((-858 . -21) T) ((-702 . -559) T) ((-311 . -880) 79689) ((-311 . -882) 79614) ((-308 . -880) 79575) ((-308 . -882) NIL) ((-795 . -304) 79540) ((-775 . -25) T) ((-315 . -708) 79381) ((-775 . -21) T) ((-322 . -321) 79358) ((-496 . -105) T) ((-480 . -25) T) ((-480 . -21) T) ((-421 . -43) 79332) ((-311 . -1038) 78995) ((-216 . -1183) T) ((-216 . -1186) T) ((-3 . -609) 78977) ((-308 . -1038) 78907) ((-861 . -1103) T) ((-2 . -1091) T) ((-2 . |RecordCategory|) T) ((-856 . -1103) T) ((-829 . -609) 78889) ((-1104 . -1055) 78819) ((-581 . -917) T) ((-569 . -816) T) ((-569 . -917) T) ((-505 . -917) T) ((-142 . -1038) 78803) ((-216 . -98) T) ((-80 . -443) T) ((-80 . -398) T) ((0 . -609) 78785) ((-170 . -151) 78764) ((-170 . -149) 78715) ((-216 . -40) T) ((-54 . -609) 78697) ((-861 . -23) T) ((-490 . -1055) T) ((-856 . -23) T) ((-498 . -224) 78679) ((-495 . -970) 78663) ((-494 . -841) 78642) ((-209 . -224) 78624) ((-86 . -443) T) ((-86 . -398) T) ((-1132 . -39) T) ((-811 . -173) 78603) ((-722 . -105) T) ((-1027 . -609) 78570) ((-510 . -282) 78545) ((-311 . -380) 78514) ((-308 . -380) 78475) ((-308 . -337) 78436) ((-812 . -951) 78383) ((-653 . -138) T) ((-1219 . -149) 78362) ((-1219 . -151) 78341) ((-1198 . -1197) T) ((-1161 . -105) T) ((-1160 . -105) T) ((-1153 . -105) T) ((-1146 . -1091) T) ((-1115 . -105) T) ((-213 . -39) T) ((-285 . -708) 78328) ((-1146 . -606) 78304) ((-592 . -304) NIL) ((-1238 . -1237) 78288) ((-1238 . -1224) 78265) ((-495 . -1091) 78243) ((-1231 . -1229) 78204) ((-393 . -609) 78186) ((-520 . -843) T) ((-1136 . -222) 78136) ((-1231 . -1224) 78106) ((-1231 . -1227) 78090) ((-1210 . -1208) 78051) ((-1210 . -1224) 78028) ((-1210 . -1206) 78012) ((-1204 . -1237) 77996) ((-1204 . -1224) 77973) ((-614 . -609) 77955) ((-1161 . -280) 77921) ((-689 . -917) T) ((-1160 . -280) 77887) ((-1153 . -280) 77853) ((-1115 . -280) 77819) ((-1074 . -1091) T) ((-1058 . -1091) T) ((-53 . -297) T) ((-311 . -896) 77785) ((-308 . -896) NIL) ((-1058 . -1064) 77764) ((-1109 . -882) 77746) ((-795 . -43) 77730) ((-258 . -631) 77678) ((-243 . -631) 77626) ((-691 . -1054) 77613) ((-594 . -1224) 77590) ((-1109 . -1038) 77572) ((-315 . -173) 77503) ((-362 . -1091) T) ((-355 . -1091) T) ((-344 . -1091) T) ((-510 . -19) 77485) ((-1093 . -155) 77469) ((-734 . -302) 77448) ((-112 . -1091) T) ((-125 . -1054) 77435) ((-702 . -366) T) ((-510 . -602) 77410) ((-691 . -120) 77395) ((-439 . -105) T) ((-1157 . -917) 77374) ((-50 . -1135) 77324) ((-125 . -120) 77309) ((-219 . -843) T) ((-146 . -843) 77279) ((-627 . -711) T) ((-603 . -711) T) ((-811 . -524) 77212) ((-1036 . -1197) T) ((-945 . -155) 77196) ((-529 . -105) 77146) ((-1079 . -1202) 77125) ((-778 . -1202) 77104) ((-776 . -1202) 77083) ((-67 . -1197) T) ((-490 . -609) 77035) ((-490 . -610) 76957) ((-1159 . -454) 76888) ((-1145 . -1091) T) ((-1128 . -638) 76862) ((-1079 . -559) 76793) ((-494 . -414) 76762) ((-616 . -917) 76741) ((-456 . -1202) 76720) ((-1114 . -454) 76671) ((-778 . -559) 76582) ((-401 . -609) 76564) ((-776 . -559) 76495) ((-667 . -524) 76428) ((-722 . -304) 76415) ((-657 . -25) T) ((-657 . -21) T) ((-456 . -559) 76346) ((-126 . -917) T) ((-126 . -816) NIL) ((-357 . -25) T) ((-357 . -21) T) ((-354 . -25) T) ((-354 . -21) T) ((-343 . -25) T) ((-343 . -21) T) ((-258 . -25) T) ((-258 . -21) T) ((-88 . -387) T) ((-88 . -398) T) ((-243 . -25) T) ((-243 . -21) T) ((-1249 . -609) 76328) ((-1192 . -1103) T) ((-1192 . -23) T) ((-1153 . -304) 76213) ((-1115 . -304) 76200) ((-1074 . -708) 76068) ((-854 . -638) 76028) ((-945 . -982) 76012) ((-906 . -21) T) ((-285 . -173) T) ((-906 . -25) T) ((-867 . -843) 75963) ((-861 . -138) T) ((-702 . -1103) T) ((-702 . -23) T) ((-637 . -1091) 75941) ((-624 . -606) 75916) ((-624 . -1091) T) ((-582 . -1202) T) ((-527 . -1202) T) ((-582 . -559) T) ((-527 . -559) T) ((-362 . -708) 75868) ((-355 . -708) 75820) ((-344 . -708) 75772) ((-338 . -1054) 75756) ((-174 . -120) 75655) ((-174 . -1054) 75587) ((-112 . -708) 75537) ((-338 . -120) 75516) ((-271 . -1091) T) ((-270 . -1091) T) ((-269 . -1091) T) ((-268 . -1091) T) ((-691 . -1048) T) ((-267 . -1091) T) ((-266 . -1091) T) ((-265 . -1091) T) ((-205 . -1091) T) ((-204 . -1091) T) ((-202 . -1091) T) ((-170 . -1186) 75494) ((-170 . -1183) 75472) ((-201 . -1091) T) ((-200 . -1091) T) ((-125 . -1048) T) ((-199 . -1091) T) ((-196 . -1091) T) ((-691 . -226) T) ((-195 . -1091) T) ((-194 . -1091) T) ((-193 . -1091) T) ((-192 . -1091) T) ((-191 . -1091) T) ((-190 . -1091) T) ((-189 . -1091) T) ((-188 . -1091) T) ((-187 . -1091) T) ((-186 . -1091) T) ((-233 . -105) 75262) ((-170 . -40) 75240) ((-170 . -98) 75218) ((-856 . -138) T) ((-645 . -1038) 75114) ((-494 . -1055) 75044) ((-1104 . -1091) 74834) ((-1128 . -39) T) ((-663 . -500) 74818) ((-78 . -1197) T) ((-109 . -609) 74800) ((-1269 . -609) 74782) ((-384 . -609) 74764) ((-576 . -1186) T) ((-576 . -1183) T) ((-722 . -43) 74613) ((-535 . -609) 74595) ((-529 . -304) 74533) ((-510 . -609) 74515) ((-510 . -610) 74497) ((-1153 . -1137) NIL) ((-1028 . -1067) 74466) ((-1028 . -1091) T) ((-1005 . -105) T) ((-973 . -105) T) ((-911 . -105) T) ((-889 . -1038) 74443) ((-1128 . -717) T) ((-1004 . -638) 74388) ((-482 . -1091) T) ((-469 . -1091) T) ((-586 . -23) T) ((-576 . -40) T) ((-576 . -98) T) ((-430 . -105) T) ((-1060 . -222) 74334) ((-1161 . -43) 74231) ((-854 . -717) T) ((-684 . -917) T) ((-521 . -25) T) ((-517 . -21) T) ((-517 . -25) T) ((-1160 . -43) 74072) ((-338 . -1048) T) ((-1153 . -43) 73868) ((-1074 . -173) T) ((-174 . -1048) T) ((-1115 . -43) 73765) ((-703 . -52) 73742) ((-362 . -173) T) ((-355 . -173) T) ((-528 . -62) 73716) ((-507 . -62) 73666) ((-353 . -1264) 73643) ((-216 . -454) T) ((-315 . -286) 73594) ((-344 . -173) T) ((-174 . -239) T) ((-1209 . -843) 73493) ((-112 . -173) T) ((-867 . -994) 73477) ((-649 . -1103) T) ((-582 . -366) T) ((-582 . -328) 73464) ((-527 . -328) 73441) ((-527 . -366) T) ((-311 . -302) 73420) ((-308 . -302) T) ((-600 . -843) 73399) ((-1104 . -708) 73341) ((-529 . -278) 73325) ((-649 . -23) T) ((-421 . -224) 73309) ((-308 . -1022) NIL) ((-335 . -23) T) ((-237 . -23) T) ((-106 . -1011) 73293) ((-50 . -41) 73272) ((-608 . -1091) T) ((-353 . -371) T) ((-505 . -27) T) ((-233 . -304) 73210) ((-1079 . -1103) T) ((-1268 . -638) 73184) ((-778 . -1103) T) ((-776 . -1103) T) ((-456 . -1103) T) ((-1059 . -454) T) ((-954 . -454) 73135) ((-114 . -1091) T) ((-1079 . -23) T) ((-813 . -1055) T) ((-778 . -23) T) ((-776 . -23) T) ((-493 . -454) 73086) ((-1146 . -524) 72834) ((-384 . -385) 72813) ((-1165 . -414) 72797) ((-464 . -23) T) ((-456 . -23) T) ((-735 . -414) 72781) ((-734 . -297) T) ((-495 . -524) 72714) ((-285 . -286) T) ((-1076 . -609) 72696) ((-410 . -905) 72675) ((-55 . -1103) T) ((-1024 . -917) T) ((-1004 . -717) T) ((-703 . -882) NIL) ((-582 . -1103) T) ((-527 . -1103) T) ((-836 . -638) 72648) ((-1192 . -138) T) ((-1153 . -403) 72600) ((-1005 . -304) NIL) ((-811 . -500) 72584) ((-356 . -917) T) ((-1143 . -39) T) ((-410 . -638) 72536) ((-55 . -23) T) ((-702 . -138) T) ((-703 . -1038) 72416) ((-582 . -23) T) ((-112 . -524) NIL) ((-527 . -23) T) ((-170 . -412) 72387) ((-216 . -1125) T) ((-1126 . -1091) T) ((-1260 . -1259) 72371) ((-691 . -791) T) ((-691 . -788) T) ((-382 . -151) T) ((-1109 . -302) T) ((-1209 . -994) 72341) ((-53 . -917) T) ((-667 . -500) 72325) ((-245 . -1254) 72295) ((-244 . -1254) 72265) ((-1163 . -843) T) ((-1104 . -173) 72244) ((-1109 . -1022) T) ((-1045 . -39) T) ((-830 . -151) 72223) ((-830 . -149) 72202) ((-728 . -111) 72186) ((-608 . -139) T) ((-494 . -1091) 71976) ((-1165 . -1055) T) ((-866 . -454) T) ((-90 . -1197) T) ((-233 . -43) 71946) ((-143 . -111) 71928) ((-924 . -1089) T) ((-703 . -380) 71912) ((-735 . -1055) T) ((-1109 . -551) T) ((-393 . -1054) 71896) ((-1268 . -717) T) ((-1159 . -951) 71865) ((-57 . -609) 71847) ((-1114 . -951) 71814) ((-644 . -414) 71798) ((-1257 . -1055) T) ((-1238 . -105) T) ((-614 . -1054) 71782) ((-653 . -25) T) ((-653 . -21) T) ((-1145 . -524) NIL) ((-1231 . -105) T) ((-1210 . -105) T) ((-393 . -120) 71761) ((-213 . -248) 71745) ((-1204 . -105) T) ((-1052 . -1091) T) ((-1005 . -1137) T) ((-1052 . -1051) 71685) ((-814 . -1091) T) ((-342 . -1202) T) ((-627 . -638) 71669) ((-614 . -120) 71648) ((-603 . -638) 71632) ((-595 . -105) T) ((-586 . -138) T) ((-594 . -105) T) ((-417 . -1091) T) ((-388 . -1091) T) ((-220 . -1091) 71610) ((-637 . -524) 71543) ((-624 . -524) 71351) ((-829 . -1048) 71330) ((-635 . -155) 71314) ((-342 . -559) T) ((-703 . -896) 71257) ((-552 . -222) 71207) ((-1238 . -280) 71173) ((-1231 . -280) 71139) ((-1074 . -286) 71090) ((-498 . -841) T) ((-214 . -1103) T) ((-1210 . -280) 71056) ((-1204 . -280) 71022) ((-1005 . -43) 70972) ((-209 . -841) T) ((-1192 . -503) 70938) ((-911 . -43) 70890) ((-836 . -790) 70869) ((-836 . -787) 70848) ((-836 . -717) 70827) ((-362 . -286) T) ((-355 . -286) T) ((-344 . -286) T) ((-170 . -454) 70758) ((-430 . -43) 70742) ((-112 . -286) T) ((-214 . -23) T) ((-410 . -790) 70721) ((-410 . -787) 70700) ((-410 . -717) T) ((-510 . -284) 70675) ((-490 . -1054) 70640) ((-649 . -138) T) ((-1104 . -524) 70573) ((-335 . -138) T) ((-170 . -405) 70552) ((-237 . -138) T) ((-494 . -708) 70494) ((-811 . -282) 70471) ((-490 . -120) 70420) ((-33 . -37) 70404) ((-644 . -1055) T) ((-1219 . -454) 70335) ((-1079 . -138) T) ((-258 . -843) 70314) ((-243 . -843) 70293) ((-778 . -138) T) ((-776 . -138) T) ((-576 . -454) T) ((-1052 . -708) 70235) ((-614 . -1048) T) ((-1028 . -524) 70168) ((-464 . -138) T) ((-456 . -138) T) ((-50 . -1091) T) ((-388 . -708) 70138) ((-813 . -1091) T) ((-482 . -524) 70071) ((-469 . -524) 70004) ((-455 . -370) 69974) ((-50 . -606) 69953) ((-311 . -297) T) ((-663 . -609) 69915) ((-64 . -843) 69894) ((-1210 . -304) 69779) ((-1005 . -403) 69761) ((-811 . -602) 69738) ((-526 . -843) 69717) ((-506 . -843) 69696) ((-45 . -1202) T) ((-1000 . -1038) 69592) ((-55 . -138) T) ((-582 . -138) T) ((-527 . -138) T) ((-289 . -638) 69452) ((-342 . -328) 69429) ((-342 . -366) T) ((-320 . -321) 69406) ((-315 . -282) 69391) ((-45 . -559) T) ((-382 . -1183) T) ((-382 . -1186) T) ((-1036 . -1174) 69366) ((-1171 . -228) 69316) ((-1153 . -224) 69268) ((-1036 . -111) 69214) ((-329 . -1091) T) ((-382 . -98) T) ((-382 . -40) T) ((-861 . -21) T) ((-861 . -25) T) ((-856 . -25) T) ((-490 . -1048) T) ((-539 . -537) 69158) ((-856 . -21) T) ((-491 . -228) 69108) ((-1146 . -500) 69042) ((-1269 . -1054) 69026) ((-384 . -1054) 69010) ((-490 . -239) T) ((-812 . -105) T) ((-705 . -151) 68989) ((-705 . -149) 68968) ((-495 . -500) 68952) ((-1269 . -120) 68931) ((-496 . -334) 68900) ((-1000 . -380) 68884) ((-522 . -1091) T) ((-494 . -173) 68863) ((-1000 . -337) 68847) ((-416 . -105) T) ((-384 . -120) 68826) ((-276 . -985) 68810) ((-275 . -985) 68794) ((-217 . -39) T) ((-145 . -39) T) ((-1267 . -609) 68776) ((-1265 . -609) 68758) ((-114 . -524) NIL) ((-1159 . -1222) 68742) ((-847 . -845) 68726) ((-1165 . -1091) T) ((-106 . -1197) T) ((-954 . -951) 68687) ((-735 . -1091) T) ((-813 . -708) 68624) ((-1210 . -1137) NIL) ((-493 . -951) 68569) ((-1059 . -147) T) ((-65 . -105) 68547) ((-49 . -609) 68529) ((-83 . -609) 68511) ((-353 . -638) 68456) ((-1257 . -1091) T) ((-521 . -843) T) ((-342 . -1103) T) ((-290 . -1091) T) ((-1000 . -896) 68415) ((-290 . -606) 68394) ((-1238 . -43) 68291) ((-1231 . -43) 68132) ((-538 . -1089) T) ((-1210 . -43) 67928) ((-498 . -1055) T) ((-1204 . -43) 67825) ((-209 . -1055) T) ((-342 . -23) T) ((-156 . -609) 67807) ((-829 . -791) 67786) ((-829 . -788) 67765) ((-734 . -917) 67744) ((-595 . -43) 67717) ((-594 . -43) 67614) ((-865 . -559) T) ((-214 . -138) T) ((-315 . -1003) 67580) ((-84 . -609) 67562) ((-703 . -302) 67541) ((-289 . -717) 67443) ((-820 . -105) T) ((-853 . -837) T) ((-289 . -479) 67422) ((-1260 . -105) T) ((-45 . -366) T) ((-867 . -151) 67401) ((-33 . -1091) T) ((-867 . -149) 67380) ((-1145 . -500) 67362) ((-1269 . -1048) T) ((-494 . -524) 67295) ((-1132 . -1197) T) ((-966 . -609) 67277) ((-637 . -500) 67261) ((-624 . -500) 67193) ((-811 . -609) 66951) ((-53 . -27) T) ((-1165 . -708) 66848) ((-644 . -1091) T) ((-439 . -367) 66822) ((-735 . -708) 66651) ((-1093 . -105) T) ((-812 . -304) 66638) ((-853 . -1091) T) ((-1265 . -385) 66610) ((-1052 . -524) 66543) ((-1146 . -282) 66519) ((-233 . -224) 66488) ((-1257 . -708) 66458) ((-813 . -173) 66437) ((-220 . -524) 66370) ((-614 . -791) 66349) ((-614 . -788) 66328) ((-1195 . -609) 66275) ((-213 . -1197) T) ((-667 . -609) 66242) ((-1143 . -1011) 66226) ((-353 . -717) T) ((-945 . -105) 66176) ((-1210 . -403) 66128) ((-1104 . -500) 66112) ((-65 . -304) 66050) ((-330 . -105) T) ((-1192 . -21) T) ((-1192 . -25) T) ((-45 . -1103) T) ((-702 . -21) T) ((-619 . -609) 66032) ((-525 . -321) 66011) ((-702 . -25) T) ((-112 . -282) NIL) ((-918 . -1103) T) ((-45 . -23) T) ((-764 . -1103) T) ((-569 . -1202) T) ((-505 . -1202) T) ((-315 . -609) 65993) ((-1005 . -224) 65975) ((-170 . -167) 65959) ((-581 . -559) T) ((-569 . -559) T) ((-505 . -559) T) ((-764 . -23) T) ((-1230 . -151) 65938) ((-1146 . -602) 65914) ((-1230 . -149) 65893) ((-1028 . -500) 65877) ((-1209 . -149) 65802) ((-1209 . -151) 65727) ((-1260 . -1266) 65706) ((-482 . -500) 65690) ((-469 . -500) 65674) ((-532 . -39) T) ((-644 . -708) 65644) ((-653 . -843) 65623) ((-1165 . -173) 65574) ((-368 . -105) T) ((-233 . -231) 65553) ((-245 . -105) T) ((-244 . -105) T) ((-1219 . -951) 65522) ((-113 . -105) T) ((-241 . -843) 65501) ((-812 . -43) 65350) ((-735 . -173) 65241) ((-50 . -524) 65001) ((-1145 . -282) 64976) ((-206 . -1091) T) ((-1136 . -1091) T) ((-922 . -105) T) ((-1136 . -606) 64955) ((-586 . -25) T) ((-586 . -21) T) ((-1093 . -304) 64893) ((-965 . -414) 64877) ((-689 . -1202) T) ((-624 . -282) 64852) ((-1079 . -631) 64800) ((-778 . -631) 64748) ((-776 . -631) 64696) ((-342 . -138) T) ((-285 . -609) 64678) ((-922 . -921) 64650) ((-689 . -559) T) ((-901 . -1091) T) ((-865 . -1103) T) ((-456 . -631) 64598) ((-901 . -899) 64582) ((-858 . -857) T) ((-858 . -859) T) ((-945 . -304) 64520) ((-382 . -454) T) ((-865 . -23) T) ((-498 . -1091) T) ((-858 . -149) T) ((-691 . -638) 64507) ((-858 . -151) 64486) ((-209 . -1091) T) ((-311 . -917) 64465) ((-308 . -917) T) ((-308 . -816) NIL) ((-393 . -711) T) ((-775 . -149) 64444) ((-775 . -151) 64423) ((-125 . -638) 64410) ((-480 . -149) 64389) ((-421 . -414) 64373) ((-480 . -151) 64352) ((-114 . -500) 64334) ((-1157 . -1202) 64313) ((-2 . -609) 64295) ((-1145 . -19) 64277) ((-1157 . -559) 64188) ((-1145 . -602) 64163) ((-649 . -21) T) ((-649 . -25) T) ((-592 . -1130) T) ((-1104 . -282) 64140) ((-335 . -25) T) ((-335 . -21) T) ((-237 . -25) T) ((-237 . -21) T) ((-505 . -366) T) ((-1260 . -43) 64110) ((-1128 . -1197) T) ((-624 . -602) 64085) ((-1079 . -25) T) ((-1079 . -21) T) ((-965 . -1055) T) ((-735 . -524) 64031) ((-535 . -788) T) ((-535 . -791) T) ((-126 . -1202) T) ((-234 . -105) T) ((-616 . -559) T) ((-778 . -25) T) ((-778 . -21) T) ((-776 . -21) T) ((-776 . -25) T) ((-726 . -1055) T) ((-706 . -1055) T) ((-663 . -1054) 64015) ((-464 . -25) T) ((-126 . -559) T) ((-464 . -21) T) ((-456 . -25) T) ((-456 . -21) T) ((-1128 . -1038) 63911) ((-813 . -286) 63890) ((-734 . -433) 63874) ((-819 . -1091) T) ((-663 . -120) 63853) ((-290 . -524) 63613) ((-1267 . -1054) 63597) ((-1265 . -1054) 63581) ((-1230 . -1183) 63547) ((-245 . -304) 63485) ((-244 . -304) 63423) ((-1213 . -105) 63401) ((-1146 . -610) NIL) ((-1146 . -609) 63383) ((-1230 . -1186) 63349) ((-1210 . -224) 63301) ((-1209 . -1183) 63267) ((-1209 . -1186) 63233) ((-1128 . -380) 63217) ((-1109 . -816) T) ((-1109 . -917) T) ((-1104 . -602) 63194) ((-1074 . -610) 63178) ((-539 . -105) T) ((-495 . -609) 63145) ((-811 . -284) 63122) ((-604 . -155) 63069) ((-421 . -1055) T) ((-498 . -708) 63019) ((-494 . -500) 63003) ((-326 . -843) 62982) ((-338 . -638) 62956) ((-55 . -21) T) ((-55 . -25) T) ((-209 . -708) 62906) ((-170 . -715) 62877) ((-174 . -638) 62809) ((-582 . -21) T) ((-582 . -25) T) ((-527 . -25) T) ((-527 . -21) T) ((-481 . -155) 62759) ((-1074 . -609) 62741) ((-1058 . -609) 62723) ((-995 . -105) T) ((-851 . -105) T) ((-795 . -414) 62686) ((-45 . -138) T) ((-689 . -366) T) ((-205 . -891) T) ((-691 . -790) T) ((-691 . -787) T) ((-581 . -1103) T) ((-569 . -1103) T) ((-505 . -1103) T) ((-691 . -717) T) ((-362 . -609) 62668) ((-355 . -609) 62650) ((-344 . -609) 62632) ((-71 . -399) T) ((-71 . -398) T) ((-112 . -610) 62562) ((-112 . -609) 62544) ((-204 . -891) T) ((-959 . -155) 62528) ((-1230 . -98) 62494) ((-764 . -138) T) ((-140 . -717) T) ((-125 . -717) T) ((-1230 . -40) 62460) ((-1052 . -500) 62444) ((-581 . -23) T) ((-569 . -23) T) ((-505 . -23) T) ((-1209 . -98) 62410) ((-1209 . -40) 62376) ((-1159 . -105) T) ((-1114 . -105) T) ((-847 . -105) T) ((-220 . -500) 62360) ((-1267 . -120) 62339) ((-1265 . -120) 62318) ((-49 . -1054) 62302) ((-1219 . -1222) 62286) ((-848 . -845) 62270) ((-1165 . -286) 62249) ((-114 . -282) 62224) ((-1128 . -896) 62183) ((-49 . -120) 62162) ((-735 . -286) 62073) ((-663 . -1048) T) ((-1153 . -841) NIL) ((-1145 . -610) NIL) ((-1145 . -609) 62055) ((-1060 . -606) 62030) ((-1060 . -1091) T) ((-79 . -443) T) ((-79 . -398) T) ((-663 . -226) 62009) ((-156 . -1054) 61993) ((-576 . -556) 61977) ((-357 . -151) 61956) ((-357 . -149) 61907) ((-354 . -151) 61886) ((-693 . -1091) T) ((-354 . -149) 61837) ((-343 . -151) 61816) ((-343 . -149) 61767) ((-258 . -149) 61746) ((-258 . -151) 61725) ((-245 . -43) 61695) ((-243 . -151) 61674) ((-126 . -366) T) ((-243 . -149) 61653) ((-244 . -43) 61623) ((-156 . -120) 61602) ((-1004 . -1038) 61477) ((-923 . -1089) T) ((-684 . -1202) T) ((-795 . -1055) T) ((-689 . -1103) T) ((-1267 . -1048) T) ((-1265 . -1048) T) ((-1157 . -1103) T) ((-1143 . -1197) T) ((-1004 . -380) 61454) ((-906 . -149) T) ((-906 . -151) 61436) ((-865 . -138) T) ((-811 . -1054) 61333) ((-684 . -559) T) ((-689 . -23) T) ((-637 . -609) 61300) ((-637 . -610) 61261) ((-624 . -610) NIL) ((-624 . -609) 61243) ((-498 . -173) T) ((-214 . -21) T) ((-214 . -25) T) ((-209 . -173) T) ((-480 . -1186) 61209) ((-480 . -1183) 61175) ((-271 . -609) 61157) ((-270 . -609) 61139) ((-269 . -609) 61121) ((-268 . -609) 61103) ((-267 . -609) 61085) ((-510 . -641) 61067) ((-266 . -609) 61049) ((-338 . -717) T) ((-265 . -609) 61031) ((-114 . -19) 61013) ((-174 . -717) T) ((-510 . -376) 60995) ((-205 . -609) 60977) ((-529 . -1135) 60961) ((-510 . -133) T) ((-114 . -602) 60936) ((-204 . -609) 60918) ((-480 . -40) 60884) ((-480 . -98) 60850) ((-202 . -609) 60832) ((-201 . -609) 60814) ((-200 . -609) 60796) ((-199 . -609) 60778) ((-196 . -609) 60760) ((-195 . -609) 60742) ((-194 . -609) 60724) ((-193 . -609) 60706) ((-192 . -609) 60688) ((-191 . -609) 60670) ((-190 . -609) 60652) ((-542 . -1094) 60604) ((-189 . -609) 60586) ((-188 . -609) 60568) ((-50 . -500) 60505) ((-187 . -609) 60487) ((-186 . -609) 60469) ((-1157 . -23) T) ((-811 . -120) 60359) ((-635 . -105) 60309) ((-494 . -282) 60286) ((-1104 . -609) 60044) ((-1092 . -1091) T) ((-1045 . -1197) T) ((-616 . -1103) T) ((-1268 . -1038) 60028) ((-1159 . -304) 60015) ((-1114 . -304) 60002) ((-126 . -1103) T) ((-815 . -105) T) ((-616 . -23) T) ((-1136 . -524) 59762) ((-389 . -105) T) ((-322 . -105) T) ((-1004 . -896) 59714) ((-965 . -1091) T) ((-156 . -1048) T) ((-126 . -23) T) ((-722 . -414) 59698) ((-726 . -1091) T) ((-706 . -1091) T) ((-693 . -139) T) ((-455 . -1091) T) ((-311 . -433) 59682) ((-410 . -1197) T) ((-1028 . -610) 59643) ((-1028 . -609) 59605) ((-1024 . -1202) T) ((-216 . -105) T) ((-234 . -43) 59551) ((-812 . -224) 59535) ((-1024 . -559) T) ((-829 . -638) 59508) ((-356 . -1202) T) ((-482 . -609) 59470) ((-482 . -610) 59431) ((-469 . -610) 59392) ((-469 . -609) 59354) ((-410 . -880) 59338) ((-315 . -1054) 59173) ((-410 . -882) 59098) ((-836 . -1038) 58994) ((-498 . -524) NIL) ((-494 . -602) 58971) ((-356 . -559) T) ((-209 . -524) NIL) ((-867 . -454) T) ((-421 . -1091) T) ((-410 . -1038) 58835) ((-315 . -120) 58649) ((-684 . -366) T) ((-216 . -280) T) ((-53 . -1202) T) ((-811 . -1048) 58579) ((-581 . -138) T) ((-569 . -138) T) ((-505 . -138) T) ((-53 . -559) T) ((-1146 . -284) 58555) ((-1159 . -1137) 58533) ((-311 . -27) 58512) ((-1059 . -105) T) ((-811 . -226) 58464) ((-233 . -841) 58443) ((-954 . -105) T) ((-704 . -105) T) ((-290 . -500) 58380) ((-493 . -105) T) ((-722 . -1055) T) ((-608 . -609) 58362) ((-608 . -610) 58223) ((-410 . -380) 58207) ((-410 . -337) 58191) ((-1159 . -43) 58020) ((-1114 . -43) 57869) ((-847 . -43) 57839) ((-393 . -638) 57823) ((-635 . -304) 57761) ((-965 . -708) 57658) ((-726 . -708) 57628) ((-213 . -111) 57612) ((-50 . -282) 57537) ((-614 . -638) 57511) ((-306 . -1091) T) ((-285 . -1054) 57498) ((-114 . -609) 57480) ((-114 . -610) 57462) ((-455 . -708) 57432) ((-812 . -247) 57371) ((-680 . -1091) 57349) ((-552 . -1091) T) ((-1161 . -1055) T) ((-1160 . -1055) T) ((-285 . -120) 57334) ((-1153 . -1055) T) ((-1115 . -1055) T) ((-552 . -606) 57313) ((-1005 . -841) T) ((-220 . -678) 57271) ((-684 . -1103) T) ((-1192 . -731) 57247) ((-968 . -972) 57224) ((-315 . -1048) T) ((-342 . -25) T) ((-342 . -21) T) ((-410 . -896) 57183) ((-73 . -1197) T) ((-829 . -790) 57162) ((-421 . -708) 57136) ((-795 . -1091) T) ((-829 . -787) 57115) ((-689 . -138) T) ((-703 . -917) 57094) ((-684 . -23) T) ((-498 . -286) T) ((-829 . -717) 57073) ((-315 . -226) 57025) ((-315 . -239) 57004) ((-209 . -286) T) ((-1024 . -366) T) ((-1230 . -454) 56983) ((-1209 . -454) 56962) ((-356 . -328) 56939) ((-356 . -366) T) ((-1126 . -609) 56921) ((-50 . -1234) 56871) ((-866 . -105) T) ((-635 . -278) 56855) ((-689 . -1057) T) ((-490 . -638) 56820) ((-474 . -1091) T) ((-50 . -602) 56745) ((-1145 . -284) 56720) ((-1157 . -138) T) ((-45 . -631) 56654) ((-53 . -366) T) ((-1097 . -609) 56636) ((-1079 . -843) 56615) ((-624 . -284) 56590) ((-954 . -304) 56577) ((-778 . -843) 56556) ((-776 . -843) 56535) ((-456 . -843) 56514) ((-494 . -609) 56272) ((-233 . -414) 56241) ((-217 . -1197) T) ((-145 . -1197) T) ((-219 . -155) 56223) ((-146 . -155) 56198) ((-70 . -1197) T) ((-735 . -282) 56125) ((-616 . -138) T) ((-493 . -304) 56112) ((-1060 . -524) 55920) ((-285 . -1048) T) ((-126 . -138) T) ((-455 . -754) T) ((-965 . -173) 55871) ((-1152 . -1091) T) ((-1104 . -284) 55848) ((-1074 . -1054) 55758) ((-614 . -790) 55737) ((-592 . -1091) T) ((-614 . -787) 55716) ((-614 . -717) T) ((-290 . -282) 55695) ((-289 . -1197) T) ((-1052 . -609) 55657) ((-1052 . -610) 55618) ((-1024 . -1103) T) ((-170 . -105) T) ((-272 . -843) T) ((-1093 . -222) 55602) ((-814 . -609) 55584) ((-1074 . -120) 55473) ((-1004 . -302) T) ((-858 . -454) T) ((-795 . -708) 55457) ((-362 . -1054) 55409) ((-356 . -1103) T) ((-355 . -1054) 55361) ((-417 . -609) 55343) ((-388 . -609) 55325) ((-344 . -1054) 55277) ((-220 . -609) 55244) ((-1024 . -23) T) ((-775 . -454) T) ((-112 . -1054) 55194) ((-894 . -105) T) ((-834 . -105) T) ((-804 . -105) T) ((-762 . -105) T) ((-668 . -105) T) ((-480 . -454) 55173) ((-421 . -173) T) ((-362 . -120) 55104) ((-355 . -120) 55035) ((-344 . -120) 54966) ((-245 . -224) 54935) ((-244 . -224) 54904) ((-356 . -23) T) ((-76 . -1197) T) ((-216 . -43) 54869) ((-112 . -120) 54796) ((-45 . -25) T) ((-45 . -21) T) ((-663 . -711) T) ((-170 . -280) 54774) ((-858 . -405) T) ((-53 . -1103) T) ((-918 . -25) T) ((-764 . -25) T) ((-1136 . -500) 54711) ((-496 . -1091) T) ((-1269 . -638) 54685) ((-1219 . -105) T) ((-848 . -105) T) ((-233 . -1055) 54615) ((-1059 . -1137) T) ((-966 . -788) 54568) ((-384 . -638) 54552) ((-53 . -23) T) ((-966 . -791) 54505) ((-811 . -791) 54456) ((-811 . -788) 54407) ((-290 . -602) 54386) ((-490 . -717) T) ((-1157 . -503) 54364) ((-576 . -105) T) ((-866 . -304) 54308) ((-644 . -282) 54287) ((-121 . -652) T) ((-81 . -1197) T) ((-1059 . -43) 54274) ((-657 . -377) 54253) ((-954 . -43) 54102) ((-722 . -1091) T) ((-493 . -43) 53951) ((-91 . -1197) T) ((-576 . -280) T) ((-1210 . -841) NIL) ((-1161 . -1091) T) ((-1160 . -1091) T) ((-1153 . -1091) T) ((-353 . -1038) 53928) ((-1074 . -1048) T) ((-1005 . -1055) T) ((-50 . -609) 53910) ((-50 . -610) NIL) ((-911 . -1055) T) ((-813 . -609) 53892) ((-1133 . -105) 53870) ((-1074 . -239) 53821) ((-430 . -1055) T) ((-362 . -1048) T) ((-355 . -1048) T) ((-368 . -367) 53798) ((-344 . -1048) T) ((-245 . -231) 53777) ((-244 . -231) 53756) ((-113 . -367) 53730) ((-1074 . -226) 53655) ((-1115 . -1091) T) ((-289 . -896) 53614) ((-112 . -1048) T) ((-734 . -1202) 53593) ((-684 . -138) T) ((-421 . -524) 53435) ((-362 . -226) 53414) ((-362 . -239) T) ((-49 . -711) T) ((-355 . -226) 53393) ((-355 . -239) T) ((-344 . -226) 53372) ((-344 . -239) T) ((-734 . -559) T) ((-170 . -304) 53337) ((-112 . -239) T) ((-112 . -226) T) ((-315 . -788) T) ((-865 . -21) T) ((-865 . -25) T) ((-410 . -302) T) ((-510 . -39) T) ((-114 . -284) 53312) ((-1104 . -1054) 53209) ((-866 . -1137) NIL) ((-861 . -860) T) ((-861 . -859) T) ((-856 . -855) T) ((-856 . -859) T) ((-856 . -860) T) ((-329 . -609) 53191) ((-410 . -1022) 53169) ((-1104 . -120) 53059) ((-861 . -149) 53029) ((-861 . -151) T) ((-856 . -151) T) ((-856 . -149) 52999) ((-439 . -1091) T) ((-1269 . -717) T) ((-68 . -609) 52981) ((-866 . -43) 52926) ((-532 . -1197) T) ((-600 . -155) 52910) ((-522 . -609) 52892) ((-1219 . -304) 52879) ((-722 . -708) 52728) ((-535 . -789) T) ((-535 . -790) T) ((-569 . -631) 52710) ((-505 . -631) 52670) ((-357 . -454) T) ((-354 . -454) T) ((-343 . -454) T) ((-258 . -454) 52621) ((-529 . -1091) 52571) ((-243 . -454) 52522) ((-1136 . -282) 52501) ((-1165 . -609) 52483) ((-680 . -524) 52416) ((-965 . -286) 52395) ((-552 . -524) 52155) ((-735 . -610) NIL) ((-735 . -609) 52137) ((-1257 . -609) 52119) ((-1159 . -224) 52103) ((-170 . -1137) 52082) ((-1242 . -559) 52061) ((-1161 . -708) 51958) ((-1160 . -708) 51799) ((-888 . -105) T) ((-1153 . -708) 51595) ((-1115 . -708) 51492) ((-1143 . -666) 51476) ((-357 . -405) 51427) ((-354 . -405) 51378) ((-343 . -405) 51329) ((-1024 . -138) T) ((-795 . -524) 51241) ((-290 . -610) NIL) ((-290 . -609) 51223) ((-906 . -454) T) ((-966 . -371) 51176) ((-811 . -371) 51155) ((-520 . -519) 51134) ((-518 . -519) 51113) ((-498 . -282) NIL) ((-494 . -284) 51090) ((-421 . -286) T) ((-356 . -138) T) ((-209 . -282) NIL) ((-684 . -503) NIL) ((-101 . -1103) T) ((-170 . -43) 50918) ((-1232 . -559) T) ((-1230 . -975) 50880) ((-1133 . -304) 50818) ((-1209 . -975) 50787) ((-906 . -405) T) ((-1104 . -1048) 50717) ((-1136 . -602) 50696) ((-734 . -366) 50675) ((-775 . -155) 50627) ((-121 . -843) T) ((-1060 . -500) 50559) ((-581 . -21) T) ((-581 . -25) T) ((-569 . -21) T) ((-569 . -25) T) ((-505 . -25) T) ((-505 . -21) T) ((-1219 . -1137) 50537) ((-1104 . -226) 50489) ((-53 . -138) T) ((-33 . -609) 50471) ((-969 . -1089) T) ((-1179 . -105) T) ((-233 . -1091) 50261) ((-866 . -403) 50238) ((-1080 . -105) T) ((-1070 . -105) T) ((-604 . -105) T) ((-481 . -105) T) ((-1219 . -43) 50067) ((-848 . -43) 50037) ((-1157 . -631) 49985) ((-722 . -173) 49896) ((-644 . -609) 49878) ((-576 . -43) 49865) ((-959 . -105) 49815) ((-853 . -609) 49797) ((-853 . -610) 49719) ((-592 . -524) NIL) ((-1238 . -1055) T) ((-1231 . -1055) T) ((-1210 . -1055) T) ((-1204 . -1055) T) ((-1273 . -1103) T) ((-1192 . -151) 49698) ((-1161 . -173) 49649) ((-595 . -1055) T) ((-594 . -1055) T) ((-1160 . -173) 49580) ((-1153 . -173) 49511) ((-1115 . -173) 49462) ((-1005 . -1091) T) ((-973 . -1091) T) ((-911 . -1091) T) ((-795 . -793) 49446) ((-775 . -642) 49430) ((-775 . -975) 49399) ((-734 . -1103) T) ((-689 . -25) T) ((-689 . -21) T) ((-126 . -631) 49376) ((-691 . -882) 49358) ((-430 . -1091) T) ((-311 . -1202) 49337) ((-308 . -1202) T) ((-170 . -403) 49321) ((-1192 . -149) 49300) ((-480 . -975) 49262) ((-77 . -609) 49244) ((-734 . -23) T) ((-112 . -791) T) ((-112 . -788) T) ((-311 . -559) 49223) ((-691 . -1038) 49205) ((-308 . -559) T) ((-1273 . -23) T) ((-140 . -1038) 49187) ((-494 . -1054) 49084) ((-50 . -284) 49009) ((-1157 . -25) T) ((-1157 . -21) T) ((-233 . -708) 48951) ((-494 . -120) 48841) ((-1083 . -105) 48819) ((-1035 . -105) T) ((-635 . -824) 48798) ((-722 . -524) 48736) ((-1052 . -1054) 48720) ((-616 . -21) T) ((-616 . -25) T) ((-1060 . -282) 48695) ((-364 . -105) T) ((-320 . -105) T) ((-663 . -638) 48669) ((-388 . -1054) 48653) ((-1052 . -120) 48632) ((-812 . -414) 48616) ((-126 . -25) T) ((-94 . -609) 48598) ((-126 . -21) T) ((-604 . -304) 48393) ((-481 . -304) 48197) ((-1242 . -1103) T) ((-1136 . -610) NIL) ((-388 . -120) 48176) ((-382 . -105) T) ((-206 . -609) 48158) ((-1136 . -609) 48140) ((-1005 . -708) 48090) ((-1153 . -524) 47824) ((-911 . -708) 47776) ((-1115 . -524) 47746) ((-353 . -302) T) ((-1242 . -23) T) ((-1171 . -155) 47696) ((-959 . -304) 47634) ((-830 . -105) T) ((-430 . -708) 47618) ((-216 . -824) T) ((-823 . -105) T) ((-821 . -105) T) ((-491 . -155) 47568) ((-1230 . -1229) 47547) ((-1109 . -1202) T) ((-338 . -1038) 47514) ((-1230 . -1224) 47484) ((-1230 . -1227) 47468) ((-1209 . -1208) 47447) ((-85 . -609) 47429) ((-901 . -609) 47411) ((-1209 . -1224) 47388) ((-1109 . -559) T) ((-918 . -843) T) ((-764 . -843) T) ((-498 . -610) 47318) ((-498 . -609) 47300) ((-382 . -280) T) ((-664 . -843) T) ((-1209 . -1206) 47284) ((-1232 . -1103) T) ((-209 . -610) 47214) ((-209 . -609) 47196) ((-1060 . -602) 47171) ((-64 . -155) 47155) ((-526 . -155) 47139) ((-506 . -155) 47123) ((-362 . -1264) 47107) ((-355 . -1264) 47091) ((-344 . -1264) 47075) ((-311 . -366) 47054) ((-308 . -366) T) ((-494 . -1048) 46984) ((-684 . -631) 46966) ((-1267 . -638) 46940) ((-1265 . -638) 46914) ((-1232 . -23) T) ((-680 . -500) 46898) ((-69 . -609) 46880) ((-1104 . -791) 46831) ((-1104 . -788) 46782) ((-552 . -500) 46719) ((-663 . -39) T) ((-494 . -226) 46671) ((-290 . -284) 46650) ((-233 . -173) 46629) ((-858 . -1254) 46613) ((-812 . -1055) T) ((-49 . -638) 46571) ((-1074 . -371) 46522) ((-722 . -286) 46453) ((-529 . -524) 46386) ((-813 . -1054) 46337) ((-1079 . -149) 46316) ((-362 . -371) 46295) ((-355 . -371) 46274) ((-344 . -371) 46253) ((-1079 . -151) 46232) ((-866 . -224) 46209) ((-813 . -120) 46144) ((-778 . -149) 46123) ((-778 . -151) 46102) ((-258 . -951) 46069) ((-245 . -841) 46048) ((-243 . -951) 45993) ((-244 . -841) 45972) ((-776 . -149) 45951) ((-776 . -151) 45930) ((-156 . -638) 45904) ((-456 . -151) 45883) ((-456 . -149) 45862) ((-663 . -717) T) ((-819 . -609) 45844) ((-1238 . -1091) T) ((-1231 . -1091) T) ((-1210 . -1091) T) ((-1204 . -1091) T) ((-1192 . -1186) 45810) ((-1192 . -1183) 45776) ((-1161 . -286) 45755) ((-1160 . -286) 45706) ((-1153 . -286) 45657) ((-1115 . -286) 45636) ((-338 . -896) 45617) ((-1005 . -173) T) ((-911 . -173) T) ((-775 . -1224) 45594) ((-595 . -1091) T) ((-594 . -1091) T) ((-684 . -21) T) ((-684 . -25) T) ((-480 . -1227) 45578) ((-480 . -1224) 45548) ((-421 . -282) 45476) ((-311 . -1103) 45325) ((-308 . -1103) T) ((-1192 . -40) 45291) ((-1192 . -98) 45257) ((-89 . -609) 45239) ((-96 . -105) 45217) ((-1273 . -138) T) ((-734 . -138) T) ((-582 . -149) T) ((-582 . -151) 45199) ((-527 . -151) 45181) ((-527 . -149) T) ((-311 . -23) 45033) ((-45 . -341) 45007) ((-308 . -23) T) ((-1145 . -641) 44989) ((-811 . -638) 44837) ((-1260 . -1055) T) ((-1145 . -376) 44819) ((-170 . -224) 44803) ((-592 . -500) 44785) ((-233 . -524) 44718) ((-1267 . -717) T) ((-1265 . -717) T) ((-1165 . -1054) 44601) ((-735 . -1054) 44424) ((-1165 . -120) 44286) ((-813 . -1048) T) ((-735 . -120) 44088) ((-525 . -105) T) ((-53 . -631) 44048) ((-520 . -105) T) ((-518 . -105) T) ((-1257 . -1054) 44018) ((-1035 . -43) 44002) ((-813 . -226) T) ((-813 . -239) 43981) ((-552 . -282) 43960) ((-1257 . -120) 43925) ((-1219 . -224) 43909) ((-1238 . -708) 43806) ((-1231 . -708) 43647) ((-1060 . -610) NIL) ((-1060 . -609) 43629) ((-1210 . -708) 43425) ((-1204 . -708) 43322) ((-1004 . -917) T) ((-693 . -609) 43291) ((-156 . -717) T) ((-1242 . -138) T) ((-1104 . -371) 43270) ((-1005 . -524) NIL) ((-245 . -414) 43239) ((-244 . -414) 43208) ((-1024 . -25) T) ((-1024 . -21) T) ((-595 . -708) 43181) ((-594 . -708) 43078) ((-795 . -282) 43036) ((-136 . -105) 43014) ((-829 . -1038) 42910) ((-170 . -824) 42889) ((-315 . -638) 42786) ((-811 . -39) T) ((-705 . -105) T) ((-1109 . -1103) T) ((-1027 . -1197) T) ((-382 . -43) 42751) ((-356 . -25) T) ((-356 . -21) T) ((-219 . -105) T) ((-163 . -105) T) ((-159 . -105) T) ((-146 . -105) T) ((-357 . -1254) 42735) ((-354 . -1254) 42719) ((-343 . -1254) 42703) ((-861 . -454) T) ((-170 . -351) 42682) ((-569 . -843) T) ((-505 . -843) T) ((-856 . -454) T) ((-1109 . -23) T) ((-92 . -609) 42664) ((-691 . -302) T) ((-830 . -43) 42634) ((-823 . -43) 42604) ((-1232 . -138) T) ((-1136 . -284) 42583) ((-966 . -717) 42482) ((-966 . -789) 42435) ((-966 . -790) 42388) ((-811 . -787) 42367) ((-125 . -302) T) ((-96 . -304) 42305) ((-667 . -39) T) ((-552 . -602) 42284) ((-53 . -25) T) ((-53 . -21) T) ((-811 . -790) 42235) ((-811 . -789) 42214) ((-691 . -1022) T) ((-644 . -1054) 42198) ((-966 . -479) 42151) ((-811 . -717) 42077) ((-906 . -1254) 42064) ((-237 . -321) 42041) ((-861 . -405) 42011) ((-494 . -791) 41962) ((-494 . -788) 41913) ((-856 . -405) 41883) ((-1165 . -1048) T) ((-735 . -1048) T) ((-644 . -120) 41862) ((-1165 . -325) 41839) ((-1184 . -105) 41817) ((-1092 . -609) 41799) ((-691 . -551) T) ((-735 . -325) 41776) ((-812 . -1091) T) ((-735 . -226) T) ((-1257 . -1048) T) ((-416 . -1091) T) ((-245 . -1055) 41706) ((-244 . -1055) 41636) ((-285 . -638) 41623) ((-592 . -282) 41598) ((-680 . -678) 41556) ((-1238 . -173) 41507) ((-965 . -609) 41489) ((-867 . -105) T) ((-726 . -609) 41471) ((-706 . -609) 41453) ((-1231 . -173) 41384) ((-1210 . -173) 41315) ((-1204 . -173) 41266) ((-689 . -843) T) ((-1005 . -286) T) ((-455 . -609) 41248) ((-619 . -717) T) ((-65 . -1091) 41226) ((-241 . -155) 41210) ((-911 . -286) T) ((-1024 . -1013) T) ((-619 . -479) T) ((-703 . -1202) 41189) ((-1242 . -503) 41155) ((-595 . -173) 41134) ((-594 . -173) 41085) ((-1247 . -843) 41064) ((-703 . -559) 40975) ((-410 . -917) T) ((-410 . -816) 40954) ((-315 . -790) T) ((-315 . -717) T) ((-421 . -609) 40936) ((-421 . -610) 40837) ((-635 . -1135) 40821) ((-114 . -641) 40803) ((-136 . -304) 40741) ((-114 . -376) 40723) ((-174 . -302) T) ((-401 . -1197) T) ((-311 . -138) 40594) ((-308 . -138) T) ((-74 . -398) T) ((-114 . -133) T) ((-1157 . -843) 40573) ((-529 . -500) 40557) ((-645 . -1103) T) ((-592 . -19) 40539) ((-219 . -304) NIL) ((-66 . -443) T) ((-146 . -304) NIL) ((-66 . -398) T) ((-820 . -1091) T) ((-592 . -602) 40514) ((-490 . -1038) 40474) ((-644 . -1048) T) ((-645 . -23) T) ((-1260 . -1091) T) ((-812 . -708) 40323) ((-130 . -843) T) ((-126 . -843) NIL) ((-1159 . -414) 40307) ((-1114 . -414) 40291) ((-847 . -414) 40275) ((-234 . -1055) T) ((-1230 . -105) T) ((-1210 . -524) 40009) ((-1184 . -304) 39947) ((-306 . -609) 39929) ((-1209 . -105) T) ((-1093 . -1091) T) ((-1161 . -282) 39914) ((-1160 . -282) 39899) ((-285 . -717) T) ((-112 . -905) NIL) ((-680 . -609) 39866) ((-680 . -610) 39827) ((-1074 . -638) 39737) ((-599 . -609) 39719) ((-552 . -610) NIL) ((-552 . -609) 39701) ((-1153 . -282) 39549) ((-498 . -1054) 39499) ((-702 . -454) T) ((-521 . -519) 39478) ((-517 . -519) 39457) ((-209 . -1054) 39407) ((-362 . -638) 39359) ((-355 . -638) 39311) ((-216 . -841) T) ((-344 . -638) 39263) ((-600 . -105) 39213) ((-494 . -371) 39192) ((-112 . -638) 39142) ((-498 . -120) 39069) ((-233 . -500) 39053) ((-342 . -151) 39035) ((-342 . -149) T) ((-170 . -373) 39006) ((-945 . -1245) 38990) ((-209 . -120) 38917) ((-867 . -304) 38882) ((-945 . -1091) 38832) ((-795 . -610) 38793) ((-795 . -609) 38775) ((-709 . -105) T) ((-330 . -1091) T) ((-1109 . -138) T) ((-705 . -43) 38745) ((-311 . -503) 38724) ((-510 . -1197) T) ((-1230 . -280) 38690) ((-1209 . -280) 38656) ((-326 . -155) 38640) ((-1060 . -284) 38615) ((-1260 . -708) 38585) ((-1146 . -39) T) ((-1269 . -1038) 38562) ((-734 . -631) 38468) ((-474 . -609) 38450) ((-495 . -39) T) ((-384 . -1038) 38434) ((-1159 . -1055) T) ((-1114 . -1055) T) ((-847 . -1055) T) ((-1059 . -841) T) ((-812 . -173) 38345) ((-529 . -282) 38322) ((-126 . -994) 38299) ((-858 . -105) T) ((-775 . -105) T) ((-1238 . -286) 38278) ((-1231 . -286) 38229) ((-1179 . -367) 38203) ((-1080 . -263) 38187) ((-480 . -105) T) ((-368 . -1091) T) ((-245 . -1091) T) ((-244 . -1091) T) ((-1210 . -286) 38138) ((-113 . -1091) T) ((-1204 . -286) 38117) ((-867 . -1137) 38095) ((-1161 . -1003) 38061) ((-604 . -367) 38001) ((-1160 . -1003) 37967) ((-604 . -222) 37914) ((-592 . -609) 37896) ((-592 . -610) NIL) ((-684 . -843) T) ((-481 . -222) 37846) ((-498 . -1048) T) ((-1153 . -1003) 37812) ((-93 . -442) T) ((-93 . -398) T) ((-209 . -1048) T) ((-1115 . -1003) 37778) ((-34 . -1089) T) ((-922 . -1091) T) ((-1074 . -717) T) ((-703 . -1103) T) ((-595 . -286) 37757) ((-594 . -286) 37736) ((-498 . -239) T) ((-498 . -226) T) ((-1152 . -609) 37718) ((-867 . -43) 37670) ((-209 . -239) T) ((-209 . -226) T) ((-734 . -25) T) ((-734 . -21) T) ((-362 . -717) T) ((-355 . -717) T) ((-344 . -717) T) ((-112 . -790) T) ((-112 . -787) T) ((-529 . -1234) 37654) ((-112 . -717) T) ((-703 . -23) T) ((-1273 . -25) T) ((-480 . -280) 37620) ((-1273 . -21) T) ((-1209 . -304) 37559) ((-1163 . -105) T) ((-45 . -149) 37531) ((-45 . -151) 37503) ((-529 . -602) 37480) ((-1104 . -638) 37328) ((-600 . -304) 37266) ((-50 . -641) 37216) ((-50 . -659) 37166) ((-50 . -376) 37116) ((-1145 . -39) T) ((-866 . -841) NIL) ((-645 . -138) T) ((-496 . -609) 37098) ((-233 . -282) 37075) ((-637 . -39) T) ((-624 . -39) T) ((-1079 . -454) 37026) ((-812 . -524) 36891) ((-778 . -454) 36822) ((-776 . -454) 36773) ((-771 . -105) T) ((-456 . -454) 36724) ((-954 . -414) 36708) ((-722 . -609) 36690) ((-245 . -708) 36632) ((-244 . -708) 36574) ((-722 . -610) 36435) ((-493 . -414) 36419) ((-338 . -297) T) ((-234 . -1091) T) ((-353 . -917) T) ((-1001 . -105) 36397) ((-1024 . -843) T) ((-65 . -524) 36330) ((-1242 . -25) T) ((-1242 . -21) T) ((-1209 . -1137) 36282) ((-1005 . -282) NIL) ((-216 . -1055) T) ((-382 . -824) T) ((-1104 . -39) T) ((-775 . -304) 36151) ((-582 . -454) T) ((-527 . -454) T) ((-1213 . -1084) 36135) ((-1213 . -1091) 36113) ((-233 . -602) 36090) ((-1213 . -1086) 36047) ((-1161 . -609) 36029) ((-1160 . -609) 36011) ((-1153 . -609) 35993) ((-1153 . -610) NIL) ((-1115 . -609) 35975) ((-867 . -403) 35959) ((-539 . -1091) T) ((-542 . -105) T) ((-1230 . -43) 35800) ((-1209 . -43) 35614) ((-865 . -151) T) ((-582 . -405) T) ((-53 . -843) T) ((-527 . -405) T) ((-1232 . -21) T) ((-1232 . -25) T) ((-1104 . -787) 35593) ((-1104 . -790) 35544) ((-1104 . -789) 35523) ((-995 . -1091) T) ((-1028 . -39) T) ((-851 . -1091) T) ((-1243 . -105) T) ((-1104 . -717) 35449) ((-657 . -105) T) ((-552 . -284) 35428) ((-1171 . -105) T) ((-482 . -39) T) ((-469 . -39) T) ((-357 . -105) T) ((-354 . -105) T) ((-343 . -105) T) ((-258 . -105) T) ((-243 . -105) T) ((-490 . -302) T) ((-1059 . -1055) T) ((-954 . -1055) T) ((-311 . -631) 35334) ((-308 . -631) 35295) ((-493 . -1055) T) ((-491 . -105) T) ((-439 . -609) 35277) ((-1159 . -1091) T) ((-1114 . -1091) T) ((-847 . -1091) T) ((-1127 . -105) T) ((-812 . -286) 35208) ((-965 . -1054) 35091) ((-490 . -1022) T) ((-726 . -1054) 35061) ((-1133 . -1110) 35045) ((-1093 . -524) 34978) ((-968 . -105) T) ((-455 . -1054) 34948) ((-965 . -120) 34810) ((-861 . -1254) 34785) ((-856 . -1254) 34745) ((-906 . -105) T) ((-858 . -1137) T) ((-726 . -120) 34710) ((-234 . -708) 34656) ((-64 . -105) 34606) ((-529 . -610) 34567) ((-529 . -609) 34506) ((-528 . -105) 34484) ((-526 . -105) 34434) ((-507 . -105) 34412) ((-506 . -105) 34362) ((-455 . -120) 34313) ((-245 . -173) 34292) ((-244 . -173) 34271) ((-421 . -1054) 34245) ((-1192 . -975) 34206) ((-1000 . -1103) T) ((-858 . -43) 34171) ((-775 . -43) 34109) ((-945 . -524) 34042) ((-498 . -791) T) ((-480 . -43) 33883) ((-421 . -120) 33850) ((-498 . -788) T) ((-1001 . -304) 33788) ((-209 . -791) T) ((-209 . -788) T) ((-1000 . -23) T) ((-703 . -138) T) ((-1209 . -403) 33758) ((-311 . -25) 33610) ((-170 . -414) 33594) ((-311 . -21) 33465) ((-308 . -25) T) ((-308 . -21) T) ((-853 . -371) T) ((-114 . -39) T) ((-494 . -638) 33313) ((-866 . -1055) T) ((-592 . -284) 33288) ((-581 . -151) T) ((-569 . -151) T) ((-505 . -151) T) ((-1159 . -708) 33117) ((-1114 . -708) 32966) ((-1109 . -631) 32948) ((-847 . -708) 32918) ((-663 . -1197) T) ((-1 . -105) T) ((-233 . -609) 32676) ((-1219 . -414) 32660) ((-1171 . -304) 32464) ((-965 . -1048) T) ((-726 . -1048) T) ((-706 . -1048) T) ((-635 . -1091) 32414) ((-1052 . -638) 32398) ((-848 . -414) 32382) ((-521 . -105) T) ((-517 . -105) T) ((-243 . -304) 32369) ((-258 . -304) 32356) ((-965 . -325) 32335) ((-388 . -638) 32319) ((-491 . -304) 32123) ((-245 . -524) 32056) ((-663 . -1038) 31952) ((-244 . -524) 31885) ((-1127 . -304) 31811) ((-234 . -173) 31790) ((-815 . -1091) T) ((-795 . -1054) 31774) ((-1238 . -282) 31759) ((-1231 . -282) 31744) ((-1210 . -282) 31592) ((-1204 . -282) 31577) ((-389 . -1091) T) ((-322 . -1091) T) ((-421 . -1048) T) ((-170 . -1055) T) ((-64 . -304) 31515) ((-795 . -120) 31494) ((-594 . -282) 31479) ((-528 . -304) 31417) ((-526 . -304) 31355) ((-507 . -304) 31293) ((-506 . -304) 31231) ((-421 . -226) 31210) ((-494 . -39) T) ((-1005 . -610) 31140) ((-216 . -1091) T) ((-1005 . -609) 31122) ((-973 . -609) 31104) ((-973 . -610) 31079) ((-911 . -609) 31061) ((-689 . -151) T) ((-691 . -917) T) ((-691 . -816) T) ((-430 . -609) 31043) ((-1109 . -21) T) ((-1109 . -25) T) ((-663 . -380) 31027) ((-125 . -917) T) ((-867 . -224) 31011) ((-83 . -1197) T) ((-136 . -135) 30995) ((-1052 . -39) T) ((-1267 . -1038) 30969) ((-1265 . -1038) 30926) ((-1219 . -1055) T) ((-1157 . -149) 30905) ((-1157 . -151) 30884) ((-848 . -1055) T) ((-494 . -787) 30863) ((-357 . -1137) 30842) ((-354 . -1137) 30821) ((-343 . -1137) 30800) ((-494 . -790) 30751) ((-494 . -789) 30730) ((-220 . -39) T) ((-494 . -717) 30656) ((-65 . -500) 30640) ((-576 . -1055) T) ((-1159 . -173) 30531) ((-1114 . -173) 30442) ((-1059 . -1091) T) ((-1079 . -951) 30387) ((-954 . -1091) T) ((-813 . -638) 30338) ((-778 . -951) 30307) ((-704 . -1091) T) ((-776 . -951) 30274) ((-526 . -278) 30258) ((-663 . -896) 30217) ((-493 . -1091) T) ((-456 . -951) 30184) ((-84 . -1197) T) ((-357 . -43) 30149) ((-354 . -43) 30114) ((-343 . -43) 30079) ((-258 . -43) 29928) ((-243 . -43) 29777) ((-906 . -1137) T) ((-616 . -151) 29756) ((-616 . -149) 29735) ((-126 . -151) T) ((-126 . -149) NIL) ((-417 . -717) T) ((-795 . -1048) T) ((-342 . -454) T) ((-1238 . -1003) 29701) ((-1231 . -1003) 29667) ((-1210 . -1003) 29633) ((-1204 . -1003) 29599) ((-906 . -43) 29564) ((-216 . -708) 29529) ((-734 . -843) T) ((-45 . -412) 29501) ((-315 . -52) 29471) ((-1000 . -138) T) ((-811 . -1197) T) ((-174 . -917) T) ((-342 . -405) T) ((-529 . -284) 29448) ((-50 . -39) T) ((-811 . -1038) 29275) ((-735 . -905) 29254) ((-653 . -105) T) ((-645 . -21) T) ((-645 . -25) T) ((-1093 . -500) 29238) ((-1209 . -224) 29208) ((-667 . -1197) T) ((-241 . -105) 29158) ((-866 . -1091) T) ((-1165 . -638) 29083) ((-1059 . -708) 29070) ((-722 . -1054) 28913) ((-1159 . -524) 28859) ((-954 . -708) 28708) ((-1114 . -524) 28660) ((-735 . -638) 28585) ((-493 . -708) 28434) ((-72 . -609) 28416) ((-722 . -120) 28238) ((-945 . -500) 28222) ((-1257 . -638) 28182) ((-1161 . -1054) 28065) ((-813 . -717) T) ((-1160 . -1054) 27900) ((-1153 . -1054) 27690) ((-234 . -286) 27669) ((-1115 . -1054) 27552) ((-1004 . -1202) T) ((-1085 . -105) 27530) ((-811 . -380) 27499) ((-1004 . -559) T) ((-1161 . -120) 27361) ((-1160 . -120) 27175) ((-1153 . -120) 26921) ((-1115 . -120) 26783) ((-1096 . -1094) 26747) ((-382 . -841) T) ((-1238 . -609) 26729) ((-1231 . -609) 26711) ((-1210 . -609) 26693) ((-1210 . -610) NIL) ((-1204 . -609) 26675) ((-233 . -284) 26652) ((-45 . -454) T) ((-216 . -173) T) ((-170 . -1091) T) ((-684 . -151) T) ((-684 . -149) NIL) ((-595 . -609) 26634) ((-594 . -609) 26616) ((-894 . -1091) T) ((-834 . -1091) T) ((-804 . -1091) T) ((-762 . -1091) T) ((-649 . -845) 26600) ((-668 . -1091) T) ((-811 . -896) 26532) ((-1157 . -1183) 26510) ((-1157 . -1186) 26488) ((-45 . -405) NIL) ((-1109 . -652) T) ((-866 . -708) 26433) ((-245 . -500) 26417) ((-244 . -500) 26401) ((-703 . -631) 26349) ((-644 . -638) 26323) ((-290 . -39) T) ((-1157 . -98) 26301) ((-1157 . -40) 26279) ((-722 . -1048) T) ((-582 . -1254) 26266) ((-527 . -1254) 26243) ((-1219 . -1091) T) ((-1159 . -286) 26154) ((-1114 . -286) 26085) ((-1059 . -173) T) ((-848 . -1091) T) ((-954 . -173) 25996) ((-778 . -1222) 25980) ((-635 . -524) 25913) ((-82 . -609) 25895) ((-722 . -325) 25860) ((-1165 . -717) T) ((-576 . -1091) T) ((-493 . -173) 25771) ((-735 . -717) T) ((-241 . -304) 25709) ((-1128 . -1103) T) ((-75 . -609) 25691) ((-1257 . -717) T) ((-1161 . -1048) T) ((-1160 . -1048) T) ((-326 . -105) 25641) ((-1153 . -1048) T) ((-1128 . -23) T) ((-1115 . -1048) T) ((-96 . -1110) 25625) ((-854 . -1103) T) ((-1161 . -226) 25584) ((-1160 . -239) 25563) ((-1160 . -226) 25515) ((-1153 . -226) 25402) ((-1153 . -239) 25381) ((-315 . -896) 25287) ((-861 . -105) T) ((-856 . -105) T) ((-854 . -23) T) ((-170 . -708) 25115) ((-1092 . -371) T) ((-410 . -1202) T) ((-1024 . -151) T) ((-1004 . -366) T) ((-945 . -282) 25092) ((-865 . -454) T) ((-858 . -351) T) ((-311 . -843) T) ((-308 . -843) NIL) ((-870 . -105) T) ((-538 . -537) 24946) ((-703 . -25) T) ((-410 . -559) T) ((-703 . -21) T) ((-356 . -151) 24928) ((-356 . -149) T) ((-1133 . -1091) 24906) ((-455 . -711) T) ((-80 . -609) 24888) ((-123 . -843) T) ((-241 . -278) 24872) ((-233 . -1054) 24769) ((-86 . -609) 24751) ((-726 . -371) 24704) ((-1163 . -824) T) ((-728 . -228) 24688) ((-1146 . -1197) T) ((-143 . -228) 24670) ((-233 . -120) 24560) ((-1219 . -708) 24389) ((-53 . -151) T) ((-866 . -173) T) ((-848 . -708) 24359) ((-495 . -1197) T) ((-954 . -524) 24305) ((-644 . -717) T) ((-576 . -708) 24292) ((-1035 . -1055) T) ((-493 . -524) 24230) ((-945 . -19) 24214) ((-945 . -602) 24191) ((-812 . -610) NIL) ((-812 . -609) 24173) ((-1005 . -1054) 24123) ((-416 . -609) 24105) ((-245 . -282) 24082) ((-244 . -282) 24059) ((-498 . -905) NIL) ((-311 . -29) 24029) ((-112 . -1197) T) ((-1004 . -1103) T) ((-209 . -905) NIL) ((-911 . -1054) 23981) ((-1198 . -843) T) ((-1074 . -1038) 23877) ((-1005 . -120) 23804) ((-728 . -685) 23788) ((-258 . -224) 23772) ((-430 . -1054) 23756) ((-382 . -1055) T) ((-1004 . -23) T) ((-911 . -120) 23687) ((-684 . -1186) NIL) ((-498 . -638) 23637) ((-112 . -880) 23619) ((-112 . -882) 23601) ((-684 . -1183) NIL) ((-209 . -638) 23551) ((-362 . -1038) 23535) ((-355 . -1038) 23519) ((-326 . -304) 23457) ((-344 . -1038) 23441) ((-216 . -286) T) ((-430 . -120) 23420) ((-65 . -609) 23387) ((-170 . -173) T) ((-1109 . -843) T) ((-112 . -1038) 23347) ((-888 . -1091) T) ((-830 . -1055) T) ((-823 . -1055) T) ((-684 . -40) NIL) ((-684 . -98) NIL) ((-308 . -994) 23308) ((-581 . -454) T) ((-569 . -454) T) ((-505 . -454) T) ((-410 . -366) T) ((-233 . -1048) 23238) ((-1136 . -39) T) ((-924 . -105) T) ((-490 . -917) T) ((-1000 . -631) 23186) ((-245 . -602) 23163) ((-244 . -602) 23140) ((-1074 . -380) 23124) ((-866 . -524) 22987) ((-233 . -226) 22939) ((-1145 . -1197) T) ((-820 . -609) 22921) ((-969 . -972) 22905) ((-1268 . -1103) T) ((-1260 . -609) 22887) ((-1219 . -173) 22778) ((-112 . -380) 22760) ((-112 . -337) 22742) ((-1059 . -286) T) ((-954 . -286) 22673) ((-795 . -371) 22652) ((-924 . -921) 22631) ((-637 . -1197) T) ((-624 . -1197) T) ((-493 . -286) 22562) ((-576 . -173) T) ((-326 . -278) 22546) ((-1268 . -23) T) ((-1192 . -105) T) ((-1179 . -1091) T) ((-1080 . -1091) T) ((-1070 . -1091) T) ((-88 . -609) 22528) ((-702 . -105) T) ((-357 . -351) 22507) ((-604 . -1091) T) ((-354 . -351) 22486) ((-343 . -351) 22465) ((-1171 . -222) 22415) ((-481 . -1091) T) ((-234 . -282) 22392) ((-258 . -247) 22354) ((-1128 . -138) T) ((-604 . -606) 22330) ((-1074 . -896) 22263) ((-1005 . -1048) T) ((-911 . -1048) T) ((-481 . -606) 22242) ((-1153 . -788) NIL) ((-1153 . -791) NIL) ((-1093 . -610) 22203) ((-491 . -222) 22153) ((-1093 . -609) 22135) ((-1005 . -239) T) ((-1005 . -226) T) ((-430 . -1048) T) ((-959 . -1091) 22085) ((-911 . -239) T) ((-854 . -138) T) ((-689 . -454) T) ((-836 . -1103) 22064) ((-112 . -896) NIL) ((-1192 . -280) 22030) ((-867 . -841) 22009) ((-1104 . -1197) T) ((-901 . -717) T) ((-170 . -524) 21921) ((-1000 . -25) T) ((-901 . -479) T) ((-410 . -1103) T) ((-498 . -790) T) ((-498 . -787) T) ((-906 . -351) T) ((-498 . -717) T) ((-209 . -790) T) ((-209 . -787) T) ((-1000 . -21) T) ((-209 . -717) T) ((-836 . -23) 21873) ((-315 . -302) 21852) ((-1036 . -228) 21798) ((-410 . -23) T) ((-945 . -610) 21759) ((-945 . -609) 21698) ((-635 . -500) 21682) ((-50 . -1011) 21632) ((-861 . -43) 21597) ((-856 . -43) 21562) ((-1157 . -454) 21493) ((-330 . -609) 21475) ((-1104 . -1038) 21302) ((-592 . -641) 21284) ((-592 . -376) 21266) ((-342 . -1254) 21243) ((-1028 . -1197) T) ((-866 . -286) T) ((-1219 . -524) 21189) ((-482 . -1197) T) ((-469 . -1197) T) ((-586 . -105) T) ((-1159 . -282) 21116) ((-616 . -454) 21095) ((-1001 . -996) 21079) ((-1260 . -385) 21051) ((-126 . -454) T) ((-1178 . -105) T) ((-1083 . -1091) 21029) ((-1035 . -1091) T) ((-889 . -843) T) ((-1238 . -1054) 20912) ((-353 . -1202) T) ((-1231 . -1054) 20747) ((-1104 . -380) 20716) ((-1210 . -1054) 20506) ((-1204 . -1054) 20389) ((-1238 . -120) 20251) ((-1231 . -120) 20065) ((-1210 . -120) 19811) ((-1204 . -120) 19673) ((-1192 . -304) 19660) ((-353 . -559) T) ((-368 . -609) 19642) ((-285 . -302) T) ((-595 . -1054) 19615) ((-594 . -1054) 19498) ((-364 . -1091) T) ((-320 . -1091) T) ((-245 . -609) 19459) ((-244 . -609) 19420) ((-1004 . -138) T) ((-113 . -609) 19402) ((-627 . -23) T) ((-684 . -412) 19369) ((-603 . -23) T) ((-649 . -105) T) ((-595 . -120) 19340) ((-594 . -120) 19202) ((-382 . -1091) T) ((-335 . -105) T) ((-170 . -286) 19113) ((-237 . -105) T) ((-1209 . -841) 19066) ((-922 . -609) 19048) ((-705 . -1055) T) ((-1133 . -524) 18981) ((-1104 . -896) 18913) ((-830 . -1091) T) ((-823 . -1091) T) ((-821 . -1091) T) ((-99 . -105) T) ((-148 . -843) T) ((-734 . -151) 18892) ((-734 . -149) 18871) ((-608 . -880) 18855) ((-114 . -1197) T) ((-1079 . -105) T) ((-1060 . -39) T) ((-778 . -105) T) ((-776 . -105) T) ((-464 . -105) T) ((-456 . -105) T) ((-233 . -791) 18806) ((-233 . -788) 18757) ((-775 . -1135) 18709) ((-639 . -105) T) ((-1219 . -286) 18620) ((-657 . -626) 18604) ((-635 . -282) 18581) ((-1035 . -708) 18565) ((-576 . -286) T) ((-965 . -638) 18490) ((-1268 . -138) T) ((-726 . -638) 18450) ((-706 . -638) 18437) ((-272 . -105) T) ((-455 . -638) 18367) ((-55 . -105) T) ((-582 . -105) T) ((-538 . -105) T) ((-527 . -105) T) ((-1238 . -1048) T) ((-1231 . -1048) T) ((-1210 . -1048) T) ((-1204 . -1048) T) ((-1238 . -226) 18326) ((-1231 . -239) 18305) ((-320 . -708) 18287) ((-1231 . -226) 18239) ((-1210 . -226) 18126) ((-1210 . -239) 18105) ((-1204 . -226) 18064) ((-1192 . -43) 17961) ((-1005 . -791) T) ((-595 . -1048) T) ((-594 . -1048) T) ((-1005 . -788) T) ((-973 . -791) T) ((-973 . -788) T) ((-234 . -609) 17943) ((-867 . -1055) T) ((-865 . -864) 17927) ((-684 . -454) T) ((-382 . -708) 17892) ((-421 . -638) 17866) ((-703 . -843) 17845) ((-702 . -43) 17810) ((-594 . -226) 17769) ((-45 . -715) 17741) ((-353 . -328) 17718) ((-353 . -366) T) ((-1242 . -149) 17697) ((-1242 . -151) 17676) ((-1074 . -302) 17627) ((-289 . -1103) 17508) ((-1097 . -1197) T) ((-172 . -105) T) ((-1213 . -609) 17475) ((-836 . -138) 17427) ((-635 . -1234) 17411) ((-830 . -708) 17381) ((-823 . -708) 17351) ((-494 . -1197) T) ((-362 . -302) T) ((-355 . -302) T) ((-344 . -302) T) ((-635 . -602) 17328) ((-410 . -138) T) ((-529 . -659) 17312) ((-112 . -302) T) ((-289 . -23) 17195) ((-529 . -641) 17179) ((-684 . -405) NIL) ((-529 . -376) 17163) ((-539 . -609) 17145) ((-96 . -1091) 17123) ((-112 . -1022) T) ((-569 . -147) T) ((-1247 . -155) 17107) ((-494 . -1038) 16934) ((-1232 . -149) 16895) ((-1232 . -151) 16856) ((-1052 . -1197) T) ((-995 . -609) 16838) ((-851 . -609) 16820) ((-812 . -1054) 16663) ((-1079 . -304) 16650) ((-220 . -1197) T) ((-778 . -304) 16637) ((-776 . -304) 16624) ((-812 . -120) 16446) ((-456 . -304) 16433) ((-1159 . -610) NIL) ((-1159 . -609) 16415) ((-1114 . -609) 16397) ((-1114 . -610) 16145) ((-1035 . -173) T) ((-847 . -609) 16127) ((-945 . -284) 16104) ((-604 . -524) 15852) ((-814 . -1038) 15836) ((-481 . -524) 15596) ((-965 . -717) T) ((-726 . -717) T) ((-706 . -717) T) ((-353 . -1103) T) ((-1166 . -609) 15578) ((-214 . -105) T) ((-494 . -380) 15547) ((-525 . -1091) T) ((-520 . -1091) T) ((-518 . -1091) T) ((-795 . -638) 15521) ((-1024 . -454) T) ((-959 . -524) 15454) ((-353 . -23) T) ((-627 . -138) T) ((-603 . -138) T) ((-356 . -454) T) ((-233 . -371) 15433) ((-382 . -173) T) ((-1230 . -1055) T) ((-1209 . -1055) T) ((-216 . -1003) T) ((-967 . -1089) T) ((-689 . -390) T) ((-421 . -717) T) ((-691 . -1202) T) ((-1128 . -631) 15381) ((-1260 . -1054) 15365) ((-581 . -864) 15349) ((-1146 . -1174) 15325) ((-705 . -1091) T) ((-691 . -559) T) ((-136 . -1091) 15303) ((-494 . -896) 15235) ((-219 . -1245) 15217) ((-219 . -1091) T) ((-146 . -1245) 15192) ((-163 . -1091) T) ((-649 . -43) 15162) ((-356 . -405) T) ((-311 . -151) 15141) ((-311 . -149) 15120) ((-125 . -559) T) ((-308 . -151) 15076) ((-308 . -149) 15032) ((-53 . -454) T) ((-159 . -1091) T) ((-146 . -1091) T) ((-1146 . -111) 14979) ((-1157 . -951) 14948) ((-778 . -1137) 14926) ((-680 . -39) T) ((-1260 . -120) 14905) ((-552 . -39) T) ((-495 . -111) 14889) ((-245 . -284) 14866) ((-244 . -284) 14843) ((-866 . -282) 14773) ((-50 . -1197) T) ((-812 . -1048) T) ((-1165 . -52) 14750) ((-812 . -325) 14712) ((-1079 . -43) 14561) ((-812 . -226) 14540) ((-778 . -43) 14369) ((-776 . -43) 14218) ((-735 . -52) 14195) ((-456 . -43) 14044) ((-635 . -610) 14005) ((-635 . -609) 13944) ((-582 . -1137) T) ((-527 . -1137) T) ((-1133 . -500) 13928) ((-1184 . -1091) 13906) ((-1128 . -25) T) ((-1128 . -21) T) ((-858 . -1055) T) ((-775 . -1055) T) ((-1242 . -1186) 13872) ((-1242 . -1183) 13838) ((-480 . -1055) T) ((-1210 . -788) NIL) ((-1210 . -791) NIL) ((-1000 . -843) 13817) ((-815 . -609) 13799) ((-854 . -21) T) ((-854 . -25) T) ((-795 . -717) T) ((-514 . -1089) T) ((-174 . -1202) T) ((-582 . -43) 13764) ((-527 . -43) 13729) ((-389 . -609) 13711) ((-322 . -609) 13693) ((-170 . -282) 13651) ((-1242 . -40) 13617) ((-1242 . -98) 13583) ((-68 . -1197) T) ((-121 . -105) T) ((-867 . -1091) T) ((-174 . -559) T) ((-705 . -708) 13553) ((-289 . -138) 13436) ((-216 . -609) 13418) ((-216 . -610) 13348) ((-1004 . -631) 13282) ((-1260 . -1048) T) ((-1109 . -151) T) ((-624 . -1174) 13257) ((-722 . -905) 13236) ((-592 . -39) T) ((-637 . -111) 13220) ((-624 . -111) 13166) ((-735 . -882) NIL) ((-1219 . -282) 13093) ((-722 . -638) 13018) ((-290 . -1197) T) ((-1165 . -1038) 12914) ((-735 . -1038) 12794) ((-1153 . -905) NIL) ((-1059 . -610) 12709) ((-1059 . -609) 12691) ((-342 . -105) T) ((-245 . -1054) 12588) ((-244 . -1054) 12485) ((-397 . -105) T) ((-954 . -609) 12467) ((-954 . -610) 12328) ((-704 . -609) 12310) ((-1258 . -1191) 12279) ((-493 . -609) 12261) ((-493 . -610) 12122) ((-258 . -414) 12106) ((-243 . -414) 12090) ((-245 . -120) 11980) ((-244 . -120) 11870) ((-1161 . -638) 11795) ((-1160 . -638) 11692) ((-1153 . -638) 11544) ((-1115 . -638) 11469) ((-353 . -138) T) ((-87 . -443) T) ((-87 . -398) T) ((-1004 . -25) T) ((-1004 . -21) T) ((-867 . -708) 11421) ((-382 . -286) T) ((-170 . -1003) 11372) ((-735 . -380) 11356) ((-684 . -390) T) ((-1000 . -998) 11340) ((-691 . -1103) T) ((-684 . -167) 11322) ((-1230 . -1091) T) ((-1209 . -1091) T) ((-311 . -1183) 11301) ((-311 . -1186) 11280) ((-1151 . -105) T) ((-311 . -960) 11259) ((-140 . -1103) T) ((-125 . -1103) T) ((-600 . -1245) 11243) ((-691 . -23) T) ((-600 . -1091) 11193) ((-96 . -524) 11126) ((-174 . -366) T) ((-1157 . -1222) 11110) ((-311 . -98) 11089) ((-311 . -40) 11068) ((-604 . -500) 11002) ((-140 . -23) T) ((-125 . -23) T) ((-709 . -1091) T) ((-481 . -500) 10939) ((-410 . -631) 10887) ((-644 . -1038) 10783) ((-735 . -896) 10726) ((-959 . -500) 10710) ((-357 . -1055) T) ((-354 . -1055) T) ((-343 . -1055) T) ((-258 . -1055) T) ((-243 . -1055) T) ((-866 . -610) NIL) ((-866 . -609) 10692) ((-1268 . -21) T) ((-576 . -1003) T) ((-722 . -717) T) ((-1268 . -25) T) ((-245 . -1048) 10622) ((-244 . -1048) 10552) ((-234 . -1054) 10498) ((-77 . -1197) T) ((-923 . -105) T) ((-245 . -226) 10450) ((-244 . -226) 10402) ((-234 . -120) 10341) ((-45 . -105) T) ((-906 . -1055) T) ((-1161 . -717) T) ((-1160 . -717) T) ((-1153 . -717) T) ((-1153 . -787) NIL) ((-1153 . -790) NIL) ((-1115 . -717) T) ((-923 . -921) 10299) ((-858 . -1091) T) ((-918 . -105) T) ((-775 . -1091) T) ((-764 . -105) T) ((-664 . -105) T) ((-480 . -1091) T) ((-338 . -1103) T) ((-1230 . -708) 10140) ((-174 . -1103) T) ((-315 . -917) 10119) ((-734 . -454) 10098) ((-867 . -173) T) ((-1209 . -708) 9912) ((-836 . -21) 9864) ((-836 . -25) 9816) ((-241 . -1135) 9800) ((-136 . -524) 9733) ((-410 . -25) T) ((-410 . -21) T) ((-338 . -23) T) ((-170 . -609) 9715) ((-170 . -610) 9481) ((-174 . -23) T) ((-635 . -284) 9458) ((-219 . -524) NIL) ((-146 . -524) NIL) ((-529 . -39) T) ((-894 . -609) 9440) ((-94 . -1197) T) ((-834 . -609) 9422) ((-804 . -609) 9404) ((-762 . -609) 9386) ((-668 . -609) 9368) ((-233 . -638) 9216) ((-1163 . -1091) T) ((-1159 . -1054) 9039) ((-1136 . -1197) T) ((-1114 . -1054) 8882) ((-847 . -1054) 8866) ((-1159 . -120) 8668) ((-1114 . -120) 8490) ((-847 . -120) 8469) ((-1219 . -610) NIL) ((-1219 . -609) 8451) ((-342 . -1137) T) ((-848 . -609) 8433) ((-1070 . -282) 8412) ((-234 . -1048) T) ((-85 . -1197) T) ((-1005 . -905) NIL) ((-604 . -282) 8388) ((-1184 . -524) 8321) ((-498 . -1197) T) ((-576 . -609) 8303) ((-481 . -282) 8282) ((-1079 . -224) 8266) ((-1005 . -638) 8216) ((-209 . -1197) T) ((-959 . -282) 8193) ((-911 . -638) 8145) ((-285 . -917) T) ((-813 . -302) 8124) ((-865 . -105) T) ((-778 . -224) 8108) ((-771 . -1091) T) ((-858 . -708) 8060) ((-775 . -708) 7998) ((-627 . -21) T) ((-627 . -25) T) ((-603 . -21) T) ((-342 . -43) 7963) ((-684 . -715) 7930) ((-498 . -880) 7912) ((-498 . -882) 7894) ((-480 . -708) 7735) ((-209 . -880) 7717) ((-69 . -1197) T) ((-209 . -882) 7699) ((-603 . -25) T) ((-430 . -638) 7673) ((-498 . -1038) 7633) ((-867 . -524) 7545) ((-209 . -1038) 7505) ((-233 . -39) T) ((-1001 . -1091) 7483) ((-1230 . -173) 7414) ((-1209 . -173) 7345) ((-703 . -149) 7324) ((-703 . -151) 7303) ((-691 . -138) T) ((-142 . -471) 7280) ((-465 . -105) T) ((-649 . -647) 7264) ((-1133 . -609) 7231) ((-125 . -138) T) ((-490 . -1202) T) ((-604 . -602) 7207) ((-481 . -602) 7186) ((-335 . -334) 7155) ((-542 . -1091) T) ((-1159 . -1048) T) ((-490 . -559) T) ((-237 . -236) 7139) ((-1114 . -1048) T) ((-847 . -1048) T) ((-233 . -787) 7118) ((-233 . -790) 7069) ((-233 . -789) 7048) ((-1159 . -325) 7025) ((-233 . -717) 6951) ((-959 . -19) 6935) ((-498 . -380) 6917) ((-498 . -337) 6899) ((-1114 . -325) 6871) ((-356 . -1254) 6848) ((-209 . -380) 6830) ((-209 . -337) 6812) ((-959 . -602) 6789) ((-1159 . -226) T) ((-657 . -1091) T) ((-1243 . -1091) T) ((-1171 . -1091) T) ((-1079 . -247) 6726) ((-357 . -1091) T) ((-354 . -1091) T) ((-343 . -1091) T) ((-258 . -1091) T) ((-243 . -1091) T) ((-89 . -1197) T) ((-137 . -105) 6704) ((-131 . -105) 6682) ((-735 . -302) 6661) ((-1171 . -606) 6640) ((-491 . -1091) T) ((-1127 . -1091) T) ((-491 . -606) 6619) ((-245 . -791) 6570) ((-245 . -788) 6521) ((-244 . -791) 6472) ((-45 . -1137) NIL) ((-244 . -788) 6423) ((-1074 . -917) 6374) ((-1005 . -790) T) ((-1005 . -787) T) ((-1005 . -717) T) ((-973 . -790) T) ((-968 . -1091) T) ((-911 . -717) T) ((-906 . -1091) T) ((-867 . -286) T) ((-96 . -500) 6358) ((-498 . -896) NIL) ((-858 . -173) T) ((-216 . -1054) 6323) ((-829 . -1103) 6302) ((-209 . -896) NIL) ((-775 . -173) T) ((-64 . -1091) 6252) ((-528 . -1091) 6230) ((-526 . -1091) 6180) ((-507 . -1091) 6158) ((-506 . -1091) 6108) ((-581 . -105) T) ((-569 . -105) T) ((-505 . -105) T) ((-480 . -173) 6039) ((-362 . -917) T) ((-355 . -917) T) ((-344 . -917) T) ((-216 . -120) 5988) ((-829 . -23) 5940) ((-430 . -717) T) ((-112 . -917) T) ((-45 . -43) 5885) ((-112 . -816) T) ((-582 . -351) T) ((-527 . -351) T) ((-1209 . -524) 5745) ((-311 . -454) 5724) ((-308 . -454) T) ((-830 . -282) 5703) ((-338 . -138) T) ((-174 . -138) T) ((-289 . -25) 5567) ((-289 . -21) 5450) ((-50 . -1174) 5429) ((-71 . -609) 5411) ((-888 . -609) 5393) ((-600 . -524) 5326) ((-50 . -111) 5276) ((-1093 . -428) 5260) ((-1093 . -371) 5239) ((-1060 . -1197) T) ((-1059 . -1054) 5226) ((-954 . -1054) 5069) ((-493 . -1054) 4912) ((-657 . -708) 4896) ((-1059 . -120) 4881) ((-954 . -120) 4703) ((-490 . -366) T) ((-357 . -708) 4655) ((-354 . -708) 4607) ((-343 . -708) 4559) ((-258 . -708) 4408) ((-243 . -708) 4257) ((-1248 . -105) T) ((-1247 . -105) 4207) ((-945 . -641) 4191) ((-1238 . -638) 4116) ((-493 . -120) 3938) ((-1231 . -638) 3835) ((-1210 . -638) 3687) ((-1210 . -905) NIL) ((-945 . -376) 3671) ((-1204 . -638) 3596) ((-79 . -609) 3578) ((-965 . -52) 3557) ((-614 . -1103) T) ((-1 . -1091) T) ((-701 . -105) T) ((-689 . -105) T) ((-1179 . -609) 3539) ((-1080 . -609) 3521) ((-1070 . -609) 3503) ((-906 . -708) 3468) ((-136 . -500) 3452) ((-775 . -524) 3284) ((-614 . -23) T) ((-393 . -23) T) ((-604 . -609) 3266) ((-92 . -1197) T) ((-604 . -610) NIL) ((-481 . -610) NIL) ((-481 . -609) 3248) ((-353 . -25) T) ((-353 . -21) T) ((-219 . -500) 3230) ((-137 . -304) 3168) ((-521 . -1091) T) ((-517 . -1091) T) ((-146 . -500) 3143) ((-131 . -304) 3081) ((-595 . -638) 3068) ((-217 . -62) 3036) ((-145 . -62) 2997) ((-216 . -1048) T) ((-594 . -638) 2922) ((-382 . -1003) T) ((-216 . -239) T) ((-216 . -226) T) ((-1157 . -105) T) ((-959 . -610) 2883) ((-959 . -609) 2822) ((-865 . -43) 2809) ((-1230 . -286) 2760) ((-1209 . -286) 2711) ((-1109 . -454) T) ((-512 . -843) T) ((-311 . -1125) 2690) ((-1000 . -151) 2669) ((-1000 . -149) 2648) ((-734 . -162) T) ((-734 . -147) T) ((-505 . -304) 2635) ((-290 . -1174) 2614) ((-490 . -1103) T) ((-866 . -1054) 2559) ((-616 . -105) T) ((-1184 . -500) 2543) ((-245 . -371) 2522) ((-244 . -371) 2501) ((-1157 . -280) 2479) ((-1059 . -1048) T) ((-290 . -111) 2429) ((-130 . -105) T) ((-126 . -105) T) ((-35 . -1089) T) ((-954 . -1048) T) ((-866 . -120) 2346) ((-490 . -23) T) ((-493 . -1048) T) ((-1059 . -226) T) ((-954 . -325) 2315) ((-493 . -325) 2272) ((-357 . -173) T) ((-354 . -173) T) ((-343 . -173) T) ((-258 . -173) 2183) ((-243 . -173) 2094) ((-965 . -1038) 1990) ((-726 . -1038) 1961) ((-1096 . -105) T) ((-1083 . -609) 1928) ((-1035 . -609) 1910) ((-1242 . -975) 1879) ((-1238 . -717) T) ((-1231 . -717) T) ((-1210 . -717) T) ((-1210 . -787) NIL) ((-1210 . -790) NIL) ((-858 . -286) T) ((-170 . -1054) 1789) ((-906 . -173) T) ((-775 . -286) T) ((-1204 . -717) T) ((-1258 . -155) 1773) ((-1004 . -341) 1747) ((-1001 . -524) 1680) ((-836 . -843) 1659) ((-569 . -1137) T) ((-480 . -286) 1610) ((-595 . -717) T) ((-364 . -609) 1592) ((-320 . -609) 1574) ((-421 . -1038) 1470) ((-594 . -717) T) ((-410 . -843) 1421) ((-170 . -120) 1310) ((-861 . -1055) T) ((-856 . -1055) T) ((-829 . -138) 1262) ((-728 . -155) 1246) ((-1247 . -304) 1184) ((-498 . -302) T) ((-382 . -609) 1151) ((-529 . -1011) 1135) ((-382 . -610) 1049) ((-209 . -302) T) ((-143 . -155) 1031) ((-705 . -282) 1010) ((-1157 . -304) 997) ((-498 . -1022) T) ((-581 . -43) 984) ((-569 . -43) 971) ((-505 . -43) 936) ((-219 . -282) 911) ((-146 . -282) 879) ((-209 . -1022) T) ((-866 . -1048) T) ((-830 . -609) 861) ((-823 . -609) 843) ((-821 . -609) 825) ((-812 . -905) 804) ((-1269 . -1103) T) ((-1219 . -1054) 627) ((-848 . -1054) 611) ((-866 . -239) T) ((-866 . -226) NIL) ((-680 . -1197) T) ((-1269 . -23) T) ((-812 . -638) 536) ((-552 . -1197) T) ((-421 . -337) 520) ((-576 . -1054) 507) ((-1219 . -120) 309) ((-691 . -631) 291) ((-848 . -120) 270) ((-384 . -23) T) ((-1171 . -524) 30)) 
\ No newline at end of file
diff --git a/src/share/algebra/compress.daase b/src/share/algebra/compress.daase
index c6e8fa3..fc7b523 100644
--- a/src/share/algebra/compress.daase
+++ b/src/share/algebra/compress.daase
@@ -1,3 +1,3 @@
 
-(30 . 3488060040)            
-(4524 |Enumeration| |Mapping| |Record| |Union| |ofCategory| |isDomain| ATTRIBUTE |package| |domain| |category| CATEGORY |nobranch| AND |Join| |ofType| SIGNATURE "failed" "algebra" |OneDimensionalArrayAggregate&| |OneDimensionalArrayAggregate| |AbelianGroup&| |AbelianGroup| |AbelianMonoid&| |AbelianMonoid| |AbelianSemiGroup&| |AbelianSemiGroup| |AlgebraicallyClosedField&| |AlgebraicallyClosedField| |AlgebraicallyClosedFunctionSpace&| |AlgebraicallyClosedFunctionSpace| |PlaneAlgebraicCurvePlot| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraicFunction| |AffineSpaceCategory| |Aggregate&| |Aggregate| |ArcHyperbolicFunctionCategory| |AssociationListAggregate| |Algebra&| |Algebra| |AlgFactor| |AlgebraicFunctionField| |AlgebraicManipulations| |AlgebraicMultFact| |AlgebraPackage| |AlgebraGivenByStructuralConstants| |AssociationList| |AbelianMonoidRing&| |AbelianMonoidRing| |AlgebraicNumber| |AnonymousFunction| |AntiSymm| |AnyFunctions1| |Any| |ApplicationProgramInterface| |ApplyUnivariateSkewPolynomial| |ApplyRules| |TwoDimensionalArrayCategory&| |TwoDimensionalArrayCategory| |OneDimensionalArrayFunctions2| |OneDimensionalArray| |TwoDimensionalArray| |Asp10| |Asp12| |Asp19| |Asp1| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp41| |Asp42| |Asp49| |Asp4| |Asp50| |Asp55| |Asp6| |Asp73| |Asp74| |Asp77| |Asp78| |Asp7| |Asp80| |Asp8| |Asp9| |AssociatedEquations| |ArrayStack| |ArcTrigonometricFunctionCategory&| |ArcTrigonometricFunctionCategory| |AttributeButtons| |AttributeRegistry| |Automorphism| |AxiomServer| |BalancedFactorisation| |BasicType&| |BasicType| |BalancedBinaryTree| |Bezier| |BezoutMatrix| |BasicFunctions| |BagAggregate&| |BagAggregate| |BinaryExpansion| |BinaryFile| |Bits| |BlasLevelOne| |BlowUpWithHamburgerNoether| |BlowUpMethodCategory| |BlowUpWithQuadTrans| |BlowUpPackage| |BiModule| |Boolean| |BasicOperatorFunctions1| |BasicOperator| |BoundIntegerRoots| |BalancedPAdicInteger| |BalancedPAdicRational| |BinaryRecursiveAggregate&| |BinaryRecursiveAggregate| |BrillhartTests| |BinarySearchTree| |BitAggregate&| |BitAggregate| |BinaryTreeCategory&| |BinaryTreeCategory| |BinaryTournament| |BinaryTree| |CancellationAbelianMonoid| |CachableSet| |CardinalNumber| |CartesianTensorFunctions2| |CartesianTensor| |CharacterClass| |CommonDenominator| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |CombinatorialFunctionCategory| |Character| |CharacteristicNonZero| |CharacteristicPolynomialPackage| |CharacteristicZero| |ChangeOfVariable| |ComplexIntegerSolveLinearPolynomialEquation| |Collection&| |Collection| |CliffordAlgebra| |TwoDimensionalPlotClipping| |ComplexRootPackage| |Color| |CombinatorialFunction| |IntegerCombinatoricFunctions| |CombinatorialOpsCategory| |Commutator| |CommonOperators| |CommuteUnivariatePolynomialCategory| |ComplexCategory&| |ComplexCategory| |ComplexFactorization| |ComplexFunctions2| |Complex| |ComplexPattern| |SubSpaceComponentProperty| |CommutativeRing| |ContinuedFraction| |CoordinateSystems| |CharacteristicPolynomialInMonogenicalAlgebra| |ComplexPatternMatch| |CRApackage| |ComplexRootFindingPackage| |CyclicStreamTools| |ComplexTrigonometricManipulations| |CoerceVectorMatrixPackage| |CycleIndicators| |CyclotomicPolynomialPackage| |d01AgentsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d01TransformFunctionType| |d01WeightsPackage| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |Database| |DoubleResultantPackage| |DistinctDegreeFactorize| |DecimalExpansion| |ElementaryFunctionDefiniteIntegration| |RationalFunctionDefiniteIntegration| |DegreeReductionPackage| |Dequeue| |DeRhamComplex| |DefiniteIntegrationTools| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DenavitHartenbergMatrix| |Dictionary&| |Dictionary| |DifferentialExtension&| |DifferentialExtension| |DifferentialRing&| |DifferentialRing| |DictionaryOperations&| |DictionaryOperations| |DiophantineSolutionPackage| |DirectProductCategory&| |DirectProductCategory| |DirectProductFunctions2| |DirectProduct| |DirichletRing| |DisplayPackage| |DivisorCategory| |Divisor| |DivisionRing&| |DivisionRing| |DoublyLinkedAggregate| |DataList| |DiscreteLogarithmPackage| |DistributedMultivariatePolynomial| |DirectProductMatrixModule| |DirectProductModule| |DifferentialPolynomialCategory&| |DifferentialPolynomialCategory| |DequeueAggregate| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |DrawComplex| |DrawNumericHack| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForPoints| |DrawOptionFunctions0| |DrawOptionFunctions1| |DrawOption| |DifferentialSparseMultivariatePolynomial| |DesingTreeCategory| |DesingTree| |DesingTreePackage| |DifferentialVariableCategory&| |DifferentialVariableCategory| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType| |ExtAlgBasis| |ElementaryFunction| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ExtensibleLinearAggregate&| |ExtensibleLinearAggregate| |ElementaryFunctionCategory&| |ElementaryFunctionCategory| |EllipticFunctionsUnivariateTaylorSeries| |Eltable| |EltableAggregate&| |EltableAggregate| |EuclideanModularRing| |EntireRing| |EigenPackage| |EquationFunctions2| |Equation| |EqTable| |ErrorFunctions| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |ExpertSystemContinuityPackage1| |ExpertSystemContinuityPackage| |ExpressionSpace&| |ExpressionSpace| |ExpertSystemToolsPackage1| |ExpertSystemToolsPackage2| |ExpertSystemToolsPackage| |EuclideanDomain&| |EuclideanDomain| |Evalable&| |Evalable| |EvaluateCycleIndicators| |Exit| |Export3D| |ExponentialExpansion| |ExpressionFunctions2| |ExpressionToUnivariatePowerSeries| |Expression| |ExpressionSpaceODESolver| |ExpressionSolve| |ExpressionTubePlot| |ExponentialOfUnivariatePuiseuxSeries| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactoredFunctions| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |FactoringUtilities| |FreeAbelianGroup| |FreeAbelianMonoidCategory| |FreeAbelianMonoid| |FiniteAbelianMonoidRingFunctions2| |FiniteAbelianMonoidRing&| |FiniteAbelianMonoidRing| |FlexibleArray| |FiniteAlgebraicExtensionField&| |FiniteAlgebraicExtensionField| |FortranCode| |FourierComponent| |FortranCodePackage1| |FiniteDivisorFunctions2| |FiniteDivisorCategory&| |FiniteDivisorCategory| |FiniteDivisor| |FullyEvalableOver&| |FullyEvalableOver| |FortranExpression| |FunctionFieldCategoryFunctions2| |FunctionFieldCategory&| |FunctionFieldCategory| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldCyclicGroupExtension| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FractionFreeFastGaussianFractions| |FractionFreeFastGaussian| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldCategory&| |FiniteFieldCategory| |FunctionFieldIntegralBasis| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldNormalBasisExtension| |FiniteField| |FiniteFieldExtensionByPolynomial| |FiniteFieldPolynomialPackage2| |FiniteFieldPolynomialPackage| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteFieldExtension| |FGLMIfCanPackage| |FreeGroup| |Field&| |Field| |FileCategory| |File| |FiniteRankNonAssociativeAlgebra&| |FiniteRankNonAssociativeAlgebra| |Finite| |FiniteRankAlgebra&| |FiniteRankAlgebra| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregate&| |FiniteLinearAggregate| |FreeLieAlgebra| |FiniteLinearAggregateSort| |FullyLinearlyExplicitRingOver&| |FullyLinearlyExplicitRingOver| |FloatingComplexPackage| |Float| |FloatingRealPackage| |FreeModule1| |FreeModuleCat| |FortranMatrixCategory| |FortranMatrixFunctionCategory| |FreeModule| |FreeMonoid| |FortranMachineTypeCategory| |FileName| |FileNameCategory| |FreeNilpotentLie| |FortranOutputStackPackage| |FindOrderFinite| |ScriptFormulaFormat1| |ScriptFormulaFormat| |FortranProgramCategory| |FortranFunctionCategory| |FortranPackage| |FortranProgram| |FullPartialFractionExpansion| |FullyPatternMatchable| |FieldOfPrimeCharacteristic&| |FieldOfPrimeCharacteristic| |FloatingPointSystem&| |FloatingPointSystem| |FactoredFunctions2| |FractionFunctions2| |Fraction| |FramedAlgebra&| |FramedAlgebra| |FullyRetractableTo&| |FullyRetractableTo| |FractionalIdealFunctions2| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebraFunctions2| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebra| |Factored| |FactoredFunctionUtilities| |FunctionSpaceToExponentialExpansion| |FunctionSpaceFunctions2| |FunctionSpaceToUnivariatePowerSeries| |FiniteSetAggregateFunctions2| |FiniteSetAggregate&| |FiniteSetAggregate| |FunctionSpaceComplexIntegration| |FourierSeries| |FunctionSpaceIntegration| |FunctionSpace&| |FunctionSpace| |FunctionalSpecialFunction| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FortranScalarType| |FunctionSpaceUnivariatePolynomialFactor| |FortranTemplate| |FortranType| |FunctionCalled| |FortranVectorCategory| |FortranVectorFunctionCategory| |GaloisGroupFactorizer| |GaloisGroupFactorizationUtilities| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |EuclideanGroebnerBasisPackage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GcdDomain&| |GcdDomain| |GenericNonAssociativeAlgebra| |GeneralDistributedMultivariatePolynomial| |GnuDraw| |GenExEuclid| |GeneralizedMultivariateFactorize| |GeneralPolynomialGcdPackage| |GenUFactorize| |GenerateUnivariatePowerSeries| |GeneralHenselPackage| |GeneralModulePolynomial| |GuessOptionFunctions0| |GuessOption| |GosperSummationMethod| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialSet| |GradedAlgebra&| |GradedAlgebra| |GrayCode| |GraphicsDefaults| |GraphImage| |GradedModule&| |GradedModule| |GroebnerSolve| |Group&| |Group| |GeneralUnivariatePowerSeries| |GeneralSparseTable| |GeneralTriangularSet| |GuessAlgebraicNumber| |GuessFiniteFunctions| |GuessFinite| |GuessInteger| |Guess| |GuessPolynomial| |GuessUnivariatePolynomial| |Pi| |HashTable| |HallBasis| |HomogeneousDistributedMultivariatePolynomial| |HomogeneousDirectProduct| |Heap| |HyperellipticFiniteDivisor| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousAggregate| |HTMLFormat| |HyperbolicFunctionCategory&| |HyperbolicFunctionCategory| |InnerAlgFactor| |InnerAlgebraicNumber| |IndexedOneDimensionalArray| |IndexedTwoDimensionalArray| |ChineseRemainderToolsForIntegralBases| |IntegralBasisTools| |IndexedBits| |IntegralBasisPolynomialTools| |IndexCard| |InnerCommonDenominator| |InfClsPt| |PolynomialIdeals| |IdealDecompositionPackage| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductCategory| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedDirectProductObject| |InnerEvalable&| |InnerEvalable| |InnerFreeAbelianMonoid| |IndexedFlexibleArray| |InnerFiniteField| |InnerIndexedTwoDimensionalArray| |IndexedList| |InnerMatrixLinearAlgebraFunctions| |InnerMatrixQuotientFieldFunctions| |IndexedMatrix| |InnerNormalBasisFieldFunctions| |IncrementingMaps| |IndexedExponents| |InnerNumericEigenPackage| |InfinitlyClosePointCategory| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InfinitlyClosePoint| |Infinity| |InputFormFunctions1| |InputForm| |InfiniteProductCharacteristicZero| |InnerNumericFloatSolvePackage| |InnerModularGcd| |InnerMultFact| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InnerPolySign| |IntegerNumberSystem&| |IntegerNumberSystem| |InnerTable| |AlgebraicIntegration| |AlgebraicIntegrate| |IntegerBits| |IntervalCategory| |IntersectionDivisorPackage| |IntegralDomain&| |IntegralDomain| |ElementaryIntegration| |InterfaceGroebnerPackage| |IntegerFactorizationPackage| |InterpolateFormsPackage| |IntegrationFunctionsTable| |GenusZeroIntegration| |IntegerNumberTheoryFunctions| |AlgebraicHermiteIntegration| |TranscendentalHermiteIntegration| |Integer| |AnnaNumericalIntegrationPackage| |PureAlgebraicIntegration| |PatternMatchIntegration| |RationalIntegration| |IntegerRetractions| |RationalFunctionIntegration| |Interval| |IntegerSolveLinearPolynomialEquation| |IntegrationTools| |TranscendentalIntegration| |InverseLaplaceTransform| |InnerPAdicInteger| |InnerPrimeField| |InternalPrintPackage| |IntegrationResultToFunction| |IntegrationResultFunctions2| |IntegrationResult| |IntegerRoots| |IrredPolyOverFiniteField| |IntegrationResultRFToFunction| |IrrRepSymNatPackage| |InternalRationalUnivariateRepresentationPackage| |IndexedString| |InnerPolySum| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InfiniteTupleFunctions2| |InfiniteTupleFunctions3| |InnerTrigonometricManipulations| |InfiniteTuple| |IndexedVector| |IndexedAggregate&| |IndexedAggregate| |AssociatedJordanAlgebra| |KeyedAccessFile| |KeyedDictionary&| |KeyedDictionary| |KernelFunctions2| |Kernel| |CoercibleTo| |ConvertibleTo| |Kovacic| |LeftAlgebra&| |LeftAlgebra| |LocalAlgebra| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LeadingCoefDetermination| |LieExponentials| |LexTriangularPackage| |LiouvillianFunctionCategory| |LiouvillianFunction| |LinGroebnerPackage| |Library| |LieAlgebra&| |LieAlgebra| |AssociatedLieAlgebra| |PowerSeriesLimitPackage| |RationalFunctionLimitPackage| |LinearDependence| |LinearlyExplicitRingOver| |ListToMap| |ListFunctions2| |ListFunctions3| |List| |LinearSystemFromPowerSeriesPackage| |ListMultiDictionary| |LeftModule| |ListMonoidOps| |LinearAggregate&| |LinearAggregate| |LocalPowerSeriesCategory| |ElementaryFunctionLODESolver| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorCategory| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperatorsOps| |Logic&| |Logic| |Localize| |LinesOpPack| |LocalParametrizationOfSimplePointPackage| |LinearPolynomialEquationByFractions| |LiePolynomial| |ListAggregate&| |ListAggregate| |LinearSystemMatrixPackage1| |LinearSystemMatrixPackage| |LinearSystemPolynomialPackage| |LieSquareMatrix| |LyndonWord| |LazyStreamAggregate&| |LazyStreamAggregate| |ThreeDimensionalMatrix| |Magma| |MappingPackageInternalHacks1| |MappingPackageInternalHacks2| |MappingPackageInternalHacks3| |MappingPackage1| |MappingPackage2| |MappingPackage3| |MappingPackage4| |MatrixCategoryFunctions2| |MatrixCategory&| |MatrixCategory| |MatrixLinearAlgebraFunctions| |Matrix| |StorageEfficientMatrixOperations| |MultiVariableCalculusFunctions| |MatrixCommonDenominator| |MachineComplex| |MultiDictionary| |ModularDistinctDegreeFactorizer| |MeshCreationRoutinesForThreeDimensions| |MultFiniteFactorize| |MachineFloat| |ModularHermitianRowReduction| |MachineInteger| |MakeBinaryCompiledFunction| |MakeCachableSet| |MakeFloatCompiledFunction| |MakeFunction| |MakeRecord| |MakeUnaryCompiledFunction| |MultivariateLifting| |MonogenicLinearOperator| |MultipleMap| |MathMLFormat| |ModularField| |ModMonic| |ModuleMonomial| |ModuleOperator| |ModularRing| |Module&| |Module| |MoebiusTransform| |Monad&| |Monad| |MonadWithUnit&| |MonadWithUnit| |MonogenicAlgebra&| |MonogenicAlgebra| |Monoid&| |Monoid| |MonomialExtensionTools| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatPolyFactorizer| |MultivariatePolynomial| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MonoidRingFunctions2| |MonoidRing| |MultisetAggregate| |Multiset| |MoreSystemCommands| |MergeThing| |MultivariateTaylorSeriesCategory| |MultivariateFactorize| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NonAssociativeAlgebra&| |NonAssociativeAlgebra| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagIntegrationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagInterpolationPackage| |NagFittingPackage| |NagOptimisationPackage| |NagMatrixOperationsPackage| |NagEigenPackage| |NagLinearEquationSolvingPackage| |NagLapack| |NagSpecialFunctionsPackage| |NAGLinkSupportPackage| |NonAssociativeRng&| |NonAssociativeRng| |NonAssociativeRing&| |NonAssociativeRing| |NumericComplexEigenPackage| |NumericContinuedFraction| |NonCommutativeOperatorDivision| |NewtonInterpolation| |NumberFieldIntegralBasis| |NumericalIntegrationProblem| |NonLinearSolvePackage| |NonNegativeInteger| |NonLinearFirstOrderODESolver| |NoneFunctions1| |None| |NormInMonogenicAlgebra| |NormalizationPackage| |NormRetractPackage| |NottinghamGroup| |NPCoef| |NewtonPolygon| |NumericRealEigenPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomialFunctions2| |NewSparseUnivariatePolynomial| |NumberTheoreticPolynomialFunctions| |NormalizedTriangularSetCategory| |Numeric| |NumberFormats| |NumericalIntegrationCategory| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |NumericTubePlot| |OrderedAbelianGroup| |OrderedAbelianMonoid| |OrderedAbelianMonoidSup| |OrderedAbelianSemiGroup| |OrderedCancellationAbelianMonoid| |OctonionCategory&| |OctonionCategory| |OctonionCategoryFunctions2| |Octonion| |OrdinaryDifferentialEquationsSolverCategory| |ConstantLODE| |ElementaryFunctionODESolver| |ODEIntensityFunctionsTable| |ODEIntegration| |AnnaOrdinaryDifferentialEquationPackage| |PureAlgebraicLODE| |PrimitiveRatDE| |NumericalODEProblem| |PrimitiveRatRicDE| |RationalLODE| |ReduceLODE| |RationalRicDE| |SystemODESolver| |ODETools| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrderlyDifferentialVariable| |OrderedFreeMonoid| |OrderedIntegralDomain| |OpenMathConnection| |OpenMathDevice| |OpenMathEncoding| |OpenMathErrorKind| |OpenMathError| |ExpressionToOpenMath| |OppositeMonogenicLinearOperator| |OpenMath| |OpenMathPackage| |OrderedMultisetAggregate| |OpenMathServerPackage| |OnePointCompletionFunctions2| |OnePointCompletion| |Operator| |OperationsQuery| |NumericalOptimizationCategory| |AnnaNumericalOptimizationPackage| |NumericalOptimizationProblem| |OrderedCompletionFunctions2| |OrderedCompletion| |OrderedFinite| |OrderingFunctions| |OrderedMonoid| |OrderedRing&| |OrderedRing| |OrderedSet&| |OrderedSet| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategory| |UnivariateSkewPolynomialCategoryOps| |SparseUnivariateSkewPolynomial| |UnivariateSkewPolynomial| |OrthogonalPolynomialFunctions| |OrdSetInts| |OutputForm| |OutputPackage| |OrderedVariableList| |OrdinaryWeightedPolynomials| |PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteFieldCategory| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfPerfectFieldCategory| |PseudoAlgebraicClosureOfRationalNumberCategory| |PseudoAlgebraicClosureOfRationalNumber| |PadeApproximants| |PadeApproximantPackage| |PAdicIntegerCategory| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForAlgebraicFunctionField| |Palette| |PolynomialAN2Expression| |ParametrizationPackage| |ParametricPlaneCurveFunctions2| |ParametricPlaneCurve| |ParametricSpaceCurveFunctions2| |ParametricSpaceCurve| |ParametricSurfaceFunctions2| |ParametricSurface| |PartitionsAndPermutations| |Patternable| |PatternMatchListResult| |PatternMatchable| |PatternMatch| |PatternMatchResultFunctions2| |PatternMatchResult| |PatternFunctions1| |PatternFunctions2| |Pattern| |PoincareBirkhoffWittLyndonBasis| |PolynomialComposition| |PartialDifferentialEquationsSolverCategory| |PolynomialDecomposition| |AnnaPartialDifferentialEquationPackage| |NumericalPDEProblem| |PartialDifferentialRing&| |PartialDifferentialRing| |PendantTree| |Permanent| |PermutationCategory| |PermutationGroup| |Permutation| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialFactorizationExplicit| |PrimeField| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PackageForPoly| |PointsOfFiniteOrderTools| |PartialFraction| |PartialFractionPackage| |PolynomialGcdPackage| |PermutationGroupExamples| |PolyGroebner| |PiCoercions| |PrincipalIdealDomain| |PositiveInteger| |PolynomialInterpolationAlgorithms| |PolynomialInterpolation| |PlacesCategory| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |Plcs| |ParametricLinearEquations| |PlotFunctions1| |Plot3D| |Plot| |PlotTools| |PolynomialPackageForCurve| |FunctionSpaceAssertions| |PatternMatchAssertions| |PatternMatchPushDown| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchKernel| |PatternMatchListAggregate| |PatternMatchPolynomialCategory| |FunctionSpaceAttachPredicates| |AttachPredicates| |PatternMatchQuotientFieldCategory| |PatternMatchSymbol| |PatternMatchTools| |PolynomialNumberTheoryFunctions| |Point| |PolToPol| |RealPolynomialUtilitiesPackage| |PolynomialFunctions2| |PolynomialToUnivariatePolynomial| |PolynomialCategory&| |PolynomialCategory| |PolynomialCategoryQuotientFunctions| |PolynomialCategoryLifting| |Polynomial| |PolynomialRoots| |PlottablePlaneCurveCategory| |PrecomputedAssociatedEquations| |PrimitiveArrayFunctions2| |PrimitiveArray| |PrimitiveFunctionCategory| |PrimitiveElement| |IntegerPrimesPackage| |PrintPackage| |ProjectiveAlgebraicSetPackage| |PolynomialRing| |Product| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PriorityQueueAggregate| |PseudoRemainderSequence| |ProjectiveSpaceCategory| |Partition| |PowerSeriesCategory&| |PowerSeriesCategory| |PlottableSpaceCurveCategory| |PolynomialSetCategory&| |PolynomialSetCategory| |PolynomialSetUtilitiesPackage| |PseudoLinearNormalForm| |PolynomialSquareFree| |PointCategory| |PointFunctions2| |PointPackage| |PartialTranscendentalFunctions| |PushVariables| |PAdicWildFunctionFieldIntegralBasis| |QuasiAlgebraicSet2| |QuasiAlgebraicSet| |QuasiComponentPackage| |QueryEquation| |QuotientFieldCategoryFunctions2| |QuotientFieldCategory&| |QuotientFieldCategory| |QuadraticForm| |QueueAggregate| |QuaternionCategory&| |QuaternionCategory| |QuaternionCategoryFunctions2| |Quaternion| |Queue| |RadicalCategory&| |RadicalCategory| |RadicalFunctionField| |RadixExpansion| |RadixUtilities| |RandomNumberSource| |RationalFactorize| |RationalRetractions| |RecursiveAggregate&| |RecursiveAggregate| |RealClosedField&| |RealClosedField| |ElementaryRischDE| |ElementaryRischDESystem| |TranscendentalRischDE| |TranscendentalRischDESystem| |RandomDistributions| |ReducedDivisor| |RealZeroPackage| |RealZeroPackageQ| |RealConstant| |RealSolvePackage| |RealClosure| |RecurrenceOperator| |ReductionOfOrder| |Reference| |RegularTriangularSet| |RepresentationPackage1| |RepresentationPackage2| |RepeatedDoubling| |RadicalEigenPackage| |RepeatedSquaring| |ResolveLatticeCompletion| |ResidueRing| |Result| |RetractableTo&| |RetractableTo| |RetractSolvePackage| |RandomFloatDistributions| |RationalFunctionFactor| |RationalFunctionFactorizer| |RationalFunction| |RootsFindingPackage| |RegularChain| |RandomIntegerDistributions| |Ring&| |Ring| |RationalInterpolation| |RectangularMatrixCategory&| |RectangularMatrixCategory| |RectangularMatrix| |RectangularMatrixCategoryFunctions2| |RightModule| |Rng| |RealNumberSystem&| |RealNumberSystem| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RecursivePolynomialCategory&| |RecursivePolynomialCategory| |RealRootCharacterizationCategory&| |RealRootCharacterizationCategory| |RegularSetDecompositionPackage| |RegularTriangularSetCategory&| |RegularTriangularSetCategory| |RegularTriangularSetGcdPackage| |RuleCalled| |RewriteRule| |Ruleset| |RationalUnivariateRepresentationPackage| |SimpleAlgebraicExtensionAlgFactor| |SimpleAlgebraicExtension| |SAERationalFunctionAlgFactor| |SingletonAsOrderedSet| |SortedCache| |StructuralConstantsPackage| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |SegmentFunctions2| |SegmentBindingFunctions2| |SegmentBinding| |SegmentCategory| |Segment| |SegmentExpansionCategory| |SetAggregate&| |SetAggregate| |SetCategoryWithDegree| |SetCategory&| |SetCategory| |SetOfMIntegersInOneToN| |Set| |SExpressionCategory| |SExpression| |SExpressionOf| |SimpleFortranProgram| |SquareFreeQuasiComponentPackage| |SquareFreeRegularTriangularSetGcdPackage| |SquareFreeRegularTriangularSetCategory| |SymmetricGroupCombinatoricFunctions| |SemiGroup&| |SemiGroup| |SplitHomogeneousDirectProduct| |SturmHabichtPackage| |ElementaryFunctionSign| |RationalFunctionSign| |SimplifyAlgebraicNumberConvertPackage| |SingleInteger| |StackAggregate| |SquareMatrixCategory&| |SquareMatrixCategory| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SquareFreeNormalizedTriangularSetCategory| |PolynomialSolveByFormulas| |RadicalSolvePackage| |TransSolvePackageService| |TransSolvePackage| |SortPackage| |ThreeSpace| |ThreeSpaceCategory| |SpecialOutputPackage| |SpecialFunctionCategory| |SplittingNode| |SplittingTree| |SquareMatrix| |StringAggregate&| |StringAggregate| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |Stack| |StreamAggregate&| |StreamAggregate| |SparseTable| |StepThrough| |StreamInfiniteProduct| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |Stream| |StringCategory| |String| |StringTable| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctionsNonCommutative| |StreamTranscendentalFunctions| |SubResultantPackage| |SubSpace| |SuchThat| |SparseUnivariateLaurentSeries| |FunctionSpaceSum| |RationalFunctionSum| |SparseUnivariatePolynomialFunctions2| |SparseUnivariatePolynomialExpressions| |SupFractionFactorizer| |SparseUnivariatePolynomial| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |Switch| |Symbol| |SymmetricFunctions| |SymmetricPolynomial| |TheSymbolTable| |SymbolTable| |SystemSolvePackage| |TableauxBumpers| |Tableau| |Table| |TangentExpansions| |TableAggregate&| |TableAggregate| |TabulatedComputationPackage| |TemplateUtilities| |TexFormat1| |TexFormat| |TextFile| |ToolsForSign| |TopLevelThreeSpace| |TranscendentalFunctionCategory&| |TranscendentalFunctionCategory| |Tree| |TrigonometricFunctionCategory&| |TrigonometricFunctionCategory| |TrigonometricManipulations| |TriangularMatrixOperations| |TranscendentalManipulations| |TriangularSetCategory&| |TriangularSetCategory| |TaylorSeries| |TubePlot| |TubePlotTools| |Tuple| |TwoFactorize| |Type| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |UniqueFactorizationDomain&| |UniqueFactorizationDomain| |UnivariateFormalPowerSeriesFunctions| |UnivariateFormalPowerSeries| |UnivariateLaurentSeriesFunctions2| |UnivariateLaurentSeriesCategory| |UnivariateLaurentSeriesConstructorCategory&| |UnivariateLaurentSeriesConstructorCategory| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeries| |UnivariateFactorize| |UniversalSegmentFunctions2| |UniversalSegment| |UnivariatePolynomialFunctions2| |UnivariatePolynomialCommonDenominator| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomial| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategory| |UnivariatePowerSeriesCategory&| |UnivariatePowerSeriesCategory| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeriesFunctions2| |UnivariatePuiseuxSeriesCategory| |UnivariatePuiseuxSeriesConstructorCategory&| |UnivariatePuiseuxSeriesConstructorCategory| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnaryRecursiveAggregate&| |UnaryRecursiveAggregate| |UnivariateTaylorSeriesFunctions2| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesCategory| |UnivariateTaylorSeries| |UnivariateTaylorSeriesODESolver| |UTSodetools| |TaylorSolve| |UnivariateTaylorSeriesCZero| |Variable| |VectorCategory&| |VectorCategory| |VectorFunctions2| |Vector| |TwoDimensionalViewport| |ThreeDimensionalViewport| |ViewDefaultsPackage| |ViewportPackage| |Void| |VectorSpace&| |VectorSpace| |WeierstrassPreparation| |WildFunctionFieldIntegralBasis| |WeightedPolynomials| |WuWenTsunTriangularSet| |XAlgebra| |XDistributedPolynomial| |XExponentialPackage| |XFreeAlgebra| |ExtensionField&| |ExtensionField| |XPBWPolynomial| |XPolynomialsCat| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ParadoxicalCombinatorsForStreams| |ZeroDimensionalSolvePackage| |IntegerLinearDependence| |IntegerMod| |Enumeration| |Mapping| |Record| |Union| |Category| |ScanFloatIgnoreSpaces| |printInfo| |ratDsolve| |areEquivalent?| |expint| |iiatan| |generalizedContinuumHypothesisAssumed?| |symmetricSquare| |internalIntegrate| |incrementKthElement| |pushdown| |validExponential| |iprint| |polar| |bumprow| |cSech| |qsetelt!| |standardBasisOfCyclicSubmodule| |stopTable!| |characteristicPolynomial| |numberRatPlacesExtDeg| |triangulate| |initializeGroupForWordProblem| |triangSolve| |getExplanations| |newElement| |pole?| |deepestTail| |oddlambert| |numberOfChildren| |nextNormalPoly| |sumSquares| |maxrow| |rightRemainder| |rightGcd| |directSum| |replaceVarByZero| |enterPointData| |OMputEndAtp| |initiallyReduce| |lazyIntegrate| |intensity| |lintgcd| |viewDeltaYDefault| |var2StepsDefault| |symFunc| |localParam| |exprToUPS| |sorted?| |univariatePolynomialsGcds| |toseInvertibleSet| |psolve| |useSingleFactorBound?| |expextendedint| |mapmult| |escape| |setpoint!| |guessAlg| |degreeSubResultant| |quasiRegular?| |hasHi| |supDimElseRittWu?| |rational?| |eval| |possiblyInfinite?| |mindeg| |linearDependenceOverZ| |minColIndex| |shellSort| |pointDominateBy| |resetAttributeButtons| |subHeight| |leviCivitaSymbol| |exists?| |showTheFTable| |euclideanNormalForm| |semiResultantEuclidean2| |submod| |leftFactorIfCan| |univariate?| |outputArgs| |nextsousResultant2| |Ei2| |reduced?| |multinomial| |foundZeroes| |stirling1| |difference| |content| |midpoint| |knownInfBasis| |OMgetEndAtp| |representationType| |chiSquare| |tube| |desingTreeWoFullParam| |patternMatchTimes| |degOneCoef| |center| |deriv| |startStats!| |removeDuplicates!| |tubeRadiusDefault| |safetyMargin| |halfExtendedResultant1| |ridHack1| |largest| |f2df| |drawComplex| |balancedFactorisation| |nextSubsetGray| |factorSFBRlcUnit| |shade| |setEpilogue!| |setScreenResolution| |derivationCoordinates| |initTable!| |modifyPoint| |SturmHabichtCoefficients| |has?| |ratDenom| |basisOfLeftAnnihilator| |createNormalElement| |basisOfInterpolateForms| |composites| |getShiftRec| |expenseOfEvaluation| |dequeue| |topFortranOutputStack| |pascalTriangle| |whatInfinity| |retractable?| |setPredicates| |traverse| |skewSFunction| |cSec| |symmetricPower| |algebraic?| |brillhartTrials| |taylorIfCan| |pol| |setOfMinN| |transform| |adjoint| |quickSort| |yRange| |clipWithRanges| |inHallBasis?| |mainDefiningPolynomial| |bandedJacobian| |writable?| |bipolar| |showTypeInOutput| |identitySquareMatrix| |subset?| |splitConstant| |polarCoordinates| |duplicates?| |numberOfPrimitivePoly| |excpDivV| |positive?| |unexpand| |monicDivide| |acsch| |headRemainder| |crushedSet| |minrank| |nextsubResultant2| |pack!| |uniform01| |comp| |linearAssociatedOrder| |separate| |infieldint| |rationalPlaces| |stiffnessAndStabilityFactor| |headReduce| |mightHaveRoots| |string?| |algebraicSet| |fixedPointExquo| |nextPrimitiveNormalPoly| |localize| |normalDeriv| |aCubic| |asinhIfCan| |simpson| |rightAlternative?| |radical| |En| |euclideanSize| |pushucoef| |stoseInvertibleSet| |leftFactor| |multiplicity| |evenInfiniteProduct| |nthRootIfCan| |positiveSolve| |trim| |listConjugateBases| |PDESolve| |rootNormalize| F |sumOfDivisors| |entries| |karatsubaOnce| |showAllElements| |position!| |initial| |ignore?| |cCosh| |branchPoint?| |backOldPos| |orbits| |numberOfVariables| |makeEq| |definingPolynomial| |sinh2csch| |retractToGrn| |mainVariable?| |iroot| |minimalPolynomial| |mathieu24| |cycleSplit!| |subresultantSequence| |setmult!| |minPoints| |rightRankPolynomial| |fractionFreeGauss!| |mkPrim| |groebner| |generalSqFr| |rationalApproximation| |rightNorm| |critM| |indiceSubResultant| |sin2csc| |digits| |outputMeasure| |integralMatrix| |lastSubResultantElseSplit| |oddInfiniteProduct| |car| |patternMatch| |viewThetaDefault| |over| |decrease| |daxpy| |rightTraceMatrix| |OMclose| |cyclotomic| |cdr| |nextNormalPrimitivePoly| |increasePrecision| |laguerre| |quasiMonicPolynomials| |ricDsolve| |tree| |palgLODE| |parabolic| |guess| |primitivePart!| |compactFraction| |gcdPrimitive| |bits| |ran| |mesh?| |contract| |leadingExponent| |legendreP| |generalInterpolation| |tanSum| |groebnerFactorize| |rombergo| |nthRoot| |singularPointsWithRestriction| |variationOfParameters| |printStats!| |removeRoughlyRedundantFactorsInPol| |normalizedDivide| |genericLeftMinimalPolynomial| |One| |fresnelS| |setMaxPoints| |lazyPseudoRemainder| |upDateBranches| |overlabel| |suchThat| |addmod| |fresnelC| |plot| |showIntensityFunctions| |remove!| |internalSubPolSet?| |createMultiplicationTable| |diff| |OMconnInDevice| |operation| |exactQuotient| |leastPower| |pmComplexintegrate| |tab| |perfectNthPower?| |ef2edf| |obj| |ParCondList| |Is| |setAttributeButtonStep| |numerators| |iiacosh| |clearCache| |newtonPolySlope| |invmultisect| |checkPrecision| |bezoutDiscriminant| |genusTree| |rightScalarTimes!| |quasiMonic?| |reorder| |deepestInitial| |tanAn| |extractClosed| |one?| |OMputObject| |deleteRoutine!| |groebgen| |dcopy| |removeSuperfluousCases| |lazyPrem| |returnTypeOf| |linears| |minset| |taylorQuoByVar| |freeOf?| |primaryDecomp| |universe| |safeCeiling| ~ |axServer| |curve| |rangePascalTriangle| |coord| |UP2ifCan| |sin?| |sPol| |toseSquareFreePart| |argumentList!| |symbol?| |opeval| |squareFreeLexTriangular| |replaceVarByOne| |viewpoint| |sizeMultiplication| |factorByRecursion| |showFortranOutputStack| |scripted?| |prod| |reduceLODE| |irreducible?| |factorAndSplit| |symbNameV| |scalarMatrix| |prime| |modTree| |clearFortranOutputStack| |monomialIntegrate| |refine| |summary| |mapExpon| |choosemon| |OMgetFloat| |complexEigenvalues| |startPolynomial| |show| |splitLinear| |gcdcofact| |outlineRender| |monicModulo| |factorCantorZassenhaus| |doubleFloatFormat| |coordinates| |e02aef| |currentSubProgram| |iidigamma| |csubst| |bumptab1| |oddintegers| |isList| |approximants| |distance| |c02agf| |size?| |reducedSystem| |perfectSquare?| |selectOptimizationRoutines| |c02aff| |reopen!| |removeSquaresIfCan| |tanIfCan| |component| |e02adf| |showAttributes| |scan| |nodeOf?| |changeBase| |second| |c05pbf| |expintfldpoly| |listOfMonoms| |rationalFunction| |subNode?| |compile| |symbolIfCan| |zRange| |mindegTerm| |coefOfFirstNonZeroTerm| |leader| |credits| |factorOfDegree| |getGoodPrime| |normalise| |flexibleArray| |infix?| |#| |ramifiedAtInfinity?| |bumptab| |eq?| |abelianGroup| |e01sef| |polyRingToBlUpRing| |setfirst!| |createIrreduciblePoly| |insert!| |comment| |e01saf| |expenseOfEvaluationIF| |monicDecomposeIfCan| |increment| |solveRetract| |summation| |id| |e01daf| |factor1| = |subscriptedVariables| |multV| |arg1| |integer| |e01bhf| |distdfact| |resetVariableOrder| |mapMatrixIfCan| |changeThreshhold| |arg2| |leftRankPolynomial| |e01bgf| |min| |random| < |SturmHabichtMultiple| |subResultantGcd| |tanQ| |e01bff| |denomLODE| > |startTableGcd!| |cAcos| |clip| |string| |e01bef| |tensorProduct| <= |primitive?| |zCoord| |leftZero| |e01baf| |cAcosh| >= |clearTheSymbolTable| |presuper| |e02zaf| |leftScalarTimes!| |interpolateFormsForFact| |makeFloatFunction| |diagonal| |e02gaf| |number?| |addBadValue| |curveV| |generalTwoFactor| |e02dff| |imagE| |lazyVariations| + |OMReadError?| |mainForm| |saturate| |e02def| |primlimitedint| - |optional?| |stopTableInvSet!| |style| |e02ddf| |pmintegrate| / |cAsinh| |relativeApprox| |e02dcf| |setFieldInfo| |atrapezoidal| |movedPoints| |branchIfCan| |rotatey| |e02daf| |forLoop| |purelyAlgebraic?| |union| |triangular?| |e02bef| |mix| |lquo| |startTableInvSet!| |radicalEigenvalues| |suppOfZero| |entry?| |univariatePolynomial| |atom?| |outerProduct| |e01sbf| |factorsOfDegree| |unmakeSUP| |companionBlocks| |setchildren!| |SFunction| |possiblyNewVariety?| |integer?| |airyBi| |radPoly| |rootBound| |addPoint| |hspace| |morphism| |zero?| |drawToScale| |orthonormalBasis| |inverseIntegralMatrix| |subResultantGcdEuclidean| |trigs2explogs| |adaptive| |Si| |quote| |makeViewport2D| |partition| |limitedint| |fortranTypeOf| |halfExtendedSubResultantGcd1| |polyred| |minus!| |eulerE| |degree| |internalDecompose| |inrootof| |bernoulli| |setexcpDiv!| |numberOfComputedEntries| |rightMult| |listOfLists| |order| |integrate| |ptree| |setFoundZeroes| |untab| |listLoops| |mdeg| |new| |jacobiIdentity?| |interReduce| |divide| |jacobi| |tableForDiscreteLogarithm| |append| |OMputAtp| |countRealRoots| |subs1stVar| |translate| |ramified?| |screenResolution3D| |intersect| |mapExponents| |function| |rootsOf| |affineSingularPoints| |polyRicDE| |showArrayValues| |rightTrim| |shift| |iiacsc| |graphState| |power!| |concat!| |Musser| |listBranches| |selectPolynomials| |roughSubIdeal?| |prindINFO| |mapSolve| |hasSolution?| |selectAndPolynomials| |excepCoord| |makeMulti| |primeFrobenius| |infinityNorm| ^ |inc| |sub| |extractProperty| |latex| |exp| |domainOf| |messagePrint| |stopMusserTrials| |lazy?| |pi| |algSplitSimple| |ncols| |cCsc| |OMParseError?| |sqrt| |tryFunctionalDecomposition| |cCos| |epilogue| |tan2trig| |gnuDraw| |lighting| |readLine!| |toseLastSubResultant| |li| |green| |approxSqrt| |parent| |resetBadValues| |erf| |colorFunction| |inverseColeman| |topPredicate| |delay| |homogeneous?| |tRange| |certainlySubVariety?| |fixedPoint| |tanh2coth| |sparsityIF| |front| |dilog| |paraboloidal| |finiteSeries2Vector| |readIfCan!| |trace| |tan| |minimalForm| |definingField| |firstNumer| |cot| |superHeight| |exponential1| |secIfCan| |sec| |ode2| |cAcsc| |setValue!| |csc| |laguerreL| |rewriteIdealWithQuasiMonicGenerators| |qinterval| |asin| |aQuartic| |leftRank| |open?| |acos| |removeRoughlyRedundantFactorsInPols| |extractSplittingLeaf| |setrest!| |atan| |padicFraction| |mapBivariate| |showTheSymbolTable| |assign| |acot| |dim| |diagonalProduct| |yellow| |asec| |vectorise| |prinpolINFO| |sqfree| |acsc| |decreasePrecision| |leftRecip| |setProperty| |sinh| |augment| |pleskenSplit| |integralAtInfinity?| |cosh| |OMgetVariable| |pdf2ef| |distFact| |tanh| |shallowExpand| |eulerPhi| |width| |coth| |logpart| |empty| |continuedFraction| |sech| |solveInField| |selectIntegrationRoutines| |routines| |csch| |newSubProgram| |primitivePart| |fractionPart| |asinh| |solve1| |exprex| |complexSolve| |acosh| |cothIfCan| |toScale| |associator| |atanh| |complexElementary| |invertIfCan| |curve?| |acoth| |terms| |argument| |characteristicSet| |asech| |elRow2!| |semiSubResultantGcdEuclidean1| |bivariatePolynomials| |iiasin| |baseRDE| |applyTransform| |resultantReduitEuclidean| |dmpToP| |extension| |inBetweenExcpDiv| |kroneckerDelta| |SturmHabichtSequence| |tanhIfCan| |localAbs| |leadingCoefficientRicDE| |swap| |OMreadFile| |pointValue| |lyndonIfCan| |moebius| |subTriSet?| |showTheRoutinesTable| |semiResultantEuclidean1| |fortranDouble| |directProduct| |returns| |pr2dmp| |mkAnswer| |destruct| |rightUnit| |max| |scaleRoots| |monomial| |tan2cot| |logIfCan| |subSet| |multivariate| |ZetaFunction| |ipow| |expandLog| |variables| |characteristicSerie| |permanent| |leftDiscriminant| |leftUnit| |product| |aromberg| |updatD| |dimensionsOf| |numberOfComponents| |taylor| |rangeIsFinite| |qelt| |spherical| |permutationGroup| |laurent| |setcurve!| |restorePrecision| |factors| |weights| |puiseux| |prefixRagits| |coefficient| |even?| |LiePoly| |true| |inv| |birth| |machineFraction| |rootProduct| |unitNormalize| |ground?| |dcabs1| |theCurve| |gcdcofactprim| |finiteSeries2LinSysWOVectorise| |ground| |variableName| |rules| |rightQuotient| |intChoose| |generic?| |leadingMonomial| |datalist| |lagrange| |numberOfPlacesOfDegree| |basisOfCommutingElements| |leadingCoefficient| |iiasec| |stripCommentsAndBlanks| |meatAxe| |numberOfValuesNeeded| |sort!| |primitiveMonomials| |cfirst| |isPlus| |iitanh| |rk4| |subResultantChain| |reductum| |writeLine!| |list?| |lflimitedint| |bottom!| |split!| |measure2Result| |preprocess| |rroot| |tablePow| |infLex?| |maxint| |mpsode| |OMsupportsCD?| |lifting1| |systemSizeIF| |fullParamInit| |open| |transcendent?| |mainSquareFreePart| |palginfieldint| |rootOfIrreduciblePoly| |duplicates| |stosePrepareSubResAlgo| |imagj| |and| |groebner?| |pile| |critpOrder| |autoReduced?| |basisOfRightNucleus| |seed| |genusNeg| |besselK| |trapezoidal| |normal?| |guessRat| |jordanAlgebra?| |xn| |conditionsForIdempotents| |scalarTypeOf| |initiallyReduced?| |chainSubResultants| |fixPredicate| |operators| |torsion?| |rightRank| |elements| |makeSketch| |complexNumericIfCan| |outputAsTex| |binaryTournament| |extend| |extendedResultant| |strongGenerators| |monomial?| |factorsOfCyclicGroupSize| |deleteProperty!| |mainCoefficients| |partialQuotients| |region| |edf2efi| |fillPascalTriangle| |varselect| |extractBottom!| |makingStats?| |reverseLex| |singleFactorBound| |realElementary| |error| |eigenvectors| |toseInvertible?| |complete| |logical?| |firstUncouplingMatrix| |singularAtInfinity?| |Ei6| |linearAssociatedLog| NOT |constantKernel| |lyndon| |prime?| |hMonic| OR |color| |complexZeros| |df2mf| |acosIfCan| |bombieriNorm| AND |selectSumOfSquaresRoutines| |lp| |integralMatrixAtInfinity| |Gamma| |overset?| |assert| |top!| |zeroSetSplitIntoTriangularSystems| |nextItem| |condition| |laplacian| |in?| |divisorAtDesingTree| |homogenize| |pdct| |type| |numberOfFractionalTerms| |stFunc1| |squareFreePrim| |quartic| |iiasinh| |unravel| |row| |initParLocLeaves| |fixedDivisor| |raisePolynomial| |removeZeroes| |hue| |ratPoly| |rightRegularRepresentation| |relerror| |third| |whileLoop| |integralBasisAtInfinity| |isMult| |nrows| |reducedQPowers| |sincos| |normal| |prevPrime| |prolateSpheroidal| |OMgetString| |polygon?| |mainVariables| |pade| |zerosOf| |round| |map!| |pointPlot| |isAbsolutelyIrreducible?| * |setlast!| |modularGcdPrimitive| |setlocalPoint!| |isQuotient| |oneDimensionalArray| |irreducibleFactor| |negAndPosEdge| |lprop| |subMatrix| |listexp| |probablyZeroDim?| |odd?| |schema| |listRepresentation| |matrix| |argscript| |associates?| |var1StepsDefault| |distinguishedCommonRootsOf| |outputForm| |surface| |divideIfCan| |OMopenFile| |displayAsGF| |normal01| |rootKerSimp| |generic| |constantRight| |acotIfCan| |dot| |iicsc| |guessExpRat| |hcrf| |appendPoint| |lookup| |divOfPole| |ReduceOrder| |getMeasure| |exactQuotient!| |extendedIntegrate| |outputFixed| |pureLex| |createMultiplicationMatrix| |idealiser| |subCase?| |cycleElt| |fffg| |affineAlgSetLocal| |lexTriangular| |iidsum| |meshFun2Var| |objects| |tryFunctionalDecomposition?| |mirror| |edf2ef| |getRef| |nthCoef| |symmetricProduct| |nthExpon| |listAllMono| |integral| |reset| |numer| |leadingIndex| |setScreenResolution3D| |lazyPremWithDefault| |geometric| |regime| |write| |denom| |redPol| |trueEqual| |cAtanh| |createPrimitiveElement| |reduceBasisAtInfinity| |save| |palgint| |overbar| |intersectionDivisor| |debug3D| |mainKernel| |draw| |computePowers| |hconcat| |permutation| |numberOfHues| |roughBase?| |makeObject| |fortranLinkerArgs| |diagonals| |block| LODO2FUN |iExquo| |coef| |nextIrreduciblePoly| |firstSubsetGray| |zeroSetSplit| |primPartElseUnitCanonical!| |exQuo| |monom| |romberg| |const| |putColorInfo| |OMgetEndObject| |schwerpunkt| |createZechTable| |gradient| |lllip| |outputAsScript| |pToHdmp| |e01sff| |compdegd| |multiset| |OMgetError| |rank| |constantLeft| |se2rfi| |rightLcm| |symmetricGroup| |mathieu23| |karatsuba| |singularPoints| |posExpnPart| |laurentIfCan| |uniform| |powmod| |digamma| |definingEquations| |exteriorDifferential| |processTemplate| |conjugate| |satisfy?| |sumOfSquares| |rightFactorIfCan| |primintfldpoly| |solid?| |quadTransform| |rational| |cRationalPower| |tanh2trigh| |OMbindTCP| |radix| |intermediateResultsIF| |hclf| |showRegion| |dom| |rem| |base| |coerceP| |factorial| |ocf2ocdf| |eigenvector| |sup| |eq| |cylindrical| |nextSublist| |randnum| |quo| |generalizedInverse| |unparse| |mainMonomial| |blankSeparate| |qroot| |library| |OMputEndBVar| |sinIfCan| |tubePointsDefault| |minordet| |OMopenString| |/\\| |newLine| |ddFact| |cardinality| |curveColor| |unitNormal| |\\/| |lhs| |solveLinearPolynomialEquation| |antiCommutative?| |empty?| |mesh| |setelt| |setsymbName!| |arity| |Lazard2| |janko2| |localIntegralBasis| |contractSolve| |cyclotomicFactorization| |csch2sinh| |genericRightTrace| |Ei3| ~= |reseed| |purelyTranscendental?| |semiLastSubResultantEuclidean| |pomopo!| |numericIfCan| |clearTheFTable| |build| |rCoord| |setleft!| |factorGroebnerBasis| |critBonD| |setImagSteps| |infieldIntegrate| |generalizedContinuumHypothesisAssumed| |OMgetEndBind| |segment| |mkIntegral| |rightTrace| |stack| |level| |maxPoints3D| |commonDenominator| |harmonic| |int| |previousTower| |constant?| |createNormalPoly| |modulus| |univariatePolynomials| |realEigenvalues| |compose| |swap!| |finiteBasis| |mapdiv| |weighted| |idealiserMatrix| |mr| |insertTop!| |palgRDE0| |viewPosDefault| |fill!| |identityMatrix| |resize| |palgintegrate| |chiSquare1| |DiffC| |printCode| |credPol| |lcm| |upperCase!| |functionIsContinuousAtEndPoints| |OMputAttr| |reduceRowOnList| |viewDeltaXDefault| |makeGraphImage| |countable?| |addiag| |rowEchelonLocal| |options| |droot| |totalfract| |cAsin| |series| |evaluate| |expt| |nthFlag| |rotatex| |lambert| |clipBoolean| |symmetricRemainder| |leftGcd| |genericLeftTrace| |column| |getDomains| |coHeight| |setColumn!| |GospersMethod| |collectUnder| |createHN| |separateDegrees| |checkOptions| |realSolve| |resultantEuclideannaif| |constantCoefficientRicDE| |resultantReduit| |setCondition!| |roughEqualIdeals?| |pointInIdeal?| |float?| |minIndex| |createPrimitivePoly| |stepBlowUp| |lfunc| |closedCurve?| |antisymmetricTensors| |orderIfNegative| |reduceLineOverLine| |besselI| |integral?| |blowUp| |chartCoord| |member?| |badNum| |unrankImproperPartitions1| |rightExactQuotient| |readLineIfCan!| |linearPart| |octon| |getCode| |optAttributes| |ramifMult| |patternVariable| |twist| |wholePart| |ode1| |dark| |signAround| |power| |stoseInvertible?reg| |simpleBounds?| |nor| |midpoints| |subs2ndVar| LT |doubleDisc| |exponents| |OMconnOutDevice| |numberPlacesDegExtDeg| |cosSinInfo| |semicolonSeparate| |inspect| |trailingCoefficient| |shiftInfoRec| |coleman| |rst| |mapUnivariateIfCan| |nthFractionalTerm| |leftUnits| |basis| |sizeLess?| |cSin| |determinant| |imagk| |LyndonWordsList1| |quadraticNorm| |null| |setMinPoints3D| |exquo| |bracket| |stFuncN| |leftRemainder| |prinshINFO| |div| |rationalPoints| |degreePartition| |enterInCache| |lazyGintegrate| |remainder| |fullInfClsPt| |clearDenominator| |OMputEndBind| |critB| |getStream| |removeConjugate| ^= |outputFloating| |frst| |isExpt| |top| |putGraph| |numFunEvals3D| |complexLimit| |generalizedEigenvector| |chebyshevU| |mapUp!| |defineProperty| |tableau| |bitCoef| |OMwrite| |iiacoth| |sum| |iteratedInitials| |vconcat| |cAsec| |trigs| |ref| |sdf2lst| |viewZoomDefault| |permutationRepresentation| |pointSizeDefault| |partialFraction| |symbolTableOf| |useEisensteinCriterion| |cubic| |setRealSteps| |singRicDE| |redmat| |option?| UP2UTS |origin| |matrixConcat3D| |leftExtendedGcd| |gbasis| |OMgetApp| |factorUsingMusser| |totalLex| |basisOfLeftNucloid| |associatorDependence| |log10| |typeList| |nextColeman| |cn| |setDegree!| |lfintegrate| |degreeSubResultantEuclidean| |iibinom| |foundPlaces| |figureUnits| |vark| |adjunctionDivisor| |fixedPoints| |makeSUP| |iflist2Result| |lists| RF2UTS |antisymmetric?| |coth2tanh| |maxDerivative| |search| |rationalPoint?| |sn| |nonLinearPart| |linGenPos| |cot2trig| |xCoord| |call| |lfextendedint| LE |iCompose| |subtractIfCan| |message| |moduloP| |inverseLaplace| |alphanumeric| |gderiv| |acothIfCan| |rischDEsys| |cCoth| |removeIrreducibleRedundantFactors| |shiftLeft| |supp| |pointColorDefault| |completeHermite| |previous| |setPosition| |normalizeIfCan| |exprToXXP| |generator| |lazyPquo| |interpolate| |safeFloor| |setprevious!| |find| |elRow1!| |edf2fi| |inverse| |getEq| |increase| |dihedralGroup| |imaginary| |simplifyExp| |discreteLog| |null?| |gcd| |primeFactor| GT |sh| |rewriteIdealWithHeadRemainder| |maxPoints| |setelt!| |numberOfCycles| |slex| |complexForm| |evalIfCan| |ravel| |binary| |frobenius| |HenselLift| |sech2cosh| |lowerCase!| |jacobian| |printTypes| |transcendentalDecompose| |df2fi| |OMgetSymbol| |Ei1| |graphStates| |coerce| |lo| |presub| |setleaves!| |set| |shiftRight| |incr| |computeCycleEntry| |lex| |hi| |powerSum| |Ei5| |RemainderList| |DiffAction| |logGamma| |kovacic| |cyclic?| |numberOfFactors| |declare| |position| |removeConstantTerm| |Beta| |normalElement| |concat| |computeInt| |homogeneous| |infinite?| |OMcloseConn| |differentialVariables| |principal?| GE |iisinh| |belong?| |HermiteIntegrate| |elt| |fractRagits| |generate| |redPo| |equation| |leftTrace| |incrementBy| |sin| |complexIntegrate| |mantissa| |expand| |cos| |getlo| |lastNonNul| |factorPolynomial| |filterWhile| |map| |lazyEvaluate| |slash| |filterUntil| |maxColIndex| |lazyPseudoDivide| |select| |assoc| |rur| |solveid| |key?| |moreAlgebraic?| |weakBiRank| |bsolve| |abs| |rightRecip| |biRank| |status| |rightPower| |setStatus!| |mainVariable| |explicitEntries?| |pop!| |makeRecord| |endOfFile?| |ScanFloatIgnoreSpacesIfCan| |prepareDecompose| |trapezoidalo| |property| |checkForZero| |linSolve| |delete| |totalDifferential| |Ci| |rischDE| |withPredicates| |units| |makeYoungTableau| |basicSet| |cPower| |shufflein| |enumerate| |multiplicative?| |e| |factorSquareFreePolynomial| |iipow| |LyndonWordsList| |rarrow| |finiteBound| |relationsIdeal| |mapCoef| |code| |semiDiscriminantEuclidean| |corrPoly| |fortranCompilerName| |value| |limitedIntegrate| |commutativeEquality| |multiEuclidean| |reduceRow| |retract| |iiacos| |negative?| |fullOut| |selectsecond| |froot| |actualExtensionV| |properties| |lBasis| |eigenMatrix| |integers| |constantIfCan| |zeroSquareMatrix| |setlocalParam!| |OMunhandledSymbol| |charClass| |seriesSolve| |implies| |mergeDifference| |wholeRagits| |localParamOfSimplePt| |deref| |selectODEIVPRoutines| |OMgetBind| |pushup| |setProperties| |traceMatrix| |printingInfo?| |push!| |rightDiscriminant| |connect| |subResultantsChain| |jordanAdmissible?| |selectOrPolynomials| |virtualDegree| |cycles| |var1Steps| |clikeUniv| |polynomialZeros| |bitLength| |minPoints3D| |f04adf| |direction| |quoted?| |parabolicCylindrical| |recip| |pointColor| |OMread| |alternatingGroup| |physicalLength| |outputList| |mat| |tanNa| |resultant| |continue| |findCycle| |pointColorPalette| |neglist| |smith| |index?| |bringDown| |char| |rootOf| |ptFunc| |factorFraction| |f07fef| |atoms| |itsALeaf!| |iiatanh| |f07fdf| |getPickedPoints| Y |pseudoQuotient| |expPot| |f07aef| |makeFR| |inf| |nullSpace| |f07adf| |rename!| |loopPoints| |filterUpTo| |indiceSubResultantEuclidean| |removeRoughlyRedundantFactorsInContents| |rewriteSetWithReduction| |s17dlf| |parametersOf| |numberOfDivisors| |setCurve| |s17dhf| |OMmakeConn| |OMputBind| |clearTable!| |s17dgf| |numeric| |solveLinearPolynomialEquationByFractions| |middle| |f02xef| |listAllMonoExp| |ParCond| |mapDown!| |f02wef| |radicalOfLeftTraceForm| |powers| |numberOfOperations| |option| |height| |f02fjf| |roughBasicSet| |intcompBasis| |printHeader| |f02bjf| |update| |irreducibleRepresentation| |solveLinear| |FormatRoman| |fmecg| |f02bbf| |cAtan| |linkToFortran| |factorUsingYun| |purelyAlgebraicLeadingMonomial?| |f02axf| |radicalSimplify| |varList| |infClsPt?| |f02awf| |antiAssociative?| |dflist| |removeSinhSq| |readable?| |table| |f02akf| |initializeParamOfPlaces| |btwFact| |character?| |wholeRadix| |f02ajf| EQ |henselFact| |distinguishedRootsOf| |additive?| |f02agf| |makeTerm| |radicalSolve| |prem| |cAcoth| |unaryFunction| |wronskianMatrix| |KrullNumber| |And| |f02aff| |formula| |curryRight| |RittWuCompare| |desingTree| |f02aef| |palglimint0| |iiBesselK| |listOfTerms| |f02adf| |normalDenom| |resultantnaif| |genericRightTraceForm| |createLowComplexityTable| |f02abf| |OMgetInteger| |shuffle| |log2| |f02aaf| |coerceImages| |hasPredicate?| |makeVariable| |left| |measure| |palgextint0| |laplace| |subPolSet?| |multiple| |indicialEquation| |extractIfCan| |rightFactorCandidate| |optional| |linearlyDependentOverZ?| |arrayStack| |approxNthRoot| |high| |useNagFunctions| |squareFreePart| |not| |lyndon?| |cubicBezier| |functionName| |denomRicDE| |iicosh| |viewPhiDefault| |aQuadratic| |taylorRep| |insertBottom!| |quadratic| |maxTower| |Zero| |allRootsOf| |applyQuote| |infinity| |monomials| |qnew| |cyclicCopy| |double| |graphs| |interpretString| |genericRightNorm| |palgint0| |conditionP| |linearBezier| |setParam!| FG2F |reciprocalPolynomial| |particularSolution| |parse| |palgLODE0| |divergence| |sec2cos| |nullary| |reducedContinuedFraction| |halfExtendedResultant2| |upperCase| |acscIfCan| |rootSplit| |returnType!| |lift| |curveColorPalette| |iiasech| |bernoulliB| |pdf2df| |totolex| |xor| |reduce| |genericPosition| |swapColumns!| |numberOfImproperPartitions| |commaSeparate| |qShiftAction| |evalRec| |graphCurves| |pfaffian| |stirling2| |shanksDiscLogAlgorithm| |rightCharacteristicPolynomial| |zeroDimensional?| |or| |dimension| |conical| |minPol| |exp1| |wordInGenerators| |hasTopPredicate?| |leftCharacteristicPolynomial| |definingInequation| |gcdprim| |createThreeSpace| |basisOfLeftNucleus| F2EXPRR |algint| |reduction| |evaluateInverse| |balancedBinaryTree| |innerEigenvectors| |selectMultiDimensionalRoutines| |normalize| |cAcsch| |iicot| |exponential| |randomR| |OMgetType| |dictionary| |times!| |roman| |guessRec| |supersub| |lastSubResultant| |mathieu12| |minRowIndex| |mkcomm| |gethi| |LyndonCoordinates| |newTypeLists| |e02bcf| |tower| |elliptic| |leftRegularRepresentation| |OMgetObject| |prinb| |e02bbf| |solveLinearlyOverQ| |pseudoRemainder| |SturmHabicht| |setEmpty!| |positiveRemainder| |e02baf| |palgRDE| |quasiComponent| |box| |firstExponent| |cExp| |e02akf| |linear| |normInvertible?| |isOp| |userOrdered?| |replaceKthElement| |setTower!| |e02ajf| |minPoly| |close!| |indicialEquationAtInfinity| |OMencodingBinary| |e04ycf| |mathieu22| |script| |mapGen| |coth2trigh| |padecf| |children| |iter| |symbol| |e04ucf| |OMgetEndError| |aspFilename| |subsInVar| |OMgetEndAttr| |setMaxPoints3D| |setFoundPlacesToEmpty| |e04naf| |biringToPolyRing| D |one| |setPoly| |imagi| |internalZeroSetSplit| |e04mbf| |rdHack1| |discriminantEuclidean| |guessADE| |quasiRegular| |e04jaf| |hitherPlane| |coordinate| |pastel| |collectUpper| |zero| |typeLists| |pointV| |denominator| |swapRows!| |monicCompleteDecompose| |e04gcf| |legendre| |resetNew| |dfRange| |setFormula!| |unitsColorDefault| |extractPoint| |multiple?| |e04fdf| |fortran| |LPolynomial| |complementaryBasis| |scale| |leastMonomial| |stoseSquareFreePart| |unary?| |leftDivide| |e04dgf| |systemCommand| |alphabetic| |normalizeAtInfinity| |kmax| |drawStyle| |headReduced?| |generalCoefficient| |contains?| |f01ref| |clipParametric| |element?| |edf2df| |selectNonFiniteRoutines| |f01rdf| |wrregime| |findOrderOfDivisor| |nonSingularModel| |mask| |cosh2sech| |rhs| |internalSubQuasiComponent?| |f01rcf| |Not| |rationalIfCan| |removeZero| |sortConstraints| |linearAssociatedExp| |maximumExponent| |solve| |f01qef| |extendedSubResultantGcd| |karatsubaDivide| |removeRedundantFactorsInContents| |invmod| |cyclicEqual?| |supRittWu?| |simplify| |f01qdf| |poisson| |check| |inR?| |cAcot| |omError| |mainContent| |setClosed| |nullary?| |eisensteinIrreducible?| |f01qcf| |radicalRoots| |copies| |inverseIntegralMatrixAtInfinity| |qfactor| |viewDefaults| |internalInfRittWu?| |f01mcf| |right| |rotate| |LiePolyIfCan| |socf2socdf| |numberOfNormalPoly| |ksec| |unprotectedRemoveRedundantFactors| |f01maf| |degreeOfMinimalForm| |Or| |expIfCan| |removeFirstZeroes| |multiEuclideanTree| |var2Steps| |explimitedint| |besselY| |showScalarValues| |cache| |coefficients| |f01bsf| |copyInto!| |dasum| |repeating| |csc2sin| |df2ef| |polygamma| |f01brf| |meshPar1Var| |curryLeft| |hexDigit| |separateFactors| |parts| |numericalIntegration| |leaf?| |transCoord| |algebraicVariables| |sayLength| |dominantTerm| |leastAffineMultiple| |variable| |mathieu11| |leftExactQuotient| |suppOfPole| |compBound| |integralBasis| |OMlistCDs| |nextPrimitivePoly| |rightDivide| |iicos| |writeObj| |rk4a| |sign| |linear?| |rk4f| |unvectorise| |absolutelyIrreducible?| |perfectSqrt| |monomRDE| |nullity| |viewSizeDefault| |hermite| |packageCall| |OMconnectTCP| |setOrder| |setErrorBound| |exprHasAlgebraicWeight| |changeWeightLevel| |rotatez| |rightUnits| |slope| |createPrimitiveNormalPoly| |curry| |fracPart| |precision| |OMputEndObject| |stoseInvertibleSetreg| |rule| |integralCoordinates| |leftMinimalPolynomial| |quadraticBezier| |maxShift| |specialTrigs| |integralRepresents| |leadingSupport| |setvalue!| |radicalEigenvectors| |cross| |fullPartialFraction| |basisOfMiddleNucleus| |powerAssociative?| |sequences| |genericLeftDiscriminant| |OMUnknownSymbol?| |argumentListOf| |leadingIdeal| |Lazard| |critMonD1| |genus| |leftTrim| |charthRoot| |cap| |ruleset| |cos2sec| |cAsech| |pointToPlace| |sinhcosh| |prefix| |name| |setAdaptive| |blue| |subMultV| |tex| |stopTableGcd!| |external?| |physicalLength!| |makeCos| |plenaryPower| |extract!| |OMsetEncoding| |maxRowIndex| |setTex!| |subQuasiComponent?| |laurentRep| |revert| |errorInfo| |printStatement| |Frobenius| |extendIfCan| |OMsupportsSymbol?| |polCase| |diffHP| |nary?| |exprToGenUPS| |print| |removeCosSq| |maxdeg| |completeEchelonBasis| |parametrize| |primPartElseUnitCanonical| |characteristic| |convergents| |dihedral| |directory| |genericLeftNorm| |extractTop!| |removeRedundantFactorsInPols| |getMultiplicationTable| |setref| |reduceByQuasiMonic| |effective?| |LyndonBasis| |any?| |sylvesterSequence| |gramschmidt| |discriminant| |commutative?| |maxDegree| |doubleRank| |Yun| |dimensionOfIrreducibleRepresentation| |kernel| |rspace| |makeop| |PollardSmallFactor| |denominators| |lexico| |localParamV| |iifact| |axesColorDefault| |outputGeneral| |classNumber| |groebSolve| |Ei4| |repeatUntilLoop| |OMserve| |lazyIrreducibleFactors| |testModulus| |monic?| |limit| |squareMatrix| |linearDependence| |any| |acschIfCan| |quadratic?| |internalIntegrate0| |tubePlot| |linearlyDependent?| |ode| |ranges| |iisin| |bright| |setStatus| |iiBeta| |goppaCode| |stoseInternalLastSubResultant| |lazyResidueClass| |conditions| |exponent| |mergeFactors| |failed| |df2st| |leftAlternative?| |delta| |algebraicDecompose| |maxLevel| |internalLastSubResultant| |shiftHP| |setAdaptive3D| |t| |postfix| |output| |constant| |squareFree| |diagonalMatrix| |chineseRemainder| |algebraicOf| |selectfirst| |subspace| |LagrangeInterpolation| |zeroOf| |algebraicSort| |cyclePartition| |stiffnessAndStabilityOfODEIF| |mainMonomials| |innerSolve1| |euclideanGroebner| |findTerm| |quotedOperators| |nthr| |mainValue| |leftMult| |root| |redpps| GF2FG |ceiling| |wordInStrongGenerators| |quadraticForm| |adaptive?| |minimumDegree| |reducedDiscriminant| |shallowCopy| |normFactors| |totalDegree| |iitan| |matrixGcd| |finiteSeries2LinSys| |reducedForm| |problemPoints| |nodes| |cycleLength| |elem?| |innerint| |realZeros| |numerator| |genericRightMinimalPolynomial| |algebraicCoefficients?| |structuralConstants| |zeroDimPrime?| |low| |clipSurface| |OMputEndAttr| |setPrologue!| |solid| |iiexp| |myDegree| |fortranComplex| |zeta| |bubbleSort!| |diophantineSystem| |drawComplexVectorField| |deepCopy| |finite?| |guessPade| |UpTriBddDenomInv| |symmetric?| |derivative| |pushdterm| |vspace| |polyRDE| |nextLatticePermutation| |extendedint| |modularGcd| |completeHensel| |multiServ| |exprHasLogarithmicWeights| |divisorCascade| |fractRadix| |plus!| |rewriteSetByReducingWithParticularGenerators| |nextPartition| |notelem| |factorials| |stoseInvertibleSetsqfreg| |alternative?| |polyRing2UPUP| |range| |lieAdmissible?| |infix| |binomial| |fi2df| |makeCrit| |encode| |e02bdf| |showAll?| |binarySearchTree| |unit| |guessPRec| |bivariateSLPEBR| |splitNodeOf!| |noKaratsuba| |minusInfinity| |mainCharacterization| |BumInSepFFE| |point?| |bit?| |evalADE| |ODESolve| |gcdPolynomial| |plusInfinity| |changeMeasure| |node?| |mainPrimitivePart| |npcoef| |genericLeftTraceForm| |expandPower| |LazardQuotient| |plotPolar| |void| |iiacsch| |twoFactor| |root?| |getDatabase| |splitDenominator| |lifting| |generateIrredPoly| |blowUpWithExcpDiv| |addMatchRestricted| |tail| |sinhIfCan| |subNodeOf?| |iisqrt3| |iiAiryAi| |semiSubResultantGcdEuclidean2| |lastSubResultantEuclidean| |LowTriBddDenomInv| |maxIndex| |functionIsOscillatory| |primextintfrac| |expintegrate| |exponentialOrder| |flexible?| |write!| |generalLambert| |getGraph| |usingTable?| |clipPointsDefault| |comparison| |allDegrees| |interpret| |merge| |diag| |sort| |fintegrate| |monomRDEsys| |elliptic?| |key| |next| |regularRepresentation| |lfextlimint| |iiabs| |fTable| |semiResultantReduitEuclidean| UTS2UP |binaryTree| |iiBesselI| |unitCanonical| |algDsolve| |simplifyLog| |llprop| |pointData| |divideIfCan!| |monicRightDivide| |retractIfCan| |moduleSum| |d01gbf| |cSinh| |quotVecSpaceBasis| |OMgetBVar| |unrankImproperPartitions0| |suffix?| |meshPar2Var| |d01gaf| |ScanArabic| |xRange| |length| |nonQsign| |rk4qc| |cyclicSubmodule| |bitTruth| |setButtonValue| |leftOne| |fullDisplay| |d01fcf| |scripts| |overlap| |square?| |light| |bezoutResultant| |graphImage| |complement| |d01bbf| |zeroVector| |multiplyCoefficients| |OMgetEndBVar| |hermiteH| |cCsch| |nextPrime| |d01asf| |primextendedint| |axes| |ldf2lst| |crest| |OMputEndApp| |lastNonNull| |fortranCarriageReturn| |solveLinearPolynomialEquationByRecursion| |invertibleElseSplit?| |double?| |completeEval| |setsubmult!| |create3Space| |d02raf| |OMencodingXML| |digit| |splitSquarefree| |vedf2vef| |complexRoots| |Nul| |d02kef| |palglimint| |consnewpol| |newtonPolygon| |coercePreimagesImages| |lambda| |createNormalPrimitivePoly| |d02gbf| |insertRoot!| |zag| |fprindINFO| |critT| |internalAugment| |addMatch| |d02gaf| |heap| |module| |predicates| |iiGamma| |rotate!| |totalGroebner| |monicRightFactorIfCan| |d02ejf| |fortranLogical| |iisec| |leadingTerm| |trace2PowMod| |red| |removeSinSq| |iiAiryBi| |d02cjf| |matrixDimensions| |conjug| |bezoutMatrix| |complexNormalize| |result| |OMputString| |d02bhf| |substring?| |head| |normalized?| |insertionSort!| |rubiksGroup| |stronglyReduce| |prefix?| |hessian| |float| |d02bbf| |qqq| |bat1| |useSingleFactorBound| |zeroMatrix| |OMgetAttr| |pseudoDivide| |removeSuperfluousQuasiComponents| |basisOfRightNucloid| |e02ahf| |listYoungTableaus| |iisqrt2| |generalPosition| |trunc| |stop| |lowerCase?| |hypergeometric0F1| |localUnquote| |associatedSystem| |extractIndex| |more?| |cCot| |baseRDEsys| |translateToOrigin| |constDsolve| |less?| |reindex| |alphabetic?| |rootPoly| |transcendenceDegree| |toroidal| |combineFeatureCompatibility| |viewport3D| |lSpaceBasis| |divideExponents| |cup| |dioSolve| |polynomial| |weierstrass| |tubeRadius| |sqfrFactor| |bivariate?| |setSingularPoints| |basisOfInterpolateFormsForFact| |declare!| |d03faf| |explicitlyEmpty?| |someBasis| |clearTheIFTable| |decomposeFunc| |iilog| |critMTonD1| |complexNumeric| |binaryFunction| |d03eef| |besselJ| |optpair| |apply| |primes| |rightZero| |bandedHessian| |kernels| |extendedEuclidean| |d03edf| |rdregime| |OMreceive| |dAndcExp| |goto| |rightMinimalPolynomial| |univariate| |internal?| |operator| |coefChoose| |torsionIfCan| |phiCoord| |brace| |quasiAlgebraicSet| |externalList| |getOrder| |factor| |doubleResultant| |identification| |copy!| |An| |paren| |cons| |indicialEquations| |removeRedundantFactors| |real| |sncndn| |primlimintfrac| |startTable!| |squareFreePolynomial| |irreducibleFactors| |copy| |quoByVar| |bat| |imag| |placesOfDegree| |dmpToHdmp| |setLegalFortranSourceExtensions| |scanOneDimSubspaces| |child?| |setRow!| |sumOfKthPowerDivisors| |viewWriteAvailable| |first| |invertibleSet| |addPointLast| |pToDmp| |printInfo!| |initials| |compiledFunction| |fortranReal| |indexName| |palgextint| |expandTrigProducts| |chartV| |stoseInvertible?| |makeprod| |nsqfree| |setright!| |semiResultantEuclideannaif| |ord| |recolor| |realEigenvectors| |list| |makeResult| |represents| |changeNameToObjf| |fortranInteger| |addPoint2| |cycleTail| |repSq| |getBadValues| |yCoord| |OMputInteger| |eigenvalues| |pair?| |is?| |antiCommutator| |rowEchelon| |false| |leftQuotient| |guessHP| |hex| |extDegree| |zeroDimPrimary?| |flush| |enqueue!| |OMUnknownCD?| |expressIdealMember| |maxrank| |distribute| |binomThmExpt| |removeDuplicates| |times| |youngGroup| |att2Result| |listVariable| |cycle| |UnVectorise| |highCommonTerms| |c05nbf| |factorList| |rest| |idealSimplify| |rectangularMatrix| |stoseIntegralLastSubResultant| |explogs2trigs| |cyclotomicDecomposition| |c05adf| |replace| |updatF| |reverse| |decompose| |removeCoshSq| |indices| |polyPart| |c06gsf| |every?| |checkRur| |dec| |setDifference| |po| |iFTable| |divisor| |c06gqf| |pushuconst| |getVariableOrder| |OMputApp| |setIntersection| |select!| |associative?| |c06gcf| |subscript| |randomLC| |allPairsAmong| |fortranDoubleComplex| |getOp| |numberOfMonomials| |simplifyPower| |nil| |c06gbf| |coshIfCan| |createRandomElement| |setUnion| |lineColorDefault| |cotIfCan| |iidprod| |cLog| |c06fuf| |anticoord| |getCurve| |commutator| |size| |superscript| |separant| |substitute| |c06frf| |predicate| |hadamard| |rewriteIdealWithRemainder| |numericalOptimization| |cschIfCan| |getMultiplicationMatrix| |rowEchWoZeroLinesWOVectorise| |c06fqf| |approximate| |alphanumeric?| |mvar| |cyclicEntries| |hexDigit?| |imagI| |complex| |c06fpf| |unitVector| |atanhIfCan| |airyAi| |coerceL| |iicoth| |decimal| |say| |c06ekf| |doublyTransitive?| |asechIfCan| |showClipRegion| |horizConcat| |symmetricTensors| |objectOf| |debug| |zeroDim?| |c06ecf| |BasicMethod| |hash| |boundOfCauchy| |OMputEndError| |OMgetEndApp| |cTan| |c06ebf| |delete!| |firstDenom| |semiIndiceSubResultantEuclidean| |repeating?| |back| |c06eaf| |title| |LazardQuotient2| |minGbasis| |asecIfCan| |dn| |s17def| |setsubMatrix!| |heapSort| |bipolarCylindrical| |parametric?| |getButtonValue| |s17dcf| |explicitlyFinite?| |rightOne| |inGroundField?| |setnext!| |space| |s17akf| |tubePoints| |integralLastSubResultant| |generators| |numberOfIrreduciblePoly| |bfEntry| |s17ajf| |maxPower| |perfectNthRoot| |columnSpace| |makeSeries| |match?| |qShiftC| |s17ahf| |calcRanges| |subst| |iicsch| |stoseLastSubResultant| |f2st| |s17agf| |bag| |zoom| |dimensions| |branchPointAtInfinity?| |s17aff| |factorset| |dequeue!| |leaves| |setchart!| |changeVar| |equality| |entry| |s17aef| |sechIfCan| |optimize| |transpose| |acoshIfCan| |pointLists| |noLinearFactor?| |s17adf| |close| |OMputError| |charpol| |divisors| |point| |lowerPolynomial| |s17acf| |symbolTable| |testDim| |quatern| |super| |divOfZero| |pushFortranOutputStack| |s15aef| |ScanRoman| |evenlambert| |partialDenominators| |cot2tan| |oblateSpheroidal| |filename| |s15adf| |floor| |create| |pquo| |seriesToOutputForm| |cscIfCan| |popFortranOutputStack| |rowEch| |s14baf| |genusTreeNeg| |insert| |stoseInvertible?sqfreg| |queue| |display| |sylvesterMatrix| |s14abf| |outputAsFortran| |common| |closeComponent| |coerceListOfPairs| |leftTraceMatrix| |cond| |s14aaf| |rightExtendedGcd| |fortranCharacter| |integerBound| |sizePascalTriangle| |trivialIdeal?| |s13adf| |modifyPointData| |components| BY |halfExtendedSubResultantGcd2| |rationalPower| |OMputSymbol| |s13acf| |leftLcm| |ratpart| |lfinfieldint| |expr| |projectivePoint| |inRadical?| |depth| |s13aaf| |points| |flagFactor| |wreath| |shrinkable| |makeViewport3D| |elColumn2!| |last| |s01eaf| |localReal?| |nthFactor| |multiplyExponents| |generalInfiniteProduct| |count| |ellipticCylindrical| |s21bdf| |imagK| |inconsistent?| F2FG |s21bcf| |sturmVariationsOf| |partitions| |truncate| |fortranLiteralLine| |hdmpToDmp| |reshape| |s21bbf| |stFunc2| |conjugates| |move| |rename| |primitiveElement| |s21baf| |lexGroebner| |differentiate| |perspective| |sts2stst| |op| |OMputVariable| |iipolygamma| |rootRadius| |s20adf| |linearPolynomials| |limitPlus| |hyperelliptic| |leftPower| |upperCase?| |e02agf| |linearMatrix| |constantOpIfCan| |alternating| |selectFiniteRoutines| |elementary| |s20acf| |vector| |getZechTable| |graeffe| |iiperm| |makeSin| |d01aqf| |symmetricDifference| |FormatArabic| |normalizedAssociate| |integerDecode| |noncommutativeJordanAlgebra?| |s19adf| |completeSmith| |setTopPredicate| |controlPanel| |triangularSystems| |d01apf| |prologue| |failed?| |desingTreeAtPoint| |stronglyReduced?| |tValues| |singularitiesOf| |s19acf| |genericRightDiscriminant| |lllp| |setLabelValue| |badValues| |constantOperator| |d01anf| |basisOfNucleus| |rquo| |simpsono| |prepareSubResAlgo| |cartesian| |d01amf| |fullDesTree| |adaptive3D?| |iomode| |realRoots| |rischNormalize| |d01alf| |keys| |factorSquareFree| SEGMENT |label| |viewWriteDefault| |nilFactor| |s19abf| |partialNumerators| |iiBesselJ| |permutations| |newReduc| |d01akf| |lazyPseudoQuotient| |invertible?| |child| |selectPDERoutines| |s19aaf| |hasoln| |minimumExponent| |normalForm| |thetaCoord| |functionIsFracPolynomial?| |setClipValue| |monomialIntPoly| |d01ajf| |cTanh| |sturmSequence| |convert| |newton| |replaceDiffs| |s18def| |placesAbove| |flatten| |fibonacci| |imagJ| |localPointV| |construct| |plus| |s18dcf| |OMencodingUnknown| |real?| |identity| |fullOutput| |s18aff| |asimpson| |generalizedEigenvectors| |affinePoint| |OMlistSymbols| |monicLeftDivide| |s18aef| |magnitude| |updateStatus!| |viewport2D| |OMgetAtp| |modularFactor| |weight| |s18adf| |mapUnivariate| |wordsForStrongGenerators| |associatedEquations| |leadingBasisTerm| |ideal| |s18acf| |squareFreeFactors| |makeUnit| |drawCurves| |colorDef| |f04qaf| |extensionDegree| |diagonal?| |showTheIFTable| |fortranLiteral| |medialSet| |guessBinRat| |f04mcf| |resultantEuclidean| |goodnessOfFit| |remove| |complex?| |collect| |basisOfRightAnnihilator| |f04mbf| |qPot| |factorSqFree| |createGenericMatrix| |B1solve| |integralDerivationMatrix| |f04maf| |moebiusMu| |infRittWu?| |eyeDistance| |setMinPoints| |algintegrate| |f04jgf| |singular?| |doubleComplex?| |cosIfCan| |multMonom| |f04faf| |dmp2rfi| |bfKeys| |yCoordinates| |iiBesselY| |polygon| |index| |fglmIfCan| |f04axf| |radicalEigenvector| |OMputBVar| |isTimes| |composite| |f04atf| |pattern| |Ei| |insertMatch| |ShiftAction| |tab1| |iiacot| |f04asf| |subresultantVector| |cyclic| |mulmod| |innerSolve| |ShiftC| |useEisensteinCriterion?| |goodPoint| |read!| |OMputFloat| |f04arf| |roughUnitIdeal?| |powern| |multisect| |univariateSolve| |basisOfCenter| |cyclicParents| |infiniteProduct| |cycleRagits| |leftNorm| |recoverAfterFail| |collectQuasiMonic| |nlde| |factorSquareFreeByRecursion| |endSubProgram| |outputSpacing| |input| |applyRules| |Vectorise| |lepol| |iisech| |pow| |test| |quotValuation| |tanintegrate| |members| |digit?| |anfactor| |quotient| |OMencodingSGML| |setVariableOrder| |ldf2vmf| |exptMod| |getMatch| |atanIfCan| |htrigs| |norm| |log| |aLinear| |screenResolution| |numberOfComposites| |principalIdeal| |central?| |cycleEntry| |cyclicGroup| |unit?| |closedCurve| |guessHolo| |closed?| |normDeriv2| |errorKind| |padicallyExpand| |nthExponent| |recur| |constantToUnaryFunction| |init| |intPatternMatch| |findCoef| |match| |minimize| |accuracyIF| |computeCycleLength| |complexExpand| |monomial2series| |nand| |split| |beauzamyBound| |isobaric?| |brillhartIrreducible?| |orbit| |uncouplingMatrices| |reverse!| |affineAlgSet| |interpolateForms| |node| |quotientByP| |exprHasWeightCosWXorSinWX| |complexEigenvectors| |ffactor| |Hausdorff| |sbt| ** |lieAlgebra?| E1 |OMreadStr| |hdmpToP| |squareTop| |safety| |basisOfCentroid| |affineRationalPoints| |tracePowMod| |rowEchLocal| |rowEchWoZeroLines| |numFunEvals| |interval| |semiDegreeSubResultantEuclidean| |chebyshevT| |countRealRootsMultiple| |primintegrate| |rootSimp| |coerceS| |shiftRoots| |groebnerIdeal| |Aleph| |rootPower| |vertConcat| |integerIfCan| |computeBasis| |chvar| |sample| |changeName| |euler| |musserTrials| |createLowComplexityNormalBasis| |isPower| |merge!| |asinIfCan| |univcase| |lowerCase| |deepExpand| |OMsend| |nil| |infinite| |arbitraryExponent| |approximate| |complex| |shallowMutable| |canonical| |noetherian| |central| |partiallyOrderedSet| |arbitraryPrecision| |canonicalsClosed| |noZeroDivisors| |rightUnitary| |leftUnitary| |additiveValuation| |unitsKnown| |canonicalUnitNormal| |multiplicativeValuation| |finiteAggregate| |shallowlyMutable| |commutative|) 
\ No newline at end of file
+(30 . 3524719203)            
+(4538 |Enumeration| |Mapping| |Record| |Union| |ofCategory| |isDomain| ATTRIBUTE |package| |domain| |category| CATEGORY |nobranch| AND |Join| |ofType| SIGNATURE "failed" "algebra" |OneDimensionalArrayAggregate&| |OneDimensionalArrayAggregate| |AbelianGroup&| |AbelianGroup| |AbelianMonoid&| |AbelianMonoid| |AbelianSemiGroup&| |AbelianSemiGroup| |AlgebraicallyClosedField&| |AlgebraicallyClosedField| |AlgebraicallyClosedFunctionSpace&| |AlgebraicallyClosedFunctionSpace| |PlaneAlgebraicCurvePlot| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraicFunction| |AffineSpaceCategory| |Aggregate&| |Aggregate| |ArcHyperbolicFunctionCategory| |AssociationListAggregate| |Algebra&| |Algebra| |AlgFactor| |AlgebraicFunctionField| |AlgebraicManipulations| |AlgebraicMultFact| |AlgebraPackage| |AlgebraGivenByStructuralConstants| |AssociationList| |AbelianMonoidRing&| |AbelianMonoidRing| |AlgebraicNumber| |AnonymousFunction| |AntiSymm| |AnyFunctions1| |Any| |ApplicationProgramInterface| |ApplyUnivariateSkewPolynomial| |ApplyRules| |TwoDimensionalArrayCategory&| |TwoDimensionalArrayCategory| |OneDimensionalArrayFunctions2| |OneDimensionalArray| |TwoDimensionalArray| |Asp10| |Asp12| |Asp19| |Asp1| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp41| |Asp42| |Asp49| |Asp4| |Asp50| |Asp55| |Asp6| |Asp73| |Asp74| |Asp77| |Asp78| |Asp7| |Asp80| |Asp8| |Asp9| |AssociatedEquations| |ArrayStack| |ArcTrigonometricFunctionCategory&| |ArcTrigonometricFunctionCategory| |AttributeButtons| |AttributeRegistry| |Automorphism| |AxiomServer| |BalancedFactorisation| |BasicType&| |BasicType| |BalancedBinaryTree| |Bezier| |BezoutMatrix| |BasicFunctions| |BagAggregate&| |BagAggregate| |BinaryExpansion| |BinaryFile| |Bits| |BlasLevelOne| |BlowUpWithHamburgerNoether| |BlowUpMethodCategory| |BlowUpWithQuadTrans| |BlowUpPackage| |BiModule| |Boolean| |BasicOperatorFunctions1| |BasicOperator| |BoundIntegerRoots| |BalancedPAdicInteger| |BalancedPAdicRational| |BinaryRecursiveAggregate&| |BinaryRecursiveAggregate| |BrillhartTests| |BasicStochasticDifferential| |BinarySearchTree| |BitAggregate&| |BitAggregate| |BinaryTreeCategory&| |BinaryTreeCategory| |BinaryTournament| |BinaryTree| |CancellationAbelianMonoid| |CachableSet| |CardinalNumber| |CartesianTensorFunctions2| |CartesianTensor| |CharacterClass| |CommonDenominator| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |CombinatorialFunctionCategory| |Character| |CharacteristicNonZero| |CharacteristicPolynomialPackage| |CharacteristicZero| |ChangeOfVariable| |ComplexIntegerSolveLinearPolynomialEquation| |Collection&| |Collection| |CliffordAlgebra| |TwoDimensionalPlotClipping| |ComplexRootPackage| |Color| |CombinatorialFunction| |IntegerCombinatoricFunctions| |CombinatorialOpsCategory| |Commutator| |CommonOperators| |CommuteUnivariatePolynomialCategory| |ComplexCategory&| |ComplexCategory| |ComplexFactorization| |ComplexFunctions2| |Complex| |ComplexPattern| |SubSpaceComponentProperty| |CommutativeRing| |ContinuedFraction| |CoordinateSystems| |CharacteristicPolynomialInMonogenicalAlgebra| |ComplexPatternMatch| |CRApackage| |ComplexRootFindingPackage| |CyclicStreamTools| |ComplexTrigonometricManipulations| |CoerceVectorMatrixPackage| |CycleIndicators| |CyclotomicPolynomialPackage| |d01AgentsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d01TransformFunctionType| |d01WeightsPackage| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |Database| |DoubleResultantPackage| |DistinctDegreeFactorize| |DecimalExpansion| |ElementaryFunctionDefiniteIntegration| |RationalFunctionDefiniteIntegration| |DegreeReductionPackage| |Dequeue| |DeRhamComplex| |DefiniteIntegrationTools| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DenavitHartenbergMatrix| |Dictionary&| |Dictionary| |DifferentialExtension&| |DifferentialExtension| |DifferentialRing&| |DifferentialRing| |DictionaryOperations&| |DictionaryOperations| |DiophantineSolutionPackage| |DirectProductCategory&| |DirectProductCategory| |DirectProductFunctions2| |DirectProduct| |DirichletRing| |DisplayPackage| |DivisorCategory| |Divisor| |DivisionRing&| |DivisionRing| |DoublyLinkedAggregate| |DataList| |DiscreteLogarithmPackage| |DistributedMultivariatePolynomial| |DirectProductMatrixModule| |DirectProductModule| |DifferentialPolynomialCategory&| |DifferentialPolynomialCategory| |DequeueAggregate| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |DrawComplex| |DrawNumericHack| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForPoints| |DrawOptionFunctions0| |DrawOptionFunctions1| |DrawOption| |DifferentialSparseMultivariatePolynomial| |DesingTreeCategory| |DesingTree| |DesingTreePackage| |DifferentialVariableCategory&| |DifferentialVariableCategory| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType| |ExtAlgBasis| |ElementaryFunction| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ExtensibleLinearAggregate&| |ExtensibleLinearAggregate| |ElementaryFunctionCategory&| |ElementaryFunctionCategory| |EllipticFunctionsUnivariateTaylorSeries| |Eltable| |EltableAggregate&| |EltableAggregate| |EuclideanModularRing| |EntireRing| |EigenPackage| |EquationFunctions2| |Equation| |EqTable| |ErrorFunctions| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |ExpertSystemContinuityPackage1| |ExpertSystemContinuityPackage| |ExpressionSpace&| |ExpressionSpace| |ExpertSystemToolsPackage1| |ExpertSystemToolsPackage2| |ExpertSystemToolsPackage| |EuclideanDomain&| |EuclideanDomain| |Evalable&| |Evalable| |EvaluateCycleIndicators| |Exit| |Export3D| |ExponentialExpansion| |ExpressionFunctions2| |ExpressionToUnivariatePowerSeries| |Expression| |ExpressionSpaceODESolver| |ExpressionSolve| |ExpressionTubePlot| |ExponentialOfUnivariatePuiseuxSeries| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactoredFunctions| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |FactoringUtilities| |FreeAbelianGroup| |FreeAbelianMonoidCategory| |FreeAbelianMonoid| |FiniteAbelianMonoidRingFunctions2| |FiniteAbelianMonoidRing&| |FiniteAbelianMonoidRing| |FlexibleArray| |FiniteAlgebraicExtensionField&| |FiniteAlgebraicExtensionField| |FortranCode| |FourierComponent| |FortranCodePackage1| |FiniteDivisorFunctions2| |FiniteDivisorCategory&| |FiniteDivisorCategory| |FiniteDivisor| |FullyEvalableOver&| |FullyEvalableOver| |FortranExpression| |FunctionFieldCategoryFunctions2| |FunctionFieldCategory&| |FunctionFieldCategory| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldCyclicGroupExtension| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FractionFreeFastGaussianFractions| |FractionFreeFastGaussian| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldCategory&| |FiniteFieldCategory| |FunctionFieldIntegralBasis| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldNormalBasisExtension| |FiniteField| |FiniteFieldExtensionByPolynomial| |FiniteFieldPolynomialPackage2| |FiniteFieldPolynomialPackage| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteFieldExtension| |FGLMIfCanPackage| |FreeGroup| |Field&| |Field| |FileCategory| |File| |FiniteRankNonAssociativeAlgebra&| |FiniteRankNonAssociativeAlgebra| |Finite| |FiniteRankAlgebra&| |FiniteRankAlgebra| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregate&| |FiniteLinearAggregate| |FreeLieAlgebra| |FiniteLinearAggregateSort| |FullyLinearlyExplicitRingOver&| |FullyLinearlyExplicitRingOver| |FloatingComplexPackage| |Float| |FloatingRealPackage| |FreeModule1| |FreeModuleCat| |FortranMatrixCategory| |FortranMatrixFunctionCategory| |FreeModule| |FreeMonoid| |FortranMachineTypeCategory| |FileName| |FileNameCategory| |FreeNilpotentLie| |FortranOutputStackPackage| |FindOrderFinite| |ScriptFormulaFormat1| |ScriptFormulaFormat| |FortranProgramCategory| |FortranFunctionCategory| |FortranPackage| |FortranProgram| |FullPartialFractionExpansion| |FullyPatternMatchable| |FieldOfPrimeCharacteristic&| |FieldOfPrimeCharacteristic| |FloatingPointSystem&| |FloatingPointSystem| |FactoredFunctions2| |FractionFunctions2| |Fraction| |FramedAlgebra&| |FramedAlgebra| |FullyRetractableTo&| |FullyRetractableTo| |FractionalIdealFunctions2| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebraFunctions2| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebra| |Factored| |FactoredFunctionUtilities| |FunctionSpaceToExponentialExpansion| |FunctionSpaceFunctions2| |FunctionSpaceToUnivariatePowerSeries| |FiniteSetAggregateFunctions2| |FiniteSetAggregate&| |FiniteSetAggregate| |FunctionSpaceComplexIntegration| |FourierSeries| |FunctionSpaceIntegration| |FunctionSpace&| |FunctionSpace| |FunctionalSpecialFunction| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FortranScalarType| |FunctionSpaceUnivariatePolynomialFactor| |FortranTemplate| |FortranType| |FunctionCalled| |FortranVectorCategory| |FortranVectorFunctionCategory| |GaloisGroupFactorizer| |GaloisGroupFactorizationUtilities| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |EuclideanGroebnerBasisPackage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GcdDomain&| |GcdDomain| |GenericNonAssociativeAlgebra| |GeneralDistributedMultivariatePolynomial| |GnuDraw| |GenExEuclid| |GeneralizedMultivariateFactorize| |GeneralPolynomialGcdPackage| |GenUFactorize| |GenerateUnivariatePowerSeries| |GeneralHenselPackage| |GeneralModulePolynomial| |GuessOptionFunctions0| |GuessOption| |GosperSummationMethod| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialSet| |GradedAlgebra&| |GradedAlgebra| |GrayCode| |GraphicsDefaults| |GraphImage| |GradedModule&| |GradedModule| |GroebnerSolve| |Group&| |Group| |GeneralUnivariatePowerSeries| |GeneralSparseTable| |GeneralTriangularSet| |GuessAlgebraicNumber| |GuessFiniteFunctions| |GuessFinite| |GuessInteger| |Guess| |GuessPolynomial| |GuessUnivariatePolynomial| |Pi| |HashTable| |HallBasis| |HomogeneousDistributedMultivariatePolynomial| |HomogeneousDirectProduct| |Heap| |HyperellipticFiniteDivisor| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousAggregate| |HTMLFormat| |HyperbolicFunctionCategory&| |HyperbolicFunctionCategory| |InnerAlgFactor| |InnerAlgebraicNumber| |IndexedOneDimensionalArray| |IndexedTwoDimensionalArray| |ChineseRemainderToolsForIntegralBases| |IntegralBasisTools| |IndexedBits| |IntegralBasisPolynomialTools| |IndexCard| |InnerCommonDenominator| |InfClsPt| |PolynomialIdeals| |IdealDecompositionPackage| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductCategory| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedDirectProductObject| |InnerEvalable&| |InnerEvalable| |InnerFreeAbelianMonoid| |IndexedFlexibleArray| |InnerFiniteField| |InnerIndexedTwoDimensionalArray| |IndexedList| |InnerMatrixLinearAlgebraFunctions| |InnerMatrixQuotientFieldFunctions| |IndexedMatrix| |InnerNormalBasisFieldFunctions| |IncrementingMaps| |IndexedExponents| |InnerNumericEigenPackage| |InfinitlyClosePointCategory| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InfinitlyClosePoint| |Infinity| |InputFormFunctions1| |InputForm| |InfiniteProductCharacteristicZero| |InnerNumericFloatSolvePackage| |InnerModularGcd| |InnerMultFact| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InnerPolySign| |IntegerNumberSystem&| |IntegerNumberSystem| |InnerTable| |AlgebraicIntegration| |AlgebraicIntegrate| |IntegerBits| |IntervalCategory| |IntersectionDivisorPackage| |IntegralDomain&| |IntegralDomain| |ElementaryIntegration| |InterfaceGroebnerPackage| |IntegerFactorizationPackage| |InterpolateFormsPackage| |IntegrationFunctionsTable| |GenusZeroIntegration| |IntegerNumberTheoryFunctions| |AlgebraicHermiteIntegration| |TranscendentalHermiteIntegration| |Integer| |AnnaNumericalIntegrationPackage| |PureAlgebraicIntegration| |PatternMatchIntegration| |RationalIntegration| |IntegerRetractions| |RationalFunctionIntegration| |Interval| |IntegerSolveLinearPolynomialEquation| |IntegrationTools| |TranscendentalIntegration| |InverseLaplaceTransform| |InnerPAdicInteger| |InnerPrimeField| |InternalPrintPackage| |IntegrationResultToFunction| |IntegrationResultFunctions2| |IntegrationResult| |IntegerRoots| |IrredPolyOverFiniteField| |IntegrationResultRFToFunction| |IrrRepSymNatPackage| |InternalRationalUnivariateRepresentationPackage| |IndexedString| |InnerPolySum| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InfiniteTupleFunctions2| |InfiniteTupleFunctions3| |InnerTrigonometricManipulations| |InfiniteTuple| |IndexedVector| |IndexedAggregate&| |IndexedAggregate| |AssociatedJordanAlgebra| |KeyedAccessFile| |KeyedDictionary&| |KeyedDictionary| |KernelFunctions2| |Kernel| |CoercibleTo| |ConvertibleTo| |Kovacic| |LeftAlgebra&| |LeftAlgebra| |LocalAlgebra| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LeadingCoefDetermination| |LieExponentials| |LexTriangularPackage| |LiouvillianFunctionCategory| |LiouvillianFunction| |LinGroebnerPackage| |Library| |LieAlgebra&| |LieAlgebra| |AssociatedLieAlgebra| |PowerSeriesLimitPackage| |RationalFunctionLimitPackage| |LinearDependence| |LinearlyExplicitRingOver| |ListToMap| |ListFunctions2| |ListFunctions3| |List| |LinearSystemFromPowerSeriesPackage| |ListMultiDictionary| |LeftModule| |ListMonoidOps| |LinearAggregate&| |LinearAggregate| |LocalPowerSeriesCategory| |ElementaryFunctionLODESolver| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorCategory| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperatorsOps| |Logic&| |Logic| |Localize| |LinesOpPack| |LocalParametrizationOfSimplePointPackage| |LinearPolynomialEquationByFractions| |LiePolynomial| |ListAggregate&| |ListAggregate| |LinearSystemMatrixPackage1| |LinearSystemMatrixPackage| |LinearSystemPolynomialPackage| |LieSquareMatrix| |LyndonWord| |LazyStreamAggregate&| |LazyStreamAggregate| |ThreeDimensionalMatrix| |Magma| |MappingPackageInternalHacks1| |MappingPackageInternalHacks2| |MappingPackageInternalHacks3| |MappingPackage1| |MappingPackage2| |MappingPackage3| |MappingPackage4| |MatrixCategoryFunctions2| |MatrixCategory&| |MatrixCategory| |MatrixLinearAlgebraFunctions| |Matrix| |StorageEfficientMatrixOperations| |MultiVariableCalculusFunctions| |MatrixCommonDenominator| |MachineComplex| |MultiDictionary| |ModularDistinctDegreeFactorizer| |MeshCreationRoutinesForThreeDimensions| |MultFiniteFactorize| |MachineFloat| |ModularHermitianRowReduction| |MachineInteger| |MakeBinaryCompiledFunction| |MakeCachableSet| |MakeFloatCompiledFunction| |MakeFunction| |MakeRecord| |MakeUnaryCompiledFunction| |MultivariateLifting| |MonogenicLinearOperator| |MultipleMap| |MathMLFormat| |ModularField| |ModMonic| |ModuleMonomial| |ModuleOperator| |ModularRing| |Module&| |Module| |MoebiusTransform| |Monad&| |Monad| |MonadWithUnit&| |MonadWithUnit| |MonogenicAlgebra&| |MonogenicAlgebra| |Monoid&| |Monoid| |MonomialExtensionTools| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatPolyFactorizer| |MultivariatePolynomial| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MonoidRingFunctions2| |MonoidRing| |MultisetAggregate| |Multiset| |MoreSystemCommands| |MergeThing| |MultivariateTaylorSeriesCategory| |MultivariateFactorize| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NonAssociativeAlgebra&| |NonAssociativeAlgebra| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagIntegrationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagInterpolationPackage| |NagFittingPackage| |NagOptimisationPackage| |NagMatrixOperationsPackage| |NagEigenPackage| |NagLinearEquationSolvingPackage| |NagLapack| |NagSpecialFunctionsPackage| |NAGLinkSupportPackage| |NonAssociativeRng&| |NonAssociativeRng| |NonAssociativeRing&| |NonAssociativeRing| |NumericComplexEigenPackage| |NumericContinuedFraction| |NonCommutativeOperatorDivision| |NewtonInterpolation| |NumberFieldIntegralBasis| |NumericalIntegrationProblem| |NonLinearSolvePackage| |NonNegativeInteger| |NonLinearFirstOrderODESolver| |NoneFunctions1| |None| |NormInMonogenicAlgebra| |NormalizationPackage| |NormRetractPackage| |NottinghamGroup| |NPCoef| |NewtonPolygon| |NumericRealEigenPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomialFunctions2| |NewSparseUnivariatePolynomial| |NumberTheoreticPolynomialFunctions| |NormalizedTriangularSetCategory| |Numeric| |NumberFormats| |NumericalIntegrationCategory| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |NumericTubePlot| |OrderedAbelianGroup| |OrderedAbelianMonoid| |OrderedAbelianMonoidSup| |OrderedAbelianSemiGroup| |OrderedCancellationAbelianMonoid| |OctonionCategory&| |OctonionCategory| |OctonionCategoryFunctions2| |Octonion| |OrdinaryDifferentialEquationsSolverCategory| |ConstantLODE| |ElementaryFunctionODESolver| |ODEIntensityFunctionsTable| |ODEIntegration| |AnnaOrdinaryDifferentialEquationPackage| |PureAlgebraicLODE| |PrimitiveRatDE| |NumericalODEProblem| |PrimitiveRatRicDE| |RationalLODE| |ReduceLODE| |RationalRicDE| |SystemODESolver| |ODETools| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrderlyDifferentialVariable| |OrderedFreeMonoid| |OrderedIntegralDomain| |OpenMathConnection| |OpenMathDevice| |OpenMathEncoding| |OpenMathErrorKind| |OpenMathError| |ExpressionToOpenMath| |OppositeMonogenicLinearOperator| |OpenMath| |OpenMathPackage| |OrderedMultisetAggregate| |OpenMathServerPackage| |OnePointCompletionFunctions2| |OnePointCompletion| |Operator| |OperationsQuery| |NumericalOptimizationCategory| |AnnaNumericalOptimizationPackage| |NumericalOptimizationProblem| |OrderedCompletionFunctions2| |OrderedCompletion| |OrderedFinite| |OrderingFunctions| |OrderedMonoid| |OrderedRing&| |OrderedRing| |OrderedSet&| |OrderedSet| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategory| |UnivariateSkewPolynomialCategoryOps| |SparseUnivariateSkewPolynomial| |UnivariateSkewPolynomial| |OrthogonalPolynomialFunctions| |OrdSetInts| |OutputForm| |OutputPackage| |OrderedVariableList| |OrdinaryWeightedPolynomials| |PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteFieldCategory| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfPerfectFieldCategory| |PseudoAlgebraicClosureOfRationalNumberCategory| |PseudoAlgebraicClosureOfRationalNumber| |PadeApproximants| |PadeApproximantPackage| |PAdicIntegerCategory| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForAlgebraicFunctionField| |Palette| |PolynomialAN2Expression| |ParametrizationPackage| |ParametricPlaneCurveFunctions2| |ParametricPlaneCurve| |ParametricSpaceCurveFunctions2| |ParametricSpaceCurve| |ParametricSurfaceFunctions2| |ParametricSurface| |PartitionsAndPermutations| |Patternable| |PatternMatchListResult| |PatternMatchable| |PatternMatch| |PatternMatchResultFunctions2| |PatternMatchResult| |PatternFunctions1| |PatternFunctions2| |Pattern| |PoincareBirkhoffWittLyndonBasis| |PolynomialComposition| |PartialDifferentialEquationsSolverCategory| |PolynomialDecomposition| |AnnaPartialDifferentialEquationPackage| |NumericalPDEProblem| |PartialDifferentialRing&| |PartialDifferentialRing| |PendantTree| |Permanent| |PermutationCategory| |PermutationGroup| |Permutation| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialFactorizationExplicit| |PrimeField| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PackageForPoly| |PointsOfFiniteOrderTools| |PartialFraction| |PartialFractionPackage| |PolynomialGcdPackage| |PermutationGroupExamples| |PolyGroebner| |PiCoercions| |PrincipalIdealDomain| |PositiveInteger| |PolynomialInterpolationAlgorithms| |PolynomialInterpolation| |PlacesCategory| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |Plcs| |ParametricLinearEquations| |PlotFunctions1| |Plot3D| |Plot| |PlotTools| |PolynomialPackageForCurve| |FunctionSpaceAssertions| |PatternMatchAssertions| |PatternMatchPushDown| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchKernel| |PatternMatchListAggregate| |PatternMatchPolynomialCategory| |FunctionSpaceAttachPredicates| |AttachPredicates| |PatternMatchQuotientFieldCategory| |PatternMatchSymbol| |PatternMatchTools| |PolynomialNumberTheoryFunctions| |Point| |PolToPol| |RealPolynomialUtilitiesPackage| |PolynomialFunctions2| |PolynomialToUnivariatePolynomial| |PolynomialCategory&| |PolynomialCategory| |PolynomialCategoryQuotientFunctions| |PolynomialCategoryLifting| |Polynomial| |PolynomialRoots| |PlottablePlaneCurveCategory| |PrecomputedAssociatedEquations| |PrimitiveArrayFunctions2| |PrimitiveArray| |PrimitiveFunctionCategory| |PrimitiveElement| |IntegerPrimesPackage| |PrintPackage| |ProjectiveAlgebraicSetPackage| |PolynomialRing| |Product| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PriorityQueueAggregate| |PseudoRemainderSequence| |ProjectiveSpaceCategory| |Partition| |PowerSeriesCategory&| |PowerSeriesCategory| |PlottableSpaceCurveCategory| |PolynomialSetCategory&| |PolynomialSetCategory| |PolynomialSetUtilitiesPackage| |PseudoLinearNormalForm| |PolynomialSquareFree| |PointCategory| |PointFunctions2| |PointPackage| |PartialTranscendentalFunctions| |PushVariables| |PAdicWildFunctionFieldIntegralBasis| |QuasiAlgebraicSet2| |QuasiAlgebraicSet| |QuasiComponentPackage| |QueryEquation| |QuotientFieldCategoryFunctions2| |QuotientFieldCategory&| |QuotientFieldCategory| |QuadraticForm| |QueueAggregate| |QuaternionCategory&| |QuaternionCategory| |QuaternionCategoryFunctions2| |Quaternion| |Queue| |RadicalCategory&| |RadicalCategory| |RadicalFunctionField| |RadixExpansion| |RadixUtilities| |RandomNumberSource| |RationalFactorize| |RationalRetractions| |RecursiveAggregate&| |RecursiveAggregate| |RealClosedField&| |RealClosedField| |ElementaryRischDE| |ElementaryRischDESystem| |TranscendentalRischDE| |TranscendentalRischDESystem| |RandomDistributions| |ReducedDivisor| |RealZeroPackage| |RealZeroPackageQ| |RealConstant| |RealSolvePackage| |RealClosure| |RecurrenceOperator| |ReductionOfOrder| |Reference| |RegularTriangularSet| |RepresentationPackage1| |RepresentationPackage2| |RepeatedDoubling| |RadicalEigenPackage| |RepeatedSquaring| |ResolveLatticeCompletion| |ResidueRing| |Result| |RetractableTo&| |RetractableTo| |RetractSolvePackage| |RandomFloatDistributions| |RationalFunctionFactor| |RationalFunctionFactorizer| |RationalFunction| |RootsFindingPackage| |RegularChain| |RandomIntegerDistributions| |Ring&| |Ring| |RationalInterpolation| |RectangularMatrixCategory&| |RectangularMatrixCategory| |RectangularMatrix| |RectangularMatrixCategoryFunctions2| |RightModule| |Rng| |RealNumberSystem&| |RealNumberSystem| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RecursivePolynomialCategory&| |RecursivePolynomialCategory| |RealRootCharacterizationCategory&| |RealRootCharacterizationCategory| |RegularSetDecompositionPackage| |RegularTriangularSetCategory&| |RegularTriangularSetCategory| |RegularTriangularSetGcdPackage| |RuleCalled| |RewriteRule| |Ruleset| |RationalUnivariateRepresentationPackage| |SimpleAlgebraicExtensionAlgFactor| |SimpleAlgebraicExtension| |SAERationalFunctionAlgFactor| |SingletonAsOrderedSet| |SortedCache| |StructuralConstantsPackage| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |SegmentFunctions2| |SegmentBindingFunctions2| |SegmentBinding| |SegmentCategory| |Segment| |SegmentExpansionCategory| |SetAggregate&| |SetAggregate| |SetCategoryWithDegree| |SetCategory&| |SetCategory| |SetOfMIntegersInOneToN| |Set| |SExpressionCategory| |SExpression| |SExpressionOf| |SimpleFortranProgram| |SquareFreeQuasiComponentPackage| |SquareFreeRegularTriangularSetGcdPackage| |SquareFreeRegularTriangularSetCategory| |SymmetricGroupCombinatoricFunctions| |SemiGroup&| |SemiGroup| |SplitHomogeneousDirectProduct| |SturmHabichtPackage| |ElementaryFunctionSign| |RationalFunctionSign| |SimplifyAlgebraicNumberConvertPackage| |SingleInteger| |StackAggregate| |SquareMatrixCategory&| |SquareMatrixCategory| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SquareFreeNormalizedTriangularSetCategory| |PolynomialSolveByFormulas| |RadicalSolvePackage| |TransSolvePackageService| |TransSolvePackage| |SortPackage| |ThreeSpace| |ThreeSpaceCategory| |SpecialOutputPackage| |SpecialFunctionCategory| |SplittingNode| |SplittingTree| |SquareMatrix| |StringAggregate&| |StringAggregate| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |Stack| |StreamAggregate&| |StreamAggregate| |SparseTable| |StepThrough| |StreamInfiniteProduct| |StreamTensor| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |Stream| |StringCategory| |String| |StringTable| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctionsNonCommutative| |StreamTranscendentalFunctions| |SubResultantPackage| |SubSpace| |SuchThat| |SparseUnivariateLaurentSeries| |FunctionSpaceSum| |RationalFunctionSum| |SparseUnivariatePolynomialFunctions2| |SparseUnivariatePolynomialExpressions| |SupFractionFactorizer| |SparseUnivariatePolynomial| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |Switch| |Symbol| |SymmetricFunctions| |SymmetricPolynomial| |TheSymbolTable| |SymbolTable| |SystemSolvePackage| |TableauxBumpers| |Tableau| |Table| |TangentExpansions| |TableAggregate&| |TableAggregate| |TabulatedComputationPackage| |TemplateUtilities| |TexFormat1| |TexFormat| |TextFile| |ToolsForSign| |TopLevelThreeSpace| |TranscendentalFunctionCategory&| |TranscendentalFunctionCategory| |Tree| |TrigonometricFunctionCategory&| |TrigonometricFunctionCategory| |TrigonometricManipulations| |TriangularMatrixOperations| |TranscendentalManipulations| |TriangularSetCategory&| |TriangularSetCategory| |TaylorSeries| |TubePlot| |TubePlotTools| |Tuple| |TwoFactorize| |Type| |U32Vector| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |UniqueFactorizationDomain&| |UniqueFactorizationDomain| |UnivariateFormalPowerSeriesFunctions| |UnivariateFormalPowerSeries| |UnivariateLaurentSeriesFunctions2| |UnivariateLaurentSeriesCategory| |UnivariateLaurentSeriesConstructorCategory&| |UnivariateLaurentSeriesConstructorCategory| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeries| |UnivariateFactorize| |UniversalSegmentFunctions2| |UniversalSegment| |UnivariatePolynomialFunctions2| |UnivariatePolynomialCommonDenominator| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomial| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategory| |UnivariatePowerSeriesCategory&| |UnivariatePowerSeriesCategory| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeriesFunctions2| |UnivariatePuiseuxSeriesCategory| |UnivariatePuiseuxSeriesConstructorCategory&| |UnivariatePuiseuxSeriesConstructorCategory| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnaryRecursiveAggregate&| |UnaryRecursiveAggregate| |UnivariateTaylorSeriesFunctions2| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesCategory| |UnivariateTaylorSeries| |UnivariateTaylorSeriesODESolver| |UTSodetools| |TaylorSolve| |UnivariateTaylorSeriesCZero| |Variable| |VectorCategory&| |VectorCategory| |VectorFunctions2| |Vector| |TwoDimensionalViewport| |ThreeDimensionalViewport| |ViewDefaultsPackage| |ViewportPackage| |Void| |VectorSpace&| |VectorSpace| |WeierstrassPreparation| |WildFunctionFieldIntegralBasis| |WeightedPolynomials| |WuWenTsunTriangularSet| |XAlgebra| |XDistributedPolynomial| |XExponentialPackage| |XFreeAlgebra| |ExtensionField&| |ExtensionField| |XPBWPolynomial| |XPolynomialsCat| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ParadoxicalCombinatorsForStreams| |ZeroDimensionalSolvePackage| |IntegerLinearDependence| |IntegerMod| |Enumeration| |Mapping| |Record| |Union| |Category| |LowTriBddDenomInv| |pmComplexintegrate| |rightTrim| |width| |pToHdmp| |simplifyExp| |maxIndex| |tab| |firstDenom| |orbit| |logpart| |e01sff| |discreteLog| |uncouplingMatrices| |functionIsOscillatory| |semiIndiceSubResultantEuclidean| |perfectNthPower?| |empty| |compdegd| |null?| |ef2edf| |primextintfrac| |repeating?| |reverse!| |continuedFraction| |multiset| |primeFactor| |affineAlgSet| |obj| |expintegrate| |back| |input| |solveInField| |OMgetError| |sh| |test| |exponentialOrder| |ParCondList| |interpolateForms| |title| |selectIntegrationRoutines| |rules| |rank| |rewriteIdealWithHeadRemainder| |node| |flexible?| |LazardQuotient2| |Is| |routines| |constantLeft| |maxPoints| |setAttributeButtonStep| |write!| |minGbasis| |quotientByP| |newSubProgram| |se2rfi| |setelt!| |numerators| |asecIfCan| |exprHasWeightCosWXorSinWX| |primitivePart| |rightLcm| |numberOfCycles| |iiacosh| |dn| |complexEigenvectors| |fractionPart| |symmetricGroup| |slex| |newtonPolySlope| |setsubMatrix!| |ffactor| |solve1| |mathieu23| |complexForm| |call| |heapSort| |invmultisect| |Hausdorff| |exprex| |karatsuba| |evalIfCan| |bezoutDiscriminant| |bipolarCylindrical| |sbt| |complexSolve| |singularPoints| |binary| |genusTree| |parametric?| |lieAlgebra?| |cothIfCan| |posExpnPart| |frobenius| |getButtonValue| E1 |rightScalarTimes!| |trace| |toScale| |laurentIfCan| |HenselLift| |quasiMonic?| |OMreadStr| |associator| |uniform| |sech2cosh| |reorder| |hdmpToP| |complexElementary| |powmod| |lowerCase!| |squareTop| |deepestInitial| |invertIfCan| |digamma| |jacobian| |safety| |tanAn| |curve?| |definingEquations| |printTypes| |basisOfCentroid| |extractClosed| |terms| |exteriorDifferential| |transcendentalDecompose| |affineRationalPoints| |one?| |argument| |processTemplate| |df2fi| |tracePowMod| |OMputObject| |characteristicSet| |conjugate| |OMgetSymbol| |deleteRoutine!| |elRow2!| |satisfy?| |Ei1| |groebgen| |semiSubResultantGcdEuclidean1| |sumOfSquares| |graphStates| |dcopy| |bivariatePolynomials| |rightFactorIfCan| |presub| |removeSuperfluousCases| |iiasin| |primintfldpoly| |setleaves!| |lazyPrem| |baseRDE| |solid?| |shiftRight| |returnTypeOf| |applyTransform| |quadTransform| |computeCycleEntry| |linears| |resultantReduitEuclidean| |rational| |lex| |minset| |dmpToP| |cRationalPower| |powerSum| |taylorQuoByVar| |extension| |tanh2trigh| |Ei5| |freeOf?| |inBetweenExcpDiv| |OMbindTCP| |RemainderList| |primaryDecomp| |kroneckerDelta| |radix| |DiffAction| |universe| |SturmHabichtSequence| |intermediateResultsIF| |logGamma| |safeCeiling| |tanhIfCan| |hclf| |kovacic| |eval| |axServer| |localAbs| |showRegion| |cyclic?| |curve| |leadingCoefficientRicDE| |base| |numberOfFactors| |rangePascalTriangle| |swap| |coerceP| |removeConstantTerm| |coord| |OMreadFile| |matrix| |factorial| |Beta| |name| |UP2ifCan| |pointValue| |ocf2ocdf| |normalElement| |sin?| |lyndonIfCan| |eigenvector| |computeInt| |true| |sPol| |moebius| |sup| |homogeneous| |toseSquareFreePart| |subTriSet?| |eq| |infinite?| |argumentList!| |showTheRoutinesTable| |cylindrical| |OMcloseConn| |symbol?| |semiResultantEuclidean1| |nextSublist| |differentialVariables| |opeval| |fortranDouble| |randnum| |principal?| |squareFreeLexTriangular| |returns| |generalizedInverse| |iisinh| |car| |replaceVarByOne| |pr2dmp| |unparse| |belong?| |cdr| |viewpoint| |mkAnswer| |mainMonomial| |HermiteIntegrate| |sizeMultiplication| |rightUnit| |infinity| |blankSeparate| |elt| |fractRagits| |factorByRecursion| |qroot| |max| |equation| |redPo| |showFortranOutputStack| |scaleRoots| |OMputEndBVar| |map| |leftTrace| |failed| |scripted?| |tan2cot| |sinIfCan| |complexIntegrate| |prod| |logIfCan| |tubePointsDefault| |mantissa| |reduceLODE| |One| |subSet| |minordet| |getlo| |irreducible?| |ZetaFunction| |OMopenString| |lastNonNul| F |factorAndSplit| |ipow| |newLine| |factorPolynomial| |symbNameV| |expandLog| |ddFact| |lazyEvaluate| |cardinality| |scalarMatrix| |characteristicSerie| |double| |slash| |prime| |permanent| |curveColor| |maxColIndex| |tensorMap| |modTree| |leftDiscriminant| |unitNormal| |lazyPseudoDivide| |clearFortranOutputStack| |leftUnit| |lhs| |rur| |monomialIntegrate| |product| |solveLinearPolynomialEquation| |solveid| |refine| |aromberg| |antiCommutative?| |key?| |mapExpon| |updatD| |empty?| |moreAlgebraic?| |choosemon| |dimensionsOf| |mesh| |weakBiRank| |numberOfComponents| |OMgetFloat| |condition| |setsymbName!| |bsolve| |type| |complexEigenvalues| |rangeIsFinite| |arity| |abs| |startPolynomial| |qelt| |Lazard2| |rightRecip| |splitLinear| |spherical| |janko2| |biRank| |gcdcofact| |permutationGroup| |localIntegralBasis| |rightPower| |setcurve!| |outlineRender| |contractSolve| |suchThat| |setStatus!| |monicModulo| |restorePrecision| |cyclotomicFactorization| |mainVariable| |error| |factorCantorZassenhaus| |factors| |csch2sinh| |explicitEntries?| |doubleFloatFormat| |weights| |genericRightTrace| |pop!| |retractIfCan| |coordinates| |prefixRagits| |Ei3| |endOfFile?| |currentSubProgram| |coefficient| |reseed| |ScanFloatIgnoreSpacesIfCan| |iidigamma| |even?| |purelyTranscendental?| |prepareDecompose| |csubst| |LiePoly| |semiLastSubResultantEuclidean| |trapezoidalo| |checkForZero| |bumptab1| |birth| |pomopo!| = |second| |oddintegers| |machineFraction| |numericIfCan| |linSolve| |rootProduct| |isList| |totalDifferential| |clearTheFTable| < ~ |approximants| |unitNormalize| |build| |Ci| > |dcabs1| |distance| |rCoord| <= |rischDE| |setleft!| |size?| |theCurve| >= |withPredicates| |isQuotient| |reducedSystem| |gcdcofactprim| |factorGroebnerBasis| |makeYoungTableau| |finiteSeries2LinSysWOVectorise| |critBonD| |basicSet| |setImagSteps| |variableName| |cPower| |cache| + |infieldIntegrate| |rightQuotient| |shufflein| - |generalizedContinuumHypothesisAssumed| |intChoose| |enumerate| / |generic?| |OMgetEndBind| |multiplicative?| |datalist| |mkIntegral| |factorSquareFreePolynomial| |lagrange| |rightTrace| |iipow| |stack| |LyndonWordsList| |atan| |maxPoints3D| |rarrow| |complexNumeric| |acot| |precision| |commonDenominator| |finiteBound| |kernels| |asec| |harmonic| |relationsIdeal| |univariate| |acsc| |int| |mapCoef| |factor| |sinh| |previousTower| |semiDiscriminantEuclidean| |real| |cosh| |constant?| |corrPoly| |imag| |union| |tanh| |fortranCompilerName| |directProduct| |coth| |iiasinh| |limitedIntegrate| |destruct| |sech| |unravel| |commutativeEquality| |monomial| |csch| |row| |directory| |multiEuclidean| |multivariate| |lift| |asinh| |initParLocLeaves| |reduceRow| |variables| |reduce| |acosh| |fixedDivisor| |kernel| |iiacos| |atanh| |raisePolynomial| |negative?| |acoth| |removeZeroes| |taylor| |asech| |hue| |determinant| |laurent| |ratPoly| |imagk| |puiseux| |rightRegularRepresentation| |LyndonWordsList1| |any| |inv| |relerror| |quadraticNorm| |ground?| |whileLoop| |setMinPoints3D| |ground| |integralBasisAtInfinity| |bracket| |leadingMonomial| |library| |isMult| |stFuncN| |append| |generator| |nrows| |leftRemainder| |radicalSolve| |function| |reducedQPowers| |prinshINFO| |prem| |sincos| |rationalPoints| |cAcoth| |prevPrime| |degreePartition| |unaryFunction| |prolateSpheroidal| |enterInCache| |wronskianMatrix| |OMgetString| |lazyGintegrate| |KrullNumber| |polygon?| |remainder| |formula| |segment| |mainVariables| |fullInfClsPt| |curryRight| |external?| |RittWuCompare| |pade| |clearDenominator| |level| |physicalLength!| |zerosOf| |OMputEndBind| |desingTree| |makeCos| |critB| |round| |lo| |Not| |palglimint0| |plenaryPower| |incr| |map!| |getStream| |iiBesselK| |extract!| |pointPlot| |hi| |listOfTerms| |removeConjugate| |void| |OMsetEncoding| |isAbsolutelyIrreducible?| |outputFloating| |normalDenom| |maxRowIndex| |frst| |setlast!| |right| |resultantnaif| |setTex!| |zeroMatrix| |modularGcdPrimitive| |isExpt| |Or| |genericRightTraceForm| |subQuasiComponent?| |OMgetAttr| |maxSubst| |setlocalPoint!| |putGraph| |createLowComplexityTable| |laurentRep| |pseudoDivide| |oneDimensionalArray| |maxMixedDegree| |numFunEvals3D| |OMgetInteger| |revert| |removeSuperfluousQuasiComponents| |irreducibleFactor| |checkExtraValues| |complexLimit| |shuffle| |errorInfo| |basisOfRightNucloid| |Somos| |negAndPosEdge| |generalizedEigenvector| |log2| |printStatement| |listYoungTableaus| |lprop| |coerceImages| |chebyshevU| |length| |Frobenius| |iisqrt2| |mapUp!| |subMatrix| |hasPredicate?| |scripts| |extendIfCan| |generalPosition| |linearMatrix| |listexp| |defineProperty| |makeVariable| |OMsupportsSymbol?| |trunc| |constantOpIfCan| |probablyZeroDim?| |generate| |tableau| |palgextint0| |polCase| |stop| |alternating| |incrementBy| |bitCoef| |odd?| |rule| |laplace| |diffHP| |lowerCase?| |selectFiniteRoutines| |nary?| |schema| |expand| |OMwrite| |subPolSet?| |hypergeometric0F1| |apply| |elementary| |listRepresentation| |filterWhile| |iiacoth| |indicialEquation| |exprToGenUPS| |localUnquote| |getZechTable| |associatedSystem| |filterUntil| |argscript| |iteratedInitials| |ruleset| |extractIfCan| |removeCosSq| |brace| |graeffe| |associates?| |select| |cons| |vconcat| |rightFactorCandidate| |maxdeg| |extractIndex| |iiperm| |cAsec| |var1StepsDefault| |copy| |linearlyDependentOverZ?| |completeEchelonBasis| |more?| |makeSin| |distinguishedCommonRootsOf| |trigs| |arrayStack| |parametrize| |cCot| |symmetricDifference| |outputForm| |ref| |approxNthRoot| |primPartElseUnitCanonical| |baseRDEsys| |FormatArabic| |surface| |sdf2lst| |high| |characteristic| |translateToOrigin| |normalizedAssociate| |makeRecord| |divideIfCan| |viewZoomDefault| |useNagFunctions| |convergents| |constDsolve| |integerDecode| |dihedral| |OMopenFile| |permutationRepresentation| |squareFreePart| |list| |less?| |noncommutativeJordanAlgebra?| |displayAsGF| |pointSizeDefault| |lyndon?| |genericLeftNorm| |reindex| |completeSmith| |normal01| |partialFraction| |cubicBezier| |extractTop!| |alphabetic?| |setTopPredicate| |rootKerSimp| |symbolTableOf| |denomRicDE| |removeRedundantFactorsInPols| |rootPoly| |controlPanel| |iicosh| |generic| |useEisensteinCriterion| |sum| |getMultiplicationTable| |transcendenceDegree| |triangularSystems| |removeDuplicates| |constantRight| |cubic| |viewPhiDefault| |setref| |toroidal| |prologue| |combineFeatureCompatibility| |setRealSteps| |acotIfCan| |constant| |aQuadratic| |reduceByQuasiMonic| |rest| |failed?| |effective?| |dot| |singRicDE| |taylorRep| |reverse| |viewport3D| |desingTreeAtPoint| |insertBottom!| |iicsc| |redmat| |lSpaceBasis| |LyndonBasis| |setDifference| |stronglyReduced?| |option?| |guessExpRat| |setIntersection| |quadratic| |any?| |divideExponents| |tValues| |hcrf| UP2UTS |maxTower| |sylvesterSequence| |cup| |singularitiesOf| |origin| |dioSolve| |appendPoint| |genericRightDiscriminant| |allRootsOf| |gramschmidt| |setUnion| |search| |lookup| |matrixConcat3D| |size| |monomials| |discriminant| |polynomial| |lllp| |qnew| |divOfPole| |leftExtendedGcd| |commutative?| |substitute| |weierstrass| |setLabelValue| |say| |ReduceOrder| |gbasis| |cyclicCopy| |maxDegree| |tubeRadius| |badValues| |getMeasure| |debug| |OMgetApp| |graphs| |doubleRank| |sqfrFactor| |constantOperator| |exactQuotient!| |factorUsingMusser| |interpretString| |Yun| |bivariate?| |basisOfNucleus| |extendedIntegrate| |totalLex| |ptree| |genericRightNorm| |dimensionOfIrreducibleRepresentation| |setSingularPoints| |rquo| |outputFixed| |basisOfLeftNucloid| |palgint0| |rspace| |basisOfInterpolateFormsForFact| |simpsono| |pureLex| |associatorDependence| |conditionP| |makeop| |explicitlyEmpty?| |prepareSubResAlgo| |linearBezier| |createMultiplicationMatrix| |log10| |construct| |PollardSmallFactor| |someBasis| |cartesian| |idealiser| |typeList| |setParam!| |denominators| |clearTheIFTable| |fullDesTree| |subCase?| |nextColeman| FG2F |lexico| |decomposeFunc| |adaptive3D?| |cycleElt| |cn| |reciprocalPolynomial| |localParamV| |iilog| |iomode| |fffg| |setDegree!| |particularSolution| |iifact| |critMTonD1| |realRoots| |affineAlgSetLocal| |ravel| |lfintegrate| |parse| |axesColorDefault| |binaryFunction| |rischNormalize| |lexTriangular| |degreeSubResultantEuclidean| |palgLODE0| |outputGeneral| |besselJ| |keys| |iibinom| |iidsum| |divergence| |optpair| |classNumber| |coerce| |factorSquareFree| |meshFun2Var| |foundPlaces| |sec2cos| |groebSolve| |primes| |label| |figureUnits| |objects| |set| |nullary| |Ei4| |rightZero| |viewWriteDefault| |tryFunctionalDecomposition?| |vark| |reducedContinuedFraction| |repeatUntilLoop| |bandedHessian| |nilFactor| |and| |comment| |mirror| |adjunctionDivisor| |halfExtendedResultant2| |OMserve| |extendedEuclidean| |partialNumerators| |edf2ef| |float| |fixedPoints| |upperCase| |lazyIrreducibleFactors| |rdregime| |iiBesselJ| |testModulus| |getRef| |id| NOT |makeSUP| |acscIfCan| |declare| |OMreceive| |permutations| |rootSplit| |nthCoef| OR |iflist2Result| |integer| |monic?| |dAndcExp| |newReduc| |symmetricProduct| AND |lists| |returnType!| |limit| |goto| |lazyPseudoQuotient| |curveColorPalette| |rightMinimalPolynomial| |value| |nthExpon| RF2UTS |concat| |squareMatrix| |expr| |invertible?| |iiasech| |listAllMono| |antisymmetric?| |string| |linearDependence| |internal?| |child| |integral| |coth2tanh| |bernoulliB| |acschIfCan| |operator| |selectPDERoutines| |properties| |leadingIndex| |maxDerivative| |pdf2df| |quadratic?| |coefChoose| |hasoln| |setScreenResolution3D| |rationalPoint?| |totolex| |internalIntegrate0| |torsionIfCan| |minimumExponent| |lazyPremWithDefault| |table| |sn| |xor| |tubePlot| |phiCoord| |normalForm| |nonLinearPart| |geometric| |genericPosition| |linearlyDependent?| |op| |quasiAlgebraicSet| |thetaCoord| |regime| |linGenPos| |swapColumns!| |ode| |externalList| |functionIsFracPolynomial?| |redPol| * |cot2trig| |numberOfImproperPartitions| |ranges| |getOrder| |setClipValue| |trueEqual| |xCoord| |commaSeparate| |iisin| |doubleResultant| |monomialIntPoly| |cAtanh| |lfextendedint| |qShiftAction| |setStatus| |identification| |cTanh| |createPrimitiveElement| |functionName| |iCompose| |evalRec| |iiBeta| |copy!| |sturmSequence| |reduceBasisAtInfinity| |subtractIfCan| |graphCurves| |goppaCode| |An| |newton| |palgint| |pfaffian| |message| |key| |stoseInternalLastSubResultant| |paren| |replaceDiffs| |overbar| |moduloP| |stirling2| |lazyResidueClass| |indicialEquations| |placesAbove| |shanksDiscLogAlgorithm| |intersectionDivisor| |inverseLaplace| |identitySquareMatrix| |conditions| |removeRedundantFactors| |fibonacci| |alphanumeric| |debug3D| |sncndn| |rightCharacteristicPolynomial| |exponent| |imagJ| |subset?| |mainKernel| |mergeFactors| |gderiv| |zeroDimensional?| |localPointV| |primlimintfrac| |splitConstant| |polarCoordinates| |computePowers| |acothIfCan| |dimension| |df2st| |startTable!| |plus| |conical| Y |hconcat| |rischDEsys| |leftAlternative?| |duplicates?| |squareFreePolynomial| |OMencodingUnknown| |permutation| |numberOfPrimitivePoly| |cCoth| |minPol| |delta| |irreducibleFactors| |real?| |numberOfHues| |identity| |exp1| |removeIrreducibleRedundantFactors| |symbol| |algebraicDecompose| |quoByVar| |excpDivV| |affinePoint| |maxLevel| |roughBase?| |shiftLeft| |wordInGenerators| |fullOutput| |bat| |positive?| |Si| |supp| |one| |fortranLinkerArgs| |asimpson| |hasTopPredicate?| |internalLastSubResultant| |placesOfDegree| |unexpand| |quote| |generalizedEigenvectors| |leftCharacteristicPolynomial| |diagonals| |pointColorDefault| |zero| |shiftHP| |dmpToHdmp| |monicDivide| |makeViewport2D| |block| |completeHermite| |setAdaptive3D| |definingInequation| ^ |retract| |setLegalFortranSourceExtensions| |acsch| |partition| |previous| |gcdprim| LODO2FUN |OMlistSymbols| |exp| |postfix| |scanOneDimSubspaces| |headRemainder| |limitedint| |setPosition| |iExquo| |monicLeftDivide| |createThreeSpace| |pi| |squareFree| |child?| |crushedSet| |fortranTypeOf| |basisOfLeftNucleus| |setRow!| |nextIrreduciblePoly| |normalizeIfCan| |sqrt| |diagonalMatrix| |magnitude| |minrank| |halfExtendedSubResultantGcd1| |exprToXXP| F2EXPRR |reduction| |chineseRemainder| |sumOfKthPowerDivisors| |updateStatus!| |nextsubResultant2| |polyred| |f04axf| |algint| |li| |lazyPquo| |pack!| |algebraicOf| |viewWriteAvailable| |viewport2D| |minus!| |f04atf| |erf| |normal| |interpolate| |OMgetAtp| |selectfirst| |invertibleSet| |uniform01| |eulerE| |f04asf| |linearAssociatedOrder| |safeFloor| |evaluateInverse| |subspace| |addPointLast| |modularFactor| |degree| |zeroOf| |balancedBinaryTree| |setprevious!| |weight| |LagrangeInterpolation| |pToDmp| |separate| |internalDecompose| |f04arf| |find| |mapUnivariate| |innerEigenvectors| |dilog| |rem| |printInfo!| |infieldint| |inrootof| |elRow1!| |wordsForStrongGenerators| |selectMultiDimensionalRoutines| |sin| |algebraicSort| |initials| |rationalPlaces| |bernoulli| |f04adf| |associatedEquations| |compiledFunction| |normalize| |cos| |cyclePartition| |quo| |stiffnessAndStabilityFactor| |setexcpDiv!| |stiffnessAndStabilityOfODEIF| |leadingBasisTerm| |cAcsch| |tan| |fortranReal| |e01sbf| |headReduce| |numberOfComputedEntries| |iicot| |indexName| |ideal| |cot| |mainMonomials| |/\\| |mightHaveRoots| |rightMult| |innerSolve1| |palgextint| |exponential| |sec| |\\/| |squareFreeFactors| |string?| |listOfLists| |continue| |euclideanGroebner| |randomR| |csc| |makeUnit| |expandTrigProducts| |algebraicSet| |order| |chartV| |OMgetType| |asin| |findTerm| |drawCurves| |fixedPointExquo| |integrate| |dictionary| |nextPrimitiveNormalPoly| ~= |acos| |quotedOperators| |stoseInvertible?| |colorDef| |setFoundZeroes| |f07fef| |localize| |nthr| |makeprod| |extensionDegree| |untab| |f07fdf| |normalDeriv| |mainValue| |nsqfree| |diagonal?| |listLoops| |f07aef| |setright!| |null| |leftMult| |showTheIFTable| |aCubic| |mdeg| |f07adf| |fortranLiteral| |root| |semiResultantEuclideannaif| |asinhIfCan| |jacobiIdentity?| |ord| |redpps| |simpson| |medialSet| |interReduce| |s17dlf| |recolor| GF2FG |rightAlternative?| |guessBinRat| |divide| |s17dhf| |radical| |ceiling| |realEigenvectors| |resultantEuclidean| |jacobi| |s17dgf| |En| |makeResult| |goodnessOfFit| |tableForDiscreteLogarithm| |f02xef| |euclideanSize| |represents| |complex?| |OMputAtp| |height| |f02wef| |changeNameToObjf| |pushucoef| |collect| |countRealRoots| |f02fjf| |basisOfRightAnnihilator| |fortranInteger| |stoseInvertibleSet| |subs1stVar| |f02bjf| |update| |qPot| |addPoint2| |leftFactor| |ramified?| |f02bbf| |factorSqFree| |cycleTail| |multiplicity| |screenResolution3D| |f02axf| |repSq| |createGenericMatrix| |evenInfiniteProduct| |intersect| |f02awf| |ScanFloatIgnoreSpaces| |f02akf| |B1solve| |nthRootIfCan| |mapExponents| |new| |ratDsolve| |integralDerivationMatrix| |positiveSolve| |rootsOf| |f02ajf| |lcm| |areEquivalent?| |moebiusMu| |trim| |affineSingularPoints| |f02agf| |expint| |listConjugateBases| |infRittWu?| |polyRicDE| |iiatan| |eyeDistance| |PDESolve| |showArrayValues| |f02aff| |generalizedContinuumHypothesisAssumed?| |rootNormalize| |setMinPoints| |iiacsc| |f02aef| |symmetricSquare| |algintegrate| |sumOfDivisors| |graphState| |f02adf| |internalIntegrate| |entries| |power!| |f02abf| |incrementKthElement| |explicitlyFinite?| |karatsubaOnce| |concat!| |f02aaf| |pushdown| |rightOne| |showAllElements| |Musser| |measure| |validExponential| |inGroundField?| |position!| |listBranches| |iprint| |setnext!| |ignore?| |selectPolynomials| |polar| |space| |gcd| |cCosh| |roughSubIdeal?| |bumprow| |tubePoints| |branchPoint?| |prindINFO| |cSech| |integralLastSubResultant| |backOldPos| |mapSolve| |false| |qsetelt!| |generators| |rowEchLocal| |orbits| |hasSolution?| |standardBasisOfCyclicSubmodule| |numberOfIrreduciblePoly| |rowEchWoZeroLines| |numberOfVariables| |selectAndPolynomials| LT |stopTable!| |bfEntry| |numFunEvals| |makeEq| |excepCoord| |characteristicPolynomial| |maxPower| |interval| |definingPolynomial| |makeMulti| |numberRatPlacesExtDeg| |perfectNthRoot| |semiDegreeSubResultantEuclidean| |sinh2csch| |primeFrobenius| |triangulate| |columnSpace| |chebyshevT| |retractToGrn| |infinityNorm| |initializeGroupForWordProblem| |makeSeries| |countRealRootsMultiple| |mainVariable?| |inc| |triangSolve| |qShiftC| |primintegrate| |iroot| |sub| |getExplanations| |calcRanges| |rootSimp| |minimalPolynomial| |extractProperty| |newElement| |subst| |coerceS| |mathieu24| |latex| |pole?| |iicsch| |shiftRoots| |cycleSplit!| |domainOf| |deepestTail| |stoseLastSubResultant| |groebnerIdeal| |subresultantSequence| |messagePrint| |oddlambert| |f2st| |Aleph| |setmult!| |stopMusserTrials| |numberOfChildren| |bag| |rootPower| |minPoints| |lazy?| |nextNormalPoly| |zoom| |vertConcat| |rightRankPolynomial| |algSplitSimple| |sumSquares| |dimensions| |integerIfCan| |fractionFreeGauss!| |ncols| |maxrow| |branchPointAtInfinity?| |computeBasis| |mkPrim| |cCsc| |rightRemainder| |factorset| |chvar| |groebner| |OMParseError?| |cond| |rightGcd| |dequeue!| |sample| |generalSqFr| |tryFunctionalDecomposition| |directSum| |leaves| |changeName| |rationalApproximation| |cCos| |e02bcf| |replaceVarByZero| |rightNorm| |setchart!| |euler| |e02bbf| |epilogue| |depth| |changeVar| |musserTrials| |critM| |tan2trig| |e02baf| |equality| |createLowComplexityNormalBasis| |gnuDraw| |indiceSubResultant| |e02akf| |count| |sechIfCan| |isPower| |sin2csc| |lighting| |e02ajf| LE |transpose| |merge!| |digits| |readLine!| |e04ycf| |acoshIfCan| |asinIfCan| |outputMeasure| |toseLastSubResultant| |e04ucf| |pointLists| |univcase| |integralMatrix| |green| |e04naf| |noLinearFactor?| |lowerCase| |lastSubResultantElseSplit| |approxSqrt| |e04mbf| |declare!| |introduce!| |OMputError| |deepExpand| |oddInfiniteProduct| |parent| |e04jaf| |getSmgl| |charpol| |OMsend| |patternMatch| |resetBadValues| |e04gcf| |copyIto| |divisors| |colorFunction| |viewThetaDefault| GT |e04fdf| |copyBSD| |point| |translate| |over| |inverseColeman| |e04dgf| |systemCommand| |convertIfCan| |lowerPolynomial| |decrease| |topPredicate| |f01ref| |testDim| |daxpy| |delay| |f01rdf| |quatern| |rightTraceMatrix| |homogeneous?| |f01rcf| |super| |OMclose| |tRange| |f01qef| |divOfZero| |cyclotomic| |certainlySubVariety?| |f01qdf| |ScanRoman| |nextNormalPrimitivePoly| |fixedPoint| |f01qcf| |evenlambert| |increasePrecision| |tanh2coth| |f01mcf| |partialDenominators| |interpret| |laguerre| |sparsityIF| |f01maf| |cot2tan| |quasiMonicPolynomials| |front| |f01bsf| |oblateSpheroidal| |ricDsolve| |paraboloidal| |f01brf| |exquo| |floor| |tree| |finiteSeries2Vector| |div| |create| |palgLODE| |readIfCan!| |pquo| |parabolic| |minimalForm| ^= |seriesToOutputForm| |guess| |definingField| |reset| |cscIfCan| |primitivePart!| |firstNumer| |write| GE |rowEch| |compactFraction| |superHeight| |save| |genusTreeNeg| |gcdPrimitive| |exponential1| |stoseInvertible?sqfreg| |bits| |secIfCan| |queue| |leftTrim| |ran| |ode2| |sylvesterMatrix| |mesh?| |cAcsc| |common| |contract| |setValue!| |nil| |closeComponent| |leadingExponent| |laguerreL| |coerceListOfPairs| |legendreP| |print| |rewriteIdealWithQuasiMonicGenerators| |assoc| |leftTraceMatrix| |generalInterpolation| |qinterval| |approximate| |rightExtendedGcd| |aQuartic| |complex| |fortranCharacter| |enterPointData| |leftRank| |integerBound| |OMputEndAtp| |open?| |sizePascalTriangle| |initiallyReduce| |removeRoughlyRedundantFactorsInPols| |lazyIntegrate| |trivialIdeal?| |extractSplittingLeaf| |delete| |intensity| |modifyPointData| |bright| |setrest!| |lintgcd| |components| |padicFraction| |viewDeltaYDefault| |halfExtendedSubResultantGcd2| |output| |var2StepsDefault| D |rationalPower| |perfectSquare?| |symFunc| |OMputSymbol| |selectOptimizationRoutines| |localParam| |leftLcm| |reopen!| |exprToUPS| |ratpart| |removeSquaresIfCan| |sorted?| |lfinfieldint| |shift| |tanIfCan| |univariatePolynomialsGcds| |projectivePoint| |component| |inRadical?| |toseInvertibleSet| |scan| |d| |e02dff| |psolve| |points| |nodeOf?| |numberOfPlacesOfDegree| |basisOfCommutingElements| |flagFactor| |useSingleFactorBound?| |changeBase| |e02def| |wreath| |iiasec| |expextendedint| |expintfldpoly| |e02ddf| |shrinkable| |listOfMonoms| |mapmult| |e02dcf| |stripCommentsAndBlanks| |escape| |e02daf| |makeViewport3D| |rationalFunction| |meatAxe| |setpoint!| |elColumn2!| |e02bef| |subNode?| |numberOfValuesNeeded| |localReal?| |sort!| |guessAlg| |symbolIfCan| |e02bdf| |zRange| |degreeSubResultant| |nthFactor| |minusInfinity| |cfirst| |createNormalPoly| |e| |mindegTerm| |quasiRegular?| |multiplyExponents| |plusInfinity| |isPlus| |modulus| |hasHi| |generalInfiniteProduct| |coefOfFirstNonZeroTerm| |iitanh| |univariatePolynomials| |ellipticCylindrical| |supDimElseRittWu?| |factorOfDegree| |rk4| |realEigenvalues| |rational?| |imagK| |getGoodPrime| |subResultantChain| |compose| |possiblyInfinite?| |inconsistent?| |normalise| |writeLine!| |swap!| |sort| |char| F2FG |mindeg| |flexibleArray| |list?| |finiteBasis| |next| |linearDependenceOverZ| |sturmVariationsOf| |ramifiedAtInfinity?| |lflimitedint| |mapdiv| |fullOut| |minColIndex| |partitions| |bumptab| |bottom!| |weighted| |selectsecond| |shellSort| |suffix?| |d01gbf| |truncate| |eq?| |split!| |idealiserMatrix| |froot| |measure2Result| |fortranLiteralLine| |pointDominateBy| |abelianGroup| |d01gaf| |mr| |actualExtensionV| |resetAttributeButtons| |polyRingToBlUpRing| |hdmpToDmp| |d01fcf| |preprocess| |insertTop!| |lBasis| |d01bbf| |status| |subHeight| |stFunc2| |setfirst!| |rroot| |palgRDE0| |eigenMatrix| |leviCivitaSymbol| |createIrreduciblePoly| |conjugates| |tablePow| |d01asf| |viewPosDefault| |integers| |exists?| |move| |insert!| |infLex?| |fill!| |constantIfCan| |cAcot| |expenseOfEvaluationIF| |showTheFTable| |rename| |maxint| |d02raf| |identityMatrix| |zeroSquareMatrix| |omError| |euclideanNormalForm| |d02kef| |monicDecomposeIfCan| |primitiveElement| EQ |mpsode| |resize| |setlocalParam!| |mainContent| |increment| |semiResultantEuclidean2| |lexGroebner| |d02gbf| |OMsupportsCD?| |palgintegrate| |OMunhandledSymbol| |setClosed| |submod| |lifting1| |perspective| |solveRetract| |d02gaf| |chiSquare1| |charClass| |nullary?| |summation| |leftFactorIfCan| |sts2stst| |systemSizeIF| |d02ejf| |DiffC| |seriesSolve| |eisensteinIrreducible?| |fullParamInit| |univariate?| |OMputVariable| |factor1| |d02cjf| |printCode| |mergeDifference| |radicalRoots| |subscriptedVariables| |prefix?| |iipolygamma| |outputArgs| |open| |d02bhf| |credPol| |wholeRagits| |copies| |generalLambert| |rootRadius| |multV| |nextsousResultant2| |d02bbf| |transcendent?| |upperCase!| |localParamOfSimplePt| |inverseIntegralMatrixAtInfinity| |getGraph| |distdfact| |Ei2| |linearPolynomials| |e02ahf| |mainSquareFreePart| |functionIsContinuousAtEndPoints| |deref| |qfactor| |usingTable?| |substring?| |reduced?| |limitPlus| |resetVariableOrder| |palginfieldint| |OMputAttr| |selectODEIVPRoutines| |viewDefaults| |clipPointsDefault| |multinomial| |hyperelliptic| |mapMatrixIfCan| |rootOfIrreduciblePoly| |reduceRowOnList| |OMgetBind| |internalInfRittWu?| |comparison| |duplicates| |leftPower| |foundZeroes| |changeThreshhold| |top| |viewDeltaXDefault| |pushup| |rotate| |allDegrees| |upperCase?| |stirling1| |leftRankPolynomial| |d03faf| |stosePrepareSubResAlgo| |makeGraphImage| |setProperties| |LiePolyIfCan| |merge| |d03eef| |difference| |min| |imagj| |countable?| |traceMatrix| |socf2socdf| |diag| |groebner?| |content| |SturmHabichtMultiple| |d03edf| |addiag| |printingInfo?| |numberOfNormalPoly| |fintegrate| |midpoint| |subResultantGcd| |pile| |rowEchelonLocal| |push!| |ksec| |monomRDEsys| |knownInfBasis| |tanQ| |critpOrder| |options| |rightDiscriminant| |unprotectedRemoveRedundantFactors| |elliptic?| |OMgetEndAtp| |denomLODE| |autoReduced?| |droot| |connect| |degreeOfMinimalForm| |regularRepresentation| |representationType| |startTableGcd!| |basisOfRightNucleus| |totalfract| |subResultantsChain| |expIfCan| |lfextlimint| |chiSquare| |cAcos| |seed| |cAsin| |jordanAdmissible?| |removeFirstZeroes| |iiabs| |tube| |clip| |genusNeg| |series| |selectOrPolynomials| |multiEuclideanTree| |fTable| |desingTreeWoFullParam| |tensorProduct| |besselK| |evaluate| |virtualDegree| |var2Steps| |semiResultantReduitEuclidean| |primitive?| |patternMatchTimes| |explimitedint| |trapezoidal| |expt| |cycles| |hash| UTS2UP |degOneCoef| |zCoord| |normal?| |nthFlag| |var1Steps| |besselY| |binaryTree| |Zero| |deriv| |leftZero| |guessRat| |rotatex| |clikeUniv| |showScalarValues| |iiBesselI| |startStats!| |cAcosh| |jordanAlgebra?| |lambert| |polynomialZeros| |coefficients| |unitCanonical| |removeDuplicates!| |clearTheSymbolTable| |xn| |clipBoolean| |bitLength| |copyInto!| |algDsolve| |tubeRadiusDefault| |presuper| |conditionsForIdempotents| |symmetricRemainder| |minPoints3D| |dasum| |simplifyLog| |scalarTypeOf| |safetyMargin| |leftScalarTimes!| |c05nbf| |leftGcd| |direction| |repeating| |llprop| |c05adf| |halfExtendedResultant1| |interpolateFormsForFact| |initiallyReduced?| |genericLeftTrace| |quoted?| |csc2sin| |pointData| |makeFloatFunction| |c06gsf| |ridHack1| |t| |chainSubResultants| |column| |parabolicCylindrical| |df2ef| |divideIfCan!| |c06gqf| |largest| |diagonal| |fixPredicate| |getDomains| |recip| |polygamma| |monicRightDivide| |operators| |f2df| |number?| |c06gcf| |coHeight| |pointColor| |meshPar1Var| |moduleSum| |drawComplex| |c06gbf| |addBadValue| |torsion?| |setColumn!| |OMread| |curryLeft| |cSinh| |or| |rightRank| |balancedFactorisation| |curveV| |c06fuf| |GospersMethod| |alternatingGroup| |hexDigit| |quotVecSpaceBasis| |nextSubsetGray| |c06frf| |generalTwoFactor| |elements| |collectUnder| |physicalLength| |separateFactors| |OMgetBVar| |makeSketch| |factorSFBRlcUnit| |imagE| |c06fqf| |createHN| |outputList| |parts| |unrankImproperPartitions0| |c06fpf| |shade| |lazyVariations| |complexNumericIfCan| |separateDegrees| |mat| |numericalIntegration| |meshPar2Var| |c06ekf| |setEpilogue!| |OMReadError?| |outputAsTex| |checkOptions| |tanNa| |leaf?| |ScanArabic| |binaryTournament| |setScreenResolution| |mainForm| |c06ecf| |realSolve| |resultant| |transCoord| |xRange| |saturate| |derivationCoordinates| |c06ebf| |extend| |resultantEuclideannaif| |findCycle| |algebraicVariables| |nonQsign| |primlimitedint| |initTable!| |c06eaf| |extendedResultant| |constantCoefficientRicDE| |pointColorPalette| |sayLength| |rk4qc| |s17def| |modifyPoint| |optional?| |strongGenerators| |resultantReduit| |neglist| |dominantTerm| |cyclicSubmodule| |s17dcf| |SturmHabichtCoefficients| |stopTableInvSet!| |monomial?| |setCondition!| |smith| |leastAffineMultiple| |bitTruth| |has?| |style| |factorsOfCyclicGroupSize| |s17akf| |roughEqualIdeals?| |index?| |variable| |setButtonValue| |match?| |ratDenom| |deleteProperty!| |pmintegrate| |s17ajf| |pointInIdeal?| |bringDown| |mathieu11| |leftOne| |basisOfLeftAnnihilator| |cAsinh| |s17ahf| |mainCoefficients| |float?| |rootOf| |leftExactQuotient| |fullDisplay| |partialQuotients| |createNormalElement| |relativeApprox| |s17agf| |minIndex| |ptFunc| |suppOfPole| |overlap| |stepBlowUp| |setFieldInfo| |basisOfInterpolateForms| |s17aff| |region| |createPrimitivePoly| |factorFraction| |compBound| |square?| |property| |edf2efi| |composites| |atrapezoidal| |s17aef| |optimize| |atoms| |integralBasis| |light| |fillPascalTriangle| |lfunc| |getShiftRec| |movedPoints| |s17adf| |itsALeaf!| |close| |OMlistCDs| |bezoutResultant| |expenseOfEvaluation| |varselect| |branchIfCan| |s17acf| |closedCurve?| |iiatanh| |nextPrimitivePoly| |graphImage| |rotatey| |extractBottom!| |dequeue| |s15aef| |antisymmetricTensors| |units| |getPickedPoints| |rightDivide| |complement| |iicos| |forLoop| |topFortranOutputStack| |s15adf| |makingStats?| |orderIfNegative| |pseudoQuotient| |zeroVector| |pascalTriangle| |insert| |display| |s14baf| |purelyAlgebraic?| |reverseLex| |reduceLineOverLine| |expPot| |writeObj| |multiplyCoefficients| |singleFactorBound| |whatInfinity| |triangular?| |s14abf| |besselI| |makeFR| |rk4a| |OMgetEndBVar| |realElementary| |code| |retractable?| |mix| |s14aaf| |integral?| |inf| |sign| |hermiteH| |eigenvectors| |setPredicates| |lquo| |s13adf| |blowUp| |nullSpace| |linear?| |cCsch| |skewSFunction| |s13acf| |startTableInvSet!| |toseInvertible?| |chartCoord| |rename!| |rk4f| |nextPrime| |cSec| |s13aaf| |radicalEigenvalues| |complete| |member?| |loopPoints| |unvectorise| |primextendedint| |suppOfZero| |symmetricPower| |logical?| |s01eaf| |badNum| |filterUpTo| |absolutelyIrreducible?| |axes| |entry?| |algebraic?| |s21bdf| |firstUncouplingMatrix| |unrankImproperPartitions1| |indiceSubResultantEuclidean| |perfectSqrt| |ldf2lst| |brillhartTrials| |singularAtInfinity?| |reshape| |univariatePolynomial| |s21bcf| |rightExactQuotient| |removeRoughlyRedundantFactorsInContents| |monomRDE| |crest| |Ei6| |taylorIfCan| |atom?| |s21bbf| |readLineIfCan!| |rewriteSetWithReduction| |nullity| |OMputEndApp| |linearAssociatedLog| |pol| |factorsOfDegree| |s21baf| |linearPart| |parametersOf| |viewSizeDefault| |lastNonNull| |constantKernel| |setOfMinN| |unmakeSUP| |s20adf| |octon| |numberOfDivisors| |hermite| |fortranCarriageReturn| |getCode| |transform| |lyndon| |companionBlocks| |e02agf| |setCurve| |script| |packageCall| |solveLinearPolynomialEquationByRecursion| |optAttributes| |s20acf| |adjoint| |setchildren!| |prime?| |position| |OMmakeConn| |OMconnectTCP| |invertibleElseSplit?| |SFunction| |quickSort| |hMonic| |d01aqf| |ramifMult| |OMputBind| |setOrder| |double?| |s19adf| |yRange| |possiblyNewVariety?| |color| |patternVariable| |clearTable!| |setErrorBound| |completeEval| |digit| |clipWithRanges| |complexZeros| |integer?| |d01apf| |twist| |numeric| |exprHasAlgebraicWeight| |setsubmult!| |df2mf| |option| |inHallBasis?| |airyBi| |s19acf| |wholePart| |solveLinearPolynomialEquationByFractions| |changeWeightLevel| |create3Space| |radPoly| |d01anf| |mainDefiningPolynomial| |acosIfCan| |middle| |ode1| |fortran| |rotatez| |OMencodingXML| |bombieriNorm| |rootBound| |bandedJacobian| |d01amf| SEGMENT |dark| |listAllMonoExp| |rightUnits| |entry| |writable?| |signAround| |d01alf| |addPoint| |selectSumOfSquaresRoutines| |And| |ParCond| |slope| |splitSquarefree| |mapDown!| |bipolar| |s19abf| |hspace| |lp| |power| |vedf2vef| |createPrimitiveNormalPoly| |symbolTable| |radicalOfLeftTraceForm| |showTypeInOutput| |morphism| |integralMatrixAtInfinity| |d01akf| |stoseInvertible?reg| |complexRoots| |curry| |pushFortranOutputStack| |simpleBounds?| |Nul| |s19aaf| |zero?| |Gamma| |fracPart| |powers| |convert| |filename| |nor| |numberOfOperations| |drawToScale| |d01ajf| |overset?| |popFortranOutputStack| |flatten| |OMputEndObject| |palglimint| |top!| |consnewpol| |s18def| |orthonormalBasis| |midpoints| |left| |roughBasicSet| |stoseInvertibleSetreg| |outputAsFortran| |inverseIntegralMatrix| |s18dcf| |zeroSetSplitIntoTriangularSystems| |subs2ndVar| |multiple| |intcompBasis| |integralCoordinates| |newtonPolygon| |s18aff| |nextItem| |subResultantGcdEuclidean| |doubleDisc| |optional| |printHeader| |leftMinimalPolynomial| |coercePreimagesImages| |trigs2explogs| |laplacian| |s18aef| |exponents| |irreducibleRepresentation| |quadraticBezier| |lambda| |adaptive| |in?| |s18adf| |OMconnOutDevice| |not| |solveLinear| |maxShift| |createNormalPrimitivePoly| |divisorAtDesingTree| |s18acf| |numberPlacesDegExtDeg| |FormatRoman| |specialTrigs| |insertRoot!| |f04qaf| |homogenize| |cosSinInfo| |fmecg| |integralRepresents| |zag| |applyQuote| |f04mcf| |pdct| |semicolonSeparate| |cAtan| |leadingSupport| |fprindINFO| |f04mbf| |numberOfFractionalTerms| |inspect| |linkToFortran| |setvalue!| |critT| |factorUsingYun| |f04maf| |stFunc1| |trailingCoefficient| |internalAugment| |radicalEigenvectors| |differentiate| |squareFreePrim| |f04jgf| |shiftInfoRec| |purelyAlgebraicLeadingMonomial?| |cross| |addMatch| |f04faf| |quartic| |coleman| |radicalSimplify| |fullPartialFraction| |heap| |basisOfMiddleNucleus| |rst| |varList| |module| |vector| |mapUnivariateIfCan| |infClsPt?| |powerAssociative?| |predicates| |nthFractionalTerm| |antiAssociative?| |sequences| |iiGamma| |dflist| |leftUnits| |tex| |genericLeftDiscriminant| |rotate!| |basis| |removeSinhSq| |OMUnknownSymbol?| |totalGroebner| |sizeLess?| |readable?| |argumentListOf| |monicRightFactorIfCan| |cSin| |initializeParamOfPlaces| |leadingIdeal| |fortranLogical| |btwFact| |Lazard| |iisec| |digit?| |character?| |critMonD1| |leadingTerm| |wholeRadix| |genus| |trace2PowMod| |henselFact| |charthRoot| |red| |distinguishedRootsOf| |cap| |removeSinSq| |additive?| |cos2sec| |iiAiryBi| |makeTerm| |cAsech| |matrixDimensions| |pointToPlace| |conjug| |sinhcosh| |bezoutMatrix| |prefix| |complexNormalize| |setAdaptive| |result| |blue| |OMputString| |subMultV| |head| |stopTableGcd!| |normalized?| |insertionSort!| |times!| |rubiksGroup| |roman| |stronglyReduce| |guessRec| |hessian| |supersub| |qqq| |printInfo| |lastSubResultant| |bat1| |mathieu12| |useSingleFactorBound| |minRowIndex| |mkcomm| |wordInStrongGenerators| |gethi| |quadraticForm| |LyndonCoordinates| |index| |adaptive?| |initial| |newTypeLists| |minimumDegree| |tower| |reducedDiscriminant| |elliptic| |shallowCopy| |leftRegularRepresentation| |normFactors| |getBadValues| |OMgetObject| |totalDegree| |leadingCoefficient| |iitan| |prinb| |primitiveMonomials| |yCoord| |matrixGcd| |solveLinearlyOverQ| |OMputInteger| |reductum| |pseudoRemainder| |finiteSeries2LinSys| |eigenvalues| |SturmHabicht| |reducedForm| |pair?| |setEmpty!| |problemPoints| |is?| |center| |positiveRemainder| |nodes| |antiCommutator| |palgRDE| |cycleLength| |rowEchelon| |singular?| |quasiComponent| |elem?| |leftQuotient| |doubleComplex?| |box| |init| |innerint| |guessHP| |cosIfCan| |firstExponent| |realZeros| |hex| |multMonom| |cExp| |numerator| |extDegree| |dmp2rfi| |linear| |genericRightMinimalPolynomial| |zeroDimPrimary?| |bfKeys| |normInvertible?| |algebraicCoefficients?| |flush| |yCoordinates| |isOp| |structuralConstants| |enqueue!| |iiBesselY| |userOrdered?| |zeroDimPrime?| |OMUnknownCD?| |polygon| |traverse| |replaceKthElement| |low| |expressIdealMember| |fglmIfCan| |setTower!| |clipSurface| |maxrank| |radicalEigenvector| |minPoly| |OMputEndAttr| |distribute| |OMputBVar| |close!| |setPrologue!| |binomThmExpt| |isTimes| |indicialEquationAtInfinity| |solid| |times| |composite| |OMencodingBinary| |iiexp| |youngGroup| |pattern| |comp| |mathieu22| |myDegree| |att2Result| |Ei| |mapGen| |fortranComplex| |listVariable| |insertMatch| |coth2trigh| |zeta| |cycle| |ShiftAction| |padecf| |bubbleSort!| |UnVectorise| |tab1| |highCommonTerms| |children| |diophantineSystem| |numer| |iiacot| |drawComplexVectorField| |iter| |factorList| |denom| |subresultantVector| |OMgetEndError| |deepCopy| |idealSimplify| |cyclic| |draw| |aspFilename| |finite?| |rectangularMatrix| |mulmod| |makeObject| |subsInVar| |guessPade| |stoseIntegralLastSubResultant| |innerSolve| |explogs2trigs| |OMgetEndAttr| |UpTriBddDenomInv| |coef| |ShiftC| |cyclotomicDecomposition| |setMaxPoints3D| |symmetric?| |monom| |useEisensteinCriterion?| |setFoundPlacesToEmpty| |derivative| |replace| |goodPoint| |biringToPolyRing| |pushdterm| |updatF| |read!| |setPoly| |vspace| |decompose| |OMputFloat| |imagi| |polyRDE| |removeCoshSq| |roughUnitIdeal?| |leader| |internalZeroSetSplit| |nextLatticePermutation| |indices| |powern| |#| |extendedint| |rdHack1| BY |polyPart| |multisect| |implies| |discriminantEuclidean| |modularGcd| |every?| |univariateSolve| |guessADE| |completeHensel| |checkRur| |basisOfCenter| |quasiRegular| |multiServ| |dec| |cyclicParents| |exprHasLogarithmicWeights| |hitherPlane| |clearCache| |po| |infiniteProduct| |checkPrecision| |coordinate| |divisorCascade| |iFTable| |cycleRagits| |pastel| |fractRadix| |divisor| |leftNorm| |collectUpper| |plus!| |pushuconst| |recoverAfterFail| |typeLists| |rewriteSetByReducingWithParticularGenerators| |getVariableOrder| |collectQuasiMonic| |pointV| |nextPartition| |OMputApp| |nlde| |last| |denominator| |notelem| |select!| |factorSquareFreeByRecursion| |swapRows!| |factorials| |associative?| |endSubProgram| |monicCompleteDecompose| |stoseInvertibleSetsqfreg| |subscript| |outputSpacing| |legendre| |alternative?| |randomLC| |applyRules| |resetNew| |polyRing2UPUP| |allPairsAmong| |Vectorise| |dfRange| |range| |fortranDoubleComplex| |lepol| |setFormula!| |lieAdmissible?| |getOp| |iisech| |unitsColorDefault| |infix| |numberOfMonomials| |pow| |summary| |extractPoint| |binomial| |simplifyPower| |quotValuation| |show| |multiple?| |fi2df| |coshIfCan| |tanintegrate| |LPolynomial| |makeCrit| |createRandomElement| |members| |e02aef| |complementaryBasis| |encode| |lineColorDefault| |anfactor| |scale| |showAll?| |cotIfCan| |quotient| |c02agf| |leastMonomial| |binarySearchTree| |iidprod| |OMencodingSGML| |c02aff| |stoseSquareFreePart| |unit| |cLog| |setVariableOrder| |e02adf| |unary?| |guessPRec| |showAttributes| |anticoord| |ldf2vmf| |c05pbf| |leftDivide| |bivariateSLPEBR| |getCurve| |exptMod| |alphabetic| |compile| |splitNodeOf!| |commutator| |getMatch| |credits| |normalizeAtInfinity| |noKaratsuba| |superscript| |atanIfCan| |kmax| |mainCharacterization| |separant| |htrigs| |e01sef| |drawStyle| |BumInSepFFE| |predicate| |norm| |e01saf| |headReduced?| |point?| |hadamard| |aLinear| |infix?| |e01daf| |generalCoefficient| |bit?| |rewriteIdealWithRemainder| |screenResolution| |e01bhf| |contains?| |numberOfComposites| |evalADE| |numericalOptimization| |tanSum| |e01bgf| |random| |clipParametric| |groebnerFactorize| |ODESolve| |cschIfCan| |principalIdeal| |e01bff| |central?| |element?| |gcdPolynomial| |getMultiplicationMatrix| |rombergo| |e01bef| |edf2df| |rowEchWoZeroLinesWOVectorise| |changeMeasure| |cycleEntry| |nthRoot| |e01baf| |alphanumeric?| |remove| |selectNonFiniteRoutines| |node?| |cyclicGroup| |singularPointsWithRestriction| |e02zaf| |first| |unit?| |wrregime| |mainPrimitivePart| |mvar| |variationOfParameters| |e02gaf| |third| |npcoef| |findOrderOfDivisor| |closedCurve| |cyclicEntries| |printStats!| |hexDigit?| |nonSingularModel| |genericLeftTraceForm| |guessHolo| |removeRoughlyRedundantFactorsInPol| |mapBivariate| |mask| |normalizedDivide| |expandPower| |imagI| |closed?| |showTheSymbolTable| |genericLeftMinimalPolynomial| |arg1| |cosh2sech| |LazardQuotient| |unitVector| |normDeriv2| |assign| |fresnelS| |arg2| |rhs| |plotPolar| |atanhIfCan| |errorKind| |dim| |iiacsch| |internalSubQuasiComponent?| |padicallyExpand| |airyAi| |setMaxPoints| |diagonalProduct| |nthExponent| |assert| |coerceL| |rationalIfCan| |twoFactor| |lazyPseudoRemainder| |outerProduct| |yellow| |iicoth| |removeZero| |root?| |recur| |upDateBranches| |vectorise| |decimal| |sortConstraints| |getDatabase| |constantToUnaryFunction| |overlabel| |prinpolINFO| |firstSubsetGray| |doublyTransitive?| |dom| |linearAssociatedExp| |splitDenominator| |addmod| |intPatternMatch| |sqfree| |zeroSetSplit| |fresnelC| |maximumExponent| |lifting| |asechIfCan| |findCoef| |decreasePrecision| |primPartElseUnitCanonical!| |generateIrredPoly| |solve| |match| |showClipRegion| |plot| |leftRecip| |exQuo| |blowUpWithExcpDiv| |extendedSubResultantGcd| |minimize| |horizConcat| |showIntensityFunctions| |setProperty| |romberg| |accuracyIF| |addMatchRestricted| |log| |karatsubaDivide| ** |symmetricTensors| |remove!| |augment| |const| |objectOf| |removeRedundantFactorsInContents| |tail| |computeCycleLength| |internalSubPolSet?| |pleskenSplit| |putColorInfo| |createMultiplicationTable| |zeroDim?| |invmod| |sinhIfCan| |complexExpand| |setelt| |integralAtInfinity?| |OMgetEndObject| |edf2fi| |BasicMethod| |cyclicEqual?| |subNodeOf?| |monomial2series| |diff| |OMgetVariable| |schwerpunkt| |inverse| |nand| |supRittWu?| |iisqrt3| |boundOfCauchy| |OMconnInDevice| |pdf2ef| |createZechTable| |getEq| |operation| |simplify| |iiAiryAi| |OMputEndError| |split| |distFact| |gradient| |increase| |beauzamyBound| |poisson| |semiSubResultantGcdEuclidean2| |OMgetEndApp| |exactQuotient| |shallowExpand| |lllip| |dihedralGroup| |isobaric?| |check| |lastSubResultantEuclidean| |cTan| |leastPower| |eulerPhi| |outputAsScript| |imaginary| |brillhartIrreducible?| |delete!| |inR?| |nil| |infinite| |arbitraryExponent| |approximate| |complex| |shallowMutable| |canonical| |noetherian| |central| |partiallyOrderedSet| |arbitraryPrecision| |canonicalsClosed| |noZeroDivisors| |rightUnitary| |leftUnitary| |additiveValuation| |unitsKnown| |canonicalUnitNormal| |multiplicativeValuation| |finiteAggregate| |shallowlyMutable| |commutative|) 
\ No newline at end of file
diff --git a/src/share/algebra/dependents.daase/index.kaf b/src/share/algebra/dependents.daase/index.kaf
old mode 100755
new mode 100644
index e935ec4..65fc862
--- a/src/share/algebra/dependents.daase/index.kaf
+++ b/src/share/algebra/dependents.daase/index.kaf
@@ -1,4 +1,4 @@
-76844               (|AbelianGroup&| |FourierSeries| |FreeAbelianGroup| |IndexedDirectProductAbelianGroup| |QuadraticForm|)
+76913               (|AbelianGroup&| |FourierSeries| |FreeAbelianGroup| |IndexedDirectProductAbelianGroup| |QuadraticForm|)
 (|AbelianMonoid&| |CardinalNumber| |EuclideanModularRing| |GradedAlgebra| |GradedAlgebra&| |GradedModule| |GradedModule&| |IndexedDirectProductAbelianMonoid| |ListMonoidOps| |ModularField| |ModularRing| |RecurrenceOperator|)
 (|AbelianMonoidRing&| |FractionFreeFastGaussian|)
 (|AbelianSemiGroup&| |Color| |IncrementingMaps| |PositiveInteger|)
@@ -112,7 +112,7 @@
 (|InnerEvalable&|)
 (|InnerFiniteField|)
 (|Boolean| |DoubleFloat| |ExpressionSolve| |ExpressionSpaceODESolver| |Float| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |OrderedVariableList| |Pi| |PlotFunctions1| |RecurrenceOperator| |Symbol| |TopLevelDrawFunctions|)
-(|AlgebraicIntegrate| |AlgebraicNumber| |BalancedPAdicInteger| |BalancedPAdicRational| |BinaryExpansion| |BoundIntegerRoots| |BrillhartTests| |CartesianTensor| |CartesianTensorFunctions2| |ComplexRootPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |DecimalExpansion| |DefiniteIntegrationTools| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EvaluateCycleIndicators| |ExponentialExpansion| |ExpressionToUnivariatePowerSeries| |FourierSeries| |FreeAbelianGroup| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizer| |GenerateUnivariatePowerSeries| |GenusZeroIntegration| |GosperSummationMethod| |Guess| |GuessFinite| |GuessFiniteFunctions| |HeuGcd| |HexadecimalExpansion| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InnerAlgebraicNumber| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InputForm| |IntegerLinearDependence| |IntegerMod| |IntegerRetractions| |IntegrationResult| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |InverseLaplaceTransform| |Kovacic| |LaplaceTransform| |LieExponentials| |LinearOrdinaryDifferentialOperatorFactorizer| |MachineFloat| |ModularDistinctDegreeFactorizer| |MyExpression| |NeitherSparseOrDensePowerSeries| |NonLinearFirstOrderODESolver| |NumberFieldIntegralBasis| |ODEIntegration| |OrderedVariableList| |PAdicInteger| |PAdicIntegerCategory| |PAdicRational| |PAdicRationalConstructor| |Partition| |PatternMatchIntegration| |Pi| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveRatDE| |PrimitiveRatRicDE| |PureAlgebraicIntegration| |PureAlgebraicLODE| |RadixExpansion| |RationalFactorize| |RationalFunctionDefiniteIntegration| |RationalFunctionFactor| |RationalFunctionIntegration| |RationalFunctionSum| |RationalIntegration| |RationalLODE| |RationalRetractions| |RationalRicDE| |RealZeroPackage| |RealZeroPackageQ| |RecurrenceOperator| |SAERationalFunctionAlgFactor| |SExpression| |SimpleAlgebraicExtensionAlgFactor| |SortPackage| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |Symbol| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |TranscendentalRischDE| |TranscendentalRischDESystem| |TrigonometricManipulations| |UnivariateFactorize| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateTaylorSeriesODESolver| |XExponentialPackage|)
+(|AlgebraicIntegrate| |AlgebraicNumber| |BalancedPAdicInteger| |BalancedPAdicRational| |BinaryExpansion| |BoundIntegerRoots| |BrillhartTests| |CartesianTensor| |CartesianTensorFunctions2| |ComplexRootPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |DecimalExpansion| |DefiniteIntegrationTools| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EvaluateCycleIndicators| |ExponentialExpansion| |ExpressionToUnivariatePowerSeries| |FourierSeries| |FreeAbelianGroup| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizer| |GenerateUnivariatePowerSeries| |GenusZeroIntegration| |GosperSummationMethod| |Guess| |GuessFinite| |GuessFiniteFunctions| |HeuGcd| |HexadecimalExpansion| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InnerAlgebraicNumber| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InputForm| |IntegerLinearDependence| |IntegerMod| |IntegerRetractions| |IntegrationResult| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |InverseLaplaceTransform| |Kovacic| |LaplaceTransform| |LieExponentials| |LinearOrdinaryDifferentialOperatorFactorizer| |MachineFloat| |ModularDistinctDegreeFactorizer| |MyExpression| |NeitherSparseOrDensePowerSeries| |NonLinearFirstOrderODESolver| |NumberFieldIntegralBasis| |ODEIntegration| |OrderedVariableList| |PAdicInteger| |PAdicIntegerCategory| |PAdicRational| |PAdicRationalConstructor| |Partition| |PatternMatchIntegration| |Pi| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveRatDE| |PrimitiveRatRicDE| |PureAlgebraicIntegration| |PureAlgebraicLODE| |RadixExpansion| |RationalFactorize| |RationalFunctionDefiniteIntegration| |RationalFunctionFactor| |RationalFunctionIntegration| |RationalFunctionSum| |RationalIntegration| |RationalLODE| |RationalRetractions| |RationalRicDE| |RealZeroPackage| |RealZeroPackageQ| |RecurrenceOperator| |SAERationalFunctionAlgFactor| |SExpression| |SimpleAlgebraicExtensionAlgFactor| |SortPackage| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |Symbol| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |TranscendentalRischDE| |TranscendentalRischDESystem| |TrigonometricManipulations| |U32Vector| |UnivariateFactorize| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateTaylorSeriesODESolver| |XExponentialPackage|)
 (|ComplexIntegerSolveLinearPolynomialEquation| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerNumberSystem&| |IntegerPrimesPackage| |IntegerRoots| |MachineInteger| |PatternMatchIntegerNumberSystem| |RomanNumeral| |SingleInteger|)
 (|AlgebraPackage| |AlgebraicFunction| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicallyClosedFunctionSpace| |AlgebraicallyClosedFunctionSpace&| |AssociatedEquations| |CombinatorialFunction| |CommonDenominator| |ComplexTrigonometricManipulations| |DegreeReductionPackage| |DrawNumericHack| |ElementaryFunction| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ExpressionSolve| |ExpressionSpaceODESolver| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoredFunctions2| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionFunctions2| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GeneralTriangularSet| |GeneralizedMultivariateFactorize| |GenerateUnivariatePowerSeries| |GosperSummationMethod| |Guess| |InfiniteProductCharacteristicZero| |InnerCommonDenominator| |InnerMatrixQuotientFieldFunctions| |InnerPolySum| |InnerTrigonometricManipulations| |IntegralDomain&| |LaurentPolynomial| |LinearDependence| |LinearSystemPolynomialPackage| |LiouvillianFunction| |MPolyCatRationalFunctionFactorizer| |MatrixCommonDenominator| |MultipleMap| |MyExpression| |NewtonInterpolation| |NonLinearSolvePackage| |PatternMatchFunctionSpace| |PatternMatchQuotientFieldCategory| |PiCoercions| |PointsOfFiniteOrder| |PolynomialRoots| |PolynomialSetUtilitiesPackage| |PrecomputedAssociatedEquations| |PseudoRemainderSequence| |QuotientFieldCategory| |QuotientFieldCategory&| |QuotientFieldCategoryFunctions2| |RationalFunction| |RationalFunctionIntegration| |RationalFunctionSum| |RecurrenceOperator| |RetractSolvePackage| |StreamInfiniteProduct| |SubResultantPackage| |SystemSolvePackage| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackageService| |TriangularMatrixOperations| |TriangularSetCategory| |TriangularSetCategory&| |UnivariatePolynomialCommonDenominator| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeriesWithExponentialSingularity| |WuWenTsunTriangularSet|)
 (|Interval|)
@@ -153,7 +153,7 @@
 (|e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|Octonion| |OctonionCategory&| |OctonionCategoryFunctions2|)
 (|TwoDimensionalArray|)
-(|FlexibleArray| |IndexedFlexibleArray| |IndexedOneDimensionalArray| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |PrimitiveArray|)
+(|FlexibleArray| |IndexedFlexibleArray| |IndexedOneDimensionalArray| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |PrimitiveArray| |U32Vector|)
 (|DoubleFloat| |ExpressionToOpenMath| |Float| |Integer| |SingleInteger| |Symbol|)
 (|AbelianMonoidRing| |AbelianMonoidRing&| |ExponentialOfUnivariatePuiseuxSeries| |FiniteAbelianMonoidRing| |FiniteAbelianMonoidRing&| |FiniteAbelianMonoidRingFunctions2| |IndexedDirectProductOrderedAbelianMonoid| |OrderingFunctions| |PolynomialRing| |PowerSeriesCategory| |PowerSeriesCategory&| |UnivariatePowerSeriesCategory| |UnivariatePowerSeriesCategory&|)
 (|AlgebraicMultFact| |DifferentialPolynomialCategory| |DifferentialPolynomialCategory&| |EuclideanGroebnerBasisPackage| |FactoringUtilities| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralTriangularSet| |GeneralizedMultivariateFactorize| |GosperSummationMethod| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |HomogeneousDirectProduct| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |InnerMultFact| |InnerPolySum| |InterfaceGroebnerPackage| |InternalRationalUnivariateRepresentationPackage| |LazardSetSolvingPackage| |LeadingCoefDetermination| |LinearSystemPolynomialPackage| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MultFiniteFactorize| |MultivariateFactorize| |MultivariateLifting| |MultivariateSquareFree| |NPCoef| |NonNegativeInteger| |NormalizationPackage| |NormalizedTriangularSetCategory| |OrderedDirectProduct| |ParametricLinearEquations| |PatternMatchPolynomialCategory| |PolynomialCategory| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialCategoryQuotientFunctions| |PolynomialFactorizationByRecursion| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialRoots| |PolynomialSetCategory| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSquareFree| |PushVariables| |QuasiAlgebraicSet| |QuasiComponentPackage| |RecursivePolynomialCategory| |RecursivePolynomialCategory&| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |ResidueRing| |SplitHomogeneousDirectProduct| |SquareFreeNormalizedTriangularSetCategory| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetCategory| |SquareFreeRegularTriangularSetGcdPackage| |SupFractionFactorizer| |TriangularSetCategory| |TriangularSetCategory&| |WeightedPolynomials| |WuWenTsunTriangularSet|)
@@ -163,7 +163,7 @@
 (|SturmHabichtPackage|)
 (|OrderedFreeMonoid| |XPolynomialRing|)
 (|ComplexRootFindingPackage| |ComplexRootPackage| |ExpertSystemToolsPackage1| |FloatingComplexPackage| |FloatingRealPackage| |FunctionSpaceToUnivariatePowerSeries| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |NumericComplexEigenPackage| |NumericRealEigenPackage| |OrderedRing&| |RealClosure| |RealRootCharacterizationCategory| |RealRootCharacterizationCategory&| |RightOpenIntervalRootCharacterization| |SegmentExpansionCategory| |ZeroDimensionalSolvePackage|)
-(|AlgebraicFunction| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicMultFact| |AlgebraicallyClosedFunctionSpace| |AlgebraicallyClosedFunctionSpace&| |ApplyRules| |BasicOperator| |BinarySearchTree| |BinaryTournament| |Boolean| |CardinalNumber| |CombinatorialFunction| |ComplexTrigonometricManipulations| |ConstantLODE| |DataList| |Database| |DeRhamComplex| |DefiniteIntegrationTools| |DegreeReductionPackage| |DifferentialPolynomialCategory| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory| |DifferentialVariableCategory&| |DrawNumericHack| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EuclideanGroebnerBasisPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionFunctions2| |ExpressionSolve| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExtAlgBasis| |FactoringUtilities| |FourierComponent| |FourierSeries| |FreeLieAlgebra| |FreeModule| |FreeModule1| |FunctionSpace| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceFunctions2| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GeneralModulePolynomial| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralTriangularSet| |GeneralizedMultivariateFactorize| |GenerateUnivariatePowerSeries| |GenusZeroIntegration| |GosperSummationMethod| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |Heap| |IndexCard| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductCategory| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |InnerMultFact| |InnerPolySum| |InnerTrigonometricManipulations| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |InterfaceGroebnerPackage| |InternalRationalUnivariateRepresentationPackage| |InverseLaplaceTransform| |Kernel| |KernelFunctions2| |LaplaceTransform| |LazardSetSolvingPackage| |LeadingCoefDetermination| |LieExponentials| |LiePolynomial| |LinearSystemPolynomialPackage| |LiouvillianFunction| |LyndonWord| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |Magma| |MergeThing| |ModuleMonomial| |MultFiniteFactorize| |MultivariateFactorize| |MultivariateLifting| |MultivariateSquareFree| |MultivariateTaylorSeriesCategory| |MyExpression| |NPCoef| |NewSparseMultivariatePolynomial| |NonLinearFirstOrderODESolver| |NormalizationPackage| |NormalizedTriangularSetCategory| |ODEIntegration| |OrdSetInts| |OrderedFreeMonoid| |OrderedMultisetAggregate| |OrderedSet&| |OrderlyDifferentialVariable| |ParametricLinearEquations| |PatternMatchFunctionSpace| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPolynomialCategory| |PatternMatchTools| |PiCoercions| |PoincareBirkhoffWittLyndonBasis| |PointsOfFiniteOrder| |PolynomialCategory| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialCategoryQuotientFunctions| |PolynomialFactorizationByRecursion| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialRoots| |PolynomialSetCategory| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSquareFree| |PositiveInteger| |PowerSeriesCategory| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PriorityQueueAggregate| |PureAlgebraicIntegration| |PushVariables| |QuasiAlgebraicSet| |QuasiComponentPackage| |RadicalSolvePackage| |RationalFunctionDefiniteIntegration| |RationalFunctionSum| |RecurrenceOperator| |RecursivePolynomialCategory| |RecursivePolynomialCategory&| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |ResidueRing| |RewriteRule| |Ruleset| |SequentialDifferentialVariable| |SimpleFortranProgram| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SquareFreeNormalizedTriangularSetCategory| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetCategory| |SquareFreeRegularTriangularSetGcdPackage| |SupFractionFactorizer| |Symbol| |TableauxBumpers| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |TransSolvePackageService| |TranscendentalManipulations| |TriangularSetCategory| |TriangularSetCategory&| |TrigonometricManipulations| |UnivariatePuiseuxSeriesWithExponentialSingularity| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XExponentialPackage| |XFreeAlgebra| |XPBWPolynomial| |XPolynomialsCat| |XRecursivePolynomial|)
+(|AlgebraicFunction| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicMultFact| |AlgebraicallyClosedFunctionSpace| |AlgebraicallyClosedFunctionSpace&| |ApplyRules| |BasicOperator| |BasicStochasticDifferential| |BinarySearchTree| |BinaryTournament| |Boolean| |CardinalNumber| |CombinatorialFunction| |ComplexTrigonometricManipulations| |ConstantLODE| |DataList| |Database| |DeRhamComplex| |DefiniteIntegrationTools| |DegreeReductionPackage| |DifferentialPolynomialCategory| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory| |DifferentialVariableCategory&| |DrawNumericHack| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EuclideanGroebnerBasisPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionFunctions2| |ExpressionSolve| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExtAlgBasis| |FactoringUtilities| |FourierComponent| |FourierSeries| |FreeLieAlgebra| |FreeModule| |FreeModule1| |FunctionSpace| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceFunctions2| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GeneralModulePolynomial| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralTriangularSet| |GeneralizedMultivariateFactorize| |GenerateUnivariatePowerSeries| |GenusZeroIntegration| |GosperSummationMethod| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |Heap| |IndexCard| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductCategory| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |InnerMultFact| |InnerPolySum| |InnerTrigonometricManipulations| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |InterfaceGroebnerPackage| |InternalRationalUnivariateRepresentationPackage| |InverseLaplaceTransform| |Kernel| |KernelFunctions2| |LaplaceTransform| |LazardSetSolvingPackage| |LeadingCoefDetermination| |LieExponentials| |LiePolynomial| |LinearSystemPolynomialPackage| |LiouvillianFunction| |LyndonWord| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |Magma| |MergeThing| |ModuleMonomial| |MultFiniteFactorize| |MultivariateFactorize| |MultivariateLifting| |MultivariateSquareFree| |MultivariateTaylorSeriesCategory| |MyExpression| |NPCoef| |NewSparseMultivariatePolynomial| |NonLinearFirstOrderODESolver| |NormalizationPackage| |NormalizedTriangularSetCategory| |ODEIntegration| |OrdSetInts| |OrderedFreeMonoid| |OrderedMultisetAggregate| |OrderedSet&| |OrderlyDifferentialVariable| |ParametricLinearEquations| |PatternMatchFunctionSpace| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPolynomialCategory| |PatternMatchTools| |PiCoercions| |PoincareBirkhoffWittLyndonBasis| |PointsOfFiniteOrder| |PolynomialCategory| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialCategoryQuotientFunctions| |PolynomialFactorizationByRecursion| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialRoots| |PolynomialSetCategory| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSquareFree| |PositiveInteger| |PowerSeriesCategory| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PriorityQueueAggregate| |PureAlgebraicIntegration| |PushVariables| |QuasiAlgebraicSet| |QuasiComponentPackage| |RadicalSolvePackage| |RationalFunctionDefiniteIntegration| |RationalFunctionSum| |RecurrenceOperator| |RecursivePolynomialCategory| |RecursivePolynomialCategory&| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |ResidueRing| |RewriteRule| |Ruleset| |SequentialDifferentialVariable| |SimpleFortranProgram| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SquareFreeNormalizedTriangularSetCategory| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetCategory| |SquareFreeRegularTriangularSetGcdPackage| |SupFractionFactorizer| |Symbol| |TableauxBumpers| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |TransSolvePackageService| |TranscendentalManipulations| |TriangularSetCategory| |TriangularSetCategory&| |TrigonometricManipulations| |UnivariatePuiseuxSeriesWithExponentialSingularity| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XExponentialPackage| |XFreeAlgebra| |XPBWPolynomial| |XPolynomialsCat| |XRecursivePolynomial|)
 (|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |DesingTreePackage| |DistributedMultivariatePolynomial| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |HomogeneousDistributedMultivariatePolynomial| |InfinitlyClosePoint| |InfinitlyClosePointCategory| |InterpolateFormsPackage| |IntersectionDivisorPackage| |LocalParametrizationOfSimplePointPackage| |MultivariatePolynomial| |ParametrizationPackage| |ProjectiveAlgebraicSetPackage| |RegularChain|)
 (|OrderlyDifferentialPolynomial|)
 (|d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType|)
@@ -253,7 +253,7 @@
 (|GeneralTriangularSet| |TriangularSetCategory&| |WuWenTsunTriangularSet|)
 (|TrigonometricFunctionCategory&|)
 (|IndexedTwoDimensionalArray| |InnerIndexedTwoDimensionalArray| |TwoDimensionalArray| |TwoDimensionalArrayCategory&|)
-(|AnyFunctions1| |AttachPredicates| |BagAggregate| |BagAggregate&| |BinaryRecursiveAggregate| |BinaryRecursiveAggregate&| |CoercibleTo| |Collection| |Collection&| |ConvertibleTo| |CyclicStreamTools| |DequeueAggregate| |DirectProduct| |DirectProductCategory| |DirectProductCategory&| |DirectProductFunctions2| |DoublyLinkedAggregate| |DrawOptionFunctions1| |Eltable| |EltableAggregate| |EltableAggregate&| |Equation| |EquationFunctions2| |ExpressionSpaceFunctions1| |ExtensibleLinearAggregate| |ExtensibleLinearAggregate&| |FiniteLinearAggregate| |FiniteLinearAggregate&| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregateSort| |FlexibleArray| |FullyPatternMatchable| |FullyRetractableTo| |FullyRetractableTo&| |FunctionSpaceAttachPredicates| |HomogeneousAggregate| |HomogeneousAggregate&| |IndexedAggregate| |IndexedAggregate&| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedTwoDimensionalArray| |IndexedVector| |InfiniteTuple| |InfiniteTupleFunctions2| |InfiniteTupleFunctions3| |InnerEvalable| |InnerEvalable&| |InnerIndexedTwoDimensionalArray| |InputFormFunctions1| |LazyStreamAggregate| |LazyStreamAggregate&| |LinearAggregate| |LinearAggregate&| |List| |ListAggregate| |ListAggregate&| |ListFunctions2| |ListFunctions3| |ListToMap| |MakeBinaryCompiledFunction| |MakeRecord| |MakeUnaryCompiledFunction| |NoneFunctions1| |OneDimensionalArray| |OneDimensionalArrayAggregate| |OneDimensionalArrayAggregate&| |OneDimensionalArrayFunctions2| |ParadoxicalCombinatorsForStreams| |ParametricPlaneCurve| |ParametricPlaneCurveFunctions2| |ParametricSpaceCurve| |ParametricSpaceCurveFunctions2| |ParametricSurface| |ParametricSurfaceFunctions2| |PatternFunctions1| |Patternable| |PrimitiveArray| |PrimitiveArrayFunctions2| |QueueAggregate| |RecursiveAggregate| |RecursiveAggregate&| |Reference| |ResolveLatticeCompletion| |RetractableTo| |RetractableTo&| |Segment| |SegmentBinding| |SegmentBindingFunctions2| |SegmentCategory| |SegmentFunctions2| |SortPackage| |StackAggregate| |Stream| |StreamAggregate| |StreamAggregate&| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory| |TwoDimensionalArrayCategory&| |UnaryRecursiveAggregate| |UnaryRecursiveAggregate&| |UniversalSegment| |UniversalSegmentFunctions2| |Vector| |VectorCategory| |VectorCategory&| |VectorFunctions2|)
+(|AnyFunctions1| |AttachPredicates| |BagAggregate| |BagAggregate&| |BinaryRecursiveAggregate| |BinaryRecursiveAggregate&| |CoercibleTo| |Collection| |Collection&| |ConvertibleTo| |CyclicStreamTools| |DequeueAggregate| |DirectProduct| |DirectProductCategory| |DirectProductCategory&| |DirectProductFunctions2| |DoublyLinkedAggregate| |DrawOptionFunctions1| |Eltable| |EltableAggregate| |EltableAggregate&| |Equation| |EquationFunctions2| |ExpressionSpaceFunctions1| |ExtensibleLinearAggregate| |ExtensibleLinearAggregate&| |FiniteLinearAggregate| |FiniteLinearAggregate&| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregateSort| |FlexibleArray| |FullyPatternMatchable| |FullyRetractableTo| |FullyRetractableTo&| |FunctionSpaceAttachPredicates| |HomogeneousAggregate| |HomogeneousAggregate&| |IndexedAggregate| |IndexedAggregate&| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedTwoDimensionalArray| |IndexedVector| |InfiniteTuple| |InfiniteTupleFunctions2| |InfiniteTupleFunctions3| |InnerEvalable| |InnerEvalable&| |InnerIndexedTwoDimensionalArray| |InputFormFunctions1| |LazyStreamAggregate| |LazyStreamAggregate&| |LinearAggregate| |LinearAggregate&| |List| |ListAggregate| |ListAggregate&| |ListFunctions2| |ListFunctions3| |ListToMap| |MakeBinaryCompiledFunction| |MakeRecord| |MakeUnaryCompiledFunction| |NoneFunctions1| |OneDimensionalArray| |OneDimensionalArrayAggregate| |OneDimensionalArrayAggregate&| |OneDimensionalArrayFunctions2| |ParadoxicalCombinatorsForStreams| |ParametricPlaneCurve| |ParametricPlaneCurveFunctions2| |ParametricSpaceCurve| |ParametricSpaceCurveFunctions2| |ParametricSurface| |ParametricSurfaceFunctions2| |PatternFunctions1| |Patternable| |PrimitiveArray| |PrimitiveArrayFunctions2| |QueueAggregate| |RecursiveAggregate| |RecursiveAggregate&| |Reference| |ResolveLatticeCompletion| |RetractableTo| |RetractableTo&| |Segment| |SegmentBinding| |SegmentBindingFunctions2| |SegmentCategory| |SegmentFunctions2| |SortPackage| |StackAggregate| |Stream| |StreamAggregate| |StreamAggregate&| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |StreamTensor| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory| |TwoDimensionalArrayCategory&| |UnaryRecursiveAggregate| |UnaryRecursiveAggregate&| |UniversalSegment| |UniversalSegmentFunctions2| |Vector| |VectorCategory| |VectorCategory&| |VectorFunctions2|)
 (|UnaryRecursiveAggregate&|)
 (|ChangeOfVariable| |FunctionFieldCategory| |FunctionFieldCategory&| |FunctionFieldCategoryFunctions2| |RadicalFunctionField| |UniqueFactorizationDomain&|)
 (|UnivariatePuiseuxSeries|)
@@ -273,4 +273,4 @@
 (|CliffordAlgebra| |VectorSpace&|)
 (|XPolynomialRing|)
 (|XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XRecursivePolynomial|)
-(("XPolynomialsCat" 0 76741) ("XAlgebra" 0 76721) ("VectorSpace" 0 76686) ("VectorCategory" 0 76594) ("Vector" 0 76406) ("UnivariateTaylorSeriesCategory" 0 75812) ("UnivariateTaylorSeries" 0 75758) ("UnivariateSkewPolynomialCategory" 0 75590) ("UnivariatePuiseuxSeriesWithExponentialSingularity" 0 75565) ("UnivariatePuiseuxSeriesConstructorCategory" 0 75377) ("UnivariatePuiseuxSeriesCategory" 0 75305) ("UnivariatePuiseuxSeries" 0 75228) ("UnivariatePowerSeriesCategory" 0 75119) ("UnivariatePolynomialCategory" 0 72086) ("UnivariateLaurentSeriesConstructorCategory" 0 71898) ("UnivariateLaurentSeriesCategory" 0 71723) ("UnivariateLaurentSeries" 0 71695) ("UniqueFactorizationDomain" 0 71539) ("UnaryRecursiveAggregate" 0 71510) ("Type" 0 69147) ("TwoDimensionalArrayCategory" 0 69029) ("TrigonometricFunctionCategory" 0 68994) ("TriangularSetCategory" 0 68919) ("TranscendentalFunctionCategory" 0 67765) ("ThreeSpaceCategory" 0 67750) ("TableAggregate" 0 67585) ("SymbolTable" 0 67566) ("Symbol" 0 65141) ("StringCategory" 0 65130) ("StringAggregate" 0 65093) ("String" 0 64947) ("StreamAggregate" 0 64899) ("StepThrough" 0 64884) ("StackAggregate" 0 64861) ("SquareMatrixCategory" 0 64774) ("SquareMatrix" 0 64705) ("SquareFreeRegularTriangularSetCategory" 0 64551) ("SplittingNode" 0 64533) ("SpecialFunctionCategory" 0 64491) ("SparseUnivariateTaylorSeries" 0 64425) ("SparseUnivariatePolynomialExpressions" 0 64391) ("SparseUnivariatePolynomial" 0 64225) ("SparseUnivariateLaurentSeries" 0 64191) ("SparseMultivariatePolynomial" 0 64045) ("SingleInteger" 0 63984) ("SetCategoryWithDegree" 0 63972) ("SetCategory" 0 60873) ("SetAggregate" 0 60855) ("SequentialDifferentialVariable" 0 60818) ("SemiGroup" 0 60803) ("SegmentCategory" 0 60772) ("SExpressionCategory" 0 60728) ("SExpression" 0 60714) ("Rng" 0 60685) ("Ring" 0 56198) ("RetractableTo" 0 53895) ("RegularTriangularSetCategory" 0 53607) ("RecursivePolynomialCategory" 0 52792) ("RecursiveAggregate" 0 52745) ("RectangularMatrixCategory" 0 52656) ("RealRootCharacterizationCategory" 0 52578) ("RealNumberSystem" 0 52556) ("RealConstant" 0 52464) ("RealClosedField" 0 52429) ("RadicalCategory" 0 52311) ("QuotientFieldCategory" 0 51828) ("QueueAggregate" 0 51818) ("QuaternionCategory" 0 51750) ("Quaternion" 0 51737) ("QuadraticForm" 0 51717) ("PseudoAlgebraicClosureOfRationalNumberCategory" 0 51616) ("PseudoAlgebraicClosureOfRationalNumber" 0 51565) ("PseudoAlgebraicClosureOfFiniteFieldCategory" 0 51525) ("PseudoAlgebraicClosureOfFiniteField" 0 51304) ("PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory" 0 51187) ("ProjectiveSpaceCategory" 0 50709) ("ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField" 0 50646) ("ProjectivePlane" 0 50633) ("PriorityQueueAggregate" 0 50624) ("PrimitiveFunctionCategory" 0 50386) ("PrimitiveArray" 0 50376) ("PrimeField" 0 50310) ("PowerSeriesCategory" 0 50285) ("PositiveInteger" 0 49815) ("PolynomialSetCategory" 0 49765) ("PolynomialFactorizationExplicit" 0 49576) ("PolynomialCategory" 0 48019) ("Polynomial" 0 47852) ("PointCategory" 0 47842) ("PoincareBirkhoffWittLyndonBasis" 0 47823) ("PlottableSpaceCurveCategory" 0 47783) ("PlottablePlaneCurveCategory" 0 47748) ("PlacesOverPseudoAlgebraicClosureOfFiniteField" 0 47685) ("PlacesCategory" 0 47382) ("Places" 0 47369) ("PermutationCategory" 0 47353) ("Patternable" 0 47342) ("PatternMatchable" 0 47088) ("Pattern" 0 46848) ("Partition" 0 46824) ("PartialTranscendentalFunctions" 0 46693) ("PartialDifferentialRing" 0 46540) ("PartialDifferentialEquationsSolverCategory" 0 46504) ("PAdicIntegerCategory" 0 46417) ("PAdicInteger" 0 46399) ("OutputForm" 0 46259) ("OrdinaryDifferentialEquationsSolverCategory" 0 46189) ("OrderlyDifferentialVariable" 0 46155) ("OrderedVariableList" 0 45606) ("OrderedSet" 0 40494) ("OrderedRing" 0 40018) ("OrderedMonoid" 0 39978) ("OrderedIntegralDomain" 0 39954) ("OrderedFreeMonoid" 0 39927) ("OrderedFinite" 0 39891) ("OrderedCancellationAbelianMonoid" 0 39877) ("OrderedAbelianMonoidSup" 0 37864) ("OrderedAbelianMonoid" 0 37503) ("OpenMath" 0 37421) ("OneDimensionalArrayAggregate" 0 37280) ("OneDimensionalArray" 0 37256) ("OctonionCategory" 0 37194) ("NumericalOptimizationCategory" 0 37073) ("NumericalIntegrationCategory" 0 36874) ("NonNegativeInteger" 0 35466) ("NonAssociativeRng" 0 35443) ("NonAssociativeRing" 0 35419) ("NonAssociativeAlgebra" 0 35324) ("NewSparseMultivariatePolynomial" 0 35307) ("NeitherSparseOrDensePowerSeries" 0 35176) ("MyUnivariatePolynomial" 0 35159) ("MultivariateTaylorSeriesCategory" 0 35109) ("MultisetAggregate" 0 35096) ("MultiDictionary" 0 35072) ("Monoid" 0 34868) ("MonogenicLinearOperator" 0 34799) ("MonogenicAlgebra" 0 34514) ("MonadWithUnit" 0 34495) ("Monad" 0 34484) ("Module" 0 34356) ("MatrixCategory" 0 34018) ("Matrix" 0 33896) ("MachineFloat" 0 33877) ("LyndonWord" 0 33825) ("Logic" 0 33788) ("LocalPowerSeriesCategory" 0 33454) ("ListAggregate" 0 33350) ("List" 0 32096) ("LinearlyExplicitRingOver" 0 31089) ("LinearOrdinaryDifferentialOperatorCategory" 0 30674) ("LinearAggregate" 0 30653) ("LieAlgebra" 0 30637) ("LeftModule" 0 30431) ("LeftAlgebra" 0 30387) ("LazyStreamAggregate" 0 30299) ("KeyedDictionary" 0 30278) ("Kernel" 0 30227) ("IntervalCategory" 0 30214) ("IntegralDomain" 0 28076) ("IntegerNumberSystem" 0 27814) ("Integer" 0 24782) ("InputForm" 0 24505) ("InnerPrimeField" 0 24484) ("InnerEvalable" 0 24465) ("InfinitlyClosePointCategory" 0 24278) ("IndexedVector" 0 24260) ("IndexedOneDimensionalArray" 0 24229) ("IndexedExponents" 0 23966) ("IndexedDirectProductCategory" 0 23743) ("IndexedAggregate" 0 23707) ("HyperbolicFunctionCategory" 0 23675) ("HomogeneousDirectProduct" 0 23626) ("HomogeneousAggregate" 0 23575) ("Group" 0 23464) ("GradedModule" 0 23428) ("GradedAlgebra" 0 23391) ("GcdDomain" 0 21905) ("FunctionSpace" 0 20672) ("FunctionFieldCategory" 0 20260) ("FullyRetractableTo" 0 20139) ("FullyLinearlyExplicitRingOver" 0 20104) ("FullyEvalableOver" 0 20070) ("FreeModuleCat" 0 19978) ("FreeLieAlgebra" 0 19960) ("FreeAbelianMonoidCategory" 0 19894) ("FramedNonAssociativeAlgebra" 0 19719) ("FramedAlgebra" 0 19529) ("Fraction" 0 18150) ("FortranVectorFunctionCategory" 0 18054) ("FortranVectorCategory" 0 18045) ("FortranScalarType" 0 18026) ("FortranProgramCategory" 0 17960) ("FortranMatrixFunctionCategory" 0 17926) ("FortranMatrixCategory" 0 17892) ("FortranMachineTypeCategory" 0 17821) ("FortranFunctionCategory" 0 17782) ("FloatingPointSystem" 0 17627) ("Float" 0 17505) ("FiniteSetAggregate" 0 17427) ("FiniteRankNonAssociativeAlgebra" 0 17390) ("FiniteRankAlgebra" 0 17367) ("FiniteLinearAggregate" 0 16850) ("FiniteFieldCategory" 0 15714) ("FiniteDivisorCategory" 0 15642) ("FiniteAlgebraicExtensionField" 0 15227) ("FiniteAbelianMonoidRing" 0 14958) ("Finite" 0 14789) ("FileNameCategory" 0 14776) ("FileName" 0 14707) ("FileCategory" 0 14638) ("FieldOfPrimeCharacteristic" 0 14574) ("Field" 0 11485) ("ExtensionField" 0 11427) ("ExtensibleLinearAggregate" 0 11357) ("ExpressionSpace" 0 11194) ("Expression" 0 11176) ("ExponentialOfUnivariatePuiseuxSeries" 0 11122) ("Evalable" 0 11108) ("EuclideanDomain" 0 9950) ("Equation" 0 9934) ("EltableAggregate" 0 9912) ("Eltable" 0 9789) ("ElementaryFunctionCategory" 0 9721) ("DoubleFloatVector" 0 9699) ("DoubleFloat" 0 9531) ("DivisorCategory" 0 9350) ("Divisor" 0 9276) ("DivisionRing" 0 9258) ("DistributedMultivariatePolynomial" 0 9184) ("DirectProductCategory" 0 8366) ("DirectProduct" 0 8175) ("DifferentialVariableCategory" 0 7968) ("DifferentialRing" 0 7780) ("DifferentialPolynomialCategory" 0 7634) ("DifferentialExtension" 0 7576) ("DictionaryOperations" 0 7550) ("Dictionary" 0 7534) ("DesingTreeCategory" 0 7428) ("DequeueAggregate" 0 7416) ("ConvertibleTo" 0 6595) ("ComplexDoubleFloatVector" 0 6566) ("ComplexCategory" 0 6433) ("Complex" 0 6194) ("CommutativeRing" 0 4843) ("CombinatorialOpsCategory" 0 4778) ("Collection" 0 4762) ("CoercibleTo" 0 4430) ("CharacteristicZero" 0 3086) ("Character" 0 3067) ("CancellationAbelianMonoid" 0 3012) ("CachableSet" 0 2969) ("Boolean" 0 2881) ("BlowUpMethodCategory" 0 2512) ("BitAggregate" 0 2473) ("BinaryTreeCategory" 0 2377) ("BinaryRecursiveAggregate" 0 2333) ("BiModule" 0 2291) ("BasicType" 0 2276) ("BasicOperator" 0 2246) ("BalancedPAdicInteger" 0 2220) ("BagAggregate" 0 2202) ("Automorphism" 0 2140) ("AssociationListAggregate" 0 2120) ("ArcTrigonometricFunctionCategory" 0 2082) ("Any" 0 2045) ("AlgebraicallyClosedFunctionSpace" 0 1680) ("AlgebraicallyClosedField" 0 1017) ("AlgebraicNumber" 0 983) ("Algebra" 0 596) ("Aggregate" 0 549) ("AffineSpaceCategory" 0 466) ("AbelianSemiGroup" 0 399) ("AbelianMonoidRing" 0 349) ("AbelianMonoid" 0 124) ("AbelianGroup" 0 20))
\ No newline at end of file
+(("XPolynomialsCat" 0 76810) ("XAlgebra" 0 76790) ("VectorSpace" 0 76755) ("VectorCategory" 0 76663) ("Vector" 0 76475) ("UnivariateTaylorSeriesCategory" 0 75881) ("UnivariateTaylorSeries" 0 75827) ("UnivariateSkewPolynomialCategory" 0 75659) ("UnivariatePuiseuxSeriesWithExponentialSingularity" 0 75634) ("UnivariatePuiseuxSeriesConstructorCategory" 0 75446) ("UnivariatePuiseuxSeriesCategory" 0 75374) ("UnivariatePuiseuxSeries" 0 75297) ("UnivariatePowerSeriesCategory" 0 75188) ("UnivariatePolynomialCategory" 0 72155) ("UnivariateLaurentSeriesConstructorCategory" 0 71967) ("UnivariateLaurentSeriesCategory" 0 71792) ("UnivariateLaurentSeries" 0 71764) ("UniqueFactorizationDomain" 0 71608) ("UnaryRecursiveAggregate" 0 71579) ("Type" 0 69201) ("TwoDimensionalArrayCategory" 0 69083) ("TrigonometricFunctionCategory" 0 69048) ("TriangularSetCategory" 0 68973) ("TranscendentalFunctionCategory" 0 67819) ("ThreeSpaceCategory" 0 67804) ("TableAggregate" 0 67639) ("SymbolTable" 0 67620) ("Symbol" 0 65195) ("StringCategory" 0 65184) ("StringAggregate" 0 65147) ("String" 0 65001) ("StreamAggregate" 0 64953) ("StepThrough" 0 64938) ("StackAggregate" 0 64915) ("SquareMatrixCategory" 0 64828) ("SquareMatrix" 0 64759) ("SquareFreeRegularTriangularSetCategory" 0 64605) ("SplittingNode" 0 64587) ("SpecialFunctionCategory" 0 64545) ("SparseUnivariateTaylorSeries" 0 64479) ("SparseUnivariatePolynomialExpressions" 0 64445) ("SparseUnivariatePolynomial" 0 64279) ("SparseUnivariateLaurentSeries" 0 64245) ("SparseMultivariatePolynomial" 0 64099) ("SingleInteger" 0 64038) ("SetCategoryWithDegree" 0 64026) ("SetCategory" 0 60927) ("SetAggregate" 0 60909) ("SequentialDifferentialVariable" 0 60872) ("SemiGroup" 0 60857) ("SegmentCategory" 0 60826) ("SExpressionCategory" 0 60782) ("SExpression" 0 60768) ("Rng" 0 60739) ("Ring" 0 56252) ("RetractableTo" 0 53949) ("RegularTriangularSetCategory" 0 53661) ("RecursivePolynomialCategory" 0 52846) ("RecursiveAggregate" 0 52799) ("RectangularMatrixCategory" 0 52710) ("RealRootCharacterizationCategory" 0 52632) ("RealNumberSystem" 0 52610) ("RealConstant" 0 52518) ("RealClosedField" 0 52483) ("RadicalCategory" 0 52365) ("QuotientFieldCategory" 0 51882) ("QueueAggregate" 0 51872) ("QuaternionCategory" 0 51804) ("Quaternion" 0 51791) ("QuadraticForm" 0 51771) ("PseudoAlgebraicClosureOfRationalNumberCategory" 0 51670) ("PseudoAlgebraicClosureOfRationalNumber" 0 51619) ("PseudoAlgebraicClosureOfFiniteFieldCategory" 0 51579) ("PseudoAlgebraicClosureOfFiniteField" 0 51358) ("PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory" 0 51241) ("ProjectiveSpaceCategory" 0 50763) ("ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField" 0 50700) ("ProjectivePlane" 0 50687) ("PriorityQueueAggregate" 0 50678) ("PrimitiveFunctionCategory" 0 50440) ("PrimitiveArray" 0 50430) ("PrimeField" 0 50364) ("PowerSeriesCategory" 0 50339) ("PositiveInteger" 0 49869) ("PolynomialSetCategory" 0 49819) ("PolynomialFactorizationExplicit" 0 49630) ("PolynomialCategory" 0 48073) ("Polynomial" 0 47906) ("PointCategory" 0 47896) ("PoincareBirkhoffWittLyndonBasis" 0 47877) ("PlottableSpaceCurveCategory" 0 47837) ("PlottablePlaneCurveCategory" 0 47802) ("PlacesOverPseudoAlgebraicClosureOfFiniteField" 0 47739) ("PlacesCategory" 0 47436) ("Places" 0 47423) ("PermutationCategory" 0 47407) ("Patternable" 0 47396) ("PatternMatchable" 0 47142) ("Pattern" 0 46902) ("Partition" 0 46878) ("PartialTranscendentalFunctions" 0 46747) ("PartialDifferentialRing" 0 46594) ("PartialDifferentialEquationsSolverCategory" 0 46558) ("PAdicIntegerCategory" 0 46471) ("PAdicInteger" 0 46453) ("OutputForm" 0 46313) ("OrdinaryDifferentialEquationsSolverCategory" 0 46243) ("OrderlyDifferentialVariable" 0 46209) ("OrderedVariableList" 0 45660) ("OrderedSet" 0 40518) ("OrderedRing" 0 40042) ("OrderedMonoid" 0 40002) ("OrderedIntegralDomain" 0 39978) ("OrderedFreeMonoid" 0 39951) ("OrderedFinite" 0 39915) ("OrderedCancellationAbelianMonoid" 0 39901) ("OrderedAbelianMonoidSup" 0 37888) ("OrderedAbelianMonoid" 0 37527) ("OpenMath" 0 37445) ("OneDimensionalArrayAggregate" 0 37292) ("OneDimensionalArray" 0 37268) ("OctonionCategory" 0 37206) ("NumericalOptimizationCategory" 0 37085) ("NumericalIntegrationCategory" 0 36886) ("NonNegativeInteger" 0 35478) ("NonAssociativeRng" 0 35455) ("NonAssociativeRing" 0 35431) ("NonAssociativeAlgebra" 0 35336) ("NewSparseMultivariatePolynomial" 0 35319) ("NeitherSparseOrDensePowerSeries" 0 35188) ("MyUnivariatePolynomial" 0 35171) ("MultivariateTaylorSeriesCategory" 0 35121) ("MultisetAggregate" 0 35108) ("MultiDictionary" 0 35084) ("Monoid" 0 34880) ("MonogenicLinearOperator" 0 34811) ("MonogenicAlgebra" 0 34526) ("MonadWithUnit" 0 34507) ("Monad" 0 34496) ("Module" 0 34368) ("MatrixCategory" 0 34030) ("Matrix" 0 33908) ("MachineFloat" 0 33889) ("LyndonWord" 0 33837) ("Logic" 0 33800) ("LocalPowerSeriesCategory" 0 33466) ("ListAggregate" 0 33362) ("List" 0 32108) ("LinearlyExplicitRingOver" 0 31101) ("LinearOrdinaryDifferentialOperatorCategory" 0 30686) ("LinearAggregate" 0 30665) ("LieAlgebra" 0 30649) ("LeftModule" 0 30443) ("LeftAlgebra" 0 30399) ("LazyStreamAggregate" 0 30311) ("KeyedDictionary" 0 30290) ("Kernel" 0 30239) ("IntervalCategory" 0 30226) ("IntegralDomain" 0 28088) ("IntegerNumberSystem" 0 27826) ("Integer" 0 24782) ("InputForm" 0 24505) ("InnerPrimeField" 0 24484) ("InnerEvalable" 0 24465) ("InfinitlyClosePointCategory" 0 24278) ("IndexedVector" 0 24260) ("IndexedOneDimensionalArray" 0 24229) ("IndexedExponents" 0 23966) ("IndexedDirectProductCategory" 0 23743) ("IndexedAggregate" 0 23707) ("HyperbolicFunctionCategory" 0 23675) ("HomogeneousDirectProduct" 0 23626) ("HomogeneousAggregate" 0 23575) ("Group" 0 23464) ("GradedModule" 0 23428) ("GradedAlgebra" 0 23391) ("GcdDomain" 0 21905) ("FunctionSpace" 0 20672) ("FunctionFieldCategory" 0 20260) ("FullyRetractableTo" 0 20139) ("FullyLinearlyExplicitRingOver" 0 20104) ("FullyEvalableOver" 0 20070) ("FreeModuleCat" 0 19978) ("FreeLieAlgebra" 0 19960) ("FreeAbelianMonoidCategory" 0 19894) ("FramedNonAssociativeAlgebra" 0 19719) ("FramedAlgebra" 0 19529) ("Fraction" 0 18150) ("FortranVectorFunctionCategory" 0 18054) ("FortranVectorCategory" 0 18045) ("FortranScalarType" 0 18026) ("FortranProgramCategory" 0 17960) ("FortranMatrixFunctionCategory" 0 17926) ("FortranMatrixCategory" 0 17892) ("FortranMachineTypeCategory" 0 17821) ("FortranFunctionCategory" 0 17782) ("FloatingPointSystem" 0 17627) ("Float" 0 17505) ("FiniteSetAggregate" 0 17427) ("FiniteRankNonAssociativeAlgebra" 0 17390) ("FiniteRankAlgebra" 0 17367) ("FiniteLinearAggregate" 0 16850) ("FiniteFieldCategory" 0 15714) ("FiniteDivisorCategory" 0 15642) ("FiniteAlgebraicExtensionField" 0 15227) ("FiniteAbelianMonoidRing" 0 14958) ("Finite" 0 14789) ("FileNameCategory" 0 14776) ("FileName" 0 14707) ("FileCategory" 0 14638) ("FieldOfPrimeCharacteristic" 0 14574) ("Field" 0 11485) ("ExtensionField" 0 11427) ("ExtensibleLinearAggregate" 0 11357) ("ExpressionSpace" 0 11194) ("Expression" 0 11176) ("ExponentialOfUnivariatePuiseuxSeries" 0 11122) ("Evalable" 0 11108) ("EuclideanDomain" 0 9950) ("Equation" 0 9934) ("EltableAggregate" 0 9912) ("Eltable" 0 9789) ("ElementaryFunctionCategory" 0 9721) ("DoubleFloatVector" 0 9699) ("DoubleFloat" 0 9531) ("DivisorCategory" 0 9350) ("Divisor" 0 9276) ("DivisionRing" 0 9258) ("DistributedMultivariatePolynomial" 0 9184) ("DirectProductCategory" 0 8366) ("DirectProduct" 0 8175) ("DifferentialVariableCategory" 0 7968) ("DifferentialRing" 0 7780) ("DifferentialPolynomialCategory" 0 7634) ("DifferentialExtension" 0 7576) ("DictionaryOperations" 0 7550) ("Dictionary" 0 7534) ("DesingTreeCategory" 0 7428) ("DequeueAggregate" 0 7416) ("ConvertibleTo" 0 6595) ("ComplexDoubleFloatVector" 0 6566) ("ComplexCategory" 0 6433) ("Complex" 0 6194) ("CommutativeRing" 0 4843) ("CombinatorialOpsCategory" 0 4778) ("Collection" 0 4762) ("CoercibleTo" 0 4430) ("CharacteristicZero" 0 3086) ("Character" 0 3067) ("CancellationAbelianMonoid" 0 3012) ("CachableSet" 0 2969) ("Boolean" 0 2881) ("BlowUpMethodCategory" 0 2512) ("BitAggregate" 0 2473) ("BinaryTreeCategory" 0 2377) ("BinaryRecursiveAggregate" 0 2333) ("BiModule" 0 2291) ("BasicType" 0 2276) ("BasicOperator" 0 2246) ("BalancedPAdicInteger" 0 2220) ("BagAggregate" 0 2202) ("Automorphism" 0 2140) ("AssociationListAggregate" 0 2120) ("ArcTrigonometricFunctionCategory" 0 2082) ("Any" 0 2045) ("AlgebraicallyClosedFunctionSpace" 0 1680) ("AlgebraicallyClosedField" 0 1017) ("AlgebraicNumber" 0 983) ("Algebra" 0 596) ("Aggregate" 0 549) ("AffineSpaceCategory" 0 466) ("AbelianSemiGroup" 0 399) ("AbelianMonoidRing" 0 349) ("AbelianMonoid" 0 124) ("AbelianGroup" 0 20))
\ No newline at end of file
diff --git a/src/share/algebra/interp.daase b/src/share/algebra/interp.daase
index 68e349e..e6eeb8a 100644
--- a/src/share/algebra/interp.daase
+++ b/src/share/algebra/interp.daase
@@ -1,5228 +1,5240 @@
 
-(3579618 . 3488060061)       
-((-1324 (((-121) (-1 (-121) |#2| |#2|) $) 62) (((-121) $) NIL)) (-2109 (($ (-1 (-121) |#2| |#2|) $) 17) (($ $) NIL)) (-2438 ((|#2| $ (-568) |#2|) NIL) ((|#2| $ (-1210 (-568)) |#2|) 34)) (-4452 (($ $) 58)) (-3094 ((|#2| (-1 |#2| |#2| |#2|) $ |#2| |#2|) 40) ((|#2| (-1 |#2| |#2| |#2|) $ |#2|) 38) ((|#2| (-1 |#2| |#2| |#2|) $) 37)) (-2766 (((-568) (-1 (-121) |#2|) $) 22) (((-568) |#2| $) NIL) (((-568) |#2| $ (-568)) 70)) (-3317 (((-634 |#2|) $) 13)) (-3645 (($ (-1 (-121) |#2| |#2|) $ $) 47) (($ $ $) NIL)) (-2253 (($ (-1 |#2| |#2|) $) 29)) (-2797 (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) 44)) (-4124 (($ |#2| $ (-568)) NIL) (($ $ $ (-568)) 49)) (-2712 (((-3 |#2| "failed") (-1 (-121) |#2|) $) 24)) (-3951 (((-121) (-1 (-121) |#2|) $) 21)) (-2781 ((|#2| $ (-568) |#2|) NIL) ((|#2| $ (-568)) NIL) (($ $ (-1210 (-568))) 48)) (-2828 (($ $ (-568)) 55) (($ $ (-1210 (-568))) 54)) (-4170 (((-763) (-1 (-121) |#2|) $) 26) (((-763) |#2| $) NIL)) (-3306 (($ $ $ (-568)) 51)) (-3865 (($ $) 50)) (-4289 (($ (-634 |#2|)) 52)) (-2770 (($ $ |#2|) NIL) (($ |#2| $) NIL) (($ $ $) 63) (($ (-634 $)) 61)) (-2747 (((-850) $) 69)) (-3437 (((-121) (-1 (-121) |#2|) $) 20)) (-1719 (((-121) $ $) 64)) (-1734 (((-121) $ $) 72))) 
-(((-18 |#1| |#2|) (-10 -8 (-15 -1719 ((-121) |#1| |#1|)) (-15 -2747 ((-850) |#1|)) (-15 -1734 ((-121) |#1| |#1|)) (-15 -2109 (|#1| |#1|)) (-15 -2109 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -4452 (|#1| |#1|)) (-15 -3306 (|#1| |#1| |#1| (-568))) (-15 -1324 ((-121) |#1|)) (-15 -3645 (|#1| |#1| |#1|)) (-15 -2766 ((-568) |#2| |#1| (-568))) (-15 -2766 ((-568) |#2| |#1|)) (-15 -2766 ((-568) (-1 (-121) |#2|) |#1|)) (-15 -1324 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -3645 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -2438 (|#2| |#1| (-1210 (-568)) |#2|)) (-15 -4124 (|#1| |#1| |#1| (-568))) (-15 -4124 (|#1| |#2| |#1| (-568))) (-15 -2828 (|#1| |#1| (-1210 (-568)))) (-15 -2828 (|#1| |#1| (-568))) (-15 -2781 (|#1| |#1| (-1210 (-568)))) (-15 -2797 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -2770 (|#1| (-634 |#1|))) (-15 -2770 (|#1| |#1| |#1|)) (-15 -2770 (|#1| |#2| |#1|)) (-15 -2770 (|#1| |#1| |#2|)) (-15 -4289 (|#1| (-634 |#2|))) (-15 -2712 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -3094 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -3094 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -3094 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -2781 (|#2| |#1| (-568))) (-15 -2781 (|#2| |#1| (-568) |#2|)) (-15 -2438 (|#2| |#1| (-568) |#2|)) (-15 -4170 ((-763) |#2| |#1|)) (-15 -3317 ((-634 |#2|) |#1|)) (-15 -4170 ((-763) (-1 (-121) |#2|) |#1|)) (-15 -3951 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3437 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2253 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2797 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3865 (|#1| |#1|))) (-19 |#2|) (-1195)) (T -18)) 
-NIL 
-(-10 -8 (-15 -1719 ((-121) |#1| |#1|)) (-15 -2747 ((-850) |#1|)) (-15 -1734 ((-121) |#1| |#1|)) (-15 -2109 (|#1| |#1|)) (-15 -2109 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -4452 (|#1| |#1|)) (-15 -3306 (|#1| |#1| |#1| (-568))) (-15 -1324 ((-121) |#1|)) (-15 -3645 (|#1| |#1| |#1|)) (-15 -2766 ((-568) |#2| |#1| (-568))) (-15 -2766 ((-568) |#2| |#1|)) (-15 -2766 ((-568) (-1 (-121) |#2|) |#1|)) (-15 -1324 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -3645 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -2438 (|#2| |#1| (-1210 (-568)) |#2|)) (-15 -4124 (|#1| |#1| |#1| (-568))) (-15 -4124 (|#1| |#2| |#1| (-568))) (-15 -2828 (|#1| |#1| (-1210 (-568)))) (-15 -2828 (|#1| |#1| (-568))) (-15 -2781 (|#1| |#1| (-1210 (-568)))) (-15 -2797 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -2770 (|#1| (-634 |#1|))) (-15 -2770 (|#1| |#1| |#1|)) (-15 -2770 (|#1| |#2| |#1|)) (-15 -2770 (|#1| |#1| |#2|)) (-15 -4289 (|#1| (-634 |#2|))) (-15 -2712 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -3094 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -3094 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -3094 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -2781 (|#2| |#1| (-568))) (-15 -2781 (|#2| |#1| (-568) |#2|)) (-15 -2438 (|#2| |#1| (-568) |#2|)) (-15 -4170 ((-763) |#2| |#1|)) (-15 -3317 ((-634 |#2|) |#1|)) (-15 -4170 ((-763) (-1 (-121) |#2|) |#1|)) (-15 -3951 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3437 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2253 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2797 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3865 (|#1| |#1|))) 
-((-2449 (((-121) $ $) 18 (|has| |#1| (-1090)))) (-2481 (((-1249) $ (-568) (-568)) 37 (|has| $ (-6 -4522)))) (-1324 (((-121) (-1 (-121) |#1| |#1|) $) 91) (((-121) $) 85 (|has| |#1| (-842)))) (-2109 (($ (-1 (-121) |#1| |#1|) $) 82 (|has| $ (-6 -4522))) (($ $) 81 (-12 (|has| |#1| (-842)) (|has| $ (-6 -4522))))) (-3647 (($ (-1 (-121) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-842)))) (-1667 (((-121) $ (-763)) 8)) (-2438 ((|#1| $ (-568) |#1|) 49 (|has| $ (-6 -4522))) ((|#1| $ (-1210 (-568)) |#1|) 53 (|has| $ (-6 -4522)))) (-2803 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4521)))) (-4490 (($) 7 T CONST)) (-4452 (($ $) 83 (|has| $ (-6 -4522)))) (-3945 (($ $) 93)) (-3926 (($ $) 73 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-4330 (($ |#1| $) 72 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4521)))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4521)))) (-1292 ((|#1| $ (-568) |#1|) 50 (|has| $ (-6 -4522)))) (-2069 ((|#1| $ (-568)) 48)) (-2766 (((-568) (-1 (-121) |#1|) $) 90) (((-568) |#1| $) 89 (|has| |#1| (-1090))) (((-568) |#1| $ (-568)) 88 (|has| |#1| (-1090)))) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-1851 (($ (-763) |#1|) 64)) (-3791 (((-121) $ (-763)) 9)) (-2539 (((-568) $) 40 (|has| (-568) (-842)))) (-1732 (($ $ $) 80 (|has| |#1| (-842)))) (-3645 (($ (-1 (-121) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-842)))) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3631 (((-568) $) 41 (|has| (-568) (-842)))) (-2047 (($ $ $) 79 (|has| |#1| (-842)))) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-3796 (((-121) $ (-763)) 10)) (-1893 (((-1143) $) 22 (|has| |#1| (-1090)))) (-4124 (($ |#1| $ (-568)) 55) (($ $ $ (-568)) 54)) (-3948 (((-634 (-568)) $) 43)) (-2916 (((-121) (-568) $) 44)) (-4025 (((-1108) $) 21 (|has| |#1| (-1090)))) (-3877 ((|#1| $) 39 (|has| (-568) (-842)))) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-2490 (($ $ |#1|) 38 (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-1801 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1480 (((-634 |#1|) $) 45)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-2781 ((|#1| $ (-568) |#1|) 47) ((|#1| $ (-568)) 46) (($ $ (-1210 (-568))) 58)) (-2828 (($ $ (-568)) 57) (($ $ (-1210 (-568))) 56)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3306 (($ $ $ (-568)) 84 (|has| $ (-6 -4522)))) (-3865 (($ $) 13)) (-4280 (((-541) $) 74 (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) 65)) (-2770 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-634 $)) 60)) (-2747 (((-850) $) 20 (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1753 (((-121) $ $) 77 (|has| |#1| (-842)))) (-1740 (((-121) $ $) 76 (|has| |#1| (-842)))) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090)))) (-1747 (((-121) $ $) 78 (|has| |#1| (-842)))) (-1734 (((-121) $ $) 75 (|has| |#1| (-842)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-19 |#1|) (-1275) (-1195)) (T -19)) 
-NIL 
-(-13 (-375 |t#1|) (-10 -7 (-6 -4522))) 
-(((-39) . T) ((-105) -2199 (|has| |#1| (-1090)) (|has| |#1| (-842))) ((-608 (-850)) -2199 (|has| |#1| (-1090)) (|has| |#1| (-842))) ((-154 |#1|) . T) ((-609 (-541)) |has| |#1| (-609 (-541))) ((-281 (-568) |#1|) . T) ((-283 (-568) |#1|) . T) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-375 |#1|) . T) ((-499 |#1|) . T) ((-601 (-568) |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-640 |#1|) . T) ((-842) |has| |#1| (-842)) ((-1090) -2199 (|has| |#1| (-1090)) (|has| |#1| (-842))) ((-1195) . T)) 
-((-2689 (((-3 $ "failed") $ $) 12)) (-1775 (($ $) NIL) (($ $ $) 9)) (* (($ (-917) $) NIL) (($ (-763) $) 16) (($ (-568) $) 21))) 
-(((-20 |#1|) (-10 -8 (-15 * (|#1| (-568) |#1|)) (-15 -1775 (|#1| |#1| |#1|)) (-15 -1775 (|#1| |#1|)) (-15 -2689 ((-3 |#1| "failed") |#1| |#1|)) (-15 * (|#1| (-763) |#1|)) (-15 * (|#1| (-917) |#1|))) (-21)) (T -20)) 
-NIL 
-(-10 -8 (-15 * (|#1| (-568) |#1|)) (-15 -1775 (|#1| |#1| |#1|)) (-15 -1775 (|#1| |#1|)) (-15 -2689 ((-3 |#1| "failed") |#1| |#1|)) (-15 * (|#1| (-763) |#1|)) (-15 * (|#1| (-917) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-3058 (($) 17 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19))) 
-(((-21) (-1275)) (T -21)) 
-((-1775 (*1 *1 *1) (-4 *1 (-21))) (-1775 (*1 *1 *1 *1) (-4 *1 (-21))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-21)) (-5 *2 (-568))))) 
-(-13 (-137) (-10 -8 (-15 -1775 ($ $)) (-15 -1775 ($ $ $)) (-15 * ($ (-568) $)))) 
-(((-23) . T) ((-25) . T) ((-105) . T) ((-137) . T) ((-608 (-850)) . T) ((-1090) . T)) 
-((-1819 (((-121) $) 10)) (-4490 (($) 15)) (* (($ (-917) $) 14) (($ (-763) $) 18))) 
-(((-22 |#1|) (-10 -8 (-15 * (|#1| (-763) |#1|)) (-15 -1819 ((-121) |#1|)) (-15 -4490 (|#1|)) (-15 * (|#1| (-917) |#1|))) (-23)) (T -22)) 
-NIL 
-(-10 -8 (-15 * (|#1| (-763) |#1|)) (-15 -1819 ((-121) |#1|)) (-15 -4490 (|#1|)) (-15 * (|#1| (-917) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-4490 (($) 16 T CONST)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-3058 (($) 17 T CONST)) (-1719 (((-121) $ $) 6)) (-1769 (($ $ $) 13)) (* (($ (-917) $) 12) (($ (-763) $) 14))) 
-(((-23) (-1275)) (T -23)) 
-((-3058 (*1 *1) (-4 *1 (-23))) (-4490 (*1 *1) (-4 *1 (-23))) (-1819 (*1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-121)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-763))))) 
-(-13 (-25) (-10 -8 (-15 (-3058) ($) -3497) (-15 -4490 ($) -3497) (-15 -1819 ((-121) $)) (-15 * ($ (-763) $)))) 
-(((-25) . T) ((-105) . T) ((-608 (-850)) . T) ((-1090) . T)) 
-((* (($ (-917) $) 10))) 
-(((-24 |#1|) (-10 -8 (-15 * (|#1| (-917) |#1|))) (-25)) (T -24)) 
-NIL 
-(-10 -8 (-15 * (|#1| (-917) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-1719 (((-121) $ $) 6)) (-1769 (($ $ $) 13)) (* (($ (-917) $) 12))) 
-(((-25) (-1275)) (T -25)) 
-((-1769 (*1 *1 *1 *1) (-4 *1 (-25))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-25)) (-5 *2 (-917))))) 
-(-13 (-1090) (-10 -8 (-15 -1769 ($ $ $)) (-15 * ($ (-917) $)))) 
-(((-105) . T) ((-608 (-850)) . T) ((-1090) . T)) 
-((-2251 (((-634 $) (-953 $)) 29) (((-634 $) (-1157 $)) 16) (((-634 $) (-1157 $) (-1161)) 20)) (-3505 (($ (-953 $)) 27) (($ (-1157 $)) 11) (($ (-1157 $) (-1161)) 54)) (-1867 (((-634 $) (-953 $)) 30) (((-634 $) (-1157 $)) 18) (((-634 $) (-1157 $) (-1161)) 19)) (-2919 (($ (-953 $)) 28) (($ (-1157 $)) 13) (($ (-1157 $) (-1161)) NIL))) 
-(((-26 |#1|) (-10 -8 (-15 -2251 ((-634 |#1|) (-1157 |#1|) (-1161))) (-15 -2251 ((-634 |#1|) (-1157 |#1|))) (-15 -2251 ((-634 |#1|) (-953 |#1|))) (-15 -3505 (|#1| (-1157 |#1|) (-1161))) (-15 -3505 (|#1| (-1157 |#1|))) (-15 -3505 (|#1| (-953 |#1|))) (-15 -1867 ((-634 |#1|) (-1157 |#1|) (-1161))) (-15 -1867 ((-634 |#1|) (-1157 |#1|))) (-15 -1867 ((-634 |#1|) (-953 |#1|))) (-15 -2919 (|#1| (-1157 |#1|) (-1161))) (-15 -2919 (|#1| (-1157 |#1|))) (-15 -2919 (|#1| (-953 |#1|)))) (-27)) (T -26)) 
-NIL 
-(-10 -8 (-15 -2251 ((-634 |#1|) (-1157 |#1|) (-1161))) (-15 -2251 ((-634 |#1|) (-1157 |#1|))) (-15 -2251 ((-634 |#1|) (-953 |#1|))) (-15 -3505 (|#1| (-1157 |#1|) (-1161))) (-15 -3505 (|#1| (-1157 |#1|))) (-15 -3505 (|#1| (-953 |#1|))) (-15 -1867 ((-634 |#1|) (-1157 |#1|) (-1161))) (-15 -1867 ((-634 |#1|) (-1157 |#1|))) (-15 -1867 ((-634 |#1|) (-953 |#1|))) (-15 -2919 (|#1| (-1157 |#1|) (-1161))) (-15 -2919 (|#1| (-1157 |#1|))) (-15 -2919 (|#1| (-953 |#1|)))) 
-((-2449 (((-121) $ $) 7)) (-2251 (((-634 $) (-953 $)) 76) (((-634 $) (-1157 $)) 75) (((-634 $) (-1157 $) (-1161)) 74)) (-3505 (($ (-953 $)) 79) (($ (-1157 $)) 78) (($ (-1157 $) (-1161)) 77)) (-1819 (((-121) $) 15)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 40)) (-3661 (($ $) 39)) (-4426 (((-121) $) 37)) (-2689 (((-3 $ "failed") $ $) 18)) (-3045 (($ $) 71)) (-3498 (((-420 $) $) 70)) (-1904 (($ $) 88)) (-2589 (((-121) $ $) 57)) (-4490 (($) 16 T CONST)) (-1867 (((-634 $) (-953 $)) 82) (((-634 $) (-1157 $)) 81) (((-634 $) (-1157 $) (-1161)) 80)) (-2919 (($ (-953 $)) 85) (($ (-1157 $)) 84) (($ (-1157 $) (-1161)) 83)) (-2403 (($ $ $) 53)) (-2902 (((-3 $ "failed") $) 33)) (-2414 (($ $ $) 54)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 49)) (-2197 (((-121) $) 69)) (-1598 (((-121) $) 30)) (-1550 (($ $ (-568)) 87)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 50)) (-2498 (($ $ $) 45) (($ (-634 $)) 44)) (-1893 (((-1143) $) 9)) (-2083 (($ $) 68)) (-4025 (((-1108) $) 10)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 43)) (-2723 (($ $ $) 47) (($ (-634 $)) 46)) (-3850 (((-420 $) $) 72)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2597 (((-3 $ "failed") $ $) 41)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 48)) (-1466 (((-763) $) 56)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 55)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ $) 42) (($ (-409 (-568))) 63)) (-3425 (((-763)) 28)) (-2273 (((-121) $ $) 38)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32) (($ $ (-568)) 67)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1781 (($ $ $) 62)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ (-568)) 66) (($ $ (-409 (-568))) 86)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ (-409 (-568))) 65) (($ (-409 (-568)) $) 64))) 
-(((-27) (-1275)) (T -27)) 
-((-2919 (*1 *1 *2) (-12 (-5 *2 (-953 *1)) (-4 *1 (-27)))) (-2919 (*1 *1 *2) (-12 (-5 *2 (-1157 *1)) (-4 *1 (-27)))) (-2919 (*1 *1 *2 *3) (-12 (-5 *2 (-1157 *1)) (-5 *3 (-1161)) (-4 *1 (-27)))) (-1867 (*1 *2 *3) (-12 (-5 *3 (-953 *1)) (-4 *1 (-27)) (-5 *2 (-634 *1)))) (-1867 (*1 *2 *3) (-12 (-5 *3 (-1157 *1)) (-4 *1 (-27)) (-5 *2 (-634 *1)))) (-1867 (*1 *2 *3 *4) (-12 (-5 *3 (-1157 *1)) (-5 *4 (-1161)) (-4 *1 (-27)) (-5 *2 (-634 *1)))) (-3505 (*1 *1 *2) (-12 (-5 *2 (-953 *1)) (-4 *1 (-27)))) (-3505 (*1 *1 *2) (-12 (-5 *2 (-1157 *1)) (-4 *1 (-27)))) (-3505 (*1 *1 *2 *3) (-12 (-5 *2 (-1157 *1)) (-5 *3 (-1161)) (-4 *1 (-27)))) (-2251 (*1 *2 *3) (-12 (-5 *3 (-953 *1)) (-4 *1 (-27)) (-5 *2 (-634 *1)))) (-2251 (*1 *2 *3) (-12 (-5 *3 (-1157 *1)) (-4 *1 (-27)) (-5 *2 (-634 *1)))) (-2251 (*1 *2 *3 *4) (-12 (-5 *3 (-1157 *1)) (-5 *4 (-1161)) (-4 *1 (-27)) (-5 *2 (-634 *1))))) 
-(-13 (-365) (-1002) (-10 -8 (-15 -2919 ($ (-953 $))) (-15 -2919 ($ (-1157 $))) (-15 -2919 ($ (-1157 $) (-1161))) (-15 -1867 ((-634 $) (-953 $))) (-15 -1867 ((-634 $) (-1157 $))) (-15 -1867 ((-634 $) (-1157 $) (-1161))) (-15 -3505 ($ (-953 $))) (-15 -3505 ($ (-1157 $))) (-15 -3505 ($ (-1157 $) (-1161))) (-15 -2251 ((-634 $) (-953 $))) (-15 -2251 ((-634 $) (-1157 $))) (-15 -2251 ((-634 $) (-1157 $) (-1161))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-409 (-568))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) . T) ((-120 $ $) . T) ((-137) . T) ((-608 (-850)) . T) ((-172) . T) ((-238) . T) ((-285) . T) ((-301) . T) ((-365) . T) ((-453) . T) ((-558) . T) ((-637 (-409 (-568))) . T) ((-637 $) . T) ((-707 (-409 (-568))) . T) ((-707 $) . T) ((-716) . T) ((-916) . T) ((-1002) . T) ((-1053 (-409 (-568))) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1199) . T)) 
-((-2251 (((-634 $) (-953 $)) NIL) (((-634 $) (-1157 $)) NIL) (((-634 $) (-1157 $) (-1161)) 50) (((-634 $) $) 19) (((-634 $) $ (-1161)) 41)) (-3505 (($ (-953 $)) NIL) (($ (-1157 $)) NIL) (($ (-1157 $) (-1161)) 52) (($ $) 17) (($ $ (-1161)) 37)) (-1867 (((-634 $) (-953 $)) NIL) (((-634 $) (-1157 $)) NIL) (((-634 $) (-1157 $) (-1161)) 48) (((-634 $) $) 15) (((-634 $) $ (-1161)) 43)) (-2919 (($ (-953 $)) NIL) (($ (-1157 $)) NIL) (($ (-1157 $) (-1161)) NIL) (($ $) 12) (($ $ (-1161)) 39))) 
-(((-28 |#1| |#2|) (-10 -8 (-15 -2251 ((-634 |#1|) |#1| (-1161))) (-15 -3505 (|#1| |#1| (-1161))) (-15 -2251 ((-634 |#1|) |#1|)) (-15 -3505 (|#1| |#1|)) (-15 -1867 ((-634 |#1|) |#1| (-1161))) (-15 -2919 (|#1| |#1| (-1161))) (-15 -1867 ((-634 |#1|) |#1|)) (-15 -2919 (|#1| |#1|)) (-15 -2251 ((-634 |#1|) (-1157 |#1|) (-1161))) (-15 -2251 ((-634 |#1|) (-1157 |#1|))) (-15 -2251 ((-634 |#1|) (-953 |#1|))) (-15 -3505 (|#1| (-1157 |#1|) (-1161))) (-15 -3505 (|#1| (-1157 |#1|))) (-15 -3505 (|#1| (-953 |#1|))) (-15 -1867 ((-634 |#1|) (-1157 |#1|) (-1161))) (-15 -1867 ((-634 |#1|) (-1157 |#1|))) (-15 -1867 ((-634 |#1|) (-953 |#1|))) (-15 -2919 (|#1| (-1157 |#1|) (-1161))) (-15 -2919 (|#1| (-1157 |#1|))) (-15 -2919 (|#1| (-953 |#1|)))) (-29 |#2|) (-13 (-842) (-558))) (T -28)) 
-NIL 
-(-10 -8 (-15 -2251 ((-634 |#1|) |#1| (-1161))) (-15 -3505 (|#1| |#1| (-1161))) (-15 -2251 ((-634 |#1|) |#1|)) (-15 -3505 (|#1| |#1|)) (-15 -1867 ((-634 |#1|) |#1| (-1161))) (-15 -2919 (|#1| |#1| (-1161))) (-15 -1867 ((-634 |#1|) |#1|)) (-15 -2919 (|#1| |#1|)) (-15 -2251 ((-634 |#1|) (-1157 |#1|) (-1161))) (-15 -2251 ((-634 |#1|) (-1157 |#1|))) (-15 -2251 ((-634 |#1|) (-953 |#1|))) (-15 -3505 (|#1| (-1157 |#1|) (-1161))) (-15 -3505 (|#1| (-1157 |#1|))) (-15 -3505 (|#1| (-953 |#1|))) (-15 -1867 ((-634 |#1|) (-1157 |#1|) (-1161))) (-15 -1867 ((-634 |#1|) (-1157 |#1|))) (-15 -1867 ((-634 |#1|) (-953 |#1|))) (-15 -2919 (|#1| (-1157 |#1|) (-1161))) (-15 -2919 (|#1| (-1157 |#1|))) (-15 -2919 (|#1| (-953 |#1|)))) 
-((-2449 (((-121) $ $) 7)) (-2251 (((-634 $) (-953 $)) 76) (((-634 $) (-1157 $)) 75) (((-634 $) (-1157 $) (-1161)) 74) (((-634 $) $) 120) (((-634 $) $ (-1161)) 118)) (-3505 (($ (-953 $)) 79) (($ (-1157 $)) 78) (($ (-1157 $) (-1161)) 77) (($ $) 121) (($ $ (-1161)) 119)) (-1819 (((-121) $) 15)) (-2057 (((-634 (-1161)) $) 195)) (-3840 (((-409 (-1157 $)) $ (-607 $)) 227 (|has| |#1| (-558)))) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 40)) (-3661 (($ $) 39)) (-4426 (((-121) $) 37)) (-3145 (((-634 (-607 $)) $) 158)) (-2689 (((-3 $ "failed") $ $) 18)) (-4069 (($ $ (-634 (-607 $)) (-634 $)) 148) (($ $ (-634 (-288 $))) 147) (($ $ (-288 $)) 146)) (-3045 (($ $) 71)) (-3498 (((-420 $) $) 70)) (-1904 (($ $) 88)) (-2589 (((-121) $ $) 57)) (-4490 (($) 16 T CONST)) (-1867 (((-634 $) (-953 $)) 82) (((-634 $) (-1157 $)) 81) (((-634 $) (-1157 $) (-1161)) 80) (((-634 $) $) 124) (((-634 $) $ (-1161)) 122)) (-2919 (($ (-953 $)) 85) (($ (-1157 $)) 84) (($ (-1157 $) (-1161)) 83) (($ $) 125) (($ $ (-1161)) 123)) (-3668 (((-3 (-953 |#1|) "failed") $) 245 (|has| |#1| (-1047))) (((-3 (-409 (-953 |#1|)) "failed") $) 229 (|has| |#1| (-558))) (((-3 |#1| "failed") $) 191) (((-3 (-568) "failed") $) 189 (|has| |#1| (-1037 (-568)))) (((-3 (-1161) "failed") $) 182) (((-3 (-607 $) "failed") $) 133) (((-3 (-409 (-568)) "failed") $) 117 (-2199 (-12 (|has| |#1| (-1037 (-568))) (|has| |#1| (-558))) (|has| |#1| (-1037 (-409 (-568))))))) (-2857 (((-953 |#1|) $) 246 (|has| |#1| (-1047))) (((-409 (-953 |#1|)) $) 230 (|has| |#1| (-558))) ((|#1| $) 192) (((-568) $) 188 (|has| |#1| (-1037 (-568)))) (((-1161) $) 183) (((-607 $) $) 134) (((-409 (-568)) $) 116 (-2199 (-12 (|has| |#1| (-1037 (-568))) (|has| |#1| (-558))) (|has| |#1| (-1037 (-409 (-568))))))) (-2403 (($ $ $) 53)) (-1668 (((-679 |#1|) (-679 $)) 235 (|has| |#1| (-1047))) (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 |#1|))) (-679 $) (-1244 $)) 234 (|has| |#1| (-1047))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) 115 (-2199 (-2141 (|has| |#1| (-1047)) (|has| |#1| (-630 (-568)))) (-2141 (|has| |#1| (-630 (-568))) (|has| |#1| (-1047))))) (((-679 (-568)) (-679 $)) 114 (-2199 (-2141 (|has| |#1| (-1047)) (|has| |#1| (-630 (-568)))) (-2141 (|has| |#1| (-630 (-568))) (|has| |#1| (-1047)))))) (-2902 (((-3 $ "failed") $) 33)) (-2414 (($ $ $) 54)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 49)) (-2197 (((-121) $) 69)) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) 187 (|has| |#1| (-881 (-381)))) (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) 186 (|has| |#1| (-881 (-568))))) (-3855 (($ (-634 $)) 152) (($ $) 151)) (-2160 (((-634 (-123)) $) 159)) (-3842 (((-123) (-123)) 160)) (-1598 (((-121) $) 30)) (-2268 (((-121) $) 180 (|has| $ (-1037 (-568))))) (-3539 (($ $) 212 (|has| |#1| (-1047)))) (-2319 (((-1113 |#1| (-607 $)) $) 211 (|has| |#1| (-1047)))) (-1550 (($ $ (-568)) 87)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 50)) (-3170 (((-1157 $) (-607 $)) 177 (|has| $ (-1047)))) (-1732 (($ $ $) 131)) (-2047 (($ $ $) 130)) (-2797 (($ (-1 $ $) (-607 $)) 166)) (-2337 (((-3 (-607 $) "failed") $) 156)) (-2498 (($ $ $) 45) (($ (-634 $)) 44)) (-1893 (((-1143) $) 9)) (-3832 (((-634 (-607 $)) $) 157)) (-3446 (($ (-123) (-634 $)) 165) (($ (-123) $) 164)) (-4362 (((-3 (-634 $) "failed") $) 206 (|has| |#1| (-1102)))) (-4495 (((-3 (-2 (|:| |val| $) (|:| -3483 (-568))) "failed") $) 215 (|has| |#1| (-1047)))) (-2112 (((-3 (-634 $) "failed") $) 208 (|has| |#1| (-25)))) (-2240 (((-3 (-2 (|:| -2350 (-568)) (|:| |var| (-607 $))) "failed") $) 209 (|has| |#1| (-25)))) (-2617 (((-3 (-2 (|:| |var| (-607 $)) (|:| -3483 (-568))) "failed") $ (-1161)) 214 (|has| |#1| (-1047))) (((-3 (-2 (|:| |var| (-607 $)) (|:| -3483 (-568))) "failed") $ (-123)) 213 (|has| |#1| (-1047))) (((-3 (-2 (|:| |var| (-607 $)) (|:| -3483 (-568))) "failed") $) 207 (|has| |#1| (-1102)))) (-3910 (((-121) $ (-1161)) 163) (((-121) $ (-123)) 162)) (-2083 (($ $) 68)) (-2963 (((-763) $) 155)) (-4025 (((-1108) $) 10)) (-2088 (((-121) $) 193)) (-2093 ((|#1| $) 194)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 43)) (-2723 (($ $ $) 47) (($ (-634 $)) 46)) (-1609 (((-121) $ (-1161)) 168) (((-121) $ $) 167)) (-3850 (((-420 $) $) 72)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2597 (((-3 $ "failed") $ $) 41)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 48)) (-2080 (((-121) $) 179 (|has| $ (-1037 (-568))))) (-1339 (($ $ (-1161) (-763) (-1 $ $)) 219 (|has| |#1| (-1047))) (($ $ (-1161) (-763) (-1 $ (-634 $))) 218 (|has| |#1| (-1047))) (($ $ (-634 (-1161)) (-634 (-763)) (-634 (-1 $ (-634 $)))) 217 (|has| |#1| (-1047))) (($ $ (-634 (-1161)) (-634 (-763)) (-634 (-1 $ $))) 216 (|has| |#1| (-1047))) (($ $ (-634 (-123)) (-634 $) (-1161)) 205 (|has| |#1| (-609 (-541)))) (($ $ (-123) $ (-1161)) 204 (|has| |#1| (-609 (-541)))) (($ $) 203 (|has| |#1| (-609 (-541)))) (($ $ (-634 (-1161))) 202 (|has| |#1| (-609 (-541)))) (($ $ (-1161)) 201 (|has| |#1| (-609 (-541)))) (($ $ (-123) (-1 $ $)) 176) (($ $ (-123) (-1 $ (-634 $))) 175) (($ $ (-634 (-123)) (-634 (-1 $ (-634 $)))) 174) (($ $ (-634 (-123)) (-634 (-1 $ $))) 173) (($ $ (-1161) (-1 $ $)) 172) (($ $ (-1161) (-1 $ (-634 $))) 171) (($ $ (-634 (-1161)) (-634 (-1 $ (-634 $)))) 170) (($ $ (-634 (-1161)) (-634 (-1 $ $))) 169) (($ $ (-634 $) (-634 $)) 140) (($ $ $ $) 139) (($ $ (-288 $)) 138) (($ $ (-634 (-288 $))) 137) (($ $ (-634 (-607 $)) (-634 $)) 136) (($ $ (-607 $) $) 135)) (-1466 (((-763) $) 56)) (-2781 (($ (-123) (-634 $)) 145) (($ (-123) $ $ $ $) 144) (($ (-123) $ $ $) 143) (($ (-123) $ $) 142) (($ (-123) $) 141)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 55)) (-3924 (($ $ $) 154) (($ $) 153)) (-4191 (($ $ (-1161)) 243 (|has| |#1| (-1047))) (($ $ (-634 (-1161))) 242 (|has| |#1| (-1047))) (($ $ (-1161) (-763)) 241 (|has| |#1| (-1047))) (($ $ (-634 (-1161)) (-634 (-763))) 240 (|has| |#1| (-1047)))) (-3210 (($ $) 222 (|has| |#1| (-558)))) (-2326 (((-1113 |#1| (-607 $)) $) 221 (|has| |#1| (-558)))) (-1492 (($ $) 178 (|has| $ (-1047)))) (-4280 (((-541) $) 249 (|has| |#1| (-609 (-541)))) (($ (-420 $)) 220 (|has| |#1| (-558))) (((-887 (-381)) $) 185 (|has| |#1| (-609 (-887 (-381))))) (((-887 (-568)) $) 184 (|has| |#1| (-609 (-887 (-568)))))) (-2387 (($ $ $) 248 (|has| |#1| (-478)))) (-3985 (($ $ $) 247 (|has| |#1| (-478)))) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ $) 42) (($ (-409 (-568))) 63) (($ (-953 |#1|)) 244 (|has| |#1| (-1047))) (($ (-409 (-953 |#1|))) 228 (|has| |#1| (-558))) (($ (-409 (-953 (-409 |#1|)))) 226 (|has| |#1| (-558))) (($ (-953 (-409 |#1|))) 225 (|has| |#1| (-558))) (($ (-409 |#1|)) 224 (|has| |#1| (-558))) (($ (-1113 |#1| (-607 $))) 210 (|has| |#1| (-1047))) (($ |#1|) 190) (($ (-1161)) 181) (($ (-607 $)) 132)) (-3385 (((-3 $ "failed") $) 233 (|has| |#1| (-148)))) (-3425 (((-763)) 28)) (-3159 (($ (-634 $)) 150) (($ $) 149)) (-2779 (((-121) (-123)) 161)) (-2273 (((-121) $ $) 38)) (-3060 (($ (-1161) (-634 $)) 200) (($ (-1161) $ $ $ $) 199) (($ (-1161) $ $ $) 198) (($ (-1161) $ $) 197) (($ (-1161) $) 196)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32) (($ $ (-568)) 67)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3192 (($ $ (-1161)) 239 (|has| |#1| (-1047))) (($ $ (-634 (-1161))) 238 (|has| |#1| (-1047))) (($ $ (-1161) (-763)) 237 (|has| |#1| (-1047))) (($ $ (-634 (-1161)) (-634 (-763))) 236 (|has| |#1| (-1047)))) (-1753 (((-121) $ $) 128)) (-1740 (((-121) $ $) 127)) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 129)) (-1734 (((-121) $ $) 126)) (-1781 (($ $ $) 62) (($ (-1113 |#1| (-607 $)) (-1113 |#1| (-607 $))) 223 (|has| |#1| (-558)))) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ (-568)) 66) (($ $ (-409 (-568))) 86)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ (-409 (-568))) 65) (($ (-409 (-568)) $) 64) (($ $ |#1|) 232 (|has| |#1| (-172))) (($ |#1| $) 231 (|has| |#1| (-172))))) 
-(((-29 |#1|) (-1275) (-13 (-842) (-558))) (T -29)) 
-((-2919 (*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-842) (-558))))) (-1867 (*1 *2 *1) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *2 (-634 *1)) (-4 *1 (-29 *3)))) (-2919 (*1 *1 *1 *2) (-12 (-5 *2 (-1161)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-842) (-558))))) (-1867 (*1 *2 *1 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-842) (-558))) (-5 *2 (-634 *1)) (-4 *1 (-29 *4)))) (-3505 (*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-842) (-558))))) (-2251 (*1 *2 *1) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *2 (-634 *1)) (-4 *1 (-29 *3)))) (-3505 (*1 *1 *1 *2) (-12 (-5 *2 (-1161)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-842) (-558))))) (-2251 (*1 *2 *1 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-842) (-558))) (-5 *2 (-634 *1)) (-4 *1 (-29 *4))))) 
-(-13 (-27) (-432 |t#1|) (-10 -8 (-15 -2919 ($ $)) (-15 -1867 ((-634 $) $)) (-15 -2919 ($ $ (-1161))) (-15 -1867 ((-634 $) $ (-1161))) (-15 -3505 ($ $)) (-15 -2251 ((-634 $) $)) (-15 -3505 ($ $ (-1161))) (-15 -2251 ((-634 $) $ (-1161))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-409 (-568))) . T) ((-43 |#1|) |has| |#1| (-172)) ((-43 $) . T) ((-27) . T) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) . T) ((-120 |#1| |#1|) |has| |#1| (-172)) ((-120 $ $) . T) ((-137) . T) ((-148) |has| |#1| (-148)) ((-150) |has| |#1| (-150)) ((-608 (-850)) . T) ((-172) . T) ((-609 (-541)) |has| |#1| (-609 (-541))) ((-609 (-887 (-381))) |has| |#1| (-609 (-887 (-381)))) ((-609 (-887 (-568))) |has| |#1| (-609 (-887 (-568)))) ((-238) . T) ((-285) . T) ((-301) . T) ((-303 $) . T) ((-296) . T) ((-365) . T) ((-379 |#1|) |has| |#1| (-1047)) ((-402 |#1|) . T) ((-413 |#1|) . T) ((-432 |#1|) . T) ((-453) . T) ((-478) |has| |#1| (-478)) ((-523 (-607 $) $) . T) ((-523 $ $) . T) ((-558) . T) ((-637 (-409 (-568))) . T) ((-637 |#1|) |has| |#1| (-172)) ((-637 $) . T) ((-630 (-568)) -12 (|has| |#1| (-630 (-568))) (|has| |#1| (-1047))) ((-630 |#1|) |has| |#1| (-1047)) ((-707 (-409 (-568))) . T) ((-707 |#1|) |has| |#1| (-172)) ((-707 $) . T) ((-716) . T) ((-842) . T) ((-895 (-1161)) |has| |#1| (-1047)) ((-881 (-381)) |has| |#1| (-881 (-381))) ((-881 (-568)) |has| |#1| (-881 (-568))) ((-879 |#1|) . T) ((-916) . T) ((-1002) . T) ((-1037 (-409 (-568))) -2199 (|has| |#1| (-1037 (-409 (-568)))) (-12 (|has| |#1| (-558)) (|has| |#1| (-1037 (-568))))) ((-1037 (-409 (-953 |#1|))) |has| |#1| (-558)) ((-1037 (-568)) |has| |#1| (-1037 (-568))) ((-1037 (-607 $)) . T) ((-1037 (-953 |#1|)) |has| |#1| (-1047)) ((-1037 (-1161)) . T) ((-1037 |#1|) . T) ((-1053 (-409 (-568))) . T) ((-1053 |#1|) |has| |#1| (-172)) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1195) . T) ((-1199) . T)) 
-((-1421 (((-1084 (-215)) $) NIL)) (-3679 (((-1084 (-215)) $) NIL)) (-1642 (($ $ (-215)) 122)) (-2164 (($ (-953 (-568)) (-1161) (-1161) (-1084 (-409 (-568))) (-1084 (-409 (-568)))) 84)) (-1878 (((-634 (-634 (-944 (-215)))) $) 134)) (-2747 (((-850) $) 146))) 
-(((-30) (-13 (-955) (-10 -8 (-15 -2164 ($ (-953 (-568)) (-1161) (-1161) (-1084 (-409 (-568))) (-1084 (-409 (-568))))) (-15 -1642 ($ $ (-215)))))) (T -30)) 
-((-2164 (*1 *1 *2 *3 *3 *4 *4) (-12 (-5 *2 (-953 (-568))) (-5 *3 (-1161)) (-5 *4 (-1084 (-409 (-568)))) (-5 *1 (-30)))) (-1642 (*1 *1 *1 *2) (-12 (-5 *2 (-215)) (-5 *1 (-30))))) 
-(-13 (-955) (-10 -8 (-15 -2164 ($ (-953 (-568)) (-1161) (-1161) (-1084 (-409 (-568))) (-1084 (-409 (-568))))) (-15 -1642 ($ $ (-215))))) 
-((-1868 (((-3 (-634 |#5|) "failed" "Infinite" (-568)) |#3|) 38)) (-4470 (((-634 |#5|) |#3| (-917)) 33)) (-4453 (((-3 (-634 |#5|) "failed" "Infinite" (-568)) (-634 |#3|)) 40))) 
-(((-31 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4453 ((-3 (-634 |#5|) "failed" "Infinite" (-568)) (-634 |#3|))) (-15 -1868 ((-3 (-634 |#5|) "failed" "Infinite" (-568)) |#3|)) (-15 -4470 ((-634 |#5|) |#3| (-917)))) (-365) (-634 (-1161)) (-950 |#1| |#4| (-852 |#2|)) (-230 (-1699 |#2|) (-763)) (-971 |#1|)) (T -31)) 
-((-4470 (*1 *2 *3 *4) (-12 (-5 *4 (-917)) (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *7 (-230 (-1699 *6) (-763))) (-5 *2 (-634 *8)) (-5 *1 (-31 *5 *6 *3 *7 *8)) (-4 *3 (-950 *5 *7 (-852 *6))) (-4 *8 (-971 *5)))) (-1868 (*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-230 (-1699 *5) (-763))) (-5 *2 (-3 (-634 *7) "failed" "Infinite" (-568))) (-5 *1 (-31 *4 *5 *3 *6 *7)) (-4 *3 (-950 *4 *6 (-852 *5))) (-4 *7 (-971 *4)))) (-4453 (*1 *2 *3) (-12 (-5 *3 (-634 *6)) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-5 *2 (-3 (-634 *8) "failed" "Infinite" (-568))) (-5 *1 (-31 *4 *5 *6 *7 *8)) (-4 *8 (-971 *4))))) 
-(-10 -7 (-15 -4453 ((-3 (-634 |#5|) "failed" "Infinite" (-568)) (-634 |#3|))) (-15 -1868 ((-3 (-634 |#5|) "failed" "Infinite" (-568)) |#3|)) (-15 -4470 ((-634 |#5|) |#3| (-917)))) 
-((-3580 (((-1157 (-1157 |#1|)) |#3|) 35)) (-3968 (((-634 (-634 (-1157 (-1157 |#1|)))) (-634 (-1157 (-1157 |#1|)))) 54)) (-1868 (((-3 (-634 |#5|) "failed" "Infinite" (-568)) (-1157 (-1157 |#1|))) 56) (((-3 (-634 |#5|) "failed" "Infinite" (-568)) |#3|) 57)) (-4470 (((-3 (-634 |#5|) "failed" "Infinite" (-568)) |#3| (-917)) 51)) (-2304 (((-3 (-634 |#5|) "failed" "Infinite" (-568)) (-634 (-1157 (-1157 |#1|)))) 70)) (-4453 (((-3 (-634 |#5|) "failed" "Infinite" (-568)) (-634 |#3|)) 50))) 
-(((-32 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1868 ((-3 (-634 |#5|) "failed" "Infinite" (-568)) |#3|)) (-15 -1868 ((-3 (-634 |#5|) "failed" "Infinite" (-568)) (-1157 (-1157 |#1|)))) (-15 -2304 ((-3 (-634 |#5|) "failed" "Infinite" (-568)) (-634 (-1157 (-1157 |#1|))))) (-15 -4453 ((-3 (-634 |#5|) "failed" "Infinite" (-568)) (-634 |#3|))) (-15 -3580 ((-1157 (-1157 |#1|)) |#3|)) (-15 -3968 ((-634 (-634 (-1157 (-1157 |#1|)))) (-634 (-1157 (-1157 |#1|))))) (-15 -4470 ((-3 (-634 |#5|) "failed" "Infinite" (-568)) |#3| (-917)))) (-365) (-634 (-1161)) (-950 |#1| |#4| (-852 |#2|)) (-230 (-1699 |#2|) (-763)) (-971 |#1|)) (T -32)) 
-((-4470 (*1 *2 *3 *4) (-12 (-5 *4 (-917)) (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *7 (-230 (-1699 *6) (-763))) (-5 *2 (-3 (-634 *8) "failed" "Infinite" (-568))) (-5 *1 (-32 *5 *6 *3 *7 *8)) (-4 *3 (-950 *5 *7 (-852 *6))) (-4 *8 (-971 *5)))) (-3968 (*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *7 (-230 (-1699 *5) (-763))) (-5 *2 (-634 (-634 (-1157 (-1157 *4))))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-5 *3 (-634 (-1157 (-1157 *4)))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *8 (-971 *4)))) (-3580 (*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-230 (-1699 *5) (-763))) (-5 *2 (-1157 (-1157 *4))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-950 *4 *6 (-852 *5))) (-4 *7 (-971 *4)))) (-4453 (*1 *2 *3) (-12 (-5 *3 (-634 *6)) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-5 *2 (-3 (-634 *8) "failed" "Infinite" (-568))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *8 (-971 *4)))) (-2304 (*1 *2 *3) (-12 (-5 *3 (-634 (-1157 (-1157 *4)))) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *7 (-230 (-1699 *5) (-763))) (-5 *2 (-3 (-634 *8) "failed" "Infinite" (-568))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *8 (-971 *4)))) (-1868 (*1 *2 *3) (-12 (-5 *3 (-1157 (-1157 *4))) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *7 (-230 (-1699 *5) (-763))) (-5 *2 (-3 (-634 *8) "failed" "Infinite" (-568))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *8 (-971 *4)))) (-1868 (*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-230 (-1699 *5) (-763))) (-5 *2 (-3 (-634 *7) "failed" "Infinite" (-568))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-950 *4 *6 (-852 *5))) (-4 *7 (-971 *4))))) 
-(-10 -7 (-15 -1868 ((-3 (-634 |#5|) "failed" "Infinite" (-568)) |#3|)) (-15 -1868 ((-3 (-634 |#5|) "failed" "Infinite" (-568)) (-1157 (-1157 |#1|)))) (-15 -2304 ((-3 (-634 |#5|) "failed" "Infinite" (-568)) (-634 (-1157 (-1157 |#1|))))) (-15 -4453 ((-3 (-634 |#5|) "failed" "Infinite" (-568)) (-634 |#3|))) (-15 -3580 ((-1157 (-1157 |#1|)) |#3|)) (-15 -3968 ((-634 (-634 (-1157 (-1157 |#1|)))) (-634 (-1157 (-1157 |#1|))))) (-15 -4470 ((-3 (-634 |#5|) "failed" "Infinite" (-568)) |#3| (-917)))) 
-((-2449 (((-121) $ $) NIL)) (-2438 ((|#1| $ (-568) |#1|) NIL)) (-2613 (((-634 $) (-634 $) (-763)) NIL) (((-634 $) (-634 $)) NIL)) (-1338 (((-121) $ (-763)) NIL) (((-121) $) NIL)) (-2034 (((-634 |#1|) $) NIL)) (-2649 (($) NIL)) (-4450 (((-634 $) $) NIL) (((-634 $) $ (-763)) NIL)) (-3897 (((-634 |#1|) $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2781 ((|#1| $ (-568)) NIL)) (-1836 (((-917) $) NIL)) (-1937 ((|#1| $) NIL)) (-2387 (($ $ (-763)) NIL) (($ $) NIL)) (-2747 (((-850) $) NIL) (((-634 |#1|) $) NIL) (($ (-634 |#1|)) NIL)) (-4299 (($ (-634 |#1|)) NIL)) (-1719 (((-121) $ $) NIL))) 
-(((-33 |#1|) (-37 |#1|) (-365)) (T -33)) 
+(3588534 . 3524719225)       
+((-3034 (((-121) (-1 (-121) |#2| |#2|) $) 62) (((-121) $) NIL)) (-3076 (($ (-1 (-121) |#2| |#2|) $) 17) (($ $) NIL)) (-4469 ((|#2| $ (-569) |#2|) NIL) ((|#2| $ (-1213 (-569)) |#2|) 34)) (-1302 (($ $) 58)) (-1774 ((|#2| (-1 |#2| |#2| |#2|) $ |#2| |#2|) 40) ((|#2| (-1 |#2| |#2| |#2|) $ |#2|) 38) ((|#2| (-1 |#2| |#2| |#2|) $) 37)) (-3727 (((-569) (-1 (-121) |#2|) $) 22) (((-569) |#2| $) NIL) (((-569) |#2| $ (-569)) 70)) (-3470 (((-635 |#2|) $) 13)) (-3288 (($ (-1 (-121) |#2| |#2|) $ $) 47) (($ $ $) NIL)) (-1853 (($ (-1 |#2| |#2|) $) 29)) (-1544 (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) 44)) (-3614 (($ |#2| $ (-569)) NIL) (($ $ $ (-569)) 49)) (-2502 (((-3 |#2| "failed") (-1 (-121) |#2|) $) 24)) (-4177 (((-121) (-1 (-121) |#2|) $) 21)) (-1534 ((|#2| $ (-569) |#2|) NIL) ((|#2| $ (-569)) NIL) (($ $ (-1213 (-569))) 48)) (-3010 (($ $ (-569)) 55) (($ $ (-1213 (-569))) 54)) (-2846 (((-764) (-1 (-121) |#2|) $) 26) (((-764) |#2| $) NIL)) (-3389 (($ $ $ (-569)) 51)) (-1971 (($ $) 50)) (-2139 (($ (-635 |#2|)) 52)) (-2250 (($ $ |#2|) NIL) (($ |#2| $) NIL) (($ $ $) 63) (($ (-635 $)) 61)) (-2185 (((-851) $) 69)) (-2066 (((-121) (-1 (-121) |#2|) $) 20)) (-1668 (((-121) $ $) 64)) (-1678 (((-121) $ $) 72))) 
+(((-18 |#1| |#2|) (-10 -8 (-15 -1668 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1678 ((-121) |#1| |#1|)) (-15 -3076 (|#1| |#1|)) (-15 -3076 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -1302 (|#1| |#1|)) (-15 -3389 (|#1| |#1| |#1| (-569))) (-15 -3034 ((-121) |#1|)) (-15 -3288 (|#1| |#1| |#1|)) (-15 -3727 ((-569) |#2| |#1| (-569))) (-15 -3727 ((-569) |#2| |#1|)) (-15 -3727 ((-569) (-1 (-121) |#2|) |#1|)) (-15 -3034 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -3288 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -4469 (|#2| |#1| (-1213 (-569)) |#2|)) (-15 -3614 (|#1| |#1| |#1| (-569))) (-15 -3614 (|#1| |#2| |#1| (-569))) (-15 -3010 (|#1| |#1| (-1213 (-569)))) (-15 -3010 (|#1| |#1| (-569))) (-15 -1534 (|#1| |#1| (-1213 (-569)))) (-15 -1544 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -2250 (|#1| (-635 |#1|))) (-15 -2250 (|#1| |#1| |#1|)) (-15 -2250 (|#1| |#2| |#1|)) (-15 -2250 (|#1| |#1| |#2|)) (-15 -2139 (|#1| (-635 |#2|))) (-15 -2502 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -1534 (|#2| |#1| (-569))) (-15 -1534 (|#2| |#1| (-569) |#2|)) (-15 -4469 (|#2| |#1| (-569) |#2|)) (-15 -2846 ((-764) |#2| |#1|)) (-15 -3470 ((-635 |#2|) |#1|)) (-15 -2846 ((-764) (-1 (-121) |#2|) |#1|)) (-15 -4177 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2066 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -1853 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1971 (|#1| |#1|))) (-19 |#2|) (-1197)) (T -18)) 
+NIL 
+(-10 -8 (-15 -1668 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1678 ((-121) |#1| |#1|)) (-15 -3076 (|#1| |#1|)) (-15 -3076 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -1302 (|#1| |#1|)) (-15 -3389 (|#1| |#1| |#1| (-569))) (-15 -3034 ((-121) |#1|)) (-15 -3288 (|#1| |#1| |#1|)) (-15 -3727 ((-569) |#2| |#1| (-569))) (-15 -3727 ((-569) |#2| |#1|)) (-15 -3727 ((-569) (-1 (-121) |#2|) |#1|)) (-15 -3034 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -3288 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -4469 (|#2| |#1| (-1213 (-569)) |#2|)) (-15 -3614 (|#1| |#1| |#1| (-569))) (-15 -3614 (|#1| |#2| |#1| (-569))) (-15 -3010 (|#1| |#1| (-1213 (-569)))) (-15 -3010 (|#1| |#1| (-569))) (-15 -1534 (|#1| |#1| (-1213 (-569)))) (-15 -1544 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -2250 (|#1| (-635 |#1|))) (-15 -2250 (|#1| |#1| |#1|)) (-15 -2250 (|#1| |#2| |#1|)) (-15 -2250 (|#1| |#1| |#2|)) (-15 -2139 (|#1| (-635 |#2|))) (-15 -2502 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -1534 (|#2| |#1| (-569))) (-15 -1534 (|#2| |#1| (-569) |#2|)) (-15 -4469 (|#2| |#1| (-569) |#2|)) (-15 -2846 ((-764) |#2| |#1|)) (-15 -3470 ((-635 |#2|) |#1|)) (-15 -2846 ((-764) (-1 (-121) |#2|) |#1|)) (-15 -4177 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2066 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -1853 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1971 (|#1| |#1|))) 
+((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-3112 (((-1252) $ (-569) (-569)) 37 (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) |#1| |#1|) $) 91) (((-121) $) 85 (|has| |#1| (-843)))) (-3076 (($ (-1 (-121) |#1| |#1|) $) 82 (|has| $ (-6 -4536))) (($ $) 81 (-12 (|has| |#1| (-843)) (|has| $ (-6 -4536))))) (-3113 (($ (-1 (-121) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-843)))) (-1691 (((-121) $ (-764)) 8)) (-4469 ((|#1| $ (-569) |#1|) 49 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) 53 (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-1302 (($ $) 83 (|has| $ (-6 -4536)))) (-2052 (($ $) 93)) (-2033 (($ $) 73 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ |#1| $) 72 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) 50 (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) 48)) (-3727 (((-569) (-1 (-121) |#1|) $) 90) (((-569) |#1| $) 89 (|has| |#1| (-1091))) (((-569) |#1| $ (-569)) 88 (|has| |#1| (-1091)))) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-2659 (($ (-764) |#1|) 64)) (-1974 (((-121) $ (-764)) 9)) (-3557 (((-569) $) 40 (|has| (-569) (-843)))) (-3291 (($ $ $) 80 (|has| |#1| (-843)))) (-3288 (($ (-1 (-121) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1285 (((-569) $) 41 (|has| (-569) (-843)))) (-1538 (($ $ $) 79 (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3614 (($ |#1| $ (-569)) 55) (($ $ $ (-569)) 54)) (-4166 (((-635 (-569)) $) 43)) (-3533 (((-121) (-569) $) 44)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4353 ((|#1| $) 39 (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-3174 (($ $ |#1|) 38 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) 45)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ (-569) |#1|) 47) ((|#1| $ (-569)) 46) (($ $ (-1213 (-569))) 58)) (-3010 (($ $ (-569)) 57) (($ $ (-1213 (-569))) 56)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-3389 (($ $ $ (-569)) 84 (|has| $ (-6 -4536)))) (-1971 (($ $) 13)) (-3817 (((-542) $) 74 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 65)) (-2250 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) 77 (|has| |#1| (-843)))) (-1684 (((-121) $ $) 76 (|has| |#1| (-843)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-1688 (((-121) $ $) 78 (|has| |#1| (-843)))) (-1678 (((-121) $ $) 75 (|has| |#1| (-843)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-19 |#1|) (-1278) (-1197)) (T -19)) 
+NIL 
+(-13 (-376 |t#1|) (-10 -7 (-6 -4536))) 
+(((-39) . T) ((-105) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-609 (-851)) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-376 |#1|) . T) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-641 |#1|) . T) ((-843) |has| |#1| (-843)) ((-1091) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-1197) . T)) 
+((-2327 (((-3 $ "failed") $ $) 12)) (-1711 (($ $) NIL) (($ $ $) 9)) (* (($ (-918) $) NIL) (($ (-764) $) 16) (($ (-569) $) 21))) 
+(((-20 |#1|) (-10 -8 (-15 * (|#1| (-569) |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 -2327 ((-3 |#1| "failed") |#1| |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|))) (-21)) (T -20)) 
+NIL 
+(-10 -8 (-15 * (|#1| (-569) |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 -2327 ((-3 |#1| "failed") |#1| |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19))) 
+(((-21) (-1278)) (T -21)) 
+((-1711 (*1 *1 *1) (-4 *1 (-21))) (-1711 (*1 *1 *1 *1) (-4 *1 (-21))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-21)) (-5 *2 (-569))))) 
+(-13 (-138) (-10 -8 (-15 -1711 ($ $)) (-15 -1711 ($ $ $)) (-15 * ($ (-569) $)))) 
+(((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-1091) . T)) 
+((-3813 (((-121) $) 10)) (-2820 (($) 15)) (* (($ (-918) $) 14) (($ (-764) $) 18))) 
+(((-22 |#1|) (-10 -8 (-15 * (|#1| (-764) |#1|)) (-15 -3813 ((-121) |#1|)) (-15 -2820 (|#1|)) (-15 * (|#1| (-918) |#1|))) (-23)) (T -22)) 
+NIL 
+(-10 -8 (-15 * (|#1| (-764) |#1|)) (-15 -3813 ((-121) |#1|)) (-15 -2820 (|#1|)) (-15 * (|#1| (-918) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2820 (($) 16 T CONST)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12) (($ (-764) $) 14))) 
+(((-23) (-1278)) (T -23)) 
+((-3369 (*1 *1) (-4 *1 (-23))) (-2820 (*1 *1) (-4 *1 (-23))) (-3813 (*1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-121)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-764))))) 
+(-13 (-25) (-10 -8 (-15 (-3369) ($) -2043) (-15 -2820 ($) -2043) (-15 -3813 ((-121) $)) (-15 * ($ (-764) $)))) 
+(((-25) . T) ((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
+((* (($ (-918) $) 10))) 
+(((-24 |#1|) (-10 -8 (-15 * (|#1| (-918) |#1|))) (-25)) (T -24)) 
+NIL 
+(-10 -8 (-15 * (|#1| (-918) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-1668 (((-121) $ $) 6)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12))) 
+(((-25) (-1278)) (T -25)) 
+((-1707 (*1 *1 *1 *1) (-4 *1 (-25))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-25)) (-5 *2 (-918))))) 
+(-13 (-1091) (-10 -8 (-15 -1707 ($ $ $)) (-15 * ($ (-918) $)))) 
+(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
+((-1842 (((-635 $) (-954 $)) 29) (((-635 $) (-1159 $)) 16) (((-635 $) (-1159 $) (-1163)) 20)) (-2493 (($ (-954 $)) 27) (($ (-1159 $)) 11) (($ (-1159 $) (-1163)) 54)) (-2663 (((-635 $) (-954 $)) 30) (((-635 $) (-1159 $)) 18) (((-635 $) (-1159 $) (-1163)) 19)) (-3550 (($ (-954 $)) 28) (($ (-1159 $)) 13) (($ (-1159 $) (-1163)) NIL))) 
+(((-26 |#1|) (-10 -8 (-15 -1842 ((-635 |#1|) (-1159 |#1|) (-1163))) (-15 -1842 ((-635 |#1|) (-1159 |#1|))) (-15 -1842 ((-635 |#1|) (-954 |#1|))) (-15 -2493 (|#1| (-1159 |#1|) (-1163))) (-15 -2493 (|#1| (-1159 |#1|))) (-15 -2493 (|#1| (-954 |#1|))) (-15 -2663 ((-635 |#1|) (-1159 |#1|) (-1163))) (-15 -2663 ((-635 |#1|) (-1159 |#1|))) (-15 -2663 ((-635 |#1|) (-954 |#1|))) (-15 -3550 (|#1| (-1159 |#1|) (-1163))) (-15 -3550 (|#1| (-1159 |#1|))) (-15 -3550 (|#1| (-954 |#1|)))) (-27)) (T -26)) 
+NIL 
+(-10 -8 (-15 -1842 ((-635 |#1|) (-1159 |#1|) (-1163))) (-15 -1842 ((-635 |#1|) (-1159 |#1|))) (-15 -1842 ((-635 |#1|) (-954 |#1|))) (-15 -2493 (|#1| (-1159 |#1|) (-1163))) (-15 -2493 (|#1| (-1159 |#1|))) (-15 -2493 (|#1| (-954 |#1|))) (-15 -2663 ((-635 |#1|) (-1159 |#1|) (-1163))) (-15 -2663 ((-635 |#1|) (-1159 |#1|))) (-15 -2663 ((-635 |#1|) (-954 |#1|))) (-15 -3550 (|#1| (-1159 |#1|) (-1163))) (-15 -3550 (|#1| (-1159 |#1|))) (-15 -3550 (|#1| (-954 |#1|)))) 
+((-2568 (((-121) $ $) 7)) (-1842 (((-635 $) (-954 $)) 76) (((-635 $) (-1159 $)) 75) (((-635 $) (-1159 $) (-1163)) 74)) (-2493 (($ (-954 $)) 79) (($ (-1159 $)) 78) (($ (-1159 $) (-1163)) 77)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-2454 (($ $) 88)) (-3934 (((-121) $ $) 57)) (-2820 (($) 16 T CONST)) (-2663 (((-635 $) (-954 $)) 82) (((-635 $) (-1159 $)) 81) (((-635 $) (-1159 $) (-1163)) 80)) (-3550 (($ (-954 $)) 85) (($ (-1159 $)) 84) (($ (-1159 $) (-1163)) 83)) (-2506 (($ $ $) 53)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-3726 (((-121) $) 69)) (-1407 (((-121) $) 30)) (-4344 (($ $ (-569)) 87)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-1743 (((-421 $) $) 72)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 62)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66) (($ $ (-410 (-569))) 86)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
+(((-27) (-1278)) (T -27)) 
+((-3550 (*1 *1 *2) (-12 (-5 *2 (-954 *1)) (-4 *1 (-27)))) (-3550 (*1 *1 *2) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-27)))) (-3550 (*1 *1 *2 *3) (-12 (-5 *2 (-1159 *1)) (-5 *3 (-1163)) (-4 *1 (-27)))) (-2663 (*1 *2 *3) (-12 (-5 *3 (-954 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) (-2663 (*1 *2 *3) (-12 (-5 *3 (-1159 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) (-2663 (*1 *2 *3 *4) (-12 (-5 *3 (-1159 *1)) (-5 *4 (-1163)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) (-2493 (*1 *1 *2) (-12 (-5 *2 (-954 *1)) (-4 *1 (-27)))) (-2493 (*1 *1 *2) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-27)))) (-2493 (*1 *1 *2 *3) (-12 (-5 *2 (-1159 *1)) (-5 *3 (-1163)) (-4 *1 (-27)))) (-1842 (*1 *2 *3) (-12 (-5 *3 (-954 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) (-1842 (*1 *2 *3) (-12 (-5 *3 (-1159 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) (-1842 (*1 *2 *3 *4) (-12 (-5 *3 (-1159 *1)) (-5 *4 (-1163)) (-4 *1 (-27)) (-5 *2 (-635 *1))))) 
+(-13 (-366) (-1003) (-10 -8 (-15 -3550 ($ (-954 $))) (-15 -3550 ($ (-1159 $))) (-15 -3550 ($ (-1159 $) (-1163))) (-15 -2663 ((-635 $) (-954 $))) (-15 -2663 ((-635 $) (-1159 $))) (-15 -2663 ((-635 $) (-1159 $) (-1163))) (-15 -2493 ($ (-954 $))) (-15 -2493 ($ (-1159 $))) (-15 -2493 ($ (-1159 $) (-1163))) (-15 -1842 ((-635 $) (-954 $))) (-15 -1842 ((-635 $) (-1159 $))) (-15 -1842 ((-635 $) (-1159 $) (-1163))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 $) . T) ((-717) . T) ((-917) . T) ((-1003) . T) ((-1054 (-410 (-569))) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) . T)) 
+((-1842 (((-635 $) (-954 $)) NIL) (((-635 $) (-1159 $)) NIL) (((-635 $) (-1159 $) (-1163)) 50) (((-635 $) $) 19) (((-635 $) $ (-1163)) 41)) (-2493 (($ (-954 $)) NIL) (($ (-1159 $)) NIL) (($ (-1159 $) (-1163)) 52) (($ $) 17) (($ $ (-1163)) 37)) (-2663 (((-635 $) (-954 $)) NIL) (((-635 $) (-1159 $)) NIL) (((-635 $) (-1159 $) (-1163)) 48) (((-635 $) $) 15) (((-635 $) $ (-1163)) 43)) (-3550 (($ (-954 $)) NIL) (($ (-1159 $)) NIL) (($ (-1159 $) (-1163)) NIL) (($ $) 12) (($ $ (-1163)) 39))) 
+(((-28 |#1| |#2|) (-10 -8 (-15 -1842 ((-635 |#1|) |#1| (-1163))) (-15 -2493 (|#1| |#1| (-1163))) (-15 -1842 ((-635 |#1|) |#1|)) (-15 -2493 (|#1| |#1|)) (-15 -2663 ((-635 |#1|) |#1| (-1163))) (-15 -3550 (|#1| |#1| (-1163))) (-15 -2663 ((-635 |#1|) |#1|)) (-15 -3550 (|#1| |#1|)) (-15 -1842 ((-635 |#1|) (-1159 |#1|) (-1163))) (-15 -1842 ((-635 |#1|) (-1159 |#1|))) (-15 -1842 ((-635 |#1|) (-954 |#1|))) (-15 -2493 (|#1| (-1159 |#1|) (-1163))) (-15 -2493 (|#1| (-1159 |#1|))) (-15 -2493 (|#1| (-954 |#1|))) (-15 -2663 ((-635 |#1|) (-1159 |#1|) (-1163))) (-15 -2663 ((-635 |#1|) (-1159 |#1|))) (-15 -2663 ((-635 |#1|) (-954 |#1|))) (-15 -3550 (|#1| (-1159 |#1|) (-1163))) (-15 -3550 (|#1| (-1159 |#1|))) (-15 -3550 (|#1| (-954 |#1|)))) (-29 |#2|) (-13 (-843) (-559))) (T -28)) 
+NIL 
+(-10 -8 (-15 -1842 ((-635 |#1|) |#1| (-1163))) (-15 -2493 (|#1| |#1| (-1163))) (-15 -1842 ((-635 |#1|) |#1|)) (-15 -2493 (|#1| |#1|)) (-15 -2663 ((-635 |#1|) |#1| (-1163))) (-15 -3550 (|#1| |#1| (-1163))) (-15 -2663 ((-635 |#1|) |#1|)) (-15 -3550 (|#1| |#1|)) (-15 -1842 ((-635 |#1|) (-1159 |#1|) (-1163))) (-15 -1842 ((-635 |#1|) (-1159 |#1|))) (-15 -1842 ((-635 |#1|) (-954 |#1|))) (-15 -2493 (|#1| (-1159 |#1|) (-1163))) (-15 -2493 (|#1| (-1159 |#1|))) (-15 -2493 (|#1| (-954 |#1|))) (-15 -2663 ((-635 |#1|) (-1159 |#1|) (-1163))) (-15 -2663 ((-635 |#1|) (-1159 |#1|))) (-15 -2663 ((-635 |#1|) (-954 |#1|))) (-15 -3550 (|#1| (-1159 |#1|) (-1163))) (-15 -3550 (|#1| (-1159 |#1|))) (-15 -3550 (|#1| (-954 |#1|)))) 
+((-2568 (((-121) $ $) 7)) (-1842 (((-635 $) (-954 $)) 76) (((-635 $) (-1159 $)) 75) (((-635 $) (-1159 $) (-1163)) 74) (((-635 $) $) 120) (((-635 $) $ (-1163)) 118)) (-2493 (($ (-954 $)) 79) (($ (-1159 $)) 78) (($ (-1159 $) (-1163)) 77) (($ $) 121) (($ $ (-1163)) 119)) (-3813 (((-121) $) 15)) (-1773 (((-635 (-1163)) $) 195)) (-1739 (((-410 (-1159 $)) $ (-608 $)) 227 (|has| |#1| (-559)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-4003 (((-635 (-608 $)) $) 158)) (-2327 (((-3 $ "failed") $ $) 18)) (-2773 (($ $ (-635 (-608 $)) (-635 $)) 148) (($ $ (-635 (-289 $))) 147) (($ $ (-289 $)) 146)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-2454 (($ $) 88)) (-3934 (((-121) $ $) 57)) (-2820 (($) 16 T CONST)) (-2663 (((-635 $) (-954 $)) 82) (((-635 $) (-1159 $)) 81) (((-635 $) (-1159 $) (-1163)) 80) (((-635 $) $) 124) (((-635 $) $ (-1163)) 122)) (-3550 (($ (-954 $)) 85) (($ (-1159 $)) 84) (($ (-1159 $) (-1163)) 83) (($ $) 125) (($ $ (-1163)) 123)) (-1647 (((-3 (-954 |#1|) "failed") $) 245 (|has| |#1| (-1048))) (((-3 (-410 (-954 |#1|)) "failed") $) 229 (|has| |#1| (-559))) (((-3 |#1| "failed") $) 191) (((-3 (-569) "failed") $) 189 (|has| |#1| (-1038 (-569)))) (((-3 (-1163) "failed") $) 182) (((-3 (-608 $) "failed") $) 133) (((-3 (-410 (-569)) "failed") $) 117 (-2232 (-12 (|has| |#1| (-1038 (-569))) (|has| |#1| (-559))) (|has| |#1| (-1038 (-410 (-569))))))) (-2428 (((-954 |#1|) $) 246 (|has| |#1| (-1048))) (((-410 (-954 |#1|)) $) 230 (|has| |#1| (-559))) ((|#1| $) 192) (((-569) $) 188 (|has| |#1| (-1038 (-569)))) (((-1163) $) 183) (((-608 $) $) 134) (((-410 (-569)) $) 116 (-2232 (-12 (|has| |#1| (-1038 (-569))) (|has| |#1| (-559))) (|has| |#1| (-1038 (-410 (-569))))))) (-2506 (($ $ $) 53)) (-1696 (((-680 |#1|) (-680 $)) 235 (|has| |#1| (-1048))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 234 (|has| |#1| (-1048))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 115 (-2232 (-2206 (|has| |#1| (-1048)) (|has| |#1| (-631 (-569)))) (-2206 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))))) (((-680 (-569)) (-680 $)) 114 (-2232 (-2206 (|has| |#1| (-1048)) (|has| |#1| (-631 (-569)))) (-2206 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048)))))) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-3726 (((-121) $) 69)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 187 (|has| |#1| (-882 (-382)))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 186 (|has| |#1| (-882 (-569))))) (-2337 (($ (-635 $)) 152) (($ $) 151)) (-3431 (((-635 (-123)) $) 159)) (-2265 (((-123) (-123)) 160)) (-1407 (((-121) $) 30)) (-1931 (((-121) $) 180 (|has| $ (-1038 (-569))))) (-4052 (($ $) 212 (|has| |#1| (-1048)))) (-4116 (((-1114 |#1| (-608 $)) $) 211 (|has| |#1| (-1048)))) (-4344 (($ $ (-569)) 87)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-4080 (((-1159 $) (-608 $)) 177 (|has| $ (-1048)))) (-3291 (($ $ $) 131)) (-1538 (($ $ $) 130)) (-1544 (($ (-1 $ $) (-608 $)) 166)) (-2359 (((-3 (-608 $) "failed") $) 156)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1735 (((-635 (-608 $)) $) 157)) (-1777 (($ (-123) (-635 $)) 165) (($ (-123) $) 164)) (-4087 (((-3 (-635 $) "failed") $) 206 (|has| |#1| (-1103)))) (-2848 (((-3 (-2 (|:| |val| $) (|:| -2356 (-569))) "failed") $) 215 (|has| |#1| (-1048)))) (-3091 (((-3 (-635 $) "failed") $) 208 (|has| |#1| (-25)))) (-1806 (((-3 (-2 (|:| -4140 (-569)) (|:| |var| (-608 $))) "failed") $) 209 (|has| |#1| (-25)))) (-1874 (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $ (-1163)) 214 (|has| |#1| (-1048))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $ (-123)) 213 (|has| |#1| (-1048))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $) 207 (|has| |#1| (-1103)))) (-4029 (((-121) $ (-1163)) 163) (((-121) $ (-123)) 162)) (-1795 (($ $) 68)) (-2626 (((-764) $) 155)) (-3360 (((-1109) $) 10)) (-1798 (((-121) $) 193)) (-1801 ((|#1| $) 194)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-1452 (((-121) $ (-1163)) 168) (((-121) $ $) 167)) (-1743 (((-421 $) $) 72)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-1657 (((-121) $) 179 (|has| $ (-1038 (-569))))) (-1468 (($ $ (-1163) (-764) (-1 $ $)) 219 (|has| |#1| (-1048))) (($ $ (-1163) (-764) (-1 $ (-635 $))) 218 (|has| |#1| (-1048))) (($ $ (-635 (-1163)) (-635 (-764)) (-635 (-1 $ (-635 $)))) 217 (|has| |#1| (-1048))) (($ $ (-635 (-1163)) (-635 (-764)) (-635 (-1 $ $))) 216 (|has| |#1| (-1048))) (($ $ (-635 (-123)) (-635 $) (-1163)) 205 (|has| |#1| (-610 (-542)))) (($ $ (-123) $ (-1163)) 204 (|has| |#1| (-610 (-542)))) (($ $) 203 (|has| |#1| (-610 (-542)))) (($ $ (-635 (-1163))) 202 (|has| |#1| (-610 (-542)))) (($ $ (-1163)) 201 (|has| |#1| (-610 (-542)))) (($ $ (-123) (-1 $ $)) 176) (($ $ (-123) (-1 $ (-635 $))) 175) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) 174) (($ $ (-635 (-123)) (-635 (-1 $ $))) 173) (($ $ (-1163) (-1 $ $)) 172) (($ $ (-1163) (-1 $ (-635 $))) 171) (($ $ (-635 (-1163)) (-635 (-1 $ (-635 $)))) 170) (($ $ (-635 (-1163)) (-635 (-1 $ $))) 169) (($ $ (-635 $) (-635 $)) 140) (($ $ $ $) 139) (($ $ (-289 $)) 138) (($ $ (-635 (-289 $))) 137) (($ $ (-635 (-608 $)) (-635 $)) 136) (($ $ (-608 $) $) 135)) (-2622 (((-764) $) 56)) (-1534 (($ (-123) (-635 $)) 145) (($ (-123) $ $ $ $) 144) (($ (-123) $ $ $) 143) (($ (-123) $ $) 142) (($ (-123) $) 141)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-4082 (($ $ $) 154) (($ $) 153)) (-3899 (($ $ (-1163)) 243 (|has| |#1| (-1048))) (($ $ (-635 (-1163))) 242 (|has| |#1| (-1048))) (($ $ (-1163) (-764)) 241 (|has| |#1| (-1048))) (($ $ (-635 (-1163)) (-635 (-764))) 240 (|has| |#1| (-1048)))) (-4214 (($ $) 222 (|has| |#1| (-559)))) (-4121 (((-1114 |#1| (-608 $)) $) 221 (|has| |#1| (-559)))) (-2745 (($ $) 178 (|has| $ (-1048)))) (-3817 (((-542) $) 249 (|has| |#1| (-610 (-542)))) (($ (-421 $)) 220 (|has| |#1| (-559))) (((-888 (-382)) $) 185 (|has| |#1| (-610 (-888 (-382))))) (((-888 (-569)) $) 184 (|has| |#1| (-610 (-888 (-569)))))) (-1414 (($ $ $) 248 (|has| |#1| (-479)))) (-4293 (($ $ $) 247 (|has| |#1| (-479)))) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ (-954 |#1|)) 244 (|has| |#1| (-1048))) (($ (-410 (-954 |#1|))) 228 (|has| |#1| (-559))) (($ (-410 (-954 (-410 |#1|)))) 226 (|has| |#1| (-559))) (($ (-954 (-410 |#1|))) 225 (|has| |#1| (-559))) (($ (-410 |#1|)) 224 (|has| |#1| (-559))) (($ (-1114 |#1| (-608 $))) 210 (|has| |#1| (-1048))) (($ |#1|) 190) (($ (-1163)) 181) (($ (-608 $)) 132)) (-3953 (((-3 $ "failed") $) 233 (|has| |#1| (-149)))) (-1991 (((-764)) 28)) (-4042 (($ (-635 $)) 150) (($ $) 149)) (-1524 (((-121) (-123)) 161)) (-1961 (((-121) $ $) 38)) (-3880 (($ (-1163) (-635 $)) 200) (($ (-1163) $ $ $ $) 199) (($ (-1163) $ $ $) 198) (($ (-1163) $ $) 197) (($ (-1163) $) 196)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-1163)) 239 (|has| |#1| (-1048))) (($ $ (-635 (-1163))) 238 (|has| |#1| (-1048))) (($ $ (-1163) (-764)) 237 (|has| |#1| (-1048))) (($ $ (-635 (-1163)) (-635 (-764))) 236 (|has| |#1| (-1048)))) (-1693 (((-121) $ $) 128)) (-1684 (((-121) $ $) 127)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 129)) (-1678 (((-121) $ $) 126)) (-1715 (($ $ $) 62) (($ (-1114 |#1| (-608 $)) (-1114 |#1| (-608 $))) 223 (|has| |#1| (-559)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66) (($ $ (-410 (-569))) 86)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ $ |#1|) 232 (|has| |#1| (-173))) (($ |#1| $) 231 (|has| |#1| (-173))))) 
+(((-29 |#1|) (-1278) (-13 (-843) (-559))) (T -29)) 
+((-3550 (*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-843) (-559))))) (-2663 (*1 *2 *1) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *3)))) (-3550 (*1 *1 *1 *2) (-12 (-5 *2 (-1163)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-843) (-559))))) (-2663 (*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *4)))) (-2493 (*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-843) (-559))))) (-1842 (*1 *2 *1) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *3)))) (-2493 (*1 *1 *1 *2) (-12 (-5 *2 (-1163)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-843) (-559))))) (-1842 (*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *4))))) 
+(-13 (-27) (-433 |t#1|) (-10 -8 (-15 -3550 ($ $)) (-15 -2663 ((-635 $) $)) (-15 -3550 ($ $ (-1163))) (-15 -2663 ((-635 $) $ (-1163))) (-15 -2493 ($ $)) (-15 -1842 ((-635 $) $)) (-15 -2493 ($ $ (-1163))) (-15 -1842 ((-635 $) $ (-1163))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) . T) ((-27) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 |#1| |#1|) |has| |#1| (-173)) ((-120 $ $) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-610 (-888 (-382))) |has| |#1| (-610 (-888 (-382)))) ((-610 (-888 (-569))) |has| |#1| (-610 (-888 (-569)))) ((-239) . T) ((-286) . T) ((-302) . T) ((-304 $) . T) ((-297) . T) ((-366) . T) ((-380 |#1|) |has| |#1| (-1048)) ((-403 |#1|) . T) ((-414 |#1|) . T) ((-433 |#1|) . T) ((-454) . T) ((-479) |has| |#1| (-479)) ((-524 (-608 $) $) . T) ((-524 $ $) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 |#1|) |has| |#1| (-173)) ((-638 $) . T) ((-631 (-569)) -12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))) ((-631 |#1|) |has| |#1| (-1048)) ((-708 (-410 (-569))) . T) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) . T) ((-717) . T) ((-843) . T) ((-896 (-1163)) |has| |#1| (-1048)) ((-882 (-382)) |has| |#1| (-882 (-382))) ((-882 (-569)) |has| |#1| (-882 (-569))) ((-880 |#1|) . T) ((-917) . T) ((-1003) . T) ((-1038 (-410 (-569))) -2232 (|has| |#1| (-1038 (-410 (-569)))) (-12 (|has| |#1| (-559)) (|has| |#1| (-1038 (-569))))) ((-1038 (-410 (-954 |#1|))) |has| |#1| (-559)) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 (-608 $)) . T) ((-1038 (-954 |#1|)) |has| |#1| (-1048)) ((-1038 (-1163)) . T) ((-1038 |#1|) . T) ((-1054 (-410 (-569))) . T) ((-1054 |#1|) |has| |#1| (-173)) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1197) . T) ((-1202) . T)) 
+((-3740 (((-1085 (-216)) $) NIL)) (-3495 (((-1085 (-216)) $) NIL)) (-1595 (($ $ (-216)) 122)) (-3464 (($ (-954 (-569)) (-1163) (-1163) (-1085 (-410 (-569))) (-1085 (-410 (-569)))) 84)) (-2707 (((-635 (-635 (-945 (-216)))) $) 134)) (-2185 (((-851) $) 146))) 
+(((-30) (-13 (-956) (-10 -8 (-15 -3464 ($ (-954 (-569)) (-1163) (-1163) (-1085 (-410 (-569))) (-1085 (-410 (-569))))) (-15 -1595 ($ $ (-216)))))) (T -30)) 
+((-3464 (*1 *1 *2 *3 *3 *4 *4) (-12 (-5 *2 (-954 (-569))) (-5 *3 (-1163)) (-5 *4 (-1085 (-410 (-569)))) (-5 *1 (-30)))) (-1595 (*1 *1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-30))))) 
+(-13 (-956) (-10 -8 (-15 -3464 ($ (-954 (-569)) (-1163) (-1163) (-1085 (-410 (-569))) (-1085 (-410 (-569))))) (-15 -1595 ($ $ (-216))))) 
+((-2669 (((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3|) 38)) (-1406 (((-635 |#5|) |#3| (-918)) 33)) (-1306 (((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 |#3|)) 40))) 
+(((-31 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1306 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 |#3|))) (-15 -2669 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3|)) (-15 -1406 ((-635 |#5|) |#3| (-918)))) (-366) (-635 (-1163)) (-951 |#1| |#4| (-853 |#2|)) (-231 (-4168 |#2|) (-764)) (-972 |#1|)) (T -31)) 
+((-1406 (*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-5 *2 (-635 *8)) (-5 *1 (-31 *5 *6 *3 *7 *8)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *8 (-972 *5)))) (-2669 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-231 (-4168 *5) (-764))) (-5 *2 (-3 (-635 *7) "failed" "Infinite" (-569))) (-5 *1 (-31 *4 *5 *3 *6 *7)) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *7 (-972 *4)))) (-1306 (*1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-31 *4 *5 *6 *7 *8)) (-4 *8 (-972 *4))))) 
+(-10 -7 (-15 -1306 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 |#3|))) (-15 -2669 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3|)) (-15 -1406 ((-635 |#5|) |#3| (-918)))) 
+((-4231 (((-1159 (-1159 |#1|)) |#3|) 35)) (-4232 (((-635 (-635 (-1159 (-1159 |#1|)))) (-635 (-1159 (-1159 |#1|)))) 54)) (-2669 (((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-1159 (-1159 |#1|))) 56) (((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3|) 57)) (-1406 (((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3| (-918)) 51)) (-2167 (((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 (-1159 (-1159 |#1|)))) 70)) (-1306 (((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 |#3|)) 50))) 
+(((-32 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2669 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3|)) (-15 -2669 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-1159 (-1159 |#1|)))) (-15 -2167 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 (-1159 (-1159 |#1|))))) (-15 -1306 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 |#3|))) (-15 -4231 ((-1159 (-1159 |#1|)) |#3|)) (-15 -4232 ((-635 (-635 (-1159 (-1159 |#1|)))) (-635 (-1159 (-1159 |#1|))))) (-15 -1406 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3| (-918)))) (-366) (-635 (-1163)) (-951 |#1| |#4| (-853 |#2|)) (-231 (-4168 |#2|) (-764)) (-972 |#1|)) (T -32)) 
+((-1406 (*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *5 *6 *3 *7 *8)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *8 (-972 *5)))) (-4232 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *7 (-231 (-4168 *5) (-764))) (-5 *2 (-635 (-635 (-1159 (-1159 *4))))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-5 *3 (-635 (-1159 (-1159 *4)))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *8 (-972 *4)))) (-4231 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-231 (-4168 *5) (-764))) (-5 *2 (-1159 (-1159 *4))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *7 (-972 *4)))) (-1306 (*1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *8 (-972 *4)))) (-2167 (*1 *2 *3) (-12 (-5 *3 (-635 (-1159 (-1159 *4)))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *7 (-231 (-4168 *5) (-764))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *8 (-972 *4)))) (-2669 (*1 *2 *3) (-12 (-5 *3 (-1159 (-1159 *4))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *7 (-231 (-4168 *5) (-764))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *8 (-972 *4)))) (-2669 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-231 (-4168 *5) (-764))) (-5 *2 (-3 (-635 *7) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *7 (-972 *4))))) 
+(-10 -7 (-15 -2669 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3|)) (-15 -2669 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-1159 (-1159 |#1|)))) (-15 -2167 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 (-1159 (-1159 |#1|))))) (-15 -1306 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 |#3|))) (-15 -4231 ((-1159 (-1159 |#1|)) |#3|)) (-15 -4232 ((-635 (-635 (-1159 (-1159 |#1|)))) (-635 (-1159 (-1159 |#1|))))) (-15 -1406 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3| (-918)))) 
+((-2568 (((-121) $ $) NIL)) (-4469 ((|#1| $ (-569) |#1|) NIL)) (-1860 (((-635 $) (-635 $) (-764)) NIL) (((-635 $) (-635 $)) NIL)) (-3103 (((-121) $ (-764)) NIL) (((-121) $) NIL)) (-1488 (((-635 |#1|) $) NIL)) (-2075 (($) NIL)) (-1288 (((-635 $) $) NIL) (((-635 $) $ (-764)) NIL)) (-2005 (((-635 |#1|) $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1534 ((|#1| $ (-569)) NIL)) (-2492 (((-918) $) NIL)) (-2955 ((|#1| $) NIL)) (-1414 (($ $ (-764)) NIL) (($ $) NIL)) (-2185 (((-851) $) NIL) (((-635 |#1|) $) NIL) (($ (-635 |#1|)) NIL)) (-2396 (($ (-635 |#1|)) NIL)) (-1668 (((-121) $ $) NIL))) 
+(((-33 |#1|) (-37 |#1|) (-366)) (T -33)) 
 NIL 
 (-37 |#1|) 
-((-2449 (((-121) $ $) NIL)) (-2438 (((-857 |#1|) $ (-568) (-857 |#1|)) NIL)) (-2613 (((-634 $) (-634 $) (-763)) NIL) (((-634 $) (-634 $)) NIL)) (-1338 (((-121) $ (-763)) NIL) (((-121) $) NIL)) (-2034 (((-634 (-857 |#1|)) $) NIL)) (-2649 (($) NIL)) (-4450 (((-634 $) $) NIL) (((-634 $) $ (-763)) NIL)) (-3897 (((-634 (-857 |#1|)) $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2781 (((-857 |#1|) $ (-568)) NIL)) (-1836 (((-917) $) NIL)) (-1937 (((-857 |#1|) $) NIL)) (-2387 (($ $ (-763)) NIL) (($ $) NIL)) (-2747 (((-850) $) NIL) (((-634 (-857 |#1|)) $) NIL) (($ (-634 (-857 |#1|))) NIL)) (-4299 (($ (-634 (-857 |#1|))) NIL)) (-1719 (((-121) $ $) NIL))) 
-(((-34 |#1|) (-37 (-857 |#1|)) (-350)) (T -34)) 
+((-2568 (((-121) $ $) NIL)) (-4469 (((-858 |#1|) $ (-569) (-858 |#1|)) NIL)) (-1860 (((-635 $) (-635 $) (-764)) NIL) (((-635 $) (-635 $)) NIL)) (-3103 (((-121) $ (-764)) NIL) (((-121) $) NIL)) (-1488 (((-635 (-858 |#1|)) $) NIL)) (-2075 (($) NIL)) (-1288 (((-635 $) $) NIL) (((-635 $) $ (-764)) NIL)) (-2005 (((-635 (-858 |#1|)) $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1534 (((-858 |#1|) $ (-569)) NIL)) (-2492 (((-918) $) NIL)) (-2955 (((-858 |#1|) $) NIL)) (-1414 (($ $ (-764)) NIL) (($ $) NIL)) (-2185 (((-851) $) NIL) (((-635 (-858 |#1|)) $) NIL) (($ (-635 (-858 |#1|))) NIL)) (-2396 (($ (-635 (-858 |#1|))) NIL)) (-1668 (((-121) $ $) NIL))) 
+(((-34 |#1|) (-37 (-858 |#1|)) (-351)) (T -34)) 
 NIL 
-(-37 (-857 |#1|)) 
-((-2449 (((-121) $ $) NIL)) (-2438 ((|#2| $ (-568) |#2|) NIL)) (-2613 (((-634 $) (-634 $) (-763)) 39) (((-634 $) (-634 $)) 40)) (-1338 (((-121) $ (-763)) 36) (((-121) $) 38)) (-2034 (((-634 |#2|) $) 31)) (-2649 (($) 12)) (-4450 (((-634 $) $) 48) (((-634 $) $ (-763)) 45)) (-3897 (((-634 |#2|) $) 30)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2781 ((|#2| $ (-568)) NIL)) (-1836 (((-917) $) 20)) (-1937 ((|#2| $) 26)) (-2387 (($ $ (-763)) 33) (($ $) 47)) (-2747 (((-850) $) 23) (((-634 |#2|) $) 28) (($ (-634 |#2|)) 51)) (-4299 (($ (-634 |#2|)) 29)) (-1719 (((-121) $ $) 35))) 
-(((-35 |#1| |#2|) (-37 |#2|) (-763) (-365)) (T -35)) 
+(-37 (-858 |#1|)) 
+((-2568 (((-121) $ $) NIL)) (-4469 ((|#2| $ (-569) |#2|) NIL)) (-1860 (((-635 $) (-635 $) (-764)) 39) (((-635 $) (-635 $)) 40)) (-3103 (((-121) $ (-764)) 36) (((-121) $) 38)) (-1488 (((-635 |#2|) $) 31)) (-2075 (($) 12)) (-1288 (((-635 $) $) 48) (((-635 $) $ (-764)) 45)) (-2005 (((-635 |#2|) $) 30)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1534 ((|#2| $ (-569)) NIL)) (-2492 (((-918) $) 20)) (-2955 ((|#2| $) 26)) (-1414 (($ $ (-764)) 33) (($ $) 47)) (-2185 (((-851) $) 23) (((-635 |#2|) $) 28) (($ (-635 |#2|)) 51)) (-2396 (($ (-635 |#2|)) 29)) (-1668 (((-121) $ $) 35))) 
+(((-35 |#1| |#2|) (-37 |#2|) (-764) (-366)) (T -35)) 
 NIL 
 (-37 |#2|) 
-((-2919 ((|#2| (-1157 |#2|) (-1161)) 42)) (-3842 (((-123) (-123)) 54)) (-3170 (((-1157 |#2|) (-607 |#2|)) 129 (|has| |#1| (-1037 (-568))))) (-1496 ((|#2| |#1| (-568)) 108 (|has| |#1| (-1037 (-568))))) (-1838 ((|#2| (-1157 |#2|) |#2|) 30)) (-2509 (((-850) (-634 |#2|)) 84)) (-1492 ((|#2| |#2|) 125 (|has| |#1| (-1037 (-568))))) (-2779 (((-121) (-123)) 18)) (** ((|#2| |#2| (-409 (-568))) 89 (|has| |#1| (-1037 (-568)))))) 
-(((-36 |#1| |#2|) (-10 -7 (-15 -2919 (|#2| (-1157 |#2|) (-1161))) (-15 -3842 ((-123) (-123))) (-15 -2779 ((-121) (-123))) (-15 -1838 (|#2| (-1157 |#2|) |#2|)) (-15 -2509 ((-850) (-634 |#2|))) (IF (|has| |#1| (-1037 (-568))) (PROGN (-15 ** (|#2| |#2| (-409 (-568)))) (-15 -3170 ((-1157 |#2|) (-607 |#2|))) (-15 -1492 (|#2| |#2|)) (-15 -1496 (|#2| |#1| (-568)))) |noBranch|)) (-13 (-842) (-558)) (-432 |#1|)) (T -36)) 
-((-1496 (*1 *2 *3 *4) (-12 (-5 *4 (-568)) (-4 *2 (-432 *3)) (-5 *1 (-36 *3 *2)) (-4 *3 (-1037 *4)) (-4 *3 (-13 (-842) (-558))))) (-1492 (*1 *2 *2) (-12 (-4 *3 (-1037 (-568))) (-4 *3 (-13 (-842) (-558))) (-5 *1 (-36 *3 *2)) (-4 *2 (-432 *3)))) (-3170 (*1 *2 *3) (-12 (-5 *3 (-607 *5)) (-4 *5 (-432 *4)) (-4 *4 (-1037 (-568))) (-4 *4 (-13 (-842) (-558))) (-5 *2 (-1157 *5)) (-5 *1 (-36 *4 *5)))) (** (*1 *2 *2 *3) (-12 (-5 *3 (-409 (-568))) (-4 *4 (-1037 (-568))) (-4 *4 (-13 (-842) (-558))) (-5 *1 (-36 *4 *2)) (-4 *2 (-432 *4)))) (-2509 (*1 *2 *3) (-12 (-5 *3 (-634 *5)) (-4 *5 (-432 *4)) (-4 *4 (-13 (-842) (-558))) (-5 *2 (-850)) (-5 *1 (-36 *4 *5)))) (-1838 (*1 *2 *3 *2) (-12 (-5 *3 (-1157 *2)) (-4 *2 (-432 *4)) (-4 *4 (-13 (-842) (-558))) (-5 *1 (-36 *4 *2)))) (-2779 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-842) (-558))) (-5 *2 (-121)) (-5 *1 (-36 *4 *5)) (-4 *5 (-432 *4)))) (-3842 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-842) (-558))) (-5 *1 (-36 *3 *4)) (-4 *4 (-432 *3)))) (-2919 (*1 *2 *3 *4) (-12 (-5 *3 (-1157 *2)) (-5 *4 (-1161)) (-4 *2 (-432 *5)) (-5 *1 (-36 *5 *2)) (-4 *5 (-13 (-842) (-558)))))) 
-(-10 -7 (-15 -2919 (|#2| (-1157 |#2|) (-1161))) (-15 -3842 ((-123) (-123))) (-15 -2779 ((-121) (-123))) (-15 -1838 (|#2| (-1157 |#2|) |#2|)) (-15 -2509 ((-850) (-634 |#2|))) (IF (|has| |#1| (-1037 (-568))) (PROGN (-15 ** (|#2| |#2| (-409 (-568)))) (-15 -3170 ((-1157 |#2|) (-607 |#2|))) (-15 -1492 (|#2| |#2|)) (-15 -1496 (|#2| |#1| (-568)))) |noBranch|)) 
-((-2449 (((-121) $ $) 7)) (-2438 ((|#1| $ (-568) |#1|) 14)) (-2613 (((-634 $) (-634 $) (-763)) 20) (((-634 $) (-634 $)) 19)) (-1338 (((-121) $ (-763)) 18) (((-121) $) 17)) (-2034 (((-634 |#1|) $) 13)) (-2649 (($) 29)) (-4450 (((-634 $) $) 24) (((-634 $) $ (-763)) 23)) (-3897 (((-634 |#1|) $) 16)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2781 ((|#1| $ (-568)) 15)) (-1836 (((-917) $) 12)) (-1937 ((|#1| $) 27)) (-2387 (($ $ (-763)) 22) (($ $) 21)) (-2747 (((-850) $) 11) (((-634 |#1|) $) 26) (($ (-634 |#1|)) 25)) (-4299 (($ (-634 |#1|)) 28)) (-1719 (((-121) $ $) 6))) 
-(((-37 |#1|) (-1275) (-365)) (T -37)) 
-((-2649 (*1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-365)))) (-4299 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-365)) (-4 *1 (-37 *3)))) (-1937 (*1 *2 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-365)))) (-2747 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-365)) (-5 *2 (-634 *3)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-365)) (-4 *1 (-37 *3)))) (-4450 (*1 *2 *1) (-12 (-4 *3 (-365)) (-5 *2 (-634 *1)) (-4 *1 (-37 *3)))) (-4450 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-4 *4 (-365)) (-5 *2 (-634 *1)) (-4 *1 (-37 *4)))) (-2387 (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-37 *3)) (-4 *3 (-365)))) (-2387 (*1 *1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-365)))) (-2613 (*1 *2 *2 *3) (-12 (-5 *2 (-634 *1)) (-5 *3 (-763)) (-4 *1 (-37 *4)) (-4 *4 (-365)))) (-2613 (*1 *2 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-37 *3)) (-4 *3 (-365)))) (-1338 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-4 *1 (-37 *4)) (-4 *4 (-365)) (-5 *2 (-121)))) (-1338 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-365)) (-5 *2 (-121)))) (-3897 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-365)) (-5 *2 (-634 *3)))) (-2781 (*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-37 *2)) (-4 *2 (-365)))) (-2438 (*1 *2 *1 *3 *2) (-12 (-5 *3 (-568)) (-4 *1 (-37 *2)) (-4 *2 (-365)))) (-2034 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-365)) (-5 *2 (-634 *3))))) 
-(-13 (-1088) (-10 -8 (-15 -2649 ($)) (-15 -4299 ($ (-634 |t#1|))) (-15 -1937 (|t#1| $)) (-15 -2747 ((-634 |t#1|) $)) (-15 -2747 ($ (-634 |t#1|))) (-15 -4450 ((-634 $) $)) (-15 -4450 ((-634 $) $ (-763))) (-15 -2387 ($ $ (-763))) (-15 -2387 ($ $)) (-15 -2613 ((-634 $) (-634 $) (-763))) (-15 -2613 ((-634 $) (-634 $))) (-15 -1338 ((-121) $ (-763))) (-15 -1338 ((-121) $)) (-15 -3897 ((-634 |t#1|) $)) (-15 -2781 (|t#1| $ (-568))) (-15 -2438 (|t#1| $ (-568) |t#1|)) (-15 -2034 ((-634 |t#1|) $)))) 
-(((-105) . T) ((-608 (-850)) . T) ((-1090) . T) ((-1088) . T)) 
-((-1667 (((-121) $ (-763)) 16)) (-4490 (($) 10)) (-3791 (((-121) $ (-763)) 15)) (-3796 (((-121) $ (-763)) 14)) (-1702 (((-121) $ $) 8)) (-2436 (((-121) $) 13))) 
-(((-38 |#1|) (-10 -8 (-15 -4490 (|#1|)) (-15 -1667 ((-121) |#1| (-763))) (-15 -3791 ((-121) |#1| (-763))) (-15 -3796 ((-121) |#1| (-763))) (-15 -2436 ((-121) |#1|)) (-15 -1702 ((-121) |#1| |#1|))) (-39)) (T -38)) 
-NIL 
-(-10 -8 (-15 -4490 (|#1|)) (-15 -1667 ((-121) |#1| (-763))) (-15 -3791 ((-121) |#1| (-763))) (-15 -3796 ((-121) |#1| (-763))) (-15 -2436 ((-121) |#1|)) (-15 -1702 ((-121) |#1| |#1|))) 
-((-1667 (((-121) $ (-763)) 8)) (-4490 (($) 7 T CONST)) (-3791 (((-121) $ (-763)) 9)) (-3796 (((-121) $ (-763)) 10)) (-1702 (((-121) $ $) 14)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-3865 (($ $) 13)) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-39) (-1275)) (T -39)) 
-((-1702 (*1 *2 *1 *1) (-12 (-4 *1 (-39)) (-5 *2 (-121)))) (-3865 (*1 *1 *1) (-4 *1 (-39))) (-1990 (*1 *1) (-4 *1 (-39))) (-2436 (*1 *2 *1) (-12 (-4 *1 (-39)) (-5 *2 (-121)))) (-3796 (*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-763)) (-5 *2 (-121)))) (-3791 (*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-763)) (-5 *2 (-121)))) (-1667 (*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-763)) (-5 *2 (-121)))) (-4490 (*1 *1) (-4 *1 (-39))) (-1699 (*1 *2 *1) (-12 (|has| *1 (-6 -4521)) (-4 *1 (-39)) (-5 *2 (-763))))) 
-(-13 (-1195) (-10 -8 (-15 -1702 ((-121) $ $)) (-15 -3865 ($ $)) (-15 -1990 ($)) (-15 -2436 ((-121) $)) (-15 -3796 ((-121) $ (-763))) (-15 -3791 ((-121) $ (-763))) (-15 -1667 ((-121) $ (-763))) (-15 -4490 ($) -3497) (IF (|has| $ (-6 -4521)) (-15 -1699 ((-763) $)) |noBranch|))) 
-(((-1195) . T)) 
-((-2008 (($ $) 11)) (-2000 (($ $) 10)) (-2016 (($ $) 9)) (-1439 (($ $) 8)) (-2012 (($ $) 7)) (-2004 (($ $) 6))) 
-(((-40) (-1275)) (T -40)) 
-((-2008 (*1 *1 *1) (-4 *1 (-40))) (-2000 (*1 *1 *1) (-4 *1 (-40))) (-2016 (*1 *1 *1) (-4 *1 (-40))) (-1439 (*1 *1 *1) (-4 *1 (-40))) (-2012 (*1 *1 *1) (-4 *1 (-40))) (-2004 (*1 *1 *1) (-4 *1 (-40)))) 
-(-13 (-10 -8 (-15 -2004 ($ $)) (-15 -2012 ($ $)) (-15 -1439 ($ $)) (-15 -2016 ($ $)) (-15 -2000 ($ $)) (-15 -2008 ($ $)))) 
-((-2449 (((-121) $ $) 18 (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))))) (-2852 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 117)) (-2237 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 140)) (-3623 (($ $) 138)) (-2988 (($) 66) (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) 65)) (-2481 (((-1249) $ |#1| |#1|) 93 (|has| $ (-6 -4522))) (((-1249) $ (-568) (-568)) 170 (|has| $ (-6 -4522)))) (-2121 (($ $ (-568)) 151 (|has| $ (-6 -4522)))) (-1324 (((-121) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 201) (((-121) $) 195 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-842)))) (-2109 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 192 (|has| $ (-6 -4522))) (($ $) 191 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-842)) (|has| $ (-6 -4522))))) (-3647 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 202) (($ $) 196 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-842)))) (-1667 (((-121) $ (-763)) 8)) (-3370 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 126 (|has| $ (-6 -4522)))) (-1958 (($ $ $) 147 (|has| $ (-6 -4522)))) (-2257 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 149 (|has| $ (-6 -4522)))) (-1706 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 145 (|has| $ (-6 -4522)))) (-2438 ((|#2| $ |#1| |#2|) 67) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ (-568) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 181 (|has| $ (-6 -4522))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ (-1210 (-568)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 152 (|has| $ (-6 -4522))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ "last" (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 150 (|has| $ (-6 -4522))) (($ $ "rest" $) 148 (|has| $ (-6 -4522))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ "first" (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 146 (|has| $ (-6 -4522))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ "value" (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 125 (|has| $ (-6 -4522)))) (-1809 (($ $ (-634 $)) 124 (|has| $ (-6 -4522)))) (-3963 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 42 (|has| $ (-6 -4521))) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 208)) (-2803 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 52 (|has| $ (-6 -4521))) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 167 (|has| $ (-6 -4521)))) (-1681 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 139)) (-2678 (((-3 |#2| "failed") |#1| $) 57)) (-4490 (($) 7 T CONST)) (-4452 (($ $) 193 (|has| $ (-6 -4522)))) (-3945 (($ $) 203)) (-3936 (($ $ (-763)) 134) (($ $) 132)) (-1377 (($ $) 206 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (-3926 (($ $) 55 (-2199 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| $ (-6 -4521))) (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| $ (-6 -4521)))))) (-1568 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 44 (|has| $ (-6 -4521))) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 43 (|has| $ (-6 -4521))) (((-3 |#2| "failed") |#1| $) 58) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 212) (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 207 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (-4330 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 54 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| $ (-6 -4521)))) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 51 (|has| $ (-6 -4521))) (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 169 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| $ (-6 -4521)))) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 166 (|has| $ (-6 -4521)))) (-3094 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 53 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| $ (-6 -4521)))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 50 (|has| $ (-6 -4521))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 49 (|has| $ (-6 -4521))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 168 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| $ (-6 -4521)))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 165 (|has| $ (-6 -4521))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 164 (|has| $ (-6 -4521)))) (-1292 ((|#2| $ |#1| |#2|) 81 (|has| $ (-6 -4522))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ (-568) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 182 (|has| $ (-6 -4522)))) (-2069 ((|#2| $ |#1|) 82) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ (-568)) 180)) (-1340 (((-121) $) 184)) (-2766 (((-568) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 200) (((-568) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))) (((-568) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ (-568)) 198 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (-3317 (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 30 (|has| $ (-6 -4521))) (((-634 |#2|) $) 73 (|has| $ (-6 -4521))) (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 106 (|has| $ (-6 -4521)))) (-3534 (((-634 $) $) 115)) (-3606 (((-121) $ $) 123 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (-1851 (($ (-763) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 161)) (-3791 (((-121) $ (-763)) 9)) (-2539 ((|#1| $) 90 (|has| |#1| (-842))) (((-568) $) 172 (|has| (-568) (-842)))) (-1732 (($ $ $) 190 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-842)))) (-4496 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ $) 209) (($ $ $) 205 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-842)))) (-3645 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ $) 204) (($ $ $) 197 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-842)))) (-4406 (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 29 (|has| $ (-6 -4521))) (((-634 |#2|) $) 74 (|has| $ (-6 -4521))) (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 107 (|has| $ (-6 -4521)))) (-2551 (((-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 27 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| $ (-6 -4521)))) (((-121) |#2| $) 76 (-12 (|has| |#2| (-1090)) (|has| $ (-6 -4521)))) (((-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 109 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| $ (-6 -4521))))) (-3631 ((|#1| $) 89 (|has| |#1| (-842))) (((-568) $) 173 (|has| (-568) (-842)))) (-2047 (($ $ $) 189 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-842)))) (-2253 (($ (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 34 (|has| $ (-6 -4522))) (($ (-1 |#2| |#2|) $) 69 (|has| $ (-6 -4522))) (($ (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 102 (|has| $ (-6 -4522)))) (-2797 (($ (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 35) (($ (-1 |#2| |#2|) $) 68) (($ (-1 |#2| |#2| |#2|) $ $) 64) (($ (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ $) 158) (($ (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 101)) (-3897 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 217)) (-3796 (((-121) $ (-763)) 10)) (-4081 (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 120)) (-3319 (((-121) $) 116)) (-1893 (((-1143) $) 22 (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))))) (-4164 (($ $ (-763)) 137) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 135)) (-4253 (((-634 |#1|) $) 59)) (-2807 (((-121) |#1| $) 60)) (-2580 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 36)) (-1708 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 37) (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ (-568)) 211) (($ $ $ (-568)) 210)) (-4124 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ (-568)) 154) (($ $ $ (-568)) 153)) (-3948 (((-634 |#1|) $) 87) (((-634 (-568)) $) 175)) (-2916 (((-121) |#1| $) 86) (((-121) (-568) $) 176)) (-4025 (((-1108) $) 21 (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))))) (-3877 ((|#2| $) 91 (|has| |#1| (-842))) (($ $ (-763)) 131) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 129)) (-2712 (((-3 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) "failed") (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 48) (((-3 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) "failed") (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 163)) (-2490 (($ $ |#2|) 92 (|has| $ (-6 -4522))) (($ $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 171 (|has| $ (-6 -4522)))) (-3403 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 38)) (-4049 (((-121) $) 183)) (-3951 (((-121) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 32 (|has| $ (-6 -4521))) (((-121) (-1 (-121) |#2|) $) 71 (|has| $ (-6 -4521))) (((-121) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 104 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))))) 26 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-288 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) 25 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 24 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) 23 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-634 |#2|) (-634 |#2|)) 80 (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ |#2| |#2|) 79 (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-288 |#2|)) 78 (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-634 (-288 |#2|))) 77 (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) 113 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 112 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-288 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) 111 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-634 (-288 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))))) 110 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))))) (-1702 (((-121) $ $) 14)) (-1801 (((-121) |#2| $) 88 (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090)))) (((-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 174 (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))))) (-1480 (((-634 |#2|) $) 85) (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 177)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-2781 ((|#2| $ |#1|) 84) ((|#2| $ |#1| |#2|) 83) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ (-568) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 179) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ (-568)) 178) (($ $ (-1210 (-568))) 157) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ "last") 136) (($ $ "rest") 133) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ "first") 130) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ "value") 118)) (-1665 (((-568) $ $) 121)) (-3132 (($) 46) (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) 45)) (-4031 (($ $ (-568)) 214) (($ $ (-1210 (-568))) 213)) (-2828 (($ $ (-568)) 156) (($ $ (-1210 (-568))) 155)) (-2763 (((-121) $) 119)) (-3903 (($ $) 143)) (-1499 (($ $) 144 (|has| $ (-6 -4522)))) (-3535 (((-763) $) 142)) (-4424 (($ $) 141)) (-4170 (((-763) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 31 (|has| $ (-6 -4521))) (((-763) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 28 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| $ (-6 -4521)))) (((-763) |#2| $) 75 (-12 (|has| |#2| (-1090)) (|has| $ (-6 -4521)))) (((-763) (-1 (-121) |#2|) $) 72 (|has| $ (-6 -4521))) (((-763) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 108 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| $ (-6 -4521)))) (((-763) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 105 (|has| $ (-6 -4521)))) (-3306 (($ $ $ (-568)) 194 (|has| $ (-6 -4522)))) (-3865 (($ $) 13)) (-4280 (((-541) $) 56 (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-609 (-541))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-609 (-541)))))) (-4289 (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) 47) (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) 162)) (-1876 (($ $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 216) (($ $ $) 215)) (-2770 (($ $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 160) (($ (-634 $)) 159) (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 128) (($ $ $) 127)) (-2747 (((-850) $) 20 (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))))) (-3180 (((-634 $) $) 114)) (-3873 (((-121) $ $) 122 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (-4074 (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) 39)) (-2804 (((-3 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) "failed") |#1| $) 100)) (-3437 (((-121) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 33 (|has| $ (-6 -4521))) (((-121) (-1 (-121) |#2|) $) 70 (|has| $ (-6 -4521))) (((-121) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 103 (|has| $ (-6 -4521)))) (-1753 (((-121) $ $) 187 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-842)))) (-1740 (((-121) $ $) 186 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-842)))) (-1719 (((-121) $ $) 19 (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))))) (-1747 (((-121) $ $) 188 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-842)))) (-1734 (((-121) $ $) 185 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-842)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-41 |#1| |#2|) (-1275) (-1090) (-1090)) (T -41)) 
-((-2804 (*1 *2 *3 *1) (|partial| -12 (-4 *1 (-41 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-5 *2 (-2 (|:| -3651 *3) (|:| -4085 *4)))))) 
-(-13 (-1172 |t#1| |t#2|) (-658 (-2 (|:| -3651 |t#1|) (|:| -4085 |t#2|))) (-10 -8 (-15 -2804 ((-3 (-2 (|:| -3651 |t#1|) (|:| -4085 |t#2|)) "failed") |t#1| $)))) 
-(((-39) . T) ((-111 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((-105) -2199 (|has| |#2| (-1090)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-842))) ((-608 (-850)) -2199 (|has| |#2| (-1090)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-842))) ((-154 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((-609 (-541)) |has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-609 (-541))) ((-221 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((-227 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((-281 (-568) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((-281 |#1| |#2|) . T) ((-283 (-568) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((-283 |#1| |#2|) . T) ((-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) -12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))) ((-303 |#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))) ((-277 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((-375 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((-499 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((-499 |#2|) . T) ((-601 (-568) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((-601 |#1| |#2|) . T) ((-523 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) -12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))) ((-523 |#2| |#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))) ((-605 |#1| |#2|) . T) ((-640 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((-658 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((-842) |has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-842)) ((-1010 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((-1090) -2199 (|has| |#2| (-1090)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-842))) ((-1134 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((-1172 |#1| |#2|) . T) ((-1195) . T) ((-1231 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T)) 
-((-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ |#2|) 10))) 
-(((-42 |#1| |#2|) (-10 -8 (-15 -2747 (|#1| |#2|)) (-15 -2747 (|#1| (-568))) (-15 -2747 ((-850) |#1|))) (-43 |#2|) (-172)) (T -42)) 
-NIL 
-(-10 -8 (-15 -2747 (|#1| |#2|)) (-15 -2747 (|#1| (-568))) (-15 -2747 ((-850) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-2902 (((-3 $ "failed") $) 33)) (-1598 (((-121) $) 30)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ |#1|) 36)) (-3425 (((-763)) 28)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
-(((-43 |#1|) (-1275) (-172)) (T -43)) 
-((-2747 (*1 *1 *2) (-12 (-4 *1 (-43 *2)) (-4 *2 (-172))))) 
-(-13 (-1047) (-707 |t#1|) (-10 -8 (-15 -2747 ($ |t#1|)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-137) . T) ((-608 (-850)) . T) ((-637 |#1|) . T) ((-637 $) . T) ((-707 |#1|) . T) ((-716) . T) ((-1053 |#1|) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-4446 (((-420 |#1|) |#1|) 38)) (-3850 (((-420 |#1|) |#1|) 27) (((-420 |#1|) |#1| (-634 (-53))) 30)) (-4015 (((-121) |#1|) 54))) 
-(((-44 |#1|) (-10 -7 (-15 -3850 ((-420 |#1|) |#1| (-634 (-53)))) (-15 -3850 ((-420 |#1|) |#1|)) (-15 -4446 ((-420 |#1|) |#1|)) (-15 -4015 ((-121) |#1|))) (-1219 (-53))) (T -44)) 
-((-4015 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-44 *3)) (-4 *3 (-1219 (-53))))) (-4446 (*1 *2 *3) (-12 (-5 *2 (-420 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1219 (-53))))) (-3850 (*1 *2 *3) (-12 (-5 *2 (-420 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1219 (-53))))) (-3850 (*1 *2 *3 *4) (-12 (-5 *4 (-634 (-53))) (-5 *2 (-420 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1219 (-53)))))) 
-(-10 -7 (-15 -3850 ((-420 |#1|) |#1| (-634 (-53)))) (-15 -3850 ((-420 |#1|) |#1|)) (-15 -4446 ((-420 |#1|) |#1|)) (-15 -4015 ((-121) |#1|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-4354 (((-2 (|:| |num| (-1244 |#2|)) (|:| |den| |#2|)) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| (-409 |#2|) (-365)))) (-3661 (($ $) NIL (|has| (-409 |#2|) (-365)))) (-4426 (((-121) $) NIL (|has| (-409 |#2|) (-365)))) (-2883 (((-679 (-409 |#2|)) (-1244 $)) NIL) (((-679 (-409 |#2|))) NIL)) (-1934 (((-409 |#2|) $) NIL)) (-1856 (((-1169 (-917) (-763)) (-568)) NIL (|has| (-409 |#2|) (-350)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL (|has| (-409 |#2|) (-365)))) (-3498 (((-420 $) $) NIL (|has| (-409 |#2|) (-365)))) (-2589 (((-121) $ $) NIL (|has| (-409 |#2|) (-365)))) (-3986 (((-763)) NIL (|has| (-409 |#2|) (-370)))) (-2191 (((-121)) NIL)) (-4347 (((-121) |#1|) NIL) (((-121) |#2|) NIL)) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-568) "failed") $) NIL (|has| (-409 |#2|) (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) NIL (|has| (-409 |#2|) (-1037 (-409 (-568))))) (((-3 (-409 |#2|) "failed") $) NIL)) (-2857 (((-568) $) NIL (|has| (-409 |#2|) (-1037 (-568)))) (((-409 (-568)) $) NIL (|has| (-409 |#2|) (-1037 (-409 (-568))))) (((-409 |#2|) $) NIL)) (-3899 (($ (-1244 (-409 |#2|)) (-1244 $)) NIL) (($ (-1244 (-409 |#2|))) 57) (($ (-1244 |#2|) |#2|) 124)) (-1368 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-409 |#2|) (-350)))) (-2403 (($ $ $) NIL (|has| (-409 |#2|) (-365)))) (-3653 (((-679 (-409 |#2|)) $ (-1244 $)) NIL) (((-679 (-409 |#2|)) $) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| (-409 |#2|) (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| (-409 |#2|) (-630 (-568)))) (((-2 (|:| -2908 (-679 (-409 |#2|))) (|:| |vec| (-1244 (-409 |#2|)))) (-679 $) (-1244 $)) NIL) (((-679 (-409 |#2|)) (-679 $)) NIL)) (-2331 (((-1244 $) (-1244 $)) NIL)) (-3094 (($ |#3|) NIL) (((-3 $ "failed") (-409 |#3|)) NIL (|has| (-409 |#2|) (-365)))) (-2902 (((-3 $ "failed") $) NIL)) (-2603 (((-634 (-634 |#1|))) NIL (|has| |#1| (-370)))) (-2679 (((-121) |#1| |#1|) NIL)) (-2371 (((-917)) NIL)) (-1733 (($) NIL (|has| (-409 |#2|) (-370)))) (-1700 (((-121)) NIL)) (-1862 (((-121) |#1|) NIL) (((-121) |#2|) NIL)) (-2414 (($ $ $) NIL (|has| (-409 |#2|) (-365)))) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL (|has| (-409 |#2|) (-365)))) (-1998 (($ $) NIL)) (-4188 (($) NIL (|has| (-409 |#2|) (-350)))) (-1748 (((-121) $) NIL (|has| (-409 |#2|) (-350)))) (-1887 (($ $ (-763)) NIL (|has| (-409 |#2|) (-350))) (($ $) NIL (|has| (-409 |#2|) (-350)))) (-2197 (((-121) $) NIL (|has| (-409 |#2|) (-365)))) (-1844 (((-917) $) NIL (|has| (-409 |#2|) (-350))) (((-828 (-917)) $) NIL (|has| (-409 |#2|) (-350)))) (-1598 (((-121) $) NIL)) (-2066 (((-763)) NIL)) (-3233 (((-1244 $) (-1244 $)) 100)) (-4417 (((-409 |#2|) $) NIL)) (-3247 (((-634 (-953 |#1|)) (-1161)) NIL (|has| |#1| (-365)))) (-2214 (((-3 $ "failed") $) NIL (|has| (-409 |#2|) (-350)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| (-409 |#2|) (-365)))) (-1497 ((|#3| $) NIL (|has| (-409 |#2|) (-365)))) (-2291 (((-917) $) NIL (|has| (-409 |#2|) (-370)))) (-3087 ((|#3| $) NIL)) (-2498 (($ (-634 $)) NIL (|has| (-409 |#2|) (-365))) (($ $ $) NIL (|has| (-409 |#2|) (-365)))) (-1893 (((-1143) $) NIL)) (-1366 (((-1249) (-763)) 78)) (-3281 (((-679 (-409 |#2|))) 51)) (-1822 (((-679 (-409 |#2|))) 44)) (-2083 (($ $) NIL (|has| (-409 |#2|) (-365)))) (-3368 (($ (-1244 |#2|) |#2|) 125)) (-2208 (((-679 (-409 |#2|))) 45)) (-1515 (((-679 (-409 |#2|))) 43)) (-4339 (((-2 (|:| |num| (-679 |#2|)) (|:| |den| |#2|)) (-1 |#2| |#2|)) 122)) (-3363 (((-2 (|:| |num| (-1244 |#2|)) (|:| |den| |#2|)) $) 63)) (-2239 (((-1244 $)) 42)) (-3330 (((-1244 $)) 41)) (-1979 (((-121) $) NIL)) (-2548 (((-121) $) NIL) (((-121) $ |#1|) NIL) (((-121) $ |#2|) NIL)) (-4436 (($) NIL (|has| (-409 |#2|) (-350)) CONST)) (-4357 (($ (-917)) NIL (|has| (-409 |#2|) (-370)))) (-4201 (((-3 |#2| "failed")) NIL)) (-4025 (((-1108) $) NIL)) (-3383 (((-763)) NIL)) (-2707 (($) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| (-409 |#2|) (-365)))) (-2723 (($ (-634 $)) NIL (|has| (-409 |#2|) (-365))) (($ $ $) NIL (|has| (-409 |#2|) (-365)))) (-2172 (((-634 (-2 (|:| -3850 (-568)) (|:| -3483 (-568))))) NIL (|has| (-409 |#2|) (-350)))) (-3850 (((-420 $) $) NIL (|has| (-409 |#2|) (-365)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| (-409 |#2|) (-365))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| (-409 |#2|) (-365)))) (-2597 (((-3 $ "failed") $ $) NIL (|has| (-409 |#2|) (-365)))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| (-409 |#2|) (-365)))) (-1466 (((-763) $) NIL (|has| (-409 |#2|) (-365)))) (-2781 ((|#1| $ |#1| |#1|) NIL)) (-3146 (((-3 |#2| "failed")) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| (-409 |#2|) (-365)))) (-3440 (((-409 |#2|) (-1244 $)) NIL) (((-409 |#2|)) 39)) (-2721 (((-763) $) NIL (|has| (-409 |#2|) (-350))) (((-3 (-763) "failed") $ $) NIL (|has| (-409 |#2|) (-350)))) (-4191 (($ $ (-1 (-409 |#2|) (-409 |#2|)) (-763)) NIL (|has| (-409 |#2|) (-365))) (($ $ (-1 (-409 |#2|) (-409 |#2|))) NIL (|has| (-409 |#2|) (-365))) (($ $ (-1 |#2| |#2|)) 118) (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-895 (-1161))))) (($ $ (-1161)) NIL (-12 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-895 (-1161))))) (($ $ (-763)) NIL (-2199 (-12 (|has| (-409 |#2|) (-225)) (|has| (-409 |#2|) (-365))) (|has| (-409 |#2|) (-350)))) (($ $) NIL (-2199 (-12 (|has| (-409 |#2|) (-225)) (|has| (-409 |#2|) (-365))) (|has| (-409 |#2|) (-350))))) (-1391 (((-679 (-409 |#2|)) (-1244 $) (-1 (-409 |#2|) (-409 |#2|))) NIL (|has| (-409 |#2|) (-365)))) (-1492 ((|#3|) 50)) (-2330 (($) NIL (|has| (-409 |#2|) (-350)))) (-1656 (((-1244 (-409 |#2|)) $ (-1244 $)) NIL) (((-679 (-409 |#2|)) (-1244 $) (-1244 $)) NIL) (((-1244 (-409 |#2|)) $) 58) (((-679 (-409 |#2|)) (-1244 $)) 101)) (-4280 (((-1244 (-409 |#2|)) $) NIL) (($ (-1244 (-409 |#2|))) NIL) ((|#3| $) NIL) (($ |#3|) NIL)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (|has| (-409 |#2|) (-350)))) (-3224 (((-1244 $) (-1244 $)) NIL)) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ (-409 |#2|)) NIL) (($ (-409 (-568))) NIL (-2199 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-1037 (-409 (-568)))))) (($ $) NIL (|has| (-409 |#2|) (-365)))) (-3385 (($ $) NIL (|has| (-409 |#2|) (-350))) (((-3 $ "failed") $) NIL (|has| (-409 |#2|) (-148)))) (-1295 ((|#3| $) NIL)) (-3425 (((-763)) NIL)) (-4077 (((-121)) 37)) (-1487 (((-121) |#1|) 49) (((-121) |#2|) 130)) (-2588 (((-1244 $)) 91)) (-2273 (((-121) $ $) NIL (|has| (-409 |#2|) (-365)))) (-1900 (((-2 (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (-1 |#2| |#2|)) NIL)) (-3341 (((-121)) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| (-409 |#2|) (-365)))) (-3058 (($) 16 T CONST)) (-1557 (($) 26 T CONST)) (-3192 (($ $ (-1 (-409 |#2|) (-409 |#2|)) (-763)) NIL (|has| (-409 |#2|) (-365))) (($ $ (-1 (-409 |#2|) (-409 |#2|))) NIL (|has| (-409 |#2|) (-365))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-895 (-1161))))) (($ $ (-1161)) NIL (-12 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-895 (-1161))))) (($ $ (-763)) NIL (-2199 (-12 (|has| (-409 |#2|) (-225)) (|has| (-409 |#2|) (-365))) (|has| (-409 |#2|) (-350)))) (($ $) NIL (-2199 (-12 (|has| (-409 |#2|) (-225)) (|has| (-409 |#2|) (-365))) (|has| (-409 |#2|) (-350))))) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ $) NIL (|has| (-409 |#2|) (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| (-409 |#2|) (-365)))) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 |#2|)) NIL) (($ (-409 |#2|) $) NIL) (($ (-409 (-568)) $) NIL (|has| (-409 |#2|) (-365))) (($ $ (-409 (-568))) NIL (|has| (-409 |#2|) (-365))))) 
-(((-45 |#1| |#2| |#3| |#4|) (-13 (-340 |#1| |#2| |#3|) (-10 -7 (-15 -1366 ((-1249) (-763))))) (-365) (-1219 |#1|) (-1219 (-409 |#2|)) |#3|) (T -45)) 
-((-1366 (*1 *2 *3) (-12 (-5 *3 (-763)) (-4 *4 (-365)) (-4 *5 (-1219 *4)) (-5 *2 (-1249)) (-5 *1 (-45 *4 *5 *6 *7)) (-4 *6 (-1219 (-409 *5))) (-14 *7 *6)))) 
-(-13 (-340 |#1| |#2| |#3|) (-10 -7 (-15 -1366 ((-1249) (-763))))) 
-((-3085 ((|#2| |#2|) 47)) (-4480 ((|#2| |#2|) 116 (-12 (|has| |#2| (-432 |#1|)) (|has| |#1| (-453)) (|has| |#1| (-842)) (|has| |#1| (-1037 (-568)))))) (-2086 ((|#2| |#2|) 85 (-12 (|has| |#2| (-432 |#1|)) (|has| |#1| (-453)) (|has| |#1| (-842)) (|has| |#1| (-1037 (-568)))))) (-4485 ((|#2| |#2|) 86 (-12 (|has| |#2| (-432 |#1|)) (|has| |#1| (-453)) (|has| |#1| (-842)) (|has| |#1| (-1037 (-568)))))) (-2282 ((|#2| (-123) |#2| (-763)) 73 (-12 (|has| |#2| (-432 |#1|)) (|has| |#1| (-453)) (|has| |#1| (-842)) (|has| |#1| (-1037 (-568)))))) (-2234 (((-1157 |#2|) |#2|) 44)) (-1396 ((|#2| |#2| (-634 (-607 |#2|))) 17) ((|#2| |#2| (-634 |#2|)) 19) ((|#2| |#2| |#2|) 20) ((|#2| |#2|) 15))) 
-(((-46 |#1| |#2|) (-10 -7 (-15 -3085 (|#2| |#2|)) (-15 -1396 (|#2| |#2|)) (-15 -1396 (|#2| |#2| |#2|)) (-15 -1396 (|#2| |#2| (-634 |#2|))) (-15 -1396 (|#2| |#2| (-634 (-607 |#2|)))) (-15 -2234 ((-1157 |#2|) |#2|)) (IF (|has| |#1| (-842)) (IF (|has| |#1| (-453)) (IF (|has| |#1| (-1037 (-568))) (IF (|has| |#2| (-432 |#1|)) (PROGN (-15 -4485 (|#2| |#2|)) (-15 -2086 (|#2| |#2|)) (-15 -4480 (|#2| |#2|)) (-15 -2282 (|#2| (-123) |#2| (-763)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) (-558) (-13 (-365) (-296) (-10 -8 (-15 -2319 ((-1113 |#1| (-607 $)) $)) (-15 -2326 ((-1113 |#1| (-607 $)) $)) (-15 -2747 ($ (-1113 |#1| (-607 $))))))) (T -46)) 
-((-2282 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-123)) (-5 *4 (-763)) (-4 *5 (-453)) (-4 *5 (-842)) (-4 *5 (-1037 (-568))) (-4 *5 (-558)) (-5 *1 (-46 *5 *2)) (-4 *2 (-432 *5)) (-4 *2 (-13 (-365) (-296) (-10 -8 (-15 -2319 ((-1113 *5 (-607 $)) $)) (-15 -2326 ((-1113 *5 (-607 $)) $)) (-15 -2747 ($ (-1113 *5 (-607 $))))))))) (-4480 (*1 *2 *2) (-12 (-4 *3 (-453)) (-4 *3 (-842)) (-4 *3 (-1037 (-568))) (-4 *3 (-558)) (-5 *1 (-46 *3 *2)) (-4 *2 (-432 *3)) (-4 *2 (-13 (-365) (-296) (-10 -8 (-15 -2319 ((-1113 *3 (-607 $)) $)) (-15 -2326 ((-1113 *3 (-607 $)) $)) (-15 -2747 ($ (-1113 *3 (-607 $))))))))) (-2086 (*1 *2 *2) (-12 (-4 *3 (-453)) (-4 *3 (-842)) (-4 *3 (-1037 (-568))) (-4 *3 (-558)) (-5 *1 (-46 *3 *2)) (-4 *2 (-432 *3)) (-4 *2 (-13 (-365) (-296) (-10 -8 (-15 -2319 ((-1113 *3 (-607 $)) $)) (-15 -2326 ((-1113 *3 (-607 $)) $)) (-15 -2747 ($ (-1113 *3 (-607 $))))))))) (-4485 (*1 *2 *2) (-12 (-4 *3 (-453)) (-4 *3 (-842)) (-4 *3 (-1037 (-568))) (-4 *3 (-558)) (-5 *1 (-46 *3 *2)) (-4 *2 (-432 *3)) (-4 *2 (-13 (-365) (-296) (-10 -8 (-15 -2319 ((-1113 *3 (-607 $)) $)) (-15 -2326 ((-1113 *3 (-607 $)) $)) (-15 -2747 ($ (-1113 *3 (-607 $))))))))) (-2234 (*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-1157 *3)) (-5 *1 (-46 *4 *3)) (-4 *3 (-13 (-365) (-296) (-10 -8 (-15 -2319 ((-1113 *4 (-607 $)) $)) (-15 -2326 ((-1113 *4 (-607 $)) $)) (-15 -2747 ($ (-1113 *4 (-607 $))))))))) (-1396 (*1 *2 *2 *3) (-12 (-5 *3 (-634 (-607 *2))) (-4 *2 (-13 (-365) (-296) (-10 -8 (-15 -2319 ((-1113 *4 (-607 $)) $)) (-15 -2326 ((-1113 *4 (-607 $)) $)) (-15 -2747 ($ (-1113 *4 (-607 $))))))) (-4 *4 (-558)) (-5 *1 (-46 *4 *2)))) (-1396 (*1 *2 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-13 (-365) (-296) (-10 -8 (-15 -2319 ((-1113 *4 (-607 $)) $)) (-15 -2326 ((-1113 *4 (-607 $)) $)) (-15 -2747 ($ (-1113 *4 (-607 $))))))) (-4 *4 (-558)) (-5 *1 (-46 *4 *2)))) (-1396 (*1 *2 *2 *2) (-12 (-4 *3 (-558)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-365) (-296) (-10 -8 (-15 -2319 ((-1113 *3 (-607 $)) $)) (-15 -2326 ((-1113 *3 (-607 $)) $)) (-15 -2747 ($ (-1113 *3 (-607 $))))))))) (-1396 (*1 *2 *2) (-12 (-4 *3 (-558)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-365) (-296) (-10 -8 (-15 -2319 ((-1113 *3 (-607 $)) $)) (-15 -2326 ((-1113 *3 (-607 $)) $)) (-15 -2747 ($ (-1113 *3 (-607 $))))))))) (-3085 (*1 *2 *2) (-12 (-4 *3 (-558)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-365) (-296) (-10 -8 (-15 -2319 ((-1113 *3 (-607 $)) $)) (-15 -2326 ((-1113 *3 (-607 $)) $)) (-15 -2747 ($ (-1113 *3 (-607 $)))))))))) 
-(-10 -7 (-15 -3085 (|#2| |#2|)) (-15 -1396 (|#2| |#2|)) (-15 -1396 (|#2| |#2| |#2|)) (-15 -1396 (|#2| |#2| (-634 |#2|))) (-15 -1396 (|#2| |#2| (-634 (-607 |#2|)))) (-15 -2234 ((-1157 |#2|) |#2|)) (IF (|has| |#1| (-842)) (IF (|has| |#1| (-453)) (IF (|has| |#1| (-1037 (-568))) (IF (|has| |#2| (-432 |#1|)) (PROGN (-15 -4485 (|#2| |#2|)) (-15 -2086 (|#2| |#2|)) (-15 -4480 (|#2| |#2|)) (-15 -2282 (|#2| (-123) |#2| (-763)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) 
-((-3850 (((-420 (-1157 |#3|)) (-1157 |#3|) (-634 (-53))) 22) (((-420 |#3|) |#3| (-634 (-53))) 18))) 
-(((-47 |#1| |#2| |#3|) (-10 -7 (-15 -3850 ((-420 |#3|) |#3| (-634 (-53)))) (-15 -3850 ((-420 (-1157 |#3|)) (-1157 |#3|) (-634 (-53))))) (-842) (-788) (-950 (-53) |#2| |#1|)) (T -47)) 
-((-3850 (*1 *2 *3 *4) (-12 (-5 *4 (-634 (-53))) (-4 *5 (-842)) (-4 *6 (-788)) (-4 *7 (-950 (-53) *6 *5)) (-5 *2 (-420 (-1157 *7))) (-5 *1 (-47 *5 *6 *7)) (-5 *3 (-1157 *7)))) (-3850 (*1 *2 *3 *4) (-12 (-5 *4 (-634 (-53))) (-4 *5 (-842)) (-4 *6 (-788)) (-5 *2 (-420 *3)) (-5 *1 (-47 *5 *6 *3)) (-4 *3 (-950 (-53) *6 *5))))) 
-(-10 -7 (-15 -3850 ((-420 |#3|) |#3| (-634 (-53)))) (-15 -3850 ((-420 (-1157 |#3|)) (-1157 |#3|) (-634 (-53))))) 
-((-2809 (((-763) |#2|) 65)) (-2162 (((-763) |#2|) 68)) (-2959 (((-634 |#2|)) 33)) (-1953 (((-763) |#2|) 67)) (-3443 (((-763) |#2|) 64)) (-2813 (((-763) |#2|) 66)) (-3779 (((-634 (-679 |#1|))) 60)) (-2146 (((-634 |#2|)) 55)) (-4333 (((-634 |#2|) |#2|) 43)) (-4241 (((-634 |#2|)) 57)) (-3374 (((-634 |#2|)) 56)) (-2656 (((-634 (-679 |#1|))) 48)) (-3118 (((-634 |#2|)) 54)) (-1397 (((-634 |#2|) |#2|) 42)) (-2103 (((-634 |#2|)) 50)) (-4469 (((-634 (-679 |#1|))) 61)) (-4386 (((-634 |#2|)) 59)) (-2588 (((-1244 |#2|) (-1244 |#2|)) 83 (|has| |#1| (-301))))) 
-(((-48 |#1| |#2|) (-10 -7 (-15 -1953 ((-763) |#2|)) (-15 -2162 ((-763) |#2|)) (-15 -3443 ((-763) |#2|)) (-15 -2809 ((-763) |#2|)) (-15 -2813 ((-763) |#2|)) (-15 -2103 ((-634 |#2|))) (-15 -1397 ((-634 |#2|) |#2|)) (-15 -4333 ((-634 |#2|) |#2|)) (-15 -3118 ((-634 |#2|))) (-15 -2146 ((-634 |#2|))) (-15 -3374 ((-634 |#2|))) (-15 -4241 ((-634 |#2|))) (-15 -4386 ((-634 |#2|))) (-15 -2656 ((-634 (-679 |#1|)))) (-15 -3779 ((-634 (-679 |#1|)))) (-15 -4469 ((-634 (-679 |#1|)))) (-15 -2959 ((-634 |#2|))) (IF (|has| |#1| (-301)) (-15 -2588 ((-1244 |#2|) (-1244 |#2|))) |noBranch|)) (-558) (-419 |#1|)) (T -48)) 
-((-2588 (*1 *2 *2) (-12 (-5 *2 (-1244 *4)) (-4 *4 (-419 *3)) (-4 *3 (-301)) (-4 *3 (-558)) (-5 *1 (-48 *3 *4)))) (-2959 (*1 *2) (-12 (-4 *3 (-558)) (-5 *2 (-634 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-419 *3)))) (-4469 (*1 *2) (-12 (-4 *3 (-558)) (-5 *2 (-634 (-679 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-419 *3)))) (-3779 (*1 *2) (-12 (-4 *3 (-558)) (-5 *2 (-634 (-679 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-419 *3)))) (-2656 (*1 *2) (-12 (-4 *3 (-558)) (-5 *2 (-634 (-679 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-419 *3)))) (-4386 (*1 *2) (-12 (-4 *3 (-558)) (-5 *2 (-634 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-419 *3)))) (-4241 (*1 *2) (-12 (-4 *3 (-558)) (-5 *2 (-634 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-419 *3)))) (-3374 (*1 *2) (-12 (-4 *3 (-558)) (-5 *2 (-634 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-419 *3)))) (-2146 (*1 *2) (-12 (-4 *3 (-558)) (-5 *2 (-634 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-419 *3)))) (-3118 (*1 *2) (-12 (-4 *3 (-558)) (-5 *2 (-634 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-419 *3)))) (-4333 (*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-634 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-419 *4)))) (-1397 (*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-634 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-419 *4)))) (-2103 (*1 *2) (-12 (-4 *3 (-558)) (-5 *2 (-634 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-419 *3)))) (-2813 (*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-763)) (-5 *1 (-48 *4 *3)) (-4 *3 (-419 *4)))) (-2809 (*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-763)) (-5 *1 (-48 *4 *3)) (-4 *3 (-419 *4)))) (-3443 (*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-763)) (-5 *1 (-48 *4 *3)) (-4 *3 (-419 *4)))) (-2162 (*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-763)) (-5 *1 (-48 *4 *3)) (-4 *3 (-419 *4)))) (-1953 (*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-763)) (-5 *1 (-48 *4 *3)) (-4 *3 (-419 *4))))) 
-(-10 -7 (-15 -1953 ((-763) |#2|)) (-15 -2162 ((-763) |#2|)) (-15 -3443 ((-763) |#2|)) (-15 -2809 ((-763) |#2|)) (-15 -2813 ((-763) |#2|)) (-15 -2103 ((-634 |#2|))) (-15 -1397 ((-634 |#2|) |#2|)) (-15 -4333 ((-634 |#2|) |#2|)) (-15 -3118 ((-634 |#2|))) (-15 -2146 ((-634 |#2|))) (-15 -3374 ((-634 |#2|))) (-15 -4241 ((-634 |#2|))) (-15 -4386 ((-634 |#2|))) (-15 -2656 ((-634 (-679 |#1|)))) (-15 -3779 ((-634 (-679 |#1|)))) (-15 -4469 ((-634 (-679 |#1|)))) (-15 -2959 ((-634 |#2|))) (IF (|has| |#1| (-301)) (-15 -2588 ((-1244 |#2|) (-1244 |#2|))) |noBranch|)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-3591 (((-3 $ "failed")) NIL (|has| |#1| (-558)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3542 (((-1244 (-679 |#1|)) (-1244 $)) NIL) (((-1244 (-679 |#1|))) 24)) (-3818 (((-1244 $)) 50)) (-4490 (($) NIL T CONST)) (-3354 (((-3 (-2 (|:| |particular| $) (|:| -2588 (-634 $))) "failed")) NIL (|has| |#1| (-558)))) (-2046 (((-3 $ "failed")) NIL (|has| |#1| (-558)))) (-1524 (((-679 |#1|) (-1244 $)) NIL) (((-679 |#1|)) NIL)) (-2467 ((|#1| $) NIL)) (-2235 (((-679 |#1|) $ (-1244 $)) NIL) (((-679 |#1|) $) NIL)) (-2812 (((-3 $ "failed") $) NIL (|has| |#1| (-558)))) (-1503 (((-1157 (-953 |#1|))) NIL (|has| |#1| (-365)))) (-2815 (($ $ (-917)) NIL)) (-1509 ((|#1| $) NIL)) (-3839 (((-1157 |#1|) $) NIL (|has| |#1| (-558)))) (-2886 ((|#1| (-1244 $)) NIL) ((|#1|) NIL)) (-3105 (((-1157 |#1|) $) NIL)) (-1463 (((-121)) 86)) (-3899 (($ (-1244 |#1|) (-1244 $)) NIL) (($ (-1244 |#1|)) NIL)) (-2902 (((-3 $ "failed") $) 14 (|has| |#1| (-558)))) (-2371 (((-917)) 51)) (-3375 (((-121)) NIL)) (-3402 (($ $ (-917)) NIL)) (-4221 (((-121)) NIL)) (-4463 (((-121)) NIL)) (-3582 (((-121)) 88)) (-2587 (((-3 (-2 (|:| |particular| $) (|:| -2588 (-634 $))) "failed")) NIL (|has| |#1| (-558)))) (-2061 (((-3 $ "failed")) NIL (|has| |#1| (-558)))) (-4134 (((-679 |#1|) (-1244 $)) NIL) (((-679 |#1|)) NIL)) (-2786 ((|#1| $) NIL)) (-3147 (((-679 |#1|) $ (-1244 $)) NIL) (((-679 |#1|) $) NIL)) (-1974 (((-3 $ "failed") $) NIL (|has| |#1| (-558)))) (-1730 (((-1157 (-953 |#1|))) NIL (|has| |#1| (-365)))) (-4202 (($ $ (-917)) NIL)) (-4390 ((|#1| $) NIL)) (-3364 (((-1157 |#1|) $) NIL (|has| |#1| (-558)))) (-2060 ((|#1| (-1244 $)) NIL) ((|#1|) NIL)) (-3114 (((-1157 |#1|) $) NIL)) (-3487 (((-121)) 85)) (-1893 (((-1143) $) NIL)) (-2153 (((-121)) 92)) (-2889 (((-121)) 91)) (-1852 (((-121)) 93)) (-4025 (((-1108) $) NIL)) (-3636 (((-121)) 87)) (-2781 ((|#1| $ (-568)) 53)) (-1656 (((-1244 |#1|) $ (-1244 $)) 47) (((-679 |#1|) (-1244 $) (-1244 $)) NIL) (((-1244 |#1|) $) 28) (((-679 |#1|) (-1244 $)) NIL)) (-4280 (((-1244 |#1|) $) NIL) (($ (-1244 |#1|)) NIL)) (-2155 (((-634 (-953 |#1|)) (-1244 $)) NIL) (((-634 (-953 |#1|))) NIL)) (-3985 (($ $ $) NIL)) (-3441 (((-121)) 83)) (-2747 (((-850) $) 68) (($ (-1244 |#1|)) 22)) (-2588 (((-1244 $)) 44)) (-2657 (((-634 (-1244 |#1|))) NIL (|has| |#1| (-558)))) (-2007 (($ $ $ $) NIL)) (-3964 (((-121)) 81)) (-3828 (($ (-679 |#1|) $) 18)) (-3911 (($ $ $) NIL)) (-2435 (((-121)) 84)) (-2984 (((-121)) 82)) (-3579 (((-121)) 80)) (-3058 (($) NIL T CONST)) (-1719 (((-121) $ $) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 75) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-1127 |#2| |#1|) $) 19))) 
-(((-49 |#1| |#2| |#3| |#4|) (-13 (-419 |#1|) (-637 (-1127 |#2| |#1|)) (-10 -8 (-15 -2747 ($ (-1244 |#1|))))) (-365) (-917) (-634 (-1161)) (-1244 (-679 |#1|))) (T -49)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1244 *3)) (-4 *3 (-365)) (-14 *6 (-1244 (-679 *3))) (-5 *1 (-49 *3 *4 *5 *6)) (-14 *4 (-917)) (-14 *5 (-634 (-1161)))))) 
-(-13 (-419 |#1|) (-637 (-1127 |#2| |#1|)) (-10 -8 (-15 -2747 ($ (-1244 |#1|))))) 
-((-2449 (((-121) $ $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-2852 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL)) (-2237 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL)) (-3623 (($ $) NIL)) (-2988 (($) NIL) (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-2481 (((-1249) $ |#1| |#1|) NIL (|has| $ (-6 -4522))) (((-1249) $ (-568) (-568)) NIL (|has| $ (-6 -4522)))) (-2121 (($ $ (-568)) NIL (|has| $ (-6 -4522)))) (-1324 (((-121) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL) (((-121) $) NIL (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-842)))) (-2109 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4522))) (($ $) NIL (-12 (|has| $ (-6 -4522)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-842))))) (-3647 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL) (($ $) NIL (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-842)))) (-1667 (((-121) $ (-763)) NIL)) (-3370 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (|has| $ (-6 -4522)))) (-1958 (($ $ $) 27 (|has| $ (-6 -4522)))) (-2257 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (|has| $ (-6 -4522)))) (-1706 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 29 (|has| $ (-6 -4522)))) (-2438 ((|#2| $ |#1| |#2|) 45) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ (-568) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (|has| $ (-6 -4522))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ (-1210 (-568)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (|has| $ (-6 -4522))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ "last" (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (|has| $ (-6 -4522))) (($ $ "rest" $) NIL (|has| $ (-6 -4522))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ "first" (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (|has| $ (-6 -4522))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ "value" (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (|has| $ (-6 -4522)))) (-1809 (($ $ (-634 $)) NIL (|has| $ (-6 -4522)))) (-3963 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL)) (-2803 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-1681 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL)) (-2678 (((-3 |#2| "failed") |#1| $) 37)) (-4490 (($) NIL T CONST)) (-4452 (($ $) NIL (|has| $ (-6 -4522)))) (-3945 (($ $) NIL)) (-3936 (($ $ (-763)) NIL) (($ $) 24)) (-1377 (($ $) NIL (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))))) (-1568 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (|has| $ (-6 -4521))) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-3 |#2| "failed") |#1| $) 46) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL) (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (-4330 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-3094 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (|has| $ (-6 -4521))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (|has| $ (-6 -4521))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-1292 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4522))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ (-568) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (|has| $ (-6 -4522)))) (-2069 ((|#2| $ |#1|) NIL) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ (-568)) NIL)) (-1340 (((-121) $) NIL)) (-2766 (((-568) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL) (((-568) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))) (((-568) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ (-568)) NIL (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (-3317 (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 18 (|has| $ (-6 -4521))) (((-634 |#2|) $) NIL (|has| $ (-6 -4521))) (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 18 (|has| $ (-6 -4521)))) (-3534 (((-634 $) $) NIL)) (-3606 (((-121) $ $) NIL (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (-1851 (($ (-763) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL)) (-3791 (((-121) $ (-763)) NIL)) (-2539 ((|#1| $) NIL (|has| |#1| (-842))) (((-568) $) 32 (|has| (-568) (-842)))) (-1732 (($ $ $) NIL (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-842)))) (-4496 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ $) NIL) (($ $ $) NIL (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-842)))) (-3645 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ $) NIL) (($ $ $) NIL (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-842)))) (-4406 (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-634 |#2|) $) NIL (|has| $ (-6 -4521))) (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090)))) (((-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))))) (-3631 ((|#1| $) NIL (|has| |#1| (-842))) (((-568) $) 34 (|has| (-568) (-842)))) (-2047 (($ $ $) NIL (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-842)))) (-2253 (($ (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4522))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4522))) (($ (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL) (($ (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ $) NIL) (($ (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL)) (-3897 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-4081 (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL)) (-3319 (((-121) $) NIL)) (-1893 (((-1143) $) 41 (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-4164 (($ $ (-763)) NIL) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL)) (-4253 (((-634 |#1|) $) 20)) (-2807 (((-121) |#1| $) NIL)) (-2580 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL)) (-1708 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL) (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ (-568)) NIL) (($ $ $ (-568)) NIL)) (-4124 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ (-568)) NIL) (($ $ $ (-568)) NIL)) (-3948 (((-634 |#1|) $) NIL) (((-634 (-568)) $) NIL)) (-2916 (((-121) |#1| $) NIL) (((-121) (-568) $) NIL)) (-4025 (((-1108) $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-3877 ((|#2| $) NIL (|has| |#1| (-842))) (($ $ (-763)) NIL) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 23)) (-2712 (((-3 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) "failed") (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL) (((-3 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) "failed") (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL)) (-2490 (($ $ |#2|) NIL (|has| $ (-6 -4522))) (($ $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (|has| $ (-6 -4522)))) (-3403 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL)) (-4049 (((-121) $) NIL)) (-3951 (((-121) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-288 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-634 |#2|) (-634 |#2|)) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-288 |#2|)) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-634 (-288 |#2|))) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-288 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-634 (-288 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090)))) (((-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))))) (-1480 (((-634 |#2|) $) NIL) (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 17)) (-2436 (((-121) $) 16)) (-1990 (($) 13)) (-2781 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ (-568) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ (-568)) NIL) (($ $ (-1210 (-568))) NIL) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ "last") NIL) (($ $ "rest") NIL) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ "first") NIL) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $ "value") NIL)) (-1665 (((-568) $ $) NIL)) (-3132 (($) 12) (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-4031 (($ $ (-568)) NIL) (($ $ (-1210 (-568))) NIL)) (-2828 (($ $ (-568)) NIL) (($ $ (-1210 (-568))) NIL)) (-2763 (((-121) $) NIL)) (-3903 (($ $) NIL)) (-1499 (($ $) NIL (|has| $ (-6 -4522)))) (-3535 (((-763) $) NIL)) (-4424 (($ $) NIL)) (-4170 (((-763) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-763) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (((-763) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090)))) (((-763) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521))) (((-763) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (((-763) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-3306 (($ $ $ (-568)) NIL (|has| $ (-6 -4522)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) NIL (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-609 (-541))))) (-4289 (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL) (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-1876 (($ $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL) (($ $ $) NIL)) (-2770 (($ $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL) (($ (-634 $)) NIL) (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 25) (($ $ $) NIL)) (-2747 (((-850) $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-3180 (((-634 $) $) NIL)) (-3873 (((-121) $ $) NIL (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (-4074 (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-2804 (((-3 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) "failed") |#1| $) 43)) (-3437 (((-121) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-1753 (((-121) $ $) NIL (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-842)))) (-1740 (((-121) $ $) NIL (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-842)))) (-1719 (((-121) $ $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-1747 (((-121) $ $) NIL (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-842)))) (-1734 (((-121) $ $) NIL (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-842)))) (-1699 (((-763) $) 22 (|has| $ (-6 -4521))))) 
-(((-50 |#1| |#2|) (-41 |#1| |#2|) (-1090) (-1090)) (T -50)) 
+((-3550 ((|#2| (-1159 |#2|) (-1163)) 42)) (-2265 (((-123) (-123)) 54)) (-4080 (((-1159 |#2|) (-608 |#2|)) 129 (|has| |#1| (-1038 (-569))))) (-2765 ((|#2| |#1| (-569)) 108 (|has| |#1| (-1038 (-569))))) (-2509 ((|#2| (-1159 |#2|) |#2|) 30)) (-3322 (((-851) (-635 |#2|)) 84)) (-2745 ((|#2| |#2|) 125 (|has| |#1| (-1038 (-569))))) (-1524 (((-121) (-123)) 18)) (** ((|#2| |#2| (-410 (-569))) 89 (|has| |#1| (-1038 (-569)))))) 
+(((-36 |#1| |#2|) (-10 -7 (-15 -3550 (|#2| (-1159 |#2|) (-1163))) (-15 -2265 ((-123) (-123))) (-15 -1524 ((-121) (-123))) (-15 -2509 (|#2| (-1159 |#2|) |#2|)) (-15 -3322 ((-851) (-635 |#2|))) (IF (|has| |#1| (-1038 (-569))) (PROGN (-15 ** (|#2| |#2| (-410 (-569)))) (-15 -4080 ((-1159 |#2|) (-608 |#2|))) (-15 -2745 (|#2| |#2|)) (-15 -2765 (|#2| |#1| (-569)))) |noBranch|)) (-13 (-843) (-559)) (-433 |#1|)) (T -36)) 
+((-2765 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *2 (-433 *3)) (-5 *1 (-36 *3 *2)) (-4 *3 (-1038 *4)) (-4 *3 (-13 (-843) (-559))))) (-2745 (*1 *2 *2) (-12 (-4 *3 (-1038 (-569))) (-4 *3 (-13 (-843) (-559))) (-5 *1 (-36 *3 *2)) (-4 *2 (-433 *3)))) (-4080 (*1 *2 *3) (-12 (-5 *3 (-608 *5)) (-4 *5 (-433 *4)) (-4 *4 (-1038 (-569))) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-1159 *5)) (-5 *1 (-36 *4 *5)))) (** (*1 *2 *2 *3) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-1038 (-569))) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-36 *4 *2)) (-4 *2 (-433 *4)))) (-3322 (*1 *2 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-433 *4)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-851)) (-5 *1 (-36 *4 *5)))) (-2509 (*1 *2 *3 *2) (-12 (-5 *3 (-1159 *2)) (-4 *2 (-433 *4)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-36 *4 *2)))) (-1524 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-121)) (-5 *1 (-36 *4 *5)) (-4 *5 (-433 *4)))) (-2265 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-843) (-559))) (-5 *1 (-36 *3 *4)) (-4 *4 (-433 *3)))) (-3550 (*1 *2 *3 *4) (-12 (-5 *3 (-1159 *2)) (-5 *4 (-1163)) (-4 *2 (-433 *5)) (-5 *1 (-36 *5 *2)) (-4 *5 (-13 (-843) (-559)))))) 
+(-10 -7 (-15 -3550 (|#2| (-1159 |#2|) (-1163))) (-15 -2265 ((-123) (-123))) (-15 -1524 ((-121) (-123))) (-15 -2509 (|#2| (-1159 |#2|) |#2|)) (-15 -3322 ((-851) (-635 |#2|))) (IF (|has| |#1| (-1038 (-569))) (PROGN (-15 ** (|#2| |#2| (-410 (-569)))) (-15 -4080 ((-1159 |#2|) (-608 |#2|))) (-15 -2745 (|#2| |#2|)) (-15 -2765 (|#2| |#1| (-569)))) |noBranch|)) 
+((-2568 (((-121) $ $) 7)) (-4469 ((|#1| $ (-569) |#1|) 14)) (-1860 (((-635 $) (-635 $) (-764)) 20) (((-635 $) (-635 $)) 19)) (-3103 (((-121) $ (-764)) 18) (((-121) $) 17)) (-1488 (((-635 |#1|) $) 13)) (-2075 (($) 29)) (-1288 (((-635 $) $) 24) (((-635 $) $ (-764)) 23)) (-2005 (((-635 |#1|) $) 16)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-1534 ((|#1| $ (-569)) 15)) (-2492 (((-918) $) 12)) (-2955 ((|#1| $) 27)) (-1414 (($ $ (-764)) 22) (($ $) 21)) (-2185 (((-851) $) 11) (((-635 |#1|) $) 26) (($ (-635 |#1|)) 25)) (-2396 (($ (-635 |#1|)) 28)) (-1668 (((-121) $ $) 6))) 
+(((-37 |#1|) (-1278) (-366)) (T -37)) 
+((-2075 (*1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-366)))) (-2396 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-37 *3)))) (-2955 (*1 *2 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-366)))) (-2185 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-37 *3)))) (-1288 (*1 *2 *1) (-12 (-4 *3 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-37 *3)))) (-1288 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *4 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-37 *4)))) (-1414 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-37 *3)) (-4 *3 (-366)))) (-1414 (*1 *1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-366)))) (-1860 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *1)) (-5 *3 (-764)) (-4 *1 (-37 *4)) (-4 *4 (-366)))) (-1860 (*1 *2 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-37 *3)) (-4 *3 (-366)))) (-3103 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-37 *4)) (-4 *4 (-366)) (-5 *2 (-121)))) (-3103 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) (-2005 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-37 *2)) (-4 *2 (-366)))) (-4469 (*1 *2 *1 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-37 *2)) (-4 *2 (-366)))) (-1488 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3))))) 
+(-13 (-1089) (-10 -8 (-15 -2075 ($)) (-15 -2396 ($ (-635 |t#1|))) (-15 -2955 (|t#1| $)) (-15 -2185 ((-635 |t#1|) $)) (-15 -2185 ($ (-635 |t#1|))) (-15 -1288 ((-635 $) $)) (-15 -1288 ((-635 $) $ (-764))) (-15 -1414 ($ $ (-764))) (-15 -1414 ($ $)) (-15 -1860 ((-635 $) (-635 $) (-764))) (-15 -1860 ((-635 $) (-635 $))) (-15 -3103 ((-121) $ (-764))) (-15 -3103 ((-121) $)) (-15 -2005 ((-635 |t#1|) $)) (-15 -1534 (|t#1| $ (-569))) (-15 -4469 (|t#1| $ (-569) |t#1|)) (-15 -1488 ((-635 |t#1|) $)))) 
+(((-105) . T) ((-609 (-851)) . T) ((-1091) . T) ((-1089) . T)) 
+((-1691 (((-121) $ (-764)) 16)) (-2820 (($) 10)) (-1974 (((-121) $ (-764)) 15)) (-2006 (((-121) $ (-764)) 14)) (-3137 (((-121) $ $) 8)) (-1601 (((-121) $) 13))) 
+(((-38 |#1|) (-10 -8 (-15 -2820 (|#1|)) (-15 -1691 ((-121) |#1| (-764))) (-15 -1974 ((-121) |#1| (-764))) (-15 -2006 ((-121) |#1| (-764))) (-15 -1601 ((-121) |#1|)) (-15 -3137 ((-121) |#1| |#1|))) (-39)) (T -38)) 
+NIL 
+(-10 -8 (-15 -2820 (|#1|)) (-15 -1691 ((-121) |#1| (-764))) (-15 -1974 ((-121) |#1| (-764))) (-15 -2006 ((-121) |#1| (-764))) (-15 -1601 ((-121) |#1|)) (-15 -3137 ((-121) |#1| |#1|))) 
+((-1691 (((-121) $ (-764)) 8)) (-2820 (($) 7 T CONST)) (-1974 (((-121) $ (-764)) 9)) (-2006 (((-121) $ (-764)) 10)) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1971 (($ $) 13)) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-39) (-1278)) (T -39)) 
+((-3137 (*1 *2 *1 *1) (-12 (-4 *1 (-39)) (-5 *2 (-121)))) (-1971 (*1 *1 *1) (-4 *1 (-39))) (-1296 (*1 *1) (-4 *1 (-39))) (-1601 (*1 *2 *1) (-12 (-4 *1 (-39)) (-5 *2 (-121)))) (-2006 (*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-764)) (-5 *2 (-121)))) (-1974 (*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-764)) (-5 *2 (-121)))) (-1691 (*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-764)) (-5 *2 (-121)))) (-2820 (*1 *1) (-4 *1 (-39))) (-4168 (*1 *2 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-39)) (-5 *2 (-764))))) 
+(-13 (-1197) (-10 -8 (-15 -3137 ((-121) $ $)) (-15 -1971 ($ $)) (-15 -1296 ($)) (-15 -1601 ((-121) $)) (-15 -2006 ((-121) $ (-764))) (-15 -1974 ((-121) $ (-764))) (-15 -1691 ((-121) $ (-764))) (-15 -2820 ($) -2043) (IF (|has| $ (-6 -4535)) (-15 -4168 ((-764) $)) |noBranch|))) 
+(((-1197) . T)) 
+((-1779 (($ $) 11)) (-1770 (($ $) 10)) (-1785 (($ $) 9)) (-2430 (($ $) 8)) (-1782 (($ $) 7)) (-1775 (($ $) 6))) 
+(((-40) (-1278)) (T -40)) 
+((-1779 (*1 *1 *1) (-4 *1 (-40))) (-1770 (*1 *1 *1) (-4 *1 (-40))) (-1785 (*1 *1 *1) (-4 *1 (-40))) (-2430 (*1 *1 *1) (-4 *1 (-40))) (-1782 (*1 *1 *1) (-4 *1 (-40))) (-1775 (*1 *1 *1) (-4 *1 (-40)))) 
+(-13 (-10 -8 (-15 -1775 ($ $)) (-15 -1782 ($ $)) (-15 -2430 ($ $)) (-15 -1785 ($ $)) (-15 -1770 ($ $)) (-15 -1779 ($ $)))) 
+((-2568 (((-121) $ $) 18 (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-2247 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 117)) (-4360 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 140)) (-4459 (($ $) 138)) (-2281 (($) 66) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 65)) (-3112 (((-1252) $ |#1| |#1|) 93 (|has| $ (-6 -4536))) (((-1252) $ (-569) (-569)) 170 (|has| $ (-6 -4536)))) (-3138 (($ $ (-569)) 151 (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 201) (((-121) $) 195 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-3076 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 192 (|has| $ (-6 -4536))) (($ $) 191 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)) (|has| $ (-6 -4536))))) (-3113 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 202) (($ $) 196 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-1691 (((-121) $ (-764)) 8)) (-3891 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 126 (|has| $ (-6 -4536)))) (-3014 (($ $ $) 147 (|has| $ (-6 -4536)))) (-1868 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 149 (|has| $ (-6 -4536)))) (-3159 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 145 (|has| $ (-6 -4536)))) (-4469 ((|#2| $ |#1| |#2|) 67) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 181 (|has| $ (-6 -4536))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-1213 (-569)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 152 (|has| $ (-6 -4536))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ "last" (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 150 (|has| $ (-6 -4536))) (($ $ "rest" $) 148 (|has| $ (-6 -4536))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ "first" (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 146 (|has| $ (-6 -4536))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ "value" (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 125 (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) 124 (|has| $ (-6 -4536)))) (-4216 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 42 (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 208)) (-1962 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 52 (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 167 (|has| $ (-6 -4535)))) (-1669 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 139)) (-2082 (((-3 |#2| "failed") |#1| $) 57)) (-2820 (($) 7 T CONST)) (-1302 (($ $) 193 (|has| $ (-6 -4536)))) (-2052 (($ $) 203)) (-2046 (($ $ (-764)) 134) (($ $) 132)) (-3384 (($ $) 206 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-2033 (($ $) 55 (-2232 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535))) (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))))) (-4454 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 44 (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 43 (|has| $ (-6 -4535))) (((-3 |#2| "failed") |#1| $) 58) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 212) (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 207 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-4347 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 54 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 51 (|has| $ (-6 -4535))) (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 169 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 166 (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 53 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 50 (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 49 (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 168 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 165 (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 164 (|has| $ (-6 -4535)))) (-2726 ((|#2| $ |#1| |#2|) 81 (|has| $ (-6 -4536))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 182 (|has| $ (-6 -4536)))) (-1618 ((|#2| $ |#1|) 82) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569)) 180)) (-3108 (((-121) $) 184)) (-3727 (((-569) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 200) (((-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 199 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))) (((-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569)) 198 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-3470 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 30 (|has| $ (-6 -4535))) (((-635 |#2|) $) 73 (|has| $ (-6 -4535))) (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 106 (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) 115)) (-4349 (((-121) $ $) 123 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-2659 (($ (-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 161)) (-1974 (((-121) $ (-764)) 9)) (-3557 ((|#1| $) 90 (|has| |#1| (-843))) (((-569) $) 172 (|has| (-569) (-843)))) (-3291 (($ $ $) 190 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-2854 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ $) 209) (($ $ $) 205 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-3288 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ $) 204) (($ $ $) 197 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-4259 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 29 (|has| $ (-6 -4535))) (((-635 |#2|) $) 74 (|has| $ (-6 -4535))) (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 107 (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 27 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))) (((-121) |#2| $) 76 (-12 (|has| |#2| (-1091)) (|has| $ (-6 -4535)))) (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 109 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535))))) (-1285 ((|#1| $) 89 (|has| |#1| (-843))) (((-569) $) 173 (|has| (-569) (-843)))) (-1538 (($ $ $) 189 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-1853 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 34 (|has| $ (-6 -4536))) (($ (-1 |#2| |#2|) $) 69 (|has| $ (-6 -4536))) (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 102 (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 35) (($ (-1 |#2| |#2|) $) 68) (($ (-1 |#2| |#2| |#2|) $ $) 64) (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ $) 158) (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 101)) (-2005 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 217)) (-2006 (((-121) $ (-764)) 10)) (-2824 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 120)) (-3486 (((-121) $) 116)) (-2776 (((-1145) $) 22 (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-4213 (($ $ (-764)) 137) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 135)) (-2179 (((-635 |#1|) $) 59)) (-1598 (((-121) |#1| $) 60)) (-3889 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 36)) (-3172 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 37) (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569)) 211) (($ $ $ (-569)) 210)) (-3614 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569)) 154) (($ $ $ (-569)) 153)) (-4166 (((-635 |#1|) $) 87) (((-635 (-569)) $) 175)) (-3533 (((-121) |#1| $) 86) (((-121) (-569) $) 176)) (-3360 (((-1109) $) 21 (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-4353 ((|#2| $) 91 (|has| |#1| (-843))) (($ $ (-764)) 131) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 129)) (-2502 (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 48) (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 163)) (-3174 (($ $ |#2|) 92 (|has| $ (-6 -4536))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 171 (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 38)) (-2695 (((-121) $) 183)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 32 (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) 71 (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 104 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 26 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 25 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 24 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 23 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) 80 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) 79 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) 78 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 (-289 |#2|))) 77 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 113 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 112 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 111 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 110 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) |#2| $) 88 (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091)))) (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 174 (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-2691 (((-635 |#2|) $) 85) (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 177)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#2| $ |#1|) 84) ((|#2| $ |#1| |#2|) 83) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 179) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569)) 178) (($ $ (-1213 (-569))) 157) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ "last") 136) (($ $ "rest") 133) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ "first") 130) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ "value") 118)) (-1686 (((-569) $ $) 121)) (-2566 (($) 46) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 45)) (-4514 (($ $ (-569)) 214) (($ $ (-1213 (-569))) 213)) (-3010 (($ $ (-569)) 156) (($ $ (-1213 (-569))) 155)) (-1472 (((-121) $) 119)) (-2645 (($ $) 143)) (-2780 (($ $) 144 (|has| $ (-6 -4536)))) (-4035 (((-764) $) 142)) (-4343 (($ $) 141)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 31 (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 28 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))) (((-764) |#2| $) 75 (-12 (|has| |#2| (-1091)) (|has| $ (-6 -4535)))) (((-764) (-1 (-121) |#2|) $) 72 (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 108 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))) (((-764) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 105 (|has| $ (-6 -4535)))) (-3389 (($ $ $ (-569)) 194 (|has| $ (-6 -4536)))) (-1971 (($ $) 13)) (-3817 (((-542) $) 56 (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542)))))) (-2139 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 47) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 162)) (-2697 (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 216) (($ $ $) 215)) (-2250 (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 160) (($ (-635 $)) 159) (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 128) (($ $ $) 127)) (-2185 (((-851) $) 20 (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-4114 (((-635 $) $) 114)) (-2447 (((-121) $ $) 122 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-2793 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 39)) (-2990 (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") |#1| $) 100)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 33 (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) 70 (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 103 (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) 187 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-1684 (((-121) $ $) 186 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-1668 (((-121) $ $) 19 (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-1688 (((-121) $ $) 188 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-1678 (((-121) $ $) 185 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-41 |#1| |#2|) (-1278) (-1091) (-1091)) (T -41)) 
+((-2990 (*1 *2 *3 *1) (|partial| -12 (-4 *1 (-41 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-5 *2 (-2 (|:| -2335 *3) (|:| -3782 *4)))))) 
+(-13 (-1174 |t#1| |t#2|) (-659 (-2 (|:| -2335 |t#1|) (|:| -3782 |t#2|))) (-10 -8 (-15 -2990 ((-3 (-2 (|:| -2335 |t#1|) (|:| -3782 |t#2|)) "failed") |t#1| $)))) 
+(((-39) . T) ((-111 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-105) -2232 (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843))) ((-609 (-851)) -2232 (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843))) ((-155 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-610 (-542)) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542))) ((-222 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-228 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-282 (-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-282 |#1| |#2|) . T) ((-284 (-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-284 |#1| |#2|) . T) ((-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) -12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))) ((-304 |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) ((-278 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-376 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-500 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-500 |#2|) . T) ((-602 (-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-602 |#1| |#2|) . T) ((-524 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) -12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))) ((-524 |#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) ((-606 |#1| |#2|) . T) ((-641 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-659 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-843) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)) ((-1011 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-1091) -2232 (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843))) ((-1135 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-1174 |#1| |#2|) . T) ((-1197) . T) ((-1234 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#2|) 10))) 
+(((-42 |#1| |#2|) (-10 -8 (-15 -2185 (|#1| |#2|)) (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) (-43 |#2|) (-173)) (T -42)) 
+NIL 
+(-10 -8 (-15 -2185 (|#1| |#2|)) (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 36)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
+(((-43 |#1|) (-1278) (-173)) (T -43)) 
+((-2185 (*1 *1 *2) (-12 (-4 *1 (-43 *2)) (-4 *2 (-173))))) 
+(-13 (-1048) (-708 |t#1|) (-10 -8 (-15 -2185 ($ |t#1|)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-708 |#1|) . T) ((-717) . T) ((-1054 |#1|) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-4493 (((-421 |#1|) |#1|) 38)) (-1743 (((-421 |#1|) |#1|) 27) (((-421 |#1|) |#1| (-635 (-53))) 30)) (-4419 (((-121) |#1|) 54))) 
+(((-44 |#1|) (-10 -7 (-15 -1743 ((-421 |#1|) |#1| (-635 (-53)))) (-15 -1743 ((-421 |#1|) |#1|)) (-15 -4493 ((-421 |#1|) |#1|)) (-15 -4419 ((-121) |#1|))) (-1222 (-53))) (T -44)) 
+((-4419 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-44 *3)) (-4 *3 (-1222 (-53))))) (-4493 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1222 (-53))))) (-1743 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1222 (-53))))) (-1743 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-53))) (-5 *2 (-421 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1222 (-53)))))) 
+(-10 -7 (-15 -1743 ((-421 |#1|) |#1| (-635 (-53)))) (-15 -1743 ((-421 |#1|) |#1|)) (-15 -4493 ((-421 |#1|) |#1|)) (-15 -4419 ((-121) |#1|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-4062 (((-2 (|:| |num| (-1247 |#2|)) (|:| |den| |#2|)) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| (-410 |#2|) (-366)))) (-3383 (($ $) NIL (|has| (-410 |#2|) (-366)))) (-4354 (((-121) $) NIL (|has| (-410 |#2|) (-366)))) (-3294 (((-680 (-410 |#2|)) (-1247 $)) NIL) (((-680 (-410 |#2|))) NIL)) (-1377 (((-410 |#2|) $) NIL)) (-2620 (((-1171 (-918) (-764)) (-569)) NIL (|has| (-410 |#2|) (-351)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL (|has| (-410 |#2|) (-366)))) (-2446 (((-421 $) $) NIL (|has| (-410 |#2|) (-366)))) (-3934 (((-121) $ $) NIL (|has| (-410 |#2|) (-366)))) (-2085 (((-764)) NIL (|has| (-410 |#2|) (-371)))) (-3681 (((-121)) NIL)) (-4037 (((-121) |#1|) NIL) (((-121) |#2|) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (|has| (-410 |#2|) (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-410 |#2|) (-1038 (-410 (-569))))) (((-3 (-410 |#2|) "failed") $) NIL)) (-2428 (((-569) $) NIL (|has| (-410 |#2|) (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| (-410 |#2|) (-1038 (-410 (-569))))) (((-410 |#2|) $) NIL)) (-2623 (($ (-1247 (-410 |#2|)) (-1247 $)) NIL) (($ (-1247 (-410 |#2|))) 57) (($ (-1247 |#2|) |#2|) 124)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-410 |#2|) (-351)))) (-2506 (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-3325 (((-680 (-410 |#2|)) $ (-1247 $)) NIL) (((-680 (-410 |#2|)) $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| (-410 |#2|) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| (-410 |#2|) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-410 |#2|))) (|:| |vec| (-1247 (-410 |#2|)))) (-680 $) (-1247 $)) NIL) (((-680 (-410 |#2|)) (-680 $)) NIL)) (-2326 (((-1247 $) (-1247 $)) NIL)) (-1774 (($ |#3|) NIL) (((-3 $ "failed") (-410 |#3|)) NIL (|has| (-410 |#2|) (-366)))) (-3428 (((-3 $ "failed") $) NIL)) (-1818 (((-635 (-635 |#1|))) NIL (|has| |#1| (-371)))) (-2275 (((-121) |#1| |#1|) NIL)) (-1321 (((-918)) NIL)) (-4327 (($) NIL (|has| (-410 |#2|) (-371)))) (-3123 (((-121)) NIL)) (-2642 (((-121) |#1|) NIL) (((-121) |#2|) NIL)) (-2524 (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| (-410 |#2|) (-366)))) (-1340 (($ $) NIL)) (-3188 (($) NIL (|has| (-410 |#2|) (-351)))) (-3354 (((-121) $) NIL (|has| (-410 |#2|) (-351)))) (-2751 (($ $ (-764)) NIL (|has| (-410 |#2|) (-351))) (($ $) NIL (|has| (-410 |#2|) (-351)))) (-3726 (((-121) $) NIL (|has| (-410 |#2|) (-366)))) (-2558 (((-918) $) NIL (|has| (-410 |#2|) (-351))) (((-829 (-918)) $) NIL (|has| (-410 |#2|) (-351)))) (-1407 (((-121) $) NIL)) (-1607 (((-764)) NIL)) (-4296 (((-1247 $) (-1247 $)) 100)) (-4308 (((-410 |#2|) $) NIL)) (-4367 (((-635 (-954 |#1|)) (-1163)) NIL (|has| |#1| (-366)))) (-3846 (((-3 $ "failed") $) NIL (|has| (-410 |#2|) (-351)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2770 ((|#3| $) NIL (|has| (-410 |#2|) (-366)))) (-2083 (((-918) $) NIL (|has| (-410 |#2|) (-371)))) (-1769 ((|#3| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| (-410 |#2|) (-366))) (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-2776 (((-1145) $) NIL)) (-3312 (((-1252) (-764)) 78)) (-3243 (((-680 (-410 |#2|))) 51)) (-3837 (((-680 (-410 |#2|))) 44)) (-1795 (($ $) NIL (|has| (-410 |#2|) (-366)))) (-3878 (($ (-1247 |#2|) |#2|) 125)) (-3804 (((-680 (-410 |#2|))) 45)) (-2865 (((-680 (-410 |#2|))) 43)) (-2661 (((-2 (|:| |num| (-680 |#2|)) (|:| |den| |#2|)) (-1 |#2| |#2|)) 122)) (-3843 (((-2 (|:| |num| (-1247 |#2|)) (|:| |den| |#2|)) $) 63)) (-1802 (((-1247 $)) 42)) (-3577 (((-1247 $)) 41)) (-4470 (((-121) $) NIL)) (-3636 (((-121) $) NIL) (((-121) $ |#1|) NIL) (((-121) $ |#2|) NIL)) (-4043 (($) NIL (|has| (-410 |#2|) (-351)) CONST)) (-3998 (($ (-918)) NIL (|has| (-410 |#2|) (-371)))) (-3264 (((-3 |#2| "failed")) NIL)) (-3360 (((-1109) $) NIL)) (-3950 (((-764)) NIL)) (-1809 (($) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| (-410 |#2|) (-366)))) (-2714 (($ (-635 $)) NIL (|has| (-410 |#2|) (-366))) (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL (|has| (-410 |#2|) (-351)))) (-1743 (((-421 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| (-410 |#2|) (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| (-410 |#2|) (-366)))) (-2941 (((-3 $ "failed") $ $) NIL (|has| (-410 |#2|) (-366)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2622 (((-764) $) NIL (|has| (-410 |#2|) (-366)))) (-1534 ((|#1| $ |#1| |#1|) NIL)) (-4005 (((-3 |#2| "failed")) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| (-410 |#2|) (-366)))) (-2087 (((-410 |#2|) (-1247 $)) NIL) (((-410 |#2|)) 39)) (-1291 (((-764) $) NIL (|has| (-410 |#2|) (-351))) (((-3 (-764) "failed") $ $) NIL (|has| (-410 |#2|) (-351)))) (-3899 (($ $ (-1 (-410 |#2|) (-410 |#2|)) (-764)) NIL (|has| (-410 |#2|) (-366))) (($ $ (-1 (-410 |#2|) (-410 |#2|))) NIL (|has| (-410 |#2|) (-366))) (($ $ (-1 |#2| |#2|)) 118) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-764)) NIL (-2232 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351)))) (($ $) NIL (-2232 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351))))) (-3497 (((-680 (-410 |#2|)) (-1247 $) (-1 (-410 |#2|) (-410 |#2|))) NIL (|has| (-410 |#2|) (-366)))) (-2745 ((|#3|) 50)) (-2319 (($) NIL (|has| (-410 |#2|) (-351)))) (-1648 (((-1247 (-410 |#2|)) $ (-1247 $)) NIL) (((-680 (-410 |#2|)) (-1247 $) (-1247 $)) NIL) (((-1247 (-410 |#2|)) $) 58) (((-680 (-410 |#2|)) (-1247 $)) 101)) (-3817 (((-1247 (-410 |#2|)) $) NIL) (($ (-1247 (-410 |#2|))) NIL) ((|#3| $) NIL) (($ |#3|) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (|has| (-410 |#2|) (-351)))) (-4261 (((-1247 $) (-1247 $)) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ (-410 |#2|)) NIL) (($ (-410 (-569))) NIL (-2232 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-1038 (-410 (-569)))))) (($ $) NIL (|has| (-410 |#2|) (-366)))) (-3953 (($ $) NIL (|has| (-410 |#2|) (-351))) (((-3 $ "failed") $) NIL (|has| (-410 |#2|) (-149)))) (-2742 ((|#3| $) NIL)) (-1991 (((-764)) NIL)) (-2808 (((-121)) 37)) (-2719 (((-121) |#1|) 49) (((-121) |#2|) 130)) (-3930 (((-1247 $)) 91)) (-1961 (((-121) $ $) NIL (|has| (-410 |#2|) (-366)))) (-2801 (((-2 (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (-1 |#2| |#2|)) NIL)) (-3670 (((-121)) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| (-410 |#2|) (-366)))) (-3369 (($) 16 T CONST)) (-1556 (($) 26 T CONST)) (-3022 (($ $ (-1 (-410 |#2|) (-410 |#2|)) (-764)) NIL (|has| (-410 |#2|) (-366))) (($ $ (-1 (-410 |#2|) (-410 |#2|))) NIL (|has| (-410 |#2|) (-366))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-764)) NIL (-2232 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351)))) (($ $) NIL (-2232 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351))))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| (-410 |#2|) (-366)))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 |#2|)) NIL) (($ (-410 |#2|) $) NIL) (($ (-410 (-569)) $) NIL (|has| (-410 |#2|) (-366))) (($ $ (-410 (-569))) NIL (|has| (-410 |#2|) (-366))))) 
+(((-45 |#1| |#2| |#3| |#4|) (-13 (-341 |#1| |#2| |#3|) (-10 -7 (-15 -3312 ((-1252) (-764))))) (-366) (-1222 |#1|) (-1222 (-410 |#2|)) |#3|) (T -45)) 
+((-3312 (*1 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-366)) (-4 *5 (-1222 *4)) (-5 *2 (-1252)) (-5 *1 (-45 *4 *5 *6 *7)) (-4 *6 (-1222 (-410 *5))) (-14 *7 *6)))) 
+(-13 (-341 |#1| |#2| |#3|) (-10 -7 (-15 -3312 ((-1252) (-764))))) 
+((-2230 ((|#2| |#2|) 47)) (-2769 ((|#2| |#2|) 116 (-12 (|has| |#2| (-433 |#1|)) (|has| |#1| (-454)) (|has| |#1| (-843)) (|has| |#1| (-1038 (-569)))))) (-1674 ((|#2| |#2|) 85 (-12 (|has| |#2| (-433 |#1|)) (|has| |#1| (-454)) (|has| |#1| (-843)) (|has| |#1| (-1038 (-569)))))) (-2794 ((|#2| |#2|) 86 (-12 (|has| |#2| (-433 |#1|)) (|has| |#1| (-454)) (|has| |#1| (-843)) (|has| |#1| (-1038 (-569)))))) (-2020 ((|#2| (-123) |#2| (-764)) 73 (-12 (|has| |#2| (-433 |#1|)) (|has| |#1| (-454)) (|has| |#1| (-843)) (|has| |#1| (-1038 (-569)))))) (-1789 (((-1159 |#2|) |#2|) 44)) (-3537 ((|#2| |#2| (-635 (-608 |#2|))) 17) ((|#2| |#2| (-635 |#2|)) 19) ((|#2| |#2| |#2|) 20) ((|#2| |#2|) 15))) 
+(((-46 |#1| |#2|) (-10 -7 (-15 -2230 (|#2| |#2|)) (-15 -3537 (|#2| |#2|)) (-15 -3537 (|#2| |#2| |#2|)) (-15 -3537 (|#2| |#2| (-635 |#2|))) (-15 -3537 (|#2| |#2| (-635 (-608 |#2|)))) (-15 -1789 ((-1159 |#2|) |#2|)) (IF (|has| |#1| (-843)) (IF (|has| |#1| (-454)) (IF (|has| |#1| (-1038 (-569))) (IF (|has| |#2| (-433 |#1|)) (PROGN (-15 -2794 (|#2| |#2|)) (-15 -1674 (|#2| |#2|)) (-15 -2769 (|#2| |#2|)) (-15 -2020 (|#2| (-123) |#2| (-764)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) (-559) (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 |#1| (-608 $)) $)) (-15 -4121 ((-1114 |#1| (-608 $)) $)) (-15 -2185 ($ (-1114 |#1| (-608 $))))))) (T -46)) 
+((-2020 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-123)) (-5 *4 (-764)) (-4 *5 (-454)) (-4 *5 (-843)) (-4 *5 (-1038 (-569))) (-4 *5 (-559)) (-5 *1 (-46 *5 *2)) (-4 *2 (-433 *5)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *5 (-608 $)) $)) (-15 -4121 ((-1114 *5 (-608 $)) $)) (-15 -2185 ($ (-1114 *5 (-608 $))))))))) (-2769 (*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-843)) (-4 *3 (-1038 (-569))) (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-433 *3)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *3 (-608 $)) $)) (-15 -4121 ((-1114 *3 (-608 $)) $)) (-15 -2185 ($ (-1114 *3 (-608 $))))))))) (-1674 (*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-843)) (-4 *3 (-1038 (-569))) (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-433 *3)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *3 (-608 $)) $)) (-15 -4121 ((-1114 *3 (-608 $)) $)) (-15 -2185 ($ (-1114 *3 (-608 $))))))))) (-2794 (*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-843)) (-4 *3 (-1038 (-569))) (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-433 *3)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *3 (-608 $)) $)) (-15 -4121 ((-1114 *3 (-608 $)) $)) (-15 -2185 ($ (-1114 *3 (-608 $))))))))) (-1789 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-1159 *3)) (-5 *1 (-46 *4 *3)) (-4 *3 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *4 (-608 $)) $)) (-15 -4121 ((-1114 *4 (-608 $)) $)) (-15 -2185 ($ (-1114 *4 (-608 $))))))))) (-3537 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-608 *2))) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *4 (-608 $)) $)) (-15 -4121 ((-1114 *4 (-608 $)) $)) (-15 -2185 ($ (-1114 *4 (-608 $))))))) (-4 *4 (-559)) (-5 *1 (-46 *4 *2)))) (-3537 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *4 (-608 $)) $)) (-15 -4121 ((-1114 *4 (-608 $)) $)) (-15 -2185 ($ (-1114 *4 (-608 $))))))) (-4 *4 (-559)) (-5 *1 (-46 *4 *2)))) (-3537 (*1 *2 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *3 (-608 $)) $)) (-15 -4121 ((-1114 *3 (-608 $)) $)) (-15 -2185 ($ (-1114 *3 (-608 $))))))))) (-3537 (*1 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *3 (-608 $)) $)) (-15 -4121 ((-1114 *3 (-608 $)) $)) (-15 -2185 ($ (-1114 *3 (-608 $))))))))) (-2230 (*1 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *3 (-608 $)) $)) (-15 -4121 ((-1114 *3 (-608 $)) $)) (-15 -2185 ($ (-1114 *3 (-608 $)))))))))) 
+(-10 -7 (-15 -2230 (|#2| |#2|)) (-15 -3537 (|#2| |#2|)) (-15 -3537 (|#2| |#2| |#2|)) (-15 -3537 (|#2| |#2| (-635 |#2|))) (-15 -3537 (|#2| |#2| (-635 (-608 |#2|)))) (-15 -1789 ((-1159 |#2|) |#2|)) (IF (|has| |#1| (-843)) (IF (|has| |#1| (-454)) (IF (|has| |#1| (-1038 (-569))) (IF (|has| |#2| (-433 |#1|)) (PROGN (-15 -2794 (|#2| |#2|)) (-15 -1674 (|#2| |#2|)) (-15 -2769 (|#2| |#2|)) (-15 -2020 (|#2| (-123) |#2| (-764)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) 
+((-1743 (((-421 (-1159 |#3|)) (-1159 |#3|) (-635 (-53))) 22) (((-421 |#3|) |#3| (-635 (-53))) 18))) 
+(((-47 |#1| |#2| |#3|) (-10 -7 (-15 -1743 ((-421 |#3|) |#3| (-635 (-53)))) (-15 -1743 ((-421 (-1159 |#3|)) (-1159 |#3|) (-635 (-53))))) (-843) (-789) (-951 (-53) |#2| |#1|)) (T -47)) 
+((-1743 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-53))) (-4 *5 (-843)) (-4 *6 (-789)) (-4 *7 (-951 (-53) *6 *5)) (-5 *2 (-421 (-1159 *7))) (-5 *1 (-47 *5 *6 *7)) (-5 *3 (-1159 *7)))) (-1743 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-53))) (-4 *5 (-843)) (-4 *6 (-789)) (-5 *2 (-421 *3)) (-5 *1 (-47 *5 *6 *3)) (-4 *3 (-951 (-53) *6 *5))))) 
+(-10 -7 (-15 -1743 ((-421 |#3|) |#3| (-635 (-53)))) (-15 -1743 ((-421 (-1159 |#3|)) (-1159 |#3|) (-635 (-53))))) 
+((-1606 (((-764) |#2|) 65)) (-3448 (((-764) |#2|) 68)) (-3801 (((-635 |#2|)) 33)) (-3000 (((-764) |#2|) 67)) (-2108 (((-764) |#2|) 64)) (-1624 (((-764) |#2|) 66)) (-1896 (((-635 (-680 |#1|))) 60)) (-3328 (((-635 |#2|)) 55)) (-2633 (((-635 |#2|) |#2|) 43)) (-2116 (((-635 |#2|)) 57)) (-3912 (((-635 |#2|)) 56)) (-2125 (((-635 (-680 |#1|))) 48)) (-2450 (((-635 |#2|)) 54)) (-3545 (((-635 |#2|) |#2|) 42)) (-3050 (((-635 |#2|)) 50)) (-1401 (((-635 (-680 |#1|))) 61)) (-4182 (((-635 |#2|)) 59)) (-3930 (((-1247 |#2|) (-1247 |#2|)) 83 (|has| |#1| (-302))))) 
+(((-48 |#1| |#2|) (-10 -7 (-15 -3000 ((-764) |#2|)) (-15 -3448 ((-764) |#2|)) (-15 -2108 ((-764) |#2|)) (-15 -1606 ((-764) |#2|)) (-15 -1624 ((-764) |#2|)) (-15 -3050 ((-635 |#2|))) (-15 -3545 ((-635 |#2|) |#2|)) (-15 -2633 ((-635 |#2|) |#2|)) (-15 -2450 ((-635 |#2|))) (-15 -3328 ((-635 |#2|))) (-15 -3912 ((-635 |#2|))) (-15 -2116 ((-635 |#2|))) (-15 -4182 ((-635 |#2|))) (-15 -2125 ((-635 (-680 |#1|)))) (-15 -1896 ((-635 (-680 |#1|)))) (-15 -1401 ((-635 (-680 |#1|)))) (-15 -3801 ((-635 |#2|))) (IF (|has| |#1| (-302)) (-15 -3930 ((-1247 |#2|) (-1247 |#2|))) |noBranch|)) (-559) (-420 |#1|)) (T -48)) 
+((-3930 (*1 *2 *2) (-12 (-5 *2 (-1247 *4)) (-4 *4 (-420 *3)) (-4 *3 (-302)) (-4 *3 (-559)) (-5 *1 (-48 *3 *4)))) (-3801 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-1401 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 (-680 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-1896 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 (-680 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-2125 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 (-680 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-4182 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-2116 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-3912 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-3328 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-2450 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-2633 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4)))) (-3545 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4)))) (-3050 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-1624 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-764)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4)))) (-1606 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-764)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4)))) (-2108 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-764)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4)))) (-3448 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-764)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4)))) (-3000 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-764)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
+(-10 -7 (-15 -3000 ((-764) |#2|)) (-15 -3448 ((-764) |#2|)) (-15 -2108 ((-764) |#2|)) (-15 -1606 ((-764) |#2|)) (-15 -1624 ((-764) |#2|)) (-15 -3050 ((-635 |#2|))) (-15 -3545 ((-635 |#2|) |#2|)) (-15 -2633 ((-635 |#2|) |#2|)) (-15 -2450 ((-635 |#2|))) (-15 -3328 ((-635 |#2|))) (-15 -3912 ((-635 |#2|))) (-15 -2116 ((-635 |#2|))) (-15 -4182 ((-635 |#2|))) (-15 -2125 ((-635 (-680 |#1|)))) (-15 -1896 ((-635 (-680 |#1|)))) (-15 -1401 ((-635 (-680 |#1|)))) (-15 -3801 ((-635 |#2|))) (IF (|has| |#1| (-302)) (-15 -3930 ((-1247 |#2|) (-1247 |#2|))) |noBranch|)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-4276 (((-3 $ "failed")) NIL (|has| |#1| (-559)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-4064 (((-1247 (-680 |#1|)) (-1247 $)) NIL) (((-1247 (-680 |#1|))) 24)) (-2141 (((-1247 $)) 50)) (-2820 (($) NIL T CONST)) (-3781 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) NIL (|has| |#1| (-559)))) (-1531 (((-3 $ "failed")) NIL (|has| |#1| (-559)))) (-2909 (((-680 |#1|) (-1247 $)) NIL) (((-680 |#1|)) NIL)) (-1723 ((|#1| $) NIL)) (-1792 (((-680 |#1|) $ (-1247 $)) NIL) (((-680 |#1|) $) NIL)) (-1620 (((-3 $ "failed") $) NIL (|has| |#1| (-559)))) (-2800 (((-1159 (-954 |#1|))) NIL (|has| |#1| (-366)))) (-1628 (($ $ (-918)) NIL)) (-2830 ((|#1| $) NIL)) (-2246 (((-1159 |#1|) $) NIL (|has| |#1| (-559)))) (-3316 ((|#1| (-1247 $)) NIL) ((|#1|) NIL)) (-2355 (((-1159 |#1|) $) NIL)) (-2607 (((-121)) 86)) (-2623 (($ (-1247 |#1|) (-1247 $)) NIL) (($ (-1247 |#1|)) NIL)) (-3428 (((-3 $ "failed") $) 14 (|has| |#1| (-559)))) (-1321 (((-918)) 51)) (-3919 (((-121)) NIL)) (-1851 (($ $ (-918)) NIL)) (-2007 (((-121)) NIL)) (-1370 (((-121)) NIL)) (-4239 (((-121)) 88)) (-3926 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) NIL (|has| |#1| (-559)))) (-1588 (((-3 $ "failed")) NIL (|has| |#1| (-559)))) (-2991 (((-680 |#1|) (-1247 $)) NIL) (((-680 |#1|)) NIL)) (-1545 ((|#1| $) NIL)) (-4007 (((-680 |#1|) $ (-1247 $)) NIL) (((-680 |#1|) $) NIL)) (-4439 (((-3 $ "failed") $) NIL (|has| |#1| (-559)))) (-3282 (((-1159 (-954 |#1|))) NIL (|has| |#1| (-366)))) (-3272 (($ $ (-918)) NIL)) (-4200 ((|#1| $) NIL)) (-3851 (((-1159 |#1|) $) NIL (|has| |#1| (-559)))) (-1584 ((|#1| (-1247 $)) NIL) ((|#1|) NIL)) (-2415 (((-1159 |#1|) $) NIL)) (-2377 (((-121)) 85)) (-2776 (((-1145) $) NIL)) (-3379 (((-121)) 92)) (-3337 (((-121)) 91)) (-2598 (((-121)) 93)) (-3360 (((-1109) $) NIL)) (-1324 (((-121)) 87)) (-1534 ((|#1| $ (-569)) 53)) (-1648 (((-1247 |#1|) $ (-1247 $)) 47) (((-680 |#1|) (-1247 $) (-1247 $)) NIL) (((-1247 |#1|) $) 28) (((-680 |#1|) (-1247 $)) NIL)) (-3817 (((-1247 |#1|) $) NIL) (($ (-1247 |#1|)) NIL)) (-3393 (((-635 (-954 |#1|)) (-1247 $)) NIL) (((-635 (-954 |#1|))) NIL)) (-4293 (($ $ $) NIL)) (-2093 (((-121)) 83)) (-2185 (((-851) $) 68) (($ (-1247 |#1|)) 22)) (-3930 (((-1247 $)) 44)) (-2131 (((-635 (-1247 |#1|))) NIL (|has| |#1| (-559)))) (-1383 (($ $ $ $) NIL)) (-4220 (((-121)) 81)) (-1943 (($ (-680 |#1|) $) 18)) (-4033 (($ $ $) NIL)) (-1597 (((-121)) 84)) (-3922 (((-121)) 82)) (-4227 (((-121)) 80)) (-3369 (($) NIL T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 75) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-1128 |#2| |#1|) $) 19))) 
+(((-49 |#1| |#2| |#3| |#4|) (-13 (-420 |#1|) (-638 (-1128 |#2| |#1|)) (-10 -8 (-15 -2185 ($ (-1247 |#1|))))) (-366) (-918) (-635 (-1163)) (-1247 (-680 |#1|))) (T -49)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-366)) (-14 *6 (-1247 (-680 *3))) (-5 *1 (-49 *3 *4 *5 *6)) (-14 *4 (-918)) (-14 *5 (-635 (-1163)))))) 
+(-13 (-420 |#1|) (-638 (-1128 |#2| |#1|)) (-10 -8 (-15 -2185 ($ (-1247 |#1|))))) 
+((-2568 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2247 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4360 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4459 (($ $) NIL)) (-2281 (($) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-3112 (((-1252) $ |#1| |#1|) NIL (|has| $ (-6 -4536))) (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3138 (($ $ (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL) (((-121) $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-3076 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843))))) (-3113 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL) (($ $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-3891 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4536)))) (-3014 (($ $ $) 27 (|has| $ (-6 -4536)))) (-1868 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4536)))) (-3159 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 29 (|has| $ (-6 -4536)))) (-4469 ((|#2| $ |#1| |#2|) 45) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4536))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-1213 (-569)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4536))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ "last" (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4536))) (($ $ "rest" $) NIL (|has| $ (-6 -4536))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ "first" (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4536))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ "value" (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) NIL (|has| $ (-6 -4536)))) (-4216 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL)) (-1962 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1669 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-2082 (((-3 |#2| "failed") |#1| $) 37)) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2046 (($ $ (-764)) NIL) (($ $) 24)) (-3384 (($ $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-4454 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-3 |#2| "failed") |#1| $) 46) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL) (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-4347 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4536))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4536)))) (-1618 ((|#2| $ |#1|) NIL) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569)) NIL)) (-3108 (((-121) $) NIL)) (-3727 (((-569) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL) (((-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))) (((-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569)) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-3470 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 18 (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535))) (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 18 (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) NIL)) (-4349 (((-121) $ $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-2659 (($ (-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3557 ((|#1| $) NIL (|has| |#1| (-843))) (((-569) $) 32 (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-2854 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ $) NIL) (($ $ $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-3288 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ $) NIL) (($ $ $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-4259 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535))) (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091)))) (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-1285 ((|#1| $) NIL (|has| |#1| (-843))) (((-569) $) 34 (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-1853 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4536))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4536))) (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL) (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ $) NIL) (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL)) (-2005 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2824 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL)) (-3486 (((-121) $) NIL)) (-2776 (((-1145) $) 41 (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4213 (($ $ (-764)) NIL) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-2179 (((-635 |#1|) $) 20)) (-1598 (((-121) |#1| $) NIL)) (-3889 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-3172 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL) (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-3614 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 |#1|) $) NIL) (((-635 (-569)) $) NIL)) (-3533 (((-121) |#1| $) NIL) (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4353 ((|#2| $) NIL (|has| |#1| (-843))) (($ $ (-764)) NIL) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 23)) (-2502 (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL) (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL)) (-3174 (($ $ |#2|) NIL (|has| $ (-6 -4536))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-2695 (((-121) $) NIL)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091)))) (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-2691 (((-635 |#2|) $) NIL) (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 17)) (-1601 (((-121) $) 16)) (-1296 (($) 13)) (-1534 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569)) NIL) (($ $ (-1213 (-569))) NIL) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ "last") NIL) (($ $ "rest") NIL) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ "first") NIL) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ "value") NIL)) (-1686 (((-569) $ $) NIL)) (-2566 (($) 12) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-4514 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-1472 (((-121) $) NIL)) (-2645 (($ $) NIL)) (-2780 (($ $) NIL (|has| $ (-6 -4536)))) (-4035 (((-764) $) NIL)) (-4343 (($ $) NIL)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-764) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091)))) (((-764) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-764) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2697 (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL) (($ $ $) NIL)) (-2250 (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL) (($ (-635 $)) NIL) (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 25) (($ $ $) NIL)) (-2185 (((-851) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4114 (((-635 $) $) NIL)) (-2447 (((-121) $ $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-2793 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2990 (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") |#1| $) 43)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-1684 (((-121) $ $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-1668 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-1688 (((-121) $ $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-1678 (((-121) $ $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-4168 (((-764) $) 22 (|has| $ (-6 -4535))))) 
+(((-50 |#1| |#2|) (-41 |#1| |#2|) (-1091) (-1091)) (T -50)) 
 NIL 
 (-41 |#1| |#2|) 
-((-2171 (((-121) $) 12)) (-2797 (($ (-1 |#2| |#2|) $) 21)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL) (($ (-409 (-568)) $) 24) (($ $ (-409 (-568))) NIL))) 
-(((-51 |#1| |#2| |#3|) (-10 -8 (-15 * (|#1| |#1| (-409 (-568)))) (-15 * (|#1| (-409 (-568)) |#1|)) (-15 -2171 ((-121) |#1|)) (-15 -2797 (|#1| (-1 |#2| |#2|) |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-568) |#1|)) (-15 * (|#1| (-763) |#1|)) (-15 * (|#1| (-917) |#1|))) (-52 |#2| |#3|) (-1047) (-787)) (T -51)) 
-NIL 
-(-10 -8 (-15 * (|#1| |#1| (-409 (-568)))) (-15 * (|#1| (-409 (-568)) |#1|)) (-15 -2171 ((-121) |#1|)) (-15 -2797 (|#1| (-1 |#2| |#2|) |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-568) |#1|)) (-15 * (|#1| (-763) |#1|)) (-15 * (|#1| (-917) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 50 (|has| |#1| (-558)))) (-3661 (($ $) 51 (|has| |#1| (-558)))) (-4426 (((-121) $) 53 (|has| |#1| (-558)))) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-2116 (($ $) 59)) (-2902 (((-3 $ "failed") $) 33)) (-1598 (((-121) $) 30)) (-2171 (((-121) $) 61)) (-2049 (($ |#1| |#2|) 60)) (-2797 (($ (-1 |#1| |#1|) $) 62)) (-2099 (($ $) 64)) (-2104 ((|#1| $) 65)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2597 (((-3 $ "failed") $ $) 49 (|has| |#1| (-558)))) (-1836 ((|#2| $) 63)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ (-409 (-568))) 56 (|has| |#1| (-43 (-409 (-568))))) (($ $) 48 (|has| |#1| (-558))) (($ |#1|) 46 (|has| |#1| (-172)))) (-2079 ((|#1| $ |#2|) 58)) (-3385 (((-3 $ "failed") $) 47 (|has| |#1| (-148)))) (-3425 (((-763)) 28)) (-2273 (((-121) $ $) 52 (|has| |#1| (-558)))) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1781 (($ $ |#1|) 57 (|has| |#1| (-365)))) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-409 (-568)) $) 55 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) 54 (|has| |#1| (-43 (-409 (-568))))))) 
-(((-52 |#1| |#2|) (-1275) (-1047) (-787)) (T -52)) 
-((-2104 (*1 *2 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-787)) (-4 *2 (-1047)))) (-2099 (*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-787)))) (-1836 (*1 *2 *1) (-12 (-4 *1 (-52 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-787)))) (-2797 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-52 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-787)))) (-2171 (*1 *2 *1) (-12 (-4 *1 (-52 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-787)) (-5 *2 (-121)))) (-2049 (*1 *1 *2 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-787)))) (-2116 (*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-787)))) (-2079 (*1 *2 *1 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-787)) (-4 *2 (-1047)))) (-1781 (*1 *1 *1 *2) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-787)) (-4 *2 (-365))))) 
-(-13 (-1047) (-120 |t#1| |t#1|) (-10 -8 (-15 -2104 (|t#1| $)) (-15 -2099 ($ $)) (-15 -1836 (|t#2| $)) (-15 -2797 ($ (-1 |t#1| |t#1|) $)) (-15 -2171 ((-121) $)) (-15 -2049 ($ |t#1| |t#2|)) (-15 -2116 ($ $)) (-15 -2079 (|t#1| $ |t#2|)) (IF (|has| |t#1| (-365)) (-15 -1781 ($ $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-172)) (PROGN (-6 (-172)) (-6 (-43 |t#1|))) |noBranch|) (IF (|has| |t#1| (-150)) (-6 (-150)) |noBranch|) (IF (|has| |t#1| (-148)) (-6 (-148)) |noBranch|) (IF (|has| |t#1| (-558)) (-6 (-558)) |noBranch|) (IF (|has| |t#1| (-43 (-409 (-568)))) (-6 (-43 (-409 (-568)))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-43 |#1|) |has| |#1| (-172)) ((-43 $) |has| |#1| (-558)) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2199 (|has| |#1| (-558)) (|has| |#1| (-172))) ((-137) . T) ((-148) |has| |#1| (-148)) ((-150) |has| |#1| (-150)) ((-608 (-850)) . T) ((-172) -2199 (|has| |#1| (-558)) (|has| |#1| (-172))) ((-285) |has| |#1| (-558)) ((-558) |has| |#1| (-558)) ((-637 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-637 |#1|) . T) ((-637 $) . T) ((-707 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-707 |#1|) |has| |#1| (-172)) ((-707 $) |has| |#1| (-558)) ((-716) . T) ((-1053 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-1053 |#1|) . T) ((-1053 $) -2199 (|has| |#1| (-558)) (|has| |#1| (-172))) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) NIL)) (-2251 (((-634 $) (-1157 $) (-1161)) NIL) (((-634 $) (-1157 $)) NIL) (((-634 $) (-953 $)) NIL)) (-3505 (($ (-1157 $) (-1161)) NIL) (($ (-1157 $)) NIL) (($ (-953 $)) NIL)) (-1819 (((-121) $) 11)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-3145 (((-634 (-607 $)) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4069 (($ $ (-288 $)) NIL) (($ $ (-634 (-288 $))) NIL) (($ $ (-634 (-607 $)) (-634 $)) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-1904 (($ $) NIL)) (-2589 (((-121) $ $) NIL)) (-4490 (($) NIL T CONST)) (-1867 (((-634 $) (-1157 $) (-1161)) NIL) (((-634 $) (-1157 $)) NIL) (((-634 $) (-953 $)) NIL)) (-2919 (($ (-1157 $) (-1161)) NIL) (($ (-1157 $)) NIL) (($ (-953 $)) NIL)) (-3668 (((-3 (-607 $) "failed") $) NIL) (((-3 (-568) "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL)) (-2857 (((-607 $) $) NIL) (((-568) $) NIL) (((-409 (-568)) $) NIL)) (-2403 (($ $ $) NIL)) (-1668 (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL) (((-679 (-568)) (-679 $)) NIL) (((-2 (|:| -2908 (-679 (-409 (-568)))) (|:| |vec| (-1244 (-409 (-568))))) (-679 $) (-1244 $)) NIL) (((-679 (-409 (-568))) (-679 $)) NIL)) (-3094 (($ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-2197 (((-121) $) NIL)) (-3855 (($ $) NIL) (($ (-634 $)) NIL)) (-2160 (((-634 (-123)) $) NIL)) (-3842 (((-123) (-123)) NIL)) (-1598 (((-121) $) 14)) (-2268 (((-121) $) NIL (|has| $ (-1037 (-568))))) (-2319 (((-1113 (-568) (-607 $)) $) NIL)) (-1550 (($ $ (-568)) NIL)) (-4417 (((-1157 $) (-1157 $) (-607 $)) NIL) (((-1157 $) (-1157 $) (-634 (-607 $))) NIL) (($ $ (-607 $)) NIL) (($ $ (-634 (-607 $))) NIL)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-3170 (((-1157 $) (-607 $)) NIL (|has| $ (-1047)))) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-2797 (($ (-1 $ $) (-607 $)) NIL)) (-2337 (((-3 (-607 $) "failed") $) NIL)) (-2498 (($ (-634 $)) NIL) (($ $ $) NIL)) (-1893 (((-1143) $) NIL)) (-3832 (((-634 (-607 $)) $) NIL)) (-3446 (($ (-123) $) NIL) (($ (-123) (-634 $)) NIL)) (-3910 (((-121) $ (-123)) NIL) (((-121) $ (-1161)) NIL)) (-2083 (($ $) NIL)) (-2963 (((-763) $) NIL)) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ (-634 $)) NIL) (($ $ $) NIL)) (-1609 (((-121) $ $) NIL) (((-121) $ (-1161)) NIL)) (-3850 (((-420 $) $) NIL)) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-2080 (((-121) $) NIL (|has| $ (-1037 (-568))))) (-1339 (($ $ (-607 $) $) NIL) (($ $ (-634 (-607 $)) (-634 $)) NIL) (($ $ (-634 (-288 $))) NIL) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL) (($ $ (-634 (-1161)) (-634 (-1 $ $))) NIL) (($ $ (-634 (-1161)) (-634 (-1 $ (-634 $)))) NIL) (($ $ (-1161) (-1 $ (-634 $))) NIL) (($ $ (-1161) (-1 $ $)) NIL) (($ $ (-634 (-123)) (-634 (-1 $ $))) NIL) (($ $ (-634 (-123)) (-634 (-1 $ (-634 $)))) NIL) (($ $ (-123) (-1 $ (-634 $))) NIL) (($ $ (-123) (-1 $ $)) NIL)) (-1466 (((-763) $) NIL)) (-2781 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-634 $)) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-3924 (($ $) NIL) (($ $ $) NIL)) (-4191 (($ $ (-763)) NIL) (($ $) NIL)) (-2326 (((-1113 (-568) (-607 $)) $) NIL)) (-1492 (($ $) NIL (|has| $ (-1047)))) (-4280 (((-381) $) NIL) (((-215) $) NIL) (((-169 (-381)) $) NIL)) (-2747 (((-850) $) NIL) (($ (-607 $)) NIL) (($ (-409 (-568))) NIL) (($ $) NIL) (($ (-568)) NIL) (($ (-1113 (-568) (-607 $))) NIL)) (-3425 (((-763)) NIL)) (-3159 (($ $) NIL) (($ (-634 $)) NIL)) (-2779 (((-121) (-123)) NIL)) (-2273 (((-121) $ $) NIL)) (-1889 (($ $ (-568)) NIL) (($ $ (-763)) NIL) (($ $ (-917)) NIL)) (-3058 (($) 7 T CONST)) (-1557 (($) 12 T CONST)) (-3192 (($ $ (-763)) NIL) (($ $) NIL)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 16)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) NIL)) (-1781 (($ $ $) NIL)) (-1775 (($ $ $) 15) (($ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-409 (-568))) NIL) (($ $ (-568)) NIL) (($ $ (-763)) NIL) (($ $ (-917)) NIL)) (* (($ (-409 (-568)) $) NIL) (($ $ (-409 (-568))) NIL) (($ $ $) NIL) (($ (-568) $) NIL) (($ (-763) $) NIL) (($ (-917) $) NIL))) 
-(((-53) (-13 (-296) (-27) (-1037 (-568)) (-1037 (-409 (-568))) (-630 (-568)) (-1021) (-630 (-409 (-568))) (-150) (-609 (-169 (-381))) (-225) (-10 -8 (-15 -2747 ($ (-1113 (-568) (-607 $)))) (-15 -2319 ((-1113 (-568) (-607 $)) $)) (-15 -2326 ((-1113 (-568) (-607 $)) $)) (-15 -3094 ($ $)) (-15 -4417 ((-1157 $) (-1157 $) (-607 $))) (-15 -4417 ((-1157 $) (-1157 $) (-634 (-607 $)))) (-15 -4417 ($ $ (-607 $))) (-15 -4417 ($ $ (-634 (-607 $))))))) (T -53)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1113 (-568) (-607 (-53)))) (-5 *1 (-53)))) (-2319 (*1 *2 *1) (-12 (-5 *2 (-1113 (-568) (-607 (-53)))) (-5 *1 (-53)))) (-2326 (*1 *2 *1) (-12 (-5 *2 (-1113 (-568) (-607 (-53)))) (-5 *1 (-53)))) (-3094 (*1 *1 *1) (-5 *1 (-53))) (-4417 (*1 *2 *2 *3) (-12 (-5 *2 (-1157 (-53))) (-5 *3 (-607 (-53))) (-5 *1 (-53)))) (-4417 (*1 *2 *2 *3) (-12 (-5 *2 (-1157 (-53))) (-5 *3 (-634 (-607 (-53)))) (-5 *1 (-53)))) (-4417 (*1 *1 *1 *2) (-12 (-5 *2 (-607 (-53))) (-5 *1 (-53)))) (-4417 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-607 (-53)))) (-5 *1 (-53))))) 
-(-13 (-296) (-27) (-1037 (-568)) (-1037 (-409 (-568))) (-630 (-568)) (-1021) (-630 (-409 (-568))) (-150) (-609 (-169 (-381))) (-225) (-10 -8 (-15 -2747 ($ (-1113 (-568) (-607 $)))) (-15 -2319 ((-1113 (-568) (-607 $)) $)) (-15 -2326 ((-1113 (-568) (-607 $)) $)) (-15 -3094 ($ $)) (-15 -4417 ((-1157 $) (-1157 $) (-607 $))) (-15 -4417 ((-1157 $) (-1157 $) (-634 (-607 $)))) (-15 -4417 ($ $ (-607 $))) (-15 -4417 ($ $ (-634 (-607 $)))))) 
-((-2449 (((-121) $ $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) 7)) (-1719 (((-121) $ $) NIL))) 
-(((-54) (-1090)) (T -54)) 
-NIL 
-(-1090) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 60)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-1407 (((-121) $) 20)) (-3668 (((-3 |#1| "failed") $) 23)) (-2857 ((|#1| $) 24)) (-2116 (($ $) 27)) (-2902 (((-3 $ "failed") $) NIL)) (-1598 (((-121) $) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-2104 ((|#1| $) 21)) (-4313 (($ $) 49)) (-1893 (((-1143) $) NIL)) (-1923 (((-121) $) 28)) (-4025 (((-1108) $) NIL)) (-2707 (($ (-763)) 47)) (-1894 (($ (-634 (-568))) 48)) (-1836 (((-763) $) 29)) (-2747 (((-850) $) 63) (($ (-568)) 44) (($ |#1|) 42)) (-2079 ((|#1| $ $) 19)) (-3425 (((-763)) 46)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 30 T CONST)) (-1557 (($) 14 T CONST)) (-1719 (((-121) $ $) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) 40)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 41) (($ |#1| $) 35))) 
-(((-55 |#1| |#2|) (-13 (-612 |#1|) (-1037 |#1|) (-10 -8 (-15 -2104 (|#1| $)) (-15 -4313 ($ $)) (-15 -2116 ($ $)) (-15 -2079 (|#1| $ $)) (-15 -2707 ($ (-763))) (-15 -1894 ($ (-634 (-568)))) (-15 -1923 ((-121) $)) (-15 -1407 ((-121) $)) (-15 -1836 ((-763) $)) (-15 -2797 ($ (-1 |#1| |#1|) $)))) (-1047) (-634 (-1161))) (T -55)) 
-((-2104 (*1 *2 *1) (-12 (-4 *2 (-1047)) (-5 *1 (-55 *2 *3)) (-14 *3 (-634 (-1161))))) (-4313 (*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1047)) (-14 *3 (-634 (-1161))))) (-2116 (*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1047)) (-14 *3 (-634 (-1161))))) (-2079 (*1 *2 *1 *1) (-12 (-4 *2 (-1047)) (-5 *1 (-55 *2 *3)) (-14 *3 (-634 (-1161))))) (-2707 (*1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1047)) (-14 *4 (-634 (-1161))))) (-1894 (*1 *1 *2) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-55 *3 *4)) (-4 *3 (-1047)) (-14 *4 (-634 (-1161))))) (-1923 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1047)) (-14 *4 (-634 (-1161))))) (-1407 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1047)) (-14 *4 (-634 (-1161))))) (-1836 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1047)) (-14 *4 (-634 (-1161))))) (-2797 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1047)) (-5 *1 (-55 *3 *4)) (-14 *4 (-634 (-1161)))))) 
-(-13 (-612 |#1|) (-1037 |#1|) (-10 -8 (-15 -2104 (|#1| $)) (-15 -4313 ($ $)) (-15 -2116 ($ $)) (-15 -2079 (|#1| $ $)) (-15 -2707 ($ (-763))) (-15 -1894 ($ (-634 (-568)))) (-15 -1923 ((-121) $)) (-15 -1407 ((-121) $)) (-15 -1836 ((-763) $)) (-15 -2797 ($ (-1 |#1| |#1|) $)))) 
-((-1407 (((-121) (-57)) 13)) (-3668 (((-3 |#1| "failed") (-57)) 21)) (-2857 ((|#1| (-57)) 22)) (-2747 (((-57) |#1|) 18))) 
-(((-56 |#1|) (-10 -7 (-15 -2747 ((-57) |#1|)) (-15 -3668 ((-3 |#1| "failed") (-57))) (-15 -1407 ((-121) (-57))) (-15 -2857 (|#1| (-57)))) (-1195)) (T -56)) 
-((-2857 (*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1195)))) (-1407 (*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *2 (-121)) (-5 *1 (-56 *4)) (-4 *4 (-1195)))) (-3668 (*1 *2 *3) (|partial| -12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1195)))) (-2747 (*1 *2 *3) (-12 (-5 *2 (-57)) (-5 *1 (-56 *3)) (-4 *3 (-1195))))) 
-(-10 -7 (-15 -2747 ((-57) |#1|)) (-15 -3668 ((-3 |#1| "failed") (-57))) (-15 -1407 ((-121) (-57))) (-15 -2857 (|#1| (-57)))) 
-((-2449 (((-121) $ $) NIL)) (-1428 (((-1143) (-121)) 25)) (-4020 (((-850) $) 24)) (-1580 (((-766) $) 12)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-1895 (((-850) $) 16)) (-2402 (((-1094) $) 14)) (-2747 (((-850) $) 32)) (-3467 (($ (-1094) (-766)) 33)) (-1719 (((-121) $ $) 18))) 
-(((-57) (-13 (-1090) (-10 -8 (-15 -3467 ($ (-1094) (-766))) (-15 -1895 ((-850) $)) (-15 -4020 ((-850) $)) (-15 -2402 ((-1094) $)) (-15 -1580 ((-766) $)) (-15 -1428 ((-1143) (-121)))))) (T -57)) 
-((-3467 (*1 *1 *2 *3) (-12 (-5 *2 (-1094)) (-5 *3 (-766)) (-5 *1 (-57)))) (-1895 (*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-57)))) (-4020 (*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-57)))) (-2402 (*1 *2 *1) (-12 (-5 *2 (-1094)) (-5 *1 (-57)))) (-1580 (*1 *2 *1) (-12 (-5 *2 (-766)) (-5 *1 (-57)))) (-1428 (*1 *2 *3) (-12 (-5 *3 (-121)) (-5 *2 (-1143)) (-5 *1 (-57))))) 
-(-13 (-1090) (-10 -8 (-15 -3467 ($ (-1094) (-766))) (-15 -1895 ((-850) $)) (-15 -4020 ((-850) $)) (-15 -2402 ((-1094) $)) (-15 -1580 ((-766) $)) (-15 -1428 ((-1143) (-121))))) 
-((-1643 (((-1249)) 19)) (-2523 (((-1092 (-1161)) (-1161)) 15)) (-1693 (((-1249)) 18))) 
-(((-58) (-10 -7 (-15 -2523 ((-1092 (-1161)) (-1161))) (-15 -1693 ((-1249))) (-15 -1643 ((-1249))))) (T -58)) 
-((-1643 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-58)))) (-1693 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-58)))) (-2523 (*1 *2 *3) (-12 (-5 *2 (-1092 (-1161))) (-5 *1 (-58)) (-5 *3 (-1161))))) 
-(-10 -7 (-15 -2523 ((-1092 (-1161)) (-1161))) (-15 -1693 ((-1249))) (-15 -1643 ((-1249)))) 
-((-3828 ((|#2| |#3| (-1 |#2| |#2|) |#2|) 16))) 
-(((-59 |#1| |#2| |#3|) (-10 -7 (-15 -3828 (|#2| |#3| (-1 |#2| |#2|) |#2|))) (-1047) (-637 |#1|) (-844 |#1|)) (T -59)) 
-((-3828 (*1 *2 *3 *4 *2) (-12 (-5 *4 (-1 *2 *2)) (-4 *2 (-637 *5)) (-4 *5 (-1047)) (-5 *1 (-59 *5 *2 *3)) (-4 *3 (-844 *5))))) 
-(-10 -7 (-15 -3828 (|#2| |#3| (-1 |#2| |#2|) |#2|))) 
-((-3788 ((|#3| |#3| (-634 (-1161))) 35)) (-4398 ((|#3| (-634 (-1069 |#1| |#2| |#3|)) |#3| (-917)) 22) ((|#3| (-634 (-1069 |#1| |#2| |#3|)) |#3|) 20))) 
-(((-60 |#1| |#2| |#3|) (-10 -7 (-15 -4398 (|#3| (-634 (-1069 |#1| |#2| |#3|)) |#3|)) (-15 -4398 (|#3| (-634 (-1069 |#1| |#2| |#3|)) |#3| (-917))) (-15 -3788 (|#3| |#3| (-634 (-1161))))) (-1090) (-13 (-1047) (-881 |#1|) (-842) (-609 (-887 |#1|))) (-13 (-432 |#2|) (-881 |#1|) (-609 (-887 |#1|)))) (T -60)) 
-((-3788 (*1 *2 *2 *3) (-12 (-5 *3 (-634 (-1161))) (-4 *4 (-1090)) (-4 *5 (-13 (-1047) (-881 *4) (-842) (-609 (-887 *4)))) (-5 *1 (-60 *4 *5 *2)) (-4 *2 (-13 (-432 *5) (-881 *4) (-609 (-887 *4)))))) (-4398 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-634 (-1069 *5 *6 *2))) (-5 *4 (-917)) (-4 *5 (-1090)) (-4 *6 (-13 (-1047) (-881 *5) (-842) (-609 (-887 *5)))) (-4 *2 (-13 (-432 *6) (-881 *5) (-609 (-887 *5)))) (-5 *1 (-60 *5 *6 *2)))) (-4398 (*1 *2 *3 *2) (-12 (-5 *3 (-634 (-1069 *4 *5 *2))) (-4 *4 (-1090)) (-4 *5 (-13 (-1047) (-881 *4) (-842) (-609 (-887 *4)))) (-4 *2 (-13 (-432 *5) (-881 *4) (-609 (-887 *4)))) (-5 *1 (-60 *4 *5 *2))))) 
-(-10 -7 (-15 -4398 (|#3| (-634 (-1069 |#1| |#2| |#3|)) |#3|)) (-15 -4398 (|#3| (-634 (-1069 |#1| |#2| |#3|)) |#3| (-917))) (-15 -3788 (|#3| |#3| (-634 (-1161))))) 
-((-1667 (((-121) $ (-763)) 23)) (-3874 (($ $ (-568) |#3|) 45)) (-2525 (($ $ (-568) |#4|) 49)) (-2228 ((|#3| $ (-568)) 58)) (-3317 (((-634 |#2|) $) 30)) (-3791 (((-121) $ (-763)) 25)) (-2551 (((-121) |#2| $) 53)) (-2253 (($ (-1 |#2| |#2|) $) 37)) (-2797 (($ (-1 |#2| |#2|) $) 36) (($ (-1 |#2| |#2| |#2|) $ $) 39) (($ (-1 |#2| |#2| |#2|) $ $ |#2|) 41)) (-3796 (((-121) $ (-763)) 24)) (-2490 (($ $ |#2|) 34)) (-3951 (((-121) (-1 (-121) |#2|) $) 19)) (-2781 ((|#2| $ (-568) (-568)) NIL) ((|#2| $ (-568) (-568) |#2|) 27)) (-4170 (((-763) (-1 (-121) |#2|) $) 28) (((-763) |#2| $) 55)) (-3865 (($ $) 33)) (-2522 ((|#4| $ (-568)) 61)) (-2747 (((-850) $) 66)) (-3437 (((-121) (-1 (-121) |#2|) $) 18)) (-1719 (((-121) $ $) 52)) (-1699 (((-763) $) 26))) 
-(((-61 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -2797 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1| |#2|)) (-15 -2797 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -2253 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2525 (|#1| |#1| (-568) |#4|)) (-15 -3874 (|#1| |#1| (-568) |#3|)) (-15 -3317 ((-634 |#2|) |#1|)) (-15 -2522 (|#4| |#1| (-568))) (-15 -2228 (|#3| |#1| (-568))) (-15 -2781 (|#2| |#1| (-568) (-568) |#2|)) (-15 -2781 (|#2| |#1| (-568) (-568))) (-15 -2490 (|#1| |#1| |#2|)) (-15 -1719 ((-121) |#1| |#1|)) (-15 -2747 ((-850) |#1|)) (-15 -2551 ((-121) |#2| |#1|)) (-15 -4170 ((-763) |#2| |#1|)) (-15 -4170 ((-763) (-1 (-121) |#2|) |#1|)) (-15 -3951 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3437 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2797 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1699 ((-763) |#1|)) (-15 -1667 ((-121) |#1| (-763))) (-15 -3791 ((-121) |#1| (-763))) (-15 -3796 ((-121) |#1| (-763))) (-15 -3865 (|#1| |#1|))) (-62 |#2| |#3| |#4|) (-1195) (-375 |#2|) (-375 |#2|)) (T -61)) 
-NIL 
-(-10 -8 (-15 -2797 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1| |#2|)) (-15 -2797 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -2253 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2525 (|#1| |#1| (-568) |#4|)) (-15 -3874 (|#1| |#1| (-568) |#3|)) (-15 -3317 ((-634 |#2|) |#1|)) (-15 -2522 (|#4| |#1| (-568))) (-15 -2228 (|#3| |#1| (-568))) (-15 -2781 (|#2| |#1| (-568) (-568) |#2|)) (-15 -2781 (|#2| |#1| (-568) (-568))) (-15 -2490 (|#1| |#1| |#2|)) (-15 -1719 ((-121) |#1| |#1|)) (-15 -2747 ((-850) |#1|)) (-15 -2551 ((-121) |#2| |#1|)) (-15 -4170 ((-763) |#2| |#1|)) (-15 -4170 ((-763) (-1 (-121) |#2|) |#1|)) (-15 -3951 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3437 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2797 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1699 ((-763) |#1|)) (-15 -1667 ((-121) |#1| (-763))) (-15 -3791 ((-121) |#1| (-763))) (-15 -3796 ((-121) |#1| (-763))) (-15 -3865 (|#1| |#1|))) 
-((-2449 (((-121) $ $) 18 (|has| |#1| (-1090)))) (-1667 (((-121) $ (-763)) 8)) (-2438 ((|#1| $ (-568) (-568) |#1|) 41)) (-3874 (($ $ (-568) |#2|) 39)) (-2525 (($ $ (-568) |#3|) 38)) (-4490 (($) 7 T CONST)) (-2228 ((|#2| $ (-568)) 43)) (-1292 ((|#1| $ (-568) (-568) |#1|) 40)) (-2069 ((|#1| $ (-568) (-568)) 45)) (-3317 (((-634 |#1|) $) 30)) (-2241 (((-763) $) 48)) (-1851 (($ (-763) (-763) |#1|) 54)) (-1901 (((-763) $) 47)) (-3791 (((-121) $ (-763)) 9)) (-3139 (((-568) $) 52)) (-1343 (((-568) $) 50)) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3405 (((-568) $) 51)) (-2801 (((-568) $) 49)) (-2253 (($ (-1 |#1| |#1|) $) 34)) (-2797 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 37) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) 36)) (-3796 (((-121) $ (-763)) 10)) (-1893 (((-1143) $) 22 (|has| |#1| (-1090)))) (-4025 (((-1108) $) 21 (|has| |#1| (-1090)))) (-2490 (($ $ |#1|) 53)) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-2781 ((|#1| $ (-568) (-568)) 46) ((|#1| $ (-568) (-568) |#1|) 44)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-2522 ((|#3| $ (-568)) 42)) (-2747 (((-850) $) 20 (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-62 |#1| |#2| |#3|) (-1275) (-1195) (-375 |t#1|) (-375 |t#1|)) (T -62)) 
-((-2797 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1195)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) (-1851 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-763)) (-4 *3 (-1195)) (-4 *1 (-62 *3 *4 *5)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) (-2490 (*1 *1 *1 *2) (-12 (-4 *1 (-62 *2 *3 *4)) (-4 *2 (-1195)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)))) (-3139 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1195)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *2 (-568)))) (-3405 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1195)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *2 (-568)))) (-1343 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1195)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *2 (-568)))) (-2801 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1195)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *2 (-568)))) (-2241 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1195)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *2 (-763)))) (-1901 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1195)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *2 (-763)))) (-2781 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-568)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-375 *2)) (-4 *5 (-375 *2)) (-4 *2 (-1195)))) (-2069 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-568)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-375 *2)) (-4 *5 (-375 *2)) (-4 *2 (-1195)))) (-2781 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-568)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1195)) (-4 *4 (-375 *2)) (-4 *5 (-375 *2)))) (-2228 (*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-62 *4 *2 *5)) (-4 *4 (-1195)) (-4 *5 (-375 *4)) (-4 *2 (-375 *4)))) (-2522 (*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-62 *4 *5 *2)) (-4 *4 (-1195)) (-4 *5 (-375 *4)) (-4 *2 (-375 *4)))) (-3317 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1195)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *2 (-634 *3)))) (-2438 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-568)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1195)) (-4 *4 (-375 *2)) (-4 *5 (-375 *2)))) (-1292 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-568)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1195)) (-4 *4 (-375 *2)) (-4 *5 (-375 *2)))) (-3874 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-568)) (-4 *1 (-62 *4 *3 *5)) (-4 *4 (-1195)) (-4 *3 (-375 *4)) (-4 *5 (-375 *4)))) (-2525 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-568)) (-4 *1 (-62 *4 *5 *3)) (-4 *4 (-1195)) (-4 *5 (-375 *4)) (-4 *3 (-375 *4)))) (-2253 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1195)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) (-2797 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1195)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) (-2797 (*1 *1 *2 *1 *1 *3) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1195)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3))))) 
-(-13 (-499 |t#1|) (-10 -8 (-6 -4522) (-6 -4521) (-15 -1851 ($ (-763) (-763) |t#1|)) (-15 -2490 ($ $ |t#1|)) (-15 -3139 ((-568) $)) (-15 -3405 ((-568) $)) (-15 -1343 ((-568) $)) (-15 -2801 ((-568) $)) (-15 -2241 ((-763) $)) (-15 -1901 ((-763) $)) (-15 -2781 (|t#1| $ (-568) (-568))) (-15 -2069 (|t#1| $ (-568) (-568))) (-15 -2781 (|t#1| $ (-568) (-568) |t#1|)) (-15 -2228 (|t#2| $ (-568))) (-15 -2522 (|t#3| $ (-568))) (-15 -3317 ((-634 |t#1|) $)) (-15 -2438 (|t#1| $ (-568) (-568) |t#1|)) (-15 -1292 (|t#1| $ (-568) (-568) |t#1|)) (-15 -3874 ($ $ (-568) |t#2|)) (-15 -2525 ($ $ (-568) |t#3|)) (-15 -2797 ($ (-1 |t#1| |t#1|) $)) (-15 -2253 ($ (-1 |t#1| |t#1|) $)) (-15 -2797 ($ (-1 |t#1| |t#1| |t#1|) $ $)) (-15 -2797 ($ (-1 |t#1| |t#1| |t#1|) $ $ |t#1|)))) 
-(((-39) . T) ((-105) |has| |#1| (-1090)) ((-608 (-850)) |has| |#1| (-1090)) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-499 |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-1090) |has| |#1| (-1090)) ((-1195) . T)) 
-((-1678 (((-64 |#2|) (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|) 16)) (-3094 ((|#2| (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|) 18)) (-2797 (((-64 |#2|) (-1 |#2| |#1|) (-64 |#1|)) 13))) 
-(((-63 |#1| |#2|) (-10 -7 (-15 -1678 ((-64 |#2|) (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -3094 (|#2| (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -2797 ((-64 |#2|) (-1 |#2| |#1|) (-64 |#1|)))) (-1195) (-1195)) (T -63)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-64 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-64 *6)) (-5 *1 (-63 *5 *6)))) (-3094 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-64 *5)) (-4 *5 (-1195)) (-4 *2 (-1195)) (-5 *1 (-63 *5 *2)))) (-1678 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-64 *6)) (-4 *6 (-1195)) (-4 *5 (-1195)) (-5 *2 (-64 *5)) (-5 *1 (-63 *6 *5))))) 
-(-10 -7 (-15 -1678 ((-64 |#2|) (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -3094 (|#2| (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -2797 ((-64 |#2|) (-1 |#2| |#1|) (-64 |#1|)))) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-2481 (((-1249) $ (-568) (-568)) NIL (|has| $ (-6 -4522)))) (-1324 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-842)))) (-2109 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4522))) (($ $) NIL (-12 (|has| $ (-6 -4522)) (|has| |#1| (-842))))) (-3647 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-842)))) (-1667 (((-121) $ (-763)) NIL)) (-2438 ((|#1| $ (-568) |#1|) 11 (|has| $ (-6 -4522))) ((|#1| $ (-1210 (-568)) |#1|) NIL (|has| $ (-6 -4522)))) (-2803 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-4490 (($) NIL T CONST)) (-4452 (($ $) NIL (|has| $ (-6 -4522)))) (-3945 (($ $) NIL)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-4330 (($ |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4521)))) (-1292 ((|#1| $ (-568) |#1|) NIL (|has| $ (-6 -4522)))) (-2069 ((|#1| $ (-568)) NIL)) (-2766 (((-568) (-1 (-121) |#1|) $) NIL) (((-568) |#1| $) NIL (|has| |#1| (-1090))) (((-568) |#1| $ (-568)) NIL (|has| |#1| (-1090)))) (-3317 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2261 (($ (-634 |#1|)) 13) (($ (-763) |#1|) 14)) (-1851 (($ (-763) |#1|) 9)) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-568) $) NIL (|has| (-568) (-842)))) (-1732 (($ $ $) NIL (|has| |#1| (-842)))) (-3645 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-842)))) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3631 (((-568) $) NIL (|has| (-568) (-842)))) (-2047 (($ $ $) NIL (|has| |#1| (-842)))) (-2253 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-4124 (($ |#1| $ (-568)) NIL) (($ $ $ (-568)) NIL)) (-3948 (((-634 (-568)) $) NIL)) (-2916 (((-121) (-568) $) NIL)) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-3877 ((|#1| $) NIL (|has| (-568) (-842)))) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2490 (($ $ |#1|) NIL (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1480 (((-634 |#1|) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) 7)) (-2781 ((|#1| $ (-568) |#1|) NIL) ((|#1| $ (-568)) NIL) (($ $ (-1210 (-568))) NIL)) (-2828 (($ $ (-568)) NIL) (($ $ (-1210 (-568))) NIL)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3306 (($ $ $ (-568)) NIL (|has| $ (-6 -4522)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) NIL (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) NIL)) (-2770 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-634 $)) NIL)) (-2747 (((-850) $) NIL (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1753 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1719 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1747 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-64 |#1|) (-13 (-19 |#1|) (-10 -8 (-15 -2261 ($ (-634 |#1|))) (-15 -2261 ($ (-763) |#1|)))) (-1195)) (T -64)) 
-((-2261 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1195)) (-5 *1 (-64 *3)))) (-2261 (*1 *1 *2 *3) (-12 (-5 *2 (-763)) (-5 *1 (-64 *3)) (-4 *3 (-1195))))) 
-(-13 (-19 |#1|) (-10 -8 (-15 -2261 ($ (-634 |#1|))) (-15 -2261 ($ (-763) |#1|)))) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1667 (((-121) $ (-763)) NIL)) (-2438 ((|#1| $ (-568) (-568) |#1|) NIL)) (-3874 (($ $ (-568) (-64 |#1|)) NIL)) (-2525 (($ $ (-568) (-64 |#1|)) NIL)) (-4490 (($) NIL T CONST)) (-2228 (((-64 |#1|) $ (-568)) NIL)) (-1292 ((|#1| $ (-568) (-568) |#1|) NIL)) (-2069 ((|#1| $ (-568) (-568)) NIL)) (-3317 (((-634 |#1|) $) NIL)) (-2241 (((-763) $) NIL)) (-1851 (($ (-763) (-763) |#1|) NIL)) (-1901 (((-763) $) NIL)) (-3791 (((-121) $ (-763)) NIL)) (-3139 (((-568) $) NIL)) (-1343 (((-568) $) NIL)) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3405 (((-568) $) NIL)) (-2801 (((-568) $) NIL)) (-2253 (($ (-1 |#1| |#1|) $) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-2490 (($ $ |#1|) NIL)) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#1| $ (-568) (-568)) NIL) ((|#1| $ (-568) (-568) |#1|) NIL)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3865 (($ $) NIL)) (-2522 (((-64 |#1|) $ (-568)) NIL)) (-2747 (((-850) $) NIL (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-65 |#1|) (-13 (-62 |#1| (-64 |#1|) (-64 |#1|)) (-10 -7 (-6 -4522))) (-1195)) (T -65)) 
-NIL 
-(-13 (-62 |#1| (-64 |#1|) (-64 |#1|)) (-10 -7 (-6 -4522))) 
-((-3668 (((-3 $ "failed") (-1244 (-310 (-381)))) 69) (((-3 $ "failed") (-1244 (-310 (-568)))) 58) (((-3 $ "failed") (-1244 (-953 (-381)))) 91) (((-3 $ "failed") (-1244 (-953 (-568)))) 80) (((-3 $ "failed") (-1244 (-409 (-953 (-381))))) 47) (((-3 $ "failed") (-1244 (-409 (-953 (-568))))) 36)) (-2857 (($ (-1244 (-310 (-381)))) 65) (($ (-1244 (-310 (-568)))) 54) (($ (-1244 (-953 (-381)))) 87) (($ (-1244 (-953 (-568)))) 76) (($ (-1244 (-409 (-953 (-381))))) 43) (($ (-1244 (-409 (-953 (-568))))) 29)) (-4130 (((-1249) $) 118)) (-2747 (((-850) $) 111) (($ (-634 (-328))) 100) (($ (-328)) 94) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 97) (($ (-1244 (-337 (-4289 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-4289) (-688)))) 28))) 
-(((-66 |#1|) (-13 (-442) (-10 -8 (-15 -2747 ($ (-1244 (-337 (-4289 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-4289) (-688))))))) (-1161)) (T -66)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1244 (-337 (-4289 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-4289) (-688)))) (-5 *1 (-66 *3)) (-14 *3 (-1161))))) 
-(-13 (-442) (-10 -8 (-15 -2747 ($ (-1244 (-337 (-4289 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-4289) (-688))))))) 
-((-4130 (((-1249) $) 48) (((-1249)) 49)) (-2747 (((-850) $) 45))) 
-(((-67 |#1|) (-13 (-397) (-10 -7 (-15 -4130 ((-1249))))) (-1161)) (T -67)) 
-((-4130 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-67 *3)) (-14 *3 (-1161))))) 
-(-13 (-397) (-10 -7 (-15 -4130 ((-1249))))) 
-((-3668 (((-3 $ "failed") (-1244 (-310 (-381)))) 142) (((-3 $ "failed") (-1244 (-310 (-568)))) 132) (((-3 $ "failed") (-1244 (-953 (-381)))) 163) (((-3 $ "failed") (-1244 (-953 (-568)))) 152) (((-3 $ "failed") (-1244 (-409 (-953 (-381))))) 121) (((-3 $ "failed") (-1244 (-409 (-953 (-568))))) 110)) (-2857 (($ (-1244 (-310 (-381)))) 138) (($ (-1244 (-310 (-568)))) 128) (($ (-1244 (-953 (-381)))) 159) (($ (-1244 (-953 (-568)))) 148) (($ (-1244 (-409 (-953 (-381))))) 117) (($ (-1244 (-409 (-953 (-568))))) 103)) (-4130 (((-1249) $) 96)) (-2747 (((-850) $) 90) (($ (-634 (-328))) 28) (($ (-328)) 34) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 31) (($ (-1244 (-337 (-4289) (-4289 (QUOTE XC)) (-688)))) 88))) 
-(((-68 |#1|) (-13 (-442) (-10 -8 (-15 -2747 ($ (-1244 (-337 (-4289) (-4289 (QUOTE XC)) (-688))))))) (-1161)) (T -68)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1244 (-337 (-4289) (-4289 (QUOTE XC)) (-688)))) (-5 *1 (-68 *3)) (-14 *3 (-1161))))) 
-(-13 (-442) (-10 -8 (-15 -2747 ($ (-1244 (-337 (-4289) (-4289 (QUOTE XC)) (-688))))))) 
-((-3668 (((-3 $ "failed") (-310 (-381))) 36) (((-3 $ "failed") (-310 (-568))) 41) (((-3 $ "failed") (-953 (-381))) 46) (((-3 $ "failed") (-953 (-568))) 51) (((-3 $ "failed") (-409 (-953 (-381)))) 31) (((-3 $ "failed") (-409 (-953 (-568)))) 26)) (-2857 (($ (-310 (-381))) 34) (($ (-310 (-568))) 39) (($ (-953 (-381))) 44) (($ (-953 (-568))) 49) (($ (-409 (-953 (-381)))) 29) (($ (-409 (-953 (-568)))) 23)) (-4130 (((-1249) $) 73)) (-2747 (((-850) $) 66) (($ (-634 (-328))) 57) (($ (-328)) 63) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 60) (($ (-337 (-4289 (QUOTE X)) (-4289) (-688))) 22))) 
-(((-69 |#1|) (-13 (-398) (-10 -8 (-15 -2747 ($ (-337 (-4289 (QUOTE X)) (-4289) (-688)))))) (-1161)) (T -69)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-337 (-4289 (QUOTE X)) (-4289) (-688))) (-5 *1 (-69 *3)) (-14 *3 (-1161))))) 
-(-13 (-398) (-10 -8 (-15 -2747 ($ (-337 (-4289 (QUOTE X)) (-4289) (-688)))))) 
-((-3668 (((-3 $ "failed") (-679 (-310 (-381)))) 100) (((-3 $ "failed") (-679 (-310 (-568)))) 89) (((-3 $ "failed") (-679 (-953 (-381)))) 122) (((-3 $ "failed") (-679 (-953 (-568)))) 111) (((-3 $ "failed") (-679 (-409 (-953 (-381))))) 78) (((-3 $ "failed") (-679 (-409 (-953 (-568))))) 67)) (-2857 (($ (-679 (-310 (-381)))) 96) (($ (-679 (-310 (-568)))) 85) (($ (-679 (-953 (-381)))) 118) (($ (-679 (-953 (-568)))) 107) (($ (-679 (-409 (-953 (-381))))) 74) (($ (-679 (-409 (-953 (-568))))) 60)) (-4130 (((-1249) $) 130)) (-2747 (((-850) $) 124) (($ (-634 (-328))) 27) (($ (-328)) 33) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 30) (($ (-679 (-337 (-4289) (-4289 (QUOTE X) (QUOTE HESS)) (-688)))) 53))) 
-(((-70 |#1|) (-13 (-386) (-10 -8 (-15 -2747 ($ (-679 (-337 (-4289) (-4289 (QUOTE X) (QUOTE HESS)) (-688))))))) (-1161)) (T -70)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-679 (-337 (-4289) (-4289 (QUOTE X) (QUOTE HESS)) (-688)))) (-5 *1 (-70 *3)) (-14 *3 (-1161))))) 
-(-13 (-386) (-10 -8 (-15 -2747 ($ (-679 (-337 (-4289) (-4289 (QUOTE X) (QUOTE HESS)) (-688))))))) 
-((-3668 (((-3 $ "failed") (-310 (-381))) 54) (((-3 $ "failed") (-310 (-568))) 59) (((-3 $ "failed") (-953 (-381))) 64) (((-3 $ "failed") (-953 (-568))) 69) (((-3 $ "failed") (-409 (-953 (-381)))) 49) (((-3 $ "failed") (-409 (-953 (-568)))) 44)) (-2857 (($ (-310 (-381))) 52) (($ (-310 (-568))) 57) (($ (-953 (-381))) 62) (($ (-953 (-568))) 67) (($ (-409 (-953 (-381)))) 47) (($ (-409 (-953 (-568)))) 41)) (-4130 (((-1249) $) 78)) (-2747 (((-850) $) 72) (($ (-634 (-328))) 27) (($ (-328)) 33) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 30) (($ (-337 (-4289) (-4289 (QUOTE XC)) (-688))) 38))) 
-(((-71 |#1|) (-13 (-398) (-10 -8 (-15 -2747 ($ (-337 (-4289) (-4289 (QUOTE XC)) (-688)))))) (-1161)) (T -71)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-337 (-4289) (-4289 (QUOTE XC)) (-688))) (-5 *1 (-71 *3)) (-14 *3 (-1161))))) 
-(-13 (-398) (-10 -8 (-15 -2747 ($ (-337 (-4289) (-4289 (QUOTE XC)) (-688)))))) 
-((-4130 (((-1249) $) 63)) (-2747 (((-850) $) 57) (($ (-679 (-688))) 49) (($ (-634 (-328))) 48) (($ (-328)) 55) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 53))) 
-(((-72 |#1|) (-385) (-1161)) (T -72)) 
-NIL 
-(-385) 
-((-4130 (((-1249) $) 64)) (-2747 (((-850) $) 58) (($ (-679 (-688))) 50) (($ (-634 (-328))) 49) (($ (-328)) 52) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 55))) 
-(((-73 |#1|) (-385) (-1161)) (T -73)) 
-NIL 
-(-385) 
-((-4130 (((-1249) $) NIL) (((-1249)) 32)) (-2747 (((-850) $) NIL))) 
-(((-74 |#1|) (-13 (-397) (-10 -7 (-15 -4130 ((-1249))))) (-1161)) (T -74)) 
-((-4130 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-74 *3)) (-14 *3 (-1161))))) 
-(-13 (-397) (-10 -7 (-15 -4130 ((-1249))))) 
-((-4130 (((-1249) $) 68)) (-2747 (((-850) $) 62) (($ (-679 (-688))) 53) (($ (-634 (-328))) 56) (($ (-328)) 59) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 52))) 
-(((-75 |#1|) (-385) (-1161)) (T -75)) 
-NIL 
-(-385) 
-((-3668 (((-3 $ "failed") (-1244 (-310 (-381)))) 98) (((-3 $ "failed") (-1244 (-310 (-568)))) 87) (((-3 $ "failed") (-1244 (-953 (-381)))) 119) (((-3 $ "failed") (-1244 (-953 (-568)))) 108) (((-3 $ "failed") (-1244 (-409 (-953 (-381))))) 76) (((-3 $ "failed") (-1244 (-409 (-953 (-568))))) 65)) (-2857 (($ (-1244 (-310 (-381)))) 94) (($ (-1244 (-310 (-568)))) 83) (($ (-1244 (-953 (-381)))) 115) (($ (-1244 (-953 (-568)))) 104) (($ (-1244 (-409 (-953 (-381))))) 72) (($ (-1244 (-409 (-953 (-568))))) 58)) (-4130 (((-1249) $) 133)) (-2747 (((-850) $) 127) (($ (-634 (-328))) 122) (($ (-328)) 125) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 50) (($ (-1244 (-337 (-4289 (QUOTE X)) (-4289 (QUOTE -2928)) (-688)))) 51))) 
-(((-76 |#1|) (-13 (-442) (-10 -8 (-15 -2747 ($ (-1244 (-337 (-4289 (QUOTE X)) (-4289 (QUOTE -2928)) (-688))))))) (-1161)) (T -76)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1244 (-337 (-4289 (QUOTE X)) (-4289 (QUOTE -2928)) (-688)))) (-5 *1 (-76 *3)) (-14 *3 (-1161))))) 
-(-13 (-442) (-10 -8 (-15 -2747 ($ (-1244 (-337 (-4289 (QUOTE X)) (-4289 (QUOTE -2928)) (-688))))))) 
-((-4130 (((-1249) $) 32) (((-1249)) 31)) (-2747 (((-850) $) 35))) 
-(((-77 |#1|) (-13 (-397) (-10 -7 (-15 -4130 ((-1249))))) (-1161)) (T -77)) 
-((-4130 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-77 *3)) (-14 *3 (-1161))))) 
-(-13 (-397) (-10 -7 (-15 -4130 ((-1249))))) 
-((-4130 (((-1249) $) 62)) (-2747 (((-850) $) 56) (($ (-679 (-688))) 47) (($ (-634 (-328))) 50) (($ (-328)) 53) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 46))) 
-(((-78 |#1|) (-385) (-1161)) (T -78)) 
-NIL 
-(-385) 
-((-3668 (((-3 $ "failed") (-1244 (-310 (-381)))) 119) (((-3 $ "failed") (-1244 (-310 (-568)))) 108) (((-3 $ "failed") (-1244 (-953 (-381)))) 141) (((-3 $ "failed") (-1244 (-953 (-568)))) 130) (((-3 $ "failed") (-1244 (-409 (-953 (-381))))) 98) (((-3 $ "failed") (-1244 (-409 (-953 (-568))))) 87)) (-2857 (($ (-1244 (-310 (-381)))) 115) (($ (-1244 (-310 (-568)))) 104) (($ (-1244 (-953 (-381)))) 137) (($ (-1244 (-953 (-568)))) 126) (($ (-1244 (-409 (-953 (-381))))) 94) (($ (-1244 (-409 (-953 (-568))))) 80)) (-4130 (((-1249) $) 73)) (-2747 (((-850) $) 27) (($ (-634 (-328))) 63) (($ (-328)) 59) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 66) (($ (-1244 (-337 (-4289) (-4289 (QUOTE X)) (-688)))) 60))) 
-(((-79 |#1|) (-13 (-442) (-10 -8 (-15 -2747 ($ (-1244 (-337 (-4289) (-4289 (QUOTE X)) (-688))))))) (-1161)) (T -79)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1244 (-337 (-4289) (-4289 (QUOTE X)) (-688)))) (-5 *1 (-79 *3)) (-14 *3 (-1161))))) 
-(-13 (-442) (-10 -8 (-15 -2747 ($ (-1244 (-337 (-4289) (-4289 (QUOTE X)) (-688))))))) 
-((-3668 (((-3 $ "failed") (-1244 (-310 (-381)))) 125) (((-3 $ "failed") (-1244 (-310 (-568)))) 114) (((-3 $ "failed") (-1244 (-953 (-381)))) 147) (((-3 $ "failed") (-1244 (-953 (-568)))) 136) (((-3 $ "failed") (-1244 (-409 (-953 (-381))))) 103) (((-3 $ "failed") (-1244 (-409 (-953 (-568))))) 92)) (-2857 (($ (-1244 (-310 (-381)))) 121) (($ (-1244 (-310 (-568)))) 110) (($ (-1244 (-953 (-381)))) 143) (($ (-1244 (-953 (-568)))) 132) (($ (-1244 (-409 (-953 (-381))))) 99) (($ (-1244 (-409 (-953 (-568))))) 85)) (-4130 (((-1249) $) 78)) (-2747 (((-850) $) 70) (($ (-634 (-328))) NIL) (($ (-328)) NIL) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) NIL) (($ (-1244 (-337 (-4289 (QUOTE X) (QUOTE EPS)) (-4289 (QUOTE -2928)) (-688)))) 65))) 
-(((-80 |#1| |#2| |#3|) (-13 (-442) (-10 -8 (-15 -2747 ($ (-1244 (-337 (-4289 (QUOTE X) (QUOTE EPS)) (-4289 (QUOTE -2928)) (-688))))))) (-1161) (-1161) (-1161)) (T -80)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1244 (-337 (-4289 (QUOTE X) (QUOTE EPS)) (-4289 (QUOTE -2928)) (-688)))) (-5 *1 (-80 *3 *4 *5)) (-14 *3 (-1161)) (-14 *4 (-1161)) (-14 *5 (-1161))))) 
-(-13 (-442) (-10 -8 (-15 -2747 ($ (-1244 (-337 (-4289 (QUOTE X) (QUOTE EPS)) (-4289 (QUOTE -2928)) (-688))))))) 
-((-3668 (((-3 $ "failed") (-1244 (-310 (-381)))) 129) (((-3 $ "failed") (-1244 (-310 (-568)))) 118) (((-3 $ "failed") (-1244 (-953 (-381)))) 151) (((-3 $ "failed") (-1244 (-953 (-568)))) 140) (((-3 $ "failed") (-1244 (-409 (-953 (-381))))) 107) (((-3 $ "failed") (-1244 (-409 (-953 (-568))))) 96)) (-2857 (($ (-1244 (-310 (-381)))) 125) (($ (-1244 (-310 (-568)))) 114) (($ (-1244 (-953 (-381)))) 147) (($ (-1244 (-953 (-568)))) 136) (($ (-1244 (-409 (-953 (-381))))) 103) (($ (-1244 (-409 (-953 (-568))))) 89)) (-4130 (((-1249) $) 82)) (-2747 (((-850) $) 74) (($ (-634 (-328))) NIL) (($ (-328)) NIL) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) NIL) (($ (-1244 (-337 (-4289 (QUOTE EPS)) (-4289 (QUOTE YA) (QUOTE YB)) (-688)))) 69))) 
-(((-81 |#1| |#2| |#3|) (-13 (-442) (-10 -8 (-15 -2747 ($ (-1244 (-337 (-4289 (QUOTE EPS)) (-4289 (QUOTE YA) (QUOTE YB)) (-688))))))) (-1161) (-1161) (-1161)) (T -81)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1244 (-337 (-4289 (QUOTE EPS)) (-4289 (QUOTE YA) (QUOTE YB)) (-688)))) (-5 *1 (-81 *3 *4 *5)) (-14 *3 (-1161)) (-14 *4 (-1161)) (-14 *5 (-1161))))) 
-(-13 (-442) (-10 -8 (-15 -2747 ($ (-1244 (-337 (-4289 (QUOTE EPS)) (-4289 (QUOTE YA) (QUOTE YB)) (-688))))))) 
-((-3668 (((-3 $ "failed") (-310 (-381))) 77) (((-3 $ "failed") (-310 (-568))) 82) (((-3 $ "failed") (-953 (-381))) 87) (((-3 $ "failed") (-953 (-568))) 92) (((-3 $ "failed") (-409 (-953 (-381)))) 72) (((-3 $ "failed") (-409 (-953 (-568)))) 67)) (-2857 (($ (-310 (-381))) 75) (($ (-310 (-568))) 80) (($ (-953 (-381))) 85) (($ (-953 (-568))) 90) (($ (-409 (-953 (-381)))) 70) (($ (-409 (-953 (-568)))) 64)) (-4130 (((-1249) $) 61)) (-2747 (((-850) $) 49) (($ (-634 (-328))) 45) (($ (-328)) 55) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 53) (($ (-337 (-4289) (-4289 (QUOTE X)) (-688))) 46))) 
-(((-82 |#1|) (-13 (-398) (-10 -8 (-15 -2747 ($ (-337 (-4289) (-4289 (QUOTE X)) (-688)))))) (-1161)) (T -82)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-337 (-4289) (-4289 (QUOTE X)) (-688))) (-5 *1 (-82 *3)) (-14 *3 (-1161))))) 
-(-13 (-398) (-10 -8 (-15 -2747 ($ (-337 (-4289) (-4289 (QUOTE X)) (-688)))))) 
-((-3668 (((-3 $ "failed") (-310 (-381))) 41) (((-3 $ "failed") (-310 (-568))) 46) (((-3 $ "failed") (-953 (-381))) 51) (((-3 $ "failed") (-953 (-568))) 56) (((-3 $ "failed") (-409 (-953 (-381)))) 36) (((-3 $ "failed") (-409 (-953 (-568)))) 31)) (-2857 (($ (-310 (-381))) 39) (($ (-310 (-568))) 44) (($ (-953 (-381))) 49) (($ (-953 (-568))) 54) (($ (-409 (-953 (-381)))) 34) (($ (-409 (-953 (-568)))) 28)) (-4130 (((-1249) $) 77)) (-2747 (((-850) $) 71) (($ (-634 (-328))) 62) (($ (-328)) 68) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 65) (($ (-337 (-4289) (-4289 (QUOTE X)) (-688))) 27))) 
-(((-83 |#1|) (-13 (-398) (-10 -8 (-15 -2747 ($ (-337 (-4289) (-4289 (QUOTE X)) (-688)))))) (-1161)) (T -83)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-337 (-4289) (-4289 (QUOTE X)) (-688))) (-5 *1 (-83 *3)) (-14 *3 (-1161))))) 
-(-13 (-398) (-10 -8 (-15 -2747 ($ (-337 (-4289) (-4289 (QUOTE X)) (-688)))))) 
-((-3668 (((-3 $ "failed") (-1244 (-310 (-381)))) 84) (((-3 $ "failed") (-1244 (-310 (-568)))) 73) (((-3 $ "failed") (-1244 (-953 (-381)))) 106) (((-3 $ "failed") (-1244 (-953 (-568)))) 95) (((-3 $ "failed") (-1244 (-409 (-953 (-381))))) 62) (((-3 $ "failed") (-1244 (-409 (-953 (-568))))) 51)) (-2857 (($ (-1244 (-310 (-381)))) 80) (($ (-1244 (-310 (-568)))) 69) (($ (-1244 (-953 (-381)))) 102) (($ (-1244 (-953 (-568)))) 91) (($ (-1244 (-409 (-953 (-381))))) 58) (($ (-1244 (-409 (-953 (-568))))) 44)) (-4130 (((-1249) $) 122)) (-2747 (((-850) $) 116) (($ (-634 (-328))) 109) (($ (-328)) 36) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 112) (($ (-1244 (-337 (-4289) (-4289 (QUOTE XC)) (-688)))) 37))) 
-(((-84 |#1|) (-13 (-442) (-10 -8 (-15 -2747 ($ (-1244 (-337 (-4289) (-4289 (QUOTE XC)) (-688))))))) (-1161)) (T -84)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1244 (-337 (-4289) (-4289 (QUOTE XC)) (-688)))) (-5 *1 (-84 *3)) (-14 *3 (-1161))))) 
-(-13 (-442) (-10 -8 (-15 -2747 ($ (-1244 (-337 (-4289) (-4289 (QUOTE XC)) (-688))))))) 
-((-3668 (((-3 $ "failed") (-1244 (-310 (-381)))) 137) (((-3 $ "failed") (-1244 (-310 (-568)))) 126) (((-3 $ "failed") (-1244 (-953 (-381)))) 158) (((-3 $ "failed") (-1244 (-953 (-568)))) 147) (((-3 $ "failed") (-1244 (-409 (-953 (-381))))) 116) (((-3 $ "failed") (-1244 (-409 (-953 (-568))))) 105)) (-2857 (($ (-1244 (-310 (-381)))) 133) (($ (-1244 (-310 (-568)))) 122) (($ (-1244 (-953 (-381)))) 154) (($ (-1244 (-953 (-568)))) 143) (($ (-1244 (-409 (-953 (-381))))) 112) (($ (-1244 (-409 (-953 (-568))))) 98)) (-4130 (((-1249) $) 91)) (-2747 (((-850) $) 85) (($ (-634 (-328))) 76) (($ (-328)) 83) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 81) (($ (-1244 (-337 (-4289) (-4289 (QUOTE X)) (-688)))) 77))) 
-(((-85 |#1|) (-13 (-442) (-10 -8 (-15 -2747 ($ (-1244 (-337 (-4289) (-4289 (QUOTE X)) (-688))))))) (-1161)) (T -85)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1244 (-337 (-4289) (-4289 (QUOTE X)) (-688)))) (-5 *1 (-85 *3)) (-14 *3 (-1161))))) 
-(-13 (-442) (-10 -8 (-15 -2747 ($ (-1244 (-337 (-4289) (-4289 (QUOTE X)) (-688))))))) 
-((-3668 (((-3 $ "failed") (-1244 (-310 (-381)))) 73) (((-3 $ "failed") (-1244 (-310 (-568)))) 62) (((-3 $ "failed") (-1244 (-953 (-381)))) 95) (((-3 $ "failed") (-1244 (-953 (-568)))) 84) (((-3 $ "failed") (-1244 (-409 (-953 (-381))))) 51) (((-3 $ "failed") (-1244 (-409 (-953 (-568))))) 40)) (-2857 (($ (-1244 (-310 (-381)))) 69) (($ (-1244 (-310 (-568)))) 58) (($ (-1244 (-953 (-381)))) 91) (($ (-1244 (-953 (-568)))) 80) (($ (-1244 (-409 (-953 (-381))))) 47) (($ (-1244 (-409 (-953 (-568))))) 33)) (-4130 (((-1249) $) 121)) (-2747 (((-850) $) 115) (($ (-634 (-328))) 106) (($ (-328)) 112) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 110) (($ (-1244 (-337 (-4289) (-4289 (QUOTE X)) (-688)))) 32))) 
-(((-86 |#1|) (-13 (-442) (-10 -8 (-15 -2747 ($ (-1244 (-337 (-4289) (-4289 (QUOTE X)) (-688))))))) (-1161)) (T -86)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1244 (-337 (-4289) (-4289 (QUOTE X)) (-688)))) (-5 *1 (-86 *3)) (-14 *3 (-1161))))) 
-(-13 (-442) (-10 -8 (-15 -2747 ($ (-1244 (-337 (-4289) (-4289 (QUOTE X)) (-688))))))) 
-((-3668 (((-3 $ "failed") (-1244 (-310 (-381)))) 90) (((-3 $ "failed") (-1244 (-310 (-568)))) 79) (((-3 $ "failed") (-1244 (-953 (-381)))) 112) (((-3 $ "failed") (-1244 (-953 (-568)))) 101) (((-3 $ "failed") (-1244 (-409 (-953 (-381))))) 68) (((-3 $ "failed") (-1244 (-409 (-953 (-568))))) 57)) (-2857 (($ (-1244 (-310 (-381)))) 86) (($ (-1244 (-310 (-568)))) 75) (($ (-1244 (-953 (-381)))) 108) (($ (-1244 (-953 (-568)))) 97) (($ (-1244 (-409 (-953 (-381))))) 64) (($ (-1244 (-409 (-953 (-568))))) 50)) (-4130 (((-1249) $) 43)) (-2747 (((-850) $) 36) (($ (-634 (-328))) 26) (($ (-328)) 29) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 32) (($ (-1244 (-337 (-4289 (QUOTE X) (QUOTE -2928)) (-4289) (-688)))) 27))) 
-(((-87 |#1|) (-13 (-442) (-10 -8 (-15 -2747 ($ (-1244 (-337 (-4289 (QUOTE X) (QUOTE -2928)) (-4289) (-688))))))) (-1161)) (T -87)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1244 (-337 (-4289 (QUOTE X) (QUOTE -2928)) (-4289) (-688)))) (-5 *1 (-87 *3)) (-14 *3 (-1161))))) 
-(-13 (-442) (-10 -8 (-15 -2747 ($ (-1244 (-337 (-4289 (QUOTE X) (QUOTE -2928)) (-4289) (-688))))))) 
-((-3668 (((-3 $ "failed") (-679 (-310 (-381)))) 103) (((-3 $ "failed") (-679 (-310 (-568)))) 92) (((-3 $ "failed") (-679 (-953 (-381)))) 125) (((-3 $ "failed") (-679 (-953 (-568)))) 114) (((-3 $ "failed") (-679 (-409 (-953 (-381))))) 82) (((-3 $ "failed") (-679 (-409 (-953 (-568))))) 71)) (-2857 (($ (-679 (-310 (-381)))) 99) (($ (-679 (-310 (-568)))) 88) (($ (-679 (-953 (-381)))) 121) (($ (-679 (-953 (-568)))) 110) (($ (-679 (-409 (-953 (-381))))) 78) (($ (-679 (-409 (-953 (-568))))) 64)) (-4130 (((-1249) $) 57)) (-2747 (((-850) $) 43) (($ (-634 (-328))) 50) (($ (-328)) 39) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 47) (($ (-679 (-337 (-4289 (QUOTE X) (QUOTE -2928)) (-4289) (-688)))) 40))) 
-(((-88 |#1|) (-13 (-386) (-10 -8 (-15 -2747 ($ (-679 (-337 (-4289 (QUOTE X) (QUOTE -2928)) (-4289) (-688))))))) (-1161)) (T -88)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-679 (-337 (-4289 (QUOTE X) (QUOTE -2928)) (-4289) (-688)))) (-5 *1 (-88 *3)) (-14 *3 (-1161))))) 
-(-13 (-386) (-10 -8 (-15 -2747 ($ (-679 (-337 (-4289 (QUOTE X) (QUOTE -2928)) (-4289) (-688))))))) 
-((-3668 (((-3 $ "failed") (-679 (-310 (-381)))) 103) (((-3 $ "failed") (-679 (-310 (-568)))) 92) (((-3 $ "failed") (-679 (-953 (-381)))) 124) (((-3 $ "failed") (-679 (-953 (-568)))) 113) (((-3 $ "failed") (-679 (-409 (-953 (-381))))) 81) (((-3 $ "failed") (-679 (-409 (-953 (-568))))) 70)) (-2857 (($ (-679 (-310 (-381)))) 99) (($ (-679 (-310 (-568)))) 88) (($ (-679 (-953 (-381)))) 120) (($ (-679 (-953 (-568)))) 109) (($ (-679 (-409 (-953 (-381))))) 77) (($ (-679 (-409 (-953 (-568))))) 63)) (-4130 (((-1249) $) 56)) (-2747 (((-850) $) 50) (($ (-634 (-328))) 44) (($ (-328)) 47) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 40) (($ (-679 (-337 (-4289 (QUOTE X)) (-4289) (-688)))) 41))) 
-(((-89 |#1|) (-13 (-386) (-10 -8 (-15 -2747 ($ (-679 (-337 (-4289 (QUOTE X)) (-4289) (-688))))))) (-1161)) (T -89)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-679 (-337 (-4289 (QUOTE X)) (-4289) (-688)))) (-5 *1 (-89 *3)) (-14 *3 (-1161))))) 
-(-13 (-386) (-10 -8 (-15 -2747 ($ (-679 (-337 (-4289 (QUOTE X)) (-4289) (-688))))))) 
-((-3668 (((-3 $ "failed") (-1244 (-310 (-381)))) 99) (((-3 $ "failed") (-1244 (-310 (-568)))) 88) (((-3 $ "failed") (-1244 (-953 (-381)))) 121) (((-3 $ "failed") (-1244 (-953 (-568)))) 110) (((-3 $ "failed") (-1244 (-409 (-953 (-381))))) 77) (((-3 $ "failed") (-1244 (-409 (-953 (-568))))) 66)) (-2857 (($ (-1244 (-310 (-381)))) 95) (($ (-1244 (-310 (-568)))) 84) (($ (-1244 (-953 (-381)))) 117) (($ (-1244 (-953 (-568)))) 106) (($ (-1244 (-409 (-953 (-381))))) 73) (($ (-1244 (-409 (-953 (-568))))) 59)) (-4130 (((-1249) $) 45)) (-2747 (((-850) $) 39) (($ (-634 (-328))) 48) (($ (-328)) 35) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 51) (($ (-1244 (-337 (-4289 (QUOTE X)) (-4289) (-688)))) 36))) 
-(((-90 |#1|) (-13 (-442) (-10 -8 (-15 -2747 ($ (-1244 (-337 (-4289 (QUOTE X)) (-4289) (-688))))))) (-1161)) (T -90)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1244 (-337 (-4289 (QUOTE X)) (-4289) (-688)))) (-5 *1 (-90 *3)) (-14 *3 (-1161))))) 
-(-13 (-442) (-10 -8 (-15 -2747 ($ (-1244 (-337 (-4289 (QUOTE X)) (-4289) (-688))))))) 
-((-3668 (((-3 $ "failed") (-1244 (-310 (-381)))) 74) (((-3 $ "failed") (-1244 (-310 (-568)))) 63) (((-3 $ "failed") (-1244 (-953 (-381)))) 96) (((-3 $ "failed") (-1244 (-953 (-568)))) 85) (((-3 $ "failed") (-1244 (-409 (-953 (-381))))) 52) (((-3 $ "failed") (-1244 (-409 (-953 (-568))))) 41)) (-2857 (($ (-1244 (-310 (-381)))) 70) (($ (-1244 (-310 (-568)))) 59) (($ (-1244 (-953 (-381)))) 92) (($ (-1244 (-953 (-568)))) 81) (($ (-1244 (-409 (-953 (-381))))) 48) (($ (-1244 (-409 (-953 (-568))))) 34)) (-4130 (((-1249) $) 122)) (-2747 (((-850) $) 116) (($ (-634 (-328))) 107) (($ (-328)) 113) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 111) (($ (-1244 (-337 (-4289 (QUOTE X)) (-4289 (QUOTE -2928)) (-688)))) 33))) 
-(((-91 |#1|) (-13 (-442) (-10 -8 (-15 -2747 ($ (-1244 (-337 (-4289 (QUOTE X)) (-4289 (QUOTE -2928)) (-688))))))) (-1161)) (T -91)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1244 (-337 (-4289 (QUOTE X)) (-4289 (QUOTE -2928)) (-688)))) (-5 *1 (-91 *3)) (-14 *3 (-1161))))) 
-(-13 (-442) (-10 -8 (-15 -2747 ($ (-1244 (-337 (-4289 (QUOTE X)) (-4289 (QUOTE -2928)) (-688))))))) 
-((-3668 (((-3 $ "failed") (-679 (-310 (-381)))) 105) (((-3 $ "failed") (-679 (-310 (-568)))) 94) (((-3 $ "failed") (-679 (-953 (-381)))) 127) (((-3 $ "failed") (-679 (-953 (-568)))) 116) (((-3 $ "failed") (-679 (-409 (-953 (-381))))) 83) (((-3 $ "failed") (-679 (-409 (-953 (-568))))) 72)) (-2857 (($ (-679 (-310 (-381)))) 101) (($ (-679 (-310 (-568)))) 90) (($ (-679 (-953 (-381)))) 123) (($ (-679 (-953 (-568)))) 112) (($ (-679 (-409 (-953 (-381))))) 79) (($ (-679 (-409 (-953 (-568))))) 65)) (-4130 (((-1249) $) 58)) (-2747 (((-850) $) 52) (($ (-634 (-328))) 42) (($ (-328)) 49) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 47) (($ (-679 (-337 (-4289 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-4289) (-688)))) 43))) 
-(((-92 |#1|) (-13 (-386) (-10 -8 (-15 -2747 ($ (-679 (-337 (-4289 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-4289) (-688))))))) (-1161)) (T -92)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-679 (-337 (-4289 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-4289) (-688)))) (-5 *1 (-92 *3)) (-14 *3 (-1161))))) 
-(-13 (-386) (-10 -8 (-15 -2747 ($ (-679 (-337 (-4289 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-4289) (-688))))))) 
-((-4130 (((-1249) $) 44)) (-2747 (((-850) $) 38) (($ (-1244 (-688))) 88) (($ (-634 (-328))) 29) (($ (-328)) 35) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 32))) 
-(((-93 |#1|) (-441) (-1161)) (T -93)) 
-NIL 
-(-441) 
-((-3668 (((-3 $ "failed") (-310 (-381))) 42) (((-3 $ "failed") (-310 (-568))) 47) (((-3 $ "failed") (-953 (-381))) 52) (((-3 $ "failed") (-953 (-568))) 57) (((-3 $ "failed") (-409 (-953 (-381)))) 37) (((-3 $ "failed") (-409 (-953 (-568)))) 32)) (-2857 (($ (-310 (-381))) 40) (($ (-310 (-568))) 45) (($ (-953 (-381))) 50) (($ (-953 (-568))) 55) (($ (-409 (-953 (-381)))) 35) (($ (-409 (-953 (-568)))) 29)) (-4130 (((-1249) $) 88)) (-2747 (((-850) $) 82) (($ (-634 (-328))) 76) (($ (-328)) 79) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 73) (($ (-337 (-4289 (QUOTE X)) (-4289 (QUOTE -2928)) (-688))) 28))) 
-(((-94 |#1|) (-13 (-398) (-10 -8 (-15 -2747 ($ (-337 (-4289 (QUOTE X)) (-4289 (QUOTE -2928)) (-688)))))) (-1161)) (T -94)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-337 (-4289 (QUOTE X)) (-4289 (QUOTE -2928)) (-688))) (-5 *1 (-94 *3)) (-14 *3 (-1161))))) 
-(-13 (-398) (-10 -8 (-15 -2747 ($ (-337 (-4289 (QUOTE X)) (-4289 (QUOTE -2928)) (-688)))))) 
-((-4451 (((-1244 (-679 |#1|)) (-679 |#1|)) 54)) (-3789 (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 (-634 (-917))))) |#2| (-917)) 44)) (-4312 (((-2 (|:| |minor| (-634 (-917))) (|:| -2410 |#2|) (|:| |minors| (-634 (-634 (-917)))) (|:| |ops| (-634 |#2|))) |#2| (-917)) 62 (|has| |#1| (-365))))) 
-(((-95 |#1| |#2|) (-10 -7 (-15 -3789 ((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 (-634 (-917))))) |#2| (-917))) (-15 -4451 ((-1244 (-679 |#1|)) (-679 |#1|))) (IF (|has| |#1| (-365)) (-15 -4312 ((-2 (|:| |minor| (-634 (-917))) (|:| -2410 |#2|) (|:| |minors| (-634 (-634 (-917)))) (|:| |ops| (-634 |#2|))) |#2| (-917))) |noBranch|)) (-558) (-646 |#1|)) (T -95)) 
-((-4312 (*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-4 *5 (-558)) (-5 *2 (-2 (|:| |minor| (-634 (-917))) (|:| -2410 *3) (|:| |minors| (-634 (-634 (-917)))) (|:| |ops| (-634 *3)))) (-5 *1 (-95 *5 *3)) (-5 *4 (-917)) (-4 *3 (-646 *5)))) (-4451 (*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-1244 (-679 *4))) (-5 *1 (-95 *4 *5)) (-5 *3 (-679 *4)) (-4 *5 (-646 *4)))) (-3789 (*1 *2 *3 *4) (-12 (-4 *5 (-558)) (-5 *2 (-2 (|:| -2908 (-679 *5)) (|:| |vec| (-1244 (-634 (-917)))))) (-5 *1 (-95 *5 *3)) (-5 *4 (-917)) (-4 *3 (-646 *5))))) 
-(-10 -7 (-15 -3789 ((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 (-634 (-917))))) |#2| (-917))) (-15 -4451 ((-1244 (-679 |#1|)) (-679 |#1|))) (IF (|has| |#1| (-365)) (-15 -4312 ((-2 (|:| |minor| (-634 (-917))) (|:| -2410 |#2|) (|:| |minors| (-634 (-634 (-917)))) (|:| |ops| (-634 |#2|))) |#2| (-917))) |noBranch|)) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-2618 ((|#1| $) 34)) (-1667 (((-121) $ (-763)) NIL)) (-4490 (($) NIL T CONST)) (-2885 ((|#1| |#1| $) 30)) (-2819 ((|#1| $) 28)) (-3317 (((-634 |#1|) $) 39 (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) NIL)) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-2253 (($ (-1 |#1| |#1|) $) 43 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 41)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-2580 ((|#1| $) 45)) (-1708 (($ |#1| $) 31)) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-3403 ((|#1| $) 29)) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) 16)) (-1990 (($) 38)) (-4156 (((-763) $) 26)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3865 (($ $) 15)) (-2747 (((-850) $) 25 (|has| |#1| (-1090)))) (-4074 (($ (-634 |#1|)) NIL)) (-3041 (($ (-634 |#1|)) 36)) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 13 (|has| |#1| (-1090)))) (-1699 (((-763) $) 10 (|has| $ (-6 -4521))))) 
-(((-96 |#1|) (-13 (-1109 |#1|) (-10 -8 (-15 -3041 ($ (-634 |#1|))) (-15 -2819 (|#1| $)) (-15 -3403 (|#1| $)) (-15 -2885 (|#1| |#1| $)) (-15 -1708 ($ |#1| $)) (-15 -2580 (|#1| $)) (-15 -2618 (|#1| $)) (-15 -4156 ((-763) $)) (-15 -3796 ((-121) $ (-763))) (-15 -3791 ((-121) $ (-763))) (-15 -1667 ((-121) $ (-763))) (-15 -4074 ($ (-634 |#1|))) (-15 -2436 ((-121) $)) (-15 -1990 ($)) (-15 -4490 ($)) (-15 -3865 ($ $)) (-15 -1702 ((-121) $ $)) (-15 -2797 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4522)) (-15 -2253 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1090)) (PROGN (-15 -1893 ((-1143) $)) (-15 -4025 ((-1108) $)) (-15 -2747 ((-850) $)) (-15 -1719 ((-121) $ $)) (-15 -2449 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4521)) (PROGN (-15 -3951 ((-121) (-1 (-121) |#1|) $)) (-15 -3437 ((-121) (-1 (-121) |#1|) $)) (-15 -4170 ((-763) (-1 (-121) |#1|) $)) (-15 -1699 ((-763) $)) (-15 -3317 ((-634 |#1|) $)) (-15 -4406 ((-634 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4521)) (IF (|has| |#1| (-1090)) (PROGN (-15 -2551 ((-121) |#1| $)) (-15 -4170 ((-763) |#1| $))) |noBranch|) |noBranch|))) (-1090)) (T -96)) 
-((-1702 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1090)))) (-3865 (*1 *1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1090)))) (-1990 (*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1090)))) (-2436 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1090)))) (-3796 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1090)))) (-3791 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1090)))) (-1667 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1090)))) (-4490 (*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1090)))) (-1699 (*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-763)) (-5 *1 (-96 *3)) (-4 *3 (-1090)))) (-2797 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1090)) (-5 *1 (-96 *3)))) (-2253 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4522)) (-4 *3 (-1090)) (-5 *1 (-96 *3)))) (-3437 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-1090)) (-5 *2 (-121)) (-5 *1 (-96 *4)))) (-3951 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-1090)) (-5 *2 (-121)) (-5 *1 (-96 *4)))) (-4170 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-1090)) (-5 *2 (-763)) (-5 *1 (-96 *4)))) (-3317 (*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-634 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1090)))) (-4406 (*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-634 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1090)))) (-4170 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-763)) (-5 *1 (-96 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-2551 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-1893 (*1 *2 *1) (-12 (-5 *2 (-1143)) (-5 *1 (-96 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-4025 (*1 *2 *1) (-12 (-5 *2 (-1108)) (-5 *1 (-96 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-96 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-1719 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-2449 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-4074 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-5 *1 (-96 *3)))) (-3403 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1090)))) (-1708 (*1 *1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1090)))) (-2580 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1090)))) (-2885 (*1 *2 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1090)))) (-2819 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1090)))) (-2618 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1090)))) (-4156 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-96 *3)) (-4 *3 (-1090)))) (-3041 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-5 *1 (-96 *3))))) 
-(-13 (-1109 |#1|) (-10 -8 (-15 -3041 ($ (-634 |#1|))) (-15 -2819 (|#1| $)) (-15 -3403 (|#1| $)) (-15 -2885 (|#1| |#1| $)) (-15 -1708 ($ |#1| $)) (-15 -2580 (|#1| $)) (-15 -2618 (|#1| $)) (-15 -4156 ((-763) $)) (-15 -3796 ((-121) $ (-763))) (-15 -3791 ((-121) $ (-763))) (-15 -1667 ((-121) $ (-763))) (-15 -4074 ($ (-634 |#1|))) (-15 -2436 ((-121) $)) (-15 -1990 ($)) (-15 -4490 ($)) (-15 -3865 ($ $)) (-15 -1702 ((-121) $ $)) (-15 -2797 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4522)) (-15 -2253 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1090)) (PROGN (-15 -1893 ((-1143) $)) (-15 -4025 ((-1108) $)) (-15 -2747 ((-850) $)) (-15 -1719 ((-121) $ $)) (-15 -2449 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4521)) (PROGN (-15 -3951 ((-121) (-1 (-121) |#1|) $)) (-15 -3437 ((-121) (-1 (-121) |#1|) $)) (-15 -4170 ((-763) (-1 (-121) |#1|) $)) (-15 -1699 ((-763) $)) (-15 -3317 ((-634 |#1|) $)) (-15 -4406 ((-634 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4521)) (IF (|has| |#1| (-1090)) (PROGN (-15 -2551 ((-121) |#1| $)) (-15 -4170 ((-763) |#1| $))) |noBranch|) |noBranch|))) 
-((-1968 (($ $) 10)) (-1972 (($ $) 12))) 
-(((-97 |#1|) (-10 -8 (-15 -1972 (|#1| |#1|)) (-15 -1968 (|#1| |#1|))) (-98)) (T -97)) 
-NIL 
-(-10 -8 (-15 -1972 (|#1| |#1|)) (-15 -1968 (|#1| |#1|))) 
-((-1959 (($ $) 11)) (-1951 (($ $) 10)) (-1968 (($ $) 9)) (-1972 (($ $) 8)) (-1964 (($ $) 7)) (-1955 (($ $) 6))) 
-(((-98) (-1275)) (T -98)) 
-((-1959 (*1 *1 *1) (-4 *1 (-98))) (-1951 (*1 *1 *1) (-4 *1 (-98))) (-1968 (*1 *1 *1) (-4 *1 (-98))) (-1972 (*1 *1 *1) (-4 *1 (-98))) (-1964 (*1 *1 *1) (-4 *1 (-98))) (-1955 (*1 *1 *1) (-4 *1 (-98)))) 
-(-13 (-10 -8 (-15 -1955 ($ $)) (-15 -1964 ($ $)) (-15 -1972 ($ $)) (-15 -1968 ($ $)) (-15 -1951 ($ $)) (-15 -1959 ($ $)))) 
-((-2449 (((-121) $ $) NIL)) (-3685 (((-381) (-1143) (-381)) 42) (((-381) (-1143) (-1143) (-381)) 41)) (-1583 (((-381) (-381)) 33)) (-1346 (((-1249)) 36)) (-1893 (((-1143) $) NIL)) (-2717 (((-381) (-1143) (-1143)) 46) (((-381) (-1143)) 48)) (-4025 (((-1108) $) NIL)) (-4047 (((-381) (-1143) (-1143)) 47)) (-1522 (((-381) (-1143) (-1143)) 49) (((-381) (-1143)) 50)) (-2747 (((-850) $) NIL)) (-1719 (((-121) $ $) NIL))) 
-(((-99) (-13 (-1090) (-10 -7 (-15 -2717 ((-381) (-1143) (-1143))) (-15 -2717 ((-381) (-1143))) (-15 -1522 ((-381) (-1143) (-1143))) (-15 -1522 ((-381) (-1143))) (-15 -4047 ((-381) (-1143) (-1143))) (-15 -1346 ((-1249))) (-15 -1583 ((-381) (-381))) (-15 -3685 ((-381) (-1143) (-381))) (-15 -3685 ((-381) (-1143) (-1143) (-381))) (-6 -4521)))) (T -99)) 
-((-2717 (*1 *2 *3 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-381)) (-5 *1 (-99)))) (-2717 (*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-381)) (-5 *1 (-99)))) (-1522 (*1 *2 *3 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-381)) (-5 *1 (-99)))) (-1522 (*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-381)) (-5 *1 (-99)))) (-4047 (*1 *2 *3 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-381)) (-5 *1 (-99)))) (-1346 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-99)))) (-1583 (*1 *2 *2) (-12 (-5 *2 (-381)) (-5 *1 (-99)))) (-3685 (*1 *2 *3 *2) (-12 (-5 *2 (-381)) (-5 *3 (-1143)) (-5 *1 (-99)))) (-3685 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-381)) (-5 *3 (-1143)) (-5 *1 (-99))))) 
-(-13 (-1090) (-10 -7 (-15 -2717 ((-381) (-1143) (-1143))) (-15 -2717 ((-381) (-1143))) (-15 -1522 ((-381) (-1143) (-1143))) (-15 -1522 ((-381) (-1143))) (-15 -4047 ((-381) (-1143) (-1143))) (-15 -1346 ((-1249))) (-15 -1583 ((-381) (-381))) (-15 -3685 ((-381) (-1143) (-381))) (-15 -3685 ((-381) (-1143) (-1143) (-381))) (-6 -4521))) 
-NIL 
-(((-100) (-1275)) (T -100)) 
-NIL 
-(-13 (-10 -7 (-6 -4521) (-6 (-4523 "*")) (-6 -4522) (-6 -4518) (-6 -4516) (-6 -4515) (-6 -4514) (-6 -4519) (-6 -4513) (-6 -4512) (-6 -4511) (-6 -4510) (-6 -4509) (-6 -4517) (-6 -4520) (-6 |NullSquare|) (-6 |JacobiIdentity|) (-6 -4508) (-6 -3999))) 
-((-2449 (((-121) $ $) NIL)) (-4490 (($) NIL T CONST)) (-2902 (((-3 $ "failed") $) NIL)) (-1598 (((-121) $) NIL)) (-1818 (($ (-1 |#1| |#1|)) 25) (($ (-1 |#1| |#1|) (-1 |#1| |#1|)) 24) (($ (-1 |#1| |#1| (-568))) 22)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) 14)) (-4025 (((-1108) $) NIL)) (-2781 ((|#1| $ |#1|) 11)) (-2387 (($ $ $) NIL)) (-3985 (($ $ $) NIL)) (-2747 (((-850) $) 20)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-1557 (($) 8 T CONST)) (-1719 (((-121) $ $) 10)) (-1781 (($ $ $) NIL)) (** (($ $ (-917)) 28) (($ $ (-763)) NIL) (($ $ (-568)) 16)) (* (($ $ $) 29))) 
-(((-101 |#1|) (-13 (-478) (-281 |#1| |#1|) (-10 -8 (-15 -1818 ($ (-1 |#1| |#1|))) (-15 -1818 ($ (-1 |#1| |#1|) (-1 |#1| |#1|))) (-15 -1818 ($ (-1 |#1| |#1| (-568)))))) (-1047)) (T -101)) 
-((-1818 (*1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1047)) (-5 *1 (-101 *3)))) (-1818 (*1 *1 *2 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1047)) (-5 *1 (-101 *3)))) (-1818 (*1 *1 *2) (-12 (-5 *2 (-1 *3 *3 (-568))) (-4 *3 (-1047)) (-5 *1 (-101 *3))))) 
-(-13 (-478) (-281 |#1| |#1|) (-10 -8 (-15 -1818 ($ (-1 |#1| |#1|))) (-15 -1818 ($ (-1 |#1| |#1|) (-1 |#1| |#1|))) (-15 -1818 ($ (-1 |#1| |#1| (-568)))))) 
-((-3569 (((-1249) (-1094)) 20)) (-3617 (((-1143) (-1143) (-1143)) 7)) (-1614 (((-1249) (-568) (-1 (-1249) (-1094))) 14))) 
-(((-102) (-10 -7 (-15 -1614 ((-1249) (-568) (-1 (-1249) (-1094)))) (-15 -3569 ((-1249) (-1094))) (-15 -3617 ((-1143) (-1143) (-1143))))) (T -102)) 
-((-3617 (*1 *2 *2 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-102)))) (-3569 (*1 *2 *3) (-12 (-5 *3 (-1094)) (-5 *2 (-1249)) (-5 *1 (-102)))) (-1614 (*1 *2 *3 *4) (-12 (-5 *3 (-568)) (-5 *4 (-1 (-1249) (-1094))) (-5 *2 (-1249)) (-5 *1 (-102))))) 
-(-10 -7 (-15 -1614 ((-1249) (-568) (-1 (-1249) (-1094)))) (-15 -3569 ((-1249) (-1094))) (-15 -3617 ((-1143) (-1143) (-1143)))) 
-((-1385 (((-420 |#2|) |#2| (-634 |#2|)) 10) (((-420 |#2|) |#2| |#2|) 11))) 
-(((-103 |#1| |#2|) (-10 -7 (-15 -1385 ((-420 |#2|) |#2| |#2|)) (-15 -1385 ((-420 |#2|) |#2| (-634 |#2|)))) (-13 (-453) (-150)) (-1219 |#1|)) (T -103)) 
-((-1385 (*1 *2 *3 *4) (-12 (-5 *4 (-634 *3)) (-4 *3 (-1219 *5)) (-4 *5 (-13 (-453) (-150))) (-5 *2 (-420 *3)) (-5 *1 (-103 *5 *3)))) (-1385 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-453) (-150))) (-5 *2 (-420 *3)) (-5 *1 (-103 *4 *3)) (-4 *3 (-1219 *4))))) 
-(-10 -7 (-15 -1385 ((-420 |#2|) |#2| |#2|)) (-15 -1385 ((-420 |#2|) |#2| (-634 |#2|)))) 
-((-2449 (((-121) $ $) 9))) 
-(((-104 |#1|) (-10 -8 (-15 -2449 ((-121) |#1| |#1|))) (-105)) (T -104)) 
-NIL 
-(-10 -8 (-15 -2449 ((-121) |#1| |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1719 (((-121) $ $) 6))) 
-(((-105) (-1275)) (T -105)) 
-((-2449 (*1 *2 *1 *1) (-12 (-4 *1 (-105)) (-5 *2 (-121)))) (-1719 (*1 *2 *1 *1) (-12 (-4 *1 (-105)) (-5 *2 (-121))))) 
-(-13 (-10 -8 (-15 -1719 ((-121) $ $)) (-15 -2449 ((-121) $ $)))) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-2852 ((|#1| $) NIL)) (-1667 (((-121) $ (-763)) NIL)) (-3370 ((|#1| $ |#1|) 13 (|has| $ (-6 -4522)))) (-3892 (($ $ $) NIL (|has| $ (-6 -4522)))) (-2458 (($ $ $) NIL (|has| $ (-6 -4522)))) (-2750 (($ $ (-634 |#1|)) 15)) (-2438 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4522))) (($ $ "left" $) NIL (|has| $ (-6 -4522))) (($ $ "right" $) NIL (|has| $ (-6 -4522)))) (-1809 (($ $ (-634 $)) NIL (|has| $ (-6 -4522)))) (-4490 (($) NIL T CONST)) (-3286 (($ $) 11)) (-3317 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-3534 (((-634 $) $) NIL)) (-3606 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-4455 (($ $ |#1| $) 17)) (-3791 (((-121) $ (-763)) NIL)) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-2624 ((|#1| $ (-1 |#1| |#1| |#1|)) 25) (($ $ $ (-1 |#1| |#1| |#1| |#1| |#1|)) 30)) (-2957 (($ $ |#1| (-1 |#1| |#1| |#1|)) 31) (($ $ |#1| (-1 (-634 |#1|) |#1| |#1| |#1|)) 35)) (-2253 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-3030 (($ $) 10)) (-4081 (((-634 |#1|) $) NIL)) (-3319 (((-121) $) 12)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) 9)) (-1990 (($) 16)) (-2781 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-1665 (((-568) $ $) NIL)) (-2763 (((-121) $) NIL)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3865 (($ $) NIL)) (-2747 (((-850) $) NIL (|has| |#1| (-1090)))) (-3180 (((-634 $) $) NIL)) (-3873 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-3123 (($ (-763) |#1|) 19)) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-106 |#1|) (-13 (-134 |#1|) (-10 -8 (-6 -4521) (-6 -4522) (-15 -3123 ($ (-763) |#1|)) (-15 -2750 ($ $ (-634 |#1|))) (-15 -2624 (|#1| $ (-1 |#1| |#1| |#1|))) (-15 -2624 ($ $ $ (-1 |#1| |#1| |#1| |#1| |#1|))) (-15 -2957 ($ $ |#1| (-1 |#1| |#1| |#1|))) (-15 -2957 ($ $ |#1| (-1 (-634 |#1|) |#1| |#1| |#1|))))) (-1090)) (T -106)) 
-((-3123 (*1 *1 *2 *3) (-12 (-5 *2 (-763)) (-5 *1 (-106 *3)) (-4 *3 (-1090)))) (-2750 (*1 *1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-5 *1 (-106 *3)))) (-2624 (*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *1 (-106 *2)) (-4 *2 (-1090)))) (-2624 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3 *3 *3 *3)) (-4 *3 (-1090)) (-5 *1 (-106 *3)))) (-2957 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1090)) (-5 *1 (-106 *2)))) (-2957 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 (-634 *2) *2 *2 *2)) (-4 *2 (-1090)) (-5 *1 (-106 *2))))) 
-(-13 (-134 |#1|) (-10 -8 (-6 -4521) (-6 -4522) (-15 -3123 ($ (-763) |#1|)) (-15 -2750 ($ $ (-634 |#1|))) (-15 -2624 (|#1| $ (-1 |#1| |#1| |#1|))) (-15 -2624 ($ $ $ (-1 |#1| |#1| |#1| |#1| |#1|))) (-15 -2957 ($ $ |#1| (-1 |#1| |#1| |#1|))) (-15 -2957 ($ $ |#1| (-1 (-634 |#1|) |#1| |#1| |#1|))))) 
-((-3365 (((-1 (-634 |#1|) |#1|) (-634 |#1|) (-634 |#1|) (-634 |#1|)) 20)) (-3071 (((-1 (-634 |#1|) |#1|) (-634 |#1|) (-634 |#1|)) 17)) (-3048 (((-1 (-634 |#1|) |#1|) (-634 |#1|) (-634 |#1|) (-634 |#1|) (-634 |#1|)) 21))) 
-(((-107 |#1|) (-10 -7 (-15 -3071 ((-1 (-634 |#1|) |#1|) (-634 |#1|) (-634 |#1|))) (-15 -3365 ((-1 (-634 |#1|) |#1|) (-634 |#1|) (-634 |#1|) (-634 |#1|))) (-15 -3048 ((-1 (-634 |#1|) |#1|) (-634 |#1|) (-634 |#1|) (-634 |#1|) (-634 |#1|)))) (-1047)) (T -107)) 
-((-3048 (*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-1047)) (-5 *2 (-1 (-634 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-634 *4)))) (-3365 (*1 *2 *3 *3 *3) (-12 (-4 *4 (-1047)) (-5 *2 (-1 (-634 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-634 *4)))) (-3071 (*1 *2 *3 *3) (-12 (-4 *4 (-1047)) (-5 *2 (-1 (-634 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-634 *4))))) 
-(-10 -7 (-15 -3071 ((-1 (-634 |#1|) |#1|) (-634 |#1|) (-634 |#1|))) (-15 -3365 ((-1 (-634 |#1|) |#1|) (-634 |#1|) (-634 |#1|) (-634 |#1|))) (-15 -3048 ((-1 (-634 |#1|) |#1|) (-634 |#1|) (-634 |#1|) (-634 |#1|) (-634 |#1|)))) 
-((-4128 ((|#3| |#2| |#2|) 28)) (-3693 ((|#1| |#2| |#2|) 36 (|has| |#1| (-6 (-4523 "*"))))) (-3757 ((|#3| |#2| |#2|) 29)) (-1590 ((|#1| |#2|) 40 (|has| |#1| (-6 (-4523 "*")))))) 
-(((-108 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4128 (|#3| |#2| |#2|)) (-15 -3757 (|#3| |#2| |#2|)) (IF (|has| |#1| (-6 (-4523 "*"))) (PROGN (-15 -3693 (|#1| |#2| |#2|)) (-15 -1590 (|#1| |#2|))) |noBranch|)) (-1047) (-1219 |#1|) (-677 |#1| |#4| |#5|) (-375 |#1|) (-375 |#1|)) (T -108)) 
-((-1590 (*1 *2 *3) (-12 (|has| *2 (-6 (-4523 "*"))) (-4 *5 (-375 *2)) (-4 *6 (-375 *2)) (-4 *2 (-1047)) (-5 *1 (-108 *2 *3 *4 *5 *6)) (-4 *3 (-1219 *2)) (-4 *4 (-677 *2 *5 *6)))) (-3693 (*1 *2 *3 *3) (-12 (|has| *2 (-6 (-4523 "*"))) (-4 *5 (-375 *2)) (-4 *6 (-375 *2)) (-4 *2 (-1047)) (-5 *1 (-108 *2 *3 *4 *5 *6)) (-4 *3 (-1219 *2)) (-4 *4 (-677 *2 *5 *6)))) (-3757 (*1 *2 *3 *3) (-12 (-4 *4 (-1047)) (-4 *2 (-677 *4 *5 *6)) (-5 *1 (-108 *4 *3 *2 *5 *6)) (-4 *3 (-1219 *4)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4)))) (-4128 (*1 *2 *3 *3) (-12 (-4 *4 (-1047)) (-4 *2 (-677 *4 *5 *6)) (-5 *1 (-108 *4 *3 *2 *5 *6)) (-4 *3 (-1219 *4)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4))))) 
-(-10 -7 (-15 -4128 (|#3| |#2| |#2|)) (-15 -3757 (|#3| |#2| |#2|)) (IF (|has| |#1| (-6 (-4523 "*"))) (PROGN (-15 -3693 (|#1| |#2| |#2|)) (-15 -1590 (|#1| |#2|))) |noBranch|)) 
-((-2449 (((-121) $ $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-4353 (((-634 (-1161))) 32)) (-4059 (((-2 (|:| |zeros| (-1141 (-215))) (|:| |ones| (-1141 (-215))) (|:| |singularities| (-1141 (-215)))) (-1161)) 35)) (-1719 (((-121) $ $) NIL))) 
-(((-109) (-13 (-1090) (-10 -7 (-15 -4353 ((-634 (-1161)))) (-15 -4059 ((-2 (|:| |zeros| (-1141 (-215))) (|:| |ones| (-1141 (-215))) (|:| |singularities| (-1141 (-215)))) (-1161))) (-6 -4521)))) (T -109)) 
-((-4353 (*1 *2) (-12 (-5 *2 (-634 (-1161))) (-5 *1 (-109)))) (-4059 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-2 (|:| |zeros| (-1141 (-215))) (|:| |ones| (-1141 (-215))) (|:| |singularities| (-1141 (-215))))) (-5 *1 (-109))))) 
-(-13 (-1090) (-10 -7 (-15 -4353 ((-634 (-1161)))) (-15 -4059 ((-2 (|:| |zeros| (-1141 (-215))) (|:| |ones| (-1141 (-215))) (|:| |singularities| (-1141 (-215)))) (-1161))) (-6 -4521))) 
-((-4074 (($ (-634 |#2|)) 11))) 
-(((-110 |#1| |#2|) (-10 -8 (-15 -4074 (|#1| (-634 |#2|)))) (-111 |#2|) (-1195)) (T -110)) 
-NIL 
-(-10 -8 (-15 -4074 (|#1| (-634 |#2|)))) 
-((-2449 (((-121) $ $) 18 (|has| |#1| (-1090)))) (-1667 (((-121) $ (-763)) 8)) (-4490 (($) 7 T CONST)) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) 9)) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35)) (-3796 (((-121) $ (-763)) 10)) (-1893 (((-1143) $) 22 (|has| |#1| (-1090)))) (-2580 ((|#1| $) 36)) (-1708 (($ |#1| $) 37)) (-4025 (((-1108) $) 21 (|has| |#1| (-1090)))) (-3403 ((|#1| $) 38)) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-2747 (((-850) $) 20 (|has| |#1| (-1090)))) (-4074 (($ (-634 |#1|)) 39)) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-111 |#1|) (-1275) (-1195)) (T -111)) 
-((-4074 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1195)) (-4 *1 (-111 *3)))) (-3403 (*1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1195)))) (-1708 (*1 *1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1195)))) (-2580 (*1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1195))))) 
-(-13 (-499 |t#1|) (-10 -8 (-6 -4522) (-15 -4074 ($ (-634 |t#1|))) (-15 -3403 (|t#1| $)) (-15 -1708 ($ |t#1| $)) (-15 -2580 (|t#1| $)))) 
-(((-39) . T) ((-105) |has| |#1| (-1090)) ((-608 (-850)) |has| |#1| (-1090)) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-499 |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-1090) |has| |#1| (-1090)) ((-1195) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2563 (((-568) $) NIL (|has| (-568) (-301)))) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (|has| (-568) (-904)))) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (|has| (-568) (-904)))) (-2589 (((-121) $ $) NIL)) (-3337 (((-568) $) NIL (|has| (-568) (-815)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-568) "failed") $) NIL) (((-3 (-1161) "failed") $) NIL (|has| (-568) (-1037 (-1161)))) (((-3 (-409 (-568)) "failed") $) NIL (|has| (-568) (-1037 (-568)))) (((-3 (-568) "failed") $) NIL (|has| (-568) (-1037 (-568))))) (-2857 (((-568) $) NIL) (((-1161) $) NIL (|has| (-568) (-1037 (-1161)))) (((-409 (-568)) $) NIL (|has| (-568) (-1037 (-568)))) (((-568) $) NIL (|has| (-568) (-1037 (-568))))) (-2403 (($ $ $) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| (-568) (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| (-568) (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL) (((-679 (-568)) (-679 $)) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1733 (($) NIL (|has| (-568) (-550)))) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-2197 (((-121) $) NIL)) (-1436 (((-121) $) NIL (|has| (-568) (-815)))) (-1519 (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (|has| (-568) (-881 (-568)))) (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (|has| (-568) (-881 (-381))))) (-1598 (((-121) $) NIL)) (-3539 (($ $) NIL)) (-2319 (((-568) $) NIL)) (-2214 (((-3 $ "failed") $) NIL (|has| (-568) (-1136)))) (-2859 (((-121) $) NIL (|has| (-568) (-815)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1732 (($ $ $) NIL (|has| (-568) (-842)))) (-2047 (($ $ $) NIL (|has| (-568) (-842)))) (-2797 (($ (-1 (-568) (-568)) $) NIL)) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL)) (-4436 (($) NIL (|has| (-568) (-1136)) CONST)) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1999 (($ $) NIL (|has| (-568) (-301))) (((-409 (-568)) $) NIL)) (-4115 (((-568) $) NIL (|has| (-568) (-550)))) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (|has| (-568) (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (|has| (-568) (-904)))) (-3850 (((-420 $) $) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1339 (($ $ (-634 (-568)) (-634 (-568))) NIL (|has| (-568) (-303 (-568)))) (($ $ (-568) (-568)) NIL (|has| (-568) (-303 (-568)))) (($ $ (-288 (-568))) NIL (|has| (-568) (-303 (-568)))) (($ $ (-634 (-288 (-568)))) NIL (|has| (-568) (-303 (-568)))) (($ $ (-634 (-1161)) (-634 (-568))) NIL (|has| (-568) (-523 (-1161) (-568)))) (($ $ (-1161) (-568)) NIL (|has| (-568) (-523 (-1161) (-568))))) (-1466 (((-763) $) NIL)) (-2781 (($ $ (-568)) NIL (|has| (-568) (-281 (-568) (-568))))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-4191 (($ $) NIL (|has| (-568) (-225))) (($ $ (-763)) NIL (|has| (-568) (-225))) (($ $ (-1161)) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-1 (-568) (-568)) (-763)) NIL) (($ $ (-1 (-568) (-568))) NIL)) (-3210 (($ $) NIL)) (-2326 (((-568) $) NIL)) (-4280 (((-887 (-568)) $) NIL (|has| (-568) (-609 (-887 (-568))))) (((-887 (-381)) $) NIL (|has| (-568) (-609 (-887 (-381))))) (((-541) $) NIL (|has| (-568) (-609 (-541)))) (((-381) $) NIL (|has| (-568) (-1021))) (((-215) $) NIL (|has| (-568) (-1021)))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-12 (|has| $ (-148)) (|has| (-568) (-904))))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ $) NIL) (($ (-409 (-568))) 7) (($ (-568)) NIL) (($ (-1161)) NIL (|has| (-568) (-1037 (-1161)))) (((-409 (-568)) $) NIL) (((-1004 2) $) 9)) (-3385 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| (-568) (-904))) (|has| (-568) (-148))))) (-3425 (((-763)) NIL)) (-3520 (((-568) $) NIL (|has| (-568) (-550)))) (-2735 (($ (-409 (-568))) 8)) (-2273 (((-121) $ $) NIL)) (-2811 (($ $) NIL (|has| (-568) (-815)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($ $) NIL (|has| (-568) (-225))) (($ $ (-763)) NIL (|has| (-568) (-225))) (($ $ (-1161)) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-1 (-568) (-568)) (-763)) NIL) (($ $ (-1 (-568) (-568))) NIL)) (-1753 (((-121) $ $) NIL (|has| (-568) (-842)))) (-1740 (((-121) $ $) NIL (|has| (-568) (-842)))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (|has| (-568) (-842)))) (-1734 (((-121) $ $) NIL (|has| (-568) (-842)))) (-1781 (($ $ $) NIL) (($ (-568) (-568)) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL) (($ (-568) $) NIL) (($ $ (-568)) NIL))) 
-(((-112) (-13 (-993 (-568)) (-10 -8 (-15 -2747 ((-409 (-568)) $)) (-15 -2747 ((-1004 2) $)) (-15 -1999 ((-409 (-568)) $)) (-15 -2735 ($ (-409 (-568))))))) (T -112)) 
-((-2747 (*1 *2 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-112)))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-1004 2)) (-5 *1 (-112)))) (-1999 (*1 *2 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-112)))) (-2735 (*1 *1 *2) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-112))))) 
-(-13 (-993 (-568)) (-10 -8 (-15 -2747 ((-409 (-568)) $)) (-15 -2747 ((-1004 2) $)) (-15 -1999 ((-409 (-568)) $)) (-15 -2735 ($ (-409 (-568)))))) 
-((-2449 (((-121) $ $) NIL)) (-3637 (((-1108) $ (-1108)) 23)) (-1672 (($ $ (-1143)) 17)) (-1933 (((-3 (-1108) "failed") $) 22)) (-4379 (((-1108) $) 20)) (-1483 (((-1108) $ (-1108)) 25)) (-2766 (((-1108) $) 24)) (-2133 (($ (-390)) NIL) (($ (-390) (-1143)) 16)) (-3393 (((-390) $) NIL)) (-1893 (((-1143) $) NIL)) (-4249 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-3919 (((-1249) $) NIL)) (-2747 (((-850) $) NIL)) (-3171 (($ $) 18)) (-1719 (((-121) $ $) NIL))) 
-(((-113) (-13 (-366 (-390) (-1108)) (-10 -8 (-15 -1933 ((-3 (-1108) "failed") $)) (-15 -2766 ((-1108) $)) (-15 -1483 ((-1108) $ (-1108)))))) (T -113)) 
-((-1933 (*1 *2 *1) (|partial| -12 (-5 *2 (-1108)) (-5 *1 (-113)))) (-2766 (*1 *2 *1) (-12 (-5 *2 (-1108)) (-5 *1 (-113)))) (-1483 (*1 *2 *1 *2) (-12 (-5 *2 (-1108)) (-5 *1 (-113))))) 
-(-13 (-366 (-390) (-1108)) (-10 -8 (-15 -1933 ((-3 (-1108) "failed") $)) (-15 -2766 ((-1108) $)) (-15 -1483 ((-1108) $ (-1108))))) 
-((-2449 (((-121) $ $) NIL)) (-1613 (($ $) NIL)) (-3093 (($ $ $) NIL)) (-2481 (((-1249) $ (-568) (-568)) NIL (|has| $ (-6 -4522)))) (-1324 (((-121) $) NIL (|has| (-121) (-842))) (((-121) (-1 (-121) (-121) (-121)) $) NIL)) (-2109 (($ $) NIL (-12 (|has| $ (-6 -4522)) (|has| (-121) (-842)))) (($ (-1 (-121) (-121) (-121)) $) NIL (|has| $ (-6 -4522)))) (-3647 (($ $) NIL (|has| (-121) (-842))) (($ (-1 (-121) (-121) (-121)) $) NIL)) (-1667 (((-121) $ (-763)) NIL)) (-2438 (((-121) $ (-1210 (-568)) (-121)) NIL (|has| $ (-6 -4522))) (((-121) $ (-568) (-121)) NIL (|has| $ (-6 -4522)))) (-2803 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4521)))) (-4490 (($) NIL T CONST)) (-4452 (($ $) NIL (|has| $ (-6 -4522)))) (-3945 (($ $) NIL)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-121) (-1090))))) (-4330 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4521))) (($ (-121) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-121) (-1090))))) (-3094 (((-121) (-1 (-121) (-121) (-121)) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) (-121) (-121)) $ (-121)) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) (-121) (-121)) $ (-121) (-121)) NIL (-12 (|has| $ (-6 -4521)) (|has| (-121) (-1090))))) (-1292 (((-121) $ (-568) (-121)) NIL (|has| $ (-6 -4522)))) (-2069 (((-121) $ (-568)) NIL)) (-2766 (((-568) (-121) $ (-568)) NIL (|has| (-121) (-1090))) (((-568) (-121) $) NIL (|has| (-121) (-1090))) (((-568) (-1 (-121) (-121)) $) NIL)) (-3317 (((-634 (-121)) $) NIL (|has| $ (-6 -4521)))) (-3107 (($ $ $) NIL)) (-3046 (($ $) NIL)) (-2570 (($ $ $) NIL)) (-1851 (($ (-763) (-121)) 8)) (-4445 (($ $ $) NIL)) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-568) $) NIL (|has| (-568) (-842)))) (-1732 (($ $ $) NIL)) (-3645 (($ $ $) NIL (|has| (-121) (-842))) (($ (-1 (-121) (-121) (-121)) $ $) NIL)) (-4406 (((-634 (-121)) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) (-121) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-121) (-1090))))) (-3631 (((-568) $) NIL (|has| (-568) (-842)))) (-2047 (($ $ $) NIL)) (-2253 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 (-121) (-121) (-121)) $ $) NIL) (($ (-1 (-121) (-121)) $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL)) (-4124 (($ $ $ (-568)) NIL) (($ (-121) $ (-568)) NIL)) (-3948 (((-634 (-568)) $) NIL)) (-2916 (((-121) (-568) $) NIL)) (-4025 (((-1108) $) NIL)) (-3877 (((-121) $) NIL (|has| (-568) (-842)))) (-2712 (((-3 (-121) "failed") (-1 (-121) (-121)) $) NIL)) (-2490 (($ $ (-121)) NIL (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-121)) (-634 (-121))) NIL (-12 (|has| (-121) (-303 (-121))) (|has| (-121) (-1090)))) (($ $ (-121) (-121)) NIL (-12 (|has| (-121) (-303 (-121))) (|has| (-121) (-1090)))) (($ $ (-288 (-121))) NIL (-12 (|has| (-121) (-303 (-121))) (|has| (-121) (-1090)))) (($ $ (-634 (-288 (-121)))) NIL (-12 (|has| (-121) (-303 (-121))) (|has| (-121) (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) (-121) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-121) (-1090))))) (-1480 (((-634 (-121)) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 (($ $ (-1210 (-568))) NIL) (((-121) $ (-568)) NIL) (((-121) $ (-568) (-121)) NIL)) (-2828 (($ $ (-1210 (-568))) NIL) (($ $ (-568)) NIL)) (-4170 (((-763) (-121) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-121) (-1090)))) (((-763) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4521)))) (-3306 (($ $ $ (-568)) NIL (|has| $ (-6 -4522)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) NIL (|has| (-121) (-609 (-541))))) (-4289 (($ (-634 (-121))) NIL)) (-2770 (($ (-634 $)) NIL) (($ $ $) NIL) (($ (-121) $) NIL) (($ $ (-121)) NIL)) (-2747 (((-850) $) NIL)) (-1540 (($ (-763) (-121)) 9)) (-3437 (((-121) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4521)))) (-2141 (($ $ $) NIL)) (-1889 (($ $) NIL)) (-2432 (($ $ $) NIL)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) NIL)) (-2426 (($ $ $) NIL)) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-114) (-13 (-132) (-10 -8 (-15 -1540 ($ (-763) (-121)))))) (T -114)) 
-((-1540 (*1 *1 *2 *3) (-12 (-5 *2 (-763)) (-5 *3 (-121)) (-5 *1 (-114))))) 
-(-13 (-132) (-10 -8 (-15 -1540 ($ (-763) (-121))))) 
-((-1602 (((-958 (-215)) (-1108) (-958 (-215)) (-1108) (-958 (-215)) (-1108)) 13)) (-2089 (((-215) (-169 (-215))) 8)) (-1523 (((-958 (-215)) (-1108) (-215) (-958 (-215)) (-1108) (-958 (-215)) (-1108)) 12)) (-3307 (((-215) (-1108) (-958 (-215)) (-1108)) 11))) 
-(((-115) (-10 -7 (-15 -2089 ((-215) (-169 (-215)))) (-15 -3307 ((-215) (-1108) (-958 (-215)) (-1108))) (-15 -1523 ((-958 (-215)) (-1108) (-215) (-958 (-215)) (-1108) (-958 (-215)) (-1108))) (-15 -1602 ((-958 (-215)) (-1108) (-958 (-215)) (-1108) (-958 (-215)) (-1108))))) (T -115)) 
-((-1602 (*1 *2 *3 *2 *3 *2 *3) (-12 (-5 *2 (-958 (-215))) (-5 *3 (-1108)) (-5 *1 (-115)))) (-1523 (*1 *2 *3 *4 *2 *3 *2 *3) (-12 (-5 *2 (-958 (-215))) (-5 *3 (-1108)) (-5 *4 (-215)) (-5 *1 (-115)))) (-3307 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-1108)) (-5 *4 (-958 (-215))) (-5 *2 (-215)) (-5 *1 (-115)))) (-2089 (*1 *2 *3) (-12 (-5 *3 (-169 (-215))) (-5 *2 (-215)) (-5 *1 (-115))))) 
-(-10 -7 (-15 -2089 ((-215) (-169 (-215)))) (-15 -3307 ((-215) (-1108) (-958 (-215)) (-1108))) (-15 -1523 ((-958 (-215)) (-1108) (-215) (-958 (-215)) (-1108) (-958 (-215)) (-1108))) (-15 -1602 ((-958 (-215)) (-1108) (-958 (-215)) (-1108) (-958 (-215)) (-1108)))) 
-((-2449 (((-121) $ $) NIL)) (-2221 (((-3 "left" "center" "right" "vertical" "horizontal") $) 17)) (-3320 (((-568) $) 14)) (-2560 (((-568) $) 15)) (-4404 (((-568) $) 16)) (-1893 (((-1143) $) NIL)) (-2982 (((-121) $) 8)) (-4025 (((-1108) $) NIL)) (-1885 (((-568) $) 12)) (-2528 (($ (-568) (-568) (-568) (-568) (-568) (-121) (-3 "left" "center" "right" "vertical" "horizontal")) 11)) (-2747 (((-850) $) 19) (($ (-634 (-568))) NIL)) (-2550 (((-568) $) 13)) (-1719 (((-121) $ $) NIL))) 
+((-3523 (((-121) $) 12)) (-1544 (($ (-1 |#2| |#2|) $) 21)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL) (($ (-410 (-569)) $) 24) (($ $ (-410 (-569))) NIL))) 
+(((-51 |#1| |#2| |#3|) (-10 -8 (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -3523 ((-121) |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|))) (-52 |#2| |#3|) (-1048) (-788)) (T -51)) 
+NIL 
+(-10 -8 (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -3523 ((-121) |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-3383 (($ $) 51 (|has| |#1| (-559)))) (-4354 (((-121) $) 53 (|has| |#1| (-559)))) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-4020 (($ $) 59)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-3523 (((-121) $) 61)) (-1763 (($ |#1| |#2|) 60)) (-1544 (($ (-1 |#1| |#1|) $) 62)) (-1804 (($ $) 64)) (-4012 ((|#1| $) 65)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2941 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-2492 ((|#2| $) 63)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559))) (($ |#1|) 46 (|has| |#1| (-173)))) (-1653 ((|#1| $ |#2|) 58)) (-3953 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 52 (|has| |#1| (-559)))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#1|) 57 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
+(((-52 |#1| |#2|) (-1278) (-1048) (-788)) (T -52)) 
+((-4012 (*1 *2 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-788)) (-4 *2 (-1048)))) (-1804 (*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788)))) (-2492 (*1 *2 *1) (-12 (-4 *1 (-52 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788)))) (-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-52 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)))) (-3523 (*1 *2 *1) (-12 (-4 *1 (-52 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-5 *2 (-121)))) (-1763 (*1 *1 *2 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788)))) (-4020 (*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788)))) (-1653 (*1 *2 *1 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-788)) (-4 *2 (-1048)))) (-1715 (*1 *1 *1 *2) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788)) (-4 *2 (-366))))) 
+(-13 (-1048) (-120 |t#1| |t#1|) (-10 -8 (-15 -4012 (|t#1| $)) (-15 -1804 ($ $)) (-15 -2492 (|t#2| $)) (-15 -1544 ($ (-1 |t#1| |t#1|) $)) (-15 -3523 ((-121) $)) (-15 -1763 ($ |t#1| |t#2|)) (-15 -4020 ($ $)) (-15 -1653 (|t#1| $ |t#2|)) (IF (|has| |t#1| (-366)) (-15 -1715 ($ $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-173)) (PROGN (-6 (-173)) (-6 (-43 |t#1|))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-559)) (-6 (-559)) |noBranch|) (IF (|has| |t#1| (-43 (-410 (-569)))) (-6 (-43 (-410 (-569)))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-286) |has| |#1| (-559)) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-708 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) |has| |#1| (-559)) ((-717) . T) ((-1054 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) NIL)) (-1842 (((-635 $) (-1159 $) (-1163)) NIL) (((-635 $) (-1159 $)) NIL) (((-635 $) (-954 $)) NIL)) (-2493 (($ (-1159 $) (-1163)) NIL) (($ (-1159 $)) NIL) (($ (-954 $)) NIL)) (-3813 (((-121) $) 11)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-4003 (((-635 (-608 $)) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2773 (($ $ (-289 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-2454 (($ $) NIL)) (-3934 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-2663 (((-635 $) (-1159 $) (-1163)) NIL) (((-635 $) (-1159 $)) NIL) (((-635 $) (-954 $)) NIL)) (-3550 (($ (-1159 $) (-1163)) NIL) (($ (-1159 $)) NIL) (($ (-954 $)) NIL)) (-1647 (((-3 (-608 $) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL)) (-2428 (((-608 $) $) NIL) (((-569) $) NIL) (((-410 (-569)) $) NIL)) (-2506 (($ $ $) NIL)) (-1696 (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL) (((-680 (-569)) (-680 $)) NIL) (((-2 (|:| -3477 (-680 (-410 (-569)))) (|:| |vec| (-1247 (-410 (-569))))) (-680 $) (-1247 $)) NIL) (((-680 (-410 (-569))) (-680 $)) NIL)) (-1774 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-2337 (($ $) NIL) (($ (-635 $)) NIL)) (-3431 (((-635 (-123)) $) NIL)) (-2265 (((-123) (-123)) NIL)) (-1407 (((-121) $) 14)) (-1931 (((-121) $) NIL (|has| $ (-1038 (-569))))) (-4116 (((-1114 (-569) (-608 $)) $) NIL)) (-4344 (($ $ (-569)) NIL)) (-4308 (((-1159 $) (-1159 $) (-608 $)) NIL) (((-1159 $) (-1159 $) (-635 (-608 $))) NIL) (($ $ (-608 $)) NIL) (($ $ (-635 (-608 $))) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4080 (((-1159 $) (-608 $)) NIL (|has| $ (-1048)))) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1544 (($ (-1 $ $) (-608 $)) NIL)) (-2359 (((-3 (-608 $) "failed") $) NIL)) (-2665 (($ (-635 $)) NIL) (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-1735 (((-635 (-608 $)) $) NIL)) (-1777 (($ (-123) $) NIL) (($ (-123) (-635 $)) NIL)) (-4029 (((-121) $ (-123)) NIL) (((-121) $ (-1163)) NIL)) (-1795 (($ $) NIL)) (-2626 (((-764) $) NIL)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ (-635 $)) NIL) (($ $ $) NIL)) (-1452 (((-121) $ $) NIL) (((-121) $ (-1163)) NIL)) (-1743 (((-421 $) $) NIL)) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1657 (((-121) $) NIL (|has| $ (-1038 (-569))))) (-1468 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1163)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-1163)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-1163) (-1 $ (-635 $))) NIL) (($ $ (-1163) (-1 $ $)) NIL) (($ $ (-635 (-123)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-123) (-1 $ (-635 $))) NIL) (($ $ (-123) (-1 $ $)) NIL)) (-2622 (((-764) $) NIL)) (-1534 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-635 $)) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-4082 (($ $) NIL) (($ $ $) NIL)) (-3899 (($ $ (-764)) NIL) (($ $) NIL)) (-4121 (((-1114 (-569) (-608 $)) $) NIL)) (-2745 (($ $) NIL (|has| $ (-1048)))) (-3817 (((-382) $) NIL) (((-216) $) NIL) (((-170 (-382)) $) NIL)) (-2185 (((-851) $) NIL) (($ (-608 $)) NIL) (($ (-410 (-569))) NIL) (($ $) NIL) (($ (-569)) NIL) (($ (-1114 (-569) (-608 $))) NIL)) (-1991 (((-764)) NIL)) (-4042 (($ $) NIL) (($ (-635 $)) NIL)) (-1524 (((-121) (-123)) NIL)) (-1961 (((-121) $ $) NIL)) (-2427 (($ $ (-569)) NIL) (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (-3369 (($) 7 T CONST)) (-1556 (($) 12 T CONST)) (-3022 (($ $ (-764)) NIL) (($ $) NIL)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 16)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL)) (-1711 (($ $ $) 15) (($ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-410 (-569))) NIL) (($ $ (-569)) NIL) (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (* (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL) (($ $ $) NIL) (($ (-569) $) NIL) (($ (-764) $) NIL) (($ (-918) $) NIL))) 
+(((-53) (-13 (-297) (-27) (-1038 (-569)) (-1038 (-410 (-569))) (-631 (-569)) (-1022) (-631 (-410 (-569))) (-151) (-610 (-170 (-382))) (-226) (-10 -8 (-15 -2185 ($ (-1114 (-569) (-608 $)))) (-15 -4116 ((-1114 (-569) (-608 $)) $)) (-15 -4121 ((-1114 (-569) (-608 $)) $)) (-15 -1774 ($ $)) (-15 -4308 ((-1159 $) (-1159 $) (-608 $))) (-15 -4308 ((-1159 $) (-1159 $) (-635 (-608 $)))) (-15 -4308 ($ $ (-608 $))) (-15 -4308 ($ $ (-635 (-608 $))))))) (T -53)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1114 (-569) (-608 (-53)))) (-5 *1 (-53)))) (-4116 (*1 *2 *1) (-12 (-5 *2 (-1114 (-569) (-608 (-53)))) (-5 *1 (-53)))) (-4121 (*1 *2 *1) (-12 (-5 *2 (-1114 (-569) (-608 (-53)))) (-5 *1 (-53)))) (-1774 (*1 *1 *1) (-5 *1 (-53))) (-4308 (*1 *2 *2 *3) (-12 (-5 *2 (-1159 (-53))) (-5 *3 (-608 (-53))) (-5 *1 (-53)))) (-4308 (*1 *2 *2 *3) (-12 (-5 *2 (-1159 (-53))) (-5 *3 (-635 (-608 (-53)))) (-5 *1 (-53)))) (-4308 (*1 *1 *1 *2) (-12 (-5 *2 (-608 (-53))) (-5 *1 (-53)))) (-4308 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-608 (-53)))) (-5 *1 (-53))))) 
+(-13 (-297) (-27) (-1038 (-569)) (-1038 (-410 (-569))) (-631 (-569)) (-1022) (-631 (-410 (-569))) (-151) (-610 (-170 (-382))) (-226) (-10 -8 (-15 -2185 ($ (-1114 (-569) (-608 $)))) (-15 -4116 ((-1114 (-569) (-608 $)) $)) (-15 -4121 ((-1114 (-569) (-608 $)) $)) (-15 -1774 ($ $)) (-15 -4308 ((-1159 $) (-1159 $) (-608 $))) (-15 -4308 ((-1159 $) (-1159 $) (-635 (-608 $)))) (-15 -4308 ($ $ (-608 $))) (-15 -4308 ($ $ (-635 (-608 $)))))) 
+((-2568 (((-121) $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 7)) (-1668 (((-121) $ $) NIL))) 
+(((-54) (-1091)) (T -54)) 
+NIL 
+(-1091) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 60)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-3633 (((-121) $) 20)) (-1647 (((-3 |#1| "failed") $) 23)) (-2428 ((|#1| $) 24)) (-4020 (($ $) 27)) (-3428 (((-3 $ "failed") $) NIL)) (-1407 (((-121) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-4012 ((|#1| $) 21)) (-2528 (($ $) 49)) (-2776 (((-1145) $) NIL)) (-2910 (((-121) $) 28)) (-3360 (((-1109) $) NIL)) (-1809 (($ (-764)) 47)) (-2436 (($ (-635 (-569))) 48)) (-2492 (((-764) $) 29)) (-2185 (((-851) $) 63) (($ (-569)) 44) (($ |#1|) 42)) (-1653 ((|#1| $ $) 19)) (-1991 (((-764)) 46)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 30 T CONST)) (-1556 (($) 14 T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 40)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 41) (($ |#1| $) 35))) 
+(((-55 |#1| |#2|) (-13 (-613 |#1|) (-1038 |#1|) (-10 -8 (-15 -4012 (|#1| $)) (-15 -2528 ($ $)) (-15 -4020 ($ $)) (-15 -1653 (|#1| $ $)) (-15 -1809 ($ (-764))) (-15 -2436 ($ (-635 (-569)))) (-15 -2910 ((-121) $)) (-15 -3633 ((-121) $)) (-15 -2492 ((-764) $)) (-15 -1544 ($ (-1 |#1| |#1|) $)))) (-1048) (-635 (-1163))) (T -55)) 
+((-4012 (*1 *2 *1) (-12 (-4 *2 (-1048)) (-5 *1 (-55 *2 *3)) (-14 *3 (-635 (-1163))))) (-2528 (*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-635 (-1163))))) (-4020 (*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-635 (-1163))))) (-1653 (*1 *2 *1 *1) (-12 (-4 *2 (-1048)) (-5 *1 (-55 *2 *3)) (-14 *3 (-635 (-1163))))) (-1809 (*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-635 (-1163))))) (-2436 (*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-55 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-635 (-1163))))) (-2910 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-635 (-1163))))) (-3633 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-635 (-1163))))) (-2492 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-635 (-1163))))) (-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-55 *3 *4)) (-14 *4 (-635 (-1163)))))) 
+(-13 (-613 |#1|) (-1038 |#1|) (-10 -8 (-15 -4012 (|#1| $)) (-15 -2528 ($ $)) (-15 -4020 ($ $)) (-15 -1653 (|#1| $ $)) (-15 -1809 ($ (-764))) (-15 -2436 ($ (-635 (-569)))) (-15 -2910 ((-121) $)) (-15 -3633 ((-121) $)) (-15 -2492 ((-764) $)) (-15 -1544 ($ (-1 |#1| |#1|) $)))) 
+((-3633 (((-121) (-57)) 13)) (-1647 (((-3 |#1| "failed") (-57)) 21)) (-2428 ((|#1| (-57)) 22)) (-2185 (((-57) |#1|) 18))) 
+(((-56 |#1|) (-10 -7 (-15 -2185 ((-57) |#1|)) (-15 -1647 ((-3 |#1| "failed") (-57))) (-15 -3633 ((-121) (-57))) (-15 -2428 (|#1| (-57)))) (-1197)) (T -56)) 
+((-2428 (*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1197)))) (-3633 (*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *2 (-121)) (-5 *1 (-56 *4)) (-4 *4 (-1197)))) (-1647 (*1 *2 *3) (|partial| -12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1197)))) (-2185 (*1 *2 *3) (-12 (-5 *2 (-57)) (-5 *1 (-56 *3)) (-4 *3 (-1197))))) 
+(-10 -7 (-15 -2185 ((-57) |#1|)) (-15 -1647 ((-3 |#1| "failed") (-57))) (-15 -3633 ((-121) (-57))) (-15 -2428 (|#1| (-57)))) 
+((-2568 (((-121) $ $) NIL)) (-3802 (((-1145) (-121)) 25)) (-4457 (((-851) $) 24)) (-1307 (((-767) $) 12)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2781 (((-851) $) 16)) (-4420 (((-1095) $) 14)) (-2185 (((-851) $) 32)) (-1794 (($ (-1095) (-767)) 33)) (-1668 (((-121) $ $) 18))) 
+(((-57) (-13 (-1091) (-10 -8 (-15 -1794 ($ (-1095) (-767))) (-15 -2781 ((-851) $)) (-15 -4457 ((-851) $)) (-15 -4420 ((-1095) $)) (-15 -1307 ((-767) $)) (-15 -3802 ((-1145) (-121)))))) (T -57)) 
+((-1794 (*1 *1 *2 *3) (-12 (-5 *2 (-1095)) (-5 *3 (-767)) (-5 *1 (-57)))) (-2781 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-57)))) (-4457 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-57)))) (-4420 (*1 *2 *1) (-12 (-5 *2 (-1095)) (-5 *1 (-57)))) (-1307 (*1 *2 *1) (-12 (-5 *2 (-767)) (-5 *1 (-57)))) (-3802 (*1 *2 *3) (-12 (-5 *3 (-121)) (-5 *2 (-1145)) (-5 *1 (-57))))) 
+(-13 (-1091) (-10 -8 (-15 -1794 ($ (-1095) (-767))) (-15 -2781 ((-851) $)) (-15 -4457 ((-851) $)) (-15 -4420 ((-1095) $)) (-15 -1307 ((-767) $)) (-15 -3802 ((-1145) (-121))))) 
+((-4246 (((-1252)) 19)) (-3427 (((-1093 (-1163)) (-1163)) 15)) (-4295 (((-1252)) 18))) 
+(((-58) (-10 -7 (-15 -3427 ((-1093 (-1163)) (-1163))) (-15 -4295 ((-1252))) (-15 -4246 ((-1252))))) (T -58)) 
+((-4246 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-58)))) (-4295 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-58)))) (-3427 (*1 *2 *3) (-12 (-5 *2 (-1093 (-1163))) (-5 *1 (-58)) (-5 *3 (-1163))))) 
+(-10 -7 (-15 -3427 ((-1093 (-1163)) (-1163))) (-15 -4295 ((-1252))) (-15 -4246 ((-1252)))) 
+((-1943 ((|#2| |#3| (-1 |#2| |#2|) |#2|) 16))) 
+(((-59 |#1| |#2| |#3|) (-10 -7 (-15 -1943 (|#2| |#3| (-1 |#2| |#2|) |#2|))) (-1048) (-638 |#1|) (-845 |#1|)) (T -59)) 
+((-1943 (*1 *2 *3 *4 *2) (-12 (-5 *4 (-1 *2 *2)) (-4 *2 (-638 *5)) (-4 *5 (-1048)) (-5 *1 (-59 *5 *2 *3)) (-4 *3 (-845 *5))))) 
+(-10 -7 (-15 -1943 (|#2| |#3| (-1 |#2| |#2|) |#2|))) 
+((-1950 ((|#3| |#3| (-635 (-1163))) 35)) (-4229 ((|#3| (-635 (-1070 |#1| |#2| |#3|)) |#3| (-918)) 22) ((|#3| (-635 (-1070 |#1| |#2| |#3|)) |#3|) 20))) 
+(((-60 |#1| |#2| |#3|) (-10 -7 (-15 -4229 (|#3| (-635 (-1070 |#1| |#2| |#3|)) |#3|)) (-15 -4229 (|#3| (-635 (-1070 |#1| |#2| |#3|)) |#3| (-918))) (-15 -1950 (|#3| |#3| (-635 (-1163))))) (-1091) (-13 (-1048) (-882 |#1|) (-843) (-610 (-888 |#1|))) (-13 (-433 |#2|) (-882 |#1|) (-610 (-888 |#1|)))) (T -60)) 
+((-1950 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-1163))) (-4 *4 (-1091)) (-4 *5 (-13 (-1048) (-882 *4) (-843) (-610 (-888 *4)))) (-5 *1 (-60 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-882 *4) (-610 (-888 *4)))))) (-4229 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-635 (-1070 *5 *6 *2))) (-5 *4 (-918)) (-4 *5 (-1091)) (-4 *6 (-13 (-1048) (-882 *5) (-843) (-610 (-888 *5)))) (-4 *2 (-13 (-433 *6) (-882 *5) (-610 (-888 *5)))) (-5 *1 (-60 *5 *6 *2)))) (-4229 (*1 *2 *3 *2) (-12 (-5 *3 (-635 (-1070 *4 *5 *2))) (-4 *4 (-1091)) (-4 *5 (-13 (-1048) (-882 *4) (-843) (-610 (-888 *4)))) (-4 *2 (-13 (-433 *5) (-882 *4) (-610 (-888 *4)))) (-5 *1 (-60 *4 *5 *2))))) 
+(-10 -7 (-15 -4229 (|#3| (-635 (-1070 |#1| |#2| |#3|)) |#3|)) (-15 -4229 (|#3| (-635 (-1070 |#1| |#2| |#3|)) |#3| (-918))) (-15 -1950 (|#3| |#3| (-635 (-1163))))) 
+((-1691 (((-121) $ (-764)) 23)) (-2451 (($ $ (-569) |#3|) 45)) (-3443 (($ $ (-569) |#4|) 49)) (-1765 ((|#3| $ (-569)) 58)) (-3470 (((-635 |#2|) $) 30)) (-1974 (((-121) $ (-764)) 25)) (-3660 (((-121) |#2| $) 53)) (-1853 (($ (-1 |#2| |#2|) $) 37)) (-1544 (($ (-1 |#2| |#2|) $) 36) (($ (-1 |#2| |#2| |#2|) $ $) 39) (($ (-1 |#2| |#2| |#2|) $ $ |#2|) 41)) (-2006 (((-121) $ (-764)) 24)) (-3174 (($ $ |#2|) 34)) (-4177 (((-121) (-1 (-121) |#2|) $) 19)) (-1534 ((|#2| $ (-569) (-569)) NIL) ((|#2| $ (-569) (-569) |#2|) 27)) (-2846 (((-764) (-1 (-121) |#2|) $) 28) (((-764) |#2| $) 55)) (-1971 (($ $) 33)) (-3419 ((|#4| $ (-569)) 61)) (-2185 (((-851) $) 66)) (-2066 (((-121) (-1 (-121) |#2|) $) 18)) (-1668 (((-121) $ $) 52)) (-4168 (((-764) $) 26))) 
+(((-61 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -1544 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1| |#2|)) (-15 -1544 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -1853 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3443 (|#1| |#1| (-569) |#4|)) (-15 -2451 (|#1| |#1| (-569) |#3|)) (-15 -3470 ((-635 |#2|) |#1|)) (-15 -3419 (|#4| |#1| (-569))) (-15 -1765 (|#3| |#1| (-569))) (-15 -1534 (|#2| |#1| (-569) (-569) |#2|)) (-15 -1534 (|#2| |#1| (-569) (-569))) (-15 -3174 (|#1| |#1| |#2|)) (-15 -1668 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -3660 ((-121) |#2| |#1|)) (-15 -2846 ((-764) |#2| |#1|)) (-15 -2846 ((-764) (-1 (-121) |#2|) |#1|)) (-15 -4177 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2066 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4168 ((-764) |#1|)) (-15 -1691 ((-121) |#1| (-764))) (-15 -1974 ((-121) |#1| (-764))) (-15 -2006 ((-121) |#1| (-764))) (-15 -1971 (|#1| |#1|))) (-62 |#2| |#3| |#4|) (-1197) (-376 |#2|) (-376 |#2|)) (T -61)) 
+NIL 
+(-10 -8 (-15 -1544 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1| |#2|)) (-15 -1544 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -1853 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3443 (|#1| |#1| (-569) |#4|)) (-15 -2451 (|#1| |#1| (-569) |#3|)) (-15 -3470 ((-635 |#2|) |#1|)) (-15 -3419 (|#4| |#1| (-569))) (-15 -1765 (|#3| |#1| (-569))) (-15 -1534 (|#2| |#1| (-569) (-569) |#2|)) (-15 -1534 (|#2| |#1| (-569) (-569))) (-15 -3174 (|#1| |#1| |#2|)) (-15 -1668 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -3660 ((-121) |#2| |#1|)) (-15 -2846 ((-764) |#2| |#1|)) (-15 -2846 ((-764) (-1 (-121) |#2|) |#1|)) (-15 -4177 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2066 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4168 ((-764) |#1|)) (-15 -1691 ((-121) |#1| (-764))) (-15 -1974 ((-121) |#1| (-764))) (-15 -2006 ((-121) |#1| (-764))) (-15 -1971 (|#1| |#1|))) 
+((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) 8)) (-4469 ((|#1| $ (-569) (-569) |#1|) 41)) (-2451 (($ $ (-569) |#2|) 39)) (-3443 (($ $ (-569) |#3|) 38)) (-2820 (($) 7 T CONST)) (-1765 ((|#2| $ (-569)) 43)) (-2726 ((|#1| $ (-569) (-569) |#1|) 40)) (-1618 ((|#1| $ (-569) (-569)) 45)) (-3470 (((-635 |#1|) $) 30)) (-1810 (((-764) $) 48)) (-2659 (($ (-764) (-764) |#1|) 54)) (-2806 (((-764) $) 47)) (-1974 (((-121) $ (-764)) 9)) (-3992 (((-569) $) 52)) (-3127 (((-569) $) 50)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1866 (((-569) $) 51)) (-1581 (((-569) $) 49)) (-1853 (($ (-1 |#1| |#1|) $) 34)) (-1544 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 37) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) 36)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-3174 (($ $ |#1|) 53)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ (-569) (-569)) 46) ((|#1| $ (-569) (-569) |#1|) 44)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-3419 ((|#3| $ (-569)) 42)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-62 |#1| |#2| |#3|) (-1278) (-1197) (-376 |t#1|) (-376 |t#1|)) (T -62)) 
+((-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-2659 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-764)) (-4 *3 (-1197)) (-4 *1 (-62 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-3174 (*1 *1 *1 *2) (-12 (-4 *1 (-62 *2 *3 *4)) (-4 *2 (-1197)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-3992 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) (-1866 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) (-3127 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) (-1581 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) (-1810 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-764)))) (-2806 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-764)))) (-1534 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-1197)))) (-1618 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-1197)))) (-1534 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1197)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)))) (-1765 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *4 *2 *5)) (-4 *4 (-1197)) (-4 *5 (-376 *4)) (-4 *2 (-376 *4)))) (-3419 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *4 *5 *2)) (-4 *4 (-1197)) (-4 *5 (-376 *4)) (-4 *2 (-376 *4)))) (-3470 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-635 *3)))) (-4469 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1197)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)))) (-2726 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1197)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)))) (-2451 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-569)) (-4 *1 (-62 *4 *3 *5)) (-4 *4 (-1197)) (-4 *3 (-376 *4)) (-4 *5 (-376 *4)))) (-3443 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-569)) (-4 *1 (-62 *4 *5 *3)) (-4 *4 (-1197)) (-4 *5 (-376 *4)) (-4 *3 (-376 *4)))) (-1853 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-1544 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-1544 (*1 *1 *2 *1 *1 *3) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3))))) 
+(-13 (-500 |t#1|) (-10 -8 (-6 -4536) (-6 -4535) (-15 -2659 ($ (-764) (-764) |t#1|)) (-15 -3174 ($ $ |t#1|)) (-15 -3992 ((-569) $)) (-15 -1866 ((-569) $)) (-15 -3127 ((-569) $)) (-15 -1581 ((-569) $)) (-15 -1810 ((-764) $)) (-15 -2806 ((-764) $)) (-15 -1534 (|t#1| $ (-569) (-569))) (-15 -1618 (|t#1| $ (-569) (-569))) (-15 -1534 (|t#1| $ (-569) (-569) |t#1|)) (-15 -1765 (|t#2| $ (-569))) (-15 -3419 (|t#3| $ (-569))) (-15 -3470 ((-635 |t#1|) $)) (-15 -4469 (|t#1| $ (-569) (-569) |t#1|)) (-15 -2726 (|t#1| $ (-569) (-569) |t#1|)) (-15 -2451 ($ $ (-569) |t#2|)) (-15 -3443 ($ $ (-569) |t#3|)) (-15 -1544 ($ (-1 |t#1| |t#1|) $)) (-15 -1853 ($ (-1 |t#1| |t#1|) $)) (-15 -1544 ($ (-1 |t#1| |t#1| |t#1|) $ $)) (-15 -1544 ($ (-1 |t#1| |t#1| |t#1|) $ $ |t#1|)))) 
+(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
+((-3043 (((-64 |#2|) (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|) 16)) (-1774 ((|#2| (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|) 18)) (-1544 (((-64 |#2|) (-1 |#2| |#1|) (-64 |#1|)) 13))) 
+(((-63 |#1| |#2|) (-10 -7 (-15 -3043 ((-64 |#2|) (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -1774 (|#2| (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -1544 ((-64 |#2|) (-1 |#2| |#1|) (-64 |#1|)))) (-1197) (-1197)) (T -63)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-64 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-64 *6)) (-5 *1 (-63 *5 *6)))) (-1774 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-64 *5)) (-4 *5 (-1197)) (-4 *2 (-1197)) (-5 *1 (-63 *5 *2)))) (-3043 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-64 *6)) (-4 *6 (-1197)) (-4 *5 (-1197)) (-5 *2 (-64 *5)) (-5 *1 (-63 *6 *5))))) 
+(-10 -7 (-15 -3043 ((-64 |#2|) (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -1774 (|#2| (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -1544 ((-64 |#2|) (-1 |#2| |#1|) (-64 |#1|)))) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-843)))) (-3076 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| |#1| (-843))))) (-3113 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#1| $ (-569) |#1|) 11 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) NIL (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4347 (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) NIL)) (-3727 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1091))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1091)))) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-1885 (($ (-635 |#1|)) 13) (($ (-764) |#1|) 14)) (-2659 (($ (-764) |#1|) 9)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-3288 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3614 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4353 ((|#1| $) NIL (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-3174 (($ $ |#1|) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 7)) (-1534 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) NIL)) (-2250 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-64 |#1|) (-13 (-19 |#1|) (-10 -8 (-15 -1885 ($ (-635 |#1|))) (-15 -1885 ($ (-764) |#1|)))) (-1197)) (T -64)) 
+((-1885 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-5 *1 (-64 *3)))) (-1885 (*1 *1 *2 *3) (-12 (-5 *2 (-764)) (-5 *1 (-64 *3)) (-4 *3 (-1197))))) 
+(-13 (-19 |#1|) (-10 -8 (-15 -1885 ($ (-635 |#1|))) (-15 -1885 ($ (-764) |#1|)))) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#1| $ (-569) (-569) |#1|) NIL)) (-2451 (($ $ (-569) (-64 |#1|)) NIL)) (-3443 (($ $ (-569) (-64 |#1|)) NIL)) (-2820 (($) NIL T CONST)) (-1765 (((-64 |#1|) $ (-569)) NIL)) (-2726 ((|#1| $ (-569) (-569) |#1|) NIL)) (-1618 ((|#1| $ (-569) (-569)) NIL)) (-3470 (((-635 |#1|) $) NIL)) (-1810 (((-764) $) NIL)) (-2659 (($ (-764) (-764) |#1|) NIL)) (-2806 (((-764) $) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3992 (((-569) $) NIL)) (-3127 (((-569) $) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1866 (((-569) $) NIL)) (-1581 (((-569) $) NIL)) (-1853 (($ (-1 |#1| |#1|) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-3174 (($ $ |#1|) NIL)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ (-569) (-569)) NIL) ((|#1| $ (-569) (-569) |#1|) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-3419 (((-64 |#1|) $ (-569)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-65 |#1|) (-13 (-62 |#1| (-64 |#1|) (-64 |#1|)) (-10 -7 (-6 -4536))) (-1197)) (T -65)) 
+NIL 
+(-13 (-62 |#1| (-64 |#1|) (-64 |#1|)) (-10 -7 (-6 -4536))) 
+((-1647 (((-3 $ "failed") (-1247 (-311 (-382)))) 69) (((-3 $ "failed") (-1247 (-311 (-569)))) 58) (((-3 $ "failed") (-1247 (-954 (-382)))) 91) (((-3 $ "failed") (-1247 (-954 (-569)))) 80) (((-3 $ "failed") (-1247 (-410 (-954 (-382))))) 47) (((-3 $ "failed") (-1247 (-410 (-954 (-569))))) 36)) (-2428 (($ (-1247 (-311 (-382)))) 65) (($ (-1247 (-311 (-569)))) 54) (($ (-1247 (-954 (-382)))) 87) (($ (-1247 (-954 (-569)))) 76) (($ (-1247 (-410 (-954 (-382))))) 43) (($ (-1247 (-410 (-954 (-569))))) 29)) (-3836 (((-1252) $) 118)) (-2185 (((-851) $) 111) (($ (-635 (-329))) 100) (($ (-329)) 94) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 97) (($ (-1247 (-338 (-2139 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-2139) (-689)))) 28))) 
+(((-66 |#1|) (-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-2139) (-689))))))) (-1163)) (T -66)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-2139) (-689)))) (-5 *1 (-66 *3)) (-14 *3 (-1163))))) 
+(-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-2139) (-689))))))) 
+((-3836 (((-1252) $) 48) (((-1252)) 49)) (-2185 (((-851) $) 45))) 
+(((-67 |#1|) (-13 (-398) (-10 -7 (-15 -3836 ((-1252))))) (-1163)) (T -67)) 
+((-3836 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-67 *3)) (-14 *3 (-1163))))) 
+(-13 (-398) (-10 -7 (-15 -3836 ((-1252))))) 
+((-1647 (((-3 $ "failed") (-1247 (-311 (-382)))) 142) (((-3 $ "failed") (-1247 (-311 (-569)))) 132) (((-3 $ "failed") (-1247 (-954 (-382)))) 163) (((-3 $ "failed") (-1247 (-954 (-569)))) 152) (((-3 $ "failed") (-1247 (-410 (-954 (-382))))) 121) (((-3 $ "failed") (-1247 (-410 (-954 (-569))))) 110)) (-2428 (($ (-1247 (-311 (-382)))) 138) (($ (-1247 (-311 (-569)))) 128) (($ (-1247 (-954 (-382)))) 159) (($ (-1247 (-954 (-569)))) 148) (($ (-1247 (-410 (-954 (-382))))) 117) (($ (-1247 (-410 (-954 (-569))))) 103)) (-3836 (((-1252) $) 96)) (-2185 (((-851) $) 90) (($ (-635 (-329))) 28) (($ (-329)) 34) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 31) (($ (-1247 (-338 (-2139) (-2139 (QUOTE XC)) (-689)))) 88))) 
+(((-68 |#1|) (-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139) (-2139 (QUOTE XC)) (-689))))))) (-1163)) (T -68)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139) (-2139 (QUOTE XC)) (-689)))) (-5 *1 (-68 *3)) (-14 *3 (-1163))))) 
+(-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139) (-2139 (QUOTE XC)) (-689))))))) 
+((-1647 (((-3 $ "failed") (-311 (-382))) 36) (((-3 $ "failed") (-311 (-569))) 41) (((-3 $ "failed") (-954 (-382))) 46) (((-3 $ "failed") (-954 (-569))) 51) (((-3 $ "failed") (-410 (-954 (-382)))) 31) (((-3 $ "failed") (-410 (-954 (-569)))) 26)) (-2428 (($ (-311 (-382))) 34) (($ (-311 (-569))) 39) (($ (-954 (-382))) 44) (($ (-954 (-569))) 49) (($ (-410 (-954 (-382)))) 29) (($ (-410 (-954 (-569)))) 23)) (-3836 (((-1252) $) 73)) (-2185 (((-851) $) 66) (($ (-635 (-329))) 57) (($ (-329)) 63) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 60) (($ (-338 (-2139 (QUOTE X)) (-2139) (-689))) 22))) 
+(((-69 |#1|) (-13 (-399) (-10 -8 (-15 -2185 ($ (-338 (-2139 (QUOTE X)) (-2139) (-689)))))) (-1163)) (T -69)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-338 (-2139 (QUOTE X)) (-2139) (-689))) (-5 *1 (-69 *3)) (-14 *3 (-1163))))) 
+(-13 (-399) (-10 -8 (-15 -2185 ($ (-338 (-2139 (QUOTE X)) (-2139) (-689)))))) 
+((-1647 (((-3 $ "failed") (-680 (-311 (-382)))) 100) (((-3 $ "failed") (-680 (-311 (-569)))) 89) (((-3 $ "failed") (-680 (-954 (-382)))) 122) (((-3 $ "failed") (-680 (-954 (-569)))) 111) (((-3 $ "failed") (-680 (-410 (-954 (-382))))) 78) (((-3 $ "failed") (-680 (-410 (-954 (-569))))) 67)) (-2428 (($ (-680 (-311 (-382)))) 96) (($ (-680 (-311 (-569)))) 85) (($ (-680 (-954 (-382)))) 118) (($ (-680 (-954 (-569)))) 107) (($ (-680 (-410 (-954 (-382))))) 74) (($ (-680 (-410 (-954 (-569))))) 60)) (-3836 (((-1252) $) 130)) (-2185 (((-851) $) 124) (($ (-635 (-329))) 27) (($ (-329)) 33) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 30) (($ (-680 (-338 (-2139) (-2139 (QUOTE X) (QUOTE HESS)) (-689)))) 53))) 
+(((-70 |#1|) (-13 (-387) (-10 -8 (-15 -2185 ($ (-680 (-338 (-2139) (-2139 (QUOTE X) (QUOTE HESS)) (-689))))))) (-1163)) (T -70)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-680 (-338 (-2139) (-2139 (QUOTE X) (QUOTE HESS)) (-689)))) (-5 *1 (-70 *3)) (-14 *3 (-1163))))) 
+(-13 (-387) (-10 -8 (-15 -2185 ($ (-680 (-338 (-2139) (-2139 (QUOTE X) (QUOTE HESS)) (-689))))))) 
+((-1647 (((-3 $ "failed") (-311 (-382))) 54) (((-3 $ "failed") (-311 (-569))) 59) (((-3 $ "failed") (-954 (-382))) 64) (((-3 $ "failed") (-954 (-569))) 69) (((-3 $ "failed") (-410 (-954 (-382)))) 49) (((-3 $ "failed") (-410 (-954 (-569)))) 44)) (-2428 (($ (-311 (-382))) 52) (($ (-311 (-569))) 57) (($ (-954 (-382))) 62) (($ (-954 (-569))) 67) (($ (-410 (-954 (-382)))) 47) (($ (-410 (-954 (-569)))) 41)) (-3836 (((-1252) $) 78)) (-2185 (((-851) $) 72) (($ (-635 (-329))) 27) (($ (-329)) 33) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 30) (($ (-338 (-2139) (-2139 (QUOTE XC)) (-689))) 38))) 
+(((-71 |#1|) (-13 (-399) (-10 -8 (-15 -2185 ($ (-338 (-2139) (-2139 (QUOTE XC)) (-689)))))) (-1163)) (T -71)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-338 (-2139) (-2139 (QUOTE XC)) (-689))) (-5 *1 (-71 *3)) (-14 *3 (-1163))))) 
+(-13 (-399) (-10 -8 (-15 -2185 ($ (-338 (-2139) (-2139 (QUOTE XC)) (-689)))))) 
+((-3836 (((-1252) $) 63)) (-2185 (((-851) $) 57) (($ (-680 (-689))) 49) (($ (-635 (-329))) 48) (($ (-329)) 55) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 53))) 
+(((-72 |#1|) (-386) (-1163)) (T -72)) 
+NIL 
+(-386) 
+((-3836 (((-1252) $) 64)) (-2185 (((-851) $) 58) (($ (-680 (-689))) 50) (($ (-635 (-329))) 49) (($ (-329)) 52) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 55))) 
+(((-73 |#1|) (-386) (-1163)) (T -73)) 
+NIL 
+(-386) 
+((-3836 (((-1252) $) NIL) (((-1252)) 32)) (-2185 (((-851) $) NIL))) 
+(((-74 |#1|) (-13 (-398) (-10 -7 (-15 -3836 ((-1252))))) (-1163)) (T -74)) 
+((-3836 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-74 *3)) (-14 *3 (-1163))))) 
+(-13 (-398) (-10 -7 (-15 -3836 ((-1252))))) 
+((-3836 (((-1252) $) 68)) (-2185 (((-851) $) 62) (($ (-680 (-689))) 53) (($ (-635 (-329))) 56) (($ (-329)) 59) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 52))) 
+(((-75 |#1|) (-386) (-1163)) (T -75)) 
+NIL 
+(-386) 
+((-1647 (((-3 $ "failed") (-1247 (-311 (-382)))) 98) (((-3 $ "failed") (-1247 (-311 (-569)))) 87) (((-3 $ "failed") (-1247 (-954 (-382)))) 119) (((-3 $ "failed") (-1247 (-954 (-569)))) 108) (((-3 $ "failed") (-1247 (-410 (-954 (-382))))) 76) (((-3 $ "failed") (-1247 (-410 (-954 (-569))))) 65)) (-2428 (($ (-1247 (-311 (-382)))) 94) (($ (-1247 (-311 (-569)))) 83) (($ (-1247 (-954 (-382)))) 115) (($ (-1247 (-954 (-569)))) 104) (($ (-1247 (-410 (-954 (-382))))) 72) (($ (-1247 (-410 (-954 (-569))))) 58)) (-3836 (((-1252) $) 133)) (-2185 (((-851) $) 127) (($ (-635 (-329))) 122) (($ (-329)) 125) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 50) (($ (-1247 (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689)))) 51))) 
+(((-76 |#1|) (-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689))))))) (-1163)) (T -76)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689)))) (-5 *1 (-76 *3)) (-14 *3 (-1163))))) 
+(-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689))))))) 
+((-3836 (((-1252) $) 32) (((-1252)) 31)) (-2185 (((-851) $) 35))) 
+(((-77 |#1|) (-13 (-398) (-10 -7 (-15 -3836 ((-1252))))) (-1163)) (T -77)) 
+((-3836 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-77 *3)) (-14 *3 (-1163))))) 
+(-13 (-398) (-10 -7 (-15 -3836 ((-1252))))) 
+((-3836 (((-1252) $) 62)) (-2185 (((-851) $) 56) (($ (-680 (-689))) 47) (($ (-635 (-329))) 50) (($ (-329)) 53) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 46))) 
+(((-78 |#1|) (-386) (-1163)) (T -78)) 
+NIL 
+(-386) 
+((-1647 (((-3 $ "failed") (-1247 (-311 (-382)))) 119) (((-3 $ "failed") (-1247 (-311 (-569)))) 108) (((-3 $ "failed") (-1247 (-954 (-382)))) 141) (((-3 $ "failed") (-1247 (-954 (-569)))) 130) (((-3 $ "failed") (-1247 (-410 (-954 (-382))))) 98) (((-3 $ "failed") (-1247 (-410 (-954 (-569))))) 87)) (-2428 (($ (-1247 (-311 (-382)))) 115) (($ (-1247 (-311 (-569)))) 104) (($ (-1247 (-954 (-382)))) 137) (($ (-1247 (-954 (-569)))) 126) (($ (-1247 (-410 (-954 (-382))))) 94) (($ (-1247 (-410 (-954 (-569))))) 80)) (-3836 (((-1252) $) 73)) (-2185 (((-851) $) 27) (($ (-635 (-329))) 63) (($ (-329)) 59) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 66) (($ (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689)))) 60))) 
+(((-79 |#1|) (-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689))))))) (-1163)) (T -79)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689)))) (-5 *1 (-79 *3)) (-14 *3 (-1163))))) 
+(-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689))))))) 
+((-1647 (((-3 $ "failed") (-1247 (-311 (-382)))) 125) (((-3 $ "failed") (-1247 (-311 (-569)))) 114) (((-3 $ "failed") (-1247 (-954 (-382)))) 147) (((-3 $ "failed") (-1247 (-954 (-569)))) 136) (((-3 $ "failed") (-1247 (-410 (-954 (-382))))) 103) (((-3 $ "failed") (-1247 (-410 (-954 (-569))))) 92)) (-2428 (($ (-1247 (-311 (-382)))) 121) (($ (-1247 (-311 (-569)))) 110) (($ (-1247 (-954 (-382)))) 143) (($ (-1247 (-954 (-569)))) 132) (($ (-1247 (-410 (-954 (-382))))) 99) (($ (-1247 (-410 (-954 (-569))))) 85)) (-3836 (((-1252) $) 78)) (-2185 (((-851) $) 70) (($ (-635 (-329))) NIL) (($ (-329)) NIL) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) NIL) (($ (-1247 (-338 (-2139 (QUOTE X) (QUOTE EPS)) (-2139 (QUOTE -2374)) (-689)))) 65))) 
+(((-80 |#1| |#2| |#3|) (-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE X) (QUOTE EPS)) (-2139 (QUOTE -2374)) (-689))))))) (-1163) (-1163) (-1163)) (T -80)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE X) (QUOTE EPS)) (-2139 (QUOTE -2374)) (-689)))) (-5 *1 (-80 *3 *4 *5)) (-14 *3 (-1163)) (-14 *4 (-1163)) (-14 *5 (-1163))))) 
+(-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE X) (QUOTE EPS)) (-2139 (QUOTE -2374)) (-689))))))) 
+((-1647 (((-3 $ "failed") (-1247 (-311 (-382)))) 129) (((-3 $ "failed") (-1247 (-311 (-569)))) 118) (((-3 $ "failed") (-1247 (-954 (-382)))) 151) (((-3 $ "failed") (-1247 (-954 (-569)))) 140) (((-3 $ "failed") (-1247 (-410 (-954 (-382))))) 107) (((-3 $ "failed") (-1247 (-410 (-954 (-569))))) 96)) (-2428 (($ (-1247 (-311 (-382)))) 125) (($ (-1247 (-311 (-569)))) 114) (($ (-1247 (-954 (-382)))) 147) (($ (-1247 (-954 (-569)))) 136) (($ (-1247 (-410 (-954 (-382))))) 103) (($ (-1247 (-410 (-954 (-569))))) 89)) (-3836 (((-1252) $) 82)) (-2185 (((-851) $) 74) (($ (-635 (-329))) NIL) (($ (-329)) NIL) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) NIL) (($ (-1247 (-338 (-2139 (QUOTE EPS)) (-2139 (QUOTE YA) (QUOTE YB)) (-689)))) 69))) 
+(((-81 |#1| |#2| |#3|) (-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE EPS)) (-2139 (QUOTE YA) (QUOTE YB)) (-689))))))) (-1163) (-1163) (-1163)) (T -81)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE EPS)) (-2139 (QUOTE YA) (QUOTE YB)) (-689)))) (-5 *1 (-81 *3 *4 *5)) (-14 *3 (-1163)) (-14 *4 (-1163)) (-14 *5 (-1163))))) 
+(-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE EPS)) (-2139 (QUOTE YA) (QUOTE YB)) (-689))))))) 
+((-1647 (((-3 $ "failed") (-311 (-382))) 77) (((-3 $ "failed") (-311 (-569))) 82) (((-3 $ "failed") (-954 (-382))) 87) (((-3 $ "failed") (-954 (-569))) 92) (((-3 $ "failed") (-410 (-954 (-382)))) 72) (((-3 $ "failed") (-410 (-954 (-569)))) 67)) (-2428 (($ (-311 (-382))) 75) (($ (-311 (-569))) 80) (($ (-954 (-382))) 85) (($ (-954 (-569))) 90) (($ (-410 (-954 (-382)))) 70) (($ (-410 (-954 (-569)))) 64)) (-3836 (((-1252) $) 61)) (-2185 (((-851) $) 49) (($ (-635 (-329))) 45) (($ (-329)) 55) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 53) (($ (-338 (-2139) (-2139 (QUOTE X)) (-689))) 46))) 
+(((-82 |#1|) (-13 (-399) (-10 -8 (-15 -2185 ($ (-338 (-2139) (-2139 (QUOTE X)) (-689)))))) (-1163)) (T -82)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-338 (-2139) (-2139 (QUOTE X)) (-689))) (-5 *1 (-82 *3)) (-14 *3 (-1163))))) 
+(-13 (-399) (-10 -8 (-15 -2185 ($ (-338 (-2139) (-2139 (QUOTE X)) (-689)))))) 
+((-1647 (((-3 $ "failed") (-311 (-382))) 41) (((-3 $ "failed") (-311 (-569))) 46) (((-3 $ "failed") (-954 (-382))) 51) (((-3 $ "failed") (-954 (-569))) 56) (((-3 $ "failed") (-410 (-954 (-382)))) 36) (((-3 $ "failed") (-410 (-954 (-569)))) 31)) (-2428 (($ (-311 (-382))) 39) (($ (-311 (-569))) 44) (($ (-954 (-382))) 49) (($ (-954 (-569))) 54) (($ (-410 (-954 (-382)))) 34) (($ (-410 (-954 (-569)))) 28)) (-3836 (((-1252) $) 77)) (-2185 (((-851) $) 71) (($ (-635 (-329))) 62) (($ (-329)) 68) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 65) (($ (-338 (-2139) (-2139 (QUOTE X)) (-689))) 27))) 
+(((-83 |#1|) (-13 (-399) (-10 -8 (-15 -2185 ($ (-338 (-2139) (-2139 (QUOTE X)) (-689)))))) (-1163)) (T -83)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-338 (-2139) (-2139 (QUOTE X)) (-689))) (-5 *1 (-83 *3)) (-14 *3 (-1163))))) 
+(-13 (-399) (-10 -8 (-15 -2185 ($ (-338 (-2139) (-2139 (QUOTE X)) (-689)))))) 
+((-1647 (((-3 $ "failed") (-1247 (-311 (-382)))) 84) (((-3 $ "failed") (-1247 (-311 (-569)))) 73) (((-3 $ "failed") (-1247 (-954 (-382)))) 106) (((-3 $ "failed") (-1247 (-954 (-569)))) 95) (((-3 $ "failed") (-1247 (-410 (-954 (-382))))) 62) (((-3 $ "failed") (-1247 (-410 (-954 (-569))))) 51)) (-2428 (($ (-1247 (-311 (-382)))) 80) (($ (-1247 (-311 (-569)))) 69) (($ (-1247 (-954 (-382)))) 102) (($ (-1247 (-954 (-569)))) 91) (($ (-1247 (-410 (-954 (-382))))) 58) (($ (-1247 (-410 (-954 (-569))))) 44)) (-3836 (((-1252) $) 122)) (-2185 (((-851) $) 116) (($ (-635 (-329))) 109) (($ (-329)) 36) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 112) (($ (-1247 (-338 (-2139) (-2139 (QUOTE XC)) (-689)))) 37))) 
+(((-84 |#1|) (-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139) (-2139 (QUOTE XC)) (-689))))))) (-1163)) (T -84)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139) (-2139 (QUOTE XC)) (-689)))) (-5 *1 (-84 *3)) (-14 *3 (-1163))))) 
+(-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139) (-2139 (QUOTE XC)) (-689))))))) 
+((-1647 (((-3 $ "failed") (-1247 (-311 (-382)))) 137) (((-3 $ "failed") (-1247 (-311 (-569)))) 126) (((-3 $ "failed") (-1247 (-954 (-382)))) 158) (((-3 $ "failed") (-1247 (-954 (-569)))) 147) (((-3 $ "failed") (-1247 (-410 (-954 (-382))))) 116) (((-3 $ "failed") (-1247 (-410 (-954 (-569))))) 105)) (-2428 (($ (-1247 (-311 (-382)))) 133) (($ (-1247 (-311 (-569)))) 122) (($ (-1247 (-954 (-382)))) 154) (($ (-1247 (-954 (-569)))) 143) (($ (-1247 (-410 (-954 (-382))))) 112) (($ (-1247 (-410 (-954 (-569))))) 98)) (-3836 (((-1252) $) 91)) (-2185 (((-851) $) 85) (($ (-635 (-329))) 76) (($ (-329)) 83) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 81) (($ (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689)))) 77))) 
+(((-85 |#1|) (-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689))))))) (-1163)) (T -85)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689)))) (-5 *1 (-85 *3)) (-14 *3 (-1163))))) 
+(-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689))))))) 
+((-1647 (((-3 $ "failed") (-1247 (-311 (-382)))) 73) (((-3 $ "failed") (-1247 (-311 (-569)))) 62) (((-3 $ "failed") (-1247 (-954 (-382)))) 95) (((-3 $ "failed") (-1247 (-954 (-569)))) 84) (((-3 $ "failed") (-1247 (-410 (-954 (-382))))) 51) (((-3 $ "failed") (-1247 (-410 (-954 (-569))))) 40)) (-2428 (($ (-1247 (-311 (-382)))) 69) (($ (-1247 (-311 (-569)))) 58) (($ (-1247 (-954 (-382)))) 91) (($ (-1247 (-954 (-569)))) 80) (($ (-1247 (-410 (-954 (-382))))) 47) (($ (-1247 (-410 (-954 (-569))))) 33)) (-3836 (((-1252) $) 121)) (-2185 (((-851) $) 115) (($ (-635 (-329))) 106) (($ (-329)) 112) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 110) (($ (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689)))) 32))) 
+(((-86 |#1|) (-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689))))))) (-1163)) (T -86)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689)))) (-5 *1 (-86 *3)) (-14 *3 (-1163))))) 
+(-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689))))))) 
+((-1647 (((-3 $ "failed") (-1247 (-311 (-382)))) 90) (((-3 $ "failed") (-1247 (-311 (-569)))) 79) (((-3 $ "failed") (-1247 (-954 (-382)))) 112) (((-3 $ "failed") (-1247 (-954 (-569)))) 101) (((-3 $ "failed") (-1247 (-410 (-954 (-382))))) 68) (((-3 $ "failed") (-1247 (-410 (-954 (-569))))) 57)) (-2428 (($ (-1247 (-311 (-382)))) 86) (($ (-1247 (-311 (-569)))) 75) (($ (-1247 (-954 (-382)))) 108) (($ (-1247 (-954 (-569)))) 97) (($ (-1247 (-410 (-954 (-382))))) 64) (($ (-1247 (-410 (-954 (-569))))) 50)) (-3836 (((-1252) $) 43)) (-2185 (((-851) $) 36) (($ (-635 (-329))) 26) (($ (-329)) 29) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 32) (($ (-1247 (-338 (-2139 (QUOTE X) (QUOTE -2374)) (-2139) (-689)))) 27))) 
+(((-87 |#1|) (-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE X) (QUOTE -2374)) (-2139) (-689))))))) (-1163)) (T -87)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE X) (QUOTE -2374)) (-2139) (-689)))) (-5 *1 (-87 *3)) (-14 *3 (-1163))))) 
+(-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE X) (QUOTE -2374)) (-2139) (-689))))))) 
+((-1647 (((-3 $ "failed") (-680 (-311 (-382)))) 103) (((-3 $ "failed") (-680 (-311 (-569)))) 92) (((-3 $ "failed") (-680 (-954 (-382)))) 125) (((-3 $ "failed") (-680 (-954 (-569)))) 114) (((-3 $ "failed") (-680 (-410 (-954 (-382))))) 82) (((-3 $ "failed") (-680 (-410 (-954 (-569))))) 71)) (-2428 (($ (-680 (-311 (-382)))) 99) (($ (-680 (-311 (-569)))) 88) (($ (-680 (-954 (-382)))) 121) (($ (-680 (-954 (-569)))) 110) (($ (-680 (-410 (-954 (-382))))) 78) (($ (-680 (-410 (-954 (-569))))) 64)) (-3836 (((-1252) $) 57)) (-2185 (((-851) $) 43) (($ (-635 (-329))) 50) (($ (-329)) 39) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 47) (($ (-680 (-338 (-2139 (QUOTE X) (QUOTE -2374)) (-2139) (-689)))) 40))) 
+(((-88 |#1|) (-13 (-387) (-10 -8 (-15 -2185 ($ (-680 (-338 (-2139 (QUOTE X) (QUOTE -2374)) (-2139) (-689))))))) (-1163)) (T -88)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-680 (-338 (-2139 (QUOTE X) (QUOTE -2374)) (-2139) (-689)))) (-5 *1 (-88 *3)) (-14 *3 (-1163))))) 
+(-13 (-387) (-10 -8 (-15 -2185 ($ (-680 (-338 (-2139 (QUOTE X) (QUOTE -2374)) (-2139) (-689))))))) 
+((-1647 (((-3 $ "failed") (-680 (-311 (-382)))) 103) (((-3 $ "failed") (-680 (-311 (-569)))) 92) (((-3 $ "failed") (-680 (-954 (-382)))) 124) (((-3 $ "failed") (-680 (-954 (-569)))) 113) (((-3 $ "failed") (-680 (-410 (-954 (-382))))) 81) (((-3 $ "failed") (-680 (-410 (-954 (-569))))) 70)) (-2428 (($ (-680 (-311 (-382)))) 99) (($ (-680 (-311 (-569)))) 88) (($ (-680 (-954 (-382)))) 120) (($ (-680 (-954 (-569)))) 109) (($ (-680 (-410 (-954 (-382))))) 77) (($ (-680 (-410 (-954 (-569))))) 63)) (-3836 (((-1252) $) 56)) (-2185 (((-851) $) 50) (($ (-635 (-329))) 44) (($ (-329)) 47) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 40) (($ (-680 (-338 (-2139 (QUOTE X)) (-2139) (-689)))) 41))) 
+(((-89 |#1|) (-13 (-387) (-10 -8 (-15 -2185 ($ (-680 (-338 (-2139 (QUOTE X)) (-2139) (-689))))))) (-1163)) (T -89)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-680 (-338 (-2139 (QUOTE X)) (-2139) (-689)))) (-5 *1 (-89 *3)) (-14 *3 (-1163))))) 
+(-13 (-387) (-10 -8 (-15 -2185 ($ (-680 (-338 (-2139 (QUOTE X)) (-2139) (-689))))))) 
+((-1647 (((-3 $ "failed") (-1247 (-311 (-382)))) 99) (((-3 $ "failed") (-1247 (-311 (-569)))) 88) (((-3 $ "failed") (-1247 (-954 (-382)))) 121) (((-3 $ "failed") (-1247 (-954 (-569)))) 110) (((-3 $ "failed") (-1247 (-410 (-954 (-382))))) 77) (((-3 $ "failed") (-1247 (-410 (-954 (-569))))) 66)) (-2428 (($ (-1247 (-311 (-382)))) 95) (($ (-1247 (-311 (-569)))) 84) (($ (-1247 (-954 (-382)))) 117) (($ (-1247 (-954 (-569)))) 106) (($ (-1247 (-410 (-954 (-382))))) 73) (($ (-1247 (-410 (-954 (-569))))) 59)) (-3836 (((-1252) $) 45)) (-2185 (((-851) $) 39) (($ (-635 (-329))) 48) (($ (-329)) 35) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 51) (($ (-1247 (-338 (-2139 (QUOTE X)) (-2139) (-689)))) 36))) 
+(((-90 |#1|) (-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE X)) (-2139) (-689))))))) (-1163)) (T -90)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE X)) (-2139) (-689)))) (-5 *1 (-90 *3)) (-14 *3 (-1163))))) 
+(-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE X)) (-2139) (-689))))))) 
+((-1647 (((-3 $ "failed") (-1247 (-311 (-382)))) 74) (((-3 $ "failed") (-1247 (-311 (-569)))) 63) (((-3 $ "failed") (-1247 (-954 (-382)))) 96) (((-3 $ "failed") (-1247 (-954 (-569)))) 85) (((-3 $ "failed") (-1247 (-410 (-954 (-382))))) 52) (((-3 $ "failed") (-1247 (-410 (-954 (-569))))) 41)) (-2428 (($ (-1247 (-311 (-382)))) 70) (($ (-1247 (-311 (-569)))) 59) (($ (-1247 (-954 (-382)))) 92) (($ (-1247 (-954 (-569)))) 81) (($ (-1247 (-410 (-954 (-382))))) 48) (($ (-1247 (-410 (-954 (-569))))) 34)) (-3836 (((-1252) $) 122)) (-2185 (((-851) $) 116) (($ (-635 (-329))) 107) (($ (-329)) 113) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 111) (($ (-1247 (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689)))) 33))) 
+(((-91 |#1|) (-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689))))))) (-1163)) (T -91)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689)))) (-5 *1 (-91 *3)) (-14 *3 (-1163))))) 
+(-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689))))))) 
+((-1647 (((-3 $ "failed") (-680 (-311 (-382)))) 105) (((-3 $ "failed") (-680 (-311 (-569)))) 94) (((-3 $ "failed") (-680 (-954 (-382)))) 127) (((-3 $ "failed") (-680 (-954 (-569)))) 116) (((-3 $ "failed") (-680 (-410 (-954 (-382))))) 83) (((-3 $ "failed") (-680 (-410 (-954 (-569))))) 72)) (-2428 (($ (-680 (-311 (-382)))) 101) (($ (-680 (-311 (-569)))) 90) (($ (-680 (-954 (-382)))) 123) (($ (-680 (-954 (-569)))) 112) (($ (-680 (-410 (-954 (-382))))) 79) (($ (-680 (-410 (-954 (-569))))) 65)) (-3836 (((-1252) $) 58)) (-2185 (((-851) $) 52) (($ (-635 (-329))) 42) (($ (-329)) 49) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 47) (($ (-680 (-338 (-2139 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-2139) (-689)))) 43))) 
+(((-92 |#1|) (-13 (-387) (-10 -8 (-15 -2185 ($ (-680 (-338 (-2139 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-2139) (-689))))))) (-1163)) (T -92)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-680 (-338 (-2139 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-2139) (-689)))) (-5 *1 (-92 *3)) (-14 *3 (-1163))))) 
+(-13 (-387) (-10 -8 (-15 -2185 ($ (-680 (-338 (-2139 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-2139) (-689))))))) 
+((-3836 (((-1252) $) 44)) (-2185 (((-851) $) 38) (($ (-1247 (-689))) 88) (($ (-635 (-329))) 29) (($ (-329)) 35) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 32))) 
+(((-93 |#1|) (-442) (-1163)) (T -93)) 
+NIL 
+(-442) 
+((-1647 (((-3 $ "failed") (-311 (-382))) 42) (((-3 $ "failed") (-311 (-569))) 47) (((-3 $ "failed") (-954 (-382))) 52) (((-3 $ "failed") (-954 (-569))) 57) (((-3 $ "failed") (-410 (-954 (-382)))) 37) (((-3 $ "failed") (-410 (-954 (-569)))) 32)) (-2428 (($ (-311 (-382))) 40) (($ (-311 (-569))) 45) (($ (-954 (-382))) 50) (($ (-954 (-569))) 55) (($ (-410 (-954 (-382)))) 35) (($ (-410 (-954 (-569)))) 29)) (-3836 (((-1252) $) 88)) (-2185 (((-851) $) 82) (($ (-635 (-329))) 76) (($ (-329)) 79) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 73) (($ (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689))) 28))) 
+(((-94 |#1|) (-13 (-399) (-10 -8 (-15 -2185 ($ (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689)))))) (-1163)) (T -94)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689))) (-5 *1 (-94 *3)) (-14 *3 (-1163))))) 
+(-13 (-399) (-10 -8 (-15 -2185 ($ (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689)))))) 
+((-1292 (((-1247 (-680 |#1|)) (-680 |#1|)) 54)) (-1952 (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 (-635 (-918))))) |#2| (-918)) 44)) (-2519 (((-2 (|:| |minor| (-635 (-918))) (|:| -1502 |#2|) (|:| |minors| (-635 (-635 (-918)))) (|:| |ops| (-635 |#2|))) |#2| (-918)) 62 (|has| |#1| (-366))))) 
+(((-95 |#1| |#2|) (-10 -7 (-15 -1952 ((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 (-635 (-918))))) |#2| (-918))) (-15 -1292 ((-1247 (-680 |#1|)) (-680 |#1|))) (IF (|has| |#1| (-366)) (-15 -2519 ((-2 (|:| |minor| (-635 (-918))) (|:| -1502 |#2|) (|:| |minors| (-635 (-635 (-918)))) (|:| |ops| (-635 |#2|))) |#2| (-918))) |noBranch|)) (-559) (-647 |#1|)) (T -95)) 
+((-2519 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |minor| (-635 (-918))) (|:| -1502 *3) (|:| |minors| (-635 (-635 (-918)))) (|:| |ops| (-635 *3)))) (-5 *1 (-95 *5 *3)) (-5 *4 (-918)) (-4 *3 (-647 *5)))) (-1292 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-1247 (-680 *4))) (-5 *1 (-95 *4 *5)) (-5 *3 (-680 *4)) (-4 *5 (-647 *4)))) (-1952 (*1 *2 *3 *4) (-12 (-4 *5 (-559)) (-5 *2 (-2 (|:| -3477 (-680 *5)) (|:| |vec| (-1247 (-635 (-918)))))) (-5 *1 (-95 *5 *3)) (-5 *4 (-918)) (-4 *3 (-647 *5))))) 
+(-10 -7 (-15 -1952 ((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 (-635 (-918))))) |#2| (-918))) (-15 -1292 ((-1247 (-680 |#1|)) (-680 |#1|))) (IF (|has| |#1| (-366)) (-15 -2519 ((-2 (|:| |minor| (-635 (-918))) (|:| -1502 |#2|) (|:| |minors| (-635 (-635 (-918)))) (|:| |ops| (-635 |#2|))) |#2| (-918))) |noBranch|)) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-3275 ((|#1| $) 34)) (-1691 (((-121) $ (-764)) NIL)) (-2820 (($) NIL T CONST)) (-3309 ((|#1| |#1| $) 30)) (-1646 ((|#1| $) 28)) (-3470 (((-635 |#1|) $) 39 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1853 (($ (-1 |#1| |#1|) $) 43 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 41)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3889 ((|#1| $) 45)) (-3172 (($ |#1| $) 31)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-1856 ((|#1| $) 29)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 16)) (-1296 (($) 38)) (-2835 (((-764) $) 26)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) 15)) (-2185 (((-851) $) 25 (|has| |#1| (-1091)))) (-2793 (($ (-635 |#1|)) NIL)) (-1978 (($ (-635 |#1|)) 36)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 13 (|has| |#1| (-1091)))) (-4168 (((-764) $) 10 (|has| $ (-6 -4535))))) 
+(((-96 |#1|) (-13 (-1110 |#1|) (-10 -8 (-15 -1978 ($ (-635 |#1|))) (-15 -1646 (|#1| $)) (-15 -1856 (|#1| $)) (-15 -3309 (|#1| |#1| $)) (-15 -3172 ($ |#1| $)) (-15 -3889 (|#1| $)) (-15 -3275 (|#1| $)) (-15 -2835 ((-764) $)) (-15 -2006 ((-121) $ (-764))) (-15 -1974 ((-121) $ (-764))) (-15 -1691 ((-121) $ (-764))) (-15 -2793 ($ (-635 |#1|))) (-15 -1601 ((-121) $)) (-15 -1296 ($)) (-15 -2820 ($)) (-15 -1971 ($ $)) (-15 -3137 ((-121) $ $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4536)) (-15 -1853 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1091)) (PROGN (-15 -2776 ((-1145) $)) (-15 -3360 ((-1109) $)) (-15 -2185 ((-851) $)) (-15 -1668 ((-121) $ $)) (-15 -2568 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4535)) (PROGN (-15 -4177 ((-121) (-1 (-121) |#1|) $)) (-15 -2066 ((-121) (-1 (-121) |#1|) $)) (-15 -2846 ((-764) (-1 (-121) |#1|) $)) (-15 -4168 ((-764) $)) (-15 -3470 ((-635 |#1|) $)) (-15 -4259 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4535)) (IF (|has| |#1| (-1091)) (PROGN (-15 -3660 ((-121) |#1| $)) (-15 -2846 ((-764) |#1| $))) |noBranch|) |noBranch|))) (-1091)) (T -96)) 
+((-3137 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1091)))) (-1971 (*1 *1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) (-1296 (*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) (-1601 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1091)))) (-2006 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1091)))) (-1974 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1091)))) (-1691 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1091)))) (-2820 (*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) (-4168 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-96 *3)) (-4 *3 (-1091)))) (-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-96 *3)))) (-1853 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4536)) (-4 *3 (-1091)) (-5 *1 (-96 *3)))) (-2066 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-96 *4)))) (-4177 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-96 *4)))) (-2846 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-764)) (-5 *1 (-96 *4)))) (-3470 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1091)))) (-4259 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1091)))) (-2846 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-3660 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2776 (*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-3360 (*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-1668 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2568 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2793 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-96 *3)))) (-1856 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) (-3172 (*1 *1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) (-3889 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) (-3309 (*1 *2 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) (-1646 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) (-3275 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) (-2835 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-96 *3)) (-4 *3 (-1091)))) (-1978 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-96 *3))))) 
+(-13 (-1110 |#1|) (-10 -8 (-15 -1978 ($ (-635 |#1|))) (-15 -1646 (|#1| $)) (-15 -1856 (|#1| $)) (-15 -3309 (|#1| |#1| $)) (-15 -3172 ($ |#1| $)) (-15 -3889 (|#1| $)) (-15 -3275 (|#1| $)) (-15 -2835 ((-764) $)) (-15 -2006 ((-121) $ (-764))) (-15 -1974 ((-121) $ (-764))) (-15 -1691 ((-121) $ (-764))) (-15 -2793 ($ (-635 |#1|))) (-15 -1601 ((-121) $)) (-15 -1296 ($)) (-15 -2820 ($)) (-15 -1971 ($ $)) (-15 -3137 ((-121) $ $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4536)) (-15 -1853 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1091)) (PROGN (-15 -2776 ((-1145) $)) (-15 -3360 ((-1109) $)) (-15 -2185 ((-851) $)) (-15 -1668 ((-121) $ $)) (-15 -2568 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4535)) (PROGN (-15 -4177 ((-121) (-1 (-121) |#1|) $)) (-15 -2066 ((-121) (-1 (-121) |#1|) $)) (-15 -2846 ((-764) (-1 (-121) |#1|) $)) (-15 -4168 ((-764) $)) (-15 -3470 ((-635 |#1|) $)) (-15 -4259 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4535)) (IF (|has| |#1| (-1091)) (PROGN (-15 -3660 ((-121) |#1| $)) (-15 -2846 ((-764) |#1| $))) |noBranch|) |noBranch|))) 
+((-1736 (($ $) 10)) (-1740 (($ $) 12))) 
+(((-97 |#1|) (-10 -8 (-15 -1740 (|#1| |#1|)) (-15 -1736 (|#1| |#1|))) (-98)) (T -97)) 
+NIL 
+(-10 -8 (-15 -1740 (|#1| |#1|)) (-15 -1736 (|#1| |#1|))) 
+((-1727 (($ $) 11)) (-2561 (($ $) 10)) (-1736 (($ $) 9)) (-1740 (($ $) 8)) (-1731 (($ $) 7)) (-2569 (($ $) 6))) 
+(((-98) (-1278)) (T -98)) 
+((-1727 (*1 *1 *1) (-4 *1 (-98))) (-2561 (*1 *1 *1) (-4 *1 (-98))) (-1736 (*1 *1 *1) (-4 *1 (-98))) (-1740 (*1 *1 *1) (-4 *1 (-98))) (-1731 (*1 *1 *1) (-4 *1 (-98))) (-2569 (*1 *1 *1) (-4 *1 (-98)))) 
+(-13 (-10 -8 (-15 -2569 ($ $)) (-15 -1731 ($ $)) (-15 -1740 ($ $)) (-15 -1736 ($ $)) (-15 -2561 ($ $)) (-15 -1727 ($ $)))) 
+((-2568 (((-121) $ $) NIL)) (-3535 (((-382) (-1145) (-382)) 42) (((-382) (-1145) (-1145) (-382)) 41)) (-1330 (((-382) (-382)) 33)) (-3148 (((-1252)) 36)) (-2776 (((-1145) $) NIL)) (-4496 (((-382) (-1145) (-1145)) 46) (((-382) (-1145)) 48)) (-3360 (((-1109) $) NIL)) (-1374 (((-382) (-1145) (-1145)) 47)) (-2901 (((-382) (-1145) (-1145)) 49) (((-382) (-1145)) 50)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
+(((-99) (-13 (-1091) (-10 -7 (-15 -4496 ((-382) (-1145) (-1145))) (-15 -4496 ((-382) (-1145))) (-15 -2901 ((-382) (-1145) (-1145))) (-15 -2901 ((-382) (-1145))) (-15 -1374 ((-382) (-1145) (-1145))) (-15 -3148 ((-1252))) (-15 -1330 ((-382) (-382))) (-15 -3535 ((-382) (-1145) (-382))) (-15 -3535 ((-382) (-1145) (-1145) (-382))) (-6 -4535)))) (T -99)) 
+((-4496 (*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-99)))) (-4496 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-99)))) (-2901 (*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-99)))) (-2901 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-99)))) (-1374 (*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-99)))) (-3148 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-99)))) (-1330 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-99)))) (-3535 (*1 *2 *3 *2) (-12 (-5 *2 (-382)) (-5 *3 (-1145)) (-5 *1 (-99)))) (-3535 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-382)) (-5 *3 (-1145)) (-5 *1 (-99))))) 
+(-13 (-1091) (-10 -7 (-15 -4496 ((-382) (-1145) (-1145))) (-15 -4496 ((-382) (-1145))) (-15 -2901 ((-382) (-1145) (-1145))) (-15 -2901 ((-382) (-1145))) (-15 -1374 ((-382) (-1145) (-1145))) (-15 -3148 ((-1252))) (-15 -1330 ((-382) (-382))) (-15 -3535 ((-382) (-1145) (-382))) (-15 -3535 ((-382) (-1145) (-1145) (-382))) (-6 -4535))) 
+NIL 
+(((-100) (-1278)) (T -100)) 
+NIL 
+(-13 (-10 -7 (-6 -4535) (-6 (-4537 "*")) (-6 -4536) (-6 -4532) (-6 -4530) (-6 -4529) (-6 -4528) (-6 -4533) (-6 -4527) (-6 -4526) (-6 -4525) (-6 -4524) (-6 -4523) (-6 -4531) (-6 -4534) (-6 |NullSquare|) (-6 |JacobiIdentity|) (-6 -4522) (-6 -2994))) 
+((-2568 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) NIL)) (-1407 (((-121) $) NIL)) (-3803 (($ (-1 |#1| |#1|)) 25) (($ (-1 |#1| |#1|) (-1 |#1| |#1|)) 24) (($ (-1 |#1| |#1| (-569))) 22)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 14)) (-3360 (((-1109) $) NIL)) (-1534 ((|#1| $ |#1|) 11)) (-1414 (($ $ $) NIL)) (-4293 (($ $ $) NIL)) (-2185 (((-851) $) 20)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-1556 (($) 8 T CONST)) (-1668 (((-121) $ $) 10)) (-1715 (($ $ $) NIL)) (** (($ $ (-918)) 28) (($ $ (-764)) NIL) (($ $ (-569)) 16)) (* (($ $ $) 29))) 
+(((-101 |#1|) (-13 (-479) (-282 |#1| |#1|) (-10 -8 (-15 -3803 ($ (-1 |#1| |#1|))) (-15 -3803 ($ (-1 |#1| |#1|) (-1 |#1| |#1|))) (-15 -3803 ($ (-1 |#1| |#1| (-569)))))) (-1048)) (T -101)) 
+((-3803 (*1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-101 *3)))) (-3803 (*1 *1 *2 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-101 *3)))) (-3803 (*1 *1 *2) (-12 (-5 *2 (-1 *3 *3 (-569))) (-4 *3 (-1048)) (-5 *1 (-101 *3))))) 
+(-13 (-479) (-282 |#1| |#1|) (-10 -8 (-15 -3803 ($ (-1 |#1| |#1|))) (-15 -3803 ($ (-1 |#1| |#1|) (-1 |#1| |#1|))) (-15 -3803 ($ (-1 |#1| |#1| (-569)))))) 
+((-4184 (((-1252) (-1095)) 20)) (-4414 (((-1145) (-1145) (-1145)) 7)) (-1469 (((-1252) (-569) (-1 (-1252) (-1095))) 14))) 
+(((-102) (-10 -7 (-15 -1469 ((-1252) (-569) (-1 (-1252) (-1095)))) (-15 -4184 ((-1252) (-1095))) (-15 -4414 ((-1145) (-1145) (-1145))))) (T -102)) 
+((-4414 (*1 *2 *2 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-102)))) (-4184 (*1 *2 *3) (-12 (-5 *3 (-1095)) (-5 *2 (-1252)) (-5 *1 (-102)))) (-1469 (*1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-1 (-1252) (-1095))) (-5 *2 (-1252)) (-5 *1 (-102))))) 
+(-10 -7 (-15 -1469 ((-1252) (-569) (-1 (-1252) (-1095)))) (-15 -4184 ((-1252) (-1095))) (-15 -4414 ((-1145) (-1145) (-1145)))) 
+((-3449 (((-421 |#2|) |#2| (-635 |#2|)) 10) (((-421 |#2|) |#2| |#2|) 11))) 
+(((-103 |#1| |#2|) (-10 -7 (-15 -3449 ((-421 |#2|) |#2| |#2|)) (-15 -3449 ((-421 |#2|) |#2| (-635 |#2|)))) (-13 (-454) (-151)) (-1222 |#1|)) (T -103)) 
+((-3449 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1222 *5)) (-4 *5 (-13 (-454) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-103 *5 *3)))) (-3449 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-454) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-103 *4 *3)) (-4 *3 (-1222 *4))))) 
+(-10 -7 (-15 -3449 ((-421 |#2|) |#2| |#2|)) (-15 -3449 ((-421 |#2|) |#2| (-635 |#2|)))) 
+((-2568 (((-121) $ $) 9))) 
+(((-104 |#1|) (-10 -8 (-15 -2568 ((-121) |#1| |#1|))) (-105)) (T -104)) 
+NIL 
+(-10 -8 (-15 -2568 ((-121) |#1| |#1|))) 
+((-2568 (((-121) $ $) 7)) (-1668 (((-121) $ $) 6))) 
+(((-105) (-1278)) (T -105)) 
+((-2568 (*1 *2 *1 *1) (-12 (-4 *1 (-105)) (-5 *2 (-121)))) (-1668 (*1 *2 *1 *1) (-12 (-4 *1 (-105)) (-5 *2 (-121))))) 
+(-13 (-10 -8 (-15 -1668 ((-121) $ $)) (-15 -2568 ((-121) $ $)))) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2247 ((|#1| $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-3891 ((|#1| $ |#1|) 13 (|has| $ (-6 -4536)))) (-2587 (($ $ $) NIL (|has| $ (-6 -4536)))) (-1690 (($ $ $) NIL (|has| $ (-6 -4536)))) (-1431 (($ $ (-635 |#1|)) 15)) (-4469 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4536))) (($ $ "left" $) NIL (|has| $ (-6 -4536))) (($ $ "right" $) NIL (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) NIL (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-1869 (($ $) 11)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) NIL)) (-4349 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1323 (($ $ |#1| $) 17)) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1909 ((|#1| $ (-1 |#1| |#1| |#1|)) 25) (($ $ $ (-1 |#1| |#1| |#1| |#1| |#1|)) 30)) (-3792 (($ $ |#1| (-1 |#1| |#1| |#1|)) 31) (($ $ |#1| (-1 (-635 |#1|) |#1| |#1| |#1|)) 35)) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-3833 (($ $) 10)) (-2824 (((-635 |#1|) $) NIL)) (-3486 (((-121) $) 12)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 9)) (-1296 (($) 16)) (-1534 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-1686 (((-569) $ $) NIL)) (-1472 (((-121) $) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-4114 (((-635 $) $) NIL)) (-2447 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2494 (($ (-764) |#1|) 19)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-106 |#1|) (-13 (-135 |#1|) (-10 -8 (-6 -4535) (-6 -4536) (-15 -2494 ($ (-764) |#1|)) (-15 -1431 ($ $ (-635 |#1|))) (-15 -1909 (|#1| $ (-1 |#1| |#1| |#1|))) (-15 -1909 ($ $ $ (-1 |#1| |#1| |#1| |#1| |#1|))) (-15 -3792 ($ $ |#1| (-1 |#1| |#1| |#1|))) (-15 -3792 ($ $ |#1| (-1 (-635 |#1|) |#1| |#1| |#1|))))) (-1091)) (T -106)) 
+((-2494 (*1 *1 *2 *3) (-12 (-5 *2 (-764)) (-5 *1 (-106 *3)) (-4 *3 (-1091)))) (-1431 (*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-106 *3)))) (-1909 (*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *1 (-106 *2)) (-4 *2 (-1091)))) (-1909 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3 *3 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-106 *3)))) (-3792 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1091)) (-5 *1 (-106 *2)))) (-3792 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 (-635 *2) *2 *2 *2)) (-4 *2 (-1091)) (-5 *1 (-106 *2))))) 
+(-13 (-135 |#1|) (-10 -8 (-6 -4535) (-6 -4536) (-15 -2494 ($ (-764) |#1|)) (-15 -1431 ($ $ (-635 |#1|))) (-15 -1909 (|#1| $ (-1 |#1| |#1| |#1|))) (-15 -1909 ($ $ $ (-1 |#1| |#1| |#1| |#1| |#1|))) (-15 -3792 ($ $ |#1| (-1 |#1| |#1| |#1|))) (-15 -3792 ($ $ |#1| (-1 (-635 |#1|) |#1| |#1| |#1|))))) 
+((-3858 (((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|)) 20)) (-2136 (((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|)) 17)) (-2016 (((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|)) 21))) 
+(((-107 |#1|) (-10 -7 (-15 -2136 ((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|))) (-15 -3858 ((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|))) (-15 -2016 ((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|)))) (-1048)) (T -107)) 
+((-2016 (*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-1 (-635 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-635 *4)))) (-3858 (*1 *2 *3 *3 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-1 (-635 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-635 *4)))) (-2136 (*1 *2 *3 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-1 (-635 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-635 *4))))) 
+(-10 -7 (-15 -2136 ((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|))) (-15 -3858 ((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|))) (-15 -2016 ((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|)))) 
+((-2976 ((|#3| |#2| |#2|) 28)) (-3587 ((|#1| |#2| |#2|) 36 (|has| |#1| (-6 (-4537 "*"))))) (-3967 ((|#3| |#2| |#2|) 29)) (-1362 ((|#1| |#2|) 40 (|has| |#1| (-6 (-4537 "*")))))) 
+(((-108 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2976 (|#3| |#2| |#2|)) (-15 -3967 (|#3| |#2| |#2|)) (IF (|has| |#1| (-6 (-4537 "*"))) (PROGN (-15 -3587 (|#1| |#2| |#2|)) (-15 -1362 (|#1| |#2|))) |noBranch|)) (-1048) (-1222 |#1|) (-678 |#1| |#4| |#5|) (-376 |#1|) (-376 |#1|)) (T -108)) 
+((-1362 (*1 *2 *3) (-12 (|has| *2 (-6 (-4537 "*"))) (-4 *5 (-376 *2)) (-4 *6 (-376 *2)) (-4 *2 (-1048)) (-5 *1 (-108 *2 *3 *4 *5 *6)) (-4 *3 (-1222 *2)) (-4 *4 (-678 *2 *5 *6)))) (-3587 (*1 *2 *3 *3) (-12 (|has| *2 (-6 (-4537 "*"))) (-4 *5 (-376 *2)) (-4 *6 (-376 *2)) (-4 *2 (-1048)) (-5 *1 (-108 *2 *3 *4 *5 *6)) (-4 *3 (-1222 *2)) (-4 *4 (-678 *2 *5 *6)))) (-3967 (*1 *2 *3 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-678 *4 *5 *6)) (-5 *1 (-108 *4 *3 *2 *5 *6)) (-4 *3 (-1222 *4)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)))) (-2976 (*1 *2 *3 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-678 *4 *5 *6)) (-5 *1 (-108 *4 *3 *2 *5 *6)) (-4 *3 (-1222 *4)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4))))) 
+(-10 -7 (-15 -2976 (|#3| |#2| |#2|)) (-15 -3967 (|#3| |#2| |#2|)) (IF (|has| |#1| (-6 (-4537 "*"))) (PROGN (-15 -3587 (|#1| |#2| |#2|)) (-15 -1362 (|#1| |#2|))) |noBranch|)) 
+((-2568 (((-121) $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-4058 (((-635 (-1163))) 32)) (-2738 (((-2 (|:| |zeros| (-1143 (-216))) (|:| |ones| (-1143 (-216))) (|:| |singularities| (-1143 (-216)))) (-1163)) 35)) (-1668 (((-121) $ $) NIL))) 
+(((-109) (-13 (-1091) (-10 -7 (-15 -4058 ((-635 (-1163)))) (-15 -2738 ((-2 (|:| |zeros| (-1143 (-216))) (|:| |ones| (-1143 (-216))) (|:| |singularities| (-1143 (-216)))) (-1163))) (-6 -4535)))) (T -109)) 
+((-4058 (*1 *2) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-109)))) (-2738 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-2 (|:| |zeros| (-1143 (-216))) (|:| |ones| (-1143 (-216))) (|:| |singularities| (-1143 (-216))))) (-5 *1 (-109))))) 
+(-13 (-1091) (-10 -7 (-15 -4058 ((-635 (-1163)))) (-15 -2738 ((-2 (|:| |zeros| (-1143 (-216))) (|:| |ones| (-1143 (-216))) (|:| |singularities| (-1143 (-216)))) (-1163))) (-6 -4535))) 
+((-2793 (($ (-635 |#2|)) 11))) 
+(((-110 |#1| |#2|) (-10 -8 (-15 -2793 (|#1| (-635 |#2|)))) (-111 |#2|) (-1197)) (T -110)) 
+NIL 
+(-10 -8 (-15 -2793 (|#1| (-635 |#2|)))) 
+((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) 8)) (-2820 (($) 7 T CONST)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3889 ((|#1| $) 36)) (-3172 (($ |#1| $) 37)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-1856 ((|#1| $) 38)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2793 (($ (-635 |#1|)) 39)) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-111 |#1|) (-1278) (-1197)) (T -111)) 
+((-2793 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-4 *1 (-111 *3)))) (-1856 (*1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1197)))) (-3172 (*1 *1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1197)))) (-3889 (*1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1197))))) 
+(-13 (-500 |t#1|) (-10 -8 (-6 -4536) (-15 -2793 ($ (-635 |t#1|))) (-15 -1856 (|t#1| $)) (-15 -3172 ($ |t#1| $)) (-15 -3889 (|t#1| $)))) 
+(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3761 (((-569) $) NIL (|has| (-569) (-302)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL (|has| (-569) (-816)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL) (((-3 (-1163) "failed") $) NIL (|has| (-569) (-1038 (-1163)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-569) (-1038 (-569)))) (((-3 (-569) "failed") $) NIL (|has| (-569) (-1038 (-569))))) (-2428 (((-569) $) NIL) (((-1163) $) NIL (|has| (-569) (-1038 (-1163)))) (((-410 (-569)) $) NIL (|has| (-569) (-1038 (-569)))) (((-569) $) NIL (|has| (-569) (-1038 (-569))))) (-2506 (($ $ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL) (((-680 (-569)) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| (-569) (-551)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-2403 (((-121) $) NIL (|has| (-569) (-816)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (|has| (-569) (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (|has| (-569) (-882 (-382))))) (-1407 (((-121) $) NIL)) (-4052 (($ $) NIL)) (-4116 (((-569) $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| (-569) (-1137)))) (-1781 (((-121) $) NIL (|has| (-569) (-816)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3291 (($ $ $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| (-569) (-843)))) (-1544 (($ (-1 (-569) (-569)) $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| (-569) (-1137)) CONST)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1346 (($ $) NIL (|has| (-569) (-302))) (((-410 (-569)) $) NIL)) (-2942 (((-569) $) NIL (|has| (-569) (-551)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1468 (($ $ (-635 (-569)) (-635 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-569) (-569)) NIL (|has| (-569) (-304 (-569)))) (($ $ (-289 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-289 (-569)))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-1163)) (-635 (-569))) NIL (|has| (-569) (-524 (-1163) (-569)))) (($ $ (-1163) (-569)) NIL (|has| (-569) (-524 (-1163) (-569))))) (-2622 (((-764) $) NIL)) (-1534 (($ $ (-569)) NIL (|has| (-569) (-282 (-569) (-569))))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3899 (($ $) NIL (|has| (-569) (-226))) (($ $ (-764)) NIL (|has| (-569) (-226))) (($ $ (-1163)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1 (-569) (-569)) (-764)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-4214 (($ $) NIL)) (-4121 (((-569) $) NIL)) (-3817 (((-888 (-569)) $) NIL (|has| (-569) (-610 (-888 (-569))))) (((-888 (-382)) $) NIL (|has| (-569) (-610 (-888 (-382))))) (((-542) $) NIL (|has| (-569) (-610 (-542)))) (((-382) $) NIL (|has| (-569) (-1022))) (((-216) $) NIL (|has| (-569) (-1022)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| (-569) (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) 7) (($ (-569)) NIL) (($ (-1163)) NIL (|has| (-569) (-1038 (-1163)))) (((-410 (-569)) $) NIL) (((-1005 2) $) 9)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| (-569) (-905))) (|has| (-569) (-149))))) (-1991 (((-764)) NIL)) (-2612 (((-569) $) NIL (|has| (-569) (-551)))) (-1367 (($ (-410 (-569))) 8)) (-1961 (((-121) $ $) NIL)) (-1616 (($ $) NIL (|has| (-569) (-816)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $) NIL (|has| (-569) (-226))) (($ $ (-764)) NIL (|has| (-569) (-226))) (($ $ (-1163)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1 (-569) (-569)) (-764)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-1693 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1684 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1678 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1715 (($ $ $) NIL) (($ (-569) (-569)) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-569) $) NIL) (($ $ (-569)) NIL))) 
+(((-112) (-13 (-994 (-569)) (-10 -8 (-15 -2185 ((-410 (-569)) $)) (-15 -2185 ((-1005 2) $)) (-15 -1346 ((-410 (-569)) $)) (-15 -1367 ($ (-410 (-569))))))) (T -112)) 
+((-2185 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-112)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-1005 2)) (-5 *1 (-112)))) (-1346 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-112)))) (-1367 (*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-112))))) 
+(-13 (-994 (-569)) (-10 -8 (-15 -2185 ((-410 (-569)) $)) (-15 -2185 ((-1005 2) $)) (-15 -1346 ((-410 (-569)) $)) (-15 -1367 ($ (-410 (-569)))))) 
+((-2568 (((-121) $ $) NIL)) (-1331 (((-1109) $ (-1109)) 23)) (-3030 (($ $ (-1145)) 17)) (-2948 (((-3 (-1109) "failed") $) 22)) (-4154 (((-1109) $) 20)) (-2706 (((-1109) $ (-1109)) 25)) (-3727 (((-1109) $) 24)) (-3230 (($ (-391)) NIL) (($ (-391) (-1145)) 16)) (-1486 (((-391) $) NIL)) (-2776 (((-1145) $) NIL)) (-2160 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-4061 (((-1252) $) NIL)) (-2185 (((-851) $) NIL)) (-4084 (($ $) 18)) (-1668 (((-121) $ $) NIL))) 
+(((-113) (-13 (-367 (-391) (-1109)) (-10 -8 (-15 -2948 ((-3 (-1109) "failed") $)) (-15 -3727 ((-1109) $)) (-15 -2706 ((-1109) $ (-1109)))))) (T -113)) 
+((-2948 (*1 *2 *1) (|partial| -12 (-5 *2 (-1109)) (-5 *1 (-113)))) (-3727 (*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-113)))) (-2706 (*1 *2 *1 *2) (-12 (-5 *2 (-1109)) (-5 *1 (-113))))) 
+(-13 (-367 (-391) (-1109)) (-10 -8 (-15 -2948 ((-3 (-1109) "failed") $)) (-15 -3727 ((-1109) $)) (-15 -2706 ((-1109) $ (-1109))))) 
+((-2568 (((-121) $ $) NIL)) (-1679 (($ $) NIL)) (-2283 (($ $ $) NIL)) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) $) NIL (|has| (-121) (-843))) (((-121) (-1 (-121) (-121) (-121)) $) NIL)) (-3076 (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| (-121) (-843)))) (($ (-1 (-121) (-121) (-121)) $) NIL (|has| $ (-6 -4536)))) (-3113 (($ $) NIL (|has| (-121) (-843))) (($ (-1 (-121) (-121) (-121)) $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-4469 (((-121) $ (-1213 (-569)) (-121)) NIL (|has| $ (-6 -4536))) (((-121) $ (-569) (-121)) NIL (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-121) (-1091))))) (-4347 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4535))) (($ (-121) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-121) (-1091))))) (-1774 (((-121) (-1 (-121) (-121) (-121)) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-121) (-121)) $ (-121)) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-121) (-121)) $ (-121) (-121)) NIL (-12 (|has| $ (-6 -4535)) (|has| (-121) (-1091))))) (-2726 (((-121) $ (-569) (-121)) NIL (|has| $ (-6 -4536)))) (-1618 (((-121) $ (-569)) NIL)) (-3727 (((-569) (-121) $ (-569)) NIL (|has| (-121) (-1091))) (((-569) (-121) $) NIL (|has| (-121) (-1091))) (((-569) (-1 (-121) (-121)) $) NIL)) (-3470 (((-635 (-121)) $) NIL (|has| $ (-6 -4535)))) (-3447 (($ $ $) NIL)) (-3864 (($ $) NIL)) (-3819 (($ $ $) NIL)) (-2659 (($ (-764) (-121)) 8)) (-4481 (($ $ $) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-3291 (($ $ $) NIL)) (-3288 (($ $ $) NIL (|has| (-121) (-843))) (($ (-1 (-121) (-121) (-121)) $ $) NIL)) (-4259 (((-635 (-121)) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-121) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-121) (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL)) (-1853 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-121) (-121) (-121)) $ $) NIL) (($ (-1 (-121) (-121)) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-3614 (($ $ $ (-569)) NIL) (($ (-121) $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL)) (-4353 (((-121) $) NIL (|has| (-569) (-843)))) (-2502 (((-3 (-121) "failed") (-1 (-121) (-121)) $) NIL)) (-3174 (($ $ (-121)) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-121)) (-635 (-121))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091)))) (($ $ (-121) (-121)) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091)))) (($ $ (-289 (-121))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091)))) (($ $ (-635 (-289 (-121)))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) (-121) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-121) (-1091))))) (-2691 (((-635 (-121)) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 (($ $ (-1213 (-569))) NIL) (((-121) $ (-569)) NIL) (((-121) $ (-569) (-121)) NIL)) (-3010 (($ $ (-1213 (-569))) NIL) (($ $ (-569)) NIL)) (-2846 (((-764) (-121) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-121) (-1091)))) (((-764) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4535)))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-121) (-610 (-542))))) (-2139 (($ (-635 (-121))) NIL)) (-2250 (($ (-635 $)) NIL) (($ $ $) NIL) (($ (-121) $) NIL) (($ $ (-121)) NIL)) (-2185 (((-851) $) NIL)) (-2970 (($ (-764) (-121)) 9)) (-2066 (((-121) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4535)))) (-2206 (($ $ $) NIL)) (-2427 (($ $) NIL)) (-2547 (($ $ $) NIL)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL)) (-2540 (($ $ $) NIL)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-114) (-13 (-133) (-10 -8 (-15 -2970 ($ (-764) (-121)))))) (T -114)) 
+((-2970 (*1 *1 *2 *3) (-12 (-5 *2 (-764)) (-5 *3 (-121)) (-5 *1 (-114))))) 
+(-13 (-133) (-10 -8 (-15 -2970 ($ (-764) (-121))))) 
+((-1424 (((-959 (-216)) (-1109) (-959 (-216)) (-1109) (-959 (-216)) (-1109)) 13)) (-1685 (((-216) (-170 (-216))) 8)) (-2905 (((-959 (-216)) (-1109) (-216) (-959 (-216)) (-1109) (-959 (-216)) (-1109)) 12)) (-3396 (((-216) (-1109) (-959 (-216)) (-1109)) 11))) 
+(((-115) (-10 -7 (-15 -1685 ((-216) (-170 (-216)))) (-15 -3396 ((-216) (-1109) (-959 (-216)) (-1109))) (-15 -2905 ((-959 (-216)) (-1109) (-216) (-959 (-216)) (-1109) (-959 (-216)) (-1109))) (-15 -1424 ((-959 (-216)) (-1109) (-959 (-216)) (-1109) (-959 (-216)) (-1109))))) (T -115)) 
+((-1424 (*1 *2 *3 *2 *3 *2 *3) (-12 (-5 *2 (-959 (-216))) (-5 *3 (-1109)) (-5 *1 (-115)))) (-2905 (*1 *2 *3 *4 *2 *3 *2 *3) (-12 (-5 *2 (-959 (-216))) (-5 *3 (-1109)) (-5 *4 (-216)) (-5 *1 (-115)))) (-3396 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-1109)) (-5 *4 (-959 (-216))) (-5 *2 (-216)) (-5 *1 (-115)))) (-1685 (*1 *2 *3) (-12 (-5 *3 (-170 (-216))) (-5 *2 (-216)) (-5 *1 (-115))))) 
+(-10 -7 (-15 -1685 ((-216) (-170 (-216)))) (-15 -3396 ((-216) (-1109) (-959 (-216)) (-1109))) (-15 -2905 ((-959 (-216)) (-1109) (-216) (-959 (-216)) (-1109) (-959 (-216)) (-1109))) (-15 -1424 ((-959 (-216)) (-1109) (-959 (-216)) (-1109) (-959 (-216)) (-1109)))) 
+((-2568 (((-121) $ $) NIL)) (-1612 (((-3 "left" "center" "right" "vertical" "horizontal") $) 17)) (-3494 (((-569) $) 14)) (-3735 (((-569) $) 15)) (-4250 (((-569) $) 16)) (-2776 (((-1145) $) NIL)) (-3918 (((-121) $) 8)) (-3360 (((-1109) $) NIL)) (-2741 (((-569) $) 12)) (-3468 (($ (-569) (-569) (-569) (-569) (-569) (-121) (-3 "left" "center" "right" "vertical" "horizontal")) 11)) (-2185 (((-851) $) 19) (($ (-635 (-569))) NIL)) (-3652 (((-569) $) 13)) (-1668 (((-121) $ $) NIL))) 
 (((-116) (-13 (-117) (-10 -7 (-6 |HamburgerNoether|)))) (T -116)) 
 NIL 
 (-13 (-117) (-10 -7 (-6 |HamburgerNoether|))) 
-((-2449 (((-121) $ $) 7)) (-2221 (((-3 "left" "center" "right" "vertical" "horizontal") $) 12)) (-3320 (((-568) $) 17)) (-2560 (((-568) $) 15)) (-4404 (((-568) $) 13)) (-1893 (((-1143) $) 9)) (-2982 (((-121) $) 14)) (-4025 (((-1108) $) 10)) (-1885 (((-568) $) 19)) (-2528 (($ (-568) (-568) (-568) (-568) (-568) (-121) (-3 "left" "center" "right" "vertical" "horizontal")) 16)) (-2747 (((-850) $) 11) (($ (-634 (-568))) 20)) (-2550 (((-568) $) 18)) (-1719 (((-121) $ $) 6))) 
-(((-117) (-1275)) (T -117)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-634 (-568))) (-4 *1 (-117)))) (-1885 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-568)))) (-2550 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-568)))) (-3320 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-568)))) (-2528 (*1 *1 *2 *2 *2 *2 *2 *3 *4) (-12 (-5 *2 (-568)) (-5 *3 (-121)) (-5 *4 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *1 (-117)))) (-2560 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-568)))) (-2982 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-121)))) (-4404 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-568)))) (-2221 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-3 "left" "center" "right" "vertical" "horizontal"))))) 
-(-13 (-1090) (-10 -8 (-15 -2747 ($ (-634 (-568)))) (-15 -1885 ((-568) $)) (-15 -2550 ((-568) $)) (-15 -3320 ((-568) $)) (-15 -2528 ($ (-568) (-568) (-568) (-568) (-568) (-121) (-3 "left" "center" "right" "vertical" "horizontal"))) (-15 -2560 ((-568) $)) (-15 -2982 ((-121) $)) (-15 -4404 ((-568) $)) (-15 -2221 ((-3 "left" "center" "right" "vertical" "horizontal") $)))) 
-(((-105) . T) ((-608 (-850)) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) NIL)) (-2221 (((-3 "left" "center" "right" "vertical" "horizontal") $) NIL)) (-3320 (((-568) $) 14)) (-2560 (((-568) $) 11)) (-4404 (((-568) $) 15)) (-1893 (((-1143) $) NIL)) (-2982 (((-121) $) NIL)) (-4025 (((-1108) $) NIL)) (-1885 (((-568) $) 12)) (-2528 (($ (-568) (-568) (-568) (-568) (-568) (-121) (-3 "left" "center" "right" "vertical" "horizontal")) NIL)) (-2747 (((-850) $) 17) (($ (-634 (-568))) 10)) (-2550 (((-568) $) 13)) (-1719 (((-121) $ $) NIL))) 
+((-2568 (((-121) $ $) 7)) (-1612 (((-3 "left" "center" "right" "vertical" "horizontal") $) 12)) (-3494 (((-569) $) 17)) (-3735 (((-569) $) 15)) (-4250 (((-569) $) 13)) (-2776 (((-1145) $) 9)) (-3918 (((-121) $) 14)) (-3360 (((-1109) $) 10)) (-2741 (((-569) $) 19)) (-3468 (($ (-569) (-569) (-569) (-569) (-569) (-121) (-3 "left" "center" "right" "vertical" "horizontal")) 16)) (-2185 (((-851) $) 11) (($ (-635 (-569))) 20)) (-3652 (((-569) $) 18)) (-1668 (((-121) $ $) 6))) 
+(((-117) (-1278)) (T -117)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-117)))) (-2741 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569)))) (-3652 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569)))) (-3494 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569)))) (-3468 (*1 *1 *2 *2 *2 *2 *2 *3 *4) (-12 (-5 *2 (-569)) (-5 *3 (-121)) (-5 *4 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *1 (-117)))) (-3735 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569)))) (-3918 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-121)))) (-4250 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569)))) (-1612 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-3 "left" "center" "right" "vertical" "horizontal"))))) 
+(-13 (-1091) (-10 -8 (-15 -2185 ($ (-635 (-569)))) (-15 -2741 ((-569) $)) (-15 -3652 ((-569) $)) (-15 -3494 ((-569) $)) (-15 -3468 ($ (-569) (-569) (-569) (-569) (-569) (-121) (-3 "left" "center" "right" "vertical" "horizontal"))) (-15 -3735 ((-569) $)) (-15 -3918 ((-121) $)) (-15 -4250 ((-569) $)) (-15 -1612 ((-3 "left" "center" "right" "vertical" "horizontal") $)))) 
+(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) NIL)) (-1612 (((-3 "left" "center" "right" "vertical" "horizontal") $) NIL)) (-3494 (((-569) $) 14)) (-3735 (((-569) $) 11)) (-4250 (((-569) $) 15)) (-2776 (((-1145) $) NIL)) (-3918 (((-121) $) NIL)) (-3360 (((-1109) $) NIL)) (-2741 (((-569) $) 12)) (-3468 (($ (-569) (-569) (-569) (-569) (-569) (-121) (-3 "left" "center" "right" "vertical" "horizontal")) NIL)) (-2185 (((-851) $) 17) (($ (-635 (-569))) 10)) (-3652 (((-569) $) 13)) (-1668 (((-121) $ $) NIL))) 
 (((-118) (-13 (-117) (-10 -7 (-6 |QuadraticTransform|)))) (T -118)) 
 NIL 
 (-13 (-117) (-10 -7 (-6 |QuadraticTransform|))) 
-((-2541 (((-2 (|:| |mult| (-763)) (|:| |subMult| (-763)) (|:| |blUpRec| (-634 (-2 (|:| |recTransStr| (-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|)) (|:| |recPoint| (-33 |#1|)) (|:| |recChart| |#5|) (|:| |definingExtension| |#1|))))) (-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|) (-33 |#1|) |#5| |#1|) 70)) (-2393 (((-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|) (-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|) (-763) |#5|) 54)) (-1705 (((-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|) |#3| |#5|) 99)) (-1587 (((-634 (-634 (-763))) (-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|)) NIL)) (-3191 ((|#3| (-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|) |#5|) 105)) (-2022 ((|#3| |#3| |#5|) 107))) 
-(((-119 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2022 (|#3| |#3| |#5|)) (-15 -2393 ((-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|) (-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|) (-763) |#5|)) (-15 -2541 ((-2 (|:| |mult| (-763)) (|:| |subMult| (-763)) (|:| |blUpRec| (-634 (-2 (|:| |recTransStr| (-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|)) (|:| |recPoint| (-33 |#1|)) (|:| |recChart| |#5|) (|:| |definingExtension| |#1|))))) (-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|) (-33 |#1|) |#5| |#1|)) (-15 -1587 ((-634 (-634 (-763))) (-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|))) (-15 -1705 ((-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|) |#3| |#5|)) (-15 -3191 (|#3| (-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|) |#5|))) (-365) (-634 (-1161)) (-324 |#1| |#4|) (-230 (-1699 |#2|) (-763)) (-117)) (T -119)) 
-((-3191 (*1 *2 *3 *4) (-12 (-5 *3 (-242 (-4289 (QUOTE X) (QUOTE -2928)) *5)) (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *2 (-324 *5 *7)) (-5 *1 (-119 *5 *6 *2 *7 *4)) (-4 *7 (-230 (-1699 *6) (-763))) (-4 *4 (-117)))) (-1705 (*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *7 (-230 (-1699 *6) (-763))) (-5 *2 (-242 (-4289 (QUOTE X) (QUOTE -2928)) *5)) (-5 *1 (-119 *5 *6 *3 *7 *4)) (-4 *3 (-324 *5 *7)) (-4 *4 (-117)))) (-1587 (*1 *2 *3) (-12 (-5 *3 (-242 (-4289 (QUOTE X) (QUOTE -2928)) *4)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *7 (-230 (-1699 *5) (-763))) (-5 *2 (-634 (-634 (-763)))) (-5 *1 (-119 *4 *5 *6 *7 *8)) (-4 *6 (-324 *4 *7)) (-4 *8 (-117)))) (-2541 (*1 *2 *3 *4 *5 *6) (-12 (-4 *6 (-365)) (-14 *7 (-634 (-1161))) (-4 *9 (-230 (-1699 *7) (-763))) (-5 *2 (-2 (|:| |mult| (-763)) (|:| |subMult| (-763)) (|:| |blUpRec| (-634 (-2 (|:| |recTransStr| (-242 (-4289 (QUOTE X) (QUOTE -2928)) *6)) (|:| |recPoint| (-33 *6)) (|:| |recChart| *5) (|:| |definingExtension| *6)))))) (-5 *1 (-119 *6 *7 *8 *9 *5)) (-5 *3 (-242 (-4289 (QUOTE X) (QUOTE -2928)) *6)) (-5 *4 (-33 *6)) (-4 *8 (-324 *6 *9)) (-4 *5 (-117)))) (-2393 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-242 (-4289 (QUOTE X) (QUOTE -2928)) *5)) (-4 *5 (-365)) (-5 *3 (-763)) (-14 *6 (-634 (-1161))) (-4 *8 (-230 (-1699 *6) *3)) (-5 *1 (-119 *5 *6 *7 *8 *4)) (-4 *7 (-324 *5 *8)) (-4 *4 (-117)))) (-2022 (*1 *2 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-230 (-1699 *5) (-763))) (-5 *1 (-119 *4 *5 *2 *6 *3)) (-4 *2 (-324 *4 *6)) (-4 *3 (-117))))) 
-(-10 -7 (-15 -2022 (|#3| |#3| |#5|)) (-15 -2393 ((-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|) (-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|) (-763) |#5|)) (-15 -2541 ((-2 (|:| |mult| (-763)) (|:| |subMult| (-763)) (|:| |blUpRec| (-634 (-2 (|:| |recTransStr| (-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|)) (|:| |recPoint| (-33 |#1|)) (|:| |recChart| |#5|) (|:| |definingExtension| |#1|))))) (-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|) (-33 |#1|) |#5| |#1|)) (-15 -1587 ((-634 (-634 (-763))) (-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|))) (-15 -1705 ((-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|) |#3| |#5|)) (-15 -3191 (|#3| (-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|) |#5|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-3058 (($) 17 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ |#1| $) 22) (($ $ |#2|) 24))) 
-(((-120 |#1| |#2|) (-1275) (-1047) (-1047)) (T -120)) 
-NIL 
-(-13 (-637 |t#1|) (-1053 |t#2|) (-10 -7 (-6 -4516) (-6 -4515))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-137) . T) ((-608 (-850)) . T) ((-637 |#1|) . T) ((-1053 |#2|) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1613 (($ $) 12)) (-3093 (($ $ $) 17)) (-2082 (($) 8 T CONST)) (-4403 (((-121) $) 7)) (-3986 (((-763)) 24)) (-1733 (($) 30)) (-3107 (($ $ $) 15)) (-3046 (($ $) 10)) (-2570 (($ $ $) 18)) (-4445 (($ $ $) 19)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-2291 (((-917) $) 29)) (-1893 (((-1143) $) NIL)) (-4357 (($ (-917)) 28)) (-2874 (($ $ $) 21)) (-4025 (((-1108) $) NIL)) (-3913 (($) 9 T CONST)) (-4280 (((-541) $) 36)) (-2747 (((-850) $) 39)) (-2141 (($ $ $) 13)) (-1889 (($ $) 11)) (-2432 (($ $ $) 16)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 20)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 22)) (-2426 (($ $ $) 14))) 
-(((-121) (-13 (-842) (-370) (-651) (-609 (-541)) (-10 -8 (-15 -2082 ($) -3497) (-15 -3913 ($) -3497) (-15 -1889 ($ $)) (-15 -3046 ($ $)) (-15 -2141 ($ $ $)) (-15 -3107 ($ $ $)) (-15 -3093 ($ $ $)) (-15 -4445 ($ $ $)) (-15 -2570 ($ $ $)) (-15 -2874 ($ $ $)) (-15 -4403 ((-121) $))))) (T -121)) 
-((-2082 (*1 *1) (-5 *1 (-121))) (-3913 (*1 *1) (-5 *1 (-121))) (-1889 (*1 *1 *1) (-5 *1 (-121))) (-3046 (*1 *1 *1) (-5 *1 (-121))) (-2141 (*1 *1 *1 *1) (-5 *1 (-121))) (-3107 (*1 *1 *1 *1) (-5 *1 (-121))) (-3093 (*1 *1 *1 *1) (-5 *1 (-121))) (-4445 (*1 *1 *1 *1) (-5 *1 (-121))) (-2570 (*1 *1 *1 *1) (-5 *1 (-121))) (-2874 (*1 *1 *1 *1) (-5 *1 (-121))) (-4403 (*1 *1 *1) (-5 *1 (-121)))) 
-(-13 (-842) (-370) (-651) (-609 (-541)) (-10 -8 (-15 -2082 ($) -3497) (-15 -3913 ($) -3497) (-15 -1889 ($ $)) (-15 -3046 ($ $)) (-15 -2141 ($ $ $)) (-15 -3107 ($ $ $)) (-15 -3093 ($ $ $)) (-15 -4445 ($ $ $)) (-15 -2570 ($ $ $)) (-15 -2874 ($ $ $)) (-15 -4403 ((-121) $)))) 
-((-2513 (((-3 (-1 |#1| (-634 |#1|)) "failed") (-123)) 18) (((-123) (-123) (-1 |#1| |#1|)) 13) (((-123) (-123) (-1 |#1| (-634 |#1|))) 11) (((-3 |#1| "failed") (-123) (-634 |#1|)) 20)) (-3561 (((-3 (-634 (-1 |#1| (-634 |#1|))) "failed") (-123)) 24) (((-123) (-123) (-1 |#1| |#1|)) 30) (((-123) (-123) (-634 (-1 |#1| (-634 |#1|)))) 26)) (-4239 (((-123) |#1|) 53 (|has| |#1| (-842)))) (-4206 (((-3 |#1| "failed") (-123)) 48 (|has| |#1| (-842))))) 
-(((-122 |#1|) (-10 -7 (-15 -2513 ((-3 |#1| "failed") (-123) (-634 |#1|))) (-15 -2513 ((-123) (-123) (-1 |#1| (-634 |#1|)))) (-15 -2513 ((-123) (-123) (-1 |#1| |#1|))) (-15 -2513 ((-3 (-1 |#1| (-634 |#1|)) "failed") (-123))) (-15 -3561 ((-123) (-123) (-634 (-1 |#1| (-634 |#1|))))) (-15 -3561 ((-123) (-123) (-1 |#1| |#1|))) (-15 -3561 ((-3 (-634 (-1 |#1| (-634 |#1|))) "failed") (-123))) (IF (|has| |#1| (-842)) (PROGN (-15 -4239 ((-123) |#1|)) (-15 -4206 ((-3 |#1| "failed") (-123)))) |noBranch|)) (-1090)) (T -122)) 
-((-4206 (*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-4 *2 (-1090)) (-4 *2 (-842)) (-5 *1 (-122 *2)))) (-4239 (*1 *2 *3) (-12 (-5 *2 (-123)) (-5 *1 (-122 *3)) (-4 *3 (-842)) (-4 *3 (-1090)))) (-3561 (*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-634 (-1 *4 (-634 *4)))) (-5 *1 (-122 *4)) (-4 *4 (-1090)))) (-3561 (*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1090)) (-5 *1 (-122 *4)))) (-3561 (*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-634 (-1 *4 (-634 *4)))) (-4 *4 (-1090)) (-5 *1 (-122 *4)))) (-2513 (*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-1 *4 (-634 *4))) (-5 *1 (-122 *4)) (-4 *4 (-1090)))) (-2513 (*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1090)) (-5 *1 (-122 *4)))) (-2513 (*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 (-634 *4))) (-4 *4 (-1090)) (-5 *1 (-122 *4)))) (-2513 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-634 *2)) (-5 *1 (-122 *2)) (-4 *2 (-1090))))) 
-(-10 -7 (-15 -2513 ((-3 |#1| "failed") (-123) (-634 |#1|))) (-15 -2513 ((-123) (-123) (-1 |#1| (-634 |#1|)))) (-15 -2513 ((-123) (-123) (-1 |#1| |#1|))) (-15 -2513 ((-3 (-1 |#1| (-634 |#1|)) "failed") (-123))) (-15 -3561 ((-123) (-123) (-634 (-1 |#1| (-634 |#1|))))) (-15 -3561 ((-123) (-123) (-1 |#1| |#1|))) (-15 -3561 ((-3 (-634 (-1 |#1| (-634 |#1|))) "failed") (-123))) (IF (|has| |#1| (-842)) (PROGN (-15 -4239 ((-123) |#1|)) (-15 -4206 ((-3 |#1| "failed") (-123)))) |noBranch|)) 
-((-2449 (((-121) $ $) NIL)) (-4308 (((-763) $) 68) (($ $ (-763)) 30)) (-3228 (((-121) $) 32)) (-1975 (($ $ (-1143) (-766)) 26)) (-2882 (($ $ (-50 (-1143) (-766))) 13)) (-2825 (((-3 (-766) "failed") $ (-1143)) 24)) (-2864 (((-50 (-1143) (-766)) $) 12)) (-3842 (($ (-1161)) 15) (($ (-1161) (-763)) 20)) (-3276 (((-121) $) 31)) (-3417 (((-121) $) 33)) (-3393 (((-1161) $) 8)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-1893 (((-1143) $) NIL)) (-3910 (((-121) $ (-1161)) 10)) (-4397 (($ $ (-1 (-541) (-634 (-541)))) 50) (((-3 (-1 (-541) (-634 (-541))) "failed") $) 54)) (-4025 (((-1108) $) NIL)) (-1395 (((-121) $ (-1143)) 29)) (-4084 (($ $ (-1 (-121) $ $)) 35)) (-4127 (((-3 (-1 (-850) (-634 (-850))) "failed") $) 52) (($ $ (-1 (-850) (-634 (-850)))) 41) (($ $ (-1 (-850) (-850))) 43)) (-2173 (($ $ (-1143)) 45)) (-3865 (($ $) 61)) (-3642 (($ $ (-1 (-121) $ $)) 36)) (-2747 (((-850) $) 48)) (-2211 (($ $ (-1143)) 27)) (-2440 (((-3 (-763) "failed") $) 56)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 67)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 72))) 
-(((-123) (-13 (-842) (-10 -8 (-15 -3393 ((-1161) $)) (-15 -2864 ((-50 (-1143) (-766)) $)) (-15 -3865 ($ $)) (-15 -3842 ($ (-1161))) (-15 -3842 ($ (-1161) (-763))) (-15 -2440 ((-3 (-763) "failed") $)) (-15 -3276 ((-121) $)) (-15 -3228 ((-121) $)) (-15 -3417 ((-121) $)) (-15 -4308 ((-763) $)) (-15 -4308 ($ $ (-763))) (-15 -4084 ($ $ (-1 (-121) $ $))) (-15 -3642 ($ $ (-1 (-121) $ $))) (-15 -4127 ((-3 (-1 (-850) (-634 (-850))) "failed") $)) (-15 -4127 ($ $ (-1 (-850) (-634 (-850))))) (-15 -4127 ($ $ (-1 (-850) (-850)))) (-15 -4397 ($ $ (-1 (-541) (-634 (-541))))) (-15 -4397 ((-3 (-1 (-541) (-634 (-541))) "failed") $)) (-15 -3910 ((-121) $ (-1161))) (-15 -1395 ((-121) $ (-1143))) (-15 -2211 ($ $ (-1143))) (-15 -2173 ($ $ (-1143))) (-15 -2825 ((-3 (-766) "failed") $ (-1143))) (-15 -1975 ($ $ (-1143) (-766))) (-15 -2882 ($ $ (-50 (-1143) (-766))))))) (T -123)) 
-((-3393 (*1 *2 *1) (-12 (-5 *2 (-1161)) (-5 *1 (-123)))) (-2864 (*1 *2 *1) (-12 (-5 *2 (-50 (-1143) (-766))) (-5 *1 (-123)))) (-3865 (*1 *1 *1) (-5 *1 (-123))) (-3842 (*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-123)))) (-3842 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-763)) (-5 *1 (-123)))) (-2440 (*1 *2 *1) (|partial| -12 (-5 *2 (-763)) (-5 *1 (-123)))) (-3276 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123)))) (-3228 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123)))) (-3417 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123)))) (-4308 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-123)))) (-4308 (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-123)))) (-4084 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-121) (-123) (-123))) (-5 *1 (-123)))) (-3642 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-121) (-123) (-123))) (-5 *1 (-123)))) (-4127 (*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-850) (-634 (-850)))) (-5 *1 (-123)))) (-4127 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-850) (-634 (-850)))) (-5 *1 (-123)))) (-4127 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-850) (-850))) (-5 *1 (-123)))) (-4397 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-541) (-634 (-541)))) (-5 *1 (-123)))) (-4397 (*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-541) (-634 (-541)))) (-5 *1 (-123)))) (-3910 (*1 *2 *1 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-121)) (-5 *1 (-123)))) (-1395 (*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-121)) (-5 *1 (-123)))) (-2211 (*1 *1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-123)))) (-2173 (*1 *1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-123)))) (-2825 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1143)) (-5 *2 (-766)) (-5 *1 (-123)))) (-1975 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1143)) (-5 *3 (-766)) (-5 *1 (-123)))) (-2882 (*1 *1 *1 *2) (-12 (-5 *2 (-50 (-1143) (-766))) (-5 *1 (-123))))) 
-(-13 (-842) (-10 -8 (-15 -3393 ((-1161) $)) (-15 -2864 ((-50 (-1143) (-766)) $)) (-15 -3865 ($ $)) (-15 -3842 ($ (-1161))) (-15 -3842 ($ (-1161) (-763))) (-15 -2440 ((-3 (-763) "failed") $)) (-15 -3276 ((-121) $)) (-15 -3228 ((-121) $)) (-15 -3417 ((-121) $)) (-15 -4308 ((-763) $)) (-15 -4308 ($ $ (-763))) (-15 -4084 ($ $ (-1 (-121) $ $))) (-15 -3642 ($ $ (-1 (-121) $ $))) (-15 -4127 ((-3 (-1 (-850) (-634 (-850))) "failed") $)) (-15 -4127 ($ $ (-1 (-850) (-634 (-850))))) (-15 -4127 ($ $ (-1 (-850) (-850)))) (-15 -4397 ($ $ (-1 (-541) (-634 (-541))))) (-15 -4397 ((-3 (-1 (-541) (-634 (-541))) "failed") $)) (-15 -3910 ((-121) $ (-1161))) (-15 -1395 ((-121) $ (-1143))) (-15 -2211 ($ $ (-1143))) (-15 -2173 ($ $ (-1143))) (-15 -2825 ((-3 (-766) "failed") $ (-1143))) (-15 -1975 ($ $ (-1143) (-766))) (-15 -2882 ($ $ (-50 (-1143) (-766)))))) 
-((-4139 (((-568) |#2|) 36))) 
-(((-124 |#1| |#2|) (-10 -7 (-15 -4139 ((-568) |#2|))) (-13 (-365) (-1037 (-409 (-568)))) (-1219 |#1|)) (T -124)) 
-((-4139 (*1 *2 *3) (-12 (-4 *4 (-13 (-365) (-1037 (-409 *2)))) (-5 *2 (-568)) (-5 *1 (-124 *4 *3)) (-4 *3 (-1219 *4))))) 
-(-10 -7 (-15 -4139 ((-568) |#2|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-1904 (($ $ (-568)) NIL)) (-2589 (((-121) $ $) NIL)) (-4490 (($) NIL T CONST)) (-3517 (($ (-1157 (-568)) (-568)) NIL)) (-2403 (($ $ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-4456 (($ $) NIL)) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-1844 (((-763) $) NIL)) (-1598 (((-121) $) NIL)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-2477 (((-568)) NIL)) (-2691 (((-568) $) NIL)) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2168 (($ $ (-568)) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-1513 (((-1141 (-568)) $) NIL)) (-2188 (($ $) NIL)) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ $) NIL)) (-3425 (((-763)) NIL)) (-2273 (((-121) $ $) NIL)) (-3999 (((-568) $ (-568)) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-1719 (((-121) $ $) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL))) 
-(((-125 |#1|) (-863 |#1|) (-568)) (T -125)) 
-NIL 
-(-863 |#1|) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2563 (((-125 |#1|) $) NIL (|has| (-125 |#1|) (-301)))) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (|has| (-125 |#1|) (-904)))) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (|has| (-125 |#1|) (-904)))) (-2589 (((-121) $ $) NIL)) (-3337 (((-568) $) NIL (|has| (-125 |#1|) (-815)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-125 |#1|) "failed") $) NIL) (((-3 (-1161) "failed") $) NIL (|has| (-125 |#1|) (-1037 (-1161)))) (((-3 (-409 (-568)) "failed") $) NIL (|has| (-125 |#1|) (-1037 (-568)))) (((-3 (-568) "failed") $) NIL (|has| (-125 |#1|) (-1037 (-568))))) (-2857 (((-125 |#1|) $) NIL) (((-1161) $) NIL (|has| (-125 |#1|) (-1037 (-1161)))) (((-409 (-568)) $) NIL (|has| (-125 |#1|) (-1037 (-568)))) (((-568) $) NIL (|has| (-125 |#1|) (-1037 (-568))))) (-2232 (($ $) NIL) (($ (-568) $) NIL)) (-2403 (($ $ $) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| (-125 |#1|) (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| (-125 |#1|) (-630 (-568)))) (((-2 (|:| -2908 (-679 (-125 |#1|))) (|:| |vec| (-1244 (-125 |#1|)))) (-679 $) (-1244 $)) NIL) (((-679 (-125 |#1|)) (-679 $)) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1733 (($) NIL (|has| (-125 |#1|) (-550)))) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-2197 (((-121) $) NIL)) (-1436 (((-121) $) NIL (|has| (-125 |#1|) (-815)))) (-1519 (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (|has| (-125 |#1|) (-881 (-568)))) (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (|has| (-125 |#1|) (-881 (-381))))) (-1598 (((-121) $) NIL)) (-3539 (($ $) NIL)) (-2319 (((-125 |#1|) $) NIL)) (-2214 (((-3 $ "failed") $) NIL (|has| (-125 |#1|) (-1136)))) (-2859 (((-121) $) NIL (|has| (-125 |#1|) (-815)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1732 (($ $ $) NIL (|has| (-125 |#1|) (-842)))) (-2047 (($ $ $) NIL (|has| (-125 |#1|) (-842)))) (-2797 (($ (-1 (-125 |#1|) (-125 |#1|)) $) NIL)) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL)) (-4436 (($) NIL (|has| (-125 |#1|) (-1136)) CONST)) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1999 (($ $) NIL (|has| (-125 |#1|) (-301)))) (-4115 (((-125 |#1|) $) NIL (|has| (-125 |#1|) (-550)))) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (|has| (-125 |#1|) (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (|has| (-125 |#1|) (-904)))) (-3850 (((-420 $) $) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1339 (($ $ (-634 (-125 |#1|)) (-634 (-125 |#1|))) NIL (|has| (-125 |#1|) (-303 (-125 |#1|)))) (($ $ (-125 |#1|) (-125 |#1|)) NIL (|has| (-125 |#1|) (-303 (-125 |#1|)))) (($ $ (-288 (-125 |#1|))) NIL (|has| (-125 |#1|) (-303 (-125 |#1|)))) (($ $ (-634 (-288 (-125 |#1|)))) NIL (|has| (-125 |#1|) (-303 (-125 |#1|)))) (($ $ (-634 (-1161)) (-634 (-125 |#1|))) NIL (|has| (-125 |#1|) (-523 (-1161) (-125 |#1|)))) (($ $ (-1161) (-125 |#1|)) NIL (|has| (-125 |#1|) (-523 (-1161) (-125 |#1|))))) (-1466 (((-763) $) NIL)) (-2781 (($ $ (-125 |#1|)) NIL (|has| (-125 |#1|) (-281 (-125 |#1|) (-125 |#1|))))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-4191 (($ $) NIL (|has| (-125 |#1|) (-225))) (($ $ (-763)) NIL (|has| (-125 |#1|) (-225))) (($ $ (-1161)) NIL (|has| (-125 |#1|) (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| (-125 |#1|) (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| (-125 |#1|) (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| (-125 |#1|) (-895 (-1161)))) (($ $ (-1 (-125 |#1|) (-125 |#1|)) (-763)) NIL) (($ $ (-1 (-125 |#1|) (-125 |#1|))) NIL)) (-3210 (($ $) NIL)) (-2326 (((-125 |#1|) $) NIL)) (-4280 (((-887 (-568)) $) NIL (|has| (-125 |#1|) (-609 (-887 (-568))))) (((-887 (-381)) $) NIL (|has| (-125 |#1|) (-609 (-887 (-381))))) (((-541) $) NIL (|has| (-125 |#1|) (-609 (-541)))) (((-381) $) NIL (|has| (-125 |#1|) (-1021))) (((-215) $) NIL (|has| (-125 |#1|) (-1021)))) (-1991 (((-173 (-409 (-568))) $) NIL)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-12 (|has| $ (-148)) (|has| (-125 |#1|) (-904))))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ $) NIL) (($ (-409 (-568))) NIL) (($ (-125 |#1|)) NIL) (($ (-1161)) NIL (|has| (-125 |#1|) (-1037 (-1161))))) (-3385 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| (-125 |#1|) (-904))) (|has| (-125 |#1|) (-148))))) (-3425 (((-763)) NIL)) (-3520 (((-125 |#1|) $) NIL (|has| (-125 |#1|) (-550)))) (-2273 (((-121) $ $) NIL)) (-3999 (((-409 (-568)) $ (-568)) NIL)) (-2811 (($ $) NIL (|has| (-125 |#1|) (-815)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($ $) NIL (|has| (-125 |#1|) (-225))) (($ $ (-763)) NIL (|has| (-125 |#1|) (-225))) (($ $ (-1161)) NIL (|has| (-125 |#1|) (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| (-125 |#1|) (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| (-125 |#1|) (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| (-125 |#1|) (-895 (-1161)))) (($ $ (-1 (-125 |#1|) (-125 |#1|)) (-763)) NIL) (($ $ (-1 (-125 |#1|) (-125 |#1|))) NIL)) (-1753 (((-121) $ $) NIL (|has| (-125 |#1|) (-842)))) (-1740 (((-121) $ $) NIL (|has| (-125 |#1|) (-842)))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (|has| (-125 |#1|) (-842)))) (-1734 (((-121) $ $) NIL (|has| (-125 |#1|) (-842)))) (-1781 (($ $ $) NIL) (($ (-125 |#1|) (-125 |#1|)) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL) (($ (-125 |#1|) $) NIL) (($ $ (-125 |#1|)) NIL))) 
-(((-126 |#1|) (-13 (-993 (-125 |#1|)) (-10 -8 (-15 -3999 ((-409 (-568)) $ (-568))) (-15 -1991 ((-173 (-409 (-568))) $)) (-15 -2232 ($ $)) (-15 -2232 ($ (-568) $)))) (-568)) (T -126)) 
-((-3999 (*1 *2 *1 *3) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-126 *4)) (-14 *4 *3) (-5 *3 (-568)))) (-1991 (*1 *2 *1) (-12 (-5 *2 (-173 (-409 (-568)))) (-5 *1 (-126 *3)) (-14 *3 (-568)))) (-2232 (*1 *1 *1) (-12 (-5 *1 (-126 *2)) (-14 *2 (-568)))) (-2232 (*1 *1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-126 *3)) (-14 *3 *2)))) 
-(-13 (-993 (-125 |#1|)) (-10 -8 (-15 -3999 ((-409 (-568)) $ (-568))) (-15 -1991 ((-173 (-409 (-568))) $)) (-15 -2232 ($ $)) (-15 -2232 ($ (-568) $)))) 
-((-2438 ((|#2| $ "value" |#2|) NIL) (($ $ "left" $) 48) (($ $ "right" $) 50)) (-3534 (((-634 $) $) 27)) (-3606 (((-121) $ $) 32)) (-2551 (((-121) |#2| $) 36)) (-4081 (((-634 |#2|) $) 22)) (-3319 (((-121) $) 16)) (-2781 ((|#2| $ "value") NIL) (($ $ "left") 10) (($ $ "right") 13)) (-2763 (((-121) $) 45)) (-2747 (((-850) $) 41)) (-3180 (((-634 $) $) 28)) (-1719 (((-121) $ $) 34)) (-1699 (((-763) $) 43))) 
-(((-127 |#1| |#2|) (-10 -8 (-15 -2438 (|#1| |#1| "right" |#1|)) (-15 -2438 (|#1| |#1| "left" |#1|)) (-15 -2781 (|#1| |#1| "right")) (-15 -2781 (|#1| |#1| "left")) (-15 -2438 (|#2| |#1| "value" |#2|)) (-15 -3606 ((-121) |#1| |#1|)) (-15 -4081 ((-634 |#2|) |#1|)) (-15 -2763 ((-121) |#1|)) (-15 -2781 (|#2| |#1| "value")) (-15 -3319 ((-121) |#1|)) (-15 -3534 ((-634 |#1|) |#1|)) (-15 -3180 ((-634 |#1|) |#1|)) (-15 -1719 ((-121) |#1| |#1|)) (-15 -2747 ((-850) |#1|)) (-15 -2551 ((-121) |#2| |#1|)) (-15 -1699 ((-763) |#1|))) (-128 |#2|) (-1195)) (T -127)) 
-NIL 
-(-10 -8 (-15 -2438 (|#1| |#1| "right" |#1|)) (-15 -2438 (|#1| |#1| "left" |#1|)) (-15 -2781 (|#1| |#1| "right")) (-15 -2781 (|#1| |#1| "left")) (-15 -2438 (|#2| |#1| "value" |#2|)) (-15 -3606 ((-121) |#1| |#1|)) (-15 -4081 ((-634 |#2|) |#1|)) (-15 -2763 ((-121) |#1|)) (-15 -2781 (|#2| |#1| "value")) (-15 -3319 ((-121) |#1|)) (-15 -3534 ((-634 |#1|) |#1|)) (-15 -3180 ((-634 |#1|) |#1|)) (-15 -1719 ((-121) |#1| |#1|)) (-15 -2747 ((-850) |#1|)) (-15 -2551 ((-121) |#2| |#1|)) (-15 -1699 ((-763) |#1|))) 
-((-2449 (((-121) $ $) 18 (|has| |#1| (-1090)))) (-2852 ((|#1| $) 45)) (-1667 (((-121) $ (-763)) 8)) (-3370 ((|#1| $ |#1|) 36 (|has| $ (-6 -4522)))) (-3892 (($ $ $) 49 (|has| $ (-6 -4522)))) (-2458 (($ $ $) 51 (|has| $ (-6 -4522)))) (-2438 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4522))) (($ $ "left" $) 52 (|has| $ (-6 -4522))) (($ $ "right" $) 50 (|has| $ (-6 -4522)))) (-1809 (($ $ (-634 $)) 38 (|has| $ (-6 -4522)))) (-4490 (($) 7 T CONST)) (-3286 (($ $) 54)) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-3534 (((-634 $) $) 47)) (-3606 (((-121) $ $) 39 (|has| |#1| (-1090)))) (-3791 (((-121) $ (-763)) 9)) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35)) (-3796 (((-121) $ (-763)) 10)) (-3030 (($ $) 56)) (-4081 (((-634 |#1|) $) 42)) (-3319 (((-121) $) 46)) (-1893 (((-1143) $) 22 (|has| |#1| (-1090)))) (-4025 (((-1108) $) 21 (|has| |#1| (-1090)))) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-2781 ((|#1| $ "value") 44) (($ $ "left") 55) (($ $ "right") 53)) (-1665 (((-568) $ $) 41)) (-2763 (((-121) $) 43)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-2747 (((-850) $) 20 (|has| |#1| (-1090)))) (-3180 (((-634 $) $) 48)) (-3873 (((-121) $ $) 40 (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-128 |#1|) (-1275) (-1195)) (T -128)) 
-((-3030 (*1 *1 *1) (-12 (-4 *1 (-128 *2)) (-4 *2 (-1195)))) (-2781 (*1 *1 *1 *2) (-12 (-5 *2 "left") (-4 *1 (-128 *3)) (-4 *3 (-1195)))) (-3286 (*1 *1 *1) (-12 (-4 *1 (-128 *2)) (-4 *2 (-1195)))) (-2781 (*1 *1 *1 *2) (-12 (-5 *2 "right") (-4 *1 (-128 *3)) (-4 *3 (-1195)))) (-2438 (*1 *1 *1 *2 *1) (-12 (-5 *2 "left") (|has| *1 (-6 -4522)) (-4 *1 (-128 *3)) (-4 *3 (-1195)))) (-2458 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-128 *2)) (-4 *2 (-1195)))) (-2438 (*1 *1 *1 *2 *1) (-12 (-5 *2 "right") (|has| *1 (-6 -4522)) (-4 *1 (-128 *3)) (-4 *3 (-1195)))) (-3892 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-128 *2)) (-4 *2 (-1195))))) 
-(-13 (-1010 |t#1|) (-10 -8 (-15 -3030 ($ $)) (-15 -2781 ($ $ "left")) (-15 -3286 ($ $)) (-15 -2781 ($ $ "right")) (IF (|has| $ (-6 -4522)) (PROGN (-15 -2438 ($ $ "left" $)) (-15 -2458 ($ $ $)) (-15 -2438 ($ $ "right" $)) (-15 -3892 ($ $ $))) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#1| (-1090)) ((-608 (-850)) |has| |#1| (-1090)) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-499 |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-1010 |#1|) . T) ((-1090) |has| |#1| (-1090)) ((-1195) . T)) 
-((-4092 (((-121) |#1|) 24)) (-1414 (((-763) (-763)) 23) (((-763)) 22)) (-4449 (((-121) |#1| (-121)) 25) (((-121) |#1|) 26))) 
-(((-129 |#1|) (-10 -7 (-15 -4449 ((-121) |#1|)) (-15 -4449 ((-121) |#1| (-121))) (-15 -1414 ((-763))) (-15 -1414 ((-763) (-763))) (-15 -4092 ((-121) |#1|))) (-1219 (-568))) (T -129)) 
-((-4092 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1219 (-568))))) (-1414 (*1 *2 *2) (-12 (-5 *2 (-763)) (-5 *1 (-129 *3)) (-4 *3 (-1219 (-568))))) (-1414 (*1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-129 *3)) (-4 *3 (-1219 (-568))))) (-4449 (*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1219 (-568))))) (-4449 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1219 (-568)))))) 
-(-10 -7 (-15 -4449 ((-121) |#1|)) (-15 -4449 ((-121) |#1| (-121))) (-15 -1414 ((-763))) (-15 -1414 ((-763) (-763))) (-15 -4092 ((-121) |#1|))) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-2852 ((|#1| $) 15)) (-4446 (((-2 (|:| |less| $) (|:| |greater| $)) |#1| $) 22)) (-1667 (((-121) $ (-763)) NIL)) (-3370 ((|#1| $ |#1|) NIL (|has| $ (-6 -4522)))) (-3892 (($ $ $) 18 (|has| $ (-6 -4522)))) (-2458 (($ $ $) 20 (|has| $ (-6 -4522)))) (-2438 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4522))) (($ $ "left" $) NIL (|has| $ (-6 -4522))) (($ $ "right" $) NIL (|has| $ (-6 -4522)))) (-1809 (($ $ (-634 $)) NIL (|has| $ (-6 -4522)))) (-4490 (($) NIL T CONST)) (-3286 (($ $) 17)) (-3317 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-3534 (((-634 $) $) NIL)) (-3606 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-4455 (($ $ |#1| $) 23)) (-3791 (((-121) $ (-763)) NIL)) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-2253 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-3030 (($ $) 19)) (-4081 (((-634 |#1|) $) NIL)) (-3319 (((-121) $) NIL)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-3732 (($ |#1| $) 24)) (-1708 (($ |#1| $) 10)) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) 14)) (-1990 (($) 8)) (-2781 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-1665 (((-568) $ $) NIL)) (-2763 (((-121) $) NIL)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3865 (($ $) NIL)) (-2747 (((-850) $) NIL (|has| |#1| (-1090)))) (-3180 (((-634 $) $) NIL)) (-3873 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-3590 (($ (-634 |#1|)) 12)) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-130 |#1|) (-13 (-134 |#1|) (-10 -8 (-6 -4522) (-6 -4521) (-15 -3590 ($ (-634 |#1|))) (-15 -1708 ($ |#1| $)) (-15 -3732 ($ |#1| $)) (-15 -4446 ((-2 (|:| |less| $) (|:| |greater| $)) |#1| $)))) (-842)) (T -130)) 
-((-3590 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-842)) (-5 *1 (-130 *3)))) (-1708 (*1 *1 *2 *1) (-12 (-5 *1 (-130 *2)) (-4 *2 (-842)))) (-3732 (*1 *1 *2 *1) (-12 (-5 *1 (-130 *2)) (-4 *2 (-842)))) (-4446 (*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |less| (-130 *3)) (|:| |greater| (-130 *3)))) (-5 *1 (-130 *3)) (-4 *3 (-842))))) 
-(-13 (-134 |#1|) (-10 -8 (-6 -4522) (-6 -4521) (-15 -3590 ($ (-634 |#1|))) (-15 -1708 ($ |#1| $)) (-15 -3732 ($ |#1| $)) (-15 -4446 ((-2 (|:| |less| $) (|:| |greater| $)) |#1| $)))) 
-((-1613 (($ $) 14)) (-3046 (($ $) 11)) (-2570 (($ $ $) 24)) (-4445 (($ $ $) 22)) (-1889 (($ $) 12)) (-2432 (($ $ $) 20)) (-2426 (($ $ $) 18))) 
-(((-131 |#1|) (-10 -8 (-15 -2570 (|#1| |#1| |#1|)) (-15 -4445 (|#1| |#1| |#1|)) (-15 -1889 (|#1| |#1|)) (-15 -3046 (|#1| |#1|)) (-15 -1613 (|#1| |#1|)) (-15 -2426 (|#1| |#1| |#1|)) (-15 -2432 (|#1| |#1| |#1|))) (-132)) (T -131)) 
-NIL 
-(-10 -8 (-15 -2570 (|#1| |#1| |#1|)) (-15 -4445 (|#1| |#1| |#1|)) (-15 -1889 (|#1| |#1|)) (-15 -3046 (|#1| |#1|)) (-15 -1613 (|#1| |#1|)) (-15 -2426 (|#1| |#1| |#1|)) (-15 -2432 (|#1| |#1| |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1613 (($ $) 103)) (-3093 (($ $ $) 24)) (-2481 (((-1249) $ (-568) (-568)) 66 (|has| $ (-6 -4522)))) (-1324 (((-121) $) 98 (|has| (-121) (-842))) (((-121) (-1 (-121) (-121) (-121)) $) 92)) (-2109 (($ $) 102 (-12 (|has| (-121) (-842)) (|has| $ (-6 -4522)))) (($ (-1 (-121) (-121) (-121)) $) 101 (|has| $ (-6 -4522)))) (-3647 (($ $) 97 (|has| (-121) (-842))) (($ (-1 (-121) (-121) (-121)) $) 91)) (-1667 (((-121) $ (-763)) 37)) (-2438 (((-121) $ (-1210 (-568)) (-121)) 88 (|has| $ (-6 -4522))) (((-121) $ (-568) (-121)) 54 (|has| $ (-6 -4522)))) (-2803 (($ (-1 (-121) (-121)) $) 71 (|has| $ (-6 -4521)))) (-4490 (($) 38 T CONST)) (-4452 (($ $) 100 (|has| $ (-6 -4522)))) (-3945 (($ $) 90)) (-3926 (($ $) 68 (-12 (|has| (-121) (-1090)) (|has| $ (-6 -4521))))) (-4330 (($ (-1 (-121) (-121)) $) 72 (|has| $ (-6 -4521))) (($ (-121) $) 69 (-12 (|has| (-121) (-1090)) (|has| $ (-6 -4521))))) (-3094 (((-121) (-1 (-121) (-121) (-121)) $) 74 (|has| $ (-6 -4521))) (((-121) (-1 (-121) (-121) (-121)) $ (-121)) 73 (|has| $ (-6 -4521))) (((-121) (-1 (-121) (-121) (-121)) $ (-121) (-121)) 70 (-12 (|has| (-121) (-1090)) (|has| $ (-6 -4521))))) (-1292 (((-121) $ (-568) (-121)) 53 (|has| $ (-6 -4522)))) (-2069 (((-121) $ (-568)) 55)) (-2766 (((-568) (-121) $ (-568)) 95 (|has| (-121) (-1090))) (((-568) (-121) $) 94 (|has| (-121) (-1090))) (((-568) (-1 (-121) (-121)) $) 93)) (-3317 (((-634 (-121)) $) 45 (|has| $ (-6 -4521)))) (-3107 (($ $ $) 25)) (-3046 (($ $) 30)) (-2570 (($ $ $) 27)) (-1851 (($ (-763) (-121)) 77)) (-4445 (($ $ $) 28)) (-3791 (((-121) $ (-763)) 36)) (-2539 (((-568) $) 63 (|has| (-568) (-842)))) (-1732 (($ $ $) 12)) (-3645 (($ $ $) 96 (|has| (-121) (-842))) (($ (-1 (-121) (-121) (-121)) $ $) 89)) (-4406 (((-634 (-121)) $) 46 (|has| $ (-6 -4521)))) (-2551 (((-121) (-121) $) 48 (-12 (|has| (-121) (-1090)) (|has| $ (-6 -4521))))) (-3631 (((-568) $) 62 (|has| (-568) (-842)))) (-2047 (($ $ $) 13)) (-2253 (($ (-1 (-121) (-121)) $) 41 (|has| $ (-6 -4522)))) (-2797 (($ (-1 (-121) (-121) (-121)) $ $) 82) (($ (-1 (-121) (-121)) $) 40)) (-3796 (((-121) $ (-763)) 35)) (-1893 (((-1143) $) 9)) (-4124 (($ $ $ (-568)) 87) (($ (-121) $ (-568)) 86)) (-3948 (((-634 (-568)) $) 60)) (-2916 (((-121) (-568) $) 59)) (-4025 (((-1108) $) 10)) (-3877 (((-121) $) 64 (|has| (-568) (-842)))) (-2712 (((-3 (-121) "failed") (-1 (-121) (-121)) $) 75)) (-2490 (($ $ (-121)) 65 (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) (-121)) $) 43 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-121)) (-634 (-121))) 52 (-12 (|has| (-121) (-303 (-121))) (|has| (-121) (-1090)))) (($ $ (-121) (-121)) 51 (-12 (|has| (-121) (-303 (-121))) (|has| (-121) (-1090)))) (($ $ (-288 (-121))) 50 (-12 (|has| (-121) (-303 (-121))) (|has| (-121) (-1090)))) (($ $ (-634 (-288 (-121)))) 49 (-12 (|has| (-121) (-303 (-121))) (|has| (-121) (-1090))))) (-1702 (((-121) $ $) 31)) (-1801 (((-121) (-121) $) 61 (-12 (|has| $ (-6 -4521)) (|has| (-121) (-1090))))) (-1480 (((-634 (-121)) $) 58)) (-2436 (((-121) $) 34)) (-1990 (($) 33)) (-2781 (($ $ (-1210 (-568))) 83) (((-121) $ (-568)) 57) (((-121) $ (-568) (-121)) 56)) (-2828 (($ $ (-1210 (-568))) 85) (($ $ (-568)) 84)) (-4170 (((-763) (-121) $) 47 (-12 (|has| (-121) (-1090)) (|has| $ (-6 -4521)))) (((-763) (-1 (-121) (-121)) $) 44 (|has| $ (-6 -4521)))) (-3306 (($ $ $ (-568)) 99 (|has| $ (-6 -4522)))) (-3865 (($ $) 32)) (-4280 (((-541) $) 67 (|has| (-121) (-609 (-541))))) (-4289 (($ (-634 (-121))) 76)) (-2770 (($ (-634 $)) 81) (($ $ $) 80) (($ (-121) $) 79) (($ $ (-121)) 78)) (-2747 (((-850) $) 11)) (-3437 (((-121) (-1 (-121) (-121)) $) 42 (|has| $ (-6 -4521)))) (-2141 (($ $ $) 26)) (-1889 (($ $) 29)) (-2432 (($ $ $) 105)) (-1753 (((-121) $ $) 15)) (-1740 (((-121) $ $) 16)) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 14)) (-1734 (((-121) $ $) 17)) (-2426 (($ $ $) 104)) (-1699 (((-763) $) 39 (|has| $ (-6 -4521))))) 
-(((-132) (-1275)) (T -132)) 
-((-3046 (*1 *1 *1) (-4 *1 (-132))) (-1889 (*1 *1 *1) (-4 *1 (-132))) (-4445 (*1 *1 *1 *1) (-4 *1 (-132))) (-2570 (*1 *1 *1 *1) (-4 *1 (-132))) (-2141 (*1 *1 *1 *1) (-4 *1 (-132))) (-3107 (*1 *1 *1 *1) (-4 *1 (-132))) (-3093 (*1 *1 *1 *1) (-4 *1 (-132)))) 
-(-13 (-842) (-651) (-19 (-121)) (-10 -8 (-15 -3046 ($ $)) (-15 -1889 ($ $)) (-15 -4445 ($ $ $)) (-15 -2570 ($ $ $)) (-15 -2141 ($ $ $)) (-15 -3107 ($ $ $)) (-15 -3093 ($ $ $)))) 
-(((-39) . T) ((-105) . T) ((-608 (-850)) . T) ((-154 (-121)) . T) ((-609 (-541)) |has| (-121) (-609 (-541))) ((-281 (-568) (-121)) . T) ((-283 (-568) (-121)) . T) ((-303 (-121)) -12 (|has| (-121) (-303 (-121))) (|has| (-121) (-1090))) ((-375 (-121)) . T) ((-499 (-121)) . T) ((-601 (-568) (-121)) . T) ((-523 (-121) (-121)) -12 (|has| (-121) (-303 (-121))) (|has| (-121) (-1090))) ((-640 (-121)) . T) ((-651) . T) ((-19 (-121)) . T) ((-842) . T) ((-1090) . T) ((-1195) . T)) 
-((-2253 (($ (-1 |#2| |#2|) $) 22)) (-3865 (($ $) 16)) (-1699 (((-763) $) 24))) 
-(((-133 |#1| |#2|) (-10 -8 (-15 -2253 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1699 ((-763) |#1|)) (-15 -3865 (|#1| |#1|))) (-134 |#2|) (-1090)) (T -133)) 
-NIL 
-(-10 -8 (-15 -2253 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1699 ((-763) |#1|)) (-15 -3865 (|#1| |#1|))) 
-((-2449 (((-121) $ $) 18 (|has| |#1| (-1090)))) (-2852 ((|#1| $) 45)) (-1667 (((-121) $ (-763)) 8)) (-3370 ((|#1| $ |#1|) 36 (|has| $ (-6 -4522)))) (-3892 (($ $ $) 49 (|has| $ (-6 -4522)))) (-2458 (($ $ $) 51 (|has| $ (-6 -4522)))) (-2438 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4522))) (($ $ "left" $) 52 (|has| $ (-6 -4522))) (($ $ "right" $) 50 (|has| $ (-6 -4522)))) (-1809 (($ $ (-634 $)) 38 (|has| $ (-6 -4522)))) (-4490 (($) 7 T CONST)) (-3286 (($ $) 54)) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-3534 (((-634 $) $) 47)) (-3606 (((-121) $ $) 39 (|has| |#1| (-1090)))) (-4455 (($ $ |#1| $) 57)) (-3791 (((-121) $ (-763)) 9)) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35)) (-3796 (((-121) $ (-763)) 10)) (-3030 (($ $) 56)) (-4081 (((-634 |#1|) $) 42)) (-3319 (((-121) $) 46)) (-1893 (((-1143) $) 22 (|has| |#1| (-1090)))) (-4025 (((-1108) $) 21 (|has| |#1| (-1090)))) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-2781 ((|#1| $ "value") 44) (($ $ "left") 55) (($ $ "right") 53)) (-1665 (((-568) $ $) 41)) (-2763 (((-121) $) 43)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-2747 (((-850) $) 20 (|has| |#1| (-1090)))) (-3180 (((-634 $) $) 48)) (-3873 (((-121) $ $) 40 (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-134 |#1|) (-1275) (-1090)) (T -134)) 
-((-4455 (*1 *1 *1 *2 *1) (-12 (-4 *1 (-134 *2)) (-4 *2 (-1090))))) 
-(-13 (-128 |t#1|) (-10 -8 (-6 -4522) (-6 -4521) (-15 -4455 ($ $ |t#1| $)))) 
-(((-39) . T) ((-105) |has| |#1| (-1090)) ((-128 |#1|) . T) ((-608 (-850)) |has| |#1| (-1090)) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-499 |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-1010 |#1|) . T) ((-1090) |has| |#1| (-1090)) ((-1195) . T)) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-2852 ((|#1| $) 15)) (-1667 (((-121) $ (-763)) NIL)) (-3370 ((|#1| $ |#1|) 19 (|has| $ (-6 -4522)))) (-3892 (($ $ $) 20 (|has| $ (-6 -4522)))) (-2458 (($ $ $) 18 (|has| $ (-6 -4522)))) (-2438 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4522))) (($ $ "left" $) NIL (|has| $ (-6 -4522))) (($ $ "right" $) NIL (|has| $ (-6 -4522)))) (-1809 (($ $ (-634 $)) NIL (|has| $ (-6 -4522)))) (-4490 (($) NIL T CONST)) (-3286 (($ $) 21)) (-3317 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-3534 (((-634 $) $) NIL)) (-3606 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-4455 (($ $ |#1| $) NIL)) (-3791 (((-121) $ (-763)) NIL)) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-2253 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-3030 (($ $) NIL)) (-4081 (((-634 |#1|) $) NIL)) (-3319 (((-121) $) NIL)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-1708 (($ |#1| $) 10)) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) 14)) (-1990 (($) 8)) (-2781 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-1665 (((-568) $ $) NIL)) (-2763 (((-121) $) NIL)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3865 (($ $) 17)) (-2747 (((-850) $) NIL (|has| |#1| (-1090)))) (-3180 (((-634 $) $) NIL)) (-3873 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-2167 (($ (-634 |#1|)) 12)) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-135 |#1|) (-13 (-134 |#1|) (-10 -8 (-6 -4522) (-15 -2167 ($ (-634 |#1|))) (-15 -1708 ($ |#1| $)))) (-842)) (T -135)) 
-((-2167 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-842)) (-5 *1 (-135 *3)))) (-1708 (*1 *1 *2 *1) (-12 (-5 *1 (-135 *2)) (-4 *2 (-842))))) 
-(-13 (-134 |#1|) (-10 -8 (-6 -4522) (-15 -2167 ($ (-634 |#1|))) (-15 -1708 ($ |#1| $)))) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-2852 ((|#1| $) 24)) (-1667 (((-121) $ (-763)) NIL)) (-3370 ((|#1| $ |#1|) 26 (|has| $ (-6 -4522)))) (-3892 (($ $ $) 30 (|has| $ (-6 -4522)))) (-2458 (($ $ $) 28 (|has| $ (-6 -4522)))) (-2438 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4522))) (($ $ "left" $) NIL (|has| $ (-6 -4522))) (($ $ "right" $) NIL (|has| $ (-6 -4522)))) (-1809 (($ $ (-634 $)) NIL (|has| $ (-6 -4522)))) (-4490 (($) NIL T CONST)) (-3286 (($ $) 20)) (-3317 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-3534 (((-634 $) $) NIL)) (-3606 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-4455 (($ $ |#1| $) 15)) (-3791 (((-121) $ (-763)) NIL)) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-2253 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-3030 (($ $) 19)) (-4081 (((-634 |#1|) $) NIL)) (-3319 (((-121) $) 21)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) 18)) (-1990 (($) 11)) (-2781 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-1665 (((-568) $ $) NIL)) (-2763 (((-121) $) NIL)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3865 (($ $) NIL)) (-2747 (((-850) $) NIL (|has| |#1| (-1090)))) (-3180 (((-634 $) $) NIL)) (-3873 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-3659 (($ |#1|) 17) (($ $ |#1| $) 16)) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 10 (|has| |#1| (-1090)))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-136 |#1|) (-13 (-134 |#1|) (-10 -8 (-15 -3659 ($ |#1|)) (-15 -3659 ($ $ |#1| $)))) (-1090)) (T -136)) 
-((-3659 (*1 *1 *2) (-12 (-5 *1 (-136 *2)) (-4 *2 (-1090)))) (-3659 (*1 *1 *1 *2 *1) (-12 (-5 *1 (-136 *2)) (-4 *2 (-1090))))) 
-(-13 (-134 |#1|) (-10 -8 (-15 -3659 ($ |#1|)) (-15 -3659 ($ $ |#1| $)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-3058 (($) 17 T CONST)) (-1719 (((-121) $ $) 6)) (-1769 (($ $ $) 13)) (* (($ (-917) $) 12) (($ (-763) $) 14))) 
-(((-137) (-1275)) (T -137)) 
-((-2689 (*1 *1 *1 *1) (|partial| -4 *1 (-137)))) 
-(-13 (-23) (-10 -8 (-15 -2689 ((-3 $ "failed") $ $)))) 
-(((-23) . T) ((-25) . T) ((-105) . T) ((-608 (-850)) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) 7)) (-2704 (((-1249) $ (-763)) 18)) (-2766 (((-763) $) 19)) (-1732 (($ $ $) 12)) (-2047 (($ $ $) 13)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-1753 (((-121) $ $) 15)) (-1740 (((-121) $ $) 16)) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 14)) (-1734 (((-121) $ $) 17))) 
-(((-138) (-1275)) (T -138)) 
-((-2766 (*1 *2 *1) (-12 (-4 *1 (-138)) (-5 *2 (-763)))) (-2704 (*1 *2 *1 *3) (-12 (-4 *1 (-138)) (-5 *3 (-763)) (-5 *2 (-1249))))) 
-(-13 (-842) (-10 -8 (-15 -2766 ((-763) $)) (-15 -2704 ((-1249) $ (-763))))) 
-(((-105) . T) ((-608 (-850)) . T) ((-842) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-763) "failed") $) 38)) (-2857 (((-763) $) 36)) (-2902 (((-3 $ "failed") $) NIL)) (-1598 (((-121) $) NIL)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) 26)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-1282 (((-121)) 39)) (-2463 (((-121) (-121)) 41)) (-3557 (((-121) $) 23)) (-2505 (((-121) $) 35)) (-2747 (((-850) $) 22) (($ (-763)) 14)) (-1889 (($ $ (-763)) NIL) (($ $ (-917)) NIL)) (-3058 (($) 12 T CONST)) (-1557 (($) 11 T CONST)) (-4484 (($ (-763)) 15)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 24)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 25)) (-1775 (((-3 $ "failed") $ $) 29)) (-1769 (($ $ $) 27)) (** (($ $ (-763)) NIL) (($ $ (-917)) NIL) (($ $ $) 34)) (* (($ (-763) $) 32) (($ (-917) $) NIL) (($ $ $) 30))) 
-(((-139) (-13 (-842) (-23) (-716) (-1037 (-763)) (-10 -8 (-6 (-4523 "*")) (-15 -1775 ((-3 $ "failed") $ $)) (-15 ** ($ $ $)) (-15 -4484 ($ (-763))) (-15 -3557 ((-121) $)) (-15 -2505 ((-121) $)) (-15 -1282 ((-121))) (-15 -2463 ((-121) (-121)))))) (T -139)) 
-((-1775 (*1 *1 *1 *1) (|partial| -5 *1 (-139))) (** (*1 *1 *1 *1) (-5 *1 (-139))) (-4484 (*1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-139)))) (-3557 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-139)))) (-2505 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-139)))) (-1282 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-139)))) (-2463 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-139))))) 
-(-13 (-842) (-23) (-716) (-1037 (-763)) (-10 -8 (-6 (-4523 "*")) (-15 -1775 ((-3 $ "failed") $ $)) (-15 ** ($ $ $)) (-15 -4484 ($ (-763))) (-15 -3557 ((-121) $)) (-15 -2505 ((-121) $)) (-15 -1282 ((-121))) (-15 -2463 ((-121) (-121))))) 
-((-4182 (((-141 |#1| |#2| |#4|) (-634 |#4|) (-141 |#1| |#2| |#3|)) 14)) (-2797 (((-141 |#1| |#2| |#4|) (-1 |#4| |#3|) (-141 |#1| |#2| |#3|)) 18))) 
-(((-140 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4182 ((-141 |#1| |#2| |#4|) (-634 |#4|) (-141 |#1| |#2| |#3|))) (-15 -2797 ((-141 |#1| |#2| |#4|) (-1 |#4| |#3|) (-141 |#1| |#2| |#3|)))) (-568) (-763) (-172) (-172)) (T -140)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *7)) (-5 *4 (-141 *5 *6 *7)) (-14 *5 (-568)) (-14 *6 (-763)) (-4 *7 (-172)) (-4 *8 (-172)) (-5 *2 (-141 *5 *6 *8)) (-5 *1 (-140 *5 *6 *7 *8)))) (-4182 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-141 *5 *6 *7)) (-14 *5 (-568)) (-14 *6 (-763)) (-4 *7 (-172)) (-4 *8 (-172)) (-5 *2 (-141 *5 *6 *8)) (-5 *1 (-140 *5 *6 *7 *8))))) 
-(-10 -7 (-15 -4182 ((-141 |#1| |#2| |#4|) (-634 |#4|) (-141 |#1| |#2| |#3|))) (-15 -2797 ((-141 |#1| |#2| |#4|) (-1 |#4| |#3|) (-141 |#1| |#2| |#3|)))) 
-((-2449 (((-121) $ $) NIL)) (-2227 (($ (-634 |#3|)) 38)) (-4089 (($ $) 97) (($ $ (-568) (-568)) 96)) (-4490 (($) 17)) (-3668 (((-3 |#3| "failed") $) 58)) (-2857 ((|#3| $) NIL)) (-3797 (($ $ (-634 (-568))) 98)) (-2734 (((-634 |#3|) $) 34)) (-2371 (((-763) $) 42)) (-2062 (($ $ $) 91)) (-1348 (($) 41)) (-1893 (((-1143) $) NIL)) (-2027 (($) 16)) (-4025 (((-1108) $) NIL)) (-2781 ((|#3| $) 44) ((|#3| $ (-568)) 45) ((|#3| $ (-568) (-568)) 46) ((|#3| $ (-568) (-568) (-568)) 47) ((|#3| $ (-568) (-568) (-568) (-568)) 48) ((|#3| $ (-634 (-568))) 50)) (-1836 (((-763) $) 43)) (-1543 (($ $ (-568) $ (-568)) 92) (($ $ (-568) (-568)) 94)) (-2747 (((-850) $) 65) (($ |#3|) 66) (($ (-232 |#2| |#3|)) 73) (($ (-1127 |#2| |#3|)) 76) (($ (-634 |#3|)) 51) (($ (-634 $)) 56)) (-3058 (($) 67 T CONST)) (-1557 (($) 68 T CONST)) (-1719 (((-121) $ $) 78)) (-1775 (($ $) 84) (($ $ $) 82)) (-1769 (($ $ $) 80)) (* (($ |#3| $) 89) (($ $ |#3|) 90) (($ $ (-568)) 87) (($ (-568) $) 86) (($ $ $) 93))) 
-(((-141 |#1| |#2| |#3|) (-13 (-470 |#3| (-763)) (-475 (-568) (-763)) (-10 -8 (-15 -2747 ($ (-232 |#2| |#3|))) (-15 -2747 ($ (-1127 |#2| |#3|))) (-15 -2747 ($ (-634 |#3|))) (-15 -2747 ($ (-634 $))) (-15 -2371 ((-763) $)) (-15 -2781 (|#3| $)) (-15 -2781 (|#3| $ (-568))) (-15 -2781 (|#3| $ (-568) (-568))) (-15 -2781 (|#3| $ (-568) (-568) (-568))) (-15 -2781 (|#3| $ (-568) (-568) (-568) (-568))) (-15 -2781 (|#3| $ (-634 (-568)))) (-15 -2062 ($ $ $)) (-15 * ($ $ $)) (-15 -1543 ($ $ (-568) $ (-568))) (-15 -1543 ($ $ (-568) (-568))) (-15 -4089 ($ $)) (-15 -4089 ($ $ (-568) (-568))) (-15 -3797 ($ $ (-634 (-568)))) (-15 -2027 ($)) (-15 -1348 ($)) (-15 -2734 ((-634 |#3|) $)) (-15 -2227 ($ (-634 |#3|))) (-15 -4490 ($)))) (-568) (-763) (-172)) (T -141)) 
-((-2062 (*1 *1 *1 *1) (-12 (-5 *1 (-141 *2 *3 *4)) (-14 *2 (-568)) (-14 *3 (-763)) (-4 *4 (-172)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-232 *4 *5)) (-14 *4 (-763)) (-4 *5 (-172)) (-5 *1 (-141 *3 *4 *5)) (-14 *3 (-568)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-1127 *4 *5)) (-14 *4 (-763)) (-4 *5 (-172)) (-5 *1 (-141 *3 *4 *5)) (-14 *3 (-568)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-634 *5)) (-4 *5 (-172)) (-5 *1 (-141 *3 *4 *5)) (-14 *3 (-568)) (-14 *4 (-763)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-634 (-141 *3 *4 *5))) (-5 *1 (-141 *3 *4 *5)) (-14 *3 (-568)) (-14 *4 (-763)) (-4 *5 (-172)))) (-2371 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-141 *3 *4 *5)) (-14 *3 (-568)) (-14 *4 *2) (-4 *5 (-172)))) (-2781 (*1 *2 *1) (-12 (-4 *2 (-172)) (-5 *1 (-141 *3 *4 *2)) (-14 *3 (-568)) (-14 *4 (-763)))) (-2781 (*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *2 (-172)) (-5 *1 (-141 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-763)))) (-2781 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-568)) (-4 *2 (-172)) (-5 *1 (-141 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-763)))) (-2781 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-568)) (-4 *2 (-172)) (-5 *1 (-141 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-763)))) (-2781 (*1 *2 *1 *3 *3 *3 *3) (-12 (-5 *3 (-568)) (-4 *2 (-172)) (-5 *1 (-141 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-763)))) (-2781 (*1 *2 *1 *3) (-12 (-5 *3 (-634 (-568))) (-4 *2 (-172)) (-5 *1 (-141 *4 *5 *2)) (-14 *4 (-568)) (-14 *5 (-763)))) (* (*1 *1 *1 *1) (-12 (-5 *1 (-141 *2 *3 *4)) (-14 *2 (-568)) (-14 *3 (-763)) (-4 *4 (-172)))) (-1543 (*1 *1 *1 *2 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-141 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-763)) (-4 *5 (-172)))) (-1543 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-141 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-763)) (-4 *5 (-172)))) (-4089 (*1 *1 *1) (-12 (-5 *1 (-141 *2 *3 *4)) (-14 *2 (-568)) (-14 *3 (-763)) (-4 *4 (-172)))) (-4089 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-141 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-763)) (-4 *5 (-172)))) (-3797 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-141 *3 *4 *5)) (-14 *3 (-568)) (-14 *4 (-763)) (-4 *5 (-172)))) (-2027 (*1 *1) (-12 (-5 *1 (-141 *2 *3 *4)) (-14 *2 (-568)) (-14 *3 (-763)) (-4 *4 (-172)))) (-1348 (*1 *1) (-12 (-5 *1 (-141 *2 *3 *4)) (-14 *2 (-568)) (-14 *3 (-763)) (-4 *4 (-172)))) (-2734 (*1 *2 *1) (-12 (-5 *2 (-634 *5)) (-5 *1 (-141 *3 *4 *5)) (-14 *3 (-568)) (-14 *4 (-763)) (-4 *5 (-172)))) (-2227 (*1 *1 *2) (-12 (-5 *2 (-634 *5)) (-4 *5 (-172)) (-5 *1 (-141 *3 *4 *5)) (-14 *3 (-568)) (-14 *4 (-763)))) (-4490 (*1 *1) (-12 (-5 *1 (-141 *2 *3 *4)) (-14 *2 (-568)) (-14 *3 (-763)) (-4 *4 (-172))))) 
-(-13 (-470 |#3| (-763)) (-475 (-568) (-763)) (-10 -8 (-15 -2747 ($ (-232 |#2| |#3|))) (-15 -2747 ($ (-1127 |#2| |#3|))) (-15 -2747 ($ (-634 |#3|))) (-15 -2747 ($ (-634 $))) (-15 -2371 ((-763) $)) (-15 -2781 (|#3| $)) (-15 -2781 (|#3| $ (-568))) (-15 -2781 (|#3| $ (-568) (-568))) (-15 -2781 (|#3| $ (-568) (-568) (-568))) (-15 -2781 (|#3| $ (-568) (-568) (-568) (-568))) (-15 -2781 (|#3| $ (-634 (-568)))) (-15 -2062 ($ $ $)) (-15 * ($ $ $)) (-15 -1543 ($ $ (-568) $ (-568))) (-15 -1543 ($ $ (-568) (-568))) (-15 -4089 ($ $)) (-15 -4089 ($ $ (-568) (-568))) (-15 -3797 ($ $ (-634 (-568)))) (-15 -2027 ($)) (-15 -1348 ($)) (-15 -2734 ((-634 |#3|) $)) (-15 -2227 ($ (-634 |#3|))) (-15 -4490 ($)))) 
-((-2449 (((-121) $ $) NIL)) (-3083 (($) 15 T CONST)) (-1611 (($) NIL (|has| (-147) (-370)))) (-1793 (($ $ $) 17) (($ $ (-147)) NIL) (($ (-147) $) NIL)) (-4217 (($ $ $) NIL)) (-1430 (((-121) $ $) NIL)) (-1667 (((-121) $ (-763)) NIL)) (-3986 (((-763)) NIL (|has| (-147) (-370)))) (-2751 (($) NIL) (($ (-634 (-147))) NIL)) (-3963 (($ (-1 (-121) (-147)) $) NIL (|has| $ (-6 -4521)))) (-2803 (($ (-1 (-121) (-147)) $) NIL (|has| $ (-6 -4521)))) (-4490 (($) NIL T CONST)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-147) (-1090))))) (-1568 (($ (-1 (-121) (-147)) $) NIL (|has| $ (-6 -4521))) (($ (-147) $) 51 (|has| $ (-6 -4521)))) (-4330 (($ (-1 (-121) (-147)) $) NIL (|has| $ (-6 -4521))) (($ (-147) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-147) (-1090))))) (-3094 (((-147) (-1 (-147) (-147) (-147)) $) NIL (|has| $ (-6 -4521))) (((-147) (-1 (-147) (-147) (-147)) $ (-147)) NIL (|has| $ (-6 -4521))) (((-147) (-1 (-147) (-147) (-147)) $ (-147) (-147)) NIL (-12 (|has| $ (-6 -4521)) (|has| (-147) (-1090))))) (-1733 (($) NIL (|has| (-147) (-370)))) (-3317 (((-634 (-147)) $) 60 (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) NIL)) (-1732 (((-147) $) NIL (|has| (-147) (-842)))) (-4406 (((-634 (-147)) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) (-147) $) 26 (-12 (|has| $ (-6 -4521)) (|has| (-147) (-1090))))) (-2047 (((-147) $) NIL (|has| (-147) (-842)))) (-2253 (($ (-1 (-147) (-147)) $) 59 (|has| $ (-6 -4522)))) (-2797 (($ (-1 (-147) (-147)) $) 55)) (-4499 (($) 16 T CONST)) (-2291 (((-917) $) NIL (|has| (-147) (-370)))) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL)) (-1864 (($ $ $) 29)) (-2580 (((-147) $) 52)) (-1708 (($ (-147) $) 50)) (-4357 (($ (-917)) NIL (|has| (-147) (-370)))) (-3315 (($) 14 T CONST)) (-4025 (((-1108) $) NIL)) (-2712 (((-3 (-147) "failed") (-1 (-121) (-147)) $) NIL)) (-3403 (((-147) $) 53)) (-3951 (((-121) (-1 (-121) (-147)) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-147)) (-634 (-147))) NIL (-12 (|has| (-147) (-303 (-147))) (|has| (-147) (-1090)))) (($ $ (-147) (-147)) NIL (-12 (|has| (-147) (-303 (-147))) (|has| (-147) (-1090)))) (($ $ (-288 (-147))) NIL (-12 (|has| (-147) (-303 (-147))) (|has| (-147) (-1090)))) (($ $ (-634 (-288 (-147)))) NIL (-12 (|has| (-147) (-303 (-147))) (|has| (-147) (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) 48)) (-3719 (($) 13 T CONST)) (-1363 (($ $ $) 31) (($ $ (-147)) NIL)) (-3132 (($ (-634 (-147))) NIL) (($) NIL)) (-4170 (((-763) (-147) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-147) (-1090)))) (((-763) (-1 (-121) (-147)) $) NIL (|has| $ (-6 -4521)))) (-3865 (($ $) NIL)) (-4280 (((-1143) $) 36) (((-541) $) NIL (|has| (-147) (-609 (-541)))) (((-634 (-147)) $) 34)) (-4289 (($ (-634 (-147))) NIL)) (-3695 (($ $) 32 (|has| (-147) (-370)))) (-2747 (((-850) $) 46)) (-2872 (($ (-1143)) 12) (($ (-634 (-147))) 43)) (-2429 (((-763) $) NIL)) (-3846 (($) 49) (($ (-634 (-147))) NIL)) (-4074 (($ (-634 (-147))) NIL)) (-3437 (((-121) (-1 (-121) (-147)) $) NIL (|has| $ (-6 -4521)))) (-2693 (($) 19 T CONST)) (-3232 (($) 18 T CONST)) (-1719 (((-121) $ $) 22)) (-1734 (((-121) $ $) NIL)) (-1699 (((-763) $) 47 (|has| $ (-6 -4521))))) 
-(((-142) (-13 (-1090) (-609 (-1143)) (-427 (-147)) (-609 (-634 (-147))) (-10 -8 (-15 -2872 ($ (-1143))) (-15 -2872 ($ (-634 (-147)))) (-15 -3719 ($) -3497) (-15 -3315 ($) -3497) (-15 -3083 ($) -3497) (-15 -4499 ($) -3497) (-15 -3232 ($) -3497) (-15 -2693 ($) -3497)))) (T -142)) 
-((-2872 (*1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-142)))) (-2872 (*1 *1 *2) (-12 (-5 *2 (-634 (-147))) (-5 *1 (-142)))) (-3719 (*1 *1) (-5 *1 (-142))) (-3315 (*1 *1) (-5 *1 (-142))) (-3083 (*1 *1) (-5 *1 (-142))) (-4499 (*1 *1) (-5 *1 (-142))) (-3232 (*1 *1) (-5 *1 (-142))) (-2693 (*1 *1) (-5 *1 (-142)))) 
-(-13 (-1090) (-609 (-1143)) (-427 (-147)) (-609 (-634 (-147))) (-10 -8 (-15 -2872 ($ (-1143))) (-15 -2872 ($ (-634 (-147)))) (-15 -3719 ($) -3497) (-15 -3315 ($) -3497) (-15 -3083 ($) -3497) (-15 -4499 ($) -3497) (-15 -3232 ($) -3497) (-15 -2693 ($) -3497))) 
-((-3618 (((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|) 17)) (-2471 ((|#1| |#3|) 9)) (-2609 ((|#3| |#3|) 15))) 
-(((-143 |#1| |#2| |#3|) (-10 -7 (-15 -2471 (|#1| |#3|)) (-15 -2609 (|#3| |#3|)) (-15 -3618 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) (-558) (-993 |#1|) (-375 |#2|)) (T -143)) 
-((-3618 (*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *5 (-993 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-143 *4 *5 *3)) (-4 *3 (-375 *5)))) (-2609 (*1 *2 *2) (-12 (-4 *3 (-558)) (-4 *4 (-993 *3)) (-5 *1 (-143 *3 *4 *2)) (-4 *2 (-375 *4)))) (-2471 (*1 *2 *3) (-12 (-4 *4 (-993 *2)) (-4 *2 (-558)) (-5 *1 (-143 *2 *4 *3)) (-4 *3 (-375 *4))))) 
-(-10 -7 (-15 -2471 (|#1| |#3|)) (-15 -2609 (|#3| |#3|)) (-15 -3618 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) 
-((-2449 (((-121) $ $) NIL (|has| (-169 (-215)) (-1090)))) (-3207 (($ (-763) (-763)) NIL)) (-4486 (($ $ $) NIL)) (-4089 (($ (-145)) NIL) (($ $) NIL)) (-3560 (((-121) $) NIL)) (-3211 (($ $ (-568) (-568)) NIL)) (-3096 (($ $ (-568) (-568)) NIL)) (-2265 (($ $ (-568) (-568) (-568) (-568)) NIL)) (-4467 (($ $) NIL)) (-3691 (((-121) $) NIL)) (-1667 (((-121) $ (-763)) NIL)) (-4043 (($ $ (-568) (-568) $) NIL)) (-2438 (((-169 (-215)) $ (-568) (-568) (-169 (-215))) NIL) (($ $ (-634 (-568)) (-634 (-568)) $) NIL)) (-3874 (($ $ (-568) (-145)) NIL)) (-2525 (($ $ (-568) (-145)) NIL)) (-1637 (($ (-763) (-169 (-215))) NIL)) (-4490 (($) NIL T CONST)) (-3912 (($ $) NIL (|has| (-169 (-215)) (-301)))) (-2228 (((-145) $ (-568)) NIL)) (-2371 (((-763) $) NIL (|has| (-169 (-215)) (-558)))) (-1292 (((-169 (-215)) $ (-568) (-568) (-169 (-215))) 16)) (-3063 (($ (-568) (-568)) 18)) (-2069 (((-169 (-215)) $ (-568) (-568)) 15)) (-3102 (((-169 (-215)) $) NIL (|has| (-169 (-215)) (-172)))) (-3317 (((-634 (-169 (-215))) $) NIL)) (-3344 (((-763) $) NIL (|has| (-169 (-215)) (-558)))) (-2934 (((-634 (-145)) $) NIL (|has| (-169 (-215)) (-558)))) (-2241 (((-763) $) 10)) (-1851 (($ (-763) (-763) (-169 (-215))) 19)) (-1901 (((-763) $) 11)) (-3791 (((-121) $ (-763)) NIL)) (-2424 (((-169 (-215)) $) NIL (|has| (-169 (-215)) (-6 (-4523 "*"))))) (-3139 (((-568) $) 7)) (-1343 (((-568) $) 8)) (-4406 (((-634 (-169 (-215))) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) (-169 (-215)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-169 (-215)) (-1090))))) (-3405 (((-568) $) 12)) (-2801 (((-568) $) 13)) (-2271 (($ (-634 (-634 (-169 (-215))))) NIL)) (-2253 (($ (-1 (-169 (-215)) (-169 (-215))) $) NIL)) (-2797 (($ (-1 (-169 (-215)) (-169 (-215))) $) NIL) (($ (-1 (-169 (-215)) (-169 (-215)) (-169 (-215))) $ $) NIL) (($ (-1 (-169 (-215)) (-169 (-215)) (-169 (-215))) $ $ (-169 (-215))) NIL)) (-1843 (((-634 (-634 (-169 (-215)))) $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (|has| (-169 (-215)) (-1090)))) (-2715 (((-3 $ "failed") $) NIL (|has| (-169 (-215)) (-365)))) (-4018 (($ $ $) NIL)) (-4025 (((-1108) $) NIL (|has| (-169 (-215)) (-1090)))) (-2490 (($ $ (-169 (-215))) NIL)) (-2597 (((-3 $ "failed") $ (-169 (-215))) NIL (|has| (-169 (-215)) (-558)))) (-3951 (((-121) (-1 (-121) (-169 (-215))) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 (-169 (-215))))) NIL (-12 (|has| (-169 (-215)) (-303 (-169 (-215)))) (|has| (-169 (-215)) (-1090)))) (($ $ (-288 (-169 (-215)))) NIL (-12 (|has| (-169 (-215)) (-303 (-169 (-215)))) (|has| (-169 (-215)) (-1090)))) (($ $ (-169 (-215)) (-169 (-215))) NIL (-12 (|has| (-169 (-215)) (-303 (-169 (-215)))) (|has| (-169 (-215)) (-1090)))) (($ $ (-634 (-169 (-215))) (-634 (-169 (-215)))) NIL (-12 (|has| (-169 (-215)) (-303 (-169 (-215)))) (|has| (-169 (-215)) (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) 17)) (-2781 (((-169 (-215)) $ (-568) (-568)) NIL) (((-169 (-215)) $ (-568) (-568) (-169 (-215))) NIL) (($ $ (-634 (-568)) (-634 (-568))) NIL)) (-3499 (($ (-634 (-169 (-215)))) NIL) (($ (-634 $)) NIL)) (-4322 (((-121) $) NIL)) (-2591 (((-169 (-215)) $) NIL (|has| (-169 (-215)) (-6 (-4523 "*"))))) (-4170 (((-763) (-1 (-121) (-169 (-215))) $) NIL (|has| $ (-6 -4521))) (((-763) (-169 (-215)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-169 (-215)) (-1090))))) (-3865 (($ $) NIL)) (-4063 (((-634 (-145)) $) NIL (|has| (-169 (-215)) (-301)))) (-2522 (((-145) $ (-568)) NIL)) (-2747 (((-850) $) NIL (|has| (-169 (-215)) (-1090))) (($ (-145)) NIL)) (-3437 (((-121) (-1 (-121) (-169 (-215))) $) NIL (|has| $ (-6 -4521)))) (-2675 (((-121) $) NIL)) (-1719 (((-121) $ $) NIL (|has| (-169 (-215)) (-1090)))) (-1781 (($ $ (-169 (-215))) NIL (|has| (-169 (-215)) (-365)))) (-1775 (($ $ $) NIL) (($ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| (-169 (-215)) (-365)))) (* (($ $ $) NIL) (($ (-169 (-215)) $) NIL) (($ $ (-169 (-215))) NIL) (($ (-568) $) NIL) (((-145) $ (-145)) NIL) (((-145) (-145) $) NIL)) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-144) (-13 (-677 (-169 (-215)) (-145) (-145)) (-10 -8 (-15 -3063 ($ (-568) (-568)))))) (T -144)) 
-((-3063 (*1 *1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-144))))) 
-(-13 (-677 (-169 (-215)) (-145) (-145)) (-10 -8 (-15 -3063 ($ (-568) (-568))))) 
-((-2449 (((-121) $ $) NIL (|has| (-169 (-215)) (-1090)))) (-3207 (($ (-763)) NIL (|has| (-169 (-215)) (-23)))) (-4211 (($ (-634 (-169 (-215)))) NIL)) (-2481 (((-1249) $ (-568) (-568)) NIL (|has| $ (-6 -4522)))) (-1324 (((-121) (-1 (-121) (-169 (-215)) (-169 (-215))) $) NIL) (((-121) $) NIL (|has| (-169 (-215)) (-842)))) (-2109 (($ (-1 (-121) (-169 (-215)) (-169 (-215))) $) NIL (|has| $ (-6 -4522))) (($ $) NIL (-12 (|has| $ (-6 -4522)) (|has| (-169 (-215)) (-842))))) (-3647 (($ (-1 (-121) (-169 (-215)) (-169 (-215))) $) NIL) (($ $) NIL (|has| (-169 (-215)) (-842)))) (-1667 (((-121) $ (-763)) NIL)) (-2438 (((-169 (-215)) $ (-568) (-169 (-215))) 18 (|has| $ (-6 -4522))) (((-169 (-215)) $ (-1210 (-568)) (-169 (-215))) NIL (|has| $ (-6 -4522)))) (-2803 (($ (-1 (-121) (-169 (-215))) $) NIL (|has| $ (-6 -4521)))) (-4490 (($) NIL T CONST)) (-4452 (($ $) NIL (|has| $ (-6 -4522)))) (-3945 (($ $) NIL)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-169 (-215)) (-1090))))) (-4330 (($ (-169 (-215)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-169 (-215)) (-1090)))) (($ (-1 (-121) (-169 (-215))) $) NIL (|has| $ (-6 -4521)))) (-3094 (((-169 (-215)) (-1 (-169 (-215)) (-169 (-215)) (-169 (-215))) $ (-169 (-215)) (-169 (-215))) NIL (-12 (|has| $ (-6 -4521)) (|has| (-169 (-215)) (-1090)))) (((-169 (-215)) (-1 (-169 (-215)) (-169 (-215)) (-169 (-215))) $ (-169 (-215))) NIL (|has| $ (-6 -4521))) (((-169 (-215)) (-1 (-169 (-215)) (-169 (-215)) (-169 (-215))) $) NIL (|has| $ (-6 -4521)))) (-1292 (((-169 (-215)) $ (-568) (-169 (-215))) 9 (|has| $ (-6 -4522)))) (-3063 (($ (-568)) 14)) (-2069 (((-169 (-215)) $ (-568)) 8)) (-2766 (((-568) (-1 (-121) (-169 (-215))) $) NIL) (((-568) (-169 (-215)) $) NIL (|has| (-169 (-215)) (-1090))) (((-568) (-169 (-215)) $ (-568)) NIL (|has| (-169 (-215)) (-1090)))) (-3317 (((-634 (-169 (-215))) $) NIL (|has| $ (-6 -4521)))) (-1804 (((-679 (-169 (-215))) $ $) NIL (|has| (-169 (-215)) (-1047)))) (-1851 (($ (-763) (-169 (-215))) 16)) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-568) $) 12 (|has| (-568) (-842)))) (-1732 (($ $ $) NIL (|has| (-169 (-215)) (-842)))) (-3645 (($ (-1 (-121) (-169 (-215)) (-169 (-215))) $ $) NIL) (($ $ $) NIL (|has| (-169 (-215)) (-842)))) (-4406 (((-634 (-169 (-215))) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) (-169 (-215)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-169 (-215)) (-1090))))) (-3631 (((-568) $) NIL (|has| (-568) (-842)))) (-2047 (($ $ $) NIL (|has| (-169 (-215)) (-842)))) (-2253 (($ (-1 (-169 (-215)) (-169 (-215))) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 (-169 (-215)) (-169 (-215))) $) NIL) (($ (-1 (-169 (-215)) (-169 (-215)) (-169 (-215))) $ $) NIL)) (-4303 (((-169 (-215)) $) NIL (-12 (|has| (-169 (-215)) (-1002)) (|has| (-169 (-215)) (-1047))))) (-3796 (((-121) $ (-763)) NIL)) (-3680 (((-169 (-215)) $) NIL (-12 (|has| (-169 (-215)) (-1002)) (|has| (-169 (-215)) (-1047))))) (-1893 (((-1143) $) NIL (|has| (-169 (-215)) (-1090)))) (-4124 (($ (-169 (-215)) $ (-568)) NIL) (($ $ $ (-568)) NIL)) (-3948 (((-634 (-568)) $) NIL)) (-2916 (((-121) (-568) $) NIL)) (-4025 (((-1108) $) NIL (|has| (-169 (-215)) (-1090)))) (-3877 (((-169 (-215)) $) NIL (|has| (-568) (-842)))) (-2712 (((-3 (-169 (-215)) "failed") (-1 (-121) (-169 (-215))) $) NIL)) (-2490 (($ $ (-169 (-215))) 15 (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) (-169 (-215))) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 (-169 (-215))))) NIL (-12 (|has| (-169 (-215)) (-303 (-169 (-215)))) (|has| (-169 (-215)) (-1090)))) (($ $ (-288 (-169 (-215)))) NIL (-12 (|has| (-169 (-215)) (-303 (-169 (-215)))) (|has| (-169 (-215)) (-1090)))) (($ $ (-169 (-215)) (-169 (-215))) NIL (-12 (|has| (-169 (-215)) (-303 (-169 (-215)))) (|has| (-169 (-215)) (-1090)))) (($ $ (-634 (-169 (-215))) (-634 (-169 (-215)))) NIL (-12 (|has| (-169 (-215)) (-303 (-169 (-215)))) (|has| (-169 (-215)) (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) (-169 (-215)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-169 (-215)) (-1090))))) (-1480 (((-634 (-169 (-215))) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) 13)) (-2781 (((-169 (-215)) $ (-568) (-169 (-215))) NIL) (((-169 (-215)) $ (-568)) 17) (($ $ (-1210 (-568))) NIL)) (-2286 (((-169 (-215)) $ $) NIL (|has| (-169 (-215)) (-1047)))) (-2828 (($ $ (-568)) NIL) (($ $ (-1210 (-568))) NIL)) (-3372 (($ $ $) NIL (|has| (-169 (-215)) (-1047)))) (-4170 (((-763) (-1 (-121) (-169 (-215))) $) NIL (|has| $ (-6 -4521))) (((-763) (-169 (-215)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-169 (-215)) (-1090))))) (-3306 (($ $ $ (-568)) NIL (|has| $ (-6 -4522)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) NIL (|has| (-169 (-215)) (-609 (-541))))) (-4289 (($ (-634 (-169 (-215)))) NIL)) (-2770 (($ $ (-169 (-215))) NIL) (($ (-169 (-215)) $) NIL) (($ $ $) NIL) (($ (-634 $)) NIL)) (-2747 (((-850) $) NIL (|has| (-169 (-215)) (-1090)))) (-3437 (((-121) (-1 (-121) (-169 (-215))) $) NIL (|has| $ (-6 -4521)))) (-1753 (((-121) $ $) NIL (|has| (-169 (-215)) (-842)))) (-1740 (((-121) $ $) NIL (|has| (-169 (-215)) (-842)))) (-1719 (((-121) $ $) NIL (|has| (-169 (-215)) (-1090)))) (-1747 (((-121) $ $) NIL (|has| (-169 (-215)) (-842)))) (-1734 (((-121) $ $) NIL (|has| (-169 (-215)) (-842)))) (-1775 (($ $) NIL (|has| (-169 (-215)) (-21))) (($ $ $) NIL (|has| (-169 (-215)) (-21)))) (-1769 (($ $ $) NIL (|has| (-169 (-215)) (-25)))) (* (($ (-568) $) NIL (|has| (-169 (-215)) (-21))) (($ (-169 (-215)) $) NIL (|has| (-169 (-215)) (-716))) (($ $ (-169 (-215))) NIL (|has| (-169 (-215)) (-716)))) (-1699 (((-763) $) 11 (|has| $ (-6 -4521))))) 
-(((-145) (-13 (-1242 (-169 (-215))) (-10 -8 (-15 -3063 ($ (-568))) (-15 -4211 ($ (-634 (-169 (-215)))))))) (T -145)) 
-((-3063 (*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-145)))) (-4211 (*1 *1 *2) (-12 (-5 *2 (-634 (-169 (-215)))) (-5 *1 (-145))))) 
-(-13 (-1242 (-169 (-215))) (-10 -8 (-15 -3063 ($ (-568))) (-15 -4211 ($ (-634 (-169 (-215))))))) 
-((-2341 (($ $ $) 8)) (-2406 (($ $) 7)) (-3584 (($ $ $) 6))) 
-(((-146) (-1275)) (T -146)) 
-((-2341 (*1 *1 *1 *1) (-4 *1 (-146))) (-2406 (*1 *1 *1) (-4 *1 (-146))) (-3584 (*1 *1 *1 *1) (-4 *1 (-146)))) 
-(-13 (-10 -8 (-15 -3584 ($ $ $)) (-15 -2406 ($ $)) (-15 -2341 ($ $ $)))) 
-((-2449 (((-121) $ $) NIL)) (-4203 (((-121) $) 38)) (-3083 (($ $) 50)) (-4053 (($) 25)) (-3986 (((-763)) 16)) (-1733 (($) 24)) (-1827 (($) 26)) (-3894 (((-568) $) 21)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-3786 (((-121) $) 40)) (-4499 (($ $) 51)) (-2291 (((-917) $) 22)) (-1893 (((-1143) $) 46)) (-4357 (($ (-917)) 20)) (-4003 (((-121) $) 36)) (-4025 (((-1108) $) NIL)) (-1331 (($) 27)) (-4407 (((-121) $) 34)) (-2747 (((-850) $) 29)) (-2918 (($ (-568)) 18) (($ (-1143)) 49)) (-4000 (((-121) $) 44)) (-3798 (((-121) $) 42)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 13)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 14))) 
-(((-147) (-13 (-836) (-10 -8 (-15 -3894 ((-568) $)) (-15 -2918 ($ (-568))) (-15 -2918 ($ (-1143))) (-15 -4053 ($)) (-15 -1827 ($)) (-15 -1331 ($)) (-15 -3083 ($ $)) (-15 -4499 ($ $)) (-15 -4407 ((-121) $)) (-15 -4003 ((-121) $)) (-15 -3798 ((-121) $)) (-15 -4203 ((-121) $)) (-15 -3786 ((-121) $)) (-15 -4000 ((-121) $))))) (T -147)) 
-((-3894 (*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-147)))) (-2918 (*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-147)))) (-2918 (*1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-147)))) (-4053 (*1 *1) (-5 *1 (-147))) (-1827 (*1 *1) (-5 *1 (-147))) (-1331 (*1 *1) (-5 *1 (-147))) (-3083 (*1 *1 *1) (-5 *1 (-147))) (-4499 (*1 *1 *1) (-5 *1 (-147))) (-4407 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-147)))) (-4003 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-147)))) (-3798 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-147)))) (-4203 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-147)))) (-3786 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-147)))) (-4000 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-147))))) 
-(-13 (-836) (-10 -8 (-15 -3894 ((-568) $)) (-15 -2918 ($ (-568))) (-15 -2918 ($ (-1143))) (-15 -4053 ($)) (-15 -1827 ($)) (-15 -1331 ($)) (-15 -3083 ($ $)) (-15 -4499 ($ $)) (-15 -4407 ((-121) $)) (-15 -4003 ((-121) $)) (-15 -3798 ((-121) $)) (-15 -4203 ((-121) $)) (-15 -3786 ((-121) $)) (-15 -4000 ((-121) $)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-2902 (((-3 $ "failed") $) 33)) (-1598 (((-121) $) 30)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11) (($ (-568)) 27)) (-3385 (((-3 $ "failed") $) 34)) (-3425 (((-763)) 28)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23))) 
-(((-148) (-1275)) (T -148)) 
-((-3385 (*1 *1 *1) (|partial| -4 *1 (-148)))) 
-(-13 (-1047) (-10 -8 (-15 -3385 ((-3 $ "failed") $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-137) . T) ((-608 (-850)) . T) ((-637 $) . T) ((-716) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-1295 ((|#1| (-679 |#1|) |#1|) 17))) 
-(((-149 |#1|) (-10 -7 (-15 -1295 (|#1| (-679 |#1|) |#1|))) (-172)) (T -149)) 
-((-1295 (*1 *2 *3 *2) (-12 (-5 *3 (-679 *2)) (-4 *2 (-172)) (-5 *1 (-149 *2))))) 
-(-10 -7 (-15 -1295 (|#1| (-679 |#1|) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-2902 (((-3 $ "failed") $) 33)) (-1598 (((-121) $) 30)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11) (($ (-568)) 27)) (-3425 (((-763)) 28)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23))) 
-(((-150) (-1275)) (T -150)) 
-NIL 
-(-13 (-1047)) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-137) . T) ((-608 (-850)) . T) ((-637 $) . T) ((-716) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-3799 (((-2 (|:| -3483 (-763)) (|:| -2350 (-409 |#2|)) (|:| |radicand| |#2|)) (-409 |#2|) (-763)) 69)) (-1814 (((-3 (-2 (|:| |radicand| (-409 |#2|)) (|:| |deg| (-763))) "failed") |#3|) 51)) (-2466 (((-2 (|:| -2350 (-409 |#2|)) (|:| |poly| |#3|)) |#3|) 36)) (-4378 ((|#1| |#3| |#3|) 39)) (-1339 ((|#3| |#3| (-409 |#2|) (-409 |#2|)) 19)) (-4489 (((-2 (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (-409 |#2|)) (|:| |c2| (-409 |#2|)) (|:| |deg| (-763))) |#3| |#3|) 48))) 
-(((-151 |#1| |#2| |#3|) (-10 -7 (-15 -2466 ((-2 (|:| -2350 (-409 |#2|)) (|:| |poly| |#3|)) |#3|)) (-15 -1814 ((-3 (-2 (|:| |radicand| (-409 |#2|)) (|:| |deg| (-763))) "failed") |#3|)) (-15 -3799 ((-2 (|:| -3483 (-763)) (|:| -2350 (-409 |#2|)) (|:| |radicand| |#2|)) (-409 |#2|) (-763))) (-15 -4378 (|#1| |#3| |#3|)) (-15 -1339 (|#3| |#3| (-409 |#2|) (-409 |#2|))) (-15 -4489 ((-2 (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (-409 |#2|)) (|:| |c2| (-409 |#2|)) (|:| |deg| (-763))) |#3| |#3|))) (-1199) (-1219 |#1|) (-1219 (-409 |#2|))) (T -151)) 
-((-4489 (*1 *2 *3 *3) (-12 (-4 *4 (-1199)) (-4 *5 (-1219 *4)) (-5 *2 (-2 (|:| |func| *3) (|:| |poly| *3) (|:| |c1| (-409 *5)) (|:| |c2| (-409 *5)) (|:| |deg| (-763)))) (-5 *1 (-151 *4 *5 *3)) (-4 *3 (-1219 (-409 *5))))) (-1339 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-409 *5)) (-4 *4 (-1199)) (-4 *5 (-1219 *4)) (-5 *1 (-151 *4 *5 *2)) (-4 *2 (-1219 *3)))) (-4378 (*1 *2 *3 *3) (-12 (-4 *4 (-1219 *2)) (-4 *2 (-1199)) (-5 *1 (-151 *2 *4 *3)) (-4 *3 (-1219 (-409 *4))))) (-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-409 *6)) (-4 *5 (-1199)) (-4 *6 (-1219 *5)) (-5 *2 (-2 (|:| -3483 (-763)) (|:| -2350 *3) (|:| |radicand| *6))) (-5 *1 (-151 *5 *6 *7)) (-5 *4 (-763)) (-4 *7 (-1219 *3)))) (-1814 (*1 *2 *3) (|partial| -12 (-4 *4 (-1199)) (-4 *5 (-1219 *4)) (-5 *2 (-2 (|:| |radicand| (-409 *5)) (|:| |deg| (-763)))) (-5 *1 (-151 *4 *5 *3)) (-4 *3 (-1219 (-409 *5))))) (-2466 (*1 *2 *3) (-12 (-4 *4 (-1199)) (-4 *5 (-1219 *4)) (-5 *2 (-2 (|:| -2350 (-409 *5)) (|:| |poly| *3))) (-5 *1 (-151 *4 *5 *3)) (-4 *3 (-1219 (-409 *5)))))) 
-(-10 -7 (-15 -2466 ((-2 (|:| -2350 (-409 |#2|)) (|:| |poly| |#3|)) |#3|)) (-15 -1814 ((-3 (-2 (|:| |radicand| (-409 |#2|)) (|:| |deg| (-763))) "failed") |#3|)) (-15 -3799 ((-2 (|:| -3483 (-763)) (|:| -2350 (-409 |#2|)) (|:| |radicand| |#2|)) (-409 |#2|) (-763))) (-15 -4378 (|#1| |#3| |#3|)) (-15 -1339 (|#3| |#3| (-409 |#2|) (-409 |#2|))) (-15 -4489 ((-2 (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (-409 |#2|)) (|:| |c2| (-409 |#2|)) (|:| |deg| (-763))) |#3| |#3|))) 
-((-2434 (((-3 (-634 (-1157 |#2|)) "failed") (-634 (-1157 |#2|)) (-1157 |#2|)) 31))) 
-(((-152 |#1| |#2|) (-10 -7 (-15 -2434 ((-3 (-634 (-1157 |#2|)) "failed") (-634 (-1157 |#2|)) (-1157 |#2|)))) (-550) (-166 |#1|)) (T -152)) 
-((-2434 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-634 (-1157 *5))) (-5 *3 (-1157 *5)) (-4 *5 (-166 *4)) (-4 *4 (-550)) (-5 *1 (-152 *4 *5))))) 
-(-10 -7 (-15 -2434 ((-3 (-634 (-1157 |#2|)) "failed") (-634 (-1157 |#2|)) (-1157 |#2|)))) 
-((-2803 (($ (-1 (-121) |#2|) $) 29)) (-3926 (($ $) 36)) (-4330 (($ (-1 (-121) |#2|) $) 27) (($ |#2| $) 32)) (-3094 ((|#2| (-1 |#2| |#2| |#2|) $) 22) ((|#2| (-1 |#2| |#2| |#2|) $ |#2|) 24) ((|#2| (-1 |#2| |#2| |#2|) $ |#2| |#2|) 34)) (-2712 (((-3 |#2| "failed") (-1 (-121) |#2|) $) 19)) (-3951 (((-121) (-1 (-121) |#2|) $) 16)) (-4170 (((-763) (-1 (-121) |#2|) $) 13) (((-763) |#2| $) NIL)) (-3437 (((-121) (-1 (-121) |#2|) $) 15)) (-1699 (((-763) $) 11))) 
-(((-153 |#1| |#2|) (-10 -8 (-15 -3926 (|#1| |#1|)) (-15 -4330 (|#1| |#2| |#1|)) (-15 -3094 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -2803 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4330 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -3094 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -3094 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -2712 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -4170 ((-763) |#2| |#1|)) (-15 -4170 ((-763) (-1 (-121) |#2|) |#1|)) (-15 -3951 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3437 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -1699 ((-763) |#1|))) (-154 |#2|) (-1195)) (T -153)) 
-NIL 
-(-10 -8 (-15 -3926 (|#1| |#1|)) (-15 -4330 (|#1| |#2| |#1|)) (-15 -3094 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -2803 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4330 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -3094 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -3094 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -2712 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -4170 ((-763) |#2| |#1|)) (-15 -4170 ((-763) (-1 (-121) |#2|) |#1|)) (-15 -3951 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3437 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -1699 ((-763) |#1|))) 
-((-2449 (((-121) $ $) 18 (|has| |#1| (-1090)))) (-1667 (((-121) $ (-763)) 8)) (-2803 (($ (-1 (-121) |#1|) $) 41 (|has| $ (-6 -4521)))) (-4490 (($) 7 T CONST)) (-3926 (($ $) 38 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-4330 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4521))) (($ |#1| $) 39 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $) 44 (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 43 (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 40 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) 9)) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35)) (-3796 (((-121) $ (-763)) 10)) (-1893 (((-1143) $) 22 (|has| |#1| (-1090)))) (-4025 (((-1108) $) 21 (|has| |#1| (-1090)))) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 45)) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-4280 (((-541) $) 37 (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) 46)) (-2747 (((-850) $) 20 (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-154 |#1|) (-1275) (-1195)) (T -154)) 
-((-4289 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1195)) (-4 *1 (-154 *3)))) (-2712 (*1 *2 *3 *1) (|partial| -12 (-5 *3 (-1 (-121) *2)) (-4 *1 (-154 *2)) (-4 *2 (-1195)))) (-3094 (*1 *2 *3 *1) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4521)) (-4 *1 (-154 *2)) (-4 *2 (-1195)))) (-3094 (*1 *2 *3 *1 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4521)) (-4 *1 (-154 *2)) (-4 *2 (-1195)))) (-4330 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4521)) (-4 *1 (-154 *3)) (-4 *3 (-1195)))) (-2803 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4521)) (-4 *1 (-154 *3)) (-4 *3 (-1195)))) (-3094 (*1 *2 *3 *1 *2 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1090)) (|has| *1 (-6 -4521)) (-4 *1 (-154 *2)) (-4 *2 (-1195)))) (-4330 (*1 *1 *2 *1) (-12 (|has| *1 (-6 -4521)) (-4 *1 (-154 *2)) (-4 *2 (-1195)) (-4 *2 (-1090)))) (-3926 (*1 *1 *1) (-12 (|has| *1 (-6 -4521)) (-4 *1 (-154 *2)) (-4 *2 (-1195)) (-4 *2 (-1090))))) 
-(-13 (-499 |t#1|) (-10 -8 (-15 -4289 ($ (-634 |t#1|))) (-15 -2712 ((-3 |t#1| "failed") (-1 (-121) |t#1|) $)) (IF (|has| $ (-6 -4521)) (PROGN (-15 -3094 (|t#1| (-1 |t#1| |t#1| |t#1|) $)) (-15 -3094 (|t#1| (-1 |t#1| |t#1| |t#1|) $ |t#1|)) (-15 -4330 ($ (-1 (-121) |t#1|) $)) (-15 -2803 ($ (-1 (-121) |t#1|) $)) (IF (|has| |t#1| (-1090)) (PROGN (-15 -3094 (|t#1| (-1 |t#1| |t#1| |t#1|) $ |t#1| |t#1|)) (-15 -4330 ($ |t#1| $)) (-15 -3926 ($ $))) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-609 (-541))) (-6 (-609 (-541))) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#1| (-1090)) ((-608 (-850)) |has| |#1| (-1090)) ((-609 (-541)) |has| |#1| (-609 (-541))) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-499 |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-1090) |has| |#1| (-1090)) ((-1195) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-2902 (((-3 $ "failed") $) 85)) (-1598 (((-121) $) NIL)) (-2049 (($ |#2| (-634 (-917))) 56)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2840 (($ (-917)) 48)) (-3108 (((-139)) 23)) (-2747 (((-850) $) 68) (($ (-568)) 46) (($ |#2|) 47)) (-2079 ((|#2| $ (-634 (-917))) 58)) (-3425 (((-763)) 20)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 40 T CONST)) (-1557 (($) 44 T CONST)) (-1719 (((-121) $ $) 26)) (-1781 (($ $ |#2|) NIL)) (-1775 (($ $) 34) (($ $ $) 32)) (-1769 (($ $ $) 30)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 37) (($ $ $) 52) (($ |#2| $) 39) (($ $ |#2|) NIL))) 
-(((-155 |#1| |#2| |#3|) (-13 (-1047) (-43 |#2|) (-1251 |#2|) (-10 -8 (-15 -2840 ($ (-917))) (-15 -2049 ($ |#2| (-634 (-917)))) (-15 -2079 (|#2| $ (-634 (-917)))) (-15 -2902 ((-3 $ "failed") $)))) (-917) (-365) (-994 |#1| |#2|)) (T -155)) 
-((-2902 (*1 *1 *1) (|partial| -12 (-5 *1 (-155 *2 *3 *4)) (-14 *2 (-917)) (-4 *3 (-365)) (-14 *4 (-994 *2 *3)))) (-2840 (*1 *1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-155 *3 *4 *5)) (-14 *3 *2) (-4 *4 (-365)) (-14 *5 (-994 *3 *4)))) (-2049 (*1 *1 *2 *3) (-12 (-5 *3 (-634 (-917))) (-5 *1 (-155 *4 *2 *5)) (-14 *4 (-917)) (-4 *2 (-365)) (-14 *5 (-994 *4 *2)))) (-2079 (*1 *2 *1 *3) (-12 (-5 *3 (-634 (-917))) (-4 *2 (-365)) (-5 *1 (-155 *4 *2 *5)) (-14 *4 (-917)) (-14 *5 (-994 *4 *2))))) 
-(-13 (-1047) (-43 |#2|) (-1251 |#2|) (-10 -8 (-15 -2840 ($ (-917))) (-15 -2049 ($ |#2| (-634 (-917)))) (-15 -2079 (|#2| $ (-634 (-917)))) (-15 -2902 ((-3 $ "failed") $)))) 
-((-1422 (((-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215)))) (-634 (-634 (-944 (-215)))) (-215) (-215) (-215) (-215)) 38)) (-3240 (((-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215)))) (-927) (-409 (-568)) (-409 (-568))) 62) (((-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215)))) (-927)) 63)) (-1743 (((-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215)))) (-634 (-634 (-944 (-215))))) 66) (((-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215)))) (-634 (-944 (-215)))) 65) (((-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215)))) (-927) (-409 (-568)) (-409 (-568))) 57) (((-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215)))) (-927)) 58))) 
-(((-156) (-10 -7 (-15 -1743 ((-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215)))) (-927))) (-15 -1743 ((-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215)))) (-927) (-409 (-568)) (-409 (-568)))) (-15 -3240 ((-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215)))) (-927))) (-15 -3240 ((-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215)))) (-927) (-409 (-568)) (-409 (-568)))) (-15 -1422 ((-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215)))) (-634 (-634 (-944 (-215)))) (-215) (-215) (-215) (-215))) (-15 -1743 ((-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215)))) (-634 (-944 (-215))))) (-15 -1743 ((-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215)))) (-634 (-634 (-944 (-215)))))))) (T -156)) 
-((-1743 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215))))) (-5 *1 (-156)) (-5 *3 (-634 (-634 (-944 (-215))))))) (-1743 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215))))) (-5 *1 (-156)) (-5 *3 (-634 (-944 (-215)))))) (-1422 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *4 (-215)) (-5 *2 (-2 (|:| |brans| (-634 (-634 (-944 *4)))) (|:| |xValues| (-1084 *4)) (|:| |yValues| (-1084 *4)))) (-5 *1 (-156)) (-5 *3 (-634 (-634 (-944 *4)))))) (-3240 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-927)) (-5 *4 (-409 (-568))) (-5 *2 (-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215))))) (-5 *1 (-156)))) (-3240 (*1 *2 *3) (-12 (-5 *3 (-927)) (-5 *2 (-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215))))) (-5 *1 (-156)))) (-1743 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-927)) (-5 *4 (-409 (-568))) (-5 *2 (-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215))))) (-5 *1 (-156)))) (-1743 (*1 *2 *3) (-12 (-5 *3 (-927)) (-5 *2 (-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215))))) (-5 *1 (-156))))) 
-(-10 -7 (-15 -1743 ((-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215)))) (-927))) (-15 -1743 ((-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215)))) (-927) (-409 (-568)) (-409 (-568)))) (-15 -3240 ((-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215)))) (-927))) (-15 -3240 ((-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215)))) (-927) (-409 (-568)) (-409 (-568)))) (-15 -1422 ((-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215)))) (-634 (-634 (-944 (-215)))) (-215) (-215) (-215) (-215))) (-15 -1743 ((-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215)))) (-634 (-944 (-215))))) (-15 -1743 ((-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215)))) (-634 (-634 (-944 (-215))))))) 
-((-2201 (((-634 (-169 |#2|)) |#1| |#2|) 45))) 
-(((-157 |#1| |#2|) (-10 -7 (-15 -2201 ((-634 (-169 |#2|)) |#1| |#2|))) (-1219 (-169 (-568))) (-13 (-365) (-840))) (T -157)) 
-((-2201 (*1 *2 *3 *4) (-12 (-5 *2 (-634 (-169 *4))) (-5 *1 (-157 *3 *4)) (-4 *3 (-1219 (-169 (-568)))) (-4 *4 (-13 (-365) (-840)))))) 
-(-10 -7 (-15 -2201 ((-634 (-169 |#2|)) |#1| |#2|))) 
-((-2449 (((-121) $ $) NIL)) (-1967 (($) 15)) (-3751 (($) 14)) (-2342 (((-917)) 22)) (-1893 (((-1143) $) NIL)) (-2233 (((-568) $) 19)) (-4025 (((-1108) $) NIL)) (-1914 (($) 16)) (-2200 (($ (-568)) 23)) (-2747 (((-850) $) 29)) (-3395 (($) 17)) (-1719 (((-121) $ $) 13)) (-1769 (($ $ $) 11)) (* (($ (-917) $) 21) (($ (-215) $) 8))) 
-(((-158) (-13 (-25) (-10 -8 (-15 * ($ (-917) $)) (-15 * ($ (-215) $)) (-15 -1769 ($ $ $)) (-15 -3751 ($)) (-15 -1967 ($)) (-15 -1914 ($)) (-15 -3395 ($)) (-15 -2233 ((-568) $)) (-15 -2342 ((-917))) (-15 -2200 ($ (-568)))))) (T -158)) 
-((-1769 (*1 *1 *1 *1) (-5 *1 (-158))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-917)) (-5 *1 (-158)))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-215)) (-5 *1 (-158)))) (-3751 (*1 *1) (-5 *1 (-158))) (-1967 (*1 *1) (-5 *1 (-158))) (-1914 (*1 *1) (-5 *1 (-158))) (-3395 (*1 *1) (-5 *1 (-158))) (-2233 (*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-158)))) (-2342 (*1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-158)))) (-2200 (*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-158))))) 
-(-13 (-25) (-10 -8 (-15 * ($ (-917) $)) (-15 * ($ (-215) $)) (-15 -1769 ($ $ $)) (-15 -3751 ($)) (-15 -1967 ($)) (-15 -1914 ($)) (-15 -3395 ($)) (-15 -2233 ((-568) $)) (-15 -2342 ((-917))) (-15 -2200 ($ (-568))))) 
-((-1715 ((|#2| |#2| (-1082 |#2|)) 87) ((|#2| |#2| (-1161)) 67)) (-2062 ((|#2| |#2| (-1082 |#2|)) 86) ((|#2| |#2| (-1161)) 66)) (-2341 ((|#2| |#2| |#2|) 27)) (-3842 (((-123) (-123)) 97)) (-2055 ((|#2| (-634 |#2|)) 116)) (-2842 ((|#2| (-634 |#2|)) 134)) (-4214 ((|#2| (-634 |#2|)) 124)) (-3453 ((|#2| |#2|) 122)) (-2306 ((|#2| (-634 |#2|)) 109)) (-3980 ((|#2| (-634 |#2|)) 110)) (-2665 ((|#2| (-634 |#2|)) 132)) (-3577 ((|#2| |#2| (-1161)) 54) ((|#2| |#2|) 53)) (-2406 ((|#2| |#2|) 23)) (-3584 ((|#2| |#2| |#2|) 26)) (-2779 (((-121) (-123)) 47)) (** ((|#2| |#2| |#2|) 38))) 
-(((-159 |#1| |#2|) (-10 -7 (-15 -2779 ((-121) (-123))) (-15 -3842 ((-123) (-123))) (-15 ** (|#2| |#2| |#2|)) (-15 -3584 (|#2| |#2| |#2|)) (-15 -2341 (|#2| |#2| |#2|)) (-15 -2406 (|#2| |#2|)) (-15 -3577 (|#2| |#2|)) (-15 -3577 (|#2| |#2| (-1161))) (-15 -1715 (|#2| |#2| (-1161))) (-15 -1715 (|#2| |#2| (-1082 |#2|))) (-15 -2062 (|#2| |#2| (-1161))) (-15 -2062 (|#2| |#2| (-1082 |#2|))) (-15 -3453 (|#2| |#2|)) (-15 -2665 (|#2| (-634 |#2|))) (-15 -4214 (|#2| (-634 |#2|))) (-15 -2842 (|#2| (-634 |#2|))) (-15 -2306 (|#2| (-634 |#2|))) (-15 -3980 (|#2| (-634 |#2|))) (-15 -2055 (|#2| (-634 |#2|)))) (-13 (-842) (-558)) (-432 |#1|)) (T -159)) 
-((-2055 (*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-432 *4)) (-5 *1 (-159 *4 *2)) (-4 *4 (-13 (-842) (-558))))) (-3980 (*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-432 *4)) (-5 *1 (-159 *4 *2)) (-4 *4 (-13 (-842) (-558))))) (-2306 (*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-432 *4)) (-5 *1 (-159 *4 *2)) (-4 *4 (-13 (-842) (-558))))) (-2842 (*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-432 *4)) (-5 *1 (-159 *4 *2)) (-4 *4 (-13 (-842) (-558))))) (-4214 (*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-432 *4)) (-5 *1 (-159 *4 *2)) (-4 *4 (-13 (-842) (-558))))) (-2665 (*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-432 *4)) (-5 *1 (-159 *4 *2)) (-4 *4 (-13 (-842) (-558))))) (-3453 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-159 *3 *2)) (-4 *2 (-432 *3)))) (-2062 (*1 *2 *2 *3) (-12 (-5 *3 (-1082 *2)) (-4 *2 (-432 *4)) (-4 *4 (-13 (-842) (-558))) (-5 *1 (-159 *4 *2)))) (-2062 (*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-842) (-558))) (-5 *1 (-159 *4 *2)) (-4 *2 (-432 *4)))) (-1715 (*1 *2 *2 *3) (-12 (-5 *3 (-1082 *2)) (-4 *2 (-432 *4)) (-4 *4 (-13 (-842) (-558))) (-5 *1 (-159 *4 *2)))) (-1715 (*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-842) (-558))) (-5 *1 (-159 *4 *2)) (-4 *2 (-432 *4)))) (-3577 (*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-842) (-558))) (-5 *1 (-159 *4 *2)) (-4 *2 (-432 *4)))) (-3577 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-159 *3 *2)) (-4 *2 (-432 *3)))) (-2406 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-159 *3 *2)) (-4 *2 (-432 *3)))) (-2341 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-159 *3 *2)) (-4 *2 (-432 *3)))) (-3584 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-159 *3 *2)) (-4 *2 (-432 *3)))) (** (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-159 *3 *2)) (-4 *2 (-432 *3)))) (-3842 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-842) (-558))) (-5 *1 (-159 *3 *4)) (-4 *4 (-432 *3)))) (-2779 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-842) (-558))) (-5 *2 (-121)) (-5 *1 (-159 *4 *5)) (-4 *5 (-432 *4))))) 
-(-10 -7 (-15 -2779 ((-121) (-123))) (-15 -3842 ((-123) (-123))) (-15 ** (|#2| |#2| |#2|)) (-15 -3584 (|#2| |#2| |#2|)) (-15 -2341 (|#2| |#2| |#2|)) (-15 -2406 (|#2| |#2|)) (-15 -3577 (|#2| |#2|)) (-15 -3577 (|#2| |#2| (-1161))) (-15 -1715 (|#2| |#2| (-1161))) (-15 -1715 (|#2| |#2| (-1082 |#2|))) (-15 -2062 (|#2| |#2| (-1161))) (-15 -2062 (|#2| |#2| (-1082 |#2|))) (-15 -3453 (|#2| |#2|)) (-15 -2665 (|#2| (-634 |#2|))) (-15 -4214 (|#2| (-634 |#2|))) (-15 -2842 (|#2| (-634 |#2|))) (-15 -2306 (|#2| (-634 |#2|))) (-15 -3980 (|#2| (-634 |#2|))) (-15 -2055 (|#2| (-634 |#2|)))) 
-((-3103 ((|#1| |#1| |#1|) 52)) (-1362 ((|#1| |#1| |#1|) 49)) (-2341 ((|#1| |#1| |#1|) 43)) (-1829 ((|#1| |#1|) 34)) (-1360 ((|#1| |#1| (-634 |#1|)) 42)) (-2406 ((|#1| |#1|) 36)) (-3584 ((|#1| |#1| |#1|) 39))) 
-(((-160 |#1|) (-10 -7 (-15 -3584 (|#1| |#1| |#1|)) (-15 -2406 (|#1| |#1|)) (-15 -1360 (|#1| |#1| (-634 |#1|))) (-15 -1829 (|#1| |#1|)) (-15 -2341 (|#1| |#1| |#1|)) (-15 -1362 (|#1| |#1| |#1|)) (-15 -3103 (|#1| |#1| |#1|))) (-550)) (T -160)) 
-((-3103 (*1 *2 *2 *2) (-12 (-5 *1 (-160 *2)) (-4 *2 (-550)))) (-1362 (*1 *2 *2 *2) (-12 (-5 *1 (-160 *2)) (-4 *2 (-550)))) (-2341 (*1 *2 *2 *2) (-12 (-5 *1 (-160 *2)) (-4 *2 (-550)))) (-1829 (*1 *2 *2) (-12 (-5 *1 (-160 *2)) (-4 *2 (-550)))) (-1360 (*1 *2 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-550)) (-5 *1 (-160 *2)))) (-2406 (*1 *2 *2) (-12 (-5 *1 (-160 *2)) (-4 *2 (-550)))) (-3584 (*1 *2 *2 *2) (-12 (-5 *1 (-160 *2)) (-4 *2 (-550))))) 
-(-10 -7 (-15 -3584 (|#1| |#1| |#1|)) (-15 -2406 (|#1| |#1|)) (-15 -1360 (|#1| |#1| (-634 |#1|))) (-15 -1829 (|#1| |#1|)) (-15 -2341 (|#1| |#1| |#1|)) (-15 -1362 (|#1| |#1| |#1|)) (-15 -3103 (|#1| |#1| |#1|))) 
-((-1715 (($ $ (-1161)) 12) (($ $ (-1082 $)) 11)) (-2062 (($ $ (-1161)) 10) (($ $ (-1082 $)) 9)) (-2341 (($ $ $) 8)) (-3577 (($ $) 14) (($ $ (-1161)) 13)) (-2406 (($ $) 7)) (-3584 (($ $ $) 6))) 
-(((-161) (-1275)) (T -161)) 
-((-3577 (*1 *1 *1) (-4 *1 (-161))) (-3577 (*1 *1 *1 *2) (-12 (-4 *1 (-161)) (-5 *2 (-1161)))) (-1715 (*1 *1 *1 *2) (-12 (-4 *1 (-161)) (-5 *2 (-1161)))) (-1715 (*1 *1 *1 *2) (-12 (-5 *2 (-1082 *1)) (-4 *1 (-161)))) (-2062 (*1 *1 *1 *2) (-12 (-4 *1 (-161)) (-5 *2 (-1161)))) (-2062 (*1 *1 *1 *2) (-12 (-5 *2 (-1082 *1)) (-4 *1 (-161))))) 
-(-13 (-146) (-10 -8 (-15 -3577 ($ $)) (-15 -3577 ($ $ (-1161))) (-15 -1715 ($ $ (-1161))) (-15 -1715 ($ $ (-1082 $))) (-15 -2062 ($ $ (-1161))) (-15 -2062 ($ $ (-1082 $))))) 
-(((-146) . T)) 
-((-2449 (((-121) $ $) NIL)) (-3140 (($ (-568)) 13) (($ $ $) 14)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) 17)) (-1719 (((-121) $ $) 9))) 
-(((-162) (-13 (-1090) (-10 -8 (-15 -3140 ($ (-568))) (-15 -3140 ($ $ $))))) (T -162)) 
-((-3140 (*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-162)))) (-3140 (*1 *1 *1 *1) (-5 *1 (-162)))) 
-(-13 (-1090) (-10 -8 (-15 -3140 ($ (-568))) (-15 -3140 ($ $ $)))) 
-((-3842 (((-123) (-1161)) 99))) 
-(((-163) (-10 -7 (-15 -3842 ((-123) (-1161))))) (T -163)) 
-((-3842 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-123)) (-5 *1 (-163))))) 
-(-10 -7 (-15 -3842 ((-123) (-1161)))) 
-((-2032 ((|#3| |#3|) 19))) 
-(((-164 |#1| |#2| |#3|) (-10 -7 (-15 -2032 (|#3| |#3|))) (-1047) (-1219 |#1|) (-1219 |#2|)) (T -164)) 
-((-2032 (*1 *2 *2) (-12 (-4 *3 (-1047)) (-4 *4 (-1219 *3)) (-5 *1 (-164 *3 *4 *2)) (-4 *2 (-1219 *4))))) 
-(-10 -7 (-15 -2032 (|#3| |#3|))) 
-((-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 215)) (-1934 ((|#2| $) 95)) (-1984 (($ $) 242)) (-1935 (($ $) 236)) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) 39)) (-1976 (($ $) 240)) (-2788 (($ $) 234)) (-3668 (((-3 (-568) "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL) (((-3 |#2| "failed") $) 139)) (-2857 (((-568) $) NIL) (((-409 (-568)) $) NIL) ((|#2| $) 137)) (-2403 (($ $ $) 220)) (-1668 (((-679 (-568)) (-679 $)) NIL) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL) (((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 $) (-1244 $)) 153) (((-679 |#2|) (-679 $)) 147)) (-3094 (($ (-1157 |#2|)) 118) (((-3 $ "failed") (-409 (-1157 |#2|))) NIL)) (-2902 (((-3 $ "failed") $) 207)) (-3254 (((-3 (-409 (-568)) "failed") $) 197)) (-1338 (((-121) $) 192)) (-2394 (((-409 (-568)) $) 195)) (-2371 (((-917)) 88)) (-2414 (($ $ $) 222)) (-1432 (((-2 (|:| |r| |#2|) (|:| |phi| |#2|)) $) 258)) (-1899 (($) 231)) (-1519 (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) 184) (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) 189)) (-4417 ((|#2| $) 93)) (-1497 (((-1157 |#2|) $) 120)) (-2797 (($ (-1 |#2| |#2|) $) 101)) (-4418 (($ $) 233)) (-3087 (((-1157 |#2|) $) 119)) (-2083 (($ $) 200)) (-2719 (($) 96)) (-2841 (((-420 (-1157 $)) (-1157 $)) 87)) (-2795 (((-420 (-1157 $)) (-1157 $)) 56)) (-2597 (((-3 $ "failed") $ |#2|) 202) (((-3 $ "failed") $ $) 205)) (-1894 (($ $) 232)) (-1466 (((-763) $) 217)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 226)) (-3440 ((|#2| (-1244 $)) NIL) ((|#2|) 90)) (-4191 (($ $ (-1 |#2| |#2|) (-763)) NIL) (($ $ (-1 |#2| |#2|)) 112) (($ $ (-634 (-1161)) (-634 (-763))) NIL) (($ $ (-1161) (-763)) NIL) (($ $ (-634 (-1161))) NIL) (($ $ (-1161)) NIL) (($ $ (-763)) NIL) (($ $) NIL)) (-1492 (((-1157 |#2|)) 113)) (-1980 (($ $) 241)) (-2792 (($ $) 235)) (-1656 (((-1244 |#2|) $ (-1244 $)) 126) (((-679 |#2|) (-1244 $) (-1244 $)) NIL) (((-1244 |#2|) $) 109) (((-679 |#2|) (-1244 $)) NIL)) (-4280 (((-1244 |#2|) $) NIL) (($ (-1244 |#2|)) NIL) (((-1157 |#2|) $) NIL) (($ (-1157 |#2|)) NIL) (((-887 (-568)) $) 175) (((-887 (-381)) $) 179) (((-169 (-381)) $) 165) (((-169 (-215)) $) 160) (((-541) $) 171)) (-2387 (($ $) 97)) (-2747 (((-850) $) 136) (($ (-568)) NIL) (($ |#2|) NIL) (($ (-409 (-568))) NIL) (($ $) NIL)) (-1295 (((-1157 |#2|) $) 23)) (-3425 (((-763)) 99)) (-2008 (($ $) 245)) (-1959 (($ $) 239)) (-2000 (($ $) 243)) (-1951 (($ $) 237)) (-2014 ((|#2| $) 230)) (-2004 (($ $) 244)) (-1955 (($ $) 238)) (-2811 (($ $) 155)) (-1719 (((-121) $ $) 103)) (-1734 (((-121) $ $) 191)) (-1775 (($ $) 105) (($ $ $) NIL)) (-1769 (($ $ $) 104)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-409 (-568))) 264) (($ $ $) NIL) (($ $ (-568)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 111) (($ $ $) 140) (($ $ |#2|) NIL) (($ |#2| $) 107) (($ (-409 (-568)) $) NIL) (($ $ (-409 (-568))) NIL))) 
-(((-165 |#1| |#2|) (-10 -8 (-15 -4191 (|#1| |#1|)) (-15 -4191 (|#1| |#1| (-763))) (-15 -2747 (|#1| |#1|)) (-15 -2597 ((-3 |#1| "failed") |#1| |#1|)) (-15 -2431 ((-2 (|:| -3591 |#1|) (|:| -4508 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -4191 (|#1| |#1| (-1161))) (-15 -4191 (|#1| |#1| (-634 (-1161)))) (-15 -4191 (|#1| |#1| (-1161) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)) (-634 (-763)))) (-15 -1466 ((-763) |#1|)) (-15 -1854 ((-2 (|:| -4409 |#1|) (|:| -2607 |#1|)) |#1| |#1|)) (-15 -2414 (|#1| |#1| |#1|)) (-15 -2403 (|#1| |#1| |#1|)) (-15 -2083 (|#1| |#1|)) (-15 ** (|#1| |#1| (-568))) (-15 * (|#1| |#1| (-409 (-568)))) (-15 * (|#1| (-409 (-568)) |#1|)) (-15 -2747 (|#1| (-409 (-568)))) (-15 -1734 ((-121) |#1| |#1|)) (-15 -4280 ((-541) |#1|)) (-15 -4280 ((-169 (-215)) |#1|)) (-15 -4280 ((-169 (-381)) |#1|)) (-15 -1935 (|#1| |#1|)) (-15 -2788 (|#1| |#1|)) (-15 -2792 (|#1| |#1|)) (-15 -1955 (|#1| |#1|)) (-15 -1951 (|#1| |#1|)) (-15 -1959 (|#1| |#1|)) (-15 -1980 (|#1| |#1|)) (-15 -1976 (|#1| |#1|)) (-15 -1984 (|#1| |#1|)) (-15 -2004 (|#1| |#1|)) (-15 -2000 (|#1| |#1|)) (-15 -2008 (|#1| |#1|)) (-15 -4418 (|#1| |#1|)) (-15 -1894 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 -1899 (|#1|)) (-15 ** (|#1| |#1| (-409 (-568)))) (-15 -2795 ((-420 (-1157 |#1|)) (-1157 |#1|))) (-15 -2841 ((-420 (-1157 |#1|)) (-1157 |#1|))) (-15 -2434 ((-3 (-634 (-1157 |#1|)) "failed") (-634 (-1157 |#1|)) (-1157 |#1|))) (-15 -3254 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2394 ((-409 (-568)) |#1|)) (-15 -1338 ((-121) |#1|)) (-15 -1432 ((-2 (|:| |r| |#2|) (|:| |phi| |#2|)) |#1|)) (-15 -2014 (|#2| |#1|)) (-15 -2811 (|#1| |#1|)) (-15 -2597 ((-3 |#1| "failed") |#1| |#2|)) (-15 -2387 (|#1| |#1|)) (-15 -2719 (|#1|)) (-15 -4280 ((-887 (-381)) |#1|)) (-15 -4280 ((-887 (-568)) |#1|)) (-15 -1519 ((-884 (-381) |#1|) |#1| (-887 (-381)) (-884 (-381) |#1|))) (-15 -1519 ((-884 (-568) |#1|) |#1| (-887 (-568)) (-884 (-568) |#1|))) (-15 -2797 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|))) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|) (-763))) (-15 -3094 ((-3 |#1| "failed") (-409 (-1157 |#2|)))) (-15 -3087 ((-1157 |#2|) |#1|)) (-15 -4280 (|#1| (-1157 |#2|))) (-15 -3094 (|#1| (-1157 |#2|))) (-15 -1492 ((-1157 |#2|))) (-15 -1668 ((-679 |#2|) (-679 |#1|))) (-15 -1668 ((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 |#1|) (-1244 |#1|))) (-15 -1668 ((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 |#1|) (-1244 |#1|))) (-15 -1668 ((-679 (-568)) (-679 |#1|))) (-15 -2857 (|#2| |#1|)) (-15 -3668 ((-3 |#2| "failed") |#1|)) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2857 ((-409 (-568)) |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -2857 ((-568) |#1|)) (-15 -4280 ((-1157 |#2|) |#1|)) (-15 -3440 (|#2|)) (-15 -4280 (|#1| (-1244 |#2|))) (-15 -4280 ((-1244 |#2|) |#1|)) (-15 -1656 ((-679 |#2|) (-1244 |#1|))) (-15 -1656 ((-1244 |#2|) |#1|)) (-15 -1497 ((-1157 |#2|) |#1|)) (-15 -1295 ((-1157 |#2|) |#1|)) (-15 -3440 (|#2| (-1244 |#1|))) (-15 -1656 ((-679 |#2|) (-1244 |#1|) (-1244 |#1|))) (-15 -1656 ((-1244 |#2|) |#1| (-1244 |#1|))) (-15 -4417 (|#2| |#1|)) (-15 -1934 (|#2| |#1|)) (-15 -2371 ((-917))) (-15 -2747 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -2747 (|#1| (-568))) (-15 -3425 ((-763))) (-15 ** (|#1| |#1| (-763))) (-15 -2902 ((-3 |#1| "failed") |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-917))) (-15 * (|#1| (-568) |#1|)) (-15 -1775 (|#1| |#1| |#1|)) (-15 -1775 (|#1| |#1|)) (-15 * (|#1| (-763) |#1|)) (-15 * (|#1| (-917) |#1|)) (-15 -1769 (|#1| |#1| |#1|)) (-15 -2747 ((-850) |#1|)) (-15 -1719 ((-121) |#1| |#1|))) (-166 |#2|) (-172)) (T -165)) 
-((-3425 (*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-763)) (-5 *1 (-165 *3 *4)) (-4 *3 (-166 *4)))) (-2371 (*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-917)) (-5 *1 (-165 *3 *4)) (-4 *3 (-166 *4)))) (-3440 (*1 *2) (-12 (-4 *2 (-172)) (-5 *1 (-165 *3 *2)) (-4 *3 (-166 *2)))) (-1492 (*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-1157 *4)) (-5 *1 (-165 *3 *4)) (-4 *3 (-166 *4))))) 
-(-10 -8 (-15 -4191 (|#1| |#1|)) (-15 -4191 (|#1| |#1| (-763))) (-15 -2747 (|#1| |#1|)) (-15 -2597 ((-3 |#1| "failed") |#1| |#1|)) (-15 -2431 ((-2 (|:| -3591 |#1|) (|:| -4508 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -4191 (|#1| |#1| (-1161))) (-15 -4191 (|#1| |#1| (-634 (-1161)))) (-15 -4191 (|#1| |#1| (-1161) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)) (-634 (-763)))) (-15 -1466 ((-763) |#1|)) (-15 -1854 ((-2 (|:| -4409 |#1|) (|:| -2607 |#1|)) |#1| |#1|)) (-15 -2414 (|#1| |#1| |#1|)) (-15 -2403 (|#1| |#1| |#1|)) (-15 -2083 (|#1| |#1|)) (-15 ** (|#1| |#1| (-568))) (-15 * (|#1| |#1| (-409 (-568)))) (-15 * (|#1| (-409 (-568)) |#1|)) (-15 -2747 (|#1| (-409 (-568)))) (-15 -1734 ((-121) |#1| |#1|)) (-15 -4280 ((-541) |#1|)) (-15 -4280 ((-169 (-215)) |#1|)) (-15 -4280 ((-169 (-381)) |#1|)) (-15 -1935 (|#1| |#1|)) (-15 -2788 (|#1| |#1|)) (-15 -2792 (|#1| |#1|)) (-15 -1955 (|#1| |#1|)) (-15 -1951 (|#1| |#1|)) (-15 -1959 (|#1| |#1|)) (-15 -1980 (|#1| |#1|)) (-15 -1976 (|#1| |#1|)) (-15 -1984 (|#1| |#1|)) (-15 -2004 (|#1| |#1|)) (-15 -2000 (|#1| |#1|)) (-15 -2008 (|#1| |#1|)) (-15 -4418 (|#1| |#1|)) (-15 -1894 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 -1899 (|#1|)) (-15 ** (|#1| |#1| (-409 (-568)))) (-15 -2795 ((-420 (-1157 |#1|)) (-1157 |#1|))) (-15 -2841 ((-420 (-1157 |#1|)) (-1157 |#1|))) (-15 -2434 ((-3 (-634 (-1157 |#1|)) "failed") (-634 (-1157 |#1|)) (-1157 |#1|))) (-15 -3254 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2394 ((-409 (-568)) |#1|)) (-15 -1338 ((-121) |#1|)) (-15 -1432 ((-2 (|:| |r| |#2|) (|:| |phi| |#2|)) |#1|)) (-15 -2014 (|#2| |#1|)) (-15 -2811 (|#1| |#1|)) (-15 -2597 ((-3 |#1| "failed") |#1| |#2|)) (-15 -2387 (|#1| |#1|)) (-15 -2719 (|#1|)) (-15 -4280 ((-887 (-381)) |#1|)) (-15 -4280 ((-887 (-568)) |#1|)) (-15 -1519 ((-884 (-381) |#1|) |#1| (-887 (-381)) (-884 (-381) |#1|))) (-15 -1519 ((-884 (-568) |#1|) |#1| (-887 (-568)) (-884 (-568) |#1|))) (-15 -2797 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|))) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|) (-763))) (-15 -3094 ((-3 |#1| "failed") (-409 (-1157 |#2|)))) (-15 -3087 ((-1157 |#2|) |#1|)) (-15 -4280 (|#1| (-1157 |#2|))) (-15 -3094 (|#1| (-1157 |#2|))) (-15 -1492 ((-1157 |#2|))) (-15 -1668 ((-679 |#2|) (-679 |#1|))) (-15 -1668 ((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 |#1|) (-1244 |#1|))) (-15 -1668 ((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 |#1|) (-1244 |#1|))) (-15 -1668 ((-679 (-568)) (-679 |#1|))) (-15 -2857 (|#2| |#1|)) (-15 -3668 ((-3 |#2| "failed") |#1|)) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2857 ((-409 (-568)) |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -2857 ((-568) |#1|)) (-15 -4280 ((-1157 |#2|) |#1|)) (-15 -3440 (|#2|)) (-15 -4280 (|#1| (-1244 |#2|))) (-15 -4280 ((-1244 |#2|) |#1|)) (-15 -1656 ((-679 |#2|) (-1244 |#1|))) (-15 -1656 ((-1244 |#2|) |#1|)) (-15 -1497 ((-1157 |#2|) |#1|)) (-15 -1295 ((-1157 |#2|) |#1|)) (-15 -3440 (|#2| (-1244 |#1|))) (-15 -1656 ((-679 |#2|) (-1244 |#1|) (-1244 |#1|))) (-15 -1656 ((-1244 |#2|) |#1| (-1244 |#1|))) (-15 -4417 (|#2| |#1|)) (-15 -1934 (|#2| |#1|)) (-15 -2371 ((-917))) (-15 -2747 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -2747 (|#1| (-568))) (-15 -3425 ((-763))) (-15 ** (|#1| |#1| (-763))) (-15 -2902 ((-3 |#1| "failed") |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-917))) (-15 * (|#1| (-568) |#1|)) (-15 -1775 (|#1| |#1| |#1|)) (-15 -1775 (|#1| |#1|)) (-15 * (|#1| (-763) |#1|)) (-15 * (|#1| (-917) |#1|)) (-15 -1769 (|#1| |#1| |#1|)) (-15 -2747 ((-850) |#1|)) (-15 -1719 ((-121) |#1| |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 87 (-2199 (|has| |#1| (-558)) (-12 (|has| |#1| (-301)) (|has| |#1| (-904)))))) (-3661 (($ $) 88 (-2199 (|has| |#1| (-558)) (-12 (|has| |#1| (-301)) (|has| |#1| (-904)))))) (-4426 (((-121) $) 90 (-2199 (|has| |#1| (-558)) (-12 (|has| |#1| (-301)) (|has| |#1| (-904)))))) (-2883 (((-679 |#1|) (-1244 $)) 44) (((-679 |#1|)) 55)) (-1934 ((|#1| $) 50)) (-1984 (($ $) 212 (|has| |#1| (-1181)))) (-1935 (($ $) 195 (|has| |#1| (-1181)))) (-1856 (((-1169 (-917) (-763)) (-568)) 141 (|has| |#1| (-350)))) (-2689 (((-3 $ "failed") $ $) 18)) (-3863 (((-420 (-1157 $)) (-1157 $)) 226 (-12 (|has| |#1| (-301)) (|has| |#1| (-904))))) (-3045 (($ $) 107 (-2199 (-12 (|has| |#1| (-301)) (|has| |#1| (-904))) (|has| |#1| (-365))))) (-3498 (((-420 $) $) 108 (-2199 (-12 (|has| |#1| (-301)) (|has| |#1| (-904))) (|has| |#1| (-365))))) (-1904 (($ $) 225 (-12 (|has| |#1| (-1002)) (|has| |#1| (-1181))))) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) 229 (-12 (|has| |#1| (-301)) (|has| |#1| (-904))))) (-2589 (((-121) $ $) 98 (|has| |#1| (-301)))) (-3986 (((-763)) 81 (|has| |#1| (-370)))) (-1976 (($ $) 211 (|has| |#1| (-1181)))) (-2788 (($ $) 196 (|has| |#1| (-1181)))) (-1992 (($ $) 210 (|has| |#1| (-1181)))) (-1943 (($ $) 197 (|has| |#1| (-1181)))) (-4490 (($) 16 T CONST)) (-3668 (((-3 (-568) "failed") $) 163 (|has| |#1| (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) 161 (|has| |#1| (-1037 (-409 (-568))))) (((-3 |#1| "failed") $) 160)) (-2857 (((-568) $) 164 (|has| |#1| (-1037 (-568)))) (((-409 (-568)) $) 162 (|has| |#1| (-1037 (-409 (-568))))) ((|#1| $) 159)) (-3899 (($ (-1244 |#1|) (-1244 $)) 46) (($ (-1244 |#1|)) 58)) (-1368 (((-3 "prime" "polynomial" "normal" "cyclic")) 147 (|has| |#1| (-350)))) (-2403 (($ $ $) 102 (|has| |#1| (-301)))) (-3653 (((-679 |#1|) $ (-1244 $)) 51) (((-679 |#1|) $) 53)) (-1668 (((-679 (-568)) (-679 $)) 158 (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) 157 (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 |#1|))) (-679 $) (-1244 $)) 156) (((-679 |#1|) (-679 $)) 155)) (-3094 (($ (-1157 |#1|)) 152) (((-3 $ "failed") (-409 (-1157 |#1|))) 149 (|has| |#1| (-365)))) (-2902 (((-3 $ "failed") $) 33)) (-3859 ((|#1| $) 237)) (-3254 (((-3 (-409 (-568)) "failed") $) 230 (|has| |#1| (-550)))) (-1338 (((-121) $) 232 (|has| |#1| (-550)))) (-2394 (((-409 (-568)) $) 231 (|has| |#1| (-550)))) (-2371 (((-917)) 52)) (-1733 (($) 84 (|has| |#1| (-370)))) (-2414 (($ $ $) 101 (|has| |#1| (-301)))) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 96 (|has| |#1| (-301)))) (-4188 (($) 143 (|has| |#1| (-350)))) (-1748 (((-121) $) 144 (|has| |#1| (-350)))) (-1887 (($ $ (-763)) 135 (|has| |#1| (-350))) (($ $) 134 (|has| |#1| (-350)))) (-2197 (((-121) $) 109 (-2199 (-12 (|has| |#1| (-301)) (|has| |#1| (-904))) (|has| |#1| (-365))))) (-1432 (((-2 (|:| |r| |#1|) (|:| |phi| |#1|)) $) 233 (-12 (|has| |#1| (-1056)) (|has| |#1| (-1181))))) (-1899 (($) 222 (|has| |#1| (-1181)))) (-1519 (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) 245 (|has| |#1| (-881 (-568)))) (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) 244 (|has| |#1| (-881 (-381))))) (-1844 (((-917) $) 146 (|has| |#1| (-350))) (((-828 (-917)) $) 132 (|has| |#1| (-350)))) (-1598 (((-121) $) 30)) (-1550 (($ $ (-568)) 224 (-12 (|has| |#1| (-1002)) (|has| |#1| (-1181))))) (-4417 ((|#1| $) 49)) (-2214 (((-3 $ "failed") $) 136 (|has| |#1| (-350)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 105 (|has| |#1| (-301)))) (-1497 (((-1157 |#1|) $) 42 (|has| |#1| (-365)))) (-1732 (($ $ $) 191 (|has| |#1| (-842)))) (-2047 (($ $ $) 190 (|has| |#1| (-842)))) (-2797 (($ (-1 |#1| |#1|) $) 246)) (-2291 (((-917) $) 83 (|has| |#1| (-370)))) (-4418 (($ $) 219 (|has| |#1| (-1181)))) (-3087 (((-1157 |#1|) $) 150)) (-2498 (($ (-634 $)) 94 (-2199 (|has| |#1| (-301)) (-12 (|has| |#1| (-301)) (|has| |#1| (-904))))) (($ $ $) 93 (-2199 (|has| |#1| (-301)) (-12 (|has| |#1| (-301)) (|has| |#1| (-904)))))) (-1893 (((-1143) $) 9)) (-2083 (($ $) 110 (|has| |#1| (-365)))) (-4436 (($) 137 (|has| |#1| (-350)) CONST)) (-4357 (($ (-917)) 82 (|has| |#1| (-370)))) (-2719 (($) 241)) (-3868 ((|#1| $) 238)) (-4025 (((-1108) $) 10)) (-2707 (($) 154)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 95 (-2199 (|has| |#1| (-301)) (-12 (|has| |#1| (-301)) (|has| |#1| (-904)))))) (-2723 (($ (-634 $)) 92 (-2199 (|has| |#1| (-301)) (-12 (|has| |#1| (-301)) (|has| |#1| (-904))))) (($ $ $) 91 (-2199 (|has| |#1| (-301)) (-12 (|has| |#1| (-301)) (|has| |#1| (-904)))))) (-2172 (((-634 (-2 (|:| -3850 (-568)) (|:| -3483 (-568))))) 140 (|has| |#1| (-350)))) (-2841 (((-420 (-1157 $)) (-1157 $)) 228 (-12 (|has| |#1| (-301)) (|has| |#1| (-904))))) (-2795 (((-420 (-1157 $)) (-1157 $)) 227 (-12 (|has| |#1| (-301)) (|has| |#1| (-904))))) (-3850 (((-420 $) $) 106 (-2199 (-12 (|has| |#1| (-301)) (|has| |#1| (-904))) (|has| |#1| (-365))))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 104 (|has| |#1| (-301))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 103 (|has| |#1| (-301)))) (-2597 (((-3 $ "failed") $ |#1|) 236 (|has| |#1| (-558))) (((-3 $ "failed") $ $) 86 (-2199 (|has| |#1| (-558)) (-12 (|has| |#1| (-301)) (|has| |#1| (-904)))))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 97 (|has| |#1| (-301)))) (-1894 (($ $) 220 (|has| |#1| (-1181)))) (-1339 (($ $ (-634 |#1|) (-634 |#1|)) 252 (|has| |#1| (-303 |#1|))) (($ $ |#1| |#1|) 251 (|has| |#1| (-303 |#1|))) (($ $ (-288 |#1|)) 250 (|has| |#1| (-303 |#1|))) (($ $ (-634 (-288 |#1|))) 249 (|has| |#1| (-303 |#1|))) (($ $ (-634 (-1161)) (-634 |#1|)) 248 (|has| |#1| (-523 (-1161) |#1|))) (($ $ (-1161) |#1|) 247 (|has| |#1| (-523 (-1161) |#1|)))) (-1466 (((-763) $) 99 (|has| |#1| (-301)))) (-2781 (($ $ |#1|) 253 (|has| |#1| (-281 |#1| |#1|)))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 100 (|has| |#1| (-301)))) (-3440 ((|#1| (-1244 $)) 45) ((|#1|) 54)) (-2721 (((-763) $) 145 (|has| |#1| (-350))) (((-3 (-763) "failed") $ $) 133 (|has| |#1| (-350)))) (-4191 (($ $ (-1 |#1| |#1|) (-763)) 117) (($ $ (-1 |#1| |#1|)) 116) (($ $ (-634 (-1161)) (-634 (-763))) 124 (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) 125 (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) 126 (|has| |#1| (-895 (-1161)))) (($ $ (-1161)) 127 (|has| |#1| (-895 (-1161)))) (($ $ (-763)) 129 (-2199 (-2141 (|has| |#1| (-365)) (|has| |#1| (-225))) (|has| |#1| (-225)) (-2141 (|has| |#1| (-225)) (|has| |#1| (-365))))) (($ $) 131 (-2199 (-2141 (|has| |#1| (-365)) (|has| |#1| (-225))) (|has| |#1| (-225)) (-2141 (|has| |#1| (-225)) (|has| |#1| (-365)))))) (-1391 (((-679 |#1|) (-1244 $) (-1 |#1| |#1|)) 148 (|has| |#1| (-365)))) (-1492 (((-1157 |#1|)) 153)) (-1996 (($ $) 209 (|has| |#1| (-1181)))) (-1947 (($ $) 198 (|has| |#1| (-1181)))) (-2330 (($) 142 (|has| |#1| (-350)))) (-1988 (($ $) 208 (|has| |#1| (-1181)))) (-1939 (($ $) 199 (|has| |#1| (-1181)))) (-1980 (($ $) 207 (|has| |#1| (-1181)))) (-2792 (($ $) 200 (|has| |#1| (-1181)))) (-1656 (((-1244 |#1|) $ (-1244 $)) 48) (((-679 |#1|) (-1244 $) (-1244 $)) 47) (((-1244 |#1|) $) 60) (((-679 |#1|) (-1244 $)) 59)) (-4280 (((-1244 |#1|) $) 57) (($ (-1244 |#1|)) 56) (((-1157 |#1|) $) 165) (($ (-1157 |#1|)) 151) (((-887 (-568)) $) 243 (|has| |#1| (-609 (-887 (-568))))) (((-887 (-381)) $) 242 (|has| |#1| (-609 (-887 (-381))))) (((-169 (-381)) $) 194 (|has| |#1| (-1021))) (((-169 (-215)) $) 193 (|has| |#1| (-1021))) (((-541) $) 192 (|has| |#1| (-609 (-541))))) (-2387 (($ $) 240)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) 139 (-2199 (-2141 (|has| $ (-148)) (-12 (|has| |#1| (-301)) (|has| |#1| (-904)))) (|has| |#1| (-350))))) (-4005 (($ |#1| |#1|) 239)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ |#1|) 36) (($ (-409 (-568))) 80 (-2199 (|has| |#1| (-365)) (|has| |#1| (-1037 (-409 (-568)))))) (($ $) 85 (-2199 (|has| |#1| (-558)) (-12 (|has| |#1| (-301)) (|has| |#1| (-904)))))) (-3385 (($ $) 138 (|has| |#1| (-350))) (((-3 $ "failed") $) 41 (-2199 (-2141 (|has| $ (-148)) (-12 (|has| |#1| (-301)) (|has| |#1| (-904)))) (|has| |#1| (-148))))) (-1295 (((-1157 |#1|) $) 43)) (-3425 (((-763)) 28)) (-2588 (((-1244 $)) 61)) (-2008 (($ $) 218 (|has| |#1| (-1181)))) (-1959 (($ $) 206 (|has| |#1| (-1181)))) (-2273 (((-121) $ $) 89 (-2199 (|has| |#1| (-558)) (-12 (|has| |#1| (-301)) (|has| |#1| (-904)))))) (-2000 (($ $) 217 (|has| |#1| (-1181)))) (-1951 (($ $) 205 (|has| |#1| (-1181)))) (-2016 (($ $) 216 (|has| |#1| (-1181)))) (-1968 (($ $) 204 (|has| |#1| (-1181)))) (-2014 ((|#1| $) 234 (|has| |#1| (-1181)))) (-1439 (($ $) 215 (|has| |#1| (-1181)))) (-1972 (($ $) 203 (|has| |#1| (-1181)))) (-2012 (($ $) 214 (|has| |#1| (-1181)))) (-1964 (($ $) 202 (|has| |#1| (-1181)))) (-2004 (($ $) 213 (|has| |#1| (-1181)))) (-1955 (($ $) 201 (|has| |#1| (-1181)))) (-2811 (($ $) 235 (|has| |#1| (-1056)))) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32) (($ $ (-568)) 111 (|has| |#1| (-365)))) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3192 (($ $ (-1 |#1| |#1|) (-763)) 119) (($ $ (-1 |#1| |#1|)) 118) (($ $ (-634 (-1161)) (-634 (-763))) 120 (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) 121 (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) 122 (|has| |#1| (-895 (-1161)))) (($ $ (-1161)) 123 (|has| |#1| (-895 (-1161)))) (($ $ (-763)) 128 (-2199 (-2141 (|has| |#1| (-365)) (|has| |#1| (-225))) (|has| |#1| (-225)) (-2141 (|has| |#1| (-225)) (|has| |#1| (-365))))) (($ $) 130 (-2199 (-2141 (|has| |#1| (-365)) (|has| |#1| (-225))) (|has| |#1| (-225)) (-2141 (|has| |#1| (-225)) (|has| |#1| (-365)))))) (-1753 (((-121) $ $) 188 (|has| |#1| (-842)))) (-1740 (((-121) $ $) 187 (|has| |#1| (-842)))) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 189 (|has| |#1| (-842)))) (-1734 (((-121) $ $) 186 (|has| |#1| (-842)))) (-1781 (($ $ $) 115 (|has| |#1| (-365)))) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ (-409 (-568))) 223 (-12 (|has| |#1| (-1002)) (|has| |#1| (-1181)))) (($ $ $) 221 (|has| |#1| (-1181))) (($ $ (-568)) 112 (|has| |#1| (-365)))) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37) (($ (-409 (-568)) $) 114 (|has| |#1| (-365))) (($ $ (-409 (-568))) 113 (|has| |#1| (-365))))) 
-(((-166 |#1|) (-1275) (-172)) (T -166)) 
-((-4417 (*1 *2 *1) (-12 (-4 *1 (-166 *2)) (-4 *2 (-172)))) (-2719 (*1 *1) (-12 (-4 *1 (-166 *2)) (-4 *2 (-172)))) (-2387 (*1 *1 *1) (-12 (-4 *1 (-166 *2)) (-4 *2 (-172)))) (-4005 (*1 *1 *2 *2) (-12 (-4 *1 (-166 *2)) (-4 *2 (-172)))) (-3868 (*1 *2 *1) (-12 (-4 *1 (-166 *2)) (-4 *2 (-172)))) (-3859 (*1 *2 *1) (-12 (-4 *1 (-166 *2)) (-4 *2 (-172)))) (-2597 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-166 *2)) (-4 *2 (-172)) (-4 *2 (-558)))) (-2811 (*1 *1 *1) (-12 (-4 *1 (-166 *2)) (-4 *2 (-172)) (-4 *2 (-1056)))) (-2014 (*1 *2 *1) (-12 (-4 *1 (-166 *2)) (-4 *2 (-172)) (-4 *2 (-1181)))) (-1432 (*1 *2 *1) (-12 (-4 *1 (-166 *3)) (-4 *3 (-172)) (-4 *3 (-1056)) (-4 *3 (-1181)) (-5 *2 (-2 (|:| |r| *3) (|:| |phi| *3))))) (-1338 (*1 *2 *1) (-12 (-4 *1 (-166 *3)) (-4 *3 (-172)) (-4 *3 (-550)) (-5 *2 (-121)))) (-2394 (*1 *2 *1) (-12 (-4 *1 (-166 *3)) (-4 *3 (-172)) (-4 *3 (-550)) (-5 *2 (-409 (-568))))) (-3254 (*1 *2 *1) (|partial| -12 (-4 *1 (-166 *3)) (-4 *3 (-172)) (-4 *3 (-550)) (-5 *2 (-409 (-568)))))) 
-(-13 (-714 |t#1| (-1157 |t#1|)) (-413 |t#1|) (-223 |t#1|) (-336 |t#1|) (-402 |t#1|) (-879 |t#1|) (-379 |t#1|) (-172) (-10 -8 (-6 -4005) (-15 -2719 ($)) (-15 -2387 ($ $)) (-15 -4005 ($ |t#1| |t#1|)) (-15 -3868 (|t#1| $)) (-15 -3859 (|t#1| $)) (-15 -4417 (|t#1| $)) (IF (|has| |t#1| (-842)) (-6 (-842)) |noBranch|) (IF (|has| |t#1| (-558)) (PROGN (-6 (-558)) (-15 -2597 ((-3 $ "failed") $ |t#1|))) |noBranch|) (IF (|has| |t#1| (-301)) (-6 (-301)) |noBranch|) (IF (|has| |t#1| (-6 -4520)) (-6 -4520) |noBranch|) (IF (|has| |t#1| (-6 -4517)) (-6 -4517) |noBranch|) (IF (|has| |t#1| (-365)) (-6 (-365)) |noBranch|) (IF (|has| |t#1| (-609 (-541))) (-6 (-609 (-541))) |noBranch|) (IF (|has| |t#1| (-150)) (-6 (-150)) |noBranch|) (IF (|has| |t#1| (-148)) (-6 (-148)) |noBranch|) (IF (|has| |t#1| (-1021)) (PROGN (-6 (-609 (-169 (-215)))) (-6 (-609 (-169 (-381))))) |noBranch|) (IF (|has| |t#1| (-1056)) (-15 -2811 ($ $)) |noBranch|) (IF (|has| |t#1| (-1181)) (PROGN (-6 (-1181)) (-15 -2014 (|t#1| $)) (IF (|has| |t#1| (-1002)) (-6 (-1002)) |noBranch|) (IF (|has| |t#1| (-1056)) (-15 -1432 ((-2 (|:| |r| |t#1|) (|:| |phi| |t#1|)) $)) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-550)) (PROGN (-15 -1338 ((-121) $)) (-15 -2394 ((-409 (-568)) $)) (-15 -3254 ((-3 (-409 (-568)) "failed") $))) |noBranch|) (IF (|has| |t#1| (-904)) (IF (|has| |t#1| (-301)) (-6 (-904)) |noBranch|) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-409 (-568))) -2199 (|has| |#1| (-350)) (|has| |#1| (-365))) ((-43 |#1|) . T) ((-43 $) -2199 (|has| |#1| (-558)) (|has| |#1| (-350)) (|has| |#1| (-365)) (|has| |#1| (-301))) ((-40) |has| |#1| (-1181)) ((-98) |has| |#1| (-1181)) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) -2199 (|has| |#1| (-350)) (|has| |#1| (-365))) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-137) . T) ((-148) -2199 (|has| |#1| (-350)) (|has| |#1| (-148))) ((-150) |has| |#1| (-150)) ((-608 (-850)) . T) ((-172) . T) ((-609 (-169 (-215))) |has| |#1| (-1021)) ((-609 (-169 (-381))) |has| |#1| (-1021)) ((-609 (-541)) |has| |#1| (-609 (-541))) ((-609 (-887 (-381))) |has| |#1| (-609 (-887 (-381)))) ((-609 (-887 (-568))) |has| |#1| (-609 (-887 (-568)))) ((-609 (-1157 |#1|)) . T) ((-223 |#1|) . T) ((-225) -2199 (|has| |#1| (-350)) (|has| |#1| (-225))) ((-238) -2199 (|has| |#1| (-350)) (|has| |#1| (-365))) ((-279) |has| |#1| (-1181)) ((-281 |#1| $) |has| |#1| (-281 |#1| |#1|)) ((-285) -2199 (|has| |#1| (-558)) (|has| |#1| (-350)) (|has| |#1| (-365)) (|has| |#1| (-301))) ((-301) -2199 (|has| |#1| (-350)) (|has| |#1| (-365)) (|has| |#1| (-301))) ((-303 |#1|) |has| |#1| (-303 |#1|)) ((-365) -2199 (|has| |#1| (-350)) (|has| |#1| (-365))) ((-404) |has| |#1| (-350)) ((-370) -2199 (|has| |#1| (-370)) (|has| |#1| (-350))) ((-350) |has| |#1| (-350)) ((-372 |#1| (-1157 |#1|)) . T) ((-411 |#1| (-1157 |#1|)) . T) ((-336 |#1|) . T) ((-379 |#1|) . T) ((-402 |#1|) . T) ((-413 |#1|) . T) ((-453) -2199 (|has| |#1| (-350)) (|has| |#1| (-365)) (|has| |#1| (-301))) ((-502) |has| |#1| (-1181)) ((-523 (-1161) |#1|) |has| |#1| (-523 (-1161) |#1|)) ((-523 |#1| |#1|) |has| |#1| (-303 |#1|)) ((-558) -2199 (|has| |#1| (-558)) (|has| |#1| (-350)) (|has| |#1| (-365)) (|has| |#1| (-301))) ((-637 (-409 (-568))) -2199 (|has| |#1| (-350)) (|has| |#1| (-365))) ((-637 |#1|) . T) ((-637 $) . T) ((-630 (-568)) |has| |#1| (-630 (-568))) ((-630 |#1|) . T) ((-707 (-409 (-568))) -2199 (|has| |#1| (-350)) (|has| |#1| (-365))) ((-707 |#1|) . T) ((-707 $) -2199 (|has| |#1| (-558)) (|has| |#1| (-350)) (|has| |#1| (-365)) (|has| |#1| (-301))) ((-714 |#1| (-1157 |#1|)) . T) ((-716) . T) ((-842) |has| |#1| (-842)) ((-895 (-1161)) |has| |#1| (-895 (-1161))) ((-881 (-381)) |has| |#1| (-881 (-381))) ((-881 (-568)) |has| |#1| (-881 (-568))) ((-879 |#1|) . T) ((-904) -12 (|has| |#1| (-301)) (|has| |#1| (-904))) ((-916) -2199 (|has| |#1| (-350)) (|has| |#1| (-365)) (|has| |#1| (-301))) ((-1002) -12 (|has| |#1| (-1002)) (|has| |#1| (-1181))) ((-1037 (-409 (-568))) |has| |#1| (-1037 (-409 (-568)))) ((-1037 (-568)) |has| |#1| (-1037 (-568))) ((-1037 |#1|) . T) ((-1053 (-409 (-568))) -2199 (|has| |#1| (-350)) (|has| |#1| (-365))) ((-1053 |#1|) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1136) |has| |#1| (-350)) ((-1181) |has| |#1| (-1181)) ((-1184) |has| |#1| (-1181)) ((-1195) . T) ((-1199) -2199 (|has| |#1| (-350)) (|has| |#1| (-365)) (-12 (|has| |#1| (-301)) (|has| |#1| (-904))))) 
-((-3850 (((-420 |#2|) |#2|) 63))) 
-(((-167 |#1| |#2|) (-10 -7 (-15 -3850 ((-420 |#2|) |#2|))) (-301) (-1219 (-169 |#1|))) (T -167)) 
-((-3850 (*1 *2 *3) (-12 (-4 *4 (-301)) (-5 *2 (-420 *3)) (-5 *1 (-167 *4 *3)) (-4 *3 (-1219 (-169 *4)))))) 
-(-10 -7 (-15 -3850 ((-420 |#2|) |#2|))) 
-((-2797 (((-169 |#2|) (-1 |#2| |#1|) (-169 |#1|)) 14))) 
-(((-168 |#1| |#2|) (-10 -7 (-15 -2797 ((-169 |#2|) (-1 |#2| |#1|) (-169 |#1|)))) (-172) (-172)) (T -168)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-169 *5)) (-4 *5 (-172)) (-4 *6 (-172)) (-5 *2 (-169 *6)) (-5 *1 (-168 *5 *6))))) 
-(-10 -7 (-15 -2797 ((-169 |#2|) (-1 |#2| |#1|) (-169 |#1|)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 33)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (-2199 (-12 (|has| |#1| (-301)) (|has| |#1| (-904))) (|has| |#1| (-558))))) (-3661 (($ $) NIL (-2199 (-12 (|has| |#1| (-301)) (|has| |#1| (-904))) (|has| |#1| (-558))))) (-4426 (((-121) $) NIL (-2199 (-12 (|has| |#1| (-301)) (|has| |#1| (-904))) (|has| |#1| (-558))))) (-2883 (((-679 |#1|) (-1244 $)) NIL) (((-679 |#1|)) NIL)) (-1934 ((|#1| $) NIL)) (-1984 (($ $) NIL (|has| |#1| (-1181)))) (-1935 (($ $) NIL (|has| |#1| (-1181)))) (-1856 (((-1169 (-917) (-763)) (-568)) NIL (|has| |#1| (-350)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (-12 (|has| |#1| (-301)) (|has| |#1| (-904))))) (-3045 (($ $) NIL (-2199 (-12 (|has| |#1| (-301)) (|has| |#1| (-904))) (|has| |#1| (-365))))) (-3498 (((-420 $) $) NIL (-2199 (-12 (|has| |#1| (-301)) (|has| |#1| (-904))) (|has| |#1| (-365))))) (-1904 (($ $) NIL (-12 (|has| |#1| (-1002)) (|has| |#1| (-1181))))) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (-12 (|has| |#1| (-301)) (|has| |#1| (-904))))) (-2589 (((-121) $ $) NIL (|has| |#1| (-301)))) (-3986 (((-763)) NIL (|has| |#1| (-370)))) (-1976 (($ $) NIL (|has| |#1| (-1181)))) (-2788 (($ $) NIL (|has| |#1| (-1181)))) (-1992 (($ $) NIL (|has| |#1| (-1181)))) (-1943 (($ $) NIL (|has| |#1| (-1181)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-568) "failed") $) NIL (|has| |#1| (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-3 |#1| "failed") $) NIL)) (-2857 (((-568) $) NIL (|has| |#1| (-1037 (-568)))) (((-409 (-568)) $) NIL (|has| |#1| (-1037 (-409 (-568))))) ((|#1| $) NIL)) (-3899 (($ (-1244 |#1|) (-1244 $)) NIL) (($ (-1244 |#1|)) NIL)) (-1368 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-350)))) (-2403 (($ $ $) NIL (|has| |#1| (-301)))) (-3653 (((-679 |#1|) $ (-1244 $)) NIL) (((-679 |#1|) $) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 |#1|))) (-679 $) (-1244 $)) NIL) (((-679 |#1|) (-679 $)) NIL)) (-3094 (($ (-1157 |#1|)) NIL) (((-3 $ "failed") (-409 (-1157 |#1|))) NIL (|has| |#1| (-365)))) (-2902 (((-3 $ "failed") $) NIL)) (-3859 ((|#1| $) 13)) (-3254 (((-3 (-409 (-568)) "failed") $) NIL (|has| |#1| (-550)))) (-1338 (((-121) $) NIL (|has| |#1| (-550)))) (-2394 (((-409 (-568)) $) NIL (|has| |#1| (-550)))) (-2371 (((-917)) NIL)) (-1733 (($) NIL (|has| |#1| (-370)))) (-2414 (($ $ $) NIL (|has| |#1| (-301)))) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL (|has| |#1| (-301)))) (-4188 (($) NIL (|has| |#1| (-350)))) (-1748 (((-121) $) NIL (|has| |#1| (-350)))) (-1887 (($ $ (-763)) NIL (|has| |#1| (-350))) (($ $) NIL (|has| |#1| (-350)))) (-2197 (((-121) $) NIL (-2199 (-12 (|has| |#1| (-301)) (|has| |#1| (-904))) (|has| |#1| (-365))))) (-1432 (((-2 (|:| |r| |#1|) (|:| |phi| |#1|)) $) NIL (-12 (|has| |#1| (-1056)) (|has| |#1| (-1181))))) (-1899 (($) NIL (|has| |#1| (-1181)))) (-1519 (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (|has| |#1| (-881 (-568)))) (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (|has| |#1| (-881 (-381))))) (-1844 (((-917) $) NIL (|has| |#1| (-350))) (((-828 (-917)) $) NIL (|has| |#1| (-350)))) (-1598 (((-121) $) 35)) (-1550 (($ $ (-568)) NIL (-12 (|has| |#1| (-1002)) (|has| |#1| (-1181))))) (-4417 ((|#1| $) 46)) (-2214 (((-3 $ "failed") $) NIL (|has| |#1| (-350)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-301)))) (-1497 (((-1157 |#1|) $) NIL (|has| |#1| (-365)))) (-1732 (($ $ $) NIL (|has| |#1| (-842)))) (-2047 (($ $ $) NIL (|has| |#1| (-842)))) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-2291 (((-917) $) NIL (|has| |#1| (-370)))) (-4418 (($ $) NIL (|has| |#1| (-1181)))) (-3087 (((-1157 |#1|) $) NIL)) (-2498 (($ (-634 $)) NIL (|has| |#1| (-301))) (($ $ $) NIL (|has| |#1| (-301)))) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL (|has| |#1| (-365)))) (-4436 (($) NIL (|has| |#1| (-350)) CONST)) (-4357 (($ (-917)) NIL (|has| |#1| (-370)))) (-2719 (($) NIL)) (-3868 ((|#1| $) 15)) (-4025 (((-1108) $) NIL)) (-2707 (($) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#1| (-301)))) (-2723 (($ (-634 $)) NIL (|has| |#1| (-301))) (($ $ $) NIL (|has| |#1| (-301)))) (-2172 (((-634 (-2 (|:| -3850 (-568)) (|:| -3483 (-568))))) NIL (|has| |#1| (-350)))) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (-12 (|has| |#1| (-301)) (|has| |#1| (-904))))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (-12 (|has| |#1| (-301)) (|has| |#1| (-904))))) (-3850 (((-420 $) $) NIL (-2199 (-12 (|has| |#1| (-301)) (|has| |#1| (-904))) (|has| |#1| (-365))))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-301))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#1| (-301)))) (-2597 (((-3 $ "failed") $ |#1|) 44 (|has| |#1| (-558))) (((-3 $ "failed") $ $) 47 (-2199 (-12 (|has| |#1| (-301)) (|has| |#1| (-904))) (|has| |#1| (-558))))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-301)))) (-1894 (($ $) NIL (|has| |#1| (-1181)))) (-1339 (($ $ (-634 |#1|) (-634 |#1|)) NIL (|has| |#1| (-303 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-303 |#1|))) (($ $ (-288 |#1|)) NIL (|has| |#1| (-303 |#1|))) (($ $ (-634 (-288 |#1|))) NIL (|has| |#1| (-303 |#1|))) (($ $ (-634 (-1161)) (-634 |#1|)) NIL (|has| |#1| (-523 (-1161) |#1|))) (($ $ (-1161) |#1|) NIL (|has| |#1| (-523 (-1161) |#1|)))) (-1466 (((-763) $) NIL (|has| |#1| (-301)))) (-2781 (($ $ |#1|) NIL (|has| |#1| (-281 |#1| |#1|)))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-301)))) (-3440 ((|#1| (-1244 $)) NIL) ((|#1|) NIL)) (-2721 (((-763) $) NIL (|has| |#1| (-350))) (((-3 (-763) "failed") $ $) NIL (|has| |#1| (-350)))) (-4191 (($ $ (-1 |#1| |#1|) (-763)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-763)) NIL (|has| |#1| (-225))) (($ $) NIL (|has| |#1| (-225)))) (-1391 (((-679 |#1|) (-1244 $) (-1 |#1| |#1|)) NIL (|has| |#1| (-365)))) (-1492 (((-1157 |#1|)) NIL)) (-1996 (($ $) NIL (|has| |#1| (-1181)))) (-1947 (($ $) NIL (|has| |#1| (-1181)))) (-2330 (($) NIL (|has| |#1| (-350)))) (-1988 (($ $) NIL (|has| |#1| (-1181)))) (-1939 (($ $) NIL (|has| |#1| (-1181)))) (-1980 (($ $) NIL (|has| |#1| (-1181)))) (-2792 (($ $) NIL (|has| |#1| (-1181)))) (-1656 (((-1244 |#1|) $ (-1244 $)) NIL) (((-679 |#1|) (-1244 $) (-1244 $)) NIL) (((-1244 |#1|) $) NIL) (((-679 |#1|) (-1244 $)) NIL)) (-4280 (((-1244 |#1|) $) NIL) (($ (-1244 |#1|)) NIL) (((-1157 |#1|) $) NIL) (($ (-1157 |#1|)) NIL) (((-887 (-568)) $) NIL (|has| |#1| (-609 (-887 (-568))))) (((-887 (-381)) $) NIL (|has| |#1| (-609 (-887 (-381))))) (((-169 (-381)) $) NIL (|has| |#1| (-1021))) (((-169 (-215)) $) NIL (|has| |#1| (-1021))) (((-541) $) NIL (|has| |#1| (-609 (-541))))) (-2387 (($ $) 45)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-2199 (-12 (|has| $ (-148)) (|has| |#1| (-301)) (|has| |#1| (-904))) (|has| |#1| (-350))))) (-4005 (($ |#1| |#1|) 37)) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ |#1|) 36) (($ (-409 (-568))) NIL (-2199 (|has| |#1| (-365)) (|has| |#1| (-1037 (-409 (-568)))))) (($ $) NIL (-2199 (-12 (|has| |#1| (-301)) (|has| |#1| (-904))) (|has| |#1| (-558))))) (-3385 (($ $) NIL (|has| |#1| (-350))) (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| |#1| (-301)) (|has| |#1| (-904))) (|has| |#1| (-148))))) (-1295 (((-1157 |#1|) $) NIL)) (-3425 (((-763)) NIL)) (-2588 (((-1244 $)) NIL)) (-2008 (($ $) NIL (|has| |#1| (-1181)))) (-1959 (($ $) NIL (|has| |#1| (-1181)))) (-2273 (((-121) $ $) NIL (-2199 (-12 (|has| |#1| (-301)) (|has| |#1| (-904))) (|has| |#1| (-558))))) (-2000 (($ $) NIL (|has| |#1| (-1181)))) (-1951 (($ $) NIL (|has| |#1| (-1181)))) (-2016 (($ $) NIL (|has| |#1| (-1181)))) (-1968 (($ $) NIL (|has| |#1| (-1181)))) (-2014 ((|#1| $) NIL (|has| |#1| (-1181)))) (-1439 (($ $) NIL (|has| |#1| (-1181)))) (-1972 (($ $) NIL (|has| |#1| (-1181)))) (-2012 (($ $) NIL (|has| |#1| (-1181)))) (-1964 (($ $) NIL (|has| |#1| (-1181)))) (-2004 (($ $) NIL (|has| |#1| (-1181)))) (-1955 (($ $) NIL (|has| |#1| (-1181)))) (-2811 (($ $) NIL (|has| |#1| (-1056)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| |#1| (-365)))) (-3058 (($) 28 T CONST)) (-1557 (($) 30 T CONST)) (-2628 (((-1143) $) 23 (|has| |#1| (-823))) (((-1143) $ (-121)) 25 (|has| |#1| (-823))) (((-1249) (-817) $) 26 (|has| |#1| (-823))) (((-1249) (-817) $ (-121)) 27 (|has| |#1| (-823)))) (-3192 (($ $ (-1 |#1| |#1|) (-763)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-763)) NIL (|has| |#1| (-225))) (($ $) NIL (|has| |#1| (-225)))) (-1753 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1781 (($ $ $) NIL (|has| |#1| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) 39)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-409 (-568))) NIL (-12 (|has| |#1| (-1002)) (|has| |#1| (-1181)))) (($ $ $) NIL (|has| |#1| (-1181))) (($ $ (-568)) NIL (|has| |#1| (-365)))) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 42) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-409 (-568)) $) NIL (|has| |#1| (-365))) (($ $ (-409 (-568))) NIL (|has| |#1| (-365))))) 
-(((-169 |#1|) (-13 (-166 |#1|) (-10 -7 (IF (|has| |#1| (-823)) (-6 (-823)) |noBranch|))) (-172)) (T -169)) 
-NIL 
-(-13 (-166 |#1|) (-10 -7 (IF (|has| |#1| (-823)) (-6 (-823)) |noBranch|))) 
-((-4280 (((-887 |#1|) |#3|) 22))) 
-(((-170 |#1| |#2| |#3|) (-10 -7 (-15 -4280 ((-887 |#1|) |#3|))) (-1090) (-13 (-609 (-887 |#1|)) (-172)) (-166 |#2|)) (T -170)) 
-((-4280 (*1 *2 *3) (-12 (-4 *5 (-13 (-609 *2) (-172))) (-5 *2 (-887 *4)) (-5 *1 (-170 *4 *5 *3)) (-4 *4 (-1090)) (-4 *3 (-166 *5))))) 
-(-10 -7 (-15 -4280 ((-887 |#1|) |#3|))) 
-((-2449 (((-121) $ $) NIL)) (-2392 (((-121) $) 9)) (-3548 (((-121) $ (-121)) 11)) (-1851 (($) 12)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-3865 (($ $) 13)) (-2747 (((-850) $) 17)) (-4429 (((-121) $) 8)) (-4094 (((-121) $ (-121)) 10)) (-1719 (((-121) $ $) NIL))) 
-(((-171) (-13 (-1090) (-10 -8 (-15 -1851 ($)) (-15 -4429 ((-121) $)) (-15 -2392 ((-121) $)) (-15 -4094 ((-121) $ (-121))) (-15 -3548 ((-121) $ (-121))) (-15 -3865 ($ $))))) (T -171)) 
-((-1851 (*1 *1) (-5 *1 (-171))) (-4429 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-171)))) (-2392 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-171)))) (-4094 (*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-171)))) (-3548 (*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-171)))) (-3865 (*1 *1 *1) (-5 *1 (-171)))) 
-(-13 (-1090) (-10 -8 (-15 -1851 ($)) (-15 -4429 ((-121) $)) (-15 -2392 ((-121) $)) (-15 -4094 ((-121) $ (-121))) (-15 -3548 ((-121) $ (-121))) (-15 -3865 ($ $)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-2902 (((-3 $ "failed") $) 33)) (-1598 (((-121) $) 30)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11) (($ (-568)) 27)) (-3425 (((-763)) 28)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23))) 
-(((-172) (-1275)) (T -172)) 
-NIL 
-(-13 (-1047) (-120 $ $) (-10 -7 (-6 (-4523 "*")))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 $ $) . T) ((-137) . T) ((-608 (-850)) . T) ((-637 $) . T) ((-716) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2563 ((|#1| $) 74)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2589 (((-121) $ $) NIL)) (-4490 (($) NIL T CONST)) (-2403 (($ $ $) NIL)) (-3532 (($ $) 19)) (-3081 (($ |#1| (-1141 |#1|)) 47)) (-2902 (((-3 $ "failed") $) 116)) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-2197 (((-121) $) NIL)) (-2175 (((-1141 |#1|) $) 81)) (-4260 (((-1141 |#1|) $) 78)) (-4110 (((-1141 |#1|) $) 79)) (-1598 (((-121) $) NIL)) (-1584 (((-1141 |#1|) $) 87)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-2498 (($ (-634 $)) NIL) (($ $ $) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL)) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ (-634 $)) NIL) (($ $ $) NIL)) (-3850 (((-420 $) $) NIL)) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL)) (-2168 (($ $ (-568)) 90)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-3450 (((-1141 |#1|) $) 88)) (-3426 (((-1141 (-409 |#1|)) $) 13)) (-1991 (($ (-409 |#1|)) 17) (($ |#1| (-1141 |#1|) (-1141 |#1|)) 37)) (-2188 (($ $) 92)) (-2747 (((-850) $) 126) (($ (-568)) 50) (($ |#1|) 51) (($ (-409 |#1|)) 35) (($ (-409 (-568))) NIL) (($ $) NIL)) (-3425 (((-763)) 63)) (-2273 (((-121) $ $) NIL)) (-1664 (((-1141 (-409 |#1|)) $) 18)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) 25 T CONST)) (-1557 (($) 28 T CONST)) (-1719 (((-121) $ $) 34)) (-1781 (($ $ $) 114)) (-1775 (($ $) 105) (($ $ $) 102)) (-1769 (($ $ $) 100)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 112) (($ $ $) 107) (($ $ |#1|) NIL) (($ |#1| $) 109) (($ (-409 |#1|) $) 110) (($ $ (-409 |#1|)) NIL) (($ (-409 (-568)) $) NIL) (($ $ (-409 (-568))) NIL))) 
-(((-173 |#1|) (-13 (-43 |#1|) (-43 (-409 |#1|)) (-365) (-10 -8 (-15 -1991 ($ (-409 |#1|))) (-15 -1991 ($ |#1| (-1141 |#1|) (-1141 |#1|))) (-15 -3081 ($ |#1| (-1141 |#1|))) (-15 -4260 ((-1141 |#1|) $)) (-15 -4110 ((-1141 |#1|) $)) (-15 -2175 ((-1141 |#1|) $)) (-15 -2563 (|#1| $)) (-15 -3532 ($ $)) (-15 -1664 ((-1141 (-409 |#1|)) $)) (-15 -3426 ((-1141 (-409 |#1|)) $)) (-15 -1584 ((-1141 |#1|) $)) (-15 -3450 ((-1141 |#1|) $)) (-15 -2168 ($ $ (-568))) (-15 -2188 ($ $)))) (-301)) (T -173)) 
-((-1991 (*1 *1 *2) (-12 (-5 *2 (-409 *3)) (-4 *3 (-301)) (-5 *1 (-173 *3)))) (-1991 (*1 *1 *2 *3 *3) (-12 (-5 *3 (-1141 *2)) (-4 *2 (-301)) (-5 *1 (-173 *2)))) (-3081 (*1 *1 *2 *3) (-12 (-5 *3 (-1141 *2)) (-4 *2 (-301)) (-5 *1 (-173 *2)))) (-4260 (*1 *2 *1) (-12 (-5 *2 (-1141 *3)) (-5 *1 (-173 *3)) (-4 *3 (-301)))) (-4110 (*1 *2 *1) (-12 (-5 *2 (-1141 *3)) (-5 *1 (-173 *3)) (-4 *3 (-301)))) (-2175 (*1 *2 *1) (-12 (-5 *2 (-1141 *3)) (-5 *1 (-173 *3)) (-4 *3 (-301)))) (-2563 (*1 *2 *1) (-12 (-5 *1 (-173 *2)) (-4 *2 (-301)))) (-3532 (*1 *1 *1) (-12 (-5 *1 (-173 *2)) (-4 *2 (-301)))) (-1664 (*1 *2 *1) (-12 (-5 *2 (-1141 (-409 *3))) (-5 *1 (-173 *3)) (-4 *3 (-301)))) (-3426 (*1 *2 *1) (-12 (-5 *2 (-1141 (-409 *3))) (-5 *1 (-173 *3)) (-4 *3 (-301)))) (-1584 (*1 *2 *1) (-12 (-5 *2 (-1141 *3)) (-5 *1 (-173 *3)) (-4 *3 (-301)))) (-3450 (*1 *2 *1) (-12 (-5 *2 (-1141 *3)) (-5 *1 (-173 *3)) (-4 *3 (-301)))) (-2168 (*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-173 *3)) (-4 *3 (-301)))) (-2188 (*1 *1 *1) (-12 (-5 *1 (-173 *2)) (-4 *2 (-301))))) 
-(-13 (-43 |#1|) (-43 (-409 |#1|)) (-365) (-10 -8 (-15 -1991 ($ (-409 |#1|))) (-15 -1991 ($ |#1| (-1141 |#1|) (-1141 |#1|))) (-15 -3081 ($ |#1| (-1141 |#1|))) (-15 -4260 ((-1141 |#1|) $)) (-15 -4110 ((-1141 |#1|) $)) (-15 -2175 ((-1141 |#1|) $)) (-15 -2563 (|#1| $)) (-15 -3532 ($ $)) (-15 -1664 ((-1141 (-409 |#1|)) $)) (-15 -3426 ((-1141 (-409 |#1|)) $)) (-15 -1584 ((-1141 |#1|) $)) (-15 -3450 ((-1141 |#1|) $)) (-15 -2168 ($ $ (-568))) (-15 -2188 ($ $)))) 
-((-3801 (((-1 (-944 |#1|) (-944 |#1|)) |#1|) 40)) (-2070 (((-944 |#1|) (-944 |#1|)) 19)) (-2246 (((-1 (-944 |#1|) (-944 |#1|)) |#1|) 36)) (-1289 (((-944 |#1|) (-944 |#1|)) 17)) (-1931 (((-944 |#1|) (-944 |#1|)) 25)) (-2901 (((-944 |#1|) (-944 |#1|)) 24)) (-1535 (((-944 |#1|) (-944 |#1|)) 23)) (-4112 (((-1 (-944 |#1|) (-944 |#1|)) |#1|) 37)) (-4171 (((-1 (-944 |#1|) (-944 |#1|)) |#1|) 35)) (-3146 (((-1 (-944 |#1|) (-944 |#1|)) |#1|) 34)) (-2411 (((-944 |#1|) (-944 |#1|)) 18)) (-3109 (((-1 (-944 |#1|) (-944 |#1|)) |#1| |#1|) 43)) (-4245 (((-944 |#1|) (-944 |#1|)) 8)) (-4045 (((-1 (-944 |#1|) (-944 |#1|)) |#1|) 39)) (-1427 (((-1 (-944 |#1|) (-944 |#1|)) |#1|) 38))) 
-(((-174 |#1|) (-10 -7 (-15 -4245 ((-944 |#1|) (-944 |#1|))) (-15 -1289 ((-944 |#1|) (-944 |#1|))) (-15 -2411 ((-944 |#1|) (-944 |#1|))) (-15 -2070 ((-944 |#1|) (-944 |#1|))) (-15 -1535 ((-944 |#1|) (-944 |#1|))) (-15 -2901 ((-944 |#1|) (-944 |#1|))) (-15 -1931 ((-944 |#1|) (-944 |#1|))) (-15 -3146 ((-1 (-944 |#1|) (-944 |#1|)) |#1|)) (-15 -4171 ((-1 (-944 |#1|) (-944 |#1|)) |#1|)) (-15 -2246 ((-1 (-944 |#1|) (-944 |#1|)) |#1|)) (-15 -4112 ((-1 (-944 |#1|) (-944 |#1|)) |#1|)) (-15 -1427 ((-1 (-944 |#1|) (-944 |#1|)) |#1|)) (-15 -4045 ((-1 (-944 |#1|) (-944 |#1|)) |#1|)) (-15 -3801 ((-1 (-944 |#1|) (-944 |#1|)) |#1|)) (-15 -3109 ((-1 (-944 |#1|) (-944 |#1|)) |#1| |#1|))) (-13 (-365) (-1181) (-1002))) (T -174)) 
-((-3109 (*1 *2 *3 *3) (-12 (-5 *2 (-1 (-944 *3) (-944 *3))) (-5 *1 (-174 *3)) (-4 *3 (-13 (-365) (-1181) (-1002))))) (-3801 (*1 *2 *3) (-12 (-5 *2 (-1 (-944 *3) (-944 *3))) (-5 *1 (-174 *3)) (-4 *3 (-13 (-365) (-1181) (-1002))))) (-4045 (*1 *2 *3) (-12 (-5 *2 (-1 (-944 *3) (-944 *3))) (-5 *1 (-174 *3)) (-4 *3 (-13 (-365) (-1181) (-1002))))) (-1427 (*1 *2 *3) (-12 (-5 *2 (-1 (-944 *3) (-944 *3))) (-5 *1 (-174 *3)) (-4 *3 (-13 (-365) (-1181) (-1002))))) (-4112 (*1 *2 *3) (-12 (-5 *2 (-1 (-944 *3) (-944 *3))) (-5 *1 (-174 *3)) (-4 *3 (-13 (-365) (-1181) (-1002))))) (-2246 (*1 *2 *3) (-12 (-5 *2 (-1 (-944 *3) (-944 *3))) (-5 *1 (-174 *3)) (-4 *3 (-13 (-365) (-1181) (-1002))))) (-4171 (*1 *2 *3) (-12 (-5 *2 (-1 (-944 *3) (-944 *3))) (-5 *1 (-174 *3)) (-4 *3 (-13 (-365) (-1181) (-1002))))) (-3146 (*1 *2 *3) (-12 (-5 *2 (-1 (-944 *3) (-944 *3))) (-5 *1 (-174 *3)) (-4 *3 (-13 (-365) (-1181) (-1002))))) (-1931 (*1 *2 *2) (-12 (-5 *2 (-944 *3)) (-4 *3 (-13 (-365) (-1181) (-1002))) (-5 *1 (-174 *3)))) (-2901 (*1 *2 *2) (-12 (-5 *2 (-944 *3)) (-4 *3 (-13 (-365) (-1181) (-1002))) (-5 *1 (-174 *3)))) (-1535 (*1 *2 *2) (-12 (-5 *2 (-944 *3)) (-4 *3 (-13 (-365) (-1181) (-1002))) (-5 *1 (-174 *3)))) (-2070 (*1 *2 *2) (-12 (-5 *2 (-944 *3)) (-4 *3 (-13 (-365) (-1181) (-1002))) (-5 *1 (-174 *3)))) (-2411 (*1 *2 *2) (-12 (-5 *2 (-944 *3)) (-4 *3 (-13 (-365) (-1181) (-1002))) (-5 *1 (-174 *3)))) (-1289 (*1 *2 *2) (-12 (-5 *2 (-944 *3)) (-4 *3 (-13 (-365) (-1181) (-1002))) (-5 *1 (-174 *3)))) (-4245 (*1 *2 *2) (-12 (-5 *2 (-944 *3)) (-4 *3 (-13 (-365) (-1181) (-1002))) (-5 *1 (-174 *3))))) 
-(-10 -7 (-15 -4245 ((-944 |#1|) (-944 |#1|))) (-15 -1289 ((-944 |#1|) (-944 |#1|))) (-15 -2411 ((-944 |#1|) (-944 |#1|))) (-15 -2070 ((-944 |#1|) (-944 |#1|))) (-15 -1535 ((-944 |#1|) (-944 |#1|))) (-15 -2901 ((-944 |#1|) (-944 |#1|))) (-15 -1931 ((-944 |#1|) (-944 |#1|))) (-15 -3146 ((-1 (-944 |#1|) (-944 |#1|)) |#1|)) (-15 -4171 ((-1 (-944 |#1|) (-944 |#1|)) |#1|)) (-15 -2246 ((-1 (-944 |#1|) (-944 |#1|)) |#1|)) (-15 -4112 ((-1 (-944 |#1|) (-944 |#1|)) |#1|)) (-15 -1427 ((-1 (-944 |#1|) (-944 |#1|)) |#1|)) (-15 -4045 ((-1 (-944 |#1|) (-944 |#1|)) |#1|)) (-15 -3801 ((-1 (-944 |#1|) (-944 |#1|)) |#1|)) (-15 -3109 ((-1 (-944 |#1|) (-944 |#1|)) |#1| |#1|))) 
-((-1295 ((|#2| |#3|) 27))) 
-(((-175 |#1| |#2| |#3|) (-10 -7 (-15 -1295 (|#2| |#3|))) (-172) (-1219 |#1|) (-714 |#1| |#2|)) (T -175)) 
-((-1295 (*1 *2 *3) (-12 (-4 *4 (-172)) (-4 *2 (-1219 *4)) (-5 *1 (-175 *4 *2 *3)) (-4 *3 (-714 *4 *2))))) 
-(-10 -7 (-15 -1295 (|#2| |#3|))) 
-((-1519 (((-884 |#1| |#3|) |#3| (-887 |#1|) (-884 |#1| |#3|)) 47 (|has| (-953 |#2|) (-881 |#1|))))) 
-(((-176 |#1| |#2| |#3|) (-10 -7 (IF (|has| (-953 |#2|) (-881 |#1|)) (-15 -1519 ((-884 |#1| |#3|) |#3| (-887 |#1|) (-884 |#1| |#3|))) |noBranch|)) (-1090) (-13 (-881 |#1|) (-172)) (-166 |#2|)) (T -176)) 
-((-1519 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-884 *5 *3)) (-5 *4 (-887 *5)) (-4 *5 (-1090)) (-4 *3 (-166 *6)) (-4 (-953 *6) (-881 *5)) (-4 *6 (-13 (-881 *5) (-172))) (-5 *1 (-176 *5 *6 *3))))) 
-(-10 -7 (IF (|has| (-953 |#2|) (-881 |#1|)) (-15 -1519 ((-884 |#1| |#3|) |#3| (-887 |#1|) (-884 |#1| |#3|))) |noBranch|)) 
-((-3298 (((-634 |#1|) (-634 |#1|) |#1|) 36)) (-1639 (((-634 |#1|) |#1| (-634 |#1|)) 19)) (-3500 (((-634 |#1|) (-634 (-634 |#1|)) (-634 |#1|)) 31) ((|#1| (-634 |#1|) (-634 |#1|)) 29))) 
-(((-177 |#1|) (-10 -7 (-15 -1639 ((-634 |#1|) |#1| (-634 |#1|))) (-15 -3500 (|#1| (-634 |#1|) (-634 |#1|))) (-15 -3500 ((-634 |#1|) (-634 (-634 |#1|)) (-634 |#1|))) (-15 -3298 ((-634 |#1|) (-634 |#1|) |#1|))) (-301)) (T -177)) 
-((-3298 (*1 *2 *2 *3) (-12 (-5 *2 (-634 *3)) (-4 *3 (-301)) (-5 *1 (-177 *3)))) (-3500 (*1 *2 *3 *2) (-12 (-5 *3 (-634 (-634 *4))) (-5 *2 (-634 *4)) (-4 *4 (-301)) (-5 *1 (-177 *4)))) (-3500 (*1 *2 *3 *3) (-12 (-5 *3 (-634 *2)) (-5 *1 (-177 *2)) (-4 *2 (-301)))) (-1639 (*1 *2 *3 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-301)) (-5 *1 (-177 *3))))) 
-(-10 -7 (-15 -1639 ((-634 |#1|) |#1| (-634 |#1|))) (-15 -3500 (|#1| (-634 |#1|) (-634 |#1|))) (-15 -3500 ((-634 |#1|) (-634 (-634 |#1|)) (-634 |#1|))) (-15 -3298 ((-634 |#1|) (-634 |#1|) |#1|))) 
-((-1648 (((-2 (|:| |start| |#2|) (|:| -2075 (-420 |#2|))) |#2|) 61)) (-3350 ((|#1| |#1|) 54)) (-2361 (((-169 |#1|) |#2|) 82)) (-4197 ((|#1| |#2|) 122) ((|#1| |#2| |#1|) 80)) (-3074 ((|#2| |#2|) 81)) (-1978 (((-420 |#2|) |#2| |#1|) 112) (((-420 |#2|) |#2| |#1| (-121)) 79)) (-4417 ((|#1| |#2|) 111)) (-4213 ((|#2| |#2|) 118)) (-3850 (((-420 |#2|) |#2|) 133) (((-420 |#2|) |#2| |#1|) 32) (((-420 |#2|) |#2| |#1| (-121)) 132)) (-3571 (((-634 (-2 (|:| -2075 (-634 |#2|)) (|:| -2185 |#1|))) |#2| |#2|) 131) (((-634 (-2 (|:| -2075 (-634 |#2|)) (|:| -2185 |#1|))) |#2| |#2| (-121)) 75)) (-2201 (((-634 (-169 |#1|)) |#2| |#1|) 40) (((-634 (-169 |#1|)) |#2|) 41))) 
-(((-178 |#1| |#2|) (-10 -7 (-15 -2201 ((-634 (-169 |#1|)) |#2|)) (-15 -2201 ((-634 (-169 |#1|)) |#2| |#1|)) (-15 -3571 ((-634 (-2 (|:| -2075 (-634 |#2|)) (|:| -2185 |#1|))) |#2| |#2| (-121))) (-15 -3571 ((-634 (-2 (|:| -2075 (-634 |#2|)) (|:| -2185 |#1|))) |#2| |#2|)) (-15 -3850 ((-420 |#2|) |#2| |#1| (-121))) (-15 -3850 ((-420 |#2|) |#2| |#1|)) (-15 -3850 ((-420 |#2|) |#2|)) (-15 -4213 (|#2| |#2|)) (-15 -4417 (|#1| |#2|)) (-15 -1978 ((-420 |#2|) |#2| |#1| (-121))) (-15 -1978 ((-420 |#2|) |#2| |#1|)) (-15 -3074 (|#2| |#2|)) (-15 -4197 (|#1| |#2| |#1|)) (-15 -4197 (|#1| |#2|)) (-15 -2361 ((-169 |#1|) |#2|)) (-15 -3350 (|#1| |#1|)) (-15 -1648 ((-2 (|:| |start| |#2|) (|:| -2075 (-420 |#2|))) |#2|))) (-13 (-365) (-840)) (-1219 (-169 |#1|))) (T -178)) 
-((-1648 (*1 *2 *3) (-12 (-4 *4 (-13 (-365) (-840))) (-5 *2 (-2 (|:| |start| *3) (|:| -2075 (-420 *3)))) (-5 *1 (-178 *4 *3)) (-4 *3 (-1219 (-169 *4))))) (-3350 (*1 *2 *2) (-12 (-4 *2 (-13 (-365) (-840))) (-5 *1 (-178 *2 *3)) (-4 *3 (-1219 (-169 *2))))) (-2361 (*1 *2 *3) (-12 (-5 *2 (-169 *4)) (-5 *1 (-178 *4 *3)) (-4 *4 (-13 (-365) (-840))) (-4 *3 (-1219 *2)))) (-4197 (*1 *2 *3) (-12 (-4 *2 (-13 (-365) (-840))) (-5 *1 (-178 *2 *3)) (-4 *3 (-1219 (-169 *2))))) (-4197 (*1 *2 *3 *2) (-12 (-4 *2 (-13 (-365) (-840))) (-5 *1 (-178 *2 *3)) (-4 *3 (-1219 (-169 *2))))) (-3074 (*1 *2 *2) (-12 (-4 *3 (-13 (-365) (-840))) (-5 *1 (-178 *3 *2)) (-4 *2 (-1219 (-169 *3))))) (-1978 (*1 *2 *3 *4) (-12 (-4 *4 (-13 (-365) (-840))) (-5 *2 (-420 *3)) (-5 *1 (-178 *4 *3)) (-4 *3 (-1219 (-169 *4))))) (-1978 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *4 (-13 (-365) (-840))) (-5 *2 (-420 *3)) (-5 *1 (-178 *4 *3)) (-4 *3 (-1219 (-169 *4))))) (-4417 (*1 *2 *3) (-12 (-4 *2 (-13 (-365) (-840))) (-5 *1 (-178 *2 *3)) (-4 *3 (-1219 (-169 *2))))) (-4213 (*1 *2 *2) (-12 (-4 *3 (-13 (-365) (-840))) (-5 *1 (-178 *3 *2)) (-4 *2 (-1219 (-169 *3))))) (-3850 (*1 *2 *3) (-12 (-4 *4 (-13 (-365) (-840))) (-5 *2 (-420 *3)) (-5 *1 (-178 *4 *3)) (-4 *3 (-1219 (-169 *4))))) (-3850 (*1 *2 *3 *4) (-12 (-4 *4 (-13 (-365) (-840))) (-5 *2 (-420 *3)) (-5 *1 (-178 *4 *3)) (-4 *3 (-1219 (-169 *4))))) (-3850 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *4 (-13 (-365) (-840))) (-5 *2 (-420 *3)) (-5 *1 (-178 *4 *3)) (-4 *3 (-1219 (-169 *4))))) (-3571 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-365) (-840))) (-5 *2 (-634 (-2 (|:| -2075 (-634 *3)) (|:| -2185 *4)))) (-5 *1 (-178 *4 *3)) (-4 *3 (-1219 (-169 *4))))) (-3571 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-365) (-840))) (-5 *2 (-634 (-2 (|:| -2075 (-634 *3)) (|:| -2185 *5)))) (-5 *1 (-178 *5 *3)) (-4 *3 (-1219 (-169 *5))))) (-2201 (*1 *2 *3 *4) (-12 (-4 *4 (-13 (-365) (-840))) (-5 *2 (-634 (-169 *4))) (-5 *1 (-178 *4 *3)) (-4 *3 (-1219 (-169 *4))))) (-2201 (*1 *2 *3) (-12 (-4 *4 (-13 (-365) (-840))) (-5 *2 (-634 (-169 *4))) (-5 *1 (-178 *4 *3)) (-4 *3 (-1219 (-169 *4)))))) 
-(-10 -7 (-15 -2201 ((-634 (-169 |#1|)) |#2|)) (-15 -2201 ((-634 (-169 |#1|)) |#2| |#1|)) (-15 -3571 ((-634 (-2 (|:| -2075 (-634 |#2|)) (|:| -2185 |#1|))) |#2| |#2| (-121))) (-15 -3571 ((-634 (-2 (|:| -2075 (-634 |#2|)) (|:| -2185 |#1|))) |#2| |#2|)) (-15 -3850 ((-420 |#2|) |#2| |#1| (-121))) (-15 -3850 ((-420 |#2|) |#2| |#1|)) (-15 -3850 ((-420 |#2|) |#2|)) (-15 -4213 (|#2| |#2|)) (-15 -4417 (|#1| |#2|)) (-15 -1978 ((-420 |#2|) |#2| |#1| (-121))) (-15 -1978 ((-420 |#2|) |#2| |#1|)) (-15 -3074 (|#2| |#2|)) (-15 -4197 (|#1| |#2| |#1|)) (-15 -4197 (|#1| |#2|)) (-15 -2361 ((-169 |#1|) |#2|)) (-15 -3350 (|#1| |#1|)) (-15 -1648 ((-2 (|:| |start| |#2|) (|:| -2075 (-420 |#2|))) |#2|))) 
-((-2302 (((-3 |#2| "failed") |#2|) 14)) (-4442 (((-763) |#2|) 16)) (-2754 ((|#2| |#2| |#2|) 18))) 
-(((-179 |#1| |#2|) (-10 -7 (-15 -2302 ((-3 |#2| "failed") |#2|)) (-15 -4442 ((-763) |#2|)) (-15 -2754 (|#2| |#2| |#2|))) (-1195) (-665 |#1|)) (T -179)) 
-((-2754 (*1 *2 *2 *2) (-12 (-4 *3 (-1195)) (-5 *1 (-179 *3 *2)) (-4 *2 (-665 *3)))) (-4442 (*1 *2 *3) (-12 (-4 *4 (-1195)) (-5 *2 (-763)) (-5 *1 (-179 *4 *3)) (-4 *3 (-665 *4)))) (-2302 (*1 *2 *2) (|partial| -12 (-4 *3 (-1195)) (-5 *1 (-179 *3 *2)) (-4 *2 (-665 *3))))) 
-(-10 -7 (-15 -2302 ((-3 |#2| "failed") |#2|)) (-15 -4442 ((-763) |#2|)) (-15 -2754 (|#2| |#2| |#2|))) 
-((-2634 ((|#2| |#2|) 28)) (-4293 (((-121) |#2|) 19)) (-3859 (((-310 |#1|) |#2|) 12)) (-3868 (((-310 |#1|) |#2|) 14)) (-3758 ((|#2| |#2| (-1161)) 68) ((|#2| |#2|) 69)) (-2732 (((-169 (-310 |#1|)) |#2|) 9)) (-2009 ((|#2| |#2| (-1161)) 65) ((|#2| |#2|) 58))) 
-(((-180 |#1| |#2|) (-10 -7 (-15 -3758 (|#2| |#2|)) (-15 -3758 (|#2| |#2| (-1161))) (-15 -2009 (|#2| |#2|)) (-15 -2009 (|#2| |#2| (-1161))) (-15 -3859 ((-310 |#1|) |#2|)) (-15 -3868 ((-310 |#1|) |#2|)) (-15 -4293 ((-121) |#2|)) (-15 -2634 (|#2| |#2|)) (-15 -2732 ((-169 (-310 |#1|)) |#2|))) (-13 (-558) (-842) (-1037 (-568))) (-13 (-27) (-1181) (-432 (-169 |#1|)))) (T -180)) 
-((-2732 (*1 *2 *3) (-12 (-4 *4 (-13 (-558) (-842) (-1037 (-568)))) (-5 *2 (-169 (-310 *4))) (-5 *1 (-180 *4 *3)) (-4 *3 (-13 (-27) (-1181) (-432 (-169 *4)))))) (-2634 (*1 *2 *2) (-12 (-4 *3 (-13 (-558) (-842) (-1037 (-568)))) (-5 *1 (-180 *3 *2)) (-4 *2 (-13 (-27) (-1181) (-432 (-169 *3)))))) (-4293 (*1 *2 *3) (-12 (-4 *4 (-13 (-558) (-842) (-1037 (-568)))) (-5 *2 (-121)) (-5 *1 (-180 *4 *3)) (-4 *3 (-13 (-27) (-1181) (-432 (-169 *4)))))) (-3868 (*1 *2 *3) (-12 (-4 *4 (-13 (-558) (-842) (-1037 (-568)))) (-5 *2 (-310 *4)) (-5 *1 (-180 *4 *3)) (-4 *3 (-13 (-27) (-1181) (-432 (-169 *4)))))) (-3859 (*1 *2 *3) (-12 (-4 *4 (-13 (-558) (-842) (-1037 (-568)))) (-5 *2 (-310 *4)) (-5 *1 (-180 *4 *3)) (-4 *3 (-13 (-27) (-1181) (-432 (-169 *4)))))) (-2009 (*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-558) (-842) (-1037 (-568)))) (-5 *1 (-180 *4 *2)) (-4 *2 (-13 (-27) (-1181) (-432 (-169 *4)))))) (-2009 (*1 *2 *2) (-12 (-4 *3 (-13 (-558) (-842) (-1037 (-568)))) (-5 *1 (-180 *3 *2)) (-4 *2 (-13 (-27) (-1181) (-432 (-169 *3)))))) (-3758 (*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-558) (-842) (-1037 (-568)))) (-5 *1 (-180 *4 *2)) (-4 *2 (-13 (-27) (-1181) (-432 (-169 *4)))))) (-3758 (*1 *2 *2) (-12 (-4 *3 (-13 (-558) (-842) (-1037 (-568)))) (-5 *1 (-180 *3 *2)) (-4 *2 (-13 (-27) (-1181) (-432 (-169 *3))))))) 
-(-10 -7 (-15 -3758 (|#2| |#2|)) (-15 -3758 (|#2| |#2| (-1161))) (-15 -2009 (|#2| |#2|)) (-15 -2009 (|#2| |#2| (-1161))) (-15 -3859 ((-310 |#1|) |#2|)) (-15 -3868 ((-310 |#1|) |#2|)) (-15 -4293 ((-121) |#2|)) (-15 -2634 (|#2| |#2|)) (-15 -2732 ((-169 (-310 |#1|)) |#2|))) 
-((-2405 (((-1244 (-679 (-953 |#1|))) (-1244 (-679 |#1|))) 22)) (-2747 (((-1244 (-679 (-409 (-953 |#1|)))) (-1244 (-679 |#1|))) 30))) 
-(((-181 |#1|) (-10 -7 (-15 -2405 ((-1244 (-679 (-953 |#1|))) (-1244 (-679 |#1|)))) (-15 -2747 ((-1244 (-679 (-409 (-953 |#1|)))) (-1244 (-679 |#1|))))) (-172)) (T -181)) 
-((-2747 (*1 *2 *3) (-12 (-5 *3 (-1244 (-679 *4))) (-4 *4 (-172)) (-5 *2 (-1244 (-679 (-409 (-953 *4))))) (-5 *1 (-181 *4)))) (-2405 (*1 *2 *3) (-12 (-5 *3 (-1244 (-679 *4))) (-4 *4 (-172)) (-5 *2 (-1244 (-679 (-953 *4)))) (-5 *1 (-181 *4))))) 
-(-10 -7 (-15 -2405 ((-1244 (-679 (-953 |#1|))) (-1244 (-679 |#1|)))) (-15 -2747 ((-1244 (-679 (-409 (-953 |#1|)))) (-1244 (-679 |#1|))))) 
-((-4160 (((-1163 (-409 (-568))) (-1163 (-409 (-568))) (-1163 (-409 (-568)))) 66)) (-1410 (((-1163 (-409 (-568))) (-634 (-568)) (-634 (-568))) 74)) (-2757 (((-1163 (-409 (-568))) (-568)) 40)) (-3066 (((-1163 (-409 (-568))) (-568)) 52)) (-1339 (((-409 (-568)) (-1163 (-409 (-568)))) 62)) (-4209 (((-1163 (-409 (-568))) (-568)) 32)) (-3427 (((-1163 (-409 (-568))) (-568)) 48)) (-4373 (((-1163 (-409 (-568))) (-568)) 46)) (-3806 (((-1163 (-409 (-568))) (-1163 (-409 (-568))) (-1163 (-409 (-568)))) 60)) (-2188 (((-1163 (-409 (-568))) (-568)) 25)) (-3386 (((-409 (-568)) (-1163 (-409 (-568))) (-1163 (-409 (-568)))) 64)) (-4207 (((-1163 (-409 (-568))) (-568)) 30)) (-1810 (((-1163 (-409 (-568))) (-634 (-568))) 71))) 
-(((-182) (-10 -7 (-15 -2188 ((-1163 (-409 (-568))) (-568))) (-15 -2757 ((-1163 (-409 (-568))) (-568))) (-15 -4209 ((-1163 (-409 (-568))) (-568))) (-15 -4207 ((-1163 (-409 (-568))) (-568))) (-15 -4373 ((-1163 (-409 (-568))) (-568))) (-15 -3427 ((-1163 (-409 (-568))) (-568))) (-15 -3066 ((-1163 (-409 (-568))) (-568))) (-15 -3386 ((-409 (-568)) (-1163 (-409 (-568))) (-1163 (-409 (-568))))) (-15 -3806 ((-1163 (-409 (-568))) (-1163 (-409 (-568))) (-1163 (-409 (-568))))) (-15 -1339 ((-409 (-568)) (-1163 (-409 (-568))))) (-15 -4160 ((-1163 (-409 (-568))) (-1163 (-409 (-568))) (-1163 (-409 (-568))))) (-15 -1810 ((-1163 (-409 (-568))) (-634 (-568)))) (-15 -1410 ((-1163 (-409 (-568))) (-634 (-568)) (-634 (-568)))))) (T -182)) 
-((-1410 (*1 *2 *3 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-1163 (-409 (-568)))) (-5 *1 (-182)))) (-1810 (*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-1163 (-409 (-568)))) (-5 *1 (-182)))) (-4160 (*1 *2 *2 *2) (-12 (-5 *2 (-1163 (-409 (-568)))) (-5 *1 (-182)))) (-1339 (*1 *2 *3) (-12 (-5 *3 (-1163 (-409 (-568)))) (-5 *2 (-409 (-568))) (-5 *1 (-182)))) (-3806 (*1 *2 *2 *2) (-12 (-5 *2 (-1163 (-409 (-568)))) (-5 *1 (-182)))) (-3386 (*1 *2 *3 *3) (-12 (-5 *3 (-1163 (-409 (-568)))) (-5 *2 (-409 (-568))) (-5 *1 (-182)))) (-3066 (*1 *2 *3) (-12 (-5 *2 (-1163 (-409 (-568)))) (-5 *1 (-182)) (-5 *3 (-568)))) (-3427 (*1 *2 *3) (-12 (-5 *2 (-1163 (-409 (-568)))) (-5 *1 (-182)) (-5 *3 (-568)))) (-4373 (*1 *2 *3) (-12 (-5 *2 (-1163 (-409 (-568)))) (-5 *1 (-182)) (-5 *3 (-568)))) (-4207 (*1 *2 *3) (-12 (-5 *2 (-1163 (-409 (-568)))) (-5 *1 (-182)) (-5 *3 (-568)))) (-4209 (*1 *2 *3) (-12 (-5 *2 (-1163 (-409 (-568)))) (-5 *1 (-182)) (-5 *3 (-568)))) (-2757 (*1 *2 *3) (-12 (-5 *2 (-1163 (-409 (-568)))) (-5 *1 (-182)) (-5 *3 (-568)))) (-2188 (*1 *2 *3) (-12 (-5 *2 (-1163 (-409 (-568)))) (-5 *1 (-182)) (-5 *3 (-568))))) 
-(-10 -7 (-15 -2188 ((-1163 (-409 (-568))) (-568))) (-15 -2757 ((-1163 (-409 (-568))) (-568))) (-15 -4209 ((-1163 (-409 (-568))) (-568))) (-15 -4207 ((-1163 (-409 (-568))) (-568))) (-15 -4373 ((-1163 (-409 (-568))) (-568))) (-15 -3427 ((-1163 (-409 (-568))) (-568))) (-15 -3066 ((-1163 (-409 (-568))) (-568))) (-15 -3386 ((-409 (-568)) (-1163 (-409 (-568))) (-1163 (-409 (-568))))) (-15 -3806 ((-1163 (-409 (-568))) (-1163 (-409 (-568))) (-1163 (-409 (-568))))) (-15 -1339 ((-409 (-568)) (-1163 (-409 (-568))))) (-15 -4160 ((-1163 (-409 (-568))) (-1163 (-409 (-568))) (-1163 (-409 (-568))))) (-15 -1810 ((-1163 (-409 (-568))) (-634 (-568)))) (-15 -1410 ((-1163 (-409 (-568))) (-634 (-568)) (-634 (-568))))) 
-((-2445 (((-420 (-1157 (-568))) (-568)) 28)) (-3941 (((-634 (-1157 (-568))) (-568)) 23)) (-1526 (((-1157 (-568)) (-568)) 21))) 
-(((-183) (-10 -7 (-15 -3941 ((-634 (-1157 (-568))) (-568))) (-15 -1526 ((-1157 (-568)) (-568))) (-15 -2445 ((-420 (-1157 (-568))) (-568))))) (T -183)) 
-((-2445 (*1 *2 *3) (-12 (-5 *2 (-420 (-1157 (-568)))) (-5 *1 (-183)) (-5 *3 (-568)))) (-1526 (*1 *2 *3) (-12 (-5 *2 (-1157 (-568))) (-5 *1 (-183)) (-5 *3 (-568)))) (-3941 (*1 *2 *3) (-12 (-5 *2 (-634 (-1157 (-568)))) (-5 *1 (-183)) (-5 *3 (-568))))) 
-(-10 -7 (-15 -3941 ((-634 (-1157 (-568))) (-568))) (-15 -1526 ((-1157 (-568)) (-568))) (-15 -2445 ((-420 (-1157 (-568))) (-568)))) 
-((-4233 (((-1141 (-215)) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 101)) (-2636 (((-634 (-1143)) (-1141 (-215))) NIL)) (-2068 (((-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 77)) (-3533 (((-634 (-215)) (-310 (-215)) (-1161) (-1084 (-835 (-215)))) NIL)) (-3706 (((-634 (-1143)) (-634 (-215))) NIL)) (-2793 (((-215) (-1084 (-835 (-215)))) 22)) (-3141 (((-215) (-1084 (-835 (-215)))) 23)) (-3632 (((-381) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 93)) (-2500 (((-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 40)) (-3486 (((-1143) (-215)) NIL)) (-3098 (((-1143) (-634 (-1143))) 19)) (-4491 (((-1035) (-1161) (-1161) (-1035)) 12))) 
-(((-184) (-10 -7 (-15 -2068 ((-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -2500 ((-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -2793 ((-215) (-1084 (-835 (-215))))) (-15 -3141 ((-215) (-1084 (-835 (-215))))) (-15 -3632 ((-381) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -3533 ((-634 (-215)) (-310 (-215)) (-1161) (-1084 (-835 (-215))))) (-15 -4233 ((-1141 (-215)) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -3486 ((-1143) (-215))) (-15 -3706 ((-634 (-1143)) (-634 (-215)))) (-15 -2636 ((-634 (-1143)) (-1141 (-215)))) (-15 -3098 ((-1143) (-634 (-1143)))) (-15 -4491 ((-1035) (-1161) (-1161) (-1035))))) (T -184)) 
-((-4491 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-1035)) (-5 *3 (-1161)) (-5 *1 (-184)))) (-3098 (*1 *2 *3) (-12 (-5 *3 (-634 (-1143))) (-5 *2 (-1143)) (-5 *1 (-184)))) (-2636 (*1 *2 *3) (-12 (-5 *3 (-1141 (-215))) (-5 *2 (-634 (-1143))) (-5 *1 (-184)))) (-3706 (*1 *2 *3) (-12 (-5 *3 (-634 (-215))) (-5 *2 (-634 (-1143))) (-5 *1 (-184)))) (-3486 (*1 *2 *3) (-12 (-5 *3 (-215)) (-5 *2 (-1143)) (-5 *1 (-184)))) (-4233 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-1141 (-215))) (-5 *1 (-184)))) (-3533 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-310 (-215))) (-5 *4 (-1161)) (-5 *5 (-1084 (-835 (-215)))) (-5 *2 (-634 (-215))) (-5 *1 (-184)))) (-3632 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-381)) (-5 *1 (-184)))) (-3141 (*1 *2 *3) (-12 (-5 *3 (-1084 (-835 (-215)))) (-5 *2 (-215)) (-5 *1 (-184)))) (-2793 (*1 *2 *3) (-12 (-5 *3 (-1084 (-835 (-215)))) (-5 *2 (-215)) (-5 *1 (-184)))) (-2500 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (-5 *1 (-184)))) (-2068 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))) (-5 *1 (-184))))) 
-(-10 -7 (-15 -2068 ((-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -2500 ((-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -2793 ((-215) (-1084 (-835 (-215))))) (-15 -3141 ((-215) (-1084 (-835 (-215))))) (-15 -3632 ((-381) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -3533 ((-634 (-215)) (-310 (-215)) (-1161) (-1084 (-835 (-215))))) (-15 -4233 ((-1141 (-215)) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -3486 ((-1143) (-215))) (-15 -3706 ((-634 (-1143)) (-634 (-215)))) (-15 -2636 ((-634 (-1143)) (-1141 (-215)))) (-15 -3098 ((-1143) (-634 (-1143)))) (-15 -4491 ((-1035) (-1161) (-1161) (-1035)))) 
-((-2449 (((-121) $ $) NIL)) (-3318 (((-1035) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) (-1035)) 53) (((-1035) (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) (-1035)) NIL)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035))) (-1059) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 28) (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035))) (-1059) (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-1719 (((-121) $ $) NIL))) 
-(((-185) (-782)) (T -185)) 
-NIL 
-(-782) 
-((-2449 (((-121) $ $) NIL)) (-3318 (((-1035) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) (-1035)) 58) (((-1035) (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) (-1035)) NIL)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035))) (-1059) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 37) (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035))) (-1059) (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-1719 (((-121) $ $) NIL))) 
-(((-186) (-782)) (T -186)) 
-NIL 
-(-782) 
-((-2449 (((-121) $ $) NIL)) (-3318 (((-1035) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) (-1035)) 67) (((-1035) (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) (-1035)) NIL)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035))) (-1059) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 36) (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035))) (-1059) (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-1719 (((-121) $ $) NIL))) 
-(((-187) (-782)) (T -187)) 
-NIL 
-(-782) 
-((-2449 (((-121) $ $) NIL)) (-3318 (((-1035) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) (-1035)) 54) (((-1035) (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) (-1035)) NIL)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035))) (-1059) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 30) (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035))) (-1059) (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-1719 (((-121) $ $) NIL))) 
-(((-188) (-782)) (T -188)) 
-NIL 
-(-782) 
-((-2449 (((-121) $ $) NIL)) (-3318 (((-1035) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) (-1035)) 65) (((-1035) (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) (-1035)) NIL)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035))) (-1059) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 35) (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035))) (-1059) (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-1719 (((-121) $ $) NIL))) 
-(((-189) (-782)) (T -189)) 
-NIL 
-(-782) 
-((-2449 (((-121) $ $) NIL)) (-3318 (((-1035) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) (-1035)) 71) (((-1035) (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) (-1035)) NIL)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035))) (-1059) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 33) (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035))) (-1059) (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-1719 (((-121) $ $) NIL))) 
-(((-190) (-782)) (T -190)) 
-NIL 
-(-782) 
-((-2449 (((-121) $ $) NIL)) (-3318 (((-1035) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) (-1035)) 78) (((-1035) (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) (-1035)) NIL)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035))) (-1059) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 43) (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035))) (-1059) (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-1719 (((-121) $ $) NIL))) 
-(((-191) (-782)) (T -191)) 
-NIL 
-(-782) 
-((-2449 (((-121) $ $) NIL)) (-3318 (((-1035) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) (-1035)) 68) (((-1035) (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) (-1035)) NIL)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035))) (-1059) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 37) (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035))) (-1059) (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-1719 (((-121) $ $) NIL))) 
-(((-192) (-782)) (T -192)) 
-NIL 
-(-782) 
-((-2449 (((-121) $ $) NIL)) (-3318 (((-1035) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) (-1035)) NIL) (((-1035) (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) (-1035)) 62)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035))) (-1059) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) NIL) (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035))) (-1059) (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 29)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-1719 (((-121) $ $) NIL))) 
-(((-193) (-782)) (T -193)) 
-NIL 
-(-782) 
-((-2449 (((-121) $ $) NIL)) (-3318 (((-1035) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) (-1035)) NIL) (((-1035) (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) (-1035)) 60)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035))) (-1059) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) NIL) (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035))) (-1059) (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 32)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-1719 (((-121) $ $) NIL))) 
-(((-194) (-782)) (T -194)) 
-NIL 
-(-782) 
-((-2449 (((-121) $ $) NIL)) (-3318 (((-1035) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) (-1035)) 89) (((-1035) (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) (-1035)) NIL)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035))) (-1059) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 77) (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035))) (-1059) (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-1719 (((-121) $ $) NIL))) 
-(((-195) (-782)) (T -195)) 
-NIL 
-(-782) 
-((-4457 (((-3 (-2 (|:| -4194 (-123)) (|:| |w| (-215))) "failed") (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 80)) (-3570 (((-568) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 39)) (-3351 (((-3 (-634 (-215)) "failed") (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 69))) 
-(((-196) (-10 -7 (-15 -4457 ((-3 (-2 (|:| -4194 (-123)) (|:| |w| (-215))) "failed") (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -3351 ((-3 (-634 (-215)) "failed") (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -3570 ((-568) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))))) (T -196)) 
-((-3570 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-568)) (-5 *1 (-196)))) (-3351 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-634 (-215))) (-5 *1 (-196)))) (-4457 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-2 (|:| -4194 (-123)) (|:| |w| (-215)))) (-5 *1 (-196))))) 
-(-10 -7 (-15 -4457 ((-3 (-2 (|:| -4194 (-123)) (|:| |w| (-215))) "failed") (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -3351 ((-3 (-634 (-215)) "failed") (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -3570 ((-568) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))))) 
-((-2131 (((-381) (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 37)) (-3508 (((-2 (|:| |stiffnessFactor| (-381)) (|:| |stabilityFactor| (-381))) (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 127)) (-1451 (((-2 (|:| |stiffnessFactor| (-381)) (|:| |stabilityFactor| (-381))) (-679 (-310 (-215)))) 87)) (-1928 (((-381) (-679 (-310 (-215)))) 110)) (-2740 (((-679 (-310 (-215))) (-1244 (-310 (-215))) (-634 (-1161))) 107)) (-2399 (((-381) (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 26)) (-1711 (((-381) (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 42)) (-1339 (((-679 (-310 (-215))) (-679 (-310 (-215))) (-634 (-1161)) (-1244 (-310 (-215)))) 99)) (-3802 (((-381) (-381) (-634 (-381))) 104) (((-381) (-381) (-381)) 102)) (-4441 (((-381) (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 33))) 
-(((-197) (-10 -7 (-15 -3802 ((-381) (-381) (-381))) (-15 -3802 ((-381) (-381) (-634 (-381)))) (-15 -1928 ((-381) (-679 (-310 (-215))))) (-15 -2740 ((-679 (-310 (-215))) (-1244 (-310 (-215))) (-634 (-1161)))) (-15 -1339 ((-679 (-310 (-215))) (-679 (-310 (-215))) (-634 (-1161)) (-1244 (-310 (-215))))) (-15 -1451 ((-2 (|:| |stiffnessFactor| (-381)) (|:| |stabilityFactor| (-381))) (-679 (-310 (-215))))) (-15 -3508 ((-2 (|:| |stiffnessFactor| (-381)) (|:| |stabilityFactor| (-381))) (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -2131 ((-381) (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -1711 ((-381) (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -4441 ((-381) (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -2399 ((-381) (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))))) (T -197)) 
-((-2399 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-381)) (-5 *1 (-197)))) (-4441 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-381)) (-5 *1 (-197)))) (-1711 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-381)) (-5 *1 (-197)))) (-2131 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-381)) (-5 *1 (-197)))) (-3508 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-381)) (|:| |stabilityFactor| (-381)))) (-5 *1 (-197)))) (-1451 (*1 *2 *3) (-12 (-5 *3 (-679 (-310 (-215)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-381)) (|:| |stabilityFactor| (-381)))) (-5 *1 (-197)))) (-1339 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-679 (-310 (-215)))) (-5 *3 (-634 (-1161))) (-5 *4 (-1244 (-310 (-215)))) (-5 *1 (-197)))) (-2740 (*1 *2 *3 *4) (-12 (-5 *3 (-1244 (-310 (-215)))) (-5 *4 (-634 (-1161))) (-5 *2 (-679 (-310 (-215)))) (-5 *1 (-197)))) (-1928 (*1 *2 *3) (-12 (-5 *3 (-679 (-310 (-215)))) (-5 *2 (-381)) (-5 *1 (-197)))) (-3802 (*1 *2 *2 *3) (-12 (-5 *3 (-634 (-381))) (-5 *2 (-381)) (-5 *1 (-197)))) (-3802 (*1 *2 *2 *2) (-12 (-5 *2 (-381)) (-5 *1 (-197))))) 
-(-10 -7 (-15 -3802 ((-381) (-381) (-381))) (-15 -3802 ((-381) (-381) (-634 (-381)))) (-15 -1928 ((-381) (-679 (-310 (-215))))) (-15 -2740 ((-679 (-310 (-215))) (-1244 (-310 (-215))) (-634 (-1161)))) (-15 -1339 ((-679 (-310 (-215))) (-679 (-310 (-215))) (-634 (-1161)) (-1244 (-310 (-215))))) (-15 -1451 ((-2 (|:| |stiffnessFactor| (-381)) (|:| |stabilityFactor| (-381))) (-679 (-310 (-215))))) (-15 -3508 ((-2 (|:| |stiffnessFactor| (-381)) (|:| |stabilityFactor| (-381))) (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -2131 ((-381) (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -1711 ((-381) (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -4441 ((-381) (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -2399 ((-381) (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))))) 
-((-2449 (((-121) $ $) NIL)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 37)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-3602 (((-1035) (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 60)) (-1719 (((-121) $ $) NIL))) 
-(((-198) (-795)) (T -198)) 
-NIL 
-(-795) 
-((-2449 (((-121) $ $) NIL)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 37)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-3602 (((-1035) (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 60)) (-1719 (((-121) $ $) NIL))) 
-(((-199) (-795)) (T -199)) 
-NIL 
-(-795) 
-((-2449 (((-121) $ $) NIL)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 36)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-3602 (((-1035) (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 64)) (-1719 (((-121) $ $) NIL))) 
-(((-200) (-795)) (T -200)) 
-NIL 
-(-795) 
-((-2449 (((-121) $ $) NIL)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 42)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-3602 (((-1035) (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 73)) (-1719 (((-121) $ $) NIL))) 
-(((-201) (-795)) (T -201)) 
-NIL 
-(-795) 
-((-2981 (((-634 (-1161)) (-1161) (-763)) 22)) (-1720 (((-310 (-215)) (-310 (-215))) 29)) (-3650 (((-121) (-2 (|:| |pde| (-634 (-310 (-215)))) (|:| |constraints| (-634 (-2 (|:| |start| (-215)) (|:| |finish| (-215)) (|:| |grid| (-763)) (|:| |boundaryType| (-568)) (|:| |dStart| (-679 (-215))) (|:| |dFinish| (-679 (-215)))))) (|:| |f| (-634 (-634 (-310 (-215))))) (|:| |st| (-1143)) (|:| |tol| (-215)))) 67)) (-4423 (((-121) (-215) (-215) (-634 (-310 (-215)))) 43))) 
-(((-202) (-10 -7 (-15 -2981 ((-634 (-1161)) (-1161) (-763))) (-15 -1720 ((-310 (-215)) (-310 (-215)))) (-15 -4423 ((-121) (-215) (-215) (-634 (-310 (-215))))) (-15 -3650 ((-121) (-2 (|:| |pde| (-634 (-310 (-215)))) (|:| |constraints| (-634 (-2 (|:| |start| (-215)) (|:| |finish| (-215)) (|:| |grid| (-763)) (|:| |boundaryType| (-568)) (|:| |dStart| (-679 (-215))) (|:| |dFinish| (-679 (-215)))))) (|:| |f| (-634 (-634 (-310 (-215))))) (|:| |st| (-1143)) (|:| |tol| (-215))))))) (T -202)) 
-((-3650 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |pde| (-634 (-310 (-215)))) (|:| |constraints| (-634 (-2 (|:| |start| (-215)) (|:| |finish| (-215)) (|:| |grid| (-763)) (|:| |boundaryType| (-568)) (|:| |dStart| (-679 (-215))) (|:| |dFinish| (-679 (-215)))))) (|:| |f| (-634 (-634 (-310 (-215))))) (|:| |st| (-1143)) (|:| |tol| (-215)))) (-5 *2 (-121)) (-5 *1 (-202)))) (-4423 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-634 (-310 (-215)))) (-5 *3 (-215)) (-5 *2 (-121)) (-5 *1 (-202)))) (-1720 (*1 *2 *2) (-12 (-5 *2 (-310 (-215))) (-5 *1 (-202)))) (-2981 (*1 *2 *3 *4) (-12 (-5 *4 (-763)) (-5 *2 (-634 (-1161))) (-5 *1 (-202)) (-5 *3 (-1161))))) 
-(-10 -7 (-15 -2981 ((-634 (-1161)) (-1161) (-763))) (-15 -1720 ((-310 (-215)) (-310 (-215)))) (-15 -4423 ((-121) (-215) (-215) (-634 (-310 (-215))))) (-15 -3650 ((-121) (-2 (|:| |pde| (-634 (-310 (-215)))) (|:| |constraints| (-634 (-2 (|:| |start| (-215)) (|:| |finish| (-215)) (|:| |grid| (-763)) (|:| |boundaryType| (-568)) (|:| |dStart| (-679 (-215))) (|:| |dFinish| (-679 (-215)))))) (|:| |f| (-634 (-634 (-310 (-215))))) (|:| |st| (-1143)) (|:| |tol| (-215)))))) 
-((-2449 (((-121) $ $) NIL)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |pde| (-634 (-310 (-215)))) (|:| |constraints| (-634 (-2 (|:| |start| (-215)) (|:| |finish| (-215)) (|:| |grid| (-763)) (|:| |boundaryType| (-568)) (|:| |dStart| (-679 (-215))) (|:| |dFinish| (-679 (-215)))))) (|:| |f| (-634 (-634 (-310 (-215))))) (|:| |st| (-1143)) (|:| |tol| (-215)))) 17)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-1476 (((-1035) (-2 (|:| |pde| (-634 (-310 (-215)))) (|:| |constraints| (-634 (-2 (|:| |start| (-215)) (|:| |finish| (-215)) (|:| |grid| (-763)) (|:| |boundaryType| (-568)) (|:| |dStart| (-679 (-215))) (|:| |dFinish| (-679 (-215)))))) (|:| |f| (-634 (-634 (-310 (-215))))) (|:| |st| (-1143)) (|:| |tol| (-215)))) 55)) (-1719 (((-121) $ $) NIL))) 
-(((-203) (-890)) (T -203)) 
-NIL 
-(-890) 
-((-2449 (((-121) $ $) NIL)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |pde| (-634 (-310 (-215)))) (|:| |constraints| (-634 (-2 (|:| |start| (-215)) (|:| |finish| (-215)) (|:| |grid| (-763)) (|:| |boundaryType| (-568)) (|:| |dStart| (-679 (-215))) (|:| |dFinish| (-679 (-215)))))) (|:| |f| (-634 (-634 (-310 (-215))))) (|:| |st| (-1143)) (|:| |tol| (-215)))) 12)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-1476 (((-1035) (-2 (|:| |pde| (-634 (-310 (-215)))) (|:| |constraints| (-634 (-2 (|:| |start| (-215)) (|:| |finish| (-215)) (|:| |grid| (-763)) (|:| |boundaryType| (-568)) (|:| |dStart| (-679 (-215))) (|:| |dFinish| (-679 (-215)))))) (|:| |f| (-634 (-634 (-310 (-215))))) (|:| |st| (-1143)) (|:| |tol| (-215)))) NIL)) (-1719 (((-121) $ $) NIL))) 
-(((-204) (-890)) (T -204)) 
-NIL 
-(-890) 
-((-2449 (((-121) $ $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-3687 (((-1249) $) 36) (((-1249) $ (-917) (-917)) 38)) (-2781 (($ $ (-990)) 19) (((-240 (-1143)) $ (-1161)) 15)) (-4127 (((-1249) $) 34)) (-2747 (((-850) $) 31) (($ (-634 |#1|)) 8)) (-1719 (((-121) $ $) NIL)) (-1775 (($ $ $) 27)) (-1769 (($ $ $) 22))) 
-(((-205 |#1|) (-13 (-1090) (-10 -8 (-15 -2781 ($ $ (-990))) (-15 -2781 ((-240 (-1143)) $ (-1161))) (-15 -1769 ($ $ $)) (-15 -1775 ($ $ $)) (-15 -2747 ($ (-634 |#1|))) (-15 -4127 ((-1249) $)) (-15 -3687 ((-1249) $)) (-15 -3687 ((-1249) $ (-917) (-917))))) (-13 (-842) (-10 -8 (-15 -2781 ((-1143) $ (-1161))) (-15 -4127 ((-1249) $)) (-15 -3687 ((-1249) $))))) (T -205)) 
-((-2781 (*1 *1 *1 *2) (-12 (-5 *2 (-990)) (-5 *1 (-205 *3)) (-4 *3 (-13 (-842) (-10 -8 (-15 -2781 ((-1143) $ (-1161))) (-15 -4127 ((-1249) $)) (-15 -3687 ((-1249) $))))))) (-2781 (*1 *2 *1 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-240 (-1143))) (-5 *1 (-205 *4)) (-4 *4 (-13 (-842) (-10 -8 (-15 -2781 ((-1143) $ *3)) (-15 -4127 ((-1249) $)) (-15 -3687 ((-1249) $))))))) (-1769 (*1 *1 *1 *1) (-12 (-5 *1 (-205 *2)) (-4 *2 (-13 (-842) (-10 -8 (-15 -2781 ((-1143) $ (-1161))) (-15 -4127 ((-1249) $)) (-15 -3687 ((-1249) $))))))) (-1775 (*1 *1 *1 *1) (-12 (-5 *1 (-205 *2)) (-4 *2 (-13 (-842) (-10 -8 (-15 -2781 ((-1143) $ (-1161))) (-15 -4127 ((-1249) $)) (-15 -3687 ((-1249) $))))))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-13 (-842) (-10 -8 (-15 -2781 ((-1143) $ (-1161))) (-15 -4127 ((-1249) $)) (-15 -3687 ((-1249) $))))) (-5 *1 (-205 *3)))) (-4127 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-205 *3)) (-4 *3 (-13 (-842) (-10 -8 (-15 -2781 ((-1143) $ (-1161))) (-15 -4127 (*2 $)) (-15 -3687 (*2 $))))))) (-3687 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-205 *3)) (-4 *3 (-13 (-842) (-10 -8 (-15 -2781 ((-1143) $ (-1161))) (-15 -4127 (*2 $)) (-15 -3687 (*2 $))))))) (-3687 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1249)) (-5 *1 (-205 *4)) (-4 *4 (-13 (-842) (-10 -8 (-15 -2781 ((-1143) $ (-1161))) (-15 -4127 (*2 $)) (-15 -3687 (*2 $)))))))) 
-(-13 (-1090) (-10 -8 (-15 -2781 ($ $ (-990))) (-15 -2781 ((-240 (-1143)) $ (-1161))) (-15 -1769 ($ $ $)) (-15 -1775 ($ $ $)) (-15 -2747 ($ (-634 |#1|))) (-15 -4127 ((-1249) $)) (-15 -3687 ((-1249) $)) (-15 -3687 ((-1249) $ (-917) (-917))))) 
-((-3851 ((|#2| |#4| (-1 |#2| |#2|)) 46))) 
-(((-206 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3851 (|#2| |#4| (-1 |#2| |#2|)))) (-365) (-1219 |#1|) (-1219 (-409 |#2|)) (-340 |#1| |#2| |#3|)) (T -206)) 
-((-3851 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *2 *2)) (-4 *5 (-365)) (-4 *6 (-1219 (-409 *2))) (-4 *2 (-1219 *5)) (-5 *1 (-206 *5 *2 *6 *3)) (-4 *3 (-340 *5 *2 *6))))) 
-(-10 -7 (-15 -3851 (|#2| |#4| (-1 |#2| |#2|)))) 
-((-4471 ((|#2| |#2| (-763) |#2|) 41)) (-3750 ((|#2| |#2| (-763) |#2|) 37)) (-3316 (((-634 |#2|) (-634 (-2 (|:| |deg| (-763)) (|:| -1632 |#2|)))) 55)) (-2529 (((-634 (-2 (|:| |deg| (-763)) (|:| -1632 |#2|))) |#2|) 51)) (-1634 (((-121) |#2|) 48)) (-4254 (((-420 |#2|) |#2|) 74)) (-3850 (((-420 |#2|) |#2|) 73)) (-4413 ((|#2| |#2| (-763) |#2|) 35)) (-1725 (((-2 (|:| |cont| |#1|) (|:| -2075 (-634 (-2 (|:| |irr| |#2|) (|:| -4402 (-568)))))) |#2| (-121)) 66))) 
-(((-207 |#1| |#2|) (-10 -7 (-15 -3850 ((-420 |#2|) |#2|)) (-15 -4254 ((-420 |#2|) |#2|)) (-15 -1725 ((-2 (|:| |cont| |#1|) (|:| -2075 (-634 (-2 (|:| |irr| |#2|) (|:| -4402 (-568)))))) |#2| (-121))) (-15 -2529 ((-634 (-2 (|:| |deg| (-763)) (|:| -1632 |#2|))) |#2|)) (-15 -3316 ((-634 |#2|) (-634 (-2 (|:| |deg| (-763)) (|:| -1632 |#2|))))) (-15 -4413 (|#2| |#2| (-763) |#2|)) (-15 -3750 (|#2| |#2| (-763) |#2|)) (-15 -4471 (|#2| |#2| (-763) |#2|)) (-15 -1634 ((-121) |#2|))) (-350) (-1219 |#1|)) (T -207)) 
-((-1634 (*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-121)) (-5 *1 (-207 *4 *3)) (-4 *3 (-1219 *4)))) (-4471 (*1 *2 *2 *3 *2) (-12 (-5 *3 (-763)) (-4 *4 (-350)) (-5 *1 (-207 *4 *2)) (-4 *2 (-1219 *4)))) (-3750 (*1 *2 *2 *3 *2) (-12 (-5 *3 (-763)) (-4 *4 (-350)) (-5 *1 (-207 *4 *2)) (-4 *2 (-1219 *4)))) (-4413 (*1 *2 *2 *3 *2) (-12 (-5 *3 (-763)) (-4 *4 (-350)) (-5 *1 (-207 *4 *2)) (-4 *2 (-1219 *4)))) (-3316 (*1 *2 *3) (-12 (-5 *3 (-634 (-2 (|:| |deg| (-763)) (|:| -1632 *5)))) (-4 *5 (-1219 *4)) (-4 *4 (-350)) (-5 *2 (-634 *5)) (-5 *1 (-207 *4 *5)))) (-2529 (*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-634 (-2 (|:| |deg| (-763)) (|:| -1632 *3)))) (-5 *1 (-207 *4 *3)) (-4 *3 (-1219 *4)))) (-1725 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-350)) (-5 *2 (-2 (|:| |cont| *5) (|:| -2075 (-634 (-2 (|:| |irr| *3) (|:| -4402 (-568))))))) (-5 *1 (-207 *5 *3)) (-4 *3 (-1219 *5)))) (-4254 (*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-420 *3)) (-5 *1 (-207 *4 *3)) (-4 *3 (-1219 *4)))) (-3850 (*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-420 *3)) (-5 *1 (-207 *4 *3)) (-4 *3 (-1219 *4))))) 
-(-10 -7 (-15 -3850 ((-420 |#2|) |#2|)) (-15 -4254 ((-420 |#2|) |#2|)) (-15 -1725 ((-2 (|:| |cont| |#1|) (|:| -2075 (-634 (-2 (|:| |irr| |#2|) (|:| -4402 (-568)))))) |#2| (-121))) (-15 -2529 ((-634 (-2 (|:| |deg| (-763)) (|:| -1632 |#2|))) |#2|)) (-15 -3316 ((-634 |#2|) (-634 (-2 (|:| |deg| (-763)) (|:| -1632 |#2|))))) (-15 -4413 (|#2| |#2| (-763) |#2|)) (-15 -3750 (|#2| |#2| (-763) |#2|)) (-15 -4471 (|#2| |#2| (-763) |#2|)) (-15 -1634 ((-121) |#2|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2563 (((-568) $) NIL (|has| (-568) (-301)))) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (|has| (-568) (-904)))) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (|has| (-568) (-904)))) (-2589 (((-121) $ $) NIL)) (-3337 (((-568) $) NIL (|has| (-568) (-815)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-568) "failed") $) NIL) (((-3 (-1161) "failed") $) NIL (|has| (-568) (-1037 (-1161)))) (((-3 (-409 (-568)) "failed") $) NIL (|has| (-568) (-1037 (-568)))) (((-3 (-568) "failed") $) NIL (|has| (-568) (-1037 (-568))))) (-2857 (((-568) $) NIL) (((-1161) $) NIL (|has| (-568) (-1037 (-1161)))) (((-409 (-568)) $) NIL (|has| (-568) (-1037 (-568)))) (((-568) $) NIL (|has| (-568) (-1037 (-568))))) (-2403 (($ $ $) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| (-568) (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| (-568) (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL) (((-679 (-568)) (-679 $)) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1733 (($) NIL (|has| (-568) (-550)))) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-2197 (((-121) $) NIL)) (-1436 (((-121) $) NIL (|has| (-568) (-815)))) (-1519 (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (|has| (-568) (-881 (-568)))) (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (|has| (-568) (-881 (-381))))) (-1598 (((-121) $) NIL)) (-3539 (($ $) NIL)) (-2319 (((-568) $) NIL)) (-2214 (((-3 $ "failed") $) NIL (|has| (-568) (-1136)))) (-2859 (((-121) $) NIL (|has| (-568) (-815)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1732 (($ $ $) NIL (|has| (-568) (-842)))) (-2047 (($ $ $) NIL (|has| (-568) (-842)))) (-2797 (($ (-1 (-568) (-568)) $) NIL)) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL)) (-4436 (($) NIL (|has| (-568) (-1136)) CONST)) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1999 (($ $) NIL (|has| (-568) (-301))) (((-409 (-568)) $) NIL)) (-4115 (((-568) $) NIL (|has| (-568) (-550)))) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (|has| (-568) (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (|has| (-568) (-904)))) (-3850 (((-420 $) $) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1339 (($ $ (-634 (-568)) (-634 (-568))) NIL (|has| (-568) (-303 (-568)))) (($ $ (-568) (-568)) NIL (|has| (-568) (-303 (-568)))) (($ $ (-288 (-568))) NIL (|has| (-568) (-303 (-568)))) (($ $ (-634 (-288 (-568)))) NIL (|has| (-568) (-303 (-568)))) (($ $ (-634 (-1161)) (-634 (-568))) NIL (|has| (-568) (-523 (-1161) (-568)))) (($ $ (-1161) (-568)) NIL (|has| (-568) (-523 (-1161) (-568))))) (-1466 (((-763) $) NIL)) (-2781 (($ $ (-568)) NIL (|has| (-568) (-281 (-568) (-568))))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-4191 (($ $) NIL (|has| (-568) (-225))) (($ $ (-763)) NIL (|has| (-568) (-225))) (($ $ (-1161)) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-1 (-568) (-568)) (-763)) NIL) (($ $ (-1 (-568) (-568))) NIL)) (-3210 (($ $) NIL)) (-2326 (((-568) $) NIL)) (-4012 (($ (-409 (-568))) 8)) (-4280 (((-887 (-568)) $) NIL (|has| (-568) (-609 (-887 (-568))))) (((-887 (-381)) $) NIL (|has| (-568) (-609 (-887 (-381))))) (((-541) $) NIL (|has| (-568) (-609 (-541)))) (((-381) $) NIL (|has| (-568) (-1021))) (((-215) $) NIL (|has| (-568) (-1021)))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-12 (|has| $ (-148)) (|has| (-568) (-904))))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ $) NIL) (($ (-409 (-568))) 7) (($ (-568)) NIL) (($ (-1161)) NIL (|has| (-568) (-1037 (-1161)))) (((-409 (-568)) $) NIL) (((-1004 10) $) 9)) (-3385 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| (-568) (-904))) (|has| (-568) (-148))))) (-3425 (((-763)) NIL)) (-3520 (((-568) $) NIL (|has| (-568) (-550)))) (-2273 (((-121) $ $) NIL)) (-2811 (($ $) NIL (|has| (-568) (-815)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($ $) NIL (|has| (-568) (-225))) (($ $ (-763)) NIL (|has| (-568) (-225))) (($ $ (-1161)) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-1 (-568) (-568)) (-763)) NIL) (($ $ (-1 (-568) (-568))) NIL)) (-1753 (((-121) $ $) NIL (|has| (-568) (-842)))) (-1740 (((-121) $ $) NIL (|has| (-568) (-842)))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (|has| (-568) (-842)))) (-1734 (((-121) $ $) NIL (|has| (-568) (-842)))) (-1781 (($ $ $) NIL) (($ (-568) (-568)) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL) (($ (-568) $) NIL) (($ $ (-568)) NIL))) 
-(((-208) (-13 (-993 (-568)) (-10 -8 (-15 -2747 ((-409 (-568)) $)) (-15 -2747 ((-1004 10) $)) (-15 -1999 ((-409 (-568)) $)) (-15 -4012 ($ (-409 (-568))))))) (T -208)) 
-((-2747 (*1 *2 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-208)))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-1004 10)) (-5 *1 (-208)))) (-1999 (*1 *2 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-208)))) (-4012 (*1 *1 *2) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-208))))) 
-(-13 (-993 (-568)) (-10 -8 (-15 -2747 ((-409 (-568)) $)) (-15 -2747 ((-1004 10) $)) (-15 -1999 ((-409 (-568)) $)) (-15 -4012 ($ (-409 (-568)))))) 
-((-1845 (((-3 (|:| |f1| (-835 |#2|)) (|:| |f2| (-634 (-835 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1082 (-835 |#2|)) (-1143)) 27) (((-3 (|:| |f1| (-835 |#2|)) (|:| |f2| (-634 (-835 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1082 (-835 |#2|))) 23)) (-3537 (((-3 (|:| |f1| (-835 |#2|)) (|:| |f2| (-634 (-835 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1161) (-835 |#2|) (-835 |#2|) (-121)) 16))) 
-(((-209 |#1| |#2|) (-10 -7 (-15 -1845 ((-3 (|:| |f1| (-835 |#2|)) (|:| |f2| (-634 (-835 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1082 (-835 |#2|)))) (-15 -1845 ((-3 (|:| |f1| (-835 |#2|)) (|:| |f2| (-634 (-835 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1082 (-835 |#2|)) (-1143))) (-15 -3537 ((-3 (|:| |f1| (-835 |#2|)) (|:| |f2| (-634 (-835 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1161) (-835 |#2|) (-835 |#2|) (-121)))) (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568))) (-13 (-1181) (-959) (-29 |#1|))) (T -209)) 
-((-3537 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-1161)) (-5 *6 (-121)) (-4 *7 (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-4 *3 (-13 (-1181) (-959) (-29 *7))) (-5 *2 (-3 (|:| |f1| (-835 *3)) (|:| |f2| (-634 (-835 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-209 *7 *3)) (-5 *5 (-835 *3)))) (-1845 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1082 (-835 *3))) (-5 *5 (-1143)) (-4 *3 (-13 (-1181) (-959) (-29 *6))) (-4 *6 (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-3 (|:| |f1| (-835 *3)) (|:| |f2| (-634 (-835 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-209 *6 *3)))) (-1845 (*1 *2 *3 *4) (-12 (-5 *4 (-1082 (-835 *3))) (-4 *3 (-13 (-1181) (-959) (-29 *5))) (-4 *5 (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-3 (|:| |f1| (-835 *3)) (|:| |f2| (-634 (-835 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-209 *5 *3))))) 
-(-10 -7 (-15 -1845 ((-3 (|:| |f1| (-835 |#2|)) (|:| |f2| (-634 (-835 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1082 (-835 |#2|)))) (-15 -1845 ((-3 (|:| |f1| (-835 |#2|)) (|:| |f2| (-634 (-835 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1082 (-835 |#2|)) (-1143))) (-15 -3537 ((-3 (|:| |f1| (-835 |#2|)) (|:| |f2| (-634 (-835 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1161) (-835 |#2|) (-835 |#2|) (-121)))) 
-((-1845 (((-3 (|:| |f1| (-835 (-310 |#1|))) (|:| |f2| (-634 (-835 (-310 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-409 (-953 |#1|)) (-1082 (-835 (-409 (-953 |#1|)))) (-1143)) 44) (((-3 (|:| |f1| (-835 (-310 |#1|))) (|:| |f2| (-634 (-835 (-310 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-409 (-953 |#1|)) (-1082 (-835 (-409 (-953 |#1|))))) 41) (((-3 (|:| |f1| (-835 (-310 |#1|))) (|:| |f2| (-634 (-835 (-310 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-409 (-953 |#1|)) (-1082 (-835 (-310 |#1|))) (-1143)) 45) (((-3 (|:| |f1| (-835 (-310 |#1|))) (|:| |f2| (-634 (-835 (-310 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-409 (-953 |#1|)) (-1082 (-835 (-310 |#1|)))) 17))) 
-(((-210 |#1|) (-10 -7 (-15 -1845 ((-3 (|:| |f1| (-835 (-310 |#1|))) (|:| |f2| (-634 (-835 (-310 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-409 (-953 |#1|)) (-1082 (-835 (-310 |#1|))))) (-15 -1845 ((-3 (|:| |f1| (-835 (-310 |#1|))) (|:| |f2| (-634 (-835 (-310 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-409 (-953 |#1|)) (-1082 (-835 (-310 |#1|))) (-1143))) (-15 -1845 ((-3 (|:| |f1| (-835 (-310 |#1|))) (|:| |f2| (-634 (-835 (-310 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-409 (-953 |#1|)) (-1082 (-835 (-409 (-953 |#1|)))))) (-15 -1845 ((-3 (|:| |f1| (-835 (-310 |#1|))) (|:| |f2| (-634 (-835 (-310 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-409 (-953 |#1|)) (-1082 (-835 (-409 (-953 |#1|)))) (-1143)))) (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (T -210)) 
-((-1845 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1082 (-835 (-409 (-953 *6))))) (-5 *5 (-1143)) (-5 *3 (-409 (-953 *6))) (-4 *6 (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-3 (|:| |f1| (-835 (-310 *6))) (|:| |f2| (-634 (-835 (-310 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *6)))) (-1845 (*1 *2 *3 *4) (-12 (-5 *4 (-1082 (-835 (-409 (-953 *5))))) (-5 *3 (-409 (-953 *5))) (-4 *5 (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-3 (|:| |f1| (-835 (-310 *5))) (|:| |f2| (-634 (-835 (-310 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *5)))) (-1845 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-409 (-953 *6))) (-5 *4 (-1082 (-835 (-310 *6)))) (-5 *5 (-1143)) (-4 *6 (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-3 (|:| |f1| (-835 (-310 *6))) (|:| |f2| (-634 (-835 (-310 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *6)))) (-1845 (*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 *5))) (-5 *4 (-1082 (-835 (-310 *5)))) (-4 *5 (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-3 (|:| |f1| (-835 (-310 *5))) (|:| |f2| (-634 (-835 (-310 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *5))))) 
-(-10 -7 (-15 -1845 ((-3 (|:| |f1| (-835 (-310 |#1|))) (|:| |f2| (-634 (-835 (-310 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-409 (-953 |#1|)) (-1082 (-835 (-310 |#1|))))) (-15 -1845 ((-3 (|:| |f1| (-835 (-310 |#1|))) (|:| |f2| (-634 (-835 (-310 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-409 (-953 |#1|)) (-1082 (-835 (-310 |#1|))) (-1143))) (-15 -1845 ((-3 (|:| |f1| (-835 (-310 |#1|))) (|:| |f2| (-634 (-835 (-310 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-409 (-953 |#1|)) (-1082 (-835 (-409 (-953 |#1|)))))) (-15 -1845 ((-3 (|:| |f1| (-835 (-310 |#1|))) (|:| |f2| (-634 (-835 (-310 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-409 (-953 |#1|)) (-1082 (-835 (-409 (-953 |#1|)))) (-1143)))) 
-((-3094 (((-2 (|:| -1416 (-1157 |#1|)) (|:| |deg| (-917))) (-1157 |#1|)) 20)) (-2791 (((-634 (-310 |#2|)) (-310 |#2|) (-917)) 42))) 
-(((-211 |#1| |#2|) (-10 -7 (-15 -3094 ((-2 (|:| -1416 (-1157 |#1|)) (|:| |deg| (-917))) (-1157 |#1|))) (-15 -2791 ((-634 (-310 |#2|)) (-310 |#2|) (-917)))) (-1047) (-13 (-558) (-842))) (T -211)) 
-((-2791 (*1 *2 *3 *4) (-12 (-5 *4 (-917)) (-4 *6 (-13 (-558) (-842))) (-5 *2 (-634 (-310 *6))) (-5 *1 (-211 *5 *6)) (-5 *3 (-310 *6)) (-4 *5 (-1047)))) (-3094 (*1 *2 *3) (-12 (-4 *4 (-1047)) (-5 *2 (-2 (|:| -1416 (-1157 *4)) (|:| |deg| (-917)))) (-5 *1 (-211 *4 *5)) (-5 *3 (-1157 *4)) (-4 *5 (-13 (-558) (-842)))))) 
-(-10 -7 (-15 -3094 ((-2 (|:| -1416 (-1157 |#1|)) (|:| |deg| (-917))) (-1157 |#1|))) (-15 -2791 ((-634 (-310 |#2|)) (-310 |#2|) (-917)))) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-2212 ((|#1| $) 25)) (-2618 ((|#1| $) 26)) (-1667 (((-121) $ (-763)) NIL)) (-4490 (($) NIL T CONST)) (-3743 (($ $) NIL)) (-4452 (($ $) 32)) (-2885 ((|#1| |#1| $) NIL)) (-2819 ((|#1| $) NIL)) (-3317 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) NIL)) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-2253 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-3680 (((-763) $) NIL)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-2580 ((|#1| $) NIL)) (-2487 ((|#1| |#1| $) 29)) (-3055 ((|#1| |#1| $) 31)) (-1708 (($ |#1| $) NIL)) (-2963 (((-763) $) 27)) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-1929 ((|#1| $) NIL)) (-3430 ((|#1| $) 24)) (-2180 ((|#1| $) 8)) (-3403 ((|#1| $) NIL)) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-3920 ((|#1| |#1| $) NIL)) (-2436 (((-121) $) 15)) (-1990 (($) NIL)) (-4080 ((|#1| $) NIL)) (-1403 (($) NIL) (($ (-634 |#1|)) 13)) (-4156 (((-763) $) 28)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3865 (($ $) NIL)) (-2747 (((-850) $) NIL (|has| |#1| (-1090)))) (-2120 ((|#1| $) 9)) (-4074 (($ (-634 |#1|)) NIL)) (-4035 ((|#1| $) NIL)) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-212 |#1|) (-13 (-247 |#1|) (-10 -8 (-15 -1403 ($ (-634 |#1|))) (-15 -4080 (|#1| $)) (-15 -3403 (|#1| $)) (-15 -3920 (|#1| |#1| $)) (-15 -1708 ($ |#1| $)) (-15 -2580 (|#1| $)) (-15 -1929 (|#1| $)) (-15 -4035 (|#1| $)) (-15 -3743 ($ $)) (-15 -3680 ((-763) $)) (-15 -3796 ((-121) $ (-763))) (-15 -3791 ((-121) $ (-763))) (-15 -1667 ((-121) $ (-763))) (-15 -4074 ($ (-634 |#1|))) (-15 -2436 ((-121) $)) (-15 -1990 ($)) (-15 -4490 ($)) (-15 -3865 ($ $)) (-15 -1702 ((-121) $ $)) (-15 -2797 ($ (-1 |#1| |#1|) $)) (-15 -4156 ((-763) $)) (-15 -1403 ($)) (-15 -2963 ((-763) $)) (-15 -2618 (|#1| $)) (-15 -2120 (|#1| $)) (-15 -2180 (|#1| $)) (-15 -3430 (|#1| $)) (-15 -3055 (|#1| |#1| $)) (-15 -2487 (|#1| |#1| $)) (-15 -2819 (|#1| $)) (-15 -2885 (|#1| |#1| $)) (-15 -4452 ($ $)) (-15 -2212 (|#1| $)) (IF (|has| $ (-6 -4522)) (-15 -2253 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1090)) (PROGN (-15 -1893 ((-1143) $)) (-15 -4025 ((-1108) $)) (-15 -2747 ((-850) $)) (-15 -1719 ((-121) $ $)) (-15 -2449 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4521)) (PROGN (-15 -3951 ((-121) (-1 (-121) |#1|) $)) (-15 -3437 ((-121) (-1 (-121) |#1|) $)) (-15 -4170 ((-763) (-1 (-121) |#1|) $)) (-15 -1699 ((-763) $)) (-15 -3317 ((-634 |#1|) $)) (-15 -4406 ((-634 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4521)) (IF (|has| |#1| (-1090)) (PROGN (-15 -2551 ((-121) |#1| $)) (-15 -4170 ((-763) |#1| $))) |noBranch|) |noBranch|))) (-1090)) (T -212)) 
-((-1702 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-212 *3)) (-4 *3 (-1090)))) (-3865 (*1 *1 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) (-1990 (*1 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) (-2436 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-212 *3)) (-4 *3 (-1090)))) (-3796 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-212 *4)) (-4 *4 (-1090)))) (-3791 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-212 *4)) (-4 *4 (-1090)))) (-1667 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-212 *4)) (-4 *4 (-1090)))) (-4490 (*1 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) (-1699 (*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-763)) (-5 *1 (-212 *3)) (-4 *3 (-1090)))) (-2797 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1090)) (-5 *1 (-212 *3)))) (-2253 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4522)) (-4 *3 (-1090)) (-5 *1 (-212 *3)))) (-3437 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-1090)) (-5 *2 (-121)) (-5 *1 (-212 *4)))) (-3951 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-1090)) (-5 *2 (-121)) (-5 *1 (-212 *4)))) (-4170 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-1090)) (-5 *2 (-763)) (-5 *1 (-212 *4)))) (-3317 (*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-634 *3)) (-5 *1 (-212 *3)) (-4 *3 (-1090)))) (-4406 (*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-634 *3)) (-5 *1 (-212 *3)) (-4 *3 (-1090)))) (-4170 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-763)) (-5 *1 (-212 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-2551 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-121)) (-5 *1 (-212 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-1893 (*1 *2 *1) (-12 (-5 *2 (-1143)) (-5 *1 (-212 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-4025 (*1 *2 *1) (-12 (-5 *2 (-1108)) (-5 *1 (-212 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-212 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-1719 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-212 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-2449 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-212 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-4074 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-5 *1 (-212 *3)))) (-3403 (*1 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) (-1708 (*1 *1 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) (-2580 (*1 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) (-2885 (*1 *2 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) (-2819 (*1 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) (-2618 (*1 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) (-4156 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-212 *3)) (-4 *3 (-1090)))) (-4035 (*1 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) (-1929 (*1 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) (-3680 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-212 *3)) (-4 *3 (-1090)))) (-3743 (*1 *1 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) (-4080 (*1 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) (-3920 (*1 *2 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) (-1403 (*1 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) (-1403 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-5 *1 (-212 *3)))) (-2963 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-212 *3)) (-4 *3 (-1090)))) (-2212 (*1 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) (-2120 (*1 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) (-2487 (*1 *2 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) (-3055 (*1 *2 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) (-3430 (*1 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) (-2180 (*1 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) (-4452 (*1 *1 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090))))) 
-(-13 (-247 |#1|) (-10 -8 (-15 -1403 ($ (-634 |#1|))) (-15 -4080 (|#1| $)) (-15 -3403 (|#1| $)) (-15 -3920 (|#1| |#1| $)) (-15 -1708 ($ |#1| $)) (-15 -2580 (|#1| $)) (-15 -1929 (|#1| $)) (-15 -4035 (|#1| $)) (-15 -3743 ($ $)) (-15 -3680 ((-763) $)) (-15 -3796 ((-121) $ (-763))) (-15 -3791 ((-121) $ (-763))) (-15 -1667 ((-121) $ (-763))) (-15 -4074 ($ (-634 |#1|))) (-15 -2436 ((-121) $)) (-15 -1990 ($)) (-15 -4490 ($)) (-15 -3865 ($ $)) (-15 -1702 ((-121) $ $)) (-15 -2797 ($ (-1 |#1| |#1|) $)) (-15 -4156 ((-763) $)) (-15 -1403 ($)) (-15 -2963 ((-763) $)) (-15 -2618 (|#1| $)) (-15 -2120 (|#1| $)) (-15 -2180 (|#1| $)) (-15 -3430 (|#1| $)) (-15 -3055 (|#1| |#1| $)) (-15 -2487 (|#1| |#1| $)) (-15 -2819 (|#1| $)) (-15 -2885 (|#1| |#1| $)) (-15 -4452 ($ $)) (-15 -2212 (|#1| $)) (IF (|has| $ (-6 -4522)) (-15 -2253 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1090)) (PROGN (-15 -1893 ((-1143) $)) (-15 -4025 ((-1108) $)) (-15 -2747 ((-850) $)) (-15 -1719 ((-121) $ $)) (-15 -2449 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4521)) (PROGN (-15 -3951 ((-121) (-1 (-121) |#1|) $)) (-15 -3437 ((-121) (-1 (-121) |#1|) $)) (-15 -4170 ((-763) (-1 (-121) |#1|) $)) (-15 -1699 ((-763) $)) (-15 -3317 ((-634 |#1|) $)) (-15 -4406 ((-634 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4521)) (IF (|has| |#1| (-1090)) (PROGN (-15 -2551 ((-121) |#1| $)) (-15 -4170 ((-763) |#1| $))) |noBranch|) |noBranch|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2829 (($ (-310 |#1|)) 23)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-1407 (((-121) $) NIL)) (-3668 (((-3 (-310 |#1|) "failed") $) NIL)) (-2857 (((-310 |#1|) $) NIL)) (-2116 (($ $) 31)) (-2902 (((-3 $ "failed") $) NIL)) (-1598 (((-121) $) NIL)) (-2797 (($ (-1 (-310 |#1|) (-310 |#1|)) $) NIL)) (-2104 (((-310 |#1|) $) NIL)) (-4313 (($ $) 30)) (-1893 (((-1143) $) NIL)) (-1923 (((-121) $) NIL)) (-4025 (((-1108) $) NIL)) (-2707 (($ (-763)) NIL)) (-2385 (($ $) 32)) (-1836 (((-568) $) NIL)) (-2747 (((-850) $) 57) (($ (-568)) NIL) (($ (-310 |#1|)) NIL)) (-2079 (((-310 |#1|) $ $) NIL)) (-3425 (((-763)) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 25 T CONST)) (-1557 (($) 50 T CONST)) (-1719 (((-121) $ $) 28)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) 19)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 24) (($ (-310 |#1|) $) 18))) 
-(((-213 |#1| |#2|) (-13 (-612 (-310 |#1|)) (-1037 (-310 |#1|)) (-10 -8 (-15 -2104 ((-310 |#1|) $)) (-15 -4313 ($ $)) (-15 -2116 ($ $)) (-15 -2079 ((-310 |#1|) $ $)) (-15 -2707 ($ (-763))) (-15 -1923 ((-121) $)) (-15 -1407 ((-121) $)) (-15 -1836 ((-568) $)) (-15 -2797 ($ (-1 (-310 |#1|) (-310 |#1|)) $)) (-15 -2829 ($ (-310 |#1|))) (-15 -2385 ($ $)))) (-13 (-1047) (-842)) (-634 (-1161))) (T -213)) 
-((-2104 (*1 *2 *1) (-12 (-5 *2 (-310 *3)) (-5 *1 (-213 *3 *4)) (-4 *3 (-13 (-1047) (-842))) (-14 *4 (-634 (-1161))))) (-4313 (*1 *1 *1) (-12 (-5 *1 (-213 *2 *3)) (-4 *2 (-13 (-1047) (-842))) (-14 *3 (-634 (-1161))))) (-2116 (*1 *1 *1) (-12 (-5 *1 (-213 *2 *3)) (-4 *2 (-13 (-1047) (-842))) (-14 *3 (-634 (-1161))))) (-2079 (*1 *2 *1 *1) (-12 (-5 *2 (-310 *3)) (-5 *1 (-213 *3 *4)) (-4 *3 (-13 (-1047) (-842))) (-14 *4 (-634 (-1161))))) (-2707 (*1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-213 *3 *4)) (-4 *3 (-13 (-1047) (-842))) (-14 *4 (-634 (-1161))))) (-1923 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3 *4)) (-4 *3 (-13 (-1047) (-842))) (-14 *4 (-634 (-1161))))) (-1407 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3 *4)) (-4 *3 (-13 (-1047) (-842))) (-14 *4 (-634 (-1161))))) (-1836 (*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-213 *3 *4)) (-4 *3 (-13 (-1047) (-842))) (-14 *4 (-634 (-1161))))) (-2797 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-310 *3) (-310 *3))) (-4 *3 (-13 (-1047) (-842))) (-5 *1 (-213 *3 *4)) (-14 *4 (-634 (-1161))))) (-2829 (*1 *1 *2) (-12 (-5 *2 (-310 *3)) (-4 *3 (-13 (-1047) (-842))) (-5 *1 (-213 *3 *4)) (-14 *4 (-634 (-1161))))) (-2385 (*1 *1 *1) (-12 (-5 *1 (-213 *2 *3)) (-4 *2 (-13 (-1047) (-842))) (-14 *3 (-634 (-1161)))))) 
-(-13 (-612 (-310 |#1|)) (-1037 (-310 |#1|)) (-10 -8 (-15 -2104 ((-310 |#1|) $)) (-15 -4313 ($ $)) (-15 -2116 ($ $)) (-15 -2079 ((-310 |#1|) $ $)) (-15 -2707 ($ (-763))) (-15 -1923 ((-121) $)) (-15 -1407 ((-121) $)) (-15 -1836 ((-568) $)) (-15 -2797 ($ (-1 (-310 |#1|) (-310 |#1|)) $)) (-15 -2829 ($ (-310 |#1|))) (-15 -2385 ($ $)))) 
-((-1485 (((-121) (-1143)) 22)) (-2771 (((-3 (-835 |#2|) "failed") (-607 |#2|) |#2| (-835 |#2|) (-835 |#2|) (-121)) 32)) (-2826 (((-3 (-121) "failed") (-1157 |#2|) (-835 |#2|) (-835 |#2|) (-121)) 73) (((-3 (-121) "failed") (-953 |#1|) (-1161) (-835 |#2|) (-835 |#2|) (-121)) 74))) 
-(((-214 |#1| |#2|) (-10 -7 (-15 -1485 ((-121) (-1143))) (-15 -2771 ((-3 (-835 |#2|) "failed") (-607 |#2|) |#2| (-835 |#2|) (-835 |#2|) (-121))) (-15 -2826 ((-3 (-121) "failed") (-953 |#1|) (-1161) (-835 |#2|) (-835 |#2|) (-121))) (-15 -2826 ((-3 (-121) "failed") (-1157 |#2|) (-835 |#2|) (-835 |#2|) (-121)))) (-13 (-453) (-842) (-1037 (-568)) (-630 (-568))) (-13 (-1181) (-29 |#1|))) (T -214)) 
-((-2826 (*1 *2 *3 *4 *4 *2) (|partial| -12 (-5 *2 (-121)) (-5 *3 (-1157 *6)) (-5 *4 (-835 *6)) (-4 *6 (-13 (-1181) (-29 *5))) (-4 *5 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-214 *5 *6)))) (-2826 (*1 *2 *3 *4 *5 *5 *2) (|partial| -12 (-5 *2 (-121)) (-5 *3 (-953 *6)) (-5 *4 (-1161)) (-5 *5 (-835 *7)) (-4 *6 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-4 *7 (-13 (-1181) (-29 *6))) (-5 *1 (-214 *6 *7)))) (-2771 (*1 *2 *3 *4 *2 *2 *5) (|partial| -12 (-5 *2 (-835 *4)) (-5 *3 (-607 *4)) (-5 *5 (-121)) (-4 *4 (-13 (-1181) (-29 *6))) (-4 *6 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-214 *6 *4)))) (-1485 (*1 *2 *3) (-12 (-5 *3 (-1143)) (-4 *4 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-121)) (-5 *1 (-214 *4 *5)) (-4 *5 (-13 (-1181) (-29 *4)))))) 
-(-10 -7 (-15 -1485 ((-121) (-1143))) (-15 -2771 ((-3 (-835 |#2|) "failed") (-607 |#2|) |#2| (-835 |#2|) (-835 |#2|) (-121))) (-15 -2826 ((-3 (-121) "failed") (-953 |#1|) (-1161) (-835 |#2|) (-835 |#2|) (-121))) (-15 -2826 ((-3 (-121) "failed") (-1157 |#2|) (-835 |#2|) (-835 |#2|) (-121)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 95)) (-2563 (((-568) $) 124)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-4179 (($ $) NIL)) (-1984 (($ $) 83)) (-1935 (($ $) 71)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-1904 (($ $) 62)) (-2589 (((-121) $ $) NIL)) (-1976 (($ $) 81)) (-2788 (($ $) 69)) (-3337 (((-568) $) 137)) (-1992 (($ $) 86)) (-1943 (($ $) 73)) (-4490 (($) NIL T CONST)) (-2252 (($ $) NIL)) (-3668 (((-3 (-568) "failed") $) 120) (((-3 (-409 (-568)) "failed") $) 135)) (-2857 (((-568) $) 136) (((-409 (-568)) $) 133)) (-2403 (($ $ $) NIL)) (-2902 (((-3 $ "failed") $) 98)) (-1508 (((-409 (-568)) $ (-763)) 131) (((-409 (-568)) $ (-763) (-763)) 130)) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-2197 (((-121) $) NIL)) (-3359 (((-917)) 34) (((-917) (-917)) NIL (|has| $ (-6 -4512)))) (-1436 (((-121) $) NIL)) (-3311 (($ $ $) 123)) (-1899 (($) 44)) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL)) (-1844 (((-568) $) 40)) (-1598 (((-121) $) NIL)) (-1550 (($ $ (-568)) NIL)) (-4417 (($ $) NIL)) (-2859 (((-121) $) 94)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1732 (($ $ $) 59) (($) 39 (-12 (-3046 (|has| $ (-6 -4504))) (-3046 (|has| $ (-6 -4512)))))) (-2047 (($ $ $) 58) (($) 38 (-12 (-3046 (|has| $ (-6 -4504))) (-3046 (|has| $ (-6 -4512)))))) (-2790 (((-568) $) 32)) (-2085 (((-409 (-568)) $) 27)) (-3025 (($ $) 35)) (-2658 (($ $) 63)) (-4418 (($ $) 68)) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL)) (-4220 (((-634 (-568)) $) 29)) (-1529 (((-917) (-568)) NIL (|has| $ (-6 -4512)))) (-4025 (((-1108) $) NIL) (((-568) $) 96)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1999 (($ $) NIL)) (-4115 (($ $) NIL)) (-3770 (($ (-568) (-568)) NIL) (($ (-568) (-568) (-917)) 125)) (-3850 (((-420 $) $) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-3483 (((-568) $) 33)) (-3111 (($) 43)) (-1894 (($ $) 67)) (-1466 (((-763) $) NIL)) (-1655 (((-1143) (-1143)) 8)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-1513 (((-917)) NIL) (((-917) (-917)) NIL (|has| $ (-6 -4512)))) (-2383 (($ $) 116)) (-4191 (($ $ (-763)) NIL) (($ $) 99)) (-1973 (((-917) (-568)) NIL (|has| $ (-6 -4512)))) (-1996 (($ $) 84)) (-1947 (($ $) 74)) (-1988 (($ $) 85)) (-1939 (($ $) 72)) (-1980 (($ $) 82)) (-2792 (($ $) 70)) (-4280 (((-381) $) 129) (((-215) $) 126) (((-887 (-381)) $) NIL) (((-541) $) 51)) (-2747 (((-850) $) 48) (($ (-568)) 66) (($ $) NIL) (($ (-409 (-568))) NIL) (($ (-568)) 66) (($ (-409 (-568))) NIL)) (-3425 (((-763)) NIL)) (-3520 (($ $) NIL)) (-1540 (((-917)) 37) (((-917) (-917)) NIL (|has| $ (-6 -4512)))) (-3301 (($ $ $) 112)) (-2149 (($ $ $) 110)) (-3826 (($ $ $) 108)) (-2547 (($ $ $) 106)) (-2404 (((-917)) 31)) (-2008 (($ $) 89)) (-1959 (($ $) 77) (($ $ $) 132)) (-2273 (((-121) $ $) NIL)) (-2000 (($ $) 87)) (-1951 (($ $) 75)) (-2016 (($ $) 92)) (-1968 (($ $) 80)) (-1813 (($ $) 104)) (-4009 (($ $) 102)) (-1439 (($ $) 90)) (-1972 (($ $) 78)) (-2012 (($ $) 91)) (-1964 (($ $) 79)) (-2004 (($ $) 88)) (-1955 (($ $) 76)) (-2811 (($ $) 138)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) 41 T CONST)) (-1557 (($) 42 T CONST)) (-2628 (((-1143) $) 19) (((-1143) $ (-121)) 21) (((-1249) (-817) $) 22) (((-1249) (-817) $ (-121)) 23)) (-2209 (($ $) 118) (($ $ $) NIL)) (-3192 (($ $ (-763)) NIL) (($ $) NIL)) (-2768 (($ $ $) 114)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 60)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 52)) (-1781 (($ $ $) 93) (($ $ (-568)) 61)) (-1775 (($ $) 53) (($ $ $) 55)) (-1769 (($ $ $) 54)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) 64) (($ $ (-409 (-568))) 148) (($ $ $) 65)) (* (($ (-917) $) 36) (($ (-763) $) NIL) (($ (-568) $) 57) (($ $ $) 56) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL))) 
-(((-215) (-13 (-406) (-225) (-823) (-1181) (-1124) (-609 (-541)) (-10 -8 (-15 -1781 ($ $ (-568))) (-15 ** ($ $ $)) (-15 -3111 ($)) (-15 -4025 ((-568) $)) (-15 -3025 ($ $)) (-15 -2658 ($ $)) (-15 -1959 ($ $ $)) (-15 -2209 ($ $)) (-15 -2768 ($ $ $)) (-15 -1655 ((-1143) (-1143))) (-15 -1508 ((-409 (-568)) $ (-763))) (-15 -1508 ((-409 (-568)) $ (-763) (-763))) (-15 -2085 ((-409 (-568)) $)) (-15 -4220 ((-634 (-568)) $))))) (T -215)) 
-((** (*1 *1 *1 *1) (-5 *1 (-215))) (-2209 (*1 *1 *1) (-5 *1 (-215))) (-2768 (*1 *1 *1 *1) (-5 *1 (-215))) (-1781 (*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-215)))) (-3111 (*1 *1) (-5 *1 (-215))) (-4025 (*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-215)))) (-3025 (*1 *1 *1) (-5 *1 (-215))) (-2658 (*1 *1 *1) (-5 *1 (-215))) (-1959 (*1 *1 *1 *1) (-5 *1 (-215))) (-1655 (*1 *2 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-215)))) (-1508 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-409 (-568))) (-5 *1 (-215)))) (-1508 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-763)) (-5 *2 (-409 (-568))) (-5 *1 (-215)))) (-2085 (*1 *2 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-215)))) (-4220 (*1 *2 *1) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-215))))) 
-(-13 (-406) (-225) (-823) (-1181) (-1124) (-609 (-541)) (-10 -8 (-15 -1781 ($ $ (-568))) (-15 ** ($ $ $)) (-15 -3111 ($)) (-15 -4025 ((-568) $)) (-15 -3025 ($ $)) (-15 -2658 ($ $)) (-15 -1959 ($ $ $)) (-15 -2209 ($ $)) (-15 -2768 ($ $ $)) (-15 -1655 ((-1143) (-1143))) (-15 -1508 ((-409 (-568)) $ (-763))) (-15 -1508 ((-409 (-568)) $ (-763) (-763))) (-15 -2085 ((-409 (-568)) $)) (-15 -4220 ((-634 (-568)) $)))) 
-((-2449 (((-121) $ $) NIL (|has| (-215) (-1090)))) (-3207 (($ (-763) (-763)) NIL)) (-4486 (($ $ $) NIL)) (-4089 (($ (-218)) NIL) (($ $) NIL)) (-3560 (((-121) $) NIL)) (-3211 (($ $ (-568) (-568)) NIL)) (-3096 (($ $ (-568) (-568)) NIL)) (-2265 (($ $ (-568) (-568) (-568) (-568)) NIL)) (-4467 (($ $) NIL)) (-3691 (((-121) $) NIL)) (-1667 (((-121) $ (-763)) NIL)) (-4043 (($ $ (-568) (-568) $) NIL)) (-2438 (((-215) $ (-568) (-568) (-215)) NIL) (($ $ (-634 (-568)) (-634 (-568)) $) NIL)) (-3874 (($ $ (-568) (-218)) NIL)) (-2525 (($ $ (-568) (-218)) NIL)) (-1637 (($ (-763) (-215)) NIL)) (-4490 (($) NIL T CONST)) (-3912 (($ $) NIL (|has| (-215) (-301)))) (-2228 (((-218) $ (-568)) NIL)) (-2371 (((-763) $) NIL (|has| (-215) (-558)))) (-1292 (((-215) $ (-568) (-568) (-215)) 16)) (-3063 (($ (-568) (-568)) 18)) (-2069 (((-215) $ (-568) (-568)) 15)) (-3102 (((-215) $) NIL (|has| (-215) (-172)))) (-3317 (((-634 (-215)) $) NIL)) (-3344 (((-763) $) NIL (|has| (-215) (-558)))) (-2934 (((-634 (-218)) $) NIL (|has| (-215) (-558)))) (-2241 (((-763) $) 10)) (-1851 (($ (-763) (-763) (-215)) 19)) (-1901 (((-763) $) 11)) (-3791 (((-121) $ (-763)) NIL)) (-2424 (((-215) $) NIL (|has| (-215) (-6 (-4523 "*"))))) (-3139 (((-568) $) 7)) (-1343 (((-568) $) 8)) (-4406 (((-634 (-215)) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) (-215) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-215) (-1090))))) (-3405 (((-568) $) 12)) (-2801 (((-568) $) 13)) (-2271 (($ (-634 (-634 (-215)))) NIL)) (-2253 (($ (-1 (-215) (-215)) $) NIL)) (-2797 (($ (-1 (-215) (-215)) $) NIL) (($ (-1 (-215) (-215) (-215)) $ $) NIL) (($ (-1 (-215) (-215) (-215)) $ $ (-215)) NIL)) (-1843 (((-634 (-634 (-215))) $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (|has| (-215) (-1090)))) (-2715 (((-3 $ "failed") $) NIL (|has| (-215) (-365)))) (-4018 (($ $ $) NIL)) (-4025 (((-1108) $) NIL (|has| (-215) (-1090)))) (-2490 (($ $ (-215)) NIL)) (-2597 (((-3 $ "failed") $ (-215)) NIL (|has| (-215) (-558)))) (-3951 (((-121) (-1 (-121) (-215)) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 (-215)))) NIL (-12 (|has| (-215) (-303 (-215))) (|has| (-215) (-1090)))) (($ $ (-288 (-215))) NIL (-12 (|has| (-215) (-303 (-215))) (|has| (-215) (-1090)))) (($ $ (-215) (-215)) NIL (-12 (|has| (-215) (-303 (-215))) (|has| (-215) (-1090)))) (($ $ (-634 (-215)) (-634 (-215))) NIL (-12 (|has| (-215) (-303 (-215))) (|has| (-215) (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) 17)) (-2781 (((-215) $ (-568) (-568)) NIL) (((-215) $ (-568) (-568) (-215)) NIL) (($ $ (-634 (-568)) (-634 (-568))) NIL)) (-3499 (($ (-634 (-215))) NIL) (($ (-634 $)) NIL)) (-4322 (((-121) $) NIL)) (-2591 (((-215) $) NIL (|has| (-215) (-6 (-4523 "*"))))) (-4170 (((-763) (-1 (-121) (-215)) $) NIL (|has| $ (-6 -4521))) (((-763) (-215) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-215) (-1090))))) (-3865 (($ $) NIL)) (-4063 (((-634 (-218)) $) NIL (|has| (-215) (-301)))) (-2522 (((-218) $ (-568)) NIL)) (-2747 (((-850) $) NIL (|has| (-215) (-1090))) (($ (-218)) NIL)) (-3437 (((-121) (-1 (-121) (-215)) $) NIL (|has| $ (-6 -4521)))) (-2675 (((-121) $) NIL)) (-1719 (((-121) $ $) NIL (|has| (-215) (-1090)))) (-1781 (($ $ (-215)) NIL (|has| (-215) (-365)))) (-1775 (($ $ $) NIL) (($ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| (-215) (-365)))) (* (($ $ $) NIL) (($ (-215) $) NIL) (($ $ (-215)) NIL) (($ (-568) $) NIL) (((-218) $ (-218)) NIL) (((-218) (-218) $) NIL)) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-216) (-13 (-677 (-215) (-218) (-218)) (-10 -8 (-15 -3063 ($ (-568) (-568)))))) (T -216)) 
-((-3063 (*1 *1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-216))))) 
-(-13 (-677 (-215) (-218) (-218)) (-10 -8 (-15 -3063 ($ (-568) (-568))))) 
-((-3311 (((-169 (-215)) (-763) (-169 (-215))) 40) (((-215) (-763) (-215)) 41)) (-2761 (((-169 (-215)) (-169 (-215))) 42) (((-215) (-215)) 43)) (-3787 (((-169 (-215)) (-169 (-215)) (-169 (-215))) 48) (((-215) (-215) (-215)) 51)) (-2383 (((-169 (-215)) (-169 (-215))) 53) (((-215) (-215)) 52)) (-3301 (((-169 (-215)) (-169 (-215)) (-169 (-215))) 70) (((-215) (-215) (-215)) 62)) (-2149 (((-169 (-215)) (-169 (-215)) (-169 (-215))) 73) (((-215) (-215) (-215)) 71)) (-3826 (((-169 (-215)) (-169 (-215)) (-169 (-215))) 44) (((-215) (-215) (-215)) 45)) (-2547 (((-169 (-215)) (-169 (-215)) (-169 (-215))) 46) (((-215) (-215) (-215)) 47)) (-1813 (((-169 (-215)) (-169 (-215))) 84) (((-215) (-215)) 83)) (-4009 (((-215) (-215)) 78) (((-169 (-215)) (-169 (-215))) 82)) (-2209 (((-169 (-215)) (-169 (-215))) 7) (((-215) (-215)) 9)) (-1465 (((-828 (-215)) (-568) (-215)) 23)) (-2192 (((-828 (-215)) (-828 (-215))) 36)) (-2758 (((-828 (-215)) (-828 (-215))) 35)) (-3458 (((-828 (-215)) (-828 (-215))) 34)) (-2448 (((-828 (-215)) (-828 (-215))) 33)) (-1358 (((-828 (-215)) (-828 (-215))) 32)) (-2745 (((-828 (-215)) (-828 (-215))) 31)) (-4366 (((-828 (-215)) (-828 (-215))) 37)) (-4464 (((-828 (-215)) (-215)) 22)) (-2768 (((-169 (-215)) (-169 (-215)) (-169 (-215))) 58) (((-215) (-215) (-215)) 54))) 
-(((-217) (-10 -7 (-15 -2209 ((-215) (-215))) (-15 -2209 ((-169 (-215)) (-169 (-215)))) (-15 -4464 ((-828 (-215)) (-215))) (-15 -1465 ((-828 (-215)) (-568) (-215))) (-15 -4366 ((-828 (-215)) (-828 (-215)))) (-15 -2745 ((-828 (-215)) (-828 (-215)))) (-15 -1358 ((-828 (-215)) (-828 (-215)))) (-15 -2448 ((-828 (-215)) (-828 (-215)))) (-15 -3458 ((-828 (-215)) (-828 (-215)))) (-15 -2758 ((-828 (-215)) (-828 (-215)))) (-15 -2192 ((-828 (-215)) (-828 (-215)))) (-15 -2768 ((-215) (-215) (-215))) (-15 -2768 ((-169 (-215)) (-169 (-215)) (-169 (-215)))) (-15 -2761 ((-215) (-215))) (-15 -2761 ((-169 (-215)) (-169 (-215)))) (-15 -2383 ((-215) (-215))) (-15 -2383 ((-169 (-215)) (-169 (-215)))) (-15 -3311 ((-215) (-763) (-215))) (-15 -3311 ((-169 (-215)) (-763) (-169 (-215)))) (-15 -3826 ((-215) (-215) (-215))) (-15 -3826 ((-169 (-215)) (-169 (-215)) (-169 (-215)))) (-15 -3301 ((-215) (-215) (-215))) (-15 -3301 ((-169 (-215)) (-169 (-215)) (-169 (-215)))) (-15 -2547 ((-215) (-215) (-215))) (-15 -2547 ((-169 (-215)) (-169 (-215)) (-169 (-215)))) (-15 -2149 ((-215) (-215) (-215))) (-15 -2149 ((-169 (-215)) (-169 (-215)) (-169 (-215)))) (-15 -4009 ((-169 (-215)) (-169 (-215)))) (-15 -4009 ((-215) (-215))) (-15 -1813 ((-215) (-215))) (-15 -1813 ((-169 (-215)) (-169 (-215)))) (-15 -3787 ((-215) (-215) (-215))) (-15 -3787 ((-169 (-215)) (-169 (-215)) (-169 (-215)))))) (T -217)) 
-((-3787 (*1 *2 *2 *2) (-12 (-5 *2 (-169 (-215))) (-5 *1 (-217)))) (-3787 (*1 *2 *2 *2) (-12 (-5 *2 (-215)) (-5 *1 (-217)))) (-1813 (*1 *2 *2) (-12 (-5 *2 (-169 (-215))) (-5 *1 (-217)))) (-1813 (*1 *2 *2) (-12 (-5 *2 (-215)) (-5 *1 (-217)))) (-4009 (*1 *2 *2) (-12 (-5 *2 (-215)) (-5 *1 (-217)))) (-4009 (*1 *2 *2) (-12 (-5 *2 (-169 (-215))) (-5 *1 (-217)))) (-2149 (*1 *2 *2 *2) (-12 (-5 *2 (-169 (-215))) (-5 *1 (-217)))) (-2149 (*1 *2 *2 *2) (-12 (-5 *2 (-215)) (-5 *1 (-217)))) (-2547 (*1 *2 *2 *2) (-12 (-5 *2 (-169 (-215))) (-5 *1 (-217)))) (-2547 (*1 *2 *2 *2) (-12 (-5 *2 (-215)) (-5 *1 (-217)))) (-3301 (*1 *2 *2 *2) (-12 (-5 *2 (-169 (-215))) (-5 *1 (-217)))) (-3301 (*1 *2 *2 *2) (-12 (-5 *2 (-215)) (-5 *1 (-217)))) (-3826 (*1 *2 *2 *2) (-12 (-5 *2 (-169 (-215))) (-5 *1 (-217)))) (-3826 (*1 *2 *2 *2) (-12 (-5 *2 (-215)) (-5 *1 (-217)))) (-3311 (*1 *2 *3 *2) (-12 (-5 *2 (-169 (-215))) (-5 *3 (-763)) (-5 *1 (-217)))) (-3311 (*1 *2 *3 *2) (-12 (-5 *2 (-215)) (-5 *3 (-763)) (-5 *1 (-217)))) (-2383 (*1 *2 *2) (-12 (-5 *2 (-169 (-215))) (-5 *1 (-217)))) (-2383 (*1 *2 *2) (-12 (-5 *2 (-215)) (-5 *1 (-217)))) (-2761 (*1 *2 *2) (-12 (-5 *2 (-169 (-215))) (-5 *1 (-217)))) (-2761 (*1 *2 *2) (-12 (-5 *2 (-215)) (-5 *1 (-217)))) (-2768 (*1 *2 *2 *2) (-12 (-5 *2 (-169 (-215))) (-5 *1 (-217)))) (-2768 (*1 *2 *2 *2) (-12 (-5 *2 (-215)) (-5 *1 (-217)))) (-2192 (*1 *2 *2) (-12 (-5 *2 (-828 (-215))) (-5 *1 (-217)))) (-2758 (*1 *2 *2) (-12 (-5 *2 (-828 (-215))) (-5 *1 (-217)))) (-3458 (*1 *2 *2) (-12 (-5 *2 (-828 (-215))) (-5 *1 (-217)))) (-2448 (*1 *2 *2) (-12 (-5 *2 (-828 (-215))) (-5 *1 (-217)))) (-1358 (*1 *2 *2) (-12 (-5 *2 (-828 (-215))) (-5 *1 (-217)))) (-2745 (*1 *2 *2) (-12 (-5 *2 (-828 (-215))) (-5 *1 (-217)))) (-4366 (*1 *2 *2) (-12 (-5 *2 (-828 (-215))) (-5 *1 (-217)))) (-1465 (*1 *2 *3 *4) (-12 (-5 *3 (-568)) (-5 *2 (-828 (-215))) (-5 *1 (-217)) (-5 *4 (-215)))) (-4464 (*1 *2 *3) (-12 (-5 *2 (-828 (-215))) (-5 *1 (-217)) (-5 *3 (-215)))) (-2209 (*1 *2 *2) (-12 (-5 *2 (-169 (-215))) (-5 *1 (-217)))) (-2209 (*1 *2 *2) (-12 (-5 *2 (-215)) (-5 *1 (-217))))) 
-(-10 -7 (-15 -2209 ((-215) (-215))) (-15 -2209 ((-169 (-215)) (-169 (-215)))) (-15 -4464 ((-828 (-215)) (-215))) (-15 -1465 ((-828 (-215)) (-568) (-215))) (-15 -4366 ((-828 (-215)) (-828 (-215)))) (-15 -2745 ((-828 (-215)) (-828 (-215)))) (-15 -1358 ((-828 (-215)) (-828 (-215)))) (-15 -2448 ((-828 (-215)) (-828 (-215)))) (-15 -3458 ((-828 (-215)) (-828 (-215)))) (-15 -2758 ((-828 (-215)) (-828 (-215)))) (-15 -2192 ((-828 (-215)) (-828 (-215)))) (-15 -2768 ((-215) (-215) (-215))) (-15 -2768 ((-169 (-215)) (-169 (-215)) (-169 (-215)))) (-15 -2761 ((-215) (-215))) (-15 -2761 ((-169 (-215)) (-169 (-215)))) (-15 -2383 ((-215) (-215))) (-15 -2383 ((-169 (-215)) (-169 (-215)))) (-15 -3311 ((-215) (-763) (-215))) (-15 -3311 ((-169 (-215)) (-763) (-169 (-215)))) (-15 -3826 ((-215) (-215) (-215))) (-15 -3826 ((-169 (-215)) (-169 (-215)) (-169 (-215)))) (-15 -3301 ((-215) (-215) (-215))) (-15 -3301 ((-169 (-215)) (-169 (-215)) (-169 (-215)))) (-15 -2547 ((-215) (-215) (-215))) (-15 -2547 ((-169 (-215)) (-169 (-215)) (-169 (-215)))) (-15 -2149 ((-215) (-215) (-215))) (-15 -2149 ((-169 (-215)) (-169 (-215)) (-169 (-215)))) (-15 -4009 ((-169 (-215)) (-169 (-215)))) (-15 -4009 ((-215) (-215))) (-15 -1813 ((-215) (-215))) (-15 -1813 ((-169 (-215)) (-169 (-215)))) (-15 -3787 ((-215) (-215) (-215))) (-15 -3787 ((-169 (-215)) (-169 (-215)) (-169 (-215))))) 
-((-2449 (((-121) $ $) NIL (|has| (-215) (-1090)))) (-3207 (($ (-763)) NIL (|has| (-215) (-23)))) (-2481 (((-1249) $ (-568) (-568)) NIL (|has| $ (-6 -4522)))) (-1324 (((-121) (-1 (-121) (-215) (-215)) $) NIL) (((-121) $) NIL (|has| (-215) (-842)))) (-2109 (($ (-1 (-121) (-215) (-215)) $) NIL (|has| $ (-6 -4522))) (($ $) NIL (-12 (|has| $ (-6 -4522)) (|has| (-215) (-842))))) (-3647 (($ (-1 (-121) (-215) (-215)) $) NIL) (($ $) NIL (|has| (-215) (-842)))) (-1667 (((-121) $ (-763)) NIL)) (-2438 (((-215) $ (-568) (-215)) 17 (|has| $ (-6 -4522))) (((-215) $ (-1210 (-568)) (-215)) NIL (|has| $ (-6 -4522)))) (-2803 (($ (-1 (-121) (-215)) $) NIL (|has| $ (-6 -4521)))) (-4490 (($) NIL T CONST)) (-4452 (($ $) NIL (|has| $ (-6 -4522)))) (-3945 (($ $) NIL)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-215) (-1090))))) (-4330 (($ (-215) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-215) (-1090)))) (($ (-1 (-121) (-215)) $) NIL (|has| $ (-6 -4521)))) (-3094 (((-215) (-1 (-215) (-215) (-215)) $ (-215) (-215)) NIL (-12 (|has| $ (-6 -4521)) (|has| (-215) (-1090)))) (((-215) (-1 (-215) (-215) (-215)) $ (-215)) NIL (|has| $ (-6 -4521))) (((-215) (-1 (-215) (-215) (-215)) $) NIL (|has| $ (-6 -4521)))) (-1292 (((-215) $ (-568) (-215)) 9 (|has| $ (-6 -4522)))) (-3063 (($ (-568)) 14)) (-2069 (((-215) $ (-568)) 8)) (-2766 (((-568) (-1 (-121) (-215)) $) NIL) (((-568) (-215) $) NIL (|has| (-215) (-1090))) (((-568) (-215) $ (-568)) NIL (|has| (-215) (-1090)))) (-3317 (((-634 (-215)) $) NIL (|has| $ (-6 -4521)))) (-1804 (((-679 (-215)) $ $) NIL (|has| (-215) (-1047)))) (-1851 (($ (-763) (-215)) 15)) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-568) $) 12 (|has| (-568) (-842)))) (-1732 (($ $ $) NIL (|has| (-215) (-842)))) (-3645 (($ (-1 (-121) (-215) (-215)) $ $) NIL) (($ $ $) NIL (|has| (-215) (-842)))) (-4406 (((-634 (-215)) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) (-215) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-215) (-1090))))) (-3631 (((-568) $) NIL (|has| (-568) (-842)))) (-2047 (($ $ $) NIL (|has| (-215) (-842)))) (-2253 (($ (-1 (-215) (-215)) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 (-215) (-215)) $) NIL) (($ (-1 (-215) (-215) (-215)) $ $) NIL)) (-4303 (((-215) $) NIL (-12 (|has| (-215) (-1002)) (|has| (-215) (-1047))))) (-3796 (((-121) $ (-763)) NIL)) (-3680 (((-215) $) NIL (-12 (|has| (-215) (-1002)) (|has| (-215) (-1047))))) (-1893 (((-1143) $) NIL (|has| (-215) (-1090)))) (-4124 (($ (-215) $ (-568)) NIL) (($ $ $ (-568)) NIL)) (-3948 (((-634 (-568)) $) NIL)) (-2916 (((-121) (-568) $) NIL)) (-4025 (((-1108) $) NIL (|has| (-215) (-1090)))) (-3877 (((-215) $) NIL (|has| (-568) (-842)))) (-2712 (((-3 (-215) "failed") (-1 (-121) (-215)) $) NIL)) (-2490 (($ $ (-215)) 18 (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) (-215)) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 (-215)))) NIL (-12 (|has| (-215) (-303 (-215))) (|has| (-215) (-1090)))) (($ $ (-288 (-215))) NIL (-12 (|has| (-215) (-303 (-215))) (|has| (-215) (-1090)))) (($ $ (-215) (-215)) NIL (-12 (|has| (-215) (-303 (-215))) (|has| (-215) (-1090)))) (($ $ (-634 (-215)) (-634 (-215))) NIL (-12 (|has| (-215) (-303 (-215))) (|has| (-215) (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) (-215) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-215) (-1090))))) (-1480 (((-634 (-215)) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) 13)) (-2781 (((-215) $ (-568) (-215)) NIL) (((-215) $ (-568)) 16) (($ $ (-1210 (-568))) NIL)) (-2286 (((-215) $ $) NIL (|has| (-215) (-1047)))) (-2828 (($ $ (-568)) NIL) (($ $ (-1210 (-568))) NIL)) (-3372 (($ $ $) NIL (|has| (-215) (-1047)))) (-4170 (((-763) (-1 (-121) (-215)) $) NIL (|has| $ (-6 -4521))) (((-763) (-215) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-215) (-1090))))) (-3306 (($ $ $ (-568)) NIL (|has| $ (-6 -4522)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) NIL (|has| (-215) (-609 (-541))))) (-4289 (($ (-634 (-215))) NIL)) (-2770 (($ $ (-215)) NIL) (($ (-215) $) NIL) (($ $ $) NIL) (($ (-634 $)) NIL)) (-2747 (((-850) $) NIL (|has| (-215) (-1090)))) (-3437 (((-121) (-1 (-121) (-215)) $) NIL (|has| $ (-6 -4521)))) (-1753 (((-121) $ $) NIL (|has| (-215) (-842)))) (-1740 (((-121) $ $) NIL (|has| (-215) (-842)))) (-1719 (((-121) $ $) NIL (|has| (-215) (-1090)))) (-1747 (((-121) $ $) NIL (|has| (-215) (-842)))) (-1734 (((-121) $ $) NIL (|has| (-215) (-842)))) (-1775 (($ $) NIL (|has| (-215) (-21))) (($ $ $) NIL (|has| (-215) (-21)))) (-1769 (($ $ $) NIL (|has| (-215) (-25)))) (* (($ (-568) $) NIL (|has| (-215) (-21))) (($ (-215) $) NIL (|has| (-215) (-716))) (($ $ (-215)) NIL (|has| (-215) (-716)))) (-1699 (((-763) $) 11 (|has| $ (-6 -4521))))) 
-(((-218) (-13 (-1242 (-215)) (-10 -8 (-15 -3063 ($ (-568)))))) (T -218)) 
-((-3063 (*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-218))))) 
-(-13 (-1242 (-215)) (-10 -8 (-15 -3063 ($ (-568))))) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-3207 (($ (-763) (-763)) NIL)) (-4486 (($ $ $) NIL)) (-4089 (($ (-1244 |#1|)) NIL) (($ $) NIL)) (-1861 (($ |#1| |#1| |#1|) 32)) (-3560 (((-121) $) NIL)) (-3211 (($ $ (-568) (-568)) NIL)) (-3096 (($ $ (-568) (-568)) NIL)) (-2265 (($ $ (-568) (-568) (-568) (-568)) NIL)) (-4467 (($ $) NIL)) (-3691 (((-121) $) NIL)) (-1667 (((-121) $ (-763)) NIL)) (-4043 (($ $ (-568) (-568) $) NIL)) (-2438 ((|#1| $ (-568) (-568) |#1|) NIL) (($ $ (-634 (-568)) (-634 (-568)) $) NIL)) (-3874 (($ $ (-568) (-1244 |#1|)) NIL)) (-2525 (($ $ (-568) (-1244 |#1|)) NIL)) (-3225 (($ |#1| |#1| |#1|) 31)) (-1637 (($ (-763) |#1|) NIL)) (-4490 (($) NIL T CONST)) (-3912 (($ $) NIL (|has| |#1| (-301)))) (-2228 (((-1244 |#1|) $ (-568)) NIL)) (-3353 (($ |#1|) 30)) (-1789 (($ |#1|) 29)) (-2516 (($ |#1|) 28)) (-2371 (((-763) $) NIL (|has| |#1| (-558)))) (-1292 ((|#1| $ (-568) (-568) |#1|) NIL)) (-2069 ((|#1| $ (-568) (-568)) NIL)) (-3102 ((|#1| $) NIL (|has| |#1| (-172)))) (-3317 (((-634 |#1|) $) NIL)) (-3344 (((-763) $) NIL (|has| |#1| (-558)))) (-2934 (((-634 (-1244 |#1|)) $) NIL (|has| |#1| (-558)))) (-2241 (((-763) $) NIL)) (-1851 (($ (-763) (-763) |#1|) NIL)) (-1901 (((-763) $) NIL)) (-3791 (((-121) $ (-763)) NIL)) (-2424 ((|#1| $) NIL (|has| |#1| (-6 (-4523 "*"))))) (-3139 (((-568) $) NIL)) (-1343 (((-568) $) NIL)) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3405 (((-568) $) NIL)) (-2801 (((-568) $) NIL)) (-2271 (($ (-634 (-634 |#1|))) 10)) (-2253 (($ (-1 |#1| |#1|) $) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-1843 (((-634 (-634 |#1|)) $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-2715 (((-3 $ "failed") $) NIL (|has| |#1| (-365)))) (-4294 (($) 11)) (-4018 (($ $ $) NIL)) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-2490 (($ $ |#1|) NIL)) (-2597 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-558)))) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#1| $ (-568) (-568)) NIL) ((|#1| $ (-568) (-568) |#1|) NIL) (($ $ (-634 (-568)) (-634 (-568))) NIL)) (-3499 (($ (-634 |#1|)) NIL) (($ (-634 $)) NIL)) (-4322 (((-121) $) NIL)) (-2591 ((|#1| $) NIL (|has| |#1| (-6 (-4523 "*"))))) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3865 (($ $) NIL)) (-4063 (((-634 (-1244 |#1|)) $) NIL (|has| |#1| (-301)))) (-2522 (((-1244 |#1|) $ (-568)) NIL)) (-2747 (((-850) $) NIL (|has| |#1| (-1090))) (($ (-1244 |#1|)) NIL)) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-2675 (((-121) $) NIL)) (-1719 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1781 (($ $ |#1|) NIL (|has| |#1| (-365)))) (-1775 (($ $ $) NIL) (($ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| |#1| (-365)))) (* (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-568) $) NIL) (((-1244 |#1|) $ (-1244 |#1|)) 14) (((-1244 |#1|) (-1244 |#1|) $) NIL) (((-944 |#1|) $ (-944 |#1|)) 20)) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-219 |#1|) (-13 (-677 |#1| (-1244 |#1|) (-1244 |#1|)) (-10 -8 (-15 * ((-944 |#1|) $ (-944 |#1|))) (-15 -4294 ($)) (-15 -2516 ($ |#1|)) (-15 -1789 ($ |#1|)) (-15 -3353 ($ |#1|)) (-15 -3225 ($ |#1| |#1| |#1|)) (-15 -1861 ($ |#1| |#1| |#1|)))) (-13 (-365) (-1181))) (T -219)) 
-((* (*1 *2 *1 *2) (-12 (-5 *2 (-944 *3)) (-4 *3 (-13 (-365) (-1181))) (-5 *1 (-219 *3)))) (-4294 (*1 *1) (-12 (-5 *1 (-219 *2)) (-4 *2 (-13 (-365) (-1181))))) (-2516 (*1 *1 *2) (-12 (-5 *1 (-219 *2)) (-4 *2 (-13 (-365) (-1181))))) (-1789 (*1 *1 *2) (-12 (-5 *1 (-219 *2)) (-4 *2 (-13 (-365) (-1181))))) (-3353 (*1 *1 *2) (-12 (-5 *1 (-219 *2)) (-4 *2 (-13 (-365) (-1181))))) (-3225 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-219 *2)) (-4 *2 (-13 (-365) (-1181))))) (-1861 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-219 *2)) (-4 *2 (-13 (-365) (-1181)))))) 
-(-13 (-677 |#1| (-1244 |#1|) (-1244 |#1|)) (-10 -8 (-15 * ((-944 |#1|) $ (-944 |#1|))) (-15 -4294 ($)) (-15 -2516 ($ |#1|)) (-15 -1789 ($ |#1|)) (-15 -3353 ($ |#1|)) (-15 -3225 ($ |#1| |#1| |#1|)) (-15 -1861 ($ |#1| |#1| |#1|)))) 
-((-3963 (($ (-1 (-121) |#2|) $) 17)) (-1568 (($ |#2| $) NIL) (($ (-1 (-121) |#2|) $) 25)) (-3132 (($) NIL) (($ (-634 |#2|)) 11)) (-1719 (((-121) $ $) 23))) 
-(((-220 |#1| |#2|) (-10 -8 (-15 -3963 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -1568 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -1568 (|#1| |#2| |#1|)) (-15 -3132 (|#1| (-634 |#2|))) (-15 -3132 (|#1|)) (-15 -1719 ((-121) |#1| |#1|))) (-221 |#2|) (-1090)) (T -220)) 
-NIL 
-(-10 -8 (-15 -3963 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -1568 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -1568 (|#1| |#2| |#1|)) (-15 -3132 (|#1| (-634 |#2|))) (-15 -3132 (|#1|)) (-15 -1719 ((-121) |#1| |#1|))) 
-((-2449 (((-121) $ $) 18 (|has| |#1| (-1090)))) (-1667 (((-121) $ (-763)) 8)) (-3963 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4521)))) (-2803 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4521)))) (-4490 (($) 7 T CONST)) (-3926 (($ $) 55 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-1568 (($ |#1| $) 44 (|has| $ (-6 -4521))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4521)))) (-4330 (($ |#1| $) 54 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4521)))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4521)))) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) 9)) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35)) (-3796 (((-121) $ (-763)) 10)) (-1893 (((-1143) $) 22 (|has| |#1| (-1090)))) (-2580 ((|#1| $) 36)) (-1708 (($ |#1| $) 37)) (-4025 (((-1108) $) 21 (|has| |#1| (-1090)))) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-3403 ((|#1| $) 38)) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-3132 (($) 46) (($ (-634 |#1|)) 45)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-4280 (((-541) $) 56 (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) 47)) (-2747 (((-850) $) 20 (|has| |#1| (-1090)))) (-4074 (($ (-634 |#1|)) 39)) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-221 |#1|) (-1275) (-1090)) (T -221)) 
-NIL 
-(-13 (-227 |t#1|)) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1090)) ((-608 (-850)) |has| |#1| (-1090)) ((-154 |#1|) . T) ((-609 (-541)) |has| |#1| (-609 (-541))) ((-227 |#1|) . T) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-499 |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-1090) |has| |#1| (-1090)) ((-1195) . T)) 
-((-4191 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-763)) 11) (($ $ (-634 (-1161)) (-634 (-763))) NIL) (($ $ (-1161) (-763)) NIL) (($ $ (-634 (-1161))) NIL) (($ $ (-1161)) 19) (($ $ (-763)) NIL) (($ $) 16)) (-3192 (($ $ (-1 |#2| |#2|)) 12) (($ $ (-1 |#2| |#2|) (-763)) 14) (($ $ (-634 (-1161)) (-634 (-763))) NIL) (($ $ (-1161) (-763)) NIL) (($ $ (-634 (-1161))) NIL) (($ $ (-1161)) NIL) (($ $ (-763)) NIL) (($ $) NIL))) 
-(((-222 |#1| |#2|) (-10 -8 (-15 -4191 (|#1| |#1|)) (-15 -3192 (|#1| |#1|)) (-15 -4191 (|#1| |#1| (-763))) (-15 -3192 (|#1| |#1| (-763))) (-15 -4191 (|#1| |#1| (-1161))) (-15 -4191 (|#1| |#1| (-634 (-1161)))) (-15 -4191 (|#1| |#1| (-1161) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)) (-634 (-763)))) (-15 -3192 (|#1| |#1| (-1161))) (-15 -3192 (|#1| |#1| (-634 (-1161)))) (-15 -3192 (|#1| |#1| (-1161) (-763))) (-15 -3192 (|#1| |#1| (-634 (-1161)) (-634 (-763)))) (-15 -3192 (|#1| |#1| (-1 |#2| |#2|) (-763))) (-15 -3192 (|#1| |#1| (-1 |#2| |#2|))) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|) (-763))) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|)))) (-223 |#2|) (-1047)) (T -222)) 
-NIL 
-(-10 -8 (-15 -4191 (|#1| |#1|)) (-15 -3192 (|#1| |#1|)) (-15 -4191 (|#1| |#1| (-763))) (-15 -3192 (|#1| |#1| (-763))) (-15 -4191 (|#1| |#1| (-1161))) (-15 -4191 (|#1| |#1| (-634 (-1161)))) (-15 -4191 (|#1| |#1| (-1161) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)) (-634 (-763)))) (-15 -3192 (|#1| |#1| (-1161))) (-15 -3192 (|#1| |#1| (-634 (-1161)))) (-15 -3192 (|#1| |#1| (-1161) (-763))) (-15 -3192 (|#1| |#1| (-634 (-1161)) (-634 (-763)))) (-15 -3192 (|#1| |#1| (-1 |#2| |#2|) (-763))) (-15 -3192 (|#1| |#1| (-1 |#2| |#2|))) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|) (-763))) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-2902 (((-3 $ "failed") $) 33)) (-1598 (((-121) $) 30)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-4191 (($ $ (-1 |#1| |#1|)) 51) (($ $ (-1 |#1| |#1|) (-763)) 50) (($ $ (-634 (-1161)) (-634 (-763))) 43 (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) 42 (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) 41 (|has| |#1| (-895 (-1161)))) (($ $ (-1161)) 40 (|has| |#1| (-895 (-1161)))) (($ $ (-763)) 38 (|has| |#1| (-225))) (($ $) 36 (|has| |#1| (-225)))) (-2747 (((-850) $) 11) (($ (-568)) 27)) (-3425 (((-763)) 28)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3192 (($ $ (-1 |#1| |#1|)) 49) (($ $ (-1 |#1| |#1|) (-763)) 48) (($ $ (-634 (-1161)) (-634 (-763))) 47 (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) 46 (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) 45 (|has| |#1| (-895 (-1161)))) (($ $ (-1161)) 44 (|has| |#1| (-895 (-1161)))) (($ $ (-763)) 39 (|has| |#1| (-225))) (($ $) 37 (|has| |#1| (-225)))) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23))) 
-(((-223 |#1|) (-1275) (-1047)) (T -223)) 
-((-4191 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-223 *3)) (-4 *3 (-1047)))) (-4191 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-763)) (-4 *1 (-223 *4)) (-4 *4 (-1047)))) (-3192 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-223 *3)) (-4 *3 (-1047)))) (-3192 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-763)) (-4 *1 (-223 *4)) (-4 *4 (-1047))))) 
-(-13 (-1047) (-10 -8 (-15 -4191 ($ $ (-1 |t#1| |t#1|))) (-15 -4191 ($ $ (-1 |t#1| |t#1|) (-763))) (-15 -3192 ($ $ (-1 |t#1| |t#1|))) (-15 -3192 ($ $ (-1 |t#1| |t#1|) (-763))) (IF (|has| |t#1| (-225)) (-6 (-225)) |noBranch|) (IF (|has| |t#1| (-895 (-1161))) (-6 (-895 (-1161))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-137) . T) ((-608 (-850)) . T) ((-225) |has| |#1| (-225)) ((-637 $) . T) ((-716) . T) ((-895 (-1161)) |has| |#1| (-895 (-1161))) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-4191 (($ $) NIL) (($ $ (-763)) 10)) (-3192 (($ $) 8) (($ $ (-763)) 12))) 
-(((-224 |#1|) (-10 -8 (-15 -3192 (|#1| |#1| (-763))) (-15 -4191 (|#1| |#1| (-763))) (-15 -3192 (|#1| |#1|)) (-15 -4191 (|#1| |#1|))) (-225)) (T -224)) 
-NIL 
-(-10 -8 (-15 -3192 (|#1| |#1| (-763))) (-15 -4191 (|#1| |#1| (-763))) (-15 -3192 (|#1| |#1|)) (-15 -4191 (|#1| |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-2902 (((-3 $ "failed") $) 33)) (-1598 (((-121) $) 30)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-4191 (($ $) 37) (($ $ (-763)) 35)) (-2747 (((-850) $) 11) (($ (-568)) 27)) (-3425 (((-763)) 28)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3192 (($ $) 36) (($ $ (-763)) 34)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23))) 
-(((-225) (-1275)) (T -225)) 
-((-4191 (*1 *1 *1) (-4 *1 (-225))) (-3192 (*1 *1 *1) (-4 *1 (-225))) (-4191 (*1 *1 *1 *2) (-12 (-4 *1 (-225)) (-5 *2 (-763)))) (-3192 (*1 *1 *1 *2) (-12 (-4 *1 (-225)) (-5 *2 (-763))))) 
-(-13 (-1047) (-10 -8 (-15 -4191 ($ $)) (-15 -3192 ($ $)) (-15 -4191 ($ $ (-763))) (-15 -3192 ($ $ (-763))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-137) . T) ((-608 (-850)) . T) ((-637 $) . T) ((-716) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-3132 (($) 12) (($ (-634 |#2|)) NIL)) (-3865 (($ $) 14)) (-4289 (($ (-634 |#2|)) 10)) (-2747 (((-850) $) 21))) 
-(((-226 |#1| |#2|) (-10 -8 (-15 -3132 (|#1| (-634 |#2|))) (-15 -3132 (|#1|)) (-15 -4289 (|#1| (-634 |#2|))) (-15 -2747 ((-850) |#1|)) (-15 -3865 (|#1| |#1|))) (-227 |#2|) (-1090)) (T -226)) 
-NIL 
-(-10 -8 (-15 -3132 (|#1| (-634 |#2|))) (-15 -3132 (|#1|)) (-15 -4289 (|#1| (-634 |#2|))) (-15 -2747 ((-850) |#1|)) (-15 -3865 (|#1| |#1|))) 
-((-2449 (((-121) $ $) 18 (|has| |#1| (-1090)))) (-1667 (((-121) $ (-763)) 8)) (-3963 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4521)))) (-2803 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4521)))) (-4490 (($) 7 T CONST)) (-3926 (($ $) 55 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-1568 (($ |#1| $) 44 (|has| $ (-6 -4521))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4521)))) (-4330 (($ |#1| $) 54 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4521)))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4521)))) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) 9)) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35)) (-3796 (((-121) $ (-763)) 10)) (-1893 (((-1143) $) 22 (|has| |#1| (-1090)))) (-2580 ((|#1| $) 36)) (-1708 (($ |#1| $) 37)) (-4025 (((-1108) $) 21 (|has| |#1| (-1090)))) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-3403 ((|#1| $) 38)) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-3132 (($) 46) (($ (-634 |#1|)) 45)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-4280 (((-541) $) 56 (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) 47)) (-2747 (((-850) $) 20 (|has| |#1| (-1090)))) (-4074 (($ (-634 |#1|)) 39)) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-227 |#1|) (-1275) (-1090)) (T -227)) 
-((-3132 (*1 *1) (-12 (-4 *1 (-227 *2)) (-4 *2 (-1090)))) (-3132 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-4 *1 (-227 *3)))) (-1568 (*1 *1 *2 *1) (-12 (|has| *1 (-6 -4521)) (-4 *1 (-227 *2)) (-4 *2 (-1090)))) (-1568 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4521)) (-4 *1 (-227 *3)) (-4 *3 (-1090)))) (-3963 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4521)) (-4 *1 (-227 *3)) (-4 *3 (-1090))))) 
-(-13 (-111 |t#1|) (-154 |t#1|) (-10 -8 (-15 -3132 ($)) (-15 -3132 ($ (-634 |t#1|))) (IF (|has| $ (-6 -4521)) (PROGN (-15 -1568 ($ |t#1| $)) (-15 -1568 ($ (-1 (-121) |t#1|) $)) (-15 -3963 ($ (-1 (-121) |t#1|) $))) |noBranch|))) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1090)) ((-608 (-850)) |has| |#1| (-1090)) ((-154 |#1|) . T) ((-609 (-541)) |has| |#1| (-609 (-541))) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-499 |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-1090) |has| |#1| (-1090)) ((-1195) . T)) 
-((-3807 (((-2 (|:| |varOrder| (-634 (-1161))) (|:| |inhom| (-3 (-634 (-1244 (-763))) "failed")) (|:| |hom| (-634 (-1244 (-763))))) (-288 (-953 (-568)))) 25))) 
-(((-228) (-10 -7 (-15 -3807 ((-2 (|:| |varOrder| (-634 (-1161))) (|:| |inhom| (-3 (-634 (-1244 (-763))) "failed")) (|:| |hom| (-634 (-1244 (-763))))) (-288 (-953 (-568))))))) (T -228)) 
-((-3807 (*1 *2 *3) (-12 (-5 *3 (-288 (-953 (-568)))) (-5 *2 (-2 (|:| |varOrder| (-634 (-1161))) (|:| |inhom| (-3 (-634 (-1244 (-763))) "failed")) (|:| |hom| (-634 (-1244 (-763)))))) (-5 *1 (-228))))) 
-(-10 -7 (-15 -3807 ((-2 (|:| |varOrder| (-634 (-1161))) (|:| |inhom| (-3 (-634 (-1244 (-763))) "failed")) (|:| |hom| (-634 (-1244 (-763))))) (-288 (-953 (-568)))))) 
-((-3986 (((-763)) 51)) (-1668 (((-2 (|:| -2908 (-679 |#3|)) (|:| |vec| (-1244 |#3|))) (-679 $) (-1244 $)) 49) (((-679 |#3|) (-679 $)) 41) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL) (((-679 (-568)) (-679 $)) NIL)) (-3108 (((-139)) 57)) (-4191 (($ $ (-1 |#3| |#3|) (-763)) NIL) (($ $ (-1 |#3| |#3|)) 18) (($ $ (-634 (-1161)) (-634 (-763))) NIL) (($ $ (-1161) (-763)) NIL) (($ $ (-634 (-1161))) NIL) (($ $ (-1161)) NIL) (($ $ (-763)) NIL) (($ $) NIL)) (-2747 (((-1244 |#3|) $) NIL) (($ |#3|) NIL) (((-850) $) NIL) (($ (-568)) 12) (($ (-409 (-568))) NIL)) (-3425 (((-763)) 15)) (-1781 (($ $ |#3|) 54))) 
-(((-229 |#1| |#2| |#3|) (-10 -8 (-15 -2747 (|#1| (-409 (-568)))) (-15 -2747 (|#1| (-568))) (-15 -2747 ((-850) |#1|)) (-15 -3425 ((-763))) (-15 -4191 (|#1| |#1|)) (-15 -4191 (|#1| |#1| (-763))) (-15 -4191 (|#1| |#1| (-1161))) (-15 -4191 (|#1| |#1| (-634 (-1161)))) (-15 -4191 (|#1| |#1| (-1161) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)) (-634 (-763)))) (-15 -1668 ((-679 (-568)) (-679 |#1|))) (-15 -1668 ((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 |#1|) (-1244 |#1|))) (-15 -2747 (|#1| |#3|)) (-15 -4191 (|#1| |#1| (-1 |#3| |#3|))) (-15 -4191 (|#1| |#1| (-1 |#3| |#3|) (-763))) (-15 -1668 ((-679 |#3|) (-679 |#1|))) (-15 -1668 ((-2 (|:| -2908 (-679 |#3|)) (|:| |vec| (-1244 |#3|))) (-679 |#1|) (-1244 |#1|))) (-15 -3986 ((-763))) (-15 -1781 (|#1| |#1| |#3|)) (-15 -3108 ((-139))) (-15 -2747 ((-1244 |#3|) |#1|))) (-230 |#2| |#3|) (-763) (-1195)) (T -229)) 
-((-3108 (*1 *2) (-12 (-14 *4 (-763)) (-4 *5 (-1195)) (-5 *2 (-139)) (-5 *1 (-229 *3 *4 *5)) (-4 *3 (-230 *4 *5)))) (-3986 (*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1195)) (-5 *2 (-763)) (-5 *1 (-229 *3 *4 *5)) (-4 *3 (-230 *4 *5)))) (-3425 (*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1195)) (-5 *2 (-763)) (-5 *1 (-229 *3 *4 *5)) (-4 *3 (-230 *4 *5))))) 
-(-10 -8 (-15 -2747 (|#1| (-409 (-568)))) (-15 -2747 (|#1| (-568))) (-15 -2747 ((-850) |#1|)) (-15 -3425 ((-763))) (-15 -4191 (|#1| |#1|)) (-15 -4191 (|#1| |#1| (-763))) (-15 -4191 (|#1| |#1| (-1161))) (-15 -4191 (|#1| |#1| (-634 (-1161)))) (-15 -4191 (|#1| |#1| (-1161) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)) (-634 (-763)))) (-15 -1668 ((-679 (-568)) (-679 |#1|))) (-15 -1668 ((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 |#1|) (-1244 |#1|))) (-15 -2747 (|#1| |#3|)) (-15 -4191 (|#1| |#1| (-1 |#3| |#3|))) (-15 -4191 (|#1| |#1| (-1 |#3| |#3|) (-763))) (-15 -1668 ((-679 |#3|) (-679 |#1|))) (-15 -1668 ((-2 (|:| -2908 (-679 |#3|)) (|:| |vec| (-1244 |#3|))) (-679 |#1|) (-1244 |#1|))) (-15 -3986 ((-763))) (-15 -1781 (|#1| |#1| |#3|)) (-15 -3108 ((-139))) (-15 -2747 ((-1244 |#3|) |#1|))) 
-((-2449 (((-121) $ $) 18 (|has| |#2| (-1090)))) (-1819 (((-121) $) 67 (|has| |#2| (-137)))) (-4007 (($ (-917)) 122 (|has| |#2| (-1047)))) (-2481 (((-1249) $ (-568) (-568)) 37 (|has| $ (-6 -4522)))) (-2409 (($ $ $) 118 (|has| |#2| (-788)))) (-2689 (((-3 $ "failed") $ $) 69 (|has| |#2| (-137)))) (-1667 (((-121) $ (-763)) 8)) (-3986 (((-763)) 104 (|has| |#2| (-370)))) (-3337 (((-568) $) 116 (|has| |#2| (-840)))) (-2438 ((|#2| $ (-568) |#2|) 49 (|has| $ (-6 -4522)))) (-4490 (($) 7 T CONST)) (-3668 (((-3 (-568) "failed") $) 62 (-2141 (|has| |#2| (-1037 (-568))) (|has| |#2| (-1090)))) (((-3 (-409 (-568)) "failed") $) 59 (-2141 (|has| |#2| (-1037 (-409 (-568)))) (|has| |#2| (-1090)))) (((-3 |#2| "failed") $) 56 (|has| |#2| (-1090)))) (-2857 (((-568) $) 63 (-2141 (|has| |#2| (-1037 (-568))) (|has| |#2| (-1090)))) (((-409 (-568)) $) 60 (-2141 (|has| |#2| (-1037 (-409 (-568)))) (|has| |#2| (-1090)))) ((|#2| $) 55 (|has| |#2| (-1090)))) (-1668 (((-679 (-568)) (-679 $)) 103 (-2141 (|has| |#2| (-630 (-568))) (|has| |#2| (-1047)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) 102 (-2141 (|has| |#2| (-630 (-568))) (|has| |#2| (-1047)))) (((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 $) (-1244 $)) 101 (|has| |#2| (-1047))) (((-679 |#2|) (-679 $)) 100 (|has| |#2| (-1047)))) (-2902 (((-3 $ "failed") $) 75 (|has| |#2| (-716)))) (-1733 (($) 107 (|has| |#2| (-370)))) (-1292 ((|#2| $ (-568) |#2|) 50 (|has| $ (-6 -4522)))) (-2069 ((|#2| $ (-568)) 48)) (-1436 (((-121) $) 114 (|has| |#2| (-840)))) (-3317 (((-634 |#2|) $) 30 (|has| $ (-6 -4521)))) (-1598 (((-121) $) 78 (|has| |#2| (-716)))) (-2859 (((-121) $) 115 (|has| |#2| (-840)))) (-3791 (((-121) $ (-763)) 9)) (-2539 (((-568) $) 40 (|has| (-568) (-842)))) (-1732 (($ $ $) 113 (-2199 (|has| |#2| (-840)) (|has| |#2| (-788))))) (-4406 (((-634 |#2|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#2| $) 27 (-12 (|has| |#2| (-1090)) (|has| $ (-6 -4521))))) (-3631 (((-568) $) 41 (|has| (-568) (-842)))) (-2047 (($ $ $) 112 (-2199 (|has| |#2| (-840)) (|has| |#2| (-788))))) (-2253 (($ (-1 |#2| |#2|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#2| |#2|) $) 35)) (-2291 (((-917) $) 106 (|has| |#2| (-370)))) (-3796 (((-121) $ (-763)) 10)) (-1893 (((-1143) $) 22 (|has| |#2| (-1090)))) (-3948 (((-634 (-568)) $) 43)) (-2916 (((-121) (-568) $) 44)) (-4357 (($ (-917)) 105 (|has| |#2| (-370)))) (-4025 (((-1108) $) 21 (|has| |#2| (-1090)))) (-3877 ((|#2| $) 39 (|has| (-568) (-842)))) (-2490 (($ $ |#2|) 38 (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) |#2|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#2|))) 26 (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-288 |#2|)) 25 (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ |#2| |#2|) 24 (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-634 |#2|) (-634 |#2|)) 23 (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))))) (-1702 (((-121) $ $) 14)) (-1801 (((-121) |#2| $) 42 (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-1480 (((-634 |#2|) $) 45)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-2781 ((|#2| $ (-568) |#2|) 47) ((|#2| $ (-568)) 46)) (-2286 ((|#2| $ $) 121 (|has| |#2| (-1047)))) (-2041 (($ (-1244 |#2|)) 123)) (-3108 (((-139)) 120 (|has| |#2| (-365)))) (-4191 (($ $) 95 (-2141 (|has| |#2| (-225)) (|has| |#2| (-1047)))) (($ $ (-763)) 93 (-2141 (|has| |#2| (-225)) (|has| |#2| (-1047)))) (($ $ (-1161)) 91 (-2141 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-634 (-1161))) 90 (-2141 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-1161) (-763)) 89 (-2141 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-634 (-1161)) (-634 (-763))) 88 (-2141 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-1 |#2| |#2|) (-763)) 81 (|has| |#2| (-1047))) (($ $ (-1 |#2| |#2|)) 80 (|has| |#2| (-1047)))) (-4170 (((-763) (-1 (-121) |#2|) $) 31 (|has| $ (-6 -4521))) (((-763) |#2| $) 28 (-12 (|has| |#2| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-2747 (((-1244 |#2|) $) 124) (((-850) $) 20 (|has| |#2| (-1090))) (($ (-568)) 61 (-2199 (-2141 (|has| |#2| (-1037 (-568))) (|has| |#2| (-1090))) (|has| |#2| (-1047)))) (($ (-409 (-568))) 58 (-2141 (|has| |#2| (-1037 (-409 (-568)))) (|has| |#2| (-1090)))) (($ |#2|) 57 (|has| |#2| (-1090)))) (-3425 (((-763)) 99 (|has| |#2| (-1047)))) (-3437 (((-121) (-1 (-121) |#2|) $) 33 (|has| $ (-6 -4521)))) (-2811 (($ $) 117 (|has| |#2| (-840)))) (-1889 (($ $ (-763)) 76 (|has| |#2| (-716))) (($ $ (-917)) 72 (|has| |#2| (-716)))) (-3058 (($) 66 (|has| |#2| (-137)) CONST)) (-1557 (($) 79 (|has| |#2| (-716)) CONST)) (-3192 (($ $) 94 (-2141 (|has| |#2| (-225)) (|has| |#2| (-1047)))) (($ $ (-763)) 92 (-2141 (|has| |#2| (-225)) (|has| |#2| (-1047)))) (($ $ (-1161)) 87 (-2141 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-634 (-1161))) 86 (-2141 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-1161) (-763)) 85 (-2141 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-634 (-1161)) (-634 (-763))) 84 (-2141 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-1 |#2| |#2|) (-763)) 83 (|has| |#2| (-1047))) (($ $ (-1 |#2| |#2|)) 82 (|has| |#2| (-1047)))) (-1753 (((-121) $ $) 110 (-2199 (|has| |#2| (-840)) (|has| |#2| (-788))))) (-1740 (((-121) $ $) 109 (-2199 (|has| |#2| (-840)) (|has| |#2| (-788))))) (-1719 (((-121) $ $) 19 (|has| |#2| (-1090)))) (-1747 (((-121) $ $) 111 (-2199 (|has| |#2| (-840)) (|has| |#2| (-788))))) (-1734 (((-121) $ $) 108 (-2199 (|has| |#2| (-840)) (|has| |#2| (-788))))) (-1781 (($ $ |#2|) 119 (|has| |#2| (-365)))) (-1775 (($ $ $) 97 (|has| |#2| (-1047))) (($ $) 96 (|has| |#2| (-1047)))) (-1769 (($ $ $) 64 (|has| |#2| (-25)))) (** (($ $ (-763)) 77 (|has| |#2| (-716))) (($ $ (-917)) 73 (|has| |#2| (-716)))) (* (($ (-568) $) 98 (|has| |#2| (-1047))) (($ $ $) 74 (|has| |#2| (-716))) (($ $ |#2|) 71 (|has| |#2| (-1047))) (($ |#2| $) 70 (|has| |#2| (-1047))) (($ (-763) $) 68 (|has| |#2| (-137))) (($ (-917) $) 65 (|has| |#2| (-25)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-230 |#1| |#2|) (-1275) (-763) (-1195)) (T -230)) 
-((-2041 (*1 *1 *2) (-12 (-5 *2 (-1244 *4)) (-4 *4 (-1195)) (-4 *1 (-230 *3 *4)))) (-4007 (*1 *1 *2) (-12 (-5 *2 (-917)) (-4 *1 (-230 *3 *4)) (-4 *4 (-1047)) (-4 *4 (-1195)))) (-2286 (*1 *2 *1 *1) (-12 (-4 *1 (-230 *3 *2)) (-4 *2 (-1195)) (-4 *2 (-1047))))) 
-(-13 (-601 (-568) |t#2|) (-608 (-1244 |t#2|)) (-10 -8 (-6 -4521) (-15 -2041 ($ (-1244 |t#2|))) (IF (|has| |t#2| (-1090)) (-6 (-413 |t#2|)) |noBranch|) (IF (|has| |t#2| (-1047)) (PROGN (-6 (-120 |t#2| |t#2|)) (-6 (-223 |t#2|)) (-6 (-379 |t#2|)) (-15 -4007 ($ (-917))) (-15 -2286 (|t#2| $ $))) |noBranch|) (IF (|has| |t#2| (-25)) (-6 (-25)) |noBranch|) (IF (|has| |t#2| (-137)) (-6 (-137)) |noBranch|) (IF (|has| |t#2| (-716)) (-6 (-716 (SEQ (|:| * (-1 $ |t#2| $)) (|exit| 1 (|:| * (-1 $ $ |t#2|)))))) |noBranch|) (IF (|has| |t#2| (-370)) (-6 (-370)) |noBranch|) (IF (|has| |t#2| (-172)) (PROGN (-6 (-43 |t#2|)) (-6 (-172))) |noBranch|) (IF (|has| |t#2| (-6 -4518)) (-6 -4518) |noBranch|) (IF (|has| |t#2| (-840)) (-6 (-840)) |noBranch|) (IF (|has| |t#2| (-788)) (-6 (-788)) |noBranch|) (IF (|has| |t#2| (-365)) (-6 (-1251 |t#2|)) |noBranch|))) 
-(((-21) -2199 (|has| |#2| (-1047)) (|has| |#2| (-840)) (|has| |#2| (-365)) (|has| |#2| (-172))) ((-23) -2199 (|has| |#2| (-1047)) (|has| |#2| (-840)) (|has| |#2| (-788)) (|has| |#2| (-365)) (|has| |#2| (-172)) (|has| |#2| (-137))) ((-25) -2199 (|has| |#2| (-1047)) (|has| |#2| (-840)) (|has| |#2| (-788)) (|has| |#2| (-365)) (|has| |#2| (-172)) (|has| |#2| (-137)) (|has| |#2| (-25))) ((-39) . T) ((-43 |#2|) |has| |#2| (-172)) ((-105) -2199 (|has| |#2| (-1090)) (|has| |#2| (-1047)) (|has| |#2| (-840)) (|has| |#2| (-788)) (|has| |#2| (-716)) (|has| |#2| (-370)) (|has| |#2| (-365)) (|has| |#2| (-172)) (|has| |#2| (-137)) (|has| |#2| (-25))) ((-120 |#2| |#2|) -2199 (|has| |#2| (-1047)) (|has| |#2| (-365)) (|has| |#2| (-172))) ((-120 $ $) |has| |#2| (-172)) ((-137) -2199 (|has| |#2| (-1047)) (|has| |#2| (-840)) (|has| |#2| (-788)) (|has| |#2| (-365)) (|has| |#2| (-172)) (|has| |#2| (-137))) ((-608 (-850)) -2199 (|has| |#2| (-1090)) (|has| |#2| (-1047)) (|has| |#2| (-840)) (|has| |#2| (-788)) (|has| |#2| (-716)) (|has| |#2| (-370)) (|has| |#2| (-365)) (|has| |#2| (-172)) (|has| |#2| (-137)) (|has| |#2| (-25))) ((-608 (-1244 |#2|)) . T) ((-172) |has| |#2| (-172)) ((-223 |#2|) |has| |#2| (-1047)) ((-225) -12 (|has| |#2| (-225)) (|has| |#2| (-1047))) ((-281 (-568) |#2|) . T) ((-283 (-568) |#2|) . T) ((-303 |#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))) ((-370) |has| |#2| (-370)) ((-379 |#2|) |has| |#2| (-1047)) ((-413 |#2|) |has| |#2| (-1090)) ((-499 |#2|) . T) ((-601 (-568) |#2|) . T) ((-523 |#2| |#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))) ((-637 |#2|) -2199 (|has| |#2| (-1047)) (|has| |#2| (-365)) (|has| |#2| (-172))) ((-637 $) -2199 (|has| |#2| (-1047)) (|has| |#2| (-840)) (|has| |#2| (-172))) ((-630 (-568)) -12 (|has| |#2| (-630 (-568))) (|has| |#2| (-1047))) ((-630 |#2|) |has| |#2| (-1047)) ((-707 |#2|) -2199 (|has| |#2| (-365)) (|has| |#2| (-172))) ((-716 (SEQ (|:| * (-1 $ |#2| $)) (|exit| 1 (|:| * (-1 $ $ |#2|))))) |has| |#2| (-716)) ((-716) -2199 (|has| |#2| (-1047)) (|has| |#2| (-840)) (|has| |#2| (-172))) ((-786) |has| |#2| (-840)) ((-787) -2199 (|has| |#2| (-840)) (|has| |#2| (-788))) ((-788) |has| |#2| (-788)) ((-789) -2199 (|has| |#2| (-840)) (|has| |#2| (-788))) ((-790) -2199 (|has| |#2| (-840)) (|has| |#2| (-788))) ((-840) |has| |#2| (-840)) ((-842) -2199 (|has| |#2| (-840)) (|has| |#2| (-788))) ((-895 (-1161)) -12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047))) ((-1037 (-409 (-568))) -12 (|has| |#2| (-1037 (-409 (-568)))) (|has| |#2| (-1090))) ((-1037 (-568)) -12 (|has| |#2| (-1037 (-568))) (|has| |#2| (-1090))) ((-1037 |#2|) |has| |#2| (-1090)) ((-1053 |#2|) -2199 (|has| |#2| (-1047)) (|has| |#2| (-365)) (|has| |#2| (-172))) ((-1053 $) |has| |#2| (-172)) ((-1047) -2199 (|has| |#2| (-1047)) (|has| |#2| (-840)) (|has| |#2| (-172))) ((-1054) -2199 (|has| |#2| (-1047)) (|has| |#2| (-840)) (|has| |#2| (-172))) ((-1102) -2199 (|has| |#2| (-1047)) (|has| |#2| (-840)) (|has| |#2| (-716)) (|has| |#2| (-172))) ((-1090) -2199 (|has| |#2| (-1090)) (|has| |#2| (-1047)) (|has| |#2| (-840)) (|has| |#2| (-788)) (|has| |#2| (-716)) (|has| |#2| (-370)) (|has| |#2| (-365)) (|has| |#2| (-172)) (|has| |#2| (-137)) (|has| |#2| (-25))) ((-1195) . T) ((-1251 |#2|) |has| |#2| (-365))) 
-((-1678 (((-232 |#1| |#3|) (-1 |#3| |#2| |#3|) (-232 |#1| |#2|) |#3|) 21)) (-3094 ((|#3| (-1 |#3| |#2| |#3|) (-232 |#1| |#2|) |#3|) 23)) (-2797 (((-232 |#1| |#3|) (-1 |#3| |#2|) (-232 |#1| |#2|)) 18))) 
-(((-231 |#1| |#2| |#3|) (-10 -7 (-15 -1678 ((-232 |#1| |#3|) (-1 |#3| |#2| |#3|) (-232 |#1| |#2|) |#3|)) (-15 -3094 (|#3| (-1 |#3| |#2| |#3|) (-232 |#1| |#2|) |#3|)) (-15 -2797 ((-232 |#1| |#3|) (-1 |#3| |#2|) (-232 |#1| |#2|)))) (-763) (-1195) (-1195)) (T -231)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-232 *5 *6)) (-14 *5 (-763)) (-4 *6 (-1195)) (-4 *7 (-1195)) (-5 *2 (-232 *5 *7)) (-5 *1 (-231 *5 *6 *7)))) (-3094 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *6 *2)) (-5 *4 (-232 *5 *6)) (-14 *5 (-763)) (-4 *6 (-1195)) (-4 *2 (-1195)) (-5 *1 (-231 *5 *6 *2)))) (-1678 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *7 *5)) (-5 *4 (-232 *6 *7)) (-14 *6 (-763)) (-4 *7 (-1195)) (-4 *5 (-1195)) (-5 *2 (-232 *6 *5)) (-5 *1 (-231 *6 *7 *5))))) 
-(-10 -7 (-15 -1678 ((-232 |#1| |#3|) (-1 |#3| |#2| |#3|) (-232 |#1| |#2|) |#3|)) (-15 -3094 (|#3| (-1 |#3| |#2| |#3|) (-232 |#1| |#2|) |#3|)) (-15 -2797 ((-232 |#1| |#3|) (-1 |#3| |#2|) (-232 |#1| |#2|)))) 
-((-2449 (((-121) $ $) NIL (|has| |#2| (-1090)))) (-1819 (((-121) $) NIL (|has| |#2| (-137)))) (-4007 (($ (-917)) 56 (|has| |#2| (-1047)))) (-2481 (((-1249) $ (-568) (-568)) NIL (|has| $ (-6 -4522)))) (-2409 (($ $ $) 60 (|has| |#2| (-788)))) (-2689 (((-3 $ "failed") $ $) 49 (|has| |#2| (-137)))) (-1667 (((-121) $ (-763)) 17)) (-3986 (((-763)) NIL (|has| |#2| (-370)))) (-3337 (((-568) $) NIL (|has| |#2| (-840)))) (-2438 ((|#2| $ (-568) |#2|) NIL (|has| $ (-6 -4522)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-568) "failed") $) NIL (-12 (|has| |#2| (-1037 (-568))) (|has| |#2| (-1090)))) (((-3 (-409 (-568)) "failed") $) NIL (-12 (|has| |#2| (-1037 (-409 (-568)))) (|has| |#2| (-1090)))) (((-3 |#2| "failed") $) 29 (|has| |#2| (-1090)))) (-2857 (((-568) $) NIL (-12 (|has| |#2| (-1037 (-568))) (|has| |#2| (-1090)))) (((-409 (-568)) $) NIL (-12 (|has| |#2| (-1037 (-409 (-568)))) (|has| |#2| (-1090)))) ((|#2| $) 27 (|has| |#2| (-1090)))) (-1668 (((-679 (-568)) (-679 $)) NIL (-12 (|has| |#2| (-630 (-568))) (|has| |#2| (-1047)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (-12 (|has| |#2| (-630 (-568))) (|has| |#2| (-1047)))) (((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 $) (-1244 $)) NIL (|has| |#2| (-1047))) (((-679 |#2|) (-679 $)) NIL (|has| |#2| (-1047)))) (-2902 (((-3 $ "failed") $) 53 (|has| |#2| (-716)))) (-1733 (($) NIL (|has| |#2| (-370)))) (-1292 ((|#2| $ (-568) |#2|) NIL (|has| $ (-6 -4522)))) (-2069 ((|#2| $ (-568)) 51)) (-1436 (((-121) $) NIL (|has| |#2| (-840)))) (-3317 (((-634 |#2|) $) 15 (|has| $ (-6 -4521)))) (-1598 (((-121) $) NIL (|has| |#2| (-716)))) (-2859 (((-121) $) NIL (|has| |#2| (-840)))) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-568) $) 20 (|has| (-568) (-842)))) (-1732 (($ $ $) NIL (-2199 (|has| |#2| (-788)) (|has| |#2| (-840))))) (-4406 (((-634 |#2|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-3631 (((-568) $) 50 (|has| (-568) (-842)))) (-2047 (($ $ $) NIL (-2199 (|has| |#2| (-788)) (|has| |#2| (-840))))) (-2253 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#2| |#2|) $) 41)) (-2291 (((-917) $) NIL (|has| |#2| (-370)))) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (|has| |#2| (-1090)))) (-3948 (((-634 (-568)) $) NIL)) (-2916 (((-121) (-568) $) NIL)) (-4357 (($ (-917)) NIL (|has| |#2| (-370)))) (-4025 (((-1108) $) NIL (|has| |#2| (-1090)))) (-3877 ((|#2| $) NIL (|has| (-568) (-842)))) (-2490 (($ $ |#2|) NIL (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) |#2|) $) 24 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#2|))) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-288 |#2|)) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-634 |#2|) (-634 |#2|)) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-1480 (((-634 |#2|) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#2| $ (-568) |#2|) NIL) ((|#2| $ (-568)) 21)) (-2286 ((|#2| $ $) NIL (|has| |#2| (-1047)))) (-2041 (($ (-1244 |#2|)) 18)) (-3108 (((-139)) NIL (|has| |#2| (-365)))) (-4191 (($ $) NIL (-12 (|has| |#2| (-225)) (|has| |#2| (-1047)))) (($ $ (-763)) NIL (-12 (|has| |#2| (-225)) (|has| |#2| (-1047)))) (($ $ (-1161)) NIL (-12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-1 |#2| |#2|) (-763)) NIL (|has| |#2| (-1047))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1047)))) (-4170 (((-763) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521))) (((-763) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-3865 (($ $) NIL)) (-2747 (((-1244 |#2|) $) 10) (((-850) $) NIL (|has| |#2| (-1090))) (($ (-568)) NIL (-2199 (-12 (|has| |#2| (-1037 (-568))) (|has| |#2| (-1090))) (|has| |#2| (-1047)))) (($ (-409 (-568))) NIL (-12 (|has| |#2| (-1037 (-409 (-568)))) (|has| |#2| (-1090)))) (($ |#2|) 13 (|has| |#2| (-1090)))) (-3425 (((-763)) NIL (|has| |#2| (-1047)))) (-3437 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521)))) (-2811 (($ $) NIL (|has| |#2| (-840)))) (-1889 (($ $ (-763)) NIL (|has| |#2| (-716))) (($ $ (-917)) NIL (|has| |#2| (-716)))) (-3058 (($) 35 (|has| |#2| (-137)) CONST)) (-1557 (($) 38 (|has| |#2| (-716)) CONST)) (-3192 (($ $) NIL (-12 (|has| |#2| (-225)) (|has| |#2| (-1047)))) (($ $ (-763)) NIL (-12 (|has| |#2| (-225)) (|has| |#2| (-1047)))) (($ $ (-1161)) NIL (-12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-1 |#2| |#2|) (-763)) NIL (|has| |#2| (-1047))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1047)))) (-1753 (((-121) $ $) NIL (-2199 (|has| |#2| (-788)) (|has| |#2| (-840))))) (-1740 (((-121) $ $) NIL (-2199 (|has| |#2| (-788)) (|has| |#2| (-840))))) (-1719 (((-121) $ $) 26 (|has| |#2| (-1090)))) (-1747 (((-121) $ $) NIL (-2199 (|has| |#2| (-788)) (|has| |#2| (-840))))) (-1734 (((-121) $ $) 58 (-2199 (|has| |#2| (-788)) (|has| |#2| (-840))))) (-1781 (($ $ |#2|) NIL (|has| |#2| (-365)))) (-1775 (($ $ $) NIL (|has| |#2| (-1047))) (($ $) NIL (|has| |#2| (-1047)))) (-1769 (($ $ $) 33 (|has| |#2| (-25)))) (** (($ $ (-763)) NIL (|has| |#2| (-716))) (($ $ (-917)) NIL (|has| |#2| (-716)))) (* (($ (-568) $) NIL (|has| |#2| (-1047))) (($ $ $) 44 (|has| |#2| (-716))) (($ $ |#2|) 42 (|has| |#2| (-1047))) (($ |#2| $) 43 (|has| |#2| (-1047))) (($ (-763) $) NIL (|has| |#2| (-137))) (($ (-917) $) NIL (|has| |#2| (-25)))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-232 |#1| |#2|) (-230 |#1| |#2|) (-763) (-1195)) (T -232)) 
-NIL 
-(-230 |#1| |#2|) 
-((-2449 (((-121) $ $) NIL)) (-3552 (($) 34 T CONST)) (-1819 (((-121) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#1| (-172)))) (-3661 (($ $) NIL (|has| |#1| (-172)))) (-4426 (((-121) $) 54 (|has| |#1| (-172)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-2902 (((-3 $ "failed") $) 55)) (-1598 (((-121) $) NIL)) (-2839 (((-121) $ (-917)) 71)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL (|has| |#1| (-172)))) (-2781 ((|#1| $ (-917)) 9)) (-2747 (((-850) $) 29) (($ (-568)) NIL) (($ (-1 |#1| (-917))) 12) (((-1 |#1| (-917)) $) 11) (($ (-1141 |#1|)) 26) (((-1141 |#1|) $) 24) (($ |#1|) NIL (|has| |#1| (-172))) (($ $) NIL (|has| |#1| (-172)))) (-3425 (((-763)) NIL)) (-2273 (((-121) $ $) NIL (|has| |#1| (-172)))) (-2998 (((-121) $ (-917)) 72)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 33 T CONST)) (-1557 (($) 13 T CONST)) (-1719 (((-121) $ $) NIL)) (-1775 (($ $) 38) (($ $ $) NIL)) (-1769 (($ $ $) 36)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 40) (($ $ $) 51) (($ |#1| $) 42 (|has| |#1| (-172))) (($ $ |#1|) NIL (|has| |#1| (-172))))) 
-(((-233 |#1|) (-13 (-1047) (-281 (-917) |#1|) (-10 -8 (IF (|has| |#1| (-172)) (-6 (-558)) |noBranch|) (IF (|has| |#1| (-172)) (-6 (-43 |#1|)) |noBranch|) (-15 -2747 ($ (-1 |#1| (-917)))) (-15 -2747 ((-1 |#1| (-917)) $)) (-15 -2747 ($ (-1141 |#1|))) (-15 -2747 ((-1141 |#1|) $)) (-15 -3552 ($) -3497) (-15 -2839 ((-121) $ (-917))) (-15 -2998 ((-121) $ (-917))))) (-1047)) (T -233)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1 *3 (-917))) (-4 *3 (-1047)) (-5 *1 (-233 *3)))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-1 *3 (-917))) (-5 *1 (-233 *3)) (-4 *3 (-1047)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-233 *3)))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-1141 *3)) (-5 *1 (-233 *3)) (-4 *3 (-1047)))) (-3552 (*1 *1) (-12 (-5 *1 (-233 *2)) (-4 *2 (-1047)))) (-2839 (*1 *2 *1 *3) (-12 (-5 *3 (-917)) (-5 *2 (-121)) (-5 *1 (-233 *4)) (-4 *4 (-1047)))) (-2998 (*1 *2 *1 *3) (-12 (-5 *3 (-917)) (-5 *2 (-121)) (-5 *1 (-233 *4)) (-4 *4 (-1047))))) 
-(-13 (-1047) (-281 (-917) |#1|) (-10 -8 (IF (|has| |#1| (-172)) (-6 (-558)) |noBranch|) (IF (|has| |#1| (-172)) (-6 (-43 |#1|)) |noBranch|) (-15 -2747 ($ (-1 |#1| (-917)))) (-15 -2747 ((-1 |#1| (-917)) $)) (-15 -2747 ($ (-1141 |#1|))) (-15 -2747 ((-1141 |#1|) $)) (-15 -3552 ($) -3497) (-15 -2839 ((-121) $ (-917))) (-15 -2998 ((-121) $ (-917))))) 
-((-3322 (((-568) (-634 (-1143))) 24) (((-568) (-1143)) 19)) (-4013 (((-1249) (-634 (-1143))) 29) (((-1249) (-1143)) 28)) (-2427 (((-1143)) 14)) (-3280 (((-1143) (-568) (-1143)) 16)) (-1374 (((-634 (-1143)) (-634 (-1143)) (-568) (-1143)) 25) (((-1143) (-1143) (-568) (-1143)) 23)) (-3476 (((-634 (-1143)) (-634 (-1143))) 13) (((-634 (-1143)) (-1143)) 11))) 
-(((-234) (-10 -7 (-15 -3476 ((-634 (-1143)) (-1143))) (-15 -3476 ((-634 (-1143)) (-634 (-1143)))) (-15 -2427 ((-1143))) (-15 -3280 ((-1143) (-568) (-1143))) (-15 -1374 ((-1143) (-1143) (-568) (-1143))) (-15 -1374 ((-634 (-1143)) (-634 (-1143)) (-568) (-1143))) (-15 -4013 ((-1249) (-1143))) (-15 -4013 ((-1249) (-634 (-1143)))) (-15 -3322 ((-568) (-1143))) (-15 -3322 ((-568) (-634 (-1143)))))) (T -234)) 
-((-3322 (*1 *2 *3) (-12 (-5 *3 (-634 (-1143))) (-5 *2 (-568)) (-5 *1 (-234)))) (-3322 (*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-568)) (-5 *1 (-234)))) (-4013 (*1 *2 *3) (-12 (-5 *3 (-634 (-1143))) (-5 *2 (-1249)) (-5 *1 (-234)))) (-4013 (*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-234)))) (-1374 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-634 (-1143))) (-5 *3 (-568)) (-5 *4 (-1143)) (-5 *1 (-234)))) (-1374 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-1143)) (-5 *3 (-568)) (-5 *1 (-234)))) (-3280 (*1 *2 *3 *2) (-12 (-5 *2 (-1143)) (-5 *3 (-568)) (-5 *1 (-234)))) (-2427 (*1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-234)))) (-3476 (*1 *2 *2) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-234)))) (-3476 (*1 *2 *3) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-234)) (-5 *3 (-1143))))) 
-(-10 -7 (-15 -3476 ((-634 (-1143)) (-1143))) (-15 -3476 ((-634 (-1143)) (-634 (-1143)))) (-15 -2427 ((-1143))) (-15 -3280 ((-1143) (-568) (-1143))) (-15 -1374 ((-1143) (-1143) (-568) (-1143))) (-15 -1374 ((-634 (-1143)) (-634 (-1143)) (-568) (-1143))) (-15 -4013 ((-1249) (-1143))) (-15 -4013 ((-1249) (-634 (-1143)))) (-15 -3322 ((-568) (-1143))) (-15 -3322 ((-568) (-634 (-1143))))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2013 (((-634 (-2 (|:| |gen| |#1|) (|:| -1894 (-568)))) $) 44)) (-1800 (((-634 |#1|) $) 30)) (-3328 (((-634 |#1|) $) 29)) (-2700 (((-634 |#1|) $) 31)) (-2689 (((-3 $ "failed") $ $) 18)) (-4446 (((-634 $) $) 36)) (-3986 (((-763) $) 43)) (-4490 (($) 16 T CONST)) (-3668 (((-3 |#1| "failed") $) 39)) (-2857 ((|#1| $) 40)) (-4167 ((|#1| $ (-568)) 46)) (-2313 (((-568) $ (-568)) 45)) (-3177 (($ (-1 |#1| |#1|) $) 49)) (-2847 (($ (-1 (-568) (-568)) $) 48)) (-1893 (((-1143) $) 9)) (-2753 (($ $) 26)) (-3933 (($ $ $) 50 (|has| (-568) (-787)))) (-4025 (((-1108) $) 10)) (-3435 (((-121) $) 32)) (-4105 (($ $) 28)) (-2292 (($ $) 27)) (-1836 (((-568) $) 37)) (-2770 (($ $ $) 33)) (-4332 (($ $) 34)) (-2747 (((-850) $) 11) (($ |#1|) 38)) (-2079 (((-568) |#1| $) 47)) (-3058 (($) 17 T CONST)) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 35)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13) (($ |#1| $) 41)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ (-568)) 52) (($ (-568) $) 51) (($ (-568) |#1|) 42))) 
-(((-235 |#1|) (-1275) (-1090)) (T -235)) 
-((-1836 (*1 *2 *1) (-12 (-4 *1 (-235 *3)) (-4 *3 (-1090)) (-5 *2 (-568)))) (-4446 (*1 *2 *1) (-12 (-4 *3 (-1090)) (-5 *2 (-634 *1)) (-4 *1 (-235 *3)))) (-1747 (*1 *2 *1 *1) (-12 (-4 *1 (-235 *3)) (-4 *3 (-1090)) (-5 *2 (-121)))) (-4332 (*1 *1 *1) (-12 (-4 *1 (-235 *2)) (-4 *2 (-1090)))) (-2770 (*1 *1 *1 *1) (-12 (-4 *1 (-235 *2)) (-4 *2 (-1090)))) (-3435 (*1 *2 *1) (-12 (-4 *1 (-235 *3)) (-4 *3 (-1090)) (-5 *2 (-121)))) (-2700 (*1 *2 *1) (-12 (-4 *1 (-235 *3)) (-4 *3 (-1090)) (-5 *2 (-634 *3)))) (-1800 (*1 *2 *1) (-12 (-4 *1 (-235 *3)) (-4 *3 (-1090)) (-5 *2 (-634 *3)))) (-3328 (*1 *2 *1) (-12 (-4 *1 (-235 *3)) (-4 *3 (-1090)) (-5 *2 (-634 *3)))) (-4105 (*1 *1 *1) (-12 (-4 *1 (-235 *2)) (-4 *2 (-1090)))) (-2292 (*1 *1 *1) (-12 (-4 *1 (-235 *2)) (-4 *2 (-1090)))) (-2753 (*1 *1 *1) (-12 (-4 *1 (-235 *2)) (-4 *2 (-1090))))) 
-(-13 (-21) (-707 (-568)) (-320 |t#1| (-568)) (-10 -8 (-15 -1836 ((-568) $)) (-15 -4446 ((-634 $) $)) (-15 -1747 ((-121) $ $)) (-15 -4332 ($ $)) (-15 -2770 ($ $ $)) (-15 -3435 ((-121) $)) (-15 -2700 ((-634 |t#1|) $)) (-15 -1800 ((-634 |t#1|) $)) (-15 -3328 ((-634 |t#1|) $)) (-15 -4105 ($ $)) (-15 -2292 ($ $)) (-15 -2753 ($ $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 (-568) (-568)) . T) ((-137) . T) ((-608 (-850)) . T) ((-320 |#1| (-568)) . T) ((-637 (-568)) . T) ((-707 (-568)) . T) ((-1037 |#1|) . T) ((-1053 (-568)) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 17)) (-2013 (((-634 (-2 (|:| |gen| |#1|) (|:| -1894 (-568)))) $) 30)) (-1800 (((-634 |#1|) $) 36)) (-3328 (((-634 |#1|) $) 37)) (-2700 (((-634 |#1|) $) 35)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4446 (((-634 $) $) 29)) (-3986 (((-763) $) NIL)) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#1| "failed") $) NIL)) (-2857 ((|#1| $) NIL)) (-2116 (($ $) 24)) (-4167 ((|#1| $ (-568)) NIL)) (-2313 (((-568) $ (-568)) NIL)) (-3177 (($ (-1 |#1| |#1|) $) NIL)) (-2847 (($ (-1 (-568) (-568)) $) NIL)) (-1893 (((-1143) $) NIL)) (-2753 (($ $) 8)) (-3933 (($ $ $) NIL (|has| (-568) (-787)))) (-3763 (((-2 (|:| |gen| |#1|) (|:| -1894 (-568))) $) 26)) (-4025 (((-1108) $) NIL)) (-3435 (((-121) $) 50)) (-4105 (($ $) 38)) (-2292 (($ $) 39)) (-1836 (((-568) $) 58)) (-2770 (($ $ $) 44)) (-4332 (($ $) 33)) (-2747 (((-850) $) 22) (($ |#1|) 27)) (-2079 (((-568) |#1| $) 32)) (-3058 (($) 23 T CONST)) (-1719 (((-121) $ $) 40)) (-1747 (((-121) $ $) 51)) (-1775 (($ $) 48) (($ $ $) 47)) (-1769 (($ $ $) 45) (($ |#1| $) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 49) (($ $ (-568)) NIL) (($ (-568) $) 49) (($ (-568) |#1|) NIL))) 
-(((-236 |#1|) (-13 (-235 |#1|) (-10 -8 (-15 -3763 ((-2 (|:| |gen| |#1|) (|:| -1894 (-568))) $)) (-15 -2116 ($ $)))) (-1088)) (T -236)) 
-((-3763 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |gen| *3) (|:| -1894 (-568)))) (-5 *1 (-236 *3)) (-4 *3 (-1088)))) (-2116 (*1 *1 *1) (-12 (-5 *1 (-236 *2)) (-4 *2 (-1088))))) 
-(-13 (-235 |#1|) (-10 -8 (-15 -3763 ((-2 (|:| |gen| |#1|) (|:| -1894 (-568))) $)) (-15 -2116 ($ $)))) 
-((-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) 9)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) 18)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ (-409 (-568)) $) 25) (($ $ (-409 (-568))) NIL))) 
-(((-237 |#1|) (-10 -8 (-15 -1889 (|#1| |#1| (-568))) (-15 ** (|#1| |#1| (-568))) (-15 * (|#1| |#1| (-409 (-568)))) (-15 * (|#1| (-409 (-568)) |#1|)) (-15 ** (|#1| |#1| (-763))) (-15 -1889 (|#1| |#1| (-763))) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-917))) (-15 -1889 (|#1| |#1| (-917))) (-15 * (|#1| (-568) |#1|)) (-15 * (|#1| (-763) |#1|)) (-15 * (|#1| (-917) |#1|))) (-238)) (T -237)) 
-NIL 
-(-10 -8 (-15 -1889 (|#1| |#1| (-568))) (-15 ** (|#1| |#1| (-568))) (-15 * (|#1| |#1| (-409 (-568)))) (-15 * (|#1| (-409 (-568)) |#1|)) (-15 ** (|#1| |#1| (-763))) (-15 -1889 (|#1| |#1| (-763))) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-917))) (-15 -1889 (|#1| |#1| (-917))) (-15 * (|#1| (-568) |#1|)) (-15 * (|#1| (-763) |#1|)) (-15 * (|#1| (-917) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-2902 (((-3 $ "failed") $) 33)) (-1598 (((-121) $) 30)) (-1893 (((-1143) $) 9)) (-2083 (($ $) 38)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ (-409 (-568))) 43)) (-3425 (((-763)) 28)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32) (($ $ (-568)) 39)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ (-568)) 40)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ (-409 (-568)) $) 42) (($ $ (-409 (-568))) 41))) 
-(((-238) (-1275)) (T -238)) 
-((** (*1 *1 *1 *2) (-12 (-4 *1 (-238)) (-5 *2 (-568)))) (-1889 (*1 *1 *1 *2) (-12 (-4 *1 (-238)) (-5 *2 (-568)))) (-2083 (*1 *1 *1) (-4 *1 (-238)))) 
-(-13 (-285) (-43 (-409 (-568))) (-10 -8 (-15 ** ($ $ (-568))) (-15 -1889 ($ $ (-568))) (-15 -2083 ($ $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-409 (-568))) . T) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) . T) ((-120 $ $) . T) ((-137) . T) ((-608 (-850)) . T) ((-285) . T) ((-637 (-409 (-568))) . T) ((-637 $) . T) ((-707 (-409 (-568))) . T) ((-716) . T) ((-1053 (-409 (-568))) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) 18 (|has| |#1| (-1090)))) (-2852 ((|#1| $) 45)) (-3623 (($ $) 54)) (-1667 (((-121) $ (-763)) 8)) (-3370 ((|#1| $ |#1|) 36 (|has| $ (-6 -4522)))) (-2711 (($ $ $) 50 (|has| $ (-6 -4522)))) (-4052 (($ $ $) 49 (|has| $ (-6 -4522)))) (-2438 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4522)))) (-1809 (($ $ (-634 $)) 38 (|has| $ (-6 -4522)))) (-4490 (($) 7 T CONST)) (-2703 (($ $) 53)) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-3534 (((-634 $) $) 47)) (-3606 (((-121) $ $) 39 (|has| |#1| (-1090)))) (-3652 (($ $) 52)) (-3791 (((-121) $ (-763)) 9)) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35)) (-3796 (((-121) $ (-763)) 10)) (-4081 (((-634 |#1|) $) 42)) (-3319 (((-121) $) 46)) (-1893 (((-1143) $) 22 (|has| |#1| (-1090)))) (-4164 ((|#1| $) 56)) (-3763 (($ $) 55)) (-4025 (((-1108) $) 21 (|has| |#1| (-1090)))) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-2781 ((|#1| $ "value") 44)) (-1665 (((-568) $ $) 41)) (-2763 (((-121) $) 43)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-1876 (($ $ $) 51 (|has| $ (-6 -4522)))) (-2747 (((-850) $) 20 (|has| |#1| (-1090)))) (-3180 (((-634 $) $) 48)) (-3873 (((-121) $ $) 40 (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-239 |#1|) (-1275) (-1195)) (T -239)) 
-((-4164 (*1 *2 *1) (-12 (-4 *1 (-239 *2)) (-4 *2 (-1195)))) (-3763 (*1 *1 *1) (-12 (-4 *1 (-239 *2)) (-4 *2 (-1195)))) (-3623 (*1 *1 *1) (-12 (-4 *1 (-239 *2)) (-4 *2 (-1195)))) (-2703 (*1 *1 *1) (-12 (-4 *1 (-239 *2)) (-4 *2 (-1195)))) (-3652 (*1 *1 *1) (-12 (-4 *1 (-239 *2)) (-4 *2 (-1195)))) (-1876 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-239 *2)) (-4 *2 (-1195)))) (-2711 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-239 *2)) (-4 *2 (-1195)))) (-4052 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-239 *2)) (-4 *2 (-1195))))) 
-(-13 (-1010 |t#1|) (-10 -8 (-15 -4164 (|t#1| $)) (-15 -3763 ($ $)) (-15 -3623 ($ $)) (-15 -2703 ($ $)) (-15 -3652 ($ $)) (IF (|has| $ (-6 -4522)) (PROGN (-15 -1876 ($ $ $)) (-15 -2711 ($ $ $)) (-15 -4052 ($ $ $))) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#1| (-1090)) ((-608 (-850)) |has| |#1| (-1090)) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-499 |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-1010 |#1|) . T) ((-1090) |has| |#1| (-1090)) ((-1195) . T)) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-2852 ((|#1| $) NIL)) (-2237 ((|#1| $) NIL)) (-3623 (($ $) NIL)) (-2481 (((-1249) $ (-568) (-568)) NIL (|has| $ (-6 -4522)))) (-2121 (($ $ (-568)) NIL (|has| $ (-6 -4522)))) (-1324 (((-121) $) NIL (|has| |#1| (-842))) (((-121) (-1 (-121) |#1| |#1|) $) NIL)) (-2109 (($ $) NIL (-12 (|has| $ (-6 -4522)) (|has| |#1| (-842)))) (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4522)))) (-3647 (($ $) 10 (|has| |#1| (-842))) (($ (-1 (-121) |#1| |#1|) $) NIL)) (-1667 (((-121) $ (-763)) NIL)) (-3370 ((|#1| $ |#1|) NIL (|has| $ (-6 -4522)))) (-1958 (($ $ $) NIL (|has| $ (-6 -4522)))) (-2257 ((|#1| $ |#1|) NIL (|has| $ (-6 -4522)))) (-1706 ((|#1| $ |#1|) NIL (|has| $ (-6 -4522)))) (-2438 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4522))) ((|#1| $ "first" |#1|) NIL (|has| $ (-6 -4522))) (($ $ "rest" $) NIL (|has| $ (-6 -4522))) ((|#1| $ "last" |#1|) NIL (|has| $ (-6 -4522))) ((|#1| $ (-1210 (-568)) |#1|) NIL (|has| $ (-6 -4522))) ((|#1| $ (-568) |#1|) NIL (|has| $ (-6 -4522)))) (-1809 (($ $ (-634 $)) NIL (|has| $ (-6 -4522)))) (-3963 (($ (-1 (-121) |#1|) $) NIL)) (-2803 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1681 ((|#1| $) NIL)) (-4490 (($) NIL T CONST)) (-4452 (($ $) NIL (|has| $ (-6 -4522)))) (-3945 (($ $) NIL)) (-3936 (($ $) NIL) (($ $ (-763)) NIL)) (-1377 (($ $) NIL (|has| |#1| (-1090)))) (-3926 (($ $) 7 (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1568 (($ |#1| $) NIL (|has| |#1| (-1090))) (($ (-1 (-121) |#1|) $) NIL)) (-4330 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (($ |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1292 ((|#1| $ (-568) |#1|) NIL (|has| $ (-6 -4522)))) (-2069 ((|#1| $ (-568)) NIL)) (-1340 (((-121) $) NIL)) (-2766 (((-568) |#1| $ (-568)) NIL (|has| |#1| (-1090))) (((-568) |#1| $) NIL (|has| |#1| (-1090))) (((-568) (-1 (-121) |#1|) $) NIL)) (-3317 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-3534 (((-634 $) $) NIL)) (-3606 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1851 (($ (-763) |#1|) NIL)) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-568) $) NIL (|has| (-568) (-842)))) (-1732 (($ $ $) NIL (|has| |#1| (-842)))) (-4496 (($ $ $) NIL (|has| |#1| (-842))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-3645 (($ $ $) NIL (|has| |#1| (-842))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3631 (((-568) $) NIL (|has| (-568) (-842)))) (-2047 (($ $ $) NIL (|has| |#1| (-842)))) (-2253 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-3897 (($ |#1|) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-4081 (((-634 |#1|) $) NIL)) (-3319 (((-121) $) NIL)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-4164 ((|#1| $) NIL) (($ $ (-763)) NIL)) (-1708 (($ $ $ (-568)) NIL) (($ |#1| $ (-568)) NIL)) (-4124 (($ $ $ (-568)) NIL) (($ |#1| $ (-568)) NIL)) (-3948 (((-634 (-568)) $) NIL)) (-2916 (((-121) (-568) $) NIL)) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-3877 ((|#1| $) NIL) (($ $ (-763)) NIL)) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2490 (($ $ |#1|) NIL (|has| $ (-6 -4522)))) (-4049 (((-121) $) NIL)) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1480 (((-634 |#1|) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#1| $ "value") NIL) ((|#1| $ "first") NIL) (($ $ "rest") NIL) ((|#1| $ "last") NIL) (($ $ (-1210 (-568))) NIL) ((|#1| $ (-568)) NIL) ((|#1| $ (-568) |#1|) NIL) (($ $ "unique") 9) (($ $ "sort") 12) (((-763) $ "count") 16)) (-1665 (((-568) $ $) NIL)) (-4031 (($ $ (-1210 (-568))) NIL) (($ $ (-568)) NIL)) (-2828 (($ $ (-1210 (-568))) NIL) (($ $ (-568)) NIL)) (-2100 (($ (-634 |#1|)) 22)) (-2763 (((-121) $) NIL)) (-3903 (($ $) NIL)) (-1499 (($ $) NIL (|has| $ (-6 -4522)))) (-3535 (((-763) $) NIL)) (-4424 (($ $) NIL)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3306 (($ $ $ (-568)) NIL (|has| $ (-6 -4522)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) NIL (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) NIL)) (-1876 (($ $ $) NIL) (($ $ |#1|) NIL)) (-2770 (($ $ $) NIL) (($ |#1| $) NIL) (($ (-634 $)) NIL) (($ $ |#1|) NIL)) (-2747 (($ (-634 |#1|)) 17) (((-634 |#1|) $) 18) (((-850) $) 21 (|has| |#1| (-1090)))) (-3180 (((-634 $) $) NIL)) (-3873 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1753 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1719 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1747 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1699 (((-763) $) 14 (|has| $ (-6 -4521))))) 
-(((-240 |#1|) (-13 (-658 |#1|) (-10 -8 (-15 -2747 ($ (-634 |#1|))) (-15 -2747 ((-634 |#1|) $)) (-15 -2100 ($ (-634 |#1|))) (-15 -2781 ($ $ "unique")) (-15 -2781 ($ $ "sort")) (-15 -2781 ((-763) $ "count")))) (-842)) (T -240)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-842)) (-5 *1 (-240 *3)))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-634 *3)) (-5 *1 (-240 *3)) (-4 *3 (-842)))) (-2100 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-842)) (-5 *1 (-240 *3)))) (-2781 (*1 *1 *1 *2) (-12 (-5 *2 "unique") (-5 *1 (-240 *3)) (-4 *3 (-842)))) (-2781 (*1 *1 *1 *2) (-12 (-5 *2 "sort") (-5 *1 (-240 *3)) (-4 *3 (-842)))) (-2781 (*1 *2 *1 *3) (-12 (-5 *3 "count") (-5 *2 (-763)) (-5 *1 (-240 *4)) (-4 *4 (-842))))) 
-(-13 (-658 |#1|) (-10 -8 (-15 -2747 ($ (-634 |#1|))) (-15 -2747 ((-634 |#1|) $)) (-15 -2100 ($ (-634 |#1|))) (-15 -2781 ($ $ "unique")) (-15 -2781 ($ $ "sort")) (-15 -2781 ((-763) $ "count")))) 
-((-3104 (((-3 (-763) "failed") |#1| |#1| (-763)) 26))) 
-(((-241 |#1|) (-10 -7 (-15 -3104 ((-3 (-763) "failed") |#1| |#1| (-763)))) (-13 (-716) (-370) (-10 -7 (-15 ** (|#1| |#1| (-568)))))) (T -241)) 
-((-3104 (*1 *2 *3 *3 *2) (|partial| -12 (-5 *2 (-763)) (-4 *3 (-13 (-716) (-370) (-10 -7 (-15 ** (*3 *3 (-568)))))) (-5 *1 (-241 *3))))) 
-(-10 -7 (-15 -3104 ((-3 (-763) "failed") |#1| |#1| (-763)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2057 (((-634 (-852 |#1|)) $) NIL)) (-3840 (((-1157 $) $ (-852 |#1|)) NIL) (((-1157 |#2|) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#2| (-558)))) (-3661 (($ $) NIL (|has| |#2| (-558)))) (-4426 (((-121) $) NIL (|has| |#2| (-558)))) (-3528 (((-763) $) NIL) (((-763) $ (-634 (-852 |#1|))) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-3045 (($ $) NIL (|has| |#2| (-453)))) (-3498 (((-420 $) $) NIL (|has| |#2| (-453)))) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#2| "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#2| (-1037 (-409 (-568))))) (((-3 (-568) "failed") $) NIL (|has| |#2| (-1037 (-568)))) (((-3 (-852 |#1|) "failed") $) NIL)) (-2857 ((|#2| $) NIL) (((-409 (-568)) $) NIL (|has| |#2| (-1037 (-409 (-568))))) (((-568) $) NIL (|has| |#2| (-1037 (-568)))) (((-852 |#1|) $) NIL)) (-2910 (($ $ $ (-852 |#1|)) NIL (|has| |#2| (-172)))) (-1594 (($ $ (-634 (-568))) NIL)) (-2116 (($ $) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| |#2| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| |#2| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 $) (-1244 $)) NIL) (((-679 |#2|) (-679 $)) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1998 (($ $) NIL (|has| |#2| (-453))) (($ $ (-852 |#1|)) NIL (|has| |#2| (-453)))) (-2110 (((-634 $) $) NIL)) (-2197 (((-121) $) NIL (|has| |#2| (-904)))) (-2453 (($ $ |#2| (-232 (-1699 |#1|) (-763)) $) NIL)) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (-12 (|has| (-852 |#1|) (-881 (-381))) (|has| |#2| (-881 (-381))))) (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (-12 (|has| (-852 |#1|) (-881 (-568))) (|has| |#2| (-881 (-568)))))) (-1598 (((-121) $) NIL)) (-3971 (((-763) $) NIL)) (-2053 (($ (-1157 |#2|) (-852 |#1|)) NIL) (($ (-1157 $) (-852 |#1|)) NIL)) (-3062 (((-634 $) $) NIL)) (-2171 (((-121) $) NIL)) (-2049 (($ |#2| (-232 (-1699 |#1|) (-763))) NIL) (($ $ (-852 |#1|) (-763)) NIL) (($ $ (-634 (-852 |#1|)) (-634 (-763))) NIL)) (-1438 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $ (-852 |#1|)) NIL)) (-3524 (((-232 (-1699 |#1|) (-763)) $) NIL) (((-763) $ (-852 |#1|)) NIL) (((-634 (-763)) $ (-634 (-852 |#1|))) NIL)) (-1732 (($ $ $) NIL (|has| |#2| (-842)))) (-2047 (($ $ $) NIL (|has| |#2| (-842)))) (-1865 (($ (-1 (-232 (-1699 |#1|) (-763)) (-232 (-1699 |#1|) (-763))) $) NIL)) (-2797 (($ (-1 |#2| |#2|) $) NIL)) (-2817 (((-3 (-852 |#1|) "failed") $) NIL)) (-2099 (($ $) NIL)) (-2104 ((|#2| $) NIL)) (-2498 (($ (-634 $)) NIL (|has| |#2| (-453))) (($ $ $) NIL (|has| |#2| (-453)))) (-1893 (((-1143) $) NIL)) (-4362 (((-3 (-634 $) "failed") $) NIL)) (-2112 (((-3 (-634 $) "failed") $) NIL)) (-2617 (((-3 (-2 (|:| |var| (-852 |#1|)) (|:| -3483 (-763))) "failed") $) NIL)) (-4025 (((-1108) $) NIL)) (-2088 (((-121) $) NIL)) (-2093 ((|#2| $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#2| (-453)))) (-2723 (($ (-634 $)) NIL (|has| |#2| (-453))) (($ $ $) NIL (|has| |#2| (-453)))) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-3850 (((-420 $) $) NIL (|has| |#2| (-904)))) (-2597 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-558))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-558)))) (-1339 (($ $ (-634 (-288 $))) NIL) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL) (($ $ (-852 |#1|) |#2|) NIL) (($ $ (-634 (-852 |#1|)) (-634 |#2|)) NIL) (($ $ (-852 |#1|) $) NIL) (($ $ (-634 (-852 |#1|)) (-634 $)) NIL)) (-3440 (($ $ (-852 |#1|)) NIL (|has| |#2| (-172)))) (-4191 (($ $ (-852 |#1|)) NIL) (($ $ (-634 (-852 |#1|))) NIL) (($ $ (-852 |#1|) (-763)) NIL) (($ $ (-634 (-852 |#1|)) (-634 (-763))) NIL)) (-1836 (((-232 (-1699 |#1|) (-763)) $) NIL) (((-763) $ (-852 |#1|)) NIL) (((-634 (-763)) $ (-634 (-852 |#1|))) NIL)) (-4280 (((-887 (-381)) $) NIL (-12 (|has| (-852 |#1|) (-609 (-887 (-381)))) (|has| |#2| (-609 (-887 (-381)))))) (((-887 (-568)) $) NIL (-12 (|has| (-852 |#1|) (-609 (-887 (-568)))) (|has| |#2| (-609 (-887 (-568)))))) (((-541) $) NIL (-12 (|has| (-852 |#1|) (-609 (-541))) (|has| |#2| (-609 (-541)))))) (-1364 ((|#2| $) NIL (|has| |#2| (-453))) (($ $ (-852 |#1|)) NIL (|has| |#2| (-453)))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-12 (|has| $ (-148)) (|has| |#2| (-904))))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ |#2|) NIL) (($ (-852 |#1|)) NIL) (($ (-409 (-568))) NIL (-2199 (|has| |#2| (-43 (-409 (-568)))) (|has| |#2| (-1037 (-409 (-568)))))) (($ $) NIL (|has| |#2| (-558)))) (-3304 (((-634 |#2|) $) NIL)) (-2079 ((|#2| $ (-232 (-1699 |#1|) (-763))) NIL) (($ $ (-852 |#1|) (-763)) NIL) (($ $ (-634 (-852 |#1|)) (-634 (-763))) NIL)) (-3385 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| |#2| (-904))) (|has| |#2| (-148))))) (-3425 (((-763)) NIL)) (-3925 (($ $ $ (-763)) NIL (|has| |#2| (-172)))) (-2273 (((-121) $ $) NIL (|has| |#2| (-558)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($ $ (-852 |#1|)) NIL) (($ $ (-634 (-852 |#1|))) NIL) (($ $ (-852 |#1|) (-763)) NIL) (($ $ (-634 (-852 |#1|)) (-634 (-763))) NIL)) (-1753 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1781 (($ $ |#2|) NIL (|has| |#2| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL (|has| |#2| (-43 (-409 (-568))))) (($ (-409 (-568)) $) NIL (|has| |#2| (-43 (-409 (-568))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
-(((-242 |#1| |#2|) (-13 (-950 |#2| (-232 (-1699 |#1|) (-763)) (-852 |#1|)) (-10 -8 (-15 -1594 ($ $ (-634 (-568)))))) (-634 (-1161)) (-1047)) (T -242)) 
-((-1594 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-242 *3 *4)) (-14 *3 (-634 (-1161))) (-4 *4 (-1047))))) 
-(-13 (-950 |#2| (-232 (-1699 |#1|) (-763)) (-852 |#1|)) (-10 -8 (-15 -1594 ($ $ (-634 (-568)))))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-4007 (($ (-917)) NIL (|has| |#4| (-1047)))) (-2481 (((-1249) $ (-568) (-568)) NIL (|has| $ (-6 -4522)))) (-2409 (($ $ $) NIL (|has| |#4| (-788)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-1667 (((-121) $ (-763)) NIL)) (-3986 (((-763)) NIL (|has| |#4| (-370)))) (-3337 (((-568) $) NIL (|has| |#4| (-840)))) (-2438 ((|#4| $ (-568) |#4|) NIL (|has| $ (-6 -4522)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#4| "failed") $) NIL (|has| |#4| (-1090))) (((-3 (-568) "failed") $) NIL (-12 (|has| |#4| (-1037 (-568))) (|has| |#4| (-1090)))) (((-3 (-409 (-568)) "failed") $) NIL (-12 (|has| |#4| (-1037 (-409 (-568)))) (|has| |#4| (-1090))))) (-2857 ((|#4| $) NIL (|has| |#4| (-1090))) (((-568) $) NIL (-12 (|has| |#4| (-1037 (-568))) (|has| |#4| (-1090)))) (((-409 (-568)) $) NIL (-12 (|has| |#4| (-1037 (-409 (-568)))) (|has| |#4| (-1090))))) (-1668 (((-2 (|:| -2908 (-679 |#4|)) (|:| |vec| (-1244 |#4|))) (-679 $) (-1244 $)) NIL (|has| |#4| (-1047))) (((-679 |#4|) (-679 $)) NIL (|has| |#4| (-1047))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (-12 (|has| |#4| (-630 (-568))) (|has| |#4| (-1047)))) (((-679 (-568)) (-679 $)) NIL (-12 (|has| |#4| (-630 (-568))) (|has| |#4| (-1047))))) (-2902 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| |#4| (-225)) (|has| |#4| (-1047))) (-12 (|has| |#4| (-630 (-568))) (|has| |#4| (-1047))) (|has| |#4| (-716)) (-12 (|has| |#4| (-895 (-1161))) (|has| |#4| (-1047)))))) (-1733 (($) NIL (|has| |#4| (-370)))) (-1292 ((|#4| $ (-568) |#4|) NIL (|has| $ (-6 -4522)))) (-2069 ((|#4| $ (-568)) NIL)) (-1436 (((-121) $) NIL (|has| |#4| (-840)))) (-3317 (((-634 |#4|) $) NIL (|has| $ (-6 -4521)))) (-1598 (((-121) $) NIL (-2199 (-12 (|has| |#4| (-225)) (|has| |#4| (-1047))) (-12 (|has| |#4| (-630 (-568))) (|has| |#4| (-1047))) (|has| |#4| (-716)) (-12 (|has| |#4| (-895 (-1161))) (|has| |#4| (-1047)))))) (-2859 (((-121) $) NIL (|has| |#4| (-840)))) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-568) $) NIL (|has| (-568) (-842)))) (-1732 (($ $ $) NIL (-2199 (|has| |#4| (-788)) (|has| |#4| (-840))))) (-4406 (((-634 |#4|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#4| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090))))) (-3631 (((-568) $) NIL (|has| (-568) (-842)))) (-2047 (($ $ $) NIL (-2199 (|has| |#4| (-788)) (|has| |#4| (-840))))) (-2253 (($ (-1 |#4| |#4|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#4| |#4|) $) NIL)) (-2291 (((-917) $) NIL (|has| |#4| (-370)))) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL)) (-3948 (((-634 (-568)) $) NIL)) (-2916 (((-121) (-568) $) NIL)) (-4357 (($ (-917)) NIL (|has| |#4| (-370)))) (-4025 (((-1108) $) NIL)) (-3877 ((|#4| $) NIL (|has| (-568) (-842)))) (-2490 (($ $ |#4|) NIL (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#4|))) NIL (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ (-288 |#4|)) NIL (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ (-634 |#4|) (-634 |#4|)) NIL (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) |#4| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090))))) (-1480 (((-634 |#4|) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#4| $ (-568) |#4|) NIL) ((|#4| $ (-568)) 12)) (-2286 ((|#4| $ $) NIL (|has| |#4| (-1047)))) (-2041 (($ (-1244 |#4|)) NIL)) (-3108 (((-139)) NIL (|has| |#4| (-365)))) (-4191 (($ $ (-1 |#4| |#4|) (-763)) NIL (|has| |#4| (-1047))) (($ $ (-1 |#4| |#4|)) NIL (|has| |#4| (-1047))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#4| (-895 (-1161))) (|has| |#4| (-1047)))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#4| (-895 (-1161))) (|has| |#4| (-1047)))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#4| (-895 (-1161))) (|has| |#4| (-1047)))) (($ $ (-1161)) NIL (-12 (|has| |#4| (-895 (-1161))) (|has| |#4| (-1047)))) (($ $ (-763)) NIL (-12 (|has| |#4| (-225)) (|has| |#4| (-1047)))) (($ $) NIL (-12 (|has| |#4| (-225)) (|has| |#4| (-1047))))) (-4170 (((-763) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521))) (((-763) |#4| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090))))) (-3865 (($ $) NIL)) (-2747 (((-1244 |#4|) $) NIL) (((-850) $) NIL) (($ |#4|) NIL (|has| |#4| (-1090))) (($ (-568)) NIL (-2199 (-12 (|has| |#4| (-1037 (-568))) (|has| |#4| (-1090))) (|has| |#4| (-1047)))) (($ (-409 (-568))) NIL (-12 (|has| |#4| (-1037 (-409 (-568)))) (|has| |#4| (-1090))))) (-3425 (((-763)) NIL (|has| |#4| (-1047)))) (-3437 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521)))) (-2811 (($ $) NIL (|has| |#4| (-840)))) (-1889 (($ $ (-763)) NIL (-2199 (-12 (|has| |#4| (-225)) (|has| |#4| (-1047))) (-12 (|has| |#4| (-630 (-568))) (|has| |#4| (-1047))) (|has| |#4| (-716)) (-12 (|has| |#4| (-895 (-1161))) (|has| |#4| (-1047))))) (($ $ (-917)) NIL (-2199 (-12 (|has| |#4| (-225)) (|has| |#4| (-1047))) (-12 (|has| |#4| (-630 (-568))) (|has| |#4| (-1047))) (|has| |#4| (-716)) (-12 (|has| |#4| (-895 (-1161))) (|has| |#4| (-1047)))))) (-3058 (($) NIL T CONST)) (-1557 (($) NIL (-2199 (-12 (|has| |#4| (-225)) (|has| |#4| (-1047))) (-12 (|has| |#4| (-630 (-568))) (|has| |#4| (-1047))) (|has| |#4| (-716)) (-12 (|has| |#4| (-895 (-1161))) (|has| |#4| (-1047)))) CONST)) (-3192 (($ $ (-1 |#4| |#4|) (-763)) NIL (|has| |#4| (-1047))) (($ $ (-1 |#4| |#4|)) NIL (|has| |#4| (-1047))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#4| (-895 (-1161))) (|has| |#4| (-1047)))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#4| (-895 (-1161))) (|has| |#4| (-1047)))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#4| (-895 (-1161))) (|has| |#4| (-1047)))) (($ $ (-1161)) NIL (-12 (|has| |#4| (-895 (-1161))) (|has| |#4| (-1047)))) (($ $ (-763)) NIL (-12 (|has| |#4| (-225)) (|has| |#4| (-1047)))) (($ $) NIL (-12 (|has| |#4| (-225)) (|has| |#4| (-1047))))) (-1753 (((-121) $ $) NIL (-2199 (|has| |#4| (-788)) (|has| |#4| (-840))))) (-1740 (((-121) $ $) NIL (-2199 (|has| |#4| (-788)) (|has| |#4| (-840))))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (-2199 (|has| |#4| (-788)) (|has| |#4| (-840))))) (-1734 (((-121) $ $) NIL (-2199 (|has| |#4| (-788)) (|has| |#4| (-840))))) (-1781 (($ $ |#4|) NIL (|has| |#4| (-365)))) (-1775 (($ $ $) NIL) (($ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-763)) NIL (-2199 (-12 (|has| |#4| (-225)) (|has| |#4| (-1047))) (-12 (|has| |#4| (-630 (-568))) (|has| |#4| (-1047))) (|has| |#4| (-716)) (-12 (|has| |#4| (-895 (-1161))) (|has| |#4| (-1047))))) (($ $ (-917)) NIL (-2199 (-12 (|has| |#4| (-225)) (|has| |#4| (-1047))) (-12 (|has| |#4| (-630 (-568))) (|has| |#4| (-1047))) (|has| |#4| (-716)) (-12 (|has| |#4| (-895 (-1161))) (|has| |#4| (-1047)))))) (* (($ |#2| $) 14) (($ (-568) $) NIL) (($ (-763) $) NIL) (($ (-917) $) NIL) (($ |#3| $) 18) (($ $ |#4|) NIL (|has| |#4| (-1047))) (($ |#4| $) NIL (|has| |#4| (-1047))) (($ $ $) NIL (-2199 (-12 (|has| |#4| (-225)) (|has| |#4| (-1047))) (-12 (|has| |#4| (-630 (-568))) (|has| |#4| (-1047))) (|has| |#4| (-716)) (-12 (|has| |#4| (-895 (-1161))) (|has| |#4| (-1047)))))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-243 |#1| |#2| |#3| |#4|) (-13 (-230 |#1| |#4|) (-637 |#2|) (-637 |#3|)) (-917) (-1047) (-1111 |#1| |#2| (-232 |#1| |#2|) (-232 |#1| |#2|)) (-637 |#2|)) (T -243)) 
-NIL 
-(-13 (-230 |#1| |#4|) (-637 |#2|) (-637 |#3|)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-4007 (($ (-917)) NIL (|has| |#3| (-1047)))) (-2481 (((-1249) $ (-568) (-568)) NIL (|has| $ (-6 -4522)))) (-2409 (($ $ $) NIL (|has| |#3| (-788)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-1667 (((-121) $ (-763)) NIL)) (-3986 (((-763)) NIL (|has| |#3| (-370)))) (-3337 (((-568) $) NIL (|has| |#3| (-840)))) (-2438 ((|#3| $ (-568) |#3|) NIL (|has| $ (-6 -4522)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#3| "failed") $) NIL (|has| |#3| (-1090))) (((-3 (-568) "failed") $) NIL (-12 (|has| |#3| (-1037 (-568))) (|has| |#3| (-1090)))) (((-3 (-409 (-568)) "failed") $) NIL (-12 (|has| |#3| (-1037 (-409 (-568)))) (|has| |#3| (-1090))))) (-2857 ((|#3| $) NIL (|has| |#3| (-1090))) (((-568) $) NIL (-12 (|has| |#3| (-1037 (-568))) (|has| |#3| (-1090)))) (((-409 (-568)) $) NIL (-12 (|has| |#3| (-1037 (-409 (-568)))) (|has| |#3| (-1090))))) (-1668 (((-2 (|:| -2908 (-679 |#3|)) (|:| |vec| (-1244 |#3|))) (-679 $) (-1244 $)) NIL (|has| |#3| (-1047))) (((-679 |#3|) (-679 $)) NIL (|has| |#3| (-1047))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (-12 (|has| |#3| (-630 (-568))) (|has| |#3| (-1047)))) (((-679 (-568)) (-679 $)) NIL (-12 (|has| |#3| (-630 (-568))) (|has| |#3| (-1047))))) (-2902 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| |#3| (-225)) (|has| |#3| (-1047))) (-12 (|has| |#3| (-630 (-568))) (|has| |#3| (-1047))) (|has| |#3| (-716)) (-12 (|has| |#3| (-895 (-1161))) (|has| |#3| (-1047)))))) (-1733 (($) NIL (|has| |#3| (-370)))) (-1292 ((|#3| $ (-568) |#3|) NIL (|has| $ (-6 -4522)))) (-2069 ((|#3| $ (-568)) NIL)) (-1436 (((-121) $) NIL (|has| |#3| (-840)))) (-3317 (((-634 |#3|) $) NIL (|has| $ (-6 -4521)))) (-1598 (((-121) $) NIL (-2199 (-12 (|has| |#3| (-225)) (|has| |#3| (-1047))) (-12 (|has| |#3| (-630 (-568))) (|has| |#3| (-1047))) (|has| |#3| (-716)) (-12 (|has| |#3| (-895 (-1161))) (|has| |#3| (-1047)))))) (-2859 (((-121) $) NIL (|has| |#3| (-840)))) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-568) $) NIL (|has| (-568) (-842)))) (-1732 (($ $ $) NIL (-2199 (|has| |#3| (-788)) (|has| |#3| (-840))))) (-4406 (((-634 |#3|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#3| (-1090))))) (-3631 (((-568) $) NIL (|has| (-568) (-842)))) (-2047 (($ $ $) NIL (-2199 (|has| |#3| (-788)) (|has| |#3| (-840))))) (-2253 (($ (-1 |#3| |#3|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#3| |#3|) $) NIL)) (-2291 (((-917) $) NIL (|has| |#3| (-370)))) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL)) (-3948 (((-634 (-568)) $) NIL)) (-2916 (((-121) (-568) $) NIL)) (-4357 (($ (-917)) NIL (|has| |#3| (-370)))) (-4025 (((-1108) $) NIL)) (-3877 ((|#3| $) NIL (|has| (-568) (-842)))) (-2490 (($ $ |#3|) NIL (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#3|))) NIL (-12 (|has| |#3| (-303 |#3|)) (|has| |#3| (-1090)))) (($ $ (-288 |#3|)) NIL (-12 (|has| |#3| (-303 |#3|)) (|has| |#3| (-1090)))) (($ $ |#3| |#3|) NIL (-12 (|has| |#3| (-303 |#3|)) (|has| |#3| (-1090)))) (($ $ (-634 |#3|) (-634 |#3|)) NIL (-12 (|has| |#3| (-303 |#3|)) (|has| |#3| (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#3| (-1090))))) (-1480 (((-634 |#3|) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#3| $ (-568) |#3|) NIL) ((|#3| $ (-568)) 11)) (-2286 ((|#3| $ $) NIL (|has| |#3| (-1047)))) (-2041 (($ (-1244 |#3|)) NIL)) (-3108 (((-139)) NIL (|has| |#3| (-365)))) (-4191 (($ $ (-1 |#3| |#3|) (-763)) NIL (|has| |#3| (-1047))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1047))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#3| (-895 (-1161))) (|has| |#3| (-1047)))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#3| (-895 (-1161))) (|has| |#3| (-1047)))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#3| (-895 (-1161))) (|has| |#3| (-1047)))) (($ $ (-1161)) NIL (-12 (|has| |#3| (-895 (-1161))) (|has| |#3| (-1047)))) (($ $ (-763)) NIL (-12 (|has| |#3| (-225)) (|has| |#3| (-1047)))) (($ $) NIL (-12 (|has| |#3| (-225)) (|has| |#3| (-1047))))) (-4170 (((-763) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4521))) (((-763) |#3| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#3| (-1090))))) (-3865 (($ $) NIL)) (-2747 (((-1244 |#3|) $) NIL) (((-850) $) NIL) (($ |#3|) NIL (|has| |#3| (-1090))) (($ (-568)) NIL (-2199 (-12 (|has| |#3| (-1037 (-568))) (|has| |#3| (-1090))) (|has| |#3| (-1047)))) (($ (-409 (-568))) NIL (-12 (|has| |#3| (-1037 (-409 (-568)))) (|has| |#3| (-1090))))) (-3425 (((-763)) NIL (|has| |#3| (-1047)))) (-3437 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4521)))) (-2811 (($ $) NIL (|has| |#3| (-840)))) (-1889 (($ $ (-763)) NIL (-2199 (-12 (|has| |#3| (-225)) (|has| |#3| (-1047))) (-12 (|has| |#3| (-630 (-568))) (|has| |#3| (-1047))) (|has| |#3| (-716)) (-12 (|has| |#3| (-895 (-1161))) (|has| |#3| (-1047))))) (($ $ (-917)) NIL (-2199 (-12 (|has| |#3| (-225)) (|has| |#3| (-1047))) (-12 (|has| |#3| (-630 (-568))) (|has| |#3| (-1047))) (|has| |#3| (-716)) (-12 (|has| |#3| (-895 (-1161))) (|has| |#3| (-1047)))))) (-3058 (($) NIL T CONST)) (-1557 (($) NIL (-2199 (-12 (|has| |#3| (-225)) (|has| |#3| (-1047))) (-12 (|has| |#3| (-630 (-568))) (|has| |#3| (-1047))) (|has| |#3| (-716)) (-12 (|has| |#3| (-895 (-1161))) (|has| |#3| (-1047)))) CONST)) (-3192 (($ $ (-1 |#3| |#3|) (-763)) NIL (|has| |#3| (-1047))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1047))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#3| (-895 (-1161))) (|has| |#3| (-1047)))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#3| (-895 (-1161))) (|has| |#3| (-1047)))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#3| (-895 (-1161))) (|has| |#3| (-1047)))) (($ $ (-1161)) NIL (-12 (|has| |#3| (-895 (-1161))) (|has| |#3| (-1047)))) (($ $ (-763)) NIL (-12 (|has| |#3| (-225)) (|has| |#3| (-1047)))) (($ $) NIL (-12 (|has| |#3| (-225)) (|has| |#3| (-1047))))) (-1753 (((-121) $ $) NIL (-2199 (|has| |#3| (-788)) (|has| |#3| (-840))))) (-1740 (((-121) $ $) NIL (-2199 (|has| |#3| (-788)) (|has| |#3| (-840))))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (-2199 (|has| |#3| (-788)) (|has| |#3| (-840))))) (-1734 (((-121) $ $) NIL (-2199 (|has| |#3| (-788)) (|has| |#3| (-840))))) (-1781 (($ $ |#3|) NIL (|has| |#3| (-365)))) (-1775 (($ $ $) NIL) (($ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-763)) NIL (-2199 (-12 (|has| |#3| (-225)) (|has| |#3| (-1047))) (-12 (|has| |#3| (-630 (-568))) (|has| |#3| (-1047))) (|has| |#3| (-716)) (-12 (|has| |#3| (-895 (-1161))) (|has| |#3| (-1047))))) (($ $ (-917)) NIL (-2199 (-12 (|has| |#3| (-225)) (|has| |#3| (-1047))) (-12 (|has| |#3| (-630 (-568))) (|has| |#3| (-1047))) (|has| |#3| (-716)) (-12 (|has| |#3| (-895 (-1161))) (|has| |#3| (-1047)))))) (* (($ |#2| $) 13) (($ (-568) $) NIL) (($ (-763) $) NIL) (($ (-917) $) NIL) (($ $ |#3|) NIL (|has| |#3| (-1047))) (($ |#3| $) NIL (|has| |#3| (-1047))) (($ $ $) NIL (-2199 (-12 (|has| |#3| (-225)) (|has| |#3| (-1047))) (-12 (|has| |#3| (-630 (-568))) (|has| |#3| (-1047))) (|has| |#3| (-716)) (-12 (|has| |#3| (-895 (-1161))) (|has| |#3| (-1047)))))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-244 |#1| |#2| |#3|) (-13 (-230 |#1| |#3|) (-637 |#2|)) (-763) (-1047) (-637 |#2|)) (T -244)) 
-NIL 
-(-13 (-230 |#1| |#3|) (-637 |#2|)) 
-((-2076 (((-634 (-763)) $) 47) (((-634 (-763)) $ |#3|) 50)) (-4308 (((-763) $) 49) (((-763) $ |#3|) 52)) (-3988 (($ $) 65)) (-3668 (((-3 |#2| "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL) (((-3 (-568) "failed") $) NIL) (((-3 |#4| "failed") $) NIL) (((-3 |#3| "failed") $) 72)) (-1844 (((-763) $ |#3|) 39) (((-763) $) 36)) (-3029 (((-1 $ (-763)) |#3|) 15) (((-1 $ (-763)) $) 77)) (-1692 ((|#4| $) 58)) (-4448 (((-121) $) 56)) (-1484 (($ $) 64)) (-1339 (($ $ (-634 (-288 $))) 96) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL) (($ $ |#4| |#2|) NIL) (($ $ (-634 |#4|) (-634 |#2|)) NIL) (($ $ |#4| $) NIL) (($ $ (-634 |#4|) (-634 $)) NIL) (($ $ |#3| $) NIL) (($ $ (-634 |#3|) (-634 $)) 89) (($ $ |#3| |#2|) NIL) (($ $ (-634 |#3|) (-634 |#2|)) 84)) (-4191 (($ $ |#4|) NIL) (($ $ (-634 |#4|)) NIL) (($ $ |#4| (-763)) NIL) (($ $ (-634 |#4|) (-634 (-763))) NIL) (($ $) NIL) (($ $ (-763)) NIL) (($ $ (-1161)) NIL) (($ $ (-634 (-1161))) NIL) (($ $ (-1161) (-763)) NIL) (($ $ (-634 (-1161)) (-634 (-763))) NIL) (($ $ (-1 |#2| |#2|) (-763)) NIL) (($ $ (-1 |#2| |#2|)) 32)) (-2775 (((-634 |#3|) $) 75)) (-1836 ((|#5| $) NIL) (((-763) $ |#4|) NIL) (((-634 (-763)) $ (-634 |#4|)) NIL) (((-763) $ |#3|) 44)) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ |#2|) NIL) (($ |#4|) NIL) (($ |#3|) 67) (($ (-409 (-568))) NIL) (($ $) NIL))) 
-(((-245 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -2747 (|#1| |#1|)) (-15 -2747 (|#1| (-409 (-568)))) (-15 -1339 (|#1| |#1| (-634 |#3|) (-634 |#2|))) (-15 -1339 (|#1| |#1| |#3| |#2|)) (-15 -1339 (|#1| |#1| (-634 |#3|) (-634 |#1|))) (-15 -1339 (|#1| |#1| |#3| |#1|)) (-15 -3029 ((-1 |#1| (-763)) |#1|)) (-15 -3988 (|#1| |#1|)) (-15 -1484 (|#1| |#1|)) (-15 -1692 (|#4| |#1|)) (-15 -4448 ((-121) |#1|)) (-15 -4308 ((-763) |#1| |#3|)) (-15 -2076 ((-634 (-763)) |#1| |#3|)) (-15 -4308 ((-763) |#1|)) (-15 -2076 ((-634 (-763)) |#1|)) (-15 -1836 ((-763) |#1| |#3|)) (-15 -1844 ((-763) |#1|)) (-15 -1844 ((-763) |#1| |#3|)) (-15 -2775 ((-634 |#3|) |#1|)) (-15 -3029 ((-1 |#1| (-763)) |#3|)) (-15 -3668 ((-3 |#3| "failed") |#1|)) (-15 -2747 (|#1| |#3|)) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|))) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)) (-634 (-763)))) (-15 -4191 (|#1| |#1| (-1161) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)))) (-15 -4191 (|#1| |#1| (-1161))) (-15 -4191 (|#1| |#1| (-763))) (-15 -4191 (|#1| |#1|)) (-15 -1836 ((-634 (-763)) |#1| (-634 |#4|))) (-15 -1836 ((-763) |#1| |#4|)) (-15 -3668 ((-3 |#4| "failed") |#1|)) (-15 -2747 (|#1| |#4|)) (-15 -1339 (|#1| |#1| (-634 |#4|) (-634 |#1|))) (-15 -1339 (|#1| |#1| |#4| |#1|)) (-15 -1339 (|#1| |#1| (-634 |#4|) (-634 |#2|))) (-15 -1339 (|#1| |#1| |#4| |#2|)) (-15 -1339 (|#1| |#1| (-634 |#1|) (-634 |#1|))) (-15 -1339 (|#1| |#1| |#1| |#1|)) (-15 -1339 (|#1| |#1| (-288 |#1|))) (-15 -1339 (|#1| |#1| (-634 (-288 |#1|)))) (-15 -1836 (|#5| |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2747 (|#1| |#2|)) (-15 -3668 ((-3 |#2| "failed") |#1|)) (-15 -4191 (|#1| |#1| (-634 |#4|) (-634 (-763)))) (-15 -4191 (|#1| |#1| |#4| (-763))) (-15 -4191 (|#1| |#1| (-634 |#4|))) (-15 -4191 (|#1| |#1| |#4|)) (-15 -2747 (|#1| (-568))) (-15 -2747 ((-850) |#1|))) (-246 |#2| |#3| |#4| |#5|) (-1047) (-842) (-262 |#3|) (-788)) (T -245)) 
-NIL 
-(-10 -8 (-15 -2747 (|#1| |#1|)) (-15 -2747 (|#1| (-409 (-568)))) (-15 -1339 (|#1| |#1| (-634 |#3|) (-634 |#2|))) (-15 -1339 (|#1| |#1| |#3| |#2|)) (-15 -1339 (|#1| |#1| (-634 |#3|) (-634 |#1|))) (-15 -1339 (|#1| |#1| |#3| |#1|)) (-15 -3029 ((-1 |#1| (-763)) |#1|)) (-15 -3988 (|#1| |#1|)) (-15 -1484 (|#1| |#1|)) (-15 -1692 (|#4| |#1|)) (-15 -4448 ((-121) |#1|)) (-15 -4308 ((-763) |#1| |#3|)) (-15 -2076 ((-634 (-763)) |#1| |#3|)) (-15 -4308 ((-763) |#1|)) (-15 -2076 ((-634 (-763)) |#1|)) (-15 -1836 ((-763) |#1| |#3|)) (-15 -1844 ((-763) |#1|)) (-15 -1844 ((-763) |#1| |#3|)) (-15 -2775 ((-634 |#3|) |#1|)) (-15 -3029 ((-1 |#1| (-763)) |#3|)) (-15 -3668 ((-3 |#3| "failed") |#1|)) (-15 -2747 (|#1| |#3|)) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|))) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)) (-634 (-763)))) (-15 -4191 (|#1| |#1| (-1161) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)))) (-15 -4191 (|#1| |#1| (-1161))) (-15 -4191 (|#1| |#1| (-763))) (-15 -4191 (|#1| |#1|)) (-15 -1836 ((-634 (-763)) |#1| (-634 |#4|))) (-15 -1836 ((-763) |#1| |#4|)) (-15 -3668 ((-3 |#4| "failed") |#1|)) (-15 -2747 (|#1| |#4|)) (-15 -1339 (|#1| |#1| (-634 |#4|) (-634 |#1|))) (-15 -1339 (|#1| |#1| |#4| |#1|)) (-15 -1339 (|#1| |#1| (-634 |#4|) (-634 |#2|))) (-15 -1339 (|#1| |#1| |#4| |#2|)) (-15 -1339 (|#1| |#1| (-634 |#1|) (-634 |#1|))) (-15 -1339 (|#1| |#1| |#1| |#1|)) (-15 -1339 (|#1| |#1| (-288 |#1|))) (-15 -1339 (|#1| |#1| (-634 (-288 |#1|)))) (-15 -1836 (|#5| |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2747 (|#1| |#2|)) (-15 -3668 ((-3 |#2| "failed") |#1|)) (-15 -4191 (|#1| |#1| (-634 |#4|) (-634 (-763)))) (-15 -4191 (|#1| |#1| |#4| (-763))) (-15 -4191 (|#1| |#1| (-634 |#4|))) (-15 -4191 (|#1| |#1| |#4|)) (-15 -2747 (|#1| (-568))) (-15 -2747 ((-850) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2076 (((-634 (-763)) $) 193) (((-634 (-763)) $ |#2|) 191)) (-4308 (((-763) $) 192) (((-763) $ |#2|) 190)) (-2057 (((-634 |#3|) $) 108)) (-3840 (((-1157 $) $ |#3|) 123) (((-1157 |#1|) $) 122)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 85 (|has| |#1| (-558)))) (-3661 (($ $) 86 (|has| |#1| (-558)))) (-4426 (((-121) $) 88 (|has| |#1| (-558)))) (-3528 (((-763) $) 110) (((-763) $ (-634 |#3|)) 109)) (-2689 (((-3 $ "failed") $ $) 18)) (-3863 (((-420 (-1157 $)) (-1157 $)) 98 (|has| |#1| (-904)))) (-3045 (($ $) 96 (|has| |#1| (-453)))) (-3498 (((-420 $) $) 95 (|has| |#1| (-453)))) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) 101 (|has| |#1| (-904)))) (-3988 (($ $) 186)) (-4490 (($) 16 T CONST)) (-3668 (((-3 |#1| "failed") $) 162) (((-3 (-409 (-568)) "failed") $) 160 (|has| |#1| (-1037 (-409 (-568))))) (((-3 (-568) "failed") $) 158 (|has| |#1| (-1037 (-568)))) (((-3 |#3| "failed") $) 134) (((-3 |#2| "failed") $) 200)) (-2857 ((|#1| $) 163) (((-409 (-568)) $) 159 (|has| |#1| (-1037 (-409 (-568))))) (((-568) $) 157 (|has| |#1| (-1037 (-568)))) ((|#3| $) 133) ((|#2| $) 199)) (-2910 (($ $ $ |#3|) 106 (|has| |#1| (-172)))) (-2116 (($ $) 152)) (-1668 (((-679 (-568)) (-679 $)) 132 (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) 131 (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 |#1|))) (-679 $) (-1244 $)) 130) (((-679 |#1|) (-679 $)) 129)) (-2902 (((-3 $ "failed") $) 33)) (-1998 (($ $) 174 (|has| |#1| (-453))) (($ $ |#3|) 103 (|has| |#1| (-453)))) (-2110 (((-634 $) $) 107)) (-2197 (((-121) $) 94 (|has| |#1| (-904)))) (-2453 (($ $ |#1| |#4| $) 170)) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) 82 (-12 (|has| |#3| (-881 (-381))) (|has| |#1| (-881 (-381))))) (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) 81 (-12 (|has| |#3| (-881 (-568))) (|has| |#1| (-881 (-568)))))) (-1844 (((-763) $ |#2|) 196) (((-763) $) 195)) (-1598 (((-121) $) 30)) (-3971 (((-763) $) 167)) (-2053 (($ (-1157 |#1|) |#3|) 115) (($ (-1157 $) |#3|) 114)) (-3062 (((-634 $) $) 124)) (-2171 (((-121) $) 150)) (-2049 (($ |#1| |#4|) 151) (($ $ |#3| (-763)) 117) (($ $ (-634 |#3|) (-634 (-763))) 116)) (-1438 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $ |#3|) 118)) (-3524 ((|#4| $) 168) (((-763) $ |#3|) 120) (((-634 (-763)) $ (-634 |#3|)) 119)) (-1732 (($ $ $) 77 (|has| |#1| (-842)))) (-2047 (($ $ $) 76 (|has| |#1| (-842)))) (-1865 (($ (-1 |#4| |#4|) $) 169)) (-2797 (($ (-1 |#1| |#1|) $) 149)) (-3029 (((-1 $ (-763)) |#2|) 198) (((-1 $ (-763)) $) 185 (|has| |#1| (-225)))) (-2817 (((-3 |#3| "failed") $) 121)) (-2099 (($ $) 147)) (-2104 ((|#1| $) 146)) (-1692 ((|#3| $) 188)) (-2498 (($ (-634 $)) 92 (|has| |#1| (-453))) (($ $ $) 91 (|has| |#1| (-453)))) (-1893 (((-1143) $) 9)) (-4448 (((-121) $) 189)) (-4362 (((-3 (-634 $) "failed") $) 112)) (-2112 (((-3 (-634 $) "failed") $) 113)) (-2617 (((-3 (-2 (|:| |var| |#3|) (|:| -3483 (-763))) "failed") $) 111)) (-1484 (($ $) 187)) (-4025 (((-1108) $) 10)) (-2088 (((-121) $) 164)) (-2093 ((|#1| $) 165)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 93 (|has| |#1| (-453)))) (-2723 (($ (-634 $)) 90 (|has| |#1| (-453))) (($ $ $) 89 (|has| |#1| (-453)))) (-2841 (((-420 (-1157 $)) (-1157 $)) 100 (|has| |#1| (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) 99 (|has| |#1| (-904)))) (-3850 (((-420 $) $) 97 (|has| |#1| (-904)))) (-2597 (((-3 $ "failed") $ |#1|) 172 (|has| |#1| (-558))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-558)))) (-1339 (($ $ (-634 (-288 $))) 143) (($ $ (-288 $)) 142) (($ $ $ $) 141) (($ $ (-634 $) (-634 $)) 140) (($ $ |#3| |#1|) 139) (($ $ (-634 |#3|) (-634 |#1|)) 138) (($ $ |#3| $) 137) (($ $ (-634 |#3|) (-634 $)) 136) (($ $ |#2| $) 184 (|has| |#1| (-225))) (($ $ (-634 |#2|) (-634 $)) 183 (|has| |#1| (-225))) (($ $ |#2| |#1|) 182 (|has| |#1| (-225))) (($ $ (-634 |#2|) (-634 |#1|)) 181 (|has| |#1| (-225)))) (-3440 (($ $ |#3|) 105 (|has| |#1| (-172)))) (-4191 (($ $ |#3|) 41) (($ $ (-634 |#3|)) 40) (($ $ |#3| (-763)) 39) (($ $ (-634 |#3|) (-634 (-763))) 38) (($ $) 217 (|has| |#1| (-225))) (($ $ (-763)) 215 (|has| |#1| (-225))) (($ $ (-1161)) 213 (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) 212 (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) 211 (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) 210 (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) 203) (($ $ (-1 |#1| |#1|)) 202)) (-2775 (((-634 |#2|) $) 197)) (-1836 ((|#4| $) 148) (((-763) $ |#3|) 128) (((-634 (-763)) $ (-634 |#3|)) 127) (((-763) $ |#2|) 194)) (-4280 (((-887 (-381)) $) 80 (-12 (|has| |#3| (-609 (-887 (-381)))) (|has| |#1| (-609 (-887 (-381)))))) (((-887 (-568)) $) 79 (-12 (|has| |#3| (-609 (-887 (-568)))) (|has| |#1| (-609 (-887 (-568)))))) (((-541) $) 78 (-12 (|has| |#3| (-609 (-541))) (|has| |#1| (-609 (-541)))))) (-1364 ((|#1| $) 173 (|has| |#1| (-453))) (($ $ |#3|) 104 (|has| |#1| (-453)))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) 102 (-2141 (|has| $ (-148)) (|has| |#1| (-904))))) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ |#1|) 161) (($ |#3|) 135) (($ |#2|) 201) (($ (-409 (-568))) 70 (-2199 (|has| |#1| (-1037 (-409 (-568)))) (|has| |#1| (-43 (-409 (-568)))))) (($ $) 83 (|has| |#1| (-558)))) (-3304 (((-634 |#1|) $) 166)) (-2079 ((|#1| $ |#4|) 153) (($ $ |#3| (-763)) 126) (($ $ (-634 |#3|) (-634 (-763))) 125)) (-3385 (((-3 $ "failed") $) 71 (-2199 (-2141 (|has| $ (-148)) (|has| |#1| (-904))) (|has| |#1| (-148))))) (-3425 (((-763)) 28)) (-3925 (($ $ $ (-763)) 171 (|has| |#1| (-172)))) (-2273 (((-121) $ $) 87 (|has| |#1| (-558)))) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3192 (($ $ |#3|) 37) (($ $ (-634 |#3|)) 36) (($ $ |#3| (-763)) 35) (($ $ (-634 |#3|) (-634 (-763))) 34) (($ $) 216 (|has| |#1| (-225))) (($ $ (-763)) 214 (|has| |#1| (-225))) (($ $ (-1161)) 209 (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) 208 (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) 207 (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) 206 (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) 205) (($ $ (-1 |#1| |#1|)) 204)) (-1753 (((-121) $ $) 74 (|has| |#1| (-842)))) (-1740 (((-121) $ $) 73 (|has| |#1| (-842)))) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 75 (|has| |#1| (-842)))) (-1734 (((-121) $ $) 72 (|has| |#1| (-842)))) (-1781 (($ $ |#1|) 154 (|has| |#1| (-365)))) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ (-409 (-568))) 156 (|has| |#1| (-43 (-409 (-568))))) (($ (-409 (-568)) $) 155 (|has| |#1| (-43 (-409 (-568))))) (($ |#1| $) 145) (($ $ |#1|) 144))) 
-(((-246 |#1| |#2| |#3| |#4|) (-1275) (-1047) (-842) (-262 |t#2|) (-788)) (T -246)) 
-((-3029 (*1 *2 *3) (-12 (-4 *4 (-1047)) (-4 *3 (-842)) (-4 *5 (-262 *3)) (-4 *6 (-788)) (-5 *2 (-1 *1 (-763))) (-4 *1 (-246 *4 *3 *5 *6)))) (-2775 (*1 *2 *1) (-12 (-4 *1 (-246 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-842)) (-4 *5 (-262 *4)) (-4 *6 (-788)) (-5 *2 (-634 *4)))) (-1844 (*1 *2 *1 *3) (-12 (-4 *1 (-246 *4 *3 *5 *6)) (-4 *4 (-1047)) (-4 *3 (-842)) (-4 *5 (-262 *3)) (-4 *6 (-788)) (-5 *2 (-763)))) (-1844 (*1 *2 *1) (-12 (-4 *1 (-246 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-842)) (-4 *5 (-262 *4)) (-4 *6 (-788)) (-5 *2 (-763)))) (-1836 (*1 *2 *1 *3) (-12 (-4 *1 (-246 *4 *3 *5 *6)) (-4 *4 (-1047)) (-4 *3 (-842)) (-4 *5 (-262 *3)) (-4 *6 (-788)) (-5 *2 (-763)))) (-2076 (*1 *2 *1) (-12 (-4 *1 (-246 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-842)) (-4 *5 (-262 *4)) (-4 *6 (-788)) (-5 *2 (-634 (-763))))) (-4308 (*1 *2 *1) (-12 (-4 *1 (-246 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-842)) (-4 *5 (-262 *4)) (-4 *6 (-788)) (-5 *2 (-763)))) (-2076 (*1 *2 *1 *3) (-12 (-4 *1 (-246 *4 *3 *5 *6)) (-4 *4 (-1047)) (-4 *3 (-842)) (-4 *5 (-262 *3)) (-4 *6 (-788)) (-5 *2 (-634 (-763))))) (-4308 (*1 *2 *1 *3) (-12 (-4 *1 (-246 *4 *3 *5 *6)) (-4 *4 (-1047)) (-4 *3 (-842)) (-4 *5 (-262 *3)) (-4 *6 (-788)) (-5 *2 (-763)))) (-4448 (*1 *2 *1) (-12 (-4 *1 (-246 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-842)) (-4 *5 (-262 *4)) (-4 *6 (-788)) (-5 *2 (-121)))) (-1692 (*1 *2 *1) (-12 (-4 *1 (-246 *3 *4 *2 *5)) (-4 *3 (-1047)) (-4 *4 (-842)) (-4 *5 (-788)) (-4 *2 (-262 *4)))) (-1484 (*1 *1 *1) (-12 (-4 *1 (-246 *2 *3 *4 *5)) (-4 *2 (-1047)) (-4 *3 (-842)) (-4 *4 (-262 *3)) (-4 *5 (-788)))) (-3988 (*1 *1 *1) (-12 (-4 *1 (-246 *2 *3 *4 *5)) (-4 *2 (-1047)) (-4 *3 (-842)) (-4 *4 (-262 *3)) (-4 *5 (-788)))) (-3029 (*1 *2 *1) (-12 (-4 *3 (-225)) (-4 *3 (-1047)) (-4 *4 (-842)) (-4 *5 (-262 *4)) (-4 *6 (-788)) (-5 *2 (-1 *1 (-763))) (-4 *1 (-246 *3 *4 *5 *6))))) 
-(-13 (-950 |t#1| |t#4| |t#3|) (-223 |t#1|) (-1037 |t#2|) (-10 -8 (-15 -3029 ((-1 $ (-763)) |t#2|)) (-15 -2775 ((-634 |t#2|) $)) (-15 -1844 ((-763) $ |t#2|)) (-15 -1844 ((-763) $)) (-15 -1836 ((-763) $ |t#2|)) (-15 -2076 ((-634 (-763)) $)) (-15 -4308 ((-763) $)) (-15 -2076 ((-634 (-763)) $ |t#2|)) (-15 -4308 ((-763) $ |t#2|)) (-15 -4448 ((-121) $)) (-15 -1692 (|t#3| $)) (-15 -1484 ($ $)) (-15 -3988 ($ $)) (IF (|has| |t#1| (-225)) (PROGN (-6 (-523 |t#2| |t#1|)) (-6 (-523 |t#2| $)) (-6 (-303 $)) (-15 -3029 ((-1 $ (-763)) $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| |#4|) . T) ((-25) . T) ((-43 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-43 |#1|) |has| |#1| (-172)) ((-43 $) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453))) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453)) (|has| |#1| (-172))) ((-137) . T) ((-148) |has| |#1| (-148)) ((-150) |has| |#1| (-150)) ((-608 (-850)) . T) ((-172) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453)) (|has| |#1| (-172))) ((-609 (-541)) -12 (|has| |#1| (-609 (-541))) (|has| |#3| (-609 (-541)))) ((-609 (-887 (-381))) -12 (|has| |#1| (-609 (-887 (-381)))) (|has| |#3| (-609 (-887 (-381))))) ((-609 (-887 (-568))) -12 (|has| |#1| (-609 (-887 (-568)))) (|has| |#3| (-609 (-887 (-568))))) ((-223 |#1|) . T) ((-225) |has| |#1| (-225)) ((-285) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453))) ((-303 $) . T) ((-324 |#1| |#4|) . T) ((-379 |#1|) . T) ((-413 |#1|) . T) ((-453) -2199 (|has| |#1| (-904)) (|has| |#1| (-453))) ((-523 |#2| |#1|) |has| |#1| (-225)) ((-523 |#2| $) |has| |#1| (-225)) ((-523 |#3| |#1|) . T) ((-523 |#3| $) . T) ((-523 $ $) . T) ((-558) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453))) ((-637 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-637 |#1|) . T) ((-637 $) . T) ((-630 (-568)) |has| |#1| (-630 (-568))) ((-630 |#1|) . T) ((-707 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-707 |#1|) |has| |#1| (-172)) ((-707 $) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453))) ((-716) . T) ((-842) |has| |#1| (-842)) ((-895 (-1161)) |has| |#1| (-895 (-1161))) ((-895 |#3|) . T) ((-881 (-381)) -12 (|has| |#1| (-881 (-381))) (|has| |#3| (-881 (-381)))) ((-881 (-568)) -12 (|has| |#1| (-881 (-568))) (|has| |#3| (-881 (-568)))) ((-950 |#1| |#4| |#3|) . T) ((-904) |has| |#1| (-904)) ((-1037 (-409 (-568))) |has| |#1| (-1037 (-409 (-568)))) ((-1037 (-568)) |has| |#1| (-1037 (-568))) ((-1037 |#1|) . T) ((-1037 |#2|) . T) ((-1037 |#3|) . T) ((-1053 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-1053 |#1|) . T) ((-1053 $) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453)) (|has| |#1| (-172))) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1199) |has| |#1| (-904))) 
-((-2449 (((-121) $ $) 18 (|has| |#1| (-1090)))) (-2212 ((|#1| $) 51)) (-2618 ((|#1| $) 41)) (-1667 (((-121) $ (-763)) 8)) (-4490 (($) 7 T CONST)) (-3743 (($ $) 57)) (-4452 (($ $) 45)) (-2885 ((|#1| |#1| $) 43)) (-2819 ((|#1| $) 42)) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) 9)) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35)) (-3796 (((-121) $ (-763)) 10)) (-3680 (((-763) $) 58)) (-1893 (((-1143) $) 22 (|has| |#1| (-1090)))) (-2580 ((|#1| $) 36)) (-2487 ((|#1| |#1| $) 49)) (-3055 ((|#1| |#1| $) 48)) (-1708 (($ |#1| $) 37)) (-2963 (((-763) $) 52)) (-4025 (((-1108) $) 21 (|has| |#1| (-1090)))) (-1929 ((|#1| $) 59)) (-3430 ((|#1| $) 47)) (-2180 ((|#1| $) 46)) (-3403 ((|#1| $) 38)) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-3920 ((|#1| |#1| $) 55)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-4080 ((|#1| $) 56)) (-1403 (($) 54) (($ (-634 |#1|)) 53)) (-4156 (((-763) $) 40)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-2747 (((-850) $) 20 (|has| |#1| (-1090)))) (-2120 ((|#1| $) 50)) (-4074 (($ (-634 |#1|)) 39)) (-4035 ((|#1| $) 60)) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-247 |#1|) (-1275) (-1195)) (T -247)) 
-((-1403 (*1 *1) (-12 (-4 *1 (-247 *2)) (-4 *2 (-1195)))) (-1403 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1195)) (-4 *1 (-247 *3)))) (-2963 (*1 *2 *1) (-12 (-4 *1 (-247 *3)) (-4 *3 (-1195)) (-5 *2 (-763)))) (-2212 (*1 *2 *1) (-12 (-4 *1 (-247 *2)) (-4 *2 (-1195)))) (-2120 (*1 *2 *1) (-12 (-4 *1 (-247 *2)) (-4 *2 (-1195)))) (-2487 (*1 *2 *2 *1) (-12 (-4 *1 (-247 *2)) (-4 *2 (-1195)))) (-3055 (*1 *2 *2 *1) (-12 (-4 *1 (-247 *2)) (-4 *2 (-1195)))) (-3430 (*1 *2 *1) (-12 (-4 *1 (-247 *2)) (-4 *2 (-1195)))) (-2180 (*1 *2 *1) (-12 (-4 *1 (-247 *2)) (-4 *2 (-1195)))) (-4452 (*1 *1 *1) (-12 (-4 *1 (-247 *2)) (-4 *2 (-1195))))) 
-(-13 (-1109 |t#1|) (-995 |t#1|) (-10 -8 (-15 -1403 ($)) (-15 -1403 ($ (-634 |t#1|))) (-15 -2963 ((-763) $)) (-15 -2212 (|t#1| $)) (-15 -2120 (|t#1| $)) (-15 -2487 (|t#1| |t#1| $)) (-15 -3055 (|t#1| |t#1| $)) (-15 -3430 (|t#1| $)) (-15 -2180 (|t#1| $)) (-15 -4452 ($ $)))) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1090)) ((-608 (-850)) |has| |#1| (-1090)) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-499 |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-995 |#1|) . T) ((-1090) |has| |#1| (-1090)) ((-1109 |#1|) . T) ((-1195) . T)) 
-((-3895 (((-1 (-944 (-215)) (-215) (-215)) (-1 (-944 (-215)) (-215) (-215)) (-1 (-215) (-215) (-215) (-215))) 139)) (-2344 (((-1121 (-215)) (-877 (-1 (-215) (-215) (-215))) (-1084 (-381)) (-1084 (-381))) 160) (((-1121 (-215)) (-877 (-1 (-215) (-215) (-215))) (-1084 (-381)) (-1084 (-381)) (-634 (-256))) 158) (((-1121 (-215)) (-1 (-944 (-215)) (-215) (-215)) (-1084 (-381)) (-1084 (-381))) 163) (((-1121 (-215)) (-1 (-944 (-215)) (-215) (-215)) (-1084 (-381)) (-1084 (-381)) (-634 (-256))) 159) (((-1121 (-215)) (-1 (-215) (-215) (-215)) (-1084 (-381)) (-1084 (-381))) 150) (((-1121 (-215)) (-1 (-215) (-215) (-215)) (-1084 (-381)) (-1084 (-381)) (-634 (-256))) 149) (((-1121 (-215)) (-1 (-944 (-215)) (-215)) (-1084 (-381))) 129) (((-1121 (-215)) (-1 (-944 (-215)) (-215)) (-1084 (-381)) (-634 (-256))) 127) (((-1121 (-215)) (-875 (-1 (-215) (-215))) (-1084 (-381))) 128) (((-1121 (-215)) (-875 (-1 (-215) (-215))) (-1084 (-381)) (-634 (-256))) 125)) (-2338 (((-1246) (-877 (-1 (-215) (-215) (-215))) (-1084 (-381)) (-1084 (-381))) 162) (((-1246) (-877 (-1 (-215) (-215) (-215))) (-1084 (-381)) (-1084 (-381)) (-634 (-256))) 161) (((-1246) (-1 (-944 (-215)) (-215) (-215)) (-1084 (-381)) (-1084 (-381))) 165) (((-1246) (-1 (-944 (-215)) (-215) (-215)) (-1084 (-381)) (-1084 (-381)) (-634 (-256))) 164) (((-1246) (-1 (-215) (-215) (-215)) (-1084 (-381)) (-1084 (-381))) 152) (((-1246) (-1 (-215) (-215) (-215)) (-1084 (-381)) (-1084 (-381)) (-634 (-256))) 151) (((-1246) (-1 (-944 (-215)) (-215)) (-1084 (-381))) 135) (((-1246) (-1 (-944 (-215)) (-215)) (-1084 (-381)) (-634 (-256))) 134) (((-1246) (-875 (-1 (-215) (-215))) (-1084 (-381))) 133) (((-1246) (-875 (-1 (-215) (-215))) (-1084 (-381)) (-634 (-256))) 132) (((-1245) (-873 (-1 (-215) (-215))) (-1084 (-381))) 99) (((-1245) (-873 (-1 (-215) (-215))) (-1084 (-381)) (-634 (-256))) 98) (((-1245) (-1 (-215) (-215)) (-1084 (-381))) 95) (((-1245) (-1 (-215) (-215)) (-1084 (-381)) (-634 (-256))) 94))) 
-(((-248) (-10 -7 (-15 -2338 ((-1245) (-1 (-215) (-215)) (-1084 (-381)) (-634 (-256)))) (-15 -2338 ((-1245) (-1 (-215) (-215)) (-1084 (-381)))) (-15 -2338 ((-1245) (-873 (-1 (-215) (-215))) (-1084 (-381)) (-634 (-256)))) (-15 -2338 ((-1245) (-873 (-1 (-215) (-215))) (-1084 (-381)))) (-15 -2338 ((-1246) (-875 (-1 (-215) (-215))) (-1084 (-381)) (-634 (-256)))) (-15 -2338 ((-1246) (-875 (-1 (-215) (-215))) (-1084 (-381)))) (-15 -2338 ((-1246) (-1 (-944 (-215)) (-215)) (-1084 (-381)) (-634 (-256)))) (-15 -2338 ((-1246) (-1 (-944 (-215)) (-215)) (-1084 (-381)))) (-15 -2344 ((-1121 (-215)) (-875 (-1 (-215) (-215))) (-1084 (-381)) (-634 (-256)))) (-15 -2344 ((-1121 (-215)) (-875 (-1 (-215) (-215))) (-1084 (-381)))) (-15 -2344 ((-1121 (-215)) (-1 (-944 (-215)) (-215)) (-1084 (-381)) (-634 (-256)))) (-15 -2344 ((-1121 (-215)) (-1 (-944 (-215)) (-215)) (-1084 (-381)))) (-15 -2338 ((-1246) (-1 (-215) (-215) (-215)) (-1084 (-381)) (-1084 (-381)) (-634 (-256)))) (-15 -2338 ((-1246) (-1 (-215) (-215) (-215)) (-1084 (-381)) (-1084 (-381)))) (-15 -2344 ((-1121 (-215)) (-1 (-215) (-215) (-215)) (-1084 (-381)) (-1084 (-381)) (-634 (-256)))) (-15 -2344 ((-1121 (-215)) (-1 (-215) (-215) (-215)) (-1084 (-381)) (-1084 (-381)))) (-15 -2338 ((-1246) (-1 (-944 (-215)) (-215) (-215)) (-1084 (-381)) (-1084 (-381)) (-634 (-256)))) (-15 -2338 ((-1246) (-1 (-944 (-215)) (-215) (-215)) (-1084 (-381)) (-1084 (-381)))) (-15 -2344 ((-1121 (-215)) (-1 (-944 (-215)) (-215) (-215)) (-1084 (-381)) (-1084 (-381)) (-634 (-256)))) (-15 -2344 ((-1121 (-215)) (-1 (-944 (-215)) (-215) (-215)) (-1084 (-381)) (-1084 (-381)))) (-15 -2338 ((-1246) (-877 (-1 (-215) (-215) (-215))) (-1084 (-381)) (-1084 (-381)) (-634 (-256)))) (-15 -2338 ((-1246) (-877 (-1 (-215) (-215) (-215))) (-1084 (-381)) (-1084 (-381)))) (-15 -2344 ((-1121 (-215)) (-877 (-1 (-215) (-215) (-215))) (-1084 (-381)) (-1084 (-381)) (-634 (-256)))) (-15 -2344 ((-1121 (-215)) (-877 (-1 (-215) (-215) (-215))) (-1084 (-381)) (-1084 (-381)))) (-15 -3895 ((-1 (-944 (-215)) (-215) (-215)) (-1 (-944 (-215)) (-215) (-215)) (-1 (-215) (-215) (-215) (-215)))))) (T -248)) 
-((-3895 (*1 *2 *2 *3) (-12 (-5 *2 (-1 (-944 (-215)) (-215) (-215))) (-5 *3 (-1 (-215) (-215) (-215) (-215))) (-5 *1 (-248)))) (-2344 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-877 (-1 (-215) (-215) (-215)))) (-5 *4 (-1084 (-381))) (-5 *2 (-1121 (-215))) (-5 *1 (-248)))) (-2344 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-877 (-1 (-215) (-215) (-215)))) (-5 *4 (-1084 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1121 (-215))) (-5 *1 (-248)))) (-2338 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-877 (-1 (-215) (-215) (-215)))) (-5 *4 (-1084 (-381))) (-5 *2 (-1246)) (-5 *1 (-248)))) (-2338 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-877 (-1 (-215) (-215) (-215)))) (-5 *4 (-1084 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1246)) (-5 *1 (-248)))) (-2344 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-944 (-215)) (-215) (-215))) (-5 *4 (-1084 (-381))) (-5 *2 (-1121 (-215))) (-5 *1 (-248)))) (-2344 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-944 (-215)) (-215) (-215))) (-5 *4 (-1084 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1121 (-215))) (-5 *1 (-248)))) (-2338 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-944 (-215)) (-215) (-215))) (-5 *4 (-1084 (-381))) (-5 *2 (-1246)) (-5 *1 (-248)))) (-2338 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-944 (-215)) (-215) (-215))) (-5 *4 (-1084 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1246)) (-5 *1 (-248)))) (-2344 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-215) (-215) (-215))) (-5 *4 (-1084 (-381))) (-5 *2 (-1121 (-215))) (-5 *1 (-248)))) (-2344 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-215) (-215) (-215))) (-5 *4 (-1084 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1121 (-215))) (-5 *1 (-248)))) (-2338 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-215) (-215) (-215))) (-5 *4 (-1084 (-381))) (-5 *2 (-1246)) (-5 *1 (-248)))) (-2338 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-215) (-215) (-215))) (-5 *4 (-1084 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1246)) (-5 *1 (-248)))) (-2344 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-944 (-215)) (-215))) (-5 *4 (-1084 (-381))) (-5 *2 (-1121 (-215))) (-5 *1 (-248)))) (-2344 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-944 (-215)) (-215))) (-5 *4 (-1084 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1121 (-215))) (-5 *1 (-248)))) (-2344 (*1 *2 *3 *4) (-12 (-5 *3 (-875 (-1 (-215) (-215)))) (-5 *4 (-1084 (-381))) (-5 *2 (-1121 (-215))) (-5 *1 (-248)))) (-2344 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-875 (-1 (-215) (-215)))) (-5 *4 (-1084 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1121 (-215))) (-5 *1 (-248)))) (-2338 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-944 (-215)) (-215))) (-5 *4 (-1084 (-381))) (-5 *2 (-1246)) (-5 *1 (-248)))) (-2338 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-944 (-215)) (-215))) (-5 *4 (-1084 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1246)) (-5 *1 (-248)))) (-2338 (*1 *2 *3 *4) (-12 (-5 *3 (-875 (-1 (-215) (-215)))) (-5 *4 (-1084 (-381))) (-5 *2 (-1246)) (-5 *1 (-248)))) (-2338 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-875 (-1 (-215) (-215)))) (-5 *4 (-1084 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1246)) (-5 *1 (-248)))) (-2338 (*1 *2 *3 *4) (-12 (-5 *3 (-873 (-1 (-215) (-215)))) (-5 *4 (-1084 (-381))) (-5 *2 (-1245)) (-5 *1 (-248)))) (-2338 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-873 (-1 (-215) (-215)))) (-5 *4 (-1084 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1245)) (-5 *1 (-248)))) (-2338 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-215) (-215))) (-5 *4 (-1084 (-381))) (-5 *2 (-1245)) (-5 *1 (-248)))) (-2338 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-215) (-215))) (-5 *4 (-1084 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1245)) (-5 *1 (-248))))) 
-(-10 -7 (-15 -2338 ((-1245) (-1 (-215) (-215)) (-1084 (-381)) (-634 (-256)))) (-15 -2338 ((-1245) (-1 (-215) (-215)) (-1084 (-381)))) (-15 -2338 ((-1245) (-873 (-1 (-215) (-215))) (-1084 (-381)) (-634 (-256)))) (-15 -2338 ((-1245) (-873 (-1 (-215) (-215))) (-1084 (-381)))) (-15 -2338 ((-1246) (-875 (-1 (-215) (-215))) (-1084 (-381)) (-634 (-256)))) (-15 -2338 ((-1246) (-875 (-1 (-215) (-215))) (-1084 (-381)))) (-15 -2338 ((-1246) (-1 (-944 (-215)) (-215)) (-1084 (-381)) (-634 (-256)))) (-15 -2338 ((-1246) (-1 (-944 (-215)) (-215)) (-1084 (-381)))) (-15 -2344 ((-1121 (-215)) (-875 (-1 (-215) (-215))) (-1084 (-381)) (-634 (-256)))) (-15 -2344 ((-1121 (-215)) (-875 (-1 (-215) (-215))) (-1084 (-381)))) (-15 -2344 ((-1121 (-215)) (-1 (-944 (-215)) (-215)) (-1084 (-381)) (-634 (-256)))) (-15 -2344 ((-1121 (-215)) (-1 (-944 (-215)) (-215)) (-1084 (-381)))) (-15 -2338 ((-1246) (-1 (-215) (-215) (-215)) (-1084 (-381)) (-1084 (-381)) (-634 (-256)))) (-15 -2338 ((-1246) (-1 (-215) (-215) (-215)) (-1084 (-381)) (-1084 (-381)))) (-15 -2344 ((-1121 (-215)) (-1 (-215) (-215) (-215)) (-1084 (-381)) (-1084 (-381)) (-634 (-256)))) (-15 -2344 ((-1121 (-215)) (-1 (-215) (-215) (-215)) (-1084 (-381)) (-1084 (-381)))) (-15 -2338 ((-1246) (-1 (-944 (-215)) (-215) (-215)) (-1084 (-381)) (-1084 (-381)) (-634 (-256)))) (-15 -2338 ((-1246) (-1 (-944 (-215)) (-215) (-215)) (-1084 (-381)) (-1084 (-381)))) (-15 -2344 ((-1121 (-215)) (-1 (-944 (-215)) (-215) (-215)) (-1084 (-381)) (-1084 (-381)) (-634 (-256)))) (-15 -2344 ((-1121 (-215)) (-1 (-944 (-215)) (-215) (-215)) (-1084 (-381)) (-1084 (-381)))) (-15 -2338 ((-1246) (-877 (-1 (-215) (-215) (-215))) (-1084 (-381)) (-1084 (-381)) (-634 (-256)))) (-15 -2338 ((-1246) (-877 (-1 (-215) (-215) (-215))) (-1084 (-381)) (-1084 (-381)))) (-15 -2344 ((-1121 (-215)) (-877 (-1 (-215) (-215) (-215))) (-1084 (-381)) (-1084 (-381)) (-634 (-256)))) (-15 -2344 ((-1121 (-215)) (-877 (-1 (-215) (-215) (-215))) (-1084 (-381)) (-1084 (-381)))) (-15 -3895 ((-1 (-944 (-215)) (-215) (-215)) (-1 (-944 (-215)) (-215) (-215)) (-1 (-215) (-215) (-215) (-215))))) 
-((-2338 (((-1245) (-288 |#2|) (-1161) (-1161) (-634 (-256))) 93))) 
-(((-249 |#1| |#2|) (-10 -7 (-15 -2338 ((-1245) (-288 |#2|) (-1161) (-1161) (-634 (-256))))) (-13 (-558) (-842) (-1037 (-568))) (-432 |#1|)) (T -249)) 
-((-2338 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-288 *7)) (-5 *4 (-1161)) (-5 *5 (-634 (-256))) (-4 *7 (-432 *6)) (-4 *6 (-13 (-558) (-842) (-1037 (-568)))) (-5 *2 (-1245)) (-5 *1 (-249 *6 *7))))) 
-(-10 -7 (-15 -2338 ((-1245) (-288 |#2|) (-1161) (-1161) (-634 (-256))))) 
-((-2644 (((-568) (-568)) 50)) (-2461 (((-568) (-568)) 51)) (-4275 (((-215) (-215)) 52)) (-3555 (((-1246) (-1 (-169 (-215)) (-169 (-215))) (-1084 (-215)) (-1084 (-215))) 49)) (-1384 (((-1246) (-1 (-169 (-215)) (-169 (-215))) (-1084 (-215)) (-1084 (-215)) (-121)) 47))) 
-(((-250) (-10 -7 (-15 -1384 ((-1246) (-1 (-169 (-215)) (-169 (-215))) (-1084 (-215)) (-1084 (-215)) (-121))) (-15 -3555 ((-1246) (-1 (-169 (-215)) (-169 (-215))) (-1084 (-215)) (-1084 (-215)))) (-15 -2644 ((-568) (-568))) (-15 -2461 ((-568) (-568))) (-15 -4275 ((-215) (-215))))) (T -250)) 
-((-4275 (*1 *2 *2) (-12 (-5 *2 (-215)) (-5 *1 (-250)))) (-2461 (*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-250)))) (-2644 (*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-250)))) (-3555 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-169 (-215)) (-169 (-215)))) (-5 *4 (-1084 (-215))) (-5 *2 (-1246)) (-5 *1 (-250)))) (-1384 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-169 (-215)) (-169 (-215)))) (-5 *4 (-1084 (-215))) (-5 *5 (-121)) (-5 *2 (-1246)) (-5 *1 (-250))))) 
-(-10 -7 (-15 -1384 ((-1246) (-1 (-169 (-215)) (-169 (-215))) (-1084 (-215)) (-1084 (-215)) (-121))) (-15 -3555 ((-1246) (-1 (-169 (-215)) (-169 (-215))) (-1084 (-215)) (-1084 (-215)))) (-15 -2644 ((-568) (-568))) (-15 -2461 ((-568) (-568))) (-15 -4275 ((-215) (-215)))) 
-((-2747 (((-1082 (-381)) (-1082 (-310 |#1|))) 16))) 
-(((-251 |#1|) (-10 -7 (-15 -2747 ((-1082 (-381)) (-1082 (-310 |#1|))))) (-13 (-842) (-558) (-609 (-381)))) (T -251)) 
-((-2747 (*1 *2 *3) (-12 (-5 *3 (-1082 (-310 *4))) (-4 *4 (-13 (-842) (-558) (-609 (-381)))) (-5 *2 (-1082 (-381))) (-5 *1 (-251 *4))))) 
-(-10 -7 (-15 -2747 ((-1082 (-381)) (-1082 (-310 |#1|))))) 
-((-2344 (((-1121 (-215)) (-877 |#1|) (-1082 (-381)) (-1082 (-381))) 69) (((-1121 (-215)) (-877 |#1|) (-1082 (-381)) (-1082 (-381)) (-634 (-256))) 68) (((-1121 (-215)) |#1| (-1082 (-381)) (-1082 (-381))) 59) (((-1121 (-215)) |#1| (-1082 (-381)) (-1082 (-381)) (-634 (-256))) 58) (((-1121 (-215)) (-875 |#1|) (-1082 (-381))) 50) (((-1121 (-215)) (-875 |#1|) (-1082 (-381)) (-634 (-256))) 49)) (-2338 (((-1246) (-877 |#1|) (-1082 (-381)) (-1082 (-381))) 72) (((-1246) (-877 |#1|) (-1082 (-381)) (-1082 (-381)) (-634 (-256))) 71) (((-1246) |#1| (-1082 (-381)) (-1082 (-381))) 62) (((-1246) |#1| (-1082 (-381)) (-1082 (-381)) (-634 (-256))) 61) (((-1246) (-875 |#1|) (-1082 (-381))) 54) (((-1246) (-875 |#1|) (-1082 (-381)) (-634 (-256))) 53) (((-1245) (-873 |#1|) (-1082 (-381))) 41) (((-1245) (-873 |#1|) (-1082 (-381)) (-634 (-256))) 40) (((-1245) |#1| (-1082 (-381))) 33) (((-1245) |#1| (-1082 (-381)) (-634 (-256))) 32))) 
-(((-252 |#1|) (-10 -7 (-15 -2338 ((-1245) |#1| (-1082 (-381)) (-634 (-256)))) (-15 -2338 ((-1245) |#1| (-1082 (-381)))) (-15 -2338 ((-1245) (-873 |#1|) (-1082 (-381)) (-634 (-256)))) (-15 -2338 ((-1245) (-873 |#1|) (-1082 (-381)))) (-15 -2338 ((-1246) (-875 |#1|) (-1082 (-381)) (-634 (-256)))) (-15 -2338 ((-1246) (-875 |#1|) (-1082 (-381)))) (-15 -2344 ((-1121 (-215)) (-875 |#1|) (-1082 (-381)) (-634 (-256)))) (-15 -2344 ((-1121 (-215)) (-875 |#1|) (-1082 (-381)))) (-15 -2338 ((-1246) |#1| (-1082 (-381)) (-1082 (-381)) (-634 (-256)))) (-15 -2338 ((-1246) |#1| (-1082 (-381)) (-1082 (-381)))) (-15 -2344 ((-1121 (-215)) |#1| (-1082 (-381)) (-1082 (-381)) (-634 (-256)))) (-15 -2344 ((-1121 (-215)) |#1| (-1082 (-381)) (-1082 (-381)))) (-15 -2338 ((-1246) (-877 |#1|) (-1082 (-381)) (-1082 (-381)) (-634 (-256)))) (-15 -2338 ((-1246) (-877 |#1|) (-1082 (-381)) (-1082 (-381)))) (-15 -2344 ((-1121 (-215)) (-877 |#1|) (-1082 (-381)) (-1082 (-381)) (-634 (-256)))) (-15 -2344 ((-1121 (-215)) (-877 |#1|) (-1082 (-381)) (-1082 (-381))))) (-13 (-609 (-541)) (-1090))) (T -252)) 
-((-2344 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-877 *5)) (-5 *4 (-1082 (-381))) (-4 *5 (-13 (-609 (-541)) (-1090))) (-5 *2 (-1121 (-215))) (-5 *1 (-252 *5)))) (-2344 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-877 *6)) (-5 *4 (-1082 (-381))) (-5 *5 (-634 (-256))) (-4 *6 (-13 (-609 (-541)) (-1090))) (-5 *2 (-1121 (-215))) (-5 *1 (-252 *6)))) (-2338 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-877 *5)) (-5 *4 (-1082 (-381))) (-4 *5 (-13 (-609 (-541)) (-1090))) (-5 *2 (-1246)) (-5 *1 (-252 *5)))) (-2338 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-877 *6)) (-5 *4 (-1082 (-381))) (-5 *5 (-634 (-256))) (-4 *6 (-13 (-609 (-541)) (-1090))) (-5 *2 (-1246)) (-5 *1 (-252 *6)))) (-2344 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1082 (-381))) (-5 *2 (-1121 (-215))) (-5 *1 (-252 *3)) (-4 *3 (-13 (-609 (-541)) (-1090))))) (-2344 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1082 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1121 (-215))) (-5 *1 (-252 *3)) (-4 *3 (-13 (-609 (-541)) (-1090))))) (-2338 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1082 (-381))) (-5 *2 (-1246)) (-5 *1 (-252 *3)) (-4 *3 (-13 (-609 (-541)) (-1090))))) (-2338 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1082 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1246)) (-5 *1 (-252 *3)) (-4 *3 (-13 (-609 (-541)) (-1090))))) (-2344 (*1 *2 *3 *4) (-12 (-5 *3 (-875 *5)) (-5 *4 (-1082 (-381))) (-4 *5 (-13 (-609 (-541)) (-1090))) (-5 *2 (-1121 (-215))) (-5 *1 (-252 *5)))) (-2344 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-875 *6)) (-5 *4 (-1082 (-381))) (-5 *5 (-634 (-256))) (-4 *6 (-13 (-609 (-541)) (-1090))) (-5 *2 (-1121 (-215))) (-5 *1 (-252 *6)))) (-2338 (*1 *2 *3 *4) (-12 (-5 *3 (-875 *5)) (-5 *4 (-1082 (-381))) (-4 *5 (-13 (-609 (-541)) (-1090))) (-5 *2 (-1246)) (-5 *1 (-252 *5)))) (-2338 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-875 *6)) (-5 *4 (-1082 (-381))) (-5 *5 (-634 (-256))) (-4 *6 (-13 (-609 (-541)) (-1090))) (-5 *2 (-1246)) (-5 *1 (-252 *6)))) (-2338 (*1 *2 *3 *4) (-12 (-5 *3 (-873 *5)) (-5 *4 (-1082 (-381))) (-4 *5 (-13 (-609 (-541)) (-1090))) (-5 *2 (-1245)) (-5 *1 (-252 *5)))) (-2338 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-873 *6)) (-5 *4 (-1082 (-381))) (-5 *5 (-634 (-256))) (-4 *6 (-13 (-609 (-541)) (-1090))) (-5 *2 (-1245)) (-5 *1 (-252 *6)))) (-2338 (*1 *2 *3 *4) (-12 (-5 *4 (-1082 (-381))) (-5 *2 (-1245)) (-5 *1 (-252 *3)) (-4 *3 (-13 (-609 (-541)) (-1090))))) (-2338 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1082 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1245)) (-5 *1 (-252 *3)) (-4 *3 (-13 (-609 (-541)) (-1090)))))) 
-(-10 -7 (-15 -2338 ((-1245) |#1| (-1082 (-381)) (-634 (-256)))) (-15 -2338 ((-1245) |#1| (-1082 (-381)))) (-15 -2338 ((-1245) (-873 |#1|) (-1082 (-381)) (-634 (-256)))) (-15 -2338 ((-1245) (-873 |#1|) (-1082 (-381)))) (-15 -2338 ((-1246) (-875 |#1|) (-1082 (-381)) (-634 (-256)))) (-15 -2338 ((-1246) (-875 |#1|) (-1082 (-381)))) (-15 -2344 ((-1121 (-215)) (-875 |#1|) (-1082 (-381)) (-634 (-256)))) (-15 -2344 ((-1121 (-215)) (-875 |#1|) (-1082 (-381)))) (-15 -2338 ((-1246) |#1| (-1082 (-381)) (-1082 (-381)) (-634 (-256)))) (-15 -2338 ((-1246) |#1| (-1082 (-381)) (-1082 (-381)))) (-15 -2344 ((-1121 (-215)) |#1| (-1082 (-381)) (-1082 (-381)) (-634 (-256)))) (-15 -2344 ((-1121 (-215)) |#1| (-1082 (-381)) (-1082 (-381)))) (-15 -2338 ((-1246) (-877 |#1|) (-1082 (-381)) (-1082 (-381)) (-634 (-256)))) (-15 -2338 ((-1246) (-877 |#1|) (-1082 (-381)) (-1082 (-381)))) (-15 -2344 ((-1121 (-215)) (-877 |#1|) (-1082 (-381)) (-1082 (-381)) (-634 (-256)))) (-15 -2344 ((-1121 (-215)) (-877 |#1|) (-1082 (-381)) (-1082 (-381))))) 
-((-2338 (((-1246) (-634 (-215)) (-634 (-215)) (-634 (-215)) (-634 (-256))) 21) (((-1246) (-634 (-215)) (-634 (-215)) (-634 (-215))) 22) (((-1245) (-634 (-944 (-215))) (-634 (-256))) 13) (((-1245) (-634 (-944 (-215)))) 14) (((-1245) (-634 (-215)) (-634 (-215)) (-634 (-256))) 18) (((-1245) (-634 (-215)) (-634 (-215))) 19))) 
-(((-253) (-10 -7 (-15 -2338 ((-1245) (-634 (-215)) (-634 (-215)))) (-15 -2338 ((-1245) (-634 (-215)) (-634 (-215)) (-634 (-256)))) (-15 -2338 ((-1245) (-634 (-944 (-215))))) (-15 -2338 ((-1245) (-634 (-944 (-215))) (-634 (-256)))) (-15 -2338 ((-1246) (-634 (-215)) (-634 (-215)) (-634 (-215)))) (-15 -2338 ((-1246) (-634 (-215)) (-634 (-215)) (-634 (-215)) (-634 (-256)))))) (T -253)) 
-((-2338 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-634 (-215))) (-5 *4 (-634 (-256))) (-5 *2 (-1246)) (-5 *1 (-253)))) (-2338 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-634 (-215))) (-5 *2 (-1246)) (-5 *1 (-253)))) (-2338 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-944 (-215)))) (-5 *4 (-634 (-256))) (-5 *2 (-1245)) (-5 *1 (-253)))) (-2338 (*1 *2 *3) (-12 (-5 *3 (-634 (-944 (-215)))) (-5 *2 (-1245)) (-5 *1 (-253)))) (-2338 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-634 (-215))) (-5 *4 (-634 (-256))) (-5 *2 (-1245)) (-5 *1 (-253)))) (-2338 (*1 *2 *3 *3) (-12 (-5 *3 (-634 (-215))) (-5 *2 (-1245)) (-5 *1 (-253))))) 
-(-10 -7 (-15 -2338 ((-1245) (-634 (-215)) (-634 (-215)))) (-15 -2338 ((-1245) (-634 (-215)) (-634 (-215)) (-634 (-256)))) (-15 -2338 ((-1245) (-634 (-944 (-215))))) (-15 -2338 ((-1245) (-634 (-944 (-215))) (-634 (-256)))) (-15 -2338 ((-1246) (-634 (-215)) (-634 (-215)) (-634 (-215)))) (-15 -2338 ((-1246) (-634 (-215)) (-634 (-215)) (-634 (-215)) (-634 (-256))))) 
-((-1627 (((-2 (|:| |theta| (-215)) (|:| |phi| (-215)) (|:| -3225 (-215)) (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |scaleZ| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215))) (-634 (-256)) (-2 (|:| |theta| (-215)) (|:| |phi| (-215)) (|:| -3225 (-215)) (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |scaleZ| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215)))) 24)) (-3299 (((-917) (-634 (-256)) (-917)) 49)) (-2893 (((-917) (-634 (-256)) (-917)) 48)) (-2833 (((-634 (-381)) (-634 (-256)) (-634 (-381))) 65)) (-3810 (((-381) (-634 (-256)) (-381)) 55)) (-4055 (((-917) (-634 (-256)) (-917)) 50)) (-2006 (((-121) (-634 (-256)) (-121)) 26)) (-4037 (((-1143) (-634 (-256)) (-1143)) 19)) (-1778 (((-1143) (-634 (-256)) (-1143)) 25)) (-4053 (((-1121 (-215)) (-634 (-256))) 43)) (-3474 (((-634 (-1084 (-381))) (-634 (-256)) (-634 (-1084 (-381)))) 37)) (-2913 (((-869) (-634 (-256)) (-869)) 31)) (-3088 (((-869) (-634 (-256)) (-869)) 32)) (-1617 (((-1 (-944 (-215)) (-944 (-215))) (-634 (-256)) (-1 (-944 (-215)) (-944 (-215)))) 60)) (-2518 (((-121) (-634 (-256)) (-121)) 15)) (-1825 (((-121) (-634 (-256)) (-121)) 14))) 
-(((-254) (-10 -7 (-15 -1825 ((-121) (-634 (-256)) (-121))) (-15 -2518 ((-121) (-634 (-256)) (-121))) (-15 -1627 ((-2 (|:| |theta| (-215)) (|:| |phi| (-215)) (|:| -3225 (-215)) (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |scaleZ| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215))) (-634 (-256)) (-2 (|:| |theta| (-215)) (|:| |phi| (-215)) (|:| -3225 (-215)) (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |scaleZ| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215))))) (-15 -4037 ((-1143) (-634 (-256)) (-1143))) (-15 -1778 ((-1143) (-634 (-256)) (-1143))) (-15 -2006 ((-121) (-634 (-256)) (-121))) (-15 -2913 ((-869) (-634 (-256)) (-869))) (-15 -3088 ((-869) (-634 (-256)) (-869))) (-15 -3474 ((-634 (-1084 (-381))) (-634 (-256)) (-634 (-1084 (-381))))) (-15 -2893 ((-917) (-634 (-256)) (-917))) (-15 -3299 ((-917) (-634 (-256)) (-917))) (-15 -4053 ((-1121 (-215)) (-634 (-256)))) (-15 -4055 ((-917) (-634 (-256)) (-917))) (-15 -3810 ((-381) (-634 (-256)) (-381))) (-15 -1617 ((-1 (-944 (-215)) (-944 (-215))) (-634 (-256)) (-1 (-944 (-215)) (-944 (-215))))) (-15 -2833 ((-634 (-381)) (-634 (-256)) (-634 (-381)))))) (T -254)) 
-((-2833 (*1 *2 *3 *2) (-12 (-5 *2 (-634 (-381))) (-5 *3 (-634 (-256))) (-5 *1 (-254)))) (-1617 (*1 *2 *3 *2) (-12 (-5 *2 (-1 (-944 (-215)) (-944 (-215)))) (-5 *3 (-634 (-256))) (-5 *1 (-254)))) (-3810 (*1 *2 *3 *2) (-12 (-5 *2 (-381)) (-5 *3 (-634 (-256))) (-5 *1 (-254)))) (-4055 (*1 *2 *3 *2) (-12 (-5 *2 (-917)) (-5 *3 (-634 (-256))) (-5 *1 (-254)))) (-4053 (*1 *2 *3) (-12 (-5 *3 (-634 (-256))) (-5 *2 (-1121 (-215))) (-5 *1 (-254)))) (-3299 (*1 *2 *3 *2) (-12 (-5 *2 (-917)) (-5 *3 (-634 (-256))) (-5 *1 (-254)))) (-2893 (*1 *2 *3 *2) (-12 (-5 *2 (-917)) (-5 *3 (-634 (-256))) (-5 *1 (-254)))) (-3474 (*1 *2 *3 *2) (-12 (-5 *2 (-634 (-1084 (-381)))) (-5 *3 (-634 (-256))) (-5 *1 (-254)))) (-3088 (*1 *2 *3 *2) (-12 (-5 *2 (-869)) (-5 *3 (-634 (-256))) (-5 *1 (-254)))) (-2913 (*1 *2 *3 *2) (-12 (-5 *2 (-869)) (-5 *3 (-634 (-256))) (-5 *1 (-254)))) (-2006 (*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-634 (-256))) (-5 *1 (-254)))) (-1778 (*1 *2 *3 *2) (-12 (-5 *2 (-1143)) (-5 *3 (-634 (-256))) (-5 *1 (-254)))) (-4037 (*1 *2 *3 *2) (-12 (-5 *2 (-1143)) (-5 *3 (-634 (-256))) (-5 *1 (-254)))) (-1627 (*1 *2 *3 *2) (-12 (-5 *2 (-2 (|:| |theta| (-215)) (|:| |phi| (-215)) (|:| -3225 (-215)) (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |scaleZ| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215)))) (-5 *3 (-634 (-256))) (-5 *1 (-254)))) (-2518 (*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-634 (-256))) (-5 *1 (-254)))) (-1825 (*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-634 (-256))) (-5 *1 (-254))))) 
-(-10 -7 (-15 -1825 ((-121) (-634 (-256)) (-121))) (-15 -2518 ((-121) (-634 (-256)) (-121))) (-15 -1627 ((-2 (|:| |theta| (-215)) (|:| |phi| (-215)) (|:| -3225 (-215)) (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |scaleZ| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215))) (-634 (-256)) (-2 (|:| |theta| (-215)) (|:| |phi| (-215)) (|:| -3225 (-215)) (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |scaleZ| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215))))) (-15 -4037 ((-1143) (-634 (-256)) (-1143))) (-15 -1778 ((-1143) (-634 (-256)) (-1143))) (-15 -2006 ((-121) (-634 (-256)) (-121))) (-15 -2913 ((-869) (-634 (-256)) (-869))) (-15 -3088 ((-869) (-634 (-256)) (-869))) (-15 -3474 ((-634 (-1084 (-381))) (-634 (-256)) (-634 (-1084 (-381))))) (-15 -2893 ((-917) (-634 (-256)) (-917))) (-15 -3299 ((-917) (-634 (-256)) (-917))) (-15 -4053 ((-1121 (-215)) (-634 (-256)))) (-15 -4055 ((-917) (-634 (-256)) (-917))) (-15 -3810 ((-381) (-634 (-256)) (-381))) (-15 -1617 ((-1 (-944 (-215)) (-944 (-215))) (-634 (-256)) (-1 (-944 (-215)) (-944 (-215))))) (-15 -2833 ((-634 (-381)) (-634 (-256)) (-634 (-381))))) 
-((-2962 (((-3 |#1| "failed") (-634 (-256)) (-1161)) 17))) 
-(((-255 |#1|) (-10 -7 (-15 -2962 ((-3 |#1| "failed") (-634 (-256)) (-1161)))) (-1195)) (T -255)) 
-((-2962 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-634 (-256))) (-5 *4 (-1161)) (-5 *1 (-255 *2)) (-4 *2 (-1195))))) 
-(-10 -7 (-15 -2962 ((-3 |#1| "failed") (-634 (-256)) (-1161)))) 
-((-2449 (((-121) $ $) NIL)) (-1627 (($ (-2 (|:| |theta| (-215)) (|:| |phi| (-215)) (|:| -3225 (-215)) (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |scaleZ| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215)))) 14)) (-3299 (($ (-917)) 70)) (-2893 (($ (-917)) 69)) (-3591 (($ (-634 (-381))) 76)) (-3810 (($ (-381)) 55)) (-4055 (($ (-917)) 71)) (-2006 (($ (-121)) 22)) (-4037 (($ (-1143)) 17)) (-1778 (($ (-1143)) 18)) (-4053 (($ (-1121 (-215))) 65)) (-3474 (($ (-634 (-1084 (-381)))) 61)) (-3581 (($ (-634 (-1084 (-381)))) 56) (($ (-634 (-1084 (-409 (-568))))) 60)) (-2903 (($ (-381)) 28) (($ (-869)) 32)) (-2647 (((-121) (-634 $) (-1161)) 85)) (-2962 (((-3 (-57) "failed") (-634 $) (-1161)) 87)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2430 (($ (-381)) 33) (($ (-869)) 34)) (-1656 (($ (-1 (-944 (-215)) (-944 (-215)))) 54)) (-1617 (($ (-1 (-944 (-215)) (-944 (-215)))) 72)) (-1919 (($ (-1 (-215) (-215))) 38) (($ (-1 (-215) (-215) (-215))) 42) (($ (-1 (-215) (-215) (-215) (-215))) 46)) (-2747 (((-850) $) 81)) (-1743 (($ (-121)) 23) (($ (-634 (-1084 (-381)))) 50)) (-1825 (($ (-121)) 24)) (-1719 (((-121) $ $) 83))) 
-(((-256) (-13 (-1090) (-10 -8 (-15 -1825 ($ (-121))) (-15 -1743 ($ (-121))) (-15 -1627 ($ (-2 (|:| |theta| (-215)) (|:| |phi| (-215)) (|:| -3225 (-215)) (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |scaleZ| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215))))) (-15 -4037 ($ (-1143))) (-15 -1778 ($ (-1143))) (-15 -2006 ($ (-121))) (-15 -1743 ($ (-634 (-1084 (-381))))) (-15 -1656 ($ (-1 (-944 (-215)) (-944 (-215))))) (-15 -2903 ($ (-381))) (-15 -2903 ($ (-869))) (-15 -2430 ($ (-381))) (-15 -2430 ($ (-869))) (-15 -1919 ($ (-1 (-215) (-215)))) (-15 -1919 ($ (-1 (-215) (-215) (-215)))) (-15 -1919 ($ (-1 (-215) (-215) (-215) (-215)))) (-15 -3810 ($ (-381))) (-15 -3581 ($ (-634 (-1084 (-381))))) (-15 -3581 ($ (-634 (-1084 (-409 (-568)))))) (-15 -3474 ($ (-634 (-1084 (-381))))) (-15 -4053 ($ (-1121 (-215)))) (-15 -2893 ($ (-917))) (-15 -3299 ($ (-917))) (-15 -4055 ($ (-917))) (-15 -1617 ($ (-1 (-944 (-215)) (-944 (-215))))) (-15 -3591 ($ (-634 (-381)))) (-15 -2962 ((-3 (-57) "failed") (-634 $) (-1161))) (-15 -2647 ((-121) (-634 $) (-1161)))))) (T -256)) 
-((-1825 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-256)))) (-1743 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-256)))) (-1627 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |theta| (-215)) (|:| |phi| (-215)) (|:| -3225 (-215)) (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |scaleZ| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215)))) (-5 *1 (-256)))) (-4037 (*1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-256)))) (-1778 (*1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-256)))) (-2006 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-256)))) (-1743 (*1 *1 *2) (-12 (-5 *2 (-634 (-1084 (-381)))) (-5 *1 (-256)))) (-1656 (*1 *1 *2) (-12 (-5 *2 (-1 (-944 (-215)) (-944 (-215)))) (-5 *1 (-256)))) (-2903 (*1 *1 *2) (-12 (-5 *2 (-381)) (-5 *1 (-256)))) (-2903 (*1 *1 *2) (-12 (-5 *2 (-869)) (-5 *1 (-256)))) (-2430 (*1 *1 *2) (-12 (-5 *2 (-381)) (-5 *1 (-256)))) (-2430 (*1 *1 *2) (-12 (-5 *2 (-869)) (-5 *1 (-256)))) (-1919 (*1 *1 *2) (-12 (-5 *2 (-1 (-215) (-215))) (-5 *1 (-256)))) (-1919 (*1 *1 *2) (-12 (-5 *2 (-1 (-215) (-215) (-215))) (-5 *1 (-256)))) (-1919 (*1 *1 *2) (-12 (-5 *2 (-1 (-215) (-215) (-215) (-215))) (-5 *1 (-256)))) (-3810 (*1 *1 *2) (-12 (-5 *2 (-381)) (-5 *1 (-256)))) (-3581 (*1 *1 *2) (-12 (-5 *2 (-634 (-1084 (-381)))) (-5 *1 (-256)))) (-3581 (*1 *1 *2) (-12 (-5 *2 (-634 (-1084 (-409 (-568))))) (-5 *1 (-256)))) (-3474 (*1 *1 *2) (-12 (-5 *2 (-634 (-1084 (-381)))) (-5 *1 (-256)))) (-4053 (*1 *1 *2) (-12 (-5 *2 (-1121 (-215))) (-5 *1 (-256)))) (-2893 (*1 *1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-256)))) (-3299 (*1 *1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-256)))) (-4055 (*1 *1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-256)))) (-1617 (*1 *1 *2) (-12 (-5 *2 (-1 (-944 (-215)) (-944 (-215)))) (-5 *1 (-256)))) (-3591 (*1 *1 *2) (-12 (-5 *2 (-634 (-381))) (-5 *1 (-256)))) (-2962 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-634 (-256))) (-5 *4 (-1161)) (-5 *2 (-57)) (-5 *1 (-256)))) (-2647 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-256))) (-5 *4 (-1161)) (-5 *2 (-121)) (-5 *1 (-256))))) 
-(-13 (-1090) (-10 -8 (-15 -1825 ($ (-121))) (-15 -1743 ($ (-121))) (-15 -1627 ($ (-2 (|:| |theta| (-215)) (|:| |phi| (-215)) (|:| -3225 (-215)) (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |scaleZ| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215))))) (-15 -4037 ($ (-1143))) (-15 -1778 ($ (-1143))) (-15 -2006 ($ (-121))) (-15 -1743 ($ (-634 (-1084 (-381))))) (-15 -1656 ($ (-1 (-944 (-215)) (-944 (-215))))) (-15 -2903 ($ (-381))) (-15 -2903 ($ (-869))) (-15 -2430 ($ (-381))) (-15 -2430 ($ (-869))) (-15 -1919 ($ (-1 (-215) (-215)))) (-15 -1919 ($ (-1 (-215) (-215) (-215)))) (-15 -1919 ($ (-1 (-215) (-215) (-215) (-215)))) (-15 -3810 ($ (-381))) (-15 -3581 ($ (-634 (-1084 (-381))))) (-15 -3581 ($ (-634 (-1084 (-409 (-568)))))) (-15 -3474 ($ (-634 (-1084 (-381))))) (-15 -4053 ($ (-1121 (-215)))) (-15 -2893 ($ (-917))) (-15 -3299 ($ (-917))) (-15 -4055 ($ (-917))) (-15 -1617 ($ (-1 (-944 (-215)) (-944 (-215))))) (-15 -3591 ($ (-634 (-381)))) (-15 -2962 ((-3 (-57) "failed") (-634 $) (-1161))) (-15 -2647 ((-121) (-634 $) (-1161))))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2076 (((-634 (-763)) $) NIL) (((-634 (-763)) $ |#2|) NIL)) (-4308 (((-763) $) NIL) (((-763) $ |#2|) NIL)) (-2057 (((-634 |#3|) $) NIL)) (-3840 (((-1157 $) $ |#3|) NIL) (((-1157 |#1|) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#1| (-558)))) (-3661 (($ $) NIL (|has| |#1| (-558)))) (-4426 (((-121) $) NIL (|has| |#1| (-558)))) (-3528 (((-763) $) NIL) (((-763) $ (-634 |#3|)) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-3045 (($ $) NIL (|has| |#1| (-453)))) (-3498 (((-420 $) $) NIL (|has| |#1| (-453)))) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-3988 (($ $) NIL)) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#1| "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-3 (-568) "failed") $) NIL (|has| |#1| (-1037 (-568)))) (((-3 |#3| "failed") $) NIL) (((-3 |#2| "failed") $) NIL) (((-3 (-1113 |#1| |#2|) "failed") $) 20)) (-2857 ((|#1| $) NIL) (((-409 (-568)) $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-568) $) NIL (|has| |#1| (-1037 (-568)))) ((|#3| $) NIL) ((|#2| $) NIL) (((-1113 |#1| |#2|) $) NIL)) (-2910 (($ $ $ |#3|) NIL (|has| |#1| (-172)))) (-2116 (($ $) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 |#1|))) (-679 $) (-1244 $)) NIL) (((-679 |#1|) (-679 $)) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1998 (($ $) NIL (|has| |#1| (-453))) (($ $ |#3|) NIL (|has| |#1| (-453)))) (-2110 (((-634 $) $) NIL)) (-2197 (((-121) $) NIL (|has| |#1| (-904)))) (-2453 (($ $ |#1| (-534 |#3|) $) NIL)) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (-12 (|has| |#1| (-881 (-381))) (|has| |#3| (-881 (-381))))) (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (-12 (|has| |#1| (-881 (-568))) (|has| |#3| (-881 (-568)))))) (-1844 (((-763) $ |#2|) NIL) (((-763) $) 10)) (-1598 (((-121) $) NIL)) (-3971 (((-763) $) NIL)) (-2053 (($ (-1157 |#1|) |#3|) NIL) (($ (-1157 $) |#3|) NIL)) (-3062 (((-634 $) $) NIL)) (-2171 (((-121) $) NIL)) (-2049 (($ |#1| (-534 |#3|)) NIL) (($ $ |#3| (-763)) NIL) (($ $ (-634 |#3|) (-634 (-763))) NIL)) (-1438 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $ |#3|) NIL)) (-3524 (((-534 |#3|) $) NIL) (((-763) $ |#3|) NIL) (((-634 (-763)) $ (-634 |#3|)) NIL)) (-1732 (($ $ $) NIL (|has| |#1| (-842)))) (-2047 (($ $ $) NIL (|has| |#1| (-842)))) (-1865 (($ (-1 (-534 |#3|) (-534 |#3|)) $) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-3029 (((-1 $ (-763)) |#2|) NIL) (((-1 $ (-763)) $) NIL (|has| |#1| (-225)))) (-2817 (((-3 |#3| "failed") $) NIL)) (-2099 (($ $) NIL)) (-2104 ((|#1| $) NIL)) (-1692 ((|#3| $) NIL)) (-2498 (($ (-634 $)) NIL (|has| |#1| (-453))) (($ $ $) NIL (|has| |#1| (-453)))) (-1893 (((-1143) $) NIL)) (-4448 (((-121) $) NIL)) (-4362 (((-3 (-634 $) "failed") $) NIL)) (-2112 (((-3 (-634 $) "failed") $) NIL)) (-2617 (((-3 (-2 (|:| |var| |#3|) (|:| -3483 (-763))) "failed") $) NIL)) (-1484 (($ $) NIL)) (-4025 (((-1108) $) NIL)) (-2088 (((-121) $) NIL)) (-2093 ((|#1| $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#1| (-453)))) (-2723 (($ (-634 $)) NIL (|has| |#1| (-453))) (($ $ $) NIL (|has| |#1| (-453)))) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-3850 (((-420 $) $) NIL (|has| |#1| (-904)))) (-2597 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-558))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-558)))) (-1339 (($ $ (-634 (-288 $))) NIL) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL) (($ $ |#3| |#1|) NIL) (($ $ (-634 |#3|) (-634 |#1|)) NIL) (($ $ |#3| $) NIL) (($ $ (-634 |#3|) (-634 $)) NIL) (($ $ |#2| $) NIL (|has| |#1| (-225))) (($ $ (-634 |#2|) (-634 $)) NIL (|has| |#1| (-225))) (($ $ |#2| |#1|) NIL (|has| |#1| (-225))) (($ $ (-634 |#2|) (-634 |#1|)) NIL (|has| |#1| (-225)))) (-3440 (($ $ |#3|) NIL (|has| |#1| (-172)))) (-4191 (($ $ |#3|) NIL) (($ $ (-634 |#3|)) NIL) (($ $ |#3| (-763)) NIL) (($ $ (-634 |#3|) (-634 (-763))) NIL) (($ $) NIL (|has| |#1| (-225))) (($ $ (-763)) NIL (|has| |#1| (-225))) (($ $ (-1161)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-2775 (((-634 |#2|) $) NIL)) (-1836 (((-534 |#3|) $) NIL) (((-763) $ |#3|) NIL) (((-634 (-763)) $ (-634 |#3|)) NIL) (((-763) $ |#2|) NIL)) (-4280 (((-887 (-381)) $) NIL (-12 (|has| |#1| (-609 (-887 (-381)))) (|has| |#3| (-609 (-887 (-381)))))) (((-887 (-568)) $) NIL (-12 (|has| |#1| (-609 (-887 (-568)))) (|has| |#3| (-609 (-887 (-568)))))) (((-541) $) NIL (-12 (|has| |#1| (-609 (-541))) (|has| |#3| (-609 (-541)))))) (-1364 ((|#1| $) NIL (|has| |#1| (-453))) (($ $ |#3|) NIL (|has| |#1| (-453)))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-12 (|has| $ (-148)) (|has| |#1| (-904))))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ |#1|) 23) (($ |#3|) 22) (($ |#2|) NIL) (($ (-1113 |#1| |#2|)) 28) (($ (-409 (-568))) NIL (-2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-1037 (-409 (-568)))))) (($ $) NIL (|has| |#1| (-558)))) (-3304 (((-634 |#1|) $) NIL)) (-2079 ((|#1| $ (-534 |#3|)) NIL) (($ $ |#3| (-763)) NIL) (($ $ (-634 |#3|) (-634 (-763))) NIL)) (-3385 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| |#1| (-904))) (|has| |#1| (-148))))) (-3425 (((-763)) NIL)) (-3925 (($ $ $ (-763)) NIL (|has| |#1| (-172)))) (-2273 (((-121) $ $) NIL (|has| |#1| (-558)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($ $ |#3|) NIL) (($ $ (-634 |#3|)) NIL) (($ $ |#3| (-763)) NIL) (($ $ (-634 |#3|) (-634 (-763))) NIL) (($ $) NIL (|has| |#1| (-225))) (($ $ (-763)) NIL (|has| |#1| (-225))) (($ $ (-1161)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1753 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1781 (($ $ |#1|) NIL (|has| |#1| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))) (($ (-409 (-568)) $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-257 |#1| |#2| |#3|) (-13 (-246 |#1| |#2| |#3| (-534 |#3|)) (-1037 (-1113 |#1| |#2|))) (-1047) (-842) (-262 |#2|)) (T -257)) 
-NIL 
-(-13 (-246 |#1| |#2| |#3| (-534 |#3|)) (-1037 (-1113 |#1| |#2|))) 
-((-2449 (((-121) $ $) 18 (|has| |#1| (-1090)))) (-2852 ((|#1| $) 45)) (-1533 (($ |#1| (-634 $)) 51) (($ |#1|) 50) (($ (-634 |#1|)) 49)) (-1667 (((-121) $ (-763)) 8)) (-3370 ((|#1| $ |#1|) 36 (|has| $ (-6 -4522)))) (-2438 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4522)))) (-1809 (($ $ (-634 $)) 38 (|has| $ (-6 -4522)))) (-4490 (($) 7 T CONST)) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-3534 (((-634 $) $) 47)) (-3606 (((-121) $ $) 39 (|has| |#1| (-1090)))) (-3791 (((-121) $ (-763)) 9)) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35)) (-3796 (((-121) $ (-763)) 10)) (-4081 (((-634 |#1|) $) 42)) (-3319 (((-121) $) 46)) (-1893 (((-1143) $) 22 (|has| |#1| (-1090)))) (-4025 (((-1108) $) 21 (|has| |#1| (-1090)))) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-2781 ((|#1| $ "value") 44)) (-1665 (((-568) $ $) 41)) (-2763 (((-121) $) 43)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-2747 (((-850) $) 20 (|has| |#1| (-1090)))) (-3180 (((-634 $) $) 48)) (-3873 (((-121) $ $) 40 (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-258 |#1|) (-1275) (-1090)) (T -258)) 
-((-1533 (*1 *1 *2 *3) (-12 (-5 *3 (-634 *1)) (-4 *1 (-258 *2)) (-4 *2 (-1090)))) (-1533 (*1 *1 *2) (-12 (-4 *1 (-258 *2)) (-4 *2 (-1090)))) (-1533 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-4 *1 (-258 *3))))) 
-(-13 (-1010 |t#1|) (-10 -8 (-6 -4522) (-6 -4521) (-15 -1533 ($ |t#1| (-634 $))) (-15 -1533 ($ |t#1|)) (-15 -1533 ($ (-634 |t#1|))))) 
-(((-39) . T) ((-105) |has| |#1| (-1090)) ((-608 (-850)) |has| |#1| (-1090)) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-499 |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-1010 |#1|) . T) ((-1090) |has| |#1| (-1090)) ((-1195) . T)) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-2852 ((|#1| $) 12)) (-1533 (($ |#1| (-634 $)) 31) (($ |#1|) 32) (($ (-634 |#1|)) 33)) (-1667 (((-121) $ (-763)) NIL)) (-3370 ((|#1| $ |#1|) 35 (|has| $ (-6 -4522)))) (-2438 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4522)))) (-1809 (($ $ (-634 $)) 34 (|has| $ (-6 -4522)))) (-4490 (($) NIL T CONST)) (-3317 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-3534 (((-634 $) $) NIL)) (-3606 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-3791 (((-121) $ (-763)) NIL)) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-2253 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-4081 (((-634 |#1|) $) 22)) (-3319 (((-121) $) NIL)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-4295 (((-121) (-121)) 18) (((-121)) 19)) (-2860 (((-850) $) 15)) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-3587 (((-1143) $) 28)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#1| $ "value") NIL)) (-1665 (((-568) $ $) NIL)) (-2763 (((-121) $) NIL)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3865 (($ $) NIL)) (-2747 (((-850) $) 30 (|has| |#1| (-1090)))) (-3180 (((-634 $) $) 8)) (-3873 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 26 (|has| |#1| (-1090)))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-259 |#1|) (-13 (-258 |#1|) (-10 -8 (-15 -3587 ((-1143) $)) (-15 -2860 ((-850) $)) (-15 -4295 ((-121) (-121))) (-15 -4295 ((-121))))) (-1090)) (T -259)) 
-((-3587 (*1 *2 *1) (-12 (-5 *2 (-1143)) (-5 *1 (-259 *3)) (-4 *3 (-1090)))) (-2860 (*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-259 *3)) (-4 *3 (-1090)))) (-4295 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-259 *3)) (-4 *3 (-1090)))) (-4295 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-259 *3)) (-4 *3 (-1090))))) 
-(-13 (-258 |#1|) (-10 -8 (-15 -3587 ((-1143) $)) (-15 -2860 ((-850) $)) (-15 -4295 ((-121) (-121))) (-15 -4295 ((-121))))) 
-((-2990 (((-1249) |#10| (-634 |#3|)) 133) (((-1249) |#10|) 135)) (-2229 (((-1249) |#10|) NIL)) (-2026 ((|#8| |#10|) 28)) (-4123 (((-568) (-763) (-634 |#10|)) 147)) (-1591 (((-763) (-763) (-634 |#10|)) 145)) (-2148 (((-568) |#3|) 148)) (-3383 (((-763) |#3|) 146)) (-2132 (((-1249) |#10|) 136)) (-2218 ((|#8| |#3| |#10|) 111)) (-4230 ((|#10| |#5| |#3|) 138)) (-3012 (((-634 |#10|) |#3|) 144)) (-3621 (((-1249) |#10|) 134)) (-2549 (((-634 |#9|) |#9|) 87)) (-2669 ((|#8| |#10|) 110))) 
-(((-260 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10| |#11|) (-10 -7 (-15 -2549 ((-634 |#9|) |#9|)) (-15 -2218 (|#8| |#3| |#10|)) (-15 -2669 (|#8| |#10|)) (-15 -3621 ((-1249) |#10|)) (-15 -4230 (|#10| |#5| |#3|)) (-15 -3012 ((-634 |#10|) |#3|)) (-15 -2132 ((-1249) |#10|)) (-15 -2229 ((-1249) |#10|)) (-15 -2990 ((-1249) |#10|)) (-15 -2990 ((-1249) |#10| (-634 |#3|))) (-15 -3383 ((-763) |#3|)) (-15 -2148 ((-568) |#3|)) (-15 -1591 ((-763) (-763) (-634 |#10|))) (-15 -2026 (|#8| |#10|)) (-15 -4123 ((-568) (-763) (-634 |#10|)))) (-365) (-634 (-1161)) (-950 |#1| |#4| (-852 |#2|)) (-230 (-1699 |#2|) (-763)) (-971 |#1|) (-641 |#1|) (-920 |#1| |#6|) (-235 |#7|) (-536 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#11|) (-258 |#9|) (-117)) (T -260)) 
-((-4123 (*1 *2 *3 *4) (-12 (-5 *4 (-634 *14)) (-4 *14 (-258 *13)) (-4 *13 (-536 *5 *6 *7 *8 *9 *10 *11 *12 *15)) (-4 *15 (-117)) (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *7 (-950 *5 *8 (-852 *6))) (-4 *8 (-230 (-1699 *6) *3)) (-4 *9 (-971 *5)) (-4 *10 (-641 *5)) (-4 *11 (-920 *5 *10)) (-4 *12 (-235 *11)) (-5 *3 (-763)) (-5 *2 (-568)) (-5 *1 (-260 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14 *15)))) (-2026 (*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-536 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-235 *10)) (-5 *1 (-260 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-258 *11)))) (-1591 (*1 *2 *2 *3) (-12 (-5 *3 (-634 *13)) (-4 *13 (-258 *12)) (-4 *12 (-536 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) *2)) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-235 *10)) (-5 *2 (-763)) (-5 *1 (-260 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)))) (-2148 (*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *3 (-950 *4 *6 (-852 *5))) (-4 *6 (-230 (-1699 *5) (-763))) (-4 *7 (-971 *4)) (-4 *8 (-641 *4)) (-4 *9 (-920 *4 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-568)) (-5 *1 (-260 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) (-3383 (*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *3 (-950 *4 *6 (-852 *5))) (-4 *6 (-230 (-1699 *5) *2)) (-4 *7 (-971 *4)) (-4 *8 (-641 *4)) (-4 *9 (-920 *4 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-763)) (-5 *1 (-260 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) (-2990 (*1 *2 *3 *4) (-12 (-5 *4 (-634 *7)) (-4 *7 (-950 *5 *8 (-852 *6))) (-4 *8 (-230 (-1699 *6) (-763))) (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *9 (-971 *5)) (-4 *10 (-641 *5)) (-4 *11 (-920 *5 *10)) (-4 *12 (-235 *11)) (-4 *13 (-536 *5 *6 *7 *8 *9 *10 *11 *12 *14)) (-4 *14 (-117)) (-5 *2 (-1249)) (-5 *1 (-260 *5 *6 *7 *8 *9 *10 *11 *12 *13 *3 *14)) (-4 *3 (-258 *13)))) (-2990 (*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-235 *10)) (-4 *12 (-536 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1249)) (-5 *1 (-260 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-258 *12)))) (-2229 (*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-235 *10)) (-4 *12 (-536 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1249)) (-5 *1 (-260 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-258 *12)))) (-2132 (*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-235 *10)) (-4 *12 (-536 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1249)) (-5 *1 (-260 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-258 *12)))) (-3012 (*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *3 (-950 *4 *6 (-852 *5))) (-4 *6 (-230 (-1699 *5) (-763))) (-4 *7 (-971 *4)) (-4 *8 (-641 *4)) (-4 *9 (-920 *4 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-634 *12)) (-5 *1 (-260 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) (-4230 (*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *4 (-950 *5 *7 (-852 *6))) (-4 *7 (-230 (-1699 *6) (-763))) (-4 *3 (-971 *5)) (-4 *8 (-641 *5)) (-4 *9 (-920 *5 *8)) (-4 *10 (-235 *9)) (-4 *12 (-117)) (-4 *2 (-258 *11)) (-5 *1 (-260 *5 *6 *4 *7 *3 *8 *9 *10 *11 *2 *12)) (-4 *11 (-536 *5 *6 *4 *7 *3 *8 *9 *10 *12)))) (-3621 (*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-235 *10)) (-4 *12 (-536 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1249)) (-5 *1 (-260 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-258 *12)))) (-2669 (*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-536 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-235 *10)) (-5 *1 (-260 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-258 *11)))) (-2218 (*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *3 (-950 *5 *7 (-852 *6))) (-4 *7 (-230 (-1699 *6) (-763))) (-4 *8 (-971 *5)) (-4 *9 (-641 *5)) (-4 *10 (-920 *5 *9)) (-4 *11 (-536 *5 *6 *3 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-235 *10)) (-5 *1 (-260 *5 *6 *3 *7 *8 *9 *10 *2 *11 *4 *12)) (-4 *4 (-258 *11)))) (-2549 (*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-235 *10)) (-4 *3 (-536 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-634 *3)) (-5 *1 (-260 *4 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13)) (-4 *12 (-258 *3))))) 
-(-10 -7 (-15 -2549 ((-634 |#9|) |#9|)) (-15 -2218 (|#8| |#3| |#10|)) (-15 -2669 (|#8| |#10|)) (-15 -3621 ((-1249) |#10|)) (-15 -4230 (|#10| |#5| |#3|)) (-15 -3012 ((-634 |#10|) |#3|)) (-15 -2132 ((-1249) |#10|)) (-15 -2229 ((-1249) |#10|)) (-15 -2990 ((-1249) |#10|)) (-15 -2990 ((-1249) |#10| (-634 |#3|))) (-15 -3383 ((-763) |#3|)) (-15 -2148 ((-568) |#3|)) (-15 -1591 ((-763) (-763) (-634 |#10|))) (-15 -2026 (|#8| |#10|)) (-15 -4123 ((-568) (-763) (-634 |#10|)))) 
-((-4308 (((-763) $) 30)) (-3668 (((-3 |#2| "failed") $) 17)) (-2857 ((|#2| $) 27)) (-4191 (($ $) 12) (($ $ (-763)) 15)) (-2747 (((-850) $) 26) (($ |#2|) 10)) (-1719 (((-121) $ $) 20)) (-1734 (((-121) $ $) 29))) 
-(((-261 |#1| |#2|) (-10 -8 (-15 -4191 (|#1| |#1| (-763))) (-15 -4191 (|#1| |#1|)) (-15 -4308 ((-763) |#1|)) (-15 -2857 (|#2| |#1|)) (-15 -3668 ((-3 |#2| "failed") |#1|)) (-15 -2747 (|#1| |#2|)) (-15 -1734 ((-121) |#1| |#1|)) (-15 -2747 ((-850) |#1|)) (-15 -1719 ((-121) |#1| |#1|))) (-262 |#2|) (-842)) (T -261)) 
-NIL 
-(-10 -8 (-15 -4191 (|#1| |#1| (-763))) (-15 -4191 (|#1| |#1|)) (-15 -4308 ((-763) |#1|)) (-15 -2857 (|#2| |#1|)) (-15 -3668 ((-3 |#2| "failed") |#1|)) (-15 -2747 (|#1| |#2|)) (-15 -1734 ((-121) |#1| |#1|)) (-15 -2747 ((-850) |#1|)) (-15 -1719 ((-121) |#1| |#1|))) 
-((-2449 (((-121) $ $) 7)) (-4308 (((-763) $) 21)) (-3325 ((|#1| $) 22)) (-3668 (((-3 |#1| "failed") $) 26)) (-2857 ((|#1| $) 25)) (-1844 (((-763) $) 23)) (-1732 (($ $ $) 12)) (-2047 (($ $ $) 13)) (-3029 (($ |#1| (-763)) 24)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-4191 (($ $) 20) (($ $ (-763)) 19)) (-2747 (((-850) $) 11) (($ |#1|) 27)) (-1753 (((-121) $ $) 15)) (-1740 (((-121) $ $) 16)) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 14)) (-1734 (((-121) $ $) 17))) 
-(((-262 |#1|) (-1275) (-842)) (T -262)) 
-((-2747 (*1 *1 *2) (-12 (-4 *1 (-262 *2)) (-4 *2 (-842)))) (-3029 (*1 *1 *2 *3) (-12 (-5 *3 (-763)) (-4 *1 (-262 *2)) (-4 *2 (-842)))) (-1844 (*1 *2 *1) (-12 (-4 *1 (-262 *3)) (-4 *3 (-842)) (-5 *2 (-763)))) (-3325 (*1 *2 *1) (-12 (-4 *1 (-262 *2)) (-4 *2 (-842)))) (-4308 (*1 *2 *1) (-12 (-4 *1 (-262 *3)) (-4 *3 (-842)) (-5 *2 (-763)))) (-4191 (*1 *1 *1) (-12 (-4 *1 (-262 *2)) (-4 *2 (-842)))) (-4191 (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-262 *3)) (-4 *3 (-842))))) 
-(-13 (-842) (-1037 |t#1|) (-10 -8 (-15 -3029 ($ |t#1| (-763))) (-15 -1844 ((-763) $)) (-15 -3325 (|t#1| $)) (-15 -4308 ((-763) $)) (-15 -4191 ($ $)) (-15 -4191 ($ $ (-763))) (-15 -2747 ($ |t#1|)))) 
-(((-105) . T) ((-608 (-850)) . T) ((-842) . T) ((-1037 |#1|) . T) ((-1090) . T)) 
-((-2057 (((-634 (-1161)) (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) 40)) (-2981 (((-634 (-1161)) (-310 (-215)) (-763)) 79)) (-2389 (((-3 (-310 (-215)) "failed") (-310 (-215))) 50)) (-1650 (((-310 (-215)) (-310 (-215))) 65)) (-3256 (((-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215))))) (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) 26)) (-2569 (((-121) (-634 (-310 (-215)))) 83)) (-3469 (((-121) (-310 (-215))) 24)) (-2559 (((-634 (-1143)) (-3 (|:| |noa| (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) (|:| |lsa| (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))))) 104)) (-2681 (((-634 (-310 (-215))) (-634 (-310 (-215)))) 86)) (-2556 (((-634 (-310 (-215))) (-634 (-310 (-215)))) 85)) (-4205 (((-679 (-215)) (-634 (-310 (-215))) (-763)) 93)) (-3338 (((-121) (-310 (-215))) 20) (((-121) (-634 (-310 (-215)))) 84)) (-2845 (((-634 (-215)) (-634 (-835 (-215))) (-215)) 14)) (-1402 (((-381) (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) 99)) (-3900 (((-1035) (-1161) (-1035)) 33))) 
-(((-263) (-10 -7 (-15 -2845 ((-634 (-215)) (-634 (-835 (-215))) (-215))) (-15 -3256 ((-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215))))) (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215))))))) (-15 -2389 ((-3 (-310 (-215)) "failed") (-310 (-215)))) (-15 -1650 ((-310 (-215)) (-310 (-215)))) (-15 -2569 ((-121) (-634 (-310 (-215))))) (-15 -3338 ((-121) (-634 (-310 (-215))))) (-15 -3338 ((-121) (-310 (-215)))) (-15 -4205 ((-679 (-215)) (-634 (-310 (-215))) (-763))) (-15 -2556 ((-634 (-310 (-215))) (-634 (-310 (-215))))) (-15 -2681 ((-634 (-310 (-215))) (-634 (-310 (-215))))) (-15 -3469 ((-121) (-310 (-215)))) (-15 -2057 ((-634 (-1161)) (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215)))))) (-15 -2981 ((-634 (-1161)) (-310 (-215)) (-763))) (-15 -3900 ((-1035) (-1161) (-1035))) (-15 -1402 ((-381) (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215)))))) (-15 -2559 ((-634 (-1143)) (-3 (|:| |noa| (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) (|:| |lsa| (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215)))))))))) (T -263)) 
-((-2559 (*1 *2 *3) (-12 (-5 *3 (-3 (|:| |noa| (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) (|:| |lsa| (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))))) (-5 *2 (-634 (-1143))) (-5 *1 (-263)))) (-1402 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) (-5 *2 (-381)) (-5 *1 (-263)))) (-3900 (*1 *2 *3 *2) (-12 (-5 *2 (-1035)) (-5 *3 (-1161)) (-5 *1 (-263)))) (-2981 (*1 *2 *3 *4) (-12 (-5 *3 (-310 (-215))) (-5 *4 (-763)) (-5 *2 (-634 (-1161))) (-5 *1 (-263)))) (-2057 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) (-5 *2 (-634 (-1161))) (-5 *1 (-263)))) (-3469 (*1 *2 *3) (-12 (-5 *3 (-310 (-215))) (-5 *2 (-121)) (-5 *1 (-263)))) (-2681 (*1 *2 *2) (-12 (-5 *2 (-634 (-310 (-215)))) (-5 *1 (-263)))) (-2556 (*1 *2 *2) (-12 (-5 *2 (-634 (-310 (-215)))) (-5 *1 (-263)))) (-4205 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-310 (-215)))) (-5 *4 (-763)) (-5 *2 (-679 (-215))) (-5 *1 (-263)))) (-3338 (*1 *2 *3) (-12 (-5 *3 (-310 (-215))) (-5 *2 (-121)) (-5 *1 (-263)))) (-3338 (*1 *2 *3) (-12 (-5 *3 (-634 (-310 (-215)))) (-5 *2 (-121)) (-5 *1 (-263)))) (-2569 (*1 *2 *3) (-12 (-5 *3 (-634 (-310 (-215)))) (-5 *2 (-121)) (-5 *1 (-263)))) (-1650 (*1 *2 *2) (-12 (-5 *2 (-310 (-215))) (-5 *1 (-263)))) (-2389 (*1 *2 *2) (|partial| -12 (-5 *2 (-310 (-215))) (-5 *1 (-263)))) (-3256 (*1 *2 *2) (-12 (-5 *2 (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) (-5 *1 (-263)))) (-2845 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-835 (-215)))) (-5 *4 (-215)) (-5 *2 (-634 *4)) (-5 *1 (-263))))) 
-(-10 -7 (-15 -2845 ((-634 (-215)) (-634 (-835 (-215))) (-215))) (-15 -3256 ((-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215))))) (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215))))))) (-15 -2389 ((-3 (-310 (-215)) "failed") (-310 (-215)))) (-15 -1650 ((-310 (-215)) (-310 (-215)))) (-15 -2569 ((-121) (-634 (-310 (-215))))) (-15 -3338 ((-121) (-634 (-310 (-215))))) (-15 -3338 ((-121) (-310 (-215)))) (-15 -4205 ((-679 (-215)) (-634 (-310 (-215))) (-763))) (-15 -2556 ((-634 (-310 (-215))) (-634 (-310 (-215))))) (-15 -2681 ((-634 (-310 (-215))) (-634 (-310 (-215))))) (-15 -3469 ((-121) (-310 (-215)))) (-15 -2057 ((-634 (-1161)) (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215)))))) (-15 -2981 ((-634 (-1161)) (-310 (-215)) (-763))) (-15 -3900 ((-1035) (-1161) (-1035))) (-15 -1402 ((-381) (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215)))))) (-15 -2559 ((-634 (-1143)) (-3 (|:| |noa| (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) (|:| |lsa| (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))))))) 
-((-2449 (((-121) $ $) NIL)) (-3994 (((-1035) (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) NIL) (((-1035) (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) 39)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) 20) (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-1719 (((-121) $ $) NIL))) 
-(((-264) (-831)) (T -264)) 
-NIL 
-(-831) 
-((-2449 (((-121) $ $) NIL)) (-3994 (((-1035) (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) 54) (((-1035) (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) 49)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) 29) (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) 31)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-1719 (((-121) $ $) NIL))) 
-(((-265) (-831)) (T -265)) 
-NIL 
-(-831) 
-((-2449 (((-121) $ $) NIL)) (-3994 (((-1035) (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) 73) (((-1035) (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) 69)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) 40) (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) 51)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-1719 (((-121) $ $) NIL))) 
-(((-266) (-831)) (T -266)) 
-NIL 
-(-831) 
-((-2449 (((-121) $ $) NIL)) (-3994 (((-1035) (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) NIL) (((-1035) (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) 48)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) 27) (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-1719 (((-121) $ $) NIL))) 
-(((-267) (-831)) (T -267)) 
-NIL 
-(-831) 
-((-2449 (((-121) $ $) NIL)) (-3994 (((-1035) (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) NIL) (((-1035) (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) 48)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) 23) (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-1719 (((-121) $ $) NIL))) 
-(((-268) (-831)) (T -268)) 
-NIL 
-(-831) 
-((-2449 (((-121) $ $) NIL)) (-3994 (((-1035) (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) NIL) (((-1035) (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) 69)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) 23) (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-1719 (((-121) $ $) NIL))) 
-(((-269) (-831)) (T -269)) 
-NIL 
-(-831) 
-((-2449 (((-121) $ $) NIL)) (-3994 (((-1035) (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) NIL) (((-1035) (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) 73)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) 19) (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-1719 (((-121) $ $) NIL))) 
-(((-270) (-831)) (T -270)) 
-NIL 
-(-831) 
-((-2449 (((-121) $ $) NIL)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2575 (((-634 (-568)) $) 16)) (-1836 (((-763) $) 14)) (-2747 (((-850) $) 20) (($ (-634 (-568))) 12)) (-3723 (($ (-763)) 17)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 9)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 10))) 
-(((-271) (-13 (-842) (-10 -8 (-15 -2747 ($ (-634 (-568)))) (-15 -1836 ((-763) $)) (-15 -2575 ((-634 (-568)) $)) (-15 -3723 ($ (-763)))))) (T -271)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-271)))) (-1836 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-271)))) (-2575 (*1 *2 *1) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-271)))) (-3723 (*1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-271))))) 
-(-13 (-842) (-10 -8 (-15 -2747 ($ (-634 (-568)))) (-15 -1836 ((-763) $)) (-15 -2575 ((-634 (-568)) $)) (-15 -3723 ($ (-763))))) 
-((-1984 ((|#2| |#2|) 77)) (-1935 ((|#2| |#2|) 65)) (-3367 (((-3 |#2| "failed") |#2| (-634 (-2 (|:| |func| |#2|) (|:| |pole| (-121))))) 116)) (-1976 ((|#2| |#2|) 75)) (-2788 ((|#2| |#2|) 63)) (-1992 ((|#2| |#2|) 79)) (-1943 ((|#2| |#2|) 67)) (-1899 ((|#2|) 46)) (-3842 (((-123) (-123)) 95)) (-4418 ((|#2| |#2|) 61)) (-4166 (((-121) |#2|) 134)) (-2113 ((|#2| |#2|) 180)) (-3529 ((|#2| |#2|) 156)) (-3626 ((|#2|) 59)) (-3782 ((|#2|) 58)) (-2778 ((|#2| |#2|) 176)) (-3475 ((|#2| |#2|) 152)) (-4401 ((|#2| |#2|) 184)) (-3748 ((|#2| |#2|) 160)) (-3821 ((|#2| |#2|) 148)) (-3549 ((|#2| |#2|) 150)) (-4070 ((|#2| |#2|) 186)) (-2287 ((|#2| |#2|) 162)) (-4011 ((|#2| |#2|) 182)) (-3128 ((|#2| |#2|) 158)) (-3051 ((|#2| |#2|) 178)) (-3334 ((|#2| |#2|) 154)) (-2925 ((|#2| |#2|) 192)) (-1281 ((|#2| |#2|) 168)) (-2226 ((|#2| |#2|) 188)) (-2020 ((|#2| |#2|) 164)) (-3089 ((|#2| |#2|) 196)) (-2105 ((|#2| |#2|) 172)) (-3614 ((|#2| |#2|) 198)) (-1873 ((|#2| |#2|) 174)) (-2629 ((|#2| |#2|) 194)) (-4370 ((|#2| |#2|) 170)) (-1585 ((|#2| |#2|) 190)) (-2858 ((|#2| |#2|) 166)) (-1894 ((|#2| |#2|) 62)) (-1996 ((|#2| |#2|) 80)) (-1947 ((|#2| |#2|) 68)) (-1988 ((|#2| |#2|) 78)) (-1939 ((|#2| |#2|) 66)) (-1980 ((|#2| |#2|) 76)) (-2792 ((|#2| |#2|) 64)) (-2779 (((-121) (-123)) 93)) (-2008 ((|#2| |#2|) 83)) (-1959 ((|#2| |#2|) 71)) (-2000 ((|#2| |#2|) 81)) (-1951 ((|#2| |#2|) 69)) (-2016 ((|#2| |#2|) 85)) (-1968 ((|#2| |#2|) 73)) (-1439 ((|#2| |#2|) 86)) (-1972 ((|#2| |#2|) 74)) (-2012 ((|#2| |#2|) 84)) (-1964 ((|#2| |#2|) 72)) (-2004 ((|#2| |#2|) 82)) (-1955 ((|#2| |#2|) 70))) 
-(((-272 |#1| |#2|) (-10 -7 (-15 -1894 (|#2| |#2|)) (-15 -4418 (|#2| |#2|)) (-15 -2788 (|#2| |#2|)) (-15 -2792 (|#2| |#2|)) (-15 -1935 (|#2| |#2|)) (-15 -1939 (|#2| |#2|)) (-15 -1943 (|#2| |#2|)) (-15 -1947 (|#2| |#2|)) (-15 -1951 (|#2| |#2|)) (-15 -1955 (|#2| |#2|)) (-15 -1959 (|#2| |#2|)) (-15 -1964 (|#2| |#2|)) (-15 -1968 (|#2| |#2|)) (-15 -1972 (|#2| |#2|)) (-15 -1976 (|#2| |#2|)) (-15 -1980 (|#2| |#2|)) (-15 -1984 (|#2| |#2|)) (-15 -1988 (|#2| |#2|)) (-15 -1992 (|#2| |#2|)) (-15 -1996 (|#2| |#2|)) (-15 -2000 (|#2| |#2|)) (-15 -2004 (|#2| |#2|)) (-15 -2008 (|#2| |#2|)) (-15 -2012 (|#2| |#2|)) (-15 -2016 (|#2| |#2|)) (-15 -1439 (|#2| |#2|)) (-15 -1899 (|#2|)) (-15 -2779 ((-121) (-123))) (-15 -3842 ((-123) (-123))) (-15 -3782 (|#2|)) (-15 -3626 (|#2|)) (-15 -3549 (|#2| |#2|)) (-15 -3821 (|#2| |#2|)) (-15 -3475 (|#2| |#2|)) (-15 -3334 (|#2| |#2|)) (-15 -3529 (|#2| |#2|)) (-15 -3128 (|#2| |#2|)) (-15 -3748 (|#2| |#2|)) (-15 -2287 (|#2| |#2|)) (-15 -2020 (|#2| |#2|)) (-15 -2858 (|#2| |#2|)) (-15 -1281 (|#2| |#2|)) (-15 -4370 (|#2| |#2|)) (-15 -2105 (|#2| |#2|)) (-15 -1873 (|#2| |#2|)) (-15 -2778 (|#2| |#2|)) (-15 -3051 (|#2| |#2|)) (-15 -2113 (|#2| |#2|)) (-15 -4011 (|#2| |#2|)) (-15 -4401 (|#2| |#2|)) (-15 -4070 (|#2| |#2|)) (-15 -2226 (|#2| |#2|)) (-15 -1585 (|#2| |#2|)) (-15 -2925 (|#2| |#2|)) (-15 -2629 (|#2| |#2|)) (-15 -3089 (|#2| |#2|)) (-15 -3614 (|#2| |#2|)) (-15 -3367 ((-3 |#2| "failed") |#2| (-634 (-2 (|:| |func| |#2|) (|:| |pole| (-121)))))) (-15 -4166 ((-121) |#2|))) (-13 (-842) (-558)) (-13 (-432 |#1|) (-1002))) (T -272)) 
-((-4166 (*1 *2 *3) (-12 (-4 *4 (-13 (-842) (-558))) (-5 *2 (-121)) (-5 *1 (-272 *4 *3)) (-4 *3 (-13 (-432 *4) (-1002))))) (-3367 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-634 (-2 (|:| |func| *2) (|:| |pole| (-121))))) (-4 *2 (-13 (-432 *4) (-1002))) (-4 *4 (-13 (-842) (-558))) (-5 *1 (-272 *4 *2)))) (-3614 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-3089 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-2629 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-2925 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-1585 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-2226 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-4070 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-4401 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-4011 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-2113 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-3051 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-2778 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-1873 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-2105 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-4370 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-1281 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-2858 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-2020 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-2287 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-3748 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-3128 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-3529 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-3334 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-3475 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-3821 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-3549 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-3626 (*1 *2) (-12 (-4 *2 (-13 (-432 *3) (-1002))) (-5 *1 (-272 *3 *2)) (-4 *3 (-13 (-842) (-558))))) (-3782 (*1 *2) (-12 (-4 *2 (-13 (-432 *3) (-1002))) (-5 *1 (-272 *3 *2)) (-4 *3 (-13 (-842) (-558))))) (-3842 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *4)) (-4 *4 (-13 (-432 *3) (-1002))))) (-2779 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-842) (-558))) (-5 *2 (-121)) (-5 *1 (-272 *4 *5)) (-4 *5 (-13 (-432 *4) (-1002))))) (-1899 (*1 *2) (-12 (-4 *2 (-13 (-432 *3) (-1002))) (-5 *1 (-272 *3 *2)) (-4 *3 (-13 (-842) (-558))))) (-1439 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-2016 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-2012 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-2008 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-2004 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-2000 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-1996 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-1992 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-1988 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-1984 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-1980 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-1976 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-1972 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-1968 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-1964 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-1959 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-1955 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-1951 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-1947 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-1943 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-1939 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-1935 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-2792 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-2788 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-4418 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) (-1894 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002)))))) 
-(-10 -7 (-15 -1894 (|#2| |#2|)) (-15 -4418 (|#2| |#2|)) (-15 -2788 (|#2| |#2|)) (-15 -2792 (|#2| |#2|)) (-15 -1935 (|#2| |#2|)) (-15 -1939 (|#2| |#2|)) (-15 -1943 (|#2| |#2|)) (-15 -1947 (|#2| |#2|)) (-15 -1951 (|#2| |#2|)) (-15 -1955 (|#2| |#2|)) (-15 -1959 (|#2| |#2|)) (-15 -1964 (|#2| |#2|)) (-15 -1968 (|#2| |#2|)) (-15 -1972 (|#2| |#2|)) (-15 -1976 (|#2| |#2|)) (-15 -1980 (|#2| |#2|)) (-15 -1984 (|#2| |#2|)) (-15 -1988 (|#2| |#2|)) (-15 -1992 (|#2| |#2|)) (-15 -1996 (|#2| |#2|)) (-15 -2000 (|#2| |#2|)) (-15 -2004 (|#2| |#2|)) (-15 -2008 (|#2| |#2|)) (-15 -2012 (|#2| |#2|)) (-15 -2016 (|#2| |#2|)) (-15 -1439 (|#2| |#2|)) (-15 -1899 (|#2|)) (-15 -2779 ((-121) (-123))) (-15 -3842 ((-123) (-123))) (-15 -3782 (|#2|)) (-15 -3626 (|#2|)) (-15 -3549 (|#2| |#2|)) (-15 -3821 (|#2| |#2|)) (-15 -3475 (|#2| |#2|)) (-15 -3334 (|#2| |#2|)) (-15 -3529 (|#2| |#2|)) (-15 -3128 (|#2| |#2|)) (-15 -3748 (|#2| |#2|)) (-15 -2287 (|#2| |#2|)) (-15 -2020 (|#2| |#2|)) (-15 -2858 (|#2| |#2|)) (-15 -1281 (|#2| |#2|)) (-15 -4370 (|#2| |#2|)) (-15 -2105 (|#2| |#2|)) (-15 -1873 (|#2| |#2|)) (-15 -2778 (|#2| |#2|)) (-15 -3051 (|#2| |#2|)) (-15 -2113 (|#2| |#2|)) (-15 -4011 (|#2| |#2|)) (-15 -4401 (|#2| |#2|)) (-15 -4070 (|#2| |#2|)) (-15 -2226 (|#2| |#2|)) (-15 -1585 (|#2| |#2|)) (-15 -2925 (|#2| |#2|)) (-15 -2629 (|#2| |#2|)) (-15 -3089 (|#2| |#2|)) (-15 -3614 (|#2| |#2|)) (-15 -3367 ((-3 |#2| "failed") |#2| (-634 (-2 (|:| |func| |#2|) (|:| |pole| (-121)))))) (-15 -4166 ((-121) |#2|))) 
-((-1287 (((-3 |#2| "failed") (-634 (-607 |#2|)) |#2| (-1161)) 133)) (-1737 ((|#2| (-409 (-568)) |#2|) 50)) (-1477 ((|#2| |#2| (-607 |#2|)) 126)) (-4251 (((-2 (|:| |func| |#2|) (|:| |kers| (-634 (-607 |#2|))) (|:| |vals| (-634 |#2|))) |#2| (-1161)) 125)) (-2184 ((|#2| |#2| (-1161)) 19) ((|#2| |#2|) 22)) (-3126 ((|#2| |#2| (-1161)) 139) ((|#2| |#2|) 137))) 
-(((-273 |#1| |#2|) (-10 -7 (-15 -3126 (|#2| |#2|)) (-15 -3126 (|#2| |#2| (-1161))) (-15 -4251 ((-2 (|:| |func| |#2|) (|:| |kers| (-634 (-607 |#2|))) (|:| |vals| (-634 |#2|))) |#2| (-1161))) (-15 -2184 (|#2| |#2|)) (-15 -2184 (|#2| |#2| (-1161))) (-15 -1287 ((-3 |#2| "failed") (-634 (-607 |#2|)) |#2| (-1161))) (-15 -1477 (|#2| |#2| (-607 |#2|))) (-15 -1737 (|#2| (-409 (-568)) |#2|))) (-13 (-558) (-842) (-1037 (-568)) (-630 (-568))) (-13 (-27) (-1181) (-432 |#1|))) (T -273)) 
-((-1737 (*1 *2 *3 *2) (-12 (-5 *3 (-409 (-568))) (-4 *4 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-273 *4 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *4))))) (-1477 (*1 *2 *2 *3) (-12 (-5 *3 (-607 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *4))) (-4 *4 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-273 *4 *2)))) (-1287 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-634 (-607 *2))) (-5 *4 (-1161)) (-4 *2 (-13 (-27) (-1181) (-432 *5))) (-4 *5 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-273 *5 *2)))) (-2184 (*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-273 *4 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *4))))) (-2184 (*1 *2 *2) (-12 (-4 *3 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *3))))) (-4251 (*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-2 (|:| |func| *3) (|:| |kers| (-634 (-607 *3))) (|:| |vals| (-634 *3)))) (-5 *1 (-273 *5 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *5))))) (-3126 (*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-273 *4 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *4))))) (-3126 (*1 *2 *2) (-12 (-4 *3 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *3)))))) 
-(-10 -7 (-15 -3126 (|#2| |#2|)) (-15 -3126 (|#2| |#2| (-1161))) (-15 -4251 ((-2 (|:| |func| |#2|) (|:| |kers| (-634 (-607 |#2|))) (|:| |vals| (-634 |#2|))) |#2| (-1161))) (-15 -2184 (|#2| |#2|)) (-15 -2184 (|#2| |#2| (-1161))) (-15 -1287 ((-3 |#2| "failed") (-634 (-607 |#2|)) |#2| (-1161))) (-15 -1477 (|#2| |#2| (-607 |#2|))) (-15 -1737 (|#2| (-409 (-568)) |#2|))) 
-((-2029 (((-3 |#3| "failed") |#3|) 110)) (-1984 ((|#3| |#3|) 131)) (-1674 (((-3 |#3| "failed") |#3|) 82)) (-1935 ((|#3| |#3|) 121)) (-3624 (((-3 |#3| "failed") |#3|) 58)) (-1976 ((|#3| |#3|) 129)) (-2422 (((-3 |#3| "failed") |#3|) 46)) (-2788 ((|#3| |#3|) 119)) (-4087 (((-3 |#3| "failed") |#3|) 112)) (-1992 ((|#3| |#3|) 133)) (-1942 (((-3 |#3| "failed") |#3|) 84)) (-1943 ((|#3| |#3|) 123)) (-1472 (((-3 |#3| "failed") |#3| (-763)) 36)) (-2051 (((-3 |#3| "failed") |#3|) 74)) (-4418 ((|#3| |#3|) 118)) (-3296 (((-3 |#3| "failed") |#3|) 44)) (-1894 ((|#3| |#3|) 117)) (-3995 (((-3 |#3| "failed") |#3|) 113)) (-1996 ((|#3| |#3|) 134)) (-4119 (((-3 |#3| "failed") |#3|) 85)) (-1947 ((|#3| |#3|) 124)) (-2005 (((-3 |#3| "failed") |#3|) 111)) (-1988 ((|#3| |#3|) 132)) (-3979 (((-3 |#3| "failed") |#3|) 83)) (-1939 ((|#3| |#3|) 122)) (-3975 (((-3 |#3| "failed") |#3|) 60)) (-1980 ((|#3| |#3|) 130)) (-4349 (((-3 |#3| "failed") |#3|) 48)) (-2792 ((|#3| |#3|) 120)) (-4008 (((-3 |#3| "failed") |#3|) 66)) (-2008 ((|#3| |#3|) 137)) (-4415 (((-3 |#3| "failed") |#3|) 104)) (-1959 ((|#3| |#3|) 142)) (-1461 (((-3 |#3| "failed") |#3|) 62)) (-2000 ((|#3| |#3|) 135)) (-4497 (((-3 |#3| "failed") |#3|) 50)) (-1951 ((|#3| |#3|) 125)) (-4016 (((-3 |#3| "failed") |#3|) 70)) (-2016 ((|#3| |#3|) 139)) (-4040 (((-3 |#3| "failed") |#3|) 54)) (-1968 ((|#3| |#3|) 127)) (-3468 (((-3 |#3| "failed") |#3|) 72)) (-1439 ((|#3| |#3|) 140)) (-3084 (((-3 |#3| "failed") |#3|) 56)) (-1972 ((|#3| |#3|) 128)) (-2695 (((-3 |#3| "failed") |#3|) 68)) (-2012 ((|#3| |#3|) 138)) (-2285 (((-3 |#3| "failed") |#3|) 107)) (-1964 ((|#3| |#3|) 143)) (-4090 (((-3 |#3| "failed") |#3|) 64)) (-2004 ((|#3| |#3|) 136)) (-2203 (((-3 |#3| "failed") |#3|) 52)) (-1955 ((|#3| |#3|) 126)) (** ((|#3| |#3| (-409 (-568))) 40 (|has| |#1| (-365))))) 
-(((-274 |#1| |#2| |#3|) (-13 (-984 |#3|) (-10 -7 (IF (|has| |#1| (-365)) (-15 ** (|#3| |#3| (-409 (-568)))) |noBranch|) (-15 -1894 (|#3| |#3|)) (-15 -4418 (|#3| |#3|)) (-15 -2788 (|#3| |#3|)) (-15 -2792 (|#3| |#3|)) (-15 -1935 (|#3| |#3|)) (-15 -1939 (|#3| |#3|)) (-15 -1943 (|#3| |#3|)) (-15 -1947 (|#3| |#3|)) (-15 -1951 (|#3| |#3|)) (-15 -1955 (|#3| |#3|)) (-15 -1959 (|#3| |#3|)) (-15 -1964 (|#3| |#3|)) (-15 -1968 (|#3| |#3|)) (-15 -1972 (|#3| |#3|)) (-15 -1976 (|#3| |#3|)) (-15 -1980 (|#3| |#3|)) (-15 -1984 (|#3| |#3|)) (-15 -1988 (|#3| |#3|)) (-15 -1992 (|#3| |#3|)) (-15 -1996 (|#3| |#3|)) (-15 -2000 (|#3| |#3|)) (-15 -2004 (|#3| |#3|)) (-15 -2008 (|#3| |#3|)) (-15 -2012 (|#3| |#3|)) (-15 -2016 (|#3| |#3|)) (-15 -1439 (|#3| |#3|)))) (-43 (-409 (-568))) (-1234 |#1|) (-1205 |#1| |#2|)) (T -274)) 
-((** (*1 *2 *2 *3) (-12 (-5 *3 (-409 (-568))) (-4 *4 (-365)) (-4 *4 (-43 *3)) (-4 *5 (-1234 *4)) (-5 *1 (-274 *4 *5 *2)) (-4 *2 (-1205 *4 *5)))) (-1894 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) (-4418 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) (-2788 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) (-2792 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) (-1935 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) (-1939 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) (-1943 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) (-1947 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) (-1951 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) (-1955 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) (-1959 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) (-1964 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) (-1968 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) (-1972 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) (-1976 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) (-1980 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) (-1984 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) (-1988 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) (-1992 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) (-1996 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) (-2000 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) (-2004 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) (-2008 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) (-2012 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) (-2016 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) (-1439 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4))))) 
-(-13 (-984 |#3|) (-10 -7 (IF (|has| |#1| (-365)) (-15 ** (|#3| |#3| (-409 (-568)))) |noBranch|) (-15 -1894 (|#3| |#3|)) (-15 -4418 (|#3| |#3|)) (-15 -2788 (|#3| |#3|)) (-15 -2792 (|#3| |#3|)) (-15 -1935 (|#3| |#3|)) (-15 -1939 (|#3| |#3|)) (-15 -1943 (|#3| |#3|)) (-15 -1947 (|#3| |#3|)) (-15 -1951 (|#3| |#3|)) (-15 -1955 (|#3| |#3|)) (-15 -1959 (|#3| |#3|)) (-15 -1964 (|#3| |#3|)) (-15 -1968 (|#3| |#3|)) (-15 -1972 (|#3| |#3|)) (-15 -1976 (|#3| |#3|)) (-15 -1980 (|#3| |#3|)) (-15 -1984 (|#3| |#3|)) (-15 -1988 (|#3| |#3|)) (-15 -1992 (|#3| |#3|)) (-15 -1996 (|#3| |#3|)) (-15 -2000 (|#3| |#3|)) (-15 -2004 (|#3| |#3|)) (-15 -2008 (|#3| |#3|)) (-15 -2012 (|#3| |#3|)) (-15 -2016 (|#3| |#3|)) (-15 -1439 (|#3| |#3|)))) 
-((-2029 (((-3 |#3| "failed") |#3|) 66)) (-1984 ((|#3| |#3|) 133)) (-1674 (((-3 |#3| "failed") |#3|) 50)) (-1935 ((|#3| |#3|) 121)) (-3624 (((-3 |#3| "failed") |#3|) 62)) (-1976 ((|#3| |#3|) 131)) (-2422 (((-3 |#3| "failed") |#3|) 46)) (-2788 ((|#3| |#3|) 119)) (-4087 (((-3 |#3| "failed") |#3|) 70)) (-1992 ((|#3| |#3|) 135)) (-1942 (((-3 |#3| "failed") |#3|) 54)) (-1943 ((|#3| |#3|) 123)) (-1472 (((-3 |#3| "failed") |#3| (-763)) 35)) (-2051 (((-3 |#3| "failed") |#3|) 44)) (-4418 ((|#3| |#3|) 112)) (-3296 (((-3 |#3| "failed") |#3|) 42)) (-1894 ((|#3| |#3|) 118)) (-3995 (((-3 |#3| "failed") |#3|) 72)) (-1996 ((|#3| |#3|) 136)) (-4119 (((-3 |#3| "failed") |#3|) 56)) (-1947 ((|#3| |#3|) 124)) (-2005 (((-3 |#3| "failed") |#3|) 68)) (-1988 ((|#3| |#3|) 134)) (-3979 (((-3 |#3| "failed") |#3|) 52)) (-1939 ((|#3| |#3|) 122)) (-3975 (((-3 |#3| "failed") |#3|) 64)) (-1980 ((|#3| |#3|) 132)) (-4349 (((-3 |#3| "failed") |#3|) 48)) (-2792 ((|#3| |#3|) 120)) (-4008 (((-3 |#3| "failed") |#3|) 78)) (-2008 ((|#3| |#3|) 139)) (-4415 (((-3 |#3| "failed") |#3|) 58)) (-1959 ((|#3| |#3|) 127)) (-1461 (((-3 |#3| "failed") |#3|) 74)) (-2000 ((|#3| |#3|) 137)) (-4497 (((-3 |#3| "failed") |#3|) 102)) (-1951 ((|#3| |#3|) 125)) (-4016 (((-3 |#3| "failed") |#3|) 82)) (-2016 ((|#3| |#3|) 141)) (-4040 (((-3 |#3| "failed") |#3|) 109)) (-1968 ((|#3| |#3|) 129)) (-3468 (((-3 |#3| "failed") |#3|) 84)) (-1439 ((|#3| |#3|) 142)) (-3084 (((-3 |#3| "failed") |#3|) 111)) (-1972 ((|#3| |#3|) 130)) (-2695 (((-3 |#3| "failed") |#3|) 80)) (-2012 ((|#3| |#3|) 140)) (-2285 (((-3 |#3| "failed") |#3|) 60)) (-1964 ((|#3| |#3|) 128)) (-4090 (((-3 |#3| "failed") |#3|) 76)) (-2004 ((|#3| |#3|) 138)) (-2203 (((-3 |#3| "failed") |#3|) 105)) (-1955 ((|#3| |#3|) 126)) (** ((|#3| |#3| (-409 (-568))) 40 (|has| |#1| (-365))))) 
-(((-275 |#1| |#2| |#3| |#4|) (-13 (-984 |#3|) (-10 -7 (IF (|has| |#1| (-365)) (-15 ** (|#3| |#3| (-409 (-568)))) |noBranch|) (-15 -1894 (|#3| |#3|)) (-15 -4418 (|#3| |#3|)) (-15 -2788 (|#3| |#3|)) (-15 -2792 (|#3| |#3|)) (-15 -1935 (|#3| |#3|)) (-15 -1939 (|#3| |#3|)) (-15 -1943 (|#3| |#3|)) (-15 -1947 (|#3| |#3|)) (-15 -1951 (|#3| |#3|)) (-15 -1955 (|#3| |#3|)) (-15 -1959 (|#3| |#3|)) (-15 -1964 (|#3| |#3|)) (-15 -1968 (|#3| |#3|)) (-15 -1972 (|#3| |#3|)) (-15 -1976 (|#3| |#3|)) (-15 -1980 (|#3| |#3|)) (-15 -1984 (|#3| |#3|)) (-15 -1988 (|#3| |#3|)) (-15 -1992 (|#3| |#3|)) (-15 -1996 (|#3| |#3|)) (-15 -2000 (|#3| |#3|)) (-15 -2004 (|#3| |#3|)) (-15 -2008 (|#3| |#3|)) (-15 -2012 (|#3| |#3|)) (-15 -2016 (|#3| |#3|)) (-15 -1439 (|#3| |#3|)))) (-43 (-409 (-568))) (-1203 |#1|) (-1226 |#1| |#2|) (-984 |#2|)) (T -275)) 
-((** (*1 *2 *2 *3) (-12 (-5 *3 (-409 (-568))) (-4 *4 (-365)) (-4 *4 (-43 *3)) (-4 *5 (-1203 *4)) (-5 *1 (-275 *4 *5 *2 *6)) (-4 *2 (-1226 *4 *5)) (-4 *6 (-984 *5)))) (-1894 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) (-4418 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) (-2788 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) (-2792 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) (-1935 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) (-1939 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) (-1943 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) (-1947 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) (-1951 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) (-1955 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) (-1959 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) (-1964 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) (-1968 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) (-1972 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) (-1976 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) (-1980 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) (-1984 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) (-1988 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) (-1992 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) (-1996 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) (-2000 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) (-2004 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) (-2008 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) (-2012 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) (-2016 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) (-1439 (*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4))))) 
-(-13 (-984 |#3|) (-10 -7 (IF (|has| |#1| (-365)) (-15 ** (|#3| |#3| (-409 (-568)))) |noBranch|) (-15 -1894 (|#3| |#3|)) (-15 -4418 (|#3| |#3|)) (-15 -2788 (|#3| |#3|)) (-15 -2792 (|#3| |#3|)) (-15 -1935 (|#3| |#3|)) (-15 -1939 (|#3| |#3|)) (-15 -1943 (|#3| |#3|)) (-15 -1947 (|#3| |#3|)) (-15 -1951 (|#3| |#3|)) (-15 -1955 (|#3| |#3|)) (-15 -1959 (|#3| |#3|)) (-15 -1964 (|#3| |#3|)) (-15 -1968 (|#3| |#3|)) (-15 -1972 (|#3| |#3|)) (-15 -1976 (|#3| |#3|)) (-15 -1980 (|#3| |#3|)) (-15 -1984 (|#3| |#3|)) (-15 -1988 (|#3| |#3|)) (-15 -1992 (|#3| |#3|)) (-15 -1996 (|#3| |#3|)) (-15 -2000 (|#3| |#3|)) (-15 -2004 (|#3| |#3|)) (-15 -2008 (|#3| |#3|)) (-15 -2012 (|#3| |#3|)) (-15 -2016 (|#3| |#3|)) (-15 -1439 (|#3| |#3|)))) 
-((-2803 (($ (-1 (-121) |#2|) $) 23)) (-3926 (($ $) 36)) (-1568 (($ (-1 (-121) |#2|) $) NIL) (($ |#2| $) 34)) (-4330 (($ |#2| $) 31) (($ (-1 (-121) |#2|) $) 17)) (-4496 (($ (-1 (-121) |#2| |#2|) $ $) NIL) (($ $ $) 40)) (-4124 (($ |#2| $ (-568)) 19) (($ $ $ (-568)) 21)) (-2828 (($ $ (-568)) 11) (($ $ (-1210 (-568))) 14)) (-1876 (($ $ |#2|) 29) (($ $ $) NIL)) (-2770 (($ $ |#2|) 28) (($ |#2| $) NIL) (($ $ $) 25) (($ (-634 $)) NIL))) 
-(((-276 |#1| |#2|) (-10 -8 (-15 -4496 (|#1| |#1| |#1|)) (-15 -1568 (|#1| |#2| |#1|)) (-15 -4496 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -1568 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -1876 (|#1| |#1| |#1|)) (-15 -1876 (|#1| |#1| |#2|)) (-15 -4124 (|#1| |#1| |#1| (-568))) (-15 -4124 (|#1| |#2| |#1| (-568))) (-15 -2828 (|#1| |#1| (-1210 (-568)))) (-15 -2828 (|#1| |#1| (-568))) (-15 -2770 (|#1| (-634 |#1|))) (-15 -2770 (|#1| |#1| |#1|)) (-15 -2770 (|#1| |#2| |#1|)) (-15 -2770 (|#1| |#1| |#2|)) (-15 -4330 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2803 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4330 (|#1| |#2| |#1|)) (-15 -3926 (|#1| |#1|))) (-277 |#2|) (-1195)) (T -276)) 
-NIL 
-(-10 -8 (-15 -4496 (|#1| |#1| |#1|)) (-15 -1568 (|#1| |#2| |#1|)) (-15 -4496 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -1568 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -1876 (|#1| |#1| |#1|)) (-15 -1876 (|#1| |#1| |#2|)) (-15 -4124 (|#1| |#1| |#1| (-568))) (-15 -4124 (|#1| |#2| |#1| (-568))) (-15 -2828 (|#1| |#1| (-1210 (-568)))) (-15 -2828 (|#1| |#1| (-568))) (-15 -2770 (|#1| (-634 |#1|))) (-15 -2770 (|#1| |#1| |#1|)) (-15 -2770 (|#1| |#2| |#1|)) (-15 -2770 (|#1| |#1| |#2|)) (-15 -4330 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2803 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4330 (|#1| |#2| |#1|)) (-15 -3926 (|#1| |#1|))) 
-((-2449 (((-121) $ $) 18 (|has| |#1| (-1090)))) (-2481 (((-1249) $ (-568) (-568)) 37 (|has| $ (-6 -4522)))) (-1667 (((-121) $ (-763)) 8)) (-2438 ((|#1| $ (-568) |#1|) 49 (|has| $ (-6 -4522))) ((|#1| $ (-1210 (-568)) |#1|) 53 (|has| $ (-6 -4522)))) (-3963 (($ (-1 (-121) |#1|) $) 78)) (-2803 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4521)))) (-4490 (($) 7 T CONST)) (-1377 (($ $) 76 (|has| |#1| (-1090)))) (-3926 (($ $) 73 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-1568 (($ (-1 (-121) |#1|) $) 82) (($ |#1| $) 77 (|has| |#1| (-1090)))) (-4330 (($ |#1| $) 72 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4521)))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4521)))) (-1292 ((|#1| $ (-568) |#1|) 50 (|has| $ (-6 -4522)))) (-2069 ((|#1| $ (-568)) 48)) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-1851 (($ (-763) |#1|) 64)) (-3791 (((-121) $ (-763)) 9)) (-2539 (((-568) $) 40 (|has| (-568) (-842)))) (-4496 (($ (-1 (-121) |#1| |#1|) $ $) 79) (($ $ $) 75 (|has| |#1| (-842)))) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3631 (((-568) $) 41 (|has| (-568) (-842)))) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-3796 (((-121) $ (-763)) 10)) (-1893 (((-1143) $) 22 (|has| |#1| (-1090)))) (-1708 (($ |#1| $ (-568)) 81) (($ $ $ (-568)) 80)) (-4124 (($ |#1| $ (-568)) 55) (($ $ $ (-568)) 54)) (-3948 (((-634 (-568)) $) 43)) (-2916 (((-121) (-568) $) 44)) (-4025 (((-1108) $) 21 (|has| |#1| (-1090)))) (-3877 ((|#1| $) 39 (|has| (-568) (-842)))) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-2490 (($ $ |#1|) 38 (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-1801 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1480 (((-634 |#1|) $) 45)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-2781 ((|#1| $ (-568) |#1|) 47) ((|#1| $ (-568)) 46) (($ $ (-1210 (-568))) 58)) (-4031 (($ $ (-568)) 84) (($ $ (-1210 (-568))) 83)) (-2828 (($ $ (-568)) 57) (($ $ (-1210 (-568))) 56)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-4280 (((-541) $) 74 (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) 65)) (-1876 (($ $ |#1|) 86) (($ $ $) 85)) (-2770 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-634 $)) 60)) (-2747 (((-850) $) 20 (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-277 |#1|) (-1275) (-1195)) (T -277)) 
-((-1876 (*1 *1 *1 *2) (-12 (-4 *1 (-277 *2)) (-4 *2 (-1195)))) (-1876 (*1 *1 *1 *1) (-12 (-4 *1 (-277 *2)) (-4 *2 (-1195)))) (-4031 (*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-277 *3)) (-4 *3 (-1195)))) (-4031 (*1 *1 *1 *2) (-12 (-5 *2 (-1210 (-568))) (-4 *1 (-277 *3)) (-4 *3 (-1195)))) (-1568 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-277 *3)) (-4 *3 (-1195)))) (-1708 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-277 *2)) (-4 *2 (-1195)))) (-1708 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-277 *3)) (-4 *3 (-1195)))) (-4496 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-277 *3)) (-4 *3 (-1195)))) (-3963 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-277 *3)) (-4 *3 (-1195)))) (-1568 (*1 *1 *2 *1) (-12 (-4 *1 (-277 *2)) (-4 *2 (-1195)) (-4 *2 (-1090)))) (-1377 (*1 *1 *1) (-12 (-4 *1 (-277 *2)) (-4 *2 (-1195)) (-4 *2 (-1090)))) (-4496 (*1 *1 *1 *1) (-12 (-4 *1 (-277 *2)) (-4 *2 (-1195)) (-4 *2 (-842))))) 
-(-13 (-640 |t#1|) (-10 -8 (-6 -4522) (-15 -1876 ($ $ |t#1|)) (-15 -1876 ($ $ $)) (-15 -4031 ($ $ (-568))) (-15 -4031 ($ $ (-1210 (-568)))) (-15 -1568 ($ (-1 (-121) |t#1|) $)) (-15 -1708 ($ |t#1| $ (-568))) (-15 -1708 ($ $ $ (-568))) (-15 -4496 ($ (-1 (-121) |t#1| |t#1|) $ $)) (-15 -3963 ($ (-1 (-121) |t#1|) $)) (IF (|has| |t#1| (-1090)) (PROGN (-15 -1568 ($ |t#1| $)) (-15 -1377 ($ $))) |noBranch|) (IF (|has| |t#1| (-842)) (-15 -4496 ($ $ $)) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#1| (-1090)) ((-608 (-850)) |has| |#1| (-1090)) ((-154 |#1|) . T) ((-609 (-541)) |has| |#1| (-609 (-541))) ((-281 (-568) |#1|) . T) ((-283 (-568) |#1|) . T) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-499 |#1|) . T) ((-601 (-568) |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-640 |#1|) . T) ((-1090) |has| |#1| (-1090)) ((-1195) . T)) 
+((-3561 (((-2 (|:| |mult| (-764)) (|:| |subMult| (-764)) (|:| |blUpRec| (-635 (-2 (|:| |recTransStr| (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|)) (|:| |recPoint| (-33 |#1|)) (|:| |recChart| |#5|) (|:| |definingExtension| |#1|))))) (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) (-33 |#1|) |#5| |#1|) 70)) (-1438 (((-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) (-764) |#5|) 54)) (-3149 (((-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) |#3| |#5|) 99)) (-1349 (((-635 (-635 (-764))) (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|)) NIL)) (-4151 ((|#3| (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) |#5|) 105)) (-1437 ((|#3| |#3| |#5|) 107))) 
+(((-119 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1437 (|#3| |#3| |#5|)) (-15 -1438 ((-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) (-764) |#5|)) (-15 -3561 ((-2 (|:| |mult| (-764)) (|:| |subMult| (-764)) (|:| |blUpRec| (-635 (-2 (|:| |recTransStr| (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|)) (|:| |recPoint| (-33 |#1|)) (|:| |recChart| |#5|) (|:| |definingExtension| |#1|))))) (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) (-33 |#1|) |#5| |#1|)) (-15 -1349 ((-635 (-635 (-764))) (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|))) (-15 -3149 ((-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) |#3| |#5|)) (-15 -4151 (|#3| (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) |#5|))) (-366) (-635 (-1163)) (-325 |#1| |#4|) (-231 (-4168 |#2|) (-764)) (-117)) (T -119)) 
+((-4151 (*1 *2 *3 *4) (-12 (-5 *3 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *5)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *2 (-325 *5 *7)) (-5 *1 (-119 *5 *6 *2 *7 *4)) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *4 (-117)))) (-3149 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-5 *2 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *5)) (-5 *1 (-119 *5 *6 *3 *7 *4)) (-4 *3 (-325 *5 *7)) (-4 *4 (-117)))) (-1349 (*1 *2 *3) (-12 (-5 *3 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *4)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *7 (-231 (-4168 *5) (-764))) (-5 *2 (-635 (-635 (-764)))) (-5 *1 (-119 *4 *5 *6 *7 *8)) (-4 *6 (-325 *4 *7)) (-4 *8 (-117)))) (-3561 (*1 *2 *3 *4 *5 *6) (-12 (-4 *6 (-366)) (-14 *7 (-635 (-1163))) (-4 *9 (-231 (-4168 *7) (-764))) (-5 *2 (-2 (|:| |mult| (-764)) (|:| |subMult| (-764)) (|:| |blUpRec| (-635 (-2 (|:| |recTransStr| (-243 (-2139 (QUOTE X) (QUOTE -2374)) *6)) (|:| |recPoint| (-33 *6)) (|:| |recChart| *5) (|:| |definingExtension| *6)))))) (-5 *1 (-119 *6 *7 *8 *9 *5)) (-5 *3 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *6)) (-5 *4 (-33 *6)) (-4 *8 (-325 *6 *9)) (-4 *5 (-117)))) (-1438 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *5)) (-4 *5 (-366)) (-5 *3 (-764)) (-14 *6 (-635 (-1163))) (-4 *8 (-231 (-4168 *6) *3)) (-5 *1 (-119 *5 *6 *7 *8 *4)) (-4 *7 (-325 *5 *8)) (-4 *4 (-117)))) (-1437 (*1 *2 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-231 (-4168 *5) (-764))) (-5 *1 (-119 *4 *5 *2 *6 *3)) (-4 *2 (-325 *4 *6)) (-4 *3 (-117))))) 
+(-10 -7 (-15 -1437 (|#3| |#3| |#5|)) (-15 -1438 ((-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) (-764) |#5|)) (-15 -3561 ((-2 (|:| |mult| (-764)) (|:| |subMult| (-764)) (|:| |blUpRec| (-635 (-2 (|:| |recTransStr| (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|)) (|:| |recPoint| (-33 |#1|)) (|:| |recChart| |#5|) (|:| |definingExtension| |#1|))))) (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) (-33 |#1|) |#5| |#1|)) (-15 -1349 ((-635 (-635 (-764))) (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|))) (-15 -3149 ((-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) |#3| |#5|)) (-15 -4151 (|#3| (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) |#5|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ |#1| $) 22) (($ $ |#2|) 24))) 
+(((-120 |#1| |#2|) (-1278) (-1048) (-1048)) (T -120)) 
+NIL 
+(-13 (-638 |t#1|) (-1054 |t#2|) (-10 -7 (-6 -4530) (-6 -4529))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#1|) . T) ((-1054 |#2|) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) NIL)) (-1679 (($ $) 12)) (-2283 (($ $ $) 17)) (-1495 (($) 8 T CONST)) (-1314 (((-121) $) 7)) (-2085 (((-764)) 24)) (-4327 (($) 30)) (-3447 (($ $ $) 15)) (-3864 (($ $) 10)) (-3819 (($ $ $) 18)) (-4481 (($ $ $) 19)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2083 (((-918) $) 29)) (-2776 (((-1145) $) NIL)) (-3998 (($ (-918)) 28)) (-4174 (($ $ $) 21)) (-3360 (((-1109) $) NIL)) (-2725 (($) 9 T CONST)) (-3817 (((-542) $) 36)) (-2185 (((-851) $) 39)) (-2206 (($ $ $) 13)) (-2427 (($ $) 11)) (-2547 (($ $ $) 16)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 20)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 22)) (-2540 (($ $ $) 14))) 
+(((-121) (-13 (-843) (-371) (-652) (-610 (-542)) (-10 -8 (-15 -1495 ($) -2043) (-15 -2725 ($) -2043) (-15 -2427 ($ $)) (-15 -3864 ($ $)) (-15 -2206 ($ $ $)) (-15 -3447 ($ $ $)) (-15 -2283 ($ $ $)) (-15 -4481 ($ $ $)) (-15 -3819 ($ $ $)) (-15 -4174 ($ $ $)) (-15 -1314 ((-121) $))))) (T -121)) 
+((-1495 (*1 *1) (-5 *1 (-121))) (-2725 (*1 *1) (-5 *1 (-121))) (-2427 (*1 *1 *1) (-5 *1 (-121))) (-3864 (*1 *1 *1) (-5 *1 (-121))) (-2206 (*1 *1 *1 *1) (-5 *1 (-121))) (-3447 (*1 *1 *1 *1) (-5 *1 (-121))) (-2283 (*1 *1 *1 *1) (-5 *1 (-121))) (-4481 (*1 *1 *1 *1) (-5 *1 (-121))) (-3819 (*1 *1 *1 *1) (-5 *1 (-121))) (-4174 (*1 *1 *1 *1) (-5 *1 (-121))) (-1314 (*1 *1 *1) (-5 *1 (-121)))) 
+(-13 (-843) (-371) (-652) (-610 (-542)) (-10 -8 (-15 -1495 ($) -2043) (-15 -2725 ($) -2043) (-15 -2427 ($ $)) (-15 -3864 ($ $)) (-15 -2206 ($ $ $)) (-15 -3447 ($ $ $)) (-15 -2283 ($ $ $)) (-15 -4481 ($ $ $)) (-15 -3819 ($ $ $)) (-15 -4174 ($ $ $)) (-15 -1314 ((-121) $)))) 
+((-3350 (((-3 (-1 |#1| (-635 |#1|)) "failed") (-123)) 18) (((-123) (-123) (-1 |#1| |#1|)) 13) (((-123) (-123) (-1 |#1| (-635 |#1|))) 11) (((-3 |#1| "failed") (-123) (-635 |#1|)) 20)) (-4148 (((-3 (-635 (-1 |#1| (-635 |#1|))) "failed") (-123)) 24) (((-123) (-123) (-1 |#1| |#1|)) 30) (((-123) (-123) (-635 (-1 |#1| (-635 |#1|)))) 26)) (-2110 (((-123) |#1|) 53 (|has| |#1| (-843)))) (-1921 (((-3 |#1| "failed") (-123)) 48 (|has| |#1| (-843))))) 
+(((-122 |#1|) (-10 -7 (-15 -3350 ((-3 |#1| "failed") (-123) (-635 |#1|))) (-15 -3350 ((-123) (-123) (-1 |#1| (-635 |#1|)))) (-15 -3350 ((-123) (-123) (-1 |#1| |#1|))) (-15 -3350 ((-3 (-1 |#1| (-635 |#1|)) "failed") (-123))) (-15 -4148 ((-123) (-123) (-635 (-1 |#1| (-635 |#1|))))) (-15 -4148 ((-123) (-123) (-1 |#1| |#1|))) (-15 -4148 ((-3 (-635 (-1 |#1| (-635 |#1|))) "failed") (-123))) (IF (|has| |#1| (-843)) (PROGN (-15 -2110 ((-123) |#1|)) (-15 -1921 ((-3 |#1| "failed") (-123)))) |noBranch|)) (-1091)) (T -122)) 
+((-1921 (*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-4 *2 (-1091)) (-4 *2 (-843)) (-5 *1 (-122 *2)))) (-2110 (*1 *2 *3) (-12 (-5 *2 (-123)) (-5 *1 (-122 *3)) (-4 *3 (-843)) (-4 *3 (-1091)))) (-4148 (*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-635 (-1 *4 (-635 *4)))) (-5 *1 (-122 *4)) (-4 *4 (-1091)))) (-4148 (*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1091)) (-5 *1 (-122 *4)))) (-4148 (*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 (-1 *4 (-635 *4)))) (-4 *4 (-1091)) (-5 *1 (-122 *4)))) (-3350 (*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-1 *4 (-635 *4))) (-5 *1 (-122 *4)) (-4 *4 (-1091)))) (-3350 (*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1091)) (-5 *1 (-122 *4)))) (-3350 (*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 (-635 *4))) (-4 *4 (-1091)) (-5 *1 (-122 *4)))) (-3350 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-635 *2)) (-5 *1 (-122 *2)) (-4 *2 (-1091))))) 
+(-10 -7 (-15 -3350 ((-3 |#1| "failed") (-123) (-635 |#1|))) (-15 -3350 ((-123) (-123) (-1 |#1| (-635 |#1|)))) (-15 -3350 ((-123) (-123) (-1 |#1| |#1|))) (-15 -3350 ((-3 (-1 |#1| (-635 |#1|)) "failed") (-123))) (-15 -4148 ((-123) (-123) (-635 (-1 |#1| (-635 |#1|))))) (-15 -4148 ((-123) (-123) (-1 |#1| |#1|))) (-15 -4148 ((-3 (-635 (-1 |#1| (-635 |#1|))) "failed") (-123))) (IF (|has| |#1| (-843)) (PROGN (-15 -2110 ((-123) |#1|)) (-15 -1921 ((-3 |#1| "failed") (-123)))) |noBranch|)) 
+((-2568 (((-121) $ $) NIL)) (-2496 (((-764) $) 68) (($ $ (-764)) 30)) (-4280 (((-121) $) 32)) (-4446 (($ $ (-1145) (-767)) 26)) (-3286 (($ $ (-50 (-1145) (-767))) 13)) (-3570 (((-3 (-767) "failed") $ (-1145)) 24)) (-2267 (((-50 (-1145) (-767)) $) 12)) (-2265 (($ (-1163)) 15) (($ (-1163) (-764)) 20)) (-3209 (((-121) $) 31)) (-1937 (((-121) $) 33)) (-1486 (((-1163) $) 8)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-4029 (((-121) $ (-1163)) 10)) (-1310 (($ $ (-1 (-542) (-635 (-542)))) 50) (((-3 (-1 (-542) (-635 (-542))) "failed") $) 54)) (-3360 (((-1109) $) NIL)) (-3528 (((-121) $ (-1145)) 29)) (-2841 (($ $ (-1 (-121) $ $)) 35)) (-3615 (((-3 (-1 (-851) (-635 (-851))) "failed") $) 52) (($ $ (-1 (-851) (-635 (-851)))) 41) (($ $ (-1 (-851) (-851))) 43)) (-3538 (($ $ (-1145)) 45)) (-1971 (($ $) 61)) (-3270 (($ $ (-1 (-121) $ $)) 36)) (-2185 (((-851) $) 48)) (-4399 (($ $ (-1145)) 27)) (-1615 (((-3 (-764) "failed") $) 56)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 67)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 72))) 
+(((-123) (-13 (-843) (-10 -8 (-15 -1486 ((-1163) $)) (-15 -2267 ((-50 (-1145) (-767)) $)) (-15 -1971 ($ $)) (-15 -2265 ($ (-1163))) (-15 -2265 ($ (-1163) (-764))) (-15 -1615 ((-3 (-764) "failed") $)) (-15 -3209 ((-121) $)) (-15 -4280 ((-121) $)) (-15 -1937 ((-121) $)) (-15 -2496 ((-764) $)) (-15 -2496 ($ $ (-764))) (-15 -2841 ($ $ (-1 (-121) $ $))) (-15 -3270 ($ $ (-1 (-121) $ $))) (-15 -3615 ((-3 (-1 (-851) (-635 (-851))) "failed") $)) (-15 -3615 ($ $ (-1 (-851) (-635 (-851))))) (-15 -3615 ($ $ (-1 (-851) (-851)))) (-15 -1310 ($ $ (-1 (-542) (-635 (-542))))) (-15 -1310 ((-3 (-1 (-542) (-635 (-542))) "failed") $)) (-15 -4029 ((-121) $ (-1163))) (-15 -3528 ((-121) $ (-1145))) (-15 -4399 ($ $ (-1145))) (-15 -3538 ($ $ (-1145))) (-15 -3570 ((-3 (-767) "failed") $ (-1145))) (-15 -4446 ($ $ (-1145) (-767))) (-15 -3286 ($ $ (-50 (-1145) (-767))))))) (T -123)) 
+((-1486 (*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-123)))) (-2267 (*1 *2 *1) (-12 (-5 *2 (-50 (-1145) (-767))) (-5 *1 (-123)))) (-1971 (*1 *1 *1) (-5 *1 (-123))) (-2265 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-123)))) (-2265 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-764)) (-5 *1 (-123)))) (-1615 (*1 *2 *1) (|partial| -12 (-5 *2 (-764)) (-5 *1 (-123)))) (-3209 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123)))) (-4280 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123)))) (-1937 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123)))) (-2496 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-123)))) (-2496 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-123)))) (-2841 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-121) (-123) (-123))) (-5 *1 (-123)))) (-3270 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-121) (-123) (-123))) (-5 *1 (-123)))) (-3615 (*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-851) (-635 (-851)))) (-5 *1 (-123)))) (-3615 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-851) (-635 (-851)))) (-5 *1 (-123)))) (-3615 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-851) (-851))) (-5 *1 (-123)))) (-1310 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-542) (-635 (-542)))) (-5 *1 (-123)))) (-1310 (*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-542) (-635 (-542)))) (-5 *1 (-123)))) (-4029 (*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-121)) (-5 *1 (-123)))) (-3528 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-121)) (-5 *1 (-123)))) (-4399 (*1 *1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-123)))) (-3538 (*1 *1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-123)))) (-3570 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1145)) (-5 *2 (-767)) (-5 *1 (-123)))) (-4446 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1145)) (-5 *3 (-767)) (-5 *1 (-123)))) (-3286 (*1 *1 *1 *2) (-12 (-5 *2 (-50 (-1145) (-767))) (-5 *1 (-123))))) 
+(-13 (-843) (-10 -8 (-15 -1486 ((-1163) $)) (-15 -2267 ((-50 (-1145) (-767)) $)) (-15 -1971 ($ $)) (-15 -2265 ($ (-1163))) (-15 -2265 ($ (-1163) (-764))) (-15 -1615 ((-3 (-764) "failed") $)) (-15 -3209 ((-121) $)) (-15 -4280 ((-121) $)) (-15 -1937 ((-121) $)) (-15 -2496 ((-764) $)) (-15 -2496 ($ $ (-764))) (-15 -2841 ($ $ (-1 (-121) $ $))) (-15 -3270 ($ $ (-1 (-121) $ $))) (-15 -3615 ((-3 (-1 (-851) (-635 (-851))) "failed") $)) (-15 -3615 ($ $ (-1 (-851) (-635 (-851))))) (-15 -3615 ($ $ (-1 (-851) (-851)))) (-15 -1310 ($ $ (-1 (-542) (-635 (-542))))) (-15 -1310 ((-3 (-1 (-542) (-635 (-542))) "failed") $)) (-15 -4029 ((-121) $ (-1163))) (-15 -3528 ((-121) $ (-1145))) (-15 -4399 ($ $ (-1145))) (-15 -3538 ($ $ (-1145))) (-15 -3570 ((-3 (-767) "failed") $ (-1145))) (-15 -4446 ($ $ (-1145) (-767))) (-15 -3286 ($ $ (-50 (-1145) (-767)))))) 
+((-3001 (((-569) |#2|) 36))) 
+(((-124 |#1| |#2|) (-10 -7 (-15 -3001 ((-569) |#2|))) (-13 (-366) (-1038 (-410 (-569)))) (-1222 |#1|)) (T -124)) 
+((-3001 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-1038 (-410 *2)))) (-5 *2 (-569)) (-5 *1 (-124 *4 *3)) (-4 *3 (-1222 *4))))) 
+(-10 -7 (-15 -3001 ((-569) |#2|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2454 (($ $ (-569)) NIL)) (-3934 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-2595 (($ (-1159 (-569)) (-569)) NIL)) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1333 (($ $) NIL)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-2558 (((-764) $) NIL)) (-1407 (((-121) $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3092 (((-569)) NIL)) (-2340 (((-569) $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3499 (($ $ (-569)) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-2855 (((-1143 (-569)) $) NIL)) (-3659 (($ $) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL)) (-1991 (((-764)) NIL)) (-1961 (((-121) $ $) NIL)) (-2994 (((-569) $ (-569)) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL))) 
+(((-125 |#1|) (-864 |#1|) (-569)) (T -125)) 
+NIL 
+(-864 |#1|) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3761 (((-125 |#1|) $) NIL (|has| (-125 |#1|) (-302)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-125 |#1|) (-905)))) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| (-125 |#1|) (-905)))) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL (|has| (-125 |#1|) (-816)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-125 |#1|) "failed") $) NIL) (((-3 (-1163) "failed") $) NIL (|has| (-125 |#1|) (-1038 (-1163)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-125 |#1|) (-1038 (-569)))) (((-3 (-569) "failed") $) NIL (|has| (-125 |#1|) (-1038 (-569))))) (-2428 (((-125 |#1|) $) NIL) (((-1163) $) NIL (|has| (-125 |#1|) (-1038 (-1163)))) (((-410 (-569)) $) NIL (|has| (-125 |#1|) (-1038 (-569)))) (((-569) $) NIL (|has| (-125 |#1|) (-1038 (-569))))) (-1783 (($ $) NIL) (($ (-569) $) NIL)) (-2506 (($ $ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| (-125 |#1|) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| (-125 |#1|) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-125 |#1|))) (|:| |vec| (-1247 (-125 |#1|)))) (-680 $) (-1247 $)) NIL) (((-680 (-125 |#1|)) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| (-125 |#1|) (-551)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-2403 (((-121) $) NIL (|has| (-125 |#1|) (-816)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (|has| (-125 |#1|) (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (|has| (-125 |#1|) (-882 (-382))))) (-1407 (((-121) $) NIL)) (-4052 (($ $) NIL)) (-4116 (((-125 |#1|) $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| (-125 |#1|) (-1137)))) (-1781 (((-121) $) NIL (|has| (-125 |#1|) (-816)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3291 (($ $ $) NIL (|has| (-125 |#1|) (-843)))) (-1538 (($ $ $) NIL (|has| (-125 |#1|) (-843)))) (-1544 (($ (-1 (-125 |#1|) (-125 |#1|)) $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| (-125 |#1|) (-1137)) CONST)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1346 (($ $) NIL (|has| (-125 |#1|) (-302)))) (-2942 (((-125 |#1|) $) NIL (|has| (-125 |#1|) (-551)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-125 |#1|) (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-125 |#1|) (-905)))) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1468 (($ $ (-635 (-125 |#1|)) (-635 (-125 |#1|))) NIL (|has| (-125 |#1|) (-304 (-125 |#1|)))) (($ $ (-125 |#1|) (-125 |#1|)) NIL (|has| (-125 |#1|) (-304 (-125 |#1|)))) (($ $ (-289 (-125 |#1|))) NIL (|has| (-125 |#1|) (-304 (-125 |#1|)))) (($ $ (-635 (-289 (-125 |#1|)))) NIL (|has| (-125 |#1|) (-304 (-125 |#1|)))) (($ $ (-635 (-1163)) (-635 (-125 |#1|))) NIL (|has| (-125 |#1|) (-524 (-1163) (-125 |#1|)))) (($ $ (-1163) (-125 |#1|)) NIL (|has| (-125 |#1|) (-524 (-1163) (-125 |#1|))))) (-2622 (((-764) $) NIL)) (-1534 (($ $ (-125 |#1|)) NIL (|has| (-125 |#1|) (-282 (-125 |#1|) (-125 |#1|))))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3899 (($ $) NIL (|has| (-125 |#1|) (-226))) (($ $ (-764)) NIL (|has| (-125 |#1|) (-226))) (($ $ (-1163)) NIL (|has| (-125 |#1|) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-125 |#1|) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-125 |#1|) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-125 |#1|) (-896 (-1163)))) (($ $ (-1 (-125 |#1|) (-125 |#1|)) (-764)) NIL) (($ $ (-1 (-125 |#1|) (-125 |#1|))) NIL)) (-4214 (($ $) NIL)) (-4121 (((-125 |#1|) $) NIL)) (-3817 (((-888 (-569)) $) NIL (|has| (-125 |#1|) (-610 (-888 (-569))))) (((-888 (-382)) $) NIL (|has| (-125 |#1|) (-610 (-888 (-382))))) (((-542) $) NIL (|has| (-125 |#1|) (-610 (-542)))) (((-382) $) NIL (|has| (-125 |#1|) (-1022))) (((-216) $) NIL (|has| (-125 |#1|) (-1022)))) (-1303 (((-174 (-410 (-569))) $) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| (-125 |#1|) (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-125 |#1|)) NIL) (($ (-1163)) NIL (|has| (-125 |#1|) (-1038 (-1163))))) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| (-125 |#1|) (-905))) (|has| (-125 |#1|) (-149))))) (-1991 (((-764)) NIL)) (-2612 (((-125 |#1|) $) NIL (|has| (-125 |#1|) (-551)))) (-1961 (((-121) $ $) NIL)) (-2994 (((-410 (-569)) $ (-569)) NIL)) (-1616 (($ $) NIL (|has| (-125 |#1|) (-816)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $) NIL (|has| (-125 |#1|) (-226))) (($ $ (-764)) NIL (|has| (-125 |#1|) (-226))) (($ $ (-1163)) NIL (|has| (-125 |#1|) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-125 |#1|) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-125 |#1|) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-125 |#1|) (-896 (-1163)))) (($ $ (-1 (-125 |#1|) (-125 |#1|)) (-764)) NIL) (($ $ (-1 (-125 |#1|) (-125 |#1|))) NIL)) (-1693 (((-121) $ $) NIL (|has| (-125 |#1|) (-843)))) (-1684 (((-121) $ $) NIL (|has| (-125 |#1|) (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| (-125 |#1|) (-843)))) (-1678 (((-121) $ $) NIL (|has| (-125 |#1|) (-843)))) (-1715 (($ $ $) NIL) (($ (-125 |#1|) (-125 |#1|)) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-125 |#1|) $) NIL) (($ $ (-125 |#1|)) NIL))) 
+(((-126 |#1|) (-13 (-994 (-125 |#1|)) (-10 -8 (-15 -2994 ((-410 (-569)) $ (-569))) (-15 -1303 ((-174 (-410 (-569))) $)) (-15 -1783 ($ $)) (-15 -1783 ($ (-569) $)))) (-569)) (T -126)) 
+((-2994 (*1 *2 *1 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-126 *4)) (-14 *4 *3) (-5 *3 (-569)))) (-1303 (*1 *2 *1) (-12 (-5 *2 (-174 (-410 (-569)))) (-5 *1 (-126 *3)) (-14 *3 (-569)))) (-1783 (*1 *1 *1) (-12 (-5 *1 (-126 *2)) (-14 *2 (-569)))) (-1783 (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-126 *3)) (-14 *3 *2)))) 
+(-13 (-994 (-125 |#1|)) (-10 -8 (-15 -2994 ((-410 (-569)) $ (-569))) (-15 -1303 ((-174 (-410 (-569))) $)) (-15 -1783 ($ $)) (-15 -1783 ($ (-569) $)))) 
+((-4469 ((|#2| $ "value" |#2|) NIL) (($ $ "left" $) 48) (($ $ "right" $) 50)) (-4032 (((-635 $) $) 27)) (-4349 (((-121) $ $) 32)) (-3660 (((-121) |#2| $) 36)) (-2824 (((-635 |#2|) $) 22)) (-3486 (((-121) $) 16)) (-1534 ((|#2| $ "value") NIL) (($ $ "left") 10) (($ $ "right") 13)) (-1472 (((-121) $) 45)) (-2185 (((-851) $) 41)) (-4114 (((-635 $) $) 28)) (-1668 (((-121) $ $) 34)) (-4168 (((-764) $) 43))) 
+(((-127 |#1| |#2|) (-10 -8 (-15 -4469 (|#1| |#1| "right" |#1|)) (-15 -4469 (|#1| |#1| "left" |#1|)) (-15 -1534 (|#1| |#1| "right")) (-15 -1534 (|#1| |#1| "left")) (-15 -4469 (|#2| |#1| "value" |#2|)) (-15 -4349 ((-121) |#1| |#1|)) (-15 -2824 ((-635 |#2|) |#1|)) (-15 -1472 ((-121) |#1|)) (-15 -1534 (|#2| |#1| "value")) (-15 -3486 ((-121) |#1|)) (-15 -4032 ((-635 |#1|) |#1|)) (-15 -4114 ((-635 |#1|) |#1|)) (-15 -1668 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -3660 ((-121) |#2| |#1|)) (-15 -4168 ((-764) |#1|))) (-128 |#2|) (-1197)) (T -127)) 
+NIL 
+(-10 -8 (-15 -4469 (|#1| |#1| "right" |#1|)) (-15 -4469 (|#1| |#1| "left" |#1|)) (-15 -1534 (|#1| |#1| "right")) (-15 -1534 (|#1| |#1| "left")) (-15 -4469 (|#2| |#1| "value" |#2|)) (-15 -4349 ((-121) |#1| |#1|)) (-15 -2824 ((-635 |#2|) |#1|)) (-15 -1472 ((-121) |#1|)) (-15 -1534 (|#2| |#1| "value")) (-15 -3486 ((-121) |#1|)) (-15 -4032 ((-635 |#1|) |#1|)) (-15 -4114 ((-635 |#1|) |#1|)) (-15 -1668 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -3660 ((-121) |#2| |#1|)) (-15 -4168 ((-764) |#1|))) 
+((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-2247 ((|#1| $) 45)) (-1691 (((-121) $ (-764)) 8)) (-3891 ((|#1| $ |#1|) 36 (|has| $ (-6 -4536)))) (-2587 (($ $ $) 49 (|has| $ (-6 -4536)))) (-1690 (($ $ $) 51 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4536))) (($ $ "left" $) 52 (|has| $ (-6 -4536))) (($ $ "right" $) 50 (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) 38 (|has| $ (-6 -4536)))) (-2820 (($) 7 T CONST)) (-1869 (($ $) 54)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) 47)) (-4349 (((-121) $ $) 39 (|has| |#1| (-1091)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-3833 (($ $) 56)) (-2824 (((-635 |#1|) $) 42)) (-3486 (((-121) $) 46)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ "value") 44) (($ $ "left") 55) (($ $ "right") 53)) (-1686 (((-569) $ $) 41)) (-1472 (((-121) $) 43)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-4114 (((-635 $) $) 48)) (-2447 (((-121) $ $) 40 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-128 |#1|) (-1278) (-1197)) (T -128)) 
+((-3833 (*1 *1 *1) (-12 (-4 *1 (-128 *2)) (-4 *2 (-1197)))) (-1534 (*1 *1 *1 *2) (-12 (-5 *2 "left") (-4 *1 (-128 *3)) (-4 *3 (-1197)))) (-1869 (*1 *1 *1) (-12 (-4 *1 (-128 *2)) (-4 *2 (-1197)))) (-1534 (*1 *1 *1 *2) (-12 (-5 *2 "right") (-4 *1 (-128 *3)) (-4 *3 (-1197)))) (-4469 (*1 *1 *1 *2 *1) (-12 (-5 *2 "left") (|has| *1 (-6 -4536)) (-4 *1 (-128 *3)) (-4 *3 (-1197)))) (-1690 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-128 *2)) (-4 *2 (-1197)))) (-4469 (*1 *1 *1 *2 *1) (-12 (-5 *2 "right") (|has| *1 (-6 -4536)) (-4 *1 (-128 *3)) (-4 *3 (-1197)))) (-2587 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-128 *2)) (-4 *2 (-1197))))) 
+(-13 (-1011 |t#1|) (-10 -8 (-15 -3833 ($ $)) (-15 -1534 ($ $ "left")) (-15 -1869 ($ $)) (-15 -1534 ($ $ "right")) (IF (|has| $ (-6 -4536)) (PROGN (-15 -4469 ($ $ "left" $)) (-15 -1690 ($ $ $)) (-15 -4469 ($ $ "right" $)) (-15 -2587 ($ $ $))) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1011 |#1|) . T) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
+((-2868 (((-121) |#1|) 24)) (-3680 (((-764) (-764)) 23) (((-764)) 22)) (-4513 (((-121) |#1| (-121)) 25) (((-121) |#1|) 26))) 
+(((-129 |#1|) (-10 -7 (-15 -4513 ((-121) |#1|)) (-15 -4513 ((-121) |#1| (-121))) (-15 -3680 ((-764))) (-15 -3680 ((-764) (-764))) (-15 -2868 ((-121) |#1|))) (-1222 (-569))) (T -129)) 
+((-2868 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1222 (-569))))) (-3680 (*1 *2 *2) (-12 (-5 *2 (-764)) (-5 *1 (-129 *3)) (-4 *3 (-1222 (-569))))) (-3680 (*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-129 *3)) (-4 *3 (-1222 (-569))))) (-4513 (*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1222 (-569))))) (-4513 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1222 (-569)))))) 
+(-10 -7 (-15 -4513 ((-121) |#1|)) (-15 -4513 ((-121) |#1| (-121))) (-15 -3680 ((-764))) (-15 -3680 ((-764) (-764))) (-15 -2868 ((-121) |#1|))) 
+((-2568 (((-121) $ $) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-2874 (((-3 $ "failed") (-1163) (-1163)) 31)) (-3360 (((-1109) $) NIL)) (-2880 (((-3 (-1163) "failed") $) 45)) (-3044 (((-3 $ (-569)) (-1163)) 36)) (-2886 (((-1171 (-1163) $)) 42)) (-2892 (((-635 $)) 40)) (-2899 (((-3 $ "failed") (-1163)) 19)) (-3817 (($ (-1163)) 27) (((-1163) $) NIL)) (-2185 (((-851) $) 21)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL))) 
+(((-130) (-13 (-843) (-10 -8 (-6 (-610 (-1163))) (-15 -2899 ((-3 $ "failed") (-1163))) (-15 -3817 ($ (-1163))) (-15 -2874 ((-3 $ "failed") (-1163) (-1163))) (-15 -3044 ((-3 $ (-569)) (-1163))) (-15 -2892 ((-635 $))) (-15 -2886 ((-1171 (-1163) $))) (-15 -2880 ((-3 (-1163) "failed") $))))) (T -130)) 
+((-2899 (*1 *1 *2) (|partial| -12 (-5 *2 (-1163)) (-5 *1 (-130)))) (-3817 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-130)))) (-2874 (*1 *1 *2 *2) (|partial| -12 (-5 *2 (-1163)) (-5 *1 (-130)))) (-3044 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-3 (-130) (-569))) (-5 *1 (-130)))) (-2892 (*1 *2) (-12 (-5 *2 (-635 (-130))) (-5 *1 (-130)))) (-2886 (*1 *2) (-12 (-5 *2 (-1171 (-1163) (-130))) (-5 *1 (-130)))) (-2880 (*1 *2 *1) (|partial| -12 (-5 *2 (-1163)) (-5 *1 (-130))))) 
+(-13 (-843) (-10 -8 (-6 (-610 (-1163))) (-15 -2899 ((-3 $ "failed") (-1163))) (-15 -3817 ($ (-1163))) (-15 -2874 ((-3 $ "failed") (-1163) (-1163))) (-15 -3044 ((-3 $ (-569)) (-1163))) (-15 -2892 ((-635 $))) (-15 -2886 ((-1171 (-1163) $))) (-15 -2880 ((-3 (-1163) "failed") $)))) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2247 ((|#1| $) 15)) (-4493 (((-2 (|:| |less| $) (|:| |greater| $)) |#1| $) 22)) (-1691 (((-121) $ (-764)) NIL)) (-3891 ((|#1| $ |#1|) NIL (|has| $ (-6 -4536)))) (-2587 (($ $ $) 18 (|has| $ (-6 -4536)))) (-1690 (($ $ $) 20 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4536))) (($ $ "left" $) NIL (|has| $ (-6 -4536))) (($ $ "right" $) NIL (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) NIL (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-1869 (($ $) 17)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) NIL)) (-4349 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1323 (($ $ |#1| $) 23)) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-3833 (($ $) 19)) (-2824 (((-635 |#1|) $) NIL)) (-3486 (((-121) $) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3873 (($ |#1| $) 24)) (-3172 (($ |#1| $) 10)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 14)) (-1296 (($) 8)) (-1534 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-1686 (((-569) $ $) NIL)) (-1472 (((-121) $) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-4114 (((-635 $) $) NIL)) (-2447 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-4271 (($ (-635 |#1|)) 12)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-131 |#1|) (-13 (-135 |#1|) (-10 -8 (-6 -4536) (-6 -4535) (-15 -4271 ($ (-635 |#1|))) (-15 -3172 ($ |#1| $)) (-15 -3873 ($ |#1| $)) (-15 -4493 ((-2 (|:| |less| $) (|:| |greater| $)) |#1| $)))) (-843)) (T -131)) 
+((-4271 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-131 *3)))) (-3172 (*1 *1 *2 *1) (-12 (-5 *1 (-131 *2)) (-4 *2 (-843)))) (-3873 (*1 *1 *2 *1) (-12 (-5 *1 (-131 *2)) (-4 *2 (-843)))) (-4493 (*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |less| (-131 *3)) (|:| |greater| (-131 *3)))) (-5 *1 (-131 *3)) (-4 *3 (-843))))) 
+(-13 (-135 |#1|) (-10 -8 (-6 -4536) (-6 -4535) (-15 -4271 ($ (-635 |#1|))) (-15 -3172 ($ |#1| $)) (-15 -3873 ($ |#1| $)) (-15 -4493 ((-2 (|:| |less| $) (|:| |greater| $)) |#1| $)))) 
+((-1679 (($ $) 14)) (-3864 (($ $) 11)) (-3819 (($ $ $) 24)) (-4481 (($ $ $) 22)) (-2427 (($ $) 12)) (-2547 (($ $ $) 20)) (-2540 (($ $ $) 18))) 
+(((-132 |#1|) (-10 -8 (-15 -3819 (|#1| |#1| |#1|)) (-15 -4481 (|#1| |#1| |#1|)) (-15 -2427 (|#1| |#1|)) (-15 -3864 (|#1| |#1|)) (-15 -1679 (|#1| |#1|)) (-15 -2540 (|#1| |#1| |#1|)) (-15 -2547 (|#1| |#1| |#1|))) (-133)) (T -132)) 
+NIL 
+(-10 -8 (-15 -3819 (|#1| |#1| |#1|)) (-15 -4481 (|#1| |#1| |#1|)) (-15 -2427 (|#1| |#1|)) (-15 -3864 (|#1| |#1|)) (-15 -1679 (|#1| |#1|)) (-15 -2540 (|#1| |#1| |#1|)) (-15 -2547 (|#1| |#1| |#1|))) 
+((-2568 (((-121) $ $) 7)) (-1679 (($ $) 103)) (-2283 (($ $ $) 24)) (-3112 (((-1252) $ (-569) (-569)) 66 (|has| $ (-6 -4536)))) (-3034 (((-121) $) 98 (|has| (-121) (-843))) (((-121) (-1 (-121) (-121) (-121)) $) 92)) (-3076 (($ $) 102 (-12 (|has| (-121) (-843)) (|has| $ (-6 -4536)))) (($ (-1 (-121) (-121) (-121)) $) 101 (|has| $ (-6 -4536)))) (-3113 (($ $) 97 (|has| (-121) (-843))) (($ (-1 (-121) (-121) (-121)) $) 91)) (-1691 (((-121) $ (-764)) 37)) (-4469 (((-121) $ (-1213 (-569)) (-121)) 88 (|has| $ (-6 -4536))) (((-121) $ (-569) (-121)) 54 (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) (-121)) $) 71 (|has| $ (-6 -4535)))) (-2820 (($) 38 T CONST)) (-1302 (($ $) 100 (|has| $ (-6 -4536)))) (-2052 (($ $) 90)) (-2033 (($ $) 68 (-12 (|has| (-121) (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ (-1 (-121) (-121)) $) 72 (|has| $ (-6 -4535))) (($ (-121) $) 69 (-12 (|has| (-121) (-1091)) (|has| $ (-6 -4535))))) (-1774 (((-121) (-1 (-121) (-121) (-121)) $) 74 (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-121) (-121)) $ (-121)) 73 (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-121) (-121)) $ (-121) (-121)) 70 (-12 (|has| (-121) (-1091)) (|has| $ (-6 -4535))))) (-2726 (((-121) $ (-569) (-121)) 53 (|has| $ (-6 -4536)))) (-1618 (((-121) $ (-569)) 55)) (-3727 (((-569) (-121) $ (-569)) 95 (|has| (-121) (-1091))) (((-569) (-121) $) 94 (|has| (-121) (-1091))) (((-569) (-1 (-121) (-121)) $) 93)) (-3470 (((-635 (-121)) $) 45 (|has| $ (-6 -4535)))) (-3447 (($ $ $) 25)) (-3864 (($ $) 30)) (-3819 (($ $ $) 27)) (-2659 (($ (-764) (-121)) 77)) (-4481 (($ $ $) 28)) (-1974 (((-121) $ (-764)) 36)) (-3557 (((-569) $) 63 (|has| (-569) (-843)))) (-3291 (($ $ $) 12)) (-3288 (($ $ $) 96 (|has| (-121) (-843))) (($ (-1 (-121) (-121) (-121)) $ $) 89)) (-4259 (((-635 (-121)) $) 46 (|has| $ (-6 -4535)))) (-3660 (((-121) (-121) $) 48 (-12 (|has| (-121) (-1091)) (|has| $ (-6 -4535))))) (-1285 (((-569) $) 62 (|has| (-569) (-843)))) (-1538 (($ $ $) 13)) (-1853 (($ (-1 (-121) (-121)) $) 41 (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-121) (-121) (-121)) $ $) 82) (($ (-1 (-121) (-121)) $) 40)) (-2006 (((-121) $ (-764)) 35)) (-2776 (((-1145) $) 9)) (-3614 (($ $ $ (-569)) 87) (($ (-121) $ (-569)) 86)) (-4166 (((-635 (-569)) $) 60)) (-3533 (((-121) (-569) $) 59)) (-3360 (((-1109) $) 10)) (-4353 (((-121) $) 64 (|has| (-569) (-843)))) (-2502 (((-3 (-121) "failed") (-1 (-121) (-121)) $) 75)) (-3174 (($ $ (-121)) 65 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) (-121)) $) 43 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-121)) (-635 (-121))) 52 (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091)))) (($ $ (-121) (-121)) 51 (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091)))) (($ $ (-289 (-121))) 50 (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091)))) (($ $ (-635 (-289 (-121)))) 49 (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091))))) (-3137 (((-121) $ $) 31)) (-3672 (((-121) (-121) $) 61 (-12 (|has| $ (-6 -4535)) (|has| (-121) (-1091))))) (-2691 (((-635 (-121)) $) 58)) (-1601 (((-121) $) 34)) (-1296 (($) 33)) (-1534 (($ $ (-1213 (-569))) 83) (((-121) $ (-569)) 57) (((-121) $ (-569) (-121)) 56)) (-3010 (($ $ (-1213 (-569))) 85) (($ $ (-569)) 84)) (-2846 (((-764) (-121) $) 47 (-12 (|has| (-121) (-1091)) (|has| $ (-6 -4535)))) (((-764) (-1 (-121) (-121)) $) 44 (|has| $ (-6 -4535)))) (-3389 (($ $ $ (-569)) 99 (|has| $ (-6 -4536)))) (-1971 (($ $) 32)) (-3817 (((-542) $) 67 (|has| (-121) (-610 (-542))))) (-2139 (($ (-635 (-121))) 76)) (-2250 (($ (-635 $)) 81) (($ $ $) 80) (($ (-121) $) 79) (($ $ (-121)) 78)) (-2185 (((-851) $) 11)) (-2066 (((-121) (-1 (-121) (-121)) $) 42 (|has| $ (-6 -4535)))) (-2206 (($ $ $) 26)) (-2427 (($ $) 29)) (-2547 (($ $ $) 105)) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17)) (-2540 (($ $ $) 104)) (-4168 (((-764) $) 39 (|has| $ (-6 -4535))))) 
+(((-133) (-1278)) (T -133)) 
+((-3864 (*1 *1 *1) (-4 *1 (-133))) (-2427 (*1 *1 *1) (-4 *1 (-133))) (-4481 (*1 *1 *1 *1) (-4 *1 (-133))) (-3819 (*1 *1 *1 *1) (-4 *1 (-133))) (-2206 (*1 *1 *1 *1) (-4 *1 (-133))) (-3447 (*1 *1 *1 *1) (-4 *1 (-133))) (-2283 (*1 *1 *1 *1) (-4 *1 (-133)))) 
+(-13 (-843) (-652) (-19 (-121)) (-10 -8 (-15 -3864 ($ $)) (-15 -2427 ($ $)) (-15 -4481 ($ $ $)) (-15 -3819 ($ $ $)) (-15 -2206 ($ $ $)) (-15 -3447 ($ $ $)) (-15 -2283 ($ $ $)))) 
+(((-39) . T) ((-105) . T) ((-609 (-851)) . T) ((-155 (-121)) . T) ((-610 (-542)) |has| (-121) (-610 (-542))) ((-282 (-569) (-121)) . T) ((-284 (-569) (-121)) . T) ((-304 (-121)) -12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091))) ((-376 (-121)) . T) ((-500 (-121)) . T) ((-602 (-569) (-121)) . T) ((-524 (-121) (-121)) -12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091))) ((-641 (-121)) . T) ((-652) . T) ((-19 (-121)) . T) ((-843) . T) ((-1091) . T) ((-1197) . T)) 
+((-1853 (($ (-1 |#2| |#2|) $) 22)) (-1971 (($ $) 16)) (-4168 (((-764) $) 24))) 
+(((-134 |#1| |#2|) (-10 -8 (-15 -1853 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4168 ((-764) |#1|)) (-15 -1971 (|#1| |#1|))) (-135 |#2|) (-1091)) (T -134)) 
+NIL 
+(-10 -8 (-15 -1853 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4168 ((-764) |#1|)) (-15 -1971 (|#1| |#1|))) 
+((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-2247 ((|#1| $) 45)) (-1691 (((-121) $ (-764)) 8)) (-3891 ((|#1| $ |#1|) 36 (|has| $ (-6 -4536)))) (-2587 (($ $ $) 49 (|has| $ (-6 -4536)))) (-1690 (($ $ $) 51 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4536))) (($ $ "left" $) 52 (|has| $ (-6 -4536))) (($ $ "right" $) 50 (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) 38 (|has| $ (-6 -4536)))) (-2820 (($) 7 T CONST)) (-1869 (($ $) 54)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) 47)) (-4349 (((-121) $ $) 39 (|has| |#1| (-1091)))) (-1323 (($ $ |#1| $) 57)) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-3833 (($ $) 56)) (-2824 (((-635 |#1|) $) 42)) (-3486 (((-121) $) 46)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ "value") 44) (($ $ "left") 55) (($ $ "right") 53)) (-1686 (((-569) $ $) 41)) (-1472 (((-121) $) 43)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-4114 (((-635 $) $) 48)) (-2447 (((-121) $ $) 40 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-135 |#1|) (-1278) (-1091)) (T -135)) 
+((-1323 (*1 *1 *1 *2 *1) (-12 (-4 *1 (-135 *2)) (-4 *2 (-1091))))) 
+(-13 (-128 |t#1|) (-10 -8 (-6 -4536) (-6 -4535) (-15 -1323 ($ $ |t#1| $)))) 
+(((-39) . T) ((-105) |has| |#1| (-1091)) ((-128 |#1|) . T) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1011 |#1|) . T) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2247 ((|#1| $) 15)) (-1691 (((-121) $ (-764)) NIL)) (-3891 ((|#1| $ |#1|) 19 (|has| $ (-6 -4536)))) (-2587 (($ $ $) 20 (|has| $ (-6 -4536)))) (-1690 (($ $ $) 18 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4536))) (($ $ "left" $) NIL (|has| $ (-6 -4536))) (($ $ "right" $) NIL (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) NIL (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-1869 (($ $) 21)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) NIL)) (-4349 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1323 (($ $ |#1| $) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-3833 (($ $) NIL)) (-2824 (((-635 |#1|) $) NIL)) (-3486 (((-121) $) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3172 (($ |#1| $) 10)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 14)) (-1296 (($) 8)) (-1534 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-1686 (((-569) $ $) NIL)) (-1472 (((-121) $) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) 17)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-4114 (((-635 $) $) NIL)) (-2447 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-3488 (($ (-635 |#1|)) 12)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-136 |#1|) (-13 (-135 |#1|) (-10 -8 (-6 -4536) (-15 -3488 ($ (-635 |#1|))) (-15 -3172 ($ |#1| $)))) (-843)) (T -136)) 
+((-3488 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-136 *3)))) (-3172 (*1 *1 *2 *1) (-12 (-5 *1 (-136 *2)) (-4 *2 (-843))))) 
+(-13 (-135 |#1|) (-10 -8 (-6 -4536) (-15 -3488 ($ (-635 |#1|))) (-15 -3172 ($ |#1| $)))) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2247 ((|#1| $) 24)) (-1691 (((-121) $ (-764)) NIL)) (-3891 ((|#1| $ |#1|) 26 (|has| $ (-6 -4536)))) (-2587 (($ $ $) 30 (|has| $ (-6 -4536)))) (-1690 (($ $ $) 28 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4536))) (($ $ "left" $) NIL (|has| $ (-6 -4536))) (($ $ "right" $) NIL (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) NIL (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-1869 (($ $) 20)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) NIL)) (-4349 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1323 (($ $ |#1| $) 15)) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-3833 (($ $) 19)) (-2824 (((-635 |#1|) $) NIL)) (-3486 (((-121) $) 21)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 18)) (-1296 (($) 11)) (-1534 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-1686 (((-569) $ $) NIL)) (-1472 (((-121) $) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-4114 (((-635 $) $) NIL)) (-2447 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-3368 (($ |#1|) 17) (($ $ |#1| $) 16)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 10 (|has| |#1| (-1091)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-137 |#1|) (-13 (-135 |#1|) (-10 -8 (-15 -3368 ($ |#1|)) (-15 -3368 ($ $ |#1| $)))) (-1091)) (T -137)) 
+((-3368 (*1 *1 *2) (-12 (-5 *1 (-137 *2)) (-4 *2 (-1091)))) (-3368 (*1 *1 *1 *2 *1) (-12 (-5 *1 (-137 *2)) (-4 *2 (-1091))))) 
+(-13 (-135 |#1|) (-10 -8 (-15 -3368 ($ |#1|)) (-15 -3368 ($ $ |#1| $)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12) (($ (-764) $) 14))) 
+(((-138) (-1278)) (T -138)) 
+((-2327 (*1 *1 *1 *1) (|partial| -4 *1 (-138)))) 
+(-13 (-23) (-10 -8 (-15 -2327 ((-3 $ "failed") $ $)))) 
+(((-23) . T) ((-25) . T) ((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) 7)) (-2441 (((-1252) $ (-764)) 18)) (-3727 (((-764) $) 19)) (-3291 (($ $ $) 12)) (-1538 (($ $ $) 13)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17))) 
+(((-139) (-1278)) (T -139)) 
+((-3727 (*1 *2 *1) (-12 (-4 *1 (-139)) (-5 *2 (-764)))) (-2441 (*1 *2 *1 *3) (-12 (-4 *1 (-139)) (-5 *3 (-764)) (-5 *2 (-1252))))) 
+(-13 (-843) (-10 -8 (-15 -3727 ((-764) $)) (-15 -2441 ((-1252) $ (-764))))) 
+(((-105) . T) ((-609 (-851)) . T) ((-843) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-764) "failed") $) 38)) (-2428 (((-764) $) 36)) (-3428 (((-3 $ "failed") $) NIL)) (-1407 (((-121) $) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) 26)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2680 (((-121)) 39)) (-1712 (((-121) (-121)) 41)) (-4129 (((-121) $) 23)) (-3293 (((-121) $) 35)) (-2185 (((-851) $) 22) (($ (-764)) 14)) (-2427 (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (-3369 (($) 12 T CONST)) (-1556 (($) 11 T CONST)) (-2789 (($ (-764)) 15)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 24)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 25)) (-1711 (((-3 $ "failed") $ $) 29)) (-1707 (($ $ $) 27)) (** (($ $ (-764)) NIL) (($ $ (-918)) NIL) (($ $ $) 34)) (* (($ (-764) $) 32) (($ (-918) $) NIL) (($ $ $) 30))) 
+(((-140) (-13 (-843) (-23) (-717) (-1038 (-764)) (-10 -8 (-6 (-4537 "*")) (-15 -1711 ((-3 $ "failed") $ $)) (-15 ** ($ $ $)) (-15 -2789 ($ (-764))) (-15 -4129 ((-121) $)) (-15 -3293 ((-121) $)) (-15 -2680 ((-121))) (-15 -1712 ((-121) (-121)))))) (T -140)) 
+((-1711 (*1 *1 *1 *1) (|partial| -5 *1 (-140))) (** (*1 *1 *1 *1) (-5 *1 (-140))) (-2789 (*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-140)))) (-4129 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-140)))) (-3293 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-140)))) (-2680 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-140)))) (-1712 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-140))))) 
+(-13 (-843) (-23) (-717) (-1038 (-764)) (-10 -8 (-6 (-4537 "*")) (-15 -1711 ((-3 $ "failed") $ $)) (-15 ** ($ $ $)) (-15 -2789 ($ (-764))) (-15 -4129 ((-121) $)) (-15 -3293 ((-121) $)) (-15 -2680 ((-121))) (-15 -1712 ((-121) (-121))))) 
+((-3682 (((-142 |#1| |#2| |#4|) (-635 |#4|) (-142 |#1| |#2| |#3|)) 14)) (-1544 (((-142 |#1| |#2| |#4|) (-1 |#4| |#3|) (-142 |#1| |#2| |#3|)) 18))) 
+(((-141 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3682 ((-142 |#1| |#2| |#4|) (-635 |#4|) (-142 |#1| |#2| |#3|))) (-15 -1544 ((-142 |#1| |#2| |#4|) (-1 |#4| |#3|) (-142 |#1| |#2| |#3|)))) (-569) (-764) (-173) (-173)) (T -141)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *7)) (-5 *4 (-142 *5 *6 *7)) (-14 *5 (-569)) (-14 *6 (-764)) (-4 *7 (-173)) (-4 *8 (-173)) (-5 *2 (-142 *5 *6 *8)) (-5 *1 (-141 *5 *6 *7 *8)))) (-3682 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-142 *5 *6 *7)) (-14 *5 (-569)) (-14 *6 (-764)) (-4 *7 (-173)) (-4 *8 (-173)) (-5 *2 (-142 *5 *6 *8)) (-5 *1 (-141 *5 *6 *7 *8))))) 
+(-10 -7 (-15 -3682 ((-142 |#1| |#2| |#4|) (-635 |#4|) (-142 |#1| |#2| |#3|))) (-15 -1544 ((-142 |#1| |#2| |#4|) (-1 |#4| |#3|) (-142 |#1| |#2| |#3|)))) 
+((-2568 (((-121) $ $) NIL)) (-1761 (($ (-635 |#3|)) 38)) (-2853 (($ $) 97) (($ $ (-569) (-569)) 96)) (-2820 (($) 17)) (-1647 (((-3 |#3| "failed") $) 58)) (-2428 ((|#3| $) NIL)) (-2012 (($ $ (-635 (-569))) 98)) (-2168 (((-635 |#3|) $) 34)) (-1321 (((-764) $) 42)) (-1592 (($ $ $) 91)) (-3163 (($) 41)) (-2776 (((-1145) $) NIL)) (-1457 (($) 16)) (-3360 (((-1109) $) NIL)) (-1534 ((|#3| $) 44) ((|#3| $ (-569)) 45) ((|#3| $ (-569) (-569)) 46) ((|#3| $ (-569) (-569) (-569)) 47) ((|#3| $ (-569) (-569) (-569) (-569)) 48) ((|#3| $ (-635 (-569))) 50)) (-2492 (((-764) $) 43)) (-2980 (($ $ (-569) $ (-569)) 92) (($ $ (-569) (-569)) 94)) (-2185 (((-851) $) 65) (($ |#3|) 66) (($ (-233 |#2| |#3|)) 73) (($ (-1128 |#2| |#3|)) 76) (($ (-635 |#3|)) 51) (($ (-635 $)) 56)) (-3369 (($) 67 T CONST)) (-1556 (($) 68 T CONST)) (-1668 (((-121) $ $) 78)) (-1711 (($ $) 84) (($ $ $) 82)) (-1707 (($ $ $) 80)) (* (($ |#3| $) 89) (($ $ |#3|) 90) (($ $ (-569)) 87) (($ (-569) $) 86) (($ $ $) 93))) 
+(((-142 |#1| |#2| |#3|) (-13 (-471 |#3| (-764)) (-476 (-569) (-764)) (-10 -8 (-15 -2185 ($ (-233 |#2| |#3|))) (-15 -2185 ($ (-1128 |#2| |#3|))) (-15 -2185 ($ (-635 |#3|))) (-15 -2185 ($ (-635 $))) (-15 -1321 ((-764) $)) (-15 -1534 (|#3| $)) (-15 -1534 (|#3| $ (-569))) (-15 -1534 (|#3| $ (-569) (-569))) (-15 -1534 (|#3| $ (-569) (-569) (-569))) (-15 -1534 (|#3| $ (-569) (-569) (-569) (-569))) (-15 -1534 (|#3| $ (-635 (-569)))) (-15 -1592 ($ $ $)) (-15 * ($ $ $)) (-15 -2980 ($ $ (-569) $ (-569))) (-15 -2980 ($ $ (-569) (-569))) (-15 -2853 ($ $)) (-15 -2853 ($ $ (-569) (-569))) (-15 -2012 ($ $ (-635 (-569)))) (-15 -1457 ($)) (-15 -3163 ($)) (-15 -2168 ((-635 |#3|) $)) (-15 -1761 ($ (-635 |#3|))) (-15 -2820 ($)))) (-569) (-764) (-173)) (T -142)) 
+((-1592 (*1 *1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-764)) (-4 *4 (-173)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-233 *4 *5)) (-14 *4 (-764)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1128 *4 *5)) (-14 *4 (-764)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 *5)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-764)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 (-142 *3 *4 *5))) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-764)) (-4 *5 (-173)))) (-1321 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 *2) (-4 *5 (-173)))) (-1534 (*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-142 *3 *4 *2)) (-14 *3 (-569)) (-14 *4 (-764)))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-764)))) (-1534 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-764)))) (-1534 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-764)))) (-1534 (*1 *2 *1 *3 *3 *3 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-764)))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 (-635 (-569))) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 (-569)) (-14 *5 (-764)))) (* (*1 *1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-764)) (-4 *4 (-173)))) (-2980 (*1 *1 *1 *2 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-764)) (-4 *5 (-173)))) (-2980 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-764)) (-4 *5 (-173)))) (-2853 (*1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-764)) (-4 *4 (-173)))) (-2853 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-764)) (-4 *5 (-173)))) (-2012 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-764)) (-4 *5 (-173)))) (-1457 (*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-764)) (-4 *4 (-173)))) (-3163 (*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-764)) (-4 *4 (-173)))) (-2168 (*1 *2 *1) (-12 (-5 *2 (-635 *5)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-764)) (-4 *5 (-173)))) (-1761 (*1 *1 *2) (-12 (-5 *2 (-635 *5)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-764)))) (-2820 (*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-764)) (-4 *4 (-173))))) 
+(-13 (-471 |#3| (-764)) (-476 (-569) (-764)) (-10 -8 (-15 -2185 ($ (-233 |#2| |#3|))) (-15 -2185 ($ (-1128 |#2| |#3|))) (-15 -2185 ($ (-635 |#3|))) (-15 -2185 ($ (-635 $))) (-15 -1321 ((-764) $)) (-15 -1534 (|#3| $)) (-15 -1534 (|#3| $ (-569))) (-15 -1534 (|#3| $ (-569) (-569))) (-15 -1534 (|#3| $ (-569) (-569) (-569))) (-15 -1534 (|#3| $ (-569) (-569) (-569) (-569))) (-15 -1534 (|#3| $ (-635 (-569)))) (-15 -1592 ($ $ $)) (-15 * ($ $ $)) (-15 -2980 ($ $ (-569) $ (-569))) (-15 -2980 ($ $ (-569) (-569))) (-15 -2853 ($ $)) (-15 -2853 ($ $ (-569) (-569))) (-15 -2012 ($ $ (-635 (-569)))) (-15 -1457 ($)) (-15 -3163 ($)) (-15 -2168 ((-635 |#3|) $)) (-15 -1761 ($ (-635 |#3|))) (-15 -2820 ($)))) 
+((-2568 (((-121) $ $) NIL)) (-2217 (($) 15 T CONST)) (-1460 (($) NIL (|has| (-148) (-371)))) (-1752 (($ $ $) 17) (($ $ (-148)) NIL) (($ (-148) $) NIL)) (-1981 (($ $ $) NIL)) (-2358 (((-121) $ $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-2085 (((-764)) NIL (|has| (-148) (-371)))) (-2195 (($) NIL) (($ (-635 (-148))) NIL)) (-4216 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-4454 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535))) (($ (-148) $) 51 (|has| $ (-6 -4535)))) (-4347 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535))) (($ (-148) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-1774 (((-148) (-1 (-148) (-148) (-148)) $) NIL (|has| $ (-6 -4535))) (((-148) (-1 (-148) (-148) (-148)) $ (-148)) NIL (|has| $ (-6 -4535))) (((-148) (-1 (-148) (-148) (-148)) $ (-148) (-148)) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-4327 (($) NIL (|has| (-148) (-371)))) (-3470 (((-635 (-148)) $) 60 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-3291 (((-148) $) NIL (|has| (-148) (-843)))) (-4259 (((-635 (-148)) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-148) $) 26 (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-1538 (((-148) $) NIL (|has| (-148) (-843)))) (-1853 (($ (-1 (-148) (-148)) $) 59 (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-148) (-148)) $) 55)) (-2869 (($) 16 T CONST)) (-2083 (((-918) $) NIL (|has| (-148) (-371)))) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-2652 (($ $ $) 29)) (-3889 (((-148) $) 52)) (-3172 (($ (-148) $) 50)) (-3998 (($ (-918)) NIL (|has| (-148) (-371)))) (-3454 (($) 14 T CONST)) (-3360 (((-1109) $) NIL)) (-2502 (((-3 (-148) "failed") (-1 (-121) (-148)) $) NIL)) (-1856 (((-148) $) 53)) (-4177 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-148)) (-635 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-148) (-148)) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-289 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-635 (-289 (-148)))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 48)) (-3747 (($) 13 T CONST)) (-3290 (($ $ $) 31) (($ $ (-148)) NIL)) (-2566 (($ (-635 (-148))) NIL) (($) NIL)) (-2846 (((-764) (-148) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091)))) (((-764) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-1145) $) 36) (((-542) $) NIL (|has| (-148) (-610 (-542)))) (((-635 (-148)) $) 34)) (-2139 (($ (-635 (-148))) NIL)) (-3604 (($ $) 32 (|has| (-148) (-371)))) (-2185 (((-851) $) 46)) (-3208 (($ (-1145)) 12) (($ (-635 (-148))) 43)) (-1573 (((-764) $) NIL)) (-1959 (($) 49) (($ (-635 (-148))) NIL)) (-2793 (($ (-635 (-148))) NIL)) (-2066 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535)))) (-2352 (($) 19 T CONST)) (-4290 (($) 18 T CONST)) (-1668 (((-121) $ $) 22)) (-1678 (((-121) $ $) NIL)) (-4168 (((-764) $) 47 (|has| $ (-6 -4535))))) 
+(((-143) (-13 (-1091) (-610 (-1145)) (-428 (-148)) (-610 (-635 (-148))) (-10 -8 (-15 -3208 ($ (-1145))) (-15 -3208 ($ (-635 (-148)))) (-15 -3747 ($) -2043) (-15 -3454 ($) -2043) (-15 -2217 ($) -2043) (-15 -2869 ($) -2043) (-15 -4290 ($) -2043) (-15 -2352 ($) -2043)))) (T -143)) 
+((-3208 (*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-143)))) (-3208 (*1 *1 *2) (-12 (-5 *2 (-635 (-148))) (-5 *1 (-143)))) (-3747 (*1 *1) (-5 *1 (-143))) (-3454 (*1 *1) (-5 *1 (-143))) (-2217 (*1 *1) (-5 *1 (-143))) (-2869 (*1 *1) (-5 *1 (-143))) (-4290 (*1 *1) (-5 *1 (-143))) (-2352 (*1 *1) (-5 *1 (-143)))) 
+(-13 (-1091) (-610 (-1145)) (-428 (-148)) (-610 (-635 (-148))) (-10 -8 (-15 -3208 ($ (-1145))) (-15 -3208 ($ (-635 (-148)))) (-15 -3747 ($) -2043) (-15 -3454 ($) -2043) (-15 -2217 ($) -2043) (-15 -2869 ($) -2043) (-15 -4290 ($) -2043) (-15 -2352 ($) -2043))) 
+((-4422 (((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|) 17)) (-1733 ((|#1| |#3|) 9)) (-1839 ((|#3| |#3|) 15))) 
+(((-144 |#1| |#2| |#3|) (-10 -7 (-15 -1733 (|#1| |#3|)) (-15 -1839 (|#3| |#3|)) (-15 -4422 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) (-559) (-994 |#1|) (-376 |#2|)) (T -144)) 
+((-4422 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-994 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-144 *4 *5 *3)) (-4 *3 (-376 *5)))) (-1839 (*1 *2 *2) (-12 (-4 *3 (-559)) (-4 *4 (-994 *3)) (-5 *1 (-144 *3 *4 *2)) (-4 *2 (-376 *4)))) (-1733 (*1 *2 *3) (-12 (-4 *4 (-994 *2)) (-4 *2 (-559)) (-5 *1 (-144 *2 *4 *3)) (-4 *3 (-376 *4))))) 
+(-10 -7 (-15 -1733 (|#1| |#3|)) (-15 -1839 (|#3| |#3|)) (-15 -4422 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) 
+((-2568 (((-121) $ $) NIL (|has| (-170 (-216)) (-1091)))) (-2418 (($ (-764) (-764)) NIL)) (-2799 (($ $ $) NIL)) (-2853 (($ (-146)) NIL) (($ $) NIL)) (-4144 (((-121) $) NIL)) (-4218 (($ $ (-569) (-569)) NIL)) (-2296 (($ $ (-569) (-569)) NIL)) (-1910 (($ $ (-569) (-569) (-569) (-569)) NIL)) (-1391 (($ $) NIL)) (-3569 (((-121) $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-1350 (($ $ (-569) (-569) $) NIL)) (-4469 (((-170 (-216)) $ (-569) (-569) (-170 (-216))) NIL) (($ $ (-635 (-569)) (-635 (-569)) $) NIL)) (-2451 (($ $ (-569) (-146)) NIL)) (-3443 (($ $ (-569) (-146)) NIL)) (-1574 (($ (-764) (-170 (-216))) NIL)) (-2820 (($) NIL T CONST)) (-4036 (($ $) NIL (|has| (-170 (-216)) (-302)))) (-1765 (((-146) $ (-569)) NIL)) (-1321 (((-764) $) NIL (|has| (-170 (-216)) (-559)))) (-2726 (((-170 (-216)) $ (-569) (-569) (-170 (-216))) 16)) (-2090 (($ (-569) (-569)) 18)) (-1618 (((-170 (-216)) $ (-569) (-569)) 15)) (-2333 (((-170 (-216)) $) NIL (|has| (-170 (-216)) (-173)))) (-3470 (((-635 (-170 (-216))) $) NIL)) (-3695 (((-764) $) NIL (|has| (-170 (-216)) (-559)))) (-3645 (((-635 (-146)) $) NIL (|has| (-170 (-216)) (-559)))) (-1810 (((-764) $) 10)) (-2659 (($ (-764) (-764) (-170 (-216))) 19)) (-2806 (((-764) $) 11)) (-1974 (((-121) $ (-764)) NIL)) (-1558 (((-170 (-216)) $) NIL (|has| (-170 (-216)) (-6 (-4537 "*"))))) (-3992 (((-569) $) 7)) (-3127 (((-569) $) 8)) (-4259 (((-635 (-170 (-216))) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-170 (-216)) (-1091))))) (-1866 (((-569) $) 12)) (-1581 (((-569) $) 13)) (-1483 (($ (-635 (-635 (-170 (-216))))) NIL)) (-1853 (($ (-1 (-170 (-216)) (-170 (-216))) $) NIL)) (-1544 (($ (-1 (-170 (-216)) (-170 (-216))) $) NIL) (($ (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $ $) NIL) (($ (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $ $ (-170 (-216))) NIL)) (-2550 (((-635 (-635 (-170 (-216)))) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| (-170 (-216)) (-1091)))) (-4480 (((-3 $ "failed") $) NIL (|has| (-170 (-216)) (-366)))) (-4444 (($ $ $) NIL)) (-3360 (((-1109) $) NIL (|has| (-170 (-216)) (-1091)))) (-3174 (($ $ (-170 (-216))) NIL)) (-2941 (((-3 $ "failed") $ (-170 (-216))) NIL (|has| (-170 (-216)) (-559)))) (-4177 (((-121) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-170 (-216))))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1091)))) (($ $ (-289 (-170 (-216)))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1091)))) (($ $ (-170 (-216)) (-170 (-216))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1091)))) (($ $ (-635 (-170 (-216))) (-635 (-170 (-216)))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 17)) (-1534 (((-170 (-216)) $ (-569) (-569)) NIL) (((-170 (-216)) $ (-569) (-569) (-170 (-216))) NIL) (($ $ (-635 (-569)) (-635 (-569))) NIL)) (-2455 (($ (-635 (-170 (-216)))) NIL) (($ (-635 $)) NIL)) (-2584 (((-121) $) NIL)) (-1787 (((-170 (-216)) $) NIL (|has| (-170 (-216)) (-6 (-4537 "*"))))) (-2846 (((-764) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4535))) (((-764) (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-170 (-216)) (-1091))))) (-1971 (($ $) NIL)) (-2753 (((-635 (-146)) $) NIL (|has| (-170 (-216)) (-302)))) (-3419 (((-146) $ (-569)) NIL)) (-2185 (((-851) $) NIL (|has| (-170 (-216)) (-1091))) (($ (-146)) NIL)) (-2066 (((-121) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4535)))) (-2256 (((-121) $) NIL)) (-1668 (((-121) $ $) NIL (|has| (-170 (-216)) (-1091)))) (-1715 (($ $ (-170 (-216))) NIL (|has| (-170 (-216)) (-366)))) (-1711 (($ $ $) NIL) (($ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| (-170 (-216)) (-366)))) (* (($ $ $) NIL) (($ (-170 (-216)) $) NIL) (($ $ (-170 (-216))) NIL) (($ (-569) $) NIL) (((-146) $ (-146)) NIL) (((-146) (-146) $) NIL)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-145) (-13 (-678 (-170 (-216)) (-146) (-146)) (-10 -8 (-15 -2090 ($ (-569) (-569)))))) (T -145)) 
+((-2090 (*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-145))))) 
+(-13 (-678 (-170 (-216)) (-146) (-146)) (-10 -8 (-15 -2090 ($ (-569) (-569))))) 
+((-2568 (((-121) $ $) NIL (|has| (-170 (-216)) (-1091)))) (-2418 (($ (-764)) NIL (|has| (-170 (-216)) (-23)))) (-3916 (($ (-635 (-170 (-216)))) NIL)) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) (-170 (-216)) (-170 (-216))) $) NIL) (((-121) $) NIL (|has| (-170 (-216)) (-843)))) (-3076 (($ (-1 (-121) (-170 (-216)) (-170 (-216))) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| (-170 (-216)) (-843))))) (-3113 (($ (-1 (-121) (-170 (-216)) (-170 (-216))) $) NIL) (($ $) NIL (|has| (-170 (-216)) (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 (((-170 (-216)) $ (-569) (-170 (-216))) 18 (|has| $ (-6 -4536))) (((-170 (-216)) $ (-1213 (-569)) (-170 (-216))) NIL (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-170 (-216)) (-1091))))) (-4347 (($ (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-170 (-216)) (-1091)))) (($ (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-170 (-216)) (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $ (-170 (-216)) (-170 (-216))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-170 (-216)) (-1091)))) (((-170 (-216)) (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $ (-170 (-216))) NIL (|has| $ (-6 -4535))) (((-170 (-216)) (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $) NIL (|has| $ (-6 -4535)))) (-2726 (((-170 (-216)) $ (-569) (-170 (-216))) 9 (|has| $ (-6 -4536)))) (-2090 (($ (-569)) 14)) (-1618 (((-170 (-216)) $ (-569)) 8)) (-3727 (((-569) (-1 (-121) (-170 (-216))) $) NIL) (((-569) (-170 (-216)) $) NIL (|has| (-170 (-216)) (-1091))) (((-569) (-170 (-216)) $ (-569)) NIL (|has| (-170 (-216)) (-1091)))) (-3470 (((-635 (-170 (-216))) $) NIL (|has| $ (-6 -4535)))) (-4404 (((-680 (-170 (-216))) $ $) NIL (|has| (-170 (-216)) (-1048)))) (-2659 (($ (-764) (-170 (-216))) 16)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) 12 (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| (-170 (-216)) (-843)))) (-3288 (($ (-1 (-121) (-170 (-216)) (-170 (-216))) $ $) NIL) (($ $ $) NIL (|has| (-170 (-216)) (-843)))) (-4259 (((-635 (-170 (-216))) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-170 (-216)) (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| (-170 (-216)) (-843)))) (-1853 (($ (-1 (-170 (-216)) (-170 (-216))) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-170 (-216)) (-170 (-216))) $) NIL) (($ (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $ $) NIL)) (-2456 (((-170 (-216)) $) NIL (-12 (|has| (-170 (-216)) (-1003)) (|has| (-170 (-216)) (-1048))))) (-2006 (((-121) $ (-764)) NIL)) (-1906 (((-170 (-216)) $) NIL (-12 (|has| (-170 (-216)) (-1003)) (|has| (-170 (-216)) (-1048))))) (-2776 (((-1145) $) NIL (|has| (-170 (-216)) (-1091)))) (-3614 (($ (-170 (-216)) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| (-170 (-216)) (-1091)))) (-4353 (((-170 (-216)) $) NIL (|has| (-569) (-843)))) (-2502 (((-3 (-170 (-216)) "failed") (-1 (-121) (-170 (-216))) $) NIL)) (-3174 (($ $ (-170 (-216))) 15 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-170 (-216))))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1091)))) (($ $ (-289 (-170 (-216)))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1091)))) (($ $ (-170 (-216)) (-170 (-216))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1091)))) (($ $ (-635 (-170 (-216))) (-635 (-170 (-216)))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-170 (-216)) (-1091))))) (-2691 (((-635 (-170 (-216))) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 13)) (-1534 (((-170 (-216)) $ (-569) (-170 (-216))) NIL) (((-170 (-216)) $ (-569)) 17) (($ $ (-1213 (-569))) NIL)) (-2049 (((-170 (-216)) $ $) NIL (|has| (-170 (-216)) (-1048)))) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-3904 (($ $ $) NIL (|has| (-170 (-216)) (-1048)))) (-2846 (((-764) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4535))) (((-764) (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-170 (-216)) (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-170 (-216)) (-610 (-542))))) (-2139 (($ (-635 (-170 (-216)))) NIL)) (-2250 (($ $ (-170 (-216))) NIL) (($ (-170 (-216)) $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-2185 (((-851) $) NIL (|has| (-170 (-216)) (-1091)))) (-2066 (((-121) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| (-170 (-216)) (-843)))) (-1684 (((-121) $ $) NIL (|has| (-170 (-216)) (-843)))) (-1668 (((-121) $ $) NIL (|has| (-170 (-216)) (-1091)))) (-1688 (((-121) $ $) NIL (|has| (-170 (-216)) (-843)))) (-1678 (((-121) $ $) NIL (|has| (-170 (-216)) (-843)))) (-1711 (($ $) NIL (|has| (-170 (-216)) (-21))) (($ $ $) NIL (|has| (-170 (-216)) (-21)))) (-1707 (($ $ $) NIL (|has| (-170 (-216)) (-25)))) (* (($ (-569) $) NIL (|has| (-170 (-216)) (-21))) (($ (-170 (-216)) $) NIL (|has| (-170 (-216)) (-717))) (($ $ (-170 (-216))) NIL (|has| (-170 (-216)) (-717)))) (-4168 (((-764) $) 11 (|has| $ (-6 -4535))))) 
+(((-146) (-13 (-1245 (-170 (-216))) (-10 -8 (-15 -2090 ($ (-569))) (-15 -3916 ($ (-635 (-170 (-216)))))))) (T -146)) 
+((-2090 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-146)))) (-3916 (*1 *1 *2) (-12 (-5 *2 (-635 (-170 (-216)))) (-5 *1 (-146))))) 
+(-13 (-1245 (-170 (-216))) (-10 -8 (-15 -2090 ($ (-569))) (-15 -3916 ($ (-635 (-170 (-216))))))) 
+((-2381 (($ $ $) 8)) (-1484 (($ $) 7)) (-4248 (($ $ $) 6))) 
+(((-147) (-1278)) (T -147)) 
+((-2381 (*1 *1 *1 *1) (-4 *1 (-147))) (-1484 (*1 *1 *1) (-4 *1 (-147))) (-4248 (*1 *1 *1 *1) (-4 *1 (-147)))) 
+(-13 (-10 -8 (-15 -4248 ($ $ $)) (-15 -1484 ($ $)) (-15 -2381 ($ $ $)))) 
+((-2568 (((-121) $ $) NIL)) (-3280 (((-121) $) 38)) (-2217 (($ $) 50)) (-2713 (($) 25)) (-2085 (((-764)) 16)) (-4327 (($) 24)) (-2413 (($) 26)) (-2599 (((-569) $) 21)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1935 (((-121) $) 40)) (-2869 (($ $) 51)) (-2083 (((-918) $) 22)) (-2776 (((-1145) $) 46)) (-3998 (($ (-918)) 20)) (-4366 (((-121) $) 36)) (-3360 (((-1109) $) NIL)) (-3065 (($) 27)) (-3945 (((-121) $) 34)) (-2185 (((-851) $) 29)) (-3114 (($ (-569)) 18) (($ (-1145)) 49)) (-4346 (((-121) $) 44)) (-2018 (((-121) $) 42)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 13)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 14))) 
+(((-148) (-13 (-837) (-10 -8 (-15 -2599 ((-569) $)) (-15 -3114 ($ (-569))) (-15 -3114 ($ (-1145))) (-15 -2713 ($)) (-15 -2413 ($)) (-15 -3065 ($)) (-15 -2217 ($ $)) (-15 -2869 ($ $)) (-15 -3945 ((-121) $)) (-15 -4366 ((-121) $)) (-15 -2018 ((-121) $)) (-15 -3280 ((-121) $)) (-15 -1935 ((-121) $)) (-15 -4346 ((-121) $))))) (T -148)) 
+((-2599 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-148)))) (-3114 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-148)))) (-3114 (*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-148)))) (-2713 (*1 *1) (-5 *1 (-148))) (-2413 (*1 *1) (-5 *1 (-148))) (-3065 (*1 *1) (-5 *1 (-148))) (-2217 (*1 *1 *1) (-5 *1 (-148))) (-2869 (*1 *1 *1) (-5 *1 (-148))) (-3945 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148)))) (-4366 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148)))) (-2018 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148)))) (-3280 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148)))) (-1935 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148)))) (-4346 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
+(-13 (-837) (-10 -8 (-15 -2599 ((-569) $)) (-15 -3114 ($ (-569))) (-15 -3114 ($ (-1145))) (-15 -2713 ($)) (-15 -2413 ($)) (-15 -3065 ($)) (-15 -2217 ($ $)) (-15 -2869 ($ $)) (-15 -3945 ((-121) $)) (-15 -4366 ((-121) $)) (-15 -2018 ((-121) $)) (-15 -3280 ((-121) $)) (-15 -1935 ((-121) $)) (-15 -4346 ((-121) $)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ (-569)) 27)) (-3953 (((-3 $ "failed") $) 34)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-149) (-1278)) (T -149)) 
+((-3953 (*1 *1 *1) (|partial| -4 *1 (-149)))) 
+(-13 (-1048) (-10 -8 (-15 -3953 ((-3 $ "failed") $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 $) . T) ((-717) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-2742 ((|#1| (-680 |#1|) |#1|) 17))) 
+(((-150 |#1|) (-10 -7 (-15 -2742 (|#1| (-680 |#1|) |#1|))) (-173)) (T -150)) 
+((-2742 (*1 *2 *3 *2) (-12 (-5 *3 (-680 *2)) (-4 *2 (-173)) (-5 *1 (-150 *2))))) 
+(-10 -7 (-15 -2742 (|#1| (-680 |#1|) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ (-569)) 27)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-151) (-1278)) (T -151)) 
+NIL 
+(-13 (-1048)) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 $) . T) ((-717) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-2024 (((-2 (|:| -2356 (-764)) (|:| -4140 (-410 |#2|)) (|:| |radicand| |#2|)) (-410 |#2|) (-764)) 69)) (-3765 (((-3 (-2 (|:| |radicand| (-410 |#2|)) (|:| |deg| (-764))) "failed") |#3|) 51)) (-1720 (((-2 (|:| -4140 (-410 |#2|)) (|:| |poly| |#3|)) |#3|) 36)) (-4150 ((|#1| |#3| |#3|) 39)) (-1468 ((|#3| |#3| (-410 |#2|) (-410 |#2|)) 19)) (-2814 (((-2 (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (-410 |#2|)) (|:| |c2| (-410 |#2|)) (|:| |deg| (-764))) |#3| |#3|) 48))) 
+(((-152 |#1| |#2| |#3|) (-10 -7 (-15 -1720 ((-2 (|:| -4140 (-410 |#2|)) (|:| |poly| |#3|)) |#3|)) (-15 -3765 ((-3 (-2 (|:| |radicand| (-410 |#2|)) (|:| |deg| (-764))) "failed") |#3|)) (-15 -2024 ((-2 (|:| -2356 (-764)) (|:| -4140 (-410 |#2|)) (|:| |radicand| |#2|)) (-410 |#2|) (-764))) (-15 -4150 (|#1| |#3| |#3|)) (-15 -1468 (|#3| |#3| (-410 |#2|) (-410 |#2|))) (-15 -2814 ((-2 (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (-410 |#2|)) (|:| |c2| (-410 |#2|)) (|:| |deg| (-764))) |#3| |#3|))) (-1202) (-1222 |#1|) (-1222 (-410 |#2|))) (T -152)) 
+((-2814 (*1 *2 *3 *3) (-12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| |func| *3) (|:| |poly| *3) (|:| |c1| (-410 *5)) (|:| |c2| (-410 *5)) (|:| |deg| (-764)))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1222 (-410 *5))))) (-1468 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-410 *5)) (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-5 *1 (-152 *4 *5 *2)) (-4 *2 (-1222 *3)))) (-4150 (*1 *2 *3 *3) (-12 (-4 *4 (-1222 *2)) (-4 *2 (-1202)) (-5 *1 (-152 *2 *4 *3)) (-4 *3 (-1222 (-410 *4))))) (-2024 (*1 *2 *3 *4) (-12 (-5 *3 (-410 *6)) (-4 *5 (-1202)) (-4 *6 (-1222 *5)) (-5 *2 (-2 (|:| -2356 (-764)) (|:| -4140 *3) (|:| |radicand| *6))) (-5 *1 (-152 *5 *6 *7)) (-5 *4 (-764)) (-4 *7 (-1222 *3)))) (-3765 (*1 *2 *3) (|partial| -12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| |radicand| (-410 *5)) (|:| |deg| (-764)))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1222 (-410 *5))))) (-1720 (*1 *2 *3) (-12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| -4140 (-410 *5)) (|:| |poly| *3))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1222 (-410 *5)))))) 
+(-10 -7 (-15 -1720 ((-2 (|:| -4140 (-410 |#2|)) (|:| |poly| |#3|)) |#3|)) (-15 -3765 ((-3 (-2 (|:| |radicand| (-410 |#2|)) (|:| |deg| (-764))) "failed") |#3|)) (-15 -2024 ((-2 (|:| -2356 (-764)) (|:| -4140 (-410 |#2|)) (|:| |radicand| |#2|)) (-410 |#2|) (-764))) (-15 -4150 (|#1| |#3| |#3|)) (-15 -1468 (|#3| |#3| (-410 |#2|) (-410 |#2|))) (-15 -2814 ((-2 (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (-410 |#2|)) (|:| |c2| (-410 |#2|)) (|:| |deg| (-764))) |#3| |#3|))) 
+((-1593 (((-3 (-635 (-1159 |#2|)) "failed") (-635 (-1159 |#2|)) (-1159 |#2|)) 31))) 
+(((-153 |#1| |#2|) (-10 -7 (-15 -1593 ((-3 (-635 (-1159 |#2|)) "failed") (-635 (-1159 |#2|)) (-1159 |#2|)))) (-551) (-167 |#1|)) (T -153)) 
+((-1593 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1159 *5))) (-5 *3 (-1159 *5)) (-4 *5 (-167 *4)) (-4 *4 (-551)) (-5 *1 (-153 *4 *5))))) 
+(-10 -7 (-15 -1593 ((-3 (-635 (-1159 |#2|)) "failed") (-635 (-1159 |#2|)) (-1159 |#2|)))) 
+((-1962 (($ (-1 (-121) |#2|) $) 29)) (-2033 (($ $) 36)) (-4347 (($ (-1 (-121) |#2|) $) 27) (($ |#2| $) 32)) (-1774 ((|#2| (-1 |#2| |#2| |#2|) $) 22) ((|#2| (-1 |#2| |#2| |#2|) $ |#2|) 24) ((|#2| (-1 |#2| |#2| |#2|) $ |#2| |#2|) 34)) (-2502 (((-3 |#2| "failed") (-1 (-121) |#2|) $) 19)) (-4177 (((-121) (-1 (-121) |#2|) $) 16)) (-2846 (((-764) (-1 (-121) |#2|) $) 13) (((-764) |#2| $) NIL)) (-2066 (((-121) (-1 (-121) |#2|) $) 15)) (-4168 (((-764) $) 11))) 
+(((-154 |#1| |#2|) (-10 -8 (-15 -2033 (|#1| |#1|)) (-15 -4347 (|#1| |#2| |#1|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -1962 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4347 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -2502 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -2846 ((-764) |#2| |#1|)) (-15 -2846 ((-764) (-1 (-121) |#2|) |#1|)) (-15 -4177 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2066 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -4168 ((-764) |#1|))) (-155 |#2|) (-1197)) (T -154)) 
+NIL 
+(-10 -8 (-15 -2033 (|#1| |#1|)) (-15 -4347 (|#1| |#2| |#1|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -1962 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4347 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -2502 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -2846 ((-764) |#2| |#1|)) (-15 -2846 ((-764) (-1 (-121) |#2|) |#1|)) (-15 -4177 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2066 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -4168 ((-764) |#1|))) 
+((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) 8)) (-1962 (($ (-1 (-121) |#1|) $) 41 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-2033 (($ $) 38 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4535))) (($ |#1| $) 39 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $) 44 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 43 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 40 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 45)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-3817 (((-542) $) 37 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 46)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-155 |#1|) (-1278) (-1197)) (T -155)) 
+((-2139 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-4 *1 (-155 *3)))) (-2502 (*1 *2 *3 *1) (|partial| -12 (-5 *3 (-1 (-121) *2)) (-4 *1 (-155 *2)) (-4 *2 (-1197)))) (-1774 (*1 *2 *3 *1) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4535)) (-4 *1 (-155 *2)) (-4 *2 (-1197)))) (-1774 (*1 *2 *3 *1 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4535)) (-4 *1 (-155 *2)) (-4 *2 (-1197)))) (-4347 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4535)) (-4 *1 (-155 *3)) (-4 *3 (-1197)))) (-1962 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4535)) (-4 *1 (-155 *3)) (-4 *3 (-1197)))) (-1774 (*1 *2 *3 *1 *2 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1091)) (|has| *1 (-6 -4535)) (-4 *1 (-155 *2)) (-4 *2 (-1197)))) (-4347 (*1 *1 *2 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-155 *2)) (-4 *2 (-1197)) (-4 *2 (-1091)))) (-2033 (*1 *1 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-155 *2)) (-4 *2 (-1197)) (-4 *2 (-1091))))) 
+(-13 (-500 |t#1|) (-10 -8 (-15 -2139 ($ (-635 |t#1|))) (-15 -2502 ((-3 |t#1| "failed") (-1 (-121) |t#1|) $)) (IF (|has| $ (-6 -4535)) (PROGN (-15 -1774 (|t#1| (-1 |t#1| |t#1| |t#1|) $)) (-15 -1774 (|t#1| (-1 |t#1| |t#1| |t#1|) $ |t#1|)) (-15 -4347 ($ (-1 (-121) |t#1|) $)) (-15 -1962 ($ (-1 (-121) |t#1|) $)) (IF (|has| |t#1| (-1091)) (PROGN (-15 -1774 (|t#1| (-1 |t#1| |t#1| |t#1|) $ |t#1| |t#1|)) (-15 -4347 ($ |t#1| $)) (-15 -2033 ($ $))) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) 85)) (-1407 (((-121) $) NIL)) (-1763 (($ |#2| (-635 (-918))) 56)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-3086 (($ (-918)) 48)) (-2369 (((-140)) 23)) (-2185 (((-851) $) 68) (($ (-569)) 46) (($ |#2|) 47)) (-1653 ((|#2| $ (-635 (-918))) 58)) (-1991 (((-764)) 20)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 40 T CONST)) (-1556 (($) 44 T CONST)) (-1668 (((-121) $ $) 26)) (-1715 (($ $ |#2|) NIL)) (-1711 (($ $) 34) (($ $ $) 32)) (-1707 (($ $ $) 30)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 37) (($ $ $) 52) (($ |#2| $) 39) (($ $ |#2|) NIL))) 
+(((-156 |#1| |#2| |#3|) (-13 (-1048) (-43 |#2|) (-1254 |#2|) (-10 -8 (-15 -3086 ($ (-918))) (-15 -1763 ($ |#2| (-635 (-918)))) (-15 -1653 (|#2| $ (-635 (-918)))) (-15 -3428 ((-3 $ "failed") $)))) (-918) (-366) (-995 |#1| |#2|)) (T -156)) 
+((-3428 (*1 *1 *1) (|partial| -12 (-5 *1 (-156 *2 *3 *4)) (-14 *2 (-918)) (-4 *3 (-366)) (-14 *4 (-995 *2 *3)))) (-3086 (*1 *1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-156 *3 *4 *5)) (-14 *3 *2) (-4 *4 (-366)) (-14 *5 (-995 *3 *4)))) (-1763 (*1 *1 *2 *3) (-12 (-5 *3 (-635 (-918))) (-5 *1 (-156 *4 *2 *5)) (-14 *4 (-918)) (-4 *2 (-366)) (-14 *5 (-995 *4 *2)))) (-1653 (*1 *2 *1 *3) (-12 (-5 *3 (-635 (-918))) (-4 *2 (-366)) (-5 *1 (-156 *4 *2 *5)) (-14 *4 (-918)) (-14 *5 (-995 *4 *2))))) 
+(-13 (-1048) (-43 |#2|) (-1254 |#2|) (-10 -8 (-15 -3086 ($ (-918))) (-15 -1763 ($ |#2| (-635 (-918)))) (-15 -1653 (|#2| $ (-635 (-918)))) (-15 -3428 ((-3 $ "failed") $)))) 
+((-3748 (((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-635 (-635 (-945 (-216)))) (-216) (-216) (-216) (-216)) 38)) (-4328 (((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-928) (-410 (-569)) (-410 (-569))) 62) (((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-928)) 63)) (-3341 (((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-635 (-635 (-945 (-216))))) 66) (((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-635 (-945 (-216)))) 65) (((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-928) (-410 (-569)) (-410 (-569))) 57) (((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-928)) 58))) 
+(((-157) (-10 -7 (-15 -3341 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-928))) (-15 -3341 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-928) (-410 (-569)) (-410 (-569)))) (-15 -4328 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-928))) (-15 -4328 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-928) (-410 (-569)) (-410 (-569)))) (-15 -3748 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-635 (-635 (-945 (-216)))) (-216) (-216) (-216) (-216))) (-15 -3341 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-635 (-945 (-216))))) (-15 -3341 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-635 (-635 (-945 (-216)))))))) (T -157)) 
+((-3341 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216))))) (-5 *1 (-157)) (-5 *3 (-635 (-635 (-945 (-216))))))) (-3341 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216))))) (-5 *1 (-157)) (-5 *3 (-635 (-945 (-216)))))) (-3748 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *4 (-216)) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 *4)))) (|:| |xValues| (-1085 *4)) (|:| |yValues| (-1085 *4)))) (-5 *1 (-157)) (-5 *3 (-635 (-635 (-945 *4)))))) (-4328 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-928)) (-5 *4 (-410 (-569))) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216))))) (-5 *1 (-157)))) (-4328 (*1 *2 *3) (-12 (-5 *3 (-928)) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216))))) (-5 *1 (-157)))) (-3341 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-928)) (-5 *4 (-410 (-569))) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216))))) (-5 *1 (-157)))) (-3341 (*1 *2 *3) (-12 (-5 *3 (-928)) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216))))) (-5 *1 (-157))))) 
+(-10 -7 (-15 -3341 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-928))) (-15 -3341 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-928) (-410 (-569)) (-410 (-569)))) (-15 -4328 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-928))) (-15 -4328 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-928) (-410 (-569)) (-410 (-569)))) (-15 -3748 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-635 (-635 (-945 (-216)))) (-216) (-216) (-216) (-216))) (-15 -3341 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-635 (-945 (-216))))) (-15 -3341 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-635 (-635 (-945 (-216))))))) 
+((-3749 (((-635 (-170 |#2|)) |#1| |#2|) 45))) 
+(((-158 |#1| |#2|) (-10 -7 (-15 -3749 ((-635 (-170 |#2|)) |#1| |#2|))) (-1222 (-170 (-569))) (-13 (-366) (-841))) (T -158)) 
+((-3749 (*1 *2 *3 *4) (-12 (-5 *2 (-635 (-170 *4))) (-5 *1 (-158 *3 *4)) (-4 *3 (-1222 (-170 (-569)))) (-4 *4 (-13 (-366) (-841)))))) 
+(-10 -7 (-15 -3749 ((-635 (-170 |#2|)) |#1| |#2|))) 
+((-2568 (((-121) $ $) NIL)) (-4405 (($) 15)) (-3954 (($) 14)) (-2388 (((-918)) 22)) (-2776 (((-1145) $) NIL)) (-1786 (((-569) $) 19)) (-3360 (((-1109) $) NIL)) (-2866 (($) 16)) (-3742 (($ (-569)) 23)) (-2185 (((-851) $) 29)) (-3972 (($) 17)) (-1668 (((-121) $ $) 13)) (-1707 (($ $ $) 11)) (* (($ (-918) $) 21) (($ (-216) $) 8))) 
+(((-159) (-13 (-25) (-10 -8 (-15 * ($ (-918) $)) (-15 * ($ (-216) $)) (-15 -1707 ($ $ $)) (-15 -3954 ($)) (-15 -4405 ($)) (-15 -2866 ($)) (-15 -3972 ($)) (-15 -1786 ((-569) $)) (-15 -2388 ((-918))) (-15 -3742 ($ (-569)))))) (T -159)) 
+((-1707 (*1 *1 *1 *1) (-5 *1 (-159))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-918)) (-5 *1 (-159)))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-216)) (-5 *1 (-159)))) (-3954 (*1 *1) (-5 *1 (-159))) (-4405 (*1 *1) (-5 *1 (-159))) (-2866 (*1 *1) (-5 *1 (-159))) (-3972 (*1 *1) (-5 *1 (-159))) (-1786 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-159)))) (-2388 (*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-159)))) (-3742 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-159))))) 
+(-13 (-25) (-10 -8 (-15 * ($ (-918) $)) (-15 * ($ (-216) $)) (-15 -1707 ($ $ $)) (-15 -3954 ($)) (-15 -4405 ($)) (-15 -2866 ($)) (-15 -3972 ($)) (-15 -1786 ((-569) $)) (-15 -2388 ((-918))) (-15 -3742 ($ (-569))))) 
+((-3210 ((|#2| |#2| (-1083 |#2|)) 87) ((|#2| |#2| (-1163)) 67)) (-1592 ((|#2| |#2| (-1083 |#2|)) 86) ((|#2| |#2| (-1163)) 66)) (-2381 ((|#2| |#2| |#2|) 27)) (-2265 (((-123) (-123)) 97)) (-1566 ((|#2| (-635 |#2|)) 116)) (-1724 ((|#2| (-635 |#2|)) 134)) (-1968 ((|#2| (-635 |#2|)) 124)) (-2164 ((|#2| |#2|) 122)) (-2181 ((|#2| (-635 |#2|)) 109)) (-4272 ((|#2| (-635 |#2|)) 110)) (-2180 ((|#2| (-635 |#2|)) 132)) (-4219 ((|#2| |#2| (-1163)) 54) ((|#2| |#2|) 53)) (-1484 ((|#2| |#2|) 23)) (-4248 ((|#2| |#2| |#2|) 26)) (-1524 (((-121) (-123)) 47)) (** ((|#2| |#2| |#2|) 38))) 
+(((-160 |#1| |#2|) (-10 -7 (-15 -1524 ((-121) (-123))) (-15 -2265 ((-123) (-123))) (-15 ** (|#2| |#2| |#2|)) (-15 -4248 (|#2| |#2| |#2|)) (-15 -2381 (|#2| |#2| |#2|)) (-15 -1484 (|#2| |#2|)) (-15 -4219 (|#2| |#2|)) (-15 -4219 (|#2| |#2| (-1163))) (-15 -3210 (|#2| |#2| (-1163))) (-15 -3210 (|#2| |#2| (-1083 |#2|))) (-15 -1592 (|#2| |#2| (-1163))) (-15 -1592 (|#2| |#2| (-1083 |#2|))) (-15 -2164 (|#2| |#2|)) (-15 -2180 (|#2| (-635 |#2|))) (-15 -1968 (|#2| (-635 |#2|))) (-15 -1724 (|#2| (-635 |#2|))) (-15 -2181 (|#2| (-635 |#2|))) (-15 -4272 (|#2| (-635 |#2|))) (-15 -1566 (|#2| (-635 |#2|)))) (-13 (-843) (-559)) (-433 |#1|)) (T -160)) 
+((-1566 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-843) (-559))))) (-4272 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-843) (-559))))) (-2181 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-843) (-559))))) (-1724 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-843) (-559))))) (-1968 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-843) (-559))))) (-2180 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-843) (-559))))) (-2164 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) (-1592 (*1 *2 *2 *3) (-12 (-5 *3 (-1083 *2)) (-4 *2 (-433 *4)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-160 *4 *2)))) (-1592 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-160 *4 *2)) (-4 *2 (-433 *4)))) (-3210 (*1 *2 *2 *3) (-12 (-5 *3 (-1083 *2)) (-4 *2 (-433 *4)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-160 *4 *2)))) (-3210 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-160 *4 *2)) (-4 *2 (-433 *4)))) (-4219 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-160 *4 *2)) (-4 *2 (-433 *4)))) (-4219 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) (-1484 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) (-2381 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) (-4248 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) (** (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) (-2265 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *4)) (-4 *4 (-433 *3)))) (-1524 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-121)) (-5 *1 (-160 *4 *5)) (-4 *5 (-433 *4))))) 
+(-10 -7 (-15 -1524 ((-121) (-123))) (-15 -2265 ((-123) (-123))) (-15 ** (|#2| |#2| |#2|)) (-15 -4248 (|#2| |#2| |#2|)) (-15 -2381 (|#2| |#2| |#2|)) (-15 -1484 (|#2| |#2|)) (-15 -4219 (|#2| |#2|)) (-15 -4219 (|#2| |#2| (-1163))) (-15 -3210 (|#2| |#2| (-1163))) (-15 -3210 (|#2| |#2| (-1083 |#2|))) (-15 -1592 (|#2| |#2| (-1163))) (-15 -1592 (|#2| |#2| (-1083 |#2|))) (-15 -2164 (|#2| |#2|)) (-15 -2180 (|#2| (-635 |#2|))) (-15 -1968 (|#2| (-635 |#2|))) (-15 -1724 (|#2| (-635 |#2|))) (-15 -2181 (|#2| (-635 |#2|))) (-15 -4272 (|#2| (-635 |#2|))) (-15 -1566 (|#2| (-635 |#2|)))) 
+((-2341 ((|#1| |#1| |#1|) 52)) (-3281 ((|#1| |#1| |#1|) 49)) (-2381 ((|#1| |#1| |#1|) 43)) (-2431 ((|#1| |#1|) 34)) (-3263 ((|#1| |#1| (-635 |#1|)) 42)) (-1484 ((|#1| |#1|) 36)) (-4248 ((|#1| |#1| |#1|) 39))) 
+(((-161 |#1|) (-10 -7 (-15 -4248 (|#1| |#1| |#1|)) (-15 -1484 (|#1| |#1|)) (-15 -3263 (|#1| |#1| (-635 |#1|))) (-15 -2431 (|#1| |#1|)) (-15 -2381 (|#1| |#1| |#1|)) (-15 -3281 (|#1| |#1| |#1|)) (-15 -2341 (|#1| |#1| |#1|))) (-551)) (T -161)) 
+((-2341 (*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) (-3281 (*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) (-2381 (*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) (-2431 (*1 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) (-3263 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-551)) (-5 *1 (-161 *2)))) (-1484 (*1 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) (-4248 (*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551))))) 
+(-10 -7 (-15 -4248 (|#1| |#1| |#1|)) (-15 -1484 (|#1| |#1|)) (-15 -3263 (|#1| |#1| (-635 |#1|))) (-15 -2431 (|#1| |#1|)) (-15 -2381 (|#1| |#1| |#1|)) (-15 -3281 (|#1| |#1| |#1|)) (-15 -2341 (|#1| |#1| |#1|))) 
+((-3210 (($ $ (-1163)) 12) (($ $ (-1083 $)) 11)) (-1592 (($ $ (-1163)) 10) (($ $ (-1083 $)) 9)) (-2381 (($ $ $) 8)) (-4219 (($ $) 14) (($ $ (-1163)) 13)) (-1484 (($ $) 7)) (-4248 (($ $ $) 6))) 
+(((-162) (-1278)) (T -162)) 
+((-4219 (*1 *1 *1) (-4 *1 (-162))) (-4219 (*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1163)))) (-3210 (*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1163)))) (-3210 (*1 *1 *1 *2) (-12 (-5 *2 (-1083 *1)) (-4 *1 (-162)))) (-1592 (*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1163)))) (-1592 (*1 *1 *1 *2) (-12 (-5 *2 (-1083 *1)) (-4 *1 (-162))))) 
+(-13 (-147) (-10 -8 (-15 -4219 ($ $)) (-15 -4219 ($ $ (-1163))) (-15 -3210 ($ $ (-1163))) (-15 -3210 ($ $ (-1083 $))) (-15 -1592 ($ $ (-1163))) (-15 -1592 ($ $ (-1083 $))))) 
+(((-147) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3993 (($ (-569)) 13) (($ $ $) 14)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 17)) (-1668 (((-121) $ $) 9))) 
+(((-163) (-13 (-1091) (-10 -8 (-15 -3993 ($ (-569))) (-15 -3993 ($ $ $))))) (T -163)) 
+((-3993 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-163)))) (-3993 (*1 *1 *1 *1) (-5 *1 (-163)))) 
+(-13 (-1091) (-10 -8 (-15 -3993 ($ (-569))) (-15 -3993 ($ $ $)))) 
+((-2265 (((-123) (-1163)) 99))) 
+(((-164) (-10 -7 (-15 -2265 ((-123) (-1163))))) (T -164)) 
+((-2265 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-123)) (-5 *1 (-164))))) 
+(-10 -7 (-15 -2265 ((-123) (-1163)))) 
+((-1478 ((|#3| |#3|) 19))) 
+(((-165 |#1| |#2| |#3|) (-10 -7 (-15 -1478 (|#3| |#3|))) (-1048) (-1222 |#1|) (-1222 |#2|)) (T -165)) 
+((-1478 (*1 *2 *2) (-12 (-4 *3 (-1048)) (-4 *4 (-1222 *3)) (-5 *1 (-165 *3 *4 *2)) (-4 *2 (-1222 *4))))) 
+(-10 -7 (-15 -1478 (|#3| |#3|))) 
+((-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 215)) (-1377 ((|#2| $) 95)) (-1753 (($ $) 242)) (-2530 (($ $) 236)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) 39)) (-1744 (($ $) 240)) (-2513 (($ $) 234)) (-1647 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#2| "failed") $) 139)) (-2428 (((-569) $) NIL) (((-410 (-569)) $) NIL) ((|#2| $) 137)) (-2506 (($ $ $) 220)) (-1696 (((-680 (-569)) (-680 $)) NIL) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) 153) (((-680 |#2|) (-680 $)) 147)) (-1774 (($ (-1159 |#2|)) 118) (((-3 $ "failed") (-410 (-1159 |#2|))) NIL)) (-3428 (((-3 $ "failed") $) 207)) (-4401 (((-3 (-410 (-569)) "failed") $) 197)) (-3103 (((-121) $) 192)) (-1442 (((-410 (-569)) $) 195)) (-1321 (((-918)) 88)) (-2524 (($ $ $) 222)) (-2366 (((-2 (|:| |r| |#2|) (|:| |phi| |#2|)) $) 258)) (-2445 (($) 231)) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 184) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 189)) (-4308 ((|#2| $) 93)) (-2770 (((-1159 |#2|) $) 120)) (-1544 (($ (-1 |#2| |#2|) $) 101)) (-4450 (($ $) 233)) (-1769 (((-1159 |#2|) $) 119)) (-1795 (($ $) 200)) (-4512 (($) 96)) (-1721 (((-421 (-1159 $)) (-1159 $)) 87)) (-1568 (((-421 (-1159 $)) (-1159 $)) 56)) (-2941 (((-3 $ "failed") $ |#2|) 202) (((-3 $ "failed") $ $) 205)) (-2436 (($ $) 232)) (-2622 (((-764) $) 217)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 226)) (-2087 ((|#2| (-1247 $)) NIL) ((|#2|) 90)) (-3899 (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-1 |#2| |#2|)) 112) (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163)) NIL) (($ $ (-764)) NIL) (($ $) NIL)) (-2745 (((-1159 |#2|)) 113)) (-1748 (($ $) 241)) (-2522 (($ $) 235)) (-1648 (((-1247 |#2|) $ (-1247 $)) 126) (((-680 |#2|) (-1247 $) (-1247 $)) NIL) (((-1247 |#2|) $) 109) (((-680 |#2|) (-1247 $)) NIL)) (-3817 (((-1247 |#2|) $) NIL) (($ (-1247 |#2|)) NIL) (((-1159 |#2|) $) NIL) (($ (-1159 |#2|)) NIL) (((-888 (-569)) $) 175) (((-888 (-382)) $) 179) (((-170 (-382)) $) 165) (((-170 (-216)) $) 160) (((-542) $) 171)) (-1414 (($ $) 97)) (-2185 (((-851) $) 136) (($ (-569)) NIL) (($ |#2|) NIL) (($ (-410 (-569))) NIL) (($ $) NIL)) (-2742 (((-1159 |#2|) $) 23)) (-1991 (((-764)) 99)) (-1779 (($ $) 245)) (-1727 (($ $) 239)) (-1770 (($ $) 243)) (-2561 (($ $) 237)) (-1408 ((|#2| $) 230)) (-1775 (($ $) 244)) (-2569 (($ $) 238)) (-1616 (($ $) 155)) (-1668 (((-121) $ $) 103)) (-1678 (((-121) $ $) 191)) (-1711 (($ $) 105) (($ $ $) NIL)) (-1707 (($ $ $) 104)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-410 (-569))) 264) (($ $ $) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 111) (($ $ $) 140) (($ $ |#2|) NIL) (($ |#2| $) 107) (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL))) 
+(((-166 |#1| |#2|) (-10 -8 (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -2185 (|#1| |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1585 ((-2 (|:| -4276 |#1|) (|:| -4522 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -2622 ((-764) |#1|)) (-15 -2609 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -2524 (|#1| |#1| |#1|)) (-15 -2506 (|#1| |#1| |#1|)) (-15 -1795 (|#1| |#1|)) (-15 ** (|#1| |#1| (-569))) (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -1678 ((-121) |#1| |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -3817 ((-170 (-216)) |#1|)) (-15 -3817 ((-170 (-382)) |#1|)) (-15 -2530 (|#1| |#1|)) (-15 -2513 (|#1| |#1|)) (-15 -2522 (|#1| |#1|)) (-15 -2569 (|#1| |#1|)) (-15 -2561 (|#1| |#1|)) (-15 -1727 (|#1| |#1|)) (-15 -1748 (|#1| |#1|)) (-15 -1744 (|#1| |#1|)) (-15 -1753 (|#1| |#1|)) (-15 -1775 (|#1| |#1|)) (-15 -1770 (|#1| |#1|)) (-15 -1779 (|#1| |#1|)) (-15 -4450 (|#1| |#1|)) (-15 -2436 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 -2445 (|#1|)) (-15 ** (|#1| |#1| (-410 (-569)))) (-15 -1568 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1721 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1593 ((-3 (-635 (-1159 |#1|)) "failed") (-635 (-1159 |#1|)) (-1159 |#1|))) (-15 -4401 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1442 ((-410 (-569)) |#1|)) (-15 -3103 ((-121) |#1|)) (-15 -2366 ((-2 (|:| |r| |#2|) (|:| |phi| |#2|)) |#1|)) (-15 -1408 (|#2| |#1|)) (-15 -1616 (|#1| |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#2|)) (-15 -1414 (|#1| |#1|)) (-15 -4512 (|#1|)) (-15 -3817 ((-888 (-382)) |#1|)) (-15 -3817 ((-888 (-569)) |#1|)) (-15 -2883 ((-885 (-382) |#1|) |#1| (-888 (-382)) (-885 (-382) |#1|))) (-15 -2883 ((-885 (-569) |#1|) |#1| (-888 (-569)) (-885 (-569) |#1|))) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -1774 ((-3 |#1| "failed") (-410 (-1159 |#2|)))) (-15 -1769 ((-1159 |#2|) |#1|)) (-15 -3817 (|#1| (-1159 |#2|))) (-15 -1774 (|#1| (-1159 |#2|))) (-15 -2745 ((-1159 |#2|))) (-15 -1696 ((-680 |#2|) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-680 (-569)) (-680 |#1|))) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -3817 ((-1159 |#2|) |#1|)) (-15 -2087 (|#2|)) (-15 -3817 (|#1| (-1247 |#2|))) (-15 -3817 ((-1247 |#2|) |#1|)) (-15 -1648 ((-680 |#2|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1|)) (-15 -2770 ((-1159 |#2|) |#1|)) (-15 -2742 ((-1159 |#2|) |#1|)) (-15 -2087 (|#2| (-1247 |#1|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1| (-1247 |#1|))) (-15 -4308 (|#2| |#1|)) (-15 -1377 (|#2| |#1|)) (-15 -1321 ((-918))) (-15 -2185 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -2185 (|#1| (-569))) (-15 -1991 ((-764))) (-15 ** (|#1| |#1| (-764))) (-15 -3428 ((-3 |#1| "failed") |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-918))) (-15 * (|#1| (-569) |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|)) (-15 -1707 (|#1| |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1668 ((-121) |#1| |#1|))) (-167 |#2|) (-173)) (T -166)) 
+((-1991 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-764)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4)))) (-1321 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-918)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4)))) (-2087 (*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-166 *3 *2)) (-4 *3 (-167 *2)))) (-2745 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1159 *4)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4))))) 
+(-10 -8 (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -2185 (|#1| |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1585 ((-2 (|:| -4276 |#1|) (|:| -4522 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -2622 ((-764) |#1|)) (-15 -2609 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -2524 (|#1| |#1| |#1|)) (-15 -2506 (|#1| |#1| |#1|)) (-15 -1795 (|#1| |#1|)) (-15 ** (|#1| |#1| (-569))) (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -1678 ((-121) |#1| |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -3817 ((-170 (-216)) |#1|)) (-15 -3817 ((-170 (-382)) |#1|)) (-15 -2530 (|#1| |#1|)) (-15 -2513 (|#1| |#1|)) (-15 -2522 (|#1| |#1|)) (-15 -2569 (|#1| |#1|)) (-15 -2561 (|#1| |#1|)) (-15 -1727 (|#1| |#1|)) (-15 -1748 (|#1| |#1|)) (-15 -1744 (|#1| |#1|)) (-15 -1753 (|#1| |#1|)) (-15 -1775 (|#1| |#1|)) (-15 -1770 (|#1| |#1|)) (-15 -1779 (|#1| |#1|)) (-15 -4450 (|#1| |#1|)) (-15 -2436 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 -2445 (|#1|)) (-15 ** (|#1| |#1| (-410 (-569)))) (-15 -1568 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1721 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1593 ((-3 (-635 (-1159 |#1|)) "failed") (-635 (-1159 |#1|)) (-1159 |#1|))) (-15 -4401 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1442 ((-410 (-569)) |#1|)) (-15 -3103 ((-121) |#1|)) (-15 -2366 ((-2 (|:| |r| |#2|) (|:| |phi| |#2|)) |#1|)) (-15 -1408 (|#2| |#1|)) (-15 -1616 (|#1| |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#2|)) (-15 -1414 (|#1| |#1|)) (-15 -4512 (|#1|)) (-15 -3817 ((-888 (-382)) |#1|)) (-15 -3817 ((-888 (-569)) |#1|)) (-15 -2883 ((-885 (-382) |#1|) |#1| (-888 (-382)) (-885 (-382) |#1|))) (-15 -2883 ((-885 (-569) |#1|) |#1| (-888 (-569)) (-885 (-569) |#1|))) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -1774 ((-3 |#1| "failed") (-410 (-1159 |#2|)))) (-15 -1769 ((-1159 |#2|) |#1|)) (-15 -3817 (|#1| (-1159 |#2|))) (-15 -1774 (|#1| (-1159 |#2|))) (-15 -2745 ((-1159 |#2|))) (-15 -1696 ((-680 |#2|) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-680 (-569)) (-680 |#1|))) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -3817 ((-1159 |#2|) |#1|)) (-15 -2087 (|#2|)) (-15 -3817 (|#1| (-1247 |#2|))) (-15 -3817 ((-1247 |#2|) |#1|)) (-15 -1648 ((-680 |#2|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1|)) (-15 -2770 ((-1159 |#2|) |#1|)) (-15 -2742 ((-1159 |#2|) |#1|)) (-15 -2087 (|#2| (-1247 |#1|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1| (-1247 |#1|))) (-15 -4308 (|#2| |#1|)) (-15 -1377 (|#2| |#1|)) (-15 -1321 ((-918))) (-15 -2185 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -2185 (|#1| (-569))) (-15 -1991 ((-764))) (-15 ** (|#1| |#1| (-764))) (-15 -3428 ((-3 |#1| "failed") |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-918))) (-15 * (|#1| (-569) |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|)) (-15 -1707 (|#1| |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1668 ((-121) |#1| |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 87 (-2232 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905)))))) (-3383 (($ $) 88 (-2232 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905)))))) (-4354 (((-121) $) 90 (-2232 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905)))))) (-3294 (((-680 |#1|) (-1247 $)) 44) (((-680 |#1|)) 55)) (-1377 ((|#1| $) 50)) (-1753 (($ $) 212 (|has| |#1| (-1183)))) (-2530 (($ $) 195 (|has| |#1| (-1183)))) (-2620 (((-1171 (-918) (-764)) (-569)) 141 (|has| |#1| (-351)))) (-2327 (((-3 $ "failed") $ $) 18)) (-2379 (((-421 (-1159 $)) (-1159 $)) 226 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))))) (-2004 (($ $) 107 (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-366))))) (-2446 (((-421 $) $) 108 (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-366))))) (-2454 (($ $) 225 (-12 (|has| |#1| (-1003)) (|has| |#1| (-1183))))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) 229 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))))) (-3934 (((-121) $ $) 98 (|has| |#1| (-302)))) (-2085 (((-764)) 81 (|has| |#1| (-371)))) (-1744 (($ $) 211 (|has| |#1| (-1183)))) (-2513 (($ $) 196 (|has| |#1| (-1183)))) (-1760 (($ $) 210 (|has| |#1| (-1183)))) (-2546 (($ $) 197 (|has| |#1| (-1183)))) (-2820 (($) 16 T CONST)) (-1647 (((-3 (-569) "failed") $) 163 (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) 161 (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) 160)) (-2428 (((-569) $) 164 (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) 162 (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) 159)) (-2623 (($ (-1247 |#1|) (-1247 $)) 46) (($ (-1247 |#1|)) 58)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) 147 (|has| |#1| (-351)))) (-2506 (($ $ $) 102 (|has| |#1| (-302)))) (-3325 (((-680 |#1|) $ (-1247 $)) 51) (((-680 |#1|) $) 53)) (-1696 (((-680 (-569)) (-680 $)) 158 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 157 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 156) (((-680 |#1|) (-680 $)) 155)) (-1774 (($ (-1159 |#1|)) 152) (((-3 $ "failed") (-410 (-1159 |#1|))) 149 (|has| |#1| (-366)))) (-3428 (((-3 $ "failed") $) 33)) (-1747 ((|#1| $) 237)) (-4401 (((-3 (-410 (-569)) "failed") $) 230 (|has| |#1| (-551)))) (-3103 (((-121) $) 232 (|has| |#1| (-551)))) (-1442 (((-410 (-569)) $) 231 (|has| |#1| (-551)))) (-1321 (((-918)) 52)) (-4327 (($) 84 (|has| |#1| (-371)))) (-2524 (($ $ $) 101 (|has| |#1| (-302)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 96 (|has| |#1| (-302)))) (-3188 (($) 143 (|has| |#1| (-351)))) (-3354 (((-121) $) 144 (|has| |#1| (-351)))) (-2751 (($ $ (-764)) 135 (|has| |#1| (-351))) (($ $) 134 (|has| |#1| (-351)))) (-3726 (((-121) $) 109 (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-366))))) (-2366 (((-2 (|:| |r| |#1|) (|:| |phi| |#1|)) $) 233 (-12 (|has| |#1| (-1057)) (|has| |#1| (-1183))))) (-2445 (($) 222 (|has| |#1| (-1183)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 245 (|has| |#1| (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 244 (|has| |#1| (-882 (-382))))) (-2558 (((-918) $) 146 (|has| |#1| (-351))) (((-829 (-918)) $) 132 (|has| |#1| (-351)))) (-1407 (((-121) $) 30)) (-4344 (($ $ (-569)) 224 (-12 (|has| |#1| (-1003)) (|has| |#1| (-1183))))) (-4308 ((|#1| $) 49)) (-3846 (((-3 $ "failed") $) 136 (|has| |#1| (-351)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 105 (|has| |#1| (-302)))) (-2770 (((-1159 |#1|) $) 42 (|has| |#1| (-366)))) (-3291 (($ $ $) 191 (|has| |#1| (-843)))) (-1538 (($ $ $) 190 (|has| |#1| (-843)))) (-1544 (($ (-1 |#1| |#1|) $) 246)) (-2083 (((-918) $) 83 (|has| |#1| (-371)))) (-4450 (($ $) 219 (|has| |#1| (-1183)))) (-1769 (((-1159 |#1|) $) 150)) (-2665 (($ (-635 $)) 94 (-2232 (|has| |#1| (-302)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905))))) (($ $ $) 93 (-2232 (|has| |#1| (-302)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905)))))) (-2776 (((-1145) $) 9)) (-1795 (($ $) 110 (|has| |#1| (-366)))) (-4043 (($) 137 (|has| |#1| (-351)) CONST)) (-3998 (($ (-918)) 82 (|has| |#1| (-371)))) (-4512 (($) 241)) (-1751 ((|#1| $) 238)) (-3360 (((-1109) $) 10)) (-1809 (($) 154)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 95 (-2232 (|has| |#1| (-302)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905)))))) (-2714 (($ (-635 $)) 92 (-2232 (|has| |#1| (-302)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905))))) (($ $ $) 91 (-2232 (|has| |#1| (-302)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905)))))) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) 140 (|has| |#1| (-351)))) (-1721 (((-421 (-1159 $)) (-1159 $)) 228 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))))) (-1568 (((-421 (-1159 $)) (-1159 $)) 227 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))))) (-1743 (((-421 $) $) 106 (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-366))))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 104 (|has| |#1| (-302))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 103 (|has| |#1| (-302)))) (-2941 (((-3 $ "failed") $ |#1|) 236 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 86 (-2232 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905)))))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 97 (|has| |#1| (-302)))) (-2436 (($ $) 220 (|has| |#1| (-1183)))) (-1468 (($ $ (-635 |#1|) (-635 |#1|)) 252 (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) 251 (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) 250 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) 249 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1163)) (-635 |#1|)) 248 (|has| |#1| (-524 (-1163) |#1|))) (($ $ (-1163) |#1|) 247 (|has| |#1| (-524 (-1163) |#1|)))) (-2622 (((-764) $) 99 (|has| |#1| (-302)))) (-1534 (($ $ |#1|) 253 (|has| |#1| (-282 |#1| |#1|)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 100 (|has| |#1| (-302)))) (-2087 ((|#1| (-1247 $)) 45) ((|#1|) 54)) (-1291 (((-764) $) 145 (|has| |#1| (-351))) (((-3 (-764) "failed") $ $) 133 (|has| |#1| (-351)))) (-3899 (($ $ (-1 |#1| |#1|) (-764)) 117) (($ $ (-1 |#1| |#1|)) 116) (($ $ (-635 (-1163)) (-635 (-764))) 124 (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) 125 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) 126 (|has| |#1| (-896 (-1163)))) (($ $ (-1163)) 127 (|has| |#1| (-896 (-1163)))) (($ $ (-764)) 129 (-2232 (-2206 (|has| |#1| (-366)) (|has| |#1| (-226))) (|has| |#1| (-226)) (-2206 (|has| |#1| (-226)) (|has| |#1| (-366))))) (($ $) 131 (-2232 (-2206 (|has| |#1| (-366)) (|has| |#1| (-226))) (|has| |#1| (-226)) (-2206 (|has| |#1| (-226)) (|has| |#1| (-366)))))) (-3497 (((-680 |#1|) (-1247 $) (-1 |#1| |#1|)) 148 (|has| |#1| (-366)))) (-2745 (((-1159 |#1|)) 153)) (-1764 (($ $) 209 (|has| |#1| (-1183)))) (-2554 (($ $) 198 (|has| |#1| (-1183)))) (-2319 (($) 142 (|has| |#1| (-351)))) (-1756 (($ $) 208 (|has| |#1| (-1183)))) (-2538 (($ $) 199 (|has| |#1| (-1183)))) (-1748 (($ $) 207 (|has| |#1| (-1183)))) (-2522 (($ $) 200 (|has| |#1| (-1183)))) (-1648 (((-1247 |#1|) $ (-1247 $)) 48) (((-680 |#1|) (-1247 $) (-1247 $)) 47) (((-1247 |#1|) $) 60) (((-680 |#1|) (-1247 $)) 59)) (-3817 (((-1247 |#1|) $) 57) (($ (-1247 |#1|)) 56) (((-1159 |#1|) $) 165) (($ (-1159 |#1|)) 151) (((-888 (-569)) $) 243 (|has| |#1| (-610 (-888 (-569))))) (((-888 (-382)) $) 242 (|has| |#1| (-610 (-888 (-382))))) (((-170 (-382)) $) 194 (|has| |#1| (-1022))) (((-170 (-216)) $) 193 (|has| |#1| (-1022))) (((-542) $) 192 (|has| |#1| (-610 (-542))))) (-1414 (($ $) 240)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 139 (-2232 (-2206 (|has| $ (-149)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905)))) (|has| |#1| (-351))))) (-2997 (($ |#1| |#1|) 239)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 36) (($ (-410 (-569))) 80 (-2232 (|has| |#1| (-366)) (|has| |#1| (-1038 (-410 (-569)))))) (($ $) 85 (-2232 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905)))))) (-3953 (($ $) 138 (|has| |#1| (-351))) (((-3 $ "failed") $) 41 (-2232 (-2206 (|has| $ (-149)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905)))) (|has| |#1| (-149))))) (-2742 (((-1159 |#1|) $) 43)) (-1991 (((-764)) 28)) (-3930 (((-1247 $)) 61)) (-1779 (($ $) 218 (|has| |#1| (-1183)))) (-1727 (($ $) 206 (|has| |#1| (-1183)))) (-1961 (((-121) $ $) 89 (-2232 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905)))))) (-1770 (($ $) 217 (|has| |#1| (-1183)))) (-2561 (($ $) 205 (|has| |#1| (-1183)))) (-1785 (($ $) 216 (|has| |#1| (-1183)))) (-1736 (($ $) 204 (|has| |#1| (-1183)))) (-1408 ((|#1| $) 234 (|has| |#1| (-1183)))) (-2430 (($ $) 215 (|has| |#1| (-1183)))) (-1740 (($ $) 203 (|has| |#1| (-1183)))) (-1782 (($ $) 214 (|has| |#1| (-1183)))) (-1731 (($ $) 202 (|has| |#1| (-1183)))) (-1775 (($ $) 213 (|has| |#1| (-1183)))) (-2569 (($ $) 201 (|has| |#1| (-1183)))) (-1616 (($ $) 235 (|has| |#1| (-1057)))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 111 (|has| |#1| (-366)))) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-1 |#1| |#1|) (-764)) 119) (($ $ (-1 |#1| |#1|)) 118) (($ $ (-635 (-1163)) (-635 (-764))) 120 (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) 121 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) 122 (|has| |#1| (-896 (-1163)))) (($ $ (-1163)) 123 (|has| |#1| (-896 (-1163)))) (($ $ (-764)) 128 (-2232 (-2206 (|has| |#1| (-366)) (|has| |#1| (-226))) (|has| |#1| (-226)) (-2206 (|has| |#1| (-226)) (|has| |#1| (-366))))) (($ $) 130 (-2232 (-2206 (|has| |#1| (-366)) (|has| |#1| (-226))) (|has| |#1| (-226)) (-2206 (|has| |#1| (-226)) (|has| |#1| (-366)))))) (-1693 (((-121) $ $) 188 (|has| |#1| (-843)))) (-1684 (((-121) $ $) 187 (|has| |#1| (-843)))) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 189 (|has| |#1| (-843)))) (-1678 (((-121) $ $) 186 (|has| |#1| (-843)))) (-1715 (($ $ $) 115 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-410 (-569))) 223 (-12 (|has| |#1| (-1003)) (|has| |#1| (-1183)))) (($ $ $) 221 (|has| |#1| (-1183))) (($ $ (-569)) 112 (|has| |#1| (-366)))) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37) (($ (-410 (-569)) $) 114 (|has| |#1| (-366))) (($ $ (-410 (-569))) 113 (|has| |#1| (-366))))) 
+(((-167 |#1|) (-1278) (-173)) (T -167)) 
+((-4308 (*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-4512 (*1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-1414 (*1 *1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-2997 (*1 *1 *2 *2) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-1751 (*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-1747 (*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-2941 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) (-1616 (*1 *1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-1057)))) (-1408 (*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-1183)))) (-2366 (*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-1057)) (-4 *3 (-1183)) (-5 *2 (-2 (|:| |r| *3) (|:| |phi| *3))))) (-3103 (*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-121)))) (-1442 (*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) (-4401 (*1 *2 *1) (|partial| -12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569)))))) 
+(-13 (-715 |t#1| (-1159 |t#1|)) (-414 |t#1|) (-224 |t#1|) (-337 |t#1|) (-403 |t#1|) (-880 |t#1|) (-380 |t#1|) (-173) (-10 -8 (-6 -2997) (-15 -4512 ($)) (-15 -1414 ($ $)) (-15 -2997 ($ |t#1| |t#1|)) (-15 -1751 (|t#1| $)) (-15 -1747 (|t#1| $)) (-15 -4308 (|t#1| $)) (IF (|has| |t#1| (-843)) (-6 (-843)) |noBranch|) (IF (|has| |t#1| (-559)) (PROGN (-6 (-559)) (-15 -2941 ((-3 $ "failed") $ |t#1|))) |noBranch|) (IF (|has| |t#1| (-302)) (-6 (-302)) |noBranch|) (IF (|has| |t#1| (-6 -4534)) (-6 -4534) |noBranch|) (IF (|has| |t#1| (-6 -4531)) (-6 -4531) |noBranch|) (IF (|has| |t#1| (-366)) (-6 (-366)) |noBranch|) (IF (|has| |t#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-1022)) (PROGN (-6 (-610 (-170 (-216)))) (-6 (-610 (-170 (-382))))) |noBranch|) (IF (|has| |t#1| (-1057)) (-15 -1616 ($ $)) |noBranch|) (IF (|has| |t#1| (-1183)) (PROGN (-6 (-1183)) (-15 -1408 (|t#1| $)) (IF (|has| |t#1| (-1003)) (-6 (-1003)) |noBranch|) (IF (|has| |t#1| (-1057)) (-15 -2366 ((-2 (|:| |r| |t#1|) (|:| |phi| |t#1|)) $)) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-551)) (PROGN (-15 -3103 ((-121) $)) (-15 -1442 ((-410 (-569)) $)) (-15 -4401 ((-3 (-410 (-569)) "failed") $))) |noBranch|) (IF (|has| |t#1| (-905)) (IF (|has| |t#1| (-302)) (-6 (-905)) |noBranch|) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-43 |#1|) . T) ((-43 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-40) |has| |#1| (-1183)) ((-98) |has| |#1| (-1183)) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -2232 (|has| |#1| (-351)) (|has| |#1| (-149))) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) . T) ((-610 (-170 (-216))) |has| |#1| (-1022)) ((-610 (-170 (-382))) |has| |#1| (-1022)) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-610 (-888 (-382))) |has| |#1| (-610 (-888 (-382)))) ((-610 (-888 (-569))) |has| |#1| (-610 (-888 (-569)))) ((-610 (-1159 |#1|)) . T) ((-224 |#1|) . T) ((-226) -2232 (|has| |#1| (-351)) (|has| |#1| (-226))) ((-239) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-280) |has| |#1| (-1183)) ((-282 |#1| $) |has| |#1| (-282 |#1| |#1|)) ((-286) -2232 (|has| |#1| (-559)) (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-302) -2232 (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-304 |#1|) |has| |#1| (-304 |#1|)) ((-366) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-405) |has| |#1| (-351)) ((-371) -2232 (|has| |#1| (-371)) (|has| |#1| (-351))) ((-351) |has| |#1| (-351)) ((-373 |#1| (-1159 |#1|)) . T) ((-412 |#1| (-1159 |#1|)) . T) ((-337 |#1|) . T) ((-380 |#1|) . T) ((-403 |#1|) . T) ((-414 |#1|) . T) ((-454) -2232 (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-503) |has| |#1| (-1183)) ((-524 (-1163) |#1|) |has| |#1| (-524 (-1163) |#1|)) ((-524 |#1| |#1|) |has| |#1| (-304 |#1|)) ((-559) -2232 (|has| |#1| (-559)) (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-638 (-410 (-569))) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-708 (-410 (-569))) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-708 |#1|) . T) ((-708 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-715 |#1| (-1159 |#1|)) . T) ((-717) . T) ((-843) |has| |#1| (-843)) ((-896 (-1163)) |has| |#1| (-896 (-1163))) ((-882 (-382)) |has| |#1| (-882 (-382))) ((-882 (-569)) |has| |#1| (-882 (-569))) ((-880 |#1|) . T) ((-905) -12 (|has| |#1| (-302)) (|has| |#1| (-905))) ((-917) -2232 (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-1003) -12 (|has| |#1| (-1003)) (|has| |#1| (-1183))) ((-1038 (-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 |#1|) . T) ((-1054 (-410 (-569))) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-1054 |#1|) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1137) |has| |#1| (-351)) ((-1183) |has| |#1| (-1183)) ((-1186) |has| |#1| (-1183)) ((-1197) . T) ((-1202) -2232 (|has| |#1| (-351)) (|has| |#1| (-366)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905))))) 
+((-1743 (((-421 |#2|) |#2|) 63))) 
+(((-168 |#1| |#2|) (-10 -7 (-15 -1743 ((-421 |#2|) |#2|))) (-302) (-1222 (-170 |#1|))) (T -168)) 
+((-1743 (*1 *2 *3) (-12 (-4 *4 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-168 *4 *3)) (-4 *3 (-1222 (-170 *4)))))) 
+(-10 -7 (-15 -1743 ((-421 |#2|) |#2|))) 
+((-1544 (((-170 |#2|) (-1 |#2| |#1|) (-170 |#1|)) 14))) 
+(((-169 |#1| |#2|) (-10 -7 (-15 -1544 ((-170 |#2|) (-1 |#2| |#1|) (-170 |#1|)))) (-173) (-173)) (T -169)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-170 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-5 *2 (-170 *6)) (-5 *1 (-169 *5 *6))))) 
+(-10 -7 (-15 -1544 ((-170 |#2|) (-1 |#2| |#1|) (-170 |#1|)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 33)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-559))))) (-3383 (($ $) NIL (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-559))))) (-4354 (((-121) $) NIL (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-559))))) (-3294 (((-680 |#1|) (-1247 $)) NIL) (((-680 |#1|)) NIL)) (-1377 ((|#1| $) NIL)) (-1753 (($ $) NIL (|has| |#1| (-1183)))) (-2530 (($ $) NIL (|has| |#1| (-1183)))) (-2620 (((-1171 (-918) (-764)) (-569)) NIL (|has| |#1| (-351)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| |#1| (-302)) (|has| |#1| (-905))))) (-2004 (($ $) NIL (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-366))))) (-2446 (((-421 $) $) NIL (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-366))))) (-2454 (($ $) NIL (-12 (|has| |#1| (-1003)) (|has| |#1| (-1183))))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (-12 (|has| |#1| (-302)) (|has| |#1| (-905))))) (-3934 (((-121) $ $) NIL (|has| |#1| (-302)))) (-2085 (((-764)) NIL (|has| |#1| (-371)))) (-1744 (($ $) NIL (|has| |#1| (-1183)))) (-2513 (($ $) NIL (|has| |#1| (-1183)))) (-1760 (($ $) NIL (|has| |#1| (-1183)))) (-2546 (($ $) NIL (|has| |#1| (-1183)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-2428 (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) NIL)) (-2623 (($ (-1247 |#1|) (-1247 $)) NIL) (($ (-1247 |#1|)) NIL)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-351)))) (-2506 (($ $ $) NIL (|has| |#1| (-302)))) (-3325 (((-680 |#1|) $ (-1247 $)) NIL) (((-680 |#1|) $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) NIL) (((-680 |#1|) (-680 $)) NIL)) (-1774 (($ (-1159 |#1|)) NIL) (((-3 $ "failed") (-410 (-1159 |#1|))) NIL (|has| |#1| (-366)))) (-3428 (((-3 $ "failed") $) NIL)) (-1747 ((|#1| $) 13)) (-4401 (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-551)))) (-3103 (((-121) $) NIL (|has| |#1| (-551)))) (-1442 (((-410 (-569)) $) NIL (|has| |#1| (-551)))) (-1321 (((-918)) NIL)) (-4327 (($) NIL (|has| |#1| (-371)))) (-2524 (($ $ $) NIL (|has| |#1| (-302)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-302)))) (-3188 (($) NIL (|has| |#1| (-351)))) (-3354 (((-121) $) NIL (|has| |#1| (-351)))) (-2751 (($ $ (-764)) NIL (|has| |#1| (-351))) (($ $) NIL (|has| |#1| (-351)))) (-3726 (((-121) $) NIL (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-366))))) (-2366 (((-2 (|:| |r| |#1|) (|:| |phi| |#1|)) $) NIL (-12 (|has| |#1| (-1057)) (|has| |#1| (-1183))))) (-2445 (($) NIL (|has| |#1| (-1183)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (|has| |#1| (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (|has| |#1| (-882 (-382))))) (-2558 (((-918) $) NIL (|has| |#1| (-351))) (((-829 (-918)) $) NIL (|has| |#1| (-351)))) (-1407 (((-121) $) 35)) (-4344 (($ $ (-569)) NIL (-12 (|has| |#1| (-1003)) (|has| |#1| (-1183))))) (-4308 ((|#1| $) 46)) (-3846 (((-3 $ "failed") $) NIL (|has| |#1| (-351)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-302)))) (-2770 (((-1159 |#1|) $) NIL (|has| |#1| (-366)))) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2083 (((-918) $) NIL (|has| |#1| (-371)))) (-4450 (($ $) NIL (|has| |#1| (-1183)))) (-1769 (((-1159 |#1|) $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-302))) (($ $ $) NIL (|has| |#1| (-302)))) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL (|has| |#1| (-366)))) (-4043 (($) NIL (|has| |#1| (-351)) CONST)) (-3998 (($ (-918)) NIL (|has| |#1| (-371)))) (-4512 (($) NIL)) (-1751 ((|#1| $) 15)) (-3360 (((-1109) $) NIL)) (-1809 (($) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-302)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-302))) (($ $ $) NIL (|has| |#1| (-302)))) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL (|has| |#1| (-351)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| |#1| (-302)) (|has| |#1| (-905))))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| |#1| (-302)) (|has| |#1| (-905))))) (-1743 (((-421 $) $) NIL (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-366))))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-302))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-302)))) (-2941 (((-3 $ "failed") $ |#1|) 44 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 47 (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-559))))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-302)))) (-2436 (($ $) NIL (|has| |#1| (-1183)))) (-1468 (($ $ (-635 |#1|) (-635 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1163)) (-635 |#1|)) NIL (|has| |#1| (-524 (-1163) |#1|))) (($ $ (-1163) |#1|) NIL (|has| |#1| (-524 (-1163) |#1|)))) (-2622 (((-764) $) NIL (|has| |#1| (-302)))) (-1534 (($ $ |#1|) NIL (|has| |#1| (-282 |#1| |#1|)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-302)))) (-2087 ((|#1| (-1247 $)) NIL) ((|#1|) NIL)) (-1291 (((-764) $) NIL (|has| |#1| (-351))) (((-3 (-764) "failed") $ $) NIL (|has| |#1| (-351)))) (-3899 (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $) NIL (|has| |#1| (-226)))) (-3497 (((-680 |#1|) (-1247 $) (-1 |#1| |#1|)) NIL (|has| |#1| (-366)))) (-2745 (((-1159 |#1|)) NIL)) (-1764 (($ $) NIL (|has| |#1| (-1183)))) (-2554 (($ $) NIL (|has| |#1| (-1183)))) (-2319 (($) NIL (|has| |#1| (-351)))) (-1756 (($ $) NIL (|has| |#1| (-1183)))) (-2538 (($ $) NIL (|has| |#1| (-1183)))) (-1748 (($ $) NIL (|has| |#1| (-1183)))) (-2522 (($ $) NIL (|has| |#1| (-1183)))) (-1648 (((-1247 |#1|) $ (-1247 $)) NIL) (((-680 |#1|) (-1247 $) (-1247 $)) NIL) (((-1247 |#1|) $) NIL) (((-680 |#1|) (-1247 $)) NIL)) (-3817 (((-1247 |#1|) $) NIL) (($ (-1247 |#1|)) NIL) (((-1159 |#1|) $) NIL) (($ (-1159 |#1|)) NIL) (((-888 (-569)) $) NIL (|has| |#1| (-610 (-888 (-569))))) (((-888 (-382)) $) NIL (|has| |#1| (-610 (-888 (-382))))) (((-170 (-382)) $) NIL (|has| |#1| (-1022))) (((-170 (-216)) $) NIL (|has| |#1| (-1022))) (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-1414 (($ $) 45)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-351))))) (-2997 (($ |#1| |#1|) 37)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) 36) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-366)) (|has| |#1| (-1038 (-410 (-569)))))) (($ $) NIL (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-559))))) (-3953 (($ $) NIL (|has| |#1| (-351))) (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-2742 (((-1159 |#1|) $) NIL)) (-1991 (((-764)) NIL)) (-3930 (((-1247 $)) NIL)) (-1779 (($ $) NIL (|has| |#1| (-1183)))) (-1727 (($ $) NIL (|has| |#1| (-1183)))) (-1961 (((-121) $ $) NIL (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-559))))) (-1770 (($ $) NIL (|has| |#1| (-1183)))) (-2561 (($ $) NIL (|has| |#1| (-1183)))) (-1785 (($ $) NIL (|has| |#1| (-1183)))) (-1736 (($ $) NIL (|has| |#1| (-1183)))) (-1408 ((|#1| $) NIL (|has| |#1| (-1183)))) (-2430 (($ $) NIL (|has| |#1| (-1183)))) (-1740 (($ $) NIL (|has| |#1| (-1183)))) (-1782 (($ $) NIL (|has| |#1| (-1183)))) (-1731 (($ $) NIL (|has| |#1| (-1183)))) (-1775 (($ $) NIL (|has| |#1| (-1183)))) (-2569 (($ $) NIL (|has| |#1| (-1183)))) (-1616 (($ $) NIL (|has| |#1| (-1057)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-3369 (($) 28 T CONST)) (-1556 (($) 30 T CONST)) (-1940 (((-1145) $) 23 (|has| |#1| (-824))) (((-1145) $ (-121)) 25 (|has| |#1| (-824))) (((-1252) (-818) $) 26 (|has| |#1| (-824))) (((-1252) (-818) $ (-121)) 27 (|has| |#1| (-824)))) (-3022 (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $) NIL (|has| |#1| (-226)))) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1715 (($ $ $) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 39)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-410 (-569))) NIL (-12 (|has| |#1| (-1003)) (|has| |#1| (-1183)))) (($ $ $) NIL (|has| |#1| (-1183))) (($ $ (-569)) NIL (|has| |#1| (-366)))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 42) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-366))) (($ $ (-410 (-569))) NIL (|has| |#1| (-366))))) 
+(((-170 |#1|) (-13 (-167 |#1|) (-10 -7 (IF (|has| |#1| (-824)) (-6 (-824)) |noBranch|))) (-173)) (T -170)) 
+NIL 
+(-13 (-167 |#1|) (-10 -7 (IF (|has| |#1| (-824)) (-6 (-824)) |noBranch|))) 
+((-3817 (((-888 |#1|) |#3|) 22))) 
+(((-171 |#1| |#2| |#3|) (-10 -7 (-15 -3817 ((-888 |#1|) |#3|))) (-1091) (-13 (-610 (-888 |#1|)) (-173)) (-167 |#2|)) (T -171)) 
+((-3817 (*1 *2 *3) (-12 (-4 *5 (-13 (-610 *2) (-173))) (-5 *2 (-888 *4)) (-5 *1 (-171 *4 *5 *3)) (-4 *4 (-1091)) (-4 *3 (-167 *5))))) 
+(-10 -7 (-15 -3817 ((-888 |#1|) |#3|))) 
+((-2568 (((-121) $ $) NIL)) (-1434 (((-121) $) 9)) (-4089 (((-121) $ (-121)) 11)) (-2659 (($) 12)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1971 (($ $) 13)) (-2185 (((-851) $) 17)) (-4376 (((-121) $) 8)) (-3585 (((-121) $ (-121)) 10)) (-1668 (((-121) $ $) NIL))) 
+(((-172) (-13 (-1091) (-10 -8 (-15 -2659 ($)) (-15 -4376 ((-121) $)) (-15 -1434 ((-121) $)) (-15 -3585 ((-121) $ (-121))) (-15 -4089 ((-121) $ (-121))) (-15 -1971 ($ $))))) (T -172)) 
+((-2659 (*1 *1) (-5 *1 (-172))) (-4376 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) (-1434 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) (-3585 (*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) (-4089 (*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) (-1971 (*1 *1 *1) (-5 *1 (-172)))) 
+(-13 (-1091) (-10 -8 (-15 -2659 ($)) (-15 -4376 ((-121) $)) (-15 -1434 ((-121) $)) (-15 -3585 ((-121) $ (-121))) (-15 -4089 ((-121) $ (-121))) (-15 -1971 ($ $)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ (-569)) 27)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-173) (-1278)) (T -173)) 
+NIL 
+(-13 (-1048) (-120 $ $) (-10 -7 (-6 (-4537 "*")))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 $) . T) ((-717) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3761 ((|#1| $) 74)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-2506 (($ $ $) NIL)) (-4025 (($ $) 19)) (-2202 (($ |#1| (-1143 |#1|)) 47)) (-3428 (((-3 $ "failed") $) 116)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-3553 (((-1143 |#1|) $) 81)) (-2213 (((-1143 |#1|) $) 78)) (-2928 (((-1143 |#1|) $) 79)) (-1407 (((-121) $) NIL)) (-1337 (((-1143 |#1|) $) 87)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2665 (($ (-635 $)) NIL) (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ (-635 $)) NIL) (($ $ $) NIL)) (-1743 (((-421 $) $) NIL)) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL)) (-3499 (($ $ (-569)) 90)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-2146 (((-1143 |#1|) $) 88)) (-1998 (((-1143 (-410 |#1|)) $) 13)) (-1303 (($ (-410 |#1|)) 17) (($ |#1| (-1143 |#1|) (-1143 |#1|)) 37)) (-3659 (($ $) 92)) (-2185 (((-851) $) 126) (($ (-569)) 50) (($ |#1|) 51) (($ (-410 |#1|)) 35) (($ (-410 (-569))) NIL) (($ $) NIL)) (-1991 (((-764)) 63)) (-1961 (((-121) $ $) NIL)) (-1680 (((-1143 (-410 |#1|)) $) 18)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 25 T CONST)) (-1556 (($) 28 T CONST)) (-1668 (((-121) $ $) 34)) (-1715 (($ $ $) 114)) (-1711 (($ $) 105) (($ $ $) 102)) (-1707 (($ $ $) 100)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 112) (($ $ $) 107) (($ $ |#1|) NIL) (($ |#1| $) 109) (($ (-410 |#1|) $) 110) (($ $ (-410 |#1|)) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL))) 
+(((-174 |#1|) (-13 (-43 |#1|) (-43 (-410 |#1|)) (-366) (-10 -8 (-15 -1303 ($ (-410 |#1|))) (-15 -1303 ($ |#1| (-1143 |#1|) (-1143 |#1|))) (-15 -2202 ($ |#1| (-1143 |#1|))) (-15 -2213 ((-1143 |#1|) $)) (-15 -2928 ((-1143 |#1|) $)) (-15 -3553 ((-1143 |#1|) $)) (-15 -3761 (|#1| $)) (-15 -4025 ($ $)) (-15 -1680 ((-1143 (-410 |#1|)) $)) (-15 -1998 ((-1143 (-410 |#1|)) $)) (-15 -1337 ((-1143 |#1|) $)) (-15 -2146 ((-1143 |#1|) $)) (-15 -3499 ($ $ (-569))) (-15 -3659 ($ $)))) (-302)) (T -174)) 
+((-1303 (*1 *1 *2) (-12 (-5 *2 (-410 *3)) (-4 *3 (-302)) (-5 *1 (-174 *3)))) (-1303 (*1 *1 *2 *3 *3) (-12 (-5 *3 (-1143 *2)) (-4 *2 (-302)) (-5 *1 (-174 *2)))) (-2202 (*1 *1 *2 *3) (-12 (-5 *3 (-1143 *2)) (-4 *2 (-302)) (-5 *1 (-174 *2)))) (-2213 (*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-2928 (*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-3553 (*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-3761 (*1 *2 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302)))) (-4025 (*1 *1 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302)))) (-1680 (*1 *2 *1) (-12 (-5 *2 (-1143 (-410 *3))) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-1998 (*1 *2 *1) (-12 (-5 *2 (-1143 (-410 *3))) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-1337 (*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-2146 (*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-3499 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-3659 (*1 *1 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302))))) 
+(-13 (-43 |#1|) (-43 (-410 |#1|)) (-366) (-10 -8 (-15 -1303 ($ (-410 |#1|))) (-15 -1303 ($ |#1| (-1143 |#1|) (-1143 |#1|))) (-15 -2202 ($ |#1| (-1143 |#1|))) (-15 -2213 ((-1143 |#1|) $)) (-15 -2928 ((-1143 |#1|) $)) (-15 -3553 ((-1143 |#1|) $)) (-15 -3761 (|#1| $)) (-15 -4025 ($ $)) (-15 -1680 ((-1143 (-410 |#1|)) $)) (-15 -1998 ((-1143 (-410 |#1|)) $)) (-15 -1337 ((-1143 |#1|) $)) (-15 -2146 ((-1143 |#1|) $)) (-15 -3499 ($ $ (-569))) (-15 -3659 ($ $)))) 
+((-2038 (((-1 (-945 |#1|) (-945 |#1|)) |#1|) 40)) (-1622 (((-945 |#1|) (-945 |#1|)) 19)) (-1823 (((-1 (-945 |#1|) (-945 |#1|)) |#1|) 36)) (-2712 (((-945 |#1|) (-945 |#1|)) 17)) (-2939 (((-945 |#1|) (-945 |#1|)) 25)) (-3420 (((-945 |#1|) (-945 |#1|)) 24)) (-2950 (((-945 |#1|) (-945 |#1|)) 23)) (-2937 (((-1 (-945 |#1|) (-945 |#1|)) |#1|) 37)) (-3098 (((-1 (-945 |#1|) (-945 |#1|)) |#1|) 35)) (-4005 (((-1 (-945 |#1|) (-945 |#1|)) |#1|) 34)) (-1506 (((-945 |#1|) (-945 |#1|)) 18)) (-2373 (((-1 (-945 |#1|) (-945 |#1|)) |#1| |#1|) 43)) (-2142 (((-945 |#1|) (-945 |#1|)) 8)) (-1363 (((-1 (-945 |#1|) (-945 |#1|)) |#1|) 39)) (-3793 (((-1 (-945 |#1|) (-945 |#1|)) |#1|) 38))) 
+(((-175 |#1|) (-10 -7 (-15 -2142 ((-945 |#1|) (-945 |#1|))) (-15 -2712 ((-945 |#1|) (-945 |#1|))) (-15 -1506 ((-945 |#1|) (-945 |#1|))) (-15 -1622 ((-945 |#1|) (-945 |#1|))) (-15 -2950 ((-945 |#1|) (-945 |#1|))) (-15 -3420 ((-945 |#1|) (-945 |#1|))) (-15 -2939 ((-945 |#1|) (-945 |#1|))) (-15 -4005 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -3098 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -1823 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -2937 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -3793 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -1363 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -2038 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -2373 ((-1 (-945 |#1|) (-945 |#1|)) |#1| |#1|))) (-13 (-366) (-1183) (-1003))) (T -175)) 
+((-2373 (*1 *2 *3 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))))) (-2038 (*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))))) (-1363 (*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))))) (-3793 (*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))))) (-2937 (*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))))) (-1823 (*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))))) (-3098 (*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))))) (-4005 (*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))))) (-2939 (*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3)))) (-3420 (*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3)))) (-2950 (*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3)))) (-1622 (*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3)))) (-1506 (*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3)))) (-2712 (*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3)))) (-2142 (*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3))))) 
+(-10 -7 (-15 -2142 ((-945 |#1|) (-945 |#1|))) (-15 -2712 ((-945 |#1|) (-945 |#1|))) (-15 -1506 ((-945 |#1|) (-945 |#1|))) (-15 -1622 ((-945 |#1|) (-945 |#1|))) (-15 -2950 ((-945 |#1|) (-945 |#1|))) (-15 -3420 ((-945 |#1|) (-945 |#1|))) (-15 -2939 ((-945 |#1|) (-945 |#1|))) (-15 -4005 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -3098 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -1823 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -2937 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -3793 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -1363 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -2038 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -2373 ((-1 (-945 |#1|) (-945 |#1|)) |#1| |#1|))) 
+((-2742 ((|#2| |#3|) 27))) 
+(((-176 |#1| |#2| |#3|) (-10 -7 (-15 -2742 (|#2| |#3|))) (-173) (-1222 |#1|) (-715 |#1| |#2|)) (T -176)) 
+((-2742 (*1 *2 *3) (-12 (-4 *4 (-173)) (-4 *2 (-1222 *4)) (-5 *1 (-176 *4 *2 *3)) (-4 *3 (-715 *4 *2))))) 
+(-10 -7 (-15 -2742 (|#2| |#3|))) 
+((-2883 (((-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|)) 47 (|has| (-954 |#2|) (-882 |#1|))))) 
+(((-177 |#1| |#2| |#3|) (-10 -7 (IF (|has| (-954 |#2|) (-882 |#1|)) (-15 -2883 ((-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|))) |noBranch|)) (-1091) (-13 (-882 |#1|) (-173)) (-167 |#2|)) (T -177)) 
+((-2883 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 *3)) (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-4 *3 (-167 *6)) (-4 (-954 *6) (-882 *5)) (-4 *6 (-13 (-882 *5) (-173))) (-5 *1 (-177 *5 *6 *3))))) 
+(-10 -7 (IF (|has| (-954 |#2|) (-882 |#1|)) (-15 -2883 ((-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|))) |noBranch|)) 
+((-3345 (((-635 |#1|) (-635 |#1|) |#1|) 36)) (-1583 (((-635 |#1|) |#1| (-635 |#1|)) 19)) (-2462 (((-635 |#1|) (-635 (-635 |#1|)) (-635 |#1|)) 31) ((|#1| (-635 |#1|) (-635 |#1|)) 29))) 
+(((-178 |#1|) (-10 -7 (-15 -1583 ((-635 |#1|) |#1| (-635 |#1|))) (-15 -2462 (|#1| (-635 |#1|) (-635 |#1|))) (-15 -2462 ((-635 |#1|) (-635 (-635 |#1|)) (-635 |#1|))) (-15 -3345 ((-635 |#1|) (-635 |#1|) |#1|))) (-302)) (T -178)) 
+((-3345 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-302)) (-5 *1 (-178 *3)))) (-2462 (*1 *2 *3 *2) (-12 (-5 *3 (-635 (-635 *4))) (-5 *2 (-635 *4)) (-4 *4 (-302)) (-5 *1 (-178 *4)))) (-2462 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-178 *2)) (-4 *2 (-302)))) (-1583 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-302)) (-5 *1 (-178 *3))))) 
+(-10 -7 (-15 -1583 ((-635 |#1|) |#1| (-635 |#1|))) (-15 -2462 (|#1| (-635 |#1|) (-635 |#1|))) (-15 -2462 ((-635 |#1|) (-635 (-635 |#1|)) (-635 |#1|))) (-15 -3345 ((-635 |#1|) (-635 |#1|) |#1|))) 
+((-1617 (((-2 (|:| |start| |#2|) (|:| -1640 (-421 |#2|))) |#2|) 61)) (-3745 ((|#1| |#1|) 54)) (-4479 (((-170 |#1|) |#2|) 82)) (-3236 ((|#1| |#2|) 122) ((|#1| |#2| |#1|) 80)) (-2157 ((|#2| |#2|) 81)) (-4462 (((-421 |#2|) |#2| |#1|) 112) (((-421 |#2|) |#2| |#1| (-121)) 79)) (-4308 ((|#1| |#2|) 111)) (-1960 ((|#2| |#2|) 118)) (-1743 (((-421 |#2|) |#2|) 133) (((-421 |#2|) |#2| |#1|) 32) (((-421 |#2|) |#2| |#1| (-121)) 132)) (-4194 (((-635 (-2 (|:| -1640 (-635 |#2|)) (|:| -1638 |#1|))) |#2| |#2|) 131) (((-635 (-2 (|:| -1640 (-635 |#2|)) (|:| -1638 |#1|))) |#2| |#2| (-121)) 75)) (-3749 (((-635 (-170 |#1|)) |#2| |#1|) 40) (((-635 (-170 |#1|)) |#2|) 41))) 
+(((-179 |#1| |#2|) (-10 -7 (-15 -3749 ((-635 (-170 |#1|)) |#2|)) (-15 -3749 ((-635 (-170 |#1|)) |#2| |#1|)) (-15 -4194 ((-635 (-2 (|:| -1640 (-635 |#2|)) (|:| -1638 |#1|))) |#2| |#2| (-121))) (-15 -4194 ((-635 (-2 (|:| -1640 (-635 |#2|)) (|:| -1638 |#1|))) |#2| |#2|)) (-15 -1743 ((-421 |#2|) |#2| |#1| (-121))) (-15 -1743 ((-421 |#2|) |#2| |#1|)) (-15 -1743 ((-421 |#2|) |#2|)) (-15 -1960 (|#2| |#2|)) (-15 -4308 (|#1| |#2|)) (-15 -4462 ((-421 |#2|) |#2| |#1| (-121))) (-15 -4462 ((-421 |#2|) |#2| |#1|)) (-15 -2157 (|#2| |#2|)) (-15 -3236 (|#1| |#2| |#1|)) (-15 -3236 (|#1| |#2|)) (-15 -4479 ((-170 |#1|) |#2|)) (-15 -3745 (|#1| |#1|)) (-15 -1617 ((-2 (|:| |start| |#2|) (|:| -1640 (-421 |#2|))) |#2|))) (-13 (-366) (-841)) (-1222 (-170 |#1|))) (T -179)) 
+((-1617 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-2 (|:| |start| *3) (|:| -1640 (-421 *3)))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4))))) (-3745 (*1 *2 *2) (-12 (-4 *2 (-13 (-366) (-841))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1222 (-170 *2))))) (-4479 (*1 *2 *3) (-12 (-5 *2 (-170 *4)) (-5 *1 (-179 *4 *3)) (-4 *4 (-13 (-366) (-841))) (-4 *3 (-1222 *2)))) (-3236 (*1 *2 *3) (-12 (-4 *2 (-13 (-366) (-841))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1222 (-170 *2))))) (-3236 (*1 *2 *3 *2) (-12 (-4 *2 (-13 (-366) (-841))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1222 (-170 *2))))) (-2157 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-841))) (-5 *1 (-179 *3 *2)) (-4 *2 (-1222 (-170 *3))))) (-4462 (*1 *2 *3 *4) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4))))) (-4462 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *4 (-13 (-366) (-841))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4))))) (-4308 (*1 *2 *3) (-12 (-4 *2 (-13 (-366) (-841))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1222 (-170 *2))))) (-1960 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-841))) (-5 *1 (-179 *3 *2)) (-4 *2 (-1222 (-170 *3))))) (-1743 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4))))) (-1743 (*1 *2 *3 *4) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4))))) (-1743 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *4 (-13 (-366) (-841))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4))))) (-4194 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-635 (-2 (|:| -1640 (-635 *3)) (|:| -1638 *4)))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4))))) (-4194 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-366) (-841))) (-5 *2 (-635 (-2 (|:| -1640 (-635 *3)) (|:| -1638 *5)))) (-5 *1 (-179 *5 *3)) (-4 *3 (-1222 (-170 *5))))) (-3749 (*1 *2 *3 *4) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4))))) (-3749 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4)))))) 
+(-10 -7 (-15 -3749 ((-635 (-170 |#1|)) |#2|)) (-15 -3749 ((-635 (-170 |#1|)) |#2| |#1|)) (-15 -4194 ((-635 (-2 (|:| -1640 (-635 |#2|)) (|:| -1638 |#1|))) |#2| |#2| (-121))) (-15 -4194 ((-635 (-2 (|:| -1640 (-635 |#2|)) (|:| -1638 |#1|))) |#2| |#2|)) (-15 -1743 ((-421 |#2|) |#2| |#1| (-121))) (-15 -1743 ((-421 |#2|) |#2| |#1|)) (-15 -1743 ((-421 |#2|) |#2|)) (-15 -1960 (|#2| |#2|)) (-15 -4308 (|#1| |#2|)) (-15 -4462 ((-421 |#2|) |#2| |#1| (-121))) (-15 -4462 ((-421 |#2|) |#2| |#1|)) (-15 -2157 (|#2| |#2|)) (-15 -3236 (|#1| |#2| |#1|)) (-15 -3236 (|#1| |#2|)) (-15 -4479 ((-170 |#1|) |#2|)) (-15 -3745 (|#1| |#1|)) (-15 -1617 ((-2 (|:| |start| |#2|) (|:| -1640 (-421 |#2|))) |#2|))) 
+((-2155 (((-3 |#2| "failed") |#2|) 14)) (-4460 (((-764) |#2|) 16)) (-1439 ((|#2| |#2| |#2|) 18))) 
+(((-180 |#1| |#2|) (-10 -7 (-15 -2155 ((-3 |#2| "failed") |#2|)) (-15 -4460 ((-764) |#2|)) (-15 -1439 (|#2| |#2| |#2|))) (-1197) (-666 |#1|)) (T -180)) 
+((-1439 (*1 *2 *2 *2) (-12 (-4 *3 (-1197)) (-5 *1 (-180 *3 *2)) (-4 *2 (-666 *3)))) (-4460 (*1 *2 *3) (-12 (-4 *4 (-1197)) (-5 *2 (-764)) (-5 *1 (-180 *4 *3)) (-4 *3 (-666 *4)))) (-2155 (*1 *2 *2) (|partial| -12 (-4 *3 (-1197)) (-5 *1 (-180 *3 *2)) (-4 *2 (-666 *3))))) 
+(-10 -7 (-15 -2155 ((-3 |#2| "failed") |#2|)) (-15 -4460 ((-764) |#2|)) (-15 -1439 (|#2| |#2| |#2|))) 
+((-1977 ((|#2| |#2|) 28)) (-2387 (((-121) |#2|) 19)) (-1747 (((-311 |#1|) |#2|) 12)) (-1751 (((-311 |#1|) |#2|) 14)) (-3969 ((|#2| |#2| (-1163)) 68) ((|#2| |#2|) 69)) (-1354 (((-170 (-311 |#1|)) |#2|) 9)) (-1388 ((|#2| |#2| (-1163)) 65) ((|#2| |#2|) 58))) 
+(((-181 |#1| |#2|) (-10 -7 (-15 -3969 (|#2| |#2|)) (-15 -3969 (|#2| |#2| (-1163))) (-15 -1388 (|#2| |#2|)) (-15 -1388 (|#2| |#2| (-1163))) (-15 -1747 ((-311 |#1|) |#2|)) (-15 -1751 ((-311 |#1|) |#2|)) (-15 -2387 ((-121) |#2|)) (-15 -1977 (|#2| |#2|)) (-15 -1354 ((-170 (-311 |#1|)) |#2|))) (-13 (-559) (-843) (-1038 (-569))) (-13 (-27) (-1183) (-433 (-170 |#1|)))) (T -181)) 
+((-1354 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-170 (-311 *4))) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 (-170 *4)))))) (-1977 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-843) (-1038 (-569)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 (-170 *3)))))) (-2387 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-121)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 (-170 *4)))))) (-1751 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-311 *4)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 (-170 *4)))))) (-1747 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-311 *4)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 (-170 *4)))))) (-1388 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-5 *1 (-181 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 (-170 *4)))))) (-1388 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-843) (-1038 (-569)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 (-170 *3)))))) (-3969 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-5 *1 (-181 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 (-170 *4)))))) (-3969 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-843) (-1038 (-569)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 (-170 *3))))))) 
+(-10 -7 (-15 -3969 (|#2| |#2|)) (-15 -3969 (|#2| |#2| (-1163))) (-15 -1388 (|#2| |#2|)) (-15 -1388 (|#2| |#2| (-1163))) (-15 -1747 ((-311 |#1|) |#2|)) (-15 -1751 ((-311 |#1|) |#2|)) (-15 -2387 ((-121) |#2|)) (-15 -1977 (|#2| |#2|)) (-15 -1354 ((-170 (-311 |#1|)) |#2|))) 
+((-1479 (((-1247 (-680 (-954 |#1|))) (-1247 (-680 |#1|))) 22)) (-2185 (((-1247 (-680 (-410 (-954 |#1|)))) (-1247 (-680 |#1|))) 30))) 
+(((-182 |#1|) (-10 -7 (-15 -1479 ((-1247 (-680 (-954 |#1|))) (-1247 (-680 |#1|)))) (-15 -2185 ((-1247 (-680 (-410 (-954 |#1|)))) (-1247 (-680 |#1|))))) (-173)) (T -182)) 
+((-2185 (*1 *2 *3) (-12 (-5 *3 (-1247 (-680 *4))) (-4 *4 (-173)) (-5 *2 (-1247 (-680 (-410 (-954 *4))))) (-5 *1 (-182 *4)))) (-1479 (*1 *2 *3) (-12 (-5 *3 (-1247 (-680 *4))) (-4 *4 (-173)) (-5 *2 (-1247 (-680 (-954 *4)))) (-5 *1 (-182 *4))))) 
+(-10 -7 (-15 -1479 ((-1247 (-680 (-954 |#1|))) (-1247 (-680 |#1|)))) (-15 -2185 ((-1247 (-680 (-410 (-954 |#1|)))) (-1247 (-680 |#1|))))) 
+((-3055 (((-1165 (-410 (-569))) (-1165 (-410 (-569))) (-1165 (-410 (-569)))) 66)) (-3648 (((-1165 (-410 (-569))) (-635 (-569)) (-635 (-569))) 74)) (-1447 (((-1165 (-410 (-569))) (-569)) 40)) (-2107 (((-1165 (-410 (-569))) (-569)) 52)) (-1468 (((-410 (-569)) (-1165 (-410 (-569)))) 62)) (-1944 (((-1165 (-410 (-569))) (-569)) 32)) (-2001 (((-1165 (-410 (-569))) (-569)) 48)) (-4126 (((-1165 (-410 (-569))) (-569)) 46)) (-2073 (((-1165 (-410 (-569))) (-1165 (-410 (-569))) (-1165 (-410 (-569)))) 60)) (-3659 (((-1165 (-410 (-569))) (-569)) 25)) (-3956 (((-410 (-569)) (-1165 (-410 (-569))) (-1165 (-410 (-569)))) 64)) (-1928 (((-1165 (-410 (-569))) (-569)) 30)) (-3731 (((-1165 (-410 (-569))) (-635 (-569))) 71))) 
+(((-183) (-10 -7 (-15 -3659 ((-1165 (-410 (-569))) (-569))) (-15 -1447 ((-1165 (-410 (-569))) (-569))) (-15 -1944 ((-1165 (-410 (-569))) (-569))) (-15 -1928 ((-1165 (-410 (-569))) (-569))) (-15 -4126 ((-1165 (-410 (-569))) (-569))) (-15 -2001 ((-1165 (-410 (-569))) (-569))) (-15 -2107 ((-1165 (-410 (-569))) (-569))) (-15 -3956 ((-410 (-569)) (-1165 (-410 (-569))) (-1165 (-410 (-569))))) (-15 -2073 ((-1165 (-410 (-569))) (-1165 (-410 (-569))) (-1165 (-410 (-569))))) (-15 -1468 ((-410 (-569)) (-1165 (-410 (-569))))) (-15 -3055 ((-1165 (-410 (-569))) (-1165 (-410 (-569))) (-1165 (-410 (-569))))) (-15 -3731 ((-1165 (-410 (-569))) (-635 (-569)))) (-15 -3648 ((-1165 (-410 (-569))) (-635 (-569)) (-635 (-569)))))) (T -183)) 
+((-3648 (*1 *2 *3 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)))) (-3731 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)))) (-3055 (*1 *2 *2 *2) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)))) (-1468 (*1 *2 *3) (-12 (-5 *3 (-1165 (-410 (-569)))) (-5 *2 (-410 (-569))) (-5 *1 (-183)))) (-2073 (*1 *2 *2 *2) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)))) (-3956 (*1 *2 *3 *3) (-12 (-5 *3 (-1165 (-410 (-569)))) (-5 *2 (-410 (-569))) (-5 *1 (-183)))) (-2107 (*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) (-2001 (*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) (-4126 (*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) (-1928 (*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) (-1944 (*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) (-1447 (*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) (-3659 (*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569))))) 
+(-10 -7 (-15 -3659 ((-1165 (-410 (-569))) (-569))) (-15 -1447 ((-1165 (-410 (-569))) (-569))) (-15 -1944 ((-1165 (-410 (-569))) (-569))) (-15 -1928 ((-1165 (-410 (-569))) (-569))) (-15 -4126 ((-1165 (-410 (-569))) (-569))) (-15 -2001 ((-1165 (-410 (-569))) (-569))) (-15 -2107 ((-1165 (-410 (-569))) (-569))) (-15 -3956 ((-410 (-569)) (-1165 (-410 (-569))) (-1165 (-410 (-569))))) (-15 -2073 ((-1165 (-410 (-569))) (-1165 (-410 (-569))) (-1165 (-410 (-569))))) (-15 -1468 ((-410 (-569)) (-1165 (-410 (-569))))) (-15 -3055 ((-1165 (-410 (-569))) (-1165 (-410 (-569))) (-1165 (-410 (-569))))) (-15 -3731 ((-1165 (-410 (-569))) (-635 (-569)))) (-15 -3648 ((-1165 (-410 (-569))) (-635 (-569)) (-635 (-569))))) 
+((-1636 (((-421 (-1159 (-569))) (-569)) 28)) (-4142 (((-635 (-1159 (-569))) (-569)) 23)) (-2917 (((-1159 (-569)) (-569)) 21))) 
+(((-184) (-10 -7 (-15 -4142 ((-635 (-1159 (-569))) (-569))) (-15 -2917 ((-1159 (-569)) (-569))) (-15 -1636 ((-421 (-1159 (-569))) (-569))))) (T -184)) 
+((-1636 (*1 *2 *3) (-12 (-5 *2 (-421 (-1159 (-569)))) (-5 *1 (-184)) (-5 *3 (-569)))) (-2917 (*1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-184)) (-5 *3 (-569)))) (-4142 (*1 *2 *3) (-12 (-5 *2 (-635 (-1159 (-569)))) (-5 *1 (-184)) (-5 *3 (-569))))) 
+(-10 -7 (-15 -4142 ((-635 (-1159 (-569))) (-569))) (-15 -2917 ((-1159 (-569)) (-569))) (-15 -1636 ((-421 (-1159 (-569))) (-569)))) 
+((-2074 (((-1143 (-216)) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 101)) (-1989 (((-635 (-1145)) (-1143 (-216))) NIL)) (-1614 (((-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 77)) (-4028 (((-635 (-216)) (-311 (-216)) (-1163) (-1085 (-836 (-216)))) NIL)) (-3679 (((-635 (-1145)) (-635 (-216))) NIL)) (-1559 (((-216) (-1085 (-836 (-216)))) 22)) (-3995 (((-216) (-1085 (-836 (-216)))) 23)) (-1293 (((-382) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 93)) (-3250 (((-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 40)) (-2370 (((-1145) (-216)) NIL)) (-2309 (((-1145) (-635 (-1145))) 19)) (-2825 (((-1036) (-1163) (-1163) (-1036)) 12))) 
+(((-185) (-10 -7 (-15 -1614 ((-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3250 ((-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -1559 ((-216) (-1085 (-836 (-216))))) (-15 -3995 ((-216) (-1085 (-836 (-216))))) (-15 -1293 ((-382) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4028 ((-635 (-216)) (-311 (-216)) (-1163) (-1085 (-836 (-216))))) (-15 -2074 ((-1143 (-216)) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2370 ((-1145) (-216))) (-15 -3679 ((-635 (-1145)) (-635 (-216)))) (-15 -1989 ((-635 (-1145)) (-1143 (-216)))) (-15 -2309 ((-1145) (-635 (-1145)))) (-15 -2825 ((-1036) (-1163) (-1163) (-1036))))) (T -185)) 
+((-2825 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-1036)) (-5 *3 (-1163)) (-5 *1 (-185)))) (-2309 (*1 *2 *3) (-12 (-5 *3 (-635 (-1145))) (-5 *2 (-1145)) (-5 *1 (-185)))) (-1989 (*1 *2 *3) (-12 (-5 *3 (-1143 (-216))) (-5 *2 (-635 (-1145))) (-5 *1 (-185)))) (-3679 (*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-635 (-1145))) (-5 *1 (-185)))) (-2370 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1145)) (-5 *1 (-185)))) (-2074 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-1143 (-216))) (-5 *1 (-185)))) (-4028 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-1163)) (-5 *5 (-1085 (-836 (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-185)))) (-1293 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-185)))) (-3995 (*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-216)))) (-5 *2 (-216)) (-5 *1 (-185)))) (-1559 (*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-216)))) (-5 *2 (-216)) (-5 *1 (-185)))) (-3250 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (-5 *1 (-185)))) (-1614 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))) (-5 *1 (-185))))) 
+(-10 -7 (-15 -1614 ((-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3250 ((-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -1559 ((-216) (-1085 (-836 (-216))))) (-15 -3995 ((-216) (-1085 (-836 (-216))))) (-15 -1293 ((-382) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4028 ((-635 (-216)) (-311 (-216)) (-1163) (-1085 (-836 (-216))))) (-15 -2074 ((-1143 (-216)) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2370 ((-1145) (-216))) (-15 -3679 ((-635 (-1145)) (-635 (-216)))) (-15 -1989 ((-635 (-1145)) (-1143 (-216)))) (-15 -2309 ((-1145) (-635 (-1145)))) (-15 -2825 ((-1036) (-1163) (-1163) (-1036)))) 
+((-2568 (((-121) $ $) NIL)) (-3478 (((-1036) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) 53) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 28) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
+(((-186) (-783)) (T -186)) 
+NIL 
+(-783) 
+((-2568 (((-121) $ $) NIL)) (-3478 (((-1036) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) 58) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 37) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
+(((-187) (-783)) (T -187)) 
+NIL 
+(-783) 
+((-2568 (((-121) $ $) NIL)) (-3478 (((-1036) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) 67) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 36) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
+(((-188) (-783)) (T -188)) 
+NIL 
+(-783) 
+((-2568 (((-121) $ $) NIL)) (-3478 (((-1036) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) 54) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 30) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
+(((-189) (-783)) (T -189)) 
+NIL 
+(-783) 
+((-2568 (((-121) $ $) NIL)) (-3478 (((-1036) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) 65) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 35) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
+(((-190) (-783)) (T -190)) 
+NIL 
+(-783) 
+((-2568 (((-121) $ $) NIL)) (-3478 (((-1036) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) 71) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 33) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
+(((-191) (-783)) (T -191)) 
+NIL 
+(-783) 
+((-2568 (((-121) $ $) NIL)) (-3478 (((-1036) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) 78) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 43) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
+(((-192) (-783)) (T -192)) 
+NIL 
+(-783) 
+((-2568 (((-121) $ $) NIL)) (-3478 (((-1036) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) 68) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 37) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
+(((-193) (-783)) (T -193)) 
+NIL 
+(-783) 
+((-2568 (((-121) $ $) NIL)) (-3478 (((-1036) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) NIL) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) 62)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 29)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
+(((-194) (-783)) (T -194)) 
+NIL 
+(-783) 
+((-2568 (((-121) $ $) NIL)) (-3478 (((-1036) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) NIL) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) 60)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 32)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
+(((-195) (-783)) (T -195)) 
+NIL 
+(-783) 
+((-2568 (((-121) $ $) NIL)) (-3478 (((-1036) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) 89) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 77) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
+(((-196) (-783)) (T -196)) 
+NIL 
+(-783) 
+((-1339 (((-3 (-2 (|:| -2291 (-123)) (|:| |w| (-216))) "failed") (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 80)) (-4187 (((-569) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 39)) (-3754 (((-3 (-635 (-216)) "failed") (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 69))) 
+(((-197) (-10 -7 (-15 -1339 ((-3 (-2 (|:| -2291 (-123)) (|:| |w| (-216))) "failed") (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3754 ((-3 (-635 (-216)) "failed") (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4187 ((-569) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (T -197)) 
+((-4187 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-569)) (-5 *1 (-197)))) (-3754 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-197)))) (-1339 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -2291 (-123)) (|:| |w| (-216)))) (-5 *1 (-197))))) 
+(-10 -7 (-15 -1339 ((-3 (-2 (|:| -2291 (-123)) (|:| |w| (-216))) "failed") (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3754 ((-3 (-635 (-216)) "failed") (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4187 ((-569) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) 
+((-3213 (((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 37)) (-2527 (((-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382))) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 127)) (-2525 (((-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382))) (-680 (-311 (-216)))) 87)) (-2931 (((-382) (-680 (-311 (-216)))) 110)) (-1395 (((-680 (-311 (-216))) (-1247 (-311 (-216))) (-635 (-1163))) 107)) (-1462 (((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 26)) (-3177 (((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 42)) (-1468 (((-680 (-311 (-216))) (-680 (-311 (-216))) (-635 (-1163)) (-1247 (-311 (-216)))) 99)) (-2040 (((-382) (-382) (-635 (-382))) 104) (((-382) (-382) (-382)) 102)) (-4448 (((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 33))) 
+(((-198) (-10 -7 (-15 -2040 ((-382) (-382) (-382))) (-15 -2040 ((-382) (-382) (-635 (-382)))) (-15 -2931 ((-382) (-680 (-311 (-216))))) (-15 -1395 ((-680 (-311 (-216))) (-1247 (-311 (-216))) (-635 (-1163)))) (-15 -1468 ((-680 (-311 (-216))) (-680 (-311 (-216))) (-635 (-1163)) (-1247 (-311 (-216))))) (-15 -2525 ((-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382))) (-680 (-311 (-216))))) (-15 -2527 ((-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382))) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3213 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3177 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4448 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -1462 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (T -198)) 
+((-1462 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198)))) (-4448 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198)))) (-3177 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198)))) (-3213 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198)))) (-2527 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382)))) (-5 *1 (-198)))) (-2525 (*1 *2 *3) (-12 (-5 *3 (-680 (-311 (-216)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382)))) (-5 *1 (-198)))) (-1468 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-680 (-311 (-216)))) (-5 *3 (-635 (-1163))) (-5 *4 (-1247 (-311 (-216)))) (-5 *1 (-198)))) (-1395 (*1 *2 *3 *4) (-12 (-5 *3 (-1247 (-311 (-216)))) (-5 *4 (-635 (-1163))) (-5 *2 (-680 (-311 (-216)))) (-5 *1 (-198)))) (-2931 (*1 *2 *3) (-12 (-5 *3 (-680 (-311 (-216)))) (-5 *2 (-382)) (-5 *1 (-198)))) (-2040 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-382))) (-5 *2 (-382)) (-5 *1 (-198)))) (-2040 (*1 *2 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-198))))) 
+(-10 -7 (-15 -2040 ((-382) (-382) (-382))) (-15 -2040 ((-382) (-382) (-635 (-382)))) (-15 -2931 ((-382) (-680 (-311 (-216))))) (-15 -1395 ((-680 (-311 (-216))) (-1247 (-311 (-216))) (-635 (-1163)))) (-15 -1468 ((-680 (-311 (-216))) (-680 (-311 (-216))) (-635 (-1163)) (-1247 (-311 (-216))))) (-15 -2525 ((-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382))) (-680 (-311 (-216))))) (-15 -2527 ((-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382))) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3213 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3177 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4448 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -1462 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) 
+((-2568 (((-121) $ $) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 37)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-4330 (((-1036) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 60)) (-1668 (((-121) $ $) NIL))) 
+(((-199) (-796)) (T -199)) 
+NIL 
+(-796) 
+((-2568 (((-121) $ $) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 37)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-4330 (((-1036) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 60)) (-1668 (((-121) $ $) NIL))) 
+(((-200) (-796)) (T -200)) 
+NIL 
+(-796) 
+((-2568 (((-121) $ $) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 36)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-4330 (((-1036) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 64)) (-1668 (((-121) $ $) NIL))) 
+(((-201) (-796)) (T -201)) 
+NIL 
+(-796) 
+((-2568 (((-121) $ $) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 42)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-4330 (((-1036) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 73)) (-1668 (((-121) $ $) NIL))) 
+(((-202) (-796)) (T -202)) 
+NIL 
+(-796) 
+((-3914 (((-635 (-1163)) (-1163) (-764)) 22)) (-3226 (((-311 (-216)) (-311 (-216))) 29)) (-3318 (((-121) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) 67)) (-4334 (((-121) (-216) (-216) (-635 (-311 (-216)))) 43))) 
+(((-203) (-10 -7 (-15 -3914 ((-635 (-1163)) (-1163) (-764))) (-15 -3226 ((-311 (-216)) (-311 (-216)))) (-15 -4334 ((-121) (-216) (-216) (-635 (-311 (-216))))) (-15 -3318 ((-121) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216))))))) (T -203)) 
+((-3318 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) (-5 *2 (-121)) (-5 *1 (-203)))) (-4334 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-635 (-311 (-216)))) (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-203)))) (-3226 (*1 *2 *2) (-12 (-5 *2 (-311 (-216))) (-5 *1 (-203)))) (-3914 (*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-5 *2 (-635 (-1163))) (-5 *1 (-203)) (-5 *3 (-1163))))) 
+(-10 -7 (-15 -3914 ((-635 (-1163)) (-1163) (-764))) (-15 -3226 ((-311 (-216)) (-311 (-216)))) (-15 -4334 ((-121) (-216) (-216) (-635 (-311 (-216))))) (-15 -3318 ((-121) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))))) 
+((-2568 (((-121) $ $) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) 17)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-2677 (((-1036) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) 55)) (-1668 (((-121) $ $) NIL))) 
+(((-204) (-891)) (T -204)) 
+NIL 
+(-891) 
+((-2568 (((-121) $ $) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) 12)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-2677 (((-1036) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) NIL)) (-1668 (((-121) $ $) NIL))) 
+(((-205) (-891)) (T -205)) 
+NIL 
+(-891) 
+((-2568 (((-121) $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-3552 (((-1252) $) 36) (((-1252) $ (-918) (-918)) 38)) (-1534 (($ $ (-991)) 19) (((-241 (-1145)) $ (-1163)) 15)) (-3615 (((-1252) $) 34)) (-2185 (((-851) $) 31) (($ (-635 |#1|)) 8)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $ $) 27)) (-1707 (($ $ $) 22))) 
+(((-206 |#1|) (-13 (-1091) (-10 -8 (-15 -1534 ($ $ (-991))) (-15 -1534 ((-241 (-1145)) $ (-1163))) (-15 -1707 ($ $ $)) (-15 -1711 ($ $ $)) (-15 -2185 ($ (-635 |#1|))) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $)) (-15 -3552 ((-1252) $ (-918) (-918))))) (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $))))) (T -206)) 
+((-1534 (*1 *1 *1 *2) (-12 (-5 *2 (-991)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $))))))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-241 (-1145))) (-5 *1 (-206 *4)) (-4 *4 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ *3)) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $))))))) (-1707 (*1 *1 *1 *1) (-12 (-5 *1 (-206 *2)) (-4 *2 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $))))))) (-1711 (*1 *1 *1 *1) (-12 (-5 *1 (-206 *2)) (-4 *2 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $))))))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $))))) (-5 *1 (-206 *3)))) (-3615 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 (*2 $)) (-15 -3552 (*2 $))))))) (-3552 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 (*2 $)) (-15 -3552 (*2 $))))))) (-3552 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1252)) (-5 *1 (-206 *4)) (-4 *4 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 (*2 $)) (-15 -3552 (*2 $)))))))) 
+(-13 (-1091) (-10 -8 (-15 -1534 ($ $ (-991))) (-15 -1534 ((-241 (-1145)) $ (-1163))) (-15 -1707 ($ $ $)) (-15 -1711 ($ $ $)) (-15 -2185 ($ (-635 |#1|))) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $)) (-15 -3552 ((-1252) $ (-918) (-918))))) 
+((-2311 ((|#2| |#4| (-1 |#2| |#2|)) 46))) 
+(((-207 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2311 (|#2| |#4| (-1 |#2| |#2|)))) (-366) (-1222 |#1|) (-1222 (-410 |#2|)) (-341 |#1| |#2| |#3|)) (T -207)) 
+((-2311 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *2 *2)) (-4 *5 (-366)) (-4 *6 (-1222 (-410 *2))) (-4 *2 (-1222 *5)) (-5 *1 (-207 *5 *2 *6 *3)) (-4 *3 (-341 *5 *2 *6))))) 
+(-10 -7 (-15 -2311 (|#2| |#4| (-1 |#2| |#2|)))) 
+((-1411 ((|#2| |#2| (-764) |#2|) 41)) (-3951 ((|#2| |#2| (-764) |#2|) 37)) (-3462 (((-635 |#2|) (-635 (-2 (|:| |deg| (-764)) (|:| -1551 |#2|)))) 55)) (-3476 (((-635 (-2 (|:| |deg| (-764)) (|:| -1551 |#2|))) |#2|) 51)) (-1560 (((-121) |#2|) 48)) (-2186 (((-421 |#2|) |#2|) 74)) (-1743 (((-421 |#2|) |#2|) 73)) (-4289 ((|#2| |#2| (-764) |#2|) 35)) (-3245 (((-2 (|:| |cont| |#1|) (|:| -1640 (-635 (-2 (|:| |irr| |#2|) (|:| -4245 (-569)))))) |#2| (-121)) 66))) 
+(((-208 |#1| |#2|) (-10 -7 (-15 -1743 ((-421 |#2|) |#2|)) (-15 -2186 ((-421 |#2|) |#2|)) (-15 -3245 ((-2 (|:| |cont| |#1|) (|:| -1640 (-635 (-2 (|:| |irr| |#2|) (|:| -4245 (-569)))))) |#2| (-121))) (-15 -3476 ((-635 (-2 (|:| |deg| (-764)) (|:| -1551 |#2|))) |#2|)) (-15 -3462 ((-635 |#2|) (-635 (-2 (|:| |deg| (-764)) (|:| -1551 |#2|))))) (-15 -4289 (|#2| |#2| (-764) |#2|)) (-15 -3951 (|#2| |#2| (-764) |#2|)) (-15 -1411 (|#2| |#2| (-764) |#2|)) (-15 -1560 ((-121) |#2|))) (-351) (-1222 |#1|)) (T -208)) 
+((-1560 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1222 *4)))) (-1411 (*1 *2 *2 *3 *2) (-12 (-5 *3 (-764)) (-4 *4 (-351)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1222 *4)))) (-3951 (*1 *2 *2 *3 *2) (-12 (-5 *3 (-764)) (-4 *4 (-351)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1222 *4)))) (-4289 (*1 *2 *2 *3 *2) (-12 (-5 *3 (-764)) (-4 *4 (-351)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1222 *4)))) (-3462 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |deg| (-764)) (|:| -1551 *5)))) (-4 *5 (-1222 *4)) (-4 *4 (-351)) (-5 *2 (-635 *5)) (-5 *1 (-208 *4 *5)))) (-3476 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-635 (-2 (|:| |deg| (-764)) (|:| -1551 *3)))) (-5 *1 (-208 *4 *3)) (-4 *3 (-1222 *4)))) (-3245 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-351)) (-5 *2 (-2 (|:| |cont| *5) (|:| -1640 (-635 (-2 (|:| |irr| *3) (|:| -4245 (-569))))))) (-5 *1 (-208 *5 *3)) (-4 *3 (-1222 *5)))) (-2186 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1222 *4)))) (-1743 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1222 *4))))) 
+(-10 -7 (-15 -1743 ((-421 |#2|) |#2|)) (-15 -2186 ((-421 |#2|) |#2|)) (-15 -3245 ((-2 (|:| |cont| |#1|) (|:| -1640 (-635 (-2 (|:| |irr| |#2|) (|:| -4245 (-569)))))) |#2| (-121))) (-15 -3476 ((-635 (-2 (|:| |deg| (-764)) (|:| -1551 |#2|))) |#2|)) (-15 -3462 ((-635 |#2|) (-635 (-2 (|:| |deg| (-764)) (|:| -1551 |#2|))))) (-15 -4289 (|#2| |#2| (-764) |#2|)) (-15 -3951 (|#2| |#2| (-764) |#2|)) (-15 -1411 (|#2| |#2| (-764) |#2|)) (-15 -1560 ((-121) |#2|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3761 (((-569) $) NIL (|has| (-569) (-302)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL (|has| (-569) (-816)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL) (((-3 (-1163) "failed") $) NIL (|has| (-569) (-1038 (-1163)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-569) (-1038 (-569)))) (((-3 (-569) "failed") $) NIL (|has| (-569) (-1038 (-569))))) (-2428 (((-569) $) NIL) (((-1163) $) NIL (|has| (-569) (-1038 (-1163)))) (((-410 (-569)) $) NIL (|has| (-569) (-1038 (-569)))) (((-569) $) NIL (|has| (-569) (-1038 (-569))))) (-2506 (($ $ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL) (((-680 (-569)) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| (-569) (-551)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-2403 (((-121) $) NIL (|has| (-569) (-816)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (|has| (-569) (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (|has| (-569) (-882 (-382))))) (-1407 (((-121) $) NIL)) (-4052 (($ $) NIL)) (-4116 (((-569) $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| (-569) (-1137)))) (-1781 (((-121) $) NIL (|has| (-569) (-816)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3291 (($ $ $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| (-569) (-843)))) (-1544 (($ (-1 (-569) (-569)) $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| (-569) (-1137)) CONST)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1346 (($ $) NIL (|has| (-569) (-302))) (((-410 (-569)) $) NIL)) (-2942 (((-569) $) NIL (|has| (-569) (-551)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1468 (($ $ (-635 (-569)) (-635 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-569) (-569)) NIL (|has| (-569) (-304 (-569)))) (($ $ (-289 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-289 (-569)))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-1163)) (-635 (-569))) NIL (|has| (-569) (-524 (-1163) (-569)))) (($ $ (-1163) (-569)) NIL (|has| (-569) (-524 (-1163) (-569))))) (-2622 (((-764) $) NIL)) (-1534 (($ $ (-569)) NIL (|has| (-569) (-282 (-569) (-569))))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3899 (($ $) NIL (|has| (-569) (-226))) (($ $ (-764)) NIL (|has| (-569) (-226))) (($ $ (-1163)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1 (-569) (-569)) (-764)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-4214 (($ $) NIL)) (-4121 (((-569) $) NIL)) (-4412 (($ (-410 (-569))) 8)) (-3817 (((-888 (-569)) $) NIL (|has| (-569) (-610 (-888 (-569))))) (((-888 (-382)) $) NIL (|has| (-569) (-610 (-888 (-382))))) (((-542) $) NIL (|has| (-569) (-610 (-542)))) (((-382) $) NIL (|has| (-569) (-1022))) (((-216) $) NIL (|has| (-569) (-1022)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| (-569) (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) 7) (($ (-569)) NIL) (($ (-1163)) NIL (|has| (-569) (-1038 (-1163)))) (((-410 (-569)) $) NIL) (((-1005 10) $) 9)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| (-569) (-905))) (|has| (-569) (-149))))) (-1991 (((-764)) NIL)) (-2612 (((-569) $) NIL (|has| (-569) (-551)))) (-1961 (((-121) $ $) NIL)) (-1616 (($ $) NIL (|has| (-569) (-816)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $) NIL (|has| (-569) (-226))) (($ $ (-764)) NIL (|has| (-569) (-226))) (($ $ (-1163)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1 (-569) (-569)) (-764)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-1693 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1684 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1678 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1715 (($ $ $) NIL) (($ (-569) (-569)) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-569) $) NIL) (($ $ (-569)) NIL))) 
+(((-209) (-13 (-994 (-569)) (-10 -8 (-15 -2185 ((-410 (-569)) $)) (-15 -2185 ((-1005 10) $)) (-15 -1346 ((-410 (-569)) $)) (-15 -4412 ($ (-410 (-569))))))) (T -209)) 
+((-2185 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-209)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-1005 10)) (-5 *1 (-209)))) (-1346 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-209)))) (-4412 (*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-209))))) 
+(-13 (-994 (-569)) (-10 -8 (-15 -2185 ((-410 (-569)) $)) (-15 -2185 ((-1005 10) $)) (-15 -1346 ((-410 (-569)) $)) (-15 -4412 ($ (-410 (-569)))))) 
+((-2565 (((-3 (|:| |f1| (-836 |#2|)) (|:| |f2| (-635 (-836 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1083 (-836 |#2|)) (-1145)) 27) (((-3 (|:| |f1| (-836 |#2|)) (|:| |f2| (-635 (-836 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1083 (-836 |#2|))) 23)) (-4044 (((-3 (|:| |f1| (-836 |#2|)) (|:| |f2| (-635 (-836 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1163) (-836 |#2|) (-836 |#2|) (-121)) 16))) 
+(((-210 |#1| |#2|) (-10 -7 (-15 -2565 ((-3 (|:| |f1| (-836 |#2|)) (|:| |f2| (-635 (-836 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1083 (-836 |#2|)))) (-15 -2565 ((-3 (|:| |f1| (-836 |#2|)) (|:| |f2| (-635 (-836 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1083 (-836 |#2|)) (-1145))) (-15 -4044 ((-3 (|:| |f1| (-836 |#2|)) (|:| |f2| (-635 (-836 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1163) (-836 |#2|) (-836 |#2|) (-121)))) (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569))) (-13 (-1183) (-960) (-29 |#1|))) (T -210)) 
+((-4044 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-1163)) (-5 *6 (-121)) (-4 *7 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-4 *3 (-13 (-1183) (-960) (-29 *7))) (-5 *2 (-3 (|:| |f1| (-836 *3)) (|:| |f2| (-635 (-836 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *7 *3)) (-5 *5 (-836 *3)))) (-2565 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1083 (-836 *3))) (-5 *5 (-1145)) (-4 *3 (-13 (-1183) (-960) (-29 *6))) (-4 *6 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-836 *3)) (|:| |f2| (-635 (-836 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *6 *3)))) (-2565 (*1 *2 *3 *4) (-12 (-5 *4 (-1083 (-836 *3))) (-4 *3 (-13 (-1183) (-960) (-29 *5))) (-4 *5 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-836 *3)) (|:| |f2| (-635 (-836 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *5 *3))))) 
+(-10 -7 (-15 -2565 ((-3 (|:| |f1| (-836 |#2|)) (|:| |f2| (-635 (-836 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1083 (-836 |#2|)))) (-15 -2565 ((-3 (|:| |f1| (-836 |#2|)) (|:| |f2| (-635 (-836 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1083 (-836 |#2|)) (-1145))) (-15 -4044 ((-3 (|:| |f1| (-836 |#2|)) (|:| |f2| (-635 (-836 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1163) (-836 |#2|) (-836 |#2|) (-121)))) 
+((-2565 (((-3 (|:| |f1| (-836 (-311 |#1|))) (|:| |f2| (-635 (-836 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-954 |#1|)) (-1083 (-836 (-410 (-954 |#1|)))) (-1145)) 44) (((-3 (|:| |f1| (-836 (-311 |#1|))) (|:| |f2| (-635 (-836 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-954 |#1|)) (-1083 (-836 (-410 (-954 |#1|))))) 41) (((-3 (|:| |f1| (-836 (-311 |#1|))) (|:| |f2| (-635 (-836 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-954 |#1|)) (-1083 (-836 (-311 |#1|))) (-1145)) 45) (((-3 (|:| |f1| (-836 (-311 |#1|))) (|:| |f2| (-635 (-836 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-954 |#1|)) (-1083 (-836 (-311 |#1|)))) 17))) 
+(((-211 |#1|) (-10 -7 (-15 -2565 ((-3 (|:| |f1| (-836 (-311 |#1|))) (|:| |f2| (-635 (-836 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-954 |#1|)) (-1083 (-836 (-311 |#1|))))) (-15 -2565 ((-3 (|:| |f1| (-836 (-311 |#1|))) (|:| |f2| (-635 (-836 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-954 |#1|)) (-1083 (-836 (-311 |#1|))) (-1145))) (-15 -2565 ((-3 (|:| |f1| (-836 (-311 |#1|))) (|:| |f2| (-635 (-836 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-954 |#1|)) (-1083 (-836 (-410 (-954 |#1|)))))) (-15 -2565 ((-3 (|:| |f1| (-836 (-311 |#1|))) (|:| |f2| (-635 (-836 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-954 |#1|)) (-1083 (-836 (-410 (-954 |#1|)))) (-1145)))) (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (T -211)) 
+((-2565 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1083 (-836 (-410 (-954 *6))))) (-5 *5 (-1145)) (-5 *3 (-410 (-954 *6))) (-4 *6 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-836 (-311 *6))) (|:| |f2| (-635 (-836 (-311 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *6)))) (-2565 (*1 *2 *3 *4) (-12 (-5 *4 (-1083 (-836 (-410 (-954 *5))))) (-5 *3 (-410 (-954 *5))) (-4 *5 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-836 (-311 *5))) (|:| |f2| (-635 (-836 (-311 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *5)))) (-2565 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-410 (-954 *6))) (-5 *4 (-1083 (-836 (-311 *6)))) (-5 *5 (-1145)) (-4 *6 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-836 (-311 *6))) (|:| |f2| (-635 (-836 (-311 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *6)))) (-2565 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1083 (-836 (-311 *5)))) (-4 *5 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-836 (-311 *5))) (|:| |f2| (-635 (-836 (-311 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *5))))) 
+(-10 -7 (-15 -2565 ((-3 (|:| |f1| (-836 (-311 |#1|))) (|:| |f2| (-635 (-836 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-954 |#1|)) (-1083 (-836 (-311 |#1|))))) (-15 -2565 ((-3 (|:| |f1| (-836 (-311 |#1|))) (|:| |f2| (-635 (-836 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-954 |#1|)) (-1083 (-836 (-311 |#1|))) (-1145))) (-15 -2565 ((-3 (|:| |f1| (-836 (-311 |#1|))) (|:| |f2| (-635 (-836 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-954 |#1|)) (-1083 (-836 (-410 (-954 |#1|)))))) (-15 -2565 ((-3 (|:| |f1| (-836 (-311 |#1|))) (|:| |f2| (-635 (-836 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-954 |#1|)) (-1083 (-836 (-410 (-954 |#1|)))) (-1145)))) 
+((-1774 (((-2 (|:| -3698 (-1159 |#1|)) (|:| |deg| (-918))) (-1159 |#1|)) 20)) (-1939 (((-635 (-311 |#2|)) (-311 |#2|) (-918)) 42))) 
+(((-212 |#1| |#2|) (-10 -7 (-15 -1774 ((-2 (|:| -3698 (-1159 |#1|)) (|:| |deg| (-918))) (-1159 |#1|))) (-15 -1939 ((-635 (-311 |#2|)) (-311 |#2|) (-918)))) (-1048) (-13 (-559) (-843))) (T -212)) 
+((-1939 (*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *6 (-13 (-559) (-843))) (-5 *2 (-635 (-311 *6))) (-5 *1 (-212 *5 *6)) (-5 *3 (-311 *6)) (-4 *5 (-1048)))) (-1774 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-2 (|:| -3698 (-1159 *4)) (|:| |deg| (-918)))) (-5 *1 (-212 *4 *5)) (-5 *3 (-1159 *4)) (-4 *5 (-13 (-559) (-843)))))) 
+(-10 -7 (-15 -1774 ((-2 (|:| -3698 (-1159 |#1|)) (|:| |deg| (-918))) (-1159 |#1|))) (-15 -1939 ((-635 (-311 |#2|)) (-311 |#2|) (-918)))) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-3828 ((|#1| $) 25)) (-3275 ((|#1| $) 26)) (-1691 (((-121) $ (-764)) NIL)) (-2820 (($) NIL T CONST)) (-3929 (($ $) NIL)) (-1302 (($ $) 32)) (-3309 ((|#1| |#1| $) NIL)) (-1646 ((|#1| $) NIL)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-1906 (((-764) $) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3889 ((|#1| $) NIL)) (-3153 ((|#1| |#1| $) 29)) (-2055 ((|#1| |#1| $) 31)) (-3172 (($ |#1| $) NIL)) (-2626 (((-764) $) 27)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-2935 ((|#1| $) NIL)) (-2017 ((|#1| $) 24)) (-3597 ((|#1| $) 8)) (-1856 ((|#1| $) NIL)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-4065 ((|#1| |#1| $) NIL)) (-1601 (((-121) $) 15)) (-1296 (($) NIL)) (-2819 ((|#1| $) NIL)) (-3598 (($) NIL) (($ (-635 |#1|)) 13)) (-2835 (((-764) $) 28)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-3130 ((|#1| $) 9)) (-2793 (($ (-635 |#1|)) NIL)) (-1309 ((|#1| $) NIL)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-213 |#1|) (-13 (-248 |#1|) (-10 -8 (-15 -3598 ($ (-635 |#1|))) (-15 -2819 (|#1| $)) (-15 -1856 (|#1| $)) (-15 -4065 (|#1| |#1| $)) (-15 -3172 ($ |#1| $)) (-15 -3889 (|#1| $)) (-15 -2935 (|#1| $)) (-15 -1309 (|#1| $)) (-15 -3929 ($ $)) (-15 -1906 ((-764) $)) (-15 -2006 ((-121) $ (-764))) (-15 -1974 ((-121) $ (-764))) (-15 -1691 ((-121) $ (-764))) (-15 -2793 ($ (-635 |#1|))) (-15 -1601 ((-121) $)) (-15 -1296 ($)) (-15 -2820 ($)) (-15 -1971 ($ $)) (-15 -3137 ((-121) $ $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (-15 -2835 ((-764) $)) (-15 -3598 ($)) (-15 -2626 ((-764) $)) (-15 -3275 (|#1| $)) (-15 -3130 (|#1| $)) (-15 -3597 (|#1| $)) (-15 -2017 (|#1| $)) (-15 -2055 (|#1| |#1| $)) (-15 -3153 (|#1| |#1| $)) (-15 -1646 (|#1| $)) (-15 -3309 (|#1| |#1| $)) (-15 -1302 ($ $)) (-15 -3828 (|#1| $)) (IF (|has| $ (-6 -4536)) (-15 -1853 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1091)) (PROGN (-15 -2776 ((-1145) $)) (-15 -3360 ((-1109) $)) (-15 -2185 ((-851) $)) (-15 -1668 ((-121) $ $)) (-15 -2568 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4535)) (PROGN (-15 -4177 ((-121) (-1 (-121) |#1|) $)) (-15 -2066 ((-121) (-1 (-121) |#1|) $)) (-15 -2846 ((-764) (-1 (-121) |#1|) $)) (-15 -4168 ((-764) $)) (-15 -3470 ((-635 |#1|) $)) (-15 -4259 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4535)) (IF (|has| |#1| (-1091)) (PROGN (-15 -3660 ((-121) |#1| $)) (-15 -2846 ((-764) |#1| $))) |noBranch|) |noBranch|))) (-1091)) (T -213)) 
+((-3137 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) (-1971 (*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-1296 (*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-1601 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) (-2006 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1091)))) (-1974 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1091)))) (-1691 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1091)))) (-2820 (*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-4168 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) (-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-213 *3)))) (-1853 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4536)) (-4 *3 (-1091)) (-5 *1 (-213 *3)))) (-2066 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-213 *4)))) (-4177 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-213 *4)))) (-2846 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-764)) (-5 *1 (-213 *4)))) (-3470 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) (-4259 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) (-2846 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-3660 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2776 (*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-3360 (*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-1668 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2568 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2793 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-213 *3)))) (-1856 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-3172 (*1 *1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-3889 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-3309 (*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-1646 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-3275 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-2835 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) (-1309 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-2935 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-1906 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) (-3929 (*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-2819 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-4065 (*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-3598 (*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-3598 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-213 *3)))) (-2626 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) (-3828 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-3130 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-3153 (*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-2055 (*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-2017 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-3597 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-1302 (*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091))))) 
+(-13 (-248 |#1|) (-10 -8 (-15 -3598 ($ (-635 |#1|))) (-15 -2819 (|#1| $)) (-15 -1856 (|#1| $)) (-15 -4065 (|#1| |#1| $)) (-15 -3172 ($ |#1| $)) (-15 -3889 (|#1| $)) (-15 -2935 (|#1| $)) (-15 -1309 (|#1| $)) (-15 -3929 ($ $)) (-15 -1906 ((-764) $)) (-15 -2006 ((-121) $ (-764))) (-15 -1974 ((-121) $ (-764))) (-15 -1691 ((-121) $ (-764))) (-15 -2793 ($ (-635 |#1|))) (-15 -1601 ((-121) $)) (-15 -1296 ($)) (-15 -2820 ($)) (-15 -1971 ($ $)) (-15 -3137 ((-121) $ $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (-15 -2835 ((-764) $)) (-15 -3598 ($)) (-15 -2626 ((-764) $)) (-15 -3275 (|#1| $)) (-15 -3130 (|#1| $)) (-15 -3597 (|#1| $)) (-15 -2017 (|#1| $)) (-15 -2055 (|#1| |#1| $)) (-15 -3153 (|#1| |#1| $)) (-15 -1646 (|#1| $)) (-15 -3309 (|#1| |#1| $)) (-15 -1302 ($ $)) (-15 -3828 (|#1| $)) (IF (|has| $ (-6 -4536)) (-15 -1853 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1091)) (PROGN (-15 -2776 ((-1145) $)) (-15 -3360 ((-1109) $)) (-15 -2185 ((-851) $)) (-15 -1668 ((-121) $ $)) (-15 -2568 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4535)) (PROGN (-15 -4177 ((-121) (-1 (-121) |#1|) $)) (-15 -2066 ((-121) (-1 (-121) |#1|) $)) (-15 -2846 ((-764) (-1 (-121) |#1|) $)) (-15 -4168 ((-764) $)) (-15 -3470 ((-635 |#1|) $)) (-15 -4259 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4535)) (IF (|has| |#1| (-1091)) (PROGN (-15 -3660 ((-121) |#1| $)) (-15 -2846 ((-764) |#1| $))) |noBranch|) |noBranch|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1676 (($ (-311 |#1|)) 23)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-3633 (((-121) $) NIL)) (-1647 (((-3 (-311 |#1|) "failed") $) NIL)) (-2428 (((-311 |#1|) $) NIL)) (-4020 (($ $) 31)) (-3428 (((-3 $ "failed") $) NIL)) (-1407 (((-121) $) NIL)) (-1544 (($ (-1 (-311 |#1|) (-311 |#1|)) $) NIL)) (-4012 (((-311 |#1|) $) NIL)) (-2528 (($ $) 30)) (-2776 (((-1145) $) NIL)) (-2910 (((-121) $) NIL)) (-3360 (((-1109) $) NIL)) (-1809 (($ (-764)) NIL)) (-1404 (($ $) 32)) (-2492 (((-569) $) NIL)) (-2185 (((-851) $) 57) (($ (-569)) NIL) (($ (-311 |#1|)) NIL)) (-1653 (((-311 |#1|) $ $) NIL)) (-1991 (((-764)) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 25 T CONST)) (-1556 (($) 50 T CONST)) (-1668 (((-121) $ $) 28)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 19)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 24) (($ (-311 |#1|) $) 18))) 
+(((-214 |#1| |#2|) (-13 (-613 (-311 |#1|)) (-1038 (-311 |#1|)) (-10 -8 (-15 -4012 ((-311 |#1|) $)) (-15 -2528 ($ $)) (-15 -4020 ($ $)) (-15 -1653 ((-311 |#1|) $ $)) (-15 -1809 ($ (-764))) (-15 -2910 ((-121) $)) (-15 -3633 ((-121) $)) (-15 -2492 ((-569) $)) (-15 -1544 ($ (-1 (-311 |#1|) (-311 |#1|)) $)) (-15 -1676 ($ (-311 |#1|))) (-15 -1404 ($ $)))) (-13 (-1048) (-843)) (-635 (-1163))) (T -214)) 
+((-4012 (*1 *2 *1) (-12 (-5 *2 (-311 *3)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1048) (-843))) (-14 *4 (-635 (-1163))))) (-2528 (*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1048) (-843))) (-14 *3 (-635 (-1163))))) (-4020 (*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1048) (-843))) (-14 *3 (-635 (-1163))))) (-1653 (*1 *2 *1 *1) (-12 (-5 *2 (-311 *3)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1048) (-843))) (-14 *4 (-635 (-1163))))) (-1809 (*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1048) (-843))) (-14 *4 (-635 (-1163))))) (-2910 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1048) (-843))) (-14 *4 (-635 (-1163))))) (-3633 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1048) (-843))) (-14 *4 (-635 (-1163))))) (-2492 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1048) (-843))) (-14 *4 (-635 (-1163))))) (-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-311 *3) (-311 *3))) (-4 *3 (-13 (-1048) (-843))) (-5 *1 (-214 *3 *4)) (-14 *4 (-635 (-1163))))) (-1676 (*1 *1 *2) (-12 (-5 *2 (-311 *3)) (-4 *3 (-13 (-1048) (-843))) (-5 *1 (-214 *3 *4)) (-14 *4 (-635 (-1163))))) (-1404 (*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1048) (-843))) (-14 *3 (-635 (-1163)))))) 
+(-13 (-613 (-311 |#1|)) (-1038 (-311 |#1|)) (-10 -8 (-15 -4012 ((-311 |#1|) $)) (-15 -2528 ($ $)) (-15 -4020 ($ $)) (-15 -1653 ((-311 |#1|) $ $)) (-15 -1809 ($ (-764))) (-15 -2910 ((-121) $)) (-15 -3633 ((-121) $)) (-15 -2492 ((-569) $)) (-15 -1544 ($ (-1 (-311 |#1|) (-311 |#1|)) $)) (-15 -1676 ($ (-311 |#1|))) (-15 -1404 ($ $)))) 
+((-2710 (((-121) (-1145)) 22)) (-1494 (((-3 (-836 |#2|) "failed") (-608 |#2|) |#2| (-836 |#2|) (-836 |#2|) (-121)) 32)) (-1664 (((-3 (-121) "failed") (-1159 |#2|) (-836 |#2|) (-836 |#2|) (-121)) 73) (((-3 (-121) "failed") (-954 |#1|) (-1163) (-836 |#2|) (-836 |#2|) (-121)) 74))) 
+(((-215 |#1| |#2|) (-10 -7 (-15 -2710 ((-121) (-1145))) (-15 -1494 ((-3 (-836 |#2|) "failed") (-608 |#2|) |#2| (-836 |#2|) (-836 |#2|) (-121))) (-15 -1664 ((-3 (-121) "failed") (-954 |#1|) (-1163) (-836 |#2|) (-836 |#2|) (-121))) (-15 -1664 ((-3 (-121) "failed") (-1159 |#2|) (-836 |#2|) (-836 |#2|) (-121)))) (-13 (-454) (-843) (-1038 (-569)) (-631 (-569))) (-13 (-1183) (-29 |#1|))) (T -215)) 
+((-1664 (*1 *2 *3 *4 *4 *2) (|partial| -12 (-5 *2 (-121)) (-5 *3 (-1159 *6)) (-5 *4 (-836 *6)) (-4 *6 (-13 (-1183) (-29 *5))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-215 *5 *6)))) (-1664 (*1 *2 *3 *4 *5 *5 *2) (|partial| -12 (-5 *2 (-121)) (-5 *3 (-954 *6)) (-5 *4 (-1163)) (-5 *5 (-836 *7)) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-4 *7 (-13 (-1183) (-29 *6))) (-5 *1 (-215 *6 *7)))) (-1494 (*1 *2 *3 *4 *2 *2 *5) (|partial| -12 (-5 *2 (-836 *4)) (-5 *3 (-608 *4)) (-5 *5 (-121)) (-4 *4 (-13 (-1183) (-29 *6))) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-215 *6 *4)))) (-2710 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-121)) (-5 *1 (-215 *4 *5)) (-4 *5 (-13 (-1183) (-29 *4)))))) 
+(-10 -7 (-15 -2710 ((-121) (-1145))) (-15 -1494 ((-3 (-836 |#2|) "failed") (-608 |#2|) |#2| (-836 |#2|) (-836 |#2|) (-121))) (-15 -1664 ((-3 (-121) "failed") (-954 |#1|) (-1163) (-836 |#2|) (-836 |#2|) (-121))) (-15 -1664 ((-3 (-121) "failed") (-1159 |#2|) (-836 |#2|) (-836 |#2|) (-121)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 95)) (-3761 (((-569) $) 124)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3136 (($ $) NIL)) (-1753 (($ $) 83)) (-2530 (($ $) 71)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-2454 (($ $) 62)) (-3934 (((-121) $ $) NIL)) (-1744 (($ $) 81)) (-2513 (($ $) 69)) (-3638 (((-569) $) 137)) (-1760 (($ $) 86)) (-2546 (($ $) 73)) (-2820 (($) NIL T CONST)) (-1847 (($ $) NIL)) (-1647 (((-3 (-569) "failed") $) 120) (((-3 (-410 (-569)) "failed") $) 135)) (-2428 (((-569) $) 136) (((-410 (-569)) $) 133)) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) 98)) (-2826 (((-410 (-569)) $ (-764)) 131) (((-410 (-569)) $ (-764) (-764)) 130)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-1732 (((-918)) 34) (((-918) (-918)) NIL (|has| $ (-6 -4526)))) (-2403 (((-121) $) NIL)) (-3429 (($ $ $) 123)) (-2445 (($) 44)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL)) (-2558 (((-569) $) 40)) (-1407 (((-121) $) NIL)) (-4344 (($ $ (-569)) NIL)) (-4308 (($ $) NIL)) (-1781 (((-121) $) 94)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3291 (($ $ $) 59) (($) 39 (-12 (-3864 (|has| $ (-6 -4518))) (-3864 (|has| $ (-6 -4526)))))) (-1538 (($ $ $) 58) (($) 38 (-12 (-3864 (|has| $ (-6 -4518))) (-3864 (|has| $ (-6 -4526)))))) (-1554 (((-569) $) 32)) (-1671 (((-410 (-569)) $) 27)) (-1900 (($ $) 35)) (-2138 (($ $) 63)) (-4450 (($ $) 68)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-2000 (((-635 (-569)) $) 29)) (-2925 (((-918) (-569)) NIL (|has| $ (-6 -4526)))) (-3360 (((-1109) $) NIL) (((-569) $) 96)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1346 (($ $) NIL)) (-2942 (($ $) NIL)) (-2215 (($ (-569) (-569)) NIL) (($ (-569) (-569) (-918)) 125)) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2356 (((-569) $) 33)) (-2390 (($) 43)) (-2436 (($ $) 67)) (-2622 (((-764) $) NIL)) (-1643 (((-1145) (-1145)) 8)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-2855 (((-918)) NIL) (((-918) (-918)) NIL (|has| $ (-6 -4526)))) (-1394 (($ $) 116)) (-3899 (($ $ (-764)) NIL) (($ $) 99)) (-4432 (((-918) (-569)) NIL (|has| $ (-6 -4526)))) (-1764 (($ $) 84)) (-2554 (($ $) 74)) (-1756 (($ $) 85)) (-2538 (($ $) 72)) (-1748 (($ $) 82)) (-2522 (($ $) 70)) (-3817 (((-382) $) 129) (((-216) $) 126) (((-888 (-382)) $) NIL) (((-542) $) 51)) (-2185 (((-851) $) 48) (($ (-569)) 66) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-569)) 66) (($ (-410 (-569))) NIL)) (-1991 (((-764)) NIL)) (-2612 (($ $) NIL)) (-2970 (((-918)) 37) (((-918) (-918)) NIL (|has| $ (-6 -4526)))) (-3367 (($ $ $) 112)) (-3349 (($ $ $) 110)) (-2178 (($ $ $) 108)) (-3627 (($ $ $) 106)) (-1475 (((-918)) 31)) (-1779 (($ $) 89)) (-1727 (($ $) 77) (($ $ $) 132)) (-1961 (((-121) $ $) NIL)) (-1770 (($ $) 87)) (-2561 (($ $) 75)) (-1785 (($ $) 92)) (-1736 (($ $) 80)) (-3759 (($ $) 104)) (-4395 (($ $) 102)) (-2430 (($ $) 90)) (-1740 (($ $) 78)) (-1782 (($ $) 91)) (-1731 (($ $) 79)) (-1775 (($ $) 88)) (-2569 (($ $) 76)) (-1616 (($ $) 138)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 41 T CONST)) (-1556 (($) 42 T CONST)) (-1940 (((-1145) $) 19) (((-1145) $ (-121)) 21) (((-1252) (-818) $) 22) (((-1252) (-818) $ (-121)) 23)) (-3814 (($ $) 118) (($ $ $) NIL)) (-3022 (($ $ (-764)) NIL) (($ $) NIL)) (-1485 (($ $ $) 114)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 60)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 52)) (-1715 (($ $ $) 93) (($ $ (-569)) 61)) (-1711 (($ $) 53) (($ $ $) 55)) (-1707 (($ $ $) 54)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) 64) (($ $ (-410 (-569))) 148) (($ $ $) 65)) (* (($ (-918) $) 36) (($ (-764) $) NIL) (($ (-569) $) 57) (($ $ $) 56) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
+(((-216) (-13 (-407) (-226) (-824) (-1183) (-1125) (-610 (-542)) (-10 -8 (-15 -1715 ($ $ (-569))) (-15 ** ($ $ $)) (-15 -2390 ($)) (-15 -3360 ((-569) $)) (-15 -1900 ($ $)) (-15 -2138 ($ $)) (-15 -1727 ($ $ $)) (-15 -3814 ($ $)) (-15 -1485 ($ $ $)) (-15 -1643 ((-1145) (-1145))) (-15 -2826 ((-410 (-569)) $ (-764))) (-15 -2826 ((-410 (-569)) $ (-764) (-764))) (-15 -1671 ((-410 (-569)) $)) (-15 -2000 ((-635 (-569)) $))))) (T -216)) 
+((** (*1 *1 *1 *1) (-5 *1 (-216))) (-3814 (*1 *1 *1) (-5 *1 (-216))) (-1485 (*1 *1 *1 *1) (-5 *1 (-216))) (-1715 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-216)))) (-2390 (*1 *1) (-5 *1 (-216))) (-3360 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-216)))) (-1900 (*1 *1 *1) (-5 *1 (-216))) (-2138 (*1 *1 *1) (-5 *1 (-216))) (-1727 (*1 *1 *1 *1) (-5 *1 (-216))) (-1643 (*1 *2 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-216)))) (-2826 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-410 (-569))) (-5 *1 (-216)))) (-2826 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-410 (-569))) (-5 *1 (-216)))) (-1671 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-216)))) (-2000 (*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-216))))) 
+(-13 (-407) (-226) (-824) (-1183) (-1125) (-610 (-542)) (-10 -8 (-15 -1715 ($ $ (-569))) (-15 ** ($ $ $)) (-15 -2390 ($)) (-15 -3360 ((-569) $)) (-15 -1900 ($ $)) (-15 -2138 ($ $)) (-15 -1727 ($ $ $)) (-15 -3814 ($ $)) (-15 -1485 ($ $ $)) (-15 -1643 ((-1145) (-1145))) (-15 -2826 ((-410 (-569)) $ (-764))) (-15 -2826 ((-410 (-569)) $ (-764) (-764))) (-15 -1671 ((-410 (-569)) $)) (-15 -2000 ((-635 (-569)) $)))) 
+((-2568 (((-121) $ $) NIL (|has| (-216) (-1091)))) (-2418 (($ (-764) (-764)) NIL)) (-2799 (($ $ $) NIL)) (-2853 (($ (-219)) NIL) (($ $) NIL)) (-4144 (((-121) $) NIL)) (-4218 (($ $ (-569) (-569)) NIL)) (-2296 (($ $ (-569) (-569)) NIL)) (-1910 (($ $ (-569) (-569) (-569) (-569)) NIL)) (-1391 (($ $) NIL)) (-3569 (((-121) $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-1350 (($ $ (-569) (-569) $) NIL)) (-4469 (((-216) $ (-569) (-569) (-216)) NIL) (($ $ (-635 (-569)) (-635 (-569)) $) NIL)) (-2451 (($ $ (-569) (-219)) NIL)) (-3443 (($ $ (-569) (-219)) NIL)) (-1574 (($ (-764) (-216)) NIL)) (-2820 (($) NIL T CONST)) (-4036 (($ $) NIL (|has| (-216) (-302)))) (-1765 (((-219) $ (-569)) NIL)) (-1321 (((-764) $) NIL (|has| (-216) (-559)))) (-2726 (((-216) $ (-569) (-569) (-216)) 16)) (-2090 (($ (-569) (-569)) 18)) (-1618 (((-216) $ (-569) (-569)) 15)) (-2333 (((-216) $) NIL (|has| (-216) (-173)))) (-3470 (((-635 (-216)) $) NIL)) (-3695 (((-764) $) NIL (|has| (-216) (-559)))) (-3645 (((-635 (-219)) $) NIL (|has| (-216) (-559)))) (-1810 (((-764) $) 10)) (-2659 (($ (-764) (-764) (-216)) 19)) (-2806 (((-764) $) 11)) (-1974 (((-121) $ (-764)) NIL)) (-1558 (((-216) $) NIL (|has| (-216) (-6 (-4537 "*"))))) (-3992 (((-569) $) 7)) (-3127 (((-569) $) 8)) (-4259 (((-635 (-216)) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-216) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-216) (-1091))))) (-1866 (((-569) $) 12)) (-1581 (((-569) $) 13)) (-1483 (($ (-635 (-635 (-216)))) NIL)) (-1853 (($ (-1 (-216) (-216)) $) NIL)) (-1544 (($ (-1 (-216) (-216)) $) NIL) (($ (-1 (-216) (-216) (-216)) $ $) NIL) (($ (-1 (-216) (-216) (-216)) $ $ (-216)) NIL)) (-2550 (((-635 (-635 (-216))) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| (-216) (-1091)))) (-4480 (((-3 $ "failed") $) NIL (|has| (-216) (-366)))) (-4444 (($ $ $) NIL)) (-3360 (((-1109) $) NIL (|has| (-216) (-1091)))) (-3174 (($ $ (-216)) NIL)) (-2941 (((-3 $ "failed") $ (-216)) NIL (|has| (-216) (-559)))) (-4177 (((-121) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-216)))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1091)))) (($ $ (-289 (-216))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1091)))) (($ $ (-216) (-216)) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1091)))) (($ $ (-635 (-216)) (-635 (-216))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 17)) (-1534 (((-216) $ (-569) (-569)) NIL) (((-216) $ (-569) (-569) (-216)) NIL) (($ $ (-635 (-569)) (-635 (-569))) NIL)) (-2455 (($ (-635 (-216))) NIL) (($ (-635 $)) NIL)) (-2584 (((-121) $) NIL)) (-1787 (((-216) $) NIL (|has| (-216) (-6 (-4537 "*"))))) (-2846 (((-764) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4535))) (((-764) (-216) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-216) (-1091))))) (-1971 (($ $) NIL)) (-2753 (((-635 (-219)) $) NIL (|has| (-216) (-302)))) (-3419 (((-219) $ (-569)) NIL)) (-2185 (((-851) $) NIL (|has| (-216) (-1091))) (($ (-219)) NIL)) (-2066 (((-121) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4535)))) (-2256 (((-121) $) NIL)) (-1668 (((-121) $ $) NIL (|has| (-216) (-1091)))) (-1715 (($ $ (-216)) NIL (|has| (-216) (-366)))) (-1711 (($ $ $) NIL) (($ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| (-216) (-366)))) (* (($ $ $) NIL) (($ (-216) $) NIL) (($ $ (-216)) NIL) (($ (-569) $) NIL) (((-219) $ (-219)) NIL) (((-219) (-219) $) NIL)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-217) (-13 (-678 (-216) (-219) (-219)) (-10 -8 (-15 -2090 ($ (-569) (-569)))))) (T -217)) 
+((-2090 (*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-217))))) 
+(-13 (-678 (-216) (-219) (-219)) (-10 -8 (-15 -2090 ($ (-569) (-569))))) 
+((-3429 (((-170 (-216)) (-764) (-170 (-216))) 61) (((-216) (-764) (-216)) 62)) (-1463 (((-170 (-216)) (-170 (-216))) 63) (((-216) (-216)) 64)) (-1942 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 69) (((-216) (-216) (-216)) 72)) (-4385 (((-382) (-382)) 60)) (-4427 (((-382) (-382)) 59)) (-1394 (((-170 (-216)) (-170 (-216))) 74) (((-216) (-216)) 73)) (-3367 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 91) (((-216) (-216) (-216)) 83)) (-3349 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 94) (((-216) (-216) (-216)) 92)) (-2178 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 65) (((-216) (-216) (-216)) 66)) (-3627 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 67) (((-216) (-216) (-216)) 68)) (-3759 (((-170 (-216)) (-170 (-216))) 105) (((-216) (-216)) 104)) (-4395 (((-216) (-216)) 99) (((-170 (-216)) (-170 (-216))) 103)) (-3814 (((-170 (-216)) (-170 (-216))) 7) (((-216) (-216)) 9)) (-2617 (((-829 (-216)) (-569) (-216)) 23)) (-3689 (((-829 (-216)) (-829 (-216))) 36)) (-1451 (((-829 (-216)) (-829 (-216))) 35)) (-2197 (((-829 (-216)) (-829 (-216))) 34)) (-1650 (((-829 (-216)) (-829 (-216))) 33)) (-3246 (((-829 (-216)) (-829 (-216))) 32)) (-1419 (((-829 (-216)) (-829 (-216))) 31)) (-4100 (((-829 (-216)) (-829 (-216))) 37)) (-1375 (((-829 (-216)) (-216)) 22)) (-1485 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 79) (((-216) (-216) (-216)) 75))) 
+(((-218) (-10 -7 (-15 -3814 ((-216) (-216))) (-15 -3814 ((-170 (-216)) (-170 (-216)))) (-15 -1375 ((-829 (-216)) (-216))) (-15 -2617 ((-829 (-216)) (-569) (-216))) (-15 -4100 ((-829 (-216)) (-829 (-216)))) (-15 -1419 ((-829 (-216)) (-829 (-216)))) (-15 -3246 ((-829 (-216)) (-829 (-216)))) (-15 -1650 ((-829 (-216)) (-829 (-216)))) (-15 -2197 ((-829 (-216)) (-829 (-216)))) (-15 -1451 ((-829 (-216)) (-829 (-216)))) (-15 -3689 ((-829 (-216)) (-829 (-216)))) (-15 -1485 ((-216) (-216) (-216))) (-15 -1485 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -1463 ((-216) (-216))) (-15 -1463 ((-170 (-216)) (-170 (-216)))) (-15 -1394 ((-216) (-216))) (-15 -1394 ((-170 (-216)) (-170 (-216)))) (-15 -3429 ((-216) (-764) (-216))) (-15 -3429 ((-170 (-216)) (-764) (-170 (-216)))) (-15 -2178 ((-216) (-216) (-216))) (-15 -2178 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -3367 ((-216) (-216) (-216))) (-15 -3367 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -3627 ((-216) (-216) (-216))) (-15 -3627 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -3349 ((-216) (-216) (-216))) (-15 -3349 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -4395 ((-170 (-216)) (-170 (-216)))) (-15 -4395 ((-216) (-216))) (-15 -3759 ((-216) (-216))) (-15 -3759 ((-170 (-216)) (-170 (-216)))) (-15 -1942 ((-216) (-216) (-216))) (-15 -1942 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -4385 ((-382) (-382))) (-15 -4427 ((-382) (-382))))) (T -218)) 
+((-4427 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-218)))) (-4385 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-218)))) (-1942 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-1942 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-3759 (*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-3759 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-4395 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-4395 (*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-3349 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-3349 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-3627 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-3627 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-3367 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-3367 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-2178 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-2178 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-3429 (*1 *2 *3 *2) (-12 (-5 *2 (-170 (-216))) (-5 *3 (-764)) (-5 *1 (-218)))) (-3429 (*1 *2 *3 *2) (-12 (-5 *2 (-216)) (-5 *3 (-764)) (-5 *1 (-218)))) (-1394 (*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-1394 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-1463 (*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-1463 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-1485 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-1485 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-3689 (*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218)))) (-1451 (*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218)))) (-2197 (*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218)))) (-1650 (*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218)))) (-3246 (*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218)))) (-1419 (*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218)))) (-4100 (*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218)))) (-2617 (*1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *2 (-829 (-216))) (-5 *1 (-218)) (-5 *4 (-216)))) (-1375 (*1 *2 *3) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218)) (-5 *3 (-216)))) (-3814 (*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-3814 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218))))) 
+(-10 -7 (-15 -3814 ((-216) (-216))) (-15 -3814 ((-170 (-216)) (-170 (-216)))) (-15 -1375 ((-829 (-216)) (-216))) (-15 -2617 ((-829 (-216)) (-569) (-216))) (-15 -4100 ((-829 (-216)) (-829 (-216)))) (-15 -1419 ((-829 (-216)) (-829 (-216)))) (-15 -3246 ((-829 (-216)) (-829 (-216)))) (-15 -1650 ((-829 (-216)) (-829 (-216)))) (-15 -2197 ((-829 (-216)) (-829 (-216)))) (-15 -1451 ((-829 (-216)) (-829 (-216)))) (-15 -3689 ((-829 (-216)) (-829 (-216)))) (-15 -1485 ((-216) (-216) (-216))) (-15 -1485 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -1463 ((-216) (-216))) (-15 -1463 ((-170 (-216)) (-170 (-216)))) (-15 -1394 ((-216) (-216))) (-15 -1394 ((-170 (-216)) (-170 (-216)))) (-15 -3429 ((-216) (-764) (-216))) (-15 -3429 ((-170 (-216)) (-764) (-170 (-216)))) (-15 -2178 ((-216) (-216) (-216))) (-15 -2178 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -3367 ((-216) (-216) (-216))) (-15 -3367 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -3627 ((-216) (-216) (-216))) (-15 -3627 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -3349 ((-216) (-216) (-216))) (-15 -3349 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -4395 ((-170 (-216)) (-170 (-216)))) (-15 -4395 ((-216) (-216))) (-15 -3759 ((-216) (-216))) (-15 -3759 ((-170 (-216)) (-170 (-216)))) (-15 -1942 ((-216) (-216) (-216))) (-15 -1942 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -4385 ((-382) (-382))) (-15 -4427 ((-382) (-382)))) 
+((-2568 (((-121) $ $) NIL (|has| (-216) (-1091)))) (-2418 (($ (-764)) NIL (|has| (-216) (-23)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) (-216) (-216)) $) NIL) (((-121) $) NIL (|has| (-216) (-843)))) (-3076 (($ (-1 (-121) (-216) (-216)) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| (-216) (-843))))) (-3113 (($ (-1 (-121) (-216) (-216)) $) NIL) (($ $) NIL (|has| (-216) (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 (((-216) $ (-569) (-216)) 17 (|has| $ (-6 -4536))) (((-216) $ (-1213 (-569)) (-216)) NIL (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-216) (-1091))))) (-4347 (($ (-216) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-216) (-1091)))) (($ (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-216) (-1 (-216) (-216) (-216)) $ (-216) (-216)) NIL (-12 (|has| $ (-6 -4535)) (|has| (-216) (-1091)))) (((-216) (-1 (-216) (-216) (-216)) $ (-216)) NIL (|has| $ (-6 -4535))) (((-216) (-1 (-216) (-216) (-216)) $) NIL (|has| $ (-6 -4535)))) (-2726 (((-216) $ (-569) (-216)) 9 (|has| $ (-6 -4536)))) (-2090 (($ (-569)) 14)) (-1618 (((-216) $ (-569)) 8)) (-3727 (((-569) (-1 (-121) (-216)) $) NIL) (((-569) (-216) $) NIL (|has| (-216) (-1091))) (((-569) (-216) $ (-569)) NIL (|has| (-216) (-1091)))) (-3470 (((-635 (-216)) $) NIL (|has| $ (-6 -4535)))) (-4404 (((-680 (-216)) $ $) NIL (|has| (-216) (-1048)))) (-2659 (($ (-764) (-216)) 15)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) 12 (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| (-216) (-843)))) (-3288 (($ (-1 (-121) (-216) (-216)) $ $) NIL) (($ $ $) NIL (|has| (-216) (-843)))) (-4259 (((-635 (-216)) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-216) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-216) (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| (-216) (-843)))) (-1853 (($ (-1 (-216) (-216)) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-216) (-216)) $) NIL) (($ (-1 (-216) (-216) (-216)) $ $) NIL)) (-2456 (((-216) $) NIL (-12 (|has| (-216) (-1003)) (|has| (-216) (-1048))))) (-2006 (((-121) $ (-764)) NIL)) (-1906 (((-216) $) NIL (-12 (|has| (-216) (-1003)) (|has| (-216) (-1048))))) (-2776 (((-1145) $) NIL (|has| (-216) (-1091)))) (-3614 (($ (-216) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| (-216) (-1091)))) (-4353 (((-216) $) NIL (|has| (-569) (-843)))) (-2502 (((-3 (-216) "failed") (-1 (-121) (-216)) $) NIL)) (-3174 (($ $ (-216)) 18 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-216)))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1091)))) (($ $ (-289 (-216))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1091)))) (($ $ (-216) (-216)) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1091)))) (($ $ (-635 (-216)) (-635 (-216))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) (-216) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-216) (-1091))))) (-2691 (((-635 (-216)) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 13)) (-1534 (((-216) $ (-569) (-216)) NIL) (((-216) $ (-569)) 16) (($ $ (-1213 (-569))) NIL)) (-2049 (((-216) $ $) NIL (|has| (-216) (-1048)))) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-3904 (($ $ $) NIL (|has| (-216) (-1048)))) (-2846 (((-764) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4535))) (((-764) (-216) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-216) (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-216) (-610 (-542))))) (-2139 (($ (-635 (-216))) NIL)) (-2250 (($ $ (-216)) NIL) (($ (-216) $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-2185 (((-851) $) NIL (|has| (-216) (-1091)))) (-2066 (((-121) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| (-216) (-843)))) (-1684 (((-121) $ $) NIL (|has| (-216) (-843)))) (-1668 (((-121) $ $) NIL (|has| (-216) (-1091)))) (-1688 (((-121) $ $) NIL (|has| (-216) (-843)))) (-1678 (((-121) $ $) NIL (|has| (-216) (-843)))) (-1711 (($ $) NIL (|has| (-216) (-21))) (($ $ $) NIL (|has| (-216) (-21)))) (-1707 (($ $ $) NIL (|has| (-216) (-25)))) (* (($ (-569) $) NIL (|has| (-216) (-21))) (($ (-216) $) NIL (|has| (-216) (-717))) (($ $ (-216)) NIL (|has| (-216) (-717)))) (-4168 (((-764) $) 11 (|has| $ (-6 -4535))))) 
+(((-219) (-13 (-1245 (-216)) (-10 -8 (-15 -2090 ($ (-569)))))) (T -219)) 
+((-2090 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-219))))) 
+(-13 (-1245 (-216)) (-10 -8 (-15 -2090 ($ (-569))))) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2418 (($ (-764) (-764)) NIL)) (-2799 (($ $ $) NIL)) (-2853 (($ (-1247 |#1|)) NIL) (($ $) NIL)) (-2894 (($ |#1| |#1| |#1|) 32)) (-4144 (((-121) $) NIL)) (-4218 (($ $ (-569) (-569)) NIL)) (-2296 (($ $ (-569) (-569)) NIL)) (-1910 (($ $ (-569) (-569) (-569) (-569)) NIL)) (-1391 (($ $) NIL)) (-3569 (((-121) $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-1350 (($ $ (-569) (-569) $) NIL)) (-4469 ((|#1| $ (-569) (-569) |#1|) NIL) (($ $ (-635 (-569)) (-635 (-569)) $) NIL)) (-2451 (($ $ (-569) (-1247 |#1|)) NIL)) (-3443 (($ $ (-569) (-1247 |#1|)) NIL)) (-4265 (($ |#1| |#1| |#1|) 31)) (-1574 (($ (-764) |#1|) NIL)) (-2820 (($) NIL T CONST)) (-4036 (($ $) NIL (|has| |#1| (-302)))) (-1765 (((-1247 |#1|) $ (-569)) NIL)) (-3772 (($ |#1|) 30)) (-3596 (($ |#1|) 29)) (-3373 (($ |#1|) 28)) (-1321 (((-764) $) NIL (|has| |#1| (-559)))) (-2726 ((|#1| $ (-569) (-569) |#1|) NIL)) (-1618 ((|#1| $ (-569) (-569)) NIL)) (-2333 ((|#1| $) NIL (|has| |#1| (-173)))) (-3470 (((-635 |#1|) $) NIL)) (-3695 (((-764) $) NIL (|has| |#1| (-559)))) (-3645 (((-635 (-1247 |#1|)) $) NIL (|has| |#1| (-559)))) (-1810 (((-764) $) NIL)) (-2659 (($ (-764) (-764) |#1|) NIL)) (-2806 (((-764) $) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-1558 ((|#1| $) NIL (|has| |#1| (-6 (-4537 "*"))))) (-3992 (((-569) $) NIL)) (-3127 (((-569) $) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1866 (((-569) $) NIL)) (-1581 (((-569) $) NIL)) (-1483 (($ (-635 (-635 |#1|))) 10)) (-1853 (($ (-1 |#1| |#1|) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-2550 (((-635 (-635 |#1|)) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-4480 (((-3 $ "failed") $) NIL (|has| |#1| (-366)))) (-2389 (($) 11)) (-4444 (($ $ $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-3174 (($ $ |#1|) NIL)) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ (-569) (-569)) NIL) ((|#1| $ (-569) (-569) |#1|) NIL) (($ $ (-635 (-569)) (-635 (-569))) NIL)) (-2455 (($ (-635 |#1|)) NIL) (($ (-635 $)) NIL)) (-2584 (((-121) $) NIL)) (-1787 ((|#1| $) NIL (|has| |#1| (-6 (-4537 "*"))))) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-2753 (((-635 (-1247 |#1|)) $) NIL (|has| |#1| (-302)))) (-3419 (((-1247 |#1|) $ (-569)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091))) (($ (-1247 |#1|)) NIL)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2256 (((-121) $) NIL)) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $ $) NIL) (($ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (* (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-569) $) NIL) (((-1247 |#1|) $ (-1247 |#1|)) 14) (((-1247 |#1|) (-1247 |#1|) $) NIL) (((-945 |#1|) $ (-945 |#1|)) 20)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-220 |#1|) (-13 (-678 |#1| (-1247 |#1|) (-1247 |#1|)) (-10 -8 (-15 * ((-945 |#1|) $ (-945 |#1|))) (-15 -2389 ($)) (-15 -3373 ($ |#1|)) (-15 -3596 ($ |#1|)) (-15 -3772 ($ |#1|)) (-15 -4265 ($ |#1| |#1| |#1|)) (-15 -2894 ($ |#1| |#1| |#1|)))) (-13 (-366) (-1183))) (T -220)) 
+((* (*1 *2 *1 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183))) (-5 *1 (-220 *3)))) (-2389 (*1 *1) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1183))))) (-3373 (*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1183))))) (-3596 (*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1183))))) (-3772 (*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1183))))) (-4265 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1183))))) (-2894 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1183)))))) 
+(-13 (-678 |#1| (-1247 |#1|) (-1247 |#1|)) (-10 -8 (-15 * ((-945 |#1|) $ (-945 |#1|))) (-15 -2389 ($)) (-15 -3373 ($ |#1|)) (-15 -3596 ($ |#1|)) (-15 -3772 ($ |#1|)) (-15 -4265 ($ |#1| |#1| |#1|)) (-15 -2894 ($ |#1| |#1| |#1|)))) 
+((-4216 (($ (-1 (-121) |#2|) $) 17)) (-4454 (($ |#2| $) NIL) (($ (-1 (-121) |#2|) $) 25)) (-2566 (($) NIL) (($ (-635 |#2|)) 11)) (-1668 (((-121) $ $) 23))) 
+(((-221 |#1| |#2|) (-10 -8 (-15 -4216 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4454 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4454 (|#1| |#2| |#1|)) (-15 -2566 (|#1| (-635 |#2|))) (-15 -2566 (|#1|)) (-15 -1668 ((-121) |#1| |#1|))) (-222 |#2|) (-1091)) (T -221)) 
+NIL 
+(-10 -8 (-15 -4216 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4454 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4454 (|#1| |#2| |#1|)) (-15 -2566 (|#1| (-635 |#2|))) (-15 -2566 (|#1|)) (-15 -1668 ((-121) |#1| |#1|))) 
+((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) 8)) (-4216 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-2033 (($ $) 55 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4454 (($ |#1| $) 44 (|has| $ (-6 -4535))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4535)))) (-4347 (($ |#1| $) 54 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4535)))) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3889 ((|#1| $) 36)) (-3172 (($ |#1| $) 37)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-1856 ((|#1| $) 38)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-2566 (($) 46) (($ (-635 |#1|)) 45)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-3817 (((-542) $) 56 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 47)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2793 (($ (-635 |#1|)) 39)) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-222 |#1|) (-1278) (-1091)) (T -222)) 
+NIL 
+(-13 (-228 |t#1|)) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-228 |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
+((-3899 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-764)) 11) (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163)) 19) (($ $ (-764)) NIL) (($ $) 16)) (-3022 (($ $ (-1 |#2| |#2|)) 12) (($ $ (-1 |#2| |#2|) (-764)) 14) (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163)) NIL) (($ $ (-764)) NIL) (($ $) NIL))) 
+(((-223 |#1| |#2|) (-10 -8 (-15 -3899 (|#1| |#1|)) (-15 -3022 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -3022 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3022 (|#1| |#1| (-1163))) (-15 -3022 (|#1| |#1| (-635 (-1163)))) (-15 -3022 (|#1| |#1| (-1163) (-764))) (-15 -3022 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3022 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3022 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|)))) (-224 |#2|) (-1048)) (T -223)) 
+NIL 
+(-10 -8 (-15 -3899 (|#1| |#1|)) (-15 -3022 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -3022 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3022 (|#1| |#1| (-1163))) (-15 -3022 (|#1| |#1| (-635 (-1163)))) (-15 -3022 (|#1| |#1| (-1163) (-764))) (-15 -3022 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3022 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3022 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-3899 (($ $ (-1 |#1| |#1|)) 51) (($ $ (-1 |#1| |#1|) (-764)) 50) (($ $ (-635 (-1163)) (-635 (-764))) 43 (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) 42 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) 41 (|has| |#1| (-896 (-1163)))) (($ $ (-1163)) 40 (|has| |#1| (-896 (-1163)))) (($ $ (-764)) 38 (|has| |#1| (-226))) (($ $) 36 (|has| |#1| (-226)))) (-2185 (((-851) $) 11) (($ (-569)) 27)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-1 |#1| |#1|)) 49) (($ $ (-1 |#1| |#1|) (-764)) 48) (($ $ (-635 (-1163)) (-635 (-764))) 47 (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) 46 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) 45 (|has| |#1| (-896 (-1163)))) (($ $ (-1163)) 44 (|has| |#1| (-896 (-1163)))) (($ $ (-764)) 39 (|has| |#1| (-226))) (($ $) 37 (|has| |#1| (-226)))) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-224 |#1|) (-1278) (-1048)) (T -224)) 
+((-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-224 *3)) (-4 *3 (-1048)))) (-3899 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-764)) (-4 *1 (-224 *4)) (-4 *4 (-1048)))) (-3022 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-224 *3)) (-4 *3 (-1048)))) (-3022 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-764)) (-4 *1 (-224 *4)) (-4 *4 (-1048))))) 
+(-13 (-1048) (-10 -8 (-15 -3899 ($ $ (-1 |t#1| |t#1|))) (-15 -3899 ($ $ (-1 |t#1| |t#1|) (-764))) (-15 -3022 ($ $ (-1 |t#1| |t#1|))) (-15 -3022 ($ $ (-1 |t#1| |t#1|) (-764))) (IF (|has| |t#1| (-226)) (-6 (-226)) |noBranch|) (IF (|has| |t#1| (-896 (-1163))) (-6 (-896 (-1163))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-226) |has| |#1| (-226)) ((-638 $) . T) ((-717) . T) ((-896 (-1163)) |has| |#1| (-896 (-1163))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-3899 (($ $) NIL) (($ $ (-764)) 10)) (-3022 (($ $) 8) (($ $ (-764)) 12))) 
+(((-225 |#1|) (-10 -8 (-15 -3022 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1| (-764))) (-15 -3022 (|#1| |#1|)) (-15 -3899 (|#1| |#1|))) (-226)) (T -225)) 
+NIL 
+(-10 -8 (-15 -3022 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1| (-764))) (-15 -3022 (|#1| |#1|)) (-15 -3899 (|#1| |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-3899 (($ $) 37) (($ $ (-764)) 35)) (-2185 (((-851) $) 11) (($ (-569)) 27)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $) 36) (($ $ (-764)) 34)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-226) (-1278)) (T -226)) 
+((-3899 (*1 *1 *1) (-4 *1 (-226))) (-3022 (*1 *1 *1) (-4 *1 (-226))) (-3899 (*1 *1 *1 *2) (-12 (-4 *1 (-226)) (-5 *2 (-764)))) (-3022 (*1 *1 *1 *2) (-12 (-4 *1 (-226)) (-5 *2 (-764))))) 
+(-13 (-1048) (-10 -8 (-15 -3899 ($ $)) (-15 -3022 ($ $)) (-15 -3899 ($ $ (-764))) (-15 -3022 ($ $ (-764))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 $) . T) ((-717) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-2566 (($) 12) (($ (-635 |#2|)) NIL)) (-1971 (($ $) 14)) (-2139 (($ (-635 |#2|)) 10)) (-2185 (((-851) $) 21))) 
+(((-227 |#1| |#2|) (-10 -8 (-15 -2566 (|#1| (-635 |#2|))) (-15 -2566 (|#1|)) (-15 -2139 (|#1| (-635 |#2|))) (-15 -2185 ((-851) |#1|)) (-15 -1971 (|#1| |#1|))) (-228 |#2|) (-1091)) (T -227)) 
+NIL 
+(-10 -8 (-15 -2566 (|#1| (-635 |#2|))) (-15 -2566 (|#1|)) (-15 -2139 (|#1| (-635 |#2|))) (-15 -2185 ((-851) |#1|)) (-15 -1971 (|#1| |#1|))) 
+((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) 8)) (-4216 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-2033 (($ $) 55 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4454 (($ |#1| $) 44 (|has| $ (-6 -4535))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4535)))) (-4347 (($ |#1| $) 54 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4535)))) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3889 ((|#1| $) 36)) (-3172 (($ |#1| $) 37)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-1856 ((|#1| $) 38)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-2566 (($) 46) (($ (-635 |#1|)) 45)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-3817 (((-542) $) 56 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 47)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2793 (($ (-635 |#1|)) 39)) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-228 |#1|) (-1278) (-1091)) (T -228)) 
+((-2566 (*1 *1) (-12 (-4 *1 (-228 *2)) (-4 *2 (-1091)))) (-2566 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-4 *1 (-228 *3)))) (-4454 (*1 *1 *2 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-228 *2)) (-4 *2 (-1091)))) (-4454 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4535)) (-4 *1 (-228 *3)) (-4 *3 (-1091)))) (-4216 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4535)) (-4 *1 (-228 *3)) (-4 *3 (-1091))))) 
+(-13 (-111 |t#1|) (-155 |t#1|) (-10 -8 (-15 -2566 ($)) (-15 -2566 ($ (-635 |t#1|))) (IF (|has| $ (-6 -4535)) (PROGN (-15 -4454 ($ |t#1| $)) (-15 -4454 ($ (-1 (-121) |t#1|) $)) (-15 -4216 ($ (-1 (-121) |t#1|) $))) |noBranch|))) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
+((-2076 (((-2 (|:| |varOrder| (-635 (-1163))) (|:| |inhom| (-3 (-635 (-1247 (-764))) "failed")) (|:| |hom| (-635 (-1247 (-764))))) (-289 (-954 (-569)))) 25))) 
+(((-229) (-10 -7 (-15 -2076 ((-2 (|:| |varOrder| (-635 (-1163))) (|:| |inhom| (-3 (-635 (-1247 (-764))) "failed")) (|:| |hom| (-635 (-1247 (-764))))) (-289 (-954 (-569))))))) (T -229)) 
+((-2076 (*1 *2 *3) (-12 (-5 *3 (-289 (-954 (-569)))) (-5 *2 (-2 (|:| |varOrder| (-635 (-1163))) (|:| |inhom| (-3 (-635 (-1247 (-764))) "failed")) (|:| |hom| (-635 (-1247 (-764)))))) (-5 *1 (-229))))) 
+(-10 -7 (-15 -2076 ((-2 (|:| |varOrder| (-635 (-1163))) (|:| |inhom| (-3 (-635 (-1247 (-764))) "failed")) (|:| |hom| (-635 (-1247 (-764))))) (-289 (-954 (-569)))))) 
+((-2085 (((-764)) 51)) (-1696 (((-2 (|:| -3477 (-680 |#3|)) (|:| |vec| (-1247 |#3|))) (-680 $) (-1247 $)) 49) (((-680 |#3|) (-680 $)) 41) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL) (((-680 (-569)) (-680 $)) NIL)) (-2369 (((-140)) 57)) (-3899 (($ $ (-1 |#3| |#3|) (-764)) NIL) (($ $ (-1 |#3| |#3|)) 18) (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163)) NIL) (($ $ (-764)) NIL) (($ $) NIL)) (-2185 (((-1247 |#3|) $) NIL) (($ |#3|) NIL) (((-851) $) NIL) (($ (-569)) 12) (($ (-410 (-569))) NIL)) (-1991 (((-764)) 15)) (-1715 (($ $ |#3|) 54))) 
+(((-230 |#1| |#2| |#3|) (-10 -8 (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|)) (-15 -1991 ((-764))) (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -1696 ((-680 (-569)) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 |#1|) (-1247 |#1|))) (-15 -2185 (|#1| |#3|)) (-15 -3899 (|#1| |#1| (-1 |#3| |#3|))) (-15 -3899 (|#1| |#1| (-1 |#3| |#3|) (-764))) (-15 -1696 ((-680 |#3|) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 |#3|)) (|:| |vec| (-1247 |#3|))) (-680 |#1|) (-1247 |#1|))) (-15 -2085 ((-764))) (-15 -1715 (|#1| |#1| |#3|)) (-15 -2369 ((-140))) (-15 -2185 ((-1247 |#3|) |#1|))) (-231 |#2| |#3|) (-764) (-1197)) (T -230)) 
+((-2369 (*1 *2) (-12 (-14 *4 (-764)) (-4 *5 (-1197)) (-5 *2 (-140)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5)))) (-2085 (*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1197)) (-5 *2 (-764)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5)))) (-1991 (*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1197)) (-5 *2 (-764)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5))))) 
+(-10 -8 (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|)) (-15 -1991 ((-764))) (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -1696 ((-680 (-569)) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 |#1|) (-1247 |#1|))) (-15 -2185 (|#1| |#3|)) (-15 -3899 (|#1| |#1| (-1 |#3| |#3|))) (-15 -3899 (|#1| |#1| (-1 |#3| |#3|) (-764))) (-15 -1696 ((-680 |#3|) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 |#3|)) (|:| |vec| (-1247 |#3|))) (-680 |#1|) (-1247 |#1|))) (-15 -2085 ((-764))) (-15 -1715 (|#1| |#1| |#3|)) (-15 -2369 ((-140))) (-15 -2185 ((-1247 |#3|) |#1|))) 
+((-2568 (((-121) $ $) 18 (|has| |#2| (-1091)))) (-3813 (((-121) $) 67 (|has| |#2| (-138)))) (-4382 (($ (-918)) 122 (|has| |#2| (-1048)))) (-3112 (((-1252) $ (-569) (-569)) 37 (|has| $ (-6 -4536)))) (-1498 (($ $ $) 118 (|has| |#2| (-789)))) (-2327 (((-3 $ "failed") $ $) 69 (|has| |#2| (-138)))) (-1691 (((-121) $ (-764)) 8)) (-2085 (((-764)) 104 (|has| |#2| (-371)))) (-3638 (((-569) $) 116 (|has| |#2| (-841)))) (-4469 ((|#2| $ (-569) |#2|) 49 (|has| $ (-6 -4536)))) (-2820 (($) 7 T CONST)) (-1647 (((-3 (-569) "failed") $) 62 (-2206 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091)))) (((-3 (-410 (-569)) "failed") $) 59 (-2206 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) (((-3 |#2| "failed") $) 56 (|has| |#2| (-1091)))) (-2428 (((-569) $) 63 (-2206 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091)))) (((-410 (-569)) $) 60 (-2206 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) ((|#2| $) 55 (|has| |#2| (-1091)))) (-1696 (((-680 (-569)) (-680 $)) 103 (-2206 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 102 (-2206 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) 101 (|has| |#2| (-1048))) (((-680 |#2|) (-680 $)) 100 (|has| |#2| (-1048)))) (-3428 (((-3 $ "failed") $) 75 (|has| |#2| (-717)))) (-4327 (($) 107 (|has| |#2| (-371)))) (-2726 ((|#2| $ (-569) |#2|) 50 (|has| $ (-6 -4536)))) (-1618 ((|#2| $ (-569)) 48)) (-2403 (((-121) $) 114 (|has| |#2| (-841)))) (-3470 (((-635 |#2|) $) 30 (|has| $ (-6 -4535)))) (-1407 (((-121) $) 78 (|has| |#2| (-717)))) (-1781 (((-121) $) 115 (|has| |#2| (-841)))) (-1974 (((-121) $ (-764)) 9)) (-3557 (((-569) $) 40 (|has| (-569) (-843)))) (-3291 (($ $ $) 113 (-2232 (|has| |#2| (-841)) (|has| |#2| (-789))))) (-4259 (((-635 |#2|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#2| $) 27 (-12 (|has| |#2| (-1091)) (|has| $ (-6 -4535))))) (-1285 (((-569) $) 41 (|has| (-569) (-843)))) (-1538 (($ $ $) 112 (-2232 (|has| |#2| (-841)) (|has| |#2| (-789))))) (-1853 (($ (-1 |#2| |#2|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#2| |#2|) $) 35)) (-2083 (((-918) $) 106 (|has| |#2| (-371)))) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#2| (-1091)))) (-4166 (((-635 (-569)) $) 43)) (-3533 (((-121) (-569) $) 44)) (-3998 (($ (-918)) 105 (|has| |#2| (-371)))) (-3360 (((-1109) $) 21 (|has| |#2| (-1091)))) (-4353 ((|#2| $) 39 (|has| (-569) (-843)))) (-3174 (($ $ |#2|) 38 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#2|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#2|))) 26 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) 25 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) 24 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) 23 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) |#2| $) 42 (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-2691 (((-635 |#2|) $) 45)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#2| $ (-569) |#2|) 47) ((|#2| $ (-569)) 46)) (-2049 ((|#2| $ $) 121 (|has| |#2| (-1048)))) (-1755 (($ (-1247 |#2|)) 123)) (-2369 (((-140)) 120 (|has| |#2| (-366)))) (-3899 (($ $) 95 (-2206 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-764)) 93 (-2206 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-1163)) 91 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163))) 90 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1163) (-764)) 89 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163)) (-635 (-764))) 88 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1 |#2| |#2|) (-764)) 81 (|has| |#2| (-1048))) (($ $ (-1 |#2| |#2|)) 80 (|has| |#2| (-1048)))) (-2846 (((-764) (-1 (-121) |#2|) $) 31 (|has| $ (-6 -4535))) (((-764) |#2| $) 28 (-12 (|has| |#2| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2185 (((-1247 |#2|) $) 124) (((-851) $) 20 (|has| |#2| (-1091))) (($ (-569)) 61 (-2232 (-2206 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091))) (|has| |#2| (-1048)))) (($ (-410 (-569))) 58 (-2206 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) (($ |#2|) 57 (|has| |#2| (-1091)))) (-1991 (((-764)) 99 (|has| |#2| (-1048)))) (-2066 (((-121) (-1 (-121) |#2|) $) 33 (|has| $ (-6 -4535)))) (-1616 (($ $) 117 (|has| |#2| (-841)))) (-2427 (($ $ (-764)) 76 (|has| |#2| (-717))) (($ $ (-918)) 72 (|has| |#2| (-717)))) (-3369 (($) 66 (|has| |#2| (-138)) CONST)) (-1556 (($) 79 (|has| |#2| (-717)) CONST)) (-3022 (($ $) 94 (-2206 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-764)) 92 (-2206 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-1163)) 87 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163))) 86 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1163) (-764)) 85 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163)) (-635 (-764))) 84 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1 |#2| |#2|) (-764)) 83 (|has| |#2| (-1048))) (($ $ (-1 |#2| |#2|)) 82 (|has| |#2| (-1048)))) (-1693 (((-121) $ $) 110 (-2232 (|has| |#2| (-841)) (|has| |#2| (-789))))) (-1684 (((-121) $ $) 109 (-2232 (|has| |#2| (-841)) (|has| |#2| (-789))))) (-1668 (((-121) $ $) 19 (|has| |#2| (-1091)))) (-1688 (((-121) $ $) 111 (-2232 (|has| |#2| (-841)) (|has| |#2| (-789))))) (-1678 (((-121) $ $) 108 (-2232 (|has| |#2| (-841)) (|has| |#2| (-789))))) (-1715 (($ $ |#2|) 119 (|has| |#2| (-366)))) (-1711 (($ $ $) 97 (|has| |#2| (-1048))) (($ $) 96 (|has| |#2| (-1048)))) (-1707 (($ $ $) 64 (|has| |#2| (-25)))) (** (($ $ (-764)) 77 (|has| |#2| (-717))) (($ $ (-918)) 73 (|has| |#2| (-717)))) (* (($ (-569) $) 98 (|has| |#2| (-1048))) (($ $ $) 74 (|has| |#2| (-717))) (($ $ |#2|) 71 (|has| |#2| (-1048))) (($ |#2| $) 70 (|has| |#2| (-1048))) (($ (-764) $) 68 (|has| |#2| (-138))) (($ (-918) $) 65 (|has| |#2| (-25)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-231 |#1| |#2|) (-1278) (-764) (-1197)) (T -231)) 
+((-1755 (*1 *1 *2) (-12 (-5 *2 (-1247 *4)) (-4 *4 (-1197)) (-4 *1 (-231 *3 *4)))) (-4382 (*1 *1 *2) (-12 (-5 *2 (-918)) (-4 *1 (-231 *3 *4)) (-4 *4 (-1048)) (-4 *4 (-1197)))) (-2049 (*1 *2 *1 *1) (-12 (-4 *1 (-231 *3 *2)) (-4 *2 (-1197)) (-4 *2 (-1048))))) 
+(-13 (-602 (-569) |t#2|) (-609 (-1247 |t#2|)) (-10 -8 (-6 -4535) (-15 -1755 ($ (-1247 |t#2|))) (IF (|has| |t#2| (-1091)) (-6 (-414 |t#2|)) |noBranch|) (IF (|has| |t#2| (-1048)) (PROGN (-6 (-120 |t#2| |t#2|)) (-6 (-224 |t#2|)) (-6 (-380 |t#2|)) (-15 -4382 ($ (-918))) (-15 -2049 (|t#2| $ $))) |noBranch|) (IF (|has| |t#2| (-25)) (-6 (-25)) |noBranch|) (IF (|has| |t#2| (-138)) (-6 (-138)) |noBranch|) (IF (|has| |t#2| (-717)) (-6 (-717 (SEQ (|:| * (-1 $ |t#2| $)) (|exit| 1 (|:| * (-1 $ $ |t#2|)))))) |noBranch|) (IF (|has| |t#2| (-371)) (-6 (-371)) |noBranch|) (IF (|has| |t#2| (-173)) (PROGN (-6 (-43 |t#2|)) (-6 (-173))) |noBranch|) (IF (|has| |t#2| (-6 -4532)) (-6 -4532) |noBranch|) (IF (|has| |t#2| (-841)) (-6 (-841)) |noBranch|) (IF (|has| |t#2| (-789)) (-6 (-789)) |noBranch|) (IF (|has| |t#2| (-366)) (-6 (-1254 |t#2|)) |noBranch|))) 
+(((-21) -2232 (|has| |#2| (-1048)) (|has| |#2| (-841)) (|has| |#2| (-366)) (|has| |#2| (-173))) ((-23) -2232 (|has| |#2| (-1048)) (|has| |#2| (-841)) (|has| |#2| (-789)) (|has| |#2| (-366)) (|has| |#2| (-173)) (|has| |#2| (-138))) ((-25) -2232 (|has| |#2| (-1048)) (|has| |#2| (-841)) (|has| |#2| (-789)) (|has| |#2| (-366)) (|has| |#2| (-173)) (|has| |#2| (-138)) (|has| |#2| (-25))) ((-39) . T) ((-43 |#2|) |has| |#2| (-173)) ((-105) -2232 (|has| |#2| (-1091)) (|has| |#2| (-1048)) (|has| |#2| (-841)) (|has| |#2| (-789)) (|has| |#2| (-717)) (|has| |#2| (-371)) (|has| |#2| (-366)) (|has| |#2| (-173)) (|has| |#2| (-138)) (|has| |#2| (-25))) ((-120 |#2| |#2|) -2232 (|has| |#2| (-1048)) (|has| |#2| (-366)) (|has| |#2| (-173))) ((-120 $ $) |has| |#2| (-173)) ((-138) -2232 (|has| |#2| (-1048)) (|has| |#2| (-841)) (|has| |#2| (-789)) (|has| |#2| (-366)) (|has| |#2| (-173)) (|has| |#2| (-138))) ((-609 (-851)) -2232 (|has| |#2| (-1091)) (|has| |#2| (-1048)) (|has| |#2| (-841)) (|has| |#2| (-789)) (|has| |#2| (-717)) (|has| |#2| (-371)) (|has| |#2| (-366)) (|has| |#2| (-173)) (|has| |#2| (-138)) (|has| |#2| (-25))) ((-609 (-1247 |#2|)) . T) ((-173) |has| |#2| (-173)) ((-224 |#2|) |has| |#2| (-1048)) ((-226) -12 (|has| |#2| (-226)) (|has| |#2| (-1048))) ((-282 (-569) |#2|) . T) ((-284 (-569) |#2|) . T) ((-304 |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) ((-371) |has| |#2| (-371)) ((-380 |#2|) |has| |#2| (-1048)) ((-414 |#2|) |has| |#2| (-1091)) ((-500 |#2|) . T) ((-602 (-569) |#2|) . T) ((-524 |#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) ((-638 |#2|) -2232 (|has| |#2| (-1048)) (|has| |#2| (-366)) (|has| |#2| (-173))) ((-638 $) -2232 (|has| |#2| (-1048)) (|has| |#2| (-841)) (|has| |#2| (-173))) ((-631 (-569)) -12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048))) ((-631 |#2|) |has| |#2| (-1048)) ((-708 |#2|) -2232 (|has| |#2| (-366)) (|has| |#2| (-173))) ((-717 (SEQ (|:| * (-1 $ |#2| $)) (|exit| 1 (|:| * (-1 $ $ |#2|))))) |has| |#2| (-717)) ((-717) -2232 (|has| |#2| (-1048)) (|has| |#2| (-841)) (|has| |#2| (-173))) ((-787) |has| |#2| (-841)) ((-788) -2232 (|has| |#2| (-841)) (|has| |#2| (-789))) ((-789) |has| |#2| (-789)) ((-790) -2232 (|has| |#2| (-841)) (|has| |#2| (-789))) ((-791) -2232 (|has| |#2| (-841)) (|has| |#2| (-789))) ((-841) |has| |#2| (-841)) ((-843) -2232 (|has| |#2| (-841)) (|has| |#2| (-789))) ((-896 (-1163)) -12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048))) ((-1038 (-410 (-569))) -12 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091))) ((-1038 (-569)) -12 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091))) ((-1038 |#2|) |has| |#2| (-1091)) ((-1054 |#2|) -2232 (|has| |#2| (-1048)) (|has| |#2| (-366)) (|has| |#2| (-173))) ((-1054 $) |has| |#2| (-173)) ((-1048) -2232 (|has| |#2| (-1048)) (|has| |#2| (-841)) (|has| |#2| (-173))) ((-1055) -2232 (|has| |#2| (-1048)) (|has| |#2| (-841)) (|has| |#2| (-173))) ((-1103) -2232 (|has| |#2| (-1048)) (|has| |#2| (-841)) (|has| |#2| (-717)) (|has| |#2| (-173))) ((-1091) -2232 (|has| |#2| (-1091)) (|has| |#2| (-1048)) (|has| |#2| (-841)) (|has| |#2| (-789)) (|has| |#2| (-717)) (|has| |#2| (-371)) (|has| |#2| (-366)) (|has| |#2| (-173)) (|has| |#2| (-138)) (|has| |#2| (-25))) ((-1197) . T) ((-1254 |#2|) |has| |#2| (-366))) 
+((-3043 (((-233 |#1| |#3|) (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|) 21)) (-1774 ((|#3| (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|) 23)) (-1544 (((-233 |#1| |#3|) (-1 |#3| |#2|) (-233 |#1| |#2|)) 18))) 
+(((-232 |#1| |#2| |#3|) (-10 -7 (-15 -3043 ((-233 |#1| |#3|) (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|)) (-15 -1774 (|#3| (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|)) (-15 -1544 ((-233 |#1| |#3|) (-1 |#3| |#2|) (-233 |#1| |#2|)))) (-764) (-1197) (-1197)) (T -232)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-233 *5 *6)) (-14 *5 (-764)) (-4 *6 (-1197)) (-4 *7 (-1197)) (-5 *2 (-233 *5 *7)) (-5 *1 (-232 *5 *6 *7)))) (-1774 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *6 *2)) (-5 *4 (-233 *5 *6)) (-14 *5 (-764)) (-4 *6 (-1197)) (-4 *2 (-1197)) (-5 *1 (-232 *5 *6 *2)))) (-3043 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *7 *5)) (-5 *4 (-233 *6 *7)) (-14 *6 (-764)) (-4 *7 (-1197)) (-4 *5 (-1197)) (-5 *2 (-233 *6 *5)) (-5 *1 (-232 *6 *7 *5))))) 
+(-10 -7 (-15 -3043 ((-233 |#1| |#3|) (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|)) (-15 -1774 (|#3| (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|)) (-15 -1544 ((-233 |#1| |#3|) (-1 |#3| |#2|) (-233 |#1| |#2|)))) 
+((-2568 (((-121) $ $) NIL (|has| |#2| (-1091)))) (-3813 (((-121) $) NIL (|has| |#2| (-138)))) (-4382 (($ (-918)) 56 (|has| |#2| (-1048)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-1498 (($ $ $) 60 (|has| |#2| (-789)))) (-2327 (((-3 $ "failed") $ $) 49 (|has| |#2| (-138)))) (-1691 (((-121) $ (-764)) 17)) (-2085 (((-764)) NIL (|has| |#2| (-371)))) (-3638 (((-569) $) NIL (|has| |#2| (-841)))) (-4469 ((|#2| $ (-569) |#2|) NIL (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (-12 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) (((-3 |#2| "failed") $) 29 (|has| |#2| (-1091)))) (-2428 (((-569) $) NIL (-12 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091)))) (((-410 (-569)) $) NIL (-12 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) ((|#2| $) 27 (|has| |#2| (-1091)))) (-1696 (((-680 (-569)) (-680 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL (|has| |#2| (-1048))) (((-680 |#2|) (-680 $)) NIL (|has| |#2| (-1048)))) (-3428 (((-3 $ "failed") $) 53 (|has| |#2| (-717)))) (-4327 (($) NIL (|has| |#2| (-371)))) (-2726 ((|#2| $ (-569) |#2|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#2| $ (-569)) 51)) (-2403 (((-121) $) NIL (|has| |#2| (-841)))) (-3470 (((-635 |#2|) $) 15 (|has| $ (-6 -4535)))) (-1407 (((-121) $) NIL (|has| |#2| (-717)))) (-1781 (((-121) $) NIL (|has| |#2| (-841)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) 20 (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-4259 (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1285 (((-569) $) 50 (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1853 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#2| |#2|) $) 41)) (-2083 (((-918) $) NIL (|has| |#2| (-371)))) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#2| (-1091)))) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3998 (($ (-918)) NIL (|has| |#2| (-371)))) (-3360 (((-1109) $) NIL (|has| |#2| (-1091)))) (-4353 ((|#2| $) NIL (|has| (-569) (-843)))) (-3174 (($ $ |#2|) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#2|) $) 24 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-2691 (((-635 |#2|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#2| $ (-569) |#2|) NIL) ((|#2| $ (-569)) 21)) (-2049 ((|#2| $ $) NIL (|has| |#2| (-1048)))) (-1755 (($ (-1247 |#2|)) 18)) (-2369 (((-140)) NIL (|has| |#2| (-366)))) (-3899 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-764)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-1163)) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1 |#2| |#2|) (-764)) NIL (|has| |#2| (-1048))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1048)))) (-2846 (((-764) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535))) (((-764) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-1247 |#2|) $) 10) (((-851) $) NIL (|has| |#2| (-1091))) (($ (-569)) NIL (-2232 (-12 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091))) (|has| |#2| (-1048)))) (($ (-410 (-569))) NIL (-12 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) (($ |#2|) 13 (|has| |#2| (-1091)))) (-1991 (((-764)) NIL (|has| |#2| (-1048)))) (-2066 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1616 (($ $) NIL (|has| |#2| (-841)))) (-2427 (($ $ (-764)) NIL (|has| |#2| (-717))) (($ $ (-918)) NIL (|has| |#2| (-717)))) (-3369 (($) 35 (|has| |#2| (-138)) CONST)) (-1556 (($) 38 (|has| |#2| (-717)) CONST)) (-3022 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-764)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-1163)) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1 |#2| |#2|) (-764)) NIL (|has| |#2| (-1048))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1048)))) (-1693 (((-121) $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1684 (((-121) $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1668 (((-121) $ $) 26 (|has| |#2| (-1091)))) (-1688 (((-121) $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1678 (((-121) $ $) 58 (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1715 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1711 (($ $ $) NIL (|has| |#2| (-1048))) (($ $) NIL (|has| |#2| (-1048)))) (-1707 (($ $ $) 33 (|has| |#2| (-25)))) (** (($ $ (-764)) NIL (|has| |#2| (-717))) (($ $ (-918)) NIL (|has| |#2| (-717)))) (* (($ (-569) $) NIL (|has| |#2| (-1048))) (($ $ $) 44 (|has| |#2| (-717))) (($ $ |#2|) 42 (|has| |#2| (-1048))) (($ |#2| $) 43 (|has| |#2| (-1048))) (($ (-764) $) NIL (|has| |#2| (-138))) (($ (-918) $) NIL (|has| |#2| (-25)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-233 |#1| |#2|) (-231 |#1| |#2|) (-764) (-1197)) (T -233)) 
+NIL 
+(-231 |#1| |#2|) 
+((-2568 (((-121) $ $) NIL)) (-4106 (($) 34 T CONST)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-173)))) (-3383 (($ $) NIL (|has| |#1| (-173)))) (-4354 (((-121) $) 54 (|has| |#1| (-173)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) 55)) (-1407 (((-121) $) NIL)) (-1718 (((-121) $ (-918)) 71)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-173)))) (-1534 ((|#1| $ (-918)) 9)) (-2185 (((-851) $) 29) (($ (-569)) NIL) (($ (-1 |#1| (-918))) 12) (((-1 |#1| (-918)) $) 11) (($ (-1143 |#1|)) 26) (((-1143 |#1|) $) 24) (($ |#1|) NIL (|has| |#1| (-173))) (($ $) NIL (|has| |#1| (-173)))) (-1991 (((-764)) NIL)) (-1961 (((-121) $ $) NIL (|has| |#1| (-173)))) (-3958 (((-121) $ (-918)) 72)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 33 T CONST)) (-1556 (($) 13 T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) 38) (($ $ $) NIL)) (-1707 (($ $ $) 36)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 40) (($ $ $) 51) (($ |#1| $) 42 (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))))) 
+(((-234 |#1|) (-13 (-1048) (-282 (-918) |#1|) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-559)) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -2185 ($ (-1 |#1| (-918)))) (-15 -2185 ((-1 |#1| (-918)) $)) (-15 -2185 ($ (-1143 |#1|))) (-15 -2185 ((-1143 |#1|) $)) (-15 -4106 ($) -2043) (-15 -1718 ((-121) $ (-918))) (-15 -3958 ((-121) $ (-918))))) (-1048)) (T -234)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1 *3 (-918))) (-4 *3 (-1048)) (-5 *1 (-234 *3)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-1 *3 (-918))) (-5 *1 (-234 *3)) (-4 *3 (-1048)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-234 *3)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-234 *3)) (-4 *3 (-1048)))) (-4106 (*1 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1048)))) (-1718 (*1 *2 *1 *3) (-12 (-5 *3 (-918)) (-5 *2 (-121)) (-5 *1 (-234 *4)) (-4 *4 (-1048)))) (-3958 (*1 *2 *1 *3) (-12 (-5 *3 (-918)) (-5 *2 (-121)) (-5 *1 (-234 *4)) (-4 *4 (-1048))))) 
+(-13 (-1048) (-282 (-918) |#1|) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-559)) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -2185 ($ (-1 |#1| (-918)))) (-15 -2185 ((-1 |#1| (-918)) $)) (-15 -2185 ($ (-1143 |#1|))) (-15 -2185 ((-1143 |#1|) $)) (-15 -4106 ($) -2043) (-15 -1718 ((-121) $ (-918))) (-15 -3958 ((-121) $ (-918))))) 
+((-3510 (((-569) (-635 (-1145))) 24) (((-569) (-1145)) 19)) (-2097 (((-1252) (-635 (-1145))) 29) (((-1252) (-1145)) 28)) (-1567 (((-1145)) 14)) (-3234 (((-1145) (-569) (-1145)) 16)) (-4030 (((-635 (-1145)) (-635 (-1145)) (-569) (-1145)) 25) (((-1145) (-1145) (-569) (-1145)) 23)) (-3013 (((-635 (-1145)) (-635 (-1145))) 13) (((-635 (-1145)) (-1145)) 11))) 
+(((-235) (-10 -7 (-15 -3013 ((-635 (-1145)) (-1145))) (-15 -3013 ((-635 (-1145)) (-635 (-1145)))) (-15 -1567 ((-1145))) (-15 -3234 ((-1145) (-569) (-1145))) (-15 -4030 ((-1145) (-1145) (-569) (-1145))) (-15 -4030 ((-635 (-1145)) (-635 (-1145)) (-569) (-1145))) (-15 -2097 ((-1252) (-1145))) (-15 -2097 ((-1252) (-635 (-1145)))) (-15 -3510 ((-569) (-1145))) (-15 -3510 ((-569) (-635 (-1145)))))) (T -235)) 
+((-3510 (*1 *2 *3) (-12 (-5 *3 (-635 (-1145))) (-5 *2 (-569)) (-5 *1 (-235)))) (-3510 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-569)) (-5 *1 (-235)))) (-2097 (*1 *2 *3) (-12 (-5 *3 (-635 (-1145))) (-5 *2 (-1252)) (-5 *1 (-235)))) (-2097 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-235)))) (-4030 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-635 (-1145))) (-5 *3 (-569)) (-5 *4 (-1145)) (-5 *1 (-235)))) (-4030 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-1145)) (-5 *3 (-569)) (-5 *1 (-235)))) (-3234 (*1 *2 *3 *2) (-12 (-5 *2 (-1145)) (-5 *3 (-569)) (-5 *1 (-235)))) (-1567 (*1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-235)))) (-3013 (*1 *2 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-235)))) (-3013 (*1 *2 *3) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-235)) (-5 *3 (-1145))))) 
+(-10 -7 (-15 -3013 ((-635 (-1145)) (-1145))) (-15 -3013 ((-635 (-1145)) (-635 (-1145)))) (-15 -1567 ((-1145))) (-15 -3234 ((-1145) (-569) (-1145))) (-15 -4030 ((-1145) (-1145) (-569) (-1145))) (-15 -4030 ((-635 (-1145)) (-635 (-1145)) (-569) (-1145))) (-15 -2097 ((-1252) (-1145))) (-15 -2097 ((-1252) (-635 (-1145)))) (-15 -3510 ((-569) (-1145))) (-15 -3510 ((-569) (-635 (-1145))))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1403 (((-635 (-2 (|:| |gen| |#1|) (|:| -2436 (-569)))) $) 44)) (-3664 (((-635 |#1|) $) 30)) (-3559 (((-635 |#1|) $) 29)) (-2405 (((-635 |#1|) $) 31)) (-2327 (((-3 $ "failed") $ $) 18)) (-4493 (((-635 $) $) 36)) (-2085 (((-764) $) 43)) (-2820 (($) 16 T CONST)) (-1647 (((-3 |#1| "failed") $) 39)) (-2428 ((|#1| $) 40)) (-3082 ((|#1| $ (-569)) 46)) (-2231 (((-569) $ (-569)) 45)) (-4101 (($ (-1 |#1| |#1|) $) 49)) (-1742 (($ (-1 (-569) (-569)) $) 48)) (-2776 (((-1145) $) 9)) (-1852 (($ $) 26)) (-4113 (($ $ $) 50 (|has| (-569) (-788)))) (-3360 (((-1109) $) 10)) (-2048 (((-121) $) 32)) (-2916 (($ $) 28)) (-2091 (($ $) 27)) (-2492 (((-569) $) 37)) (-2250 (($ $ $) 33)) (-2630 (($ $) 34)) (-2185 (((-851) $) 11) (($ |#1|) 38)) (-1653 (((-569) |#1| $) 47)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 35)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13) (($ |#1| $) 41)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ (-569)) 52) (($ (-569) $) 51) (($ (-569) |#1|) 42))) 
+(((-236 |#1|) (-1278) (-1091)) (T -236)) 
+((-2492 (*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1091)) (-5 *2 (-569)))) (-4493 (*1 *2 *1) (-12 (-4 *3 (-1091)) (-5 *2 (-635 *1)) (-4 *1 (-236 *3)))) (-1688 (*1 *2 *1 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1091)) (-5 *2 (-121)))) (-2630 (*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1091)))) (-2250 (*1 *1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1091)))) (-2048 (*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1091)) (-5 *2 (-121)))) (-2405 (*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1091)) (-5 *2 (-635 *3)))) (-3664 (*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1091)) (-5 *2 (-635 *3)))) (-3559 (*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1091)) (-5 *2 (-635 *3)))) (-2916 (*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1091)))) (-2091 (*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1091)))) (-1852 (*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1091))))) 
+(-13 (-21) (-708 (-569)) (-321 |t#1| (-569)) (-10 -8 (-15 -2492 ((-569) $)) (-15 -4493 ((-635 $) $)) (-15 -1688 ((-121) $ $)) (-15 -2630 ($ $)) (-15 -2250 ($ $ $)) (-15 -2048 ((-121) $)) (-15 -2405 ((-635 |t#1|) $)) (-15 -3664 ((-635 |t#1|) $)) (-15 -3559 ((-635 |t#1|) $)) (-15 -2916 ($ $)) (-15 -2091 ($ $)) (-15 -1852 ($ $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 (-569) (-569)) . T) ((-138) . T) ((-609 (-851)) . T) ((-321 |#1| (-569)) . T) ((-638 (-569)) . T) ((-708 (-569)) . T) ((-1038 |#1|) . T) ((-1054 (-569)) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 17)) (-1403 (((-635 (-2 (|:| |gen| |#1|) (|:| -2436 (-569)))) $) 30)) (-3664 (((-635 |#1|) $) 36)) (-3559 (((-635 |#1|) $) 37)) (-2405 (((-635 |#1|) $) 35)) (-2327 (((-3 $ "failed") $ $) NIL)) (-4493 (((-635 $) $) 29)) (-2085 (((-764) $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL)) (-2428 ((|#1| $) NIL)) (-4020 (($ $) 24)) (-3082 ((|#1| $ (-569)) NIL)) (-2231 (((-569) $ (-569)) NIL)) (-4101 (($ (-1 |#1| |#1|) $) NIL)) (-1742 (($ (-1 (-569) (-569)) $) NIL)) (-2776 (((-1145) $) NIL)) (-1852 (($ $) 8)) (-4113 (($ $ $) NIL (|has| (-569) (-788)))) (-3975 (((-2 (|:| |gen| |#1|) (|:| -2436 (-569))) $) 26)) (-3360 (((-1109) $) NIL)) (-2048 (((-121) $) 50)) (-2916 (($ $) 38)) (-2091 (($ $) 39)) (-2492 (((-569) $) 58)) (-2250 (($ $ $) 44)) (-2630 (($ $) 33)) (-2185 (((-851) $) 22) (($ |#1|) 27)) (-1653 (((-569) |#1| $) 32)) (-3369 (($) 23 T CONST)) (-1668 (((-121) $ $) 40)) (-1688 (((-121) $ $) 51)) (-1711 (($ $) 48) (($ $ $) 47)) (-1707 (($ $ $) 45) (($ |#1| $) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 49) (($ $ (-569)) NIL) (($ (-569) $) 49) (($ (-569) |#1|) NIL))) 
+(((-237 |#1|) (-13 (-236 |#1|) (-10 -8 (-15 -3975 ((-2 (|:| |gen| |#1|) (|:| -2436 (-569))) $)) (-15 -4020 ($ $)))) (-1089)) (T -237)) 
+((-3975 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |gen| *3) (|:| -2436 (-569)))) (-5 *1 (-237 *3)) (-4 *3 (-1089)))) (-4020 (*1 *1 *1) (-12 (-5 *1 (-237 *2)) (-4 *2 (-1089))))) 
+(-13 (-236 |#1|) (-10 -8 (-15 -3975 ((-2 (|:| |gen| |#1|) (|:| -2436 (-569))) $)) (-15 -4020 ($ $)))) 
+((-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) 9)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) 18)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ (-410 (-569)) $) 25) (($ $ (-410 (-569))) NIL))) 
+(((-238 |#1|) (-10 -8 (-15 -2427 (|#1| |#1| (-569))) (-15 ** (|#1| |#1| (-569))) (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 ** (|#1| |#1| (-764))) (-15 -2427 (|#1| |#1| (-764))) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-918))) (-15 -2427 (|#1| |#1| (-918))) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|))) (-239)) (T -238)) 
+NIL 
+(-10 -8 (-15 -2427 (|#1| |#1| (-569))) (-15 ** (|#1| |#1| (-569))) (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 ** (|#1| |#1| (-764))) (-15 -2427 (|#1| |#1| (-764))) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-918))) (-15 -2427 (|#1| |#1| (-918))) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 38)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 43)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 39)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 40)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ (-410 (-569)) $) 42) (($ $ (-410 (-569))) 41))) 
+(((-239) (-1278)) (T -239)) 
+((** (*1 *1 *1 *2) (-12 (-4 *1 (-239)) (-5 *2 (-569)))) (-2427 (*1 *1 *1 *2) (-12 (-4 *1 (-239)) (-5 *2 (-569)))) (-1795 (*1 *1 *1) (-4 *1 (-239)))) 
+(-13 (-286) (-43 (-410 (-569))) (-10 -8 (-15 ** ($ $ (-569))) (-15 -2427 ($ $ (-569))) (-15 -1795 ($ $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-286) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-717) . T) ((-1054 (-410 (-569))) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-2247 ((|#1| $) 45)) (-4459 (($ $) 54)) (-1691 (((-121) $ (-764)) 8)) (-3891 ((|#1| $ |#1|) 36 (|has| $ (-6 -4536)))) (-2495 (($ $ $) 50 (|has| $ (-6 -4536)))) (-2709 (($ $ $) 49 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) 38 (|has| $ (-6 -4536)))) (-2820 (($) 7 T CONST)) (-2432 (($ $) 53)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) 47)) (-4349 (((-121) $ $) 39 (|has| |#1| (-1091)))) (-3120 (($ $) 52)) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2824 (((-635 |#1|) $) 42)) (-3486 (((-121) $) 46)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-4213 ((|#1| $) 56)) (-3975 (($ $) 55)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ "value") 44)) (-1686 (((-569) $ $) 41)) (-1472 (((-121) $) 43)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2697 (($ $ $) 51 (|has| $ (-6 -4536)))) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-4114 (((-635 $) $) 48)) (-2447 (((-121) $ $) 40 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-240 |#1|) (-1278) (-1197)) (T -240)) 
+((-4213 (*1 *2 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1197)))) (-3975 (*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1197)))) (-4459 (*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1197)))) (-2432 (*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1197)))) (-3120 (*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1197)))) (-2697 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-240 *2)) (-4 *2 (-1197)))) (-2495 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-240 *2)) (-4 *2 (-1197)))) (-2709 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-240 *2)) (-4 *2 (-1197))))) 
+(-13 (-1011 |t#1|) (-10 -8 (-15 -4213 (|t#1| $)) (-15 -3975 ($ $)) (-15 -4459 ($ $)) (-15 -2432 ($ $)) (-15 -3120 ($ $)) (IF (|has| $ (-6 -4536)) (PROGN (-15 -2697 ($ $ $)) (-15 -2495 ($ $ $)) (-15 -2709 ($ $ $))) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1011 |#1|) . T) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2247 ((|#1| $) NIL)) (-4360 ((|#1| $) NIL)) (-4459 (($ $) NIL)) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3138 (($ $ (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) $) NIL (|has| |#1| (-843))) (((-121) (-1 (-121) |#1| |#1|) $) NIL)) (-3076 (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| |#1| (-843)))) (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-3113 (($ $) 10 (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-3891 ((|#1| $ |#1|) NIL (|has| $ (-6 -4536)))) (-3014 (($ $ $) NIL (|has| $ (-6 -4536)))) (-1868 ((|#1| $ |#1|) NIL (|has| $ (-6 -4536)))) (-3159 ((|#1| $ |#1|) NIL (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4536))) ((|#1| $ "first" |#1|) NIL (|has| $ (-6 -4536))) (($ $ "rest" $) NIL (|has| $ (-6 -4536))) ((|#1| $ "last" |#1|) NIL (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) NIL (|has| $ (-6 -4536))) ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) NIL (|has| $ (-6 -4536)))) (-4216 (($ (-1 (-121) |#1|) $) NIL)) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1669 ((|#1| $) NIL)) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2046 (($ $) NIL) (($ $ (-764)) NIL)) (-3384 (($ $) NIL (|has| |#1| (-1091)))) (-2033 (($ $) 7 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4454 (($ |#1| $) NIL (|has| |#1| (-1091))) (($ (-1 (-121) |#1|) $) NIL)) (-4347 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2726 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) NIL)) (-3108 (((-121) $) NIL)) (-3727 (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1091))) (((-569) |#1| $) NIL (|has| |#1| (-1091))) (((-569) (-1 (-121) |#1|) $) NIL)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) NIL)) (-4349 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2659 (($ (-764) |#1|) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-2854 (($ $ $) NIL (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-3288 (($ $ $) NIL (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2005 (($ |#1|) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2824 (((-635 |#1|) $) NIL)) (-3486 (((-121) $) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-4213 ((|#1| $) NIL) (($ $ (-764)) NIL)) (-3172 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-3614 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4353 ((|#1| $) NIL) (($ $ (-764)) NIL)) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-3174 (($ $ |#1|) NIL (|has| $ (-6 -4536)))) (-2695 (((-121) $) NIL)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ "value") NIL) ((|#1| $ "first") NIL) (($ $ "rest") NIL) ((|#1| $ "last") NIL) (($ $ (-1213 (-569))) NIL) ((|#1| $ (-569)) NIL) ((|#1| $ (-569) |#1|) NIL) (($ $ "unique") 9) (($ $ "sort") 12) (((-764) $ "count") 16)) (-1686 (((-569) $ $) NIL)) (-4514 (($ $ (-1213 (-569))) NIL) (($ $ (-569)) NIL)) (-3010 (($ $ (-1213 (-569))) NIL) (($ $ (-569)) NIL)) (-1719 (($ (-635 |#1|)) 22)) (-1472 (((-121) $) NIL)) (-2645 (($ $) NIL)) (-2780 (($ $) NIL (|has| $ (-6 -4536)))) (-4035 (((-764) $) NIL)) (-4343 (($ $) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) NIL)) (-2697 (($ $ $) NIL) (($ $ |#1|) NIL)) (-2250 (($ $ $) NIL) (($ |#1| $) NIL) (($ (-635 $)) NIL) (($ $ |#1|) NIL)) (-2185 (($ (-635 |#1|)) 17) (((-635 |#1|) $) 18) (((-851) $) 21 (|has| |#1| (-1091)))) (-4114 (((-635 $) $) NIL)) (-2447 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-4168 (((-764) $) 14 (|has| $ (-6 -4535))))) 
+(((-241 |#1|) (-13 (-659 |#1|) (-10 -8 (-15 -2185 ($ (-635 |#1|))) (-15 -2185 ((-635 |#1|) $)) (-15 -1719 ($ (-635 |#1|))) (-15 -1534 ($ $ "unique")) (-15 -1534 ($ $ "sort")) (-15 -1534 ((-764) $ "count")))) (-843)) (T -241)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-241 *3)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-241 *3)) (-4 *3 (-843)))) (-1719 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-241 *3)))) (-1534 (*1 *1 *1 *2) (-12 (-5 *2 "unique") (-5 *1 (-241 *3)) (-4 *3 (-843)))) (-1534 (*1 *1 *1 *2) (-12 (-5 *2 "sort") (-5 *1 (-241 *3)) (-4 *3 (-843)))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 "count") (-5 *2 (-764)) (-5 *1 (-241 *4)) (-4 *4 (-843))))) 
+(-13 (-659 |#1|) (-10 -8 (-15 -2185 ($ (-635 |#1|))) (-15 -2185 ((-635 |#1|) $)) (-15 -1719 ($ (-635 |#1|))) (-15 -1534 ($ $ "unique")) (-15 -1534 ($ $ "sort")) (-15 -1534 ((-764) $ "count")))) 
+((-2345 (((-3 (-764) "failed") |#1| |#1| (-764)) 26))) 
+(((-242 |#1|) (-10 -7 (-15 -2345 ((-3 (-764) "failed") |#1| |#1| (-764)))) (-13 (-717) (-371) (-10 -7 (-15 ** (|#1| |#1| (-569)))))) (T -242)) 
+((-2345 (*1 *2 *3 *3 *2) (|partial| -12 (-5 *2 (-764)) (-4 *3 (-13 (-717) (-371) (-10 -7 (-15 ** (*3 *3 (-569)))))) (-5 *1 (-242 *3))))) 
+(-10 -7 (-15 -2345 ((-3 (-764) "failed") |#1| |#1| (-764)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-853 |#1|)) $) NIL)) (-1739 (((-1159 $) $ (-853 |#1|)) NIL) (((-1159 |#2|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#2| (-559)))) (-3383 (($ $) NIL (|has| |#2| (-559)))) (-4354 (((-121) $) NIL (|has| |#2| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 (-853 |#1|))) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-2004 (($ $) NIL (|has| |#2| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#2| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1038 (-569)))) (((-3 (-853 |#1|) "failed") $) NIL)) (-2428 ((|#2| $) NIL) (((-410 (-569)) $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#2| (-1038 (-569)))) (((-853 |#1|) $) NIL)) (-3493 (($ $ $ (-853 |#1|)) NIL (|has| |#2| (-173)))) (-1386 (($ $ (-635 (-569))) NIL)) (-4020 (($ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL) (((-680 |#2|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#2| (-454))) (($ $ (-853 |#1|)) NIL (|has| |#2| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#2| (-905)))) (-1667 (($ $ |#2| (-233 (-4168 |#1|) (-764)) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-853 |#1|) (-882 (-382))) (|has| |#2| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-853 |#1|) (-882 (-569))) (|has| |#2| (-882 (-569)))))) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-1768 (($ (-1159 |#2|) (-853 |#1|)) NIL) (($ (-1159 $) (-853 |#1|)) NIL)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#2| (-233 (-4168 |#1|) (-764))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-853 |#1|)) NIL)) (-4002 (((-233 (-4168 |#1|) (-764)) $) NIL) (((-764) $ (-853 |#1|)) NIL) (((-635 (-764)) $ (-635 (-853 |#1|))) NIL)) (-3291 (($ $ $) NIL (|has| |#2| (-843)))) (-1538 (($ $ $) NIL (|has| |#2| (-843)))) (-2658 (($ (-1 (-233 (-4168 |#1|) (-764)) (-233 (-4168 |#1|) (-764))) $) NIL)) (-1544 (($ (-1 |#2| |#2|) $) NIL)) (-1637 (((-3 (-853 |#1|) "failed") $) NIL)) (-1804 (($ $) NIL)) (-4012 ((|#2| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2776 (((-1145) $) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| (-853 |#1|)) (|:| -2356 (-764))) "failed") $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) NIL)) (-1801 ((|#2| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#2| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#2| (-905)))) (-2941 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-559)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-853 |#1|) |#2|) NIL) (($ $ (-635 (-853 |#1|)) (-635 |#2|)) NIL) (($ $ (-853 |#1|) $) NIL) (($ $ (-635 (-853 |#1|)) (-635 $)) NIL)) (-2087 (($ $ (-853 |#1|)) NIL (|has| |#2| (-173)))) (-3899 (($ $ (-853 |#1|)) NIL) (($ $ (-635 (-853 |#1|))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-2492 (((-233 (-4168 |#1|) (-764)) $) NIL) (((-764) $ (-853 |#1|)) NIL) (((-635 (-764)) $ (-635 (-853 |#1|))) NIL)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| (-853 |#1|) (-610 (-888 (-382)))) (|has| |#2| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| (-853 |#1|) (-610 (-888 (-569)))) (|has| |#2| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| (-853 |#1|) (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-3298 ((|#2| $) NIL (|has| |#2| (-454))) (($ $ (-853 |#1|)) NIL (|has| |#2| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#2|) NIL) (($ (-853 |#1|)) NIL) (($ (-410 (-569))) NIL (-2232 (|has| |#2| (-43 (-410 (-569)))) (|has| |#2| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#2| (-559)))) (-3382 (((-635 |#2|) $) NIL)) (-1653 ((|#2| $ (-233 (-4168 |#1|) (-764))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#2| (-905))) (|has| |#2| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#2| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#2| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-853 |#1|)) NIL) (($ $ (-635 (-853 |#1|))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-1693 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1715 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#2| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#2| (-43 (-410 (-569))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
+(((-243 |#1| |#2|) (-13 (-951 |#2| (-233 (-4168 |#1|) (-764)) (-853 |#1|)) (-10 -8 (-15 -1386 ($ $ (-635 (-569)))))) (-635 (-1163)) (-1048)) (T -243)) 
+((-1386 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-243 *3 *4)) (-14 *3 (-635 (-1163))) (-4 *4 (-1048))))) 
+(-13 (-951 |#2| (-233 (-4168 |#1|) (-764)) (-853 |#1|)) (-10 -8 (-15 -1386 ($ $ (-635 (-569)))))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-4382 (($ (-918)) NIL (|has| |#4| (-1048)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-1498 (($ $ $) NIL (|has| |#4| (-789)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-2085 (((-764)) NIL (|has| |#4| (-371)))) (-3638 (((-569) $) NIL (|has| |#4| (-841)))) (-4469 ((|#4| $ (-569) |#4|) NIL (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#4| "failed") $) NIL (|has| |#4| (-1091))) (((-3 (-569) "failed") $) NIL (-12 (|has| |#4| (-1038 (-569))) (|has| |#4| (-1091)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#4| (-1038 (-410 (-569)))) (|has| |#4| (-1091))))) (-2428 ((|#4| $) NIL (|has| |#4| (-1091))) (((-569) $) NIL (-12 (|has| |#4| (-1038 (-569))) (|has| |#4| (-1091)))) (((-410 (-569)) $) NIL (-12 (|has| |#4| (-1038 (-410 (-569)))) (|has| |#4| (-1091))))) (-1696 (((-2 (|:| -3477 (-680 |#4|)) (|:| |vec| (-1247 |#4|))) (-680 $) (-1247 $)) NIL (|has| |#4| (-1048))) (((-680 |#4|) (-680 $)) NIL (|has| |#4| (-1048))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1048)))) (((-680 (-569)) (-680 $)) NIL (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1048))))) (-3428 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| |#4| (-226)) (|has| |#4| (-1048))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1048))) (|has| |#4| (-717)) (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))))) (-4327 (($) NIL (|has| |#4| (-371)))) (-2726 ((|#4| $ (-569) |#4|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#4| $ (-569)) NIL)) (-2403 (((-121) $) NIL (|has| |#4| (-841)))) (-3470 (((-635 |#4|) $) NIL (|has| $ (-6 -4535)))) (-1407 (((-121) $) NIL (-2232 (-12 (|has| |#4| (-226)) (|has| |#4| (-1048))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1048))) (|has| |#4| (-717)) (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))))) (-1781 (((-121) $) NIL (|has| |#4| (-841)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (-2232 (|has| |#4| (-789)) (|has| |#4| (-841))))) (-4259 (((-635 |#4|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (-2232 (|has| |#4| (-789)) (|has| |#4| (-841))))) (-1853 (($ (-1 |#4| |#4|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#4| |#4|) $) NIL)) (-2083 (((-918) $) NIL (|has| |#4| (-371)))) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3998 (($ (-918)) NIL (|has| |#4| (-371)))) (-3360 (((-1109) $) NIL)) (-4353 ((|#4| $) NIL (|has| (-569) (-843)))) (-3174 (($ $ |#4|) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-635 |#4|) (-635 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091))))) (-2691 (((-635 |#4|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#4| $ (-569) |#4|) NIL) ((|#4| $ (-569)) 12)) (-2049 ((|#4| $ $) NIL (|has| |#4| (-1048)))) (-1755 (($ (-1247 |#4|)) NIL)) (-2369 (((-140)) NIL (|has| |#4| (-366)))) (-3899 (($ $ (-1 |#4| |#4|) (-764)) NIL (|has| |#4| (-1048))) (($ $ (-1 |#4| |#4|)) NIL (|has| |#4| (-1048))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))) (($ $ (-1163)) NIL (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))) (($ $ (-764)) NIL (-12 (|has| |#4| (-226)) (|has| |#4| (-1048)))) (($ $) NIL (-12 (|has| |#4| (-226)) (|has| |#4| (-1048))))) (-2846 (((-764) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535))) (((-764) |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-1247 |#4|) $) NIL) (((-851) $) NIL) (($ |#4|) NIL (|has| |#4| (-1091))) (($ (-569)) NIL (-2232 (-12 (|has| |#4| (-1038 (-569))) (|has| |#4| (-1091))) (|has| |#4| (-1048)))) (($ (-410 (-569))) NIL (-12 (|has| |#4| (-1038 (-410 (-569)))) (|has| |#4| (-1091))))) (-1991 (((-764)) NIL (|has| |#4| (-1048)))) (-2066 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1616 (($ $) NIL (|has| |#4| (-841)))) (-2427 (($ $ (-764)) NIL (-2232 (-12 (|has| |#4| (-226)) (|has| |#4| (-1048))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1048))) (|has| |#4| (-717)) (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048))))) (($ $ (-918)) NIL (-2232 (-12 (|has| |#4| (-226)) (|has| |#4| (-1048))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1048))) (|has| |#4| (-717)) (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))))) (-3369 (($) NIL T CONST)) (-1556 (($) NIL (-2232 (-12 (|has| |#4| (-226)) (|has| |#4| (-1048))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1048))) (|has| |#4| (-717)) (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))) CONST)) (-3022 (($ $ (-1 |#4| |#4|) (-764)) NIL (|has| |#4| (-1048))) (($ $ (-1 |#4| |#4|)) NIL (|has| |#4| (-1048))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))) (($ $ (-1163)) NIL (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))) (($ $ (-764)) NIL (-12 (|has| |#4| (-226)) (|has| |#4| (-1048)))) (($ $) NIL (-12 (|has| |#4| (-226)) (|has| |#4| (-1048))))) (-1693 (((-121) $ $) NIL (-2232 (|has| |#4| (-789)) (|has| |#4| (-841))))) (-1684 (((-121) $ $) NIL (-2232 (|has| |#4| (-789)) (|has| |#4| (-841))))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (-2232 (|has| |#4| (-789)) (|has| |#4| (-841))))) (-1678 (((-121) $ $) NIL (-2232 (|has| |#4| (-789)) (|has| |#4| (-841))))) (-1715 (($ $ |#4|) NIL (|has| |#4| (-366)))) (-1711 (($ $ $) NIL) (($ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-764)) NIL (-2232 (-12 (|has| |#4| (-226)) (|has| |#4| (-1048))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1048))) (|has| |#4| (-717)) (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048))))) (($ $ (-918)) NIL (-2232 (-12 (|has| |#4| (-226)) (|has| |#4| (-1048))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1048))) (|has| |#4| (-717)) (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))))) (* (($ |#2| $) 14) (($ (-569) $) NIL) (($ (-764) $) NIL) (($ (-918) $) NIL) (($ |#3| $) 18) (($ $ |#4|) NIL (|has| |#4| (-1048))) (($ |#4| $) NIL (|has| |#4| (-1048))) (($ $ $) NIL (-2232 (-12 (|has| |#4| (-226)) (|has| |#4| (-1048))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1048))) (|has| |#4| (-717)) (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-244 |#1| |#2| |#3| |#4|) (-13 (-231 |#1| |#4|) (-638 |#2|) (-638 |#3|)) (-918) (-1048) (-1112 |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) (-638 |#2|)) (T -244)) 
+NIL 
+(-13 (-231 |#1| |#4|) (-638 |#2|) (-638 |#3|)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-4382 (($ (-918)) NIL (|has| |#3| (-1048)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-1498 (($ $ $) NIL (|has| |#3| (-789)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-2085 (((-764)) NIL (|has| |#3| (-371)))) (-3638 (((-569) $) NIL (|has| |#3| (-841)))) (-4469 ((|#3| $ (-569) |#3|) NIL (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#3| "failed") $) NIL (|has| |#3| (-1091))) (((-3 (-569) "failed") $) NIL (-12 (|has| |#3| (-1038 (-569))) (|has| |#3| (-1091)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#3| (-1038 (-410 (-569)))) (|has| |#3| (-1091))))) (-2428 ((|#3| $) NIL (|has| |#3| (-1091))) (((-569) $) NIL (-12 (|has| |#3| (-1038 (-569))) (|has| |#3| (-1091)))) (((-410 (-569)) $) NIL (-12 (|has| |#3| (-1038 (-410 (-569)))) (|has| |#3| (-1091))))) (-1696 (((-2 (|:| -3477 (-680 |#3|)) (|:| |vec| (-1247 |#3|))) (-680 $) (-1247 $)) NIL (|has| |#3| (-1048))) (((-680 |#3|) (-680 $)) NIL (|has| |#3| (-1048))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048)))) (((-680 (-569)) (-680 $)) NIL (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048))))) (-3428 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| |#3| (-226)) (|has| |#3| (-1048))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048))) (|has| |#3| (-717)) (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))))) (-4327 (($) NIL (|has| |#3| (-371)))) (-2726 ((|#3| $ (-569) |#3|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#3| $ (-569)) NIL)) (-2403 (((-121) $) NIL (|has| |#3| (-841)))) (-3470 (((-635 |#3|) $) NIL (|has| $ (-6 -4535)))) (-1407 (((-121) $) NIL (-2232 (-12 (|has| |#3| (-226)) (|has| |#3| (-1048))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048))) (|has| |#3| (-717)) (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))))) (-1781 (((-121) $) NIL (|has| |#3| (-841)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (-2232 (|has| |#3| (-789)) (|has| |#3| (-841))))) (-4259 (((-635 |#3|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#3| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (-2232 (|has| |#3| (-789)) (|has| |#3| (-841))))) (-1853 (($ (-1 |#3| |#3|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#3| |#3|) $) NIL)) (-2083 (((-918) $) NIL (|has| |#3| (-371)))) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3998 (($ (-918)) NIL (|has| |#3| (-371)))) (-3360 (((-1109) $) NIL)) (-4353 ((|#3| $) NIL (|has| (-569) (-843)))) (-3174 (($ $ |#3|) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#3|))) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) (($ $ (-289 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) (($ $ |#3| |#3|) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) (($ $ (-635 |#3|) (-635 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#3| (-1091))))) (-2691 (((-635 |#3|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#3| $ (-569) |#3|) NIL) ((|#3| $ (-569)) 11)) (-2049 ((|#3| $ $) NIL (|has| |#3| (-1048)))) (-1755 (($ (-1247 |#3|)) NIL)) (-2369 (((-140)) NIL (|has| |#3| (-366)))) (-3899 (($ $ (-1 |#3| |#3|) (-764)) NIL (|has| |#3| (-1048))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1048))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-1163)) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-764)) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1048)))) (($ $) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1048))))) (-2846 (((-764) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4535))) (((-764) |#3| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#3| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-1247 |#3|) $) NIL) (((-851) $) NIL) (($ |#3|) NIL (|has| |#3| (-1091))) (($ (-569)) NIL (-2232 (-12 (|has| |#3| (-1038 (-569))) (|has| |#3| (-1091))) (|has| |#3| (-1048)))) (($ (-410 (-569))) NIL (-12 (|has| |#3| (-1038 (-410 (-569)))) (|has| |#3| (-1091))))) (-1991 (((-764)) NIL (|has| |#3| (-1048)))) (-2066 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4535)))) (-1616 (($ $) NIL (|has| |#3| (-841)))) (-2427 (($ $ (-764)) NIL (-2232 (-12 (|has| |#3| (-226)) (|has| |#3| (-1048))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048))) (|has| |#3| (-717)) (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048))))) (($ $ (-918)) NIL (-2232 (-12 (|has| |#3| (-226)) (|has| |#3| (-1048))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048))) (|has| |#3| (-717)) (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))))) (-3369 (($) NIL T CONST)) (-1556 (($) NIL (-2232 (-12 (|has| |#3| (-226)) (|has| |#3| (-1048))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048))) (|has| |#3| (-717)) (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) CONST)) (-3022 (($ $ (-1 |#3| |#3|) (-764)) NIL (|has| |#3| (-1048))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1048))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-1163)) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-764)) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1048)))) (($ $) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1048))))) (-1693 (((-121) $ $) NIL (-2232 (|has| |#3| (-789)) (|has| |#3| (-841))))) (-1684 (((-121) $ $) NIL (-2232 (|has| |#3| (-789)) (|has| |#3| (-841))))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (-2232 (|has| |#3| (-789)) (|has| |#3| (-841))))) (-1678 (((-121) $ $) NIL (-2232 (|has| |#3| (-789)) (|has| |#3| (-841))))) (-1715 (($ $ |#3|) NIL (|has| |#3| (-366)))) (-1711 (($ $ $) NIL) (($ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-764)) NIL (-2232 (-12 (|has| |#3| (-226)) (|has| |#3| (-1048))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048))) (|has| |#3| (-717)) (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048))))) (($ $ (-918)) NIL (-2232 (-12 (|has| |#3| (-226)) (|has| |#3| (-1048))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048))) (|has| |#3| (-717)) (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))))) (* (($ |#2| $) 13) (($ (-569) $) NIL) (($ (-764) $) NIL) (($ (-918) $) NIL) (($ $ |#3|) NIL (|has| |#3| (-1048))) (($ |#3| $) NIL (|has| |#3| (-1048))) (($ $ $) NIL (-2232 (-12 (|has| |#3| (-226)) (|has| |#3| (-1048))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048))) (|has| |#3| (-717)) (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-245 |#1| |#2| |#3|) (-13 (-231 |#1| |#3|) (-638 |#2|)) (-764) (-1048) (-638 |#2|)) (T -245)) 
+NIL 
+(-13 (-231 |#1| |#3|) (-638 |#2|)) 
+((-1644 (((-635 (-764)) $) 47) (((-635 (-764)) $ |#3|) 50)) (-2496 (((-764) $) 49) (((-764) $ |#3|) 52)) (-4302 (($ $) 65)) (-1647 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 |#4| "failed") $) NIL) (((-3 |#3| "failed") $) 72)) (-2558 (((-764) $ |#3|) 39) (((-764) $) 36)) (-1918 (((-1 $ (-764)) |#3|) 15) (((-1 $ (-764)) $) 77)) (-4163 ((|#4| $) 58)) (-4505 (((-121) $) 56)) (-4000 (($ $) 64)) (-1468 (($ $ (-635 (-289 $))) 96) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ |#4| |#2|) NIL) (($ $ (-635 |#4|) (-635 |#2|)) NIL) (($ $ |#4| $) NIL) (($ $ (-635 |#4|) (-635 $)) NIL) (($ $ |#3| $) NIL) (($ $ (-635 |#3|) (-635 $)) 89) (($ $ |#3| |#2|) NIL) (($ $ (-635 |#3|) (-635 |#2|)) 84)) (-3899 (($ $ |#4|) NIL) (($ $ (-635 |#4|)) NIL) (($ $ |#4| (-764)) NIL) (($ $ (-635 |#4|) (-635 (-764))) NIL) (($ $) NIL) (($ $ (-764)) NIL) (($ $ (-1163)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-1 |#2| |#2|)) 32)) (-1511 (((-635 |#3|) $) 75)) (-2492 ((|#5| $) NIL) (((-764) $ |#4|) NIL) (((-635 (-764)) $ (-635 |#4|)) NIL) (((-764) $ |#3|) 44)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#2|) NIL) (($ |#4|) NIL) (($ |#3|) 67) (($ (-410 (-569))) NIL) (($ $) NIL))) 
+(((-246 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -2185 (|#1| |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -1468 (|#1| |#1| (-635 |#3|) (-635 |#2|))) (-15 -1468 (|#1| |#1| |#3| |#2|)) (-15 -1468 (|#1| |#1| (-635 |#3|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#3| |#1|)) (-15 -1918 ((-1 |#1| (-764)) |#1|)) (-15 -4302 (|#1| |#1|)) (-15 -4000 (|#1| |#1|)) (-15 -4163 (|#4| |#1|)) (-15 -4505 ((-121) |#1|)) (-15 -2496 ((-764) |#1| |#3|)) (-15 -1644 ((-635 (-764)) |#1| |#3|)) (-15 -2496 ((-764) |#1|)) (-15 -1644 ((-635 (-764)) |#1|)) (-15 -2492 ((-764) |#1| |#3|)) (-15 -2558 ((-764) |#1|)) (-15 -2558 ((-764) |#1| |#3|)) (-15 -1511 ((-635 |#3|) |#1|)) (-15 -1918 ((-1 |#1| (-764)) |#3|)) (-15 -1647 ((-3 |#3| "failed") |#1|)) (-15 -2185 (|#1| |#3|)) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1|)) (-15 -2492 ((-635 (-764)) |#1| (-635 |#4|))) (-15 -2492 ((-764) |#1| |#4|)) (-15 -1647 ((-3 |#4| "failed") |#1|)) (-15 -2185 (|#1| |#4|)) (-15 -1468 (|#1| |#1| (-635 |#4|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#4| |#1|)) (-15 -1468 (|#1| |#1| (-635 |#4|) (-635 |#2|))) (-15 -1468 (|#1| |#1| |#4| |#2|)) (-15 -1468 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#1| |#1|)) (-15 -1468 (|#1| |#1| (-289 |#1|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2492 (|#5| |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -3899 (|#1| |#1| (-635 |#4|) (-635 (-764)))) (-15 -3899 (|#1| |#1| |#4| (-764))) (-15 -3899 (|#1| |#1| (-635 |#4|))) (-15 -3899 (|#1| |#1| |#4|)) (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) (-247 |#2| |#3| |#4| |#5|) (-1048) (-843) (-263 |#3|) (-789)) (T -246)) 
+NIL 
+(-10 -8 (-15 -2185 (|#1| |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -1468 (|#1| |#1| (-635 |#3|) (-635 |#2|))) (-15 -1468 (|#1| |#1| |#3| |#2|)) (-15 -1468 (|#1| |#1| (-635 |#3|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#3| |#1|)) (-15 -1918 ((-1 |#1| (-764)) |#1|)) (-15 -4302 (|#1| |#1|)) (-15 -4000 (|#1| |#1|)) (-15 -4163 (|#4| |#1|)) (-15 -4505 ((-121) |#1|)) (-15 -2496 ((-764) |#1| |#3|)) (-15 -1644 ((-635 (-764)) |#1| |#3|)) (-15 -2496 ((-764) |#1|)) (-15 -1644 ((-635 (-764)) |#1|)) (-15 -2492 ((-764) |#1| |#3|)) (-15 -2558 ((-764) |#1|)) (-15 -2558 ((-764) |#1| |#3|)) (-15 -1511 ((-635 |#3|) |#1|)) (-15 -1918 ((-1 |#1| (-764)) |#3|)) (-15 -1647 ((-3 |#3| "failed") |#1|)) (-15 -2185 (|#1| |#3|)) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1|)) (-15 -2492 ((-635 (-764)) |#1| (-635 |#4|))) (-15 -2492 ((-764) |#1| |#4|)) (-15 -1647 ((-3 |#4| "failed") |#1|)) (-15 -2185 (|#1| |#4|)) (-15 -1468 (|#1| |#1| (-635 |#4|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#4| |#1|)) (-15 -1468 (|#1| |#1| (-635 |#4|) (-635 |#2|))) (-15 -1468 (|#1| |#1| |#4| |#2|)) (-15 -1468 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#1| |#1|)) (-15 -1468 (|#1| |#1| (-289 |#1|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2492 (|#5| |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -3899 (|#1| |#1| (-635 |#4|) (-635 (-764)))) (-15 -3899 (|#1| |#1| |#4| (-764))) (-15 -3899 (|#1| |#1| (-635 |#4|))) (-15 -3899 (|#1| |#1| |#4|)) (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1644 (((-635 (-764)) $) 193) (((-635 (-764)) $ |#2|) 191)) (-2496 (((-764) $) 192) (((-764) $ |#2|) 190)) (-1773 (((-635 |#3|) $) 108)) (-1739 (((-1159 $) $ |#3|) 123) (((-1159 |#1|) $) 122)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 85 (|has| |#1| (-559)))) (-3383 (($ $) 86 (|has| |#1| (-559)))) (-4354 (((-121) $) 88 (|has| |#1| (-559)))) (-4011 (((-764) $) 110) (((-764) $ (-635 |#3|)) 109)) (-2327 (((-3 $ "failed") $ $) 18)) (-2379 (((-421 (-1159 $)) (-1159 $)) 98 (|has| |#1| (-905)))) (-2004 (($ $) 96 (|has| |#1| (-454)))) (-2446 (((-421 $) $) 95 (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) 101 (|has| |#1| (-905)))) (-4302 (($ $) 186)) (-2820 (($) 16 T CONST)) (-1647 (((-3 |#1| "failed") $) 162) (((-3 (-410 (-569)) "failed") $) 160 (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) 158 (|has| |#1| (-1038 (-569)))) (((-3 |#3| "failed") $) 134) (((-3 |#2| "failed") $) 200)) (-2428 ((|#1| $) 163) (((-410 (-569)) $) 159 (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) 157 (|has| |#1| (-1038 (-569)))) ((|#3| $) 133) ((|#2| $) 199)) (-3493 (($ $ $ |#3|) 106 (|has| |#1| (-173)))) (-4020 (($ $) 152)) (-1696 (((-680 (-569)) (-680 $)) 132 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 131 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 130) (((-680 |#1|) (-680 $)) 129)) (-3428 (((-3 $ "failed") $) 33)) (-1340 (($ $) 174 (|has| |#1| (-454))) (($ $ |#3|) 103 (|has| |#1| (-454)))) (-4015 (((-635 $) $) 107)) (-3726 (((-121) $) 94 (|has| |#1| (-905)))) (-1667 (($ $ |#1| |#4| $) 170)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 82 (-12 (|has| |#3| (-882 (-382))) (|has| |#1| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 81 (-12 (|has| |#3| (-882 (-569))) (|has| |#1| (-882 (-569)))))) (-2558 (((-764) $ |#2|) 196) (((-764) $) 195)) (-1407 (((-121) $) 30)) (-4244 (((-764) $) 167)) (-1768 (($ (-1159 |#1|) |#3|) 115) (($ (-1159 $) |#3|) 114)) (-2086 (((-635 $) $) 124)) (-3523 (((-121) $) 150)) (-1763 (($ |#1| |#4|) 151) (($ $ |#3| (-764)) 117) (($ $ (-635 |#3|) (-635 (-764))) 116)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ |#3|) 118)) (-4002 ((|#4| $) 168) (((-764) $ |#3|) 120) (((-635 (-764)) $ (-635 |#3|)) 119)) (-3291 (($ $ $) 77 (|has| |#1| (-843)))) (-1538 (($ $ $) 76 (|has| |#1| (-843)))) (-2658 (($ (-1 |#4| |#4|) $) 169)) (-1544 (($ (-1 |#1| |#1|) $) 149)) (-1918 (((-1 $ (-764)) |#2|) 198) (((-1 $ (-764)) $) 185 (|has| |#1| (-226)))) (-1637 (((-3 |#3| "failed") $) 121)) (-1804 (($ $) 147)) (-4012 ((|#1| $) 146)) (-4163 ((|#3| $) 188)) (-2665 (($ (-635 $)) 92 (|has| |#1| (-454))) (($ $ $) 91 (|has| |#1| (-454)))) (-2776 (((-1145) $) 9)) (-4505 (((-121) $) 189)) (-4087 (((-3 (-635 $) "failed") $) 112)) (-3091 (((-3 (-635 $) "failed") $) 113)) (-1874 (((-3 (-2 (|:| |var| |#3|) (|:| -2356 (-764))) "failed") $) 111)) (-4000 (($ $) 187)) (-3360 (((-1109) $) 10)) (-1798 (((-121) $) 164)) (-1801 ((|#1| $) 165)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 93 (|has| |#1| (-454)))) (-2714 (($ (-635 $)) 90 (|has| |#1| (-454))) (($ $ $) 89 (|has| |#1| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) 100 (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) 99 (|has| |#1| (-905)))) (-1743 (((-421 $) $) 97 (|has| |#1| (-905)))) (-2941 (((-3 $ "failed") $ |#1|) 172 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-559)))) (-1468 (($ $ (-635 (-289 $))) 143) (($ $ (-289 $)) 142) (($ $ $ $) 141) (($ $ (-635 $) (-635 $)) 140) (($ $ |#3| |#1|) 139) (($ $ (-635 |#3|) (-635 |#1|)) 138) (($ $ |#3| $) 137) (($ $ (-635 |#3|) (-635 $)) 136) (($ $ |#2| $) 184 (|has| |#1| (-226))) (($ $ (-635 |#2|) (-635 $)) 183 (|has| |#1| (-226))) (($ $ |#2| |#1|) 182 (|has| |#1| (-226))) (($ $ (-635 |#2|) (-635 |#1|)) 181 (|has| |#1| (-226)))) (-2087 (($ $ |#3|) 105 (|has| |#1| (-173)))) (-3899 (($ $ |#3|) 41) (($ $ (-635 |#3|)) 40) (($ $ |#3| (-764)) 39) (($ $ (-635 |#3|) (-635 (-764))) 38) (($ $) 217 (|has| |#1| (-226))) (($ $ (-764)) 215 (|has| |#1| (-226))) (($ $ (-1163)) 213 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) 212 (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) 211 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) 210 (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) 203) (($ $ (-1 |#1| |#1|)) 202)) (-1511 (((-635 |#2|) $) 197)) (-2492 ((|#4| $) 148) (((-764) $ |#3|) 128) (((-635 (-764)) $ (-635 |#3|)) 127) (((-764) $ |#2|) 194)) (-3817 (((-888 (-382)) $) 80 (-12 (|has| |#3| (-610 (-888 (-382)))) (|has| |#1| (-610 (-888 (-382)))))) (((-888 (-569)) $) 79 (-12 (|has| |#3| (-610 (-888 (-569)))) (|has| |#1| (-610 (-888 (-569)))))) (((-542) $) 78 (-12 (|has| |#3| (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-3298 ((|#1| $) 173 (|has| |#1| (-454))) (($ $ |#3|) 104 (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 102 (-2206 (|has| $ (-149)) (|has| |#1| (-905))))) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 161) (($ |#3|) 135) (($ |#2|) 201) (($ (-410 (-569))) 70 (-2232 (|has| |#1| (-1038 (-410 (-569)))) (|has| |#1| (-43 (-410 (-569)))))) (($ $) 83 (|has| |#1| (-559)))) (-3382 (((-635 |#1|) $) 166)) (-1653 ((|#1| $ |#4|) 153) (($ $ |#3| (-764)) 126) (($ $ (-635 |#3|) (-635 (-764))) 125)) (-3953 (((-3 $ "failed") $) 71 (-2232 (-2206 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) 28)) (-4086 (($ $ $ (-764)) 171 (|has| |#1| (-173)))) (-1961 (((-121) $ $) 87 (|has| |#1| (-559)))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ |#3|) 37) (($ $ (-635 |#3|)) 36) (($ $ |#3| (-764)) 35) (($ $ (-635 |#3|) (-635 (-764))) 34) (($ $) 216 (|has| |#1| (-226))) (($ $ (-764)) 214 (|has| |#1| (-226))) (($ $ (-1163)) 209 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) 208 (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) 207 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) 206 (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) 205) (($ $ (-1 |#1| |#1|)) 204)) (-1693 (((-121) $ $) 74 (|has| |#1| (-843)))) (-1684 (((-121) $ $) 73 (|has| |#1| (-843)))) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 75 (|has| |#1| (-843)))) (-1678 (((-121) $ $) 72 (|has| |#1| (-843)))) (-1715 (($ $ |#1|) 154 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 156 (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) 155 (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 145) (($ $ |#1|) 144))) 
+(((-247 |#1| |#2| |#3| |#4|) (-1278) (-1048) (-843) (-263 |t#2|) (-789)) (T -247)) 
+((-1918 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *3 (-843)) (-4 *5 (-263 *3)) (-4 *6 (-789)) (-5 *2 (-1 *1 (-764))) (-4 *1 (-247 *4 *3 *5 *6)))) (-1511 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-263 *4)) (-4 *6 (-789)) (-5 *2 (-635 *4)))) (-2558 (*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1048)) (-4 *3 (-843)) (-4 *5 (-263 *3)) (-4 *6 (-789)) (-5 *2 (-764)))) (-2558 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-263 *4)) (-4 *6 (-789)) (-5 *2 (-764)))) (-2492 (*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1048)) (-4 *3 (-843)) (-4 *5 (-263 *3)) (-4 *6 (-789)) (-5 *2 (-764)))) (-1644 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-263 *4)) (-4 *6 (-789)) (-5 *2 (-635 (-764))))) (-2496 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-263 *4)) (-4 *6 (-789)) (-5 *2 (-764)))) (-1644 (*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1048)) (-4 *3 (-843)) (-4 *5 (-263 *3)) (-4 *6 (-789)) (-5 *2 (-635 (-764))))) (-2496 (*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1048)) (-4 *3 (-843)) (-4 *5 (-263 *3)) (-4 *6 (-789)) (-5 *2 (-764)))) (-4505 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-263 *4)) (-4 *6 (-789)) (-5 *2 (-121)))) (-4163 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *2 *5)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-789)) (-4 *2 (-263 *4)))) (-4000 (*1 *1 *1) (-12 (-4 *1 (-247 *2 *3 *4 *5)) (-4 *2 (-1048)) (-4 *3 (-843)) (-4 *4 (-263 *3)) (-4 *5 (-789)))) (-4302 (*1 *1 *1) (-12 (-4 *1 (-247 *2 *3 *4 *5)) (-4 *2 (-1048)) (-4 *3 (-843)) (-4 *4 (-263 *3)) (-4 *5 (-789)))) (-1918 (*1 *2 *1) (-12 (-4 *3 (-226)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-263 *4)) (-4 *6 (-789)) (-5 *2 (-1 *1 (-764))) (-4 *1 (-247 *3 *4 *5 *6))))) 
+(-13 (-951 |t#1| |t#4| |t#3|) (-224 |t#1|) (-1038 |t#2|) (-10 -8 (-15 -1918 ((-1 $ (-764)) |t#2|)) (-15 -1511 ((-635 |t#2|) $)) (-15 -2558 ((-764) $ |t#2|)) (-15 -2558 ((-764) $)) (-15 -2492 ((-764) $ |t#2|)) (-15 -1644 ((-635 (-764)) $)) (-15 -2496 ((-764) $)) (-15 -1644 ((-635 (-764)) $ |t#2|)) (-15 -2496 ((-764) $ |t#2|)) (-15 -4505 ((-121) $)) (-15 -4163 (|t#3| $)) (-15 -4000 ($ $)) (-15 -4302 ($ $)) (IF (|has| |t#1| (-226)) (PROGN (-6 (-524 |t#2| |t#1|)) (-6 (-524 |t#2| $)) (-6 (-304 $)) (-15 -1918 ((-1 $ (-764)) $))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| |#4|) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-610 (-542)) -12 (|has| |#1| (-610 (-542))) (|has| |#3| (-610 (-542)))) ((-610 (-888 (-382))) -12 (|has| |#1| (-610 (-888 (-382)))) (|has| |#3| (-610 (-888 (-382))))) ((-610 (-888 (-569))) -12 (|has| |#1| (-610 (-888 (-569)))) (|has| |#3| (-610 (-888 (-569))))) ((-224 |#1|) . T) ((-226) |has| |#1| (-226)) ((-286) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-304 $) . T) ((-325 |#1| |#4|) . T) ((-380 |#1|) . T) ((-414 |#1|) . T) ((-454) -2232 (|has| |#1| (-905)) (|has| |#1| (-454))) ((-524 |#2| |#1|) |has| |#1| (-226)) ((-524 |#2| $) |has| |#1| (-226)) ((-524 |#3| |#1|) . T) ((-524 |#3| $) . T) ((-524 $ $) . T) ((-559) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-708 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-717) . T) ((-843) |has| |#1| (-843)) ((-896 (-1163)) |has| |#1| (-896 (-1163))) ((-896 |#3|) . T) ((-882 (-382)) -12 (|has| |#1| (-882 (-382))) (|has| |#3| (-882 (-382)))) ((-882 (-569)) -12 (|has| |#1| (-882 (-569))) (|has| |#3| (-882 (-569)))) ((-951 |#1| |#4| |#3|) . T) ((-905) |has| |#1| (-905)) ((-1038 (-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 |#1|) . T) ((-1038 |#2|) . T) ((-1038 |#3|) . T) ((-1054 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) |has| |#1| (-905))) 
+((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-3828 ((|#1| $) 51)) (-3275 ((|#1| $) 41)) (-1691 (((-121) $ (-764)) 8)) (-2820 (($) 7 T CONST)) (-3929 (($ $) 57)) (-1302 (($ $) 45)) (-3309 ((|#1| |#1| $) 43)) (-1646 ((|#1| $) 42)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-1906 (((-764) $) 58)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3889 ((|#1| $) 36)) (-3153 ((|#1| |#1| $) 49)) (-2055 ((|#1| |#1| $) 48)) (-3172 (($ |#1| $) 37)) (-2626 (((-764) $) 52)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-2935 ((|#1| $) 59)) (-2017 ((|#1| $) 47)) (-3597 ((|#1| $) 46)) (-1856 ((|#1| $) 38)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-4065 ((|#1| |#1| $) 55)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-2819 ((|#1| $) 56)) (-3598 (($) 54) (($ (-635 |#1|)) 53)) (-2835 (((-764) $) 40)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-3130 ((|#1| $) 50)) (-2793 (($ (-635 |#1|)) 39)) (-1309 ((|#1| $) 60)) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-248 |#1|) (-1278) (-1197)) (T -248)) 
+((-3598 (*1 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197)))) (-3598 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-4 *1 (-248 *3)))) (-2626 (*1 *2 *1) (-12 (-4 *1 (-248 *3)) (-4 *3 (-1197)) (-5 *2 (-764)))) (-3828 (*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197)))) (-3130 (*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197)))) (-3153 (*1 *2 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197)))) (-2055 (*1 *2 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197)))) (-2017 (*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197)))) (-3597 (*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197)))) (-1302 (*1 *1 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197))))) 
+(-13 (-1110 |t#1|) (-996 |t#1|) (-10 -8 (-15 -3598 ($)) (-15 -3598 ($ (-635 |t#1|))) (-15 -2626 ((-764) $)) (-15 -3828 (|t#1| $)) (-15 -3130 (|t#1| $)) (-15 -3153 (|t#1| |t#1| $)) (-15 -2055 (|t#1| |t#1| $)) (-15 -2017 (|t#1| $)) (-15 -3597 (|t#1| $)) (-15 -1302 ($ $)))) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-996 |#1|) . T) ((-1091) |has| |#1| (-1091)) ((-1110 |#1|) . T) ((-1197) . T)) 
+((-2605 (((-1 (-945 (-216)) (-216) (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216) (-216))) 139)) (-4132 (((-1122 (-216)) (-878 (-1 (-216) (-216) (-216))) (-1085 (-382)) (-1085 (-382))) 160) (((-1122 (-216)) (-878 (-1 (-216) (-216) (-216))) (-1085 (-382)) (-1085 (-382)) (-635 (-257))) 158) (((-1122 (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-382)) (-1085 (-382))) 163) (((-1122 (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-382)) (-1085 (-382)) (-635 (-257))) 159) (((-1122 (-216)) (-1 (-216) (-216) (-216)) (-1085 (-382)) (-1085 (-382))) 150) (((-1122 (-216)) (-1 (-216) (-216) (-216)) (-1085 (-382)) (-1085 (-382)) (-635 (-257))) 149) (((-1122 (-216)) (-1 (-945 (-216)) (-216)) (-1085 (-382))) 129) (((-1122 (-216)) (-1 (-945 (-216)) (-216)) (-1085 (-382)) (-635 (-257))) 127) (((-1122 (-216)) (-876 (-1 (-216) (-216))) (-1085 (-382))) 128) (((-1122 (-216)) (-876 (-1 (-216) (-216))) (-1085 (-382)) (-635 (-257))) 125)) (-4127 (((-1249) (-878 (-1 (-216) (-216) (-216))) (-1085 (-382)) (-1085 (-382))) 162) (((-1249) (-878 (-1 (-216) (-216) (-216))) (-1085 (-382)) (-1085 (-382)) (-635 (-257))) 161) (((-1249) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-382)) (-1085 (-382))) 165) (((-1249) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-382)) (-1085 (-382)) (-635 (-257))) 164) (((-1249) (-1 (-216) (-216) (-216)) (-1085 (-382)) (-1085 (-382))) 152) (((-1249) (-1 (-216) (-216) (-216)) (-1085 (-382)) (-1085 (-382)) (-635 (-257))) 151) (((-1249) (-1 (-945 (-216)) (-216)) (-1085 (-382))) 135) (((-1249) (-1 (-945 (-216)) (-216)) (-1085 (-382)) (-635 (-257))) 134) (((-1249) (-876 (-1 (-216) (-216))) (-1085 (-382))) 133) (((-1249) (-876 (-1 (-216) (-216))) (-1085 (-382)) (-635 (-257))) 132) (((-1248) (-874 (-1 (-216) (-216))) (-1085 (-382))) 99) (((-1248) (-874 (-1 (-216) (-216))) (-1085 (-382)) (-635 (-257))) 98) (((-1248) (-1 (-216) (-216)) (-1085 (-382))) 95) (((-1248) (-1 (-216) (-216)) (-1085 (-382)) (-635 (-257))) 94))) 
+(((-249) (-10 -7 (-15 -4127 ((-1248) (-1 (-216) (-216)) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1248) (-1 (-216) (-216)) (-1085 (-382)))) (-15 -4127 ((-1248) (-874 (-1 (-216) (-216))) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1248) (-874 (-1 (-216) (-216))) (-1085 (-382)))) (-15 -4127 ((-1249) (-876 (-1 (-216) (-216))) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-876 (-1 (-216) (-216))) (-1085 (-382)))) (-15 -4127 ((-1249) (-1 (-945 (-216)) (-216)) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-1 (-945 (-216)) (-216)) (-1085 (-382)))) (-15 -4132 ((-1122 (-216)) (-876 (-1 (-216) (-216))) (-1085 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-876 (-1 (-216) (-216))) (-1085 (-382)))) (-15 -4132 ((-1122 (-216)) (-1 (-945 (-216)) (-216)) (-1085 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-1 (-945 (-216)) (-216)) (-1085 (-382)))) (-15 -4127 ((-1249) (-1 (-216) (-216) (-216)) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-1 (-216) (-216) (-216)) (-1085 (-382)) (-1085 (-382)))) (-15 -4132 ((-1122 (-216)) (-1 (-216) (-216) (-216)) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-1 (-216) (-216) (-216)) (-1085 (-382)) (-1085 (-382)))) (-15 -4127 ((-1249) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-382)) (-1085 (-382)))) (-15 -4132 ((-1122 (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-382)) (-1085 (-382)))) (-15 -4127 ((-1249) (-878 (-1 (-216) (-216) (-216))) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-878 (-1 (-216) (-216) (-216))) (-1085 (-382)) (-1085 (-382)))) (-15 -4132 ((-1122 (-216)) (-878 (-1 (-216) (-216) (-216))) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-878 (-1 (-216) (-216) (-216))) (-1085 (-382)) (-1085 (-382)))) (-15 -2605 ((-1 (-945 (-216)) (-216) (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216) (-216)))))) (T -249)) 
+((-2605 (*1 *2 *2 *3) (-12 (-5 *2 (-1 (-945 (-216)) (-216) (-216))) (-5 *3 (-1 (-216) (-216) (-216) (-216))) (-5 *1 (-249)))) (-4132 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-878 (-1 (-216) (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) (-4132 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-878 (-1 (-216) (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-878 (-1 (-216) (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *2 (-1249)) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-878 (-1 (-216) (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-249)))) (-4132 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-945 (-216)) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) (-4132 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-945 (-216)) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-945 (-216)) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1249)) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-945 (-216)) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-249)))) (-4132 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) (-4132 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1249)) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-249)))) (-4132 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-945 (-216)) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) (-4132 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-945 (-216)) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) (-4132 (*1 *2 *3 *4) (-12 (-5 *3 (-876 (-1 (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) (-4132 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-876 (-1 (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-945 (-216)) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1249)) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-945 (-216)) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4) (-12 (-5 *3 (-876 (-1 (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *2 (-1249)) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-876 (-1 (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4) (-12 (-5 *3 (-874 (-1 (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *2 (-1248)) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-874 (-1 (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1248)) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-249))))) 
+(-10 -7 (-15 -4127 ((-1248) (-1 (-216) (-216)) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1248) (-1 (-216) (-216)) (-1085 (-382)))) (-15 -4127 ((-1248) (-874 (-1 (-216) (-216))) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1248) (-874 (-1 (-216) (-216))) (-1085 (-382)))) (-15 -4127 ((-1249) (-876 (-1 (-216) (-216))) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-876 (-1 (-216) (-216))) (-1085 (-382)))) (-15 -4127 ((-1249) (-1 (-945 (-216)) (-216)) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-1 (-945 (-216)) (-216)) (-1085 (-382)))) (-15 -4132 ((-1122 (-216)) (-876 (-1 (-216) (-216))) (-1085 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-876 (-1 (-216) (-216))) (-1085 (-382)))) (-15 -4132 ((-1122 (-216)) (-1 (-945 (-216)) (-216)) (-1085 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-1 (-945 (-216)) (-216)) (-1085 (-382)))) (-15 -4127 ((-1249) (-1 (-216) (-216) (-216)) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-1 (-216) (-216) (-216)) (-1085 (-382)) (-1085 (-382)))) (-15 -4132 ((-1122 (-216)) (-1 (-216) (-216) (-216)) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-1 (-216) (-216) (-216)) (-1085 (-382)) (-1085 (-382)))) (-15 -4127 ((-1249) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-382)) (-1085 (-382)))) (-15 -4132 ((-1122 (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-382)) (-1085 (-382)))) (-15 -4127 ((-1249) (-878 (-1 (-216) (-216) (-216))) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-878 (-1 (-216) (-216) (-216))) (-1085 (-382)) (-1085 (-382)))) (-15 -4132 ((-1122 (-216)) (-878 (-1 (-216) (-216) (-216))) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-878 (-1 (-216) (-216) (-216))) (-1085 (-382)) (-1085 (-382)))) (-15 -2605 ((-1 (-945 (-216)) (-216) (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216) (-216))))) 
+((-4127 (((-1248) (-289 |#2|) (-1163) (-1163) (-635 (-257))) 93))) 
+(((-250 |#1| |#2|) (-10 -7 (-15 -4127 ((-1248) (-289 |#2|) (-1163) (-1163) (-635 (-257))))) (-13 (-559) (-843) (-1038 (-569))) (-433 |#1|)) (T -250)) 
+((-4127 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-1163)) (-5 *5 (-635 (-257))) (-4 *7 (-433 *6)) (-4 *6 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-1248)) (-5 *1 (-250 *6 *7))))) 
+(-10 -7 (-15 -4127 ((-1248) (-289 |#2|) (-1163) (-1163) (-635 (-257))))) 
+((-2041 (((-569) (-569)) 50)) (-1703 (((-569) (-569)) 51)) (-2306 (((-216) (-216)) 52)) (-4118 (((-1249) (-1 (-170 (-216)) (-170 (-216))) (-1085 (-216)) (-1085 (-216))) 49)) (-3439 (((-1249) (-1 (-170 (-216)) (-170 (-216))) (-1085 (-216)) (-1085 (-216)) (-121)) 47))) 
+(((-251) (-10 -7 (-15 -3439 ((-1249) (-1 (-170 (-216)) (-170 (-216))) (-1085 (-216)) (-1085 (-216)) (-121))) (-15 -4118 ((-1249) (-1 (-170 (-216)) (-170 (-216))) (-1085 (-216)) (-1085 (-216)))) (-15 -2041 ((-569) (-569))) (-15 -1703 ((-569) (-569))) (-15 -2306 ((-216) (-216))))) (T -251)) 
+((-2306 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-251)))) (-1703 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-251)))) (-2041 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-251)))) (-4118 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-170 (-216)) (-170 (-216)))) (-5 *4 (-1085 (-216))) (-5 *2 (-1249)) (-5 *1 (-251)))) (-3439 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-170 (-216)) (-170 (-216)))) (-5 *4 (-1085 (-216))) (-5 *5 (-121)) (-5 *2 (-1249)) (-5 *1 (-251))))) 
+(-10 -7 (-15 -3439 ((-1249) (-1 (-170 (-216)) (-170 (-216))) (-1085 (-216)) (-1085 (-216)) (-121))) (-15 -4118 ((-1249) (-1 (-170 (-216)) (-170 (-216))) (-1085 (-216)) (-1085 (-216)))) (-15 -2041 ((-569) (-569))) (-15 -1703 ((-569) (-569))) (-15 -2306 ((-216) (-216)))) 
+((-2185 (((-1083 (-382)) (-1083 (-311 |#1|))) 16))) 
+(((-252 |#1|) (-10 -7 (-15 -2185 ((-1083 (-382)) (-1083 (-311 |#1|))))) (-13 (-843) (-559) (-610 (-382)))) (T -252)) 
+((-2185 (*1 *2 *3) (-12 (-5 *3 (-1083 (-311 *4))) (-4 *4 (-13 (-843) (-559) (-610 (-382)))) (-5 *2 (-1083 (-382))) (-5 *1 (-252 *4))))) 
+(-10 -7 (-15 -2185 ((-1083 (-382)) (-1083 (-311 |#1|))))) 
+((-4132 (((-1122 (-216)) (-878 |#1|) (-1083 (-382)) (-1083 (-382))) 69) (((-1122 (-216)) (-878 |#1|) (-1083 (-382)) (-1083 (-382)) (-635 (-257))) 68) (((-1122 (-216)) |#1| (-1083 (-382)) (-1083 (-382))) 59) (((-1122 (-216)) |#1| (-1083 (-382)) (-1083 (-382)) (-635 (-257))) 58) (((-1122 (-216)) (-876 |#1|) (-1083 (-382))) 50) (((-1122 (-216)) (-876 |#1|) (-1083 (-382)) (-635 (-257))) 49)) (-4127 (((-1249) (-878 |#1|) (-1083 (-382)) (-1083 (-382))) 72) (((-1249) (-878 |#1|) (-1083 (-382)) (-1083 (-382)) (-635 (-257))) 71) (((-1249) |#1| (-1083 (-382)) (-1083 (-382))) 62) (((-1249) |#1| (-1083 (-382)) (-1083 (-382)) (-635 (-257))) 61) (((-1249) (-876 |#1|) (-1083 (-382))) 54) (((-1249) (-876 |#1|) (-1083 (-382)) (-635 (-257))) 53) (((-1248) (-874 |#1|) (-1083 (-382))) 41) (((-1248) (-874 |#1|) (-1083 (-382)) (-635 (-257))) 40) (((-1248) |#1| (-1083 (-382))) 33) (((-1248) |#1| (-1083 (-382)) (-635 (-257))) 32))) 
+(((-253 |#1|) (-10 -7 (-15 -4127 ((-1248) |#1| (-1083 (-382)) (-635 (-257)))) (-15 -4127 ((-1248) |#1| (-1083 (-382)))) (-15 -4127 ((-1248) (-874 |#1|) (-1083 (-382)) (-635 (-257)))) (-15 -4127 ((-1248) (-874 |#1|) (-1083 (-382)))) (-15 -4127 ((-1249) (-876 |#1|) (-1083 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-876 |#1|) (-1083 (-382)))) (-15 -4132 ((-1122 (-216)) (-876 |#1|) (-1083 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-876 |#1|) (-1083 (-382)))) (-15 -4127 ((-1249) |#1| (-1083 (-382)) (-1083 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) |#1| (-1083 (-382)) (-1083 (-382)))) (-15 -4132 ((-1122 (-216)) |#1| (-1083 (-382)) (-1083 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) |#1| (-1083 (-382)) (-1083 (-382)))) (-15 -4127 ((-1249) (-878 |#1|) (-1083 (-382)) (-1083 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-878 |#1|) (-1083 (-382)) (-1083 (-382)))) (-15 -4132 ((-1122 (-216)) (-878 |#1|) (-1083 (-382)) (-1083 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-878 |#1|) (-1083 (-382)) (-1083 (-382))))) (-13 (-610 (-542)) (-1091))) (T -253)) 
+((-4132 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-878 *5)) (-5 *4 (-1083 (-382))) (-4 *5 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1122 (-216))) (-5 *1 (-253 *5)))) (-4132 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-878 *6)) (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1122 (-216))) (-5 *1 (-253 *6)))) (-4127 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-878 *5)) (-5 *4 (-1083 (-382))) (-4 *5 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1249)) (-5 *1 (-253 *5)))) (-4127 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-878 *6)) (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1249)) (-5 *1 (-253 *6)))) (-4132 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1083 (-382))) (-5 *2 (-1122 (-216))) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1091))))) (-4132 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1091))))) (-4127 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1083 (-382))) (-5 *2 (-1249)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1091))))) (-4127 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1091))))) (-4132 (*1 *2 *3 *4) (-12 (-5 *3 (-876 *5)) (-5 *4 (-1083 (-382))) (-4 *5 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1122 (-216))) (-5 *1 (-253 *5)))) (-4132 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-876 *6)) (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1122 (-216))) (-5 *1 (-253 *6)))) (-4127 (*1 *2 *3 *4) (-12 (-5 *3 (-876 *5)) (-5 *4 (-1083 (-382))) (-4 *5 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1249)) (-5 *1 (-253 *5)))) (-4127 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-876 *6)) (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1249)) (-5 *1 (-253 *6)))) (-4127 (*1 *2 *3 *4) (-12 (-5 *3 (-874 *5)) (-5 *4 (-1083 (-382))) (-4 *5 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1248)) (-5 *1 (-253 *5)))) (-4127 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-874 *6)) (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1248)) (-5 *1 (-253 *6)))) (-4127 (*1 *2 *3 *4) (-12 (-5 *4 (-1083 (-382))) (-5 *2 (-1248)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1091))))) (-4127 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1091)))))) 
+(-10 -7 (-15 -4127 ((-1248) |#1| (-1083 (-382)) (-635 (-257)))) (-15 -4127 ((-1248) |#1| (-1083 (-382)))) (-15 -4127 ((-1248) (-874 |#1|) (-1083 (-382)) (-635 (-257)))) (-15 -4127 ((-1248) (-874 |#1|) (-1083 (-382)))) (-15 -4127 ((-1249) (-876 |#1|) (-1083 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-876 |#1|) (-1083 (-382)))) (-15 -4132 ((-1122 (-216)) (-876 |#1|) (-1083 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-876 |#1|) (-1083 (-382)))) (-15 -4127 ((-1249) |#1| (-1083 (-382)) (-1083 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) |#1| (-1083 (-382)) (-1083 (-382)))) (-15 -4132 ((-1122 (-216)) |#1| (-1083 (-382)) (-1083 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) |#1| (-1083 (-382)) (-1083 (-382)))) (-15 -4127 ((-1249) (-878 |#1|) (-1083 (-382)) (-1083 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-878 |#1|) (-1083 (-382)) (-1083 (-382)))) (-15 -4132 ((-1122 (-216)) (-878 |#1|) (-1083 (-382)) (-1083 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-878 |#1|) (-1083 (-382)) (-1083 (-382))))) 
+((-4127 (((-1249) (-635 (-216)) (-635 (-216)) (-635 (-216)) (-635 (-257))) 21) (((-1249) (-635 (-216)) (-635 (-216)) (-635 (-216))) 22) (((-1248) (-635 (-945 (-216))) (-635 (-257))) 13) (((-1248) (-635 (-945 (-216)))) 14) (((-1248) (-635 (-216)) (-635 (-216)) (-635 (-257))) 18) (((-1248) (-635 (-216)) (-635 (-216))) 19))) 
+(((-254) (-10 -7 (-15 -4127 ((-1248) (-635 (-216)) (-635 (-216)))) (-15 -4127 ((-1248) (-635 (-216)) (-635 (-216)) (-635 (-257)))) (-15 -4127 ((-1248) (-635 (-945 (-216))))) (-15 -4127 ((-1248) (-635 (-945 (-216))) (-635 (-257)))) (-15 -4127 ((-1249) (-635 (-216)) (-635 (-216)) (-635 (-216)))) (-15 -4127 ((-1249) (-635 (-216)) (-635 (-216)) (-635 (-216)) (-635 (-257)))))) (T -254)) 
+((-4127 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-635 (-216))) (-5 *4 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-254)))) (-4127 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-1249)) (-5 *1 (-254)))) (-4127 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-945 (-216)))) (-5 *4 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-254)))) (-4127 (*1 *2 *3) (-12 (-5 *3 (-635 (-945 (-216)))) (-5 *2 (-1248)) (-5 *1 (-254)))) (-4127 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-216))) (-5 *4 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-254)))) (-4127 (*1 *2 *3 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-1248)) (-5 *1 (-254))))) 
+(-10 -7 (-15 -4127 ((-1248) (-635 (-216)) (-635 (-216)))) (-15 -4127 ((-1248) (-635 (-216)) (-635 (-216)) (-635 (-257)))) (-15 -4127 ((-1248) (-635 (-945 (-216))))) (-15 -4127 ((-1248) (-635 (-945 (-216))) (-635 (-257)))) (-15 -4127 ((-1249) (-635 (-216)) (-635 (-216)) (-635 (-216)))) (-15 -4127 ((-1249) (-635 (-216)) (-635 (-216)) (-635 (-216)) (-635 (-257))))) 
+((-1526 (((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) (-635 (-257)) (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) 24)) (-3352 (((-918) (-635 (-257)) (-918)) 49)) (-3366 (((-918) (-635 (-257)) (-918)) 48)) (-3601 (((-635 (-382)) (-635 (-257)) (-635 (-382))) 65)) (-2102 (((-382) (-635 (-257)) (-382)) 55)) (-2718 (((-918) (-635 (-257)) (-918)) 50)) (-1378 (((-121) (-635 (-257)) (-121)) 26)) (-1318 (((-1145) (-635 (-257)) (-1145)) 19)) (-3529 (((-1145) (-635 (-257)) (-1145)) 25)) (-2713 (((-1122 (-216)) (-635 (-257))) 43)) (-2304 (((-635 (-1085 (-382))) (-635 (-257)) (-635 (-1085 (-382)))) 37)) (-3509 (((-870) (-635 (-257)) (-870)) 31)) (-2245 (((-870) (-635 (-257)) (-870)) 32)) (-1481 (((-1 (-945 (-216)) (-945 (-216))) (-635 (-257)) (-1 (-945 (-216)) (-945 (-216)))) 60)) (-3387 (((-121) (-635 (-257)) (-121)) 15)) (-3860 (((-121) (-635 (-257)) (-121)) 14))) 
+(((-255) (-10 -7 (-15 -3860 ((-121) (-635 (-257)) (-121))) (-15 -3387 ((-121) (-635 (-257)) (-121))) (-15 -1526 ((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) (-635 (-257)) (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -1318 ((-1145) (-635 (-257)) (-1145))) (-15 -3529 ((-1145) (-635 (-257)) (-1145))) (-15 -1378 ((-121) (-635 (-257)) (-121))) (-15 -3509 ((-870) (-635 (-257)) (-870))) (-15 -2245 ((-870) (-635 (-257)) (-870))) (-15 -2304 ((-635 (-1085 (-382))) (-635 (-257)) (-635 (-1085 (-382))))) (-15 -3366 ((-918) (-635 (-257)) (-918))) (-15 -3352 ((-918) (-635 (-257)) (-918))) (-15 -2713 ((-1122 (-216)) (-635 (-257)))) (-15 -2718 ((-918) (-635 (-257)) (-918))) (-15 -2102 ((-382) (-635 (-257)) (-382))) (-15 -1481 ((-1 (-945 (-216)) (-945 (-216))) (-635 (-257)) (-1 (-945 (-216)) (-945 (-216))))) (-15 -3601 ((-635 (-382)) (-635 (-257)) (-635 (-382)))))) (T -255)) 
+((-3601 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-382))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-1481 (*1 *2 *3 *2) (-12 (-5 *2 (-1 (-945 (-216)) (-945 (-216)))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-2102 (*1 *2 *3 *2) (-12 (-5 *2 (-382)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-2718 (*1 *2 *3 *2) (-12 (-5 *2 (-918)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-2713 (*1 *2 *3) (-12 (-5 *3 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-255)))) (-3352 (*1 *2 *3 *2) (-12 (-5 *2 (-918)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-3366 (*1 *2 *3 *2) (-12 (-5 *2 (-918)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-2304 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-1085 (-382)))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-2245 (*1 *2 *3 *2) (-12 (-5 *2 (-870)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-3509 (*1 *2 *3 *2) (-12 (-5 *2 (-870)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-1378 (*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-3529 (*1 *2 *3 *2) (-12 (-5 *2 (-1145)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-1318 (*1 *2 *3 *2) (-12 (-5 *2 (-1145)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-1526 (*1 *2 *3 *2) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-3387 (*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-3860 (*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-635 (-257))) (-5 *1 (-255))))) 
+(-10 -7 (-15 -3860 ((-121) (-635 (-257)) (-121))) (-15 -3387 ((-121) (-635 (-257)) (-121))) (-15 -1526 ((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) (-635 (-257)) (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -1318 ((-1145) (-635 (-257)) (-1145))) (-15 -3529 ((-1145) (-635 (-257)) (-1145))) (-15 -1378 ((-121) (-635 (-257)) (-121))) (-15 -3509 ((-870) (-635 (-257)) (-870))) (-15 -2245 ((-870) (-635 (-257)) (-870))) (-15 -2304 ((-635 (-1085 (-382))) (-635 (-257)) (-635 (-1085 (-382))))) (-15 -3366 ((-918) (-635 (-257)) (-918))) (-15 -3352 ((-918) (-635 (-257)) (-918))) (-15 -2713 ((-1122 (-216)) (-635 (-257)))) (-15 -2718 ((-918) (-635 (-257)) (-918))) (-15 -2102 ((-382) (-635 (-257)) (-382))) (-15 -1481 ((-1 (-945 (-216)) (-945 (-216))) (-635 (-257)) (-1 (-945 (-216)) (-945 (-216))))) (-15 -3601 ((-635 (-382)) (-635 (-257)) (-635 (-382))))) 
+((-3757 (((-3 |#1| "failed") (-635 (-257)) (-1163)) 17))) 
+(((-256 |#1|) (-10 -7 (-15 -3757 ((-3 |#1| "failed") (-635 (-257)) (-1163)))) (-1197)) (T -256)) 
+((-3757 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-635 (-257))) (-5 *4 (-1163)) (-5 *1 (-256 *2)) (-4 *2 (-1197))))) 
+(-10 -7 (-15 -3757 ((-3 |#1| "failed") (-635 (-257)) (-1163)))) 
+((-2568 (((-121) $ $) NIL)) (-1526 (($ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) 14)) (-3352 (($ (-918)) 70)) (-3366 (($ (-918)) 69)) (-4276 (($ (-635 (-382))) 76)) (-2102 (($ (-382)) 55)) (-2718 (($ (-918)) 71)) (-1378 (($ (-121)) 22)) (-1318 (($ (-1145)) 17)) (-3529 (($ (-1145)) 18)) (-2713 (($ (-1122 (-216))) 65)) (-2304 (($ (-635 (-1085 (-382)))) 61)) (-4235 (($ (-635 (-1085 (-382)))) 56) (($ (-635 (-1085 (-410 (-569))))) 60)) (-3436 (($ (-382)) 28) (($ (-870)) 32)) (-2062 (((-121) (-635 $) (-1163)) 85)) (-3757 (((-3 (-57) "failed") (-635 $) (-1163)) 87)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1580 (($ (-382)) 33) (($ (-870)) 34)) (-1648 (($ (-1 (-945 (-216)) (-945 (-216)))) 54)) (-1481 (($ (-1 (-945 (-216)) (-945 (-216)))) 72)) (-2888 (($ (-1 (-216) (-216))) 38) (($ (-1 (-216) (-216) (-216))) 42) (($ (-1 (-216) (-216) (-216) (-216))) 46)) (-2185 (((-851) $) 81)) (-3341 (($ (-121)) 23) (($ (-635 (-1085 (-382)))) 50)) (-3860 (($ (-121)) 24)) (-1668 (((-121) $ $) 83))) 
+(((-257) (-13 (-1091) (-10 -8 (-15 -3860 ($ (-121))) (-15 -3341 ($ (-121))) (-15 -1526 ($ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -1318 ($ (-1145))) (-15 -3529 ($ (-1145))) (-15 -1378 ($ (-121))) (-15 -3341 ($ (-635 (-1085 (-382))))) (-15 -1648 ($ (-1 (-945 (-216)) (-945 (-216))))) (-15 -3436 ($ (-382))) (-15 -3436 ($ (-870))) (-15 -1580 ($ (-382))) (-15 -1580 ($ (-870))) (-15 -2888 ($ (-1 (-216) (-216)))) (-15 -2888 ($ (-1 (-216) (-216) (-216)))) (-15 -2888 ($ (-1 (-216) (-216) (-216) (-216)))) (-15 -2102 ($ (-382))) (-15 -4235 ($ (-635 (-1085 (-382))))) (-15 -4235 ($ (-635 (-1085 (-410 (-569)))))) (-15 -2304 ($ (-635 (-1085 (-382))))) (-15 -2713 ($ (-1122 (-216)))) (-15 -3366 ($ (-918))) (-15 -3352 ($ (-918))) (-15 -2718 ($ (-918))) (-15 -1481 ($ (-1 (-945 (-216)) (-945 (-216))))) (-15 -4276 ($ (-635 (-382)))) (-15 -3757 ((-3 (-57) "failed") (-635 $) (-1163))) (-15 -2062 ((-121) (-635 $) (-1163)))))) (T -257)) 
+((-3860 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257)))) (-3341 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257)))) (-1526 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *1 (-257)))) (-1318 (*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-257)))) (-3529 (*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-257)))) (-1378 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257)))) (-3341 (*1 *1 *2) (-12 (-5 *2 (-635 (-1085 (-382)))) (-5 *1 (-257)))) (-1648 (*1 *1 *2) (-12 (-5 *2 (-1 (-945 (-216)) (-945 (-216)))) (-5 *1 (-257)))) (-3436 (*1 *1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-257)))) (-3436 (*1 *1 *2) (-12 (-5 *2 (-870)) (-5 *1 (-257)))) (-1580 (*1 *1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-257)))) (-1580 (*1 *1 *2) (-12 (-5 *2 (-870)) (-5 *1 (-257)))) (-2888 (*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-257)))) (-2888 (*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216) (-216))) (-5 *1 (-257)))) (-2888 (*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216) (-216) (-216))) (-5 *1 (-257)))) (-2102 (*1 *1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-257)))) (-4235 (*1 *1 *2) (-12 (-5 *2 (-635 (-1085 (-382)))) (-5 *1 (-257)))) (-4235 (*1 *1 *2) (-12 (-5 *2 (-635 (-1085 (-410 (-569))))) (-5 *1 (-257)))) (-2304 (*1 *1 *2) (-12 (-5 *2 (-635 (-1085 (-382)))) (-5 *1 (-257)))) (-2713 (*1 *1 *2) (-12 (-5 *2 (-1122 (-216))) (-5 *1 (-257)))) (-3366 (*1 *1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-257)))) (-3352 (*1 *1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-257)))) (-2718 (*1 *1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-257)))) (-1481 (*1 *1 *2) (-12 (-5 *2 (-1 (-945 (-216)) (-945 (-216)))) (-5 *1 (-257)))) (-4276 (*1 *1 *2) (-12 (-5 *2 (-635 (-382))) (-5 *1 (-257)))) (-3757 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-635 (-257))) (-5 *4 (-1163)) (-5 *2 (-57)) (-5 *1 (-257)))) (-2062 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-257))) (-5 *4 (-1163)) (-5 *2 (-121)) (-5 *1 (-257))))) 
+(-13 (-1091) (-10 -8 (-15 -3860 ($ (-121))) (-15 -3341 ($ (-121))) (-15 -1526 ($ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -1318 ($ (-1145))) (-15 -3529 ($ (-1145))) (-15 -1378 ($ (-121))) (-15 -3341 ($ (-635 (-1085 (-382))))) (-15 -1648 ($ (-1 (-945 (-216)) (-945 (-216))))) (-15 -3436 ($ (-382))) (-15 -3436 ($ (-870))) (-15 -1580 ($ (-382))) (-15 -1580 ($ (-870))) (-15 -2888 ($ (-1 (-216) (-216)))) (-15 -2888 ($ (-1 (-216) (-216) (-216)))) (-15 -2888 ($ (-1 (-216) (-216) (-216) (-216)))) (-15 -2102 ($ (-382))) (-15 -4235 ($ (-635 (-1085 (-382))))) (-15 -4235 ($ (-635 (-1085 (-410 (-569)))))) (-15 -2304 ($ (-635 (-1085 (-382))))) (-15 -2713 ($ (-1122 (-216)))) (-15 -3366 ($ (-918))) (-15 -3352 ($ (-918))) (-15 -2718 ($ (-918))) (-15 -1481 ($ (-1 (-945 (-216)) (-945 (-216))))) (-15 -4276 ($ (-635 (-382)))) (-15 -3757 ((-3 (-57) "failed") (-635 $) (-1163))) (-15 -2062 ((-121) (-635 $) (-1163))))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1644 (((-635 (-764)) $) NIL) (((-635 (-764)) $ |#2|) NIL)) (-2496 (((-764) $) NIL) (((-764) $ |#2|) NIL)) (-1773 (((-635 |#3|) $) NIL)) (-1739 (((-1159 $) $ |#3|) NIL) (((-1159 |#1|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 |#3|)) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-2004 (($ $) NIL (|has| |#1| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-4302 (($ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 |#3| "failed") $) NIL) (((-3 |#2| "failed") $) NIL) (((-3 (-1114 |#1| |#2|) "failed") $) 20)) (-2428 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1038 (-569)))) ((|#3| $) NIL) ((|#2| $) NIL) (((-1114 |#1| |#2|) $) NIL)) (-3493 (($ $ $ |#3|) NIL (|has| |#1| (-173)))) (-4020 (($ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) NIL) (((-680 |#1|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#1| (-454))) (($ $ |#3|) NIL (|has| |#1| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#1| (-905)))) (-1667 (($ $ |#1| (-535 |#3|) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| |#1| (-882 (-382))) (|has| |#3| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| |#1| (-882 (-569))) (|has| |#3| (-882 (-569)))))) (-2558 (((-764) $ |#2|) NIL) (((-764) $) 10)) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-1768 (($ (-1159 |#1|) |#3|) NIL) (($ (-1159 $) |#3|) NIL)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-535 |#3|)) NIL) (($ $ |#3| (-764)) NIL) (($ $ (-635 |#3|) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ |#3|) NIL)) (-4002 (((-535 |#3|) $) NIL) (((-764) $ |#3|) NIL) (((-635 (-764)) $ (-635 |#3|)) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-2658 (($ (-1 (-535 |#3|) (-535 |#3|)) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-1918 (((-1 $ (-764)) |#2|) NIL) (((-1 $ (-764)) $) NIL (|has| |#1| (-226)))) (-1637 (((-3 |#3| "failed") $) NIL)) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-4163 ((|#3| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2776 (((-1145) $) NIL)) (-4505 (((-121) $) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| |#3|) (|:| -2356 (-764))) "failed") $) NIL)) (-4000 (($ $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) NIL)) (-1801 ((|#1| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-905)))) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ |#3| |#1|) NIL) (($ $ (-635 |#3|) (-635 |#1|)) NIL) (($ $ |#3| $) NIL) (($ $ (-635 |#3|) (-635 $)) NIL) (($ $ |#2| $) NIL (|has| |#1| (-226))) (($ $ (-635 |#2|) (-635 $)) NIL (|has| |#1| (-226))) (($ $ |#2| |#1|) NIL (|has| |#1| (-226))) (($ $ (-635 |#2|) (-635 |#1|)) NIL (|has| |#1| (-226)))) (-2087 (($ $ |#3|) NIL (|has| |#1| (-173)))) (-3899 (($ $ |#3|) NIL) (($ $ (-635 |#3|)) NIL) (($ $ |#3| (-764)) NIL) (($ $ (-635 |#3|) (-635 (-764))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1511 (((-635 |#2|) $) NIL)) (-2492 (((-535 |#3|) $) NIL) (((-764) $ |#3|) NIL) (((-635 (-764)) $ (-635 |#3|)) NIL) (((-764) $ |#2|) NIL)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| |#1| (-610 (-888 (-382)))) (|has| |#3| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| |#1| (-610 (-888 (-569)))) (|has| |#3| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| |#1| (-610 (-542))) (|has| |#3| (-610 (-542)))))) (-3298 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ |#3|) NIL (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) 23) (($ |#3|) 22) (($ |#2|) NIL) (($ (-1114 |#1| |#2|)) 28) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-535 |#3|)) NIL) (($ $ |#3| (-764)) NIL) (($ $ (-635 |#3|) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#1| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ |#3|) NIL) (($ $ (-635 |#3|)) NIL) (($ $ |#3| (-764)) NIL) (($ $ (-635 |#3|) (-635 (-764))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((-258 |#1| |#2| |#3|) (-13 (-247 |#1| |#2| |#3| (-535 |#3|)) (-1038 (-1114 |#1| |#2|))) (-1048) (-843) (-263 |#2|)) (T -258)) 
+NIL 
+(-13 (-247 |#1| |#2| |#3| (-535 |#3|)) (-1038 (-1114 |#1| |#2|))) 
+((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-2247 ((|#1| $) 45)) (-2943 (($ |#1| (-635 $)) 51) (($ |#1|) 50) (($ (-635 |#1|)) 49)) (-1691 (((-121) $ (-764)) 8)) (-3891 ((|#1| $ |#1|) 36 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) 38 (|has| $ (-6 -4536)))) (-2820 (($) 7 T CONST)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) 47)) (-4349 (((-121) $ $) 39 (|has| |#1| (-1091)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2824 (((-635 |#1|) $) 42)) (-3486 (((-121) $) 46)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ "value") 44)) (-1686 (((-569) $ $) 41)) (-1472 (((-121) $) 43)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-4114 (((-635 $) $) 48)) (-2447 (((-121) $ $) 40 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-259 |#1|) (-1278) (-1091)) (T -259)) 
+((-2943 (*1 *1 *2 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-259 *2)) (-4 *2 (-1091)))) (-2943 (*1 *1 *2) (-12 (-4 *1 (-259 *2)) (-4 *2 (-1091)))) (-2943 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-4 *1 (-259 *3))))) 
+(-13 (-1011 |t#1|) (-10 -8 (-6 -4536) (-6 -4535) (-15 -2943 ($ |t#1| (-635 $))) (-15 -2943 ($ |t#1|)) (-15 -2943 ($ (-635 |t#1|))))) 
+(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1011 |#1|) . T) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2247 ((|#1| $) 12)) (-2943 (($ |#1| (-635 $)) 31) (($ |#1|) 32) (($ (-635 |#1|)) 33)) (-1691 (((-121) $ (-764)) NIL)) (-3891 ((|#1| $ |#1|) 35 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) 34 (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) NIL)) (-4349 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2824 (((-635 |#1|) $) 22)) (-3486 (((-121) $) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-2401 (((-121) (-121)) 18) (((-121)) 19)) (-3126 (((-851) $) 15)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-4262 (((-1145) $) 28)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ "value") NIL)) (-1686 (((-569) $ $) NIL)) (-1472 (((-121) $) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-851) $) 30 (|has| |#1| (-1091)))) (-4114 (((-635 $) $) 8)) (-2447 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 26 (|has| |#1| (-1091)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-260 |#1|) (-13 (-259 |#1|) (-10 -8 (-15 -4262 ((-1145) $)) (-15 -3126 ((-851) $)) (-15 -2401 ((-121) (-121))) (-15 -2401 ((-121))))) (-1091)) (T -260)) 
+((-4262 (*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-260 *3)) (-4 *3 (-1091)))) (-3126 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-260 *3)) (-4 *3 (-1091)))) (-2401 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-260 *3)) (-4 *3 (-1091)))) (-2401 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-260 *3)) (-4 *3 (-1091))))) 
+(-13 (-259 |#1|) (-10 -8 (-15 -4262 ((-1145) $)) (-15 -3126 ((-851) $)) (-15 -2401 ((-121) (-121))) (-15 -2401 ((-121))))) 
+((-3939 (((-1252) |#10| (-635 |#3|)) 133) (((-1252) |#10|) 135)) (-1771 (((-1252) |#10|) NIL)) (-1453 ((|#8| |#10|) 28)) (-2966 (((-569) (-764) (-635 |#10|)) 147)) (-1368 (((-764) (-764) (-635 |#10|)) 145)) (-3342 (((-569) |#3|) 148)) (-3950 (((-764) |#3|) 146)) (-3218 (((-1252) |#10|) 136)) (-3868 ((|#8| |#3| |#10|) 111)) (-2054 ((|#10| |#5| |#3|) 138)) (-1844 (((-635 |#10|) |#3|) 144)) (-4441 (((-1252) |#10|) 134)) (-3644 (((-635 |#9|) |#9|) 87)) (-2209 ((|#8| |#10|) 110))) 
+(((-261 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10| |#11|) (-10 -7 (-15 -3644 ((-635 |#9|) |#9|)) (-15 -3868 (|#8| |#3| |#10|)) (-15 -2209 (|#8| |#10|)) (-15 -4441 ((-1252) |#10|)) (-15 -2054 (|#10| |#5| |#3|)) (-15 -1844 ((-635 |#10|) |#3|)) (-15 -3218 ((-1252) |#10|)) (-15 -1771 ((-1252) |#10|)) (-15 -3939 ((-1252) |#10|)) (-15 -3939 ((-1252) |#10| (-635 |#3|))) (-15 -3950 ((-764) |#3|)) (-15 -3342 ((-569) |#3|)) (-15 -1368 ((-764) (-764) (-635 |#10|))) (-15 -1453 (|#8| |#10|)) (-15 -2966 ((-569) (-764) (-635 |#10|)))) (-366) (-635 (-1163)) (-951 |#1| |#4| (-853 |#2|)) (-231 (-4168 |#2|) (-764)) (-972 |#1|) (-642 |#1|) (-921 |#1| |#6|) (-236 |#7|) (-537 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#11|) (-259 |#9|) (-117)) (T -261)) 
+((-2966 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *14)) (-4 *14 (-259 *13)) (-4 *13 (-537 *5 *6 *7 *8 *9 *10 *11 *12 *15)) (-4 *15 (-117)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-951 *5 *8 (-853 *6))) (-4 *8 (-231 (-4168 *6) *3)) (-4 *9 (-972 *5)) (-4 *10 (-642 *5)) (-4 *11 (-921 *5 *10)) (-4 *12 (-236 *11)) (-5 *3 (-764)) (-5 *2 (-569)) (-5 *1 (-261 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14 *15)))) (-1453 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-259 *11)))) (-1368 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *13)) (-4 *13 (-259 *12)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) *2)) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-5 *2 (-764)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)))) (-3342 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *4)) (-4 *8 (-642 *4)) (-4 *9 (-921 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-569)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3950 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) *2)) (-4 *7 (-972 *4)) (-4 *8 (-642 *4)) (-4 *9 (-921 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-764)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3939 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *7)) (-4 *7 (-951 *5 *8 (-853 *6))) (-4 *8 (-231 (-4168 *6) (-764))) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *9 (-972 *5)) (-4 *10 (-642 *5)) (-4 *11 (-921 *5 *10)) (-4 *12 (-236 *11)) (-4 *13 (-537 *5 *6 *7 *8 *9 *10 *11 *12 *14)) (-4 *14 (-117)) (-5 *2 (-1252)) (-5 *1 (-261 *5 *6 *7 *8 *9 *10 *11 *12 *13 *3 *14)) (-4 *3 (-259 *13)))) (-3939 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1252)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12)))) (-1771 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1252)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12)))) (-3218 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1252)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12)))) (-1844 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *4)) (-4 *8 (-642 *4)) (-4 *9 (-921 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *12)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-2054 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *4 (-951 *5 *7 (-853 *6))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *3 (-972 *5)) (-4 *8 (-642 *5)) (-4 *9 (-921 *5 *8)) (-4 *10 (-236 *9)) (-4 *12 (-117)) (-4 *2 (-259 *11)) (-5 *1 (-261 *5 *6 *4 *7 *3 *8 *9 *10 *11 *2 *12)) (-4 *11 (-537 *5 *6 *4 *7 *3 *8 *9 *10 *12)))) (-4441 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1252)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12)))) (-2209 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-259 *11)))) (-3868 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *8 (-972 *5)) (-4 *9 (-642 *5)) (-4 *10 (-921 *5 *9)) (-4 *11 (-537 *5 *6 *3 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *5 *6 *3 *7 *8 *9 *10 *2 *11 *4 *12)) (-4 *4 (-259 *11)))) (-3644 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *3 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-635 *3)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13)) (-4 *12 (-259 *3))))) 
+(-10 -7 (-15 -3644 ((-635 |#9|) |#9|)) (-15 -3868 (|#8| |#3| |#10|)) (-15 -2209 (|#8| |#10|)) (-15 -4441 ((-1252) |#10|)) (-15 -2054 (|#10| |#5| |#3|)) (-15 -1844 ((-635 |#10|) |#3|)) (-15 -3218 ((-1252) |#10|)) (-15 -1771 ((-1252) |#10|)) (-15 -3939 ((-1252) |#10|)) (-15 -3939 ((-1252) |#10| (-635 |#3|))) (-15 -3950 ((-764) |#3|)) (-15 -3342 ((-569) |#3|)) (-15 -1368 ((-764) (-764) (-635 |#10|))) (-15 -1453 (|#8| |#10|)) (-15 -2966 ((-569) (-764) (-635 |#10|)))) 
+((-2496 (((-764) $) 30)) (-1647 (((-3 |#2| "failed") $) 17)) (-2428 ((|#2| $) 27)) (-3899 (($ $) 12) (($ $ (-764)) 15)) (-2185 (((-851) $) 26) (($ |#2|) 10)) (-1668 (((-121) $ $) 20)) (-1678 (((-121) $ $) 29))) 
+(((-262 |#1| |#2|) (-10 -8 (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1|)) (-15 -2496 ((-764) |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -1678 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1668 ((-121) |#1| |#1|))) (-263 |#2|) (-843)) (T -262)) 
+NIL 
+(-10 -8 (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1|)) (-15 -2496 ((-764) |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -1678 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1668 ((-121) |#1| |#1|))) 
+((-2568 (((-121) $ $) 7)) (-2496 (((-764) $) 21)) (-3534 ((|#1| $) 22)) (-1647 (((-3 |#1| "failed") $) 26)) (-2428 ((|#1| $) 25)) (-2558 (((-764) $) 23)) (-3291 (($ $ $) 12)) (-1538 (($ $ $) 13)) (-1918 (($ |#1| (-764)) 24)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-3899 (($ $) 20) (($ $ (-764)) 19)) (-2185 (((-851) $) 11) (($ |#1|) 27)) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17))) 
+(((-263 |#1|) (-1278) (-843)) (T -263)) 
+((-2185 (*1 *1 *2) (-12 (-4 *1 (-263 *2)) (-4 *2 (-843)))) (-1918 (*1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-263 *2)) (-4 *2 (-843)))) (-2558 (*1 *2 *1) (-12 (-4 *1 (-263 *3)) (-4 *3 (-843)) (-5 *2 (-764)))) (-3534 (*1 *2 *1) (-12 (-4 *1 (-263 *2)) (-4 *2 (-843)))) (-2496 (*1 *2 *1) (-12 (-4 *1 (-263 *3)) (-4 *3 (-843)) (-5 *2 (-764)))) (-3899 (*1 *1 *1) (-12 (-4 *1 (-263 *2)) (-4 *2 (-843)))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-263 *3)) (-4 *3 (-843))))) 
+(-13 (-843) (-1038 |t#1|) (-10 -8 (-15 -1918 ($ |t#1| (-764))) (-15 -2558 ((-764) $)) (-15 -3534 (|t#1| $)) (-15 -2496 ((-764) $)) (-15 -3899 ($ $)) (-15 -3899 ($ $ (-764))) (-15 -2185 ($ |t#1|)))) 
+(((-105) . T) ((-609 (-851)) . T) ((-843) . T) ((-1038 |#1|) . T) ((-1091) . T)) 
+((-1773 (((-635 (-1163)) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) 40)) (-3914 (((-635 (-1163)) (-311 (-216)) (-764)) 79)) (-1422 (((-3 (-311 (-216)) "failed") (-311 (-216))) 50)) (-1621 (((-311 (-216)) (-311 (-216))) 65)) (-4413 (((-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216))))) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 26)) (-3810 (((-121) (-635 (-311 (-216)))) 83)) (-2271 (((-121) (-311 (-216))) 24)) (-3722 (((-635 (-1145)) (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))))) 104)) (-2287 (((-635 (-311 (-216))) (-635 (-311 (-216)))) 86)) (-3701 (((-635 (-311 (-216))) (-635 (-311 (-216)))) 85)) (-1915 (((-680 (-216)) (-635 (-311 (-216))) (-764)) 93)) (-3646 (((-121) (-311 (-216))) 20) (((-121) (-635 (-311 (-216)))) 84)) (-1734 (((-635 (-216)) (-635 (-836 (-216))) (-216)) 14)) (-3588 (((-382) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) 99)) (-2628 (((-1036) (-1163) (-1036)) 33))) 
+(((-264) (-10 -7 (-15 -1734 ((-635 (-216)) (-635 (-836 (-216))) (-216))) (-15 -4413 ((-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216))))) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216))))))) (-15 -1422 ((-3 (-311 (-216)) "failed") (-311 (-216)))) (-15 -1621 ((-311 (-216)) (-311 (-216)))) (-15 -3810 ((-121) (-635 (-311 (-216))))) (-15 -3646 ((-121) (-635 (-311 (-216))))) (-15 -3646 ((-121) (-311 (-216)))) (-15 -1915 ((-680 (-216)) (-635 (-311 (-216))) (-764))) (-15 -3701 ((-635 (-311 (-216))) (-635 (-311 (-216))))) (-15 -2287 ((-635 (-311 (-216))) (-635 (-311 (-216))))) (-15 -2271 ((-121) (-311 (-216)))) (-15 -1773 ((-635 (-1163)) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))) (-15 -3914 ((-635 (-1163)) (-311 (-216)) (-764))) (-15 -2628 ((-1036) (-1163) (-1036))) (-15 -3588 ((-382) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))) (-15 -3722 ((-635 (-1145)) (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))))))) (T -264)) 
+((-3722 (*1 *2 *3) (-12 (-5 *3 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))))) (-5 *2 (-635 (-1145))) (-5 *1 (-264)))) (-3588 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) (-5 *2 (-382)) (-5 *1 (-264)))) (-2628 (*1 *2 *3 *2) (-12 (-5 *2 (-1036)) (-5 *3 (-1163)) (-5 *1 (-264)))) (-3914 (*1 *2 *3 *4) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-764)) (-5 *2 (-635 (-1163))) (-5 *1 (-264)))) (-1773 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) (-5 *2 (-635 (-1163))) (-5 *1 (-264)))) (-2271 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-121)) (-5 *1 (-264)))) (-2287 (*1 *2 *2) (-12 (-5 *2 (-635 (-311 (-216)))) (-5 *1 (-264)))) (-3701 (*1 *2 *2) (-12 (-5 *2 (-635 (-311 (-216)))) (-5 *1 (-264)))) (-1915 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-311 (-216)))) (-5 *4 (-764)) (-5 *2 (-680 (-216))) (-5 *1 (-264)))) (-3646 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-121)) (-5 *1 (-264)))) (-3646 (*1 *2 *3) (-12 (-5 *3 (-635 (-311 (-216)))) (-5 *2 (-121)) (-5 *1 (-264)))) (-3810 (*1 *2 *3) (-12 (-5 *3 (-635 (-311 (-216)))) (-5 *2 (-121)) (-5 *1 (-264)))) (-1621 (*1 *2 *2) (-12 (-5 *2 (-311 (-216))) (-5 *1 (-264)))) (-1422 (*1 *2 *2) (|partial| -12 (-5 *2 (-311 (-216))) (-5 *1 (-264)))) (-4413 (*1 *2 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (-5 *1 (-264)))) (-1734 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-836 (-216)))) (-5 *4 (-216)) (-5 *2 (-635 *4)) (-5 *1 (-264))))) 
+(-10 -7 (-15 -1734 ((-635 (-216)) (-635 (-836 (-216))) (-216))) (-15 -4413 ((-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216))))) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216))))))) (-15 -1422 ((-3 (-311 (-216)) "failed") (-311 (-216)))) (-15 -1621 ((-311 (-216)) (-311 (-216)))) (-15 -3810 ((-121) (-635 (-311 (-216))))) (-15 -3646 ((-121) (-635 (-311 (-216))))) (-15 -3646 ((-121) (-311 (-216)))) (-15 -1915 ((-680 (-216)) (-635 (-311 (-216))) (-764))) (-15 -3701 ((-635 (-311 (-216))) (-635 (-311 (-216))))) (-15 -2287 ((-635 (-311 (-216))) (-635 (-311 (-216))))) (-15 -2271 ((-121) (-311 (-216)))) (-15 -1773 ((-635 (-1163)) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))) (-15 -3914 ((-635 (-1163)) (-311 (-216)) (-764))) (-15 -2628 ((-1036) (-1163) (-1036))) (-15 -3588 ((-382) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))) (-15 -3722 ((-635 (-1145)) (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))))))) 
+((-2568 (((-121) $ $) NIL)) (-4324 (((-1036) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) NIL) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 39)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 20) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
+(((-265) (-832)) (T -265)) 
+NIL 
+(-832) 
+((-2568 (((-121) $ $) NIL)) (-4324 (((-1036) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) 54) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 49)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 29) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) 31)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
+(((-266) (-832)) (T -266)) 
+NIL 
+(-832) 
+((-2568 (((-121) $ $) NIL)) (-4324 (((-1036) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) 73) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 69)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 40) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) 51)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
+(((-267) (-832)) (T -267)) 
+NIL 
+(-832) 
+((-2568 (((-121) $ $) NIL)) (-4324 (((-1036) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) NIL) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 48)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 27) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
+(((-268) (-832)) (T -268)) 
+NIL 
+(-832) 
+((-2568 (((-121) $ $) NIL)) (-4324 (((-1036) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) NIL) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 48)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 23) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
+(((-269) (-832)) (T -269)) 
+NIL 
+(-832) 
+((-2568 (((-121) $ $) NIL)) (-4324 (((-1036) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) NIL) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 69)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 23) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
+(((-270) (-832)) (T -270)) 
+NIL 
+(-832) 
+((-2568 (((-121) $ $) NIL)) (-4324 (((-1036) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) NIL) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 73)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 19) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
+(((-271) (-832)) (T -271)) 
+NIL 
+(-832) 
+((-2568 (((-121) $ $) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-3856 (((-635 (-569)) $) 16)) (-2492 (((-764) $) 14)) (-2185 (((-851) $) 20) (($ (-635 (-569))) 12)) (-3811 (($ (-764)) 17)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 9)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 10))) 
+(((-272) (-13 (-843) (-10 -8 (-15 -2185 ($ (-635 (-569)))) (-15 -2492 ((-764) $)) (-15 -3856 ((-635 (-569)) $)) (-15 -3811 ($ (-764)))))) (T -272)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-272)))) (-2492 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-272)))) (-3856 (*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-272)))) (-3811 (*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-272))))) 
+(-13 (-843) (-10 -8 (-15 -2185 ($ (-635 (-569)))) (-15 -2492 ((-764) $)) (-15 -3856 ((-635 (-569)) $)) (-15 -3811 ($ (-764))))) 
+((-1753 ((|#2| |#2|) 77)) (-2530 ((|#2| |#2|) 65)) (-3872 (((-3 |#2| "failed") |#2| (-635 (-2 (|:| |func| |#2|) (|:| |pole| (-121))))) 116)) (-1744 ((|#2| |#2|) 75)) (-2513 ((|#2| |#2|) 63)) (-1760 ((|#2| |#2|) 79)) (-2546 ((|#2| |#2|) 67)) (-2445 ((|#2|) 46)) (-2265 (((-123) (-123)) 95)) (-4450 ((|#2| |#2|) 61)) (-3075 (((-121) |#2|) 134)) (-3096 ((|#2| |#2|) 180)) (-4013 ((|#2| |#2|) 156)) (-4483 ((|#2|) 59)) (-1908 ((|#2|) 58)) (-1519 ((|#2| |#2|) 176)) (-2310 ((|#2| |#2|) 152)) (-4241 ((|#2| |#2|) 184)) (-3944 ((|#2| |#2|) 160)) (-2159 ((|#2| |#2|) 148)) (-4093 ((|#2| |#2|) 150)) (-2778 ((|#2| |#2|) 186)) (-2056 ((|#2| |#2|) 162)) (-4406 ((|#2| |#2|) 182)) (-2535 ((|#2| |#2|) 158)) (-2026 ((|#2| |#2|) 178)) (-3605 ((|#2| |#2|) 154)) (-3593 ((|#2| |#2|) 192)) (-2675 ((|#2| |#2|) 168)) (-1757 ((|#2| |#2|) 188)) (-1429 ((|#2| |#2|) 164)) (-2254 ((|#2| |#2|) 196)) (-3056 ((|#2| |#2|) 172)) (-4392 ((|#2| |#2|) 198)) (-2683 ((|#2| |#2|) 174)) (-1947 ((|#2| |#2|) 194)) (-4117 ((|#2| |#2|) 170)) (-1343 ((|#2| |#2|) 190)) (-1778 ((|#2| |#2|) 166)) (-2436 ((|#2| |#2|) 62)) (-1764 ((|#2| |#2|) 80)) (-2554 ((|#2| |#2|) 68)) (-1756 ((|#2| |#2|) 78)) (-2538 ((|#2| |#2|) 66)) (-1748 ((|#2| |#2|) 76)) (-2522 ((|#2| |#2|) 64)) (-1524 (((-121) (-123)) 93)) (-1779 ((|#2| |#2|) 83)) (-1727 ((|#2| |#2|) 71)) (-1770 ((|#2| |#2|) 81)) (-2561 ((|#2| |#2|) 69)) (-1785 ((|#2| |#2|) 85)) (-1736 ((|#2| |#2|) 73)) (-2430 ((|#2| |#2|) 86)) (-1740 ((|#2| |#2|) 74)) (-1782 ((|#2| |#2|) 84)) (-1731 ((|#2| |#2|) 72)) (-1775 ((|#2| |#2|) 82)) (-2569 ((|#2| |#2|) 70))) 
+(((-273 |#1| |#2|) (-10 -7 (-15 -2436 (|#2| |#2|)) (-15 -4450 (|#2| |#2|)) (-15 -2513 (|#2| |#2|)) (-15 -2522 (|#2| |#2|)) (-15 -2530 (|#2| |#2|)) (-15 -2538 (|#2| |#2|)) (-15 -2546 (|#2| |#2|)) (-15 -2554 (|#2| |#2|)) (-15 -2561 (|#2| |#2|)) (-15 -2569 (|#2| |#2|)) (-15 -1727 (|#2| |#2|)) (-15 -1731 (|#2| |#2|)) (-15 -1736 (|#2| |#2|)) (-15 -1740 (|#2| |#2|)) (-15 -1744 (|#2| |#2|)) (-15 -1748 (|#2| |#2|)) (-15 -1753 (|#2| |#2|)) (-15 -1756 (|#2| |#2|)) (-15 -1760 (|#2| |#2|)) (-15 -1764 (|#2| |#2|)) (-15 -1770 (|#2| |#2|)) (-15 -1775 (|#2| |#2|)) (-15 -1779 (|#2| |#2|)) (-15 -1782 (|#2| |#2|)) (-15 -1785 (|#2| |#2|)) (-15 -2430 (|#2| |#2|)) (-15 -2445 (|#2|)) (-15 -1524 ((-121) (-123))) (-15 -2265 ((-123) (-123))) (-15 -1908 (|#2|)) (-15 -4483 (|#2|)) (-15 -4093 (|#2| |#2|)) (-15 -2159 (|#2| |#2|)) (-15 -2310 (|#2| |#2|)) (-15 -3605 (|#2| |#2|)) (-15 -4013 (|#2| |#2|)) (-15 -2535 (|#2| |#2|)) (-15 -3944 (|#2| |#2|)) (-15 -2056 (|#2| |#2|)) (-15 -1429 (|#2| |#2|)) (-15 -1778 (|#2| |#2|)) (-15 -2675 (|#2| |#2|)) (-15 -4117 (|#2| |#2|)) (-15 -3056 (|#2| |#2|)) (-15 -2683 (|#2| |#2|)) (-15 -1519 (|#2| |#2|)) (-15 -2026 (|#2| |#2|)) (-15 -3096 (|#2| |#2|)) (-15 -4406 (|#2| |#2|)) (-15 -4241 (|#2| |#2|)) (-15 -2778 (|#2| |#2|)) (-15 -1757 (|#2| |#2|)) (-15 -1343 (|#2| |#2|)) (-15 -3593 (|#2| |#2|)) (-15 -1947 (|#2| |#2|)) (-15 -2254 (|#2| |#2|)) (-15 -4392 (|#2| |#2|)) (-15 -3872 ((-3 |#2| "failed") |#2| (-635 (-2 (|:| |func| |#2|) (|:| |pole| (-121)))))) (-15 -3075 ((-121) |#2|))) (-13 (-843) (-559)) (-13 (-433 |#1|) (-1003))) (T -273)) 
+((-3075 (*1 *2 *3) (-12 (-4 *4 (-13 (-843) (-559))) (-5 *2 (-121)) (-5 *1 (-273 *4 *3)) (-4 *3 (-13 (-433 *4) (-1003))))) (-3872 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-635 (-2 (|:| |func| *2) (|:| |pole| (-121))))) (-4 *2 (-13 (-433 *4) (-1003))) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-273 *4 *2)))) (-4392 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2254 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1947 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-3593 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1343 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1757 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2778 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-4241 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-4406 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-3096 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2026 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1519 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2683 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-3056 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-4117 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2675 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1778 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1429 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2056 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-3944 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2535 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-4013 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-3605 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2310 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2159 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-4093 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-4483 (*1 *2) (-12 (-4 *2 (-13 (-433 *3) (-1003))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-843) (-559))))) (-1908 (*1 *2) (-12 (-4 *2 (-13 (-433 *3) (-1003))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-843) (-559))))) (-2265 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *4)) (-4 *4 (-13 (-433 *3) (-1003))))) (-1524 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-121)) (-5 *1 (-273 *4 *5)) (-4 *5 (-13 (-433 *4) (-1003))))) (-2445 (*1 *2) (-12 (-4 *2 (-13 (-433 *3) (-1003))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-843) (-559))))) (-2430 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1785 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1782 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1779 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1775 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1770 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1764 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1760 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1756 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1753 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1748 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1744 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1740 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1736 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1731 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1727 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2569 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2561 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2554 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2546 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2538 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2530 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2522 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2513 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-4450 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2436 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
+(-10 -7 (-15 -2436 (|#2| |#2|)) (-15 -4450 (|#2| |#2|)) (-15 -2513 (|#2| |#2|)) (-15 -2522 (|#2| |#2|)) (-15 -2530 (|#2| |#2|)) (-15 -2538 (|#2| |#2|)) (-15 -2546 (|#2| |#2|)) (-15 -2554 (|#2| |#2|)) (-15 -2561 (|#2| |#2|)) (-15 -2569 (|#2| |#2|)) (-15 -1727 (|#2| |#2|)) (-15 -1731 (|#2| |#2|)) (-15 -1736 (|#2| |#2|)) (-15 -1740 (|#2| |#2|)) (-15 -1744 (|#2| |#2|)) (-15 -1748 (|#2| |#2|)) (-15 -1753 (|#2| |#2|)) (-15 -1756 (|#2| |#2|)) (-15 -1760 (|#2| |#2|)) (-15 -1764 (|#2| |#2|)) (-15 -1770 (|#2| |#2|)) (-15 -1775 (|#2| |#2|)) (-15 -1779 (|#2| |#2|)) (-15 -1782 (|#2| |#2|)) (-15 -1785 (|#2| |#2|)) (-15 -2430 (|#2| |#2|)) (-15 -2445 (|#2|)) (-15 -1524 ((-121) (-123))) (-15 -2265 ((-123) (-123))) (-15 -1908 (|#2|)) (-15 -4483 (|#2|)) (-15 -4093 (|#2| |#2|)) (-15 -2159 (|#2| |#2|)) (-15 -2310 (|#2| |#2|)) (-15 -3605 (|#2| |#2|)) (-15 -4013 (|#2| |#2|)) (-15 -2535 (|#2| |#2|)) (-15 -3944 (|#2| |#2|)) (-15 -2056 (|#2| |#2|)) (-15 -1429 (|#2| |#2|)) (-15 -1778 (|#2| |#2|)) (-15 -2675 (|#2| |#2|)) (-15 -4117 (|#2| |#2|)) (-15 -3056 (|#2| |#2|)) (-15 -2683 (|#2| |#2|)) (-15 -1519 (|#2| |#2|)) (-15 -2026 (|#2| |#2|)) (-15 -3096 (|#2| |#2|)) (-15 -4406 (|#2| |#2|)) (-15 -4241 (|#2| |#2|)) (-15 -2778 (|#2| |#2|)) (-15 -1757 (|#2| |#2|)) (-15 -1343 (|#2| |#2|)) (-15 -3593 (|#2| |#2|)) (-15 -1947 (|#2| |#2|)) (-15 -2254 (|#2| |#2|)) (-15 -4392 (|#2| |#2|)) (-15 -3872 ((-3 |#2| "failed") |#2| (-635 (-2 (|:| |func| |#2|) (|:| |pole| (-121)))))) (-15 -3075 ((-121) |#2|))) 
+((-2704 (((-3 |#2| "failed") (-635 (-608 |#2|)) |#2| (-1163)) 133)) (-3313 ((|#2| (-410 (-569)) |#2|) 50)) (-2681 ((|#2| |#2| (-608 |#2|)) 126)) (-2173 (((-2 (|:| |func| |#2|) (|:| |kers| (-635 (-608 |#2|))) (|:| |vals| (-635 |#2|))) |#2| (-1163)) 125)) (-3631 ((|#2| |#2| (-1163)) 19) ((|#2| |#2|) 22)) (-2521 ((|#2| |#2| (-1163)) 139) ((|#2| |#2|) 137))) 
+(((-274 |#1| |#2|) (-10 -7 (-15 -2521 (|#2| |#2|)) (-15 -2521 (|#2| |#2| (-1163))) (-15 -2173 ((-2 (|:| |func| |#2|) (|:| |kers| (-635 (-608 |#2|))) (|:| |vals| (-635 |#2|))) |#2| (-1163))) (-15 -3631 (|#2| |#2|)) (-15 -3631 (|#2| |#2| (-1163))) (-15 -2704 ((-3 |#2| "failed") (-635 (-608 |#2|)) |#2| (-1163))) (-15 -2681 (|#2| |#2| (-608 |#2|))) (-15 -3313 (|#2| (-410 (-569)) |#2|))) (-13 (-559) (-843) (-1038 (-569)) (-631 (-569))) (-13 (-27) (-1183) (-433 |#1|))) (T -274)) 
+((-3313 (*1 *2 *3 *2) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4))))) (-2681 (*1 *2 *2 *3) (-12 (-5 *3 (-608 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4))) (-4 *4 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)))) (-2704 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-635 (-608 *2))) (-5 *4 (-1163)) (-4 *2 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *5 *2)))) (-3631 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4))))) (-3631 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3))))) (-2173 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| |func| *3) (|:| |kers| (-635 (-608 *3))) (|:| |vals| (-635 *3)))) (-5 *1 (-274 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) (-2521 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4))))) (-2521 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3)))))) 
+(-10 -7 (-15 -2521 (|#2| |#2|)) (-15 -2521 (|#2| |#2| (-1163))) (-15 -2173 ((-2 (|:| |func| |#2|) (|:| |kers| (-635 (-608 |#2|))) (|:| |vals| (-635 |#2|))) |#2| (-1163))) (-15 -3631 (|#2| |#2|)) (-15 -3631 (|#2| |#2| (-1163))) (-15 -2704 ((-3 |#2| "failed") (-635 (-608 |#2|)) |#2| (-1163))) (-15 -2681 (|#2| |#2| (-608 |#2|))) (-15 -3313 (|#2| (-410 (-569)) |#2|))) 
+((-1465 (((-3 |#3| "failed") |#3|) 110)) (-1753 ((|#3| |#3|) 131)) (-3037 (((-3 |#3| "failed") |#3|) 82)) (-2530 ((|#3| |#3|) 121)) (-4467 (((-3 |#3| "failed") |#3|) 58)) (-1744 ((|#3| |#3|) 129)) (-1549 (((-3 |#3| "failed") |#3|) 46)) (-2513 ((|#3| |#3|) 119)) (-2847 (((-3 |#3| "failed") |#3|) 112)) (-1760 ((|#3| |#3|) 133)) (-2971 (((-3 |#3| "failed") |#3|) 84)) (-2546 ((|#3| |#3|) 123)) (-2657 (((-3 |#3| "failed") |#3| (-764)) 36)) (-1552 (((-3 |#3| "failed") |#3|) 74)) (-4450 ((|#3| |#3|) 118)) (-3331 (((-3 |#3| "failed") |#3|) 44)) (-2436 ((|#3| |#3|) 117)) (-4331 (((-3 |#3| "failed") |#3|) 113)) (-1764 ((|#3| |#3|) 134)) (-2957 (((-3 |#3| "failed") |#3|) 85)) (-2554 ((|#3| |#3|) 124)) (-1371 (((-3 |#3| "failed") |#3|) 111)) (-1756 ((|#3| |#3|) 132)) (-4267 (((-3 |#3| "failed") |#3|) 83)) (-2538 ((|#3| |#3|) 122)) (-4254 (((-3 |#3| "failed") |#3|) 60)) (-1748 ((|#3| |#3|) 130)) (-4046 (((-3 |#3| "failed") |#3|) 48)) (-2522 ((|#3| |#3|) 120)) (-4389 (((-3 |#3| "failed") |#3|) 66)) (-1779 ((|#3| |#3|) 137)) (-4299 (((-3 |#3| "failed") |#3|) 104)) (-1727 ((|#3| |#3|) 142)) (-2597 (((-3 |#3| "failed") |#3|) 62)) (-1770 ((|#3| |#3|) 135)) (-2859 (((-3 |#3| "failed") |#3|) 50)) (-2561 ((|#3| |#3|) 125)) (-4430 (((-3 |#3| "failed") |#3|) 70)) (-1785 ((|#3| |#3|) 139)) (-1338 (((-3 |#3| "failed") |#3|) 54)) (-1736 ((|#3| |#3|) 127)) (-2264 (((-3 |#3| "failed") |#3|) 72)) (-2430 ((|#3| |#3|) 140)) (-2226 (((-3 |#3| "failed") |#3|) 56)) (-1740 ((|#3| |#3|) 128)) (-2368 (((-3 |#3| "failed") |#3|) 68)) (-1782 ((|#3| |#3|) 138)) (-2042 (((-3 |#3| "failed") |#3|) 107)) (-1731 ((|#3| |#3|) 143)) (-2858 (((-3 |#3| "failed") |#3|) 64)) (-1775 ((|#3| |#3|) 136)) (-3768 (((-3 |#3| "failed") |#3|) 52)) (-2569 ((|#3| |#3|) 126)) (** ((|#3| |#3| (-410 (-569))) 40 (|has| |#1| (-366))))) 
+(((-275 |#1| |#2| |#3|) (-13 (-985 |#3|) (-10 -7 (IF (|has| |#1| (-366)) (-15 ** (|#3| |#3| (-410 (-569)))) |noBranch|) (-15 -2436 (|#3| |#3|)) (-15 -4450 (|#3| |#3|)) (-15 -2513 (|#3| |#3|)) (-15 -2522 (|#3| |#3|)) (-15 -2530 (|#3| |#3|)) (-15 -2538 (|#3| |#3|)) (-15 -2546 (|#3| |#3|)) (-15 -2554 (|#3| |#3|)) (-15 -2561 (|#3| |#3|)) (-15 -2569 (|#3| |#3|)) (-15 -1727 (|#3| |#3|)) (-15 -1731 (|#3| |#3|)) (-15 -1736 (|#3| |#3|)) (-15 -1740 (|#3| |#3|)) (-15 -1744 (|#3| |#3|)) (-15 -1748 (|#3| |#3|)) (-15 -1753 (|#3| |#3|)) (-15 -1756 (|#3| |#3|)) (-15 -1760 (|#3| |#3|)) (-15 -1764 (|#3| |#3|)) (-15 -1770 (|#3| |#3|)) (-15 -1775 (|#3| |#3|)) (-15 -1779 (|#3| |#3|)) (-15 -1782 (|#3| |#3|)) (-15 -1785 (|#3| |#3|)) (-15 -2430 (|#3| |#3|)))) (-43 (-410 (-569))) (-1237 |#1|) (-1208 |#1| |#2|)) (T -275)) 
+((** (*1 *2 *2 *3) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-366)) (-4 *4 (-43 *3)) (-4 *5 (-1237 *4)) (-5 *1 (-275 *4 *5 *2)) (-4 *2 (-1208 *4 *5)))) (-2436 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-4450 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-2513 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-2522 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-2530 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-2538 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-2546 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-2554 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-2561 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-2569 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1727 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1731 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1736 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1740 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1744 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1748 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1753 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1756 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1760 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1764 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1770 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1775 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1779 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1782 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1785 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-2430 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4))))) 
+(-13 (-985 |#3|) (-10 -7 (IF (|has| |#1| (-366)) (-15 ** (|#3| |#3| (-410 (-569)))) |noBranch|) (-15 -2436 (|#3| |#3|)) (-15 -4450 (|#3| |#3|)) (-15 -2513 (|#3| |#3|)) (-15 -2522 (|#3| |#3|)) (-15 -2530 (|#3| |#3|)) (-15 -2538 (|#3| |#3|)) (-15 -2546 (|#3| |#3|)) (-15 -2554 (|#3| |#3|)) (-15 -2561 (|#3| |#3|)) (-15 -2569 (|#3| |#3|)) (-15 -1727 (|#3| |#3|)) (-15 -1731 (|#3| |#3|)) (-15 -1736 (|#3| |#3|)) (-15 -1740 (|#3| |#3|)) (-15 -1744 (|#3| |#3|)) (-15 -1748 (|#3| |#3|)) (-15 -1753 (|#3| |#3|)) (-15 -1756 (|#3| |#3|)) (-15 -1760 (|#3| |#3|)) (-15 -1764 (|#3| |#3|)) (-15 -1770 (|#3| |#3|)) (-15 -1775 (|#3| |#3|)) (-15 -1779 (|#3| |#3|)) (-15 -1782 (|#3| |#3|)) (-15 -1785 (|#3| |#3|)) (-15 -2430 (|#3| |#3|)))) 
+((-1465 (((-3 |#3| "failed") |#3|) 66)) (-1753 ((|#3| |#3|) 133)) (-3037 (((-3 |#3| "failed") |#3|) 50)) (-2530 ((|#3| |#3|) 121)) (-4467 (((-3 |#3| "failed") |#3|) 62)) (-1744 ((|#3| |#3|) 131)) (-1549 (((-3 |#3| "failed") |#3|) 46)) (-2513 ((|#3| |#3|) 119)) (-2847 (((-3 |#3| "failed") |#3|) 70)) (-1760 ((|#3| |#3|) 135)) (-2971 (((-3 |#3| "failed") |#3|) 54)) (-2546 ((|#3| |#3|) 123)) (-2657 (((-3 |#3| "failed") |#3| (-764)) 35)) (-1552 (((-3 |#3| "failed") |#3|) 44)) (-4450 ((|#3| |#3|) 112)) (-3331 (((-3 |#3| "failed") |#3|) 42)) (-2436 ((|#3| |#3|) 118)) (-4331 (((-3 |#3| "failed") |#3|) 72)) (-1764 ((|#3| |#3|) 136)) (-2957 (((-3 |#3| "failed") |#3|) 56)) (-2554 ((|#3| |#3|) 124)) (-1371 (((-3 |#3| "failed") |#3|) 68)) (-1756 ((|#3| |#3|) 134)) (-4267 (((-3 |#3| "failed") |#3|) 52)) (-2538 ((|#3| |#3|) 122)) (-4254 (((-3 |#3| "failed") |#3|) 64)) (-1748 ((|#3| |#3|) 132)) (-4046 (((-3 |#3| "failed") |#3|) 48)) (-2522 ((|#3| |#3|) 120)) (-4389 (((-3 |#3| "failed") |#3|) 78)) (-1779 ((|#3| |#3|) 139)) (-4299 (((-3 |#3| "failed") |#3|) 58)) (-1727 ((|#3| |#3|) 127)) (-2597 (((-3 |#3| "failed") |#3|) 74)) (-1770 ((|#3| |#3|) 137)) (-2859 (((-3 |#3| "failed") |#3|) 102)) (-2561 ((|#3| |#3|) 125)) (-4430 (((-3 |#3| "failed") |#3|) 82)) (-1785 ((|#3| |#3|) 141)) (-1338 (((-3 |#3| "failed") |#3|) 109)) (-1736 ((|#3| |#3|) 129)) (-2264 (((-3 |#3| "failed") |#3|) 84)) (-2430 ((|#3| |#3|) 142)) (-2226 (((-3 |#3| "failed") |#3|) 111)) (-1740 ((|#3| |#3|) 130)) (-2368 (((-3 |#3| "failed") |#3|) 80)) (-1782 ((|#3| |#3|) 140)) (-2042 (((-3 |#3| "failed") |#3|) 60)) (-1731 ((|#3| |#3|) 128)) (-2858 (((-3 |#3| "failed") |#3|) 76)) (-1775 ((|#3| |#3|) 138)) (-3768 (((-3 |#3| "failed") |#3|) 105)) (-2569 ((|#3| |#3|) 126)) (** ((|#3| |#3| (-410 (-569))) 40 (|has| |#1| (-366))))) 
+(((-276 |#1| |#2| |#3| |#4|) (-13 (-985 |#3|) (-10 -7 (IF (|has| |#1| (-366)) (-15 ** (|#3| |#3| (-410 (-569)))) |noBranch|) (-15 -2436 (|#3| |#3|)) (-15 -4450 (|#3| |#3|)) (-15 -2513 (|#3| |#3|)) (-15 -2522 (|#3| |#3|)) (-15 -2530 (|#3| |#3|)) (-15 -2538 (|#3| |#3|)) (-15 -2546 (|#3| |#3|)) (-15 -2554 (|#3| |#3|)) (-15 -2561 (|#3| |#3|)) (-15 -2569 (|#3| |#3|)) (-15 -1727 (|#3| |#3|)) (-15 -1731 (|#3| |#3|)) (-15 -1736 (|#3| |#3|)) (-15 -1740 (|#3| |#3|)) (-15 -1744 (|#3| |#3|)) (-15 -1748 (|#3| |#3|)) (-15 -1753 (|#3| |#3|)) (-15 -1756 (|#3| |#3|)) (-15 -1760 (|#3| |#3|)) (-15 -1764 (|#3| |#3|)) (-15 -1770 (|#3| |#3|)) (-15 -1775 (|#3| |#3|)) (-15 -1779 (|#3| |#3|)) (-15 -1782 (|#3| |#3|)) (-15 -1785 (|#3| |#3|)) (-15 -2430 (|#3| |#3|)))) (-43 (-410 (-569))) (-1206 |#1|) (-1229 |#1| |#2|) (-985 |#2|)) (T -276)) 
+((** (*1 *2 *2 *3) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-366)) (-4 *4 (-43 *3)) (-4 *5 (-1206 *4)) (-5 *1 (-276 *4 *5 *2 *6)) (-4 *2 (-1229 *4 *5)) (-4 *6 (-985 *5)))) (-2436 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-4450 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-2513 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-2522 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-2530 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-2538 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-2546 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-2554 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-2561 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-2569 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1727 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1731 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1736 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1740 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1744 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1748 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1753 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1756 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1760 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1764 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1770 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1775 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1779 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1782 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1785 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-2430 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4))))) 
+(-13 (-985 |#3|) (-10 -7 (IF (|has| |#1| (-366)) (-15 ** (|#3| |#3| (-410 (-569)))) |noBranch|) (-15 -2436 (|#3| |#3|)) (-15 -4450 (|#3| |#3|)) (-15 -2513 (|#3| |#3|)) (-15 -2522 (|#3| |#3|)) (-15 -2530 (|#3| |#3|)) (-15 -2538 (|#3| |#3|)) (-15 -2546 (|#3| |#3|)) (-15 -2554 (|#3| |#3|)) (-15 -2561 (|#3| |#3|)) (-15 -2569 (|#3| |#3|)) (-15 -1727 (|#3| |#3|)) (-15 -1731 (|#3| |#3|)) (-15 -1736 (|#3| |#3|)) (-15 -1740 (|#3| |#3|)) (-15 -1744 (|#3| |#3|)) (-15 -1748 (|#3| |#3|)) (-15 -1753 (|#3| |#3|)) (-15 -1756 (|#3| |#3|)) (-15 -1760 (|#3| |#3|)) (-15 -1764 (|#3| |#3|)) (-15 -1770 (|#3| |#3|)) (-15 -1775 (|#3| |#3|)) (-15 -1779 (|#3| |#3|)) (-15 -1782 (|#3| |#3|)) (-15 -1785 (|#3| |#3|)) (-15 -2430 (|#3| |#3|)))) 
+((-1962 (($ (-1 (-121) |#2|) $) 23)) (-2033 (($ $) 36)) (-4454 (($ (-1 (-121) |#2|) $) NIL) (($ |#2| $) 34)) (-4347 (($ |#2| $) 31) (($ (-1 (-121) |#2|) $) 17)) (-2854 (($ (-1 (-121) |#2| |#2|) $ $) NIL) (($ $ $) 40)) (-3614 (($ |#2| $ (-569)) 19) (($ $ $ (-569)) 21)) (-3010 (($ $ (-569)) 11) (($ $ (-1213 (-569))) 14)) (-2697 (($ $ |#2|) 29) (($ $ $) NIL)) (-2250 (($ $ |#2|) 28) (($ |#2| $) NIL) (($ $ $) 25) (($ (-635 $)) NIL))) 
+(((-277 |#1| |#2|) (-10 -8 (-15 -2854 (|#1| |#1| |#1|)) (-15 -4454 (|#1| |#2| |#1|)) (-15 -2854 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -4454 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2697 (|#1| |#1| |#1|)) (-15 -2697 (|#1| |#1| |#2|)) (-15 -3614 (|#1| |#1| |#1| (-569))) (-15 -3614 (|#1| |#2| |#1| (-569))) (-15 -3010 (|#1| |#1| (-1213 (-569)))) (-15 -3010 (|#1| |#1| (-569))) (-15 -2250 (|#1| (-635 |#1|))) (-15 -2250 (|#1| |#1| |#1|)) (-15 -2250 (|#1| |#2| |#1|)) (-15 -2250 (|#1| |#1| |#2|)) (-15 -4347 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -1962 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4347 (|#1| |#2| |#1|)) (-15 -2033 (|#1| |#1|))) (-278 |#2|) (-1197)) (T -277)) 
+NIL 
+(-10 -8 (-15 -2854 (|#1| |#1| |#1|)) (-15 -4454 (|#1| |#2| |#1|)) (-15 -2854 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -4454 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2697 (|#1| |#1| |#1|)) (-15 -2697 (|#1| |#1| |#2|)) (-15 -3614 (|#1| |#1| |#1| (-569))) (-15 -3614 (|#1| |#2| |#1| (-569))) (-15 -3010 (|#1| |#1| (-1213 (-569)))) (-15 -3010 (|#1| |#1| (-569))) (-15 -2250 (|#1| (-635 |#1|))) (-15 -2250 (|#1| |#1| |#1|)) (-15 -2250 (|#1| |#2| |#1|)) (-15 -2250 (|#1| |#1| |#2|)) (-15 -4347 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -1962 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4347 (|#1| |#2| |#1|)) (-15 -2033 (|#1| |#1|))) 
+((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-3112 (((-1252) $ (-569) (-569)) 37 (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) 8)) (-4469 ((|#1| $ (-569) |#1|) 49 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) 53 (|has| $ (-6 -4536)))) (-4216 (($ (-1 (-121) |#1|) $) 78)) (-1962 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-3384 (($ $) 76 (|has| |#1| (-1091)))) (-2033 (($ $) 73 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4454 (($ (-1 (-121) |#1|) $) 82) (($ |#1| $) 77 (|has| |#1| (-1091)))) (-4347 (($ |#1| $) 72 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) 50 (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) 48)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-2659 (($ (-764) |#1|) 64)) (-1974 (((-121) $ (-764)) 9)) (-3557 (((-569) $) 40 (|has| (-569) (-843)))) (-2854 (($ (-1 (-121) |#1| |#1|) $ $) 79) (($ $ $) 75 (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1285 (((-569) $) 41 (|has| (-569) (-843)))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3172 (($ |#1| $ (-569)) 81) (($ $ $ (-569)) 80)) (-3614 (($ |#1| $ (-569)) 55) (($ $ $ (-569)) 54)) (-4166 (((-635 (-569)) $) 43)) (-3533 (((-121) (-569) $) 44)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4353 ((|#1| $) 39 (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-3174 (($ $ |#1|) 38 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) 45)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ (-569) |#1|) 47) ((|#1| $ (-569)) 46) (($ $ (-1213 (-569))) 58)) (-4514 (($ $ (-569)) 84) (($ $ (-1213 (-569))) 83)) (-3010 (($ $ (-569)) 57) (($ $ (-1213 (-569))) 56)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-3817 (((-542) $) 74 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 65)) (-2697 (($ $ |#1|) 86) (($ $ $) 85)) (-2250 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-278 |#1|) (-1278) (-1197)) (T -278)) 
+((-2697 (*1 *1 *1 *2) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1197)))) (-2697 (*1 *1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1197)))) (-4514 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-278 *3)) (-4 *3 (-1197)))) (-4514 (*1 *1 *1 *2) (-12 (-5 *2 (-1213 (-569))) (-4 *1 (-278 *3)) (-4 *3 (-1197)))) (-4454 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-278 *3)) (-4 *3 (-1197)))) (-3172 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-278 *2)) (-4 *2 (-1197)))) (-3172 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-278 *3)) (-4 *3 (-1197)))) (-2854 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-278 *3)) (-4 *3 (-1197)))) (-4216 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-278 *3)) (-4 *3 (-1197)))) (-4454 (*1 *1 *2 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1197)) (-4 *2 (-1091)))) (-3384 (*1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1197)) (-4 *2 (-1091)))) (-2854 (*1 *1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1197)) (-4 *2 (-843))))) 
+(-13 (-641 |t#1|) (-10 -8 (-6 -4536) (-15 -2697 ($ $ |t#1|)) (-15 -2697 ($ $ $)) (-15 -4514 ($ $ (-569))) (-15 -4514 ($ $ (-1213 (-569)))) (-15 -4454 ($ (-1 (-121) |t#1|) $)) (-15 -3172 ($ |t#1| $ (-569))) (-15 -3172 ($ $ $ (-569))) (-15 -2854 ($ (-1 (-121) |t#1| |t#1|) $ $)) (-15 -4216 ($ (-1 (-121) |t#1|) $)) (IF (|has| |t#1| (-1091)) (PROGN (-15 -4454 ($ |t#1| $)) (-15 -3384 ($ $))) |noBranch|) (IF (|has| |t#1| (-843)) (-15 -2854 ($ $ $)) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-641 |#1|) . T) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
 ((** (($ $ $) 10))) 
-(((-278 |#1|) (-10 -8 (-15 ** (|#1| |#1| |#1|))) (-279)) (T -278)) 
+(((-279 |#1|) (-10 -8 (-15 ** (|#1| |#1| |#1|))) (-280)) (T -279)) 
 NIL 
 (-10 -8 (-15 ** (|#1| |#1| |#1|))) 
-((-4418 (($ $) 6)) (-1894 (($ $) 7)) (** (($ $ $) 8))) 
-(((-279) (-1275)) (T -279)) 
-((** (*1 *1 *1 *1) (-4 *1 (-279))) (-1894 (*1 *1 *1) (-4 *1 (-279))) (-4418 (*1 *1 *1) (-4 *1 (-279)))) 
-(-13 (-10 -8 (-15 -4418 ($ $)) (-15 -1894 ($ $)) (-15 ** ($ $ $)))) 
-((-3860 (((-634 (-1141 |#1|)) (-1141 |#1|) |#1|) 35)) (-2680 ((|#2| |#2| |#1|) 38)) (-4041 ((|#2| |#2| |#1|) 40)) (-2661 ((|#2| |#2| |#1|) 39))) 
-(((-280 |#1| |#2|) (-10 -7 (-15 -2680 (|#2| |#2| |#1|)) (-15 -2661 (|#2| |#2| |#1|)) (-15 -4041 (|#2| |#2| |#1|)) (-15 -3860 ((-634 (-1141 |#1|)) (-1141 |#1|) |#1|))) (-365) (-1234 |#1|)) (T -280)) 
-((-3860 (*1 *2 *3 *4) (-12 (-4 *4 (-365)) (-5 *2 (-634 (-1141 *4))) (-5 *1 (-280 *4 *5)) (-5 *3 (-1141 *4)) (-4 *5 (-1234 *4)))) (-4041 (*1 *2 *2 *3) (-12 (-4 *3 (-365)) (-5 *1 (-280 *3 *2)) (-4 *2 (-1234 *3)))) (-2661 (*1 *2 *2 *3) (-12 (-4 *3 (-365)) (-5 *1 (-280 *3 *2)) (-4 *2 (-1234 *3)))) (-2680 (*1 *2 *2 *3) (-12 (-4 *3 (-365)) (-5 *1 (-280 *3 *2)) (-4 *2 (-1234 *3))))) 
-(-10 -7 (-15 -2680 (|#2| |#2| |#1|)) (-15 -2661 (|#2| |#2| |#1|)) (-15 -4041 (|#2| |#2| |#1|)) (-15 -3860 ((-634 (-1141 |#1|)) (-1141 |#1|) |#1|))) 
-((-2781 ((|#2| $ |#1|) 6))) 
-(((-281 |#1| |#2|) (-1275) (-1090) (-1195)) (T -281)) 
-((-2781 (*1 *2 *1 *3) (-12 (-4 *1 (-281 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-1195))))) 
-(-13 (-10 -8 (-15 -2781 (|t#2| $ |t#1|)))) 
-((-1292 ((|#3| $ |#2| |#3|) 12)) (-2069 ((|#3| $ |#2|) 10))) 
-(((-282 |#1| |#2| |#3|) (-10 -8 (-15 -1292 (|#3| |#1| |#2| |#3|)) (-15 -2069 (|#3| |#1| |#2|))) (-283 |#2| |#3|) (-1090) (-1195)) (T -282)) 
-NIL 
-(-10 -8 (-15 -1292 (|#3| |#1| |#2| |#3|)) (-15 -2069 (|#3| |#1| |#2|))) 
-((-2438 ((|#2| $ |#1| |#2|) 8 (|has| $ (-6 -4522)))) (-1292 ((|#2| $ |#1| |#2|) 7 (|has| $ (-6 -4522)))) (-2069 ((|#2| $ |#1|) 9)) (-2781 ((|#2| $ |#1|) 6) ((|#2| $ |#1| |#2|) 10))) 
-(((-283 |#1| |#2|) (-1275) (-1090) (-1195)) (T -283)) 
-((-2781 (*1 *2 *1 *3 *2) (-12 (-4 *1 (-283 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-1195)))) (-2069 (*1 *2 *1 *3) (-12 (-4 *1 (-283 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-1195)))) (-2438 (*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-283 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-1195)))) (-1292 (*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-283 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-1195))))) 
-(-13 (-281 |t#1| |t#2|) (-10 -8 (-15 -2781 (|t#2| $ |t#1| |t#2|)) (-15 -2069 (|t#2| $ |t#1|)) (IF (|has| $ (-6 -4522)) (PROGN (-15 -2438 (|t#2| $ |t#1| |t#2|)) (-15 -1292 (|t#2| $ |t#1| |t#2|))) |noBranch|))) 
-(((-281 |#1| |#2|) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 34)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 39)) (-3661 (($ $) 37)) (-4426 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-2589 (((-121) $ $) NIL)) (-4490 (($) NIL T CONST)) (-2403 (($ $ $) 32)) (-3094 (($ |#2| |#3|) 19)) (-2902 (((-3 $ "failed") $) NIL)) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-1598 (((-121) $) NIL)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-2477 ((|#3| $) NIL)) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) 20)) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-2355 (((-3 $ "failed") $ $) NIL)) (-1466 (((-763) $) 33)) (-2781 ((|#2| $ |#2|) 41)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 24)) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ $) NIL) ((|#2| $) NIL)) (-3425 (((-763)) NIL)) (-2273 (((-121) $ $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 27 T CONST)) (-1557 (($) 35 T CONST)) (-1719 (((-121) $ $) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 36))) 
-(((-284 |#1| |#2| |#3| |#4| |#5| |#6|) (-13 (-301) (-10 -8 (-15 -2477 (|#3| $)) (-15 -2747 (|#2| $)) (-15 -3094 ($ |#2| |#3|)) (-15 -2355 ((-3 $ "failed") $ $)) (-15 -2902 ((-3 $ "failed") $)) (-15 -2083 ($ $)) (-15 -2781 (|#2| $ |#2|)))) (-172) (-1219 |#1|) (-23) (-1 |#2| |#2| |#3|) (-1 (-3 |#3| "failed") |#3| |#3|) (-1 (-3 |#2| "failed") |#2| |#2| |#3|)) (T -284)) 
-((-2902 (*1 *1 *1) (|partial| -12 (-4 *2 (-172)) (-5 *1 (-284 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1219 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) (-2477 (*1 *2 *1) (-12 (-4 *3 (-172)) (-4 *2 (-23)) (-5 *1 (-284 *3 *4 *2 *5 *6 *7)) (-4 *4 (-1219 *3)) (-14 *5 (-1 *4 *4 *2)) (-14 *6 (-1 (-3 *2 "failed") *2 *2)) (-14 *7 (-1 (-3 *4 "failed") *4 *4 *2)))) (-2747 (*1 *2 *1) (-12 (-4 *2 (-1219 *3)) (-5 *1 (-284 *3 *2 *4 *5 *6 *7)) (-4 *3 (-172)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4)))) (-3094 (*1 *1 *2 *3) (-12 (-4 *4 (-172)) (-5 *1 (-284 *4 *2 *3 *5 *6 *7)) (-4 *2 (-1219 *4)) (-4 *3 (-23)) (-14 *5 (-1 *2 *2 *3)) (-14 *6 (-1 (-3 *3 "failed") *3 *3)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *3)))) (-2355 (*1 *1 *1 *1) (|partial| -12 (-4 *2 (-172)) (-5 *1 (-284 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1219 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) (-2083 (*1 *1 *1) (-12 (-4 *2 (-172)) (-5 *1 (-284 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1219 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) (-2781 (*1 *2 *1 *2) (-12 (-4 *3 (-172)) (-5 *1 (-284 *3 *2 *4 *5 *6 *7)) (-4 *2 (-1219 *3)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4))))) 
-(-13 (-301) (-10 -8 (-15 -2477 (|#3| $)) (-15 -2747 (|#2| $)) (-15 -3094 ($ |#2| |#3|)) (-15 -2355 ((-3 $ "failed") $ $)) (-15 -2902 ((-3 $ "failed") $)) (-15 -2083 ($ $)) (-15 -2781 (|#2| $ |#2|)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-2902 (((-3 $ "failed") $) 33)) (-1598 (((-121) $) 30)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11) (($ (-568)) 27)) (-3425 (((-763)) 28)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23))) 
-(((-285) (-1275)) (T -285)) 
-NIL 
-(-13 (-1047) (-120 $ $) (-10 -7 (-6 -4514))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 $ $) . T) ((-137) . T) ((-608 (-850)) . T) ((-637 $) . T) ((-716) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-4298 (((-634 (-2 (|:| |eigval| (-3 (-409 (-953 |#1|)) (-1150 (-1161) (-953 |#1|)))) (|:| |geneigvec| (-634 (-679 (-409 (-953 |#1|))))))) (-679 (-409 (-953 |#1|)))) 83)) (-2622 (((-634 (-679 (-409 (-953 |#1|)))) (-2 (|:| |eigval| (-3 (-409 (-953 |#1|)) (-1150 (-1161) (-953 |#1|)))) (|:| |eigmult| (-763)) (|:| |eigvec| (-634 (-679 (-409 (-953 |#1|)))))) (-679 (-409 (-953 |#1|)))) 78) (((-634 (-679 (-409 (-953 |#1|)))) (-3 (-409 (-953 |#1|)) (-1150 (-1161) (-953 |#1|))) (-679 (-409 (-953 |#1|))) (-763) (-763)) 36)) (-2186 (((-634 (-2 (|:| |eigval| (-3 (-409 (-953 |#1|)) (-1150 (-1161) (-953 |#1|)))) (|:| |eigmult| (-763)) (|:| |eigvec| (-634 (-679 (-409 (-953 |#1|))))))) (-679 (-409 (-953 |#1|)))) 80)) (-2408 (((-634 (-679 (-409 (-953 |#1|)))) (-3 (-409 (-953 |#1|)) (-1150 (-1161) (-953 |#1|))) (-679 (-409 (-953 |#1|)))) 60)) (-3908 (((-634 (-3 (-409 (-953 |#1|)) (-1150 (-1161) (-953 |#1|)))) (-679 (-409 (-953 |#1|)))) 59)) (-1295 (((-953 |#1|) (-679 (-409 (-953 |#1|)))) 47) (((-953 |#1|) (-679 (-409 (-953 |#1|))) (-1161)) 48))) 
-(((-286 |#1|) (-10 -7 (-15 -1295 ((-953 |#1|) (-679 (-409 (-953 |#1|))) (-1161))) (-15 -1295 ((-953 |#1|) (-679 (-409 (-953 |#1|))))) (-15 -3908 ((-634 (-3 (-409 (-953 |#1|)) (-1150 (-1161) (-953 |#1|)))) (-679 (-409 (-953 |#1|))))) (-15 -2408 ((-634 (-679 (-409 (-953 |#1|)))) (-3 (-409 (-953 |#1|)) (-1150 (-1161) (-953 |#1|))) (-679 (-409 (-953 |#1|))))) (-15 -2622 ((-634 (-679 (-409 (-953 |#1|)))) (-3 (-409 (-953 |#1|)) (-1150 (-1161) (-953 |#1|))) (-679 (-409 (-953 |#1|))) (-763) (-763))) (-15 -2622 ((-634 (-679 (-409 (-953 |#1|)))) (-2 (|:| |eigval| (-3 (-409 (-953 |#1|)) (-1150 (-1161) (-953 |#1|)))) (|:| |eigmult| (-763)) (|:| |eigvec| (-634 (-679 (-409 (-953 |#1|)))))) (-679 (-409 (-953 |#1|))))) (-15 -4298 ((-634 (-2 (|:| |eigval| (-3 (-409 (-953 |#1|)) (-1150 (-1161) (-953 |#1|)))) (|:| |geneigvec| (-634 (-679 (-409 (-953 |#1|))))))) (-679 (-409 (-953 |#1|))))) (-15 -2186 ((-634 (-2 (|:| |eigval| (-3 (-409 (-953 |#1|)) (-1150 (-1161) (-953 |#1|)))) (|:| |eigmult| (-763)) (|:| |eigvec| (-634 (-679 (-409 (-953 |#1|))))))) (-679 (-409 (-953 |#1|)))))) (-453)) (T -286)) 
-((-2186 (*1 *2 *3) (-12 (-4 *4 (-453)) (-5 *2 (-634 (-2 (|:| |eigval| (-3 (-409 (-953 *4)) (-1150 (-1161) (-953 *4)))) (|:| |eigmult| (-763)) (|:| |eigvec| (-634 (-679 (-409 (-953 *4)))))))) (-5 *1 (-286 *4)) (-5 *3 (-679 (-409 (-953 *4)))))) (-4298 (*1 *2 *3) (-12 (-4 *4 (-453)) (-5 *2 (-634 (-2 (|:| |eigval| (-3 (-409 (-953 *4)) (-1150 (-1161) (-953 *4)))) (|:| |geneigvec| (-634 (-679 (-409 (-953 *4)))))))) (-5 *1 (-286 *4)) (-5 *3 (-679 (-409 (-953 *4)))))) (-2622 (*1 *2 *3 *4) (-12 (-5 *3 (-2 (|:| |eigval| (-3 (-409 (-953 *5)) (-1150 (-1161) (-953 *5)))) (|:| |eigmult| (-763)) (|:| |eigvec| (-634 *4)))) (-4 *5 (-453)) (-5 *2 (-634 (-679 (-409 (-953 *5))))) (-5 *1 (-286 *5)) (-5 *4 (-679 (-409 (-953 *5)))))) (-2622 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-3 (-409 (-953 *6)) (-1150 (-1161) (-953 *6)))) (-5 *5 (-763)) (-4 *6 (-453)) (-5 *2 (-634 (-679 (-409 (-953 *6))))) (-5 *1 (-286 *6)) (-5 *4 (-679 (-409 (-953 *6)))))) (-2408 (*1 *2 *3 *4) (-12 (-5 *3 (-3 (-409 (-953 *5)) (-1150 (-1161) (-953 *5)))) (-4 *5 (-453)) (-5 *2 (-634 (-679 (-409 (-953 *5))))) (-5 *1 (-286 *5)) (-5 *4 (-679 (-409 (-953 *5)))))) (-3908 (*1 *2 *3) (-12 (-5 *3 (-679 (-409 (-953 *4)))) (-4 *4 (-453)) (-5 *2 (-634 (-3 (-409 (-953 *4)) (-1150 (-1161) (-953 *4))))) (-5 *1 (-286 *4)))) (-1295 (*1 *2 *3) (-12 (-5 *3 (-679 (-409 (-953 *4)))) (-5 *2 (-953 *4)) (-5 *1 (-286 *4)) (-4 *4 (-453)))) (-1295 (*1 *2 *3 *4) (-12 (-5 *3 (-679 (-409 (-953 *5)))) (-5 *4 (-1161)) (-5 *2 (-953 *5)) (-5 *1 (-286 *5)) (-4 *5 (-453))))) 
-(-10 -7 (-15 -1295 ((-953 |#1|) (-679 (-409 (-953 |#1|))) (-1161))) (-15 -1295 ((-953 |#1|) (-679 (-409 (-953 |#1|))))) (-15 -3908 ((-634 (-3 (-409 (-953 |#1|)) (-1150 (-1161) (-953 |#1|)))) (-679 (-409 (-953 |#1|))))) (-15 -2408 ((-634 (-679 (-409 (-953 |#1|)))) (-3 (-409 (-953 |#1|)) (-1150 (-1161) (-953 |#1|))) (-679 (-409 (-953 |#1|))))) (-15 -2622 ((-634 (-679 (-409 (-953 |#1|)))) (-3 (-409 (-953 |#1|)) (-1150 (-1161) (-953 |#1|))) (-679 (-409 (-953 |#1|))) (-763) (-763))) (-15 -2622 ((-634 (-679 (-409 (-953 |#1|)))) (-2 (|:| |eigval| (-3 (-409 (-953 |#1|)) (-1150 (-1161) (-953 |#1|)))) (|:| |eigmult| (-763)) (|:| |eigvec| (-634 (-679 (-409 (-953 |#1|)))))) (-679 (-409 (-953 |#1|))))) (-15 -4298 ((-634 (-2 (|:| |eigval| (-3 (-409 (-953 |#1|)) (-1150 (-1161) (-953 |#1|)))) (|:| |geneigvec| (-634 (-679 (-409 (-953 |#1|))))))) (-679 (-409 (-953 |#1|))))) (-15 -2186 ((-634 (-2 (|:| |eigval| (-3 (-409 (-953 |#1|)) (-1150 (-1161) (-953 |#1|)))) (|:| |eigmult| (-763)) (|:| |eigvec| (-634 (-679 (-409 (-953 |#1|))))))) (-679 (-409 (-953 |#1|)))))) 
-((-2797 (((-288 |#2|) (-1 |#2| |#1|) (-288 |#1|)) 14))) 
-(((-287 |#1| |#2|) (-10 -7 (-15 -2797 ((-288 |#2|) (-1 |#2| |#1|) (-288 |#1|)))) (-1195) (-1195)) (T -287)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-288 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-288 *6)) (-5 *1 (-287 *5 *6))))) 
-(-10 -7 (-15 -2797 ((-288 |#2|) (-1 |#2| |#1|) (-288 |#1|)))) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1819 (((-121) $) NIL (|has| |#1| (-21)))) (-2032 (($ $) 22)) (-2689 (((-3 $ "failed") $ $) NIL (|has| |#1| (-21)))) (-4069 (($ $ $) 93 (|has| |#1| (-296)))) (-4490 (($) NIL (-2199 (|has| |#1| (-21)) (|has| |#1| (-716))) CONST)) (-3830 (($ $) 8 (|has| |#1| (-21)))) (-4050 (((-3 $ "failed") $) 68 (|has| |#1| (-716)))) (-3250 ((|#1| $) 21)) (-2902 (((-3 $ "failed") $) 66 (|has| |#1| (-716)))) (-1598 (((-121) $) NIL (|has| |#1| (-716)))) (-2797 (($ (-1 |#1| |#1|) $) 24)) (-2433 ((|#1| $) 9)) (-1750 (($ $) 57 (|has| |#1| (-21)))) (-3686 (((-3 $ "failed") $) 67 (|has| |#1| (-716)))) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-2083 (($ $) 70 (-2199 (|has| |#1| (-365)) (|has| |#1| (-478))))) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-1635 (((-634 $) $) 19 (|has| |#1| (-558)))) (-1339 (($ $ $) 34 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 $)) 37 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-1161) |#1|) 27 (|has| |#1| (-523 (-1161) |#1|))) (($ $ (-634 (-1161)) (-634 |#1|)) 31 (|has| |#1| (-523 (-1161) |#1|)))) (-2785 (($ |#1| |#1|) 17)) (-3108 (((-139)) 88 (|has| |#1| (-365)))) (-4191 (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161)) 85 (|has| |#1| (-895 (-1161))))) (-2387 (($ $ $) NIL (|has| |#1| (-478)))) (-3985 (($ $ $) NIL (|has| |#1| (-478)))) (-2747 (($ (-568)) NIL (|has| |#1| (-1047))) (((-121) $) 45 (|has| |#1| (-1090))) (((-850) $) 44 (|has| |#1| (-1090)))) (-3425 (((-763)) 73 (|has| |#1| (-1047)))) (-1889 (($ $ (-568)) NIL (|has| |#1| (-478))) (($ $ (-763)) NIL (|has| |#1| (-716))) (($ $ (-917)) NIL (|has| |#1| (-1102)))) (-3058 (($) 55 (|has| |#1| (-21)) CONST)) (-1557 (($) 63 (|has| |#1| (-716)) CONST)) (-3192 (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161)) NIL (|has| |#1| (-895 (-1161))))) (-1719 (($ |#1| |#1|) 20) (((-121) $ $) 40 (|has| |#1| (-1090)))) (-1781 (($ $ |#1|) NIL (|has| |#1| (-365))) (($ $ $) 90 (-2199 (|has| |#1| (-365)) (|has| |#1| (-478))))) (-1775 (($ |#1| $) 53 (|has| |#1| (-21))) (($ $ |#1|) 54 (|has| |#1| (-21))) (($ $ $) 52 (|has| |#1| (-21))) (($ $) 51 (|has| |#1| (-21)))) (-1769 (($ |#1| $) 48 (|has| |#1| (-25))) (($ $ |#1|) 49 (|has| |#1| (-25))) (($ $ $) 47 (|has| |#1| (-25)))) (** (($ $ (-568)) NIL (|has| |#1| (-478))) (($ $ (-763)) NIL (|has| |#1| (-716))) (($ $ (-917)) NIL (|has| |#1| (-1102)))) (* (($ $ |#1|) 61 (|has| |#1| (-1102))) (($ |#1| $) 60 (|has| |#1| (-1102))) (($ $ $) 59 (|has| |#1| (-1102))) (($ (-568) $) 76 (|has| |#1| (-21))) (($ (-763) $) NIL (|has| |#1| (-21))) (($ (-917) $) NIL (|has| |#1| (-25))))) 
-(((-288 |#1|) (-13 (-1195) (-10 -8 (-15 -1719 ($ |#1| |#1|)) (-15 -2785 ($ |#1| |#1|)) (-15 -2032 ($ $)) (-15 -2433 (|#1| $)) (-15 -3250 (|#1| $)) (-15 -2797 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-523 (-1161) |#1|)) (-6 (-523 (-1161) |#1|)) |noBranch|) (IF (|has| |#1| (-1090)) (PROGN (-6 (-1090)) (-6 (-608 (-121))) (IF (|has| |#1| (-303 |#1|)) (PROGN (-15 -1339 ($ $ $)) (-15 -1339 ($ $ (-634 $)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-25)) (PROGN (-6 (-25)) (-15 -1769 ($ |#1| $)) (-15 -1769 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-21)) (PROGN (-6 (-21)) (-15 -1750 ($ $)) (-15 -3830 ($ $)) (-15 -1775 ($ |#1| $)) (-15 -1775 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-1102)) (PROGN (-6 (-1102)) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-716)) (PROGN (-6 (-716)) (-15 -3686 ((-3 $ "failed") $)) (-15 -4050 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-478)) (PROGN (-6 (-478)) (-15 -3686 ((-3 $ "failed") $)) (-15 -4050 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-1047)) (PROGN (-6 (-1047)) (-6 (-120 |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-172)) (-6 (-707 |#1|)) |noBranch|) (IF (|has| |#1| (-558)) (-15 -1635 ((-634 $) $)) |noBranch|) (IF (|has| |#1| (-895 (-1161))) (-6 (-895 (-1161))) |noBranch|) (IF (|has| |#1| (-365)) (PROGN (-6 (-1251 |#1|)) (-15 -1781 ($ $ $)) (-15 -2083 ($ $))) |noBranch|) (IF (|has| |#1| (-296)) (-15 -4069 ($ $ $)) |noBranch|))) (-1195)) (T -288)) 
-((-1719 (*1 *1 *2 *2) (-12 (-5 *1 (-288 *2)) (-4 *2 (-1195)))) (-2785 (*1 *1 *2 *2) (-12 (-5 *1 (-288 *2)) (-4 *2 (-1195)))) (-2032 (*1 *1 *1) (-12 (-5 *1 (-288 *2)) (-4 *2 (-1195)))) (-2433 (*1 *2 *1) (-12 (-5 *1 (-288 *2)) (-4 *2 (-1195)))) (-3250 (*1 *2 *1) (-12 (-5 *1 (-288 *2)) (-4 *2 (-1195)))) (-2797 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1195)) (-5 *1 (-288 *3)))) (-1339 (*1 *1 *1 *1) (-12 (-4 *2 (-303 *2)) (-4 *2 (-1090)) (-4 *2 (-1195)) (-5 *1 (-288 *2)))) (-1339 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-288 *3))) (-4 *3 (-303 *3)) (-4 *3 (-1090)) (-4 *3 (-1195)) (-5 *1 (-288 *3)))) (-1769 (*1 *1 *2 *1) (-12 (-5 *1 (-288 *2)) (-4 *2 (-25)) (-4 *2 (-1195)))) (-1769 (*1 *1 *1 *2) (-12 (-5 *1 (-288 *2)) (-4 *2 (-25)) (-4 *2 (-1195)))) (-1750 (*1 *1 *1) (-12 (-5 *1 (-288 *2)) (-4 *2 (-21)) (-4 *2 (-1195)))) (-3830 (*1 *1 *1) (-12 (-5 *1 (-288 *2)) (-4 *2 (-21)) (-4 *2 (-1195)))) (-1775 (*1 *1 *2 *1) (-12 (-5 *1 (-288 *2)) (-4 *2 (-21)) (-4 *2 (-1195)))) (-1775 (*1 *1 *1 *2) (-12 (-5 *1 (-288 *2)) (-4 *2 (-21)) (-4 *2 (-1195)))) (-3686 (*1 *1 *1) (|partial| -12 (-5 *1 (-288 *2)) (-4 *2 (-716)) (-4 *2 (-1195)))) (-4050 (*1 *1 *1) (|partial| -12 (-5 *1 (-288 *2)) (-4 *2 (-716)) (-4 *2 (-1195)))) (-1635 (*1 *2 *1) (-12 (-5 *2 (-634 (-288 *3))) (-5 *1 (-288 *3)) (-4 *3 (-558)) (-4 *3 (-1195)))) (-4069 (*1 *1 *1 *1) (-12 (-5 *1 (-288 *2)) (-4 *2 (-296)) (-4 *2 (-1195)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-288 *2)) (-4 *2 (-1102)) (-4 *2 (-1195)))) (* (*1 *1 *2 *1) (-12 (-5 *1 (-288 *2)) (-4 *2 (-1102)) (-4 *2 (-1195)))) (-1781 (*1 *1 *1 *1) (-2199 (-12 (-5 *1 (-288 *2)) (-4 *2 (-365)) (-4 *2 (-1195))) (-12 (-5 *1 (-288 *2)) (-4 *2 (-478)) (-4 *2 (-1195))))) (-2083 (*1 *1 *1) (-2199 (-12 (-5 *1 (-288 *2)) (-4 *2 (-365)) (-4 *2 (-1195))) (-12 (-5 *1 (-288 *2)) (-4 *2 (-478)) (-4 *2 (-1195)))))) 
-(-13 (-1195) (-10 -8 (-15 -1719 ($ |#1| |#1|)) (-15 -2785 ($ |#1| |#1|)) (-15 -2032 ($ $)) (-15 -2433 (|#1| $)) (-15 -3250 (|#1| $)) (-15 -2797 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-523 (-1161) |#1|)) (-6 (-523 (-1161) |#1|)) |noBranch|) (IF (|has| |#1| (-1090)) (PROGN (-6 (-1090)) (-6 (-608 (-121))) (IF (|has| |#1| (-303 |#1|)) (PROGN (-15 -1339 ($ $ $)) (-15 -1339 ($ $ (-634 $)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-25)) (PROGN (-6 (-25)) (-15 -1769 ($ |#1| $)) (-15 -1769 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-21)) (PROGN (-6 (-21)) (-15 -1750 ($ $)) (-15 -3830 ($ $)) (-15 -1775 ($ |#1| $)) (-15 -1775 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-1102)) (PROGN (-6 (-1102)) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-716)) (PROGN (-6 (-716)) (-15 -3686 ((-3 $ "failed") $)) (-15 -4050 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-478)) (PROGN (-6 (-478)) (-15 -3686 ((-3 $ "failed") $)) (-15 -4050 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-1047)) (PROGN (-6 (-1047)) (-6 (-120 |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-172)) (-6 (-707 |#1|)) |noBranch|) (IF (|has| |#1| (-558)) (-15 -1635 ((-634 $) $)) |noBranch|) (IF (|has| |#1| (-895 (-1161))) (-6 (-895 (-1161))) |noBranch|) (IF (|has| |#1| (-365)) (PROGN (-6 (-1251 |#1|)) (-15 -1781 ($ $ $)) (-15 -2083 ($ $))) |noBranch|) (IF (|has| |#1| (-296)) (-15 -4069 ($ $ $)) |noBranch|))) 
-((-2449 (((-121) $ $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-2988 (($) NIL) (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-2481 (((-1249) $ |#1| |#1|) NIL (|has| $ (-6 -4522)))) (-1667 (((-121) $ (-763)) NIL)) (-2438 ((|#2| $ |#1| |#2|) NIL)) (-3963 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-2803 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-2678 (((-3 |#2| "failed") |#1| $) NIL)) (-4490 (($) NIL T CONST)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))))) (-1568 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (|has| $ (-6 -4521))) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-3 |#2| "failed") |#1| $) NIL)) (-4330 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-3094 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (|has| $ (-6 -4521))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-1292 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4522)))) (-2069 ((|#2| $ |#1|) NIL)) (-3317 (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-634 |#2|) $) NIL (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) NIL)) (-2539 ((|#1| $) NIL (|has| |#1| (-842)))) (-4406 (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-634 |#2|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-3631 ((|#1| $) NIL (|has| |#1| (-842)))) (-2253 (($ (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4522))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-4253 (((-634 |#1|) $) NIL)) (-2807 (((-121) |#1| $) NIL)) (-2580 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL)) (-1708 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL)) (-3948 (((-634 |#1|) $) NIL)) (-2916 (((-121) |#1| $) NIL)) (-4025 (((-1108) $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-3877 ((|#2| $) NIL (|has| |#1| (-842)))) (-2712 (((-3 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) "failed") (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL)) (-2490 (($ $ |#2|) NIL (|has| $ (-6 -4522)))) (-3403 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL)) (-3951 (((-121) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-288 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-634 |#2|) (-634 |#2|)) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-288 |#2|)) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-634 (-288 |#2|))) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-1480 (((-634 |#2|) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-3132 (($) NIL) (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-4170 (((-763) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-763) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (((-763) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090)))) (((-763) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) NIL (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-609 (-541))))) (-4289 (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-2747 (((-850) $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-4074 (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-3437 (((-121) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-289 |#1| |#2|) (-13 (-1172 |#1| |#2|) (-10 -7 (-6 -4521))) (-1090) (-1090)) (T -289)) 
-NIL 
-(-13 (-1172 |#1| |#2|) (-10 -7 (-6 -4521))) 
-((-2185 (((-305) (-1143) (-634 (-1143))) 16) (((-305) (-1143) (-1143)) 15) (((-305) (-634 (-1143))) 14) (((-305) (-1143)) 12))) 
-(((-290) (-10 -7 (-15 -2185 ((-305) (-1143))) (-15 -2185 ((-305) (-634 (-1143)))) (-15 -2185 ((-305) (-1143) (-1143))) (-15 -2185 ((-305) (-1143) (-634 (-1143)))))) (T -290)) 
-((-2185 (*1 *2 *3 *4) (-12 (-5 *4 (-634 (-1143))) (-5 *3 (-1143)) (-5 *2 (-305)) (-5 *1 (-290)))) (-2185 (*1 *2 *3 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-305)) (-5 *1 (-290)))) (-2185 (*1 *2 *3) (-12 (-5 *3 (-634 (-1143))) (-5 *2 (-305)) (-5 *1 (-290)))) (-2185 (*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-305)) (-5 *1 (-290))))) 
-(-10 -7 (-15 -2185 ((-305) (-1143))) (-15 -2185 ((-305) (-634 (-1143)))) (-15 -2185 ((-305) (-1143) (-1143))) (-15 -2185 ((-305) (-1143) (-634 (-1143))))) 
-((-2797 ((|#2| (-1 |#2| |#1|) (-1143) (-607 |#1|)) 17))) 
-(((-291 |#1| |#2|) (-10 -7 (-15 -2797 (|#2| (-1 |#2| |#1|) (-1143) (-607 |#1|)))) (-296) (-1195)) (T -291)) 
-((-2797 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1143)) (-5 *5 (-607 *6)) (-4 *6 (-296)) (-4 *2 (-1195)) (-5 *1 (-291 *6 *2))))) 
-(-10 -7 (-15 -2797 (|#2| (-1 |#2| |#1|) (-1143) (-607 |#1|)))) 
-((-2797 ((|#2| (-1 |#2| |#1|) (-607 |#1|)) 17))) 
-(((-292 |#1| |#2|) (-10 -7 (-15 -2797 (|#2| (-1 |#2| |#1|) (-607 |#1|)))) (-296) (-296)) (T -292)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5)) (-5 *4 (-607 *5)) (-4 *5 (-296)) (-4 *2 (-296)) (-5 *1 (-292 *5 *2))))) 
-(-10 -7 (-15 -2797 (|#2| (-1 |#2| |#1|) (-607 |#1|)))) 
-((-2217 (((-121) (-215)) 10))) 
-(((-293 |#1| |#2|) (-10 -7 (-15 -2217 ((-121) (-215)))) (-215) (-215)) (T -293)) 
-((-2217 (*1 *2 *3) (-12 (-5 *3 (-215)) (-5 *2 (-121)) (-5 *1 (-293 *4 *5)) (-14 *4 *3) (-14 *5 *3)))) 
-(-10 -7 (-15 -2217 ((-121) (-215)))) 
-((-2251 (((-1141 (-215)) (-310 (-215)) (-634 (-1161)) (-1084 (-835 (-215)))) 88)) (-4233 (((-1141 (-215)) (-1244 (-310 (-215))) (-634 (-1161)) (-1084 (-835 (-215)))) 103) (((-1141 (-215)) (-310 (-215)) (-634 (-1161)) (-1084 (-835 (-215)))) 58)) (-2636 (((-634 (-1143)) (-1141 (-215))) NIL)) (-3533 (((-634 (-215)) (-310 (-215)) (-1161) (-1084 (-835 (-215)))) 55)) (-2895 (((-634 (-215)) (-953 (-409 (-568))) (-1161) (-1084 (-835 (-215)))) 47)) (-3706 (((-634 (-1143)) (-634 (-215))) NIL)) (-2793 (((-215) (-1084 (-835 (-215)))) 23)) (-3141 (((-215) (-1084 (-835 (-215)))) 24)) (-4274 (((-121) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 51)) (-3486 (((-1143) (-215)) NIL))) 
-(((-294) (-10 -7 (-15 -2793 ((-215) (-1084 (-835 (-215))))) (-15 -3141 ((-215) (-1084 (-835 (-215))))) (-15 -4274 ((-121) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -3533 ((-634 (-215)) (-310 (-215)) (-1161) (-1084 (-835 (-215))))) (-15 -2251 ((-1141 (-215)) (-310 (-215)) (-634 (-1161)) (-1084 (-835 (-215))))) (-15 -4233 ((-1141 (-215)) (-310 (-215)) (-634 (-1161)) (-1084 (-835 (-215))))) (-15 -4233 ((-1141 (-215)) (-1244 (-310 (-215))) (-634 (-1161)) (-1084 (-835 (-215))))) (-15 -2895 ((-634 (-215)) (-953 (-409 (-568))) (-1161) (-1084 (-835 (-215))))) (-15 -3486 ((-1143) (-215))) (-15 -3706 ((-634 (-1143)) (-634 (-215)))) (-15 -2636 ((-634 (-1143)) (-1141 (-215)))))) (T -294)) 
-((-2636 (*1 *2 *3) (-12 (-5 *3 (-1141 (-215))) (-5 *2 (-634 (-1143))) (-5 *1 (-294)))) (-3706 (*1 *2 *3) (-12 (-5 *3 (-634 (-215))) (-5 *2 (-634 (-1143))) (-5 *1 (-294)))) (-3486 (*1 *2 *3) (-12 (-5 *3 (-215)) (-5 *2 (-1143)) (-5 *1 (-294)))) (-2895 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-953 (-409 (-568)))) (-5 *4 (-1161)) (-5 *5 (-1084 (-835 (-215)))) (-5 *2 (-634 (-215))) (-5 *1 (-294)))) (-4233 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1244 (-310 (-215)))) (-5 *4 (-634 (-1161))) (-5 *5 (-1084 (-835 (-215)))) (-5 *2 (-1141 (-215))) (-5 *1 (-294)))) (-4233 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-310 (-215))) (-5 *4 (-634 (-1161))) (-5 *5 (-1084 (-835 (-215)))) (-5 *2 (-1141 (-215))) (-5 *1 (-294)))) (-2251 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-310 (-215))) (-5 *4 (-634 (-1161))) (-5 *5 (-1084 (-835 (-215)))) (-5 *2 (-1141 (-215))) (-5 *1 (-294)))) (-3533 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-310 (-215))) (-5 *4 (-1161)) (-5 *5 (-1084 (-835 (-215)))) (-5 *2 (-634 (-215))) (-5 *1 (-294)))) (-4274 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-121)) (-5 *1 (-294)))) (-3141 (*1 *2 *3) (-12 (-5 *3 (-1084 (-835 (-215)))) (-5 *2 (-215)) (-5 *1 (-294)))) (-2793 (*1 *2 *3) (-12 (-5 *3 (-1084 (-835 (-215)))) (-5 *2 (-215)) (-5 *1 (-294))))) 
-(-10 -7 (-15 -2793 ((-215) (-1084 (-835 (-215))))) (-15 -3141 ((-215) (-1084 (-835 (-215))))) (-15 -4274 ((-121) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -3533 ((-634 (-215)) (-310 (-215)) (-1161) (-1084 (-835 (-215))))) (-15 -2251 ((-1141 (-215)) (-310 (-215)) (-634 (-1161)) (-1084 (-835 (-215))))) (-15 -4233 ((-1141 (-215)) (-310 (-215)) (-634 (-1161)) (-1084 (-835 (-215))))) (-15 -4233 ((-1141 (-215)) (-1244 (-310 (-215))) (-634 (-1161)) (-1084 (-835 (-215))))) (-15 -2895 ((-634 (-215)) (-953 (-409 (-568))) (-1161) (-1084 (-835 (-215))))) (-15 -3486 ((-1143) (-215))) (-15 -3706 ((-634 (-1143)) (-634 (-215)))) (-15 -2636 ((-634 (-1143)) (-1141 (-215))))) 
-((-3145 (((-634 (-607 $)) $) 28)) (-4069 (($ $ (-288 $)) 80) (($ $ (-634 (-288 $))) 120) (($ $ (-634 (-607 $)) (-634 $)) NIL)) (-3668 (((-3 (-607 $) "failed") $) 110)) (-2857 (((-607 $) $) 109)) (-3855 (($ $) 19) (($ (-634 $)) 54)) (-2160 (((-634 (-123)) $) 37)) (-3842 (((-123) (-123)) 90)) (-2268 (((-121) $) 128)) (-2797 (($ (-1 $ $) (-607 $)) 88)) (-2337 (((-3 (-607 $) "failed") $) 92)) (-3446 (($ (-123) $) 60) (($ (-123) (-634 $)) 98)) (-3910 (((-121) $ (-123)) 114) (((-121) $ (-1161)) 113)) (-2963 (((-763) $) 45)) (-1609 (((-121) $ $) 58) (((-121) $ (-1161)) 49)) (-2080 (((-121) $) 126)) (-1339 (($ $ (-607 $) $) NIL) (($ $ (-634 (-607 $)) (-634 $)) NIL) (($ $ (-634 (-288 $))) 118) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL) (($ $ (-634 (-1161)) (-634 (-1 $ $))) 83) (($ $ (-634 (-1161)) (-634 (-1 $ (-634 $)))) NIL) (($ $ (-1161) (-1 $ (-634 $))) 68) (($ $ (-1161) (-1 $ $)) 74) (($ $ (-634 (-123)) (-634 (-1 $ $))) 82) (($ $ (-634 (-123)) (-634 (-1 $ (-634 $)))) 84) (($ $ (-123) (-1 $ (-634 $))) 70) (($ $ (-123) (-1 $ $)) 76)) (-2781 (($ (-123) $) 61) (($ (-123) $ $) 62) (($ (-123) $ $ $) 63) (($ (-123) $ $ $ $) 64) (($ (-123) (-634 $)) 106)) (-3924 (($ $) 51) (($ $ $) 116)) (-3159 (($ $) 17) (($ (-634 $)) 53)) (-2779 (((-121) (-123)) 22))) 
-(((-295 |#1|) (-10 -8 (-15 -2268 ((-121) |#1|)) (-15 -2080 ((-121) |#1|)) (-15 -1339 (|#1| |#1| (-123) (-1 |#1| |#1|))) (-15 -1339 (|#1| |#1| (-123) (-1 |#1| (-634 |#1|)))) (-15 -1339 (|#1| |#1| (-634 (-123)) (-634 (-1 |#1| (-634 |#1|))))) (-15 -1339 (|#1| |#1| (-634 (-123)) (-634 (-1 |#1| |#1|)))) (-15 -1339 (|#1| |#1| (-1161) (-1 |#1| |#1|))) (-15 -1339 (|#1| |#1| (-1161) (-1 |#1| (-634 |#1|)))) (-15 -1339 (|#1| |#1| (-634 (-1161)) (-634 (-1 |#1| (-634 |#1|))))) (-15 -1339 (|#1| |#1| (-634 (-1161)) (-634 (-1 |#1| |#1|)))) (-15 -1609 ((-121) |#1| (-1161))) (-15 -1609 ((-121) |#1| |#1|)) (-15 -2797 (|#1| (-1 |#1| |#1|) (-607 |#1|))) (-15 -3446 (|#1| (-123) (-634 |#1|))) (-15 -3446 (|#1| (-123) |#1|)) (-15 -3910 ((-121) |#1| (-1161))) (-15 -3910 ((-121) |#1| (-123))) (-15 -2779 ((-121) (-123))) (-15 -3842 ((-123) (-123))) (-15 -2160 ((-634 (-123)) |#1|)) (-15 -3145 ((-634 (-607 |#1|)) |#1|)) (-15 -2337 ((-3 (-607 |#1|) "failed") |#1|)) (-15 -2963 ((-763) |#1|)) (-15 -3924 (|#1| |#1| |#1|)) (-15 -3924 (|#1| |#1|)) (-15 -3855 (|#1| (-634 |#1|))) (-15 -3855 (|#1| |#1|)) (-15 -3159 (|#1| (-634 |#1|))) (-15 -3159 (|#1| |#1|)) (-15 -4069 (|#1| |#1| (-634 (-607 |#1|)) (-634 |#1|))) (-15 -4069 (|#1| |#1| (-634 (-288 |#1|)))) (-15 -4069 (|#1| |#1| (-288 |#1|))) (-15 -2781 (|#1| (-123) (-634 |#1|))) (-15 -2781 (|#1| (-123) |#1| |#1| |#1| |#1|)) (-15 -2781 (|#1| (-123) |#1| |#1| |#1|)) (-15 -2781 (|#1| (-123) |#1| |#1|)) (-15 -2781 (|#1| (-123) |#1|)) (-15 -1339 (|#1| |#1| (-634 |#1|) (-634 |#1|))) (-15 -1339 (|#1| |#1| |#1| |#1|)) (-15 -1339 (|#1| |#1| (-288 |#1|))) (-15 -1339 (|#1| |#1| (-634 (-288 |#1|)))) (-15 -1339 (|#1| |#1| (-634 (-607 |#1|)) (-634 |#1|))) (-15 -1339 (|#1| |#1| (-607 |#1|) |#1|)) (-15 -2857 ((-607 |#1|) |#1|)) (-15 -3668 ((-3 (-607 |#1|) "failed") |#1|))) (-296)) (T -295)) 
-((-3842 (*1 *2 *2) (-12 (-5 *2 (-123)) (-5 *1 (-295 *3)) (-4 *3 (-296)))) (-2779 (*1 *2 *3) (-12 (-5 *3 (-123)) (-5 *2 (-121)) (-5 *1 (-295 *4)) (-4 *4 (-296))))) 
-(-10 -8 (-15 -2268 ((-121) |#1|)) (-15 -2080 ((-121) |#1|)) (-15 -1339 (|#1| |#1| (-123) (-1 |#1| |#1|))) (-15 -1339 (|#1| |#1| (-123) (-1 |#1| (-634 |#1|)))) (-15 -1339 (|#1| |#1| (-634 (-123)) (-634 (-1 |#1| (-634 |#1|))))) (-15 -1339 (|#1| |#1| (-634 (-123)) (-634 (-1 |#1| |#1|)))) (-15 -1339 (|#1| |#1| (-1161) (-1 |#1| |#1|))) (-15 -1339 (|#1| |#1| (-1161) (-1 |#1| (-634 |#1|)))) (-15 -1339 (|#1| |#1| (-634 (-1161)) (-634 (-1 |#1| (-634 |#1|))))) (-15 -1339 (|#1| |#1| (-634 (-1161)) (-634 (-1 |#1| |#1|)))) (-15 -1609 ((-121) |#1| (-1161))) (-15 -1609 ((-121) |#1| |#1|)) (-15 -2797 (|#1| (-1 |#1| |#1|) (-607 |#1|))) (-15 -3446 (|#1| (-123) (-634 |#1|))) (-15 -3446 (|#1| (-123) |#1|)) (-15 -3910 ((-121) |#1| (-1161))) (-15 -3910 ((-121) |#1| (-123))) (-15 -2779 ((-121) (-123))) (-15 -3842 ((-123) (-123))) (-15 -2160 ((-634 (-123)) |#1|)) (-15 -3145 ((-634 (-607 |#1|)) |#1|)) (-15 -2337 ((-3 (-607 |#1|) "failed") |#1|)) (-15 -2963 ((-763) |#1|)) (-15 -3924 (|#1| |#1| |#1|)) (-15 -3924 (|#1| |#1|)) (-15 -3855 (|#1| (-634 |#1|))) (-15 -3855 (|#1| |#1|)) (-15 -3159 (|#1| (-634 |#1|))) (-15 -3159 (|#1| |#1|)) (-15 -4069 (|#1| |#1| (-634 (-607 |#1|)) (-634 |#1|))) (-15 -4069 (|#1| |#1| (-634 (-288 |#1|)))) (-15 -4069 (|#1| |#1| (-288 |#1|))) (-15 -2781 (|#1| (-123) (-634 |#1|))) (-15 -2781 (|#1| (-123) |#1| |#1| |#1| |#1|)) (-15 -2781 (|#1| (-123) |#1| |#1| |#1|)) (-15 -2781 (|#1| (-123) |#1| |#1|)) (-15 -2781 (|#1| (-123) |#1|)) (-15 -1339 (|#1| |#1| (-634 |#1|) (-634 |#1|))) (-15 -1339 (|#1| |#1| |#1| |#1|)) (-15 -1339 (|#1| |#1| (-288 |#1|))) (-15 -1339 (|#1| |#1| (-634 (-288 |#1|)))) (-15 -1339 (|#1| |#1| (-634 (-607 |#1|)) (-634 |#1|))) (-15 -1339 (|#1| |#1| (-607 |#1|) |#1|)) (-15 -2857 ((-607 |#1|) |#1|)) (-15 -3668 ((-3 (-607 |#1|) "failed") |#1|))) 
-((-2449 (((-121) $ $) 7)) (-3145 (((-634 (-607 $)) $) 43)) (-4069 (($ $ (-288 $)) 55) (($ $ (-634 (-288 $))) 54) (($ $ (-634 (-607 $)) (-634 $)) 53)) (-3668 (((-3 (-607 $) "failed") $) 68)) (-2857 (((-607 $) $) 67)) (-3855 (($ $) 50) (($ (-634 $)) 49)) (-2160 (((-634 (-123)) $) 42)) (-3842 (((-123) (-123)) 41)) (-2268 (((-121) $) 21 (|has| $ (-1037 (-568))))) (-3170 (((-1157 $) (-607 $)) 24 (|has| $ (-1047)))) (-1732 (($ $ $) 12)) (-2047 (($ $ $) 13)) (-2797 (($ (-1 $ $) (-607 $)) 35)) (-2337 (((-3 (-607 $) "failed") $) 45)) (-1893 (((-1143) $) 9)) (-3832 (((-634 (-607 $)) $) 44)) (-3446 (($ (-123) $) 37) (($ (-123) (-634 $)) 36)) (-3910 (((-121) $ (-123)) 39) (((-121) $ (-1161)) 38)) (-2963 (((-763) $) 46)) (-4025 (((-1108) $) 10)) (-1609 (((-121) $ $) 34) (((-121) $ (-1161)) 33)) (-2080 (((-121) $) 22 (|has| $ (-1037 (-568))))) (-1339 (($ $ (-607 $) $) 66) (($ $ (-634 (-607 $)) (-634 $)) 65) (($ $ (-634 (-288 $))) 64) (($ $ (-288 $)) 63) (($ $ $ $) 62) (($ $ (-634 $) (-634 $)) 61) (($ $ (-634 (-1161)) (-634 (-1 $ $))) 32) (($ $ (-634 (-1161)) (-634 (-1 $ (-634 $)))) 31) (($ $ (-1161) (-1 $ (-634 $))) 30) (($ $ (-1161) (-1 $ $)) 29) (($ $ (-634 (-123)) (-634 (-1 $ $))) 28) (($ $ (-634 (-123)) (-634 (-1 $ (-634 $)))) 27) (($ $ (-123) (-1 $ (-634 $))) 26) (($ $ (-123) (-1 $ $)) 25)) (-2781 (($ (-123) $) 60) (($ (-123) $ $) 59) (($ (-123) $ $ $) 58) (($ (-123) $ $ $ $) 57) (($ (-123) (-634 $)) 56)) (-3924 (($ $) 48) (($ $ $) 47)) (-1492 (($ $) 23 (|has| $ (-1047)))) (-2747 (((-850) $) 11) (($ (-607 $)) 69)) (-3159 (($ $) 52) (($ (-634 $)) 51)) (-2779 (((-121) (-123)) 40)) (-1753 (((-121) $ $) 15)) (-1740 (((-121) $ $) 16)) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 14)) (-1734 (((-121) $ $) 17))) 
-(((-296) (-1275)) (T -296)) 
-((-2781 (*1 *1 *2 *1) (-12 (-4 *1 (-296)) (-5 *2 (-123)))) (-2781 (*1 *1 *2 *1 *1) (-12 (-4 *1 (-296)) (-5 *2 (-123)))) (-2781 (*1 *1 *2 *1 *1 *1) (-12 (-4 *1 (-296)) (-5 *2 (-123)))) (-2781 (*1 *1 *2 *1 *1 *1 *1) (-12 (-4 *1 (-296)) (-5 *2 (-123)))) (-2781 (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-634 *1)) (-4 *1 (-296)))) (-4069 (*1 *1 *1 *2) (-12 (-5 *2 (-288 *1)) (-4 *1 (-296)))) (-4069 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-288 *1))) (-4 *1 (-296)))) (-4069 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-607 *1))) (-5 *3 (-634 *1)) (-4 *1 (-296)))) (-3159 (*1 *1 *1) (-4 *1 (-296))) (-3159 (*1 *1 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-296)))) (-3855 (*1 *1 *1) (-4 *1 (-296))) (-3855 (*1 *1 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-296)))) (-3924 (*1 *1 *1) (-4 *1 (-296))) (-3924 (*1 *1 *1 *1) (-4 *1 (-296))) (-2963 (*1 *2 *1) (-12 (-4 *1 (-296)) (-5 *2 (-763)))) (-2337 (*1 *2 *1) (|partial| -12 (-5 *2 (-607 *1)) (-4 *1 (-296)))) (-3832 (*1 *2 *1) (-12 (-5 *2 (-634 (-607 *1))) (-4 *1 (-296)))) (-3145 (*1 *2 *1) (-12 (-5 *2 (-634 (-607 *1))) (-4 *1 (-296)))) (-2160 (*1 *2 *1) (-12 (-4 *1 (-296)) (-5 *2 (-634 (-123))))) (-3842 (*1 *2 *2) (-12 (-4 *1 (-296)) (-5 *2 (-123)))) (-2779 (*1 *2 *3) (-12 (-4 *1 (-296)) (-5 *3 (-123)) (-5 *2 (-121)))) (-3910 (*1 *2 *1 *3) (-12 (-4 *1 (-296)) (-5 *3 (-123)) (-5 *2 (-121)))) (-3910 (*1 *2 *1 *3) (-12 (-4 *1 (-296)) (-5 *3 (-1161)) (-5 *2 (-121)))) (-3446 (*1 *1 *2 *1) (-12 (-4 *1 (-296)) (-5 *2 (-123)))) (-3446 (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-634 *1)) (-4 *1 (-296)))) (-2797 (*1 *1 *2 *3) (-12 (-5 *2 (-1 *1 *1)) (-5 *3 (-607 *1)) (-4 *1 (-296)))) (-1609 (*1 *2 *1 *1) (-12 (-4 *1 (-296)) (-5 *2 (-121)))) (-1609 (*1 *2 *1 *3) (-12 (-4 *1 (-296)) (-5 *3 (-1161)) (-5 *2 (-121)))) (-1339 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-1161))) (-5 *3 (-634 (-1 *1 *1))) (-4 *1 (-296)))) (-1339 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-1161))) (-5 *3 (-634 (-1 *1 (-634 *1)))) (-4 *1 (-296)))) (-1339 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1 *1 (-634 *1))) (-4 *1 (-296)))) (-1339 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1 *1 *1)) (-4 *1 (-296)))) (-1339 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-123))) (-5 *3 (-634 (-1 *1 *1))) (-4 *1 (-296)))) (-1339 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-123))) (-5 *3 (-634 (-1 *1 (-634 *1)))) (-4 *1 (-296)))) (-1339 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *1 (-634 *1))) (-4 *1 (-296)))) (-1339 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *1 *1)) (-4 *1 (-296)))) (-3170 (*1 *2 *3) (-12 (-5 *3 (-607 *1)) (-4 *1 (-1047)) (-4 *1 (-296)) (-5 *2 (-1157 *1)))) (-1492 (*1 *1 *1) (-12 (-4 *1 (-1047)) (-4 *1 (-296)))) (-2080 (*1 *2 *1) (-12 (-4 *1 (-1037 (-568))) (-4 *1 (-296)) (-5 *2 (-121)))) (-2268 (*1 *2 *1) (-12 (-4 *1 (-1037 (-568))) (-4 *1 (-296)) (-5 *2 (-121))))) 
-(-13 (-842) (-1037 (-607 $)) (-523 (-607 $) $) (-303 $) (-10 -8 (-15 -2781 ($ (-123) $)) (-15 -2781 ($ (-123) $ $)) (-15 -2781 ($ (-123) $ $ $)) (-15 -2781 ($ (-123) $ $ $ $)) (-15 -2781 ($ (-123) (-634 $))) (-15 -4069 ($ $ (-288 $))) (-15 -4069 ($ $ (-634 (-288 $)))) (-15 -4069 ($ $ (-634 (-607 $)) (-634 $))) (-15 -3159 ($ $)) (-15 -3159 ($ (-634 $))) (-15 -3855 ($ $)) (-15 -3855 ($ (-634 $))) (-15 -3924 ($ $)) (-15 -3924 ($ $ $)) (-15 -2963 ((-763) $)) (-15 -2337 ((-3 (-607 $) "failed") $)) (-15 -3832 ((-634 (-607 $)) $)) (-15 -3145 ((-634 (-607 $)) $)) (-15 -2160 ((-634 (-123)) $)) (-15 -3842 ((-123) (-123))) (-15 -2779 ((-121) (-123))) (-15 -3910 ((-121) $ (-123))) (-15 -3910 ((-121) $ (-1161))) (-15 -3446 ($ (-123) $)) (-15 -3446 ($ (-123) (-634 $))) (-15 -2797 ($ (-1 $ $) (-607 $))) (-15 -1609 ((-121) $ $)) (-15 -1609 ((-121) $ (-1161))) (-15 -1339 ($ $ (-634 (-1161)) (-634 (-1 $ $)))) (-15 -1339 ($ $ (-634 (-1161)) (-634 (-1 $ (-634 $))))) (-15 -1339 ($ $ (-1161) (-1 $ (-634 $)))) (-15 -1339 ($ $ (-1161) (-1 $ $))) (-15 -1339 ($ $ (-634 (-123)) (-634 (-1 $ $)))) (-15 -1339 ($ $ (-634 (-123)) (-634 (-1 $ (-634 $))))) (-15 -1339 ($ $ (-123) (-1 $ (-634 $)))) (-15 -1339 ($ $ (-123) (-1 $ $))) (IF (|has| $ (-1047)) (PROGN (-15 -3170 ((-1157 $) (-607 $))) (-15 -1492 ($ $))) |noBranch|) (IF (|has| $ (-1037 (-568))) (PROGN (-15 -2080 ((-121) $)) (-15 -2268 ((-121) $))) |noBranch|))) 
-(((-105) . T) ((-608 (-850)) . T) ((-303 $) . T) ((-523 (-607 $) $) . T) ((-523 $ $) . T) ((-842) . T) ((-1037 (-607 $)) . T) ((-1090) . T)) 
-((-2914 (((-634 |#1|) (-634 |#1|)) 10))) 
-(((-297 |#1|) (-10 -7 (-15 -2914 ((-634 |#1|) (-634 |#1|)))) (-840)) (T -297)) 
-((-2914 (*1 *2 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-840)) (-5 *1 (-297 *3))))) 
-(-10 -7 (-15 -2914 ((-634 |#1|) (-634 |#1|)))) 
-((-2797 (((-679 |#2|) (-1 |#2| |#1|) (-679 |#1|)) 15))) 
-(((-298 |#1| |#2|) (-10 -7 (-15 -2797 ((-679 |#2|) (-1 |#2| |#1|) (-679 |#1|)))) (-1047) (-1047)) (T -298)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-679 *5)) (-4 *5 (-1047)) (-4 *6 (-1047)) (-5 *2 (-679 *6)) (-5 *1 (-298 *5 *6))))) 
-(-10 -7 (-15 -2797 ((-679 |#2|) (-1 |#2| |#1|) (-679 |#1|)))) 
-((-3721 (((-1244 (-310 (-381))) (-1244 (-310 (-215)))) 105)) (-3289 (((-1084 (-835 (-215))) (-1084 (-835 (-381)))) 39)) (-2636 (((-634 (-1143)) (-1141 (-215))) 87)) (-1982 (((-310 (-381)) (-953 (-215))) 49)) (-3091 (((-215) (-953 (-215))) 45)) (-1514 (((-1143) (-381)) 167)) (-2407 (((-835 (-215)) (-835 (-381))) 33)) (-2961 (((-2 (|:| |additions| (-568)) (|:| |multiplications| (-568)) (|:| |exponentiations| (-568)) (|:| |functionCalls| (-568))) (-1244 (-310 (-215)))) 142)) (-2122 (((-1035) (-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))) (|:| |extra| (-1035)))) 180) (((-1035) (-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))))) 178)) (-2908 (((-679 (-215)) (-634 (-215)) (-763)) 13)) (-4412 (((-1244 (-688)) (-634 (-215))) 94)) (-3706 (((-634 (-1143)) (-634 (-215))) 74)) (-2260 (((-3 (-310 (-215)) "failed") (-310 (-215))) 120)) (-2217 (((-121) (-215) (-1084 (-835 (-215)))) 109)) (-2672 (((-1035) (-2 (|:| |stiffness| (-381)) (|:| |stability| (-381)) (|:| |expense| (-381)) (|:| |accuracy| (-381)) (|:| |intermediateResults| (-381)))) 198)) (-2793 (((-215) (-1084 (-835 (-215)))) 107)) (-3141 (((-215) (-1084 (-835 (-215)))) 108)) (-3585 (((-215) (-409 (-568))) 26)) (-4072 (((-1143) (-381)) 72)) (-1383 (((-215) (-381)) 17)) (-1402 (((-381) (-1244 (-310 (-215)))) 153)) (-1579 (((-310 (-215)) (-310 (-381))) 23)) (-2714 (((-409 (-568)) (-310 (-215))) 52)) (-2177 (((-310 (-409 (-568))) (-310 (-215))) 68)) (-2311 (((-310 (-381)) (-310 (-215))) 98)) (-3242 (((-215) (-310 (-215))) 53)) (-2985 (((-634 (-215)) (-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))))) 63)) (-3216 (((-1084 (-835 (-215))) (-1084 (-835 (-215)))) 60)) (-3486 (((-1143) (-215)) 71)) (-2202 (((-688) (-215)) 90)) (-2743 (((-409 (-568)) (-215)) 54)) (-3310 (((-310 (-381)) (-215)) 48)) (-4280 (((-634 (-1084 (-835 (-215)))) (-634 (-1084 (-835 (-381))))) 42)) (-2770 (((-1035) (-634 (-1035))) 163) (((-1035) (-1035) (-1035)) 160)) (-3929 (((-1035) (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) 194))) 
-(((-299) (-10 -7 (-15 -1383 ((-215) (-381))) (-15 -1579 ((-310 (-215)) (-310 (-381)))) (-15 -2407 ((-835 (-215)) (-835 (-381)))) (-15 -3289 ((-1084 (-835 (-215))) (-1084 (-835 (-381))))) (-15 -4280 ((-634 (-1084 (-835 (-215)))) (-634 (-1084 (-835 (-381)))))) (-15 -2743 ((-409 (-568)) (-215))) (-15 -2714 ((-409 (-568)) (-310 (-215)))) (-15 -3242 ((-215) (-310 (-215)))) (-15 -2260 ((-3 (-310 (-215)) "failed") (-310 (-215)))) (-15 -1402 ((-381) (-1244 (-310 (-215))))) (-15 -2961 ((-2 (|:| |additions| (-568)) (|:| |multiplications| (-568)) (|:| |exponentiations| (-568)) (|:| |functionCalls| (-568))) (-1244 (-310 (-215))))) (-15 -2177 ((-310 (-409 (-568))) (-310 (-215)))) (-15 -3216 ((-1084 (-835 (-215))) (-1084 (-835 (-215))))) (-15 -2985 ((-634 (-215)) (-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))))) (-15 -2202 ((-688) (-215))) (-15 -4412 ((-1244 (-688)) (-634 (-215)))) (-15 -2311 ((-310 (-381)) (-310 (-215)))) (-15 -3721 ((-1244 (-310 (-381))) (-1244 (-310 (-215))))) (-15 -2217 ((-121) (-215) (-1084 (-835 (-215))))) (-15 -3486 ((-1143) (-215))) (-15 -4072 ((-1143) (-381))) (-15 -3706 ((-634 (-1143)) (-634 (-215)))) (-15 -2636 ((-634 (-1143)) (-1141 (-215)))) (-15 -2793 ((-215) (-1084 (-835 (-215))))) (-15 -3141 ((-215) (-1084 (-835 (-215))))) (-15 -2770 ((-1035) (-1035) (-1035))) (-15 -2770 ((-1035) (-634 (-1035)))) (-15 -1514 ((-1143) (-381))) (-15 -2122 ((-1035) (-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143)))))) (-15 -2122 ((-1035) (-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))) (|:| |extra| (-1035))))) (-15 -3929 ((-1035) (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))) (-15 -2672 ((-1035) (-2 (|:| |stiffness| (-381)) (|:| |stability| (-381)) (|:| |expense| (-381)) (|:| |accuracy| (-381)) (|:| |intermediateResults| (-381))))) (-15 -1982 ((-310 (-381)) (-953 (-215)))) (-15 -3091 ((-215) (-953 (-215)))) (-15 -3310 ((-310 (-381)) (-215))) (-15 -3585 ((-215) (-409 (-568)))) (-15 -2908 ((-679 (-215)) (-634 (-215)) (-763))))) (T -299)) 
-((-2908 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-215))) (-5 *4 (-763)) (-5 *2 (-679 (-215))) (-5 *1 (-299)))) (-3585 (*1 *2 *3) (-12 (-5 *3 (-409 (-568))) (-5 *2 (-215)) (-5 *1 (-299)))) (-3310 (*1 *2 *3) (-12 (-5 *3 (-215)) (-5 *2 (-310 (-381))) (-5 *1 (-299)))) (-3091 (*1 *2 *3) (-12 (-5 *3 (-953 (-215))) (-5 *2 (-215)) (-5 *1 (-299)))) (-1982 (*1 *2 *3) (-12 (-5 *3 (-953 (-215))) (-5 *2 (-310 (-381))) (-5 *1 (-299)))) (-2672 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |stiffness| (-381)) (|:| |stability| (-381)) (|:| |expense| (-381)) (|:| |accuracy| (-381)) (|:| |intermediateResults| (-381)))) (-5 *2 (-1035)) (-5 *1 (-299)))) (-3929 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *2 (-1035)) (-5 *1 (-299)))) (-2122 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))) (|:| |extra| (-1035)))) (-5 *2 (-1035)) (-5 *1 (-299)))) (-2122 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))))) (-5 *2 (-1035)) (-5 *1 (-299)))) (-1514 (*1 *2 *3) (-12 (-5 *3 (-381)) (-5 *2 (-1143)) (-5 *1 (-299)))) (-2770 (*1 *2 *3) (-12 (-5 *3 (-634 (-1035))) (-5 *2 (-1035)) (-5 *1 (-299)))) (-2770 (*1 *2 *2 *2) (-12 (-5 *2 (-1035)) (-5 *1 (-299)))) (-3141 (*1 *2 *3) (-12 (-5 *3 (-1084 (-835 (-215)))) (-5 *2 (-215)) (-5 *1 (-299)))) (-2793 (*1 *2 *3) (-12 (-5 *3 (-1084 (-835 (-215)))) (-5 *2 (-215)) (-5 *1 (-299)))) (-2636 (*1 *2 *3) (-12 (-5 *3 (-1141 (-215))) (-5 *2 (-634 (-1143))) (-5 *1 (-299)))) (-3706 (*1 *2 *3) (-12 (-5 *3 (-634 (-215))) (-5 *2 (-634 (-1143))) (-5 *1 (-299)))) (-4072 (*1 *2 *3) (-12 (-5 *3 (-381)) (-5 *2 (-1143)) (-5 *1 (-299)))) (-3486 (*1 *2 *3) (-12 (-5 *3 (-215)) (-5 *2 (-1143)) (-5 *1 (-299)))) (-2217 (*1 *2 *3 *4) (-12 (-5 *4 (-1084 (-835 (-215)))) (-5 *3 (-215)) (-5 *2 (-121)) (-5 *1 (-299)))) (-3721 (*1 *2 *3) (-12 (-5 *3 (-1244 (-310 (-215)))) (-5 *2 (-1244 (-310 (-381)))) (-5 *1 (-299)))) (-2311 (*1 *2 *3) (-12 (-5 *3 (-310 (-215))) (-5 *2 (-310 (-381))) (-5 *1 (-299)))) (-4412 (*1 *2 *3) (-12 (-5 *3 (-634 (-215))) (-5 *2 (-1244 (-688))) (-5 *1 (-299)))) (-2202 (*1 *2 *3) (-12 (-5 *3 (-215)) (-5 *2 (-688)) (-5 *1 (-299)))) (-2985 (*1 *2 *3) (-12 (-5 *3 (-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))))) (-5 *2 (-634 (-215))) (-5 *1 (-299)))) (-3216 (*1 *2 *2) (-12 (-5 *2 (-1084 (-835 (-215)))) (-5 *1 (-299)))) (-2177 (*1 *2 *3) (-12 (-5 *3 (-310 (-215))) (-5 *2 (-310 (-409 (-568)))) (-5 *1 (-299)))) (-2961 (*1 *2 *3) (-12 (-5 *3 (-1244 (-310 (-215)))) (-5 *2 (-2 (|:| |additions| (-568)) (|:| |multiplications| (-568)) (|:| |exponentiations| (-568)) (|:| |functionCalls| (-568)))) (-5 *1 (-299)))) (-1402 (*1 *2 *3) (-12 (-5 *3 (-1244 (-310 (-215)))) (-5 *2 (-381)) (-5 *1 (-299)))) (-2260 (*1 *2 *2) (|partial| -12 (-5 *2 (-310 (-215))) (-5 *1 (-299)))) (-3242 (*1 *2 *3) (-12 (-5 *3 (-310 (-215))) (-5 *2 (-215)) (-5 *1 (-299)))) (-2714 (*1 *2 *3) (-12 (-5 *3 (-310 (-215))) (-5 *2 (-409 (-568))) (-5 *1 (-299)))) (-2743 (*1 *2 *3) (-12 (-5 *3 (-215)) (-5 *2 (-409 (-568))) (-5 *1 (-299)))) (-4280 (*1 *2 *3) (-12 (-5 *3 (-634 (-1084 (-835 (-381))))) (-5 *2 (-634 (-1084 (-835 (-215))))) (-5 *1 (-299)))) (-3289 (*1 *2 *3) (-12 (-5 *3 (-1084 (-835 (-381)))) (-5 *2 (-1084 (-835 (-215)))) (-5 *1 (-299)))) (-2407 (*1 *2 *3) (-12 (-5 *3 (-835 (-381))) (-5 *2 (-835 (-215))) (-5 *1 (-299)))) (-1579 (*1 *2 *3) (-12 (-5 *3 (-310 (-381))) (-5 *2 (-310 (-215))) (-5 *1 (-299)))) (-1383 (*1 *2 *3) (-12 (-5 *3 (-381)) (-5 *2 (-215)) (-5 *1 (-299))))) 
-(-10 -7 (-15 -1383 ((-215) (-381))) (-15 -1579 ((-310 (-215)) (-310 (-381)))) (-15 -2407 ((-835 (-215)) (-835 (-381)))) (-15 -3289 ((-1084 (-835 (-215))) (-1084 (-835 (-381))))) (-15 -4280 ((-634 (-1084 (-835 (-215)))) (-634 (-1084 (-835 (-381)))))) (-15 -2743 ((-409 (-568)) (-215))) (-15 -2714 ((-409 (-568)) (-310 (-215)))) (-15 -3242 ((-215) (-310 (-215)))) (-15 -2260 ((-3 (-310 (-215)) "failed") (-310 (-215)))) (-15 -1402 ((-381) (-1244 (-310 (-215))))) (-15 -2961 ((-2 (|:| |additions| (-568)) (|:| |multiplications| (-568)) (|:| |exponentiations| (-568)) (|:| |functionCalls| (-568))) (-1244 (-310 (-215))))) (-15 -2177 ((-310 (-409 (-568))) (-310 (-215)))) (-15 -3216 ((-1084 (-835 (-215))) (-1084 (-835 (-215))))) (-15 -2985 ((-634 (-215)) (-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))))) (-15 -2202 ((-688) (-215))) (-15 -4412 ((-1244 (-688)) (-634 (-215)))) (-15 -2311 ((-310 (-381)) (-310 (-215)))) (-15 -3721 ((-1244 (-310 (-381))) (-1244 (-310 (-215))))) (-15 -2217 ((-121) (-215) (-1084 (-835 (-215))))) (-15 -3486 ((-1143) (-215))) (-15 -4072 ((-1143) (-381))) (-15 -3706 ((-634 (-1143)) (-634 (-215)))) (-15 -2636 ((-634 (-1143)) (-1141 (-215)))) (-15 -2793 ((-215) (-1084 (-835 (-215))))) (-15 -3141 ((-215) (-1084 (-835 (-215))))) (-15 -2770 ((-1035) (-1035) (-1035))) (-15 -2770 ((-1035) (-634 (-1035)))) (-15 -1514 ((-1143) (-381))) (-15 -2122 ((-1035) (-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143)))))) (-15 -2122 ((-1035) (-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))) (|:| |extra| (-1035))))) (-15 -3929 ((-1035) (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))) (-15 -2672 ((-1035) (-2 (|:| |stiffness| (-381)) (|:| |stability| (-381)) (|:| |expense| (-381)) (|:| |accuracy| (-381)) (|:| |intermediateResults| (-381))))) (-15 -1982 ((-310 (-381)) (-953 (-215)))) (-15 -3091 ((-215) (-953 (-215)))) (-15 -3310 ((-310 (-381)) (-215))) (-15 -3585 ((-215) (-409 (-568)))) (-15 -2908 ((-679 (-215)) (-634 (-215)) (-763)))) 
-((-2589 (((-121) $ $) 11)) (-2403 (($ $ $) 15)) (-2414 (($ $ $) 14)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 43)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 52)) (-2723 (($ $ $) 21) (($ (-634 $)) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 31) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 36)) (-2597 (((-3 $ "failed") $ $) 18)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 45))) 
-(((-300 |#1|) (-10 -8 (-15 -2855 ((-3 (-634 |#1|) "failed") (-634 |#1|) |#1|)) (-15 -3833 ((-3 (-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|)) "failed") |#1| |#1| |#1|)) (-15 -3833 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -2707 |#1|)) |#1| |#1|)) (-15 -2403 (|#1| |#1| |#1|)) (-15 -2414 (|#1| |#1| |#1|)) (-15 -2589 ((-121) |#1| |#1|)) (-15 -3922 ((-3 (-634 |#1|) "failed") (-634 |#1|) |#1|)) (-15 -4422 ((-2 (|:| -2350 (-634 |#1|)) (|:| -2707 |#1|)) (-634 |#1|))) (-15 -2723 (|#1| (-634 |#1|))) (-15 -2723 (|#1| |#1| |#1|)) (-15 -2597 ((-3 |#1| "failed") |#1| |#1|))) (-301)) (T -300)) 
-NIL 
-(-10 -8 (-15 -2855 ((-3 (-634 |#1|) "failed") (-634 |#1|) |#1|)) (-15 -3833 ((-3 (-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|)) "failed") |#1| |#1| |#1|)) (-15 -3833 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -2707 |#1|)) |#1| |#1|)) (-15 -2403 (|#1| |#1| |#1|)) (-15 -2414 (|#1| |#1| |#1|)) (-15 -2589 ((-121) |#1| |#1|)) (-15 -3922 ((-3 (-634 |#1|) "failed") (-634 |#1|) |#1|)) (-15 -4422 ((-2 (|:| -2350 (-634 |#1|)) (|:| -2707 |#1|)) (-634 |#1|))) (-15 -2723 (|#1| (-634 |#1|))) (-15 -2723 (|#1| |#1| |#1|)) (-15 -2597 ((-3 |#1| "failed") |#1| |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 40)) (-3661 (($ $) 39)) (-4426 (((-121) $) 37)) (-2689 (((-3 $ "failed") $ $) 18)) (-2589 (((-121) $ $) 57)) (-4490 (($) 16 T CONST)) (-2403 (($ $ $) 53)) (-2902 (((-3 $ "failed") $) 33)) (-2414 (($ $ $) 54)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 49)) (-1598 (((-121) $) 30)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 50)) (-2498 (($ $ $) 45) (($ (-634 $)) 44)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 43)) (-2723 (($ $ $) 47) (($ (-634 $)) 46)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2597 (((-3 $ "failed") $ $) 41)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 48)) (-1466 (((-763) $) 56)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 55)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ $) 42)) (-3425 (((-763)) 28)) (-2273 (((-121) $ $) 38)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23))) 
-(((-301) (-1275)) (T -301)) 
-((-2589 (*1 *2 *1 *1) (-12 (-4 *1 (-301)) (-5 *2 (-121)))) (-1466 (*1 *2 *1) (-12 (-4 *1 (-301)) (-5 *2 (-763)))) (-1854 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -4409 *1) (|:| -2607 *1))) (-4 *1 (-301)))) (-2414 (*1 *1 *1 *1) (-4 *1 (-301))) (-2403 (*1 *1 *1 *1) (-4 *1 (-301))) (-3833 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -2707 *1))) (-4 *1 (-301)))) (-3833 (*1 *2 *1 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-301)))) (-2855 (*1 *2 *2 *1) (|partial| -12 (-5 *2 (-634 *1)) (-4 *1 (-301))))) 
-(-13 (-916) (-10 -8 (-15 -2589 ((-121) $ $)) (-15 -1466 ((-763) $)) (-15 -1854 ((-2 (|:| -4409 $) (|:| -2607 $)) $ $)) (-15 -2414 ($ $ $)) (-15 -2403 ($ $ $)) (-15 -3833 ((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $)) (-15 -3833 ((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $)) (-15 -2855 ((-3 (-634 $) "failed") (-634 $) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-137) . T) ((-608 (-850)) . T) ((-172) . T) ((-285) . T) ((-453) . T) ((-558) . T) ((-637 $) . T) ((-707 $) . T) ((-716) . T) ((-916) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-1339 (($ $ (-634 |#2|) (-634 |#2|)) 14) (($ $ |#2| |#2|) NIL) (($ $ (-288 |#2|)) 11) (($ $ (-634 (-288 |#2|))) NIL))) 
-(((-302 |#1| |#2|) (-10 -8 (-15 -1339 (|#1| |#1| (-634 (-288 |#2|)))) (-15 -1339 (|#1| |#1| (-288 |#2|))) (-15 -1339 (|#1| |#1| |#2| |#2|)) (-15 -1339 (|#1| |#1| (-634 |#2|) (-634 |#2|)))) (-303 |#2|) (-1090)) (T -302)) 
-NIL 
-(-10 -8 (-15 -1339 (|#1| |#1| (-634 (-288 |#2|)))) (-15 -1339 (|#1| |#1| (-288 |#2|))) (-15 -1339 (|#1| |#1| |#2| |#2|)) (-15 -1339 (|#1| |#1| (-634 |#2|) (-634 |#2|)))) 
-((-1339 (($ $ (-634 |#1|) (-634 |#1|)) 7) (($ $ |#1| |#1|) 6) (($ $ (-288 |#1|)) 9) (($ $ (-634 (-288 |#1|))) 8))) 
-(((-303 |#1|) (-1275) (-1090)) (T -303)) 
-((-1339 (*1 *1 *1 *2) (-12 (-5 *2 (-288 *3)) (-4 *1 (-303 *3)) (-4 *3 (-1090)))) (-1339 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-288 *3))) (-4 *1 (-303 *3)) (-4 *3 (-1090))))) 
-(-13 (-523 |t#1| |t#1|) (-10 -8 (-15 -1339 ($ $ (-288 |t#1|))) (-15 -1339 ($ $ (-634 (-288 |t#1|)))))) 
-(((-523 |#1| |#1|) . T)) 
-((-1339 ((|#1| (-1 |#1| (-568)) (-1163 (-409 (-568)))) 24))) 
-(((-304 |#1|) (-10 -7 (-15 -1339 (|#1| (-1 |#1| (-568)) (-1163 (-409 (-568)))))) (-43 (-409 (-568)))) (T -304)) 
-((-1339 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-568))) (-5 *4 (-1163 (-409 (-568)))) (-5 *1 (-304 *2)) (-4 *2 (-43 (-409 (-568))))))) 
-(-10 -7 (-15 -1339 (|#1| (-1 |#1| (-568)) (-1163 (-409 (-568)))))) 
-((-2449 (((-121) $ $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) 7)) (-1719 (((-121) $ $) 9))) 
-(((-305) (-1090)) (T -305)) 
-NIL 
-(-1090) 
-((-3335 (((-1249) (-1149 3 (-215)) (-1143)) 38))) 
-(((-306) (-10 -7 (-15 -3335 ((-1249) (-1149 3 (-215)) (-1143))))) (T -306)) 
-((-3335 (*1 *2 *3 *4) (-12 (-5 *3 (-1149 3 (-215))) (-5 *4 (-1143)) (-5 *2 (-1249)) (-5 *1 (-306))))) 
-(-10 -7 (-15 -3335 ((-1249) (-1149 3 (-215)) (-1143)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 62)) (-2563 (((-1229 |#1| |#2| |#3| |#4|) $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-301)))) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-904)))) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-904)))) (-2589 (((-121) $ $) NIL)) (-3337 (((-568) $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-815)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-1229 |#1| |#2| |#3| |#4|) "failed") $) NIL) (((-3 (-1161) "failed") $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-1037 (-1161)))) (((-3 (-409 (-568)) "failed") $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-1037 (-568)))) (((-3 (-568) "failed") $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-1037 (-568)))) (((-3 (-1228 |#2| |#3| |#4|) "failed") $) 24)) (-2857 (((-1229 |#1| |#2| |#3| |#4|) $) NIL) (((-1161) $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-1037 (-1161)))) (((-409 (-568)) $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-1037 (-568)))) (((-568) $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-1037 (-568)))) (((-1228 |#2| |#3| |#4|) $) NIL)) (-2403 (($ $ $) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-630 (-568)))) (((-2 (|:| -2908 (-679 (-1229 |#1| |#2| |#3| |#4|))) (|:| |vec| (-1244 (-1229 |#1| |#2| |#3| |#4|)))) (-679 $) (-1244 $)) NIL) (((-679 (-1229 |#1| |#2| |#3| |#4|)) (-679 $)) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1733 (($) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-550)))) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-2197 (((-121) $) NIL)) (-1436 (((-121) $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-815)))) (-1519 (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-881 (-568)))) (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-881 (-381))))) (-1598 (((-121) $) NIL)) (-3539 (($ $) NIL)) (-2319 (((-1229 |#1| |#2| |#3| |#4|) $) 21)) (-2214 (((-3 $ "failed") $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-1136)))) (-2859 (((-121) $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-815)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1732 (($ $ $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-842)))) (-2047 (($ $ $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-842)))) (-2797 (($ (-1 (-1229 |#1| |#2| |#3| |#4|) (-1229 |#1| |#2| |#3| |#4|)) $) NIL)) (-4200 (((-3 (-835 |#2|) "failed") $) 76)) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL)) (-4436 (($) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-1136)) CONST)) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1999 (($ $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-301)))) (-4115 (((-1229 |#1| |#2| |#3| |#4|) $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-550)))) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-904)))) (-3850 (((-420 $) $) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1339 (($ $ (-634 (-1229 |#1| |#2| |#3| |#4|)) (-634 (-1229 |#1| |#2| |#3| |#4|))) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-303 (-1229 |#1| |#2| |#3| |#4|)))) (($ $ (-1229 |#1| |#2| |#3| |#4|) (-1229 |#1| |#2| |#3| |#4|)) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-303 (-1229 |#1| |#2| |#3| |#4|)))) (($ $ (-288 (-1229 |#1| |#2| |#3| |#4|))) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-303 (-1229 |#1| |#2| |#3| |#4|)))) (($ $ (-634 (-288 (-1229 |#1| |#2| |#3| |#4|)))) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-303 (-1229 |#1| |#2| |#3| |#4|)))) (($ $ (-634 (-1161)) (-634 (-1229 |#1| |#2| |#3| |#4|))) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-523 (-1161) (-1229 |#1| |#2| |#3| |#4|)))) (($ $ (-1161) (-1229 |#1| |#2| |#3| |#4|)) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-523 (-1161) (-1229 |#1| |#2| |#3| |#4|))))) (-1466 (((-763) $) NIL)) (-2781 (($ $ (-1229 |#1| |#2| |#3| |#4|)) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-281 (-1229 |#1| |#2| |#3| |#4|) (-1229 |#1| |#2| |#3| |#4|))))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-4191 (($ $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-225))) (($ $ (-763)) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-225))) (($ $ (-1161)) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-895 (-1161)))) (($ $ (-1 (-1229 |#1| |#2| |#3| |#4|) (-1229 |#1| |#2| |#3| |#4|)) (-763)) NIL) (($ $ (-1 (-1229 |#1| |#2| |#3| |#4|) (-1229 |#1| |#2| |#3| |#4|))) NIL)) (-3210 (($ $) NIL)) (-2326 (((-1229 |#1| |#2| |#3| |#4|) $) 17)) (-4280 (((-887 (-568)) $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-609 (-887 (-568))))) (((-887 (-381)) $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-609 (-887 (-381))))) (((-541) $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-609 (-541)))) (((-381) $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-1021))) (((-215) $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-1021)))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-12 (|has| $ (-148)) (|has| (-1229 |#1| |#2| |#3| |#4|) (-904))))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ $) NIL) (($ (-409 (-568))) NIL) (($ (-1229 |#1| |#2| |#3| |#4|)) 28) (($ (-1161)) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-1037 (-1161)))) (($ (-1228 |#2| |#3| |#4|)) 36)) (-3385 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| (-1229 |#1| |#2| |#3| |#4|) (-904))) (|has| (-1229 |#1| |#2| |#3| |#4|) (-148))))) (-3425 (((-763)) NIL)) (-3520 (((-1229 |#1| |#2| |#3| |#4|) $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-550)))) (-2273 (((-121) $ $) NIL)) (-2811 (($ $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-815)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) 41 T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($ $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-225))) (($ $ (-763)) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-225))) (($ $ (-1161)) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-895 (-1161)))) (($ $ (-1 (-1229 |#1| |#2| |#3| |#4|) (-1229 |#1| |#2| |#3| |#4|)) (-763)) NIL) (($ $ (-1 (-1229 |#1| |#2| |#3| |#4|) (-1229 |#1| |#2| |#3| |#4|))) NIL)) (-1753 (((-121) $ $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-842)))) (-1740 (((-121) $ $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-842)))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-842)))) (-1734 (((-121) $ $) NIL (|has| (-1229 |#1| |#2| |#3| |#4|) (-842)))) (-1781 (($ $ $) 33) (($ (-1229 |#1| |#2| |#3| |#4|) (-1229 |#1| |#2| |#3| |#4|)) 30)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL) (($ (-1229 |#1| |#2| |#3| |#4|) $) 29) (($ $ (-1229 |#1| |#2| |#3| |#4|)) NIL))) 
-(((-307 |#1| |#2| |#3| |#4|) (-13 (-993 (-1229 |#1| |#2| |#3| |#4|)) (-1037 (-1228 |#2| |#3| |#4|)) (-10 -8 (-15 -4200 ((-3 (-835 |#2|) "failed") $)) (-15 -2747 ($ (-1228 |#2| |#3| |#4|))))) (-13 (-842) (-1037 (-568)) (-630 (-568)) (-453)) (-13 (-27) (-1181) (-432 |#1|)) (-1161) |#2|) (T -307)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1228 *4 *5 *6)) (-4 *4 (-13 (-27) (-1181) (-432 *3))) (-14 *5 (-1161)) (-14 *6 *4) (-4 *3 (-13 (-842) (-1037 (-568)) (-630 (-568)) (-453))) (-5 *1 (-307 *3 *4 *5 *6)))) (-4200 (*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-842) (-1037 (-568)) (-630 (-568)) (-453))) (-5 *2 (-835 *4)) (-5 *1 (-307 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1181) (-432 *3))) (-14 *5 (-1161)) (-14 *6 *4)))) 
-(-13 (-993 (-1229 |#1| |#2| |#3| |#4|)) (-1037 (-1228 |#2| |#3| |#4|)) (-10 -8 (-15 -4200 ((-3 (-835 |#2|) "failed") $)) (-15 -2747 ($ (-1228 |#2| |#3| |#4|))))) 
-((-2797 (((-310 |#2|) (-1 |#2| |#1|) (-310 |#1|)) 13))) 
-(((-308 |#1| |#2|) (-10 -7 (-15 -2797 ((-310 |#2|) (-1 |#2| |#1|) (-310 |#1|)))) (-842) (-842)) (T -308)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-310 *5)) (-4 *5 (-842)) (-4 *6 (-842)) (-5 *2 (-310 *6)) (-5 *1 (-308 *5 *6))))) 
-(-10 -7 (-15 -2797 ((-310 |#2|) (-1 |#2| |#1|) (-310 |#1|)))) 
-((-2067 (((-57) |#2| (-288 |#2|) (-763)) 33) (((-57) |#2| (-288 |#2|)) 24) (((-57) |#2| (-763)) 28) (((-57) |#2|) 25) (((-57) (-1161)) 21)) (-2512 (((-57) |#2| (-288 |#2|) (-409 (-568))) 51) (((-57) |#2| (-288 |#2|)) 48) (((-57) |#2| (-409 (-568))) 50) (((-57) |#2|) 49) (((-57) (-1161)) 47)) (-2077 (((-57) |#2| (-288 |#2|) (-409 (-568))) 46) (((-57) |#2| (-288 |#2|)) 43) (((-57) |#2| (-409 (-568))) 45) (((-57) |#2|) 44) (((-57) (-1161)) 42)) (-2072 (((-57) |#2| (-288 |#2|) (-568)) 39) (((-57) |#2| (-288 |#2|)) 35) (((-57) |#2| (-568)) 38) (((-57) |#2|) 36) (((-57) (-1161)) 34))) 
-(((-309 |#1| |#2|) (-10 -7 (-15 -2067 ((-57) (-1161))) (-15 -2067 ((-57) |#2|)) (-15 -2067 ((-57) |#2| (-763))) (-15 -2067 ((-57) |#2| (-288 |#2|))) (-15 -2067 ((-57) |#2| (-288 |#2|) (-763))) (-15 -2072 ((-57) (-1161))) (-15 -2072 ((-57) |#2|)) (-15 -2072 ((-57) |#2| (-568))) (-15 -2072 ((-57) |#2| (-288 |#2|))) (-15 -2072 ((-57) |#2| (-288 |#2|) (-568))) (-15 -2077 ((-57) (-1161))) (-15 -2077 ((-57) |#2|)) (-15 -2077 ((-57) |#2| (-409 (-568)))) (-15 -2077 ((-57) |#2| (-288 |#2|))) (-15 -2077 ((-57) |#2| (-288 |#2|) (-409 (-568)))) (-15 -2512 ((-57) (-1161))) (-15 -2512 ((-57) |#2|)) (-15 -2512 ((-57) |#2| (-409 (-568)))) (-15 -2512 ((-57) |#2| (-288 |#2|))) (-15 -2512 ((-57) |#2| (-288 |#2|) (-409 (-568))))) (-13 (-453) (-842) (-1037 (-568)) (-630 (-568))) (-13 (-27) (-1181) (-432 |#1|))) (T -309)) 
-((-2512 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-288 *3)) (-5 *5 (-409 (-568))) (-4 *3 (-13 (-27) (-1181) (-432 *6))) (-4 *6 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *6 *3)))) (-2512 (*1 *2 *3 *4) (-12 (-5 *4 (-288 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *5))) (-4 *5 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *5 *3)))) (-2512 (*1 *2 *3 *4) (-12 (-5 *4 (-409 (-568))) (-4 *5 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *5 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *5))))) (-2512 (*1 *2 *3) (-12 (-4 *4 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *4 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *4))))) (-2512 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *4 *5)) (-4 *5 (-13 (-27) (-1181) (-432 *4))))) (-2077 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-288 *3)) (-5 *5 (-409 (-568))) (-4 *3 (-13 (-27) (-1181) (-432 *6))) (-4 *6 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *6 *3)))) (-2077 (*1 *2 *3 *4) (-12 (-5 *4 (-288 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *5))) (-4 *5 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *5 *3)))) (-2077 (*1 *2 *3 *4) (-12 (-5 *4 (-409 (-568))) (-4 *5 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *5 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *5))))) (-2077 (*1 *2 *3) (-12 (-4 *4 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *4 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *4))))) (-2077 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *4 *5)) (-4 *5 (-13 (-27) (-1181) (-432 *4))))) (-2072 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-288 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *6))) (-4 *6 (-13 (-453) (-842) (-1037 *5) (-630 *5))) (-5 *5 (-568)) (-5 *2 (-57)) (-5 *1 (-309 *6 *3)))) (-2072 (*1 *2 *3 *4) (-12 (-5 *4 (-288 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *5))) (-4 *5 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *5 *3)))) (-2072 (*1 *2 *3 *4) (-12 (-5 *4 (-568)) (-4 *5 (-13 (-453) (-842) (-1037 *4) (-630 *4))) (-5 *2 (-57)) (-5 *1 (-309 *5 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *5))))) (-2072 (*1 *2 *3) (-12 (-4 *4 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *4 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *4))))) (-2072 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *4 *5)) (-4 *5 (-13 (-27) (-1181) (-432 *4))))) (-2067 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-288 *3)) (-5 *5 (-763)) (-4 *3 (-13 (-27) (-1181) (-432 *6))) (-4 *6 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *6 *3)))) (-2067 (*1 *2 *3 *4) (-12 (-5 *4 (-288 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *5))) (-4 *5 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *5 *3)))) (-2067 (*1 *2 *3 *4) (-12 (-5 *4 (-763)) (-4 *5 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *5 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *5))))) (-2067 (*1 *2 *3) (-12 (-4 *4 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *4 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *4))))) (-2067 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *4 *5)) (-4 *5 (-13 (-27) (-1181) (-432 *4)))))) 
-(-10 -7 (-15 -2067 ((-57) (-1161))) (-15 -2067 ((-57) |#2|)) (-15 -2067 ((-57) |#2| (-763))) (-15 -2067 ((-57) |#2| (-288 |#2|))) (-15 -2067 ((-57) |#2| (-288 |#2|) (-763))) (-15 -2072 ((-57) (-1161))) (-15 -2072 ((-57) |#2|)) (-15 -2072 ((-57) |#2| (-568))) (-15 -2072 ((-57) |#2| (-288 |#2|))) (-15 -2072 ((-57) |#2| (-288 |#2|) (-568))) (-15 -2077 ((-57) (-1161))) (-15 -2077 ((-57) |#2|)) (-15 -2077 ((-57) |#2| (-409 (-568)))) (-15 -2077 ((-57) |#2| (-288 |#2|))) (-15 -2077 ((-57) |#2| (-288 |#2|) (-409 (-568)))) (-15 -2512 ((-57) (-1161))) (-15 -2512 ((-57) |#2|)) (-15 -2512 ((-57) |#2| (-409 (-568)))) (-15 -2512 ((-57) |#2| (-288 |#2|))) (-15 -2512 ((-57) |#2| (-288 |#2|) (-409 (-568))))) 
-((-2449 (((-121) $ $) NIL)) (-2251 (((-634 $) $ (-1161)) NIL (|has| |#1| (-558))) (((-634 $) $) NIL (|has| |#1| (-558))) (((-634 $) (-1157 $) (-1161)) NIL (|has| |#1| (-558))) (((-634 $) (-1157 $)) NIL (|has| |#1| (-558))) (((-634 $) (-953 $)) NIL (|has| |#1| (-558)))) (-3505 (($ $ (-1161)) NIL (|has| |#1| (-558))) (($ $) NIL (|has| |#1| (-558))) (($ (-1157 $) (-1161)) NIL (|has| |#1| (-558))) (($ (-1157 $)) NIL (|has| |#1| (-558))) (($ (-953 $)) NIL (|has| |#1| (-558)))) (-1819 (((-121) $) 27 (-2199 (|has| |#1| (-25)) (-12 (|has| |#1| (-630 (-568))) (|has| |#1| (-1047)))))) (-2057 (((-634 (-1161)) $) 348)) (-3840 (((-409 (-1157 $)) $ (-607 $)) NIL (|has| |#1| (-558)))) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#1| (-558)))) (-3661 (($ $) NIL (|has| |#1| (-558)))) (-4426 (((-121) $) NIL (|has| |#1| (-558)))) (-3145 (((-634 (-607 $)) $) NIL)) (-1984 (($ $) 154 (|has| |#1| (-558)))) (-1935 (($ $) 130 (|has| |#1| (-558)))) (-1715 (($ $ (-1082 $)) 215 (|has| |#1| (-558))) (($ $ (-1161)) 211 (|has| |#1| (-558)))) (-2689 (((-3 $ "failed") $ $) NIL (-2199 (|has| |#1| (-21)) (-12 (|has| |#1| (-630 (-568))) (|has| |#1| (-1047)))))) (-4069 (($ $ (-288 $)) NIL) (($ $ (-634 (-288 $))) 364) (($ $ (-634 (-607 $)) (-634 $)) 407)) (-3863 (((-420 (-1157 $)) (-1157 $)) 292 (-12 (|has| |#1| (-453)) (|has| |#1| (-558))))) (-3045 (($ $) NIL (|has| |#1| (-558)))) (-3498 (((-420 $) $) NIL (|has| |#1| (-558)))) (-1904 (($ $) NIL (|has| |#1| (-558)))) (-2589 (((-121) $ $) NIL (|has| |#1| (-558)))) (-1976 (($ $) 150 (|has| |#1| (-558)))) (-2788 (($ $) 126 (|has| |#1| (-558)))) (-3972 (($ $ (-568)) 64 (|has| |#1| (-558)))) (-1992 (($ $) 158 (|has| |#1| (-558)))) (-1943 (($ $) 134 (|has| |#1| (-558)))) (-4490 (($) NIL (-2199 (|has| |#1| (-25)) (-12 (|has| |#1| (-630 (-568))) (|has| |#1| (-1047))) (|has| |#1| (-1102))) CONST)) (-1867 (((-634 $) $ (-1161)) NIL (|has| |#1| (-558))) (((-634 $) $) NIL (|has| |#1| (-558))) (((-634 $) (-1157 $) (-1161)) NIL (|has| |#1| (-558))) (((-634 $) (-1157 $)) NIL (|has| |#1| (-558))) (((-634 $) (-953 $)) NIL (|has| |#1| (-558)))) (-2919 (($ $ (-1161)) NIL (|has| |#1| (-558))) (($ $) NIL (|has| |#1| (-558))) (($ (-1157 $) (-1161)) 117 (|has| |#1| (-558))) (($ (-1157 $)) NIL (|has| |#1| (-558))) (($ (-953 $)) NIL (|has| |#1| (-558)))) (-3668 (((-3 (-607 $) "failed") $) 17) (((-3 (-1161) "failed") $) NIL) (((-3 |#1| "failed") $) 416) (((-3 (-53) "failed") $) 321 (-12 (|has| |#1| (-558)) (|has| |#1| (-1037 (-568))))) (((-3 (-568) "failed") $) NIL (|has| |#1| (-1037 (-568)))) (((-3 (-409 (-953 |#1|)) "failed") $) NIL (|has| |#1| (-558))) (((-3 (-953 |#1|) "failed") $) NIL (|has| |#1| (-1047))) (((-3 (-409 (-568)) "failed") $) 45 (-2199 (-12 (|has| |#1| (-558)) (|has| |#1| (-1037 (-568)))) (|has| |#1| (-1037 (-409 (-568))))))) (-2857 (((-607 $) $) 11) (((-1161) $) NIL) ((|#1| $) 398) (((-53) $) NIL (-12 (|has| |#1| (-558)) (|has| |#1| (-1037 (-568))))) (((-568) $) NIL (|has| |#1| (-1037 (-568)))) (((-409 (-953 |#1|)) $) NIL (|has| |#1| (-558))) (((-953 |#1|) $) NIL (|has| |#1| (-1047))) (((-409 (-568)) $) 305 (-2199 (-12 (|has| |#1| (-558)) (|has| |#1| (-1037 (-568)))) (|has| |#1| (-1037 (-409 (-568))))))) (-2403 (($ $ $) NIL (|has| |#1| (-558)))) (-1668 (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 |#1|))) (-679 $) (-1244 $)) 110 (|has| |#1| (-1047))) (((-679 |#1|) (-679 $)) 102 (|has| |#1| (-1047))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (-12 (|has| |#1| (-630 (-568))) (|has| |#1| (-1047)))) (((-679 (-568)) (-679 $)) NIL (-12 (|has| |#1| (-630 (-568))) (|has| |#1| (-1047))))) (-3094 (($ $) 84 (|has| |#1| (-558)))) (-2902 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| |#1| (-630 (-568))) (|has| |#1| (-1047))) (|has| |#1| (-1102))))) (-2414 (($ $ $) NIL (|has| |#1| (-558)))) (-2062 (($ $ (-1082 $)) 219 (|has| |#1| (-558))) (($ $ (-1161)) 217 (|has| |#1| (-558)))) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL (|has| |#1| (-558)))) (-2197 (((-121) $) NIL (|has| |#1| (-558)))) (-3311 (($ $ $) 185 (|has| |#1| (-558)))) (-1899 (($) 120 (|has| |#1| (-558)))) (-2341 (($ $ $) 205 (|has| |#1| (-558)))) (-1519 (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) 370 (|has| |#1| (-881 (-568)))) (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) 376 (|has| |#1| (-881 (-381))))) (-3855 (($ $) NIL) (($ (-634 $)) NIL)) (-2160 (((-634 (-123)) $) NIL)) (-3842 (((-123) (-123)) 264)) (-1598 (((-121) $) 25 (-2199 (-12 (|has| |#1| (-630 (-568))) (|has| |#1| (-1047))) (|has| |#1| (-1102))))) (-2268 (((-121) $) NIL (|has| $ (-1037 (-568))))) (-3539 (($ $) 66 (|has| |#1| (-1047)))) (-2319 (((-1113 |#1| (-607 $)) $) 79 (|has| |#1| (-1047)))) (-1762 (((-121) $) 46 (|has| |#1| (-558)))) (-1550 (($ $ (-568)) NIL (|has| |#1| (-558)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-558)))) (-3170 (((-1157 $) (-607 $)) 265 (|has| $ (-1047)))) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-2797 (($ (-1 $ $) (-607 $)) 403)) (-2337 (((-3 (-607 $) "failed") $) NIL)) (-4418 (($ $) 124 (|has| |#1| (-558)))) (-1913 (($ $) 230 (|has| |#1| (-558)))) (-2498 (($ (-634 $)) NIL (|has| |#1| (-558))) (($ $ $) NIL (|has| |#1| (-558)))) (-1893 (((-1143) $) NIL)) (-3832 (((-634 (-607 $)) $) 48)) (-3446 (($ (-123) $) NIL) (($ (-123) (-634 $)) 408)) (-4362 (((-3 (-634 $) "failed") $) NIL (|has| |#1| (-1102)))) (-4495 (((-3 (-2 (|:| |val| $) (|:| -3483 (-568))) "failed") $) NIL (|has| |#1| (-1047)))) (-2112 (((-3 (-634 $) "failed") $) 411 (|has| |#1| (-25)))) (-2240 (((-3 (-2 (|:| -2350 (-568)) (|:| |var| (-607 $))) "failed") $) 415 (|has| |#1| (-25)))) (-2617 (((-3 (-2 (|:| |var| (-607 $)) (|:| -3483 (-568))) "failed") $) NIL (|has| |#1| (-1102))) (((-3 (-2 (|:| |var| (-607 $)) (|:| -3483 (-568))) "failed") $ (-123)) NIL (|has| |#1| (-1047))) (((-3 (-2 (|:| |var| (-607 $)) (|:| -3483 (-568))) "failed") $ (-1161)) NIL (|has| |#1| (-1047)))) (-3910 (((-121) $ (-123)) NIL) (((-121) $ (-1161)) 52)) (-2083 (($ $) NIL (-2199 (|has| |#1| (-478)) (|has| |#1| (-558))))) (-2317 (($ $ (-1161)) 238 (|has| |#1| (-558))) (($ $ (-1082 $)) 240 (|has| |#1| (-558)))) (-2963 (((-763) $) NIL)) (-4025 (((-1108) $) NIL)) (-2088 (((-121) $) 43)) (-2093 ((|#1| $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 285 (|has| |#1| (-558)))) (-2723 (($ (-634 $)) NIL (|has| |#1| (-558))) (($ $ $) NIL (|has| |#1| (-558)))) (-1558 (($ $) 234 (|has| |#1| (-558)))) (-1565 (($ $) 236 (|has| |#1| (-558)))) (-1609 (((-121) $ $) NIL) (((-121) $ (-1161)) NIL)) (-3577 (($ $ (-1161)) 209 (|has| |#1| (-558))) (($ $) 207 (|has| |#1| (-558)))) (-2406 (($ $) 201 (|has| |#1| (-558)))) (-2795 (((-420 (-1157 $)) (-1157 $)) 290 (-12 (|has| |#1| (-453)) (|has| |#1| (-558))))) (-3850 (((-420 $) $) NIL (|has| |#1| (-558)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-558))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#1| (-558)))) (-2597 (((-3 $ "failed") $ $) NIL (|has| |#1| (-558)))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-558)))) (-1894 (($ $) 122 (|has| |#1| (-558)))) (-2080 (((-121) $) NIL (|has| $ (-1037 (-568))))) (-1339 (($ $ (-607 $) $) NIL) (($ $ (-634 (-607 $)) (-634 $)) 402) (($ $ (-634 (-288 $))) NIL) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL) (($ $ (-634 (-1161)) (-634 (-1 $ $))) NIL) (($ $ (-634 (-1161)) (-634 (-1 $ (-634 $)))) NIL) (($ $ (-1161) (-1 $ (-634 $))) NIL) (($ $ (-1161) (-1 $ $)) NIL) (($ $ (-634 (-123)) (-634 (-1 $ $))) 358) (($ $ (-634 (-123)) (-634 (-1 $ (-634 $)))) NIL) (($ $ (-123) (-1 $ (-634 $))) NIL) (($ $ (-123) (-1 $ $)) NIL) (($ $ (-1161)) NIL (|has| |#1| (-609 (-541)))) (($ $ (-634 (-1161))) NIL (|has| |#1| (-609 (-541)))) (($ $) NIL (|has| |#1| (-609 (-541)))) (($ $ (-123) $ (-1161)) 346 (|has| |#1| (-609 (-541)))) (($ $ (-634 (-123)) (-634 $) (-1161)) 345 (|has| |#1| (-609 (-541)))) (($ $ (-634 (-1161)) (-634 (-763)) (-634 (-1 $ $))) NIL (|has| |#1| (-1047))) (($ $ (-634 (-1161)) (-634 (-763)) (-634 (-1 $ (-634 $)))) NIL (|has| |#1| (-1047))) (($ $ (-1161) (-763) (-1 $ (-634 $))) NIL (|has| |#1| (-1047))) (($ $ (-1161) (-763) (-1 $ $)) NIL (|has| |#1| (-1047)))) (-1466 (((-763) $) NIL (|has| |#1| (-558)))) (-1918 (($ $) 222 (|has| |#1| (-558)))) (-2781 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-634 $)) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-558)))) (-3924 (($ $) NIL) (($ $ $) NIL)) (-1930 (($ $) 232 (|has| |#1| (-558)))) (-2383 (($ $) 183 (|has| |#1| (-558)))) (-4191 (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#1| (-1047))) (($ $ (-1161) (-763)) NIL (|has| |#1| (-1047))) (($ $ (-634 (-1161))) NIL (|has| |#1| (-1047))) (($ $ (-1161)) NIL (|has| |#1| (-1047)))) (-3210 (($ $) 67 (|has| |#1| (-558)))) (-2326 (((-1113 |#1| (-607 $)) $) 81 (|has| |#1| (-558)))) (-1492 (($ $) 303 (|has| $ (-1047)))) (-1996 (($ $) 160 (|has| |#1| (-558)))) (-1947 (($ $) 136 (|has| |#1| (-558)))) (-1988 (($ $) 156 (|has| |#1| (-558)))) (-1939 (($ $) 132 (|has| |#1| (-558)))) (-1980 (($ $) 152 (|has| |#1| (-558)))) (-2792 (($ $) 128 (|has| |#1| (-558)))) (-4280 (((-887 (-568)) $) NIL (|has| |#1| (-609 (-887 (-568))))) (((-887 (-381)) $) NIL (|has| |#1| (-609 (-887 (-381))))) (($ (-420 $)) NIL (|has| |#1| (-558))) (((-541) $) 343 (|has| |#1| (-609 (-541))))) (-2387 (($ $ $) NIL (|has| |#1| (-478)))) (-3985 (($ $ $) NIL (|has| |#1| (-478)))) (-2747 (((-850) $) 401) (($ (-607 $)) 392) (($ (-1161)) 360) (($ |#1|) 322) (($ $) NIL (|has| |#1| (-558))) (($ (-53)) 297 (-12 (|has| |#1| (-558)) (|has| |#1| (-1037 (-568))))) (($ (-1113 |#1| (-607 $))) 83 (|has| |#1| (-1047))) (($ (-409 |#1|)) NIL (|has| |#1| (-558))) (($ (-953 (-409 |#1|))) NIL (|has| |#1| (-558))) (($ (-409 (-953 (-409 |#1|)))) NIL (|has| |#1| (-558))) (($ (-409 (-953 |#1|))) NIL (|has| |#1| (-558))) (($ (-953 |#1|)) NIL (|has| |#1| (-1047))) (($ (-409 (-568))) NIL (-2199 (|has| |#1| (-558)) (|has| |#1| (-1037 (-409 (-568)))))) (($ (-568)) 34 (-2199 (|has| |#1| (-1037 (-568))) (|has| |#1| (-1047))))) (-3385 (((-3 $ "failed") $) NIL (|has| |#1| (-148)))) (-3425 (((-763)) NIL (|has| |#1| (-1047)))) (-3159 (($ $) NIL) (($ (-634 $)) NIL)) (-3584 (($ $ $) 203 (|has| |#1| (-558)))) (-3301 (($ $ $) 189 (|has| |#1| (-558)))) (-2149 (($ $ $) 193 (|has| |#1| (-558)))) (-3826 (($ $ $) 187 (|has| |#1| (-558)))) (-2547 (($ $ $) 191 (|has| |#1| (-558)))) (-2779 (((-121) (-123)) 9)) (-2008 (($ $) 166 (|has| |#1| (-558)))) (-1959 (($ $) 142 (|has| |#1| (-558)))) (-2273 (((-121) $ $) NIL (|has| |#1| (-558)))) (-2000 (($ $) 162 (|has| |#1| (-558)))) (-1951 (($ $) 138 (|has| |#1| (-558)))) (-2016 (($ $) 170 (|has| |#1| (-558)))) (-1968 (($ $) 146 (|has| |#1| (-558)))) (-3060 (($ (-1161) $) NIL) (($ (-1161) $ $) NIL) (($ (-1161) $ $ $) NIL) (($ (-1161) $ $ $ $) NIL) (($ (-1161) (-634 $)) NIL)) (-1813 (($ $) 197 (|has| |#1| (-558)))) (-4009 (($ $) 195 (|has| |#1| (-558)))) (-1439 (($ $) 172 (|has| |#1| (-558)))) (-1972 (($ $) 148 (|has| |#1| (-558)))) (-2012 (($ $) 168 (|has| |#1| (-558)))) (-1964 (($ $) 144 (|has| |#1| (-558)))) (-2004 (($ $) 164 (|has| |#1| (-558)))) (-1955 (($ $) 140 (|has| |#1| (-558)))) (-2811 (($ $) 175 (|has| |#1| (-558)))) (-1889 (($ $ (-568)) NIL (-2199 (|has| |#1| (-478)) (|has| |#1| (-558)))) (($ $ (-763)) NIL (-2199 (-12 (|has| |#1| (-630 (-568))) (|has| |#1| (-1047))) (|has| |#1| (-1102)))) (($ $ (-917)) NIL (-2199 (-12 (|has| |#1| (-630 (-568))) (|has| |#1| (-1047))) (|has| |#1| (-1102))))) (-3058 (($) 20 (-2199 (|has| |#1| (-25)) (-12 (|has| |#1| (-630 (-568))) (|has| |#1| (-1047)))) CONST)) (-1826 (($ $) 226 (|has| |#1| (-558)))) (-1557 (($) 22 (-2199 (-12 (|has| |#1| (-630 (-568))) (|has| |#1| (-1047))) (|has| |#1| (-1102))) CONST)) (-2209 (($ $) 177 (|has| |#1| (-558))) (($ $ $) 179 (|has| |#1| (-558)))) (-4366 (($ $) 224 (|has| |#1| (-558)))) (-3192 (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#1| (-1047))) (($ $ (-1161) (-763)) NIL (|has| |#1| (-1047))) (($ $ (-634 (-1161))) NIL (|has| |#1| (-1047))) (($ $ (-1161)) NIL (|has| |#1| (-1047)))) (-2830 (($ $) 228 (|has| |#1| (-558)))) (-2768 (($ $ $) 181 (|has| |#1| (-558)))) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 76)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 75)) (-1781 (($ (-1113 |#1| (-607 $)) (-1113 |#1| (-607 $))) 93 (|has| |#1| (-558))) (($ $ $) 42 (-2199 (|has| |#1| (-478)) (|has| |#1| (-558))))) (-1775 (($ $ $) 40 (-2199 (|has| |#1| (-21)) (-12 (|has| |#1| (-630 (-568))) (|has| |#1| (-1047))))) (($ $) 29 (-2199 (|has| |#1| (-21)) (-12 (|has| |#1| (-630 (-568))) (|has| |#1| (-1047)))))) (-1769 (($ $ $) 38 (-2199 (|has| |#1| (-25)) (-12 (|has| |#1| (-630 (-568))) (|has| |#1| (-1047)))))) (** (($ $ $) 61 (|has| |#1| (-558))) (($ $ (-409 (-568))) 300 (|has| |#1| (-558))) (($ $ (-568)) 71 (-2199 (|has| |#1| (-478)) (|has| |#1| (-558)))) (($ $ (-763)) 68 (-2199 (-12 (|has| |#1| (-630 (-568))) (|has| |#1| (-1047))) (|has| |#1| (-1102)))) (($ $ (-917)) 73 (-2199 (-12 (|has| |#1| (-630 (-568))) (|has| |#1| (-1047))) (|has| |#1| (-1102))))) (* (($ (-409 (-568)) $) NIL (|has| |#1| (-558))) (($ $ (-409 (-568))) NIL (|has| |#1| (-558))) (($ |#1| $) NIL (|has| |#1| (-172))) (($ $ |#1|) NIL (|has| |#1| (-172))) (($ $ $) 36 (-2199 (-12 (|has| |#1| (-630 (-568))) (|has| |#1| (-1047))) (|has| |#1| (-1102)))) (($ (-568) $) 32 (-2199 (|has| |#1| (-21)) (-12 (|has| |#1| (-630 (-568))) (|has| |#1| (-1047))))) (($ (-763) $) NIL (-2199 (|has| |#1| (-25)) (-12 (|has| |#1| (-630 (-568))) (|has| |#1| (-1047))))) (($ (-917) $) NIL (-2199 (|has| |#1| (-25)) (-12 (|has| |#1| (-630 (-568))) (|has| |#1| (-1047))))))) 
-(((-310 |#1|) (-13 (-432 |#1|) (-10 -8 (IF (|has| |#1| (-558)) (PROGN (-6 (-29 |#1|)) (-6 (-1181)) (-6 (-161)) (-6 (-620)) (-6 (-1124)) (-15 -3094 ($ $)) (-15 -1762 ((-121) $)) (-15 -3972 ($ $ (-568))) (IF (|has| |#1| (-453)) (PROGN (-15 -2795 ((-420 (-1157 $)) (-1157 $))) (-15 -3863 ((-420 (-1157 $)) (-1157 $)))) |noBranch|) (IF (|has| |#1| (-1037 (-568))) (-6 (-1037 (-53))) |noBranch|)) |noBranch|))) (-842)) (T -310)) 
-((-3094 (*1 *1 *1) (-12 (-5 *1 (-310 *2)) (-4 *2 (-558)) (-4 *2 (-842)))) (-1762 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-310 *3)) (-4 *3 (-558)) (-4 *3 (-842)))) (-3972 (*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-310 *3)) (-4 *3 (-558)) (-4 *3 (-842)))) (-2795 (*1 *2 *3) (-12 (-5 *2 (-420 (-1157 *1))) (-5 *1 (-310 *4)) (-5 *3 (-1157 *1)) (-4 *4 (-453)) (-4 *4 (-558)) (-4 *4 (-842)))) (-3863 (*1 *2 *3) (-12 (-5 *2 (-420 (-1157 *1))) (-5 *1 (-310 *4)) (-5 *3 (-1157 *1)) (-4 *4 (-453)) (-4 *4 (-558)) (-4 *4 (-842))))) 
-(-13 (-432 |#1|) (-10 -8 (IF (|has| |#1| (-558)) (PROGN (-6 (-29 |#1|)) (-6 (-1181)) (-6 (-161)) (-6 (-620)) (-6 (-1124)) (-15 -3094 ($ $)) (-15 -1762 ((-121) $)) (-15 -3972 ($ $ (-568))) (IF (|has| |#1| (-453)) (PROGN (-15 -2795 ((-420 (-1157 $)) (-1157 $))) (-15 -3863 ((-420 (-1157 $)) (-1157 $)))) |noBranch|) (IF (|has| |#1| (-1037 (-568))) (-6 (-1037 (-53))) |noBranch|)) |noBranch|))) 
-((-2873 (((-57) |#2| (-123) (-288 |#2|) (-634 |#2|)) 86) (((-57) |#2| (-123) (-288 |#2|) (-288 |#2|)) 82) (((-57) |#2| (-123) (-288 |#2|) |#2|) 84) (((-57) (-288 |#2|) (-123) (-288 |#2|) |#2|) 85) (((-57) (-634 |#2|) (-634 (-123)) (-288 |#2|) (-634 (-288 |#2|))) 78) (((-57) (-634 |#2|) (-634 (-123)) (-288 |#2|) (-634 |#2|)) 80) (((-57) (-634 (-288 |#2|)) (-634 (-123)) (-288 |#2|) (-634 |#2|)) 81) (((-57) (-634 (-288 |#2|)) (-634 (-123)) (-288 |#2|) (-634 (-288 |#2|))) 79) (((-57) (-288 |#2|) (-123) (-288 |#2|) (-634 |#2|)) 87) (((-57) (-288 |#2|) (-123) (-288 |#2|) (-288 |#2|)) 83))) 
-(((-311 |#1| |#2|) (-10 -7 (-15 -2873 ((-57) (-288 |#2|) (-123) (-288 |#2|) (-288 |#2|))) (-15 -2873 ((-57) (-288 |#2|) (-123) (-288 |#2|) (-634 |#2|))) (-15 -2873 ((-57) (-634 (-288 |#2|)) (-634 (-123)) (-288 |#2|) (-634 (-288 |#2|)))) (-15 -2873 ((-57) (-634 (-288 |#2|)) (-634 (-123)) (-288 |#2|) (-634 |#2|))) (-15 -2873 ((-57) (-634 |#2|) (-634 (-123)) (-288 |#2|) (-634 |#2|))) (-15 -2873 ((-57) (-634 |#2|) (-634 (-123)) (-288 |#2|) (-634 (-288 |#2|)))) (-15 -2873 ((-57) (-288 |#2|) (-123) (-288 |#2|) |#2|)) (-15 -2873 ((-57) |#2| (-123) (-288 |#2|) |#2|)) (-15 -2873 ((-57) |#2| (-123) (-288 |#2|) (-288 |#2|))) (-15 -2873 ((-57) |#2| (-123) (-288 |#2|) (-634 |#2|)))) (-13 (-842) (-558) (-609 (-541))) (-432 |#1|)) (T -311)) 
-((-2873 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-123)) (-5 *5 (-288 *3)) (-5 *6 (-634 *3)) (-4 *3 (-432 *7)) (-4 *7 (-13 (-842) (-558) (-609 (-541)))) (-5 *2 (-57)) (-5 *1 (-311 *7 *3)))) (-2873 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-123)) (-5 *5 (-288 *3)) (-4 *3 (-432 *6)) (-4 *6 (-13 (-842) (-558) (-609 (-541)))) (-5 *2 (-57)) (-5 *1 (-311 *6 *3)))) (-2873 (*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-123)) (-5 *5 (-288 *3)) (-4 *3 (-432 *6)) (-4 *6 (-13 (-842) (-558) (-609 (-541)))) (-5 *2 (-57)) (-5 *1 (-311 *6 *3)))) (-2873 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-288 *5)) (-5 *4 (-123)) (-4 *5 (-432 *6)) (-4 *6 (-13 (-842) (-558) (-609 (-541)))) (-5 *2 (-57)) (-5 *1 (-311 *6 *5)))) (-2873 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-634 *8)) (-5 *4 (-634 (-123))) (-5 *6 (-634 (-288 *8))) (-4 *8 (-432 *7)) (-5 *5 (-288 *8)) (-4 *7 (-13 (-842) (-558) (-609 (-541)))) (-5 *2 (-57)) (-5 *1 (-311 *7 *8)))) (-2873 (*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-634 *7)) (-5 *4 (-634 (-123))) (-5 *5 (-288 *7)) (-4 *7 (-432 *6)) (-4 *6 (-13 (-842) (-558) (-609 (-541)))) (-5 *2 (-57)) (-5 *1 (-311 *6 *7)))) (-2873 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-634 (-288 *8))) (-5 *4 (-634 (-123))) (-5 *5 (-288 *8)) (-5 *6 (-634 *8)) (-4 *8 (-432 *7)) (-4 *7 (-13 (-842) (-558) (-609 (-541)))) (-5 *2 (-57)) (-5 *1 (-311 *7 *8)))) (-2873 (*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-634 (-288 *7))) (-5 *4 (-634 (-123))) (-5 *5 (-288 *7)) (-4 *7 (-432 *6)) (-4 *6 (-13 (-842) (-558) (-609 (-541)))) (-5 *2 (-57)) (-5 *1 (-311 *6 *7)))) (-2873 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-288 *7)) (-5 *4 (-123)) (-5 *5 (-634 *7)) (-4 *7 (-432 *6)) (-4 *6 (-13 (-842) (-558) (-609 (-541)))) (-5 *2 (-57)) (-5 *1 (-311 *6 *7)))) (-2873 (*1 *2 *3 *4 *3 *3) (-12 (-5 *3 (-288 *6)) (-5 *4 (-123)) (-4 *6 (-432 *5)) (-4 *5 (-13 (-842) (-558) (-609 (-541)))) (-5 *2 (-57)) (-5 *1 (-311 *5 *6))))) 
-(-10 -7 (-15 -2873 ((-57) (-288 |#2|) (-123) (-288 |#2|) (-288 |#2|))) (-15 -2873 ((-57) (-288 |#2|) (-123) (-288 |#2|) (-634 |#2|))) (-15 -2873 ((-57) (-634 (-288 |#2|)) (-634 (-123)) (-288 |#2|) (-634 (-288 |#2|)))) (-15 -2873 ((-57) (-634 (-288 |#2|)) (-634 (-123)) (-288 |#2|) (-634 |#2|))) (-15 -2873 ((-57) (-634 |#2|) (-634 (-123)) (-288 |#2|) (-634 |#2|))) (-15 -2873 ((-57) (-634 |#2|) (-634 (-123)) (-288 |#2|) (-634 (-288 |#2|)))) (-15 -2873 ((-57) (-288 |#2|) (-123) (-288 |#2|) |#2|)) (-15 -2873 ((-57) |#2| (-123) (-288 |#2|) |#2|)) (-15 -2873 ((-57) |#2| (-123) (-288 |#2|) (-288 |#2|))) (-15 -2873 ((-57) |#2| (-123) (-288 |#2|) (-634 |#2|)))) 
-((-2873 ((|#3| |#2| (-123) (-1161) (-634 |#2|)) 53)) (-4282 ((|#2| |#2| (-123) (-1161)) 30))) 
-(((-312 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2873 (|#3| |#2| (-123) (-1161) (-634 |#2|))) (-15 -4282 (|#2| |#2| (-123) (-1161)))) (-13 (-842) (-558) (-609 (-541))) (-432 |#1|) (-1234 |#2|) (-1234 (-1155 |#2|))) (T -312)) 
-((-4282 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-123)) (-5 *4 (-1161)) (-4 *5 (-13 (-842) (-558) (-609 (-541)))) (-4 *2 (-432 *5)) (-5 *1 (-312 *5 *2 *6 *7)) (-4 *6 (-1234 *2)) (-4 *7 (-1234 (-1155 *2))))) (-2873 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-123)) (-5 *5 (-1161)) (-5 *6 (-634 *3)) (-4 *3 (-432 *7)) (-4 *7 (-13 (-842) (-558) (-609 (-541)))) (-4 *2 (-1234 *3)) (-5 *1 (-312 *7 *3 *2 *8)) (-4 *8 (-1234 (-1155 *3)))))) 
-(-10 -7 (-15 -2873 (|#3| |#2| (-123) (-1161) (-634 |#2|))) (-15 -4282 (|#2| |#2| (-123) (-1161)))) 
-((-3471 (((-1191 (-926)) (-310 (-568)) (-310 (-568)) (-310 (-568)) (-1 (-215) (-215)) (-1084 (-215)) (-215) (-568) (-1143)) 45) (((-1191 (-926)) (-310 (-568)) (-310 (-568)) (-310 (-568)) (-1 (-215) (-215)) (-1084 (-215)) (-215) (-568)) 46) (((-1191 (-926)) (-310 (-568)) (-310 (-568)) (-310 (-568)) (-1 (-215) (-215)) (-1084 (-215)) (-1 (-215) (-215)) (-568) (-1143)) 42) (((-1191 (-926)) (-310 (-568)) (-310 (-568)) (-310 (-568)) (-1 (-215) (-215)) (-1084 (-215)) (-1 (-215) (-215)) (-568)) 43)) (-4435 (((-1 (-215) (-215)) (-215)) 44))) 
-(((-313) (-10 -7 (-15 -4435 ((-1 (-215) (-215)) (-215))) (-15 -3471 ((-1191 (-926)) (-310 (-568)) (-310 (-568)) (-310 (-568)) (-1 (-215) (-215)) (-1084 (-215)) (-1 (-215) (-215)) (-568))) (-15 -3471 ((-1191 (-926)) (-310 (-568)) (-310 (-568)) (-310 (-568)) (-1 (-215) (-215)) (-1084 (-215)) (-1 (-215) (-215)) (-568) (-1143))) (-15 -3471 ((-1191 (-926)) (-310 (-568)) (-310 (-568)) (-310 (-568)) (-1 (-215) (-215)) (-1084 (-215)) (-215) (-568))) (-15 -3471 ((-1191 (-926)) (-310 (-568)) (-310 (-568)) (-310 (-568)) (-1 (-215) (-215)) (-1084 (-215)) (-215) (-568) (-1143))))) (T -313)) 
-((-3471 (*1 *2 *3 *3 *3 *4 *5 *6 *7 *8) (-12 (-5 *3 (-310 (-568))) (-5 *4 (-1 (-215) (-215))) (-5 *5 (-1084 (-215))) (-5 *6 (-215)) (-5 *7 (-568)) (-5 *8 (-1143)) (-5 *2 (-1191 (-926))) (-5 *1 (-313)))) (-3471 (*1 *2 *3 *3 *3 *4 *5 *6 *7) (-12 (-5 *3 (-310 (-568))) (-5 *4 (-1 (-215) (-215))) (-5 *5 (-1084 (-215))) (-5 *6 (-215)) (-5 *7 (-568)) (-5 *2 (-1191 (-926))) (-5 *1 (-313)))) (-3471 (*1 *2 *3 *3 *3 *4 *5 *4 *6 *7) (-12 (-5 *3 (-310 (-568))) (-5 *4 (-1 (-215) (-215))) (-5 *5 (-1084 (-215))) (-5 *6 (-568)) (-5 *7 (-1143)) (-5 *2 (-1191 (-926))) (-5 *1 (-313)))) (-3471 (*1 *2 *3 *3 *3 *4 *5 *4 *6) (-12 (-5 *3 (-310 (-568))) (-5 *4 (-1 (-215) (-215))) (-5 *5 (-1084 (-215))) (-5 *6 (-568)) (-5 *2 (-1191 (-926))) (-5 *1 (-313)))) (-4435 (*1 *2 *3) (-12 (-5 *2 (-1 (-215) (-215))) (-5 *1 (-313)) (-5 *3 (-215))))) 
-(-10 -7 (-15 -4435 ((-1 (-215) (-215)) (-215))) (-15 -3471 ((-1191 (-926)) (-310 (-568)) (-310 (-568)) (-310 (-568)) (-1 (-215) (-215)) (-1084 (-215)) (-1 (-215) (-215)) (-568))) (-15 -3471 ((-1191 (-926)) (-310 (-568)) (-310 (-568)) (-310 (-568)) (-1 (-215) (-215)) (-1084 (-215)) (-1 (-215) (-215)) (-568) (-1143))) (-15 -3471 ((-1191 (-926)) (-310 (-568)) (-310 (-568)) (-310 (-568)) (-1 (-215) (-215)) (-1084 (-215)) (-215) (-568))) (-15 -3471 ((-1191 (-926)) (-310 (-568)) (-310 (-568)) (-310 (-568)) (-1 (-215) (-215)) (-1084 (-215)) (-215) (-568) (-1143)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 24)) (-2057 (((-634 (-1075)) $) NIL)) (-3325 (((-1161) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#1| (-558)))) (-3661 (($ $) NIL (|has| |#1| (-558)))) (-4426 (((-121) $) NIL (|has| |#1| (-558)))) (-4179 (($ $ (-409 (-568))) NIL) (($ $ (-409 (-568)) (-409 (-568))) NIL)) (-2013 (((-1141 (-2 (|:| |k| (-409 (-568))) (|:| |c| |#1|))) $) 19)) (-1984 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1935 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL (|has| |#1| (-365)))) (-3498 (((-420 $) $) NIL (|has| |#1| (-365)))) (-1904 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2589 (((-121) $ $) NIL (|has| |#1| (-365)))) (-1976 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2788 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2512 (($ (-763) (-1141 (-2 (|:| |k| (-409 (-568))) (|:| |c| |#1|)))) NIL)) (-1992 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1943 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4490 (($) NIL T CONST)) (-2403 (($ $ $) NIL (|has| |#1| (-365)))) (-2116 (($ $) 30)) (-2902 (((-3 $ "failed") $) NIL)) (-2414 (($ $ $) NIL (|has| |#1| (-365)))) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL (|has| |#1| (-365)))) (-2197 (((-121) $) NIL (|has| |#1| (-365)))) (-1302 (((-121) $) NIL)) (-1899 (($) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1844 (((-409 (-568)) $) NIL) (((-409 (-568)) $ (-409 (-568))) 15)) (-1598 (((-121) $) NIL)) (-1550 (($ $ (-568)) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4168 (($ $ (-917)) NIL) (($ $ (-409 (-568))) NIL)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-2171 (((-121) $) NIL)) (-2049 (($ |#1| (-409 (-568))) NIL) (($ $ (-1075) (-409 (-568))) NIL) (($ $ (-634 (-1075)) (-634 (-409 (-568)))) NIL)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-4418 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2099 (($ $) NIL)) (-2104 ((|#1| $) NIL)) (-2498 (($ (-634 $)) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-365)))) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL (|has| |#1| (-365)))) (-1845 (($ $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-1161)) NIL (-2199 (-12 (|has| |#1| (-15 -1845 (|#1| |#1| (-1161)))) (|has| |#1| (-15 -2057 ((-634 (-1161)) |#1|))) (|has| |#1| (-43 (-409 (-568))))) (-12 (|has| |#1| (-29 (-568))) (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-959)) (|has| |#1| (-1181)))))) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#1| (-365)))) (-2723 (($ (-634 $)) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-365)))) (-3850 (((-420 $) $) NIL (|has| |#1| (-365)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-365))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#1| (-365)))) (-2168 (($ $ (-409 (-568))) NIL)) (-2597 (((-3 $ "failed") $ $) NIL (|has| |#1| (-558)))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-3635 (((-409 (-568)) $) 16)) (-3129 (($ (-1228 |#1| |#2| |#3|)) 11)) (-3483 (((-1228 |#1| |#2| |#3|) $) 12)) (-1894 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1339 (((-1141 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-409 (-568))))))) (-1466 (((-763) $) NIL (|has| |#1| (-365)))) (-2781 ((|#1| $ (-409 (-568))) NIL) (($ $ $) NIL (|has| (-409 (-568)) (-1102)))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-365)))) (-4191 (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161)) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-763)) NIL (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))))) (-1836 (((-409 (-568)) $) NIL)) (-1996 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1947 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1988 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1939 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1980 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2792 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2188 (($ $) 10)) (-2747 (((-850) $) 36) (($ (-568)) NIL) (($ |#1|) NIL (|has| |#1| (-172))) (($ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $) NIL (|has| |#1| (-558)))) (-2079 ((|#1| $ (-409 (-568))) 28)) (-3385 (((-3 $ "failed") $) NIL (|has| |#1| (-148)))) (-3425 (((-763)) NIL)) (-1374 ((|#1| $) NIL)) (-2008 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1959 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2273 (((-121) $ $) NIL (|has| |#1| (-558)))) (-2000 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1951 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2016 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1968 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-3999 ((|#1| $ (-409 (-568))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-409 (-568))))) (|has| |#1| (-15 -2747 (|#1| (-1161))))))) (-1439 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1972 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2012 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1964 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2004 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1955 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| |#1| (-365)))) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161)) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-763)) NIL (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))))) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 26)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 31)) (-1781 (($ $ |#1|) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568)))))) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-409 (-568)) $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))))) 
-(((-314 |#1| |#2| |#3|) (-13 (-1224 |#1|) (-787) (-10 -8 (-15 -3129 ($ (-1228 |#1| |#2| |#3|))) (-15 -3483 ((-1228 |#1| |#2| |#3|) $)) (-15 -3635 ((-409 (-568)) $)))) (-13 (-365) (-842)) (-1161) |#1|) (T -314)) 
-((-3129 (*1 *1 *2) (-12 (-5 *2 (-1228 *3 *4 *5)) (-4 *3 (-13 (-365) (-842))) (-14 *4 (-1161)) (-14 *5 *3) (-5 *1 (-314 *3 *4 *5)))) (-3483 (*1 *2 *1) (-12 (-5 *2 (-1228 *3 *4 *5)) (-5 *1 (-314 *3 *4 *5)) (-4 *3 (-13 (-365) (-842))) (-14 *4 (-1161)) (-14 *5 *3))) (-3635 (*1 *2 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-314 *3 *4 *5)) (-4 *3 (-13 (-365) (-842))) (-14 *4 (-1161)) (-14 *5 *3)))) 
-(-13 (-1224 |#1|) (-787) (-10 -8 (-15 -3129 ($ (-1228 |#1| |#2| |#3|))) (-15 -3483 ((-1228 |#1| |#2| |#3|) $)) (-15 -3635 ((-409 (-568)) $)))) 
-((-4336 (((-420 (-1157 |#1|)) (-1157 |#1|) |#1|) 15)) (-3850 (((-420 (-1157 |#1|)) (-1157 |#1|) |#1|) 24))) 
-(((-315 |#1|) (-10 -7 (-15 -3850 ((-420 (-1157 |#1|)) (-1157 |#1|) |#1|)) (-15 -4336 ((-420 (-1157 |#1|)) (-1157 |#1|) |#1|))) (-854)) (T -315)) 
-((-4336 (*1 *2 *3 *4) (-12 (-4 *4 (-854)) (-5 *2 (-420 (-1157 *4))) (-5 *1 (-315 *4)) (-5 *3 (-1157 *4)))) (-3850 (*1 *2 *3 *4) (-12 (-4 *4 (-854)) (-5 *2 (-420 (-1157 *4))) (-5 *1 (-315 *4)) (-5 *3 (-1157 *4))))) 
-(-10 -7 (-15 -3850 ((-420 (-1157 |#1|)) (-1157 |#1|) |#1|)) (-15 -4336 ((-420 (-1157 |#1|)) (-1157 |#1|) |#1|))) 
-((-1550 (((-2 (|:| -3483 (-763)) (|:| -2350 |#1|) (|:| |radicand| (-634 |#1|))) (-420 |#1|) (-763)) 24)) (-4418 (((-634 (-2 (|:| -2350 (-763)) (|:| |logand| |#1|))) (-420 |#1|)) 28))) 
-(((-316 |#1|) (-10 -7 (-15 -1550 ((-2 (|:| -3483 (-763)) (|:| -2350 |#1|) (|:| |radicand| (-634 |#1|))) (-420 |#1|) (-763))) (-15 -4418 ((-634 (-2 (|:| -2350 (-763)) (|:| |logand| |#1|))) (-420 |#1|)))) (-558)) (T -316)) 
-((-4418 (*1 *2 *3) (-12 (-5 *3 (-420 *4)) (-4 *4 (-558)) (-5 *2 (-634 (-2 (|:| -2350 (-763)) (|:| |logand| *4)))) (-5 *1 (-316 *4)))) (-1550 (*1 *2 *3 *4) (-12 (-5 *3 (-420 *5)) (-4 *5 (-558)) (-5 *2 (-2 (|:| -3483 (-763)) (|:| -2350 *5) (|:| |radicand| (-634 *5)))) (-5 *1 (-316 *5)) (-5 *4 (-763))))) 
-(-10 -7 (-15 -1550 ((-2 (|:| -3483 (-763)) (|:| -2350 |#1|) (|:| |radicand| (-634 |#1|))) (-420 |#1|) (-763))) (-15 -4418 ((-634 (-2 (|:| -2350 (-763)) (|:| |logand| |#1|))) (-420 |#1|)))) 
-((-4336 (((-420 (-1157 |#1|)) (-1157 |#1|) |#1|) 15)) (-3850 (((-420 (-1157 |#1|)) (-1157 |#1|) |#1|) 24))) 
-(((-317 |#1|) (-10 -7 (-15 -3850 ((-420 (-1157 |#1|)) (-1157 |#1|) |#1|)) (-15 -4336 ((-420 (-1157 |#1|)) (-1157 |#1|) |#1|))) (-859)) (T -317)) 
-((-4336 (*1 *2 *3 *4) (-12 (-4 *4 (-859)) (-5 *2 (-420 (-1157 *4))) (-5 *1 (-317 *4)) (-5 *3 (-1157 *4)))) (-3850 (*1 *2 *3 *4) (-12 (-4 *4 (-859)) (-5 *2 (-420 (-1157 *4))) (-5 *1 (-317 *4)) (-5 *3 (-1157 *4))))) 
-(-10 -7 (-15 -3850 ((-420 (-1157 |#1|)) (-1157 |#1|) |#1|)) (-15 -4336 ((-420 (-1157 |#1|)) (-1157 |#1|) |#1|))) 
-((-2057 (((-634 |#2|) (-1157 |#4|)) 43)) (-1541 ((|#3| (-568)) 46)) (-2231 (((-1157 |#4|) (-1157 |#3|)) 30)) (-1459 (((-1157 |#4|) (-1157 |#4|) (-568)) 55)) (-4099 (((-1157 |#3|) (-1157 |#4|)) 21)) (-1836 (((-634 (-763)) (-1157 |#4|) (-634 |#2|)) 40)) (-3714 (((-1157 |#3|) (-1157 |#4|) (-634 |#2|) (-634 |#3|)) 35))) 
-(((-318 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3714 ((-1157 |#3|) (-1157 |#4|) (-634 |#2|) (-634 |#3|))) (-15 -1836 ((-634 (-763)) (-1157 |#4|) (-634 |#2|))) (-15 -2057 ((-634 |#2|) (-1157 |#4|))) (-15 -4099 ((-1157 |#3|) (-1157 |#4|))) (-15 -2231 ((-1157 |#4|) (-1157 |#3|))) (-15 -1459 ((-1157 |#4|) (-1157 |#4|) (-568))) (-15 -1541 (|#3| (-568)))) (-788) (-842) (-1047) (-950 |#3| |#1| |#2|)) (T -318)) 
-((-1541 (*1 *2 *3) (-12 (-5 *3 (-568)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *2 (-1047)) (-5 *1 (-318 *4 *5 *2 *6)) (-4 *6 (-950 *2 *4 *5)))) (-1459 (*1 *2 *2 *3) (-12 (-5 *2 (-1157 *7)) (-5 *3 (-568)) (-4 *7 (-950 *6 *4 *5)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1047)) (-5 *1 (-318 *4 *5 *6 *7)))) (-2231 (*1 *2 *3) (-12 (-5 *3 (-1157 *6)) (-4 *6 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-1157 *7)) (-5 *1 (-318 *4 *5 *6 *7)) (-4 *7 (-950 *6 *4 *5)))) (-4099 (*1 *2 *3) (-12 (-5 *3 (-1157 *7)) (-4 *7 (-950 *6 *4 *5)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1047)) (-5 *2 (-1157 *6)) (-5 *1 (-318 *4 *5 *6 *7)))) (-2057 (*1 *2 *3) (-12 (-5 *3 (-1157 *7)) (-4 *7 (-950 *6 *4 *5)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1047)) (-5 *2 (-634 *5)) (-5 *1 (-318 *4 *5 *6 *7)))) (-1836 (*1 *2 *3 *4) (-12 (-5 *3 (-1157 *8)) (-5 *4 (-634 *6)) (-4 *6 (-842)) (-4 *8 (-950 *7 *5 *6)) (-4 *5 (-788)) (-4 *7 (-1047)) (-5 *2 (-634 (-763))) (-5 *1 (-318 *5 *6 *7 *8)))) (-3714 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1157 *9)) (-5 *4 (-634 *7)) (-5 *5 (-634 *8)) (-4 *7 (-842)) (-4 *8 (-1047)) (-4 *9 (-950 *8 *6 *7)) (-4 *6 (-788)) (-5 *2 (-1157 *8)) (-5 *1 (-318 *6 *7 *8 *9))))) 
-(-10 -7 (-15 -3714 ((-1157 |#3|) (-1157 |#4|) (-634 |#2|) (-634 |#3|))) (-15 -1836 ((-634 (-763)) (-1157 |#4|) (-634 |#2|))) (-15 -2057 ((-634 |#2|) (-1157 |#4|))) (-15 -4099 ((-1157 |#3|) (-1157 |#4|))) (-15 -2231 ((-1157 |#4|) (-1157 |#3|))) (-15 -1459 ((-1157 |#4|) (-1157 |#4|) (-568))) (-15 -1541 (|#3| (-568)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 14)) (-2013 (((-634 (-2 (|:| |gen| |#1|) (|:| -1894 (-568)))) $) 18)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3986 (((-763) $) NIL)) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#1| "failed") $) NIL)) (-2857 ((|#1| $) NIL)) (-4167 ((|#1| $ (-568)) NIL)) (-2313 (((-568) $ (-568)) NIL)) (-1732 (($ $ $) NIL (|has| |#1| (-842)))) (-2047 (($ $ $) NIL (|has| |#1| (-842)))) (-3177 (($ (-1 |#1| |#1|) $) NIL)) (-2847 (($ (-1 (-568) (-568)) $) 10)) (-1893 (((-1143) $) NIL)) (-3933 (($ $ $) NIL (|has| (-568) (-787)))) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL) (($ |#1|) NIL)) (-2079 (((-568) |#1| $) NIL)) (-3058 (($) 15 T CONST)) (-1753 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1734 (((-121) $ $) 21 (|has| |#1| (-842)))) (-1775 (($ $) 11) (($ $ $) 20)) (-1769 (($ $ $) NIL) (($ |#1| $) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ (-568)) NIL) (($ (-568) |#1|) 19))) 
-(((-319 |#1|) (-13 (-21) (-707 (-568)) (-320 |#1| (-568)) (-10 -7 (IF (|has| |#1| (-842)) (-6 (-842)) |noBranch|))) (-1090)) (T -319)) 
-NIL 
-(-13 (-21) (-707 (-568)) (-320 |#1| (-568)) (-10 -7 (IF (|has| |#1| (-842)) (-6 (-842)) |noBranch|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2013 (((-634 (-2 (|:| |gen| |#1|) (|:| -1894 |#2|))) $) 26)) (-2689 (((-3 $ "failed") $ $) 18)) (-3986 (((-763) $) 27)) (-4490 (($) 16 T CONST)) (-3668 (((-3 |#1| "failed") $) 31)) (-2857 ((|#1| $) 30)) (-4167 ((|#1| $ (-568)) 24)) (-2313 ((|#2| $ (-568)) 25)) (-3177 (($ (-1 |#1| |#1|) $) 21)) (-2847 (($ (-1 |#2| |#2|) $) 22)) (-1893 (((-1143) $) 9)) (-3933 (($ $ $) 20 (|has| |#2| (-787)))) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11) (($ |#1|) 32)) (-2079 ((|#2| |#1| $) 23)) (-3058 (($) 17 T CONST)) (-1719 (((-121) $ $) 6)) (-1769 (($ $ $) 13) (($ |#1| $) 29)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ |#2| |#1|) 28))) 
-(((-320 |#1| |#2|) (-1275) (-1090) (-137)) (T -320)) 
-((-1769 (*1 *1 *2 *1) (-12 (-4 *1 (-320 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-137)))) (* (*1 *1 *2 *3) (-12 (-4 *1 (-320 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-137)))) (-3986 (*1 *2 *1) (-12 (-4 *1 (-320 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-137)) (-5 *2 (-763)))) (-2013 (*1 *2 *1) (-12 (-4 *1 (-320 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-137)) (-5 *2 (-634 (-2 (|:| |gen| *3) (|:| -1894 *4)))))) (-2313 (*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-320 *4 *2)) (-4 *4 (-1090)) (-4 *2 (-137)))) (-4167 (*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-320 *2 *4)) (-4 *4 (-137)) (-4 *2 (-1090)))) (-2079 (*1 *2 *3 *1) (-12 (-4 *1 (-320 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-137)))) (-2847 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-320 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-137)))) (-3177 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-320 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-137)))) (-3933 (*1 *1 *1 *1) (-12 (-4 *1 (-320 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-137)) (-4 *3 (-787))))) 
-(-13 (-137) (-1037 |t#1|) (-10 -8 (-15 -1769 ($ |t#1| $)) (-15 * ($ |t#2| |t#1|)) (-15 -3986 ((-763) $)) (-15 -2013 ((-634 (-2 (|:| |gen| |t#1|) (|:| -1894 |t#2|))) $)) (-15 -2313 (|t#2| $ (-568))) (-15 -4167 (|t#1| $ (-568))) (-15 -2079 (|t#2| |t#1| $)) (-15 -2847 ($ (-1 |t#2| |t#2|) $)) (-15 -3177 ($ (-1 |t#1| |t#1|) $)) (IF (|has| |t#2| (-787)) (-15 -3933 ($ $ $)) |noBranch|))) 
-(((-23) . T) ((-25) . T) ((-105) . T) ((-137) . T) ((-608 (-850)) . T) ((-1037 |#1|) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2013 (((-634 (-2 (|:| |gen| |#1|) (|:| -1894 (-763)))) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3986 (((-763) $) NIL)) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#1| "failed") $) NIL)) (-2857 ((|#1| $) NIL)) (-4167 ((|#1| $ (-568)) NIL)) (-2313 (((-763) $ (-568)) NIL)) (-3177 (($ (-1 |#1| |#1|) $) NIL)) (-2847 (($ (-1 (-763) (-763)) $) NIL)) (-1893 (((-1143) $) NIL)) (-3933 (($ $ $) NIL (|has| (-763) (-787)))) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL) (($ |#1|) NIL)) (-2079 (((-763) |#1| $) NIL)) (-3058 (($) NIL T CONST)) (-1719 (((-121) $ $) NIL)) (-1769 (($ $ $) NIL) (($ |#1| $) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-763) |#1|) NIL))) 
-(((-321 |#1|) (-320 |#1| (-763)) (-1090)) (T -321)) 
-NIL 
-(-320 |#1| (-763)) 
-((-2797 ((|#5| (-1 |#4| |#2|) |#3|) 19))) 
-(((-322 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2797 (|#5| (-1 |#4| |#2|) |#3|))) (-787) (-1047) (-324 |#2| |#1|) (-1047) (-324 |#4| |#1|)) (T -322)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-4 *6 (-1047)) (-4 *7 (-1047)) (-4 *5 (-787)) (-4 *2 (-324 *7 *5)) (-5 *1 (-322 *5 *6 *4 *7 *2)) (-4 *4 (-324 *6 *5))))) 
-(-10 -7 (-15 -2797 (|#5| (-1 |#4| |#2|) |#3|))) 
-((-1998 (($ $) 52)) (-2453 (($ $ |#2| |#3| $) 14)) (-1865 (($ (-1 |#3| |#3|) $) 35)) (-2088 (((-121) $) 27)) (-2093 ((|#2| $) 29)) (-2597 (((-3 $ "failed") $ $) NIL) (((-3 $ "failed") $ |#2|) 45)) (-1364 ((|#2| $) 48)) (-3304 (((-634 |#2|) $) 38)) (-3925 (($ $ $ (-763)) 23)) (-1781 (($ $ |#2|) 42))) 
-(((-323 |#1| |#2| |#3|) (-10 -8 (-15 -1998 (|#1| |#1|)) (-15 -1364 (|#2| |#1|)) (-15 -2597 ((-3 |#1| "failed") |#1| |#2|)) (-15 -3925 (|#1| |#1| |#1| (-763))) (-15 -2453 (|#1| |#1| |#2| |#3| |#1|)) (-15 -1865 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -3304 ((-634 |#2|) |#1|)) (-15 -2093 (|#2| |#1|)) (-15 -2088 ((-121) |#1|)) (-15 -2597 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1781 (|#1| |#1| |#2|))) (-324 |#2| |#3|) (-1047) (-787)) (T -323)) 
-NIL 
-(-10 -8 (-15 -1998 (|#1| |#1|)) (-15 -1364 (|#2| |#1|)) (-15 -2597 ((-3 |#1| "failed") |#1| |#2|)) (-15 -3925 (|#1| |#1| |#1| (-763))) (-15 -2453 (|#1| |#1| |#2| |#3| |#1|)) (-15 -1865 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -3304 ((-634 |#2|) |#1|)) (-15 -2093 (|#2| |#1|)) (-15 -2088 ((-121) |#1|)) (-15 -2597 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1781 (|#1| |#1| |#2|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 50 (|has| |#1| (-558)))) (-3661 (($ $) 51 (|has| |#1| (-558)))) (-4426 (((-121) $) 53 (|has| |#1| (-558)))) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-3668 (((-3 (-568) "failed") $) 86 (|has| |#1| (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) 84 (|has| |#1| (-1037 (-409 (-568))))) (((-3 |#1| "failed") $) 83)) (-2857 (((-568) $) 87 (|has| |#1| (-1037 (-568)))) (((-409 (-568)) $) 85 (|has| |#1| (-1037 (-409 (-568))))) ((|#1| $) 82)) (-2116 (($ $) 59)) (-2902 (((-3 $ "failed") $) 33)) (-1998 (($ $) 71 (|has| |#1| (-453)))) (-2453 (($ $ |#1| |#2| $) 75)) (-1598 (((-121) $) 30)) (-3971 (((-763) $) 78)) (-2171 (((-121) $) 61)) (-2049 (($ |#1| |#2|) 60)) (-3524 ((|#2| $) 77)) (-1865 (($ (-1 |#2| |#2|) $) 76)) (-2797 (($ (-1 |#1| |#1|) $) 62)) (-2099 (($ $) 64)) (-2104 ((|#1| $) 65)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2088 (((-121) $) 81)) (-2093 ((|#1| $) 80)) (-2597 (((-3 $ "failed") $ $) 49 (|has| |#1| (-558))) (((-3 $ "failed") $ |#1|) 73 (|has| |#1| (-558)))) (-1836 ((|#2| $) 63)) (-1364 ((|#1| $) 72 (|has| |#1| (-453)))) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ $) 48 (|has| |#1| (-558))) (($ |#1|) 46) (($ (-409 (-568))) 56 (-2199 (|has| |#1| (-1037 (-409 (-568)))) (|has| |#1| (-43 (-409 (-568))))))) (-3304 (((-634 |#1|) $) 79)) (-2079 ((|#1| $ |#2|) 58)) (-3385 (((-3 $ "failed") $) 47 (|has| |#1| (-148)))) (-3425 (((-763)) 28)) (-3925 (($ $ $ (-763)) 74 (|has| |#1| (-172)))) (-2273 (((-121) $ $) 52 (|has| |#1| (-558)))) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1781 (($ $ |#1|) 57 (|has| |#1| (-365)))) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-409 (-568)) $) 55 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) 54 (|has| |#1| (-43 (-409 (-568))))))) 
-(((-324 |#1| |#2|) (-1275) (-1047) (-787)) (T -324)) 
-((-2088 (*1 *2 *1) (-12 (-4 *1 (-324 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-787)) (-5 *2 (-121)))) (-2093 (*1 *2 *1) (-12 (-4 *1 (-324 *2 *3)) (-4 *3 (-787)) (-4 *2 (-1047)))) (-3304 (*1 *2 *1) (-12 (-4 *1 (-324 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-787)) (-5 *2 (-634 *3)))) (-3971 (*1 *2 *1) (-12 (-4 *1 (-324 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-787)) (-5 *2 (-763)))) (-3524 (*1 *2 *1) (-12 (-4 *1 (-324 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-787)))) (-1865 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-324 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-787)))) (-2453 (*1 *1 *1 *2 *3 *1) (-12 (-4 *1 (-324 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-787)))) (-3925 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-324 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-787)) (-4 *3 (-172)))) (-2597 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-324 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-787)) (-4 *2 (-558)))) (-1364 (*1 *2 *1) (-12 (-4 *1 (-324 *2 *3)) (-4 *3 (-787)) (-4 *2 (-1047)) (-4 *2 (-453)))) (-1998 (*1 *1 *1) (-12 (-4 *1 (-324 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-787)) (-4 *2 (-453))))) 
-(-13 (-52 |t#1| |t#2|) (-413 |t#1|) (-10 -8 (-15 -2088 ((-121) $)) (-15 -2093 (|t#1| $)) (-15 -3304 ((-634 |t#1|) $)) (-15 -3971 ((-763) $)) (-15 -3524 (|t#2| $)) (-15 -1865 ($ (-1 |t#2| |t#2|) $)) (-15 -2453 ($ $ |t#1| |t#2| $)) (IF (|has| |t#1| (-172)) (-15 -3925 ($ $ $ (-763))) |noBranch|) (IF (|has| |t#1| (-558)) (-15 -2597 ((-3 $ "failed") $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-453)) (PROGN (-15 -1364 (|t#1| $)) (-15 -1998 ($ $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-43 |#1|) |has| |#1| (-172)) ((-43 $) |has| |#1| (-558)) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2199 (|has| |#1| (-558)) (|has| |#1| (-172))) ((-137) . T) ((-148) |has| |#1| (-148)) ((-150) |has| |#1| (-150)) ((-608 (-850)) . T) ((-172) -2199 (|has| |#1| (-558)) (|has| |#1| (-172))) ((-285) |has| |#1| (-558)) ((-413 |#1|) . T) ((-558) |has| |#1| (-558)) ((-637 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-637 |#1|) . T) ((-637 $) . T) ((-707 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-707 |#1|) |has| |#1| (-172)) ((-707 $) |has| |#1| (-558)) ((-716) . T) ((-1037 (-409 (-568))) |has| |#1| (-1037 (-409 (-568)))) ((-1037 (-568)) |has| |#1| (-1037 (-568))) ((-1037 |#1|) . T) ((-1053 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-1053 |#1|) . T) ((-1053 $) -2199 (|has| |#1| (-558)) (|has| |#1| (-172))) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-2481 (((-1249) $ (-568) (-568)) NIL (|has| $ (-6 -4522)))) (-1324 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-842)))) (-2109 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4522))) (($ $) NIL (-12 (|has| $ (-6 -4522)) (|has| |#1| (-842))))) (-3647 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-842)))) (-1667 (((-121) $ (-763)) NIL)) (-4161 (((-121) (-121)) NIL)) (-2438 ((|#1| $ (-568) |#1|) NIL (|has| $ (-6 -4522))) ((|#1| $ (-1210 (-568)) |#1|) NIL (|has| $ (-6 -4522)))) (-3963 (($ (-1 (-121) |#1|) $) NIL)) (-2803 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-4490 (($) NIL T CONST)) (-4452 (($ $) NIL (|has| $ (-6 -4522)))) (-3945 (($ $) NIL)) (-1377 (($ $) NIL (|has| |#1| (-1090)))) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1568 (($ |#1| $) NIL (|has| |#1| (-1090))) (($ (-1 (-121) |#1|) $) NIL)) (-4330 (($ |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4521)))) (-1292 ((|#1| $ (-568) |#1|) NIL (|has| $ (-6 -4522)))) (-2069 ((|#1| $ (-568)) NIL)) (-2766 (((-568) (-1 (-121) |#1|) $) NIL) (((-568) |#1| $) NIL (|has| |#1| (-1090))) (((-568) |#1| $ (-568)) NIL (|has| |#1| (-1090)))) (-3400 (($ $ (-568)) NIL)) (-2906 (((-763) $) NIL)) (-3317 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-1851 (($ (-763) |#1|) NIL)) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-568) $) NIL (|has| (-568) (-842)))) (-1732 (($ $ $) NIL (|has| |#1| (-842)))) (-4496 (($ $ $) NIL (|has| |#1| (-842))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-3645 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-842)))) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3631 (((-568) $) NIL (|has| (-568) (-842)))) (-2047 (($ $ $) NIL (|has| |#1| (-842)))) (-2253 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-1708 (($ $ $ (-568)) NIL) (($ |#1| $ (-568)) NIL)) (-4124 (($ |#1| $ (-568)) NIL) (($ $ $ (-568)) NIL)) (-3948 (((-634 (-568)) $) NIL)) (-2916 (((-121) (-568) $) NIL)) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-1697 (($ (-634 |#1|)) NIL)) (-3877 ((|#1| $) NIL (|has| (-568) (-842)))) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2490 (($ $ |#1|) NIL (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1480 (((-634 |#1|) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#1| $ (-568) |#1|) NIL) ((|#1| $ (-568)) NIL) (($ $ (-1210 (-568))) NIL)) (-4031 (($ $ (-1210 (-568))) NIL) (($ $ (-568)) NIL)) (-2828 (($ $ (-568)) NIL) (($ $ (-1210 (-568))) NIL)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3306 (($ $ $ (-568)) NIL (|has| $ (-6 -4522)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) NIL (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) NIL)) (-1876 (($ $ $) NIL) (($ $ |#1|) NIL)) (-2770 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-634 $)) NIL)) (-2747 (((-850) $) NIL (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1753 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1719 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1747 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-325 |#1|) (-13 (-19 |#1|) (-277 |#1|) (-10 -8 (-15 -1697 ($ (-634 |#1|))) (-15 -2906 ((-763) $)) (-15 -3400 ($ $ (-568))) (-15 -4161 ((-121) (-121))))) (-1195)) (T -325)) 
-((-1697 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1195)) (-5 *1 (-325 *3)))) (-2906 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-325 *3)) (-4 *3 (-1195)))) (-3400 (*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-325 *3)) (-4 *3 (-1195)))) (-4161 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-325 *3)) (-4 *3 (-1195))))) 
-(-13 (-19 |#1|) (-277 |#1|) (-10 -8 (-15 -1697 ($ (-634 |#1|))) (-15 -2906 ((-763) $)) (-15 -3400 ($ $ (-568))) (-15 -4161 ((-121) (-121))))) 
-((-2134 (((-121) $) 37)) (-3800 (((-763)) 22)) (-1934 ((|#2| $) 41) (($ $ (-917)) 99)) (-3986 (((-763)) 93)) (-3899 (($ (-1244 |#2|)) 20)) (-2151 (((-121) $) 111)) (-4417 ((|#2| $) 43) (($ $ (-917)) 97)) (-1497 (((-1157 |#2|) $) NIL) (((-1157 $) $ (-917)) 88)) (-1447 (((-1157 |#2|) $) 78)) (-2193 (((-1157 |#2|) $) 75) (((-3 (-1157 |#2|) "failed") $ $) 72)) (-3257 (($ $ (-1157 |#2|)) 48)) (-4321 (((-828 (-917))) 91) (((-917)) 38)) (-3108 (((-139)) 25)) (-1836 (((-828 (-917)) $) NIL) (((-917) $) 112)) (-1398 (($) 105)) (-1656 (((-1244 |#2|) $) NIL) (((-679 |#2|) (-1244 $)) 34)) (-3385 (($ $) NIL) (((-3 $ "failed") $) 81)) (-1413 (((-121) $) 36))) 
-(((-326 |#1| |#2|) (-10 -8 (-15 -3385 ((-3 |#1| "failed") |#1|)) (-15 -3986 ((-763))) (-15 -3385 (|#1| |#1|)) (-15 -2193 ((-3 (-1157 |#2|) "failed") |#1| |#1|)) (-15 -2193 ((-1157 |#2|) |#1|)) (-15 -1447 ((-1157 |#2|) |#1|)) (-15 -3257 (|#1| |#1| (-1157 |#2|))) (-15 -2151 ((-121) |#1|)) (-15 -1398 (|#1|)) (-15 -1934 (|#1| |#1| (-917))) (-15 -4417 (|#1| |#1| (-917))) (-15 -1497 ((-1157 |#1|) |#1| (-917))) (-15 -1934 (|#2| |#1|)) (-15 -4417 (|#2| |#1|)) (-15 -1836 ((-917) |#1|)) (-15 -4321 ((-917))) (-15 -1497 ((-1157 |#2|) |#1|)) (-15 -3899 (|#1| (-1244 |#2|))) (-15 -1656 ((-679 |#2|) (-1244 |#1|))) (-15 -1656 ((-1244 |#2|) |#1|)) (-15 -3800 ((-763))) (-15 -4321 ((-828 (-917)))) (-15 -1836 ((-828 (-917)) |#1|)) (-15 -2134 ((-121) |#1|)) (-15 -1413 ((-121) |#1|)) (-15 -3108 ((-139)))) (-327 |#2|) (-365)) (T -326)) 
-((-3108 (*1 *2) (-12 (-4 *4 (-365)) (-5 *2 (-139)) (-5 *1 (-326 *3 *4)) (-4 *3 (-327 *4)))) (-4321 (*1 *2) (-12 (-4 *4 (-365)) (-5 *2 (-828 (-917))) (-5 *1 (-326 *3 *4)) (-4 *3 (-327 *4)))) (-3800 (*1 *2) (-12 (-4 *4 (-365)) (-5 *2 (-763)) (-5 *1 (-326 *3 *4)) (-4 *3 (-327 *4)))) (-4321 (*1 *2) (-12 (-4 *4 (-365)) (-5 *2 (-917)) (-5 *1 (-326 *3 *4)) (-4 *3 (-327 *4)))) (-3986 (*1 *2) (-12 (-4 *4 (-365)) (-5 *2 (-763)) (-5 *1 (-326 *3 *4)) (-4 *3 (-327 *4))))) 
-(-10 -8 (-15 -3385 ((-3 |#1| "failed") |#1|)) (-15 -3986 ((-763))) (-15 -3385 (|#1| |#1|)) (-15 -2193 ((-3 (-1157 |#2|) "failed") |#1| |#1|)) (-15 -2193 ((-1157 |#2|) |#1|)) (-15 -1447 ((-1157 |#2|) |#1|)) (-15 -3257 (|#1| |#1| (-1157 |#2|))) (-15 -2151 ((-121) |#1|)) (-15 -1398 (|#1|)) (-15 -1934 (|#1| |#1| (-917))) (-15 -4417 (|#1| |#1| (-917))) (-15 -1497 ((-1157 |#1|) |#1| (-917))) (-15 -1934 (|#2| |#1|)) (-15 -4417 (|#2| |#1|)) (-15 -1836 ((-917) |#1|)) (-15 -4321 ((-917))) (-15 -1497 ((-1157 |#2|) |#1|)) (-15 -3899 (|#1| (-1244 |#2|))) (-15 -1656 ((-679 |#2|) (-1244 |#1|))) (-15 -1656 ((-1244 |#2|) |#1|)) (-15 -3800 ((-763))) (-15 -4321 ((-828 (-917)))) (-15 -1836 ((-828 (-917)) |#1|)) (-15 -2134 ((-121) |#1|)) (-15 -1413 ((-121) |#1|)) (-15 -3108 ((-139)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 40)) (-3661 (($ $) 39)) (-4426 (((-121) $) 37)) (-2134 (((-121) $) 90)) (-3800 (((-763)) 86)) (-1934 ((|#1| $) 133) (($ $ (-917)) 130 (|has| |#1| (-370)))) (-1856 (((-1169 (-917) (-763)) (-568)) 115 (|has| |#1| (-370)))) (-2689 (((-3 $ "failed") $ $) 18)) (-3045 (($ $) 71)) (-3498 (((-420 $) $) 70)) (-2589 (((-121) $ $) 57)) (-3986 (((-763)) 105 (|has| |#1| (-370)))) (-4490 (($) 16 T CONST)) (-3668 (((-3 |#1| "failed") $) 97)) (-2857 ((|#1| $) 96)) (-3899 (($ (-1244 |#1|)) 139)) (-1368 (((-3 "prime" "polynomial" "normal" "cyclic")) 121 (|has| |#1| (-370)))) (-2403 (($ $ $) 53)) (-2902 (((-3 $ "failed") $) 33)) (-1733 (($) 102 (|has| |#1| (-370)))) (-2414 (($ $ $) 54)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 49)) (-4188 (($) 117 (|has| |#1| (-370)))) (-1748 (((-121) $) 118 (|has| |#1| (-370)))) (-1887 (($ $ (-763)) 83 (-2199 (|has| |#1| (-148)) (|has| |#1| (-370)))) (($ $) 82 (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-2197 (((-121) $) 69)) (-1844 (((-917) $) 120 (|has| |#1| (-370))) (((-828 (-917)) $) 80 (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-1598 (((-121) $) 30)) (-2769 (($) 128 (|has| |#1| (-370)))) (-2151 (((-121) $) 127 (|has| |#1| (-370)))) (-4417 ((|#1| $) 134) (($ $ (-917)) 131 (|has| |#1| (-370)))) (-2214 (((-3 $ "failed") $) 106 (|has| |#1| (-370)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 50)) (-1497 (((-1157 |#1|) $) 138) (((-1157 $) $ (-917)) 132 (|has| |#1| (-370)))) (-2291 (((-917) $) 103 (|has| |#1| (-370)))) (-1447 (((-1157 |#1|) $) 124 (|has| |#1| (-370)))) (-2193 (((-1157 |#1|) $) 123 (|has| |#1| (-370))) (((-3 (-1157 |#1|) "failed") $ $) 122 (|has| |#1| (-370)))) (-3257 (($ $ (-1157 |#1|)) 125 (|has| |#1| (-370)))) (-2498 (($ $ $) 45) (($ (-634 $)) 44)) (-1893 (((-1143) $) 9)) (-2083 (($ $) 68)) (-4436 (($) 107 (|has| |#1| (-370)) CONST)) (-4357 (($ (-917)) 104 (|has| |#1| (-370)))) (-4051 (((-121) $) 89)) (-4025 (((-1108) $) 10)) (-2707 (($) 126 (|has| |#1| (-370)))) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 43)) (-2723 (($ $ $) 47) (($ (-634 $)) 46)) (-2172 (((-634 (-2 (|:| -3850 (-568)) (|:| -3483 (-568))))) 114 (|has| |#1| (-370)))) (-3850 (((-420 $) $) 72)) (-4321 (((-828 (-917))) 87) (((-917)) 136)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2597 (((-3 $ "failed") $ $) 41)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 48)) (-1466 (((-763) $) 56)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 55)) (-2721 (((-763) $) 119 (|has| |#1| (-370))) (((-3 (-763) "failed") $ $) 81 (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-3108 (((-139)) 95)) (-4191 (($ $) 111 (|has| |#1| (-370))) (($ $ (-763)) 109 (|has| |#1| (-370)))) (-1836 (((-828 (-917)) $) 88) (((-917) $) 135)) (-1492 (((-1157 |#1|)) 137)) (-2330 (($) 116 (|has| |#1| (-370)))) (-1398 (($) 129 (|has| |#1| (-370)))) (-1656 (((-1244 |#1|) $) 141) (((-679 |#1|) (-1244 $)) 140)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) 113 (|has| |#1| (-370)))) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ $) 42) (($ (-409 (-568))) 63) (($ |#1|) 98)) (-3385 (($ $) 112 (|has| |#1| (-370))) (((-3 $ "failed") $) 79 (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-3425 (((-763)) 28)) (-2588 (((-1244 $)) 143) (((-1244 $) (-917)) 142)) (-2273 (((-121) $ $) 38)) (-1413 (((-121) $) 91)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32) (($ $ (-568)) 67)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3412 (($ $) 85 (|has| |#1| (-370))) (($ $ (-763)) 84 (|has| |#1| (-370)))) (-3192 (($ $) 110 (|has| |#1| (-370))) (($ $ (-763)) 108 (|has| |#1| (-370)))) (-1719 (((-121) $ $) 6)) (-1781 (($ $ $) 62) (($ $ |#1|) 94)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ (-568)) 66)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ (-409 (-568))) 65) (($ (-409 (-568)) $) 64) (($ $ |#1|) 93) (($ |#1| $) 92))) 
-(((-327 |#1|) (-1275) (-365)) (T -327)) 
-((-2588 (*1 *2) (-12 (-4 *3 (-365)) (-5 *2 (-1244 *1)) (-4 *1 (-327 *3)))) (-2588 (*1 *2 *3) (-12 (-5 *3 (-917)) (-4 *4 (-365)) (-5 *2 (-1244 *1)) (-4 *1 (-327 *4)))) (-1656 (*1 *2 *1) (-12 (-4 *1 (-327 *3)) (-4 *3 (-365)) (-5 *2 (-1244 *3)))) (-1656 (*1 *2 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-327 *4)) (-4 *4 (-365)) (-5 *2 (-679 *4)))) (-3899 (*1 *1 *2) (-12 (-5 *2 (-1244 *3)) (-4 *3 (-365)) (-4 *1 (-327 *3)))) (-1497 (*1 *2 *1) (-12 (-4 *1 (-327 *3)) (-4 *3 (-365)) (-5 *2 (-1157 *3)))) (-1492 (*1 *2) (-12 (-4 *1 (-327 *3)) (-4 *3 (-365)) (-5 *2 (-1157 *3)))) (-4321 (*1 *2) (-12 (-4 *1 (-327 *3)) (-4 *3 (-365)) (-5 *2 (-917)))) (-1836 (*1 *2 *1) (-12 (-4 *1 (-327 *3)) (-4 *3 (-365)) (-5 *2 (-917)))) (-4417 (*1 *2 *1) (-12 (-4 *1 (-327 *2)) (-4 *2 (-365)))) (-1934 (*1 *2 *1) (-12 (-4 *1 (-327 *2)) (-4 *2 (-365)))) (-1497 (*1 *2 *1 *3) (-12 (-5 *3 (-917)) (-4 *4 (-370)) (-4 *4 (-365)) (-5 *2 (-1157 *1)) (-4 *1 (-327 *4)))) (-4417 (*1 *1 *1 *2) (-12 (-5 *2 (-917)) (-4 *1 (-327 *3)) (-4 *3 (-365)) (-4 *3 (-370)))) (-1934 (*1 *1 *1 *2) (-12 (-5 *2 (-917)) (-4 *1 (-327 *3)) (-4 *3 (-365)) (-4 *3 (-370)))) (-1398 (*1 *1) (-12 (-4 *1 (-327 *2)) (-4 *2 (-370)) (-4 *2 (-365)))) (-2769 (*1 *1) (-12 (-4 *1 (-327 *2)) (-4 *2 (-370)) (-4 *2 (-365)))) (-2151 (*1 *2 *1) (-12 (-4 *1 (-327 *3)) (-4 *3 (-365)) (-4 *3 (-370)) (-5 *2 (-121)))) (-2707 (*1 *1) (-12 (-4 *1 (-327 *2)) (-4 *2 (-370)) (-4 *2 (-365)))) (-3257 (*1 *1 *1 *2) (-12 (-5 *2 (-1157 *3)) (-4 *3 (-370)) (-4 *1 (-327 *3)) (-4 *3 (-365)))) (-1447 (*1 *2 *1) (-12 (-4 *1 (-327 *3)) (-4 *3 (-365)) (-4 *3 (-370)) (-5 *2 (-1157 *3)))) (-2193 (*1 *2 *1) (-12 (-4 *1 (-327 *3)) (-4 *3 (-365)) (-4 *3 (-370)) (-5 *2 (-1157 *3)))) (-2193 (*1 *2 *1 *1) (|partial| -12 (-4 *1 (-327 *3)) (-4 *3 (-365)) (-4 *3 (-370)) (-5 *2 (-1157 *3))))) 
-(-13 (-1261 |t#1|) (-1037 |t#1|) (-10 -8 (-15 -2588 ((-1244 $))) (-15 -2588 ((-1244 $) (-917))) (-15 -1656 ((-1244 |t#1|) $)) (-15 -1656 ((-679 |t#1|) (-1244 $))) (-15 -3899 ($ (-1244 |t#1|))) (-15 -1497 ((-1157 |t#1|) $)) (-15 -1492 ((-1157 |t#1|))) (-15 -4321 ((-917))) (-15 -1836 ((-917) $)) (-15 -4417 (|t#1| $)) (-15 -1934 (|t#1| $)) (IF (|has| |t#1| (-370)) (PROGN (-6 (-350)) (-15 -1497 ((-1157 $) $ (-917))) (-15 -4417 ($ $ (-917))) (-15 -1934 ($ $ (-917))) (-15 -1398 ($)) (-15 -2769 ($)) (-15 -2151 ((-121) $)) (-15 -2707 ($)) (-15 -3257 ($ $ (-1157 |t#1|))) (-15 -1447 ((-1157 |t#1|) $)) (-15 -2193 ((-1157 |t#1|) $)) (-15 -2193 ((-3 (-1157 |t#1|) "failed") $ $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-409 (-568))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) . T) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-137) . T) ((-148) -2199 (|has| |#1| (-370)) (|has| |#1| (-148))) ((-150) |has| |#1| (-150)) ((-608 (-850)) . T) ((-172) . T) ((-225) |has| |#1| (-370)) ((-238) . T) ((-285) . T) ((-301) . T) ((-1261 |#1|) . T) ((-365) . T) ((-404) -2199 (|has| |#1| (-370)) (|has| |#1| (-148))) ((-370) |has| |#1| (-370)) ((-350) |has| |#1| (-370)) ((-453) . T) ((-558) . T) ((-637 (-409 (-568))) . T) ((-637 |#1|) . T) ((-637 $) . T) ((-707 (-409 (-568))) . T) ((-707 |#1|) . T) ((-707 $) . T) ((-716) . T) ((-916) . T) ((-1037 |#1|) . T) ((-1053 (-409 (-568))) . T) ((-1053 |#1|) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1136) |has| |#1| (-370)) ((-1199) . T) ((-1251 |#1|) . T)) 
-((-2449 (((-121) $ $) NIL)) (-2238 (($ (-1160) $) 88)) (-3785 (($) 76)) (-4237 (((-1108) (-1108)) 11)) (-2332 (($) 77)) (-2042 (($) 90) (($ (-310 (-688))) 96) (($ (-310 (-690))) 93) (($ (-310 (-683))) 99) (($ (-310 (-381))) 105) (($ (-310 (-568))) 102) (($ (-310 (-169 (-381)))) 108)) (-3459 (($ (-1160) $) 89)) (-3411 (($ (-634 (-850))) 79)) (-2496 (((-1249) $) 73)) (-1573 (((-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $) 27)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-3838 (($ (-1108)) 45)) (-2558 (((-1094) $) 25)) (-1791 (($ (-1082 (-953 (-568))) $) 85) (($ (-1082 (-953 (-568))) (-953 (-568)) $) 86)) (-2911 (($ (-1108)) 87)) (-4135 (($ (-1160) $) 110) (($ (-1160) $ $) 111)) (-4131 (($ (-1161) (-634 (-1161))) 75)) (-1709 (($ (-1143)) 82) (($ (-634 (-1143))) 80)) (-2747 (((-850) $) 113)) (-2848 (((-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1161)) (|:| |arrayIndex| (-634 (-953 (-568)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -4153 (-850)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1161)) (|:| |rand| (-850)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1160)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (-2 (|:| -2436 (-121)) (|:| -2852 (-2 (|:| |ints2Floats?| (-121)) (|:| -4153 (-850)))))) (|:| |blockBranch| (-634 $)) (|:| |commentBranch| (-634 (-1143))) (|:| |callBranch| (-1143)) (|:| |forBranch| (-2 (|:| -3581 (-1082 (-953 (-568)))) (|:| |span| (-953 (-568))) (|:| |body| $))) (|:| |labelBranch| (-1108)) (|:| |loopBranch| (-2 (|:| |switch| (-1160)) (|:| |body| $))) (|:| |commonBranch| (-2 (|:| -3393 (-1161)) (|:| |contents| (-634 (-1161))))) (|:| |printBranch| (-634 (-850)))) $) 37)) (-2685 (($ (-1143)) 182)) (-2347 (($ (-634 $)) 109)) (-1963 (($ (-1161) (-1143)) 115) (($ (-1161) (-310 (-690))) 155) (($ (-1161) (-310 (-688))) 156) (($ (-1161) (-310 (-683))) 157) (($ (-1161) (-679 (-690))) 118) (($ (-1161) (-679 (-688))) 121) (($ (-1161) (-679 (-683))) 124) (($ (-1161) (-1244 (-690))) 127) (($ (-1161) (-1244 (-688))) 130) (($ (-1161) (-1244 (-683))) 133) (($ (-1161) (-679 (-310 (-690)))) 136) (($ (-1161) (-679 (-310 (-688)))) 139) (($ (-1161) (-679 (-310 (-683)))) 142) (($ (-1161) (-1244 (-310 (-690)))) 145) (($ (-1161) (-1244 (-310 (-688)))) 148) (($ (-1161) (-1244 (-310 (-683)))) 151) (($ (-1161) (-634 (-953 (-568))) (-310 (-690))) 152) (($ (-1161) (-634 (-953 (-568))) (-310 (-688))) 153) (($ (-1161) (-634 (-953 (-568))) (-310 (-683))) 154) (($ (-1161) (-310 (-568))) 179) (($ (-1161) (-310 (-381))) 180) (($ (-1161) (-310 (-169 (-381)))) 181) (($ (-1161) (-679 (-310 (-568)))) 160) (($ (-1161) (-679 (-310 (-381)))) 163) (($ (-1161) (-679 (-310 (-169 (-381))))) 166) (($ (-1161) (-1244 (-310 (-568)))) 169) (($ (-1161) (-1244 (-310 (-381)))) 172) (($ (-1161) (-1244 (-310 (-169 (-381))))) 175) (($ (-1161) (-634 (-953 (-568))) (-310 (-568))) 176) (($ (-1161) (-634 (-953 (-568))) (-310 (-381))) 177) (($ (-1161) (-634 (-953 (-568))) (-310 (-169 (-381)))) 178)) (-1719 (((-121) $ $) NIL))) 
-(((-328) (-13 (-1090) (-10 -8 (-15 -2747 ((-850) $)) (-15 -1791 ($ (-1082 (-953 (-568))) $)) (-15 -1791 ($ (-1082 (-953 (-568))) (-953 (-568)) $)) (-15 -2238 ($ (-1160) $)) (-15 -3459 ($ (-1160) $)) (-15 -3838 ($ (-1108))) (-15 -2911 ($ (-1108))) (-15 -1709 ($ (-1143))) (-15 -1709 ($ (-634 (-1143)))) (-15 -2685 ($ (-1143))) (-15 -2042 ($)) (-15 -2042 ($ (-310 (-688)))) (-15 -2042 ($ (-310 (-690)))) (-15 -2042 ($ (-310 (-683)))) (-15 -2042 ($ (-310 (-381)))) (-15 -2042 ($ (-310 (-568)))) (-15 -2042 ($ (-310 (-169 (-381))))) (-15 -4135 ($ (-1160) $)) (-15 -4135 ($ (-1160) $ $)) (-15 -1963 ($ (-1161) (-1143))) (-15 -1963 ($ (-1161) (-310 (-690)))) (-15 -1963 ($ (-1161) (-310 (-688)))) (-15 -1963 ($ (-1161) (-310 (-683)))) (-15 -1963 ($ (-1161) (-679 (-690)))) (-15 -1963 ($ (-1161) (-679 (-688)))) (-15 -1963 ($ (-1161) (-679 (-683)))) (-15 -1963 ($ (-1161) (-1244 (-690)))) (-15 -1963 ($ (-1161) (-1244 (-688)))) (-15 -1963 ($ (-1161) (-1244 (-683)))) (-15 -1963 ($ (-1161) (-679 (-310 (-690))))) (-15 -1963 ($ (-1161) (-679 (-310 (-688))))) (-15 -1963 ($ (-1161) (-679 (-310 (-683))))) (-15 -1963 ($ (-1161) (-1244 (-310 (-690))))) (-15 -1963 ($ (-1161) (-1244 (-310 (-688))))) (-15 -1963 ($ (-1161) (-1244 (-310 (-683))))) (-15 -1963 ($ (-1161) (-634 (-953 (-568))) (-310 (-690)))) (-15 -1963 ($ (-1161) (-634 (-953 (-568))) (-310 (-688)))) (-15 -1963 ($ (-1161) (-634 (-953 (-568))) (-310 (-683)))) (-15 -1963 ($ (-1161) (-310 (-568)))) (-15 -1963 ($ (-1161) (-310 (-381)))) (-15 -1963 ($ (-1161) (-310 (-169 (-381))))) (-15 -1963 ($ (-1161) (-679 (-310 (-568))))) (-15 -1963 ($ (-1161) (-679 (-310 (-381))))) (-15 -1963 ($ (-1161) (-679 (-310 (-169 (-381)))))) (-15 -1963 ($ (-1161) (-1244 (-310 (-568))))) (-15 -1963 ($ (-1161) (-1244 (-310 (-381))))) (-15 -1963 ($ (-1161) (-1244 (-310 (-169 (-381)))))) (-15 -1963 ($ (-1161) (-634 (-953 (-568))) (-310 (-568)))) (-15 -1963 ($ (-1161) (-634 (-953 (-568))) (-310 (-381)))) (-15 -1963 ($ (-1161) (-634 (-953 (-568))) (-310 (-169 (-381))))) (-15 -2347 ($ (-634 $))) (-15 -3785 ($)) (-15 -2332 ($)) (-15 -3411 ($ (-634 (-850)))) (-15 -4131 ($ (-1161) (-634 (-1161)))) (-15 -1573 ((-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $)) (-15 -2848 ((-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1161)) (|:| |arrayIndex| (-634 (-953 (-568)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -4153 (-850)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1161)) (|:| |rand| (-850)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1160)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (-2 (|:| -2436 (-121)) (|:| -2852 (-2 (|:| |ints2Floats?| (-121)) (|:| -4153 (-850)))))) (|:| |blockBranch| (-634 $)) (|:| |commentBranch| (-634 (-1143))) (|:| |callBranch| (-1143)) (|:| |forBranch| (-2 (|:| -3581 (-1082 (-953 (-568)))) (|:| |span| (-953 (-568))) (|:| |body| $))) (|:| |labelBranch| (-1108)) (|:| |loopBranch| (-2 (|:| |switch| (-1160)) (|:| |body| $))) (|:| |commonBranch| (-2 (|:| -3393 (-1161)) (|:| |contents| (-634 (-1161))))) (|:| |printBranch| (-634 (-850)))) $)) (-15 -2496 ((-1249) $)) (-15 -2558 ((-1094) $)) (-15 -4237 ((-1108) (-1108)))))) (T -328)) 
-((-2747 (*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-328)))) (-1791 (*1 *1 *2 *1) (-12 (-5 *2 (-1082 (-953 (-568)))) (-5 *1 (-328)))) (-1791 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-1082 (-953 (-568)))) (-5 *3 (-953 (-568))) (-5 *1 (-328)))) (-2238 (*1 *1 *2 *1) (-12 (-5 *2 (-1160)) (-5 *1 (-328)))) (-3459 (*1 *1 *2 *1) (-12 (-5 *2 (-1160)) (-5 *1 (-328)))) (-3838 (*1 *1 *2) (-12 (-5 *2 (-1108)) (-5 *1 (-328)))) (-2911 (*1 *1 *2) (-12 (-5 *2 (-1108)) (-5 *1 (-328)))) (-1709 (*1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-328)))) (-1709 (*1 *1 *2) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-328)))) (-2685 (*1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-328)))) (-2042 (*1 *1) (-5 *1 (-328))) (-2042 (*1 *1 *2) (-12 (-5 *2 (-310 (-688))) (-5 *1 (-328)))) (-2042 (*1 *1 *2) (-12 (-5 *2 (-310 (-690))) (-5 *1 (-328)))) (-2042 (*1 *1 *2) (-12 (-5 *2 (-310 (-683))) (-5 *1 (-328)))) (-2042 (*1 *1 *2) (-12 (-5 *2 (-310 (-381))) (-5 *1 (-328)))) (-2042 (*1 *1 *2) (-12 (-5 *2 (-310 (-568))) (-5 *1 (-328)))) (-2042 (*1 *1 *2) (-12 (-5 *2 (-310 (-169 (-381)))) (-5 *1 (-328)))) (-4135 (*1 *1 *2 *1) (-12 (-5 *2 (-1160)) (-5 *1 (-328)))) (-4135 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1160)) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1143)) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-310 (-690))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-310 (-688))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-310 (-683))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-679 (-690))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-679 (-688))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-679 (-683))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1244 (-690))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1244 (-688))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1244 (-683))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-679 (-310 (-690)))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-679 (-310 (-688)))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-679 (-310 (-683)))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1244 (-310 (-690)))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1244 (-310 (-688)))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1244 (-310 (-683)))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1161)) (-5 *3 (-634 (-953 (-568)))) (-5 *4 (-310 (-690))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1161)) (-5 *3 (-634 (-953 (-568)))) (-5 *4 (-310 (-688))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1161)) (-5 *3 (-634 (-953 (-568)))) (-5 *4 (-310 (-683))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-310 (-568))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-310 (-381))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-310 (-169 (-381)))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-679 (-310 (-568)))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-679 (-310 (-381)))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-679 (-310 (-169 (-381))))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1244 (-310 (-568)))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1244 (-310 (-381)))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1244 (-310 (-169 (-381))))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1161)) (-5 *3 (-634 (-953 (-568)))) (-5 *4 (-310 (-568))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1161)) (-5 *3 (-634 (-953 (-568)))) (-5 *4 (-310 (-381))) (-5 *1 (-328)))) (-1963 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1161)) (-5 *3 (-634 (-953 (-568)))) (-5 *4 (-310 (-169 (-381)))) (-5 *1 (-328)))) (-2347 (*1 *1 *2) (-12 (-5 *2 (-634 (-328))) (-5 *1 (-328)))) (-3785 (*1 *1) (-5 *1 (-328))) (-2332 (*1 *1) (-5 *1 (-328))) (-3411 (*1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-328)))) (-4131 (*1 *1 *2 *3) (-12 (-5 *3 (-634 (-1161))) (-5 *2 (-1161)) (-5 *1 (-328)))) (-1573 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print"))) (-5 *1 (-328)))) (-2848 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1161)) (|:| |arrayIndex| (-634 (-953 (-568)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -4153 (-850)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1161)) (|:| |rand| (-850)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1160)) (|:| |thenClause| (-328)) (|:| |elseClause| (-328)))) (|:| |returnBranch| (-2 (|:| -2436 (-121)) (|:| -2852 (-2 (|:| |ints2Floats?| (-121)) (|:| -4153 (-850)))))) (|:| |blockBranch| (-634 (-328))) (|:| |commentBranch| (-634 (-1143))) (|:| |callBranch| (-1143)) (|:| |forBranch| (-2 (|:| -3581 (-1082 (-953 (-568)))) (|:| |span| (-953 (-568))) (|:| |body| (-328)))) (|:| |labelBranch| (-1108)) (|:| |loopBranch| (-2 (|:| |switch| (-1160)) (|:| |body| (-328)))) (|:| |commonBranch| (-2 (|:| -3393 (-1161)) (|:| |contents| (-634 (-1161))))) (|:| |printBranch| (-634 (-850))))) (-5 *1 (-328)))) (-2496 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-328)))) (-2558 (*1 *2 *1) (-12 (-5 *2 (-1094)) (-5 *1 (-328)))) (-4237 (*1 *2 *2) (-12 (-5 *2 (-1108)) (-5 *1 (-328))))) 
-(-13 (-1090) (-10 -8 (-15 -2747 ((-850) $)) (-15 -1791 ($ (-1082 (-953 (-568))) $)) (-15 -1791 ($ (-1082 (-953 (-568))) (-953 (-568)) $)) (-15 -2238 ($ (-1160) $)) (-15 -3459 ($ (-1160) $)) (-15 -3838 ($ (-1108))) (-15 -2911 ($ (-1108))) (-15 -1709 ($ (-1143))) (-15 -1709 ($ (-634 (-1143)))) (-15 -2685 ($ (-1143))) (-15 -2042 ($)) (-15 -2042 ($ (-310 (-688)))) (-15 -2042 ($ (-310 (-690)))) (-15 -2042 ($ (-310 (-683)))) (-15 -2042 ($ (-310 (-381)))) (-15 -2042 ($ (-310 (-568)))) (-15 -2042 ($ (-310 (-169 (-381))))) (-15 -4135 ($ (-1160) $)) (-15 -4135 ($ (-1160) $ $)) (-15 -1963 ($ (-1161) (-1143))) (-15 -1963 ($ (-1161) (-310 (-690)))) (-15 -1963 ($ (-1161) (-310 (-688)))) (-15 -1963 ($ (-1161) (-310 (-683)))) (-15 -1963 ($ (-1161) (-679 (-690)))) (-15 -1963 ($ (-1161) (-679 (-688)))) (-15 -1963 ($ (-1161) (-679 (-683)))) (-15 -1963 ($ (-1161) (-1244 (-690)))) (-15 -1963 ($ (-1161) (-1244 (-688)))) (-15 -1963 ($ (-1161) (-1244 (-683)))) (-15 -1963 ($ (-1161) (-679 (-310 (-690))))) (-15 -1963 ($ (-1161) (-679 (-310 (-688))))) (-15 -1963 ($ (-1161) (-679 (-310 (-683))))) (-15 -1963 ($ (-1161) (-1244 (-310 (-690))))) (-15 -1963 ($ (-1161) (-1244 (-310 (-688))))) (-15 -1963 ($ (-1161) (-1244 (-310 (-683))))) (-15 -1963 ($ (-1161) (-634 (-953 (-568))) (-310 (-690)))) (-15 -1963 ($ (-1161) (-634 (-953 (-568))) (-310 (-688)))) (-15 -1963 ($ (-1161) (-634 (-953 (-568))) (-310 (-683)))) (-15 -1963 ($ (-1161) (-310 (-568)))) (-15 -1963 ($ (-1161) (-310 (-381)))) (-15 -1963 ($ (-1161) (-310 (-169 (-381))))) (-15 -1963 ($ (-1161) (-679 (-310 (-568))))) (-15 -1963 ($ (-1161) (-679 (-310 (-381))))) (-15 -1963 ($ (-1161) (-679 (-310 (-169 (-381)))))) (-15 -1963 ($ (-1161) (-1244 (-310 (-568))))) (-15 -1963 ($ (-1161) (-1244 (-310 (-381))))) (-15 -1963 ($ (-1161) (-1244 (-310 (-169 (-381)))))) (-15 -1963 ($ (-1161) (-634 (-953 (-568))) (-310 (-568)))) (-15 -1963 ($ (-1161) (-634 (-953 (-568))) (-310 (-381)))) (-15 -1963 ($ (-1161) (-634 (-953 (-568))) (-310 (-169 (-381))))) (-15 -2347 ($ (-634 $))) (-15 -3785 ($)) (-15 -2332 ($)) (-15 -3411 ($ (-634 (-850)))) (-15 -4131 ($ (-1161) (-634 (-1161)))) (-15 -1573 ((-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $)) (-15 -2848 ((-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1161)) (|:| |arrayIndex| (-634 (-953 (-568)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -4153 (-850)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1161)) (|:| |rand| (-850)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1160)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (-2 (|:| -2436 (-121)) (|:| -2852 (-2 (|:| |ints2Floats?| (-121)) (|:| -4153 (-850)))))) (|:| |blockBranch| (-634 $)) (|:| |commentBranch| (-634 (-1143))) (|:| |callBranch| (-1143)) (|:| |forBranch| (-2 (|:| -3581 (-1082 (-953 (-568)))) (|:| |span| (-953 (-568))) (|:| |body| $))) (|:| |labelBranch| (-1108)) (|:| |loopBranch| (-2 (|:| |switch| (-1160)) (|:| |body| $))) (|:| |commonBranch| (-2 (|:| -3393 (-1161)) (|:| |contents| (-634 (-1161))))) (|:| |printBranch| (-634 (-850)))) $)) (-15 -2496 ((-1249) $)) (-15 -2558 ((-1094) $)) (-15 -4237 ((-1108) (-1108))))) 
-((-2449 (((-121) $ $) NIL)) (-1619 (((-121) $) 11)) (-2788 (($ |#1|) 8)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2792 (($ |#1|) 9)) (-2747 (((-850) $) 17)) (-2014 ((|#1| $) 12)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 19))) 
-(((-329 |#1|) (-13 (-842) (-10 -8 (-15 -2788 ($ |#1|)) (-15 -2792 ($ |#1|)) (-15 -1619 ((-121) $)) (-15 -2014 (|#1| $)))) (-842)) (T -329)) 
-((-2788 (*1 *1 *2) (-12 (-5 *1 (-329 *2)) (-4 *2 (-842)))) (-2792 (*1 *1 *2) (-12 (-5 *1 (-329 *2)) (-4 *2 (-842)))) (-1619 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-329 *3)) (-4 *3 (-842)))) (-2014 (*1 *2 *1) (-12 (-5 *1 (-329 *2)) (-4 *2 (-842))))) 
-(-13 (-842) (-10 -8 (-15 -2788 ($ |#1|)) (-15 -2792 ($ |#1|)) (-15 -1619 ((-121) $)) (-15 -2014 (|#1| $)))) 
-((-3697 (((-328) (-1161) (-953 (-568))) 22)) (-2869 (((-328) (-1161) (-953 (-568))) 26)) (-3775 (((-328) (-1161) (-1082 (-953 (-568))) (-1082 (-953 (-568)))) 25) (((-328) (-1161) (-953 (-568)) (-953 (-568))) 23)) (-1429 (((-328) (-1161) (-953 (-568))) 30))) 
-(((-330) (-10 -7 (-15 -3697 ((-328) (-1161) (-953 (-568)))) (-15 -3775 ((-328) (-1161) (-953 (-568)) (-953 (-568)))) (-15 -3775 ((-328) (-1161) (-1082 (-953 (-568))) (-1082 (-953 (-568))))) (-15 -2869 ((-328) (-1161) (-953 (-568)))) (-15 -1429 ((-328) (-1161) (-953 (-568)))))) (T -330)) 
-((-1429 (*1 *2 *3 *4) (-12 (-5 *3 (-1161)) (-5 *4 (-953 (-568))) (-5 *2 (-328)) (-5 *1 (-330)))) (-2869 (*1 *2 *3 *4) (-12 (-5 *3 (-1161)) (-5 *4 (-953 (-568))) (-5 *2 (-328)) (-5 *1 (-330)))) (-3775 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1161)) (-5 *4 (-1082 (-953 (-568)))) (-5 *2 (-328)) (-5 *1 (-330)))) (-3775 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1161)) (-5 *4 (-953 (-568))) (-5 *2 (-328)) (-5 *1 (-330)))) (-3697 (*1 *2 *3 *4) (-12 (-5 *3 (-1161)) (-5 *4 (-953 (-568))) (-5 *2 (-328)) (-5 *1 (-330))))) 
-(-10 -7 (-15 -3697 ((-328) (-1161) (-953 (-568)))) (-15 -3775 ((-328) (-1161) (-953 (-568)) (-953 (-568)))) (-15 -3775 ((-328) (-1161) (-1082 (-953 (-568))) (-1082 (-953 (-568))))) (-15 -2869 ((-328) (-1161) (-953 (-568)))) (-15 -1429 ((-328) (-1161) (-953 (-568))))) 
-((-2797 (((-334 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-334 |#1| |#2| |#3| |#4|)) 31))) 
-(((-331 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -2797 ((-334 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-334 |#1| |#2| |#3| |#4|)))) (-365) (-1219 |#1|) (-1219 (-409 |#2|)) (-340 |#1| |#2| |#3|) (-365) (-1219 |#5|) (-1219 (-409 |#6|)) (-340 |#5| |#6| |#7|)) (T -331)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-334 *5 *6 *7 *8)) (-4 *5 (-365)) (-4 *6 (-1219 *5)) (-4 *7 (-1219 (-409 *6))) (-4 *8 (-340 *5 *6 *7)) (-4 *9 (-365)) (-4 *10 (-1219 *9)) (-4 *11 (-1219 (-409 *10))) (-5 *2 (-334 *9 *10 *11 *12)) (-5 *1 (-331 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-340 *9 *10 *11))))) 
-(-10 -7 (-15 -2797 ((-334 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-334 |#1| |#2| |#3| |#4|)))) 
-((-2776 (((-121) $) 14))) 
-(((-332 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -2776 ((-121) |#1|))) (-333 |#2| |#3| |#4| |#5|) (-365) (-1219 |#2|) (-1219 (-409 |#3|)) (-340 |#2| |#3| |#4|)) (T -332)) 
-NIL 
-(-10 -8 (-15 -2776 ((-121) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-3094 (($ $) 25)) (-2776 (((-121) $) 24)) (-1893 (((-1143) $) 9)) (-4314 (((-415 |#2| (-409 |#2|) |#3| |#4|) $) 31)) (-4025 (((-1108) $) 10)) (-2707 (((-3 |#4| "failed") $) 23)) (-3957 (($ (-415 |#2| (-409 |#2|) |#3| |#4|)) 30) (($ |#4|) 29) (($ |#1| |#1|) 28) (($ |#1| |#1| (-568)) 27) (($ |#4| |#2| |#2| |#2| |#1|) 22)) (-3946 (((-2 (|:| -1716 (-415 |#2| (-409 |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) 26)) (-2747 (((-850) $) 11)) (-3058 (($) 17 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19))) 
-(((-333 |#1| |#2| |#3| |#4|) (-1275) (-365) (-1219 |t#1|) (-1219 (-409 |t#2|)) (-340 |t#1| |t#2| |t#3|)) (T -333)) 
-((-4314 (*1 *2 *1) (-12 (-4 *1 (-333 *3 *4 *5 *6)) (-4 *3 (-365)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-4 *6 (-340 *3 *4 *5)) (-5 *2 (-415 *4 (-409 *4) *5 *6)))) (-3957 (*1 *1 *2) (-12 (-5 *2 (-415 *4 (-409 *4) *5 *6)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-4 *6 (-340 *3 *4 *5)) (-4 *3 (-365)) (-4 *1 (-333 *3 *4 *5 *6)))) (-3957 (*1 *1 *2) (-12 (-4 *3 (-365)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-4 *1 (-333 *3 *4 *5 *2)) (-4 *2 (-340 *3 *4 *5)))) (-3957 (*1 *1 *2 *2) (-12 (-4 *2 (-365)) (-4 *3 (-1219 *2)) (-4 *4 (-1219 (-409 *3))) (-4 *1 (-333 *2 *3 *4 *5)) (-4 *5 (-340 *2 *3 *4)))) (-3957 (*1 *1 *2 *2 *3) (-12 (-5 *3 (-568)) (-4 *2 (-365)) (-4 *4 (-1219 *2)) (-4 *5 (-1219 (-409 *4))) (-4 *1 (-333 *2 *4 *5 *6)) (-4 *6 (-340 *2 *4 *5)))) (-3946 (*1 *2 *1) (-12 (-4 *1 (-333 *3 *4 *5 *6)) (-4 *3 (-365)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-4 *6 (-340 *3 *4 *5)) (-5 *2 (-2 (|:| -1716 (-415 *4 (-409 *4) *5 *6)) (|:| |principalPart| *6))))) (-3094 (*1 *1 *1) (-12 (-4 *1 (-333 *2 *3 *4 *5)) (-4 *2 (-365)) (-4 *3 (-1219 *2)) (-4 *4 (-1219 (-409 *3))) (-4 *5 (-340 *2 *3 *4)))) (-2776 (*1 *2 *1) (-12 (-4 *1 (-333 *3 *4 *5 *6)) (-4 *3 (-365)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-4 *6 (-340 *3 *4 *5)) (-5 *2 (-121)))) (-2707 (*1 *2 *1) (|partial| -12 (-4 *1 (-333 *3 *4 *5 *2)) (-4 *3 (-365)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-4 *2 (-340 *3 *4 *5)))) (-3957 (*1 *1 *2 *3 *3 *3 *4) (-12 (-4 *4 (-365)) (-4 *3 (-1219 *4)) (-4 *5 (-1219 (-409 *3))) (-4 *1 (-333 *4 *3 *5 *2)) (-4 *2 (-340 *4 *3 *5))))) 
-(-13 (-21) (-10 -8 (-15 -4314 ((-415 |t#2| (-409 |t#2|) |t#3| |t#4|) $)) (-15 -3957 ($ (-415 |t#2| (-409 |t#2|) |t#3| |t#4|))) (-15 -3957 ($ |t#4|)) (-15 -3957 ($ |t#1| |t#1|)) (-15 -3957 ($ |t#1| |t#1| (-568))) (-15 -3946 ((-2 (|:| -1716 (-415 |t#2| (-409 |t#2|) |t#3| |t#4|)) (|:| |principalPart| |t#4|)) $)) (-15 -3094 ($ $)) (-15 -2776 ((-121) $)) (-15 -2707 ((-3 |t#4| "failed") $)) (-15 -3957 ($ |t#4| |t#2| |t#2| |t#2| |t#1|)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-137) . T) ((-608 (-850)) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-3094 (($ $) 32)) (-2776 (((-121) $) NIL)) (-1893 (((-1143) $) NIL)) (-3804 (((-1244 |#4|) $) 124)) (-4314 (((-415 |#2| (-409 |#2|) |#3| |#4|) $) 30)) (-4025 (((-1108) $) NIL)) (-2707 (((-3 |#4| "failed") $) 35)) (-2482 (((-1244 |#4|) $) 117)) (-3957 (($ (-415 |#2| (-409 |#2|) |#3| |#4|)) 40) (($ |#4|) 42) (($ |#1| |#1|) 44) (($ |#1| |#1| (-568)) 46) (($ |#4| |#2| |#2| |#2| |#1|) 48)) (-3946 (((-2 (|:| -1716 (-415 |#2| (-409 |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) 38)) (-2747 (((-850) $) 17)) (-3058 (($) 14 T CONST)) (-1719 (((-121) $ $) 20)) (-1775 (($ $) 27) (($ $ $) NIL)) (-1769 (($ $ $) 25)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 23))) 
-(((-334 |#1| |#2| |#3| |#4|) (-13 (-333 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -2482 ((-1244 |#4|) $)) (-15 -3804 ((-1244 |#4|) $)))) (-365) (-1219 |#1|) (-1219 (-409 |#2|)) (-340 |#1| |#2| |#3|)) (T -334)) 
-((-2482 (*1 *2 *1) (-12 (-4 *3 (-365)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-1244 *6)) (-5 *1 (-334 *3 *4 *5 *6)) (-4 *6 (-340 *3 *4 *5)))) (-3804 (*1 *2 *1) (-12 (-4 *3 (-365)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-1244 *6)) (-5 *1 (-334 *3 *4 *5 *6)) (-4 *6 (-340 *3 *4 *5))))) 
-(-13 (-333 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -2482 ((-1244 |#4|) $)) (-15 -3804 ((-1244 |#4|) $)))) 
-((-1339 (($ $ (-1161) |#2|) NIL) (($ $ (-634 (-1161)) (-634 |#2|)) 18) (($ $ (-634 (-288 |#2|))) 14) (($ $ (-288 |#2|)) NIL) (($ $ |#2| |#2|) NIL) (($ $ (-634 |#2|) (-634 |#2|)) NIL)) (-2781 (($ $ |#2|) 11))) 
-(((-335 |#1| |#2|) (-10 -8 (-15 -2781 (|#1| |#1| |#2|)) (-15 -1339 (|#1| |#1| (-634 |#2|) (-634 |#2|))) (-15 -1339 (|#1| |#1| |#2| |#2|)) (-15 -1339 (|#1| |#1| (-288 |#2|))) (-15 -1339 (|#1| |#1| (-634 (-288 |#2|)))) (-15 -1339 (|#1| |#1| (-634 (-1161)) (-634 |#2|))) (-15 -1339 (|#1| |#1| (-1161) |#2|))) (-336 |#2|) (-1090)) (T -335)) 
-NIL 
-(-10 -8 (-15 -2781 (|#1| |#1| |#2|)) (-15 -1339 (|#1| |#1| (-634 |#2|) (-634 |#2|))) (-15 -1339 (|#1| |#1| |#2| |#2|)) (-15 -1339 (|#1| |#1| (-288 |#2|))) (-15 -1339 (|#1| |#1| (-634 (-288 |#2|)))) (-15 -1339 (|#1| |#1| (-634 (-1161)) (-634 |#2|))) (-15 -1339 (|#1| |#1| (-1161) |#2|))) 
-((-2797 (($ (-1 |#1| |#1|) $) 6)) (-1339 (($ $ (-1161) |#1|) 16 (|has| |#1| (-523 (-1161) |#1|))) (($ $ (-634 (-1161)) (-634 |#1|)) 15 (|has| |#1| (-523 (-1161) |#1|))) (($ $ (-634 (-288 |#1|))) 14 (|has| |#1| (-303 |#1|))) (($ $ (-288 |#1|)) 13 (|has| |#1| (-303 |#1|))) (($ $ |#1| |#1|) 12 (|has| |#1| (-303 |#1|))) (($ $ (-634 |#1|) (-634 |#1|)) 11 (|has| |#1| (-303 |#1|)))) (-2781 (($ $ |#1|) 10 (|has| |#1| (-281 |#1| |#1|))))) 
-(((-336 |#1|) (-1275) (-1090)) (T -336)) 
-((-2797 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-336 *3)) (-4 *3 (-1090))))) 
-(-13 (-10 -8 (-15 -2797 ($ (-1 |t#1| |t#1|) $)) (IF (|has| |t#1| (-281 |t#1| |t#1|)) (-6 (-281 |t#1| $)) |noBranch|) (IF (|has| |t#1| (-303 |t#1|)) (-6 (-303 |t#1|)) |noBranch|) (IF (|has| |t#1| (-523 (-1161) |t#1|)) (-6 (-523 (-1161) |t#1|)) |noBranch|))) 
-(((-281 |#1| $) |has| |#1| (-281 |#1| |#1|)) ((-303 |#1|) |has| |#1| (-303 |#1|)) ((-523 (-1161) |#1|) |has| |#1| (-523 (-1161) |#1|)) ((-523 |#1| |#1|) |has| |#1| (-303 |#1|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2057 (((-634 (-1161)) $) NIL)) (-3044 (((-121)) 87) (((-121) (-121)) 88)) (-3145 (((-634 (-607 $)) $) NIL)) (-1984 (($ $) NIL)) (-1935 (($ $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4069 (($ $ (-288 $)) NIL) (($ $ (-634 (-288 $))) NIL) (($ $ (-634 (-607 $)) (-634 $)) NIL)) (-1904 (($ $) NIL)) (-1976 (($ $) NIL)) (-2788 (($ $) NIL)) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-607 $) "failed") $) NIL) (((-3 |#3| "failed") $) NIL) (((-3 $ "failed") (-310 |#3|)) 69) (((-3 $ "failed") (-1161)) 93) (((-3 $ "failed") (-310 (-568))) 56 (|has| |#3| (-1037 (-568)))) (((-3 $ "failed") (-409 (-953 (-568)))) 62 (|has| |#3| (-1037 (-568)))) (((-3 $ "failed") (-953 (-568))) 57 (|has| |#3| (-1037 (-568)))) (((-3 $ "failed") (-310 (-381))) 74 (|has| |#3| (-1037 (-381)))) (((-3 $ "failed") (-409 (-953 (-381)))) 80 (|has| |#3| (-1037 (-381)))) (((-3 $ "failed") (-953 (-381))) 75 (|has| |#3| (-1037 (-381))))) (-2857 (((-607 $) $) NIL) ((|#3| $) NIL) (($ (-310 |#3|)) 70) (($ (-1161)) 94) (($ (-310 (-568))) 58 (|has| |#3| (-1037 (-568)))) (($ (-409 (-953 (-568)))) 63 (|has| |#3| (-1037 (-568)))) (($ (-953 (-568))) 59 (|has| |#3| (-1037 (-568)))) (($ (-310 (-381))) 76 (|has| |#3| (-1037 (-381)))) (($ (-409 (-953 (-381)))) 81 (|has| |#3| (-1037 (-381)))) (($ (-953 (-381))) 77 (|has| |#3| (-1037 (-381))))) (-2902 (((-3 $ "failed") $) NIL)) (-1899 (($) 10)) (-3855 (($ $) NIL) (($ (-634 $)) NIL)) (-2160 (((-634 (-123)) $) NIL)) (-3842 (((-123) (-123)) NIL)) (-1598 (((-121) $) NIL)) (-2268 (((-121) $) NIL (|has| $ (-1037 (-568))))) (-3170 (((-1157 $) (-607 $)) NIL (|has| $ (-1047)))) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-2797 (($ (-1 $ $) (-607 $)) NIL)) (-2337 (((-3 (-607 $) "failed") $) NIL)) (-2658 (($ $) 90)) (-4418 (($ $) NIL)) (-1893 (((-1143) $) NIL)) (-3832 (((-634 (-607 $)) $) NIL)) (-3446 (($ (-123) $) 89) (($ (-123) (-634 $)) NIL)) (-3910 (((-121) $ (-123)) NIL) (((-121) $ (-1161)) NIL)) (-2963 (((-763) $) NIL)) (-4025 (((-1108) $) NIL)) (-1609 (((-121) $ $) NIL) (((-121) $ (-1161)) NIL)) (-1894 (($ $) NIL)) (-2080 (((-121) $) NIL (|has| $ (-1037 (-568))))) (-1339 (($ $ (-607 $) $) NIL) (($ $ (-634 (-607 $)) (-634 $)) NIL) (($ $ (-634 (-288 $))) NIL) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL) (($ $ (-634 (-1161)) (-634 (-1 $ $))) NIL) (($ $ (-634 (-1161)) (-634 (-1 $ (-634 $)))) NIL) (($ $ (-1161) (-1 $ (-634 $))) NIL) (($ $ (-1161) (-1 $ $)) NIL) (($ $ (-634 (-123)) (-634 (-1 $ $))) NIL) (($ $ (-634 (-123)) (-634 (-1 $ (-634 $)))) NIL) (($ $ (-123) (-1 $ (-634 $))) NIL) (($ $ (-123) (-1 $ $)) NIL)) (-2781 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-634 $)) NIL)) (-3924 (($ $) NIL) (($ $ $) NIL)) (-4191 (($ $ (-634 (-1161)) (-634 (-763))) NIL) (($ $ (-1161) (-763)) NIL) (($ $ (-634 (-1161))) NIL) (($ $ (-1161)) NIL)) (-1492 (($ $) NIL (|has| $ (-1047)))) (-1980 (($ $) NIL)) (-2792 (($ $) NIL)) (-2747 (((-850) $) NIL) (($ (-607 $)) NIL) (($ |#3|) NIL) (($ (-568)) NIL) (((-310 |#3|) $) 92)) (-3425 (((-763)) NIL)) (-3159 (($ $) NIL) (($ (-634 $)) NIL)) (-2779 (((-121) (-123)) NIL)) (-1959 (($ $) NIL)) (-1951 (($ $) NIL)) (-1955 (($ $) NIL)) (-2811 (($ $) NIL)) (-1889 (($ $ (-763)) NIL) (($ $ (-917)) NIL)) (-3058 (($) 91 T CONST)) (-1557 (($) 22 T CONST)) (-3192 (($ $ (-634 (-1161)) (-634 (-763))) NIL) (($ $ (-1161) (-763)) NIL) (($ $ (-634 (-1161))) NIL) (($ $ (-1161)) NIL)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) NIL)) (-1775 (($ $ $) NIL) (($ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-763)) NIL) (($ $ (-917)) NIL)) (* (($ |#3| $) NIL) (($ $ |#3|) NIL) (($ $ $) NIL) (($ (-568) $) NIL) (($ (-763) $) NIL) (($ (-917) $) NIL))) 
-(((-337 |#1| |#2| |#3|) (-13 (-296) (-43 |#3|) (-1037 |#3|) (-895 (-1161)) (-10 -8 (-15 -2857 ($ (-310 |#3|))) (-15 -3668 ((-3 $ "failed") (-310 |#3|))) (-15 -2857 ($ (-1161))) (-15 -3668 ((-3 $ "failed") (-1161))) (-15 -2747 ((-310 |#3|) $)) (IF (|has| |#3| (-1037 (-568))) (PROGN (-15 -2857 ($ (-310 (-568)))) (-15 -3668 ((-3 $ "failed") (-310 (-568)))) (-15 -2857 ($ (-409 (-953 (-568))))) (-15 -3668 ((-3 $ "failed") (-409 (-953 (-568))))) (-15 -2857 ($ (-953 (-568)))) (-15 -3668 ((-3 $ "failed") (-953 (-568))))) |noBranch|) (IF (|has| |#3| (-1037 (-381))) (PROGN (-15 -2857 ($ (-310 (-381)))) (-15 -3668 ((-3 $ "failed") (-310 (-381)))) (-15 -2857 ($ (-409 (-953 (-381))))) (-15 -3668 ((-3 $ "failed") (-409 (-953 (-381))))) (-15 -2857 ($ (-953 (-381)))) (-15 -3668 ((-3 $ "failed") (-953 (-381))))) |noBranch|) (-15 -2811 ($ $)) (-15 -1904 ($ $)) (-15 -1894 ($ $)) (-15 -4418 ($ $)) (-15 -2658 ($ $)) (-15 -2788 ($ $)) (-15 -2792 ($ $)) (-15 -1935 ($ $)) (-15 -1951 ($ $)) (-15 -1955 ($ $)) (-15 -1959 ($ $)) (-15 -1976 ($ $)) (-15 -1980 ($ $)) (-15 -1984 ($ $)) (-15 -1899 ($)) (-15 -2057 ((-634 (-1161)) $)) (-15 -3044 ((-121))) (-15 -3044 ((-121) (-121))))) (-634 (-1161)) (-634 (-1161)) (-389)) (T -337)) 
-((-2857 (*1 *1 *2) (-12 (-5 *2 (-310 *5)) (-4 *5 (-389)) (-5 *1 (-337 *3 *4 *5)) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))))) (-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-310 *5)) (-4 *5 (-389)) (-5 *1 (-337 *3 *4 *5)) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))))) (-2857 (*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-337 *3 *4 *5)) (-14 *3 (-634 *2)) (-14 *4 (-634 *2)) (-4 *5 (-389)))) (-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-1161)) (-5 *1 (-337 *3 *4 *5)) (-14 *3 (-634 *2)) (-14 *4 (-634 *2)) (-4 *5 (-389)))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-310 *5)) (-5 *1 (-337 *3 *4 *5)) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) (-2857 (*1 *1 *2) (-12 (-5 *2 (-310 (-568))) (-5 *1 (-337 *3 *4 *5)) (-4 *5 (-1037 (-568))) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) (-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-310 (-568))) (-5 *1 (-337 *3 *4 *5)) (-4 *5 (-1037 (-568))) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) (-2857 (*1 *1 *2) (-12 (-5 *2 (-409 (-953 (-568)))) (-5 *1 (-337 *3 *4 *5)) (-4 *5 (-1037 (-568))) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) (-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-409 (-953 (-568)))) (-5 *1 (-337 *3 *4 *5)) (-4 *5 (-1037 (-568))) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) (-2857 (*1 *1 *2) (-12 (-5 *2 (-953 (-568))) (-5 *1 (-337 *3 *4 *5)) (-4 *5 (-1037 (-568))) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) (-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-953 (-568))) (-5 *1 (-337 *3 *4 *5)) (-4 *5 (-1037 (-568))) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) (-2857 (*1 *1 *2) (-12 (-5 *2 (-310 (-381))) (-5 *1 (-337 *3 *4 *5)) (-4 *5 (-1037 (-381))) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) (-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-310 (-381))) (-5 *1 (-337 *3 *4 *5)) (-4 *5 (-1037 (-381))) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) (-2857 (*1 *1 *2) (-12 (-5 *2 (-409 (-953 (-381)))) (-5 *1 (-337 *3 *4 *5)) (-4 *5 (-1037 (-381))) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) (-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-409 (-953 (-381)))) (-5 *1 (-337 *3 *4 *5)) (-4 *5 (-1037 (-381))) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) (-2857 (*1 *1 *2) (-12 (-5 *2 (-953 (-381))) (-5 *1 (-337 *3 *4 *5)) (-4 *5 (-1037 (-381))) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) (-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-953 (-381))) (-5 *1 (-337 *3 *4 *5)) (-4 *5 (-1037 (-381))) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) (-2811 (*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) (-1904 (*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) (-1894 (*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) (-4418 (*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) (-2658 (*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) (-2788 (*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) (-2792 (*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) (-1935 (*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) (-1951 (*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) (-1955 (*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) (-1959 (*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) (-1976 (*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) (-1980 (*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) (-1984 (*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) (-1899 (*1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) (-2057 (*1 *2 *1) (-12 (-5 *2 (-634 (-1161))) (-5 *1 (-337 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-389)))) (-3044 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-337 *3 *4 *5)) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) (-3044 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-337 *3 *4 *5)) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389))))) 
-(-13 (-296) (-43 |#3|) (-1037 |#3|) (-895 (-1161)) (-10 -8 (-15 -2857 ($ (-310 |#3|))) (-15 -3668 ((-3 $ "failed") (-310 |#3|))) (-15 -2857 ($ (-1161))) (-15 -3668 ((-3 $ "failed") (-1161))) (-15 -2747 ((-310 |#3|) $)) (IF (|has| |#3| (-1037 (-568))) (PROGN (-15 -2857 ($ (-310 (-568)))) (-15 -3668 ((-3 $ "failed") (-310 (-568)))) (-15 -2857 ($ (-409 (-953 (-568))))) (-15 -3668 ((-3 $ "failed") (-409 (-953 (-568))))) (-15 -2857 ($ (-953 (-568)))) (-15 -3668 ((-3 $ "failed") (-953 (-568))))) |noBranch|) (IF (|has| |#3| (-1037 (-381))) (PROGN (-15 -2857 ($ (-310 (-381)))) (-15 -3668 ((-3 $ "failed") (-310 (-381)))) (-15 -2857 ($ (-409 (-953 (-381))))) (-15 -3668 ((-3 $ "failed") (-409 (-953 (-381))))) (-15 -2857 ($ (-953 (-381)))) (-15 -3668 ((-3 $ "failed") (-953 (-381))))) |noBranch|) (-15 -2811 ($ $)) (-15 -1904 ($ $)) (-15 -1894 ($ $)) (-15 -4418 ($ $)) (-15 -2658 ($ $)) (-15 -2788 ($ $)) (-15 -2792 ($ $)) (-15 -1935 ($ $)) (-15 -1951 ($ $)) (-15 -1955 ($ $)) (-15 -1959 ($ $)) (-15 -1976 ($ $)) (-15 -1980 ($ $)) (-15 -1984 ($ $)) (-15 -1899 ($)) (-15 -2057 ((-634 (-1161)) $)) (-15 -3044 ((-121))) (-15 -3044 ((-121) (-121))))) 
-((-2797 ((|#8| (-1 |#5| |#1|) |#4|) 19))) 
-(((-338 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -2797 (|#8| (-1 |#5| |#1|) |#4|))) (-1199) (-1219 |#1|) (-1219 (-409 |#2|)) (-340 |#1| |#2| |#3|) (-1199) (-1219 |#5|) (-1219 (-409 |#6|)) (-340 |#5| |#6| |#7|)) (T -338)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1199)) (-4 *8 (-1199)) (-4 *6 (-1219 *5)) (-4 *7 (-1219 (-409 *6))) (-4 *9 (-1219 *8)) (-4 *2 (-340 *8 *9 *10)) (-5 *1 (-338 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-340 *5 *6 *7)) (-4 *10 (-1219 (-409 *9)))))) 
-(-10 -7 (-15 -2797 (|#8| (-1 |#5| |#1|) |#4|))) 
-((-4354 (((-2 (|:| |num| (-1244 |#3|)) (|:| |den| |#3|)) $) 37)) (-3899 (($ (-1244 (-409 |#3|)) (-1244 $)) NIL) (($ (-1244 (-409 |#3|))) NIL) (($ (-1244 |#3|) |#3|) 158)) (-2331 (((-1244 $) (-1244 $)) 142)) (-2603 (((-634 (-634 |#2|))) 115)) (-2679 (((-121) |#2| |#2|) 71)) (-1998 (($ $) 136)) (-2066 (((-763)) 30)) (-3233 (((-1244 $) (-1244 $)) 195)) (-3247 (((-634 (-953 |#2|)) (-1161)) 108)) (-1979 (((-121) $) 155)) (-2548 (((-121) $) 24) (((-121) $ |#2|) 28) (((-121) $ |#3|) 199)) (-4201 (((-3 |#3| "failed")) 48)) (-3383 (((-763)) 167)) (-2781 ((|#2| $ |#2| |#2|) 129)) (-3146 (((-3 |#3| "failed")) 66)) (-4191 (($ $ (-1 (-409 |#3|) (-409 |#3|)) (-763)) NIL) (($ $ (-1 (-409 |#3|) (-409 |#3|))) NIL) (($ $ (-1 |#3| |#3|)) 203) (($ $ (-634 (-1161)) (-634 (-763))) NIL) (($ $ (-1161) (-763)) NIL) (($ $ (-634 (-1161))) NIL) (($ $ (-1161)) NIL) (($ $ (-763)) NIL) (($ $) NIL)) (-3224 (((-1244 $) (-1244 $)) 148)) (-1900 (((-2 (|:| |num| $) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) $ (-1 |#3| |#3|)) 64)) (-3341 (((-121)) 32))) 
-(((-339 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -4191 (|#1| |#1|)) (-15 -4191 (|#1| |#1| (-763))) (-15 -4191 (|#1| |#1| (-1161))) (-15 -4191 (|#1| |#1| (-634 (-1161)))) (-15 -4191 (|#1| |#1| (-1161) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)) (-634 (-763)))) (-15 -2603 ((-634 (-634 |#2|)))) (-15 -3247 ((-634 (-953 |#2|)) (-1161))) (-15 -1900 ((-2 (|:| |num| |#1|) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) |#1| (-1 |#3| |#3|))) (-15 -4201 ((-3 |#3| "failed"))) (-15 -3146 ((-3 |#3| "failed"))) (-15 -2781 (|#2| |#1| |#2| |#2|)) (-15 -1998 (|#1| |#1|)) (-15 -3899 (|#1| (-1244 |#3|) |#3|)) (-15 -4191 (|#1| |#1| (-1 |#3| |#3|))) (-15 -2548 ((-121) |#1| |#3|)) (-15 -2548 ((-121) |#1| |#2|)) (-15 -4354 ((-2 (|:| |num| (-1244 |#3|)) (|:| |den| |#3|)) |#1|)) (-15 -2331 ((-1244 |#1|) (-1244 |#1|))) (-15 -3233 ((-1244 |#1|) (-1244 |#1|))) (-15 -3224 ((-1244 |#1|) (-1244 |#1|))) (-15 -2548 ((-121) |#1|)) (-15 -1979 ((-121) |#1|)) (-15 -2679 ((-121) |#2| |#2|)) (-15 -3341 ((-121))) (-15 -3383 ((-763))) (-15 -2066 ((-763))) (-15 -4191 (|#1| |#1| (-1 (-409 |#3|) (-409 |#3|)))) (-15 -4191 (|#1| |#1| (-1 (-409 |#3|) (-409 |#3|)) (-763))) (-15 -3899 (|#1| (-1244 (-409 |#3|)))) (-15 -3899 (|#1| (-1244 (-409 |#3|)) (-1244 |#1|)))) (-340 |#2| |#3| |#4|) (-1199) (-1219 |#2|) (-1219 (-409 |#3|))) (T -339)) 
-((-2066 (*1 *2) (-12 (-4 *4 (-1199)) (-4 *5 (-1219 *4)) (-4 *6 (-1219 (-409 *5))) (-5 *2 (-763)) (-5 *1 (-339 *3 *4 *5 *6)) (-4 *3 (-340 *4 *5 *6)))) (-3383 (*1 *2) (-12 (-4 *4 (-1199)) (-4 *5 (-1219 *4)) (-4 *6 (-1219 (-409 *5))) (-5 *2 (-763)) (-5 *1 (-339 *3 *4 *5 *6)) (-4 *3 (-340 *4 *5 *6)))) (-3341 (*1 *2) (-12 (-4 *4 (-1199)) (-4 *5 (-1219 *4)) (-4 *6 (-1219 (-409 *5))) (-5 *2 (-121)) (-5 *1 (-339 *3 *4 *5 *6)) (-4 *3 (-340 *4 *5 *6)))) (-2679 (*1 *2 *3 *3) (-12 (-4 *3 (-1199)) (-4 *5 (-1219 *3)) (-4 *6 (-1219 (-409 *5))) (-5 *2 (-121)) (-5 *1 (-339 *4 *3 *5 *6)) (-4 *4 (-340 *3 *5 *6)))) (-3146 (*1 *2) (|partial| -12 (-4 *4 (-1199)) (-4 *5 (-1219 (-409 *2))) (-4 *2 (-1219 *4)) (-5 *1 (-339 *3 *4 *2 *5)) (-4 *3 (-340 *4 *2 *5)))) (-4201 (*1 *2) (|partial| -12 (-4 *4 (-1199)) (-4 *5 (-1219 (-409 *2))) (-4 *2 (-1219 *4)) (-5 *1 (-339 *3 *4 *2 *5)) (-4 *3 (-340 *4 *2 *5)))) (-3247 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *5 (-1199)) (-4 *6 (-1219 *5)) (-4 *7 (-1219 (-409 *6))) (-5 *2 (-634 (-953 *5))) (-5 *1 (-339 *4 *5 *6 *7)) (-4 *4 (-340 *5 *6 *7)))) (-2603 (*1 *2) (-12 (-4 *4 (-1199)) (-4 *5 (-1219 *4)) (-4 *6 (-1219 (-409 *5))) (-5 *2 (-634 (-634 *4))) (-5 *1 (-339 *3 *4 *5 *6)) (-4 *3 (-340 *4 *5 *6))))) 
-(-10 -8 (-15 -4191 (|#1| |#1|)) (-15 -4191 (|#1| |#1| (-763))) (-15 -4191 (|#1| |#1| (-1161))) (-15 -4191 (|#1| |#1| (-634 (-1161)))) (-15 -4191 (|#1| |#1| (-1161) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)) (-634 (-763)))) (-15 -2603 ((-634 (-634 |#2|)))) (-15 -3247 ((-634 (-953 |#2|)) (-1161))) (-15 -1900 ((-2 (|:| |num| |#1|) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) |#1| (-1 |#3| |#3|))) (-15 -4201 ((-3 |#3| "failed"))) (-15 -3146 ((-3 |#3| "failed"))) (-15 -2781 (|#2| |#1| |#2| |#2|)) (-15 -1998 (|#1| |#1|)) (-15 -3899 (|#1| (-1244 |#3|) |#3|)) (-15 -4191 (|#1| |#1| (-1 |#3| |#3|))) (-15 -2548 ((-121) |#1| |#3|)) (-15 -2548 ((-121) |#1| |#2|)) (-15 -4354 ((-2 (|:| |num| (-1244 |#3|)) (|:| |den| |#3|)) |#1|)) (-15 -2331 ((-1244 |#1|) (-1244 |#1|))) (-15 -3233 ((-1244 |#1|) (-1244 |#1|))) (-15 -3224 ((-1244 |#1|) (-1244 |#1|))) (-15 -2548 ((-121) |#1|)) (-15 -1979 ((-121) |#1|)) (-15 -2679 ((-121) |#2| |#2|)) (-15 -3341 ((-121))) (-15 -3383 ((-763))) (-15 -2066 ((-763))) (-15 -4191 (|#1| |#1| (-1 (-409 |#3|) (-409 |#3|)))) (-15 -4191 (|#1| |#1| (-1 (-409 |#3|) (-409 |#3|)) (-763))) (-15 -3899 (|#1| (-1244 (-409 |#3|)))) (-15 -3899 (|#1| (-1244 (-409 |#3|)) (-1244 |#1|)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-4354 (((-2 (|:| |num| (-1244 |#2|)) (|:| |den| |#2|)) $) 180)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 87 (|has| (-409 |#2|) (-365)))) (-3661 (($ $) 88 (|has| (-409 |#2|) (-365)))) (-4426 (((-121) $) 90 (|has| (-409 |#2|) (-365)))) (-2883 (((-679 (-409 |#2|)) (-1244 $)) 44) (((-679 (-409 |#2|))) 55)) (-1934 (((-409 |#2|) $) 50)) (-1856 (((-1169 (-917) (-763)) (-568)) 141 (|has| (-409 |#2|) (-350)))) (-2689 (((-3 $ "failed") $ $) 18)) (-3045 (($ $) 107 (|has| (-409 |#2|) (-365)))) (-3498 (((-420 $) $) 108 (|has| (-409 |#2|) (-365)))) (-2589 (((-121) $ $) 98 (|has| (-409 |#2|) (-365)))) (-3986 (((-763)) 81 (|has| (-409 |#2|) (-370)))) (-2191 (((-121)) 197)) (-4347 (((-121) |#1|) 196) (((-121) |#2|) 195)) (-4490 (($) 16 T CONST)) (-3668 (((-3 (-568) "failed") $) 163 (|has| (-409 |#2|) (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) 161 (|has| (-409 |#2|) (-1037 (-409 (-568))))) (((-3 (-409 |#2|) "failed") $) 160)) (-2857 (((-568) $) 164 (|has| (-409 |#2|) (-1037 (-568)))) (((-409 (-568)) $) 162 (|has| (-409 |#2|) (-1037 (-409 (-568))))) (((-409 |#2|) $) 159)) (-3899 (($ (-1244 (-409 |#2|)) (-1244 $)) 46) (($ (-1244 (-409 |#2|))) 58) (($ (-1244 |#2|) |#2|) 173)) (-1368 (((-3 "prime" "polynomial" "normal" "cyclic")) 147 (|has| (-409 |#2|) (-350)))) (-2403 (($ $ $) 102 (|has| (-409 |#2|) (-365)))) (-3653 (((-679 (-409 |#2|)) $ (-1244 $)) 51) (((-679 (-409 |#2|)) $) 53)) (-1668 (((-679 (-568)) (-679 $)) 158 (|has| (-409 |#2|) (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) 157 (|has| (-409 |#2|) (-630 (-568)))) (((-2 (|:| -2908 (-679 (-409 |#2|))) (|:| |vec| (-1244 (-409 |#2|)))) (-679 $) (-1244 $)) 156) (((-679 (-409 |#2|)) (-679 $)) 155)) (-2331 (((-1244 $) (-1244 $)) 185)) (-3094 (($ |#3|) 152) (((-3 $ "failed") (-409 |#3|)) 149 (|has| (-409 |#2|) (-365)))) (-2902 (((-3 $ "failed") $) 33)) (-2603 (((-634 (-634 |#1|))) 166 (|has| |#1| (-370)))) (-2679 (((-121) |#1| |#1|) 201)) (-2371 (((-917)) 52)) (-1733 (($) 84 (|has| (-409 |#2|) (-370)))) (-1700 (((-121)) 194)) (-1862 (((-121) |#1|) 193) (((-121) |#2|) 192)) (-2414 (($ $ $) 101 (|has| (-409 |#2|) (-365)))) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 96 (|has| (-409 |#2|) (-365)))) (-1998 (($ $) 172)) (-4188 (($) 143 (|has| (-409 |#2|) (-350)))) (-1748 (((-121) $) 144 (|has| (-409 |#2|) (-350)))) (-1887 (($ $ (-763)) 135 (|has| (-409 |#2|) (-350))) (($ $) 134 (|has| (-409 |#2|) (-350)))) (-2197 (((-121) $) 109 (|has| (-409 |#2|) (-365)))) (-1844 (((-917) $) 146 (|has| (-409 |#2|) (-350))) (((-828 (-917)) $) 132 (|has| (-409 |#2|) (-350)))) (-1598 (((-121) $) 30)) (-2066 (((-763)) 204)) (-3233 (((-1244 $) (-1244 $)) 186)) (-4417 (((-409 |#2|) $) 49)) (-3247 (((-634 (-953 |#1|)) (-1161)) 167 (|has| |#1| (-365)))) (-2214 (((-3 $ "failed") $) 136 (|has| (-409 |#2|) (-350)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 105 (|has| (-409 |#2|) (-365)))) (-1497 ((|#3| $) 42 (|has| (-409 |#2|) (-365)))) (-2291 (((-917) $) 83 (|has| (-409 |#2|) (-370)))) (-3087 ((|#3| $) 150)) (-2498 (($ (-634 $)) 94 (|has| (-409 |#2|) (-365))) (($ $ $) 93 (|has| (-409 |#2|) (-365)))) (-1893 (((-1143) $) 9)) (-3281 (((-679 (-409 |#2|))) 181)) (-1822 (((-679 (-409 |#2|))) 183)) (-2083 (($ $) 110 (|has| (-409 |#2|) (-365)))) (-3368 (($ (-1244 |#2|) |#2|) 178)) (-2208 (((-679 (-409 |#2|))) 182)) (-1515 (((-679 (-409 |#2|))) 184)) (-4339 (((-2 (|:| |num| (-679 |#2|)) (|:| |den| |#2|)) (-1 |#2| |#2|)) 177)) (-3363 (((-2 (|:| |num| (-1244 |#2|)) (|:| |den| |#2|)) $) 179)) (-2239 (((-1244 $)) 190)) (-3330 (((-1244 $)) 191)) (-1979 (((-121) $) 189)) (-2548 (((-121) $) 188) (((-121) $ |#1|) 176) (((-121) $ |#2|) 175)) (-4436 (($) 137 (|has| (-409 |#2|) (-350)) CONST)) (-4357 (($ (-917)) 82 (|has| (-409 |#2|) (-370)))) (-4201 (((-3 |#2| "failed")) 169)) (-4025 (((-1108) $) 10)) (-3383 (((-763)) 203)) (-2707 (($) 154)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 95 (|has| (-409 |#2|) (-365)))) (-2723 (($ (-634 $)) 92 (|has| (-409 |#2|) (-365))) (($ $ $) 91 (|has| (-409 |#2|) (-365)))) (-2172 (((-634 (-2 (|:| -3850 (-568)) (|:| -3483 (-568))))) 140 (|has| (-409 |#2|) (-350)))) (-3850 (((-420 $) $) 106 (|has| (-409 |#2|) (-365)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 104 (|has| (-409 |#2|) (-365))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 103 (|has| (-409 |#2|) (-365)))) (-2597 (((-3 $ "failed") $ $) 86 (|has| (-409 |#2|) (-365)))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 97 (|has| (-409 |#2|) (-365)))) (-1466 (((-763) $) 99 (|has| (-409 |#2|) (-365)))) (-2781 ((|#1| $ |#1| |#1|) 171)) (-3146 (((-3 |#2| "failed")) 170)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 100 (|has| (-409 |#2|) (-365)))) (-3440 (((-409 |#2|) (-1244 $)) 45) (((-409 |#2|)) 54)) (-2721 (((-763) $) 145 (|has| (-409 |#2|) (-350))) (((-3 (-763) "failed") $ $) 133 (|has| (-409 |#2|) (-350)))) (-4191 (($ $ (-1 (-409 |#2|) (-409 |#2|)) (-763)) 117 (|has| (-409 |#2|) (-365))) (($ $ (-1 (-409 |#2|) (-409 |#2|))) 116 (|has| (-409 |#2|) (-365))) (($ $ (-1 |#2| |#2|)) 174) (($ $ (-634 (-1161)) (-634 (-763))) 124 (-2199 (-2141 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-895 (-1161)))) (-2141 (|has| (-409 |#2|) (-895 (-1161))) (|has| (-409 |#2|) (-365))))) (($ $ (-1161) (-763)) 125 (-2199 (-2141 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-895 (-1161)))) (-2141 (|has| (-409 |#2|) (-895 (-1161))) (|has| (-409 |#2|) (-365))))) (($ $ (-634 (-1161))) 126 (-2199 (-2141 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-895 (-1161)))) (-2141 (|has| (-409 |#2|) (-895 (-1161))) (|has| (-409 |#2|) (-365))))) (($ $ (-1161)) 127 (-2199 (-2141 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-895 (-1161)))) (-2141 (|has| (-409 |#2|) (-895 (-1161))) (|has| (-409 |#2|) (-365))))) (($ $ (-763)) 129 (-2199 (-2141 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-225))) (-2141 (|has| (-409 |#2|) (-225)) (|has| (-409 |#2|) (-365))) (|has| (-409 |#2|) (-350)))) (($ $) 131 (-2199 (-2141 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-225))) (-2141 (|has| (-409 |#2|) (-225)) (|has| (-409 |#2|) (-365))) (|has| (-409 |#2|) (-350))))) (-1391 (((-679 (-409 |#2|)) (-1244 $) (-1 (-409 |#2|) (-409 |#2|))) 148 (|has| (-409 |#2|) (-365)))) (-1492 ((|#3|) 153)) (-2330 (($) 142 (|has| (-409 |#2|) (-350)))) (-1656 (((-1244 (-409 |#2|)) $ (-1244 $)) 48) (((-679 (-409 |#2|)) (-1244 $) (-1244 $)) 47) (((-1244 (-409 |#2|)) $) 60) (((-679 (-409 |#2|)) (-1244 $)) 59)) (-4280 (((-1244 (-409 |#2|)) $) 57) (($ (-1244 (-409 |#2|))) 56) ((|#3| $) 165) (($ |#3|) 151)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) 139 (|has| (-409 |#2|) (-350)))) (-3224 (((-1244 $) (-1244 $)) 187)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ (-409 |#2|)) 36) (($ (-409 (-568))) 80 (-2199 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-1037 (-409 (-568)))))) (($ $) 85 (|has| (-409 |#2|) (-365)))) (-3385 (($ $) 138 (|has| (-409 |#2|) (-350))) (((-3 $ "failed") $) 41 (|has| (-409 |#2|) (-148)))) (-1295 ((|#3| $) 43)) (-3425 (((-763)) 28)) (-4077 (((-121)) 200)) (-1487 (((-121) |#1|) 199) (((-121) |#2|) 198)) (-2588 (((-1244 $)) 61)) (-2273 (((-121) $ $) 89 (|has| (-409 |#2|) (-365)))) (-1900 (((-2 (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (-1 |#2| |#2|)) 168)) (-3341 (((-121)) 202)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32) (($ $ (-568)) 111 (|has| (-409 |#2|) (-365)))) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3192 (($ $ (-1 (-409 |#2|) (-409 |#2|)) (-763)) 119 (|has| (-409 |#2|) (-365))) (($ $ (-1 (-409 |#2|) (-409 |#2|))) 118 (|has| (-409 |#2|) (-365))) (($ $ (-634 (-1161)) (-634 (-763))) 120 (-2199 (-2141 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-895 (-1161)))) (-2141 (|has| (-409 |#2|) (-895 (-1161))) (|has| (-409 |#2|) (-365))))) (($ $ (-1161) (-763)) 121 (-2199 (-2141 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-895 (-1161)))) (-2141 (|has| (-409 |#2|) (-895 (-1161))) (|has| (-409 |#2|) (-365))))) (($ $ (-634 (-1161))) 122 (-2199 (-2141 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-895 (-1161)))) (-2141 (|has| (-409 |#2|) (-895 (-1161))) (|has| (-409 |#2|) (-365))))) (($ $ (-1161)) 123 (-2199 (-2141 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-895 (-1161)))) (-2141 (|has| (-409 |#2|) (-895 (-1161))) (|has| (-409 |#2|) (-365))))) (($ $ (-763)) 128 (-2199 (-2141 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-225))) (-2141 (|has| (-409 |#2|) (-225)) (|has| (-409 |#2|) (-365))) (|has| (-409 |#2|) (-350)))) (($ $) 130 (-2199 (-2141 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-225))) (-2141 (|has| (-409 |#2|) (-225)) (|has| (-409 |#2|) (-365))) (|has| (-409 |#2|) (-350))))) (-1719 (((-121) $ $) 6)) (-1781 (($ $ $) 115 (|has| (-409 |#2|) (-365)))) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ (-568)) 112 (|has| (-409 |#2|) (-365)))) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ (-409 |#2|)) 38) (($ (-409 |#2|) $) 37) (($ (-409 (-568)) $) 114 (|has| (-409 |#2|) (-365))) (($ $ (-409 (-568))) 113 (|has| (-409 |#2|) (-365))))) 
-(((-340 |#1| |#2| |#3|) (-1275) (-1199) (-1219 |t#1|) (-1219 (-409 |t#2|))) (T -340)) 
-((-2066 (*1 *2) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-763)))) (-3383 (*1 *2) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-763)))) (-3341 (*1 *2) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-121)))) (-2679 (*1 *2 *3 *3) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-121)))) (-4077 (*1 *2) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-121)))) (-1487 (*1 *2 *3) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-121)))) (-1487 (*1 *2 *3) (-12 (-4 *1 (-340 *4 *3 *5)) (-4 *4 (-1199)) (-4 *3 (-1219 *4)) (-4 *5 (-1219 (-409 *3))) (-5 *2 (-121)))) (-2191 (*1 *2) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-121)))) (-4347 (*1 *2 *3) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-121)))) (-4347 (*1 *2 *3) (-12 (-4 *1 (-340 *4 *3 *5)) (-4 *4 (-1199)) (-4 *3 (-1219 *4)) (-4 *5 (-1219 (-409 *3))) (-5 *2 (-121)))) (-1700 (*1 *2) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-121)))) (-1862 (*1 *2 *3) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-121)))) (-1862 (*1 *2 *3) (-12 (-4 *1 (-340 *4 *3 *5)) (-4 *4 (-1199)) (-4 *3 (-1219 *4)) (-4 *5 (-1219 (-409 *3))) (-5 *2 (-121)))) (-3330 (*1 *2) (-12 (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-1244 *1)) (-4 *1 (-340 *3 *4 *5)))) (-2239 (*1 *2) (-12 (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-1244 *1)) (-4 *1 (-340 *3 *4 *5)))) (-1979 (*1 *2 *1) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-121)))) (-2548 (*1 *2 *1) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-121)))) (-3224 (*1 *2 *2) (-12 (-5 *2 (-1244 *1)) (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))))) (-3233 (*1 *2 *2) (-12 (-5 *2 (-1244 *1)) (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))))) (-2331 (*1 *2 *2) (-12 (-5 *2 (-1244 *1)) (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))))) (-1515 (*1 *2) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-679 (-409 *4))))) (-1822 (*1 *2) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-679 (-409 *4))))) (-2208 (*1 *2) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-679 (-409 *4))))) (-3281 (*1 *2) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-679 (-409 *4))))) (-4354 (*1 *2 *1) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-2 (|:| |num| (-1244 *4)) (|:| |den| *4))))) (-3363 (*1 *2 *1) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-2 (|:| |num| (-1244 *4)) (|:| |den| *4))))) (-3368 (*1 *1 *2 *3) (-12 (-5 *2 (-1244 *3)) (-4 *3 (-1219 *4)) (-4 *4 (-1199)) (-4 *1 (-340 *4 *3 *5)) (-4 *5 (-1219 (-409 *3))))) (-4339 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *1 (-340 *4 *5 *6)) (-4 *4 (-1199)) (-4 *5 (-1219 *4)) (-4 *6 (-1219 (-409 *5))) (-5 *2 (-2 (|:| |num| (-679 *5)) (|:| |den| *5))))) (-2548 (*1 *2 *1 *3) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-121)))) (-2548 (*1 *2 *1 *3) (-12 (-4 *1 (-340 *4 *3 *5)) (-4 *4 (-1199)) (-4 *3 (-1219 *4)) (-4 *5 (-1219 (-409 *3))) (-5 *2 (-121)))) (-4191 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))))) (-3899 (*1 *1 *2 *3) (-12 (-5 *2 (-1244 *3)) (-4 *3 (-1219 *4)) (-4 *4 (-1199)) (-4 *1 (-340 *4 *3 *5)) (-4 *5 (-1219 (-409 *3))))) (-1998 (*1 *1 *1) (-12 (-4 *1 (-340 *2 *3 *4)) (-4 *2 (-1199)) (-4 *3 (-1219 *2)) (-4 *4 (-1219 (-409 *3))))) (-2781 (*1 *2 *1 *2 *2) (-12 (-4 *1 (-340 *2 *3 *4)) (-4 *2 (-1199)) (-4 *3 (-1219 *2)) (-4 *4 (-1219 (-409 *3))))) (-3146 (*1 *2) (|partial| -12 (-4 *1 (-340 *3 *2 *4)) (-4 *3 (-1199)) (-4 *4 (-1219 (-409 *2))) (-4 *2 (-1219 *3)))) (-4201 (*1 *2) (|partial| -12 (-4 *1 (-340 *3 *2 *4)) (-4 *3 (-1199)) (-4 *4 (-1219 (-409 *2))) (-4 *2 (-1219 *3)))) (-1900 (*1 *2 *1 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1219 *4)) (-4 *4 (-1199)) (-4 *6 (-1219 (-409 *5))) (-5 *2 (-2 (|:| |num| *1) (|:| |den| *5) (|:| |derivden| *5) (|:| |gd| *5))) (-4 *1 (-340 *4 *5 *6)))) (-3247 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *1 (-340 *4 *5 *6)) (-4 *4 (-1199)) (-4 *5 (-1219 *4)) (-4 *6 (-1219 (-409 *5))) (-4 *4 (-365)) (-5 *2 (-634 (-953 *4))))) (-2603 (*1 *2) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-4 *3 (-370)) (-5 *2 (-634 (-634 *3)))))) 
-(-13 (-714 (-409 |t#2|) |t#3|) (-10 -8 (-15 -2066 ((-763))) (-15 -3383 ((-763))) (-15 -3341 ((-121))) (-15 -2679 ((-121) |t#1| |t#1|)) (-15 -4077 ((-121))) (-15 -1487 ((-121) |t#1|)) (-15 -1487 ((-121) |t#2|)) (-15 -2191 ((-121))) (-15 -4347 ((-121) |t#1|)) (-15 -4347 ((-121) |t#2|)) (-15 -1700 ((-121))) (-15 -1862 ((-121) |t#1|)) (-15 -1862 ((-121) |t#2|)) (-15 -3330 ((-1244 $))) (-15 -2239 ((-1244 $))) (-15 -1979 ((-121) $)) (-15 -2548 ((-121) $)) (-15 -3224 ((-1244 $) (-1244 $))) (-15 -3233 ((-1244 $) (-1244 $))) (-15 -2331 ((-1244 $) (-1244 $))) (-15 -1515 ((-679 (-409 |t#2|)))) (-15 -1822 ((-679 (-409 |t#2|)))) (-15 -2208 ((-679 (-409 |t#2|)))) (-15 -3281 ((-679 (-409 |t#2|)))) (-15 -4354 ((-2 (|:| |num| (-1244 |t#2|)) (|:| |den| |t#2|)) $)) (-15 -3899 ($ (-1244 |t#2|) |t#2|)) (-15 -3363 ((-2 (|:| |num| (-1244 |t#2|)) (|:| |den| |t#2|)) $)) (-15 -3368 ($ (-1244 |t#2|) |t#2|)) (-15 -4339 ((-2 (|:| |num| (-679 |t#2|)) (|:| |den| |t#2|)) (-1 |t#2| |t#2|))) (-15 -2548 ((-121) $ |t#1|)) (-15 -2548 ((-121) $ |t#2|)) (-15 -4191 ($ $ (-1 |t#2| |t#2|))) (-15 -3899 ($ (-1244 |t#2|) |t#2|)) (-15 -1998 ($ $)) (-15 -2781 (|t#1| $ |t#1| |t#1|)) (-15 -3146 ((-3 |t#2| "failed"))) (-15 -4201 ((-3 |t#2| "failed"))) (-15 -1900 ((-2 (|:| |num| $) (|:| |den| |t#2|) (|:| |derivden| |t#2|) (|:| |gd| |t#2|)) $ (-1 |t#2| |t#2|))) (IF (|has| |t#1| (-365)) (-15 -3247 ((-634 (-953 |t#1|)) (-1161))) |noBranch|) (IF (|has| |t#1| (-370)) (-15 -2603 ((-634 (-634 |t#1|)))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-409 (-568))) -2199 (|has| (-409 |#2|) (-350)) (|has| (-409 |#2|) (-365))) ((-43 (-409 |#2|)) . T) ((-43 $) -2199 (|has| (-409 |#2|) (-350)) (|has| (-409 |#2|) (-365))) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) -2199 (|has| (-409 |#2|) (-350)) (|has| (-409 |#2|) (-365))) ((-120 (-409 |#2|) (-409 |#2|)) . T) ((-120 $ $) . T) ((-137) . T) ((-148) -2199 (|has| (-409 |#2|) (-350)) (|has| (-409 |#2|) (-148))) ((-150) |has| (-409 |#2|) (-150)) ((-608 (-850)) . T) ((-172) . T) ((-609 |#3|) . T) ((-223 (-409 |#2|)) |has| (-409 |#2|) (-365)) ((-225) -2199 (|has| (-409 |#2|) (-350)) (-12 (|has| (-409 |#2|) (-225)) (|has| (-409 |#2|) (-365)))) ((-238) -2199 (|has| (-409 |#2|) (-350)) (|has| (-409 |#2|) (-365))) ((-285) -2199 (|has| (-409 |#2|) (-350)) (|has| (-409 |#2|) (-365))) ((-301) -2199 (|has| (-409 |#2|) (-350)) (|has| (-409 |#2|) (-365))) ((-365) -2199 (|has| (-409 |#2|) (-350)) (|has| (-409 |#2|) (-365))) ((-404) |has| (-409 |#2|) (-350)) ((-370) -2199 (|has| (-409 |#2|) (-370)) (|has| (-409 |#2|) (-350))) ((-350) |has| (-409 |#2|) (-350)) ((-372 (-409 |#2|) |#3|) . T) ((-411 (-409 |#2|) |#3|) . T) ((-379 (-409 |#2|)) . T) ((-413 (-409 |#2|)) . T) ((-453) -2199 (|has| (-409 |#2|) (-350)) (|has| (-409 |#2|) (-365))) ((-558) -2199 (|has| (-409 |#2|) (-350)) (|has| (-409 |#2|) (-365))) ((-637 (-409 (-568))) -2199 (|has| (-409 |#2|) (-350)) (|has| (-409 |#2|) (-365))) ((-637 (-409 |#2|)) . T) ((-637 $) . T) ((-630 (-409 |#2|)) . T) ((-630 (-568)) |has| (-409 |#2|) (-630 (-568))) ((-707 (-409 (-568))) -2199 (|has| (-409 |#2|) (-350)) (|has| (-409 |#2|) (-365))) ((-707 (-409 |#2|)) . T) ((-707 $) -2199 (|has| (-409 |#2|) (-350)) (|has| (-409 |#2|) (-365))) ((-714 (-409 |#2|) |#3|) . T) ((-716) . T) ((-895 (-1161)) -12 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-895 (-1161)))) ((-916) -2199 (|has| (-409 |#2|) (-350)) (|has| (-409 |#2|) (-365))) ((-1037 (-409 (-568))) |has| (-409 |#2|) (-1037 (-409 (-568)))) ((-1037 (-409 |#2|)) . T) ((-1037 (-568)) |has| (-409 |#2|) (-1037 (-568))) ((-1053 (-409 (-568))) -2199 (|has| (-409 |#2|) (-350)) (|has| (-409 |#2|) (-365))) ((-1053 (-409 |#2|)) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1136) |has| (-409 |#2|) (-350)) ((-1199) -2199 (|has| (-409 |#2|) (-350)) (|has| (-409 |#2|) (-365)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2134 (((-121) $) NIL)) (-3800 (((-763)) NIL)) (-1934 (((-905 |#1|) $) NIL) (($ $ (-917)) NIL (|has| (-905 |#1|) (-370)))) (-1856 (((-1169 (-917) (-763)) (-568)) NIL (|has| (-905 |#1|) (-370)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2589 (((-121) $ $) NIL)) (-3986 (((-763)) NIL (|has| (-905 |#1|) (-370)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-905 |#1|) "failed") $) NIL)) (-2857 (((-905 |#1|) $) NIL)) (-3899 (($ (-1244 (-905 |#1|))) NIL)) (-1368 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-905 |#1|) (-370)))) (-2403 (($ $ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1733 (($) NIL (|has| (-905 |#1|) (-370)))) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-4188 (($) NIL (|has| (-905 |#1|) (-370)))) (-1748 (((-121) $) NIL (|has| (-905 |#1|) (-370)))) (-1887 (($ $ (-763)) NIL (-2199 (|has| (-905 |#1|) (-148)) (|has| (-905 |#1|) (-370)))) (($ $) NIL (-2199 (|has| (-905 |#1|) (-148)) (|has| (-905 |#1|) (-370))))) (-2197 (((-121) $) NIL)) (-1844 (((-917) $) NIL (|has| (-905 |#1|) (-370))) (((-828 (-917)) $) NIL (-2199 (|has| (-905 |#1|) (-148)) (|has| (-905 |#1|) (-370))))) (-1598 (((-121) $) NIL)) (-2769 (($) NIL (|has| (-905 |#1|) (-370)))) (-2151 (((-121) $) NIL (|has| (-905 |#1|) (-370)))) (-4417 (((-905 |#1|) $) NIL) (($ $ (-917)) NIL (|has| (-905 |#1|) (-370)))) (-2214 (((-3 $ "failed") $) NIL (|has| (-905 |#1|) (-370)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1497 (((-1157 (-905 |#1|)) $) NIL) (((-1157 $) $ (-917)) NIL (|has| (-905 |#1|) (-370)))) (-2291 (((-917) $) NIL (|has| (-905 |#1|) (-370)))) (-1447 (((-1157 (-905 |#1|)) $) NIL (|has| (-905 |#1|) (-370)))) (-2193 (((-1157 (-905 |#1|)) $) NIL (|has| (-905 |#1|) (-370))) (((-3 (-1157 (-905 |#1|)) "failed") $ $) NIL (|has| (-905 |#1|) (-370)))) (-3257 (($ $ (-1157 (-905 |#1|))) NIL (|has| (-905 |#1|) (-370)))) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL)) (-4436 (($) NIL (|has| (-905 |#1|) (-370)) CONST)) (-4357 (($ (-917)) NIL (|has| (-905 |#1|) (-370)))) (-4051 (((-121) $) NIL)) (-4025 (((-1108) $) NIL)) (-4212 (((-958 (-1108))) NIL)) (-2707 (($) NIL (|has| (-905 |#1|) (-370)))) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-2172 (((-634 (-2 (|:| -3850 (-568)) (|:| -3483 (-568))))) NIL (|has| (-905 |#1|) (-370)))) (-3850 (((-420 $) $) NIL)) (-4321 (((-828 (-917))) NIL) (((-917)) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-2721 (((-763) $) NIL (|has| (-905 |#1|) (-370))) (((-3 (-763) "failed") $ $) NIL (-2199 (|has| (-905 |#1|) (-148)) (|has| (-905 |#1|) (-370))))) (-3108 (((-139)) NIL)) (-4191 (($ $) NIL (|has| (-905 |#1|) (-370))) (($ $ (-763)) NIL (|has| (-905 |#1|) (-370)))) (-1836 (((-828 (-917)) $) NIL) (((-917) $) NIL)) (-1492 (((-1157 (-905 |#1|))) NIL)) (-2330 (($) NIL (|has| (-905 |#1|) (-370)))) (-1398 (($) NIL (|has| (-905 |#1|) (-370)))) (-1656 (((-1244 (-905 |#1|)) $) NIL) (((-679 (-905 |#1|)) (-1244 $)) NIL)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (|has| (-905 |#1|) (-370)))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ $) NIL) (($ (-409 (-568))) NIL) (($ (-905 |#1|)) NIL)) (-3385 (($ $) NIL (|has| (-905 |#1|) (-370))) (((-3 $ "failed") $) NIL (-2199 (|has| (-905 |#1|) (-148)) (|has| (-905 |#1|) (-370))))) (-3425 (((-763)) NIL)) (-2588 (((-1244 $)) NIL) (((-1244 $) (-917)) NIL)) (-2273 (((-121) $ $) NIL)) (-1413 (((-121) $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3412 (($ $) NIL (|has| (-905 |#1|) (-370))) (($ $ (-763)) NIL (|has| (-905 |#1|) (-370)))) (-3192 (($ $) NIL (|has| (-905 |#1|) (-370))) (($ $ (-763)) NIL (|has| (-905 |#1|) (-370)))) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ $) NIL) (($ $ (-905 |#1|)) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL) (($ $ (-905 |#1|)) NIL) (($ (-905 |#1|) $) NIL))) 
-(((-341 |#1| |#2|) (-13 (-327 (-905 |#1|)) (-10 -7 (-15 -4212 ((-958 (-1108)))))) (-917) (-917)) (T -341)) 
-((-4212 (*1 *2) (-12 (-5 *2 (-958 (-1108))) (-5 *1 (-341 *3 *4)) (-14 *3 (-917)) (-14 *4 (-917))))) 
-(-13 (-327 (-905 |#1|)) (-10 -7 (-15 -4212 ((-958 (-1108)))))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 46)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2134 (((-121) $) NIL)) (-3800 (((-763)) NIL)) (-1934 ((|#1| $) NIL) (($ $ (-917)) NIL (|has| |#1| (-370)))) (-1856 (((-1169 (-917) (-763)) (-568)) 43 (|has| |#1| (-370)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2589 (((-121) $ $) NIL)) (-3986 (((-763)) NIL (|has| |#1| (-370)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#1| "failed") $) 113)) (-2857 ((|#1| $) 84)) (-3899 (($ (-1244 |#1|)) 102)) (-1368 (((-3 "prime" "polynomial" "normal" "cyclic")) 93 (|has| |#1| (-370)))) (-2403 (($ $ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1733 (($) 96 (|has| |#1| (-370)))) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-4188 (($) 128 (|has| |#1| (-370)))) (-1748 (((-121) $) 49 (|has| |#1| (-370)))) (-1887 (($ $ (-763)) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370)))) (($ $) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-2197 (((-121) $) NIL)) (-1844 (((-917) $) 47 (|has| |#1| (-370))) (((-828 (-917)) $) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-1598 (((-121) $) NIL)) (-2769 (($) 130 (|has| |#1| (-370)))) (-2151 (((-121) $) NIL (|has| |#1| (-370)))) (-4417 ((|#1| $) NIL) (($ $ (-917)) NIL (|has| |#1| (-370)))) (-2214 (((-3 $ "failed") $) NIL (|has| |#1| (-370)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1497 (((-1157 |#1|) $) 88) (((-1157 $) $ (-917)) NIL (|has| |#1| (-370)))) (-2291 (((-917) $) 138 (|has| |#1| (-370)))) (-1447 (((-1157 |#1|) $) NIL (|has| |#1| (-370)))) (-2193 (((-1157 |#1|) $) NIL (|has| |#1| (-370))) (((-3 (-1157 |#1|) "failed") $ $) NIL (|has| |#1| (-370)))) (-3257 (($ $ (-1157 |#1|)) NIL (|has| |#1| (-370)))) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) 145)) (-4436 (($) NIL (|has| |#1| (-370)) CONST)) (-4357 (($ (-917)) 70 (|has| |#1| (-370)))) (-4051 (((-121) $) 116)) (-4025 (((-1108) $) NIL)) (-4212 (((-958 (-1108))) 44)) (-2707 (($) 126 (|has| |#1| (-370)))) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-2172 (((-634 (-2 (|:| -3850 (-568)) (|:| -3483 (-568))))) 91 (|has| |#1| (-370)))) (-3850 (((-420 $) $) NIL)) (-4321 (((-828 (-917))) 67) (((-917)) 68)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-2721 (((-763) $) 129 (|has| |#1| (-370))) (((-3 (-763) "failed") $ $) 123 (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-3108 (((-139)) NIL)) (-4191 (($ $) NIL (|has| |#1| (-370))) (($ $ (-763)) NIL (|has| |#1| (-370)))) (-1836 (((-828 (-917)) $) NIL) (((-917) $) NIL)) (-1492 (((-1157 |#1|)) 94)) (-2330 (($) 127 (|has| |#1| (-370)))) (-1398 (($) 135 (|has| |#1| (-370)))) (-1656 (((-1244 |#1|) $) 59) (((-679 |#1|) (-1244 $)) NIL)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (|has| |#1| (-370)))) (-2747 (((-850) $) 141) (($ (-568)) NIL) (($ $) NIL) (($ (-409 (-568))) NIL) (($ |#1|) 74)) (-3385 (($ $) NIL (|has| |#1| (-370))) (((-3 $ "failed") $) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-3425 (((-763)) 137)) (-2588 (((-1244 $)) 115) (((-1244 $) (-917)) 72)) (-2273 (((-121) $ $) NIL)) (-1413 (((-121) $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) 32 T CONST)) (-1557 (($) 19 T CONST)) (-3412 (($ $) 80 (|has| |#1| (-370))) (($ $ (-763)) NIL (|has| |#1| (-370)))) (-3192 (($ $) NIL (|has| |#1| (-370))) (($ $ (-763)) NIL (|has| |#1| (-370)))) (-1719 (((-121) $ $) 48)) (-1781 (($ $ $) 143) (($ $ |#1|) 144)) (-1775 (($ $) 125) (($ $ $) NIL)) (-1769 (($ $ $) 61)) (** (($ $ (-917)) 147) (($ $ (-763)) 148) (($ $ (-568)) 146)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 76) (($ $ $) 75) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 142))) 
-(((-342 |#1| |#2|) (-13 (-327 |#1|) (-10 -7 (-15 -4212 ((-958 (-1108)))))) (-350) (-1157 |#1|)) (T -342)) 
-((-4212 (*1 *2) (-12 (-5 *2 (-958 (-1108))) (-5 *1 (-342 *3 *4)) (-4 *3 (-350)) (-14 *4 (-1157 *3))))) 
-(-13 (-327 |#1|) (-10 -7 (-15 -4212 ((-958 (-1108)))))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2134 (((-121) $) NIL)) (-3800 (((-763)) NIL)) (-1934 ((|#1| $) NIL) (($ $ (-917)) NIL (|has| |#1| (-370)))) (-1856 (((-1169 (-917) (-763)) (-568)) NIL (|has| |#1| (-370)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2589 (((-121) $ $) NIL)) (-3986 (((-763)) NIL (|has| |#1| (-370)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#1| "failed") $) NIL)) (-2857 ((|#1| $) NIL)) (-3899 (($ (-1244 |#1|)) NIL)) (-1368 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-370)))) (-2403 (($ $ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1733 (($) NIL (|has| |#1| (-370)))) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-4188 (($) NIL (|has| |#1| (-370)))) (-1748 (((-121) $) NIL (|has| |#1| (-370)))) (-1887 (($ $ (-763)) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370)))) (($ $) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-2197 (((-121) $) NIL)) (-1844 (((-917) $) NIL (|has| |#1| (-370))) (((-828 (-917)) $) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-1598 (((-121) $) NIL)) (-2769 (($) NIL (|has| |#1| (-370)))) (-2151 (((-121) $) NIL (|has| |#1| (-370)))) (-4417 ((|#1| $) NIL) (($ $ (-917)) NIL (|has| |#1| (-370)))) (-2214 (((-3 $ "failed") $) NIL (|has| |#1| (-370)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1497 (((-1157 |#1|) $) NIL) (((-1157 $) $ (-917)) NIL (|has| |#1| (-370)))) (-2291 (((-917) $) NIL (|has| |#1| (-370)))) (-1447 (((-1157 |#1|) $) NIL (|has| |#1| (-370)))) (-2193 (((-1157 |#1|) $) NIL (|has| |#1| (-370))) (((-3 (-1157 |#1|) "failed") $ $) NIL (|has| |#1| (-370)))) (-3257 (($ $ (-1157 |#1|)) NIL (|has| |#1| (-370)))) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL)) (-4436 (($) NIL (|has| |#1| (-370)) CONST)) (-4357 (($ (-917)) NIL (|has| |#1| (-370)))) (-4051 (((-121) $) NIL)) (-4025 (((-1108) $) NIL)) (-4212 (((-958 (-1108))) NIL)) (-2707 (($) NIL (|has| |#1| (-370)))) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-2172 (((-634 (-2 (|:| -3850 (-568)) (|:| -3483 (-568))))) NIL (|has| |#1| (-370)))) (-3850 (((-420 $) $) NIL)) (-4321 (((-828 (-917))) NIL) (((-917)) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-2721 (((-763) $) NIL (|has| |#1| (-370))) (((-3 (-763) "failed") $ $) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-3108 (((-139)) NIL)) (-4191 (($ $) NIL (|has| |#1| (-370))) (($ $ (-763)) NIL (|has| |#1| (-370)))) (-1836 (((-828 (-917)) $) NIL) (((-917) $) NIL)) (-1492 (((-1157 |#1|)) NIL)) (-2330 (($) NIL (|has| |#1| (-370)))) (-1398 (($) NIL (|has| |#1| (-370)))) (-1656 (((-1244 |#1|) $) NIL) (((-679 |#1|) (-1244 $)) NIL)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (|has| |#1| (-370)))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ $) NIL) (($ (-409 (-568))) NIL) (($ |#1|) NIL)) (-3385 (($ $) NIL (|has| |#1| (-370))) (((-3 $ "failed") $) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-3425 (((-763)) NIL)) (-2588 (((-1244 $)) NIL) (((-1244 $) (-917)) NIL)) (-2273 (((-121) $ $) NIL)) (-1413 (((-121) $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3412 (($ $) NIL (|has| |#1| (-370))) (($ $ (-763)) NIL (|has| |#1| (-370)))) (-3192 (($ $) NIL (|has| |#1| (-370))) (($ $ (-763)) NIL (|has| |#1| (-370)))) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ $) NIL) (($ $ |#1|) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-343 |#1| |#2|) (-13 (-327 |#1|) (-10 -7 (-15 -4212 ((-958 (-1108)))))) (-350) (-917)) (T -343)) 
-((-4212 (*1 *2) (-12 (-5 *2 (-958 (-1108))) (-5 *1 (-343 *3 *4)) (-4 *3 (-350)) (-14 *4 (-917))))) 
-(-13 (-327 |#1|) (-10 -7 (-15 -4212 ((-958 (-1108)))))) 
-((-1634 (((-121) |#2|) 68)) (-2977 (((-420 |#2|) |#2|) 56)) (-2654 (((-420 |#2|) |#2|) 58)) (-4254 (((-634 |#2|) |#2|) 61)) (-1654 (((-634 |#2|) |#2| (-763)) 62)) (-3850 (((-420 |#2|) |#2|) 59))) 
-(((-344 |#1| |#2|) (-10 -7 (-15 -4254 ((-634 |#2|) |#2|)) (-15 -1654 ((-634 |#2|) |#2| (-763))) (-15 -3850 ((-420 |#2|) |#2|)) (-15 -2977 ((-420 |#2|) |#2|)) (-15 -2654 ((-420 |#2|) |#2|)) (-15 -1634 ((-121) |#2|))) (-350) (-1219 |#1|)) (T -344)) 
-((-1634 (*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-121)) (-5 *1 (-344 *4 *3)) (-4 *3 (-1219 *4)))) (-2654 (*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-420 *3)) (-5 *1 (-344 *4 *3)) (-4 *3 (-1219 *4)))) (-2977 (*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-420 *3)) (-5 *1 (-344 *4 *3)) (-4 *3 (-1219 *4)))) (-3850 (*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-420 *3)) (-5 *1 (-344 *4 *3)) (-4 *3 (-1219 *4)))) (-1654 (*1 *2 *3 *4) (-12 (-5 *4 (-763)) (-4 *5 (-350)) (-5 *2 (-634 *3)) (-5 *1 (-344 *5 *3)) (-4 *3 (-1219 *5)))) (-4254 (*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-634 *3)) (-5 *1 (-344 *4 *3)) (-4 *3 (-1219 *4))))) 
-(-10 -7 (-15 -4254 ((-634 |#2|) |#2|)) (-15 -1654 ((-634 |#2|) |#2| (-763))) (-15 -3850 ((-420 |#2|) |#2|)) (-15 -2977 ((-420 |#2|) |#2|)) (-15 -2654 ((-420 |#2|) |#2|)) (-15 -1634 ((-121) |#2|))) 
-((-1546 (((-1141 (-679 (-1157 |#1|))) (-634 |#1|) (-1 |#1| (-763) (-763) |#2|) (-1244 |#3|) (-763) (-763)) 54) (((-679 (-1157 |#1|)) (-634 |#1|) (-1 |#1| (-763) (-763) |#2|) (-1244 |#3|) (-634 (-763))) 42))) 
-(((-345 |#1| |#2| |#3|) (-10 -7 (-15 -1546 ((-679 (-1157 |#1|)) (-634 |#1|) (-1 |#1| (-763) (-763) |#2|) (-1244 |#3|) (-634 (-763)))) (-15 -1546 ((-1141 (-679 (-1157 |#1|))) (-634 |#1|) (-1 |#1| (-763) (-763) |#2|) (-1244 |#3|) (-763) (-763)))) (-13 (-558) (-453)) (-324 |#1| (-763)) (-324 (-409 |#1|) (-763))) (T -345)) 
-((-1546 (*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-634 *7)) (-5 *4 (-1 *7 (-763) (-763) *8)) (-5 *5 (-1244 *9)) (-5 *6 (-763)) (-4 *7 (-13 (-558) (-453))) (-4 *8 (-324 *7 *6)) (-4 *9 (-324 (-409 *7) *6)) (-5 *2 (-1141 (-679 (-1157 *7)))) (-5 *1 (-345 *7 *8 *9)))) (-1546 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-634 *7)) (-5 *4 (-1 *7 (-763) (-763) *8)) (-5 *5 (-1244 *9)) (-5 *6 (-634 (-763))) (-4 *7 (-13 (-558) (-453))) (-4 *8 (-324 *7 (-763))) (-4 *9 (-324 (-409 *7) (-763))) (-5 *2 (-679 (-1157 *7))) (-5 *1 (-345 *7 *8 *9))))) 
-(-10 -7 (-15 -1546 ((-679 (-1157 |#1|)) (-634 |#1|) (-1 |#1| (-763) (-763) |#2|) (-1244 |#3|) (-634 (-763)))) (-15 -1546 ((-1141 (-679 (-1157 |#1|))) (-634 |#1|) (-1 |#1| (-763) (-763) |#2|) (-1244 |#3|) (-763) (-763)))) 
-((-4066 (((-634 |#1|) |#1| (-763)) 21)) (-3099 ((|#1| |#1| (-763) (-763) |#2|) 20)) (-2709 (((-409 (-1157 |#1|)) (-634 (-409 |#1|)) (-634 (-409 |#1|)) (-763)) 75) (((-409 (-1157 |#1|)) (-634 |#1|) (-634 |#1|) (-763)) 68)) (-1546 (((-1141 (-679 (-1157 |#1|))) (-634 |#1|) (-1 |#1| (-763) (-763) |#2|) (-1244 |#2|) (-763) (-763)) 62) (((-679 (-1157 |#1|)) (-634 |#1|) (-1 |#1| (-763) (-763) |#2|) (-1244 |#2|) (-634 (-763))) 44)) (-3237 ((|#1| (-1 |#1| (-763) (-763) |#2|) (-1244 |#2|) (-763) (-1244 (-1157 |#1|))) 37)) (-2303 (((-679 (-1157 |#1|)) (-634 |#1|) (-1 |#1| (-763) (-1244 (-1157 |#1|))) (-634 (-763))) 43)) (-4376 (((-634 |#1|) (-763)) 17)) (-4368 ((|#1| (-763) (-763) |#2|) 11)) (-2495 (((-634 |#1|) (-763)) 24)) (-2760 ((|#1| (-763) (-763) |#2|) 22))) 
-(((-346 |#1| |#2|) (-10 -7 (-15 -2303 ((-679 (-1157 |#1|)) (-634 |#1|) (-1 |#1| (-763) (-1244 (-1157 |#1|))) (-634 (-763)))) (-15 -2709 ((-409 (-1157 |#1|)) (-634 |#1|) (-634 |#1|) (-763))) (-15 -2709 ((-409 (-1157 |#1|)) (-634 (-409 |#1|)) (-634 (-409 |#1|)) (-763))) (-15 -1546 ((-679 (-1157 |#1|)) (-634 |#1|) (-1 |#1| (-763) (-763) |#2|) (-1244 |#2|) (-634 (-763)))) (-15 -1546 ((-1141 (-679 (-1157 |#1|))) (-634 |#1|) (-1 |#1| (-763) (-763) |#2|) (-1244 |#2|) (-763) (-763))) (-15 -3237 (|#1| (-1 |#1| (-763) (-763) |#2|) (-1244 |#2|) (-763) (-1244 (-1157 |#1|)))) (-15 -4368 (|#1| (-763) (-763) |#2|)) (-15 -4376 ((-634 |#1|) (-763))) (-15 -2760 (|#1| (-763) (-763) |#2|)) (-15 -2495 ((-634 |#1|) (-763))) (-15 -3099 (|#1| |#1| (-763) (-763) |#2|)) (-15 -4066 ((-634 |#1|) |#1| (-763)))) (-13 (-558) (-453)) (-52 |#1| (-763))) (T -346)) 
-((-4066 (*1 *2 *3 *4) (-12 (-5 *4 (-763)) (-4 *3 (-13 (-558) (-453))) (-5 *2 (-634 *3)) (-5 *1 (-346 *3 *5)) (-4 *5 (-52 *3 *4)))) (-3099 (*1 *2 *2 *3 *3 *4) (-12 (-5 *3 (-763)) (-4 *2 (-13 (-558) (-453))) (-5 *1 (-346 *2 *4)) (-4 *4 (-52 *2 *3)))) (-2495 (*1 *2 *3) (-12 (-5 *3 (-763)) (-4 *4 (-13 (-558) (-453))) (-5 *2 (-634 *4)) (-5 *1 (-346 *4 *5)) (-4 *5 (-52 *4 *3)))) (-2760 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-763)) (-4 *2 (-13 (-558) (-453))) (-5 *1 (-346 *2 *4)) (-4 *4 (-52 *2 *3)))) (-4376 (*1 *2 *3) (-12 (-5 *3 (-763)) (-4 *4 (-13 (-558) (-453))) (-5 *2 (-634 *4)) (-5 *1 (-346 *4 *5)) (-4 *5 (-52 *4 *3)))) (-4368 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-763)) (-4 *2 (-13 (-558) (-453))) (-5 *1 (-346 *2 *4)) (-4 *4 (-52 *2 *3)))) (-3237 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *2 (-763) (-763) *7)) (-5 *4 (-1244 *7)) (-5 *5 (-763)) (-5 *6 (-1244 (-1157 *2))) (-4 *7 (-52 *2 *5)) (-4 *2 (-13 (-558) (-453))) (-5 *1 (-346 *2 *7)))) (-1546 (*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-634 *7)) (-5 *4 (-1 *7 (-763) (-763) *8)) (-5 *5 (-1244 *8)) (-5 *6 (-763)) (-4 *7 (-13 (-558) (-453))) (-4 *8 (-52 *7 *6)) (-5 *2 (-1141 (-679 (-1157 *7)))) (-5 *1 (-346 *7 *8)))) (-1546 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-634 *7)) (-5 *4 (-1 *7 (-763) (-763) *8)) (-5 *5 (-1244 *8)) (-5 *6 (-634 (-763))) (-4 *7 (-13 (-558) (-453))) (-4 *8 (-52 *7 (-763))) (-5 *2 (-679 (-1157 *7))) (-5 *1 (-346 *7 *8)))) (-2709 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-634 (-409 *5))) (-4 *5 (-13 (-558) (-453))) (-5 *4 (-763)) (-5 *2 (-409 (-1157 *5))) (-5 *1 (-346 *5 *6)) (-4 *6 (-52 *5 *4)))) (-2709 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-634 *5)) (-4 *5 (-13 (-558) (-453))) (-5 *4 (-763)) (-5 *2 (-409 (-1157 *5))) (-5 *1 (-346 *5 *6)) (-4 *6 (-52 *5 *4)))) (-2303 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-634 *6)) (-5 *4 (-1 *6 (-763) (-1244 (-1157 *6)))) (-5 *5 (-634 (-763))) (-4 *6 (-13 (-558) (-453))) (-5 *2 (-679 (-1157 *6))) (-5 *1 (-346 *6 *7)) (-4 *7 (-52 *6 (-763)))))) 
-(-10 -7 (-15 -2303 ((-679 (-1157 |#1|)) (-634 |#1|) (-1 |#1| (-763) (-1244 (-1157 |#1|))) (-634 (-763)))) (-15 -2709 ((-409 (-1157 |#1|)) (-634 |#1|) (-634 |#1|) (-763))) (-15 -2709 ((-409 (-1157 |#1|)) (-634 (-409 |#1|)) (-634 (-409 |#1|)) (-763))) (-15 -1546 ((-679 (-1157 |#1|)) (-634 |#1|) (-1 |#1| (-763) (-763) |#2|) (-1244 |#2|) (-634 (-763)))) (-15 -1546 ((-1141 (-679 (-1157 |#1|))) (-634 |#1|) (-1 |#1| (-763) (-763) |#2|) (-1244 |#2|) (-763) (-763))) (-15 -3237 (|#1| (-1 |#1| (-763) (-763) |#2|) (-1244 |#2|) (-763) (-1244 (-1157 |#1|)))) (-15 -4368 (|#1| (-763) (-763) |#2|)) (-15 -4376 ((-634 |#1|) (-763))) (-15 -2760 (|#1| (-763) (-763) |#2|)) (-15 -2495 ((-634 |#1|) (-763))) (-15 -3099 (|#1| |#1| (-763) (-763) |#2|)) (-15 -4066 ((-634 |#1|) |#1| (-763)))) 
-((-1628 (((-763) (-1244 (-634 (-2 (|:| -2852 |#1|) (|:| -4357 (-1108)))))) 40)) (-2362 (((-958 (-1108)) (-1157 |#1|)) 84)) (-1570 (((-1244 (-634 (-2 (|:| -2852 |#1|) (|:| -4357 (-1108))))) (-1157 |#1|)) 77)) (-2299 (((-679 |#1|) (-1244 (-634 (-2 (|:| -2852 |#1|) (|:| -4357 (-1108)))))) 85)) (-3021 (((-3 (-1244 (-634 (-2 (|:| -2852 |#1|) (|:| -4357 (-1108))))) "failed") (-917)) 10)) (-4494 (((-3 (-1157 |#1|) (-1244 (-634 (-2 (|:| -2852 |#1|) (|:| -4357 (-1108)))))) (-917)) 15))) 
-(((-347 |#1|) (-10 -7 (-15 -2362 ((-958 (-1108)) (-1157 |#1|))) (-15 -1570 ((-1244 (-634 (-2 (|:| -2852 |#1|) (|:| -4357 (-1108))))) (-1157 |#1|))) (-15 -2299 ((-679 |#1|) (-1244 (-634 (-2 (|:| -2852 |#1|) (|:| -4357 (-1108))))))) (-15 -1628 ((-763) (-1244 (-634 (-2 (|:| -2852 |#1|) (|:| -4357 (-1108))))))) (-15 -3021 ((-3 (-1244 (-634 (-2 (|:| -2852 |#1|) (|:| -4357 (-1108))))) "failed") (-917))) (-15 -4494 ((-3 (-1157 |#1|) (-1244 (-634 (-2 (|:| -2852 |#1|) (|:| -4357 (-1108)))))) (-917)))) (-350)) (T -347)) 
-((-4494 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-3 (-1157 *4) (-1244 (-634 (-2 (|:| -2852 *4) (|:| -4357 (-1108))))))) (-5 *1 (-347 *4)) (-4 *4 (-350)))) (-3021 (*1 *2 *3) (|partial| -12 (-5 *3 (-917)) (-5 *2 (-1244 (-634 (-2 (|:| -2852 *4) (|:| -4357 (-1108)))))) (-5 *1 (-347 *4)) (-4 *4 (-350)))) (-1628 (*1 *2 *3) (-12 (-5 *3 (-1244 (-634 (-2 (|:| -2852 *4) (|:| -4357 (-1108)))))) (-4 *4 (-350)) (-5 *2 (-763)) (-5 *1 (-347 *4)))) (-2299 (*1 *2 *3) (-12 (-5 *3 (-1244 (-634 (-2 (|:| -2852 *4) (|:| -4357 (-1108)))))) (-4 *4 (-350)) (-5 *2 (-679 *4)) (-5 *1 (-347 *4)))) (-1570 (*1 *2 *3) (-12 (-5 *3 (-1157 *4)) (-4 *4 (-350)) (-5 *2 (-1244 (-634 (-2 (|:| -2852 *4) (|:| -4357 (-1108)))))) (-5 *1 (-347 *4)))) (-2362 (*1 *2 *3) (-12 (-5 *3 (-1157 *4)) (-4 *4 (-350)) (-5 *2 (-958 (-1108))) (-5 *1 (-347 *4))))) 
-(-10 -7 (-15 -2362 ((-958 (-1108)) (-1157 |#1|))) (-15 -1570 ((-1244 (-634 (-2 (|:| -2852 |#1|) (|:| -4357 (-1108))))) (-1157 |#1|))) (-15 -2299 ((-679 |#1|) (-1244 (-634 (-2 (|:| -2852 |#1|) (|:| -4357 (-1108))))))) (-15 -1628 ((-763) (-1244 (-634 (-2 (|:| -2852 |#1|) (|:| -4357 (-1108))))))) (-15 -3021 ((-3 (-1244 (-634 (-2 (|:| -2852 |#1|) (|:| -4357 (-1108))))) "failed") (-917))) (-15 -4494 ((-3 (-1157 |#1|) (-1244 (-634 (-2 (|:| -2852 |#1|) (|:| -4357 (-1108)))))) (-917)))) 
-((-2747 ((|#1| |#3|) 84) ((|#3| |#1|) 68))) 
-(((-348 |#1| |#2| |#3|) (-10 -7 (-15 -2747 (|#3| |#1|)) (-15 -2747 (|#1| |#3|))) (-327 |#2|) (-350) (-327 |#2|)) (T -348)) 
-((-2747 (*1 *2 *3) (-12 (-4 *4 (-350)) (-4 *2 (-327 *4)) (-5 *1 (-348 *2 *4 *3)) (-4 *3 (-327 *4)))) (-2747 (*1 *2 *3) (-12 (-4 *4 (-350)) (-4 *2 (-327 *4)) (-5 *1 (-348 *3 *4 *2)) (-4 *3 (-327 *4))))) 
-(-10 -7 (-15 -2747 (|#3| |#1|)) (-15 -2747 (|#1| |#3|))) 
-((-1748 (((-121) $) 50)) (-1844 (((-828 (-917)) $) 21) (((-917) $) 51)) (-2214 (((-3 $ "failed") $) 16)) (-4436 (($) 9)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 91)) (-2721 (((-3 (-763) "failed") $ $) 70) (((-763) $) 59)) (-4191 (($ $ (-763)) NIL) (($ $) 8)) (-2330 (($) 44)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) 33)) (-3385 (((-3 $ "failed") $) 39) (($ $) 38))) 
-(((-349 |#1|) (-10 -8 (-15 -1844 ((-917) |#1|)) (-15 -2721 ((-763) |#1|)) (-15 -1748 ((-121) |#1|)) (-15 -2330 (|#1|)) (-15 -3070 ((-3 (-1244 |#1|) "failed") (-679 |#1|))) (-15 -3385 (|#1| |#1|)) (-15 -4191 (|#1| |#1|)) (-15 -4191 (|#1| |#1| (-763))) (-15 -4436 (|#1|)) (-15 -2214 ((-3 |#1| "failed") |#1|)) (-15 -2721 ((-3 (-763) "failed") |#1| |#1|)) (-15 -1844 ((-828 (-917)) |#1|)) (-15 -3385 ((-3 |#1| "failed") |#1|)) (-15 -3603 ((-1157 |#1|) (-1157 |#1|) (-1157 |#1|)))) (-350)) (T -349)) 
-NIL 
-(-10 -8 (-15 -1844 ((-917) |#1|)) (-15 -2721 ((-763) |#1|)) (-15 -1748 ((-121) |#1|)) (-15 -2330 (|#1|)) (-15 -3070 ((-3 (-1244 |#1|) "failed") (-679 |#1|))) (-15 -3385 (|#1| |#1|)) (-15 -4191 (|#1| |#1|)) (-15 -4191 (|#1| |#1| (-763))) (-15 -4436 (|#1|)) (-15 -2214 ((-3 |#1| "failed") |#1|)) (-15 -2721 ((-3 (-763) "failed") |#1| |#1|)) (-15 -1844 ((-828 (-917)) |#1|)) (-15 -3385 ((-3 |#1| "failed") |#1|)) (-15 -3603 ((-1157 |#1|) (-1157 |#1|) (-1157 |#1|)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 40)) (-3661 (($ $) 39)) (-4426 (((-121) $) 37)) (-1856 (((-1169 (-917) (-763)) (-568)) 88)) (-2689 (((-3 $ "failed") $ $) 18)) (-3045 (($ $) 71)) (-3498 (((-420 $) $) 70)) (-2589 (((-121) $ $) 57)) (-3986 (((-763)) 98)) (-4490 (($) 16 T CONST)) (-1368 (((-3 "prime" "polynomial" "normal" "cyclic")) 82)) (-2403 (($ $ $) 53)) (-2902 (((-3 $ "failed") $) 33)) (-1733 (($) 101)) (-2414 (($ $ $) 54)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 49)) (-4188 (($) 86)) (-1748 (((-121) $) 85)) (-1887 (($ $) 75) (($ $ (-763)) 74)) (-2197 (((-121) $) 69)) (-1844 (((-828 (-917)) $) 77) (((-917) $) 83)) (-1598 (((-121) $) 30)) (-2214 (((-3 $ "failed") $) 97)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 50)) (-2291 (((-917) $) 100)) (-2498 (($ $ $) 45) (($ (-634 $)) 44)) (-1893 (((-1143) $) 9)) (-2083 (($ $) 68)) (-4436 (($) 96 T CONST)) (-4357 (($ (-917)) 99)) (-4025 (((-1108) $) 10)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 43)) (-2723 (($ $ $) 47) (($ (-634 $)) 46)) (-2172 (((-634 (-2 (|:| -3850 (-568)) (|:| -3483 (-568))))) 89)) (-3850 (((-420 $) $) 72)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2597 (((-3 $ "failed") $ $) 41)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 48)) (-1466 (((-763) $) 56)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 55)) (-2721 (((-3 (-763) "failed") $ $) 76) (((-763) $) 84)) (-4191 (($ $ (-763)) 94) (($ $) 92)) (-2330 (($) 87)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) 90)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ $) 42) (($ (-409 (-568))) 63)) (-3385 (((-3 $ "failed") $) 78) (($ $) 91)) (-3425 (((-763)) 28)) (-2273 (((-121) $ $) 38)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32) (($ $ (-568)) 67)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3192 (($ $ (-763)) 95) (($ $) 93)) (-1719 (((-121) $ $) 6)) (-1781 (($ $ $) 62)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ (-568)) 66)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ (-409 (-568))) 65) (($ (-409 (-568)) $) 64))) 
-(((-350) (-1275)) (T -350)) 
-((-3385 (*1 *1 *1) (-4 *1 (-350))) (-3070 (*1 *2 *3) (|partial| -12 (-5 *3 (-679 *1)) (-4 *1 (-350)) (-5 *2 (-1244 *1)))) (-2172 (*1 *2) (-12 (-4 *1 (-350)) (-5 *2 (-634 (-2 (|:| -3850 (-568)) (|:| -3483 (-568))))))) (-1856 (*1 *2 *3) (-12 (-4 *1 (-350)) (-5 *3 (-568)) (-5 *2 (-1169 (-917) (-763))))) (-2330 (*1 *1) (-4 *1 (-350))) (-4188 (*1 *1) (-4 *1 (-350))) (-1748 (*1 *2 *1) (-12 (-4 *1 (-350)) (-5 *2 (-121)))) (-2721 (*1 *2 *1) (-12 (-4 *1 (-350)) (-5 *2 (-763)))) (-1844 (*1 *2 *1) (-12 (-4 *1 (-350)) (-5 *2 (-917)))) (-1368 (*1 *2) (-12 (-4 *1 (-350)) (-5 *2 (-3 "prime" "polynomial" "normal" "cyclic"))))) 
-(-13 (-404) (-370) (-1136) (-225) (-10 -8 (-15 -3385 ($ $)) (-15 -3070 ((-3 (-1244 $) "failed") (-679 $))) (-15 -2172 ((-634 (-2 (|:| -3850 (-568)) (|:| -3483 (-568)))))) (-15 -1856 ((-1169 (-917) (-763)) (-568))) (-15 -2330 ($)) (-15 -4188 ($)) (-15 -1748 ((-121) $)) (-15 -2721 ((-763) $)) (-15 -1844 ((-917) $)) (-15 -1368 ((-3 "prime" "polynomial" "normal" "cyclic"))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-409 (-568))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) . T) ((-120 $ $) . T) ((-137) . T) ((-148) . T) ((-608 (-850)) . T) ((-172) . T) ((-225) . T) ((-238) . T) ((-285) . T) ((-301) . T) ((-365) . T) ((-404) . T) ((-370) . T) ((-453) . T) ((-558) . T) ((-637 (-409 (-568))) . T) ((-637 $) . T) ((-707 (-409 (-568))) . T) ((-707 $) . T) ((-716) . T) ((-916) . T) ((-1053 (-409 (-568))) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1136) . T) ((-1199) . T)) 
-((-2443 (((-2 (|:| -2588 (-679 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-679 |#1|))) |#1|) 51)) (-3330 (((-2 (|:| -2588 (-679 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-679 |#1|)))) 49))) 
-(((-351 |#1| |#2| |#3|) (-10 -7 (-15 -3330 ((-2 (|:| -2588 (-679 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-679 |#1|))))) (-15 -2443 ((-2 (|:| -2588 (-679 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-679 |#1|))) |#1|))) (-13 (-301) (-10 -8 (-15 -3498 ((-420 $) $)))) (-1219 |#1|) (-411 |#1| |#2|)) (T -351)) 
-((-2443 (*1 *2 *3) (-12 (-4 *3 (-13 (-301) (-10 -8 (-15 -3498 ((-420 $) $))))) (-4 *4 (-1219 *3)) (-5 *2 (-2 (|:| -2588 (-679 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-679 *3)))) (-5 *1 (-351 *3 *4 *5)) (-4 *5 (-411 *3 *4)))) (-3330 (*1 *2) (-12 (-4 *3 (-13 (-301) (-10 -8 (-15 -3498 ((-420 $) $))))) (-4 *4 (-1219 *3)) (-5 *2 (-2 (|:| -2588 (-679 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-679 *3)))) (-5 *1 (-351 *3 *4 *5)) (-4 *5 (-411 *3 *4))))) 
-(-10 -7 (-15 -3330 ((-2 (|:| -2588 (-679 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-679 |#1|))))) (-15 -2443 ((-2 (|:| -2588 (-679 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-679 |#1|))) |#1|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2134 (((-121) $) NIL)) (-3800 (((-763)) NIL)) (-1934 (((-905 |#1|) $) NIL) (($ $ (-917)) NIL (|has| (-905 |#1|) (-370)))) (-1856 (((-1169 (-917) (-763)) (-568)) NIL (|has| (-905 |#1|) (-370)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-1628 (((-763)) NIL)) (-2589 (((-121) $ $) NIL)) (-3986 (((-763)) NIL (|has| (-905 |#1|) (-370)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-905 |#1|) "failed") $) NIL)) (-2857 (((-905 |#1|) $) NIL)) (-3899 (($ (-1244 (-905 |#1|))) NIL)) (-1368 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-905 |#1|) (-370)))) (-2403 (($ $ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1733 (($) NIL (|has| (-905 |#1|) (-370)))) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-4188 (($) NIL (|has| (-905 |#1|) (-370)))) (-1748 (((-121) $) NIL (|has| (-905 |#1|) (-370)))) (-1887 (($ $ (-763)) NIL (-2199 (|has| (-905 |#1|) (-148)) (|has| (-905 |#1|) (-370)))) (($ $) NIL (-2199 (|has| (-905 |#1|) (-148)) (|has| (-905 |#1|) (-370))))) (-2197 (((-121) $) NIL)) (-1844 (((-917) $) NIL (|has| (-905 |#1|) (-370))) (((-828 (-917)) $) NIL (-2199 (|has| (-905 |#1|) (-148)) (|has| (-905 |#1|) (-370))))) (-1598 (((-121) $) NIL)) (-2769 (($) NIL (|has| (-905 |#1|) (-370)))) (-2151 (((-121) $) NIL (|has| (-905 |#1|) (-370)))) (-4417 (((-905 |#1|) $) NIL) (($ $ (-917)) NIL (|has| (-905 |#1|) (-370)))) (-2214 (((-3 $ "failed") $) NIL (|has| (-905 |#1|) (-370)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1497 (((-1157 (-905 |#1|)) $) NIL) (((-1157 $) $ (-917)) NIL (|has| (-905 |#1|) (-370)))) (-2291 (((-917) $) NIL (|has| (-905 |#1|) (-370)))) (-1447 (((-1157 (-905 |#1|)) $) NIL (|has| (-905 |#1|) (-370)))) (-2193 (((-1157 (-905 |#1|)) $) NIL (|has| (-905 |#1|) (-370))) (((-3 (-1157 (-905 |#1|)) "failed") $ $) NIL (|has| (-905 |#1|) (-370)))) (-3257 (($ $ (-1157 (-905 |#1|))) NIL (|has| (-905 |#1|) (-370)))) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL)) (-4436 (($) NIL (|has| (-905 |#1|) (-370)) CONST)) (-4357 (($ (-917)) NIL (|has| (-905 |#1|) (-370)))) (-4051 (((-121) $) NIL)) (-4025 (((-1108) $) NIL)) (-3432 (((-1244 (-634 (-2 (|:| -2852 (-905 |#1|)) (|:| -4357 (-1108)))))) NIL)) (-3996 (((-679 (-905 |#1|))) NIL)) (-2707 (($) NIL (|has| (-905 |#1|) (-370)))) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-2172 (((-634 (-2 (|:| -3850 (-568)) (|:| -3483 (-568))))) NIL (|has| (-905 |#1|) (-370)))) (-3850 (((-420 $) $) NIL)) (-4321 (((-828 (-917))) NIL) (((-917)) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-2721 (((-763) $) NIL (|has| (-905 |#1|) (-370))) (((-3 (-763) "failed") $ $) NIL (-2199 (|has| (-905 |#1|) (-148)) (|has| (-905 |#1|) (-370))))) (-3108 (((-139)) NIL)) (-4191 (($ $) NIL (|has| (-905 |#1|) (-370))) (($ $ (-763)) NIL (|has| (-905 |#1|) (-370)))) (-1836 (((-828 (-917)) $) NIL) (((-917) $) NIL)) (-1492 (((-1157 (-905 |#1|))) NIL)) (-2330 (($) NIL (|has| (-905 |#1|) (-370)))) (-1398 (($) NIL (|has| (-905 |#1|) (-370)))) (-1656 (((-1244 (-905 |#1|)) $) NIL) (((-679 (-905 |#1|)) (-1244 $)) NIL)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (|has| (-905 |#1|) (-370)))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ $) NIL) (($ (-409 (-568))) NIL) (($ (-905 |#1|)) NIL)) (-3385 (($ $) NIL (|has| (-905 |#1|) (-370))) (((-3 $ "failed") $) NIL (-2199 (|has| (-905 |#1|) (-148)) (|has| (-905 |#1|) (-370))))) (-3425 (((-763)) NIL)) (-2588 (((-1244 $)) NIL) (((-1244 $) (-917)) NIL)) (-2273 (((-121) $ $) NIL)) (-1413 (((-121) $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3412 (($ $) NIL (|has| (-905 |#1|) (-370))) (($ $ (-763)) NIL (|has| (-905 |#1|) (-370)))) (-3192 (($ $) NIL (|has| (-905 |#1|) (-370))) (($ $ (-763)) NIL (|has| (-905 |#1|) (-370)))) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ $) NIL) (($ $ (-905 |#1|)) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL) (($ $ (-905 |#1|)) NIL) (($ (-905 |#1|) $) NIL))) 
-(((-352 |#1| |#2|) (-13 (-327 (-905 |#1|)) (-10 -7 (-15 -3432 ((-1244 (-634 (-2 (|:| -2852 (-905 |#1|)) (|:| -4357 (-1108))))))) (-15 -3996 ((-679 (-905 |#1|)))) (-15 -1628 ((-763))))) (-917) (-917)) (T -352)) 
-((-3432 (*1 *2) (-12 (-5 *2 (-1244 (-634 (-2 (|:| -2852 (-905 *3)) (|:| -4357 (-1108)))))) (-5 *1 (-352 *3 *4)) (-14 *3 (-917)) (-14 *4 (-917)))) (-3996 (*1 *2) (-12 (-5 *2 (-679 (-905 *3))) (-5 *1 (-352 *3 *4)) (-14 *3 (-917)) (-14 *4 (-917)))) (-1628 (*1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-352 *3 *4)) (-14 *3 (-917)) (-14 *4 (-917))))) 
-(-13 (-327 (-905 |#1|)) (-10 -7 (-15 -3432 ((-1244 (-634 (-2 (|:| -2852 (-905 |#1|)) (|:| -4357 (-1108))))))) (-15 -3996 ((-679 (-905 |#1|)))) (-15 -1628 ((-763))))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 74)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2134 (((-121) $) NIL)) (-3800 (((-763)) NIL)) (-1934 ((|#1| $) 92) (($ $ (-917)) 90 (|has| |#1| (-370)))) (-1856 (((-1169 (-917) (-763)) (-568)) 148 (|has| |#1| (-370)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-1628 (((-763)) 89)) (-2589 (((-121) $ $) NIL)) (-3986 (((-763)) 162 (|has| |#1| (-370)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#1| "failed") $) 111)) (-2857 ((|#1| $) 91)) (-3899 (($ (-1244 |#1|)) 57)) (-1368 (((-3 "prime" "polynomial" "normal" "cyclic")) 187 (|has| |#1| (-370)))) (-2403 (($ $ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1733 (($) 158 (|has| |#1| (-370)))) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-4188 (($) 149 (|has| |#1| (-370)))) (-1748 (((-121) $) NIL (|has| |#1| (-370)))) (-1887 (($ $ (-763)) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370)))) (($ $) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-2197 (((-121) $) NIL)) (-1844 (((-917) $) NIL (|has| |#1| (-370))) (((-828 (-917)) $) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-1598 (((-121) $) NIL)) (-2769 (($) 97 (|has| |#1| (-370)))) (-2151 (((-121) $) 175 (|has| |#1| (-370)))) (-4417 ((|#1| $) 94) (($ $ (-917)) 93 (|has| |#1| (-370)))) (-2214 (((-3 $ "failed") $) NIL (|has| |#1| (-370)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1497 (((-1157 |#1|) $) 188) (((-1157 $) $ (-917)) NIL (|has| |#1| (-370)))) (-2291 (((-917) $) 133 (|has| |#1| (-370)))) (-1447 (((-1157 |#1|) $) 73 (|has| |#1| (-370)))) (-2193 (((-1157 |#1|) $) 70 (|has| |#1| (-370))) (((-3 (-1157 |#1|) "failed") $ $) 82 (|has| |#1| (-370)))) (-3257 (($ $ (-1157 |#1|)) 69 (|has| |#1| (-370)))) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) 191)) (-4436 (($) NIL (|has| |#1| (-370)) CONST)) (-4357 (($ (-917)) 136 (|has| |#1| (-370)))) (-4051 (((-121) $) 107)) (-4025 (((-1108) $) NIL)) (-3432 (((-1244 (-634 (-2 (|:| -2852 |#1|) (|:| -4357 (-1108)))))) 83)) (-3996 (((-679 |#1|)) 87)) (-2707 (($) 96 (|has| |#1| (-370)))) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-2172 (((-634 (-2 (|:| -3850 (-568)) (|:| -3483 (-568))))) 150 (|has| |#1| (-370)))) (-3850 (((-420 $) $) NIL)) (-4321 (((-828 (-917))) NIL) (((-917)) 151)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-2721 (((-763) $) NIL (|has| |#1| (-370))) (((-3 (-763) "failed") $ $) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-3108 (((-139)) NIL)) (-4191 (($ $) NIL (|has| |#1| (-370))) (($ $ (-763)) NIL (|has| |#1| (-370)))) (-1836 (((-828 (-917)) $) NIL) (((-917) $) 62)) (-1492 (((-1157 |#1|)) 152)) (-2330 (($) 132 (|has| |#1| (-370)))) (-1398 (($) NIL (|has| |#1| (-370)))) (-1656 (((-1244 |#1|) $) 105) (((-679 |#1|) (-1244 $)) NIL)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (|has| |#1| (-370)))) (-2747 (((-850) $) 123) (($ (-568)) NIL) (($ $) NIL) (($ (-409 (-568))) NIL) (($ |#1|) 56)) (-3385 (($ $) NIL (|has| |#1| (-370))) (((-3 $ "failed") $) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-3425 (((-763)) 156)) (-2588 (((-1244 $)) 172) (((-1244 $) (-917)) 100)) (-2273 (((-121) $ $) NIL)) (-1413 (((-121) $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) 30 T CONST)) (-1557 (($) 22 T CONST)) (-3412 (($ $) 106 (|has| |#1| (-370))) (($ $ (-763)) 98 (|has| |#1| (-370)))) (-3192 (($ $) NIL (|has| |#1| (-370))) (($ $ (-763)) NIL (|has| |#1| (-370)))) (-1719 (((-121) $ $) 60)) (-1781 (($ $ $) 103) (($ $ |#1|) 104)) (-1775 (($ $) 177) (($ $ $) 181)) (-1769 (($ $ $) 179)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) 137)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 185) (($ $ $) 142) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 102))) 
-(((-353 |#1| |#2|) (-13 (-327 |#1|) (-10 -7 (-15 -3432 ((-1244 (-634 (-2 (|:| -2852 |#1|) (|:| -4357 (-1108))))))) (-15 -3996 ((-679 |#1|))) (-15 -1628 ((-763))))) (-350) (-3 (-1157 |#1|) (-1244 (-634 (-2 (|:| -2852 |#1|) (|:| -4357 (-1108))))))) (T -353)) 
-((-3432 (*1 *2) (-12 (-5 *2 (-1244 (-634 (-2 (|:| -2852 *3) (|:| -4357 (-1108)))))) (-5 *1 (-353 *3 *4)) (-4 *3 (-350)) (-14 *4 (-3 (-1157 *3) *2)))) (-3996 (*1 *2) (-12 (-5 *2 (-679 *3)) (-5 *1 (-353 *3 *4)) (-4 *3 (-350)) (-14 *4 (-3 (-1157 *3) (-1244 (-634 (-2 (|:| -2852 *3) (|:| -4357 (-1108))))))))) (-1628 (*1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-353 *3 *4)) (-4 *3 (-350)) (-14 *4 (-3 (-1157 *3) (-1244 (-634 (-2 (|:| -2852 *3) (|:| -4357 (-1108)))))))))) 
-(-13 (-327 |#1|) (-10 -7 (-15 -3432 ((-1244 (-634 (-2 (|:| -2852 |#1|) (|:| -4357 (-1108))))))) (-15 -3996 ((-679 |#1|))) (-15 -1628 ((-763))))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2134 (((-121) $) NIL)) (-3800 (((-763)) NIL)) (-1934 ((|#1| $) NIL) (($ $ (-917)) NIL (|has| |#1| (-370)))) (-1856 (((-1169 (-917) (-763)) (-568)) NIL (|has| |#1| (-370)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-1628 (((-763)) NIL)) (-2589 (((-121) $ $) NIL)) (-3986 (((-763)) NIL (|has| |#1| (-370)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#1| "failed") $) NIL)) (-2857 ((|#1| $) NIL)) (-3899 (($ (-1244 |#1|)) NIL)) (-1368 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-370)))) (-2403 (($ $ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1733 (($) NIL (|has| |#1| (-370)))) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-4188 (($) NIL (|has| |#1| (-370)))) (-1748 (((-121) $) NIL (|has| |#1| (-370)))) (-1887 (($ $ (-763)) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370)))) (($ $) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-2197 (((-121) $) NIL)) (-1844 (((-917) $) NIL (|has| |#1| (-370))) (((-828 (-917)) $) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-1598 (((-121) $) NIL)) (-2769 (($) NIL (|has| |#1| (-370)))) (-2151 (((-121) $) NIL (|has| |#1| (-370)))) (-4417 ((|#1| $) NIL) (($ $ (-917)) NIL (|has| |#1| (-370)))) (-2214 (((-3 $ "failed") $) NIL (|has| |#1| (-370)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1497 (((-1157 |#1|) $) NIL) (((-1157 $) $ (-917)) NIL (|has| |#1| (-370)))) (-2291 (((-917) $) NIL (|has| |#1| (-370)))) (-1447 (((-1157 |#1|) $) NIL (|has| |#1| (-370)))) (-2193 (((-1157 |#1|) $) NIL (|has| |#1| (-370))) (((-3 (-1157 |#1|) "failed") $ $) NIL (|has| |#1| (-370)))) (-3257 (($ $ (-1157 |#1|)) NIL (|has| |#1| (-370)))) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL)) (-4436 (($) NIL (|has| |#1| (-370)) CONST)) (-4357 (($ (-917)) NIL (|has| |#1| (-370)))) (-4051 (((-121) $) NIL)) (-4025 (((-1108) $) NIL)) (-3432 (((-1244 (-634 (-2 (|:| -2852 |#1|) (|:| -4357 (-1108)))))) NIL)) (-3996 (((-679 |#1|)) NIL)) (-2707 (($) NIL (|has| |#1| (-370)))) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-2172 (((-634 (-2 (|:| -3850 (-568)) (|:| -3483 (-568))))) NIL (|has| |#1| (-370)))) (-3850 (((-420 $) $) NIL)) (-4321 (((-828 (-917))) NIL) (((-917)) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-2721 (((-763) $) NIL (|has| |#1| (-370))) (((-3 (-763) "failed") $ $) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-3108 (((-139)) NIL)) (-4191 (($ $) NIL (|has| |#1| (-370))) (($ $ (-763)) NIL (|has| |#1| (-370)))) (-1836 (((-828 (-917)) $) NIL) (((-917) $) NIL)) (-1492 (((-1157 |#1|)) NIL)) (-2330 (($) NIL (|has| |#1| (-370)))) (-1398 (($) NIL (|has| |#1| (-370)))) (-1656 (((-1244 |#1|) $) NIL) (((-679 |#1|) (-1244 $)) NIL)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (|has| |#1| (-370)))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ $) NIL) (($ (-409 (-568))) NIL) (($ |#1|) NIL)) (-3385 (($ $) NIL (|has| |#1| (-370))) (((-3 $ "failed") $) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-3425 (((-763)) NIL)) (-2588 (((-1244 $)) NIL) (((-1244 $) (-917)) NIL)) (-2273 (((-121) $ $) NIL)) (-1413 (((-121) $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3412 (($ $) NIL (|has| |#1| (-370))) (($ $ (-763)) NIL (|has| |#1| (-370)))) (-3192 (($ $) NIL (|has| |#1| (-370))) (($ $ (-763)) NIL (|has| |#1| (-370)))) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ $) NIL) (($ $ |#1|) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-354 |#1| |#2|) (-13 (-327 |#1|) (-10 -7 (-15 -3432 ((-1244 (-634 (-2 (|:| -2852 |#1|) (|:| -4357 (-1108))))))) (-15 -3996 ((-679 |#1|))) (-15 -1628 ((-763))))) (-350) (-917)) (T -354)) 
-((-3432 (*1 *2) (-12 (-5 *2 (-1244 (-634 (-2 (|:| -2852 *3) (|:| -4357 (-1108)))))) (-5 *1 (-354 *3 *4)) (-4 *3 (-350)) (-14 *4 (-917)))) (-3996 (*1 *2) (-12 (-5 *2 (-679 *3)) (-5 *1 (-354 *3 *4)) (-4 *3 (-350)) (-14 *4 (-917)))) (-1628 (*1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-354 *3 *4)) (-4 *3 (-350)) (-14 *4 (-917))))) 
-(-13 (-327 |#1|) (-10 -7 (-15 -3432 ((-1244 (-634 (-2 (|:| -2852 |#1|) (|:| -4357 (-1108))))))) (-15 -3996 ((-679 |#1|))) (-15 -1628 ((-763))))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2134 (((-121) $) NIL)) (-3800 (((-763)) NIL)) (-1934 (((-905 |#1|) $) NIL) (($ $ (-917)) NIL (|has| (-905 |#1|) (-370)))) (-1856 (((-1169 (-917) (-763)) (-568)) NIL (|has| (-905 |#1|) (-370)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2589 (((-121) $ $) NIL)) (-3986 (((-763)) NIL (|has| (-905 |#1|) (-370)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-905 |#1|) "failed") $) NIL)) (-2857 (((-905 |#1|) $) NIL)) (-3899 (($ (-1244 (-905 |#1|))) NIL)) (-1368 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-905 |#1|) (-370)))) (-2403 (($ $ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1733 (($) NIL (|has| (-905 |#1|) (-370)))) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-4188 (($) NIL (|has| (-905 |#1|) (-370)))) (-1748 (((-121) $) NIL (|has| (-905 |#1|) (-370)))) (-1887 (($ $ (-763)) NIL (-2199 (|has| (-905 |#1|) (-148)) (|has| (-905 |#1|) (-370)))) (($ $) NIL (-2199 (|has| (-905 |#1|) (-148)) (|has| (-905 |#1|) (-370))))) (-2197 (((-121) $) NIL)) (-1844 (((-917) $) NIL (|has| (-905 |#1|) (-370))) (((-828 (-917)) $) NIL (-2199 (|has| (-905 |#1|) (-148)) (|has| (-905 |#1|) (-370))))) (-1598 (((-121) $) NIL)) (-2769 (($) NIL (|has| (-905 |#1|) (-370)))) (-2151 (((-121) $) NIL (|has| (-905 |#1|) (-370)))) (-4417 (((-905 |#1|) $) NIL) (($ $ (-917)) NIL (|has| (-905 |#1|) (-370)))) (-2214 (((-3 $ "failed") $) NIL (|has| (-905 |#1|) (-370)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1497 (((-1157 (-905 |#1|)) $) NIL) (((-1157 $) $ (-917)) NIL (|has| (-905 |#1|) (-370)))) (-2291 (((-917) $) NIL (|has| (-905 |#1|) (-370)))) (-1447 (((-1157 (-905 |#1|)) $) NIL (|has| (-905 |#1|) (-370)))) (-2193 (((-1157 (-905 |#1|)) $) NIL (|has| (-905 |#1|) (-370))) (((-3 (-1157 (-905 |#1|)) "failed") $ $) NIL (|has| (-905 |#1|) (-370)))) (-3257 (($ $ (-1157 (-905 |#1|))) NIL (|has| (-905 |#1|) (-370)))) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL)) (-4436 (($) NIL (|has| (-905 |#1|) (-370)) CONST)) (-4357 (($ (-917)) NIL (|has| (-905 |#1|) (-370)))) (-4051 (((-121) $) NIL)) (-4025 (((-1108) $) NIL)) (-2707 (($) NIL (|has| (-905 |#1|) (-370)))) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-2172 (((-634 (-2 (|:| -3850 (-568)) (|:| -3483 (-568))))) NIL (|has| (-905 |#1|) (-370)))) (-3850 (((-420 $) $) NIL)) (-4321 (((-828 (-917))) NIL) (((-917)) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-2721 (((-763) $) NIL (|has| (-905 |#1|) (-370))) (((-3 (-763) "failed") $ $) NIL (-2199 (|has| (-905 |#1|) (-148)) (|has| (-905 |#1|) (-370))))) (-3108 (((-139)) NIL)) (-4191 (($ $) NIL (|has| (-905 |#1|) (-370))) (($ $ (-763)) NIL (|has| (-905 |#1|) (-370)))) (-1836 (((-828 (-917)) $) NIL) (((-917) $) NIL)) (-1492 (((-1157 (-905 |#1|))) NIL)) (-2330 (($) NIL (|has| (-905 |#1|) (-370)))) (-1398 (($) NIL (|has| (-905 |#1|) (-370)))) (-1656 (((-1244 (-905 |#1|)) $) NIL) (((-679 (-905 |#1|)) (-1244 $)) NIL)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (|has| (-905 |#1|) (-370)))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ $) NIL) (($ (-409 (-568))) NIL) (($ (-905 |#1|)) NIL)) (-3385 (($ $) NIL (|has| (-905 |#1|) (-370))) (((-3 $ "failed") $) NIL (-2199 (|has| (-905 |#1|) (-148)) (|has| (-905 |#1|) (-370))))) (-3425 (((-763)) NIL)) (-2588 (((-1244 $)) NIL) (((-1244 $) (-917)) NIL)) (-2273 (((-121) $ $) NIL)) (-1413 (((-121) $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3412 (($ $) NIL (|has| (-905 |#1|) (-370))) (($ $ (-763)) NIL (|has| (-905 |#1|) (-370)))) (-3192 (($ $) NIL (|has| (-905 |#1|) (-370))) (($ $ (-763)) NIL (|has| (-905 |#1|) (-370)))) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ $) NIL) (($ $ (-905 |#1|)) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL) (($ $ (-905 |#1|)) NIL) (($ (-905 |#1|) $) NIL))) 
-(((-355 |#1| |#2|) (-327 (-905 |#1|)) (-917) (-917)) (T -355)) 
-NIL 
-(-327 (-905 |#1|)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2134 (((-121) $) NIL)) (-3800 (((-763)) NIL)) (-1934 ((|#1| $) NIL) (($ $ (-917)) NIL (|has| |#1| (-370)))) (-1856 (((-1169 (-917) (-763)) (-568)) 119 (|has| |#1| (-370)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2589 (((-121) $ $) NIL)) (-3986 (((-763)) 138 (|has| |#1| (-370)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#1| "failed") $) 91)) (-2857 ((|#1| $) 88)) (-3899 (($ (-1244 |#1|)) 83)) (-1368 (((-3 "prime" "polynomial" "normal" "cyclic")) 115 (|has| |#1| (-370)))) (-2403 (($ $ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1733 (($) 80 (|has| |#1| (-370)))) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-4188 (($) 39 (|has| |#1| (-370)))) (-1748 (((-121) $) NIL (|has| |#1| (-370)))) (-1887 (($ $ (-763)) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370)))) (($ $) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-2197 (((-121) $) NIL)) (-1844 (((-917) $) NIL (|has| |#1| (-370))) (((-828 (-917)) $) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-1598 (((-121) $) NIL)) (-2769 (($) 120 (|has| |#1| (-370)))) (-2151 (((-121) $) 72 (|has| |#1| (-370)))) (-4417 ((|#1| $) 38) (($ $ (-917)) 40 (|has| |#1| (-370)))) (-2214 (((-3 $ "failed") $) NIL (|has| |#1| (-370)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1497 (((-1157 |#1|) $) 62) (((-1157 $) $ (-917)) NIL (|has| |#1| (-370)))) (-2291 (((-917) $) 95 (|has| |#1| (-370)))) (-1447 (((-1157 |#1|) $) NIL (|has| |#1| (-370)))) (-2193 (((-1157 |#1|) $) NIL (|has| |#1| (-370))) (((-3 (-1157 |#1|) "failed") $ $) NIL (|has| |#1| (-370)))) (-3257 (($ $ (-1157 |#1|)) NIL (|has| |#1| (-370)))) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL)) (-4436 (($) NIL (|has| |#1| (-370)) CONST)) (-4357 (($ (-917)) 93 (|has| |#1| (-370)))) (-4051 (((-121) $) 140)) (-4025 (((-1108) $) NIL)) (-2707 (($) 35 (|has| |#1| (-370)))) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-2172 (((-634 (-2 (|:| -3850 (-568)) (|:| -3483 (-568))))) 113 (|has| |#1| (-370)))) (-3850 (((-420 $) $) NIL)) (-4321 (((-828 (-917))) NIL) (((-917)) 137)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-2721 (((-763) $) NIL (|has| |#1| (-370))) (((-3 (-763) "failed") $ $) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-3108 (((-139)) NIL)) (-4191 (($ $) NIL (|has| |#1| (-370))) (($ $ (-763)) NIL (|has| |#1| (-370)))) (-1836 (((-828 (-917)) $) NIL) (((-917) $) 56)) (-1492 (((-1157 |#1|)) 86)) (-2330 (($) 125 (|has| |#1| (-370)))) (-1398 (($) NIL (|has| |#1| (-370)))) (-1656 (((-1244 |#1|) $) 50) (((-679 |#1|) (-1244 $)) NIL)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (|has| |#1| (-370)))) (-2747 (((-850) $) 136) (($ (-568)) NIL) (($ $) NIL) (($ (-409 (-568))) NIL) (($ |#1|) 85)) (-3385 (($ $) NIL (|has| |#1| (-370))) (((-3 $ "failed") $) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-3425 (((-763)) 142)) (-2588 (((-1244 $)) 107) (((-1244 $) (-917)) 46)) (-2273 (((-121) $ $) NIL)) (-1413 (((-121) $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) 109 T CONST)) (-1557 (($) 31 T CONST)) (-3412 (($ $) 65 (|has| |#1| (-370))) (($ $ (-763)) NIL (|has| |#1| (-370)))) (-3192 (($ $) NIL (|has| |#1| (-370))) (($ $ (-763)) NIL (|has| |#1| (-370)))) (-1719 (((-121) $ $) 105)) (-1781 (($ $ $) 97) (($ $ |#1|) 98)) (-1775 (($ $) 78) (($ $ $) 103)) (-1769 (($ $ $) 101)) (** (($ $ (-917)) NIL) (($ $ (-763)) 41) (($ $ (-568)) 128)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 76) (($ $ $) 53) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 74))) 
-(((-356 |#1| |#2|) (-327 |#1|) (-350) (-1157 |#1|)) (T -356)) 
-NIL 
-(-327 |#1|) 
-((-2137 ((|#1| (-1157 |#2|)) 51))) 
-(((-357 |#1| |#2|) (-10 -7 (-15 -2137 (|#1| (-1157 |#2|)))) (-13 (-404) (-10 -7 (-15 -2747 (|#1| |#2|)) (-15 -2291 ((-917) |#1|)) (-15 -2588 ((-1244 |#1|) (-917))) (-15 -3412 (|#1| |#1|)))) (-350)) (T -357)) 
-((-2137 (*1 *2 *3) (-12 (-5 *3 (-1157 *4)) (-4 *4 (-350)) (-4 *2 (-13 (-404) (-10 -7 (-15 -2747 (*2 *4)) (-15 -2291 ((-917) *2)) (-15 -2588 ((-1244 *2) (-917))) (-15 -3412 (*2 *2))))) (-5 *1 (-357 *2 *4))))) 
-(-10 -7 (-15 -2137 (|#1| (-1157 |#2|)))) 
-((-2242 (((-958 (-1157 |#1|)) (-1157 |#1|)) 36)) (-1733 (((-1157 |#1|) (-917) (-917)) 109) (((-1157 |#1|) (-917)) 108)) (-1748 (((-121) (-1157 |#1|)) 81)) (-1434 (((-917) (-917)) 71)) (-3290 (((-917) (-917)) 73)) (-4058 (((-917) (-917)) 69)) (-2151 (((-121) (-1157 |#1|)) 85)) (-3332 (((-3 (-1157 |#1|) "failed") (-1157 |#1|)) 97)) (-1457 (((-3 (-1157 |#1|) "failed") (-1157 |#1|)) 100)) (-1528 (((-3 (-1157 |#1|) "failed") (-1157 |#1|)) 99)) (-1306 (((-3 (-1157 |#1|) "failed") (-1157 |#1|)) 98)) (-2351 (((-3 (-1157 |#1|) "failed") (-1157 |#1|)) 94)) (-3324 (((-1157 |#1|) (-1157 |#1|)) 62)) (-2540 (((-1157 |#1|) (-917)) 103)) (-3356 (((-1157 |#1|) (-917)) 106)) (-3730 (((-1157 |#1|) (-917)) 105)) (-2476 (((-1157 |#1|) (-917)) 104)) (-1707 (((-1157 |#1|) (-917)) 101))) 
-(((-358 |#1|) (-10 -7 (-15 -1748 ((-121) (-1157 |#1|))) (-15 -2151 ((-121) (-1157 |#1|))) (-15 -4058 ((-917) (-917))) (-15 -1434 ((-917) (-917))) (-15 -3290 ((-917) (-917))) (-15 -1707 ((-1157 |#1|) (-917))) (-15 -2540 ((-1157 |#1|) (-917))) (-15 -2476 ((-1157 |#1|) (-917))) (-15 -3730 ((-1157 |#1|) (-917))) (-15 -3356 ((-1157 |#1|) (-917))) (-15 -2351 ((-3 (-1157 |#1|) "failed") (-1157 |#1|))) (-15 -3332 ((-3 (-1157 |#1|) "failed") (-1157 |#1|))) (-15 -1306 ((-3 (-1157 |#1|) "failed") (-1157 |#1|))) (-15 -1528 ((-3 (-1157 |#1|) "failed") (-1157 |#1|))) (-15 -1457 ((-3 (-1157 |#1|) "failed") (-1157 |#1|))) (-15 -1733 ((-1157 |#1|) (-917))) (-15 -1733 ((-1157 |#1|) (-917) (-917))) (-15 -3324 ((-1157 |#1|) (-1157 |#1|))) (-15 -2242 ((-958 (-1157 |#1|)) (-1157 |#1|)))) (-350)) (T -358)) 
-((-2242 (*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-958 (-1157 *4))) (-5 *1 (-358 *4)) (-5 *3 (-1157 *4)))) (-3324 (*1 *2 *2) (-12 (-5 *2 (-1157 *3)) (-4 *3 (-350)) (-5 *1 (-358 *3)))) (-1733 (*1 *2 *3 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1157 *4)) (-5 *1 (-358 *4)) (-4 *4 (-350)))) (-1733 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1157 *4)) (-5 *1 (-358 *4)) (-4 *4 (-350)))) (-1457 (*1 *2 *2) (|partial| -12 (-5 *2 (-1157 *3)) (-4 *3 (-350)) (-5 *1 (-358 *3)))) (-1528 (*1 *2 *2) (|partial| -12 (-5 *2 (-1157 *3)) (-4 *3 (-350)) (-5 *1 (-358 *3)))) (-1306 (*1 *2 *2) (|partial| -12 (-5 *2 (-1157 *3)) (-4 *3 (-350)) (-5 *1 (-358 *3)))) (-3332 (*1 *2 *2) (|partial| -12 (-5 *2 (-1157 *3)) (-4 *3 (-350)) (-5 *1 (-358 *3)))) (-2351 (*1 *2 *2) (|partial| -12 (-5 *2 (-1157 *3)) (-4 *3 (-350)) (-5 *1 (-358 *3)))) (-3356 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1157 *4)) (-5 *1 (-358 *4)) (-4 *4 (-350)))) (-3730 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1157 *4)) (-5 *1 (-358 *4)) (-4 *4 (-350)))) (-2476 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1157 *4)) (-5 *1 (-358 *4)) (-4 *4 (-350)))) (-2540 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1157 *4)) (-5 *1 (-358 *4)) (-4 *4 (-350)))) (-1707 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1157 *4)) (-5 *1 (-358 *4)) (-4 *4 (-350)))) (-3290 (*1 *2 *2) (-12 (-5 *2 (-917)) (-5 *1 (-358 *3)) (-4 *3 (-350)))) (-1434 (*1 *2 *2) (-12 (-5 *2 (-917)) (-5 *1 (-358 *3)) (-4 *3 (-350)))) (-4058 (*1 *2 *2) (-12 (-5 *2 (-917)) (-5 *1 (-358 *3)) (-4 *3 (-350)))) (-2151 (*1 *2 *3) (-12 (-5 *3 (-1157 *4)) (-4 *4 (-350)) (-5 *2 (-121)) (-5 *1 (-358 *4)))) (-1748 (*1 *2 *3) (-12 (-5 *3 (-1157 *4)) (-4 *4 (-350)) (-5 *2 (-121)) (-5 *1 (-358 *4))))) 
-(-10 -7 (-15 -1748 ((-121) (-1157 |#1|))) (-15 -2151 ((-121) (-1157 |#1|))) (-15 -4058 ((-917) (-917))) (-15 -1434 ((-917) (-917))) (-15 -3290 ((-917) (-917))) (-15 -1707 ((-1157 |#1|) (-917))) (-15 -2540 ((-1157 |#1|) (-917))) (-15 -2476 ((-1157 |#1|) (-917))) (-15 -3730 ((-1157 |#1|) (-917))) (-15 -3356 ((-1157 |#1|) (-917))) (-15 -2351 ((-3 (-1157 |#1|) "failed") (-1157 |#1|))) (-15 -3332 ((-3 (-1157 |#1|) "failed") (-1157 |#1|))) (-15 -1306 ((-3 (-1157 |#1|) "failed") (-1157 |#1|))) (-15 -1528 ((-3 (-1157 |#1|) "failed") (-1157 |#1|))) (-15 -1457 ((-3 (-1157 |#1|) "failed") (-1157 |#1|))) (-15 -1733 ((-1157 |#1|) (-917))) (-15 -1733 ((-1157 |#1|) (-917) (-917))) (-15 -3324 ((-1157 |#1|) (-1157 |#1|))) (-15 -2242 ((-958 (-1157 |#1|)) (-1157 |#1|)))) 
-((-2434 (((-3 (-634 |#3|) "failed") (-634 |#3|) |#3|) 33))) 
-(((-359 |#1| |#2| |#3|) (-10 -7 (-15 -2434 ((-3 (-634 |#3|) "failed") (-634 |#3|) |#3|))) (-350) (-1219 |#1|) (-1219 |#2|)) (T -359)) 
-((-2434 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-634 *3)) (-4 *3 (-1219 *5)) (-4 *5 (-1219 *4)) (-4 *4 (-350)) (-5 *1 (-359 *4 *5 *3))))) 
-(-10 -7 (-15 -2434 ((-3 (-634 |#3|) "failed") (-634 |#3|) |#3|))) 
-((-3444 (((-420 |#2|) |#2|) 46)) (-1877 (((-420 |#2|) |#2|) 36))) 
-(((-360 |#1| |#2|) (-10 -7 (-15 -1877 ((-420 |#2|) |#2|)) (-15 -3444 ((-420 |#2|) |#2|))) (-350) (-1219 |#1|)) (T -360)) 
-((-3444 (*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-420 *3)) (-5 *1 (-360 *4 *3)) (-4 *3 (-1219 *4)))) (-1877 (*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-420 *3)) (-5 *1 (-360 *4 *3)) (-4 *3 (-1219 *4))))) 
-(-10 -7 (-15 -1877 ((-420 |#2|) |#2|)) (-15 -3444 ((-420 |#2|) |#2|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2134 (((-121) $) NIL)) (-3800 (((-763)) NIL)) (-1934 ((|#1| $) NIL) (($ $ (-917)) NIL (|has| |#1| (-370)))) (-1856 (((-1169 (-917) (-763)) (-568)) NIL (|has| |#1| (-370)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2589 (((-121) $ $) NIL)) (-3986 (((-763)) NIL (|has| |#1| (-370)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#1| "failed") $) NIL)) (-2857 ((|#1| $) NIL)) (-3899 (($ (-1244 |#1|)) NIL)) (-1368 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-370)))) (-2403 (($ $ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1733 (($) NIL (|has| |#1| (-370)))) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-4188 (($) NIL (|has| |#1| (-370)))) (-1748 (((-121) $) NIL (|has| |#1| (-370)))) (-1887 (($ $ (-763)) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370)))) (($ $) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-2197 (((-121) $) NIL)) (-1844 (((-917) $) NIL (|has| |#1| (-370))) (((-828 (-917)) $) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-1598 (((-121) $) NIL)) (-2769 (($) NIL (|has| |#1| (-370)))) (-2151 (((-121) $) NIL (|has| |#1| (-370)))) (-4417 ((|#1| $) NIL) (($ $ (-917)) NIL (|has| |#1| (-370)))) (-2214 (((-3 $ "failed") $) NIL (|has| |#1| (-370)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1497 (((-1157 |#1|) $) NIL) (((-1157 $) $ (-917)) NIL (|has| |#1| (-370)))) (-2291 (((-917) $) NIL (|has| |#1| (-370)))) (-1447 (((-1157 |#1|) $) NIL (|has| |#1| (-370)))) (-2193 (((-1157 |#1|) $) NIL (|has| |#1| (-370))) (((-3 (-1157 |#1|) "failed") $ $) NIL (|has| |#1| (-370)))) (-3257 (($ $ (-1157 |#1|)) NIL (|has| |#1| (-370)))) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL)) (-4436 (($) NIL (|has| |#1| (-370)) CONST)) (-4357 (($ (-917)) NIL (|has| |#1| (-370)))) (-4051 (((-121) $) NIL)) (-4025 (((-1108) $) NIL)) (-2707 (($) NIL (|has| |#1| (-370)))) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-2172 (((-634 (-2 (|:| -3850 (-568)) (|:| -3483 (-568))))) NIL (|has| |#1| (-370)))) (-3850 (((-420 $) $) NIL)) (-4321 (((-828 (-917))) NIL) (((-917)) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-2721 (((-763) $) NIL (|has| |#1| (-370))) (((-3 (-763) "failed") $ $) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-3108 (((-139)) NIL)) (-4191 (($ $) NIL (|has| |#1| (-370))) (($ $ (-763)) NIL (|has| |#1| (-370)))) (-1836 (((-828 (-917)) $) NIL) (((-917) $) NIL)) (-1492 (((-1157 |#1|)) NIL)) (-2330 (($) NIL (|has| |#1| (-370)))) (-1398 (($) NIL (|has| |#1| (-370)))) (-1656 (((-1244 |#1|) $) NIL) (((-679 |#1|) (-1244 $)) NIL)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (|has| |#1| (-370)))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ $) NIL) (($ (-409 (-568))) NIL) (($ |#1|) NIL)) (-3385 (($ $) NIL (|has| |#1| (-370))) (((-3 $ "failed") $) NIL (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-3425 (((-763)) NIL)) (-2588 (((-1244 $)) NIL) (((-1244 $) (-917)) NIL)) (-2273 (((-121) $ $) NIL)) (-1413 (((-121) $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3412 (($ $) NIL (|has| |#1| (-370))) (($ $ (-763)) NIL (|has| |#1| (-370)))) (-3192 (($ $) NIL (|has| |#1| (-370))) (($ $ (-763)) NIL (|has| |#1| (-370)))) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ $) NIL) (($ $ |#1|) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-361 |#1| |#2|) (-327 |#1|) (-350) (-917)) (T -361)) 
-NIL 
-(-327 |#1|) 
-((-3106 (((-121) (-634 (-953 |#1|))) 31)) (-1506 (((-634 (-953 |#1|)) (-634 (-953 |#1|))) 42)) (-4358 (((-3 (-634 (-953 |#1|)) "failed") (-634 (-953 |#1|))) 38))) 
-(((-362 |#1| |#2|) (-10 -7 (-15 -3106 ((-121) (-634 (-953 |#1|)))) (-15 -4358 ((-3 (-634 (-953 |#1|)) "failed") (-634 (-953 |#1|)))) (-15 -1506 ((-634 (-953 |#1|)) (-634 (-953 |#1|))))) (-453) (-634 (-1161))) (T -362)) 
-((-1506 (*1 *2 *2) (-12 (-5 *2 (-634 (-953 *3))) (-4 *3 (-453)) (-5 *1 (-362 *3 *4)) (-14 *4 (-634 (-1161))))) (-4358 (*1 *2 *2) (|partial| -12 (-5 *2 (-634 (-953 *3))) (-4 *3 (-453)) (-5 *1 (-362 *3 *4)) (-14 *4 (-634 (-1161))))) (-3106 (*1 *2 *3) (-12 (-5 *3 (-634 (-953 *4))) (-4 *4 (-453)) (-5 *2 (-121)) (-5 *1 (-362 *4 *5)) (-14 *5 (-634 (-1161)))))) 
-(-10 -7 (-15 -3106 ((-121) (-634 (-953 |#1|)))) (-15 -4358 ((-3 (-634 (-953 |#1|)) "failed") (-634 (-953 |#1|)))) (-15 -1506 ((-634 (-953 |#1|)) (-634 (-953 |#1|))))) 
-((-2449 (((-121) $ $) NIL)) (-3986 (((-763) $) NIL)) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#1| "failed") $) NIL)) (-2857 ((|#1| $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1598 (((-121) $) 14)) (-4167 ((|#1| $ (-568)) NIL)) (-2315 (((-568) $ (-568)) NIL)) (-3177 (($ (-1 |#1| |#1|) $) 32)) (-1644 (($ (-1 (-568) (-568)) $) 24)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) 26)) (-4025 (((-1108) $) NIL)) (-2075 (((-634 (-2 (|:| |gen| |#1|) (|:| -1894 (-568)))) $) 28)) (-2387 (($ $ $) NIL)) (-3985 (($ $ $) NIL)) (-2747 (((-850) $) 38) (($ |#1|) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-1557 (($) 9 T CONST)) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL) (($ |#1| (-568)) 17)) (* (($ $ $) 43) (($ |#1| $) 21) (($ $ |#1|) 19))) 
-(((-363 |#1|) (-13 (-478) (-1037 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-568))) (-15 -3986 ((-763) $)) (-15 -2315 ((-568) $ (-568))) (-15 -4167 (|#1| $ (-568))) (-15 -1644 ($ (-1 (-568) (-568)) $)) (-15 -3177 ($ (-1 |#1| |#1|) $)) (-15 -2075 ((-634 (-2 (|:| |gen| |#1|) (|:| -1894 (-568)))) $)))) (-1090)) (T -363)) 
-((* (*1 *1 *2 *1) (-12 (-5 *1 (-363 *2)) (-4 *2 (-1090)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-363 *2)) (-4 *2 (-1090)))) (** (*1 *1 *2 *3) (-12 (-5 *3 (-568)) (-5 *1 (-363 *2)) (-4 *2 (-1090)))) (-3986 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-363 *3)) (-4 *3 (-1090)))) (-2315 (*1 *2 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-363 *3)) (-4 *3 (-1090)))) (-4167 (*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-5 *1 (-363 *2)) (-4 *2 (-1090)))) (-1644 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-568) (-568))) (-5 *1 (-363 *3)) (-4 *3 (-1090)))) (-3177 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1090)) (-5 *1 (-363 *3)))) (-2075 (*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |gen| *3) (|:| -1894 (-568))))) (-5 *1 (-363 *3)) (-4 *3 (-1090))))) 
-(-13 (-478) (-1037 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-568))) (-15 -3986 ((-763) $)) (-15 -2315 ((-568) $ (-568))) (-15 -4167 (|#1| $ (-568))) (-15 -1644 ($ (-1 (-568) (-568)) $)) (-15 -3177 ($ (-1 |#1| |#1|) $)) (-15 -2075 ((-634 (-2 (|:| |gen| |#1|) (|:| -1894 (-568)))) $)))) 
-((-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 13)) (-3661 (($ $) 14)) (-3498 (((-420 $) $) 29)) (-2197 (((-121) $) 25)) (-2083 (($ $) 18)) (-2723 (($ $ $) 22) (($ (-634 $)) NIL)) (-3850 (((-420 $) $) 30)) (-2597 (((-3 $ "failed") $ $) 21)) (-1466 (((-763) $) 24)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 34)) (-2273 (((-121) $ $) 15)) (-1781 (($ $ $) 32))) 
-(((-364 |#1|) (-10 -8 (-15 -1781 (|#1| |#1| |#1|)) (-15 -2083 (|#1| |#1|)) (-15 -2197 ((-121) |#1|)) (-15 -3498 ((-420 |#1|) |#1|)) (-15 -3850 ((-420 |#1|) |#1|)) (-15 -1854 ((-2 (|:| -4409 |#1|) (|:| -2607 |#1|)) |#1| |#1|)) (-15 -1466 ((-763) |#1|)) (-15 -2723 (|#1| (-634 |#1|))) (-15 -2723 (|#1| |#1| |#1|)) (-15 -2273 ((-121) |#1| |#1|)) (-15 -3661 (|#1| |#1|)) (-15 -2431 ((-2 (|:| -3591 |#1|) (|:| -4508 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -2597 ((-3 |#1| "failed") |#1| |#1|))) (-365)) (T -364)) 
-NIL 
-(-10 -8 (-15 -1781 (|#1| |#1| |#1|)) (-15 -2083 (|#1| |#1|)) (-15 -2197 ((-121) |#1|)) (-15 -3498 ((-420 |#1|) |#1|)) (-15 -3850 ((-420 |#1|) |#1|)) (-15 -1854 ((-2 (|:| -4409 |#1|) (|:| -2607 |#1|)) |#1| |#1|)) (-15 -1466 ((-763) |#1|)) (-15 -2723 (|#1| (-634 |#1|))) (-15 -2723 (|#1| |#1| |#1|)) (-15 -2273 ((-121) |#1| |#1|)) (-15 -3661 (|#1| |#1|)) (-15 -2431 ((-2 (|:| -3591 |#1|) (|:| -4508 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -2597 ((-3 |#1| "failed") |#1| |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 40)) (-3661 (($ $) 39)) (-4426 (((-121) $) 37)) (-2689 (((-3 $ "failed") $ $) 18)) (-3045 (($ $) 71)) (-3498 (((-420 $) $) 70)) (-2589 (((-121) $ $) 57)) (-4490 (($) 16 T CONST)) (-2403 (($ $ $) 53)) (-2902 (((-3 $ "failed") $) 33)) (-2414 (($ $ $) 54)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 49)) (-2197 (((-121) $) 69)) (-1598 (((-121) $) 30)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 50)) (-2498 (($ $ $) 45) (($ (-634 $)) 44)) (-1893 (((-1143) $) 9)) (-2083 (($ $) 68)) (-4025 (((-1108) $) 10)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 43)) (-2723 (($ $ $) 47) (($ (-634 $)) 46)) (-3850 (((-420 $) $) 72)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2597 (((-3 $ "failed") $ $) 41)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 48)) (-1466 (((-763) $) 56)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 55)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ $) 42) (($ (-409 (-568))) 63)) (-3425 (((-763)) 28)) (-2273 (((-121) $ $) 38)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32) (($ $ (-568)) 67)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1781 (($ $ $) 62)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ (-568)) 66)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ (-409 (-568))) 65) (($ (-409 (-568)) $) 64))) 
-(((-365) (-1275)) (T -365)) 
-((-1781 (*1 *1 *1 *1) (-4 *1 (-365)))) 
-(-13 (-301) (-1199) (-238) (-10 -8 (-15 -1781 ($ $ $)) (-6 -4519) (-6 -4513))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-409 (-568))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) . T) ((-120 $ $) . T) ((-137) . T) ((-608 (-850)) . T) ((-172) . T) ((-238) . T) ((-285) . T) ((-301) . T) ((-453) . T) ((-558) . T) ((-637 (-409 (-568))) . T) ((-637 $) . T) ((-707 (-409 (-568))) . T) ((-707 $) . T) ((-716) . T) ((-916) . T) ((-1053 (-409 (-568))) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1199) . T)) 
-((-2449 (((-121) $ $) 7)) (-3637 ((|#2| $ |#2|) 13)) (-1672 (($ $ (-1143)) 18)) (-4379 ((|#2| $) 14)) (-2133 (($ |#1|) 20) (($ |#1| (-1143)) 19)) (-3393 ((|#1| $) 16)) (-1893 (((-1143) $) 9)) (-4249 (((-1143) $) 15)) (-4025 (((-1108) $) 10)) (-3919 (((-1249) $) 12)) (-2747 (((-850) $) 11)) (-3171 (($ $) 17)) (-1719 (((-121) $ $) 6))) 
-(((-366 |#1| |#2|) (-1275) (-1090) (-1090)) (T -366)) 
-((-2133 (*1 *1 *2) (-12 (-4 *1 (-366 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-1090)))) (-2133 (*1 *1 *2 *3) (-12 (-5 *3 (-1143)) (-4 *1 (-366 *2 *4)) (-4 *2 (-1090)) (-4 *4 (-1090)))) (-1672 (*1 *1 *1 *2) (-12 (-5 *2 (-1143)) (-4 *1 (-366 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090)))) (-3171 (*1 *1 *1) (-12 (-4 *1 (-366 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-1090)))) (-3393 (*1 *2 *1) (-12 (-4 *1 (-366 *2 *3)) (-4 *3 (-1090)) (-4 *2 (-1090)))) (-4249 (*1 *2 *1) (-12 (-4 *1 (-366 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-5 *2 (-1143)))) (-4379 (*1 *2 *1) (-12 (-4 *1 (-366 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-1090)))) (-3637 (*1 *2 *1 *2) (-12 (-4 *1 (-366 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-1090)))) (-3919 (*1 *2 *1) (-12 (-4 *1 (-366 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-5 *2 (-1249))))) 
-(-13 (-1090) (-10 -8 (-15 -2133 ($ |t#1|)) (-15 -2133 ($ |t#1| (-1143))) (-15 -1672 ($ $ (-1143))) (-15 -3171 ($ $)) (-15 -3393 (|t#1| $)) (-15 -4249 ((-1143) $)) (-15 -4379 (|t#2| $)) (-15 -3637 (|t#2| $ |t#2|)) (-15 -3919 ((-1249) $)))) 
-(((-105) . T) ((-608 (-850)) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) NIL)) (-3637 ((|#1| $ |#1|) 29)) (-1672 (($ $ (-1143)) 22)) (-1933 (((-3 |#1| "failed") $) 28)) (-4379 ((|#1| $) 26)) (-2133 (($ (-390)) 21) (($ (-390) (-1143)) 20)) (-3393 (((-390) $) 24)) (-1893 (((-1143) $) NIL)) (-4249 (((-1143) $) 25)) (-4025 (((-1108) $) NIL)) (-3919 (((-1249) $) 31)) (-2747 (((-850) $) 19)) (-3171 (($ $) 23)) (-1719 (((-121) $ $) 18))) 
-(((-367 |#1|) (-13 (-366 (-390) |#1|) (-10 -8 (-15 -1933 ((-3 |#1| "failed") $)))) (-1090)) (T -367)) 
-((-1933 (*1 *2 *1) (|partial| -12 (-5 *1 (-367 *2)) (-4 *2 (-1090))))) 
-(-13 (-366 (-390) |#1|) (-10 -8 (-15 -1933 ((-3 |#1| "failed") $)))) 
-((-3542 (((-1244 (-679 |#2|)) (-1244 $)) 62)) (-1524 (((-679 |#2|) (-1244 $)) 120)) (-2467 ((|#2| $) 32)) (-2235 (((-679 |#2|) $ (-1244 $)) 124)) (-2812 (((-3 $ "failed") $) 76)) (-1509 ((|#2| $) 35)) (-3839 (((-1157 |#2|) $) 84)) (-2886 ((|#2| (-1244 $)) 107)) (-3105 (((-1157 |#2|) $) 28)) (-1463 (((-121)) 101)) (-3899 (($ (-1244 |#2|) (-1244 $)) 114)) (-2902 (((-3 $ "failed") $) 80)) (-4221 (((-121)) 96)) (-4463 (((-121)) 91)) (-3582 (((-121)) 54)) (-4134 (((-679 |#2|) (-1244 $)) 118)) (-2786 ((|#2| $) 31)) (-3147 (((-679 |#2|) $ (-1244 $)) 123)) (-1974 (((-3 $ "failed") $) 74)) (-4390 ((|#2| $) 34)) (-3364 (((-1157 |#2|) $) 83)) (-2060 ((|#2| (-1244 $)) 105)) (-3114 (((-1157 |#2|) $) 26)) (-3487 (((-121)) 100)) (-2153 (((-121)) 93)) (-2889 (((-121)) 52)) (-1852 (((-121)) 88)) (-3636 (((-121)) 102)) (-1656 (((-1244 |#2|) $ (-1244 $)) NIL) (((-679 |#2|) (-1244 $) (-1244 $)) 112)) (-3441 (((-121)) 98)) (-2657 (((-634 (-1244 |#2|))) 87)) (-3964 (((-121)) 99)) (-2435 (((-121)) 97)) (-2984 (((-121)) 46)) (-3579 (((-121)) 103))) 
-(((-368 |#1| |#2|) (-10 -8 (-15 -3839 ((-1157 |#2|) |#1|)) (-15 -3364 ((-1157 |#2|) |#1|)) (-15 -2657 ((-634 (-1244 |#2|)))) (-15 -2812 ((-3 |#1| "failed") |#1|)) (-15 -1974 ((-3 |#1| "failed") |#1|)) (-15 -2902 ((-3 |#1| "failed") |#1|)) (-15 -4463 ((-121))) (-15 -2153 ((-121))) (-15 -4221 ((-121))) (-15 -2889 ((-121))) (-15 -3582 ((-121))) (-15 -1852 ((-121))) (-15 -3579 ((-121))) (-15 -3636 ((-121))) (-15 -1463 ((-121))) (-15 -3487 ((-121))) (-15 -2984 ((-121))) (-15 -3964 ((-121))) (-15 -2435 ((-121))) (-15 -3441 ((-121))) (-15 -3105 ((-1157 |#2|) |#1|)) (-15 -3114 ((-1157 |#2|) |#1|)) (-15 -1524 ((-679 |#2|) (-1244 |#1|))) (-15 -4134 ((-679 |#2|) (-1244 |#1|))) (-15 -2886 (|#2| (-1244 |#1|))) (-15 -2060 (|#2| (-1244 |#1|))) (-15 -3899 (|#1| (-1244 |#2|) (-1244 |#1|))) (-15 -1656 ((-679 |#2|) (-1244 |#1|) (-1244 |#1|))) (-15 -1656 ((-1244 |#2|) |#1| (-1244 |#1|))) (-15 -1509 (|#2| |#1|)) (-15 -4390 (|#2| |#1|)) (-15 -2467 (|#2| |#1|)) (-15 -2786 (|#2| |#1|)) (-15 -2235 ((-679 |#2|) |#1| (-1244 |#1|))) (-15 -3147 ((-679 |#2|) |#1| (-1244 |#1|))) (-15 -3542 ((-1244 (-679 |#2|)) (-1244 |#1|)))) (-369 |#2|) (-172)) (T -368)) 
-((-3441 (*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) (-2435 (*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) (-3964 (*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) (-2984 (*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) (-3487 (*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) (-1463 (*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) (-3636 (*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) (-3579 (*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) (-1852 (*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) (-3582 (*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) (-2889 (*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) (-4221 (*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) (-2153 (*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) (-4463 (*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) (-2657 (*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-634 (-1244 *4))) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4))))) 
-(-10 -8 (-15 -3839 ((-1157 |#2|) |#1|)) (-15 -3364 ((-1157 |#2|) |#1|)) (-15 -2657 ((-634 (-1244 |#2|)))) (-15 -2812 ((-3 |#1| "failed") |#1|)) (-15 -1974 ((-3 |#1| "failed") |#1|)) (-15 -2902 ((-3 |#1| "failed") |#1|)) (-15 -4463 ((-121))) (-15 -2153 ((-121))) (-15 -4221 ((-121))) (-15 -2889 ((-121))) (-15 -3582 ((-121))) (-15 -1852 ((-121))) (-15 -3579 ((-121))) (-15 -3636 ((-121))) (-15 -1463 ((-121))) (-15 -3487 ((-121))) (-15 -2984 ((-121))) (-15 -3964 ((-121))) (-15 -2435 ((-121))) (-15 -3441 ((-121))) (-15 -3105 ((-1157 |#2|) |#1|)) (-15 -3114 ((-1157 |#2|) |#1|)) (-15 -1524 ((-679 |#2|) (-1244 |#1|))) (-15 -4134 ((-679 |#2|) (-1244 |#1|))) (-15 -2886 (|#2| (-1244 |#1|))) (-15 -2060 (|#2| (-1244 |#1|))) (-15 -3899 (|#1| (-1244 |#2|) (-1244 |#1|))) (-15 -1656 ((-679 |#2|) (-1244 |#1|) (-1244 |#1|))) (-15 -1656 ((-1244 |#2|) |#1| (-1244 |#1|))) (-15 -1509 (|#2| |#1|)) (-15 -4390 (|#2| |#1|)) (-15 -2467 (|#2| |#1|)) (-15 -2786 (|#2| |#1|)) (-15 -2235 ((-679 |#2|) |#1| (-1244 |#1|))) (-15 -3147 ((-679 |#2|) |#1| (-1244 |#1|))) (-15 -3542 ((-1244 (-679 |#2|)) (-1244 |#1|)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-3591 (((-3 $ "failed")) 35 (|has| |#1| (-558)))) (-2689 (((-3 $ "failed") $ $) 18)) (-3542 (((-1244 (-679 |#1|)) (-1244 $)) 76)) (-3818 (((-1244 $)) 79)) (-4490 (($) 16 T CONST)) (-3354 (((-3 (-2 (|:| |particular| $) (|:| -2588 (-634 $))) "failed")) 38 (|has| |#1| (-558)))) (-2046 (((-3 $ "failed")) 36 (|has| |#1| (-558)))) (-1524 (((-679 |#1|) (-1244 $)) 63)) (-2467 ((|#1| $) 72)) (-2235 (((-679 |#1|) $ (-1244 $)) 74)) (-2812 (((-3 $ "failed") $) 43 (|has| |#1| (-558)))) (-2815 (($ $ (-917)) 27)) (-1509 ((|#1| $) 70)) (-3839 (((-1157 |#1|) $) 40 (|has| |#1| (-558)))) (-2886 ((|#1| (-1244 $)) 65)) (-3105 (((-1157 |#1|) $) 61)) (-1463 (((-121)) 55)) (-3899 (($ (-1244 |#1|) (-1244 $)) 67)) (-2902 (((-3 $ "failed") $) 45 (|has| |#1| (-558)))) (-2371 (((-917)) 78)) (-3375 (((-121)) 52)) (-3402 (($ $ (-917)) 32)) (-4221 (((-121)) 48)) (-4463 (((-121)) 46)) (-3582 (((-121)) 50)) (-2587 (((-3 (-2 (|:| |particular| $) (|:| -2588 (-634 $))) "failed")) 39 (|has| |#1| (-558)))) (-2061 (((-3 $ "failed")) 37 (|has| |#1| (-558)))) (-4134 (((-679 |#1|) (-1244 $)) 64)) (-2786 ((|#1| $) 73)) (-3147 (((-679 |#1|) $ (-1244 $)) 75)) (-1974 (((-3 $ "failed") $) 44 (|has| |#1| (-558)))) (-4202 (($ $ (-917)) 28)) (-4390 ((|#1| $) 71)) (-3364 (((-1157 |#1|) $) 41 (|has| |#1| (-558)))) (-2060 ((|#1| (-1244 $)) 66)) (-3114 (((-1157 |#1|) $) 62)) (-3487 (((-121)) 56)) (-1893 (((-1143) $) 9)) (-2153 (((-121)) 47)) (-2889 (((-121)) 49)) (-1852 (((-121)) 51)) (-4025 (((-1108) $) 10)) (-3636 (((-121)) 54)) (-1656 (((-1244 |#1|) $ (-1244 $)) 69) (((-679 |#1|) (-1244 $) (-1244 $)) 68)) (-2155 (((-634 (-953 |#1|)) (-1244 $)) 77)) (-3985 (($ $ $) 24)) (-3441 (((-121)) 60)) (-2747 (((-850) $) 11)) (-2657 (((-634 (-1244 |#1|))) 42 (|has| |#1| (-558)))) (-2007 (($ $ $ $) 25)) (-3964 (((-121)) 58)) (-3911 (($ $ $) 23)) (-2435 (((-121)) 59)) (-2984 (((-121)) 57)) (-3579 (((-121)) 53)) (-3058 (($) 17 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 29)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 26) (($ $ |#1|) 34) (($ |#1| $) 33))) 
-(((-369 |#1|) (-1275) (-172)) (T -369)) 
-((-3818 (*1 *2) (-12 (-4 *3 (-172)) (-5 *2 (-1244 *1)) (-4 *1 (-369 *3)))) (-2371 (*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-917)))) (-2155 (*1 *2 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-369 *4)) (-4 *4 (-172)) (-5 *2 (-634 (-953 *4))))) (-3542 (*1 *2 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-369 *4)) (-4 *4 (-172)) (-5 *2 (-1244 (-679 *4))))) (-3147 (*1 *2 *1 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-369 *4)) (-4 *4 (-172)) (-5 *2 (-679 *4)))) (-2235 (*1 *2 *1 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-369 *4)) (-4 *4 (-172)) (-5 *2 (-679 *4)))) (-2786 (*1 *2 *1) (-12 (-4 *1 (-369 *2)) (-4 *2 (-172)))) (-2467 (*1 *2 *1) (-12 (-4 *1 (-369 *2)) (-4 *2 (-172)))) (-4390 (*1 *2 *1) (-12 (-4 *1 (-369 *2)) (-4 *2 (-172)))) (-1509 (*1 *2 *1) (-12 (-4 *1 (-369 *2)) (-4 *2 (-172)))) (-1656 (*1 *2 *1 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-369 *4)) (-4 *4 (-172)) (-5 *2 (-1244 *4)))) (-1656 (*1 *2 *3 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-369 *4)) (-4 *4 (-172)) (-5 *2 (-679 *4)))) (-3899 (*1 *1 *2 *3) (-12 (-5 *2 (-1244 *4)) (-5 *3 (-1244 *1)) (-4 *4 (-172)) (-4 *1 (-369 *4)))) (-2060 (*1 *2 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-369 *2)) (-4 *2 (-172)))) (-2886 (*1 *2 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-369 *2)) (-4 *2 (-172)))) (-4134 (*1 *2 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-369 *4)) (-4 *4 (-172)) (-5 *2 (-679 *4)))) (-1524 (*1 *2 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-369 *4)) (-4 *4 (-172)) (-5 *2 (-679 *4)))) (-3114 (*1 *2 *1) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-1157 *3)))) (-3105 (*1 *2 *1) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-1157 *3)))) (-3441 (*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121)))) (-2435 (*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121)))) (-3964 (*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121)))) (-2984 (*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121)))) (-3487 (*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121)))) (-1463 (*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121)))) (-3636 (*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121)))) (-3579 (*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121)))) (-3375 (*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121)))) (-1852 (*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121)))) (-3582 (*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121)))) (-2889 (*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121)))) (-4221 (*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121)))) (-2153 (*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121)))) (-4463 (*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121)))) (-2902 (*1 *1 *1) (|partial| -12 (-4 *1 (-369 *2)) (-4 *2 (-172)) (-4 *2 (-558)))) (-1974 (*1 *1 *1) (|partial| -12 (-4 *1 (-369 *2)) (-4 *2 (-172)) (-4 *2 (-558)))) (-2812 (*1 *1 *1) (|partial| -12 (-4 *1 (-369 *2)) (-4 *2 (-172)) (-4 *2 (-558)))) (-2657 (*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-4 *3 (-558)) (-5 *2 (-634 (-1244 *3))))) (-3364 (*1 *2 *1) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-4 *3 (-558)) (-5 *2 (-1157 *3)))) (-3839 (*1 *2 *1) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-4 *3 (-558)) (-5 *2 (-1157 *3)))) (-2587 (*1 *2) (|partial| -12 (-4 *3 (-558)) (-4 *3 (-172)) (-5 *2 (-2 (|:| |particular| *1) (|:| -2588 (-634 *1)))) (-4 *1 (-369 *3)))) (-3354 (*1 *2) (|partial| -12 (-4 *3 (-558)) (-4 *3 (-172)) (-5 *2 (-2 (|:| |particular| *1) (|:| -2588 (-634 *1)))) (-4 *1 (-369 *3)))) (-2061 (*1 *1) (|partial| -12 (-4 *1 (-369 *2)) (-4 *2 (-558)) (-4 *2 (-172)))) (-2046 (*1 *1) (|partial| -12 (-4 *1 (-369 *2)) (-4 *2 (-558)) (-4 *2 (-172)))) (-3591 (*1 *1) (|partial| -12 (-4 *1 (-369 *2)) (-4 *2 (-558)) (-4 *2 (-172))))) 
-(-13 (-736 |t#1|) (-10 -8 (-15 -3818 ((-1244 $))) (-15 -2371 ((-917))) (-15 -2155 ((-634 (-953 |t#1|)) (-1244 $))) (-15 -3542 ((-1244 (-679 |t#1|)) (-1244 $))) (-15 -3147 ((-679 |t#1|) $ (-1244 $))) (-15 -2235 ((-679 |t#1|) $ (-1244 $))) (-15 -2786 (|t#1| $)) (-15 -2467 (|t#1| $)) (-15 -4390 (|t#1| $)) (-15 -1509 (|t#1| $)) (-15 -1656 ((-1244 |t#1|) $ (-1244 $))) (-15 -1656 ((-679 |t#1|) (-1244 $) (-1244 $))) (-15 -3899 ($ (-1244 |t#1|) (-1244 $))) (-15 -2060 (|t#1| (-1244 $))) (-15 -2886 (|t#1| (-1244 $))) (-15 -4134 ((-679 |t#1|) (-1244 $))) (-15 -1524 ((-679 |t#1|) (-1244 $))) (-15 -3114 ((-1157 |t#1|) $)) (-15 -3105 ((-1157 |t#1|) $)) (-15 -3441 ((-121))) (-15 -2435 ((-121))) (-15 -3964 ((-121))) (-15 -2984 ((-121))) (-15 -3487 ((-121))) (-15 -1463 ((-121))) (-15 -3636 ((-121))) (-15 -3579 ((-121))) (-15 -3375 ((-121))) (-15 -1852 ((-121))) (-15 -3582 ((-121))) (-15 -2889 ((-121))) (-15 -4221 ((-121))) (-15 -2153 ((-121))) (-15 -4463 ((-121))) (IF (|has| |t#1| (-558)) (PROGN (-15 -2902 ((-3 $ "failed") $)) (-15 -1974 ((-3 $ "failed") $)) (-15 -2812 ((-3 $ "failed") $)) (-15 -2657 ((-634 (-1244 |t#1|)))) (-15 -3364 ((-1157 |t#1|) $)) (-15 -3839 ((-1157 |t#1|) $)) (-15 -2587 ((-3 (-2 (|:| |particular| $) (|:| -2588 (-634 $))) "failed"))) (-15 -3354 ((-3 (-2 (|:| |particular| $) (|:| -2588 (-634 $))) "failed"))) (-15 -2061 ((-3 $ "failed"))) (-15 -2046 ((-3 $ "failed"))) (-15 -3591 ((-3 $ "failed"))) (-6 -4518)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-137) . T) ((-608 (-850)) . T) ((-637 |#1|) . T) ((-707 |#1|) . T) ((-710) . T) ((-736 |#1|) . T) ((-753) . T) ((-1053 |#1|) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) 7)) (-3986 (((-763)) 15)) (-1733 (($) 12)) (-2291 (((-917) $) 13)) (-1893 (((-1143) $) 9)) (-4357 (($ (-917)) 14)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-1719 (((-121) $ $) 6))) 
-(((-370) (-1275)) (T -370)) 
-((-3986 (*1 *2) (-12 (-4 *1 (-370)) (-5 *2 (-763)))) (-4357 (*1 *1 *2) (-12 (-5 *2 (-917)) (-4 *1 (-370)))) (-2291 (*1 *2 *1) (-12 (-4 *1 (-370)) (-5 *2 (-917)))) (-1733 (*1 *1) (-4 *1 (-370)))) 
-(-13 (-1090) (-10 -8 (-15 -3986 ((-763))) (-15 -4357 ($ (-917))) (-15 -2291 ((-917) $)) (-15 -1733 ($)))) 
-(((-105) . T) ((-608 (-850)) . T) ((-1090) . T)) 
-((-2883 (((-679 |#2|) (-1244 $)) 40)) (-3899 (($ (-1244 |#2|) (-1244 $)) 35)) (-3653 (((-679 |#2|) $ (-1244 $)) 43)) (-3440 ((|#2| (-1244 $)) 13)) (-1656 (((-1244 |#2|) $ (-1244 $)) NIL) (((-679 |#2|) (-1244 $) (-1244 $)) 25))) 
-(((-371 |#1| |#2| |#3|) (-10 -8 (-15 -2883 ((-679 |#2|) (-1244 |#1|))) (-15 -3440 (|#2| (-1244 |#1|))) (-15 -3899 (|#1| (-1244 |#2|) (-1244 |#1|))) (-15 -1656 ((-679 |#2|) (-1244 |#1|) (-1244 |#1|))) (-15 -1656 ((-1244 |#2|) |#1| (-1244 |#1|))) (-15 -3653 ((-679 |#2|) |#1| (-1244 |#1|)))) (-372 |#2| |#3|) (-172) (-1219 |#2|)) (T -371)) 
-NIL 
-(-10 -8 (-15 -2883 ((-679 |#2|) (-1244 |#1|))) (-15 -3440 (|#2| (-1244 |#1|))) (-15 -3899 (|#1| (-1244 |#2|) (-1244 |#1|))) (-15 -1656 ((-679 |#2|) (-1244 |#1|) (-1244 |#1|))) (-15 -1656 ((-1244 |#2|) |#1| (-1244 |#1|))) (-15 -3653 ((-679 |#2|) |#1| (-1244 |#1|)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2883 (((-679 |#1|) (-1244 $)) 44)) (-1934 ((|#1| $) 50)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-3899 (($ (-1244 |#1|) (-1244 $)) 46)) (-3653 (((-679 |#1|) $ (-1244 $)) 51)) (-2902 (((-3 $ "failed") $) 33)) (-2371 (((-917)) 52)) (-1598 (((-121) $) 30)) (-4417 ((|#1| $) 49)) (-1497 ((|#2| $) 42 (|has| |#1| (-365)))) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-3440 ((|#1| (-1244 $)) 45)) (-1656 (((-1244 |#1|) $ (-1244 $)) 48) (((-679 |#1|) (-1244 $) (-1244 $)) 47)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ |#1|) 36)) (-3385 (((-3 $ "failed") $) 41 (|has| |#1| (-148)))) (-1295 ((|#2| $) 43)) (-3425 (((-763)) 28)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
-(((-372 |#1| |#2|) (-1275) (-172) (-1219 |t#1|)) (T -372)) 
-((-2371 (*1 *2) (-12 (-4 *1 (-372 *3 *4)) (-4 *3 (-172)) (-4 *4 (-1219 *3)) (-5 *2 (-917)))) (-3653 (*1 *2 *1 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-372 *4 *5)) (-4 *4 (-172)) (-4 *5 (-1219 *4)) (-5 *2 (-679 *4)))) (-1934 (*1 *2 *1) (-12 (-4 *1 (-372 *2 *3)) (-4 *3 (-1219 *2)) (-4 *2 (-172)))) (-4417 (*1 *2 *1) (-12 (-4 *1 (-372 *2 *3)) (-4 *3 (-1219 *2)) (-4 *2 (-172)))) (-1656 (*1 *2 *1 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-372 *4 *5)) (-4 *4 (-172)) (-4 *5 (-1219 *4)) (-5 *2 (-1244 *4)))) (-1656 (*1 *2 *3 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-372 *4 *5)) (-4 *4 (-172)) (-4 *5 (-1219 *4)) (-5 *2 (-679 *4)))) (-3899 (*1 *1 *2 *3) (-12 (-5 *2 (-1244 *4)) (-5 *3 (-1244 *1)) (-4 *4 (-172)) (-4 *1 (-372 *4 *5)) (-4 *5 (-1219 *4)))) (-3440 (*1 *2 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-372 *2 *4)) (-4 *4 (-1219 *2)) (-4 *2 (-172)))) (-2883 (*1 *2 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-372 *4 *5)) (-4 *4 (-172)) (-4 *5 (-1219 *4)) (-5 *2 (-679 *4)))) (-1295 (*1 *2 *1) (-12 (-4 *1 (-372 *3 *2)) (-4 *3 (-172)) (-4 *2 (-1219 *3)))) (-1497 (*1 *2 *1) (-12 (-4 *1 (-372 *3 *2)) (-4 *3 (-172)) (-4 *3 (-365)) (-4 *2 (-1219 *3))))) 
-(-13 (-43 |t#1|) (-10 -8 (-15 -2371 ((-917))) (-15 -3653 ((-679 |t#1|) $ (-1244 $))) (-15 -1934 (|t#1| $)) (-15 -4417 (|t#1| $)) (-15 -1656 ((-1244 |t#1|) $ (-1244 $))) (-15 -1656 ((-679 |t#1|) (-1244 $) (-1244 $))) (-15 -3899 ($ (-1244 |t#1|) (-1244 $))) (-15 -3440 (|t#1| (-1244 $))) (-15 -2883 ((-679 |t#1|) (-1244 $))) (-15 -1295 (|t#2| $)) (IF (|has| |t#1| (-365)) (-15 -1497 (|t#2| $)) |noBranch|) (IF (|has| |t#1| (-150)) (-6 (-150)) |noBranch|) (IF (|has| |t#1| (-148)) (-6 (-148)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-137) . T) ((-148) |has| |#1| (-148)) ((-150) |has| |#1| (-150)) ((-608 (-850)) . T) ((-637 |#1|) . T) ((-637 $) . T) ((-707 |#1|) . T) ((-716) . T) ((-1053 |#1|) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-1678 ((|#4| (-1 |#3| |#1| |#3|) |#2| |#3|) 23)) (-3094 ((|#3| (-1 |#3| |#1| |#3|) |#2| |#3|) 15)) (-2797 ((|#4| (-1 |#3| |#1|) |#2|) 21))) 
-(((-373 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2797 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -3094 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -1678 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) (-1195) (-375 |#1|) (-1195) (-375 |#3|)) (T -373)) 
-((-1678 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1195)) (-4 *5 (-1195)) (-4 *2 (-375 *5)) (-5 *1 (-373 *6 *4 *5 *2)) (-4 *4 (-375 *6)))) (-3094 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1195)) (-4 *2 (-1195)) (-5 *1 (-373 *5 *4 *2 *6)) (-4 *4 (-375 *5)) (-4 *6 (-375 *2)))) (-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-4 *2 (-375 *6)) (-5 *1 (-373 *5 *4 *6 *2)) (-4 *4 (-375 *5))))) 
-(-10 -7 (-15 -2797 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -3094 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -1678 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) 
-((-1324 (((-121) (-1 (-121) |#2| |#2|) $) NIL) (((-121) $) 18)) (-2109 (($ (-1 (-121) |#2| |#2|) $) NIL) (($ $) 28)) (-3647 (($ (-1 (-121) |#2| |#2|) $) 27) (($ $) 22)) (-3945 (($ $) 25)) (-2766 (((-568) (-1 (-121) |#2|) $) NIL) (((-568) |#2| $) 11) (((-568) |#2| $ (-568)) NIL)) (-3645 (($ (-1 (-121) |#2| |#2|) $ $) NIL) (($ $ $) 20))) 
-(((-374 |#1| |#2|) (-10 -8 (-15 -2109 (|#1| |#1|)) (-15 -2109 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -1324 ((-121) |#1|)) (-15 -3647 (|#1| |#1|)) (-15 -3645 (|#1| |#1| |#1|)) (-15 -2766 ((-568) |#2| |#1| (-568))) (-15 -2766 ((-568) |#2| |#1|)) (-15 -2766 ((-568) (-1 (-121) |#2|) |#1|)) (-15 -1324 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -3647 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -3945 (|#1| |#1|)) (-15 -3645 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|))) (-375 |#2|) (-1195)) (T -374)) 
-NIL 
-(-10 -8 (-15 -2109 (|#1| |#1|)) (-15 -2109 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -1324 ((-121) |#1|)) (-15 -3647 (|#1| |#1|)) (-15 -3645 (|#1| |#1| |#1|)) (-15 -2766 ((-568) |#2| |#1| (-568))) (-15 -2766 ((-568) |#2| |#1|)) (-15 -2766 ((-568) (-1 (-121) |#2|) |#1|)) (-15 -1324 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -3647 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -3945 (|#1| |#1|)) (-15 -3645 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|))) 
-((-2449 (((-121) $ $) 18 (|has| |#1| (-1090)))) (-2481 (((-1249) $ (-568) (-568)) 37 (|has| $ (-6 -4522)))) (-1324 (((-121) (-1 (-121) |#1| |#1|) $) 91) (((-121) $) 85 (|has| |#1| (-842)))) (-2109 (($ (-1 (-121) |#1| |#1|) $) 82 (|has| $ (-6 -4522))) (($ $) 81 (-12 (|has| |#1| (-842)) (|has| $ (-6 -4522))))) (-3647 (($ (-1 (-121) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-842)))) (-1667 (((-121) $ (-763)) 8)) (-2438 ((|#1| $ (-568) |#1|) 49 (|has| $ (-6 -4522))) ((|#1| $ (-1210 (-568)) |#1|) 53 (|has| $ (-6 -4522)))) (-2803 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4521)))) (-4490 (($) 7 T CONST)) (-4452 (($ $) 83 (|has| $ (-6 -4522)))) (-3945 (($ $) 93)) (-3926 (($ $) 73 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-4330 (($ |#1| $) 72 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4521)))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4521)))) (-1292 ((|#1| $ (-568) |#1|) 50 (|has| $ (-6 -4522)))) (-2069 ((|#1| $ (-568)) 48)) (-2766 (((-568) (-1 (-121) |#1|) $) 90) (((-568) |#1| $) 89 (|has| |#1| (-1090))) (((-568) |#1| $ (-568)) 88 (|has| |#1| (-1090)))) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-1851 (($ (-763) |#1|) 64)) (-3791 (((-121) $ (-763)) 9)) (-2539 (((-568) $) 40 (|has| (-568) (-842)))) (-1732 (($ $ $) 80 (|has| |#1| (-842)))) (-3645 (($ (-1 (-121) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-842)))) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3631 (((-568) $) 41 (|has| (-568) (-842)))) (-2047 (($ $ $) 79 (|has| |#1| (-842)))) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-3796 (((-121) $ (-763)) 10)) (-1893 (((-1143) $) 22 (|has| |#1| (-1090)))) (-4124 (($ |#1| $ (-568)) 55) (($ $ $ (-568)) 54)) (-3948 (((-634 (-568)) $) 43)) (-2916 (((-121) (-568) $) 44)) (-4025 (((-1108) $) 21 (|has| |#1| (-1090)))) (-3877 ((|#1| $) 39 (|has| (-568) (-842)))) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-2490 (($ $ |#1|) 38 (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-1801 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1480 (((-634 |#1|) $) 45)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-2781 ((|#1| $ (-568) |#1|) 47) ((|#1| $ (-568)) 46) (($ $ (-1210 (-568))) 58)) (-2828 (($ $ (-568)) 57) (($ $ (-1210 (-568))) 56)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3306 (($ $ $ (-568)) 84 (|has| $ (-6 -4522)))) (-3865 (($ $) 13)) (-4280 (((-541) $) 74 (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) 65)) (-2770 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-634 $)) 60)) (-2747 (((-850) $) 20 (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1753 (((-121) $ $) 77 (|has| |#1| (-842)))) (-1740 (((-121) $ $) 76 (|has| |#1| (-842)))) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090)))) (-1747 (((-121) $ $) 78 (|has| |#1| (-842)))) (-1734 (((-121) $ $) 75 (|has| |#1| (-842)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-375 |#1|) (-1275) (-1195)) (T -375)) 
-((-3645 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-375 *3)) (-4 *3 (-1195)))) (-3945 (*1 *1 *1) (-12 (-4 *1 (-375 *2)) (-4 *2 (-1195)))) (-3647 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-375 *3)) (-4 *3 (-1195)))) (-1324 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *1 (-375 *4)) (-4 *4 (-1195)) (-5 *2 (-121)))) (-2766 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (-4 *1 (-375 *4)) (-4 *4 (-1195)) (-5 *2 (-568)))) (-2766 (*1 *2 *3 *1) (-12 (-4 *1 (-375 *3)) (-4 *3 (-1195)) (-4 *3 (-1090)) (-5 *2 (-568)))) (-2766 (*1 *2 *3 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-375 *3)) (-4 *3 (-1195)) (-4 *3 (-1090)))) (-3645 (*1 *1 *1 *1) (-12 (-4 *1 (-375 *2)) (-4 *2 (-1195)) (-4 *2 (-842)))) (-3647 (*1 *1 *1) (-12 (-4 *1 (-375 *2)) (-4 *2 (-1195)) (-4 *2 (-842)))) (-1324 (*1 *2 *1) (-12 (-4 *1 (-375 *3)) (-4 *3 (-1195)) (-4 *3 (-842)) (-5 *2 (-121)))) (-3306 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-568)) (|has| *1 (-6 -4522)) (-4 *1 (-375 *3)) (-4 *3 (-1195)))) (-4452 (*1 *1 *1) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-375 *2)) (-4 *2 (-1195)))) (-2109 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (|has| *1 (-6 -4522)) (-4 *1 (-375 *3)) (-4 *3 (-1195)))) (-2109 (*1 *1 *1) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-375 *2)) (-4 *2 (-1195)) (-4 *2 (-842))))) 
-(-13 (-640 |t#1|) (-10 -8 (-6 -4521) (-15 -3645 ($ (-1 (-121) |t#1| |t#1|) $ $)) (-15 -3945 ($ $)) (-15 -3647 ($ (-1 (-121) |t#1| |t#1|) $)) (-15 -1324 ((-121) (-1 (-121) |t#1| |t#1|) $)) (-15 -2766 ((-568) (-1 (-121) |t#1|) $)) (IF (|has| |t#1| (-1090)) (PROGN (-15 -2766 ((-568) |t#1| $)) (-15 -2766 ((-568) |t#1| $ (-568)))) |noBranch|) (IF (|has| |t#1| (-842)) (PROGN (-6 (-842)) (-15 -3645 ($ $ $)) (-15 -3647 ($ $)) (-15 -1324 ((-121) $))) |noBranch|) (IF (|has| $ (-6 -4522)) (PROGN (-15 -3306 ($ $ $ (-568))) (-15 -4452 ($ $)) (-15 -2109 ($ (-1 (-121) |t#1| |t#1|) $)) (IF (|has| |t#1| (-842)) (-15 -2109 ($ $)) |noBranch|)) |noBranch|))) 
-(((-39) . T) ((-105) -2199 (|has| |#1| (-1090)) (|has| |#1| (-842))) ((-608 (-850)) -2199 (|has| |#1| (-1090)) (|has| |#1| (-842))) ((-154 |#1|) . T) ((-609 (-541)) |has| |#1| (-609 (-541))) ((-281 (-568) |#1|) . T) ((-283 (-568) |#1|) . T) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-499 |#1|) . T) ((-601 (-568) |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-640 |#1|) . T) ((-842) |has| |#1| (-842)) ((-1090) -2199 (|has| |#1| (-1090)) (|has| |#1| (-842))) ((-1195) . T)) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2981 (((-634 |#1|) $) 29)) (-3784 (($ $ (-763)) 30)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-4242 (((-1266 |#1| |#2|) (-1266 |#1| |#2|) $) 33)) (-2310 (($ $) 31)) (-1797 (((-1266 |#1| |#2|) (-1266 |#1| |#2|) $) 34)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-1339 (($ $ |#1| $) 28) (($ $ (-634 |#1|) (-634 $)) 27)) (-1836 (((-763) $) 35)) (-4289 (($ $ $) 26)) (-2747 (((-850) $) 11) (($ |#1|) 38) (((-1257 |#1| |#2|) $) 37) (((-1266 |#1| |#2|) $) 36)) (-2350 ((|#2| (-1266 |#1| |#2|) $) 39)) (-3058 (($) 17 T CONST)) (-2081 (($ (-663 |#1|)) 32)) (-1719 (((-121) $ $) 6)) (-1781 (($ $ |#2|) 25 (|has| |#2| (-365)))) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ |#2| $) 22) (($ $ |#2|) 24))) 
-(((-376 |#1| |#2|) (-1275) (-842) (-172)) (T -376)) 
-((-2350 (*1 *2 *3 *1) (-12 (-5 *3 (-1266 *4 *2)) (-4 *1 (-376 *4 *2)) (-4 *4 (-842)) (-4 *2 (-172)))) (-2747 (*1 *1 *2) (-12 (-4 *1 (-376 *2 *3)) (-4 *2 (-842)) (-4 *3 (-172)))) (-2747 (*1 *2 *1) (-12 (-4 *1 (-376 *3 *4)) (-4 *3 (-842)) (-4 *4 (-172)) (-5 *2 (-1257 *3 *4)))) (-2747 (*1 *2 *1) (-12 (-4 *1 (-376 *3 *4)) (-4 *3 (-842)) (-4 *4 (-172)) (-5 *2 (-1266 *3 *4)))) (-1836 (*1 *2 *1) (-12 (-4 *1 (-376 *3 *4)) (-4 *3 (-842)) (-4 *4 (-172)) (-5 *2 (-763)))) (-1797 (*1 *2 *2 *1) (-12 (-5 *2 (-1266 *3 *4)) (-4 *1 (-376 *3 *4)) (-4 *3 (-842)) (-4 *4 (-172)))) (-4242 (*1 *2 *2 *1) (-12 (-5 *2 (-1266 *3 *4)) (-4 *1 (-376 *3 *4)) (-4 *3 (-842)) (-4 *4 (-172)))) (-2081 (*1 *1 *2) (-12 (-5 *2 (-663 *3)) (-4 *3 (-842)) (-4 *1 (-376 *3 *4)) (-4 *4 (-172)))) (-2310 (*1 *1 *1) (-12 (-4 *1 (-376 *2 *3)) (-4 *2 (-842)) (-4 *3 (-172)))) (-3784 (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-376 *3 *4)) (-4 *3 (-842)) (-4 *4 (-172)))) (-2981 (*1 *2 *1) (-12 (-4 *1 (-376 *3 *4)) (-4 *3 (-842)) (-4 *4 (-172)) (-5 *2 (-634 *3)))) (-1339 (*1 *1 *1 *2 *1) (-12 (-4 *1 (-376 *2 *3)) (-4 *2 (-842)) (-4 *3 (-172)))) (-1339 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 *4)) (-5 *3 (-634 *1)) (-4 *1 (-376 *4 *5)) (-4 *4 (-842)) (-4 *5 (-172))))) 
-(-13 (-625 |t#2|) (-10 -8 (-15 -2350 (|t#2| (-1266 |t#1| |t#2|) $)) (-15 -2747 ($ |t#1|)) (-15 -2747 ((-1257 |t#1| |t#2|) $)) (-15 -2747 ((-1266 |t#1| |t#2|) $)) (-15 -1836 ((-763) $)) (-15 -1797 ((-1266 |t#1| |t#2|) (-1266 |t#1| |t#2|) $)) (-15 -4242 ((-1266 |t#1| |t#2|) (-1266 |t#1| |t#2|) $)) (-15 -2081 ($ (-663 |t#1|))) (-15 -2310 ($ $)) (-15 -3784 ($ $ (-763))) (-15 -2981 ((-634 |t#1|) $)) (-15 -1339 ($ $ |t#1| $)) (-15 -1339 ($ $ (-634 |t#1|) (-634 $))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#2| |#2|) . T) ((-137) . T) ((-608 (-850)) . T) ((-637 |#2|) . T) ((-625 |#2|) . T) ((-707 |#2|) . T) ((-1053 |#2|) . T) ((-1090) . T)) 
-((-1344 ((|#2| (-1 (-121) |#1| |#1|) |#2|) 22)) (-1420 ((|#2| (-1 (-121) |#1| |#1|) |#2|) 12)) (-4044 ((|#2| (-1 (-121) |#1| |#1|) |#2|) 21))) 
-(((-377 |#1| |#2|) (-10 -7 (-15 -1420 (|#2| (-1 (-121) |#1| |#1|) |#2|)) (-15 -4044 (|#2| (-1 (-121) |#1| |#1|) |#2|)) (-15 -1344 (|#2| (-1 (-121) |#1| |#1|) |#2|))) (-1195) (-13 (-375 |#1|) (-10 -7 (-6 -4522)))) (T -377)) 
-((-1344 (*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1195)) (-5 *1 (-377 *4 *2)) (-4 *2 (-13 (-375 *4) (-10 -7 (-6 -4522)))))) (-4044 (*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1195)) (-5 *1 (-377 *4 *2)) (-4 *2 (-13 (-375 *4) (-10 -7 (-6 -4522)))))) (-1420 (*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1195)) (-5 *1 (-377 *4 *2)) (-4 *2 (-13 (-375 *4) (-10 -7 (-6 -4522))))))) 
-(-10 -7 (-15 -1420 (|#2| (-1 (-121) |#1| |#1|) |#2|)) (-15 -4044 (|#2| (-1 (-121) |#1| |#1|) |#2|)) (-15 -1344 (|#2| (-1 (-121) |#1| |#1|) |#2|))) 
-((-1668 (((-679 |#2|) (-679 $)) NIL) (((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 $) (-1244 $)) NIL) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) 19) (((-679 (-568)) (-679 $)) 13))) 
-(((-378 |#1| |#2|) (-10 -8 (-15 -1668 ((-679 (-568)) (-679 |#1|))) (-15 -1668 ((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 |#1|) (-1244 |#1|))) (-15 -1668 ((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 |#1|) (-1244 |#1|))) (-15 -1668 ((-679 |#2|) (-679 |#1|)))) (-379 |#2|) (-1047)) (T -378)) 
-NIL 
-(-10 -8 (-15 -1668 ((-679 (-568)) (-679 |#1|))) (-15 -1668 ((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 |#1|) (-1244 |#1|))) (-15 -1668 ((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 |#1|) (-1244 |#1|))) (-15 -1668 ((-679 |#2|) (-679 |#1|)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-1668 (((-679 |#1|) (-679 $)) 35) (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 |#1|))) (-679 $) (-1244 $)) 34) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) 38 (|has| |#1| (-630 (-568)))) (((-679 (-568)) (-679 $)) 37 (|has| |#1| (-630 (-568))))) (-2902 (((-3 $ "failed") $) 33)) (-1598 (((-121) $) 30)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11) (($ (-568)) 27)) (-3425 (((-763)) 28)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23))) 
-(((-379 |#1|) (-1275) (-1047)) (T -379)) 
-NIL 
-(-13 (-630 |t#1|) (-10 -7 (IF (|has| |t#1| (-630 (-568))) (-6 (-630 (-568))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-137) . T) ((-608 (-850)) . T) ((-637 $) . T) ((-630 (-568)) |has| |#1| (-630 (-568))) ((-630 |#1|) . T) ((-716) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-2003 (((-634 (-288 (-953 (-169 |#1|)))) (-288 (-409 (-953 (-169 (-568))))) |#1|) 52) (((-634 (-288 (-953 (-169 |#1|)))) (-409 (-953 (-169 (-568)))) |#1|) 51) (((-634 (-634 (-288 (-953 (-169 |#1|))))) (-634 (-288 (-409 (-953 (-169 (-568)))))) |#1|) 47) (((-634 (-634 (-288 (-953 (-169 |#1|))))) (-634 (-409 (-953 (-169 (-568))))) |#1|) 40)) (-3722 (((-634 (-634 (-169 |#1|))) (-634 (-409 (-953 (-169 (-568))))) (-634 (-1161)) |#1|) 28) (((-634 (-169 |#1|)) (-409 (-953 (-169 (-568)))) |#1|) 15))) 
-(((-380 |#1|) (-10 -7 (-15 -2003 ((-634 (-634 (-288 (-953 (-169 |#1|))))) (-634 (-409 (-953 (-169 (-568))))) |#1|)) (-15 -2003 ((-634 (-634 (-288 (-953 (-169 |#1|))))) (-634 (-288 (-409 (-953 (-169 (-568)))))) |#1|)) (-15 -2003 ((-634 (-288 (-953 (-169 |#1|)))) (-409 (-953 (-169 (-568)))) |#1|)) (-15 -2003 ((-634 (-288 (-953 (-169 |#1|)))) (-288 (-409 (-953 (-169 (-568))))) |#1|)) (-15 -3722 ((-634 (-169 |#1|)) (-409 (-953 (-169 (-568)))) |#1|)) (-15 -3722 ((-634 (-634 (-169 |#1|))) (-634 (-409 (-953 (-169 (-568))))) (-634 (-1161)) |#1|))) (-13 (-365) (-840))) (T -380)) 
-((-3722 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-634 (-409 (-953 (-169 (-568)))))) (-5 *4 (-634 (-1161))) (-5 *2 (-634 (-634 (-169 *5)))) (-5 *1 (-380 *5)) (-4 *5 (-13 (-365) (-840))))) (-3722 (*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 (-169 (-568))))) (-5 *2 (-634 (-169 *4))) (-5 *1 (-380 *4)) (-4 *4 (-13 (-365) (-840))))) (-2003 (*1 *2 *3 *4) (-12 (-5 *3 (-288 (-409 (-953 (-169 (-568)))))) (-5 *2 (-634 (-288 (-953 (-169 *4))))) (-5 *1 (-380 *4)) (-4 *4 (-13 (-365) (-840))))) (-2003 (*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 (-169 (-568))))) (-5 *2 (-634 (-288 (-953 (-169 *4))))) (-5 *1 (-380 *4)) (-4 *4 (-13 (-365) (-840))))) (-2003 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-288 (-409 (-953 (-169 (-568))))))) (-5 *2 (-634 (-634 (-288 (-953 (-169 *4)))))) (-5 *1 (-380 *4)) (-4 *4 (-13 (-365) (-840))))) (-2003 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 (-169 (-568)))))) (-5 *2 (-634 (-634 (-288 (-953 (-169 *4)))))) (-5 *1 (-380 *4)) (-4 *4 (-13 (-365) (-840)))))) 
-(-10 -7 (-15 -2003 ((-634 (-634 (-288 (-953 (-169 |#1|))))) (-634 (-409 (-953 (-169 (-568))))) |#1|)) (-15 -2003 ((-634 (-634 (-288 (-953 (-169 |#1|))))) (-634 (-288 (-409 (-953 (-169 (-568)))))) |#1|)) (-15 -2003 ((-634 (-288 (-953 (-169 |#1|)))) (-409 (-953 (-169 (-568)))) |#1|)) (-15 -2003 ((-634 (-288 (-953 (-169 |#1|)))) (-288 (-409 (-953 (-169 (-568))))) |#1|)) (-15 -3722 ((-634 (-169 |#1|)) (-409 (-953 (-169 (-568)))) |#1|)) (-15 -3722 ((-634 (-634 (-169 |#1|))) (-634 (-409 (-953 (-169 (-568))))) (-634 (-1161)) |#1|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 33)) (-2563 (((-568) $) 55)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-4179 (($ $) 109)) (-1984 (($ $) 81)) (-1935 (($ $) 70)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-1904 (($ $) 44)) (-2589 (((-121) $ $) NIL)) (-1976 (($ $) 79)) (-2788 (($ $) 68)) (-3337 (((-568) $) 63)) (-1872 (($ $ (-568)) 62)) (-1992 (($ $) NIL)) (-1943 (($ $) NIL)) (-4490 (($) NIL T CONST)) (-2252 (($ $) 111)) (-3668 (((-3 (-568) "failed") $) 187) (((-3 (-409 (-568)) "failed") $) 183)) (-2857 (((-568) $) 185) (((-409 (-568)) $) 181)) (-2403 (($ $ $) NIL)) (-2236 (((-568) $ $) 101)) (-2902 (((-3 $ "failed") $) 113)) (-1508 (((-409 (-568)) $ (-763)) 188) (((-409 (-568)) $ (-763) (-763)) 180)) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-2197 (((-121) $) NIL)) (-3359 (((-917)) 72) (((-917) (-917)) 97 (|has| $ (-6 -4512)))) (-1436 (((-121) $) 105)) (-1899 (($) 40)) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL)) (-4396 (((-1249) (-763)) 150)) (-3455 (((-1249)) 155) (((-1249) (-763)) 156)) (-2615 (((-1249)) 157) (((-1249) (-763)) 158)) (-2297 (((-1249)) 153) (((-1249) (-763)) 154)) (-1844 (((-568) $) 58)) (-1598 (((-121) $) 103)) (-1550 (($ $ (-568)) NIL)) (-3126 (($ $) 48)) (-4417 (($ $) NIL)) (-2859 (((-121) $) 35)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1732 (($ $ $) NIL) (($) NIL (-12 (-3046 (|has| $ (-6 -4504))) (-3046 (|has| $ (-6 -4512)))))) (-2047 (($ $ $) NIL) (($) 98 (-12 (-3046 (|has| $ (-6 -4504))) (-3046 (|has| $ (-6 -4512)))))) (-2790 (((-568) $) 17)) (-3025 (($) 86) (($ $) 91)) (-2658 (($) 90) (($ $) 92)) (-4418 (($ $) 82)) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) 115)) (-1529 (((-917) (-568)) 43 (|has| $ (-6 -4512)))) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1999 (($ $) 53)) (-4115 (($ $) 108)) (-3770 (($ (-568) (-568)) 106) (($ (-568) (-568) (-917)) 107)) (-3850 (((-420 $) $) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-3483 (((-568) $) 19)) (-3111 (($) 93)) (-1894 (($ $) 78)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-1513 (((-917)) 99) (((-917) (-917)) 100 (|has| $ (-6 -4512)))) (-4191 (($ $ (-763)) NIL) (($ $) 114)) (-1973 (((-917) (-568)) 47 (|has| $ (-6 -4512)))) (-1996 (($ $) NIL)) (-1947 (($ $) NIL)) (-1988 (($ $) NIL)) (-1939 (($ $) NIL)) (-1980 (($ $) 80)) (-2792 (($ $) 69)) (-4280 (((-381) $) 173) (((-215) $) 175) (((-887 (-381)) $) NIL) (((-1143) $) 160) (((-541) $) 171) (($ (-215)) 179)) (-2747 (((-850) $) 162) (($ (-568)) 184) (($ $) NIL) (($ (-409 (-568))) NIL) (($ (-568)) 184) (($ (-409 (-568))) NIL) (((-215) $) 176)) (-3425 (((-763)) NIL)) (-3520 (($ $) 110)) (-1540 (((-917)) 54) (((-917) (-917)) 65 (|has| $ (-6 -4512)))) (-2404 (((-917)) 102)) (-2008 (($ $) 85)) (-1959 (($ $) 46) (($ $ $) 52)) (-2273 (((-121) $ $) NIL)) (-2000 (($ $) 83)) (-1951 (($ $) 37)) (-2016 (($ $) NIL)) (-1968 (($ $) NIL)) (-1439 (($ $) NIL)) (-1972 (($ $) NIL)) (-2012 (($ $) NIL)) (-1964 (($ $) NIL)) (-2004 (($ $) 84)) (-1955 (($ $) 49)) (-2811 (($ $) 51)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) 34 T CONST)) (-1557 (($) 38 T CONST)) (-2628 (((-1143) $) 27) (((-1143) $ (-121)) 29) (((-1249) (-817) $) 30) (((-1249) (-817) $ (-121)) 31)) (-3192 (($ $ (-763)) NIL) (($ $) NIL)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 39)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 42)) (-1781 (($ $ $) 45) (($ $ (-568)) 41)) (-1775 (($ $) 36) (($ $ $) 50)) (-1769 (($ $ $) 61)) (** (($ $ (-917)) 66) (($ $ (-763)) NIL) (($ $ (-568)) 87) (($ $ (-409 (-568))) 124) (($ $ $) 116)) (* (($ (-917) $) 64) (($ (-763) $) NIL) (($ (-568) $) 67) (($ $ $) 60) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL))) 
-(((-381) (-13 (-406) (-225) (-609 (-1143)) (-823) (-608 (-215)) (-1181) (-609 (-541)) (-10 -8 (-15 -1781 ($ $ (-568))) (-15 ** ($ $ $)) (-15 -3126 ($ $)) (-15 -2236 ((-568) $ $)) (-15 -1872 ($ $ (-568))) (-15 -1508 ((-409 (-568)) $ (-763))) (-15 -1508 ((-409 (-568)) $ (-763) (-763))) (-15 -3025 ($)) (-15 -2658 ($)) (-15 -3111 ($)) (-15 -1959 ($ $ $)) (-15 -3025 ($ $)) (-15 -2658 ($ $)) (-15 -4280 ($ (-215))) (-15 -2615 ((-1249))) (-15 -2615 ((-1249) (-763))) (-15 -2297 ((-1249))) (-15 -2297 ((-1249) (-763))) (-15 -3455 ((-1249))) (-15 -3455 ((-1249) (-763))) (-15 -4396 ((-1249) (-763))) (-6 -4512) (-6 -4504)))) (T -381)) 
-((** (*1 *1 *1 *1) (-5 *1 (-381))) (-1781 (*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-381)))) (-3126 (*1 *1 *1) (-5 *1 (-381))) (-2236 (*1 *2 *1 *1) (-12 (-5 *2 (-568)) (-5 *1 (-381)))) (-1872 (*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-381)))) (-1508 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-409 (-568))) (-5 *1 (-381)))) (-1508 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-763)) (-5 *2 (-409 (-568))) (-5 *1 (-381)))) (-3025 (*1 *1) (-5 *1 (-381))) (-2658 (*1 *1) (-5 *1 (-381))) (-3111 (*1 *1) (-5 *1 (-381))) (-1959 (*1 *1 *1 *1) (-5 *1 (-381))) (-3025 (*1 *1 *1) (-5 *1 (-381))) (-2658 (*1 *1 *1) (-5 *1 (-381))) (-4280 (*1 *1 *2) (-12 (-5 *2 (-215)) (-5 *1 (-381)))) (-2615 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-381)))) (-2615 (*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1249)) (-5 *1 (-381)))) (-2297 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-381)))) (-2297 (*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1249)) (-5 *1 (-381)))) (-3455 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-381)))) (-3455 (*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1249)) (-5 *1 (-381)))) (-4396 (*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1249)) (-5 *1 (-381))))) 
-(-13 (-406) (-225) (-609 (-1143)) (-823) (-608 (-215)) (-1181) (-609 (-541)) (-10 -8 (-15 -1781 ($ $ (-568))) (-15 ** ($ $ $)) (-15 -3126 ($ $)) (-15 -2236 ((-568) $ $)) (-15 -1872 ($ $ (-568))) (-15 -1508 ((-409 (-568)) $ (-763))) (-15 -1508 ((-409 (-568)) $ (-763) (-763))) (-15 -3025 ($)) (-15 -2658 ($)) (-15 -3111 ($)) (-15 -1959 ($ $ $)) (-15 -3025 ($ $)) (-15 -2658 ($ $)) (-15 -4280 ($ (-215))) (-15 -2615 ((-1249))) (-15 -2615 ((-1249) (-763))) (-15 -2297 ((-1249))) (-15 -2297 ((-1249) (-763))) (-15 -3455 ((-1249))) (-15 -3455 ((-1249) (-763))) (-15 -4396 ((-1249) (-763))) (-6 -4512) (-6 -4504))) 
-((-3259 (((-634 (-288 (-953 |#1|))) (-288 (-409 (-953 (-568)))) |#1|) 47) (((-634 (-288 (-953 |#1|))) (-409 (-953 (-568))) |#1|) 46) (((-634 (-634 (-288 (-953 |#1|)))) (-634 (-288 (-409 (-953 (-568))))) |#1|) 42) (((-634 (-634 (-288 (-953 |#1|)))) (-634 (-409 (-953 (-568)))) |#1|) 36)) (-4250 (((-634 |#1|) (-409 (-953 (-568))) |#1|) 19) (((-634 (-634 |#1|)) (-634 (-409 (-953 (-568)))) (-634 (-1161)) |#1|) 31))) 
-(((-382 |#1|) (-10 -7 (-15 -3259 ((-634 (-634 (-288 (-953 |#1|)))) (-634 (-409 (-953 (-568)))) |#1|)) (-15 -3259 ((-634 (-634 (-288 (-953 |#1|)))) (-634 (-288 (-409 (-953 (-568))))) |#1|)) (-15 -3259 ((-634 (-288 (-953 |#1|))) (-409 (-953 (-568))) |#1|)) (-15 -3259 ((-634 (-288 (-953 |#1|))) (-288 (-409 (-953 (-568)))) |#1|)) (-15 -4250 ((-634 (-634 |#1|)) (-634 (-409 (-953 (-568)))) (-634 (-1161)) |#1|)) (-15 -4250 ((-634 |#1|) (-409 (-953 (-568))) |#1|))) (-13 (-840) (-365))) (T -382)) 
-((-4250 (*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 (-568)))) (-5 *2 (-634 *4)) (-5 *1 (-382 *4)) (-4 *4 (-13 (-840) (-365))))) (-4250 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *4 (-634 (-1161))) (-5 *2 (-634 (-634 *5))) (-5 *1 (-382 *5)) (-4 *5 (-13 (-840) (-365))))) (-3259 (*1 *2 *3 *4) (-12 (-5 *3 (-288 (-409 (-953 (-568))))) (-5 *2 (-634 (-288 (-953 *4)))) (-5 *1 (-382 *4)) (-4 *4 (-13 (-840) (-365))))) (-3259 (*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 (-568)))) (-5 *2 (-634 (-288 (-953 *4)))) (-5 *1 (-382 *4)) (-4 *4 (-13 (-840) (-365))))) (-3259 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-288 (-409 (-953 (-568)))))) (-5 *2 (-634 (-634 (-288 (-953 *4))))) (-5 *1 (-382 *4)) (-4 *4 (-13 (-840) (-365))))) (-3259 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *2 (-634 (-634 (-288 (-953 *4))))) (-5 *1 (-382 *4)) (-4 *4 (-13 (-840) (-365)))))) 
-(-10 -7 (-15 -3259 ((-634 (-634 (-288 (-953 |#1|)))) (-634 (-409 (-953 (-568)))) |#1|)) (-15 -3259 ((-634 (-634 (-288 (-953 |#1|)))) (-634 (-288 (-409 (-953 (-568))))) |#1|)) (-15 -3259 ((-634 (-288 (-953 |#1|))) (-409 (-953 (-568))) |#1|)) (-15 -3259 ((-634 (-288 (-953 |#1|))) (-288 (-409 (-953 (-568)))) |#1|)) (-15 -4250 ((-634 (-634 |#1|)) (-634 (-409 (-953 (-568)))) (-634 (-1161)) |#1|)) (-15 -4250 ((-634 |#1|) (-409 (-953 (-568))) |#1|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#2| "failed") $) 25)) (-2857 ((|#2| $) 27)) (-2116 (($ $) NIL)) (-3971 (((-763) $) 10)) (-3062 (((-634 $) $) 20)) (-2171 (((-121) $) NIL)) (-2356 (($ |#2| |#1|) 18)) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-3016 (((-634 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) 13)) (-3749 (((-2 (|:| |k| |#2|) (|:| |c| |#1|)) $) 14)) (-2099 ((|#2| $) 15)) (-2104 ((|#1| $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) 43) (($ |#2|) 26)) (-3304 (((-634 |#1|) $) 17)) (-2079 ((|#1| $ |#2|) 45)) (-3058 (($) 28 T CONST)) (-1719 (((-121) $ $) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ |#1| $) 31) (($ $ |#1|) 32) (($ |#1| |#2|) 33) (($ |#2| |#1|) 34))) 
-(((-383 |#1| |#2|) (-13 (-384 |#1| |#2|) (-10 -8 (-15 * ($ |#2| |#1|)))) (-1047) (-842)) (T -383)) 
-((* (*1 *1 *2 *3) (-12 (-5 *1 (-383 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-842))))) 
-(-13 (-384 |#1| |#2|) (-10 -8 (-15 * ($ |#2| |#1|)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-3668 (((-3 |#2| "failed") $) 41)) (-2857 ((|#2| $) 40)) (-2116 (($ $) 27)) (-3971 (((-763) $) 31)) (-3062 (((-634 $) $) 32)) (-2171 (((-121) $) 35)) (-2356 (($ |#2| |#1|) 36)) (-2797 (($ (-1 |#1| |#1|) $) 37)) (-3016 (((-634 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) 34)) (-3749 (((-2 (|:| |k| |#2|) (|:| |c| |#1|)) $) 28)) (-2099 ((|#2| $) 30)) (-2104 ((|#1| $) 29)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11) (($ |#2|) 42)) (-3304 (((-634 |#1|) $) 33)) (-2079 ((|#1| $ |#2|) 38)) (-3058 (($) 17 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24) (($ |#1| |#2|) 39))) 
-(((-384 |#1| |#2|) (-1275) (-1047) (-1090)) (T -384)) 
-((* (*1 *1 *2 *3) (-12 (-4 *1 (-384 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-1090)))) (-2079 (*1 *2 *1 *3) (-12 (-4 *1 (-384 *2 *3)) (-4 *3 (-1090)) (-4 *2 (-1047)))) (-2797 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-384 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-1090)))) (-2356 (*1 *1 *2 *3) (-12 (-4 *1 (-384 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-1090)))) (-2171 (*1 *2 *1) (-12 (-4 *1 (-384 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-1090)) (-5 *2 (-121)))) (-3016 (*1 *2 *1) (-12 (-4 *1 (-384 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-1090)) (-5 *2 (-634 (-2 (|:| |k| *4) (|:| |c| *3)))))) (-3304 (*1 *2 *1) (-12 (-4 *1 (-384 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-1090)) (-5 *2 (-634 *3)))) (-3062 (*1 *2 *1) (-12 (-4 *3 (-1047)) (-4 *4 (-1090)) (-5 *2 (-634 *1)) (-4 *1 (-384 *3 *4)))) (-3971 (*1 *2 *1) (-12 (-4 *1 (-384 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-1090)) (-5 *2 (-763)))) (-2099 (*1 *2 *1) (-12 (-4 *1 (-384 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-1090)))) (-2104 (*1 *2 *1) (-12 (-4 *1 (-384 *2 *3)) (-4 *3 (-1090)) (-4 *2 (-1047)))) (-3749 (*1 *2 *1) (-12 (-4 *1 (-384 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-1090)) (-5 *2 (-2 (|:| |k| *4) (|:| |c| *3))))) (-2116 (*1 *1 *1) (-12 (-4 *1 (-384 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-1090))))) 
-(-13 (-120 |t#1| |t#1|) (-1037 |t#2|) (-10 -8 (-15 * ($ |t#1| |t#2|)) (-15 -2079 (|t#1| $ |t#2|)) (-15 -2797 ($ (-1 |t#1| |t#1|) $)) (-15 -2356 ($ |t#2| |t#1|)) (-15 -2171 ((-121) $)) (-15 -3016 ((-634 (-2 (|:| |k| |t#2|) (|:| |c| |t#1|))) $)) (-15 -3304 ((-634 |t#1|) $)) (-15 -3062 ((-634 $) $)) (-15 -3971 ((-763) $)) (-15 -2099 (|t#2| $)) (-15 -2104 (|t#1| $)) (-15 -3749 ((-2 (|:| |k| |t#2|) (|:| |c| |t#1|)) $)) (-15 -2116 ($ $)) (IF (|has| |t#1| (-172)) (-6 (-707 |t#1|)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-137) . T) ((-608 (-850)) . T) ((-637 |#1|) . T) ((-707 |#1|) |has| |#1| (-172)) ((-1037 |#2|) . T) ((-1053 |#1|) . T) ((-1090) . T)) 
-((-4130 (((-1249) $) 7)) (-2747 (((-850) $) 8) (($ (-679 (-688))) 12) (($ (-634 (-328))) 11) (($ (-328)) 10) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 9))) 
-(((-385) (-1275)) (T -385)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-679 (-688))) (-4 *1 (-385)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-634 (-328))) (-4 *1 (-385)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-328)) (-4 *1 (-385)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) (-4 *1 (-385))))) 
-(-13 (-397) (-10 -8 (-15 -2747 ($ (-679 (-688)))) (-15 -2747 ($ (-634 (-328)))) (-15 -2747 ($ (-328))) (-15 -2747 ($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328)))))))) 
-(((-608 (-850)) . T) ((-397) . T) ((-1195) . T)) 
-((-3668 (((-3 $ "failed") (-679 (-310 (-381)))) 19) (((-3 $ "failed") (-679 (-310 (-568)))) 17) (((-3 $ "failed") (-679 (-953 (-381)))) 15) (((-3 $ "failed") (-679 (-953 (-568)))) 13) (((-3 $ "failed") (-679 (-409 (-953 (-381))))) 11) (((-3 $ "failed") (-679 (-409 (-953 (-568))))) 9)) (-2857 (($ (-679 (-310 (-381)))) 20) (($ (-679 (-310 (-568)))) 18) (($ (-679 (-953 (-381)))) 16) (($ (-679 (-953 (-568)))) 14) (($ (-679 (-409 (-953 (-381))))) 12) (($ (-679 (-409 (-953 (-568))))) 10)) (-4130 (((-1249) $) 7)) (-2747 (((-850) $) 8) (($ (-634 (-328))) 23) (($ (-328)) 22) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 21))) 
-(((-386) (-1275)) (T -386)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-634 (-328))) (-4 *1 (-386)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-328)) (-4 *1 (-386)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) (-4 *1 (-386)))) (-2857 (*1 *1 *2) (-12 (-5 *2 (-679 (-310 (-381)))) (-4 *1 (-386)))) (-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-679 (-310 (-381)))) (-4 *1 (-386)))) (-2857 (*1 *1 *2) (-12 (-5 *2 (-679 (-310 (-568)))) (-4 *1 (-386)))) (-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-679 (-310 (-568)))) (-4 *1 (-386)))) (-2857 (*1 *1 *2) (-12 (-5 *2 (-679 (-953 (-381)))) (-4 *1 (-386)))) (-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-679 (-953 (-381)))) (-4 *1 (-386)))) (-2857 (*1 *1 *2) (-12 (-5 *2 (-679 (-953 (-568)))) (-4 *1 (-386)))) (-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-679 (-953 (-568)))) (-4 *1 (-386)))) (-2857 (*1 *1 *2) (-12 (-5 *2 (-679 (-409 (-953 (-381))))) (-4 *1 (-386)))) (-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-679 (-409 (-953 (-381))))) (-4 *1 (-386)))) (-2857 (*1 *1 *2) (-12 (-5 *2 (-679 (-409 (-953 (-568))))) (-4 *1 (-386)))) (-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-679 (-409 (-953 (-568))))) (-4 *1 (-386))))) 
-(-13 (-397) (-10 -8 (-15 -2747 ($ (-634 (-328)))) (-15 -2747 ($ (-328))) (-15 -2747 ($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328)))))) (-15 -2857 ($ (-679 (-310 (-381))))) (-15 -3668 ((-3 $ "failed") (-679 (-310 (-381))))) (-15 -2857 ($ (-679 (-310 (-568))))) (-15 -3668 ((-3 $ "failed") (-679 (-310 (-568))))) (-15 -2857 ($ (-679 (-953 (-381))))) (-15 -3668 ((-3 $ "failed") (-679 (-953 (-381))))) (-15 -2857 ($ (-679 (-953 (-568))))) (-15 -3668 ((-3 $ "failed") (-679 (-953 (-568))))) (-15 -2857 ($ (-679 (-409 (-953 (-381)))))) (-15 -3668 ((-3 $ "failed") (-679 (-409 (-953 (-381)))))) (-15 -2857 ($ (-679 (-409 (-953 (-568)))))) (-15 -3668 ((-3 $ "failed") (-679 (-409 (-953 (-568)))))))) 
-(((-608 (-850)) . T) ((-397) . T) ((-1195) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-2116 (($ $) NIL)) (-2049 (($ |#1| |#2|) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-3369 ((|#2| $) NIL)) (-2104 ((|#1| $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) 27)) (-3058 (($) 12 T CONST)) (-1719 (((-121) $ $) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ |#1| $) 16) (($ $ |#1|) 18))) 
-(((-387 |#1| |#2|) (-13 (-120 |#1| |#1|) (-518 |#1| |#2|) (-10 -7 (IF (|has| |#1| (-172)) (-6 (-707 |#1|)) |noBranch|))) (-1047) (-842)) (T -387)) 
-NIL 
-(-13 (-120 |#1| |#1|) (-518 |#1| |#2|) (-10 -7 (IF (|has| |#1| (-172)) (-6 (-707 |#1|)) |noBranch|))) 
-((-2449 (((-121) $ $) NIL)) (-3986 (((-763) $) 56)) (-4490 (($) NIL T CONST)) (-4242 (((-3 $ "failed") $ $) 58)) (-3668 (((-3 |#1| "failed") $) NIL)) (-2857 ((|#1| $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-3690 (((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $) 52)) (-1598 (((-121) $) 14)) (-4167 ((|#1| $ (-568)) NIL)) (-2315 (((-763) $ (-568)) NIL)) (-1732 (($ $ $) NIL (|has| |#1| (-842)))) (-2047 (($ $ $) NIL (|has| |#1| (-842)))) (-3177 (($ (-1 |#1| |#1|) $) 37)) (-1644 (($ (-1 (-763) (-763)) $) 34)) (-1797 (((-3 $ "failed") $ $) 49)) (-1893 (((-1143) $) NIL)) (-2289 (($ $ $) 25)) (-2400 (($ $ $) 23)) (-4025 (((-1108) $) NIL)) (-2075 (((-634 (-2 (|:| |gen| |#1|) (|:| -1894 (-763)))) $) 31)) (-1854 (((-3 (-2 (|:| |lm| $) (|:| |rm| $)) "failed") $ $) 55)) (-2747 (((-850) $) 21) (($ |#1|) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-1557 (($) 9 T CONST)) (-1753 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1719 (((-121) $ $) 41)) (-1747 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1734 (((-121) $ $) 60 (|has| |#1| (-842)))) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ |#1| (-763)) 40)) (* (($ $ $) 47) (($ |#1| $) 29) (($ $ |#1|) 27))) 
-(((-388 |#1|) (-13 (-716) (-1037 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-763))) (-15 -2400 ($ $ $)) (-15 -2289 ($ $ $)) (-15 -1797 ((-3 $ "failed") $ $)) (-15 -4242 ((-3 $ "failed") $ $)) (-15 -1854 ((-3 (-2 (|:| |lm| $) (|:| |rm| $)) "failed") $ $)) (-15 -3690 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -3986 ((-763) $)) (-15 -2075 ((-634 (-2 (|:| |gen| |#1|) (|:| -1894 (-763)))) $)) (-15 -2315 ((-763) $ (-568))) (-15 -4167 (|#1| $ (-568))) (-15 -1644 ($ (-1 (-763) (-763)) $)) (-15 -3177 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-842)) (-6 (-842)) |noBranch|))) (-1090)) (T -388)) 
-((* (*1 *1 *2 *1) (-12 (-5 *1 (-388 *2)) (-4 *2 (-1090)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-388 *2)) (-4 *2 (-1090)))) (** (*1 *1 *2 *3) (-12 (-5 *3 (-763)) (-5 *1 (-388 *2)) (-4 *2 (-1090)))) (-2400 (*1 *1 *1 *1) (-12 (-5 *1 (-388 *2)) (-4 *2 (-1090)))) (-2289 (*1 *1 *1 *1) (-12 (-5 *1 (-388 *2)) (-4 *2 (-1090)))) (-1797 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-388 *2)) (-4 *2 (-1090)))) (-4242 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-388 *2)) (-4 *2 (-1090)))) (-1854 (*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-388 *3)) (|:| |rm| (-388 *3)))) (-5 *1 (-388 *3)) (-4 *3 (-1090)))) (-3690 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-388 *3)) (|:| |mm| (-388 *3)) (|:| |rm| (-388 *3)))) (-5 *1 (-388 *3)) (-4 *3 (-1090)))) (-3986 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-388 *3)) (-4 *3 (-1090)))) (-2075 (*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |gen| *3) (|:| -1894 (-763))))) (-5 *1 (-388 *3)) (-4 *3 (-1090)))) (-2315 (*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-5 *2 (-763)) (-5 *1 (-388 *4)) (-4 *4 (-1090)))) (-4167 (*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-5 *1 (-388 *2)) (-4 *2 (-1090)))) (-1644 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-763) (-763))) (-5 *1 (-388 *3)) (-4 *3 (-1090)))) (-3177 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1090)) (-5 *1 (-388 *3))))) 
-(-13 (-716) (-1037 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-763))) (-15 -2400 ($ $ $)) (-15 -2289 ($ $ $)) (-15 -1797 ((-3 $ "failed") $ $)) (-15 -4242 ((-3 $ "failed") $ $)) (-15 -1854 ((-3 (-2 (|:| |lm| $) (|:| |rm| $)) "failed") $ $)) (-15 -3690 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -3986 ((-763) $)) (-15 -2075 ((-634 (-2 (|:| |gen| |#1|) (|:| -1894 (-763)))) $)) (-15 -2315 ((-763) $ (-568))) (-15 -4167 (|#1| $ (-568))) (-15 -1644 ($ (-1 (-763) (-763)) $)) (-15 -3177 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-842)) (-6 (-842)) |noBranch|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 40)) (-3661 (($ $) 39)) (-4426 (((-121) $) 37)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-3668 (((-3 (-568) "failed") $) 46)) (-2857 (((-568) $) 45)) (-2902 (((-3 $ "failed") $) 33)) (-1598 (((-121) $) 30)) (-1732 (($ $ $) 53)) (-2047 (($ $ $) 52)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2597 (((-3 $ "failed") $ $) 41)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ $) 42) (($ (-568)) 47)) (-3425 (((-763)) 28)) (-2273 (((-121) $ $) 38)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1753 (((-121) $ $) 50)) (-1740 (((-121) $ $) 49)) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 51)) (-1734 (((-121) $ $) 48)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23))) 
-(((-389) (-1275)) (T -389)) 
-NIL 
-(-13 (-558) (-842) (-1037 (-568))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-137) . T) ((-608 (-850)) . T) ((-172) . T) ((-285) . T) ((-558) . T) ((-637 $) . T) ((-707 $) . T) ((-716) . T) ((-842) . T) ((-1037 (-568)) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1426 (((-121) $) 20)) (-2987 (((-121) $) 19)) (-1851 (($ (-1143) (-1143) (-1143)) 21)) (-3393 (((-1143) $) 16)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-4113 (($ (-1143) (-1143) (-1143)) 14)) (-2025 (((-1143) $) 17)) (-1349 (((-121) $) 18)) (-3428 (((-1143) $) 15)) (-2747 (((-850) $) 12) (($ (-1143)) 13) (((-1143) $) 9)) (-1719 (((-121) $ $) 7))) 
-(((-390) (-391)) (T -390)) 
-NIL 
-(-391) 
-((-2449 (((-121) $ $) 7)) (-1426 (((-121) $) 13)) (-2987 (((-121) $) 14)) (-1851 (($ (-1143) (-1143) (-1143)) 12)) (-3393 (((-1143) $) 17)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-4113 (($ (-1143) (-1143) (-1143)) 19)) (-2025 (((-1143) $) 16)) (-1349 (((-121) $) 15)) (-3428 (((-1143) $) 18)) (-2747 (((-850) $) 11) (($ (-1143)) 21) (((-1143) $) 20)) (-1719 (((-121) $ $) 6))) 
-(((-391) (-1275)) (T -391)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1143)) (-4 *1 (-391)))) (-2747 (*1 *2 *1) (-12 (-4 *1 (-391)) (-5 *2 (-1143)))) (-4113 (*1 *1 *2 *2 *2) (-12 (-5 *2 (-1143)) (-4 *1 (-391)))) (-3428 (*1 *2 *1) (-12 (-4 *1 (-391)) (-5 *2 (-1143)))) (-3393 (*1 *2 *1) (-12 (-4 *1 (-391)) (-5 *2 (-1143)))) (-2025 (*1 *2 *1) (-12 (-4 *1 (-391)) (-5 *2 (-1143)))) (-1349 (*1 *2 *1) (-12 (-4 *1 (-391)) (-5 *2 (-121)))) (-2987 (*1 *2 *1) (-12 (-4 *1 (-391)) (-5 *2 (-121)))) (-1426 (*1 *2 *1) (-12 (-4 *1 (-391)) (-5 *2 (-121)))) (-1851 (*1 *1 *2 *2 *2) (-12 (-5 *2 (-1143)) (-4 *1 (-391))))) 
-(-13 (-1090) (-10 -8 (-15 -2747 ($ (-1143))) (-15 -2747 ((-1143) $)) (-15 -4113 ($ (-1143) (-1143) (-1143))) (-15 -3428 ((-1143) $)) (-15 -3393 ((-1143) $)) (-15 -2025 ((-1143) $)) (-15 -1349 ((-121) $)) (-15 -2987 ((-121) $)) (-15 -1426 ((-121) $)) (-15 -1851 ($ (-1143) (-1143) (-1143))))) 
-(((-105) . T) ((-608 (-850)) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-1985 (((-850) $) 50)) (-4490 (($) NIL T CONST)) (-2815 (($ $ (-917)) NIL)) (-3402 (($ $ (-917)) NIL)) (-4202 (($ $ (-917)) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2707 (($ (-763)) 26)) (-3108 (((-763)) 15)) (-4500 (((-850) $) 52)) (-3985 (($ $ $) NIL)) (-2747 (((-850) $) NIL)) (-2007 (($ $ $ $) NIL)) (-3911 (($ $ $) NIL)) (-3058 (($) 20 T CONST)) (-1719 (((-121) $ $) 28)) (-1775 (($ $) 34) (($ $ $) 36)) (-1769 (($ $ $) 37)) (** (($ $ (-917)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 38) (($ $ |#3|) NIL) (($ |#3| $) 33))) 
-(((-392 |#1| |#2| |#3|) (-13 (-736 |#3|) (-10 -8 (-15 -3108 ((-763))) (-15 -4500 ((-850) $)) (-15 -1985 ((-850) $)) (-15 -2707 ($ (-763))))) (-763) (-763) (-172)) (T -392)) 
-((-3108 (*1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-392 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-172)))) (-4500 (*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-392 *3 *4 *5)) (-14 *3 (-763)) (-14 *4 (-763)) (-4 *5 (-172)))) (-1985 (*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-392 *3 *4 *5)) (-14 *3 (-763)) (-14 *4 (-763)) (-4 *5 (-172)))) (-2707 (*1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-392 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-172))))) 
-(-13 (-736 |#3|) (-10 -8 (-15 -3108 ((-763))) (-15 -4500 ((-850) $)) (-15 -1985 ((-850) $)) (-15 -2707 ($ (-763))))) 
-((-1404 (((-1143)) 10)) (-1630 (((-1132 (-1143))) 28)) (-4106 (((-1249) (-1143)) 25) (((-1249) (-390)) 24)) (-4120 (((-1249)) 26)) (-1640 (((-1132 (-1143))) 27))) 
-(((-393) (-10 -7 (-15 -1640 ((-1132 (-1143)))) (-15 -1630 ((-1132 (-1143)))) (-15 -4120 ((-1249))) (-15 -4106 ((-1249) (-390))) (-15 -4106 ((-1249) (-1143))) (-15 -1404 ((-1143))))) (T -393)) 
-((-1404 (*1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-393)))) (-4106 (*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-393)))) (-4106 (*1 *2 *3) (-12 (-5 *3 (-390)) (-5 *2 (-1249)) (-5 *1 (-393)))) (-4120 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-393)))) (-1630 (*1 *2) (-12 (-5 *2 (-1132 (-1143))) (-5 *1 (-393)))) (-1640 (*1 *2) (-12 (-5 *2 (-1132 (-1143))) (-5 *1 (-393))))) 
-(-10 -7 (-15 -1640 ((-1132 (-1143)))) (-15 -1630 ((-1132 (-1143)))) (-15 -4120 ((-1249))) (-15 -4106 ((-1249) (-390))) (-15 -4106 ((-1249) (-1143))) (-15 -1404 ((-1143)))) 
-((-1844 (((-763) (-334 |#1| |#2| |#3| |#4|)) 16))) 
-(((-394 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1844 ((-763) (-334 |#1| |#2| |#3| |#4|)))) (-13 (-370) (-365)) (-1219 |#1|) (-1219 (-409 |#2|)) (-340 |#1| |#2| |#3|)) (T -394)) 
-((-1844 (*1 *2 *3) (-12 (-5 *3 (-334 *4 *5 *6 *7)) (-4 *4 (-13 (-370) (-365))) (-4 *5 (-1219 *4)) (-4 *6 (-1219 (-409 *5))) (-4 *7 (-340 *4 *5 *6)) (-5 *2 (-763)) (-5 *1 (-394 *4 *5 *6 *7))))) 
-(-10 -7 (-15 -1844 ((-763) (-334 |#1| |#2| |#3| |#4|)))) 
-((-2747 (((-396) |#1|) 11))) 
-(((-395 |#1|) (-10 -7 (-15 -2747 ((-396) |#1|))) (-1090)) (T -395)) 
-((-2747 (*1 *2 *3) (-12 (-5 *2 (-396)) (-5 *1 (-395 *3)) (-4 *3 (-1090))))) 
-(-10 -7 (-15 -2747 ((-396) |#1|))) 
-((-2449 (((-121) $ $) NIL)) (-3547 (((-634 (-1143)) $ (-634 (-1143))) 37)) (-3217 (((-634 (-1143)) $ (-634 (-1143))) 38)) (-1389 (((-634 (-1143)) $ (-634 (-1143))) 39)) (-4228 (((-634 (-1143)) $) 34)) (-1851 (($) 23)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-3009 (((-634 (-1143)) $) 35)) (-1907 (((-634 (-1143)) $) 36)) (-4127 (((-1249) $ (-568)) 32) (((-1249) $) 33)) (-4280 (($ (-850) (-568)) 29)) (-2747 (((-850) $) 41) (($ (-850)) 25)) (-1719 (((-121) $ $) NIL))) 
-(((-396) (-13 (-1090) (-10 -8 (-15 -2747 ($ (-850))) (-15 -4280 ($ (-850) (-568))) (-15 -4127 ((-1249) $ (-568))) (-15 -4127 ((-1249) $)) (-15 -1907 ((-634 (-1143)) $)) (-15 -3009 ((-634 (-1143)) $)) (-15 -1851 ($)) (-15 -4228 ((-634 (-1143)) $)) (-15 -1389 ((-634 (-1143)) $ (-634 (-1143)))) (-15 -3217 ((-634 (-1143)) $ (-634 (-1143)))) (-15 -3547 ((-634 (-1143)) $ (-634 (-1143))))))) (T -396)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-850)) (-5 *1 (-396)))) (-4280 (*1 *1 *2 *3) (-12 (-5 *2 (-850)) (-5 *3 (-568)) (-5 *1 (-396)))) (-4127 (*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-5 *2 (-1249)) (-5 *1 (-396)))) (-4127 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-396)))) (-1907 (*1 *2 *1) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-396)))) (-3009 (*1 *2 *1) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-396)))) (-1851 (*1 *1) (-5 *1 (-396))) (-4228 (*1 *2 *1) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-396)))) (-1389 (*1 *2 *1 *2) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-396)))) (-3217 (*1 *2 *1 *2) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-396)))) (-3547 (*1 *2 *1 *2) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-396))))) 
-(-13 (-1090) (-10 -8 (-15 -2747 ($ (-850))) (-15 -4280 ($ (-850) (-568))) (-15 -4127 ((-1249) $ (-568))) (-15 -4127 ((-1249) $)) (-15 -1907 ((-634 (-1143)) $)) (-15 -3009 ((-634 (-1143)) $)) (-15 -1851 ($)) (-15 -4228 ((-634 (-1143)) $)) (-15 -1389 ((-634 (-1143)) $ (-634 (-1143)))) (-15 -3217 ((-634 (-1143)) $ (-634 (-1143)))) (-15 -3547 ((-634 (-1143)) $ (-634 (-1143)))))) 
-((-4130 (((-1249) $) 7)) (-2747 (((-850) $) 8))) 
-(((-397) (-1275)) (T -397)) 
-((-4130 (*1 *2 *1) (-12 (-4 *1 (-397)) (-5 *2 (-1249))))) 
-(-13 (-1195) (-608 (-850)) (-10 -8 (-15 -4130 ((-1249) $)))) 
-(((-608 (-850)) . T) ((-1195) . T)) 
-((-3668 (((-3 $ "failed") (-310 (-381))) 19) (((-3 $ "failed") (-310 (-568))) 17) (((-3 $ "failed") (-953 (-381))) 15) (((-3 $ "failed") (-953 (-568))) 13) (((-3 $ "failed") (-409 (-953 (-381)))) 11) (((-3 $ "failed") (-409 (-953 (-568)))) 9)) (-2857 (($ (-310 (-381))) 20) (($ (-310 (-568))) 18) (($ (-953 (-381))) 16) (($ (-953 (-568))) 14) (($ (-409 (-953 (-381)))) 12) (($ (-409 (-953 (-568)))) 10)) (-4130 (((-1249) $) 7)) (-2747 (((-850) $) 8) (($ (-634 (-328))) 23) (($ (-328)) 22) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 21))) 
-(((-398) (-1275)) (T -398)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-634 (-328))) (-4 *1 (-398)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-328)) (-4 *1 (-398)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) (-4 *1 (-398)))) (-2857 (*1 *1 *2) (-12 (-5 *2 (-310 (-381))) (-4 *1 (-398)))) (-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-310 (-381))) (-4 *1 (-398)))) (-2857 (*1 *1 *2) (-12 (-5 *2 (-310 (-568))) (-4 *1 (-398)))) (-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-310 (-568))) (-4 *1 (-398)))) (-2857 (*1 *1 *2) (-12 (-5 *2 (-953 (-381))) (-4 *1 (-398)))) (-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-953 (-381))) (-4 *1 (-398)))) (-2857 (*1 *1 *2) (-12 (-5 *2 (-953 (-568))) (-4 *1 (-398)))) (-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-953 (-568))) (-4 *1 (-398)))) (-2857 (*1 *1 *2) (-12 (-5 *2 (-409 (-953 (-381)))) (-4 *1 (-398)))) (-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-409 (-953 (-381)))) (-4 *1 (-398)))) (-2857 (*1 *1 *2) (-12 (-5 *2 (-409 (-953 (-568)))) (-4 *1 (-398)))) (-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-409 (-953 (-568)))) (-4 *1 (-398))))) 
-(-13 (-397) (-10 -8 (-15 -2747 ($ (-634 (-328)))) (-15 -2747 ($ (-328))) (-15 -2747 ($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328)))))) (-15 -2857 ($ (-310 (-381)))) (-15 -3668 ((-3 $ "failed") (-310 (-381)))) (-15 -2857 ($ (-310 (-568)))) (-15 -3668 ((-3 $ "failed") (-310 (-568)))) (-15 -2857 ($ (-953 (-381)))) (-15 -3668 ((-3 $ "failed") (-953 (-381)))) (-15 -2857 ($ (-953 (-568)))) (-15 -3668 ((-3 $ "failed") (-953 (-568)))) (-15 -2857 ($ (-409 (-953 (-381))))) (-15 -3668 ((-3 $ "failed") (-409 (-953 (-381))))) (-15 -2857 ($ (-409 (-953 (-568))))) (-15 -3668 ((-3 $ "failed") (-409 (-953 (-568))))))) 
-(((-608 (-850)) . T) ((-397) . T) ((-1195) . T)) 
-((-3871 (((-634 (-1143)) (-634 (-1143))) 8)) (-4130 (((-1249) (-390)) 27)) (-2976 (((-1094) (-1161) (-634 (-1161)) (-1164) (-634 (-1161))) 59) (((-1094) (-1161) (-634 (-3 (|:| |array| (-634 (-1161))) (|:| |scalar| (-1161)))) (-634 (-634 (-3 (|:| |array| (-634 (-1161))) (|:| |scalar| (-1161))))) (-634 (-1161)) (-1161)) 35) (((-1094) (-1161) (-634 (-3 (|:| |array| (-634 (-1161))) (|:| |scalar| (-1161)))) (-634 (-634 (-3 (|:| |array| (-634 (-1161))) (|:| |scalar| (-1161))))) (-634 (-1161))) 34))) 
-(((-399) (-10 -7 (-15 -2976 ((-1094) (-1161) (-634 (-3 (|:| |array| (-634 (-1161))) (|:| |scalar| (-1161)))) (-634 (-634 (-3 (|:| |array| (-634 (-1161))) (|:| |scalar| (-1161))))) (-634 (-1161)))) (-15 -2976 ((-1094) (-1161) (-634 (-3 (|:| |array| (-634 (-1161))) (|:| |scalar| (-1161)))) (-634 (-634 (-3 (|:| |array| (-634 (-1161))) (|:| |scalar| (-1161))))) (-634 (-1161)) (-1161))) (-15 -2976 ((-1094) (-1161) (-634 (-1161)) (-1164) (-634 (-1161)))) (-15 -4130 ((-1249) (-390))) (-15 -3871 ((-634 (-1143)) (-634 (-1143)))))) (T -399)) 
-((-3871 (*1 *2 *2) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-399)))) (-4130 (*1 *2 *3) (-12 (-5 *3 (-390)) (-5 *2 (-1249)) (-5 *1 (-399)))) (-2976 (*1 *2 *3 *4 *5 *4) (-12 (-5 *4 (-634 (-1161))) (-5 *5 (-1164)) (-5 *3 (-1161)) (-5 *2 (-1094)) (-5 *1 (-399)))) (-2976 (*1 *2 *3 *4 *5 *6 *3) (-12 (-5 *5 (-634 (-634 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-634 (-3 (|:| |array| (-634 *3)) (|:| |scalar| (-1161))))) (-5 *6 (-634 (-1161))) (-5 *3 (-1161)) (-5 *2 (-1094)) (-5 *1 (-399)))) (-2976 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-634 (-634 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-634 (-3 (|:| |array| (-634 *3)) (|:| |scalar| (-1161))))) (-5 *6 (-634 (-1161))) (-5 *3 (-1161)) (-5 *2 (-1094)) (-5 *1 (-399))))) 
-(-10 -7 (-15 -2976 ((-1094) (-1161) (-634 (-3 (|:| |array| (-634 (-1161))) (|:| |scalar| (-1161)))) (-634 (-634 (-3 (|:| |array| (-634 (-1161))) (|:| |scalar| (-1161))))) (-634 (-1161)))) (-15 -2976 ((-1094) (-1161) (-634 (-3 (|:| |array| (-634 (-1161))) (|:| |scalar| (-1161)))) (-634 (-634 (-3 (|:| |array| (-634 (-1161))) (|:| |scalar| (-1161))))) (-634 (-1161)) (-1161))) (-15 -2976 ((-1094) (-1161) (-634 (-1161)) (-1164) (-634 (-1161)))) (-15 -4130 ((-1249) (-390))) (-15 -3871 ((-634 (-1143)) (-634 (-1143))))) 
-((-4130 (((-1249) $) 37)) (-2747 (((-850) $) 89) (($ (-328)) 92) (($ (-634 (-328))) 91) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 88) (($ (-310 (-690))) 52) (($ (-310 (-688))) 66) (($ (-310 (-683))) 78) (($ (-288 (-310 (-690)))) 62) (($ (-288 (-310 (-688)))) 74) (($ (-288 (-310 (-683)))) 86) (($ (-310 (-568))) 96) (($ (-310 (-381))) 108) (($ (-310 (-169 (-381)))) 120) (($ (-288 (-310 (-568)))) 104) (($ (-288 (-310 (-381)))) 116) (($ (-288 (-310 (-169 (-381))))) 128))) 
-(((-400 |#1| |#2| |#3| |#4|) (-13 (-397) (-10 -8 (-15 -2747 ($ (-328))) (-15 -2747 ($ (-634 (-328)))) (-15 -2747 ($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328)))))) (-15 -2747 ($ (-310 (-690)))) (-15 -2747 ($ (-310 (-688)))) (-15 -2747 ($ (-310 (-683)))) (-15 -2747 ($ (-288 (-310 (-690))))) (-15 -2747 ($ (-288 (-310 (-688))))) (-15 -2747 ($ (-288 (-310 (-683))))) (-15 -2747 ($ (-310 (-568)))) (-15 -2747 ($ (-310 (-381)))) (-15 -2747 ($ (-310 (-169 (-381))))) (-15 -2747 ($ (-288 (-310 (-568))))) (-15 -2747 ($ (-288 (-310 (-381))))) (-15 -2747 ($ (-288 (-310 (-169 (-381)))))))) (-1161) (-3 (|:| |fst| (-436)) (|:| -3613 "void")) (-634 (-1161)) (-1165)) (T -400)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-328)) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-634 (-328))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-310 (-690))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-310 (-688))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-310 (-683))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-288 (-310 (-690)))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-288 (-310 (-688)))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-288 (-310 (-683)))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-310 (-568))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-310 (-381))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-310 (-169 (-381)))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-288 (-310 (-568)))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-288 (-310 (-381)))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-288 (-310 (-169 (-381))))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165))))) 
-(-13 (-397) (-10 -8 (-15 -2747 ($ (-328))) (-15 -2747 ($ (-634 (-328)))) (-15 -2747 ($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328)))))) (-15 -2747 ($ (-310 (-690)))) (-15 -2747 ($ (-310 (-688)))) (-15 -2747 ($ (-310 (-683)))) (-15 -2747 ($ (-288 (-310 (-690))))) (-15 -2747 ($ (-288 (-310 (-688))))) (-15 -2747 ($ (-288 (-310 (-683))))) (-15 -2747 ($ (-310 (-568)))) (-15 -2747 ($ (-310 (-381)))) (-15 -2747 ($ (-310 (-169 (-381))))) (-15 -2747 ($ (-288 (-310 (-568))))) (-15 -2747 ($ (-288 (-310 (-381))))) (-15 -2747 ($ (-288 (-310 (-169 (-381)))))))) 
-((-2449 (((-121) $ $) NIL)) (-3949 ((|#2| $) 36)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-3373 (($ (-409 |#2|)) 84)) (-3358 (((-634 (-2 (|:| -3483 (-763)) (|:| -1374 |#2|) (|:| |num| |#2|))) $) 37)) (-4191 (($ $) 32) (($ $ (-763)) 34)) (-4280 (((-409 |#2|) $) 46)) (-4289 (($ (-634 (-2 (|:| -3483 (-763)) (|:| -1374 |#2|) (|:| |num| |#2|)))) 31)) (-2747 (((-850) $) 120)) (-3192 (($ $) 33) (($ $ (-763)) 35)) (-1719 (((-121) $ $) NIL)) (-1769 (($ |#2| $) 39))) 
-(((-401 |#1| |#2|) (-13 (-1090) (-609 (-409 |#2|)) (-10 -8 (-15 -1769 ($ |#2| $)) (-15 -3373 ($ (-409 |#2|))) (-15 -3949 (|#2| $)) (-15 -3358 ((-634 (-2 (|:| -3483 (-763)) (|:| -1374 |#2|) (|:| |num| |#2|))) $)) (-15 -4289 ($ (-634 (-2 (|:| -3483 (-763)) (|:| -1374 |#2|) (|:| |num| |#2|))))) (-15 -4191 ($ $)) (-15 -3192 ($ $)) (-15 -4191 ($ $ (-763))) (-15 -3192 ($ $ (-763))))) (-13 (-365) (-150)) (-1219 |#1|)) (T -401)) 
-((-1769 (*1 *1 *2 *1) (-12 (-4 *3 (-13 (-365) (-150))) (-5 *1 (-401 *3 *2)) (-4 *2 (-1219 *3)))) (-3373 (*1 *1 *2) (-12 (-5 *2 (-409 *4)) (-4 *4 (-1219 *3)) (-4 *3 (-13 (-365) (-150))) (-5 *1 (-401 *3 *4)))) (-3949 (*1 *2 *1) (-12 (-4 *2 (-1219 *3)) (-5 *1 (-401 *3 *2)) (-4 *3 (-13 (-365) (-150))))) (-3358 (*1 *2 *1) (-12 (-4 *3 (-13 (-365) (-150))) (-5 *2 (-634 (-2 (|:| -3483 (-763)) (|:| -1374 *4) (|:| |num| *4)))) (-5 *1 (-401 *3 *4)) (-4 *4 (-1219 *3)))) (-4289 (*1 *1 *2) (-12 (-5 *2 (-634 (-2 (|:| -3483 (-763)) (|:| -1374 *4) (|:| |num| *4)))) (-4 *4 (-1219 *3)) (-4 *3 (-13 (-365) (-150))) (-5 *1 (-401 *3 *4)))) (-4191 (*1 *1 *1) (-12 (-4 *2 (-13 (-365) (-150))) (-5 *1 (-401 *2 *3)) (-4 *3 (-1219 *2)))) (-3192 (*1 *1 *1) (-12 (-4 *2 (-13 (-365) (-150))) (-5 *1 (-401 *2 *3)) (-4 *3 (-1219 *2)))) (-4191 (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *3 (-13 (-365) (-150))) (-5 *1 (-401 *3 *4)) (-4 *4 (-1219 *3)))) (-3192 (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *3 (-13 (-365) (-150))) (-5 *1 (-401 *3 *4)) (-4 *4 (-1219 *3))))) 
-(-13 (-1090) (-609 (-409 |#2|)) (-10 -8 (-15 -1769 ($ |#2| $)) (-15 -3373 ($ (-409 |#2|))) (-15 -3949 (|#2| $)) (-15 -3358 ((-634 (-2 (|:| -3483 (-763)) (|:| -1374 |#2|) (|:| |num| |#2|))) $)) (-15 -4289 ($ (-634 (-2 (|:| -3483 (-763)) (|:| -1374 |#2|) (|:| |num| |#2|))))) (-15 -4191 ($ $)) (-15 -3192 ($ $)) (-15 -4191 ($ $ (-763))) (-15 -3192 ($ $ (-763))))) 
-((-2449 (((-121) $ $) 9 (-2199 (|has| |#1| (-881 (-568))) (|has| |#1| (-881 (-381)))))) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) 15 (|has| |#1| (-881 (-381)))) (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) 14 (|has| |#1| (-881 (-568))))) (-1893 (((-1143) $) 13 (-2199 (|has| |#1| (-881 (-568))) (|has| |#1| (-881 (-381)))))) (-4025 (((-1108) $) 12 (-2199 (|has| |#1| (-881 (-568))) (|has| |#1| (-881 (-381)))))) (-2747 (((-850) $) 11 (-2199 (|has| |#1| (-881 (-568))) (|has| |#1| (-881 (-381)))))) (-1719 (((-121) $ $) 10 (-2199 (|has| |#1| (-881 (-568))) (|has| |#1| (-881 (-381))))))) 
-(((-402 |#1|) (-1275) (-1195)) (T -402)) 
-NIL 
-(-13 (-1195) (-10 -7 (IF (|has| |t#1| (-881 (-568))) (-6 (-881 (-568))) |noBranch|) (IF (|has| |t#1| (-881 (-381))) (-6 (-881 (-381))) |noBranch|))) 
-(((-105) -2199 (|has| |#1| (-881 (-568))) (|has| |#1| (-881 (-381)))) ((-608 (-850)) -2199 (|has| |#1| (-881 (-568))) (|has| |#1| (-881 (-381)))) ((-881 (-381)) |has| |#1| (-881 (-381))) ((-881 (-568)) |has| |#1| (-881 (-568))) ((-1090) -2199 (|has| |#1| (-881 (-568))) (|has| |#1| (-881 (-381)))) ((-1195) . T)) 
-((-1887 (($ $) 10) (($ $ (-763)) 11))) 
-(((-403 |#1|) (-10 -8 (-15 -1887 (|#1| |#1| (-763))) (-15 -1887 (|#1| |#1|))) (-404)) (T -403)) 
-NIL 
-(-10 -8 (-15 -1887 (|#1| |#1| (-763))) (-15 -1887 (|#1| |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 40)) (-3661 (($ $) 39)) (-4426 (((-121) $) 37)) (-2689 (((-3 $ "failed") $ $) 18)) (-3045 (($ $) 71)) (-3498 (((-420 $) $) 70)) (-2589 (((-121) $ $) 57)) (-4490 (($) 16 T CONST)) (-2403 (($ $ $) 53)) (-2902 (((-3 $ "failed") $) 33)) (-2414 (($ $ $) 54)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 49)) (-1887 (($ $) 75) (($ $ (-763)) 74)) (-2197 (((-121) $) 69)) (-1844 (((-828 (-917)) $) 77)) (-1598 (((-121) $) 30)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 50)) (-2498 (($ $ $) 45) (($ (-634 $)) 44)) (-1893 (((-1143) $) 9)) (-2083 (($ $) 68)) (-4025 (((-1108) $) 10)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 43)) (-2723 (($ $ $) 47) (($ (-634 $)) 46)) (-3850 (((-420 $) $) 72)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2597 (((-3 $ "failed") $ $) 41)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 48)) (-1466 (((-763) $) 56)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 55)) (-2721 (((-3 (-763) "failed") $ $) 76)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ $) 42) (($ (-409 (-568))) 63)) (-3385 (((-3 $ "failed") $) 78)) (-3425 (((-763)) 28)) (-2273 (((-121) $ $) 38)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32) (($ $ (-568)) 67)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1781 (($ $ $) 62)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ (-568)) 66)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ (-409 (-568))) 65) (($ (-409 (-568)) $) 64))) 
-(((-404) (-1275)) (T -404)) 
-((-1844 (*1 *2 *1) (-12 (-4 *1 (-404)) (-5 *2 (-828 (-917))))) (-2721 (*1 *2 *1 *1) (|partial| -12 (-4 *1 (-404)) (-5 *2 (-763)))) (-1887 (*1 *1 *1) (-4 *1 (-404))) (-1887 (*1 *1 *1 *2) (-12 (-4 *1 (-404)) (-5 *2 (-763))))) 
-(-13 (-365) (-148) (-10 -8 (-15 -1844 ((-828 (-917)) $)) (-15 -2721 ((-3 (-763) "failed") $ $)) (-15 -1887 ($ $)) (-15 -1887 ($ $ (-763))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-409 (-568))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) . T) ((-120 $ $) . T) ((-137) . T) ((-148) . T) ((-608 (-850)) . T) ((-172) . T) ((-238) . T) ((-285) . T) ((-301) . T) ((-365) . T) ((-453) . T) ((-558) . T) ((-637 (-409 (-568))) . T) ((-637 $) . T) ((-707 (-409 (-568))) . T) ((-707 $) . T) ((-716) . T) ((-916) . T) ((-1053 (-409 (-568))) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1199) . T)) 
-((-3770 (($ (-568) (-568)) 11) (($ (-568) (-568) (-917)) NIL)) (-1513 (((-917)) 16) (((-917) (-917)) NIL))) 
-(((-405 |#1|) (-10 -8 (-15 -1513 ((-917) (-917))) (-15 -1513 ((-917))) (-15 -3770 (|#1| (-568) (-568) (-917))) (-15 -3770 (|#1| (-568) (-568)))) (-406)) (T -405)) 
-((-1513 (*1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-405 *3)) (-4 *3 (-406)))) (-1513 (*1 *2 *2) (-12 (-5 *2 (-917)) (-5 *1 (-405 *3)) (-4 *3 (-406))))) 
-(-10 -8 (-15 -1513 ((-917) (-917))) (-15 -1513 ((-917))) (-15 -3770 (|#1| (-568) (-568) (-917))) (-15 -3770 (|#1| (-568) (-568)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2563 (((-568) $) 85)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 40)) (-3661 (($ $) 39)) (-4426 (((-121) $) 37)) (-4179 (($ $) 83)) (-2689 (((-3 $ "failed") $ $) 18)) (-3045 (($ $) 71)) (-3498 (((-420 $) $) 70)) (-1904 (($ $) 93)) (-2589 (((-121) $ $) 57)) (-3337 (((-568) $) 110)) (-4490 (($) 16 T CONST)) (-2252 (($ $) 82)) (-3668 (((-3 (-568) "failed") $) 98) (((-3 (-409 (-568)) "failed") $) 95)) (-2857 (((-568) $) 97) (((-409 (-568)) $) 94)) (-2403 (($ $ $) 53)) (-2902 (((-3 $ "failed") $) 33)) (-2414 (($ $ $) 54)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 49)) (-2197 (((-121) $) 69)) (-3359 (((-917)) 119) (((-917) (-917)) 116 (|has| $ (-6 -4512)))) (-1436 (((-121) $) 108)) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) 89)) (-1844 (((-568) $) 125)) (-1598 (((-121) $) 30)) (-1550 (($ $ (-568)) 92)) (-4417 (($ $) 88)) (-2859 (((-121) $) 109)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 50)) (-1732 (($ $ $) 107) (($) 113 (-12 (-3046 (|has| $ (-6 -4512))) (-3046 (|has| $ (-6 -4504)))))) (-2047 (($ $ $) 106) (($) 112 (-12 (-3046 (|has| $ (-6 -4512))) (-3046 (|has| $ (-6 -4504)))))) (-2790 (((-568) $) 122)) (-2498 (($ $ $) 45) (($ (-634 $)) 44)) (-1893 (((-1143) $) 9)) (-2083 (($ $) 68)) (-1529 (((-917) (-568)) 115 (|has| $ (-6 -4512)))) (-4025 (((-1108) $) 10)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 43)) (-2723 (($ $ $) 47) (($ (-634 $)) 46)) (-1999 (($ $) 84)) (-4115 (($ $) 86)) (-3770 (($ (-568) (-568)) 127) (($ (-568) (-568) (-917)) 126)) (-3850 (((-420 $) $) 72)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2597 (((-3 $ "failed") $ $) 41)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 48)) (-3483 (((-568) $) 123)) (-1466 (((-763) $) 56)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 55)) (-1513 (((-917)) 120) (((-917) (-917)) 117 (|has| $ (-6 -4512)))) (-1973 (((-917) (-568)) 114 (|has| $ (-6 -4512)))) (-4280 (((-381) $) 101) (((-215) $) 100) (((-887 (-381)) $) 90)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ $) 42) (($ (-409 (-568))) 63) (($ (-568)) 99) (($ (-409 (-568))) 96)) (-3425 (((-763)) 28)) (-3520 (($ $) 87)) (-1540 (((-917)) 121) (((-917) (-917)) 118 (|has| $ (-6 -4512)))) (-2404 (((-917)) 124)) (-2273 (((-121) $ $) 38)) (-2811 (($ $) 111)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32) (($ $ (-568)) 67)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1753 (((-121) $ $) 104)) (-1740 (((-121) $ $) 103)) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 105)) (-1734 (((-121) $ $) 102)) (-1781 (($ $ $) 62)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ (-568)) 66) (($ $ (-409 (-568))) 91)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ (-409 (-568))) 65) (($ (-409 (-568)) $) 64))) 
-(((-406) (-1275)) (T -406)) 
-((-3770 (*1 *1 *2 *2) (-12 (-5 *2 (-568)) (-4 *1 (-406)))) (-3770 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-568)) (-5 *3 (-917)) (-4 *1 (-406)))) (-1844 (*1 *2 *1) (-12 (-4 *1 (-406)) (-5 *2 (-568)))) (-2404 (*1 *2) (-12 (-4 *1 (-406)) (-5 *2 (-917)))) (-3483 (*1 *2 *1) (-12 (-4 *1 (-406)) (-5 *2 (-568)))) (-2790 (*1 *2 *1) (-12 (-4 *1 (-406)) (-5 *2 (-568)))) (-1540 (*1 *2) (-12 (-4 *1 (-406)) (-5 *2 (-917)))) (-1513 (*1 *2) (-12 (-4 *1 (-406)) (-5 *2 (-917)))) (-3359 (*1 *2) (-12 (-4 *1 (-406)) (-5 *2 (-917)))) (-1540 (*1 *2 *2) (-12 (-5 *2 (-917)) (|has| *1 (-6 -4512)) (-4 *1 (-406)))) (-1513 (*1 *2 *2) (-12 (-5 *2 (-917)) (|has| *1 (-6 -4512)) (-4 *1 (-406)))) (-3359 (*1 *2 *2) (-12 (-5 *2 (-917)) (|has| *1 (-6 -4512)) (-4 *1 (-406)))) (-1529 (*1 *2 *3) (-12 (-5 *3 (-568)) (|has| *1 (-6 -4512)) (-4 *1 (-406)) (-5 *2 (-917)))) (-1973 (*1 *2 *3) (-12 (-5 *3 (-568)) (|has| *1 (-6 -4512)) (-4 *1 (-406)) (-5 *2 (-917)))) (-1732 (*1 *1) (-12 (-4 *1 (-406)) (-3046 (|has| *1 (-6 -4512))) (-3046 (|has| *1 (-6 -4504))))) (-2047 (*1 *1) (-12 (-4 *1 (-406)) (-3046 (|has| *1 (-6 -4512))) (-3046 (|has| *1 (-6 -4504)))))) 
-(-13 (-1056) (-10 -8 (-6 -3999) (-15 -3770 ($ (-568) (-568))) (-15 -3770 ($ (-568) (-568) (-917))) (-15 -1844 ((-568) $)) (-15 -2404 ((-917))) (-15 -3483 ((-568) $)) (-15 -2790 ((-568) $)) (-15 -1540 ((-917))) (-15 -1513 ((-917))) (-15 -3359 ((-917))) (IF (|has| $ (-6 -4512)) (PROGN (-15 -1540 ((-917) (-917))) (-15 -1513 ((-917) (-917))) (-15 -3359 ((-917) (-917))) (-15 -1529 ((-917) (-568))) (-15 -1973 ((-917) (-568)))) |noBranch|) (IF (|has| $ (-6 -4504)) |noBranch| (IF (|has| $ (-6 -4512)) |noBranch| (PROGN (-15 -1732 ($)) (-15 -2047 ($))))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-409 (-568))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) . T) ((-120 $ $) . T) ((-137) . T) ((-150) . T) ((-608 (-850)) . T) ((-172) . T) ((-609 (-215)) . T) ((-609 (-381)) . T) ((-609 (-887 (-381))) . T) ((-238) . T) ((-285) . T) ((-301) . T) ((-365) . T) ((-453) . T) ((-558) . T) ((-637 (-409 (-568))) . T) ((-637 $) . T) ((-707 (-409 (-568))) . T) ((-707 $) . T) ((-716) . T) ((-786) . T) ((-787) . T) ((-789) . T) ((-790) . T) ((-840) . T) ((-842) . T) ((-881 (-381)) . T) ((-916) . T) ((-1002) . T) ((-1021) . T) ((-1056) . T) ((-1037 (-409 (-568))) . T) ((-1037 (-568)) . T) ((-1053 (-409 (-568))) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1199) . T)) 
-((-2797 (((-420 |#2|) (-1 |#2| |#1|) (-420 |#1|)) 20))) 
-(((-407 |#1| |#2|) (-10 -7 (-15 -2797 ((-420 |#2|) (-1 |#2| |#1|) (-420 |#1|)))) (-558) (-558)) (T -407)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-420 *5)) (-4 *5 (-558)) (-4 *6 (-558)) (-5 *2 (-420 *6)) (-5 *1 (-407 *5 *6))))) 
-(-10 -7 (-15 -2797 ((-420 |#2|) (-1 |#2| |#1|) (-420 |#1|)))) 
-((-2797 (((-409 |#2|) (-1 |#2| |#1|) (-409 |#1|)) 13))) 
-(((-408 |#1| |#2|) (-10 -7 (-15 -2797 ((-409 |#2|) (-1 |#2| |#1|) (-409 |#1|)))) (-558) (-558)) (T -408)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-409 *5)) (-4 *5 (-558)) (-4 *6 (-558)) (-5 *2 (-409 *6)) (-5 *1 (-408 *5 *6))))) 
-(-10 -7 (-15 -2797 ((-409 |#2|) (-1 |#2| |#1|) (-409 |#1|)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 13)) (-2563 ((|#1| $) 21 (|has| |#1| (-301)))) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-2589 (((-121) $ $) NIL)) (-3337 (((-568) $) NIL (|has| |#1| (-815)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#1| "failed") $) 17) (((-3 (-1161) "failed") $) NIL (|has| |#1| (-1037 (-1161)))) (((-3 (-409 (-568)) "failed") $) 70 (|has| |#1| (-1037 (-568)))) (((-3 (-568) "failed") $) NIL (|has| |#1| (-1037 (-568))))) (-2857 ((|#1| $) 15) (((-1161) $) NIL (|has| |#1| (-1037 (-1161)))) (((-409 (-568)) $) 67 (|has| |#1| (-1037 (-568)))) (((-568) $) NIL (|has| |#1| (-1037 (-568))))) (-2403 (($ $ $) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 |#1|))) (-679 $) (-1244 $)) NIL) (((-679 |#1|) (-679 $)) NIL)) (-2902 (((-3 $ "failed") $) 50)) (-1733 (($) NIL (|has| |#1| (-550)))) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-2197 (((-121) $) NIL)) (-1436 (((-121) $) NIL (|has| |#1| (-815)))) (-1519 (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (|has| |#1| (-881 (-568)))) (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (|has| |#1| (-881 (-381))))) (-1598 (((-121) $) 64)) (-3539 (($ $) NIL)) (-2319 ((|#1| $) 71)) (-2214 (((-3 $ "failed") $) NIL (|has| |#1| (-1136)))) (-2859 (((-121) $) NIL (|has| |#1| (-815)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1732 (($ $ $) NIL (|has| |#1| (-842)))) (-2047 (($ $ $) NIL (|has| |#1| (-842)))) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL)) (-4436 (($) NIL (|has| |#1| (-1136)) CONST)) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 97)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1999 (($ $) NIL (|has| |#1| (-301)))) (-4115 ((|#1| $) 28 (|has| |#1| (-550)))) (-2841 (((-420 (-1157 $)) (-1157 $)) 133 (|has| |#1| (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) 129 (|has| |#1| (-904)))) (-3850 (((-420 $) $) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1339 (($ $ (-634 |#1|) (-634 |#1|)) NIL (|has| |#1| (-303 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-303 |#1|))) (($ $ (-288 |#1|)) NIL (|has| |#1| (-303 |#1|))) (($ $ (-634 (-288 |#1|))) NIL (|has| |#1| (-303 |#1|))) (($ $ (-634 (-1161)) (-634 |#1|)) NIL (|has| |#1| (-523 (-1161) |#1|))) (($ $ (-1161) |#1|) NIL (|has| |#1| (-523 (-1161) |#1|)))) (-1466 (((-763) $) NIL)) (-2781 (($ $ |#1|) NIL (|has| |#1| (-281 |#1| |#1|)))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-4191 (($ $) NIL (|has| |#1| (-225))) (($ $ (-763)) NIL (|has| |#1| (-225))) (($ $ (-1161)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) NIL) (($ $ (-1 |#1| |#1|)) 63)) (-3210 (($ $) NIL)) (-2326 ((|#1| $) 73)) (-4280 (((-887 (-568)) $) NIL (|has| |#1| (-609 (-887 (-568))))) (((-887 (-381)) $) NIL (|has| |#1| (-609 (-887 (-381))))) (((-541) $) NIL (|has| |#1| (-609 (-541)))) (((-381) $) NIL (|has| |#1| (-1021))) (((-215) $) NIL (|has| |#1| (-1021)))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) 113 (-12 (|has| $ (-148)) (|has| |#1| (-904))))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ $) NIL) (($ (-409 (-568))) NIL) (($ |#1|) 10) (($ (-1161)) NIL (|has| |#1| (-1037 (-1161))))) (-3385 (((-3 $ "failed") $) 99 (-2199 (-12 (|has| $ (-148)) (|has| |#1| (-904))) (|has| |#1| (-148))))) (-3425 (((-763)) 100)) (-3520 ((|#1| $) 26 (|has| |#1| (-550)))) (-2273 (((-121) $ $) NIL)) (-2811 (($ $) NIL (|has| |#1| (-815)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) 22 T CONST)) (-1557 (($) 8 T CONST)) (-2628 (((-1143) $) 43 (-12 (|has| |#1| (-550)) (|has| |#1| (-823)))) (((-1143) $ (-121)) 44 (-12 (|has| |#1| (-550)) (|has| |#1| (-823)))) (((-1249) (-817) $) 45 (-12 (|has| |#1| (-550)) (|has| |#1| (-823)))) (((-1249) (-817) $ (-121)) 46 (-12 (|has| |#1| (-550)) (|has| |#1| (-823))))) (-3192 (($ $) NIL (|has| |#1| (-225))) (($ $ (-763)) NIL (|has| |#1| (-225))) (($ $ (-1161)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1753 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1719 (((-121) $ $) 56)) (-1747 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1734 (((-121) $ $) 24 (|has| |#1| (-842)))) (-1781 (($ $ $) 124) (($ |#1| |#1|) 52)) (-1775 (($ $) 25) (($ $ $) 55)) (-1769 (($ $ $) 53)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) 123)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 60) (($ $ $) 57) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL) (($ |#1| $) 61) (($ $ |#1|) 85))) 
-(((-409 |#1|) (-13 (-993 |#1|) (-10 -7 (IF (|has| |#1| (-550)) (IF (|has| |#1| (-823)) (-6 (-823)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4508)) (IF (|has| |#1| (-453)) (IF (|has| |#1| (-6 -4519)) (-6 -4508) |noBranch|) |noBranch|) |noBranch|))) (-558)) (T -409)) 
-NIL 
-(-13 (-993 |#1|) (-10 -7 (IF (|has| |#1| (-550)) (IF (|has| |#1| (-823)) (-6 (-823)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4508)) (IF (|has| |#1| (-453)) (IF (|has| |#1| (-6 -4519)) (-6 -4508) |noBranch|) |noBranch|) |noBranch|))) 
-((-2883 (((-679 |#2|) (-1244 $)) NIL) (((-679 |#2|)) 18)) (-3899 (($ (-1244 |#2|) (-1244 $)) NIL) (($ (-1244 |#2|)) 26)) (-3653 (((-679 |#2|) $ (-1244 $)) NIL) (((-679 |#2|) $) 22)) (-1497 ((|#3| $) 59)) (-3440 ((|#2| (-1244 $)) NIL) ((|#2|) 20)) (-1656 (((-1244 |#2|) $ (-1244 $)) NIL) (((-679 |#2|) (-1244 $) (-1244 $)) NIL) (((-1244 |#2|) $) NIL) (((-679 |#2|) (-1244 $)) 24)) (-4280 (((-1244 |#2|) $) 11) (($ (-1244 |#2|)) 13)) (-1295 ((|#3| $) 51))) 
-(((-410 |#1| |#2| |#3|) (-10 -8 (-15 -3653 ((-679 |#2|) |#1|)) (-15 -3440 (|#2|)) (-15 -2883 ((-679 |#2|))) (-15 -4280 (|#1| (-1244 |#2|))) (-15 -4280 ((-1244 |#2|) |#1|)) (-15 -3899 (|#1| (-1244 |#2|))) (-15 -1656 ((-679 |#2|) (-1244 |#1|))) (-15 -1656 ((-1244 |#2|) |#1|)) (-15 -1497 (|#3| |#1|)) (-15 -1295 (|#3| |#1|)) (-15 -2883 ((-679 |#2|) (-1244 |#1|))) (-15 -3440 (|#2| (-1244 |#1|))) (-15 -3899 (|#1| (-1244 |#2|) (-1244 |#1|))) (-15 -1656 ((-679 |#2|) (-1244 |#1|) (-1244 |#1|))) (-15 -1656 ((-1244 |#2|) |#1| (-1244 |#1|))) (-15 -3653 ((-679 |#2|) |#1| (-1244 |#1|)))) (-411 |#2| |#3|) (-172) (-1219 |#2|)) (T -410)) 
-((-2883 (*1 *2) (-12 (-4 *4 (-172)) (-4 *5 (-1219 *4)) (-5 *2 (-679 *4)) (-5 *1 (-410 *3 *4 *5)) (-4 *3 (-411 *4 *5)))) (-3440 (*1 *2) (-12 (-4 *4 (-1219 *2)) (-4 *2 (-172)) (-5 *1 (-410 *3 *2 *4)) (-4 *3 (-411 *2 *4))))) 
-(-10 -8 (-15 -3653 ((-679 |#2|) |#1|)) (-15 -3440 (|#2|)) (-15 -2883 ((-679 |#2|))) (-15 -4280 (|#1| (-1244 |#2|))) (-15 -4280 ((-1244 |#2|) |#1|)) (-15 -3899 (|#1| (-1244 |#2|))) (-15 -1656 ((-679 |#2|) (-1244 |#1|))) (-15 -1656 ((-1244 |#2|) |#1|)) (-15 -1497 (|#3| |#1|)) (-15 -1295 (|#3| |#1|)) (-15 -2883 ((-679 |#2|) (-1244 |#1|))) (-15 -3440 (|#2| (-1244 |#1|))) (-15 -3899 (|#1| (-1244 |#2|) (-1244 |#1|))) (-15 -1656 ((-679 |#2|) (-1244 |#1|) (-1244 |#1|))) (-15 -1656 ((-1244 |#2|) |#1| (-1244 |#1|))) (-15 -3653 ((-679 |#2|) |#1| (-1244 |#1|)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2883 (((-679 |#1|) (-1244 $)) 44) (((-679 |#1|)) 55)) (-1934 ((|#1| $) 50)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-3899 (($ (-1244 |#1|) (-1244 $)) 46) (($ (-1244 |#1|)) 58)) (-3653 (((-679 |#1|) $ (-1244 $)) 51) (((-679 |#1|) $) 53)) (-2902 (((-3 $ "failed") $) 33)) (-2371 (((-917)) 52)) (-1598 (((-121) $) 30)) (-4417 ((|#1| $) 49)) (-1497 ((|#2| $) 42 (|has| |#1| (-365)))) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-3440 ((|#1| (-1244 $)) 45) ((|#1|) 54)) (-1656 (((-1244 |#1|) $ (-1244 $)) 48) (((-679 |#1|) (-1244 $) (-1244 $)) 47) (((-1244 |#1|) $) 60) (((-679 |#1|) (-1244 $)) 59)) (-4280 (((-1244 |#1|) $) 57) (($ (-1244 |#1|)) 56)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ |#1|) 36)) (-3385 (((-3 $ "failed") $) 41 (|has| |#1| (-148)))) (-1295 ((|#2| $) 43)) (-3425 (((-763)) 28)) (-2588 (((-1244 $)) 61)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
-(((-411 |#1| |#2|) (-1275) (-172) (-1219 |t#1|)) (T -411)) 
-((-2588 (*1 *2) (-12 (-4 *3 (-172)) (-4 *4 (-1219 *3)) (-5 *2 (-1244 *1)) (-4 *1 (-411 *3 *4)))) (-1656 (*1 *2 *1) (-12 (-4 *1 (-411 *3 *4)) (-4 *3 (-172)) (-4 *4 (-1219 *3)) (-5 *2 (-1244 *3)))) (-1656 (*1 *2 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-411 *4 *5)) (-4 *4 (-172)) (-4 *5 (-1219 *4)) (-5 *2 (-679 *4)))) (-3899 (*1 *1 *2) (-12 (-5 *2 (-1244 *3)) (-4 *3 (-172)) (-4 *1 (-411 *3 *4)) (-4 *4 (-1219 *3)))) (-4280 (*1 *2 *1) (-12 (-4 *1 (-411 *3 *4)) (-4 *3 (-172)) (-4 *4 (-1219 *3)) (-5 *2 (-1244 *3)))) (-4280 (*1 *1 *2) (-12 (-5 *2 (-1244 *3)) (-4 *3 (-172)) (-4 *1 (-411 *3 *4)) (-4 *4 (-1219 *3)))) (-2883 (*1 *2) (-12 (-4 *1 (-411 *3 *4)) (-4 *3 (-172)) (-4 *4 (-1219 *3)) (-5 *2 (-679 *3)))) (-3440 (*1 *2) (-12 (-4 *1 (-411 *2 *3)) (-4 *3 (-1219 *2)) (-4 *2 (-172)))) (-3653 (*1 *2 *1) (-12 (-4 *1 (-411 *3 *4)) (-4 *3 (-172)) (-4 *4 (-1219 *3)) (-5 *2 (-679 *3))))) 
-(-13 (-372 |t#1| |t#2|) (-10 -8 (-15 -2588 ((-1244 $))) (-15 -1656 ((-1244 |t#1|) $)) (-15 -1656 ((-679 |t#1|) (-1244 $))) (-15 -3899 ($ (-1244 |t#1|))) (-15 -4280 ((-1244 |t#1|) $)) (-15 -4280 ($ (-1244 |t#1|))) (-15 -2883 ((-679 |t#1|))) (-15 -3440 (|t#1|)) (-15 -3653 ((-679 |t#1|) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-137) . T) ((-148) |has| |#1| (-148)) ((-150) |has| |#1| (-150)) ((-608 (-850)) . T) ((-372 |#1| |#2|) . T) ((-637 |#1|) . T) ((-637 $) . T) ((-707 |#1|) . T) ((-716) . T) ((-1053 |#1|) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-3668 (((-3 |#2| "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) 27) (((-3 (-568) "failed") $) 19)) (-2857 ((|#2| $) NIL) (((-409 (-568)) $) 24) (((-568) $) 14)) (-2747 (($ |#2|) NIL) (($ (-409 (-568))) 22) (($ (-568)) 11))) 
-(((-412 |#1| |#2|) (-10 -8 (-15 -2857 ((-568) |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -2747 (|#1| (-568))) (-15 -2857 ((-409 (-568)) |#1|)) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2747 (|#1| (-409 (-568)))) (-15 -2747 (|#1| |#2|)) (-15 -3668 ((-3 |#2| "failed") |#1|)) (-15 -2857 (|#2| |#1|))) (-413 |#2|) (-1195)) (T -412)) 
-NIL 
-(-10 -8 (-15 -2857 ((-568) |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -2747 (|#1| (-568))) (-15 -2857 ((-409 (-568)) |#1|)) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2747 (|#1| (-409 (-568)))) (-15 -2747 (|#1| |#2|)) (-15 -3668 ((-3 |#2| "failed") |#1|)) (-15 -2857 (|#2| |#1|))) 
-((-3668 (((-3 |#1| "failed") $) 7) (((-3 (-409 (-568)) "failed") $) 15 (|has| |#1| (-1037 (-409 (-568))))) (((-3 (-568) "failed") $) 12 (|has| |#1| (-1037 (-568))))) (-2857 ((|#1| $) 8) (((-409 (-568)) $) 14 (|has| |#1| (-1037 (-409 (-568))))) (((-568) $) 11 (|has| |#1| (-1037 (-568))))) (-2747 (($ |#1|) 6) (($ (-409 (-568))) 16 (|has| |#1| (-1037 (-409 (-568))))) (($ (-568)) 13 (|has| |#1| (-1037 (-568)))))) 
-(((-413 |#1|) (-1275) (-1195)) (T -413)) 
-NIL 
-(-13 (-1037 |t#1|) (-10 -7 (IF (|has| |t#1| (-1037 (-568))) (-6 (-1037 (-568))) |noBranch|) (IF (|has| |t#1| (-1037 (-409 (-568)))) (-6 (-1037 (-409 (-568)))) |noBranch|))) 
-(((-1037 (-409 (-568))) |has| |#1| (-1037 (-409 (-568)))) ((-1037 (-568)) |has| |#1| (-1037 (-568))) ((-1037 |#1|) . T)) 
-((-2797 (((-415 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-415 |#1| |#2| |#3| |#4|)) 33))) 
-(((-414 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -2797 ((-415 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-415 |#1| |#2| |#3| |#4|)))) (-301) (-993 |#1|) (-1219 |#2|) (-13 (-411 |#2| |#3|) (-1037 |#2|)) (-301) (-993 |#5|) (-1219 |#6|) (-13 (-411 |#6| |#7|) (-1037 |#6|))) (T -414)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-415 *5 *6 *7 *8)) (-4 *5 (-301)) (-4 *6 (-993 *5)) (-4 *7 (-1219 *6)) (-4 *8 (-13 (-411 *6 *7) (-1037 *6))) (-4 *9 (-301)) (-4 *10 (-993 *9)) (-4 *11 (-1219 *10)) (-5 *2 (-415 *9 *10 *11 *12)) (-5 *1 (-414 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-13 (-411 *10 *11) (-1037 *10)))))) 
-(-10 -7 (-15 -2797 ((-415 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-415 |#1| |#2| |#3| |#4|)))) 
-((-2449 (((-121) $ $) NIL)) (-4490 (($) NIL T CONST)) (-2902 (((-3 $ "failed") $) NIL)) (-3967 ((|#4| (-763) (-1244 |#4|)) 55)) (-1598 (((-121) $) NIL)) (-2319 (((-1244 |#4|) $) 17)) (-4417 ((|#2| $) 53)) (-4440 (($ $) 136)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) 98)) (-4314 (($ (-1244 |#4|)) 97)) (-4025 (((-1108) $) NIL)) (-2326 ((|#1| $) 18)) (-2387 (($ $ $) NIL)) (-3985 (($ $ $) NIL)) (-2747 (((-850) $) 131)) (-2588 (((-1244 |#4|) $) 126)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-1557 (($) 11 T CONST)) (-1719 (((-121) $ $) 39)) (-1781 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) 119)) (* (($ $ $) 118))) 
-(((-415 |#1| |#2| |#3| |#4|) (-13 (-478) (-10 -8 (-15 -4314 ($ (-1244 |#4|))) (-15 -2588 ((-1244 |#4|) $)) (-15 -4417 (|#2| $)) (-15 -2319 ((-1244 |#4|) $)) (-15 -2326 (|#1| $)) (-15 -4440 ($ $)) (-15 -3967 (|#4| (-763) (-1244 |#4|))))) (-301) (-993 |#1|) (-1219 |#2|) (-13 (-411 |#2| |#3|) (-1037 |#2|))) (T -415)) 
-((-4314 (*1 *1 *2) (-12 (-5 *2 (-1244 *6)) (-4 *6 (-13 (-411 *4 *5) (-1037 *4))) (-4 *4 (-993 *3)) (-4 *5 (-1219 *4)) (-4 *3 (-301)) (-5 *1 (-415 *3 *4 *5 *6)))) (-2588 (*1 *2 *1) (-12 (-4 *3 (-301)) (-4 *4 (-993 *3)) (-4 *5 (-1219 *4)) (-5 *2 (-1244 *6)) (-5 *1 (-415 *3 *4 *5 *6)) (-4 *6 (-13 (-411 *4 *5) (-1037 *4))))) (-4417 (*1 *2 *1) (-12 (-4 *4 (-1219 *2)) (-4 *2 (-993 *3)) (-5 *1 (-415 *3 *2 *4 *5)) (-4 *3 (-301)) (-4 *5 (-13 (-411 *2 *4) (-1037 *2))))) (-2319 (*1 *2 *1) (-12 (-4 *3 (-301)) (-4 *4 (-993 *3)) (-4 *5 (-1219 *4)) (-5 *2 (-1244 *6)) (-5 *1 (-415 *3 *4 *5 *6)) (-4 *6 (-13 (-411 *4 *5) (-1037 *4))))) (-2326 (*1 *2 *1) (-12 (-4 *3 (-993 *2)) (-4 *4 (-1219 *3)) (-4 *2 (-301)) (-5 *1 (-415 *2 *3 *4 *5)) (-4 *5 (-13 (-411 *3 *4) (-1037 *3))))) (-4440 (*1 *1 *1) (-12 (-4 *2 (-301)) (-4 *3 (-993 *2)) (-4 *4 (-1219 *3)) (-5 *1 (-415 *2 *3 *4 *5)) (-4 *5 (-13 (-411 *3 *4) (-1037 *3))))) (-3967 (*1 *2 *3 *4) (-12 (-5 *3 (-763)) (-5 *4 (-1244 *2)) (-4 *5 (-301)) (-4 *6 (-993 *5)) (-4 *2 (-13 (-411 *6 *7) (-1037 *6))) (-5 *1 (-415 *5 *6 *7 *2)) (-4 *7 (-1219 *6))))) 
-(-13 (-478) (-10 -8 (-15 -4314 ($ (-1244 |#4|))) (-15 -2588 ((-1244 |#4|) $)) (-15 -4417 (|#2| $)) (-15 -2319 ((-1244 |#4|) $)) (-15 -2326 (|#1| $)) (-15 -4440 ($ $)) (-15 -3967 (|#4| (-763) (-1244 |#4|))))) 
-((-2449 (((-121) $ $) NIL)) (-4490 (($) NIL T CONST)) (-2902 (((-3 $ "failed") $) NIL)) (-1598 (((-121) $) NIL)) (-4417 ((|#2| $) 60)) (-3740 (($ (-1244 |#4|)) 25) (($ (-415 |#1| |#2| |#3| |#4|)) 75 (|has| |#4| (-1037 |#2|)))) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) 34)) (-2588 (((-1244 |#4|) $) 26)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-1557 (($) 23 T CONST)) (-1719 (((-121) $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ $ $) 72))) 
-(((-416 |#1| |#2| |#3| |#4| |#5|) (-13 (-716) (-10 -8 (-15 -2588 ((-1244 |#4|) $)) (-15 -4417 (|#2| $)) (-15 -3740 ($ (-1244 |#4|))) (IF (|has| |#4| (-1037 |#2|)) (-15 -3740 ($ (-415 |#1| |#2| |#3| |#4|))) |noBranch|))) (-301) (-993 |#1|) (-1219 |#2|) (-411 |#2| |#3|) (-1244 |#4|)) (T -416)) 
-((-2588 (*1 *2 *1) (-12 (-4 *3 (-301)) (-4 *4 (-993 *3)) (-4 *5 (-1219 *4)) (-5 *2 (-1244 *6)) (-5 *1 (-416 *3 *4 *5 *6 *7)) (-4 *6 (-411 *4 *5)) (-14 *7 *2))) (-4417 (*1 *2 *1) (-12 (-4 *4 (-1219 *2)) (-4 *2 (-993 *3)) (-5 *1 (-416 *3 *2 *4 *5 *6)) (-4 *3 (-301)) (-4 *5 (-411 *2 *4)) (-14 *6 (-1244 *5)))) (-3740 (*1 *1 *2) (-12 (-5 *2 (-1244 *6)) (-4 *6 (-411 *4 *5)) (-4 *4 (-993 *3)) (-4 *5 (-1219 *4)) (-4 *3 (-301)) (-5 *1 (-416 *3 *4 *5 *6 *7)) (-14 *7 *2))) (-3740 (*1 *1 *2) (-12 (-5 *2 (-415 *3 *4 *5 *6)) (-4 *6 (-1037 *4)) (-4 *3 (-301)) (-4 *4 (-993 *3)) (-4 *5 (-1219 *4)) (-4 *6 (-411 *4 *5)) (-14 *7 (-1244 *6)) (-5 *1 (-416 *3 *4 *5 *6 *7))))) 
-(-13 (-716) (-10 -8 (-15 -2588 ((-1244 |#4|) $)) (-15 -4417 (|#2| $)) (-15 -3740 ($ (-1244 |#4|))) (IF (|has| |#4| (-1037 |#2|)) (-15 -3740 ($ (-415 |#1| |#2| |#3| |#4|))) |noBranch|))) 
-((-2797 ((|#3| (-1 |#4| |#2|) |#1|) 26))) 
-(((-417 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2797 (|#3| (-1 |#4| |#2|) |#1|))) (-419 |#2|) (-172) (-419 |#4|) (-172)) (T -417)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-172)) (-4 *6 (-172)) (-4 *2 (-419 *6)) (-5 *1 (-417 *4 *5 *2 *6)) (-4 *4 (-419 *5))))) 
-(-10 -7 (-15 -2797 (|#3| (-1 |#4| |#2|) |#1|))) 
-((-3591 (((-3 $ "failed")) 85)) (-3542 (((-1244 (-679 |#2|)) (-1244 $)) NIL) (((-1244 (-679 |#2|))) 90)) (-3354 (((-3 (-2 (|:| |particular| $) (|:| -2588 (-634 $))) "failed")) 84)) (-2046 (((-3 $ "failed")) 83)) (-1524 (((-679 |#2|) (-1244 $)) NIL) (((-679 |#2|)) 101)) (-2235 (((-679 |#2|) $ (-1244 $)) NIL) (((-679 |#2|) $) 109)) (-1503 (((-1157 (-953 |#2|))) 54)) (-2886 ((|#2| (-1244 $)) NIL) ((|#2|) 105)) (-3899 (($ (-1244 |#2|) (-1244 $)) NIL) (($ (-1244 |#2|)) 112)) (-2587 (((-3 (-2 (|:| |particular| $) (|:| -2588 (-634 $))) "failed")) 82)) (-2061 (((-3 $ "failed")) 74)) (-4134 (((-679 |#2|) (-1244 $)) NIL) (((-679 |#2|)) 99)) (-3147 (((-679 |#2|) $ (-1244 $)) NIL) (((-679 |#2|) $) 107)) (-1730 (((-1157 (-953 |#2|))) 53)) (-2060 ((|#2| (-1244 $)) NIL) ((|#2|) 103)) (-1656 (((-1244 |#2|) $ (-1244 $)) NIL) (((-679 |#2|) (-1244 $) (-1244 $)) NIL) (((-1244 |#2|) $) NIL) (((-679 |#2|) (-1244 $)) 111)) (-4280 (((-1244 |#2|) $) 95) (($ (-1244 |#2|)) 97)) (-2155 (((-634 (-953 |#2|)) (-1244 $)) NIL) (((-634 (-953 |#2|))) 93)) (-3828 (($ (-679 |#2|) $) 89))) 
-(((-418 |#1| |#2|) (-10 -8 (-15 -3828 (|#1| (-679 |#2|) |#1|)) (-15 -1503 ((-1157 (-953 |#2|)))) (-15 -1730 ((-1157 (-953 |#2|)))) (-15 -2235 ((-679 |#2|) |#1|)) (-15 -3147 ((-679 |#2|) |#1|)) (-15 -1524 ((-679 |#2|))) (-15 -4134 ((-679 |#2|))) (-15 -2886 (|#2|)) (-15 -2060 (|#2|)) (-15 -4280 (|#1| (-1244 |#2|))) (-15 -4280 ((-1244 |#2|) |#1|)) (-15 -3899 (|#1| (-1244 |#2|))) (-15 -2155 ((-634 (-953 |#2|)))) (-15 -3542 ((-1244 (-679 |#2|)))) (-15 -1656 ((-679 |#2|) (-1244 |#1|))) (-15 -1656 ((-1244 |#2|) |#1|)) (-15 -3591 ((-3 |#1| "failed"))) (-15 -2046 ((-3 |#1| "failed"))) (-15 -2061 ((-3 |#1| "failed"))) (-15 -3354 ((-3 (-2 (|:| |particular| |#1|) (|:| -2588 (-634 |#1|))) "failed"))) (-15 -2587 ((-3 (-2 (|:| |particular| |#1|) (|:| -2588 (-634 |#1|))) "failed"))) (-15 -1524 ((-679 |#2|) (-1244 |#1|))) (-15 -4134 ((-679 |#2|) (-1244 |#1|))) (-15 -2886 (|#2| (-1244 |#1|))) (-15 -2060 (|#2| (-1244 |#1|))) (-15 -3899 (|#1| (-1244 |#2|) (-1244 |#1|))) (-15 -1656 ((-679 |#2|) (-1244 |#1|) (-1244 |#1|))) (-15 -1656 ((-1244 |#2|) |#1| (-1244 |#1|))) (-15 -2235 ((-679 |#2|) |#1| (-1244 |#1|))) (-15 -3147 ((-679 |#2|) |#1| (-1244 |#1|))) (-15 -3542 ((-1244 (-679 |#2|)) (-1244 |#1|))) (-15 -2155 ((-634 (-953 |#2|)) (-1244 |#1|)))) (-419 |#2|) (-172)) (T -418)) 
-((-3542 (*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-1244 (-679 *4))) (-5 *1 (-418 *3 *4)) (-4 *3 (-419 *4)))) (-2155 (*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-634 (-953 *4))) (-5 *1 (-418 *3 *4)) (-4 *3 (-419 *4)))) (-2060 (*1 *2) (-12 (-4 *2 (-172)) (-5 *1 (-418 *3 *2)) (-4 *3 (-419 *2)))) (-2886 (*1 *2) (-12 (-4 *2 (-172)) (-5 *1 (-418 *3 *2)) (-4 *3 (-419 *2)))) (-4134 (*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-679 *4)) (-5 *1 (-418 *3 *4)) (-4 *3 (-419 *4)))) (-1524 (*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-679 *4)) (-5 *1 (-418 *3 *4)) (-4 *3 (-419 *4)))) (-1730 (*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-1157 (-953 *4))) (-5 *1 (-418 *3 *4)) (-4 *3 (-419 *4)))) (-1503 (*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-1157 (-953 *4))) (-5 *1 (-418 *3 *4)) (-4 *3 (-419 *4))))) 
-(-10 -8 (-15 -3828 (|#1| (-679 |#2|) |#1|)) (-15 -1503 ((-1157 (-953 |#2|)))) (-15 -1730 ((-1157 (-953 |#2|)))) (-15 -2235 ((-679 |#2|) |#1|)) (-15 -3147 ((-679 |#2|) |#1|)) (-15 -1524 ((-679 |#2|))) (-15 -4134 ((-679 |#2|))) (-15 -2886 (|#2|)) (-15 -2060 (|#2|)) (-15 -4280 (|#1| (-1244 |#2|))) (-15 -4280 ((-1244 |#2|) |#1|)) (-15 -3899 (|#1| (-1244 |#2|))) (-15 -2155 ((-634 (-953 |#2|)))) (-15 -3542 ((-1244 (-679 |#2|)))) (-15 -1656 ((-679 |#2|) (-1244 |#1|))) (-15 -1656 ((-1244 |#2|) |#1|)) (-15 -3591 ((-3 |#1| "failed"))) (-15 -2046 ((-3 |#1| "failed"))) (-15 -2061 ((-3 |#1| "failed"))) (-15 -3354 ((-3 (-2 (|:| |particular| |#1|) (|:| -2588 (-634 |#1|))) "failed"))) (-15 -2587 ((-3 (-2 (|:| |particular| |#1|) (|:| -2588 (-634 |#1|))) "failed"))) (-15 -1524 ((-679 |#2|) (-1244 |#1|))) (-15 -4134 ((-679 |#2|) (-1244 |#1|))) (-15 -2886 (|#2| (-1244 |#1|))) (-15 -2060 (|#2| (-1244 |#1|))) (-15 -3899 (|#1| (-1244 |#2|) (-1244 |#1|))) (-15 -1656 ((-679 |#2|) (-1244 |#1|) (-1244 |#1|))) (-15 -1656 ((-1244 |#2|) |#1| (-1244 |#1|))) (-15 -2235 ((-679 |#2|) |#1| (-1244 |#1|))) (-15 -3147 ((-679 |#2|) |#1| (-1244 |#1|))) (-15 -3542 ((-1244 (-679 |#2|)) (-1244 |#1|))) (-15 -2155 ((-634 (-953 |#2|)) (-1244 |#1|)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-3591 (((-3 $ "failed")) 35 (|has| |#1| (-558)))) (-2689 (((-3 $ "failed") $ $) 18)) (-3542 (((-1244 (-679 |#1|)) (-1244 $)) 76) (((-1244 (-679 |#1|))) 93)) (-3818 (((-1244 $)) 79)) (-4490 (($) 16 T CONST)) (-3354 (((-3 (-2 (|:| |particular| $) (|:| -2588 (-634 $))) "failed")) 38 (|has| |#1| (-558)))) (-2046 (((-3 $ "failed")) 36 (|has| |#1| (-558)))) (-1524 (((-679 |#1|) (-1244 $)) 63) (((-679 |#1|)) 85)) (-2467 ((|#1| $) 72)) (-2235 (((-679 |#1|) $ (-1244 $)) 74) (((-679 |#1|) $) 83)) (-2812 (((-3 $ "failed") $) 43 (|has| |#1| (-558)))) (-1503 (((-1157 (-953 |#1|))) 81 (|has| |#1| (-365)))) (-2815 (($ $ (-917)) 27)) (-1509 ((|#1| $) 70)) (-3839 (((-1157 |#1|) $) 40 (|has| |#1| (-558)))) (-2886 ((|#1| (-1244 $)) 65) ((|#1|) 87)) (-3105 (((-1157 |#1|) $) 61)) (-1463 (((-121)) 55)) (-3899 (($ (-1244 |#1|) (-1244 $)) 67) (($ (-1244 |#1|)) 91)) (-2902 (((-3 $ "failed") $) 45 (|has| |#1| (-558)))) (-2371 (((-917)) 78)) (-3375 (((-121)) 52)) (-3402 (($ $ (-917)) 32)) (-4221 (((-121)) 48)) (-4463 (((-121)) 46)) (-3582 (((-121)) 50)) (-2587 (((-3 (-2 (|:| |particular| $) (|:| -2588 (-634 $))) "failed")) 39 (|has| |#1| (-558)))) (-2061 (((-3 $ "failed")) 37 (|has| |#1| (-558)))) (-4134 (((-679 |#1|) (-1244 $)) 64) (((-679 |#1|)) 86)) (-2786 ((|#1| $) 73)) (-3147 (((-679 |#1|) $ (-1244 $)) 75) (((-679 |#1|) $) 84)) (-1974 (((-3 $ "failed") $) 44 (|has| |#1| (-558)))) (-1730 (((-1157 (-953 |#1|))) 82 (|has| |#1| (-365)))) (-4202 (($ $ (-917)) 28)) (-4390 ((|#1| $) 71)) (-3364 (((-1157 |#1|) $) 41 (|has| |#1| (-558)))) (-2060 ((|#1| (-1244 $)) 66) ((|#1|) 88)) (-3114 (((-1157 |#1|) $) 62)) (-3487 (((-121)) 56)) (-1893 (((-1143) $) 9)) (-2153 (((-121)) 47)) (-2889 (((-121)) 49)) (-1852 (((-121)) 51)) (-4025 (((-1108) $) 10)) (-3636 (((-121)) 54)) (-2781 ((|#1| $ (-568)) 94)) (-1656 (((-1244 |#1|) $ (-1244 $)) 69) (((-679 |#1|) (-1244 $) (-1244 $)) 68) (((-1244 |#1|) $) 96) (((-679 |#1|) (-1244 $)) 95)) (-4280 (((-1244 |#1|) $) 90) (($ (-1244 |#1|)) 89)) (-2155 (((-634 (-953 |#1|)) (-1244 $)) 77) (((-634 (-953 |#1|))) 92)) (-3985 (($ $ $) 24)) (-3441 (((-121)) 60)) (-2747 (((-850) $) 11)) (-2588 (((-1244 $)) 97)) (-2657 (((-634 (-1244 |#1|))) 42 (|has| |#1| (-558)))) (-2007 (($ $ $ $) 25)) (-3964 (((-121)) 58)) (-3828 (($ (-679 |#1|) $) 80)) (-3911 (($ $ $) 23)) (-2435 (((-121)) 59)) (-2984 (((-121)) 57)) (-3579 (((-121)) 53)) (-3058 (($) 17 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 29)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 26) (($ $ |#1|) 34) (($ |#1| $) 33))) 
-(((-419 |#1|) (-1275) (-172)) (T -419)) 
-((-2588 (*1 *2) (-12 (-4 *3 (-172)) (-5 *2 (-1244 *1)) (-4 *1 (-419 *3)))) (-1656 (*1 *2 *1) (-12 (-4 *1 (-419 *3)) (-4 *3 (-172)) (-5 *2 (-1244 *3)))) (-1656 (*1 *2 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-419 *4)) (-4 *4 (-172)) (-5 *2 (-679 *4)))) (-2781 (*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-419 *2)) (-4 *2 (-172)))) (-3542 (*1 *2) (-12 (-4 *1 (-419 *3)) (-4 *3 (-172)) (-5 *2 (-1244 (-679 *3))))) (-2155 (*1 *2) (-12 (-4 *1 (-419 *3)) (-4 *3 (-172)) (-5 *2 (-634 (-953 *3))))) (-3899 (*1 *1 *2) (-12 (-5 *2 (-1244 *3)) (-4 *3 (-172)) (-4 *1 (-419 *3)))) (-4280 (*1 *2 *1) (-12 (-4 *1 (-419 *3)) (-4 *3 (-172)) (-5 *2 (-1244 *3)))) (-4280 (*1 *1 *2) (-12 (-5 *2 (-1244 *3)) (-4 *3 (-172)) (-4 *1 (-419 *3)))) (-2060 (*1 *2) (-12 (-4 *1 (-419 *2)) (-4 *2 (-172)))) (-2886 (*1 *2) (-12 (-4 *1 (-419 *2)) (-4 *2 (-172)))) (-4134 (*1 *2) (-12 (-4 *1 (-419 *3)) (-4 *3 (-172)) (-5 *2 (-679 *3)))) (-1524 (*1 *2) (-12 (-4 *1 (-419 *3)) (-4 *3 (-172)) (-5 *2 (-679 *3)))) (-3147 (*1 *2 *1) (-12 (-4 *1 (-419 *3)) (-4 *3 (-172)) (-5 *2 (-679 *3)))) (-2235 (*1 *2 *1) (-12 (-4 *1 (-419 *3)) (-4 *3 (-172)) (-5 *2 (-679 *3)))) (-1730 (*1 *2) (-12 (-4 *1 (-419 *3)) (-4 *3 (-172)) (-4 *3 (-365)) (-5 *2 (-1157 (-953 *3))))) (-1503 (*1 *2) (-12 (-4 *1 (-419 *3)) (-4 *3 (-172)) (-4 *3 (-365)) (-5 *2 (-1157 (-953 *3))))) (-3828 (*1 *1 *2 *1) (-12 (-5 *2 (-679 *3)) (-4 *1 (-419 *3)) (-4 *3 (-172))))) 
-(-13 (-369 |t#1|) (-10 -8 (-15 -2588 ((-1244 $))) (-15 -1656 ((-1244 |t#1|) $)) (-15 -1656 ((-679 |t#1|) (-1244 $))) (-15 -2781 (|t#1| $ (-568))) (-15 -3542 ((-1244 (-679 |t#1|)))) (-15 -2155 ((-634 (-953 |t#1|)))) (-15 -3899 ($ (-1244 |t#1|))) (-15 -4280 ((-1244 |t#1|) $)) (-15 -4280 ($ (-1244 |t#1|))) (-15 -2060 (|t#1|)) (-15 -2886 (|t#1|)) (-15 -4134 ((-679 |t#1|))) (-15 -1524 ((-679 |t#1|))) (-15 -3147 ((-679 |t#1|) $)) (-15 -2235 ((-679 |t#1|) $)) (IF (|has| |t#1| (-365)) (PROGN (-15 -1730 ((-1157 (-953 |t#1|)))) (-15 -1503 ((-1157 (-953 |t#1|))))) |noBranch|) (-15 -3828 ($ (-679 |t#1|) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-137) . T) ((-608 (-850)) . T) ((-369 |#1|) . T) ((-637 |#1|) . T) ((-707 |#1|) . T) ((-710) . T) ((-736 |#1|) . T) ((-753) . T) ((-1053 |#1|) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 40)) (-2087 (($ $) 55)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 142)) (-3661 (($ $) NIL)) (-4426 (((-121) $) 34)) (-3591 ((|#1| $) 12)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL (|has| |#1| (-1199)))) (-3498 (((-420 $) $) NIL (|has| |#1| (-1199)))) (-3811 (($ |#1| (-568)) 30)) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-568) "failed") $) NIL (|has| |#1| (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-3 |#1| "failed") $) 112)) (-2857 (((-568) $) NIL (|has| |#1| (-1037 (-568)))) (((-409 (-568)) $) NIL (|has| |#1| (-1037 (-409 (-568))))) ((|#1| $) 53)) (-2902 (((-3 $ "failed") $) 127)) (-3254 (((-3 (-409 (-568)) "failed") $) 61 (|has| |#1| (-550)))) (-1338 (((-121) $) 57 (|has| |#1| (-550)))) (-2394 (((-409 (-568)) $) 59 (|has| |#1| (-550)))) (-2724 (($ |#1| (-568)) 32)) (-2197 (((-121) $) 148 (|has| |#1| (-1199)))) (-1598 (((-121) $) 41)) (-2764 (((-763) $) 36)) (-2515 (((-3 "nil" "sqfr" "irred" "prime") $ (-568)) 133)) (-4167 ((|#1| $ (-568)) 132)) (-4433 (((-568) $ (-568)) 131)) (-4258 (($ |#1| (-568)) 29)) (-2797 (($ (-1 |#1| |#1|) $) 139)) (-2932 (($ |#1| (-634 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-568))))) 56)) (-2498 (($ (-634 $)) NIL (|has| |#1| (-453))) (($ $ $) NIL (|has| |#1| (-453)))) (-1893 (((-1143) $) NIL)) (-2262 (($ |#1| (-568)) 31)) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#1| (-453)))) (-2723 (($ (-634 $)) NIL (|has| |#1| (-453))) (($ $ $) 143 (|has| |#1| (-453)))) (-4159 (($ |#1| (-568) (-3 "nil" "sqfr" "irred" "prime")) 28)) (-2075 (((-634 (-2 (|:| -3850 |#1|) (|:| -3483 (-568)))) $) 52)) (-3935 (((-634 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-568)))) $) 11)) (-3850 (((-420 $) $) NIL (|has| |#1| (-1199)))) (-2597 (((-3 $ "failed") $ $) 134)) (-3483 (((-568) $) 128)) (-2791 ((|#1| $) 54)) (-1339 (($ $ (-634 |#1|) (-634 |#1|)) NIL (|has| |#1| (-303 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-303 |#1|))) (($ $ (-288 |#1|)) NIL (|has| |#1| (-303 |#1|))) (($ $ (-634 (-288 |#1|))) 76 (|has| |#1| (-303 |#1|))) (($ $ (-634 (-1161)) (-634 |#1|)) 81 (|has| |#1| (-523 (-1161) |#1|))) (($ $ (-1161) |#1|) NIL (|has| |#1| (-523 (-1161) |#1|))) (($ $ (-1161) $) NIL (|has| |#1| (-523 (-1161) $))) (($ $ (-634 (-1161)) (-634 $)) 82 (|has| |#1| (-523 (-1161) $))) (($ $ (-634 (-288 $))) 78 (|has| |#1| (-303 $))) (($ $ (-288 $)) NIL (|has| |#1| (-303 $))) (($ $ $ $) NIL (|has| |#1| (-303 $))) (($ $ (-634 $) (-634 $)) NIL (|has| |#1| (-303 $)))) (-2781 (($ $ |#1|) 68 (|has| |#1| (-281 |#1| |#1|))) (($ $ $) 69 (|has| |#1| (-281 $ $)))) (-4191 (($ $) NIL (|has| |#1| (-225))) (($ $ (-763)) NIL (|has| |#1| (-225))) (($ $ (-1161)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) NIL) (($ $ (-1 |#1| |#1|)) 138)) (-4280 (((-541) $) 26 (|has| |#1| (-609 (-541)))) (((-381) $) 88 (|has| |#1| (-1021))) (((-215) $) 91 (|has| |#1| (-1021)))) (-2747 (((-850) $) 110) (($ (-568)) 44) (($ $) NIL) (($ |#1|) 43) (($ (-409 (-568))) NIL (|has| |#1| (-1037 (-409 (-568)))))) (-3425 (((-763)) 46)) (-2273 (((-121) $ $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 38 T CONST)) (-1557 (($) 37 T CONST)) (-3192 (($ $) NIL (|has| |#1| (-225))) (($ $ (-763)) NIL (|has| |#1| (-225))) (($ $ (-1161)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1719 (((-121) $ $) 92)) (-1775 (($ $) 124) (($ $ $) NIL)) (-1769 (($ $ $) 136)) (** (($ $ (-917)) NIL) (($ $ (-763)) 98)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 48) (($ $ $) 47) (($ |#1| $) 49) (($ $ |#1|) NIL))) 
-(((-420 |#1|) (-13 (-558) (-223 |#1|) (-43 |#1|) (-336 |#1|) (-413 |#1|) (-10 -8 (-15 -2791 (|#1| $)) (-15 -3483 ((-568) $)) (-15 -2932 ($ |#1| (-634 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-568)))))) (-15 -3935 ((-634 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-568)))) $)) (-15 -4258 ($ |#1| (-568))) (-15 -2075 ((-634 (-2 (|:| -3850 |#1|) (|:| -3483 (-568)))) $)) (-15 -2262 ($ |#1| (-568))) (-15 -4433 ((-568) $ (-568))) (-15 -4167 (|#1| $ (-568))) (-15 -2515 ((-3 "nil" "sqfr" "irred" "prime") $ (-568))) (-15 -2764 ((-763) $)) (-15 -2724 ($ |#1| (-568))) (-15 -3811 ($ |#1| (-568))) (-15 -4159 ($ |#1| (-568) (-3 "nil" "sqfr" "irred" "prime"))) (-15 -3591 (|#1| $)) (-15 -2087 ($ $)) (-15 -2797 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-453)) (-6 (-453)) |noBranch|) (IF (|has| |#1| (-1021)) (-6 (-1021)) |noBranch|) (IF (|has| |#1| (-1199)) (-6 (-1199)) |noBranch|) (IF (|has| |#1| (-609 (-541))) (-6 (-609 (-541))) |noBranch|) (IF (|has| |#1| (-550)) (PROGN (-15 -1338 ((-121) $)) (-15 -2394 ((-409 (-568)) $)) (-15 -3254 ((-3 (-409 (-568)) "failed") $))) |noBranch|) (IF (|has| |#1| (-281 $ $)) (-6 (-281 $ $)) |noBranch|) (IF (|has| |#1| (-303 $)) (-6 (-303 $)) |noBranch|) (IF (|has| |#1| (-523 (-1161) $)) (-6 (-523 (-1161) $)) |noBranch|))) (-558)) (T -420)) 
-((-2797 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-558)) (-5 *1 (-420 *3)))) (-2791 (*1 *2 *1) (-12 (-5 *1 (-420 *2)) (-4 *2 (-558)))) (-3483 (*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-420 *3)) (-4 *3 (-558)))) (-2932 (*1 *1 *2 *3) (-12 (-5 *3 (-634 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *2) (|:| |xpnt| (-568))))) (-4 *2 (-558)) (-5 *1 (-420 *2)))) (-3935 (*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *3) (|:| |xpnt| (-568))))) (-5 *1 (-420 *3)) (-4 *3 (-558)))) (-4258 (*1 *1 *2 *3) (-12 (-5 *3 (-568)) (-5 *1 (-420 *2)) (-4 *2 (-558)))) (-2075 (*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| -3850 *3) (|:| -3483 (-568))))) (-5 *1 (-420 *3)) (-4 *3 (-558)))) (-2262 (*1 *1 *2 *3) (-12 (-5 *3 (-568)) (-5 *1 (-420 *2)) (-4 *2 (-558)))) (-4433 (*1 *2 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-420 *3)) (-4 *3 (-558)))) (-4167 (*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-5 *1 (-420 *2)) (-4 *2 (-558)))) (-2515 (*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-5 *2 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-420 *4)) (-4 *4 (-558)))) (-2764 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-420 *3)) (-4 *3 (-558)))) (-2724 (*1 *1 *2 *3) (-12 (-5 *3 (-568)) (-5 *1 (-420 *2)) (-4 *2 (-558)))) (-3811 (*1 *1 *2 *3) (-12 (-5 *3 (-568)) (-5 *1 (-420 *2)) (-4 *2 (-558)))) (-4159 (*1 *1 *2 *3 *4) (-12 (-5 *3 (-568)) (-5 *4 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-420 *2)) (-4 *2 (-558)))) (-3591 (*1 *2 *1) (-12 (-5 *1 (-420 *2)) (-4 *2 (-558)))) (-2087 (*1 *1 *1) (-12 (-5 *1 (-420 *2)) (-4 *2 (-558)))) (-1338 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-420 *3)) (-4 *3 (-550)) (-4 *3 (-558)))) (-2394 (*1 *2 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-420 *3)) (-4 *3 (-550)) (-4 *3 (-558)))) (-3254 (*1 *2 *1) (|partial| -12 (-5 *2 (-409 (-568))) (-5 *1 (-420 *3)) (-4 *3 (-550)) (-4 *3 (-558))))) 
-(-13 (-558) (-223 |#1|) (-43 |#1|) (-336 |#1|) (-413 |#1|) (-10 -8 (-15 -2791 (|#1| $)) (-15 -3483 ((-568) $)) (-15 -2932 ($ |#1| (-634 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-568)))))) (-15 -3935 ((-634 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-568)))) $)) (-15 -4258 ($ |#1| (-568))) (-15 -2075 ((-634 (-2 (|:| -3850 |#1|) (|:| -3483 (-568)))) $)) (-15 -2262 ($ |#1| (-568))) (-15 -4433 ((-568) $ (-568))) (-15 -4167 (|#1| $ (-568))) (-15 -2515 ((-3 "nil" "sqfr" "irred" "prime") $ (-568))) (-15 -2764 ((-763) $)) (-15 -2724 ($ |#1| (-568))) (-15 -3811 ($ |#1| (-568))) (-15 -4159 ($ |#1| (-568) (-3 "nil" "sqfr" "irred" "prime"))) (-15 -3591 (|#1| $)) (-15 -2087 ($ $)) (-15 -2797 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-453)) (-6 (-453)) |noBranch|) (IF (|has| |#1| (-1021)) (-6 (-1021)) |noBranch|) (IF (|has| |#1| (-1199)) (-6 (-1199)) |noBranch|) (IF (|has| |#1| (-609 (-541))) (-6 (-609 (-541))) |noBranch|) (IF (|has| |#1| (-550)) (PROGN (-15 -1338 ((-121) $)) (-15 -2394 ((-409 (-568)) $)) (-15 -3254 ((-3 (-409 (-568)) "failed") $))) |noBranch|) (IF (|has| |#1| (-281 $ $)) (-6 (-281 $ $)) |noBranch|) (IF (|has| |#1| (-303 $)) (-6 (-303 $)) |noBranch|) (IF (|has| |#1| (-523 (-1161) $)) (-6 (-523 (-1161) $)) |noBranch|))) 
-((-1642 (((-420 |#1|) (-420 |#1|) (-1 (-420 |#1|) |#1|)) 20)) (-3484 (((-420 |#1|) (-420 |#1|) (-420 |#1|)) 15))) 
-(((-421 |#1|) (-10 -7 (-15 -1642 ((-420 |#1|) (-420 |#1|) (-1 (-420 |#1|) |#1|))) (-15 -3484 ((-420 |#1|) (-420 |#1|) (-420 |#1|)))) (-558)) (T -421)) 
-((-3484 (*1 *2 *2 *2) (-12 (-5 *2 (-420 *3)) (-4 *3 (-558)) (-5 *1 (-421 *3)))) (-1642 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-420 *4) *4)) (-4 *4 (-558)) (-5 *2 (-420 *4)) (-5 *1 (-421 *4))))) 
-(-10 -7 (-15 -1642 ((-420 |#1|) (-420 |#1|) (-1 (-420 |#1|) |#1|))) (-15 -3484 ((-420 |#1|) (-420 |#1|) (-420 |#1|)))) 
-((-2030 ((|#2| |#2|) 160)) (-2706 (((-3 (|:| |%expansion| (-307 |#1| |#2| |#3| |#4|)) (|:| |%problem| (-2 (|:| |func| (-1143)) (|:| |prob| (-1143))))) |#2| (-121)) 55))) 
-(((-422 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2706 ((-3 (|:| |%expansion| (-307 |#1| |#2| |#3| |#4|)) (|:| |%problem| (-2 (|:| |func| (-1143)) (|:| |prob| (-1143))))) |#2| (-121))) (-15 -2030 (|#2| |#2|))) (-13 (-453) (-842) (-1037 (-568)) (-630 (-568))) (-13 (-27) (-1181) (-432 |#1|)) (-1161) |#2|) (T -422)) 
-((-2030 (*1 *2 *2) (-12 (-4 *3 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-422 *3 *2 *4 *5)) (-4 *2 (-13 (-27) (-1181) (-432 *3))) (-14 *4 (-1161)) (-14 *5 *2))) (-2706 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-3 (|:| |%expansion| (-307 *5 *3 *6 *7)) (|:| |%problem| (-2 (|:| |func| (-1143)) (|:| |prob| (-1143)))))) (-5 *1 (-422 *5 *3 *6 *7)) (-4 *3 (-13 (-27) (-1181) (-432 *5))) (-14 *6 (-1161)) (-14 *7 *3)))) 
-(-10 -7 (-15 -2706 ((-3 (|:| |%expansion| (-307 |#1| |#2| |#3| |#4|)) (|:| |%problem| (-2 (|:| |func| (-1143)) (|:| |prob| (-1143))))) |#2| (-121))) (-15 -2030 (|#2| |#2|))) 
-((-2797 ((|#4| (-1 |#3| |#1|) |#2|) 11))) 
-(((-423 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2797 (|#4| (-1 |#3| |#1|) |#2|))) (-13 (-1047) (-842)) (-432 |#1|) (-13 (-1047) (-842)) (-432 |#3|)) (T -423)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-13 (-1047) (-842))) (-4 *6 (-13 (-1047) (-842))) (-4 *2 (-432 *6)) (-5 *1 (-423 *5 *4 *6 *2)) (-4 *4 (-432 *5))))) 
-(-10 -7 (-15 -2797 (|#4| (-1 |#3| |#1|) |#2|))) 
-((-2030 ((|#2| |#2|) 87)) (-1323 (((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1143)) (|:| |prob| (-1143))))) |#2| (-121) (-1143)) 46)) (-3418 (((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1143)) (|:| |prob| (-1143))))) |#2| (-121) (-1143)) 152))) 
-(((-424 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -1323 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1143)) (|:| |prob| (-1143))))) |#2| (-121) (-1143))) (-15 -3418 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1143)) (|:| |prob| (-1143))))) |#2| (-121) (-1143))) (-15 -2030 (|#2| |#2|))) (-13 (-453) (-842) (-1037 (-568)) (-630 (-568))) (-13 (-27) (-1181) (-432 |#1|) (-10 -8 (-15 -2747 ($ |#3|)))) (-840) (-13 (-1221 |#2| |#3|) (-365) (-1181) (-10 -8 (-15 -4191 ($ $)) (-15 -1845 ($ $)))) (-984 |#4|) (-1161)) (T -424)) 
-((-2030 (*1 *2 *2) (-12 (-4 *3 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-4 *2 (-13 (-27) (-1181) (-432 *3) (-10 -8 (-15 -2747 ($ *4))))) (-4 *4 (-840)) (-4 *5 (-13 (-1221 *2 *4) (-365) (-1181) (-10 -8 (-15 -4191 ($ $)) (-15 -1845 ($ $))))) (-5 *1 (-424 *3 *2 *4 *5 *6 *7)) (-4 *6 (-984 *5)) (-14 *7 (-1161)))) (-3418 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-121)) (-4 *6 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-4 *3 (-13 (-27) (-1181) (-432 *6) (-10 -8 (-15 -2747 ($ *7))))) (-4 *7 (-840)) (-4 *8 (-13 (-1221 *3 *7) (-365) (-1181) (-10 -8 (-15 -4191 ($ $)) (-15 -1845 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1143)) (|:| |prob| (-1143)))))) (-5 *1 (-424 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1143)) (-4 *9 (-984 *8)) (-14 *10 (-1161)))) (-1323 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-121)) (-4 *6 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-4 *3 (-13 (-27) (-1181) (-432 *6) (-10 -8 (-15 -2747 ($ *7))))) (-4 *7 (-840)) (-4 *8 (-13 (-1221 *3 *7) (-365) (-1181) (-10 -8 (-15 -4191 ($ $)) (-15 -1845 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1143)) (|:| |prob| (-1143)))))) (-5 *1 (-424 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1143)) (-4 *9 (-984 *8)) (-14 *10 (-1161))))) 
-(-10 -7 (-15 -1323 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1143)) (|:| |prob| (-1143))))) |#2| (-121) (-1143))) (-15 -3418 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1143)) (|:| |prob| (-1143))))) |#2| (-121) (-1143))) (-15 -2030 (|#2| |#2|))) 
-((-1678 ((|#4| (-1 |#3| |#1| |#3|) |#2| |#3|) 22)) (-3094 ((|#3| (-1 |#3| |#1| |#3|) |#2| |#3|) 20)) (-2797 ((|#4| (-1 |#3| |#1|) |#2|) 17))) 
-(((-425 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2797 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -3094 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -1678 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) (-1090) (-427 |#1|) (-1090) (-427 |#3|)) (T -425)) 
-((-1678 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1090)) (-4 *5 (-1090)) (-4 *2 (-427 *5)) (-5 *1 (-425 *6 *4 *5 *2)) (-4 *4 (-427 *6)))) (-3094 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1090)) (-4 *2 (-1090)) (-5 *1 (-425 *5 *4 *2 *6)) (-4 *4 (-427 *5)) (-4 *6 (-427 *2)))) (-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *2 (-427 *6)) (-5 *1 (-425 *5 *4 *6 *2)) (-4 *4 (-427 *5))))) 
-(-10 -7 (-15 -2797 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -3094 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -1678 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) 
-((-1611 (($) 44)) (-1793 (($ |#2| $) NIL) (($ $ |#2|) NIL) (($ $ $) 40)) (-4217 (($ $ $) 39)) (-1430 (((-121) $ $) 28)) (-3986 (((-763)) 47)) (-2751 (($ (-634 |#2|)) 20) (($) NIL)) (-1733 (($) 53)) (-1732 ((|#2| $) 61)) (-2047 ((|#2| $) 59)) (-2291 (((-917) $) 55)) (-1864 (($ $ $) 35)) (-4357 (($ (-917)) 50)) (-1363 (($ $ |#2|) NIL) (($ $ $) 38)) (-4170 (((-763) (-1 (-121) |#2|) $) NIL) (((-763) |#2| $) 26)) (-4289 (($ (-634 |#2|)) 24)) (-3695 (($ $) 46)) (-2747 (((-850) $) 33)) (-2429 (((-763) $) 21)) (-3846 (($ (-634 |#2|)) 19) (($) NIL)) (-1719 (((-121) $ $) 16)) (-1734 (((-121) $ $) 13))) 
-(((-426 |#1| |#2|) (-10 -8 (-15 -3986 ((-763))) (-15 -4357 (|#1| (-917))) (-15 -2291 ((-917) |#1|)) (-15 -1733 (|#1|)) (-15 -1732 (|#2| |#1|)) (-15 -2047 (|#2| |#1|)) (-15 -1611 (|#1|)) (-15 -3695 (|#1| |#1|)) (-15 -2429 ((-763) |#1|)) (-15 -1719 ((-121) |#1| |#1|)) (-15 -2747 ((-850) |#1|)) (-15 -1734 ((-121) |#1| |#1|)) (-15 -3846 (|#1|)) (-15 -3846 (|#1| (-634 |#2|))) (-15 -2751 (|#1|)) (-15 -2751 (|#1| (-634 |#2|))) (-15 -1864 (|#1| |#1| |#1|)) (-15 -1363 (|#1| |#1| |#1|)) (-15 -1363 (|#1| |#1| |#2|)) (-15 -4217 (|#1| |#1| |#1|)) (-15 -1430 ((-121) |#1| |#1|)) (-15 -1793 (|#1| |#1| |#1|)) (-15 -1793 (|#1| |#1| |#2|)) (-15 -1793 (|#1| |#2| |#1|)) (-15 -4289 (|#1| (-634 |#2|))) (-15 -4170 ((-763) |#2| |#1|)) (-15 -4170 ((-763) (-1 (-121) |#2|) |#1|))) (-427 |#2|) (-1090)) (T -426)) 
-((-3986 (*1 *2) (-12 (-4 *4 (-1090)) (-5 *2 (-763)) (-5 *1 (-426 *3 *4)) (-4 *3 (-427 *4))))) 
-(-10 -8 (-15 -3986 ((-763))) (-15 -4357 (|#1| (-917))) (-15 -2291 ((-917) |#1|)) (-15 -1733 (|#1|)) (-15 -1732 (|#2| |#1|)) (-15 -2047 (|#2| |#1|)) (-15 -1611 (|#1|)) (-15 -3695 (|#1| |#1|)) (-15 -2429 ((-763) |#1|)) (-15 -1719 ((-121) |#1| |#1|)) (-15 -2747 ((-850) |#1|)) (-15 -1734 ((-121) |#1| |#1|)) (-15 -3846 (|#1|)) (-15 -3846 (|#1| (-634 |#2|))) (-15 -2751 (|#1|)) (-15 -2751 (|#1| (-634 |#2|))) (-15 -1864 (|#1| |#1| |#1|)) (-15 -1363 (|#1| |#1| |#1|)) (-15 -1363 (|#1| |#1| |#2|)) (-15 -4217 (|#1| |#1| |#1|)) (-15 -1430 ((-121) |#1| |#1|)) (-15 -1793 (|#1| |#1| |#1|)) (-15 -1793 (|#1| |#1| |#2|)) (-15 -1793 (|#1| |#2| |#1|)) (-15 -4289 (|#1| (-634 |#2|))) (-15 -4170 ((-763) |#2| |#1|)) (-15 -4170 ((-763) (-1 (-121) |#2|) |#1|))) 
-((-2449 (((-121) $ $) 18)) (-1611 (($) 63 (|has| |#1| (-370)))) (-1793 (($ |#1| $) 78) (($ $ |#1|) 77) (($ $ $) 76)) (-4217 (($ $ $) 74)) (-1430 (((-121) $ $) 75)) (-1667 (((-121) $ (-763)) 8)) (-3986 (((-763)) 57 (|has| |#1| (-370)))) (-2751 (($ (-634 |#1|)) 70) (($) 69)) (-3963 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4521)))) (-2803 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4521)))) (-4490 (($) 7 T CONST)) (-3926 (($ $) 55 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-1568 (($ |#1| $) 44 (|has| $ (-6 -4521))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4521)))) (-4330 (($ |#1| $) 54 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4521)))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4521)))) (-1733 (($) 60 (|has| |#1| (-370)))) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) 9)) (-1732 ((|#1| $) 61 (|has| |#1| (-842)))) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-2047 ((|#1| $) 62 (|has| |#1| (-842)))) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35)) (-2291 (((-917) $) 59 (|has| |#1| (-370)))) (-3796 (((-121) $ (-763)) 10)) (-1893 (((-1143) $) 22)) (-1864 (($ $ $) 71)) (-2580 ((|#1| $) 36)) (-1708 (($ |#1| $) 37)) (-4357 (($ (-917)) 58 (|has| |#1| (-370)))) (-4025 (((-1108) $) 21)) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-3403 ((|#1| $) 38)) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-1363 (($ $ |#1|) 73) (($ $ $) 72)) (-3132 (($) 46) (($ (-634 |#1|)) 45)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-4280 (((-541) $) 56 (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) 47)) (-3695 (($ $) 64 (|has| |#1| (-370)))) (-2747 (((-850) $) 20)) (-2429 (((-763) $) 65)) (-3846 (($ (-634 |#1|)) 68) (($) 67)) (-4074 (($ (-634 |#1|)) 39)) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 19)) (-1734 (((-121) $ $) 66)) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-427 |#1|) (-1275) (-1090)) (T -427)) 
-((-2429 (*1 *2 *1) (-12 (-4 *1 (-427 *3)) (-4 *3 (-1090)) (-5 *2 (-763)))) (-3695 (*1 *1 *1) (-12 (-4 *1 (-427 *2)) (-4 *2 (-1090)) (-4 *2 (-370)))) (-1611 (*1 *1) (-12 (-4 *1 (-427 *2)) (-4 *2 (-370)) (-4 *2 (-1090)))) (-2047 (*1 *2 *1) (-12 (-4 *1 (-427 *2)) (-4 *2 (-1090)) (-4 *2 (-842)))) (-1732 (*1 *2 *1) (-12 (-4 *1 (-427 *2)) (-4 *2 (-1090)) (-4 *2 (-842))))) 
-(-13 (-221 |t#1|) (-1087 |t#1|) (-10 -8 (-6 -4521) (-15 -2429 ((-763) $)) (IF (|has| |t#1| (-370)) (PROGN (-6 (-370)) (-15 -3695 ($ $)) (-15 -1611 ($))) |noBranch|) (IF (|has| |t#1| (-842)) (PROGN (-15 -2047 (|t#1| $)) (-15 -1732 (|t#1| $))) |noBranch|))) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) . T) ((-608 (-850)) . T) ((-154 |#1|) . T) ((-609 (-541)) |has| |#1| (-609 (-541))) ((-221 |#1|) . T) ((-227 |#1|) . T) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-370) |has| |#1| (-370)) ((-499 |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-1087 |#1|) . T) ((-1090) . T) ((-1195) . T)) 
-((-3470 (((-585 |#2|) |#2| (-1161)) 35)) (-1284 (((-585 |#2|) |#2| (-1161)) 19)) (-2789 ((|#2| |#2| (-1161)) 24))) 
-(((-428 |#1| |#2|) (-10 -7 (-15 -1284 ((-585 |#2|) |#2| (-1161))) (-15 -3470 ((-585 |#2|) |#2| (-1161))) (-15 -2789 (|#2| |#2| (-1161)))) (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568))) (-13 (-1181) (-29 |#1|))) (T -428)) 
-((-2789 (*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-428 *4 *2)) (-4 *2 (-13 (-1181) (-29 *4))))) (-3470 (*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-585 *3)) (-5 *1 (-428 *5 *3)) (-4 *3 (-13 (-1181) (-29 *5))))) (-1284 (*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-585 *3)) (-5 *1 (-428 *5 *3)) (-4 *3 (-13 (-1181) (-29 *5)))))) 
-(-10 -7 (-15 -1284 ((-585 |#2|) |#2| (-1161))) (-15 -3470 ((-585 |#2|) |#2| (-1161))) (-15 -2789 (|#2| |#2| (-1161)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-2902 (((-3 $ "failed") $) NIL)) (-1598 (((-121) $) NIL)) (-4215 (($ |#2| |#1|) 35)) (-3401 (($ |#2| |#1|) 33)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ |#1|) NIL) (($ (-329 |#2|)) 25)) (-3425 (((-763)) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 10 T CONST)) (-1557 (($) 16 T CONST)) (-1719 (((-121) $ $) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) 34)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 36) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-429 |#1| |#2|) (-13 (-43 |#1|) (-10 -8 (IF (|has| |#2| (-6 -4508)) (IF (|has| |#1| (-6 -4508)) (-6 -4508) |noBranch|) |noBranch|) (-15 -2747 ($ |#1|)) (-15 -2747 ($ (-329 |#2|))) (-15 -4215 ($ |#2| |#1|)) (-15 -3401 ($ |#2| |#1|)))) (-13 (-172) (-43 (-409 (-568)))) (-13 (-842) (-21))) (T -429)) 
-((-2747 (*1 *1 *2) (-12 (-5 *1 (-429 *2 *3)) (-4 *2 (-13 (-172) (-43 (-409 (-568))))) (-4 *3 (-13 (-842) (-21))))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-329 *4)) (-4 *4 (-13 (-842) (-21))) (-5 *1 (-429 *3 *4)) (-4 *3 (-13 (-172) (-43 (-409 (-568))))))) (-4215 (*1 *1 *2 *3) (-12 (-5 *1 (-429 *3 *2)) (-4 *3 (-13 (-172) (-43 (-409 (-568))))) (-4 *2 (-13 (-842) (-21))))) (-3401 (*1 *1 *2 *3) (-12 (-5 *1 (-429 *3 *2)) (-4 *3 (-13 (-172) (-43 (-409 (-568))))) (-4 *2 (-13 (-842) (-21)))))) 
-(-13 (-43 |#1|) (-10 -8 (IF (|has| |#2| (-6 -4508)) (IF (|has| |#1| (-6 -4508)) (-6 -4508) |noBranch|) |noBranch|) (-15 -2747 ($ |#1|)) (-15 -2747 ($ (-329 |#2|))) (-15 -4215 ($ |#2| |#1|)) (-15 -3401 ($ |#2| |#1|)))) 
-((-1845 (((-3 |#2| (-634 |#2|)) |#2| (-1161)) 104))) 
-(((-430 |#1| |#2|) (-10 -7 (-15 -1845 ((-3 |#2| (-634 |#2|)) |#2| (-1161)))) (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568))) (-13 (-1181) (-959) (-29 |#1|))) (T -430)) 
-((-1845 (*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-3 *3 (-634 *3))) (-5 *1 (-430 *5 *3)) (-4 *3 (-13 (-1181) (-959) (-29 *5)))))) 
-(-10 -7 (-15 -1845 ((-3 |#2| (-634 |#2|)) |#2| (-1161)))) 
-((-2057 (((-634 (-1161)) $) 72)) (-3840 (((-409 (-1157 $)) $ (-607 $)) 268)) (-4069 (($ $ (-288 $)) NIL) (($ $ (-634 (-288 $))) NIL) (($ $ (-634 (-607 $)) (-634 $)) 233)) (-3668 (((-3 (-607 $) "failed") $) NIL) (((-3 (-1161) "failed") $) 75) (((-3 (-568) "failed") $) NIL) (((-3 |#2| "failed") $) 229) (((-3 (-409 (-953 |#2|)) "failed") $) 319) (((-3 (-953 |#2|) "failed") $) 231) (((-3 (-409 (-568)) "failed") $) NIL)) (-2857 (((-607 $) $) NIL) (((-1161) $) 30) (((-568) $) NIL) ((|#2| $) 227) (((-409 (-953 |#2|)) $) 300) (((-953 |#2|) $) 228) (((-409 (-568)) $) NIL)) (-3842 (((-123) (-123)) 47)) (-3539 (($ $) 87)) (-2337 (((-3 (-607 $) "failed") $) 224)) (-3832 (((-634 (-607 $)) $) 225)) (-4362 (((-3 (-634 $) "failed") $) 243)) (-4495 (((-3 (-2 (|:| |val| $) (|:| -3483 (-568))) "failed") $) 250)) (-2112 (((-3 (-634 $) "failed") $) 241)) (-2240 (((-3 (-2 (|:| -2350 (-568)) (|:| |var| (-607 $))) "failed") $) 259)) (-2617 (((-3 (-2 (|:| |var| (-607 $)) (|:| -3483 (-568))) "failed") $) 247) (((-3 (-2 (|:| |var| (-607 $)) (|:| -3483 (-568))) "failed") $ (-123)) 214) (((-3 (-2 (|:| |var| (-607 $)) (|:| -3483 (-568))) "failed") $ (-1161)) 216)) (-2088 (((-121) $) 19)) (-2093 ((|#2| $) 21)) (-1339 (($ $ (-607 $) $) NIL) (($ $ (-634 (-607 $)) (-634 $)) 232) (($ $ (-634 (-288 $))) NIL) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL) (($ $ (-634 (-1161)) (-634 (-1 $ $))) NIL) (($ $ (-634 (-1161)) (-634 (-1 $ (-634 $)))) 96) (($ $ (-1161) (-1 $ (-634 $))) NIL) (($ $ (-1161) (-1 $ $)) NIL) (($ $ (-634 (-123)) (-634 (-1 $ $))) NIL) (($ $ (-634 (-123)) (-634 (-1 $ (-634 $)))) NIL) (($ $ (-123) (-1 $ (-634 $))) NIL) (($ $ (-123) (-1 $ $)) NIL) (($ $ (-1161)) 57) (($ $ (-634 (-1161))) 236) (($ $) 237) (($ $ (-123) $ (-1161)) 60) (($ $ (-634 (-123)) (-634 $) (-1161)) 67) (($ $ (-634 (-1161)) (-634 (-763)) (-634 (-1 $ $))) 107) (($ $ (-634 (-1161)) (-634 (-763)) (-634 (-1 $ (-634 $)))) 238) (($ $ (-1161) (-763) (-1 $ (-634 $))) 94) (($ $ (-1161) (-763) (-1 $ $)) 93)) (-2781 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-634 $)) 106)) (-4191 (($ $ (-634 (-1161)) (-634 (-763))) NIL) (($ $ (-1161) (-763)) NIL) (($ $ (-634 (-1161))) NIL) (($ $ (-1161)) 234)) (-3210 (($ $) 279)) (-4280 (((-887 (-568)) $) 253) (((-887 (-381)) $) 256) (($ (-420 $)) 315) (((-541) $) NIL)) (-2747 (((-850) $) 235) (($ (-607 $)) 84) (($ (-1161)) 26) (($ |#2|) NIL) (($ (-1113 |#2| (-607 $))) NIL) (($ (-409 |#2|)) 284) (($ (-953 (-409 |#2|))) 324) (($ (-409 (-953 (-409 |#2|)))) 296) (($ (-409 (-953 |#2|))) 290) (($ $) NIL) (($ (-953 |#2|)) 183) (($ (-409 (-568))) 329) (($ (-568)) NIL)) (-3425 (((-763)) 79)) (-2779 (((-121) (-123)) 41)) (-3060 (($ (-1161) $) 33) (($ (-1161) $ $) 34) (($ (-1161) $ $ $) 35) (($ (-1161) $ $ $ $) 36) (($ (-1161) (-634 $)) 39)) (* (($ (-409 (-568)) $) NIL) (($ $ (-409 (-568))) NIL) (($ |#2| $) 261) (($ $ |#2|) NIL) (($ $ $) NIL) (($ (-568) $) NIL) (($ (-763) $) NIL) (($ (-917) $) NIL))) 
-(((-431 |#1| |#2|) (-10 -8 (-15 * (|#1| (-917) |#1|)) (-15 * (|#1| (-763) |#1|)) (-15 * (|#1| (-568) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -3425 ((-763))) (-15 -2747 (|#1| (-568))) (-15 -2857 ((-409 (-568)) |#1|)) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2747 (|#1| (-409 (-568)))) (-15 -4280 ((-541) |#1|)) (-15 -2857 ((-953 |#2|) |#1|)) (-15 -3668 ((-3 (-953 |#2|) "failed") |#1|)) (-15 -2747 (|#1| (-953 |#2|))) (-15 -4191 (|#1| |#1| (-1161))) (-15 -4191 (|#1| |#1| (-634 (-1161)))) (-15 -4191 (|#1| |#1| (-1161) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)) (-634 (-763)))) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -2747 (|#1| |#1|)) (-15 * (|#1| |#1| (-409 (-568)))) (-15 * (|#1| (-409 (-568)) |#1|)) (-15 -2857 ((-409 (-953 |#2|)) |#1|)) (-15 -3668 ((-3 (-409 (-953 |#2|)) "failed") |#1|)) (-15 -2747 (|#1| (-409 (-953 |#2|)))) (-15 -3840 ((-409 (-1157 |#1|)) |#1| (-607 |#1|))) (-15 -2747 (|#1| (-409 (-953 (-409 |#2|))))) (-15 -2747 (|#1| (-953 (-409 |#2|)))) (-15 -2747 (|#1| (-409 |#2|))) (-15 -3210 (|#1| |#1|)) (-15 -4280 (|#1| (-420 |#1|))) (-15 -1339 (|#1| |#1| (-1161) (-763) (-1 |#1| |#1|))) (-15 -1339 (|#1| |#1| (-1161) (-763) (-1 |#1| (-634 |#1|)))) (-15 -1339 (|#1| |#1| (-634 (-1161)) (-634 (-763)) (-634 (-1 |#1| (-634 |#1|))))) (-15 -1339 (|#1| |#1| (-634 (-1161)) (-634 (-763)) (-634 (-1 |#1| |#1|)))) (-15 -4495 ((-3 (-2 (|:| |val| |#1|) (|:| -3483 (-568))) "failed") |#1|)) (-15 -2617 ((-3 (-2 (|:| |var| (-607 |#1|)) (|:| -3483 (-568))) "failed") |#1| (-1161))) (-15 -2617 ((-3 (-2 (|:| |var| (-607 |#1|)) (|:| -3483 (-568))) "failed") |#1| (-123))) (-15 -3539 (|#1| |#1|)) (-15 -2747 (|#1| (-1113 |#2| (-607 |#1|)))) (-15 -2240 ((-3 (-2 (|:| -2350 (-568)) (|:| |var| (-607 |#1|))) "failed") |#1|)) (-15 -2112 ((-3 (-634 |#1|) "failed") |#1|)) (-15 -2617 ((-3 (-2 (|:| |var| (-607 |#1|)) (|:| -3483 (-568))) "failed") |#1|)) (-15 -4362 ((-3 (-634 |#1|) "failed") |#1|)) (-15 -1339 (|#1| |#1| (-634 (-123)) (-634 |#1|) (-1161))) (-15 -1339 (|#1| |#1| (-123) |#1| (-1161))) (-15 -1339 (|#1| |#1|)) (-15 -1339 (|#1| |#1| (-634 (-1161)))) (-15 -1339 (|#1| |#1| (-1161))) (-15 -3060 (|#1| (-1161) (-634 |#1|))) (-15 -3060 (|#1| (-1161) |#1| |#1| |#1| |#1|)) (-15 -3060 (|#1| (-1161) |#1| |#1| |#1|)) (-15 -3060 (|#1| (-1161) |#1| |#1|)) (-15 -3060 (|#1| (-1161) |#1|)) (-15 -2057 ((-634 (-1161)) |#1|)) (-15 -2093 (|#2| |#1|)) (-15 -2088 ((-121) |#1|)) (-15 -2857 (|#2| |#1|)) (-15 -3668 ((-3 |#2| "failed") |#1|)) (-15 -2747 (|#1| |#2|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -2857 ((-568) |#1|)) (-15 -4280 ((-887 (-381)) |#1|)) (-15 -4280 ((-887 (-568)) |#1|)) (-15 -2857 ((-1161) |#1|)) (-15 -3668 ((-3 (-1161) "failed") |#1|)) (-15 -2747 (|#1| (-1161))) (-15 -1339 (|#1| |#1| (-123) (-1 |#1| |#1|))) (-15 -1339 (|#1| |#1| (-123) (-1 |#1| (-634 |#1|)))) (-15 -1339 (|#1| |#1| (-634 (-123)) (-634 (-1 |#1| (-634 |#1|))))) (-15 -1339 (|#1| |#1| (-634 (-123)) (-634 (-1 |#1| |#1|)))) (-15 -1339 (|#1| |#1| (-1161) (-1 |#1| |#1|))) (-15 -1339 (|#1| |#1| (-1161) (-1 |#1| (-634 |#1|)))) (-15 -1339 (|#1| |#1| (-634 (-1161)) (-634 (-1 |#1| (-634 |#1|))))) (-15 -1339 (|#1| |#1| (-634 (-1161)) (-634 (-1 |#1| |#1|)))) (-15 -2779 ((-121) (-123))) (-15 -3842 ((-123) (-123))) (-15 -3832 ((-634 (-607 |#1|)) |#1|)) (-15 -2337 ((-3 (-607 |#1|) "failed") |#1|)) (-15 -4069 (|#1| |#1| (-634 (-607 |#1|)) (-634 |#1|))) (-15 -4069 (|#1| |#1| (-634 (-288 |#1|)))) (-15 -4069 (|#1| |#1| (-288 |#1|))) (-15 -2781 (|#1| (-123) (-634 |#1|))) (-15 -2781 (|#1| (-123) |#1| |#1| |#1| |#1|)) (-15 -2781 (|#1| (-123) |#1| |#1| |#1|)) (-15 -2781 (|#1| (-123) |#1| |#1|)) (-15 -2781 (|#1| (-123) |#1|)) (-15 -1339 (|#1| |#1| (-634 |#1|) (-634 |#1|))) (-15 -1339 (|#1| |#1| |#1| |#1|)) (-15 -1339 (|#1| |#1| (-288 |#1|))) (-15 -1339 (|#1| |#1| (-634 (-288 |#1|)))) (-15 -1339 (|#1| |#1| (-634 (-607 |#1|)) (-634 |#1|))) (-15 -1339 (|#1| |#1| (-607 |#1|) |#1|)) (-15 -2857 ((-607 |#1|) |#1|)) (-15 -3668 ((-3 (-607 |#1|) "failed") |#1|)) (-15 -2747 (|#1| (-607 |#1|))) (-15 -2747 ((-850) |#1|))) (-432 |#2|) (-842)) (T -431)) 
-((-3842 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *4 (-842)) (-5 *1 (-431 *3 *4)) (-4 *3 (-432 *4)))) (-2779 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *5 (-842)) (-5 *2 (-121)) (-5 *1 (-431 *4 *5)) (-4 *4 (-432 *5)))) (-3425 (*1 *2) (-12 (-4 *4 (-842)) (-5 *2 (-763)) (-5 *1 (-431 *3 *4)) (-4 *3 (-432 *4))))) 
-(-10 -8 (-15 * (|#1| (-917) |#1|)) (-15 * (|#1| (-763) |#1|)) (-15 * (|#1| (-568) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -3425 ((-763))) (-15 -2747 (|#1| (-568))) (-15 -2857 ((-409 (-568)) |#1|)) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2747 (|#1| (-409 (-568)))) (-15 -4280 ((-541) |#1|)) (-15 -2857 ((-953 |#2|) |#1|)) (-15 -3668 ((-3 (-953 |#2|) "failed") |#1|)) (-15 -2747 (|#1| (-953 |#2|))) (-15 -4191 (|#1| |#1| (-1161))) (-15 -4191 (|#1| |#1| (-634 (-1161)))) (-15 -4191 (|#1| |#1| (-1161) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)) (-634 (-763)))) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -2747 (|#1| |#1|)) (-15 * (|#1| |#1| (-409 (-568)))) (-15 * (|#1| (-409 (-568)) |#1|)) (-15 -2857 ((-409 (-953 |#2|)) |#1|)) (-15 -3668 ((-3 (-409 (-953 |#2|)) "failed") |#1|)) (-15 -2747 (|#1| (-409 (-953 |#2|)))) (-15 -3840 ((-409 (-1157 |#1|)) |#1| (-607 |#1|))) (-15 -2747 (|#1| (-409 (-953 (-409 |#2|))))) (-15 -2747 (|#1| (-953 (-409 |#2|)))) (-15 -2747 (|#1| (-409 |#2|))) (-15 -3210 (|#1| |#1|)) (-15 -4280 (|#1| (-420 |#1|))) (-15 -1339 (|#1| |#1| (-1161) (-763) (-1 |#1| |#1|))) (-15 -1339 (|#1| |#1| (-1161) (-763) (-1 |#1| (-634 |#1|)))) (-15 -1339 (|#1| |#1| (-634 (-1161)) (-634 (-763)) (-634 (-1 |#1| (-634 |#1|))))) (-15 -1339 (|#1| |#1| (-634 (-1161)) (-634 (-763)) (-634 (-1 |#1| |#1|)))) (-15 -4495 ((-3 (-2 (|:| |val| |#1|) (|:| -3483 (-568))) "failed") |#1|)) (-15 -2617 ((-3 (-2 (|:| |var| (-607 |#1|)) (|:| -3483 (-568))) "failed") |#1| (-1161))) (-15 -2617 ((-3 (-2 (|:| |var| (-607 |#1|)) (|:| -3483 (-568))) "failed") |#1| (-123))) (-15 -3539 (|#1| |#1|)) (-15 -2747 (|#1| (-1113 |#2| (-607 |#1|)))) (-15 -2240 ((-3 (-2 (|:| -2350 (-568)) (|:| |var| (-607 |#1|))) "failed") |#1|)) (-15 -2112 ((-3 (-634 |#1|) "failed") |#1|)) (-15 -2617 ((-3 (-2 (|:| |var| (-607 |#1|)) (|:| -3483 (-568))) "failed") |#1|)) (-15 -4362 ((-3 (-634 |#1|) "failed") |#1|)) (-15 -1339 (|#1| |#1| (-634 (-123)) (-634 |#1|) (-1161))) (-15 -1339 (|#1| |#1| (-123) |#1| (-1161))) (-15 -1339 (|#1| |#1|)) (-15 -1339 (|#1| |#1| (-634 (-1161)))) (-15 -1339 (|#1| |#1| (-1161))) (-15 -3060 (|#1| (-1161) (-634 |#1|))) (-15 -3060 (|#1| (-1161) |#1| |#1| |#1| |#1|)) (-15 -3060 (|#1| (-1161) |#1| |#1| |#1|)) (-15 -3060 (|#1| (-1161) |#1| |#1|)) (-15 -3060 (|#1| (-1161) |#1|)) (-15 -2057 ((-634 (-1161)) |#1|)) (-15 -2093 (|#2| |#1|)) (-15 -2088 ((-121) |#1|)) (-15 -2857 (|#2| |#1|)) (-15 -3668 ((-3 |#2| "failed") |#1|)) (-15 -2747 (|#1| |#2|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -2857 ((-568) |#1|)) (-15 -4280 ((-887 (-381)) |#1|)) (-15 -4280 ((-887 (-568)) |#1|)) (-15 -2857 ((-1161) |#1|)) (-15 -3668 ((-3 (-1161) "failed") |#1|)) (-15 -2747 (|#1| (-1161))) (-15 -1339 (|#1| |#1| (-123) (-1 |#1| |#1|))) (-15 -1339 (|#1| |#1| (-123) (-1 |#1| (-634 |#1|)))) (-15 -1339 (|#1| |#1| (-634 (-123)) (-634 (-1 |#1| (-634 |#1|))))) (-15 -1339 (|#1| |#1| (-634 (-123)) (-634 (-1 |#1| |#1|)))) (-15 -1339 (|#1| |#1| (-1161) (-1 |#1| |#1|))) (-15 -1339 (|#1| |#1| (-1161) (-1 |#1| (-634 |#1|)))) (-15 -1339 (|#1| |#1| (-634 (-1161)) (-634 (-1 |#1| (-634 |#1|))))) (-15 -1339 (|#1| |#1| (-634 (-1161)) (-634 (-1 |#1| |#1|)))) (-15 -2779 ((-121) (-123))) (-15 -3842 ((-123) (-123))) (-15 -3832 ((-634 (-607 |#1|)) |#1|)) (-15 -2337 ((-3 (-607 |#1|) "failed") |#1|)) (-15 -4069 (|#1| |#1| (-634 (-607 |#1|)) (-634 |#1|))) (-15 -4069 (|#1| |#1| (-634 (-288 |#1|)))) (-15 -4069 (|#1| |#1| (-288 |#1|))) (-15 -2781 (|#1| (-123) (-634 |#1|))) (-15 -2781 (|#1| (-123) |#1| |#1| |#1| |#1|)) (-15 -2781 (|#1| (-123) |#1| |#1| |#1|)) (-15 -2781 (|#1| (-123) |#1| |#1|)) (-15 -2781 (|#1| (-123) |#1|)) (-15 -1339 (|#1| |#1| (-634 |#1|) (-634 |#1|))) (-15 -1339 (|#1| |#1| |#1| |#1|)) (-15 -1339 (|#1| |#1| (-288 |#1|))) (-15 -1339 (|#1| |#1| (-634 (-288 |#1|)))) (-15 -1339 (|#1| |#1| (-634 (-607 |#1|)) (-634 |#1|))) (-15 -1339 (|#1| |#1| (-607 |#1|) |#1|)) (-15 -2857 ((-607 |#1|) |#1|)) (-15 -3668 ((-3 (-607 |#1|) "failed") |#1|)) (-15 -2747 (|#1| (-607 |#1|))) (-15 -2747 ((-850) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 108 (|has| |#1| (-25)))) (-2057 (((-634 (-1161)) $) 195)) (-3840 (((-409 (-1157 $)) $ (-607 $)) 163 (|has| |#1| (-558)))) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 135 (|has| |#1| (-558)))) (-3661 (($ $) 136 (|has| |#1| (-558)))) (-4426 (((-121) $) 138 (|has| |#1| (-558)))) (-3145 (((-634 (-607 $)) $) 43)) (-2689 (((-3 $ "failed") $ $) 110 (|has| |#1| (-21)))) (-4069 (($ $ (-288 $)) 55) (($ $ (-634 (-288 $))) 54) (($ $ (-634 (-607 $)) (-634 $)) 53)) (-3045 (($ $) 155 (|has| |#1| (-558)))) (-3498 (((-420 $) $) 156 (|has| |#1| (-558)))) (-2589 (((-121) $ $) 146 (|has| |#1| (-558)))) (-4490 (($) 94 (-2199 (|has| |#1| (-1102)) (|has| |#1| (-25))) CONST)) (-3668 (((-3 (-607 $) "failed") $) 68) (((-3 (-1161) "failed") $) 208) (((-3 (-568) "failed") $) 201 (|has| |#1| (-1037 (-568)))) (((-3 |#1| "failed") $) 199) (((-3 (-409 (-953 |#1|)) "failed") $) 161 (|has| |#1| (-558))) (((-3 (-953 |#1|) "failed") $) 115 (|has| |#1| (-1047))) (((-3 (-409 (-568)) "failed") $) 87 (-2199 (-12 (|has| |#1| (-1037 (-568))) (|has| |#1| (-558))) (|has| |#1| (-1037 (-409 (-568))))))) (-2857 (((-607 $) $) 67) (((-1161) $) 207) (((-568) $) 202 (|has| |#1| (-1037 (-568)))) ((|#1| $) 198) (((-409 (-953 |#1|)) $) 160 (|has| |#1| (-558))) (((-953 |#1|) $) 114 (|has| |#1| (-1047))) (((-409 (-568)) $) 86 (-2199 (-12 (|has| |#1| (-1037 (-568))) (|has| |#1| (-558))) (|has| |#1| (-1037 (-409 (-568))))))) (-2403 (($ $ $) 150 (|has| |#1| (-558)))) (-1668 (((-679 (-568)) (-679 $)) 129 (-2141 (|has| |#1| (-630 (-568))) (|has| |#1| (-1047)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) 128 (-2141 (|has| |#1| (-630 (-568))) (|has| |#1| (-1047)))) (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 |#1|))) (-679 $) (-1244 $)) 127 (|has| |#1| (-1047))) (((-679 |#1|) (-679 $)) 126 (|has| |#1| (-1047)))) (-2902 (((-3 $ "failed") $) 97 (|has| |#1| (-1102)))) (-2414 (($ $ $) 149 (|has| |#1| (-558)))) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 144 (|has| |#1| (-558)))) (-2197 (((-121) $) 157 (|has| |#1| (-558)))) (-1519 (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) 204 (|has| |#1| (-881 (-568)))) (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) 203 (|has| |#1| (-881 (-381))))) (-3855 (($ $) 50) (($ (-634 $)) 49)) (-2160 (((-634 (-123)) $) 42)) (-3842 (((-123) (-123)) 41)) (-1598 (((-121) $) 95 (|has| |#1| (-1102)))) (-2268 (((-121) $) 21 (|has| $ (-1037 (-568))))) (-3539 (($ $) 178 (|has| |#1| (-1047)))) (-2319 (((-1113 |#1| (-607 $)) $) 179 (|has| |#1| (-1047)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 153 (|has| |#1| (-558)))) (-3170 (((-1157 $) (-607 $)) 24 (|has| $ (-1047)))) (-1732 (($ $ $) 12)) (-2047 (($ $ $) 13)) (-2797 (($ (-1 $ $) (-607 $)) 35)) (-2337 (((-3 (-607 $) "failed") $) 45)) (-2498 (($ (-634 $)) 142 (|has| |#1| (-558))) (($ $ $) 141 (|has| |#1| (-558)))) (-1893 (((-1143) $) 9)) (-3832 (((-634 (-607 $)) $) 44)) (-3446 (($ (-123) $) 37) (($ (-123) (-634 $)) 36)) (-4362 (((-3 (-634 $) "failed") $) 184 (|has| |#1| (-1102)))) (-4495 (((-3 (-2 (|:| |val| $) (|:| -3483 (-568))) "failed") $) 175 (|has| |#1| (-1047)))) (-2112 (((-3 (-634 $) "failed") $) 182 (|has| |#1| (-25)))) (-2240 (((-3 (-2 (|:| -2350 (-568)) (|:| |var| (-607 $))) "failed") $) 181 (|has| |#1| (-25)))) (-2617 (((-3 (-2 (|:| |var| (-607 $)) (|:| -3483 (-568))) "failed") $) 183 (|has| |#1| (-1102))) (((-3 (-2 (|:| |var| (-607 $)) (|:| -3483 (-568))) "failed") $ (-123)) 177 (|has| |#1| (-1047))) (((-3 (-2 (|:| |var| (-607 $)) (|:| -3483 (-568))) "failed") $ (-1161)) 176 (|has| |#1| (-1047)))) (-3910 (((-121) $ (-123)) 39) (((-121) $ (-1161)) 38)) (-2083 (($ $) 99 (-2199 (|has| |#1| (-478)) (|has| |#1| (-558))))) (-2963 (((-763) $) 46)) (-4025 (((-1108) $) 10)) (-2088 (((-121) $) 197)) (-2093 ((|#1| $) 196)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 143 (|has| |#1| (-558)))) (-2723 (($ (-634 $)) 140 (|has| |#1| (-558))) (($ $ $) 139 (|has| |#1| (-558)))) (-1609 (((-121) $ $) 34) (((-121) $ (-1161)) 33)) (-3850 (((-420 $) $) 154 (|has| |#1| (-558)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 152 (|has| |#1| (-558))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 151 (|has| |#1| (-558)))) (-2597 (((-3 $ "failed") $ $) 134 (|has| |#1| (-558)))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 145 (|has| |#1| (-558)))) (-2080 (((-121) $) 22 (|has| $ (-1037 (-568))))) (-1339 (($ $ (-607 $) $) 66) (($ $ (-634 (-607 $)) (-634 $)) 65) (($ $ (-634 (-288 $))) 64) (($ $ (-288 $)) 63) (($ $ $ $) 62) (($ $ (-634 $) (-634 $)) 61) (($ $ (-634 (-1161)) (-634 (-1 $ $))) 32) (($ $ (-634 (-1161)) (-634 (-1 $ (-634 $)))) 31) (($ $ (-1161) (-1 $ (-634 $))) 30) (($ $ (-1161) (-1 $ $)) 29) (($ $ (-634 (-123)) (-634 (-1 $ $))) 28) (($ $ (-634 (-123)) (-634 (-1 $ (-634 $)))) 27) (($ $ (-123) (-1 $ (-634 $))) 26) (($ $ (-123) (-1 $ $)) 25) (($ $ (-1161)) 189 (|has| |#1| (-609 (-541)))) (($ $ (-634 (-1161))) 188 (|has| |#1| (-609 (-541)))) (($ $) 187 (|has| |#1| (-609 (-541)))) (($ $ (-123) $ (-1161)) 186 (|has| |#1| (-609 (-541)))) (($ $ (-634 (-123)) (-634 $) (-1161)) 185 (|has| |#1| (-609 (-541)))) (($ $ (-634 (-1161)) (-634 (-763)) (-634 (-1 $ $))) 174 (|has| |#1| (-1047))) (($ $ (-634 (-1161)) (-634 (-763)) (-634 (-1 $ (-634 $)))) 173 (|has| |#1| (-1047))) (($ $ (-1161) (-763) (-1 $ (-634 $))) 172 (|has| |#1| (-1047))) (($ $ (-1161) (-763) (-1 $ $)) 171 (|has| |#1| (-1047)))) (-1466 (((-763) $) 147 (|has| |#1| (-558)))) (-2781 (($ (-123) $) 60) (($ (-123) $ $) 59) (($ (-123) $ $ $) 58) (($ (-123) $ $ $ $) 57) (($ (-123) (-634 $)) 56)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 148 (|has| |#1| (-558)))) (-3924 (($ $) 48) (($ $ $) 47)) (-4191 (($ $ (-634 (-1161)) (-634 (-763))) 120 (|has| |#1| (-1047))) (($ $ (-1161) (-763)) 119 (|has| |#1| (-1047))) (($ $ (-634 (-1161))) 118 (|has| |#1| (-1047))) (($ $ (-1161)) 117 (|has| |#1| (-1047)))) (-3210 (($ $) 168 (|has| |#1| (-558)))) (-2326 (((-1113 |#1| (-607 $)) $) 169 (|has| |#1| (-558)))) (-1492 (($ $) 23 (|has| $ (-1047)))) (-4280 (((-887 (-568)) $) 206 (|has| |#1| (-609 (-887 (-568))))) (((-887 (-381)) $) 205 (|has| |#1| (-609 (-887 (-381))))) (($ (-420 $)) 170 (|has| |#1| (-558))) (((-541) $) 89 (|has| |#1| (-609 (-541))))) (-2387 (($ $ $) 103 (|has| |#1| (-478)))) (-3985 (($ $ $) 104 (|has| |#1| (-478)))) (-2747 (((-850) $) 11) (($ (-607 $)) 69) (($ (-1161)) 209) (($ |#1|) 200) (($ (-1113 |#1| (-607 $))) 180 (|has| |#1| (-1047))) (($ (-409 |#1|)) 166 (|has| |#1| (-558))) (($ (-953 (-409 |#1|))) 165 (|has| |#1| (-558))) (($ (-409 (-953 (-409 |#1|)))) 164 (|has| |#1| (-558))) (($ (-409 (-953 |#1|))) 162 (|has| |#1| (-558))) (($ $) 133 (|has| |#1| (-558))) (($ (-953 |#1|)) 116 (|has| |#1| (-1047))) (($ (-409 (-568))) 88 (-2199 (|has| |#1| (-558)) (-12 (|has| |#1| (-1037 (-568))) (|has| |#1| (-558))) (|has| |#1| (-1037 (-409 (-568)))))) (($ (-568)) 85 (-2199 (|has| |#1| (-1047)) (|has| |#1| (-1037 (-568)))))) (-3385 (((-3 $ "failed") $) 130 (|has| |#1| (-148)))) (-3425 (((-763)) 125 (|has| |#1| (-1047)))) (-3159 (($ $) 52) (($ (-634 $)) 51)) (-2779 (((-121) (-123)) 40)) (-2273 (((-121) $ $) 137 (|has| |#1| (-558)))) (-3060 (($ (-1161) $) 194) (($ (-1161) $ $) 193) (($ (-1161) $ $ $) 192) (($ (-1161) $ $ $ $) 191) (($ (-1161) (-634 $)) 190)) (-1889 (($ $ (-568)) 102 (-2199 (|has| |#1| (-478)) (|has| |#1| (-558)))) (($ $ (-763)) 96 (|has| |#1| (-1102))) (($ $ (-917)) 92 (|has| |#1| (-1102)))) (-3058 (($) 107 (|has| |#1| (-25)) CONST)) (-1557 (($) 93 (|has| |#1| (-1102)) CONST)) (-3192 (($ $ (-634 (-1161)) (-634 (-763))) 124 (|has| |#1| (-1047))) (($ $ (-1161) (-763)) 123 (|has| |#1| (-1047))) (($ $ (-634 (-1161))) 122 (|has| |#1| (-1047))) (($ $ (-1161)) 121 (|has| |#1| (-1047)))) (-1753 (((-121) $ $) 15)) (-1740 (((-121) $ $) 16)) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 14)) (-1734 (((-121) $ $) 17)) (-1781 (($ (-1113 |#1| (-607 $)) (-1113 |#1| (-607 $))) 167 (|has| |#1| (-558))) (($ $ $) 100 (-2199 (|has| |#1| (-478)) (|has| |#1| (-558))))) (-1775 (($ $ $) 112 (|has| |#1| (-21))) (($ $) 111 (|has| |#1| (-21)))) (-1769 (($ $ $) 105 (|has| |#1| (-25)))) (** (($ $ (-568)) 101 (-2199 (|has| |#1| (-478)) (|has| |#1| (-558)))) (($ $ (-763)) 98 (|has| |#1| (-1102))) (($ $ (-917)) 91 (|has| |#1| (-1102)))) (* (($ (-409 (-568)) $) 159 (|has| |#1| (-558))) (($ $ (-409 (-568))) 158 (|has| |#1| (-558))) (($ |#1| $) 132 (|has| |#1| (-172))) (($ $ |#1|) 131 (|has| |#1| (-172))) (($ (-568) $) 113 (|has| |#1| (-21))) (($ (-763) $) 109 (|has| |#1| (-25))) (($ (-917) $) 106 (|has| |#1| (-25))) (($ $ $) 90 (|has| |#1| (-1102))))) 
-(((-432 |#1|) (-1275) (-842)) (T -432)) 
-((-2088 (*1 *2 *1) (-12 (-4 *1 (-432 *3)) (-4 *3 (-842)) (-5 *2 (-121)))) (-2093 (*1 *2 *1) (-12 (-4 *1 (-432 *2)) (-4 *2 (-842)))) (-2057 (*1 *2 *1) (-12 (-4 *1 (-432 *3)) (-4 *3 (-842)) (-5 *2 (-634 (-1161))))) (-3060 (*1 *1 *2 *1) (-12 (-5 *2 (-1161)) (-4 *1 (-432 *3)) (-4 *3 (-842)))) (-3060 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1161)) (-4 *1 (-432 *3)) (-4 *3 (-842)))) (-3060 (*1 *1 *2 *1 *1 *1) (-12 (-5 *2 (-1161)) (-4 *1 (-432 *3)) (-4 *3 (-842)))) (-3060 (*1 *1 *2 *1 *1 *1 *1) (-12 (-5 *2 (-1161)) (-4 *1 (-432 *3)) (-4 *3 (-842)))) (-3060 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-634 *1)) (-4 *1 (-432 *4)) (-4 *4 (-842)))) (-1339 (*1 *1 *1 *2) (-12 (-5 *2 (-1161)) (-4 *1 (-432 *3)) (-4 *3 (-842)) (-4 *3 (-609 (-541))))) (-1339 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-1161))) (-4 *1 (-432 *3)) (-4 *3 (-842)) (-4 *3 (-609 (-541))))) (-1339 (*1 *1 *1) (-12 (-4 *1 (-432 *2)) (-4 *2 (-842)) (-4 *2 (-609 (-541))))) (-1339 (*1 *1 *1 *2 *1 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1161)) (-4 *1 (-432 *4)) (-4 *4 (-842)) (-4 *4 (-609 (-541))))) (-1339 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-634 (-123))) (-5 *3 (-634 *1)) (-5 *4 (-1161)) (-4 *1 (-432 *5)) (-4 *5 (-842)) (-4 *5 (-609 (-541))))) (-4362 (*1 *2 *1) (|partial| -12 (-4 *3 (-1102)) (-4 *3 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-432 *3)))) (-2617 (*1 *2 *1) (|partial| -12 (-4 *3 (-1102)) (-4 *3 (-842)) (-5 *2 (-2 (|:| |var| (-607 *1)) (|:| -3483 (-568)))) (-4 *1 (-432 *3)))) (-2112 (*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-432 *3)))) (-2240 (*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-842)) (-5 *2 (-2 (|:| -2350 (-568)) (|:| |var| (-607 *1)))) (-4 *1 (-432 *3)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-1113 *3 (-607 *1))) (-4 *3 (-1047)) (-4 *3 (-842)) (-4 *1 (-432 *3)))) (-2319 (*1 *2 *1) (-12 (-4 *3 (-1047)) (-4 *3 (-842)) (-5 *2 (-1113 *3 (-607 *1))) (-4 *1 (-432 *3)))) (-3539 (*1 *1 *1) (-12 (-4 *1 (-432 *2)) (-4 *2 (-842)) (-4 *2 (-1047)))) (-2617 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-123)) (-4 *4 (-1047)) (-4 *4 (-842)) (-5 *2 (-2 (|:| |var| (-607 *1)) (|:| -3483 (-568)))) (-4 *1 (-432 *4)))) (-2617 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1161)) (-4 *4 (-1047)) (-4 *4 (-842)) (-5 *2 (-2 (|:| |var| (-607 *1)) (|:| -3483 (-568)))) (-4 *1 (-432 *4)))) (-4495 (*1 *2 *1) (|partial| -12 (-4 *3 (-1047)) (-4 *3 (-842)) (-5 *2 (-2 (|:| |val| *1) (|:| -3483 (-568)))) (-4 *1 (-432 *3)))) (-1339 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-634 (-1161))) (-5 *3 (-634 (-763))) (-5 *4 (-634 (-1 *1 *1))) (-4 *1 (-432 *5)) (-4 *5 (-842)) (-4 *5 (-1047)))) (-1339 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-634 (-1161))) (-5 *3 (-634 (-763))) (-5 *4 (-634 (-1 *1 (-634 *1)))) (-4 *1 (-432 *5)) (-4 *5 (-842)) (-4 *5 (-1047)))) (-1339 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1161)) (-5 *3 (-763)) (-5 *4 (-1 *1 (-634 *1))) (-4 *1 (-432 *5)) (-4 *5 (-842)) (-4 *5 (-1047)))) (-1339 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1161)) (-5 *3 (-763)) (-5 *4 (-1 *1 *1)) (-4 *1 (-432 *5)) (-4 *5 (-842)) (-4 *5 (-1047)))) (-4280 (*1 *1 *2) (-12 (-5 *2 (-420 *1)) (-4 *1 (-432 *3)) (-4 *3 (-558)) (-4 *3 (-842)))) (-2326 (*1 *2 *1) (-12 (-4 *3 (-558)) (-4 *3 (-842)) (-5 *2 (-1113 *3 (-607 *1))) (-4 *1 (-432 *3)))) (-3210 (*1 *1 *1) (-12 (-4 *1 (-432 *2)) (-4 *2 (-842)) (-4 *2 (-558)))) (-1781 (*1 *1 *2 *2) (-12 (-5 *2 (-1113 *3 (-607 *1))) (-4 *3 (-558)) (-4 *3 (-842)) (-4 *1 (-432 *3)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-409 *3)) (-4 *3 (-558)) (-4 *3 (-842)) (-4 *1 (-432 *3)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-953 (-409 *3))) (-4 *3 (-558)) (-4 *3 (-842)) (-4 *1 (-432 *3)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-409 (-953 (-409 *3)))) (-4 *3 (-558)) (-4 *3 (-842)) (-4 *1 (-432 *3)))) (-3840 (*1 *2 *1 *3) (-12 (-5 *3 (-607 *1)) (-4 *1 (-432 *4)) (-4 *4 (-842)) (-4 *4 (-558)) (-5 *2 (-409 (-1157 *1))))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-432 *3)) (-4 *3 (-842)) (-4 *3 (-1102))))) 
-(-13 (-296) (-1037 (-1161)) (-879 |t#1|) (-402 |t#1|) (-413 |t#1|) (-10 -8 (-15 -2088 ((-121) $)) (-15 -2093 (|t#1| $)) (-15 -2057 ((-634 (-1161)) $)) (-15 -3060 ($ (-1161) $)) (-15 -3060 ($ (-1161) $ $)) (-15 -3060 ($ (-1161) $ $ $)) (-15 -3060 ($ (-1161) $ $ $ $)) (-15 -3060 ($ (-1161) (-634 $))) (IF (|has| |t#1| (-609 (-541))) (PROGN (-6 (-609 (-541))) (-15 -1339 ($ $ (-1161))) (-15 -1339 ($ $ (-634 (-1161)))) (-15 -1339 ($ $)) (-15 -1339 ($ $ (-123) $ (-1161))) (-15 -1339 ($ $ (-634 (-123)) (-634 $) (-1161)))) |noBranch|) (IF (|has| |t#1| (-1102)) (PROGN (-6 (-716)) (-15 ** ($ $ (-763))) (-15 -4362 ((-3 (-634 $) "failed") $)) (-15 -2617 ((-3 (-2 (|:| |var| (-607 $)) (|:| -3483 (-568))) "failed") $))) |noBranch|) (IF (|has| |t#1| (-478)) (-6 (-478)) |noBranch|) (IF (|has| |t#1| (-25)) (PROGN (-6 (-23)) (-15 -2112 ((-3 (-634 $) "failed") $)) (-15 -2240 ((-3 (-2 (|:| -2350 (-568)) (|:| |var| (-607 $))) "failed") $))) |noBranch|) (IF (|has| |t#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |t#1| (-1047)) (PROGN (-6 (-1047)) (-6 (-1037 (-953 |t#1|))) (-6 (-895 (-1161))) (-6 (-379 |t#1|)) (-15 -2747 ($ (-1113 |t#1| (-607 $)))) (-15 -2319 ((-1113 |t#1| (-607 $)) $)) (-15 -3539 ($ $)) (-15 -2617 ((-3 (-2 (|:| |var| (-607 $)) (|:| -3483 (-568))) "failed") $ (-123))) (-15 -2617 ((-3 (-2 (|:| |var| (-607 $)) (|:| -3483 (-568))) "failed") $ (-1161))) (-15 -4495 ((-3 (-2 (|:| |val| $) (|:| -3483 (-568))) "failed") $)) (-15 -1339 ($ $ (-634 (-1161)) (-634 (-763)) (-634 (-1 $ $)))) (-15 -1339 ($ $ (-634 (-1161)) (-634 (-763)) (-634 (-1 $ (-634 $))))) (-15 -1339 ($ $ (-1161) (-763) (-1 $ (-634 $)))) (-15 -1339 ($ $ (-1161) (-763) (-1 $ $)))) |noBranch|) (IF (|has| |t#1| (-150)) (-6 (-150)) |noBranch|) (IF (|has| |t#1| (-148)) (-6 (-148)) |noBranch|) (IF (|has| |t#1| (-172)) (-6 (-43 |t#1|)) |noBranch|) (IF (|has| |t#1| (-558)) (PROGN (-6 (-365)) (-6 (-1037 (-409 (-953 |t#1|)))) (-15 -4280 ($ (-420 $))) (-15 -2326 ((-1113 |t#1| (-607 $)) $)) (-15 -3210 ($ $)) (-15 -1781 ($ (-1113 |t#1| (-607 $)) (-1113 |t#1| (-607 $)))) (-15 -2747 ($ (-409 |t#1|))) (-15 -2747 ($ (-953 (-409 |t#1|)))) (-15 -2747 ($ (-409 (-953 (-409 |t#1|))))) (-15 -3840 ((-409 (-1157 $)) $ (-607 $))) (IF (|has| |t#1| (-1037 (-568))) (-6 (-1037 (-409 (-568)))) |noBranch|)) |noBranch|))) 
-(((-21) -2199 (|has| |#1| (-1047)) (|has| |#1| (-558)) (|has| |#1| (-172)) (|has| |#1| (-150)) (|has| |#1| (-148)) (|has| |#1| (-21))) ((-23) -2199 (|has| |#1| (-1047)) (|has| |#1| (-558)) (|has| |#1| (-172)) (|has| |#1| (-150)) (|has| |#1| (-148)) (|has| |#1| (-25)) (|has| |#1| (-21))) ((-25) -2199 (|has| |#1| (-1047)) (|has| |#1| (-558)) (|has| |#1| (-172)) (|has| |#1| (-150)) (|has| |#1| (-148)) (|has| |#1| (-25)) (|has| |#1| (-21))) ((-43 (-409 (-568))) |has| |#1| (-558)) ((-43 |#1|) |has| |#1| (-172)) ((-43 $) |has| |#1| (-558)) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) |has| |#1| (-558)) ((-120 |#1| |#1|) |has| |#1| (-172)) ((-120 $ $) |has| |#1| (-558)) ((-137) -2199 (|has| |#1| (-1047)) (|has| |#1| (-558)) (|has| |#1| (-172)) (|has| |#1| (-150)) (|has| |#1| (-148)) (|has| |#1| (-21))) ((-148) |has| |#1| (-148)) ((-150) |has| |#1| (-150)) ((-608 (-850)) . T) ((-172) |has| |#1| (-558)) ((-609 (-541)) |has| |#1| (-609 (-541))) ((-609 (-887 (-381))) |has| |#1| (-609 (-887 (-381)))) ((-609 (-887 (-568))) |has| |#1| (-609 (-887 (-568)))) ((-238) |has| |#1| (-558)) ((-285) |has| |#1| (-558)) ((-301) |has| |#1| (-558)) ((-303 $) . T) ((-296) . T) ((-365) |has| |#1| (-558)) ((-379 |#1|) |has| |#1| (-1047)) ((-402 |#1|) . T) ((-413 |#1|) . T) ((-453) |has| |#1| (-558)) ((-478) |has| |#1| (-478)) ((-523 (-607 $) $) . T) ((-523 $ $) . T) ((-558) |has| |#1| (-558)) ((-637 (-409 (-568))) |has| |#1| (-558)) ((-637 |#1|) |has| |#1| (-172)) ((-637 $) -2199 (|has| |#1| (-1047)) (|has| |#1| (-558)) (|has| |#1| (-172)) (|has| |#1| (-150)) (|has| |#1| (-148))) ((-630 (-568)) -12 (|has| |#1| (-630 (-568))) (|has| |#1| (-1047))) ((-630 |#1|) |has| |#1| (-1047)) ((-707 (-409 (-568))) |has| |#1| (-558)) ((-707 |#1|) |has| |#1| (-172)) ((-707 $) |has| |#1| (-558)) ((-716) -2199 (|has| |#1| (-1102)) (|has| |#1| (-1047)) (|has| |#1| (-558)) (|has| |#1| (-478)) (|has| |#1| (-172)) (|has| |#1| (-150)) (|has| |#1| (-148))) ((-842) . T) ((-895 (-1161)) |has| |#1| (-1047)) ((-881 (-381)) |has| |#1| (-881 (-381))) ((-881 (-568)) |has| |#1| (-881 (-568))) ((-879 |#1|) . T) ((-916) |has| |#1| (-558)) ((-1037 (-409 (-568))) -2199 (|has| |#1| (-1037 (-409 (-568)))) (-12 (|has| |#1| (-558)) (|has| |#1| (-1037 (-568))))) ((-1037 (-409 (-953 |#1|))) |has| |#1| (-558)) ((-1037 (-568)) |has| |#1| (-1037 (-568))) ((-1037 (-607 $)) . T) ((-1037 (-953 |#1|)) |has| |#1| (-1047)) ((-1037 (-1161)) . T) ((-1037 |#1|) . T) ((-1053 (-409 (-568))) |has| |#1| (-558)) ((-1053 |#1|) |has| |#1| (-172)) ((-1053 $) |has| |#1| (-558)) ((-1047) -2199 (|has| |#1| (-1047)) (|has| |#1| (-558)) (|has| |#1| (-172)) (|has| |#1| (-150)) (|has| |#1| (-148))) ((-1054) -2199 (|has| |#1| (-1047)) (|has| |#1| (-558)) (|has| |#1| (-172)) (|has| |#1| (-150)) (|has| |#1| (-148))) ((-1102) -2199 (|has| |#1| (-1102)) (|has| |#1| (-1047)) (|has| |#1| (-558)) (|has| |#1| (-478)) (|has| |#1| (-172)) (|has| |#1| (-150)) (|has| |#1| (-148))) ((-1090) . T) ((-1195) . T) ((-1199) |has| |#1| (-558))) 
-((-3311 ((|#2| |#2| |#2|) 33)) (-3842 (((-123) (-123)) 44)) (-4196 ((|#2| (-634 |#2|)) 79)) (-1659 ((|#2| |#2|) 77)) (-3655 ((|#2| |#2|) 68)) (-3742 ((|#2| |#2|) 71)) (-3478 ((|#2| (-634 |#2|)) 75)) (-4355 ((|#2| (-634 |#2|)) 83)) (-3015 ((|#2| (-634 |#2|)) 87)) (-4261 ((|#2| (-634 |#2|)) 81)) (-3660 ((|#2| (-634 |#2|)) 85)) (-3753 ((|#2| |#2|) 91)) (-3627 ((|#2| |#2|) 89)) (-2383 ((|#2| |#2|) 32)) (-3301 ((|#2| |#2| |#2|) 35)) (-2149 ((|#2| |#2| |#2|) 37)) (-3826 ((|#2| |#2| |#2|) 34)) (-2547 ((|#2| |#2| |#2|) 36)) (-2779 (((-121) (-123)) 42)) (-1813 ((|#2| |#2|) 39)) (-4009 ((|#2| |#2|) 38)) (-2811 ((|#2| |#2|) 27)) (-2209 ((|#2| |#2| |#2|) 30) ((|#2| |#2|) 28)) (-2768 ((|#2| |#2| |#2|) 31))) 
-(((-433 |#1| |#2|) (-10 -7 (-15 -2779 ((-121) (-123))) (-15 -3842 ((-123) (-123))) (-15 -2811 (|#2| |#2|)) (-15 -2209 (|#2| |#2|)) (-15 -2209 (|#2| |#2| |#2|)) (-15 -2768 (|#2| |#2| |#2|)) (-15 -2383 (|#2| |#2|)) (-15 -3311 (|#2| |#2| |#2|)) (-15 -3826 (|#2| |#2| |#2|)) (-15 -3301 (|#2| |#2| |#2|)) (-15 -2547 (|#2| |#2| |#2|)) (-15 -2149 (|#2| |#2| |#2|)) (-15 -4009 (|#2| |#2|)) (-15 -1813 (|#2| |#2|)) (-15 -3742 (|#2| |#2|)) (-15 -3655 (|#2| |#2|)) (-15 -3478 (|#2| (-634 |#2|))) (-15 -1659 (|#2| |#2|)) (-15 -4196 (|#2| (-634 |#2|))) (-15 -4261 (|#2| (-634 |#2|))) (-15 -4355 (|#2| (-634 |#2|))) (-15 -3660 (|#2| (-634 |#2|))) (-15 -3015 (|#2| (-634 |#2|))) (-15 -3627 (|#2| |#2|)) (-15 -3753 (|#2| |#2|))) (-13 (-842) (-558)) (-432 |#1|)) (T -433)) 
-((-3753 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) (-3627 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) (-3015 (*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-432 *4)) (-5 *1 (-433 *4 *2)) (-4 *4 (-13 (-842) (-558))))) (-3660 (*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-432 *4)) (-5 *1 (-433 *4 *2)) (-4 *4 (-13 (-842) (-558))))) (-4355 (*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-432 *4)) (-5 *1 (-433 *4 *2)) (-4 *4 (-13 (-842) (-558))))) (-4261 (*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-432 *4)) (-5 *1 (-433 *4 *2)) (-4 *4 (-13 (-842) (-558))))) (-4196 (*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-432 *4)) (-5 *1 (-433 *4 *2)) (-4 *4 (-13 (-842) (-558))))) (-1659 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) (-3478 (*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-432 *4)) (-5 *1 (-433 *4 *2)) (-4 *4 (-13 (-842) (-558))))) (-3655 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) (-3742 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) (-1813 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) (-4009 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) (-2149 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) (-2547 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) (-3301 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) (-3826 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) (-3311 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) (-2383 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) (-2768 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) (-2209 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) (-2209 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) (-2811 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) (-3842 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *4)) (-4 *4 (-432 *3)))) (-2779 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-842) (-558))) (-5 *2 (-121)) (-5 *1 (-433 *4 *5)) (-4 *5 (-432 *4))))) 
-(-10 -7 (-15 -2779 ((-121) (-123))) (-15 -3842 ((-123) (-123))) (-15 -2811 (|#2| |#2|)) (-15 -2209 (|#2| |#2|)) (-15 -2209 (|#2| |#2| |#2|)) (-15 -2768 (|#2| |#2| |#2|)) (-15 -2383 (|#2| |#2|)) (-15 -3311 (|#2| |#2| |#2|)) (-15 -3826 (|#2| |#2| |#2|)) (-15 -3301 (|#2| |#2| |#2|)) (-15 -2547 (|#2| |#2| |#2|)) (-15 -2149 (|#2| |#2| |#2|)) (-15 -4009 (|#2| |#2|)) (-15 -1813 (|#2| |#2|)) (-15 -3742 (|#2| |#2|)) (-15 -3655 (|#2| |#2|)) (-15 -3478 (|#2| (-634 |#2|))) (-15 -1659 (|#2| |#2|)) (-15 -4196 (|#2| (-634 |#2|))) (-15 -4261 (|#2| (-634 |#2|))) (-15 -4355 (|#2| (-634 |#2|))) (-15 -3660 (|#2| (-634 |#2|))) (-15 -3015 (|#2| (-634 |#2|))) (-15 -3627 (|#2| |#2|)) (-15 -3753 (|#2| |#2|))) 
-((-4188 (((-2 (|:| |primelt| |#2|) (|:| |pol1| (-1157 |#2|)) (|:| |pol2| (-1157 |#2|)) (|:| |prim| (-1157 |#2|))) |#2| |#2|) 93 (|has| |#2| (-27))) (((-2 (|:| |primelt| |#2|) (|:| |poly| (-634 (-1157 |#2|))) (|:| |prim| (-1157 |#2|))) (-634 |#2|)) 58))) 
-(((-434 |#1| |#2|) (-10 -7 (-15 -4188 ((-2 (|:| |primelt| |#2|) (|:| |poly| (-634 (-1157 |#2|))) (|:| |prim| (-1157 |#2|))) (-634 |#2|))) (IF (|has| |#2| (-27)) (-15 -4188 ((-2 (|:| |primelt| |#2|) (|:| |pol1| (-1157 |#2|)) (|:| |pol2| (-1157 |#2|)) (|:| |prim| (-1157 |#2|))) |#2| |#2|)) |noBranch|)) (-13 (-558) (-842) (-150)) (-432 |#1|)) (T -434)) 
-((-4188 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-558) (-842) (-150))) (-5 *2 (-2 (|:| |primelt| *3) (|:| |pol1| (-1157 *3)) (|:| |pol2| (-1157 *3)) (|:| |prim| (-1157 *3)))) (-5 *1 (-434 *4 *3)) (-4 *3 (-27)) (-4 *3 (-432 *4)))) (-4188 (*1 *2 *3) (-12 (-5 *3 (-634 *5)) (-4 *5 (-432 *4)) (-4 *4 (-13 (-558) (-842) (-150))) (-5 *2 (-2 (|:| |primelt| *5) (|:| |poly| (-634 (-1157 *5))) (|:| |prim| (-1157 *5)))) (-5 *1 (-434 *4 *5))))) 
-(-10 -7 (-15 -4188 ((-2 (|:| |primelt| |#2|) (|:| |poly| (-634 (-1157 |#2|))) (|:| |prim| (-1157 |#2|))) (-634 |#2|))) (IF (|has| |#2| (-27)) (-15 -4188 ((-2 (|:| |primelt| |#2|) (|:| |pol1| (-1157 |#2|)) (|:| |pol2| (-1157 |#2|)) (|:| |prim| (-1157 |#2|))) |#2| |#2|)) |noBranch|)) 
-((-4263 (((-1249)) 18)) (-2917 (((-1157 (-409 (-568))) |#2| (-607 |#2|)) 40) (((-409 (-568)) |#2|) 23))) 
-(((-435 |#1| |#2|) (-10 -7 (-15 -2917 ((-409 (-568)) |#2|)) (-15 -2917 ((-1157 (-409 (-568))) |#2| (-607 |#2|))) (-15 -4263 ((-1249)))) (-13 (-842) (-558) (-1037 (-568))) (-432 |#1|)) (T -435)) 
-((-4263 (*1 *2) (-12 (-4 *3 (-13 (-842) (-558) (-1037 (-568)))) (-5 *2 (-1249)) (-5 *1 (-435 *3 *4)) (-4 *4 (-432 *3)))) (-2917 (*1 *2 *3 *4) (-12 (-5 *4 (-607 *3)) (-4 *3 (-432 *5)) (-4 *5 (-13 (-842) (-558) (-1037 (-568)))) (-5 *2 (-1157 (-409 (-568)))) (-5 *1 (-435 *5 *3)))) (-2917 (*1 *2 *3) (-12 (-4 *4 (-13 (-842) (-558) (-1037 (-568)))) (-5 *2 (-409 (-568))) (-5 *1 (-435 *4 *3)) (-4 *3 (-432 *4))))) 
-(-10 -7 (-15 -2917 ((-409 (-568)) |#2|)) (-15 -2917 ((-1157 (-409 (-568))) |#2| (-607 |#2|))) (-15 -4263 ((-1249)))) 
-((-4293 (((-121) $) 28)) (-2189 (((-121) $) 30)) (-1812 (((-121) $) 31)) (-4348 (((-121) $) 34)) (-3713 (((-121) $) 29)) (-4331 (((-121) $) 33)) (-2747 (((-850) $) 18) (($ (-1143)) 27) (($ (-1161)) 23) (((-1161) $) 22) (((-1094) $) 21)) (-2992 (((-121) $) 32)) (-1719 (((-121) $ $) 15))) 
-(((-436) (-13 (-608 (-850)) (-10 -8 (-15 -2747 ($ (-1143))) (-15 -2747 ($ (-1161))) (-15 -2747 ((-1161) $)) (-15 -2747 ((-1094) $)) (-15 -4293 ((-121) $)) (-15 -3713 ((-121) $)) (-15 -1812 ((-121) $)) (-15 -4331 ((-121) $)) (-15 -4348 ((-121) $)) (-15 -2992 ((-121) $)) (-15 -2189 ((-121) $)) (-15 -1719 ((-121) $ $))))) (T -436)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-436)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-436)))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-1161)) (-5 *1 (-436)))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-1094)) (-5 *1 (-436)))) (-4293 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-436)))) (-3713 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-436)))) (-1812 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-436)))) (-4331 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-436)))) (-4348 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-436)))) (-2992 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-436)))) (-2189 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-436)))) (-1719 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-436))))) 
-(-13 (-608 (-850)) (-10 -8 (-15 -2747 ($ (-1143))) (-15 -2747 ($ (-1161))) (-15 -2747 ((-1161) $)) (-15 -2747 ((-1094) $)) (-15 -4293 ((-121) $)) (-15 -3713 ((-121) $)) (-15 -1812 ((-121) $)) (-15 -4331 ((-121) $)) (-15 -4348 ((-121) $)) (-15 -2992 ((-121) $)) (-15 -2189 ((-121) $)) (-15 -1719 ((-121) $ $)))) 
-((-3282 (((-3 (-420 (-1157 (-409 (-568)))) "failed") |#3|) 68)) (-4459 (((-420 |#3|) |#3|) 33)) (-4408 (((-3 (-420 (-1157 (-53))) "failed") |#3|) 27 (|has| |#2| (-1037 (-53))))) (-1618 (((-3 (|:| |overq| (-1157 (-409 (-568)))) (|:| |overan| (-1157 (-53))) (|:| -3485 (-121))) |#3|) 35))) 
-(((-437 |#1| |#2| |#3|) (-10 -7 (-15 -4459 ((-420 |#3|) |#3|)) (-15 -3282 ((-3 (-420 (-1157 (-409 (-568)))) "failed") |#3|)) (-15 -1618 ((-3 (|:| |overq| (-1157 (-409 (-568)))) (|:| |overan| (-1157 (-53))) (|:| -3485 (-121))) |#3|)) (IF (|has| |#2| (-1037 (-53))) (-15 -4408 ((-3 (-420 (-1157 (-53))) "failed") |#3|)) |noBranch|)) (-13 (-558) (-842) (-1037 (-568))) (-432 |#1|) (-1219 |#2|)) (T -437)) 
-((-4408 (*1 *2 *3) (|partial| -12 (-4 *5 (-1037 (-53))) (-4 *4 (-13 (-558) (-842) (-1037 (-568)))) (-4 *5 (-432 *4)) (-5 *2 (-420 (-1157 (-53)))) (-5 *1 (-437 *4 *5 *3)) (-4 *3 (-1219 *5)))) (-1618 (*1 *2 *3) (-12 (-4 *4 (-13 (-558) (-842) (-1037 (-568)))) (-4 *5 (-432 *4)) (-5 *2 (-3 (|:| |overq| (-1157 (-409 (-568)))) (|:| |overan| (-1157 (-53))) (|:| -3485 (-121)))) (-5 *1 (-437 *4 *5 *3)) (-4 *3 (-1219 *5)))) (-3282 (*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-558) (-842) (-1037 (-568)))) (-4 *5 (-432 *4)) (-5 *2 (-420 (-1157 (-409 (-568))))) (-5 *1 (-437 *4 *5 *3)) (-4 *3 (-1219 *5)))) (-4459 (*1 *2 *3) (-12 (-4 *4 (-13 (-558) (-842) (-1037 (-568)))) (-4 *5 (-432 *4)) (-5 *2 (-420 *3)) (-5 *1 (-437 *4 *5 *3)) (-4 *3 (-1219 *5))))) 
-(-10 -7 (-15 -4459 ((-420 |#3|) |#3|)) (-15 -3282 ((-3 (-420 (-1157 (-409 (-568)))) "failed") |#3|)) (-15 -1618 ((-3 (|:| |overq| (-1157 (-409 (-568)))) (|:| |overan| (-1157 (-53))) (|:| -3485 (-121))) |#3|)) (IF (|has| |#2| (-1037 (-53))) (-15 -4408 ((-3 (-420 (-1157 (-53))) "failed") |#3|)) |noBranch|)) 
-((-2449 (((-121) $ $) NIL)) (-3637 (((-1143) $ (-1143)) NIL)) (-1672 (($ $ (-1143)) NIL)) (-4379 (((-1143) $) NIL)) (-2386 (((-390) (-390) (-390)) 17) (((-390) (-390)) 15)) (-2133 (($ (-390)) NIL) (($ (-390) (-1143)) NIL)) (-3393 (((-390) $) NIL)) (-1893 (((-1143) $) NIL)) (-4249 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-4180 (((-1249) (-1143)) 9)) (-4324 (((-1249) (-1143)) 10)) (-3710 (((-1249)) 11)) (-3919 (((-1249) $) NIL)) (-2747 (((-850) $) NIL)) (-3171 (($ $) 34)) (-1719 (((-121) $ $) NIL))) 
-(((-438) (-13 (-366 (-390) (-1143)) (-10 -7 (-15 -2386 ((-390) (-390) (-390))) (-15 -2386 ((-390) (-390))) (-15 -4180 ((-1249) (-1143))) (-15 -4324 ((-1249) (-1143))) (-15 -3710 ((-1249)))))) (T -438)) 
-((-2386 (*1 *2 *2 *2) (-12 (-5 *2 (-390)) (-5 *1 (-438)))) (-2386 (*1 *2 *2) (-12 (-5 *2 (-390)) (-5 *1 (-438)))) (-4180 (*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-438)))) (-4324 (*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-438)))) (-3710 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-438))))) 
-(-13 (-366 (-390) (-1143)) (-10 -7 (-15 -2386 ((-390) (-390) (-390))) (-15 -2386 ((-390) (-390))) (-15 -4180 ((-1249) (-1143))) (-15 -4324 ((-1249) (-1143))) (-15 -3710 ((-1249))))) 
-((-2449 (((-121) $ $) NIL)) (-2156 (((-3 (|:| |fst| (-436)) (|:| -3613 "void")) $) 10)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-3884 (($) 31)) (-3747 (($) 37)) (-3901 (($) 33)) (-3969 (($) 35)) (-2040 (($) 32)) (-3551 (($) 34)) (-4138 (($) 36)) (-3399 (((-121) $) 8)) (-2065 (((-634 (-953 (-568))) $) 16)) (-4289 (($ (-3 (|:| |fst| (-436)) (|:| -3613 "void")) (-634 (-1161)) (-121)) 25) (($ (-3 (|:| |fst| (-436)) (|:| -3613 "void")) (-634 (-953 (-568))) (-121)) 26)) (-2747 (((-850) $) 21) (($ (-436)) 28)) (-1719 (((-121) $ $) NIL))) 
-(((-439) (-13 (-1090) (-10 -8 (-15 -2747 ((-850) $)) (-15 -2747 ($ (-436))) (-15 -2156 ((-3 (|:| |fst| (-436)) (|:| -3613 "void")) $)) (-15 -2065 ((-634 (-953 (-568))) $)) (-15 -3399 ((-121) $)) (-15 -4289 ($ (-3 (|:| |fst| (-436)) (|:| -3613 "void")) (-634 (-1161)) (-121))) (-15 -4289 ($ (-3 (|:| |fst| (-436)) (|:| -3613 "void")) (-634 (-953 (-568))) (-121))) (-15 -3884 ($)) (-15 -2040 ($)) (-15 -3901 ($)) (-15 -3747 ($)) (-15 -3551 ($)) (-15 -3969 ($)) (-15 -4138 ($))))) (T -439)) 
-((-2747 (*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-439)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-436)) (-5 *1 (-439)))) (-2156 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-5 *1 (-439)))) (-2065 (*1 *2 *1) (-12 (-5 *2 (-634 (-953 (-568)))) (-5 *1 (-439)))) (-3399 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-439)))) (-4289 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-5 *3 (-634 (-1161))) (-5 *4 (-121)) (-5 *1 (-439)))) (-4289 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-5 *3 (-634 (-953 (-568)))) (-5 *4 (-121)) (-5 *1 (-439)))) (-3884 (*1 *1) (-5 *1 (-439))) (-2040 (*1 *1) (-5 *1 (-439))) (-3901 (*1 *1) (-5 *1 (-439))) (-3747 (*1 *1) (-5 *1 (-439))) (-3551 (*1 *1) (-5 *1 (-439))) (-3969 (*1 *1) (-5 *1 (-439))) (-4138 (*1 *1) (-5 *1 (-439)))) 
-(-13 (-1090) (-10 -8 (-15 -2747 ((-850) $)) (-15 -2747 ($ (-436))) (-15 -2156 ((-3 (|:| |fst| (-436)) (|:| -3613 "void")) $)) (-15 -2065 ((-634 (-953 (-568))) $)) (-15 -3399 ((-121) $)) (-15 -4289 ($ (-3 (|:| |fst| (-436)) (|:| -3613 "void")) (-634 (-1161)) (-121))) (-15 -4289 ($ (-3 (|:| |fst| (-436)) (|:| -3613 "void")) (-634 (-953 (-568))) (-121))) (-15 -3884 ($)) (-15 -2040 ($)) (-15 -3901 ($)) (-15 -3747 ($)) (-15 -3551 ($)) (-15 -3969 ($)) (-15 -4138 ($)))) 
-((-2449 (((-121) $ $) NIL)) (-3393 (((-1161) $) 8)) (-1893 (((-1143) $) 16)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) 11)) (-1719 (((-121) $ $) 13))) 
-(((-440 |#1|) (-13 (-1090) (-10 -8 (-15 -3393 ((-1161) $)))) (-1161)) (T -440)) 
-((-3393 (*1 *2 *1) (-12 (-5 *2 (-1161)) (-5 *1 (-440 *3)) (-14 *3 *2)))) 
-(-13 (-1090) (-10 -8 (-15 -3393 ((-1161) $)))) 
-((-4130 (((-1249) $) 7)) (-2747 (((-850) $) 8) (($ (-1244 (-688))) 12) (($ (-634 (-328))) 11) (($ (-328)) 10) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 9))) 
-(((-441) (-1275)) (T -441)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1244 (-688))) (-4 *1 (-441)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-634 (-328))) (-4 *1 (-441)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-328)) (-4 *1 (-441)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) (-4 *1 (-441))))) 
-(-13 (-397) (-10 -8 (-15 -2747 ($ (-1244 (-688)))) (-15 -2747 ($ (-634 (-328)))) (-15 -2747 ($ (-328))) (-15 -2747 ($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328)))))))) 
-(((-608 (-850)) . T) ((-397) . T) ((-1195) . T)) 
-((-3668 (((-3 $ "failed") (-1244 (-310 (-381)))) 19) (((-3 $ "failed") (-1244 (-310 (-568)))) 17) (((-3 $ "failed") (-1244 (-953 (-381)))) 15) (((-3 $ "failed") (-1244 (-953 (-568)))) 13) (((-3 $ "failed") (-1244 (-409 (-953 (-381))))) 11) (((-3 $ "failed") (-1244 (-409 (-953 (-568))))) 9)) (-2857 (($ (-1244 (-310 (-381)))) 20) (($ (-1244 (-310 (-568)))) 18) (($ (-1244 (-953 (-381)))) 16) (($ (-1244 (-953 (-568)))) 14) (($ (-1244 (-409 (-953 (-381))))) 12) (($ (-1244 (-409 (-953 (-568))))) 10)) (-4130 (((-1249) $) 7)) (-2747 (((-850) $) 8) (($ (-634 (-328))) 23) (($ (-328)) 22) (($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) 21))) 
-(((-442) (-1275)) (T -442)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-634 (-328))) (-4 *1 (-442)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-328)) (-4 *1 (-442)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) (-4 *1 (-442)))) (-2857 (*1 *1 *2) (-12 (-5 *2 (-1244 (-310 (-381)))) (-4 *1 (-442)))) (-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-1244 (-310 (-381)))) (-4 *1 (-442)))) (-2857 (*1 *1 *2) (-12 (-5 *2 (-1244 (-310 (-568)))) (-4 *1 (-442)))) (-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-1244 (-310 (-568)))) (-4 *1 (-442)))) (-2857 (*1 *1 *2) (-12 (-5 *2 (-1244 (-953 (-381)))) (-4 *1 (-442)))) (-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-1244 (-953 (-381)))) (-4 *1 (-442)))) (-2857 (*1 *1 *2) (-12 (-5 *2 (-1244 (-953 (-568)))) (-4 *1 (-442)))) (-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-1244 (-953 (-568)))) (-4 *1 (-442)))) (-2857 (*1 *1 *2) (-12 (-5 *2 (-1244 (-409 (-953 (-381))))) (-4 *1 (-442)))) (-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-1244 (-409 (-953 (-381))))) (-4 *1 (-442)))) (-2857 (*1 *1 *2) (-12 (-5 *2 (-1244 (-409 (-953 (-568))))) (-4 *1 (-442)))) (-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-1244 (-409 (-953 (-568))))) (-4 *1 (-442))))) 
-(-13 (-397) (-10 -8 (-15 -2747 ($ (-634 (-328)))) (-15 -2747 ($ (-328))) (-15 -2747 ($ (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328)))))) (-15 -2857 ($ (-1244 (-310 (-381))))) (-15 -3668 ((-3 $ "failed") (-1244 (-310 (-381))))) (-15 -2857 ($ (-1244 (-310 (-568))))) (-15 -3668 ((-3 $ "failed") (-1244 (-310 (-568))))) (-15 -2857 ($ (-1244 (-953 (-381))))) (-15 -3668 ((-3 $ "failed") (-1244 (-953 (-381))))) (-15 -2857 ($ (-1244 (-953 (-568))))) (-15 -3668 ((-3 $ "failed") (-1244 (-953 (-568))))) (-15 -2857 ($ (-1244 (-409 (-953 (-381)))))) (-15 -3668 ((-3 $ "failed") (-1244 (-409 (-953 (-381)))))) (-15 -2857 ($ (-1244 (-409 (-953 (-568)))))) (-15 -3668 ((-3 $ "failed") (-1244 (-409 (-953 (-568)))))))) 
-(((-608 (-850)) . T) ((-397) . T) ((-1195) . T)) 
-((-1328 (((-121)) 17)) (-3774 (((-121) (-121)) 18)) (-4377 (((-121)) 13)) (-2642 (((-121) (-121)) 14)) (-2309 (((-121)) 15)) (-1905 (((-121) (-121)) 16)) (-1897 (((-917) (-917)) 21) (((-917)) 20)) (-2764 (((-763) (-634 (-2 (|:| -3850 |#1|) (|:| -1836 (-568))))) 41)) (-4493 (((-917) (-917)) 23) (((-917)) 22)) (-4307 (((-2 (|:| -1638 (-568)) (|:| -2075 (-634 |#1|))) |#1|) 61)) (-2932 (((-420 |#1|) (-2 (|:| |contp| (-568)) (|:| -2075 (-634 (-2 (|:| |irr| |#1|) (|:| -4402 (-568))))))) 125)) (-2996 (((-2 (|:| |contp| (-568)) (|:| -2075 (-634 (-2 (|:| |irr| |#1|) (|:| -4402 (-568)))))) |#1| (-121)) 151)) (-4254 (((-420 |#1|) |#1| (-763) (-763)) 164) (((-420 |#1|) |#1| (-634 (-763)) (-763)) 161) (((-420 |#1|) |#1| (-634 (-763))) 163) (((-420 |#1|) |#1| (-763)) 162) (((-420 |#1|) |#1|) 160)) (-1694 (((-3 |#1| "failed") (-917) |#1| (-634 (-763)) (-763) (-121)) 166) (((-3 |#1| "failed") (-917) |#1| (-634 (-763)) (-763)) 167) (((-3 |#1| "failed") (-917) |#1| (-634 (-763))) 169) (((-3 |#1| "failed") (-917) |#1| (-763)) 168) (((-3 |#1| "failed") (-917) |#1|) 170)) (-3850 (((-420 |#1|) |#1| (-763) (-763)) 159) (((-420 |#1|) |#1| (-634 (-763)) (-763)) 155) (((-420 |#1|) |#1| (-634 (-763))) 157) (((-420 |#1|) |#1| (-763)) 156) (((-420 |#1|) |#1|) 154)) (-3277 (((-121) |#1|) 36)) (-2604 (((-727 (-763)) (-634 (-2 (|:| -3850 |#1|) (|:| -1836 (-568))))) 66)) (-2991 (((-2 (|:| |contp| (-568)) (|:| -2075 (-634 (-2 (|:| |irr| |#1|) (|:| -4402 (-568)))))) |#1| (-121) (-1092 (-763)) (-763)) 153))) 
-(((-443 |#1|) (-10 -7 (-15 -2932 ((-420 |#1|) (-2 (|:| |contp| (-568)) (|:| -2075 (-634 (-2 (|:| |irr| |#1|) (|:| -4402 (-568)))))))) (-15 -2604 ((-727 (-763)) (-634 (-2 (|:| -3850 |#1|) (|:| -1836 (-568)))))) (-15 -4493 ((-917))) (-15 -4493 ((-917) (-917))) (-15 -1897 ((-917))) (-15 -1897 ((-917) (-917))) (-15 -2764 ((-763) (-634 (-2 (|:| -3850 |#1|) (|:| -1836 (-568)))))) (-15 -4307 ((-2 (|:| -1638 (-568)) (|:| -2075 (-634 |#1|))) |#1|)) (-15 -1328 ((-121))) (-15 -3774 ((-121) (-121))) (-15 -4377 ((-121))) (-15 -2642 ((-121) (-121))) (-15 -3277 ((-121) |#1|)) (-15 -2309 ((-121))) (-15 -1905 ((-121) (-121))) (-15 -3850 ((-420 |#1|) |#1|)) (-15 -3850 ((-420 |#1|) |#1| (-763))) (-15 -3850 ((-420 |#1|) |#1| (-634 (-763)))) (-15 -3850 ((-420 |#1|) |#1| (-634 (-763)) (-763))) (-15 -3850 ((-420 |#1|) |#1| (-763) (-763))) (-15 -4254 ((-420 |#1|) |#1|)) (-15 -4254 ((-420 |#1|) |#1| (-763))) (-15 -4254 ((-420 |#1|) |#1| (-634 (-763)))) (-15 -4254 ((-420 |#1|) |#1| (-634 (-763)) (-763))) (-15 -4254 ((-420 |#1|) |#1| (-763) (-763))) (-15 -1694 ((-3 |#1| "failed") (-917) |#1|)) (-15 -1694 ((-3 |#1| "failed") (-917) |#1| (-763))) (-15 -1694 ((-3 |#1| "failed") (-917) |#1| (-634 (-763)))) (-15 -1694 ((-3 |#1| "failed") (-917) |#1| (-634 (-763)) (-763))) (-15 -1694 ((-3 |#1| "failed") (-917) |#1| (-634 (-763)) (-763) (-121))) (-15 -2996 ((-2 (|:| |contp| (-568)) (|:| -2075 (-634 (-2 (|:| |irr| |#1|) (|:| -4402 (-568)))))) |#1| (-121))) (-15 -2991 ((-2 (|:| |contp| (-568)) (|:| -2075 (-634 (-2 (|:| |irr| |#1|) (|:| -4402 (-568)))))) |#1| (-121) (-1092 (-763)) (-763)))) (-1219 (-568))) (T -443)) 
-((-2991 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-121)) (-5 *5 (-1092 (-763))) (-5 *6 (-763)) (-5 *2 (-2 (|:| |contp| (-568)) (|:| -2075 (-634 (-2 (|:| |irr| *3) (|:| -4402 (-568))))))) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) (-2996 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *2 (-2 (|:| |contp| (-568)) (|:| -2075 (-634 (-2 (|:| |irr| *3) (|:| -4402 (-568))))))) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) (-1694 (*1 *2 *3 *2 *4 *5 *6) (|partial| -12 (-5 *3 (-917)) (-5 *4 (-634 (-763))) (-5 *5 (-763)) (-5 *6 (-121)) (-5 *1 (-443 *2)) (-4 *2 (-1219 (-568))))) (-1694 (*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *3 (-917)) (-5 *4 (-634 (-763))) (-5 *5 (-763)) (-5 *1 (-443 *2)) (-4 *2 (-1219 (-568))))) (-1694 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-917)) (-5 *4 (-634 (-763))) (-5 *1 (-443 *2)) (-4 *2 (-1219 (-568))))) (-1694 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-917)) (-5 *4 (-763)) (-5 *1 (-443 *2)) (-4 *2 (-1219 (-568))))) (-1694 (*1 *2 *3 *2) (|partial| -12 (-5 *3 (-917)) (-5 *1 (-443 *2)) (-4 *2 (-1219 (-568))))) (-4254 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-763)) (-5 *2 (-420 *3)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) (-4254 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-634 (-763))) (-5 *5 (-763)) (-5 *2 (-420 *3)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) (-4254 (*1 *2 *3 *4) (-12 (-5 *4 (-634 (-763))) (-5 *2 (-420 *3)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) (-4254 (*1 *2 *3 *4) (-12 (-5 *4 (-763)) (-5 *2 (-420 *3)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) (-4254 (*1 *2 *3) (-12 (-5 *2 (-420 *3)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) (-3850 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-763)) (-5 *2 (-420 *3)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) (-3850 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-634 (-763))) (-5 *5 (-763)) (-5 *2 (-420 *3)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) (-3850 (*1 *2 *3 *4) (-12 (-5 *4 (-634 (-763))) (-5 *2 (-420 *3)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) (-3850 (*1 *2 *3 *4) (-12 (-5 *4 (-763)) (-5 *2 (-420 *3)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) (-3850 (*1 *2 *3) (-12 (-5 *2 (-420 *3)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) (-1905 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) (-2309 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) (-3277 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) (-2642 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) (-4377 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) (-3774 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) (-1328 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) (-4307 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| -1638 (-568)) (|:| -2075 (-634 *3)))) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) (-2764 (*1 *2 *3) (-12 (-5 *3 (-634 (-2 (|:| -3850 *4) (|:| -1836 (-568))))) (-4 *4 (-1219 (-568))) (-5 *2 (-763)) (-5 *1 (-443 *4)))) (-1897 (*1 *2 *2) (-12 (-5 *2 (-917)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) (-1897 (*1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) (-4493 (*1 *2 *2) (-12 (-5 *2 (-917)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) (-4493 (*1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) (-2604 (*1 *2 *3) (-12 (-5 *3 (-634 (-2 (|:| -3850 *4) (|:| -1836 (-568))))) (-4 *4 (-1219 (-568))) (-5 *2 (-727 (-763))) (-5 *1 (-443 *4)))) (-2932 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |contp| (-568)) (|:| -2075 (-634 (-2 (|:| |irr| *4) (|:| -4402 (-568))))))) (-4 *4 (-1219 (-568))) (-5 *2 (-420 *4)) (-5 *1 (-443 *4))))) 
-(-10 -7 (-15 -2932 ((-420 |#1|) (-2 (|:| |contp| (-568)) (|:| -2075 (-634 (-2 (|:| |irr| |#1|) (|:| -4402 (-568)))))))) (-15 -2604 ((-727 (-763)) (-634 (-2 (|:| -3850 |#1|) (|:| -1836 (-568)))))) (-15 -4493 ((-917))) (-15 -4493 ((-917) (-917))) (-15 -1897 ((-917))) (-15 -1897 ((-917) (-917))) (-15 -2764 ((-763) (-634 (-2 (|:| -3850 |#1|) (|:| -1836 (-568)))))) (-15 -4307 ((-2 (|:| -1638 (-568)) (|:| -2075 (-634 |#1|))) |#1|)) (-15 -1328 ((-121))) (-15 -3774 ((-121) (-121))) (-15 -4377 ((-121))) (-15 -2642 ((-121) (-121))) (-15 -3277 ((-121) |#1|)) (-15 -2309 ((-121))) (-15 -1905 ((-121) (-121))) (-15 -3850 ((-420 |#1|) |#1|)) (-15 -3850 ((-420 |#1|) |#1| (-763))) (-15 -3850 ((-420 |#1|) |#1| (-634 (-763)))) (-15 -3850 ((-420 |#1|) |#1| (-634 (-763)) (-763))) (-15 -3850 ((-420 |#1|) |#1| (-763) (-763))) (-15 -4254 ((-420 |#1|) |#1|)) (-15 -4254 ((-420 |#1|) |#1| (-763))) (-15 -4254 ((-420 |#1|) |#1| (-634 (-763)))) (-15 -4254 ((-420 |#1|) |#1| (-634 (-763)) (-763))) (-15 -4254 ((-420 |#1|) |#1| (-763) (-763))) (-15 -1694 ((-3 |#1| "failed") (-917) |#1|)) (-15 -1694 ((-3 |#1| "failed") (-917) |#1| (-763))) (-15 -1694 ((-3 |#1| "failed") (-917) |#1| (-634 (-763)))) (-15 -1694 ((-3 |#1| "failed") (-917) |#1| (-634 (-763)) (-763))) (-15 -1694 ((-3 |#1| "failed") (-917) |#1| (-634 (-763)) (-763) (-121))) (-15 -2996 ((-2 (|:| |contp| (-568)) (|:| -2075 (-634 (-2 (|:| |irr| |#1|) (|:| -4402 (-568)))))) |#1| (-121))) (-15 -2991 ((-2 (|:| |contp| (-568)) (|:| -2075 (-634 (-2 (|:| |irr| |#1|) (|:| -4402 (-568)))))) |#1| (-121) (-1092 (-763)) (-763)))) 
-((-2183 (((-568) |#2|) 48) (((-568) |#2| (-763)) 47)) (-1815 (((-568) |#2|) 55)) (-2594 ((|#3| |#2|) 25)) (-4417 ((|#3| |#2| (-917)) 14)) (-3680 ((|#3| |#2|) 15)) (-1888 ((|#3| |#2|) 9)) (-2963 ((|#3| |#2|) 10)) (-2204 ((|#3| |#2| (-917)) 62) ((|#3| |#2|) 30)) (-4447 (((-568) |#2|) 57))) 
-(((-444 |#1| |#2| |#3|) (-10 -7 (-15 -4447 ((-568) |#2|)) (-15 -2204 (|#3| |#2|)) (-15 -2204 (|#3| |#2| (-917))) (-15 -1815 ((-568) |#2|)) (-15 -2183 ((-568) |#2| (-763))) (-15 -2183 ((-568) |#2|)) (-15 -4417 (|#3| |#2| (-917))) (-15 -2594 (|#3| |#2|)) (-15 -1888 (|#3| |#2|)) (-15 -2963 (|#3| |#2|)) (-15 -3680 (|#3| |#2|))) (-1047) (-1219 |#1|) (-13 (-406) (-1037 |#1|) (-365) (-1181) (-279))) (T -444)) 
-((-3680 (*1 *2 *3) (-12 (-4 *4 (-1047)) (-4 *2 (-13 (-406) (-1037 *4) (-365) (-1181) (-279))) (-5 *1 (-444 *4 *3 *2)) (-4 *3 (-1219 *4)))) (-2963 (*1 *2 *3) (-12 (-4 *4 (-1047)) (-4 *2 (-13 (-406) (-1037 *4) (-365) (-1181) (-279))) (-5 *1 (-444 *4 *3 *2)) (-4 *3 (-1219 *4)))) (-1888 (*1 *2 *3) (-12 (-4 *4 (-1047)) (-4 *2 (-13 (-406) (-1037 *4) (-365) (-1181) (-279))) (-5 *1 (-444 *4 *3 *2)) (-4 *3 (-1219 *4)))) (-2594 (*1 *2 *3) (-12 (-4 *4 (-1047)) (-4 *2 (-13 (-406) (-1037 *4) (-365) (-1181) (-279))) (-5 *1 (-444 *4 *3 *2)) (-4 *3 (-1219 *4)))) (-4417 (*1 *2 *3 *4) (-12 (-5 *4 (-917)) (-4 *5 (-1047)) (-4 *2 (-13 (-406) (-1037 *5) (-365) (-1181) (-279))) (-5 *1 (-444 *5 *3 *2)) (-4 *3 (-1219 *5)))) (-2183 (*1 *2 *3) (-12 (-4 *4 (-1047)) (-5 *2 (-568)) (-5 *1 (-444 *4 *3 *5)) (-4 *3 (-1219 *4)) (-4 *5 (-13 (-406) (-1037 *4) (-365) (-1181) (-279))))) (-2183 (*1 *2 *3 *4) (-12 (-5 *4 (-763)) (-4 *5 (-1047)) (-5 *2 (-568)) (-5 *1 (-444 *5 *3 *6)) (-4 *3 (-1219 *5)) (-4 *6 (-13 (-406) (-1037 *5) (-365) (-1181) (-279))))) (-1815 (*1 *2 *3) (-12 (-4 *4 (-1047)) (-5 *2 (-568)) (-5 *1 (-444 *4 *3 *5)) (-4 *3 (-1219 *4)) (-4 *5 (-13 (-406) (-1037 *4) (-365) (-1181) (-279))))) (-2204 (*1 *2 *3 *4) (-12 (-5 *4 (-917)) (-4 *5 (-1047)) (-4 *2 (-13 (-406) (-1037 *5) (-365) (-1181) (-279))) (-5 *1 (-444 *5 *3 *2)) (-4 *3 (-1219 *5)))) (-2204 (*1 *2 *3) (-12 (-4 *4 (-1047)) (-4 *2 (-13 (-406) (-1037 *4) (-365) (-1181) (-279))) (-5 *1 (-444 *4 *3 *2)) (-4 *3 (-1219 *4)))) (-4447 (*1 *2 *3) (-12 (-4 *4 (-1047)) (-5 *2 (-568)) (-5 *1 (-444 *4 *3 *5)) (-4 *3 (-1219 *4)) (-4 *5 (-13 (-406) (-1037 *4) (-365) (-1181) (-279)))))) 
-(-10 -7 (-15 -4447 ((-568) |#2|)) (-15 -2204 (|#3| |#2|)) (-15 -2204 (|#3| |#2| (-917))) (-15 -1815 ((-568) |#2|)) (-15 -2183 ((-568) |#2| (-763))) (-15 -2183 ((-568) |#2|)) (-15 -4417 (|#3| |#2| (-917))) (-15 -2594 (|#3| |#2|)) (-15 -1888 (|#3| |#2|)) (-15 -2963 (|#3| |#2|)) (-15 -3680 (|#3| |#2|))) 
-((-3340 ((|#2| (-1244 |#1|)) 36)) (-4482 ((|#2| |#2| |#1|) 49)) (-2048 ((|#2| |#2| |#1|) 41)) (-3945 ((|#2| |#2|) 38)) (-3463 (((-121) |#2|) 30)) (-1806 (((-634 |#2|) (-917) (-420 |#2|)) 16)) (-1694 ((|#2| (-917) (-420 |#2|)) 21)) (-2604 (((-727 (-763)) (-420 |#2|)) 25))) 
-(((-445 |#1| |#2|) (-10 -7 (-15 -3463 ((-121) |#2|)) (-15 -3340 (|#2| (-1244 |#1|))) (-15 -3945 (|#2| |#2|)) (-15 -2048 (|#2| |#2| |#1|)) (-15 -4482 (|#2| |#2| |#1|)) (-15 -2604 ((-727 (-763)) (-420 |#2|))) (-15 -1694 (|#2| (-917) (-420 |#2|))) (-15 -1806 ((-634 |#2|) (-917) (-420 |#2|)))) (-1047) (-1219 |#1|)) (T -445)) 
-((-1806 (*1 *2 *3 *4) (-12 (-5 *3 (-917)) (-5 *4 (-420 *6)) (-4 *6 (-1219 *5)) (-4 *5 (-1047)) (-5 *2 (-634 *6)) (-5 *1 (-445 *5 *6)))) (-1694 (*1 *2 *3 *4) (-12 (-5 *3 (-917)) (-5 *4 (-420 *2)) (-4 *2 (-1219 *5)) (-5 *1 (-445 *5 *2)) (-4 *5 (-1047)))) (-2604 (*1 *2 *3) (-12 (-5 *3 (-420 *5)) (-4 *5 (-1219 *4)) (-4 *4 (-1047)) (-5 *2 (-727 (-763))) (-5 *1 (-445 *4 *5)))) (-4482 (*1 *2 *2 *3) (-12 (-4 *3 (-1047)) (-5 *1 (-445 *3 *2)) (-4 *2 (-1219 *3)))) (-2048 (*1 *2 *2 *3) (-12 (-4 *3 (-1047)) (-5 *1 (-445 *3 *2)) (-4 *2 (-1219 *3)))) (-3945 (*1 *2 *2) (-12 (-4 *3 (-1047)) (-5 *1 (-445 *3 *2)) (-4 *2 (-1219 *3)))) (-3340 (*1 *2 *3) (-12 (-5 *3 (-1244 *4)) (-4 *4 (-1047)) (-4 *2 (-1219 *4)) (-5 *1 (-445 *4 *2)))) (-3463 (*1 *2 *3) (-12 (-4 *4 (-1047)) (-5 *2 (-121)) (-5 *1 (-445 *4 *3)) (-4 *3 (-1219 *4))))) 
-(-10 -7 (-15 -3463 ((-121) |#2|)) (-15 -3340 (|#2| (-1244 |#1|))) (-15 -3945 (|#2| |#2|)) (-15 -2048 (|#2| |#2| |#1|)) (-15 -4482 (|#2| |#2| |#1|)) (-15 -2604 ((-727 (-763)) (-420 |#2|))) (-15 -1694 (|#2| (-917) (-420 |#2|))) (-15 -1806 ((-634 |#2|) (-917) (-420 |#2|)))) 
-((-4140 (((-763)) 41)) (-1379 (((-763)) 23 (|has| |#1| (-406))) (((-763) (-763)) 22 (|has| |#1| (-406)))) (-2710 (((-568) |#1|) 18 (|has| |#1| (-406)))) (-1612 (((-568) |#1|) 20 (|has| |#1| (-406)))) (-1616 (((-763)) 40) (((-763) (-763)) 39)) (-1405 ((|#1| (-763) (-568)) 29)) (-2178 (((-1249)) 43))) 
-(((-446 |#1|) (-10 -7 (-15 -1405 (|#1| (-763) (-568))) (-15 -1616 ((-763) (-763))) (-15 -1616 ((-763))) (-15 -4140 ((-763))) (-15 -2178 ((-1249))) (IF (|has| |#1| (-406)) (PROGN (-15 -1612 ((-568) |#1|)) (-15 -2710 ((-568) |#1|)) (-15 -1379 ((-763) (-763))) (-15 -1379 ((-763)))) |noBranch|)) (-1047)) (T -446)) 
-((-1379 (*1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-446 *3)) (-4 *3 (-406)) (-4 *3 (-1047)))) (-1379 (*1 *2 *2) (-12 (-5 *2 (-763)) (-5 *1 (-446 *3)) (-4 *3 (-406)) (-4 *3 (-1047)))) (-2710 (*1 *2 *3) (-12 (-5 *2 (-568)) (-5 *1 (-446 *3)) (-4 *3 (-406)) (-4 *3 (-1047)))) (-1612 (*1 *2 *3) (-12 (-5 *2 (-568)) (-5 *1 (-446 *3)) (-4 *3 (-406)) (-4 *3 (-1047)))) (-2178 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-446 *3)) (-4 *3 (-1047)))) (-4140 (*1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-446 *3)) (-4 *3 (-1047)))) (-1616 (*1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-446 *3)) (-4 *3 (-1047)))) (-1616 (*1 *2 *2) (-12 (-5 *2 (-763)) (-5 *1 (-446 *3)) (-4 *3 (-1047)))) (-1405 (*1 *2 *3 *4) (-12 (-5 *3 (-763)) (-5 *4 (-568)) (-5 *1 (-446 *2)) (-4 *2 (-1047))))) 
-(-10 -7 (-15 -1405 (|#1| (-763) (-568))) (-15 -1616 ((-763) (-763))) (-15 -1616 ((-763))) (-15 -4140 ((-763))) (-15 -2178 ((-1249))) (IF (|has| |#1| (-406)) (PROGN (-15 -1612 ((-568) |#1|)) (-15 -2710 ((-568) |#1|)) (-15 -1379 ((-763) (-763))) (-15 -1379 ((-763)))) |noBranch|)) 
-((-1307 (((-634 (-568)) (-568)) 57)) (-2197 (((-121) (-169 (-568))) 61)) (-3850 (((-420 (-169 (-568))) (-169 (-568))) 56))) 
-(((-447) (-10 -7 (-15 -3850 ((-420 (-169 (-568))) (-169 (-568)))) (-15 -1307 ((-634 (-568)) (-568))) (-15 -2197 ((-121) (-169 (-568)))))) (T -447)) 
-((-2197 (*1 *2 *3) (-12 (-5 *3 (-169 (-568))) (-5 *2 (-121)) (-5 *1 (-447)))) (-1307 (*1 *2 *3) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-447)) (-5 *3 (-568)))) (-3850 (*1 *2 *3) (-12 (-5 *2 (-420 (-169 (-568)))) (-5 *1 (-447)) (-5 *3 (-169 (-568)))))) 
-(-10 -7 (-15 -3850 ((-420 (-169 (-568))) (-169 (-568)))) (-15 -1307 ((-634 (-568)) (-568))) (-15 -2197 ((-121) (-169 (-568))))) 
-((-1351 ((|#4| |#4| (-634 |#4|)) 57)) (-3511 (((-634 |#4|) (-634 |#4|) (-1143) (-1143)) 17) (((-634 |#4|) (-634 |#4|) (-1143)) 16) (((-634 |#4|) (-634 |#4|)) 11))) 
-(((-448 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1351 (|#4| |#4| (-634 |#4|))) (-15 -3511 ((-634 |#4|) (-634 |#4|))) (-15 -3511 ((-634 |#4|) (-634 |#4|) (-1143))) (-15 -3511 ((-634 |#4|) (-634 |#4|) (-1143) (-1143)))) (-301) (-788) (-842) (-950 |#1| |#2| |#3|)) (T -448)) 
-((-3511 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-634 *7)) (-5 *3 (-1143)) (-4 *7 (-950 *4 *5 *6)) (-4 *4 (-301)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-448 *4 *5 *6 *7)))) (-3511 (*1 *2 *2 *3) (-12 (-5 *2 (-634 *7)) (-5 *3 (-1143)) (-4 *7 (-950 *4 *5 *6)) (-4 *4 (-301)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-448 *4 *5 *6 *7)))) (-3511 (*1 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-950 *3 *4 *5)) (-4 *3 (-301)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-448 *3 *4 *5 *6)))) (-1351 (*1 *2 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-950 *4 *5 *6)) (-4 *4 (-301)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-448 *4 *5 *6 *2))))) 
-(-10 -7 (-15 -1351 (|#4| |#4| (-634 |#4|))) (-15 -3511 ((-634 |#4|) (-634 |#4|))) (-15 -3511 ((-634 |#4|) (-634 |#4|) (-1143))) (-15 -3511 ((-634 |#4|) (-634 |#4|) (-1143) (-1143)))) 
-((-1548 (((-634 (-634 |#4|)) (-634 |#4|) (-121)) 70) (((-634 (-634 |#4|)) (-634 |#4|)) 69) (((-634 (-634 |#4|)) (-634 |#4|) (-634 |#4|) (-121)) 63) (((-634 (-634 |#4|)) (-634 |#4|) (-634 |#4|)) 64)) (-2459 (((-634 (-634 |#4|)) (-634 |#4|) (-121)) 40) (((-634 (-634 |#4|)) (-634 |#4|)) 60))) 
-(((-449 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2459 ((-634 (-634 |#4|)) (-634 |#4|))) (-15 -2459 ((-634 (-634 |#4|)) (-634 |#4|) (-121))) (-15 -1548 ((-634 (-634 |#4|)) (-634 |#4|) (-634 |#4|))) (-15 -1548 ((-634 (-634 |#4|)) (-634 |#4|) (-634 |#4|) (-121))) (-15 -1548 ((-634 (-634 |#4|)) (-634 |#4|))) (-15 -1548 ((-634 (-634 |#4|)) (-634 |#4|) (-121)))) (-13 (-301) (-150)) (-788) (-842) (-950 |#1| |#2| |#3|)) (T -449)) 
-((-1548 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-301) (-150))) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *8 (-950 *5 *6 *7)) (-5 *2 (-634 (-634 *8))) (-5 *1 (-449 *5 *6 *7 *8)) (-5 *3 (-634 *8)))) (-1548 (*1 *2 *3) (-12 (-4 *4 (-13 (-301) (-150))) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-950 *4 *5 *6)) (-5 *2 (-634 (-634 *7))) (-5 *1 (-449 *4 *5 *6 *7)) (-5 *3 (-634 *7)))) (-1548 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-301) (-150))) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *8 (-950 *5 *6 *7)) (-5 *2 (-634 (-634 *8))) (-5 *1 (-449 *5 *6 *7 *8)) (-5 *3 (-634 *8)))) (-1548 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-301) (-150))) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-950 *4 *5 *6)) (-5 *2 (-634 (-634 *7))) (-5 *1 (-449 *4 *5 *6 *7)) (-5 *3 (-634 *7)))) (-2459 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-301) (-150))) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *8 (-950 *5 *6 *7)) (-5 *2 (-634 (-634 *8))) (-5 *1 (-449 *5 *6 *7 *8)) (-5 *3 (-634 *8)))) (-2459 (*1 *2 *3) (-12 (-4 *4 (-13 (-301) (-150))) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-950 *4 *5 *6)) (-5 *2 (-634 (-634 *7))) (-5 *1 (-449 *4 *5 *6 *7)) (-5 *3 (-634 *7))))) 
-(-10 -7 (-15 -2459 ((-634 (-634 |#4|)) (-634 |#4|))) (-15 -2459 ((-634 (-634 |#4|)) (-634 |#4|) (-121))) (-15 -1548 ((-634 (-634 |#4|)) (-634 |#4|) (-634 |#4|))) (-15 -1548 ((-634 (-634 |#4|)) (-634 |#4|) (-634 |#4|) (-121))) (-15 -1548 ((-634 (-634 |#4|)) (-634 |#4|))) (-15 -1548 ((-634 (-634 |#4|)) (-634 |#4|) (-121)))) 
-((-2891 (((-763) |#4|) 12)) (-3944 (((-634 (-2 (|:| |totdeg| (-763)) (|:| -1416 |#4|))) |#4| (-763) (-634 (-2 (|:| |totdeg| (-763)) (|:| -1416 |#4|)))) 31)) (-2064 (((-634 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-634 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-634 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 37)) (-1620 ((|#4| (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|))) 38)) (-2327 ((|#4| |#4| (-634 |#4|)) 39)) (-2784 (((-2 (|:| |poly| |#4|) (|:| |mult| |#1|)) |#4| (-634 |#4|)) 68)) (-2601 (((-1249) |#4|) 41)) (-1970 (((-1249) (-634 |#4|)) 50)) (-1881 (((-568) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-568) (-568) (-568)) 47)) (-3149 (((-1249) (-568)) 75)) (-4039 (((-634 |#4|) (-634 |#4|)) 73)) (-3586 (((-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |totdeg| (-763)) (|:| -1416 |#4|)) |#4| (-763)) 25)) (-4400 (((-568) |#4|) 74)) (-2198 ((|#4| |#4|) 29)) (-2652 (((-634 |#4|) (-634 |#4|) (-568) (-568)) 54)) (-3734 (((-568) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-568) (-568) (-568) (-568)) 85)) (-2144 (((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|))) 16)) (-3735 (((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|))) 57)) (-3382 (((-634 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#2| (-634 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 56)) (-3822 (((-634 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-634 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 35)) (-1510 (((-121) |#2| |#2|) 55)) (-2460 (((-634 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#4| (-634 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 36)) (-2611 (((-121) |#2| |#2| |#2| |#2|) 58)) (-2497 ((|#4| |#4| (-634 |#4|)) 69))) 
-(((-450 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2497 (|#4| |#4| (-634 |#4|))) (-15 -2327 (|#4| |#4| (-634 |#4|))) (-15 -2652 ((-634 |#4|) (-634 |#4|) (-568) (-568))) (-15 -3735 ((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -1510 ((-121) |#2| |#2|)) (-15 -2611 ((-121) |#2| |#2| |#2| |#2|)) (-15 -2460 ((-634 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#4| (-634 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -3822 ((-634 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-634 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -3382 ((-634 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#2| (-634 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -2784 ((-2 (|:| |poly| |#4|) (|:| |mult| |#1|)) |#4| (-634 |#4|))) (-15 -2198 (|#4| |#4|)) (-15 -3944 ((-634 (-2 (|:| |totdeg| (-763)) (|:| -1416 |#4|))) |#4| (-763) (-634 (-2 (|:| |totdeg| (-763)) (|:| -1416 |#4|))))) (-15 -1620 (|#4| (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -2064 ((-634 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-634 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-634 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -4039 ((-634 |#4|) (-634 |#4|))) (-15 -4400 ((-568) |#4|)) (-15 -2601 ((-1249) |#4|)) (-15 -1881 ((-568) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-568) (-568) (-568))) (-15 -3734 ((-568) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-568) (-568) (-568) (-568))) (-15 -1970 ((-1249) (-634 |#4|))) (-15 -3149 ((-1249) (-568))) (-15 -2144 ((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -3586 ((-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |totdeg| (-763)) (|:| -1416 |#4|)) |#4| (-763))) (-15 -2891 ((-763) |#4|))) (-453) (-788) (-842) (-950 |#1| |#2| |#3|)) (T -450)) 
-((-2891 (*1 *2 *3) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-763)) (-5 *1 (-450 *4 *5 *6 *3)) (-4 *3 (-950 *4 *5 *6)))) (-3586 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-2 (|:| |totdeg| (-763)) (|:| -1416 *4))) (-5 *5 (-763)) (-4 *4 (-950 *6 *7 *8)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *8 (-842)) (-5 *2 (-2 (|:| |lcmfij| *7) (|:| |totdeg| *5) (|:| |poli| *4) (|:| |polj| *4))) (-5 *1 (-450 *6 *7 *8 *4)))) (-2144 (*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-763)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-788)) (-4 *7 (-950 *4 *5 *6)) (-4 *4 (-453)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-450 *4 *5 *6 *7)))) (-3149 (*1 *2 *3) (-12 (-5 *3 (-568)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-1249)) (-5 *1 (-450 *4 *5 *6 *7)) (-4 *7 (-950 *4 *5 *6)))) (-1970 (*1 *2 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-950 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-1249)) (-5 *1 (-450 *4 *5 *6 *7)))) (-3734 (*1 *2 *3 *4 *4 *2 *2 *2 *2) (-12 (-5 *2 (-568)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-763)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-788)) (-4 *4 (-950 *5 *6 *7)) (-4 *5 (-453)) (-4 *7 (-842)) (-5 *1 (-450 *5 *6 *7 *4)))) (-1881 (*1 *2 *3 *4 *4 *2 *2 *2) (-12 (-5 *2 (-568)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-763)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-788)) (-4 *4 (-950 *5 *6 *7)) (-4 *5 (-453)) (-4 *7 (-842)) (-5 *1 (-450 *5 *6 *7 *4)))) (-2601 (*1 *2 *3) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-1249)) (-5 *1 (-450 *4 *5 *6 *3)) (-4 *3 (-950 *4 *5 *6)))) (-4400 (*1 *2 *3) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-568)) (-5 *1 (-450 *4 *5 *6 *3)) (-4 *3 (-950 *4 *5 *6)))) (-4039 (*1 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-950 *3 *4 *5)) (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-450 *3 *4 *5 *6)))) (-2064 (*1 *2 *2 *2) (-12 (-5 *2 (-634 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-763)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-788)) (-4 *6 (-950 *3 *4 *5)) (-4 *3 (-453)) (-4 *5 (-842)) (-5 *1 (-450 *3 *4 *5 *6)))) (-1620 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-763)) (|:| |poli| *2) (|:| |polj| *2))) (-4 *5 (-788)) (-4 *2 (-950 *4 *5 *6)) (-5 *1 (-450 *4 *5 *6 *2)) (-4 *4 (-453)) (-4 *6 (-842)))) (-3944 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-634 (-2 (|:| |totdeg| (-763)) (|:| -1416 *3)))) (-5 *4 (-763)) (-4 *3 (-950 *5 *6 *7)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *1 (-450 *5 *6 *7 *3)))) (-2198 (*1 *2 *2) (-12 (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-450 *3 *4 *5 *2)) (-4 *2 (-950 *3 *4 *5)))) (-2784 (*1 *2 *3 *4) (-12 (-5 *4 (-634 *3)) (-4 *3 (-950 *5 *6 *7)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-2 (|:| |poly| *3) (|:| |mult| *5))) (-5 *1 (-450 *5 *6 *7 *3)))) (-3382 (*1 *2 *3 *2) (-12 (-5 *2 (-634 (-2 (|:| |lcmfij| *3) (|:| |totdeg| (-763)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *3 (-788)) (-4 *6 (-950 *4 *3 *5)) (-4 *4 (-453)) (-4 *5 (-842)) (-5 *1 (-450 *4 *3 *5 *6)))) (-3822 (*1 *2 *2) (-12 (-5 *2 (-634 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-763)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-788)) (-4 *6 (-950 *3 *4 *5)) (-4 *3 (-453)) (-4 *5 (-842)) (-5 *1 (-450 *3 *4 *5 *6)))) (-2460 (*1 *2 *3 *2) (-12 (-5 *2 (-634 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-763)) (|:| |poli| *3) (|:| |polj| *3)))) (-4 *5 (-788)) (-4 *3 (-950 *4 *5 *6)) (-4 *4 (-453)) (-4 *6 (-842)) (-5 *1 (-450 *4 *5 *6 *3)))) (-2611 (*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-453)) (-4 *3 (-788)) (-4 *5 (-842)) (-5 *2 (-121)) (-5 *1 (-450 *4 *3 *5 *6)) (-4 *6 (-950 *4 *3 *5)))) (-1510 (*1 *2 *3 *3) (-12 (-4 *4 (-453)) (-4 *3 (-788)) (-4 *5 (-842)) (-5 *2 (-121)) (-5 *1 (-450 *4 *3 *5 *6)) (-4 *6 (-950 *4 *3 *5)))) (-3735 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-763)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-788)) (-4 *7 (-950 *4 *5 *6)) (-4 *4 (-453)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-450 *4 *5 *6 *7)))) (-2652 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-634 *7)) (-5 *3 (-568)) (-4 *7 (-950 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-450 *4 *5 *6 *7)))) (-2327 (*1 *2 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-950 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-450 *4 *5 *6 *2)))) (-2497 (*1 *2 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-950 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-450 *4 *5 *6 *2))))) 
-(-10 -7 (-15 -2497 (|#4| |#4| (-634 |#4|))) (-15 -2327 (|#4| |#4| (-634 |#4|))) (-15 -2652 ((-634 |#4|) (-634 |#4|) (-568) (-568))) (-15 -3735 ((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -1510 ((-121) |#2| |#2|)) (-15 -2611 ((-121) |#2| |#2| |#2| |#2|)) (-15 -2460 ((-634 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#4| (-634 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -3822 ((-634 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-634 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -3382 ((-634 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#2| (-634 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -2784 ((-2 (|:| |poly| |#4|) (|:| |mult| |#1|)) |#4| (-634 |#4|))) (-15 -2198 (|#4| |#4|)) (-15 -3944 ((-634 (-2 (|:| |totdeg| (-763)) (|:| -1416 |#4|))) |#4| (-763) (-634 (-2 (|:| |totdeg| (-763)) (|:| -1416 |#4|))))) (-15 -1620 (|#4| (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -2064 ((-634 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-634 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-634 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -4039 ((-634 |#4|) (-634 |#4|))) (-15 -4400 ((-568) |#4|)) (-15 -2601 ((-1249) |#4|)) (-15 -1881 ((-568) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-568) (-568) (-568))) (-15 -3734 ((-568) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-568) (-568) (-568) (-568))) (-15 -1970 ((-1249) (-634 |#4|))) (-15 -3149 ((-1249) (-568))) (-15 -2144 ((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -3586 ((-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-763)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |totdeg| (-763)) (|:| -1416 |#4|)) |#4| (-763))) (-15 -2891 ((-763) |#4|))) 
-((-4272 ((|#4| |#4| (-634 |#4|)) 22 (|has| |#1| (-365)))) (-1506 (((-634 |#4|) (-634 |#4|) (-1143) (-1143)) 41) (((-634 |#4|) (-634 |#4|) (-1143)) 40) (((-634 |#4|) (-634 |#4|)) 35))) 
-(((-451 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1506 ((-634 |#4|) (-634 |#4|))) (-15 -1506 ((-634 |#4|) (-634 |#4|) (-1143))) (-15 -1506 ((-634 |#4|) (-634 |#4|) (-1143) (-1143))) (IF (|has| |#1| (-365)) (-15 -4272 (|#4| |#4| (-634 |#4|))) |noBranch|)) (-453) (-788) (-842) (-950 |#1| |#2| |#3|)) (T -451)) 
-((-4272 (*1 *2 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-950 *4 *5 *6)) (-4 *4 (-365)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-451 *4 *5 *6 *2)))) (-1506 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-634 *7)) (-5 *3 (-1143)) (-4 *7 (-950 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-451 *4 *5 *6 *7)))) (-1506 (*1 *2 *2 *3) (-12 (-5 *2 (-634 *7)) (-5 *3 (-1143)) (-4 *7 (-950 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-451 *4 *5 *6 *7)))) (-1506 (*1 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-950 *3 *4 *5)) (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-451 *3 *4 *5 *6))))) 
-(-10 -7 (-15 -1506 ((-634 |#4|) (-634 |#4|))) (-15 -1506 ((-634 |#4|) (-634 |#4|) (-1143))) (-15 -1506 ((-634 |#4|) (-634 |#4|) (-1143) (-1143))) (IF (|has| |#1| (-365)) (-15 -4272 (|#4| |#4| (-634 |#4|))) |noBranch|)) 
-((-2498 (($ $ $) 14) (($ (-634 $)) 21)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 41)) (-2723 (($ $ $) NIL) (($ (-634 $)) 22))) 
-(((-452 |#1|) (-10 -8 (-15 -3603 ((-1157 |#1|) (-1157 |#1|) (-1157 |#1|))) (-15 -2498 (|#1| (-634 |#1|))) (-15 -2498 (|#1| |#1| |#1|)) (-15 -2723 (|#1| (-634 |#1|))) (-15 -2723 (|#1| |#1| |#1|))) (-453)) (T -452)) 
-NIL 
-(-10 -8 (-15 -3603 ((-1157 |#1|) (-1157 |#1|) (-1157 |#1|))) (-15 -2498 (|#1| (-634 |#1|))) (-15 -2498 (|#1| |#1| |#1|)) (-15 -2723 (|#1| (-634 |#1|))) (-15 -2723 (|#1| |#1| |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 40)) (-3661 (($ $) 39)) (-4426 (((-121) $) 37)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-2902 (((-3 $ "failed") $) 33)) (-1598 (((-121) $) 30)) (-2498 (($ $ $) 45) (($ (-634 $)) 44)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 43)) (-2723 (($ $ $) 47) (($ (-634 $)) 46)) (-2597 (((-3 $ "failed") $ $) 41)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ $) 42)) (-3425 (((-763)) 28)) (-2273 (((-121) $ $) 38)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23))) 
-(((-453) (-1275)) (T -453)) 
-((-2723 (*1 *1 *1 *1) (-4 *1 (-453))) (-2723 (*1 *1 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-453)))) (-2498 (*1 *1 *1 *1) (-4 *1 (-453))) (-2498 (*1 *1 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-453)))) (-3603 (*1 *2 *2 *2) (-12 (-5 *2 (-1157 *1)) (-4 *1 (-453))))) 
-(-13 (-558) (-10 -8 (-15 -2723 ($ $ $)) (-15 -2723 ($ (-634 $))) (-15 -2498 ($ $ $)) (-15 -2498 ($ (-634 $))) (-15 -3603 ((-1157 $) (-1157 $) (-1157 $))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-137) . T) ((-608 (-850)) . T) ((-172) . T) ((-285) . T) ((-558) . T) ((-637 $) . T) ((-707 $) . T) ((-716) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-3591 (((-3 $ "failed")) NIL (|has| (-409 (-953 |#1|)) (-558)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3542 (((-1244 (-679 (-409 (-953 |#1|)))) (-1244 $)) NIL) (((-1244 (-679 (-409 (-953 |#1|))))) NIL)) (-3818 (((-1244 $)) NIL)) (-4490 (($) NIL T CONST)) (-3354 (((-3 (-2 (|:| |particular| $) (|:| -2588 (-634 $))) "failed")) NIL)) (-2046 (((-3 $ "failed")) NIL (|has| (-409 (-953 |#1|)) (-558)))) (-1524 (((-679 (-409 (-953 |#1|))) (-1244 $)) NIL) (((-679 (-409 (-953 |#1|)))) NIL)) (-2467 (((-409 (-953 |#1|)) $) NIL)) (-2235 (((-679 (-409 (-953 |#1|))) $ (-1244 $)) NIL) (((-679 (-409 (-953 |#1|))) $) NIL)) (-2812 (((-3 $ "failed") $) NIL (|has| (-409 (-953 |#1|)) (-558)))) (-1503 (((-1157 (-953 (-409 (-953 |#1|))))) NIL (|has| (-409 (-953 |#1|)) (-365))) (((-1157 (-409 (-953 |#1|)))) 79 (|has| |#1| (-558)))) (-2815 (($ $ (-917)) NIL)) (-1509 (((-409 (-953 |#1|)) $) NIL)) (-3839 (((-1157 (-409 (-953 |#1|))) $) 77 (|has| (-409 (-953 |#1|)) (-558)))) (-2886 (((-409 (-953 |#1|)) (-1244 $)) NIL) (((-409 (-953 |#1|))) NIL)) (-3105 (((-1157 (-409 (-953 |#1|))) $) NIL)) (-1463 (((-121)) NIL)) (-3899 (($ (-1244 (-409 (-953 |#1|))) (-1244 $)) 97) (($ (-1244 (-409 (-953 |#1|)))) NIL)) (-2902 (((-3 $ "failed") $) NIL (|has| (-409 (-953 |#1|)) (-558)))) (-2371 (((-917)) NIL)) (-3375 (((-121)) NIL)) (-3402 (($ $ (-917)) NIL)) (-4221 (((-121)) NIL)) (-4463 (((-121)) NIL)) (-3582 (((-121)) NIL)) (-2587 (((-3 (-2 (|:| |particular| $) (|:| -2588 (-634 $))) "failed")) NIL)) (-2061 (((-3 $ "failed")) NIL (|has| (-409 (-953 |#1|)) (-558)))) (-4134 (((-679 (-409 (-953 |#1|))) (-1244 $)) NIL) (((-679 (-409 (-953 |#1|)))) NIL)) (-2786 (((-409 (-953 |#1|)) $) NIL)) (-3147 (((-679 (-409 (-953 |#1|))) $ (-1244 $)) NIL) (((-679 (-409 (-953 |#1|))) $) NIL)) (-1974 (((-3 $ "failed") $) NIL (|has| (-409 (-953 |#1|)) (-558)))) (-1730 (((-1157 (-953 (-409 (-953 |#1|))))) NIL (|has| (-409 (-953 |#1|)) (-365))) (((-1157 (-409 (-953 |#1|)))) 78 (|has| |#1| (-558)))) (-4202 (($ $ (-917)) NIL)) (-4390 (((-409 (-953 |#1|)) $) NIL)) (-3364 (((-1157 (-409 (-953 |#1|))) $) 72 (|has| (-409 (-953 |#1|)) (-558)))) (-2060 (((-409 (-953 |#1|)) (-1244 $)) NIL) (((-409 (-953 |#1|))) NIL)) (-3114 (((-1157 (-409 (-953 |#1|))) $) NIL)) (-3487 (((-121)) NIL)) (-1893 (((-1143) $) NIL)) (-2153 (((-121)) NIL)) (-2889 (((-121)) NIL)) (-1852 (((-121)) NIL)) (-4025 (((-1108) $) NIL)) (-3020 (((-409 (-953 |#1|)) $ $) 66 (|has| |#1| (-558)))) (-2447 (((-409 (-953 |#1|)) $) 65 (|has| |#1| (-558)))) (-3068 (((-409 (-953 |#1|)) $) 89 (|has| |#1| (-558)))) (-3540 (((-1157 (-409 (-953 |#1|))) $) 83 (|has| |#1| (-558)))) (-4235 (((-409 (-953 |#1|))) 67 (|has| |#1| (-558)))) (-3609 (((-409 (-953 |#1|)) $ $) 54 (|has| |#1| (-558)))) (-2521 (((-409 (-953 |#1|)) $) 53 (|has| |#1| (-558)))) (-3429 (((-409 (-953 |#1|)) $) 88 (|has| |#1| (-558)))) (-1556 (((-1157 (-409 (-953 |#1|))) $) 82 (|has| |#1| (-558)))) (-3377 (((-409 (-953 |#1|))) 64 (|has| |#1| (-558)))) (-2283 (($) 95) (($ (-1161)) 101) (($ (-1244 (-1161))) 100) (($ (-1244 $)) 90) (($ (-1161) (-1244 $)) 99) (($ (-1244 (-1161)) (-1244 $)) 98)) (-3636 (((-121)) NIL)) (-2781 (((-409 (-953 |#1|)) $ (-568)) NIL)) (-1656 (((-1244 (-409 (-953 |#1|))) $ (-1244 $)) 92) (((-679 (-409 (-953 |#1|))) (-1244 $) (-1244 $)) NIL) (((-1244 (-409 (-953 |#1|))) $) 37) (((-679 (-409 (-953 |#1|))) (-1244 $)) NIL)) (-4280 (((-1244 (-409 (-953 |#1|))) $) NIL) (($ (-1244 (-409 (-953 |#1|)))) 34)) (-2155 (((-634 (-953 (-409 (-953 |#1|)))) (-1244 $)) NIL) (((-634 (-953 (-409 (-953 |#1|))))) NIL) (((-634 (-953 |#1|)) (-1244 $)) 93 (|has| |#1| (-558))) (((-634 (-953 |#1|))) 94 (|has| |#1| (-558)))) (-3985 (($ $ $) NIL)) (-3441 (((-121)) NIL)) (-2747 (((-850) $) NIL) (($ (-1244 (-409 (-953 |#1|)))) NIL)) (-2588 (((-1244 $)) 56)) (-2657 (((-634 (-1244 (-409 (-953 |#1|))))) NIL (|has| (-409 (-953 |#1|)) (-558)))) (-2007 (($ $ $ $) NIL)) (-3964 (((-121)) NIL)) (-3828 (($ (-679 (-409 (-953 |#1|))) $) NIL)) (-3911 (($ $ $) NIL)) (-2435 (((-121)) NIL)) (-2984 (((-121)) NIL)) (-3579 (((-121)) NIL)) (-3058 (($) NIL T CONST)) (-1719 (((-121) $ $) NIL)) (-1775 (($ $) NIL) (($ $ $) 91)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 52) (($ $ (-409 (-953 |#1|))) NIL) (($ (-409 (-953 |#1|)) $) NIL) (($ (-1127 |#2| (-409 (-953 |#1|))) $) NIL))) 
-(((-454 |#1| |#2| |#3| |#4|) (-13 (-419 (-409 (-953 |#1|))) (-637 (-1127 |#2| (-409 (-953 |#1|)))) (-10 -8 (-15 -2747 ($ (-1244 (-409 (-953 |#1|))))) (-15 -2587 ((-3 (-2 (|:| |particular| $) (|:| -2588 (-634 $))) "failed"))) (-15 -3354 ((-3 (-2 (|:| |particular| $) (|:| -2588 (-634 $))) "failed"))) (-15 -2283 ($)) (-15 -2283 ($ (-1161))) (-15 -2283 ($ (-1244 (-1161)))) (-15 -2283 ($ (-1244 $))) (-15 -2283 ($ (-1161) (-1244 $))) (-15 -2283 ($ (-1244 (-1161)) (-1244 $))) (IF (|has| |#1| (-558)) (PROGN (-15 -1730 ((-1157 (-409 (-953 |#1|))))) (-15 -1556 ((-1157 (-409 (-953 |#1|))) $)) (-15 -2521 ((-409 (-953 |#1|)) $)) (-15 -3429 ((-409 (-953 |#1|)) $)) (-15 -1503 ((-1157 (-409 (-953 |#1|))))) (-15 -3540 ((-1157 (-409 (-953 |#1|))) $)) (-15 -2447 ((-409 (-953 |#1|)) $)) (-15 -3068 ((-409 (-953 |#1|)) $)) (-15 -3609 ((-409 (-953 |#1|)) $ $)) (-15 -3377 ((-409 (-953 |#1|)))) (-15 -3020 ((-409 (-953 |#1|)) $ $)) (-15 -4235 ((-409 (-953 |#1|)))) (-15 -2155 ((-634 (-953 |#1|)) (-1244 $))) (-15 -2155 ((-634 (-953 |#1|))))) |noBranch|))) (-172) (-917) (-634 (-1161)) (-1244 (-679 |#1|))) (T -454)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1244 (-409 (-953 *3)))) (-4 *3 (-172)) (-14 *6 (-1244 (-679 *3))) (-5 *1 (-454 *3 *4 *5 *6)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))))) (-2587 (*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-454 *3 *4 *5 *6)) (|:| -2588 (-634 (-454 *3 *4 *5 *6))))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3))))) (-3354 (*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-454 *3 *4 *5 *6)) (|:| -2588 (-634 (-454 *3 *4 *5 *6))))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3))))) (-2283 (*1 *1) (-12 (-5 *1 (-454 *2 *3 *4 *5)) (-4 *2 (-172)) (-14 *3 (-917)) (-14 *4 (-634 (-1161))) (-14 *5 (-1244 (-679 *2))))) (-2283 (*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 *2)) (-14 *6 (-1244 (-679 *3))))) (-2283 (*1 *1 *2) (-12 (-5 *2 (-1244 (-1161))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3))))) (-2283 (*1 *1 *2) (-12 (-5 *2 (-1244 (-454 *3 *4 *5 *6))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3))))) (-2283 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1244 (-454 *4 *5 *6 *7))) (-5 *1 (-454 *4 *5 *6 *7)) (-4 *4 (-172)) (-14 *5 (-917)) (-14 *6 (-634 *2)) (-14 *7 (-1244 (-679 *4))))) (-2283 (*1 *1 *2 *3) (-12 (-5 *2 (-1244 (-1161))) (-5 *3 (-1244 (-454 *4 *5 *6 *7))) (-5 *1 (-454 *4 *5 *6 *7)) (-4 *4 (-172)) (-14 *5 (-917)) (-14 *6 (-634 (-1161))) (-14 *7 (-1244 (-679 *4))))) (-1730 (*1 *2) (-12 (-5 *2 (-1157 (-409 (-953 *3)))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3))))) (-1556 (*1 *2 *1) (-12 (-5 *2 (-1157 (-409 (-953 *3)))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3))))) (-2521 (*1 *2 *1) (-12 (-5 *2 (-409 (-953 *3))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3))))) (-3429 (*1 *2 *1) (-12 (-5 *2 (-409 (-953 *3))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3))))) (-1503 (*1 *2) (-12 (-5 *2 (-1157 (-409 (-953 *3)))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3))))) (-3540 (*1 *2 *1) (-12 (-5 *2 (-1157 (-409 (-953 *3)))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3))))) (-2447 (*1 *2 *1) (-12 (-5 *2 (-409 (-953 *3))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3))))) (-3068 (*1 *2 *1) (-12 (-5 *2 (-409 (-953 *3))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3))))) (-3609 (*1 *2 *1 *1) (-12 (-5 *2 (-409 (-953 *3))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3))))) (-3377 (*1 *2) (-12 (-5 *2 (-409 (-953 *3))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3))))) (-3020 (*1 *2 *1 *1) (-12 (-5 *2 (-409 (-953 *3))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3))))) (-4235 (*1 *2) (-12 (-5 *2 (-409 (-953 *3))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3))))) (-2155 (*1 *2 *3) (-12 (-5 *3 (-1244 (-454 *4 *5 *6 *7))) (-5 *2 (-634 (-953 *4))) (-5 *1 (-454 *4 *5 *6 *7)) (-4 *4 (-558)) (-4 *4 (-172)) (-14 *5 (-917)) (-14 *6 (-634 (-1161))) (-14 *7 (-1244 (-679 *4))))) (-2155 (*1 *2) (-12 (-5 *2 (-634 (-953 *3))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3)))))) 
-(-13 (-419 (-409 (-953 |#1|))) (-637 (-1127 |#2| (-409 (-953 |#1|)))) (-10 -8 (-15 -2747 ($ (-1244 (-409 (-953 |#1|))))) (-15 -2587 ((-3 (-2 (|:| |particular| $) (|:| -2588 (-634 $))) "failed"))) (-15 -3354 ((-3 (-2 (|:| |particular| $) (|:| -2588 (-634 $))) "failed"))) (-15 -2283 ($)) (-15 -2283 ($ (-1161))) (-15 -2283 ($ (-1244 (-1161)))) (-15 -2283 ($ (-1244 $))) (-15 -2283 ($ (-1161) (-1244 $))) (-15 -2283 ($ (-1244 (-1161)) (-1244 $))) (IF (|has| |#1| (-558)) (PROGN (-15 -1730 ((-1157 (-409 (-953 |#1|))))) (-15 -1556 ((-1157 (-409 (-953 |#1|))) $)) (-15 -2521 ((-409 (-953 |#1|)) $)) (-15 -3429 ((-409 (-953 |#1|)) $)) (-15 -1503 ((-1157 (-409 (-953 |#1|))))) (-15 -3540 ((-1157 (-409 (-953 |#1|))) $)) (-15 -2447 ((-409 (-953 |#1|)) $)) (-15 -3068 ((-409 (-953 |#1|)) $)) (-15 -3609 ((-409 (-953 |#1|)) $ $)) (-15 -3377 ((-409 (-953 |#1|)))) (-15 -3020 ((-409 (-953 |#1|)) $ $)) (-15 -4235 ((-409 (-953 |#1|)))) (-15 -2155 ((-634 (-953 |#1|)) (-1244 $))) (-15 -2155 ((-634 (-953 |#1|))))) |noBranch|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 13)) (-2057 (((-634 (-852 |#1|)) $) 73)) (-3840 (((-1157 $) $ (-852 |#1|)) 46) (((-1157 |#2|) $) 115)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#2| (-558)))) (-3661 (($ $) NIL (|has| |#2| (-558)))) (-4426 (((-121) $) NIL (|has| |#2| (-558)))) (-3528 (((-763) $) 21) (((-763) $ (-634 (-852 |#1|))) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-3045 (($ $) NIL (|has| |#2| (-453)))) (-3498 (((-420 $) $) NIL (|has| |#2| (-453)))) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#2| "failed") $) 44) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#2| (-1037 (-409 (-568))))) (((-3 (-568) "failed") $) NIL (|has| |#2| (-1037 (-568)))) (((-3 (-852 |#1|) "failed") $) NIL)) (-2857 ((|#2| $) 42) (((-409 (-568)) $) NIL (|has| |#2| (-1037 (-409 (-568))))) (((-568) $) NIL (|has| |#2| (-1037 (-568)))) (((-852 |#1|) $) NIL)) (-2910 (($ $ $ (-852 |#1|)) NIL (|has| |#2| (-172)))) (-1594 (($ $ (-634 (-568))) 78)) (-2116 (($ $) 67)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| |#2| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| |#2| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 $) (-1244 $)) NIL) (((-679 |#2|) (-679 $)) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1998 (($ $) NIL (|has| |#2| (-453))) (($ $ (-852 |#1|)) NIL (|has| |#2| (-453)))) (-2110 (((-634 $) $) NIL)) (-2197 (((-121) $) NIL (|has| |#2| (-904)))) (-2453 (($ $ |#2| |#3| $) NIL)) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (-12 (|has| (-852 |#1|) (-881 (-381))) (|has| |#2| (-881 (-381))))) (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (-12 (|has| (-852 |#1|) (-881 (-568))) (|has| |#2| (-881 (-568)))))) (-1598 (((-121) $) NIL)) (-3971 (((-763) $) 58)) (-2053 (($ (-1157 |#2|) (-852 |#1|)) 120) (($ (-1157 $) (-852 |#1|)) 52)) (-3062 (((-634 $) $) NIL)) (-2171 (((-121) $) 59)) (-2049 (($ |#2| |#3|) 28) (($ $ (-852 |#1|) (-763)) 30) (($ $ (-634 (-852 |#1|)) (-634 (-763))) NIL)) (-1438 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $ (-852 |#1|)) NIL)) (-3524 ((|#3| $) NIL) (((-763) $ (-852 |#1|)) 50) (((-634 (-763)) $ (-634 (-852 |#1|))) 57)) (-1732 (($ $ $) NIL (|has| |#2| (-842)))) (-2047 (($ $ $) NIL (|has| |#2| (-842)))) (-1865 (($ (-1 |#3| |#3|) $) NIL)) (-2797 (($ (-1 |#2| |#2|) $) NIL)) (-2817 (((-3 (-852 |#1|) "failed") $) 39)) (-2099 (($ $) NIL)) (-2104 ((|#2| $) 41)) (-2498 (($ (-634 $)) NIL (|has| |#2| (-453))) (($ $ $) NIL (|has| |#2| (-453)))) (-1893 (((-1143) $) NIL)) (-4362 (((-3 (-634 $) "failed") $) NIL)) (-2112 (((-3 (-634 $) "failed") $) NIL)) (-2617 (((-3 (-2 (|:| |var| (-852 |#1|)) (|:| -3483 (-763))) "failed") $) NIL)) (-4025 (((-1108) $) NIL)) (-2088 (((-121) $) 40)) (-2093 ((|#2| $) 113)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#2| (-453)))) (-2723 (($ (-634 $)) NIL (|has| |#2| (-453))) (($ $ $) 125 (|has| |#2| (-453)))) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-3850 (((-420 $) $) NIL (|has| |#2| (-904)))) (-2597 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-558))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-558)))) (-1339 (($ $ (-634 (-288 $))) NIL) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL) (($ $ (-852 |#1|) |#2|) 85) (($ $ (-634 (-852 |#1|)) (-634 |#2|)) 88) (($ $ (-852 |#1|) $) 83) (($ $ (-634 (-852 |#1|)) (-634 $)) 104)) (-3440 (($ $ (-852 |#1|)) NIL (|has| |#2| (-172)))) (-4191 (($ $ (-852 |#1|)) 53) (($ $ (-634 (-852 |#1|))) NIL) (($ $ (-852 |#1|) (-763)) NIL) (($ $ (-634 (-852 |#1|)) (-634 (-763))) NIL)) (-1836 ((|#3| $) 66) (((-763) $ (-852 |#1|)) 37) (((-634 (-763)) $ (-634 (-852 |#1|))) 56)) (-4280 (((-887 (-381)) $) NIL (-12 (|has| (-852 |#1|) (-609 (-887 (-381)))) (|has| |#2| (-609 (-887 (-381)))))) (((-887 (-568)) $) NIL (-12 (|has| (-852 |#1|) (-609 (-887 (-568)))) (|has| |#2| (-609 (-887 (-568)))))) (((-541) $) NIL (-12 (|has| (-852 |#1|) (-609 (-541))) (|has| |#2| (-609 (-541)))))) (-1364 ((|#2| $) 122 (|has| |#2| (-453))) (($ $ (-852 |#1|)) NIL (|has| |#2| (-453)))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-12 (|has| $ (-148)) (|has| |#2| (-904))))) (-2747 (((-850) $) 141) (($ (-568)) NIL) (($ |#2|) 84) (($ (-852 |#1|)) 31) (($ (-409 (-568))) NIL (-2199 (|has| |#2| (-43 (-409 (-568)))) (|has| |#2| (-1037 (-409 (-568)))))) (($ $) NIL (|has| |#2| (-558)))) (-3304 (((-634 |#2|) $) NIL)) (-2079 ((|#2| $ |#3|) NIL) (($ $ (-852 |#1|) (-763)) NIL) (($ $ (-634 (-852 |#1|)) (-634 (-763))) NIL)) (-3385 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| |#2| (-904))) (|has| |#2| (-148))))) (-3425 (((-763)) NIL)) (-3925 (($ $ $ (-763)) NIL (|has| |#2| (-172)))) (-2273 (((-121) $ $) NIL (|has| |#2| (-558)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 16 T CONST)) (-1557 (($) 25 T CONST)) (-3192 (($ $ (-852 |#1|)) NIL) (($ $ (-634 (-852 |#1|))) NIL) (($ $ (-852 |#1|) (-763)) NIL) (($ $ (-634 (-852 |#1|)) (-634 (-763))) NIL)) (-1753 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1781 (($ $ |#2|) 64 (|has| |#2| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) 109)) (** (($ $ (-917)) NIL) (($ $ (-763)) 107)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 29) (($ $ (-409 (-568))) NIL (|has| |#2| (-43 (-409 (-568))))) (($ (-409 (-568)) $) NIL (|has| |#2| (-43 (-409 (-568))))) (($ |#2| $) 63) (($ $ |#2|) NIL))) 
-(((-455 |#1| |#2| |#3|) (-13 (-950 |#2| |#3| (-852 |#1|)) (-10 -8 (-15 -1594 ($ $ (-634 (-568)))))) (-634 (-1161)) (-1047) (-230 (-1699 |#1|) (-763))) (T -455)) 
-((-1594 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-568))) (-14 *3 (-634 (-1161))) (-5 *1 (-455 *3 *4 *5)) (-4 *4 (-1047)) (-4 *5 (-230 (-1699 *3) (-763)))))) 
-(-13 (-950 |#2| |#3| (-852 |#1|)) (-10 -8 (-15 -1594 ($ $ (-634 (-568)))))) 
-((-1909 (((-1249) (-310 (-381)) (-1082 (-381)) (-1082 (-381)) (-1143)) 49) (((-1249) (-310 (-381)) (-1082 (-381)) (-1082 (-381)) (-1143) (-634 (-256))) 48) (((-1249) (-310 (-381)) (-1082 (-381)) (-1143)) 42) (((-1249) (-310 (-381)) (-1082 (-381)) (-1143) (-634 (-256))) 39))) 
-(((-456) (-10 -7 (-15 -1909 ((-1249) (-310 (-381)) (-1082 (-381)) (-1143) (-634 (-256)))) (-15 -1909 ((-1249) (-310 (-381)) (-1082 (-381)) (-1143))) (-15 -1909 ((-1249) (-310 (-381)) (-1082 (-381)) (-1082 (-381)) (-1143) (-634 (-256)))) (-15 -1909 ((-1249) (-310 (-381)) (-1082 (-381)) (-1082 (-381)) (-1143))))) (T -456)) 
-((-1909 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-1082 (-381))) (-5 *5 (-1143)) (-5 *2 (-1249)) (-5 *1 (-456)))) (-1909 (*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-1082 (-381))) (-5 *5 (-1143)) (-5 *6 (-634 (-256))) (-5 *2 (-1249)) (-5 *1 (-456)))) (-1909 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-1082 (-381))) (-5 *5 (-1143)) (-5 *2 (-1249)) (-5 *1 (-456)))) (-1909 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-1082 (-381))) (-5 *5 (-1143)) (-5 *6 (-634 (-256))) (-5 *2 (-1249)) (-5 *1 (-456))))) 
-(-10 -7 (-15 -1909 ((-1249) (-310 (-381)) (-1082 (-381)) (-1143) (-634 (-256)))) (-15 -1909 ((-1249) (-310 (-381)) (-1082 (-381)) (-1143))) (-15 -1909 ((-1249) (-310 (-381)) (-1082 (-381)) (-1082 (-381)) (-1143) (-634 (-256)))) (-15 -1909 ((-1249) (-310 (-381)) (-1082 (-381)) (-1082 (-381)) (-1143)))) 
-((-3462 (((-121) |#1| (-634 |#2|)) 65)) (-2125 (((-3 (-1244 (-634 |#2|)) "failed") (-763) |#1| (-634 |#2|)) 74)) (-2806 (((-3 (-634 |#2|) "failed") |#2| |#1| (-1244 (-634 |#2|))) 76)) (-3121 ((|#2| |#2| |#1|) 28)) (-3329 (((-763) |#2| (-634 |#2|)) 20))) 
-(((-457 |#1| |#2|) (-10 -7 (-15 -3121 (|#2| |#2| |#1|)) (-15 -3329 ((-763) |#2| (-634 |#2|))) (-15 -2125 ((-3 (-1244 (-634 |#2|)) "failed") (-763) |#1| (-634 |#2|))) (-15 -2806 ((-3 (-634 |#2|) "failed") |#2| |#1| (-1244 (-634 |#2|)))) (-15 -3462 ((-121) |#1| (-634 |#2|)))) (-301) (-1219 |#1|)) (T -457)) 
-((-3462 (*1 *2 *3 *4) (-12 (-5 *4 (-634 *5)) (-4 *5 (-1219 *3)) (-4 *3 (-301)) (-5 *2 (-121)) (-5 *1 (-457 *3 *5)))) (-2806 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1244 (-634 *3))) (-4 *4 (-301)) (-5 *2 (-634 *3)) (-5 *1 (-457 *4 *3)) (-4 *3 (-1219 *4)))) (-2125 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-763)) (-4 *4 (-301)) (-4 *6 (-1219 *4)) (-5 *2 (-1244 (-634 *6))) (-5 *1 (-457 *4 *6)) (-5 *5 (-634 *6)))) (-3329 (*1 *2 *3 *4) (-12 (-5 *4 (-634 *3)) (-4 *3 (-1219 *5)) (-4 *5 (-301)) (-5 *2 (-763)) (-5 *1 (-457 *5 *3)))) (-3121 (*1 *2 *2 *3) (-12 (-4 *3 (-301)) (-5 *1 (-457 *3 *2)) (-4 *2 (-1219 *3))))) 
-(-10 -7 (-15 -3121 (|#2| |#2| |#1|)) (-15 -3329 ((-763) |#2| (-634 |#2|))) (-15 -2125 ((-3 (-1244 (-634 |#2|)) "failed") (-763) |#1| (-634 |#2|))) (-15 -2806 ((-3 (-634 |#2|) "failed") |#2| |#1| (-1244 (-634 |#2|)))) (-15 -3462 ((-121) |#1| (-634 |#2|)))) 
-((-3850 (((-420 |#5|) |#5|) 24))) 
-(((-458 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3850 ((-420 |#5|) |#5|))) (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $)) (-15 -3325 ((-3 $ "failed") (-1161))))) (-788) (-558) (-558) (-950 |#4| |#2| |#1|)) (T -458)) 
-((-3850 (*1 *2 *3) (-12 (-4 *4 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $)) (-15 -3325 ((-3 $ "failed") (-1161)))))) (-4 *5 (-788)) (-4 *7 (-558)) (-5 *2 (-420 *3)) (-5 *1 (-458 *4 *5 *6 *7 *3)) (-4 *6 (-558)) (-4 *3 (-950 *7 *5 *4))))) 
-(-10 -7 (-15 -3850 ((-420 |#5|) |#5|))) 
-((-3130 ((|#3|) 36)) (-3603 (((-1157 |#4|) (-1157 |#4|) (-1157 |#4|)) 32))) 
-(((-459 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3603 ((-1157 |#4|) (-1157 |#4|) (-1157 |#4|))) (-15 -3130 (|#3|))) (-788) (-842) (-904) (-950 |#3| |#1| |#2|)) (T -459)) 
-((-3130 (*1 *2) (-12 (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-904)) (-5 *1 (-459 *3 *4 *2 *5)) (-4 *5 (-950 *2 *3 *4)))) (-3603 (*1 *2 *2 *2) (-12 (-5 *2 (-1157 *6)) (-4 *6 (-950 *5 *3 *4)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *5 (-904)) (-5 *1 (-459 *3 *4 *5 *6))))) 
-(-10 -7 (-15 -3603 ((-1157 |#4|) (-1157 |#4|) (-1157 |#4|))) (-15 -3130 (|#3|))) 
-((-3850 (((-420 (-1157 |#1|)) (-1157 |#1|)) 41))) 
-(((-460 |#1|) (-10 -7 (-15 -3850 ((-420 (-1157 |#1|)) (-1157 |#1|)))) (-301)) (T -460)) 
-((-3850 (*1 *2 *3) (-12 (-4 *4 (-301)) (-5 *2 (-420 (-1157 *4))) (-5 *1 (-460 *4)) (-5 *3 (-1157 *4))))) 
-(-10 -7 (-15 -3850 ((-420 (-1157 |#1|)) (-1157 |#1|)))) 
-((-2067 (((-57) |#2| (-1161) (-288 |#2|) (-1210 (-763))) 42) (((-57) (-1 |#2| (-568)) (-288 |#2|) (-1210 (-763))) 41) (((-57) |#2| (-1161) (-288 |#2|)) 35) (((-57) (-1 |#2| (-568)) (-288 |#2|)) 27)) (-2512 (((-57) |#2| (-1161) (-288 |#2|) (-1210 (-409 (-568))) (-409 (-568))) 80) (((-57) (-1 |#2| (-409 (-568))) (-288 |#2|) (-1210 (-409 (-568))) (-409 (-568))) 79) (((-57) |#2| (-1161) (-288 |#2|) (-1210 (-568))) 78) (((-57) (-1 |#2| (-568)) (-288 |#2|) (-1210 (-568))) 77) (((-57) |#2| (-1161) (-288 |#2|)) 72) (((-57) (-1 |#2| (-568)) (-288 |#2|)) 71)) (-2077 (((-57) |#2| (-1161) (-288 |#2|) (-1210 (-409 (-568))) (-409 (-568))) 66) (((-57) (-1 |#2| (-409 (-568))) (-288 |#2|) (-1210 (-409 (-568))) (-409 (-568))) 64)) (-2072 (((-57) |#2| (-1161) (-288 |#2|) (-1210 (-568))) 48) (((-57) (-1 |#2| (-568)) (-288 |#2|) (-1210 (-568))) 47))) 
-(((-461 |#1| |#2|) (-10 -7 (-15 -2067 ((-57) (-1 |#2| (-568)) (-288 |#2|))) (-15 -2067 ((-57) |#2| (-1161) (-288 |#2|))) (-15 -2067 ((-57) (-1 |#2| (-568)) (-288 |#2|) (-1210 (-763)))) (-15 -2067 ((-57) |#2| (-1161) (-288 |#2|) (-1210 (-763)))) (-15 -2072 ((-57) (-1 |#2| (-568)) (-288 |#2|) (-1210 (-568)))) (-15 -2072 ((-57) |#2| (-1161) (-288 |#2|) (-1210 (-568)))) (-15 -2077 ((-57) (-1 |#2| (-409 (-568))) (-288 |#2|) (-1210 (-409 (-568))) (-409 (-568)))) (-15 -2077 ((-57) |#2| (-1161) (-288 |#2|) (-1210 (-409 (-568))) (-409 (-568)))) (-15 -2512 ((-57) (-1 |#2| (-568)) (-288 |#2|))) (-15 -2512 ((-57) |#2| (-1161) (-288 |#2|))) (-15 -2512 ((-57) (-1 |#2| (-568)) (-288 |#2|) (-1210 (-568)))) (-15 -2512 ((-57) |#2| (-1161) (-288 |#2|) (-1210 (-568)))) (-15 -2512 ((-57) (-1 |#2| (-409 (-568))) (-288 |#2|) (-1210 (-409 (-568))) (-409 (-568)))) (-15 -2512 ((-57) |#2| (-1161) (-288 |#2|) (-1210 (-409 (-568))) (-409 (-568))))) (-13 (-558) (-842) (-1037 (-568)) (-630 (-568))) (-13 (-27) (-1181) (-432 |#1|))) (T -461)) 
-((-2512 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1161)) (-5 *5 (-288 *3)) (-5 *6 (-1210 (-409 (-568)))) (-5 *7 (-409 (-568))) (-4 *3 (-13 (-27) (-1181) (-432 *8))) (-4 *8 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *8 *3)))) (-2512 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-409 (-568)))) (-5 *4 (-288 *8)) (-5 *5 (-1210 (-409 (-568)))) (-5 *6 (-409 (-568))) (-4 *8 (-13 (-27) (-1181) (-432 *7))) (-4 *7 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *7 *8)))) (-2512 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1161)) (-5 *5 (-288 *3)) (-5 *6 (-1210 (-568))) (-4 *3 (-13 (-27) (-1181) (-432 *7))) (-4 *7 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *7 *3)))) (-2512 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-568))) (-5 *4 (-288 *7)) (-5 *5 (-1210 (-568))) (-4 *7 (-13 (-27) (-1181) (-432 *6))) (-4 *6 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *6 *7)))) (-2512 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1161)) (-5 *5 (-288 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *6))) (-4 *6 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *6 *3)))) (-2512 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-568))) (-5 *4 (-288 *6)) (-4 *6 (-13 (-27) (-1181) (-432 *5))) (-4 *5 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *5 *6)))) (-2077 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1161)) (-5 *5 (-288 *3)) (-5 *6 (-1210 (-409 (-568)))) (-5 *7 (-409 (-568))) (-4 *3 (-13 (-27) (-1181) (-432 *8))) (-4 *8 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *8 *3)))) (-2077 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-409 (-568)))) (-5 *4 (-288 *8)) (-5 *5 (-1210 (-409 (-568)))) (-5 *6 (-409 (-568))) (-4 *8 (-13 (-27) (-1181) (-432 *7))) (-4 *7 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *7 *8)))) (-2072 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1161)) (-5 *5 (-288 *3)) (-5 *6 (-1210 (-568))) (-4 *3 (-13 (-27) (-1181) (-432 *7))) (-4 *7 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *7 *3)))) (-2072 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-568))) (-5 *4 (-288 *7)) (-5 *5 (-1210 (-568))) (-4 *7 (-13 (-27) (-1181) (-432 *6))) (-4 *6 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *6 *7)))) (-2067 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1161)) (-5 *5 (-288 *3)) (-5 *6 (-1210 (-763))) (-4 *3 (-13 (-27) (-1181) (-432 *7))) (-4 *7 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *7 *3)))) (-2067 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-568))) (-5 *4 (-288 *7)) (-5 *5 (-1210 (-763))) (-4 *7 (-13 (-27) (-1181) (-432 *6))) (-4 *6 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *6 *7)))) (-2067 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1161)) (-5 *5 (-288 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *6))) (-4 *6 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *6 *3)))) (-2067 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-568))) (-5 *4 (-288 *6)) (-4 *6 (-13 (-27) (-1181) (-432 *5))) (-4 *5 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *5 *6))))) 
-(-10 -7 (-15 -2067 ((-57) (-1 |#2| (-568)) (-288 |#2|))) (-15 -2067 ((-57) |#2| (-1161) (-288 |#2|))) (-15 -2067 ((-57) (-1 |#2| (-568)) (-288 |#2|) (-1210 (-763)))) (-15 -2067 ((-57) |#2| (-1161) (-288 |#2|) (-1210 (-763)))) (-15 -2072 ((-57) (-1 |#2| (-568)) (-288 |#2|) (-1210 (-568)))) (-15 -2072 ((-57) |#2| (-1161) (-288 |#2|) (-1210 (-568)))) (-15 -2077 ((-57) (-1 |#2| (-409 (-568))) (-288 |#2|) (-1210 (-409 (-568))) (-409 (-568)))) (-15 -2077 ((-57) |#2| (-1161) (-288 |#2|) (-1210 (-409 (-568))) (-409 (-568)))) (-15 -2512 ((-57) (-1 |#2| (-568)) (-288 |#2|))) (-15 -2512 ((-57) |#2| (-1161) (-288 |#2|))) (-15 -2512 ((-57) (-1 |#2| (-568)) (-288 |#2|) (-1210 (-568)))) (-15 -2512 ((-57) |#2| (-1161) (-288 |#2|) (-1210 (-568)))) (-15 -2512 ((-57) (-1 |#2| (-409 (-568))) (-288 |#2|) (-1210 (-409 (-568))) (-409 (-568)))) (-15 -2512 ((-57) |#2| (-1161) (-288 |#2|) (-1210 (-409 (-568))) (-409 (-568))))) 
-((-3121 ((|#2| |#2| |#1|) 15)) (-3568 (((-634 |#2|) |#2| (-634 |#2|) |#1| (-917)) 65)) (-2737 (((-2 (|:| |plist| (-634 |#2|)) (|:| |modulo| |#1|)) |#2| (-634 |#2|) |#1| (-917)) 58))) 
-(((-462 |#1| |#2|) (-10 -7 (-15 -2737 ((-2 (|:| |plist| (-634 |#2|)) (|:| |modulo| |#1|)) |#2| (-634 |#2|) |#1| (-917))) (-15 -3568 ((-634 |#2|) |#2| (-634 |#2|) |#1| (-917))) (-15 -3121 (|#2| |#2| |#1|))) (-301) (-1219 |#1|)) (T -462)) 
-((-3121 (*1 *2 *2 *3) (-12 (-4 *3 (-301)) (-5 *1 (-462 *3 *2)) (-4 *2 (-1219 *3)))) (-3568 (*1 *2 *3 *2 *4 *5) (-12 (-5 *2 (-634 *3)) (-5 *5 (-917)) (-4 *3 (-1219 *4)) (-4 *4 (-301)) (-5 *1 (-462 *4 *3)))) (-2737 (*1 *2 *3 *4 *5 *6) (-12 (-5 *6 (-917)) (-4 *5 (-301)) (-4 *3 (-1219 *5)) (-5 *2 (-2 (|:| |plist| (-634 *3)) (|:| |modulo| *5))) (-5 *1 (-462 *5 *3)) (-5 *4 (-634 *3))))) 
-(-10 -7 (-15 -2737 ((-2 (|:| |plist| (-634 |#2|)) (|:| |modulo| |#1|)) |#2| (-634 |#2|) |#1| (-917))) (-15 -3568 ((-634 |#2|) |#2| (-634 |#2|) |#1| (-917))) (-15 -3121 (|#2| |#2| |#1|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 28)) (-4007 (($ |#3|) 25)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-2116 (($ $) 32)) (-4350 (($ |#2| |#4| $) 33)) (-2049 (($ |#2| (-703 |#3| |#4| |#5|)) 24)) (-2099 (((-703 |#3| |#4| |#5|) $) 15)) (-2320 ((|#3| $) 19)) (-1544 ((|#4| $) 17)) (-2104 ((|#2| $) 29)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-2456 (($ |#2| |#3| |#4|) 26)) (-3058 (($) 36 T CONST)) (-1719 (((-121) $ $) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) 34)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ |#6| $) 40) (($ $ |#6|) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
-(((-463 |#1| |#2| |#3| |#4| |#5| |#6|) (-13 (-707 |#6|) (-707 |#2|) (-10 -8 (-15 -2104 (|#2| $)) (-15 -2099 ((-703 |#3| |#4| |#5|) $)) (-15 -1544 (|#4| $)) (-15 -2320 (|#3| $)) (-15 -2116 ($ $)) (-15 -2049 ($ |#2| (-703 |#3| |#4| |#5|))) (-15 -4007 ($ |#3|)) (-15 -2456 ($ |#2| |#3| |#4|)) (-15 -4350 ($ |#2| |#4| $)) (-15 * ($ |#6| $)))) (-634 (-1161)) (-172) (-842) (-230 (-1699 |#1|) (-763)) (-1 (-121) (-2 (|:| -4357 |#3|) (|:| -3483 |#4|)) (-2 (|:| -4357 |#3|) (|:| -3483 |#4|))) (-950 |#2| |#4| (-852 |#1|))) (T -463)) 
-((* (*1 *1 *2 *1) (-12 (-14 *3 (-634 (-1161))) (-4 *4 (-172)) (-4 *6 (-230 (-1699 *3) (-763))) (-14 *7 (-1 (-121) (-2 (|:| -4357 *5) (|:| -3483 *6)) (-2 (|:| -4357 *5) (|:| -3483 *6)))) (-5 *1 (-463 *3 *4 *5 *6 *7 *2)) (-4 *5 (-842)) (-4 *2 (-950 *4 *6 (-852 *3))))) (-2104 (*1 *2 *1) (-12 (-14 *3 (-634 (-1161))) (-4 *5 (-230 (-1699 *3) (-763))) (-14 *6 (-1 (-121) (-2 (|:| -4357 *4) (|:| -3483 *5)) (-2 (|:| -4357 *4) (|:| -3483 *5)))) (-4 *2 (-172)) (-5 *1 (-463 *3 *2 *4 *5 *6 *7)) (-4 *4 (-842)) (-4 *7 (-950 *2 *5 (-852 *3))))) (-2099 (*1 *2 *1) (-12 (-14 *3 (-634 (-1161))) (-4 *4 (-172)) (-4 *6 (-230 (-1699 *3) (-763))) (-14 *7 (-1 (-121) (-2 (|:| -4357 *5) (|:| -3483 *6)) (-2 (|:| -4357 *5) (|:| -3483 *6)))) (-5 *2 (-703 *5 *6 *7)) (-5 *1 (-463 *3 *4 *5 *6 *7 *8)) (-4 *5 (-842)) (-4 *8 (-950 *4 *6 (-852 *3))))) (-1544 (*1 *2 *1) (-12 (-14 *3 (-634 (-1161))) (-4 *4 (-172)) (-14 *6 (-1 (-121) (-2 (|:| -4357 *5) (|:| -3483 *2)) (-2 (|:| -4357 *5) (|:| -3483 *2)))) (-4 *2 (-230 (-1699 *3) (-763))) (-5 *1 (-463 *3 *4 *5 *2 *6 *7)) (-4 *5 (-842)) (-4 *7 (-950 *4 *2 (-852 *3))))) (-2320 (*1 *2 *1) (-12 (-14 *3 (-634 (-1161))) (-4 *4 (-172)) (-4 *5 (-230 (-1699 *3) (-763))) (-14 *6 (-1 (-121) (-2 (|:| -4357 *2) (|:| -3483 *5)) (-2 (|:| -4357 *2) (|:| -3483 *5)))) (-4 *2 (-842)) (-5 *1 (-463 *3 *4 *2 *5 *6 *7)) (-4 *7 (-950 *4 *5 (-852 *3))))) (-2116 (*1 *1 *1) (-12 (-14 *2 (-634 (-1161))) (-4 *3 (-172)) (-4 *5 (-230 (-1699 *2) (-763))) (-14 *6 (-1 (-121) (-2 (|:| -4357 *4) (|:| -3483 *5)) (-2 (|:| -4357 *4) (|:| -3483 *5)))) (-5 *1 (-463 *2 *3 *4 *5 *6 *7)) (-4 *4 (-842)) (-4 *7 (-950 *3 *5 (-852 *2))))) (-2049 (*1 *1 *2 *3) (-12 (-5 *3 (-703 *5 *6 *7)) (-4 *5 (-842)) (-4 *6 (-230 (-1699 *4) (-763))) (-14 *7 (-1 (-121) (-2 (|:| -4357 *5) (|:| -3483 *6)) (-2 (|:| -4357 *5) (|:| -3483 *6)))) (-14 *4 (-634 (-1161))) (-4 *2 (-172)) (-5 *1 (-463 *4 *2 *5 *6 *7 *8)) (-4 *8 (-950 *2 *6 (-852 *4))))) (-4007 (*1 *1 *2) (-12 (-14 *3 (-634 (-1161))) (-4 *4 (-172)) (-4 *5 (-230 (-1699 *3) (-763))) (-14 *6 (-1 (-121) (-2 (|:| -4357 *2) (|:| -3483 *5)) (-2 (|:| -4357 *2) (|:| -3483 *5)))) (-5 *1 (-463 *3 *4 *2 *5 *6 *7)) (-4 *2 (-842)) (-4 *7 (-950 *4 *5 (-852 *3))))) (-2456 (*1 *1 *2 *3 *4) (-12 (-14 *5 (-634 (-1161))) (-4 *2 (-172)) (-4 *4 (-230 (-1699 *5) (-763))) (-14 *6 (-1 (-121) (-2 (|:| -4357 *3) (|:| -3483 *4)) (-2 (|:| -4357 *3) (|:| -3483 *4)))) (-5 *1 (-463 *5 *2 *3 *4 *6 *7)) (-4 *3 (-842)) (-4 *7 (-950 *2 *4 (-852 *5))))) (-4350 (*1 *1 *2 *3 *1) (-12 (-14 *4 (-634 (-1161))) (-4 *2 (-172)) (-4 *3 (-230 (-1699 *4) (-763))) (-14 *6 (-1 (-121) (-2 (|:| -4357 *5) (|:| -3483 *3)) (-2 (|:| -4357 *5) (|:| -3483 *3)))) (-5 *1 (-463 *4 *2 *5 *3 *6 *7)) (-4 *5 (-842)) (-4 *7 (-950 *2 *3 (-852 *4)))))) 
-(-13 (-707 |#6|) (-707 |#2|) (-10 -8 (-15 -2104 (|#2| $)) (-15 -2099 ((-703 |#3| |#4| |#5|) $)) (-15 -1544 (|#4| $)) (-15 -2320 (|#3| $)) (-15 -2116 ($ $)) (-15 -2049 ($ |#2| (-703 |#3| |#4| |#5|))) (-15 -4007 ($ |#3|)) (-15 -2456 ($ |#2| |#3| |#4|)) (-15 -4350 ($ |#2| |#4| $)) (-15 * ($ |#6| $)))) 
-((-2449 (((-121) $ $) NIL)) (-2094 (((-1161) (-634 (-465))) 34)) (-4468 (((-763) (-634 (-465))) 28)) (-3193 (((-121) (-634 (-465))) 29)) (-3366 (((-568) (-634 (-465))) 20)) (-4061 (((-568) (-634 (-465))) 26)) (-3490 (((-568) (-634 (-465))) 18)) (-2677 (((-568) (-634 (-465))) 19)) (-3442 (((-568) (-634 (-465))) 21)) (-1893 (((-1143) $) NIL)) (-3885 (((-1161) (-634 (-465))) 36)) (-2772 (((-121) (-634 (-465))) 31)) (-4025 (((-1108) $) NIL)) (-3049 (((-1161) (-634 (-465))) 35)) (-2280 (((-121) (-634 (-465))) 37)) (-4021 (((-121) (-634 (-465))) 30)) (-2747 (((-850) $) NIL)) (-3643 (((-121) (-634 (-465))) 25)) (-1719 (((-121) $ $) NIL))) 
-(((-464) (-13 (-1090) (-10 -7 (-15 -3490 ((-568) (-634 (-465)))) (-15 -4061 ((-568) (-634 (-465)))) (-15 -2677 ((-568) (-634 (-465)))) (-15 -3366 ((-568) (-634 (-465)))) (-15 -3442 ((-568) (-634 (-465)))) (-15 -3643 ((-121) (-634 (-465)))) (-15 -4468 ((-763) (-634 (-465)))) (-15 -3193 ((-121) (-634 (-465)))) (-15 -2772 ((-121) (-634 (-465)))) (-15 -3049 ((-1161) (-634 (-465)))) (-15 -2094 ((-1161) (-634 (-465)))) (-15 -3885 ((-1161) (-634 (-465)))) (-15 -2280 ((-121) (-634 (-465)))) (-15 -4021 ((-121) (-634 (-465))))))) (T -464)) 
-((-3490 (*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-568)) (-5 *1 (-464)))) (-4061 (*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-568)) (-5 *1 (-464)))) (-2677 (*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-568)) (-5 *1 (-464)))) (-3366 (*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-568)) (-5 *1 (-464)))) (-3442 (*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-568)) (-5 *1 (-464)))) (-3643 (*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-121)) (-5 *1 (-464)))) (-4468 (*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-763)) (-5 *1 (-464)))) (-3193 (*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-121)) (-5 *1 (-464)))) (-2772 (*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-121)) (-5 *1 (-464)))) (-3049 (*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-1161)) (-5 *1 (-464)))) (-2094 (*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-1161)) (-5 *1 (-464)))) (-3885 (*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-1161)) (-5 *1 (-464)))) (-2280 (*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-121)) (-5 *1 (-464)))) (-4021 (*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-121)) (-5 *1 (-464))))) 
-(-13 (-1090) (-10 -7 (-15 -3490 ((-568) (-634 (-465)))) (-15 -4061 ((-568) (-634 (-465)))) (-15 -2677 ((-568) (-634 (-465)))) (-15 -3366 ((-568) (-634 (-465)))) (-15 -3442 ((-568) (-634 (-465)))) (-15 -3643 ((-121) (-634 (-465)))) (-15 -4468 ((-763) (-634 (-465)))) (-15 -3193 ((-121) (-634 (-465)))) (-15 -2772 ((-121) (-634 (-465)))) (-15 -3049 ((-1161) (-634 (-465)))) (-15 -2094 ((-1161) (-634 (-465)))) (-15 -3885 ((-1161) (-634 (-465)))) (-15 -2280 ((-121) (-634 (-465)))) (-15 -4021 ((-121) (-634 (-465)))))) 
-((-2449 (((-121) $ $) NIL)) (-2094 (($ (-1161)) 31)) (-4468 (($ (-763)) 24)) (-2647 (((-121) (-634 $) (-1161)) 42)) (-2962 (((-3 (-57) "failed") (-634 $) (-1161)) 44)) (-3193 (($ (-121)) 27)) (-3366 (($ (-568)) 16)) (-4061 (($ (-568)) 22)) (-3490 (($ (-568)) 14)) (-2677 (($ (-568)) 15)) (-3442 (($ (-568)) 17)) (-1893 (((-1143) $) NIL)) (-3885 (($ (-1161)) 32)) (-2772 (($ (-121)) 25)) (-4025 (((-1108) $) NIL)) (-3049 (($ (-1161)) 30)) (-2280 (($ (-121)) 33)) (-4021 (($ (-121)) 26)) (-2747 (((-850) $) 38)) (-2530 (((-1249) (-634 $)) 54)) (-3643 (($ (-121)) 21)) (-1719 (((-121) $ $) 40))) 
-(((-465) (-13 (-1090) (-10 -8 (-15 -2677 ($ (-568))) (-15 -3366 ($ (-568))) (-15 -4061 ($ (-568))) (-15 -2772 ($ (-121))) (-15 -3490 ($ (-568))) (-15 -3442 ($ (-568))) (-15 -3643 ($ (-121))) (-15 -4468 ($ (-763))) (-15 -3193 ($ (-121))) (-15 -4021 ($ (-121))) (-15 -3049 ($ (-1161))) (-15 -2094 ($ (-1161))) (-15 -3885 ($ (-1161))) (-15 -2280 ($ (-121))) (-15 -2962 ((-3 (-57) "failed") (-634 $) (-1161))) (-15 -2647 ((-121) (-634 $) (-1161))) (-15 -2530 ((-1249) (-634 $)))))) (T -465)) 
-((-2677 (*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-465)))) (-3366 (*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-465)))) (-4061 (*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-465)))) (-2772 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-465)))) (-3490 (*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-465)))) (-3442 (*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-465)))) (-3643 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-465)))) (-4468 (*1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-465)))) (-3193 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-465)))) (-4021 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-465)))) (-3049 (*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-465)))) (-2094 (*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-465)))) (-3885 (*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-465)))) (-2280 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-465)))) (-2962 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-634 (-465))) (-5 *4 (-1161)) (-5 *2 (-57)) (-5 *1 (-465)))) (-2647 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-465))) (-5 *4 (-1161)) (-5 *2 (-121)) (-5 *1 (-465)))) (-2530 (*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-1249)) (-5 *1 (-465))))) 
-(-13 (-1090) (-10 -8 (-15 -2677 ($ (-568))) (-15 -3366 ($ (-568))) (-15 -4061 ($ (-568))) (-15 -2772 ($ (-121))) (-15 -3490 ($ (-568))) (-15 -3442 ($ (-568))) (-15 -3643 ($ (-121))) (-15 -4468 ($ (-763))) (-15 -3193 ($ (-121))) (-15 -4021 ($ (-121))) (-15 -3049 ($ (-1161))) (-15 -2094 ($ (-1161))) (-15 -3885 ($ (-1161))) (-15 -2280 ($ (-121))) (-15 -2962 ((-3 (-57) "failed") (-634 $) (-1161))) (-15 -2647 ((-121) (-634 $) (-1161))) (-15 -2530 ((-1249) (-634 $))))) 
-((-2526 (((-3 |#5| "failed") |#5| |#2| (-1 |#2|)) 35))) 
-(((-466 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2526 ((-3 |#5| "failed") |#5| |#2| (-1 |#2|)))) (-788) (-842) (-558) (-950 |#3| |#1| |#2|) (-13 (-1037 (-409 (-568))) (-365) (-10 -8 (-15 -2747 ($ |#4|)) (-15 -2319 (|#4| $)) (-15 -2326 (|#4| $))))) (T -466)) 
-((-2526 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *4 (-1 *3)) (-4 *3 (-842)) (-4 *5 (-788)) (-4 *6 (-558)) (-4 *7 (-950 *6 *5 *3)) (-5 *1 (-466 *5 *3 *6 *7 *2)) (-4 *2 (-13 (-1037 (-409 (-568))) (-365) (-10 -8 (-15 -2747 ($ *7)) (-15 -2319 (*7 $)) (-15 -2326 (*7 $)))))))) 
-(-10 -7 (-15 -2526 ((-3 |#5| "failed") |#5| |#2| (-1 |#2|)))) 
-((-2090 ((|#3|) 43)) (-2378 (((-634 |#5|)) 47)) (-3813 (((-634 |#5|) (-634 |#5|)) 129)) (-2945 ((|#3| |#3|) 107)) (-2318 (((-1249)) 106)) (-2603 (((-634 |#5|)) 150 (|has| |#1| (-370)))) (-1450 (((-634 |#7|)) 153 (|has| |#1| (-370)))) (-1277 (((-1249) (-634 (-121))) 120)) (-1345 ((|#5| |#7|) 94)) (-3869 (((-634 |#7|) (-917)) 149 (|has| |#1| (-370)))) (-4284 (((-634 |#7|) |#5|) 92)) (-3423 ((|#6| |#3| |#7|) 97)) (-1296 (((-568) (-917)) 194 (|has| |#1| (-370)))) (-2577 (((-568) (-917) (-917)) 193 (|has| |#1| (-370)))) (-2102 (((-568) (-917)) 176 (|has| |#1| (-370)))) (-2865 (((-2 (|:| |num| (-634 |#3|)) (|:| |den| |#3|)) |#8|) 69)) (-2335 ((|#8| |#3|) 50)) (-1758 (((-634 |#3|) |#8| (-634 |#3|)) 136)) (-4454 (((-634 |#3|) |#8| (-763)) 65)) (-2219 ((|#3| |#3| (-568)) 40)) (-2148 (((-568)) 74)) (-3383 (((-763)) 73)) (-3246 (((-2 (|:| -3894 (-568)) (|:| |num| |#3|) (|:| |den| |#3|) (|:| |upTo| (-568))) |#8| (-568) (-568)) 114)) (-2733 (((-3 |#1| "failed") (-409 |#3|) |#7|) 144) (((-3 |#1| "failed") |#3| |#3| |#7|) 139) (((-3 |#1| "failed") |#3| |#7|) 104)) (-1339 ((|#1| (-409 |#3|) |#7|) 145) ((|#1| |#3| |#3| |#7|) 140) ((|#1| |#3| |#7|) 105)) (-1371 (((-634 |#10|)) 70)) (-3012 (((-634 |#10|)) 45)) (-3456 (((-568)) 204 (|has| |#1| (-370)))) (-2669 ((|#8|) 54)) (-2054 (((-1239 (-568) -3494) (-917)) 155 (|has| |#1| (-370))) (((-1239 (-568) -3494)) 156 (|has| |#1| (-370)))) (-3223 (((-1157 (-568)) (-917)) 158 (|has| |#1| (-370))) (((-1157 (-568))) 196 (|has| |#1| (-370))))) 
-(((-467 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10| |#11|) (-10 -7 (-15 -2318 ((-1249))) (-15 -2945 (|#3| |#3|)) (-15 -2219 (|#3| |#3| (-568))) (-15 -1277 ((-1249) (-634 (-121)))) (-15 -2090 (|#3|)) (-15 -3383 ((-763))) (-15 -2148 ((-568))) (-15 -3012 ((-634 |#10|))) (-15 -1371 ((-634 |#10|))) (-15 -3813 ((-634 |#5|) (-634 |#5|))) (-15 -2378 ((-634 |#5|))) (-15 -3423 (|#6| |#3| |#7|)) (-15 -2865 ((-2 (|:| |num| (-634 |#3|)) (|:| |den| |#3|)) |#8|)) (-15 -3246 ((-2 (|:| -3894 (-568)) (|:| |num| |#3|) (|:| |den| |#3|) (|:| |upTo| (-568))) |#8| (-568) (-568))) (-15 -4454 ((-634 |#3|) |#8| (-763))) (-15 -1758 ((-634 |#3|) |#8| (-634 |#3|))) (-15 -1339 (|#1| |#3| |#7|)) (-15 -1339 (|#1| |#3| |#3| |#7|)) (-15 -1339 (|#1| (-409 |#3|) |#7|)) (-15 -2733 ((-3 |#1| "failed") |#3| |#7|)) (-15 -2733 ((-3 |#1| "failed") |#3| |#3| |#7|)) (-15 -2733 ((-3 |#1| "failed") (-409 |#3|) |#7|)) (-15 -2335 (|#8| |#3|)) (-15 -2669 (|#8|)) (-15 -4284 ((-634 |#7|) |#5|)) (-15 -1345 (|#5| |#7|)) (IF (|has| |#1| (-370)) (PROGN (-15 -1450 ((-634 |#7|))) (-15 -2603 ((-634 |#5|))) (-15 -3223 ((-1157 (-568)))) (-15 -3223 ((-1157 (-568)) (-917))) (-15 -3456 ((-568))) (-15 -3869 ((-634 |#7|) (-917))) (-15 -2102 ((-568) (-917))) (-15 -1296 ((-568) (-917))) (-15 -2577 ((-568) (-917) (-917))) (-15 -2054 ((-1239 (-568) -3494))) (-15 -2054 ((-1239 (-568) -3494) (-917)))) |noBranch|)) (-365) (-634 (-1161)) (-950 |#1| |#4| (-852 |#2|)) (-230 (-1699 |#2|) (-763)) (-971 |#1|) (-641 |#1|) (-920 |#1| |#6|) (-235 |#7|) (-536 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#11|) (-258 |#9|) (-117)) (T -467)) 
-((-2054 (*1 *2 *3) (-12 (-5 *3 (-917)) (-4 *4 (-370)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-235 *10)) (-4 *12 (-536 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1239 (-568) -3494)) (-5 *1 (-467 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-258 *12)))) (-2054 (*1 *2) (-12 (-4 *3 (-370)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1239 (-568) -3494)) (-5 *1 (-467 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) (-2577 (*1 *2 *3 *3) (-12 (-5 *3 (-917)) (-4 *4 (-370)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-235 *10)) (-4 *12 (-536 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-568)) (-5 *1 (-467 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-258 *12)))) (-1296 (*1 *2 *3) (-12 (-5 *3 (-917)) (-4 *4 (-370)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-235 *10)) (-4 *12 (-536 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-568)) (-5 *1 (-467 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-258 *12)))) (-2102 (*1 *2 *3) (-12 (-5 *3 (-917)) (-4 *4 (-370)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-235 *10)) (-4 *12 (-536 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-568)) (-5 *1 (-467 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-258 *12)))) (-3869 (*1 *2 *3) (-12 (-5 *3 (-917)) (-4 *4 (-370)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-235 *10)) (-4 *12 (-536 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-634 *10)) (-5 *1 (-467 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-258 *12)))) (-3456 (*1 *2) (-12 (-4 *3 (-370)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-568)) (-5 *1 (-467 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) (-3223 (*1 *2 *3) (-12 (-5 *3 (-917)) (-4 *4 (-370)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-235 *10)) (-4 *12 (-536 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1157 (-568))) (-5 *1 (-467 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-258 *12)))) (-3223 (*1 *2) (-12 (-4 *3 (-370)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1157 (-568))) (-5 *1 (-467 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) (-2603 (*1 *2) (-12 (-4 *3 (-370)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-634 *7)) (-5 *1 (-467 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) (-1450 (*1 *2) (-12 (-4 *3 (-370)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-634 *9)) (-5 *1 (-467 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) (-1345 (*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-641 *4)) (-4 *3 (-920 *4 *8)) (-4 *9 (-235 *3)) (-4 *10 (-536 *4 *5 *6 *7 *2 *8 *3 *9 *12)) (-4 *12 (-117)) (-4 *2 (-971 *4)) (-5 *1 (-467 *4 *5 *6 *7 *2 *8 *3 *9 *10 *11 *12)) (-4 *11 (-258 *10)))) (-4284 (*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *3 (-971 *4)) (-4 *8 (-641 *4)) (-4 *9 (-920 *4 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *4 *5 *6 *7 *3 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-634 *9)) (-5 *1 (-467 *4 *5 *6 *7 *3 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) (-2669 (*1 *2) (-12 (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-536 *3 *4 *5 *6 *7 *8 *9 *2 *12)) (-4 *12 (-117)) (-4 *2 (-235 *9)) (-5 *1 (-467 *3 *4 *5 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-258 *10)))) (-2335 (*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *3 (-950 *4 *6 (-852 *5))) (-4 *6 (-230 (-1699 *5) (-763))) (-4 *7 (-971 *4)) (-4 *8 (-641 *4)) (-4 *9 (-920 *4 *8)) (-4 *10 (-536 *4 *5 *3 *6 *7 *8 *9 *2 *12)) (-4 *12 (-117)) (-4 *2 (-235 *9)) (-5 *1 (-467 *4 *5 *3 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-258 *10)))) (-2733 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-409 *6)) (-4 *6 (-950 *2 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-14 *5 (-634 (-1161))) (-4 *8 (-971 *2)) (-4 *9 (-641 *2)) (-4 *4 (-920 *2 *9)) (-4 *10 (-235 *4)) (-4 *11 (-536 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-117)) (-4 *2 (-365)) (-5 *1 (-467 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) (-2733 (*1 *2 *3 *3 *4) (|partial| -12 (-14 *5 (-634 (-1161))) (-4 *3 (-950 *2 *6 (-852 *5))) (-4 *6 (-230 (-1699 *5) (-763))) (-4 *7 (-971 *2)) (-4 *8 (-641 *2)) (-4 *4 (-920 *2 *8)) (-4 *9 (-235 *4)) (-4 *10 (-536 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-365)) (-5 *1 (-467 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-258 *10)))) (-2733 (*1 *2 *3 *4) (|partial| -12 (-14 *5 (-634 (-1161))) (-4 *3 (-950 *2 *6 (-852 *5))) (-4 *6 (-230 (-1699 *5) (-763))) (-4 *7 (-971 *2)) (-4 *8 (-641 *2)) (-4 *4 (-920 *2 *8)) (-4 *9 (-235 *4)) (-4 *10 (-536 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-365)) (-5 *1 (-467 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-258 *10)))) (-1339 (*1 *2 *3 *4) (-12 (-5 *3 (-409 *6)) (-4 *6 (-950 *2 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-14 *5 (-634 (-1161))) (-4 *8 (-971 *2)) (-4 *9 (-641 *2)) (-4 *4 (-920 *2 *9)) (-4 *10 (-235 *4)) (-4 *11 (-536 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-117)) (-4 *2 (-365)) (-5 *1 (-467 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) (-1339 (*1 *2 *3 *3 *4) (-12 (-14 *5 (-634 (-1161))) (-4 *3 (-950 *2 *6 (-852 *5))) (-4 *6 (-230 (-1699 *5) (-763))) (-4 *7 (-971 *2)) (-4 *8 (-641 *2)) (-4 *4 (-920 *2 *8)) (-4 *9 (-235 *4)) (-4 *10 (-536 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-365)) (-5 *1 (-467 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-258 *10)))) (-1339 (*1 *2 *3 *4) (-12 (-14 *5 (-634 (-1161))) (-4 *3 (-950 *2 *6 (-852 *5))) (-4 *6 (-230 (-1699 *5) (-763))) (-4 *7 (-971 *2)) (-4 *8 (-641 *2)) (-4 *4 (-920 *2 *8)) (-4 *9 (-235 *4)) (-4 *10 (-536 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-365)) (-5 *1 (-467 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-258 *10)))) (-1758 (*1 *2 *3 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *3 (-235 *10)) (-4 *11 (-536 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-117)) (-5 *1 (-467 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-258 *11)))) (-4454 (*1 *2 *3 *4) (-12 (-5 *4 (-763)) (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *7 (-950 *5 *8 (-852 *6))) (-4 *8 (-230 (-1699 *6) *4)) (-4 *9 (-971 *5)) (-4 *10 (-641 *5)) (-4 *11 (-920 *5 *10)) (-4 *3 (-235 *11)) (-4 *12 (-536 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-117)) (-5 *2 (-634 *7)) (-5 *1 (-467 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-4 *13 (-258 *12)))) (-3246 (*1 *2 *3 *4 *4) (-12 (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *7 (-950 *5 *8 (-852 *6))) (-4 *8 (-230 (-1699 *6) (-763))) (-4 *9 (-971 *5)) (-4 *10 (-641 *5)) (-4 *11 (-920 *5 *10)) (-4 *3 (-235 *11)) (-4 *12 (-536 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-117)) (-5 *2 (-2 (|:| -3894 (-568)) (|:| |num| *7) (|:| |den| *7) (|:| |upTo| (-568)))) (-5 *1 (-467 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-5 *4 (-568)) (-4 *13 (-258 *12)))) (-2865 (*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *3 (-235 *10)) (-4 *11 (-536 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-117)) (-5 *2 (-2 (|:| |num| (-634 *6)) (|:| |den| *6))) (-5 *1 (-467 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-258 *11)))) (-3423 (*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *3 (-950 *5 *7 (-852 *6))) (-4 *7 (-230 (-1699 *6) (-763))) (-4 *8 (-971 *5)) (-4 *4 (-920 *5 *2)) (-4 *9 (-235 *4)) (-4 *10 (-536 *5 *6 *3 *7 *8 *2 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-641 *5)) (-5 *1 (-467 *5 *6 *3 *7 *8 *2 *4 *9 *10 *11 *12)) (-4 *11 (-258 *10)))) (-2378 (*1 *2) (-12 (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-634 *7)) (-5 *1 (-467 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) (-3813 (*1 *2 *2) (-12 (-5 *2 (-634 *7)) (-4 *7 (-971 *3)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *1 (-467 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) (-1371 (*1 *2) (-12 (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-634 *12)) (-5 *1 (-467 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) (-3012 (*1 *2) (-12 (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-634 *12)) (-5 *1 (-467 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) (-2148 (*1 *2) (-12 (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-568)) (-5 *1 (-467 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) (-3383 (*1 *2) (-12 (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) *2)) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-763)) (-5 *1 (-467 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) (-2090 (*1 *2) (-12 (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-230 (-1699 *4) (-763))) (-4 *6 (-971 *3)) (-4 *7 (-641 *3)) (-4 *8 (-920 *3 *7)) (-4 *9 (-235 *8)) (-4 *10 (-536 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-117)) (-4 *2 (-950 *3 *5 (-852 *4))) (-5 *1 (-467 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-258 *10)))) (-1277 (*1 *2 *3) (-12 (-5 *3 (-634 (-121))) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-235 *10)) (-4 *12 (-536 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1249)) (-5 *1 (-467 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-258 *12)))) (-2219 (*1 *2 *2 *3) (-12 (-5 *3 (-568)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *2 (-950 *4 *6 (-852 *5))) (-4 *6 (-230 (-1699 *5) (-763))) (-4 *7 (-971 *4)) (-4 *8 (-641 *4)) (-4 *9 (-920 *4 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *4 *5 *2 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *1 (-467 *4 *5 *2 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) (-2945 (*1 *2 *2) (-12 (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *2 (-950 *3 *5 (-852 *4))) (-4 *5 (-230 (-1699 *4) (-763))) (-4 *6 (-971 *3)) (-4 *7 (-641 *3)) (-4 *8 (-920 *3 *7)) (-4 *9 (-235 *8)) (-4 *10 (-536 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-117)) (-5 *1 (-467 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-258 *10)))) (-2318 (*1 *2) (-12 (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1249)) (-5 *1 (-467 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11))))) 
-(-10 -7 (-15 -2318 ((-1249))) (-15 -2945 (|#3| |#3|)) (-15 -2219 (|#3| |#3| (-568))) (-15 -1277 ((-1249) (-634 (-121)))) (-15 -2090 (|#3|)) (-15 -3383 ((-763))) (-15 -2148 ((-568))) (-15 -3012 ((-634 |#10|))) (-15 -1371 ((-634 |#10|))) (-15 -3813 ((-634 |#5|) (-634 |#5|))) (-15 -2378 ((-634 |#5|))) (-15 -3423 (|#6| |#3| |#7|)) (-15 -2865 ((-2 (|:| |num| (-634 |#3|)) (|:| |den| |#3|)) |#8|)) (-15 -3246 ((-2 (|:| -3894 (-568)) (|:| |num| |#3|) (|:| |den| |#3|) (|:| |upTo| (-568))) |#8| (-568) (-568))) (-15 -4454 ((-634 |#3|) |#8| (-763))) (-15 -1758 ((-634 |#3|) |#8| (-634 |#3|))) (-15 -1339 (|#1| |#3| |#7|)) (-15 -1339 (|#1| |#3| |#3| |#7|)) (-15 -1339 (|#1| (-409 |#3|) |#7|)) (-15 -2733 ((-3 |#1| "failed") |#3| |#7|)) (-15 -2733 ((-3 |#1| "failed") |#3| |#3| |#7|)) (-15 -2733 ((-3 |#1| "failed") (-409 |#3|) |#7|)) (-15 -2335 (|#8| |#3|)) (-15 -2669 (|#8|)) (-15 -4284 ((-634 |#7|) |#5|)) (-15 -1345 (|#5| |#7|)) (IF (|has| |#1| (-370)) (PROGN (-15 -1450 ((-634 |#7|))) (-15 -2603 ((-634 |#5|))) (-15 -3223 ((-1157 (-568)))) (-15 -3223 ((-1157 (-568)) (-917))) (-15 -3456 ((-568))) (-15 -3869 ((-634 |#7|) (-917))) (-15 -2102 ((-568) (-917))) (-15 -1296 ((-568) (-917))) (-15 -2577 ((-568) (-917) (-917))) (-15 -2054 ((-1239 (-568) -3494))) (-15 -2054 ((-1239 (-568) -3494) (-917)))) |noBranch|)) 
-((-2449 (((-121) $ $) NIL)) (-2057 (((-634 |#3|) $) 41)) (-4141 (((-121) $) NIL)) (-1794 (((-121) $) NIL (|has| |#1| (-558)))) (-3647 (((-2 (|:| |under| $) (|:| -4115 $) (|:| |upper| $)) $ |#3|) NIL)) (-1667 (((-121) $ (-763)) NIL)) (-2803 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521)))) (-4490 (($) NIL T CONST)) (-4382 (((-121) $) NIL (|has| |#1| (-558)))) (-1880 (((-121) $ $) NIL (|has| |#1| (-558)))) (-2536 (((-121) $ $) NIL (|has| |#1| (-558)))) (-2343 (((-121) $) NIL (|has| |#1| (-558)))) (-3993 (((-634 |#4|) (-634 |#4|) $) NIL (|has| |#1| (-558)))) (-2727 (((-634 |#4|) (-634 |#4|) $) NIL (|has| |#1| (-558)))) (-3668 (((-3 $ "failed") (-634 |#4|)) 47)) (-2857 (($ (-634 |#4|)) NIL)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090))))) (-4330 (($ |#4| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521)))) (-2607 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-558)))) (-3094 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4521))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4521)))) (-3317 (((-634 |#4|) $) 18 (|has| $ (-6 -4521)))) (-4001 ((|#3| $) 45)) (-3791 (((-121) $ (-763)) NIL)) (-4406 (((-634 |#4|) $) 14 (|has| $ (-6 -4521)))) (-2551 (((-121) |#4| $) 26 (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090))))) (-2253 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#4| |#4|) $) 21)) (-2249 (((-634 |#3|) $) NIL)) (-1495 (((-121) |#3| $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL)) (-1440 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-558)))) (-4025 (((-1108) $) NIL)) (-2712 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-3951 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 |#4|) (-634 |#4|)) NIL (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ (-288 |#4|)) NIL (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ (-634 (-288 |#4|))) NIL (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) 39)) (-1990 (($) 17)) (-4170 (((-763) |#4| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090)))) (((-763) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521)))) (-3865 (($ $) 16)) (-4280 (((-541) $) NIL (|has| |#4| (-609 (-541)))) (($ (-634 |#4|)) 49)) (-4289 (($ (-634 |#4|)) 13)) (-3206 (($ $ |#3|) NIL)) (-2527 (($ $ |#3|) NIL)) (-4332 (($ $ |#3|) NIL)) (-2747 (((-850) $) 38) (((-634 |#4|) $) 48)) (-3437 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 30)) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-468 |#1| |#2| |#3| |#4|) (-13 (-977 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -4280 ($ (-634 |#4|))) (-6 -4521) (-6 -4522))) (-1047) (-788) (-842) (-1061 |#1| |#2| |#3|)) (T -468)) 
-((-4280 (*1 *1 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-468 *3 *4 *5 *6))))) 
-(-13 (-977 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -4280 ($ (-634 |#4|))) (-6 -4521) (-6 -4522))) 
-((-3058 (($) 11)) (-1557 (($) 13)) (* (($ |#2| $) 15) (($ $ |#2|) 16))) 
-(((-469 |#1| |#2| |#3|) (-10 -8 (-15 -1557 (|#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -3058 (|#1|))) (-470 |#2| |#3|) (-172) (-23)) (T -469)) 
-NIL 
-(-10 -8 (-15 -1557 (|#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -3058 (|#1|))) 
-((-2449 (((-121) $ $) 7)) (-3668 (((-3 |#1| "failed") $) 23)) (-2857 ((|#1| $) 22)) (-2062 (($ $ $) 20)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-1836 ((|#2| $) 18)) (-2747 (((-850) $) 11) (($ |#1|) 24)) (-3058 (($) 17 T CONST)) (-1557 (($) 21 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 14) (($ $ $) 12)) (-1769 (($ $ $) 13)) (* (($ |#1| $) 16) (($ $ |#1|) 15))) 
-(((-470 |#1| |#2|) (-1275) (-172) (-23)) (T -470)) 
-((-1557 (*1 *1) (-12 (-4 *1 (-470 *2 *3)) (-4 *2 (-172)) (-4 *3 (-23)))) (-2062 (*1 *1 *1 *1) (-12 (-4 *1 (-470 *2 *3)) (-4 *2 (-172)) (-4 *3 (-23))))) 
-(-13 (-475 |t#1| |t#2|) (-1037 |t#1|) (-10 -8 (-15 (-1557) ($) -3497) (-15 -2062 ($ $ $)))) 
-(((-105) . T) ((-608 (-850)) . T) ((-475 |#1| |#2|) . T) ((-1037 |#1|) . T) ((-1090) . T)) 
-((-1386 (((-1244 (-1244 (-568))) (-1244 (-1244 (-568))) (-917)) 18)) (-2352 (((-1244 (-1244 (-568))) (-917)) 16))) 
-(((-471) (-10 -7 (-15 -1386 ((-1244 (-1244 (-568))) (-1244 (-1244 (-568))) (-917))) (-15 -2352 ((-1244 (-1244 (-568))) (-917))))) (T -471)) 
-((-2352 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1244 (-1244 (-568)))) (-5 *1 (-471)))) (-1386 (*1 *2 *2 *3) (-12 (-5 *2 (-1244 (-1244 (-568)))) (-5 *3 (-917)) (-5 *1 (-471))))) 
-(-10 -7 (-15 -1386 ((-1244 (-1244 (-568))) (-1244 (-1244 (-568))) (-917))) (-15 -2352 ((-1244 (-1244 (-568))) (-917)))) 
-((-4420 (((-568) (-568)) 30) (((-568)) 22)) (-1502 (((-568) (-568)) 26) (((-568)) 18)) (-2728 (((-568) (-568)) 28) (((-568)) 20)) (-1820 (((-121) (-121)) 12) (((-121)) 10)) (-3641 (((-121) (-121)) 11) (((-121)) 9)) (-1825 (((-121) (-121)) 24) (((-121)) 15))) 
-(((-472) (-10 -7 (-15 -3641 ((-121))) (-15 -1820 ((-121))) (-15 -3641 ((-121) (-121))) (-15 -1820 ((-121) (-121))) (-15 -1825 ((-121))) (-15 -2728 ((-568))) (-15 -1502 ((-568))) (-15 -4420 ((-568))) (-15 -1825 ((-121) (-121))) (-15 -2728 ((-568) (-568))) (-15 -1502 ((-568) (-568))) (-15 -4420 ((-568) (-568))))) (T -472)) 
-((-4420 (*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-472)))) (-1502 (*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-472)))) (-2728 (*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-472)))) (-1825 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-472)))) (-4420 (*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-472)))) (-1502 (*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-472)))) (-2728 (*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-472)))) (-1825 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-472)))) (-1820 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-472)))) (-3641 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-472)))) (-1820 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-472)))) (-3641 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-472))))) 
-(-10 -7 (-15 -3641 ((-121))) (-15 -1820 ((-121))) (-15 -3641 ((-121) (-121))) (-15 -1820 ((-121) (-121))) (-15 -1825 ((-121))) (-15 -2728 ((-568))) (-15 -1502 ((-568))) (-15 -4420 ((-568))) (-15 -1825 ((-121) (-121))) (-15 -2728 ((-568) (-568))) (-15 -1502 ((-568) (-568))) (-15 -4420 ((-568) (-568)))) 
-((-2449 (((-121) $ $) NIL)) (-2833 (((-634 (-381)) $) 27) (((-634 (-381)) $ (-634 (-381))) 90)) (-3474 (((-634 (-1084 (-381))) $) 14) (((-634 (-1084 (-381))) $ (-634 (-1084 (-381)))) 87)) (-2359 (((-634 (-634 (-944 (-215)))) (-634 (-634 (-944 (-215)))) (-634 (-869))) 42)) (-4091 (((-634 (-634 (-944 (-215)))) $) 83)) (-4098 (((-1249) $ (-944 (-215)) (-869)) 103)) (-2504 (($ $) 82) (($ (-634 (-634 (-944 (-215))))) 93) (($ (-634 (-634 (-944 (-215)))) (-634 (-869)) (-634 (-869)) (-634 (-917))) 92) (($ (-634 (-634 (-944 (-215)))) (-634 (-869)) (-634 (-869)) (-634 (-917)) (-634 (-256))) 94)) (-1893 (((-1143) $) NIL)) (-3651 (((-568) $) 65)) (-4025 (((-1108) $) NIL)) (-3694 (($) 91)) (-2667 (((-634 (-215)) (-634 (-634 (-944 (-215))))) 52)) (-1675 (((-1249) $ (-634 (-944 (-215))) (-869) (-869) (-917)) 97) (((-1249) $ (-944 (-215))) 99) (((-1249) $ (-944 (-215)) (-869) (-869) (-917)) 98)) (-2747 (((-850) $) 109) (($ (-634 (-634 (-944 (-215))))) 104)) (-2290 (((-1249) $ (-944 (-215))) 102)) (-1719 (((-121) $ $) NIL))) 
-(((-473) (-13 (-1090) (-10 -8 (-15 -3694 ($)) (-15 -2504 ($ $)) (-15 -2504 ($ (-634 (-634 (-944 (-215)))))) (-15 -2504 ($ (-634 (-634 (-944 (-215)))) (-634 (-869)) (-634 (-869)) (-634 (-917)))) (-15 -2504 ($ (-634 (-634 (-944 (-215)))) (-634 (-869)) (-634 (-869)) (-634 (-917)) (-634 (-256)))) (-15 -4091 ((-634 (-634 (-944 (-215)))) $)) (-15 -3651 ((-568) $)) (-15 -3474 ((-634 (-1084 (-381))) $)) (-15 -3474 ((-634 (-1084 (-381))) $ (-634 (-1084 (-381))))) (-15 -2833 ((-634 (-381)) $)) (-15 -2833 ((-634 (-381)) $ (-634 (-381)))) (-15 -1675 ((-1249) $ (-634 (-944 (-215))) (-869) (-869) (-917))) (-15 -1675 ((-1249) $ (-944 (-215)))) (-15 -1675 ((-1249) $ (-944 (-215)) (-869) (-869) (-917))) (-15 -2290 ((-1249) $ (-944 (-215)))) (-15 -4098 ((-1249) $ (-944 (-215)) (-869))) (-15 -2747 ($ (-634 (-634 (-944 (-215)))))) (-15 -2747 ((-850) $)) (-15 -2359 ((-634 (-634 (-944 (-215)))) (-634 (-634 (-944 (-215)))) (-634 (-869)))) (-15 -2667 ((-634 (-215)) (-634 (-634 (-944 (-215))))))))) (T -473)) 
-((-2747 (*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-473)))) (-3694 (*1 *1) (-5 *1 (-473))) (-2504 (*1 *1 *1) (-5 *1 (-473))) (-2504 (*1 *1 *2) (-12 (-5 *2 (-634 (-634 (-944 (-215))))) (-5 *1 (-473)))) (-2504 (*1 *1 *2 *3 *3 *4) (-12 (-5 *2 (-634 (-634 (-944 (-215))))) (-5 *3 (-634 (-869))) (-5 *4 (-634 (-917))) (-5 *1 (-473)))) (-2504 (*1 *1 *2 *3 *3 *4 *5) (-12 (-5 *2 (-634 (-634 (-944 (-215))))) (-5 *3 (-634 (-869))) (-5 *4 (-634 (-917))) (-5 *5 (-634 (-256))) (-5 *1 (-473)))) (-4091 (*1 *2 *1) (-12 (-5 *2 (-634 (-634 (-944 (-215))))) (-5 *1 (-473)))) (-3651 (*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-473)))) (-3474 (*1 *2 *1) (-12 (-5 *2 (-634 (-1084 (-381)))) (-5 *1 (-473)))) (-3474 (*1 *2 *1 *2) (-12 (-5 *2 (-634 (-1084 (-381)))) (-5 *1 (-473)))) (-2833 (*1 *2 *1) (-12 (-5 *2 (-634 (-381))) (-5 *1 (-473)))) (-2833 (*1 *2 *1 *2) (-12 (-5 *2 (-634 (-381))) (-5 *1 (-473)))) (-1675 (*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-634 (-944 (-215)))) (-5 *4 (-869)) (-5 *5 (-917)) (-5 *2 (-1249)) (-5 *1 (-473)))) (-1675 (*1 *2 *1 *3) (-12 (-5 *3 (-944 (-215))) (-5 *2 (-1249)) (-5 *1 (-473)))) (-1675 (*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-944 (-215))) (-5 *4 (-869)) (-5 *5 (-917)) (-5 *2 (-1249)) (-5 *1 (-473)))) (-2290 (*1 *2 *1 *3) (-12 (-5 *3 (-944 (-215))) (-5 *2 (-1249)) (-5 *1 (-473)))) (-4098 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-944 (-215))) (-5 *4 (-869)) (-5 *2 (-1249)) (-5 *1 (-473)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-634 (-634 (-944 (-215))))) (-5 *1 (-473)))) (-2359 (*1 *2 *2 *3) (-12 (-5 *2 (-634 (-634 (-944 (-215))))) (-5 *3 (-634 (-869))) (-5 *1 (-473)))) (-2667 (*1 *2 *3) (-12 (-5 *3 (-634 (-634 (-944 (-215))))) (-5 *2 (-634 (-215))) (-5 *1 (-473))))) 
-(-13 (-1090) (-10 -8 (-15 -3694 ($)) (-15 -2504 ($ $)) (-15 -2504 ($ (-634 (-634 (-944 (-215)))))) (-15 -2504 ($ (-634 (-634 (-944 (-215)))) (-634 (-869)) (-634 (-869)) (-634 (-917)))) (-15 -2504 ($ (-634 (-634 (-944 (-215)))) (-634 (-869)) (-634 (-869)) (-634 (-917)) (-634 (-256)))) (-15 -4091 ((-634 (-634 (-944 (-215)))) $)) (-15 -3651 ((-568) $)) (-15 -3474 ((-634 (-1084 (-381))) $)) (-15 -3474 ((-634 (-1084 (-381))) $ (-634 (-1084 (-381))))) (-15 -2833 ((-634 (-381)) $)) (-15 -2833 ((-634 (-381)) $ (-634 (-381)))) (-15 -1675 ((-1249) $ (-634 (-944 (-215))) (-869) (-869) (-917))) (-15 -1675 ((-1249) $ (-944 (-215)))) (-15 -1675 ((-1249) $ (-944 (-215)) (-869) (-869) (-917))) (-15 -2290 ((-1249) $ (-944 (-215)))) (-15 -4098 ((-1249) $ (-944 (-215)) (-869))) (-15 -2747 ($ (-634 (-634 (-944 (-215)))))) (-15 -2747 ((-850) $)) (-15 -2359 ((-634 (-634 (-944 (-215)))) (-634 (-634 (-944 (-215)))) (-634 (-869)))) (-15 -2667 ((-634 (-215)) (-634 (-634 (-944 (-215)))))))) 
-((-1775 (($ $) NIL) (($ $ $) 11))) 
-(((-474 |#1| |#2| |#3|) (-10 -8 (-15 -1775 (|#1| |#1| |#1|)) (-15 -1775 (|#1| |#1|))) (-475 |#2| |#3|) (-172) (-23)) (T -474)) 
-NIL 
-(-10 -8 (-15 -1775 (|#1| |#1| |#1|)) (-15 -1775 (|#1| |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-1836 ((|#2| $) 18)) (-2747 (((-850) $) 11)) (-3058 (($) 17 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 14) (($ $ $) 12)) (-1769 (($ $ $) 13)) (* (($ |#1| $) 16) (($ $ |#1|) 15))) 
-(((-475 |#1| |#2|) (-1275) (-172) (-23)) (T -475)) 
-((-1836 (*1 *2 *1) (-12 (-4 *1 (-475 *3 *2)) (-4 *3 (-172)) (-4 *2 (-23)))) (-3058 (*1 *1) (-12 (-4 *1 (-475 *2 *3)) (-4 *2 (-172)) (-4 *3 (-23)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-475 *2 *3)) (-4 *2 (-172)) (-4 *3 (-23)))) (* (*1 *1 *1 *2) (-12 (-4 *1 (-475 *2 *3)) (-4 *2 (-172)) (-4 *3 (-23)))) (-1775 (*1 *1 *1) (-12 (-4 *1 (-475 *2 *3)) (-4 *2 (-172)) (-4 *3 (-23)))) (-1769 (*1 *1 *1 *1) (-12 (-4 *1 (-475 *2 *3)) (-4 *2 (-172)) (-4 *3 (-23)))) (-1775 (*1 *1 *1 *1) (-12 (-4 *1 (-475 *2 *3)) (-4 *2 (-172)) (-4 *3 (-23))))) 
-(-13 (-1090) (-10 -8 (-15 -1836 (|t#2| $)) (-15 (-3058) ($) -3497) (-15 * ($ |t#1| $)) (-15 * ($ $ |t#1|)) (-15 -1775 ($ $)) (-15 -1769 ($ $ $)) (-15 -1775 ($ $ $)))) 
-(((-105) . T) ((-608 (-850)) . T) ((-1090) . T)) 
-((-4102 (((-3 (-634 (-492 |#1| |#2|)) "failed") (-634 (-492 |#1| |#2|)) (-634 (-852 |#1|))) 88)) (-3457 (((-634 (-634 (-242 |#1| |#2|))) (-634 (-242 |#1| |#2|)) (-634 (-852 |#1|))) 86)) (-3095 (((-2 (|:| |dpolys| (-634 (-242 |#1| |#2|))) (|:| |coords| (-634 (-568)))) (-634 (-242 |#1| |#2|)) (-634 (-852 |#1|))) 58))) 
-(((-476 |#1| |#2| |#3|) (-10 -7 (-15 -3457 ((-634 (-634 (-242 |#1| |#2|))) (-634 (-242 |#1| |#2|)) (-634 (-852 |#1|)))) (-15 -4102 ((-3 (-634 (-492 |#1| |#2|)) "failed") (-634 (-492 |#1| |#2|)) (-634 (-852 |#1|)))) (-15 -3095 ((-2 (|:| |dpolys| (-634 (-242 |#1| |#2|))) (|:| |coords| (-634 (-568)))) (-634 (-242 |#1| |#2|)) (-634 (-852 |#1|))))) (-634 (-1161)) (-453) (-453)) (T -476)) 
-((-3095 (*1 *2 *3 *4) (-12 (-5 *4 (-634 (-852 *5))) (-14 *5 (-634 (-1161))) (-4 *6 (-453)) (-5 *2 (-2 (|:| |dpolys| (-634 (-242 *5 *6))) (|:| |coords| (-634 (-568))))) (-5 *1 (-476 *5 *6 *7)) (-5 *3 (-634 (-242 *5 *6))) (-4 *7 (-453)))) (-4102 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-634 (-492 *4 *5))) (-5 *3 (-634 (-852 *4))) (-14 *4 (-634 (-1161))) (-4 *5 (-453)) (-5 *1 (-476 *4 *5 *6)) (-4 *6 (-453)))) (-3457 (*1 *2 *3 *4) (-12 (-5 *4 (-634 (-852 *5))) (-14 *5 (-634 (-1161))) (-4 *6 (-453)) (-5 *2 (-634 (-634 (-242 *5 *6)))) (-5 *1 (-476 *5 *6 *7)) (-5 *3 (-634 (-242 *5 *6))) (-4 *7 (-453))))) 
-(-10 -7 (-15 -3457 ((-634 (-634 (-242 |#1| |#2|))) (-634 (-242 |#1| |#2|)) (-634 (-852 |#1|)))) (-15 -4102 ((-3 (-634 (-492 |#1| |#2|)) "failed") (-634 (-492 |#1| |#2|)) (-634 (-852 |#1|)))) (-15 -3095 ((-2 (|:| |dpolys| (-634 (-242 |#1| |#2|))) (|:| |coords| (-634 (-568)))) (-634 (-242 |#1| |#2|)) (-634 (-852 |#1|))))) 
-((-2902 (((-3 $ "failed") $) 11)) (-2387 (($ $ $) 20)) (-3985 (($ $ $) 21)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) 14)) (-1781 (($ $ $) 9)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) 19))) 
-(((-477 |#1|) (-10 -8 (-15 -3985 (|#1| |#1| |#1|)) (-15 -2387 (|#1| |#1| |#1|)) (-15 -1889 (|#1| |#1| (-568))) (-15 ** (|#1| |#1| (-568))) (-15 -1781 (|#1| |#1| |#1|)) (-15 -2902 ((-3 |#1| "failed") |#1|)) (-15 -1889 (|#1| |#1| (-763))) (-15 ** (|#1| |#1| (-763))) (-15 -1889 (|#1| |#1| (-917))) (-15 ** (|#1| |#1| (-917)))) (-478)) (T -477)) 
-NIL 
-(-10 -8 (-15 -3985 (|#1| |#1| |#1|)) (-15 -2387 (|#1| |#1| |#1|)) (-15 -1889 (|#1| |#1| (-568))) (-15 ** (|#1| |#1| (-568))) (-15 -1781 (|#1| |#1| |#1|)) (-15 -2902 ((-3 |#1| "failed") |#1|)) (-15 -1889 (|#1| |#1| (-763))) (-15 ** (|#1| |#1| (-763))) (-15 -1889 (|#1| |#1| (-917))) (-15 ** (|#1| |#1| (-917)))) 
-((-2449 (((-121) $ $) 7)) (-4490 (($) 19 T CONST)) (-2902 (((-3 $ "failed") $) 15)) (-1598 (((-121) $) 18)) (-1893 (((-1143) $) 9)) (-2083 (($ $) 26)) (-4025 (((-1108) $) 10)) (-2387 (($ $ $) 22)) (-3985 (($ $ $) 21)) (-2747 (((-850) $) 11)) (-1889 (($ $ (-917)) 12) (($ $ (-763)) 16) (($ $ (-568)) 23)) (-1557 (($) 20 T CONST)) (-1719 (((-121) $ $) 6)) (-1781 (($ $ $) 25)) (** (($ $ (-917)) 13) (($ $ (-763)) 17) (($ $ (-568)) 24)) (* (($ $ $) 14))) 
-(((-478) (-1275)) (T -478)) 
-((-2083 (*1 *1 *1) (-4 *1 (-478))) (-1781 (*1 *1 *1 *1) (-4 *1 (-478))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-478)) (-5 *2 (-568)))) (-1889 (*1 *1 *1 *2) (-12 (-4 *1 (-478)) (-5 *2 (-568)))) (-2387 (*1 *1 *1 *1) (-4 *1 (-478))) (-3985 (*1 *1 *1 *1) (-4 *1 (-478)))) 
-(-13 (-716) (-10 -8 (-15 -2083 ($ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ (-568))) (-15 -1889 ($ $ (-568))) (-6 -4518) (-15 -2387 ($ $ $)) (-15 -3985 ($ $ $)))) 
-(((-105) . T) ((-608 (-850)) . T) ((-716) . T) ((-1102) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2057 (((-634 (-1075)) $) NIL)) (-3325 (((-1161) $) 17)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#1| (-558)))) (-3661 (($ $) NIL (|has| |#1| (-558)))) (-4426 (((-121) $) NIL (|has| |#1| (-558)))) (-4179 (($ $ (-409 (-568))) NIL) (($ $ (-409 (-568)) (-409 (-568))) NIL)) (-2013 (((-1141 (-2 (|:| |k| (-409 (-568))) (|:| |c| |#1|))) $) NIL)) (-1984 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1935 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL (|has| |#1| (-365)))) (-3498 (((-420 $) $) NIL (|has| |#1| (-365)))) (-1904 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2589 (((-121) $ $) NIL (|has| |#1| (-365)))) (-1976 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2788 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2512 (($ (-763) (-1141 (-2 (|:| |k| (-409 (-568))) (|:| |c| |#1|)))) NIL)) (-1992 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1943 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4490 (($) NIL T CONST)) (-2403 (($ $ $) NIL (|has| |#1| (-365)))) (-2116 (($ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-2414 (($ $ $) NIL (|has| |#1| (-365)))) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL (|has| |#1| (-365)))) (-2197 (((-121) $) NIL (|has| |#1| (-365)))) (-1302 (((-121) $) NIL)) (-1899 (($) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1844 (((-409 (-568)) $) NIL) (((-409 (-568)) $ (-409 (-568))) NIL)) (-1598 (((-121) $) NIL)) (-1550 (($ $ (-568)) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4168 (($ $ (-917)) NIL) (($ $ (-409 (-568))) NIL)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-2171 (((-121) $) NIL)) (-2049 (($ |#1| (-409 (-568))) NIL) (($ $ (-1075) (-409 (-568))) NIL) (($ $ (-634 (-1075)) (-634 (-409 (-568)))) NIL)) (-2797 (($ (-1 |#1| |#1|) $) 22)) (-4418 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2099 (($ $) NIL)) (-2104 ((|#1| $) NIL)) (-2498 (($ (-634 $)) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-365)))) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL (|has| |#1| (-365)))) (-1845 (($ $) 26 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-1161)) 33 (-2199 (-12 (|has| |#1| (-15 -1845 (|#1| |#1| (-1161)))) (|has| |#1| (-15 -2057 ((-634 (-1161)) |#1|))) (|has| |#1| (-43 (-409 (-568))))) (-12 (|has| |#1| (-29 (-568))) (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-959)) (|has| |#1| (-1181))))) (($ $ (-1240 |#2|)) 27 (|has| |#1| (-43 (-409 (-568)))))) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#1| (-365)))) (-2723 (($ (-634 $)) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-365)))) (-3850 (((-420 $) $) NIL (|has| |#1| (-365)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-365))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#1| (-365)))) (-2168 (($ $ (-409 (-568))) NIL)) (-2597 (((-3 $ "failed") $ $) NIL (|has| |#1| (-558)))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-1894 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1339 (((-1141 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-409 (-568))))))) (-1466 (((-763) $) NIL (|has| |#1| (-365)))) (-2781 ((|#1| $ (-409 (-568))) NIL) (($ $ $) NIL (|has| (-409 (-568)) (-1102)))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-365)))) (-4191 (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161)) 25 (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-763)) NIL (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|)))) (($ $) 13 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|)))) (($ $ (-1240 |#2|)) 15)) (-1836 (((-409 (-568)) $) NIL)) (-1996 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1947 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1988 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1939 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1980 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2792 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2188 (($ $) NIL)) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ |#1|) NIL (|has| |#1| (-172))) (($ (-1240 |#2|)) NIL) (($ (-1228 |#1| |#2| |#3|)) 9) (($ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $) NIL (|has| |#1| (-558)))) (-2079 ((|#1| $ (-409 (-568))) NIL)) (-3385 (((-3 $ "failed") $) NIL (|has| |#1| (-148)))) (-3425 (((-763)) NIL)) (-1374 ((|#1| $) 18)) (-2008 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1959 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2273 (((-121) $ $) NIL (|has| |#1| (-558)))) (-2000 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1951 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2016 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1968 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-3999 ((|#1| $ (-409 (-568))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-409 (-568))))) (|has| |#1| (-15 -2747 (|#1| (-1161))))))) (-1439 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1972 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2012 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1964 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2004 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1955 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| |#1| (-365)))) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161)) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-763)) NIL (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))))) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ |#1|) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-365)))) (-1775 (($ $) NIL) (($ $ $) 24)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568)))))) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 23) (($ (-409 (-568)) $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))))) 
-(((-479 |#1| |#2| |#3|) (-13 (-1224 |#1|) (-10 -8 (-15 -2747 ($ (-1240 |#2|))) (-15 -2747 ($ (-1228 |#1| |#2| |#3|))) (-15 -4191 ($ $ (-1240 |#2|))) (IF (|has| |#1| (-43 (-409 (-568)))) (-15 -1845 ($ $ (-1240 |#2|))) |noBranch|))) (-1047) (-1161) |#1|) (T -479)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-479 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-1228 *3 *4 *5)) (-4 *3 (-1047)) (-14 *4 (-1161)) (-14 *5 *3) (-5 *1 (-479 *3 *4 *5)))) (-4191 (*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-479 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) (-1845 (*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-479 *3 *4 *5)) (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047)) (-14 *5 *3)))) 
-(-13 (-1224 |#1|) (-10 -8 (-15 -2747 ($ (-1240 |#2|))) (-15 -2747 ($ (-1228 |#1| |#2| |#3|))) (-15 -4191 ($ $ (-1240 |#2|))) (IF (|has| |#1| (-43 (-409 (-568)))) (-15 -1845 ($ $ (-1240 |#2|))) |noBranch|))) 
-((-2449 (((-121) $ $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-2988 (($) NIL) (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-2481 (((-1249) $ |#1| |#1|) NIL (|has| $ (-6 -4522)))) (-1667 (((-121) $ (-763)) NIL)) (-2438 ((|#2| $ |#1| |#2|) 18)) (-3963 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-2803 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-2678 (((-3 |#2| "failed") |#1| $) 19)) (-4490 (($) NIL T CONST)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))))) (-1568 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (|has| $ (-6 -4521))) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-3 |#2| "failed") |#1| $) 16)) (-4330 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-3094 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (|has| $ (-6 -4521))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-1292 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4522)))) (-2069 ((|#2| $ |#1|) NIL)) (-3317 (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-634 |#2|) $) NIL (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) NIL)) (-2539 ((|#1| $) NIL (|has| |#1| (-842)))) (-4406 (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-634 |#2|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-3631 ((|#1| $) NIL (|has| |#1| (-842)))) (-2253 (($ (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4522))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-4253 (((-634 |#1|) $) NIL)) (-2807 (((-121) |#1| $) NIL)) (-2580 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL)) (-1708 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL)) (-3948 (((-634 |#1|) $) NIL)) (-2916 (((-121) |#1| $) NIL)) (-4025 (((-1108) $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-3877 ((|#2| $) NIL (|has| |#1| (-842)))) (-2712 (((-3 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) "failed") (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL)) (-2490 (($ $ |#2|) NIL (|has| $ (-6 -4522)))) (-3403 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL)) (-3951 (((-121) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-288 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-634 |#2|) (-634 |#2|)) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-288 |#2|)) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-634 (-288 |#2|))) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-1480 (((-634 |#2|) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#2| $ |#1|) 13) ((|#2| $ |#1| |#2|) NIL)) (-3132 (($) NIL) (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-4170 (((-763) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-763) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (((-763) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090)))) (((-763) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) NIL (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-609 (-541))))) (-4289 (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-2747 (((-850) $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-4074 (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-3437 (((-121) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-480 |#1| |#2| |#3| |#4|) (-1172 |#1| |#2|) (-1090) (-1090) (-1172 |#1| |#2|) |#2|) (T -480)) 
-NIL 
-(-1172 |#1| |#2|) 
-((-2449 (((-121) $ $) NIL)) (-2213 (((-634 (-2 (|:| -4094 $) (|:| -2133 (-634 |#4|)))) (-634 |#4|)) NIL)) (-2353 (((-634 $) (-634 |#4|)) NIL)) (-2057 (((-634 |#3|) $) NIL)) (-4141 (((-121) $) NIL)) (-1794 (((-121) $) NIL (|has| |#1| (-558)))) (-4231 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3767 ((|#4| |#4| $) NIL)) (-3647 (((-2 (|:| |under| $) (|:| -4115 $) (|:| |upper| $)) $ |#3|) NIL)) (-1667 (((-121) $ (-763)) NIL)) (-2803 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521))) (((-3 |#4| "failed") $ |#3|) NIL)) (-4490 (($) NIL T CONST)) (-4382 (((-121) $) 26 (|has| |#1| (-558)))) (-1880 (((-121) $ $) NIL (|has| |#1| (-558)))) (-2536 (((-121) $ $) NIL (|has| |#1| (-558)))) (-2343 (((-121) $) NIL (|has| |#1| (-558)))) (-2941 (((-634 |#4|) (-634 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-3993 (((-634 |#4|) (-634 |#4|) $) NIL (|has| |#1| (-558)))) (-2727 (((-634 |#4|) (-634 |#4|) $) NIL (|has| |#1| (-558)))) (-3668 (((-3 $ "failed") (-634 |#4|)) NIL)) (-2857 (($ (-634 |#4|)) NIL)) (-3936 (((-3 $ "failed") $) 39)) (-3255 ((|#4| |#4| $) NIL)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090))))) (-4330 (($ |#4| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521)))) (-2607 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-558)))) (-1359 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) NIL)) (-3434 ((|#4| |#4| $) NIL)) (-3094 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4521))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4521))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-3158 (((-2 (|:| -4094 (-634 |#4|)) (|:| -2133 (-634 |#4|))) $) NIL)) (-3317 (((-634 |#4|) $) 16 (|has| $ (-6 -4521)))) (-3764 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-4001 ((|#3| $) 33)) (-3791 (((-121) $ (-763)) NIL)) (-4406 (((-634 |#4|) $) 17 (|has| $ (-6 -4521)))) (-2551 (((-121) |#4| $) 25 (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090))))) (-2253 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#4| |#4|) $) 21)) (-2249 (((-634 |#3|) $) NIL)) (-1495 (((-121) |#3| $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL)) (-4164 (((-3 |#4| "failed") $) 37)) (-3882 (((-634 |#4|) $) NIL)) (-2157 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1315 ((|#4| |#4| $) NIL)) (-4342 (((-121) $ $) NIL)) (-1440 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-558)))) (-3236 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1452 ((|#4| |#4| $) NIL)) (-4025 (((-1108) $) NIL)) (-3877 (((-3 |#4| "failed") $) 35)) (-2712 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-3413 (((-3 $ "failed") $ |#4|) 46)) (-2168 (($ $ |#4|) NIL)) (-3951 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 |#4|) (-634 |#4|)) NIL (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ (-288 |#4|)) NIL (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ (-634 (-288 |#4|))) NIL (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) 15)) (-1990 (($) 13)) (-1836 (((-763) $) NIL)) (-4170 (((-763) |#4| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090)))) (((-763) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521)))) (-3865 (($ $) 12)) (-4280 (((-541) $) NIL (|has| |#4| (-609 (-541))))) (-4289 (($ (-634 |#4|)) 20)) (-3206 (($ $ |#3|) 42)) (-2527 (($ $ |#3|) 43)) (-4392 (($ $) NIL)) (-4332 (($ $ |#3|) NIL)) (-2747 (((-850) $) 31) (((-634 |#4|) $) 40)) (-2524 (((-763) $) NIL (|has| |#3| (-370)))) (-2835 (((-3 (-2 (|:| |bas| $) (|:| -2618 (-634 |#4|))) "failed") (-634 |#4|) (-1 (-121) |#4| |#4|)) NIL) (((-3 (-2 (|:| |bas| $) (|:| -2618 (-634 |#4|))) "failed") (-634 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-2145 (((-121) $ (-1 (-121) |#4| (-634 |#4|))) NIL)) (-3437 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521)))) (-3321 (((-634 |#3|) $) NIL)) (-1413 (((-121) |#3| $) NIL)) (-1719 (((-121) $ $) NIL)) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-481 |#1| |#2| |#3| |#4|) (-1189 |#1| |#2| |#3| |#4|) (-558) (-788) (-842) (-1061 |#1| |#2| |#3|)) (T -481)) 
-NIL 
-(-1189 |#1| |#2| |#3| |#4|) 
-((-3492 (((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-53))) (-1201 (-53)))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-53)))) (-1201 (-1157 (-53))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-53) (-763) (-763) (-1157 (-53)))) (|:| AF (-1 (-1157 (-53)) (-763) (-763) (-1201 (-1157 (-53))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-53)) (-763)))) (-634 (-465))) (-1161)) NIL (|has| (-53) (-1037 (-1161)))) (((-2 (|:| |guessStream| (-1 (-1141 (-1201 (-53))) (-1201 (-53)))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-53)))) (-1201 (-1157 (-53))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-53) (-763) (-763) (-1157 (-53)))) (|:| AF (-1 (-1157 (-53)) (-763) (-763) (-1201 (-1157 (-53))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-53)) (-763)))) (-634 (-465))) NIL)) (-3135 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) (-1161)) NIL (|has| (-53) (-1037 (-1161)))) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53))) NIL)) (-2152 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) (-1161)) NIL (|has| (-53) (-1037 (-1161)))) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) NIL)) (-3558 (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) NIL)) (-3592 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) (-1161)) NIL (|has| (-53) (-1037 (-1161)))) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) NIL)) (-4428 (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53))) NIL)) (-3915 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-53))) (-1201 (-53)))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-53)))) (-1201 (-1157 (-53))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-53) (-763) (-763) (-1157 (-53)))) (|:| AF (-1 (-1157 (-53)) (-763) (-763) (-1201 (-1157 (-53))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-53)) (-763)))) (-634 (-465)))) NIL)) (-2288 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) (-1161)) NIL (|has| (-53) (-1037 (-1161)))) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53))) NIL)) (-4326 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) (-1161)) NIL (|has| (-53) (-1037 (-1161)))) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53))) NIL)) (-1333 (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53))) NIL)) (-3200 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) (-1161)) NIL (|has| (-53) (-1037 (-1161)))) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53))) NIL)) (-1536 (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-634 (-1161)) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-634 (-1161))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53))) NIL)) (-3416 (((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-53))) (-1201 (-53)))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-53)))) (-1201 (-1157 (-53))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-53) (-763) (-763) (-1157 (-53)))) (|:| AF (-1 (-1157 (-53)) (-763) (-763) (-1201 (-1157 (-53))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-53)) (-763)))) (-634 (-465))) (-1161)) NIL (|has| (-53) (-1037 (-1161)))) (((-2 (|:| |guessStream| (-1 (-1141 (-1201 (-53))) (-1201 (-53)))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-53)))) (-1201 (-1157 (-53))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-53) (-763) (-763) (-1157 (-53)))) (|:| AF (-1 (-1157 (-53)) (-763) (-763) (-1201 (-1157 (-53))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-53)) (-763)))) (-634 (-465))) NIL))) 
-(((-482) (-10 -7 (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)))) (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-634 (-1161)))) (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-634 (-1161)) (-634 (-465)))) (-15 -2288 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)))) (-15 -2288 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-15 -4326 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)))) (-15 -4326 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (IF (|has| (-53) (-1037 (-1161))) (IF (|has| (-53) (-1037 (-1161))) (PROGN (-15 -2288 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) (-1161))) (-15 -4326 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) (-1161)))) |noBranch|) |noBranch|) (-15 -3915 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-53))) (-1201 (-53)))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-53)))) (-1201 (-1157 (-53))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-53) (-763) (-763) (-1157 (-53)))) (|:| AF (-1 (-1157 (-53)) (-763) (-763) (-1201 (-1157 (-53))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-53)) (-763)))) (-634 (-465))))) (-15 -3200 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)))) (-15 -3200 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-15 -1333 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)))) (-15 -1333 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-15 -4428 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)))) (-15 -4428 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-15 -3558 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-15 -3558 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)))) (-15 -3135 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)))) (-15 -3135 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-15 -3592 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-15 -3592 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)))) (-15 -2152 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-15 -2152 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)))) (-15 -3416 ((-2 (|:| |guessStream| (-1 (-1141 (-1201 (-53))) (-1201 (-53)))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-53)))) (-1201 (-1157 (-53))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-53) (-763) (-763) (-1157 (-53)))) (|:| AF (-1 (-1157 (-53)) (-763) (-763) (-1201 (-1157 (-53))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-53)) (-763)))) (-634 (-465)))) (-15 -3492 ((-2 (|:| |guessStream| (-1 (-1141 (-1201 (-53))) (-1201 (-53)))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-53)))) (-1201 (-1157 (-53))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-53) (-763) (-763) (-1157 (-53)))) (|:| AF (-1 (-1157 (-53)) (-763) (-763) (-1201 (-1157 (-53))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-53)) (-763)))) (-634 (-465)))) (IF (|has| (-53) (-1037 (-1161))) (IF (|has| (-53) (-1037 (-1161))) (PROGN (-15 -3492 ((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-53))) (-1201 (-53)))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-53)))) (-1201 (-1157 (-53))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-53) (-763) (-763) (-1157 (-53)))) (|:| AF (-1 (-1157 (-53)) (-763) (-763) (-1201 (-1157 (-53))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-53)) (-763)))) (-634 (-465))) (-1161))) (-15 -3416 ((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-53))) (-1201 (-53)))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-53)))) (-1201 (-1157 (-53))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-53) (-763) (-763) (-1157 (-53)))) (|:| AF (-1 (-1157 (-53)) (-763) (-763) (-1201 (-1157 (-53))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-53)) (-763)))) (-634 (-465))) (-1161))) (-15 -3135 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) (-1161))) (-15 -3592 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) (-1161))) (-15 -2152 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) (-1161))) (-15 -3200 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) (-1161)))) |noBranch|) |noBranch|))) (T -482)) 
-((-3200 (*1 *2 *3) (-12 (-4 (-53) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-5 *1 (-482)))) (-2152 (*1 *2 *3) (-12 (-4 (-53) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-5 *1 (-482)))) (-3592 (*1 *2 *3) (-12 (-4 (-53) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-5 *1 (-482)))) (-3135 (*1 *2 *3) (-12 (-4 (-53) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-5 *1 (-482)))) (-3416 (*1 *2 *3) (-12 (-4 (-53) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-53))) (-1201 (-53)))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-53)))) (-1201 (-1157 (-53))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) *3)) (|:| A (-1 (-53) (-763) (-763) (-1157 (-53)))) (|:| AF (-1 (-1157 (-53)) (-763) (-763) (-1201 (-1157 (-53))))) (|:| AX (-1 (-310 (-568)) (-763) *3 (-310 (-568)))) (|:| C (-1 (-634 (-53)) (-763)))) (-634 (-465)))) (-5 *1 (-482)))) (-3492 (*1 *2 *3) (-12 (-4 (-53) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-53))) (-1201 (-53)))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-53)))) (-1201 (-1157 (-53))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) *3)) (|:| A (-1 (-53) (-763) (-763) (-1157 (-53)))) (|:| AF (-1 (-1157 (-53)) (-763) (-763) (-1201 (-1157 (-53))))) (|:| AX (-1 (-310 (-568)) (-763) *3 (-310 (-568)))) (|:| C (-1 (-634 (-53)) (-763)))) (-634 (-465)))) (-5 *1 (-482)))) (-3492 (*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-53))) (-1201 (-53)))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-53)))) (-1201 (-1157 (-53))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-53) (-763) (-763) (-1157 (-53)))) (|:| AF (-1 (-1157 (-53)) (-763) (-763) (-1201 (-1157 (-53))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-53)) (-763))))) (-5 *1 (-482)))) (-3416 (*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-53))) (-1201 (-53)))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-53)))) (-1201 (-1157 (-53))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-53) (-763) (-763) (-1157 (-53)))) (|:| AF (-1 (-1157 (-53)) (-763) (-763) (-1201 (-1157 (-53))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-53)) (-763))))) (-5 *1 (-482)))) (-2152 (*1 *2 *3) (-12 (-5 *3 (-634 (-53))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) (-2152 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-53))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) (-3592 (*1 *2 *3) (-12 (-5 *3 (-634 (-53))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) (-3592 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-53))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) (-3135 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-53))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) (-3135 (*1 *2 *3) (-12 (-5 *3 (-634 (-53))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) (-3558 (*1 *2 *3) (-12 (-5 *3 (-634 (-53))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) (-3558 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-53))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) (-4428 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-53))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) (-4428 (*1 *2 *3) (-12 (-5 *3 (-634 (-53))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) (-1333 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-53))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) (-1333 (*1 *2 *3) (-12 (-5 *3 (-634 (-53))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) (-3200 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-53))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) (-3200 (*1 *2 *3) (-12 (-5 *3 (-634 (-53))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) (-3915 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-53))) (-1201 (-53)))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-53)))) (-1201 (-1157 (-53))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-53) (-763) (-763) (-1157 (-53)))) (|:| AF (-1 (-1157 (-53)) (-763) (-763) (-1201 (-1157 (-53))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-53)) (-763)))) (-634 (-465)))) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-5 *1 (-482)))) (-4326 (*1 *2 *3) (-12 (-4 (-53) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-5 *1 (-482)))) (-2288 (*1 *2 *3) (-12 (-4 (-53) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-5 *1 (-482)))) (-4326 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-53))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) (-4326 (*1 *2 *3) (-12 (-5 *3 (-634 (-53))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) (-2288 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-53))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) (-2288 (*1 *2 *3) (-12 (-5 *3 (-634 (-53))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) (-1536 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))))) (-5 *5 (-634 (-1161))) (-5 *6 (-634 (-465))) (-5 *3 (-634 (-53))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) (-1536 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))))) (-5 *5 (-634 (-1161))) (-5 *3 (-634 (-53))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) (-1536 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-53))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) (-1536 (*1 *2 *3) (-12 (-5 *3 (-634 (-53))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482))))) 
-(-10 -7 (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)))) (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-634 (-1161)))) (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-634 (-1161)) (-634 (-465)))) (-15 -2288 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)))) (-15 -2288 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-15 -4326 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)))) (-15 -4326 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (IF (|has| (-53) (-1037 (-1161))) (IF (|has| (-53) (-1037 (-1161))) (PROGN (-15 -2288 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) (-1161))) (-15 -4326 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) (-1161)))) |noBranch|) |noBranch|) (-15 -3915 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-53))) (-1201 (-53)))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-53)))) (-1201 (-1157 (-53))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-53) (-763) (-763) (-1157 (-53)))) (|:| AF (-1 (-1157 (-53)) (-763) (-763) (-1201 (-1157 (-53))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-53)) (-763)))) (-634 (-465))))) (-15 -3200 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)))) (-15 -3200 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-15 -1333 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)))) (-15 -1333 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-15 -4428 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)))) (-15 -4428 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-15 -3558 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-15 -3558 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)))) (-15 -3135 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)))) (-15 -3135 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-15 -3592 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-15 -3592 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)))) (-15 -2152 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-15 -2152 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)))) (-15 -3416 ((-2 (|:| |guessStream| (-1 (-1141 (-1201 (-53))) (-1201 (-53)))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-53)))) (-1201 (-1157 (-53))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-53) (-763) (-763) (-1157 (-53)))) (|:| AF (-1 (-1157 (-53)) (-763) (-763) (-1201 (-1157 (-53))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-53)) (-763)))) (-634 (-465)))) (-15 -3492 ((-2 (|:| |guessStream| (-1 (-1141 (-1201 (-53))) (-1201 (-53)))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-53)))) (-1201 (-1157 (-53))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-53) (-763) (-763) (-1157 (-53)))) (|:| AF (-1 (-1157 (-53)) (-763) (-763) (-1201 (-1157 (-53))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-53)) (-763)))) (-634 (-465)))) (IF (|has| (-53) (-1037 (-1161))) (IF (|has| (-53) (-1037 (-1161))) (PROGN (-15 -3492 ((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-53))) (-1201 (-53)))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-53)))) (-1201 (-1157 (-53))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-53) (-763) (-763) (-1157 (-53)))) (|:| AF (-1 (-1157 (-53)) (-763) (-763) (-1201 (-1157 (-53))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-53)) (-763)))) (-634 (-465))) (-1161))) (-15 -3416 ((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-53))) (-1201 (-53)))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-53)))) (-1201 (-1157 (-53))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-53) (-763) (-763) (-1157 (-53)))) (|:| AF (-1 (-1157 (-53)) (-763) (-763) (-1201 (-1157 (-53))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-53)) (-763)))) (-634 (-465))) (-1161))) (-15 -3135 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) (-1161))) (-15 -3592 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) (-1161))) (-15 -2152 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) (-1161))) (-15 -3200 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))) (-1161)))) |noBranch|) |noBranch|)) 
-((-3119 (((-310 (-568)) |#1|) 11))) 
-(((-483 |#1|) (-10 -7 (-15 -3119 ((-310 (-568)) |#1|))) (-13 (-350) (-609 (-568)))) (T -483)) 
-((-3119 (*1 *2 *3) (-12 (-5 *2 (-310 (-568))) (-5 *1 (-483 *3)) (-4 *3 (-13 (-350) (-609 (-568))))))) 
-(-10 -7 (-15 -3119 ((-310 (-568)) |#1|))) 
-((-3492 (((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 |#1| (-763) (-763) (-1157 |#1|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 |#1|) (-763)))) (-634 (-465))) (-1161)) NIL (|has| |#1| (-1037 (-1161)))) (((-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 |#1| (-763) (-763) (-1157 |#1|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 |#1|) (-763)))) (-634 (-465))) NIL)) (-3135 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161)) NIL (|has| |#1| (-1037 (-1161)))) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|)) NIL)) (-2152 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161)) NIL (|has| |#1| (-1037 (-1161)))) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|)) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) NIL)) (-3558 (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|)) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) NIL)) (-3592 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161)) NIL (|has| |#1| (-1037 (-1161)))) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|)) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) NIL)) (-4428 (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|)) NIL)) (-3915 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 |#1| (-763) (-763) (-1157 |#1|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 |#1|) (-763)))) (-634 (-465)))) NIL)) (-2288 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161)) NIL (|has| |#1| (-1037 (-1161)))) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|)) NIL)) (-4326 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161)) NIL (|has| |#1| (-1037 (-1161)))) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|)) NIL)) (-1333 (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|)) NIL)) (-3200 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161)) NIL (|has| |#1| (-1037 (-1161)))) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|)) NIL)) (-1536 (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-634 (-1161)) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-634 (-1161))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|)) NIL)) (-3416 (((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 |#1| (-763) (-763) (-1157 |#1|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 |#1|) (-763)))) (-634 (-465))) (-1161)) NIL (|has| |#1| (-1037 (-1161)))) (((-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 |#1| (-763) (-763) (-1157 |#1|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 |#1|) (-763)))) (-634 (-465))) NIL))) 
-(((-484 |#1|) (-10 -7 (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-634 (-1161)))) (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-634 (-1161)) (-634 (-465)))) (-15 -2288 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -2288 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -4326 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -4326 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (IF (|has| |#1| (-1037 (-1161))) (IF (|has| |#1| (-1037 (-1161))) (PROGN (-15 -2288 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161))) (-15 -4326 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161)))) |noBranch|) |noBranch|) (-15 -3915 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 |#1| (-763) (-763) (-1157 |#1|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 |#1|) (-763)))) (-634 (-465))))) (-15 -3200 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -3200 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -1333 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -1333 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -4428 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -4428 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -3558 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -3558 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -3135 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -3135 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -3592 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -3592 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -2152 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -2152 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -3416 ((-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 |#1| (-763) (-763) (-1157 |#1|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 |#1|) (-763)))) (-634 (-465)))) (-15 -3492 ((-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 |#1| (-763) (-763) (-1157 |#1|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 |#1|) (-763)))) (-634 (-465)))) (IF (|has| |#1| (-1037 (-1161))) (IF (|has| |#1| (-1037 (-1161))) (PROGN (-15 -3492 ((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 |#1| (-763) (-763) (-1157 |#1|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 |#1|) (-763)))) (-634 (-465))) (-1161))) (-15 -3416 ((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 |#1| (-763) (-763) (-1157 |#1|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 |#1|) (-763)))) (-634 (-465))) (-1161))) (-15 -3135 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161))) (-15 -3592 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161))) (-15 -2152 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161))) (-15 -3200 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161)))) |noBranch|) |noBranch|)) (-13 (-350) (-609 (-568)))) (T -484)) 
-((-3200 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-484 *4)) (-4 *4 (-1037 *3)) (-4 *4 (-13 (-350) (-609 (-568)))))) (-2152 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-484 *4)) (-4 *4 (-1037 *3)) (-4 *4 (-13 (-350) (-609 (-568)))))) (-3592 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-484 *4)) (-4 *4 (-1037 *3)) (-4 *4 (-13 (-350) (-609 (-568)))))) (-3135 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-484 *4)) (-4 *4 (-1037 *3)) (-4 *4 (-13 (-350) (-609 (-568)))))) (-3416 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 *4)) (-1201 *4))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 *4))) (-1201 (-1157 *4)))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) *3)) (|:| A (-1 *4 (-763) (-763) (-1157 *4))) (|:| AF (-1 (-1157 *4) (-763) (-763) (-1201 (-1157 *4)))) (|:| AX (-1 (-310 (-568)) (-763) *3 (-310 (-568)))) (|:| C (-1 (-634 *4) (-763)))) (-634 (-465)))) (-5 *1 (-484 *4)) (-4 *4 (-1037 *3)) (-4 *4 (-13 (-350) (-609 (-568)))))) (-3492 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 *4)) (-1201 *4))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 *4))) (-1201 (-1157 *4)))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) *3)) (|:| A (-1 *4 (-763) (-763) (-1157 *4))) (|:| AF (-1 (-1157 *4) (-763) (-763) (-1201 (-1157 *4)))) (|:| AX (-1 (-310 (-568)) (-763) *3 (-310 (-568)))) (|:| C (-1 (-634 *4) (-763)))) (-634 (-465)))) (-5 *1 (-484 *4)) (-4 *4 (-1037 *3)) (-4 *4 (-13 (-350) (-609 (-568)))))) (-3492 (*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1141 (-1201 *4)) (-1201 *4))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 *4))) (-1201 (-1157 *4)))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 *4 (-763) (-763) (-1157 *4))) (|:| AF (-1 (-1157 *4) (-763) (-763) (-1201 (-1157 *4)))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 *4) (-763))))) (-5 *1 (-484 *4)) (-4 *4 (-13 (-350) (-609 (-568)))))) (-3416 (*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1141 (-1201 *4)) (-1201 *4))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 *4))) (-1201 (-1157 *4)))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 *4 (-763) (-763) (-1157 *4))) (|:| AF (-1 (-1157 *4) (-763) (-763) (-1201 (-1157 *4)))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 *4) (-763))))) (-5 *1 (-484 *4)) (-4 *4 (-13 (-350) (-609 (-568)))))) (-2152 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *4)))) (-2152 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *5)))) (-3592 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *4)))) (-3592 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *5)))) (-3135 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *5)))) (-3135 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *4)))) (-3558 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *4)))) (-3558 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *5)))) (-4428 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *5)))) (-4428 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *4)))) (-1333 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *5)))) (-1333 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *4)))) (-3200 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *5)))) (-3200 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *4)))) (-3915 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 *4)) (-1201 *4))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 *4))) (-1201 (-1157 *4)))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 *4 (-763) (-763) (-1157 *4))) (|:| AF (-1 (-1157 *4) (-763) (-763) (-1201 (-1157 *4)))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 *4) (-763)))) (-634 (-465)))) (-4 *4 (-13 (-350) (-609 (-568)))) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-484 *4)))) (-4326 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-484 *4)) (-4 *4 (-1037 *3)) (-4 *4 (-13 (-350) (-609 (-568)))))) (-2288 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-484 *4)) (-4 *4 (-1037 *3)) (-4 *4 (-13 (-350) (-609 (-568)))))) (-4326 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *5)))) (-4326 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *4)))) (-2288 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *5)))) (-2288 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *4)))) (-1536 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 *7) (-634 (-465))))) (-5 *5 (-634 (-1161))) (-5 *6 (-634 (-465))) (-5 *3 (-634 *7)) (-4 *7 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *7)))) (-1536 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 *6) (-634 (-465))))) (-5 *5 (-634 (-1161))) (-5 *3 (-634 *6)) (-4 *6 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *6)))) (-1536 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *5)))) (-1536 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *4))))) 
-(-10 -7 (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-634 (-1161)))) (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-634 (-1161)) (-634 (-465)))) (-15 -2288 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -2288 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -4326 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -4326 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (IF (|has| |#1| (-1037 (-1161))) (IF (|has| |#1| (-1037 (-1161))) (PROGN (-15 -2288 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161))) (-15 -4326 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161)))) |noBranch|) |noBranch|) (-15 -3915 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 |#1| (-763) (-763) (-1157 |#1|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 |#1|) (-763)))) (-634 (-465))))) (-15 -3200 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -3200 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -1333 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -1333 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -4428 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -4428 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -3558 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -3558 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -3135 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -3135 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -3592 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -3592 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -2152 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -2152 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -3416 ((-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 |#1| (-763) (-763) (-1157 |#1|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 |#1|) (-763)))) (-634 (-465)))) (-15 -3492 ((-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 |#1| (-763) (-763) (-1157 |#1|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 |#1|) (-763)))) (-634 (-465)))) (IF (|has| |#1| (-1037 (-1161))) (IF (|has| |#1| (-1037 (-1161))) (PROGN (-15 -3492 ((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 |#1| (-763) (-763) (-1157 |#1|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 |#1|) (-763)))) (-634 (-465))) (-1161))) (-15 -3416 ((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 |#1| (-763) (-763) (-1157 |#1|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 |#1|) (-763)))) (-634 (-465))) (-1161))) (-15 -3135 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161))) (-15 -3592 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161))) (-15 -2152 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161))) (-15 -3200 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161)))) |noBranch|) |noBranch|)) 
-((-3492 (((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-568)))) (-1201 (-409 (-568))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-568))))) (-1201 (-1157 (-409 (-568)))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-568) (-763) (-763) (-1157 (-568)))) (|:| AF (-1 (-1157 (-409 (-568))) (-763) (-763) (-1201 (-1157 (-409 (-568)))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-568)) (-763)))) (-634 (-465))) (-1161)) NIL (-12 (|has| (-409 (-568)) (-1037 (-1161))) (|has| (-568) (-1037 (-1161))))) (((-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-568)))) (-1201 (-409 (-568))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-568))))) (-1201 (-1157 (-409 (-568)))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-568) (-763) (-763) (-1157 (-568)))) (|:| AF (-1 (-1157 (-409 (-568))) (-763) (-763) (-1201 (-1157 (-409 (-568)))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-568)) (-763)))) (-634 (-465))) NIL)) (-3135 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) (-1161)) NIL (-12 (|has| (-409 (-568)) (-1037 (-1161))) (|has| (-568) (-1037 (-1161))))) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568)))) NIL)) (-2152 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) (-1161)) NIL (-12 (|has| (-409 (-568)) (-1037 (-1161))) (|has| (-568) (-1037 (-1161))))) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568)))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) NIL)) (-3558 (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568)))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) NIL)) (-3592 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) (-1161)) NIL (-12 (|has| (-409 (-568)) (-1037 (-1161))) (|has| (-568) (-1037 (-1161))))) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568)))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) NIL)) (-4428 (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568)))) NIL)) (-3915 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-568)))) (-1201 (-409 (-568))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-568))))) (-1201 (-1157 (-409 (-568)))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-568) (-763) (-763) (-1157 (-568)))) (|:| AF (-1 (-1157 (-409 (-568))) (-763) (-763) (-1201 (-1157 (-409 (-568)))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-568)) (-763)))) (-634 (-465)))) NIL)) (-2288 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) (-1161)) NIL (-12 (|has| (-409 (-568)) (-1037 (-1161))) (|has| (-568) (-1037 (-1161))))) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568)))) NIL)) (-4326 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) (-1161)) NIL (-12 (|has| (-409 (-568)) (-1037 (-1161))) (|has| (-568) (-1037 (-1161))))) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568)))) NIL)) (-1333 (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568)))) NIL)) (-3200 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) (-1161)) NIL (-12 (|has| (-409 (-568)) (-1037 (-1161))) (|has| (-568) (-1037 (-1161))))) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568)))) NIL)) (-1536 (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-634 (-1161)) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-634 (-1161))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568)))) NIL)) (-3416 (((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-568)))) (-1201 (-409 (-568))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-568))))) (-1201 (-1157 (-409 (-568)))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-568) (-763) (-763) (-1157 (-568)))) (|:| AF (-1 (-1157 (-409 (-568))) (-763) (-763) (-1201 (-1157 (-409 (-568)))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-568)) (-763)))) (-634 (-465))) (-1161)) NIL (-12 (|has| (-409 (-568)) (-1037 (-1161))) (|has| (-568) (-1037 (-1161))))) (((-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-568)))) (-1201 (-409 (-568))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-568))))) (-1201 (-1157 (-409 (-568)))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-568) (-763) (-763) (-1157 (-568)))) (|:| AF (-1 (-1157 (-409 (-568))) (-763) (-763) (-1201 (-1157 (-409 (-568)))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-568)) (-763)))) (-634 (-465))) NIL))) 
-(((-485) (-10 -7 (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))))) (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-634 (-1161)))) (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-634 (-1161)) (-634 (-465)))) (-15 -2288 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))))) (-15 -2288 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-15 -4326 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))))) (-15 -4326 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (IF (|has| (-409 (-568)) (-1037 (-1161))) (IF (|has| (-568) (-1037 (-1161))) (PROGN (-15 -2288 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) (-1161))) (-15 -4326 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) (-1161)))) |noBranch|) |noBranch|) (-15 -3915 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-568)))) (-1201 (-409 (-568))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-568))))) (-1201 (-1157 (-409 (-568)))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-568) (-763) (-763) (-1157 (-568)))) (|:| AF (-1 (-1157 (-409 (-568))) (-763) (-763) (-1201 (-1157 (-409 (-568)))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-568)) (-763)))) (-634 (-465))))) (-15 -3200 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))))) (-15 -3200 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-15 -1333 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))))) (-15 -1333 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-15 -4428 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))))) (-15 -4428 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-15 -3558 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-15 -3558 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))))) (-15 -3135 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))))) (-15 -3135 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-15 -3592 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-15 -3592 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))))) (-15 -2152 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-15 -2152 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))))) (-15 -3416 ((-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-568)))) (-1201 (-409 (-568))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-568))))) (-1201 (-1157 (-409 (-568)))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-568) (-763) (-763) (-1157 (-568)))) (|:| AF (-1 (-1157 (-409 (-568))) (-763) (-763) (-1201 (-1157 (-409 (-568)))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-568)) (-763)))) (-634 (-465)))) (-15 -3492 ((-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-568)))) (-1201 (-409 (-568))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-568))))) (-1201 (-1157 (-409 (-568)))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-568) (-763) (-763) (-1157 (-568)))) (|:| AF (-1 (-1157 (-409 (-568))) (-763) (-763) (-1201 (-1157 (-409 (-568)))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-568)) (-763)))) (-634 (-465)))) (IF (|has| (-409 (-568)) (-1037 (-1161))) (IF (|has| (-568) (-1037 (-1161))) (PROGN (-15 -3492 ((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-568)))) (-1201 (-409 (-568))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-568))))) (-1201 (-1157 (-409 (-568)))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-568) (-763) (-763) (-1157 (-568)))) (|:| AF (-1 (-1157 (-409 (-568))) (-763) (-763) (-1201 (-1157 (-409 (-568)))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-568)) (-763)))) (-634 (-465))) (-1161))) (-15 -3416 ((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-568)))) (-1201 (-409 (-568))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-568))))) (-1201 (-1157 (-409 (-568)))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-568) (-763) (-763) (-1157 (-568)))) (|:| AF (-1 (-1157 (-409 (-568))) (-763) (-763) (-1201 (-1157 (-409 (-568)))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-568)) (-763)))) (-634 (-465))) (-1161))) (-15 -3135 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) (-1161))) (-15 -3592 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) (-1161))) (-15 -2152 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) (-1161))) (-15 -3200 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) (-1161)))) |noBranch|) |noBranch|))) (T -485)) 
-((-3200 (*1 *2 *3) (-12 (-4 (-409 (-568)) (-1037 *3)) (-4 (-568) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-5 *1 (-485)))) (-2152 (*1 *2 *3) (-12 (-4 (-409 (-568)) (-1037 *3)) (-4 (-568) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-5 *1 (-485)))) (-3592 (*1 *2 *3) (-12 (-4 (-409 (-568)) (-1037 *3)) (-4 (-568) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-5 *1 (-485)))) (-3135 (*1 *2 *3) (-12 (-4 (-409 (-568)) (-1037 *3)) (-4 (-568) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-5 *1 (-485)))) (-3416 (*1 *2 *3) (-12 (-4 (-409 (-568)) (-1037 *3)) (-4 (-568) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-568)))) (-1201 (-409 (-568))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-568))))) (-1201 (-1157 (-409 (-568)))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) *3)) (|:| A (-1 (-568) (-763) (-763) (-1157 (-568)))) (|:| AF (-1 (-1157 (-409 (-568))) (-763) (-763) (-1201 (-1157 (-409 (-568)))))) (|:| AX (-1 (-310 (-568)) (-763) *3 (-310 (-568)))) (|:| C (-1 (-634 (-568)) (-763)))) (-634 (-465)))) (-5 *1 (-485)))) (-3492 (*1 *2 *3) (-12 (-4 (-409 (-568)) (-1037 *3)) (-4 (-568) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-568)))) (-1201 (-409 (-568))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-568))))) (-1201 (-1157 (-409 (-568)))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) *3)) (|:| A (-1 (-568) (-763) (-763) (-1157 (-568)))) (|:| AF (-1 (-1157 (-409 (-568))) (-763) (-763) (-1201 (-1157 (-409 (-568)))))) (|:| AX (-1 (-310 (-568)) (-763) *3 (-310 (-568)))) (|:| C (-1 (-634 (-568)) (-763)))) (-634 (-465)))) (-5 *1 (-485)))) (-3492 (*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-568)))) (-1201 (-409 (-568))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-568))))) (-1201 (-1157 (-409 (-568)))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-568) (-763) (-763) (-1157 (-568)))) (|:| AF (-1 (-1157 (-409 (-568))) (-763) (-763) (-1201 (-1157 (-409 (-568)))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-568)) (-763))))) (-5 *1 (-485)))) (-3416 (*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-568)))) (-1201 (-409 (-568))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-568))))) (-1201 (-1157 (-409 (-568)))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-568) (-763) (-763) (-1157 (-568)))) (|:| AF (-1 (-1157 (-409 (-568))) (-763) (-763) (-1201 (-1157 (-409 (-568)))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-568)) (-763))))) (-5 *1 (-485)))) (-2152 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) (-2152 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) (-3592 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) (-3592 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) (-3135 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) (-3135 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) (-3558 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) (-3558 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) (-4428 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) (-4428 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) (-1333 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) (-1333 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) (-3200 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) (-3200 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) (-3915 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-568)))) (-1201 (-409 (-568))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-568))))) (-1201 (-1157 (-409 (-568)))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-568) (-763) (-763) (-1157 (-568)))) (|:| AF (-1 (-1157 (-409 (-568))) (-763) (-763) (-1201 (-1157 (-409 (-568)))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-568)) (-763)))) (-634 (-465)))) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-5 *1 (-485)))) (-4326 (*1 *2 *3) (-12 (-4 (-409 (-568)) (-1037 *3)) (-4 (-568) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-5 *1 (-485)))) (-2288 (*1 *2 *3) (-12 (-4 (-409 (-568)) (-1037 *3)) (-4 (-568) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-5 *1 (-485)))) (-4326 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) (-4326 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) (-2288 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) (-2288 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) (-1536 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))))) (-5 *5 (-634 (-1161))) (-5 *6 (-634 (-465))) (-5 *3 (-634 (-409 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) (-1536 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))))) (-5 *5 (-634 (-1161))) (-5 *3 (-634 (-409 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) (-1536 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) (-1536 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485))))) 
-(-10 -7 (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))))) (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-634 (-1161)))) (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-634 (-1161)) (-634 (-465)))) (-15 -2288 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))))) (-15 -2288 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-15 -4326 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))))) (-15 -4326 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (IF (|has| (-409 (-568)) (-1037 (-1161))) (IF (|has| (-568) (-1037 (-1161))) (PROGN (-15 -2288 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) (-1161))) (-15 -4326 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) (-1161)))) |noBranch|) |noBranch|) (-15 -3915 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-568)))) (-1201 (-409 (-568))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-568))))) (-1201 (-1157 (-409 (-568)))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-568) (-763) (-763) (-1157 (-568)))) (|:| AF (-1 (-1157 (-409 (-568))) (-763) (-763) (-1201 (-1157 (-409 (-568)))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-568)) (-763)))) (-634 (-465))))) (-15 -3200 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))))) (-15 -3200 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-15 -1333 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))))) (-15 -1333 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-15 -4428 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))))) (-15 -4428 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-15 -3558 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-15 -3558 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))))) (-15 -3135 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))))) (-15 -3135 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-15 -3592 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-15 -3592 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))))) (-15 -2152 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-15 -2152 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))))) (-15 -3416 ((-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-568)))) (-1201 (-409 (-568))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-568))))) (-1201 (-1157 (-409 (-568)))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-568) (-763) (-763) (-1157 (-568)))) (|:| AF (-1 (-1157 (-409 (-568))) (-763) (-763) (-1201 (-1157 (-409 (-568)))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-568)) (-763)))) (-634 (-465)))) (-15 -3492 ((-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-568)))) (-1201 (-409 (-568))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-568))))) (-1201 (-1157 (-409 (-568)))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-568) (-763) (-763) (-1157 (-568)))) (|:| AF (-1 (-1157 (-409 (-568))) (-763) (-763) (-1201 (-1157 (-409 (-568)))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-568)) (-763)))) (-634 (-465)))) (IF (|has| (-409 (-568)) (-1037 (-1161))) (IF (|has| (-568) (-1037 (-1161))) (PROGN (-15 -3492 ((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-568)))) (-1201 (-409 (-568))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-568))))) (-1201 (-1157 (-409 (-568)))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-568) (-763) (-763) (-1157 (-568)))) (|:| AF (-1 (-1157 (-409 (-568))) (-763) (-763) (-1201 (-1157 (-409 (-568)))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-568)) (-763)))) (-634 (-465))) (-1161))) (-15 -3416 ((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-568)))) (-1201 (-409 (-568))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-568))))) (-1201 (-1157 (-409 (-568)))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-568) (-763) (-763) (-1157 (-568)))) (|:| AF (-1 (-1157 (-409 (-568))) (-763) (-763) (-1201 (-1157 (-409 (-568)))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-568)) (-763)))) (-634 (-465))) (-1161))) (-15 -3135 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) (-1161))) (-15 -3592 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) (-1161))) (-15 -2152 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) (-1161))) (-15 -3200 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))) (-1161)))) |noBranch|) |noBranch|)) 
-((-3492 (((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 |#3|) |#3| (-1161))) (|:| A (-1 |#2| (-763) (-763) (-1157 |#2|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 |#3| (-763) (-1161) |#3|)) (|:| C (-1 (-634 |#2|) (-763)))) (-634 (-465))) (-1161)) 357 (-12 (|has| |#1| (-1037 (-1161))) (|has| |#2| (-1037 (-1161))))) (((-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 |#3|) |#3| (-1161))) (|:| A (-1 |#2| (-763) (-763) (-1157 |#2|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 |#3| (-763) (-1161) |#3|)) (|:| C (-1 (-634 |#2|) (-763)))) (-634 (-465))) 351)) (-3135 (((-1 (-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161)) 477 (-12 (|has| |#1| (-1037 (-1161))) (|has| |#2| (-1037 (-1161))))) (((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) 470) (((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|)) 471)) (-2152 (((-1 (-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161)) 480 (-12 (|has| |#1| (-1037 (-1161))) (|has| |#2| (-1037 (-1161))))) (((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|)) 476) (((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) 475)) (-3558 (((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|)) 467) (((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) 466)) (-3592 (((-1 (-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161)) 479 (-12 (|has| |#1| (-1037 (-1161))) (|has| |#2| (-1037 (-1161))))) (((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|)) 473) (((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) 472)) (-4428 (((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) 463) (((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|)) 464)) (-3915 (((-1 (-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 |#3|) |#3| (-1161))) (|:| A (-1 |#2| (-763) (-763) (-1157 |#2|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 |#3| (-763) (-1161) |#3|)) (|:| C (-1 (-634 |#2|) (-763)))) (-634 (-465)))) 454)) (-2288 (((-1 (-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161)) 192 (-12 (|has| |#1| (-1037 (-1161))) (|has| |#2| (-1037 (-1161))))) (((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) 190) (((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|)) 189)) (-4326 (((-1 (-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161)) 218 (-12 (|has| |#1| (-1037 (-1161))) (|has| |#2| (-1037 (-1161))))) (((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) 207) (((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|)) 206)) (-1333 (((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) 460) (((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|)) 461)) (-3200 (((-1 (-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161)) 469 (-12 (|has| |#1| (-1037 (-1161))) (|has| |#2| (-1037 (-1161))))) (((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) 457) (((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|)) 458)) (-1536 (((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-1 (-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-634 (-1161)) (-634 (-465))) 503) (((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-1 (-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-634 (-1161))) 509) (((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) 508) (((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|)) 507)) (-3416 (((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 |#3|) |#3| (-1161))) (|:| A (-1 |#2| (-763) (-763) (-1157 |#2|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 |#3| (-763) (-1161) |#3|)) (|:| C (-1 (-634 |#2|) (-763)))) (-634 (-465))) (-1161)) 327 (-12 (|has| |#1| (-1037 (-1161))) (|has| |#2| (-1037 (-1161))))) (((-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 |#3|) |#3| (-1161))) (|:| A (-1 |#2| (-763) (-763) (-1157 |#2|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 |#3| (-763) (-1161) |#3|)) (|:| C (-1 (-634 |#2|) (-763)))) (-634 (-465))) 317))) 
-(((-486 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -1536 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -1536 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -1536 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-1 (-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-634 (-1161)))) (-15 -1536 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-1 (-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-634 (-1161)) (-634 (-465)))) (-15 -2288 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -2288 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -4326 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -4326 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (IF (|has| |#1| (-1037 (-1161))) (IF (|has| |#2| (-1037 (-1161))) (PROGN (-15 -2288 ((-1 (-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161))) (-15 -4326 ((-1 (-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161)))) |noBranch|) |noBranch|) (-15 -3915 ((-1 (-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 |#3|) |#3| (-1161))) (|:| A (-1 |#2| (-763) (-763) (-1157 |#2|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 |#3| (-763) (-1161) |#3|)) (|:| C (-1 (-634 |#2|) (-763)))) (-634 (-465))))) (-15 -3200 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -3200 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -1333 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -1333 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -4428 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -4428 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -3558 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -3558 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -3135 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -3135 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -3592 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -3592 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -2152 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -2152 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -3416 ((-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 |#3|) |#3| (-1161))) (|:| A (-1 |#2| (-763) (-763) (-1157 |#2|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 |#3| (-763) (-1161) |#3|)) (|:| C (-1 (-634 |#2|) (-763)))) (-634 (-465)))) (-15 -3492 ((-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 |#3|) |#3| (-1161))) (|:| A (-1 |#2| (-763) (-763) (-1157 |#2|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 |#3| (-763) (-1161) |#3|)) (|:| C (-1 (-634 |#2|) (-763)))) (-634 (-465)))) (IF (|has| |#1| (-1037 (-1161))) (IF (|has| |#2| (-1037 (-1161))) (PROGN (-15 -3492 ((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 |#3|) |#3| (-1161))) (|:| A (-1 |#2| (-763) (-763) (-1157 |#2|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 |#3| (-763) (-1161) |#3|)) (|:| C (-1 (-634 |#2|) (-763)))) (-634 (-465))) (-1161))) (-15 -3416 ((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 |#3|) |#3| (-1161))) (|:| A (-1 |#2| (-763) (-763) (-1157 |#2|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 |#3| (-763) (-1161) |#3|)) (|:| C (-1 (-634 |#2|) (-763)))) (-634 (-465))) (-1161))) (-15 -3135 ((-1 (-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161))) (-15 -3592 ((-1 (-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161))) (-15 -2152 ((-1 (-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161))) (-15 -3200 ((-1 (-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161)))) |noBranch|) |noBranch|)) (-365) (-453) (-13 (-432 (-568)) (-558) (-1037 |#4|) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $)))) (-13 (-842) (-558)) (-1 |#1| |#4|) (-1 |#3| |#1|)) (T -486)) 
-((-3200 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1037 *3)) (-4 *5 (-1037 *3)) (-4 *4 (-365)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 *3) (-1037 (-568)) (-161) (-895 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-2152 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1037 *3)) (-4 *5 (-1037 *3)) (-4 *4 (-365)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 *3) (-1037 (-568)) (-161) (-895 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3592 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1037 *3)) (-4 *5 (-1037 *3)) (-4 *4 (-365)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 *3) (-1037 (-568)) (-161) (-895 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3135 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1037 *3)) (-4 *5 (-1037 *3)) (-4 *4 (-365)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 *3) (-1037 (-568)) (-161) (-895 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3416 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 *4)) (-1201 *4))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 *4))) (-1201 (-1157 *4)))) (|:| |exprStream| (-1 (-1141 *6) *6 *3)) (|:| A (-1 *5 (-763) (-763) (-1157 *5))) (|:| AF (-1 (-1157 *4) (-763) (-763) (-1201 (-1157 *4)))) (|:| AX (-1 *6 (-763) *3 *6)) (|:| C (-1 (-634 *5) (-763)))) (-634 (-465)))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1037 *3)) (-4 *5 (-1037 *3)) (-4 *4 (-365)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 *3) (-1037 (-568)) (-161) (-895 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3492 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 *4)) (-1201 *4))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 *4))) (-1201 (-1157 *4)))) (|:| |exprStream| (-1 (-1141 *6) *6 *3)) (|:| A (-1 *5 (-763) (-763) (-1157 *5))) (|:| AF (-1 (-1157 *4) (-763) (-763) (-1201 (-1157 *4)))) (|:| AX (-1 *6 (-763) *3 *6)) (|:| C (-1 (-634 *5) (-763)))) (-634 (-465)))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1037 *3)) (-4 *5 (-1037 *3)) (-4 *4 (-365)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 *3) (-1037 (-568)) (-161) (-895 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3492 (*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1141 (-1201 *4)) (-1201 *4))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 *4))) (-1201 (-1157 *4)))) (|:| |exprStream| (-1 (-1141 *6) *6 (-1161))) (|:| A (-1 *5 (-763) (-763) (-1157 *5))) (|:| AF (-1 (-1157 *4) (-763) (-763) (-1201 (-1157 *4)))) (|:| AX (-1 *6 (-763) (-1161) *6)) (|:| C (-1 (-634 *5) (-763))))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *4 (-365)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3416 (*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1141 (-1201 *4)) (-1201 *4))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 *4))) (-1201 (-1157 *4)))) (|:| |exprStream| (-1 (-1141 *6) *6 (-1161))) (|:| A (-1 *5 (-763) (-763) (-1157 *5))) (|:| AF (-1 (-1157 *4) (-763) (-763) (-1201 (-1157 *4)))) (|:| AX (-1 *6 (-763) (-1161) *6)) (|:| C (-1 (-634 *5) (-763))))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *4 (-365)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-2152 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-365)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763))))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) (-2152 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-365)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-842) (-558))) (-14 *9 (-1 *5 *8)) (-5 *2 (-634 (-2 (|:| -1866 *7) (|:| -1844 (-763))))) (-5 *1 (-486 *5 *6 *7 *8 *9 *10)) (-4 *6 (-453)) (-4 *7 (-13 (-432 (-568)) (-558) (-1037 *8) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) (-3592 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-365)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763))))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) (-3592 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-365)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-842) (-558))) (-14 *9 (-1 *5 *8)) (-5 *2 (-634 (-2 (|:| -1866 *7) (|:| -1844 (-763))))) (-5 *1 (-486 *5 *6 *7 *8 *9 *10)) (-4 *6 (-453)) (-4 *7 (-13 (-432 (-568)) (-558) (-1037 *8) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) (-3135 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-365)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-842) (-558))) (-14 *9 (-1 *5 *8)) (-5 *2 (-634 (-2 (|:| -1866 *7) (|:| -1844 (-763))))) (-5 *1 (-486 *5 *6 *7 *8 *9 *10)) (-4 *6 (-453)) (-4 *7 (-13 (-432 (-568)) (-558) (-1037 *8) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) (-3135 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-365)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763))))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) (-3558 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-365)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763))))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) (-3558 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-365)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-842) (-558))) (-14 *9 (-1 *5 *8)) (-5 *2 (-634 (-2 (|:| -1866 *7) (|:| -1844 (-763))))) (-5 *1 (-486 *5 *6 *7 *8 *9 *10)) (-4 *6 (-453)) (-4 *7 (-13 (-432 (-568)) (-558) (-1037 *8) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) (-4428 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-365)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-842) (-558))) (-14 *9 (-1 *5 *8)) (-5 *2 (-634 (-2 (|:| -1866 *7) (|:| -1844 (-763))))) (-5 *1 (-486 *5 *6 *7 *8 *9 *10)) (-4 *6 (-453)) (-4 *7 (-13 (-432 (-568)) (-558) (-1037 *8) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) (-4428 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-365)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763))))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) (-1333 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-365)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-842) (-558))) (-14 *9 (-1 *5 *8)) (-5 *2 (-634 (-2 (|:| -1866 *7) (|:| -1844 (-763))))) (-5 *1 (-486 *5 *6 *7 *8 *9 *10)) (-4 *6 (-453)) (-4 *7 (-13 (-432 (-568)) (-558) (-1037 *8) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) (-1333 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-365)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763))))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) (-3200 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-365)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-842) (-558))) (-14 *9 (-1 *5 *8)) (-5 *2 (-634 (-2 (|:| -1866 *7) (|:| -1844 (-763))))) (-5 *1 (-486 *5 *6 *7 *8 *9 *10)) (-4 *6 (-453)) (-4 *7 (-13 (-432 (-568)) (-558) (-1037 *8) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) (-3200 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-365)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763))))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) (-3915 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 *4)) (-1201 *4))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 *4))) (-1201 (-1157 *4)))) (|:| |exprStream| (-1 (-1141 *6) *6 (-1161))) (|:| A (-1 *5 (-763) (-763) (-1157 *5))) (|:| AF (-1 (-1157 *4) (-763) (-763) (-1201 (-1157 *4)))) (|:| AX (-1 *6 (-763) (-1161) *6)) (|:| C (-1 (-634 *5) (-763)))) (-634 (-465)))) (-4 *4 (-365)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-14 *9 (-1 *6 *4)) (-5 *2 (-1 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)))) (-4326 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1037 *3)) (-4 *5 (-1037 *3)) (-4 *4 (-365)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 *3) (-1037 (-568)) (-161) (-895 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-2288 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1037 *3)) (-4 *5 (-1037 *3)) (-4 *4 (-365)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 *3) (-1037 (-568)) (-161) (-895 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-4326 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-365)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-842) (-558))) (-14 *9 (-1 *5 *8)) (-5 *2 (-634 (-2 (|:| -1866 *7) (|:| -1844 (-763))))) (-5 *1 (-486 *5 *6 *7 *8 *9 *10)) (-4 *6 (-453)) (-4 *7 (-13 (-432 (-568)) (-558) (-1037 *8) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) (-4326 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-365)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763))))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) (-2288 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-365)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-842) (-558))) (-14 *9 (-1 *5 *8)) (-5 *2 (-634 (-2 (|:| -1866 *7) (|:| -1844 (-763))))) (-5 *1 (-486 *5 *6 *7 *8 *9 *10)) (-4 *6 (-453)) (-4 *7 (-13 (-432 (-568)) (-558) (-1037 *8) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) (-2288 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-365)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763))))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) (-1536 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-634 (-1 (-634 (-2 (|:| -1866 *9) (|:| -1844 (-763)))) (-634 *7) (-634 (-465))))) (-5 *5 (-634 (-1161))) (-5 *6 (-634 (-465))) (-5 *3 (-634 *7)) (-4 *7 (-365)) (-14 *12 (-1 *9 *7)) (-4 *10 (-13 (-842) (-558))) (-14 *11 (-1 *7 *10)) (-5 *2 (-634 (-2 (|:| -1866 *9) (|:| -1844 (-763))))) (-5 *1 (-486 *7 *8 *9 *10 *11 *12)) (-4 *8 (-453)) (-4 *9 (-13 (-432 (-568)) (-558) (-1037 *10) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) (-1536 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-634 (-1 (-634 (-2 (|:| -1866 *8) (|:| -1844 (-763)))) (-634 *6) (-634 (-465))))) (-5 *5 (-634 (-1161))) (-5 *3 (-634 *6)) (-4 *6 (-365)) (-14 *11 (-1 *8 *6)) (-4 *9 (-13 (-842) (-558))) (-14 *10 (-1 *6 *9)) (-5 *2 (-634 (-2 (|:| -1866 *8) (|:| -1844 (-763))))) (-5 *1 (-486 *6 *7 *8 *9 *10 *11)) (-4 *7 (-453)) (-4 *8 (-13 (-432 (-568)) (-558) (-1037 *9) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) (-1536 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-365)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-842) (-558))) (-14 *9 (-1 *5 *8)) (-5 *2 (-634 (-2 (|:| -1866 *7) (|:| -1844 (-763))))) (-5 *1 (-486 *5 *6 *7 *8 *9 *10)) (-4 *6 (-453)) (-4 *7 (-13 (-432 (-568)) (-558) (-1037 *8) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) (-1536 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-365)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763))))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $)))))))) 
-(-10 -7 (-15 -1536 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -1536 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -1536 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-1 (-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-634 (-1161)))) (-15 -1536 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-1 (-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-634 (-1161)) (-634 (-465)))) (-15 -2288 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -2288 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -4326 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -4326 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (IF (|has| |#1| (-1037 (-1161))) (IF (|has| |#2| (-1037 (-1161))) (PROGN (-15 -2288 ((-1 (-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161))) (-15 -4326 ((-1 (-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161)))) |noBranch|) |noBranch|) (-15 -3915 ((-1 (-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 |#3|) |#3| (-1161))) (|:| A (-1 |#2| (-763) (-763) (-1157 |#2|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 |#3| (-763) (-1161) |#3|)) (|:| C (-1 (-634 |#2|) (-763)))) (-634 (-465))))) (-15 -3200 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -3200 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -1333 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -1333 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -4428 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -4428 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -3558 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -3558 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -3135 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -3135 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -3592 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -3592 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -2152 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465)))) (-15 -2152 ((-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|))) (-15 -3416 ((-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 |#3|) |#3| (-1161))) (|:| A (-1 |#2| (-763) (-763) (-1157 |#2|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 |#3| (-763) (-1161) |#3|)) (|:| C (-1 (-634 |#2|) (-763)))) (-634 (-465)))) (-15 -3492 ((-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 |#3|) |#3| (-1161))) (|:| A (-1 |#2| (-763) (-763) (-1157 |#2|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 |#3| (-763) (-1161) |#3|)) (|:| C (-1 (-634 |#2|) (-763)))) (-634 (-465)))) (IF (|has| |#1| (-1037 (-1161))) (IF (|has| |#2| (-1037 (-1161))) (PROGN (-15 -3492 ((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 |#3|) |#3| (-1161))) (|:| A (-1 |#2| (-763) (-763) (-1157 |#2|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 |#3| (-763) (-1161) |#3|)) (|:| C (-1 (-634 |#2|) (-763)))) (-634 (-465))) (-1161))) (-15 -3416 ((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 |#1|)) (-1201 |#1|))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 |#1|))) (-1201 (-1157 |#1|)))) (|:| |exprStream| (-1 (-1141 |#3|) |#3| (-1161))) (|:| A (-1 |#2| (-763) (-763) (-1157 |#2|))) (|:| AF (-1 (-1157 |#1|) (-763) (-763) (-1201 (-1157 |#1|)))) (|:| AX (-1 |#3| (-763) (-1161) |#3|)) (|:| C (-1 (-634 |#2|) (-763)))) (-634 (-465))) (-1161))) (-15 -3135 ((-1 (-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161))) (-15 -3592 ((-1 (-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161))) (-15 -2152 ((-1 (-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161))) (-15 -3200 ((-1 (-634 (-2 (|:| -1866 |#3|) (|:| -1844 (-763)))) (-634 |#1|) (-634 (-465))) (-1161)))) |noBranch|) |noBranch|)) 
-((-3492 (((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-953 (-568))))) (-1201 (-409 (-953 (-568)))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-953 (-568)))))) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-953 (-568)) (-763) (-763) (-1157 (-953 (-568))))) (|:| AF (-1 (-1157 (-409 (-953 (-568)))) (-763) (-763) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-953 (-568))) (-763)))) (-634 (-465))) (-1161)) NIL (-12 (|has| (-409 (-953 (-568))) (-1037 (-1161))) (|has| (-953 (-568)) (-1037 (-1161))))) (((-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-953 (-568))))) (-1201 (-409 (-953 (-568)))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-953 (-568)))))) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-953 (-568)) (-763) (-763) (-1157 (-953 (-568))))) (|:| AF (-1 (-1157 (-409 (-953 (-568)))) (-763) (-763) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-953 (-568))) (-763)))) (-634 (-465))) NIL)) (-3135 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) (-1161)) NIL (-12 (|has| (-409 (-953 (-568))) (-1037 (-1161))) (|has| (-953 (-568)) (-1037 (-1161))))) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568))))) NIL)) (-2152 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) (-1161)) NIL (-12 (|has| (-409 (-953 (-568))) (-1037 (-1161))) (|has| (-953 (-568)) (-1037 (-1161))))) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568))))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) NIL)) (-3558 (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568))))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) NIL)) (-3592 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) (-1161)) NIL (-12 (|has| (-409 (-953 (-568))) (-1037 (-1161))) (|has| (-953 (-568)) (-1037 (-1161))))) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568))))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) NIL)) (-4428 (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568))))) NIL)) (-3915 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-953 (-568))))) (-1201 (-409 (-953 (-568)))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-953 (-568)))))) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-953 (-568)) (-763) (-763) (-1157 (-953 (-568))))) (|:| AF (-1 (-1157 (-409 (-953 (-568)))) (-763) (-763) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-953 (-568))) (-763)))) (-634 (-465)))) NIL)) (-2288 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) (-1161)) NIL (-12 (|has| (-409 (-953 (-568))) (-1037 (-1161))) (|has| (-953 (-568)) (-1037 (-1161))))) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568))))) NIL)) (-4326 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) (-1161)) NIL (-12 (|has| (-409 (-953 (-568))) (-1037 (-1161))) (|has| (-953 (-568)) (-1037 (-1161))))) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568))))) NIL)) (-1333 (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568))))) NIL)) (-3200 (((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) (-1161)) NIL (-12 (|has| (-409 (-953 (-568))) (-1037 (-1161))) (|has| (-953 (-568)) (-1037 (-1161))))) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568))))) NIL)) (-1536 (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-634 (-1161)) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-634 (-1161))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568))))) NIL)) (-3416 (((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-953 (-568))))) (-1201 (-409 (-953 (-568)))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-953 (-568)))))) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-953 (-568)) (-763) (-763) (-1157 (-953 (-568))))) (|:| AF (-1 (-1157 (-409 (-953 (-568)))) (-763) (-763) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-953 (-568))) (-763)))) (-634 (-465))) (-1161)) NIL (-12 (|has| (-409 (-953 (-568))) (-1037 (-1161))) (|has| (-953 (-568)) (-1037 (-1161))))) (((-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-953 (-568))))) (-1201 (-409 (-953 (-568)))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-953 (-568)))))) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-953 (-568)) (-763) (-763) (-1157 (-953 (-568))))) (|:| AF (-1 (-1157 (-409 (-953 (-568)))) (-763) (-763) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-953 (-568))) (-763)))) (-634 (-465))) NIL))) 
-(((-487) (-10 -7 (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))))) (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-634 (-1161)))) (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-634 (-1161)) (-634 (-465)))) (-15 -2288 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))))) (-15 -2288 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-15 -4326 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))))) (-15 -4326 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (IF (|has| (-409 (-953 (-568))) (-1037 (-1161))) (IF (|has| (-953 (-568)) (-1037 (-1161))) (PROGN (-15 -2288 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) (-1161))) (-15 -4326 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) (-1161)))) |noBranch|) |noBranch|) (-15 -3915 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-953 (-568))))) (-1201 (-409 (-953 (-568)))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-953 (-568)))))) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-953 (-568)) (-763) (-763) (-1157 (-953 (-568))))) (|:| AF (-1 (-1157 (-409 (-953 (-568)))) (-763) (-763) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-953 (-568))) (-763)))) (-634 (-465))))) (-15 -3200 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))))) (-15 -3200 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-15 -1333 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))))) (-15 -1333 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-15 -4428 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))))) (-15 -4428 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-15 -3558 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-15 -3558 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))))) (-15 -3135 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))))) (-15 -3135 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-15 -3592 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-15 -3592 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))))) (-15 -2152 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-15 -2152 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))))) (-15 -3416 ((-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-953 (-568))))) (-1201 (-409 (-953 (-568)))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-953 (-568)))))) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-953 (-568)) (-763) (-763) (-1157 (-953 (-568))))) (|:| AF (-1 (-1157 (-409 (-953 (-568)))) (-763) (-763) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-953 (-568))) (-763)))) (-634 (-465)))) (-15 -3492 ((-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-953 (-568))))) (-1201 (-409 (-953 (-568)))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-953 (-568)))))) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-953 (-568)) (-763) (-763) (-1157 (-953 (-568))))) (|:| AF (-1 (-1157 (-409 (-953 (-568)))) (-763) (-763) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-953 (-568))) (-763)))) (-634 (-465)))) (IF (|has| (-409 (-953 (-568))) (-1037 (-1161))) (IF (|has| (-953 (-568)) (-1037 (-1161))) (PROGN (-15 -3492 ((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-953 (-568))))) (-1201 (-409 (-953 (-568)))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-953 (-568)))))) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-953 (-568)) (-763) (-763) (-1157 (-953 (-568))))) (|:| AF (-1 (-1157 (-409 (-953 (-568)))) (-763) (-763) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-953 (-568))) (-763)))) (-634 (-465))) (-1161))) (-15 -3416 ((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-953 (-568))))) (-1201 (-409 (-953 (-568)))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-953 (-568)))))) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-953 (-568)) (-763) (-763) (-1157 (-953 (-568))))) (|:| AF (-1 (-1157 (-409 (-953 (-568)))) (-763) (-763) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-953 (-568))) (-763)))) (-634 (-465))) (-1161))) (-15 -3135 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) (-1161))) (-15 -3592 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) (-1161))) (-15 -2152 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) (-1161))) (-15 -3200 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) (-1161)))) |noBranch|) |noBranch|))) (T -487)) 
-((-3200 (*1 *2 *3) (-12 (-4 (-409 (-953 (-568))) (-1037 *3)) (-4 (-953 (-568)) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-5 *1 (-487)))) (-2152 (*1 *2 *3) (-12 (-4 (-409 (-953 (-568))) (-1037 *3)) (-4 (-953 (-568)) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-5 *1 (-487)))) (-3592 (*1 *2 *3) (-12 (-4 (-409 (-953 (-568))) (-1037 *3)) (-4 (-953 (-568)) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-5 *1 (-487)))) (-3135 (*1 *2 *3) (-12 (-4 (-409 (-953 (-568))) (-1037 *3)) (-4 (-953 (-568)) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-5 *1 (-487)))) (-3416 (*1 *2 *3) (-12 (-4 (-409 (-953 (-568))) (-1037 *3)) (-4 (-953 (-568)) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-953 (-568))))) (-1201 (-409 (-953 (-568)))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-953 (-568)))))) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) *3)) (|:| A (-1 (-953 (-568)) (-763) (-763) (-1157 (-953 (-568))))) (|:| AF (-1 (-1157 (-409 (-953 (-568)))) (-763) (-763) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| AX (-1 (-310 (-568)) (-763) *3 (-310 (-568)))) (|:| C (-1 (-634 (-953 (-568))) (-763)))) (-634 (-465)))) (-5 *1 (-487)))) (-3492 (*1 *2 *3) (-12 (-4 (-409 (-953 (-568))) (-1037 *3)) (-4 (-953 (-568)) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-953 (-568))))) (-1201 (-409 (-953 (-568)))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-953 (-568)))))) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) *3)) (|:| A (-1 (-953 (-568)) (-763) (-763) (-1157 (-953 (-568))))) (|:| AF (-1 (-1157 (-409 (-953 (-568)))) (-763) (-763) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| AX (-1 (-310 (-568)) (-763) *3 (-310 (-568)))) (|:| C (-1 (-634 (-953 (-568))) (-763)))) (-634 (-465)))) (-5 *1 (-487)))) (-3492 (*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-953 (-568))))) (-1201 (-409 (-953 (-568)))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-953 (-568)))))) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-953 (-568)) (-763) (-763) (-1157 (-953 (-568))))) (|:| AF (-1 (-1157 (-409 (-953 (-568)))) (-763) (-763) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-953 (-568))) (-763))))) (-5 *1 (-487)))) (-3416 (*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-953 (-568))))) (-1201 (-409 (-953 (-568)))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-953 (-568)))))) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-953 (-568)) (-763) (-763) (-1157 (-953 (-568))))) (|:| AF (-1 (-1157 (-409 (-953 (-568)))) (-763) (-763) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-953 (-568))) (-763))))) (-5 *1 (-487)))) (-2152 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) (-2152 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) (-3592 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) (-3592 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) (-3135 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) (-3135 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) (-3558 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) (-3558 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) (-4428 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) (-4428 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) (-1333 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) (-1333 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) (-3200 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) (-3200 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) (-3915 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-953 (-568))))) (-1201 (-409 (-953 (-568)))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-953 (-568)))))) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-953 (-568)) (-763) (-763) (-1157 (-953 (-568))))) (|:| AF (-1 (-1157 (-409 (-953 (-568)))) (-763) (-763) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-953 (-568))) (-763)))) (-634 (-465)))) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-5 *1 (-487)))) (-4326 (*1 *2 *3) (-12 (-4 (-409 (-953 (-568))) (-1037 *3)) (-4 (-953 (-568)) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-5 *1 (-487)))) (-2288 (*1 *2 *3) (-12 (-4 (-409 (-953 (-568))) (-1037 *3)) (-4 (-953 (-568)) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-5 *1 (-487)))) (-4326 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) (-4326 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) (-2288 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) (-2288 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) (-1536 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))))) (-5 *5 (-634 (-1161))) (-5 *6 (-634 (-465))) (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) (-1536 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))))) (-5 *5 (-634 (-1161))) (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) (-1536 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) (-1536 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487))))) 
-(-10 -7 (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))))) (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-634 (-1161)))) (-15 -1536 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-634 (-1161)) (-634 (-465)))) (-15 -2288 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))))) (-15 -2288 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-15 -4326 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))))) (-15 -4326 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (IF (|has| (-409 (-953 (-568))) (-1037 (-1161))) (IF (|has| (-953 (-568)) (-1037 (-1161))) (PROGN (-15 -2288 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) (-1161))) (-15 -4326 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) (-1161)))) |noBranch|) |noBranch|) (-15 -3915 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-953 (-568))))) (-1201 (-409 (-953 (-568)))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-953 (-568)))))) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-953 (-568)) (-763) (-763) (-1157 (-953 (-568))))) (|:| AF (-1 (-1157 (-409 (-953 (-568)))) (-763) (-763) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-953 (-568))) (-763)))) (-634 (-465))))) (-15 -3200 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))))) (-15 -3200 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-15 -1333 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))))) (-15 -1333 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-15 -4428 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))))) (-15 -4428 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-15 -3558 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-15 -3558 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))))) (-15 -3135 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))))) (-15 -3135 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-15 -3592 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-15 -3592 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))))) (-15 -2152 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-15 -2152 ((-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))))) (-15 -3416 ((-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-953 (-568))))) (-1201 (-409 (-953 (-568)))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-953 (-568)))))) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-953 (-568)) (-763) (-763) (-1157 (-953 (-568))))) (|:| AF (-1 (-1157 (-409 (-953 (-568)))) (-763) (-763) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-953 (-568))) (-763)))) (-634 (-465)))) (-15 -3492 ((-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-953 (-568))))) (-1201 (-409 (-953 (-568)))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-953 (-568)))))) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-953 (-568)) (-763) (-763) (-1157 (-953 (-568))))) (|:| AF (-1 (-1157 (-409 (-953 (-568)))) (-763) (-763) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-953 (-568))) (-763)))) (-634 (-465)))) (IF (|has| (-409 (-953 (-568))) (-1037 (-1161))) (IF (|has| (-953 (-568)) (-1037 (-1161))) (PROGN (-15 -3492 ((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-953 (-568))))) (-1201 (-409 (-953 (-568)))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-953 (-568)))))) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-953 (-568)) (-763) (-763) (-1157 (-953 (-568))))) (|:| AF (-1 (-1157 (-409 (-953 (-568)))) (-763) (-763) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-953 (-568))) (-763)))) (-634 (-465))) (-1161))) (-15 -3416 ((-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-953 (-568))))) (-1201 (-409 (-953 (-568)))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-953 (-568)))))) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-953 (-568)) (-763) (-763) (-1157 (-953 (-568))))) (|:| AF (-1 (-1157 (-409 (-953 (-568)))) (-763) (-763) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-953 (-568))) (-763)))) (-634 (-465))) (-1161))) (-15 -3135 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) (-1161))) (-15 -3592 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) (-1161))) (-15 -2152 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) (-1161))) (-15 -3200 ((-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))) (-1161)))) |noBranch|) |noBranch|)) 
-((-3492 (((-1 HPSPEC (-634 (-465))) (-1161)) NIL) ((HPSPEC (-634 (-465))) NIL)) (-3135 (((-1 (-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) (-1161)) NIL) (((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568))))) NIL)) (-2152 (((-1 (-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) (-1161)) NIL) (((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568))))) NIL) (((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) NIL)) (-3558 (((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568))))) NIL) (((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) NIL)) (-3592 (((-1 (-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) (-1161)) NIL) (((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568))))) NIL) (((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) NIL)) (-4428 (((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568))))) NIL)) (-3915 (((-1 (-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) (-1 HPSPEC (-634 (-465)))) NIL)) (-2288 (((-1 (-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) (-1161)) NIL) (((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568))))) NIL)) (-4326 (((-1 (-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) (-1161)) NIL) (((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568))))) NIL)) (-1333 (((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568))))) NIL)) (-3200 (((-1 (-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) (-1161)) NIL) (((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568))))) NIL)) (-1536 (((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-1 (-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465)))) (-634 (-1161)) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-1 (-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465)))) (-634 (-1161))) NIL) (((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) NIL) (((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568))))) NIL)) (-3416 (((-1 HPSPEC (-634 (-465))) (-1161)) NIL) ((HPSPEC (-634 (-465))) NIL))) 
-(((-488 |#1|) (-10 -7 (-15 -1536 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))))) (-15 -1536 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465)))) (-15 -1536 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-1 (-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465)))) (-634 (-1161)))) (-15 -1536 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-1 (-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465)))) (-634 (-1161)) (-634 (-465)))) (-15 -2288 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))))) (-15 -2288 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465)))) (-15 -4326 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))))) (-15 -4326 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465)))) (-15 -2288 ((-1 (-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) (-1161))) (-15 -4326 ((-1 (-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) (-1161))) (-15 -3915 ((-1 (-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) (-1 HPSPEC (-634 (-465))))) (-15 -3200 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))))) (-15 -3200 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465)))) (-15 -1333 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))))) (-15 -1333 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465)))) (-15 -4428 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))))) (-15 -4428 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465)))) (-15 -3558 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465)))) (-15 -3558 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))))) (-15 -3135 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))))) (-15 -3135 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465)))) (-15 -3592 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465)))) (-15 -3592 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))))) (-15 -2152 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465)))) (-15 -2152 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))))) (-15 -3416 (HPSPEC (-634 (-465)))) (-15 -3492 (HPSPEC (-634 (-465)))) (-15 -3492 ((-1 HPSPEC (-634 (-465))) (-1161))) (-15 -3416 ((-1 HPSPEC (-634 (-465))) (-1161))) (-15 -3135 ((-1 (-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) (-1161))) (-15 -3592 ((-1 (-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) (-1161))) (-15 -2152 ((-1 (-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) (-1161))) (-15 -3200 ((-1 (-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) (-1161)))) (-1161)) (T -488)) 
-((-3200 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 *4 (-568)))) (-634 (-465)))) (-5 *1 (-488 *4)) (-14 *4 *3))) (-2152 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 *4 (-568)))) (-634 (-465)))) (-5 *1 (-488 *4)) (-14 *4 *3))) (-3592 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 *4 (-568)))) (-634 (-465)))) (-5 *1 (-488 *4)) (-14 *4 *3))) (-3135 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 *4 (-568)))) (-634 (-465)))) (-5 *1 (-488 *4)) (-14 *4 *3))) (-3416 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 HPSPEC (-634 (-465)))) (-5 *1 (-488 *4)) (-14 *4 *3))) (-3492 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 HPSPEC (-634 (-465)))) (-5 *1 (-488 *4)) (-14 *4 *3))) (-3492 (*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 HPSPEC) (-5 *1 (-488 *4)) (-14 *4 (-1161)))) (-3416 (*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 HPSPEC) (-5 *1 (-488 *4)) (-14 *4 (-1161)))) (-2152 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-734 *4 (-568))))) (-14 *4 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *4)))) (-2152 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-734 *5 (-568))))) (-5 *4 (-634 (-465))) (-14 *5 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *5 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *5)))) (-3592 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-734 *4 (-568))))) (-14 *4 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *4)))) (-3592 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-734 *5 (-568))))) (-5 *4 (-634 (-465))) (-14 *5 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *5 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *5)))) (-3135 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-734 *5 (-568))))) (-5 *4 (-634 (-465))) (-14 *5 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *5 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *5)))) (-3135 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-734 *4 (-568))))) (-14 *4 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *4)))) (-3558 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-734 *4 (-568))))) (-14 *4 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *4)))) (-3558 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-734 *5 (-568))))) (-5 *4 (-634 (-465))) (-14 *5 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *5 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *5)))) (-4428 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-734 *5 (-568))))) (-5 *4 (-634 (-465))) (-14 *5 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *5 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *5)))) (-4428 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-734 *4 (-568))))) (-14 *4 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *4)))) (-1333 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-734 *5 (-568))))) (-5 *4 (-634 (-465))) (-14 *5 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *5 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *5)))) (-1333 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-734 *4 (-568))))) (-14 *4 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *4)))) (-3200 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-734 *5 (-568))))) (-5 *4 (-634 (-465))) (-14 *5 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *5 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *5)))) (-3200 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-734 *4 (-568))))) (-14 *4 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *4)))) (-3915 (*1 *2 *3) (-12 (-5 *3 (-1 HPSPEC (-634 (-465)))) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 *4 (-568)))) (-634 (-465)))) (-5 *1 (-488 *4)) (-14 *4 (-1161)))) (-4326 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 *4 (-568)))) (-634 (-465)))) (-5 *1 (-488 *4)) (-14 *4 *3))) (-2288 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 *4 (-568)))) (-634 (-465)))) (-5 *1 (-488 *4)) (-14 *4 *3))) (-4326 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-734 *5 (-568))))) (-5 *4 (-634 (-465))) (-14 *5 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *5 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *5)))) (-4326 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-734 *4 (-568))))) (-14 *4 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *4)))) (-2288 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-734 *5 (-568))))) (-5 *4 (-634 (-465))) (-14 *5 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *5 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *5)))) (-2288 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-734 *4 (-568))))) (-14 *4 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *4)))) (-1536 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-634 (-1 (-634 (-2 (|:| -1866 (-733 *7 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 *7 (-568)))) (-634 (-465))))) (-5 *5 (-634 (-1161))) (-5 *6 (-634 (-465))) (-5 *3 (-634 (-409 (-734 *7 (-568))))) (-14 *7 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *7 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *7)))) (-1536 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-634 (-1 (-634 (-2 (|:| -1866 (-733 *6 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 *6 (-568)))) (-634 (-465))))) (-5 *5 (-634 (-1161))) (-5 *3 (-634 (-409 (-734 *6 (-568))))) (-14 *6 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *6 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *6)))) (-1536 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-734 *5 (-568))))) (-5 *4 (-634 (-465))) (-14 *5 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *5 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *5)))) (-1536 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-734 *4 (-568))))) (-14 *4 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *4))))) 
-(-10 -7 (-15 -1536 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))))) (-15 -1536 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465)))) (-15 -1536 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-1 (-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465)))) (-634 (-1161)))) (-15 -1536 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-1 (-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465)))) (-634 (-1161)) (-634 (-465)))) (-15 -2288 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))))) (-15 -2288 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465)))) (-15 -4326 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))))) (-15 -4326 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465)))) (-15 -2288 ((-1 (-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) (-1161))) (-15 -4326 ((-1 (-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) (-1161))) (-15 -3915 ((-1 (-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) (-1 HPSPEC (-634 (-465))))) (-15 -3200 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))))) (-15 -3200 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465)))) (-15 -1333 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))))) (-15 -1333 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465)))) (-15 -4428 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))))) (-15 -4428 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465)))) (-15 -3558 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465)))) (-15 -3558 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))))) (-15 -3135 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))))) (-15 -3135 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465)))) (-15 -3592 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465)))) (-15 -3592 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))))) (-15 -2152 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465)))) (-15 -2152 ((-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))))) (-15 -3416 (HPSPEC (-634 (-465)))) (-15 -3492 (HPSPEC (-634 (-465)))) (-15 -3492 ((-1 HPSPEC (-634 (-465))) (-1161))) (-15 -3416 ((-1 HPSPEC (-634 (-465))) (-1161))) (-15 -3135 ((-1 (-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) (-1161))) (-15 -3592 ((-1 (-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) (-1161))) (-15 -2152 ((-1 (-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) (-1161))) (-15 -3200 ((-1 (-634 (-2 (|:| -1866 (-733 |#1| (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 |#1| (-568)))) (-634 (-465))) (-1161)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2589 (((-121) $ $) NIL)) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-568) "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL)) (-2857 (((-568) $) NIL) (((-409 (-568)) $) NIL)) (-2403 (($ $ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-2197 (((-121) $) NIL)) (-1899 (($) 18)) (-1598 (((-121) $) NIL)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL)) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-3850 (((-420 $) $) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-4280 (((-381) $) 22) (((-215) $) 25) (((-409 (-1157 (-568))) $) 19) (((-541) $) 52)) (-2747 (((-850) $) 50) (($ (-568)) NIL) (($ $) NIL) (($ (-409 (-568))) NIL) (((-215) $) 24) (((-381) $) 21)) (-3425 (((-763)) NIL)) (-2273 (((-121) $ $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) 36 T CONST)) (-1557 (($) 11 T CONST)) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ $) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL))) 
-(((-489) (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))) (-1021) (-608 (-215)) (-608 (-381)) (-609 (-409 (-1157 (-568)))) (-609 (-541)) (-10 -8 (-15 -1899 ($))))) (T -489)) 
-((-1899 (*1 *1) (-5 *1 (-489)))) 
-(-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))) (-1021) (-608 (-215)) (-608 (-381)) (-609 (-409 (-1157 (-568)))) (-609 (-541)) (-10 -8 (-15 -1899 ($)))) 
-((-2449 (((-121) $ $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-2988 (($) NIL) (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-2481 (((-1249) $ |#1| |#1|) NIL (|has| $ (-6 -4522)))) (-1667 (((-121) $ (-763)) NIL)) (-2438 ((|#2| $ |#1| |#2|) 16)) (-3963 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-2803 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-2678 (((-3 |#2| "failed") |#1| $) 20)) (-4490 (($) NIL T CONST)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))))) (-1568 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (|has| $ (-6 -4521))) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-3 |#2| "failed") |#1| $) 18)) (-4330 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-3094 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (|has| $ (-6 -4521))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-1292 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4522)))) (-2069 ((|#2| $ |#1|) NIL)) (-3317 (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-634 |#2|) $) NIL (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) NIL)) (-2539 ((|#1| $) NIL (|has| |#1| (-842)))) (-4406 (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-634 |#2|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-3631 ((|#1| $) NIL (|has| |#1| (-842)))) (-2253 (($ (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4522))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-4253 (((-634 |#1|) $) 13)) (-2807 (((-121) |#1| $) NIL)) (-2580 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL)) (-1708 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL)) (-3948 (((-634 |#1|) $) NIL)) (-2916 (((-121) |#1| $) NIL)) (-4025 (((-1108) $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-3877 ((|#2| $) NIL (|has| |#1| (-842)))) (-2712 (((-3 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) "failed") (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL)) (-2490 (($ $ |#2|) NIL (|has| $ (-6 -4522)))) (-3403 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL)) (-3951 (((-121) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-288 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-634 |#2|) (-634 |#2|)) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-288 |#2|)) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-634 (-288 |#2|))) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-1480 (((-634 |#2|) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) 19)) (-2781 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-3132 (($) NIL) (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-4170 (((-763) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-763) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (((-763) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090)))) (((-763) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) NIL (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-609 (-541))))) (-4289 (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-2747 (((-850) $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-4074 (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-3437 (((-121) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 11 (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-1699 (((-763) $) 15 (|has| $ (-6 -4521))))) 
-(((-490 |#1| |#2| |#3|) (-13 (-1172 |#1| |#2|) (-10 -7 (-6 -4521))) (-1090) (-1090) (-1143)) (T -490)) 
-NIL 
-(-13 (-1172 |#1| |#2|) (-10 -7 (-6 -4521))) 
-((-2542 (((-568) (-568) (-568)) 7)) (-1423 (((-121) (-568) (-568) (-568) (-568)) 11)) (-2783 (((-1244 (-634 (-568))) (-763) (-763)) 22))) 
-(((-491) (-10 -7 (-15 -2542 ((-568) (-568) (-568))) (-15 -1423 ((-121) (-568) (-568) (-568) (-568))) (-15 -2783 ((-1244 (-634 (-568))) (-763) (-763))))) (T -491)) 
-((-2783 (*1 *2 *3 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1244 (-634 (-568)))) (-5 *1 (-491)))) (-1423 (*1 *2 *3 *3 *3 *3) (-12 (-5 *3 (-568)) (-5 *2 (-121)) (-5 *1 (-491)))) (-2542 (*1 *2 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-491))))) 
-(-10 -7 (-15 -2542 ((-568) (-568) (-568))) (-15 -1423 ((-121) (-568) (-568) (-568) (-568))) (-15 -2783 ((-1244 (-634 (-568))) (-763) (-763)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2057 (((-634 (-852 |#1|)) $) NIL)) (-3840 (((-1157 $) $ (-852 |#1|)) NIL) (((-1157 |#2|) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#2| (-558)))) (-3661 (($ $) NIL (|has| |#2| (-558)))) (-4426 (((-121) $) NIL (|has| |#2| (-558)))) (-3528 (((-763) $) NIL) (((-763) $ (-634 (-852 |#1|))) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-3045 (($ $) NIL (|has| |#2| (-453)))) (-3498 (((-420 $) $) NIL (|has| |#2| (-453)))) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#2| "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#2| (-1037 (-409 (-568))))) (((-3 (-568) "failed") $) NIL (|has| |#2| (-1037 (-568)))) (((-3 (-852 |#1|) "failed") $) NIL)) (-2857 ((|#2| $) NIL) (((-409 (-568)) $) NIL (|has| |#2| (-1037 (-409 (-568))))) (((-568) $) NIL (|has| |#2| (-1037 (-568)))) (((-852 |#1|) $) NIL)) (-2910 (($ $ $ (-852 |#1|)) NIL (|has| |#2| (-172)))) (-1594 (($ $ (-634 (-568))) NIL)) (-2116 (($ $) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| |#2| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| |#2| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 $) (-1244 $)) NIL) (((-679 |#2|) (-679 $)) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1998 (($ $) NIL (|has| |#2| (-453))) (($ $ (-852 |#1|)) NIL (|has| |#2| (-453)))) (-2110 (((-634 $) $) NIL)) (-2197 (((-121) $) NIL (|has| |#2| (-904)))) (-2453 (($ $ |#2| (-493 (-1699 |#1|) (-763)) $) NIL)) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (-12 (|has| (-852 |#1|) (-881 (-381))) (|has| |#2| (-881 (-381))))) (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (-12 (|has| (-852 |#1|) (-881 (-568))) (|has| |#2| (-881 (-568)))))) (-1598 (((-121) $) NIL)) (-3971 (((-763) $) NIL)) (-2053 (($ (-1157 |#2|) (-852 |#1|)) NIL) (($ (-1157 $) (-852 |#1|)) NIL)) (-3062 (((-634 $) $) NIL)) (-2171 (((-121) $) NIL)) (-2049 (($ |#2| (-493 (-1699 |#1|) (-763))) NIL) (($ $ (-852 |#1|) (-763)) NIL) (($ $ (-634 (-852 |#1|)) (-634 (-763))) NIL)) (-1438 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $ (-852 |#1|)) NIL)) (-3524 (((-493 (-1699 |#1|) (-763)) $) NIL) (((-763) $ (-852 |#1|)) NIL) (((-634 (-763)) $ (-634 (-852 |#1|))) NIL)) (-1732 (($ $ $) NIL (|has| |#2| (-842)))) (-2047 (($ $ $) NIL (|has| |#2| (-842)))) (-1865 (($ (-1 (-493 (-1699 |#1|) (-763)) (-493 (-1699 |#1|) (-763))) $) NIL)) (-2797 (($ (-1 |#2| |#2|) $) NIL)) (-2817 (((-3 (-852 |#1|) "failed") $) NIL)) (-2099 (($ $) NIL)) (-2104 ((|#2| $) NIL)) (-2498 (($ (-634 $)) NIL (|has| |#2| (-453))) (($ $ $) NIL (|has| |#2| (-453)))) (-1893 (((-1143) $) NIL)) (-4362 (((-3 (-634 $) "failed") $) NIL)) (-2112 (((-3 (-634 $) "failed") $) NIL)) (-2617 (((-3 (-2 (|:| |var| (-852 |#1|)) (|:| -3483 (-763))) "failed") $) NIL)) (-4025 (((-1108) $) NIL)) (-2088 (((-121) $) NIL)) (-2093 ((|#2| $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#2| (-453)))) (-2723 (($ (-634 $)) NIL (|has| |#2| (-453))) (($ $ $) NIL (|has| |#2| (-453)))) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-3850 (((-420 $) $) NIL (|has| |#2| (-904)))) (-2597 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-558))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-558)))) (-1339 (($ $ (-634 (-288 $))) NIL) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL) (($ $ (-852 |#1|) |#2|) NIL) (($ $ (-634 (-852 |#1|)) (-634 |#2|)) NIL) (($ $ (-852 |#1|) $) NIL) (($ $ (-634 (-852 |#1|)) (-634 $)) NIL)) (-3440 (($ $ (-852 |#1|)) NIL (|has| |#2| (-172)))) (-4191 (($ $ (-852 |#1|)) NIL) (($ $ (-634 (-852 |#1|))) NIL) (($ $ (-852 |#1|) (-763)) NIL) (($ $ (-634 (-852 |#1|)) (-634 (-763))) NIL)) (-1836 (((-493 (-1699 |#1|) (-763)) $) NIL) (((-763) $ (-852 |#1|)) NIL) (((-634 (-763)) $ (-634 (-852 |#1|))) NIL)) (-4280 (((-887 (-381)) $) NIL (-12 (|has| (-852 |#1|) (-609 (-887 (-381)))) (|has| |#2| (-609 (-887 (-381)))))) (((-887 (-568)) $) NIL (-12 (|has| (-852 |#1|) (-609 (-887 (-568)))) (|has| |#2| (-609 (-887 (-568)))))) (((-541) $) NIL (-12 (|has| (-852 |#1|) (-609 (-541))) (|has| |#2| (-609 (-541)))))) (-1364 ((|#2| $) NIL (|has| |#2| (-453))) (($ $ (-852 |#1|)) NIL (|has| |#2| (-453)))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-12 (|has| $ (-148)) (|has| |#2| (-904))))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ |#2|) NIL) (($ (-852 |#1|)) NIL) (($ (-409 (-568))) NIL (-2199 (|has| |#2| (-43 (-409 (-568)))) (|has| |#2| (-1037 (-409 (-568)))))) (($ $) NIL (|has| |#2| (-558)))) (-3304 (((-634 |#2|) $) NIL)) (-2079 ((|#2| $ (-493 (-1699 |#1|) (-763))) NIL) (($ $ (-852 |#1|) (-763)) NIL) (($ $ (-634 (-852 |#1|)) (-634 (-763))) NIL)) (-3385 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| |#2| (-904))) (|has| |#2| (-148))))) (-3425 (((-763)) NIL)) (-3925 (($ $ $ (-763)) NIL (|has| |#2| (-172)))) (-2273 (((-121) $ $) NIL (|has| |#2| (-558)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($ $ (-852 |#1|)) NIL) (($ $ (-634 (-852 |#1|))) NIL) (($ $ (-852 |#1|) (-763)) NIL) (($ $ (-634 (-852 |#1|)) (-634 (-763))) NIL)) (-1753 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1781 (($ $ |#2|) NIL (|has| |#2| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL (|has| |#2| (-43 (-409 (-568))))) (($ (-409 (-568)) $) NIL (|has| |#2| (-43 (-409 (-568))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
-(((-492 |#1| |#2|) (-13 (-950 |#2| (-493 (-1699 |#1|) (-763)) (-852 |#1|)) (-10 -8 (-15 -1594 ($ $ (-634 (-568)))))) (-634 (-1161)) (-1047)) (T -492)) 
-((-1594 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-492 *3 *4)) (-14 *3 (-634 (-1161))) (-4 *4 (-1047))))) 
-(-13 (-950 |#2| (-493 (-1699 |#1|) (-763)) (-852 |#1|)) (-10 -8 (-15 -1594 ($ $ (-634 (-568)))))) 
-((-2449 (((-121) $ $) NIL (|has| |#2| (-1090)))) (-1819 (((-121) $) NIL (|has| |#2| (-137)))) (-4007 (($ (-917)) NIL (|has| |#2| (-1047)))) (-2481 (((-1249) $ (-568) (-568)) NIL (|has| $ (-6 -4522)))) (-2409 (($ $ $) NIL (|has| |#2| (-788)))) (-2689 (((-3 $ "failed") $ $) NIL (|has| |#2| (-137)))) (-1667 (((-121) $ (-763)) NIL)) (-3986 (((-763)) NIL (|has| |#2| (-370)))) (-3337 (((-568) $) NIL (|has| |#2| (-840)))) (-2438 ((|#2| $ (-568) |#2|) NIL (|has| $ (-6 -4522)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-568) "failed") $) NIL (-12 (|has| |#2| (-1037 (-568))) (|has| |#2| (-1090)))) (((-3 (-409 (-568)) "failed") $) NIL (-12 (|has| |#2| (-1037 (-409 (-568)))) (|has| |#2| (-1090)))) (((-3 |#2| "failed") $) NIL (|has| |#2| (-1090)))) (-2857 (((-568) $) NIL (-12 (|has| |#2| (-1037 (-568))) (|has| |#2| (-1090)))) (((-409 (-568)) $) NIL (-12 (|has| |#2| (-1037 (-409 (-568)))) (|has| |#2| (-1090)))) ((|#2| $) NIL (|has| |#2| (-1090)))) (-1668 (((-679 (-568)) (-679 $)) NIL (-12 (|has| |#2| (-630 (-568))) (|has| |#2| (-1047)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (-12 (|has| |#2| (-630 (-568))) (|has| |#2| (-1047)))) (((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 $) (-1244 $)) NIL (|has| |#2| (-1047))) (((-679 |#2|) (-679 $)) NIL (|has| |#2| (-1047)))) (-2902 (((-3 $ "failed") $) NIL (|has| |#2| (-716)))) (-1733 (($) NIL (|has| |#2| (-370)))) (-1292 ((|#2| $ (-568) |#2|) NIL (|has| $ (-6 -4522)))) (-2069 ((|#2| $ (-568)) 11)) (-1436 (((-121) $) NIL (|has| |#2| (-840)))) (-3317 (((-634 |#2|) $) NIL (|has| $ (-6 -4521)))) (-1598 (((-121) $) NIL (|has| |#2| (-716)))) (-2859 (((-121) $) NIL (|has| |#2| (-840)))) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-568) $) NIL (|has| (-568) (-842)))) (-1732 (($ $ $) NIL (-2199 (|has| |#2| (-788)) (|has| |#2| (-840))))) (-4406 (((-634 |#2|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-3631 (((-568) $) NIL (|has| (-568) (-842)))) (-2047 (($ $ $) NIL (-2199 (|has| |#2| (-788)) (|has| |#2| (-840))))) (-2253 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#2| |#2|) $) NIL)) (-2291 (((-917) $) NIL (|has| |#2| (-370)))) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (|has| |#2| (-1090)))) (-3948 (((-634 (-568)) $) NIL)) (-2916 (((-121) (-568) $) NIL)) (-4357 (($ (-917)) NIL (|has| |#2| (-370)))) (-4025 (((-1108) $) NIL (|has| |#2| (-1090)))) (-3877 ((|#2| $) NIL (|has| (-568) (-842)))) (-2490 (($ $ |#2|) NIL (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#2|))) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-288 |#2|)) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-634 |#2|) (-634 |#2|)) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-1480 (((-634 |#2|) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#2| $ (-568) |#2|) NIL) ((|#2| $ (-568)) NIL)) (-2286 ((|#2| $ $) NIL (|has| |#2| (-1047)))) (-2041 (($ (-1244 |#2|)) NIL)) (-3108 (((-139)) NIL (|has| |#2| (-365)))) (-4191 (($ $) NIL (-12 (|has| |#2| (-225)) (|has| |#2| (-1047)))) (($ $ (-763)) NIL (-12 (|has| |#2| (-225)) (|has| |#2| (-1047)))) (($ $ (-1161)) NIL (-12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-1 |#2| |#2|) (-763)) NIL (|has| |#2| (-1047))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1047)))) (-4170 (((-763) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521))) (((-763) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-3865 (($ $) NIL)) (-2747 (((-1244 |#2|) $) NIL) (((-850) $) NIL (|has| |#2| (-1090))) (($ (-568)) NIL (-2199 (-12 (|has| |#2| (-1037 (-568))) (|has| |#2| (-1090))) (|has| |#2| (-1047)))) (($ (-409 (-568))) NIL (-12 (|has| |#2| (-1037 (-409 (-568)))) (|has| |#2| (-1090)))) (($ |#2|) NIL (|has| |#2| (-1090)))) (-3425 (((-763)) NIL (|has| |#2| (-1047)))) (-3437 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521)))) (-2811 (($ $) NIL (|has| |#2| (-840)))) (-1889 (($ $ (-763)) NIL (|has| |#2| (-716))) (($ $ (-917)) NIL (|has| |#2| (-716)))) (-3058 (($) NIL (|has| |#2| (-137)) CONST)) (-1557 (($) NIL (|has| |#2| (-716)) CONST)) (-3192 (($ $) NIL (-12 (|has| |#2| (-225)) (|has| |#2| (-1047)))) (($ $ (-763)) NIL (-12 (|has| |#2| (-225)) (|has| |#2| (-1047)))) (($ $ (-1161)) NIL (-12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-1 |#2| |#2|) (-763)) NIL (|has| |#2| (-1047))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1047)))) (-1753 (((-121) $ $) NIL (-2199 (|has| |#2| (-788)) (|has| |#2| (-840))))) (-1740 (((-121) $ $) NIL (-2199 (|has| |#2| (-788)) (|has| |#2| (-840))))) (-1719 (((-121) $ $) NIL (|has| |#2| (-1090)))) (-1747 (((-121) $ $) NIL (-2199 (|has| |#2| (-788)) (|has| |#2| (-840))))) (-1734 (((-121) $ $) 15 (-2199 (|has| |#2| (-788)) (|has| |#2| (-840))))) (-1781 (($ $ |#2|) NIL (|has| |#2| (-365)))) (-1775 (($ $ $) NIL (|has| |#2| (-1047))) (($ $) NIL (|has| |#2| (-1047)))) (-1769 (($ $ $) NIL (|has| |#2| (-25)))) (** (($ $ (-763)) NIL (|has| |#2| (-716))) (($ $ (-917)) NIL (|has| |#2| (-716)))) (* (($ (-568) $) NIL (|has| |#2| (-1047))) (($ $ $) NIL (|has| |#2| (-716))) (($ $ |#2|) NIL (|has| |#2| (-1047))) (($ |#2| $) NIL (|has| |#2| (-1047))) (($ (-763) $) NIL (|has| |#2| (-137))) (($ (-917) $) NIL (|has| |#2| (-25)))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-493 |#1| |#2|) (-230 |#1| |#2|) (-763) (-788)) (T -493)) 
-NIL 
-(-230 |#1| |#2|) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1667 (((-121) $ (-763)) NIL)) (-4490 (($) NIL T CONST)) (-3317 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) NIL)) (-4496 (($ $ $) 32)) (-3645 (($ $ $) 31)) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-2047 ((|#1| $) 26)) (-2253 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-2580 ((|#1| $) 27)) (-1708 (($ |#1| $) 10)) (-3739 (($ (-634 |#1|)) 12)) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-3403 ((|#1| $) 23)) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) 9)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3865 (($ $) NIL)) (-2747 (((-850) $) NIL (|has| |#1| (-1090)))) (-4074 (($ (-634 |#1|)) 29)) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1699 (((-763) $) 21 (|has| $ (-6 -4521))))) 
-(((-494 |#1|) (-13 (-969 |#1|) (-10 -8 (-15 -3739 ($ (-634 |#1|))) (-15 -4074 ($ (-634 |#1|))) (-15 -3865 ($ $)) (-15 -2436 ((-121) $)) (-15 -1990 ($)) (-15 -1702 ((-121) $ $)) (-15 -3403 (|#1| $)) (-15 -1708 ($ |#1| $)) (-15 -2580 (|#1| $)) (-15 -2797 ($ (-1 |#1| |#1|) $)) (-15 -2047 (|#1| $)) (-15 -3645 ($ $ $)) (-15 -4496 ($ $ $)) (-15 -4490 ($)) (-15 -3796 ((-121) $ (-763))) (-15 -3791 ((-121) $ (-763))) (-15 -1667 ((-121) $ (-763))) (IF (|has| $ (-6 -4522)) (-15 -2253 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1090)) (PROGN (-15 -1893 ((-1143) $)) (-15 -4025 ((-1108) $)) (-15 -2747 ((-850) $)) (-15 -1719 ((-121) $ $)) (-15 -2449 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4521)) (PROGN (-15 -3951 ((-121) (-1 (-121) |#1|) $)) (-15 -3437 ((-121) (-1 (-121) |#1|) $)) (-15 -4170 ((-763) (-1 (-121) |#1|) $)) (-15 -1699 ((-763) $)) (-15 -3317 ((-634 |#1|) $)) (-15 -4406 ((-634 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4521)) (IF (|has| |#1| (-1090)) (PROGN (-15 -2551 ((-121) |#1| $)) (-15 -4170 ((-763) |#1| $))) |noBranch|) |noBranch|))) (-842)) (T -494)) 
-((-1702 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-494 *3)) (-4 *3 (-842)))) (-3865 (*1 *1 *1) (-12 (-5 *1 (-494 *2)) (-4 *2 (-842)))) (-1990 (*1 *1) (-12 (-5 *1 (-494 *2)) (-4 *2 (-842)))) (-2436 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-494 *3)) (-4 *3 (-842)))) (-3796 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-494 *4)) (-4 *4 (-842)))) (-3791 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-494 *4)) (-4 *4 (-842)))) (-1667 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-494 *4)) (-4 *4 (-842)))) (-4490 (*1 *1) (-12 (-5 *1 (-494 *2)) (-4 *2 (-842)))) (-1699 (*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-763)) (-5 *1 (-494 *3)) (-4 *3 (-842)))) (-2797 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-842)) (-5 *1 (-494 *3)))) (-2253 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4522)) (-4 *3 (-842)) (-5 *1 (-494 *3)))) (-3437 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-842)) (-5 *2 (-121)) (-5 *1 (-494 *4)))) (-3951 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-842)) (-5 *2 (-121)) (-5 *1 (-494 *4)))) (-4170 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-842)) (-5 *2 (-763)) (-5 *1 (-494 *4)))) (-3317 (*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-634 *3)) (-5 *1 (-494 *3)) (-4 *3 (-842)))) (-4406 (*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-634 *3)) (-5 *1 (-494 *3)) (-4 *3 (-842)))) (-4170 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-763)) (-5 *1 (-494 *3)) (-4 *3 (-1090)) (-4 *3 (-842)))) (-2551 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-121)) (-5 *1 (-494 *3)) (-4 *3 (-1090)) (-4 *3 (-842)))) (-1893 (*1 *2 *1) (-12 (-5 *2 (-1143)) (-5 *1 (-494 *3)) (-4 *3 (-1090)) (-4 *3 (-842)))) (-4025 (*1 *2 *1) (-12 (-5 *2 (-1108)) (-5 *1 (-494 *3)) (-4 *3 (-1090)) (-4 *3 (-842)))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-494 *3)) (-4 *3 (-1090)) (-4 *3 (-842)))) (-1719 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-494 *3)) (-4 *3 (-1090)) (-4 *3 (-842)))) (-2449 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-494 *3)) (-4 *3 (-1090)) (-4 *3 (-842)))) (-4074 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-842)) (-5 *1 (-494 *3)))) (-3403 (*1 *2 *1) (-12 (-5 *1 (-494 *2)) (-4 *2 (-842)))) (-1708 (*1 *1 *2 *1) (-12 (-5 *1 (-494 *2)) (-4 *2 (-842)))) (-2580 (*1 *2 *1) (-12 (-5 *1 (-494 *2)) (-4 *2 (-842)))) (-2047 (*1 *2 *1) (-12 (-5 *1 (-494 *2)) (-4 *2 (-842)))) (-3645 (*1 *1 *1 *1) (-12 (-5 *1 (-494 *2)) (-4 *2 (-842)))) (-4496 (*1 *1 *1 *1) (-12 (-5 *1 (-494 *2)) (-4 *2 (-842)))) (-3739 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-842)) (-5 *1 (-494 *3))))) 
-(-13 (-969 |#1|) (-10 -8 (-15 -3739 ($ (-634 |#1|))) (-15 -4074 ($ (-634 |#1|))) (-15 -3865 ($ $)) (-15 -2436 ((-121) $)) (-15 -1990 ($)) (-15 -1702 ((-121) $ $)) (-15 -3403 (|#1| $)) (-15 -1708 ($ |#1| $)) (-15 -2580 (|#1| $)) (-15 -2797 ($ (-1 |#1| |#1|) $)) (-15 -2047 (|#1| $)) (-15 -3645 ($ $ $)) (-15 -4496 ($ $ $)) (-15 -4490 ($)) (-15 -3796 ((-121) $ (-763))) (-15 -3791 ((-121) $ (-763))) (-15 -1667 ((-121) $ (-763))) (IF (|has| $ (-6 -4522)) (-15 -2253 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1090)) (PROGN (-15 -1893 ((-1143) $)) (-15 -4025 ((-1108) $)) (-15 -2747 ((-850) $)) (-15 -1719 ((-121) $ $)) (-15 -2449 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4521)) (PROGN (-15 -3951 ((-121) (-1 (-121) |#1|) $)) (-15 -3437 ((-121) (-1 (-121) |#1|) $)) (-15 -4170 ((-763) (-1 (-121) |#1|) $)) (-15 -1699 ((-763) $)) (-15 -3317 ((-634 |#1|) $)) (-15 -4406 ((-634 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4521)) (IF (|has| |#1| (-1090)) (PROGN (-15 -2551 ((-121) |#1| $)) (-15 -4170 ((-763) |#1| $))) |noBranch|) |noBranch|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-3094 (($ $) 69)) (-2776 (((-121) $) NIL)) (-1893 (((-1143) $) NIL)) (-4314 (((-415 |#2| (-409 |#2|) |#3| |#4|) $) 43)) (-4025 (((-1108) $) NIL)) (-2707 (((-3 |#4| "failed") $) 105)) (-3957 (($ (-415 |#2| (-409 |#2|) |#3| |#4|)) 76) (($ |#4|) 32) (($ |#1| |#1|) 113) (($ |#1| |#1| (-568)) NIL) (($ |#4| |#2| |#2| |#2| |#1|) 125)) (-3946 (((-2 (|:| -1716 (-415 |#2| (-409 |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) 45)) (-2747 (((-850) $) 100)) (-3058 (($) 33 T CONST)) (-1719 (((-121) $ $) 107)) (-1775 (($ $) 72) (($ $ $) NIL)) (-1769 (($ $ $) 70)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 73))) 
-(((-495 |#1| |#2| |#3| |#4|) (-333 |#1| |#2| |#3| |#4|) (-365) (-1219 |#1|) (-1219 (-409 |#2|)) (-340 |#1| |#2| |#3|)) (T -495)) 
-NIL 
-(-333 |#1| |#2| |#3| |#4|) 
-((-1318 (((-568) (-634 (-568))) 28)) (-3116 ((|#1| (-634 |#1|)) 56)) (-2091 (((-634 |#1|) (-634 |#1|)) 57)) (-1651 (((-634 |#1|) (-634 |#1|)) 59)) (-2723 ((|#1| (-634 |#1|)) 58)) (-1364 (((-634 (-568)) (-634 |#1|)) 31))) 
-(((-496 |#1|) (-10 -7 (-15 -2723 (|#1| (-634 |#1|))) (-15 -3116 (|#1| (-634 |#1|))) (-15 -1651 ((-634 |#1|) (-634 |#1|))) (-15 -2091 ((-634 |#1|) (-634 |#1|))) (-15 -1364 ((-634 (-568)) (-634 |#1|))) (-15 -1318 ((-568) (-634 (-568))))) (-1219 (-568))) (T -496)) 
-((-1318 (*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-568)) (-5 *1 (-496 *4)) (-4 *4 (-1219 *2)))) (-1364 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-1219 (-568))) (-5 *2 (-634 (-568))) (-5 *1 (-496 *4)))) (-2091 (*1 *2 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1219 (-568))) (-5 *1 (-496 *3)))) (-1651 (*1 *2 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1219 (-568))) (-5 *1 (-496 *3)))) (-3116 (*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-5 *1 (-496 *2)) (-4 *2 (-1219 (-568))))) (-2723 (*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-5 *1 (-496 *2)) (-4 *2 (-1219 (-568)))))) 
-(-10 -7 (-15 -2723 (|#1| (-634 |#1|))) (-15 -3116 (|#1| (-634 |#1|))) (-15 -1651 ((-634 |#1|) (-634 |#1|))) (-15 -2091 ((-634 |#1|) (-634 |#1|))) (-15 -1364 ((-634 (-568)) (-634 |#1|))) (-15 -1318 ((-568) (-634 (-568))))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2563 (((-568) $) NIL (|has| (-568) (-301)))) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (|has| (-568) (-904)))) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (|has| (-568) (-904)))) (-2589 (((-121) $ $) NIL)) (-3337 (((-568) $) NIL (|has| (-568) (-815)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-568) "failed") $) NIL) (((-3 (-1161) "failed") $) NIL (|has| (-568) (-1037 (-1161)))) (((-3 (-409 (-568)) "failed") $) NIL (|has| (-568) (-1037 (-568)))) (((-3 (-568) "failed") $) NIL (|has| (-568) (-1037 (-568))))) (-2857 (((-568) $) NIL) (((-1161) $) NIL (|has| (-568) (-1037 (-1161)))) (((-409 (-568)) $) NIL (|has| (-568) (-1037 (-568)))) (((-568) $) NIL (|has| (-568) (-1037 (-568))))) (-2403 (($ $ $) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| (-568) (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| (-568) (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL) (((-679 (-568)) (-679 $)) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1733 (($) NIL (|has| (-568) (-550)))) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-2197 (((-121) $) NIL)) (-1436 (((-121) $) NIL (|has| (-568) (-815)))) (-1519 (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (|has| (-568) (-881 (-568)))) (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (|has| (-568) (-881 (-381))))) (-1598 (((-121) $) NIL)) (-3539 (($ $) NIL)) (-2319 (((-568) $) NIL)) (-2214 (((-3 $ "failed") $) NIL (|has| (-568) (-1136)))) (-2859 (((-121) $) NIL (|has| (-568) (-815)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1732 (($ $ $) NIL (|has| (-568) (-842)))) (-2047 (($ $ $) NIL (|has| (-568) (-842)))) (-2797 (($ (-1 (-568) (-568)) $) NIL)) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL)) (-4436 (($) NIL (|has| (-568) (-1136)) CONST)) (-3916 (($ (-409 (-568))) 8)) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1999 (($ $) NIL (|has| (-568) (-301))) (((-409 (-568)) $) NIL)) (-4115 (((-568) $) NIL (|has| (-568) (-550)))) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (|has| (-568) (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (|has| (-568) (-904)))) (-3850 (((-420 $) $) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1339 (($ $ (-634 (-568)) (-634 (-568))) NIL (|has| (-568) (-303 (-568)))) (($ $ (-568) (-568)) NIL (|has| (-568) (-303 (-568)))) (($ $ (-288 (-568))) NIL (|has| (-568) (-303 (-568)))) (($ $ (-634 (-288 (-568)))) NIL (|has| (-568) (-303 (-568)))) (($ $ (-634 (-1161)) (-634 (-568))) NIL (|has| (-568) (-523 (-1161) (-568)))) (($ $ (-1161) (-568)) NIL (|has| (-568) (-523 (-1161) (-568))))) (-1466 (((-763) $) NIL)) (-2781 (($ $ (-568)) NIL (|has| (-568) (-281 (-568) (-568))))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-4191 (($ $) NIL (|has| (-568) (-225))) (($ $ (-763)) NIL (|has| (-568) (-225))) (($ $ (-1161)) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-1 (-568) (-568)) (-763)) NIL) (($ $ (-1 (-568) (-568))) NIL)) (-3210 (($ $) NIL)) (-2326 (((-568) $) NIL)) (-4280 (((-887 (-568)) $) NIL (|has| (-568) (-609 (-887 (-568))))) (((-887 (-381)) $) NIL (|has| (-568) (-609 (-887 (-381))))) (((-541) $) NIL (|has| (-568) (-609 (-541)))) (((-381) $) NIL (|has| (-568) (-1021))) (((-215) $) NIL (|has| (-568) (-1021)))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-12 (|has| $ (-148)) (|has| (-568) (-904))))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ $) NIL) (($ (-409 (-568))) 7) (($ (-568)) NIL) (($ (-1161)) NIL (|has| (-568) (-1037 (-1161)))) (((-409 (-568)) $) NIL) (((-1004 16) $) 9)) (-3385 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| (-568) (-904))) (|has| (-568) (-148))))) (-3425 (((-763)) NIL)) (-3520 (((-568) $) NIL (|has| (-568) (-550)))) (-2273 (((-121) $ $) NIL)) (-2811 (($ $) NIL (|has| (-568) (-815)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($ $) NIL (|has| (-568) (-225))) (($ $ (-763)) NIL (|has| (-568) (-225))) (($ $ (-1161)) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-1 (-568) (-568)) (-763)) NIL) (($ $ (-1 (-568) (-568))) NIL)) (-1753 (((-121) $ $) NIL (|has| (-568) (-842)))) (-1740 (((-121) $ $) NIL (|has| (-568) (-842)))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (|has| (-568) (-842)))) (-1734 (((-121) $ $) NIL (|has| (-568) (-842)))) (-1781 (($ $ $) NIL) (($ (-568) (-568)) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL) (($ (-568) $) NIL) (($ $ (-568)) NIL))) 
-(((-497) (-13 (-993 (-568)) (-10 -8 (-15 -2747 ((-409 (-568)) $)) (-15 -2747 ((-1004 16) $)) (-15 -1999 ((-409 (-568)) $)) (-15 -3916 ($ (-409 (-568))))))) (T -497)) 
-((-2747 (*1 *2 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-497)))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-1004 16)) (-5 *1 (-497)))) (-1999 (*1 *2 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-497)))) (-3916 (*1 *1 *2) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-497))))) 
-(-13 (-993 (-568)) (-10 -8 (-15 -2747 ((-409 (-568)) $)) (-15 -2747 ((-1004 16) $)) (-15 -1999 ((-409 (-568)) $)) (-15 -3916 ($ (-409 (-568)))))) 
-((-4406 (((-634 |#2|) $) 22)) (-2551 (((-121) |#2| $) 27)) (-3951 (((-121) (-1 (-121) |#2|) $) 20)) (-1339 (($ $ (-634 (-288 |#2|))) 12) (($ $ (-288 |#2|)) NIL) (($ $ |#2| |#2|) NIL) (($ $ (-634 |#2|) (-634 |#2|)) NIL)) (-4170 (((-763) (-1 (-121) |#2|) $) 21) (((-763) |#2| $) 25)) (-2747 (((-850) $) 36)) (-3437 (((-121) (-1 (-121) |#2|) $) 19)) (-1719 (((-121) $ $) 30)) (-1699 (((-763) $) 16))) 
-(((-498 |#1| |#2|) (-10 -8 (-15 -1719 ((-121) |#1| |#1|)) (-15 -2747 ((-850) |#1|)) (-15 -1339 (|#1| |#1| (-634 |#2|) (-634 |#2|))) (-15 -1339 (|#1| |#1| |#2| |#2|)) (-15 -1339 (|#1| |#1| (-288 |#2|))) (-15 -1339 (|#1| |#1| (-634 (-288 |#2|)))) (-15 -2551 ((-121) |#2| |#1|)) (-15 -4170 ((-763) |#2| |#1|)) (-15 -4406 ((-634 |#2|) |#1|)) (-15 -4170 ((-763) (-1 (-121) |#2|) |#1|)) (-15 -3951 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3437 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -1699 ((-763) |#1|))) (-499 |#2|) (-1195)) (T -498)) 
-NIL 
-(-10 -8 (-15 -1719 ((-121) |#1| |#1|)) (-15 -2747 ((-850) |#1|)) (-15 -1339 (|#1| |#1| (-634 |#2|) (-634 |#2|))) (-15 -1339 (|#1| |#1| |#2| |#2|)) (-15 -1339 (|#1| |#1| (-288 |#2|))) (-15 -1339 (|#1| |#1| (-634 (-288 |#2|)))) (-15 -2551 ((-121) |#2| |#1|)) (-15 -4170 ((-763) |#2| |#1|)) (-15 -4406 ((-634 |#2|) |#1|)) (-15 -4170 ((-763) (-1 (-121) |#2|) |#1|)) (-15 -3951 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3437 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -1699 ((-763) |#1|))) 
-((-2449 (((-121) $ $) 18 (|has| |#1| (-1090)))) (-1667 (((-121) $ (-763)) 8)) (-4490 (($) 7 T CONST)) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) 9)) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35)) (-3796 (((-121) $ (-763)) 10)) (-1893 (((-1143) $) 22 (|has| |#1| (-1090)))) (-4025 (((-1108) $) 21 (|has| |#1| (-1090)))) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-2747 (((-850) $) 20 (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-499 |#1|) (-1275) (-1195)) (T -499)) 
-((-2797 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-499 *3)) (-4 *3 (-1195)))) (-2253 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| *1 (-6 -4522)) (-4 *1 (-499 *3)) (-4 *3 (-1195)))) (-3437 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4521)) (-4 *1 (-499 *4)) (-4 *4 (-1195)) (-5 *2 (-121)))) (-3951 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4521)) (-4 *1 (-499 *4)) (-4 *4 (-1195)) (-5 *2 (-121)))) (-4170 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4521)) (-4 *1 (-499 *4)) (-4 *4 (-1195)) (-5 *2 (-763)))) (-3317 (*1 *2 *1) (-12 (|has| *1 (-6 -4521)) (-4 *1 (-499 *3)) (-4 *3 (-1195)) (-5 *2 (-634 *3)))) (-4406 (*1 *2 *1) (-12 (|has| *1 (-6 -4521)) (-4 *1 (-499 *3)) (-4 *3 (-1195)) (-5 *2 (-634 *3)))) (-4170 (*1 *2 *3 *1) (-12 (|has| *1 (-6 -4521)) (-4 *1 (-499 *3)) (-4 *3 (-1195)) (-4 *3 (-1090)) (-5 *2 (-763)))) (-2551 (*1 *2 *3 *1) (-12 (|has| *1 (-6 -4521)) (-4 *1 (-499 *3)) (-4 *3 (-1195)) (-4 *3 (-1090)) (-5 *2 (-121))))) 
-(-13 (-39) (-10 -8 (IF (|has| |t#1| (-1090)) (-6 (-1090)) |noBranch|) (IF (|has| |t#1| (-1090)) (IF (|has| |t#1| (-303 |t#1|)) (-6 (-303 |t#1|)) |noBranch|) |noBranch|) (-15 -2797 ($ (-1 |t#1| |t#1|) $)) (IF (|has| $ (-6 -4522)) (-15 -2253 ($ (-1 |t#1| |t#1|) $)) |noBranch|) (IF (|has| $ (-6 -4521)) (PROGN (-15 -3437 ((-121) (-1 (-121) |t#1|) $)) (-15 -3951 ((-121) (-1 (-121) |t#1|) $)) (-15 -4170 ((-763) (-1 (-121) |t#1|) $)) (-15 -3317 ((-634 |t#1|) $)) (-15 -4406 ((-634 |t#1|) $)) (IF (|has| |t#1| (-1090)) (PROGN (-15 -4170 ((-763) |t#1| $)) (-15 -2551 ((-121) |t#1| $))) |noBranch|)) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#1| (-1090)) ((-608 (-850)) |has| |#1| (-1090)) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-1090) |has| |#1| (-1090)) ((-1195) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2002 (((-1143) (-850)) 40)) (-4127 (((-1249) (-1143)) 29)) (-4481 (((-1143) (-850)) 25)) (-4010 (((-1143) (-850)) 26)) (-2747 (((-850) $) NIL) (((-1143) (-850)) 24)) (-1719 (((-121) $ $) NIL))) 
-(((-500) (-13 (-1090) (-10 -7 (-15 -2747 ((-1143) (-850))) (-15 -4481 ((-1143) (-850))) (-15 -4010 ((-1143) (-850))) (-15 -2002 ((-1143) (-850))) (-15 -4127 ((-1249) (-1143)))))) (T -500)) 
-((-2747 (*1 *2 *3) (-12 (-5 *3 (-850)) (-5 *2 (-1143)) (-5 *1 (-500)))) (-4481 (*1 *2 *3) (-12 (-5 *3 (-850)) (-5 *2 (-1143)) (-5 *1 (-500)))) (-4010 (*1 *2 *3) (-12 (-5 *3 (-850)) (-5 *2 (-1143)) (-5 *1 (-500)))) (-2002 (*1 *2 *3) (-12 (-5 *3 (-850)) (-5 *2 (-1143)) (-5 *1 (-500)))) (-4127 (*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-500))))) 
-(-13 (-1090) (-10 -7 (-15 -2747 ((-1143) (-850))) (-15 -4481 ((-1143) (-850))) (-15 -4010 ((-1143) (-850))) (-15 -2002 ((-1143) (-850))) (-15 -4127 ((-1249) (-1143))))) 
-((-1984 (($ $) 15)) (-1976 (($ $) 24)) (-1992 (($ $) 12)) (-1996 (($ $) 10)) (-1988 (($ $) 17)) (-1980 (($ $) 22))) 
-(((-501 |#1|) (-10 -8 (-15 -1980 (|#1| |#1|)) (-15 -1988 (|#1| |#1|)) (-15 -1996 (|#1| |#1|)) (-15 -1992 (|#1| |#1|)) (-15 -1976 (|#1| |#1|)) (-15 -1984 (|#1| |#1|))) (-502)) (T -501)) 
-NIL 
-(-10 -8 (-15 -1980 (|#1| |#1|)) (-15 -1988 (|#1| |#1|)) (-15 -1996 (|#1| |#1|)) (-15 -1992 (|#1| |#1|)) (-15 -1976 (|#1| |#1|)) (-15 -1984 (|#1| |#1|))) 
-((-1984 (($ $) 11)) (-1976 (($ $) 10)) (-1992 (($ $) 9)) (-1996 (($ $) 8)) (-1988 (($ $) 7)) (-1980 (($ $) 6))) 
-(((-502) (-1275)) (T -502)) 
-((-1984 (*1 *1 *1) (-4 *1 (-502))) (-1976 (*1 *1 *1) (-4 *1 (-502))) (-1992 (*1 *1 *1) (-4 *1 (-502))) (-1996 (*1 *1 *1) (-4 *1 (-502))) (-1988 (*1 *1 *1) (-4 *1 (-502))) (-1980 (*1 *1 *1) (-4 *1 (-502)))) 
-(-13 (-10 -8 (-15 -1980 ($ $)) (-15 -1988 ($ $)) (-15 -1996 ($ $)) (-15 -1992 ($ $)) (-15 -1976 ($ $)) (-15 -1984 ($ $)))) 
-((-3850 (((-420 |#4|) |#4| (-1 (-420 |#2|) |#2|)) 42))) 
-(((-503 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3850 ((-420 |#4|) |#4| (-1 (-420 |#2|) |#2|)))) (-365) (-1219 |#1|) (-13 (-365) (-150) (-714 |#1| |#2|)) (-1219 |#3|)) (T -503)) 
-((-3850 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-420 *6) *6)) (-4 *6 (-1219 *5)) (-4 *5 (-365)) (-4 *7 (-13 (-365) (-150) (-714 *5 *6))) (-5 *2 (-420 *3)) (-5 *1 (-503 *5 *6 *7 *3)) (-4 *3 (-1219 *7))))) 
-(-10 -7 (-15 -3850 ((-420 |#4|) |#4| (-1 (-420 |#2|) |#2|)))) 
-((-2449 (((-121) $ $) NIL)) (-2251 (((-634 $) (-1157 $) (-1161)) NIL) (((-634 $) (-1157 $)) NIL) (((-634 $) (-953 $)) NIL)) (-3505 (($ (-1157 $) (-1161)) NIL) (($ (-1157 $)) NIL) (($ (-953 $)) NIL)) (-1819 (((-121) $) 36)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2328 (((-121) $ $) 62)) (-3145 (((-634 (-607 $)) $) 46)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4069 (($ $ (-288 $)) NIL) (($ $ (-634 (-288 $))) NIL) (($ $ (-634 (-607 $)) (-634 $)) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-1904 (($ $) NIL)) (-2589 (((-121) $ $) NIL)) (-4490 (($) NIL T CONST)) (-1867 (((-634 $) (-1157 $) (-1161)) NIL) (((-634 $) (-1157 $)) NIL) (((-634 $) (-953 $)) NIL)) (-2919 (($ (-1157 $) (-1161)) NIL) (($ (-1157 $)) NIL) (($ (-953 $)) NIL)) (-3668 (((-3 (-607 $) "failed") $) NIL) (((-3 (-568) "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL)) (-2857 (((-607 $) $) NIL) (((-568) $) NIL) (((-409 (-568)) $) 48)) (-2403 (($ $ $) NIL)) (-1668 (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL) (((-679 (-568)) (-679 $)) NIL) (((-2 (|:| -2908 (-679 (-409 (-568)))) (|:| |vec| (-1244 (-409 (-568))))) (-679 $) (-1244 $)) NIL) (((-679 (-409 (-568))) (-679 $)) NIL)) (-3094 (($ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-2197 (((-121) $) NIL)) (-3855 (($ $) NIL) (($ (-634 $)) NIL)) (-2160 (((-634 (-123)) $) NIL)) (-3842 (((-123) (-123)) NIL)) (-1598 (((-121) $) 39)) (-2268 (((-121) $) NIL (|has| $ (-1037 (-568))))) (-2319 (((-1113 (-568) (-607 $)) $) 34)) (-1550 (($ $ (-568)) NIL)) (-4417 (((-1157 $) (-1157 $) (-607 $)) 77) (((-1157 $) (-1157 $) (-634 (-607 $))) 53) (($ $ (-607 $)) 66) (($ $ (-634 (-607 $))) 67)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-3170 (((-1157 $) (-607 $)) 64 (|has| $ (-1047)))) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-2797 (($ (-1 $ $) (-607 $)) NIL)) (-2337 (((-3 (-607 $) "failed") $) NIL)) (-2498 (($ (-634 $)) NIL) (($ $ $) NIL)) (-1893 (((-1143) $) NIL)) (-3832 (((-634 (-607 $)) $) NIL)) (-3446 (($ (-123) $) NIL) (($ (-123) (-634 $)) NIL)) (-3910 (((-121) $ (-123)) NIL) (((-121) $ (-1161)) NIL)) (-2083 (($ $) NIL)) (-2963 (((-763) $) NIL)) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ (-634 $)) NIL) (($ $ $) NIL)) (-1609 (((-121) $ $) NIL) (((-121) $ (-1161)) NIL)) (-3850 (((-420 $) $) NIL)) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-2080 (((-121) $) NIL (|has| $ (-1037 (-568))))) (-1339 (($ $ (-607 $) $) NIL) (($ $ (-634 (-607 $)) (-634 $)) NIL) (($ $ (-634 (-288 $))) NIL) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL) (($ $ (-634 (-1161)) (-634 (-1 $ $))) NIL) (($ $ (-634 (-1161)) (-634 (-1 $ (-634 $)))) NIL) (($ $ (-1161) (-1 $ (-634 $))) NIL) (($ $ (-1161) (-1 $ $)) NIL) (($ $ (-634 (-123)) (-634 (-1 $ $))) NIL) (($ $ (-634 (-123)) (-634 (-1 $ (-634 $)))) NIL) (($ $ (-123) (-1 $ (-634 $))) NIL) (($ $ (-123) (-1 $ $)) NIL)) (-1466 (((-763) $) NIL)) (-2781 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-634 $)) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-3924 (($ $) NIL) (($ $ $) NIL)) (-4191 (($ $ (-763)) NIL) (($ $) 33)) (-2326 (((-1113 (-568) (-607 $)) $) 17)) (-1492 (($ $) NIL (|has| $ (-1047)))) (-4280 (((-381) $) 91) (((-215) $) 99) (((-169 (-381)) $) 107)) (-2747 (((-850) $) NIL) (($ (-607 $)) NIL) (($ (-409 (-568))) NIL) (($ $) NIL) (($ (-568)) NIL) (($ (-1113 (-568) (-607 $))) 18)) (-3425 (((-763)) NIL)) (-3159 (($ $) NIL) (($ (-634 $)) NIL)) (-2779 (((-121) (-123)) 83)) (-2273 (((-121) $ $) NIL)) (-1889 (($ $ (-568)) NIL) (($ $ (-763)) NIL) (($ $ (-917)) NIL)) (-3058 (($) 9 T CONST)) (-1557 (($) 19 T CONST)) (-3192 (($ $ (-763)) NIL) (($ $) NIL)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 21)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) NIL)) (-1781 (($ $ $) 41)) (-1775 (($ $ $) NIL) (($ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-409 (-568))) NIL) (($ $ (-568)) 44) (($ $ (-763)) NIL) (($ $ (-917)) NIL)) (* (($ (-409 (-568)) $) NIL) (($ $ (-409 (-568))) NIL) (($ $ $) 24) (($ (-568) $) NIL) (($ (-763) $) NIL) (($ (-917) $) NIL))) 
-(((-504) (-13 (-296) (-27) (-1037 (-568)) (-1037 (-409 (-568))) (-630 (-568)) (-1021) (-630 (-409 (-568))) (-150) (-609 (-169 (-381))) (-225) (-10 -8 (-15 -2747 ($ (-1113 (-568) (-607 $)))) (-15 -2319 ((-1113 (-568) (-607 $)) $)) (-15 -2326 ((-1113 (-568) (-607 $)) $)) (-15 -3094 ($ $)) (-15 -2328 ((-121) $ $)) (-15 -4417 ((-1157 $) (-1157 $) (-607 $))) (-15 -4417 ((-1157 $) (-1157 $) (-634 (-607 $)))) (-15 -4417 ($ $ (-607 $))) (-15 -4417 ($ $ (-634 (-607 $))))))) (T -504)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1113 (-568) (-607 (-504)))) (-5 *1 (-504)))) (-2319 (*1 *2 *1) (-12 (-5 *2 (-1113 (-568) (-607 (-504)))) (-5 *1 (-504)))) (-2326 (*1 *2 *1) (-12 (-5 *2 (-1113 (-568) (-607 (-504)))) (-5 *1 (-504)))) (-3094 (*1 *1 *1) (-5 *1 (-504))) (-2328 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-504)))) (-4417 (*1 *2 *2 *3) (-12 (-5 *2 (-1157 (-504))) (-5 *3 (-607 (-504))) (-5 *1 (-504)))) (-4417 (*1 *2 *2 *3) (-12 (-5 *2 (-1157 (-504))) (-5 *3 (-634 (-607 (-504)))) (-5 *1 (-504)))) (-4417 (*1 *1 *1 *2) (-12 (-5 *2 (-607 (-504))) (-5 *1 (-504)))) (-4417 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-607 (-504)))) (-5 *1 (-504))))) 
-(-13 (-296) (-27) (-1037 (-568)) (-1037 (-409 (-568))) (-630 (-568)) (-1021) (-630 (-409 (-568))) (-150) (-609 (-169 (-381))) (-225) (-10 -8 (-15 -2747 ($ (-1113 (-568) (-607 $)))) (-15 -2319 ((-1113 (-568) (-607 $)) $)) (-15 -2326 ((-1113 (-568) (-607 $)) $)) (-15 -3094 ($ $)) (-15 -2328 ((-121) $ $)) (-15 -4417 ((-1157 $) (-1157 $) (-607 $))) (-15 -4417 ((-1157 $) (-1157 $) (-634 (-607 $)))) (-15 -4417 ($ $ (-607 $))) (-15 -4417 ($ $ (-634 (-607 $)))))) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-2481 (((-1249) $ (-568) (-568)) NIL (|has| $ (-6 -4522)))) (-1324 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-842)))) (-2109 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4522))) (($ $) NIL (-12 (|has| $ (-6 -4522)) (|has| |#1| (-842))))) (-3647 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-842)))) (-1667 (((-121) $ (-763)) NIL)) (-2438 ((|#1| $ (-568) |#1|) 25 (|has| $ (-6 -4522))) ((|#1| $ (-1210 (-568)) |#1|) NIL (|has| $ (-6 -4522)))) (-2803 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-4490 (($) NIL T CONST)) (-4452 (($ $) NIL (|has| $ (-6 -4522)))) (-3945 (($ $) NIL)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-4330 (($ |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4521)))) (-1292 ((|#1| $ (-568) |#1|) 22 (|has| $ (-6 -4522)))) (-2069 ((|#1| $ (-568)) 21)) (-2766 (((-568) (-1 (-121) |#1|) $) NIL) (((-568) |#1| $) NIL (|has| |#1| (-1090))) (((-568) |#1| $ (-568)) NIL (|has| |#1| (-1090)))) (-3317 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-1851 (($ (-763) |#1|) 14)) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-568) $) 12 (|has| (-568) (-842)))) (-1732 (($ $ $) NIL (|has| |#1| (-842)))) (-3645 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-842)))) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3631 (((-568) $) 23 (|has| (-568) (-842)))) (-2047 (($ $ $) NIL (|has| |#1| (-842)))) (-2253 (($ (-1 |#1| |#1|) $) 16 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 17) (($ (-1 |#1| |#1| |#1|) $ $) 19)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-4124 (($ |#1| $ (-568)) NIL) (($ $ $ (-568)) NIL)) (-3948 (((-634 (-568)) $) NIL)) (-2916 (((-121) (-568) $) NIL)) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-3877 ((|#1| $) NIL (|has| (-568) (-842)))) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2490 (($ $ |#1|) 10 (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1480 (((-634 |#1|) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) 13)) (-2781 ((|#1| $ (-568) |#1|) NIL) ((|#1| $ (-568)) 24) (($ $ (-1210 (-568))) NIL)) (-2828 (($ $ (-568)) NIL) (($ $ (-1210 (-568))) NIL)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3306 (($ $ $ (-568)) NIL (|has| $ (-6 -4522)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) NIL (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) NIL)) (-2770 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-634 $)) NIL)) (-2747 (((-850) $) NIL (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1753 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1719 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1747 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1699 (((-763) $) 9 (|has| $ (-6 -4521))))) 
-(((-505 |#1| |#2|) (-19 |#1|) (-1195) (-568)) (T -505)) 
+((-4450 (($ $) 6)) (-2436 (($ $) 7)) (** (($ $ $) 8))) 
+(((-280) (-1278)) (T -280)) 
+((** (*1 *1 *1 *1) (-4 *1 (-280))) (-2436 (*1 *1 *1) (-4 *1 (-280))) (-4450 (*1 *1 *1) (-4 *1 (-280)))) 
+(-13 (-10 -8 (-15 -4450 ($ $)) (-15 -2436 ($ $)) (-15 ** ($ $ $)))) 
+((-2354 (((-635 (-1143 |#1|)) (-1143 |#1|) |#1|) 35)) (-2282 ((|#2| |#2| |#1|) 38)) (-1344 ((|#2| |#2| |#1|) 40)) (-2156 ((|#2| |#2| |#1|) 39))) 
+(((-281 |#1| |#2|) (-10 -7 (-15 -2282 (|#2| |#2| |#1|)) (-15 -2156 (|#2| |#2| |#1|)) (-15 -1344 (|#2| |#2| |#1|)) (-15 -2354 ((-635 (-1143 |#1|)) (-1143 |#1|) |#1|))) (-366) (-1237 |#1|)) (T -281)) 
+((-2354 (*1 *2 *3 *4) (-12 (-4 *4 (-366)) (-5 *2 (-635 (-1143 *4))) (-5 *1 (-281 *4 *5)) (-5 *3 (-1143 *4)) (-4 *5 (-1237 *4)))) (-1344 (*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1237 *3)))) (-2156 (*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1237 *3)))) (-2282 (*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1237 *3))))) 
+(-10 -7 (-15 -2282 (|#2| |#2| |#1|)) (-15 -2156 (|#2| |#2| |#1|)) (-15 -1344 (|#2| |#2| |#1|)) (-15 -2354 ((-635 (-1143 |#1|)) (-1143 |#1|) |#1|))) 
+((-1534 ((|#2| $ |#1|) 6))) 
+(((-282 |#1| |#2|) (-1278) (-1091) (-1197)) (T -282)) 
+((-1534 (*1 *2 *1 *3) (-12 (-4 *1 (-282 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1197))))) 
+(-13 (-10 -8 (-15 -1534 (|t#2| $ |t#1|)))) 
+((-2726 ((|#3| $ |#2| |#3|) 12)) (-1618 ((|#3| $ |#2|) 10))) 
+(((-283 |#1| |#2| |#3|) (-10 -8 (-15 -2726 (|#3| |#1| |#2| |#3|)) (-15 -1618 (|#3| |#1| |#2|))) (-284 |#2| |#3|) (-1091) (-1197)) (T -283)) 
+NIL 
+(-10 -8 (-15 -2726 (|#3| |#1| |#2| |#3|)) (-15 -1618 (|#3| |#1| |#2|))) 
+((-4469 ((|#2| $ |#1| |#2|) 8 (|has| $ (-6 -4536)))) (-2726 ((|#2| $ |#1| |#2|) 7 (|has| $ (-6 -4536)))) (-1618 ((|#2| $ |#1|) 9)) (-1534 ((|#2| $ |#1|) 6) ((|#2| $ |#1| |#2|) 10))) 
+(((-284 |#1| |#2|) (-1278) (-1091) (-1197)) (T -284)) 
+((-1534 (*1 *2 *1 *3 *2) (-12 (-4 *1 (-284 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1197)))) (-1618 (*1 *2 *1 *3) (-12 (-4 *1 (-284 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1197)))) (-4469 (*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-284 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1197)))) (-2726 (*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-284 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1197))))) 
+(-13 (-282 |t#1| |t#2|) (-10 -8 (-15 -1534 (|t#2| $ |t#1| |t#2|)) (-15 -1618 (|t#2| $ |t#1|)) (IF (|has| $ (-6 -4536)) (PROGN (-15 -4469 (|t#2| $ |t#1| |t#2|)) (-15 -2726 (|t#2| $ |t#1| |t#2|))) |noBranch|))) 
+(((-282 |#1| |#2|) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 34)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 39)) (-3383 (($ $) 37)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3934 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-2506 (($ $ $) 32)) (-1774 (($ |#2| |#3|) 19)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-1407 (((-121) $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3092 ((|#3| $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 20)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4440 (((-3 $ "failed") $ $) NIL)) (-2622 (((-764) $) 33)) (-1534 ((|#2| $ |#2|) 41)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 24)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) ((|#2| $) NIL)) (-1991 (((-764)) NIL)) (-1961 (((-121) $ $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 27 T CONST)) (-1556 (($) 35 T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 36))) 
+(((-285 |#1| |#2| |#3| |#4| |#5| |#6|) (-13 (-302) (-10 -8 (-15 -3092 (|#3| $)) (-15 -2185 (|#2| $)) (-15 -1774 ($ |#2| |#3|)) (-15 -4440 ((-3 $ "failed") $ $)) (-15 -3428 ((-3 $ "failed") $)) (-15 -1795 ($ $)) (-15 -1534 (|#2| $ |#2|)))) (-173) (-1222 |#1|) (-23) (-1 |#2| |#2| |#3|) (-1 (-3 |#3| "failed") |#3| |#3|) (-1 (-3 |#2| "failed") |#2| |#2| |#3|)) (T -285)) 
+((-3428 (*1 *1 *1) (|partial| -12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1222 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) (-3092 (*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-23)) (-5 *1 (-285 *3 *4 *2 *5 *6 *7)) (-4 *4 (-1222 *3)) (-14 *5 (-1 *4 *4 *2)) (-14 *6 (-1 (-3 *2 "failed") *2 *2)) (-14 *7 (-1 (-3 *4 "failed") *4 *4 *2)))) (-2185 (*1 *2 *1) (-12 (-4 *2 (-1222 *3)) (-5 *1 (-285 *3 *2 *4 *5 *6 *7)) (-4 *3 (-173)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4)))) (-1774 (*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-285 *4 *2 *3 *5 *6 *7)) (-4 *2 (-1222 *4)) (-4 *3 (-23)) (-14 *5 (-1 *2 *2 *3)) (-14 *6 (-1 (-3 *3 "failed") *3 *3)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *3)))) (-4440 (*1 *1 *1 *1) (|partial| -12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1222 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) (-1795 (*1 *1 *1) (-12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1222 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) (-1534 (*1 *2 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-285 *3 *2 *4 *5 *6 *7)) (-4 *2 (-1222 *3)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4))))) 
+(-13 (-302) (-10 -8 (-15 -3092 (|#3| $)) (-15 -2185 (|#2| $)) (-15 -1774 ($ |#2| |#3|)) (-15 -4440 ((-3 $ "failed") $ $)) (-15 -3428 ((-3 $ "failed") $)) (-15 -1795 ($ $)) (-15 -1534 (|#2| $ |#2|)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ (-569)) 27)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-286) (-1278)) (T -286)) 
+NIL 
+(-13 (-1048) (-120 $ $) (-10 -7 (-6 -4528))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 $) . T) ((-717) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-2414 (((-635 (-2 (|:| |eigval| (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|)))) (|:| |geneigvec| (-635 (-680 (-410 (-954 |#1|))))))) (-680 (-410 (-954 |#1|)))) 83)) (-1899 (((-635 (-680 (-410 (-954 |#1|)))) (-2 (|:| |eigval| (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|)))) (|:| |eigmult| (-764)) (|:| |eigvec| (-635 (-680 (-410 (-954 |#1|)))))) (-680 (-410 (-954 |#1|)))) 78) (((-635 (-680 (-410 (-954 |#1|)))) (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|))) (-680 (-410 (-954 |#1|))) (-764) (-764)) 36)) (-3640 (((-635 (-2 (|:| |eigval| (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|)))) (|:| |eigmult| (-764)) (|:| |eigvec| (-635 (-680 (-410 (-954 |#1|))))))) (-680 (-410 (-954 |#1|)))) 80)) (-1493 (((-635 (-680 (-410 (-954 |#1|)))) (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|))) (-680 (-410 (-954 |#1|)))) 60)) (-4023 (((-635 (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|)))) (-680 (-410 (-954 |#1|)))) 59)) (-2742 (((-954 |#1|) (-680 (-410 (-954 |#1|)))) 47) (((-954 |#1|) (-680 (-410 (-954 |#1|))) (-1163)) 48))) 
+(((-287 |#1|) (-10 -7 (-15 -2742 ((-954 |#1|) (-680 (-410 (-954 |#1|))) (-1163))) (-15 -2742 ((-954 |#1|) (-680 (-410 (-954 |#1|))))) (-15 -4023 ((-635 (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|)))) (-680 (-410 (-954 |#1|))))) (-15 -1493 ((-635 (-680 (-410 (-954 |#1|)))) (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|))) (-680 (-410 (-954 |#1|))))) (-15 -1899 ((-635 (-680 (-410 (-954 |#1|)))) (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|))) (-680 (-410 (-954 |#1|))) (-764) (-764))) (-15 -1899 ((-635 (-680 (-410 (-954 |#1|)))) (-2 (|:| |eigval| (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|)))) (|:| |eigmult| (-764)) (|:| |eigvec| (-635 (-680 (-410 (-954 |#1|)))))) (-680 (-410 (-954 |#1|))))) (-15 -2414 ((-635 (-2 (|:| |eigval| (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|)))) (|:| |geneigvec| (-635 (-680 (-410 (-954 |#1|))))))) (-680 (-410 (-954 |#1|))))) (-15 -3640 ((-635 (-2 (|:| |eigval| (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|)))) (|:| |eigmult| (-764)) (|:| |eigvec| (-635 (-680 (-410 (-954 |#1|))))))) (-680 (-410 (-954 |#1|)))))) (-454)) (T -287)) 
+((-3640 (*1 *2 *3) (-12 (-4 *4 (-454)) (-5 *2 (-635 (-2 (|:| |eigval| (-3 (-410 (-954 *4)) (-1152 (-1163) (-954 *4)))) (|:| |eigmult| (-764)) (|:| |eigvec| (-635 (-680 (-410 (-954 *4)))))))) (-5 *1 (-287 *4)) (-5 *3 (-680 (-410 (-954 *4)))))) (-2414 (*1 *2 *3) (-12 (-4 *4 (-454)) (-5 *2 (-635 (-2 (|:| |eigval| (-3 (-410 (-954 *4)) (-1152 (-1163) (-954 *4)))) (|:| |geneigvec| (-635 (-680 (-410 (-954 *4)))))))) (-5 *1 (-287 *4)) (-5 *3 (-680 (-410 (-954 *4)))))) (-1899 (*1 *2 *3 *4) (-12 (-5 *3 (-2 (|:| |eigval| (-3 (-410 (-954 *5)) (-1152 (-1163) (-954 *5)))) (|:| |eigmult| (-764)) (|:| |eigvec| (-635 *4)))) (-4 *5 (-454)) (-5 *2 (-635 (-680 (-410 (-954 *5))))) (-5 *1 (-287 *5)) (-5 *4 (-680 (-410 (-954 *5)))))) (-1899 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-3 (-410 (-954 *6)) (-1152 (-1163) (-954 *6)))) (-5 *5 (-764)) (-4 *6 (-454)) (-5 *2 (-635 (-680 (-410 (-954 *6))))) (-5 *1 (-287 *6)) (-5 *4 (-680 (-410 (-954 *6)))))) (-1493 (*1 *2 *3 *4) (-12 (-5 *3 (-3 (-410 (-954 *5)) (-1152 (-1163) (-954 *5)))) (-4 *5 (-454)) (-5 *2 (-635 (-680 (-410 (-954 *5))))) (-5 *1 (-287 *5)) (-5 *4 (-680 (-410 (-954 *5)))))) (-4023 (*1 *2 *3) (-12 (-5 *3 (-680 (-410 (-954 *4)))) (-4 *4 (-454)) (-5 *2 (-635 (-3 (-410 (-954 *4)) (-1152 (-1163) (-954 *4))))) (-5 *1 (-287 *4)))) (-2742 (*1 *2 *3) (-12 (-5 *3 (-680 (-410 (-954 *4)))) (-5 *2 (-954 *4)) (-5 *1 (-287 *4)) (-4 *4 (-454)))) (-2742 (*1 *2 *3 *4) (-12 (-5 *3 (-680 (-410 (-954 *5)))) (-5 *4 (-1163)) (-5 *2 (-954 *5)) (-5 *1 (-287 *5)) (-4 *5 (-454))))) 
+(-10 -7 (-15 -2742 ((-954 |#1|) (-680 (-410 (-954 |#1|))) (-1163))) (-15 -2742 ((-954 |#1|) (-680 (-410 (-954 |#1|))))) (-15 -4023 ((-635 (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|)))) (-680 (-410 (-954 |#1|))))) (-15 -1493 ((-635 (-680 (-410 (-954 |#1|)))) (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|))) (-680 (-410 (-954 |#1|))))) (-15 -1899 ((-635 (-680 (-410 (-954 |#1|)))) (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|))) (-680 (-410 (-954 |#1|))) (-764) (-764))) (-15 -1899 ((-635 (-680 (-410 (-954 |#1|)))) (-2 (|:| |eigval| (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|)))) (|:| |eigmult| (-764)) (|:| |eigvec| (-635 (-680 (-410 (-954 |#1|)))))) (-680 (-410 (-954 |#1|))))) (-15 -2414 ((-635 (-2 (|:| |eigval| (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|)))) (|:| |geneigvec| (-635 (-680 (-410 (-954 |#1|))))))) (-680 (-410 (-954 |#1|))))) (-15 -3640 ((-635 (-2 (|:| |eigval| (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|)))) (|:| |eigmult| (-764)) (|:| |eigvec| (-635 (-680 (-410 (-954 |#1|))))))) (-680 (-410 (-954 |#1|)))))) 
+((-1544 (((-289 |#2|) (-1 |#2| |#1|) (-289 |#1|)) 14))) 
+(((-288 |#1| |#2|) (-10 -7 (-15 -1544 ((-289 |#2|) (-1 |#2| |#1|) (-289 |#1|)))) (-1197) (-1197)) (T -288)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-289 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-289 *6)) (-5 *1 (-288 *5 *6))))) 
+(-10 -7 (-15 -1544 ((-289 |#2|) (-1 |#2| |#1|) (-289 |#1|)))) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-3813 (((-121) $) NIL (|has| |#1| (-21)))) (-1478 (($ $) 22)) (-2327 (((-3 $ "failed") $ $) NIL (|has| |#1| (-21)))) (-2773 (($ $ $) 93 (|has| |#1| (-297)))) (-2820 (($) NIL (-2232 (|has| |#1| (-21)) (|has| |#1| (-717))) CONST)) (-2198 (($ $) 8 (|has| |#1| (-21)))) (-2700 (((-3 $ "failed") $) 68 (|has| |#1| (-717)))) (-4387 ((|#1| $) 21)) (-3428 (((-3 $ "failed") $) 66 (|has| |#1| (-717)))) (-1407 (((-121) $) NIL (|has| |#1| (-717)))) (-1544 (($ (-1 |#1| |#1|) $) 24)) (-1589 ((|#1| $) 9)) (-3371 (($ $) 57 (|has| |#1| (-21)))) (-3544 (((-3 $ "failed") $) 67 (|has| |#1| (-717)))) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-1795 (($ $) 70 (-2232 (|has| |#1| (-366)) (|has| |#1| (-479))))) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-1565 (((-635 $) $) 19 (|has| |#1| (-559)))) (-1468 (($ $ $) 34 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 $)) 37 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-1163) |#1|) 27 (|has| |#1| (-524 (-1163) |#1|))) (($ $ (-635 (-1163)) (-635 |#1|)) 31 (|has| |#1| (-524 (-1163) |#1|)))) (-1539 (($ |#1| |#1|) 17)) (-2369 (((-140)) 88 (|has| |#1| (-366)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163)) 85 (|has| |#1| (-896 (-1163))))) (-1414 (($ $ $) NIL (|has| |#1| (-479)))) (-4293 (($ $ $) NIL (|has| |#1| (-479)))) (-2185 (($ (-569)) NIL (|has| |#1| (-1048))) (((-121) $) 45 (|has| |#1| (-1091))) (((-851) $) 44 (|has| |#1| (-1091)))) (-1991 (((-764)) 73 (|has| |#1| (-1048)))) (-2427 (($ $ (-569)) NIL (|has| |#1| (-479))) (($ $ (-764)) NIL (|has| |#1| (-717))) (($ $ (-918)) NIL (|has| |#1| (-1103)))) (-3369 (($) 55 (|has| |#1| (-21)) CONST)) (-1556 (($) 63 (|has| |#1| (-717)) CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163))))) (-1668 (($ |#1| |#1|) 20) (((-121) $ $) 40 (|has| |#1| (-1091)))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) 90 (-2232 (|has| |#1| (-366)) (|has| |#1| (-479))))) (-1711 (($ |#1| $) 53 (|has| |#1| (-21))) (($ $ |#1|) 54 (|has| |#1| (-21))) (($ $ $) 52 (|has| |#1| (-21))) (($ $) 51 (|has| |#1| (-21)))) (-1707 (($ |#1| $) 48 (|has| |#1| (-25))) (($ $ |#1|) 49 (|has| |#1| (-25))) (($ $ $) 47 (|has| |#1| (-25)))) (** (($ $ (-569)) NIL (|has| |#1| (-479))) (($ $ (-764)) NIL (|has| |#1| (-717))) (($ $ (-918)) NIL (|has| |#1| (-1103)))) (* (($ $ |#1|) 61 (|has| |#1| (-1103))) (($ |#1| $) 60 (|has| |#1| (-1103))) (($ $ $) 59 (|has| |#1| (-1103))) (($ (-569) $) 76 (|has| |#1| (-21))) (($ (-764) $) NIL (|has| |#1| (-21))) (($ (-918) $) NIL (|has| |#1| (-25))))) 
+(((-289 |#1|) (-13 (-1197) (-10 -8 (-15 -1668 ($ |#1| |#1|)) (-15 -1539 ($ |#1| |#1|)) (-15 -1478 ($ $)) (-15 -1589 (|#1| $)) (-15 -4387 (|#1| $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-524 (-1163) |#1|)) (-6 (-524 (-1163) |#1|)) |noBranch|) (IF (|has| |#1| (-1091)) (PROGN (-6 (-1091)) (-6 (-609 (-121))) (IF (|has| |#1| (-304 |#1|)) (PROGN (-15 -1468 ($ $ $)) (-15 -1468 ($ $ (-635 $)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-25)) (PROGN (-6 (-25)) (-15 -1707 ($ |#1| $)) (-15 -1707 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-21)) (PROGN (-6 (-21)) (-15 -3371 ($ $)) (-15 -2198 ($ $)) (-15 -1711 ($ |#1| $)) (-15 -1711 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-1103)) (PROGN (-6 (-1103)) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-717)) (PROGN (-6 (-717)) (-15 -3544 ((-3 $ "failed") $)) (-15 -2700 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-479)) (PROGN (-6 (-479)) (-15 -3544 ((-3 $ "failed") $)) (-15 -2700 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-1048)) (PROGN (-6 (-1048)) (-6 (-120 |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-708 |#1|)) |noBranch|) (IF (|has| |#1| (-559)) (-15 -1565 ((-635 $) $)) |noBranch|) (IF (|has| |#1| (-896 (-1163))) (-6 (-896 (-1163))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-6 (-1254 |#1|)) (-15 -1715 ($ $ $)) (-15 -1795 ($ $))) |noBranch|) (IF (|has| |#1| (-297)) (-15 -2773 ($ $ $)) |noBranch|))) (-1197)) (T -289)) 
+((-1668 (*1 *1 *2 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1197)))) (-1539 (*1 *1 *2 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1197)))) (-1478 (*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1197)))) (-1589 (*1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1197)))) (-4387 (*1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1197)))) (-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1197)) (-5 *1 (-289 *3)))) (-1468 (*1 *1 *1 *1) (-12 (-4 *2 (-304 *2)) (-4 *2 (-1091)) (-4 *2 (-1197)) (-5 *1 (-289 *2)))) (-1468 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-289 *3))) (-4 *3 (-304 *3)) (-4 *3 (-1091)) (-4 *3 (-1197)) (-5 *1 (-289 *3)))) (-1707 (*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-25)) (-4 *2 (-1197)))) (-1707 (*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-25)) (-4 *2 (-1197)))) (-3371 (*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1197)))) (-2198 (*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1197)))) (-1711 (*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1197)))) (-1711 (*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1197)))) (-3544 (*1 *1 *1) (|partial| -12 (-5 *1 (-289 *2)) (-4 *2 (-717)) (-4 *2 (-1197)))) (-2700 (*1 *1 *1) (|partial| -12 (-5 *1 (-289 *2)) (-4 *2 (-717)) (-4 *2 (-1197)))) (-1565 (*1 *2 *1) (-12 (-5 *2 (-635 (-289 *3))) (-5 *1 (-289 *3)) (-4 *3 (-559)) (-4 *3 (-1197)))) (-2773 (*1 *1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-297)) (-4 *2 (-1197)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1103)) (-4 *2 (-1197)))) (* (*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1103)) (-4 *2 (-1197)))) (-1715 (*1 *1 *1 *1) (-2232 (-12 (-5 *1 (-289 *2)) (-4 *2 (-366)) (-4 *2 (-1197))) (-12 (-5 *1 (-289 *2)) (-4 *2 (-479)) (-4 *2 (-1197))))) (-1795 (*1 *1 *1) (-2232 (-12 (-5 *1 (-289 *2)) (-4 *2 (-366)) (-4 *2 (-1197))) (-12 (-5 *1 (-289 *2)) (-4 *2 (-479)) (-4 *2 (-1197)))))) 
+(-13 (-1197) (-10 -8 (-15 -1668 ($ |#1| |#1|)) (-15 -1539 ($ |#1| |#1|)) (-15 -1478 ($ $)) (-15 -1589 (|#1| $)) (-15 -4387 (|#1| $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-524 (-1163) |#1|)) (-6 (-524 (-1163) |#1|)) |noBranch|) (IF (|has| |#1| (-1091)) (PROGN (-6 (-1091)) (-6 (-609 (-121))) (IF (|has| |#1| (-304 |#1|)) (PROGN (-15 -1468 ($ $ $)) (-15 -1468 ($ $ (-635 $)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-25)) (PROGN (-6 (-25)) (-15 -1707 ($ |#1| $)) (-15 -1707 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-21)) (PROGN (-6 (-21)) (-15 -3371 ($ $)) (-15 -2198 ($ $)) (-15 -1711 ($ |#1| $)) (-15 -1711 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-1103)) (PROGN (-6 (-1103)) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-717)) (PROGN (-6 (-717)) (-15 -3544 ((-3 $ "failed") $)) (-15 -2700 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-479)) (PROGN (-6 (-479)) (-15 -3544 ((-3 $ "failed") $)) (-15 -2700 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-1048)) (PROGN (-6 (-1048)) (-6 (-120 |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-708 |#1|)) |noBranch|) (IF (|has| |#1| (-559)) (-15 -1565 ((-635 $) $)) |noBranch|) (IF (|has| |#1| (-896 (-1163))) (-6 (-896 (-1163))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-6 (-1254 |#1|)) (-15 -1715 ($ $ $)) (-15 -1795 ($ $))) |noBranch|) (IF (|has| |#1| (-297)) (-15 -2773 ($ $ $)) |noBranch|))) 
+((-2568 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2281 (($) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-3112 (((-1252) $ |#1| |#1|) NIL (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#2| $ |#1| |#2|) NIL)) (-4216 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-2082 (((-3 |#2| "failed") |#1| $) NIL)) (-2820 (($) NIL T CONST)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-4454 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-3 |#2| "failed") |#1| $) NIL)) (-4347 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#2| $ |#1|) NIL)) (-3470 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 ((|#1| $) NIL (|has| |#1| (-843)))) (-4259 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1285 ((|#1| $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4536))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2179 (((-635 |#1|) $) NIL)) (-1598 (((-121) |#1| $) NIL)) (-3889 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-3172 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4166 (((-635 |#1|) $) NIL)) (-3533 (((-121) |#1| $) NIL)) (-3360 (((-1109) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4353 ((|#2| $) NIL (|has| |#1| (-843)))) (-2502 (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL)) (-3174 (($ $ |#2|) NIL (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-2691 (((-635 |#2|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-2566 (($) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-764) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091)))) (((-764) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2185 (((-851) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2793 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-290 |#1| |#2|) (-13 (-1174 |#1| |#2|) (-10 -7 (-6 -4535))) (-1091) (-1091)) (T -290)) 
+NIL 
+(-13 (-1174 |#1| |#2|) (-10 -7 (-6 -4535))) 
+((-1638 (((-306) (-1145) (-635 (-1145))) 16) (((-306) (-1145) (-1145)) 15) (((-306) (-635 (-1145))) 14) (((-306) (-1145)) 12))) 
+(((-291) (-10 -7 (-15 -1638 ((-306) (-1145))) (-15 -1638 ((-306) (-635 (-1145)))) (-15 -1638 ((-306) (-1145) (-1145))) (-15 -1638 ((-306) (-1145) (-635 (-1145)))))) (T -291)) 
+((-1638 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1145))) (-5 *3 (-1145)) (-5 *2 (-306)) (-5 *1 (-291)))) (-1638 (*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-306)) (-5 *1 (-291)))) (-1638 (*1 *2 *3) (-12 (-5 *3 (-635 (-1145))) (-5 *2 (-306)) (-5 *1 (-291)))) (-1638 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-306)) (-5 *1 (-291))))) 
+(-10 -7 (-15 -1638 ((-306) (-1145))) (-15 -1638 ((-306) (-635 (-1145)))) (-15 -1638 ((-306) (-1145) (-1145))) (-15 -1638 ((-306) (-1145) (-635 (-1145))))) 
+((-1544 ((|#2| (-1 |#2| |#1|) (-1145) (-608 |#1|)) 17))) 
+(((-292 |#1| |#2|) (-10 -7 (-15 -1544 (|#2| (-1 |#2| |#1|) (-1145) (-608 |#1|)))) (-297) (-1197)) (T -292)) 
+((-1544 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1145)) (-5 *5 (-608 *6)) (-4 *6 (-297)) (-4 *2 (-1197)) (-5 *1 (-292 *6 *2))))) 
+(-10 -7 (-15 -1544 (|#2| (-1 |#2| |#1|) (-1145) (-608 |#1|)))) 
+((-1544 ((|#2| (-1 |#2| |#1|) (-608 |#1|)) 17))) 
+(((-293 |#1| |#2|) (-10 -7 (-15 -1544 (|#2| (-1 |#2| |#1|) (-608 |#1|)))) (-297) (-297)) (T -293)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5)) (-5 *4 (-608 *5)) (-4 *5 (-297)) (-4 *2 (-297)) (-5 *1 (-293 *5 *2))))) 
+(-10 -7 (-15 -1544 (|#2| (-1 |#2| |#1|) (-608 |#1|)))) 
+((-3861 (((-121) (-216)) 10))) 
+(((-294 |#1| |#2|) (-10 -7 (-15 -3861 ((-121) (-216)))) (-216) (-216)) (T -294)) 
+((-3861 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-294 *4 *5)) (-14 *4 *3) (-14 *5 *3)))) 
+(-10 -7 (-15 -3861 ((-121) (-216)))) 
+((-1842 (((-1143 (-216)) (-311 (-216)) (-635 (-1163)) (-1085 (-836 (-216)))) 88)) (-2074 (((-1143 (-216)) (-1247 (-311 (-216))) (-635 (-1163)) (-1085 (-836 (-216)))) 103) (((-1143 (-216)) (-311 (-216)) (-635 (-1163)) (-1085 (-836 (-216)))) 58)) (-1989 (((-635 (-1145)) (-1143 (-216))) NIL)) (-4028 (((-635 (-216)) (-311 (-216)) (-1163) (-1085 (-836 (-216)))) 55)) (-3381 (((-635 (-216)) (-954 (-410 (-569))) (-1163) (-1085 (-836 (-216)))) 47)) (-3679 (((-635 (-1145)) (-635 (-216))) NIL)) (-1559 (((-216) (-1085 (-836 (-216)))) 23)) (-3995 (((-216) (-1085 (-836 (-216)))) 24)) (-2299 (((-121) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 51)) (-2370 (((-1145) (-216)) NIL))) 
+(((-295) (-10 -7 (-15 -1559 ((-216) (-1085 (-836 (-216))))) (-15 -3995 ((-216) (-1085 (-836 (-216))))) (-15 -2299 ((-121) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4028 ((-635 (-216)) (-311 (-216)) (-1163) (-1085 (-836 (-216))))) (-15 -1842 ((-1143 (-216)) (-311 (-216)) (-635 (-1163)) (-1085 (-836 (-216))))) (-15 -2074 ((-1143 (-216)) (-311 (-216)) (-635 (-1163)) (-1085 (-836 (-216))))) (-15 -2074 ((-1143 (-216)) (-1247 (-311 (-216))) (-635 (-1163)) (-1085 (-836 (-216))))) (-15 -3381 ((-635 (-216)) (-954 (-410 (-569))) (-1163) (-1085 (-836 (-216))))) (-15 -2370 ((-1145) (-216))) (-15 -3679 ((-635 (-1145)) (-635 (-216)))) (-15 -1989 ((-635 (-1145)) (-1143 (-216)))))) (T -295)) 
+((-1989 (*1 *2 *3) (-12 (-5 *3 (-1143 (-216))) (-5 *2 (-635 (-1145))) (-5 *1 (-295)))) (-3679 (*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-635 (-1145))) (-5 *1 (-295)))) (-2370 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1145)) (-5 *1 (-295)))) (-3381 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-954 (-410 (-569)))) (-5 *4 (-1163)) (-5 *5 (-1085 (-836 (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-295)))) (-2074 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1247 (-311 (-216)))) (-5 *4 (-635 (-1163))) (-5 *5 (-1085 (-836 (-216)))) (-5 *2 (-1143 (-216))) (-5 *1 (-295)))) (-2074 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-635 (-1163))) (-5 *5 (-1085 (-836 (-216)))) (-5 *2 (-1143 (-216))) (-5 *1 (-295)))) (-1842 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-635 (-1163))) (-5 *5 (-1085 (-836 (-216)))) (-5 *2 (-1143 (-216))) (-5 *1 (-295)))) (-4028 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-1163)) (-5 *5 (-1085 (-836 (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-295)))) (-2299 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-121)) (-5 *1 (-295)))) (-3995 (*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-216)))) (-5 *2 (-216)) (-5 *1 (-295)))) (-1559 (*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-216)))) (-5 *2 (-216)) (-5 *1 (-295))))) 
+(-10 -7 (-15 -1559 ((-216) (-1085 (-836 (-216))))) (-15 -3995 ((-216) (-1085 (-836 (-216))))) (-15 -2299 ((-121) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4028 ((-635 (-216)) (-311 (-216)) (-1163) (-1085 (-836 (-216))))) (-15 -1842 ((-1143 (-216)) (-311 (-216)) (-635 (-1163)) (-1085 (-836 (-216))))) (-15 -2074 ((-1143 (-216)) (-311 (-216)) (-635 (-1163)) (-1085 (-836 (-216))))) (-15 -2074 ((-1143 (-216)) (-1247 (-311 (-216))) (-635 (-1163)) (-1085 (-836 (-216))))) (-15 -3381 ((-635 (-216)) (-954 (-410 (-569))) (-1163) (-1085 (-836 (-216))))) (-15 -2370 ((-1145) (-216))) (-15 -3679 ((-635 (-1145)) (-635 (-216)))) (-15 -1989 ((-635 (-1145)) (-1143 (-216))))) 
+((-4003 (((-635 (-608 $)) $) 28)) (-2773 (($ $ (-289 $)) 80) (($ $ (-635 (-289 $))) 120) (($ $ (-635 (-608 $)) (-635 $)) NIL)) (-1647 (((-3 (-608 $) "failed") $) 110)) (-2428 (((-608 $) $) 109)) (-2337 (($ $) 19) (($ (-635 $)) 54)) (-3431 (((-635 (-123)) $) 37)) (-2265 (((-123) (-123)) 90)) (-1931 (((-121) $) 128)) (-1544 (($ (-1 $ $) (-608 $)) 88)) (-2359 (((-3 (-608 $) "failed") $) 92)) (-1777 (($ (-123) $) 60) (($ (-123) (-635 $)) 98)) (-4029 (((-121) $ (-123)) 114) (((-121) $ (-1163)) 113)) (-2626 (((-764) $) 45)) (-1452 (((-121) $ $) 58) (((-121) $ (-1163)) 49)) (-1657 (((-121) $) 126)) (-1468 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL) (($ $ (-635 (-289 $))) 118) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1163)) (-635 (-1 $ $))) 83) (($ $ (-635 (-1163)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-1163) (-1 $ (-635 $))) 68) (($ $ (-1163) (-1 $ $)) 74) (($ $ (-635 (-123)) (-635 (-1 $ $))) 82) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) 84) (($ $ (-123) (-1 $ (-635 $))) 70) (($ $ (-123) (-1 $ $)) 76)) (-1534 (($ (-123) $) 61) (($ (-123) $ $) 62) (($ (-123) $ $ $) 63) (($ (-123) $ $ $ $) 64) (($ (-123) (-635 $)) 106)) (-4082 (($ $) 51) (($ $ $) 116)) (-4042 (($ $) 17) (($ (-635 $)) 53)) (-1524 (((-121) (-123)) 22))) 
+(((-296 |#1|) (-10 -8 (-15 -1931 ((-121) |#1|)) (-15 -1657 ((-121) |#1|)) (-15 -1468 (|#1| |#1| (-123) (-1 |#1| |#1|))) (-15 -1468 (|#1| |#1| (-123) (-1 |#1| (-635 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1468 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| |#1|)))) (-15 -1468 (|#1| |#1| (-1163) (-1 |#1| |#1|))) (-15 -1468 (|#1| |#1| (-1163) (-1 |#1| (-635 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 (-1 |#1| |#1|)))) (-15 -1452 ((-121) |#1| (-1163))) (-15 -1452 ((-121) |#1| |#1|)) (-15 -1544 (|#1| (-1 |#1| |#1|) (-608 |#1|))) (-15 -1777 (|#1| (-123) (-635 |#1|))) (-15 -1777 (|#1| (-123) |#1|)) (-15 -4029 ((-121) |#1| (-1163))) (-15 -4029 ((-121) |#1| (-123))) (-15 -1524 ((-121) (-123))) (-15 -2265 ((-123) (-123))) (-15 -3431 ((-635 (-123)) |#1|)) (-15 -4003 ((-635 (-608 |#1|)) |#1|)) (-15 -2359 ((-3 (-608 |#1|) "failed") |#1|)) (-15 -2626 ((-764) |#1|)) (-15 -4082 (|#1| |#1| |#1|)) (-15 -4082 (|#1| |#1|)) (-15 -2337 (|#1| (-635 |#1|))) (-15 -2337 (|#1| |#1|)) (-15 -4042 (|#1| (-635 |#1|))) (-15 -4042 (|#1| |#1|)) (-15 -2773 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -2773 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2773 (|#1| |#1| (-289 |#1|))) (-15 -1534 (|#1| (-123) (-635 |#1|))) (-15 -1534 (|#1| (-123) |#1| |#1| |#1| |#1|)) (-15 -1534 (|#1| (-123) |#1| |#1| |#1|)) (-15 -1534 (|#1| (-123) |#1| |#1|)) (-15 -1534 (|#1| (-123) |#1|)) (-15 -1468 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#1| |#1|)) (-15 -1468 (|#1| |#1| (-289 |#1|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -1468 (|#1| |#1| (-608 |#1|) |#1|)) (-15 -2428 ((-608 |#1|) |#1|)) (-15 -1647 ((-3 (-608 |#1|) "failed") |#1|))) (-297)) (T -296)) 
+((-2265 (*1 *2 *2) (-12 (-5 *2 (-123)) (-5 *1 (-296 *3)) (-4 *3 (-297)))) (-1524 (*1 *2 *3) (-12 (-5 *3 (-123)) (-5 *2 (-121)) (-5 *1 (-296 *4)) (-4 *4 (-297))))) 
+(-10 -8 (-15 -1931 ((-121) |#1|)) (-15 -1657 ((-121) |#1|)) (-15 -1468 (|#1| |#1| (-123) (-1 |#1| |#1|))) (-15 -1468 (|#1| |#1| (-123) (-1 |#1| (-635 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1468 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| |#1|)))) (-15 -1468 (|#1| |#1| (-1163) (-1 |#1| |#1|))) (-15 -1468 (|#1| |#1| (-1163) (-1 |#1| (-635 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 (-1 |#1| |#1|)))) (-15 -1452 ((-121) |#1| (-1163))) (-15 -1452 ((-121) |#1| |#1|)) (-15 -1544 (|#1| (-1 |#1| |#1|) (-608 |#1|))) (-15 -1777 (|#1| (-123) (-635 |#1|))) (-15 -1777 (|#1| (-123) |#1|)) (-15 -4029 ((-121) |#1| (-1163))) (-15 -4029 ((-121) |#1| (-123))) (-15 -1524 ((-121) (-123))) (-15 -2265 ((-123) (-123))) (-15 -3431 ((-635 (-123)) |#1|)) (-15 -4003 ((-635 (-608 |#1|)) |#1|)) (-15 -2359 ((-3 (-608 |#1|) "failed") |#1|)) (-15 -2626 ((-764) |#1|)) (-15 -4082 (|#1| |#1| |#1|)) (-15 -4082 (|#1| |#1|)) (-15 -2337 (|#1| (-635 |#1|))) (-15 -2337 (|#1| |#1|)) (-15 -4042 (|#1| (-635 |#1|))) (-15 -4042 (|#1| |#1|)) (-15 -2773 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -2773 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2773 (|#1| |#1| (-289 |#1|))) (-15 -1534 (|#1| (-123) (-635 |#1|))) (-15 -1534 (|#1| (-123) |#1| |#1| |#1| |#1|)) (-15 -1534 (|#1| (-123) |#1| |#1| |#1|)) (-15 -1534 (|#1| (-123) |#1| |#1|)) (-15 -1534 (|#1| (-123) |#1|)) (-15 -1468 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#1| |#1|)) (-15 -1468 (|#1| |#1| (-289 |#1|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -1468 (|#1| |#1| (-608 |#1|) |#1|)) (-15 -2428 ((-608 |#1|) |#1|)) (-15 -1647 ((-3 (-608 |#1|) "failed") |#1|))) 
+((-2568 (((-121) $ $) 7)) (-4003 (((-635 (-608 $)) $) 43)) (-2773 (($ $ (-289 $)) 55) (($ $ (-635 (-289 $))) 54) (($ $ (-635 (-608 $)) (-635 $)) 53)) (-1647 (((-3 (-608 $) "failed") $) 68)) (-2428 (((-608 $) $) 67)) (-2337 (($ $) 50) (($ (-635 $)) 49)) (-3431 (((-635 (-123)) $) 42)) (-2265 (((-123) (-123)) 41)) (-1931 (((-121) $) 21 (|has| $ (-1038 (-569))))) (-4080 (((-1159 $) (-608 $)) 24 (|has| $ (-1048)))) (-3291 (($ $ $) 12)) (-1538 (($ $ $) 13)) (-1544 (($ (-1 $ $) (-608 $)) 35)) (-2359 (((-3 (-608 $) "failed") $) 45)) (-2776 (((-1145) $) 9)) (-1735 (((-635 (-608 $)) $) 44)) (-1777 (($ (-123) $) 37) (($ (-123) (-635 $)) 36)) (-4029 (((-121) $ (-123)) 39) (((-121) $ (-1163)) 38)) (-2626 (((-764) $) 46)) (-3360 (((-1109) $) 10)) (-1452 (((-121) $ $) 34) (((-121) $ (-1163)) 33)) (-1657 (((-121) $) 22 (|has| $ (-1038 (-569))))) (-1468 (($ $ (-608 $) $) 66) (($ $ (-635 (-608 $)) (-635 $)) 65) (($ $ (-635 (-289 $))) 64) (($ $ (-289 $)) 63) (($ $ $ $) 62) (($ $ (-635 $) (-635 $)) 61) (($ $ (-635 (-1163)) (-635 (-1 $ $))) 32) (($ $ (-635 (-1163)) (-635 (-1 $ (-635 $)))) 31) (($ $ (-1163) (-1 $ (-635 $))) 30) (($ $ (-1163) (-1 $ $)) 29) (($ $ (-635 (-123)) (-635 (-1 $ $))) 28) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) 27) (($ $ (-123) (-1 $ (-635 $))) 26) (($ $ (-123) (-1 $ $)) 25)) (-1534 (($ (-123) $) 60) (($ (-123) $ $) 59) (($ (-123) $ $ $) 58) (($ (-123) $ $ $ $) 57) (($ (-123) (-635 $)) 56)) (-4082 (($ $) 48) (($ $ $) 47)) (-2745 (($ $) 23 (|has| $ (-1048)))) (-2185 (((-851) $) 11) (($ (-608 $)) 69)) (-4042 (($ $) 52) (($ (-635 $)) 51)) (-1524 (((-121) (-123)) 40)) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17))) 
+(((-297) (-1278)) (T -297)) 
+((-1534 (*1 *1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-1534 (*1 *1 *2 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-1534 (*1 *1 *2 *1 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-1534 (*1 *1 *2 *1 *1 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-1534 (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 *1)) (-4 *1 (-297)))) (-2773 (*1 *1 *1 *2) (-12 (-5 *2 (-289 *1)) (-4 *1 (-297)))) (-2773 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-289 *1))) (-4 *1 (-297)))) (-2773 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-608 *1))) (-5 *3 (-635 *1)) (-4 *1 (-297)))) (-4042 (*1 *1 *1) (-4 *1 (-297))) (-4042 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-297)))) (-2337 (*1 *1 *1) (-4 *1 (-297))) (-2337 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-297)))) (-4082 (*1 *1 *1) (-4 *1 (-297))) (-4082 (*1 *1 *1 *1) (-4 *1 (-297))) (-2626 (*1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-764)))) (-2359 (*1 *2 *1) (|partial| -12 (-5 *2 (-608 *1)) (-4 *1 (-297)))) (-1735 (*1 *2 *1) (-12 (-5 *2 (-635 (-608 *1))) (-4 *1 (-297)))) (-4003 (*1 *2 *1) (-12 (-5 *2 (-635 (-608 *1))) (-4 *1 (-297)))) (-3431 (*1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-635 (-123))))) (-2265 (*1 *2 *2) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-1524 (*1 *2 *3) (-12 (-4 *1 (-297)) (-5 *3 (-123)) (-5 *2 (-121)))) (-4029 (*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-123)) (-5 *2 (-121)))) (-4029 (*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-1163)) (-5 *2 (-121)))) (-1777 (*1 *1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-1777 (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 *1)) (-4 *1 (-297)))) (-1544 (*1 *1 *2 *3) (-12 (-5 *2 (-1 *1 *1)) (-5 *3 (-608 *1)) (-4 *1 (-297)))) (-1452 (*1 *2 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-121)))) (-1452 (*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-1163)) (-5 *2 (-121)))) (-1468 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-635 (-1 *1 *1))) (-4 *1 (-297)))) (-1468 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-635 (-1 *1 (-635 *1)))) (-4 *1 (-297)))) (-1468 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1 *1 (-635 *1))) (-4 *1 (-297)))) (-1468 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1 *1 *1)) (-4 *1 (-297)))) (-1468 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-123))) (-5 *3 (-635 (-1 *1 *1))) (-4 *1 (-297)))) (-1468 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-123))) (-5 *3 (-635 (-1 *1 (-635 *1)))) (-4 *1 (-297)))) (-1468 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *1 (-635 *1))) (-4 *1 (-297)))) (-1468 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *1 *1)) (-4 *1 (-297)))) (-4080 (*1 *2 *3) (-12 (-5 *3 (-608 *1)) (-4 *1 (-1048)) (-4 *1 (-297)) (-5 *2 (-1159 *1)))) (-2745 (*1 *1 *1) (-12 (-4 *1 (-1048)) (-4 *1 (-297)))) (-1657 (*1 *2 *1) (-12 (-4 *1 (-1038 (-569))) (-4 *1 (-297)) (-5 *2 (-121)))) (-1931 (*1 *2 *1) (-12 (-4 *1 (-1038 (-569))) (-4 *1 (-297)) (-5 *2 (-121))))) 
+(-13 (-843) (-1038 (-608 $)) (-524 (-608 $) $) (-304 $) (-10 -8 (-15 -1534 ($ (-123) $)) (-15 -1534 ($ (-123) $ $)) (-15 -1534 ($ (-123) $ $ $)) (-15 -1534 ($ (-123) $ $ $ $)) (-15 -1534 ($ (-123) (-635 $))) (-15 -2773 ($ $ (-289 $))) (-15 -2773 ($ $ (-635 (-289 $)))) (-15 -2773 ($ $ (-635 (-608 $)) (-635 $))) (-15 -4042 ($ $)) (-15 -4042 ($ (-635 $))) (-15 -2337 ($ $)) (-15 -2337 ($ (-635 $))) (-15 -4082 ($ $)) (-15 -4082 ($ $ $)) (-15 -2626 ((-764) $)) (-15 -2359 ((-3 (-608 $) "failed") $)) (-15 -1735 ((-635 (-608 $)) $)) (-15 -4003 ((-635 (-608 $)) $)) (-15 -3431 ((-635 (-123)) $)) (-15 -2265 ((-123) (-123))) (-15 -1524 ((-121) (-123))) (-15 -4029 ((-121) $ (-123))) (-15 -4029 ((-121) $ (-1163))) (-15 -1777 ($ (-123) $)) (-15 -1777 ($ (-123) (-635 $))) (-15 -1544 ($ (-1 $ $) (-608 $))) (-15 -1452 ((-121) $ $)) (-15 -1452 ((-121) $ (-1163))) (-15 -1468 ($ $ (-635 (-1163)) (-635 (-1 $ $)))) (-15 -1468 ($ $ (-635 (-1163)) (-635 (-1 $ (-635 $))))) (-15 -1468 ($ $ (-1163) (-1 $ (-635 $)))) (-15 -1468 ($ $ (-1163) (-1 $ $))) (-15 -1468 ($ $ (-635 (-123)) (-635 (-1 $ $)))) (-15 -1468 ($ $ (-635 (-123)) (-635 (-1 $ (-635 $))))) (-15 -1468 ($ $ (-123) (-1 $ (-635 $)))) (-15 -1468 ($ $ (-123) (-1 $ $))) (IF (|has| $ (-1048)) (PROGN (-15 -4080 ((-1159 $) (-608 $))) (-15 -2745 ($ $))) |noBranch|) (IF (|has| $ (-1038 (-569))) (PROGN (-15 -1657 ((-121) $)) (-15 -1931 ((-121) $))) |noBranch|))) 
+(((-105) . T) ((-609 (-851)) . T) ((-304 $) . T) ((-524 (-608 $) $) . T) ((-524 $ $) . T) ((-843) . T) ((-1038 (-608 $)) . T) ((-1091) . T)) 
+((-3517 (((-635 |#1|) (-635 |#1|)) 10))) 
+(((-298 |#1|) (-10 -7 (-15 -3517 ((-635 |#1|) (-635 |#1|)))) (-841)) (T -298)) 
+((-3517 (*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-841)) (-5 *1 (-298 *3))))) 
+(-10 -7 (-15 -3517 ((-635 |#1|) (-635 |#1|)))) 
+((-1544 (((-680 |#2|) (-1 |#2| |#1|) (-680 |#1|)) 15))) 
+(((-299 |#1| |#2|) (-10 -7 (-15 -1544 ((-680 |#2|) (-1 |#2| |#1|) (-680 |#1|)))) (-1048) (-1048)) (T -299)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-680 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-5 *2 (-680 *6)) (-5 *1 (-299 *5 *6))))) 
+(-10 -7 (-15 -1544 ((-680 |#2|) (-1 |#2| |#1|) (-680 |#1|)))) 
+((-3798 (((-1247 (-311 (-382))) (-1247 (-311 (-216)))) 105)) (-3295 (((-1085 (-836 (-216))) (-1085 (-836 (-382)))) 39)) (-1989 (((-635 (-1145)) (-1143 (-216))) 87)) (-4486 (((-311 (-382)) (-954 (-216))) 49)) (-2270 (((-216) (-954 (-216))) 45)) (-2860 (((-1145) (-382)) 167)) (-1489 (((-836 (-216)) (-836 (-382))) 33)) (-3820 (((-2 (|:| |additions| (-569)) (|:| |multiplications| (-569)) (|:| |exponentiations| (-569)) (|:| |functionCalls| (-569))) (-1247 (-311 (-216)))) 142)) (-3141 (((-1036) (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036)))) 180) (((-1036) (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) 178)) (-3477 (((-680 (-216)) (-635 (-216)) (-764)) 13)) (-4284 (((-1247 (-689)) (-635 (-216))) 94)) (-3679 (((-635 (-1145)) (-635 (-216))) 74)) (-1695 (((-3 (-311 (-216)) "failed") (-311 (-216))) 120)) (-3861 (((-121) (-216) (-1085 (-836 (-216)))) 109)) (-2233 (((-1036) (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))) 198)) (-1559 (((-216) (-1085 (-836 (-216)))) 107)) (-3995 (((-216) (-1085 (-836 (-216)))) 108)) (-4253 (((-216) (-410 (-569))) 26)) (-2788 (((-1145) (-382)) 72)) (-3432 (((-216) (-382)) 17)) (-3588 (((-382) (-1247 (-311 (-216)))) 153)) (-1299 (((-311 (-216)) (-311 (-382))) 23)) (-4472 (((-410 (-569)) (-311 (-216))) 52)) (-3571 (((-311 (-410 (-569))) (-311 (-216))) 68)) (-2214 (((-311 (-382)) (-311 (-216))) 98)) (-4340 (((-216) (-311 (-216))) 53)) (-3925 (((-635 (-216)) (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) 63)) (-4234 (((-1085 (-836 (-216))) (-1085 (-836 (-216)))) 60)) (-2370 (((-1145) (-216)) 71)) (-3756 (((-689) (-216)) 90)) (-1410 (((-410 (-569)) (-216)) 54)) (-3421 (((-311 (-382)) (-216)) 48)) (-3817 (((-635 (-1085 (-836 (-216)))) (-635 (-1085 (-836 (-382))))) 42)) (-2250 (((-1036) (-635 (-1036))) 163) (((-1036) (-1036) (-1036)) 160)) (-4099 (((-1036) (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) 194))) 
+(((-300) (-10 -7 (-15 -3432 ((-216) (-382))) (-15 -1299 ((-311 (-216)) (-311 (-382)))) (-15 -1489 ((-836 (-216)) (-836 (-382)))) (-15 -3295 ((-1085 (-836 (-216))) (-1085 (-836 (-382))))) (-15 -3817 ((-635 (-1085 (-836 (-216)))) (-635 (-1085 (-836 (-382)))))) (-15 -1410 ((-410 (-569)) (-216))) (-15 -4472 ((-410 (-569)) (-311 (-216)))) (-15 -4340 ((-216) (-311 (-216)))) (-15 -1695 ((-3 (-311 (-216)) "failed") (-311 (-216)))) (-15 -3588 ((-382) (-1247 (-311 (-216))))) (-15 -3820 ((-2 (|:| |additions| (-569)) (|:| |multiplications| (-569)) (|:| |exponentiations| (-569)) (|:| |functionCalls| (-569))) (-1247 (-311 (-216))))) (-15 -3571 ((-311 (-410 (-569))) (-311 (-216)))) (-15 -4234 ((-1085 (-836 (-216))) (-1085 (-836 (-216))))) (-15 -3925 ((-635 (-216)) (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))))) (-15 -3756 ((-689) (-216))) (-15 -4284 ((-1247 (-689)) (-635 (-216)))) (-15 -2214 ((-311 (-382)) (-311 (-216)))) (-15 -3798 ((-1247 (-311 (-382))) (-1247 (-311 (-216))))) (-15 -3861 ((-121) (-216) (-1085 (-836 (-216))))) (-15 -2370 ((-1145) (-216))) (-15 -2788 ((-1145) (-382))) (-15 -3679 ((-635 (-1145)) (-635 (-216)))) (-15 -1989 ((-635 (-1145)) (-1143 (-216)))) (-15 -1559 ((-216) (-1085 (-836 (-216))))) (-15 -3995 ((-216) (-1085 (-836 (-216))))) (-15 -2250 ((-1036) (-1036) (-1036))) (-15 -2250 ((-1036) (-635 (-1036)))) (-15 -2860 ((-1145) (-382))) (-15 -3141 ((-1036) (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))))) (-15 -3141 ((-1036) (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036))))) (-15 -4099 ((-1036) (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))) (-15 -2233 ((-1036) (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))) (-15 -4486 ((-311 (-382)) (-954 (-216)))) (-15 -2270 ((-216) (-954 (-216)))) (-15 -3421 ((-311 (-382)) (-216))) (-15 -4253 ((-216) (-410 (-569)))) (-15 -3477 ((-680 (-216)) (-635 (-216)) (-764))))) (T -300)) 
+((-3477 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-216))) (-5 *4 (-764)) (-5 *2 (-680 (-216))) (-5 *1 (-300)))) (-4253 (*1 *2 *3) (-12 (-5 *3 (-410 (-569))) (-5 *2 (-216)) (-5 *1 (-300)))) (-3421 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-311 (-382))) (-5 *1 (-300)))) (-2270 (*1 *2 *3) (-12 (-5 *3 (-954 (-216))) (-5 *2 (-216)) (-5 *1 (-300)))) (-4486 (*1 *2 *3) (-12 (-5 *3 (-954 (-216))) (-5 *2 (-311 (-382))) (-5 *1 (-300)))) (-2233 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))) (-5 *2 (-1036)) (-5 *1 (-300)))) (-4099 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *2 (-1036)) (-5 *1 (-300)))) (-3141 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036)))) (-5 *2 (-1036)) (-5 *1 (-300)))) (-3141 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *2 (-1036)) (-5 *1 (-300)))) (-2860 (*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1145)) (-5 *1 (-300)))) (-2250 (*1 *2 *3) (-12 (-5 *3 (-635 (-1036))) (-5 *2 (-1036)) (-5 *1 (-300)))) (-2250 (*1 *2 *2 *2) (-12 (-5 *2 (-1036)) (-5 *1 (-300)))) (-3995 (*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-216)))) (-5 *2 (-216)) (-5 *1 (-300)))) (-1559 (*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-216)))) (-5 *2 (-216)) (-5 *1 (-300)))) (-1989 (*1 *2 *3) (-12 (-5 *3 (-1143 (-216))) (-5 *2 (-635 (-1145))) (-5 *1 (-300)))) (-3679 (*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-635 (-1145))) (-5 *1 (-300)))) (-2788 (*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1145)) (-5 *1 (-300)))) (-2370 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1145)) (-5 *1 (-300)))) (-3861 (*1 *2 *3 *4) (-12 (-5 *4 (-1085 (-836 (-216)))) (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-300)))) (-3798 (*1 *2 *3) (-12 (-5 *3 (-1247 (-311 (-216)))) (-5 *2 (-1247 (-311 (-382)))) (-5 *1 (-300)))) (-2214 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-311 (-382))) (-5 *1 (-300)))) (-4284 (*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-1247 (-689))) (-5 *1 (-300)))) (-3756 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-689)) (-5 *1 (-300)))) (-3925 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *2 (-635 (-216))) (-5 *1 (-300)))) (-4234 (*1 *2 *2) (-12 (-5 *2 (-1085 (-836 (-216)))) (-5 *1 (-300)))) (-3571 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-311 (-410 (-569)))) (-5 *1 (-300)))) (-3820 (*1 *2 *3) (-12 (-5 *3 (-1247 (-311 (-216)))) (-5 *2 (-2 (|:| |additions| (-569)) (|:| |multiplications| (-569)) (|:| |exponentiations| (-569)) (|:| |functionCalls| (-569)))) (-5 *1 (-300)))) (-3588 (*1 *2 *3) (-12 (-5 *3 (-1247 (-311 (-216)))) (-5 *2 (-382)) (-5 *1 (-300)))) (-1695 (*1 *2 *2) (|partial| -12 (-5 *2 (-311 (-216))) (-5 *1 (-300)))) (-4340 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-216)) (-5 *1 (-300)))) (-4472 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-410 (-569))) (-5 *1 (-300)))) (-1410 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-410 (-569))) (-5 *1 (-300)))) (-3817 (*1 *2 *3) (-12 (-5 *3 (-635 (-1085 (-836 (-382))))) (-5 *2 (-635 (-1085 (-836 (-216))))) (-5 *1 (-300)))) (-3295 (*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-382)))) (-5 *2 (-1085 (-836 (-216)))) (-5 *1 (-300)))) (-1489 (*1 *2 *3) (-12 (-5 *3 (-836 (-382))) (-5 *2 (-836 (-216))) (-5 *1 (-300)))) (-1299 (*1 *2 *3) (-12 (-5 *3 (-311 (-382))) (-5 *2 (-311 (-216))) (-5 *1 (-300)))) (-3432 (*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-216)) (-5 *1 (-300))))) 
+(-10 -7 (-15 -3432 ((-216) (-382))) (-15 -1299 ((-311 (-216)) (-311 (-382)))) (-15 -1489 ((-836 (-216)) (-836 (-382)))) (-15 -3295 ((-1085 (-836 (-216))) (-1085 (-836 (-382))))) (-15 -3817 ((-635 (-1085 (-836 (-216)))) (-635 (-1085 (-836 (-382)))))) (-15 -1410 ((-410 (-569)) (-216))) (-15 -4472 ((-410 (-569)) (-311 (-216)))) (-15 -4340 ((-216) (-311 (-216)))) (-15 -1695 ((-3 (-311 (-216)) "failed") (-311 (-216)))) (-15 -3588 ((-382) (-1247 (-311 (-216))))) (-15 -3820 ((-2 (|:| |additions| (-569)) (|:| |multiplications| (-569)) (|:| |exponentiations| (-569)) (|:| |functionCalls| (-569))) (-1247 (-311 (-216))))) (-15 -3571 ((-311 (-410 (-569))) (-311 (-216)))) (-15 -4234 ((-1085 (-836 (-216))) (-1085 (-836 (-216))))) (-15 -3925 ((-635 (-216)) (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))))) (-15 -3756 ((-689) (-216))) (-15 -4284 ((-1247 (-689)) (-635 (-216)))) (-15 -2214 ((-311 (-382)) (-311 (-216)))) (-15 -3798 ((-1247 (-311 (-382))) (-1247 (-311 (-216))))) (-15 -3861 ((-121) (-216) (-1085 (-836 (-216))))) (-15 -2370 ((-1145) (-216))) (-15 -2788 ((-1145) (-382))) (-15 -3679 ((-635 (-1145)) (-635 (-216)))) (-15 -1989 ((-635 (-1145)) (-1143 (-216)))) (-15 -1559 ((-216) (-1085 (-836 (-216))))) (-15 -3995 ((-216) (-1085 (-836 (-216))))) (-15 -2250 ((-1036) (-1036) (-1036))) (-15 -2250 ((-1036) (-635 (-1036)))) (-15 -2860 ((-1145) (-382))) (-15 -3141 ((-1036) (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))))) (-15 -3141 ((-1036) (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036))))) (-15 -4099 ((-1036) (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))) (-15 -2233 ((-1036) (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))) (-15 -4486 ((-311 (-382)) (-954 (-216)))) (-15 -2270 ((-216) (-954 (-216)))) (-15 -3421 ((-311 (-382)) (-216))) (-15 -4253 ((-216) (-410 (-569)))) (-15 -3477 ((-680 (-216)) (-635 (-216)) (-764)))) 
+((-3934 (((-121) $ $) 11)) (-2506 (($ $ $) 15)) (-2524 (($ $ $) 14)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 43)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 52)) (-2714 (($ $ $) 21) (($ (-635 $)) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 31) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 36)) (-2941 (((-3 $ "failed") $ $) 18)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 45))) 
+(((-301 |#1|) (-10 -8 (-15 -1767 ((-3 (-635 |#1|) "failed") (-635 |#1|) |#1|)) (-15 -2212 ((-3 (-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|)) "failed") |#1| |#1| |#1|)) (-15 -2212 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -1809 |#1|)) |#1| |#1|)) (-15 -2506 (|#1| |#1| |#1|)) (-15 -2524 (|#1| |#1| |#1|)) (-15 -3934 ((-121) |#1| |#1|)) (-15 -4074 ((-3 (-635 |#1|) "failed") (-635 |#1|) |#1|)) (-15 -4332 ((-2 (|:| -4140 (-635 |#1|)) (|:| -1809 |#1|)) (-635 |#1|))) (-15 -2714 (|#1| (-635 |#1|))) (-15 -2714 (|#1| |#1| |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#1|))) (-302)) (T -301)) 
+NIL 
+(-10 -8 (-15 -1767 ((-3 (-635 |#1|) "failed") (-635 |#1|) |#1|)) (-15 -2212 ((-3 (-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|)) "failed") |#1| |#1| |#1|)) (-15 -2212 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -1809 |#1|)) |#1| |#1|)) (-15 -2506 (|#1| |#1| |#1|)) (-15 -2524 (|#1| |#1| |#1|)) (-15 -3934 ((-121) |#1| |#1|)) (-15 -4074 ((-3 (-635 |#1|) "failed") (-635 |#1|) |#1|)) (-15 -4332 ((-2 (|:| -4140 (-635 |#1|)) (|:| -1809 |#1|)) (-635 |#1|))) (-15 -2714 (|#1| (-635 |#1|))) (-15 -2714 (|#1| |#1| |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-3934 (((-121) $ $) 57)) (-2820 (($) 16 T CONST)) (-2506 (($ $ $) 53)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-1407 (((-121) $) 30)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-302) (-1278)) (T -302)) 
+((-3934 (*1 *2 *1 *1) (-12 (-4 *1 (-302)) (-5 *2 (-121)))) (-2622 (*1 *2 *1) (-12 (-4 *1 (-302)) (-5 *2 (-764)))) (-2609 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-302)))) (-2524 (*1 *1 *1 *1) (-4 *1 (-302))) (-2506 (*1 *1 *1 *1) (-4 *1 (-302))) (-2212 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -1809 *1))) (-4 *1 (-302)))) (-2212 (*1 *2 *1 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-302)))) (-1767 (*1 *2 *2 *1) (|partial| -12 (-5 *2 (-635 *1)) (-4 *1 (-302))))) 
+(-13 (-917) (-10 -8 (-15 -3934 ((-121) $ $)) (-15 -2622 ((-764) $)) (-15 -2609 ((-2 (|:| -4268 $) (|:| -1830 $)) $ $)) (-15 -2524 ($ $ $)) (-15 -2506 ($ $ $)) (-15 -2212 ((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $)) (-15 -2212 ((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $)) (-15 -1767 ((-3 (-635 $) "failed") (-635 $) $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-173) . T) ((-286) . T) ((-454) . T) ((-559) . T) ((-638 $) . T) ((-708 $) . T) ((-717) . T) ((-917) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-1468 (($ $ (-635 |#2|) (-635 |#2|)) 14) (($ $ |#2| |#2|) NIL) (($ $ (-289 |#2|)) 11) (($ $ (-635 (-289 |#2|))) NIL))) 
+(((-303 |#1| |#2|) (-10 -8 (-15 -1468 (|#1| |#1| (-635 (-289 |#2|)))) (-15 -1468 (|#1| |#1| (-289 |#2|))) (-15 -1468 (|#1| |#1| |#2| |#2|)) (-15 -1468 (|#1| |#1| (-635 |#2|) (-635 |#2|)))) (-304 |#2|) (-1091)) (T -303)) 
+NIL 
+(-10 -8 (-15 -1468 (|#1| |#1| (-635 (-289 |#2|)))) (-15 -1468 (|#1| |#1| (-289 |#2|))) (-15 -1468 (|#1| |#1| |#2| |#2|)) (-15 -1468 (|#1| |#1| (-635 |#2|) (-635 |#2|)))) 
+((-1468 (($ $ (-635 |#1|) (-635 |#1|)) 7) (($ $ |#1| |#1|) 6) (($ $ (-289 |#1|)) 9) (($ $ (-635 (-289 |#1|))) 8))) 
+(((-304 |#1|) (-1278) (-1091)) (T -304)) 
+((-1468 (*1 *1 *1 *2) (-12 (-5 *2 (-289 *3)) (-4 *1 (-304 *3)) (-4 *3 (-1091)))) (-1468 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-289 *3))) (-4 *1 (-304 *3)) (-4 *3 (-1091))))) 
+(-13 (-524 |t#1| |t#1|) (-10 -8 (-15 -1468 ($ $ (-289 |t#1|))) (-15 -1468 ($ $ (-635 (-289 |t#1|)))))) 
+(((-524 |#1| |#1|) . T)) 
+((-1468 ((|#1| (-1 |#1| (-569)) (-1165 (-410 (-569)))) 24))) 
+(((-305 |#1|) (-10 -7 (-15 -1468 (|#1| (-1 |#1| (-569)) (-1165 (-410 (-569)))))) (-43 (-410 (-569)))) (T -305)) 
+((-1468 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-569))) (-5 *4 (-1165 (-410 (-569)))) (-5 *1 (-305 *2)) (-4 *2 (-43 (-410 (-569))))))) 
+(-10 -7 (-15 -1468 (|#1| (-1 |#1| (-569)) (-1165 (-410 (-569)))))) 
+((-2568 (((-121) $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 7)) (-1668 (((-121) $ $) 9))) 
+(((-306) (-1091)) (T -306)) 
+NIL 
+(-1091) 
+((-3621 (((-1252) (-1151 3 (-216)) (-1145)) 38))) 
+(((-307) (-10 -7 (-15 -3621 ((-1252) (-1151 3 (-216)) (-1145))))) (T -307)) 
+((-3621 (*1 *2 *3 *4) (-12 (-5 *3 (-1151 3 (-216))) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-307))))) 
+(-10 -7 (-15 -3621 ((-1252) (-1151 3 (-216)) (-1145)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 62)) (-3761 (((-1232 |#1| |#2| |#3| |#4|) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-302)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-905)))) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-905)))) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-816)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-1232 |#1| |#2| |#3| |#4|) "failed") $) NIL) (((-3 (-1163) "failed") $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-1038 (-1163)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-1038 (-569)))) (((-3 (-569) "failed") $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-1038 (-569)))) (((-3 (-1231 |#2| |#3| |#4|) "failed") $) 24)) (-2428 (((-1232 |#1| |#2| |#3| |#4|) $) NIL) (((-1163) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-1038 (-1163)))) (((-410 (-569)) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-1038 (-569)))) (((-569) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-1038 (-569)))) (((-1231 |#2| |#3| |#4|) $) NIL)) (-2506 (($ $ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-1232 |#1| |#2| |#3| |#4|))) (|:| |vec| (-1247 (-1232 |#1| |#2| |#3| |#4|)))) (-680 $) (-1247 $)) NIL) (((-680 (-1232 |#1| |#2| |#3| |#4|)) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-551)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-2403 (((-121) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-816)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-882 (-382))))) (-1407 (((-121) $) NIL)) (-4052 (($ $) NIL)) (-4116 (((-1232 |#1| |#2| |#3| |#4|) $) 21)) (-3846 (((-3 $ "failed") $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-1137)))) (-1781 (((-121) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-816)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3291 (($ $ $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-843)))) (-1538 (($ $ $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-843)))) (-1544 (($ (-1 (-1232 |#1| |#2| |#3| |#4|) (-1232 |#1| |#2| |#3| |#4|)) $) NIL)) (-3256 (((-3 (-836 |#2|) "failed") $) 76)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-1137)) CONST)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1346 (($ $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-302)))) (-2942 (((-1232 |#1| |#2| |#3| |#4|) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-551)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-905)))) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1468 (($ $ (-635 (-1232 |#1| |#2| |#3| |#4|)) (-635 (-1232 |#1| |#2| |#3| |#4|))) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-304 (-1232 |#1| |#2| |#3| |#4|)))) (($ $ (-1232 |#1| |#2| |#3| |#4|) (-1232 |#1| |#2| |#3| |#4|)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-304 (-1232 |#1| |#2| |#3| |#4|)))) (($ $ (-289 (-1232 |#1| |#2| |#3| |#4|))) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-304 (-1232 |#1| |#2| |#3| |#4|)))) (($ $ (-635 (-289 (-1232 |#1| |#2| |#3| |#4|)))) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-304 (-1232 |#1| |#2| |#3| |#4|)))) (($ $ (-635 (-1163)) (-635 (-1232 |#1| |#2| |#3| |#4|))) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-524 (-1163) (-1232 |#1| |#2| |#3| |#4|)))) (($ $ (-1163) (-1232 |#1| |#2| |#3| |#4|)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-524 (-1163) (-1232 |#1| |#2| |#3| |#4|))))) (-2622 (((-764) $) NIL)) (-1534 (($ $ (-1232 |#1| |#2| |#3| |#4|)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-282 (-1232 |#1| |#2| |#3| |#4|) (-1232 |#1| |#2| |#3| |#4|))))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3899 (($ $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-226))) (($ $ (-764)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-226))) (($ $ (-1163)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-896 (-1163)))) (($ $ (-1 (-1232 |#1| |#2| |#3| |#4|) (-1232 |#1| |#2| |#3| |#4|)) (-764)) NIL) (($ $ (-1 (-1232 |#1| |#2| |#3| |#4|) (-1232 |#1| |#2| |#3| |#4|))) NIL)) (-4214 (($ $) NIL)) (-4121 (((-1232 |#1| |#2| |#3| |#4|) $) 17)) (-3817 (((-888 (-569)) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-610 (-888 (-569))))) (((-888 (-382)) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-610 (-888 (-382))))) (((-542) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-610 (-542)))) (((-382) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-1022))) (((-216) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-1022)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| (-1232 |#1| |#2| |#3| |#4|) (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-1232 |#1| |#2| |#3| |#4|)) 28) (($ (-1163)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-1038 (-1163)))) (($ (-1231 |#2| |#3| |#4|)) 36)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| (-1232 |#1| |#2| |#3| |#4|) (-905))) (|has| (-1232 |#1| |#2| |#3| |#4|) (-149))))) (-1991 (((-764)) NIL)) (-2612 (((-1232 |#1| |#2| |#3| |#4|) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-551)))) (-1961 (((-121) $ $) NIL)) (-1616 (($ $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-816)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 41 T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-226))) (($ $ (-764)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-226))) (($ $ (-1163)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-896 (-1163)))) (($ $ (-1 (-1232 |#1| |#2| |#3| |#4|) (-1232 |#1| |#2| |#3| |#4|)) (-764)) NIL) (($ $ (-1 (-1232 |#1| |#2| |#3| |#4|) (-1232 |#1| |#2| |#3| |#4|))) NIL)) (-1693 (((-121) $ $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-843)))) (-1684 (((-121) $ $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-843)))) (-1678 (((-121) $ $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-843)))) (-1715 (($ $ $) 33) (($ (-1232 |#1| |#2| |#3| |#4|) (-1232 |#1| |#2| |#3| |#4|)) 30)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-1232 |#1| |#2| |#3| |#4|) $) 29) (($ $ (-1232 |#1| |#2| |#3| |#4|)) NIL))) 
+(((-308 |#1| |#2| |#3| |#4|) (-13 (-994 (-1232 |#1| |#2| |#3| |#4|)) (-1038 (-1231 |#2| |#3| |#4|)) (-10 -8 (-15 -3256 ((-3 (-836 |#2|) "failed") $)) (-15 -2185 ($ (-1231 |#2| |#3| |#4|))))) (-13 (-843) (-1038 (-569)) (-631 (-569)) (-454)) (-13 (-27) (-1183) (-433 |#1|)) (-1163) |#2|) (T -308)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1231 *4 *5 *6)) (-4 *4 (-13 (-27) (-1183) (-433 *3))) (-14 *5 (-1163)) (-14 *6 *4) (-4 *3 (-13 (-843) (-1038 (-569)) (-631 (-569)) (-454))) (-5 *1 (-308 *3 *4 *5 *6)))) (-3256 (*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-843) (-1038 (-569)) (-631 (-569)) (-454))) (-5 *2 (-836 *4)) (-5 *1 (-308 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1183) (-433 *3))) (-14 *5 (-1163)) (-14 *6 *4)))) 
+(-13 (-994 (-1232 |#1| |#2| |#3| |#4|)) (-1038 (-1231 |#2| |#3| |#4|)) (-10 -8 (-15 -3256 ((-3 (-836 |#2|) "failed") $)) (-15 -2185 ($ (-1231 |#2| |#3| |#4|))))) 
+((-1544 (((-311 |#2|) (-1 |#2| |#1|) (-311 |#1|)) 13))) 
+(((-309 |#1| |#2|) (-10 -7 (-15 -1544 ((-311 |#2|) (-1 |#2| |#1|) (-311 |#1|)))) (-843) (-843)) (T -309)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-311 *5)) (-4 *5 (-843)) (-4 *6 (-843)) (-5 *2 (-311 *6)) (-5 *1 (-309 *5 *6))))) 
+(-10 -7 (-15 -1544 ((-311 |#2|) (-1 |#2| |#1|) (-311 |#1|)))) 
+((-1784 (((-57) |#2| (-289 |#2|) (-764)) 33) (((-57) |#2| (-289 |#2|)) 24) (((-57) |#2| (-764)) 28) (((-57) |#2|) 25) (((-57) (-1163)) 21)) (-3343 (((-57) |#2| (-289 |#2|) (-410 (-569))) 51) (((-57) |#2| (-289 |#2|)) 48) (((-57) |#2| (-410 (-569))) 50) (((-57) |#2|) 49) (((-57) (-1163)) 47)) (-1791 (((-57) |#2| (-289 |#2|) (-410 (-569))) 46) (((-57) |#2| (-289 |#2|)) 43) (((-57) |#2| (-410 (-569))) 45) (((-57) |#2|) 44) (((-57) (-1163)) 42)) (-1788 (((-57) |#2| (-289 |#2|) (-569)) 39) (((-57) |#2| (-289 |#2|)) 35) (((-57) |#2| (-569)) 38) (((-57) |#2|) 36) (((-57) (-1163)) 34))) 
+(((-310 |#1| |#2|) (-10 -7 (-15 -1784 ((-57) (-1163))) (-15 -1784 ((-57) |#2|)) (-15 -1784 ((-57) |#2| (-764))) (-15 -1784 ((-57) |#2| (-289 |#2|))) (-15 -1784 ((-57) |#2| (-289 |#2|) (-764))) (-15 -1788 ((-57) (-1163))) (-15 -1788 ((-57) |#2|)) (-15 -1788 ((-57) |#2| (-569))) (-15 -1788 ((-57) |#2| (-289 |#2|))) (-15 -1788 ((-57) |#2| (-289 |#2|) (-569))) (-15 -1791 ((-57) (-1163))) (-15 -1791 ((-57) |#2|)) (-15 -1791 ((-57) |#2| (-410 (-569)))) (-15 -1791 ((-57) |#2| (-289 |#2|))) (-15 -1791 ((-57) |#2| (-289 |#2|) (-410 (-569)))) (-15 -3343 ((-57) (-1163))) (-15 -3343 ((-57) |#2|)) (-15 -3343 ((-57) |#2| (-410 (-569)))) (-15 -3343 ((-57) |#2| (-289 |#2|))) (-15 -3343 ((-57) |#2| (-289 |#2|) (-410 (-569))))) (-13 (-454) (-843) (-1038 (-569)) (-631 (-569))) (-13 (-27) (-1183) (-433 |#1|))) (T -310)) 
+((-3343 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-410 (-569))) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) (-3343 (*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) (-3343 (*1 *2 *3 *4) (-12 (-5 *4 (-410 (-569))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) (-3343 (*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4))))) (-3343 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1183) (-433 *4))))) (-1791 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-410 (-569))) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) (-1791 (*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) (-1791 (*1 *2 *3 *4) (-12 (-5 *4 (-410 (-569))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) (-1791 (*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4))))) (-1791 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1183) (-433 *4))))) (-1788 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-454) (-843) (-1038 *5) (-631 *5))) (-5 *5 (-569)) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) (-1788 (*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) (-1788 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-13 (-454) (-843) (-1038 *4) (-631 *4))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) (-1788 (*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4))))) (-1788 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1183) (-433 *4))))) (-1784 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-764)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) (-1784 (*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) (-1784 (*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) (-1784 (*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4))))) (-1784 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1183) (-433 *4)))))) 
+(-10 -7 (-15 -1784 ((-57) (-1163))) (-15 -1784 ((-57) |#2|)) (-15 -1784 ((-57) |#2| (-764))) (-15 -1784 ((-57) |#2| (-289 |#2|))) (-15 -1784 ((-57) |#2| (-289 |#2|) (-764))) (-15 -1788 ((-57) (-1163))) (-15 -1788 ((-57) |#2|)) (-15 -1788 ((-57) |#2| (-569))) (-15 -1788 ((-57) |#2| (-289 |#2|))) (-15 -1788 ((-57) |#2| (-289 |#2|) (-569))) (-15 -1791 ((-57) (-1163))) (-15 -1791 ((-57) |#2|)) (-15 -1791 ((-57) |#2| (-410 (-569)))) (-15 -1791 ((-57) |#2| (-289 |#2|))) (-15 -1791 ((-57) |#2| (-289 |#2|) (-410 (-569)))) (-15 -3343 ((-57) (-1163))) (-15 -3343 ((-57) |#2|)) (-15 -3343 ((-57) |#2| (-410 (-569)))) (-15 -3343 ((-57) |#2| (-289 |#2|))) (-15 -3343 ((-57) |#2| (-289 |#2|) (-410 (-569))))) 
+((-2568 (((-121) $ $) NIL)) (-1842 (((-635 $) $ (-1163)) NIL (|has| |#1| (-559))) (((-635 $) $) NIL (|has| |#1| (-559))) (((-635 $) (-1159 $) (-1163)) NIL (|has| |#1| (-559))) (((-635 $) (-1159 $)) NIL (|has| |#1| (-559))) (((-635 $) (-954 $)) NIL (|has| |#1| (-559)))) (-2493 (($ $ (-1163)) NIL (|has| |#1| (-559))) (($ $) NIL (|has| |#1| (-559))) (($ (-1159 $) (-1163)) NIL (|has| |#1| (-559))) (($ (-1159 $)) NIL (|has| |#1| (-559))) (($ (-954 $)) NIL (|has| |#1| (-559)))) (-3813 (((-121) $) 27 (-2232 (|has| |#1| (-25)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048)))))) (-1773 (((-635 (-1163)) $) 348)) (-1739 (((-410 (-1159 $)) $ (-608 $)) NIL (|has| |#1| (-559)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-4003 (((-635 (-608 $)) $) NIL)) (-1753 (($ $) 154 (|has| |#1| (-559)))) (-2530 (($ $) 130 (|has| |#1| (-559)))) (-3210 (($ $ (-1083 $)) 215 (|has| |#1| (-559))) (($ $ (-1163)) 211 (|has| |#1| (-559)))) (-2327 (((-3 $ "failed") $ $) NIL (-2232 (|has| |#1| (-21)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048)))))) (-2773 (($ $ (-289 $)) NIL) (($ $ (-635 (-289 $))) 364) (($ $ (-635 (-608 $)) (-635 $)) 407)) (-2379 (((-421 (-1159 $)) (-1159 $)) 292 (-12 (|has| |#1| (-454)) (|has| |#1| (-559))))) (-2004 (($ $) NIL (|has| |#1| (-559)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-559)))) (-2454 (($ $) NIL (|has| |#1| (-559)))) (-3934 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1744 (($ $) 150 (|has| |#1| (-559)))) (-2513 (($ $) 126 (|has| |#1| (-559)))) (-4249 (($ $ (-569)) 64 (|has| |#1| (-559)))) (-1760 (($ $) 158 (|has| |#1| (-559)))) (-2546 (($ $) 134 (|has| |#1| (-559)))) (-2820 (($) NIL (-2232 (|has| |#1| (-25)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))) (|has| |#1| (-1103))) CONST)) (-2663 (((-635 $) $ (-1163)) NIL (|has| |#1| (-559))) (((-635 $) $) NIL (|has| |#1| (-559))) (((-635 $) (-1159 $) (-1163)) NIL (|has| |#1| (-559))) (((-635 $) (-1159 $)) NIL (|has| |#1| (-559))) (((-635 $) (-954 $)) NIL (|has| |#1| (-559)))) (-3550 (($ $ (-1163)) NIL (|has| |#1| (-559))) (($ $) NIL (|has| |#1| (-559))) (($ (-1159 $) (-1163)) 117 (|has| |#1| (-559))) (($ (-1159 $)) NIL (|has| |#1| (-559))) (($ (-954 $)) NIL (|has| |#1| (-559)))) (-1647 (((-3 (-608 $) "failed") $) 17) (((-3 (-1163) "failed") $) NIL) (((-3 |#1| "failed") $) 416) (((-3 (-53) "failed") $) 321 (-12 (|has| |#1| (-559)) (|has| |#1| (-1038 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-954 |#1|)) "failed") $) NIL (|has| |#1| (-559))) (((-3 (-954 |#1|) "failed") $) NIL (|has| |#1| (-1048))) (((-3 (-410 (-569)) "failed") $) 45 (-2232 (-12 (|has| |#1| (-559)) (|has| |#1| (-1038 (-569)))) (|has| |#1| (-1038 (-410 (-569))))))) (-2428 (((-608 $) $) 11) (((-1163) $) NIL) ((|#1| $) 398) (((-53) $) NIL (-12 (|has| |#1| (-559)) (|has| |#1| (-1038 (-569))))) (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-954 |#1|)) $) NIL (|has| |#1| (-559))) (((-954 |#1|) $) NIL (|has| |#1| (-1048))) (((-410 (-569)) $) 305 (-2232 (-12 (|has| |#1| (-559)) (|has| |#1| (-1038 (-569)))) (|has| |#1| (-1038 (-410 (-569))))))) (-2506 (($ $ $) NIL (|has| |#1| (-559)))) (-1696 (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 110 (|has| |#1| (-1048))) (((-680 |#1|) (-680 $)) 102 (|has| |#1| (-1048))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048)))) (((-680 (-569)) (-680 $)) NIL (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))))) (-1774 (($ $) 84 (|has| |#1| (-559)))) (-3428 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))) (|has| |#1| (-1103))))) (-2524 (($ $ $) NIL (|has| |#1| (-559)))) (-1592 (($ $ (-1083 $)) 219 (|has| |#1| (-559))) (($ $ (-1163)) 217 (|has| |#1| (-559)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-559)))) (-3726 (((-121) $) NIL (|has| |#1| (-559)))) (-3429 (($ $ $) 185 (|has| |#1| (-559)))) (-2445 (($) 120 (|has| |#1| (-559)))) (-2381 (($ $ $) 205 (|has| |#1| (-559)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 370 (|has| |#1| (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 376 (|has| |#1| (-882 (-382))))) (-2337 (($ $) NIL) (($ (-635 $)) NIL)) (-3431 (((-635 (-123)) $) NIL)) (-2265 (((-123) (-123)) 264)) (-1407 (((-121) $) 25 (-2232 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))) (|has| |#1| (-1103))))) (-1931 (((-121) $) NIL (|has| $ (-1038 (-569))))) (-4052 (($ $) 66 (|has| |#1| (-1048)))) (-4116 (((-1114 |#1| (-608 $)) $) 79 (|has| |#1| (-1048)))) (-3433 (((-121) $) 46 (|has| |#1| (-559)))) (-4344 (($ $ (-569)) NIL (|has| |#1| (-559)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-559)))) (-4080 (((-1159 $) (-608 $)) 265 (|has| $ (-1048)))) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1544 (($ (-1 $ $) (-608 $)) 403)) (-2359 (((-3 (-608 $) "failed") $) NIL)) (-4450 (($ $) 124 (|has| |#1| (-559)))) (-2469 (($ $) 230 (|has| |#1| (-559)))) (-2665 (($ (-635 $)) NIL (|has| |#1| (-559))) (($ $ $) NIL (|has| |#1| (-559)))) (-2776 (((-1145) $) NIL)) (-1735 (((-635 (-608 $)) $) 48)) (-1777 (($ (-123) $) NIL) (($ (-123) (-635 $)) 408)) (-4087 (((-3 (-635 $) "failed") $) NIL (|has| |#1| (-1103)))) (-2848 (((-3 (-2 (|:| |val| $) (|:| -2356 (-569))) "failed") $) NIL (|has| |#1| (-1048)))) (-3091 (((-3 (-635 $) "failed") $) 411 (|has| |#1| (-25)))) (-1806 (((-3 (-2 (|:| -4140 (-569)) (|:| |var| (-608 $))) "failed") $) 415 (|has| |#1| (-25)))) (-1874 (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $) NIL (|has| |#1| (-1103))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $ (-123)) NIL (|has| |#1| (-1048))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $ (-1163)) NIL (|has| |#1| (-1048)))) (-4029 (((-121) $ (-123)) NIL) (((-121) $ (-1163)) 52)) (-1795 (($ $) NIL (-2232 (|has| |#1| (-479)) (|has| |#1| (-559))))) (-2261 (($ $ (-1163)) 238 (|has| |#1| (-559))) (($ $ (-1083 $)) 240 (|has| |#1| (-559)))) (-2626 (((-764) $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) 43)) (-1801 ((|#1| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 285 (|has| |#1| (-559)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-559))) (($ $ $) NIL (|has| |#1| (-559)))) (-4385 (($ $) 234 (|has| |#1| (-559)))) (-4427 (($ $) 236 (|has| |#1| (-559)))) (-1452 (((-121) $ $) NIL) (((-121) $ (-1163)) NIL)) (-4219 (($ $ (-1163)) 209 (|has| |#1| (-559))) (($ $) 207 (|has| |#1| (-559)))) (-1484 (($ $) 201 (|has| |#1| (-559)))) (-1568 (((-421 (-1159 $)) (-1159 $)) 290 (-12 (|has| |#1| (-454)) (|has| |#1| (-559))))) (-1743 (((-421 $) $) NIL (|has| |#1| (-559)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-559))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-559)))) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-559)))) (-2436 (($ $) 122 (|has| |#1| (-559)))) (-1657 (((-121) $) NIL (|has| $ (-1038 (-569))))) (-1468 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) 402) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1163)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-1163)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-1163) (-1 $ (-635 $))) NIL) (($ $ (-1163) (-1 $ $)) NIL) (($ $ (-635 (-123)) (-635 (-1 $ $))) 358) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-123) (-1 $ (-635 $))) NIL) (($ $ (-123) (-1 $ $)) NIL) (($ $ (-1163)) NIL (|has| |#1| (-610 (-542)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-610 (-542)))) (($ $) NIL (|has| |#1| (-610 (-542)))) (($ $ (-123) $ (-1163)) 346 (|has| |#1| (-610 (-542)))) (($ $ (-635 (-123)) (-635 $) (-1163)) 345 (|has| |#1| (-610 (-542)))) (($ $ (-635 (-1163)) (-635 (-764)) (-635 (-1 $ $))) NIL (|has| |#1| (-1048))) (($ $ (-635 (-1163)) (-635 (-764)) (-635 (-1 $ (-635 $)))) NIL (|has| |#1| (-1048))) (($ $ (-1163) (-764) (-1 $ (-635 $))) NIL (|has| |#1| (-1048))) (($ $ (-1163) (-764) (-1 $ $)) NIL (|has| |#1| (-1048)))) (-2622 (((-764) $) NIL (|has| |#1| (-559)))) (-2477 (($ $) 222 (|has| |#1| (-559)))) (-1534 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-635 $)) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-559)))) (-4082 (($ $) NIL) (($ $ $) NIL)) (-2505 (($ $) 232 (|has| |#1| (-559)))) (-1394 (($ $) 183 (|has| |#1| (-559)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-1048))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-1048))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-1048))) (($ $ (-1163)) NIL (|has| |#1| (-1048)))) (-4214 (($ $) 67 (|has| |#1| (-559)))) (-4121 (((-1114 |#1| (-608 $)) $) 81 (|has| |#1| (-559)))) (-2745 (($ $) 303 (|has| $ (-1048)))) (-1764 (($ $) 160 (|has| |#1| (-559)))) (-2554 (($ $) 136 (|has| |#1| (-559)))) (-1756 (($ $) 156 (|has| |#1| (-559)))) (-2538 (($ $) 132 (|has| |#1| (-559)))) (-1748 (($ $) 152 (|has| |#1| (-559)))) (-2522 (($ $) 128 (|has| |#1| (-559)))) (-3817 (((-888 (-569)) $) NIL (|has| |#1| (-610 (-888 (-569))))) (((-888 (-382)) $) NIL (|has| |#1| (-610 (-888 (-382))))) (($ (-421 $)) NIL (|has| |#1| (-559))) (((-542) $) 343 (|has| |#1| (-610 (-542))))) (-1414 (($ $ $) NIL (|has| |#1| (-479)))) (-4293 (($ $ $) NIL (|has| |#1| (-479)))) (-2185 (((-851) $) 401) (($ (-608 $)) 392) (($ (-1163)) 360) (($ |#1|) 322) (($ $) NIL (|has| |#1| (-559))) (($ (-53)) 297 (-12 (|has| |#1| (-559)) (|has| |#1| (-1038 (-569))))) (($ (-1114 |#1| (-608 $))) 83 (|has| |#1| (-1048))) (($ (-410 |#1|)) NIL (|has| |#1| (-559))) (($ (-954 (-410 |#1|))) NIL (|has| |#1| (-559))) (($ (-410 (-954 (-410 |#1|)))) NIL (|has| |#1| (-559))) (($ (-410 (-954 |#1|))) NIL (|has| |#1| (-559))) (($ (-954 |#1|)) NIL (|has| |#1| (-1048))) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-559)) (|has| |#1| (-1038 (-410 (-569)))))) (($ (-569)) 34 (-2232 (|has| |#1| (-1038 (-569))) (|has| |#1| (-1048))))) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL (|has| |#1| (-1048)))) (-4042 (($ $) NIL) (($ (-635 $)) NIL)) (-4248 (($ $ $) 203 (|has| |#1| (-559)))) (-3367 (($ $ $) 189 (|has| |#1| (-559)))) (-3349 (($ $ $) 193 (|has| |#1| (-559)))) (-2178 (($ $ $) 187 (|has| |#1| (-559)))) (-3627 (($ $ $) 191 (|has| |#1| (-559)))) (-1524 (((-121) (-123)) 9)) (-1779 (($ $) 166 (|has| |#1| (-559)))) (-1727 (($ $) 142 (|has| |#1| (-559)))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) 162 (|has| |#1| (-559)))) (-2561 (($ $) 138 (|has| |#1| (-559)))) (-1785 (($ $) 170 (|has| |#1| (-559)))) (-1736 (($ $) 146 (|has| |#1| (-559)))) (-3880 (($ (-1163) $) NIL) (($ (-1163) $ $) NIL) (($ (-1163) $ $ $) NIL) (($ (-1163) $ $ $ $) NIL) (($ (-1163) (-635 $)) NIL)) (-3759 (($ $) 197 (|has| |#1| (-559)))) (-4395 (($ $) 195 (|has| |#1| (-559)))) (-2430 (($ $) 172 (|has| |#1| (-559)))) (-1740 (($ $) 148 (|has| |#1| (-559)))) (-1782 (($ $) 168 (|has| |#1| (-559)))) (-1731 (($ $) 144 (|has| |#1| (-559)))) (-1775 (($ $) 164 (|has| |#1| (-559)))) (-2569 (($ $) 140 (|has| |#1| (-559)))) (-1616 (($ $) 175 (|has| |#1| (-559)))) (-2427 (($ $ (-569)) NIL (-2232 (|has| |#1| (-479)) (|has| |#1| (-559)))) (($ $ (-764)) NIL (-2232 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))) (|has| |#1| (-1103)))) (($ $ (-918)) NIL (-2232 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))) (|has| |#1| (-1103))))) (-3369 (($) 20 (-2232 (|has| |#1| (-25)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048)))) CONST)) (-2404 (($ $) 226 (|has| |#1| (-559)))) (-1556 (($) 22 (-2232 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))) (|has| |#1| (-1103))) CONST)) (-3814 (($ $) 177 (|has| |#1| (-559))) (($ $ $) 179 (|has| |#1| (-559)))) (-4100 (($ $) 224 (|has| |#1| (-559)))) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-1048))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-1048))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-1048))) (($ $ (-1163)) NIL (|has| |#1| (-1048)))) (-1683 (($ $) 228 (|has| |#1| (-559)))) (-1485 (($ $ $) 181 (|has| |#1| (-559)))) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 76)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 75)) (-1715 (($ (-1114 |#1| (-608 $)) (-1114 |#1| (-608 $))) 93 (|has| |#1| (-559))) (($ $ $) 42 (-2232 (|has| |#1| (-479)) (|has| |#1| (-559))))) (-1711 (($ $ $) 40 (-2232 (|has| |#1| (-21)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))))) (($ $) 29 (-2232 (|has| |#1| (-21)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048)))))) (-1707 (($ $ $) 38 (-2232 (|has| |#1| (-25)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048)))))) (** (($ $ $) 61 (|has| |#1| (-559))) (($ $ (-410 (-569))) 300 (|has| |#1| (-559))) (($ $ (-569)) 71 (-2232 (|has| |#1| (-479)) (|has| |#1| (-559)))) (($ $ (-764)) 68 (-2232 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))) (|has| |#1| (-1103)))) (($ $ (-918)) 73 (-2232 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))) (|has| |#1| (-1103))))) (* (($ (-410 (-569)) $) NIL (|has| |#1| (-559))) (($ $ (-410 (-569))) NIL (|has| |#1| (-559))) (($ |#1| $) NIL (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))) (($ $ $) 36 (-2232 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))) (|has| |#1| (-1103)))) (($ (-569) $) 32 (-2232 (|has| |#1| (-21)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))))) (($ (-764) $) NIL (-2232 (|has| |#1| (-25)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))))) (($ (-918) $) NIL (-2232 (|has| |#1| (-25)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))))))) 
+(((-311 |#1|) (-13 (-433 |#1|) (-10 -8 (IF (|has| |#1| (-559)) (PROGN (-6 (-29 |#1|)) (-6 (-1183)) (-6 (-162)) (-6 (-621)) (-6 (-1125)) (-15 -1774 ($ $)) (-15 -3433 ((-121) $)) (-15 -4249 ($ $ (-569))) (IF (|has| |#1| (-454)) (PROGN (-15 -1568 ((-421 (-1159 $)) (-1159 $))) (-15 -2379 ((-421 (-1159 $)) (-1159 $)))) |noBranch|) (IF (|has| |#1| (-1038 (-569))) (-6 (-1038 (-53))) |noBranch|)) |noBranch|))) (-843)) (T -311)) 
+((-1774 (*1 *1 *1) (-12 (-5 *1 (-311 *2)) (-4 *2 (-559)) (-4 *2 (-843)))) (-3433 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-311 *3)) (-4 *3 (-559)) (-4 *3 (-843)))) (-4249 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-311 *3)) (-4 *3 (-559)) (-4 *3 (-843)))) (-1568 (*1 *2 *3) (-12 (-5 *2 (-421 (-1159 *1))) (-5 *1 (-311 *4)) (-5 *3 (-1159 *1)) (-4 *4 (-454)) (-4 *4 (-559)) (-4 *4 (-843)))) (-2379 (*1 *2 *3) (-12 (-5 *2 (-421 (-1159 *1))) (-5 *1 (-311 *4)) (-5 *3 (-1159 *1)) (-4 *4 (-454)) (-4 *4 (-559)) (-4 *4 (-843))))) 
+(-13 (-433 |#1|) (-10 -8 (IF (|has| |#1| (-559)) (PROGN (-6 (-29 |#1|)) (-6 (-1183)) (-6 (-162)) (-6 (-621)) (-6 (-1125)) (-15 -1774 ($ $)) (-15 -3433 ((-121) $)) (-15 -4249 ($ $ (-569))) (IF (|has| |#1| (-454)) (PROGN (-15 -1568 ((-421 (-1159 $)) (-1159 $))) (-15 -2379 ((-421 (-1159 $)) (-1159 $)))) |noBranch|) (IF (|has| |#1| (-1038 (-569))) (-6 (-1038 (-53))) |noBranch|)) |noBranch|))) 
+((-3216 (((-57) |#2| (-123) (-289 |#2|) (-635 |#2|)) 86) (((-57) |#2| (-123) (-289 |#2|) (-289 |#2|)) 82) (((-57) |#2| (-123) (-289 |#2|) |#2|) 84) (((-57) (-289 |#2|) (-123) (-289 |#2|) |#2|) 85) (((-57) (-635 |#2|) (-635 (-123)) (-289 |#2|) (-635 (-289 |#2|))) 78) (((-57) (-635 |#2|) (-635 (-123)) (-289 |#2|) (-635 |#2|)) 80) (((-57) (-635 (-289 |#2|)) (-635 (-123)) (-289 |#2|) (-635 |#2|)) 81) (((-57) (-635 (-289 |#2|)) (-635 (-123)) (-289 |#2|) (-635 (-289 |#2|))) 79) (((-57) (-289 |#2|) (-123) (-289 |#2|) (-635 |#2|)) 87) (((-57) (-289 |#2|) (-123) (-289 |#2|) (-289 |#2|)) 83))) 
+(((-312 |#1| |#2|) (-10 -7 (-15 -3216 ((-57) (-289 |#2|) (-123) (-289 |#2|) (-289 |#2|))) (-15 -3216 ((-57) (-289 |#2|) (-123) (-289 |#2|) (-635 |#2|))) (-15 -3216 ((-57) (-635 (-289 |#2|)) (-635 (-123)) (-289 |#2|) (-635 (-289 |#2|)))) (-15 -3216 ((-57) (-635 (-289 |#2|)) (-635 (-123)) (-289 |#2|) (-635 |#2|))) (-15 -3216 ((-57) (-635 |#2|) (-635 (-123)) (-289 |#2|) (-635 |#2|))) (-15 -3216 ((-57) (-635 |#2|) (-635 (-123)) (-289 |#2|) (-635 (-289 |#2|)))) (-15 -3216 ((-57) (-289 |#2|) (-123) (-289 |#2|) |#2|)) (-15 -3216 ((-57) |#2| (-123) (-289 |#2|) |#2|)) (-15 -3216 ((-57) |#2| (-123) (-289 |#2|) (-289 |#2|))) (-15 -3216 ((-57) |#2| (-123) (-289 |#2|) (-635 |#2|)))) (-13 (-843) (-559) (-610 (-542))) (-433 |#1|)) (T -312)) 
+((-3216 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-5 *6 (-635 *3)) (-4 *3 (-433 *7)) (-4 *7 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *3)))) (-3216 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-4 *3 (-433 *6)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *3)))) (-3216 (*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-4 *3 (-433 *6)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *3)))) (-3216 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-289 *5)) (-5 *4 (-123)) (-4 *5 (-433 *6)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *5)))) (-3216 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 (-123))) (-5 *6 (-635 (-289 *8))) (-4 *8 (-433 *7)) (-5 *5 (-289 *8)) (-4 *7 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *8)))) (-3216 (*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-635 *7)) (-5 *4 (-635 (-123))) (-5 *5 (-289 *7)) (-4 *7 (-433 *6)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) (-3216 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 (-289 *8))) (-5 *4 (-635 (-123))) (-5 *5 (-289 *8)) (-5 *6 (-635 *8)) (-4 *8 (-433 *7)) (-4 *7 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *8)))) (-3216 (*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-635 (-289 *7))) (-5 *4 (-635 (-123))) (-5 *5 (-289 *7)) (-4 *7 (-433 *6)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) (-3216 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-123)) (-5 *5 (-635 *7)) (-4 *7 (-433 *6)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) (-3216 (*1 *2 *3 *4 *3 *3) (-12 (-5 *3 (-289 *6)) (-5 *4 (-123)) (-4 *6 (-433 *5)) (-4 *5 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *5 *6))))) 
+(-10 -7 (-15 -3216 ((-57) (-289 |#2|) (-123) (-289 |#2|) (-289 |#2|))) (-15 -3216 ((-57) (-289 |#2|) (-123) (-289 |#2|) (-635 |#2|))) (-15 -3216 ((-57) (-635 (-289 |#2|)) (-635 (-123)) (-289 |#2|) (-635 (-289 |#2|)))) (-15 -3216 ((-57) (-635 (-289 |#2|)) (-635 (-123)) (-289 |#2|) (-635 |#2|))) (-15 -3216 ((-57) (-635 |#2|) (-635 (-123)) (-289 |#2|) (-635 |#2|))) (-15 -3216 ((-57) (-635 |#2|) (-635 (-123)) (-289 |#2|) (-635 (-289 |#2|)))) (-15 -3216 ((-57) (-289 |#2|) (-123) (-289 |#2|) |#2|)) (-15 -3216 ((-57) |#2| (-123) (-289 |#2|) |#2|)) (-15 -3216 ((-57) |#2| (-123) (-289 |#2|) (-289 |#2|))) (-15 -3216 ((-57) |#2| (-123) (-289 |#2|) (-635 |#2|)))) 
+((-3216 ((|#3| |#2| (-123) (-1163) (-635 |#2|)) 53)) (-2338 ((|#2| |#2| (-123) (-1163)) 30))) 
+(((-313 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3216 (|#3| |#2| (-123) (-1163) (-635 |#2|))) (-15 -2338 (|#2| |#2| (-123) (-1163)))) (-13 (-843) (-559) (-610 (-542))) (-433 |#1|) (-1237 |#2|) (-1237 (-1157 |#2|))) (T -313)) 
+((-2338 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-123)) (-5 *4 (-1163)) (-4 *5 (-13 (-843) (-559) (-610 (-542)))) (-4 *2 (-433 *5)) (-5 *1 (-313 *5 *2 *6 *7)) (-4 *6 (-1237 *2)) (-4 *7 (-1237 (-1157 *2))))) (-3216 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-123)) (-5 *5 (-1163)) (-5 *6 (-635 *3)) (-4 *3 (-433 *7)) (-4 *7 (-13 (-843) (-559) (-610 (-542)))) (-4 *2 (-1237 *3)) (-5 *1 (-313 *7 *3 *2 *8)) (-4 *8 (-1237 (-1157 *3)))))) 
+(-10 -7 (-15 -3216 (|#3| |#2| (-123) (-1163) (-635 |#2|))) (-15 -2338 (|#2| |#2| (-123) (-1163)))) 
+((-2284 (((-1193 (-927)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-216) (-569) (-1145)) 45) (((-1193 (-927)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-216) (-569)) 46) (((-1193 (-927)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-1 (-216) (-216)) (-569) (-1145)) 42) (((-1193 (-927)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-1 (-216) (-216)) (-569)) 43)) (-4415 (((-1 (-216) (-216)) (-216)) 44))) 
+(((-314) (-10 -7 (-15 -4415 ((-1 (-216) (-216)) (-216))) (-15 -2284 ((-1193 (-927)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-1 (-216) (-216)) (-569))) (-15 -2284 ((-1193 (-927)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-1 (-216) (-216)) (-569) (-1145))) (-15 -2284 ((-1193 (-927)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-216) (-569))) (-15 -2284 ((-1193 (-927)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-216) (-569) (-1145))))) (T -314)) 
+((-2284 (*1 *2 *3 *3 *3 *4 *5 *6 *7 *8) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1085 (-216))) (-5 *6 (-216)) (-5 *7 (-569)) (-5 *8 (-1145)) (-5 *2 (-1193 (-927))) (-5 *1 (-314)))) (-2284 (*1 *2 *3 *3 *3 *4 *5 *6 *7) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1085 (-216))) (-5 *6 (-216)) (-5 *7 (-569)) (-5 *2 (-1193 (-927))) (-5 *1 (-314)))) (-2284 (*1 *2 *3 *3 *3 *4 *5 *4 *6 *7) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1085 (-216))) (-5 *6 (-569)) (-5 *7 (-1145)) (-5 *2 (-1193 (-927))) (-5 *1 (-314)))) (-2284 (*1 *2 *3 *3 *3 *4 *5 *4 *6) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1085 (-216))) (-5 *6 (-569)) (-5 *2 (-1193 (-927))) (-5 *1 (-314)))) (-4415 (*1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-314)) (-5 *3 (-216))))) 
+(-10 -7 (-15 -4415 ((-1 (-216) (-216)) (-216))) (-15 -2284 ((-1193 (-927)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-1 (-216) (-216)) (-569))) (-15 -2284 ((-1193 (-927)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-1 (-216) (-216)) (-569) (-1145))) (-15 -2284 ((-1193 (-927)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-216) (-569))) (-15 -2284 ((-1193 (-927)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-216) (-569) (-1145)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 24)) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-3136 (($ $ (-410 (-569))) NIL) (($ $ (-410 (-569)) (-410 (-569))) NIL)) (-1403 (((-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) 19)) (-1753 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL (|has| |#1| (-366)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-1744 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3343 (($ (-764) (-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) NIL)) (-1760 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-4020 (($ $) 30)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-3726 (((-121) $) NIL (|has| |#1| (-366)))) (-2777 (((-121) $) NIL)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-410 (-569)) $) NIL) (((-410 (-569)) $ (-410 (-569))) 15)) (-1407 (((-121) $) NIL)) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3089 (($ $ (-918)) NIL) (($ $ (-410 (-569))) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-410 (-569))) NIL) (($ $ (-1076) (-410 (-569))) NIL) (($ $ (-635 (-1076)) (-635 (-410 (-569)))) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-4450 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL (|has| |#1| (-366)))) (-2565 (($ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) NIL (-2232 (-12 (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-960)) (|has| |#1| (-1183)))))) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-366)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3499 (($ $ (-410 (-569))) NIL)) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-1315 (((-410 (-569)) $) 16)) (-2545 (($ (-1231 |#1| |#2| |#3|)) 11)) (-2356 (((-1231 |#1| |#2| |#3|) $) 12)) (-2436 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2622 (((-764) $) NIL (|has| |#1| (-366)))) (-1534 ((|#1| $ (-410 (-569))) NIL) (($ $ $) NIL (|has| (-410 (-569)) (-1103)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-2492 (((-410 (-569)) $) NIL)) (-1764 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) 10)) (-2185 (((-851) $) 36) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559)))) (-1653 ((|#1| $ (-410 (-569))) 28)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-4030 ((|#1| $) NIL)) (-1779 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-410 (-569))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 26)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 31)) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-315 |#1| |#2| |#3|) (-13 (-1227 |#1|) (-788) (-10 -8 (-15 -2545 ($ (-1231 |#1| |#2| |#3|))) (-15 -2356 ((-1231 |#1| |#2| |#3|) $)) (-15 -1315 ((-410 (-569)) $)))) (-13 (-366) (-843)) (-1163) |#1|) (T -315)) 
+((-2545 (*1 *1 *2) (-12 (-5 *2 (-1231 *3 *4 *5)) (-4 *3 (-13 (-366) (-843))) (-14 *4 (-1163)) (-14 *5 *3) (-5 *1 (-315 *3 *4 *5)))) (-2356 (*1 *2 *1) (-12 (-5 *2 (-1231 *3 *4 *5)) (-5 *1 (-315 *3 *4 *5)) (-4 *3 (-13 (-366) (-843))) (-14 *4 (-1163)) (-14 *5 *3))) (-1315 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-315 *3 *4 *5)) (-4 *3 (-13 (-366) (-843))) (-14 *4 (-1163)) (-14 *5 *3)))) 
+(-13 (-1227 |#1|) (-788) (-10 -8 (-15 -2545 ($ (-1231 |#1| |#2| |#3|))) (-15 -2356 ((-1231 |#1| |#2| |#3|) $)) (-15 -1315 ((-410 (-569)) $)))) 
+((-2644 (((-421 (-1159 |#1|)) (-1159 |#1|) |#1|) 15)) (-1743 (((-421 (-1159 |#1|)) (-1159 |#1|) |#1|) 24))) 
+(((-316 |#1|) (-10 -7 (-15 -1743 ((-421 (-1159 |#1|)) (-1159 |#1|) |#1|)) (-15 -2644 ((-421 (-1159 |#1|)) (-1159 |#1|) |#1|))) (-855)) (T -316)) 
+((-2644 (*1 *2 *3 *4) (-12 (-4 *4 (-855)) (-5 *2 (-421 (-1159 *4))) (-5 *1 (-316 *4)) (-5 *3 (-1159 *4)))) (-1743 (*1 *2 *3 *4) (-12 (-4 *4 (-855)) (-5 *2 (-421 (-1159 *4))) (-5 *1 (-316 *4)) (-5 *3 (-1159 *4))))) 
+(-10 -7 (-15 -1743 ((-421 (-1159 |#1|)) (-1159 |#1|) |#1|)) (-15 -2644 ((-421 (-1159 |#1|)) (-1159 |#1|) |#1|))) 
+((-4344 (((-2 (|:| -2356 (-764)) (|:| -4140 |#1|) (|:| |radicand| (-635 |#1|))) (-421 |#1|) (-764)) 24)) (-4450 (((-635 (-2 (|:| -4140 (-764)) (|:| |logand| |#1|))) (-421 |#1|)) 28))) 
+(((-317 |#1|) (-10 -7 (-15 -4344 ((-2 (|:| -2356 (-764)) (|:| -4140 |#1|) (|:| |radicand| (-635 |#1|))) (-421 |#1|) (-764))) (-15 -4450 ((-635 (-2 (|:| -4140 (-764)) (|:| |logand| |#1|))) (-421 |#1|)))) (-559)) (T -317)) 
+((-4450 (*1 *2 *3) (-12 (-5 *3 (-421 *4)) (-4 *4 (-559)) (-5 *2 (-635 (-2 (|:| -4140 (-764)) (|:| |logand| *4)))) (-5 *1 (-317 *4)))) (-4344 (*1 *2 *3 *4) (-12 (-5 *3 (-421 *5)) (-4 *5 (-559)) (-5 *2 (-2 (|:| -2356 (-764)) (|:| -4140 *5) (|:| |radicand| (-635 *5)))) (-5 *1 (-317 *5)) (-5 *4 (-764))))) 
+(-10 -7 (-15 -4344 ((-2 (|:| -2356 (-764)) (|:| -4140 |#1|) (|:| |radicand| (-635 |#1|))) (-421 |#1|) (-764))) (-15 -4450 ((-635 (-2 (|:| -4140 (-764)) (|:| |logand| |#1|))) (-421 |#1|)))) 
+((-2644 (((-421 (-1159 |#1|)) (-1159 |#1|) |#1|) 15)) (-1743 (((-421 (-1159 |#1|)) (-1159 |#1|) |#1|) 24))) 
+(((-318 |#1|) (-10 -7 (-15 -1743 ((-421 (-1159 |#1|)) (-1159 |#1|) |#1|)) (-15 -2644 ((-421 (-1159 |#1|)) (-1159 |#1|) |#1|))) (-860)) (T -318)) 
+((-2644 (*1 *2 *3 *4) (-12 (-4 *4 (-860)) (-5 *2 (-421 (-1159 *4))) (-5 *1 (-318 *4)) (-5 *3 (-1159 *4)))) (-1743 (*1 *2 *3 *4) (-12 (-4 *4 (-860)) (-5 *2 (-421 (-1159 *4))) (-5 *1 (-318 *4)) (-5 *3 (-1159 *4))))) 
+(-10 -7 (-15 -1743 ((-421 (-1159 |#1|)) (-1159 |#1|) |#1|)) (-15 -2644 ((-421 (-1159 |#1|)) (-1159 |#1|) |#1|))) 
+((-1773 (((-635 |#2|) (-1159 |#4|)) 43)) (-2974 ((|#3| (-569)) 46)) (-1780 (((-1159 |#4|) (-1159 |#3|)) 30)) (-2581 (((-1159 |#4|) (-1159 |#4|) (-569)) 55)) (-2900 (((-1159 |#3|) (-1159 |#4|)) 21)) (-2492 (((-635 (-764)) (-1159 |#4|) (-635 |#2|)) 40)) (-3746 (((-1159 |#3|) (-1159 |#4|) (-635 |#2|) (-635 |#3|)) 35))) 
+(((-319 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3746 ((-1159 |#3|) (-1159 |#4|) (-635 |#2|) (-635 |#3|))) (-15 -2492 ((-635 (-764)) (-1159 |#4|) (-635 |#2|))) (-15 -1773 ((-635 |#2|) (-1159 |#4|))) (-15 -2900 ((-1159 |#3|) (-1159 |#4|))) (-15 -1780 ((-1159 |#4|) (-1159 |#3|))) (-15 -2581 ((-1159 |#4|) (-1159 |#4|) (-569))) (-15 -2974 (|#3| (-569)))) (-789) (-843) (-1048) (-951 |#3| |#1| |#2|)) (T -319)) 
+((-2974 (*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1048)) (-5 *1 (-319 *4 *5 *2 *6)) (-4 *6 (-951 *2 *4 *5)))) (-2581 (*1 *2 *2 *3) (-12 (-5 *2 (-1159 *7)) (-5 *3 (-569)) (-4 *7 (-951 *6 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-5 *1 (-319 *4 *5 *6 *7)))) (-1780 (*1 *2 *3) (-12 (-5 *3 (-1159 *6)) (-4 *6 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-1159 *7)) (-5 *1 (-319 *4 *5 *6 *7)) (-4 *7 (-951 *6 *4 *5)))) (-2900 (*1 *2 *3) (-12 (-5 *3 (-1159 *7)) (-4 *7 (-951 *6 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-5 *2 (-1159 *6)) (-5 *1 (-319 *4 *5 *6 *7)))) (-1773 (*1 *2 *3) (-12 (-5 *3 (-1159 *7)) (-4 *7 (-951 *6 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-5 *2 (-635 *5)) (-5 *1 (-319 *4 *5 *6 *7)))) (-2492 (*1 *2 *3 *4) (-12 (-5 *3 (-1159 *8)) (-5 *4 (-635 *6)) (-4 *6 (-843)) (-4 *8 (-951 *7 *5 *6)) (-4 *5 (-789)) (-4 *7 (-1048)) (-5 *2 (-635 (-764))) (-5 *1 (-319 *5 *6 *7 *8)))) (-3746 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1159 *9)) (-5 *4 (-635 *7)) (-5 *5 (-635 *8)) (-4 *7 (-843)) (-4 *8 (-1048)) (-4 *9 (-951 *8 *6 *7)) (-4 *6 (-789)) (-5 *2 (-1159 *8)) (-5 *1 (-319 *6 *7 *8 *9))))) 
+(-10 -7 (-15 -3746 ((-1159 |#3|) (-1159 |#4|) (-635 |#2|) (-635 |#3|))) (-15 -2492 ((-635 (-764)) (-1159 |#4|) (-635 |#2|))) (-15 -1773 ((-635 |#2|) (-1159 |#4|))) (-15 -2900 ((-1159 |#3|) (-1159 |#4|))) (-15 -1780 ((-1159 |#4|) (-1159 |#3|))) (-15 -2581 ((-1159 |#4|) (-1159 |#4|) (-569))) (-15 -2974 (|#3| (-569)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 14)) (-1403 (((-635 (-2 (|:| |gen| |#1|) (|:| -2436 (-569)))) $) 18)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2085 (((-764) $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL)) (-2428 ((|#1| $) NIL)) (-3082 ((|#1| $ (-569)) NIL)) (-2231 (((-569) $ (-569)) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-4101 (($ (-1 |#1| |#1|) $) NIL)) (-1742 (($ (-1 (-569) (-569)) $) 10)) (-2776 (((-1145) $) NIL)) (-4113 (($ $ $) NIL (|has| (-569) (-788)))) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL) (($ |#1|) NIL)) (-1653 (((-569) |#1| $) NIL)) (-3369 (($) 15 T CONST)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) 21 (|has| |#1| (-843)))) (-1711 (($ $) 11) (($ $ $) 20)) (-1707 (($ $ $) NIL) (($ |#1| $) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ (-569)) NIL) (($ (-569) |#1|) 19))) 
+(((-320 |#1|) (-13 (-21) (-708 (-569)) (-321 |#1| (-569)) (-10 -7 (IF (|has| |#1| (-843)) (-6 (-843)) |noBranch|))) (-1091)) (T -320)) 
+NIL 
+(-13 (-21) (-708 (-569)) (-321 |#1| (-569)) (-10 -7 (IF (|has| |#1| (-843)) (-6 (-843)) |noBranch|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1403 (((-635 (-2 (|:| |gen| |#1|) (|:| -2436 |#2|))) $) 26)) (-2327 (((-3 $ "failed") $ $) 18)) (-2085 (((-764) $) 27)) (-2820 (($) 16 T CONST)) (-1647 (((-3 |#1| "failed") $) 31)) (-2428 ((|#1| $) 30)) (-3082 ((|#1| $ (-569)) 24)) (-2231 ((|#2| $ (-569)) 25)) (-4101 (($ (-1 |#1| |#1|) $) 21)) (-1742 (($ (-1 |#2| |#2|) $) 22)) (-2776 (((-1145) $) 9)) (-4113 (($ $ $) 20 (|has| |#2| (-788)))) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ |#1|) 32)) (-1653 ((|#2| |#1| $) 23)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1707 (($ $ $) 13) (($ |#1| $) 29)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ |#2| |#1|) 28))) 
+(((-321 |#1| |#2|) (-1278) (-1091) (-138)) (T -321)) 
+((-1707 (*1 *1 *2 *1) (-12 (-4 *1 (-321 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-138)))) (* (*1 *1 *2 *3) (-12 (-4 *1 (-321 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-138)))) (-2085 (*1 *2 *1) (-12 (-4 *1 (-321 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-138)) (-5 *2 (-764)))) (-1403 (*1 *2 *1) (-12 (-4 *1 (-321 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-138)) (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -2436 *4)))))) (-2231 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-321 *4 *2)) (-4 *4 (-1091)) (-4 *2 (-138)))) (-3082 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-321 *2 *4)) (-4 *4 (-138)) (-4 *2 (-1091)))) (-1653 (*1 *2 *3 *1) (-12 (-4 *1 (-321 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-138)))) (-1742 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-321 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-138)))) (-4101 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-321 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-138)))) (-4113 (*1 *1 *1 *1) (-12 (-4 *1 (-321 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-138)) (-4 *3 (-788))))) 
+(-13 (-138) (-1038 |t#1|) (-10 -8 (-15 -1707 ($ |t#1| $)) (-15 * ($ |t#2| |t#1|)) (-15 -2085 ((-764) $)) (-15 -1403 ((-635 (-2 (|:| |gen| |t#1|) (|:| -2436 |t#2|))) $)) (-15 -2231 (|t#2| $ (-569))) (-15 -3082 (|t#1| $ (-569))) (-15 -1653 (|t#2| |t#1| $)) (-15 -1742 ($ (-1 |t#2| |t#2|) $)) (-15 -4101 ($ (-1 |t#1| |t#1|) $)) (IF (|has| |t#2| (-788)) (-15 -4113 ($ $ $)) |noBranch|))) 
+(((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-1038 |#1|) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1403 (((-635 (-2 (|:| |gen| |#1|) (|:| -2436 (-764)))) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2085 (((-764) $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL)) (-2428 ((|#1| $) NIL)) (-3082 ((|#1| $ (-569)) NIL)) (-2231 (((-764) $ (-569)) NIL)) (-4101 (($ (-1 |#1| |#1|) $) NIL)) (-1742 (($ (-1 (-764) (-764)) $) NIL)) (-2776 (((-1145) $) NIL)) (-4113 (($ $ $) NIL (|has| (-764) (-788)))) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL) (($ |#1|) NIL)) (-1653 (((-764) |#1| $) NIL)) (-3369 (($) NIL T CONST)) (-1668 (((-121) $ $) NIL)) (-1707 (($ $ $) NIL) (($ |#1| $) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-764) |#1|) NIL))) 
+(((-322 |#1|) (-321 |#1| (-764)) (-1091)) (T -322)) 
+NIL 
+(-321 |#1| (-764)) 
+((-1544 ((|#5| (-1 |#4| |#2|) |#3|) 19))) 
+(((-323 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1544 (|#5| (-1 |#4| |#2|) |#3|))) (-788) (-1048) (-325 |#2| |#1|) (-1048) (-325 |#4| |#1|)) (T -323)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-4 *6 (-1048)) (-4 *7 (-1048)) (-4 *5 (-788)) (-4 *2 (-325 *7 *5)) (-5 *1 (-323 *5 *6 *4 *7 *2)) (-4 *4 (-325 *6 *5))))) 
+(-10 -7 (-15 -1544 (|#5| (-1 |#4| |#2|) |#3|))) 
+((-1340 (($ $) 52)) (-1667 (($ $ |#2| |#3| $) 14)) (-2658 (($ (-1 |#3| |#3|) $) 35)) (-1798 (((-121) $) 27)) (-1801 ((|#2| $) 29)) (-2941 (((-3 $ "failed") $ $) NIL) (((-3 $ "failed") $ |#2|) 45)) (-3298 ((|#2| $) 48)) (-3382 (((-635 |#2|) $) 38)) (-4086 (($ $ $ (-764)) 23)) (-1715 (($ $ |#2|) 42))) 
+(((-324 |#1| |#2| |#3|) (-10 -8 (-15 -1340 (|#1| |#1|)) (-15 -3298 (|#2| |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#2|)) (-15 -4086 (|#1| |#1| |#1| (-764))) (-15 -1667 (|#1| |#1| |#2| |#3| |#1|)) (-15 -2658 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -3382 ((-635 |#2|) |#1|)) (-15 -1801 (|#2| |#1|)) (-15 -1798 ((-121) |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1715 (|#1| |#1| |#2|))) (-325 |#2| |#3|) (-1048) (-788)) (T -324)) 
+NIL 
+(-10 -8 (-15 -1340 (|#1| |#1|)) (-15 -3298 (|#2| |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#2|)) (-15 -4086 (|#1| |#1| |#1| (-764))) (-15 -1667 (|#1| |#1| |#2| |#3| |#1|)) (-15 -2658 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -3382 ((-635 |#2|) |#1|)) (-15 -1801 (|#2| |#1|)) (-15 -1798 ((-121) |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1715 (|#1| |#1| |#2|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-3383 (($ $) 51 (|has| |#1| (-559)))) (-4354 (((-121) $) 53 (|has| |#1| (-559)))) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-1647 (((-3 (-569) "failed") $) 86 (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) 84 (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) 83)) (-2428 (((-569) $) 87 (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) 85 (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) 82)) (-4020 (($ $) 59)) (-3428 (((-3 $ "failed") $) 33)) (-1340 (($ $) 71 (|has| |#1| (-454)))) (-1667 (($ $ |#1| |#2| $) 75)) (-1407 (((-121) $) 30)) (-4244 (((-764) $) 78)) (-3523 (((-121) $) 61)) (-1763 (($ |#1| |#2|) 60)) (-4002 ((|#2| $) 77)) (-2658 (($ (-1 |#2| |#2|) $) 76)) (-1544 (($ (-1 |#1| |#1|) $) 62)) (-1804 (($ $) 64)) (-4012 ((|#1| $) 65)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-1798 (((-121) $) 81)) (-1801 ((|#1| $) 80)) (-2941 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559))) (((-3 $ "failed") $ |#1|) 73 (|has| |#1| (-559)))) (-2492 ((|#2| $) 63)) (-3298 ((|#1| $) 72 (|has| |#1| (-454)))) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 48 (|has| |#1| (-559))) (($ |#1|) 46) (($ (-410 (-569))) 56 (-2232 (|has| |#1| (-1038 (-410 (-569)))) (|has| |#1| (-43 (-410 (-569))))))) (-3382 (((-635 |#1|) $) 79)) (-1653 ((|#1| $ |#2|) 58)) (-3953 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-1991 (((-764)) 28)) (-4086 (($ $ $ (-764)) 74 (|has| |#1| (-173)))) (-1961 (((-121) $ $) 52 (|has| |#1| (-559)))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#1|) 57 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
+(((-325 |#1| |#2|) (-1278) (-1048) (-788)) (T -325)) 
+((-1798 (*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-5 *2 (-121)))) (-1801 (*1 *2 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *3 (-788)) (-4 *2 (-1048)))) (-3382 (*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-5 *2 (-635 *3)))) (-4244 (*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-5 *2 (-764)))) (-4002 (*1 *2 *1) (-12 (-4 *1 (-325 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788)))) (-2658 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-325 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)))) (-1667 (*1 *1 *1 *2 *3 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788)))) (-4086 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-325 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-4 *3 (-173)))) (-2941 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788)) (-4 *2 (-559)))) (-3298 (*1 *2 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *3 (-788)) (-4 *2 (-1048)) (-4 *2 (-454)))) (-1340 (*1 *1 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788)) (-4 *2 (-454))))) 
+(-13 (-52 |t#1| |t#2|) (-414 |t#1|) (-10 -8 (-15 -1798 ((-121) $)) (-15 -1801 (|t#1| $)) (-15 -3382 ((-635 |t#1|) $)) (-15 -4244 ((-764) $)) (-15 -4002 (|t#2| $)) (-15 -2658 ($ (-1 |t#2| |t#2|) $)) (-15 -1667 ($ $ |t#1| |t#2| $)) (IF (|has| |t#1| (-173)) (-15 -4086 ($ $ $ (-764))) |noBranch|) (IF (|has| |t#1| (-559)) (-15 -2941 ((-3 $ "failed") $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-454)) (PROGN (-15 -3298 (|t#1| $)) (-15 -1340 ($ $))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-286) |has| |#1| (-559)) ((-414 |#1|) . T) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-708 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) |has| |#1| (-559)) ((-717) . T) ((-1038 (-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 |#1|) . T) ((-1054 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-843)))) (-3076 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| |#1| (-843))))) (-3113 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-3060 (((-121) (-121)) NIL)) (-4469 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) NIL (|has| $ (-6 -4536)))) (-4216 (($ (-1 (-121) |#1|) $) NIL)) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-3384 (($ $) NIL (|has| |#1| (-1091)))) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4454 (($ |#1| $) NIL (|has| |#1| (-1091))) (($ (-1 (-121) |#1|) $) NIL)) (-4347 (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) NIL)) (-3727 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1091))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1091)))) (-1841 (($ $ (-569)) NIL)) (-3461 (((-764) $) NIL)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-2659 (($ (-764) |#1|) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-2854 (($ $ $) NIL (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-3288 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3172 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-3614 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-3117 (($ (-635 |#1|)) NIL)) (-4353 ((|#1| $) NIL (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-3174 (($ $ |#1|) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-4514 (($ $ (-1213 (-569))) NIL) (($ $ (-569)) NIL)) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) NIL)) (-2697 (($ $ $) NIL) (($ $ |#1|) NIL)) (-2250 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-326 |#1|) (-13 (-19 |#1|) (-278 |#1|) (-10 -8 (-15 -3117 ($ (-635 |#1|))) (-15 -3461 ((-764) $)) (-15 -1841 ($ $ (-569))) (-15 -3060 ((-121) (-121))))) (-1197)) (T -326)) 
+((-3117 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-5 *1 (-326 *3)))) (-3461 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-326 *3)) (-4 *3 (-1197)))) (-1841 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-326 *3)) (-4 *3 (-1197)))) (-3060 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-326 *3)) (-4 *3 (-1197))))) 
+(-13 (-19 |#1|) (-278 |#1|) (-10 -8 (-15 -3117 ($ (-635 |#1|))) (-15 -3461 ((-764) $)) (-15 -1841 ($ $ (-569))) (-15 -3060 ((-121) (-121))))) 
+((-3240 (((-121) $) 37)) (-2031 (((-764)) 22)) (-1377 ((|#2| $) 41) (($ $ (-918)) 99)) (-2085 (((-764)) 93)) (-2623 (($ (-1247 |#2|)) 20)) (-3364 (((-121) $) 111)) (-4308 ((|#2| $) 43) (($ $ (-918)) 97)) (-2770 (((-1159 |#2|) $) NIL) (((-1159 $) $ (-918)) 88)) (-2486 (((-1159 |#2|) $) 78)) (-3697 (((-1159 |#2|) $) 75) (((-3 (-1159 |#2|) "failed") $ $) 72)) (-4421 (($ $ (-1159 |#2|)) 48)) (-2578 (((-829 (-918))) 91) (((-918)) 38)) (-2369 (((-140)) 25)) (-2492 (((-829 (-918)) $) NIL) (((-918) $) 112)) (-3554 (($) 105)) (-1648 (((-1247 |#2|) $) NIL) (((-680 |#2|) (-1247 $)) 34)) (-3953 (($ $) NIL) (((-3 $ "failed") $) 81)) (-3673 (((-121) $) 36))) 
+(((-327 |#1| |#2|) (-10 -8 (-15 -3953 ((-3 |#1| "failed") |#1|)) (-15 -2085 ((-764))) (-15 -3953 (|#1| |#1|)) (-15 -3697 ((-3 (-1159 |#2|) "failed") |#1| |#1|)) (-15 -3697 ((-1159 |#2|) |#1|)) (-15 -2486 ((-1159 |#2|) |#1|)) (-15 -4421 (|#1| |#1| (-1159 |#2|))) (-15 -3364 ((-121) |#1|)) (-15 -3554 (|#1|)) (-15 -1377 (|#1| |#1| (-918))) (-15 -4308 (|#1| |#1| (-918))) (-15 -2770 ((-1159 |#1|) |#1| (-918))) (-15 -1377 (|#2| |#1|)) (-15 -4308 (|#2| |#1|)) (-15 -2492 ((-918) |#1|)) (-15 -2578 ((-918))) (-15 -2770 ((-1159 |#2|) |#1|)) (-15 -2623 (|#1| (-1247 |#2|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1|)) (-15 -2031 ((-764))) (-15 -2578 ((-829 (-918)))) (-15 -2492 ((-829 (-918)) |#1|)) (-15 -3240 ((-121) |#1|)) (-15 -3673 ((-121) |#1|)) (-15 -2369 ((-140)))) (-328 |#2|) (-366)) (T -327)) 
+((-2369 (*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-140)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) (-2578 (*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-829 (-918))) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) (-2031 (*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-764)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) (-2578 (*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-918)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) (-2085 (*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-764)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4))))) 
+(-10 -8 (-15 -3953 ((-3 |#1| "failed") |#1|)) (-15 -2085 ((-764))) (-15 -3953 (|#1| |#1|)) (-15 -3697 ((-3 (-1159 |#2|) "failed") |#1| |#1|)) (-15 -3697 ((-1159 |#2|) |#1|)) (-15 -2486 ((-1159 |#2|) |#1|)) (-15 -4421 (|#1| |#1| (-1159 |#2|))) (-15 -3364 ((-121) |#1|)) (-15 -3554 (|#1|)) (-15 -1377 (|#1| |#1| (-918))) (-15 -4308 (|#1| |#1| (-918))) (-15 -2770 ((-1159 |#1|) |#1| (-918))) (-15 -1377 (|#2| |#1|)) (-15 -4308 (|#2| |#1|)) (-15 -2492 ((-918) |#1|)) (-15 -2578 ((-918))) (-15 -2770 ((-1159 |#2|) |#1|)) (-15 -2623 (|#1| (-1247 |#2|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1|)) (-15 -2031 ((-764))) (-15 -2578 ((-829 (-918)))) (-15 -2492 ((-829 (-918)) |#1|)) (-15 -3240 ((-121) |#1|)) (-15 -3673 ((-121) |#1|)) (-15 -2369 ((-140)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-3240 (((-121) $) 90)) (-2031 (((-764)) 86)) (-1377 ((|#1| $) 133) (($ $ (-918)) 130 (|has| |#1| (-371)))) (-2620 (((-1171 (-918) (-764)) (-569)) 115 (|has| |#1| (-371)))) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-3934 (((-121) $ $) 57)) (-2085 (((-764)) 105 (|has| |#1| (-371)))) (-2820 (($) 16 T CONST)) (-1647 (((-3 |#1| "failed") $) 97)) (-2428 ((|#1| $) 96)) (-2623 (($ (-1247 |#1|)) 139)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) 121 (|has| |#1| (-371)))) (-2506 (($ $ $) 53)) (-3428 (((-3 $ "failed") $) 33)) (-4327 (($) 102 (|has| |#1| (-371)))) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-3188 (($) 117 (|has| |#1| (-371)))) (-3354 (((-121) $) 118 (|has| |#1| (-371)))) (-2751 (($ $ (-764)) 83 (-2232 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) 82 (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3726 (((-121) $) 69)) (-2558 (((-918) $) 120 (|has| |#1| (-371))) (((-829 (-918)) $) 80 (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1407 (((-121) $) 30)) (-1490 (($) 128 (|has| |#1| (-371)))) (-3364 (((-121) $) 127 (|has| |#1| (-371)))) (-4308 ((|#1| $) 134) (($ $ (-918)) 131 (|has| |#1| (-371)))) (-3846 (((-3 $ "failed") $) 106 (|has| |#1| (-371)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2770 (((-1159 |#1|) $) 138) (((-1159 $) $ (-918)) 132 (|has| |#1| (-371)))) (-2083 (((-918) $) 103 (|has| |#1| (-371)))) (-2486 (((-1159 |#1|) $) 124 (|has| |#1| (-371)))) (-3697 (((-1159 |#1|) $) 123 (|has| |#1| (-371))) (((-3 (-1159 |#1|) "failed") $ $) 122 (|has| |#1| (-371)))) (-4421 (($ $ (-1159 |#1|)) 125 (|has| |#1| (-371)))) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-4043 (($) 107 (|has| |#1| (-371)) CONST)) (-3998 (($ (-918)) 104 (|has| |#1| (-371)))) (-2705 (((-121) $) 89)) (-3360 (((-1109) $) 10)) (-1809 (($) 126 (|has| |#1| (-371)))) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) 114 (|has| |#1| (-371)))) (-1743 (((-421 $) $) 72)) (-2578 (((-829 (-918))) 87) (((-918)) 136)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-1291 (((-764) $) 119 (|has| |#1| (-371))) (((-3 (-764) "failed") $ $) 81 (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2369 (((-140)) 95)) (-3899 (($ $) 111 (|has| |#1| (-371))) (($ $ (-764)) 109 (|has| |#1| (-371)))) (-2492 (((-829 (-918)) $) 88) (((-918) $) 135)) (-2745 (((-1159 |#1|)) 137)) (-2319 (($) 116 (|has| |#1| (-371)))) (-3554 (($) 129 (|has| |#1| (-371)))) (-1648 (((-1247 |#1|) $) 141) (((-680 |#1|) (-1247 $)) 140)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 113 (|has| |#1| (-371)))) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ |#1|) 98)) (-3953 (($ $) 112 (|has| |#1| (-371))) (((-3 $ "failed") $) 79 (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1991 (((-764)) 28)) (-3930 (((-1247 $)) 143) (((-1247 $) (-918)) 142)) (-1961 (((-121) $ $) 38)) (-3673 (((-121) $) 91)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1907 (($ $) 85 (|has| |#1| (-371))) (($ $ (-764)) 84 (|has| |#1| (-371)))) (-3022 (($ $) 110 (|has| |#1| (-371))) (($ $ (-764)) 108 (|has| |#1| (-371)))) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 62) (($ $ |#1|) 94)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ $ |#1|) 93) (($ |#1| $) 92))) 
+(((-328 |#1|) (-1278) (-366)) (T -328)) 
+((-3930 (*1 *2) (-12 (-4 *3 (-366)) (-5 *2 (-1247 *1)) (-4 *1 (-328 *3)))) (-3930 (*1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-366)) (-5 *2 (-1247 *1)) (-4 *1 (-328 *4)))) (-1648 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-1247 *3)))) (-1648 (*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-328 *4)) (-4 *4 (-366)) (-5 *2 (-680 *4)))) (-2623 (*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-366)) (-4 *1 (-328 *3)))) (-2770 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-1159 *3)))) (-2745 (*1 *2) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-1159 *3)))) (-2578 (*1 *2) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-918)))) (-2492 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-918)))) (-4308 (*1 *2 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-366)))) (-1377 (*1 *2 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-366)))) (-2770 (*1 *2 *1 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-5 *2 (-1159 *1)) (-4 *1 (-328 *4)))) (-4308 (*1 *1 *1 *2) (-12 (-5 *2 (-918)) (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)))) (-1377 (*1 *1 *1 *2) (-12 (-5 *2 (-918)) (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)))) (-3554 (*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-371)) (-4 *2 (-366)))) (-1490 (*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-371)) (-4 *2 (-366)))) (-3364 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-121)))) (-1809 (*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-371)) (-4 *2 (-366)))) (-4421 (*1 *1 *1 *2) (-12 (-5 *2 (-1159 *3)) (-4 *3 (-371)) (-4 *1 (-328 *3)) (-4 *3 (-366)))) (-2486 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-1159 *3)))) (-3697 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-1159 *3)))) (-3697 (*1 *2 *1 *1) (|partial| -12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-1159 *3))))) 
+(-13 (-1264 |t#1|) (-1038 |t#1|) (-10 -8 (-15 -3930 ((-1247 $))) (-15 -3930 ((-1247 $) (-918))) (-15 -1648 ((-1247 |t#1|) $)) (-15 -1648 ((-680 |t#1|) (-1247 $))) (-15 -2623 ($ (-1247 |t#1|))) (-15 -2770 ((-1159 |t#1|) $)) (-15 -2745 ((-1159 |t#1|))) (-15 -2578 ((-918))) (-15 -2492 ((-918) $)) (-15 -4308 (|t#1| $)) (-15 -1377 (|t#1| $)) (IF (|has| |t#1| (-371)) (PROGN (-6 (-351)) (-15 -2770 ((-1159 $) $ (-918))) (-15 -4308 ($ $ (-918))) (-15 -1377 ($ $ (-918))) (-15 -3554 ($)) (-15 -1490 ($)) (-15 -3364 ((-121) $)) (-15 -1809 ($)) (-15 -4421 ($ $ (-1159 |t#1|))) (-15 -2486 ((-1159 |t#1|) $)) (-15 -3697 ((-1159 |t#1|) $)) (-15 -3697 ((-3 (-1159 |t#1|) "failed") $ $))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -2232 (|has| |#1| (-371)) (|has| |#1| (-149))) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) . T) ((-226) |has| |#1| (-371)) ((-239) . T) ((-286) . T) ((-302) . T) ((-1264 |#1|) . T) ((-366) . T) ((-405) -2232 (|has| |#1| (-371)) (|has| |#1| (-149))) ((-371) |has| |#1| (-371)) ((-351) |has| |#1| (-371)) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 |#1|) . T) ((-708 $) . T) ((-717) . T) ((-917) . T) ((-1038 |#1|) . T) ((-1054 (-410 (-569))) . T) ((-1054 |#1|) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1137) |has| |#1| (-371)) ((-1202) . T) ((-1254 |#1|) . T)) 
+((-2568 (((-121) $ $) NIL)) (-1799 (($ (-1162) $) 88)) (-1927 (($) 76)) (-2096 (((-1109) (-1109)) 11)) (-2965 (($) 77)) (-1517 (($) 90) (($ (-311 (-689))) 96) (($ (-311 (-691))) 93) (($ (-311 (-684))) 99) (($ (-311 (-382))) 105) (($ (-311 (-569))) 102) (($ (-311 (-170 (-382)))) 108)) (-2203 (($ (-1162) $) 89)) (-1901 (($ (-635 (-851))) 79)) (-3223 (((-1252) $) 73)) (-4489 (((-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $) 27)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2243 (($ (-1109)) 45)) (-3713 (((-1095) $) 25)) (-3606 (($ (-1083 (-954 (-569))) $) 85) (($ (-1083 (-954 (-569))) (-954 (-569)) $) 86)) (-2551 (($ (-1109)) 87)) (-2817 (($ (-1162) $) 110) (($ (-1162) $ $) 111)) (-2979 (($ (-1163) (-635 (-1163))) 75)) (-2207 (($ (-1145)) 82) (($ (-635 (-1145))) 80)) (-2185 (((-851) $) 113)) (-3632 (((-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1163)) (|:| |arrayIndex| (-635 (-954 (-569)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -2252 (-851)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1163)) (|:| |rand| (-851)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1162)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (-2 (|:| -1601 (-121)) (|:| -2247 (-2 (|:| |ints2Floats?| (-121)) (|:| -2252 (-851)))))) (|:| |blockBranch| (-635 $)) (|:| |commentBranch| (-635 (-1145))) (|:| |callBranch| (-1145)) (|:| |forBranch| (-2 (|:| -4235 (-1083 (-954 (-569)))) (|:| |span| (-954 (-569))) (|:| |body| $))) (|:| |labelBranch| (-1109)) (|:| |loopBranch| (-2 (|:| |switch| (-1162)) (|:| |body| $))) (|:| |commonBranch| (-2 (|:| -1486 (-1163)) (|:| |contents| (-635 (-1163))))) (|:| |printBranch| (-635 (-851)))) $) 37)) (-1355 (($ (-1145)) 182)) (-2423 (($ (-635 $)) 109)) (-4384 (($ (-1163) (-1145)) 115) (($ (-1163) (-311 (-691))) 155) (($ (-1163) (-311 (-689))) 156) (($ (-1163) (-311 (-684))) 157) (($ (-1163) (-680 (-691))) 118) (($ (-1163) (-680 (-689))) 121) (($ (-1163) (-680 (-684))) 124) (($ (-1163) (-1247 (-691))) 127) (($ (-1163) (-1247 (-689))) 130) (($ (-1163) (-1247 (-684))) 133) (($ (-1163) (-680 (-311 (-691)))) 136) (($ (-1163) (-680 (-311 (-689)))) 139) (($ (-1163) (-680 (-311 (-684)))) 142) (($ (-1163) (-1247 (-311 (-691)))) 145) (($ (-1163) (-1247 (-311 (-689)))) 148) (($ (-1163) (-1247 (-311 (-684)))) 151) (($ (-1163) (-635 (-954 (-569))) (-311 (-691))) 152) (($ (-1163) (-635 (-954 (-569))) (-311 (-689))) 153) (($ (-1163) (-635 (-954 (-569))) (-311 (-684))) 154) (($ (-1163) (-311 (-569))) 179) (($ (-1163) (-311 (-382))) 180) (($ (-1163) (-311 (-170 (-382)))) 181) (($ (-1163) (-680 (-311 (-569)))) 160) (($ (-1163) (-680 (-311 (-382)))) 163) (($ (-1163) (-680 (-311 (-170 (-382))))) 166) (($ (-1163) (-1247 (-311 (-569)))) 169) (($ (-1163) (-1247 (-311 (-382)))) 172) (($ (-1163) (-1247 (-311 (-170 (-382))))) 175) (($ (-1163) (-635 (-954 (-569))) (-311 (-569))) 176) (($ (-1163) (-635 (-954 (-569))) (-311 (-382))) 177) (($ (-1163) (-635 (-954 (-569))) (-311 (-170 (-382)))) 178)) (-1668 (((-121) $ $) NIL))) 
+(((-329) (-13 (-1091) (-10 -8 (-15 -2185 ((-851) $)) (-15 -3606 ($ (-1083 (-954 (-569))) $)) (-15 -3606 ($ (-1083 (-954 (-569))) (-954 (-569)) $)) (-15 -1799 ($ (-1162) $)) (-15 -2203 ($ (-1162) $)) (-15 -2243 ($ (-1109))) (-15 -2551 ($ (-1109))) (-15 -2207 ($ (-1145))) (-15 -2207 ($ (-635 (-1145)))) (-15 -1355 ($ (-1145))) (-15 -1517 ($)) (-15 -1517 ($ (-311 (-689)))) (-15 -1517 ($ (-311 (-691)))) (-15 -1517 ($ (-311 (-684)))) (-15 -1517 ($ (-311 (-382)))) (-15 -1517 ($ (-311 (-569)))) (-15 -1517 ($ (-311 (-170 (-382))))) (-15 -2817 ($ (-1162) $)) (-15 -2817 ($ (-1162) $ $)) (-15 -4384 ($ (-1163) (-1145))) (-15 -4384 ($ (-1163) (-311 (-691)))) (-15 -4384 ($ (-1163) (-311 (-689)))) (-15 -4384 ($ (-1163) (-311 (-684)))) (-15 -4384 ($ (-1163) (-680 (-691)))) (-15 -4384 ($ (-1163) (-680 (-689)))) (-15 -4384 ($ (-1163) (-680 (-684)))) (-15 -4384 ($ (-1163) (-1247 (-691)))) (-15 -4384 ($ (-1163) (-1247 (-689)))) (-15 -4384 ($ (-1163) (-1247 (-684)))) (-15 -4384 ($ (-1163) (-680 (-311 (-691))))) (-15 -4384 ($ (-1163) (-680 (-311 (-689))))) (-15 -4384 ($ (-1163) (-680 (-311 (-684))))) (-15 -4384 ($ (-1163) (-1247 (-311 (-691))))) (-15 -4384 ($ (-1163) (-1247 (-311 (-689))))) (-15 -4384 ($ (-1163) (-1247 (-311 (-684))))) (-15 -4384 ($ (-1163) (-635 (-954 (-569))) (-311 (-691)))) (-15 -4384 ($ (-1163) (-635 (-954 (-569))) (-311 (-689)))) (-15 -4384 ($ (-1163) (-635 (-954 (-569))) (-311 (-684)))) (-15 -4384 ($ (-1163) (-311 (-569)))) (-15 -4384 ($ (-1163) (-311 (-382)))) (-15 -4384 ($ (-1163) (-311 (-170 (-382))))) (-15 -4384 ($ (-1163) (-680 (-311 (-569))))) (-15 -4384 ($ (-1163) (-680 (-311 (-382))))) (-15 -4384 ($ (-1163) (-680 (-311 (-170 (-382)))))) (-15 -4384 ($ (-1163) (-1247 (-311 (-569))))) (-15 -4384 ($ (-1163) (-1247 (-311 (-382))))) (-15 -4384 ($ (-1163) (-1247 (-311 (-170 (-382)))))) (-15 -4384 ($ (-1163) (-635 (-954 (-569))) (-311 (-569)))) (-15 -4384 ($ (-1163) (-635 (-954 (-569))) (-311 (-382)))) (-15 -4384 ($ (-1163) (-635 (-954 (-569))) (-311 (-170 (-382))))) (-15 -2423 ($ (-635 $))) (-15 -1927 ($)) (-15 -2965 ($)) (-15 -1901 ($ (-635 (-851)))) (-15 -2979 ($ (-1163) (-635 (-1163)))) (-15 -4489 ((-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $)) (-15 -3632 ((-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1163)) (|:| |arrayIndex| (-635 (-954 (-569)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -2252 (-851)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1163)) (|:| |rand| (-851)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1162)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (-2 (|:| -1601 (-121)) (|:| -2247 (-2 (|:| |ints2Floats?| (-121)) (|:| -2252 (-851)))))) (|:| |blockBranch| (-635 $)) (|:| |commentBranch| (-635 (-1145))) (|:| |callBranch| (-1145)) (|:| |forBranch| (-2 (|:| -4235 (-1083 (-954 (-569)))) (|:| |span| (-954 (-569))) (|:| |body| $))) (|:| |labelBranch| (-1109)) (|:| |loopBranch| (-2 (|:| |switch| (-1162)) (|:| |body| $))) (|:| |commonBranch| (-2 (|:| -1486 (-1163)) (|:| |contents| (-635 (-1163))))) (|:| |printBranch| (-635 (-851)))) $)) (-15 -3223 ((-1252) $)) (-15 -3713 ((-1095) $)) (-15 -2096 ((-1109) (-1109)))))) (T -329)) 
+((-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-329)))) (-3606 (*1 *1 *2 *1) (-12 (-5 *2 (-1083 (-954 (-569)))) (-5 *1 (-329)))) (-3606 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-1083 (-954 (-569)))) (-5 *3 (-954 (-569))) (-5 *1 (-329)))) (-1799 (*1 *1 *2 *1) (-12 (-5 *2 (-1162)) (-5 *1 (-329)))) (-2203 (*1 *1 *2 *1) (-12 (-5 *2 (-1162)) (-5 *1 (-329)))) (-2243 (*1 *1 *2) (-12 (-5 *2 (-1109)) (-5 *1 (-329)))) (-2551 (*1 *1 *2) (-12 (-5 *2 (-1109)) (-5 *1 (-329)))) (-2207 (*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-329)))) (-2207 (*1 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-329)))) (-1355 (*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-329)))) (-1517 (*1 *1) (-5 *1 (-329))) (-1517 (*1 *1 *2) (-12 (-5 *2 (-311 (-689))) (-5 *1 (-329)))) (-1517 (*1 *1 *2) (-12 (-5 *2 (-311 (-691))) (-5 *1 (-329)))) (-1517 (*1 *1 *2) (-12 (-5 *2 (-311 (-684))) (-5 *1 (-329)))) (-1517 (*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-5 *1 (-329)))) (-1517 (*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-329)))) (-1517 (*1 *1 *2) (-12 (-5 *2 (-311 (-170 (-382)))) (-5 *1 (-329)))) (-2817 (*1 *1 *2 *1) (-12 (-5 *2 (-1162)) (-5 *1 (-329)))) (-2817 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1162)) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1145)) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-311 (-691))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-311 (-689))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-311 (-684))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-691))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-689))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-684))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-691))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-689))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-684))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-311 (-691)))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-311 (-689)))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-311 (-684)))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-311 (-691)))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-311 (-689)))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-311 (-684)))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-311 (-691))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-311 (-689))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-311 (-684))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-311 (-569))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-311 (-382))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-311 (-170 (-382)))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-311 (-569)))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-311 (-382)))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-311 (-170 (-382))))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-311 (-569)))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-311 (-382)))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-311 (-170 (-382))))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-311 (-569))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-311 (-382))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-311 (-170 (-382)))) (-5 *1 (-329)))) (-2423 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-5 *1 (-329)))) (-1927 (*1 *1) (-5 *1 (-329))) (-2965 (*1 *1) (-5 *1 (-329))) (-1901 (*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-329)))) (-2979 (*1 *1 *2 *3) (-12 (-5 *3 (-635 (-1163))) (-5 *2 (-1163)) (-5 *1 (-329)))) (-4489 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print"))) (-5 *1 (-329)))) (-3632 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1163)) (|:| |arrayIndex| (-635 (-954 (-569)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -2252 (-851)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1163)) (|:| |rand| (-851)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1162)) (|:| |thenClause| (-329)) (|:| |elseClause| (-329)))) (|:| |returnBranch| (-2 (|:| -1601 (-121)) (|:| -2247 (-2 (|:| |ints2Floats?| (-121)) (|:| -2252 (-851)))))) (|:| |blockBranch| (-635 (-329))) (|:| |commentBranch| (-635 (-1145))) (|:| |callBranch| (-1145)) (|:| |forBranch| (-2 (|:| -4235 (-1083 (-954 (-569)))) (|:| |span| (-954 (-569))) (|:| |body| (-329)))) (|:| |labelBranch| (-1109)) (|:| |loopBranch| (-2 (|:| |switch| (-1162)) (|:| |body| (-329)))) (|:| |commonBranch| (-2 (|:| -1486 (-1163)) (|:| |contents| (-635 (-1163))))) (|:| |printBranch| (-635 (-851))))) (-5 *1 (-329)))) (-3223 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-329)))) (-3713 (*1 *2 *1) (-12 (-5 *2 (-1095)) (-5 *1 (-329)))) (-2096 (*1 *2 *2) (-12 (-5 *2 (-1109)) (-5 *1 (-329))))) 
+(-13 (-1091) (-10 -8 (-15 -2185 ((-851) $)) (-15 -3606 ($ (-1083 (-954 (-569))) $)) (-15 -3606 ($ (-1083 (-954 (-569))) (-954 (-569)) $)) (-15 -1799 ($ (-1162) $)) (-15 -2203 ($ (-1162) $)) (-15 -2243 ($ (-1109))) (-15 -2551 ($ (-1109))) (-15 -2207 ($ (-1145))) (-15 -2207 ($ (-635 (-1145)))) (-15 -1355 ($ (-1145))) (-15 -1517 ($)) (-15 -1517 ($ (-311 (-689)))) (-15 -1517 ($ (-311 (-691)))) (-15 -1517 ($ (-311 (-684)))) (-15 -1517 ($ (-311 (-382)))) (-15 -1517 ($ (-311 (-569)))) (-15 -1517 ($ (-311 (-170 (-382))))) (-15 -2817 ($ (-1162) $)) (-15 -2817 ($ (-1162) $ $)) (-15 -4384 ($ (-1163) (-1145))) (-15 -4384 ($ (-1163) (-311 (-691)))) (-15 -4384 ($ (-1163) (-311 (-689)))) (-15 -4384 ($ (-1163) (-311 (-684)))) (-15 -4384 ($ (-1163) (-680 (-691)))) (-15 -4384 ($ (-1163) (-680 (-689)))) (-15 -4384 ($ (-1163) (-680 (-684)))) (-15 -4384 ($ (-1163) (-1247 (-691)))) (-15 -4384 ($ (-1163) (-1247 (-689)))) (-15 -4384 ($ (-1163) (-1247 (-684)))) (-15 -4384 ($ (-1163) (-680 (-311 (-691))))) (-15 -4384 ($ (-1163) (-680 (-311 (-689))))) (-15 -4384 ($ (-1163) (-680 (-311 (-684))))) (-15 -4384 ($ (-1163) (-1247 (-311 (-691))))) (-15 -4384 ($ (-1163) (-1247 (-311 (-689))))) (-15 -4384 ($ (-1163) (-1247 (-311 (-684))))) (-15 -4384 ($ (-1163) (-635 (-954 (-569))) (-311 (-691)))) (-15 -4384 ($ (-1163) (-635 (-954 (-569))) (-311 (-689)))) (-15 -4384 ($ (-1163) (-635 (-954 (-569))) (-311 (-684)))) (-15 -4384 ($ (-1163) (-311 (-569)))) (-15 -4384 ($ (-1163) (-311 (-382)))) (-15 -4384 ($ (-1163) (-311 (-170 (-382))))) (-15 -4384 ($ (-1163) (-680 (-311 (-569))))) (-15 -4384 ($ (-1163) (-680 (-311 (-382))))) (-15 -4384 ($ (-1163) (-680 (-311 (-170 (-382)))))) (-15 -4384 ($ (-1163) (-1247 (-311 (-569))))) (-15 -4384 ($ (-1163) (-1247 (-311 (-382))))) (-15 -4384 ($ (-1163) (-1247 (-311 (-170 (-382)))))) (-15 -4384 ($ (-1163) (-635 (-954 (-569))) (-311 (-569)))) (-15 -4384 ($ (-1163) (-635 (-954 (-569))) (-311 (-382)))) (-15 -4384 ($ (-1163) (-635 (-954 (-569))) (-311 (-170 (-382))))) (-15 -2423 ($ (-635 $))) (-15 -1927 ($)) (-15 -2965 ($)) (-15 -1901 ($ (-635 (-851)))) (-15 -2979 ($ (-1163) (-635 (-1163)))) (-15 -4489 ((-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $)) (-15 -3632 ((-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1163)) (|:| |arrayIndex| (-635 (-954 (-569)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -2252 (-851)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1163)) (|:| |rand| (-851)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1162)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (-2 (|:| -1601 (-121)) (|:| -2247 (-2 (|:| |ints2Floats?| (-121)) (|:| -2252 (-851)))))) (|:| |blockBranch| (-635 $)) (|:| |commentBranch| (-635 (-1145))) (|:| |callBranch| (-1145)) (|:| |forBranch| (-2 (|:| -4235 (-1083 (-954 (-569)))) (|:| |span| (-954 (-569))) (|:| |body| $))) (|:| |labelBranch| (-1109)) (|:| |loopBranch| (-2 (|:| |switch| (-1162)) (|:| |body| $))) (|:| |commonBranch| (-2 (|:| -1486 (-1163)) (|:| |contents| (-635 (-1163))))) (|:| |printBranch| (-635 (-851)))) $)) (-15 -3223 ((-1252) $)) (-15 -3713 ((-1095) $)) (-15 -2096 ((-1109) (-1109))))) 
+((-2568 (((-121) $ $) NIL)) (-1491 (((-121) $) 11)) (-2513 (($ |#1|) 8)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2522 (($ |#1|) 9)) (-2185 (((-851) $) 17)) (-1408 ((|#1| $) 12)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 19))) 
+(((-330 |#1|) (-13 (-843) (-10 -8 (-15 -2513 ($ |#1|)) (-15 -2522 ($ |#1|)) (-15 -1491 ((-121) $)) (-15 -1408 (|#1| $)))) (-843)) (T -330)) 
+((-2513 (*1 *1 *2) (-12 (-5 *1 (-330 *2)) (-4 *2 (-843)))) (-2522 (*1 *1 *2) (-12 (-5 *1 (-330 *2)) (-4 *2 (-843)))) (-1491 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-330 *3)) (-4 *3 (-843)))) (-1408 (*1 *2 *1) (-12 (-5 *1 (-330 *2)) (-4 *2 (-843))))) 
+(-13 (-843) (-10 -8 (-15 -2513 ($ |#1|)) (-15 -2522 ($ |#1|)) (-15 -1491 ((-121) $)) (-15 -1408 (|#1| $)))) 
+((-3612 (((-329) (-1163) (-954 (-569))) 22)) (-3183 (((-329) (-1163) (-954 (-569))) 26)) (-1872 (((-329) (-1163) (-1083 (-954 (-569))) (-1083 (-954 (-569)))) 25) (((-329) (-1163) (-954 (-569)) (-954 (-569))) 23)) (-2348 (((-329) (-1163) (-954 (-569))) 30))) 
+(((-331) (-10 -7 (-15 -3612 ((-329) (-1163) (-954 (-569)))) (-15 -1872 ((-329) (-1163) (-954 (-569)) (-954 (-569)))) (-15 -1872 ((-329) (-1163) (-1083 (-954 (-569))) (-1083 (-954 (-569))))) (-15 -3183 ((-329) (-1163) (-954 (-569)))) (-15 -2348 ((-329) (-1163) (-954 (-569)))))) (T -331)) 
+((-2348 (*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-954 (-569))) (-5 *2 (-329)) (-5 *1 (-331)))) (-3183 (*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-954 (-569))) (-5 *2 (-329)) (-5 *1 (-331)))) (-1872 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-1083 (-954 (-569)))) (-5 *2 (-329)) (-5 *1 (-331)))) (-1872 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-954 (-569))) (-5 *2 (-329)) (-5 *1 (-331)))) (-3612 (*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-954 (-569))) (-5 *2 (-329)) (-5 *1 (-331))))) 
+(-10 -7 (-15 -3612 ((-329) (-1163) (-954 (-569)))) (-15 -1872 ((-329) (-1163) (-954 (-569)) (-954 (-569)))) (-15 -1872 ((-329) (-1163) (-1083 (-954 (-569))) (-1083 (-954 (-569))))) (-15 -3183 ((-329) (-1163) (-954 (-569)))) (-15 -2348 ((-329) (-1163) (-954 (-569))))) 
+((-1544 (((-335 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-335 |#1| |#2| |#3| |#4|)) 31))) 
+(((-332 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -1544 ((-335 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-335 |#1| |#2| |#3| |#4|)))) (-366) (-1222 |#1|) (-1222 (-410 |#2|)) (-341 |#1| |#2| |#3|) (-366) (-1222 |#5|) (-1222 (-410 |#6|)) (-341 |#5| |#6| |#7|)) (T -332)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-335 *5 *6 *7 *8)) (-4 *5 (-366)) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *9 (-366)) (-4 *10 (-1222 *9)) (-4 *11 (-1222 (-410 *10))) (-5 *2 (-335 *9 *10 *11 *12)) (-5 *1 (-332 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-341 *9 *10 *11))))) 
+(-10 -7 (-15 -1544 ((-335 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-335 |#1| |#2| |#3| |#4|)))) 
+((-1515 (((-121) $) 14))) 
+(((-333 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -1515 ((-121) |#1|))) (-334 |#2| |#3| |#4| |#5|) (-366) (-1222 |#2|) (-1222 (-410 |#3|)) (-341 |#2| |#3| |#4|)) (T -333)) 
+NIL 
+(-10 -8 (-15 -1515 ((-121) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-1774 (($ $) 25)) (-1515 (((-121) $) 24)) (-2776 (((-1145) $) 9)) (-2537 (((-416 |#2| (-410 |#2|) |#3| |#4|) $) 31)) (-3360 (((-1109) $) 10)) (-1809 (((-3 |#4| "failed") $) 23)) (-4199 (($ (-416 |#2| (-410 |#2|) |#3| |#4|)) 30) (($ |#4|) 29) (($ |#1| |#1|) 28) (($ |#1| |#1| (-569)) 27) (($ |#4| |#2| |#2| |#2| |#1|) 22)) (-4157 (((-2 (|:| -2223 (-416 |#2| (-410 |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) 26)) (-2185 (((-851) $) 11)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19))) 
+(((-334 |#1| |#2| |#3| |#4|) (-1278) (-366) (-1222 |t#1|) (-1222 (-410 |t#2|)) (-341 |t#1| |t#2| |t#3|)) (T -334)) 
+((-2537 (*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-416 *4 (-410 *4) *5 *6)))) (-4199 (*1 *1 *2) (-12 (-5 *2 (-416 *4 (-410 *4) *5 *6)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-4 *3 (-366)) (-4 *1 (-334 *3 *4 *5 *6)))) (-4199 (*1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *1 (-334 *3 *4 *5 *2)) (-4 *2 (-341 *3 *4 *5)))) (-4199 (*1 *1 *2 *2) (-12 (-4 *2 (-366)) (-4 *3 (-1222 *2)) (-4 *4 (-1222 (-410 *3))) (-4 *1 (-334 *2 *3 *4 *5)) (-4 *5 (-341 *2 *3 *4)))) (-4199 (*1 *1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *2 (-366)) (-4 *4 (-1222 *2)) (-4 *5 (-1222 (-410 *4))) (-4 *1 (-334 *2 *4 *5 *6)) (-4 *6 (-341 *2 *4 *5)))) (-4157 (*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-2 (|:| -2223 (-416 *4 (-410 *4) *5 *6)) (|:| |principalPart| *6))))) (-1774 (*1 *1 *1) (-12 (-4 *1 (-334 *2 *3 *4 *5)) (-4 *2 (-366)) (-4 *3 (-1222 *2)) (-4 *4 (-1222 (-410 *3))) (-4 *5 (-341 *2 *3 *4)))) (-1515 (*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-121)))) (-1809 (*1 *2 *1) (|partial| -12 (-4 *1 (-334 *3 *4 *5 *2)) (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *2 (-341 *3 *4 *5)))) (-4199 (*1 *1 *2 *3 *3 *3 *4) (-12 (-4 *4 (-366)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 (-410 *3))) (-4 *1 (-334 *4 *3 *5 *2)) (-4 *2 (-341 *4 *3 *5))))) 
+(-13 (-21) (-10 -8 (-15 -2537 ((-416 |t#2| (-410 |t#2|) |t#3| |t#4|) $)) (-15 -4199 ($ (-416 |t#2| (-410 |t#2|) |t#3| |t#4|))) (-15 -4199 ($ |t#4|)) (-15 -4199 ($ |t#1| |t#1|)) (-15 -4199 ($ |t#1| |t#1| (-569))) (-15 -4157 ((-2 (|:| -2223 (-416 |t#2| (-410 |t#2|) |t#3| |t#4|)) (|:| |principalPart| |t#4|)) $)) (-15 -1774 ($ $)) (-15 -1515 ((-121) $)) (-15 -1809 ((-3 |t#4| "failed") $)) (-15 -4199 ($ |t#4| |t#2| |t#2| |t#2| |t#1|)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-1774 (($ $) 32)) (-1515 (((-121) $) NIL)) (-2776 (((-1145) $) NIL)) (-2058 (((-1247 |#4|) $) 124)) (-2537 (((-416 |#2| (-410 |#2|) |#3| |#4|) $) 30)) (-3360 (((-1109) $) NIL)) (-1809 (((-3 |#4| "failed") $) 35)) (-3119 (((-1247 |#4|) $) 117)) (-4199 (($ (-416 |#2| (-410 |#2|) |#3| |#4|)) 40) (($ |#4|) 42) (($ |#1| |#1|) 44) (($ |#1| |#1| (-569)) 46) (($ |#4| |#2| |#2| |#2| |#1|) 48)) (-4157 (((-2 (|:| -2223 (-416 |#2| (-410 |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) 38)) (-2185 (((-851) $) 17)) (-3369 (($) 14 T CONST)) (-1668 (((-121) $ $) 20)) (-1711 (($ $) 27) (($ $ $) NIL)) (-1707 (($ $ $) 25)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 23))) 
+(((-335 |#1| |#2| |#3| |#4|) (-13 (-334 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3119 ((-1247 |#4|) $)) (-15 -2058 ((-1247 |#4|) $)))) (-366) (-1222 |#1|) (-1222 (-410 |#2|)) (-341 |#1| |#2| |#3|)) (T -335)) 
+((-3119 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-1247 *6)) (-5 *1 (-335 *3 *4 *5 *6)) (-4 *6 (-341 *3 *4 *5)))) (-2058 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-1247 *6)) (-5 *1 (-335 *3 *4 *5 *6)) (-4 *6 (-341 *3 *4 *5))))) 
+(-13 (-334 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3119 ((-1247 |#4|) $)) (-15 -2058 ((-1247 |#4|) $)))) 
+((-1468 (($ $ (-1163) |#2|) NIL) (($ $ (-635 (-1163)) (-635 |#2|)) 18) (($ $ (-635 (-289 |#2|))) 14) (($ $ (-289 |#2|)) NIL) (($ $ |#2| |#2|) NIL) (($ $ (-635 |#2|) (-635 |#2|)) NIL)) (-1534 (($ $ |#2|) 11))) 
+(((-336 |#1| |#2|) (-10 -8 (-15 -1534 (|#1| |#1| |#2|)) (-15 -1468 (|#1| |#1| (-635 |#2|) (-635 |#2|))) (-15 -1468 (|#1| |#1| |#2| |#2|)) (-15 -1468 (|#1| |#1| (-289 |#2|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#2|)))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 |#2|))) (-15 -1468 (|#1| |#1| (-1163) |#2|))) (-337 |#2|) (-1091)) (T -336)) 
+NIL 
+(-10 -8 (-15 -1534 (|#1| |#1| |#2|)) (-15 -1468 (|#1| |#1| (-635 |#2|) (-635 |#2|))) (-15 -1468 (|#1| |#1| |#2| |#2|)) (-15 -1468 (|#1| |#1| (-289 |#2|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#2|)))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 |#2|))) (-15 -1468 (|#1| |#1| (-1163) |#2|))) 
+((-1544 (($ (-1 |#1| |#1|) $) 6)) (-1468 (($ $ (-1163) |#1|) 16 (|has| |#1| (-524 (-1163) |#1|))) (($ $ (-635 (-1163)) (-635 |#1|)) 15 (|has| |#1| (-524 (-1163) |#1|))) (($ $ (-635 (-289 |#1|))) 14 (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) 13 (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) 12 (|has| |#1| (-304 |#1|))) (($ $ (-635 |#1|) (-635 |#1|)) 11 (|has| |#1| (-304 |#1|)))) (-1534 (($ $ |#1|) 10 (|has| |#1| (-282 |#1| |#1|))))) 
+(((-337 |#1|) (-1278) (-1091)) (T -337)) 
+((-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-337 *3)) (-4 *3 (-1091))))) 
+(-13 (-10 -8 (-15 -1544 ($ (-1 |t#1| |t#1|) $)) (IF (|has| |t#1| (-282 |t#1| |t#1|)) (-6 (-282 |t#1| $)) |noBranch|) (IF (|has| |t#1| (-304 |t#1|)) (-6 (-304 |t#1|)) |noBranch|) (IF (|has| |t#1| (-524 (-1163) |t#1|)) (-6 (-524 (-1163) |t#1|)) |noBranch|))) 
+(((-282 |#1| $) |has| |#1| (-282 |#1| |#1|)) ((-304 |#1|) |has| |#1| (-304 |#1|)) ((-524 (-1163) |#1|) |has| |#1| (-524 (-1163) |#1|)) ((-524 |#1| |#1|) |has| |#1| (-304 |#1|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-1163)) $) NIL)) (-1997 (((-121)) 87) (((-121) (-121)) 88)) (-4003 (((-635 (-608 $)) $) NIL)) (-1753 (($ $) NIL)) (-2530 (($ $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2773 (($ $ (-289 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL)) (-2454 (($ $) NIL)) (-1744 (($ $) NIL)) (-2513 (($ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-608 $) "failed") $) NIL) (((-3 |#3| "failed") $) NIL) (((-3 $ "failed") (-311 |#3|)) 69) (((-3 $ "failed") (-1163)) 93) (((-3 $ "failed") (-311 (-569))) 56 (|has| |#3| (-1038 (-569)))) (((-3 $ "failed") (-410 (-954 (-569)))) 62 (|has| |#3| (-1038 (-569)))) (((-3 $ "failed") (-954 (-569))) 57 (|has| |#3| (-1038 (-569)))) (((-3 $ "failed") (-311 (-382))) 74 (|has| |#3| (-1038 (-382)))) (((-3 $ "failed") (-410 (-954 (-382)))) 80 (|has| |#3| (-1038 (-382)))) (((-3 $ "failed") (-954 (-382))) 75 (|has| |#3| (-1038 (-382))))) (-2428 (((-608 $) $) NIL) ((|#3| $) NIL) (($ (-311 |#3|)) 70) (($ (-1163)) 94) (($ (-311 (-569))) 58 (|has| |#3| (-1038 (-569)))) (($ (-410 (-954 (-569)))) 63 (|has| |#3| (-1038 (-569)))) (($ (-954 (-569))) 59 (|has| |#3| (-1038 (-569)))) (($ (-311 (-382))) 76 (|has| |#3| (-1038 (-382)))) (($ (-410 (-954 (-382)))) 81 (|has| |#3| (-1038 (-382)))) (($ (-954 (-382))) 77 (|has| |#3| (-1038 (-382))))) (-3428 (((-3 $ "failed") $) NIL)) (-2445 (($) 10)) (-2337 (($ $) NIL) (($ (-635 $)) NIL)) (-3431 (((-635 (-123)) $) NIL)) (-2265 (((-123) (-123)) NIL)) (-1407 (((-121) $) NIL)) (-1931 (((-121) $) NIL (|has| $ (-1038 (-569))))) (-4080 (((-1159 $) (-608 $)) NIL (|has| $ (-1048)))) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1544 (($ (-1 $ $) (-608 $)) NIL)) (-2359 (((-3 (-608 $) "failed") $) NIL)) (-2138 (($ $) 90)) (-4450 (($ $) NIL)) (-2776 (((-1145) $) NIL)) (-1735 (((-635 (-608 $)) $) NIL)) (-1777 (($ (-123) $) 89) (($ (-123) (-635 $)) NIL)) (-4029 (((-121) $ (-123)) NIL) (((-121) $ (-1163)) NIL)) (-2626 (((-764) $) NIL)) (-3360 (((-1109) $) NIL)) (-1452 (((-121) $ $) NIL) (((-121) $ (-1163)) NIL)) (-2436 (($ $) NIL)) (-1657 (((-121) $) NIL (|has| $ (-1038 (-569))))) (-1468 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1163)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-1163)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-1163) (-1 $ (-635 $))) NIL) (($ $ (-1163) (-1 $ $)) NIL) (($ $ (-635 (-123)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-123) (-1 $ (-635 $))) NIL) (($ $ (-123) (-1 $ $)) NIL)) (-1534 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-635 $)) NIL)) (-4082 (($ $) NIL) (($ $ $) NIL)) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163)) NIL)) (-2745 (($ $) NIL (|has| $ (-1048)))) (-1748 (($ $) NIL)) (-2522 (($ $) NIL)) (-2185 (((-851) $) NIL) (($ (-608 $)) NIL) (($ |#3|) NIL) (($ (-569)) NIL) (((-311 |#3|) $) 92)) (-1991 (((-764)) NIL)) (-4042 (($ $) NIL) (($ (-635 $)) NIL)) (-1524 (((-121) (-123)) NIL)) (-1727 (($ $) NIL)) (-2561 (($ $) NIL)) (-2569 (($ $) NIL)) (-1616 (($ $) NIL)) (-2427 (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (-3369 (($) 91 T CONST)) (-1556 (($) 22 T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163)) NIL)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL)) (-1711 (($ $ $) NIL) (($ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (* (($ |#3| $) NIL) (($ $ |#3|) NIL) (($ $ $) NIL) (($ (-569) $) NIL) (($ (-764) $) NIL) (($ (-918) $) NIL))) 
+(((-338 |#1| |#2| |#3|) (-13 (-297) (-43 |#3|) (-1038 |#3|) (-896 (-1163)) (-10 -8 (-15 -2428 ($ (-311 |#3|))) (-15 -1647 ((-3 $ "failed") (-311 |#3|))) (-15 -2428 ($ (-1163))) (-15 -1647 ((-3 $ "failed") (-1163))) (-15 -2185 ((-311 |#3|) $)) (IF (|has| |#3| (-1038 (-569))) (PROGN (-15 -2428 ($ (-311 (-569)))) (-15 -1647 ((-3 $ "failed") (-311 (-569)))) (-15 -2428 ($ (-410 (-954 (-569))))) (-15 -1647 ((-3 $ "failed") (-410 (-954 (-569))))) (-15 -2428 ($ (-954 (-569)))) (-15 -1647 ((-3 $ "failed") (-954 (-569))))) |noBranch|) (IF (|has| |#3| (-1038 (-382))) (PROGN (-15 -2428 ($ (-311 (-382)))) (-15 -1647 ((-3 $ "failed") (-311 (-382)))) (-15 -2428 ($ (-410 (-954 (-382))))) (-15 -1647 ((-3 $ "failed") (-410 (-954 (-382))))) (-15 -2428 ($ (-954 (-382)))) (-15 -1647 ((-3 $ "failed") (-954 (-382))))) |noBranch|) (-15 -1616 ($ $)) (-15 -2454 ($ $)) (-15 -2436 ($ $)) (-15 -4450 ($ $)) (-15 -2138 ($ $)) (-15 -2513 ($ $)) (-15 -2522 ($ $)) (-15 -2530 ($ $)) (-15 -2561 ($ $)) (-15 -2569 ($ $)) (-15 -1727 ($ $)) (-15 -1744 ($ $)) (-15 -1748 ($ $)) (-15 -1753 ($ $)) (-15 -2445 ($)) (-15 -1773 ((-635 (-1163)) $)) (-15 -1997 ((-121))) (-15 -1997 ((-121) (-121))))) (-635 (-1163)) (-635 (-1163)) (-390)) (T -338)) 
+((-2428 (*1 *1 *2) (-12 (-5 *2 (-311 *5)) (-4 *5 (-390)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-311 *5)) (-4 *5 (-390)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 *2)) (-14 *4 (-635 *2)) (-4 *5 (-390)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-1163)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 *2)) (-14 *4 (-635 *2)) (-4 *5 (-390)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-311 *5)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-569))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-569))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-410 (-954 (-569)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-569))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-954 (-569)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-569))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-954 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-569))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-954 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-569))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-382))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-382))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-410 (-954 (-382)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-382))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-954 (-382)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-382))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-954 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-382))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-954 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-382))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-1616 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-2454 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-2436 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-4450 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-2138 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-2513 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-2522 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-2530 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-2561 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-2569 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-1727 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-1744 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-1748 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-1753 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-2445 (*1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-1773 (*1 *2 *1) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-338 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-390)))) (-1997 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-1997 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390))))) 
+(-13 (-297) (-43 |#3|) (-1038 |#3|) (-896 (-1163)) (-10 -8 (-15 -2428 ($ (-311 |#3|))) (-15 -1647 ((-3 $ "failed") (-311 |#3|))) (-15 -2428 ($ (-1163))) (-15 -1647 ((-3 $ "failed") (-1163))) (-15 -2185 ((-311 |#3|) $)) (IF (|has| |#3| (-1038 (-569))) (PROGN (-15 -2428 ($ (-311 (-569)))) (-15 -1647 ((-3 $ "failed") (-311 (-569)))) (-15 -2428 ($ (-410 (-954 (-569))))) (-15 -1647 ((-3 $ "failed") (-410 (-954 (-569))))) (-15 -2428 ($ (-954 (-569)))) (-15 -1647 ((-3 $ "failed") (-954 (-569))))) |noBranch|) (IF (|has| |#3| (-1038 (-382))) (PROGN (-15 -2428 ($ (-311 (-382)))) (-15 -1647 ((-3 $ "failed") (-311 (-382)))) (-15 -2428 ($ (-410 (-954 (-382))))) (-15 -1647 ((-3 $ "failed") (-410 (-954 (-382))))) (-15 -2428 ($ (-954 (-382)))) (-15 -1647 ((-3 $ "failed") (-954 (-382))))) |noBranch|) (-15 -1616 ($ $)) (-15 -2454 ($ $)) (-15 -2436 ($ $)) (-15 -4450 ($ $)) (-15 -2138 ($ $)) (-15 -2513 ($ $)) (-15 -2522 ($ $)) (-15 -2530 ($ $)) (-15 -2561 ($ $)) (-15 -2569 ($ $)) (-15 -1727 ($ $)) (-15 -1744 ($ $)) (-15 -1748 ($ $)) (-15 -1753 ($ $)) (-15 -2445 ($)) (-15 -1773 ((-635 (-1163)) $)) (-15 -1997 ((-121))) (-15 -1997 ((-121) (-121))))) 
+((-1544 ((|#8| (-1 |#5| |#1|) |#4|) 19))) 
+(((-339 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -1544 (|#8| (-1 |#5| |#1|) |#4|))) (-1202) (-1222 |#1|) (-1222 (-410 |#2|)) (-341 |#1| |#2| |#3|) (-1202) (-1222 |#5|) (-1222 (-410 |#6|)) (-341 |#5| |#6| |#7|)) (T -339)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1202)) (-4 *8 (-1202)) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-4 *9 (-1222 *8)) (-4 *2 (-341 *8 *9 *10)) (-5 *1 (-339 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-341 *5 *6 *7)) (-4 *10 (-1222 (-410 *9)))))) 
+(-10 -7 (-15 -1544 (|#8| (-1 |#5| |#1|) |#4|))) 
+((-4062 (((-2 (|:| |num| (-1247 |#3|)) (|:| |den| |#3|)) $) 37)) (-2623 (($ (-1247 (-410 |#3|)) (-1247 $)) NIL) (($ (-1247 (-410 |#3|))) NIL) (($ (-1247 |#3|) |#3|) 158)) (-2326 (((-1247 $) (-1247 $)) 142)) (-1818 (((-635 (-635 |#2|))) 115)) (-2275 (((-121) |#2| |#2|) 71)) (-1340 (($ $) 136)) (-1607 (((-764)) 30)) (-4296 (((-1247 $) (-1247 $)) 195)) (-4367 (((-635 (-954 |#2|)) (-1163)) 108)) (-4470 (((-121) $) 155)) (-3636 (((-121) $) 24) (((-121) $ |#2|) 28) (((-121) $ |#3|) 199)) (-3264 (((-3 |#3| "failed")) 48)) (-3950 (((-764)) 167)) (-1534 ((|#2| $ |#2| |#2|) 129)) (-4005 (((-3 |#3| "failed")) 66)) (-3899 (($ $ (-1 (-410 |#3|) (-410 |#3|)) (-764)) NIL) (($ $ (-1 (-410 |#3|) (-410 |#3|))) NIL) (($ $ (-1 |#3| |#3|)) 203) (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163)) NIL) (($ $ (-764)) NIL) (($ $) NIL)) (-4261 (((-1247 $) (-1247 $)) 148)) (-2801 (((-2 (|:| |num| $) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) $ (-1 |#3| |#3|)) 64)) (-3670 (((-121)) 32))) 
+(((-340 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -1818 ((-635 (-635 |#2|)))) (-15 -4367 ((-635 (-954 |#2|)) (-1163))) (-15 -2801 ((-2 (|:| |num| |#1|) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) |#1| (-1 |#3| |#3|))) (-15 -3264 ((-3 |#3| "failed"))) (-15 -4005 ((-3 |#3| "failed"))) (-15 -1534 (|#2| |#1| |#2| |#2|)) (-15 -1340 (|#1| |#1|)) (-15 -2623 (|#1| (-1247 |#3|) |#3|)) (-15 -3899 (|#1| |#1| (-1 |#3| |#3|))) (-15 -3636 ((-121) |#1| |#3|)) (-15 -3636 ((-121) |#1| |#2|)) (-15 -4062 ((-2 (|:| |num| (-1247 |#3|)) (|:| |den| |#3|)) |#1|)) (-15 -2326 ((-1247 |#1|) (-1247 |#1|))) (-15 -4296 ((-1247 |#1|) (-1247 |#1|))) (-15 -4261 ((-1247 |#1|) (-1247 |#1|))) (-15 -3636 ((-121) |#1|)) (-15 -4470 ((-121) |#1|)) (-15 -2275 ((-121) |#2| |#2|)) (-15 -3670 ((-121))) (-15 -3950 ((-764))) (-15 -1607 ((-764))) (-15 -3899 (|#1| |#1| (-1 (-410 |#3|) (-410 |#3|)))) (-15 -3899 (|#1| |#1| (-1 (-410 |#3|) (-410 |#3|)) (-764))) (-15 -2623 (|#1| (-1247 (-410 |#3|)))) (-15 -2623 (|#1| (-1247 (-410 |#3|)) (-1247 |#1|)))) (-341 |#2| |#3| |#4|) (-1202) (-1222 |#2|) (-1222 (-410 |#3|))) (T -340)) 
+((-1607 (*1 *2) (-12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-764)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) (-3950 (*1 *2) (-12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-764)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) (-3670 (*1 *2) (-12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-121)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) (-2275 (*1 *2 *3 *3) (-12 (-4 *3 (-1202)) (-4 *5 (-1222 *3)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-121)) (-5 *1 (-340 *4 *3 *5 *6)) (-4 *4 (-341 *3 *5 *6)))) (-4005 (*1 *2) (|partial| -12 (-4 *4 (-1202)) (-4 *5 (-1222 (-410 *2))) (-4 *2 (-1222 *4)) (-5 *1 (-340 *3 *4 *2 *5)) (-4 *3 (-341 *4 *2 *5)))) (-3264 (*1 *2) (|partial| -12 (-4 *4 (-1202)) (-4 *5 (-1222 (-410 *2))) (-4 *2 (-1222 *4)) (-5 *1 (-340 *3 *4 *2 *5)) (-4 *3 (-341 *4 *2 *5)))) (-4367 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *5 (-1202)) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-5 *2 (-635 (-954 *5))) (-5 *1 (-340 *4 *5 *6 *7)) (-4 *4 (-341 *5 *6 *7)))) (-1818 (*1 *2) (-12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-635 (-635 *4))) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6))))) 
+(-10 -8 (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -1818 ((-635 (-635 |#2|)))) (-15 -4367 ((-635 (-954 |#2|)) (-1163))) (-15 -2801 ((-2 (|:| |num| |#1|) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) |#1| (-1 |#3| |#3|))) (-15 -3264 ((-3 |#3| "failed"))) (-15 -4005 ((-3 |#3| "failed"))) (-15 -1534 (|#2| |#1| |#2| |#2|)) (-15 -1340 (|#1| |#1|)) (-15 -2623 (|#1| (-1247 |#3|) |#3|)) (-15 -3899 (|#1| |#1| (-1 |#3| |#3|))) (-15 -3636 ((-121) |#1| |#3|)) (-15 -3636 ((-121) |#1| |#2|)) (-15 -4062 ((-2 (|:| |num| (-1247 |#3|)) (|:| |den| |#3|)) |#1|)) (-15 -2326 ((-1247 |#1|) (-1247 |#1|))) (-15 -4296 ((-1247 |#1|) (-1247 |#1|))) (-15 -4261 ((-1247 |#1|) (-1247 |#1|))) (-15 -3636 ((-121) |#1|)) (-15 -4470 ((-121) |#1|)) (-15 -2275 ((-121) |#2| |#2|)) (-15 -3670 ((-121))) (-15 -3950 ((-764))) (-15 -1607 ((-764))) (-15 -3899 (|#1| |#1| (-1 (-410 |#3|) (-410 |#3|)))) (-15 -3899 (|#1| |#1| (-1 (-410 |#3|) (-410 |#3|)) (-764))) (-15 -2623 (|#1| (-1247 (-410 |#3|)))) (-15 -2623 (|#1| (-1247 (-410 |#3|)) (-1247 |#1|)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-4062 (((-2 (|:| |num| (-1247 |#2|)) (|:| |den| |#2|)) $) 180)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 87 (|has| (-410 |#2|) (-366)))) (-3383 (($ $) 88 (|has| (-410 |#2|) (-366)))) (-4354 (((-121) $) 90 (|has| (-410 |#2|) (-366)))) (-3294 (((-680 (-410 |#2|)) (-1247 $)) 44) (((-680 (-410 |#2|))) 55)) (-1377 (((-410 |#2|) $) 50)) (-2620 (((-1171 (-918) (-764)) (-569)) 141 (|has| (-410 |#2|) (-351)))) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 107 (|has| (-410 |#2|) (-366)))) (-2446 (((-421 $) $) 108 (|has| (-410 |#2|) (-366)))) (-3934 (((-121) $ $) 98 (|has| (-410 |#2|) (-366)))) (-2085 (((-764)) 81 (|has| (-410 |#2|) (-371)))) (-3681 (((-121)) 197)) (-4037 (((-121) |#1|) 196) (((-121) |#2|) 195)) (-2820 (($) 16 T CONST)) (-1647 (((-3 (-569) "failed") $) 163 (|has| (-410 |#2|) (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) 161 (|has| (-410 |#2|) (-1038 (-410 (-569))))) (((-3 (-410 |#2|) "failed") $) 160)) (-2428 (((-569) $) 164 (|has| (-410 |#2|) (-1038 (-569)))) (((-410 (-569)) $) 162 (|has| (-410 |#2|) (-1038 (-410 (-569))))) (((-410 |#2|) $) 159)) (-2623 (($ (-1247 (-410 |#2|)) (-1247 $)) 46) (($ (-1247 (-410 |#2|))) 58) (($ (-1247 |#2|) |#2|) 173)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) 147 (|has| (-410 |#2|) (-351)))) (-2506 (($ $ $) 102 (|has| (-410 |#2|) (-366)))) (-3325 (((-680 (-410 |#2|)) $ (-1247 $)) 51) (((-680 (-410 |#2|)) $) 53)) (-1696 (((-680 (-569)) (-680 $)) 158 (|has| (-410 |#2|) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 157 (|has| (-410 |#2|) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-410 |#2|))) (|:| |vec| (-1247 (-410 |#2|)))) (-680 $) (-1247 $)) 156) (((-680 (-410 |#2|)) (-680 $)) 155)) (-2326 (((-1247 $) (-1247 $)) 185)) (-1774 (($ |#3|) 152) (((-3 $ "failed") (-410 |#3|)) 149 (|has| (-410 |#2|) (-366)))) (-3428 (((-3 $ "failed") $) 33)) (-1818 (((-635 (-635 |#1|))) 166 (|has| |#1| (-371)))) (-2275 (((-121) |#1| |#1|) 201)) (-1321 (((-918)) 52)) (-4327 (($) 84 (|has| (-410 |#2|) (-371)))) (-3123 (((-121)) 194)) (-2642 (((-121) |#1|) 193) (((-121) |#2|) 192)) (-2524 (($ $ $) 101 (|has| (-410 |#2|) (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 96 (|has| (-410 |#2|) (-366)))) (-1340 (($ $) 172)) (-3188 (($) 143 (|has| (-410 |#2|) (-351)))) (-3354 (((-121) $) 144 (|has| (-410 |#2|) (-351)))) (-2751 (($ $ (-764)) 135 (|has| (-410 |#2|) (-351))) (($ $) 134 (|has| (-410 |#2|) (-351)))) (-3726 (((-121) $) 109 (|has| (-410 |#2|) (-366)))) (-2558 (((-918) $) 146 (|has| (-410 |#2|) (-351))) (((-829 (-918)) $) 132 (|has| (-410 |#2|) (-351)))) (-1407 (((-121) $) 30)) (-1607 (((-764)) 204)) (-4296 (((-1247 $) (-1247 $)) 186)) (-4308 (((-410 |#2|) $) 49)) (-4367 (((-635 (-954 |#1|)) (-1163)) 167 (|has| |#1| (-366)))) (-3846 (((-3 $ "failed") $) 136 (|has| (-410 |#2|) (-351)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 105 (|has| (-410 |#2|) (-366)))) (-2770 ((|#3| $) 42 (|has| (-410 |#2|) (-366)))) (-2083 (((-918) $) 83 (|has| (-410 |#2|) (-371)))) (-1769 ((|#3| $) 150)) (-2665 (($ (-635 $)) 94 (|has| (-410 |#2|) (-366))) (($ $ $) 93 (|has| (-410 |#2|) (-366)))) (-2776 (((-1145) $) 9)) (-3243 (((-680 (-410 |#2|))) 181)) (-3837 (((-680 (-410 |#2|))) 183)) (-1795 (($ $) 110 (|has| (-410 |#2|) (-366)))) (-3878 (($ (-1247 |#2|) |#2|) 178)) (-3804 (((-680 (-410 |#2|))) 182)) (-2865 (((-680 (-410 |#2|))) 184)) (-2661 (((-2 (|:| |num| (-680 |#2|)) (|:| |den| |#2|)) (-1 |#2| |#2|)) 177)) (-3843 (((-2 (|:| |num| (-1247 |#2|)) (|:| |den| |#2|)) $) 179)) (-1802 (((-1247 $)) 190)) (-3577 (((-1247 $)) 191)) (-4470 (((-121) $) 189)) (-3636 (((-121) $) 188) (((-121) $ |#1|) 176) (((-121) $ |#2|) 175)) (-4043 (($) 137 (|has| (-410 |#2|) (-351)) CONST)) (-3998 (($ (-918)) 82 (|has| (-410 |#2|) (-371)))) (-3264 (((-3 |#2| "failed")) 169)) (-3360 (((-1109) $) 10)) (-3950 (((-764)) 203)) (-1809 (($) 154)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 95 (|has| (-410 |#2|) (-366)))) (-2714 (($ (-635 $)) 92 (|has| (-410 |#2|) (-366))) (($ $ $) 91 (|has| (-410 |#2|) (-366)))) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) 140 (|has| (-410 |#2|) (-351)))) (-1743 (((-421 $) $) 106 (|has| (-410 |#2|) (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 104 (|has| (-410 |#2|) (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 103 (|has| (-410 |#2|) (-366)))) (-2941 (((-3 $ "failed") $ $) 86 (|has| (-410 |#2|) (-366)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 97 (|has| (-410 |#2|) (-366)))) (-2622 (((-764) $) 99 (|has| (-410 |#2|) (-366)))) (-1534 ((|#1| $ |#1| |#1|) 171)) (-4005 (((-3 |#2| "failed")) 170)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 100 (|has| (-410 |#2|) (-366)))) (-2087 (((-410 |#2|) (-1247 $)) 45) (((-410 |#2|)) 54)) (-1291 (((-764) $) 145 (|has| (-410 |#2|) (-351))) (((-3 (-764) "failed") $ $) 133 (|has| (-410 |#2|) (-351)))) (-3899 (($ $ (-1 (-410 |#2|) (-410 |#2|)) (-764)) 117 (|has| (-410 |#2|) (-366))) (($ $ (-1 (-410 |#2|) (-410 |#2|))) 116 (|has| (-410 |#2|) (-366))) (($ $ (-1 |#2| |#2|)) 174) (($ $ (-635 (-1163)) (-635 (-764))) 124 (-2232 (-2206 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163)))) (-2206 (|has| (-410 |#2|) (-896 (-1163))) (|has| (-410 |#2|) (-366))))) (($ $ (-1163) (-764)) 125 (-2232 (-2206 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163)))) (-2206 (|has| (-410 |#2|) (-896 (-1163))) (|has| (-410 |#2|) (-366))))) (($ $ (-635 (-1163))) 126 (-2232 (-2206 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163)))) (-2206 (|has| (-410 |#2|) (-896 (-1163))) (|has| (-410 |#2|) (-366))))) (($ $ (-1163)) 127 (-2232 (-2206 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163)))) (-2206 (|has| (-410 |#2|) (-896 (-1163))) (|has| (-410 |#2|) (-366))))) (($ $ (-764)) 129 (-2232 (-2206 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-226))) (-2206 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351)))) (($ $) 131 (-2232 (-2206 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-226))) (-2206 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351))))) (-3497 (((-680 (-410 |#2|)) (-1247 $) (-1 (-410 |#2|) (-410 |#2|))) 148 (|has| (-410 |#2|) (-366)))) (-2745 ((|#3|) 153)) (-2319 (($) 142 (|has| (-410 |#2|) (-351)))) (-1648 (((-1247 (-410 |#2|)) $ (-1247 $)) 48) (((-680 (-410 |#2|)) (-1247 $) (-1247 $)) 47) (((-1247 (-410 |#2|)) $) 60) (((-680 (-410 |#2|)) (-1247 $)) 59)) (-3817 (((-1247 (-410 |#2|)) $) 57) (($ (-1247 (-410 |#2|))) 56) ((|#3| $) 165) (($ |#3|) 151)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 139 (|has| (-410 |#2|) (-351)))) (-4261 (((-1247 $) (-1247 $)) 187)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ (-410 |#2|)) 36) (($ (-410 (-569))) 80 (-2232 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-1038 (-410 (-569)))))) (($ $) 85 (|has| (-410 |#2|) (-366)))) (-3953 (($ $) 138 (|has| (-410 |#2|) (-351))) (((-3 $ "failed") $) 41 (|has| (-410 |#2|) (-149)))) (-2742 ((|#3| $) 43)) (-1991 (((-764)) 28)) (-2808 (((-121)) 200)) (-2719 (((-121) |#1|) 199) (((-121) |#2|) 198)) (-3930 (((-1247 $)) 61)) (-1961 (((-121) $ $) 89 (|has| (-410 |#2|) (-366)))) (-2801 (((-2 (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (-1 |#2| |#2|)) 168)) (-3670 (((-121)) 202)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 111 (|has| (-410 |#2|) (-366)))) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-1 (-410 |#2|) (-410 |#2|)) (-764)) 119 (|has| (-410 |#2|) (-366))) (($ $ (-1 (-410 |#2|) (-410 |#2|))) 118 (|has| (-410 |#2|) (-366))) (($ $ (-635 (-1163)) (-635 (-764))) 120 (-2232 (-2206 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163)))) (-2206 (|has| (-410 |#2|) (-896 (-1163))) (|has| (-410 |#2|) (-366))))) (($ $ (-1163) (-764)) 121 (-2232 (-2206 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163)))) (-2206 (|has| (-410 |#2|) (-896 (-1163))) (|has| (-410 |#2|) (-366))))) (($ $ (-635 (-1163))) 122 (-2232 (-2206 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163)))) (-2206 (|has| (-410 |#2|) (-896 (-1163))) (|has| (-410 |#2|) (-366))))) (($ $ (-1163)) 123 (-2232 (-2206 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163)))) (-2206 (|has| (-410 |#2|) (-896 (-1163))) (|has| (-410 |#2|) (-366))))) (($ $ (-764)) 128 (-2232 (-2206 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-226))) (-2206 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351)))) (($ $) 130 (-2232 (-2206 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-226))) (-2206 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351))))) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 115 (|has| (-410 |#2|) (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 112 (|has| (-410 |#2|) (-366)))) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 |#2|)) 38) (($ (-410 |#2|) $) 37) (($ (-410 (-569)) $) 114 (|has| (-410 |#2|) (-366))) (($ $ (-410 (-569))) 113 (|has| (-410 |#2|) (-366))))) 
+(((-341 |#1| |#2| |#3|) (-1278) (-1202) (-1222 |t#1|) (-1222 (-410 |t#2|))) (T -341)) 
+((-1607 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-764)))) (-3950 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-764)))) (-3670 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121)))) (-2275 (*1 *2 *3 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121)))) (-2808 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121)))) (-2719 (*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121)))) (-2719 (*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1202)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 (-410 *3))) (-5 *2 (-121)))) (-3681 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121)))) (-4037 (*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121)))) (-4037 (*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1202)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 (-410 *3))) (-5 *2 (-121)))) (-3123 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121)))) (-2642 (*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121)))) (-2642 (*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1202)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 (-410 *3))) (-5 *2 (-121)))) (-3577 (*1 *2) (-12 (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-1247 *1)) (-4 *1 (-341 *3 *4 *5)))) (-1802 (*1 *2) (-12 (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-1247 *1)) (-4 *1 (-341 *3 *4 *5)))) (-4470 (*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121)))) (-3636 (*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121)))) (-4261 (*1 *2 *2) (-12 (-5 *2 (-1247 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))))) (-4296 (*1 *2 *2) (-12 (-5 *2 (-1247 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))))) (-2326 (*1 *2 *2) (-12 (-5 *2 (-1247 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))))) (-2865 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-680 (-410 *4))))) (-3837 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-680 (-410 *4))))) (-3804 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-680 (-410 *4))))) (-3243 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-680 (-410 *4))))) (-4062 (*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-2 (|:| |num| (-1247 *4)) (|:| |den| *4))))) (-3843 (*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-2 (|:| |num| (-1247 *4)) (|:| |den| *4))))) (-3878 (*1 *1 *2 *3) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-1222 *4)) (-4 *4 (-1202)) (-4 *1 (-341 *4 *3 *5)) (-4 *5 (-1222 (-410 *3))))) (-2661 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *1 (-341 *4 *5 *6)) (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-2 (|:| |num| (-680 *5)) (|:| |den| *5))))) (-3636 (*1 *2 *1 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121)))) (-3636 (*1 *2 *1 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1202)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 (-410 *3))) (-5 *2 (-121)))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))))) (-2623 (*1 *1 *2 *3) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-1222 *4)) (-4 *4 (-1202)) (-4 *1 (-341 *4 *3 *5)) (-4 *5 (-1222 (-410 *3))))) (-1340 (*1 *1 *1) (-12 (-4 *1 (-341 *2 *3 *4)) (-4 *2 (-1202)) (-4 *3 (-1222 *2)) (-4 *4 (-1222 (-410 *3))))) (-1534 (*1 *2 *1 *2 *2) (-12 (-4 *1 (-341 *2 *3 *4)) (-4 *2 (-1202)) (-4 *3 (-1222 *2)) (-4 *4 (-1222 (-410 *3))))) (-4005 (*1 *2) (|partial| -12 (-4 *1 (-341 *3 *2 *4)) (-4 *3 (-1202)) (-4 *4 (-1222 (-410 *2))) (-4 *2 (-1222 *3)))) (-3264 (*1 *2) (|partial| -12 (-4 *1 (-341 *3 *2 *4)) (-4 *3 (-1202)) (-4 *4 (-1222 (-410 *2))) (-4 *2 (-1222 *3)))) (-2801 (*1 *2 *1 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1222 *4)) (-4 *4 (-1202)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-2 (|:| |num| *1) (|:| |den| *5) (|:| |derivden| *5) (|:| |gd| *5))) (-4 *1 (-341 *4 *5 *6)))) (-4367 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *1 (-341 *4 *5 *6)) (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-4 *4 (-366)) (-5 *2 (-635 (-954 *4))))) (-1818 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *3 (-371)) (-5 *2 (-635 (-635 *3)))))) 
+(-13 (-715 (-410 |t#2|) |t#3|) (-10 -8 (-15 -1607 ((-764))) (-15 -3950 ((-764))) (-15 -3670 ((-121))) (-15 -2275 ((-121) |t#1| |t#1|)) (-15 -2808 ((-121))) (-15 -2719 ((-121) |t#1|)) (-15 -2719 ((-121) |t#2|)) (-15 -3681 ((-121))) (-15 -4037 ((-121) |t#1|)) (-15 -4037 ((-121) |t#2|)) (-15 -3123 ((-121))) (-15 -2642 ((-121) |t#1|)) (-15 -2642 ((-121) |t#2|)) (-15 -3577 ((-1247 $))) (-15 -1802 ((-1247 $))) (-15 -4470 ((-121) $)) (-15 -3636 ((-121) $)) (-15 -4261 ((-1247 $) (-1247 $))) (-15 -4296 ((-1247 $) (-1247 $))) (-15 -2326 ((-1247 $) (-1247 $))) (-15 -2865 ((-680 (-410 |t#2|)))) (-15 -3837 ((-680 (-410 |t#2|)))) (-15 -3804 ((-680 (-410 |t#2|)))) (-15 -3243 ((-680 (-410 |t#2|)))) (-15 -4062 ((-2 (|:| |num| (-1247 |t#2|)) (|:| |den| |t#2|)) $)) (-15 -2623 ($ (-1247 |t#2|) |t#2|)) (-15 -3843 ((-2 (|:| |num| (-1247 |t#2|)) (|:| |den| |t#2|)) $)) (-15 -3878 ($ (-1247 |t#2|) |t#2|)) (-15 -2661 ((-2 (|:| |num| (-680 |t#2|)) (|:| |den| |t#2|)) (-1 |t#2| |t#2|))) (-15 -3636 ((-121) $ |t#1|)) (-15 -3636 ((-121) $ |t#2|)) (-15 -3899 ($ $ (-1 |t#2| |t#2|))) (-15 -2623 ($ (-1247 |t#2|) |t#2|)) (-15 -1340 ($ $)) (-15 -1534 (|t#1| $ |t#1| |t#1|)) (-15 -4005 ((-3 |t#2| "failed"))) (-15 -3264 ((-3 |t#2| "failed"))) (-15 -2801 ((-2 (|:| |num| $) (|:| |den| |t#2|) (|:| |derivden| |t#2|) (|:| |gd| |t#2|)) $ (-1 |t#2| |t#2|))) (IF (|has| |t#1| (-366)) (-15 -4367 ((-635 (-954 |t#1|)) (-1163))) |noBranch|) (IF (|has| |t#1| (-371)) (-15 -1818 ((-635 (-635 |t#1|)))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-43 (-410 |#2|)) . T) ((-43 $) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-120 (-410 |#2|) (-410 |#2|)) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-149))) ((-151) |has| (-410 |#2|) (-151)) ((-609 (-851)) . T) ((-173) . T) ((-610 |#3|) . T) ((-224 (-410 |#2|)) |has| (-410 |#2|) (-366)) ((-226) -2232 (|has| (-410 |#2|) (-351)) (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366)))) ((-239) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-286) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-302) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-366) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-405) |has| (-410 |#2|) (-351)) ((-371) -2232 (|has| (-410 |#2|) (-371)) (|has| (-410 |#2|) (-351))) ((-351) |has| (-410 |#2|) (-351)) ((-373 (-410 |#2|) |#3|) . T) ((-412 (-410 |#2|) |#3|) . T) ((-380 (-410 |#2|)) . T) ((-414 (-410 |#2|)) . T) ((-454) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-559) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-638 (-410 (-569))) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-638 (-410 |#2|)) . T) ((-638 $) . T) ((-631 (-410 |#2|)) . T) ((-631 (-569)) |has| (-410 |#2|) (-631 (-569))) ((-708 (-410 (-569))) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-708 (-410 |#2|)) . T) ((-708 $) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-715 (-410 |#2|) |#3|) . T) ((-717) . T) ((-896 (-1163)) -12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163)))) ((-917) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-1038 (-410 (-569))) |has| (-410 |#2|) (-1038 (-410 (-569)))) ((-1038 (-410 |#2|)) . T) ((-1038 (-569)) |has| (-410 |#2|) (-1038 (-569))) ((-1054 (-410 (-569))) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-1054 (-410 |#2|)) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1137) |has| (-410 |#2|) (-351)) ((-1202) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-1377 (((-906 |#1|) $) NIL) (($ $ (-918)) NIL (|has| (-906 |#1|) (-371)))) (-2620 (((-1171 (-918) (-764)) (-569)) NIL (|has| (-906 |#1|) (-371)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2085 (((-764)) NIL (|has| (-906 |#1|) (-371)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-906 |#1|) "failed") $) NIL)) (-2428 (((-906 |#1|) $) NIL)) (-2623 (($ (-1247 (-906 |#1|))) NIL)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-906 |#1|) (-371)))) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| (-906 |#1|) (-371)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3188 (($) NIL (|has| (-906 |#1|) (-371)))) (-3354 (((-121) $) NIL (|has| (-906 |#1|) (-371)))) (-2751 (($ $ (-764)) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371)))) (($ $) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371))))) (-3726 (((-121) $) NIL)) (-2558 (((-918) $) NIL (|has| (-906 |#1|) (-371))) (((-829 (-918)) $) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371))))) (-1407 (((-121) $) NIL)) (-1490 (($) NIL (|has| (-906 |#1|) (-371)))) (-3364 (((-121) $) NIL (|has| (-906 |#1|) (-371)))) (-4308 (((-906 |#1|) $) NIL) (($ $ (-918)) NIL (|has| (-906 |#1|) (-371)))) (-3846 (((-3 $ "failed") $) NIL (|has| (-906 |#1|) (-371)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2770 (((-1159 (-906 |#1|)) $) NIL) (((-1159 $) $ (-918)) NIL (|has| (-906 |#1|) (-371)))) (-2083 (((-918) $) NIL (|has| (-906 |#1|) (-371)))) (-2486 (((-1159 (-906 |#1|)) $) NIL (|has| (-906 |#1|) (-371)))) (-3697 (((-1159 (-906 |#1|)) $) NIL (|has| (-906 |#1|) (-371))) (((-3 (-1159 (-906 |#1|)) "failed") $ $) NIL (|has| (-906 |#1|) (-371)))) (-4421 (($ $ (-1159 (-906 |#1|))) NIL (|has| (-906 |#1|) (-371)))) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| (-906 |#1|) (-371)) CONST)) (-3998 (($ (-918)) NIL (|has| (-906 |#1|) (-371)))) (-2705 (((-121) $) NIL)) (-3360 (((-1109) $) NIL)) (-1951 (((-959 (-1109))) NIL)) (-1809 (($) NIL (|has| (-906 |#1|) (-371)))) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL (|has| (-906 |#1|) (-371)))) (-1743 (((-421 $) $) NIL)) (-2578 (((-829 (-918))) NIL) (((-918)) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-1291 (((-764) $) NIL (|has| (-906 |#1|) (-371))) (((-3 (-764) "failed") $ $) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371))))) (-2369 (((-140)) NIL)) (-3899 (($ $) NIL (|has| (-906 |#1|) (-371))) (($ $ (-764)) NIL (|has| (-906 |#1|) (-371)))) (-2492 (((-829 (-918)) $) NIL) (((-918) $) NIL)) (-2745 (((-1159 (-906 |#1|))) NIL)) (-2319 (($) NIL (|has| (-906 |#1|) (-371)))) (-3554 (($) NIL (|has| (-906 |#1|) (-371)))) (-1648 (((-1247 (-906 |#1|)) $) NIL) (((-680 (-906 |#1|)) (-1247 $)) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (|has| (-906 |#1|) (-371)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-906 |#1|)) NIL)) (-3953 (($ $) NIL (|has| (-906 |#1|) (-371))) (((-3 $ "failed") $) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371))))) (-1991 (((-764)) NIL)) (-3930 (((-1247 $)) NIL) (((-1247 $) (-918)) NIL)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1907 (($ $) NIL (|has| (-906 |#1|) (-371))) (($ $ (-764)) NIL (|has| (-906 |#1|) (-371)))) (-3022 (($ $) NIL (|has| (-906 |#1|) (-371))) (($ $ (-764)) NIL (|has| (-906 |#1|) (-371)))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL) (($ $ (-906 |#1|)) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-906 |#1|)) NIL) (($ (-906 |#1|) $) NIL))) 
+(((-342 |#1| |#2|) (-13 (-328 (-906 |#1|)) (-10 -7 (-15 -1951 ((-959 (-1109)))))) (-918) (-918)) (T -342)) 
+((-1951 (*1 *2) (-12 (-5 *2 (-959 (-1109))) (-5 *1 (-342 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918))))) 
+(-13 (-328 (-906 |#1|)) (-10 -7 (-15 -1951 ((-959 (-1109)))))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 46)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-1377 ((|#1| $) NIL) (($ $ (-918)) NIL (|has| |#1| (-371)))) (-2620 (((-1171 (-918) (-764)) (-569)) 43 (|has| |#1| (-371)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2085 (((-764)) NIL (|has| |#1| (-371)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) 113)) (-2428 ((|#1| $) 84)) (-2623 (($ (-1247 |#1|)) 102)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) 93 (|has| |#1| (-371)))) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) 96 (|has| |#1| (-371)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3188 (($) 128 (|has| |#1| (-371)))) (-3354 (((-121) $) 49 (|has| |#1| (-371)))) (-2751 (($ $ (-764)) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3726 (((-121) $) NIL)) (-2558 (((-918) $) 47 (|has| |#1| (-371))) (((-829 (-918)) $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1407 (((-121) $) NIL)) (-1490 (($) 130 (|has| |#1| (-371)))) (-3364 (((-121) $) NIL (|has| |#1| (-371)))) (-4308 ((|#1| $) NIL) (($ $ (-918)) NIL (|has| |#1| (-371)))) (-3846 (((-3 $ "failed") $) NIL (|has| |#1| (-371)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2770 (((-1159 |#1|) $) 88) (((-1159 $) $ (-918)) NIL (|has| |#1| (-371)))) (-2083 (((-918) $) 138 (|has| |#1| (-371)))) (-2486 (((-1159 |#1|) $) NIL (|has| |#1| (-371)))) (-3697 (((-1159 |#1|) $) NIL (|has| |#1| (-371))) (((-3 (-1159 |#1|) "failed") $ $) NIL (|has| |#1| (-371)))) (-4421 (($ $ (-1159 |#1|)) NIL (|has| |#1| (-371)))) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 145)) (-4043 (($) NIL (|has| |#1| (-371)) CONST)) (-3998 (($ (-918)) 70 (|has| |#1| (-371)))) (-2705 (((-121) $) 116)) (-3360 (((-1109) $) NIL)) (-1951 (((-959 (-1109))) 44)) (-1809 (($) 126 (|has| |#1| (-371)))) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) 91 (|has| |#1| (-371)))) (-1743 (((-421 $) $) NIL)) (-2578 (((-829 (-918))) 67) (((-918)) 68)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-1291 (((-764) $) 129 (|has| |#1| (-371))) (((-3 (-764) "failed") $ $) 123 (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2369 (((-140)) NIL)) (-3899 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-2492 (((-829 (-918)) $) NIL) (((-918) $) NIL)) (-2745 (((-1159 |#1|)) 94)) (-2319 (($) 127 (|has| |#1| (-371)))) (-3554 (($) 135 (|has| |#1| (-371)))) (-1648 (((-1247 |#1|) $) 59) (((-680 |#1|) (-1247 $)) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (|has| |#1| (-371)))) (-2185 (((-851) $) 141) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 74)) (-3953 (($ $) NIL (|has| |#1| (-371))) (((-3 $ "failed") $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1991 (((-764)) 137)) (-3930 (((-1247 $)) 115) (((-1247 $) (-918)) 72)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 32 T CONST)) (-1556 (($) 19 T CONST)) (-1907 (($ $) 80 (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-3022 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-1668 (((-121) $ $) 48)) (-1715 (($ $ $) 143) (($ $ |#1|) 144)) (-1711 (($ $) 125) (($ $ $) NIL)) (-1707 (($ $ $) 61)) (** (($ $ (-918)) 147) (($ $ (-764)) 148) (($ $ (-569)) 146)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 76) (($ $ $) 75) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 142))) 
+(((-343 |#1| |#2|) (-13 (-328 |#1|) (-10 -7 (-15 -1951 ((-959 (-1109)))))) (-351) (-1159 |#1|)) (T -343)) 
+((-1951 (*1 *2) (-12 (-5 *2 (-959 (-1109))) (-5 *1 (-343 *3 *4)) (-4 *3 (-351)) (-14 *4 (-1159 *3))))) 
+(-13 (-328 |#1|) (-10 -7 (-15 -1951 ((-959 (-1109)))))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-1377 ((|#1| $) NIL) (($ $ (-918)) NIL (|has| |#1| (-371)))) (-2620 (((-1171 (-918) (-764)) (-569)) NIL (|has| |#1| (-371)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2085 (((-764)) NIL (|has| |#1| (-371)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL)) (-2428 ((|#1| $) NIL)) (-2623 (($ (-1247 |#1|)) NIL)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-371)))) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| |#1| (-371)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3188 (($) NIL (|has| |#1| (-371)))) (-3354 (((-121) $) NIL (|has| |#1| (-371)))) (-2751 (($ $ (-764)) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3726 (((-121) $) NIL)) (-2558 (((-918) $) NIL (|has| |#1| (-371))) (((-829 (-918)) $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1407 (((-121) $) NIL)) (-1490 (($) NIL (|has| |#1| (-371)))) (-3364 (((-121) $) NIL (|has| |#1| (-371)))) (-4308 ((|#1| $) NIL) (($ $ (-918)) NIL (|has| |#1| (-371)))) (-3846 (((-3 $ "failed") $) NIL (|has| |#1| (-371)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2770 (((-1159 |#1|) $) NIL) (((-1159 $) $ (-918)) NIL (|has| |#1| (-371)))) (-2083 (((-918) $) NIL (|has| |#1| (-371)))) (-2486 (((-1159 |#1|) $) NIL (|has| |#1| (-371)))) (-3697 (((-1159 |#1|) $) NIL (|has| |#1| (-371))) (((-3 (-1159 |#1|) "failed") $ $) NIL (|has| |#1| (-371)))) (-4421 (($ $ (-1159 |#1|)) NIL (|has| |#1| (-371)))) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| |#1| (-371)) CONST)) (-3998 (($ (-918)) NIL (|has| |#1| (-371)))) (-2705 (((-121) $) NIL)) (-3360 (((-1109) $) NIL)) (-1951 (((-959 (-1109))) NIL)) (-1809 (($) NIL (|has| |#1| (-371)))) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL (|has| |#1| (-371)))) (-1743 (((-421 $) $) NIL)) (-2578 (((-829 (-918))) NIL) (((-918)) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-1291 (((-764) $) NIL (|has| |#1| (-371))) (((-3 (-764) "failed") $ $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2369 (((-140)) NIL)) (-3899 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-2492 (((-829 (-918)) $) NIL) (((-918) $) NIL)) (-2745 (((-1159 |#1|)) NIL)) (-2319 (($) NIL (|has| |#1| (-371)))) (-3554 (($) NIL (|has| |#1| (-371)))) (-1648 (((-1247 |#1|) $) NIL) (((-680 |#1|) (-1247 $)) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (|has| |#1| (-371)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) NIL)) (-3953 (($ $) NIL (|has| |#1| (-371))) (((-3 $ "failed") $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1991 (((-764)) NIL)) (-3930 (((-1247 $)) NIL) (((-1247 $) (-918)) NIL)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1907 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-3022 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL) (($ $ |#1|) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-344 |#1| |#2|) (-13 (-328 |#1|) (-10 -7 (-15 -1951 ((-959 (-1109)))))) (-351) (-918)) (T -344)) 
+((-1951 (*1 *2) (-12 (-5 *2 (-959 (-1109))) (-5 *1 (-344 *3 *4)) (-4 *3 (-351)) (-14 *4 (-918))))) 
+(-13 (-328 |#1|) (-10 -7 (-15 -1951 ((-959 (-1109)))))) 
+((-1560 (((-121) |#2|) 68)) (-3893 (((-421 |#2|) |#2|) 56)) (-2112 (((-421 |#2|) |#2|) 58)) (-2186 (((-635 |#2|) |#2|) 61)) (-1639 (((-635 |#2|) |#2| (-764)) 62)) (-1743 (((-421 |#2|) |#2|) 59))) 
+(((-345 |#1| |#2|) (-10 -7 (-15 -2186 ((-635 |#2|) |#2|)) (-15 -1639 ((-635 |#2|) |#2| (-764))) (-15 -1743 ((-421 |#2|) |#2|)) (-15 -3893 ((-421 |#2|) |#2|)) (-15 -2112 ((-421 |#2|) |#2|)) (-15 -1560 ((-121) |#2|))) (-351) (-1222 |#1|)) (T -345)) 
+((-1560 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1222 *4)))) (-2112 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1222 *4)))) (-3893 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1222 *4)))) (-1743 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1222 *4)))) (-1639 (*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-351)) (-5 *2 (-635 *3)) (-5 *1 (-345 *5 *3)) (-4 *3 (-1222 *5)))) (-2186 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-635 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1222 *4))))) 
+(-10 -7 (-15 -2186 ((-635 |#2|) |#2|)) (-15 -1639 ((-635 |#2|) |#2| (-764))) (-15 -1743 ((-421 |#2|) |#2|)) (-15 -3893 ((-421 |#2|) |#2|)) (-15 -2112 ((-421 |#2|) |#2|)) (-15 -1560 ((-121) |#2|))) 
+((-2992 (((-1143 (-680 (-1159 |#1|))) (-635 |#1|) (-1 |#1| (-764) (-764) |#2|) (-1247 |#3|) (-764) (-764)) 54) (((-680 (-1159 |#1|)) (-635 |#1|) (-1 |#1| (-764) (-764) |#2|) (-1247 |#3|) (-635 (-764))) 42))) 
+(((-346 |#1| |#2| |#3|) (-10 -7 (-15 -2992 ((-680 (-1159 |#1|)) (-635 |#1|) (-1 |#1| (-764) (-764) |#2|) (-1247 |#3|) (-635 (-764)))) (-15 -2992 ((-1143 (-680 (-1159 |#1|))) (-635 |#1|) (-1 |#1| (-764) (-764) |#2|) (-1247 |#3|) (-764) (-764)))) (-13 (-559) (-454)) (-325 |#1| (-764)) (-325 (-410 |#1|) (-764))) (T -346)) 
+((-2992 (*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-764) (-764) *8)) (-5 *5 (-1247 *9)) (-5 *6 (-764)) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-325 *7 *6)) (-4 *9 (-325 (-410 *7) *6)) (-5 *2 (-1143 (-680 (-1159 *7)))) (-5 *1 (-346 *7 *8 *9)))) (-2992 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-764) (-764) *8)) (-5 *5 (-1247 *9)) (-5 *6 (-635 (-764))) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-325 *7 (-764))) (-4 *9 (-325 (-410 *7) (-764))) (-5 *2 (-680 (-1159 *7))) (-5 *1 (-346 *7 *8 *9))))) 
+(-10 -7 (-15 -2992 ((-680 (-1159 |#1|)) (-635 |#1|) (-1 |#1| (-764) (-764) |#2|) (-1247 |#3|) (-635 (-764)))) (-15 -2992 ((-1143 (-680 (-1159 |#1|))) (-635 |#1|) (-1 |#1| (-764) (-764) |#2|) (-1247 |#3|) (-764) (-764)))) 
+((-2763 (((-635 |#1|) |#1| (-764)) 21)) (-2315 ((|#1| |#1| (-764) (-764) |#2|) 20)) (-2479 (((-410 (-1159 |#1|)) (-635 (-410 |#1|)) (-635 (-410 |#1|)) (-764)) 75) (((-410 (-1159 |#1|)) (-635 |#1|) (-635 |#1|) (-764)) 68)) (-2992 (((-1143 (-680 (-1159 |#1|))) (-635 |#1|) (-1 |#1| (-764) (-764) |#2|) (-1247 |#2|) (-764) (-764)) 62) (((-680 (-1159 |#1|)) (-635 |#1|) (-1 |#1| (-764) (-764) |#2|) (-1247 |#2|) (-635 (-764))) 44)) (-4316 ((|#1| (-1 |#1| (-764) (-764) |#2|) (-1247 |#2|) (-764) (-1247 (-1159 |#1|))) 37)) (-2161 (((-680 (-1159 |#1|)) (-635 |#1|) (-1 |#1| (-764) (-1247 (-1159 |#1|))) (-635 (-764))) 43)) (-4141 (((-635 |#1|) (-764)) 17)) (-4108 ((|#1| (-764) (-764) |#2|) 11)) (-3215 (((-635 |#1|) (-764)) 24)) (-1459 ((|#1| (-764) (-764) |#2|) 22))) 
+(((-347 |#1| |#2|) (-10 -7 (-15 -2161 ((-680 (-1159 |#1|)) (-635 |#1|) (-1 |#1| (-764) (-1247 (-1159 |#1|))) (-635 (-764)))) (-15 -2479 ((-410 (-1159 |#1|)) (-635 |#1|) (-635 |#1|) (-764))) (-15 -2479 ((-410 (-1159 |#1|)) (-635 (-410 |#1|)) (-635 (-410 |#1|)) (-764))) (-15 -2992 ((-680 (-1159 |#1|)) (-635 |#1|) (-1 |#1| (-764) (-764) |#2|) (-1247 |#2|) (-635 (-764)))) (-15 -2992 ((-1143 (-680 (-1159 |#1|))) (-635 |#1|) (-1 |#1| (-764) (-764) |#2|) (-1247 |#2|) (-764) (-764))) (-15 -4316 (|#1| (-1 |#1| (-764) (-764) |#2|) (-1247 |#2|) (-764) (-1247 (-1159 |#1|)))) (-15 -4108 (|#1| (-764) (-764) |#2|)) (-15 -4141 ((-635 |#1|) (-764))) (-15 -1459 (|#1| (-764) (-764) |#2|)) (-15 -3215 ((-635 |#1|) (-764))) (-15 -2315 (|#1| |#1| (-764) (-764) |#2|)) (-15 -2763 ((-635 |#1|) |#1| (-764)))) (-13 (-559) (-454)) (-52 |#1| (-764))) (T -347)) 
+((-2763 (*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-4 *3 (-13 (-559) (-454))) (-5 *2 (-635 *3)) (-5 *1 (-347 *3 *5)) (-4 *5 (-52 *3 *4)))) (-2315 (*1 *2 *2 *3 *3 *4) (-12 (-5 *3 (-764)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *4)) (-4 *4 (-52 *2 *3)))) (-3215 (*1 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-13 (-559) (-454))) (-5 *2 (-635 *4)) (-5 *1 (-347 *4 *5)) (-4 *5 (-52 *4 *3)))) (-1459 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-764)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *4)) (-4 *4 (-52 *2 *3)))) (-4141 (*1 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-13 (-559) (-454))) (-5 *2 (-635 *4)) (-5 *1 (-347 *4 *5)) (-4 *5 (-52 *4 *3)))) (-4108 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-764)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *4)) (-4 *4 (-52 *2 *3)))) (-4316 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *2 (-764) (-764) *7)) (-5 *4 (-1247 *7)) (-5 *5 (-764)) (-5 *6 (-1247 (-1159 *2))) (-4 *7 (-52 *2 *5)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *7)))) (-2992 (*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-764) (-764) *8)) (-5 *5 (-1247 *8)) (-5 *6 (-764)) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-52 *7 *6)) (-5 *2 (-1143 (-680 (-1159 *7)))) (-5 *1 (-347 *7 *8)))) (-2992 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-764) (-764) *8)) (-5 *5 (-1247 *8)) (-5 *6 (-635 (-764))) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-52 *7 (-764))) (-5 *2 (-680 (-1159 *7))) (-5 *1 (-347 *7 *8)))) (-2479 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-410 *5))) (-4 *5 (-13 (-559) (-454))) (-5 *4 (-764)) (-5 *2 (-410 (-1159 *5))) (-5 *1 (-347 *5 *6)) (-4 *6 (-52 *5 *4)))) (-2479 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 *5)) (-4 *5 (-13 (-559) (-454))) (-5 *4 (-764)) (-5 *2 (-410 (-1159 *5))) (-5 *1 (-347 *5 *6)) (-4 *6 (-52 *5 *4)))) (-2161 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *6)) (-5 *4 (-1 *6 (-764) (-1247 (-1159 *6)))) (-5 *5 (-635 (-764))) (-4 *6 (-13 (-559) (-454))) (-5 *2 (-680 (-1159 *6))) (-5 *1 (-347 *6 *7)) (-4 *7 (-52 *6 (-764)))))) 
+(-10 -7 (-15 -2161 ((-680 (-1159 |#1|)) (-635 |#1|) (-1 |#1| (-764) (-1247 (-1159 |#1|))) (-635 (-764)))) (-15 -2479 ((-410 (-1159 |#1|)) (-635 |#1|) (-635 |#1|) (-764))) (-15 -2479 ((-410 (-1159 |#1|)) (-635 (-410 |#1|)) (-635 (-410 |#1|)) (-764))) (-15 -2992 ((-680 (-1159 |#1|)) (-635 |#1|) (-1 |#1| (-764) (-764) |#2|) (-1247 |#2|) (-635 (-764)))) (-15 -2992 ((-1143 (-680 (-1159 |#1|))) (-635 |#1|) (-1 |#1| (-764) (-764) |#2|) (-1247 |#2|) (-764) (-764))) (-15 -4316 (|#1| (-1 |#1| (-764) (-764) |#2|) (-1247 |#2|) (-764) (-1247 (-1159 |#1|)))) (-15 -4108 (|#1| (-764) (-764) |#2|)) (-15 -4141 ((-635 |#1|) (-764))) (-15 -1459 (|#1| (-764) (-764) |#2|)) (-15 -3215 ((-635 |#1|) (-764))) (-15 -2315 (|#1| |#1| (-764) (-764) |#2|)) (-15 -2763 ((-635 |#1|) |#1| (-764)))) 
+((-1530 (((-764) (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109)))))) 40)) (-4487 (((-959 (-1109)) (-1159 |#1|)) 84)) (-4464 (((-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))) (-1159 |#1|)) 77)) (-2137 (((-680 |#1|) (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109)))))) 85)) (-1882 (((-3 (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))) "failed") (-918)) 10)) (-2842 (((-3 (-1159 |#1|) (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109)))))) (-918)) 15))) 
+(((-348 |#1|) (-10 -7 (-15 -4487 ((-959 (-1109)) (-1159 |#1|))) (-15 -4464 ((-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))) (-1159 |#1|))) (-15 -2137 ((-680 |#1|) (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))))) (-15 -1530 ((-764) (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))))) (-15 -1882 ((-3 (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))) "failed") (-918))) (-15 -2842 ((-3 (-1159 |#1|) (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109)))))) (-918)))) (-351)) (T -348)) 
+((-2842 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-3 (-1159 *4) (-1247 (-635 (-2 (|:| -2247 *4) (|:| -3998 (-1109))))))) (-5 *1 (-348 *4)) (-4 *4 (-351)))) (-1882 (*1 *2 *3) (|partial| -12 (-5 *3 (-918)) (-5 *2 (-1247 (-635 (-2 (|:| -2247 *4) (|:| -3998 (-1109)))))) (-5 *1 (-348 *4)) (-4 *4 (-351)))) (-1530 (*1 *2 *3) (-12 (-5 *3 (-1247 (-635 (-2 (|:| -2247 *4) (|:| -3998 (-1109)))))) (-4 *4 (-351)) (-5 *2 (-764)) (-5 *1 (-348 *4)))) (-2137 (*1 *2 *3) (-12 (-5 *3 (-1247 (-635 (-2 (|:| -2247 *4) (|:| -3998 (-1109)))))) (-4 *4 (-351)) (-5 *2 (-680 *4)) (-5 *1 (-348 *4)))) (-4464 (*1 *2 *3) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-351)) (-5 *2 (-1247 (-635 (-2 (|:| -2247 *4) (|:| -3998 (-1109)))))) (-5 *1 (-348 *4)))) (-4487 (*1 *2 *3) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-351)) (-5 *2 (-959 (-1109))) (-5 *1 (-348 *4))))) 
+(-10 -7 (-15 -4487 ((-959 (-1109)) (-1159 |#1|))) (-15 -4464 ((-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))) (-1159 |#1|))) (-15 -2137 ((-680 |#1|) (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))))) (-15 -1530 ((-764) (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))))) (-15 -1882 ((-3 (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))) "failed") (-918))) (-15 -2842 ((-3 (-1159 |#1|) (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109)))))) (-918)))) 
+((-2185 ((|#1| |#3|) 84) ((|#3| |#1|) 68))) 
+(((-349 |#1| |#2| |#3|) (-10 -7 (-15 -2185 (|#3| |#1|)) (-15 -2185 (|#1| |#3|))) (-328 |#2|) (-351) (-328 |#2|)) (T -349)) 
+((-2185 (*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *2 (-328 *4)) (-5 *1 (-349 *2 *4 *3)) (-4 *3 (-328 *4)))) (-2185 (*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *2 (-328 *4)) (-5 *1 (-349 *3 *4 *2)) (-4 *3 (-328 *4))))) 
+(-10 -7 (-15 -2185 (|#3| |#1|)) (-15 -2185 (|#1| |#3|))) 
+((-3354 (((-121) $) 50)) (-2558 (((-829 (-918)) $) 21) (((-918) $) 51)) (-3846 (((-3 $ "failed") $) 16)) (-4043 (($) 9)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 91)) (-1291 (((-3 (-764) "failed") $ $) 70) (((-764) $) 59)) (-3899 (($ $ (-764)) NIL) (($ $) 8)) (-2319 (($) 44)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 33)) (-3953 (((-3 $ "failed") $) 39) (($ $) 38))) 
+(((-350 |#1|) (-10 -8 (-15 -2558 ((-918) |#1|)) (-15 -1291 ((-764) |#1|)) (-15 -3354 ((-121) |#1|)) (-15 -2319 (|#1|)) (-15 -2132 ((-3 (-1247 |#1|) "failed") (-680 |#1|))) (-15 -3953 (|#1| |#1|)) (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -4043 (|#1|)) (-15 -3846 ((-3 |#1| "failed") |#1|)) (-15 -1291 ((-3 (-764) "failed") |#1| |#1|)) (-15 -2558 ((-829 (-918)) |#1|)) (-15 -3953 ((-3 |#1| "failed") |#1|)) (-15 -4336 ((-1159 |#1|) (-1159 |#1|) (-1159 |#1|)))) (-351)) (T -350)) 
+NIL 
+(-10 -8 (-15 -2558 ((-918) |#1|)) (-15 -1291 ((-764) |#1|)) (-15 -3354 ((-121) |#1|)) (-15 -2319 (|#1|)) (-15 -2132 ((-3 (-1247 |#1|) "failed") (-680 |#1|))) (-15 -3953 (|#1| |#1|)) (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -4043 (|#1|)) (-15 -3846 ((-3 |#1| "failed") |#1|)) (-15 -1291 ((-3 (-764) "failed") |#1| |#1|)) (-15 -2558 ((-829 (-918)) |#1|)) (-15 -3953 ((-3 |#1| "failed") |#1|)) (-15 -4336 ((-1159 |#1|) (-1159 |#1|) (-1159 |#1|)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2620 (((-1171 (-918) (-764)) (-569)) 88)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-3934 (((-121) $ $) 57)) (-2085 (((-764)) 98)) (-2820 (($) 16 T CONST)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) 82)) (-2506 (($ $ $) 53)) (-3428 (((-3 $ "failed") $) 33)) (-4327 (($) 101)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-3188 (($) 86)) (-3354 (((-121) $) 85)) (-2751 (($ $) 75) (($ $ (-764)) 74)) (-3726 (((-121) $) 69)) (-2558 (((-829 (-918)) $) 77) (((-918) $) 83)) (-1407 (((-121) $) 30)) (-3846 (((-3 $ "failed") $) 97)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2083 (((-918) $) 100)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-4043 (($) 96 T CONST)) (-3998 (($ (-918)) 99)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) 89)) (-1743 (((-421 $) $) 72)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-1291 (((-3 (-764) "failed") $ $) 76) (((-764) $) 84)) (-3899 (($ $ (-764)) 94) (($ $) 92)) (-2319 (($) 87)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 90)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63)) (-3953 (((-3 $ "failed") $) 78) (($ $) 91)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-764)) 95) (($ $) 93)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 62)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
+(((-351) (-1278)) (T -351)) 
+((-3953 (*1 *1 *1) (-4 *1 (-351))) (-2132 (*1 *2 *3) (|partial| -12 (-5 *3 (-680 *1)) (-4 *1 (-351)) (-5 *2 (-1247 *1)))) (-3530 (*1 *2) (-12 (-4 *1 (-351)) (-5 *2 (-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))))) (-2620 (*1 *2 *3) (-12 (-4 *1 (-351)) (-5 *3 (-569)) (-5 *2 (-1171 (-918) (-764))))) (-2319 (*1 *1) (-4 *1 (-351))) (-3188 (*1 *1) (-4 *1 (-351))) (-3354 (*1 *2 *1) (-12 (-4 *1 (-351)) (-5 *2 (-121)))) (-1291 (*1 *2 *1) (-12 (-4 *1 (-351)) (-5 *2 (-764)))) (-2558 (*1 *2 *1) (-12 (-4 *1 (-351)) (-5 *2 (-918)))) (-3326 (*1 *2) (-12 (-4 *1 (-351)) (-5 *2 (-3 "prime" "polynomial" "normal" "cyclic"))))) 
+(-13 (-405) (-371) (-1137) (-226) (-10 -8 (-15 -3953 ($ $)) (-15 -2132 ((-3 (-1247 $) "failed") (-680 $))) (-15 -3530 ((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569)))))) (-15 -2620 ((-1171 (-918) (-764)) (-569))) (-15 -2319 ($)) (-15 -3188 ($)) (-15 -3354 ((-121) $)) (-15 -1291 ((-764) $)) (-15 -2558 ((-918) $)) (-15 -3326 ((-3 "prime" "polynomial" "normal" "cyclic"))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-149) . T) ((-609 (-851)) . T) ((-173) . T) ((-226) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-405) . T) ((-371) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 $) . T) ((-717) . T) ((-917) . T) ((-1054 (-410 (-569))) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1137) . T) ((-1202) . T)) 
+((-1627 (((-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|))) |#1|) 51)) (-3577 (((-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|)))) 49))) 
+(((-352 |#1| |#2| |#3|) (-10 -7 (-15 -3577 ((-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|))))) (-15 -1627 ((-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|))) |#1|))) (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $)))) (-1222 |#1|) (-412 |#1| |#2|)) (T -352)) 
+((-1627 (*1 *2 *3) (-12 (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *2 (-2 (|:| -3930 (-680 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-680 *3)))) (-5 *1 (-352 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) (-3577 (*1 *2) (-12 (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *2 (-2 (|:| -3930 (-680 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-680 *3)))) (-5 *1 (-352 *3 *4 *5)) (-4 *5 (-412 *3 *4))))) 
+(-10 -7 (-15 -3577 ((-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|))))) (-15 -1627 ((-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|))) |#1|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-1377 (((-906 |#1|) $) NIL) (($ $ (-918)) NIL (|has| (-906 |#1|) (-371)))) (-2620 (((-1171 (-918) (-764)) (-569)) NIL (|has| (-906 |#1|) (-371)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-1530 (((-764)) NIL)) (-3934 (((-121) $ $) NIL)) (-2085 (((-764)) NIL (|has| (-906 |#1|) (-371)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-906 |#1|) "failed") $) NIL)) (-2428 (((-906 |#1|) $) NIL)) (-2623 (($ (-1247 (-906 |#1|))) NIL)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-906 |#1|) (-371)))) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| (-906 |#1|) (-371)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3188 (($) NIL (|has| (-906 |#1|) (-371)))) (-3354 (((-121) $) NIL (|has| (-906 |#1|) (-371)))) (-2751 (($ $ (-764)) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371)))) (($ $) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371))))) (-3726 (((-121) $) NIL)) (-2558 (((-918) $) NIL (|has| (-906 |#1|) (-371))) (((-829 (-918)) $) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371))))) (-1407 (((-121) $) NIL)) (-1490 (($) NIL (|has| (-906 |#1|) (-371)))) (-3364 (((-121) $) NIL (|has| (-906 |#1|) (-371)))) (-4308 (((-906 |#1|) $) NIL) (($ $ (-918)) NIL (|has| (-906 |#1|) (-371)))) (-3846 (((-3 $ "failed") $) NIL (|has| (-906 |#1|) (-371)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2770 (((-1159 (-906 |#1|)) $) NIL) (((-1159 $) $ (-918)) NIL (|has| (-906 |#1|) (-371)))) (-2083 (((-918) $) NIL (|has| (-906 |#1|) (-371)))) (-2486 (((-1159 (-906 |#1|)) $) NIL (|has| (-906 |#1|) (-371)))) (-3697 (((-1159 (-906 |#1|)) $) NIL (|has| (-906 |#1|) (-371))) (((-3 (-1159 (-906 |#1|)) "failed") $ $) NIL (|has| (-906 |#1|) (-371)))) (-4421 (($ $ (-1159 (-906 |#1|))) NIL (|has| (-906 |#1|) (-371)))) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| (-906 |#1|) (-371)) CONST)) (-3998 (($ (-918)) NIL (|has| (-906 |#1|) (-371)))) (-2705 (((-121) $) NIL)) (-3360 (((-1109) $) NIL)) (-2030 (((-1247 (-635 (-2 (|:| -2247 (-906 |#1|)) (|:| -3998 (-1109)))))) NIL)) (-4337 (((-680 (-906 |#1|))) NIL)) (-1809 (($) NIL (|has| (-906 |#1|) (-371)))) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL (|has| (-906 |#1|) (-371)))) (-1743 (((-421 $) $) NIL)) (-2578 (((-829 (-918))) NIL) (((-918)) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-1291 (((-764) $) NIL (|has| (-906 |#1|) (-371))) (((-3 (-764) "failed") $ $) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371))))) (-2369 (((-140)) NIL)) (-3899 (($ $) NIL (|has| (-906 |#1|) (-371))) (($ $ (-764)) NIL (|has| (-906 |#1|) (-371)))) (-2492 (((-829 (-918)) $) NIL) (((-918) $) NIL)) (-2745 (((-1159 (-906 |#1|))) NIL)) (-2319 (($) NIL (|has| (-906 |#1|) (-371)))) (-3554 (($) NIL (|has| (-906 |#1|) (-371)))) (-1648 (((-1247 (-906 |#1|)) $) NIL) (((-680 (-906 |#1|)) (-1247 $)) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (|has| (-906 |#1|) (-371)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-906 |#1|)) NIL)) (-3953 (($ $) NIL (|has| (-906 |#1|) (-371))) (((-3 $ "failed") $) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371))))) (-1991 (((-764)) NIL)) (-3930 (((-1247 $)) NIL) (((-1247 $) (-918)) NIL)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1907 (($ $) NIL (|has| (-906 |#1|) (-371))) (($ $ (-764)) NIL (|has| (-906 |#1|) (-371)))) (-3022 (($ $) NIL (|has| (-906 |#1|) (-371))) (($ $ (-764)) NIL (|has| (-906 |#1|) (-371)))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL) (($ $ (-906 |#1|)) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-906 |#1|)) NIL) (($ (-906 |#1|) $) NIL))) 
+(((-353 |#1| |#2|) (-13 (-328 (-906 |#1|)) (-10 -7 (-15 -2030 ((-1247 (-635 (-2 (|:| -2247 (-906 |#1|)) (|:| -3998 (-1109))))))) (-15 -4337 ((-680 (-906 |#1|)))) (-15 -1530 ((-764))))) (-918) (-918)) (T -353)) 
+((-2030 (*1 *2) (-12 (-5 *2 (-1247 (-635 (-2 (|:| -2247 (-906 *3)) (|:| -3998 (-1109)))))) (-5 *1 (-353 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918)))) (-4337 (*1 *2) (-12 (-5 *2 (-680 (-906 *3))) (-5 *1 (-353 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918)))) (-1530 (*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-353 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918))))) 
+(-13 (-328 (-906 |#1|)) (-10 -7 (-15 -2030 ((-1247 (-635 (-2 (|:| -2247 (-906 |#1|)) (|:| -3998 (-1109))))))) (-15 -4337 ((-680 (-906 |#1|)))) (-15 -1530 ((-764))))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 74)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-1377 ((|#1| $) 92) (($ $ (-918)) 90 (|has| |#1| (-371)))) (-2620 (((-1171 (-918) (-764)) (-569)) 148 (|has| |#1| (-371)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-1530 (((-764)) 89)) (-3934 (((-121) $ $) NIL)) (-2085 (((-764)) 162 (|has| |#1| (-371)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) 111)) (-2428 ((|#1| $) 91)) (-2623 (($ (-1247 |#1|)) 57)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) 187 (|has| |#1| (-371)))) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) 158 (|has| |#1| (-371)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3188 (($) 149 (|has| |#1| (-371)))) (-3354 (((-121) $) NIL (|has| |#1| (-371)))) (-2751 (($ $ (-764)) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3726 (((-121) $) NIL)) (-2558 (((-918) $) NIL (|has| |#1| (-371))) (((-829 (-918)) $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1407 (((-121) $) NIL)) (-1490 (($) 97 (|has| |#1| (-371)))) (-3364 (((-121) $) 175 (|has| |#1| (-371)))) (-4308 ((|#1| $) 94) (($ $ (-918)) 93 (|has| |#1| (-371)))) (-3846 (((-3 $ "failed") $) NIL (|has| |#1| (-371)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2770 (((-1159 |#1|) $) 188) (((-1159 $) $ (-918)) NIL (|has| |#1| (-371)))) (-2083 (((-918) $) 133 (|has| |#1| (-371)))) (-2486 (((-1159 |#1|) $) 73 (|has| |#1| (-371)))) (-3697 (((-1159 |#1|) $) 70 (|has| |#1| (-371))) (((-3 (-1159 |#1|) "failed") $ $) 82 (|has| |#1| (-371)))) (-4421 (($ $ (-1159 |#1|)) 69 (|has| |#1| (-371)))) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 191)) (-4043 (($) NIL (|has| |#1| (-371)) CONST)) (-3998 (($ (-918)) 136 (|has| |#1| (-371)))) (-2705 (((-121) $) 107)) (-3360 (((-1109) $) NIL)) (-2030 (((-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109)))))) 83)) (-4337 (((-680 |#1|)) 87)) (-1809 (($) 96 (|has| |#1| (-371)))) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) 150 (|has| |#1| (-371)))) (-1743 (((-421 $) $) NIL)) (-2578 (((-829 (-918))) NIL) (((-918)) 151)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-1291 (((-764) $) NIL (|has| |#1| (-371))) (((-3 (-764) "failed") $ $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2369 (((-140)) NIL)) (-3899 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-2492 (((-829 (-918)) $) NIL) (((-918) $) 62)) (-2745 (((-1159 |#1|)) 152)) (-2319 (($) 132 (|has| |#1| (-371)))) (-3554 (($) NIL (|has| |#1| (-371)))) (-1648 (((-1247 |#1|) $) 105) (((-680 |#1|) (-1247 $)) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (|has| |#1| (-371)))) (-2185 (((-851) $) 123) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 56)) (-3953 (($ $) NIL (|has| |#1| (-371))) (((-3 $ "failed") $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1991 (((-764)) 156)) (-3930 (((-1247 $)) 172) (((-1247 $) (-918)) 100)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 30 T CONST)) (-1556 (($) 22 T CONST)) (-1907 (($ $) 106 (|has| |#1| (-371))) (($ $ (-764)) 98 (|has| |#1| (-371)))) (-3022 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-1668 (((-121) $ $) 60)) (-1715 (($ $ $) 103) (($ $ |#1|) 104)) (-1711 (($ $) 177) (($ $ $) 181)) (-1707 (($ $ $) 179)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) 137)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 185) (($ $ $) 142) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 102))) 
+(((-354 |#1| |#2|) (-13 (-328 |#1|) (-10 -7 (-15 -2030 ((-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))))) (-15 -4337 ((-680 |#1|))) (-15 -1530 ((-764))))) (-351) (-3 (-1159 |#1|) (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))))) (T -354)) 
+((-2030 (*1 *2) (-12 (-5 *2 (-1247 (-635 (-2 (|:| -2247 *3) (|:| -3998 (-1109)))))) (-5 *1 (-354 *3 *4)) (-4 *3 (-351)) (-14 *4 (-3 (-1159 *3) *2)))) (-4337 (*1 *2) (-12 (-5 *2 (-680 *3)) (-5 *1 (-354 *3 *4)) (-4 *3 (-351)) (-14 *4 (-3 (-1159 *3) (-1247 (-635 (-2 (|:| -2247 *3) (|:| -3998 (-1109))))))))) (-1530 (*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-354 *3 *4)) (-4 *3 (-351)) (-14 *4 (-3 (-1159 *3) (-1247 (-635 (-2 (|:| -2247 *3) (|:| -3998 (-1109)))))))))) 
+(-13 (-328 |#1|) (-10 -7 (-15 -2030 ((-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))))) (-15 -4337 ((-680 |#1|))) (-15 -1530 ((-764))))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-1377 ((|#1| $) NIL) (($ $ (-918)) NIL (|has| |#1| (-371)))) (-2620 (((-1171 (-918) (-764)) (-569)) NIL (|has| |#1| (-371)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-1530 (((-764)) NIL)) (-3934 (((-121) $ $) NIL)) (-2085 (((-764)) NIL (|has| |#1| (-371)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL)) (-2428 ((|#1| $) NIL)) (-2623 (($ (-1247 |#1|)) NIL)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-371)))) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| |#1| (-371)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3188 (($) NIL (|has| |#1| (-371)))) (-3354 (((-121) $) NIL (|has| |#1| (-371)))) (-2751 (($ $ (-764)) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3726 (((-121) $) NIL)) (-2558 (((-918) $) NIL (|has| |#1| (-371))) (((-829 (-918)) $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1407 (((-121) $) NIL)) (-1490 (($) NIL (|has| |#1| (-371)))) (-3364 (((-121) $) NIL (|has| |#1| (-371)))) (-4308 ((|#1| $) NIL) (($ $ (-918)) NIL (|has| |#1| (-371)))) (-3846 (((-3 $ "failed") $) NIL (|has| |#1| (-371)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2770 (((-1159 |#1|) $) NIL) (((-1159 $) $ (-918)) NIL (|has| |#1| (-371)))) (-2083 (((-918) $) NIL (|has| |#1| (-371)))) (-2486 (((-1159 |#1|) $) NIL (|has| |#1| (-371)))) (-3697 (((-1159 |#1|) $) NIL (|has| |#1| (-371))) (((-3 (-1159 |#1|) "failed") $ $) NIL (|has| |#1| (-371)))) (-4421 (($ $ (-1159 |#1|)) NIL (|has| |#1| (-371)))) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| |#1| (-371)) CONST)) (-3998 (($ (-918)) NIL (|has| |#1| (-371)))) (-2705 (((-121) $) NIL)) (-3360 (((-1109) $) NIL)) (-2030 (((-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109)))))) NIL)) (-4337 (((-680 |#1|)) NIL)) (-1809 (($) NIL (|has| |#1| (-371)))) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL (|has| |#1| (-371)))) (-1743 (((-421 $) $) NIL)) (-2578 (((-829 (-918))) NIL) (((-918)) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-1291 (((-764) $) NIL (|has| |#1| (-371))) (((-3 (-764) "failed") $ $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2369 (((-140)) NIL)) (-3899 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-2492 (((-829 (-918)) $) NIL) (((-918) $) NIL)) (-2745 (((-1159 |#1|)) NIL)) (-2319 (($) NIL (|has| |#1| (-371)))) (-3554 (($) NIL (|has| |#1| (-371)))) (-1648 (((-1247 |#1|) $) NIL) (((-680 |#1|) (-1247 $)) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (|has| |#1| (-371)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) NIL)) (-3953 (($ $) NIL (|has| |#1| (-371))) (((-3 $ "failed") $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1991 (((-764)) NIL)) (-3930 (((-1247 $)) NIL) (((-1247 $) (-918)) NIL)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1907 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-3022 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL) (($ $ |#1|) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-355 |#1| |#2|) (-13 (-328 |#1|) (-10 -7 (-15 -2030 ((-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))))) (-15 -4337 ((-680 |#1|))) (-15 -1530 ((-764))))) (-351) (-918)) (T -355)) 
+((-2030 (*1 *2) (-12 (-5 *2 (-1247 (-635 (-2 (|:| -2247 *3) (|:| -3998 (-1109)))))) (-5 *1 (-355 *3 *4)) (-4 *3 (-351)) (-14 *4 (-918)))) (-4337 (*1 *2) (-12 (-5 *2 (-680 *3)) (-5 *1 (-355 *3 *4)) (-4 *3 (-351)) (-14 *4 (-918)))) (-1530 (*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-355 *3 *4)) (-4 *3 (-351)) (-14 *4 (-918))))) 
+(-13 (-328 |#1|) (-10 -7 (-15 -2030 ((-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))))) (-15 -4337 ((-680 |#1|))) (-15 -1530 ((-764))))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-1377 (((-906 |#1|) $) NIL) (($ $ (-918)) NIL (|has| (-906 |#1|) (-371)))) (-2620 (((-1171 (-918) (-764)) (-569)) NIL (|has| (-906 |#1|) (-371)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2085 (((-764)) NIL (|has| (-906 |#1|) (-371)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-906 |#1|) "failed") $) NIL)) (-2428 (((-906 |#1|) $) NIL)) (-2623 (($ (-1247 (-906 |#1|))) NIL)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-906 |#1|) (-371)))) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| (-906 |#1|) (-371)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3188 (($) NIL (|has| (-906 |#1|) (-371)))) (-3354 (((-121) $) NIL (|has| (-906 |#1|) (-371)))) (-2751 (($ $ (-764)) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371)))) (($ $) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371))))) (-3726 (((-121) $) NIL)) (-2558 (((-918) $) NIL (|has| (-906 |#1|) (-371))) (((-829 (-918)) $) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371))))) (-1407 (((-121) $) NIL)) (-1490 (($) NIL (|has| (-906 |#1|) (-371)))) (-3364 (((-121) $) NIL (|has| (-906 |#1|) (-371)))) (-4308 (((-906 |#1|) $) NIL) (($ $ (-918)) NIL (|has| (-906 |#1|) (-371)))) (-3846 (((-3 $ "failed") $) NIL (|has| (-906 |#1|) (-371)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2770 (((-1159 (-906 |#1|)) $) NIL) (((-1159 $) $ (-918)) NIL (|has| (-906 |#1|) (-371)))) (-2083 (((-918) $) NIL (|has| (-906 |#1|) (-371)))) (-2486 (((-1159 (-906 |#1|)) $) NIL (|has| (-906 |#1|) (-371)))) (-3697 (((-1159 (-906 |#1|)) $) NIL (|has| (-906 |#1|) (-371))) (((-3 (-1159 (-906 |#1|)) "failed") $ $) NIL (|has| (-906 |#1|) (-371)))) (-4421 (($ $ (-1159 (-906 |#1|))) NIL (|has| (-906 |#1|) (-371)))) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| (-906 |#1|) (-371)) CONST)) (-3998 (($ (-918)) NIL (|has| (-906 |#1|) (-371)))) (-2705 (((-121) $) NIL)) (-3360 (((-1109) $) NIL)) (-1809 (($) NIL (|has| (-906 |#1|) (-371)))) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL (|has| (-906 |#1|) (-371)))) (-1743 (((-421 $) $) NIL)) (-2578 (((-829 (-918))) NIL) (((-918)) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-1291 (((-764) $) NIL (|has| (-906 |#1|) (-371))) (((-3 (-764) "failed") $ $) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371))))) (-2369 (((-140)) NIL)) (-3899 (($ $) NIL (|has| (-906 |#1|) (-371))) (($ $ (-764)) NIL (|has| (-906 |#1|) (-371)))) (-2492 (((-829 (-918)) $) NIL) (((-918) $) NIL)) (-2745 (((-1159 (-906 |#1|))) NIL)) (-2319 (($) NIL (|has| (-906 |#1|) (-371)))) (-3554 (($) NIL (|has| (-906 |#1|) (-371)))) (-1648 (((-1247 (-906 |#1|)) $) NIL) (((-680 (-906 |#1|)) (-1247 $)) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (|has| (-906 |#1|) (-371)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-906 |#1|)) NIL)) (-3953 (($ $) NIL (|has| (-906 |#1|) (-371))) (((-3 $ "failed") $) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371))))) (-1991 (((-764)) NIL)) (-3930 (((-1247 $)) NIL) (((-1247 $) (-918)) NIL)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1907 (($ $) NIL (|has| (-906 |#1|) (-371))) (($ $ (-764)) NIL (|has| (-906 |#1|) (-371)))) (-3022 (($ $) NIL (|has| (-906 |#1|) (-371))) (($ $ (-764)) NIL (|has| (-906 |#1|) (-371)))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL) (($ $ (-906 |#1|)) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-906 |#1|)) NIL) (($ (-906 |#1|) $) NIL))) 
+(((-356 |#1| |#2|) (-328 (-906 |#1|)) (-918) (-918)) (T -356)) 
+NIL 
+(-328 (-906 |#1|)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-1377 ((|#1| $) NIL) (($ $ (-918)) NIL (|has| |#1| (-371)))) (-2620 (((-1171 (-918) (-764)) (-569)) 119 (|has| |#1| (-371)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2085 (((-764)) 138 (|has| |#1| (-371)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) 91)) (-2428 ((|#1| $) 88)) (-2623 (($ (-1247 |#1|)) 83)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) 115 (|has| |#1| (-371)))) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) 80 (|has| |#1| (-371)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3188 (($) 39 (|has| |#1| (-371)))) (-3354 (((-121) $) NIL (|has| |#1| (-371)))) (-2751 (($ $ (-764)) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3726 (((-121) $) NIL)) (-2558 (((-918) $) NIL (|has| |#1| (-371))) (((-829 (-918)) $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1407 (((-121) $) NIL)) (-1490 (($) 120 (|has| |#1| (-371)))) (-3364 (((-121) $) 72 (|has| |#1| (-371)))) (-4308 ((|#1| $) 38) (($ $ (-918)) 40 (|has| |#1| (-371)))) (-3846 (((-3 $ "failed") $) NIL (|has| |#1| (-371)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2770 (((-1159 |#1|) $) 62) (((-1159 $) $ (-918)) NIL (|has| |#1| (-371)))) (-2083 (((-918) $) 95 (|has| |#1| (-371)))) (-2486 (((-1159 |#1|) $) NIL (|has| |#1| (-371)))) (-3697 (((-1159 |#1|) $) NIL (|has| |#1| (-371))) (((-3 (-1159 |#1|) "failed") $ $) NIL (|has| |#1| (-371)))) (-4421 (($ $ (-1159 |#1|)) NIL (|has| |#1| (-371)))) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| |#1| (-371)) CONST)) (-3998 (($ (-918)) 93 (|has| |#1| (-371)))) (-2705 (((-121) $) 140)) (-3360 (((-1109) $) NIL)) (-1809 (($) 35 (|has| |#1| (-371)))) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) 113 (|has| |#1| (-371)))) (-1743 (((-421 $) $) NIL)) (-2578 (((-829 (-918))) NIL) (((-918)) 137)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-1291 (((-764) $) NIL (|has| |#1| (-371))) (((-3 (-764) "failed") $ $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2369 (((-140)) NIL)) (-3899 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-2492 (((-829 (-918)) $) NIL) (((-918) $) 56)) (-2745 (((-1159 |#1|)) 86)) (-2319 (($) 125 (|has| |#1| (-371)))) (-3554 (($) NIL (|has| |#1| (-371)))) (-1648 (((-1247 |#1|) $) 50) (((-680 |#1|) (-1247 $)) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (|has| |#1| (-371)))) (-2185 (((-851) $) 136) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 85)) (-3953 (($ $) NIL (|has| |#1| (-371))) (((-3 $ "failed") $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1991 (((-764)) 142)) (-3930 (((-1247 $)) 107) (((-1247 $) (-918)) 46)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 109 T CONST)) (-1556 (($) 31 T CONST)) (-1907 (($ $) 65 (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-3022 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-1668 (((-121) $ $) 105)) (-1715 (($ $ $) 97) (($ $ |#1|) 98)) (-1711 (($ $) 78) (($ $ $) 103)) (-1707 (($ $ $) 101)) (** (($ $ (-918)) NIL) (($ $ (-764)) 41) (($ $ (-569)) 128)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 76) (($ $ $) 53) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 74))) 
+(((-357 |#1| |#2|) (-328 |#1|) (-351) (-1159 |#1|)) (T -357)) 
+NIL 
+(-328 |#1|) 
+((-3266 ((|#1| (-1159 |#2|)) 51))) 
+(((-358 |#1| |#2|) (-10 -7 (-15 -3266 (|#1| (-1159 |#2|)))) (-13 (-405) (-10 -7 (-15 -2185 (|#1| |#2|)) (-15 -2083 ((-918) |#1|)) (-15 -3930 ((-1247 |#1|) (-918))) (-15 -1907 (|#1| |#1|)))) (-351)) (T -358)) 
+((-3266 (*1 *2 *3) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-351)) (-4 *2 (-13 (-405) (-10 -7 (-15 -2185 (*2 *4)) (-15 -2083 ((-918) *2)) (-15 -3930 ((-1247 *2) (-918))) (-15 -1907 (*2 *2))))) (-5 *1 (-358 *2 *4))))) 
+(-10 -7 (-15 -3266 (|#1| (-1159 |#2|)))) 
+((-1814 (((-959 (-1159 |#1|)) (-1159 |#1|)) 36)) (-4327 (((-1159 |#1|) (-918) (-918)) 109) (((-1159 |#1|) (-918)) 108)) (-3354 (((-121) (-1159 |#1|)) 81)) (-2382 (((-918) (-918)) 71)) (-3303 (((-918) (-918)) 73)) (-2732 (((-918) (-918)) 69)) (-3364 (((-121) (-1159 |#1|)) 85)) (-3594 (((-3 (-1159 |#1|) "failed") (-1159 |#1|)) 97)) (-2567 (((-3 (-1159 |#1|) "failed") (-1159 |#1|)) 100)) (-2921 (((-3 (-1159 |#1|) "failed") (-1159 |#1|)) 99)) (-2797 (((-3 (-1159 |#1|) "failed") (-1159 |#1|)) 98)) (-2452 (((-3 (-1159 |#1|) "failed") (-1159 |#1|)) 94)) (-3526 (((-1159 |#1|) (-1159 |#1|)) 62)) (-3566 (((-1159 |#1|) (-918)) 103)) (-3799 (((-1159 |#1|) (-918)) 106)) (-3867 (((-1159 |#1|) (-918)) 105)) (-3085 (((-1159 |#1|) (-918)) 104)) (-3164 (((-1159 |#1|) (-918)) 101))) 
+(((-359 |#1|) (-10 -7 (-15 -3354 ((-121) (-1159 |#1|))) (-15 -3364 ((-121) (-1159 |#1|))) (-15 -2732 ((-918) (-918))) (-15 -2382 ((-918) (-918))) (-15 -3303 ((-918) (-918))) (-15 -3164 ((-1159 |#1|) (-918))) (-15 -3566 ((-1159 |#1|) (-918))) (-15 -3085 ((-1159 |#1|) (-918))) (-15 -3867 ((-1159 |#1|) (-918))) (-15 -3799 ((-1159 |#1|) (-918))) (-15 -2452 ((-3 (-1159 |#1|) "failed") (-1159 |#1|))) (-15 -3594 ((-3 (-1159 |#1|) "failed") (-1159 |#1|))) (-15 -2797 ((-3 (-1159 |#1|) "failed") (-1159 |#1|))) (-15 -2921 ((-3 (-1159 |#1|) "failed") (-1159 |#1|))) (-15 -2567 ((-3 (-1159 |#1|) "failed") (-1159 |#1|))) (-15 -4327 ((-1159 |#1|) (-918))) (-15 -4327 ((-1159 |#1|) (-918) (-918))) (-15 -3526 ((-1159 |#1|) (-1159 |#1|))) (-15 -1814 ((-959 (-1159 |#1|)) (-1159 |#1|)))) (-351)) (T -359)) 
+((-1814 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-959 (-1159 *4))) (-5 *1 (-359 *4)) (-5 *3 (-1159 *4)))) (-3526 (*1 *2 *2) (-12 (-5 *2 (-1159 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3)))) (-4327 (*1 *2 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-4327 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-2567 (*1 *2 *2) (|partial| -12 (-5 *2 (-1159 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3)))) (-2921 (*1 *2 *2) (|partial| -12 (-5 *2 (-1159 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3)))) (-2797 (*1 *2 *2) (|partial| -12 (-5 *2 (-1159 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3)))) (-3594 (*1 *2 *2) (|partial| -12 (-5 *2 (-1159 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3)))) (-2452 (*1 *2 *2) (|partial| -12 (-5 *2 (-1159 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3)))) (-3799 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-3867 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-3085 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-3566 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-3164 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-3303 (*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-359 *3)) (-4 *3 (-351)))) (-2382 (*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-359 *3)) (-4 *3 (-351)))) (-2732 (*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-359 *3)) (-4 *3 (-351)))) (-3364 (*1 *2 *3) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-359 *4)))) (-3354 (*1 *2 *3) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-359 *4))))) 
+(-10 -7 (-15 -3354 ((-121) (-1159 |#1|))) (-15 -3364 ((-121) (-1159 |#1|))) (-15 -2732 ((-918) (-918))) (-15 -2382 ((-918) (-918))) (-15 -3303 ((-918) (-918))) (-15 -3164 ((-1159 |#1|) (-918))) (-15 -3566 ((-1159 |#1|) (-918))) (-15 -3085 ((-1159 |#1|) (-918))) (-15 -3867 ((-1159 |#1|) (-918))) (-15 -3799 ((-1159 |#1|) (-918))) (-15 -2452 ((-3 (-1159 |#1|) "failed") (-1159 |#1|))) (-15 -3594 ((-3 (-1159 |#1|) "failed") (-1159 |#1|))) (-15 -2797 ((-3 (-1159 |#1|) "failed") (-1159 |#1|))) (-15 -2921 ((-3 (-1159 |#1|) "failed") (-1159 |#1|))) (-15 -2567 ((-3 (-1159 |#1|) "failed") (-1159 |#1|))) (-15 -4327 ((-1159 |#1|) (-918))) (-15 -4327 ((-1159 |#1|) (-918) (-918))) (-15 -3526 ((-1159 |#1|) (-1159 |#1|))) (-15 -1814 ((-959 (-1159 |#1|)) (-1159 |#1|)))) 
+((-1593 (((-3 (-635 |#3|) "failed") (-635 |#3|) |#3|) 33))) 
+(((-360 |#1| |#2| |#3|) (-10 -7 (-15 -1593 ((-3 (-635 |#3|) "failed") (-635 |#3|) |#3|))) (-351) (-1222 |#1|) (-1222 |#2|)) (T -360)) 
+((-1593 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 *3)) (-4 *3 (-1222 *5)) (-4 *5 (-1222 *4)) (-4 *4 (-351)) (-5 *1 (-360 *4 *5 *3))))) 
+(-10 -7 (-15 -1593 ((-3 (-635 |#3|) "failed") (-635 |#3|) |#3|))) 
+((-2114 (((-421 |#2|) |#2|) 46)) (-2702 (((-421 |#2|) |#2|) 36))) 
+(((-361 |#1| |#2|) (-10 -7 (-15 -2702 ((-421 |#2|) |#2|)) (-15 -2114 ((-421 |#2|) |#2|))) (-351) (-1222 |#1|)) (T -361)) 
+((-2114 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-361 *4 *3)) (-4 *3 (-1222 *4)))) (-2702 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-361 *4 *3)) (-4 *3 (-1222 *4))))) 
+(-10 -7 (-15 -2702 ((-421 |#2|) |#2|)) (-15 -2114 ((-421 |#2|) |#2|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-1377 ((|#1| $) NIL) (($ $ (-918)) NIL (|has| |#1| (-371)))) (-2620 (((-1171 (-918) (-764)) (-569)) NIL (|has| |#1| (-371)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2085 (((-764)) NIL (|has| |#1| (-371)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL)) (-2428 ((|#1| $) NIL)) (-2623 (($ (-1247 |#1|)) NIL)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-371)))) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| |#1| (-371)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3188 (($) NIL (|has| |#1| (-371)))) (-3354 (((-121) $) NIL (|has| |#1| (-371)))) (-2751 (($ $ (-764)) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3726 (((-121) $) NIL)) (-2558 (((-918) $) NIL (|has| |#1| (-371))) (((-829 (-918)) $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1407 (((-121) $) NIL)) (-1490 (($) NIL (|has| |#1| (-371)))) (-3364 (((-121) $) NIL (|has| |#1| (-371)))) (-4308 ((|#1| $) NIL) (($ $ (-918)) NIL (|has| |#1| (-371)))) (-3846 (((-3 $ "failed") $) NIL (|has| |#1| (-371)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2770 (((-1159 |#1|) $) NIL) (((-1159 $) $ (-918)) NIL (|has| |#1| (-371)))) (-2083 (((-918) $) NIL (|has| |#1| (-371)))) (-2486 (((-1159 |#1|) $) NIL (|has| |#1| (-371)))) (-3697 (((-1159 |#1|) $) NIL (|has| |#1| (-371))) (((-3 (-1159 |#1|) "failed") $ $) NIL (|has| |#1| (-371)))) (-4421 (($ $ (-1159 |#1|)) NIL (|has| |#1| (-371)))) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| |#1| (-371)) CONST)) (-3998 (($ (-918)) NIL (|has| |#1| (-371)))) (-2705 (((-121) $) NIL)) (-3360 (((-1109) $) NIL)) (-1809 (($) NIL (|has| |#1| (-371)))) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL (|has| |#1| (-371)))) (-1743 (((-421 $) $) NIL)) (-2578 (((-829 (-918))) NIL) (((-918)) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-1291 (((-764) $) NIL (|has| |#1| (-371))) (((-3 (-764) "failed") $ $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2369 (((-140)) NIL)) (-3899 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-2492 (((-829 (-918)) $) NIL) (((-918) $) NIL)) (-2745 (((-1159 |#1|)) NIL)) (-2319 (($) NIL (|has| |#1| (-371)))) (-3554 (($) NIL (|has| |#1| (-371)))) (-1648 (((-1247 |#1|) $) NIL) (((-680 |#1|) (-1247 $)) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (|has| |#1| (-371)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) NIL)) (-3953 (($ $) NIL (|has| |#1| (-371))) (((-3 $ "failed") $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1991 (((-764)) NIL)) (-3930 (((-1247 $)) NIL) (((-1247 $) (-918)) NIL)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1907 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-3022 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL) (($ $ |#1|) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-362 |#1| |#2|) (-328 |#1|) (-351) (-918)) (T -362)) 
+NIL 
+(-328 |#1|) 
+((-2362 (((-121) (-635 (-954 |#1|))) 31)) (-2815 (((-635 (-954 |#1|)) (-635 (-954 |#1|))) 42)) (-4075 (((-3 (-635 (-954 |#1|)) "failed") (-635 (-954 |#1|))) 38))) 
+(((-363 |#1| |#2|) (-10 -7 (-15 -2362 ((-121) (-635 (-954 |#1|)))) (-15 -4075 ((-3 (-635 (-954 |#1|)) "failed") (-635 (-954 |#1|)))) (-15 -2815 ((-635 (-954 |#1|)) (-635 (-954 |#1|))))) (-454) (-635 (-1163))) (T -363)) 
+((-2815 (*1 *2 *2) (-12 (-5 *2 (-635 (-954 *3))) (-4 *3 (-454)) (-5 *1 (-363 *3 *4)) (-14 *4 (-635 (-1163))))) (-4075 (*1 *2 *2) (|partial| -12 (-5 *2 (-635 (-954 *3))) (-4 *3 (-454)) (-5 *1 (-363 *3 *4)) (-14 *4 (-635 (-1163))))) (-2362 (*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-454)) (-5 *2 (-121)) (-5 *1 (-363 *4 *5)) (-14 *5 (-635 (-1163)))))) 
+(-10 -7 (-15 -2362 ((-121) (-635 (-954 |#1|)))) (-15 -4075 ((-3 (-635 (-954 |#1|)) "failed") (-635 (-954 |#1|)))) (-15 -2815 ((-635 (-954 |#1|)) (-635 (-954 |#1|))))) 
+((-2568 (((-121) $ $) NIL)) (-2085 (((-764) $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL)) (-2428 ((|#1| $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1407 (((-121) $) 14)) (-3082 ((|#1| $ (-569)) NIL)) (-2248 (((-569) $ (-569)) NIL)) (-4101 (($ (-1 |#1| |#1|) $) 32)) (-1599 (($ (-1 (-569) (-569)) $) 24)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 26)) (-3360 (((-1109) $) NIL)) (-1640 (((-635 (-2 (|:| |gen| |#1|) (|:| -2436 (-569)))) $) 28)) (-1414 (($ $ $) NIL)) (-4293 (($ $ $) NIL)) (-2185 (((-851) $) 38) (($ |#1|) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-1556 (($) 9 T CONST)) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL) (($ |#1| (-569)) 17)) (* (($ $ $) 43) (($ |#1| $) 21) (($ $ |#1|) 19))) 
+(((-364 |#1|) (-13 (-479) (-1038 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-569))) (-15 -2085 ((-764) $)) (-15 -2248 ((-569) $ (-569))) (-15 -3082 (|#1| $ (-569))) (-15 -1599 ($ (-1 (-569) (-569)) $)) (-15 -4101 ($ (-1 |#1| |#1|) $)) (-15 -1640 ((-635 (-2 (|:| |gen| |#1|) (|:| -2436 (-569)))) $)))) (-1091)) (T -364)) 
+((* (*1 *1 *2 *1) (-12 (-5 *1 (-364 *2)) (-4 *2 (-1091)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-364 *2)) (-4 *2 (-1091)))) (** (*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-364 *2)) (-4 *2 (-1091)))) (-2085 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-364 *3)) (-4 *3 (-1091)))) (-2248 (*1 *2 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-364 *3)) (-4 *3 (-1091)))) (-3082 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-364 *2)) (-4 *2 (-1091)))) (-1599 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-569) (-569))) (-5 *1 (-364 *3)) (-4 *3 (-1091)))) (-4101 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-364 *3)))) (-1640 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -2436 (-569))))) (-5 *1 (-364 *3)) (-4 *3 (-1091))))) 
+(-13 (-479) (-1038 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-569))) (-15 -2085 ((-764) $)) (-15 -2248 ((-569) $ (-569))) (-15 -3082 (|#1| $ (-569))) (-15 -1599 ($ (-1 (-569) (-569)) $)) (-15 -4101 ($ (-1 |#1| |#1|) $)) (-15 -1640 ((-635 (-2 (|:| |gen| |#1|) (|:| -2436 (-569)))) $)))) 
+((-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 13)) (-3383 (($ $) 14)) (-2446 (((-421 $) $) 29)) (-3726 (((-121) $) 25)) (-1795 (($ $) 18)) (-2714 (($ $ $) 22) (($ (-635 $)) NIL)) (-1743 (((-421 $) $) 30)) (-2941 (((-3 $ "failed") $ $) 21)) (-2622 (((-764) $) 24)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 34)) (-1961 (((-121) $ $) 15)) (-1715 (($ $ $) 32))) 
+(((-365 |#1|) (-10 -8 (-15 -1715 (|#1| |#1| |#1|)) (-15 -1795 (|#1| |#1|)) (-15 -3726 ((-121) |#1|)) (-15 -2446 ((-421 |#1|) |#1|)) (-15 -1743 ((-421 |#1|) |#1|)) (-15 -2609 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -2622 ((-764) |#1|)) (-15 -2714 (|#1| (-635 |#1|))) (-15 -2714 (|#1| |#1| |#1|)) (-15 -1961 ((-121) |#1| |#1|)) (-15 -3383 (|#1| |#1|)) (-15 -1585 ((-2 (|:| -4276 |#1|) (|:| -4522 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#1|))) (-366)) (T -365)) 
+NIL 
+(-10 -8 (-15 -1715 (|#1| |#1| |#1|)) (-15 -1795 (|#1| |#1|)) (-15 -3726 ((-121) |#1|)) (-15 -2446 ((-421 |#1|) |#1|)) (-15 -1743 ((-421 |#1|) |#1|)) (-15 -2609 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -2622 ((-764) |#1|)) (-15 -2714 (|#1| (-635 |#1|))) (-15 -2714 (|#1| |#1| |#1|)) (-15 -1961 ((-121) |#1| |#1|)) (-15 -3383 (|#1| |#1|)) (-15 -1585 ((-2 (|:| -4276 |#1|) (|:| -4522 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-3934 (((-121) $ $) 57)) (-2820 (($) 16 T CONST)) (-2506 (($ $ $) 53)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-3726 (((-121) $) 69)) (-1407 (((-121) $) 30)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-1743 (((-421 $) $) 72)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 62)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
+(((-366) (-1278)) (T -366)) 
+((-1715 (*1 *1 *1 *1) (-4 *1 (-366)))) 
+(-13 (-302) (-1202) (-239) (-10 -8 (-15 -1715 ($ $ $)) (-6 -4533) (-6 -4527))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 $) . T) ((-717) . T) ((-917) . T) ((-1054 (-410 (-569))) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) . T)) 
+((-2568 (((-121) $ $) 7)) (-1331 ((|#2| $ |#2|) 13)) (-3030 (($ $ (-1145)) 18)) (-4154 ((|#2| $) 14)) (-3230 (($ |#1|) 20) (($ |#1| (-1145)) 19)) (-1486 ((|#1| $) 16)) (-2776 (((-1145) $) 9)) (-2160 (((-1145) $) 15)) (-3360 (((-1109) $) 10)) (-4061 (((-1252) $) 12)) (-2185 (((-851) $) 11)) (-4084 (($ $) 17)) (-1668 (((-121) $ $) 6))) 
+(((-367 |#1| |#2|) (-1278) (-1091) (-1091)) (T -367)) 
+((-3230 (*1 *1 *2) (-12 (-4 *1 (-367 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091)))) (-3230 (*1 *1 *2 *3) (-12 (-5 *3 (-1145)) (-4 *1 (-367 *2 *4)) (-4 *2 (-1091)) (-4 *4 (-1091)))) (-3030 (*1 *1 *1 *2) (-12 (-5 *2 (-1145)) (-4 *1 (-367 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)))) (-4084 (*1 *1 *1) (-12 (-4 *1 (-367 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091)))) (-1486 (*1 *2 *1) (-12 (-4 *1 (-367 *2 *3)) (-4 *3 (-1091)) (-4 *2 (-1091)))) (-2160 (*1 *2 *1) (-12 (-4 *1 (-367 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-5 *2 (-1145)))) (-4154 (*1 *2 *1) (-12 (-4 *1 (-367 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1091)))) (-1331 (*1 *2 *1 *2) (-12 (-4 *1 (-367 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1091)))) (-4061 (*1 *2 *1) (-12 (-4 *1 (-367 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-5 *2 (-1252))))) 
+(-13 (-1091) (-10 -8 (-15 -3230 ($ |t#1|)) (-15 -3230 ($ |t#1| (-1145))) (-15 -3030 ($ $ (-1145))) (-15 -4084 ($ $)) (-15 -1486 (|t#1| $)) (-15 -2160 ((-1145) $)) (-15 -4154 (|t#2| $)) (-15 -1331 (|t#2| $ |t#2|)) (-15 -4061 ((-1252) $)))) 
+(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) NIL)) (-1331 ((|#1| $ |#1|) 29)) (-3030 (($ $ (-1145)) 22)) (-2948 (((-3 |#1| "failed") $) 28)) (-4154 ((|#1| $) 26)) (-3230 (($ (-391)) 21) (($ (-391) (-1145)) 20)) (-1486 (((-391) $) 24)) (-2776 (((-1145) $) NIL)) (-2160 (((-1145) $) 25)) (-3360 (((-1109) $) NIL)) (-4061 (((-1252) $) 31)) (-2185 (((-851) $) 19)) (-4084 (($ $) 23)) (-1668 (((-121) $ $) 18))) 
+(((-368 |#1|) (-13 (-367 (-391) |#1|) (-10 -8 (-15 -2948 ((-3 |#1| "failed") $)))) (-1091)) (T -368)) 
+((-2948 (*1 *2 *1) (|partial| -12 (-5 *1 (-368 *2)) (-4 *2 (-1091))))) 
+(-13 (-367 (-391) |#1|) (-10 -8 (-15 -2948 ((-3 |#1| "failed") $)))) 
+((-4064 (((-1247 (-680 |#2|)) (-1247 $)) 62)) (-2909 (((-680 |#2|) (-1247 $)) 120)) (-1723 ((|#2| $) 32)) (-1792 (((-680 |#2|) $ (-1247 $)) 124)) (-1620 (((-3 $ "failed") $) 76)) (-2830 ((|#2| $) 35)) (-2246 (((-1159 |#2|) $) 84)) (-3316 ((|#2| (-1247 $)) 107)) (-2355 (((-1159 |#2|) $) 28)) (-2607 (((-121)) 101)) (-2623 (($ (-1247 |#2|) (-1247 $)) 114)) (-3428 (((-3 $ "failed") $) 80)) (-2007 (((-121)) 96)) (-1370 (((-121)) 91)) (-4239 (((-121)) 54)) (-2991 (((-680 |#2|) (-1247 $)) 118)) (-1545 ((|#2| $) 31)) (-4007 (((-680 |#2|) $ (-1247 $)) 123)) (-4439 (((-3 $ "failed") $) 74)) (-4200 ((|#2| $) 34)) (-3851 (((-1159 |#2|) $) 83)) (-1584 ((|#2| (-1247 $)) 105)) (-2415 (((-1159 |#2|) $) 26)) (-2377 (((-121)) 100)) (-3379 (((-121)) 93)) (-3337 (((-121)) 52)) (-2598 (((-121)) 88)) (-1324 (((-121)) 102)) (-1648 (((-1247 |#2|) $ (-1247 $)) NIL) (((-680 |#2|) (-1247 $) (-1247 $)) 112)) (-2093 (((-121)) 98)) (-2131 (((-635 (-1247 |#2|))) 87)) (-4220 (((-121)) 99)) (-1597 (((-121)) 97)) (-3922 (((-121)) 46)) (-4227 (((-121)) 103))) 
+(((-369 |#1| |#2|) (-10 -8 (-15 -2246 ((-1159 |#2|) |#1|)) (-15 -3851 ((-1159 |#2|) |#1|)) (-15 -2131 ((-635 (-1247 |#2|)))) (-15 -1620 ((-3 |#1| "failed") |#1|)) (-15 -4439 ((-3 |#1| "failed") |#1|)) (-15 -3428 ((-3 |#1| "failed") |#1|)) (-15 -1370 ((-121))) (-15 -3379 ((-121))) (-15 -2007 ((-121))) (-15 -3337 ((-121))) (-15 -4239 ((-121))) (-15 -2598 ((-121))) (-15 -4227 ((-121))) (-15 -1324 ((-121))) (-15 -2607 ((-121))) (-15 -2377 ((-121))) (-15 -3922 ((-121))) (-15 -4220 ((-121))) (-15 -1597 ((-121))) (-15 -2093 ((-121))) (-15 -2355 ((-1159 |#2|) |#1|)) (-15 -2415 ((-1159 |#2|) |#1|)) (-15 -2909 ((-680 |#2|) (-1247 |#1|))) (-15 -2991 ((-680 |#2|) (-1247 |#1|))) (-15 -3316 (|#2| (-1247 |#1|))) (-15 -1584 (|#2| (-1247 |#1|))) (-15 -2623 (|#1| (-1247 |#2|) (-1247 |#1|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1| (-1247 |#1|))) (-15 -2830 (|#2| |#1|)) (-15 -4200 (|#2| |#1|)) (-15 -1723 (|#2| |#1|)) (-15 -1545 (|#2| |#1|)) (-15 -1792 ((-680 |#2|) |#1| (-1247 |#1|))) (-15 -4007 ((-680 |#2|) |#1| (-1247 |#1|))) (-15 -4064 ((-1247 (-680 |#2|)) (-1247 |#1|)))) (-370 |#2|) (-173)) (T -369)) 
+((-2093 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-1597 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-4220 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-3922 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-2377 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-2607 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-1324 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-4227 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-2598 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-4239 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-3337 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-2007 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-3379 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-1370 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-2131 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-635 (-1247 *4))) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4))))) 
+(-10 -8 (-15 -2246 ((-1159 |#2|) |#1|)) (-15 -3851 ((-1159 |#2|) |#1|)) (-15 -2131 ((-635 (-1247 |#2|)))) (-15 -1620 ((-3 |#1| "failed") |#1|)) (-15 -4439 ((-3 |#1| "failed") |#1|)) (-15 -3428 ((-3 |#1| "failed") |#1|)) (-15 -1370 ((-121))) (-15 -3379 ((-121))) (-15 -2007 ((-121))) (-15 -3337 ((-121))) (-15 -4239 ((-121))) (-15 -2598 ((-121))) (-15 -4227 ((-121))) (-15 -1324 ((-121))) (-15 -2607 ((-121))) (-15 -2377 ((-121))) (-15 -3922 ((-121))) (-15 -4220 ((-121))) (-15 -1597 ((-121))) (-15 -2093 ((-121))) (-15 -2355 ((-1159 |#2|) |#1|)) (-15 -2415 ((-1159 |#2|) |#1|)) (-15 -2909 ((-680 |#2|) (-1247 |#1|))) (-15 -2991 ((-680 |#2|) (-1247 |#1|))) (-15 -3316 (|#2| (-1247 |#1|))) (-15 -1584 (|#2| (-1247 |#1|))) (-15 -2623 (|#1| (-1247 |#2|) (-1247 |#1|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1| (-1247 |#1|))) (-15 -2830 (|#2| |#1|)) (-15 -4200 (|#2| |#1|)) (-15 -1723 (|#2| |#1|)) (-15 -1545 (|#2| |#1|)) (-15 -1792 ((-680 |#2|) |#1| (-1247 |#1|))) (-15 -4007 ((-680 |#2|) |#1| (-1247 |#1|))) (-15 -4064 ((-1247 (-680 |#2|)) (-1247 |#1|)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-4276 (((-3 $ "failed")) 35 (|has| |#1| (-559)))) (-2327 (((-3 $ "failed") $ $) 18)) (-4064 (((-1247 (-680 |#1|)) (-1247 $)) 76)) (-2141 (((-1247 $)) 79)) (-2820 (($) 16 T CONST)) (-3781 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) 38 (|has| |#1| (-559)))) (-1531 (((-3 $ "failed")) 36 (|has| |#1| (-559)))) (-2909 (((-680 |#1|) (-1247 $)) 63)) (-1723 ((|#1| $) 72)) (-1792 (((-680 |#1|) $ (-1247 $)) 74)) (-1620 (((-3 $ "failed") $) 43 (|has| |#1| (-559)))) (-1628 (($ $ (-918)) 27)) (-2830 ((|#1| $) 70)) (-2246 (((-1159 |#1|) $) 40 (|has| |#1| (-559)))) (-3316 ((|#1| (-1247 $)) 65)) (-2355 (((-1159 |#1|) $) 61)) (-2607 (((-121)) 55)) (-2623 (($ (-1247 |#1|) (-1247 $)) 67)) (-3428 (((-3 $ "failed") $) 45 (|has| |#1| (-559)))) (-1321 (((-918)) 78)) (-3919 (((-121)) 52)) (-1851 (($ $ (-918)) 32)) (-2007 (((-121)) 48)) (-1370 (((-121)) 46)) (-4239 (((-121)) 50)) (-3926 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) 39 (|has| |#1| (-559)))) (-1588 (((-3 $ "failed")) 37 (|has| |#1| (-559)))) (-2991 (((-680 |#1|) (-1247 $)) 64)) (-1545 ((|#1| $) 73)) (-4007 (((-680 |#1|) $ (-1247 $)) 75)) (-4439 (((-3 $ "failed") $) 44 (|has| |#1| (-559)))) (-3272 (($ $ (-918)) 28)) (-4200 ((|#1| $) 71)) (-3851 (((-1159 |#1|) $) 41 (|has| |#1| (-559)))) (-1584 ((|#1| (-1247 $)) 66)) (-2415 (((-1159 |#1|) $) 62)) (-2377 (((-121)) 56)) (-2776 (((-1145) $) 9)) (-3379 (((-121)) 47)) (-3337 (((-121)) 49)) (-2598 (((-121)) 51)) (-3360 (((-1109) $) 10)) (-1324 (((-121)) 54)) (-1648 (((-1247 |#1|) $ (-1247 $)) 69) (((-680 |#1|) (-1247 $) (-1247 $)) 68)) (-3393 (((-635 (-954 |#1|)) (-1247 $)) 77)) (-4293 (($ $ $) 24)) (-2093 (((-121)) 60)) (-2185 (((-851) $) 11)) (-2131 (((-635 (-1247 |#1|))) 42 (|has| |#1| (-559)))) (-1383 (($ $ $ $) 25)) (-4220 (((-121)) 58)) (-4033 (($ $ $) 23)) (-1597 (((-121)) 59)) (-3922 (((-121)) 57)) (-4227 (((-121)) 53)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 29)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 26) (($ $ |#1|) 34) (($ |#1| $) 33))) 
+(((-370 |#1|) (-1278) (-173)) (T -370)) 
+((-2141 (*1 *2) (-12 (-4 *3 (-173)) (-5 *2 (-1247 *1)) (-4 *1 (-370 *3)))) (-1321 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-918)))) (-3393 (*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-635 (-954 *4))))) (-4064 (*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-1247 (-680 *4))))) (-4007 (*1 *2 *1 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-680 *4)))) (-1792 (*1 *2 *1 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-680 *4)))) (-1545 (*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173)))) (-1723 (*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173)))) (-4200 (*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173)))) (-2830 (*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173)))) (-1648 (*1 *2 *1 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-1247 *4)))) (-1648 (*1 *2 *3 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-680 *4)))) (-2623 (*1 *1 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-1247 *1)) (-4 *4 (-173)) (-4 *1 (-370 *4)))) (-1584 (*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *2)) (-4 *2 (-173)))) (-3316 (*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *2)) (-4 *2 (-173)))) (-2991 (*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-680 *4)))) (-2909 (*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-680 *4)))) (-2415 (*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-1159 *3)))) (-2355 (*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-1159 *3)))) (-2093 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-1597 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-4220 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-3922 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-2377 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-2607 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-1324 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-4227 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-3919 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-2598 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-4239 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-3337 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-2007 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-3379 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-1370 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-3428 (*1 *1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) (-4439 (*1 *1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) (-1620 (*1 *1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) (-2131 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-4 *3 (-559)) (-5 *2 (-635 (-1247 *3))))) (-3851 (*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-4 *3 (-559)) (-5 *2 (-1159 *3)))) (-2246 (*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-4 *3 (-559)) (-5 *2 (-1159 *3)))) (-3926 (*1 *2) (|partial| -12 (-4 *3 (-559)) (-4 *3 (-173)) (-5 *2 (-2 (|:| |particular| *1) (|:| -3930 (-635 *1)))) (-4 *1 (-370 *3)))) (-3781 (*1 *2) (|partial| -12 (-4 *3 (-559)) (-4 *3 (-173)) (-5 *2 (-2 (|:| |particular| *1) (|:| -3930 (-635 *1)))) (-4 *1 (-370 *3)))) (-1588 (*1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-559)) (-4 *2 (-173)))) (-1531 (*1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-559)) (-4 *2 (-173)))) (-4276 (*1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-559)) (-4 *2 (-173))))) 
+(-13 (-737 |t#1|) (-10 -8 (-15 -2141 ((-1247 $))) (-15 -1321 ((-918))) (-15 -3393 ((-635 (-954 |t#1|)) (-1247 $))) (-15 -4064 ((-1247 (-680 |t#1|)) (-1247 $))) (-15 -4007 ((-680 |t#1|) $ (-1247 $))) (-15 -1792 ((-680 |t#1|) $ (-1247 $))) (-15 -1545 (|t#1| $)) (-15 -1723 (|t#1| $)) (-15 -4200 (|t#1| $)) (-15 -2830 (|t#1| $)) (-15 -1648 ((-1247 |t#1|) $ (-1247 $))) (-15 -1648 ((-680 |t#1|) (-1247 $) (-1247 $))) (-15 -2623 ($ (-1247 |t#1|) (-1247 $))) (-15 -1584 (|t#1| (-1247 $))) (-15 -3316 (|t#1| (-1247 $))) (-15 -2991 ((-680 |t#1|) (-1247 $))) (-15 -2909 ((-680 |t#1|) (-1247 $))) (-15 -2415 ((-1159 |t#1|) $)) (-15 -2355 ((-1159 |t#1|) $)) (-15 -2093 ((-121))) (-15 -1597 ((-121))) (-15 -4220 ((-121))) (-15 -3922 ((-121))) (-15 -2377 ((-121))) (-15 -2607 ((-121))) (-15 -1324 ((-121))) (-15 -4227 ((-121))) (-15 -3919 ((-121))) (-15 -2598 ((-121))) (-15 -4239 ((-121))) (-15 -3337 ((-121))) (-15 -2007 ((-121))) (-15 -3379 ((-121))) (-15 -1370 ((-121))) (IF (|has| |t#1| (-559)) (PROGN (-15 -3428 ((-3 $ "failed") $)) (-15 -4439 ((-3 $ "failed") $)) (-15 -1620 ((-3 $ "failed") $)) (-15 -2131 ((-635 (-1247 |t#1|)))) (-15 -3851 ((-1159 |t#1|) $)) (-15 -2246 ((-1159 |t#1|) $)) (-15 -3926 ((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed"))) (-15 -3781 ((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed"))) (-15 -1588 ((-3 $ "failed"))) (-15 -1531 ((-3 $ "failed"))) (-15 -4276 ((-3 $ "failed"))) (-6 -4532)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#1|) . T) ((-708 |#1|) . T) ((-711) . T) ((-737 |#1|) . T) ((-754) . T) ((-1054 |#1|) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) 7)) (-2085 (((-764)) 15)) (-4327 (($) 12)) (-2083 (((-918) $) 13)) (-2776 (((-1145) $) 9)) (-3998 (($ (-918)) 14)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-1668 (((-121) $ $) 6))) 
+(((-371) (-1278)) (T -371)) 
+((-2085 (*1 *2) (-12 (-4 *1 (-371)) (-5 *2 (-764)))) (-3998 (*1 *1 *2) (-12 (-5 *2 (-918)) (-4 *1 (-371)))) (-2083 (*1 *2 *1) (-12 (-4 *1 (-371)) (-5 *2 (-918)))) (-4327 (*1 *1) (-4 *1 (-371)))) 
+(-13 (-1091) (-10 -8 (-15 -2085 ((-764))) (-15 -3998 ($ (-918))) (-15 -2083 ((-918) $)) (-15 -4327 ($)))) 
+(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
+((-3294 (((-680 |#2|) (-1247 $)) 40)) (-2623 (($ (-1247 |#2|) (-1247 $)) 35)) (-3325 (((-680 |#2|) $ (-1247 $)) 43)) (-2087 ((|#2| (-1247 $)) 13)) (-1648 (((-1247 |#2|) $ (-1247 $)) NIL) (((-680 |#2|) (-1247 $) (-1247 $)) 25))) 
+(((-372 |#1| |#2| |#3|) (-10 -8 (-15 -3294 ((-680 |#2|) (-1247 |#1|))) (-15 -2087 (|#2| (-1247 |#1|))) (-15 -2623 (|#1| (-1247 |#2|) (-1247 |#1|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1| (-1247 |#1|))) (-15 -3325 ((-680 |#2|) |#1| (-1247 |#1|)))) (-373 |#2| |#3|) (-173) (-1222 |#2|)) (T -372)) 
+NIL 
+(-10 -8 (-15 -3294 ((-680 |#2|) (-1247 |#1|))) (-15 -2087 (|#2| (-1247 |#1|))) (-15 -2623 (|#1| (-1247 |#2|) (-1247 |#1|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1| (-1247 |#1|))) (-15 -3325 ((-680 |#2|) |#1| (-1247 |#1|)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-3294 (((-680 |#1|) (-1247 $)) 44)) (-1377 ((|#1| $) 50)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2623 (($ (-1247 |#1|) (-1247 $)) 46)) (-3325 (((-680 |#1|) $ (-1247 $)) 51)) (-3428 (((-3 $ "failed") $) 33)) (-1321 (((-918)) 52)) (-1407 (((-121) $) 30)) (-4308 ((|#1| $) 49)) (-2770 ((|#2| $) 42 (|has| |#1| (-366)))) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2087 ((|#1| (-1247 $)) 45)) (-1648 (((-1247 |#1|) $ (-1247 $)) 48) (((-680 |#1|) (-1247 $) (-1247 $)) 47)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 36)) (-3953 (((-3 $ "failed") $) 41 (|has| |#1| (-149)))) (-2742 ((|#2| $) 43)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
+(((-373 |#1| |#2|) (-1278) (-173) (-1222 |t#1|)) (T -373)) 
+((-1321 (*1 *2) (-12 (-4 *1 (-373 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1222 *3)) (-5 *2 (-918)))) (-3325 (*1 *2 *1 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-680 *4)))) (-1377 (*1 *2 *1) (-12 (-4 *1 (-373 *2 *3)) (-4 *3 (-1222 *2)) (-4 *2 (-173)))) (-4308 (*1 *2 *1) (-12 (-4 *1 (-373 *2 *3)) (-4 *3 (-1222 *2)) (-4 *2 (-173)))) (-1648 (*1 *2 *1 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-1247 *4)))) (-1648 (*1 *2 *3 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-680 *4)))) (-2623 (*1 *1 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-1247 *1)) (-4 *4 (-173)) (-4 *1 (-373 *4 *5)) (-4 *5 (-1222 *4)))) (-2087 (*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-373 *2 *4)) (-4 *4 (-1222 *2)) (-4 *2 (-173)))) (-3294 (*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-680 *4)))) (-2742 (*1 *2 *1) (-12 (-4 *1 (-373 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1222 *3)))) (-2770 (*1 *2 *1) (-12 (-4 *1 (-373 *3 *2)) (-4 *3 (-173)) (-4 *3 (-366)) (-4 *2 (-1222 *3))))) 
+(-13 (-43 |t#1|) (-10 -8 (-15 -1321 ((-918))) (-15 -3325 ((-680 |t#1|) $ (-1247 $))) (-15 -1377 (|t#1| $)) (-15 -4308 (|t#1| $)) (-15 -1648 ((-1247 |t#1|) $ (-1247 $))) (-15 -1648 ((-680 |t#1|) (-1247 $) (-1247 $))) (-15 -2623 ($ (-1247 |t#1|) (-1247 $))) (-15 -2087 (|t#1| (-1247 $))) (-15 -3294 ((-680 |t#1|) (-1247 $))) (-15 -2742 (|t#2| $)) (IF (|has| |t#1| (-366)) (-15 -2770 (|t#2| $)) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-708 |#1|) . T) ((-717) . T) ((-1054 |#1|) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-3043 ((|#4| (-1 |#3| |#1| |#3|) |#2| |#3|) 23)) (-1774 ((|#3| (-1 |#3| |#1| |#3|) |#2| |#3|) 15)) (-1544 ((|#4| (-1 |#3| |#1|) |#2|) 21))) 
+(((-374 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1544 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -1774 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -3043 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) (-1197) (-376 |#1|) (-1197) (-376 |#3|)) (T -374)) 
+((-3043 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1197)) (-4 *5 (-1197)) (-4 *2 (-376 *5)) (-5 *1 (-374 *6 *4 *5 *2)) (-4 *4 (-376 *6)))) (-1774 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1197)) (-4 *2 (-1197)) (-5 *1 (-374 *5 *4 *2 *6)) (-4 *4 (-376 *5)) (-4 *6 (-376 *2)))) (-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-4 *2 (-376 *6)) (-5 *1 (-374 *5 *4 *6 *2)) (-4 *4 (-376 *5))))) 
+(-10 -7 (-15 -1544 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -1774 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -3043 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) 
+((-3034 (((-121) (-1 (-121) |#2| |#2|) $) NIL) (((-121) $) 18)) (-3076 (($ (-1 (-121) |#2| |#2|) $) NIL) (($ $) 28)) (-3113 (($ (-1 (-121) |#2| |#2|) $) 27) (($ $) 22)) (-2052 (($ $) 25)) (-3727 (((-569) (-1 (-121) |#2|) $) NIL) (((-569) |#2| $) 11) (((-569) |#2| $ (-569)) NIL)) (-3288 (($ (-1 (-121) |#2| |#2|) $ $) NIL) (($ $ $) 20))) 
+(((-375 |#1| |#2|) (-10 -8 (-15 -3076 (|#1| |#1|)) (-15 -3076 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -3034 ((-121) |#1|)) (-15 -3113 (|#1| |#1|)) (-15 -3288 (|#1| |#1| |#1|)) (-15 -3727 ((-569) |#2| |#1| (-569))) (-15 -3727 ((-569) |#2| |#1|)) (-15 -3727 ((-569) (-1 (-121) |#2|) |#1|)) (-15 -3034 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -3113 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -2052 (|#1| |#1|)) (-15 -3288 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|))) (-376 |#2|) (-1197)) (T -375)) 
+NIL 
+(-10 -8 (-15 -3076 (|#1| |#1|)) (-15 -3076 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -3034 ((-121) |#1|)) (-15 -3113 (|#1| |#1|)) (-15 -3288 (|#1| |#1| |#1|)) (-15 -3727 ((-569) |#2| |#1| (-569))) (-15 -3727 ((-569) |#2| |#1|)) (-15 -3727 ((-569) (-1 (-121) |#2|) |#1|)) (-15 -3034 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -3113 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -2052 (|#1| |#1|)) (-15 -3288 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|))) 
+((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-3112 (((-1252) $ (-569) (-569)) 37 (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) |#1| |#1|) $) 91) (((-121) $) 85 (|has| |#1| (-843)))) (-3076 (($ (-1 (-121) |#1| |#1|) $) 82 (|has| $ (-6 -4536))) (($ $) 81 (-12 (|has| |#1| (-843)) (|has| $ (-6 -4536))))) (-3113 (($ (-1 (-121) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-843)))) (-1691 (((-121) $ (-764)) 8)) (-4469 ((|#1| $ (-569) |#1|) 49 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) 53 (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-1302 (($ $) 83 (|has| $ (-6 -4536)))) (-2052 (($ $) 93)) (-2033 (($ $) 73 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ |#1| $) 72 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) 50 (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) 48)) (-3727 (((-569) (-1 (-121) |#1|) $) 90) (((-569) |#1| $) 89 (|has| |#1| (-1091))) (((-569) |#1| $ (-569)) 88 (|has| |#1| (-1091)))) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-2659 (($ (-764) |#1|) 64)) (-1974 (((-121) $ (-764)) 9)) (-3557 (((-569) $) 40 (|has| (-569) (-843)))) (-3291 (($ $ $) 80 (|has| |#1| (-843)))) (-3288 (($ (-1 (-121) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1285 (((-569) $) 41 (|has| (-569) (-843)))) (-1538 (($ $ $) 79 (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3614 (($ |#1| $ (-569)) 55) (($ $ $ (-569)) 54)) (-4166 (((-635 (-569)) $) 43)) (-3533 (((-121) (-569) $) 44)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4353 ((|#1| $) 39 (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-3174 (($ $ |#1|) 38 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) 45)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ (-569) |#1|) 47) ((|#1| $ (-569)) 46) (($ $ (-1213 (-569))) 58)) (-3010 (($ $ (-569)) 57) (($ $ (-1213 (-569))) 56)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-3389 (($ $ $ (-569)) 84 (|has| $ (-6 -4536)))) (-1971 (($ $) 13)) (-3817 (((-542) $) 74 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 65)) (-2250 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) 77 (|has| |#1| (-843)))) (-1684 (((-121) $ $) 76 (|has| |#1| (-843)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-1688 (((-121) $ $) 78 (|has| |#1| (-843)))) (-1678 (((-121) $ $) 75 (|has| |#1| (-843)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-376 |#1|) (-1278) (-1197)) (T -376)) 
+((-3288 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-376 *3)) (-4 *3 (-1197)))) (-2052 (*1 *1 *1) (-12 (-4 *1 (-376 *2)) (-4 *2 (-1197)))) (-3113 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-376 *3)) (-4 *3 (-1197)))) (-3034 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *1 (-376 *4)) (-4 *4 (-1197)) (-5 *2 (-121)))) (-3727 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (-4 *1 (-376 *4)) (-4 *4 (-1197)) (-5 *2 (-569)))) (-3727 (*1 *2 *3 *1) (-12 (-4 *1 (-376 *3)) (-4 *3 (-1197)) (-4 *3 (-1091)) (-5 *2 (-569)))) (-3727 (*1 *2 *3 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-376 *3)) (-4 *3 (-1197)) (-4 *3 (-1091)))) (-3288 (*1 *1 *1 *1) (-12 (-4 *1 (-376 *2)) (-4 *2 (-1197)) (-4 *2 (-843)))) (-3113 (*1 *1 *1) (-12 (-4 *1 (-376 *2)) (-4 *2 (-1197)) (-4 *2 (-843)))) (-3034 (*1 *2 *1) (-12 (-4 *1 (-376 *3)) (-4 *3 (-1197)) (-4 *3 (-843)) (-5 *2 (-121)))) (-3389 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-569)) (|has| *1 (-6 -4536)) (-4 *1 (-376 *3)) (-4 *3 (-1197)))) (-1302 (*1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-376 *2)) (-4 *2 (-1197)))) (-3076 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (|has| *1 (-6 -4536)) (-4 *1 (-376 *3)) (-4 *3 (-1197)))) (-3076 (*1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-376 *2)) (-4 *2 (-1197)) (-4 *2 (-843))))) 
+(-13 (-641 |t#1|) (-10 -8 (-6 -4535) (-15 -3288 ($ (-1 (-121) |t#1| |t#1|) $ $)) (-15 -2052 ($ $)) (-15 -3113 ($ (-1 (-121) |t#1| |t#1|) $)) (-15 -3034 ((-121) (-1 (-121) |t#1| |t#1|) $)) (-15 -3727 ((-569) (-1 (-121) |t#1|) $)) (IF (|has| |t#1| (-1091)) (PROGN (-15 -3727 ((-569) |t#1| $)) (-15 -3727 ((-569) |t#1| $ (-569)))) |noBranch|) (IF (|has| |t#1| (-843)) (PROGN (-6 (-843)) (-15 -3288 ($ $ $)) (-15 -3113 ($ $)) (-15 -3034 ((-121) $))) |noBranch|) (IF (|has| $ (-6 -4536)) (PROGN (-15 -3389 ($ $ $ (-569))) (-15 -1302 ($ $)) (-15 -3076 ($ (-1 (-121) |t#1| |t#1|) $)) (IF (|has| |t#1| (-843)) (-15 -3076 ($ $)) |noBranch|)) |noBranch|))) 
+(((-39) . T) ((-105) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-609 (-851)) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-641 |#1|) . T) ((-843) |has| |#1| (-843)) ((-1091) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-1197) . T)) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-3914 (((-635 |#1|) $) 29)) (-1920 (($ $ (-764)) 30)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2123 (((-1269 |#1| |#2|) (-1269 |#1| |#2|) $) 33)) (-2208 (($ $) 31)) (-3642 (((-1269 |#1| |#2|) (-1269 |#1| |#2|) $) 34)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-1468 (($ $ |#1| $) 28) (($ $ (-635 |#1|) (-635 $)) 27)) (-2492 (((-764) $) 35)) (-2139 (($ $ $) 26)) (-2185 (((-851) $) 11) (($ |#1|) 38) (((-1260 |#1| |#2|) $) 37) (((-1269 |#1| |#2|) $) 36)) (-4140 ((|#2| (-1269 |#1| |#2|) $) 39)) (-3369 (($) 17 T CONST)) (-1661 (($ (-664 |#1|)) 32)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#2|) 25 (|has| |#2| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ |#2| $) 22) (($ $ |#2|) 24))) 
+(((-377 |#1| |#2|) (-1278) (-843) (-173)) (T -377)) 
+((-4140 (*1 *2 *3 *1) (-12 (-5 *3 (-1269 *4 *2)) (-4 *1 (-377 *4 *2)) (-4 *4 (-843)) (-4 *2 (-173)))) (-2185 (*1 *1 *2) (-12 (-4 *1 (-377 *2 *3)) (-4 *2 (-843)) (-4 *3 (-173)))) (-2185 (*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)) (-5 *2 (-1260 *3 *4)))) (-2185 (*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)) (-5 *2 (-1269 *3 *4)))) (-2492 (*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)) (-5 *2 (-764)))) (-3642 (*1 *2 *2 *1) (-12 (-5 *2 (-1269 *3 *4)) (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)))) (-2123 (*1 *2 *2 *1) (-12 (-5 *2 (-1269 *3 *4)) (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)))) (-1661 (*1 *1 *2) (-12 (-5 *2 (-664 *3)) (-4 *3 (-843)) (-4 *1 (-377 *3 *4)) (-4 *4 (-173)))) (-2208 (*1 *1 *1) (-12 (-4 *1 (-377 *2 *3)) (-4 *2 (-843)) (-4 *3 (-173)))) (-1920 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)))) (-3914 (*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)) (-5 *2 (-635 *3)))) (-1468 (*1 *1 *1 *2 *1) (-12 (-4 *1 (-377 *2 *3)) (-4 *2 (-843)) (-4 *3 (-173)))) (-1468 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 *1)) (-4 *1 (-377 *4 *5)) (-4 *4 (-843)) (-4 *5 (-173))))) 
+(-13 (-626 |t#2|) (-10 -8 (-15 -4140 (|t#2| (-1269 |t#1| |t#2|) $)) (-15 -2185 ($ |t#1|)) (-15 -2185 ((-1260 |t#1| |t#2|) $)) (-15 -2185 ((-1269 |t#1| |t#2|) $)) (-15 -2492 ((-764) $)) (-15 -3642 ((-1269 |t#1| |t#2|) (-1269 |t#1| |t#2|) $)) (-15 -2123 ((-1269 |t#1| |t#2|) (-1269 |t#1| |t#2|) $)) (-15 -1661 ($ (-664 |t#1|))) (-15 -2208 ($ $)) (-15 -1920 ($ $ (-764))) (-15 -3914 ((-635 |t#1|) $)) (-15 -1468 ($ $ |t#1| $)) (-15 -1468 ($ $ (-635 |t#1|) (-635 $))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#2| |#2|) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#2|) . T) ((-626 |#2|) . T) ((-708 |#2|) . T) ((-1054 |#2|) . T) ((-1091) . T)) 
+((-3133 ((|#2| (-1 (-121) |#1| |#1|) |#2|) 22)) (-3732 ((|#2| (-1 (-121) |#1| |#1|) |#2|) 12)) (-1356 ((|#2| (-1 (-121) |#1| |#1|) |#2|) 21))) 
+(((-378 |#1| |#2|) (-10 -7 (-15 -3732 (|#2| (-1 (-121) |#1| |#1|) |#2|)) (-15 -1356 (|#2| (-1 (-121) |#1| |#1|) |#2|)) (-15 -3133 (|#2| (-1 (-121) |#1| |#1|) |#2|))) (-1197) (-13 (-376 |#1|) (-10 -7 (-6 -4536)))) (T -378)) 
+((-3133 (*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1197)) (-5 *1 (-378 *4 *2)) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4536)))))) (-1356 (*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1197)) (-5 *1 (-378 *4 *2)) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4536)))))) (-3732 (*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1197)) (-5 *1 (-378 *4 *2)) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4536))))))) 
+(-10 -7 (-15 -3732 (|#2| (-1 (-121) |#1| |#1|) |#2|)) (-15 -1356 (|#2| (-1 (-121) |#1| |#1|) |#2|)) (-15 -3133 (|#2| (-1 (-121) |#1| |#1|) |#2|))) 
+((-1696 (((-680 |#2|) (-680 $)) NIL) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 19) (((-680 (-569)) (-680 $)) 13))) 
+(((-379 |#1| |#2|) (-10 -8 (-15 -1696 ((-680 (-569)) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-680 |#2|) (-680 |#1|)))) (-380 |#2|) (-1048)) (T -379)) 
+NIL 
+(-10 -8 (-15 -1696 ((-680 (-569)) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-680 |#2|) (-680 |#1|)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-1696 (((-680 |#1|) (-680 $)) 35) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 34) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 38 (|has| |#1| (-631 (-569)))) (((-680 (-569)) (-680 $)) 37 (|has| |#1| (-631 (-569))))) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ (-569)) 27)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-380 |#1|) (-1278) (-1048)) (T -380)) 
+NIL 
+(-13 (-631 |t#1|) (-10 -7 (IF (|has| |t#1| (-631 (-569))) (-6 (-631 (-569))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-717) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-1365 (((-635 (-289 (-954 (-170 |#1|)))) (-289 (-410 (-954 (-170 (-569))))) |#1|) 52) (((-635 (-289 (-954 (-170 |#1|)))) (-410 (-954 (-170 (-569)))) |#1|) 51) (((-635 (-635 (-289 (-954 (-170 |#1|))))) (-635 (-289 (-410 (-954 (-170 (-569)))))) |#1|) 47) (((-635 (-635 (-289 (-954 (-170 |#1|))))) (-635 (-410 (-954 (-170 (-569))))) |#1|) 40)) (-3807 (((-635 (-635 (-170 |#1|))) (-635 (-410 (-954 (-170 (-569))))) (-635 (-1163)) |#1|) 28) (((-635 (-170 |#1|)) (-410 (-954 (-170 (-569)))) |#1|) 15))) 
+(((-381 |#1|) (-10 -7 (-15 -1365 ((-635 (-635 (-289 (-954 (-170 |#1|))))) (-635 (-410 (-954 (-170 (-569))))) |#1|)) (-15 -1365 ((-635 (-635 (-289 (-954 (-170 |#1|))))) (-635 (-289 (-410 (-954 (-170 (-569)))))) |#1|)) (-15 -1365 ((-635 (-289 (-954 (-170 |#1|)))) (-410 (-954 (-170 (-569)))) |#1|)) (-15 -1365 ((-635 (-289 (-954 (-170 |#1|)))) (-289 (-410 (-954 (-170 (-569))))) |#1|)) (-15 -3807 ((-635 (-170 |#1|)) (-410 (-954 (-170 (-569)))) |#1|)) (-15 -3807 ((-635 (-635 (-170 |#1|))) (-635 (-410 (-954 (-170 (-569))))) (-635 (-1163)) |#1|))) (-13 (-366) (-841))) (T -381)) 
+((-3807 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-410 (-954 (-170 (-569)))))) (-5 *4 (-635 (-1163))) (-5 *2 (-635 (-635 (-170 *5)))) (-5 *1 (-381 *5)) (-4 *5 (-13 (-366) (-841))))) (-3807 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 (-170 (-569))))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-841))))) (-1365 (*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-954 (-170 (-569)))))) (-5 *2 (-635 (-289 (-954 (-170 *4))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-841))))) (-1365 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 (-170 (-569))))) (-5 *2 (-635 (-289 (-954 (-170 *4))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-841))))) (-1365 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-289 (-410 (-954 (-170 (-569))))))) (-5 *2 (-635 (-635 (-289 (-954 (-170 *4)))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-841))))) (-1365 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-170 (-569)))))) (-5 *2 (-635 (-635 (-289 (-954 (-170 *4)))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-841)))))) 
+(-10 -7 (-15 -1365 ((-635 (-635 (-289 (-954 (-170 |#1|))))) (-635 (-410 (-954 (-170 (-569))))) |#1|)) (-15 -1365 ((-635 (-635 (-289 (-954 (-170 |#1|))))) (-635 (-289 (-410 (-954 (-170 (-569)))))) |#1|)) (-15 -1365 ((-635 (-289 (-954 (-170 |#1|)))) (-410 (-954 (-170 (-569)))) |#1|)) (-15 -1365 ((-635 (-289 (-954 (-170 |#1|)))) (-289 (-410 (-954 (-170 (-569))))) |#1|)) (-15 -3807 ((-635 (-170 |#1|)) (-410 (-954 (-170 (-569)))) |#1|)) (-15 -3807 ((-635 (-635 (-170 |#1|))) (-635 (-410 (-954 (-170 (-569))))) (-635 (-1163)) |#1|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 33)) (-3761 (((-569) $) 55)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3136 (($ $) 109)) (-1753 (($ $) 81)) (-2530 (($ $) 70)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-2454 (($ $) 44)) (-3934 (((-121) $ $) NIL)) (-1744 (($ $) 79)) (-2513 (($ $) 68)) (-3638 (((-569) $) 63)) (-3036 (($ $ (-569)) 62)) (-1760 (($ $) NIL)) (-2546 (($ $) NIL)) (-2820 (($) NIL T CONST)) (-1847 (($ $) 111)) (-1647 (((-3 (-569) "failed") $) 187) (((-3 (-410 (-569)) "failed") $) 183)) (-2428 (((-569) $) 185) (((-410 (-569)) $) 181)) (-2506 (($ $ $) NIL)) (-1796 (((-569) $ $) 101)) (-3428 (((-3 $ "failed") $) 113)) (-2826 (((-410 (-569)) $ (-764)) 188) (((-410 (-569)) $ (-764) (-764)) 180)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-1732 (((-918)) 72) (((-918) (-918)) 97 (|has| $ (-6 -4526)))) (-2403 (((-121) $) 105)) (-2445 (($) 40)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL)) (-4225 (((-1252) (-764)) 150)) (-2177 (((-1252)) 155) (((-1252) (-764)) 156)) (-1864 (((-1252)) 157) (((-1252) (-764)) 158)) (-2124 (((-1252)) 153) (((-1252) (-764)) 154)) (-2558 (((-569) $) 58)) (-1407 (((-121) $) 103)) (-4344 (($ $ (-569)) NIL)) (-2521 (($ $) 48)) (-4308 (($ $) NIL)) (-1781 (((-121) $) 35)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3291 (($ $ $) NIL) (($) NIL (-12 (-3864 (|has| $ (-6 -4518))) (-3864 (|has| $ (-6 -4526)))))) (-1538 (($ $ $) NIL) (($) 98 (-12 (-3864 (|has| $ (-6 -4518))) (-3864 (|has| $ (-6 -4526)))))) (-1554 (((-569) $) 17)) (-1900 (($) 86) (($ $) 91)) (-2138 (($) 90) (($ $) 92)) (-4450 (($ $) 82)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 115)) (-2925 (((-918) (-569)) 43 (|has| $ (-6 -4526)))) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1346 (($ $) 53)) (-2942 (($ $) 108)) (-2215 (($ (-569) (-569)) 106) (($ (-569) (-569) (-918)) 107)) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2356 (((-569) $) 19)) (-2390 (($) 93)) (-2436 (($ $) 78)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-2855 (((-918)) 99) (((-918) (-918)) 100 (|has| $ (-6 -4526)))) (-3899 (($ $ (-764)) NIL) (($ $) 114)) (-4432 (((-918) (-569)) 47 (|has| $ (-6 -4526)))) (-1764 (($ $) NIL)) (-2554 (($ $) NIL)) (-1756 (($ $) NIL)) (-2538 (($ $) NIL)) (-1748 (($ $) 80)) (-2522 (($ $) 69)) (-3817 (((-382) $) 173) (((-216) $) 175) (((-888 (-382)) $) NIL) (((-1145) $) 160) (((-542) $) 171) (($ (-216)) 179)) (-2185 (((-851) $) 162) (($ (-569)) 184) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-569)) 184) (($ (-410 (-569))) NIL) (((-216) $) 176)) (-1991 (((-764)) NIL)) (-2612 (($ $) 110)) (-2970 (((-918)) 54) (((-918) (-918)) 65 (|has| $ (-6 -4526)))) (-1475 (((-918)) 102)) (-1779 (($ $) 85)) (-1727 (($ $) 46) (($ $ $) 52)) (-1961 (((-121) $ $) NIL)) (-1770 (($ $) 83)) (-2561 (($ $) 37)) (-1785 (($ $) NIL)) (-1736 (($ $) NIL)) (-2430 (($ $) NIL)) (-1740 (($ $) NIL)) (-1782 (($ $) NIL)) (-1731 (($ $) NIL)) (-1775 (($ $) 84)) (-2569 (($ $) 49)) (-1616 (($ $) 51)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 34 T CONST)) (-1556 (($) 38 T CONST)) (-1940 (((-1145) $) 27) (((-1145) $ (-121)) 29) (((-1252) (-818) $) 30) (((-1252) (-818) $ (-121)) 31)) (-3022 (($ $ (-764)) NIL) (($ $) NIL)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 39)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 42)) (-1715 (($ $ $) 45) (($ $ (-569)) 41)) (-1711 (($ $) 36) (($ $ $) 50)) (-1707 (($ $ $) 61)) (** (($ $ (-918)) 66) (($ $ (-764)) NIL) (($ $ (-569)) 87) (($ $ (-410 (-569))) 124) (($ $ $) 116)) (* (($ (-918) $) 64) (($ (-764) $) NIL) (($ (-569) $) 67) (($ $ $) 60) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
+(((-382) (-13 (-407) (-226) (-610 (-1145)) (-824) (-609 (-216)) (-1183) (-610 (-542)) (-10 -8 (-15 -1715 ($ $ (-569))) (-15 ** ($ $ $)) (-15 -2521 ($ $)) (-15 -1796 ((-569) $ $)) (-15 -3036 ($ $ (-569))) (-15 -2826 ((-410 (-569)) $ (-764))) (-15 -2826 ((-410 (-569)) $ (-764) (-764))) (-15 -1900 ($)) (-15 -2138 ($)) (-15 -2390 ($)) (-15 -1727 ($ $ $)) (-15 -1900 ($ $)) (-15 -2138 ($ $)) (-15 -3817 ($ (-216))) (-15 -1864 ((-1252))) (-15 -1864 ((-1252) (-764))) (-15 -2124 ((-1252))) (-15 -2124 ((-1252) (-764))) (-15 -2177 ((-1252))) (-15 -2177 ((-1252) (-764))) (-15 -4225 ((-1252) (-764))) (-6 -4526) (-6 -4518)))) (T -382)) 
+((** (*1 *1 *1 *1) (-5 *1 (-382))) (-1715 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-382)))) (-2521 (*1 *1 *1) (-5 *1 (-382))) (-1796 (*1 *2 *1 *1) (-12 (-5 *2 (-569)) (-5 *1 (-382)))) (-3036 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-382)))) (-2826 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-410 (-569))) (-5 *1 (-382)))) (-2826 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-410 (-569))) (-5 *1 (-382)))) (-1900 (*1 *1) (-5 *1 (-382))) (-2138 (*1 *1) (-5 *1 (-382))) (-2390 (*1 *1) (-5 *1 (-382))) (-1727 (*1 *1 *1 *1) (-5 *1 (-382))) (-1900 (*1 *1 *1) (-5 *1 (-382))) (-2138 (*1 *1 *1) (-5 *1 (-382))) (-3817 (*1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-382)))) (-1864 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-382)))) (-1864 (*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-382)))) (-2124 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-382)))) (-2124 (*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-382)))) (-2177 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-382)))) (-2177 (*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-382)))) (-4225 (*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-382))))) 
+(-13 (-407) (-226) (-610 (-1145)) (-824) (-609 (-216)) (-1183) (-610 (-542)) (-10 -8 (-15 -1715 ($ $ (-569))) (-15 ** ($ $ $)) (-15 -2521 ($ $)) (-15 -1796 ((-569) $ $)) (-15 -3036 ($ $ (-569))) (-15 -2826 ((-410 (-569)) $ (-764))) (-15 -2826 ((-410 (-569)) $ (-764) (-764))) (-15 -1900 ($)) (-15 -2138 ($)) (-15 -2390 ($)) (-15 -1727 ($ $ $)) (-15 -1900 ($ $)) (-15 -2138 ($ $)) (-15 -3817 ($ (-216))) (-15 -1864 ((-1252))) (-15 -1864 ((-1252) (-764))) (-15 -2124 ((-1252))) (-15 -2124 ((-1252) (-764))) (-15 -2177 ((-1252))) (-15 -2177 ((-1252) (-764))) (-15 -4225 ((-1252) (-764))) (-6 -4526) (-6 -4518))) 
+((-4435 (((-635 (-289 (-954 |#1|))) (-289 (-410 (-954 (-569)))) |#1|) 47) (((-635 (-289 (-954 |#1|))) (-410 (-954 (-569))) |#1|) 46) (((-635 (-635 (-289 (-954 |#1|)))) (-635 (-289 (-410 (-954 (-569))))) |#1|) 42) (((-635 (-635 (-289 (-954 |#1|)))) (-635 (-410 (-954 (-569)))) |#1|) 36)) (-2166 (((-635 |#1|) (-410 (-954 (-569))) |#1|) 19) (((-635 (-635 |#1|)) (-635 (-410 (-954 (-569)))) (-635 (-1163)) |#1|) 31))) 
+(((-383 |#1|) (-10 -7 (-15 -4435 ((-635 (-635 (-289 (-954 |#1|)))) (-635 (-410 (-954 (-569)))) |#1|)) (-15 -4435 ((-635 (-635 (-289 (-954 |#1|)))) (-635 (-289 (-410 (-954 (-569))))) |#1|)) (-15 -4435 ((-635 (-289 (-954 |#1|))) (-410 (-954 (-569))) |#1|)) (-15 -4435 ((-635 (-289 (-954 |#1|))) (-289 (-410 (-954 (-569)))) |#1|)) (-15 -2166 ((-635 (-635 |#1|)) (-635 (-410 (-954 (-569)))) (-635 (-1163)) |#1|)) (-15 -2166 ((-635 |#1|) (-410 (-954 (-569))) |#1|))) (-13 (-841) (-366))) (T -383)) 
+((-2166 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 (-569)))) (-5 *2 (-635 *4)) (-5 *1 (-383 *4)) (-4 *4 (-13 (-841) (-366))))) (-2166 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-1163))) (-5 *2 (-635 (-635 *5))) (-5 *1 (-383 *5)) (-4 *5 (-13 (-841) (-366))))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-954 (-569))))) (-5 *2 (-635 (-289 (-954 *4)))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-841) (-366))))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 (-569)))) (-5 *2 (-635 (-289 (-954 *4)))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-841) (-366))))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-289 (-410 (-954 (-569)))))) (-5 *2 (-635 (-635 (-289 (-954 *4))))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-841) (-366))))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-635 (-289 (-954 *4))))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-841) (-366)))))) 
+(-10 -7 (-15 -4435 ((-635 (-635 (-289 (-954 |#1|)))) (-635 (-410 (-954 (-569)))) |#1|)) (-15 -4435 ((-635 (-635 (-289 (-954 |#1|)))) (-635 (-289 (-410 (-954 (-569))))) |#1|)) (-15 -4435 ((-635 (-289 (-954 |#1|))) (-410 (-954 (-569))) |#1|)) (-15 -4435 ((-635 (-289 (-954 |#1|))) (-289 (-410 (-954 (-569)))) |#1|)) (-15 -2166 ((-635 (-635 |#1|)) (-635 (-410 (-954 (-569)))) (-635 (-1163)) |#1|)) (-15 -2166 ((-635 |#1|) (-410 (-954 (-569))) |#1|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#2| "failed") $) 25)) (-2428 ((|#2| $) 27)) (-4020 (($ $) NIL)) (-4244 (((-764) $) 10)) (-2086 (((-635 $) $) 20)) (-3523 (((-121) $) NIL)) (-4145 (($ |#2| |#1|) 18)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-1859 (((-635 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) 13)) (-3948 (((-2 (|:| |k| |#2|) (|:| |c| |#1|)) $) 14)) (-1804 ((|#2| $) 15)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 43) (($ |#2|) 26)) (-3382 (((-635 |#1|) $) 17)) (-1653 ((|#1| $ |#2|) 45)) (-3369 (($) 28 T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ |#1| $) 31) (($ $ |#1|) 32) (($ |#1| |#2|) 33) (($ |#2| |#1|) 34))) 
+(((-384 |#1| |#2|) (-13 (-385 |#1| |#2|) (-10 -8 (-15 * ($ |#2| |#1|)))) (-1048) (-843)) (T -384)) 
+((* (*1 *1 *2 *3) (-12 (-5 *1 (-384 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-843))))) 
+(-13 (-385 |#1| |#2|) (-10 -8 (-15 * ($ |#2| |#1|)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-1647 (((-3 |#2| "failed") $) 41)) (-2428 ((|#2| $) 40)) (-4020 (($ $) 27)) (-4244 (((-764) $) 31)) (-2086 (((-635 $) $) 32)) (-3523 (((-121) $) 35)) (-4145 (($ |#2| |#1|) 36)) (-1544 (($ (-1 |#1| |#1|) $) 37)) (-1859 (((-635 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) 34)) (-3948 (((-2 (|:| |k| |#2|) (|:| |c| |#1|)) $) 28)) (-1804 ((|#2| $) 30)) (-4012 ((|#1| $) 29)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ |#2|) 42)) (-3382 (((-635 |#1|) $) 33)) (-1653 ((|#1| $ |#2|) 38)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24) (($ |#1| |#2|) 39))) 
+(((-385 |#1| |#2|) (-1278) (-1048) (-1091)) (T -385)) 
+((* (*1 *1 *2 *3) (-12 (-4 *1 (-385 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-1091)))) (-1653 (*1 *2 *1 *3) (-12 (-4 *1 (-385 *2 *3)) (-4 *3 (-1091)) (-4 *2 (-1048)))) (-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-385 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1091)))) (-4145 (*1 *1 *2 *3) (-12 (-4 *1 (-385 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1091)))) (-3523 (*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1091)) (-5 *2 (-121)))) (-1859 (*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1091)) (-5 *2 (-635 (-2 (|:| |k| *4) (|:| |c| *3)))))) (-3382 (*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1091)) (-5 *2 (-635 *3)))) (-2086 (*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-1091)) (-5 *2 (-635 *1)) (-4 *1 (-385 *3 *4)))) (-4244 (*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1091)) (-5 *2 (-764)))) (-1804 (*1 *2 *1) (-12 (-4 *1 (-385 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1091)))) (-4012 (*1 *2 *1) (-12 (-4 *1 (-385 *2 *3)) (-4 *3 (-1091)) (-4 *2 (-1048)))) (-3948 (*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1091)) (-5 *2 (-2 (|:| |k| *4) (|:| |c| *3))))) (-4020 (*1 *1 *1) (-12 (-4 *1 (-385 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-1091))))) 
+(-13 (-120 |t#1| |t#1|) (-1038 |t#2|) (-10 -8 (-15 * ($ |t#1| |t#2|)) (-15 -1653 (|t#1| $ |t#2|)) (-15 -1544 ($ (-1 |t#1| |t#1|) $)) (-15 -4145 ($ |t#2| |t#1|)) (-15 -3523 ((-121) $)) (-15 -1859 ((-635 (-2 (|:| |k| |t#2|) (|:| |c| |t#1|))) $)) (-15 -3382 ((-635 |t#1|) $)) (-15 -2086 ((-635 $) $)) (-15 -4244 ((-764) $)) (-15 -1804 (|t#2| $)) (-15 -4012 (|t#1| $)) (-15 -3948 ((-2 (|:| |k| |t#2|) (|:| |c| |t#1|)) $)) (-15 -4020 ($ $)) (IF (|has| |t#1| (-173)) (-6 (-708 |t#1|)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#1|) . T) ((-708 |#1|) |has| |#1| (-173)) ((-1038 |#2|) . T) ((-1054 |#1|) . T) ((-1091) . T)) 
+((-3836 (((-1252) $) 7)) (-2185 (((-851) $) 8) (($ (-680 (-689))) 12) (($ (-635 (-329))) 11) (($ (-329)) 10) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 9))) 
+(((-386) (-1278)) (T -386)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-680 (-689))) (-4 *1 (-386)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-386)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-386)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) (-4 *1 (-386))))) 
+(-13 (-398) (-10 -8 (-15 -2185 ($ (-680 (-689)))) (-15 -2185 ($ (-635 (-329)))) (-15 -2185 ($ (-329))) (-15 -2185 ($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329)))))))) 
+(((-609 (-851)) . T) ((-398) . T) ((-1197) . T)) 
+((-1647 (((-3 $ "failed") (-680 (-311 (-382)))) 19) (((-3 $ "failed") (-680 (-311 (-569)))) 17) (((-3 $ "failed") (-680 (-954 (-382)))) 15) (((-3 $ "failed") (-680 (-954 (-569)))) 13) (((-3 $ "failed") (-680 (-410 (-954 (-382))))) 11) (((-3 $ "failed") (-680 (-410 (-954 (-569))))) 9)) (-2428 (($ (-680 (-311 (-382)))) 20) (($ (-680 (-311 (-569)))) 18) (($ (-680 (-954 (-382)))) 16) (($ (-680 (-954 (-569)))) 14) (($ (-680 (-410 (-954 (-382))))) 12) (($ (-680 (-410 (-954 (-569))))) 10)) (-3836 (((-1252) $) 7)) (-2185 (((-851) $) 8) (($ (-635 (-329))) 23) (($ (-329)) 22) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 21))) 
+(((-387) (-1278)) (T -387)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-387)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-387)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) (-4 *1 (-387)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-680 (-311 (-382)))) (-4 *1 (-387)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-680 (-311 (-382)))) (-4 *1 (-387)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-680 (-311 (-569)))) (-4 *1 (-387)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-680 (-311 (-569)))) (-4 *1 (-387)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-680 (-954 (-382)))) (-4 *1 (-387)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-680 (-954 (-382)))) (-4 *1 (-387)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-680 (-954 (-569)))) (-4 *1 (-387)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-680 (-954 (-569)))) (-4 *1 (-387)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-680 (-410 (-954 (-382))))) (-4 *1 (-387)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-680 (-410 (-954 (-382))))) (-4 *1 (-387)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-680 (-410 (-954 (-569))))) (-4 *1 (-387)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-680 (-410 (-954 (-569))))) (-4 *1 (-387))))) 
+(-13 (-398) (-10 -8 (-15 -2185 ($ (-635 (-329)))) (-15 -2185 ($ (-329))) (-15 -2185 ($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329)))))) (-15 -2428 ($ (-680 (-311 (-382))))) (-15 -1647 ((-3 $ "failed") (-680 (-311 (-382))))) (-15 -2428 ($ (-680 (-311 (-569))))) (-15 -1647 ((-3 $ "failed") (-680 (-311 (-569))))) (-15 -2428 ($ (-680 (-954 (-382))))) (-15 -1647 ((-3 $ "failed") (-680 (-954 (-382))))) (-15 -2428 ($ (-680 (-954 (-569))))) (-15 -1647 ((-3 $ "failed") (-680 (-954 (-569))))) (-15 -2428 ($ (-680 (-410 (-954 (-382)))))) (-15 -1647 ((-3 $ "failed") (-680 (-410 (-954 (-382)))))) (-15 -2428 ($ (-680 (-410 (-954 (-569)))))) (-15 -1647 ((-3 $ "failed") (-680 (-410 (-954 (-569)))))))) 
+(((-609 (-851)) . T) ((-398) . T) ((-1197) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-4020 (($ $) NIL)) (-1763 (($ |#1| |#2|) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-3885 ((|#2| $) NIL)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 27)) (-3369 (($) 12 T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ |#1| $) 16) (($ $ |#1|) 18))) 
+(((-388 |#1| |#2|) (-13 (-120 |#1| |#1|) (-519 |#1| |#2|) (-10 -7 (IF (|has| |#1| (-173)) (-6 (-708 |#1|)) |noBranch|))) (-1048) (-843)) (T -388)) 
+NIL 
+(-13 (-120 |#1| |#1|) (-519 |#1| |#2|) (-10 -7 (IF (|has| |#1| (-173)) (-6 (-708 |#1|)) |noBranch|))) 
+((-2568 (((-121) $ $) NIL)) (-2085 (((-764) $) 56)) (-2820 (($) NIL T CONST)) (-2123 (((-3 $ "failed") $ $) 58)) (-1647 (((-3 |#1| "failed") $) NIL)) (-2428 ((|#1| $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-3560 (((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $) 52)) (-1407 (((-121) $) 14)) (-3082 ((|#1| $ (-569)) NIL)) (-2248 (((-764) $ (-569)) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-4101 (($ (-1 |#1| |#1|) $) 37)) (-1599 (($ (-1 (-764) (-764)) $) 34)) (-3642 (((-3 $ "failed") $ $) 49)) (-2776 (((-1145) $) NIL)) (-2069 (($ $ $) 25)) (-1466 (($ $ $) 23)) (-3360 (((-1109) $) NIL)) (-1640 (((-635 (-2 (|:| |gen| |#1|) (|:| -2436 (-764)))) $) 31)) (-2609 (((-3 (-2 (|:| |lm| $) (|:| |rm| $)) "failed") $ $) 55)) (-2185 (((-851) $) 21) (($ |#1|) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-1556 (($) 9 T CONST)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) 41)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) 60 (|has| |#1| (-843)))) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ |#1| (-764)) 40)) (* (($ $ $) 47) (($ |#1| $) 29) (($ $ |#1|) 27))) 
+(((-389 |#1|) (-13 (-717) (-1038 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-764))) (-15 -1466 ($ $ $)) (-15 -2069 ($ $ $)) (-15 -3642 ((-3 $ "failed") $ $)) (-15 -2123 ((-3 $ "failed") $ $)) (-15 -2609 ((-3 (-2 (|:| |lm| $) (|:| |rm| $)) "failed") $ $)) (-15 -3560 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -2085 ((-764) $)) (-15 -1640 ((-635 (-2 (|:| |gen| |#1|) (|:| -2436 (-764)))) $)) (-15 -2248 ((-764) $ (-569))) (-15 -3082 (|#1| $ (-569))) (-15 -1599 ($ (-1 (-764) (-764)) $)) (-15 -4101 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-843)) (-6 (-843)) |noBranch|))) (-1091)) (T -389)) 
+((* (*1 *1 *2 *1) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1091)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1091)))) (** (*1 *1 *2 *3) (-12 (-5 *3 (-764)) (-5 *1 (-389 *2)) (-4 *2 (-1091)))) (-1466 (*1 *1 *1 *1) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1091)))) (-2069 (*1 *1 *1 *1) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1091)))) (-3642 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-389 *2)) (-4 *2 (-1091)))) (-2123 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-389 *2)) (-4 *2 (-1091)))) (-2609 (*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-389 *3)) (|:| |rm| (-389 *3)))) (-5 *1 (-389 *3)) (-4 *3 (-1091)))) (-3560 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-389 *3)) (|:| |mm| (-389 *3)) (|:| |rm| (-389 *3)))) (-5 *1 (-389 *3)) (-4 *3 (-1091)))) (-2085 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-389 *3)) (-4 *3 (-1091)))) (-1640 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -2436 (-764))))) (-5 *1 (-389 *3)) (-4 *3 (-1091)))) (-2248 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-764)) (-5 *1 (-389 *4)) (-4 *4 (-1091)))) (-3082 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-389 *2)) (-4 *2 (-1091)))) (-1599 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-764) (-764))) (-5 *1 (-389 *3)) (-4 *3 (-1091)))) (-4101 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-389 *3))))) 
+(-13 (-717) (-1038 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-764))) (-15 -1466 ($ $ $)) (-15 -2069 ($ $ $)) (-15 -3642 ((-3 $ "failed") $ $)) (-15 -2123 ((-3 $ "failed") $ $)) (-15 -2609 ((-3 (-2 (|:| |lm| $) (|:| |rm| $)) "failed") $ $)) (-15 -3560 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -2085 ((-764) $)) (-15 -1640 ((-635 (-2 (|:| |gen| |#1|) (|:| -2436 (-764)))) $)) (-15 -2248 ((-764) $ (-569))) (-15 -3082 (|#1| $ (-569))) (-15 -1599 ($ (-1 (-764) (-764)) $)) (-15 -4101 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-843)) (-6 (-843)) |noBranch|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-1647 (((-3 (-569) "failed") $) 46)) (-2428 (((-569) $) 45)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-3291 (($ $ $) 53)) (-1538 (($ $ $) 52)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2941 (((-3 $ "failed") $ $) 41)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-569)) 47)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1693 (((-121) $ $) 50)) (-1684 (((-121) $ $) 49)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 51)) (-1678 (((-121) $ $) 48)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-390) (-1278)) (T -390)) 
+NIL 
+(-13 (-559) (-843) (-1038 (-569))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-173) . T) ((-286) . T) ((-559) . T) ((-638 $) . T) ((-708 $) . T) ((-717) . T) ((-843) . T) ((-1038 (-569)) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3783 (((-121) $) 20)) (-3935 (((-121) $) 19)) (-2659 (($ (-1145) (-1145) (-1145)) 21)) (-1486 (((-1145) $) 16)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-3818 (($ (-1145) (-1145) (-1145)) 14)) (-1449 (((-1145) $) 17)) (-3170 (((-121) $) 18)) (-1766 (((-1145) $) 15)) (-2185 (((-851) $) 12) (($ (-1145)) 13) (((-1145) $) 9)) (-1668 (((-121) $ $) 7))) 
+(((-391) (-392)) (T -391)) 
+NIL 
+(-392) 
+((-2568 (((-121) $ $) 7)) (-3783 (((-121) $) 13)) (-3935 (((-121) $) 14)) (-2659 (($ (-1145) (-1145) (-1145)) 12)) (-1486 (((-1145) $) 17)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-3818 (($ (-1145) (-1145) (-1145)) 19)) (-1449 (((-1145) $) 16)) (-3170 (((-121) $) 15)) (-1766 (((-1145) $) 18)) (-2185 (((-851) $) 11) (($ (-1145)) 21) (((-1145) $) 20)) (-1668 (((-121) $ $) 6))) 
+(((-392) (-1278)) (T -392)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1145)) (-4 *1 (-392)))) (-2185 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1145)))) (-3818 (*1 *1 *2 *2 *2) (-12 (-5 *2 (-1145)) (-4 *1 (-392)))) (-1766 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1145)))) (-1486 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1145)))) (-1449 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1145)))) (-3170 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-121)))) (-3935 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-121)))) (-3783 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-121)))) (-2659 (*1 *1 *2 *2 *2) (-12 (-5 *2 (-1145)) (-4 *1 (-392))))) 
+(-13 (-1091) (-10 -8 (-15 -2185 ($ (-1145))) (-15 -2185 ((-1145) $)) (-15 -3818 ($ (-1145) (-1145) (-1145))) (-15 -1766 ((-1145) $)) (-15 -1486 ((-1145) $)) (-15 -1449 ((-1145) $)) (-15 -3170 ((-121) $)) (-15 -3935 ((-121) $)) (-15 -3783 ((-121) $)) (-15 -2659 ($ (-1145) (-1145) (-1145))))) 
+(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-4502 (((-851) $) 50)) (-2820 (($) NIL T CONST)) (-1628 (($ $ (-918)) NIL)) (-1851 (($ $ (-918)) NIL)) (-3272 (($ $ (-918)) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1809 (($ (-764)) 26)) (-2369 (((-764)) 15)) (-2876 (((-851) $) 52)) (-4293 (($ $ $) NIL)) (-2185 (((-851) $) NIL)) (-1383 (($ $ $ $) NIL)) (-4033 (($ $ $) NIL)) (-3369 (($) 20 T CONST)) (-1668 (((-121) $ $) 28)) (-1711 (($ $) 34) (($ $ $) 36)) (-1707 (($ $ $) 37)) (** (($ $ (-918)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 38) (($ $ |#3|) NIL) (($ |#3| $) 33))) 
+(((-393 |#1| |#2| |#3|) (-13 (-737 |#3|) (-10 -8 (-15 -2369 ((-764))) (-15 -2876 ((-851) $)) (-15 -4502 ((-851) $)) (-15 -1809 ($ (-764))))) (-764) (-764) (-173)) (T -393)) 
+((-2369 (*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-173)))) (-2876 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 (-764)) (-14 *4 (-764)) (-4 *5 (-173)))) (-4502 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 (-764)) (-14 *4 (-764)) (-4 *5 (-173)))) (-1809 (*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-173))))) 
+(-13 (-737 |#3|) (-10 -8 (-15 -2369 ((-764))) (-15 -2876 ((-851) $)) (-15 -4502 ((-851) $)) (-15 -1809 ($ (-764))))) 
+((-3607 (((-1145)) 10)) (-1541 (((-1133 (-1145))) 28)) (-3809 (((-1252) (-1145)) 25) (((-1252) (-391)) 24)) (-3824 (((-1252)) 26)) (-1587 (((-1133 (-1145))) 27))) 
+(((-394) (-10 -7 (-15 -1587 ((-1133 (-1145)))) (-15 -1541 ((-1133 (-1145)))) (-15 -3824 ((-1252))) (-15 -3809 ((-1252) (-391))) (-15 -3809 ((-1252) (-1145))) (-15 -3607 ((-1145))))) (T -394)) 
+((-3607 (*1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-394)))) (-3809 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-394)))) (-3809 (*1 *2 *3) (-12 (-5 *3 (-391)) (-5 *2 (-1252)) (-5 *1 (-394)))) (-3824 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-394)))) (-1541 (*1 *2) (-12 (-5 *2 (-1133 (-1145))) (-5 *1 (-394)))) (-1587 (*1 *2) (-12 (-5 *2 (-1133 (-1145))) (-5 *1 (-394))))) 
+(-10 -7 (-15 -1587 ((-1133 (-1145)))) (-15 -1541 ((-1133 (-1145)))) (-15 -3824 ((-1252))) (-15 -3809 ((-1252) (-391))) (-15 -3809 ((-1252) (-1145))) (-15 -3607 ((-1145)))) 
+((-2558 (((-764) (-335 |#1| |#2| |#3| |#4|)) 16))) 
+(((-395 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2558 ((-764) (-335 |#1| |#2| |#3| |#4|)))) (-13 (-371) (-366)) (-1222 |#1|) (-1222 (-410 |#2|)) (-341 |#1| |#2| |#3|)) (T -395)) 
+((-2558 (*1 *2 *3) (-12 (-5 *3 (-335 *4 *5 *6 *7)) (-4 *4 (-13 (-371) (-366))) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-4 *7 (-341 *4 *5 *6)) (-5 *2 (-764)) (-5 *1 (-395 *4 *5 *6 *7))))) 
+(-10 -7 (-15 -2558 ((-764) (-335 |#1| |#2| |#3| |#4|)))) 
+((-2185 (((-397) |#1|) 11))) 
+(((-396 |#1|) (-10 -7 (-15 -2185 ((-397) |#1|))) (-1091)) (T -396)) 
+((-2185 (*1 *2 *3) (-12 (-5 *2 (-397)) (-5 *1 (-396 *3)) (-4 *3 (-1091))))) 
+(-10 -7 (-15 -2185 ((-397) |#1|))) 
+((-2568 (((-121) $ $) NIL)) (-4085 (((-635 (-1145)) $ (-635 (-1145))) 37)) (-4238 (((-635 (-1145)) $ (-635 (-1145))) 38)) (-3481 (((-635 (-1145)) $ (-635 (-1145))) 39)) (-2039 (((-635 (-1145)) $) 34)) (-2659 (($) 23)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1831 (((-635 (-1145)) $) 35)) (-2834 (((-635 (-1145)) $) 36)) (-3615 (((-1252) $ (-569)) 32) (((-1252) $) 33)) (-3817 (($ (-851) (-569)) 29)) (-2185 (((-851) $) 41) (($ (-851)) 25)) (-1668 (((-121) $ $) NIL))) 
+(((-397) (-13 (-1091) (-10 -8 (-15 -2185 ($ (-851))) (-15 -3817 ($ (-851) (-569))) (-15 -3615 ((-1252) $ (-569))) (-15 -3615 ((-1252) $)) (-15 -2834 ((-635 (-1145)) $)) (-15 -1831 ((-635 (-1145)) $)) (-15 -2659 ($)) (-15 -2039 ((-635 (-1145)) $)) (-15 -3481 ((-635 (-1145)) $ (-635 (-1145)))) (-15 -4238 ((-635 (-1145)) $ (-635 (-1145)))) (-15 -4085 ((-635 (-1145)) $ (-635 (-1145))))))) (T -397)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-851)) (-5 *1 (-397)))) (-3817 (*1 *1 *2 *3) (-12 (-5 *2 (-851)) (-5 *3 (-569)) (-5 *1 (-397)))) (-3615 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-397)))) (-3615 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-397)))) (-2834 (*1 *2 *1) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-397)))) (-1831 (*1 *2 *1) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-397)))) (-2659 (*1 *1) (-5 *1 (-397))) (-2039 (*1 *2 *1) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-397)))) (-3481 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-397)))) (-4238 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-397)))) (-4085 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-397))))) 
+(-13 (-1091) (-10 -8 (-15 -2185 ($ (-851))) (-15 -3817 ($ (-851) (-569))) (-15 -3615 ((-1252) $ (-569))) (-15 -3615 ((-1252) $)) (-15 -2834 ((-635 (-1145)) $)) (-15 -1831 ((-635 (-1145)) $)) (-15 -2659 ($)) (-15 -2039 ((-635 (-1145)) $)) (-15 -3481 ((-635 (-1145)) $ (-635 (-1145)))) (-15 -4238 ((-635 (-1145)) $ (-635 (-1145)))) (-15 -4085 ((-635 (-1145)) $ (-635 (-1145)))))) 
+((-3836 (((-1252) $) 7)) (-2185 (((-851) $) 8))) 
+(((-398) (-1278)) (T -398)) 
+((-3836 (*1 *2 *1) (-12 (-4 *1 (-398)) (-5 *2 (-1252))))) 
+(-13 (-1197) (-609 (-851)) (-10 -8 (-15 -3836 ((-1252) $)))) 
+(((-609 (-851)) . T) ((-1197) . T)) 
+((-1647 (((-3 $ "failed") (-311 (-382))) 19) (((-3 $ "failed") (-311 (-569))) 17) (((-3 $ "failed") (-954 (-382))) 15) (((-3 $ "failed") (-954 (-569))) 13) (((-3 $ "failed") (-410 (-954 (-382)))) 11) (((-3 $ "failed") (-410 (-954 (-569)))) 9)) (-2428 (($ (-311 (-382))) 20) (($ (-311 (-569))) 18) (($ (-954 (-382))) 16) (($ (-954 (-569))) 14) (($ (-410 (-954 (-382)))) 12) (($ (-410 (-954 (-569)))) 10)) (-3836 (((-1252) $) 7)) (-2185 (((-851) $) 8) (($ (-635 (-329))) 23) (($ (-329)) 22) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 21))) 
+(((-399) (-1278)) (T -399)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-399)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-399)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) (-4 *1 (-399)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-4 *1 (-399)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-382))) (-4 *1 (-399)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-4 *1 (-399)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-569))) (-4 *1 (-399)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-954 (-382))) (-4 *1 (-399)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-954 (-382))) (-4 *1 (-399)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-954 (-569))) (-4 *1 (-399)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-954 (-569))) (-4 *1 (-399)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-410 (-954 (-382)))) (-4 *1 (-399)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-954 (-382)))) (-4 *1 (-399)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-410 (-954 (-569)))) (-4 *1 (-399)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-954 (-569)))) (-4 *1 (-399))))) 
+(-13 (-398) (-10 -8 (-15 -2185 ($ (-635 (-329)))) (-15 -2185 ($ (-329))) (-15 -2185 ($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329)))))) (-15 -2428 ($ (-311 (-382)))) (-15 -1647 ((-3 $ "failed") (-311 (-382)))) (-15 -2428 ($ (-311 (-569)))) (-15 -1647 ((-3 $ "failed") (-311 (-569)))) (-15 -2428 ($ (-954 (-382)))) (-15 -1647 ((-3 $ "failed") (-954 (-382)))) (-15 -2428 ($ (-954 (-569)))) (-15 -1647 ((-3 $ "failed") (-954 (-569)))) (-15 -2428 ($ (-410 (-954 (-382))))) (-15 -1647 ((-3 $ "failed") (-410 (-954 (-382))))) (-15 -2428 ($ (-410 (-954 (-569))))) (-15 -1647 ((-3 $ "failed") (-410 (-954 (-569))))))) 
+(((-609 (-851)) . T) ((-398) . T) ((-1197) . T)) 
+((-2429 (((-635 (-1145)) (-635 (-1145))) 8)) (-3836 (((-1252) (-391)) 27)) (-3890 (((-1095) (-1163) (-635 (-1163)) (-1166) (-635 (-1163))) 59) (((-1095) (-1163) (-635 (-3 (|:| |array| (-635 (-1163))) (|:| |scalar| (-1163)))) (-635 (-635 (-3 (|:| |array| (-635 (-1163))) (|:| |scalar| (-1163))))) (-635 (-1163)) (-1163)) 35) (((-1095) (-1163) (-635 (-3 (|:| |array| (-635 (-1163))) (|:| |scalar| (-1163)))) (-635 (-635 (-3 (|:| |array| (-635 (-1163))) (|:| |scalar| (-1163))))) (-635 (-1163))) 34))) 
+(((-400) (-10 -7 (-15 -3890 ((-1095) (-1163) (-635 (-3 (|:| |array| (-635 (-1163))) (|:| |scalar| (-1163)))) (-635 (-635 (-3 (|:| |array| (-635 (-1163))) (|:| |scalar| (-1163))))) (-635 (-1163)))) (-15 -3890 ((-1095) (-1163) (-635 (-3 (|:| |array| (-635 (-1163))) (|:| |scalar| (-1163)))) (-635 (-635 (-3 (|:| |array| (-635 (-1163))) (|:| |scalar| (-1163))))) (-635 (-1163)) (-1163))) (-15 -3890 ((-1095) (-1163) (-635 (-1163)) (-1166) (-635 (-1163)))) (-15 -3836 ((-1252) (-391))) (-15 -2429 ((-635 (-1145)) (-635 (-1145)))))) (T -400)) 
+((-2429 (*1 *2 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-400)))) (-3836 (*1 *2 *3) (-12 (-5 *3 (-391)) (-5 *2 (-1252)) (-5 *1 (-400)))) (-3890 (*1 *2 *3 *4 *5 *4) (-12 (-5 *4 (-635 (-1163))) (-5 *5 (-1166)) (-5 *3 (-1163)) (-5 *2 (-1095)) (-5 *1 (-400)))) (-3890 (*1 *2 *3 *4 *5 *6 *3) (-12 (-5 *5 (-635 (-635 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-635 (-3 (|:| |array| (-635 *3)) (|:| |scalar| (-1163))))) (-5 *6 (-635 (-1163))) (-5 *3 (-1163)) (-5 *2 (-1095)) (-5 *1 (-400)))) (-3890 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-635 (-635 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-635 (-3 (|:| |array| (-635 *3)) (|:| |scalar| (-1163))))) (-5 *6 (-635 (-1163))) (-5 *3 (-1163)) (-5 *2 (-1095)) (-5 *1 (-400))))) 
+(-10 -7 (-15 -3890 ((-1095) (-1163) (-635 (-3 (|:| |array| (-635 (-1163))) (|:| |scalar| (-1163)))) (-635 (-635 (-3 (|:| |array| (-635 (-1163))) (|:| |scalar| (-1163))))) (-635 (-1163)))) (-15 -3890 ((-1095) (-1163) (-635 (-3 (|:| |array| (-635 (-1163))) (|:| |scalar| (-1163)))) (-635 (-635 (-3 (|:| |array| (-635 (-1163))) (|:| |scalar| (-1163))))) (-635 (-1163)) (-1163))) (-15 -3890 ((-1095) (-1163) (-635 (-1163)) (-1166) (-635 (-1163)))) (-15 -3836 ((-1252) (-391))) (-15 -2429 ((-635 (-1145)) (-635 (-1145))))) 
+((-3836 (((-1252) $) 37)) (-2185 (((-851) $) 89) (($ (-329)) 92) (($ (-635 (-329))) 91) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 88) (($ (-311 (-691))) 52) (($ (-311 (-689))) 66) (($ (-311 (-684))) 78) (($ (-289 (-311 (-691)))) 62) (($ (-289 (-311 (-689)))) 74) (($ (-289 (-311 (-684)))) 86) (($ (-311 (-569))) 96) (($ (-311 (-382))) 108) (($ (-311 (-170 (-382)))) 120) (($ (-289 (-311 (-569)))) 104) (($ (-289 (-311 (-382)))) 116) (($ (-289 (-311 (-170 (-382))))) 128))) 
+(((-401 |#1| |#2| |#3| |#4|) (-13 (-398) (-10 -8 (-15 -2185 ($ (-329))) (-15 -2185 ($ (-635 (-329)))) (-15 -2185 ($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329)))))) (-15 -2185 ($ (-311 (-691)))) (-15 -2185 ($ (-311 (-689)))) (-15 -2185 ($ (-311 (-684)))) (-15 -2185 ($ (-289 (-311 (-691))))) (-15 -2185 ($ (-289 (-311 (-689))))) (-15 -2185 ($ (-289 (-311 (-684))))) (-15 -2185 ($ (-311 (-569)))) (-15 -2185 ($ (-311 (-382)))) (-15 -2185 ($ (-311 (-170 (-382))))) (-15 -2185 ($ (-289 (-311 (-569))))) (-15 -2185 ($ (-289 (-311 (-382))))) (-15 -2185 ($ (-289 (-311 (-170 (-382)))))))) (-1163) (-3 (|:| |fst| (-437)) (|:| -1861 "void")) (-635 (-1163)) (-1167)) (T -401)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-329)) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-311 (-691))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-311 (-689))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-311 (-684))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-691)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-689)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-684)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-311 (-170 (-382)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-569)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-382)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-170 (-382))))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167))))) 
+(-13 (-398) (-10 -8 (-15 -2185 ($ (-329))) (-15 -2185 ($ (-635 (-329)))) (-15 -2185 ($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329)))))) (-15 -2185 ($ (-311 (-691)))) (-15 -2185 ($ (-311 (-689)))) (-15 -2185 ($ (-311 (-684)))) (-15 -2185 ($ (-289 (-311 (-691))))) (-15 -2185 ($ (-289 (-311 (-689))))) (-15 -2185 ($ (-289 (-311 (-684))))) (-15 -2185 ($ (-311 (-569)))) (-15 -2185 ($ (-311 (-382)))) (-15 -2185 ($ (-311 (-170 (-382))))) (-15 -2185 ($ (-289 (-311 (-569))))) (-15 -2185 ($ (-289 (-311 (-382))))) (-15 -2185 ($ (-289 (-311 (-170 (-382)))))))) 
+((-2568 (((-121) $ $) NIL)) (-4172 ((|#2| $) 36)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-3910 (($ (-410 |#2|)) 84)) (-3815 (((-635 (-2 (|:| -2356 (-764)) (|:| -4030 |#2|) (|:| |num| |#2|))) $) 37)) (-3899 (($ $) 32) (($ $ (-764)) 34)) (-3817 (((-410 |#2|) $) 46)) (-2139 (($ (-635 (-2 (|:| -2356 (-764)) (|:| -4030 |#2|) (|:| |num| |#2|)))) 31)) (-2185 (((-851) $) 120)) (-3022 (($ $) 33) (($ $ (-764)) 35)) (-1668 (((-121) $ $) NIL)) (-1707 (($ |#2| $) 39))) 
+(((-402 |#1| |#2|) (-13 (-1091) (-610 (-410 |#2|)) (-10 -8 (-15 -1707 ($ |#2| $)) (-15 -3910 ($ (-410 |#2|))) (-15 -4172 (|#2| $)) (-15 -3815 ((-635 (-2 (|:| -2356 (-764)) (|:| -4030 |#2|) (|:| |num| |#2|))) $)) (-15 -2139 ($ (-635 (-2 (|:| -2356 (-764)) (|:| -4030 |#2|) (|:| |num| |#2|))))) (-15 -3899 ($ $)) (-15 -3022 ($ $)) (-15 -3899 ($ $ (-764))) (-15 -3022 ($ $ (-764))))) (-13 (-366) (-151)) (-1222 |#1|)) (T -402)) 
+((-1707 (*1 *1 *2 *1) (-12 (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *2)) (-4 *2 (-1222 *3)))) (-3910 (*1 *1 *2) (-12 (-5 *2 (-410 *4)) (-4 *4 (-1222 *3)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)))) (-4172 (*1 *2 *1) (-12 (-4 *2 (-1222 *3)) (-5 *1 (-402 *3 *2)) (-4 *3 (-13 (-366) (-151))))) (-3815 (*1 *2 *1) (-12 (-4 *3 (-13 (-366) (-151))) (-5 *2 (-635 (-2 (|:| -2356 (-764)) (|:| -4030 *4) (|:| |num| *4)))) (-5 *1 (-402 *3 *4)) (-4 *4 (-1222 *3)))) (-2139 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -2356 (-764)) (|:| -4030 *4) (|:| |num| *4)))) (-4 *4 (-1222 *3)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)))) (-3899 (*1 *1 *1) (-12 (-4 *2 (-13 (-366) (-151))) (-5 *1 (-402 *2 *3)) (-4 *3 (-1222 *2)))) (-3022 (*1 *1 *1) (-12 (-4 *2 (-13 (-366) (-151))) (-5 *1 (-402 *2 *3)) (-4 *3 (-1222 *2)))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)) (-4 *4 (-1222 *3)))) (-3022 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)) (-4 *4 (-1222 *3))))) 
+(-13 (-1091) (-610 (-410 |#2|)) (-10 -8 (-15 -1707 ($ |#2| $)) (-15 -3910 ($ (-410 |#2|))) (-15 -4172 (|#2| $)) (-15 -3815 ((-635 (-2 (|:| -2356 (-764)) (|:| -4030 |#2|) (|:| |num| |#2|))) $)) (-15 -2139 ($ (-635 (-2 (|:| -2356 (-764)) (|:| -4030 |#2|) (|:| |num| |#2|))))) (-15 -3899 ($ $)) (-15 -3022 ($ $)) (-15 -3899 ($ $ (-764))) (-15 -3022 ($ $ (-764))))) 
+((-2568 (((-121) $ $) 9 (-2232 (|has| |#1| (-882 (-569))) (|has| |#1| (-882 (-382)))))) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 15 (|has| |#1| (-882 (-382)))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 14 (|has| |#1| (-882 (-569))))) (-2776 (((-1145) $) 13 (-2232 (|has| |#1| (-882 (-569))) (|has| |#1| (-882 (-382)))))) (-3360 (((-1109) $) 12 (-2232 (|has| |#1| (-882 (-569))) (|has| |#1| (-882 (-382)))))) (-2185 (((-851) $) 11 (-2232 (|has| |#1| (-882 (-569))) (|has| |#1| (-882 (-382)))))) (-1668 (((-121) $ $) 10 (-2232 (|has| |#1| (-882 (-569))) (|has| |#1| (-882 (-382))))))) 
+(((-403 |#1|) (-1278) (-1197)) (T -403)) 
+NIL 
+(-13 (-1197) (-10 -7 (IF (|has| |t#1| (-882 (-569))) (-6 (-882 (-569))) |noBranch|) (IF (|has| |t#1| (-882 (-382))) (-6 (-882 (-382))) |noBranch|))) 
+(((-105) -2232 (|has| |#1| (-882 (-569))) (|has| |#1| (-882 (-382)))) ((-609 (-851)) -2232 (|has| |#1| (-882 (-569))) (|has| |#1| (-882 (-382)))) ((-882 (-382)) |has| |#1| (-882 (-382))) ((-882 (-569)) |has| |#1| (-882 (-569))) ((-1091) -2232 (|has| |#1| (-882 (-569))) (|has| |#1| (-882 (-382)))) ((-1197) . T)) 
+((-2751 (($ $) 10) (($ $ (-764)) 11))) 
+(((-404 |#1|) (-10 -8 (-15 -2751 (|#1| |#1| (-764))) (-15 -2751 (|#1| |#1|))) (-405)) (T -404)) 
+NIL 
+(-10 -8 (-15 -2751 (|#1| |#1| (-764))) (-15 -2751 (|#1| |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-3934 (((-121) $ $) 57)) (-2820 (($) 16 T CONST)) (-2506 (($ $ $) 53)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-2751 (($ $) 75) (($ $ (-764)) 74)) (-3726 (((-121) $) 69)) (-2558 (((-829 (-918)) $) 77)) (-1407 (((-121) $) 30)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-1743 (((-421 $) $) 72)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-1291 (((-3 (-764) "failed") $ $) 76)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63)) (-3953 (((-3 $ "failed") $) 78)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 62)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
+(((-405) (-1278)) (T -405)) 
+((-2558 (*1 *2 *1) (-12 (-4 *1 (-405)) (-5 *2 (-829 (-918))))) (-1291 (*1 *2 *1 *1) (|partial| -12 (-4 *1 (-405)) (-5 *2 (-764)))) (-2751 (*1 *1 *1) (-4 *1 (-405))) (-2751 (*1 *1 *1 *2) (-12 (-4 *1 (-405)) (-5 *2 (-764))))) 
+(-13 (-366) (-149) (-10 -8 (-15 -2558 ((-829 (-918)) $)) (-15 -1291 ((-3 (-764) "failed") $ $)) (-15 -2751 ($ $)) (-15 -2751 ($ $ (-764))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-149) . T) ((-609 (-851)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 $) . T) ((-717) . T) ((-917) . T) ((-1054 (-410 (-569))) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) . T)) 
+((-2215 (($ (-569) (-569)) 11) (($ (-569) (-569) (-918)) NIL)) (-2855 (((-918)) 16) (((-918) (-918)) NIL))) 
+(((-406 |#1|) (-10 -8 (-15 -2855 ((-918) (-918))) (-15 -2855 ((-918))) (-15 -2215 (|#1| (-569) (-569) (-918))) (-15 -2215 (|#1| (-569) (-569)))) (-407)) (T -406)) 
+((-2855 (*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-406 *3)) (-4 *3 (-407)))) (-2855 (*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-406 *3)) (-4 *3 (-407))))) 
+(-10 -8 (-15 -2855 ((-918) (-918))) (-15 -2855 ((-918))) (-15 -2215 (|#1| (-569) (-569) (-918))) (-15 -2215 (|#1| (-569) (-569)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-3761 (((-569) $) 85)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-3136 (($ $) 83)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-2454 (($ $) 93)) (-3934 (((-121) $ $) 57)) (-3638 (((-569) $) 110)) (-2820 (($) 16 T CONST)) (-1847 (($ $) 82)) (-1647 (((-3 (-569) "failed") $) 98) (((-3 (-410 (-569)) "failed") $) 95)) (-2428 (((-569) $) 97) (((-410 (-569)) $) 94)) (-2506 (($ $ $) 53)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-3726 (((-121) $) 69)) (-1732 (((-918)) 119) (((-918) (-918)) 116 (|has| $ (-6 -4526)))) (-2403 (((-121) $) 108)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 89)) (-2558 (((-569) $) 125)) (-1407 (((-121) $) 30)) (-4344 (($ $ (-569)) 92)) (-4308 (($ $) 88)) (-1781 (((-121) $) 109)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-3291 (($ $ $) 107) (($) 113 (-12 (-3864 (|has| $ (-6 -4526))) (-3864 (|has| $ (-6 -4518)))))) (-1538 (($ $ $) 106) (($) 112 (-12 (-3864 (|has| $ (-6 -4526))) (-3864 (|has| $ (-6 -4518)))))) (-1554 (((-569) $) 122)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-2925 (((-918) (-569)) 115 (|has| $ (-6 -4526)))) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-1346 (($ $) 84)) (-2942 (($ $) 86)) (-2215 (($ (-569) (-569)) 127) (($ (-569) (-569) (-918)) 126)) (-1743 (((-421 $) $) 72)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2356 (((-569) $) 123)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-2855 (((-918)) 120) (((-918) (-918)) 117 (|has| $ (-6 -4526)))) (-4432 (((-918) (-569)) 114 (|has| $ (-6 -4526)))) (-3817 (((-382) $) 101) (((-216) $) 100) (((-888 (-382)) $) 90)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ (-569)) 99) (($ (-410 (-569))) 96)) (-1991 (((-764)) 28)) (-2612 (($ $) 87)) (-2970 (((-918)) 121) (((-918) (-918)) 118 (|has| $ (-6 -4526)))) (-1475 (((-918)) 124)) (-1961 (((-121) $ $) 38)) (-1616 (($ $) 111)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1693 (((-121) $ $) 104)) (-1684 (((-121) $ $) 103)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 105)) (-1678 (((-121) $ $) 102)) (-1715 (($ $ $) 62)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66) (($ $ (-410 (-569))) 91)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
+(((-407) (-1278)) (T -407)) 
+((-2215 (*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-407)))) (-2215 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-569)) (-5 *3 (-918)) (-4 *1 (-407)))) (-2558 (*1 *2 *1) (-12 (-4 *1 (-407)) (-5 *2 (-569)))) (-1475 (*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-918)))) (-2356 (*1 *2 *1) (-12 (-4 *1 (-407)) (-5 *2 (-569)))) (-1554 (*1 *2 *1) (-12 (-4 *1 (-407)) (-5 *2 (-569)))) (-2970 (*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-918)))) (-2855 (*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-918)))) (-1732 (*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-918)))) (-2970 (*1 *2 *2) (-12 (-5 *2 (-918)) (|has| *1 (-6 -4526)) (-4 *1 (-407)))) (-2855 (*1 *2 *2) (-12 (-5 *2 (-918)) (|has| *1 (-6 -4526)) (-4 *1 (-407)))) (-1732 (*1 *2 *2) (-12 (-5 *2 (-918)) (|has| *1 (-6 -4526)) (-4 *1 (-407)))) (-2925 (*1 *2 *3) (-12 (-5 *3 (-569)) (|has| *1 (-6 -4526)) (-4 *1 (-407)) (-5 *2 (-918)))) (-4432 (*1 *2 *3) (-12 (-5 *3 (-569)) (|has| *1 (-6 -4526)) (-4 *1 (-407)) (-5 *2 (-918)))) (-3291 (*1 *1) (-12 (-4 *1 (-407)) (-3864 (|has| *1 (-6 -4526))) (-3864 (|has| *1 (-6 -4518))))) (-1538 (*1 *1) (-12 (-4 *1 (-407)) (-3864 (|has| *1 (-6 -4526))) (-3864 (|has| *1 (-6 -4518)))))) 
+(-13 (-1057) (-10 -8 (-6 -2994) (-15 -2215 ($ (-569) (-569))) (-15 -2215 ($ (-569) (-569) (-918))) (-15 -2558 ((-569) $)) (-15 -1475 ((-918))) (-15 -2356 ((-569) $)) (-15 -1554 ((-569) $)) (-15 -2970 ((-918))) (-15 -2855 ((-918))) (-15 -1732 ((-918))) (IF (|has| $ (-6 -4526)) (PROGN (-15 -2970 ((-918) (-918))) (-15 -2855 ((-918) (-918))) (-15 -1732 ((-918) (-918))) (-15 -2925 ((-918) (-569))) (-15 -4432 ((-918) (-569)))) |noBranch|) (IF (|has| $ (-6 -4518)) |noBranch| (IF (|has| $ (-6 -4526)) |noBranch| (PROGN (-15 -3291 ($)) (-15 -1538 ($))))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-151) . T) ((-609 (-851)) . T) ((-173) . T) ((-610 (-216)) . T) ((-610 (-382)) . T) ((-610 (-888 (-382))) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 $) . T) ((-717) . T) ((-787) . T) ((-788) . T) ((-790) . T) ((-791) . T) ((-841) . T) ((-843) . T) ((-882 (-382)) . T) ((-917) . T) ((-1003) . T) ((-1022) . T) ((-1057) . T) ((-1038 (-410 (-569))) . T) ((-1038 (-569)) . T) ((-1054 (-410 (-569))) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) . T)) 
+((-1544 (((-421 |#2|) (-1 |#2| |#1|) (-421 |#1|)) 20))) 
+(((-408 |#1| |#2|) (-10 -7 (-15 -1544 ((-421 |#2|) (-1 |#2| |#1|) (-421 |#1|)))) (-559) (-559)) (T -408)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-421 *5)) (-4 *5 (-559)) (-4 *6 (-559)) (-5 *2 (-421 *6)) (-5 *1 (-408 *5 *6))))) 
+(-10 -7 (-15 -1544 ((-421 |#2|) (-1 |#2| |#1|) (-421 |#1|)))) 
+((-1544 (((-410 |#2|) (-1 |#2| |#1|) (-410 |#1|)) 13))) 
+(((-409 |#1| |#2|) (-10 -7 (-15 -1544 ((-410 |#2|) (-1 |#2| |#1|) (-410 |#1|)))) (-559) (-559)) (T -409)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-410 *5)) (-4 *5 (-559)) (-4 *6 (-559)) (-5 *2 (-410 *6)) (-5 *1 (-409 *5 *6))))) 
+(-10 -7 (-15 -1544 ((-410 |#2|) (-1 |#2| |#1|) (-410 |#1|)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 13)) (-3761 ((|#1| $) 21 (|has| |#1| (-302)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL (|has| |#1| (-816)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) 17) (((-3 (-1163) "failed") $) NIL (|has| |#1| (-1038 (-1163)))) (((-3 (-410 (-569)) "failed") $) 70 (|has| |#1| (-1038 (-569)))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569))))) (-2428 ((|#1| $) 15) (((-1163) $) NIL (|has| |#1| (-1038 (-1163)))) (((-410 (-569)) $) 67 (|has| |#1| (-1038 (-569)))) (((-569) $) NIL (|has| |#1| (-1038 (-569))))) (-2506 (($ $ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) NIL) (((-680 |#1|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) 50)) (-4327 (($) NIL (|has| |#1| (-551)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-2403 (((-121) $) NIL (|has| |#1| (-816)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (|has| |#1| (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (|has| |#1| (-882 (-382))))) (-1407 (((-121) $) 64)) (-4052 (($ $) NIL)) (-4116 ((|#1| $) 71)) (-3846 (((-3 $ "failed") $) NIL (|has| |#1| (-1137)))) (-1781 (((-121) $) NIL (|has| |#1| (-816)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| |#1| (-1137)) CONST)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 97)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1346 (($ $) NIL (|has| |#1| (-302)))) (-2942 ((|#1| $) 28 (|has| |#1| (-551)))) (-1721 (((-421 (-1159 $)) (-1159 $)) 133 (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) 129 (|has| |#1| (-905)))) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1468 (($ $ (-635 |#1|) (-635 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1163)) (-635 |#1|)) NIL (|has| |#1| (-524 (-1163) |#1|))) (($ $ (-1163) |#1|) NIL (|has| |#1| (-524 (-1163) |#1|)))) (-2622 (((-764) $) NIL)) (-1534 (($ $ |#1|) NIL (|has| |#1| (-282 |#1| |#1|)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3899 (($ $) NIL (|has| |#1| (-226))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) 63)) (-4214 (($ $) NIL)) (-4121 ((|#1| $) 73)) (-3817 (((-888 (-569)) $) NIL (|has| |#1| (-610 (-888 (-569))))) (((-888 (-382)) $) NIL (|has| |#1| (-610 (-888 (-382))))) (((-542) $) NIL (|has| |#1| (-610 (-542)))) (((-382) $) NIL (|has| |#1| (-1022))) (((-216) $) NIL (|has| |#1| (-1022)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 113 (-12 (|has| $ (-149)) (|has| |#1| (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 10) (($ (-1163)) NIL (|has| |#1| (-1038 (-1163))))) (-3953 (((-3 $ "failed") $) 99 (-2232 (-12 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) 100)) (-2612 ((|#1| $) 26 (|has| |#1| (-551)))) (-1961 (((-121) $ $) NIL)) (-1616 (($ $) NIL (|has| |#1| (-816)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 22 T CONST)) (-1556 (($) 8 T CONST)) (-1940 (((-1145) $) 43 (-12 (|has| |#1| (-551)) (|has| |#1| (-824)))) (((-1145) $ (-121)) 44 (-12 (|has| |#1| (-551)) (|has| |#1| (-824)))) (((-1252) (-818) $) 45 (-12 (|has| |#1| (-551)) (|has| |#1| (-824)))) (((-1252) (-818) $ (-121)) 46 (-12 (|has| |#1| (-551)) (|has| |#1| (-824))))) (-3022 (($ $) NIL (|has| |#1| (-226))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) 56)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) 24 (|has| |#1| (-843)))) (-1715 (($ $ $) 124) (($ |#1| |#1|) 52)) (-1711 (($ $) 25) (($ $ $) 55)) (-1707 (($ $ $) 53)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) 123)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 60) (($ $ $) 57) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ |#1| $) 61) (($ $ |#1|) 85))) 
+(((-410 |#1|) (-13 (-994 |#1|) (-10 -7 (IF (|has| |#1| (-551)) (IF (|has| |#1| (-824)) (-6 (-824)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4522)) (IF (|has| |#1| (-454)) (IF (|has| |#1| (-6 -4533)) (-6 -4522) |noBranch|) |noBranch|) |noBranch|))) (-559)) (T -410)) 
+NIL 
+(-13 (-994 |#1|) (-10 -7 (IF (|has| |#1| (-551)) (IF (|has| |#1| (-824)) (-6 (-824)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4522)) (IF (|has| |#1| (-454)) (IF (|has| |#1| (-6 -4533)) (-6 -4522) |noBranch|) |noBranch|) |noBranch|))) 
+((-3294 (((-680 |#2|) (-1247 $)) NIL) (((-680 |#2|)) 18)) (-2623 (($ (-1247 |#2|) (-1247 $)) NIL) (($ (-1247 |#2|)) 26)) (-3325 (((-680 |#2|) $ (-1247 $)) NIL) (((-680 |#2|) $) 22)) (-2770 ((|#3| $) 59)) (-2087 ((|#2| (-1247 $)) NIL) ((|#2|) 20)) (-1648 (((-1247 |#2|) $ (-1247 $)) NIL) (((-680 |#2|) (-1247 $) (-1247 $)) NIL) (((-1247 |#2|) $) NIL) (((-680 |#2|) (-1247 $)) 24)) (-3817 (((-1247 |#2|) $) 11) (($ (-1247 |#2|)) 13)) (-2742 ((|#3| $) 51))) 
+(((-411 |#1| |#2| |#3|) (-10 -8 (-15 -3325 ((-680 |#2|) |#1|)) (-15 -2087 (|#2|)) (-15 -3294 ((-680 |#2|))) (-15 -3817 (|#1| (-1247 |#2|))) (-15 -3817 ((-1247 |#2|) |#1|)) (-15 -2623 (|#1| (-1247 |#2|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1|)) (-15 -2770 (|#3| |#1|)) (-15 -2742 (|#3| |#1|)) (-15 -3294 ((-680 |#2|) (-1247 |#1|))) (-15 -2087 (|#2| (-1247 |#1|))) (-15 -2623 (|#1| (-1247 |#2|) (-1247 |#1|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1| (-1247 |#1|))) (-15 -3325 ((-680 |#2|) |#1| (-1247 |#1|)))) (-412 |#2| |#3|) (-173) (-1222 |#2|)) (T -411)) 
+((-3294 (*1 *2) (-12 (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-680 *4)) (-5 *1 (-411 *3 *4 *5)) (-4 *3 (-412 *4 *5)))) (-2087 (*1 *2) (-12 (-4 *4 (-1222 *2)) (-4 *2 (-173)) (-5 *1 (-411 *3 *2 *4)) (-4 *3 (-412 *2 *4))))) 
+(-10 -8 (-15 -3325 ((-680 |#2|) |#1|)) (-15 -2087 (|#2|)) (-15 -3294 ((-680 |#2|))) (-15 -3817 (|#1| (-1247 |#2|))) (-15 -3817 ((-1247 |#2|) |#1|)) (-15 -2623 (|#1| (-1247 |#2|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1|)) (-15 -2770 (|#3| |#1|)) (-15 -2742 (|#3| |#1|)) (-15 -3294 ((-680 |#2|) (-1247 |#1|))) (-15 -2087 (|#2| (-1247 |#1|))) (-15 -2623 (|#1| (-1247 |#2|) (-1247 |#1|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1| (-1247 |#1|))) (-15 -3325 ((-680 |#2|) |#1| (-1247 |#1|)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-3294 (((-680 |#1|) (-1247 $)) 44) (((-680 |#1|)) 55)) (-1377 ((|#1| $) 50)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2623 (($ (-1247 |#1|) (-1247 $)) 46) (($ (-1247 |#1|)) 58)) (-3325 (((-680 |#1|) $ (-1247 $)) 51) (((-680 |#1|) $) 53)) (-3428 (((-3 $ "failed") $) 33)) (-1321 (((-918)) 52)) (-1407 (((-121) $) 30)) (-4308 ((|#1| $) 49)) (-2770 ((|#2| $) 42 (|has| |#1| (-366)))) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2087 ((|#1| (-1247 $)) 45) ((|#1|) 54)) (-1648 (((-1247 |#1|) $ (-1247 $)) 48) (((-680 |#1|) (-1247 $) (-1247 $)) 47) (((-1247 |#1|) $) 60) (((-680 |#1|) (-1247 $)) 59)) (-3817 (((-1247 |#1|) $) 57) (($ (-1247 |#1|)) 56)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 36)) (-3953 (((-3 $ "failed") $) 41 (|has| |#1| (-149)))) (-2742 ((|#2| $) 43)) (-1991 (((-764)) 28)) (-3930 (((-1247 $)) 61)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
+(((-412 |#1| |#2|) (-1278) (-173) (-1222 |t#1|)) (T -412)) 
+((-3930 (*1 *2) (-12 (-4 *3 (-173)) (-4 *4 (-1222 *3)) (-5 *2 (-1247 *1)) (-4 *1 (-412 *3 *4)))) (-1648 (*1 *2 *1) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1222 *3)) (-5 *2 (-1247 *3)))) (-1648 (*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-412 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-680 *4)))) (-2623 (*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-173)) (-4 *1 (-412 *3 *4)) (-4 *4 (-1222 *3)))) (-3817 (*1 *2 *1) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1222 *3)) (-5 *2 (-1247 *3)))) (-3817 (*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-173)) (-4 *1 (-412 *3 *4)) (-4 *4 (-1222 *3)))) (-3294 (*1 *2) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1222 *3)) (-5 *2 (-680 *3)))) (-2087 (*1 *2) (-12 (-4 *1 (-412 *2 *3)) (-4 *3 (-1222 *2)) (-4 *2 (-173)))) (-3325 (*1 *2 *1) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1222 *3)) (-5 *2 (-680 *3))))) 
+(-13 (-373 |t#1| |t#2|) (-10 -8 (-15 -3930 ((-1247 $))) (-15 -1648 ((-1247 |t#1|) $)) (-15 -1648 ((-680 |t#1|) (-1247 $))) (-15 -2623 ($ (-1247 |t#1|))) (-15 -3817 ((-1247 |t#1|) $)) (-15 -3817 ($ (-1247 |t#1|))) (-15 -3294 ((-680 |t#1|))) (-15 -2087 (|t#1|)) (-15 -3325 ((-680 |t#1|) $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-373 |#1| |#2|) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-708 |#1|) . T) ((-717) . T) ((-1054 |#1|) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-1647 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) 27) (((-3 (-569) "failed") $) 19)) (-2428 ((|#2| $) NIL) (((-410 (-569)) $) 24) (((-569) $) 14)) (-2185 (($ |#2|) NIL) (($ (-410 (-569))) 22) (($ (-569)) 11))) 
+(((-413 |#1| |#2|) (-10 -8 (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2185 (|#1| (-569))) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 (|#1| |#2|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2428 (|#2| |#1|))) (-414 |#2|) (-1197)) (T -413)) 
+NIL 
+(-10 -8 (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2185 (|#1| (-569))) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 (|#1| |#2|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2428 (|#2| |#1|))) 
+((-1647 (((-3 |#1| "failed") $) 7) (((-3 (-410 (-569)) "failed") $) 15 (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) 12 (|has| |#1| (-1038 (-569))))) (-2428 ((|#1| $) 8) (((-410 (-569)) $) 14 (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) 11 (|has| |#1| (-1038 (-569))))) (-2185 (($ |#1|) 6) (($ (-410 (-569))) 16 (|has| |#1| (-1038 (-410 (-569))))) (($ (-569)) 13 (|has| |#1| (-1038 (-569)))))) 
+(((-414 |#1|) (-1278) (-1197)) (T -414)) 
+NIL 
+(-13 (-1038 |t#1|) (-10 -7 (IF (|has| |t#1| (-1038 (-569))) (-6 (-1038 (-569))) |noBranch|) (IF (|has| |t#1| (-1038 (-410 (-569)))) (-6 (-1038 (-410 (-569)))) |noBranch|))) 
+(((-1038 (-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 |#1|) . T)) 
+((-1544 (((-416 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-416 |#1| |#2| |#3| |#4|)) 33))) 
+(((-415 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -1544 ((-416 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-416 |#1| |#2| |#3| |#4|)))) (-302) (-994 |#1|) (-1222 |#2|) (-13 (-412 |#2| |#3|) (-1038 |#2|)) (-302) (-994 |#5|) (-1222 |#6|) (-13 (-412 |#6| |#7|) (-1038 |#6|))) (T -415)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-416 *5 *6 *7 *8)) (-4 *5 (-302)) (-4 *6 (-994 *5)) (-4 *7 (-1222 *6)) (-4 *8 (-13 (-412 *6 *7) (-1038 *6))) (-4 *9 (-302)) (-4 *10 (-994 *9)) (-4 *11 (-1222 *10)) (-5 *2 (-416 *9 *10 *11 *12)) (-5 *1 (-415 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-13 (-412 *10 *11) (-1038 *10)))))) 
+(-10 -7 (-15 -1544 ((-416 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-416 |#1| |#2| |#3| |#4|)))) 
+((-2568 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) NIL)) (-4228 ((|#4| (-764) (-1247 |#4|)) 55)) (-1407 (((-121) $) NIL)) (-4116 (((-1247 |#4|) $) 17)) (-4308 ((|#2| $) 53)) (-4443 (($ $) 136)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 98)) (-2537 (($ (-1247 |#4|)) 97)) (-3360 (((-1109) $) NIL)) (-4121 ((|#1| $) 18)) (-1414 (($ $ $) NIL)) (-4293 (($ $ $) NIL)) (-2185 (((-851) $) 131)) (-3930 (((-1247 |#4|) $) 126)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-1556 (($) 11 T CONST)) (-1668 (((-121) $ $) 39)) (-1715 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) 119)) (* (($ $ $) 118))) 
+(((-416 |#1| |#2| |#3| |#4|) (-13 (-479) (-10 -8 (-15 -2537 ($ (-1247 |#4|))) (-15 -3930 ((-1247 |#4|) $)) (-15 -4308 (|#2| $)) (-15 -4116 ((-1247 |#4|) $)) (-15 -4121 (|#1| $)) (-15 -4443 ($ $)) (-15 -4228 (|#4| (-764) (-1247 |#4|))))) (-302) (-994 |#1|) (-1222 |#2|) (-13 (-412 |#2| |#3|) (-1038 |#2|))) (T -416)) 
+((-2537 (*1 *1 *2) (-12 (-5 *2 (-1247 *6)) (-4 *6 (-13 (-412 *4 *5) (-1038 *4))) (-4 *4 (-994 *3)) (-4 *5 (-1222 *4)) (-4 *3 (-302)) (-5 *1 (-416 *3 *4 *5 *6)))) (-3930 (*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-994 *3)) (-4 *5 (-1222 *4)) (-5 *2 (-1247 *6)) (-5 *1 (-416 *3 *4 *5 *6)) (-4 *6 (-13 (-412 *4 *5) (-1038 *4))))) (-4308 (*1 *2 *1) (-12 (-4 *4 (-1222 *2)) (-4 *2 (-994 *3)) (-5 *1 (-416 *3 *2 *4 *5)) (-4 *3 (-302)) (-4 *5 (-13 (-412 *2 *4) (-1038 *2))))) (-4116 (*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-994 *3)) (-4 *5 (-1222 *4)) (-5 *2 (-1247 *6)) (-5 *1 (-416 *3 *4 *5 *6)) (-4 *6 (-13 (-412 *4 *5) (-1038 *4))))) (-4121 (*1 *2 *1) (-12 (-4 *3 (-994 *2)) (-4 *4 (-1222 *3)) (-4 *2 (-302)) (-5 *1 (-416 *2 *3 *4 *5)) (-4 *5 (-13 (-412 *3 *4) (-1038 *3))))) (-4443 (*1 *1 *1) (-12 (-4 *2 (-302)) (-4 *3 (-994 *2)) (-4 *4 (-1222 *3)) (-5 *1 (-416 *2 *3 *4 *5)) (-4 *5 (-13 (-412 *3 *4) (-1038 *3))))) (-4228 (*1 *2 *3 *4) (-12 (-5 *3 (-764)) (-5 *4 (-1247 *2)) (-4 *5 (-302)) (-4 *6 (-994 *5)) (-4 *2 (-13 (-412 *6 *7) (-1038 *6))) (-5 *1 (-416 *5 *6 *7 *2)) (-4 *7 (-1222 *6))))) 
+(-13 (-479) (-10 -8 (-15 -2537 ($ (-1247 |#4|))) (-15 -3930 ((-1247 |#4|) $)) (-15 -4308 (|#2| $)) (-15 -4116 ((-1247 |#4|) $)) (-15 -4121 (|#1| $)) (-15 -4443 ($ $)) (-15 -4228 (|#4| (-764) (-1247 |#4|))))) 
+((-2568 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) NIL)) (-1407 (((-121) $) NIL)) (-4308 ((|#2| $) 60)) (-3915 (($ (-1247 |#4|)) 25) (($ (-416 |#1| |#2| |#3| |#4|)) 75 (|has| |#4| (-1038 |#2|)))) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 34)) (-3930 (((-1247 |#4|) $) 26)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-1556 (($) 23 T CONST)) (-1668 (((-121) $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ $ $) 72))) 
+(((-417 |#1| |#2| |#3| |#4| |#5|) (-13 (-717) (-10 -8 (-15 -3930 ((-1247 |#4|) $)) (-15 -4308 (|#2| $)) (-15 -3915 ($ (-1247 |#4|))) (IF (|has| |#4| (-1038 |#2|)) (-15 -3915 ($ (-416 |#1| |#2| |#3| |#4|))) |noBranch|))) (-302) (-994 |#1|) (-1222 |#2|) (-412 |#2| |#3|) (-1247 |#4|)) (T -417)) 
+((-3930 (*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-994 *3)) (-4 *5 (-1222 *4)) (-5 *2 (-1247 *6)) (-5 *1 (-417 *3 *4 *5 *6 *7)) (-4 *6 (-412 *4 *5)) (-14 *7 *2))) (-4308 (*1 *2 *1) (-12 (-4 *4 (-1222 *2)) (-4 *2 (-994 *3)) (-5 *1 (-417 *3 *2 *4 *5 *6)) (-4 *3 (-302)) (-4 *5 (-412 *2 *4)) (-14 *6 (-1247 *5)))) (-3915 (*1 *1 *2) (-12 (-5 *2 (-1247 *6)) (-4 *6 (-412 *4 *5)) (-4 *4 (-994 *3)) (-4 *5 (-1222 *4)) (-4 *3 (-302)) (-5 *1 (-417 *3 *4 *5 *6 *7)) (-14 *7 *2))) (-3915 (*1 *1 *2) (-12 (-5 *2 (-416 *3 *4 *5 *6)) (-4 *6 (-1038 *4)) (-4 *3 (-302)) (-4 *4 (-994 *3)) (-4 *5 (-1222 *4)) (-4 *6 (-412 *4 *5)) (-14 *7 (-1247 *6)) (-5 *1 (-417 *3 *4 *5 *6 *7))))) 
+(-13 (-717) (-10 -8 (-15 -3930 ((-1247 |#4|) $)) (-15 -4308 (|#2| $)) (-15 -3915 ($ (-1247 |#4|))) (IF (|has| |#4| (-1038 |#2|)) (-15 -3915 ($ (-416 |#1| |#2| |#3| |#4|))) |noBranch|))) 
+((-1544 ((|#3| (-1 |#4| |#2|) |#1|) 26))) 
+(((-418 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1544 (|#3| (-1 |#4| |#2|) |#1|))) (-420 |#2|) (-173) (-420 |#4|) (-173)) (T -418)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-420 *6)) (-5 *1 (-418 *4 *5 *2 *6)) (-4 *4 (-420 *5))))) 
+(-10 -7 (-15 -1544 (|#3| (-1 |#4| |#2|) |#1|))) 
+((-4276 (((-3 $ "failed")) 85)) (-4064 (((-1247 (-680 |#2|)) (-1247 $)) NIL) (((-1247 (-680 |#2|))) 90)) (-3781 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) 84)) (-1531 (((-3 $ "failed")) 83)) (-2909 (((-680 |#2|) (-1247 $)) NIL) (((-680 |#2|)) 101)) (-1792 (((-680 |#2|) $ (-1247 $)) NIL) (((-680 |#2|) $) 109)) (-2800 (((-1159 (-954 |#2|))) 54)) (-3316 ((|#2| (-1247 $)) NIL) ((|#2|) 105)) (-2623 (($ (-1247 |#2|) (-1247 $)) NIL) (($ (-1247 |#2|)) 112)) (-3926 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) 82)) (-1588 (((-3 $ "failed")) 74)) (-2991 (((-680 |#2|) (-1247 $)) NIL) (((-680 |#2|)) 99)) (-4007 (((-680 |#2|) $ (-1247 $)) NIL) (((-680 |#2|) $) 107)) (-3282 (((-1159 (-954 |#2|))) 53)) (-1584 ((|#2| (-1247 $)) NIL) ((|#2|) 103)) (-1648 (((-1247 |#2|) $ (-1247 $)) NIL) (((-680 |#2|) (-1247 $) (-1247 $)) NIL) (((-1247 |#2|) $) NIL) (((-680 |#2|) (-1247 $)) 111)) (-3817 (((-1247 |#2|) $) 95) (($ (-1247 |#2|)) 97)) (-3393 (((-635 (-954 |#2|)) (-1247 $)) NIL) (((-635 (-954 |#2|))) 93)) (-1943 (($ (-680 |#2|) $) 89))) 
+(((-419 |#1| |#2|) (-10 -8 (-15 -1943 (|#1| (-680 |#2|) |#1|)) (-15 -2800 ((-1159 (-954 |#2|)))) (-15 -3282 ((-1159 (-954 |#2|)))) (-15 -1792 ((-680 |#2|) |#1|)) (-15 -4007 ((-680 |#2|) |#1|)) (-15 -2909 ((-680 |#2|))) (-15 -2991 ((-680 |#2|))) (-15 -3316 (|#2|)) (-15 -1584 (|#2|)) (-15 -3817 (|#1| (-1247 |#2|))) (-15 -3817 ((-1247 |#2|) |#1|)) (-15 -2623 (|#1| (-1247 |#2|))) (-15 -3393 ((-635 (-954 |#2|)))) (-15 -4064 ((-1247 (-680 |#2|)))) (-15 -1648 ((-680 |#2|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1|)) (-15 -4276 ((-3 |#1| "failed"))) (-15 -1531 ((-3 |#1| "failed"))) (-15 -1588 ((-3 |#1| "failed"))) (-15 -3781 ((-3 (-2 (|:| |particular| |#1|) (|:| -3930 (-635 |#1|))) "failed"))) (-15 -3926 ((-3 (-2 (|:| |particular| |#1|) (|:| -3930 (-635 |#1|))) "failed"))) (-15 -2909 ((-680 |#2|) (-1247 |#1|))) (-15 -2991 ((-680 |#2|) (-1247 |#1|))) (-15 -3316 (|#2| (-1247 |#1|))) (-15 -1584 (|#2| (-1247 |#1|))) (-15 -2623 (|#1| (-1247 |#2|) (-1247 |#1|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1| (-1247 |#1|))) (-15 -1792 ((-680 |#2|) |#1| (-1247 |#1|))) (-15 -4007 ((-680 |#2|) |#1| (-1247 |#1|))) (-15 -4064 ((-1247 (-680 |#2|)) (-1247 |#1|))) (-15 -3393 ((-635 (-954 |#2|)) (-1247 |#1|)))) (-420 |#2|) (-173)) (T -419)) 
+((-4064 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1247 (-680 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) (-3393 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-635 (-954 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) (-1584 (*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-419 *3 *2)) (-4 *3 (-420 *2)))) (-3316 (*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-419 *3 *2)) (-4 *3 (-420 *2)))) (-2991 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-680 *4)) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) (-2909 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-680 *4)) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) (-3282 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1159 (-954 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) (-2800 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1159 (-954 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4))))) 
+(-10 -8 (-15 -1943 (|#1| (-680 |#2|) |#1|)) (-15 -2800 ((-1159 (-954 |#2|)))) (-15 -3282 ((-1159 (-954 |#2|)))) (-15 -1792 ((-680 |#2|) |#1|)) (-15 -4007 ((-680 |#2|) |#1|)) (-15 -2909 ((-680 |#2|))) (-15 -2991 ((-680 |#2|))) (-15 -3316 (|#2|)) (-15 -1584 (|#2|)) (-15 -3817 (|#1| (-1247 |#2|))) (-15 -3817 ((-1247 |#2|) |#1|)) (-15 -2623 (|#1| (-1247 |#2|))) (-15 -3393 ((-635 (-954 |#2|)))) (-15 -4064 ((-1247 (-680 |#2|)))) (-15 -1648 ((-680 |#2|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1|)) (-15 -4276 ((-3 |#1| "failed"))) (-15 -1531 ((-3 |#1| "failed"))) (-15 -1588 ((-3 |#1| "failed"))) (-15 -3781 ((-3 (-2 (|:| |particular| |#1|) (|:| -3930 (-635 |#1|))) "failed"))) (-15 -3926 ((-3 (-2 (|:| |particular| |#1|) (|:| -3930 (-635 |#1|))) "failed"))) (-15 -2909 ((-680 |#2|) (-1247 |#1|))) (-15 -2991 ((-680 |#2|) (-1247 |#1|))) (-15 -3316 (|#2| (-1247 |#1|))) (-15 -1584 (|#2| (-1247 |#1|))) (-15 -2623 (|#1| (-1247 |#2|) (-1247 |#1|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1| (-1247 |#1|))) (-15 -1792 ((-680 |#2|) |#1| (-1247 |#1|))) (-15 -4007 ((-680 |#2|) |#1| (-1247 |#1|))) (-15 -4064 ((-1247 (-680 |#2|)) (-1247 |#1|))) (-15 -3393 ((-635 (-954 |#2|)) (-1247 |#1|)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-4276 (((-3 $ "failed")) 35 (|has| |#1| (-559)))) (-2327 (((-3 $ "failed") $ $) 18)) (-4064 (((-1247 (-680 |#1|)) (-1247 $)) 76) (((-1247 (-680 |#1|))) 93)) (-2141 (((-1247 $)) 79)) (-2820 (($) 16 T CONST)) (-3781 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) 38 (|has| |#1| (-559)))) (-1531 (((-3 $ "failed")) 36 (|has| |#1| (-559)))) (-2909 (((-680 |#1|) (-1247 $)) 63) (((-680 |#1|)) 85)) (-1723 ((|#1| $) 72)) (-1792 (((-680 |#1|) $ (-1247 $)) 74) (((-680 |#1|) $) 83)) (-1620 (((-3 $ "failed") $) 43 (|has| |#1| (-559)))) (-2800 (((-1159 (-954 |#1|))) 81 (|has| |#1| (-366)))) (-1628 (($ $ (-918)) 27)) (-2830 ((|#1| $) 70)) (-2246 (((-1159 |#1|) $) 40 (|has| |#1| (-559)))) (-3316 ((|#1| (-1247 $)) 65) ((|#1|) 87)) (-2355 (((-1159 |#1|) $) 61)) (-2607 (((-121)) 55)) (-2623 (($ (-1247 |#1|) (-1247 $)) 67) (($ (-1247 |#1|)) 91)) (-3428 (((-3 $ "failed") $) 45 (|has| |#1| (-559)))) (-1321 (((-918)) 78)) (-3919 (((-121)) 52)) (-1851 (($ $ (-918)) 32)) (-2007 (((-121)) 48)) (-1370 (((-121)) 46)) (-4239 (((-121)) 50)) (-3926 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) 39 (|has| |#1| (-559)))) (-1588 (((-3 $ "failed")) 37 (|has| |#1| (-559)))) (-2991 (((-680 |#1|) (-1247 $)) 64) (((-680 |#1|)) 86)) (-1545 ((|#1| $) 73)) (-4007 (((-680 |#1|) $ (-1247 $)) 75) (((-680 |#1|) $) 84)) (-4439 (((-3 $ "failed") $) 44 (|has| |#1| (-559)))) (-3282 (((-1159 (-954 |#1|))) 82 (|has| |#1| (-366)))) (-3272 (($ $ (-918)) 28)) (-4200 ((|#1| $) 71)) (-3851 (((-1159 |#1|) $) 41 (|has| |#1| (-559)))) (-1584 ((|#1| (-1247 $)) 66) ((|#1|) 88)) (-2415 (((-1159 |#1|) $) 62)) (-2377 (((-121)) 56)) (-2776 (((-1145) $) 9)) (-3379 (((-121)) 47)) (-3337 (((-121)) 49)) (-2598 (((-121)) 51)) (-3360 (((-1109) $) 10)) (-1324 (((-121)) 54)) (-1534 ((|#1| $ (-569)) 94)) (-1648 (((-1247 |#1|) $ (-1247 $)) 69) (((-680 |#1|) (-1247 $) (-1247 $)) 68) (((-1247 |#1|) $) 96) (((-680 |#1|) (-1247 $)) 95)) (-3817 (((-1247 |#1|) $) 90) (($ (-1247 |#1|)) 89)) (-3393 (((-635 (-954 |#1|)) (-1247 $)) 77) (((-635 (-954 |#1|))) 92)) (-4293 (($ $ $) 24)) (-2093 (((-121)) 60)) (-2185 (((-851) $) 11)) (-3930 (((-1247 $)) 97)) (-2131 (((-635 (-1247 |#1|))) 42 (|has| |#1| (-559)))) (-1383 (($ $ $ $) 25)) (-4220 (((-121)) 58)) (-1943 (($ (-680 |#1|) $) 80)) (-4033 (($ $ $) 23)) (-1597 (((-121)) 59)) (-3922 (((-121)) 57)) (-4227 (((-121)) 53)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 29)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 26) (($ $ |#1|) 34) (($ |#1| $) 33))) 
+(((-420 |#1|) (-1278) (-173)) (T -420)) 
+((-3930 (*1 *2) (-12 (-4 *3 (-173)) (-5 *2 (-1247 *1)) (-4 *1 (-420 *3)))) (-1648 (*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-1247 *3)))) (-1648 (*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-420 *4)) (-4 *4 (-173)) (-5 *2 (-680 *4)))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-420 *2)) (-4 *2 (-173)))) (-4064 (*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-1247 (-680 *3))))) (-3393 (*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-635 (-954 *3))))) (-2623 (*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-173)) (-4 *1 (-420 *3)))) (-3817 (*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-1247 *3)))) (-3817 (*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-173)) (-4 *1 (-420 *3)))) (-1584 (*1 *2) (-12 (-4 *1 (-420 *2)) (-4 *2 (-173)))) (-3316 (*1 *2) (-12 (-4 *1 (-420 *2)) (-4 *2 (-173)))) (-2991 (*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-680 *3)))) (-2909 (*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-680 *3)))) (-4007 (*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-680 *3)))) (-1792 (*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-680 *3)))) (-3282 (*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-4 *3 (-366)) (-5 *2 (-1159 (-954 *3))))) (-2800 (*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-4 *3 (-366)) (-5 *2 (-1159 (-954 *3))))) (-1943 (*1 *1 *2 *1) (-12 (-5 *2 (-680 *3)) (-4 *1 (-420 *3)) (-4 *3 (-173))))) 
+(-13 (-370 |t#1|) (-10 -8 (-15 -3930 ((-1247 $))) (-15 -1648 ((-1247 |t#1|) $)) (-15 -1648 ((-680 |t#1|) (-1247 $))) (-15 -1534 (|t#1| $ (-569))) (-15 -4064 ((-1247 (-680 |t#1|)))) (-15 -3393 ((-635 (-954 |t#1|)))) (-15 -2623 ($ (-1247 |t#1|))) (-15 -3817 ((-1247 |t#1|) $)) (-15 -3817 ($ (-1247 |t#1|))) (-15 -1584 (|t#1|)) (-15 -3316 (|t#1|)) (-15 -2991 ((-680 |t#1|))) (-15 -2909 ((-680 |t#1|))) (-15 -4007 ((-680 |t#1|) $)) (-15 -1792 ((-680 |t#1|) $)) (IF (|has| |t#1| (-366)) (PROGN (-15 -3282 ((-1159 (-954 |t#1|)))) (-15 -2800 ((-1159 (-954 |t#1|))))) |noBranch|) (-15 -1943 ($ (-680 |t#1|) $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-851)) . T) ((-370 |#1|) . T) ((-638 |#1|) . T) ((-708 |#1|) . T) ((-711) . T) ((-737 |#1|) . T) ((-754) . T) ((-1054 |#1|) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 40)) (-1681 (($ $) 55)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 142)) (-3383 (($ $) NIL)) (-4354 (((-121) $) 34)) (-4276 ((|#1| $) 12)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL (|has| |#1| (-1202)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-1202)))) (-2109 (($ |#1| (-569)) 30)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) 112)) (-2428 (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) 53)) (-3428 (((-3 $ "failed") $) 127)) (-4401 (((-3 (-410 (-569)) "failed") $) 61 (|has| |#1| (-551)))) (-3103 (((-121) $) 57 (|has| |#1| (-551)))) (-1442 (((-410 (-569)) $) 59 (|has| |#1| (-551)))) (-1305 (($ |#1| (-569)) 32)) (-3726 (((-121) $) 148 (|has| |#1| (-1202)))) (-1407 (((-121) $) 41)) (-1476 (((-764) $) 36)) (-3365 (((-3 "nil" "sqfr" "irred" "prime") $ (-569)) 133)) (-3082 ((|#1| $ (-569)) 132)) (-4398 (((-569) $ (-569)) 131)) (-2205 (($ |#1| (-569)) 29)) (-1544 (($ (-1 |#1| |#1|) $) 139)) (-3628 (($ |#1| (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-569))))) 56)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2776 (((-1145) $) NIL)) (-1891 (($ |#1| (-569)) 31)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) 143 (|has| |#1| (-454)))) (-3051 (($ |#1| (-569) (-3 "nil" "sqfr" "irred" "prime")) 28)) (-1640 (((-635 (-2 (|:| -1743 |#1|) (|:| -2356 (-569)))) $) 52)) (-4120 (((-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-569)))) $) 11)) (-1743 (((-421 $) $) NIL (|has| |#1| (-1202)))) (-2941 (((-3 $ "failed") $ $) 134)) (-2356 (((-569) $) 128)) (-1939 ((|#1| $) 54)) (-1468 (($ $ (-635 |#1|) (-635 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) 76 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1163)) (-635 |#1|)) 81 (|has| |#1| (-524 (-1163) |#1|))) (($ $ (-1163) |#1|) NIL (|has| |#1| (-524 (-1163) |#1|))) (($ $ (-1163) $) NIL (|has| |#1| (-524 (-1163) $))) (($ $ (-635 (-1163)) (-635 $)) 82 (|has| |#1| (-524 (-1163) $))) (($ $ (-635 (-289 $))) 78 (|has| |#1| (-304 $))) (($ $ (-289 $)) NIL (|has| |#1| (-304 $))) (($ $ $ $) NIL (|has| |#1| (-304 $))) (($ $ (-635 $) (-635 $)) NIL (|has| |#1| (-304 $)))) (-1534 (($ $ |#1|) 68 (|has| |#1| (-282 |#1| |#1|))) (($ $ $) 69 (|has| |#1| (-282 $ $)))) (-3899 (($ $) NIL (|has| |#1| (-226))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) 138)) (-3817 (((-542) $) 26 (|has| |#1| (-610 (-542)))) (((-382) $) 88 (|has| |#1| (-1022))) (((-216) $) 91 (|has| |#1| (-1022)))) (-2185 (((-851) $) 110) (($ (-569)) 44) (($ $) NIL) (($ |#1|) 43) (($ (-410 (-569))) NIL (|has| |#1| (-1038 (-410 (-569)))))) (-1991 (((-764)) 46)) (-1961 (((-121) $ $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 38 T CONST)) (-1556 (($) 37 T CONST)) (-3022 (($ $) NIL (|has| |#1| (-226))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1668 (((-121) $ $) 92)) (-1711 (($ $) 124) (($ $ $) NIL)) (-1707 (($ $ $) 136)) (** (($ $ (-918)) NIL) (($ $ (-764)) 98)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 48) (($ $ $) 47) (($ |#1| $) 49) (($ $ |#1|) NIL))) 
+(((-421 |#1|) (-13 (-559) (-224 |#1|) (-43 |#1|) (-337 |#1|) (-414 |#1|) (-10 -8 (-15 -1939 (|#1| $)) (-15 -2356 ((-569) $)) (-15 -3628 ($ |#1| (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-569)))))) (-15 -4120 ((-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-569)))) $)) (-15 -2205 ($ |#1| (-569))) (-15 -1640 ((-635 (-2 (|:| -1743 |#1|) (|:| -2356 (-569)))) $)) (-15 -1891 ($ |#1| (-569))) (-15 -4398 ((-569) $ (-569))) (-15 -3082 (|#1| $ (-569))) (-15 -3365 ((-3 "nil" "sqfr" "irred" "prime") $ (-569))) (-15 -1476 ((-764) $)) (-15 -1305 ($ |#1| (-569))) (-15 -2109 ($ |#1| (-569))) (-15 -3051 ($ |#1| (-569) (-3 "nil" "sqfr" "irred" "prime"))) (-15 -4276 (|#1| $)) (-15 -1681 ($ $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-454)) (-6 (-454)) |noBranch|) (IF (|has| |#1| (-1022)) (-6 (-1022)) |noBranch|) (IF (|has| |#1| (-1202)) (-6 (-1202)) |noBranch|) (IF (|has| |#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |#1| (-551)) (PROGN (-15 -3103 ((-121) $)) (-15 -1442 ((-410 (-569)) $)) (-15 -4401 ((-3 (-410 (-569)) "failed") $))) |noBranch|) (IF (|has| |#1| (-282 $ $)) (-6 (-282 $ $)) |noBranch|) (IF (|has| |#1| (-304 $)) (-6 (-304 $)) |noBranch|) (IF (|has| |#1| (-524 (-1163) $)) (-6 (-524 (-1163) $)) |noBranch|))) (-559)) (T -421)) 
+((-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-559)) (-5 *1 (-421 *3)))) (-1939 (*1 *2 *1) (-12 (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-2356 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-421 *3)) (-4 *3 (-559)))) (-3628 (*1 *1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *2) (|:| |xpnt| (-569))))) (-4 *2 (-559)) (-5 *1 (-421 *2)))) (-4120 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *3) (|:| |xpnt| (-569))))) (-5 *1 (-421 *3)) (-4 *3 (-559)))) (-2205 (*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-1640 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -1743 *3) (|:| -2356 (-569))))) (-5 *1 (-421 *3)) (-4 *3 (-559)))) (-1891 (*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-4398 (*1 *2 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-421 *3)) (-4 *3 (-559)))) (-3082 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-3365 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-421 *4)) (-4 *4 (-559)))) (-1476 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-421 *3)) (-4 *3 (-559)))) (-1305 (*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-2109 (*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-3051 (*1 *1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-4276 (*1 *2 *1) (-12 (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-1681 (*1 *1 *1) (-12 (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-3103 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-421 *3)) (-4 *3 (-551)) (-4 *3 (-559)))) (-1442 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-421 *3)) (-4 *3 (-551)) (-4 *3 (-559)))) (-4401 (*1 *2 *1) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-421 *3)) (-4 *3 (-551)) (-4 *3 (-559))))) 
+(-13 (-559) (-224 |#1|) (-43 |#1|) (-337 |#1|) (-414 |#1|) (-10 -8 (-15 -1939 (|#1| $)) (-15 -2356 ((-569) $)) (-15 -3628 ($ |#1| (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-569)))))) (-15 -4120 ((-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-569)))) $)) (-15 -2205 ($ |#1| (-569))) (-15 -1640 ((-635 (-2 (|:| -1743 |#1|) (|:| -2356 (-569)))) $)) (-15 -1891 ($ |#1| (-569))) (-15 -4398 ((-569) $ (-569))) (-15 -3082 (|#1| $ (-569))) (-15 -3365 ((-3 "nil" "sqfr" "irred" "prime") $ (-569))) (-15 -1476 ((-764) $)) (-15 -1305 ($ |#1| (-569))) (-15 -2109 ($ |#1| (-569))) (-15 -3051 ($ |#1| (-569) (-3 "nil" "sqfr" "irred" "prime"))) (-15 -4276 (|#1| $)) (-15 -1681 ($ $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-454)) (-6 (-454)) |noBranch|) (IF (|has| |#1| (-1022)) (-6 (-1022)) |noBranch|) (IF (|has| |#1| (-1202)) (-6 (-1202)) |noBranch|) (IF (|has| |#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |#1| (-551)) (PROGN (-15 -3103 ((-121) $)) (-15 -1442 ((-410 (-569)) $)) (-15 -4401 ((-3 (-410 (-569)) "failed") $))) |noBranch|) (IF (|has| |#1| (-282 $ $)) (-6 (-282 $ $)) |noBranch|) (IF (|has| |#1| (-304 $)) (-6 (-304 $)) |noBranch|) (IF (|has| |#1| (-524 (-1163) $)) (-6 (-524 (-1163) $)) |noBranch|))) 
+((-1595 (((-421 |#1|) (-421 |#1|) (-1 (-421 |#1|) |#1|)) 20)) (-2360 (((-421 |#1|) (-421 |#1|) (-421 |#1|)) 15))) 
+(((-422 |#1|) (-10 -7 (-15 -1595 ((-421 |#1|) (-421 |#1|) (-1 (-421 |#1|) |#1|))) (-15 -2360 ((-421 |#1|) (-421 |#1|) (-421 |#1|)))) (-559)) (T -422)) 
+((-2360 (*1 *2 *2 *2) (-12 (-5 *2 (-421 *3)) (-4 *3 (-559)) (-5 *1 (-422 *3)))) (-1595 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-421 *4) *4)) (-4 *4 (-559)) (-5 *2 (-421 *4)) (-5 *1 (-422 *4))))) 
+(-10 -7 (-15 -1595 ((-421 |#1|) (-421 |#1|) (-1 (-421 |#1|) |#1|))) (-15 -2360 ((-421 |#1|) (-421 |#1|) (-421 |#1|)))) 
+((-1470 ((|#2| |#2|) 160)) (-2459 (((-3 (|:| |%expansion| (-308 |#1| |#2| |#3| |#4|)) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145))))) |#2| (-121)) 55))) 
+(((-423 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2459 ((-3 (|:| |%expansion| (-308 |#1| |#2| |#3| |#4|)) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145))))) |#2| (-121))) (-15 -1470 (|#2| |#2|))) (-13 (-454) (-843) (-1038 (-569)) (-631 (-569))) (-13 (-27) (-1183) (-433 |#1|)) (-1163) |#2|) (T -423)) 
+((-1470 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-423 *3 *2 *4 *5)) (-4 *2 (-13 (-27) (-1183) (-433 *3))) (-14 *4 (-1163)) (-14 *5 *2))) (-2459 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |%expansion| (-308 *5 *3 *6 *7)) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145)))))) (-5 *1 (-423 *5 *3 *6 *7)) (-4 *3 (-13 (-27) (-1183) (-433 *5))) (-14 *6 (-1163)) (-14 *7 *3)))) 
+(-10 -7 (-15 -2459 ((-3 (|:| |%expansion| (-308 |#1| |#2| |#3| |#4|)) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145))))) |#2| (-121))) (-15 -1470 (|#2| |#2|))) 
+((-1544 ((|#4| (-1 |#3| |#1|) |#2|) 11))) 
+(((-424 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1544 (|#4| (-1 |#3| |#1|) |#2|))) (-13 (-1048) (-843)) (-433 |#1|) (-13 (-1048) (-843)) (-433 |#3|)) (T -424)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-13 (-1048) (-843))) (-4 *6 (-13 (-1048) (-843))) (-4 *2 (-433 *6)) (-5 *1 (-424 *5 *4 *6 *2)) (-4 *4 (-433 *5))))) 
+(-10 -7 (-15 -1544 (|#4| (-1 |#3| |#1|) |#2|))) 
+((-1470 ((|#2| |#2|) 87)) (-3031 (((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145))))) |#2| (-121) (-1145)) 46)) (-1949 (((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145))))) |#2| (-121) (-1145)) 152))) 
+(((-425 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -3031 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145))))) |#2| (-121) (-1145))) (-15 -1949 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145))))) |#2| (-121) (-1145))) (-15 -1470 (|#2| |#2|))) (-13 (-454) (-843) (-1038 (-569)) (-631 (-569))) (-13 (-27) (-1183) (-433 |#1|) (-10 -8 (-15 -2185 ($ |#3|)))) (-841) (-13 (-1224 |#2| |#3|) (-366) (-1183) (-10 -8 (-15 -3899 ($ $)) (-15 -2565 ($ $)))) (-985 |#4|) (-1163)) (T -425)) 
+((-1470 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-4 *2 (-13 (-27) (-1183) (-433 *3) (-10 -8 (-15 -2185 ($ *4))))) (-4 *4 (-841)) (-4 *5 (-13 (-1224 *2 *4) (-366) (-1183) (-10 -8 (-15 -3899 ($ $)) (-15 -2565 ($ $))))) (-5 *1 (-425 *3 *2 *4 *5 *6 *7)) (-4 *6 (-985 *5)) (-14 *7 (-1163)))) (-1949 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-121)) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-4 *3 (-13 (-27) (-1183) (-433 *6) (-10 -8 (-15 -2185 ($ *7))))) (-4 *7 (-841)) (-4 *8 (-13 (-1224 *3 *7) (-366) (-1183) (-10 -8 (-15 -3899 ($ $)) (-15 -2565 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145)))))) (-5 *1 (-425 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1145)) (-4 *9 (-985 *8)) (-14 *10 (-1163)))) (-3031 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-121)) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-4 *3 (-13 (-27) (-1183) (-433 *6) (-10 -8 (-15 -2185 ($ *7))))) (-4 *7 (-841)) (-4 *8 (-13 (-1224 *3 *7) (-366) (-1183) (-10 -8 (-15 -3899 ($ $)) (-15 -2565 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145)))))) (-5 *1 (-425 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1145)) (-4 *9 (-985 *8)) (-14 *10 (-1163))))) 
+(-10 -7 (-15 -3031 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145))))) |#2| (-121) (-1145))) (-15 -1949 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145))))) |#2| (-121) (-1145))) (-15 -1470 (|#2| |#2|))) 
+((-3043 ((|#4| (-1 |#3| |#1| |#3|) |#2| |#3|) 22)) (-1774 ((|#3| (-1 |#3| |#1| |#3|) |#2| |#3|) 20)) (-1544 ((|#4| (-1 |#3| |#1|) |#2|) 17))) 
+(((-426 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1544 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -1774 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -3043 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) (-1091) (-428 |#1|) (-1091) (-428 |#3|)) (T -426)) 
+((-3043 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1091)) (-4 *5 (-1091)) (-4 *2 (-428 *5)) (-5 *1 (-426 *6 *4 *5 *2)) (-4 *4 (-428 *6)))) (-1774 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1091)) (-4 *2 (-1091)) (-5 *1 (-426 *5 *4 *2 *6)) (-4 *4 (-428 *5)) (-4 *6 (-428 *2)))) (-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-428 *6)) (-5 *1 (-426 *5 *4 *6 *2)) (-4 *4 (-428 *5))))) 
+(-10 -7 (-15 -1544 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -1774 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -3043 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) 
+((-1460 (($) 44)) (-1752 (($ |#2| $) NIL) (($ $ |#2|) NIL) (($ $ $) 40)) (-1981 (($ $ $) 39)) (-2358 (((-121) $ $) 28)) (-2085 (((-764)) 47)) (-2195 (($ (-635 |#2|)) 20) (($) NIL)) (-4327 (($) 53)) (-3291 ((|#2| $) 61)) (-1538 ((|#2| $) 59)) (-2083 (((-918) $) 55)) (-2652 (($ $ $) 35)) (-3998 (($ (-918)) 50)) (-3290 (($ $ |#2|) NIL) (($ $ $) 38)) (-2846 (((-764) (-1 (-121) |#2|) $) NIL) (((-764) |#2| $) 26)) (-2139 (($ (-635 |#2|)) 24)) (-3604 (($ $) 46)) (-2185 (((-851) $) 33)) (-1573 (((-764) $) 21)) (-1959 (($ (-635 |#2|)) 19) (($) NIL)) (-1668 (((-121) $ $) 16)) (-1678 (((-121) $ $) 13))) 
+(((-427 |#1| |#2|) (-10 -8 (-15 -2085 ((-764))) (-15 -3998 (|#1| (-918))) (-15 -2083 ((-918) |#1|)) (-15 -4327 (|#1|)) (-15 -3291 (|#2| |#1|)) (-15 -1538 (|#2| |#1|)) (-15 -1460 (|#1|)) (-15 -3604 (|#1| |#1|)) (-15 -1573 ((-764) |#1|)) (-15 -1668 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1678 ((-121) |#1| |#1|)) (-15 -1959 (|#1|)) (-15 -1959 (|#1| (-635 |#2|))) (-15 -2195 (|#1|)) (-15 -2195 (|#1| (-635 |#2|))) (-15 -2652 (|#1| |#1| |#1|)) (-15 -3290 (|#1| |#1| |#1|)) (-15 -3290 (|#1| |#1| |#2|)) (-15 -1981 (|#1| |#1| |#1|)) (-15 -2358 ((-121) |#1| |#1|)) (-15 -1752 (|#1| |#1| |#1|)) (-15 -1752 (|#1| |#1| |#2|)) (-15 -1752 (|#1| |#2| |#1|)) (-15 -2139 (|#1| (-635 |#2|))) (-15 -2846 ((-764) |#2| |#1|)) (-15 -2846 ((-764) (-1 (-121) |#2|) |#1|))) (-428 |#2|) (-1091)) (T -427)) 
+((-2085 (*1 *2) (-12 (-4 *4 (-1091)) (-5 *2 (-764)) (-5 *1 (-427 *3 *4)) (-4 *3 (-428 *4))))) 
+(-10 -8 (-15 -2085 ((-764))) (-15 -3998 (|#1| (-918))) (-15 -2083 ((-918) |#1|)) (-15 -4327 (|#1|)) (-15 -3291 (|#2| |#1|)) (-15 -1538 (|#2| |#1|)) (-15 -1460 (|#1|)) (-15 -3604 (|#1| |#1|)) (-15 -1573 ((-764) |#1|)) (-15 -1668 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1678 ((-121) |#1| |#1|)) (-15 -1959 (|#1|)) (-15 -1959 (|#1| (-635 |#2|))) (-15 -2195 (|#1|)) (-15 -2195 (|#1| (-635 |#2|))) (-15 -2652 (|#1| |#1| |#1|)) (-15 -3290 (|#1| |#1| |#1|)) (-15 -3290 (|#1| |#1| |#2|)) (-15 -1981 (|#1| |#1| |#1|)) (-15 -2358 ((-121) |#1| |#1|)) (-15 -1752 (|#1| |#1| |#1|)) (-15 -1752 (|#1| |#1| |#2|)) (-15 -1752 (|#1| |#2| |#1|)) (-15 -2139 (|#1| (-635 |#2|))) (-15 -2846 ((-764) |#2| |#1|)) (-15 -2846 ((-764) (-1 (-121) |#2|) |#1|))) 
+((-2568 (((-121) $ $) 18)) (-1460 (($) 63 (|has| |#1| (-371)))) (-1752 (($ |#1| $) 78) (($ $ |#1|) 77) (($ $ $) 76)) (-1981 (($ $ $) 74)) (-2358 (((-121) $ $) 75)) (-1691 (((-121) $ (-764)) 8)) (-2085 (((-764)) 57 (|has| |#1| (-371)))) (-2195 (($ (-635 |#1|)) 70) (($) 69)) (-4216 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-2033 (($ $) 55 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4454 (($ |#1| $) 44 (|has| $ (-6 -4535))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4535)))) (-4347 (($ |#1| $) 54 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4535)))) (-4327 (($) 60 (|has| |#1| (-371)))) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-3291 ((|#1| $) 61 (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1538 ((|#1| $) 62 (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2083 (((-918) $) 59 (|has| |#1| (-371)))) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22)) (-2652 (($ $ $) 71)) (-3889 ((|#1| $) 36)) (-3172 (($ |#1| $) 37)) (-3998 (($ (-918)) 58 (|has| |#1| (-371)))) (-3360 (((-1109) $) 21)) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-1856 ((|#1| $) 38)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-3290 (($ $ |#1|) 73) (($ $ $) 72)) (-2566 (($) 46) (($ (-635 |#1|)) 45)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-3817 (((-542) $) 56 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 47)) (-3604 (($ $) 64 (|has| |#1| (-371)))) (-2185 (((-851) $) 20)) (-1573 (((-764) $) 65)) (-1959 (($ (-635 |#1|)) 68) (($) 67)) (-2793 (($ (-635 |#1|)) 39)) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19)) (-1678 (((-121) $ $) 66)) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-428 |#1|) (-1278) (-1091)) (T -428)) 
+((-1573 (*1 *2 *1) (-12 (-4 *1 (-428 *3)) (-4 *3 (-1091)) (-5 *2 (-764)))) (-3604 (*1 *1 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-1091)) (-4 *2 (-371)))) (-1460 (*1 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-371)) (-4 *2 (-1091)))) (-1538 (*1 *2 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-1091)) (-4 *2 (-843)))) (-3291 (*1 *2 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-1091)) (-4 *2 (-843))))) 
+(-13 (-222 |t#1|) (-1088 |t#1|) (-10 -8 (-6 -4535) (-15 -1573 ((-764) $)) (IF (|has| |t#1| (-371)) (PROGN (-6 (-371)) (-15 -3604 ($ $)) (-15 -1460 ($))) |noBranch|) (IF (|has| |t#1| (-843)) (PROGN (-15 -1538 (|t#1| $)) (-15 -3291 (|t#1| $))) |noBranch|))) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) . T) ((-609 (-851)) . T) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-222 |#1|) . T) ((-228 |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-371) |has| |#1| (-371)) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1088 |#1|) . T) ((-1091) . T) ((-1197) . T)) 
+((-2277 (((-586 |#2|) |#2| (-1163)) 35)) (-2690 (((-586 |#2|) |#2| (-1163)) 19)) (-1550 ((|#2| |#2| (-1163)) 24))) 
+(((-429 |#1| |#2|) (-10 -7 (-15 -2690 ((-586 |#2|) |#2| (-1163))) (-15 -2277 ((-586 |#2|) |#2| (-1163))) (-15 -1550 (|#2| |#2| (-1163)))) (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569))) (-13 (-1183) (-29 |#1|))) (T -429)) 
+((-1550 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-429 *4 *2)) (-4 *2 (-13 (-1183) (-29 *4))))) (-2277 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-429 *5 *3)) (-4 *3 (-13 (-1183) (-29 *5))))) (-2690 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-429 *5 *3)) (-4 *3 (-13 (-1183) (-29 *5)))))) 
+(-10 -7 (-15 -2690 ((-586 |#2|) |#2| (-1163))) (-15 -2277 ((-586 |#2|) |#2| (-1163))) (-15 -1550 (|#2| |#2| (-1163)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) NIL)) (-1407 (((-121) $) NIL)) (-1975 (($ |#2| |#1|) 35)) (-1845 (($ |#2| |#1|) 33)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-330 |#2|)) 25)) (-1991 (((-764)) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 10 T CONST)) (-1556 (($) 16 T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 34)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 36) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-430 |#1| |#2|) (-13 (-43 |#1|) (-10 -8 (IF (|has| |#2| (-6 -4522)) (IF (|has| |#1| (-6 -4522)) (-6 -4522) |noBranch|) |noBranch|) (-15 -2185 ($ |#1|)) (-15 -2185 ($ (-330 |#2|))) (-15 -1975 ($ |#2| |#1|)) (-15 -1845 ($ |#2| |#1|)))) (-13 (-173) (-43 (-410 (-569)))) (-13 (-843) (-21))) (T -430)) 
+((-2185 (*1 *1 *2) (-12 (-5 *1 (-430 *2 *3)) (-4 *2 (-13 (-173) (-43 (-410 (-569))))) (-4 *3 (-13 (-843) (-21))))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-330 *4)) (-4 *4 (-13 (-843) (-21))) (-5 *1 (-430 *3 *4)) (-4 *3 (-13 (-173) (-43 (-410 (-569))))))) (-1975 (*1 *1 *2 *3) (-12 (-5 *1 (-430 *3 *2)) (-4 *3 (-13 (-173) (-43 (-410 (-569))))) (-4 *2 (-13 (-843) (-21))))) (-1845 (*1 *1 *2 *3) (-12 (-5 *1 (-430 *3 *2)) (-4 *3 (-13 (-173) (-43 (-410 (-569))))) (-4 *2 (-13 (-843) (-21)))))) 
+(-13 (-43 |#1|) (-10 -8 (IF (|has| |#2| (-6 -4522)) (IF (|has| |#1| (-6 -4522)) (-6 -4522) |noBranch|) |noBranch|) (-15 -2185 ($ |#1|)) (-15 -2185 ($ (-330 |#2|))) (-15 -1975 ($ |#2| |#1|)) (-15 -1845 ($ |#2| |#1|)))) 
+((-2565 (((-3 |#2| (-635 |#2|)) |#2| (-1163)) 104))) 
+(((-431 |#1| |#2|) (-10 -7 (-15 -2565 ((-3 |#2| (-635 |#2|)) |#2| (-1163)))) (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569))) (-13 (-1183) (-960) (-29 |#1|))) (T -431)) 
+((-2565 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 *3 (-635 *3))) (-5 *1 (-431 *5 *3)) (-4 *3 (-13 (-1183) (-960) (-29 *5)))))) 
+(-10 -7 (-15 -2565 ((-3 |#2| (-635 |#2|)) |#2| (-1163)))) 
+((-1773 (((-635 (-1163)) $) 72)) (-1739 (((-410 (-1159 $)) $ (-608 $)) 268)) (-2773 (($ $ (-289 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-635 (-608 $)) (-635 $)) 233)) (-1647 (((-3 (-608 $) "failed") $) NIL) (((-3 (-1163) "failed") $) 75) (((-3 (-569) "failed") $) NIL) (((-3 |#2| "failed") $) 229) (((-3 (-410 (-954 |#2|)) "failed") $) 319) (((-3 (-954 |#2|) "failed") $) 231) (((-3 (-410 (-569)) "failed") $) NIL)) (-2428 (((-608 $) $) NIL) (((-1163) $) 30) (((-569) $) NIL) ((|#2| $) 227) (((-410 (-954 |#2|)) $) 300) (((-954 |#2|) $) 228) (((-410 (-569)) $) NIL)) (-2265 (((-123) (-123)) 47)) (-4052 (($ $) 87)) (-2359 (((-3 (-608 $) "failed") $) 224)) (-1735 (((-635 (-608 $)) $) 225)) (-4087 (((-3 (-635 $) "failed") $) 243)) (-2848 (((-3 (-2 (|:| |val| $) (|:| -2356 (-569))) "failed") $) 250)) (-3091 (((-3 (-635 $) "failed") $) 241)) (-1806 (((-3 (-2 (|:| -4140 (-569)) (|:| |var| (-608 $))) "failed") $) 259)) (-1874 (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $) 247) (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $ (-123)) 214) (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $ (-1163)) 216)) (-1798 (((-121) $) 19)) (-1801 ((|#2| $) 21)) (-1468 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) 232) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1163)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-1163)) (-635 (-1 $ (-635 $)))) 96) (($ $ (-1163) (-1 $ (-635 $))) NIL) (($ $ (-1163) (-1 $ $)) NIL) (($ $ (-635 (-123)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-123) (-1 $ (-635 $))) NIL) (($ $ (-123) (-1 $ $)) NIL) (($ $ (-1163)) 57) (($ $ (-635 (-1163))) 236) (($ $) 237) (($ $ (-123) $ (-1163)) 60) (($ $ (-635 (-123)) (-635 $) (-1163)) 67) (($ $ (-635 (-1163)) (-635 (-764)) (-635 (-1 $ $))) 107) (($ $ (-635 (-1163)) (-635 (-764)) (-635 (-1 $ (-635 $)))) 238) (($ $ (-1163) (-764) (-1 $ (-635 $))) 94) (($ $ (-1163) (-764) (-1 $ $)) 93)) (-1534 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-635 $)) 106)) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163)) 234)) (-4214 (($ $) 279)) (-3817 (((-888 (-569)) $) 253) (((-888 (-382)) $) 256) (($ (-421 $)) 315) (((-542) $) NIL)) (-2185 (((-851) $) 235) (($ (-608 $)) 84) (($ (-1163)) 26) (($ |#2|) NIL) (($ (-1114 |#2| (-608 $))) NIL) (($ (-410 |#2|)) 284) (($ (-954 (-410 |#2|))) 324) (($ (-410 (-954 (-410 |#2|)))) 296) (($ (-410 (-954 |#2|))) 290) (($ $) NIL) (($ (-954 |#2|)) 183) (($ (-410 (-569))) 329) (($ (-569)) NIL)) (-1991 (((-764)) 79)) (-1524 (((-121) (-123)) 41)) (-3880 (($ (-1163) $) 33) (($ (-1163) $ $) 34) (($ (-1163) $ $ $) 35) (($ (-1163) $ $ $ $) 36) (($ (-1163) (-635 $)) 39)) (* (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL) (($ |#2| $) 261) (($ $ |#2|) NIL) (($ $ $) NIL) (($ (-569) $) NIL) (($ (-764) $) NIL) (($ (-918) $) NIL))) 
+(((-432 |#1| |#2|) (-10 -8 (-15 * (|#1| (-918) |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -1991 ((-764))) (-15 -2185 (|#1| (-569))) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -3817 ((-542) |#1|)) (-15 -2428 ((-954 |#2|) |#1|)) (-15 -1647 ((-3 (-954 |#2|) "failed") |#1|)) (-15 -2185 (|#1| (-954 |#2|))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -2185 (|#1| |#1|)) (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -2428 ((-410 (-954 |#2|)) |#1|)) (-15 -1647 ((-3 (-410 (-954 |#2|)) "failed") |#1|)) (-15 -2185 (|#1| (-410 (-954 |#2|)))) (-15 -1739 ((-410 (-1159 |#1|)) |#1| (-608 |#1|))) (-15 -2185 (|#1| (-410 (-954 (-410 |#2|))))) (-15 -2185 (|#1| (-954 (-410 |#2|)))) (-15 -2185 (|#1| (-410 |#2|))) (-15 -4214 (|#1| |#1|)) (-15 -3817 (|#1| (-421 |#1|))) (-15 -1468 (|#1| |#1| (-1163) (-764) (-1 |#1| |#1|))) (-15 -1468 (|#1| |#1| (-1163) (-764) (-1 |#1| (-635 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 (-764)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 (-764)) (-635 (-1 |#1| |#1|)))) (-15 -2848 ((-3 (-2 (|:| |val| |#1|) (|:| -2356 (-569))) "failed") |#1|)) (-15 -1874 ((-3 (-2 (|:| |var| (-608 |#1|)) (|:| -2356 (-569))) "failed") |#1| (-1163))) (-15 -1874 ((-3 (-2 (|:| |var| (-608 |#1|)) (|:| -2356 (-569))) "failed") |#1| (-123))) (-15 -4052 (|#1| |#1|)) (-15 -2185 (|#1| (-1114 |#2| (-608 |#1|)))) (-15 -1806 ((-3 (-2 (|:| -4140 (-569)) (|:| |var| (-608 |#1|))) "failed") |#1|)) (-15 -3091 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -1874 ((-3 (-2 (|:| |var| (-608 |#1|)) (|:| -2356 (-569))) "failed") |#1|)) (-15 -4087 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -1468 (|#1| |#1| (-635 (-123)) (-635 |#1|) (-1163))) (-15 -1468 (|#1| |#1| (-123) |#1| (-1163))) (-15 -1468 (|#1| |#1|)) (-15 -1468 (|#1| |#1| (-635 (-1163)))) (-15 -1468 (|#1| |#1| (-1163))) (-15 -3880 (|#1| (-1163) (-635 |#1|))) (-15 -3880 (|#1| (-1163) |#1| |#1| |#1| |#1|)) (-15 -3880 (|#1| (-1163) |#1| |#1| |#1|)) (-15 -3880 (|#1| (-1163) |#1| |#1|)) (-15 -3880 (|#1| (-1163) |#1|)) (-15 -1773 ((-635 (-1163)) |#1|)) (-15 -1801 (|#2| |#1|)) (-15 -1798 ((-121) |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -3817 ((-888 (-382)) |#1|)) (-15 -3817 ((-888 (-569)) |#1|)) (-15 -2428 ((-1163) |#1|)) (-15 -1647 ((-3 (-1163) "failed") |#1|)) (-15 -2185 (|#1| (-1163))) (-15 -1468 (|#1| |#1| (-123) (-1 |#1| |#1|))) (-15 -1468 (|#1| |#1| (-123) (-1 |#1| (-635 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1468 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| |#1|)))) (-15 -1468 (|#1| |#1| (-1163) (-1 |#1| |#1|))) (-15 -1468 (|#1| |#1| (-1163) (-1 |#1| (-635 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 (-1 |#1| |#1|)))) (-15 -1524 ((-121) (-123))) (-15 -2265 ((-123) (-123))) (-15 -1735 ((-635 (-608 |#1|)) |#1|)) (-15 -2359 ((-3 (-608 |#1|) "failed") |#1|)) (-15 -2773 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -2773 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2773 (|#1| |#1| (-289 |#1|))) (-15 -1534 (|#1| (-123) (-635 |#1|))) (-15 -1534 (|#1| (-123) |#1| |#1| |#1| |#1|)) (-15 -1534 (|#1| (-123) |#1| |#1| |#1|)) (-15 -1534 (|#1| (-123) |#1| |#1|)) (-15 -1534 (|#1| (-123) |#1|)) (-15 -1468 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#1| |#1|)) (-15 -1468 (|#1| |#1| (-289 |#1|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -1468 (|#1| |#1| (-608 |#1|) |#1|)) (-15 -2428 ((-608 |#1|) |#1|)) (-15 -1647 ((-3 (-608 |#1|) "failed") |#1|)) (-15 -2185 (|#1| (-608 |#1|))) (-15 -2185 ((-851) |#1|))) (-433 |#2|) (-843)) (T -432)) 
+((-2265 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *4 (-843)) (-5 *1 (-432 *3 *4)) (-4 *3 (-433 *4)))) (-1524 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-432 *4 *5)) (-4 *4 (-433 *5)))) (-1991 (*1 *2) (-12 (-4 *4 (-843)) (-5 *2 (-764)) (-5 *1 (-432 *3 *4)) (-4 *3 (-433 *4))))) 
+(-10 -8 (-15 * (|#1| (-918) |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -1991 ((-764))) (-15 -2185 (|#1| (-569))) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -3817 ((-542) |#1|)) (-15 -2428 ((-954 |#2|) |#1|)) (-15 -1647 ((-3 (-954 |#2|) "failed") |#1|)) (-15 -2185 (|#1| (-954 |#2|))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -2185 (|#1| |#1|)) (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -2428 ((-410 (-954 |#2|)) |#1|)) (-15 -1647 ((-3 (-410 (-954 |#2|)) "failed") |#1|)) (-15 -2185 (|#1| (-410 (-954 |#2|)))) (-15 -1739 ((-410 (-1159 |#1|)) |#1| (-608 |#1|))) (-15 -2185 (|#1| (-410 (-954 (-410 |#2|))))) (-15 -2185 (|#1| (-954 (-410 |#2|)))) (-15 -2185 (|#1| (-410 |#2|))) (-15 -4214 (|#1| |#1|)) (-15 -3817 (|#1| (-421 |#1|))) (-15 -1468 (|#1| |#1| (-1163) (-764) (-1 |#1| |#1|))) (-15 -1468 (|#1| |#1| (-1163) (-764) (-1 |#1| (-635 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 (-764)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 (-764)) (-635 (-1 |#1| |#1|)))) (-15 -2848 ((-3 (-2 (|:| |val| |#1|) (|:| -2356 (-569))) "failed") |#1|)) (-15 -1874 ((-3 (-2 (|:| |var| (-608 |#1|)) (|:| -2356 (-569))) "failed") |#1| (-1163))) (-15 -1874 ((-3 (-2 (|:| |var| (-608 |#1|)) (|:| -2356 (-569))) "failed") |#1| (-123))) (-15 -4052 (|#1| |#1|)) (-15 -2185 (|#1| (-1114 |#2| (-608 |#1|)))) (-15 -1806 ((-3 (-2 (|:| -4140 (-569)) (|:| |var| (-608 |#1|))) "failed") |#1|)) (-15 -3091 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -1874 ((-3 (-2 (|:| |var| (-608 |#1|)) (|:| -2356 (-569))) "failed") |#1|)) (-15 -4087 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -1468 (|#1| |#1| (-635 (-123)) (-635 |#1|) (-1163))) (-15 -1468 (|#1| |#1| (-123) |#1| (-1163))) (-15 -1468 (|#1| |#1|)) (-15 -1468 (|#1| |#1| (-635 (-1163)))) (-15 -1468 (|#1| |#1| (-1163))) (-15 -3880 (|#1| (-1163) (-635 |#1|))) (-15 -3880 (|#1| (-1163) |#1| |#1| |#1| |#1|)) (-15 -3880 (|#1| (-1163) |#1| |#1| |#1|)) (-15 -3880 (|#1| (-1163) |#1| |#1|)) (-15 -3880 (|#1| (-1163) |#1|)) (-15 -1773 ((-635 (-1163)) |#1|)) (-15 -1801 (|#2| |#1|)) (-15 -1798 ((-121) |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -3817 ((-888 (-382)) |#1|)) (-15 -3817 ((-888 (-569)) |#1|)) (-15 -2428 ((-1163) |#1|)) (-15 -1647 ((-3 (-1163) "failed") |#1|)) (-15 -2185 (|#1| (-1163))) (-15 -1468 (|#1| |#1| (-123) (-1 |#1| |#1|))) (-15 -1468 (|#1| |#1| (-123) (-1 |#1| (-635 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1468 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| |#1|)))) (-15 -1468 (|#1| |#1| (-1163) (-1 |#1| |#1|))) (-15 -1468 (|#1| |#1| (-1163) (-1 |#1| (-635 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 (-1 |#1| |#1|)))) (-15 -1524 ((-121) (-123))) (-15 -2265 ((-123) (-123))) (-15 -1735 ((-635 (-608 |#1|)) |#1|)) (-15 -2359 ((-3 (-608 |#1|) "failed") |#1|)) (-15 -2773 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -2773 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2773 (|#1| |#1| (-289 |#1|))) (-15 -1534 (|#1| (-123) (-635 |#1|))) (-15 -1534 (|#1| (-123) |#1| |#1| |#1| |#1|)) (-15 -1534 (|#1| (-123) |#1| |#1| |#1|)) (-15 -1534 (|#1| (-123) |#1| |#1|)) (-15 -1534 (|#1| (-123) |#1|)) (-15 -1468 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#1| |#1|)) (-15 -1468 (|#1| |#1| (-289 |#1|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -1468 (|#1| |#1| (-608 |#1|) |#1|)) (-15 -2428 ((-608 |#1|) |#1|)) (-15 -1647 ((-3 (-608 |#1|) "failed") |#1|)) (-15 -2185 (|#1| (-608 |#1|))) (-15 -2185 ((-851) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 108 (|has| |#1| (-25)))) (-1773 (((-635 (-1163)) $) 195)) (-1739 (((-410 (-1159 $)) $ (-608 $)) 163 (|has| |#1| (-559)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 135 (|has| |#1| (-559)))) (-3383 (($ $) 136 (|has| |#1| (-559)))) (-4354 (((-121) $) 138 (|has| |#1| (-559)))) (-4003 (((-635 (-608 $)) $) 43)) (-2327 (((-3 $ "failed") $ $) 110 (|has| |#1| (-21)))) (-2773 (($ $ (-289 $)) 55) (($ $ (-635 (-289 $))) 54) (($ $ (-635 (-608 $)) (-635 $)) 53)) (-2004 (($ $) 155 (|has| |#1| (-559)))) (-2446 (((-421 $) $) 156 (|has| |#1| (-559)))) (-3934 (((-121) $ $) 146 (|has| |#1| (-559)))) (-2820 (($) 94 (-2232 (|has| |#1| (-1103)) (|has| |#1| (-25))) CONST)) (-1647 (((-3 (-608 $) "failed") $) 68) (((-3 (-1163) "failed") $) 208) (((-3 (-569) "failed") $) 201 (|has| |#1| (-1038 (-569)))) (((-3 |#1| "failed") $) 199) (((-3 (-410 (-954 |#1|)) "failed") $) 161 (|has| |#1| (-559))) (((-3 (-954 |#1|) "failed") $) 115 (|has| |#1| (-1048))) (((-3 (-410 (-569)) "failed") $) 87 (-2232 (-12 (|has| |#1| (-1038 (-569))) (|has| |#1| (-559))) (|has| |#1| (-1038 (-410 (-569))))))) (-2428 (((-608 $) $) 67) (((-1163) $) 207) (((-569) $) 202 (|has| |#1| (-1038 (-569)))) ((|#1| $) 198) (((-410 (-954 |#1|)) $) 160 (|has| |#1| (-559))) (((-954 |#1|) $) 114 (|has| |#1| (-1048))) (((-410 (-569)) $) 86 (-2232 (-12 (|has| |#1| (-1038 (-569))) (|has| |#1| (-559))) (|has| |#1| (-1038 (-410 (-569))))))) (-2506 (($ $ $) 150 (|has| |#1| (-559)))) (-1696 (((-680 (-569)) (-680 $)) 129 (-2206 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 128 (-2206 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 127 (|has| |#1| (-1048))) (((-680 |#1|) (-680 $)) 126 (|has| |#1| (-1048)))) (-3428 (((-3 $ "failed") $) 97 (|has| |#1| (-1103)))) (-2524 (($ $ $) 149 (|has| |#1| (-559)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 144 (|has| |#1| (-559)))) (-3726 (((-121) $) 157 (|has| |#1| (-559)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 204 (|has| |#1| (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 203 (|has| |#1| (-882 (-382))))) (-2337 (($ $) 50) (($ (-635 $)) 49)) (-3431 (((-635 (-123)) $) 42)) (-2265 (((-123) (-123)) 41)) (-1407 (((-121) $) 95 (|has| |#1| (-1103)))) (-1931 (((-121) $) 21 (|has| $ (-1038 (-569))))) (-4052 (($ $) 178 (|has| |#1| (-1048)))) (-4116 (((-1114 |#1| (-608 $)) $) 179 (|has| |#1| (-1048)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 153 (|has| |#1| (-559)))) (-4080 (((-1159 $) (-608 $)) 24 (|has| $ (-1048)))) (-3291 (($ $ $) 12)) (-1538 (($ $ $) 13)) (-1544 (($ (-1 $ $) (-608 $)) 35)) (-2359 (((-3 (-608 $) "failed") $) 45)) (-2665 (($ (-635 $)) 142 (|has| |#1| (-559))) (($ $ $) 141 (|has| |#1| (-559)))) (-2776 (((-1145) $) 9)) (-1735 (((-635 (-608 $)) $) 44)) (-1777 (($ (-123) $) 37) (($ (-123) (-635 $)) 36)) (-4087 (((-3 (-635 $) "failed") $) 184 (|has| |#1| (-1103)))) (-2848 (((-3 (-2 (|:| |val| $) (|:| -2356 (-569))) "failed") $) 175 (|has| |#1| (-1048)))) (-3091 (((-3 (-635 $) "failed") $) 182 (|has| |#1| (-25)))) (-1806 (((-3 (-2 (|:| -4140 (-569)) (|:| |var| (-608 $))) "failed") $) 181 (|has| |#1| (-25)))) (-1874 (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $) 183 (|has| |#1| (-1103))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $ (-123)) 177 (|has| |#1| (-1048))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $ (-1163)) 176 (|has| |#1| (-1048)))) (-4029 (((-121) $ (-123)) 39) (((-121) $ (-1163)) 38)) (-1795 (($ $) 99 (-2232 (|has| |#1| (-479)) (|has| |#1| (-559))))) (-2626 (((-764) $) 46)) (-3360 (((-1109) $) 10)) (-1798 (((-121) $) 197)) (-1801 ((|#1| $) 196)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 143 (|has| |#1| (-559)))) (-2714 (($ (-635 $)) 140 (|has| |#1| (-559))) (($ $ $) 139 (|has| |#1| (-559)))) (-1452 (((-121) $ $) 34) (((-121) $ (-1163)) 33)) (-1743 (((-421 $) $) 154 (|has| |#1| (-559)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 152 (|has| |#1| (-559))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 151 (|has| |#1| (-559)))) (-2941 (((-3 $ "failed") $ $) 134 (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 145 (|has| |#1| (-559)))) (-1657 (((-121) $) 22 (|has| $ (-1038 (-569))))) (-1468 (($ $ (-608 $) $) 66) (($ $ (-635 (-608 $)) (-635 $)) 65) (($ $ (-635 (-289 $))) 64) (($ $ (-289 $)) 63) (($ $ $ $) 62) (($ $ (-635 $) (-635 $)) 61) (($ $ (-635 (-1163)) (-635 (-1 $ $))) 32) (($ $ (-635 (-1163)) (-635 (-1 $ (-635 $)))) 31) (($ $ (-1163) (-1 $ (-635 $))) 30) (($ $ (-1163) (-1 $ $)) 29) (($ $ (-635 (-123)) (-635 (-1 $ $))) 28) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) 27) (($ $ (-123) (-1 $ (-635 $))) 26) (($ $ (-123) (-1 $ $)) 25) (($ $ (-1163)) 189 (|has| |#1| (-610 (-542)))) (($ $ (-635 (-1163))) 188 (|has| |#1| (-610 (-542)))) (($ $) 187 (|has| |#1| (-610 (-542)))) (($ $ (-123) $ (-1163)) 186 (|has| |#1| (-610 (-542)))) (($ $ (-635 (-123)) (-635 $) (-1163)) 185 (|has| |#1| (-610 (-542)))) (($ $ (-635 (-1163)) (-635 (-764)) (-635 (-1 $ $))) 174 (|has| |#1| (-1048))) (($ $ (-635 (-1163)) (-635 (-764)) (-635 (-1 $ (-635 $)))) 173 (|has| |#1| (-1048))) (($ $ (-1163) (-764) (-1 $ (-635 $))) 172 (|has| |#1| (-1048))) (($ $ (-1163) (-764) (-1 $ $)) 171 (|has| |#1| (-1048)))) (-2622 (((-764) $) 147 (|has| |#1| (-559)))) (-1534 (($ (-123) $) 60) (($ (-123) $ $) 59) (($ (-123) $ $ $) 58) (($ (-123) $ $ $ $) 57) (($ (-123) (-635 $)) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 148 (|has| |#1| (-559)))) (-4082 (($ $) 48) (($ $ $) 47)) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) 120 (|has| |#1| (-1048))) (($ $ (-1163) (-764)) 119 (|has| |#1| (-1048))) (($ $ (-635 (-1163))) 118 (|has| |#1| (-1048))) (($ $ (-1163)) 117 (|has| |#1| (-1048)))) (-4214 (($ $) 168 (|has| |#1| (-559)))) (-4121 (((-1114 |#1| (-608 $)) $) 169 (|has| |#1| (-559)))) (-2745 (($ $) 23 (|has| $ (-1048)))) (-3817 (((-888 (-569)) $) 206 (|has| |#1| (-610 (-888 (-569))))) (((-888 (-382)) $) 205 (|has| |#1| (-610 (-888 (-382))))) (($ (-421 $)) 170 (|has| |#1| (-559))) (((-542) $) 89 (|has| |#1| (-610 (-542))))) (-1414 (($ $ $) 103 (|has| |#1| (-479)))) (-4293 (($ $ $) 104 (|has| |#1| (-479)))) (-2185 (((-851) $) 11) (($ (-608 $)) 69) (($ (-1163)) 209) (($ |#1|) 200) (($ (-1114 |#1| (-608 $))) 180 (|has| |#1| (-1048))) (($ (-410 |#1|)) 166 (|has| |#1| (-559))) (($ (-954 (-410 |#1|))) 165 (|has| |#1| (-559))) (($ (-410 (-954 (-410 |#1|)))) 164 (|has| |#1| (-559))) (($ (-410 (-954 |#1|))) 162 (|has| |#1| (-559))) (($ $) 133 (|has| |#1| (-559))) (($ (-954 |#1|)) 116 (|has| |#1| (-1048))) (($ (-410 (-569))) 88 (-2232 (|has| |#1| (-559)) (-12 (|has| |#1| (-1038 (-569))) (|has| |#1| (-559))) (|has| |#1| (-1038 (-410 (-569)))))) (($ (-569)) 85 (-2232 (|has| |#1| (-1048)) (|has| |#1| (-1038 (-569)))))) (-3953 (((-3 $ "failed") $) 130 (|has| |#1| (-149)))) (-1991 (((-764)) 125 (|has| |#1| (-1048)))) (-4042 (($ $) 52) (($ (-635 $)) 51)) (-1524 (((-121) (-123)) 40)) (-1961 (((-121) $ $) 137 (|has| |#1| (-559)))) (-3880 (($ (-1163) $) 194) (($ (-1163) $ $) 193) (($ (-1163) $ $ $) 192) (($ (-1163) $ $ $ $) 191) (($ (-1163) (-635 $)) 190)) (-2427 (($ $ (-569)) 102 (-2232 (|has| |#1| (-479)) (|has| |#1| (-559)))) (($ $ (-764)) 96 (|has| |#1| (-1103))) (($ $ (-918)) 92 (|has| |#1| (-1103)))) (-3369 (($) 107 (|has| |#1| (-25)) CONST)) (-1556 (($) 93 (|has| |#1| (-1103)) CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) 124 (|has| |#1| (-1048))) (($ $ (-1163) (-764)) 123 (|has| |#1| (-1048))) (($ $ (-635 (-1163))) 122 (|has| |#1| (-1048))) (($ $ (-1163)) 121 (|has| |#1| (-1048)))) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17)) (-1715 (($ (-1114 |#1| (-608 $)) (-1114 |#1| (-608 $))) 167 (|has| |#1| (-559))) (($ $ $) 100 (-2232 (|has| |#1| (-479)) (|has| |#1| (-559))))) (-1711 (($ $ $) 112 (|has| |#1| (-21))) (($ $) 111 (|has| |#1| (-21)))) (-1707 (($ $ $) 105 (|has| |#1| (-25)))) (** (($ $ (-569)) 101 (-2232 (|has| |#1| (-479)) (|has| |#1| (-559)))) (($ $ (-764)) 98 (|has| |#1| (-1103))) (($ $ (-918)) 91 (|has| |#1| (-1103)))) (* (($ (-410 (-569)) $) 159 (|has| |#1| (-559))) (($ $ (-410 (-569))) 158 (|has| |#1| (-559))) (($ |#1| $) 132 (|has| |#1| (-173))) (($ $ |#1|) 131 (|has| |#1| (-173))) (($ (-569) $) 113 (|has| |#1| (-21))) (($ (-764) $) 109 (|has| |#1| (-25))) (($ (-918) $) 106 (|has| |#1| (-25))) (($ $ $) 90 (|has| |#1| (-1103))))) 
+(((-433 |#1|) (-1278) (-843)) (T -433)) 
+((-1798 (*1 *2 *1) (-12 (-4 *1 (-433 *3)) (-4 *3 (-843)) (-5 *2 (-121)))) (-1801 (*1 *2 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-843)))) (-1773 (*1 *2 *1) (-12 (-4 *1 (-433 *3)) (-4 *3 (-843)) (-5 *2 (-635 (-1163))))) (-3880 (*1 *1 *2 *1) (-12 (-5 *2 (-1163)) (-4 *1 (-433 *3)) (-4 *3 (-843)))) (-3880 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1163)) (-4 *1 (-433 *3)) (-4 *3 (-843)))) (-3880 (*1 *1 *2 *1 *1 *1) (-12 (-5 *2 (-1163)) (-4 *1 (-433 *3)) (-4 *3 (-843)))) (-3880 (*1 *1 *2 *1 *1 *1 *1) (-12 (-5 *2 (-1163)) (-4 *1 (-433 *3)) (-4 *3 (-843)))) (-3880 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-635 *1)) (-4 *1 (-433 *4)) (-4 *4 (-843)))) (-1468 (*1 *1 *1 *2) (-12 (-5 *2 (-1163)) (-4 *1 (-433 *3)) (-4 *3 (-843)) (-4 *3 (-610 (-542))))) (-1468 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-1163))) (-4 *1 (-433 *3)) (-4 *3 (-843)) (-4 *3 (-610 (-542))))) (-1468 (*1 *1 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-843)) (-4 *2 (-610 (-542))))) (-1468 (*1 *1 *1 *2 *1 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1163)) (-4 *1 (-433 *4)) (-4 *4 (-843)) (-4 *4 (-610 (-542))))) (-1468 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-123))) (-5 *3 (-635 *1)) (-5 *4 (-1163)) (-4 *1 (-433 *5)) (-4 *5 (-843)) (-4 *5 (-610 (-542))))) (-4087 (*1 *2 *1) (|partial| -12 (-4 *3 (-1103)) (-4 *3 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-433 *3)))) (-1874 (*1 *2 *1) (|partial| -12 (-4 *3 (-1103)) (-4 *3 (-843)) (-5 *2 (-2 (|:| |var| (-608 *1)) (|:| -2356 (-569)))) (-4 *1 (-433 *3)))) (-3091 (*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-433 *3)))) (-1806 (*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-843)) (-5 *2 (-2 (|:| -4140 (-569)) (|:| |var| (-608 *1)))) (-4 *1 (-433 *3)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1114 *3 (-608 *1))) (-4 *3 (-1048)) (-4 *3 (-843)) (-4 *1 (-433 *3)))) (-4116 (*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *3 (-843)) (-5 *2 (-1114 *3 (-608 *1))) (-4 *1 (-433 *3)))) (-4052 (*1 *1 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-843)) (-4 *2 (-1048)))) (-1874 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-123)) (-4 *4 (-1048)) (-4 *4 (-843)) (-5 *2 (-2 (|:| |var| (-608 *1)) (|:| -2356 (-569)))) (-4 *1 (-433 *4)))) (-1874 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1163)) (-4 *4 (-1048)) (-4 *4 (-843)) (-5 *2 (-2 (|:| |var| (-608 *1)) (|:| -2356 (-569)))) (-4 *1 (-433 *4)))) (-2848 (*1 *2 *1) (|partial| -12 (-4 *3 (-1048)) (-4 *3 (-843)) (-5 *2 (-2 (|:| |val| *1) (|:| -2356 (-569)))) (-4 *1 (-433 *3)))) (-1468 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-635 (-764))) (-5 *4 (-635 (-1 *1 *1))) (-4 *1 (-433 *5)) (-4 *5 (-843)) (-4 *5 (-1048)))) (-1468 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-635 (-764))) (-5 *4 (-635 (-1 *1 (-635 *1)))) (-4 *1 (-433 *5)) (-4 *5 (-843)) (-4 *5 (-1048)))) (-1468 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-764)) (-5 *4 (-1 *1 (-635 *1))) (-4 *1 (-433 *5)) (-4 *5 (-843)) (-4 *5 (-1048)))) (-1468 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-764)) (-5 *4 (-1 *1 *1)) (-4 *1 (-433 *5)) (-4 *5 (-843)) (-4 *5 (-1048)))) (-3817 (*1 *1 *2) (-12 (-5 *2 (-421 *1)) (-4 *1 (-433 *3)) (-4 *3 (-559)) (-4 *3 (-843)))) (-4121 (*1 *2 *1) (-12 (-4 *3 (-559)) (-4 *3 (-843)) (-5 *2 (-1114 *3 (-608 *1))) (-4 *1 (-433 *3)))) (-4214 (*1 *1 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-843)) (-4 *2 (-559)))) (-1715 (*1 *1 *2 *2) (-12 (-5 *2 (-1114 *3 (-608 *1))) (-4 *3 (-559)) (-4 *3 (-843)) (-4 *1 (-433 *3)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-410 *3)) (-4 *3 (-559)) (-4 *3 (-843)) (-4 *1 (-433 *3)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-954 (-410 *3))) (-4 *3 (-559)) (-4 *3 (-843)) (-4 *1 (-433 *3)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-410 (-954 (-410 *3)))) (-4 *3 (-559)) (-4 *3 (-843)) (-4 *1 (-433 *3)))) (-1739 (*1 *2 *1 *3) (-12 (-5 *3 (-608 *1)) (-4 *1 (-433 *4)) (-4 *4 (-843)) (-4 *4 (-559)) (-5 *2 (-410 (-1159 *1))))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-433 *3)) (-4 *3 (-843)) (-4 *3 (-1103))))) 
+(-13 (-297) (-1038 (-1163)) (-880 |t#1|) (-403 |t#1|) (-414 |t#1|) (-10 -8 (-15 -1798 ((-121) $)) (-15 -1801 (|t#1| $)) (-15 -1773 ((-635 (-1163)) $)) (-15 -3880 ($ (-1163) $)) (-15 -3880 ($ (-1163) $ $)) (-15 -3880 ($ (-1163) $ $ $)) (-15 -3880 ($ (-1163) $ $ $ $)) (-15 -3880 ($ (-1163) (-635 $))) (IF (|has| |t#1| (-610 (-542))) (PROGN (-6 (-610 (-542))) (-15 -1468 ($ $ (-1163))) (-15 -1468 ($ $ (-635 (-1163)))) (-15 -1468 ($ $)) (-15 -1468 ($ $ (-123) $ (-1163))) (-15 -1468 ($ $ (-635 (-123)) (-635 $) (-1163)))) |noBranch|) (IF (|has| |t#1| (-1103)) (PROGN (-6 (-717)) (-15 ** ($ $ (-764))) (-15 -4087 ((-3 (-635 $) "failed") $)) (-15 -1874 ((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $))) |noBranch|) (IF (|has| |t#1| (-479)) (-6 (-479)) |noBranch|) (IF (|has| |t#1| (-25)) (PROGN (-6 (-23)) (-15 -3091 ((-3 (-635 $) "failed") $)) (-15 -1806 ((-3 (-2 (|:| -4140 (-569)) (|:| |var| (-608 $))) "failed") $))) |noBranch|) (IF (|has| |t#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |t#1| (-1048)) (PROGN (-6 (-1048)) (-6 (-1038 (-954 |t#1|))) (-6 (-896 (-1163))) (-6 (-380 |t#1|)) (-15 -2185 ($ (-1114 |t#1| (-608 $)))) (-15 -4116 ((-1114 |t#1| (-608 $)) $)) (-15 -4052 ($ $)) (-15 -1874 ((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $ (-123))) (-15 -1874 ((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $ (-1163))) (-15 -2848 ((-3 (-2 (|:| |val| $) (|:| -2356 (-569))) "failed") $)) (-15 -1468 ($ $ (-635 (-1163)) (-635 (-764)) (-635 (-1 $ $)))) (-15 -1468 ($ $ (-635 (-1163)) (-635 (-764)) (-635 (-1 $ (-635 $))))) (-15 -1468 ($ $ (-1163) (-764) (-1 $ (-635 $)))) (-15 -1468 ($ $ (-1163) (-764) (-1 $ $)))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-173)) (-6 (-43 |t#1|)) |noBranch|) (IF (|has| |t#1| (-559)) (PROGN (-6 (-366)) (-6 (-1038 (-410 (-954 |t#1|)))) (-15 -3817 ($ (-421 $))) (-15 -4121 ((-1114 |t#1| (-608 $)) $)) (-15 -4214 ($ $)) (-15 -1715 ($ (-1114 |t#1| (-608 $)) (-1114 |t#1| (-608 $)))) (-15 -2185 ($ (-410 |t#1|))) (-15 -2185 ($ (-954 (-410 |t#1|)))) (-15 -2185 ($ (-410 (-954 (-410 |t#1|))))) (-15 -1739 ((-410 (-1159 $)) $ (-608 $))) (IF (|has| |t#1| (-1038 (-569))) (-6 (-1038 (-410 (-569)))) |noBranch|)) |noBranch|))) 
+(((-21) -2232 (|has| |#1| (-1048)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149)) (|has| |#1| (-21))) ((-23) -2232 (|has| |#1| (-1048)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149)) (|has| |#1| (-25)) (|has| |#1| (-21))) ((-25) -2232 (|has| |#1| (-1048)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149)) (|has| |#1| (-25)) (|has| |#1| (-21))) ((-43 (-410 (-569))) |has| |#1| (-559)) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-559)) ((-120 |#1| |#1|) |has| |#1| (-173)) ((-120 $ $) |has| |#1| (-559)) ((-138) -2232 (|has| |#1| (-1048)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149)) (|has| |#1| (-21))) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) |has| |#1| (-559)) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-610 (-888 (-382))) |has| |#1| (-610 (-888 (-382)))) ((-610 (-888 (-569))) |has| |#1| (-610 (-888 (-569)))) ((-239) |has| |#1| (-559)) ((-286) |has| |#1| (-559)) ((-302) |has| |#1| (-559)) ((-304 $) . T) ((-297) . T) ((-366) |has| |#1| (-559)) ((-380 |#1|) |has| |#1| (-1048)) ((-403 |#1|) . T) ((-414 |#1|) . T) ((-454) |has| |#1| (-559)) ((-479) |has| |#1| (-479)) ((-524 (-608 $) $) . T) ((-524 $ $) . T) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-559)) ((-638 |#1|) |has| |#1| (-173)) ((-638 $) -2232 (|has| |#1| (-1048)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149))) ((-631 (-569)) -12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))) ((-631 |#1|) |has| |#1| (-1048)) ((-708 (-410 (-569))) |has| |#1| (-559)) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) |has| |#1| (-559)) ((-717) -2232 (|has| |#1| (-1103)) (|has| |#1| (-1048)) (|has| |#1| (-559)) (|has| |#1| (-479)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149))) ((-843) . T) ((-896 (-1163)) |has| |#1| (-1048)) ((-882 (-382)) |has| |#1| (-882 (-382))) ((-882 (-569)) |has| |#1| (-882 (-569))) ((-880 |#1|) . T) ((-917) |has| |#1| (-559)) ((-1038 (-410 (-569))) -2232 (|has| |#1| (-1038 (-410 (-569)))) (-12 (|has| |#1| (-559)) (|has| |#1| (-1038 (-569))))) ((-1038 (-410 (-954 |#1|))) |has| |#1| (-559)) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 (-608 $)) . T) ((-1038 (-954 |#1|)) |has| |#1| (-1048)) ((-1038 (-1163)) . T) ((-1038 |#1|) . T) ((-1054 (-410 (-569))) |has| |#1| (-559)) ((-1054 |#1|) |has| |#1| (-173)) ((-1054 $) |has| |#1| (-559)) ((-1048) -2232 (|has| |#1| (-1048)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149))) ((-1055) -2232 (|has| |#1| (-1048)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149))) ((-1103) -2232 (|has| |#1| (-1103)) (|has| |#1| (-1048)) (|has| |#1| (-559)) (|has| |#1| (-479)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149))) ((-1091) . T) ((-1197) . T) ((-1202) |has| |#1| (-559))) 
+((-3429 ((|#2| |#2| |#2|) 33)) (-2265 (((-123) (-123)) 44)) (-3228 ((|#2| (-635 |#2|)) 79)) (-1656 ((|#2| |#2|) 77)) (-3339 ((|#2| |#2|) 68)) (-3924 ((|#2| |#2|) 71)) (-2323 ((|#2| (-635 |#2|)) 75)) (-4066 ((|#2| (-635 |#2|)) 83)) (-1855 ((|#2| (-635 |#2|)) 87)) (-2220 ((|#2| (-635 |#2|)) 81)) (-3376 ((|#2| (-635 |#2|)) 85)) (-3960 ((|#2| |#2|) 91)) (-4491 ((|#2| |#2|) 89)) (-1394 ((|#2| |#2|) 32)) (-3367 ((|#2| |#2| |#2|) 35)) (-3349 ((|#2| |#2| |#2|) 37)) (-2178 ((|#2| |#2| |#2|) 34)) (-3627 ((|#2| |#2| |#2|) 36)) (-1524 (((-121) (-123)) 42)) (-3759 ((|#2| |#2|) 39)) (-4395 ((|#2| |#2|) 38)) (-1616 ((|#2| |#2|) 27)) (-3814 ((|#2| |#2| |#2|) 30) ((|#2| |#2|) 28)) (-1485 ((|#2| |#2| |#2|) 31))) 
+(((-434 |#1| |#2|) (-10 -7 (-15 -1524 ((-121) (-123))) (-15 -2265 ((-123) (-123))) (-15 -1616 (|#2| |#2|)) (-15 -3814 (|#2| |#2|)) (-15 -3814 (|#2| |#2| |#2|)) (-15 -1485 (|#2| |#2| |#2|)) (-15 -1394 (|#2| |#2|)) (-15 -3429 (|#2| |#2| |#2|)) (-15 -2178 (|#2| |#2| |#2|)) (-15 -3367 (|#2| |#2| |#2|)) (-15 -3627 (|#2| |#2| |#2|)) (-15 -3349 (|#2| |#2| |#2|)) (-15 -4395 (|#2| |#2|)) (-15 -3759 (|#2| |#2|)) (-15 -3924 (|#2| |#2|)) (-15 -3339 (|#2| |#2|)) (-15 -2323 (|#2| (-635 |#2|))) (-15 -1656 (|#2| |#2|)) (-15 -3228 (|#2| (-635 |#2|))) (-15 -2220 (|#2| (-635 |#2|))) (-15 -4066 (|#2| (-635 |#2|))) (-15 -3376 (|#2| (-635 |#2|))) (-15 -1855 (|#2| (-635 |#2|))) (-15 -4491 (|#2| |#2|)) (-15 -3960 (|#2| |#2|))) (-13 (-843) (-559)) (-433 |#1|)) (T -434)) 
+((-3960 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-4491 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-1855 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-843) (-559))))) (-3376 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-843) (-559))))) (-4066 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-843) (-559))))) (-2220 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-843) (-559))))) (-3228 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-843) (-559))))) (-1656 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-2323 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-843) (-559))))) (-3339 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3924 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3759 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-4395 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3349 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3627 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3367 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-2178 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3429 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-1394 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-1485 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3814 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3814 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-1616 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-2265 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *4)) (-4 *4 (-433 *3)))) (-1524 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-121)) (-5 *1 (-434 *4 *5)) (-4 *5 (-433 *4))))) 
+(-10 -7 (-15 -1524 ((-121) (-123))) (-15 -2265 ((-123) (-123))) (-15 -1616 (|#2| |#2|)) (-15 -3814 (|#2| |#2|)) (-15 -3814 (|#2| |#2| |#2|)) (-15 -1485 (|#2| |#2| |#2|)) (-15 -1394 (|#2| |#2|)) (-15 -3429 (|#2| |#2| |#2|)) (-15 -2178 (|#2| |#2| |#2|)) (-15 -3367 (|#2| |#2| |#2|)) (-15 -3627 (|#2| |#2| |#2|)) (-15 -3349 (|#2| |#2| |#2|)) (-15 -4395 (|#2| |#2|)) (-15 -3759 (|#2| |#2|)) (-15 -3924 (|#2| |#2|)) (-15 -3339 (|#2| |#2|)) (-15 -2323 (|#2| (-635 |#2|))) (-15 -1656 (|#2| |#2|)) (-15 -3228 (|#2| (-635 |#2|))) (-15 -2220 (|#2| (-635 |#2|))) (-15 -4066 (|#2| (-635 |#2|))) (-15 -3376 (|#2| (-635 |#2|))) (-15 -1855 (|#2| (-635 |#2|))) (-15 -4491 (|#2| |#2|)) (-15 -3960 (|#2| |#2|))) 
+((-3188 (((-2 (|:| |primelt| |#2|) (|:| |pol1| (-1159 |#2|)) (|:| |pol2| (-1159 |#2|)) (|:| |prim| (-1159 |#2|))) |#2| |#2|) 93 (|has| |#2| (-27))) (((-2 (|:| |primelt| |#2|) (|:| |poly| (-635 (-1159 |#2|))) (|:| |prim| (-1159 |#2|))) (-635 |#2|)) 58))) 
+(((-435 |#1| |#2|) (-10 -7 (-15 -3188 ((-2 (|:| |primelt| |#2|) (|:| |poly| (-635 (-1159 |#2|))) (|:| |prim| (-1159 |#2|))) (-635 |#2|))) (IF (|has| |#2| (-27)) (-15 -3188 ((-2 (|:| |primelt| |#2|) (|:| |pol1| (-1159 |#2|)) (|:| |pol2| (-1159 |#2|)) (|:| |prim| (-1159 |#2|))) |#2| |#2|)) |noBranch|)) (-13 (-559) (-843) (-151)) (-433 |#1|)) (T -435)) 
+((-3188 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-559) (-843) (-151))) (-5 *2 (-2 (|:| |primelt| *3) (|:| |pol1| (-1159 *3)) (|:| |pol2| (-1159 *3)) (|:| |prim| (-1159 *3)))) (-5 *1 (-435 *4 *3)) (-4 *3 (-27)) (-4 *3 (-433 *4)))) (-3188 (*1 *2 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-433 *4)) (-4 *4 (-13 (-559) (-843) (-151))) (-5 *2 (-2 (|:| |primelt| *5) (|:| |poly| (-635 (-1159 *5))) (|:| |prim| (-1159 *5)))) (-5 *1 (-435 *4 *5))))) 
+(-10 -7 (-15 -3188 ((-2 (|:| |primelt| |#2|) (|:| |poly| (-635 (-1159 |#2|))) (|:| |prim| (-1159 |#2|))) (-635 |#2|))) (IF (|has| |#2| (-27)) (-15 -3188 ((-2 (|:| |primelt| |#2|) (|:| |pol1| (-1159 |#2|)) (|:| |pol2| (-1159 |#2|)) (|:| |prim| (-1159 |#2|))) |#2| |#2|)) |noBranch|)) 
+((-2237 (((-1252)) 18)) (-3542 (((-1159 (-410 (-569))) |#2| (-608 |#2|)) 40) (((-410 (-569)) |#2|) 23))) 
+(((-436 |#1| |#2|) (-10 -7 (-15 -3542 ((-410 (-569)) |#2|)) (-15 -3542 ((-1159 (-410 (-569))) |#2| (-608 |#2|))) (-15 -2237 ((-1252)))) (-13 (-843) (-559) (-1038 (-569))) (-433 |#1|)) (T -436)) 
+((-2237 (*1 *2) (-12 (-4 *3 (-13 (-843) (-559) (-1038 (-569)))) (-5 *2 (-1252)) (-5 *1 (-436 *3 *4)) (-4 *4 (-433 *3)))) (-3542 (*1 *2 *3 *4) (-12 (-5 *4 (-608 *3)) (-4 *3 (-433 *5)) (-4 *5 (-13 (-843) (-559) (-1038 (-569)))) (-5 *2 (-1159 (-410 (-569)))) (-5 *1 (-436 *5 *3)))) (-3542 (*1 *2 *3) (-12 (-4 *4 (-13 (-843) (-559) (-1038 (-569)))) (-5 *2 (-410 (-569))) (-5 *1 (-436 *4 *3)) (-4 *3 (-433 *4))))) 
+(-10 -7 (-15 -3542 ((-410 (-569)) |#2|)) (-15 -3542 ((-1159 (-410 (-569))) |#2| (-608 |#2|))) (-15 -2237 ((-1252)))) 
+((-2387 (((-121) $) 28)) (-3666 (((-121) $) 30)) (-3750 (((-121) $) 31)) (-4041 (((-121) $) 34)) (-3738 (((-121) $) 29)) (-2624 (((-121) $) 33)) (-2185 (((-851) $) 18) (($ (-1145)) 27) (($ (-1163)) 23) (((-1163) $) 22) (((-1095) $) 21)) (-3946 (((-121) $) 32)) (-1668 (((-121) $ $) 15))) 
+(((-437) (-13 (-609 (-851)) (-10 -8 (-15 -2185 ($ (-1145))) (-15 -2185 ($ (-1163))) (-15 -2185 ((-1163) $)) (-15 -2185 ((-1095) $)) (-15 -2387 ((-121) $)) (-15 -3738 ((-121) $)) (-15 -3750 ((-121) $)) (-15 -2624 ((-121) $)) (-15 -4041 ((-121) $)) (-15 -3946 ((-121) $)) (-15 -3666 ((-121) $)) (-15 -1668 ((-121) $ $))))) (T -437)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-437)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-437)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-437)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-1095)) (-5 *1 (-437)))) (-2387 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-3738 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-3750 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-2624 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-4041 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-3946 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-3666 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-1668 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437))))) 
+(-13 (-609 (-851)) (-10 -8 (-15 -2185 ($ (-1145))) (-15 -2185 ($ (-1163))) (-15 -2185 ((-1163) $)) (-15 -2185 ((-1095) $)) (-15 -2387 ((-121) $)) (-15 -3738 ((-121) $)) (-15 -3750 ((-121) $)) (-15 -2624 ((-121) $)) (-15 -4041 ((-121) $)) (-15 -3946 ((-121) $)) (-15 -3666 ((-121) $)) (-15 -1668 ((-121) $ $)))) 
+((-3252 (((-3 (-421 (-1159 (-410 (-569)))) "failed") |#3|) 68)) (-1351 (((-421 |#3|) |#3|) 33)) (-4264 (((-3 (-421 (-1159 (-53))) "failed") |#3|) 27 (|has| |#2| (-1038 (-53))))) (-1487 (((-3 (|:| |overq| (-1159 (-410 (-569)))) (|:| |overan| (-1159 (-53))) (|:| -1546 (-121))) |#3|) 35))) 
+(((-438 |#1| |#2| |#3|) (-10 -7 (-15 -1351 ((-421 |#3|) |#3|)) (-15 -3252 ((-3 (-421 (-1159 (-410 (-569)))) "failed") |#3|)) (-15 -1487 ((-3 (|:| |overq| (-1159 (-410 (-569)))) (|:| |overan| (-1159 (-53))) (|:| -1546 (-121))) |#3|)) (IF (|has| |#2| (-1038 (-53))) (-15 -4264 ((-3 (-421 (-1159 (-53))) "failed") |#3|)) |noBranch|)) (-13 (-559) (-843) (-1038 (-569))) (-433 |#1|) (-1222 |#2|)) (T -438)) 
+((-4264 (*1 *2 *3) (|partial| -12 (-4 *5 (-1038 (-53))) (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-421 (-1159 (-53)))) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1222 *5)))) (-1487 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-3 (|:| |overq| (-1159 (-410 (-569)))) (|:| |overan| (-1159 (-53))) (|:| -1546 (-121)))) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1222 *5)))) (-3252 (*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-421 (-1159 (-410 (-569))))) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1222 *5)))) (-1351 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-421 *3)) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1222 *5))))) 
+(-10 -7 (-15 -1351 ((-421 |#3|) |#3|)) (-15 -3252 ((-3 (-421 (-1159 (-410 (-569)))) "failed") |#3|)) (-15 -1487 ((-3 (|:| |overq| (-1159 (-410 (-569)))) (|:| |overan| (-1159 (-53))) (|:| -1546 (-121))) |#3|)) (IF (|has| |#2| (-1038 (-53))) (-15 -4264 ((-3 (-421 (-1159 (-53))) "failed") |#3|)) |noBranch|)) 
+((-2568 (((-121) $ $) NIL)) (-1331 (((-1145) $ (-1145)) NIL)) (-3030 (($ $ (-1145)) NIL)) (-4154 (((-1145) $) NIL)) (-1409 (((-391) (-391) (-391)) 17) (((-391) (-391)) 15)) (-3230 (($ (-391)) NIL) (($ (-391) (-1145)) NIL)) (-1486 (((-391) $) NIL)) (-2776 (((-1145) $) NIL)) (-2160 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-3142 (((-1252) (-1145)) 9)) (-2594 (((-1252) (-1145)) 10)) (-3712 (((-1252)) 11)) (-4061 (((-1252) $) NIL)) (-2185 (((-851) $) NIL)) (-4084 (($ $) 34)) (-1668 (((-121) $ $) NIL))) 
+(((-439) (-13 (-367 (-391) (-1145)) (-10 -7 (-15 -1409 ((-391) (-391) (-391))) (-15 -1409 ((-391) (-391))) (-15 -3142 ((-1252) (-1145))) (-15 -2594 ((-1252) (-1145))) (-15 -3712 ((-1252)))))) (T -439)) 
+((-1409 (*1 *2 *2 *2) (-12 (-5 *2 (-391)) (-5 *1 (-439)))) (-1409 (*1 *2 *2) (-12 (-5 *2 (-391)) (-5 *1 (-439)))) (-3142 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-439)))) (-2594 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-439)))) (-3712 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-439))))) 
+(-13 (-367 (-391) (-1145)) (-10 -7 (-15 -1409 ((-391) (-391) (-391))) (-15 -1409 ((-391) (-391))) (-15 -3142 ((-1252) (-1145))) (-15 -2594 ((-1252) (-1145))) (-15 -3712 ((-1252))))) 
+((-2568 (((-121) $ $) NIL)) (-3398 (((-3 (|:| |fst| (-437)) (|:| -1861 "void")) $) 10)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2531 (($) 31)) (-3941 (($) 37)) (-2634 (($) 33)) (-4236 (($) 35)) (-1513 (($) 32)) (-4102 (($) 34)) (-2998 (($) 36)) (-1836 (((-121) $) 8)) (-1604 (((-635 (-954 (-569))) $) 16)) (-2139 (($ (-3 (|:| |fst| (-437)) (|:| -1861 "void")) (-635 (-1163)) (-121)) 25) (($ (-3 (|:| |fst| (-437)) (|:| -1861 "void")) (-635 (-954 (-569))) (-121)) 26)) (-2185 (((-851) $) 21) (($ (-437)) 28)) (-1668 (((-121) $ $) NIL))) 
+(((-440) (-13 (-1091) (-10 -8 (-15 -2185 ((-851) $)) (-15 -2185 ($ (-437))) (-15 -3398 ((-3 (|:| |fst| (-437)) (|:| -1861 "void")) $)) (-15 -1604 ((-635 (-954 (-569))) $)) (-15 -1836 ((-121) $)) (-15 -2139 ($ (-3 (|:| |fst| (-437)) (|:| -1861 "void")) (-635 (-1163)) (-121))) (-15 -2139 ($ (-3 (|:| |fst| (-437)) (|:| -1861 "void")) (-635 (-954 (-569))) (-121))) (-15 -2531 ($)) (-15 -1513 ($)) (-15 -2634 ($)) (-15 -3941 ($)) (-15 -4102 ($)) (-15 -4236 ($)) (-15 -2998 ($))))) (T -440)) 
+((-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-440)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-437)) (-5 *1 (-440)))) (-3398 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *1 (-440)))) (-1604 (*1 *2 *1) (-12 (-5 *2 (-635 (-954 (-569)))) (-5 *1 (-440)))) (-1836 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-440)))) (-2139 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *3 (-635 (-1163))) (-5 *4 (-121)) (-5 *1 (-440)))) (-2139 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-121)) (-5 *1 (-440)))) (-2531 (*1 *1) (-5 *1 (-440))) (-1513 (*1 *1) (-5 *1 (-440))) (-2634 (*1 *1) (-5 *1 (-440))) (-3941 (*1 *1) (-5 *1 (-440))) (-4102 (*1 *1) (-5 *1 (-440))) (-4236 (*1 *1) (-5 *1 (-440))) (-2998 (*1 *1) (-5 *1 (-440)))) 
+(-13 (-1091) (-10 -8 (-15 -2185 ((-851) $)) (-15 -2185 ($ (-437))) (-15 -3398 ((-3 (|:| |fst| (-437)) (|:| -1861 "void")) $)) (-15 -1604 ((-635 (-954 (-569))) $)) (-15 -1836 ((-121) $)) (-15 -2139 ($ (-3 (|:| |fst| (-437)) (|:| -1861 "void")) (-635 (-1163)) (-121))) (-15 -2139 ($ (-3 (|:| |fst| (-437)) (|:| -1861 "void")) (-635 (-954 (-569))) (-121))) (-15 -2531 ($)) (-15 -1513 ($)) (-15 -2634 ($)) (-15 -3941 ($)) (-15 -4102 ($)) (-15 -4236 ($)) (-15 -2998 ($)))) 
+((-2568 (((-121) $ $) NIL)) (-1486 (((-1163) $) 8)) (-2776 (((-1145) $) 16)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 11)) (-1668 (((-121) $ $) 13))) 
+(((-441 |#1|) (-13 (-1091) (-10 -8 (-15 -1486 ((-1163) $)))) (-1163)) (T -441)) 
+((-1486 (*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-441 *3)) (-14 *3 *2)))) 
+(-13 (-1091) (-10 -8 (-15 -1486 ((-1163) $)))) 
+((-3836 (((-1252) $) 7)) (-2185 (((-851) $) 8) (($ (-1247 (-689))) 12) (($ (-635 (-329))) 11) (($ (-329)) 10) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 9))) 
+(((-442) (-1278)) (T -442)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-689))) (-4 *1 (-442)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-442)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-442)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) (-4 *1 (-442))))) 
+(-13 (-398) (-10 -8 (-15 -2185 ($ (-1247 (-689)))) (-15 -2185 ($ (-635 (-329)))) (-15 -2185 ($ (-329))) (-15 -2185 ($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329)))))))) 
+(((-609 (-851)) . T) ((-398) . T) ((-1197) . T)) 
+((-1647 (((-3 $ "failed") (-1247 (-311 (-382)))) 19) (((-3 $ "failed") (-1247 (-311 (-569)))) 17) (((-3 $ "failed") (-1247 (-954 (-382)))) 15) (((-3 $ "failed") (-1247 (-954 (-569)))) 13) (((-3 $ "failed") (-1247 (-410 (-954 (-382))))) 11) (((-3 $ "failed") (-1247 (-410 (-954 (-569))))) 9)) (-2428 (($ (-1247 (-311 (-382)))) 20) (($ (-1247 (-311 (-569)))) 18) (($ (-1247 (-954 (-382)))) 16) (($ (-1247 (-954 (-569)))) 14) (($ (-1247 (-410 (-954 (-382))))) 12) (($ (-1247 (-410 (-954 (-569))))) 10)) (-3836 (((-1252) $) 7)) (-2185 (((-851) $) 8) (($ (-635 (-329))) 23) (($ (-329)) 22) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 21))) 
+(((-443) (-1278)) (T -443)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-443)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-443)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) (-4 *1 (-443)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-1247 (-311 (-382)))) (-4 *1 (-443)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-1247 (-311 (-382)))) (-4 *1 (-443)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-1247 (-311 (-569)))) (-4 *1 (-443)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-1247 (-311 (-569)))) (-4 *1 (-443)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-1247 (-954 (-382)))) (-4 *1 (-443)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-1247 (-954 (-382)))) (-4 *1 (-443)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-1247 (-954 (-569)))) (-4 *1 (-443)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-1247 (-954 (-569)))) (-4 *1 (-443)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-1247 (-410 (-954 (-382))))) (-4 *1 (-443)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-1247 (-410 (-954 (-382))))) (-4 *1 (-443)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-1247 (-410 (-954 (-569))))) (-4 *1 (-443)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-1247 (-410 (-954 (-569))))) (-4 *1 (-443))))) 
+(-13 (-398) (-10 -8 (-15 -2185 ($ (-635 (-329)))) (-15 -2185 ($ (-329))) (-15 -2185 ($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329)))))) (-15 -2428 ($ (-1247 (-311 (-382))))) (-15 -1647 ((-3 $ "failed") (-1247 (-311 (-382))))) (-15 -2428 ($ (-1247 (-311 (-569))))) (-15 -1647 ((-3 $ "failed") (-1247 (-311 (-569))))) (-15 -2428 ($ (-1247 (-954 (-382))))) (-15 -1647 ((-3 $ "failed") (-1247 (-954 (-382))))) (-15 -2428 ($ (-1247 (-954 (-569))))) (-15 -1647 ((-3 $ "failed") (-1247 (-954 (-569))))) (-15 -2428 ($ (-1247 (-410 (-954 (-382)))))) (-15 -1647 ((-3 $ "failed") (-1247 (-410 (-954 (-382)))))) (-15 -2428 ($ (-1247 (-410 (-954 (-569)))))) (-15 -1647 ((-3 $ "failed") (-1247 (-410 (-954 (-569)))))))) 
+(((-609 (-851)) . T) ((-398) . T) ((-1197) . T)) 
+((-3052 (((-121)) 17)) (-3991 (((-121) (-121)) 18)) (-4146 (((-121)) 13)) (-2028 (((-121) (-121)) 14)) (-2200 (((-121)) 15)) (-2822 (((-121) (-121)) 16)) (-2791 (((-918) (-918)) 21) (((-918)) 20)) (-1476 (((-764) (-635 (-2 (|:| -1743 |#1|) (|:| -2492 (-569))))) 41)) (-2837 (((-918) (-918)) 23) (((-918)) 22)) (-2491 (((-2 (|:| -1578 (-569)) (|:| -1640 (-635 |#1|))) |#1|) 61)) (-3628 (((-421 |#1|) (-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| |#1|) (|:| -4245 (-569))))))) 125)) (-3952 (((-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| |#1|) (|:| -4245 (-569)))))) |#1| (-121)) 151)) (-2186 (((-421 |#1|) |#1| (-764) (-764)) 164) (((-421 |#1|) |#1| (-635 (-764)) (-764)) 161) (((-421 |#1|) |#1| (-635 (-764))) 163) (((-421 |#1|) |#1| (-764)) 162) (((-421 |#1|) |#1|) 160)) (-3100 (((-3 |#1| "failed") (-918) |#1| (-635 (-764)) (-764) (-121)) 166) (((-3 |#1| "failed") (-918) |#1| (-635 (-764)) (-764)) 167) (((-3 |#1| "failed") (-918) |#1| (-635 (-764))) 169) (((-3 |#1| "failed") (-918) |#1| (-764)) 168) (((-3 |#1| "failed") (-918) |#1|) 170)) (-1743 (((-421 |#1|) |#1| (-764) (-764)) 159) (((-421 |#1|) |#1| (-635 (-764)) (-764)) 155) (((-421 |#1|) |#1| (-635 (-764))) 157) (((-421 |#1|) |#1| (-764)) 156) (((-421 |#1|) |#1|) 154)) (-3217 (((-121) |#1|) 36)) (-1821 (((-728 (-764)) (-635 (-2 (|:| -1743 |#1|) (|:| -2492 (-569))))) 66)) (-3942 (((-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| |#1|) (|:| -4245 (-569)))))) |#1| (-121) (-1093 (-764)) (-764)) 153))) 
+(((-444 |#1|) (-10 -7 (-15 -3628 ((-421 |#1|) (-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| |#1|) (|:| -4245 (-569)))))))) (-15 -1821 ((-728 (-764)) (-635 (-2 (|:| -1743 |#1|) (|:| -2492 (-569)))))) (-15 -2837 ((-918))) (-15 -2837 ((-918) (-918))) (-15 -2791 ((-918))) (-15 -2791 ((-918) (-918))) (-15 -1476 ((-764) (-635 (-2 (|:| -1743 |#1|) (|:| -2492 (-569)))))) (-15 -2491 ((-2 (|:| -1578 (-569)) (|:| -1640 (-635 |#1|))) |#1|)) (-15 -3052 ((-121))) (-15 -3991 ((-121) (-121))) (-15 -4146 ((-121))) (-15 -2028 ((-121) (-121))) (-15 -3217 ((-121) |#1|)) (-15 -2200 ((-121))) (-15 -2822 ((-121) (-121))) (-15 -1743 ((-421 |#1|) |#1|)) (-15 -1743 ((-421 |#1|) |#1| (-764))) (-15 -1743 ((-421 |#1|) |#1| (-635 (-764)))) (-15 -1743 ((-421 |#1|) |#1| (-635 (-764)) (-764))) (-15 -1743 ((-421 |#1|) |#1| (-764) (-764))) (-15 -2186 ((-421 |#1|) |#1|)) (-15 -2186 ((-421 |#1|) |#1| (-764))) (-15 -2186 ((-421 |#1|) |#1| (-635 (-764)))) (-15 -2186 ((-421 |#1|) |#1| (-635 (-764)) (-764))) (-15 -2186 ((-421 |#1|) |#1| (-764) (-764))) (-15 -3100 ((-3 |#1| "failed") (-918) |#1|)) (-15 -3100 ((-3 |#1| "failed") (-918) |#1| (-764))) (-15 -3100 ((-3 |#1| "failed") (-918) |#1| (-635 (-764)))) (-15 -3100 ((-3 |#1| "failed") (-918) |#1| (-635 (-764)) (-764))) (-15 -3100 ((-3 |#1| "failed") (-918) |#1| (-635 (-764)) (-764) (-121))) (-15 -3952 ((-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| |#1|) (|:| -4245 (-569)))))) |#1| (-121))) (-15 -3942 ((-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| |#1|) (|:| -4245 (-569)))))) |#1| (-121) (-1093 (-764)) (-764)))) (-1222 (-569))) (T -444)) 
+((-3942 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-121)) (-5 *5 (-1093 (-764))) (-5 *6 (-764)) (-5 *2 (-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| *3) (|:| -4245 (-569))))))) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-3952 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *2 (-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| *3) (|:| -4245 (-569))))))) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-3100 (*1 *2 *3 *2 *4 *5 *6) (|partial| -12 (-5 *3 (-918)) (-5 *4 (-635 (-764))) (-5 *5 (-764)) (-5 *6 (-121)) (-5 *1 (-444 *2)) (-4 *2 (-1222 (-569))))) (-3100 (*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *3 (-918)) (-5 *4 (-635 (-764))) (-5 *5 (-764)) (-5 *1 (-444 *2)) (-4 *2 (-1222 (-569))))) (-3100 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-918)) (-5 *4 (-635 (-764))) (-5 *1 (-444 *2)) (-4 *2 (-1222 (-569))))) (-3100 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-918)) (-5 *4 (-764)) (-5 *1 (-444 *2)) (-4 *2 (-1222 (-569))))) (-3100 (*1 *2 *3 *2) (|partial| -12 (-5 *3 (-918)) (-5 *1 (-444 *2)) (-4 *2 (-1222 (-569))))) (-2186 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-764)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-2186 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-764))) (-5 *5 (-764)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-2186 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-764))) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-2186 (*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-2186 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-1743 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-764)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-1743 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-764))) (-5 *5 (-764)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-1743 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-764))) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-1743 (*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-1743 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-2822 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-2200 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-3217 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-2028 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-4146 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-3991 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-3052 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-2491 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| -1578 (-569)) (|:| -1640 (-635 *3)))) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-1476 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -1743 *4) (|:| -2492 (-569))))) (-4 *4 (-1222 (-569))) (-5 *2 (-764)) (-5 *1 (-444 *4)))) (-2791 (*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-2791 (*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-2837 (*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-2837 (*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-1821 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -1743 *4) (|:| -2492 (-569))))) (-4 *4 (-1222 (-569))) (-5 *2 (-728 (-764))) (-5 *1 (-444 *4)))) (-3628 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| *4) (|:| -4245 (-569))))))) (-4 *4 (-1222 (-569))) (-5 *2 (-421 *4)) (-5 *1 (-444 *4))))) 
+(-10 -7 (-15 -3628 ((-421 |#1|) (-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| |#1|) (|:| -4245 (-569)))))))) (-15 -1821 ((-728 (-764)) (-635 (-2 (|:| -1743 |#1|) (|:| -2492 (-569)))))) (-15 -2837 ((-918))) (-15 -2837 ((-918) (-918))) (-15 -2791 ((-918))) (-15 -2791 ((-918) (-918))) (-15 -1476 ((-764) (-635 (-2 (|:| -1743 |#1|) (|:| -2492 (-569)))))) (-15 -2491 ((-2 (|:| -1578 (-569)) (|:| -1640 (-635 |#1|))) |#1|)) (-15 -3052 ((-121))) (-15 -3991 ((-121) (-121))) (-15 -4146 ((-121))) (-15 -2028 ((-121) (-121))) (-15 -3217 ((-121) |#1|)) (-15 -2200 ((-121))) (-15 -2822 ((-121) (-121))) (-15 -1743 ((-421 |#1|) |#1|)) (-15 -1743 ((-421 |#1|) |#1| (-764))) (-15 -1743 ((-421 |#1|) |#1| (-635 (-764)))) (-15 -1743 ((-421 |#1|) |#1| (-635 (-764)) (-764))) (-15 -1743 ((-421 |#1|) |#1| (-764) (-764))) (-15 -2186 ((-421 |#1|) |#1|)) (-15 -2186 ((-421 |#1|) |#1| (-764))) (-15 -2186 ((-421 |#1|) |#1| (-635 (-764)))) (-15 -2186 ((-421 |#1|) |#1| (-635 (-764)) (-764))) (-15 -2186 ((-421 |#1|) |#1| (-764) (-764))) (-15 -3100 ((-3 |#1| "failed") (-918) |#1|)) (-15 -3100 ((-3 |#1| "failed") (-918) |#1| (-764))) (-15 -3100 ((-3 |#1| "failed") (-918) |#1| (-635 (-764)))) (-15 -3100 ((-3 |#1| "failed") (-918) |#1| (-635 (-764)) (-764))) (-15 -3100 ((-3 |#1| "failed") (-918) |#1| (-635 (-764)) (-764) (-121))) (-15 -3952 ((-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| |#1|) (|:| -4245 (-569)))))) |#1| (-121))) (-15 -3942 ((-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| |#1|) (|:| -4245 (-569)))))) |#1| (-121) (-1093 (-764)) (-764)))) 
+((-3623 (((-569) |#2|) 48) (((-569) |#2| (-764)) 47)) (-3775 (((-569) |#2|) 55)) (-1797 ((|#3| |#2|) 25)) (-4308 ((|#3| |#2| (-918)) 14)) (-1906 ((|#3| |#2|) 15)) (-2756 ((|#3| |#2|) 9)) (-2626 ((|#3| |#2|) 10)) (-3774 ((|#3| |#2| (-918)) 62) ((|#3| |#2|) 30)) (-4497 (((-569) |#2|) 57))) 
+(((-445 |#1| |#2| |#3|) (-10 -7 (-15 -4497 ((-569) |#2|)) (-15 -3774 (|#3| |#2|)) (-15 -3774 (|#3| |#2| (-918))) (-15 -3775 ((-569) |#2|)) (-15 -3623 ((-569) |#2| (-764))) (-15 -3623 ((-569) |#2|)) (-15 -4308 (|#3| |#2| (-918))) (-15 -1797 (|#3| |#2|)) (-15 -2756 (|#3| |#2|)) (-15 -2626 (|#3| |#2|)) (-15 -1906 (|#3| |#2|))) (-1048) (-1222 |#1|) (-13 (-407) (-1038 |#1|) (-366) (-1183) (-280))) (T -445)) 
+((-1906 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-13 (-407) (-1038 *4) (-366) (-1183) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1222 *4)))) (-2626 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-13 (-407) (-1038 *4) (-366) (-1183) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1222 *4)))) (-2756 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-13 (-407) (-1038 *4) (-366) (-1183) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1222 *4)))) (-1797 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-13 (-407) (-1038 *4) (-366) (-1183) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1222 *4)))) (-4308 (*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-1048)) (-4 *2 (-13 (-407) (-1038 *5) (-366) (-1183) (-280))) (-5 *1 (-445 *5 *3 *2)) (-4 *3 (-1222 *5)))) (-3623 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-569)) (-5 *1 (-445 *4 *3 *5)) (-4 *3 (-1222 *4)) (-4 *5 (-13 (-407) (-1038 *4) (-366) (-1183) (-280))))) (-3623 (*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-1048)) (-5 *2 (-569)) (-5 *1 (-445 *5 *3 *6)) (-4 *3 (-1222 *5)) (-4 *6 (-13 (-407) (-1038 *5) (-366) (-1183) (-280))))) (-3775 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-569)) (-5 *1 (-445 *4 *3 *5)) (-4 *3 (-1222 *4)) (-4 *5 (-13 (-407) (-1038 *4) (-366) (-1183) (-280))))) (-3774 (*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-1048)) (-4 *2 (-13 (-407) (-1038 *5) (-366) (-1183) (-280))) (-5 *1 (-445 *5 *3 *2)) (-4 *3 (-1222 *5)))) (-3774 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-13 (-407) (-1038 *4) (-366) (-1183) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1222 *4)))) (-4497 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-569)) (-5 *1 (-445 *4 *3 *5)) (-4 *3 (-1222 *4)) (-4 *5 (-13 (-407) (-1038 *4) (-366) (-1183) (-280)))))) 
+(-10 -7 (-15 -4497 ((-569) |#2|)) (-15 -3774 (|#3| |#2|)) (-15 -3774 (|#3| |#2| (-918))) (-15 -3775 ((-569) |#2|)) (-15 -3623 ((-569) |#2| (-764))) (-15 -3623 ((-569) |#2|)) (-15 -4308 (|#3| |#2| (-918))) (-15 -1797 (|#3| |#2|)) (-15 -2756 (|#3| |#2|)) (-15 -2626 (|#3| |#2|)) (-15 -1906 (|#3| |#2|))) 
+((-3662 ((|#2| (-1247 |#1|)) 36)) (-2779 ((|#2| |#2| |#1|) 49)) (-1542 ((|#2| |#2| |#1|) 41)) (-2052 ((|#2| |#2|) 38)) (-2235 (((-121) |#2|) 30)) (-3699 (((-635 |#2|) (-918) (-421 |#2|)) 16)) (-3100 ((|#2| (-918) (-421 |#2|)) 21)) (-1821 (((-728 (-764)) (-421 |#2|)) 25))) 
+(((-446 |#1| |#2|) (-10 -7 (-15 -2235 ((-121) |#2|)) (-15 -3662 (|#2| (-1247 |#1|))) (-15 -2052 (|#2| |#2|)) (-15 -1542 (|#2| |#2| |#1|)) (-15 -2779 (|#2| |#2| |#1|)) (-15 -1821 ((-728 (-764)) (-421 |#2|))) (-15 -3100 (|#2| (-918) (-421 |#2|))) (-15 -3699 ((-635 |#2|) (-918) (-421 |#2|)))) (-1048) (-1222 |#1|)) (T -446)) 
+((-3699 (*1 *2 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-421 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-1048)) (-5 *2 (-635 *6)) (-5 *1 (-446 *5 *6)))) (-3100 (*1 *2 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-421 *2)) (-4 *2 (-1222 *5)) (-5 *1 (-446 *5 *2)) (-4 *5 (-1048)))) (-1821 (*1 *2 *3) (-12 (-5 *3 (-421 *5)) (-4 *5 (-1222 *4)) (-4 *4 (-1048)) (-5 *2 (-728 (-764))) (-5 *1 (-446 *4 *5)))) (-2779 (*1 *2 *2 *3) (-12 (-4 *3 (-1048)) (-5 *1 (-446 *3 *2)) (-4 *2 (-1222 *3)))) (-1542 (*1 *2 *2 *3) (-12 (-4 *3 (-1048)) (-5 *1 (-446 *3 *2)) (-4 *2 (-1222 *3)))) (-2052 (*1 *2 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-446 *3 *2)) (-4 *2 (-1222 *3)))) (-3662 (*1 *2 *3) (-12 (-5 *3 (-1247 *4)) (-4 *4 (-1048)) (-4 *2 (-1222 *4)) (-5 *1 (-446 *4 *2)))) (-2235 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-121)) (-5 *1 (-446 *4 *3)) (-4 *3 (-1222 *4))))) 
+(-10 -7 (-15 -2235 ((-121) |#2|)) (-15 -3662 (|#2| (-1247 |#1|))) (-15 -2052 (|#2| |#2|)) (-15 -1542 (|#2| |#2| |#1|)) (-15 -2779 (|#2| |#2| |#1|)) (-15 -1821 ((-728 (-764)) (-421 |#2|))) (-15 -3100 (|#2| (-918) (-421 |#2|))) (-15 -3699 ((-635 |#2|) (-918) (-421 |#2|)))) 
+((-3004 (((-764)) 41)) (-3399 (((-764)) 23 (|has| |#1| (-407))) (((-764) (-764)) 22 (|has| |#1| (-407)))) (-2487 (((-569) |#1|) 18 (|has| |#1| (-407)))) (-1464 (((-569) |#1|) 20 (|has| |#1| (-407)))) (-1477 (((-764)) 40) (((-764) (-764)) 39)) (-3613 ((|#1| (-764) (-569)) 29)) (-3579 (((-1252)) 43))) 
+(((-447 |#1|) (-10 -7 (-15 -3613 (|#1| (-764) (-569))) (-15 -1477 ((-764) (-764))) (-15 -1477 ((-764))) (-15 -3004 ((-764))) (-15 -3579 ((-1252))) (IF (|has| |#1| (-407)) (PROGN (-15 -1464 ((-569) |#1|)) (-15 -2487 ((-569) |#1|)) (-15 -3399 ((-764) (-764))) (-15 -3399 ((-764)))) |noBranch|)) (-1048)) (T -447)) 
+((-3399 (*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1048)))) (-3399 (*1 *2 *2) (-12 (-5 *2 (-764)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1048)))) (-2487 (*1 *2 *3) (-12 (-5 *2 (-569)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1048)))) (-1464 (*1 *2 *3) (-12 (-5 *2 (-569)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1048)))) (-3579 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-447 *3)) (-4 *3 (-1048)))) (-3004 (*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-447 *3)) (-4 *3 (-1048)))) (-1477 (*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-447 *3)) (-4 *3 (-1048)))) (-1477 (*1 *2 *2) (-12 (-5 *2 (-764)) (-5 *1 (-447 *3)) (-4 *3 (-1048)))) (-3613 (*1 *2 *3 *4) (-12 (-5 *3 (-764)) (-5 *4 (-569)) (-5 *1 (-447 *2)) (-4 *2 (-1048))))) 
+(-10 -7 (-15 -3613 (|#1| (-764) (-569))) (-15 -1477 ((-764) (-764))) (-15 -1477 ((-764))) (-15 -3004 ((-764))) (-15 -3579 ((-1252))) (IF (|has| |#1| (-407)) (PROGN (-15 -1464 ((-569) |#1|)) (-15 -2487 ((-569) |#1|)) (-15 -3399 ((-764) (-764))) (-15 -3399 ((-764)))) |noBranch|)) 
+((-2802 (((-635 (-569)) (-569)) 57)) (-3726 (((-121) (-170 (-569))) 61)) (-1743 (((-421 (-170 (-569))) (-170 (-569))) 56))) 
+(((-448) (-10 -7 (-15 -1743 ((-421 (-170 (-569))) (-170 (-569)))) (-15 -2802 ((-635 (-569)) (-569))) (-15 -3726 ((-121) (-170 (-569)))))) (T -448)) 
+((-3726 (*1 *2 *3) (-12 (-5 *3 (-170 (-569))) (-5 *2 (-121)) (-5 *1 (-448)))) (-2802 (*1 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-448)) (-5 *3 (-569)))) (-1743 (*1 *2 *3) (-12 (-5 *2 (-421 (-170 (-569)))) (-5 *1 (-448)) (-5 *3 (-170 (-569)))))) 
+(-10 -7 (-15 -1743 ((-421 (-170 (-569))) (-170 (-569)))) (-15 -2802 ((-635 (-569)) (-569))) (-15 -3726 ((-121) (-170 (-569))))) 
+((-3185 ((|#4| |#4| (-635 |#4|)) 57)) (-2552 (((-635 |#4|) (-635 |#4|) (-1145) (-1145)) 17) (((-635 |#4|) (-635 |#4|) (-1145)) 16) (((-635 |#4|) (-635 |#4|)) 11))) 
+(((-449 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3185 (|#4| |#4| (-635 |#4|))) (-15 -2552 ((-635 |#4|) (-635 |#4|))) (-15 -2552 ((-635 |#4|) (-635 |#4|) (-1145))) (-15 -2552 ((-635 |#4|) (-635 |#4|) (-1145) (-1145)))) (-302) (-789) (-843) (-951 |#1| |#2| |#3|)) (T -449)) 
+((-2552 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1145)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-449 *4 *5 *6 *7)))) (-2552 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1145)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-449 *4 *5 *6 *7)))) (-2552 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-302)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-449 *3 *4 *5 *6)))) (-3185 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-951 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-449 *4 *5 *6 *2))))) 
+(-10 -7 (-15 -3185 (|#4| |#4| (-635 |#4|))) (-15 -2552 ((-635 |#4|) (-635 |#4|))) (-15 -2552 ((-635 |#4|) (-635 |#4|) (-1145))) (-15 -2552 ((-635 |#4|) (-635 |#4|) (-1145) (-1145)))) 
+((-4329 (((-635 (-635 |#4|)) (-635 |#4|) (-121)) 70) (((-635 (-635 |#4|)) (-635 |#4|)) 69) (((-635 (-635 |#4|)) (-635 |#4|) (-635 |#4|) (-121)) 63) (((-635 (-635 |#4|)) (-635 |#4|) (-635 |#4|)) 64)) (-1698 (((-635 (-635 |#4|)) (-635 |#4|) (-121)) 40) (((-635 (-635 |#4|)) (-635 |#4|)) 60))) 
+(((-450 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1698 ((-635 (-635 |#4|)) (-635 |#4|))) (-15 -1698 ((-635 (-635 |#4|)) (-635 |#4|) (-121))) (-15 -4329 ((-635 (-635 |#4|)) (-635 |#4|) (-635 |#4|))) (-15 -4329 ((-635 (-635 |#4|)) (-635 |#4|) (-635 |#4|) (-121))) (-15 -4329 ((-635 (-635 |#4|)) (-635 |#4|))) (-15 -4329 ((-635 (-635 |#4|)) (-635 |#4|) (-121)))) (-13 (-302) (-151)) (-789) (-843) (-951 |#1| |#2| |#3|)) (T -450)) 
+((-4329 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-951 *5 *6 *7)) (-5 *2 (-635 (-635 *8))) (-5 *1 (-450 *5 *6 *7 *8)) (-5 *3 (-635 *8)))) (-4329 (*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-951 *4 *5 *6)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-450 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-4329 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-951 *5 *6 *7)) (-5 *2 (-635 (-635 *8))) (-5 *1 (-450 *5 *6 *7 *8)) (-5 *3 (-635 *8)))) (-4329 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-951 *4 *5 *6)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-450 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-1698 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-951 *5 *6 *7)) (-5 *2 (-635 (-635 *8))) (-5 *1 (-450 *5 *6 *7 *8)) (-5 *3 (-635 *8)))) (-1698 (*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-951 *4 *5 *6)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-450 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
+(-10 -7 (-15 -1698 ((-635 (-635 |#4|)) (-635 |#4|))) (-15 -1698 ((-635 (-635 |#4|)) (-635 |#4|) (-121))) (-15 -4329 ((-635 (-635 |#4|)) (-635 |#4|) (-635 |#4|))) (-15 -4329 ((-635 (-635 |#4|)) (-635 |#4|) (-635 |#4|) (-121))) (-15 -4329 ((-635 (-635 |#4|)) (-635 |#4|))) (-15 -4329 ((-635 (-635 |#4|)) (-635 |#4|) (-121)))) 
+((-3351 (((-764) |#4|) 12)) (-4153 (((-635 (-2 (|:| |totdeg| (-764)) (|:| -3698 |#4|))) |#4| (-764) (-635 (-2 (|:| |totdeg| (-764)) (|:| -3698 |#4|)))) 31)) (-1600 (((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 37)) (-1496 ((|#4| (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) 38)) (-2300 ((|#4| |#4| (-635 |#4|)) 39)) (-1540 (((-2 (|:| |poly| |#4|) (|:| |mult| |#1|)) |#4| (-635 |#4|)) 68)) (-1815 (((-1252) |#4|) 41)) (-4417 (((-1252) (-635 |#4|)) 50)) (-2720 (((-569) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-569) (-569) (-569)) 47)) (-4014 (((-1252) (-569)) 75)) (-1332 (((-635 |#4|) (-635 |#4|)) 73)) (-4257 (((-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |totdeg| (-764)) (|:| -3698 |#4|)) |#4| (-764)) 25)) (-4237 (((-569) |#4|) 74)) (-3733 ((|#4| |#4|) 29)) (-2099 (((-635 |#4|) (-635 |#4|) (-569) (-569)) 54)) (-3886 (((-569) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-569) (-569) (-569) (-569)) 85)) (-3314 (((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) 16)) (-3892 (((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) 57)) (-3947 (((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#2| (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 56)) (-2165 (((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 35)) (-2838 (((-121) |#2| |#2|) 55)) (-1701 (((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#4| (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 36)) (-1846 (((-121) |#2| |#2| |#2| |#2|) 58)) (-3232 ((|#4| |#4| (-635 |#4|)) 69))) 
+(((-451 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3232 (|#4| |#4| (-635 |#4|))) (-15 -2300 (|#4| |#4| (-635 |#4|))) (-15 -2099 ((-635 |#4|) (-635 |#4|) (-569) (-569))) (-15 -3892 ((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -2838 ((-121) |#2| |#2|)) (-15 -1846 ((-121) |#2| |#2| |#2| |#2|)) (-15 -1701 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#4| (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -2165 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -3947 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#2| (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -1540 ((-2 (|:| |poly| |#4|) (|:| |mult| |#1|)) |#4| (-635 |#4|))) (-15 -3733 (|#4| |#4|)) (-15 -4153 ((-635 (-2 (|:| |totdeg| (-764)) (|:| -3698 |#4|))) |#4| (-764) (-635 (-2 (|:| |totdeg| (-764)) (|:| -3698 |#4|))))) (-15 -1496 (|#4| (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -1600 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -1332 ((-635 |#4|) (-635 |#4|))) (-15 -4237 ((-569) |#4|)) (-15 -1815 ((-1252) |#4|)) (-15 -2720 ((-569) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-569) (-569) (-569))) (-15 -3886 ((-569) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-569) (-569) (-569) (-569))) (-15 -4417 ((-1252) (-635 |#4|))) (-15 -4014 ((-1252) (-569))) (-15 -3314 ((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -4257 ((-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |totdeg| (-764)) (|:| -3698 |#4|)) |#4| (-764))) (-15 -3351 ((-764) |#4|))) (-454) (-789) (-843) (-951 |#1| |#2| |#3|)) (T -451)) 
+((-3351 (*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-764)) (-5 *1 (-451 *4 *5 *6 *3)) (-4 *3 (-951 *4 *5 *6)))) (-4257 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-2 (|:| |totdeg| (-764)) (|:| -3698 *4))) (-5 *5 (-764)) (-4 *4 (-951 *6 *7 *8)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-5 *2 (-2 (|:| |lcmfij| *7) (|:| |totdeg| *5) (|:| |poli| *4) (|:| |polj| *4))) (-5 *1 (-451 *6 *7 *8 *4)))) (-3314 (*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-764)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-789)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-451 *4 *5 *6 *7)))) (-4014 (*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-1252)) (-5 *1 (-451 *4 *5 *6 *7)) (-4 *7 (-951 *4 *5 *6)))) (-4417 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-1252)) (-5 *1 (-451 *4 *5 *6 *7)))) (-3886 (*1 *2 *3 *4 *4 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-764)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-789)) (-4 *4 (-951 *5 *6 *7)) (-4 *5 (-454)) (-4 *7 (-843)) (-5 *1 (-451 *5 *6 *7 *4)))) (-2720 (*1 *2 *3 *4 *4 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-764)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-789)) (-4 *4 (-951 *5 *6 *7)) (-4 *5 (-454)) (-4 *7 (-843)) (-5 *1 (-451 *5 *6 *7 *4)))) (-1815 (*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-1252)) (-5 *1 (-451 *4 *5 *6 *3)) (-4 *3 (-951 *4 *5 *6)))) (-4237 (*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-569)) (-5 *1 (-451 *4 *5 *6 *3)) (-4 *3 (-951 *4 *5 *6)))) (-1332 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-451 *3 *4 *5 *6)))) (-1600 (*1 *2 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-764)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-789)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-454)) (-4 *5 (-843)) (-5 *1 (-451 *3 *4 *5 *6)))) (-1496 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-764)) (|:| |poli| *2) (|:| |polj| *2))) (-4 *5 (-789)) (-4 *2 (-951 *4 *5 *6)) (-5 *1 (-451 *4 *5 *6 *2)) (-4 *4 (-454)) (-4 *6 (-843)))) (-4153 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-635 (-2 (|:| |totdeg| (-764)) (|:| -3698 *3)))) (-5 *4 (-764)) (-4 *3 (-951 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-451 *5 *6 *7 *3)))) (-3733 (*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-451 *3 *4 *5 *2)) (-4 *2 (-951 *3 *4 *5)))) (-1540 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-951 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-2 (|:| |poly| *3) (|:| |mult| *5))) (-5 *1 (-451 *5 *6 *7 *3)))) (-3947 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *3) (|:| |totdeg| (-764)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *3 (-789)) (-4 *6 (-951 *4 *3 *5)) (-4 *4 (-454)) (-4 *5 (-843)) (-5 *1 (-451 *4 *3 *5 *6)))) (-2165 (*1 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-764)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-789)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-454)) (-4 *5 (-843)) (-5 *1 (-451 *3 *4 *5 *6)))) (-1701 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-764)) (|:| |poli| *3) (|:| |polj| *3)))) (-4 *5 (-789)) (-4 *3 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *6 (-843)) (-5 *1 (-451 *4 *5 *6 *3)))) (-1846 (*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-454)) (-4 *3 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-451 *4 *3 *5 *6)) (-4 *6 (-951 *4 *3 *5)))) (-2838 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *3 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-451 *4 *3 *5 *6)) (-4 *6 (-951 *4 *3 *5)))) (-3892 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-764)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-789)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-451 *4 *5 *6 *7)))) (-2099 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-569)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-451 *4 *5 *6 *7)))) (-2300 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-451 *4 *5 *6 *2)))) (-3232 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-451 *4 *5 *6 *2))))) 
+(-10 -7 (-15 -3232 (|#4| |#4| (-635 |#4|))) (-15 -2300 (|#4| |#4| (-635 |#4|))) (-15 -2099 ((-635 |#4|) (-635 |#4|) (-569) (-569))) (-15 -3892 ((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -2838 ((-121) |#2| |#2|)) (-15 -1846 ((-121) |#2| |#2| |#2| |#2|)) (-15 -1701 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#4| (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -2165 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -3947 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#2| (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -1540 ((-2 (|:| |poly| |#4|) (|:| |mult| |#1|)) |#4| (-635 |#4|))) (-15 -3733 (|#4| |#4|)) (-15 -4153 ((-635 (-2 (|:| |totdeg| (-764)) (|:| -3698 |#4|))) |#4| (-764) (-635 (-2 (|:| |totdeg| (-764)) (|:| -3698 |#4|))))) (-15 -1496 (|#4| (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -1600 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -1332 ((-635 |#4|) (-635 |#4|))) (-15 -4237 ((-569) |#4|)) (-15 -1815 ((-1252) |#4|)) (-15 -2720 ((-569) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-569) (-569) (-569))) (-15 -3886 ((-569) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-569) (-569) (-569) (-569))) (-15 -4417 ((-1252) (-635 |#4|))) (-15 -4014 ((-1252) (-569))) (-15 -3314 ((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -4257 ((-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |totdeg| (-764)) (|:| -3698 |#4|)) |#4| (-764))) (-15 -3351 ((-764) |#4|))) 
+((-2286 ((|#4| |#4| (-635 |#4|)) 22 (|has| |#1| (-366)))) (-2815 (((-635 |#4|) (-635 |#4|) (-1145) (-1145)) 41) (((-635 |#4|) (-635 |#4|) (-1145)) 40) (((-635 |#4|) (-635 |#4|)) 35))) 
+(((-452 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2815 ((-635 |#4|) (-635 |#4|))) (-15 -2815 ((-635 |#4|) (-635 |#4|) (-1145))) (-15 -2815 ((-635 |#4|) (-635 |#4|) (-1145) (-1145))) (IF (|has| |#1| (-366)) (-15 -2286 (|#4| |#4| (-635 |#4|))) |noBranch|)) (-454) (-789) (-843) (-951 |#1| |#2| |#3|)) (T -452)) 
+((-2286 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-951 *4 *5 *6)) (-4 *4 (-366)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-452 *4 *5 *6 *2)))) (-2815 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1145)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-452 *4 *5 *6 *7)))) (-2815 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1145)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-452 *4 *5 *6 *7)))) (-2815 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-452 *3 *4 *5 *6))))) 
+(-10 -7 (-15 -2815 ((-635 |#4|) (-635 |#4|))) (-15 -2815 ((-635 |#4|) (-635 |#4|) (-1145))) (-15 -2815 ((-635 |#4|) (-635 |#4|) (-1145) (-1145))) (IF (|has| |#1| (-366)) (-15 -2286 (|#4| |#4| (-635 |#4|))) |noBranch|)) 
+((-2665 (($ $ $) 14) (($ (-635 $)) 21)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 41)) (-2714 (($ $ $) NIL) (($ (-635 $)) 22))) 
+(((-453 |#1|) (-10 -8 (-15 -4336 ((-1159 |#1|) (-1159 |#1|) (-1159 |#1|))) (-15 -2665 (|#1| (-635 |#1|))) (-15 -2665 (|#1| |#1| |#1|)) (-15 -2714 (|#1| (-635 |#1|))) (-15 -2714 (|#1| |#1| |#1|))) (-454)) (T -453)) 
+NIL 
+(-10 -8 (-15 -4336 ((-1159 |#1|) (-1159 |#1|) (-1159 |#1|))) (-15 -2665 (|#1| (-635 |#1|))) (-15 -2665 (|#1| |#1| |#1|)) (-15 -2714 (|#1| (-635 |#1|))) (-15 -2714 (|#1| |#1| |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-2941 (((-3 $ "failed") $ $) 41)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-454) (-1278)) (T -454)) 
+((-2714 (*1 *1 *1 *1) (-4 *1 (-454))) (-2714 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-454)))) (-2665 (*1 *1 *1 *1) (-4 *1 (-454))) (-2665 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-454)))) (-4336 (*1 *2 *2 *2) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-454))))) 
+(-13 (-559) (-10 -8 (-15 -2714 ($ $ $)) (-15 -2714 ($ (-635 $))) (-15 -2665 ($ $ $)) (-15 -2665 ($ (-635 $))) (-15 -4336 ((-1159 $) (-1159 $) (-1159 $))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-173) . T) ((-286) . T) ((-559) . T) ((-638 $) . T) ((-708 $) . T) ((-717) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-4276 (((-3 $ "failed")) NIL (|has| (-410 (-954 |#1|)) (-559)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-4064 (((-1247 (-680 (-410 (-954 |#1|)))) (-1247 $)) NIL) (((-1247 (-680 (-410 (-954 |#1|))))) NIL)) (-2141 (((-1247 $)) NIL)) (-2820 (($) NIL T CONST)) (-3781 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) NIL)) (-1531 (((-3 $ "failed")) NIL (|has| (-410 (-954 |#1|)) (-559)))) (-2909 (((-680 (-410 (-954 |#1|))) (-1247 $)) NIL) (((-680 (-410 (-954 |#1|)))) NIL)) (-1723 (((-410 (-954 |#1|)) $) NIL)) (-1792 (((-680 (-410 (-954 |#1|))) $ (-1247 $)) NIL) (((-680 (-410 (-954 |#1|))) $) NIL)) (-1620 (((-3 $ "failed") $) NIL (|has| (-410 (-954 |#1|)) (-559)))) (-2800 (((-1159 (-954 (-410 (-954 |#1|))))) NIL (|has| (-410 (-954 |#1|)) (-366))) (((-1159 (-410 (-954 |#1|)))) 79 (|has| |#1| (-559)))) (-1628 (($ $ (-918)) NIL)) (-2830 (((-410 (-954 |#1|)) $) NIL)) (-2246 (((-1159 (-410 (-954 |#1|))) $) 77 (|has| (-410 (-954 |#1|)) (-559)))) (-3316 (((-410 (-954 |#1|)) (-1247 $)) NIL) (((-410 (-954 |#1|))) NIL)) (-2355 (((-1159 (-410 (-954 |#1|))) $) NIL)) (-2607 (((-121)) NIL)) (-2623 (($ (-1247 (-410 (-954 |#1|))) (-1247 $)) 97) (($ (-1247 (-410 (-954 |#1|)))) NIL)) (-3428 (((-3 $ "failed") $) NIL (|has| (-410 (-954 |#1|)) (-559)))) (-1321 (((-918)) NIL)) (-3919 (((-121)) NIL)) (-1851 (($ $ (-918)) NIL)) (-2007 (((-121)) NIL)) (-1370 (((-121)) NIL)) (-4239 (((-121)) NIL)) (-3926 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) NIL)) (-1588 (((-3 $ "failed")) NIL (|has| (-410 (-954 |#1|)) (-559)))) (-2991 (((-680 (-410 (-954 |#1|))) (-1247 $)) NIL) (((-680 (-410 (-954 |#1|)))) NIL)) (-1545 (((-410 (-954 |#1|)) $) NIL)) (-4007 (((-680 (-410 (-954 |#1|))) $ (-1247 $)) NIL) (((-680 (-410 (-954 |#1|))) $) NIL)) (-4439 (((-3 $ "failed") $) NIL (|has| (-410 (-954 |#1|)) (-559)))) (-3282 (((-1159 (-954 (-410 (-954 |#1|))))) NIL (|has| (-410 (-954 |#1|)) (-366))) (((-1159 (-410 (-954 |#1|)))) 78 (|has| |#1| (-559)))) (-3272 (($ $ (-918)) NIL)) (-4200 (((-410 (-954 |#1|)) $) NIL)) (-3851 (((-1159 (-410 (-954 |#1|))) $) 72 (|has| (-410 (-954 |#1|)) (-559)))) (-1584 (((-410 (-954 |#1|)) (-1247 $)) NIL) (((-410 (-954 |#1|))) NIL)) (-2415 (((-1159 (-410 (-954 |#1|))) $) NIL)) (-2377 (((-121)) NIL)) (-2776 (((-1145) $) NIL)) (-3379 (((-121)) NIL)) (-3337 (((-121)) NIL)) (-2598 (((-121)) NIL)) (-3360 (((-1109) $) NIL)) (-1876 (((-410 (-954 |#1|)) $ $) 66 (|has| |#1| (-559)))) (-1645 (((-410 (-954 |#1|)) $) 65 (|has| |#1| (-559)))) (-2120 (((-410 (-954 |#1|)) $) 89 (|has| |#1| (-559)))) (-4056 (((-1159 (-410 (-954 |#1|))) $) 83 (|has| |#1| (-559)))) (-2078 (((-410 (-954 |#1|))) 67 (|has| |#1| (-559)))) (-4368 (((-410 (-954 |#1|)) $ $) 54 (|has| |#1| (-559)))) (-3410 (((-410 (-954 |#1|)) $) 53 (|has| |#1| (-559)))) (-2011 (((-410 (-954 |#1|)) $) 88 (|has| |#1| (-559)))) (-4378 (((-1159 (-410 (-954 |#1|))) $) 82 (|has| |#1| (-559)))) (-3928 (((-410 (-954 |#1|))) 64 (|has| |#1| (-559)))) (-2027 (($) 95) (($ (-1163)) 101) (($ (-1247 (-1163))) 100) (($ (-1247 $)) 90) (($ (-1163) (-1247 $)) 99) (($ (-1247 (-1163)) (-1247 $)) 98)) (-1324 (((-121)) NIL)) (-1534 (((-410 (-954 |#1|)) $ (-569)) NIL)) (-1648 (((-1247 (-410 (-954 |#1|))) $ (-1247 $)) 92) (((-680 (-410 (-954 |#1|))) (-1247 $) (-1247 $)) NIL) (((-1247 (-410 (-954 |#1|))) $) 37) (((-680 (-410 (-954 |#1|))) (-1247 $)) NIL)) (-3817 (((-1247 (-410 (-954 |#1|))) $) NIL) (($ (-1247 (-410 (-954 |#1|)))) 34)) (-3393 (((-635 (-954 (-410 (-954 |#1|)))) (-1247 $)) NIL) (((-635 (-954 (-410 (-954 |#1|))))) NIL) (((-635 (-954 |#1|)) (-1247 $)) 93 (|has| |#1| (-559))) (((-635 (-954 |#1|))) 94 (|has| |#1| (-559)))) (-4293 (($ $ $) NIL)) (-2093 (((-121)) NIL)) (-2185 (((-851) $) NIL) (($ (-1247 (-410 (-954 |#1|)))) NIL)) (-3930 (((-1247 $)) 56)) (-2131 (((-635 (-1247 (-410 (-954 |#1|))))) NIL (|has| (-410 (-954 |#1|)) (-559)))) (-1383 (($ $ $ $) NIL)) (-4220 (((-121)) NIL)) (-1943 (($ (-680 (-410 (-954 |#1|))) $) NIL)) (-4033 (($ $ $) NIL)) (-1597 (((-121)) NIL)) (-3922 (((-121)) NIL)) (-4227 (((-121)) NIL)) (-3369 (($) NIL T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) 91)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 52) (($ $ (-410 (-954 |#1|))) NIL) (($ (-410 (-954 |#1|)) $) NIL) (($ (-1128 |#2| (-410 (-954 |#1|))) $) NIL))) 
+(((-455 |#1| |#2| |#3| |#4|) (-13 (-420 (-410 (-954 |#1|))) (-638 (-1128 |#2| (-410 (-954 |#1|)))) (-10 -8 (-15 -2185 ($ (-1247 (-410 (-954 |#1|))))) (-15 -3926 ((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed"))) (-15 -3781 ((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed"))) (-15 -2027 ($)) (-15 -2027 ($ (-1163))) (-15 -2027 ($ (-1247 (-1163)))) (-15 -2027 ($ (-1247 $))) (-15 -2027 ($ (-1163) (-1247 $))) (-15 -2027 ($ (-1247 (-1163)) (-1247 $))) (IF (|has| |#1| (-559)) (PROGN (-15 -3282 ((-1159 (-410 (-954 |#1|))))) (-15 -4378 ((-1159 (-410 (-954 |#1|))) $)) (-15 -3410 ((-410 (-954 |#1|)) $)) (-15 -2011 ((-410 (-954 |#1|)) $)) (-15 -2800 ((-1159 (-410 (-954 |#1|))))) (-15 -4056 ((-1159 (-410 (-954 |#1|))) $)) (-15 -1645 ((-410 (-954 |#1|)) $)) (-15 -2120 ((-410 (-954 |#1|)) $)) (-15 -4368 ((-410 (-954 |#1|)) $ $)) (-15 -3928 ((-410 (-954 |#1|)))) (-15 -1876 ((-410 (-954 |#1|)) $ $)) (-15 -2078 ((-410 (-954 |#1|)))) (-15 -3393 ((-635 (-954 |#1|)) (-1247 $))) (-15 -3393 ((-635 (-954 |#1|))))) |noBranch|))) (-173) (-918) (-635 (-1163)) (-1247 (-680 |#1|))) (T -455)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-410 (-954 *3)))) (-4 *3 (-173)) (-14 *6 (-1247 (-680 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))))) (-3926 (*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-455 *3 *4 *5 *6)) (|:| -3930 (-635 (-455 *3 *4 *5 *6))))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-3781 (*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-455 *3 *4 *5 *6)) (|:| -3930 (-635 (-455 *3 *4 *5 *6))))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-2027 (*1 *1) (-12 (-5 *1 (-455 *2 *3 *4 *5)) (-4 *2 (-173)) (-14 *3 (-918)) (-14 *4 (-635 (-1163))) (-14 *5 (-1247 (-680 *2))))) (-2027 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 *2)) (-14 *6 (-1247 (-680 *3))))) (-2027 (*1 *1 *2) (-12 (-5 *2 (-1247 (-1163))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-2027 (*1 *1 *2) (-12 (-5 *2 (-1247 (-455 *3 *4 *5 *6))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-2027 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-455 *4 *5 *6 *7))) (-5 *1 (-455 *4 *5 *6 *7)) (-4 *4 (-173)) (-14 *5 (-918)) (-14 *6 (-635 *2)) (-14 *7 (-1247 (-680 *4))))) (-2027 (*1 *1 *2 *3) (-12 (-5 *2 (-1247 (-1163))) (-5 *3 (-1247 (-455 *4 *5 *6 *7))) (-5 *1 (-455 *4 *5 *6 *7)) (-4 *4 (-173)) (-14 *5 (-918)) (-14 *6 (-635 (-1163))) (-14 *7 (-1247 (-680 *4))))) (-3282 (*1 *2) (-12 (-5 *2 (-1159 (-410 (-954 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-4378 (*1 *2 *1) (-12 (-5 *2 (-1159 (-410 (-954 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-3410 (*1 *2 *1) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-2011 (*1 *2 *1) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-2800 (*1 *2) (-12 (-5 *2 (-1159 (-410 (-954 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-4056 (*1 *2 *1) (-12 (-5 *2 (-1159 (-410 (-954 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-1645 (*1 *2 *1) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-2120 (*1 *2 *1) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-4368 (*1 *2 *1 *1) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-3928 (*1 *2) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-1876 (*1 *2 *1 *1) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-2078 (*1 *2) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-3393 (*1 *2 *3) (-12 (-5 *3 (-1247 (-455 *4 *5 *6 *7))) (-5 *2 (-635 (-954 *4))) (-5 *1 (-455 *4 *5 *6 *7)) (-4 *4 (-559)) (-4 *4 (-173)) (-14 *5 (-918)) (-14 *6 (-635 (-1163))) (-14 *7 (-1247 (-680 *4))))) (-3393 (*1 *2) (-12 (-5 *2 (-635 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
+(-13 (-420 (-410 (-954 |#1|))) (-638 (-1128 |#2| (-410 (-954 |#1|)))) (-10 -8 (-15 -2185 ($ (-1247 (-410 (-954 |#1|))))) (-15 -3926 ((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed"))) (-15 -3781 ((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed"))) (-15 -2027 ($)) (-15 -2027 ($ (-1163))) (-15 -2027 ($ (-1247 (-1163)))) (-15 -2027 ($ (-1247 $))) (-15 -2027 ($ (-1163) (-1247 $))) (-15 -2027 ($ (-1247 (-1163)) (-1247 $))) (IF (|has| |#1| (-559)) (PROGN (-15 -3282 ((-1159 (-410 (-954 |#1|))))) (-15 -4378 ((-1159 (-410 (-954 |#1|))) $)) (-15 -3410 ((-410 (-954 |#1|)) $)) (-15 -2011 ((-410 (-954 |#1|)) $)) (-15 -2800 ((-1159 (-410 (-954 |#1|))))) (-15 -4056 ((-1159 (-410 (-954 |#1|))) $)) (-15 -1645 ((-410 (-954 |#1|)) $)) (-15 -2120 ((-410 (-954 |#1|)) $)) (-15 -4368 ((-410 (-954 |#1|)) $ $)) (-15 -3928 ((-410 (-954 |#1|)))) (-15 -1876 ((-410 (-954 |#1|)) $ $)) (-15 -2078 ((-410 (-954 |#1|)))) (-15 -3393 ((-635 (-954 |#1|)) (-1247 $))) (-15 -3393 ((-635 (-954 |#1|))))) |noBranch|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 13)) (-1773 (((-635 (-853 |#1|)) $) 73)) (-1739 (((-1159 $) $ (-853 |#1|)) 46) (((-1159 |#2|) $) 115)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#2| (-559)))) (-3383 (($ $) NIL (|has| |#2| (-559)))) (-4354 (((-121) $) NIL (|has| |#2| (-559)))) (-4011 (((-764) $) 21) (((-764) $ (-635 (-853 |#1|))) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-2004 (($ $) NIL (|has| |#2| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#2| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#2| "failed") $) 44) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1038 (-569)))) (((-3 (-853 |#1|) "failed") $) NIL)) (-2428 ((|#2| $) 42) (((-410 (-569)) $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#2| (-1038 (-569)))) (((-853 |#1|) $) NIL)) (-3493 (($ $ $ (-853 |#1|)) NIL (|has| |#2| (-173)))) (-1386 (($ $ (-635 (-569))) 78)) (-4020 (($ $) 67)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL) (((-680 |#2|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#2| (-454))) (($ $ (-853 |#1|)) NIL (|has| |#2| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#2| (-905)))) (-1667 (($ $ |#2| |#3| $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-853 |#1|) (-882 (-382))) (|has| |#2| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-853 |#1|) (-882 (-569))) (|has| |#2| (-882 (-569)))))) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) 58)) (-1768 (($ (-1159 |#2|) (-853 |#1|)) 120) (($ (-1159 $) (-853 |#1|)) 52)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) 59)) (-1763 (($ |#2| |#3|) 28) (($ $ (-853 |#1|) (-764)) 30) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-853 |#1|)) NIL)) (-4002 ((|#3| $) NIL) (((-764) $ (-853 |#1|)) 50) (((-635 (-764)) $ (-635 (-853 |#1|))) 57)) (-3291 (($ $ $) NIL (|has| |#2| (-843)))) (-1538 (($ $ $) NIL (|has| |#2| (-843)))) (-2658 (($ (-1 |#3| |#3|) $) NIL)) (-1544 (($ (-1 |#2| |#2|) $) NIL)) (-1637 (((-3 (-853 |#1|) "failed") $) 39)) (-1804 (($ $) NIL)) (-4012 ((|#2| $) 41)) (-2665 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2776 (((-1145) $) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| (-853 |#1|)) (|:| -2356 (-764))) "failed") $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) 40)) (-1801 ((|#2| $) 113)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#2| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) 125 (|has| |#2| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#2| (-905)))) (-2941 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-559)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-853 |#1|) |#2|) 85) (($ $ (-635 (-853 |#1|)) (-635 |#2|)) 88) (($ $ (-853 |#1|) $) 83) (($ $ (-635 (-853 |#1|)) (-635 $)) 104)) (-2087 (($ $ (-853 |#1|)) NIL (|has| |#2| (-173)))) (-3899 (($ $ (-853 |#1|)) 53) (($ $ (-635 (-853 |#1|))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-2492 ((|#3| $) 66) (((-764) $ (-853 |#1|)) 37) (((-635 (-764)) $ (-635 (-853 |#1|))) 56)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| (-853 |#1|) (-610 (-888 (-382)))) (|has| |#2| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| (-853 |#1|) (-610 (-888 (-569)))) (|has| |#2| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| (-853 |#1|) (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-3298 ((|#2| $) 122 (|has| |#2| (-454))) (($ $ (-853 |#1|)) NIL (|has| |#2| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-905))))) (-2185 (((-851) $) 141) (($ (-569)) NIL) (($ |#2|) 84) (($ (-853 |#1|)) 31) (($ (-410 (-569))) NIL (-2232 (|has| |#2| (-43 (-410 (-569)))) (|has| |#2| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#2| (-559)))) (-3382 (((-635 |#2|) $) NIL)) (-1653 ((|#2| $ |#3|) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#2| (-905))) (|has| |#2| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#2| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#2| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 16 T CONST)) (-1556 (($) 25 T CONST)) (-3022 (($ $ (-853 |#1|)) NIL) (($ $ (-635 (-853 |#1|))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-1693 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1715 (($ $ |#2|) 64 (|has| |#2| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 109)) (** (($ $ (-918)) NIL) (($ $ (-764)) 107)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 29) (($ $ (-410 (-569))) NIL (|has| |#2| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#2| (-43 (-410 (-569))))) (($ |#2| $) 63) (($ $ |#2|) NIL))) 
+(((-456 |#1| |#2| |#3|) (-13 (-951 |#2| |#3| (-853 |#1|)) (-10 -8 (-15 -1386 ($ $ (-635 (-569)))))) (-635 (-1163)) (-1048) (-231 (-4168 |#1|) (-764))) (T -456)) 
+((-1386 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-14 *3 (-635 (-1163))) (-5 *1 (-456 *3 *4 *5)) (-4 *4 (-1048)) (-4 *5 (-231 (-4168 *3) (-764)))))) 
+(-13 (-951 |#2| |#3| (-853 |#1|)) (-10 -8 (-15 -1386 ($ $ (-635 (-569)))))) 
+((-2843 (((-1252) (-311 (-382)) (-1083 (-382)) (-1083 (-382)) (-1145)) 49) (((-1252) (-311 (-382)) (-1083 (-382)) (-1083 (-382)) (-1145) (-635 (-257))) 48) (((-1252) (-311 (-382)) (-1083 (-382)) (-1145)) 42) (((-1252) (-311 (-382)) (-1083 (-382)) (-1145) (-635 (-257))) 39))) 
+(((-457) (-10 -7 (-15 -2843 ((-1252) (-311 (-382)) (-1083 (-382)) (-1145) (-635 (-257)))) (-15 -2843 ((-1252) (-311 (-382)) (-1083 (-382)) (-1145))) (-15 -2843 ((-1252) (-311 (-382)) (-1083 (-382)) (-1083 (-382)) (-1145) (-635 (-257)))) (-15 -2843 ((-1252) (-311 (-382)) (-1083 (-382)) (-1083 (-382)) (-1145))))) (T -457)) 
+((-2843 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1083 (-382))) (-5 *5 (-1145)) (-5 *2 (-1252)) (-5 *1 (-457)))) (-2843 (*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1083 (-382))) (-5 *5 (-1145)) (-5 *6 (-635 (-257))) (-5 *2 (-1252)) (-5 *1 (-457)))) (-2843 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1083 (-382))) (-5 *5 (-1145)) (-5 *2 (-1252)) (-5 *1 (-457)))) (-2843 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1083 (-382))) (-5 *5 (-1145)) (-5 *6 (-635 (-257))) (-5 *2 (-1252)) (-5 *1 (-457))))) 
+(-10 -7 (-15 -2843 ((-1252) (-311 (-382)) (-1083 (-382)) (-1145) (-635 (-257)))) (-15 -2843 ((-1252) (-311 (-382)) (-1083 (-382)) (-1145))) (-15 -2843 ((-1252) (-311 (-382)) (-1083 (-382)) (-1083 (-382)) (-1145) (-635 (-257)))) (-15 -2843 ((-1252) (-311 (-382)) (-1083 (-382)) (-1083 (-382)) (-1145)))) 
+((-2221 (((-121) |#1| (-635 |#2|)) 65)) (-3166 (((-3 (-1247 (-635 |#2|)) "failed") (-764) |#1| (-635 |#2|)) 74)) (-1594 (((-3 (-635 |#2|) "failed") |#2| |#1| (-1247 (-635 |#2|))) 76)) (-2461 ((|#2| |#2| |#1|) 28)) (-3568 (((-764) |#2| (-635 |#2|)) 20))) 
+(((-458 |#1| |#2|) (-10 -7 (-15 -2461 (|#2| |#2| |#1|)) (-15 -3568 ((-764) |#2| (-635 |#2|))) (-15 -3166 ((-3 (-1247 (-635 |#2|)) "failed") (-764) |#1| (-635 |#2|))) (-15 -1594 ((-3 (-635 |#2|) "failed") |#2| |#1| (-1247 (-635 |#2|)))) (-15 -2221 ((-121) |#1| (-635 |#2|)))) (-302) (-1222 |#1|)) (T -458)) 
+((-2221 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *5)) (-4 *5 (-1222 *3)) (-4 *3 (-302)) (-5 *2 (-121)) (-5 *1 (-458 *3 *5)))) (-1594 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1247 (-635 *3))) (-4 *4 (-302)) (-5 *2 (-635 *3)) (-5 *1 (-458 *4 *3)) (-4 *3 (-1222 *4)))) (-3166 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-764)) (-4 *4 (-302)) (-4 *6 (-1222 *4)) (-5 *2 (-1247 (-635 *6))) (-5 *1 (-458 *4 *6)) (-5 *5 (-635 *6)))) (-3568 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1222 *5)) (-4 *5 (-302)) (-5 *2 (-764)) (-5 *1 (-458 *5 *3)))) (-2461 (*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-5 *1 (-458 *3 *2)) (-4 *2 (-1222 *3))))) 
+(-10 -7 (-15 -2461 (|#2| |#2| |#1|)) (-15 -3568 ((-764) |#2| (-635 |#2|))) (-15 -3166 ((-3 (-1247 (-635 |#2|)) "failed") (-764) |#1| (-635 |#2|))) (-15 -1594 ((-3 (-635 |#2|) "failed") |#2| |#1| (-1247 (-635 |#2|)))) (-15 -2221 ((-121) |#1| (-635 |#2|)))) 
+((-1743 (((-421 |#5|) |#5|) 24))) 
+(((-459 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1743 ((-421 |#5|) |#5|))) (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163))))) (-789) (-559) (-559) (-951 |#4| |#2| |#1|)) (T -459)) 
+((-1743 (*1 *2 *3) (-12 (-4 *4 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-4 *5 (-789)) (-4 *7 (-559)) (-5 *2 (-421 *3)) (-5 *1 (-459 *4 *5 *6 *7 *3)) (-4 *6 (-559)) (-4 *3 (-951 *7 *5 *4))))) 
+(-10 -7 (-15 -1743 ((-421 |#5|) |#5|))) 
+((-2553 ((|#3|) 36)) (-4336 (((-1159 |#4|) (-1159 |#4|) (-1159 |#4|)) 32))) 
+(((-460 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4336 ((-1159 |#4|) (-1159 |#4|) (-1159 |#4|))) (-15 -2553 (|#3|))) (-789) (-843) (-905) (-951 |#3| |#1| |#2|)) (T -460)) 
+((-2553 (*1 *2) (-12 (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-905)) (-5 *1 (-460 *3 *4 *2 *5)) (-4 *5 (-951 *2 *3 *4)))) (-4336 (*1 *2 *2 *2) (-12 (-5 *2 (-1159 *6)) (-4 *6 (-951 *5 *3 *4)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-905)) (-5 *1 (-460 *3 *4 *5 *6))))) 
+(-10 -7 (-15 -4336 ((-1159 |#4|) (-1159 |#4|) (-1159 |#4|))) (-15 -2553 (|#3|))) 
+((-1743 (((-421 (-1159 |#1|)) (-1159 |#1|)) 41))) 
+(((-461 |#1|) (-10 -7 (-15 -1743 ((-421 (-1159 |#1|)) (-1159 |#1|)))) (-302)) (T -461)) 
+((-1743 (*1 *2 *3) (-12 (-4 *4 (-302)) (-5 *2 (-421 (-1159 *4))) (-5 *1 (-461 *4)) (-5 *3 (-1159 *4))))) 
+(-10 -7 (-15 -1743 ((-421 (-1159 |#1|)) (-1159 |#1|)))) 
+((-1784 (((-57) |#2| (-1163) (-289 |#2|) (-1213 (-764))) 42) (((-57) (-1 |#2| (-569)) (-289 |#2|) (-1213 (-764))) 41) (((-57) |#2| (-1163) (-289 |#2|)) 35) (((-57) (-1 |#2| (-569)) (-289 |#2|)) 27)) (-3343 (((-57) |#2| (-1163) (-289 |#2|) (-1213 (-410 (-569))) (-410 (-569))) 80) (((-57) (-1 |#2| (-410 (-569))) (-289 |#2|) (-1213 (-410 (-569))) (-410 (-569))) 79) (((-57) |#2| (-1163) (-289 |#2|) (-1213 (-569))) 78) (((-57) (-1 |#2| (-569)) (-289 |#2|) (-1213 (-569))) 77) (((-57) |#2| (-1163) (-289 |#2|)) 72) (((-57) (-1 |#2| (-569)) (-289 |#2|)) 71)) (-1791 (((-57) |#2| (-1163) (-289 |#2|) (-1213 (-410 (-569))) (-410 (-569))) 66) (((-57) (-1 |#2| (-410 (-569))) (-289 |#2|) (-1213 (-410 (-569))) (-410 (-569))) 64)) (-1788 (((-57) |#2| (-1163) (-289 |#2|) (-1213 (-569))) 48) (((-57) (-1 |#2| (-569)) (-289 |#2|) (-1213 (-569))) 47))) 
+(((-462 |#1| |#2|) (-10 -7 (-15 -1784 ((-57) (-1 |#2| (-569)) (-289 |#2|))) (-15 -1784 ((-57) |#2| (-1163) (-289 |#2|))) (-15 -1784 ((-57) (-1 |#2| (-569)) (-289 |#2|) (-1213 (-764)))) (-15 -1784 ((-57) |#2| (-1163) (-289 |#2|) (-1213 (-764)))) (-15 -1788 ((-57) (-1 |#2| (-569)) (-289 |#2|) (-1213 (-569)))) (-15 -1788 ((-57) |#2| (-1163) (-289 |#2|) (-1213 (-569)))) (-15 -1791 ((-57) (-1 |#2| (-410 (-569))) (-289 |#2|) (-1213 (-410 (-569))) (-410 (-569)))) (-15 -1791 ((-57) |#2| (-1163) (-289 |#2|) (-1213 (-410 (-569))) (-410 (-569)))) (-15 -3343 ((-57) (-1 |#2| (-569)) (-289 |#2|))) (-15 -3343 ((-57) |#2| (-1163) (-289 |#2|))) (-15 -3343 ((-57) (-1 |#2| (-569)) (-289 |#2|) (-1213 (-569)))) (-15 -3343 ((-57) |#2| (-1163) (-289 |#2|) (-1213 (-569)))) (-15 -3343 ((-57) (-1 |#2| (-410 (-569))) (-289 |#2|) (-1213 (-410 (-569))) (-410 (-569)))) (-15 -3343 ((-57) |#2| (-1163) (-289 |#2|) (-1213 (-410 (-569))) (-410 (-569))))) (-13 (-559) (-843) (-1038 (-569)) (-631 (-569))) (-13 (-27) (-1183) (-433 |#1|))) (T -462)) 
+((-3343 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-5 *6 (-1213 (-410 (-569)))) (-5 *7 (-410 (-569))) (-4 *3 (-13 (-27) (-1183) (-433 *8))) (-4 *8 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *8 *3)))) (-3343 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-410 (-569)))) (-5 *4 (-289 *8)) (-5 *5 (-1213 (-410 (-569)))) (-5 *6 (-410 (-569))) (-4 *8 (-13 (-27) (-1183) (-433 *7))) (-4 *7 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *8)))) (-3343 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-5 *6 (-1213 (-569))) (-4 *3 (-13 (-27) (-1183) (-433 *7))) (-4 *7 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *3)))) (-3343 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-569))) (-5 *4 (-289 *7)) (-5 *5 (-1213 (-569))) (-4 *7 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *7)))) (-3343 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *3)))) (-3343 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-569))) (-5 *4 (-289 *6)) (-4 *6 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *5 *6)))) (-1791 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-5 *6 (-1213 (-410 (-569)))) (-5 *7 (-410 (-569))) (-4 *3 (-13 (-27) (-1183) (-433 *8))) (-4 *8 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *8 *3)))) (-1791 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-410 (-569)))) (-5 *4 (-289 *8)) (-5 *5 (-1213 (-410 (-569)))) (-5 *6 (-410 (-569))) (-4 *8 (-13 (-27) (-1183) (-433 *7))) (-4 *7 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *8)))) (-1788 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-5 *6 (-1213 (-569))) (-4 *3 (-13 (-27) (-1183) (-433 *7))) (-4 *7 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *3)))) (-1788 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-569))) (-5 *4 (-289 *7)) (-5 *5 (-1213 (-569))) (-4 *7 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *7)))) (-1784 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-5 *6 (-1213 (-764))) (-4 *3 (-13 (-27) (-1183) (-433 *7))) (-4 *7 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *3)))) (-1784 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-569))) (-5 *4 (-289 *7)) (-5 *5 (-1213 (-764))) (-4 *7 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *7)))) (-1784 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *3)))) (-1784 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-569))) (-5 *4 (-289 *6)) (-4 *6 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *5 *6))))) 
+(-10 -7 (-15 -1784 ((-57) (-1 |#2| (-569)) (-289 |#2|))) (-15 -1784 ((-57) |#2| (-1163) (-289 |#2|))) (-15 -1784 ((-57) (-1 |#2| (-569)) (-289 |#2|) (-1213 (-764)))) (-15 -1784 ((-57) |#2| (-1163) (-289 |#2|) (-1213 (-764)))) (-15 -1788 ((-57) (-1 |#2| (-569)) (-289 |#2|) (-1213 (-569)))) (-15 -1788 ((-57) |#2| (-1163) (-289 |#2|) (-1213 (-569)))) (-15 -1791 ((-57) (-1 |#2| (-410 (-569))) (-289 |#2|) (-1213 (-410 (-569))) (-410 (-569)))) (-15 -1791 ((-57) |#2| (-1163) (-289 |#2|) (-1213 (-410 (-569))) (-410 (-569)))) (-15 -3343 ((-57) (-1 |#2| (-569)) (-289 |#2|))) (-15 -3343 ((-57) |#2| (-1163) (-289 |#2|))) (-15 -3343 ((-57) (-1 |#2| (-569)) (-289 |#2|) (-1213 (-569)))) (-15 -3343 ((-57) |#2| (-1163) (-289 |#2|) (-1213 (-569)))) (-15 -3343 ((-57) (-1 |#2| (-410 (-569))) (-289 |#2|) (-1213 (-410 (-569))) (-410 (-569)))) (-15 -3343 ((-57) |#2| (-1163) (-289 |#2|) (-1213 (-410 (-569))) (-410 (-569))))) 
+((-2461 ((|#2| |#2| |#1|) 15)) (-4180 (((-635 |#2|) |#2| (-635 |#2|) |#1| (-918)) 65)) (-1380 (((-2 (|:| |plist| (-635 |#2|)) (|:| |modulo| |#1|)) |#2| (-635 |#2|) |#1| (-918)) 58))) 
+(((-463 |#1| |#2|) (-10 -7 (-15 -1380 ((-2 (|:| |plist| (-635 |#2|)) (|:| |modulo| |#1|)) |#2| (-635 |#2|) |#1| (-918))) (-15 -4180 ((-635 |#2|) |#2| (-635 |#2|) |#1| (-918))) (-15 -2461 (|#2| |#2| |#1|))) (-302) (-1222 |#1|)) (T -463)) 
+((-2461 (*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-5 *1 (-463 *3 *2)) (-4 *2 (-1222 *3)))) (-4180 (*1 *2 *3 *2 *4 *5) (-12 (-5 *2 (-635 *3)) (-5 *5 (-918)) (-4 *3 (-1222 *4)) (-4 *4 (-302)) (-5 *1 (-463 *4 *3)))) (-1380 (*1 *2 *3 *4 *5 *6) (-12 (-5 *6 (-918)) (-4 *5 (-302)) (-4 *3 (-1222 *5)) (-5 *2 (-2 (|:| |plist| (-635 *3)) (|:| |modulo| *5))) (-5 *1 (-463 *5 *3)) (-5 *4 (-635 *3))))) 
+(-10 -7 (-15 -1380 ((-2 (|:| |plist| (-635 |#2|)) (|:| |modulo| |#1|)) |#2| (-635 |#2|) |#1| (-918))) (-15 -4180 ((-635 |#2|) |#2| (-635 |#2|) |#1| (-918))) (-15 -2461 (|#2| |#2| |#1|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 28)) (-4382 (($ |#3|) 25)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-4020 (($ $) 32)) (-4050 (($ |#2| |#4| $) 33)) (-1763 (($ |#2| (-704 |#3| |#4| |#5|)) 24)) (-1804 (((-704 |#3| |#4| |#5|) $) 15)) (-2268 ((|#3| $) 19)) (-2984 ((|#4| $) 17)) (-4012 ((|#2| $) 29)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1682 (($ |#2| |#3| |#4|) 26)) (-3369 (($) 36 T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 34)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ |#6| $) 40) (($ $ |#6|) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
+(((-464 |#1| |#2| |#3| |#4| |#5| |#6|) (-13 (-708 |#6|) (-708 |#2|) (-10 -8 (-15 -4012 (|#2| $)) (-15 -1804 ((-704 |#3| |#4| |#5|) $)) (-15 -2984 (|#4| $)) (-15 -2268 (|#3| $)) (-15 -4020 ($ $)) (-15 -1763 ($ |#2| (-704 |#3| |#4| |#5|))) (-15 -4382 ($ |#3|)) (-15 -1682 ($ |#2| |#3| |#4|)) (-15 -4050 ($ |#2| |#4| $)) (-15 * ($ |#6| $)))) (-635 (-1163)) (-173) (-843) (-231 (-4168 |#1|) (-764)) (-1 (-121) (-2 (|:| -3998 |#3|) (|:| -2356 |#4|)) (-2 (|:| -3998 |#3|) (|:| -2356 |#4|))) (-951 |#2| |#4| (-853 |#1|))) (T -464)) 
+((* (*1 *1 *2 *1) (-12 (-14 *3 (-635 (-1163))) (-4 *4 (-173)) (-4 *6 (-231 (-4168 *3) (-764))) (-14 *7 (-1 (-121) (-2 (|:| -3998 *5) (|:| -2356 *6)) (-2 (|:| -3998 *5) (|:| -2356 *6)))) (-5 *1 (-464 *3 *4 *5 *6 *7 *2)) (-4 *5 (-843)) (-4 *2 (-951 *4 *6 (-853 *3))))) (-4012 (*1 *2 *1) (-12 (-14 *3 (-635 (-1163))) (-4 *5 (-231 (-4168 *3) (-764))) (-14 *6 (-1 (-121) (-2 (|:| -3998 *4) (|:| -2356 *5)) (-2 (|:| -3998 *4) (|:| -2356 *5)))) (-4 *2 (-173)) (-5 *1 (-464 *3 *2 *4 *5 *6 *7)) (-4 *4 (-843)) (-4 *7 (-951 *2 *5 (-853 *3))))) (-1804 (*1 *2 *1) (-12 (-14 *3 (-635 (-1163))) (-4 *4 (-173)) (-4 *6 (-231 (-4168 *3) (-764))) (-14 *7 (-1 (-121) (-2 (|:| -3998 *5) (|:| -2356 *6)) (-2 (|:| -3998 *5) (|:| -2356 *6)))) (-5 *2 (-704 *5 *6 *7)) (-5 *1 (-464 *3 *4 *5 *6 *7 *8)) (-4 *5 (-843)) (-4 *8 (-951 *4 *6 (-853 *3))))) (-2984 (*1 *2 *1) (-12 (-14 *3 (-635 (-1163))) (-4 *4 (-173)) (-14 *6 (-1 (-121) (-2 (|:| -3998 *5) (|:| -2356 *2)) (-2 (|:| -3998 *5) (|:| -2356 *2)))) (-4 *2 (-231 (-4168 *3) (-764))) (-5 *1 (-464 *3 *4 *5 *2 *6 *7)) (-4 *5 (-843)) (-4 *7 (-951 *4 *2 (-853 *3))))) (-2268 (*1 *2 *1) (-12 (-14 *3 (-635 (-1163))) (-4 *4 (-173)) (-4 *5 (-231 (-4168 *3) (-764))) (-14 *6 (-1 (-121) (-2 (|:| -3998 *2) (|:| -2356 *5)) (-2 (|:| -3998 *2) (|:| -2356 *5)))) (-4 *2 (-843)) (-5 *1 (-464 *3 *4 *2 *5 *6 *7)) (-4 *7 (-951 *4 *5 (-853 *3))))) (-4020 (*1 *1 *1) (-12 (-14 *2 (-635 (-1163))) (-4 *3 (-173)) (-4 *5 (-231 (-4168 *2) (-764))) (-14 *6 (-1 (-121) (-2 (|:| -3998 *4) (|:| -2356 *5)) (-2 (|:| -3998 *4) (|:| -2356 *5)))) (-5 *1 (-464 *2 *3 *4 *5 *6 *7)) (-4 *4 (-843)) (-4 *7 (-951 *3 *5 (-853 *2))))) (-1763 (*1 *1 *2 *3) (-12 (-5 *3 (-704 *5 *6 *7)) (-4 *5 (-843)) (-4 *6 (-231 (-4168 *4) (-764))) (-14 *7 (-1 (-121) (-2 (|:| -3998 *5) (|:| -2356 *6)) (-2 (|:| -3998 *5) (|:| -2356 *6)))) (-14 *4 (-635 (-1163))) (-4 *2 (-173)) (-5 *1 (-464 *4 *2 *5 *6 *7 *8)) (-4 *8 (-951 *2 *6 (-853 *4))))) (-4382 (*1 *1 *2) (-12 (-14 *3 (-635 (-1163))) (-4 *4 (-173)) (-4 *5 (-231 (-4168 *3) (-764))) (-14 *6 (-1 (-121) (-2 (|:| -3998 *2) (|:| -2356 *5)) (-2 (|:| -3998 *2) (|:| -2356 *5)))) (-5 *1 (-464 *3 *4 *2 *5 *6 *7)) (-4 *2 (-843)) (-4 *7 (-951 *4 *5 (-853 *3))))) (-1682 (*1 *1 *2 *3 *4) (-12 (-14 *5 (-635 (-1163))) (-4 *2 (-173)) (-4 *4 (-231 (-4168 *5) (-764))) (-14 *6 (-1 (-121) (-2 (|:| -3998 *3) (|:| -2356 *4)) (-2 (|:| -3998 *3) (|:| -2356 *4)))) (-5 *1 (-464 *5 *2 *3 *4 *6 *7)) (-4 *3 (-843)) (-4 *7 (-951 *2 *4 (-853 *5))))) (-4050 (*1 *1 *2 *3 *1) (-12 (-14 *4 (-635 (-1163))) (-4 *2 (-173)) (-4 *3 (-231 (-4168 *4) (-764))) (-14 *6 (-1 (-121) (-2 (|:| -3998 *5) (|:| -2356 *3)) (-2 (|:| -3998 *5) (|:| -2356 *3)))) (-5 *1 (-464 *4 *2 *5 *3 *6 *7)) (-4 *5 (-843)) (-4 *7 (-951 *2 *3 (-853 *4)))))) 
+(-13 (-708 |#6|) (-708 |#2|) (-10 -8 (-15 -4012 (|#2| $)) (-15 -1804 ((-704 |#3| |#4| |#5|) $)) (-15 -2984 (|#4| $)) (-15 -2268 (|#3| $)) (-15 -4020 ($ $)) (-15 -1763 ($ |#2| (-704 |#3| |#4| |#5|))) (-15 -4382 ($ |#3|)) (-15 -1682 ($ |#2| |#3| |#4|)) (-15 -4050 ($ |#2| |#4| $)) (-15 * ($ |#6| $)))) 
+((-2568 (((-121) $ $) NIL)) (-1704 (((-1163) (-635 (-466))) 48)) (-1396 (((-764) (-635 (-466))) 33)) (-2406 (((-121) (-635 (-466))) 39)) (-1879 (((-3 (-918) "arbitrary") (-635 (-466))) 20)) (-3866 (((-3 (-764) "arbitrary") (-635 (-466))) 18)) (-2743 (((-3 (-918) "arbitrary") (-635 (-466))) 32)) (-1886 (((-764) (-635 (-466))) 25)) (-2397 (((-3 (-764) "arbitrary") (-635 (-466))) 16)) (-2269 (((-3 (-764) "arbitrary") (-635 (-466))) 17)) (-2101 (((-3 (-764) "arbitrary") (-635 (-466))) 21)) (-2776 (((-1145) $) NIL)) (-2536 (((-1163) (-635 (-466))) 50)) (-1499 (((-3 (-918) (-121)) (-635 (-466))) 44)) (-3360 (((-1109) $) NIL)) (-2320 (((-1163) (-635 (-466))) 49)) (-2008 (((-121) (-635 (-466))) 51)) (-2105 (((-121) (-635 (-466))) 40)) (-2185 (((-851) $) NIL)) (-3484 (((-1252) (-635 (-466))) 61)) (-1892 (((-121) (-635 (-466))) 38)) (-4506 (((-3 "skip" "MonteCarlo" "deterministic") (-635 (-466))) 37)) (-3279 (((-121) (-635 (-466))) 29)) (-1897 (((-3 (-918) (-121)) (-635 (-466))) 45)) (-1668 (((-121) $ $) NIL))) 
+(((-465) (-13 (-1091) (-10 -7 (-15 -2269 ((-3 (-764) "arbitrary") (-635 (-466)))) (-15 -3866 ((-3 (-764) "arbitrary") (-635 (-466)))) (-15 -1879 ((-3 (-918) "arbitrary") (-635 (-466)))) (-15 -2743 ((-3 (-918) "arbitrary") (-635 (-466)))) (-15 -1499 ((-3 (-918) (-121)) (-635 (-466)))) (-15 -1897 ((-3 (-918) (-121)) (-635 (-466)))) (-15 -2397 ((-3 (-764) "arbitrary") (-635 (-466)))) (-15 -2101 ((-3 (-764) "arbitrary") (-635 (-466)))) (-15 -1886 ((-764) (-635 (-466)))) (-15 -3279 ((-121) (-635 (-466)))) (-15 -1396 ((-764) (-635 (-466)))) (-15 -4506 ((-3 "skip" "MonteCarlo" "deterministic") (-635 (-466)))) (-15 -1892 ((-121) (-635 (-466)))) (-15 -2406 ((-121) (-635 (-466)))) (-15 -2320 ((-1163) (-635 (-466)))) (-15 -1704 ((-1163) (-635 (-466)))) (-15 -2536 ((-1163) (-635 (-466)))) (-15 -2008 ((-121) (-635 (-466)))) (-15 -2105 ((-121) (-635 (-466)))) (-15 -3484 ((-1252) (-635 (-466))))))) (T -465)) 
+((-2269 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-465)))) (-3866 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-465)))) (-1879 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-918) "arbitrary")) (-5 *1 (-465)))) (-2743 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-918) "arbitrary")) (-5 *1 (-465)))) (-1499 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-918) (-121))) (-5 *1 (-465)))) (-1897 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-918) (-121))) (-5 *1 (-465)))) (-2397 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-465)))) (-2101 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-465)))) (-1886 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-764)) (-5 *1 (-465)))) (-3279 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) (-1396 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-764)) (-5 *1 (-465)))) (-4506 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 "skip" "MonteCarlo" "deterministic")) (-5 *1 (-465)))) (-1892 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) (-2406 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) (-2320 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1163)) (-5 *1 (-465)))) (-1704 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1163)) (-5 *1 (-465)))) (-2536 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1163)) (-5 *1 (-465)))) (-2008 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) (-2105 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) (-3484 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1252)) (-5 *1 (-465))))) 
+(-13 (-1091) (-10 -7 (-15 -2269 ((-3 (-764) "arbitrary") (-635 (-466)))) (-15 -3866 ((-3 (-764) "arbitrary") (-635 (-466)))) (-15 -1879 ((-3 (-918) "arbitrary") (-635 (-466)))) (-15 -2743 ((-3 (-918) "arbitrary") (-635 (-466)))) (-15 -1499 ((-3 (-918) (-121)) (-635 (-466)))) (-15 -1897 ((-3 (-918) (-121)) (-635 (-466)))) (-15 -2397 ((-3 (-764) "arbitrary") (-635 (-466)))) (-15 -2101 ((-3 (-764) "arbitrary") (-635 (-466)))) (-15 -1886 ((-764) (-635 (-466)))) (-15 -3279 ((-121) (-635 (-466)))) (-15 -1396 ((-764) (-635 (-466)))) (-15 -4506 ((-3 "skip" "MonteCarlo" "deterministic") (-635 (-466)))) (-15 -1892 ((-121) (-635 (-466)))) (-15 -2406 ((-121) (-635 (-466)))) (-15 -2320 ((-1163) (-635 (-466)))) (-15 -1704 ((-1163) (-635 (-466)))) (-15 -2536 ((-1163) (-635 (-466)))) (-15 -2008 ((-121) (-635 (-466)))) (-15 -2105 ((-121) (-635 (-466)))) (-15 -3484 ((-1252) (-635 (-466)))))) 
+((-2568 (((-121) $ $) NIL)) (-1704 (($ (-1163)) 45)) (-1396 (($ (-764)) 28)) (-3757 (((-3 (-57) "failed") (-635 $) (-1163)) 57)) (-2406 (($ (-121)) 40)) (-1879 (($ (-3 (-918) "arbitrary")) 15)) (-3866 (($ (-3 (-764) "arbitrary")) 13)) (-2743 (($ (-3 (-918) "arbitrary")) 27)) (-1886 (($ (-764)) 20)) (-2397 (($ (-3 (-764) "arbitrary")) 11)) (-2269 (($ (-3 (-764) "arbitrary")) 12)) (-2101 (($ (-3 (-764) "arbitrary")) 16)) (-2776 (((-1145) $) NIL)) (-2536 (($ (-1163)) 46)) (-1499 (($ (-3 (-918) (-121))) 32)) (-3360 (((-1109) $) NIL)) (-2320 (($ (-1163)) 44)) (-2008 (($ (-121)) 47)) (-2105 (($ (-121)) 34)) (-2185 (((-851) $) 52)) (-1892 (($ (-121)) 39)) (-4506 (($ (-3 "skip" "MonteCarlo" "deterministic")) 38)) (-3279 (($ (-121)) 24)) (-1897 (($ (-3 (-918) (-121))) 33)) (-1668 (((-121) $ $) 54))) 
+(((-466) (-13 (-1091) (-10 -8 (-15 -2269 ($ (-3 (-764) "arbitrary"))) (-15 -3866 ($ (-3 (-764) "arbitrary"))) (-15 -1879 ($ (-3 (-918) "arbitrary"))) (-15 -2743 ($ (-3 (-918) "arbitrary"))) (-15 -1499 ($ (-3 (-918) (-121)))) (-15 -1897 ($ (-3 (-918) (-121)))) (-15 -2397 ($ (-3 (-764) "arbitrary"))) (-15 -2101 ($ (-3 (-764) "arbitrary"))) (-15 -1886 ($ (-764))) (-15 -3279 ($ (-121))) (-15 -1396 ($ (-764))) (-15 -4506 ($ (-3 "skip" "MonteCarlo" "deterministic"))) (-15 -1892 ($ (-121))) (-15 -2406 ($ (-121))) (-15 -2105 ($ (-121))) (-15 -2320 ($ (-1163))) (-15 -1704 ($ (-1163))) (-15 -2536 ($ (-1163))) (-15 -2008 ($ (-121))) (-15 -3757 ((-3 (-57) "failed") (-635 $) (-1163)))))) (T -466)) 
+((-2269 (*1 *1 *2) (-12 (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-466)))) (-3866 (*1 *1 *2) (-12 (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-466)))) (-1879 (*1 *1 *2) (-12 (-5 *2 (-3 (-918) "arbitrary")) (-5 *1 (-466)))) (-2743 (*1 *1 *2) (-12 (-5 *2 (-3 (-918) "arbitrary")) (-5 *1 (-466)))) (-1499 (*1 *1 *2) (-12 (-5 *2 (-3 (-918) (-121))) (-5 *1 (-466)))) (-1897 (*1 *1 *2) (-12 (-5 *2 (-3 (-918) (-121))) (-5 *1 (-466)))) (-2397 (*1 *1 *2) (-12 (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-466)))) (-2101 (*1 *1 *2) (-12 (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-466)))) (-1886 (*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-466)))) (-3279 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466)))) (-1396 (*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-466)))) (-4506 (*1 *1 *2) (-12 (-5 *2 (-3 "skip" "MonteCarlo" "deterministic")) (-5 *1 (-466)))) (-1892 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466)))) (-2406 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466)))) (-2105 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466)))) (-2320 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-466)))) (-1704 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-466)))) (-2536 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-466)))) (-2008 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466)))) (-3757 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-635 (-466))) (-5 *4 (-1163)) (-5 *2 (-57)) (-5 *1 (-466))))) 
+(-13 (-1091) (-10 -8 (-15 -2269 ($ (-3 (-764) "arbitrary"))) (-15 -3866 ($ (-3 (-764) "arbitrary"))) (-15 -1879 ($ (-3 (-918) "arbitrary"))) (-15 -2743 ($ (-3 (-918) "arbitrary"))) (-15 -1499 ($ (-3 (-918) (-121)))) (-15 -1897 ($ (-3 (-918) (-121)))) (-15 -2397 ($ (-3 (-764) "arbitrary"))) (-15 -2101 ($ (-3 (-764) "arbitrary"))) (-15 -1886 ($ (-764))) (-15 -3279 ($ (-121))) (-15 -1396 ($ (-764))) (-15 -4506 ($ (-3 "skip" "MonteCarlo" "deterministic"))) (-15 -1892 ($ (-121))) (-15 -2406 ($ (-121))) (-15 -2105 ($ (-121))) (-15 -2320 ($ (-1163))) (-15 -1704 ($ (-1163))) (-15 -2536 ($ (-1163))) (-15 -2008 ($ (-121))) (-15 -3757 ((-3 (-57) "failed") (-635 $) (-1163))))) 
+((-3452 (((-3 |#5| "failed") |#5| |#2| (-1 |#2|)) 35))) 
+(((-467 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3452 ((-3 |#5| "failed") |#5| |#2| (-1 |#2|)))) (-789) (-843) (-559) (-951 |#3| |#1| |#2|) (-13 (-1038 (-410 (-569))) (-366) (-10 -8 (-15 -2185 ($ |#4|)) (-15 -4116 (|#4| $)) (-15 -4121 (|#4| $))))) (T -467)) 
+((-3452 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *4 (-1 *3)) (-4 *3 (-843)) (-4 *5 (-789)) (-4 *6 (-559)) (-4 *7 (-951 *6 *5 *3)) (-5 *1 (-467 *5 *3 *6 *7 *2)) (-4 *2 (-13 (-1038 (-410 (-569))) (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $)))))))) 
+(-10 -7 (-15 -3452 ((-3 |#5| "failed") |#5| |#2| (-1 |#2|)))) 
+((-1692 ((|#3|) 43)) (-1366 (((-635 |#5|)) 47)) (-2122 (((-635 |#5|) (-635 |#5|)) 129)) (-3718 ((|#3| |#3|) 107)) (-2956 (((-1252)) 106)) (-1818 (((-635 |#5|)) 150 (|has| |#1| (-371)))) (-2516 (((-635 |#7|)) 153 (|has| |#1| (-371)))) (-3987 (((-1252) (-635 (-121))) 120)) (-3143 ((|#5| |#7|) 94)) (-2411 (((-635 |#7|) (-918)) 149 (|has| |#1| (-371)))) (-2344 (((-635 |#7|) |#5|) 92)) (-1979 ((|#6| |#3| |#7|) 97)) (-2747 (((-569) (-918)) 194 (|has| |#1| (-371)))) (-3870 (((-569) (-918) (-918)) 193 (|has| |#1| (-371)))) (-3049 (((-569) (-918)) 176 (|has| |#1| (-371)))) (-3154 (((-2 (|:| |num| (-635 |#3|)) (|:| |den| |#3|)) |#8|) 69)) (-2346 ((|#8| |#3|) 50)) (-3408 (((-635 |#3|) |#8| (-635 |#3|)) 136)) (-1317 (((-635 |#3|) |#8| (-764)) 65)) (-3875 ((|#3| |#3| (-569)) 40)) (-3342 (((-569)) 74)) (-3950 (((-764)) 73)) (-4362 (((-2 (|:| -2599 (-569)) (|:| |num| |#3|) (|:| |den| |#3|) (|:| |upTo| (-569))) |#8| (-569) (-569)) 114)) (-1361 (((-3 |#1| "failed") (-410 |#3|) |#7|) 144) (((-3 |#1| "failed") |#3| |#3| |#7|) 139) (((-3 |#1| "failed") |#3| |#7|) 104)) (-1468 ((|#1| (-410 |#3|) |#7|) 145) ((|#1| |#3| |#3| |#7|) 140) ((|#1| |#3| |#7|) 105)) (-3347 (((-635 |#10|)) 70)) (-1844 (((-635 |#10|)) 45)) (-2184 (((-569)) 204 (|has| |#1| (-371)))) (-2209 ((|#8|) 54)) (-1561 (((-1242 (-569) -3417) (-918)) 155 (|has| |#1| (-371))) (((-1242 (-569) -3417)) 156 (|has| |#1| (-371)))) (-4256 (((-1159 (-569)) (-918)) 158 (|has| |#1| (-371))) (((-1159 (-569))) 196 (|has| |#1| (-371))))) 
+(((-468 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10| |#11|) (-10 -7 (-15 -2956 ((-1252))) (-15 -3718 (|#3| |#3|)) (-15 -3875 (|#3| |#3| (-569))) (-15 -3987 ((-1252) (-635 (-121)))) (-15 -1692 (|#3|)) (-15 -3950 ((-764))) (-15 -3342 ((-569))) (-15 -1844 ((-635 |#10|))) (-15 -3347 ((-635 |#10|))) (-15 -2122 ((-635 |#5|) (-635 |#5|))) (-15 -1366 ((-635 |#5|))) (-15 -1979 (|#6| |#3| |#7|)) (-15 -3154 ((-2 (|:| |num| (-635 |#3|)) (|:| |den| |#3|)) |#8|)) (-15 -4362 ((-2 (|:| -2599 (-569)) (|:| |num| |#3|) (|:| |den| |#3|) (|:| |upTo| (-569))) |#8| (-569) (-569))) (-15 -1317 ((-635 |#3|) |#8| (-764))) (-15 -3408 ((-635 |#3|) |#8| (-635 |#3|))) (-15 -1468 (|#1| |#3| |#7|)) (-15 -1468 (|#1| |#3| |#3| |#7|)) (-15 -1468 (|#1| (-410 |#3|) |#7|)) (-15 -1361 ((-3 |#1| "failed") |#3| |#7|)) (-15 -1361 ((-3 |#1| "failed") |#3| |#3| |#7|)) (-15 -1361 ((-3 |#1| "failed") (-410 |#3|) |#7|)) (-15 -2346 (|#8| |#3|)) (-15 -2209 (|#8|)) (-15 -2344 ((-635 |#7|) |#5|)) (-15 -3143 (|#5| |#7|)) (IF (|has| |#1| (-371)) (PROGN (-15 -2516 ((-635 |#7|))) (-15 -1818 ((-635 |#5|))) (-15 -4256 ((-1159 (-569)))) (-15 -4256 ((-1159 (-569)) (-918))) (-15 -2184 ((-569))) (-15 -2411 ((-635 |#7|) (-918))) (-15 -3049 ((-569) (-918))) (-15 -2747 ((-569) (-918))) (-15 -3870 ((-569) (-918) (-918))) (-15 -1561 ((-1242 (-569) -3417))) (-15 -1561 ((-1242 (-569) -3417) (-918)))) |noBranch|)) (-366) (-635 (-1163)) (-951 |#1| |#4| (-853 |#2|)) (-231 (-4168 |#2|) (-764)) (-972 |#1|) (-642 |#1|) (-921 |#1| |#6|) (-236 |#7|) (-537 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#11|) (-259 |#9|) (-117)) (T -468)) 
+((-1561 (*1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1242 (-569) -3417)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-1561 (*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1242 (-569) -3417)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3870 (*1 *2 *3 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-2747 (*1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-3049 (*1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-2411 (*1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-635 *10)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-2184 (*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-4256 (*1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1159 (-569))) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-4256 (*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1159 (-569))) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-1818 (*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *7)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-2516 (*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *9)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3143 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-642 *4)) (-4 *3 (-921 *4 *8)) (-4 *9 (-236 *3)) (-4 *10 (-537 *4 *5 *6 *7 *2 *8 *3 *9 *12)) (-4 *12 (-117)) (-4 *2 (-972 *4)) (-5 *1 (-468 *4 *5 *6 *7 *2 *8 *3 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-2344 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *3 (-972 *4)) (-4 *8 (-642 *4)) (-4 *9 (-921 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *6 *7 *3 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *9)) (-5 *1 (-468 *4 *5 *6 *7 *3 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-2209 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-537 *3 *4 *5 *6 *7 *8 *9 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *9)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-259 *10)))) (-2346 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *4)) (-4 *8 (-642 *4)) (-4 *9 (-921 *4 *8)) (-4 *10 (-537 *4 *5 *3 *6 *7 *8 *9 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *9)) (-5 *1 (-468 *4 *5 *3 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-259 *10)))) (-1361 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 *6)) (-4 *6 (-951 *2 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-14 *5 (-635 (-1163))) (-4 *8 (-972 *2)) (-4 *9 (-642 *2)) (-4 *4 (-921 *2 *9)) (-4 *10 (-236 *4)) (-4 *11 (-537 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-1361 (*1 *2 *3 *3 *4) (|partial| -12 (-14 *5 (-635 (-1163))) (-4 *3 (-951 *2 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *2)) (-4 *8 (-642 *2)) (-4 *4 (-921 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-1361 (*1 *2 *3 *4) (|partial| -12 (-14 *5 (-635 (-1163))) (-4 *3 (-951 *2 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *2)) (-4 *8 (-642 *2)) (-4 *4 (-921 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-1468 (*1 *2 *3 *4) (-12 (-5 *3 (-410 *6)) (-4 *6 (-951 *2 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-14 *5 (-635 (-1163))) (-4 *8 (-972 *2)) (-4 *9 (-642 *2)) (-4 *4 (-921 *2 *9)) (-4 *10 (-236 *4)) (-4 *11 (-537 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-1468 (*1 *2 *3 *3 *4) (-12 (-14 *5 (-635 (-1163))) (-4 *3 (-951 *2 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *2)) (-4 *8 (-642 *2)) (-4 *4 (-921 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-1468 (*1 *2 *3 *4) (-12 (-14 *5 (-635 (-1163))) (-4 *3 (-951 *2 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *2)) (-4 *8 (-642 *2)) (-4 *4 (-921 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-3408 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *3 (-236 *10)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-117)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-259 *11)))) (-1317 (*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-951 *5 *8 (-853 *6))) (-4 *8 (-231 (-4168 *6) *4)) (-4 *9 (-972 *5)) (-4 *10 (-642 *5)) (-4 *11 (-921 *5 *10)) (-4 *3 (-236 *11)) (-4 *12 (-537 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-117)) (-5 *2 (-635 *7)) (-5 *1 (-468 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-4 *13 (-259 *12)))) (-4362 (*1 *2 *3 *4 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-951 *5 *8 (-853 *6))) (-4 *8 (-231 (-4168 *6) (-764))) (-4 *9 (-972 *5)) (-4 *10 (-642 *5)) (-4 *11 (-921 *5 *10)) (-4 *3 (-236 *11)) (-4 *12 (-537 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-117)) (-5 *2 (-2 (|:| -2599 (-569)) (|:| |num| *7) (|:| |den| *7) (|:| |upTo| (-569)))) (-5 *1 (-468 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-5 *4 (-569)) (-4 *13 (-259 *12)))) (-3154 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *3 (-236 *10)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-117)) (-5 *2 (-2 (|:| |num| (-635 *6)) (|:| |den| *6))) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-259 *11)))) (-1979 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *8 (-972 *5)) (-4 *4 (-921 *5 *2)) (-4 *9 (-236 *4)) (-4 *10 (-537 *5 *6 *3 *7 *8 *2 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-642 *5)) (-5 *1 (-468 *5 *6 *3 *7 *8 *2 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-1366 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *7)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-2122 (*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-972 *3)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3347 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *12)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-1844 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *12)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3342 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3950 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) *2)) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-764)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-1692 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-231 (-4168 *4) (-764))) (-4 *6 (-972 *3)) (-4 *7 (-642 *3)) (-4 *8 (-921 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-537 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-117)) (-4 *2 (-951 *3 *5 (-853 *4))) (-5 *1 (-468 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-3987 (*1 *2 *3) (-12 (-5 *3 (-635 (-121))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1252)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-3875 (*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *2 (-951 *4 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *4)) (-4 *8 (-642 *4)) (-4 *9 (-921 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *2 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *1 (-468 *4 *5 *2 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3718 (*1 *2 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *2 (-951 *3 *5 (-853 *4))) (-4 *5 (-231 (-4168 *4) (-764))) (-4 *6 (-972 *3)) (-4 *7 (-642 *3)) (-4 *8 (-921 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-537 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-117)) (-5 *1 (-468 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-2956 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1252)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11))))) 
+(-10 -7 (-15 -2956 ((-1252))) (-15 -3718 (|#3| |#3|)) (-15 -3875 (|#3| |#3| (-569))) (-15 -3987 ((-1252) (-635 (-121)))) (-15 -1692 (|#3|)) (-15 -3950 ((-764))) (-15 -3342 ((-569))) (-15 -1844 ((-635 |#10|))) (-15 -3347 ((-635 |#10|))) (-15 -2122 ((-635 |#5|) (-635 |#5|))) (-15 -1366 ((-635 |#5|))) (-15 -1979 (|#6| |#3| |#7|)) (-15 -3154 ((-2 (|:| |num| (-635 |#3|)) (|:| |den| |#3|)) |#8|)) (-15 -4362 ((-2 (|:| -2599 (-569)) (|:| |num| |#3|) (|:| |den| |#3|) (|:| |upTo| (-569))) |#8| (-569) (-569))) (-15 -1317 ((-635 |#3|) |#8| (-764))) (-15 -3408 ((-635 |#3|) |#8| (-635 |#3|))) (-15 -1468 (|#1| |#3| |#7|)) (-15 -1468 (|#1| |#3| |#3| |#7|)) (-15 -1468 (|#1| (-410 |#3|) |#7|)) (-15 -1361 ((-3 |#1| "failed") |#3| |#7|)) (-15 -1361 ((-3 |#1| "failed") |#3| |#3| |#7|)) (-15 -1361 ((-3 |#1| "failed") (-410 |#3|) |#7|)) (-15 -2346 (|#8| |#3|)) (-15 -2209 (|#8|)) (-15 -2344 ((-635 |#7|) |#5|)) (-15 -3143 (|#5| |#7|)) (IF (|has| |#1| (-371)) (PROGN (-15 -2516 ((-635 |#7|))) (-15 -1818 ((-635 |#5|))) (-15 -4256 ((-1159 (-569)))) (-15 -4256 ((-1159 (-569)) (-918))) (-15 -2184 ((-569))) (-15 -2411 ((-635 |#7|) (-918))) (-15 -3049 ((-569) (-918))) (-15 -2747 ((-569) (-918))) (-15 -3870 ((-569) (-918) (-918))) (-15 -1561 ((-1242 (-569) -3417))) (-15 -1561 ((-1242 (-569) -3417) (-918)))) |noBranch|)) 
+((-2568 (((-121) $ $) NIL)) (-1773 (((-635 |#3|) $) 41)) (-3008 (((-121) $) NIL)) (-3625 (((-121) $) NIL (|has| |#1| (-559)))) (-3113 (((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ |#3|) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-1962 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-4162 (((-121) $) NIL (|has| |#1| (-559)))) (-2716 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3532 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2398 (((-121) $) NIL (|has| |#1| (-559)))) (-4318 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-1322 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-1647 (((-3 $ "failed") (-635 |#4|)) 47)) (-2428 (($ (-635 |#4|)) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091))))) (-4347 (($ |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1830 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-1774 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4535))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4535)))) (-3470 (((-635 |#4|) $) 18 (|has| $ (-6 -4535)))) (-4357 ((|#3| $) 45)) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#4|) $) 14 (|has| $ (-6 -4535)))) (-3660 (((-121) |#4| $) 26 (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091))))) (-1853 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#4| |#4|) $) 21)) (-1833 (((-635 |#3|) $) NIL)) (-2760 (((-121) |#3| $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-2439 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-3360 (((-1109) $) NIL)) (-2502 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-4177 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#4|) (-635 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-635 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 39)) (-1296 (($) 17)) (-2846 (((-764) |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) (((-764) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) 16)) (-3817 (((-542) $) NIL (|has| |#4| (-610 (-542)))) (($ (-635 |#4|)) 49)) (-2139 (($ (-635 |#4|)) 13)) (-4201 (($ $ |#3|) NIL)) (-3460 (($ $ |#3|) NIL)) (-2630 (($ $ |#3|) NIL)) (-2185 (((-851) $) 38) (((-635 |#4|) $) 48)) (-2066 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 30)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-469 |#1| |#2| |#3| |#4|) (-13 (-978 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3817 ($ (-635 |#4|))) (-6 -4535) (-6 -4536))) (-1048) (-789) (-843) (-1062 |#1| |#2| |#3|)) (T -469)) 
+((-3817 (*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-469 *3 *4 *5 *6))))) 
+(-13 (-978 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3817 ($ (-635 |#4|))) (-6 -4535) (-6 -4536))) 
+((-3369 (($) 11)) (-1556 (($) 13)) (* (($ |#2| $) 15) (($ $ |#2|) 16))) 
+(((-470 |#1| |#2| |#3|) (-10 -8 (-15 -1556 (|#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -3369 (|#1|))) (-471 |#2| |#3|) (-173) (-23)) (T -470)) 
+NIL 
+(-10 -8 (-15 -1556 (|#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -3369 (|#1|))) 
+((-2568 (((-121) $ $) 7)) (-1647 (((-3 |#1| "failed") $) 23)) (-2428 ((|#1| $) 22)) (-1592 (($ $ $) 20)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2492 ((|#2| $) 18)) (-2185 (((-851) $) 11) (($ |#1|) 24)) (-3369 (($) 17 T CONST)) (-1556 (($) 21 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 14) (($ $ $) 12)) (-1707 (($ $ $) 13)) (* (($ |#1| $) 16) (($ $ |#1|) 15))) 
+(((-471 |#1| |#2|) (-1278) (-173) (-23)) (T -471)) 
+((-1556 (*1 *1) (-12 (-4 *1 (-471 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (-1592 (*1 *1 *1 *1) (-12 (-4 *1 (-471 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23))))) 
+(-13 (-476 |t#1| |t#2|) (-1038 |t#1|) (-10 -8 (-15 (-1556) ($) -2043) (-15 -1592 ($ $ $)))) 
+(((-105) . T) ((-609 (-851)) . T) ((-476 |#1| |#2|) . T) ((-1038 |#1|) . T) ((-1091) . T)) 
+((-3456 (((-1247 (-1247 (-569))) (-1247 (-1247 (-569))) (-918)) 18)) (-4418 (((-1247 (-1247 (-569))) (-918)) 16))) 
+(((-472) (-10 -7 (-15 -3456 ((-1247 (-1247 (-569))) (-1247 (-1247 (-569))) (-918))) (-15 -4418 ((-1247 (-1247 (-569))) (-918))))) (T -472)) 
+((-4418 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1247 (-1247 (-569)))) (-5 *1 (-472)))) (-3456 (*1 *2 *2 *3) (-12 (-5 *2 (-1247 (-1247 (-569)))) (-5 *3 (-918)) (-5 *1 (-472))))) 
+(-10 -7 (-15 -3456 ((-1247 (-1247 (-569))) (-1247 (-1247 (-569))) (-918))) (-15 -4418 ((-1247 (-1247 (-569))) (-918)))) 
+((-4319 (((-569) (-569)) 30) (((-569)) 22)) (-2795 (((-569) (-569)) 26) (((-569)) 18)) (-1329 (((-569) (-569)) 28) (((-569)) 20)) (-3821 (((-121) (-121)) 12) (((-121)) 10)) (-3262 (((-121) (-121)) 11) (((-121)) 9)) (-3860 (((-121) (-121)) 24) (((-121)) 15))) 
+(((-473) (-10 -7 (-15 -3262 ((-121))) (-15 -3821 ((-121))) (-15 -3262 ((-121) (-121))) (-15 -3821 ((-121) (-121))) (-15 -3860 ((-121))) (-15 -1329 ((-569))) (-15 -2795 ((-569))) (-15 -4319 ((-569))) (-15 -3860 ((-121) (-121))) (-15 -1329 ((-569) (-569))) (-15 -2795 ((-569) (-569))) (-15 -4319 ((-569) (-569))))) (T -473)) 
+((-4319 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) (-2795 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) (-1329 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) (-3860 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) (-4319 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) (-2795 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) (-1329 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) (-3860 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) (-3821 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) (-3262 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) (-3821 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) (-3262 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473))))) 
+(-10 -7 (-15 -3262 ((-121))) (-15 -3821 ((-121))) (-15 -3262 ((-121) (-121))) (-15 -3821 ((-121) (-121))) (-15 -3860 ((-121))) (-15 -1329 ((-569))) (-15 -2795 ((-569))) (-15 -4319 ((-569))) (-15 -3860 ((-121) (-121))) (-15 -1329 ((-569) (-569))) (-15 -2795 ((-569) (-569))) (-15 -4319 ((-569) (-569)))) 
+((-2568 (((-121) $ $) NIL)) (-3601 (((-635 (-382)) $) 27) (((-635 (-382)) $ (-635 (-382))) 90)) (-2304 (((-635 (-1085 (-382))) $) 14) (((-635 (-1085 (-382))) $ (-635 (-1085 (-382)))) 87)) (-4463 (((-635 (-635 (-945 (-216)))) (-635 (-635 (-945 (-216)))) (-635 (-870))) 42)) (-2863 (((-635 (-635 (-945 (-216)))) $) 83)) (-2893 (((-1252) $ (-945 (-216)) (-870)) 103)) (-3285 (($ $) 82) (($ (-635 (-635 (-945 (-216))))) 93) (($ (-635 (-635 (-945 (-216)))) (-635 (-870)) (-635 (-870)) (-635 (-918))) 92) (($ (-635 (-635 (-945 (-216)))) (-635 (-870)) (-635 (-870)) (-635 (-918)) (-635 (-257))) 94)) (-2776 (((-1145) $) NIL)) (-2335 (((-569) $) 65)) (-3360 (((-1109) $) NIL)) (-3595 (($) 91)) (-2193 (((-635 (-216)) (-635 (-635 (-945 (-216))))) 52)) (-3040 (((-1252) $ (-635 (-945 (-216))) (-870) (-870) (-918)) 97) (((-1252) $ (-945 (-216))) 99) (((-1252) $ (-945 (-216)) (-870) (-870) (-918)) 98)) (-2185 (((-851) $) 109) (($ (-635 (-635 (-945 (-216))))) 104)) (-2077 (((-1252) $ (-945 (-216))) 102)) (-1668 (((-121) $ $) NIL))) 
+(((-474) (-13 (-1091) (-10 -8 (-15 -3595 ($)) (-15 -3285 ($ $)) (-15 -3285 ($ (-635 (-635 (-945 (-216)))))) (-15 -3285 ($ (-635 (-635 (-945 (-216)))) (-635 (-870)) (-635 (-870)) (-635 (-918)))) (-15 -3285 ($ (-635 (-635 (-945 (-216)))) (-635 (-870)) (-635 (-870)) (-635 (-918)) (-635 (-257)))) (-15 -2863 ((-635 (-635 (-945 (-216)))) $)) (-15 -2335 ((-569) $)) (-15 -2304 ((-635 (-1085 (-382))) $)) (-15 -2304 ((-635 (-1085 (-382))) $ (-635 (-1085 (-382))))) (-15 -3601 ((-635 (-382)) $)) (-15 -3601 ((-635 (-382)) $ (-635 (-382)))) (-15 -3040 ((-1252) $ (-635 (-945 (-216))) (-870) (-870) (-918))) (-15 -3040 ((-1252) $ (-945 (-216)))) (-15 -3040 ((-1252) $ (-945 (-216)) (-870) (-870) (-918))) (-15 -2077 ((-1252) $ (-945 (-216)))) (-15 -2893 ((-1252) $ (-945 (-216)) (-870))) (-15 -2185 ($ (-635 (-635 (-945 (-216)))))) (-15 -2185 ((-851) $)) (-15 -4463 ((-635 (-635 (-945 (-216)))) (-635 (-635 (-945 (-216)))) (-635 (-870)))) (-15 -2193 ((-635 (-216)) (-635 (-635 (-945 (-216))))))))) (T -474)) 
+((-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-474)))) (-3595 (*1 *1) (-5 *1 (-474))) (-3285 (*1 *1 *1) (-5 *1 (-474))) (-3285 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *1 (-474)))) (-3285 (*1 *1 *2 *3 *3 *4) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *3 (-635 (-870))) (-5 *4 (-635 (-918))) (-5 *1 (-474)))) (-3285 (*1 *1 *2 *3 *3 *4 *5) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *3 (-635 (-870))) (-5 *4 (-635 (-918))) (-5 *5 (-635 (-257))) (-5 *1 (-474)))) (-2863 (*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *1 (-474)))) (-2335 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-474)))) (-2304 (*1 *2 *1) (-12 (-5 *2 (-635 (-1085 (-382)))) (-5 *1 (-474)))) (-2304 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1085 (-382)))) (-5 *1 (-474)))) (-3601 (*1 *2 *1) (-12 (-5 *2 (-635 (-382))) (-5 *1 (-474)))) (-3601 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-382))) (-5 *1 (-474)))) (-3040 (*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-635 (-945 (-216)))) (-5 *4 (-870)) (-5 *5 (-918)) (-5 *2 (-1252)) (-5 *1 (-474)))) (-3040 (*1 *2 *1 *3) (-12 (-5 *3 (-945 (-216))) (-5 *2 (-1252)) (-5 *1 (-474)))) (-3040 (*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-945 (-216))) (-5 *4 (-870)) (-5 *5 (-918)) (-5 *2 (-1252)) (-5 *1 (-474)))) (-2077 (*1 *2 *1 *3) (-12 (-5 *3 (-945 (-216))) (-5 *2 (-1252)) (-5 *1 (-474)))) (-2893 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-945 (-216))) (-5 *4 (-870)) (-5 *2 (-1252)) (-5 *1 (-474)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *1 (-474)))) (-4463 (*1 *2 *2 *3) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *3 (-635 (-870))) (-5 *1 (-474)))) (-2193 (*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *2 (-635 (-216))) (-5 *1 (-474))))) 
+(-13 (-1091) (-10 -8 (-15 -3595 ($)) (-15 -3285 ($ $)) (-15 -3285 ($ (-635 (-635 (-945 (-216)))))) (-15 -3285 ($ (-635 (-635 (-945 (-216)))) (-635 (-870)) (-635 (-870)) (-635 (-918)))) (-15 -3285 ($ (-635 (-635 (-945 (-216)))) (-635 (-870)) (-635 (-870)) (-635 (-918)) (-635 (-257)))) (-15 -2863 ((-635 (-635 (-945 (-216)))) $)) (-15 -2335 ((-569) $)) (-15 -2304 ((-635 (-1085 (-382))) $)) (-15 -2304 ((-635 (-1085 (-382))) $ (-635 (-1085 (-382))))) (-15 -3601 ((-635 (-382)) $)) (-15 -3601 ((-635 (-382)) $ (-635 (-382)))) (-15 -3040 ((-1252) $ (-635 (-945 (-216))) (-870) (-870) (-918))) (-15 -3040 ((-1252) $ (-945 (-216)))) (-15 -3040 ((-1252) $ (-945 (-216)) (-870) (-870) (-918))) (-15 -2077 ((-1252) $ (-945 (-216)))) (-15 -2893 ((-1252) $ (-945 (-216)) (-870))) (-15 -2185 ($ (-635 (-635 (-945 (-216)))))) (-15 -2185 ((-851) $)) (-15 -4463 ((-635 (-635 (-945 (-216)))) (-635 (-635 (-945 (-216)))) (-635 (-870)))) (-15 -2193 ((-635 (-216)) (-635 (-635 (-945 (-216)))))))) 
+((-1711 (($ $) NIL) (($ $ $) 11))) 
+(((-475 |#1| |#2| |#3|) (-10 -8 (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|))) (-476 |#2| |#3|) (-173) (-23)) (T -475)) 
+NIL 
+(-10 -8 (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|))) 
+((-2568 (((-121) $ $) 7)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2492 ((|#2| $) 18)) (-2185 (((-851) $) 11)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 14) (($ $ $) 12)) (-1707 (($ $ $) 13)) (* (($ |#1| $) 16) (($ $ |#1|) 15))) 
+(((-476 |#1| |#2|) (-1278) (-173) (-23)) (T -476)) 
+((-2492 (*1 *2 *1) (-12 (-4 *1 (-476 *3 *2)) (-4 *3 (-173)) (-4 *2 (-23)))) (-3369 (*1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (* (*1 *1 *1 *2) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (-1711 (*1 *1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (-1707 (*1 *1 *1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (-1711 (*1 *1 *1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23))))) 
+(-13 (-1091) (-10 -8 (-15 -2492 (|t#2| $)) (-15 (-3369) ($) -2043) (-15 * ($ |t#1| $)) (-15 * ($ $ |t#1|)) (-15 -1711 ($ $)) (-15 -1707 ($ $ $)) (-15 -1711 ($ $ $)))) 
+(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
+((-2904 (((-3 (-635 (-493 |#1| |#2|)) "failed") (-635 (-493 |#1| |#2|)) (-635 (-853 |#1|))) 88)) (-2190 (((-635 (-635 (-243 |#1| |#2|))) (-635 (-243 |#1| |#2|)) (-635 (-853 |#1|))) 86)) (-2289 (((-2 (|:| |dpolys| (-635 (-243 |#1| |#2|))) (|:| |coords| (-635 (-569)))) (-635 (-243 |#1| |#2|)) (-635 (-853 |#1|))) 58))) 
+(((-477 |#1| |#2| |#3|) (-10 -7 (-15 -2190 ((-635 (-635 (-243 |#1| |#2|))) (-635 (-243 |#1| |#2|)) (-635 (-853 |#1|)))) (-15 -2904 ((-3 (-635 (-493 |#1| |#2|)) "failed") (-635 (-493 |#1| |#2|)) (-635 (-853 |#1|)))) (-15 -2289 ((-2 (|:| |dpolys| (-635 (-243 |#1| |#2|))) (|:| |coords| (-635 (-569)))) (-635 (-243 |#1| |#2|)) (-635 (-853 |#1|))))) (-635 (-1163)) (-454) (-454)) (T -477)) 
+((-2289 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-853 *5))) (-14 *5 (-635 (-1163))) (-4 *6 (-454)) (-5 *2 (-2 (|:| |dpolys| (-635 (-243 *5 *6))) (|:| |coords| (-635 (-569))))) (-5 *1 (-477 *5 *6 *7)) (-5 *3 (-635 (-243 *5 *6))) (-4 *7 (-454)))) (-2904 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-493 *4 *5))) (-5 *3 (-635 (-853 *4))) (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *1 (-477 *4 *5 *6)) (-4 *6 (-454)))) (-2190 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-853 *5))) (-14 *5 (-635 (-1163))) (-4 *6 (-454)) (-5 *2 (-635 (-635 (-243 *5 *6)))) (-5 *1 (-477 *5 *6 *7)) (-5 *3 (-635 (-243 *5 *6))) (-4 *7 (-454))))) 
+(-10 -7 (-15 -2190 ((-635 (-635 (-243 |#1| |#2|))) (-635 (-243 |#1| |#2|)) (-635 (-853 |#1|)))) (-15 -2904 ((-3 (-635 (-493 |#1| |#2|)) "failed") (-635 (-493 |#1| |#2|)) (-635 (-853 |#1|)))) (-15 -2289 ((-2 (|:| |dpolys| (-635 (-243 |#1| |#2|))) (|:| |coords| (-635 (-569)))) (-635 (-243 |#1| |#2|)) (-635 (-853 |#1|))))) 
+((-3428 (((-3 $ "failed") $) 11)) (-1414 (($ $ $) 20)) (-4293 (($ $ $) 21)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) 14)) (-1715 (($ $ $) 9)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) 19))) 
+(((-478 |#1|) (-10 -8 (-15 -4293 (|#1| |#1| |#1|)) (-15 -1414 (|#1| |#1| |#1|)) (-15 -2427 (|#1| |#1| (-569))) (-15 ** (|#1| |#1| (-569))) (-15 -1715 (|#1| |#1| |#1|)) (-15 -3428 ((-3 |#1| "failed") |#1|)) (-15 -2427 (|#1| |#1| (-764))) (-15 ** (|#1| |#1| (-764))) (-15 -2427 (|#1| |#1| (-918))) (-15 ** (|#1| |#1| (-918)))) (-479)) (T -478)) 
+NIL 
+(-10 -8 (-15 -4293 (|#1| |#1| |#1|)) (-15 -1414 (|#1| |#1| |#1|)) (-15 -2427 (|#1| |#1| (-569))) (-15 ** (|#1| |#1| (-569))) (-15 -1715 (|#1| |#1| |#1|)) (-15 -3428 ((-3 |#1| "failed") |#1|)) (-15 -2427 (|#1| |#1| (-764))) (-15 ** (|#1| |#1| (-764))) (-15 -2427 (|#1| |#1| (-918))) (-15 ** (|#1| |#1| (-918)))) 
+((-2568 (((-121) $ $) 7)) (-2820 (($) 19 T CONST)) (-3428 (((-3 $ "failed") $) 15)) (-1407 (((-121) $) 18)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 26)) (-3360 (((-1109) $) 10)) (-1414 (($ $ $) 22)) (-4293 (($ $ $) 21)) (-2185 (((-851) $) 11)) (-2427 (($ $ (-918)) 12) (($ $ (-764)) 16) (($ $ (-569)) 23)) (-1556 (($) 20 T CONST)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 25)) (** (($ $ (-918)) 13) (($ $ (-764)) 17) (($ $ (-569)) 24)) (* (($ $ $) 14))) 
+(((-479) (-1278)) (T -479)) 
+((-1795 (*1 *1 *1) (-4 *1 (-479))) (-1715 (*1 *1 *1 *1) (-4 *1 (-479))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-479)) (-5 *2 (-569)))) (-2427 (*1 *1 *1 *2) (-12 (-4 *1 (-479)) (-5 *2 (-569)))) (-1414 (*1 *1 *1 *1) (-4 *1 (-479))) (-4293 (*1 *1 *1 *1) (-4 *1 (-479)))) 
+(-13 (-717) (-10 -8 (-15 -1795 ($ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ (-569))) (-15 -2427 ($ $ (-569))) (-6 -4532) (-15 -1414 ($ $ $)) (-15 -4293 ($ $ $)))) 
+(((-105) . T) ((-609 (-851)) . T) ((-717) . T) ((-1103) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) 17)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-3136 (($ $ (-410 (-569))) NIL) (($ $ (-410 (-569)) (-410 (-569))) NIL)) (-1403 (((-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) NIL)) (-1753 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL (|has| |#1| (-366)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-1744 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3343 (($ (-764) (-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) NIL)) (-1760 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-3726 (((-121) $) NIL (|has| |#1| (-366)))) (-2777 (((-121) $) NIL)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-410 (-569)) $) NIL) (((-410 (-569)) $ (-410 (-569))) NIL)) (-1407 (((-121) $) NIL)) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3089 (($ $ (-918)) NIL) (($ $ (-410 (-569))) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-410 (-569))) NIL) (($ $ (-1076) (-410 (-569))) NIL) (($ $ (-635 (-1076)) (-635 (-410 (-569)))) NIL)) (-1544 (($ (-1 |#1| |#1|) $) 22)) (-4450 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL (|has| |#1| (-366)))) (-2565 (($ $) 26 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) 33 (-2232 (-12 (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-960)) (|has| |#1| (-1183))))) (($ $ (-1243 |#2|)) 27 (|has| |#1| (-43 (-410 (-569)))))) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-366)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3499 (($ $ (-410 (-569))) NIL)) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2436 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2622 (((-764) $) NIL (|has| |#1| (-366)))) (-1534 ((|#1| $ (-410 (-569))) NIL) (($ $ $) NIL (|has| (-410 (-569)) (-1103)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) 25 (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 13 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $ (-1243 |#2|)) 15)) (-2492 (((-410 (-569)) $) NIL)) (-1764 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1243 |#2|)) NIL) (($ (-1231 |#1| |#2| |#3|)) 9) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559)))) (-1653 ((|#1| $ (-410 (-569))) NIL)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-4030 ((|#1| $) 18)) (-1779 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-410 (-569))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) 24)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 23) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-480 |#1| |#2| |#3|) (-13 (-1227 |#1|) (-10 -8 (-15 -2185 ($ (-1243 |#2|))) (-15 -2185 ($ (-1231 |#1| |#2| |#3|))) (-15 -3899 ($ $ (-1243 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) (-1048) (-1163) |#1|) (T -480)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-480 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1231 *3 *4 *5)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-14 *5 *3) (-5 *1 (-480 *3 *4 *5)))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-480 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-2565 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-480 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3)))) 
+(-13 (-1227 |#1|) (-10 -8 (-15 -2185 ($ (-1243 |#2|))) (-15 -2185 ($ (-1231 |#1| |#2| |#3|))) (-15 -3899 ($ $ (-1243 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) 
+((-2568 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2281 (($) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-3112 (((-1252) $ |#1| |#1|) NIL (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#2| $ |#1| |#2|) 18)) (-4216 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-2082 (((-3 |#2| "failed") |#1| $) 19)) (-2820 (($) NIL T CONST)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-4454 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-3 |#2| "failed") |#1| $) 16)) (-4347 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#2| $ |#1|) NIL)) (-3470 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 ((|#1| $) NIL (|has| |#1| (-843)))) (-4259 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1285 ((|#1| $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4536))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2179 (((-635 |#1|) $) NIL)) (-1598 (((-121) |#1| $) NIL)) (-3889 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-3172 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4166 (((-635 |#1|) $) NIL)) (-3533 (((-121) |#1| $) NIL)) (-3360 (((-1109) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4353 ((|#2| $) NIL (|has| |#1| (-843)))) (-2502 (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL)) (-3174 (($ $ |#2|) NIL (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-2691 (((-635 |#2|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#2| $ |#1|) 13) ((|#2| $ |#1| |#2|) NIL)) (-2566 (($) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-764) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091)))) (((-764) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2185 (((-851) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2793 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-481 |#1| |#2| |#3| |#4|) (-1174 |#1| |#2|) (-1091) (-1091) (-1174 |#1| |#2|) |#2|) (T -481)) 
+NIL 
+(-1174 |#1| |#2|) 
+((-2568 (((-121) $ $) NIL)) (-3839 (((-635 (-2 (|:| -3585 $) (|:| -3230 (-635 |#4|)))) (-635 |#4|)) NIL)) (-4426 (((-635 $) (-635 |#4|)) NIL)) (-1773 (((-635 |#3|) $) NIL)) (-3008 (((-121) $) NIL)) (-3625 (((-121) $) NIL (|has| |#1| (-559)))) (-2061 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3982 ((|#4| |#4| $) NIL)) (-3113 (((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ |#3|) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-1962 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535))) (((-3 |#4| "failed") $ |#3|) NIL)) (-2820 (($) NIL T CONST)) (-4162 (((-121) $) 26 (|has| |#1| (-559)))) (-2716 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3532 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2398 (((-121) $) NIL (|has| |#1| (-559)))) (-3694 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-4318 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-1322 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-1647 (((-3 $ "failed") (-635 |#4|)) NIL)) (-2428 (($ (-635 |#4|)) NIL)) (-2046 (((-3 $ "failed") $) 39)) (-4407 ((|#4| |#4| $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091))))) (-4347 (($ |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1830 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-3255 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) NIL)) (-2045 ((|#4| |#4| $) NIL)) (-1774 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4535))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4535))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-4038 (((-2 (|:| -3585 (-635 |#4|)) (|:| -3230 (-635 |#4|))) $) NIL)) (-3470 (((-635 |#4|) $) 16 (|has| $ (-6 -4535)))) (-3977 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-4357 ((|#3| $) 33)) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#4|) $) 17 (|has| $ (-6 -4535)))) (-3660 (((-121) |#4| $) 25 (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091))))) (-1853 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#4| |#4|) $) 21)) (-1833 (((-635 |#3|) $) NIL)) (-2760 (((-121) |#3| $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-4213 (((-3 |#4| "failed") $) 37)) (-2515 (((-635 |#4|) $) NIL)) (-3409 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3005 ((|#4| |#4| $) NIL)) (-2673 (((-121) $ $) NIL)) (-2439 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-4310 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2533 ((|#4| |#4| $) NIL)) (-3360 (((-1109) $) NIL)) (-4353 (((-3 |#4| "failed") $) 35)) (-2502 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-1913 (((-3 $ "failed") $ |#4|) 46)) (-3499 (($ $ |#4|) NIL)) (-4177 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#4|) (-635 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-635 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 15)) (-1296 (($) 13)) (-2492 (((-764) $) NIL)) (-2846 (((-764) |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) (((-764) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) 12)) (-3817 (((-542) $) NIL (|has| |#4| (-610 (-542))))) (-2139 (($ (-635 |#4|)) 20)) (-4201 (($ $ |#3|) 42)) (-3460 (($ $ |#3|) 43)) (-4208 (($ $) NIL)) (-2630 (($ $ |#3|) NIL)) (-2185 (((-851) $) 31) (((-635 |#4|) $) 40)) (-3435 (((-764) $) NIL (|has| |#3| (-371)))) (-1702 (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) NIL) (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-3321 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) NIL)) (-2066 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-3502 (((-635 |#3|) $) NIL)) (-3673 (((-121) |#3| $) NIL)) (-1668 (((-121) $ $) NIL)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-482 |#1| |#2| |#3| |#4|) (-1191 |#1| |#2| |#3| |#4|) (-559) (-789) (-843) (-1062 |#1| |#2| |#3|)) (T -482)) 
+NIL 
+(-1191 |#1| |#2| |#3| |#4|) 
+((-2419 (((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466))) (-1163)) NIL (|has| (-53) (-1038 (-1163)))) (((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466))) NIL)) (-3983 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163)) NIL (|has| (-53) (-1038 (-1163)))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53))) NIL)) (-3372 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163)) NIL (|has| (-53) (-1038 (-1163)))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) NIL)) (-4134 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) NIL)) (-4281 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163)) NIL (|has| (-53) (-1038 (-1163)))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) NIL)) (-4369 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53))) NIL)) (-4045 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466)))) NIL)) (-2063 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163)) NIL (|has| (-53) (-1038 (-1163)))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53))) NIL)) (-2608 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163)) NIL (|has| (-53) (-1038 (-1163)))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53))) NIL)) (-3077 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53))) NIL)) (-4179 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163)) NIL (|has| (-53) (-1038 (-1163)))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53))) NIL)) (-2954 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-635 (-1163)) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-635 (-1163))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53))) NIL)) (-1934 (((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466))) (-1163)) NIL (|has| (-53) (-1038 (-1163)))) (((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466))) NIL))) 
+(((-483) (-10 -7 (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-635 (-1163)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-635 (-1163)) (-635 (-466)))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (IF (|has| (-53) (-1038 (-1163))) (IF (|has| (-53) (-1038 (-1163))) (PROGN (-15 -2063 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163))) (-15 -2608 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|) (-15 -4045 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -1934 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466)))) (-15 -2419 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466)))) (IF (|has| (-53) (-1038 (-1163))) (IF (|has| (-53) (-1038 (-1163))) (PROGN (-15 -2419 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466))) (-1163))) (-15 -1934 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466))) (-1163))) (-15 -3983 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163))) (-15 -4281 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163))) (-15 -3372 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163))) (-15 -4179 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|))) (T -483)) 
+((-4179 (*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-3372 (*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-4281 (*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-3983 (*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-1934 (*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466)))) (-5 *1 (-483)))) (-2419 (*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466)))) (-5 *1 (-483)))) (-2419 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764))))) (-5 *1 (-483)))) (-1934 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764))))) (-5 *1 (-483)))) (-3372 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-3372 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-4281 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-4281 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-3983 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-3983 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-4134 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-4134 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-4369 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-4369 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-3077 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-3077 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-4179 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-4179 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-4045 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-2608 (*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-2063 (*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-2608 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-2608 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-2063 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-2063 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-2954 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-2954 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-2954 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-2954 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483))))) 
+(-10 -7 (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-635 (-1163)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-635 (-1163)) (-635 (-466)))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (IF (|has| (-53) (-1038 (-1163))) (IF (|has| (-53) (-1038 (-1163))) (PROGN (-15 -2063 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163))) (-15 -2608 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|) (-15 -4045 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -1934 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466)))) (-15 -2419 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466)))) (IF (|has| (-53) (-1038 (-1163))) (IF (|has| (-53) (-1038 (-1163))) (PROGN (-15 -2419 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466))) (-1163))) (-15 -1934 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466))) (-1163))) (-15 -3983 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163))) (-15 -4281 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163))) (-15 -3372 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163))) (-15 -4179 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|)) 
+((-2460 (((-311 (-569)) |#1|) 11))) 
+(((-484 |#1|) (-10 -7 (-15 -2460 ((-311 (-569)) |#1|))) (-13 (-351) (-610 (-569)))) (T -484)) 
+((-2460 (*1 *2 *3) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-484 *3)) (-4 *3 (-13 (-351) (-610 (-569))))))) 
+(-10 -7 (-15 -2460 ((-311 (-569)) |#1|))) 
+((-2419 (((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466))) (-1163)) NIL (|has| |#1| (-1038 (-1163)))) (((-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466))) NIL)) (-3983 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)) NIL (|has| |#1| (-1038 (-1163)))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|)) NIL)) (-3372 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)) NIL (|has| |#1| (-1038 (-1163)))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|)) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) NIL)) (-4134 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|)) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) NIL)) (-4281 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)) NIL (|has| |#1| (-1038 (-1163)))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|)) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) NIL)) (-4369 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|)) NIL)) (-4045 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466)))) NIL)) (-2063 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)) NIL (|has| |#1| (-1038 (-1163)))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|)) NIL)) (-2608 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)) NIL (|has| |#1| (-1038 (-1163)))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|)) NIL)) (-3077 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|)) NIL)) (-4179 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)) NIL (|has| |#1| (-1038 (-1163)))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|)) NIL)) (-2954 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-635 (-1163)) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-635 (-1163))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|)) NIL)) (-1934 (((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466))) (-1163)) NIL (|has| |#1| (-1038 (-1163)))) (((-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466))) NIL))) 
+(((-485 |#1|) (-10 -7 (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-635 (-1163)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-635 (-1163)) (-635 (-466)))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (IF (|has| |#1| (-1038 (-1163))) (IF (|has| |#1| (-1038 (-1163))) (PROGN (-15 -2063 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -2608 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|) (-15 -4045 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -1934 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466)))) (-15 -2419 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466)))) (IF (|has| |#1| (-1038 (-1163))) (IF (|has| |#1| (-1038 (-1163))) (PROGN (-15 -2419 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466))) (-1163))) (-15 -1934 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466))) (-1163))) (-15 -3983 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -4281 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -3372 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -4179 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|)) (-13 (-351) (-610 (-569)))) (T -485)) 
+((-4179 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-3372 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-4281 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-3983 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-1934 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 *4 (-764) (-764) (-1159 *4))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 *4) (-764)))) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-2419 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 *4 (-764) (-764) (-1159 *4))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 *4) (-764)))) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-2419 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 *4 (-764) (-764) (-1159 *4))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 *4) (-764))))) (-5 *1 (-485 *4)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-1934 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 *4 (-764) (-764) (-1159 *4))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 *4) (-764))))) (-5 *1 (-485 *4)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-3372 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) (-3372 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) (-4281 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) (-4281 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) (-3983 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) (-3983 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) (-4134 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) (-4134 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) (-4369 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) (-4369 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) (-3077 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) (-3077 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) (-4179 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) (-4179 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) (-4045 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 *4 (-764) (-764) (-1159 *4))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 *4) (-764)))) (-635 (-466)))) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)))) (-2608 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-2063 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-2608 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) (-2608 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) (-2063 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) (-2063 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) (-2954 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *7) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *6 (-635 (-466))) (-5 *3 (-635 *7)) (-4 *7 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *7)))) (-2954 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *6) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *3 (-635 *6)) (-4 *6 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *6)))) (-2954 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) (-2954 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4))))) 
+(-10 -7 (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-635 (-1163)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-635 (-1163)) (-635 (-466)))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (IF (|has| |#1| (-1038 (-1163))) (IF (|has| |#1| (-1038 (-1163))) (PROGN (-15 -2063 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -2608 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|) (-15 -4045 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -1934 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466)))) (-15 -2419 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466)))) (IF (|has| |#1| (-1038 (-1163))) (IF (|has| |#1| (-1038 (-1163))) (PROGN (-15 -2419 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466))) (-1163))) (-15 -1934 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466))) (-1163))) (-15 -3983 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -4281 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -3372 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -4179 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|)) 
+((-2419 (((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-569)) (-1038 (-1163))) (|has| (-569) (-1038 (-1163))))) (((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466))) NIL)) (-3983 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-569)) (-1038 (-1163))) (|has| (-569) (-1038 (-1163))))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569)))) NIL)) (-3372 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-569)) (-1038 (-1163))) (|has| (-569) (-1038 (-1163))))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569)))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) NIL)) (-4134 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569)))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) NIL)) (-4281 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-569)) (-1038 (-1163))) (|has| (-569) (-1038 (-1163))))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569)))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) NIL)) (-4369 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569)))) NIL)) (-4045 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466)))) NIL)) (-2063 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-569)) (-1038 (-1163))) (|has| (-569) (-1038 (-1163))))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569)))) NIL)) (-2608 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-569)) (-1038 (-1163))) (|has| (-569) (-1038 (-1163))))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569)))) NIL)) (-3077 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569)))) NIL)) (-4179 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-569)) (-1038 (-1163))) (|has| (-569) (-1038 (-1163))))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569)))) NIL)) (-2954 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-635 (-1163)) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-635 (-1163))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569)))) NIL)) (-1934 (((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-569)) (-1038 (-1163))) (|has| (-569) (-1038 (-1163))))) (((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466))) NIL))) 
+(((-486) (-10 -7 (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-635 (-1163)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-635 (-1163)) (-635 (-466)))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (IF (|has| (-410 (-569)) (-1038 (-1163))) (IF (|has| (-569) (-1038 (-1163))) (PROGN (-15 -2063 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163))) (-15 -2608 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|) (-15 -4045 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -1934 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466)))) (-15 -2419 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466)))) (IF (|has| (-410 (-569)) (-1038 (-1163))) (IF (|has| (-569) (-1038 (-1163))) (PROGN (-15 -2419 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466))) (-1163))) (-15 -1934 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466))) (-1163))) (-15 -3983 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163))) (-15 -4281 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163))) (-15 -3372 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163))) (-15 -4179 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|))) (T -486)) 
+((-4179 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-3372 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-4281 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-3983 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-1934 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466)))) (-5 *1 (-486)))) (-2419 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466)))) (-5 *1 (-486)))) (-2419 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764))))) (-5 *1 (-486)))) (-1934 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764))))) (-5 *1 (-486)))) (-3372 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-3372 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-4281 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-4281 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-3983 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-3983 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-4134 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-4134 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-4369 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-4369 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-3077 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-3077 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-4179 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-4179 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-4045 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-2608 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-2063 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-2608 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-2608 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-2063 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-2063 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-2954 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-2954 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-2954 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-2954 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486))))) 
+(-10 -7 (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-635 (-1163)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-635 (-1163)) (-635 (-466)))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (IF (|has| (-410 (-569)) (-1038 (-1163))) (IF (|has| (-569) (-1038 (-1163))) (PROGN (-15 -2063 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163))) (-15 -2608 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|) (-15 -4045 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -1934 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466)))) (-15 -2419 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466)))) (IF (|has| (-410 (-569)) (-1038 (-1163))) (IF (|has| (-569) (-1038 (-1163))) (PROGN (-15 -2419 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466))) (-1163))) (-15 -1934 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466))) (-1163))) (-15 -3983 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163))) (-15 -4281 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163))) (-15 -3372 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163))) (-15 -4179 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|)) 
+((-2419 (((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466))) (-1163)) 357 (-12 (|has| |#1| (-1038 (-1163))) (|has| |#2| (-1038 (-1163))))) (((-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466))) 351)) (-3983 (((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)) 477 (-12 (|has| |#1| (-1038 (-1163))) (|has| |#2| (-1038 (-1163))))) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) 470) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|)) 471)) (-3372 (((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)) 480 (-12 (|has| |#1| (-1038 (-1163))) (|has| |#2| (-1038 (-1163))))) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|)) 476) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) 475)) (-4134 (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|)) 467) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) 466)) (-4281 (((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)) 479 (-12 (|has| |#1| (-1038 (-1163))) (|has| |#2| (-1038 (-1163))))) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|)) 473) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) 472)) (-4369 (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) 463) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|)) 464)) (-4045 (((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466)))) 454)) (-2063 (((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)) 192 (-12 (|has| |#1| (-1038 (-1163))) (|has| |#2| (-1038 (-1163))))) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) 190) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|)) 189)) (-2608 (((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)) 218 (-12 (|has| |#1| (-1038 (-1163))) (|has| |#2| (-1038 (-1163))))) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) 207) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|)) 206)) (-3077 (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) 460) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|)) 461)) (-4179 (((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)) 469 (-12 (|has| |#1| (-1038 (-1163))) (|has| |#2| (-1038 (-1163))))) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) 457) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|)) 458)) (-2954 (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-635 (-1163)) (-635 (-466))) 503) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-635 (-1163))) 509) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) 508) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|)) 507)) (-1934 (((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466))) (-1163)) 327 (-12 (|has| |#1| (-1038 (-1163))) (|has| |#2| (-1038 (-1163))))) (((-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466))) 317))) 
+(((-487 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -2954 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -2954 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -2954 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-635 (-1163)))) (-15 -2954 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-635 (-1163)) (-635 (-466)))) (-15 -2063 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -2063 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -2608 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -2608 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (IF (|has| |#1| (-1038 (-1163))) (IF (|has| |#2| (-1038 (-1163))) (PROGN (-15 -2063 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -2608 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|) (-15 -4045 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466))))) (-15 -4179 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -4179 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -3077 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3077 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4369 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -4369 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3983 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3983 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3372 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -3372 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -1934 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466)))) (-15 -2419 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466)))) (IF (|has| |#1| (-1038 (-1163))) (IF (|has| |#2| (-1038 (-1163))) (PROGN (-15 -2419 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466))) (-1163))) (-15 -1934 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466))) (-1163))) (-15 -3983 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -4281 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -3372 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -4179 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|)) (-366) (-454) (-13 (-433 (-569)) (-559) (-1038 |#4|) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $)))) (-13 (-843) (-559)) (-1 |#1| |#4|) (-1 |#3| |#1|)) (T -487)) 
+((-4179 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3372 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-4281 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3983 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-1934 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 *6) *6 *3)) (|:| A (-1 *5 (-764) (-764) (-1159 *5))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 *6 (-764) *3 *6)) (|:| C (-1 (-635 *5) (-764)))) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-2419 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 *6) *6 *3)) (|:| A (-1 *5 (-764) (-764) (-1159 *5))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 *6 (-764) *3 *6)) (|:| C (-1 (-635 *5) (-764)))) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-2419 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 *6) *6 (-1163))) (|:| A (-1 *5 (-764) (-764) (-1159 *5))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 *6 (-764) (-1163) *6)) (|:| C (-1 (-635 *5) (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-1934 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 *6) *6 (-1163))) (|:| A (-1 *5 (-764) (-764) (-1159 *5))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 *6 (-764) (-1163) *6)) (|:| C (-1 (-635 *5) (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3372 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-3372 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-4281 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-4281 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-3983 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-3983 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-4134 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-4134 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-4369 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-4369 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-3077 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-3077 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-4179 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-4179 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-4045 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 *6) *6 (-1163))) (|:| A (-1 *5 (-764) (-764) (-1159 *5))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 *6 (-764) (-1163) *6)) (|:| C (-1 (-635 *5) (-764)))) (-635 (-466)))) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-14 *9 (-1 *6 *4)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)))) (-2608 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-2063 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-2608 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-2608 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-2063 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-2063 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-2954 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 *9) (|:| -2558 (-764)))) (-635 *7) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *6 (-635 (-466))) (-5 *3 (-635 *7)) (-4 *7 (-366)) (-14 *12 (-1 *9 *7)) (-4 *10 (-13 (-843) (-559))) (-14 *11 (-1 *7 *10)) (-5 *2 (-635 (-2 (|:| -1813 *9) (|:| -2558 (-764))))) (-5 *1 (-487 *7 *8 *9 *10 *11 *12)) (-4 *8 (-454)) (-4 *9 (-13 (-433 (-569)) (-559) (-1038 *10) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-2954 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 *8) (|:| -2558 (-764)))) (-635 *6) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *3 (-635 *6)) (-4 *6 (-366)) (-14 *11 (-1 *8 *6)) (-4 *9 (-13 (-843) (-559))) (-14 *10 (-1 *6 *9)) (-5 *2 (-635 (-2 (|:| -1813 *8) (|:| -2558 (-764))))) (-5 *1 (-487 *6 *7 *8 *9 *10 *11)) (-4 *7 (-454)) (-4 *8 (-13 (-433 (-569)) (-559) (-1038 *9) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-2954 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-2954 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $)))))))) 
+(-10 -7 (-15 -2954 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -2954 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -2954 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-635 (-1163)))) (-15 -2954 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-635 (-1163)) (-635 (-466)))) (-15 -2063 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -2063 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -2608 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -2608 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (IF (|has| |#1| (-1038 (-1163))) (IF (|has| |#2| (-1038 (-1163))) (PROGN (-15 -2063 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -2608 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|) (-15 -4045 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466))))) (-15 -4179 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -4179 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -3077 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3077 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4369 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -4369 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3983 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3983 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3372 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -3372 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -1934 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466)))) (-15 -2419 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466)))) (IF (|has| |#1| (-1038 (-1163))) (IF (|has| |#2| (-1038 (-1163))) (PROGN (-15 -2419 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466))) (-1163))) (-15 -1934 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466))) (-1163))) (-15 -3983 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -4281 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -3372 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -4179 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|)) 
+((-2419 (((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-954 (-569))) (-1038 (-1163))) (|has| (-954 (-569)) (-1038 (-1163))))) (((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466))) NIL)) (-3983 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-954 (-569))) (-1038 (-1163))) (|has| (-954 (-569)) (-1038 (-1163))))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569))))) NIL)) (-3372 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-954 (-569))) (-1038 (-1163))) (|has| (-954 (-569)) (-1038 (-1163))))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569))))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) NIL)) (-4134 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569))))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) NIL)) (-4281 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-954 (-569))) (-1038 (-1163))) (|has| (-954 (-569)) (-1038 (-1163))))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569))))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) NIL)) (-4369 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569))))) NIL)) (-4045 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466)))) NIL)) (-2063 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-954 (-569))) (-1038 (-1163))) (|has| (-954 (-569)) (-1038 (-1163))))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569))))) NIL)) (-2608 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-954 (-569))) (-1038 (-1163))) (|has| (-954 (-569)) (-1038 (-1163))))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569))))) NIL)) (-3077 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569))))) NIL)) (-4179 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-954 (-569))) (-1038 (-1163))) (|has| (-954 (-569)) (-1038 (-1163))))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569))))) NIL)) (-2954 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-635 (-1163)) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-635 (-1163))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569))))) NIL)) (-1934 (((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-954 (-569))) (-1038 (-1163))) (|has| (-954 (-569)) (-1038 (-1163))))) (((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466))) NIL))) 
+(((-488) (-10 -7 (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-635 (-1163)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-635 (-1163)) (-635 (-466)))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (IF (|has| (-410 (-954 (-569))) (-1038 (-1163))) (IF (|has| (-954 (-569)) (-1038 (-1163))) (PROGN (-15 -2063 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163))) (-15 -2608 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|) (-15 -4045 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -1934 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466)))) (-15 -2419 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466)))) (IF (|has| (-410 (-954 (-569))) (-1038 (-1163))) (IF (|has| (-954 (-569)) (-1038 (-1163))) (PROGN (-15 -2419 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466))) (-1163))) (-15 -1934 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466))) (-1163))) (-15 -3983 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163))) (-15 -4281 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163))) (-15 -3372 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163))) (-15 -4179 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|))) (T -488)) 
+((-4179 (*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-3372 (*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-4281 (*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-3983 (*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-1934 (*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466)))) (-5 *1 (-488)))) (-2419 (*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466)))) (-5 *1 (-488)))) (-2419 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764))))) (-5 *1 (-488)))) (-1934 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764))))) (-5 *1 (-488)))) (-3372 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-3372 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-4281 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-4281 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-3983 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-3983 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-4134 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-4134 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-4369 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-4369 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-3077 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-3077 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-4179 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-4179 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-4045 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-2608 (*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-2063 (*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-2608 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-2608 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-2063 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-2063 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-2954 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-2954 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-2954 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-2954 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488))))) 
+(-10 -7 (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-635 (-1163)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-635 (-1163)) (-635 (-466)))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (IF (|has| (-410 (-954 (-569))) (-1038 (-1163))) (IF (|has| (-954 (-569)) (-1038 (-1163))) (PROGN (-15 -2063 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163))) (-15 -2608 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|) (-15 -4045 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -1934 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466)))) (-15 -2419 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466)))) (IF (|has| (-410 (-954 (-569))) (-1038 (-1163))) (IF (|has| (-954 (-569)) (-1038 (-1163))) (PROGN (-15 -2419 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466))) (-1163))) (-15 -1934 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466))) (-1163))) (-15 -3983 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163))) (-15 -4281 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163))) (-15 -3372 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163))) (-15 -4179 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|)) 
+((-2419 (((-1 HPSPEC (-635 (-466))) (-1163)) NIL) ((HPSPEC (-635 (-466))) NIL)) (-3983 (((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163)) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569))))) NIL)) (-3372 (((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163)) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569))))) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) NIL)) (-4134 (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569))))) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) NIL)) (-4281 (((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163)) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569))))) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) NIL)) (-4369 (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569))))) NIL)) (-4045 (((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1 HPSPEC (-635 (-466)))) NIL)) (-2063 (((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163)) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569))))) NIL)) (-2608 (((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163)) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569))))) NIL)) (-3077 (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569))))) NIL)) (-4179 (((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163)) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569))))) NIL)) (-2954 (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-635 (-1163)) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-635 (-1163))) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569))))) NIL)) (-1934 (((-1 HPSPEC (-635 (-466))) (-1163)) NIL) ((HPSPEC (-635 (-466))) NIL))) 
+(((-489 |#1|) (-10 -7 (-15 -2954 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -2954 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-635 (-1163)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-635 (-1163)) (-635 (-466)))) (-15 -2063 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -2063 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -2608 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -2608 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -2063 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163))) (-15 -2608 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163))) (-15 -4045 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1 HPSPEC (-635 (-466))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -3077 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -3077 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -4369 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -4369 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -3983 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -3983 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -3372 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -3372 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -1934 (HPSPEC (-635 (-466)))) (-15 -2419 (HPSPEC (-635 (-466)))) (-15 -2419 ((-1 HPSPEC (-635 (-466))) (-1163))) (-15 -1934 ((-1 HPSPEC (-635 (-466))) (-1163))) (-15 -3983 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163))) (-15 -4281 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163))) (-15 -3372 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163))) (-15 -4179 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163)))) (-1163)) (T -489)) 
+((-4179 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-3372 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-4281 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-3983 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-1934 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 HPSPEC (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-2419 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 HPSPEC (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-2419 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 HPSPEC) (-5 *1 (-489 *4)) (-14 *4 (-1163)))) (-1934 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 HPSPEC) (-5 *1 (-489 *4)) (-14 *4 (-1163)))) (-3372 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) (-3372 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) (-4281 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) (-4281 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) (-3983 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) (-3983 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) (-4134 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) (-4134 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) (-4369 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) (-4369 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) (-3077 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) (-3077 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) (-4179 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) (-4179 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) (-4045 (*1 *2 *3) (-12 (-5 *3 (-1 HPSPEC (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 (-1163)))) (-2608 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-2063 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-2608 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) (-2608 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) (-2063 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) (-2063 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) (-2954 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-734 *7 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *7 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-410 (-735 *7 (-569))))) (-14 *7 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *7 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *7)))) (-2954 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-734 *6 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *6 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *3 (-635 (-410 (-735 *6 (-569))))) (-14 *6 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *6 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *6)))) (-2954 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) (-2954 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4))))) 
+(-10 -7 (-15 -2954 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -2954 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-635 (-1163)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-635 (-1163)) (-635 (-466)))) (-15 -2063 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -2063 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -2608 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -2608 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -2063 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163))) (-15 -2608 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163))) (-15 -4045 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1 HPSPEC (-635 (-466))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -3077 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -3077 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -4369 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -4369 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -3983 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -3983 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -3372 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -3372 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -1934 (HPSPEC (-635 (-466)))) (-15 -2419 (HPSPEC (-635 (-466)))) (-15 -2419 ((-1 HPSPEC (-635 (-466))) (-1163))) (-15 -1934 ((-1 HPSPEC (-635 (-466))) (-1163))) (-15 -3983 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163))) (-15 -4281 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163))) (-15 -3372 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163))) (-15 -4179 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL)) (-2428 (((-569) $) NIL) (((-410 (-569)) $) NIL)) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-2445 (($) 18)) (-1407 (((-121) $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3817 (((-382) $) 22) (((-216) $) 25) (((-410 (-1159 (-569))) $) 19) (((-542) $) 52)) (-2185 (((-851) $) 50) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (((-216) $) 24) (((-382) $) 21)) (-1991 (((-764)) NIL)) (-1961 (((-121) $ $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 36 T CONST)) (-1556 (($) 11 T CONST)) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
+(((-490) (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))) (-1022) (-609 (-216)) (-609 (-382)) (-610 (-410 (-1159 (-569)))) (-610 (-542)) (-10 -8 (-15 -2445 ($))))) (T -490)) 
+((-2445 (*1 *1) (-5 *1 (-490)))) 
+(-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))) (-1022) (-609 (-216)) (-609 (-382)) (-610 (-410 (-1159 (-569)))) (-610 (-542)) (-10 -8 (-15 -2445 ($)))) 
+((-2568 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2281 (($) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-3112 (((-1252) $ |#1| |#1|) NIL (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#2| $ |#1| |#2|) 16)) (-4216 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-2082 (((-3 |#2| "failed") |#1| $) 20)) (-2820 (($) NIL T CONST)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-4454 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-3 |#2| "failed") |#1| $) 18)) (-4347 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#2| $ |#1|) NIL)) (-3470 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 ((|#1| $) NIL (|has| |#1| (-843)))) (-4259 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1285 ((|#1| $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4536))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2179 (((-635 |#1|) $) 13)) (-1598 (((-121) |#1| $) NIL)) (-3889 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-3172 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4166 (((-635 |#1|) $) NIL)) (-3533 (((-121) |#1| $) NIL)) (-3360 (((-1109) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4353 ((|#2| $) NIL (|has| |#1| (-843)))) (-2502 (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL)) (-3174 (($ $ |#2|) NIL (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-2691 (((-635 |#2|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 19)) (-1534 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-2566 (($) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-764) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091)))) (((-764) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2185 (((-851) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2793 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 11 (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4168 (((-764) $) 15 (|has| $ (-6 -4535))))) 
+(((-491 |#1| |#2| |#3|) (-13 (-1174 |#1| |#2|) (-10 -7 (-6 -4535))) (-1091) (-1091) (-1145)) (T -491)) 
+NIL 
+(-13 (-1174 |#1| |#2|) (-10 -7 (-6 -4535))) 
+((-3580 (((-569) (-569) (-569)) 7)) (-3758 (((-121) (-569) (-569) (-569) (-569)) 11)) (-1923 (((-1247 (-635 (-569))) (-764) (-764)) 22))) 
+(((-492) (-10 -7 (-15 -3580 ((-569) (-569) (-569))) (-15 -3758 ((-121) (-569) (-569) (-569) (-569))) (-15 -1923 ((-1247 (-635 (-569))) (-764) (-764))))) (T -492)) 
+((-1923 (*1 *2 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1247 (-635 (-569)))) (-5 *1 (-492)))) (-3758 (*1 *2 *3 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-121)) (-5 *1 (-492)))) (-3580 (*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-492))))) 
+(-10 -7 (-15 -3580 ((-569) (-569) (-569))) (-15 -3758 ((-121) (-569) (-569) (-569) (-569))) (-15 -1923 ((-1247 (-635 (-569))) (-764) (-764)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-853 |#1|)) $) NIL)) (-1739 (((-1159 $) $ (-853 |#1|)) NIL) (((-1159 |#2|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#2| (-559)))) (-3383 (($ $) NIL (|has| |#2| (-559)))) (-4354 (((-121) $) NIL (|has| |#2| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 (-853 |#1|))) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-2004 (($ $) NIL (|has| |#2| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#2| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1038 (-569)))) (((-3 (-853 |#1|) "failed") $) NIL)) (-2428 ((|#2| $) NIL) (((-410 (-569)) $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#2| (-1038 (-569)))) (((-853 |#1|) $) NIL)) (-3493 (($ $ $ (-853 |#1|)) NIL (|has| |#2| (-173)))) (-1386 (($ $ (-635 (-569))) NIL)) (-4020 (($ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL) (((-680 |#2|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#2| (-454))) (($ $ (-853 |#1|)) NIL (|has| |#2| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#2| (-905)))) (-1667 (($ $ |#2| (-494 (-4168 |#1|) (-764)) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-853 |#1|) (-882 (-382))) (|has| |#2| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-853 |#1|) (-882 (-569))) (|has| |#2| (-882 (-569)))))) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-1768 (($ (-1159 |#2|) (-853 |#1|)) NIL) (($ (-1159 $) (-853 |#1|)) NIL)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#2| (-494 (-4168 |#1|) (-764))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-853 |#1|)) NIL)) (-4002 (((-494 (-4168 |#1|) (-764)) $) NIL) (((-764) $ (-853 |#1|)) NIL) (((-635 (-764)) $ (-635 (-853 |#1|))) NIL)) (-3291 (($ $ $) NIL (|has| |#2| (-843)))) (-1538 (($ $ $) NIL (|has| |#2| (-843)))) (-2658 (($ (-1 (-494 (-4168 |#1|) (-764)) (-494 (-4168 |#1|) (-764))) $) NIL)) (-1544 (($ (-1 |#2| |#2|) $) NIL)) (-1637 (((-3 (-853 |#1|) "failed") $) NIL)) (-1804 (($ $) NIL)) (-4012 ((|#2| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2776 (((-1145) $) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| (-853 |#1|)) (|:| -2356 (-764))) "failed") $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) NIL)) (-1801 ((|#2| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#2| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#2| (-905)))) (-2941 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-559)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-853 |#1|) |#2|) NIL) (($ $ (-635 (-853 |#1|)) (-635 |#2|)) NIL) (($ $ (-853 |#1|) $) NIL) (($ $ (-635 (-853 |#1|)) (-635 $)) NIL)) (-2087 (($ $ (-853 |#1|)) NIL (|has| |#2| (-173)))) (-3899 (($ $ (-853 |#1|)) NIL) (($ $ (-635 (-853 |#1|))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-2492 (((-494 (-4168 |#1|) (-764)) $) NIL) (((-764) $ (-853 |#1|)) NIL) (((-635 (-764)) $ (-635 (-853 |#1|))) NIL)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| (-853 |#1|) (-610 (-888 (-382)))) (|has| |#2| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| (-853 |#1|) (-610 (-888 (-569)))) (|has| |#2| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| (-853 |#1|) (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-3298 ((|#2| $) NIL (|has| |#2| (-454))) (($ $ (-853 |#1|)) NIL (|has| |#2| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#2|) NIL) (($ (-853 |#1|)) NIL) (($ (-410 (-569))) NIL (-2232 (|has| |#2| (-43 (-410 (-569)))) (|has| |#2| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#2| (-559)))) (-3382 (((-635 |#2|) $) NIL)) (-1653 ((|#2| $ (-494 (-4168 |#1|) (-764))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#2| (-905))) (|has| |#2| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#2| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#2| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-853 |#1|)) NIL) (($ $ (-635 (-853 |#1|))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-1693 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1715 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#2| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#2| (-43 (-410 (-569))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
+(((-493 |#1| |#2|) (-13 (-951 |#2| (-494 (-4168 |#1|) (-764)) (-853 |#1|)) (-10 -8 (-15 -1386 ($ $ (-635 (-569)))))) (-635 (-1163)) (-1048)) (T -493)) 
+((-1386 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-493 *3 *4)) (-14 *3 (-635 (-1163))) (-4 *4 (-1048))))) 
+(-13 (-951 |#2| (-494 (-4168 |#1|) (-764)) (-853 |#1|)) (-10 -8 (-15 -1386 ($ $ (-635 (-569)))))) 
+((-2568 (((-121) $ $) NIL (|has| |#2| (-1091)))) (-3813 (((-121) $) NIL (|has| |#2| (-138)))) (-4382 (($ (-918)) NIL (|has| |#2| (-1048)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-1498 (($ $ $) NIL (|has| |#2| (-789)))) (-2327 (((-3 $ "failed") $ $) NIL (|has| |#2| (-138)))) (-1691 (((-121) $ (-764)) NIL)) (-2085 (((-764)) NIL (|has| |#2| (-371)))) (-3638 (((-569) $) NIL (|has| |#2| (-841)))) (-4469 ((|#2| $ (-569) |#2|) NIL (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (-12 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) (((-3 |#2| "failed") $) NIL (|has| |#2| (-1091)))) (-2428 (((-569) $) NIL (-12 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091)))) (((-410 (-569)) $) NIL (-12 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) ((|#2| $) NIL (|has| |#2| (-1091)))) (-1696 (((-680 (-569)) (-680 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL (|has| |#2| (-1048))) (((-680 |#2|) (-680 $)) NIL (|has| |#2| (-1048)))) (-3428 (((-3 $ "failed") $) NIL (|has| |#2| (-717)))) (-4327 (($) NIL (|has| |#2| (-371)))) (-2726 ((|#2| $ (-569) |#2|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#2| $ (-569)) 11)) (-2403 (((-121) $) NIL (|has| |#2| (-841)))) (-3470 (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-1407 (((-121) $) NIL (|has| |#2| (-717)))) (-1781 (((-121) $) NIL (|has| |#2| (-841)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-4259 (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1853 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#2| |#2|) $) NIL)) (-2083 (((-918) $) NIL (|has| |#2| (-371)))) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#2| (-1091)))) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3998 (($ (-918)) NIL (|has| |#2| (-371)))) (-3360 (((-1109) $) NIL (|has| |#2| (-1091)))) (-4353 ((|#2| $) NIL (|has| (-569) (-843)))) (-3174 (($ $ |#2|) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-2691 (((-635 |#2|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#2| $ (-569) |#2|) NIL) ((|#2| $ (-569)) NIL)) (-2049 ((|#2| $ $) NIL (|has| |#2| (-1048)))) (-1755 (($ (-1247 |#2|)) NIL)) (-2369 (((-140)) NIL (|has| |#2| (-366)))) (-3899 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-764)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-1163)) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1 |#2| |#2|) (-764)) NIL (|has| |#2| (-1048))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1048)))) (-2846 (((-764) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535))) (((-764) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-1247 |#2|) $) NIL) (((-851) $) NIL (|has| |#2| (-1091))) (($ (-569)) NIL (-2232 (-12 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091))) (|has| |#2| (-1048)))) (($ (-410 (-569))) NIL (-12 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) (($ |#2|) NIL (|has| |#2| (-1091)))) (-1991 (((-764)) NIL (|has| |#2| (-1048)))) (-2066 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1616 (($ $) NIL (|has| |#2| (-841)))) (-2427 (($ $ (-764)) NIL (|has| |#2| (-717))) (($ $ (-918)) NIL (|has| |#2| (-717)))) (-3369 (($) NIL (|has| |#2| (-138)) CONST)) (-1556 (($) NIL (|has| |#2| (-717)) CONST)) (-3022 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-764)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-1163)) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1 |#2| |#2|) (-764)) NIL (|has| |#2| (-1048))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1048)))) (-1693 (((-121) $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1684 (((-121) $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1668 (((-121) $ $) NIL (|has| |#2| (-1091)))) (-1688 (((-121) $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1678 (((-121) $ $) 15 (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1715 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1711 (($ $ $) NIL (|has| |#2| (-1048))) (($ $) NIL (|has| |#2| (-1048)))) (-1707 (($ $ $) NIL (|has| |#2| (-25)))) (** (($ $ (-764)) NIL (|has| |#2| (-717))) (($ $ (-918)) NIL (|has| |#2| (-717)))) (* (($ (-569) $) NIL (|has| |#2| (-1048))) (($ $ $) NIL (|has| |#2| (-717))) (($ $ |#2|) NIL (|has| |#2| (-1048))) (($ |#2| $) NIL (|has| |#2| (-1048))) (($ (-764) $) NIL (|has| |#2| (-138))) (($ (-918) $) NIL (|has| |#2| (-25)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-494 |#1| |#2|) (-231 |#1| |#2|) (-764) (-789)) (T -494)) 
+NIL 
+(-231 |#1| |#2|) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) NIL)) (-2820 (($) NIL T CONST)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-2854 (($ $ $) 32)) (-3288 (($ $ $) 31)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1538 ((|#1| $) 26)) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3889 ((|#1| $) 27)) (-3172 (($ |#1| $) 10)) (-3911 (($ (-635 |#1|)) 12)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-1856 ((|#1| $) 23)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 9)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-2793 (($ (-635 |#1|)) 29)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-4168 (((-764) $) 21 (|has| $ (-6 -4535))))) 
+(((-495 |#1|) (-13 (-970 |#1|) (-10 -8 (-15 -3911 ($ (-635 |#1|))) (-15 -2793 ($ (-635 |#1|))) (-15 -1971 ($ $)) (-15 -1601 ((-121) $)) (-15 -1296 ($)) (-15 -3137 ((-121) $ $)) (-15 -1856 (|#1| $)) (-15 -3172 ($ |#1| $)) (-15 -3889 (|#1| $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (-15 -1538 (|#1| $)) (-15 -3288 ($ $ $)) (-15 -2854 ($ $ $)) (-15 -2820 ($)) (-15 -2006 ((-121) $ (-764))) (-15 -1974 ((-121) $ (-764))) (-15 -1691 ((-121) $ (-764))) (IF (|has| $ (-6 -4536)) (-15 -1853 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1091)) (PROGN (-15 -2776 ((-1145) $)) (-15 -3360 ((-1109) $)) (-15 -2185 ((-851) $)) (-15 -1668 ((-121) $ $)) (-15 -2568 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4535)) (PROGN (-15 -4177 ((-121) (-1 (-121) |#1|) $)) (-15 -2066 ((-121) (-1 (-121) |#1|) $)) (-15 -2846 ((-764) (-1 (-121) |#1|) $)) (-15 -4168 ((-764) $)) (-15 -3470 ((-635 |#1|) $)) (-15 -4259 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4535)) (IF (|has| |#1| (-1091)) (PROGN (-15 -3660 ((-121) |#1| $)) (-15 -2846 ((-764) |#1| $))) |noBranch|) |noBranch|))) (-843)) (T -495)) 
+((-3137 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-843)))) (-1971 (*1 *1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) (-1296 (*1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) (-1601 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-843)))) (-2006 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-495 *4)) (-4 *4 (-843)))) (-1974 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-495 *4)) (-4 *4 (-843)))) (-1691 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-495 *4)) (-4 *4 (-843)))) (-2820 (*1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) (-4168 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-495 *3)) (-4 *3 (-843)))) (-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-843)) (-5 *1 (-495 *3)))) (-1853 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4536)) (-4 *3 (-843)) (-5 *1 (-495 *3)))) (-2066 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-843)) (-5 *2 (-121)) (-5 *1 (-495 *4)))) (-4177 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-843)) (-5 *2 (-121)) (-5 *1 (-495 *4)))) (-2846 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-843)) (-5 *2 (-764)) (-5 *1 (-495 *4)))) (-3470 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-495 *3)) (-4 *3 (-843)))) (-4259 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-495 *3)) (-4 *3 (-843)))) (-2846 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) (-3660 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) (-2776 (*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) (-3360 (*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) (-1668 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) (-2568 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) (-2793 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-495 *3)))) (-1856 (*1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) (-3172 (*1 *1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) (-3889 (*1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) (-1538 (*1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) (-3288 (*1 *1 *1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) (-2854 (*1 *1 *1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) (-3911 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-495 *3))))) 
+(-13 (-970 |#1|) (-10 -8 (-15 -3911 ($ (-635 |#1|))) (-15 -2793 ($ (-635 |#1|))) (-15 -1971 ($ $)) (-15 -1601 ((-121) $)) (-15 -1296 ($)) (-15 -3137 ((-121) $ $)) (-15 -1856 (|#1| $)) (-15 -3172 ($ |#1| $)) (-15 -3889 (|#1| $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (-15 -1538 (|#1| $)) (-15 -3288 ($ $ $)) (-15 -2854 ($ $ $)) (-15 -2820 ($)) (-15 -2006 ((-121) $ (-764))) (-15 -1974 ((-121) $ (-764))) (-15 -1691 ((-121) $ (-764))) (IF (|has| $ (-6 -4536)) (-15 -1853 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1091)) (PROGN (-15 -2776 ((-1145) $)) (-15 -3360 ((-1109) $)) (-15 -2185 ((-851) $)) (-15 -1668 ((-121) $ $)) (-15 -2568 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4535)) (PROGN (-15 -4177 ((-121) (-1 (-121) |#1|) $)) (-15 -2066 ((-121) (-1 (-121) |#1|) $)) (-15 -2846 ((-764) (-1 (-121) |#1|) $)) (-15 -4168 ((-764) $)) (-15 -3470 ((-635 |#1|) $)) (-15 -4259 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4535)) (IF (|has| |#1| (-1091)) (PROGN (-15 -3660 ((-121) |#1| $)) (-15 -2846 ((-764) |#1| $))) |noBranch|) |noBranch|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-1774 (($ $) 69)) (-1515 (((-121) $) NIL)) (-2776 (((-1145) $) NIL)) (-2537 (((-416 |#2| (-410 |#2|) |#3| |#4|) $) 43)) (-3360 (((-1109) $) NIL)) (-1809 (((-3 |#4| "failed") $) 105)) (-4199 (($ (-416 |#2| (-410 |#2|) |#3| |#4|)) 76) (($ |#4|) 32) (($ |#1| |#1|) 113) (($ |#1| |#1| (-569)) NIL) (($ |#4| |#2| |#2| |#2| |#1|) 125)) (-4157 (((-2 (|:| -2223 (-416 |#2| (-410 |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) 45)) (-2185 (((-851) $) 100)) (-3369 (($) 33 T CONST)) (-1668 (((-121) $ $) 107)) (-1711 (($ $) 72) (($ $ $) NIL)) (-1707 (($ $ $) 70)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 73))) 
+(((-496 |#1| |#2| |#3| |#4|) (-334 |#1| |#2| |#3| |#4|) (-366) (-1222 |#1|) (-1222 (-410 |#2|)) (-341 |#1| |#2| |#3|)) (T -496)) 
+NIL 
+(-334 |#1| |#2| |#3| |#4|) 
+((-3015 (((-569) (-635 (-569))) 28)) (-2433 ((|#1| (-635 |#1|)) 56)) (-1697 (((-635 |#1|) (-635 |#1|)) 57)) (-1625 (((-635 |#1|) (-635 |#1|)) 59)) (-2714 ((|#1| (-635 |#1|)) 58)) (-3298 (((-635 (-569)) (-635 |#1|)) 31))) 
+(((-497 |#1|) (-10 -7 (-15 -2714 (|#1| (-635 |#1|))) (-15 -2433 (|#1| (-635 |#1|))) (-15 -1625 ((-635 |#1|) (-635 |#1|))) (-15 -1697 ((-635 |#1|) (-635 |#1|))) (-15 -3298 ((-635 (-569)) (-635 |#1|))) (-15 -3015 ((-569) (-635 (-569))))) (-1222 (-569))) (T -497)) 
+((-3015 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-569)) (-5 *1 (-497 *4)) (-4 *4 (-1222 *2)))) (-3298 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1222 (-569))) (-5 *2 (-635 (-569))) (-5 *1 (-497 *4)))) (-1697 (*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1222 (-569))) (-5 *1 (-497 *3)))) (-1625 (*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1222 (-569))) (-5 *1 (-497 *3)))) (-2433 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-497 *2)) (-4 *2 (-1222 (-569))))) (-2714 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-497 *2)) (-4 *2 (-1222 (-569)))))) 
+(-10 -7 (-15 -2714 (|#1| (-635 |#1|))) (-15 -2433 (|#1| (-635 |#1|))) (-15 -1625 ((-635 |#1|) (-635 |#1|))) (-15 -1697 ((-635 |#1|) (-635 |#1|))) (-15 -3298 ((-635 (-569)) (-635 |#1|))) (-15 -3015 ((-569) (-635 (-569))))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3761 (((-569) $) NIL (|has| (-569) (-302)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL (|has| (-569) (-816)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL) (((-3 (-1163) "failed") $) NIL (|has| (-569) (-1038 (-1163)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-569) (-1038 (-569)))) (((-3 (-569) "failed") $) NIL (|has| (-569) (-1038 (-569))))) (-2428 (((-569) $) NIL) (((-1163) $) NIL (|has| (-569) (-1038 (-1163)))) (((-410 (-569)) $) NIL (|has| (-569) (-1038 (-569)))) (((-569) $) NIL (|has| (-569) (-1038 (-569))))) (-2506 (($ $ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL) (((-680 (-569)) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| (-569) (-551)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-2403 (((-121) $) NIL (|has| (-569) (-816)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (|has| (-569) (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (|has| (-569) (-882 (-382))))) (-1407 (((-121) $) NIL)) (-4052 (($ $) NIL)) (-4116 (((-569) $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| (-569) (-1137)))) (-1781 (((-121) $) NIL (|has| (-569) (-816)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3291 (($ $ $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| (-569) (-843)))) (-1544 (($ (-1 (-569) (-569)) $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| (-569) (-1137)) CONST)) (-4049 (($ (-410 (-569))) 8)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1346 (($ $) NIL (|has| (-569) (-302))) (((-410 (-569)) $) NIL)) (-2942 (((-569) $) NIL (|has| (-569) (-551)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1468 (($ $ (-635 (-569)) (-635 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-569) (-569)) NIL (|has| (-569) (-304 (-569)))) (($ $ (-289 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-289 (-569)))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-1163)) (-635 (-569))) NIL (|has| (-569) (-524 (-1163) (-569)))) (($ $ (-1163) (-569)) NIL (|has| (-569) (-524 (-1163) (-569))))) (-2622 (((-764) $) NIL)) (-1534 (($ $ (-569)) NIL (|has| (-569) (-282 (-569) (-569))))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3899 (($ $) NIL (|has| (-569) (-226))) (($ $ (-764)) NIL (|has| (-569) (-226))) (($ $ (-1163)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1 (-569) (-569)) (-764)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-4214 (($ $) NIL)) (-4121 (((-569) $) NIL)) (-3817 (((-888 (-569)) $) NIL (|has| (-569) (-610 (-888 (-569))))) (((-888 (-382)) $) NIL (|has| (-569) (-610 (-888 (-382))))) (((-542) $) NIL (|has| (-569) (-610 (-542)))) (((-382) $) NIL (|has| (-569) (-1022))) (((-216) $) NIL (|has| (-569) (-1022)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| (-569) (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) 7) (($ (-569)) NIL) (($ (-1163)) NIL (|has| (-569) (-1038 (-1163)))) (((-410 (-569)) $) NIL) (((-1005 16) $) 9)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| (-569) (-905))) (|has| (-569) (-149))))) (-1991 (((-764)) NIL)) (-2612 (((-569) $) NIL (|has| (-569) (-551)))) (-1961 (((-121) $ $) NIL)) (-1616 (($ $) NIL (|has| (-569) (-816)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $) NIL (|has| (-569) (-226))) (($ $ (-764)) NIL (|has| (-569) (-226))) (($ $ (-1163)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1 (-569) (-569)) (-764)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-1693 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1684 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1678 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1715 (($ $ $) NIL) (($ (-569) (-569)) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-569) $) NIL) (($ $ (-569)) NIL))) 
+(((-498) (-13 (-994 (-569)) (-10 -8 (-15 -2185 ((-410 (-569)) $)) (-15 -2185 ((-1005 16) $)) (-15 -1346 ((-410 (-569)) $)) (-15 -4049 ($ (-410 (-569))))))) (T -498)) 
+((-2185 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-498)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-1005 16)) (-5 *1 (-498)))) (-1346 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-498)))) (-4049 (*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-498))))) 
+(-13 (-994 (-569)) (-10 -8 (-15 -2185 ((-410 (-569)) $)) (-15 -2185 ((-1005 16) $)) (-15 -1346 ((-410 (-569)) $)) (-15 -4049 ($ (-410 (-569)))))) 
+((-4259 (((-635 |#2|) $) 22)) (-3660 (((-121) |#2| $) 27)) (-4177 (((-121) (-1 (-121) |#2|) $) 20)) (-1468 (($ $ (-635 (-289 |#2|))) 12) (($ $ (-289 |#2|)) NIL) (($ $ |#2| |#2|) NIL) (($ $ (-635 |#2|) (-635 |#2|)) NIL)) (-2846 (((-764) (-1 (-121) |#2|) $) 21) (((-764) |#2| $) 25)) (-2185 (((-851) $) 36)) (-2066 (((-121) (-1 (-121) |#2|) $) 19)) (-1668 (((-121) $ $) 30)) (-4168 (((-764) $) 16))) 
+(((-499 |#1| |#2|) (-10 -8 (-15 -1668 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1468 (|#1| |#1| (-635 |#2|) (-635 |#2|))) (-15 -1468 (|#1| |#1| |#2| |#2|)) (-15 -1468 (|#1| |#1| (-289 |#2|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#2|)))) (-15 -3660 ((-121) |#2| |#1|)) (-15 -2846 ((-764) |#2| |#1|)) (-15 -4259 ((-635 |#2|) |#1|)) (-15 -2846 ((-764) (-1 (-121) |#2|) |#1|)) (-15 -4177 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2066 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -4168 ((-764) |#1|))) (-500 |#2|) (-1197)) (T -499)) 
+NIL 
+(-10 -8 (-15 -1668 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1468 (|#1| |#1| (-635 |#2|) (-635 |#2|))) (-15 -1468 (|#1| |#1| |#2| |#2|)) (-15 -1468 (|#1| |#1| (-289 |#2|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#2|)))) (-15 -3660 ((-121) |#2| |#1|)) (-15 -2846 ((-764) |#2| |#1|)) (-15 -4259 ((-635 |#2|) |#1|)) (-15 -2846 ((-764) (-1 (-121) |#2|) |#1|)) (-15 -4177 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2066 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -4168 ((-764) |#1|))) 
+((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) 8)) (-2820 (($) 7 T CONST)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-500 |#1|) (-1278) (-1197)) (T -500)) 
+((-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-500 *3)) (-4 *3 (-1197)))) (-1853 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| *1 (-6 -4536)) (-4 *1 (-500 *3)) (-4 *3 (-1197)))) (-2066 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4535)) (-4 *1 (-500 *4)) (-4 *4 (-1197)) (-5 *2 (-121)))) (-4177 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4535)) (-4 *1 (-500 *4)) (-4 *4 (-1197)) (-5 *2 (-121)))) (-2846 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4535)) (-4 *1 (-500 *4)) (-4 *4 (-1197)) (-5 *2 (-764)))) (-3470 (*1 *2 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-500 *3)) (-4 *3 (-1197)) (-5 *2 (-635 *3)))) (-4259 (*1 *2 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-500 *3)) (-4 *3 (-1197)) (-5 *2 (-635 *3)))) (-2846 (*1 *2 *3 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-500 *3)) (-4 *3 (-1197)) (-4 *3 (-1091)) (-5 *2 (-764)))) (-3660 (*1 *2 *3 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-500 *3)) (-4 *3 (-1197)) (-4 *3 (-1091)) (-5 *2 (-121))))) 
+(-13 (-39) (-10 -8 (IF (|has| |t#1| (-1091)) (-6 (-1091)) |noBranch|) (IF (|has| |t#1| (-1091)) (IF (|has| |t#1| (-304 |t#1|)) (-6 (-304 |t#1|)) |noBranch|) |noBranch|) (-15 -1544 ($ (-1 |t#1| |t#1|) $)) (IF (|has| $ (-6 -4536)) (-15 -1853 ($ (-1 |t#1| |t#1|) $)) |noBranch|) (IF (|has| $ (-6 -4535)) (PROGN (-15 -2066 ((-121) (-1 (-121) |t#1|) $)) (-15 -4177 ((-121) (-1 (-121) |t#1|) $)) (-15 -2846 ((-764) (-1 (-121) |t#1|) $)) (-15 -3470 ((-635 |t#1|) $)) (-15 -4259 ((-635 |t#1|) $)) (IF (|has| |t#1| (-1091)) (PROGN (-15 -2846 ((-764) |t#1| $)) (-15 -3660 ((-121) |t#1| $))) |noBranch|)) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
+((-2568 (((-121) $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1359 (((-1145) (-851)) 40)) (-3615 (((-1252) (-1145)) 29)) (-2774 (((-1145) (-851)) 25)) (-4400 (((-1145) (-851)) 26)) (-2185 (((-851) $) NIL) (((-1145) (-851)) 24)) (-1668 (((-121) $ $) NIL))) 
+(((-501) (-13 (-1091) (-10 -7 (-15 -2185 ((-1145) (-851))) (-15 -2774 ((-1145) (-851))) (-15 -4400 ((-1145) (-851))) (-15 -1359 ((-1145) (-851))) (-15 -3615 ((-1252) (-1145)))))) (T -501)) 
+((-2185 (*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-501)))) (-2774 (*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-501)))) (-4400 (*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-501)))) (-1359 (*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-501)))) (-3615 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-501))))) 
+(-13 (-1091) (-10 -7 (-15 -2185 ((-1145) (-851))) (-15 -2774 ((-1145) (-851))) (-15 -4400 ((-1145) (-851))) (-15 -1359 ((-1145) (-851))) (-15 -3615 ((-1252) (-1145))))) 
+((-1753 (($ $) 15)) (-1744 (($ $) 24)) (-1760 (($ $) 12)) (-1764 (($ $) 10)) (-1756 (($ $) 17)) (-1748 (($ $) 22))) 
+(((-502 |#1|) (-10 -8 (-15 -1748 (|#1| |#1|)) (-15 -1756 (|#1| |#1|)) (-15 -1764 (|#1| |#1|)) (-15 -1760 (|#1| |#1|)) (-15 -1744 (|#1| |#1|)) (-15 -1753 (|#1| |#1|))) (-503)) (T -502)) 
+NIL 
+(-10 -8 (-15 -1748 (|#1| |#1|)) (-15 -1756 (|#1| |#1|)) (-15 -1764 (|#1| |#1|)) (-15 -1760 (|#1| |#1|)) (-15 -1744 (|#1| |#1|)) (-15 -1753 (|#1| |#1|))) 
+((-1753 (($ $) 11)) (-1744 (($ $) 10)) (-1760 (($ $) 9)) (-1764 (($ $) 8)) (-1756 (($ $) 7)) (-1748 (($ $) 6))) 
+(((-503) (-1278)) (T -503)) 
+((-1753 (*1 *1 *1) (-4 *1 (-503))) (-1744 (*1 *1 *1) (-4 *1 (-503))) (-1760 (*1 *1 *1) (-4 *1 (-503))) (-1764 (*1 *1 *1) (-4 *1 (-503))) (-1756 (*1 *1 *1) (-4 *1 (-503))) (-1748 (*1 *1 *1) (-4 *1 (-503)))) 
+(-13 (-10 -8 (-15 -1748 ($ $)) (-15 -1756 ($ $)) (-15 -1764 ($ $)) (-15 -1760 ($ $)) (-15 -1744 ($ $)) (-15 -1753 ($ $)))) 
+((-1743 (((-421 |#4|) |#4| (-1 (-421 |#2|) |#2|)) 42))) 
+(((-504 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1743 ((-421 |#4|) |#4| (-1 (-421 |#2|) |#2|)))) (-366) (-1222 |#1|) (-13 (-366) (-151) (-715 |#1| |#2|)) (-1222 |#3|)) (T -504)) 
+((-1743 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1222 *5)) (-4 *5 (-366)) (-4 *7 (-13 (-366) (-151) (-715 *5 *6))) (-5 *2 (-421 *3)) (-5 *1 (-504 *5 *6 *7 *3)) (-4 *3 (-1222 *7))))) 
+(-10 -7 (-15 -1743 ((-421 |#4|) |#4| (-1 (-421 |#2|) |#2|)))) 
+((-2568 (((-121) $ $) NIL)) (-1842 (((-635 $) (-1159 $) (-1163)) NIL) (((-635 $) (-1159 $)) NIL) (((-635 $) (-954 $)) NIL)) (-2493 (($ (-1159 $) (-1163)) NIL) (($ (-1159 $)) NIL) (($ (-954 $)) NIL)) (-3813 (((-121) $) 36)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2307 (((-121) $ $) 62)) (-4003 (((-635 (-608 $)) $) 46)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2773 (($ $ (-289 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-2454 (($ $) NIL)) (-3934 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-2663 (((-635 $) (-1159 $) (-1163)) NIL) (((-635 $) (-1159 $)) NIL) (((-635 $) (-954 $)) NIL)) (-3550 (($ (-1159 $) (-1163)) NIL) (($ (-1159 $)) NIL) (($ (-954 $)) NIL)) (-1647 (((-3 (-608 $) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL)) (-2428 (((-608 $) $) NIL) (((-569) $) NIL) (((-410 (-569)) $) 48)) (-2506 (($ $ $) NIL)) (-1696 (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL) (((-680 (-569)) (-680 $)) NIL) (((-2 (|:| -3477 (-680 (-410 (-569)))) (|:| |vec| (-1247 (-410 (-569))))) (-680 $) (-1247 $)) NIL) (((-680 (-410 (-569))) (-680 $)) NIL)) (-1774 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-2337 (($ $) NIL) (($ (-635 $)) NIL)) (-3431 (((-635 (-123)) $) NIL)) (-2265 (((-123) (-123)) NIL)) (-1407 (((-121) $) 39)) (-1931 (((-121) $) NIL (|has| $ (-1038 (-569))))) (-4116 (((-1114 (-569) (-608 $)) $) 34)) (-4344 (($ $ (-569)) NIL)) (-4308 (((-1159 $) (-1159 $) (-608 $)) 77) (((-1159 $) (-1159 $) (-635 (-608 $))) 53) (($ $ (-608 $)) 66) (($ $ (-635 (-608 $))) 67)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4080 (((-1159 $) (-608 $)) 64 (|has| $ (-1048)))) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1544 (($ (-1 $ $) (-608 $)) NIL)) (-2359 (((-3 (-608 $) "failed") $) NIL)) (-2665 (($ (-635 $)) NIL) (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-1735 (((-635 (-608 $)) $) NIL)) (-1777 (($ (-123) $) NIL) (($ (-123) (-635 $)) NIL)) (-4029 (((-121) $ (-123)) NIL) (((-121) $ (-1163)) NIL)) (-1795 (($ $) NIL)) (-2626 (((-764) $) NIL)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ (-635 $)) NIL) (($ $ $) NIL)) (-1452 (((-121) $ $) NIL) (((-121) $ (-1163)) NIL)) (-1743 (((-421 $) $) NIL)) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1657 (((-121) $) NIL (|has| $ (-1038 (-569))))) (-1468 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1163)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-1163)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-1163) (-1 $ (-635 $))) NIL) (($ $ (-1163) (-1 $ $)) NIL) (($ $ (-635 (-123)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-123) (-1 $ (-635 $))) NIL) (($ $ (-123) (-1 $ $)) NIL)) (-2622 (((-764) $) NIL)) (-1534 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-635 $)) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-4082 (($ $) NIL) (($ $ $) NIL)) (-3899 (($ $ (-764)) NIL) (($ $) 33)) (-4121 (((-1114 (-569) (-608 $)) $) 17)) (-2745 (($ $) NIL (|has| $ (-1048)))) (-3817 (((-382) $) 91) (((-216) $) 99) (((-170 (-382)) $) 107)) (-2185 (((-851) $) NIL) (($ (-608 $)) NIL) (($ (-410 (-569))) NIL) (($ $) NIL) (($ (-569)) NIL) (($ (-1114 (-569) (-608 $))) 18)) (-1991 (((-764)) NIL)) (-4042 (($ $) NIL) (($ (-635 $)) NIL)) (-1524 (((-121) (-123)) 83)) (-1961 (((-121) $ $) NIL)) (-2427 (($ $ (-569)) NIL) (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (-3369 (($) 9 T CONST)) (-1556 (($) 19 T CONST)) (-3022 (($ $ (-764)) NIL) (($ $) NIL)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 21)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL)) (-1715 (($ $ $) 41)) (-1711 (($ $ $) NIL) (($ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-410 (-569))) NIL) (($ $ (-569)) 44) (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (* (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL) (($ $ $) 24) (($ (-569) $) NIL) (($ (-764) $) NIL) (($ (-918) $) NIL))) 
+(((-505) (-13 (-297) (-27) (-1038 (-569)) (-1038 (-410 (-569))) (-631 (-569)) (-1022) (-631 (-410 (-569))) (-151) (-610 (-170 (-382))) (-226) (-10 -8 (-15 -2185 ($ (-1114 (-569) (-608 $)))) (-15 -4116 ((-1114 (-569) (-608 $)) $)) (-15 -4121 ((-1114 (-569) (-608 $)) $)) (-15 -1774 ($ $)) (-15 -2307 ((-121) $ $)) (-15 -4308 ((-1159 $) (-1159 $) (-608 $))) (-15 -4308 ((-1159 $) (-1159 $) (-635 (-608 $)))) (-15 -4308 ($ $ (-608 $))) (-15 -4308 ($ $ (-635 (-608 $))))))) (T -505)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1114 (-569) (-608 (-505)))) (-5 *1 (-505)))) (-4116 (*1 *2 *1) (-12 (-5 *2 (-1114 (-569) (-608 (-505)))) (-5 *1 (-505)))) (-4121 (*1 *2 *1) (-12 (-5 *2 (-1114 (-569) (-608 (-505)))) (-5 *1 (-505)))) (-1774 (*1 *1 *1) (-5 *1 (-505))) (-2307 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-505)))) (-4308 (*1 *2 *2 *3) (-12 (-5 *2 (-1159 (-505))) (-5 *3 (-608 (-505))) (-5 *1 (-505)))) (-4308 (*1 *2 *2 *3) (-12 (-5 *2 (-1159 (-505))) (-5 *3 (-635 (-608 (-505)))) (-5 *1 (-505)))) (-4308 (*1 *1 *1 *2) (-12 (-5 *2 (-608 (-505))) (-5 *1 (-505)))) (-4308 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-608 (-505)))) (-5 *1 (-505))))) 
+(-13 (-297) (-27) (-1038 (-569)) (-1038 (-410 (-569))) (-631 (-569)) (-1022) (-631 (-410 (-569))) (-151) (-610 (-170 (-382))) (-226) (-10 -8 (-15 -2185 ($ (-1114 (-569) (-608 $)))) (-15 -4116 ((-1114 (-569) (-608 $)) $)) (-15 -4121 ((-1114 (-569) (-608 $)) $)) (-15 -1774 ($ $)) (-15 -2307 ((-121) $ $)) (-15 -4308 ((-1159 $) (-1159 $) (-608 $))) (-15 -4308 ((-1159 $) (-1159 $) (-635 (-608 $)))) (-15 -4308 ($ $ (-608 $))) (-15 -4308 ($ $ (-635 (-608 $)))))) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-843)))) (-3076 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| |#1| (-843))))) (-3113 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#1| $ (-569) |#1|) 25 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) NIL (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4347 (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) 22 (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) 21)) (-3727 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1091))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1091)))) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-2659 (($ (-764) |#1|) 14)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) 12 (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-3288 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1285 (((-569) $) 23 (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) 16 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 17) (($ (-1 |#1| |#1| |#1|) $ $) 19)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3614 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4353 ((|#1| $) NIL (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-3174 (($ $ |#1|) 10 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 13)) (-1534 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) 24) (($ $ (-1213 (-569))) NIL)) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) NIL)) (-2250 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-4168 (((-764) $) 9 (|has| $ (-6 -4535))))) 
+(((-506 |#1| |#2|) (-19 |#1|) (-1197) (-569)) (T -506)) 
 NIL 
 (-19 |#1|) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1667 (((-121) $ (-763)) NIL)) (-2438 ((|#1| $ (-568) (-568) |#1|) NIL)) (-3874 (($ $ (-568) (-505 |#1| |#3|)) NIL)) (-2525 (($ $ (-568) (-505 |#1| |#2|)) NIL)) (-4490 (($) NIL T CONST)) (-2228 (((-505 |#1| |#3|) $ (-568)) NIL)) (-1292 ((|#1| $ (-568) (-568) |#1|) NIL)) (-2069 ((|#1| $ (-568) (-568)) NIL)) (-3317 (((-634 |#1|) $) NIL)) (-2241 (((-763) $) NIL)) (-1851 (($ (-763) (-763) |#1|) NIL)) (-1901 (((-763) $) NIL)) (-3791 (((-121) $ (-763)) NIL)) (-3139 (((-568) $) NIL)) (-1343 (((-568) $) NIL)) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3405 (((-568) $) NIL)) (-2801 (((-568) $) NIL)) (-2253 (($ (-1 |#1| |#1|) $) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-2490 (($ $ |#1|) NIL)) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#1| $ (-568) (-568)) NIL) ((|#1| $ (-568) (-568) |#1|) NIL)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3865 (($ $) NIL)) (-2522 (((-505 |#1| |#2|) $ (-568)) NIL)) (-2747 (((-850) $) NIL (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-506 |#1| |#2| |#3|) (-62 |#1| (-505 |#1| |#3|) (-505 |#1| |#2|)) (-1195) (-568) (-568)) (T -506)) 
-NIL 
-(-62 |#1| (-505 |#1| |#3|) (-505 |#1| |#2|)) 
-((-1475 (((-634 (-2 (|:| -2588 (-679 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-679 |#2|)))) (-2 (|:| -2588 (-679 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-679 |#2|))) (-763) (-763)) 27)) (-3935 (((-634 (-1157 |#1|)) |#1| (-763) (-763) (-763)) 34)) (-3500 (((-2 (|:| -2588 (-679 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-679 |#2|))) (-634 |#3|) (-634 (-2 (|:| -2588 (-679 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-679 |#2|)))) (-763)) 83))) 
-(((-507 |#1| |#2| |#3|) (-10 -7 (-15 -3935 ((-634 (-1157 |#1|)) |#1| (-763) (-763) (-763))) (-15 -1475 ((-634 (-2 (|:| -2588 (-679 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-679 |#2|)))) (-2 (|:| -2588 (-679 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-679 |#2|))) (-763) (-763))) (-15 -3500 ((-2 (|:| -2588 (-679 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-679 |#2|))) (-634 |#3|) (-634 (-2 (|:| -2588 (-679 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-679 |#2|)))) (-763)))) (-350) (-1219 |#1|) (-1219 |#2|)) (T -507)) 
-((-3500 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-634 *8)) (-5 *4 (-634 (-2 (|:| -2588 (-679 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-679 *7))))) (-5 *5 (-763)) (-4 *8 (-1219 *7)) (-4 *7 (-1219 *6)) (-4 *6 (-350)) (-5 *2 (-2 (|:| -2588 (-679 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-679 *7)))) (-5 *1 (-507 *6 *7 *8)))) (-1475 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-763)) (-4 *5 (-350)) (-4 *6 (-1219 *5)) (-5 *2 (-634 (-2 (|:| -2588 (-679 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-679 *6))))) (-5 *1 (-507 *5 *6 *7)) (-5 *3 (-2 (|:| -2588 (-679 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-679 *6)))) (-4 *7 (-1219 *6)))) (-3935 (*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-763)) (-4 *3 (-350)) (-4 *5 (-1219 *3)) (-5 *2 (-634 (-1157 *3))) (-5 *1 (-507 *3 *5 *6)) (-4 *6 (-1219 *5))))) 
-(-10 -7 (-15 -3935 ((-634 (-1157 |#1|)) |#1| (-763) (-763) (-763))) (-15 -1475 ((-634 (-2 (|:| -2588 (-679 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-679 |#2|)))) (-2 (|:| -2588 (-679 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-679 |#2|))) (-763) (-763))) (-15 -3500 ((-2 (|:| -2588 (-679 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-679 |#2|))) (-634 |#3|) (-634 (-2 (|:| -2588 (-679 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-679 |#2|)))) (-763)))) 
-((-3669 (((-2 (|:| -2588 (-679 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-679 |#1|))) (-2 (|:| -2588 (-679 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-679 |#1|))) (-2 (|:| -2588 (-679 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-679 |#1|)))) 60)) (-3530 ((|#1| (-679 |#1|) |#1| (-763)) 25)) (-1575 (((-763) (-763) (-763)) 30)) (-2485 (((-679 |#1|) (-679 |#1|) (-679 |#1|)) 42)) (-2300 (((-679 |#1|) (-679 |#1|) (-679 |#1|) |#1|) 50) (((-679 |#1|) (-679 |#1|) (-679 |#1|)) 47)) (-3666 ((|#1| (-679 |#1|) (-679 |#1|) |#1| (-568)) 29)) (-1966 ((|#1| (-679 |#1|)) 18))) 
-(((-508 |#1| |#2| |#3|) (-10 -7 (-15 -1966 (|#1| (-679 |#1|))) (-15 -3530 (|#1| (-679 |#1|) |#1| (-763))) (-15 -3666 (|#1| (-679 |#1|) (-679 |#1|) |#1| (-568))) (-15 -1575 ((-763) (-763) (-763))) (-15 -2300 ((-679 |#1|) (-679 |#1|) (-679 |#1|))) (-15 -2300 ((-679 |#1|) (-679 |#1|) (-679 |#1|) |#1|)) (-15 -2485 ((-679 |#1|) (-679 |#1|) (-679 |#1|))) (-15 -3669 ((-2 (|:| -2588 (-679 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-679 |#1|))) (-2 (|:| -2588 (-679 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-679 |#1|))) (-2 (|:| -2588 (-679 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-679 |#1|)))))) (-13 (-301) (-10 -8 (-15 -3498 ((-420 $) $)))) (-1219 |#1|) (-411 |#1| |#2|)) (T -508)) 
-((-3669 (*1 *2 *2 *2) (-12 (-5 *2 (-2 (|:| -2588 (-679 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-679 *3)))) (-4 *3 (-13 (-301) (-10 -8 (-15 -3498 ((-420 $) $))))) (-4 *4 (-1219 *3)) (-5 *1 (-508 *3 *4 *5)) (-4 *5 (-411 *3 *4)))) (-2485 (*1 *2 *2 *2) (-12 (-5 *2 (-679 *3)) (-4 *3 (-13 (-301) (-10 -8 (-15 -3498 ((-420 $) $))))) (-4 *4 (-1219 *3)) (-5 *1 (-508 *3 *4 *5)) (-4 *5 (-411 *3 *4)))) (-2300 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-679 *3)) (-4 *3 (-13 (-301) (-10 -8 (-15 -3498 ((-420 $) $))))) (-4 *4 (-1219 *3)) (-5 *1 (-508 *3 *4 *5)) (-4 *5 (-411 *3 *4)))) (-2300 (*1 *2 *2 *2) (-12 (-5 *2 (-679 *3)) (-4 *3 (-13 (-301) (-10 -8 (-15 -3498 ((-420 $) $))))) (-4 *4 (-1219 *3)) (-5 *1 (-508 *3 *4 *5)) (-4 *5 (-411 *3 *4)))) (-1575 (*1 *2 *2 *2) (-12 (-5 *2 (-763)) (-4 *3 (-13 (-301) (-10 -8 (-15 -3498 ((-420 $) $))))) (-4 *4 (-1219 *3)) (-5 *1 (-508 *3 *4 *5)) (-4 *5 (-411 *3 *4)))) (-3666 (*1 *2 *3 *3 *2 *4) (-12 (-5 *3 (-679 *2)) (-5 *4 (-568)) (-4 *2 (-13 (-301) (-10 -8 (-15 -3498 ((-420 $) $))))) (-4 *5 (-1219 *2)) (-5 *1 (-508 *2 *5 *6)) (-4 *6 (-411 *2 *5)))) (-3530 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-679 *2)) (-5 *4 (-763)) (-4 *2 (-13 (-301) (-10 -8 (-15 -3498 ((-420 $) $))))) (-4 *5 (-1219 *2)) (-5 *1 (-508 *2 *5 *6)) (-4 *6 (-411 *2 *5)))) (-1966 (*1 *2 *3) (-12 (-5 *3 (-679 *2)) (-4 *4 (-1219 *2)) (-4 *2 (-13 (-301) (-10 -8 (-15 -3498 ((-420 $) $))))) (-5 *1 (-508 *2 *4 *5)) (-4 *5 (-411 *2 *4))))) 
-(-10 -7 (-15 -1966 (|#1| (-679 |#1|))) (-15 -3530 (|#1| (-679 |#1|) |#1| (-763))) (-15 -3666 (|#1| (-679 |#1|) (-679 |#1|) |#1| (-568))) (-15 -1575 ((-763) (-763) (-763))) (-15 -2300 ((-679 |#1|) (-679 |#1|) (-679 |#1|))) (-15 -2300 ((-679 |#1|) (-679 |#1|) (-679 |#1|) |#1|)) (-15 -2485 ((-679 |#1|) (-679 |#1|) (-679 |#1|))) (-15 -3669 ((-2 (|:| -2588 (-679 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-679 |#1|))) (-2 (|:| -2588 (-679 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-679 |#1|))) (-2 (|:| -2588 (-679 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-679 |#1|)))))) 
-((-2449 (((-121) $ $) NIL)) (-1613 (($ $) NIL)) (-3093 (($ $ $) 35)) (-2481 (((-1249) $ (-568) (-568)) NIL (|has| $ (-6 -4522)))) (-1324 (((-121) $) NIL (|has| (-121) (-842))) (((-121) (-1 (-121) (-121) (-121)) $) NIL)) (-2109 (($ $) NIL (-12 (|has| $ (-6 -4522)) (|has| (-121) (-842)))) (($ (-1 (-121) (-121) (-121)) $) NIL (|has| $ (-6 -4522)))) (-3647 (($ $) NIL (|has| (-121) (-842))) (($ (-1 (-121) (-121) (-121)) $) NIL)) (-1667 (((-121) $ (-763)) NIL)) (-2438 (((-121) $ (-1210 (-568)) (-121)) NIL (|has| $ (-6 -4522))) (((-121) $ (-568) (-121)) 36 (|has| $ (-6 -4522)))) (-2803 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4521)))) (-4490 (($) NIL T CONST)) (-4452 (($ $) NIL (|has| $ (-6 -4522)))) (-3945 (($ $) NIL)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-121) (-1090))))) (-4330 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4521))) (($ (-121) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-121) (-1090))))) (-3094 (((-121) (-1 (-121) (-121) (-121)) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) (-121) (-121)) $ (-121)) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) (-121) (-121)) $ (-121) (-121)) NIL (-12 (|has| $ (-6 -4521)) (|has| (-121) (-1090))))) (-1292 (((-121) $ (-568) (-121)) NIL (|has| $ (-6 -4522)))) (-2069 (((-121) $ (-568)) NIL)) (-2766 (((-568) (-121) $ (-568)) NIL (|has| (-121) (-1090))) (((-568) (-121) $) NIL (|has| (-121) (-1090))) (((-568) (-1 (-121) (-121)) $) NIL)) (-3317 (((-634 (-121)) $) NIL (|has| $ (-6 -4521)))) (-3107 (($ $ $) 33)) (-3046 (($ $) NIL)) (-2570 (($ $ $) NIL)) (-1851 (($ (-763) (-121)) 23)) (-4445 (($ $ $) NIL)) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-568) $) 8 (|has| (-568) (-842)))) (-1732 (($ $ $) NIL)) (-3645 (($ $ $) NIL (|has| (-121) (-842))) (($ (-1 (-121) (-121) (-121)) $ $) NIL)) (-4406 (((-634 (-121)) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) (-121) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-121) (-1090))))) (-3631 (((-568) $) NIL (|has| (-568) (-842)))) (-2047 (($ $ $) NIL)) (-2253 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 (-121) (-121) (-121)) $ $) 30) (($ (-1 (-121) (-121)) $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL)) (-4124 (($ $ $ (-568)) NIL) (($ (-121) $ (-568)) NIL)) (-3948 (((-634 (-568)) $) NIL)) (-2916 (((-121) (-568) $) NIL)) (-4025 (((-1108) $) NIL)) (-3877 (((-121) $) NIL (|has| (-568) (-842)))) (-2712 (((-3 (-121) "failed") (-1 (-121) (-121)) $) NIL)) (-2490 (($ $ (-121)) NIL (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-121)) (-634 (-121))) NIL (-12 (|has| (-121) (-303 (-121))) (|has| (-121) (-1090)))) (($ $ (-121) (-121)) NIL (-12 (|has| (-121) (-303 (-121))) (|has| (-121) (-1090)))) (($ $ (-288 (-121))) NIL (-12 (|has| (-121) (-303 (-121))) (|has| (-121) (-1090)))) (($ $ (-634 (-288 (-121)))) NIL (-12 (|has| (-121) (-303 (-121))) (|has| (-121) (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) (-121) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-121) (-1090))))) (-1480 (((-634 (-121)) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) 24)) (-2781 (($ $ (-1210 (-568))) NIL) (((-121) $ (-568)) 18) (((-121) $ (-568) (-121)) NIL)) (-2828 (($ $ (-1210 (-568))) NIL) (($ $ (-568)) NIL)) (-4170 (((-763) (-121) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-121) (-1090)))) (((-763) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4521)))) (-3306 (($ $ $ (-568)) NIL (|has| $ (-6 -4522)))) (-3865 (($ $) 25)) (-4280 (((-541) $) NIL (|has| (-121) (-609 (-541))))) (-4289 (($ (-634 (-121))) NIL)) (-2770 (($ (-634 $)) NIL) (($ $ $) NIL) (($ (-121) $) NIL) (($ $ (-121)) NIL)) (-2747 (((-850) $) 22)) (-3437 (((-121) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4521)))) (-2141 (($ $ $) 31)) (-1889 (($ $) NIL)) (-2432 (($ $ $) NIL)) (-3295 (($ $ $) 39)) (-3253 (($ $) 37)) (-3007 (($ $ $) 38)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 26)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 27)) (-2426 (($ $ $) NIL)) (-1699 (((-763) $) 10 (|has| $ (-6 -4521))))) 
-(((-509 |#1|) (-13 (-132) (-10 -8 (-15 -3253 ($ $)) (-15 -3295 ($ $ $)) (-15 -3007 ($ $ $)))) (-568)) (T -509)) 
-((-3253 (*1 *1 *1) (-12 (-5 *1 (-509 *2)) (-14 *2 (-568)))) (-3295 (*1 *1 *1 *1) (-12 (-5 *1 (-509 *2)) (-14 *2 (-568)))) (-3007 (*1 *1 *1 *1) (-12 (-5 *1 (-509 *2)) (-14 *2 (-568))))) 
-(-13 (-132) (-10 -8 (-15 -3253 ($ $)) (-15 -3295 ($ $ $)) (-15 -3007 ($ $ $)))) 
-((-2585 (((-3 |#2| "failed") (-1 (-3 |#1| "failed") |#4|) (-1157 |#4|)) 34)) (-4310 (((-1157 |#4|) (-1 |#4| |#1|) |#2|) 30) ((|#2| (-1 |#1| |#4|) (-1157 |#4|)) 21)) (-1727 (((-3 (-679 |#2|) "failed") (-1 (-3 |#1| "failed") |#4|) (-679 (-1157 |#4|))) 45)) (-1961 (((-1157 (-1157 |#4|)) (-1 |#4| |#1|) |#3|) 54))) 
-(((-510 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4310 (|#2| (-1 |#1| |#4|) (-1157 |#4|))) (-15 -4310 ((-1157 |#4|) (-1 |#4| |#1|) |#2|)) (-15 -2585 ((-3 |#2| "failed") (-1 (-3 |#1| "failed") |#4|) (-1157 |#4|))) (-15 -1727 ((-3 (-679 |#2|) "failed") (-1 (-3 |#1| "failed") |#4|) (-679 (-1157 |#4|)))) (-15 -1961 ((-1157 (-1157 |#4|)) (-1 |#4| |#1|) |#3|))) (-1047) (-1219 |#1|) (-1219 |#2|) (-1047)) (T -510)) 
-((-1961 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1047)) (-4 *7 (-1047)) (-4 *6 (-1219 *5)) (-5 *2 (-1157 (-1157 *7))) (-5 *1 (-510 *5 *6 *4 *7)) (-4 *4 (-1219 *6)))) (-1727 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *8)) (-5 *4 (-679 (-1157 *8))) (-4 *5 (-1047)) (-4 *8 (-1047)) (-4 *6 (-1219 *5)) (-5 *2 (-679 *6)) (-5 *1 (-510 *5 *6 *7 *8)) (-4 *7 (-1219 *6)))) (-2585 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *7)) (-5 *4 (-1157 *7)) (-4 *5 (-1047)) (-4 *7 (-1047)) (-4 *2 (-1219 *5)) (-5 *1 (-510 *5 *2 *6 *7)) (-4 *6 (-1219 *2)))) (-4310 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1047)) (-4 *7 (-1047)) (-4 *4 (-1219 *5)) (-5 *2 (-1157 *7)) (-5 *1 (-510 *5 *4 *6 *7)) (-4 *6 (-1219 *4)))) (-4310 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *7)) (-5 *4 (-1157 *7)) (-4 *5 (-1047)) (-4 *7 (-1047)) (-4 *2 (-1219 *5)) (-5 *1 (-510 *5 *2 *6 *7)) (-4 *6 (-1219 *2))))) 
-(-10 -7 (-15 -4310 (|#2| (-1 |#1| |#4|) (-1157 |#4|))) (-15 -4310 ((-1157 |#4|) (-1 |#4| |#1|) |#2|)) (-15 -2585 ((-3 |#2| "failed") (-1 (-3 |#1| "failed") |#4|) (-1157 |#4|))) (-15 -1727 ((-3 (-679 |#2|) "failed") (-1 (-3 |#1| "failed") |#4|) (-679 (-1157 |#4|)))) (-15 -1961 ((-1157 (-1157 |#4|)) (-1 |#4| |#1|) |#3|))) 
-((-2449 (((-121) $ $) NIL)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-3687 (((-1249) $) 18)) (-2781 (((-1143) $ (-1161)) 22)) (-4127 (((-1249) $) 14)) (-2747 (((-850) $) 20) (($ (-1143)) 19)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 8)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 7))) 
-(((-511) (-13 (-842) (-10 -8 (-15 -2781 ((-1143) $ (-1161))) (-15 -4127 ((-1249) $)) (-15 -3687 ((-1249) $)) (-15 -2747 ($ (-1143)))))) (T -511)) 
-((-2781 (*1 *2 *1 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1143)) (-5 *1 (-511)))) (-4127 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-511)))) (-3687 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-511)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-511))))) 
-(-13 (-842) (-10 -8 (-15 -2781 ((-1143) $ (-1161))) (-15 -4127 ((-1249) $)) (-15 -3687 ((-1249) $)) (-15 -2747 ($ (-1143))))) 
-((-3618 (((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#4|) 19)) (-2471 ((|#1| |#4|) 10)) (-2609 ((|#3| |#4|) 17))) 
-(((-512 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2471 (|#1| |#4|)) (-15 -2609 (|#3| |#4|)) (-15 -3618 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#4|))) (-558) (-993 |#1|) (-375 |#1|) (-375 |#2|)) (T -512)) 
-((-3618 (*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *5 (-993 *4)) (-5 *2 (-2 (|:| |num| *6) (|:| |den| *4))) (-5 *1 (-512 *4 *5 *6 *3)) (-4 *6 (-375 *4)) (-4 *3 (-375 *5)))) (-2609 (*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *5 (-993 *4)) (-4 *2 (-375 *4)) (-5 *1 (-512 *4 *5 *2 *3)) (-4 *3 (-375 *5)))) (-2471 (*1 *2 *3) (-12 (-4 *4 (-993 *2)) (-4 *2 (-558)) (-5 *1 (-512 *2 *4 *5 *3)) (-4 *5 (-375 *2)) (-4 *3 (-375 *4))))) 
-(-10 -7 (-15 -2471 (|#1| |#4|)) (-15 -2609 (|#3| |#4|)) (-15 -3618 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#4|))) 
-((-2449 (((-121) $ $) NIL)) (-1636 (((-1161) $) NIL)) (-3396 (((-763) $) NIL)) (-2439 (((-1161) $ (-1161)) NIL)) (-3715 (((-763) $ (-763)) NIL)) (-1332 (((-966 |#1|) $ (-966 |#1|)) NIL)) (-1501 (((-763) $ (-763)) NIL)) (-2259 (((-33 |#1|) $ (-33 |#1|)) NIL)) (-2870 (((-634 (-774 |#1|)) $ (-634 (-774 |#1|))) NIL)) (-1840 (((-236 (-921 |#1|)) $ (-236 (-921 |#1|))) NIL)) (-2073 (((-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|) $ (-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|)) NIL)) (-4082 ((|#3| $ |#3|) NIL)) (-3209 (((-966 |#1|) $) NIL)) (-1721 (((-763) $) NIL)) (-4288 (((-33 |#1|) $) NIL)) (-3452 (((-634 (-774 |#1|)) $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-4295 (((-121) (-121)) NIL) (((-121)) NIL)) (-2860 (((-850) $) NIL)) (-1435 (((-236 (-921 |#1|)) $) NIL)) (-1836 (((-917) $) NIL)) (-1764 (((-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|) $) NIL)) (-4116 (($ (-966 |#1|) (-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|) (-33 |#1|) (-763) |#3| (-763) (-236 (-921 |#1|)) |#1| (-1161)) NIL) (($ (-966 |#1|) (-242 |#2| |#1|)) NIL)) (-2747 (((-850) $) NIL)) (-3888 ((|#3| $) NIL)) (-2863 ((|#1| $) NIL)) (-1719 (((-121) $ $) NIL))) 
-(((-513 |#1| |#2| |#3|) (-13 (-536 |#1| |#2| (-242 |#2| |#1|) (-232 (-1699 |#2|) (-763)) (-966 |#1|) (-774 |#1|) (-921 |#1|) (-236 (-921 |#1|)) |#3|) (-10 -8 (-15 -2860 ((-850) $)) (-15 -4295 ((-121) (-121))) (-15 -4295 ((-121))))) (-365) (-634 (-1161)) (-117)) (T -513)) 
-((-2860 (*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-513 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-4295 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-513 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-4295 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-513 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117))))) 
-(-13 (-536 |#1| |#2| (-242 |#2| |#1|) (-232 (-1699 |#2|) (-763)) (-966 |#1|) (-774 |#1|) (-921 |#1|) (-236 (-921 |#1|)) |#3|) (-10 -8 (-15 -2860 ((-850) $)) (-15 -4295 ((-121) (-121))) (-15 -4295 ((-121))))) 
-((-2449 (((-121) $ $) NIL)) (-4022 (((-121) $ (-634 |#3|)) 101) (((-121) $) 102)) (-1819 (((-121) $) 144)) (-1772 (($ $ |#4|) 93) (($ $ |#4| (-634 |#3|)) 97)) (-2846 (((-1150 (-634 (-953 |#1|)) (-634 (-288 (-953 |#1|)))) (-634 |#4|)) 137 (|has| |#3| (-609 (-1161))))) (-4409 (($ $ $) 87) (($ $ |#4|) 85)) (-1598 (((-121) $) 143)) (-3380 (($ $) 105)) (-1893 (((-1143) $) NIL)) (-1864 (($ $ $) 79) (($ (-634 $)) 81)) (-4155 (((-121) |#4| $) 104)) (-2217 (((-121) $ $) 68)) (-4314 (($ (-634 |#4|)) 86)) (-4025 (((-1108) $) NIL)) (-4483 (($ (-634 |#4|)) 141)) (-2142 (((-121) $) 142)) (-1506 (($ $) 70)) (-4057 (((-634 |#4|) $) 55)) (-3783 (((-2 (|:| |mval| (-679 |#1|)) (|:| |invmval| (-679 |#1|)) (|:| |genIdeal| $)) $ (-634 |#3|)) NIL)) (-3241 (((-121) |#4| $) 73)) (-3108 (((-568) $ (-634 |#3|)) 106) (((-568) $) 107)) (-2747 (((-850) $) 140) (($ (-634 |#4|)) 82)) (-1488 (($ (-2 (|:| |mval| (-679 |#1|)) (|:| |invmval| (-679 |#1|)) (|:| |genIdeal| $))) NIL)) (-1719 (((-121) $ $) 69)) (-1769 (($ $ $) 89)) (** (($ $ (-763)) 92)) (* (($ $ $) 91))) 
-(((-514 |#1| |#2| |#3| |#4|) (-13 (-1090) (-10 -7 (-15 * ($ $ $)) (-15 ** ($ $ (-763))) (-15 -1769 ($ $ $)) (-15 -1598 ((-121) $)) (-15 -1819 ((-121) $)) (-15 -3241 ((-121) |#4| $)) (-15 -2217 ((-121) $ $)) (-15 -4155 ((-121) |#4| $)) (-15 -4022 ((-121) $ (-634 |#3|))) (-15 -4022 ((-121) $)) (-15 -1864 ($ $ $)) (-15 -1864 ($ (-634 $))) (-15 -4409 ($ $ $)) (-15 -4409 ($ $ |#4|)) (-15 -1506 ($ $)) (-15 -3783 ((-2 (|:| |mval| (-679 |#1|)) (|:| |invmval| (-679 |#1|)) (|:| |genIdeal| $)) $ (-634 |#3|))) (-15 -1488 ($ (-2 (|:| |mval| (-679 |#1|)) (|:| |invmval| (-679 |#1|)) (|:| |genIdeal| $)))) (-15 -3108 ((-568) $ (-634 |#3|))) (-15 -3108 ((-568) $)) (-15 -3380 ($ $)) (-15 -4314 ($ (-634 |#4|))) (-15 -4483 ($ (-634 |#4|))) (-15 -2142 ((-121) $)) (-15 -4057 ((-634 |#4|) $)) (-15 -2747 ($ (-634 |#4|))) (-15 -1772 ($ $ |#4|)) (-15 -1772 ($ $ |#4| (-634 |#3|))) (IF (|has| |#3| (-609 (-1161))) (-15 -2846 ((-1150 (-634 (-953 |#1|)) (-634 (-288 (-953 |#1|)))) (-634 |#4|))) |noBranch|))) (-365) (-788) (-842) (-950 |#1| |#2| |#3|)) (T -514)) 
-((* (*1 *1 *1 *1) (-12 (-4 *2 (-365)) (-4 *3 (-788)) (-4 *4 (-842)) (-5 *1 (-514 *2 *3 *4 *5)) (-4 *5 (-950 *2 *3 *4)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-514 *3 *4 *5 *6)) (-4 *6 (-950 *3 *4 *5)))) (-1769 (*1 *1 *1 *1) (-12 (-4 *2 (-365)) (-4 *3 (-788)) (-4 *4 (-842)) (-5 *1 (-514 *2 *3 *4 *5)) (-4 *5 (-950 *2 *3 *4)))) (-1598 (*1 *2 *1) (-12 (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121)) (-5 *1 (-514 *3 *4 *5 *6)) (-4 *6 (-950 *3 *4 *5)))) (-1819 (*1 *2 *1) (-12 (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121)) (-5 *1 (-514 *3 *4 *5 *6)) (-4 *6 (-950 *3 *4 *5)))) (-3241 (*1 *2 *3 *1) (-12 (-4 *4 (-365)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-514 *4 *5 *6 *3)) (-4 *3 (-950 *4 *5 *6)))) (-2217 (*1 *2 *1 *1) (-12 (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121)) (-5 *1 (-514 *3 *4 *5 *6)) (-4 *6 (-950 *3 *4 *5)))) (-4155 (*1 *2 *3 *1) (-12 (-4 *4 (-365)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-514 *4 *5 *6 *3)) (-4 *3 (-950 *4 *5 *6)))) (-4022 (*1 *2 *1 *3) (-12 (-5 *3 (-634 *6)) (-4 *6 (-842)) (-4 *4 (-365)) (-4 *5 (-788)) (-5 *2 (-121)) (-5 *1 (-514 *4 *5 *6 *7)) (-4 *7 (-950 *4 *5 *6)))) (-4022 (*1 *2 *1) (-12 (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121)) (-5 *1 (-514 *3 *4 *5 *6)) (-4 *6 (-950 *3 *4 *5)))) (-1864 (*1 *1 *1 *1) (-12 (-4 *2 (-365)) (-4 *3 (-788)) (-4 *4 (-842)) (-5 *1 (-514 *2 *3 *4 *5)) (-4 *5 (-950 *2 *3 *4)))) (-1864 (*1 *1 *2) (-12 (-5 *2 (-634 (-514 *3 *4 *5 *6))) (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-514 *3 *4 *5 *6)) (-4 *6 (-950 *3 *4 *5)))) (-4409 (*1 *1 *1 *1) (-12 (-4 *2 (-365)) (-4 *3 (-788)) (-4 *4 (-842)) (-5 *1 (-514 *2 *3 *4 *5)) (-4 *5 (-950 *2 *3 *4)))) (-4409 (*1 *1 *1 *2) (-12 (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-514 *3 *4 *5 *2)) (-4 *2 (-950 *3 *4 *5)))) (-1506 (*1 *1 *1) (-12 (-4 *2 (-365)) (-4 *3 (-788)) (-4 *4 (-842)) (-5 *1 (-514 *2 *3 *4 *5)) (-4 *5 (-950 *2 *3 *4)))) (-3783 (*1 *2 *1 *3) (-12 (-5 *3 (-634 *6)) (-4 *6 (-842)) (-4 *4 (-365)) (-4 *5 (-788)) (-5 *2 (-2 (|:| |mval| (-679 *4)) (|:| |invmval| (-679 *4)) (|:| |genIdeal| (-514 *4 *5 *6 *7)))) (-5 *1 (-514 *4 *5 *6 *7)) (-4 *7 (-950 *4 *5 *6)))) (-1488 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |mval| (-679 *3)) (|:| |invmval| (-679 *3)) (|:| |genIdeal| (-514 *3 *4 *5 *6)))) (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-514 *3 *4 *5 *6)) (-4 *6 (-950 *3 *4 *5)))) (-3108 (*1 *2 *1 *3) (-12 (-5 *3 (-634 *6)) (-4 *6 (-842)) (-4 *4 (-365)) (-4 *5 (-788)) (-5 *2 (-568)) (-5 *1 (-514 *4 *5 *6 *7)) (-4 *7 (-950 *4 *5 *6)))) (-3108 (*1 *2 *1) (-12 (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-568)) (-5 *1 (-514 *3 *4 *5 *6)) (-4 *6 (-950 *3 *4 *5)))) (-3380 (*1 *1 *1) (-12 (-4 *2 (-365)) (-4 *3 (-788)) (-4 *4 (-842)) (-5 *1 (-514 *2 *3 *4 *5)) (-4 *5 (-950 *2 *3 *4)))) (-4314 (*1 *1 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-950 *3 *4 *5)) (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-514 *3 *4 *5 *6)))) (-4483 (*1 *1 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-950 *3 *4 *5)) (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-514 *3 *4 *5 *6)))) (-2142 (*1 *2 *1) (-12 (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121)) (-5 *1 (-514 *3 *4 *5 *6)) (-4 *6 (-950 *3 *4 *5)))) (-4057 (*1 *2 *1) (-12 (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-634 *6)) (-5 *1 (-514 *3 *4 *5 *6)) (-4 *6 (-950 *3 *4 *5)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-950 *3 *4 *5)) (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-514 *3 *4 *5 *6)))) (-1772 (*1 *1 *1 *2) (-12 (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-514 *3 *4 *5 *2)) (-4 *2 (-950 *3 *4 *5)))) (-1772 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-634 *6)) (-4 *6 (-842)) (-4 *4 (-365)) (-4 *5 (-788)) (-5 *1 (-514 *4 *5 *6 *2)) (-4 *2 (-950 *4 *5 *6)))) (-2846 (*1 *2 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-950 *4 *5 *6)) (-4 *6 (-609 (-1161))) (-4 *4 (-365)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-1150 (-634 (-953 *4)) (-634 (-288 (-953 *4))))) (-5 *1 (-514 *4 *5 *6 *7))))) 
-(-13 (-1090) (-10 -7 (-15 * ($ $ $)) (-15 ** ($ $ (-763))) (-15 -1769 ($ $ $)) (-15 -1598 ((-121) $)) (-15 -1819 ((-121) $)) (-15 -3241 ((-121) |#4| $)) (-15 -2217 ((-121) $ $)) (-15 -4155 ((-121) |#4| $)) (-15 -4022 ((-121) $ (-634 |#3|))) (-15 -4022 ((-121) $)) (-15 -1864 ($ $ $)) (-15 -1864 ($ (-634 $))) (-15 -4409 ($ $ $)) (-15 -4409 ($ $ |#4|)) (-15 -1506 ($ $)) (-15 -3783 ((-2 (|:| |mval| (-679 |#1|)) (|:| |invmval| (-679 |#1|)) (|:| |genIdeal| $)) $ (-634 |#3|))) (-15 -1488 ($ (-2 (|:| |mval| (-679 |#1|)) (|:| |invmval| (-679 |#1|)) (|:| |genIdeal| $)))) (-15 -3108 ((-568) $ (-634 |#3|))) (-15 -3108 ((-568) $)) (-15 -3380 ($ $)) (-15 -4314 ($ (-634 |#4|))) (-15 -4483 ($ (-634 |#4|))) (-15 -2142 ((-121) $)) (-15 -4057 ((-634 |#4|) $)) (-15 -2747 ($ (-634 |#4|))) (-15 -1772 ($ $ |#4|)) (-15 -1772 ($ $ |#4| (-634 |#3|))) (IF (|has| |#3| (-609 (-1161))) (-15 -2846 ((-1150 (-634 (-953 |#1|)) (-634 (-288 (-953 |#1|)))) (-634 |#4|))) |noBranch|))) 
-((-3543 (((-121) (-514 (-409 (-568)) (-232 |#2| (-763)) (-852 |#1|) (-242 |#1| (-409 (-568))))) 144)) (-3918 (((-121) (-514 (-409 (-568)) (-232 |#2| (-763)) (-852 |#1|) (-242 |#1| (-409 (-568))))) 145)) (-1464 (((-514 (-409 (-568)) (-232 |#2| (-763)) (-852 |#1|) (-242 |#1| (-409 (-568)))) (-514 (-409 (-568)) (-232 |#2| (-763)) (-852 |#1|) (-242 |#1| (-409 (-568))))) 103)) (-2197 (((-121) (-514 (-409 (-568)) (-232 |#2| (-763)) (-852 |#1|) (-242 |#1| (-409 (-568))))) NIL)) (-1610 (((-634 (-514 (-409 (-568)) (-232 |#2| (-763)) (-852 |#1|) (-242 |#1| (-409 (-568))))) (-514 (-409 (-568)) (-232 |#2| (-763)) (-852 |#1|) (-242 |#1| (-409 (-568))))) 147)) (-1543 (((-514 (-409 (-568)) (-232 |#2| (-763)) (-852 |#1|) (-242 |#1| (-409 (-568)))) (-514 (-409 (-568)) (-232 |#2| (-763)) (-852 |#1|) (-242 |#1| (-409 (-568)))) (-634 (-852 |#1|))) 159))) 
-(((-515 |#1| |#2|) (-10 -7 (-15 -3543 ((-121) (-514 (-409 (-568)) (-232 |#2| (-763)) (-852 |#1|) (-242 |#1| (-409 (-568)))))) (-15 -3918 ((-121) (-514 (-409 (-568)) (-232 |#2| (-763)) (-852 |#1|) (-242 |#1| (-409 (-568)))))) (-15 -2197 ((-121) (-514 (-409 (-568)) (-232 |#2| (-763)) (-852 |#1|) (-242 |#1| (-409 (-568)))))) (-15 -1464 ((-514 (-409 (-568)) (-232 |#2| (-763)) (-852 |#1|) (-242 |#1| (-409 (-568)))) (-514 (-409 (-568)) (-232 |#2| (-763)) (-852 |#1|) (-242 |#1| (-409 (-568)))))) (-15 -1610 ((-634 (-514 (-409 (-568)) (-232 |#2| (-763)) (-852 |#1|) (-242 |#1| (-409 (-568))))) (-514 (-409 (-568)) (-232 |#2| (-763)) (-852 |#1|) (-242 |#1| (-409 (-568)))))) (-15 -1543 ((-514 (-409 (-568)) (-232 |#2| (-763)) (-852 |#1|) (-242 |#1| (-409 (-568)))) (-514 (-409 (-568)) (-232 |#2| (-763)) (-852 |#1|) (-242 |#1| (-409 (-568)))) (-634 (-852 |#1|))))) (-634 (-1161)) (-763)) (T -515)) 
-((-1543 (*1 *2 *2 *3) (-12 (-5 *2 (-514 (-409 (-568)) (-232 *5 (-763)) (-852 *4) (-242 *4 (-409 (-568))))) (-5 *3 (-634 (-852 *4))) (-14 *4 (-634 (-1161))) (-14 *5 (-763)) (-5 *1 (-515 *4 *5)))) (-1610 (*1 *2 *3) (-12 (-14 *4 (-634 (-1161))) (-14 *5 (-763)) (-5 *2 (-634 (-514 (-409 (-568)) (-232 *5 (-763)) (-852 *4) (-242 *4 (-409 (-568)))))) (-5 *1 (-515 *4 *5)) (-5 *3 (-514 (-409 (-568)) (-232 *5 (-763)) (-852 *4) (-242 *4 (-409 (-568))))))) (-1464 (*1 *2 *2) (-12 (-5 *2 (-514 (-409 (-568)) (-232 *4 (-763)) (-852 *3) (-242 *3 (-409 (-568))))) (-14 *3 (-634 (-1161))) (-14 *4 (-763)) (-5 *1 (-515 *3 *4)))) (-2197 (*1 *2 *3) (-12 (-5 *3 (-514 (-409 (-568)) (-232 *5 (-763)) (-852 *4) (-242 *4 (-409 (-568))))) (-14 *4 (-634 (-1161))) (-14 *5 (-763)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5)))) (-3918 (*1 *2 *3) (-12 (-5 *3 (-514 (-409 (-568)) (-232 *5 (-763)) (-852 *4) (-242 *4 (-409 (-568))))) (-14 *4 (-634 (-1161))) (-14 *5 (-763)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5)))) (-3543 (*1 *2 *3) (-12 (-5 *3 (-514 (-409 (-568)) (-232 *5 (-763)) (-852 *4) (-242 *4 (-409 (-568))))) (-14 *4 (-634 (-1161))) (-14 *5 (-763)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5))))) 
-(-10 -7 (-15 -3543 ((-121) (-514 (-409 (-568)) (-232 |#2| (-763)) (-852 |#1|) (-242 |#1| (-409 (-568)))))) (-15 -3918 ((-121) (-514 (-409 (-568)) (-232 |#2| (-763)) (-852 |#1|) (-242 |#1| (-409 (-568)))))) (-15 -2197 ((-121) (-514 (-409 (-568)) (-232 |#2| (-763)) (-852 |#1|) (-242 |#1| (-409 (-568)))))) (-15 -1464 ((-514 (-409 (-568)) (-232 |#2| (-763)) (-852 |#1|) (-242 |#1| (-409 (-568)))) (-514 (-409 (-568)) (-232 |#2| (-763)) (-852 |#1|) (-242 |#1| (-409 (-568)))))) (-15 -1610 ((-634 (-514 (-409 (-568)) (-232 |#2| (-763)) (-852 |#1|) (-242 |#1| (-409 (-568))))) (-514 (-409 (-568)) (-232 |#2| (-763)) (-852 |#1|) (-242 |#1| (-409 (-568)))))) (-15 -1543 ((-514 (-409 (-568)) (-232 |#2| (-763)) (-852 |#1|) (-242 |#1| (-409 (-568)))) (-514 (-409 (-568)) (-232 |#2| (-763)) (-852 |#1|) (-242 |#1| (-409 (-568)))) (-634 (-852 |#1|))))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-2116 (($ $) NIL)) (-2049 (($ |#1| |#2|) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-3369 ((|#2| $) NIL)) (-2104 ((|#1| $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-3058 (($) 12 T CONST)) (-1719 (((-121) $ $) NIL)) (-1775 (($ $) 11) (($ $ $) 23)) (-1769 (($ $ $) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 18))) 
-(((-516 |#1| |#2|) (-13 (-21) (-518 |#1| |#2|)) (-21) (-842)) (T -516)) 
-NIL 
-(-13 (-21) (-518 |#1| |#2|)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 12)) (-4490 (($) NIL T CONST)) (-2116 (($ $) 26)) (-2049 (($ |#1| |#2|) 23)) (-2797 (($ (-1 |#1| |#1|) $) 25)) (-3369 ((|#2| $) NIL)) (-2104 ((|#1| $) 27)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-3058 (($) 10 T CONST)) (-1719 (((-121) $ $) NIL)) (-1769 (($ $ $) 17)) (* (($ (-917) $) NIL) (($ (-763) $) 22))) 
-(((-517 |#1| |#2|) (-13 (-23) (-518 |#1| |#2|)) (-23) (-842)) (T -517)) 
-NIL 
-(-13 (-23) (-518 |#1| |#2|)) 
-((-2449 (((-121) $ $) 7)) (-2116 (($ $) 12)) (-2049 (($ |#1| |#2|) 15)) (-2797 (($ (-1 |#1| |#1|) $) 16)) (-3369 ((|#2| $) 13)) (-2104 ((|#1| $) 14)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-1719 (((-121) $ $) 6))) 
-(((-518 |#1| |#2|) (-1275) (-1090) (-842)) (T -518)) 
-((-2797 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-518 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-842)))) (-2049 (*1 *1 *2 *3) (-12 (-4 *1 (-518 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-842)))) (-2104 (*1 *2 *1) (-12 (-4 *1 (-518 *2 *3)) (-4 *3 (-842)) (-4 *2 (-1090)))) (-3369 (*1 *2 *1) (-12 (-4 *1 (-518 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-842)))) (-2116 (*1 *1 *1) (-12 (-4 *1 (-518 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-842))))) 
-(-13 (-1090) (-10 -8 (-15 -2797 ($ (-1 |t#1| |t#1|) $)) (-15 -2049 ($ |t#1| |t#2|)) (-15 -2104 (|t#1| $)) (-15 -3369 (|t#2| $)) (-15 -2116 ($ $)))) 
-(((-105) . T) ((-608 (-850)) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-4490 (($) NIL T CONST)) (-2116 (($ $) NIL)) (-2049 (($ |#1| |#2|) NIL)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-3369 ((|#2| $) NIL)) (-2104 ((|#1| $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-3058 (($) NIL T CONST)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 13)) (-1769 (($ $ $) NIL)) (* (($ (-763) $) NIL) (($ (-917) $) NIL))) 
-(((-519 |#1| |#2|) (-13 (-787) (-518 |#1| |#2|)) (-787) (-842)) (T -519)) 
-NIL 
-(-13 (-787) (-518 |#1| |#2|)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2409 (($ $ $) 16)) (-2689 (((-3 $ "failed") $ $) 13)) (-4490 (($) NIL T CONST)) (-2116 (($ $) NIL)) (-2049 (($ |#1| |#2|) NIL)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-3369 ((|#2| $) NIL)) (-2104 ((|#1| $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL)) (-3058 (($) NIL T CONST)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) NIL)) (-1769 (($ $ $) NIL)) (* (($ (-763) $) NIL) (($ (-917) $) NIL))) 
-(((-520 |#1| |#2|) (-13 (-788) (-518 |#1| |#2|)) (-788) (-842)) (T -520)) 
-NIL 
-(-13 (-788) (-518 |#1| |#2|)) 
-((-2449 (((-121) $ $) NIL)) (-2116 (($ $) 24)) (-2049 (($ |#1| |#2|) 21)) (-2797 (($ (-1 |#1| |#1|) $) 23)) (-3369 ((|#2| $) 26)) (-2104 ((|#1| $) 25)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) 20)) (-1719 (((-121) $ $) 13))) 
-(((-521 |#1| |#2|) (-518 |#1| |#2|) (-1090) (-842)) (T -521)) 
-NIL 
-(-518 |#1| |#2|) 
-((-1339 (($ $ (-634 |#2|) (-634 |#3|)) NIL) (($ $ |#2| |#3|) 12))) 
-(((-522 |#1| |#2| |#3|) (-10 -8 (-15 -1339 (|#1| |#1| |#2| |#3|)) (-15 -1339 (|#1| |#1| (-634 |#2|) (-634 |#3|)))) (-523 |#2| |#3|) (-1090) (-1195)) (T -522)) 
-NIL 
-(-10 -8 (-15 -1339 (|#1| |#1| |#2| |#3|)) (-15 -1339 (|#1| |#1| (-634 |#2|) (-634 |#3|)))) 
-((-1339 (($ $ (-634 |#1|) (-634 |#2|)) 7) (($ $ |#1| |#2|) 6))) 
-(((-523 |#1| |#2|) (-1275) (-1090) (-1195)) (T -523)) 
-((-1339 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 *4)) (-5 *3 (-634 *5)) (-4 *1 (-523 *4 *5)) (-4 *4 (-1090)) (-4 *5 (-1195)))) (-1339 (*1 *1 *1 *2 *3) (-12 (-4 *1 (-523 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-1195))))) 
-(-13 (-10 -8 (-15 -1339 ($ $ |t#1| |t#2|)) (-15 -1339 ($ $ (-634 |t#1|) (-634 |t#2|))))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 16)) (-2013 (((-634 (-2 (|:| |gen| |#1|) (|:| -1894 |#2|))) $) 18)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3986 (((-763) $) NIL)) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#1| "failed") $) NIL)) (-2857 ((|#1| $) NIL)) (-4167 ((|#1| $ (-568)) 23)) (-2313 ((|#2| $ (-568)) 21)) (-3177 (($ (-1 |#1| |#1|) $) 46)) (-2847 (($ (-1 |#2| |#2|) $) 43)) (-1893 (((-1143) $) NIL)) (-3933 (($ $ $) 53 (|has| |#2| (-787)))) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) 42) (($ |#1|) NIL)) (-2079 ((|#2| |#1| $) 49)) (-3058 (($) 11 T CONST)) (-1719 (((-121) $ $) 29)) (-1769 (($ $ $) 27) (($ |#1| $) 25)) (* (($ (-917) $) NIL) (($ (-763) $) 36) (($ |#2| |#1|) 31))) 
-(((-524 |#1| |#2| |#3|) (-320 |#1| |#2|) (-1090) (-137) |#2|) (T -524)) 
-NIL 
-(-320 |#1| |#2|) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-2481 (((-1249) $ (-568) (-568)) NIL (|has| $ (-6 -4522)))) (-1324 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-842)))) (-2109 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4522))) (($ $) NIL (-12 (|has| $ (-6 -4522)) (|has| |#1| (-842))))) (-3647 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-842)))) (-1667 (((-121) $ (-763)) NIL)) (-4161 (((-121) (-121)) 24)) (-2438 ((|#1| $ (-568) |#1|) 27 (|has| $ (-6 -4522))) ((|#1| $ (-1210 (-568)) |#1|) NIL (|has| $ (-6 -4522)))) (-3963 (($ (-1 (-121) |#1|) $) 51)) (-2803 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-4490 (($) NIL T CONST)) (-4452 (($ $) NIL (|has| $ (-6 -4522)))) (-3945 (($ $) NIL)) (-1377 (($ $) 54 (|has| |#1| (-1090)))) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1568 (($ |#1| $) NIL (|has| |#1| (-1090))) (($ (-1 (-121) |#1|) $) 43)) (-4330 (($ |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4521)))) (-1292 ((|#1| $ (-568) |#1|) NIL (|has| $ (-6 -4522)))) (-2069 ((|#1| $ (-568)) NIL)) (-2766 (((-568) (-1 (-121) |#1|) $) NIL) (((-568) |#1| $) NIL (|has| |#1| (-1090))) (((-568) |#1| $ (-568)) NIL (|has| |#1| (-1090)))) (-3400 (($ $ (-568)) 13)) (-2906 (((-763) $) 11)) (-3317 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-1851 (($ (-763) |#1|) 22)) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-568) $) 20 (|has| (-568) (-842)))) (-1732 (($ $ $) NIL (|has| |#1| (-842)))) (-4496 (($ $ $) NIL (|has| |#1| (-842))) (($ (-1 (-121) |#1| |#1|) $ $) 34)) (-3645 (($ (-1 (-121) |#1| |#1|) $ $) 35) (($ $ $) NIL (|has| |#1| (-842)))) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3631 (((-568) $) 19 (|has| (-568) (-842)))) (-2047 (($ $ $) NIL (|has| |#1| (-842)))) (-2253 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-1708 (($ $ $ (-568)) 50) (($ |#1| $ (-568)) 36)) (-4124 (($ |#1| $ (-568)) NIL) (($ $ $ (-568)) NIL)) (-3948 (((-634 (-568)) $) NIL)) (-2916 (((-121) (-568) $) NIL)) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-1697 (($ (-634 |#1|)) 28)) (-3877 ((|#1| $) NIL (|has| (-568) (-842)))) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2490 (($ $ |#1|) 18 (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 39)) (-1801 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1480 (((-634 |#1|) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) 14)) (-2781 ((|#1| $ (-568) |#1|) NIL) ((|#1| $ (-568)) 32) (($ $ (-1210 (-568))) NIL)) (-4031 (($ $ (-1210 (-568))) 49) (($ $ (-568)) 44)) (-2828 (($ $ (-568)) NIL) (($ $ (-1210 (-568))) NIL)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3306 (($ $ $ (-568)) 40 (|has| $ (-6 -4522)))) (-3865 (($ $) 31)) (-4280 (((-541) $) NIL (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) NIL)) (-1876 (($ $ $) 41) (($ $ |#1|) 38)) (-2770 (($ $ |#1|) NIL) (($ |#1| $) 37) (($ $ $) NIL) (($ (-634 $)) NIL)) (-2747 (((-850) $) NIL (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1753 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1719 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1747 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1699 (((-763) $) 15 (|has| $ (-6 -4521))))) 
-(((-525 |#1| |#2|) (-13 (-19 |#1|) (-277 |#1|) (-10 -8 (-15 -1697 ($ (-634 |#1|))) (-15 -2906 ((-763) $)) (-15 -3400 ($ $ (-568))) (-15 -4161 ((-121) (-121))))) (-1195) (-568)) (T -525)) 
-((-1697 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1195)) (-5 *1 (-525 *3 *4)) (-14 *4 (-568)))) (-2906 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-525 *3 *4)) (-4 *3 (-1195)) (-14 *4 (-568)))) (-3400 (*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-525 *3 *4)) (-4 *3 (-1195)) (-14 *4 *2))) (-4161 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-525 *3 *4)) (-4 *3 (-1195)) (-14 *4 (-568))))) 
-(-13 (-19 |#1|) (-277 |#1|) (-10 -8 (-15 -1697 ($ (-634 |#1|))) (-15 -2906 ((-763) $)) (-15 -3400 ($ $ (-568))) (-15 -4161 ((-121) (-121))))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2134 (((-121) $) NIL)) (-3800 (((-763)) NIL)) (-1934 (((-581 |#1|) $) NIL) (($ $ (-917)) NIL (|has| (-581 |#1|) (-370)))) (-1856 (((-1169 (-917) (-763)) (-568)) NIL (|has| (-581 |#1|) (-370)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2589 (((-121) $ $) NIL)) (-3986 (((-763)) NIL (|has| (-581 |#1|) (-370)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-581 |#1|) "failed") $) NIL)) (-2857 (((-581 |#1|) $) NIL)) (-3899 (($ (-1244 (-581 |#1|))) NIL)) (-1368 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-581 |#1|) (-370)))) (-2403 (($ $ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1733 (($) NIL (|has| (-581 |#1|) (-370)))) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-4188 (($) NIL (|has| (-581 |#1|) (-370)))) (-1748 (((-121) $) NIL (|has| (-581 |#1|) (-370)))) (-1887 (($ $ (-763)) NIL (-2199 (|has| (-581 |#1|) (-148)) (|has| (-581 |#1|) (-370)))) (($ $) NIL (-2199 (|has| (-581 |#1|) (-148)) (|has| (-581 |#1|) (-370))))) (-2197 (((-121) $) NIL)) (-1844 (((-917) $) NIL (|has| (-581 |#1|) (-370))) (((-828 (-917)) $) NIL (-2199 (|has| (-581 |#1|) (-148)) (|has| (-581 |#1|) (-370))))) (-1598 (((-121) $) NIL)) (-2769 (($) NIL (|has| (-581 |#1|) (-370)))) (-2151 (((-121) $) NIL (|has| (-581 |#1|) (-370)))) (-4417 (((-581 |#1|) $) NIL) (($ $ (-917)) NIL (|has| (-581 |#1|) (-370)))) (-2214 (((-3 $ "failed") $) NIL (|has| (-581 |#1|) (-370)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1497 (((-1157 (-581 |#1|)) $) NIL) (((-1157 $) $ (-917)) NIL (|has| (-581 |#1|) (-370)))) (-2291 (((-917) $) NIL (|has| (-581 |#1|) (-370)))) (-1447 (((-1157 (-581 |#1|)) $) NIL (|has| (-581 |#1|) (-370)))) (-2193 (((-1157 (-581 |#1|)) $) NIL (|has| (-581 |#1|) (-370))) (((-3 (-1157 (-581 |#1|)) "failed") $ $) NIL (|has| (-581 |#1|) (-370)))) (-3257 (($ $ (-1157 (-581 |#1|))) NIL (|has| (-581 |#1|) (-370)))) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL)) (-4436 (($) NIL (|has| (-581 |#1|) (-370)) CONST)) (-4357 (($ (-917)) NIL (|has| (-581 |#1|) (-370)))) (-4051 (((-121) $) NIL)) (-4025 (((-1108) $) NIL)) (-2707 (($) NIL (|has| (-581 |#1|) (-370)))) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-2172 (((-634 (-2 (|:| -3850 (-568)) (|:| -3483 (-568))))) NIL (|has| (-581 |#1|) (-370)))) (-3850 (((-420 $) $) NIL)) (-4321 (((-828 (-917))) NIL) (((-917)) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-2721 (((-763) $) NIL (|has| (-581 |#1|) (-370))) (((-3 (-763) "failed") $ $) NIL (-2199 (|has| (-581 |#1|) (-148)) (|has| (-581 |#1|) (-370))))) (-3108 (((-139)) NIL)) (-4191 (($ $) NIL (|has| (-581 |#1|) (-370))) (($ $ (-763)) NIL (|has| (-581 |#1|) (-370)))) (-1836 (((-828 (-917)) $) NIL) (((-917) $) NIL)) (-1492 (((-1157 (-581 |#1|))) NIL)) (-2330 (($) NIL (|has| (-581 |#1|) (-370)))) (-1398 (($) NIL (|has| (-581 |#1|) (-370)))) (-1656 (((-1244 (-581 |#1|)) $) NIL) (((-679 (-581 |#1|)) (-1244 $)) NIL)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (|has| (-581 |#1|) (-370)))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ $) NIL) (($ (-409 (-568))) NIL) (($ (-581 |#1|)) NIL)) (-3385 (($ $) NIL (|has| (-581 |#1|) (-370))) (((-3 $ "failed") $) NIL (-2199 (|has| (-581 |#1|) (-148)) (|has| (-581 |#1|) (-370))))) (-3425 (((-763)) NIL)) (-2588 (((-1244 $)) NIL) (((-1244 $) (-917)) NIL)) (-2273 (((-121) $ $) NIL)) (-1413 (((-121) $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3412 (($ $) NIL (|has| (-581 |#1|) (-370))) (($ $ (-763)) NIL (|has| (-581 |#1|) (-370)))) (-3192 (($ $) NIL (|has| (-581 |#1|) (-370))) (($ $ (-763)) NIL (|has| (-581 |#1|) (-370)))) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ $) NIL) (($ $ (-581 |#1|)) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL) (($ $ (-581 |#1|)) NIL) (($ (-581 |#1|) $) NIL))) 
-(((-526 |#1| |#2|) (-327 (-581 |#1|)) (-917) (-917)) (T -526)) 
-NIL 
-(-327 (-581 |#1|)) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1667 (((-121) $ (-763)) NIL)) (-2438 ((|#1| $ (-568) (-568) |#1|) 33)) (-3874 (($ $ (-568) |#4|) NIL)) (-2525 (($ $ (-568) |#5|) NIL)) (-4490 (($) NIL T CONST)) (-2228 ((|#4| $ (-568)) NIL)) (-1292 ((|#1| $ (-568) (-568) |#1|) 32)) (-2069 ((|#1| $ (-568) (-568)) 30)) (-3317 (((-634 |#1|) $) NIL)) (-2241 (((-763) $) 26)) (-1851 (($ (-763) (-763) |#1|) 23)) (-1901 (((-763) $) 28)) (-3791 (((-121) $ (-763)) NIL)) (-3139 (((-568) $) 24)) (-1343 (((-568) $) 25)) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3405 (((-568) $) 27)) (-2801 (((-568) $) 29)) (-2253 (($ (-1 |#1| |#1|) $) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) 36 (|has| |#1| (-1090)))) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-2490 (($ $ |#1|) NIL)) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) 14)) (-1990 (($) 15)) (-2781 ((|#1| $ (-568) (-568)) 31) ((|#1| $ (-568) (-568) |#1|) NIL)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3865 (($ $) NIL)) (-2522 ((|#5| $ (-568)) NIL)) (-2747 (((-850) $) NIL (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-527 |#1| |#2| |#3| |#4| |#5|) (-62 |#1| |#4| |#5|) (-1195) (-568) (-568) (-375 |#1|) (-375 |#1|)) (T -527)) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#1| $ (-569) (-569) |#1|) NIL)) (-2451 (($ $ (-569) (-506 |#1| |#3|)) NIL)) (-3443 (($ $ (-569) (-506 |#1| |#2|)) NIL)) (-2820 (($) NIL T CONST)) (-1765 (((-506 |#1| |#3|) $ (-569)) NIL)) (-2726 ((|#1| $ (-569) (-569) |#1|) NIL)) (-1618 ((|#1| $ (-569) (-569)) NIL)) (-3470 (((-635 |#1|) $) NIL)) (-1810 (((-764) $) NIL)) (-2659 (($ (-764) (-764) |#1|) NIL)) (-2806 (((-764) $) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3992 (((-569) $) NIL)) (-3127 (((-569) $) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1866 (((-569) $) NIL)) (-1581 (((-569) $) NIL)) (-1853 (($ (-1 |#1| |#1|) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-3174 (($ $ |#1|) NIL)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ (-569) (-569)) NIL) ((|#1| $ (-569) (-569) |#1|) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-3419 (((-506 |#1| |#2|) $ (-569)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-507 |#1| |#2| |#3|) (-62 |#1| (-506 |#1| |#3|) (-506 |#1| |#2|)) (-1197) (-569) (-569)) (T -507)) 
+NIL 
+(-62 |#1| (-506 |#1| |#3|) (-506 |#1| |#2|)) 
+((-2672 (((-635 (-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|)))) (-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))) (-764) (-764)) 27)) (-4120 (((-635 (-1159 |#1|)) |#1| (-764) (-764) (-764)) 34)) (-2462 (((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))) (-635 |#3|) (-635 (-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|)))) (-764)) 83))) 
+(((-508 |#1| |#2| |#3|) (-10 -7 (-15 -4120 ((-635 (-1159 |#1|)) |#1| (-764) (-764) (-764))) (-15 -2672 ((-635 (-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|)))) (-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))) (-764) (-764))) (-15 -2462 ((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))) (-635 |#3|) (-635 (-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|)))) (-764)))) (-351) (-1222 |#1|) (-1222 |#2|)) (T -508)) 
+((-2462 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 (-2 (|:| -3930 (-680 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-680 *7))))) (-5 *5 (-764)) (-4 *8 (-1222 *7)) (-4 *7 (-1222 *6)) (-4 *6 (-351)) (-5 *2 (-2 (|:| -3930 (-680 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-680 *7)))) (-5 *1 (-508 *6 *7 *8)))) (-2672 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-764)) (-4 *5 (-351)) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-2 (|:| -3930 (-680 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-680 *6))))) (-5 *1 (-508 *5 *6 *7)) (-5 *3 (-2 (|:| -3930 (-680 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-680 *6)))) (-4 *7 (-1222 *6)))) (-4120 (*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-764)) (-4 *3 (-351)) (-4 *5 (-1222 *3)) (-5 *2 (-635 (-1159 *3))) (-5 *1 (-508 *3 *5 *6)) (-4 *6 (-1222 *5))))) 
+(-10 -7 (-15 -4120 ((-635 (-1159 |#1|)) |#1| (-764) (-764) (-764))) (-15 -2672 ((-635 (-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|)))) (-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))) (-764) (-764))) (-15 -2462 ((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))) (-635 |#3|) (-635 (-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|)))) (-764)))) 
+((-3438 (((-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|))) (-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|))) (-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|)))) 60)) (-4017 ((|#1| (-680 |#1|) |#1| (-764)) 25)) (-4509 (((-764) (-764) (-764)) 30)) (-3139 (((-680 |#1|) (-680 |#1|) (-680 |#1|)) 42)) (-2143 (((-680 |#1|) (-680 |#1|) (-680 |#1|) |#1|) 50) (((-680 |#1|) (-680 |#1|) (-680 |#1|)) 47)) (-3422 ((|#1| (-680 |#1|) (-680 |#1|) |#1| (-569)) 29)) (-4397 ((|#1| (-680 |#1|)) 18))) 
+(((-509 |#1| |#2| |#3|) (-10 -7 (-15 -4397 (|#1| (-680 |#1|))) (-15 -4017 (|#1| (-680 |#1|) |#1| (-764))) (-15 -3422 (|#1| (-680 |#1|) (-680 |#1|) |#1| (-569))) (-15 -4509 ((-764) (-764) (-764))) (-15 -2143 ((-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -2143 ((-680 |#1|) (-680 |#1|) (-680 |#1|) |#1|)) (-15 -3139 ((-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -3438 ((-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|))) (-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|))) (-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|)))))) (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $)))) (-1222 |#1|) (-412 |#1| |#2|)) (T -509)) 
+((-3438 (*1 *2 *2 *2) (-12 (-5 *2 (-2 (|:| -3930 (-680 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-680 *3)))) (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) (-3139 (*1 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) (-2143 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-680 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) (-2143 (*1 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) (-4509 (*1 *2 *2 *2) (-12 (-5 *2 (-764)) (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) (-3422 (*1 *2 *3 *3 *2 *4) (-12 (-5 *3 (-680 *2)) (-5 *4 (-569)) (-4 *2 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *5 (-1222 *2)) (-5 *1 (-509 *2 *5 *6)) (-4 *6 (-412 *2 *5)))) (-4017 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-680 *2)) (-5 *4 (-764)) (-4 *2 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *5 (-1222 *2)) (-5 *1 (-509 *2 *5 *6)) (-4 *6 (-412 *2 *5)))) (-4397 (*1 *2 *3) (-12 (-5 *3 (-680 *2)) (-4 *4 (-1222 *2)) (-4 *2 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-5 *1 (-509 *2 *4 *5)) (-4 *5 (-412 *2 *4))))) 
+(-10 -7 (-15 -4397 (|#1| (-680 |#1|))) (-15 -4017 (|#1| (-680 |#1|) |#1| (-764))) (-15 -3422 (|#1| (-680 |#1|) (-680 |#1|) |#1| (-569))) (-15 -4509 ((-764) (-764) (-764))) (-15 -2143 ((-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -2143 ((-680 |#1|) (-680 |#1|) (-680 |#1|) |#1|)) (-15 -3139 ((-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -3438 ((-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|))) (-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|))) (-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|)))))) 
+((-2568 (((-121) $ $) NIL)) (-1679 (($ $) NIL)) (-2283 (($ $ $) 35)) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) $) NIL (|has| (-121) (-843))) (((-121) (-1 (-121) (-121) (-121)) $) NIL)) (-3076 (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| (-121) (-843)))) (($ (-1 (-121) (-121) (-121)) $) NIL (|has| $ (-6 -4536)))) (-3113 (($ $) NIL (|has| (-121) (-843))) (($ (-1 (-121) (-121) (-121)) $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-4469 (((-121) $ (-1213 (-569)) (-121)) NIL (|has| $ (-6 -4536))) (((-121) $ (-569) (-121)) 36 (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-121) (-1091))))) (-4347 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4535))) (($ (-121) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-121) (-1091))))) (-1774 (((-121) (-1 (-121) (-121) (-121)) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-121) (-121)) $ (-121)) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-121) (-121)) $ (-121) (-121)) NIL (-12 (|has| $ (-6 -4535)) (|has| (-121) (-1091))))) (-2726 (((-121) $ (-569) (-121)) NIL (|has| $ (-6 -4536)))) (-1618 (((-121) $ (-569)) NIL)) (-3727 (((-569) (-121) $ (-569)) NIL (|has| (-121) (-1091))) (((-569) (-121) $) NIL (|has| (-121) (-1091))) (((-569) (-1 (-121) (-121)) $) NIL)) (-3470 (((-635 (-121)) $) NIL (|has| $ (-6 -4535)))) (-3447 (($ $ $) 33)) (-3864 (($ $) NIL)) (-3819 (($ $ $) NIL)) (-2659 (($ (-764) (-121)) 23)) (-4481 (($ $ $) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) 8 (|has| (-569) (-843)))) (-3291 (($ $ $) NIL)) (-3288 (($ $ $) NIL (|has| (-121) (-843))) (($ (-1 (-121) (-121) (-121)) $ $) NIL)) (-4259 (((-635 (-121)) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-121) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-121) (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL)) (-1853 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-121) (-121) (-121)) $ $) 30) (($ (-1 (-121) (-121)) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-3614 (($ $ $ (-569)) NIL) (($ (-121) $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL)) (-4353 (((-121) $) NIL (|has| (-569) (-843)))) (-2502 (((-3 (-121) "failed") (-1 (-121) (-121)) $) NIL)) (-3174 (($ $ (-121)) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-121)) (-635 (-121))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091)))) (($ $ (-121) (-121)) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091)))) (($ $ (-289 (-121))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091)))) (($ $ (-635 (-289 (-121)))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) (-121) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-121) (-1091))))) (-2691 (((-635 (-121)) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 24)) (-1534 (($ $ (-1213 (-569))) NIL) (((-121) $ (-569)) 18) (((-121) $ (-569) (-121)) NIL)) (-3010 (($ $ (-1213 (-569))) NIL) (($ $ (-569)) NIL)) (-2846 (((-764) (-121) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-121) (-1091)))) (((-764) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4535)))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) 25)) (-3817 (((-542) $) NIL (|has| (-121) (-610 (-542))))) (-2139 (($ (-635 (-121))) NIL)) (-2250 (($ (-635 $)) NIL) (($ $ $) NIL) (($ (-121) $) NIL) (($ $ (-121)) NIL)) (-2185 (((-851) $) 22)) (-2066 (((-121) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4535)))) (-2206 (($ $ $) 31)) (-2427 (($ $) NIL)) (-2547 (($ $ $) NIL)) (-1875 (($ $ $) 39)) (-1849 (($ $) 37)) (-3788 (($ $ $) 38)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 26)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 27)) (-2540 (($ $ $) NIL)) (-4168 (((-764) $) 10 (|has| $ (-6 -4535))))) 
+(((-510 |#1|) (-13 (-133) (-10 -8 (-15 -1849 ($ $)) (-15 -1875 ($ $ $)) (-15 -3788 ($ $ $)))) (-569)) (T -510)) 
+((-1849 (*1 *1 *1) (-12 (-5 *1 (-510 *2)) (-14 *2 (-569)))) (-1875 (*1 *1 *1 *1) (-12 (-5 *1 (-510 *2)) (-14 *2 (-569)))) (-3788 (*1 *1 *1 *1) (-12 (-5 *1 (-510 *2)) (-14 *2 (-569))))) 
+(-13 (-133) (-10 -8 (-15 -1849 ($ $)) (-15 -1875 ($ $ $)) (-15 -3788 ($ $ $)))) 
+((-3917 (((-3 |#2| "failed") (-1 (-3 |#1| "failed") |#4|) (-1159 |#4|)) 34)) (-2503 (((-1159 |#4|) (-1 |#4| |#1|) |#2|) 30) ((|#2| (-1 |#1| |#4|) (-1159 |#4|)) 21)) (-3265 (((-3 (-680 |#2|) "failed") (-1 (-3 |#1| "failed") |#4|) (-680 (-1159 |#4|))) 45)) (-4371 (((-1159 (-1159 |#4|)) (-1 |#4| |#1|) |#3|) 54))) 
+(((-511 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2503 (|#2| (-1 |#1| |#4|) (-1159 |#4|))) (-15 -2503 ((-1159 |#4|) (-1 |#4| |#1|) |#2|)) (-15 -3917 ((-3 |#2| "failed") (-1 (-3 |#1| "failed") |#4|) (-1159 |#4|))) (-15 -3265 ((-3 (-680 |#2|) "failed") (-1 (-3 |#1| "failed") |#4|) (-680 (-1159 |#4|)))) (-15 -4371 ((-1159 (-1159 |#4|)) (-1 |#4| |#1|) |#3|))) (-1048) (-1222 |#1|) (-1222 |#2|) (-1048)) (T -511)) 
+((-4371 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1048)) (-4 *7 (-1048)) (-4 *6 (-1222 *5)) (-5 *2 (-1159 (-1159 *7))) (-5 *1 (-511 *5 *6 *4 *7)) (-4 *4 (-1222 *6)))) (-3265 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *8)) (-5 *4 (-680 (-1159 *8))) (-4 *5 (-1048)) (-4 *8 (-1048)) (-4 *6 (-1222 *5)) (-5 *2 (-680 *6)) (-5 *1 (-511 *5 *6 *7 *8)) (-4 *7 (-1222 *6)))) (-3917 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *7)) (-5 *4 (-1159 *7)) (-4 *5 (-1048)) (-4 *7 (-1048)) (-4 *2 (-1222 *5)) (-5 *1 (-511 *5 *2 *6 *7)) (-4 *6 (-1222 *2)))) (-2503 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1048)) (-4 *7 (-1048)) (-4 *4 (-1222 *5)) (-5 *2 (-1159 *7)) (-5 *1 (-511 *5 *4 *6 *7)) (-4 *6 (-1222 *4)))) (-2503 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *7)) (-5 *4 (-1159 *7)) (-4 *5 (-1048)) (-4 *7 (-1048)) (-4 *2 (-1222 *5)) (-5 *1 (-511 *5 *2 *6 *7)) (-4 *6 (-1222 *2))))) 
+(-10 -7 (-15 -2503 (|#2| (-1 |#1| |#4|) (-1159 |#4|))) (-15 -2503 ((-1159 |#4|) (-1 |#4| |#1|) |#2|)) (-15 -3917 ((-3 |#2| "failed") (-1 (-3 |#1| "failed") |#4|) (-1159 |#4|))) (-15 -3265 ((-3 (-680 |#2|) "failed") (-1 (-3 |#1| "failed") |#4|) (-680 (-1159 |#4|)))) (-15 -4371 ((-1159 (-1159 |#4|)) (-1 |#4| |#1|) |#3|))) 
+((-2568 (((-121) $ $) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-3552 (((-1252) $) 18)) (-1534 (((-1145) $ (-1163)) 22)) (-3615 (((-1252) $) 14)) (-2185 (((-851) $) 20) (($ (-1145)) 19)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 8)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 7))) 
+(((-512) (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $)) (-15 -2185 ($ (-1145)))))) (T -512)) 
+((-1534 (*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1145)) (-5 *1 (-512)))) (-3615 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-512)))) (-3552 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-512)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-512))))) 
+(-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $)) (-15 -2185 ($ (-1145))))) 
+((-4422 (((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#4|) 19)) (-1733 ((|#1| |#4|) 10)) (-1839 ((|#3| |#4|) 17))) 
+(((-513 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1733 (|#1| |#4|)) (-15 -1839 (|#3| |#4|)) (-15 -4422 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#4|))) (-559) (-994 |#1|) (-376 |#1|) (-376 |#2|)) (T -513)) 
+((-4422 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-994 *4)) (-5 *2 (-2 (|:| |num| *6) (|:| |den| *4))) (-5 *1 (-513 *4 *5 *6 *3)) (-4 *6 (-376 *4)) (-4 *3 (-376 *5)))) (-1839 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-994 *4)) (-4 *2 (-376 *4)) (-5 *1 (-513 *4 *5 *2 *3)) (-4 *3 (-376 *5)))) (-1733 (*1 *2 *3) (-12 (-4 *4 (-994 *2)) (-4 *2 (-559)) (-5 *1 (-513 *2 *4 *5 *3)) (-4 *5 (-376 *2)) (-4 *3 (-376 *4))))) 
+(-10 -7 (-15 -1733 (|#1| |#4|)) (-15 -1839 (|#3| |#4|)) (-15 -4422 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#4|))) 
+((-2568 (((-121) $ $) NIL)) (-1569 (((-1163) $) NIL)) (-3974 (((-764) $) NIL)) (-1610 (((-1163) $ (-1163)) NIL)) (-3755 (((-764) $ (-764)) NIL)) (-3070 (((-967 |#1|) $ (-967 |#1|)) NIL)) (-2790 (((-764) $ (-764)) NIL)) (-1880 (((-33 |#1|) $ (-33 |#1|)) NIL)) (-3192 (((-635 (-775 |#1|)) $ (-635 (-775 |#1|))) NIL)) (-2526 (((-237 (-922 |#1|)) $ (-237 (-922 |#1|))) NIL)) (-1629 (((-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) $ (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|)) NIL)) (-2831 ((|#3| $ |#3|) NIL)) (-4209 (((-967 |#1|) $) NIL)) (-3237 (((-764) $) NIL)) (-2363 (((-33 |#1|) $) NIL)) (-2158 (((-635 (-775 |#1|)) $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2401 (((-121) (-121)) NIL) (((-121)) NIL)) (-3126 (((-851) $) NIL)) (-2395 (((-237 (-922 |#1|)) $) NIL)) (-2492 (((-918) $) NIL)) (-3450 (((-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) $) NIL)) (-2946 (($ (-967 |#1|) (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) (-33 |#1|) (-764) |#3| (-764) (-237 (-922 |#1|)) |#1| (-1163)) NIL) (($ (-967 |#1|) (-243 |#2| |#1|)) NIL)) (-2185 (((-851) $) NIL)) (-2559 ((|#3| $) NIL)) (-3147 ((|#1| $) NIL)) (-1668 (((-121) $ $) NIL))) 
+(((-514 |#1| |#2| |#3|) (-13 (-537 |#1| |#2| (-243 |#2| |#1|) (-233 (-4168 |#2|) (-764)) (-967 |#1|) (-775 |#1|) (-922 |#1|) (-237 (-922 |#1|)) |#3|) (-10 -8 (-15 -3126 ((-851) $)) (-15 -2401 ((-121) (-121))) (-15 -2401 ((-121))))) (-366) (-635 (-1163)) (-117)) (T -514)) 
+((-3126 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-514 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2401 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-514 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2401 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-514 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117))))) 
+(-13 (-537 |#1| |#2| (-243 |#2| |#1|) (-233 (-4168 |#2|) (-764)) (-967 |#1|) (-775 |#1|) (-922 |#1|) (-237 (-922 |#1|)) |#3|) (-10 -8 (-15 -3126 ((-851) $)) (-15 -2401 ((-121) (-121))) (-15 -2401 ((-121))))) 
+((-2568 (((-121) $ $) NIL)) (-4465 (((-121) $ (-635 |#3|)) 101) (((-121) $) 102)) (-3813 (((-121) $) 144)) (-3496 (($ $ |#4|) 93) (($ $ |#4| (-635 |#3|)) 97)) (-1738 (((-1152 (-635 (-954 |#1|)) (-635 (-289 (-954 |#1|)))) (-635 |#4|)) 137 (|has| |#3| (-610 (-1163))))) (-4268 (($ $ $) 87) (($ $ |#4|) 85)) (-1407 (((-121) $) 143)) (-3940 (($ $) 105)) (-2776 (((-1145) $) NIL)) (-2652 (($ $ $) 79) (($ (-635 $)) 81)) (-3041 (((-121) |#4| $) 104)) (-3861 (((-121) $ $) 68)) (-2537 (($ (-635 |#4|)) 86)) (-3360 (((-1109) $) NIL)) (-2784 (($ (-635 |#4|)) 141)) (-3297 (((-121) $) 142)) (-2815 (($ $) 70)) (-2727 (((-635 |#4|) $) 55)) (-1914 (((-2 (|:| |mval| (-680 |#1|)) (|:| |invmval| (-680 |#1|)) (|:| |genIdeal| $)) $ (-635 |#3|)) NIL)) (-4335 (((-121) |#4| $) 73)) (-2369 (((-569) $ (-635 |#3|)) 106) (((-569) $) 107)) (-2185 (((-851) $) 140) (($ (-635 |#4|)) 82)) (-2723 (($ (-2 (|:| |mval| (-680 |#1|)) (|:| |invmval| (-680 |#1|)) (|:| |genIdeal| $))) NIL)) (-1668 (((-121) $ $) 69)) (-1707 (($ $ $) 89)) (** (($ $ (-764)) 92)) (* (($ $ $) 91))) 
+(((-515 |#1| |#2| |#3| |#4|) (-13 (-1091) (-10 -7 (-15 * ($ $ $)) (-15 ** ($ $ (-764))) (-15 -1707 ($ $ $)) (-15 -1407 ((-121) $)) (-15 -3813 ((-121) $)) (-15 -4335 ((-121) |#4| $)) (-15 -3861 ((-121) $ $)) (-15 -3041 ((-121) |#4| $)) (-15 -4465 ((-121) $ (-635 |#3|))) (-15 -4465 ((-121) $)) (-15 -2652 ($ $ $)) (-15 -2652 ($ (-635 $))) (-15 -4268 ($ $ $)) (-15 -4268 ($ $ |#4|)) (-15 -2815 ($ $)) (-15 -1914 ((-2 (|:| |mval| (-680 |#1|)) (|:| |invmval| (-680 |#1|)) (|:| |genIdeal| $)) $ (-635 |#3|))) (-15 -2723 ($ (-2 (|:| |mval| (-680 |#1|)) (|:| |invmval| (-680 |#1|)) (|:| |genIdeal| $)))) (-15 -2369 ((-569) $ (-635 |#3|))) (-15 -2369 ((-569) $)) (-15 -3940 ($ $)) (-15 -2537 ($ (-635 |#4|))) (-15 -2784 ($ (-635 |#4|))) (-15 -3297 ((-121) $)) (-15 -2727 ((-635 |#4|) $)) (-15 -2185 ($ (-635 |#4|))) (-15 -3496 ($ $ |#4|)) (-15 -3496 ($ $ |#4| (-635 |#3|))) (IF (|has| |#3| (-610 (-1163))) (-15 -1738 ((-1152 (-635 (-954 |#1|)) (-635 (-289 (-954 |#1|)))) (-635 |#4|))) |noBranch|))) (-366) (-789) (-843) (-951 |#1| |#2| |#3|)) (T -515)) 
+((* (*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-789)) (-4 *4 (-843)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) (-1707 (*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-789)) (-4 *4 (-843)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4)))) (-1407 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) (-3813 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) (-4335 (*1 *2 *3 *1) (-12 (-4 *4 (-366)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5 *6 *3)) (-4 *3 (-951 *4 *5 *6)))) (-3861 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) (-3041 (*1 *2 *3 *1) (-12 (-4 *4 (-366)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5 *6 *3)) (-4 *3 (-951 *4 *5 *6)))) (-4465 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-843)) (-4 *4 (-366)) (-4 *5 (-789)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5 *6 *7)) (-4 *7 (-951 *4 *5 *6)))) (-4465 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) (-2652 (*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-789)) (-4 *4 (-843)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4)))) (-2652 (*1 *1 *2) (-12 (-5 *2 (-635 (-515 *3 *4 *5 *6))) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) (-4268 (*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-789)) (-4 *4 (-843)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4)))) (-4268 (*1 *1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *2)) (-4 *2 (-951 *3 *4 *5)))) (-2815 (*1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-789)) (-4 *4 (-843)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4)))) (-1914 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-843)) (-4 *4 (-366)) (-4 *5 (-789)) (-5 *2 (-2 (|:| |mval| (-680 *4)) (|:| |invmval| (-680 *4)) (|:| |genIdeal| (-515 *4 *5 *6 *7)))) (-5 *1 (-515 *4 *5 *6 *7)) (-4 *7 (-951 *4 *5 *6)))) (-2723 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |mval| (-680 *3)) (|:| |invmval| (-680 *3)) (|:| |genIdeal| (-515 *3 *4 *5 *6)))) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) (-2369 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-843)) (-4 *4 (-366)) (-4 *5 (-789)) (-5 *2 (-569)) (-5 *1 (-515 *4 *5 *6 *7)) (-4 *7 (-951 *4 *5 *6)))) (-2369 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-569)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) (-3940 (*1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-789)) (-4 *4 (-843)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4)))) (-2537 (*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *6)))) (-2784 (*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *6)))) (-3297 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) (-2727 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *6)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *6)))) (-3496 (*1 *1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *2)) (-4 *2 (-951 *3 *4 *5)))) (-3496 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-843)) (-4 *4 (-366)) (-4 *5 (-789)) (-5 *1 (-515 *4 *5 *6 *2)) (-4 *2 (-951 *4 *5 *6)))) (-1738 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-951 *4 *5 *6)) (-4 *6 (-610 (-1163))) (-4 *4 (-366)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-1152 (-635 (-954 *4)) (-635 (-289 (-954 *4))))) (-5 *1 (-515 *4 *5 *6 *7))))) 
+(-13 (-1091) (-10 -7 (-15 * ($ $ $)) (-15 ** ($ $ (-764))) (-15 -1707 ($ $ $)) (-15 -1407 ((-121) $)) (-15 -3813 ((-121) $)) (-15 -4335 ((-121) |#4| $)) (-15 -3861 ((-121) $ $)) (-15 -3041 ((-121) |#4| $)) (-15 -4465 ((-121) $ (-635 |#3|))) (-15 -4465 ((-121) $)) (-15 -2652 ($ $ $)) (-15 -2652 ($ (-635 $))) (-15 -4268 ($ $ $)) (-15 -4268 ($ $ |#4|)) (-15 -2815 ($ $)) (-15 -1914 ((-2 (|:| |mval| (-680 |#1|)) (|:| |invmval| (-680 |#1|)) (|:| |genIdeal| $)) $ (-635 |#3|))) (-15 -2723 ($ (-2 (|:| |mval| (-680 |#1|)) (|:| |invmval| (-680 |#1|)) (|:| |genIdeal| $)))) (-15 -2369 ((-569) $ (-635 |#3|))) (-15 -2369 ((-569) $)) (-15 -3940 ($ $)) (-15 -2537 ($ (-635 |#4|))) (-15 -2784 ($ (-635 |#4|))) (-15 -3297 ((-121) $)) (-15 -2727 ((-635 |#4|) $)) (-15 -2185 ($ (-635 |#4|))) (-15 -3496 ($ $ |#4|)) (-15 -3496 ($ $ |#4| (-635 |#3|))) (IF (|has| |#3| (-610 (-1163))) (-15 -1738 ((-1152 (-635 (-954 |#1|)) (-635 (-289 (-954 |#1|)))) (-635 |#4|))) |noBranch|))) 
+((-4068 (((-121) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569))))) 144)) (-4057 (((-121) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569))))) 145)) (-2611 (((-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569))))) 103)) (-3726 (((-121) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569))))) NIL)) (-1456 (((-635 (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569))))) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569))))) 147)) (-2980 (((-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))) (-635 (-853 |#1|))) 159))) 
+(((-516 |#1| |#2|) (-10 -7 (-15 -4068 ((-121) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -4057 ((-121) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -3726 ((-121) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -2611 ((-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -1456 ((-635 (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569))))) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -2980 ((-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))) (-635 (-853 |#1|))))) (-635 (-1163)) (-764)) (T -516)) 
+((-2980 (*1 *2 *2 *3) (-12 (-5 *2 (-515 (-410 (-569)) (-233 *5 (-764)) (-853 *4) (-243 *4 (-410 (-569))))) (-5 *3 (-635 (-853 *4))) (-14 *4 (-635 (-1163))) (-14 *5 (-764)) (-5 *1 (-516 *4 *5)))) (-1456 (*1 *2 *3) (-12 (-14 *4 (-635 (-1163))) (-14 *5 (-764)) (-5 *2 (-635 (-515 (-410 (-569)) (-233 *5 (-764)) (-853 *4) (-243 *4 (-410 (-569)))))) (-5 *1 (-516 *4 *5)) (-5 *3 (-515 (-410 (-569)) (-233 *5 (-764)) (-853 *4) (-243 *4 (-410 (-569))))))) (-2611 (*1 *2 *2) (-12 (-5 *2 (-515 (-410 (-569)) (-233 *4 (-764)) (-853 *3) (-243 *3 (-410 (-569))))) (-14 *3 (-635 (-1163))) (-14 *4 (-764)) (-5 *1 (-516 *3 *4)))) (-3726 (*1 *2 *3) (-12 (-5 *3 (-515 (-410 (-569)) (-233 *5 (-764)) (-853 *4) (-243 *4 (-410 (-569))))) (-14 *4 (-635 (-1163))) (-14 *5 (-764)) (-5 *2 (-121)) (-5 *1 (-516 *4 *5)))) (-4057 (*1 *2 *3) (-12 (-5 *3 (-515 (-410 (-569)) (-233 *5 (-764)) (-853 *4) (-243 *4 (-410 (-569))))) (-14 *4 (-635 (-1163))) (-14 *5 (-764)) (-5 *2 (-121)) (-5 *1 (-516 *4 *5)))) (-4068 (*1 *2 *3) (-12 (-5 *3 (-515 (-410 (-569)) (-233 *5 (-764)) (-853 *4) (-243 *4 (-410 (-569))))) (-14 *4 (-635 (-1163))) (-14 *5 (-764)) (-5 *2 (-121)) (-5 *1 (-516 *4 *5))))) 
+(-10 -7 (-15 -4068 ((-121) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -4057 ((-121) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -3726 ((-121) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -2611 ((-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -1456 ((-635 (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569))))) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -2980 ((-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))) (-635 (-853 |#1|))))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-4020 (($ $) NIL)) (-1763 (($ |#1| |#2|) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-3885 ((|#2| $) NIL)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-3369 (($) 12 T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) 11) (($ $ $) 23)) (-1707 (($ $ $) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 18))) 
+(((-517 |#1| |#2|) (-13 (-21) (-519 |#1| |#2|)) (-21) (-843)) (T -517)) 
+NIL 
+(-13 (-21) (-519 |#1| |#2|)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 12)) (-2820 (($) NIL T CONST)) (-4020 (($ $) 26)) (-1763 (($ |#1| |#2|) 23)) (-1544 (($ (-1 |#1| |#1|) $) 25)) (-3885 ((|#2| $) NIL)) (-4012 ((|#1| $) 27)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-3369 (($) 10 T CONST)) (-1668 (((-121) $ $) NIL)) (-1707 (($ $ $) 17)) (* (($ (-918) $) NIL) (($ (-764) $) 22))) 
+(((-518 |#1| |#2|) (-13 (-23) (-519 |#1| |#2|)) (-23) (-843)) (T -518)) 
+NIL 
+(-13 (-23) (-519 |#1| |#2|)) 
+((-2568 (((-121) $ $) 7)) (-4020 (($ $) 12)) (-1763 (($ |#1| |#2|) 15)) (-1544 (($ (-1 |#1| |#1|) $) 16)) (-3885 ((|#2| $) 13)) (-4012 ((|#1| $) 14)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-1668 (((-121) $ $) 6))) 
+(((-519 |#1| |#2|) (-1278) (-1091) (-843)) (T -519)) 
+((-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-519 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-843)))) (-1763 (*1 *1 *2 *3) (-12 (-4 *1 (-519 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-843)))) (-4012 (*1 *2 *1) (-12 (-4 *1 (-519 *2 *3)) (-4 *3 (-843)) (-4 *2 (-1091)))) (-3885 (*1 *2 *1) (-12 (-4 *1 (-519 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-843)))) (-4020 (*1 *1 *1) (-12 (-4 *1 (-519 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-843))))) 
+(-13 (-1091) (-10 -8 (-15 -1544 ($ (-1 |t#1| |t#1|) $)) (-15 -1763 ($ |t#1| |t#2|)) (-15 -4012 (|t#1| $)) (-15 -3885 (|t#2| $)) (-15 -4020 ($ $)))) 
+(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2820 (($) NIL T CONST)) (-4020 (($ $) NIL)) (-1763 (($ |#1| |#2|) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-3885 ((|#2| $) NIL)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-3369 (($) NIL T CONST)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 13)) (-1707 (($ $ $) NIL)) (* (($ (-764) $) NIL) (($ (-918) $) NIL))) 
+(((-520 |#1| |#2|) (-13 (-788) (-519 |#1| |#2|)) (-788) (-843)) (T -520)) 
+NIL 
+(-13 (-788) (-519 |#1| |#2|)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1498 (($ $ $) 16)) (-2327 (((-3 $ "failed") $ $) 13)) (-2820 (($) NIL T CONST)) (-4020 (($ $) NIL)) (-1763 (($ |#1| |#2|) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-3885 ((|#2| $) NIL)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-3369 (($) NIL T CONST)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL)) (-1707 (($ $ $) NIL)) (* (($ (-764) $) NIL) (($ (-918) $) NIL))) 
+(((-521 |#1| |#2|) (-13 (-789) (-519 |#1| |#2|)) (-789) (-843)) (T -521)) 
+NIL 
+(-13 (-789) (-519 |#1| |#2|)) 
+((-2568 (((-121) $ $) NIL)) (-4020 (($ $) 24)) (-1763 (($ |#1| |#2|) 21)) (-1544 (($ (-1 |#1| |#1|) $) 23)) (-3885 ((|#2| $) 26)) (-4012 ((|#1| $) 25)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 20)) (-1668 (((-121) $ $) 13))) 
+(((-522 |#1| |#2|) (-519 |#1| |#2|) (-1091) (-843)) (T -522)) 
+NIL 
+(-519 |#1| |#2|) 
+((-1468 (($ $ (-635 |#2|) (-635 |#3|)) NIL) (($ $ |#2| |#3|) 12))) 
+(((-523 |#1| |#2| |#3|) (-10 -8 (-15 -1468 (|#1| |#1| |#2| |#3|)) (-15 -1468 (|#1| |#1| (-635 |#2|) (-635 |#3|)))) (-524 |#2| |#3|) (-1091) (-1197)) (T -523)) 
+NIL 
+(-10 -8 (-15 -1468 (|#1| |#1| |#2| |#3|)) (-15 -1468 (|#1| |#1| (-635 |#2|) (-635 |#3|)))) 
+((-1468 (($ $ (-635 |#1|) (-635 |#2|)) 7) (($ $ |#1| |#2|) 6))) 
+(((-524 |#1| |#2|) (-1278) (-1091) (-1197)) (T -524)) 
+((-1468 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 *5)) (-4 *1 (-524 *4 *5)) (-4 *4 (-1091)) (-4 *5 (-1197)))) (-1468 (*1 *1 *1 *2 *3) (-12 (-4 *1 (-524 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1197))))) 
+(-13 (-10 -8 (-15 -1468 ($ $ |t#1| |t#2|)) (-15 -1468 ($ $ (-635 |t#1|) (-635 |t#2|))))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 16)) (-1403 (((-635 (-2 (|:| |gen| |#1|) (|:| -2436 |#2|))) $) 18)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2085 (((-764) $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL)) (-2428 ((|#1| $) NIL)) (-3082 ((|#1| $ (-569)) 23)) (-2231 ((|#2| $ (-569)) 21)) (-4101 (($ (-1 |#1| |#1|) $) 46)) (-1742 (($ (-1 |#2| |#2|) $) 43)) (-2776 (((-1145) $) NIL)) (-4113 (($ $ $) 53 (|has| |#2| (-788)))) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 42) (($ |#1|) NIL)) (-1653 ((|#2| |#1| $) 49)) (-3369 (($) 11 T CONST)) (-1668 (((-121) $ $) 29)) (-1707 (($ $ $) 27) (($ |#1| $) 25)) (* (($ (-918) $) NIL) (($ (-764) $) 36) (($ |#2| |#1|) 31))) 
+(((-525 |#1| |#2| |#3|) (-321 |#1| |#2|) (-1091) (-138) |#2|) (T -525)) 
+NIL 
+(-321 |#1| |#2|) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-843)))) (-3076 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| |#1| (-843))))) (-3113 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-3060 (((-121) (-121)) 24)) (-4469 ((|#1| $ (-569) |#1|) 27 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) NIL (|has| $ (-6 -4536)))) (-4216 (($ (-1 (-121) |#1|) $) 51)) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-3384 (($ $) 54 (|has| |#1| (-1091)))) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4454 (($ |#1| $) NIL (|has| |#1| (-1091))) (($ (-1 (-121) |#1|) $) 43)) (-4347 (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) NIL)) (-3727 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1091))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1091)))) (-1841 (($ $ (-569)) 13)) (-3461 (((-764) $) 11)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-2659 (($ (-764) |#1|) 22)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) 20 (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-2854 (($ $ $) NIL (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $ $) 34)) (-3288 (($ (-1 (-121) |#1| |#1|) $ $) 35) (($ $ $) NIL (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1285 (((-569) $) 19 (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3172 (($ $ $ (-569)) 50) (($ |#1| $ (-569)) 36)) (-3614 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-3117 (($ (-635 |#1|)) 28)) (-4353 ((|#1| $) NIL (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-3174 (($ $ |#1|) 18 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 39)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 14)) (-1534 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) 32) (($ $ (-1213 (-569))) NIL)) (-4514 (($ $ (-1213 (-569))) 49) (($ $ (-569)) 44)) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-3389 (($ $ $ (-569)) 40 (|has| $ (-6 -4536)))) (-1971 (($ $) 31)) (-3817 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) NIL)) (-2697 (($ $ $) 41) (($ $ |#1|) 38)) (-2250 (($ $ |#1|) NIL) (($ |#1| $) 37) (($ $ $) NIL) (($ (-635 $)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-4168 (((-764) $) 15 (|has| $ (-6 -4535))))) 
+(((-526 |#1| |#2|) (-13 (-19 |#1|) (-278 |#1|) (-10 -8 (-15 -3117 ($ (-635 |#1|))) (-15 -3461 ((-764) $)) (-15 -1841 ($ $ (-569))) (-15 -3060 ((-121) (-121))))) (-1197) (-569)) (T -526)) 
+((-3117 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-5 *1 (-526 *3 *4)) (-14 *4 (-569)))) (-3461 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-526 *3 *4)) (-4 *3 (-1197)) (-14 *4 (-569)))) (-1841 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-526 *3 *4)) (-4 *3 (-1197)) (-14 *4 *2))) (-3060 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-526 *3 *4)) (-4 *3 (-1197)) (-14 *4 (-569))))) 
+(-13 (-19 |#1|) (-278 |#1|) (-10 -8 (-15 -3117 ($ (-635 |#1|))) (-15 -3461 ((-764) $)) (-15 -1841 ($ $ (-569))) (-15 -3060 ((-121) (-121))))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-1377 (((-582 |#1|) $) NIL) (($ $ (-918)) NIL (|has| (-582 |#1|) (-371)))) (-2620 (((-1171 (-918) (-764)) (-569)) NIL (|has| (-582 |#1|) (-371)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2085 (((-764)) NIL (|has| (-582 |#1|) (-371)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-582 |#1|) "failed") $) NIL)) (-2428 (((-582 |#1|) $) NIL)) (-2623 (($ (-1247 (-582 |#1|))) NIL)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-582 |#1|) (-371)))) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| (-582 |#1|) (-371)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3188 (($) NIL (|has| (-582 |#1|) (-371)))) (-3354 (((-121) $) NIL (|has| (-582 |#1|) (-371)))) (-2751 (($ $ (-764)) NIL (-2232 (|has| (-582 |#1|) (-149)) (|has| (-582 |#1|) (-371)))) (($ $) NIL (-2232 (|has| (-582 |#1|) (-149)) (|has| (-582 |#1|) (-371))))) (-3726 (((-121) $) NIL)) (-2558 (((-918) $) NIL (|has| (-582 |#1|) (-371))) (((-829 (-918)) $) NIL (-2232 (|has| (-582 |#1|) (-149)) (|has| (-582 |#1|) (-371))))) (-1407 (((-121) $) NIL)) (-1490 (($) NIL (|has| (-582 |#1|) (-371)))) (-3364 (((-121) $) NIL (|has| (-582 |#1|) (-371)))) (-4308 (((-582 |#1|) $) NIL) (($ $ (-918)) NIL (|has| (-582 |#1|) (-371)))) (-3846 (((-3 $ "failed") $) NIL (|has| (-582 |#1|) (-371)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2770 (((-1159 (-582 |#1|)) $) NIL) (((-1159 $) $ (-918)) NIL (|has| (-582 |#1|) (-371)))) (-2083 (((-918) $) NIL (|has| (-582 |#1|) (-371)))) (-2486 (((-1159 (-582 |#1|)) $) NIL (|has| (-582 |#1|) (-371)))) (-3697 (((-1159 (-582 |#1|)) $) NIL (|has| (-582 |#1|) (-371))) (((-3 (-1159 (-582 |#1|)) "failed") $ $) NIL (|has| (-582 |#1|) (-371)))) (-4421 (($ $ (-1159 (-582 |#1|))) NIL (|has| (-582 |#1|) (-371)))) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| (-582 |#1|) (-371)) CONST)) (-3998 (($ (-918)) NIL (|has| (-582 |#1|) (-371)))) (-2705 (((-121) $) NIL)) (-3360 (((-1109) $) NIL)) (-1809 (($) NIL (|has| (-582 |#1|) (-371)))) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL (|has| (-582 |#1|) (-371)))) (-1743 (((-421 $) $) NIL)) (-2578 (((-829 (-918))) NIL) (((-918)) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-1291 (((-764) $) NIL (|has| (-582 |#1|) (-371))) (((-3 (-764) "failed") $ $) NIL (-2232 (|has| (-582 |#1|) (-149)) (|has| (-582 |#1|) (-371))))) (-2369 (((-140)) NIL)) (-3899 (($ $) NIL (|has| (-582 |#1|) (-371))) (($ $ (-764)) NIL (|has| (-582 |#1|) (-371)))) (-2492 (((-829 (-918)) $) NIL) (((-918) $) NIL)) (-2745 (((-1159 (-582 |#1|))) NIL)) (-2319 (($) NIL (|has| (-582 |#1|) (-371)))) (-3554 (($) NIL (|has| (-582 |#1|) (-371)))) (-1648 (((-1247 (-582 |#1|)) $) NIL) (((-680 (-582 |#1|)) (-1247 $)) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (|has| (-582 |#1|) (-371)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-582 |#1|)) NIL)) (-3953 (($ $) NIL (|has| (-582 |#1|) (-371))) (((-3 $ "failed") $) NIL (-2232 (|has| (-582 |#1|) (-149)) (|has| (-582 |#1|) (-371))))) (-1991 (((-764)) NIL)) (-3930 (((-1247 $)) NIL) (((-1247 $) (-918)) NIL)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1907 (($ $) NIL (|has| (-582 |#1|) (-371))) (($ $ (-764)) NIL (|has| (-582 |#1|) (-371)))) (-3022 (($ $) NIL (|has| (-582 |#1|) (-371))) (($ $ (-764)) NIL (|has| (-582 |#1|) (-371)))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL) (($ $ (-582 |#1|)) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-582 |#1|)) NIL) (($ (-582 |#1|) $) NIL))) 
+(((-527 |#1| |#2|) (-328 (-582 |#1|)) (-918) (-918)) (T -527)) 
+NIL 
+(-328 (-582 |#1|)) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#1| $ (-569) (-569) |#1|) 33)) (-2451 (($ $ (-569) |#4|) NIL)) (-3443 (($ $ (-569) |#5|) NIL)) (-2820 (($) NIL T CONST)) (-1765 ((|#4| $ (-569)) NIL)) (-2726 ((|#1| $ (-569) (-569) |#1|) 32)) (-1618 ((|#1| $ (-569) (-569)) 30)) (-3470 (((-635 |#1|) $) NIL)) (-1810 (((-764) $) 26)) (-2659 (($ (-764) (-764) |#1|) 23)) (-2806 (((-764) $) 28)) (-1974 (((-121) $ (-764)) NIL)) (-3992 (((-569) $) 24)) (-3127 (((-569) $) 25)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1866 (((-569) $) 27)) (-1581 (((-569) $) 29)) (-1853 (($ (-1 |#1| |#1|) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) 36 (|has| |#1| (-1091)))) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-3174 (($ $ |#1|) NIL)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 14)) (-1296 (($) 15)) (-1534 ((|#1| $ (-569) (-569)) 31) ((|#1| $ (-569) (-569) |#1|) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-3419 ((|#5| $ (-569)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-528 |#1| |#2| |#3| |#4| |#5|) (-62 |#1| |#4| |#5|) (-1197) (-569) (-569) (-376 |#1|) (-376 |#1|)) (T -528)) 
 NIL 
 (-62 |#1| |#4| |#5|) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-2852 ((|#1| $) NIL)) (-2237 ((|#1| $) NIL)) (-3623 (($ $) NIL)) (-2481 (((-1249) $ (-568) (-568)) NIL (|has| $ (-6 -4522)))) (-2121 (($ $ (-568)) 57 (|has| $ (-6 -4522)))) (-1324 (((-121) $) NIL (|has| |#1| (-842))) (((-121) (-1 (-121) |#1| |#1|) $) NIL)) (-2109 (($ $) NIL (-12 (|has| $ (-6 -4522)) (|has| |#1| (-842)))) (($ (-1 (-121) |#1| |#1|) $) 55 (|has| $ (-6 -4522)))) (-3647 (($ $) NIL (|has| |#1| (-842))) (($ (-1 (-121) |#1| |#1|) $) NIL)) (-1667 (((-121) $ (-763)) NIL)) (-3370 ((|#1| $ |#1|) NIL (|has| $ (-6 -4522)))) (-1958 (($ $ $) 23 (|has| $ (-6 -4522)))) (-2257 ((|#1| $ |#1|) NIL (|has| $ (-6 -4522)))) (-1706 ((|#1| $ |#1|) 21 (|has| $ (-6 -4522)))) (-2438 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4522))) ((|#1| $ "first" |#1|) 22 (|has| $ (-6 -4522))) (($ $ "rest" $) 24 (|has| $ (-6 -4522))) ((|#1| $ "last" |#1|) NIL (|has| $ (-6 -4522))) ((|#1| $ (-1210 (-568)) |#1|) NIL (|has| $ (-6 -4522))) ((|#1| $ (-568) |#1|) NIL (|has| $ (-6 -4522)))) (-1809 (($ $ (-634 $)) NIL (|has| $ (-6 -4522)))) (-3963 (($ (-1 (-121) |#1|) $) NIL)) (-2803 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1681 ((|#1| $) NIL)) (-4490 (($) NIL T CONST)) (-4452 (($ $) 28 (|has| $ (-6 -4522)))) (-3945 (($ $) 29)) (-3936 (($ $) 18) (($ $ (-763)) 32)) (-1377 (($ $) 53 (|has| |#1| (-1090)))) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1568 (($ |#1| $) NIL (|has| |#1| (-1090))) (($ (-1 (-121) |#1|) $) NIL)) (-4330 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (($ |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1292 ((|#1| $ (-568) |#1|) NIL (|has| $ (-6 -4522)))) (-2069 ((|#1| $ (-568)) NIL)) (-1340 (((-121) $) NIL)) (-2766 (((-568) |#1| $ (-568)) NIL (|has| |#1| (-1090))) (((-568) |#1| $) NIL (|has| |#1| (-1090))) (((-568) (-1 (-121) |#1|) $) NIL)) (-3317 (((-634 |#1|) $) 27 (|has| $ (-6 -4521)))) (-3534 (((-634 $) $) NIL)) (-3606 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1851 (($ (-763) |#1|) NIL)) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-568) $) 31 (|has| (-568) (-842)))) (-1732 (($ $ $) NIL (|has| |#1| (-842)))) (-4496 (($ $ $) NIL (|has| |#1| (-842))) (($ (-1 (-121) |#1| |#1|) $ $) 56)) (-3645 (($ $ $) NIL (|has| |#1| (-842))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 51 (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3631 (((-568) $) NIL (|has| (-568) (-842)))) (-2047 (($ $ $) NIL (|has| |#1| (-842)))) (-2253 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-3897 (($ |#1|) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-4081 (((-634 |#1|) $) NIL)) (-3319 (((-121) $) NIL)) (-1893 (((-1143) $) 50 (|has| |#1| (-1090)))) (-4164 ((|#1| $) NIL) (($ $ (-763)) NIL)) (-1708 (($ $ $ (-568)) NIL) (($ |#1| $ (-568)) NIL)) (-4124 (($ $ $ (-568)) NIL) (($ |#1| $ (-568)) NIL)) (-3948 (((-634 (-568)) $) NIL)) (-2916 (((-121) (-568) $) NIL)) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-3877 ((|#1| $) 13) (($ $ (-763)) NIL)) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2490 (($ $ |#1|) NIL (|has| $ (-6 -4522)))) (-4049 (((-121) $) NIL)) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 12)) (-1801 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1480 (((-634 |#1|) $) NIL)) (-2436 (((-121) $) 17)) (-1990 (($) 16)) (-2781 ((|#1| $ "value") NIL) ((|#1| $ "first") 15) (($ $ "rest") 20) ((|#1| $ "last") NIL) (($ $ (-1210 (-568))) NIL) ((|#1| $ (-568)) NIL) ((|#1| $ (-568) |#1|) NIL)) (-1665 (((-568) $ $) NIL)) (-4031 (($ $ (-1210 (-568))) NIL) (($ $ (-568)) NIL)) (-2828 (($ $ (-1210 (-568))) NIL) (($ $ (-568)) NIL)) (-2763 (((-121) $) 33)) (-3903 (($ $) NIL)) (-1499 (($ $) NIL (|has| $ (-6 -4522)))) (-3535 (((-763) $) NIL)) (-4424 (($ $) 35)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3306 (($ $ $ (-568)) NIL (|has| $ (-6 -4522)))) (-3865 (($ $) 34)) (-4280 (((-541) $) NIL (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) 26)) (-1876 (($ $ $) 52) (($ $ |#1|) NIL)) (-2770 (($ $ $) NIL) (($ |#1| $) 10) (($ (-634 $)) NIL) (($ $ |#1|) NIL)) (-2747 (((-850) $) 45 (|has| |#1| (-1090)))) (-3180 (((-634 $) $) NIL)) (-3873 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1753 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1719 (((-121) $ $) 47 (|has| |#1| (-1090)))) (-1747 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1699 (((-763) $) 9 (|has| $ (-6 -4521))))) 
-(((-528 |#1| |#2|) (-658 |#1|) (-1195) (-568)) (T -528)) 
-NIL 
-(-658 |#1|) 
-((-3912 ((|#4| |#4|) 26)) (-2371 (((-763) |#4|) 31)) (-3344 (((-763) |#4|) 32)) (-2934 (((-634 |#3|) |#4|) 37 (|has| |#3| (-6 -4522)))) (-2715 (((-3 |#4| "failed") |#4|) 47)) (-2415 ((|#4| |#4|) 40)) (-2591 ((|#1| |#4|) 39))) 
-(((-529 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3912 (|#4| |#4|)) (-15 -2371 ((-763) |#4|)) (-15 -3344 ((-763) |#4|)) (IF (|has| |#3| (-6 -4522)) (-15 -2934 ((-634 |#3|) |#4|)) |noBranch|) (-15 -2591 (|#1| |#4|)) (-15 -2415 (|#4| |#4|)) (-15 -2715 ((-3 |#4| "failed") |#4|))) (-365) (-375 |#1|) (-375 |#1|) (-677 |#1| |#2| |#3|)) (T -529)) 
-((-2715 (*1 *2 *2) (|partial| -12 (-4 *3 (-365)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *1 (-529 *3 *4 *5 *2)) (-4 *2 (-677 *3 *4 *5)))) (-2415 (*1 *2 *2) (-12 (-4 *3 (-365)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *1 (-529 *3 *4 *5 *2)) (-4 *2 (-677 *3 *4 *5)))) (-2591 (*1 *2 *3) (-12 (-4 *4 (-375 *2)) (-4 *5 (-375 *2)) (-4 *2 (-365)) (-5 *1 (-529 *2 *4 *5 *3)) (-4 *3 (-677 *2 *4 *5)))) (-2934 (*1 *2 *3) (-12 (|has| *6 (-6 -4522)) (-4 *4 (-365)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4)) (-5 *2 (-634 *6)) (-5 *1 (-529 *4 *5 *6 *3)) (-4 *3 (-677 *4 *5 *6)))) (-3344 (*1 *2 *3) (-12 (-4 *4 (-365)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4)) (-5 *2 (-763)) (-5 *1 (-529 *4 *5 *6 *3)) (-4 *3 (-677 *4 *5 *6)))) (-2371 (*1 *2 *3) (-12 (-4 *4 (-365)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4)) (-5 *2 (-763)) (-5 *1 (-529 *4 *5 *6 *3)) (-4 *3 (-677 *4 *5 *6)))) (-3912 (*1 *2 *2) (-12 (-4 *3 (-365)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *1 (-529 *3 *4 *5 *2)) (-4 *2 (-677 *3 *4 *5))))) 
-(-10 -7 (-15 -3912 (|#4| |#4|)) (-15 -2371 ((-763) |#4|)) (-15 -3344 ((-763) |#4|)) (IF (|has| |#3| (-6 -4522)) (-15 -2934 ((-634 |#3|) |#4|)) |noBranch|) (-15 -2591 (|#1| |#4|)) (-15 -2415 (|#4| |#4|)) (-15 -2715 ((-3 |#4| "failed") |#4|))) 
-((-3912 ((|#8| |#4|) 20)) (-2934 (((-634 |#3|) |#4|) 29 (|has| |#7| (-6 -4522)))) (-2715 (((-3 |#8| "failed") |#4|) 23))) 
-(((-530 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -3912 (|#8| |#4|)) (-15 -2715 ((-3 |#8| "failed") |#4|)) (IF (|has| |#7| (-6 -4522)) (-15 -2934 ((-634 |#3|) |#4|)) |noBranch|)) (-558) (-375 |#1|) (-375 |#1|) (-677 |#1| |#2| |#3|) (-993 |#1|) (-375 |#5|) (-375 |#5|) (-677 |#5| |#6| |#7|)) (T -530)) 
-((-2934 (*1 *2 *3) (-12 (|has| *9 (-6 -4522)) (-4 *4 (-558)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4)) (-4 *7 (-993 *4)) (-4 *8 (-375 *7)) (-4 *9 (-375 *7)) (-5 *2 (-634 *6)) (-5 *1 (-530 *4 *5 *6 *3 *7 *8 *9 *10)) (-4 *3 (-677 *4 *5 *6)) (-4 *10 (-677 *7 *8 *9)))) (-2715 (*1 *2 *3) (|partial| -12 (-4 *4 (-558)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4)) (-4 *7 (-993 *4)) (-4 *2 (-677 *7 *8 *9)) (-5 *1 (-530 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-677 *4 *5 *6)) (-4 *8 (-375 *7)) (-4 *9 (-375 *7)))) (-3912 (*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4)) (-4 *7 (-993 *4)) (-4 *2 (-677 *7 *8 *9)) (-5 *1 (-530 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-677 *4 *5 *6)) (-4 *8 (-375 *7)) (-4 *9 (-375 *7))))) 
-(-10 -7 (-15 -3912 (|#8| |#4|)) (-15 -2715 ((-3 |#8| "failed") |#4|)) (IF (|has| |#7| (-6 -4522)) (-15 -2934 ((-634 |#3|) |#4|)) |noBranch|)) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-3207 (($ (-763) (-763)) NIL)) (-4486 (($ $ $) NIL)) (-4089 (($ (-599 |#1| |#3|)) NIL) (($ $) NIL)) (-3560 (((-121) $) NIL)) (-3211 (($ $ (-568) (-568)) 12)) (-3096 (($ $ (-568) (-568)) NIL)) (-2265 (($ $ (-568) (-568) (-568) (-568)) NIL)) (-4467 (($ $) NIL)) (-3691 (((-121) $) NIL)) (-1667 (((-121) $ (-763)) NIL)) (-4043 (($ $ (-568) (-568) $) NIL)) (-2438 ((|#1| $ (-568) (-568) |#1|) NIL) (($ $ (-634 (-568)) (-634 (-568)) $) NIL)) (-3874 (($ $ (-568) (-599 |#1| |#3|)) NIL)) (-2525 (($ $ (-568) (-599 |#1| |#2|)) NIL)) (-1637 (($ (-763) |#1|) NIL)) (-4490 (($) NIL T CONST)) (-3912 (($ $) 19 (|has| |#1| (-301)))) (-2228 (((-599 |#1| |#3|) $ (-568)) NIL)) (-2371 (((-763) $) 22 (|has| |#1| (-558)))) (-1292 ((|#1| $ (-568) (-568) |#1|) NIL)) (-2069 ((|#1| $ (-568) (-568)) NIL)) (-3102 ((|#1| $) NIL (|has| |#1| (-172)))) (-3317 (((-634 |#1|) $) NIL)) (-3344 (((-763) $) 24 (|has| |#1| (-558)))) (-2934 (((-634 (-599 |#1| |#2|)) $) 27 (|has| |#1| (-558)))) (-2241 (((-763) $) NIL)) (-1851 (($ (-763) (-763) |#1|) NIL)) (-1901 (((-763) $) NIL)) (-3791 (((-121) $ (-763)) NIL)) (-2424 ((|#1| $) 17 (|has| |#1| (-6 (-4523 "*"))))) (-3139 (((-568) $) 10)) (-1343 (((-568) $) NIL)) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3405 (((-568) $) 11)) (-2801 (((-568) $) NIL)) (-2271 (($ (-634 (-634 |#1|))) NIL)) (-2253 (($ (-1 |#1| |#1|) $) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-1843 (((-634 (-634 |#1|)) $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-2715 (((-3 $ "failed") $) 31 (|has| |#1| (-365)))) (-4018 (($ $ $) NIL)) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-2490 (($ $ |#1|) NIL)) (-2597 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-558)))) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#1| $ (-568) (-568)) NIL) ((|#1| $ (-568) (-568) |#1|) NIL) (($ $ (-634 (-568)) (-634 (-568))) NIL)) (-3499 (($ (-634 |#1|)) NIL) (($ (-634 $)) NIL)) (-4322 (((-121) $) NIL)) (-2591 ((|#1| $) 15 (|has| |#1| (-6 (-4523 "*"))))) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3865 (($ $) NIL)) (-4063 (((-634 (-599 |#1| |#2|)) $) NIL (|has| |#1| (-301)))) (-2522 (((-599 |#1| |#2|) $ (-568)) NIL)) (-2747 (((-850) $) NIL (|has| |#1| (-1090))) (($ (-599 |#1| |#2|)) NIL)) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-2675 (((-121) $) NIL)) (-1719 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1781 (($ $ |#1|) NIL (|has| |#1| (-365)))) (-1775 (($ $ $) NIL) (($ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| |#1| (-365)))) (* (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-568) $) NIL) (((-599 |#1| |#2|) $ (-599 |#1| |#2|)) NIL) (((-599 |#1| |#3|) (-599 |#1| |#3|) $) NIL)) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-531 |#1| |#2| |#3|) (-677 |#1| (-599 |#1| |#3|) (-599 |#1| |#2|)) (-1047) (-568) (-568)) (T -531)) 
-NIL 
-(-677 |#1| (-599 |#1| |#3|) (-599 |#1| |#2|)) 
-((-2154 (((-1157 |#1|) (-763)) 74)) (-1934 (((-1244 |#1|) (-1244 |#1|) (-917)) 67)) (-1785 (((-1249) (-1244 (-634 (-2 (|:| -2852 |#1|) (|:| -4357 (-1108))))) |#1|) 82)) (-3904 (((-1244 |#1|) (-1244 |#1|) (-763)) 36)) (-1733 (((-1244 |#1|) (-917)) 69)) (-4335 (((-1244 |#1|) (-1244 |#1|) (-568)) 24)) (-1416 (((-1157 |#1|) (-1244 |#1|)) 75)) (-2769 (((-1244 |#1|) (-917)) 93)) (-2151 (((-121) (-1244 |#1|)) 78)) (-4417 (((-1244 |#1|) (-1244 |#1|) (-917)) 59)) (-1497 (((-1157 |#1|) (-1244 |#1|)) 87)) (-2291 (((-917) (-1244 |#1|)) 56)) (-2083 (((-1244 |#1|) (-1244 |#1|)) 30)) (-4357 (((-1244 |#1|) (-917) (-917)) 95)) (-2930 (((-1244 |#1|) (-1244 |#1|) (-1108) (-1108)) 23)) (-3837 (((-1244 |#1|) (-1244 |#1|) (-763) (-1108)) 37)) (-2588 (((-1244 (-1244 |#1|)) (-917)) 92)) (-1781 (((-1244 |#1|) (-1244 |#1|) (-1244 |#1|)) 79)) (** (((-1244 |#1|) (-1244 |#1|) (-568)) 43)) (* (((-1244 |#1|) (-1244 |#1|) (-1244 |#1|)) 25))) 
-(((-532 |#1|) (-10 -7 (-15 -1785 ((-1249) (-1244 (-634 (-2 (|:| -2852 |#1|) (|:| -4357 (-1108))))) |#1|)) (-15 -1733 ((-1244 |#1|) (-917))) (-15 -4357 ((-1244 |#1|) (-917) (-917))) (-15 -1416 ((-1157 |#1|) (-1244 |#1|))) (-15 -2154 ((-1157 |#1|) (-763))) (-15 -3837 ((-1244 |#1|) (-1244 |#1|) (-763) (-1108))) (-15 -3904 ((-1244 |#1|) (-1244 |#1|) (-763))) (-15 -2930 ((-1244 |#1|) (-1244 |#1|) (-1108) (-1108))) (-15 -4335 ((-1244 |#1|) (-1244 |#1|) (-568))) (-15 ** ((-1244 |#1|) (-1244 |#1|) (-568))) (-15 * ((-1244 |#1|) (-1244 |#1|) (-1244 |#1|))) (-15 -1781 ((-1244 |#1|) (-1244 |#1|) (-1244 |#1|))) (-15 -4417 ((-1244 |#1|) (-1244 |#1|) (-917))) (-15 -1934 ((-1244 |#1|) (-1244 |#1|) (-917))) (-15 -2083 ((-1244 |#1|) (-1244 |#1|))) (-15 -2291 ((-917) (-1244 |#1|))) (-15 -2151 ((-121) (-1244 |#1|))) (-15 -2588 ((-1244 (-1244 |#1|)) (-917))) (-15 -2769 ((-1244 |#1|) (-917))) (-15 -1497 ((-1157 |#1|) (-1244 |#1|)))) (-350)) (T -532)) 
-((-1497 (*1 *2 *3) (-12 (-5 *3 (-1244 *4)) (-4 *4 (-350)) (-5 *2 (-1157 *4)) (-5 *1 (-532 *4)))) (-2769 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1244 *4)) (-5 *1 (-532 *4)) (-4 *4 (-350)))) (-2588 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1244 (-1244 *4))) (-5 *1 (-532 *4)) (-4 *4 (-350)))) (-2151 (*1 *2 *3) (-12 (-5 *3 (-1244 *4)) (-4 *4 (-350)) (-5 *2 (-121)) (-5 *1 (-532 *4)))) (-2291 (*1 *2 *3) (-12 (-5 *3 (-1244 *4)) (-4 *4 (-350)) (-5 *2 (-917)) (-5 *1 (-532 *4)))) (-2083 (*1 *2 *2) (-12 (-5 *2 (-1244 *3)) (-4 *3 (-350)) (-5 *1 (-532 *3)))) (-1934 (*1 *2 *2 *3) (-12 (-5 *2 (-1244 *4)) (-5 *3 (-917)) (-4 *4 (-350)) (-5 *1 (-532 *4)))) (-4417 (*1 *2 *2 *3) (-12 (-5 *2 (-1244 *4)) (-5 *3 (-917)) (-4 *4 (-350)) (-5 *1 (-532 *4)))) (-1781 (*1 *2 *2 *2) (-12 (-5 *2 (-1244 *3)) (-4 *3 (-350)) (-5 *1 (-532 *3)))) (* (*1 *2 *2 *2) (-12 (-5 *2 (-1244 *3)) (-4 *3 (-350)) (-5 *1 (-532 *3)))) (** (*1 *2 *2 *3) (-12 (-5 *2 (-1244 *4)) (-5 *3 (-568)) (-4 *4 (-350)) (-5 *1 (-532 *4)))) (-4335 (*1 *2 *2 *3) (-12 (-5 *2 (-1244 *4)) (-5 *3 (-568)) (-4 *4 (-350)) (-5 *1 (-532 *4)))) (-2930 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1244 *4)) (-5 *3 (-1108)) (-4 *4 (-350)) (-5 *1 (-532 *4)))) (-3904 (*1 *2 *2 *3) (-12 (-5 *2 (-1244 *4)) (-5 *3 (-763)) (-4 *4 (-350)) (-5 *1 (-532 *4)))) (-3837 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-1244 *5)) (-5 *3 (-763)) (-5 *4 (-1108)) (-4 *5 (-350)) (-5 *1 (-532 *5)))) (-2154 (*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1157 *4)) (-5 *1 (-532 *4)) (-4 *4 (-350)))) (-1416 (*1 *2 *3) (-12 (-5 *3 (-1244 *4)) (-4 *4 (-350)) (-5 *2 (-1157 *4)) (-5 *1 (-532 *4)))) (-4357 (*1 *2 *3 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1244 *4)) (-5 *1 (-532 *4)) (-4 *4 (-350)))) (-1733 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1244 *4)) (-5 *1 (-532 *4)) (-4 *4 (-350)))) (-1785 (*1 *2 *3 *4) (-12 (-5 *3 (-1244 (-634 (-2 (|:| -2852 *4) (|:| -4357 (-1108)))))) (-4 *4 (-350)) (-5 *2 (-1249)) (-5 *1 (-532 *4))))) 
-(-10 -7 (-15 -1785 ((-1249) (-1244 (-634 (-2 (|:| -2852 |#1|) (|:| -4357 (-1108))))) |#1|)) (-15 -1733 ((-1244 |#1|) (-917))) (-15 -4357 ((-1244 |#1|) (-917) (-917))) (-15 -1416 ((-1157 |#1|) (-1244 |#1|))) (-15 -2154 ((-1157 |#1|) (-763))) (-15 -3837 ((-1244 |#1|) (-1244 |#1|) (-763) (-1108))) (-15 -3904 ((-1244 |#1|) (-1244 |#1|) (-763))) (-15 -2930 ((-1244 |#1|) (-1244 |#1|) (-1108) (-1108))) (-15 -4335 ((-1244 |#1|) (-1244 |#1|) (-568))) (-15 ** ((-1244 |#1|) (-1244 |#1|) (-568))) (-15 * ((-1244 |#1|) (-1244 |#1|) (-1244 |#1|))) (-15 -1781 ((-1244 |#1|) (-1244 |#1|) (-1244 |#1|))) (-15 -4417 ((-1244 |#1|) (-1244 |#1|) (-917))) (-15 -1934 ((-1244 |#1|) (-1244 |#1|) (-917))) (-15 -2083 ((-1244 |#1|) (-1244 |#1|))) (-15 -2291 ((-917) (-1244 |#1|))) (-15 -2151 ((-121) (-1244 |#1|))) (-15 -2588 ((-1244 (-1244 |#1|)) (-917))) (-15 -2769 ((-1244 |#1|) (-917))) (-15 -1497 ((-1157 |#1|) (-1244 |#1|)))) 
-((-2787 (((-1 |#1| |#1|) |#1|) 11)) (-1713 (((-1 |#1| |#1|)) 10))) 
-(((-533 |#1|) (-10 -7 (-15 -1713 ((-1 |#1| |#1|))) (-15 -2787 ((-1 |#1| |#1|) |#1|))) (-13 (-716) (-25))) (T -533)) 
-((-2787 (*1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-533 *3)) (-4 *3 (-13 (-716) (-25))))) (-1713 (*1 *2) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-533 *3)) (-4 *3 (-13 (-716) (-25)))))) 
-(-10 -7 (-15 -1713 ((-1 |#1| |#1|))) (-15 -2787 ((-1 |#1| |#1|) |#1|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2409 (($ $ $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-2116 (($ $) NIL)) (-2049 (($ (-763) |#1|) NIL)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-2797 (($ (-1 (-763) (-763)) $) NIL)) (-3369 ((|#1| $) NIL)) (-2104 (((-763) $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) 20)) (-3058 (($) NIL T CONST)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) NIL)) (-1769 (($ $ $) NIL)) (* (($ (-763) $) NIL) (($ (-917) $) NIL))) 
-(((-534 |#1|) (-13 (-788) (-518 (-763) |#1|)) (-842)) (T -534)) 
-NIL 
-(-13 (-788) (-518 (-763) |#1|)) 
-((-2001 (((-634 |#2|) (-1157 |#1|) |#3|) 83)) (-3124 (((-634 (-2 (|:| |outval| |#2|) (|:| |outmult| (-568)) (|:| |outvect| (-634 (-679 |#2|))))) (-679 |#1|) |#3| (-1 (-420 (-1157 |#1|)) (-1157 |#1|))) 99)) (-4096 (((-1157 |#1|) (-679 |#1|)) 95))) 
-(((-535 |#1| |#2| |#3|) (-10 -7 (-15 -4096 ((-1157 |#1|) (-679 |#1|))) (-15 -2001 ((-634 |#2|) (-1157 |#1|) |#3|)) (-15 -3124 ((-634 (-2 (|:| |outval| |#2|) (|:| |outmult| (-568)) (|:| |outvect| (-634 (-679 |#2|))))) (-679 |#1|) |#3| (-1 (-420 (-1157 |#1|)) (-1157 |#1|))))) (-365) (-365) (-13 (-365) (-840))) (T -535)) 
-((-3124 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-679 *6)) (-5 *5 (-1 (-420 (-1157 *6)) (-1157 *6))) (-4 *6 (-365)) (-5 *2 (-634 (-2 (|:| |outval| *7) (|:| |outmult| (-568)) (|:| |outvect| (-634 (-679 *7)))))) (-5 *1 (-535 *6 *7 *4)) (-4 *7 (-365)) (-4 *4 (-13 (-365) (-840))))) (-2001 (*1 *2 *3 *4) (-12 (-5 *3 (-1157 *5)) (-4 *5 (-365)) (-5 *2 (-634 *6)) (-5 *1 (-535 *5 *6 *4)) (-4 *6 (-365)) (-4 *4 (-13 (-365) (-840))))) (-4096 (*1 *2 *3) (-12 (-5 *3 (-679 *4)) (-4 *4 (-365)) (-5 *2 (-1157 *4)) (-5 *1 (-535 *4 *5 *6)) (-4 *5 (-365)) (-4 *6 (-13 (-365) (-840)))))) 
-(-10 -7 (-15 -4096 ((-1157 |#1|) (-679 |#1|))) (-15 -2001 ((-634 |#2|) (-1157 |#1|) |#3|)) (-15 -3124 ((-634 (-2 (|:| |outval| |#2|) (|:| |outmult| (-568)) (|:| |outvect| (-634 (-679 |#2|))))) (-679 |#1|) |#3| (-1 (-420 (-1157 |#1|)) (-1157 |#1|))))) 
-((-2449 (((-121) $ $) 7)) (-1636 (((-1161) $) 20)) (-3396 (((-763) $) 22)) (-2439 (((-1161) $ (-1161)) 23)) (-3715 (((-763) $ (-763)) 28)) (-1332 ((|#5| $ |#5|) 31)) (-1501 (((-763) $ (-763)) 27)) (-2259 (((-33 |#1|) $ (-33 |#1|)) 29)) (-2870 (((-634 |#6|) $ (-634 |#6|)) 24)) (-1840 ((|#8| $ |#8|) 25)) (-2073 (((-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|) $ (-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|)) 30)) (-4082 ((|#9| $ |#9|) 26)) (-3209 ((|#5| $) 19)) (-1721 (((-763) $) 16)) (-4288 (((-33 |#1|) $) 17)) (-3452 (((-634 |#6|) $) 21)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-1435 ((|#8| $) 14)) (-1836 (((-917) $) 12)) (-1764 (((-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|) $) 18)) (-4116 (($ |#5| (-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|) (-33 |#1|) (-763) |#9| (-763) |#8| |#1| (-1161)) 33) (($ |#5| |#3|) 32)) (-2747 (((-850) $) 11)) (-3888 ((|#9| $) 15)) (-2863 ((|#1| $) 13)) (-1719 (((-121) $ $) 6))) 
-(((-536 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-1275) (-365) (-634 (-1161)) (-950 |t#1| |t#4| (-852 |t#2|)) (-230 (-1699 |t#2|) (-763)) (-971 |t#1|) (-641 |t#1|) (-920 |t#1| |t#6|) (-235 |t#7|) (-117)) (T -536)) 
-((-4116 (*1 *1 *2 *3 *4 *5 *6 *5 *7 *8 *9) (-12 (-5 *3 (-242 (-4289 (QUOTE X) (QUOTE -2928)) *8)) (-5 *4 (-33 *8)) (-5 *9 (-1161)) (-4 *8 (-365)) (-5 *5 (-763)) (-4 *12 (-230 (-1699 *10) *5)) (-4 *13 (-641 *8)) (-4 *14 (-920 *8 *13)) (-4 *1 (-536 *8 *10 *11 *12 *2 *13 *14 *7 *6)) (-4 *11 (-950 *8 *12 (-852 *10))) (-4 *2 (-971 *8)) (-4 *7 (-235 *14)) (-4 *6 (-117)))) (-4116 (*1 *1 *2 *3) (-12 (-4 *4 (-365)) (-4 *6 (-230 (-1699 *5) (-763))) (-4 *7 (-641 *4)) (-4 *8 (-920 *4 *7)) (-4 *1 (-536 *4 *5 *3 *6 *2 *7 *8 *9 *10)) (-4 *3 (-950 *4 *6 (-852 *5))) (-4 *2 (-971 *4)) (-4 *9 (-235 *8)) (-4 *10 (-117)))) (-1332 (*1 *2 *1 *2) (-12 (-4 *1 (-536 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *2 (-971 *3)) (-4 *7 (-641 *3)) (-4 *8 (-920 *3 *7)) (-4 *9 (-235 *8)) (-4 *10 (-117)))) (-2073 (*1 *2 *1 *2) (-12 (-5 *2 (-242 (-4289 (QUOTE X) (QUOTE -2928)) *3)) (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-117)))) (-2259 (*1 *2 *1 *2) (-12 (-5 *2 (-33 *3)) (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-117)))) (-3715 (*1 *2 *1 *2) (-12 (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) *2)) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-117)) (-5 *2 (-763)))) (-1501 (*1 *2 *1 *2) (-12 (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) *2)) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-117)) (-5 *2 (-763)))) (-4082 (*1 *2 *1 *2) (-12 (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *2 (-117)))) (-1840 (*1 *2 *1 *2) (-12 (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *2 (-235 *9)) (-4 *10 (-117)))) (-2870 (*1 *2 *1 *2) (-12 (-5 *2 (-634 *8)) (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-117)))) (-2439 (*1 *2 *1 *2) (-12 (-5 *2 (-1161)) (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-117)))) (-3396 (*1 *2 *1) (-12 (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) *2)) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-117)) (-5 *2 (-763)))) (-3452 (*1 *2 *1) (-12 (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-117)) (-5 *2 (-634 *8)))) (-1636 (*1 *2 *1) (-12 (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-117)) (-5 *2 (-1161)))) (-3209 (*1 *2 *1) (-12 (-4 *1 (-536 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-641 *3)) (-4 *8 (-920 *3 *7)) (-4 *9 (-235 *8)) (-4 *10 (-117)) (-4 *2 (-971 *3)))) (-1764 (*1 *2 *1) (-12 (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-117)) (-5 *2 (-242 (-4289 (QUOTE X) (QUOTE -2928)) *3)))) (-4288 (*1 *2 *1) (-12 (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-117)) (-5 *2 (-33 *3)))) (-1721 (*1 *2 *1) (-12 (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) *2)) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-117)) (-5 *2 (-763)))) (-3888 (*1 *2 *1) (-12 (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *2 (-117)))) (-1435 (*1 *2 *1) (-12 (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-117)) (-4 *2 (-235 *9)))) (-2863 (*1 *2 *1) (-12 (-4 *1 (-536 *2 *3 *4 *5 *6 *7 *8 *9 *10)) (-4 *4 (-950 *2 *5 (-852 *3))) (-4 *5 (-230 (-1699 *3) (-763))) (-4 *6 (-971 *2)) (-4 *7 (-641 *2)) (-4 *8 (-920 *2 *7)) (-4 *9 (-235 *8)) (-4 *10 (-117)) (-4 *2 (-365))))) 
-(-13 (-1088) (-10 -8 (-15 -4116 ($ |t#5| (-242 (-4289 (QUOTE X) (QUOTE -2928)) |t#1|) (-33 |t#1|) (-763) |t#9| (-763) |t#8| |t#1| (-1161))) (-15 -4116 ($ |t#5| |t#3|)) (-15 -1332 (|t#5| $ |t#5|)) (-15 -2073 ((-242 (-4289 (QUOTE X) (QUOTE -2928)) |t#1|) $ (-242 (-4289 (QUOTE X) (QUOTE -2928)) |t#1|))) (-15 -2259 ((-33 |t#1|) $ (-33 |t#1|))) (-15 -3715 ((-763) $ (-763))) (-15 -1501 ((-763) $ (-763))) (-15 -4082 (|t#9| $ |t#9|)) (-15 -1840 (|t#8| $ |t#8|)) (-15 -2870 ((-634 |t#6|) $ (-634 |t#6|))) (-15 -2439 ((-1161) $ (-1161))) (-15 -3396 ((-763) $)) (-15 -3452 ((-634 |t#6|) $)) (-15 -1636 ((-1161) $)) (-15 -3209 (|t#5| $)) (-15 -1764 ((-242 (-4289 (QUOTE X) (QUOTE -2928)) |t#1|) $)) (-15 -4288 ((-33 |t#1|) $)) (-15 -1721 ((-763) $)) (-15 -3888 (|t#9| $)) (-15 -1435 (|t#8| $)) (-15 -2863 (|t#1| $)))) 
-(((-105) . T) ((-608 (-850)) . T) ((-1090) . T) ((-1088) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1636 (((-1161) $) NIL)) (-3396 (((-763) $) NIL)) (-2439 (((-1161) $ (-1161)) NIL)) (-3715 (((-763) $ (-763)) NIL)) (-1332 (((-967 |#1|) $ (-967 |#1|)) NIL)) (-1501 (((-763) $ (-763)) NIL)) (-2259 (((-33 (-857 |#1|)) $ (-33 (-857 |#1|))) NIL)) (-2870 (((-634 (-774 (-857 |#1|))) $ (-634 (-774 (-857 |#1|)))) NIL)) (-1840 (((-236 (-922 |#1|)) $ (-236 (-922 |#1|))) NIL)) (-2073 (((-242 (-4289 (QUOTE X) (QUOTE -2928)) (-857 |#1|)) $ (-242 (-4289 (QUOTE X) (QUOTE -2928)) (-857 |#1|))) NIL)) (-4082 ((|#3| $ |#3|) NIL)) (-3209 (((-967 |#1|) $) NIL)) (-1721 (((-763) $) NIL)) (-4288 (((-33 (-857 |#1|)) $) NIL)) (-3452 (((-634 (-774 (-857 |#1|))) $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-4295 (((-121) (-121)) NIL) (((-121)) NIL)) (-2860 (((-850) $) NIL)) (-1435 (((-236 (-922 |#1|)) $) NIL)) (-1836 (((-917) $) NIL)) (-1764 (((-242 (-4289 (QUOTE X) (QUOTE -2928)) (-857 |#1|)) $) NIL)) (-4116 (($ (-967 |#1|) (-242 (-4289 (QUOTE X) (QUOTE -2928)) (-857 |#1|)) (-33 (-857 |#1|)) (-763) |#3| (-763) (-236 (-922 |#1|)) (-857 |#1|) (-1161)) NIL) (($ (-967 |#1|) (-242 |#2| (-857 |#1|))) NIL)) (-2747 (((-850) $) NIL)) (-3888 ((|#3| $) NIL)) (-2863 (((-857 |#1|) $) NIL)) (-1719 (((-121) $ $) NIL))) 
-(((-537 |#1| |#2| |#3|) (-13 (-536 (-857 |#1|) |#2| (-242 |#2| (-857 |#1|)) (-232 (-1699 |#2|) (-763)) (-967 |#1|) (-774 (-857 |#1|)) (-922 |#1|) (-236 (-922 |#1|)) |#3|) (-10 -8 (-15 -2860 ((-850) $)) (-15 -4295 ((-121) (-121))) (-15 -4295 ((-121))))) (-350) (-634 (-1161)) (-117)) (T -537)) 
-((-2860 (*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-537 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-4295 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-537 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-4295 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-537 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117))))) 
-(-13 (-536 (-857 |#1|) |#2| (-242 |#2| (-857 |#1|)) (-232 (-1699 |#2|) (-763)) (-967 |#1|) (-774 (-857 |#1|)) (-922 |#1|) (-236 (-922 |#1|)) |#3|) (-10 -8 (-15 -2860 ((-850) $)) (-15 -4295 ((-121) (-121))) (-15 -4295 ((-121))))) 
-((-2449 (((-121) $ $) NIL)) (-1636 (((-1161) $) 42)) (-3396 (((-763) $) 48)) (-2439 (((-1161) $ (-1161)) 81)) (-3715 (((-763) $ (-763)) 71)) (-1332 ((|#5| $ |#5|) 74)) (-1501 (((-763) $ (-763)) 77)) (-2259 (((-33 |#1|) $ (-33 |#1|)) 76)) (-2870 (((-634 |#6|) $ (-634 |#6|)) 79)) (-1840 ((|#8| $ |#8|) 80)) (-2073 (((-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|) $ (-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|)) 75)) (-4082 ((|#9| $ |#9|) 78)) (-3209 ((|#5| $) 40)) (-1721 (((-763) $) 43)) (-4288 (((-33 |#1|) $) 45)) (-3452 (((-634 |#6|) $) 73)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-4295 (((-121) (-121)) 52) (((-121)) 53)) (-2860 (((-850) $) 50)) (-1435 ((|#8| $) 47)) (-1836 (((-917) $) 58)) (-1764 (((-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|) $) 44)) (-4116 (($ |#5| (-242 (-4289 (QUOTE X) (QUOTE -2928)) |#1|) (-33 |#1|) (-763) |#9| (-763) |#8| |#1| (-1161)) 59) (($ |#5| |#3|) 70)) (-2747 (((-850) $) 54)) (-3888 ((|#9| $) 46)) (-2863 ((|#1| $) 55)) (-1719 (((-121) $ $) NIL))) 
-(((-538 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-13 (-536 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-10 -8 (-15 -2860 ((-850) $)) (-15 -4295 ((-121) (-121))) (-15 -4295 ((-121))))) (-365) (-634 (-1161)) (-950 |#1| |#4| (-852 |#2|)) (-230 (-1699 |#2|) (-763)) (-971 |#1|) (-641 |#1|) (-920 |#1| |#6|) (-235 |#7|) (-117)) (T -538)) 
-((-2860 (*1 *2 *1) (-12 (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-5 *2 (-850)) (-5 *1 (-538 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *7 (-971 *3)) (-4 *10 (-235 *9)) (-4 *11 (-117)))) (-4295 (*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-5 *1 (-538 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *7 (-971 *3)) (-4 *10 (-235 *9)) (-4 *11 (-117)))) (-4295 (*1 *2) (-12 (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-5 *2 (-121)) (-5 *1 (-538 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *7 (-971 *3)) (-4 *10 (-235 *9)) (-4 *11 (-117))))) 
-(-13 (-536 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-10 -8 (-15 -2860 ((-850) $)) (-15 -4295 ((-121) (-121))) (-15 -4295 ((-121))))) 
-((-3604 (((-835 (-568))) 11)) (-3596 (((-835 (-568))) 13)) (-3061 (((-828 (-568))) 8))) 
-(((-539) (-10 -7 (-15 -3061 ((-828 (-568)))) (-15 -3604 ((-835 (-568)))) (-15 -3596 ((-835 (-568)))))) (T -539)) 
-((-3596 (*1 *2) (-12 (-5 *2 (-835 (-568))) (-5 *1 (-539)))) (-3604 (*1 *2) (-12 (-5 *2 (-835 (-568))) (-5 *1 (-539)))) (-3061 (*1 *2) (-12 (-5 *2 (-828 (-568))) (-5 *1 (-539))))) 
-(-10 -7 (-15 -3061 ((-828 (-568)))) (-15 -3604 ((-835 (-568)))) (-15 -3596 ((-835 (-568))))) 
-((-3347 (((-541) (-1161)) 15)) (-3644 ((|#1| (-541)) 20))) 
-(((-540 |#1|) (-10 -7 (-15 -3347 ((-541) (-1161))) (-15 -3644 (|#1| (-541)))) (-1195)) (T -540)) 
-((-3644 (*1 *2 *3) (-12 (-5 *3 (-541)) (-5 *1 (-540 *2)) (-4 *2 (-1195)))) (-3347 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-541)) (-5 *1 (-540 *4)) (-4 *4 (-1195))))) 
-(-10 -7 (-15 -3347 ((-541) (-1161))) (-15 -3644 (|#1| (-541)))) 
-((-2449 (((-121) $ $) NIL)) (-2416 (((-1143) $) 46)) (-1623 (((-121) $) 43)) (-3182 (((-1161) $) 44)) (-1454 (((-121) $) 41)) (-1744 (((-1143) $) 42)) (-3076 (($ (-1143)) 47)) (-3909 (((-121) $) NIL)) (-2722 (((-121) $) NIL)) (-2118 (((-121) $) NIL)) (-1893 (((-1143) $) NIL)) (-3729 (($ $ (-634 (-1161))) 20)) (-3644 (((-57) $) 22)) (-1812 (((-121) $) NIL)) (-1723 (((-568) $) NIL)) (-4025 (((-1108) $) NIL)) (-1866 (($ $ (-634 (-1161)) (-1161)) 59)) (-2538 (((-121) $) NIL)) (-3770 (((-215) $) NIL)) (-4285 (($ $) 38)) (-4153 (((-850) $) NIL)) (-2410 (((-121) $ $) NIL)) (-2781 (($ $ (-568)) NIL) (($ $ (-634 (-568))) NIL)) (-2045 (((-634 $) $) 28)) (-2765 (((-1161) (-634 $)) 48)) (-4280 (($ (-634 $)) 52) (($ (-1143)) NIL) (($ (-1161)) 18) (($ (-568)) 8) (($ (-215)) 25) (($ (-850)) NIL) (((-1094) $) 11) (($ (-1094)) 12)) (-1687 (((-1161) (-1161) (-634 $)) 51)) (-2747 (((-850) $) NIL)) (-1527 (($ $) 50)) (-1518 (($ $) 49)) (-2735 (($ $ (-634 $)) 56)) (-1803 (((-121) $) 27)) (-3058 (($) 9 T CONST)) (-1557 (($) 10 T CONST)) (-1719 (((-121) $ $) 60)) (-1781 (($ $ $) 65)) (-1769 (($ $ $) 61)) (** (($ $ (-763)) 64) (($ $ (-568)) 63)) (* (($ $ $) 62)) (-1699 (((-568) $) NIL))) 
-(((-541) (-13 (-1093 (-1143) (-1161) (-568) (-215) (-850)) (-609 (-1094)) (-10 -8 (-15 -3644 ((-57) $)) (-15 -4280 ($ (-1094))) (-15 -2735 ($ $ (-634 $))) (-15 -1866 ($ $ (-634 (-1161)) (-1161))) (-15 -3729 ($ $ (-634 (-1161)))) (-15 -1769 ($ $ $)) (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ (-763))) (-15 ** ($ $ (-568))) (-15 0 ($) -3497) (-15 1 ($) -3497) (-15 -4285 ($ $)) (-15 -2416 ((-1143) $)) (-15 -3076 ($ (-1143))) (-15 -2765 ((-1161) (-634 $))) (-15 -1687 ((-1161) (-1161) (-634 $)))))) (T -541)) 
-((-3644 (*1 *2 *1) (-12 (-5 *2 (-57)) (-5 *1 (-541)))) (-4280 (*1 *1 *2) (-12 (-5 *2 (-1094)) (-5 *1 (-541)))) (-2735 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-541))) (-5 *1 (-541)))) (-1866 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-1161))) (-5 *3 (-1161)) (-5 *1 (-541)))) (-3729 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-1161))) (-5 *1 (-541)))) (-1769 (*1 *1 *1 *1) (-5 *1 (-541))) (* (*1 *1 *1 *1) (-5 *1 (-541))) (-1781 (*1 *1 *1 *1) (-5 *1 (-541))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-541)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-541)))) (-3058 (*1 *1) (-5 *1 (-541))) (-1557 (*1 *1) (-5 *1 (-541))) (-4285 (*1 *1 *1) (-5 *1 (-541))) (-2416 (*1 *2 *1) (-12 (-5 *2 (-1143)) (-5 *1 (-541)))) (-3076 (*1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-541)))) (-2765 (*1 *2 *3) (-12 (-5 *3 (-634 (-541))) (-5 *2 (-1161)) (-5 *1 (-541)))) (-1687 (*1 *2 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-634 (-541))) (-5 *1 (-541))))) 
-(-13 (-1093 (-1143) (-1161) (-568) (-215) (-850)) (-609 (-1094)) (-10 -8 (-15 -3644 ((-57) $)) (-15 -4280 ($ (-1094))) (-15 -2735 ($ $ (-634 $))) (-15 -1866 ($ $ (-634 (-1161)) (-1161))) (-15 -3729 ($ $ (-634 (-1161)))) (-15 -1769 ($ $ $)) (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ (-763))) (-15 ** ($ $ (-568))) (-15 (-3058) ($) -3497) (-15 (-1557) ($) -3497) (-15 -4285 ($ $)) (-15 -2416 ((-1143) $)) (-15 -3076 ($ (-1143))) (-15 -2765 ((-1161) (-634 $))) (-15 -1687 ((-1161) (-1161) (-634 $))))) 
-((-1517 ((|#2| |#2|) 17)) (-4388 ((|#2| |#2|) 13)) (-4169 ((|#2| |#2| (-568) (-568)) 20)) (-1471 ((|#2| |#2|) 15))) 
-(((-542 |#1| |#2|) (-10 -7 (-15 -4388 (|#2| |#2|)) (-15 -1471 (|#2| |#2|)) (-15 -1517 (|#2| |#2|)) (-15 -4169 (|#2| |#2| (-568) (-568)))) (-13 (-558) (-150)) (-1234 |#1|)) (T -542)) 
-((-4169 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-568)) (-4 *4 (-13 (-558) (-150))) (-5 *1 (-542 *4 *2)) (-4 *2 (-1234 *4)))) (-1517 (*1 *2 *2) (-12 (-4 *3 (-13 (-558) (-150))) (-5 *1 (-542 *3 *2)) (-4 *2 (-1234 *3)))) (-1471 (*1 *2 *2) (-12 (-4 *3 (-13 (-558) (-150))) (-5 *1 (-542 *3 *2)) (-4 *2 (-1234 *3)))) (-4388 (*1 *2 *2) (-12 (-4 *3 (-13 (-558) (-150))) (-5 *1 (-542 *3 *2)) (-4 *2 (-1234 *3))))) 
-(-10 -7 (-15 -4388 (|#2| |#2|)) (-15 -1471 (|#2| |#2|)) (-15 -1517 (|#2| |#2|)) (-15 -4169 (|#2| |#2| (-568) (-568)))) 
-((-1491 (((-634 (-288 (-953 |#2|))) (-634 |#2|) (-634 (-1161))) 32)) (-3510 (((-634 |#2|) (-953 |#1|) |#3|) 53) (((-634 |#2|) (-1157 |#1|) |#3|) 52)) (-4375 (((-634 (-634 |#2|)) (-634 (-953 |#1|)) (-634 (-953 |#1|)) (-634 (-1161)) |#3|) 87))) 
-(((-543 |#1| |#2| |#3|) (-10 -7 (-15 -3510 ((-634 |#2|) (-1157 |#1|) |#3|)) (-15 -3510 ((-634 |#2|) (-953 |#1|) |#3|)) (-15 -4375 ((-634 (-634 |#2|)) (-634 (-953 |#1|)) (-634 (-953 |#1|)) (-634 (-1161)) |#3|)) (-15 -1491 ((-634 (-288 (-953 |#2|))) (-634 |#2|) (-634 (-1161))))) (-453) (-365) (-13 (-365) (-840))) (T -543)) 
-((-1491 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *6)) (-5 *4 (-634 (-1161))) (-4 *6 (-365)) (-5 *2 (-634 (-288 (-953 *6)))) (-5 *1 (-543 *5 *6 *7)) (-4 *5 (-453)) (-4 *7 (-13 (-365) (-840))))) (-4375 (*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-634 (-953 *6))) (-5 *4 (-634 (-1161))) (-4 *6 (-453)) (-5 *2 (-634 (-634 *7))) (-5 *1 (-543 *6 *7 *5)) (-4 *7 (-365)) (-4 *5 (-13 (-365) (-840))))) (-3510 (*1 *2 *3 *4) (-12 (-5 *3 (-953 *5)) (-4 *5 (-453)) (-5 *2 (-634 *6)) (-5 *1 (-543 *5 *6 *4)) (-4 *6 (-365)) (-4 *4 (-13 (-365) (-840))))) (-3510 (*1 *2 *3 *4) (-12 (-5 *3 (-1157 *5)) (-4 *5 (-453)) (-5 *2 (-634 *6)) (-5 *1 (-543 *5 *6 *4)) (-4 *6 (-365)) (-4 *4 (-13 (-365) (-840)))))) 
-(-10 -7 (-15 -3510 ((-634 |#2|) (-1157 |#1|) |#3|)) (-15 -3510 ((-634 |#2|) (-953 |#1|) |#3|)) (-15 -4375 ((-634 (-634 |#2|)) (-634 (-953 |#1|)) (-634 (-953 |#1|)) (-634 (-1161)) |#3|)) (-15 -1491 ((-634 (-288 (-953 |#2|))) (-634 |#2|) (-634 (-1161))))) 
-((-3121 ((|#2| |#2| |#1|) 17)) (-2258 ((|#2| (-634 |#2|)) 26)) (-3567 ((|#2| (-634 |#2|)) 45))) 
-(((-544 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2258 (|#2| (-634 |#2|))) (-15 -3567 (|#2| (-634 |#2|))) (-15 -3121 (|#2| |#2| |#1|))) (-301) (-1219 |#1|) |#1| (-1 |#1| |#1| (-763))) (T -544)) 
-((-3121 (*1 *2 *2 *3) (-12 (-4 *3 (-301)) (-14 *4 *3) (-14 *5 (-1 *3 *3 (-763))) (-5 *1 (-544 *3 *2 *4 *5)) (-4 *2 (-1219 *3)))) (-3567 (*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-1219 *4)) (-5 *1 (-544 *4 *2 *5 *6)) (-4 *4 (-301)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-763))))) (-2258 (*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-1219 *4)) (-5 *1 (-544 *4 *2 *5 *6)) (-4 *4 (-301)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-763)))))) 
-(-10 -7 (-15 -2258 (|#2| (-634 |#2|))) (-15 -3567 (|#2| (-634 |#2|))) (-15 -3121 (|#2| |#2| |#1|))) 
-((-3850 (((-420 (-1157 |#4|)) (-1157 |#4|) (-1 (-420 (-1157 |#3|)) (-1157 |#3|))) 79) (((-420 |#4|) |#4| (-1 (-420 (-1157 |#3|)) (-1157 |#3|))) 164))) 
-(((-545 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3850 ((-420 |#4|) |#4| (-1 (-420 (-1157 |#3|)) (-1157 |#3|)))) (-15 -3850 ((-420 (-1157 |#4|)) (-1157 |#4|) (-1 (-420 (-1157 |#3|)) (-1157 |#3|))))) (-842) (-788) (-13 (-301) (-150)) (-950 |#3| |#2| |#1|)) (T -545)) 
-((-3850 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-420 (-1157 *7)) (-1157 *7))) (-4 *7 (-13 (-301) (-150))) (-4 *5 (-842)) (-4 *6 (-788)) (-4 *8 (-950 *7 *6 *5)) (-5 *2 (-420 (-1157 *8))) (-5 *1 (-545 *5 *6 *7 *8)) (-5 *3 (-1157 *8)))) (-3850 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-420 (-1157 *7)) (-1157 *7))) (-4 *7 (-13 (-301) (-150))) (-4 *5 (-842)) (-4 *6 (-788)) (-5 *2 (-420 *3)) (-5 *1 (-545 *5 *6 *7 *3)) (-4 *3 (-950 *7 *6 *5))))) 
-(-10 -7 (-15 -3850 ((-420 |#4|) |#4| (-1 (-420 (-1157 |#3|)) (-1157 |#3|)))) (-15 -3850 ((-420 (-1157 |#4|)) (-1157 |#4|) (-1 (-420 (-1157 |#3|)) (-1157 |#3|))))) 
-((-1517 ((|#4| |#4|) 73)) (-4388 ((|#4| |#4|) 69)) (-4169 ((|#4| |#4| (-568) (-568)) 75)) (-1471 ((|#4| |#4|) 71))) 
-(((-546 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4388 (|#4| |#4|)) (-15 -1471 (|#4| |#4|)) (-15 -1517 (|#4| |#4|)) (-15 -4169 (|#4| |#4| (-568) (-568)))) (-13 (-365) (-370) (-609 (-568))) (-1219 |#1|) (-714 |#1| |#2|) (-1234 |#3|)) (T -546)) 
-((-4169 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-568)) (-4 *4 (-13 (-365) (-370) (-609 *3))) (-4 *5 (-1219 *4)) (-4 *6 (-714 *4 *5)) (-5 *1 (-546 *4 *5 *6 *2)) (-4 *2 (-1234 *6)))) (-1517 (*1 *2 *2) (-12 (-4 *3 (-13 (-365) (-370) (-609 (-568)))) (-4 *4 (-1219 *3)) (-4 *5 (-714 *3 *4)) (-5 *1 (-546 *3 *4 *5 *2)) (-4 *2 (-1234 *5)))) (-1471 (*1 *2 *2) (-12 (-4 *3 (-13 (-365) (-370) (-609 (-568)))) (-4 *4 (-1219 *3)) (-4 *5 (-714 *3 *4)) (-5 *1 (-546 *3 *4 *5 *2)) (-4 *2 (-1234 *5)))) (-4388 (*1 *2 *2) (-12 (-4 *3 (-13 (-365) (-370) (-609 (-568)))) (-4 *4 (-1219 *3)) (-4 *5 (-714 *3 *4)) (-5 *1 (-546 *3 *4 *5 *2)) (-4 *2 (-1234 *5))))) 
-(-10 -7 (-15 -4388 (|#4| |#4|)) (-15 -1471 (|#4| |#4|)) (-15 -1517 (|#4| |#4|)) (-15 -4169 (|#4| |#4| (-568) (-568)))) 
-((-1517 ((|#2| |#2|) 27)) (-4388 ((|#2| |#2|) 23)) (-4169 ((|#2| |#2| (-568) (-568)) 29)) (-1471 ((|#2| |#2|) 25))) 
-(((-547 |#1| |#2|) (-10 -7 (-15 -4388 (|#2| |#2|)) (-15 -1471 (|#2| |#2|)) (-15 -1517 (|#2| |#2|)) (-15 -4169 (|#2| |#2| (-568) (-568)))) (-13 (-365) (-370) (-609 (-568))) (-1234 |#1|)) (T -547)) 
-((-4169 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-568)) (-4 *4 (-13 (-365) (-370) (-609 *3))) (-5 *1 (-547 *4 *2)) (-4 *2 (-1234 *4)))) (-1517 (*1 *2 *2) (-12 (-4 *3 (-13 (-365) (-370) (-609 (-568)))) (-5 *1 (-547 *3 *2)) (-4 *2 (-1234 *3)))) (-1471 (*1 *2 *2) (-12 (-4 *3 (-13 (-365) (-370) (-609 (-568)))) (-5 *1 (-547 *3 *2)) (-4 *2 (-1234 *3)))) (-4388 (*1 *2 *2) (-12 (-4 *3 (-13 (-365) (-370) (-609 (-568)))) (-5 *1 (-547 *3 *2)) (-4 *2 (-1234 *3))))) 
-(-10 -7 (-15 -4388 (|#2| |#2|)) (-15 -1471 (|#2| |#2|)) (-15 -1517 (|#2| |#2|)) (-15 -4169 (|#2| |#2| (-568) (-568)))) 
-((-2566 (((-3 (-568) "failed") |#2| |#1| (-1 (-3 (-568) "failed") |#1|)) 14) (((-3 (-568) "failed") |#2| |#1| (-568) (-1 (-3 (-568) "failed") |#1|)) 13) (((-3 (-568) "failed") |#2| (-568) (-1 (-3 (-568) "failed") |#1|)) 26))) 
-(((-548 |#1| |#2|) (-10 -7 (-15 -2566 ((-3 (-568) "failed") |#2| (-568) (-1 (-3 (-568) "failed") |#1|))) (-15 -2566 ((-3 (-568) "failed") |#2| |#1| (-568) (-1 (-3 (-568) "failed") |#1|))) (-15 -2566 ((-3 (-568) "failed") |#2| |#1| (-1 (-3 (-568) "failed") |#1|)))) (-1047) (-1219 |#1|)) (T -548)) 
-((-2566 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-568) "failed") *4)) (-4 *4 (-1047)) (-5 *2 (-568)) (-5 *1 (-548 *4 *3)) (-4 *3 (-1219 *4)))) (-2566 (*1 *2 *3 *4 *2 *5) (|partial| -12 (-5 *5 (-1 (-3 (-568) "failed") *4)) (-4 *4 (-1047)) (-5 *2 (-568)) (-5 *1 (-548 *4 *3)) (-4 *3 (-1219 *4)))) (-2566 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *4 (-1 (-3 (-568) "failed") *5)) (-4 *5 (-1047)) (-5 *2 (-568)) (-5 *1 (-548 *5 *3)) (-4 *3 (-1219 *5))))) 
-(-10 -7 (-15 -2566 ((-3 (-568) "failed") |#2| (-568) (-1 (-3 (-568) "failed") |#1|))) (-15 -2566 ((-3 (-568) "failed") |#2| |#1| (-568) (-1 (-3 (-568) "failed") |#1|))) (-15 -2566 ((-3 (-568) "failed") |#2| |#1| (-1 (-3 (-568) "failed") |#1|)))) 
-((-2519 (($ $ $) 78)) (-3498 (((-420 $) $) 46)) (-3668 (((-3 (-568) "failed") $) 58)) (-2857 (((-568) $) 36)) (-3254 (((-3 (-409 (-568)) "failed") $) 73)) (-1338 (((-121) $) 23)) (-2394 (((-409 (-568)) $) 71)) (-2197 (((-121) $) 49)) (-2382 (($ $ $ $) 85)) (-1436 (((-121) $) 15)) (-2341 (($ $ $) 56)) (-1519 (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) 68)) (-2214 (((-3 $ "failed") $) 63)) (-3248 (($ $) 22)) (-3264 (($ $ $) 83)) (-4436 (($) 59)) (-2406 (($ $) 52)) (-3850 (((-420 $) $) 44)) (-2080 (((-121) $) 13)) (-1466 (((-763) $) 27)) (-4191 (($ $ (-763)) NIL) (($ $) 10)) (-3865 (($ $) 16)) (-4280 (((-568) $) NIL) (((-541) $) 35) (((-887 (-568)) $) 39) (((-381) $) 30) (((-215) $) 32)) (-3425 (((-763)) 8)) (-3600 (((-121) $ $) 19)) (-3584 (($ $ $) 54))) 
-(((-549 |#1|) (-10 -8 (-15 -3264 (|#1| |#1| |#1|)) (-15 -2382 (|#1| |#1| |#1| |#1|)) (-15 -3248 (|#1| |#1|)) (-15 -3865 (|#1| |#1|)) (-15 -3254 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2394 ((-409 (-568)) |#1|)) (-15 -1338 ((-121) |#1|)) (-15 -2519 (|#1| |#1| |#1|)) (-15 -3600 ((-121) |#1| |#1|)) (-15 -2080 ((-121) |#1|)) (-15 -4436 (|#1|)) (-15 -2214 ((-3 |#1| "failed") |#1|)) (-15 -4280 ((-215) |#1|)) (-15 -4280 ((-381) |#1|)) (-15 -2341 (|#1| |#1| |#1|)) (-15 -2406 (|#1| |#1|)) (-15 -3584 (|#1| |#1| |#1|)) (-15 -1519 ((-884 (-568) |#1|) |#1| (-887 (-568)) (-884 (-568) |#1|))) (-15 -4280 ((-887 (-568)) |#1|)) (-15 -4280 ((-541) |#1|)) (-15 -2857 ((-568) |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -4280 ((-568) |#1|)) (-15 -4191 (|#1| |#1|)) (-15 -4191 (|#1| |#1| (-763))) (-15 -1436 ((-121) |#1|)) (-15 -1466 ((-763) |#1|)) (-15 -3850 ((-420 |#1|) |#1|)) (-15 -3498 ((-420 |#1|) |#1|)) (-15 -2197 ((-121) |#1|)) (-15 -3425 ((-763)))) (-550)) (T -549)) 
-((-3425 (*1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-549 *3)) (-4 *3 (-550))))) 
-(-10 -8 (-15 -3264 (|#1| |#1| |#1|)) (-15 -2382 (|#1| |#1| |#1| |#1|)) (-15 -3248 (|#1| |#1|)) (-15 -3865 (|#1| |#1|)) (-15 -3254 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2394 ((-409 (-568)) |#1|)) (-15 -1338 ((-121) |#1|)) (-15 -2519 (|#1| |#1| |#1|)) (-15 -3600 ((-121) |#1| |#1|)) (-15 -2080 ((-121) |#1|)) (-15 -4436 (|#1|)) (-15 -2214 ((-3 |#1| "failed") |#1|)) (-15 -4280 ((-215) |#1|)) (-15 -4280 ((-381) |#1|)) (-15 -2341 (|#1| |#1| |#1|)) (-15 -2406 (|#1| |#1|)) (-15 -3584 (|#1| |#1| |#1|)) (-15 -1519 ((-884 (-568) |#1|) |#1| (-887 (-568)) (-884 (-568) |#1|))) (-15 -4280 ((-887 (-568)) |#1|)) (-15 -4280 ((-541) |#1|)) (-15 -2857 ((-568) |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -4280 ((-568) |#1|)) (-15 -4191 (|#1| |#1|)) (-15 -4191 (|#1| |#1| (-763))) (-15 -1436 ((-121) |#1|)) (-15 -1466 ((-763) |#1|)) (-15 -3850 ((-420 |#1|) |#1|)) (-15 -3498 ((-420 |#1|) |#1|)) (-15 -2197 ((-121) |#1|)) (-15 -3425 ((-763)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 40)) (-3661 (($ $) 39)) (-4426 (((-121) $) 37)) (-2519 (($ $ $) 82)) (-2689 (((-3 $ "failed") $ $) 18)) (-1353 (($ $ $ $) 70)) (-3045 (($ $) 49)) (-3498 (((-420 $) $) 50)) (-2589 (((-121) $ $) 122)) (-3337 (((-568) $) 111)) (-1872 (($ $ $) 85)) (-4490 (($) 16 T CONST)) (-3668 (((-3 (-568) "failed") $) 103)) (-2857 (((-568) $) 102)) (-2403 (($ $ $) 126)) (-1668 (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) 101) (((-679 (-568)) (-679 $)) 100)) (-2902 (((-3 $ "failed") $) 33)) (-3254 (((-3 (-409 (-568)) "failed") $) 79)) (-1338 (((-121) $) 81)) (-2394 (((-409 (-568)) $) 80)) (-1733 (($) 78) (($ $) 77)) (-2414 (($ $ $) 125)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 120)) (-2197 (((-121) $) 51)) (-2382 (($ $ $ $) 68)) (-3155 (($ $ $) 83)) (-1436 (((-121) $) 113)) (-2341 (($ $ $) 94)) (-1519 (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) 97)) (-1598 (((-121) $) 30)) (-2268 (((-121) $) 89)) (-2214 (((-3 $ "failed") $) 91)) (-2859 (((-121) $) 112)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 129)) (-4374 (($ $ $ $) 69)) (-1732 (($ $ $) 114)) (-2047 (($ $ $) 115)) (-3248 (($ $) 72)) (-3680 (($ $) 86)) (-2498 (($ $ $) 45) (($ (-634 $)) 44)) (-1893 (((-1143) $) 9)) (-3264 (($ $ $) 67)) (-4436 (($) 90 T CONST)) (-1890 (($ $) 74)) (-4025 (((-1108) $) 10) (($ $) 76)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 43)) (-2723 (($ $ $) 47) (($ (-634 $)) 46)) (-2406 (($ $) 95)) (-3850 (((-420 $) $) 48)) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 128) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 127)) (-2597 (((-3 $ "failed") $ $) 41)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 121)) (-2080 (((-121) $) 88)) (-1466 (((-763) $) 123)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 124)) (-4191 (($ $ (-763)) 108) (($ $) 106)) (-3953 (($ $) 73)) (-3865 (($ $) 75)) (-4280 (((-568) $) 105) (((-541) $) 99) (((-887 (-568)) $) 98) (((-381) $) 93) (((-215) $) 92)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ $) 42) (($ (-568)) 104)) (-3425 (((-763)) 28)) (-3600 (((-121) $ $) 84)) (-3584 (($ $ $) 96)) (-2404 (($) 87)) (-2273 (((-121) $ $) 38)) (-1564 (($ $ $ $) 71)) (-2811 (($ $) 110)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3192 (($ $ (-763)) 109) (($ $) 107)) (-1753 (((-121) $ $) 117)) (-1740 (((-121) $ $) 118)) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 116)) (-1734 (((-121) $ $) 119)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23))) 
-(((-550) (-1275)) (T -550)) 
-((-2268 (*1 *2 *1) (-12 (-4 *1 (-550)) (-5 *2 (-121)))) (-2080 (*1 *2 *1) (-12 (-4 *1 (-550)) (-5 *2 (-121)))) (-2404 (*1 *1) (-4 *1 (-550))) (-3680 (*1 *1 *1) (-4 *1 (-550))) (-1872 (*1 *1 *1 *1) (-4 *1 (-550))) (-3600 (*1 *2 *1 *1) (-12 (-4 *1 (-550)) (-5 *2 (-121)))) (-3155 (*1 *1 *1 *1) (-4 *1 (-550))) (-2519 (*1 *1 *1 *1) (-4 *1 (-550))) (-1338 (*1 *2 *1) (-12 (-4 *1 (-550)) (-5 *2 (-121)))) (-2394 (*1 *2 *1) (-12 (-4 *1 (-550)) (-5 *2 (-409 (-568))))) (-3254 (*1 *2 *1) (|partial| -12 (-4 *1 (-550)) (-5 *2 (-409 (-568))))) (-1733 (*1 *1) (-4 *1 (-550))) (-1733 (*1 *1 *1) (-4 *1 (-550))) (-4025 (*1 *1 *1) (-4 *1 (-550))) (-3865 (*1 *1 *1) (-4 *1 (-550))) (-1890 (*1 *1 *1) (-4 *1 (-550))) (-3953 (*1 *1 *1) (-4 *1 (-550))) (-3248 (*1 *1 *1) (-4 *1 (-550))) (-1564 (*1 *1 *1 *1 *1) (-4 *1 (-550))) (-1353 (*1 *1 *1 *1 *1) (-4 *1 (-550))) (-4374 (*1 *1 *1 *1 *1) (-4 *1 (-550))) (-2382 (*1 *1 *1 *1 *1) (-4 *1 (-550))) (-3264 (*1 *1 *1 *1) (-4 *1 (-550)))) 
-(-13 (-1199) (-301) (-815) (-225) (-609 (-568)) (-1037 (-568)) (-630 (-568)) (-609 (-541)) (-609 (-887 (-568))) (-881 (-568)) (-146) (-1021) (-150) (-1136) (-10 -8 (-15 -2268 ((-121) $)) (-15 -2080 ((-121) $)) (-6 -4520) (-15 -2404 ($)) (-15 -3680 ($ $)) (-15 -1872 ($ $ $)) (-15 -3600 ((-121) $ $)) (-15 -3155 ($ $ $)) (-15 -2519 ($ $ $)) (-15 -1338 ((-121) $)) (-15 -2394 ((-409 (-568)) $)) (-15 -3254 ((-3 (-409 (-568)) "failed") $)) (-15 -1733 ($)) (-15 -1733 ($ $)) (-15 -4025 ($ $)) (-15 -3865 ($ $)) (-15 -1890 ($ $)) (-15 -3953 ($ $)) (-15 -3248 ($ $)) (-15 -1564 ($ $ $ $)) (-15 -1353 ($ $ $ $)) (-15 -4374 ($ $ $ $)) (-15 -2382 ($ $ $ $)) (-15 -3264 ($ $ $)) (-6 -4519))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-137) . T) ((-150) . T) ((-608 (-850)) . T) ((-146) . T) ((-172) . T) ((-609 (-215)) . T) ((-609 (-381)) . T) ((-609 (-541)) . T) ((-609 (-568)) . T) ((-609 (-887 (-568))) . T) ((-225) . T) ((-285) . T) ((-301) . T) ((-453) . T) ((-558) . T) ((-637 $) . T) ((-630 (-568)) . T) ((-707 $) . T) ((-716) . T) ((-786) . T) ((-787) . T) ((-789) . T) ((-790) . T) ((-815) . T) ((-840) . T) ((-842) . T) ((-881 (-568)) . T) ((-916) . T) ((-1021) . T) ((-1037 (-568)) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1136) . T) ((-1199) . T)) 
-((-2449 (((-121) $ $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-2988 (($) NIL) (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-2481 (((-1249) $ |#1| |#1|) NIL (|has| $ (-6 -4522)))) (-1667 (((-121) $ (-763)) NIL)) (-2438 ((|#2| $ |#1| |#2|) NIL)) (-3963 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-2803 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-2678 (((-3 |#2| "failed") |#1| $) NIL)) (-4490 (($) NIL T CONST)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))))) (-1568 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (|has| $ (-6 -4521))) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-3 |#2| "failed") |#1| $) NIL)) (-4330 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-3094 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (|has| $ (-6 -4521))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-1292 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4522)))) (-2069 ((|#2| $ |#1|) NIL)) (-3317 (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-634 |#2|) $) NIL (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) NIL)) (-2539 ((|#1| $) NIL (|has| |#1| (-842)))) (-4406 (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-634 |#2|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-3631 ((|#1| $) NIL (|has| |#1| (-842)))) (-2253 (($ (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4522))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-4253 (((-634 |#1|) $) NIL)) (-2807 (((-121) |#1| $) NIL)) (-2580 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL)) (-1708 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL)) (-3948 (((-634 |#1|) $) NIL)) (-2916 (((-121) |#1| $) NIL)) (-4025 (((-1108) $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-3877 ((|#2| $) NIL (|has| |#1| (-842)))) (-2712 (((-3 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) "failed") (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL)) (-2490 (($ $ |#2|) NIL (|has| $ (-6 -4522)))) (-3403 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL)) (-3951 (((-121) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-288 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-634 |#2|) (-634 |#2|)) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-288 |#2|)) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-634 (-288 |#2|))) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-1480 (((-634 |#2|) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-3132 (($) NIL) (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-4170 (((-763) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-763) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (((-763) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090)))) (((-763) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) NIL (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-609 (-541))))) (-4289 (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-2747 (((-850) $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-4074 (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-3437 (((-121) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-551 |#1| |#2| |#3|) (-13 (-1172 |#1| |#2|) (-10 -7 (-6 -4521))) (-1090) (-1090) (-13 (-1172 |#1| |#2|) (-10 -7 (-6 -4521)))) (T -551)) 
-NIL 
-(-13 (-1172 |#1| |#2|) (-10 -7 (-6 -4521))) 
-((-3120 (((-585 |#2|) |#2| (-607 |#2|) (-607 |#2|) (-1 (-1157 |#2|) (-1157 |#2|))) 49))) 
-(((-552 |#1| |#2|) (-10 -7 (-15 -3120 ((-585 |#2|) |#2| (-607 |#2|) (-607 |#2|) (-1 (-1157 |#2|) (-1157 |#2|))))) (-13 (-842) (-558)) (-13 (-27) (-432 |#1|))) (T -552)) 
-((-3120 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-607 *3)) (-5 *5 (-1 (-1157 *3) (-1157 *3))) (-4 *3 (-13 (-27) (-432 *6))) (-4 *6 (-13 (-842) (-558))) (-5 *2 (-585 *3)) (-5 *1 (-552 *6 *3))))) 
-(-10 -7 (-15 -3120 ((-585 |#2|) |#2| (-607 |#2|) (-607 |#2|) (-1 (-1157 |#2|) (-1157 |#2|))))) 
-((-2493 (((-585 |#5|) |#5| (-1 |#3| |#3|)) 195)) (-2136 (((-3 |#5| "failed") |#5| (-1 |#3| |#3|)) 191)) (-4345 (((-585 |#5|) |#5| (-1 |#3| |#3|)) 198))) 
-(((-553 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4345 ((-585 |#5|) |#5| (-1 |#3| |#3|))) (-15 -2493 ((-585 |#5|) |#5| (-1 |#3| |#3|))) (-15 -2136 ((-3 |#5| "failed") |#5| (-1 |#3| |#3|)))) (-13 (-842) (-558) (-1037 (-568))) (-13 (-27) (-432 |#1|)) (-1219 |#2|) (-1219 (-409 |#3|)) (-340 |#2| |#3| |#4|)) (T -553)) 
-((-2136 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1 *6 *6)) (-4 *6 (-1219 *5)) (-4 *5 (-13 (-27) (-432 *4))) (-4 *4 (-13 (-842) (-558) (-1037 (-568)))) (-4 *7 (-1219 (-409 *6))) (-5 *1 (-553 *4 *5 *6 *7 *2)) (-4 *2 (-340 *5 *6 *7)))) (-2493 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1219 *6)) (-4 *6 (-13 (-27) (-432 *5))) (-4 *5 (-13 (-842) (-558) (-1037 (-568)))) (-4 *8 (-1219 (-409 *7))) (-5 *2 (-585 *3)) (-5 *1 (-553 *5 *6 *7 *8 *3)) (-4 *3 (-340 *6 *7 *8)))) (-4345 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1219 *6)) (-4 *6 (-13 (-27) (-432 *5))) (-4 *5 (-13 (-842) (-558) (-1037 (-568)))) (-4 *8 (-1219 (-409 *7))) (-5 *2 (-585 *3)) (-5 *1 (-553 *5 *6 *7 *8 *3)) (-4 *3 (-340 *6 *7 *8))))) 
-(-10 -7 (-15 -4345 ((-585 |#5|) |#5| (-1 |#3| |#3|))) (-15 -2493 ((-585 |#5|) |#5| (-1 |#3| |#3|))) (-15 -2136 ((-3 |#5| "failed") |#5| (-1 |#3| |#3|)))) 
-((-3684 (((-121) (-568) (-568)) 10)) (-2896 (((-568) (-568)) 7)) (-2627 (((-568) (-568) (-568)) 8))) 
-(((-554) (-10 -7 (-15 -2896 ((-568) (-568))) (-15 -2627 ((-568) (-568) (-568))) (-15 -3684 ((-121) (-568) (-568))))) (T -554)) 
-((-3684 (*1 *2 *3 *3) (-12 (-5 *3 (-568)) (-5 *2 (-121)) (-5 *1 (-554)))) (-2627 (*1 *2 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-554)))) (-2896 (*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-554))))) 
-(-10 -7 (-15 -2896 ((-568) (-568))) (-15 -2627 ((-568) (-568) (-568))) (-15 -3684 ((-121) (-568) (-568)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-1987 ((|#1| $) 59)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 40)) (-3661 (($ $) 39)) (-4426 (((-121) $) 37)) (-1984 (($ $) 89)) (-1935 (($ $) 72)) (-2409 ((|#1| $) 60)) (-2689 (((-3 $ "failed") $ $) 18)) (-1904 (($ $) 71)) (-1976 (($ $) 88)) (-2788 (($ $) 73)) (-1992 (($ $) 87)) (-1943 (($ $) 74)) (-4490 (($) 16 T CONST)) (-3668 (((-3 (-568) "failed") $) 67)) (-2857 (((-568) $) 66)) (-2902 (((-3 $ "failed") $) 33)) (-1950 (($ |#1| |#1|) 64)) (-1436 (((-121) $) 58)) (-1899 (($) 99)) (-1598 (((-121) $) 30)) (-1550 (($ $ (-568)) 70)) (-2859 (((-121) $) 57)) (-1732 (($ $ $) 105)) (-2047 (($ $ $) 104)) (-4418 (($ $) 96)) (-2498 (($ $ $) 45) (($ (-634 $)) 44)) (-1893 (((-1143) $) 9)) (-4475 (($ |#1| |#1|) 65) (($ |#1|) 63) (($ (-409 (-568))) 62)) (-2933 ((|#1| $) 61)) (-4025 (((-1108) $) 10)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 43)) (-2723 (($ $ $) 47) (($ (-634 $)) 46)) (-2597 (((-3 $ "failed") $ $) 41)) (-1894 (($ $) 97)) (-1996 (($ $) 86)) (-1947 (($ $) 75)) (-1988 (($ $) 85)) (-1939 (($ $) 76)) (-1980 (($ $) 84)) (-2792 (($ $) 77)) (-3238 (((-121) $ |#1|) 56)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ $) 42) (($ (-568)) 68)) (-3425 (((-763)) 28)) (-2008 (($ $) 95)) (-1959 (($ $) 83)) (-2273 (((-121) $ $) 38)) (-2000 (($ $) 94)) (-1951 (($ $) 82)) (-2016 (($ $) 93)) (-1968 (($ $) 81)) (-1439 (($ $) 92)) (-1972 (($ $) 80)) (-2012 (($ $) 91)) (-1964 (($ $) 79)) (-2004 (($ $) 90)) (-1955 (($ $) 78)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1753 (((-121) $ $) 102)) (-1740 (((-121) $ $) 101)) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 103)) (-1734 (((-121) $ $) 100)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ $) 98) (($ $ (-409 (-568))) 69)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23))) 
-(((-555 |#1|) (-1275) (-13 (-406) (-1181))) (T -555)) 
-((-4475 (*1 *1 *2 *2) (-12 (-4 *1 (-555 *2)) (-4 *2 (-13 (-406) (-1181))))) (-1950 (*1 *1 *2 *2) (-12 (-4 *1 (-555 *2)) (-4 *2 (-13 (-406) (-1181))))) (-4475 (*1 *1 *2) (-12 (-4 *1 (-555 *2)) (-4 *2 (-13 (-406) (-1181))))) (-4475 (*1 *1 *2) (-12 (-5 *2 (-409 (-568))) (-4 *1 (-555 *3)) (-4 *3 (-13 (-406) (-1181))))) (-2933 (*1 *2 *1) (-12 (-4 *1 (-555 *2)) (-4 *2 (-13 (-406) (-1181))))) (-2409 (*1 *2 *1) (-12 (-4 *1 (-555 *2)) (-4 *2 (-13 (-406) (-1181))))) (-1987 (*1 *2 *1) (-12 (-4 *1 (-555 *2)) (-4 *2 (-13 (-406) (-1181))))) (-1436 (*1 *2 *1) (-12 (-4 *1 (-555 *3)) (-4 *3 (-13 (-406) (-1181))) (-5 *2 (-121)))) (-2859 (*1 *2 *1) (-12 (-4 *1 (-555 *3)) (-4 *3 (-13 (-406) (-1181))) (-5 *2 (-121)))) (-3238 (*1 *2 *1 *3) (-12 (-4 *1 (-555 *3)) (-4 *3 (-13 (-406) (-1181))) (-5 *2 (-121))))) 
-(-13 (-453) (-842) (-1181) (-1002) (-1037 (-568)) (-10 -8 (-6 -3999) (-15 -4475 ($ |t#1| |t#1|)) (-15 -1950 ($ |t#1| |t#1|)) (-15 -4475 ($ |t#1|)) (-15 -4475 ($ (-409 (-568)))) (-15 -2933 (|t#1| $)) (-15 -2409 (|t#1| $)) (-15 -1987 (|t#1| $)) (-15 -1436 ((-121) $)) (-15 -2859 ((-121) $)) (-15 -3238 ((-121) $ |t#1|)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-40) . T) ((-98) . T) ((-105) . T) ((-120 $ $) . T) ((-137) . T) ((-608 (-850)) . T) ((-172) . T) ((-279) . T) ((-285) . T) ((-453) . T) ((-502) . T) ((-558) . T) ((-637 $) . T) ((-707 $) . T) ((-716) . T) ((-842) . T) ((-1002) . T) ((-1037 (-568)) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1181) . T) ((-1184) . T)) 
-((-3869 (((-1249) (-917) |#3| (-634 |#5|)) 55)) (-2335 ((|#8| |#3| |#3| (-634 |#10|) (-634 |#5|)) 52))) 
-(((-556 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10| |#11|) (-10 -7 (-15 -2335 (|#8| |#3| |#3| (-634 |#10|) (-634 |#5|))) (-15 -3869 ((-1249) (-917) |#3| (-634 |#5|)))) (-365) (-634 (-1161)) (-950 |#1| |#4| (-852 |#2|)) (-230 (-1699 |#2|) (-763)) (-971 |#1|) (-641 |#1|) (-920 |#1| |#6|) (-235 |#7|) (-536 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#11|) (-258 |#9|) (-117)) (T -556)) 
-((-3869 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-917)) (-5 *5 (-634 *9)) (-4 *9 (-971 *6)) (-4 *6 (-365)) (-14 *7 (-634 (-1161))) (-4 *4 (-950 *6 *8 (-852 *7))) (-4 *8 (-230 (-1699 *7) (-763))) (-4 *10 (-641 *6)) (-4 *11 (-920 *6 *10)) (-4 *12 (-235 *11)) (-4 *13 (-536 *6 *7 *4 *8 *9 *10 *11 *12 *15)) (-4 *15 (-117)) (-5 *2 (-1249)) (-5 *1 (-556 *6 *7 *4 *8 *9 *10 *11 *12 *13 *14 *15)) (-4 *14 (-258 *13)))) (-2335 (*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-634 *13)) (-5 *5 (-634 *9)) (-4 *9 (-971 *6)) (-4 *13 (-258 *12)) (-4 *6 (-365)) (-4 *12 (-536 *6 *7 *3 *8 *9 *10 *11 *2 *14)) (-4 *14 (-117)) (-14 *7 (-634 (-1161))) (-4 *3 (-950 *6 *8 (-852 *7))) (-4 *8 (-230 (-1699 *7) (-763))) (-4 *10 (-641 *6)) (-4 *11 (-920 *6 *10)) (-4 *2 (-235 *11)) (-5 *1 (-556 *6 *7 *3 *8 *9 *10 *11 *2 *12 *13 *14))))) 
-(-10 -7 (-15 -2335 (|#8| |#3| |#3| (-634 |#10|) (-634 |#5|))) (-15 -3869 ((-1249) (-917) |#3| (-634 |#5|)))) 
-((-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 9)) (-3661 (($ $) 11)) (-4426 (((-121) $) 18)) (-2902 (((-3 $ "failed") $) 16)) (-2273 (((-121) $ $) 20))) 
-(((-557 |#1|) (-10 -8 (-15 -4426 ((-121) |#1|)) (-15 -2273 ((-121) |#1| |#1|)) (-15 -3661 (|#1| |#1|)) (-15 -2431 ((-2 (|:| -3591 |#1|) (|:| -4508 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -2902 ((-3 |#1| "failed") |#1|))) (-558)) (T -557)) 
-NIL 
-(-10 -8 (-15 -4426 ((-121) |#1|)) (-15 -2273 ((-121) |#1| |#1|)) (-15 -3661 (|#1| |#1|)) (-15 -2431 ((-2 (|:| -3591 |#1|) (|:| -4508 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -2902 ((-3 |#1| "failed") |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 40)) (-3661 (($ $) 39)) (-4426 (((-121) $) 37)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-2902 (((-3 $ "failed") $) 33)) (-1598 (((-121) $) 30)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2597 (((-3 $ "failed") $ $) 41)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ $) 42)) (-3425 (((-763)) 28)) (-2273 (((-121) $ $) 38)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23))) 
-(((-558) (-1275)) (T -558)) 
-((-2597 (*1 *1 *1 *1) (|partial| -4 *1 (-558))) (-2431 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| -3591 *1) (|:| -4508 *1) (|:| |associate| *1))) (-4 *1 (-558)))) (-3661 (*1 *1 *1) (-4 *1 (-558))) (-2273 (*1 *2 *1 *1) (-12 (-4 *1 (-558)) (-5 *2 (-121)))) (-4426 (*1 *2 *1) (-12 (-4 *1 (-558)) (-5 *2 (-121))))) 
-(-13 (-172) (-43 $) (-285) (-10 -8 (-15 -2597 ((-3 $ "failed") $ $)) (-15 -2431 ((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $)) (-15 -3661 ($ $)) (-15 -2273 ((-121) $ $)) (-15 -4426 ((-121) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-137) . T) ((-608 (-850)) . T) ((-172) . T) ((-285) . T) ((-637 $) . T) ((-707 $) . T) ((-716) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-2119 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-1161) (-634 |#2|)) 35)) (-2663 (((-585 |#2|) |#2| (-1161)) 58)) (-4152 (((-3 |#2| "failed") |#2| (-1161)) 147)) (-3654 (((-3 (-2 (|:| -4151 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1161) (-607 |#2|) (-634 (-607 |#2|))) 149)) (-2686 (((-3 (-2 (|:| -4151 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1161) |#2|) 38))) 
-(((-559 |#1| |#2|) (-10 -7 (-15 -2686 ((-3 (-2 (|:| -4151 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1161) |#2|)) (-15 -2119 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-1161) (-634 |#2|))) (-15 -4152 ((-3 |#2| "failed") |#2| (-1161))) (-15 -2663 ((-585 |#2|) |#2| (-1161))) (-15 -3654 ((-3 (-2 (|:| -4151 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1161) (-607 |#2|) (-634 (-607 |#2|))))) (-13 (-453) (-842) (-150) (-1037 (-568)) (-630 (-568))) (-13 (-27) (-1181) (-432 |#1|))) (T -559)) 
-((-3654 (*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1161)) (-5 *6 (-634 (-607 *3))) (-5 *5 (-607 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *7))) (-4 *7 (-13 (-453) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-2 (|:| -4151 *3) (|:| |coeff| *3))) (-5 *1 (-559 *7 *3)))) (-2663 (*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-13 (-453) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-585 *3)) (-5 *1 (-559 *5 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *5))))) (-4152 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1161)) (-4 *4 (-13 (-453) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-559 *4 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *4))))) (-2119 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1161)) (-5 *5 (-634 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *6))) (-4 *6 (-13 (-453) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-559 *6 *3)))) (-2686 (*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1161)) (-4 *5 (-13 (-453) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-2 (|:| -4151 *3) (|:| |coeff| *3))) (-5 *1 (-559 *5 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *5)))))) 
-(-10 -7 (-15 -2686 ((-3 (-2 (|:| -4151 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1161) |#2|)) (-15 -2119 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-1161) (-634 |#2|))) (-15 -4152 ((-3 |#2| "failed") |#2| (-1161))) (-15 -2663 ((-585 |#2|) |#2| (-1161))) (-15 -3654 ((-3 (-2 (|:| -4151 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1161) (-607 |#2|) (-634 (-607 |#2|))))) 
-((-1506 (((-634 |#5|) (-634 |#5|)) 41))) 
-(((-560 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1506 ((-634 |#5|) (-634 |#5|)))) (-365) (-634 (-1161)) (-788) (-842) (-950 |#1| |#3| |#4|)) (T -560)) 
-((-1506 (*1 *2 *2) (-12 (-5 *2 (-634 *7)) (-4 *7 (-950 *3 *5 *6)) (-4 *3 (-365)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-560 *3 *4 *5 *6 *7)) (-14 *4 (-634 (-1161)))))) 
-(-10 -7 (-15 -1506 ((-634 |#5|) (-634 |#5|)))) 
-((-3498 (((-420 |#1|) |#1|) 18)) (-3850 (((-420 |#1|) |#1|) 32)) (-3449 (((-3 |#1| "failed") |#1|) 43)) (-4024 (((-420 |#1|) |#1|) 49))) 
-(((-561 |#1|) (-10 -7 (-15 -3850 ((-420 |#1|) |#1|)) (-15 -3498 ((-420 |#1|) |#1|)) (-15 -4024 ((-420 |#1|) |#1|)) (-15 -3449 ((-3 |#1| "failed") |#1|))) (-550)) (T -561)) 
-((-3449 (*1 *2 *2) (|partial| -12 (-5 *1 (-561 *2)) (-4 *2 (-550)))) (-4024 (*1 *2 *3) (-12 (-5 *2 (-420 *3)) (-5 *1 (-561 *3)) (-4 *3 (-550)))) (-3498 (*1 *2 *3) (-12 (-5 *2 (-420 *3)) (-5 *1 (-561 *3)) (-4 *3 (-550)))) (-3850 (*1 *2 *3) (-12 (-5 *2 (-420 *3)) (-5 *1 (-561 *3)) (-4 *3 (-550))))) 
-(-10 -7 (-15 -3850 ((-420 |#1|) |#1|)) (-15 -3498 ((-420 |#1|) |#1|)) (-15 -4024 ((-420 |#1|) |#1|)) (-15 -3449 ((-3 |#1| "failed") |#1|))) 
-((-1758 (((-634 |#3|) |#8| (-634 |#3|)) 45)) (-4454 (((-634 |#3|) |#8| (-763) |#3| (-634 |#3|)) 44)) (-3814 (((-634 (-1244 |#1|)) |#8| (-634 |#3|)) 26)) (-1399 (((-634 (-1244 |#1|)) |#8| (-634 |#3|)) 27))) 
-(((-562 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -1399 ((-634 (-1244 |#1|)) |#8| (-634 |#3|))) (-15 -3814 ((-634 (-1244 |#1|)) |#8| (-634 |#3|))) (-15 -1758 ((-634 |#3|) |#8| (-634 |#3|))) (-15 -4454 ((-634 |#3|) |#8| (-763) |#3| (-634 |#3|)))) (-365) (-634 (-1161)) (-950 |#1| |#4| (-852 |#2|)) (-230 (-1699 |#2|) (-763)) (-971 |#1|) (-641 |#1|) (-920 |#1| |#6|) (-235 |#7|)) (T -562)) 
-((-4454 (*1 *2 *3 *4 *5 *2) (-12 (-5 *2 (-634 *5)) (-4 *5 (-950 *6 *8 (-852 *7))) (-4 *8 (-230 (-1699 *7) *4)) (-5 *4 (-763)) (-4 *6 (-365)) (-14 *7 (-634 (-1161))) (-4 *10 (-641 *6)) (-4 *11 (-920 *6 *10)) (-5 *1 (-562 *6 *7 *5 *8 *9 *10 *11 *3)) (-4 *9 (-971 *6)) (-4 *3 (-235 *11)))) (-1758 (*1 *2 *3 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-5 *1 (-562 *4 *5 *6 *7 *8 *9 *10 *3)) (-4 *8 (-971 *4)) (-4 *3 (-235 *10)))) (-3814 (*1 *2 *3 *4) (-12 (-5 *4 (-634 *7)) (-4 *7 (-950 *5 *8 (-852 *6))) (-4 *8 (-230 (-1699 *6) (-763))) (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *10 (-641 *5)) (-4 *11 (-920 *5 *10)) (-5 *2 (-634 (-1244 *5))) (-5 *1 (-562 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-971 *5)) (-4 *3 (-235 *11)))) (-1399 (*1 *2 *3 *4) (-12 (-5 *4 (-634 *7)) (-4 *7 (-950 *5 *8 (-852 *6))) (-4 *8 (-230 (-1699 *6) (-763))) (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *10 (-641 *5)) (-4 *11 (-920 *5 *10)) (-5 *2 (-634 (-1244 *5))) (-5 *1 (-562 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-971 *5)) (-4 *3 (-235 *11))))) 
-(-10 -7 (-15 -1399 ((-634 (-1244 |#1|)) |#8| (-634 |#3|))) (-15 -3814 ((-634 (-1244 |#1|)) |#8| (-634 |#3|))) (-15 -1758 ((-634 |#3|) |#8| (-634 |#3|))) (-15 -4454 ((-634 |#3|) |#8| (-763) |#3| (-634 |#3|)))) 
-((-1350 (($) 9)) (-1677 (((-3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 29)) (-4253 (((-634 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) $) 26)) (-1708 (($ (-2 (|:| -3651 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| -4085 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) 23)) (-3656 (($ (-634 (-2 (|:| -3651 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| -4085 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) 21)) (-4085 (((-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 33)) (-1480 (((-634 (-2 (|:| -3651 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| -4085 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $) 31)) (-2455 (((-1249)) 12))) 
-(((-563) (-10 -8 (-15 -1350 ($)) (-15 -2455 ((-1249))) (-15 -4253 ((-634 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) $)) (-15 -3656 ($ (-634 (-2 (|:| -3651 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| -4085 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))))) (-15 -1708 ($ (-2 (|:| -3651 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| -4085 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-15 -1677 ((-3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -1480 ((-634 (-2 (|:| -3651 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| -4085 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $)) (-15 -4085 ((-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))))) (T -563)) 
-((-4085 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-563)))) (-1480 (*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| -3651 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| -4085 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-563)))) (-1677 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-563)))) (-1708 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| -3651 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| -4085 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) (-5 *1 (-563)))) (-3656 (*1 *1 *2) (-12 (-5 *2 (-634 (-2 (|:| -3651 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| -4085 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-563)))) (-4253 (*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-5 *1 (-563)))) (-2455 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-563)))) (-1350 (*1 *1) (-5 *1 (-563)))) 
-(-10 -8 (-15 -1350 ($)) (-15 -2455 ((-1249))) (-15 -4253 ((-634 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) $)) (-15 -3656 ($ (-634 (-2 (|:| -3651 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| -4085 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))))) (-15 -1708 ($ (-2 (|:| -3651 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| -4085 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-15 -1677 ((-3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -1480 ((-634 (-2 (|:| -3651 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| -4085 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $)) (-15 -4085 ((-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))))) 
-((-3840 (((-1157 (-409 (-1157 |#2|))) |#2| (-607 |#2|) (-607 |#2|) (-1157 |#2|)) 28)) (-3014 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-607 |#2|) (-607 |#2|) (-634 |#2|) (-607 |#2|) |#2| (-409 (-1157 |#2|))) 96) (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-607 |#2|) (-607 |#2|) (-634 |#2|) |#2| (-1157 |#2|)) 106)) (-3069 (((-585 |#2|) |#2| (-607 |#2|) (-607 |#2|) (-607 |#2|) |#2| (-409 (-1157 |#2|))) 78) (((-585 |#2|) |#2| (-607 |#2|) (-607 |#2|) |#2| (-1157 |#2|)) 50)) (-3032 (((-3 (-2 (|:| -4151 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-607 |#2|) (-607 |#2|) |#2| (-607 |#2|) |#2| (-409 (-1157 |#2|))) 85) (((-3 (-2 (|:| -4151 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-607 |#2|) (-607 |#2|) |#2| |#2| (-1157 |#2|)) 105)) (-2488 (((-3 |#2| "failed") |#2| |#2| (-607 |#2|) (-607 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1161)) (-607 |#2|) |#2| (-409 (-1157 |#2|))) 101) (((-3 |#2| "failed") |#2| |#2| (-607 |#2|) (-607 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1161)) |#2| (-1157 |#2|)) 107)) (-3077 (((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -2588 (-634 |#2|))) |#3| |#2| (-607 |#2|) (-607 |#2|) (-607 |#2|) |#2| (-409 (-1157 |#2|))) 124 (|has| |#3| (-646 |#2|))) (((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -2588 (-634 |#2|))) |#3| |#2| (-607 |#2|) (-607 |#2|) |#2| (-1157 |#2|)) 123 (|has| |#3| (-646 |#2|)))) (-2053 ((|#2| (-1157 (-409 (-1157 |#2|))) (-607 |#2|) |#2|) 48)) (-3087 (((-1157 (-409 (-1157 |#2|))) (-1157 |#2|) (-607 |#2|)) 27))) 
-(((-564 |#1| |#2| |#3|) (-10 -7 (-15 -3069 ((-585 |#2|) |#2| (-607 |#2|) (-607 |#2|) |#2| (-1157 |#2|))) (-15 -3069 ((-585 |#2|) |#2| (-607 |#2|) (-607 |#2|) (-607 |#2|) |#2| (-409 (-1157 |#2|)))) (-15 -3032 ((-3 (-2 (|:| -4151 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-607 |#2|) (-607 |#2|) |#2| |#2| (-1157 |#2|))) (-15 -3032 ((-3 (-2 (|:| -4151 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-607 |#2|) (-607 |#2|) |#2| (-607 |#2|) |#2| (-409 (-1157 |#2|)))) (-15 -3014 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-607 |#2|) (-607 |#2|) (-634 |#2|) |#2| (-1157 |#2|))) (-15 -3014 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-607 |#2|) (-607 |#2|) (-634 |#2|) (-607 |#2|) |#2| (-409 (-1157 |#2|)))) (-15 -2488 ((-3 |#2| "failed") |#2| |#2| (-607 |#2|) (-607 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1161)) |#2| (-1157 |#2|))) (-15 -2488 ((-3 |#2| "failed") |#2| |#2| (-607 |#2|) (-607 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1161)) (-607 |#2|) |#2| (-409 (-1157 |#2|)))) (-15 -3840 ((-1157 (-409 (-1157 |#2|))) |#2| (-607 |#2|) (-607 |#2|) (-1157 |#2|))) (-15 -2053 (|#2| (-1157 (-409 (-1157 |#2|))) (-607 |#2|) |#2|)) (-15 -3087 ((-1157 (-409 (-1157 |#2|))) (-1157 |#2|) (-607 |#2|))) (IF (|has| |#3| (-646 |#2|)) (PROGN (-15 -3077 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -2588 (-634 |#2|))) |#3| |#2| (-607 |#2|) (-607 |#2|) |#2| (-1157 |#2|))) (-15 -3077 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -2588 (-634 |#2|))) |#3| |#2| (-607 |#2|) (-607 |#2|) (-607 |#2|) |#2| (-409 (-1157 |#2|))))) |noBranch|)) (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568))) (-13 (-432 |#1|) (-27) (-1181)) (-1090)) (T -564)) 
-((-3077 (*1 *2 *3 *4 *5 *5 *5 *4 *6) (-12 (-5 *5 (-607 *4)) (-5 *6 (-409 (-1157 *4))) (-4 *4 (-13 (-432 *7) (-27) (-1181))) (-4 *7 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2588 (-634 *4)))) (-5 *1 (-564 *7 *4 *3)) (-4 *3 (-646 *4)) (-4 *3 (-1090)))) (-3077 (*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *5 (-607 *4)) (-5 *6 (-1157 *4)) (-4 *4 (-13 (-432 *7) (-27) (-1181))) (-4 *7 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2588 (-634 *4)))) (-5 *1 (-564 *7 *4 *3)) (-4 *3 (-646 *4)) (-4 *3 (-1090)))) (-3087 (*1 *2 *3 *4) (-12 (-5 *4 (-607 *6)) (-4 *6 (-13 (-432 *5) (-27) (-1181))) (-4 *5 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-1157 (-409 (-1157 *6)))) (-5 *1 (-564 *5 *6 *7)) (-5 *3 (-1157 *6)) (-4 *7 (-1090)))) (-2053 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1157 (-409 (-1157 *2)))) (-5 *4 (-607 *2)) (-4 *2 (-13 (-432 *5) (-27) (-1181))) (-4 *5 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *1 (-564 *5 *2 *6)) (-4 *6 (-1090)))) (-3840 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-607 *3)) (-4 *3 (-13 (-432 *6) (-27) (-1181))) (-4 *6 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-1157 (-409 (-1157 *3)))) (-5 *1 (-564 *6 *3 *7)) (-5 *5 (-1157 *3)) (-4 *7 (-1090)))) (-2488 (*1 *2 *2 *2 *3 *3 *4 *3 *2 *5) (|partial| -12 (-5 *3 (-607 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1161))) (-5 *5 (-409 (-1157 *2))) (-4 *2 (-13 (-432 *6) (-27) (-1181))) (-4 *6 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *1 (-564 *6 *2 *7)) (-4 *7 (-1090)))) (-2488 (*1 *2 *2 *2 *3 *3 *4 *2 *5) (|partial| -12 (-5 *3 (-607 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1161))) (-5 *5 (-1157 *2)) (-4 *2 (-13 (-432 *6) (-27) (-1181))) (-4 *6 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *1 (-564 *6 *2 *7)) (-4 *7 (-1090)))) (-3014 (*1 *2 *3 *4 *4 *5 *4 *3 *6) (|partial| -12 (-5 *4 (-607 *3)) (-5 *5 (-634 *3)) (-5 *6 (-409 (-1157 *3))) (-4 *3 (-13 (-432 *7) (-27) (-1181))) (-4 *7 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-564 *7 *3 *8)) (-4 *8 (-1090)))) (-3014 (*1 *2 *3 *4 *4 *5 *3 *6) (|partial| -12 (-5 *4 (-607 *3)) (-5 *5 (-634 *3)) (-5 *6 (-1157 *3)) (-4 *3 (-13 (-432 *7) (-27) (-1181))) (-4 *7 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-564 *7 *3 *8)) (-4 *8 (-1090)))) (-3032 (*1 *2 *3 *4 *4 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-607 *3)) (-5 *5 (-409 (-1157 *3))) (-4 *3 (-13 (-432 *6) (-27) (-1181))) (-4 *6 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-2 (|:| -4151 *3) (|:| |coeff| *3))) (-5 *1 (-564 *6 *3 *7)) (-4 *7 (-1090)))) (-3032 (*1 *2 *3 *4 *4 *3 *3 *5) (|partial| -12 (-5 *4 (-607 *3)) (-5 *5 (-1157 *3)) (-4 *3 (-13 (-432 *6) (-27) (-1181))) (-4 *6 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-2 (|:| -4151 *3) (|:| |coeff| *3))) (-5 *1 (-564 *6 *3 *7)) (-4 *7 (-1090)))) (-3069 (*1 *2 *3 *4 *4 *4 *3 *5) (-12 (-5 *4 (-607 *3)) (-5 *5 (-409 (-1157 *3))) (-4 *3 (-13 (-432 *6) (-27) (-1181))) (-4 *6 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-585 *3)) (-5 *1 (-564 *6 *3 *7)) (-4 *7 (-1090)))) (-3069 (*1 *2 *3 *4 *4 *3 *5) (-12 (-5 *4 (-607 *3)) (-5 *5 (-1157 *3)) (-4 *3 (-13 (-432 *6) (-27) (-1181))) (-4 *6 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-585 *3)) (-5 *1 (-564 *6 *3 *7)) (-4 *7 (-1090))))) 
-(-10 -7 (-15 -3069 ((-585 |#2|) |#2| (-607 |#2|) (-607 |#2|) |#2| (-1157 |#2|))) (-15 -3069 ((-585 |#2|) |#2| (-607 |#2|) (-607 |#2|) (-607 |#2|) |#2| (-409 (-1157 |#2|)))) (-15 -3032 ((-3 (-2 (|:| -4151 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-607 |#2|) (-607 |#2|) |#2| |#2| (-1157 |#2|))) (-15 -3032 ((-3 (-2 (|:| -4151 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-607 |#2|) (-607 |#2|) |#2| (-607 |#2|) |#2| (-409 (-1157 |#2|)))) (-15 -3014 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-607 |#2|) (-607 |#2|) (-634 |#2|) |#2| (-1157 |#2|))) (-15 -3014 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-607 |#2|) (-607 |#2|) (-634 |#2|) (-607 |#2|) |#2| (-409 (-1157 |#2|)))) (-15 -2488 ((-3 |#2| "failed") |#2| |#2| (-607 |#2|) (-607 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1161)) |#2| (-1157 |#2|))) (-15 -2488 ((-3 |#2| "failed") |#2| |#2| (-607 |#2|) (-607 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1161)) (-607 |#2|) |#2| (-409 (-1157 |#2|)))) (-15 -3840 ((-1157 (-409 (-1157 |#2|))) |#2| (-607 |#2|) (-607 |#2|) (-1157 |#2|))) (-15 -2053 (|#2| (-1157 (-409 (-1157 |#2|))) (-607 |#2|) |#2|)) (-15 -3087 ((-1157 (-409 (-1157 |#2|))) (-1157 |#2|) (-607 |#2|))) (IF (|has| |#3| (-646 |#2|)) (PROGN (-15 -3077 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -2588 (-634 |#2|))) |#3| |#2| (-607 |#2|) (-607 |#2|) |#2| (-1157 |#2|))) (-15 -3077 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -2588 (-634 |#2|))) |#3| |#2| (-607 |#2|) (-607 |#2|) (-607 |#2|) |#2| (-409 (-1157 |#2|))))) |noBranch|)) 
-((-3875 (((-568) (-568) (-763)) 65)) (-1479 (((-568) (-568)) 64)) (-2944 (((-568) (-568)) 63)) (-4341 (((-568) (-568)) 68)) (-3214 (((-568) (-568) (-568)) 48)) (-1855 (((-568) (-568) (-568)) 45)) (-2472 (((-409 (-568)) (-568)) 20)) (-4286 (((-568) (-568)) 21)) (-1986 (((-568) (-568)) 57)) (-4492 (((-568) (-568)) 32)) (-4097 (((-634 (-568)) (-568)) 62)) (-3500 (((-568) (-568) (-568) (-568) (-568)) 43)) (-1839 (((-409 (-568)) (-568)) 41))) 
-(((-565) (-10 -7 (-15 -1839 ((-409 (-568)) (-568))) (-15 -3500 ((-568) (-568) (-568) (-568) (-568))) (-15 -4097 ((-634 (-568)) (-568))) (-15 -4492 ((-568) (-568))) (-15 -1986 ((-568) (-568))) (-15 -4286 ((-568) (-568))) (-15 -2472 ((-409 (-568)) (-568))) (-15 -1855 ((-568) (-568) (-568))) (-15 -3214 ((-568) (-568) (-568))) (-15 -4341 ((-568) (-568))) (-15 -2944 ((-568) (-568))) (-15 -1479 ((-568) (-568))) (-15 -3875 ((-568) (-568) (-763))))) (T -565)) 
-((-3875 (*1 *2 *2 *3) (-12 (-5 *2 (-568)) (-5 *3 (-763)) (-5 *1 (-565)))) (-1479 (*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-565)))) (-2944 (*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-565)))) (-4341 (*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-565)))) (-3214 (*1 *2 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-565)))) (-1855 (*1 *2 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-565)))) (-2472 (*1 *2 *3) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-565)) (-5 *3 (-568)))) (-4286 (*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-565)))) (-1986 (*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-565)))) (-4492 (*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-565)))) (-4097 (*1 *2 *3) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-565)) (-5 *3 (-568)))) (-3500 (*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-565)))) (-1839 (*1 *2 *3) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-565)) (-5 *3 (-568))))) 
-(-10 -7 (-15 -1839 ((-409 (-568)) (-568))) (-15 -3500 ((-568) (-568) (-568) (-568) (-568))) (-15 -4097 ((-634 (-568)) (-568))) (-15 -4492 ((-568) (-568))) (-15 -1986 ((-568) (-568))) (-15 -4286 ((-568) (-568))) (-15 -2472 ((-409 (-568)) (-568))) (-15 -1855 ((-568) (-568) (-568))) (-15 -3214 ((-568) (-568) (-568))) (-15 -4341 ((-568) (-568))) (-15 -2944 ((-568) (-568))) (-15 -1479 ((-568) (-568))) (-15 -3875 ((-568) (-568) (-763)))) 
-((-2780 (((-2 (|:| |answer| |#4|) (|:| -1989 |#4|)) |#4| (-1 |#2| |#2|)) 52))) 
-(((-566 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2780 ((-2 (|:| |answer| |#4|) (|:| -1989 |#4|)) |#4| (-1 |#2| |#2|)))) (-365) (-1219 |#1|) (-1219 (-409 |#2|)) (-340 |#1| |#2| |#3|)) (T -566)) 
-((-2780 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1219 *5)) (-4 *5 (-365)) (-4 *7 (-1219 (-409 *6))) (-5 *2 (-2 (|:| |answer| *3) (|:| -1989 *3))) (-5 *1 (-566 *5 *6 *7 *3)) (-4 *3 (-340 *5 *6 *7))))) 
-(-10 -7 (-15 -2780 ((-2 (|:| |answer| |#4|) (|:| -1989 |#4|)) |#4| (-1 |#2| |#2|)))) 
-((-2780 (((-2 (|:| |answer| (-409 |#2|)) (|:| -1989 (-409 |#2|)) (|:| |specpart| (-409 |#2|)) (|:| |polypart| |#2|)) (-409 |#2|) (-1 |#2| |#2|)) 18))) 
-(((-567 |#1| |#2|) (-10 -7 (-15 -2780 ((-2 (|:| |answer| (-409 |#2|)) (|:| -1989 (-409 |#2|)) (|:| |specpart| (-409 |#2|)) (|:| |polypart| |#2|)) (-409 |#2|) (-1 |#2| |#2|)))) (-365) (-1219 |#1|)) (T -567)) 
-((-2780 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1219 *5)) (-4 *5 (-365)) (-5 *2 (-2 (|:| |answer| (-409 *6)) (|:| -1989 (-409 *6)) (|:| |specpart| (-409 *6)) (|:| |polypart| *6))) (-5 *1 (-567 *5 *6)) (-5 *3 (-409 *6))))) 
-(-10 -7 (-15 -2780 ((-2 (|:| |answer| (-409 |#2|)) (|:| -1989 (-409 |#2|)) (|:| |specpart| (-409 |#2|)) (|:| |polypart| |#2|)) (-409 |#2|) (-1 |#2| |#2|)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 25)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 86)) (-3661 (($ $) 87)) (-4426 (((-121) $) NIL)) (-2519 (($ $ $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-1353 (($ $ $ $) 42)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2589 (((-121) $ $) NIL)) (-3337 (((-568) $) NIL)) (-1872 (($ $ $) 80)) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-568) "failed") $) NIL)) (-2857 (((-568) $) NIL)) (-2403 (($ $ $) 79)) (-1668 (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) 60) (((-679 (-568)) (-679 $)) 57)) (-2902 (((-3 $ "failed") $) 83)) (-3254 (((-3 (-409 (-568)) "failed") $) NIL)) (-1338 (((-121) $) NIL)) (-2394 (((-409 (-568)) $) NIL)) (-1733 (($) 62) (($ $) 63)) (-2414 (($ $ $) 78)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-2197 (((-121) $) NIL)) (-2382 (($ $ $ $) NIL)) (-3155 (($ $ $) 54)) (-1436 (((-121) $) NIL)) (-2341 (($ $ $) NIL)) (-1519 (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL)) (-1598 (((-121) $) 26)) (-2268 (((-121) $) 73)) (-2214 (((-3 $ "failed") $) NIL)) (-2859 (((-121) $) 34)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-4374 (($ $ $ $) 43)) (-1732 (($ $ $) 75)) (-2047 (($ $ $) 74)) (-3248 (($ $) NIL)) (-3680 (($ $) 40)) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) 53)) (-3264 (($ $ $) NIL)) (-4436 (($) NIL T CONST)) (-1890 (($ $) 31)) (-4025 (((-1108) $) NIL) (($ $) 33)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 117)) (-2723 (($ $ $) 84) (($ (-634 $)) NIL)) (-2406 (($ $) NIL)) (-3850 (((-420 $) $) 103)) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL)) (-2597 (((-3 $ "failed") $ $) 82)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-2080 (((-121) $) NIL)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 77)) (-4191 (($ $ (-763)) NIL) (($ $) NIL)) (-3953 (($ $) 32)) (-3865 (($ $) 30)) (-4280 (((-568) $) 39) (((-541) $) 51) (((-887 (-568)) $) NIL) (((-381) $) 46) (((-215) $) 48) (((-1143) $) 52)) (-2747 (((-850) $) 37) (($ (-568)) 38) (($ $) NIL) (($ (-568)) 38)) (-3425 (((-763)) NIL)) (-3600 (((-121) $ $) NIL)) (-3584 (($ $ $) NIL)) (-2404 (($) 29)) (-2273 (((-121) $ $) NIL)) (-1564 (($ $ $ $) 41)) (-2811 (($ $) 61)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 27 T CONST)) (-1557 (($) 28 T CONST)) (-2628 (((-1143) $) 20) (((-1143) $ (-121)) 22) (((-1249) (-817) $) 23) (((-1249) (-817) $ (-121)) 24)) (-3192 (($ $ (-763)) NIL) (($ $) NIL)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 64)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 65)) (-1775 (($ $) 66) (($ $ $) 68)) (-1769 (($ $ $) 67)) (** (($ $ (-917)) NIL) (($ $ (-763)) 72)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 70) (($ $ $) 69))) 
-(((-568) (-13 (-550) (-609 (-1143)) (-823) (-10 -8 (-15 -1733 ($ $)) (-6 -4508) (-6 -4513) (-6 -4509) (-6 -4503)))) (T -568)) 
-((-1733 (*1 *1 *1) (-5 *1 (-568)))) 
-(-13 (-550) (-609 (-1143)) (-823) (-10 -8 (-15 -1733 ($ $)) (-6 -4508) (-6 -4513) (-6 -4509) (-6 -4503))) 
-((-3031 (((-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))) (|:| |extra| (-1035))) (-761) (-1059)) 103) (((-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))) (|:| |extra| (-1035))) (-761)) 105)) (-1845 (((-3 (-1035) "failed") (-310 (-381)) (-1082 (-835 (-381))) (-1161)) 168) (((-3 (-1035) "failed") (-310 (-381)) (-1082 (-835 (-381))) (-1143)) 167) (((-1035) (-310 (-381)) (-634 (-1084 (-835 (-381)))) (-381) (-381) (-1059)) 173) (((-1035) (-310 (-381)) (-634 (-1084 (-835 (-381)))) (-381) (-381)) 174) (((-1035) (-310 (-381)) (-634 (-1084 (-835 (-381)))) (-381)) 175) (((-1035) (-310 (-381)) (-634 (-1084 (-835 (-381))))) 176) (((-1035) (-310 (-381)) (-1084 (-835 (-381)))) 163) (((-1035) (-310 (-381)) (-1084 (-835 (-381))) (-381)) 162) (((-1035) (-310 (-381)) (-1084 (-835 (-381))) (-381) (-381)) 158) (((-1035) (-761)) 150) (((-1035) (-310 (-381)) (-1084 (-835 (-381))) (-381) (-381) (-1059)) 157))) 
-(((-569) (-10 -7 (-15 -1845 ((-1035) (-310 (-381)) (-1084 (-835 (-381))) (-381) (-381) (-1059))) (-15 -1845 ((-1035) (-761))) (-15 -1845 ((-1035) (-310 (-381)) (-1084 (-835 (-381))) (-381) (-381))) (-15 -1845 ((-1035) (-310 (-381)) (-1084 (-835 (-381))) (-381))) (-15 -1845 ((-1035) (-310 (-381)) (-1084 (-835 (-381))))) (-15 -1845 ((-1035) (-310 (-381)) (-634 (-1084 (-835 (-381)))))) (-15 -1845 ((-1035) (-310 (-381)) (-634 (-1084 (-835 (-381)))) (-381))) (-15 -1845 ((-1035) (-310 (-381)) (-634 (-1084 (-835 (-381)))) (-381) (-381))) (-15 -1845 ((-1035) (-310 (-381)) (-634 (-1084 (-835 (-381)))) (-381) (-381) (-1059))) (-15 -3031 ((-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))) (|:| |extra| (-1035))) (-761))) (-15 -3031 ((-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))) (|:| |extra| (-1035))) (-761) (-1059))) (-15 -1845 ((-3 (-1035) "failed") (-310 (-381)) (-1082 (-835 (-381))) (-1143))) (-15 -1845 ((-3 (-1035) "failed") (-310 (-381)) (-1082 (-835 (-381))) (-1161))))) (T -569)) 
-((-1845 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-310 (-381))) (-5 *4 (-1082 (-835 (-381)))) (-5 *5 (-1161)) (-5 *2 (-1035)) (-5 *1 (-569)))) (-1845 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-310 (-381))) (-5 *4 (-1082 (-835 (-381)))) (-5 *5 (-1143)) (-5 *2 (-1035)) (-5 *1 (-569)))) (-3031 (*1 *2 *3 *4) (-12 (-5 *3 (-761)) (-5 *4 (-1059)) (-5 *2 (-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))) (|:| |extra| (-1035)))) (-5 *1 (-569)))) (-3031 (*1 *2 *3) (-12 (-5 *3 (-761)) (-5 *2 (-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))) (|:| |extra| (-1035)))) (-5 *1 (-569)))) (-1845 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-634 (-1084 (-835 (-381))))) (-5 *5 (-381)) (-5 *6 (-1059)) (-5 *2 (-1035)) (-5 *1 (-569)))) (-1845 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-634 (-1084 (-835 (-381))))) (-5 *5 (-381)) (-5 *2 (-1035)) (-5 *1 (-569)))) (-1845 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-634 (-1084 (-835 (-381))))) (-5 *5 (-381)) (-5 *2 (-1035)) (-5 *1 (-569)))) (-1845 (*1 *2 *3 *4) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-634 (-1084 (-835 (-381))))) (-5 *2 (-1035)) (-5 *1 (-569)))) (-1845 (*1 *2 *3 *4) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-1084 (-835 (-381)))) (-5 *2 (-1035)) (-5 *1 (-569)))) (-1845 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-1084 (-835 (-381)))) (-5 *5 (-381)) (-5 *2 (-1035)) (-5 *1 (-569)))) (-1845 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-1084 (-835 (-381)))) (-5 *5 (-381)) (-5 *2 (-1035)) (-5 *1 (-569)))) (-1845 (*1 *2 *3) (-12 (-5 *3 (-761)) (-5 *2 (-1035)) (-5 *1 (-569)))) (-1845 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-1084 (-835 (-381)))) (-5 *5 (-381)) (-5 *6 (-1059)) (-5 *2 (-1035)) (-5 *1 (-569))))) 
-(-10 -7 (-15 -1845 ((-1035) (-310 (-381)) (-1084 (-835 (-381))) (-381) (-381) (-1059))) (-15 -1845 ((-1035) (-761))) (-15 -1845 ((-1035) (-310 (-381)) (-1084 (-835 (-381))) (-381) (-381))) (-15 -1845 ((-1035) (-310 (-381)) (-1084 (-835 (-381))) (-381))) (-15 -1845 ((-1035) (-310 (-381)) (-1084 (-835 (-381))))) (-15 -1845 ((-1035) (-310 (-381)) (-634 (-1084 (-835 (-381)))))) (-15 -1845 ((-1035) (-310 (-381)) (-634 (-1084 (-835 (-381)))) (-381))) (-15 -1845 ((-1035) (-310 (-381)) (-634 (-1084 (-835 (-381)))) (-381) (-381))) (-15 -1845 ((-1035) (-310 (-381)) (-634 (-1084 (-835 (-381)))) (-381) (-381) (-1059))) (-15 -3031 ((-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))) (|:| |extra| (-1035))) (-761))) (-15 -3031 ((-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))) (|:| |extra| (-1035))) (-761) (-1059))) (-15 -1845 ((-3 (-1035) "failed") (-310 (-381)) (-1082 (-835 (-381))) (-1143))) (-15 -1845 ((-3 (-1035) "failed") (-310 (-381)) (-1082 (-835 (-381))) (-1161)))) 
-((-3725 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-607 |#2|) (-607 |#2|) (-634 |#2|)) 179)) (-2333 (((-585 |#2|) |#2| (-607 |#2|) (-607 |#2|)) 97)) (-3886 (((-3 (-2 (|:| -4151 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-607 |#2|) (-607 |#2|) |#2|) 175)) (-3157 (((-3 |#2| "failed") |#2| |#2| |#2| (-607 |#2|) (-607 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1161))) 184)) (-1534 (((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -2588 (-634 |#2|))) |#3| |#2| (-607 |#2|) (-607 |#2|) (-1161)) 192 (|has| |#3| (-646 |#2|))))) 
-(((-570 |#1| |#2| |#3|) (-10 -7 (-15 -2333 ((-585 |#2|) |#2| (-607 |#2|) (-607 |#2|))) (-15 -3886 ((-3 (-2 (|:| -4151 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-607 |#2|) (-607 |#2|) |#2|)) (-15 -3725 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-607 |#2|) (-607 |#2|) (-634 |#2|))) (-15 -3157 ((-3 |#2| "failed") |#2| |#2| |#2| (-607 |#2|) (-607 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1161)))) (IF (|has| |#3| (-646 |#2|)) (-15 -1534 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -2588 (-634 |#2|))) |#3| |#2| (-607 |#2|) (-607 |#2|) (-1161))) |noBranch|)) (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568))) (-13 (-432 |#1|) (-27) (-1181)) (-1090)) (T -570)) 
-((-1534 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *5 (-607 *4)) (-5 *6 (-1161)) (-4 *4 (-13 (-432 *7) (-27) (-1181))) (-4 *7 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2588 (-634 *4)))) (-5 *1 (-570 *7 *4 *3)) (-4 *3 (-646 *4)) (-4 *3 (-1090)))) (-3157 (*1 *2 *2 *2 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-607 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1161))) (-4 *2 (-13 (-432 *5) (-27) (-1181))) (-4 *5 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *1 (-570 *5 *2 *6)) (-4 *6 (-1090)))) (-3725 (*1 *2 *3 *4 *4 *5) (|partial| -12 (-5 *4 (-607 *3)) (-5 *5 (-634 *3)) (-4 *3 (-13 (-432 *6) (-27) (-1181))) (-4 *6 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-570 *6 *3 *7)) (-4 *7 (-1090)))) (-3886 (*1 *2 *3 *4 *4 *3) (|partial| -12 (-5 *4 (-607 *3)) (-4 *3 (-13 (-432 *5) (-27) (-1181))) (-4 *5 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-2 (|:| -4151 *3) (|:| |coeff| *3))) (-5 *1 (-570 *5 *3 *6)) (-4 *6 (-1090)))) (-2333 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-607 *3)) (-4 *3 (-13 (-432 *5) (-27) (-1181))) (-4 *5 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-585 *3)) (-5 *1 (-570 *5 *3 *6)) (-4 *6 (-1090))))) 
-(-10 -7 (-15 -2333 ((-585 |#2|) |#2| (-607 |#2|) (-607 |#2|))) (-15 -3886 ((-3 (-2 (|:| -4151 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-607 |#2|) (-607 |#2|) |#2|)) (-15 -3725 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-607 |#2|) (-607 |#2|) (-634 |#2|))) (-15 -3157 ((-3 |#2| "failed") |#2| |#2| |#2| (-607 |#2|) (-607 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1161)))) (IF (|has| |#3| (-646 |#2|)) (-15 -1534 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -2588 (-634 |#2|))) |#3| |#2| (-607 |#2|) (-607 |#2|) (-1161))) |noBranch|)) 
-((-1431 (((-2 (|:| -2358 |#2|) (|:| |nconst| |#2|)) |#2| (-1161)) 62)) (-1780 (((-3 |#2| "failed") |#2| (-1161) (-835 |#2|) (-835 |#2|)) 159 (-12 (|has| |#2| (-1124)) (|has| |#1| (-609 (-887 (-568)))) (|has| |#1| (-881 (-568))))) (((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1161)) 133 (-12 (|has| |#2| (-620)) (|has| |#1| (-609 (-887 (-568)))) (|has| |#1| (-881 (-568)))))) (-1576 (((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1161)) 142 (-12 (|has| |#2| (-620)) (|has| |#1| (-609 (-887 (-568)))) (|has| |#1| (-881 (-568))))))) 
-(((-571 |#1| |#2|) (-10 -7 (-15 -1431 ((-2 (|:| -2358 |#2|) (|:| |nconst| |#2|)) |#2| (-1161))) (IF (|has| |#1| (-609 (-887 (-568)))) (IF (|has| |#1| (-881 (-568))) (PROGN (IF (|has| |#2| (-620)) (PROGN (-15 -1576 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1161))) (-15 -1780 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1161)))) |noBranch|) (IF (|has| |#2| (-1124)) (-15 -1780 ((-3 |#2| "failed") |#2| (-1161) (-835 |#2|) (-835 |#2|))) |noBranch|)) |noBranch|) |noBranch|)) (-13 (-842) (-1037 (-568)) (-453) (-630 (-568))) (-13 (-27) (-1181) (-432 |#1|))) (T -571)) 
-((-1780 (*1 *2 *2 *3 *4 *4) (|partial| -12 (-5 *3 (-1161)) (-5 *4 (-835 *2)) (-4 *2 (-1124)) (-4 *2 (-13 (-27) (-1181) (-432 *5))) (-4 *5 (-609 (-887 (-568)))) (-4 *5 (-881 (-568))) (-4 *5 (-13 (-842) (-1037 (-568)) (-453) (-630 (-568)))) (-5 *1 (-571 *5 *2)))) (-1780 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1161)) (-4 *5 (-609 (-887 (-568)))) (-4 *5 (-881 (-568))) (-4 *5 (-13 (-842) (-1037 (-568)) (-453) (-630 (-568)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-571 *5 *3)) (-4 *3 (-620)) (-4 *3 (-13 (-27) (-1181) (-432 *5))))) (-1576 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1161)) (-4 *5 (-609 (-887 (-568)))) (-4 *5 (-881 (-568))) (-4 *5 (-13 (-842) (-1037 (-568)) (-453) (-630 (-568)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-571 *5 *3)) (-4 *3 (-620)) (-4 *3 (-13 (-27) (-1181) (-432 *5))))) (-1431 (*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-13 (-842) (-1037 (-568)) (-453) (-630 (-568)))) (-5 *2 (-2 (|:| -2358 *3) (|:| |nconst| *3))) (-5 *1 (-571 *5 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *5)))))) 
-(-10 -7 (-15 -1431 ((-2 (|:| -2358 |#2|) (|:| |nconst| |#2|)) |#2| (-1161))) (IF (|has| |#1| (-609 (-887 (-568)))) (IF (|has| |#1| (-881 (-568))) (PROGN (IF (|has| |#2| (-620)) (PROGN (-15 -1576 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1161))) (-15 -1780 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1161)))) |noBranch|) (IF (|has| |#2| (-1124)) (-15 -1780 ((-3 |#2| "failed") |#2| (-1161) (-835 |#2|) (-835 |#2|))) |noBranch|)) |noBranch|) |noBranch|)) 
-((-1830 (((-3 (-2 (|:| |mainpart| (-409 |#2|)) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| (-409 |#2|)) (|:| |logand| (-409 |#2|)))))) "failed") (-409 |#2|) (-634 (-409 |#2|))) 39)) (-1845 (((-585 (-409 |#2|)) (-409 |#2|)) 27)) (-1449 (((-3 (-409 |#2|) "failed") (-409 |#2|)) 16)) (-3566 (((-3 (-2 (|:| -4151 (-409 |#2|)) (|:| |coeff| (-409 |#2|))) "failed") (-409 |#2|) (-409 |#2|)) 46))) 
-(((-572 |#1| |#2|) (-10 -7 (-15 -1845 ((-585 (-409 |#2|)) (-409 |#2|))) (-15 -1449 ((-3 (-409 |#2|) "failed") (-409 |#2|))) (-15 -3566 ((-3 (-2 (|:| -4151 (-409 |#2|)) (|:| |coeff| (-409 |#2|))) "failed") (-409 |#2|) (-409 |#2|))) (-15 -1830 ((-3 (-2 (|:| |mainpart| (-409 |#2|)) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| (-409 |#2|)) (|:| |logand| (-409 |#2|)))))) "failed") (-409 |#2|) (-634 (-409 |#2|))))) (-13 (-365) (-150) (-1037 (-568))) (-1219 |#1|)) (T -572)) 
-((-1830 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-634 (-409 *6))) (-5 *3 (-409 *6)) (-4 *6 (-1219 *5)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-572 *5 *6)))) (-3566 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-13 (-365) (-150) (-1037 (-568)))) (-4 *5 (-1219 *4)) (-5 *2 (-2 (|:| -4151 (-409 *5)) (|:| |coeff| (-409 *5)))) (-5 *1 (-572 *4 *5)) (-5 *3 (-409 *5)))) (-1449 (*1 *2 *2) (|partial| -12 (-5 *2 (-409 *4)) (-4 *4 (-1219 *3)) (-4 *3 (-13 (-365) (-150) (-1037 (-568)))) (-5 *1 (-572 *3 *4)))) (-1845 (*1 *2 *3) (-12 (-4 *4 (-13 (-365) (-150) (-1037 (-568)))) (-4 *5 (-1219 *4)) (-5 *2 (-585 (-409 *5))) (-5 *1 (-572 *4 *5)) (-5 *3 (-409 *5))))) 
-(-10 -7 (-15 -1845 ((-585 (-409 |#2|)) (-409 |#2|))) (-15 -1449 ((-3 (-409 |#2|) "failed") (-409 |#2|))) (-15 -3566 ((-3 (-2 (|:| -4151 (-409 |#2|)) (|:| |coeff| (-409 |#2|))) "failed") (-409 |#2|) (-409 |#2|))) (-15 -1830 ((-3 (-2 (|:| |mainpart| (-409 |#2|)) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| (-409 |#2|)) (|:| |logand| (-409 |#2|)))))) "failed") (-409 |#2|) (-634 (-409 |#2|))))) 
-((-4487 (((-3 (-568) "failed") |#1|) 14)) (-1812 (((-121) |#1|) 13)) (-1723 (((-568) |#1|) 9))) 
-(((-573 |#1|) (-10 -7 (-15 -1723 ((-568) |#1|)) (-15 -1812 ((-121) |#1|)) (-15 -4487 ((-3 (-568) "failed") |#1|))) (-1037 (-568))) (T -573)) 
-((-4487 (*1 *2 *3) (|partial| -12 (-5 *2 (-568)) (-5 *1 (-573 *3)) (-4 *3 (-1037 *2)))) (-1812 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-573 *3)) (-4 *3 (-1037 (-568))))) (-1723 (*1 *2 *3) (-12 (-5 *2 (-568)) (-5 *1 (-573 *3)) (-4 *3 (-1037 *2))))) 
-(-10 -7 (-15 -1723 ((-568) |#1|)) (-15 -1812 ((-121) |#1|)) (-15 -4487 ((-3 (-568) "failed") |#1|))) 
-((-2853 (((-3 (-2 (|:| |mainpart| (-409 (-953 |#1|))) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| (-409 (-953 |#1|))) (|:| |logand| (-409 (-953 |#1|))))))) "failed") (-409 (-953 |#1|)) (-1161) (-634 (-409 (-953 |#1|)))) 43)) (-1284 (((-585 (-409 (-953 |#1|))) (-409 (-953 |#1|)) (-1161)) 25)) (-2462 (((-3 (-409 (-953 |#1|)) "failed") (-409 (-953 |#1|)) (-1161)) 20)) (-2296 (((-3 (-2 (|:| -4151 (-409 (-953 |#1|))) (|:| |coeff| (-409 (-953 |#1|)))) "failed") (-409 (-953 |#1|)) (-1161) (-409 (-953 |#1|))) 32))) 
-(((-574 |#1|) (-10 -7 (-15 -1284 ((-585 (-409 (-953 |#1|))) (-409 (-953 |#1|)) (-1161))) (-15 -2462 ((-3 (-409 (-953 |#1|)) "failed") (-409 (-953 |#1|)) (-1161))) (-15 -2853 ((-3 (-2 (|:| |mainpart| (-409 (-953 |#1|))) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| (-409 (-953 |#1|))) (|:| |logand| (-409 (-953 |#1|))))))) "failed") (-409 (-953 |#1|)) (-1161) (-634 (-409 (-953 |#1|))))) (-15 -2296 ((-3 (-2 (|:| -4151 (-409 (-953 |#1|))) (|:| |coeff| (-409 (-953 |#1|)))) "failed") (-409 (-953 |#1|)) (-1161) (-409 (-953 |#1|))))) (-13 (-558) (-1037 (-568)) (-150))) (T -574)) 
-((-2296 (*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1161)) (-4 *5 (-13 (-558) (-1037 (-568)) (-150))) (-5 *2 (-2 (|:| -4151 (-409 (-953 *5))) (|:| |coeff| (-409 (-953 *5))))) (-5 *1 (-574 *5)) (-5 *3 (-409 (-953 *5))))) (-2853 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1161)) (-5 *5 (-634 (-409 (-953 *6)))) (-5 *3 (-409 (-953 *6))) (-4 *6 (-13 (-558) (-1037 (-568)) (-150))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-574 *6)))) (-2462 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-409 (-953 *4))) (-5 *3 (-1161)) (-4 *4 (-13 (-558) (-1037 (-568)) (-150))) (-5 *1 (-574 *4)))) (-1284 (*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-13 (-558) (-1037 (-568)) (-150))) (-5 *2 (-585 (-409 (-953 *5)))) (-5 *1 (-574 *5)) (-5 *3 (-409 (-953 *5)))))) 
-(-10 -7 (-15 -1284 ((-585 (-409 (-953 |#1|))) (-409 (-953 |#1|)) (-1161))) (-15 -2462 ((-3 (-409 (-953 |#1|)) "failed") (-409 (-953 |#1|)) (-1161))) (-15 -2853 ((-3 (-2 (|:| |mainpart| (-409 (-953 |#1|))) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| (-409 (-953 |#1|))) (|:| |logand| (-409 (-953 |#1|))))))) "failed") (-409 (-953 |#1|)) (-1161) (-634 (-409 (-953 |#1|))))) (-15 -2296 ((-3 (-2 (|:| -4151 (-409 (-953 |#1|))) (|:| |coeff| (-409 (-953 |#1|)))) "failed") (-409 (-953 |#1|)) (-1161) (-409 (-953 |#1|))))) 
-((-2449 (((-121) $ $) 59)) (-1819 (((-121) $) 36)) (-1987 ((|#1| $) 30)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) 63)) (-1984 (($ $) 123)) (-1935 (($ $) 103)) (-2409 ((|#1| $) 28)) (-2689 (((-3 $ "failed") $ $) NIL)) (-1904 (($ $) NIL)) (-1976 (($ $) 125)) (-2788 (($ $) 99)) (-1992 (($ $) 127)) (-1943 (($ $) 107)) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-568) "failed") $) 78)) (-2857 (((-568) $) 80)) (-2902 (((-3 $ "failed") $) 62)) (-1950 (($ |#1| |#1|) 26)) (-1436 (((-121) $) 33)) (-1899 (($) 89)) (-1598 (((-121) $) 43)) (-1550 (($ $ (-568)) NIL)) (-2859 (((-121) $) 34)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-4418 (($ $) 91)) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-4475 (($ |#1| |#1|) 20) (($ |#1|) 25) (($ (-409 (-568))) 77)) (-2933 ((|#1| $) 27)) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) 65) (($ (-634 $)) NIL)) (-2597 (((-3 $ "failed") $ $) 64)) (-1894 (($ $) 93)) (-1996 (($ $) 131)) (-1947 (($ $) 105)) (-1988 (($ $) 133)) (-1939 (($ $) 109)) (-1980 (($ $) 129)) (-2792 (($ $) 101)) (-3238 (((-121) $ |#1|) 31)) (-2747 (((-850) $) 85) (($ (-568)) 67) (($ $) NIL) (($ (-568)) 67)) (-3425 (((-763)) 87)) (-2008 (($ $) 145)) (-1959 (($ $) 115)) (-2273 (((-121) $ $) NIL)) (-2000 (($ $) 143)) (-1951 (($ $) 111)) (-2016 (($ $) 141)) (-1968 (($ $) 121)) (-1439 (($ $) 139)) (-1972 (($ $) 119)) (-2012 (($ $) 137)) (-1964 (($ $) 117)) (-2004 (($ $) 135)) (-1955 (($ $) 113)) (-1889 (($ $ (-917)) 55) (($ $ (-763)) NIL)) (-3058 (($) 21 T CONST)) (-1557 (($) 10 T CONST)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 37)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 35)) (-1775 (($ $) 41) (($ $ $) 42)) (-1769 (($ $ $) 40)) (** (($ $ (-917)) 54) (($ $ (-763)) NIL) (($ $ $) 95) (($ $ (-409 (-568))) 147)) (* (($ (-917) $) 51) (($ (-763) $) NIL) (($ (-568) $) 50) (($ $ $) 48))) 
-(((-575 |#1|) (-555 |#1|) (-13 (-406) (-1181))) (T -575)) 
-NIL 
-(-555 |#1|) 
-((-2434 (((-3 (-634 (-1157 (-568))) "failed") (-634 (-1157 (-568))) (-1157 (-568))) 24))) 
-(((-576) (-10 -7 (-15 -2434 ((-3 (-634 (-1157 (-568))) "failed") (-634 (-1157 (-568))) (-1157 (-568)))))) (T -576)) 
-((-2434 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-634 (-1157 (-568)))) (-5 *3 (-1157 (-568))) (-5 *1 (-576))))) 
-(-10 -7 (-15 -2434 ((-3 (-634 (-1157 (-568))) "failed") (-634 (-1157 (-568))) (-1157 (-568))))) 
-((-2179 (((-634 (-607 |#2|)) (-634 (-607 |#2|)) (-1161)) 18)) (-2668 (((-634 (-607 |#2|)) (-634 |#2|) (-1161)) 23)) (-1793 (((-634 (-607 |#2|)) (-634 (-607 |#2|)) (-634 (-607 |#2|))) 10)) (-2767 ((|#2| |#2| (-1161)) 51 (|has| |#1| (-558)))) (-1505 ((|#2| |#2| (-1161)) 76 (-12 (|has| |#2| (-279)) (|has| |#1| (-453))))) (-3291 (((-607 |#2|) (-607 |#2|) (-634 (-607 |#2|)) (-1161)) 25)) (-3234 (((-607 |#2|) (-634 (-607 |#2|))) 24)) (-4437 (((-585 |#2|) |#2| (-1161) (-1 (-585 |#2|) |#2| (-1161)) (-1 (-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1161))) 100 (-12 (|has| |#2| (-279)) (|has| |#2| (-620)) (|has| |#2| (-1037 (-1161))) (|has| |#1| (-609 (-887 (-568)))) (|has| |#1| (-453)) (|has| |#1| (-881 (-568))))))) 
-(((-577 |#1| |#2|) (-10 -7 (-15 -2179 ((-634 (-607 |#2|)) (-634 (-607 |#2|)) (-1161))) (-15 -3234 ((-607 |#2|) (-634 (-607 |#2|)))) (-15 -3291 ((-607 |#2|) (-607 |#2|) (-634 (-607 |#2|)) (-1161))) (-15 -1793 ((-634 (-607 |#2|)) (-634 (-607 |#2|)) (-634 (-607 |#2|)))) (-15 -2668 ((-634 (-607 |#2|)) (-634 |#2|) (-1161))) (IF (|has| |#1| (-558)) (-15 -2767 (|#2| |#2| (-1161))) |noBranch|) (IF (|has| |#1| (-453)) (IF (|has| |#2| (-279)) (PROGN (-15 -1505 (|#2| |#2| (-1161))) (IF (|has| |#1| (-609 (-887 (-568)))) (IF (|has| |#1| (-881 (-568))) (IF (|has| |#2| (-620)) (IF (|has| |#2| (-1037 (-1161))) (-15 -4437 ((-585 |#2|) |#2| (-1161) (-1 (-585 |#2|) |#2| (-1161)) (-1 (-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1161)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) |noBranch|) |noBranch|)) (-842) (-432 |#1|)) (T -577)) 
-((-4437 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-1 (-585 *3) *3 (-1161))) (-5 *6 (-1 (-3 (-2 (|:| |special| *3) (|:| |integrand| *3)) "failed") *3 (-1161))) (-4 *3 (-279)) (-4 *3 (-620)) (-4 *3 (-1037 *4)) (-4 *3 (-432 *7)) (-5 *4 (-1161)) (-4 *7 (-609 (-887 (-568)))) (-4 *7 (-453)) (-4 *7 (-881 (-568))) (-4 *7 (-842)) (-5 *2 (-585 *3)) (-5 *1 (-577 *7 *3)))) (-1505 (*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-453)) (-4 *4 (-842)) (-5 *1 (-577 *4 *2)) (-4 *2 (-279)) (-4 *2 (-432 *4)))) (-2767 (*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-558)) (-4 *4 (-842)) (-5 *1 (-577 *4 *2)) (-4 *2 (-432 *4)))) (-2668 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *6)) (-5 *4 (-1161)) (-4 *6 (-432 *5)) (-4 *5 (-842)) (-5 *2 (-634 (-607 *6))) (-5 *1 (-577 *5 *6)))) (-1793 (*1 *2 *2 *2) (-12 (-5 *2 (-634 (-607 *4))) (-4 *4 (-432 *3)) (-4 *3 (-842)) (-5 *1 (-577 *3 *4)))) (-3291 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-634 (-607 *6))) (-5 *4 (-1161)) (-5 *2 (-607 *6)) (-4 *6 (-432 *5)) (-4 *5 (-842)) (-5 *1 (-577 *5 *6)))) (-3234 (*1 *2 *3) (-12 (-5 *3 (-634 (-607 *5))) (-4 *4 (-842)) (-5 *2 (-607 *5)) (-5 *1 (-577 *4 *5)) (-4 *5 (-432 *4)))) (-2179 (*1 *2 *2 *3) (-12 (-5 *2 (-634 (-607 *5))) (-5 *3 (-1161)) (-4 *5 (-432 *4)) (-4 *4 (-842)) (-5 *1 (-577 *4 *5))))) 
-(-10 -7 (-15 -2179 ((-634 (-607 |#2|)) (-634 (-607 |#2|)) (-1161))) (-15 -3234 ((-607 |#2|) (-634 (-607 |#2|)))) (-15 -3291 ((-607 |#2|) (-607 |#2|) (-634 (-607 |#2|)) (-1161))) (-15 -1793 ((-634 (-607 |#2|)) (-634 (-607 |#2|)) (-634 (-607 |#2|)))) (-15 -2668 ((-634 (-607 |#2|)) (-634 |#2|) (-1161))) (IF (|has| |#1| (-558)) (-15 -2767 (|#2| |#2| (-1161))) |noBranch|) (IF (|has| |#1| (-453)) (IF (|has| |#2| (-279)) (PROGN (-15 -1505 (|#2| |#2| (-1161))) (IF (|has| |#1| (-609 (-887 (-568)))) (IF (|has| |#1| (-881 (-568))) (IF (|has| |#2| (-620)) (IF (|has| |#2| (-1037 (-1161))) (-15 -4437 ((-585 |#2|) |#2| (-1161) (-1 (-585 |#2|) |#2| (-1161)) (-1 (-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1161)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) |noBranch|) |noBranch|)) 
-((-4405 (((-2 (|:| |answer| (-585 (-409 |#2|))) (|:| |a0| |#1|)) (-409 |#2|) (-1 |#2| |#2|) (-1 (-3 (-634 |#1|) "failed") (-568) |#1| |#1|)) 167)) (-1774 (((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-409 |#2|)) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| (-409 |#2|)) (|:| |logand| (-409 |#2|))))))) (|:| |a0| |#1|)) "failed") (-409 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -4151 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-634 (-409 |#2|))) 143)) (-3861 (((-3 (-2 (|:| |mainpart| (-409 |#2|)) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| (-409 |#2|)) (|:| |logand| (-409 |#2|)))))) "failed") (-409 |#2|) (-1 |#2| |#2|) (-634 (-409 |#2|))) 140)) (-2391 (((-3 |#2| "failed") |#2| (-1 (-3 (-2 (|:| -4151 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|) 129)) (-4479 (((-2 (|:| |answer| (-585 (-409 |#2|))) (|:| |a0| |#1|)) (-409 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -4151 |#1|) (|:| |coeff| |#1|)) "failed") |#1|)) 153)) (-3633 (((-3 (-2 (|:| -4151 (-409 |#2|)) (|:| |coeff| (-409 |#2|))) "failed") (-409 |#2|) (-1 |#2| |#2|) (-409 |#2|)) 170)) (-3704 (((-3 (-2 (|:| |answer| (-409 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -4151 (-409 |#2|)) (|:| |coeff| (-409 |#2|))) "failed") (-409 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -4151 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-409 |#2|)) 173)) (-1641 (((-2 (|:| |ir| (-585 (-409 |#2|))) (|:| |specpart| (-409 |#2|)) (|:| |polypart| |#2|)) (-409 |#2|) (-1 |#2| |#2|)) 81)) (-4276 (((-2 (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (-1 |#2| |#2|)) 88)) (-3300 (((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-409 |#2|)) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| (-409 |#2|)) (|:| |logand| (-409 |#2|))))))) (|:| |a0| |#1|)) "failed") (-409 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3286 |#1|) (|:| |sol?| (-121))) (-568) |#1|) (-634 (-409 |#2|))) 147)) (-1683 (((-3 (-615 |#1| |#2|) "failed") (-615 |#1| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3286 |#1|) (|:| |sol?| (-121))) (-568) |#1|)) 133)) (-3634 (((-2 (|:| |answer| (-585 (-409 |#2|))) (|:| |a0| |#1|)) (-409 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3286 |#1|) (|:| |sol?| (-121))) (-568) |#1|)) 157)) (-1329 (((-3 (-2 (|:| |answer| (-409 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -4151 (-409 |#2|)) (|:| |coeff| (-409 |#2|))) "failed") (-409 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3286 |#1|) (|:| |sol?| (-121))) (-568) |#1|) (-409 |#2|)) 178))) 
-(((-578 |#1| |#2|) (-10 -7 (-15 -4479 ((-2 (|:| |answer| (-585 (-409 |#2|))) (|:| |a0| |#1|)) (-409 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -4151 |#1|) (|:| |coeff| |#1|)) "failed") |#1|))) (-15 -3634 ((-2 (|:| |answer| (-585 (-409 |#2|))) (|:| |a0| |#1|)) (-409 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3286 |#1|) (|:| |sol?| (-121))) (-568) |#1|))) (-15 -4405 ((-2 (|:| |answer| (-585 (-409 |#2|))) (|:| |a0| |#1|)) (-409 |#2|) (-1 |#2| |#2|) (-1 (-3 (-634 |#1|) "failed") (-568) |#1| |#1|))) (-15 -3704 ((-3 (-2 (|:| |answer| (-409 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -4151 (-409 |#2|)) (|:| |coeff| (-409 |#2|))) "failed") (-409 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -4151 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-409 |#2|))) (-15 -1329 ((-3 (-2 (|:| |answer| (-409 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -4151 (-409 |#2|)) (|:| |coeff| (-409 |#2|))) "failed") (-409 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3286 |#1|) (|:| |sol?| (-121))) (-568) |#1|) (-409 |#2|))) (-15 -1774 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-409 |#2|)) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| (-409 |#2|)) (|:| |logand| (-409 |#2|))))))) (|:| |a0| |#1|)) "failed") (-409 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -4151 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-634 (-409 |#2|)))) (-15 -3300 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-409 |#2|)) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| (-409 |#2|)) (|:| |logand| (-409 |#2|))))))) (|:| |a0| |#1|)) "failed") (-409 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3286 |#1|) (|:| |sol?| (-121))) (-568) |#1|) (-634 (-409 |#2|)))) (-15 -3633 ((-3 (-2 (|:| -4151 (-409 |#2|)) (|:| |coeff| (-409 |#2|))) "failed") (-409 |#2|) (-1 |#2| |#2|) (-409 |#2|))) (-15 -3861 ((-3 (-2 (|:| |mainpart| (-409 |#2|)) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| (-409 |#2|)) (|:| |logand| (-409 |#2|)))))) "failed") (-409 |#2|) (-1 |#2| |#2|) (-634 (-409 |#2|)))) (-15 -2391 ((-3 |#2| "failed") |#2| (-1 (-3 (-2 (|:| -4151 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|)) (-15 -1683 ((-3 (-615 |#1| |#2|) "failed") (-615 |#1| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3286 |#1|) (|:| |sol?| (-121))) (-568) |#1|))) (-15 -1641 ((-2 (|:| |ir| (-585 (-409 |#2|))) (|:| |specpart| (-409 |#2|)) (|:| |polypart| |#2|)) (-409 |#2|) (-1 |#2| |#2|))) (-15 -4276 ((-2 (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (-1 |#2| |#2|)))) (-365) (-1219 |#1|)) (T -578)) 
-((-4276 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1219 *5)) (-4 *5 (-365)) (-5 *2 (-2 (|:| |answer| *3) (|:| |polypart| *3))) (-5 *1 (-578 *5 *3)))) (-1641 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1219 *5)) (-4 *5 (-365)) (-5 *2 (-2 (|:| |ir| (-585 (-409 *6))) (|:| |specpart| (-409 *6)) (|:| |polypart| *6))) (-5 *1 (-578 *5 *6)) (-5 *3 (-409 *6)))) (-1683 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-615 *4 *5)) (-5 *3 (-1 (-2 (|:| |ans| *4) (|:| -3286 *4) (|:| |sol?| (-121))) (-568) *4)) (-4 *4 (-365)) (-4 *5 (-1219 *4)) (-5 *1 (-578 *4 *5)))) (-2391 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 (-2 (|:| -4151 *4) (|:| |coeff| *4)) "failed") *4)) (-4 *4 (-365)) (-5 *1 (-578 *4 *2)) (-4 *2 (-1219 *4)))) (-3861 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 *7 *7)) (-5 *5 (-634 (-409 *7))) (-4 *7 (-1219 *6)) (-5 *3 (-409 *7)) (-4 *6 (-365)) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-578 *6 *7)))) (-3633 (*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1219 *5)) (-4 *5 (-365)) (-5 *2 (-2 (|:| -4151 (-409 *6)) (|:| |coeff| (-409 *6)))) (-5 *1 (-578 *5 *6)) (-5 *3 (-409 *6)))) (-3300 (*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-2 (|:| |ans| *7) (|:| -3286 *7) (|:| |sol?| (-121))) (-568) *7)) (-5 *6 (-634 (-409 *8))) (-4 *7 (-365)) (-4 *8 (-1219 *7)) (-5 *3 (-409 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-578 *7 *8)))) (-1774 (*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-3 (-2 (|:| -4151 *7) (|:| |coeff| *7)) "failed") *7)) (-5 *6 (-634 (-409 *8))) (-4 *7 (-365)) (-4 *8 (-1219 *7)) (-5 *3 (-409 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-578 *7 *8)))) (-1329 (*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -3286 *6) (|:| |sol?| (-121))) (-568) *6)) (-4 *6 (-365)) (-4 *7 (-1219 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-409 *7)) (|:| |a0| *6)) (-2 (|:| -4151 (-409 *7)) (|:| |coeff| (-409 *7))) "failed")) (-5 *1 (-578 *6 *7)) (-5 *3 (-409 *7)))) (-3704 (*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -4151 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-365)) (-4 *7 (-1219 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-409 *7)) (|:| |a0| *6)) (-2 (|:| -4151 (-409 *7)) (|:| |coeff| (-409 *7))) "failed")) (-5 *1 (-578 *6 *7)) (-5 *3 (-409 *7)))) (-4405 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-634 *6) "failed") (-568) *6 *6)) (-4 *6 (-365)) (-4 *7 (-1219 *6)) (-5 *2 (-2 (|:| |answer| (-585 (-409 *7))) (|:| |a0| *6))) (-5 *1 (-578 *6 *7)) (-5 *3 (-409 *7)))) (-3634 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -3286 *6) (|:| |sol?| (-121))) (-568) *6)) (-4 *6 (-365)) (-4 *7 (-1219 *6)) (-5 *2 (-2 (|:| |answer| (-585 (-409 *7))) (|:| |a0| *6))) (-5 *1 (-578 *6 *7)) (-5 *3 (-409 *7)))) (-4479 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -4151 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-365)) (-4 *7 (-1219 *6)) (-5 *2 (-2 (|:| |answer| (-585 (-409 *7))) (|:| |a0| *6))) (-5 *1 (-578 *6 *7)) (-5 *3 (-409 *7))))) 
-(-10 -7 (-15 -4479 ((-2 (|:| |answer| (-585 (-409 |#2|))) (|:| |a0| |#1|)) (-409 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -4151 |#1|) (|:| |coeff| |#1|)) "failed") |#1|))) (-15 -3634 ((-2 (|:| |answer| (-585 (-409 |#2|))) (|:| |a0| |#1|)) (-409 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3286 |#1|) (|:| |sol?| (-121))) (-568) |#1|))) (-15 -4405 ((-2 (|:| |answer| (-585 (-409 |#2|))) (|:| |a0| |#1|)) (-409 |#2|) (-1 |#2| |#2|) (-1 (-3 (-634 |#1|) "failed") (-568) |#1| |#1|))) (-15 -3704 ((-3 (-2 (|:| |answer| (-409 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -4151 (-409 |#2|)) (|:| |coeff| (-409 |#2|))) "failed") (-409 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -4151 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-409 |#2|))) (-15 -1329 ((-3 (-2 (|:| |answer| (-409 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -4151 (-409 |#2|)) (|:| |coeff| (-409 |#2|))) "failed") (-409 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3286 |#1|) (|:| |sol?| (-121))) (-568) |#1|) (-409 |#2|))) (-15 -1774 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-409 |#2|)) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| (-409 |#2|)) (|:| |logand| (-409 |#2|))))))) (|:| |a0| |#1|)) "failed") (-409 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -4151 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-634 (-409 |#2|)))) (-15 -3300 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-409 |#2|)) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| (-409 |#2|)) (|:| |logand| (-409 |#2|))))))) (|:| |a0| |#1|)) "failed") (-409 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3286 |#1|) (|:| |sol?| (-121))) (-568) |#1|) (-634 (-409 |#2|)))) (-15 -3633 ((-3 (-2 (|:| -4151 (-409 |#2|)) (|:| |coeff| (-409 |#2|))) "failed") (-409 |#2|) (-1 |#2| |#2|) (-409 |#2|))) (-15 -3861 ((-3 (-2 (|:| |mainpart| (-409 |#2|)) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| (-409 |#2|)) (|:| |logand| (-409 |#2|)))))) "failed") (-409 |#2|) (-1 |#2| |#2|) (-634 (-409 |#2|)))) (-15 -2391 ((-3 |#2| "failed") |#2| (-1 (-3 (-2 (|:| -4151 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|)) (-15 -1683 ((-3 (-615 |#1| |#2|) "failed") (-615 |#1| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3286 |#1|) (|:| |sol?| (-121))) (-568) |#1|))) (-15 -1641 ((-2 (|:| |ir| (-585 (-409 |#2|))) (|:| |specpart| (-409 |#2|)) (|:| |polypart| |#2|)) (-409 |#2|) (-1 |#2| |#2|))) (-15 -4276 ((-2 (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (-1 |#2| |#2|)))) 
-((-2692 (((-3 |#2| "failed") |#2| (-1161) (-1161)) 10))) 
-(((-579 |#1| |#2|) (-10 -7 (-15 -2692 ((-3 |#2| "failed") |#2| (-1161) (-1161)))) (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568))) (-13 (-1181) (-959) (-1124) (-29 |#1|))) (T -579)) 
-((-2692 (*1 *2 *2 *3 *3) (|partial| -12 (-5 *3 (-1161)) (-4 *4 (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-579 *4 *2)) (-4 *2 (-13 (-1181) (-959) (-1124) (-29 *4)))))) 
-(-10 -7 (-15 -2692 ((-3 |#2| "failed") |#2| (-1161) (-1161)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-1904 (($ $ (-568)) 65)) (-2589 (((-121) $ $) NIL)) (-4490 (($) NIL T CONST)) (-3517 (($ (-1157 (-568)) (-568)) 71)) (-2403 (($ $ $) NIL)) (-2902 (((-3 $ "failed") $) 57)) (-4456 (($ $) 33)) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-1844 (((-763) $) 15)) (-1598 (((-121) $) NIL)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-2477 (((-568)) 27)) (-2691 (((-568) $) 31)) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2168 (($ $ (-568)) 21)) (-2597 (((-3 $ "failed") $ $) 58)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1466 (((-763) $) 16)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 60)) (-1513 (((-1141 (-568)) $) 18)) (-2188 (($ $) 23)) (-2747 (((-850) $) 85) (($ (-568)) 51) (($ $) NIL)) (-3425 (((-763)) 14)) (-2273 (((-121) $ $) NIL)) (-3999 (((-568) $ (-568)) 35)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 34 T CONST)) (-1557 (($) 19 T CONST)) (-1719 (((-121) $ $) 38)) (-1775 (($ $) 50) (($ $ $) 36)) (-1769 (($ $ $) 49)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 53) (($ $ $) 54))) 
-(((-580 |#1| |#2|) (-863 |#1|) (-568) (-121)) (T -580)) 
-NIL 
-(-863 |#1|) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 18)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2134 (((-121) $) NIL)) (-3800 (((-763)) NIL)) (-1934 (($ $ (-917)) NIL (|has| $ (-370))) (($ $) NIL)) (-1856 (((-1169 (-917) (-763)) (-568)) 47)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2589 (((-121) $ $) NIL)) (-3986 (((-763)) NIL)) (-4490 (($) NIL T CONST)) (-3668 (((-3 $ "failed") $) 75)) (-2857 (($ $) 74)) (-3899 (($ (-1244 $)) 73)) (-1368 (((-3 "prime" "polynomial" "normal" "cyclic")) 42)) (-2403 (($ $ $) NIL)) (-2902 (((-3 $ "failed") $) 30)) (-1733 (($) NIL)) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-4188 (($) 49)) (-1748 (((-121) $) NIL)) (-1887 (($ $) NIL) (($ $ (-763)) NIL)) (-2197 (((-121) $) NIL)) (-1844 (((-828 (-917)) $) NIL) (((-917) $) NIL)) (-1598 (((-121) $) NIL)) (-2769 (($) 35 (|has| $ (-370)))) (-2151 (((-121) $) NIL (|has| $ (-370)))) (-4417 (($ $ (-917)) NIL (|has| $ (-370))) (($ $) NIL)) (-2214 (((-3 $ "failed") $) NIL)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1497 (((-1157 $) $ (-917)) NIL (|has| $ (-370))) (((-1157 $) $) 83)) (-2291 (((-917) $) 55)) (-1447 (((-1157 $) $) NIL (|has| $ (-370)))) (-2193 (((-3 (-1157 $) "failed") $ $) NIL (|has| $ (-370))) (((-1157 $) $) NIL (|has| $ (-370)))) (-3257 (($ $ (-1157 $)) NIL (|has| $ (-370)))) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL)) (-4436 (($) NIL T CONST)) (-4357 (($ (-917)) 48)) (-4051 (((-121) $) 67)) (-4025 (((-1108) $) NIL)) (-2707 (($) 16 (|has| $ (-370)))) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-2172 (((-634 (-2 (|:| -3850 (-568)) (|:| -3483 (-568))))) 40)) (-3850 (((-420 $) $) NIL)) (-4321 (((-917)) 66) (((-828 (-917))) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-2721 (((-3 (-763) "failed") $ $) NIL) (((-763) $) NIL)) (-3108 (((-139)) NIL)) (-4191 (($ $ (-763)) NIL) (($ $) NIL)) (-1836 (((-917) $) 65) (((-828 (-917)) $) NIL)) (-1492 (((-1157 $)) 82)) (-2330 (($) 54)) (-1398 (($) 36 (|has| $ (-370)))) (-1656 (((-679 $) (-1244 $)) NIL) (((-1244 $) $) 71)) (-4280 (((-568) $) 26)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL)) (-2747 (((-850) $) NIL) (($ (-568)) 28) (($ $) NIL) (($ (-409 (-568))) NIL)) (-3385 (((-3 $ "failed") $) NIL) (($ $) 84)) (-3425 (((-763)) 37)) (-2588 (((-1244 $) (-917)) 77) (((-1244 $)) 76)) (-2273 (((-121) $ $) NIL)) (-1413 (((-121) $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) 19 T CONST)) (-1557 (($) 15 T CONST)) (-3412 (($ $ (-763)) NIL (|has| $ (-370))) (($ $) NIL (|has| $ (-370)))) (-3192 (($ $ (-763)) NIL) (($ $) NIL)) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ $) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) 24)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 61) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL))) 
-(((-581 |#1|) (-13 (-350) (-327 $) (-609 (-568))) (-917)) (T -581)) 
-NIL 
-(-13 (-350) (-327 $) (-609 (-568))) 
-((-1288 (((-1249) (-1143)) 10))) 
-(((-582) (-10 -7 (-15 -1288 ((-1249) (-1143))))) (T -582)) 
-((-1288 (*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-582))))) 
-(-10 -7 (-15 -1288 ((-1249) (-1143)))) 
-((-4446 (((-585 |#2|) (-585 |#2|)) 37)) (-2791 (((-634 |#2|) (-585 |#2|)) 39)) (-4443 ((|#2| (-585 |#2|)) 46))) 
-(((-583 |#1| |#2|) (-10 -7 (-15 -4446 ((-585 |#2|) (-585 |#2|))) (-15 -2791 ((-634 |#2|) (-585 |#2|))) (-15 -4443 (|#2| (-585 |#2|)))) (-13 (-453) (-1037 (-568)) (-842) (-630 (-568))) (-13 (-29 |#1|) (-1181))) (T -583)) 
-((-4443 (*1 *2 *3) (-12 (-5 *3 (-585 *2)) (-4 *2 (-13 (-29 *4) (-1181))) (-5 *1 (-583 *4 *2)) (-4 *4 (-13 (-453) (-1037 (-568)) (-842) (-630 (-568)))))) (-2791 (*1 *2 *3) (-12 (-5 *3 (-585 *5)) (-4 *5 (-13 (-29 *4) (-1181))) (-4 *4 (-13 (-453) (-1037 (-568)) (-842) (-630 (-568)))) (-5 *2 (-634 *5)) (-5 *1 (-583 *4 *5)))) (-4446 (*1 *2 *2) (-12 (-5 *2 (-585 *4)) (-4 *4 (-13 (-29 *3) (-1181))) (-4 *3 (-13 (-453) (-1037 (-568)) (-842) (-630 (-568)))) (-5 *1 (-583 *3 *4))))) 
-(-10 -7 (-15 -4446 ((-585 |#2|) (-585 |#2|))) (-15 -2791 ((-634 |#2|) (-585 |#2|))) (-15 -4443 (|#2| (-585 |#2|)))) 
-((-2797 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| |mainpart| |#1|) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")) 38) (((-3 |#2| "failed") (-1 |#2| |#1|) (-3 |#1| "failed")) 11) (((-3 (-2 (|:| -4151 |#2|) (|:| |coeff| |#2|)) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| -4151 |#1|) (|:| |coeff| |#1|)) "failed")) 31) (((-585 |#2|) (-1 |#2| |#1|) (-585 |#1|)) 26))) 
-(((-584 |#1| |#2|) (-10 -7 (-15 -2797 ((-585 |#2|) (-1 |#2| |#1|) (-585 |#1|))) (-15 -2797 ((-3 (-2 (|:| -4151 |#2|) (|:| |coeff| |#2|)) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| -4151 |#1|) (|:| |coeff| |#1|)) "failed"))) (-15 -2797 ((-3 |#2| "failed") (-1 |#2| |#1|) (-3 |#1| "failed"))) (-15 -2797 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| |mainpart| |#1|) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")))) (-365) (-365)) (T -584)) 
-((-2797 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| |mainpart| *5) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| *5) (|:| |logand| *5))))) "failed")) (-4 *5 (-365)) (-4 *6 (-365)) (-5 *2 (-2 (|:| |mainpart| *6) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| *6) (|:| |logand| *6)))))) (-5 *1 (-584 *5 *6)))) (-2797 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *2 *5)) (-5 *4 (-3 *5 "failed")) (-4 *5 (-365)) (-4 *2 (-365)) (-5 *1 (-584 *5 *2)))) (-2797 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| -4151 *5) (|:| |coeff| *5)) "failed")) (-4 *5 (-365)) (-4 *6 (-365)) (-5 *2 (-2 (|:| -4151 *6) (|:| |coeff| *6))) (-5 *1 (-584 *5 *6)))) (-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-585 *5)) (-4 *5 (-365)) (-4 *6 (-365)) (-5 *2 (-585 *6)) (-5 *1 (-584 *5 *6))))) 
-(-10 -7 (-15 -2797 ((-585 |#2|) (-1 |#2| |#1|) (-585 |#1|))) (-15 -2797 ((-3 (-2 (|:| -4151 |#2|) (|:| |coeff| |#2|)) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| -4151 |#1|) (|:| |coeff| |#1|)) "failed"))) (-15 -2797 ((-3 |#2| "failed") (-1 |#2| |#1|) (-3 |#1| "failed"))) (-15 -2797 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| |mainpart| |#1|) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#1| "failed") $) 68)) (-2857 ((|#1| $) NIL)) (-4151 ((|#1| $) 24)) (-3576 (((-634 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $) 26)) (-2044 (($ |#1| (-634 (-2 (|:| |scalar| (-409 (-568))) (|:| |coeff| (-1157 |#1|)) (|:| |logand| (-1157 |#1|)))) (-634 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|)))) 22)) (-1989 (((-634 (-2 (|:| |scalar| (-409 (-568))) (|:| |coeff| (-1157 |#1|)) (|:| |logand| (-1157 |#1|)))) $) 25)) (-1893 (((-1143) $) NIL)) (-2317 (($ |#1| |#1|) 32) (($ |#1| (-1161)) 43 (|has| |#1| (-1037 (-1161))))) (-4025 (((-1108) $) NIL)) (-3536 (((-121) $) 28)) (-4191 ((|#1| $ (-1 |#1| |#1|)) 80) ((|#1| $ (-1161)) 81 (|has| |#1| (-895 (-1161))))) (-2747 (((-850) $) 95) (($ |#1|) 23)) (-3058 (($) 16 T CONST)) (-1719 (((-121) $ $) NIL)) (-1775 (($ $) 15) (($ $ $) NIL)) (-1769 (($ $ $) 77)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 14) (($ (-409 (-568)) $) 35) (($ $ (-409 (-568))) NIL))) 
-(((-585 |#1|) (-13 (-707 (-409 (-568))) (-1037 |#1|) (-10 -8 (-15 -2044 ($ |#1| (-634 (-2 (|:| |scalar| (-409 (-568))) (|:| |coeff| (-1157 |#1|)) (|:| |logand| (-1157 |#1|)))) (-634 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))))) (-15 -4151 (|#1| $)) (-15 -1989 ((-634 (-2 (|:| |scalar| (-409 (-568))) (|:| |coeff| (-1157 |#1|)) (|:| |logand| (-1157 |#1|)))) $)) (-15 -3576 ((-634 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $)) (-15 -3536 ((-121) $)) (-15 -2317 ($ |#1| |#1|)) (-15 -4191 (|#1| $ (-1 |#1| |#1|))) (IF (|has| |#1| (-895 (-1161))) (-15 -4191 (|#1| $ (-1161))) |noBranch|) (IF (|has| |#1| (-1037 (-1161))) (-15 -2317 ($ |#1| (-1161))) |noBranch|))) (-365)) (T -585)) 
-((-2044 (*1 *1 *2 *3 *4) (-12 (-5 *3 (-634 (-2 (|:| |scalar| (-409 (-568))) (|:| |coeff| (-1157 *2)) (|:| |logand| (-1157 *2))))) (-5 *4 (-634 (-2 (|:| |integrand| *2) (|:| |intvar| *2)))) (-4 *2 (-365)) (-5 *1 (-585 *2)))) (-4151 (*1 *2 *1) (-12 (-5 *1 (-585 *2)) (-4 *2 (-365)))) (-1989 (*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |scalar| (-409 (-568))) (|:| |coeff| (-1157 *3)) (|:| |logand| (-1157 *3))))) (-5 *1 (-585 *3)) (-4 *3 (-365)))) (-3576 (*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |integrand| *3) (|:| |intvar| *3)))) (-5 *1 (-585 *3)) (-4 *3 (-365)))) (-3536 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-585 *3)) (-4 *3 (-365)))) (-2317 (*1 *1 *2 *2) (-12 (-5 *1 (-585 *2)) (-4 *2 (-365)))) (-4191 (*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-585 *2)) (-4 *2 (-365)))) (-4191 (*1 *2 *1 *3) (-12 (-4 *2 (-365)) (-4 *2 (-895 *3)) (-5 *1 (-585 *2)) (-5 *3 (-1161)))) (-2317 (*1 *1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *1 (-585 *2)) (-4 *2 (-1037 *3)) (-4 *2 (-365))))) 
-(-13 (-707 (-409 (-568))) (-1037 |#1|) (-10 -8 (-15 -2044 ($ |#1| (-634 (-2 (|:| |scalar| (-409 (-568))) (|:| |coeff| (-1157 |#1|)) (|:| |logand| (-1157 |#1|)))) (-634 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))))) (-15 -4151 (|#1| $)) (-15 -1989 ((-634 (-2 (|:| |scalar| (-409 (-568))) (|:| |coeff| (-1157 |#1|)) (|:| |logand| (-1157 |#1|)))) $)) (-15 -3576 ((-634 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $)) (-15 -3536 ((-121) $)) (-15 -2317 ($ |#1| |#1|)) (-15 -4191 (|#1| $ (-1 |#1| |#1|))) (IF (|has| |#1| (-895 (-1161))) (-15 -4191 (|#1| $ (-1161))) |noBranch|) (IF (|has| |#1| (-1037 (-1161))) (-15 -2317 ($ |#1| (-1161))) |noBranch|))) 
-((-1669 (((-121) |#1|) 16)) (-3342 (((-3 |#1| "failed") |#1|) 14)) (-4062 (((-2 (|:| -2404 |#1|) (|:| -3483 (-763))) |#1|) 30) (((-3 |#1| "failed") |#1| (-763)) 18)) (-1578 (((-121) |#1| (-763)) 19)) (-1915 ((|#1| |#1|) 31)) (-3042 ((|#1| |#1| (-763)) 33))) 
-(((-586 |#1|) (-10 -7 (-15 -1578 ((-121) |#1| (-763))) (-15 -4062 ((-3 |#1| "failed") |#1| (-763))) (-15 -4062 ((-2 (|:| -2404 |#1|) (|:| -3483 (-763))) |#1|)) (-15 -3042 (|#1| |#1| (-763))) (-15 -1669 ((-121) |#1|)) (-15 -3342 ((-3 |#1| "failed") |#1|)) (-15 -1915 (|#1| |#1|))) (-550)) (T -586)) 
-((-1915 (*1 *2 *2) (-12 (-5 *1 (-586 *2)) (-4 *2 (-550)))) (-3342 (*1 *2 *2) (|partial| -12 (-5 *1 (-586 *2)) (-4 *2 (-550)))) (-1669 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-586 *3)) (-4 *3 (-550)))) (-3042 (*1 *2 *2 *3) (-12 (-5 *3 (-763)) (-5 *1 (-586 *2)) (-4 *2 (-550)))) (-4062 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| -2404 *3) (|:| -3483 (-763)))) (-5 *1 (-586 *3)) (-4 *3 (-550)))) (-4062 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-763)) (-5 *1 (-586 *2)) (-4 *2 (-550)))) (-1578 (*1 *2 *3 *4) (-12 (-5 *4 (-763)) (-5 *2 (-121)) (-5 *1 (-586 *3)) (-4 *3 (-550))))) 
-(-10 -7 (-15 -1578 ((-121) |#1| (-763))) (-15 -4062 ((-3 |#1| "failed") |#1| (-763))) (-15 -4062 ((-2 (|:| -2404 |#1|) (|:| -3483 (-763))) |#1|)) (-15 -3042 (|#1| |#1| (-763))) (-15 -1669 ((-121) |#1|)) (-15 -3342 ((-3 |#1| "failed") |#1|)) (-15 -1915 (|#1| |#1|))) 
-((-3620 (((-1157 |#1|) (-917)) 26))) 
-(((-587 |#1|) (-10 -7 (-15 -3620 ((-1157 |#1|) (-917)))) (-350)) (T -587)) 
-((-3620 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1157 *4)) (-5 *1 (-587 *4)) (-4 *4 (-350))))) 
-(-10 -7 (-15 -3620 ((-1157 |#1|) (-917)))) 
-((-4446 (((-585 (-409 (-953 |#1|))) (-585 (-409 (-953 |#1|)))) 26)) (-1845 (((-3 (-310 |#1|) (-634 (-310 |#1|))) (-409 (-953 |#1|)) (-1161)) 32 (|has| |#1| (-150)))) (-2791 (((-634 (-310 |#1|)) (-585 (-409 (-953 |#1|)))) 18)) (-2789 (((-310 |#1|) (-409 (-953 |#1|)) (-1161)) 30 (|has| |#1| (-150)))) (-4443 (((-310 |#1|) (-585 (-409 (-953 |#1|)))) 20))) 
-(((-588 |#1|) (-10 -7 (-15 -4446 ((-585 (-409 (-953 |#1|))) (-585 (-409 (-953 |#1|))))) (-15 -2791 ((-634 (-310 |#1|)) (-585 (-409 (-953 |#1|))))) (-15 -4443 ((-310 |#1|) (-585 (-409 (-953 |#1|))))) (IF (|has| |#1| (-150)) (PROGN (-15 -1845 ((-3 (-310 |#1|) (-634 (-310 |#1|))) (-409 (-953 |#1|)) (-1161))) (-15 -2789 ((-310 |#1|) (-409 (-953 |#1|)) (-1161)))) |noBranch|)) (-13 (-453) (-1037 (-568)) (-842) (-630 (-568)))) (T -588)) 
-((-2789 (*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 *5))) (-5 *4 (-1161)) (-4 *5 (-150)) (-4 *5 (-13 (-453) (-1037 (-568)) (-842) (-630 (-568)))) (-5 *2 (-310 *5)) (-5 *1 (-588 *5)))) (-1845 (*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 *5))) (-5 *4 (-1161)) (-4 *5 (-150)) (-4 *5 (-13 (-453) (-1037 (-568)) (-842) (-630 (-568)))) (-5 *2 (-3 (-310 *5) (-634 (-310 *5)))) (-5 *1 (-588 *5)))) (-4443 (*1 *2 *3) (-12 (-5 *3 (-585 (-409 (-953 *4)))) (-4 *4 (-13 (-453) (-1037 (-568)) (-842) (-630 (-568)))) (-5 *2 (-310 *4)) (-5 *1 (-588 *4)))) (-2791 (*1 *2 *3) (-12 (-5 *3 (-585 (-409 (-953 *4)))) (-4 *4 (-13 (-453) (-1037 (-568)) (-842) (-630 (-568)))) (-5 *2 (-634 (-310 *4))) (-5 *1 (-588 *4)))) (-4446 (*1 *2 *2) (-12 (-5 *2 (-585 (-409 (-953 *3)))) (-4 *3 (-13 (-453) (-1037 (-568)) (-842) (-630 (-568)))) (-5 *1 (-588 *3))))) 
-(-10 -7 (-15 -4446 ((-585 (-409 (-953 |#1|))) (-585 (-409 (-953 |#1|))))) (-15 -2791 ((-634 (-310 |#1|)) (-585 (-409 (-953 |#1|))))) (-15 -4443 ((-310 |#1|) (-585 (-409 (-953 |#1|))))) (IF (|has| |#1| (-150)) (PROGN (-15 -1845 ((-3 (-310 |#1|) (-634 (-310 |#1|))) (-409 (-953 |#1|)) (-1161))) (-15 -2789 ((-310 |#1|) (-409 (-953 |#1|)) (-1161)))) |noBranch|)) 
-((-2970 (((-634 (-679 (-568))) (-634 (-568)) (-634 (-900 (-568)))) 45) (((-634 (-679 (-568))) (-634 (-568))) 46) (((-679 (-568)) (-634 (-568)) (-900 (-568))) 41)) (-3445 (((-763) (-634 (-568))) 39))) 
-(((-589) (-10 -7 (-15 -3445 ((-763) (-634 (-568)))) (-15 -2970 ((-679 (-568)) (-634 (-568)) (-900 (-568)))) (-15 -2970 ((-634 (-679 (-568))) (-634 (-568)))) (-15 -2970 ((-634 (-679 (-568))) (-634 (-568)) (-634 (-900 (-568))))))) (T -589)) 
-((-2970 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-568))) (-5 *4 (-634 (-900 (-568)))) (-5 *2 (-634 (-679 (-568)))) (-5 *1 (-589)))) (-2970 (*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-634 (-679 (-568)))) (-5 *1 (-589)))) (-2970 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-568))) (-5 *4 (-900 (-568))) (-5 *2 (-679 (-568))) (-5 *1 (-589)))) (-3445 (*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-763)) (-5 *1 (-589))))) 
-(-10 -7 (-15 -3445 ((-763) (-634 (-568)))) (-15 -2970 ((-679 (-568)) (-634 (-568)) (-900 (-568)))) (-15 -2970 ((-634 (-679 (-568))) (-634 (-568)))) (-15 -2970 ((-634 (-679 (-568))) (-634 (-568)) (-634 (-900 (-568)))))) 
-((-2805 (((-634 |#5|) |#5| (-121)) 72)) (-3952 (((-121) |#5| (-634 |#5|)) 30))) 
-(((-590 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2805 ((-634 |#5|) |#5| (-121))) (-15 -3952 ((-121) |#5| (-634 |#5|)))) (-13 (-301) (-150)) (-788) (-842) (-1061 |#1| |#2| |#3|) (-1099 |#1| |#2| |#3| |#4|)) (T -590)) 
-((-3952 (*1 *2 *3 *4) (-12 (-5 *4 (-634 *3)) (-4 *3 (-1099 *5 *6 *7 *8)) (-4 *5 (-13 (-301) (-150))) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *8 (-1061 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-590 *5 *6 *7 *8 *3)))) (-2805 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-301) (-150))) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *8 (-1061 *5 *6 *7)) (-5 *2 (-634 *3)) (-5 *1 (-590 *5 *6 *7 *8 *3)) (-4 *3 (-1099 *5 *6 *7 *8))))) 
-(-10 -7 (-15 -2805 ((-634 |#5|) |#5| (-121))) (-15 -3952 ((-121) |#5| (-634 |#5|)))) 
-((-2449 (((-121) $ $) NIL (|has| (-147) (-1090)))) (-2499 (($ $) 34)) (-3083 (($ $) NIL)) (-1474 (($ $ (-147)) NIL) (($ $ (-142)) NIL)) (-2481 (((-1249) $ (-568) (-568)) NIL (|has| $ (-6 -4522)))) (-3675 (((-121) $ $) 51)) (-3762 (((-121) $ $ (-568)) 46)) (-4446 (((-634 $) $ (-147)) 59) (((-634 $) $ (-142)) 60)) (-1324 (((-121) (-1 (-121) (-147) (-147)) $) NIL) (((-121) $) NIL (|has| (-147) (-842)))) (-2109 (($ (-1 (-121) (-147) (-147)) $) NIL (|has| $ (-6 -4522))) (($ $) NIL (-12 (|has| $ (-6 -4522)) (|has| (-147) (-842))))) (-3647 (($ (-1 (-121) (-147) (-147)) $) NIL) (($ $) NIL (|has| (-147) (-842)))) (-1667 (((-121) $ (-763)) NIL)) (-2438 (((-147) $ (-568) (-147)) 45 (|has| $ (-6 -4522))) (((-147) $ (-1210 (-568)) (-147)) NIL (|has| $ (-6 -4522)))) (-2803 (($ (-1 (-121) (-147)) $) NIL (|has| $ (-6 -4521)))) (-4490 (($) NIL T CONST)) (-1871 (($ $ (-147)) 63) (($ $ (-142)) 64)) (-4452 (($ $) NIL (|has| $ (-6 -4522)))) (-3945 (($ $) NIL)) (-3943 (($ $ (-1210 (-568)) $) 44)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-147) (-1090))))) (-4330 (($ (-147) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-147) (-1090)))) (($ (-1 (-121) (-147)) $) NIL (|has| $ (-6 -4521)))) (-3094 (((-147) (-1 (-147) (-147) (-147)) $ (-147) (-147)) NIL (-12 (|has| $ (-6 -4521)) (|has| (-147) (-1090)))) (((-147) (-1 (-147) (-147) (-147)) $ (-147)) NIL (|has| $ (-6 -4521))) (((-147) (-1 (-147) (-147) (-147)) $) NIL (|has| $ (-6 -4521)))) (-1292 (((-147) $ (-568) (-147)) NIL (|has| $ (-6 -4522)))) (-2069 (((-147) $ (-568)) NIL)) (-3768 (((-121) $ $) 70)) (-2766 (((-568) (-1 (-121) (-147)) $) NIL) (((-568) (-147) $) NIL (|has| (-147) (-1090))) (((-568) (-147) $ (-568)) 48 (|has| (-147) (-1090))) (((-568) $ $ (-568)) 47) (((-568) (-142) $ (-568)) 50)) (-3317 (((-634 (-147)) $) NIL (|has| $ (-6 -4521)))) (-1851 (($ (-763) (-147)) 9)) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-568) $) 28 (|has| (-568) (-842)))) (-1732 (($ $ $) NIL (|has| (-147) (-842)))) (-3645 (($ (-1 (-121) (-147) (-147)) $ $) NIL) (($ $ $) NIL (|has| (-147) (-842)))) (-4406 (((-634 (-147)) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) (-147) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-147) (-1090))))) (-3631 (((-568) $) 42 (|has| (-568) (-842)))) (-2047 (($ $ $) NIL (|has| (-147) (-842)))) (-4065 (((-121) $ $ (-147)) 71)) (-4439 (((-763) $ $ (-147)) 69)) (-2253 (($ (-1 (-147) (-147)) $) 33 (|has| $ (-6 -4522)))) (-2797 (($ (-1 (-147) (-147)) $) NIL) (($ (-1 (-147) (-147) (-147)) $ $) NIL)) (-2739 (($ $) 37)) (-4499 (($ $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-3384 (($ $ (-147)) 61) (($ $ (-142)) 62)) (-1893 (((-1143) $) 38 (|has| (-147) (-1090)))) (-4124 (($ (-147) $ (-568)) NIL) (($ $ $ (-568)) 23)) (-3948 (((-634 (-568)) $) NIL)) (-2916 (((-121) (-568) $) NIL)) (-4025 (((-568) $) 68) (((-1108) $) NIL (|has| (-147) (-1090)))) (-3877 (((-147) $) NIL (|has| (-568) (-842)))) (-2712 (((-3 (-147) "failed") (-1 (-121) (-147)) $) NIL)) (-2490 (($ $ (-147)) NIL (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) (-147)) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 (-147)))) NIL (-12 (|has| (-147) (-303 (-147))) (|has| (-147) (-1090)))) (($ $ (-288 (-147))) NIL (-12 (|has| (-147) (-303 (-147))) (|has| (-147) (-1090)))) (($ $ (-147) (-147)) NIL (-12 (|has| (-147) (-303 (-147))) (|has| (-147) (-1090)))) (($ $ (-634 (-147)) (-634 (-147))) NIL (-12 (|has| (-147) (-303 (-147))) (|has| (-147) (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) (-147) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-147) (-1090))))) (-1480 (((-634 (-147)) $) NIL)) (-2436 (((-121) $) 12)) (-1990 (($) 10)) (-2781 (((-147) $ (-568) (-147)) NIL) (((-147) $ (-568)) 52) (($ $ (-1210 (-568))) 21) (($ $ $) NIL)) (-2828 (($ $ (-568)) NIL) (($ $ (-1210 (-568))) NIL)) (-4170 (((-763) (-1 (-121) (-147)) $) NIL (|has| $ (-6 -4521))) (((-763) (-147) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-147) (-1090))))) (-3306 (($ $ $ (-568)) 65 (|has| $ (-6 -4522)))) (-3865 (($ $) 17)) (-4280 (((-541) $) NIL (|has| (-147) (-609 (-541))))) (-4289 (($ (-634 (-147))) NIL)) (-2770 (($ $ (-147)) NIL) (($ (-147) $) NIL) (($ $ $) 16) (($ (-634 $)) 66)) (-2747 (($ (-147)) NIL) (((-850) $) 27 (|has| (-147) (-1090)))) (-3437 (((-121) (-1 (-121) (-147)) $) NIL (|has| $ (-6 -4521)))) (-1753 (((-121) $ $) NIL (|has| (-147) (-842)))) (-1740 (((-121) $ $) NIL (|has| (-147) (-842)))) (-1719 (((-121) $ $) 14 (|has| (-147) (-1090)))) (-1747 (((-121) $ $) NIL (|has| (-147) (-842)))) (-1734 (((-121) $ $) 15 (|has| (-147) (-842)))) (-1699 (((-763) $) 13 (|has| $ (-6 -4521))))) 
-(((-591 |#1|) (-13 (-1129) (-10 -8 (-15 -4025 ((-568) $)))) (-568)) (T -591)) 
-((-4025 (*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-591 *3)) (-14 *3 *2)))) 
-(-13 (-1129) (-10 -8 (-15 -4025 ((-568) $)))) 
-((-2630 (((-2 (|:| |num| |#4|) (|:| |den| (-568))) |#4| |#2|) 23) (((-2 (|:| |num| |#4|) (|:| |den| (-568))) |#4| |#2| (-1084 |#4|)) 32))) 
-(((-592 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2630 ((-2 (|:| |num| |#4|) (|:| |den| (-568))) |#4| |#2| (-1084 |#4|))) (-15 -2630 ((-2 (|:| |num| |#4|) (|:| |den| (-568))) |#4| |#2|))) (-788) (-842) (-558) (-950 |#3| |#1| |#2|)) (T -592)) 
-((-2630 (*1 *2 *3 *4) (-12 (-4 *5 (-788)) (-4 *4 (-842)) (-4 *6 (-558)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-568)))) (-5 *1 (-592 *5 *4 *6 *3)) (-4 *3 (-950 *6 *5 *4)))) (-2630 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-1084 *3)) (-4 *3 (-950 *7 *6 *4)) (-4 *6 (-788)) (-4 *4 (-842)) (-4 *7 (-558)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-568)))) (-5 *1 (-592 *6 *4 *7 *3))))) 
-(-10 -7 (-15 -2630 ((-2 (|:| |num| |#4|) (|:| |den| (-568))) |#4| |#2| (-1084 |#4|))) (-15 -2630 ((-2 (|:| |num| |#4|) (|:| |den| (-568))) |#4| |#2|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 63)) (-2057 (((-634 (-1075)) $) NIL)) (-3325 (((-1161) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#1| (-558)))) (-3661 (($ $) NIL (|has| |#1| (-558)))) (-4426 (((-121) $) NIL (|has| |#1| (-558)))) (-4179 (($ $ (-568)) 54) (($ $ (-568) (-568)) 55)) (-2013 (((-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $) 60)) (-1608 (($ $) 99)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4118 (((-850) (-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|))) (-1026 (-835 (-568))) (-1161) |#1| (-409 (-568))) 214)) (-2512 (($ (-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|)))) 34)) (-4490 (($) NIL T CONST)) (-2116 (($ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1302 (((-121) $) NIL)) (-1844 (((-568) $) 58) (((-568) $ (-568)) 59)) (-1598 (((-121) $) NIL)) (-4168 (($ $ (-917)) 76)) (-3698 (($ (-1 |#1| (-568)) $) 73)) (-2171 (((-121) $) 25)) (-2049 (($ |#1| (-568)) 22) (($ $ (-1075) (-568)) NIL) (($ $ (-634 (-1075)) (-634 (-568))) NIL)) (-2797 (($ (-1 |#1| |#1|) $) 67)) (-4064 (($ (-1026 (-835 (-568))) (-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|)))) 11)) (-2099 (($ $) NIL)) (-2104 ((|#1| $) NIL)) (-1893 (((-1143) $) NIL)) (-1845 (($ $) 111 (|has| |#1| (-43 (-409 (-568)))))) (-2349 (((-3 $ "failed") $ $ (-121)) 98)) (-2688 (($ $ $) 107)) (-4025 (((-1108) $) NIL)) (-2612 (((-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $) 13)) (-2312 (((-1026 (-835 (-568))) $) 12)) (-2168 (($ $ (-568)) 45)) (-2597 (((-3 $ "failed") $ $) NIL (|has| |#1| (-558)))) (-1339 (((-1141 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-568)))))) (-2781 ((|#1| $ (-568)) 57) (($ $ $) NIL (|has| (-568) (-1102)))) (-4191 (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161)) NIL (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-763)) NIL (|has| |#1| (-15 * (|#1| (-568) |#1|)))) (($ $) 70 (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (-1836 (((-568) $) NIL)) (-2188 (($ $) 46)) (-2747 (((-850) $) NIL) (($ (-568)) 28) (($ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $) NIL (|has| |#1| (-558))) (($ |#1|) 27 (|has| |#1| (-172)))) (-2079 ((|#1| $ (-568)) 56)) (-3385 (((-3 $ "failed") $) NIL (|has| |#1| (-148)))) (-3425 (((-763)) 37)) (-1374 ((|#1| $) NIL)) (-4278 (($ $) 179 (|has| |#1| (-43 (-409 (-568)))))) (-4029 (($ $) 155 (|has| |#1| (-43 (-409 (-568)))))) (-3671 (($ $) 176 (|has| |#1| (-43 (-409 (-568)))))) (-2590 (($ $) 152 (|has| |#1| (-43 (-409 (-568)))))) (-1291 (($ $) 181 (|has| |#1| (-43 (-409 (-568)))))) (-1411 (($ $) 158 (|has| |#1| (-43 (-409 (-568)))))) (-2395 (($ $ (-409 (-568))) 145 (|has| |#1| (-43 (-409 (-568)))))) (-2836 (($ $ |#1|) 120 (|has| |#1| (-43 (-409 (-568)))))) (-3981 (($ $) 149 (|has| |#1| (-43 (-409 (-568)))))) (-3161 (($ $) 147 (|has| |#1| (-43 (-409 (-568)))))) (-3701 (($ $) 182 (|has| |#1| (-43 (-409 (-568)))))) (-1902 (($ $) 159 (|has| |#1| (-43 (-409 (-568)))))) (-2697 (($ $) 180 (|has| |#1| (-43 (-409 (-568)))))) (-3792 (($ $) 157 (|has| |#1| (-43 (-409 (-568)))))) (-1486 (($ $) 177 (|has| |#1| (-43 (-409 (-568)))))) (-1906 (($ $) 153 (|has| |#1| (-43 (-409 (-568)))))) (-2329 (($ $) 187 (|has| |#1| (-43 (-409 (-568)))))) (-2975 (($ $) 167 (|has| |#1| (-43 (-409 (-568)))))) (-1782 (($ $) 184 (|has| |#1| (-43 (-409 (-568)))))) (-2511 (($ $) 162 (|has| |#1| (-43 (-409 (-568)))))) (-3389 (($ $) 191 (|has| |#1| (-43 (-409 (-568)))))) (-2633 (($ $) 171 (|has| |#1| (-43 (-409 (-568)))))) (-3127 (($ $) 193 (|has| |#1| (-43 (-409 (-568)))))) (-1945 (($ $) 173 (|has| |#1| (-43 (-409 (-568)))))) (-3003 (($ $) 189 (|has| |#1| (-43 (-409 (-568)))))) (-3272 (($ $) 169 (|has| |#1| (-43 (-409 (-568)))))) (-1752 (($ $) 186 (|has| |#1| (-43 (-409 (-568)))))) (-1742 (($ $) 165 (|has| |#1| (-43 (-409 (-568)))))) (-2273 (((-121) $ $) NIL (|has| |#1| (-558)))) (-3999 ((|#1| $ (-568)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-568)))) (|has| |#1| (-15 -2747 (|#1| (-1161))))))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 29 T CONST)) (-1557 (($) 38 T CONST)) (-3192 (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161)) NIL (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-763)) NIL (|has| |#1| (-15 * (|#1| (-568) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (-1719 (((-121) $ $) 65)) (-1781 (($ $ |#1|) NIL (|has| |#1| (-365)))) (-1775 (($ $) 84) (($ $ $) 64)) (-1769 (($ $ $) 81)) (** (($ $ (-917)) NIL) (($ $ (-763)) 102)) (* (($ (-917) $) 89) (($ (-763) $) 87) (($ (-568) $) 85) (($ $ $) 95) (($ $ |#1|) NIL) (($ |#1| $) 114) (($ (-409 (-568)) $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))))) 
-(((-593 |#1|) (-13 (-1221 |#1| (-568)) (-10 -8 (-15 -4064 ($ (-1026 (-835 (-568))) (-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|))))) (-15 -2312 ((-1026 (-835 (-568))) $)) (-15 -2612 ((-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $)) (-15 -2512 ($ (-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|))))) (-15 -2171 ((-121) $)) (-15 -3698 ($ (-1 |#1| (-568)) $)) (-15 -2349 ((-3 $ "failed") $ $ (-121))) (-15 -1608 ($ $)) (-15 -2688 ($ $ $)) (-15 -4118 ((-850) (-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|))) (-1026 (-835 (-568))) (-1161) |#1| (-409 (-568)))) (IF (|has| |#1| (-43 (-409 (-568)))) (PROGN (-15 -1845 ($ $)) (-15 -2836 ($ $ |#1|)) (-15 -2395 ($ $ (-409 (-568)))) (-15 -3161 ($ $)) (-15 -3981 ($ $)) (-15 -2590 ($ $)) (-15 -1906 ($ $)) (-15 -4029 ($ $)) (-15 -3792 ($ $)) (-15 -1411 ($ $)) (-15 -1902 ($ $)) (-15 -2511 ($ $)) (-15 -1742 ($ $)) (-15 -2975 ($ $)) (-15 -3272 ($ $)) (-15 -2633 ($ $)) (-15 -1945 ($ $)) (-15 -3671 ($ $)) (-15 -1486 ($ $)) (-15 -4278 ($ $)) (-15 -2697 ($ $)) (-15 -1291 ($ $)) (-15 -3701 ($ $)) (-15 -1782 ($ $)) (-15 -1752 ($ $)) (-15 -2329 ($ $)) (-15 -3003 ($ $)) (-15 -3389 ($ $)) (-15 -3127 ($ $))) |noBranch|))) (-1047)) (T -593)) 
-((-2171 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-593 *3)) (-4 *3 (-1047)))) (-4064 (*1 *1 *2 *3) (-12 (-5 *2 (-1026 (-835 (-568)))) (-5 *3 (-1141 (-2 (|:| |k| (-568)) (|:| |c| *4)))) (-4 *4 (-1047)) (-5 *1 (-593 *4)))) (-2312 (*1 *2 *1) (-12 (-5 *2 (-1026 (-835 (-568)))) (-5 *1 (-593 *3)) (-4 *3 (-1047)))) (-2612 (*1 *2 *1) (-12 (-5 *2 (-1141 (-2 (|:| |k| (-568)) (|:| |c| *3)))) (-5 *1 (-593 *3)) (-4 *3 (-1047)))) (-2512 (*1 *1 *2) (-12 (-5 *2 (-1141 (-2 (|:| |k| (-568)) (|:| |c| *3)))) (-4 *3 (-1047)) (-5 *1 (-593 *3)))) (-3698 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-568))) (-4 *3 (-1047)) (-5 *1 (-593 *3)))) (-2349 (*1 *1 *1 *1 *2) (|partial| -12 (-5 *2 (-121)) (-5 *1 (-593 *3)) (-4 *3 (-1047)))) (-1608 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-1047)))) (-2688 (*1 *1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-1047)))) (-4118 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-1141 (-2 (|:| |k| (-568)) (|:| |c| *6)))) (-5 *4 (-1026 (-835 (-568)))) (-5 *5 (-1161)) (-5 *7 (-409 (-568))) (-4 *6 (-1047)) (-5 *2 (-850)) (-5 *1 (-593 *6)))) (-1845 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) (-2836 (*1 *1 *1 *2) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) (-2395 (*1 *1 *1 *2) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-593 *3)) (-4 *3 (-43 *2)) (-4 *3 (-1047)))) (-3161 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) (-3981 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) (-2590 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) (-1906 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) (-4029 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) (-3792 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) (-1411 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) (-1902 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) (-2511 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) (-1742 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) (-2975 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) (-3272 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) (-2633 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) (-1945 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) (-3671 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) (-1486 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) (-4278 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) (-2697 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) (-1291 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) (-3701 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) (-1782 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) (-1752 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) (-2329 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) (-3003 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) (-3389 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) (-3127 (*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(-13 (-1221 |#1| (-568)) (-10 -8 (-15 -4064 ($ (-1026 (-835 (-568))) (-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|))))) (-15 -2312 ((-1026 (-835 (-568))) $)) (-15 -2612 ((-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $)) (-15 -2512 ($ (-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|))))) (-15 -2171 ((-121) $)) (-15 -3698 ($ (-1 |#1| (-568)) $)) (-15 -2349 ((-3 $ "failed") $ $ (-121))) (-15 -1608 ($ $)) (-15 -2688 ($ $ $)) (-15 -4118 ((-850) (-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|))) (-1026 (-835 (-568))) (-1161) |#1| (-409 (-568)))) (IF (|has| |#1| (-43 (-409 (-568)))) (PROGN (-15 -1845 ($ $)) (-15 -2836 ($ $ |#1|)) (-15 -2395 ($ $ (-409 (-568)))) (-15 -3161 ($ $)) (-15 -3981 ($ $)) (-15 -2590 ($ $)) (-15 -1906 ($ $)) (-15 -4029 ($ $)) (-15 -3792 ($ $)) (-15 -1411 ($ $)) (-15 -1902 ($ $)) (-15 -2511 ($ $)) (-15 -1742 ($ $)) (-15 -2975 ($ $)) (-15 -3272 ($ $)) (-15 -2633 ($ $)) (-15 -1945 ($ $)) (-15 -3671 ($ $)) (-15 -1486 ($ $)) (-15 -4278 ($ $)) (-15 -2697 ($ $)) (-15 -1291 ($ $)) (-15 -3701 ($ $)) (-15 -1782 ($ $)) (-15 -1752 ($ $)) (-15 -2329 ($ $)) (-15 -3003 ($ $)) (-15 -3389 ($ $)) (-15 -3127 ($ $))) |noBranch|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#1| (-558)))) (-3661 (($ $) NIL (|has| |#1| (-558)))) (-4426 (((-121) $) NIL (|has| |#1| (-558)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-2512 (($ (-1141 |#1|)) 9)) (-4490 (($) NIL T CONST)) (-2902 (((-3 $ "failed") $) 42)) (-1302 (((-121) $) 52)) (-1844 (((-763) $) 55) (((-763) $ (-763)) 54)) (-1598 (((-121) $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2597 (((-3 $ "failed") $ $) 44 (|has| |#1| (-558)))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ $) NIL (|has| |#1| (-558)))) (-3304 (((-1141 |#1|) $) 23)) (-3425 (((-763)) 51)) (-2273 (((-121) $ $) NIL (|has| |#1| (-558)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 10 T CONST)) (-1557 (($) 14 T CONST)) (-1719 (((-121) $ $) 22)) (-1775 (($ $) 30) (($ $ $) 16)) (-1769 (($ $ $) 25)) (** (($ $ (-917)) NIL) (($ $ (-763)) 49)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 34) (($ $ $) 28) (($ |#1| $) 37) (($ $ |#1|) 38) (($ $ (-568)) 36))) 
-(((-594 |#1|) (-13 (-1047) (-10 -8 (-15 -3304 ((-1141 |#1|) $)) (-15 -2512 ($ (-1141 |#1|))) (-15 -1302 ((-121) $)) (-15 -1844 ((-763) $)) (-15 -1844 ((-763) $ (-763))) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 * ($ $ (-568))) (IF (|has| |#1| (-558)) (-6 (-558)) |noBranch|))) (-1047)) (T -594)) 
-((-3304 (*1 *2 *1) (-12 (-5 *2 (-1141 *3)) (-5 *1 (-594 *3)) (-4 *3 (-1047)))) (-2512 (*1 *1 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-594 *3)))) (-1302 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-594 *3)) (-4 *3 (-1047)))) (-1844 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-594 *3)) (-4 *3 (-1047)))) (-1844 (*1 *2 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-594 *3)) (-4 *3 (-1047)))) (* (*1 *1 *2 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-1047)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-594 *2)) (-4 *2 (-1047)))) (* (*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-594 *3)) (-4 *3 (-1047))))) 
-(-13 (-1047) (-10 -8 (-15 -3304 ((-1141 |#1|) $)) (-15 -2512 ($ (-1141 |#1|))) (-15 -1302 ((-121) $)) (-15 -1844 ((-763) $)) (-15 -1844 ((-763) $ (-763))) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 * ($ $ (-568))) (IF (|has| |#1| (-558)) (-6 (-558)) |noBranch|))) 
-((-2797 (((-598 |#2|) (-1 |#2| |#1|) (-598 |#1|)) 15))) 
-(((-595 |#1| |#2|) (-10 -7 (-15 -2797 ((-598 |#2|) (-1 |#2| |#1|) (-598 |#1|)))) (-1195) (-1195)) (T -595)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-598 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-598 *6)) (-5 *1 (-595 *5 *6))))) 
-(-10 -7 (-15 -2797 ((-598 |#2|) (-1 |#2| |#1|) (-598 |#1|)))) 
-((-2797 (((-1141 |#3|) (-1 |#3| |#1| |#2|) (-598 |#1|) (-1141 |#2|)) 20) (((-1141 |#3|) (-1 |#3| |#1| |#2|) (-1141 |#1|) (-598 |#2|)) 19) (((-598 |#3|) (-1 |#3| |#1| |#2|) (-598 |#1|) (-598 |#2|)) 18))) 
-(((-596 |#1| |#2| |#3|) (-10 -7 (-15 -2797 ((-598 |#3|) (-1 |#3| |#1| |#2|) (-598 |#1|) (-598 |#2|))) (-15 -2797 ((-1141 |#3|) (-1 |#3| |#1| |#2|) (-1141 |#1|) (-598 |#2|))) (-15 -2797 ((-1141 |#3|) (-1 |#3| |#1| |#2|) (-598 |#1|) (-1141 |#2|)))) (-1195) (-1195) (-1195)) (T -596)) 
-((-2797 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-598 *6)) (-5 *5 (-1141 *7)) (-4 *6 (-1195)) (-4 *7 (-1195)) (-4 *8 (-1195)) (-5 *2 (-1141 *8)) (-5 *1 (-596 *6 *7 *8)))) (-2797 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1141 *6)) (-5 *5 (-598 *7)) (-4 *6 (-1195)) (-4 *7 (-1195)) (-4 *8 (-1195)) (-5 *2 (-1141 *8)) (-5 *1 (-596 *6 *7 *8)))) (-2797 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-598 *6)) (-5 *5 (-598 *7)) (-4 *6 (-1195)) (-4 *7 (-1195)) (-4 *8 (-1195)) (-5 *2 (-598 *8)) (-5 *1 (-596 *6 *7 *8))))) 
-(-10 -7 (-15 -2797 ((-598 |#3|) (-1 |#3| |#1| |#2|) (-598 |#1|) (-598 |#2|))) (-15 -2797 ((-1141 |#3|) (-1 |#3| |#1| |#2|) (-1141 |#1|) (-598 |#2|))) (-15 -2797 ((-1141 |#3|) (-1 |#3| |#1| |#2|) (-598 |#1|) (-1141 |#2|)))) 
-((-1824 ((|#3| |#3| (-634 (-607 |#3|)) (-634 (-1161))) 55)) (-3940 (((-169 |#2|) |#3|) 116)) (-3519 ((|#3| (-169 |#2|)) 43)) (-3073 ((|#2| |#3|) 19)) (-4175 ((|#3| |#2|) 32))) 
-(((-597 |#1| |#2| |#3|) (-10 -7 (-15 -3519 (|#3| (-169 |#2|))) (-15 -3073 (|#2| |#3|)) (-15 -4175 (|#3| |#2|)) (-15 -3940 ((-169 |#2|) |#3|)) (-15 -1824 (|#3| |#3| (-634 (-607 |#3|)) (-634 (-1161))))) (-13 (-558) (-842)) (-13 (-432 |#1|) (-1002) (-1181)) (-13 (-432 (-169 |#1|)) (-1002) (-1181))) (T -597)) 
-((-1824 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-634 (-607 *2))) (-5 *4 (-634 (-1161))) (-4 *2 (-13 (-432 (-169 *5)) (-1002) (-1181))) (-4 *5 (-13 (-558) (-842))) (-5 *1 (-597 *5 *6 *2)) (-4 *6 (-13 (-432 *5) (-1002) (-1181))))) (-3940 (*1 *2 *3) (-12 (-4 *4 (-13 (-558) (-842))) (-5 *2 (-169 *5)) (-5 *1 (-597 *4 *5 *3)) (-4 *5 (-13 (-432 *4) (-1002) (-1181))) (-4 *3 (-13 (-432 (-169 *4)) (-1002) (-1181))))) (-4175 (*1 *2 *3) (-12 (-4 *4 (-13 (-558) (-842))) (-4 *2 (-13 (-432 (-169 *4)) (-1002) (-1181))) (-5 *1 (-597 *4 *3 *2)) (-4 *3 (-13 (-432 *4) (-1002) (-1181))))) (-3073 (*1 *2 *3) (-12 (-4 *4 (-13 (-558) (-842))) (-4 *2 (-13 (-432 *4) (-1002) (-1181))) (-5 *1 (-597 *4 *2 *3)) (-4 *3 (-13 (-432 (-169 *4)) (-1002) (-1181))))) (-3519 (*1 *2 *3) (-12 (-5 *3 (-169 *5)) (-4 *5 (-13 (-432 *4) (-1002) (-1181))) (-4 *4 (-13 (-558) (-842))) (-4 *2 (-13 (-432 (-169 *4)) (-1002) (-1181))) (-5 *1 (-597 *4 *5 *2))))) 
-(-10 -7 (-15 -3519 (|#3| (-169 |#2|))) (-15 -3073 (|#2| |#3|)) (-15 -4175 (|#3| |#2|)) (-15 -3940 ((-169 |#2|) |#3|)) (-15 -1824 (|#3| |#3| (-634 (-607 |#3|)) (-634 (-1161))))) 
-((-2803 (($ (-1 (-121) |#1|) $) 16)) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-2783 (($ (-1 |#1| |#1|) |#1|) 9)) (-2796 (($ (-1 (-121) |#1|) $) 12)) (-2800 (($ (-1 (-121) |#1|) $) 14)) (-4289 (((-1141 |#1|) $) 17)) (-2747 (((-850) $) NIL))) 
-(((-598 |#1|) (-13 (-608 (-850)) (-10 -8 (-15 -2797 ($ (-1 |#1| |#1|) $)) (-15 -2796 ($ (-1 (-121) |#1|) $)) (-15 -2800 ($ (-1 (-121) |#1|) $)) (-15 -2803 ($ (-1 (-121) |#1|) $)) (-15 -2783 ($ (-1 |#1| |#1|) |#1|)) (-15 -4289 ((-1141 |#1|) $)))) (-1195)) (T -598)) 
-((-2797 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1195)) (-5 *1 (-598 *3)))) (-2796 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1195)) (-5 *1 (-598 *3)))) (-2800 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1195)) (-5 *1 (-598 *3)))) (-2803 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1195)) (-5 *1 (-598 *3)))) (-2783 (*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1195)) (-5 *1 (-598 *3)))) (-4289 (*1 *2 *1) (-12 (-5 *2 (-1141 *3)) (-5 *1 (-598 *3)) (-4 *3 (-1195))))) 
-(-13 (-608 (-850)) (-10 -8 (-15 -2797 ($ (-1 |#1| |#1|) $)) (-15 -2796 ($ (-1 (-121) |#1|) $)) (-15 -2800 ($ (-1 (-121) |#1|) $)) (-15 -2803 ($ (-1 (-121) |#1|) $)) (-15 -2783 ($ (-1 |#1| |#1|) |#1|)) (-15 -4289 ((-1141 |#1|) $)))) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-3207 (($ (-763)) NIL (|has| |#1| (-23)))) (-2481 (((-1249) $ (-568) (-568)) NIL (|has| $ (-6 -4522)))) (-1324 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-842)))) (-2109 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4522))) (($ $) NIL (-12 (|has| $ (-6 -4522)) (|has| |#1| (-842))))) (-3647 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-842)))) (-1667 (((-121) $ (-763)) NIL)) (-2438 ((|#1| $ (-568) |#1|) NIL (|has| $ (-6 -4522))) ((|#1| $ (-1210 (-568)) |#1|) NIL (|has| $ (-6 -4522)))) (-2803 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-4490 (($) NIL T CONST)) (-4452 (($ $) NIL (|has| $ (-6 -4522)))) (-3945 (($ $) NIL)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-4330 (($ |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4521)))) (-1292 ((|#1| $ (-568) |#1|) NIL (|has| $ (-6 -4522)))) (-2069 ((|#1| $ (-568)) NIL)) (-2766 (((-568) (-1 (-121) |#1|) $) NIL) (((-568) |#1| $) NIL (|has| |#1| (-1090))) (((-568) |#1| $ (-568)) NIL (|has| |#1| (-1090)))) (-3317 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-1804 (((-679 |#1|) $ $) NIL (|has| |#1| (-1047)))) (-1851 (($ (-763) |#1|) NIL)) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-568) $) NIL (|has| (-568) (-842)))) (-1732 (($ $ $) NIL (|has| |#1| (-842)))) (-3645 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-842)))) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3631 (((-568) $) NIL (|has| (-568) (-842)))) (-2047 (($ $ $) NIL (|has| |#1| (-842)))) (-2253 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-4303 ((|#1| $) NIL (-12 (|has| |#1| (-1002)) (|has| |#1| (-1047))))) (-3796 (((-121) $ (-763)) NIL)) (-3680 ((|#1| $) NIL (-12 (|has| |#1| (-1002)) (|has| |#1| (-1047))))) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-4124 (($ |#1| $ (-568)) NIL) (($ $ $ (-568)) NIL)) (-3948 (((-634 (-568)) $) NIL)) (-2916 (((-121) (-568) $) NIL)) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-3877 ((|#1| $) NIL (|has| (-568) (-842)))) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2490 (($ $ |#1|) NIL (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1480 (((-634 |#1|) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#1| $ (-568) |#1|) NIL) ((|#1| $ (-568)) NIL) (($ $ (-1210 (-568))) NIL)) (-2286 ((|#1| $ $) NIL (|has| |#1| (-1047)))) (-2828 (($ $ (-568)) NIL) (($ $ (-1210 (-568))) NIL)) (-3372 (($ $ $) NIL (|has| |#1| (-1047)))) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3306 (($ $ $ (-568)) NIL (|has| $ (-6 -4522)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) NIL (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) NIL)) (-2770 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-634 $)) NIL)) (-2747 (((-850) $) NIL (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1753 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1719 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1747 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1775 (($ $) NIL (|has| |#1| (-21))) (($ $ $) NIL (|has| |#1| (-21)))) (-1769 (($ $ $) NIL (|has| |#1| (-25)))) (* (($ (-568) $) NIL (|has| |#1| (-21))) (($ |#1| $) NIL (|has| |#1| (-716))) (($ $ |#1|) NIL (|has| |#1| (-716)))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-599 |#1| |#2|) (-1242 |#1|) (-1195) (-568)) (T -599)) 
-NIL 
-(-1242 |#1|) 
-((-2481 (((-1249) $ |#2| |#2|) 36)) (-2539 ((|#2| $) 23)) (-3631 ((|#2| $) 21)) (-2253 (($ (-1 |#3| |#3|) $) 32)) (-2797 (($ (-1 |#3| |#3|) $) 30)) (-3877 ((|#3| $) 26)) (-2490 (($ $ |#3|) 33)) (-1801 (((-121) |#3| $) 17)) (-1480 (((-634 |#3|) $) 15)) (-2781 ((|#3| $ |#2| |#3|) 12) ((|#3| $ |#2|) NIL))) 
-(((-600 |#1| |#2| |#3|) (-10 -8 (-15 -2481 ((-1249) |#1| |#2| |#2|)) (-15 -2490 (|#1| |#1| |#3|)) (-15 -3877 (|#3| |#1|)) (-15 -2539 (|#2| |#1|)) (-15 -3631 (|#2| |#1|)) (-15 -1801 ((-121) |#3| |#1|)) (-15 -1480 ((-634 |#3|) |#1|)) (-15 -2781 (|#3| |#1| |#2|)) (-15 -2781 (|#3| |#1| |#2| |#3|)) (-15 -2253 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -2797 (|#1| (-1 |#3| |#3|) |#1|))) (-601 |#2| |#3|) (-1090) (-1195)) (T -600)) 
-NIL 
-(-10 -8 (-15 -2481 ((-1249) |#1| |#2| |#2|)) (-15 -2490 (|#1| |#1| |#3|)) (-15 -3877 (|#3| |#1|)) (-15 -2539 (|#2| |#1|)) (-15 -3631 (|#2| |#1|)) (-15 -1801 ((-121) |#3| |#1|)) (-15 -1480 ((-634 |#3|) |#1|)) (-15 -2781 (|#3| |#1| |#2|)) (-15 -2781 (|#3| |#1| |#2| |#3|)) (-15 -2253 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -2797 (|#1| (-1 |#3| |#3|) |#1|))) 
-((-2449 (((-121) $ $) 18 (|has| |#2| (-1090)))) (-2481 (((-1249) $ |#1| |#1|) 37 (|has| $ (-6 -4522)))) (-1667 (((-121) $ (-763)) 8)) (-2438 ((|#2| $ |#1| |#2|) 49 (|has| $ (-6 -4522)))) (-4490 (($) 7 T CONST)) (-1292 ((|#2| $ |#1| |#2|) 50 (|has| $ (-6 -4522)))) (-2069 ((|#2| $ |#1|) 48)) (-3317 (((-634 |#2|) $) 30 (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) 9)) (-2539 ((|#1| $) 40 (|has| |#1| (-842)))) (-4406 (((-634 |#2|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#2| $) 27 (-12 (|has| |#2| (-1090)) (|has| $ (-6 -4521))))) (-3631 ((|#1| $) 41 (|has| |#1| (-842)))) (-2253 (($ (-1 |#2| |#2|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#2| |#2|) $) 35)) (-3796 (((-121) $ (-763)) 10)) (-1893 (((-1143) $) 22 (|has| |#2| (-1090)))) (-3948 (((-634 |#1|) $) 43)) (-2916 (((-121) |#1| $) 44)) (-4025 (((-1108) $) 21 (|has| |#2| (-1090)))) (-3877 ((|#2| $) 39 (|has| |#1| (-842)))) (-2490 (($ $ |#2|) 38 (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) |#2|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#2|))) 26 (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-288 |#2|)) 25 (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ |#2| |#2|) 24 (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-634 |#2|) (-634 |#2|)) 23 (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))))) (-1702 (((-121) $ $) 14)) (-1801 (((-121) |#2| $) 42 (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-1480 (((-634 |#2|) $) 45)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-2781 ((|#2| $ |#1| |#2|) 47) ((|#2| $ |#1|) 46)) (-4170 (((-763) (-1 (-121) |#2|) $) 31 (|has| $ (-6 -4521))) (((-763) |#2| $) 28 (-12 (|has| |#2| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-2747 (((-850) $) 20 (|has| |#2| (-1090)))) (-3437 (((-121) (-1 (-121) |#2|) $) 33 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 19 (|has| |#2| (-1090)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-601 |#1| |#2|) (-1275) (-1090) (-1195)) (T -601)) 
-((-1480 (*1 *2 *1) (-12 (-4 *1 (-601 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1195)) (-5 *2 (-634 *4)))) (-2916 (*1 *2 *3 *1) (-12 (-4 *1 (-601 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1195)) (-5 *2 (-121)))) (-3948 (*1 *2 *1) (-12 (-4 *1 (-601 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1195)) (-5 *2 (-634 *3)))) (-1801 (*1 *2 *3 *1) (-12 (|has| *1 (-6 -4521)) (-4 *1 (-601 *4 *3)) (-4 *4 (-1090)) (-4 *3 (-1195)) (-4 *3 (-1090)) (-5 *2 (-121)))) (-3631 (*1 *2 *1) (-12 (-4 *1 (-601 *2 *3)) (-4 *3 (-1195)) (-4 *2 (-1090)) (-4 *2 (-842)))) (-2539 (*1 *2 *1) (-12 (-4 *1 (-601 *2 *3)) (-4 *3 (-1195)) (-4 *2 (-1090)) (-4 *2 (-842)))) (-3877 (*1 *2 *1) (-12 (-4 *1 (-601 *3 *2)) (-4 *3 (-1090)) (-4 *3 (-842)) (-4 *2 (-1195)))) (-2490 (*1 *1 *1 *2) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-601 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-1195)))) (-2481 (*1 *2 *1 *3 *3) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-601 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1195)) (-5 *2 (-1249))))) 
-(-13 (-499 |t#2|) (-283 |t#1| |t#2|) (-10 -8 (-15 -1480 ((-634 |t#2|) $)) (-15 -2916 ((-121) |t#1| $)) (-15 -3948 ((-634 |t#1|) $)) (IF (|has| |t#2| (-1090)) (IF (|has| $ (-6 -4521)) (-15 -1801 ((-121) |t#2| $)) |noBranch|) |noBranch|) (IF (|has| |t#1| (-842)) (PROGN (-15 -3631 (|t#1| $)) (-15 -2539 (|t#1| $)) (-15 -3877 (|t#2| $))) |noBranch|) (IF (|has| $ (-6 -4522)) (PROGN (-15 -2490 ($ $ |t#2|)) (-15 -2481 ((-1249) $ |t#1| |t#1|))) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#2| (-1090)) ((-608 (-850)) |has| |#2| (-1090)) ((-281 |#1| |#2|) . T) ((-283 |#1| |#2|) . T) ((-303 |#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))) ((-499 |#2|) . T) ((-523 |#2| |#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))) ((-1090) |has| |#2| (-1090)) ((-1195) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-3591 (((-3 $ "failed")) NIL (-2199 (-12 (|has| |#2| (-369 |#1|)) (|has| |#1| (-558))) (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-558)))))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3542 (((-1244 (-679 |#1|))) NIL (|has| |#2| (-419 |#1|))) (((-1244 (-679 |#1|)) (-1244 $)) NIL (|has| |#2| (-369 |#1|)))) (-3818 (((-1244 $)) NIL (|has| |#2| (-369 |#1|)))) (-4490 (($) NIL T CONST)) (-3354 (((-3 (-2 (|:| |particular| $) (|:| -2588 (-634 $))) "failed")) NIL (-2199 (-12 (|has| |#2| (-369 |#1|)) (|has| |#1| (-558))) (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-558)))))) (-2046 (((-3 $ "failed")) NIL (-2199 (-12 (|has| |#2| (-369 |#1|)) (|has| |#1| (-558))) (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-558)))))) (-1524 (((-679 |#1|)) NIL (|has| |#2| (-419 |#1|))) (((-679 |#1|) (-1244 $)) NIL (|has| |#2| (-369 |#1|)))) (-2467 ((|#1| $) NIL (|has| |#2| (-369 |#1|)))) (-2235 (((-679 |#1|) $) NIL (|has| |#2| (-419 |#1|))) (((-679 |#1|) $ (-1244 $)) NIL (|has| |#2| (-369 |#1|)))) (-2812 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| |#2| (-369 |#1|)) (|has| |#1| (-558))) (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-558)))))) (-1503 (((-1157 (-953 |#1|))) NIL (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-365))))) (-2815 (($ $ (-917)) NIL)) (-1509 ((|#1| $) NIL (|has| |#2| (-369 |#1|)))) (-3839 (((-1157 |#1|) $) NIL (-2199 (-12 (|has| |#2| (-369 |#1|)) (|has| |#1| (-558))) (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-558)))))) (-2886 ((|#1|) NIL (|has| |#2| (-419 |#1|))) ((|#1| (-1244 $)) NIL (|has| |#2| (-369 |#1|)))) (-3105 (((-1157 |#1|) $) NIL (|has| |#2| (-369 |#1|)))) (-1463 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-3899 (($ (-1244 |#1|)) NIL (|has| |#2| (-419 |#1|))) (($ (-1244 |#1|) (-1244 $)) NIL (|has| |#2| (-369 |#1|)))) (-2902 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| |#2| (-369 |#1|)) (|has| |#1| (-558))) (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-558)))))) (-2371 (((-917)) NIL (|has| |#2| (-369 |#1|)))) (-3375 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-3402 (($ $ (-917)) NIL)) (-4221 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-4463 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-3582 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-2587 (((-3 (-2 (|:| |particular| $) (|:| -2588 (-634 $))) "failed")) NIL (-2199 (-12 (|has| |#2| (-369 |#1|)) (|has| |#1| (-558))) (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-558)))))) (-2061 (((-3 $ "failed")) NIL (-2199 (-12 (|has| |#2| (-369 |#1|)) (|has| |#1| (-558))) (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-558)))))) (-4134 (((-679 |#1|)) NIL (|has| |#2| (-419 |#1|))) (((-679 |#1|) (-1244 $)) NIL (|has| |#2| (-369 |#1|)))) (-2786 ((|#1| $) NIL (|has| |#2| (-369 |#1|)))) (-3147 (((-679 |#1|) $) NIL (|has| |#2| (-419 |#1|))) (((-679 |#1|) $ (-1244 $)) NIL (|has| |#2| (-369 |#1|)))) (-1974 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| |#2| (-369 |#1|)) (|has| |#1| (-558))) (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-558)))))) (-1730 (((-1157 (-953 |#1|))) NIL (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-365))))) (-4202 (($ $ (-917)) NIL)) (-4390 ((|#1| $) NIL (|has| |#2| (-369 |#1|)))) (-3364 (((-1157 |#1|) $) NIL (-2199 (-12 (|has| |#2| (-369 |#1|)) (|has| |#1| (-558))) (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-558)))))) (-2060 ((|#1|) NIL (|has| |#2| (-419 |#1|))) ((|#1| (-1244 $)) NIL (|has| |#2| (-369 |#1|)))) (-3114 (((-1157 |#1|) $) NIL (|has| |#2| (-369 |#1|)))) (-3487 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-1893 (((-1143) $) NIL)) (-2153 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-2889 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-1852 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-4025 (((-1108) $) NIL)) (-3636 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-2781 ((|#1| $ (-568)) NIL (|has| |#2| (-419 |#1|)))) (-1656 (((-679 |#1|) (-1244 $)) NIL (|has| |#2| (-419 |#1|))) (((-1244 |#1|) $) NIL (|has| |#2| (-419 |#1|))) (((-679 |#1|) (-1244 $) (-1244 $)) NIL (|has| |#2| (-369 |#1|))) (((-1244 |#1|) $ (-1244 $)) NIL (|has| |#2| (-369 |#1|)))) (-4280 (($ (-1244 |#1|)) NIL (|has| |#2| (-419 |#1|))) (((-1244 |#1|) $) NIL (|has| |#2| (-419 |#1|)))) (-2155 (((-634 (-953 |#1|))) NIL (|has| |#2| (-419 |#1|))) (((-634 (-953 |#1|)) (-1244 $)) NIL (|has| |#2| (-369 |#1|)))) (-3985 (($ $ $) NIL)) (-3441 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-2747 (((-850) $) NIL) ((|#2| $) 21) (($ |#2|) 22)) (-2588 (((-1244 $)) NIL (|has| |#2| (-419 |#1|)))) (-2657 (((-634 (-1244 |#1|))) NIL (-2199 (-12 (|has| |#2| (-369 |#1|)) (|has| |#1| (-558))) (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-558)))))) (-2007 (($ $ $ $) NIL)) (-3964 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-3828 (($ (-679 |#1|) $) NIL (|has| |#2| (-419 |#1|)))) (-3911 (($ $ $) NIL)) (-2435 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-2984 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-3579 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-3058 (($) NIL T CONST)) (-1719 (((-121) $ $) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) 24)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 20) (($ $ |#1|) 19) (($ |#1| $) NIL))) 
-(((-602 |#1| |#2|) (-13 (-736 |#1|) (-608 |#2|) (-10 -8 (-15 -2747 ($ |#2|)) (IF (|has| |#2| (-419 |#1|)) (-6 (-419 |#1|)) |noBranch|) (IF (|has| |#2| (-369 |#1|)) (-6 (-369 |#1|)) |noBranch|))) (-172) (-736 |#1|)) (T -602)) 
-((-2747 (*1 *1 *2) (-12 (-4 *3 (-172)) (-5 *1 (-602 *3 *2)) (-4 *2 (-736 *3))))) 
-(-13 (-736 |#1|) (-608 |#2|) (-10 -8 (-15 -2747 ($ |#2|)) (IF (|has| |#2| (-419 |#1|)) (-6 (-419 |#1|)) |noBranch|) (IF (|has| |#2| (-369 |#1|)) (-6 (-369 |#1|)) |noBranch|))) 
-((-2449 (((-121) $ $) NIL)) (-3637 (((-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) $ (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) 33)) (-2988 (($ (-634 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)))) NIL) (($) NIL)) (-2481 (((-1249) $ (-1143) (-1143)) NIL (|has| $ (-6 -4522)))) (-1667 (((-121) $ (-763)) NIL)) (-2438 ((|#1| $ (-1143) |#1|) 43)) (-3963 (($ (-1 (-121) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $) NIL (|has| $ (-6 -4521)))) (-2803 (($ (-1 (-121) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $) NIL (|has| $ (-6 -4521)))) (-2678 (((-3 |#1| "failed") (-1143) $) 46)) (-4490 (($) NIL T CONST)) (-1672 (($ $ (-1143)) 25)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1090))))) (-1568 (((-3 |#1| "failed") (-1143) $) 47) (($ (-1 (-121) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $) NIL (|has| $ (-6 -4521))) (($ (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) $) NIL (|has| $ (-6 -4521)))) (-4330 (($ (-1 (-121) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $) NIL (|has| $ (-6 -4521))) (($ (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1090))))) (-3094 (((-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $) NIL (|has| $ (-6 -4521))) (((-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $ (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) NIL (|has| $ (-6 -4521))) (((-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $ (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1090))))) (-4379 (((-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) $) 32)) (-1292 ((|#1| $ (-1143) |#1|) NIL (|has| $ (-6 -4522)))) (-2069 ((|#1| $ (-1143)) NIL)) (-3317 (((-634 |#1|) $) NIL (|has| $ (-6 -4521))) (((-634 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $) NIL (|has| $ (-6 -4521)))) (-1444 (($ $) 48)) (-2133 (($ (-390)) 23) (($ (-390) (-1143)) 22)) (-3393 (((-390) $) 34)) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-1143) $) NIL (|has| (-1143) (-842)))) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521))) (((-634 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090)))) (((-121) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1090))))) (-3631 (((-1143) $) NIL (|has| (-1143) (-842)))) (-2253 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4522))) (($ (-1 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL)) (-4253 (((-634 (-1143)) $) 39)) (-2807 (((-121) (-1143) $) NIL)) (-4249 (((-1143) $) 35)) (-2580 (((-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) $) NIL)) (-1708 (($ (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) $) NIL)) (-3948 (((-634 (-1143)) $) NIL)) (-2916 (((-121) (-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-3919 (((-1249) $) NIL)) (-3877 ((|#1| $) NIL (|has| (-1143) (-842)))) (-2712 (((-3 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) "failed") (-1 (-121) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $) NIL)) (-2490 (($ $ |#1|) NIL (|has| $ (-6 -4522)))) (-3403 (((-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) $) NIL)) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) (-634 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)))) NIL (-12 (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-303 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)))) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1090)))) (($ $ (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) NIL (-12 (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-303 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)))) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1090)))) (($ $ (-288 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)))) NIL (-12 (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-303 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)))) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1090)))) (($ $ (-634 (-288 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))))) NIL (-12 (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-303 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)))) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1480 (((-634 |#1|) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) 37)) (-2781 ((|#1| $ (-1143) |#1|) NIL) ((|#1| $ (-1143)) 42)) (-3132 (($ (-634 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)))) NIL) (($) NIL)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090)))) (((-763) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1090)))) (((-763) (-1 (-121) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $) NIL (|has| $ (-6 -4521)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) NIL (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-609 (-541))))) (-4289 (($ (-634 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)))) NIL)) (-2747 (((-850) $) 21)) (-3171 (($ $) 26)) (-4074 (($ (-634 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)))) NIL)) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 20)) (-1699 (((-763) $) 41 (|has| $ (-6 -4521))))) 
-(((-603 |#1|) (-13 (-366 (-390) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) (-1172 (-1143) |#1|) (-10 -8 (-6 -4521) (-15 -1444 ($ $)))) (-1090)) (T -603)) 
-((-1444 (*1 *1 *1) (-12 (-5 *1 (-603 *2)) (-4 *2 (-1090))))) 
-(-13 (-366 (-390) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) (-1172 (-1143) |#1|) (-10 -8 (-6 -4521) (-15 -1444 ($ $)))) 
-((-2551 (((-121) (-2 (|:| -3651 |#2|) (|:| -4085 |#3|)) $) 15)) (-4253 (((-634 |#2|) $) 19)) (-2807 (((-121) |#2| $) 12))) 
-(((-604 |#1| |#2| |#3|) (-10 -8 (-15 -4253 ((-634 |#2|) |#1|)) (-15 -2807 ((-121) |#2| |#1|)) (-15 -2551 ((-121) (-2 (|:| -3651 |#2|) (|:| -4085 |#3|)) |#1|))) (-605 |#2| |#3|) (-1090) (-1090)) (T -604)) 
-NIL 
-(-10 -8 (-15 -4253 ((-634 |#2|) |#1|)) (-15 -2807 ((-121) |#2| |#1|)) (-15 -2551 ((-121) (-2 (|:| -3651 |#2|) (|:| -4085 |#3|)) |#1|))) 
-((-2449 (((-121) $ $) 18 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (-1667 (((-121) $ (-763)) 8)) (-3963 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 42 (|has| $ (-6 -4521)))) (-2803 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 52 (|has| $ (-6 -4521)))) (-2678 (((-3 |#2| "failed") |#1| $) 57)) (-4490 (($) 7 T CONST)) (-3926 (($ $) 55 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| $ (-6 -4521))))) (-1568 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 44 (|has| $ (-6 -4521))) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 43 (|has| $ (-6 -4521))) (((-3 |#2| "failed") |#1| $) 58)) (-4330 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 54 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| $ (-6 -4521)))) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 51 (|has| $ (-6 -4521)))) (-3094 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 53 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| $ (-6 -4521)))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 50 (|has| $ (-6 -4521))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 49 (|has| $ (-6 -4521)))) (-3317 (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 30 (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) 9)) (-4406 (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 27 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| $ (-6 -4521))))) (-2253 (($ (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 35)) (-3796 (((-121) $ (-763)) 10)) (-1893 (((-1143) $) 22 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (-4253 (((-634 |#1|) $) 59)) (-2807 (((-121) |#1| $) 60)) (-2580 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 36)) (-1708 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 37)) (-4025 (((-1108) $) 21 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (-2712 (((-3 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) "failed") (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 48)) (-3403 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 38)) (-3951 (((-121) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))))) 26 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-288 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) 25 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 24 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) 23 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))))) (-1702 (((-121) $ $) 14)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-3132 (($) 46) (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) 45)) (-4170 (((-763) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 31 (|has| $ (-6 -4521))) (((-763) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 28 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-4280 (((-541) $) 56 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-609 (-541))))) (-4289 (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) 47)) (-2747 (((-850) $) 20 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (-4074 (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) 39)) (-3437 (((-121) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 33 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 19 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-605 |#1| |#2|) (-1275) (-1090) (-1090)) (T -605)) 
-((-2807 (*1 *2 *3 *1) (-12 (-4 *1 (-605 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-5 *2 (-121)))) (-4253 (*1 *2 *1) (-12 (-4 *1 (-605 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-5 *2 (-634 *3)))) (-1568 (*1 *2 *3 *1) (|partial| -12 (-4 *1 (-605 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-1090)))) (-2678 (*1 *2 *3 *1) (|partial| -12 (-4 *1 (-605 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-1090))))) 
-(-13 (-221 (-2 (|:| -3651 |t#1|) (|:| -4085 |t#2|))) (-10 -8 (-15 -2807 ((-121) |t#1| $)) (-15 -4253 ((-634 |t#1|) $)) (-15 -1568 ((-3 |t#2| "failed") |t#1| $)) (-15 -2678 ((-3 |t#2| "failed") |t#1| $)))) 
-(((-39) . T) ((-111 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((-105) |has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) ((-608 (-850)) |has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) ((-154 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((-609 (-541)) |has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-609 (-541))) ((-221 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((-227 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) -12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))) ((-499 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((-523 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) -12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))) ((-1090) |has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) ((-1195) . T)) 
-((-2195 (((-607 |#2|) |#1|) 15)) (-2868 (((-3 |#1| "failed") (-607 |#2|)) 19))) 
-(((-606 |#1| |#2|) (-10 -7 (-15 -2195 ((-607 |#2|) |#1|)) (-15 -2868 ((-3 |#1| "failed") (-607 |#2|)))) (-842) (-842)) (T -606)) 
-((-2868 (*1 *2 *3) (|partial| -12 (-5 *3 (-607 *4)) (-4 *4 (-842)) (-4 *2 (-842)) (-5 *1 (-606 *2 *4)))) (-2195 (*1 *2 *3) (-12 (-5 *2 (-607 *4)) (-5 *1 (-606 *3 *4)) (-4 *3 (-842)) (-4 *4 (-842))))) 
-(-10 -7 (-15 -2195 ((-607 |#2|) |#1|)) (-15 -2868 ((-3 |#1| "failed") (-607 |#2|)))) 
-((-2449 (((-121) $ $) NIL)) (-1688 (((-3 (-1161) "failed") $) 36)) (-2704 (((-1249) $ (-763)) 26)) (-2766 (((-763) $) 25)) (-3842 (((-123) $) 12)) (-3393 (((-1161) $) 20)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-1893 (((-1143) $) NIL)) (-3446 (($ (-123) (-634 |#1|) (-763)) 30) (($ (-1161)) 31)) (-3910 (((-121) $ (-123)) 18) (((-121) $ (-1161)) 16)) (-2963 (((-763) $) 22)) (-4025 (((-1108) $) NIL)) (-4280 (((-887 (-568)) $) 69 (|has| |#1| (-609 (-887 (-568))))) (((-887 (-381)) $) 75 (|has| |#1| (-609 (-887 (-381))))) (((-541) $) 62 (|has| |#1| (-609 (-541))))) (-2747 (((-850) $) 51)) (-2014 (((-634 |#1|) $) 24)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 39)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 40))) 
-(((-607 |#1|) (-13 (-138) (-879 |#1|) (-10 -8 (-15 -3393 ((-1161) $)) (-15 -3842 ((-123) $)) (-15 -2014 ((-634 |#1|) $)) (-15 -2963 ((-763) $)) (-15 -3446 ($ (-123) (-634 |#1|) (-763))) (-15 -3446 ($ (-1161))) (-15 -1688 ((-3 (-1161) "failed") $)) (-15 -3910 ((-121) $ (-123))) (-15 -3910 ((-121) $ (-1161))) (IF (|has| |#1| (-609 (-541))) (-6 (-609 (-541))) |noBranch|))) (-842)) (T -607)) 
-((-3393 (*1 *2 *1) (-12 (-5 *2 (-1161)) (-5 *1 (-607 *3)) (-4 *3 (-842)))) (-3842 (*1 *2 *1) (-12 (-5 *2 (-123)) (-5 *1 (-607 *3)) (-4 *3 (-842)))) (-2014 (*1 *2 *1) (-12 (-5 *2 (-634 *3)) (-5 *1 (-607 *3)) (-4 *3 (-842)))) (-2963 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-607 *3)) (-4 *3 (-842)))) (-3446 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-123)) (-5 *3 (-634 *5)) (-5 *4 (-763)) (-4 *5 (-842)) (-5 *1 (-607 *5)))) (-3446 (*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-607 *3)) (-4 *3 (-842)))) (-1688 (*1 *2 *1) (|partial| -12 (-5 *2 (-1161)) (-5 *1 (-607 *3)) (-4 *3 (-842)))) (-3910 (*1 *2 *1 *3) (-12 (-5 *3 (-123)) (-5 *2 (-121)) (-5 *1 (-607 *4)) (-4 *4 (-842)))) (-3910 (*1 *2 *1 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-121)) (-5 *1 (-607 *4)) (-4 *4 (-842))))) 
-(-13 (-138) (-879 |#1|) (-10 -8 (-15 -3393 ((-1161) $)) (-15 -3842 ((-123) $)) (-15 -2014 ((-634 |#1|) $)) (-15 -2963 ((-763) $)) (-15 -3446 ($ (-123) (-634 |#1|) (-763))) (-15 -3446 ($ (-1161))) (-15 -1688 ((-3 (-1161) "failed") $)) (-15 -3910 ((-121) $ (-123))) (-15 -3910 ((-121) $ (-1161))) (IF (|has| |#1| (-609 (-541))) (-6 (-609 (-541))) |noBranch|))) 
-((-2747 ((|#1| $) 6))) 
-(((-608 |#1|) (-1275) (-1195)) (T -608)) 
-((-2747 (*1 *2 *1) (-12 (-4 *1 (-608 *2)) (-4 *2 (-1195))))) 
-(-13 (-10 -8 (-15 -2747 (|t#1| $)))) 
-((-4280 ((|#1| $) 6))) 
-(((-609 |#1|) (-1275) (-1195)) (T -609)) 
-((-4280 (*1 *2 *1) (-12 (-4 *1 (-609 *2)) (-4 *2 (-1195))))) 
-(-13 (-10 -8 (-15 -4280 (|t#1| $)))) 
-((-2762 (((-3 (-1157 (-409 |#2|)) "failed") (-409 |#2|) (-409 |#2|) (-409 |#2|) (-1 (-420 |#2|) |#2|)) 13) (((-3 (-1157 (-409 |#2|)) "failed") (-409 |#2|) (-409 |#2|) (-409 |#2|)) 14))) 
-(((-610 |#1| |#2|) (-10 -7 (-15 -2762 ((-3 (-1157 (-409 |#2|)) "failed") (-409 |#2|) (-409 |#2|) (-409 |#2|))) (-15 -2762 ((-3 (-1157 (-409 |#2|)) "failed") (-409 |#2|) (-409 |#2|) (-409 |#2|) (-1 (-420 |#2|) |#2|)))) (-13 (-150) (-27) (-1037 (-568)) (-1037 (-409 (-568)))) (-1219 |#1|)) (T -610)) 
-((-2762 (*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 (-420 *6) *6)) (-4 *6 (-1219 *5)) (-4 *5 (-13 (-150) (-27) (-1037 (-568)) (-1037 (-409 (-568))))) (-5 *2 (-1157 (-409 *6))) (-5 *1 (-610 *5 *6)) (-5 *3 (-409 *6)))) (-2762 (*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-150) (-27) (-1037 (-568)) (-1037 (-409 (-568))))) (-4 *5 (-1219 *4)) (-5 *2 (-1157 (-409 *5))) (-5 *1 (-610 *4 *5)) (-5 *3 (-409 *5))))) 
-(-10 -7 (-15 -2762 ((-3 (-1157 (-409 |#2|)) "failed") (-409 |#2|) (-409 |#2|) (-409 |#2|))) (-15 -2762 ((-3 (-1157 (-409 |#2|)) "failed") (-409 |#2|) (-409 |#2|) (-409 |#2|) (-1 (-420 |#2|) |#2|)))) 
-((-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ |#2|) 10))) 
-(((-611 |#1| |#2|) (-10 -8 (-15 -2747 (|#1| |#2|)) (-15 -2747 (|#1| (-568))) (-15 -2747 ((-850) |#1|))) (-612 |#2|) (-1047)) (T -611)) 
-NIL 
-(-10 -8 (-15 -2747 (|#1| |#2|)) (-15 -2747 (|#1| (-568))) (-15 -2747 ((-850) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-2902 (((-3 $ "failed") $) 33)) (-1598 (((-121) $) 30)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ |#1|) 35)) (-3425 (((-763)) 28)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ |#1| $) 36))) 
-(((-612 |#1|) (-1275) (-1047)) (T -612)) 
-((-2747 (*1 *1 *2) (-12 (-4 *1 (-612 *2)) (-4 *2 (-1047))))) 
-(-13 (-1047) (-637 |t#1|) (-10 -8 (-15 -2747 ($ |t#1|)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-137) . T) ((-608 (-850)) . T) ((-637 |#1|) . T) ((-637 $) . T) ((-716) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3337 (((-568) $) NIL (|has| |#1| (-840)))) (-4490 (($) NIL T CONST)) (-2902 (((-3 $ "failed") $) NIL)) (-1436 (((-121) $) NIL (|has| |#1| (-840)))) (-1598 (((-121) $) NIL)) (-2319 ((|#1| $) 13)) (-2859 (((-121) $) NIL (|has| |#1| (-840)))) (-1732 (($ $ $) NIL (|has| |#1| (-840)))) (-2047 (($ $ $) NIL (|has| |#1| (-840)))) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2326 ((|#3| $) 15)) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ |#2|) NIL)) (-3425 (((-763)) 20)) (-2811 (($ $) NIL (|has| |#1| (-840)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) 12 T CONST)) (-1753 (((-121) $ $) NIL (|has| |#1| (-840)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-840)))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (|has| |#1| (-840)))) (-1734 (((-121) $ $) NIL (|has| |#1| (-840)))) (-1781 (($ $ |#3|) NIL) (($ |#1| |#3|) 11)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 17) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
-(((-613 |#1| |#2| |#3|) (-13 (-43 |#2|) (-10 -8 (IF (|has| |#1| (-840)) (-6 (-840)) |noBranch|) (-15 -1781 ($ $ |#3|)) (-15 -1781 ($ |#1| |#3|)) (-15 -2319 (|#1| $)) (-15 -2326 (|#3| $)))) (-43 |#2|) (-172) (|SubsetCategory| (-716) |#2|)) (T -613)) 
-((-1781 (*1 *1 *1 *2) (-12 (-4 *4 (-172)) (-5 *1 (-613 *3 *4 *2)) (-4 *3 (-43 *4)) (-4 *2 (|SubsetCategory| (-716) *4)))) (-1781 (*1 *1 *2 *3) (-12 (-4 *4 (-172)) (-5 *1 (-613 *2 *4 *3)) (-4 *2 (-43 *4)) (-4 *3 (|SubsetCategory| (-716) *4)))) (-2319 (*1 *2 *1) (-12 (-4 *3 (-172)) (-4 *2 (-43 *3)) (-5 *1 (-613 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-716) *3)))) (-2326 (*1 *2 *1) (-12 (-4 *4 (-172)) (-4 *2 (|SubsetCategory| (-716) *4)) (-5 *1 (-613 *3 *4 *2)) (-4 *3 (-43 *4))))) 
-(-13 (-43 |#2|) (-10 -8 (IF (|has| |#1| (-840)) (-6 (-840)) |noBranch|) (-15 -1781 ($ $ |#3|)) (-15 -1781 ($ |#1| |#3|)) (-15 -2319 (|#1| $)) (-15 -2326 (|#3| $)))) 
-((-3033 ((|#2| |#2| (-1161) (-1161)) 18))) 
-(((-614 |#1| |#2|) (-10 -7 (-15 -3033 (|#2| |#2| (-1161) (-1161)))) (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568))) (-13 (-1181) (-959) (-29 |#1|))) (T -614)) 
-((-3033 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-614 *4 *2)) (-4 *2 (-13 (-1181) (-959) (-29 *4)))))) 
-(-10 -7 (-15 -3033 (|#2| |#2| (-1161) (-1161)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 52)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2581 ((|#1| $) 49)) (-2689 (((-3 $ "failed") $ $) NIL)) (-2589 (((-121) $ $) NIL (|has| |#1| (-365)))) (-1448 (((-2 (|:| -3949 $) (|:| -3358 (-409 |#2|))) (-409 |#2|)) 95 (|has| |#1| (-365)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-568) "failed") $) NIL (|has| |#1| (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-3 |#1| "failed") $) 83) (((-3 |#2| "failed") $) 80)) (-2857 (((-568) $) NIL (|has| |#1| (-1037 (-568)))) (((-409 (-568)) $) NIL (|has| |#1| (-1037 (-409 (-568))))) ((|#1| $) NIL) ((|#2| $) NIL)) (-2403 (($ $ $) NIL (|has| |#1| (-365)))) (-2116 (($ $) 24)) (-2902 (((-3 $ "failed") $) 74)) (-2414 (($ $ $) NIL (|has| |#1| (-365)))) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL (|has| |#1| (-365)))) (-1844 (((-568) $) 19)) (-1598 (((-121) $) NIL)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-2171 (((-121) $) 36)) (-2049 (($ |#1| (-568)) 21)) (-2104 ((|#1| $) 51)) (-2498 (($ (-634 $)) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-365)))) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#1| (-365)))) (-2723 (($ (-634 $)) NIL (|has| |#1| (-365))) (($ $ $) 85 (|has| |#1| (-365)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 98 (|has| |#1| (-365))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#1| (-365)))) (-2597 (((-3 $ "failed") $ $) 78)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-1466 (((-763) $) 97 (|has| |#1| (-365)))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 96 (|has| |#1| (-365)))) (-4191 (($ $ (-1 |#2| |#2|)) 65) (($ $ (-1 |#2| |#2|) (-763)) NIL) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-1161)) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-763)) NIL (|has| |#2| (-225))) (($ $) NIL (|has| |#2| (-225)))) (-1836 (((-568) $) 34)) (-4280 (((-409 |#2|) $) 42)) (-2747 (((-850) $) 61) (($ (-568)) 32) (($ $) NIL) (($ (-409 (-568))) NIL (|has| |#1| (-1037 (-409 (-568))))) (($ |#1|) 31) (($ |#2|) 22)) (-2079 ((|#1| $ (-568)) 62)) (-3385 (((-3 $ "failed") $) NIL (|has| |#1| (-148)))) (-3425 (((-763)) 29)) (-2273 (((-121) $ $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 9 T CONST)) (-1557 (($) 12 T CONST)) (-3192 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-763)) NIL) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-1161)) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-763)) NIL (|has| |#2| (-225))) (($ $) NIL (|has| |#2| (-225)))) (-1719 (((-121) $ $) 17)) (-1775 (($ $) 46) (($ $ $) NIL)) (-1769 (($ $ $) 75)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 26) (($ $ $) 44))) 
-(((-615 |#1| |#2|) (-13 (-223 |#2|) (-558) (-609 (-409 |#2|)) (-413 |#1|) (-1037 |#2|) (-10 -8 (-15 -2171 ((-121) $)) (-15 -1836 ((-568) $)) (-15 -1844 ((-568) $)) (-15 -2116 ($ $)) (-15 -2104 (|#1| $)) (-15 -2581 (|#1| $)) (-15 -2079 (|#1| $ (-568))) (-15 -2049 ($ |#1| (-568))) (IF (|has| |#1| (-150)) (-6 (-150)) |noBranch|) (IF (|has| |#1| (-148)) (-6 (-148)) |noBranch|) (IF (|has| |#1| (-365)) (PROGN (-6 (-301)) (-15 -1448 ((-2 (|:| -3949 $) (|:| -3358 (-409 |#2|))) (-409 |#2|)))) |noBranch|))) (-558) (-1219 |#1|)) (T -615)) 
-((-2171 (*1 *2 *1) (-12 (-4 *3 (-558)) (-5 *2 (-121)) (-5 *1 (-615 *3 *4)) (-4 *4 (-1219 *3)))) (-1836 (*1 *2 *1) (-12 (-4 *3 (-558)) (-5 *2 (-568)) (-5 *1 (-615 *3 *4)) (-4 *4 (-1219 *3)))) (-1844 (*1 *2 *1) (-12 (-4 *3 (-558)) (-5 *2 (-568)) (-5 *1 (-615 *3 *4)) (-4 *4 (-1219 *3)))) (-2116 (*1 *1 *1) (-12 (-4 *2 (-558)) (-5 *1 (-615 *2 *3)) (-4 *3 (-1219 *2)))) (-2104 (*1 *2 *1) (-12 (-4 *2 (-558)) (-5 *1 (-615 *2 *3)) (-4 *3 (-1219 *2)))) (-2581 (*1 *2 *1) (-12 (-4 *2 (-558)) (-5 *1 (-615 *2 *3)) (-4 *3 (-1219 *2)))) (-2079 (*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *2 (-558)) (-5 *1 (-615 *2 *4)) (-4 *4 (-1219 *2)))) (-2049 (*1 *1 *2 *3) (-12 (-5 *3 (-568)) (-4 *2 (-558)) (-5 *1 (-615 *2 *4)) (-4 *4 (-1219 *2)))) (-1448 (*1 *2 *3) (-12 (-4 *4 (-365)) (-4 *4 (-558)) (-4 *5 (-1219 *4)) (-5 *2 (-2 (|:| -3949 (-615 *4 *5)) (|:| -3358 (-409 *5)))) (-5 *1 (-615 *4 *5)) (-5 *3 (-409 *5))))) 
-(-13 (-223 |#2|) (-558) (-609 (-409 |#2|)) (-413 |#1|) (-1037 |#2|) (-10 -8 (-15 -2171 ((-121) $)) (-15 -1836 ((-568) $)) (-15 -1844 ((-568) $)) (-15 -2116 ($ $)) (-15 -2104 (|#1| $)) (-15 -2581 (|#1| $)) (-15 -2079 (|#1| $ (-568))) (-15 -2049 ($ |#1| (-568))) (IF (|has| |#1| (-150)) (-6 (-150)) |noBranch|) (IF (|has| |#1| (-148)) (-6 (-148)) |noBranch|) (IF (|has| |#1| (-365)) (PROGN (-6 (-301)) (-15 -1448 ((-2 (|:| -3949 $) (|:| -3358 (-409 |#2|))) (-409 |#2|)))) |noBranch|))) 
-((-2353 (((-634 |#6|) (-634 |#4|) (-121)) 46)) (-2705 ((|#6| |#6|) 39))) 
-(((-616 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -2705 (|#6| |#6|)) (-15 -2353 ((-634 |#6|) (-634 |#4|) (-121)))) (-453) (-788) (-842) (-1061 |#1| |#2| |#3|) (-1066 |#1| |#2| |#3| |#4|) (-1099 |#1| |#2| |#3| |#4|)) (T -616)) 
-((-2353 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-121)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-634 *10)) (-5 *1 (-616 *5 *6 *7 *8 *9 *10)) (-4 *9 (-1066 *5 *6 *7 *8)) (-4 *10 (-1099 *5 *6 *7 *8)))) (-2705 (*1 *2 *2) (-12 (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *1 (-616 *3 *4 *5 *6 *7 *2)) (-4 *7 (-1066 *3 *4 *5 *6)) (-4 *2 (-1099 *3 *4 *5 *6))))) 
-(-10 -7 (-15 -2705 (|#6| |#6|)) (-15 -2353 ((-634 |#6|) (-634 |#4|) (-121)))) 
-((-3415 (((-121) |#3| (-763) (-634 |#3|)) 22)) (-1983 (((-3 (-2 (|:| |polfac| (-634 |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (-634 (-1157 |#3|)))) "failed") |#3| (-634 (-1157 |#3|)) (-2 (|:| |contp| |#3|) (|:| -2075 (-634 (-2 (|:| |irr| |#4|) (|:| -4402 (-568)))))) (-634 |#3|) (-634 |#1|) (-634 |#3|)) 51))) 
-(((-617 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3415 ((-121) |#3| (-763) (-634 |#3|))) (-15 -1983 ((-3 (-2 (|:| |polfac| (-634 |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (-634 (-1157 |#3|)))) "failed") |#3| (-634 (-1157 |#3|)) (-2 (|:| |contp| |#3|) (|:| -2075 (-634 (-2 (|:| |irr| |#4|) (|:| -4402 (-568)))))) (-634 |#3|) (-634 |#1|) (-634 |#3|)))) (-842) (-788) (-301) (-950 |#3| |#2| |#1|)) (T -617)) 
-((-1983 (*1 *2 *3 *4 *5 *6 *7 *6) (|partial| -12 (-5 *5 (-2 (|:| |contp| *3) (|:| -2075 (-634 (-2 (|:| |irr| *10) (|:| -4402 (-568))))))) (-5 *6 (-634 *3)) (-5 *7 (-634 *8)) (-4 *8 (-842)) (-4 *3 (-301)) (-4 *10 (-950 *3 *9 *8)) (-4 *9 (-788)) (-5 *2 (-2 (|:| |polfac| (-634 *10)) (|:| |correct| *3) (|:| |corrfact| (-634 (-1157 *3))))) (-5 *1 (-617 *8 *9 *3 *10)) (-5 *4 (-634 (-1157 *3))))) (-3415 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-763)) (-5 *5 (-634 *3)) (-4 *3 (-301)) (-4 *6 (-842)) (-4 *7 (-788)) (-5 *2 (-121)) (-5 *1 (-617 *6 *7 *3 *8)) (-4 *8 (-950 *3 *7 *6))))) 
-(-10 -7 (-15 -3415 ((-121) |#3| (-763) (-634 |#3|))) (-15 -1983 ((-3 (-2 (|:| |polfac| (-634 |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (-634 (-1157 |#3|)))) "failed") |#3| (-634 (-1157 |#3|)) (-2 (|:| |contp| |#3|) (|:| -2075 (-634 (-2 (|:| |irr| |#4|) (|:| -4402 (-568)))))) (-634 |#3|) (-634 |#1|) (-634 |#3|)))) 
-((-2449 (((-121) $ $) NIL)) (-2981 (((-634 |#1|) $) NIL)) (-4490 (($) NIL T CONST)) (-2902 (((-3 $ "failed") $) NIL)) (-1598 (((-121) $) NIL)) (-2310 (($ $) 67)) (-4418 (((-656 |#1| |#2|) $) 52)) (-3016 (((-634 (-2 (|:| |k| (-888 |#1|)) (|:| |c| |#2|))) $) 36)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) 70)) (-3852 (((-634 (-288 |#2|)) $ $) 33)) (-4025 (((-1108) $) NIL)) (-1894 (($ (-656 |#1| |#2|)) 48)) (-2387 (($ $ $) NIL)) (-3985 (($ $ $) NIL)) (-2747 (((-850) $) 58) (((-1257 |#1| |#2|) $) NIL) (((-1262 |#1| |#2|) $) 66)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-1557 (($) 53 T CONST)) (-3142 (((-634 (-2 (|:| |k| (-663 |#1|)) (|:| |c| |#2|))) $) 31)) (-3436 (((-634 (-656 |#1| |#2|)) (-634 |#1|)) 65)) (-1719 (((-121) $ $) 54)) (-1781 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (* (($ $ $) 44))) 
-(((-618 |#1| |#2| |#3|) (-13 (-478) (-10 -8 (-15 -1894 ($ (-656 |#1| |#2|))) (-15 -4418 ((-656 |#1| |#2|) $)) (-15 -3016 ((-634 (-2 (|:| |k| (-888 |#1|)) (|:| |c| |#2|))) $)) (-15 -2747 ((-1257 |#1| |#2|) $)) (-15 -2747 ((-1262 |#1| |#2|) $)) (-15 -2310 ($ $)) (-15 -2981 ((-634 |#1|) $)) (-15 -3436 ((-634 (-656 |#1| |#2|)) (-634 |#1|))) (-15 -3142 ((-634 (-2 (|:| |k| (-663 |#1|)) (|:| |c| |#2|))) $)) (-15 -3852 ((-634 (-288 |#2|)) $ $)))) (-842) (-13 (-172) (-707 (-409 (-568)))) (-917)) (T -618)) 
-((-1894 (*1 *1 *2) (-12 (-5 *2 (-656 *3 *4)) (-4 *3 (-842)) (-4 *4 (-13 (-172) (-707 (-409 (-568))))) (-5 *1 (-618 *3 *4 *5)) (-14 *5 (-917)))) (-4418 (*1 *2 *1) (-12 (-5 *2 (-656 *3 *4)) (-5 *1 (-618 *3 *4 *5)) (-4 *3 (-842)) (-4 *4 (-13 (-172) (-707 (-409 (-568))))) (-14 *5 (-917)))) (-3016 (*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |k| (-888 *3)) (|:| |c| *4)))) (-5 *1 (-618 *3 *4 *5)) (-4 *3 (-842)) (-4 *4 (-13 (-172) (-707 (-409 (-568))))) (-14 *5 (-917)))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-1257 *3 *4)) (-5 *1 (-618 *3 *4 *5)) (-4 *3 (-842)) (-4 *4 (-13 (-172) (-707 (-409 (-568))))) (-14 *5 (-917)))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-1262 *3 *4)) (-5 *1 (-618 *3 *4 *5)) (-4 *3 (-842)) (-4 *4 (-13 (-172) (-707 (-409 (-568))))) (-14 *5 (-917)))) (-2310 (*1 *1 *1) (-12 (-5 *1 (-618 *2 *3 *4)) (-4 *2 (-842)) (-4 *3 (-13 (-172) (-707 (-409 (-568))))) (-14 *4 (-917)))) (-2981 (*1 *2 *1) (-12 (-5 *2 (-634 *3)) (-5 *1 (-618 *3 *4 *5)) (-4 *3 (-842)) (-4 *4 (-13 (-172) (-707 (-409 (-568))))) (-14 *5 (-917)))) (-3436 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-842)) (-5 *2 (-634 (-656 *4 *5))) (-5 *1 (-618 *4 *5 *6)) (-4 *5 (-13 (-172) (-707 (-409 (-568))))) (-14 *6 (-917)))) (-3142 (*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |k| (-663 *3)) (|:| |c| *4)))) (-5 *1 (-618 *3 *4 *5)) (-4 *3 (-842)) (-4 *4 (-13 (-172) (-707 (-409 (-568))))) (-14 *5 (-917)))) (-3852 (*1 *2 *1 *1) (-12 (-5 *2 (-634 (-288 *4))) (-5 *1 (-618 *3 *4 *5)) (-4 *3 (-842)) (-4 *4 (-13 (-172) (-707 (-409 (-568))))) (-14 *5 (-917))))) 
-(-13 (-478) (-10 -8 (-15 -1894 ($ (-656 |#1| |#2|))) (-15 -4418 ((-656 |#1| |#2|) $)) (-15 -3016 ((-634 (-2 (|:| |k| (-888 |#1|)) (|:| |c| |#2|))) $)) (-15 -2747 ((-1257 |#1| |#2|) $)) (-15 -2747 ((-1262 |#1| |#2|) $)) (-15 -2310 ($ $)) (-15 -2981 ((-634 |#1|) $)) (-15 -3436 ((-634 (-656 |#1| |#2|)) (-634 |#1|))) (-15 -3142 ((-634 (-2 (|:| |k| (-663 |#1|)) (|:| |c| |#2|))) $)) (-15 -3852 ((-634 (-288 |#2|)) $ $)))) 
-((-2353 (((-634 (-1131 |#1| (-534 (-852 |#2|)) (-852 |#2|) (-775 |#1| (-852 |#2|)))) (-634 (-775 |#1| (-852 |#2|))) (-121)) 70) (((-634 (-1044 |#1| |#2|)) (-634 (-775 |#1| (-852 |#2|))) (-121)) 56)) (-3106 (((-121) (-634 (-775 |#1| (-852 |#2|)))) 22)) (-1625 (((-634 (-1131 |#1| (-534 (-852 |#2|)) (-852 |#2|) (-775 |#1| (-852 |#2|)))) (-634 (-775 |#1| (-852 |#2|))) (-121)) 69)) (-2305 (((-634 (-1044 |#1| |#2|)) (-634 (-775 |#1| (-852 |#2|))) (-121)) 55)) (-1506 (((-634 (-775 |#1| (-852 |#2|))) (-634 (-775 |#1| (-852 |#2|)))) 26)) (-4358 (((-3 (-634 (-775 |#1| (-852 |#2|))) "failed") (-634 (-775 |#1| (-852 |#2|)))) 25))) 
-(((-619 |#1| |#2|) (-10 -7 (-15 -3106 ((-121) (-634 (-775 |#1| (-852 |#2|))))) (-15 -4358 ((-3 (-634 (-775 |#1| (-852 |#2|))) "failed") (-634 (-775 |#1| (-852 |#2|))))) (-15 -1506 ((-634 (-775 |#1| (-852 |#2|))) (-634 (-775 |#1| (-852 |#2|))))) (-15 -2305 ((-634 (-1044 |#1| |#2|)) (-634 (-775 |#1| (-852 |#2|))) (-121))) (-15 -1625 ((-634 (-1131 |#1| (-534 (-852 |#2|)) (-852 |#2|) (-775 |#1| (-852 |#2|)))) (-634 (-775 |#1| (-852 |#2|))) (-121))) (-15 -2353 ((-634 (-1044 |#1| |#2|)) (-634 (-775 |#1| (-852 |#2|))) (-121))) (-15 -2353 ((-634 (-1131 |#1| (-534 (-852 |#2|)) (-852 |#2|) (-775 |#1| (-852 |#2|)))) (-634 (-775 |#1| (-852 |#2|))) (-121)))) (-453) (-634 (-1161))) (T -619)) 
-((-2353 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-775 *5 (-852 *6)))) (-5 *4 (-121)) (-4 *5 (-453)) (-14 *6 (-634 (-1161))) (-5 *2 (-634 (-1131 *5 (-534 (-852 *6)) (-852 *6) (-775 *5 (-852 *6))))) (-5 *1 (-619 *5 *6)))) (-2353 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-775 *5 (-852 *6)))) (-5 *4 (-121)) (-4 *5 (-453)) (-14 *6 (-634 (-1161))) (-5 *2 (-634 (-1044 *5 *6))) (-5 *1 (-619 *5 *6)))) (-1625 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-775 *5 (-852 *6)))) (-5 *4 (-121)) (-4 *5 (-453)) (-14 *6 (-634 (-1161))) (-5 *2 (-634 (-1131 *5 (-534 (-852 *6)) (-852 *6) (-775 *5 (-852 *6))))) (-5 *1 (-619 *5 *6)))) (-2305 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-775 *5 (-852 *6)))) (-5 *4 (-121)) (-4 *5 (-453)) (-14 *6 (-634 (-1161))) (-5 *2 (-634 (-1044 *5 *6))) (-5 *1 (-619 *5 *6)))) (-1506 (*1 *2 *2) (-12 (-5 *2 (-634 (-775 *3 (-852 *4)))) (-4 *3 (-453)) (-14 *4 (-634 (-1161))) (-5 *1 (-619 *3 *4)))) (-4358 (*1 *2 *2) (|partial| -12 (-5 *2 (-634 (-775 *3 (-852 *4)))) (-4 *3 (-453)) (-14 *4 (-634 (-1161))) (-5 *1 (-619 *3 *4)))) (-3106 (*1 *2 *3) (-12 (-5 *3 (-634 (-775 *4 (-852 *5)))) (-4 *4 (-453)) (-14 *5 (-634 (-1161))) (-5 *2 (-121)) (-5 *1 (-619 *4 *5))))) 
-(-10 -7 (-15 -3106 ((-121) (-634 (-775 |#1| (-852 |#2|))))) (-15 -4358 ((-3 (-634 (-775 |#1| (-852 |#2|))) "failed") (-634 (-775 |#1| (-852 |#2|))))) (-15 -1506 ((-634 (-775 |#1| (-852 |#2|))) (-634 (-775 |#1| (-852 |#2|))))) (-15 -2305 ((-634 (-1044 |#1| |#2|)) (-634 (-775 |#1| (-852 |#2|))) (-121))) (-15 -1625 ((-634 (-1131 |#1| (-534 (-852 |#2|)) (-852 |#2|) (-775 |#1| (-852 |#2|)))) (-634 (-775 |#1| (-852 |#2|))) (-121))) (-15 -2353 ((-634 (-1044 |#1| |#2|)) (-634 (-775 |#1| (-852 |#2|))) (-121))) (-15 -2353 ((-634 (-1131 |#1| (-534 (-852 |#2|)) (-852 |#2|) (-775 |#1| (-852 |#2|)))) (-634 (-775 |#1| (-852 |#2|))) (-121)))) 
-((-1984 (($ $) 38)) (-1935 (($ $) 21)) (-1976 (($ $) 37)) (-2788 (($ $) 22)) (-1992 (($ $) 36)) (-1943 (($ $) 23)) (-1899 (($) 48)) (-4418 (($ $) 45)) (-1913 (($ $) 17)) (-2317 (($ $ (-1082 $)) 7) (($ $ (-1161)) 6)) (-1558 (($ $) 14)) (-1565 (($ $) 13)) (-1894 (($ $) 46)) (-1918 (($ $) 15)) (-1930 (($ $) 16)) (-1996 (($ $) 35)) (-1947 (($ $) 24)) (-1988 (($ $) 34)) (-1939 (($ $) 25)) (-1980 (($ $) 33)) (-2792 (($ $) 26)) (-2008 (($ $) 44)) (-1959 (($ $) 32)) (-2000 (($ $) 43)) (-1951 (($ $) 31)) (-2016 (($ $) 42)) (-1968 (($ $) 30)) (-1439 (($ $) 41)) (-1972 (($ $) 29)) (-2012 (($ $) 40)) (-1964 (($ $) 28)) (-2004 (($ $) 39)) (-1955 (($ $) 27)) (-1826 (($ $) 19)) (-4366 (($ $) 20)) (-2830 (($ $) 18)) (** (($ $ $) 47))) 
-(((-620) (-1275)) (T -620)) 
-((-4366 (*1 *1 *1) (-4 *1 (-620))) (-1826 (*1 *1 *1) (-4 *1 (-620))) (-2830 (*1 *1 *1) (-4 *1 (-620))) (-1913 (*1 *1 *1) (-4 *1 (-620))) (-1930 (*1 *1 *1) (-4 *1 (-620))) (-1918 (*1 *1 *1) (-4 *1 (-620))) (-1558 (*1 *1 *1) (-4 *1 (-620))) (-1565 (*1 *1 *1) (-4 *1 (-620)))) 
-(-13 (-959) (-1181) (-10 -8 (-15 -4366 ($ $)) (-15 -1826 ($ $)) (-15 -2830 ($ $)) (-15 -1913 ($ $)) (-15 -1930 ($ $)) (-15 -1918 ($ $)) (-15 -1558 ($ $)) (-15 -1565 ($ $)))) 
-(((-40) . T) ((-98) . T) ((-279) . T) ((-502) . T) ((-959) . T) ((-1181) . T) ((-1184) . T)) 
-((-3842 (((-123) (-123)) 87)) (-1913 ((|#2| |#2|) 32)) (-2317 ((|#2| |#2| (-1082 |#2|)) 83) ((|#2| |#2| (-1161)) 56)) (-1558 ((|#2| |#2|) 34)) (-1565 ((|#2| |#2|) 35)) (-1918 ((|#2| |#2|) 31)) (-1930 ((|#2| |#2|) 33)) (-2779 (((-121) (-123)) 38)) (-1826 ((|#2| |#2|) 28)) (-4366 ((|#2| |#2|) 30)) (-2830 ((|#2| |#2|) 29))) 
-(((-621 |#1| |#2|) (-10 -7 (-15 -2779 ((-121) (-123))) (-15 -3842 ((-123) (-123))) (-15 -4366 (|#2| |#2|)) (-15 -1826 (|#2| |#2|)) (-15 -2830 (|#2| |#2|)) (-15 -1913 (|#2| |#2|)) (-15 -1918 (|#2| |#2|)) (-15 -1930 (|#2| |#2|)) (-15 -1558 (|#2| |#2|)) (-15 -1565 (|#2| |#2|)) (-15 -2317 (|#2| |#2| (-1161))) (-15 -2317 (|#2| |#2| (-1082 |#2|)))) (-13 (-842) (-558)) (-13 (-432 |#1|) (-1002) (-1181))) (T -621)) 
-((-2317 (*1 *2 *2 *3) (-12 (-5 *3 (-1082 *2)) (-4 *2 (-13 (-432 *4) (-1002) (-1181))) (-4 *4 (-13 (-842) (-558))) (-5 *1 (-621 *4 *2)))) (-2317 (*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-842) (-558))) (-5 *1 (-621 *4 *2)) (-4 *2 (-13 (-432 *4) (-1002) (-1181))))) (-1565 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-621 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002) (-1181))))) (-1558 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-621 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002) (-1181))))) (-1930 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-621 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002) (-1181))))) (-1918 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-621 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002) (-1181))))) (-1913 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-621 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002) (-1181))))) (-2830 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-621 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002) (-1181))))) (-1826 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-621 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002) (-1181))))) (-4366 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-621 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002) (-1181))))) (-3842 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-842) (-558))) (-5 *1 (-621 *3 *4)) (-4 *4 (-13 (-432 *3) (-1002) (-1181))))) (-2779 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-842) (-558))) (-5 *2 (-121)) (-5 *1 (-621 *4 *5)) (-4 *5 (-13 (-432 *4) (-1002) (-1181)))))) 
-(-10 -7 (-15 -2779 ((-121) (-123))) (-15 -3842 ((-123) (-123))) (-15 -4366 (|#2| |#2|)) (-15 -1826 (|#2| |#2|)) (-15 -2830 (|#2| |#2|)) (-15 -1913 (|#2| |#2|)) (-15 -1918 (|#2| |#2|)) (-15 -1930 (|#2| |#2|)) (-15 -1558 (|#2| |#2|)) (-15 -1565 (|#2| |#2|)) (-15 -2317 (|#2| |#2| (-1161))) (-15 -2317 (|#2| |#2| (-1082 |#2|)))) 
-((-1418 (((-492 |#1| |#2|) (-242 |#1| |#2|)) 52)) (-3092 (((-634 (-242 |#1| |#2|)) (-634 (-492 |#1| |#2|))) 67)) (-3110 (((-492 |#1| |#2|) (-634 (-492 |#1| |#2|)) (-852 |#1|)) 69) (((-492 |#1| |#2|) (-634 (-492 |#1| |#2|)) (-634 (-492 |#1| |#2|)) (-852 |#1|)) 68)) (-2682 (((-2 (|:| |gblist| (-634 (-242 |#1| |#2|))) (|:| |gvlist| (-634 (-568)))) (-634 (-492 |#1| |#2|))) 105)) (-2966 (((-634 (-492 |#1| |#2|)) (-852 |#1|) (-634 (-492 |#1| |#2|)) (-634 (-492 |#1| |#2|))) 82)) (-1601 (((-2 (|:| |glbase| (-634 (-242 |#1| |#2|))) (|:| |glval| (-634 (-568)))) (-634 (-242 |#1| |#2|))) 116)) (-1617 (((-1244 |#2|) (-492 |#1| |#2|) (-634 (-492 |#1| |#2|))) 57)) (-4488 (((-634 (-492 |#1| |#2|)) (-634 (-492 |#1| |#2|))) 39)) (-1645 (((-242 |#1| |#2|) (-242 |#1| |#2|) (-634 (-242 |#1| |#2|))) 49)) (-3983 (((-242 |#1| |#2|) (-634 |#2|) (-242 |#1| |#2|) (-634 (-242 |#1| |#2|))) 89))) 
-(((-622 |#1| |#2|) (-10 -7 (-15 -2682 ((-2 (|:| |gblist| (-634 (-242 |#1| |#2|))) (|:| |gvlist| (-634 (-568)))) (-634 (-492 |#1| |#2|)))) (-15 -1601 ((-2 (|:| |glbase| (-634 (-242 |#1| |#2|))) (|:| |glval| (-634 (-568)))) (-634 (-242 |#1| |#2|)))) (-15 -3092 ((-634 (-242 |#1| |#2|)) (-634 (-492 |#1| |#2|)))) (-15 -3110 ((-492 |#1| |#2|) (-634 (-492 |#1| |#2|)) (-634 (-492 |#1| |#2|)) (-852 |#1|))) (-15 -3110 ((-492 |#1| |#2|) (-634 (-492 |#1| |#2|)) (-852 |#1|))) (-15 -4488 ((-634 (-492 |#1| |#2|)) (-634 (-492 |#1| |#2|)))) (-15 -1617 ((-1244 |#2|) (-492 |#1| |#2|) (-634 (-492 |#1| |#2|)))) (-15 -3983 ((-242 |#1| |#2|) (-634 |#2|) (-242 |#1| |#2|) (-634 (-242 |#1| |#2|)))) (-15 -2966 ((-634 (-492 |#1| |#2|)) (-852 |#1|) (-634 (-492 |#1| |#2|)) (-634 (-492 |#1| |#2|)))) (-15 -1645 ((-242 |#1| |#2|) (-242 |#1| |#2|) (-634 (-242 |#1| |#2|)))) (-15 -1418 ((-492 |#1| |#2|) (-242 |#1| |#2|)))) (-634 (-1161)) (-453)) (T -622)) 
-((-1418 (*1 *2 *3) (-12 (-5 *3 (-242 *4 *5)) (-14 *4 (-634 (-1161))) (-4 *5 (-453)) (-5 *2 (-492 *4 *5)) (-5 *1 (-622 *4 *5)))) (-1645 (*1 *2 *2 *3) (-12 (-5 *3 (-634 (-242 *4 *5))) (-5 *2 (-242 *4 *5)) (-14 *4 (-634 (-1161))) (-4 *5 (-453)) (-5 *1 (-622 *4 *5)))) (-2966 (*1 *2 *3 *2 *2) (-12 (-5 *2 (-634 (-492 *4 *5))) (-5 *3 (-852 *4)) (-14 *4 (-634 (-1161))) (-4 *5 (-453)) (-5 *1 (-622 *4 *5)))) (-3983 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-634 *6)) (-5 *4 (-634 (-242 *5 *6))) (-4 *6 (-453)) (-5 *2 (-242 *5 *6)) (-14 *5 (-634 (-1161))) (-5 *1 (-622 *5 *6)))) (-1617 (*1 *2 *3 *4) (-12 (-5 *4 (-634 (-492 *5 *6))) (-5 *3 (-492 *5 *6)) (-14 *5 (-634 (-1161))) (-4 *6 (-453)) (-5 *2 (-1244 *6)) (-5 *1 (-622 *5 *6)))) (-4488 (*1 *2 *2) (-12 (-5 *2 (-634 (-492 *3 *4))) (-14 *3 (-634 (-1161))) (-4 *4 (-453)) (-5 *1 (-622 *3 *4)))) (-3110 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-492 *5 *6))) (-5 *4 (-852 *5)) (-14 *5 (-634 (-1161))) (-5 *2 (-492 *5 *6)) (-5 *1 (-622 *5 *6)) (-4 *6 (-453)))) (-3110 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-634 (-492 *5 *6))) (-5 *4 (-852 *5)) (-14 *5 (-634 (-1161))) (-5 *2 (-492 *5 *6)) (-5 *1 (-622 *5 *6)) (-4 *6 (-453)))) (-3092 (*1 *2 *3) (-12 (-5 *3 (-634 (-492 *4 *5))) (-14 *4 (-634 (-1161))) (-4 *5 (-453)) (-5 *2 (-634 (-242 *4 *5))) (-5 *1 (-622 *4 *5)))) (-1601 (*1 *2 *3) (-12 (-14 *4 (-634 (-1161))) (-4 *5 (-453)) (-5 *2 (-2 (|:| |glbase| (-634 (-242 *4 *5))) (|:| |glval| (-634 (-568))))) (-5 *1 (-622 *4 *5)) (-5 *3 (-634 (-242 *4 *5))))) (-2682 (*1 *2 *3) (-12 (-5 *3 (-634 (-492 *4 *5))) (-14 *4 (-634 (-1161))) (-4 *5 (-453)) (-5 *2 (-2 (|:| |gblist| (-634 (-242 *4 *5))) (|:| |gvlist| (-634 (-568))))) (-5 *1 (-622 *4 *5))))) 
-(-10 -7 (-15 -2682 ((-2 (|:| |gblist| (-634 (-242 |#1| |#2|))) (|:| |gvlist| (-634 (-568)))) (-634 (-492 |#1| |#2|)))) (-15 -1601 ((-2 (|:| |glbase| (-634 (-242 |#1| |#2|))) (|:| |glval| (-634 (-568)))) (-634 (-242 |#1| |#2|)))) (-15 -3092 ((-634 (-242 |#1| |#2|)) (-634 (-492 |#1| |#2|)))) (-15 -3110 ((-492 |#1| |#2|) (-634 (-492 |#1| |#2|)) (-634 (-492 |#1| |#2|)) (-852 |#1|))) (-15 -3110 ((-492 |#1| |#2|) (-634 (-492 |#1| |#2|)) (-852 |#1|))) (-15 -4488 ((-634 (-492 |#1| |#2|)) (-634 (-492 |#1| |#2|)))) (-15 -1617 ((-1244 |#2|) (-492 |#1| |#2|) (-634 (-492 |#1| |#2|)))) (-15 -3983 ((-242 |#1| |#2|) (-634 |#2|) (-242 |#1| |#2|) (-634 (-242 |#1| |#2|)))) (-15 -2966 ((-634 (-492 |#1| |#2|)) (-852 |#1|) (-634 (-492 |#1| |#2|)) (-634 (-492 |#1| |#2|)))) (-15 -1645 ((-242 |#1| |#2|) (-242 |#1| |#2|) (-634 (-242 |#1| |#2|)))) (-15 -1418 ((-492 |#1| |#2|) (-242 |#1| |#2|)))) 
-((-2449 (((-121) $ $) NIL (-2199 (|has| (-57) (-1090)) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-1090))))) (-2988 (($) NIL) (($ (-634 (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))))) NIL)) (-2481 (((-1249) $ (-1143) (-1143)) NIL (|has| $ (-6 -4522)))) (-1667 (((-121) $ (-763)) NIL)) (-2438 (((-57) $ (-1143) (-57)) 16) (((-57) $ (-1161) (-57)) 17)) (-3963 (($ (-1 (-121) (-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521)))) (-2803 (($ (-1 (-121) (-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521)))) (-2678 (((-3 (-57) "failed") (-1143) $) NIL)) (-4490 (($) NIL T CONST)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-1090))))) (-1568 (($ (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) $) NIL (|has| $ (-6 -4521))) (($ (-1 (-121) (-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521))) (((-3 (-57) "failed") (-1143) $) NIL)) (-4330 (($ (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-1090)))) (($ (-1 (-121) (-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521)))) (-3094 (((-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-1 (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))) $ (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-1090)))) (((-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-1 (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))) $ (-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))) NIL (|has| $ (-6 -4521))) (((-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-1 (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521)))) (-1292 (((-57) $ (-1143) (-57)) NIL (|has| $ (-6 -4522)))) (-2069 (((-57) $ (-1143)) NIL)) (-3317 (((-634 (-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521))) (((-634 (-57)) $) NIL (|has| $ (-6 -4521)))) (-1444 (($ $) NIL)) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-1143) $) NIL (|has| (-1143) (-842)))) (-4406 (((-634 (-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521))) (((-634 (-57)) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-1090)))) (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-57) (-1090))))) (-3631 (((-1143) $) NIL (|has| (-1143) (-842)))) (-2253 (($ (-1 (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4522))) (($ (-1 (-57) (-57)) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))) $) NIL) (($ (-1 (-57) (-57)) $) NIL) (($ (-1 (-57) (-57) (-57)) $ $) NIL)) (-2420 (($ (-390)) 9)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (-2199 (|has| (-57) (-1090)) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-1090))))) (-4253 (((-634 (-1143)) $) NIL)) (-2807 (((-121) (-1143) $) NIL)) (-2580 (((-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) $) NIL)) (-1708 (($ (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) $) NIL)) (-3948 (((-634 (-1143)) $) NIL)) (-2916 (((-121) (-1143) $) NIL)) (-4025 (((-1108) $) NIL (-2199 (|has| (-57) (-1090)) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-1090))))) (-3877 (((-57) $) NIL (|has| (-1143) (-842)))) (-2712 (((-3 (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) "failed") (-1 (-121) (-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))) $) NIL)) (-2490 (($ $ (-57)) NIL (|has| $ (-6 -4522)))) (-3403 (((-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) $) NIL)) (-3951 (((-121) (-1 (-121) (-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 (-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))))) NIL (-12 (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-303 (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))))) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-1090)))) (($ $ (-288 (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))))) NIL (-12 (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-303 (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))))) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-1090)))) (($ $ (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))) NIL (-12 (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-303 (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))))) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-1090)))) (($ $ (-634 (-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))) (-634 (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))))) NIL (-12 (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-303 (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))))) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-1090)))) (($ $ (-634 (-57)) (-634 (-57))) NIL (-12 (|has| (-57) (-303 (-57))) (|has| (-57) (-1090)))) (($ $ (-57) (-57)) NIL (-12 (|has| (-57) (-303 (-57))) (|has| (-57) (-1090)))) (($ $ (-288 (-57))) NIL (-12 (|has| (-57) (-303 (-57))) (|has| (-57) (-1090)))) (($ $ (-634 (-288 (-57)))) NIL (-12 (|has| (-57) (-303 (-57))) (|has| (-57) (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-57) (-1090))))) (-1480 (((-634 (-57)) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 (((-57) $ (-1143)) 14) (((-57) $ (-1143) (-57)) NIL) (((-57) $ (-1161)) 15)) (-3132 (($) NIL) (($ (-634 (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))))) NIL)) (-4170 (((-763) (-1 (-121) (-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521))) (((-763) (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-1090)))) (((-763) (-57) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-57) (-1090)))) (((-763) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4521)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) NIL (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-609 (-541))))) (-4289 (($ (-634 (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))))) NIL)) (-2747 (((-850) $) NIL (-2199 (|has| (-57) (-1090)) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-1090))))) (-3171 (($ $) NIL)) (-4074 (($ (-634 (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))))) NIL)) (-3437 (((-121) (-1 (-121) (-2 (|:| -3651 (-1143)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) NIL (-2199 (|has| (-57) (-1090)) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 (-57))) (-1090))))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-623) (-13 (-1172 (-1143) (-57)) (-10 -8 (-15 -2420 ($ (-390))) (-15 -1444 ($ $)) (-15 -2781 ((-57) $ (-1161))) (-15 -2438 ((-57) $ (-1161) (-57))) (-15 -3171 ($ $))))) (T -623)) 
-((-2420 (*1 *1 *2) (-12 (-5 *2 (-390)) (-5 *1 (-623)))) (-1444 (*1 *1 *1) (-5 *1 (-623))) (-2781 (*1 *2 *1 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-57)) (-5 *1 (-623)))) (-2438 (*1 *2 *1 *3 *2) (-12 (-5 *2 (-57)) (-5 *3 (-1161)) (-5 *1 (-623)))) (-3171 (*1 *1 *1) (-5 *1 (-623)))) 
-(-13 (-1172 (-1143) (-57)) (-10 -8 (-15 -2420 ($ (-390))) (-15 -1444 ($ $)) (-15 -2781 ((-57) $ (-1161))) (-15 -2438 ((-57) $ (-1161) (-57))) (-15 -3171 ($ $)))) 
-((-1781 (($ $ |#2|) 10))) 
-(((-624 |#1| |#2|) (-10 -8 (-15 -1781 (|#1| |#1| |#2|))) (-625 |#2|) (-172)) (T -624)) 
-NIL 
-(-10 -8 (-15 -1781 (|#1| |#1| |#2|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-4289 (($ $ $) 26)) (-2747 (((-850) $) 11)) (-3058 (($) 17 T CONST)) (-1719 (((-121) $ $) 6)) (-1781 (($ $ |#1|) 25 (|has| |#1| (-365)))) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24))) 
-(((-625 |#1|) (-1275) (-172)) (T -625)) 
-((-4289 (*1 *1 *1 *1) (-12 (-4 *1 (-625 *2)) (-4 *2 (-172)))) (-1781 (*1 *1 *1 *2) (-12 (-4 *1 (-625 *2)) (-4 *2 (-172)) (-4 *2 (-365))))) 
-(-13 (-707 |t#1|) (-10 -8 (-15 -4289 ($ $ $)) (-6 |NullSquare|) (-6 |JacobiIdentity|) (IF (|has| |t#1| (-365)) (-15 -1781 ($ $ |t#1|)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-137) . T) ((-608 (-850)) . T) ((-637 |#1|) . T) ((-707 |#1|) . T) ((-1053 |#1|) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-3591 (((-3 $ "failed")) NIL (-2199 (-12 (|has| |#2| (-369 |#1|)) (|has| |#1| (-558))) (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-558)))))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3542 (((-1244 (-679 |#1|))) NIL (|has| |#2| (-419 |#1|))) (((-1244 (-679 |#1|)) (-1244 $)) NIL (|has| |#2| (-369 |#1|)))) (-3818 (((-1244 $)) NIL (|has| |#2| (-369 |#1|)))) (-4490 (($) NIL T CONST)) (-3354 (((-3 (-2 (|:| |particular| $) (|:| -2588 (-634 $))) "failed")) NIL (-2199 (-12 (|has| |#2| (-369 |#1|)) (|has| |#1| (-558))) (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-558)))))) (-2046 (((-3 $ "failed")) NIL (-2199 (-12 (|has| |#2| (-369 |#1|)) (|has| |#1| (-558))) (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-558)))))) (-1524 (((-679 |#1|)) NIL (|has| |#2| (-419 |#1|))) (((-679 |#1|) (-1244 $)) NIL (|has| |#2| (-369 |#1|)))) (-2467 ((|#1| $) NIL (|has| |#2| (-369 |#1|)))) (-2235 (((-679 |#1|) $) NIL (|has| |#2| (-419 |#1|))) (((-679 |#1|) $ (-1244 $)) NIL (|has| |#2| (-369 |#1|)))) (-2812 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| |#2| (-369 |#1|)) (|has| |#1| (-558))) (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-558)))))) (-1503 (((-1157 (-953 |#1|))) NIL (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-365))))) (-2815 (($ $ (-917)) NIL)) (-1509 ((|#1| $) NIL (|has| |#2| (-369 |#1|)))) (-3839 (((-1157 |#1|) $) NIL (-2199 (-12 (|has| |#2| (-369 |#1|)) (|has| |#1| (-558))) (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-558)))))) (-2886 ((|#1|) NIL (|has| |#2| (-419 |#1|))) ((|#1| (-1244 $)) NIL (|has| |#2| (-369 |#1|)))) (-3105 (((-1157 |#1|) $) NIL (|has| |#2| (-369 |#1|)))) (-1463 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-3899 (($ (-1244 |#1|)) NIL (|has| |#2| (-419 |#1|))) (($ (-1244 |#1|) (-1244 $)) NIL (|has| |#2| (-369 |#1|)))) (-2902 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| |#2| (-369 |#1|)) (|has| |#1| (-558))) (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-558)))))) (-2371 (((-917)) NIL (|has| |#2| (-369 |#1|)))) (-3375 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-3402 (($ $ (-917)) NIL)) (-4221 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-4463 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-3582 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-2587 (((-3 (-2 (|:| |particular| $) (|:| -2588 (-634 $))) "failed")) NIL (-2199 (-12 (|has| |#2| (-369 |#1|)) (|has| |#1| (-558))) (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-558)))))) (-2061 (((-3 $ "failed")) NIL (-2199 (-12 (|has| |#2| (-369 |#1|)) (|has| |#1| (-558))) (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-558)))))) (-4134 (((-679 |#1|)) NIL (|has| |#2| (-419 |#1|))) (((-679 |#1|) (-1244 $)) NIL (|has| |#2| (-369 |#1|)))) (-2786 ((|#1| $) NIL (|has| |#2| (-369 |#1|)))) (-3147 (((-679 |#1|) $) NIL (|has| |#2| (-419 |#1|))) (((-679 |#1|) $ (-1244 $)) NIL (|has| |#2| (-369 |#1|)))) (-1974 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| |#2| (-369 |#1|)) (|has| |#1| (-558))) (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-558)))))) (-1730 (((-1157 (-953 |#1|))) NIL (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-365))))) (-4202 (($ $ (-917)) NIL)) (-4390 ((|#1| $) NIL (|has| |#2| (-369 |#1|)))) (-3364 (((-1157 |#1|) $) NIL (-2199 (-12 (|has| |#2| (-369 |#1|)) (|has| |#1| (-558))) (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-558)))))) (-2060 ((|#1|) NIL (|has| |#2| (-419 |#1|))) ((|#1| (-1244 $)) NIL (|has| |#2| (-369 |#1|)))) (-3114 (((-1157 |#1|) $) NIL (|has| |#2| (-369 |#1|)))) (-3487 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-1893 (((-1143) $) NIL)) (-2153 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-2889 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-1852 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-4025 (((-1108) $) NIL)) (-3636 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-2781 ((|#1| $ (-568)) NIL (|has| |#2| (-419 |#1|)))) (-1656 (((-679 |#1|) (-1244 $)) NIL (|has| |#2| (-419 |#1|))) (((-1244 |#1|) $) NIL (|has| |#2| (-419 |#1|))) (((-679 |#1|) (-1244 $) (-1244 $)) NIL (|has| |#2| (-369 |#1|))) (((-1244 |#1|) $ (-1244 $)) NIL (|has| |#2| (-369 |#1|)))) (-4280 (($ (-1244 |#1|)) NIL (|has| |#2| (-419 |#1|))) (((-1244 |#1|) $) NIL (|has| |#2| (-419 |#1|)))) (-2155 (((-634 (-953 |#1|))) NIL (|has| |#2| (-419 |#1|))) (((-634 (-953 |#1|)) (-1244 $)) NIL (|has| |#2| (-369 |#1|)))) (-3985 (($ $ $) NIL)) (-3441 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-2747 (((-850) $) NIL) ((|#2| $) 12) (($ |#2|) 13)) (-2588 (((-1244 $)) NIL (|has| |#2| (-419 |#1|)))) (-2657 (((-634 (-1244 |#1|))) NIL (-2199 (-12 (|has| |#2| (-369 |#1|)) (|has| |#1| (-558))) (-12 (|has| |#2| (-419 |#1|)) (|has| |#1| (-558)))))) (-2007 (($ $ $ $) NIL)) (-3964 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-3828 (($ (-679 |#1|) $) NIL (|has| |#2| (-419 |#1|)))) (-3911 (($ $ $) NIL)) (-2435 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-2984 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-3579 (((-121)) NIL (|has| |#2| (-369 |#1|)))) (-3058 (($) 15 T CONST)) (-1719 (((-121) $ $) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) 17)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 11) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-626 |#1| |#2|) (-13 (-736 |#1|) (-608 |#2|) (-10 -8 (-15 -2747 ($ |#2|)) (IF (|has| |#2| (-419 |#1|)) (-6 (-419 |#1|)) |noBranch|) (IF (|has| |#2| (-369 |#1|)) (-6 (-369 |#1|)) |noBranch|))) (-172) (-736 |#1|)) (T -626)) 
-((-2747 (*1 *1 *2) (-12 (-4 *3 (-172)) (-5 *1 (-626 *3 *2)) (-4 *2 (-736 *3))))) 
-(-13 (-736 |#1|) (-608 |#2|) (-10 -8 (-15 -2747 ($ |#2|)) (IF (|has| |#2| (-419 |#1|)) (-6 (-419 |#1|)) |noBranch|) (IF (|has| |#2| (-369 |#1|)) (-6 (-369 |#1|)) |noBranch|))) 
-((-3464 (((-3 (-835 |#2|) "failed") |#2| (-288 |#2|) (-1143)) 78) (((-3 (-835 |#2|) (-2 (|:| |leftHandLimit| (-3 (-835 |#2|) "failed")) (|:| |rightHandLimit| (-3 (-835 |#2|) "failed"))) "failed") |#2| (-288 (-835 |#2|))) 100)) (-2621 (((-3 (-828 |#2|) "failed") |#2| (-288 (-828 |#2|))) 105))) 
-(((-627 |#1| |#2|) (-10 -7 (-15 -3464 ((-3 (-835 |#2|) (-2 (|:| |leftHandLimit| (-3 (-835 |#2|) "failed")) (|:| |rightHandLimit| (-3 (-835 |#2|) "failed"))) "failed") |#2| (-288 (-835 |#2|)))) (-15 -2621 ((-3 (-828 |#2|) "failed") |#2| (-288 (-828 |#2|)))) (-15 -3464 ((-3 (-835 |#2|) "failed") |#2| (-288 |#2|) (-1143)))) (-13 (-453) (-842) (-1037 (-568)) (-630 (-568))) (-13 (-27) (-1181) (-432 |#1|))) (T -627)) 
-((-3464 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-288 *3)) (-5 *5 (-1143)) (-4 *3 (-13 (-27) (-1181) (-432 *6))) (-4 *6 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-835 *3)) (-5 *1 (-627 *6 *3)))) (-2621 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-288 (-828 *3))) (-4 *5 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-828 *3)) (-5 *1 (-627 *5 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *5))))) (-3464 (*1 *2 *3 *4) (-12 (-5 *4 (-288 (-835 *3))) (-4 *3 (-13 (-27) (-1181) (-432 *5))) (-4 *5 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-3 (-835 *3) (-2 (|:| |leftHandLimit| (-3 (-835 *3) "failed")) (|:| |rightHandLimit| (-3 (-835 *3) "failed"))) "failed")) (-5 *1 (-627 *5 *3))))) 
-(-10 -7 (-15 -3464 ((-3 (-835 |#2|) (-2 (|:| |leftHandLimit| (-3 (-835 |#2|) "failed")) (|:| |rightHandLimit| (-3 (-835 |#2|) "failed"))) "failed") |#2| (-288 (-835 |#2|)))) (-15 -2621 ((-3 (-828 |#2|) "failed") |#2| (-288 (-828 |#2|)))) (-15 -3464 ((-3 (-835 |#2|) "failed") |#2| (-288 |#2|) (-1143)))) 
-((-3464 (((-3 (-835 (-409 (-953 |#1|))) "failed") (-409 (-953 |#1|)) (-288 (-409 (-953 |#1|))) (-1143)) 79) (((-3 (-835 (-409 (-953 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-835 (-409 (-953 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-835 (-409 (-953 |#1|))) "failed"))) "failed") (-409 (-953 |#1|)) (-288 (-409 (-953 |#1|)))) 18) (((-3 (-835 (-409 (-953 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-835 (-409 (-953 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-835 (-409 (-953 |#1|))) "failed"))) "failed") (-409 (-953 |#1|)) (-288 (-835 (-953 |#1|)))) 34)) (-2621 (((-828 (-409 (-953 |#1|))) (-409 (-953 |#1|)) (-288 (-409 (-953 |#1|)))) 21) (((-828 (-409 (-953 |#1|))) (-409 (-953 |#1|)) (-288 (-828 (-953 |#1|)))) 42))) 
-(((-628 |#1|) (-10 -7 (-15 -3464 ((-3 (-835 (-409 (-953 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-835 (-409 (-953 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-835 (-409 (-953 |#1|))) "failed"))) "failed") (-409 (-953 |#1|)) (-288 (-835 (-953 |#1|))))) (-15 -3464 ((-3 (-835 (-409 (-953 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-835 (-409 (-953 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-835 (-409 (-953 |#1|))) "failed"))) "failed") (-409 (-953 |#1|)) (-288 (-409 (-953 |#1|))))) (-15 -2621 ((-828 (-409 (-953 |#1|))) (-409 (-953 |#1|)) (-288 (-828 (-953 |#1|))))) (-15 -2621 ((-828 (-409 (-953 |#1|))) (-409 (-953 |#1|)) (-288 (-409 (-953 |#1|))))) (-15 -3464 ((-3 (-835 (-409 (-953 |#1|))) "failed") (-409 (-953 |#1|)) (-288 (-409 (-953 |#1|))) (-1143)))) (-453)) (T -628)) 
-((-3464 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-288 (-409 (-953 *6)))) (-5 *5 (-1143)) (-5 *3 (-409 (-953 *6))) (-4 *6 (-453)) (-5 *2 (-835 *3)) (-5 *1 (-628 *6)))) (-2621 (*1 *2 *3 *4) (-12 (-5 *4 (-288 (-409 (-953 *5)))) (-5 *3 (-409 (-953 *5))) (-4 *5 (-453)) (-5 *2 (-828 *3)) (-5 *1 (-628 *5)))) (-2621 (*1 *2 *3 *4) (-12 (-5 *4 (-288 (-828 (-953 *5)))) (-4 *5 (-453)) (-5 *2 (-828 (-409 (-953 *5)))) (-5 *1 (-628 *5)) (-5 *3 (-409 (-953 *5))))) (-3464 (*1 *2 *3 *4) (-12 (-5 *4 (-288 (-409 (-953 *5)))) (-5 *3 (-409 (-953 *5))) (-4 *5 (-453)) (-5 *2 (-3 (-835 *3) (-2 (|:| |leftHandLimit| (-3 (-835 *3) "failed")) (|:| |rightHandLimit| (-3 (-835 *3) "failed"))) "failed")) (-5 *1 (-628 *5)))) (-3464 (*1 *2 *3 *4) (-12 (-5 *4 (-288 (-835 (-953 *5)))) (-4 *5 (-453)) (-5 *2 (-3 (-835 (-409 (-953 *5))) (-2 (|:| |leftHandLimit| (-3 (-835 (-409 (-953 *5))) "failed")) (|:| |rightHandLimit| (-3 (-835 (-409 (-953 *5))) "failed"))) "failed")) (-5 *1 (-628 *5)) (-5 *3 (-409 (-953 *5)))))) 
-(-10 -7 (-15 -3464 ((-3 (-835 (-409 (-953 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-835 (-409 (-953 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-835 (-409 (-953 |#1|))) "failed"))) "failed") (-409 (-953 |#1|)) (-288 (-835 (-953 |#1|))))) (-15 -3464 ((-3 (-835 (-409 (-953 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-835 (-409 (-953 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-835 (-409 (-953 |#1|))) "failed"))) "failed") (-409 (-953 |#1|)) (-288 (-409 (-953 |#1|))))) (-15 -2621 ((-828 (-409 (-953 |#1|))) (-409 (-953 |#1|)) (-288 (-828 (-953 |#1|))))) (-15 -2621 ((-828 (-409 (-953 |#1|))) (-409 (-953 |#1|)) (-288 (-409 (-953 |#1|))))) (-15 -3464 ((-3 (-835 (-409 (-953 |#1|))) "failed") (-409 (-953 |#1|)) (-288 (-409 (-953 |#1|))) (-1143)))) 
-((-2971 (((-3 (-1244 (-409 |#1|)) "failed") (-1244 |#2|) |#2|) 57 (-3046 (|has| |#1| (-365)))) (((-3 (-1244 |#1|) "failed") (-1244 |#2|) |#2|) 42 (|has| |#1| (-365)))) (-3472 (((-121) (-1244 |#2|)) 30)) (-3466 (((-3 (-1244 |#1|) "failed") (-1244 |#2|)) 33))) 
-(((-629 |#1| |#2|) (-10 -7 (-15 -3472 ((-121) (-1244 |#2|))) (-15 -3466 ((-3 (-1244 |#1|) "failed") (-1244 |#2|))) (IF (|has| |#1| (-365)) (-15 -2971 ((-3 (-1244 |#1|) "failed") (-1244 |#2|) |#2|)) (-15 -2971 ((-3 (-1244 (-409 |#1|)) "failed") (-1244 |#2|) |#2|)))) (-558) (-630 |#1|)) (T -629)) 
-((-2971 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1244 *4)) (-4 *4 (-630 *5)) (-3046 (-4 *5 (-365))) (-4 *5 (-558)) (-5 *2 (-1244 (-409 *5))) (-5 *1 (-629 *5 *4)))) (-2971 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1244 *4)) (-4 *4 (-630 *5)) (-4 *5 (-365)) (-4 *5 (-558)) (-5 *2 (-1244 *5)) (-5 *1 (-629 *5 *4)))) (-3466 (*1 *2 *3) (|partial| -12 (-5 *3 (-1244 *5)) (-4 *5 (-630 *4)) (-4 *4 (-558)) (-5 *2 (-1244 *4)) (-5 *1 (-629 *4 *5)))) (-3472 (*1 *2 *3) (-12 (-5 *3 (-1244 *5)) (-4 *5 (-630 *4)) (-4 *4 (-558)) (-5 *2 (-121)) (-5 *1 (-629 *4 *5))))) 
-(-10 -7 (-15 -3472 ((-121) (-1244 |#2|))) (-15 -3466 ((-3 (-1244 |#1|) "failed") (-1244 |#2|))) (IF (|has| |#1| (-365)) (-15 -2971 ((-3 (-1244 |#1|) "failed") (-1244 |#2|) |#2|)) (-15 -2971 ((-3 (-1244 (-409 |#1|)) "failed") (-1244 |#2|) |#2|)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-1668 (((-679 |#1|) (-679 $)) 35) (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 |#1|))) (-679 $) (-1244 $)) 34)) (-2902 (((-3 $ "failed") $) 33)) (-1598 (((-121) $) 30)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11) (($ (-568)) 27)) (-3425 (((-763)) 28)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23))) 
-(((-630 |#1|) (-1275) (-1047)) (T -630)) 
-((-1668 (*1 *2 *3) (-12 (-5 *3 (-679 *1)) (-4 *1 (-630 *4)) (-4 *4 (-1047)) (-5 *2 (-679 *4)))) (-1668 (*1 *2 *3 *4) (-12 (-5 *3 (-679 *1)) (-5 *4 (-1244 *1)) (-4 *1 (-630 *5)) (-4 *5 (-1047)) (-5 *2 (-2 (|:| -2908 (-679 *5)) (|:| |vec| (-1244 *5))))))) 
-(-13 (-1047) (-10 -8 (-15 -1668 ((-679 |t#1|) (-679 $))) (-15 -1668 ((-2 (|:| -2908 (-679 |t#1|)) (|:| |vec| (-1244 |t#1|))) (-679 $) (-1244 $))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-137) . T) ((-608 (-850)) . T) ((-637 $) . T) ((-716) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-4439 ((|#2| (-634 |#1|) (-634 |#2|) |#1| (-1 |#2| |#1|)) 18) (((-1 |#2| |#1|) (-634 |#1|) (-634 |#2|) (-1 |#2| |#1|)) 19) ((|#2| (-634 |#1|) (-634 |#2|) |#1| |#2|) 16) (((-1 |#2| |#1|) (-634 |#1|) (-634 |#2|) |#2|) 17) ((|#2| (-634 |#1|) (-634 |#2|) |#1|) 10) (((-1 |#2| |#1|) (-634 |#1|) (-634 |#2|)) 12))) 
-(((-631 |#1| |#2|) (-10 -7 (-15 -4439 ((-1 |#2| |#1|) (-634 |#1|) (-634 |#2|))) (-15 -4439 (|#2| (-634 |#1|) (-634 |#2|) |#1|)) (-15 -4439 ((-1 |#2| |#1|) (-634 |#1|) (-634 |#2|) |#2|)) (-15 -4439 (|#2| (-634 |#1|) (-634 |#2|) |#1| |#2|)) (-15 -4439 ((-1 |#2| |#1|) (-634 |#1|) (-634 |#2|) (-1 |#2| |#1|))) (-15 -4439 (|#2| (-634 |#1|) (-634 |#2|) |#1| (-1 |#2| |#1|)))) (-1090) (-1195)) (T -631)) 
-((-4439 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 *2)) (-5 *6 (-1 *2 *5)) (-4 *5 (-1090)) (-4 *2 (-1195)) (-5 *1 (-631 *5 *2)))) (-4439 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-1 *6 *5)) (-5 *3 (-634 *5)) (-5 *4 (-634 *6)) (-4 *5 (-1090)) (-4 *6 (-1195)) (-5 *1 (-631 *5 *6)))) (-4439 (*1 *2 *3 *4 *5 *2) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 *2)) (-4 *5 (-1090)) (-4 *2 (-1195)) (-5 *1 (-631 *5 *2)))) (-4439 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-634 *6)) (-5 *4 (-634 *5)) (-4 *6 (-1090)) (-4 *5 (-1195)) (-5 *2 (-1 *5 *6)) (-5 *1 (-631 *6 *5)))) (-4439 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 *2)) (-4 *5 (-1090)) (-4 *2 (-1195)) (-5 *1 (-631 *5 *2)))) (-4439 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 *6)) (-4 *5 (-1090)) (-4 *6 (-1195)) (-5 *2 (-1 *6 *5)) (-5 *1 (-631 *5 *6))))) 
-(-10 -7 (-15 -4439 ((-1 |#2| |#1|) (-634 |#1|) (-634 |#2|))) (-15 -4439 (|#2| (-634 |#1|) (-634 |#2|) |#1|)) (-15 -4439 ((-1 |#2| |#1|) (-634 |#1|) (-634 |#2|) |#2|)) (-15 -4439 (|#2| (-634 |#1|) (-634 |#2|) |#1| |#2|)) (-15 -4439 ((-1 |#2| |#1|) (-634 |#1|) (-634 |#2|) (-1 |#2| |#1|))) (-15 -4439 (|#2| (-634 |#1|) (-634 |#2|) |#1| (-1 |#2| |#1|)))) 
-((-1678 (((-634 |#2|) (-1 |#2| |#1| |#2|) (-634 |#1|) |#2|) 16)) (-3094 ((|#2| (-1 |#2| |#1| |#2|) (-634 |#1|) |#2|) 18)) (-2797 (((-634 |#2|) (-1 |#2| |#1|) (-634 |#1|)) 13))) 
-(((-632 |#1| |#2|) (-10 -7 (-15 -1678 ((-634 |#2|) (-1 |#2| |#1| |#2|) (-634 |#1|) |#2|)) (-15 -3094 (|#2| (-1 |#2| |#1| |#2|) (-634 |#1|) |#2|)) (-15 -2797 ((-634 |#2|) (-1 |#2| |#1|) (-634 |#1|)))) (-1195) (-1195)) (T -632)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-634 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-634 *6)) (-5 *1 (-632 *5 *6)))) (-3094 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-634 *5)) (-4 *5 (-1195)) (-4 *2 (-1195)) (-5 *1 (-632 *5 *2)))) (-1678 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-634 *6)) (-4 *6 (-1195)) (-4 *5 (-1195)) (-5 *2 (-634 *5)) (-5 *1 (-632 *6 *5))))) 
-(-10 -7 (-15 -1678 ((-634 |#2|) (-1 |#2| |#1| |#2|) (-634 |#1|) |#2|)) (-15 -3094 (|#2| (-1 |#2| |#1| |#2|) (-634 |#1|) |#2|)) (-15 -2797 ((-634 |#2|) (-1 |#2| |#1|) (-634 |#1|)))) 
-((-2797 (((-634 |#3|) (-1 |#3| |#1| |#2|) (-634 |#1|) (-634 |#2|)) 13))) 
-(((-633 |#1| |#2| |#3|) (-10 -7 (-15 -2797 ((-634 |#3|) (-1 |#3| |#1| |#2|) (-634 |#1|) (-634 |#2|)))) (-1195) (-1195) (-1195)) (T -633)) 
-((-2797 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-634 *6)) (-5 *5 (-634 *7)) (-4 *6 (-1195)) (-4 *7 (-1195)) (-4 *8 (-1195)) (-5 *2 (-634 *8)) (-5 *1 (-633 *6 *7 *8))))) 
-(-10 -7 (-15 -2797 ((-634 |#3|) (-1 |#3| |#1| |#2|) (-634 |#1|) (-634 |#2|)))) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-2852 ((|#1| $) NIL)) (-2237 ((|#1| $) NIL)) (-3623 (($ $) NIL)) (-2481 (((-1249) $ (-568) (-568)) NIL (|has| $ (-6 -4522)))) (-2121 (($ $ (-568)) NIL (|has| $ (-6 -4522)))) (-1324 (((-121) $) NIL (|has| |#1| (-842))) (((-121) (-1 (-121) |#1| |#1|) $) NIL)) (-2109 (($ $) NIL (-12 (|has| $ (-6 -4522)) (|has| |#1| (-842)))) (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4522)))) (-3647 (($ $) NIL (|has| |#1| (-842))) (($ (-1 (-121) |#1| |#1|) $) NIL)) (-1667 (((-121) $ (-763)) NIL)) (-3370 ((|#1| $ |#1|) NIL (|has| $ (-6 -4522)))) (-1958 (($ $ $) NIL (|has| $ (-6 -4522)))) (-2257 ((|#1| $ |#1|) NIL (|has| $ (-6 -4522)))) (-1706 ((|#1| $ |#1|) NIL (|has| $ (-6 -4522)))) (-2438 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4522))) ((|#1| $ "first" |#1|) NIL (|has| $ (-6 -4522))) (($ $ "rest" $) NIL (|has| $ (-6 -4522))) ((|#1| $ "last" |#1|) NIL (|has| $ (-6 -4522))) ((|#1| $ (-1210 (-568)) |#1|) NIL (|has| $ (-6 -4522))) ((|#1| $ (-568) |#1|) NIL (|has| $ (-6 -4522)))) (-1809 (($ $ (-634 $)) NIL (|has| $ (-6 -4522)))) (-3977 (($ $ $) 31 (|has| |#1| (-1090)))) (-3962 (($ $ $) 33 (|has| |#1| (-1090)))) (-3954 (($ $ $) 36 (|has| |#1| (-1090)))) (-3963 (($ (-1 (-121) |#1|) $) NIL)) (-2803 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1681 ((|#1| $) NIL)) (-4490 (($) NIL T CONST)) (-4452 (($ $) NIL (|has| $ (-6 -4522)))) (-3945 (($ $) NIL)) (-3936 (($ $) NIL) (($ $ (-763)) NIL)) (-1377 (($ $) NIL (|has| |#1| (-1090)))) (-3926 (($ $) 30 (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1568 (($ |#1| $) NIL (|has| |#1| (-1090))) (($ (-1 (-121) |#1|) $) NIL)) (-4330 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (($ |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1292 ((|#1| $ (-568) |#1|) NIL (|has| $ (-6 -4522)))) (-2069 ((|#1| $ (-568)) NIL)) (-1340 (((-121) $) NIL)) (-2766 (((-568) |#1| $ (-568)) NIL (|has| |#1| (-1090))) (((-568) |#1| $) NIL (|has| |#1| (-1090))) (((-568) (-1 (-121) |#1|) $) NIL)) (-3317 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2595 (((-121) $) 9)) (-3534 (((-634 $) $) NIL)) (-3606 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-3973 (($) 7)) (-1851 (($ (-763) |#1|) NIL)) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-568) $) NIL (|has| (-568) (-842)))) (-1732 (($ $ $) NIL (|has| |#1| (-842)))) (-4496 (($ $ $) NIL (|has| |#1| (-842))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-3645 (($ $ $) NIL (|has| |#1| (-842))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 32 (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3631 (((-568) $) NIL (|has| (-568) (-842)))) (-2047 (($ $ $) NIL (|has| |#1| (-842)))) (-2253 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-3897 (($ |#1|) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-4081 (((-634 |#1|) $) NIL)) (-3319 (((-121) $) NIL)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-4164 ((|#1| $) NIL) (($ $ (-763)) NIL)) (-1708 (($ $ $ (-568)) NIL) (($ |#1| $ (-568)) NIL)) (-4124 (($ $ $ (-568)) NIL) (($ |#1| $ (-568)) NIL)) (-3948 (((-634 (-568)) $) NIL)) (-2916 (((-121) (-568) $) NIL)) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-3877 ((|#1| $) NIL) (($ $ (-763)) NIL)) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2490 (($ $ |#1|) NIL (|has| $ (-6 -4522)))) (-4049 (((-121) $) NIL)) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1480 (((-634 |#1|) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#1| $ "value") NIL) ((|#1| $ "first") NIL) (($ $ "rest") NIL) ((|#1| $ "last") NIL) (($ $ (-1210 (-568))) NIL) ((|#1| $ (-568)) 35) ((|#1| $ (-568) |#1|) NIL)) (-1665 (((-568) $ $) NIL)) (-4031 (($ $ (-1210 (-568))) NIL) (($ $ (-568)) NIL)) (-2828 (($ $ (-1210 (-568))) NIL) (($ $ (-568)) NIL)) (-2763 (((-121) $) NIL)) (-3903 (($ $) NIL)) (-1499 (($ $) NIL (|has| $ (-6 -4522)))) (-3535 (((-763) $) NIL)) (-4424 (($ $) NIL)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3306 (($ $ $ (-568)) NIL (|has| $ (-6 -4522)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) 44 (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) NIL)) (-3856 (($ |#1| $) 10)) (-1876 (($ $ $) NIL) (($ $ |#1|) NIL)) (-2770 (($ $ $) 29) (($ |#1| $) NIL) (($ (-634 $)) NIL) (($ $ |#1|) NIL)) (-2747 (((-850) $) NIL (|has| |#1| (-1090)))) (-3180 (((-634 $) $) NIL)) (-3873 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1857 (($ $ $) 11)) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-2628 (((-1143) $) 25 (|has| |#1| (-823))) (((-1143) $ (-121)) 26 (|has| |#1| (-823))) (((-1249) (-817) $) 27 (|has| |#1| (-823))) (((-1249) (-817) $ (-121)) 28 (|has| |#1| (-823)))) (-1753 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1719 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1747 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-634 |#1|) (-13 (-658 |#1|) (-10 -8 (-15 -3973 ($)) (-15 -2595 ((-121) $)) (-15 -3856 ($ |#1| $)) (-15 -1857 ($ $ $)) (IF (|has| |#1| (-1090)) (PROGN (-15 -3977 ($ $ $)) (-15 -3962 ($ $ $)) (-15 -3954 ($ $ $))) |noBranch|) (IF (|has| |#1| (-823)) (-6 (-823)) |noBranch|))) (-1195)) (T -634)) 
-((-3973 (*1 *1) (-12 (-5 *1 (-634 *2)) (-4 *2 (-1195)))) (-2595 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-634 *3)) (-4 *3 (-1195)))) (-3856 (*1 *1 *2 *1) (-12 (-5 *1 (-634 *2)) (-4 *2 (-1195)))) (-1857 (*1 *1 *1 *1) (-12 (-5 *1 (-634 *2)) (-4 *2 (-1195)))) (-3977 (*1 *1 *1 *1) (-12 (-5 *1 (-634 *2)) (-4 *2 (-1090)) (-4 *2 (-1195)))) (-3962 (*1 *1 *1 *1) (-12 (-5 *1 (-634 *2)) (-4 *2 (-1090)) (-4 *2 (-1195)))) (-3954 (*1 *1 *1 *1) (-12 (-5 *1 (-634 *2)) (-4 *2 (-1090)) (-4 *2 (-1195))))) 
-(-13 (-658 |#1|) (-10 -8 (-15 -3973 ($)) (-15 -2595 ((-121) $)) (-15 -3856 ($ |#1| $)) (-15 -1857 ($ $ $)) (IF (|has| |#1| (-1090)) (PROGN (-15 -3977 ($ $ $)) (-15 -3962 ($ $ $)) (-15 -3954 ($ $ $))) |noBranch|) (IF (|has| |#1| (-823)) (-6 (-823)) |noBranch|))) 
-((-1932 (((-634 |#1|) |#2| (-568)) 21)) (-2092 (((-679 |#1|) (-634 |#2|) (-568)) 30)) (-3531 (((-679 |#1|) (-634 |#2|) (-568)) 28))) 
-(((-635 |#1| |#2|) (-10 -7 (-15 -2092 ((-679 |#1|) (-634 |#2|) (-568))) (-15 -3531 ((-679 |#1|) (-634 |#2|) (-568))) (-15 -1932 ((-634 |#1|) |#2| (-568)))) (-365) (-641 |#1|)) (T -635)) 
-((-1932 (*1 *2 *3 *4) (-12 (-5 *4 (-568)) (-4 *5 (-365)) (-5 *2 (-634 *5)) (-5 *1 (-635 *5 *3)) (-4 *3 (-641 *5)))) (-3531 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *6)) (-5 *4 (-568)) (-4 *6 (-641 *5)) (-4 *5 (-365)) (-5 *2 (-679 *5)) (-5 *1 (-635 *5 *6)))) (-2092 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *6)) (-5 *4 (-568)) (-4 *6 (-641 *5)) (-4 *5 (-365)) (-5 *2 (-679 *5)) (-5 *1 (-635 *5 *6))))) 
-(-10 -7 (-15 -2092 ((-679 |#1|) (-634 |#2|) (-568))) (-15 -3531 ((-679 |#1|) (-634 |#2|) (-568))) (-15 -1932 ((-634 |#1|) |#2| (-568)))) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-3989 (($ |#1| |#1| $) 43)) (-1667 (((-121) $ (-763)) NIL)) (-3963 (($ (-1 (-121) |#1|) $) 56 (|has| $ (-6 -4521)))) (-2803 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-4490 (($) NIL T CONST)) (-1377 (($ $) 45)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1568 (($ |#1| $) 51 (|has| $ (-6 -4521))) (($ (-1 (-121) |#1|) $) 53 (|has| $ (-6 -4521)))) (-4330 (($ |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4521)))) (-3317 (((-634 |#1|) $) 9 (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) NIL)) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-2253 (($ (-1 |#1| |#1|) $) 39 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 37)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-2580 ((|#1| $) 46)) (-1708 (($ |#1| $) 26) (($ |#1| $ (-763)) 42)) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-3403 ((|#1| $) 48)) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) 21)) (-1990 (($) 25)) (-1433 (((-121) $) 49)) (-2138 (((-634 (-2 (|:| -4085 |#1|) (|:| -4170 (-763)))) $) 60)) (-3132 (($) 23) (($ (-634 |#1|)) 18)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) 57 (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3865 (($ $) 19)) (-4280 (((-541) $) 34 (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) NIL)) (-2747 (((-850) $) 14 (|has| |#1| (-1090)))) (-4074 (($ (-634 |#1|)) 22)) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 62 (|has| |#1| (-1090)))) (-1699 (((-763) $) 16 (|has| $ (-6 -4521))))) 
-(((-636 |#1|) (-13 (-684 |#1|) (-10 -8 (-6 -4521) (-15 -1433 ((-121) $)) (-15 -3989 ($ |#1| |#1| $)))) (-1090)) (T -636)) 
-((-1433 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-636 *3)) (-4 *3 (-1090)))) (-3989 (*1 *1 *2 *2 *1) (-12 (-5 *1 (-636 *2)) (-4 *2 (-1090))))) 
-(-13 (-684 |#1|) (-10 -8 (-6 -4521) (-15 -1433 ((-121) $)) (-15 -3989 ($ |#1| |#1| $)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-3058 (($) 17 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ |#1| $) 22))) 
-(((-637 |#1|) (-1275) (-1054)) (T -637)) 
-((* (*1 *1 *2 *1) (-12 (-4 *1 (-637 *2)) (-4 *2 (-1054))))) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2247 ((|#1| $) NIL)) (-4360 ((|#1| $) NIL)) (-4459 (($ $) NIL)) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3138 (($ $ (-569)) 57 (|has| $ (-6 -4536)))) (-3034 (((-121) $) NIL (|has| |#1| (-843))) (((-121) (-1 (-121) |#1| |#1|) $) NIL)) (-3076 (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| |#1| (-843)))) (($ (-1 (-121) |#1| |#1|) $) 55 (|has| $ (-6 -4536)))) (-3113 (($ $) NIL (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-3891 ((|#1| $ |#1|) NIL (|has| $ (-6 -4536)))) (-3014 (($ $ $) 23 (|has| $ (-6 -4536)))) (-1868 ((|#1| $ |#1|) NIL (|has| $ (-6 -4536)))) (-3159 ((|#1| $ |#1|) 21 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4536))) ((|#1| $ "first" |#1|) 22 (|has| $ (-6 -4536))) (($ $ "rest" $) 24 (|has| $ (-6 -4536))) ((|#1| $ "last" |#1|) NIL (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) NIL (|has| $ (-6 -4536))) ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) NIL (|has| $ (-6 -4536)))) (-4216 (($ (-1 (-121) |#1|) $) NIL)) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1669 ((|#1| $) NIL)) (-2820 (($) NIL T CONST)) (-1302 (($ $) 28 (|has| $ (-6 -4536)))) (-2052 (($ $) 29)) (-2046 (($ $) 18) (($ $ (-764)) 32)) (-3384 (($ $) 53 (|has| |#1| (-1091)))) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4454 (($ |#1| $) NIL (|has| |#1| (-1091))) (($ (-1 (-121) |#1|) $) NIL)) (-4347 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2726 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) NIL)) (-3108 (((-121) $) NIL)) (-3727 (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1091))) (((-569) |#1| $) NIL (|has| |#1| (-1091))) (((-569) (-1 (-121) |#1|) $) NIL)) (-3470 (((-635 |#1|) $) 27 (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) NIL)) (-4349 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2659 (($ (-764) |#1|) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) 31 (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-2854 (($ $ $) NIL (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $ $) 56)) (-3288 (($ $ $) NIL (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 51 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2005 (($ |#1|) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2824 (((-635 |#1|) $) NIL)) (-3486 (((-121) $) NIL)) (-2776 (((-1145) $) 50 (|has| |#1| (-1091)))) (-4213 ((|#1| $) NIL) (($ $ (-764)) NIL)) (-3172 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-3614 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4353 ((|#1| $) 13) (($ $ (-764)) NIL)) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-3174 (($ $ |#1|) NIL (|has| $ (-6 -4536)))) (-2695 (((-121) $) NIL)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 12)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) 17)) (-1296 (($) 16)) (-1534 ((|#1| $ "value") NIL) ((|#1| $ "first") 15) (($ $ "rest") 20) ((|#1| $ "last") NIL) (($ $ (-1213 (-569))) NIL) ((|#1| $ (-569)) NIL) ((|#1| $ (-569) |#1|) NIL)) (-1686 (((-569) $ $) NIL)) (-4514 (($ $ (-1213 (-569))) NIL) (($ $ (-569)) NIL)) (-3010 (($ $ (-1213 (-569))) NIL) (($ $ (-569)) NIL)) (-1472 (((-121) $) 33)) (-2645 (($ $) NIL)) (-2780 (($ $) NIL (|has| $ (-6 -4536)))) (-4035 (((-764) $) NIL)) (-4343 (($ $) 35)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) 34)) (-3817 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 26)) (-2697 (($ $ $) 52) (($ $ |#1|) NIL)) (-2250 (($ $ $) NIL) (($ |#1| $) 10) (($ (-635 $)) NIL) (($ $ |#1|) NIL)) (-2185 (((-851) $) 45 (|has| |#1| (-1091)))) (-4114 (((-635 $) $) NIL)) (-2447 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) 47 (|has| |#1| (-1091)))) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-4168 (((-764) $) 9 (|has| $ (-6 -4535))))) 
+(((-529 |#1| |#2|) (-659 |#1|) (-1197) (-569)) (T -529)) 
+NIL 
+(-659 |#1|) 
+((-4036 ((|#4| |#4|) 26)) (-1321 (((-764) |#4|) 31)) (-3695 (((-764) |#4|) 32)) (-3645 (((-635 |#3|) |#4|) 37 (|has| |#3| (-6 -4536)))) (-4480 (((-3 |#4| "failed") |#4|) 47)) (-1518 ((|#4| |#4|) 40)) (-1787 ((|#1| |#4|) 39))) 
+(((-530 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4036 (|#4| |#4|)) (-15 -1321 ((-764) |#4|)) (-15 -3695 ((-764) |#4|)) (IF (|has| |#3| (-6 -4536)) (-15 -3645 ((-635 |#3|) |#4|)) |noBranch|) (-15 -1787 (|#1| |#4|)) (-15 -1518 (|#4| |#4|)) (-15 -4480 ((-3 |#4| "failed") |#4|))) (-366) (-376 |#1|) (-376 |#1|) (-678 |#1| |#2| |#3|)) (T -530)) 
+((-4480 (*1 *2 *2) (|partial| -12 (-4 *3 (-366)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-530 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5)))) (-1518 (*1 *2 *2) (-12 (-4 *3 (-366)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-530 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5)))) (-1787 (*1 *2 *3) (-12 (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-366)) (-5 *1 (-530 *2 *4 *5 *3)) (-4 *3 (-678 *2 *4 *5)))) (-3645 (*1 *2 *3) (-12 (|has| *6 (-6 -4536)) (-4 *4 (-366)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-635 *6)) (-5 *1 (-530 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) (-3695 (*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-764)) (-5 *1 (-530 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) (-1321 (*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-764)) (-5 *1 (-530 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) (-4036 (*1 *2 *2) (-12 (-4 *3 (-366)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-530 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5))))) 
+(-10 -7 (-15 -4036 (|#4| |#4|)) (-15 -1321 ((-764) |#4|)) (-15 -3695 ((-764) |#4|)) (IF (|has| |#3| (-6 -4536)) (-15 -3645 ((-635 |#3|) |#4|)) |noBranch|) (-15 -1787 (|#1| |#4|)) (-15 -1518 (|#4| |#4|)) (-15 -4480 ((-3 |#4| "failed") |#4|))) 
+((-4036 ((|#8| |#4|) 20)) (-3645 (((-635 |#3|) |#4|) 29 (|has| |#7| (-6 -4536)))) (-4480 (((-3 |#8| "failed") |#4|) 23))) 
+(((-531 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -4036 (|#8| |#4|)) (-15 -4480 ((-3 |#8| "failed") |#4|)) (IF (|has| |#7| (-6 -4536)) (-15 -3645 ((-635 |#3|) |#4|)) |noBranch|)) (-559) (-376 |#1|) (-376 |#1|) (-678 |#1| |#2| |#3|) (-994 |#1|) (-376 |#5|) (-376 |#5|) (-678 |#5| |#6| |#7|)) (T -531)) 
+((-3645 (*1 *2 *3) (-12 (|has| *9 (-6 -4536)) (-4 *4 (-559)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-4 *7 (-994 *4)) (-4 *8 (-376 *7)) (-4 *9 (-376 *7)) (-5 *2 (-635 *6)) (-5 *1 (-531 *4 *5 *6 *3 *7 *8 *9 *10)) (-4 *3 (-678 *4 *5 *6)) (-4 *10 (-678 *7 *8 *9)))) (-4480 (*1 *2 *3) (|partial| -12 (-4 *4 (-559)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-4 *7 (-994 *4)) (-4 *2 (-678 *7 *8 *9)) (-5 *1 (-531 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-678 *4 *5 *6)) (-4 *8 (-376 *7)) (-4 *9 (-376 *7)))) (-4036 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-4 *7 (-994 *4)) (-4 *2 (-678 *7 *8 *9)) (-5 *1 (-531 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-678 *4 *5 *6)) (-4 *8 (-376 *7)) (-4 *9 (-376 *7))))) 
+(-10 -7 (-15 -4036 (|#8| |#4|)) (-15 -4480 ((-3 |#8| "failed") |#4|)) (IF (|has| |#7| (-6 -4536)) (-15 -3645 ((-635 |#3|) |#4|)) |noBranch|)) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2418 (($ (-764) (-764)) NIL)) (-2799 (($ $ $) NIL)) (-2853 (($ (-600 |#1| |#3|)) NIL) (($ $) NIL)) (-4144 (((-121) $) NIL)) (-4218 (($ $ (-569) (-569)) 12)) (-2296 (($ $ (-569) (-569)) NIL)) (-1910 (($ $ (-569) (-569) (-569) (-569)) NIL)) (-1391 (($ $) NIL)) (-3569 (((-121) $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-1350 (($ $ (-569) (-569) $) NIL)) (-4469 ((|#1| $ (-569) (-569) |#1|) NIL) (($ $ (-635 (-569)) (-635 (-569)) $) NIL)) (-2451 (($ $ (-569) (-600 |#1| |#3|)) NIL)) (-3443 (($ $ (-569) (-600 |#1| |#2|)) NIL)) (-1574 (($ (-764) |#1|) NIL)) (-2820 (($) NIL T CONST)) (-4036 (($ $) 19 (|has| |#1| (-302)))) (-1765 (((-600 |#1| |#3|) $ (-569)) NIL)) (-1321 (((-764) $) 22 (|has| |#1| (-559)))) (-2726 ((|#1| $ (-569) (-569) |#1|) NIL)) (-1618 ((|#1| $ (-569) (-569)) NIL)) (-2333 ((|#1| $) NIL (|has| |#1| (-173)))) (-3470 (((-635 |#1|) $) NIL)) (-3695 (((-764) $) 24 (|has| |#1| (-559)))) (-3645 (((-635 (-600 |#1| |#2|)) $) 27 (|has| |#1| (-559)))) (-1810 (((-764) $) NIL)) (-2659 (($ (-764) (-764) |#1|) NIL)) (-2806 (((-764) $) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-1558 ((|#1| $) 17 (|has| |#1| (-6 (-4537 "*"))))) (-3992 (((-569) $) 10)) (-3127 (((-569) $) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1866 (((-569) $) 11)) (-1581 (((-569) $) NIL)) (-1483 (($ (-635 (-635 |#1|))) NIL)) (-1853 (($ (-1 |#1| |#1|) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-2550 (((-635 (-635 |#1|)) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-4480 (((-3 $ "failed") $) 31 (|has| |#1| (-366)))) (-4444 (($ $ $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-3174 (($ $ |#1|) NIL)) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ (-569) (-569)) NIL) ((|#1| $ (-569) (-569) |#1|) NIL) (($ $ (-635 (-569)) (-635 (-569))) NIL)) (-2455 (($ (-635 |#1|)) NIL) (($ (-635 $)) NIL)) (-2584 (((-121) $) NIL)) (-1787 ((|#1| $) 15 (|has| |#1| (-6 (-4537 "*"))))) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-2753 (((-635 (-600 |#1| |#2|)) $) NIL (|has| |#1| (-302)))) (-3419 (((-600 |#1| |#2|) $ (-569)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091))) (($ (-600 |#1| |#2|)) NIL)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2256 (((-121) $) NIL)) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $ $) NIL) (($ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (* (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-569) $) NIL) (((-600 |#1| |#2|) $ (-600 |#1| |#2|)) NIL) (((-600 |#1| |#3|) (-600 |#1| |#3|) $) NIL)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-532 |#1| |#2| |#3|) (-678 |#1| (-600 |#1| |#3|) (-600 |#1| |#2|)) (-1048) (-569) (-569)) (T -532)) 
+NIL 
+(-678 |#1| (-600 |#1| |#3|) (-600 |#1| |#2|)) 
+((-3386 (((-1159 |#1|) (-764)) 74)) (-1377 (((-1247 |#1|) (-1247 |#1|) (-918)) 67)) (-3562 (((-1252) (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))) |#1|) 82)) (-2649 (((-1247 |#1|) (-1247 |#1|) (-764)) 36)) (-4327 (((-1247 |#1|) (-918)) 69)) (-2639 (((-1247 |#1|) (-1247 |#1|) (-569)) 24)) (-3698 (((-1159 |#1|) (-1247 |#1|)) 75)) (-1490 (((-1247 |#1|) (-918)) 93)) (-3364 (((-121) (-1247 |#1|)) 78)) (-4308 (((-1247 |#1|) (-1247 |#1|) (-918)) 59)) (-2770 (((-1159 |#1|) (-1247 |#1|)) 87)) (-2083 (((-918) (-1247 |#1|)) 56)) (-1795 (((-1247 |#1|) (-1247 |#1|)) 30)) (-3998 (((-1247 |#1|) (-918) (-918)) 95)) (-3620 (((-1247 |#1|) (-1247 |#1|) (-1109) (-1109)) 23)) (-2236 (((-1247 |#1|) (-1247 |#1|) (-764) (-1109)) 37)) (-3930 (((-1247 (-1247 |#1|)) (-918)) 92)) (-1715 (((-1247 |#1|) (-1247 |#1|) (-1247 |#1|)) 79)) (** (((-1247 |#1|) (-1247 |#1|) (-569)) 43)) (* (((-1247 |#1|) (-1247 |#1|) (-1247 |#1|)) 25))) 
+(((-533 |#1|) (-10 -7 (-15 -3562 ((-1252) (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))) |#1|)) (-15 -4327 ((-1247 |#1|) (-918))) (-15 -3998 ((-1247 |#1|) (-918) (-918))) (-15 -3698 ((-1159 |#1|) (-1247 |#1|))) (-15 -3386 ((-1159 |#1|) (-764))) (-15 -2236 ((-1247 |#1|) (-1247 |#1|) (-764) (-1109))) (-15 -2649 ((-1247 |#1|) (-1247 |#1|) (-764))) (-15 -3620 ((-1247 |#1|) (-1247 |#1|) (-1109) (-1109))) (-15 -2639 ((-1247 |#1|) (-1247 |#1|) (-569))) (-15 ** ((-1247 |#1|) (-1247 |#1|) (-569))) (-15 * ((-1247 |#1|) (-1247 |#1|) (-1247 |#1|))) (-15 -1715 ((-1247 |#1|) (-1247 |#1|) (-1247 |#1|))) (-15 -4308 ((-1247 |#1|) (-1247 |#1|) (-918))) (-15 -1377 ((-1247 |#1|) (-1247 |#1|) (-918))) (-15 -1795 ((-1247 |#1|) (-1247 |#1|))) (-15 -2083 ((-918) (-1247 |#1|))) (-15 -3364 ((-121) (-1247 |#1|))) (-15 -3930 ((-1247 (-1247 |#1|)) (-918))) (-15 -1490 ((-1247 |#1|) (-918))) (-15 -2770 ((-1159 |#1|) (-1247 |#1|)))) (-351)) (T -533)) 
+((-2770 (*1 *2 *3) (-12 (-5 *3 (-1247 *4)) (-4 *4 (-351)) (-5 *2 (-1159 *4)) (-5 *1 (-533 *4)))) (-1490 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1247 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351)))) (-3930 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1247 (-1247 *4))) (-5 *1 (-533 *4)) (-4 *4 (-351)))) (-3364 (*1 *2 *3) (-12 (-5 *3 (-1247 *4)) (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-533 *4)))) (-2083 (*1 *2 *3) (-12 (-5 *3 (-1247 *4)) (-4 *4 (-351)) (-5 *2 (-918)) (-5 *1 (-533 *4)))) (-1795 (*1 *2 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-351)) (-5 *1 (-533 *3)))) (-1377 (*1 *2 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-918)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) (-4308 (*1 *2 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-918)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) (-1715 (*1 *2 *2 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-351)) (-5 *1 (-533 *3)))) (* (*1 *2 *2 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-351)) (-5 *1 (-533 *3)))) (** (*1 *2 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-569)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) (-2639 (*1 *2 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-569)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) (-3620 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-1109)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) (-2649 (*1 *2 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-764)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) (-2236 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-1247 *5)) (-5 *3 (-764)) (-5 *4 (-1109)) (-4 *5 (-351)) (-5 *1 (-533 *5)))) (-3386 (*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1159 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351)))) (-3698 (*1 *2 *3) (-12 (-5 *3 (-1247 *4)) (-4 *4 (-351)) (-5 *2 (-1159 *4)) (-5 *1 (-533 *4)))) (-3998 (*1 *2 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1247 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351)))) (-4327 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1247 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351)))) (-3562 (*1 *2 *3 *4) (-12 (-5 *3 (-1247 (-635 (-2 (|:| -2247 *4) (|:| -3998 (-1109)))))) (-4 *4 (-351)) (-5 *2 (-1252)) (-5 *1 (-533 *4))))) 
+(-10 -7 (-15 -3562 ((-1252) (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))) |#1|)) (-15 -4327 ((-1247 |#1|) (-918))) (-15 -3998 ((-1247 |#1|) (-918) (-918))) (-15 -3698 ((-1159 |#1|) (-1247 |#1|))) (-15 -3386 ((-1159 |#1|) (-764))) (-15 -2236 ((-1247 |#1|) (-1247 |#1|) (-764) (-1109))) (-15 -2649 ((-1247 |#1|) (-1247 |#1|) (-764))) (-15 -3620 ((-1247 |#1|) (-1247 |#1|) (-1109) (-1109))) (-15 -2639 ((-1247 |#1|) (-1247 |#1|) (-569))) (-15 ** ((-1247 |#1|) (-1247 |#1|) (-569))) (-15 * ((-1247 |#1|) (-1247 |#1|) (-1247 |#1|))) (-15 -1715 ((-1247 |#1|) (-1247 |#1|) (-1247 |#1|))) (-15 -4308 ((-1247 |#1|) (-1247 |#1|) (-918))) (-15 -1377 ((-1247 |#1|) (-1247 |#1|) (-918))) (-15 -1795 ((-1247 |#1|) (-1247 |#1|))) (-15 -2083 ((-918) (-1247 |#1|))) (-15 -3364 ((-121) (-1247 |#1|))) (-15 -3930 ((-1247 (-1247 |#1|)) (-918))) (-15 -1490 ((-1247 |#1|) (-918))) (-15 -2770 ((-1159 |#1|) (-1247 |#1|)))) 
+((-1929 (((-1 |#1| |#1|) |#1|) 11)) (-3194 (((-1 |#1| |#1|)) 10))) 
+(((-534 |#1|) (-10 -7 (-15 -3194 ((-1 |#1| |#1|))) (-15 -1929 ((-1 |#1| |#1|) |#1|))) (-13 (-717) (-25))) (T -534)) 
+((-1929 (*1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-534 *3)) (-4 *3 (-13 (-717) (-25))))) (-3194 (*1 *2) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-534 *3)) (-4 *3 (-13 (-717) (-25)))))) 
+(-10 -7 (-15 -3194 ((-1 |#1| |#1|))) (-15 -1929 ((-1 |#1| |#1|) |#1|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1498 (($ $ $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-4020 (($ $) NIL)) (-1763 (($ (-764) |#1|) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1544 (($ (-1 (-764) (-764)) $) NIL)) (-3885 ((|#1| $) NIL)) (-4012 (((-764) $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 20)) (-3369 (($) NIL T CONST)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL)) (-1707 (($ $ $) NIL)) (* (($ (-764) $) NIL) (($ (-918) $) NIL))) 
+(((-535 |#1|) (-13 (-789) (-519 (-764) |#1|)) (-843)) (T -535)) 
+NIL 
+(-13 (-789) (-519 (-764) |#1|)) 
+((-1352 (((-635 |#2|) (-1159 |#1|) |#3|) 83)) (-2504 (((-635 (-2 (|:| |outval| |#2|) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 |#2|))))) (-680 |#1|) |#3| (-1 (-421 (-1159 |#1|)) (-1159 |#1|))) 99)) (-2881 (((-1159 |#1|) (-680 |#1|)) 95))) 
+(((-536 |#1| |#2| |#3|) (-10 -7 (-15 -2881 ((-1159 |#1|) (-680 |#1|))) (-15 -1352 ((-635 |#2|) (-1159 |#1|) |#3|)) (-15 -2504 ((-635 (-2 (|:| |outval| |#2|) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 |#2|))))) (-680 |#1|) |#3| (-1 (-421 (-1159 |#1|)) (-1159 |#1|))))) (-366) (-366) (-13 (-366) (-841))) (T -536)) 
+((-2504 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *6)) (-5 *5 (-1 (-421 (-1159 *6)) (-1159 *6))) (-4 *6 (-366)) (-5 *2 (-635 (-2 (|:| |outval| *7) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 *7)))))) (-5 *1 (-536 *6 *7 *4)) (-4 *7 (-366)) (-4 *4 (-13 (-366) (-841))))) (-1352 (*1 *2 *3 *4) (-12 (-5 *3 (-1159 *5)) (-4 *5 (-366)) (-5 *2 (-635 *6)) (-5 *1 (-536 *5 *6 *4)) (-4 *6 (-366)) (-4 *4 (-13 (-366) (-841))))) (-2881 (*1 *2 *3) (-12 (-5 *3 (-680 *4)) (-4 *4 (-366)) (-5 *2 (-1159 *4)) (-5 *1 (-536 *4 *5 *6)) (-4 *5 (-366)) (-4 *6 (-13 (-366) (-841)))))) 
+(-10 -7 (-15 -2881 ((-1159 |#1|) (-680 |#1|))) (-15 -1352 ((-635 |#2|) (-1159 |#1|) |#3|)) (-15 -2504 ((-635 (-2 (|:| |outval| |#2|) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 |#2|))))) (-680 |#1|) |#3| (-1 (-421 (-1159 |#1|)) (-1159 |#1|))))) 
+((-2568 (((-121) $ $) 7)) (-1569 (((-1163) $) 20)) (-3974 (((-764) $) 22)) (-1610 (((-1163) $ (-1163)) 23)) (-3755 (((-764) $ (-764)) 28)) (-3070 ((|#5| $ |#5|) 31)) (-2790 (((-764) $ (-764)) 27)) (-1880 (((-33 |#1|) $ (-33 |#1|)) 29)) (-3192 (((-635 |#6|) $ (-635 |#6|)) 24)) (-2526 ((|#8| $ |#8|) 25)) (-1629 (((-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) $ (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|)) 30)) (-2831 ((|#9| $ |#9|) 26)) (-4209 ((|#5| $) 19)) (-3237 (((-764) $) 16)) (-2363 (((-33 |#1|) $) 17)) (-2158 (((-635 |#6|) $) 21)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2395 ((|#8| $) 14)) (-2492 (((-918) $) 12)) (-3450 (((-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) $) 18)) (-2946 (($ |#5| (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) (-33 |#1|) (-764) |#9| (-764) |#8| |#1| (-1163)) 33) (($ |#5| |#3|) 32)) (-2185 (((-851) $) 11)) (-2559 ((|#9| $) 15)) (-3147 ((|#1| $) 13)) (-1668 (((-121) $ $) 6))) 
+(((-537 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-1278) (-366) (-635 (-1163)) (-951 |t#1| |t#4| (-853 |t#2|)) (-231 (-4168 |t#2|) (-764)) (-972 |t#1|) (-642 |t#1|) (-921 |t#1| |t#6|) (-236 |t#7|) (-117)) (T -537)) 
+((-2946 (*1 *1 *2 *3 *4 *5 *6 *5 *7 *8 *9) (-12 (-5 *3 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *8)) (-5 *4 (-33 *8)) (-5 *9 (-1163)) (-4 *8 (-366)) (-5 *5 (-764)) (-4 *12 (-231 (-4168 *10) *5)) (-4 *13 (-642 *8)) (-4 *14 (-921 *8 *13)) (-4 *1 (-537 *8 *10 *11 *12 *2 *13 *14 *7 *6)) (-4 *11 (-951 *8 *12 (-853 *10))) (-4 *2 (-972 *8)) (-4 *7 (-236 *14)) (-4 *6 (-117)))) (-2946 (*1 *1 *2 *3) (-12 (-4 *4 (-366)) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-642 *4)) (-4 *8 (-921 *4 *7)) (-4 *1 (-537 *4 *5 *3 *6 *2 *7 *8 *9 *10)) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *2 (-972 *4)) (-4 *9 (-236 *8)) (-4 *10 (-117)))) (-3070 (*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *2 (-972 *3)) (-4 *7 (-642 *3)) (-4 *8 (-921 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117)))) (-1629 (*1 *2 *1 *2) (-12 (-5 *2 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *3)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-1880 (*1 *2 *1 *2) (-12 (-5 *2 (-33 *3)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-3755 (*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) *2)) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-764)))) (-2790 (*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) *2)) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-764)))) (-2831 (*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *2 (-117)))) (-2526 (*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *2 (-236 *9)) (-4 *10 (-117)))) (-3192 (*1 *2 *1 *2) (-12 (-5 *2 (-635 *8)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-1610 (*1 *2 *1 *2) (-12 (-5 *2 (-1163)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-3974 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) *2)) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-764)))) (-2158 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-635 *8)))) (-1569 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-1163)))) (-4209 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-642 *3)) (-4 *8 (-921 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117)) (-4 *2 (-972 *3)))) (-3450 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *3)))) (-2363 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-33 *3)))) (-3237 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) *2)) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-764)))) (-2559 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *2 (-117)))) (-2395 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-117)) (-4 *2 (-236 *9)))) (-3147 (*1 *2 *1) (-12 (-4 *1 (-537 *2 *3 *4 *5 *6 *7 *8 *9 *10)) (-4 *4 (-951 *2 *5 (-853 *3))) (-4 *5 (-231 (-4168 *3) (-764))) (-4 *6 (-972 *2)) (-4 *7 (-642 *2)) (-4 *8 (-921 *2 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117)) (-4 *2 (-366))))) 
+(-13 (-1089) (-10 -8 (-15 -2946 ($ |t#5| (-243 (-2139 (QUOTE X) (QUOTE -2374)) |t#1|) (-33 |t#1|) (-764) |t#9| (-764) |t#8| |t#1| (-1163))) (-15 -2946 ($ |t#5| |t#3|)) (-15 -3070 (|t#5| $ |t#5|)) (-15 -1629 ((-243 (-2139 (QUOTE X) (QUOTE -2374)) |t#1|) $ (-243 (-2139 (QUOTE X) (QUOTE -2374)) |t#1|))) (-15 -1880 ((-33 |t#1|) $ (-33 |t#1|))) (-15 -3755 ((-764) $ (-764))) (-15 -2790 ((-764) $ (-764))) (-15 -2831 (|t#9| $ |t#9|)) (-15 -2526 (|t#8| $ |t#8|)) (-15 -3192 ((-635 |t#6|) $ (-635 |t#6|))) (-15 -1610 ((-1163) $ (-1163))) (-15 -3974 ((-764) $)) (-15 -2158 ((-635 |t#6|) $)) (-15 -1569 ((-1163) $)) (-15 -4209 (|t#5| $)) (-15 -3450 ((-243 (-2139 (QUOTE X) (QUOTE -2374)) |t#1|) $)) (-15 -2363 ((-33 |t#1|) $)) (-15 -3237 ((-764) $)) (-15 -2559 (|t#9| $)) (-15 -2395 (|t#8| $)) (-15 -3147 (|t#1| $)))) 
+(((-105) . T) ((-609 (-851)) . T) ((-1091) . T) ((-1089) . T)) 
+((-2568 (((-121) $ $) NIL)) (-1569 (((-1163) $) NIL)) (-3974 (((-764) $) NIL)) (-1610 (((-1163) $ (-1163)) NIL)) (-3755 (((-764) $ (-764)) NIL)) (-3070 (((-968 |#1|) $ (-968 |#1|)) NIL)) (-2790 (((-764) $ (-764)) NIL)) (-1880 (((-33 (-858 |#1|)) $ (-33 (-858 |#1|))) NIL)) (-3192 (((-635 (-775 (-858 |#1|))) $ (-635 (-775 (-858 |#1|)))) NIL)) (-2526 (((-237 (-923 |#1|)) $ (-237 (-923 |#1|))) NIL)) (-1629 (((-243 (-2139 (QUOTE X) (QUOTE -2374)) (-858 |#1|)) $ (-243 (-2139 (QUOTE X) (QUOTE -2374)) (-858 |#1|))) NIL)) (-2831 ((|#3| $ |#3|) NIL)) (-4209 (((-968 |#1|) $) NIL)) (-3237 (((-764) $) NIL)) (-2363 (((-33 (-858 |#1|)) $) NIL)) (-2158 (((-635 (-775 (-858 |#1|))) $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2401 (((-121) (-121)) NIL) (((-121)) NIL)) (-3126 (((-851) $) NIL)) (-2395 (((-237 (-923 |#1|)) $) NIL)) (-2492 (((-918) $) NIL)) (-3450 (((-243 (-2139 (QUOTE X) (QUOTE -2374)) (-858 |#1|)) $) NIL)) (-2946 (($ (-968 |#1|) (-243 (-2139 (QUOTE X) (QUOTE -2374)) (-858 |#1|)) (-33 (-858 |#1|)) (-764) |#3| (-764) (-237 (-923 |#1|)) (-858 |#1|) (-1163)) NIL) (($ (-968 |#1|) (-243 |#2| (-858 |#1|))) NIL)) (-2185 (((-851) $) NIL)) (-2559 ((|#3| $) NIL)) (-3147 (((-858 |#1|) $) NIL)) (-1668 (((-121) $ $) NIL))) 
+(((-538 |#1| |#2| |#3|) (-13 (-537 (-858 |#1|) |#2| (-243 |#2| (-858 |#1|)) (-233 (-4168 |#2|) (-764)) (-968 |#1|) (-775 (-858 |#1|)) (-923 |#1|) (-237 (-923 |#1|)) |#3|) (-10 -8 (-15 -3126 ((-851) $)) (-15 -2401 ((-121) (-121))) (-15 -2401 ((-121))))) (-351) (-635 (-1163)) (-117)) (T -538)) 
+((-3126 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-538 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2401 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-538 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2401 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-538 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117))))) 
+(-13 (-537 (-858 |#1|) |#2| (-243 |#2| (-858 |#1|)) (-233 (-4168 |#2|) (-764)) (-968 |#1|) (-775 (-858 |#1|)) (-923 |#1|) (-237 (-923 |#1|)) |#3|) (-10 -8 (-15 -3126 ((-851) $)) (-15 -2401 ((-121) (-121))) (-15 -2401 ((-121))))) 
+((-2568 (((-121) $ $) NIL)) (-1569 (((-1163) $) 42)) (-3974 (((-764) $) 48)) (-1610 (((-1163) $ (-1163)) 81)) (-3755 (((-764) $ (-764)) 71)) (-3070 ((|#5| $ |#5|) 74)) (-2790 (((-764) $ (-764)) 77)) (-1880 (((-33 |#1|) $ (-33 |#1|)) 76)) (-3192 (((-635 |#6|) $ (-635 |#6|)) 79)) (-2526 ((|#8| $ |#8|) 80)) (-1629 (((-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) $ (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|)) 75)) (-2831 ((|#9| $ |#9|) 78)) (-4209 ((|#5| $) 40)) (-3237 (((-764) $) 43)) (-2363 (((-33 |#1|) $) 45)) (-2158 (((-635 |#6|) $) 73)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2401 (((-121) (-121)) 52) (((-121)) 53)) (-3126 (((-851) $) 50)) (-2395 ((|#8| $) 47)) (-2492 (((-918) $) 58)) (-3450 (((-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) $) 44)) (-2946 (($ |#5| (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) (-33 |#1|) (-764) |#9| (-764) |#8| |#1| (-1163)) 59) (($ |#5| |#3|) 70)) (-2185 (((-851) $) 54)) (-2559 ((|#9| $) 46)) (-3147 ((|#1| $) 55)) (-1668 (((-121) $ $) NIL))) 
+(((-539 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-13 (-537 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-10 -8 (-15 -3126 ((-851) $)) (-15 -2401 ((-121) (-121))) (-15 -2401 ((-121))))) (-366) (-635 (-1163)) (-951 |#1| |#4| (-853 |#2|)) (-231 (-4168 |#2|) (-764)) (-972 |#1|) (-642 |#1|) (-921 |#1| |#6|) (-236 |#7|) (-117)) (T -539)) 
+((-3126 (*1 *2 *1) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-5 *2 (-851)) (-5 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *7 (-972 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-2401 (*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-5 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *7 (-972 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-2401 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-5 *2 (-121)) (-5 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *7 (-972 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
+(-13 (-537 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-10 -8 (-15 -3126 ((-851) $)) (-15 -2401 ((-121) (-121))) (-15 -2401 ((-121))))) 
+((-3090 (((-836 (-569))) 11)) (-3083 (((-836 (-569))) 13)) (-1532 (((-829 (-569))) 8))) 
+(((-540) (-10 -7 (-15 -1532 ((-829 (-569)))) (-15 -3090 ((-836 (-569)))) (-15 -3083 ((-836 (-569)))))) (T -540)) 
+((-3083 (*1 *2) (-12 (-5 *2 (-836 (-569))) (-5 *1 (-540)))) (-3090 (*1 *2) (-12 (-5 *2 (-836 (-569))) (-5 *1 (-540)))) (-1532 (*1 *2) (-12 (-5 *2 (-829 (-569))) (-5 *1 (-540))))) 
+(-10 -7 (-15 -1532 ((-829 (-569)))) (-15 -3090 ((-836 (-569)))) (-15 -3083 ((-836 (-569))))) 
+((-3720 (((-542) (-1163)) 15)) (-2929 ((|#1| (-542)) 20))) 
+(((-541 |#1|) (-10 -7 (-15 -3720 ((-542) (-1163))) (-15 -2929 (|#1| (-542)))) (-1197)) (T -541)) 
+((-2929 (*1 *2 *3) (-12 (-5 *3 (-542)) (-5 *1 (-541 *2)) (-4 *2 (-1197)))) (-3720 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-542)) (-5 *1 (-541 *4)) (-4 *4 (-1197))))) 
+(-10 -7 (-15 -3720 ((-542) (-1163))) (-15 -2929 (|#1| (-542)))) 
+((-2568 (((-121) $ $) NIL)) (-1523 (((-1145) $) 46)) (-1508 (((-121) $) 43)) (-2392 (((-1163) $) 44)) (-2549 (((-121) $) 41)) (-2257 (((-1145) $) 42)) (-2170 (($ (-1145)) 47)) (-4026 (((-121) $) NIL)) (-1298 (((-121) $) NIL)) (-3118 (((-121) $) NIL)) (-2776 (((-1145) $) NIL)) (-3859 (($ $ (-635 (-1163))) 20)) (-2929 (((-57) $) 22)) (-3750 (((-121) $) NIL)) (-2234 (((-569) $) NIL)) (-3360 (((-1109) $) NIL)) (-1813 (($ $ (-635 (-1163)) (-1163)) 59)) (-3549 (((-121) $) NIL)) (-2215 (((-216) $) NIL)) (-3825 (($ $) 38)) (-2252 (((-851) $) NIL)) (-1502 (((-121) $ $) NIL)) (-1534 (($ $ (-569)) NIL) (($ $ (-635 (-569))) NIL)) (-1759 (((-635 $) $) 28)) (-2227 (((-1163) (-635 $)) 48)) (-3817 (($ (-635 $)) 52) (($ (-1145)) NIL) (($ (-1163)) 18) (($ (-569)) 8) (($ (-216)) 25) (($ (-851)) NIL) (((-1095) $) 11) (($ (-1095)) 12)) (-4291 (((-1163) (-1163) (-635 $)) 51)) (-2185 (((-851) $) NIL)) (-1525 (($ $) 50)) (-1520 (($ $) 49)) (-1367 (($ $ (-635 $)) 56)) (-3691 (((-121) $) 27)) (-3369 (($) 9 T CONST)) (-1556 (($) 10 T CONST)) (-1668 (((-121) $ $) 60)) (-1715 (($ $ $) 65)) (-1707 (($ $ $) 61)) (** (($ $ (-764)) 64) (($ $ (-569)) 63)) (* (($ $ $) 62)) (-4168 (((-569) $) NIL))) 
+(((-542) (-13 (-1094 (-1145) (-1163) (-569) (-216) (-851)) (-610 (-1095)) (-10 -8 (-15 -2929 ((-57) $)) (-15 -3817 ($ (-1095))) (-15 -1367 ($ $ (-635 $))) (-15 -1813 ($ $ (-635 (-1163)) (-1163))) (-15 -3859 ($ $ (-635 (-1163)))) (-15 -1707 ($ $ $)) (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ (-764))) (-15 ** ($ $ (-569))) (-15 0 ($) -2043) (-15 1 ($) -2043) (-15 -3825 ($ $)) (-15 -1523 ((-1145) $)) (-15 -2170 ($ (-1145))) (-15 -2227 ((-1163) (-635 $))) (-15 -4291 ((-1163) (-1163) (-635 $)))))) (T -542)) 
+((-2929 (*1 *2 *1) (-12 (-5 *2 (-57)) (-5 *1 (-542)))) (-3817 (*1 *1 *2) (-12 (-5 *2 (-1095)) (-5 *1 (-542)))) (-1367 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-542))) (-5 *1 (-542)))) (-1813 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-1163)) (-5 *1 (-542)))) (-3859 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-542)))) (-1707 (*1 *1 *1 *1) (-5 *1 (-542))) (* (*1 *1 *1 *1) (-5 *1 (-542))) (-1715 (*1 *1 *1 *1) (-5 *1 (-542))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-542)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-542)))) (-3369 (*1 *1) (-5 *1 (-542))) (-1556 (*1 *1) (-5 *1 (-542))) (-3825 (*1 *1 *1) (-5 *1 (-542))) (-1523 (*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-542)))) (-2170 (*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-542)))) (-2227 (*1 *2 *3) (-12 (-5 *3 (-635 (-542))) (-5 *2 (-1163)) (-5 *1 (-542)))) (-4291 (*1 *2 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-542))) (-5 *1 (-542))))) 
+(-13 (-1094 (-1145) (-1163) (-569) (-216) (-851)) (-610 (-1095)) (-10 -8 (-15 -2929 ((-57) $)) (-15 -3817 ($ (-1095))) (-15 -1367 ($ $ (-635 $))) (-15 -1813 ($ $ (-635 (-1163)) (-1163))) (-15 -3859 ($ $ (-635 (-1163)))) (-15 -1707 ($ $ $)) (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ (-764))) (-15 ** ($ $ (-569))) (-15 (-3369) ($) -2043) (-15 (-1556) ($) -2043) (-15 -3825 ($ $)) (-15 -1523 ((-1145) $)) (-15 -2170 ($ (-1145))) (-15 -2227 ((-1163) (-635 $))) (-15 -4291 ((-1163) (-1163) (-635 $))))) 
+((-2877 ((|#2| |#2|) 17)) (-4191 ((|#2| |#2|) 13)) (-3094 ((|#2| |#2| (-569) (-569)) 20)) (-2651 ((|#2| |#2|) 15))) 
+(((-543 |#1| |#2|) (-10 -7 (-15 -4191 (|#2| |#2|)) (-15 -2651 (|#2| |#2|)) (-15 -2877 (|#2| |#2|)) (-15 -3094 (|#2| |#2| (-569) (-569)))) (-13 (-559) (-151)) (-1237 |#1|)) (T -543)) 
+((-3094 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-543 *4 *2)) (-4 *2 (-1237 *4)))) (-2877 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-543 *3 *2)) (-4 *2 (-1237 *3)))) (-2651 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-543 *3 *2)) (-4 *2 (-1237 *3)))) (-4191 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-543 *3 *2)) (-4 *2 (-1237 *3))))) 
+(-10 -7 (-15 -4191 (|#2| |#2|)) (-15 -2651 (|#2| |#2|)) (-15 -2877 (|#2| |#2|)) (-15 -3094 (|#2| |#2| (-569) (-569)))) 
+((-2740 (((-635 (-289 (-954 |#2|))) (-635 |#2|) (-635 (-1163))) 32)) (-2543 (((-635 |#2|) (-954 |#1|) |#3|) 53) (((-635 |#2|) (-1159 |#1|) |#3|) 52)) (-4136 (((-635 (-635 |#2|)) (-635 (-954 |#1|)) (-635 (-954 |#1|)) (-635 (-1163)) |#3|) 87))) 
+(((-544 |#1| |#2| |#3|) (-10 -7 (-15 -2543 ((-635 |#2|) (-1159 |#1|) |#3|)) (-15 -2543 ((-635 |#2|) (-954 |#1|) |#3|)) (-15 -4136 ((-635 (-635 |#2|)) (-635 (-954 |#1|)) (-635 (-954 |#1|)) (-635 (-1163)) |#3|)) (-15 -2740 ((-635 (-289 (-954 |#2|))) (-635 |#2|) (-635 (-1163))))) (-454) (-366) (-13 (-366) (-841))) (T -544)) 
+((-2740 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 (-1163))) (-4 *6 (-366)) (-5 *2 (-635 (-289 (-954 *6)))) (-5 *1 (-544 *5 *6 *7)) (-4 *5 (-454)) (-4 *7 (-13 (-366) (-841))))) (-4136 (*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-635 (-954 *6))) (-5 *4 (-635 (-1163))) (-4 *6 (-454)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-544 *6 *7 *5)) (-4 *7 (-366)) (-4 *5 (-13 (-366) (-841))))) (-2543 (*1 *2 *3 *4) (-12 (-5 *3 (-954 *5)) (-4 *5 (-454)) (-5 *2 (-635 *6)) (-5 *1 (-544 *5 *6 *4)) (-4 *6 (-366)) (-4 *4 (-13 (-366) (-841))))) (-2543 (*1 *2 *3 *4) (-12 (-5 *3 (-1159 *5)) (-4 *5 (-454)) (-5 *2 (-635 *6)) (-5 *1 (-544 *5 *6 *4)) (-4 *6 (-366)) (-4 *4 (-13 (-366) (-841)))))) 
+(-10 -7 (-15 -2543 ((-635 |#2|) (-1159 |#1|) |#3|)) (-15 -2543 ((-635 |#2|) (-954 |#1|) |#3|)) (-15 -4136 ((-635 (-635 |#2|)) (-635 (-954 |#1|)) (-635 (-954 |#1|)) (-635 (-1163)) |#3|)) (-15 -2740 ((-635 (-289 (-954 |#2|))) (-635 |#2|) (-635 (-1163))))) 
+((-2461 ((|#2| |#2| |#1|) 17)) (-1873 ((|#2| (-635 |#2|)) 26)) (-4176 ((|#2| (-635 |#2|)) 45))) 
+(((-545 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1873 (|#2| (-635 |#2|))) (-15 -4176 (|#2| (-635 |#2|))) (-15 -2461 (|#2| |#2| |#1|))) (-302) (-1222 |#1|) |#1| (-1 |#1| |#1| (-764))) (T -545)) 
+((-2461 (*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-14 *4 *3) (-14 *5 (-1 *3 *3 (-764))) (-5 *1 (-545 *3 *2 *4 *5)) (-4 *2 (-1222 *3)))) (-4176 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1222 *4)) (-5 *1 (-545 *4 *2 *5 *6)) (-4 *4 (-302)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-764))))) (-1873 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1222 *4)) (-5 *1 (-545 *4 *2 *5 *6)) (-4 *4 (-302)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-764)))))) 
+(-10 -7 (-15 -1873 (|#2| (-635 |#2|))) (-15 -4176 (|#2| (-635 |#2|))) (-15 -2461 (|#2| |#2| |#1|))) 
+((-1743 (((-421 (-1159 |#4|)) (-1159 |#4|) (-1 (-421 (-1159 |#3|)) (-1159 |#3|))) 79) (((-421 |#4|) |#4| (-1 (-421 (-1159 |#3|)) (-1159 |#3|))) 164))) 
+(((-546 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1743 ((-421 |#4|) |#4| (-1 (-421 (-1159 |#3|)) (-1159 |#3|)))) (-15 -1743 ((-421 (-1159 |#4|)) (-1159 |#4|) (-1 (-421 (-1159 |#3|)) (-1159 |#3|))))) (-843) (-789) (-13 (-302) (-151)) (-951 |#3| |#2| |#1|)) (T -546)) 
+((-1743 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 (-1159 *7)) (-1159 *7))) (-4 *7 (-13 (-302) (-151))) (-4 *5 (-843)) (-4 *6 (-789)) (-4 *8 (-951 *7 *6 *5)) (-5 *2 (-421 (-1159 *8))) (-5 *1 (-546 *5 *6 *7 *8)) (-5 *3 (-1159 *8)))) (-1743 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 (-1159 *7)) (-1159 *7))) (-4 *7 (-13 (-302) (-151))) (-4 *5 (-843)) (-4 *6 (-789)) (-5 *2 (-421 *3)) (-5 *1 (-546 *5 *6 *7 *3)) (-4 *3 (-951 *7 *6 *5))))) 
+(-10 -7 (-15 -1743 ((-421 |#4|) |#4| (-1 (-421 (-1159 |#3|)) (-1159 |#3|)))) (-15 -1743 ((-421 (-1159 |#4|)) (-1159 |#4|) (-1 (-421 (-1159 |#3|)) (-1159 |#3|))))) 
+((-2877 ((|#4| |#4|) 73)) (-4191 ((|#4| |#4|) 69)) (-3094 ((|#4| |#4| (-569) (-569)) 75)) (-2651 ((|#4| |#4|) 71))) 
+(((-547 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4191 (|#4| |#4|)) (-15 -2651 (|#4| |#4|)) (-15 -2877 (|#4| |#4|)) (-15 -3094 (|#4| |#4| (-569) (-569)))) (-13 (-366) (-371) (-610 (-569))) (-1222 |#1|) (-715 |#1| |#2|) (-1237 |#3|)) (T -547)) 
+((-3094 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-13 (-366) (-371) (-610 *3))) (-4 *5 (-1222 *4)) (-4 *6 (-715 *4 *5)) (-5 *1 (-547 *4 *5 *6 *2)) (-4 *2 (-1237 *6)))) (-2877 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-4 *4 (-1222 *3)) (-4 *5 (-715 *3 *4)) (-5 *1 (-547 *3 *4 *5 *2)) (-4 *2 (-1237 *5)))) (-2651 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-4 *4 (-1222 *3)) (-4 *5 (-715 *3 *4)) (-5 *1 (-547 *3 *4 *5 *2)) (-4 *2 (-1237 *5)))) (-4191 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-4 *4 (-1222 *3)) (-4 *5 (-715 *3 *4)) (-5 *1 (-547 *3 *4 *5 *2)) (-4 *2 (-1237 *5))))) 
+(-10 -7 (-15 -4191 (|#4| |#4|)) (-15 -2651 (|#4| |#4|)) (-15 -2877 (|#4| |#4|)) (-15 -3094 (|#4| |#4| (-569) (-569)))) 
+((-2877 ((|#2| |#2|) 27)) (-4191 ((|#2| |#2|) 23)) (-3094 ((|#2| |#2| (-569) (-569)) 29)) (-2651 ((|#2| |#2|) 25))) 
+(((-548 |#1| |#2|) (-10 -7 (-15 -4191 (|#2| |#2|)) (-15 -2651 (|#2| |#2|)) (-15 -2877 (|#2| |#2|)) (-15 -3094 (|#2| |#2| (-569) (-569)))) (-13 (-366) (-371) (-610 (-569))) (-1237 |#1|)) (T -548)) 
+((-3094 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-13 (-366) (-371) (-610 *3))) (-5 *1 (-548 *4 *2)) (-4 *2 (-1237 *4)))) (-2877 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-5 *1 (-548 *3 *2)) (-4 *2 (-1237 *3)))) (-2651 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-5 *1 (-548 *3 *2)) (-4 *2 (-1237 *3)))) (-4191 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-5 *1 (-548 *3 *2)) (-4 *2 (-1237 *3))))) 
+(-10 -7 (-15 -4191 (|#2| |#2|)) (-15 -2651 (|#2| |#2|)) (-15 -2877 (|#2| |#2|)) (-15 -3094 (|#2| |#2| (-569) (-569)))) 
+((-3784 (((-3 (-569) "failed") |#2| |#1| (-1 (-3 (-569) "failed") |#1|)) 14) (((-3 (-569) "failed") |#2| |#1| (-569) (-1 (-3 (-569) "failed") |#1|)) 13) (((-3 (-569) "failed") |#2| (-569) (-1 (-3 (-569) "failed") |#1|)) 26))) 
+(((-549 |#1| |#2|) (-10 -7 (-15 -3784 ((-3 (-569) "failed") |#2| (-569) (-1 (-3 (-569) "failed") |#1|))) (-15 -3784 ((-3 (-569) "failed") |#2| |#1| (-569) (-1 (-3 (-569) "failed") |#1|))) (-15 -3784 ((-3 (-569) "failed") |#2| |#1| (-1 (-3 (-569) "failed") |#1|)))) (-1048) (-1222 |#1|)) (T -549)) 
+((-3784 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-569) "failed") *4)) (-4 *4 (-1048)) (-5 *2 (-569)) (-5 *1 (-549 *4 *3)) (-4 *3 (-1222 *4)))) (-3784 (*1 *2 *3 *4 *2 *5) (|partial| -12 (-5 *5 (-1 (-3 (-569) "failed") *4)) (-4 *4 (-1048)) (-5 *2 (-569)) (-5 *1 (-549 *4 *3)) (-4 *3 (-1222 *4)))) (-3784 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *4 (-1 (-3 (-569) "failed") *5)) (-4 *5 (-1048)) (-5 *2 (-569)) (-5 *1 (-549 *5 *3)) (-4 *3 (-1222 *5))))) 
+(-10 -7 (-15 -3784 ((-3 (-569) "failed") |#2| (-569) (-1 (-3 (-569) "failed") |#1|))) (-15 -3784 ((-3 (-569) "failed") |#2| |#1| (-569) (-1 (-3 (-569) "failed") |#1|))) (-15 -3784 ((-3 (-569) "failed") |#2| |#1| (-1 (-3 (-569) "failed") |#1|)))) 
+((-3394 (($ $ $) 78)) (-2446 (((-421 $) $) 46)) (-1647 (((-3 (-569) "failed") $) 58)) (-2428 (((-569) $) 36)) (-4401 (((-3 (-410 (-569)) "failed") $) 73)) (-3103 (((-121) $) 23)) (-1442 (((-410 (-569)) $) 71)) (-3726 (((-121) $) 49)) (-1389 (($ $ $ $) 85)) (-2403 (((-121) $) 15)) (-2381 (($ $ $) 56)) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 68)) (-3846 (((-3 $ "failed") $) 63)) (-4372 (($ $) 22)) (-4466 (($ $ $) 83)) (-4043 (($) 59)) (-1484 (($ $) 52)) (-1743 (((-421 $) $) 44)) (-1657 (((-121) $) 13)) (-2622 (((-764) $) 27)) (-3899 (($ $ (-764)) NIL) (($ $) 10)) (-1971 (($ $) 16)) (-3817 (((-569) $) NIL) (((-542) $) 35) (((-888 (-569)) $) 39) (((-382) $) 30) (((-216) $) 32)) (-1991 (((-764)) 8)) (-4317 (((-121) $ $) 19)) (-4248 (($ $ $) 54))) 
+(((-550 |#1|) (-10 -8 (-15 -4466 (|#1| |#1| |#1|)) (-15 -1389 (|#1| |#1| |#1| |#1|)) (-15 -4372 (|#1| |#1|)) (-15 -1971 (|#1| |#1|)) (-15 -4401 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1442 ((-410 (-569)) |#1|)) (-15 -3103 ((-121) |#1|)) (-15 -3394 (|#1| |#1| |#1|)) (-15 -4317 ((-121) |#1| |#1|)) (-15 -1657 ((-121) |#1|)) (-15 -4043 (|#1|)) (-15 -3846 ((-3 |#1| "failed") |#1|)) (-15 -3817 ((-216) |#1|)) (-15 -3817 ((-382) |#1|)) (-15 -2381 (|#1| |#1| |#1|)) (-15 -1484 (|#1| |#1|)) (-15 -4248 (|#1| |#1| |#1|)) (-15 -2883 ((-885 (-569) |#1|) |#1| (-888 (-569)) (-885 (-569) |#1|))) (-15 -3817 ((-888 (-569)) |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -3817 ((-569) |#1|)) (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -2403 ((-121) |#1|)) (-15 -2622 ((-764) |#1|)) (-15 -1743 ((-421 |#1|) |#1|)) (-15 -2446 ((-421 |#1|) |#1|)) (-15 -3726 ((-121) |#1|)) (-15 -1991 ((-764)))) (-551)) (T -550)) 
+((-1991 (*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-550 *3)) (-4 *3 (-551))))) 
+(-10 -8 (-15 -4466 (|#1| |#1| |#1|)) (-15 -1389 (|#1| |#1| |#1| |#1|)) (-15 -4372 (|#1| |#1|)) (-15 -1971 (|#1| |#1|)) (-15 -4401 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1442 ((-410 (-569)) |#1|)) (-15 -3103 ((-121) |#1|)) (-15 -3394 (|#1| |#1| |#1|)) (-15 -4317 ((-121) |#1| |#1|)) (-15 -1657 ((-121) |#1|)) (-15 -4043 (|#1|)) (-15 -3846 ((-3 |#1| "failed") |#1|)) (-15 -3817 ((-216) |#1|)) (-15 -3817 ((-382) |#1|)) (-15 -2381 (|#1| |#1| |#1|)) (-15 -1484 (|#1| |#1|)) (-15 -4248 (|#1| |#1| |#1|)) (-15 -2883 ((-885 (-569) |#1|) |#1| (-888 (-569)) (-885 (-569) |#1|))) (-15 -3817 ((-888 (-569)) |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -3817 ((-569) |#1|)) (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -2403 ((-121) |#1|)) (-15 -2622 ((-764) |#1|)) (-15 -1743 ((-421 |#1|) |#1|)) (-15 -2446 ((-421 |#1|) |#1|)) (-15 -3726 ((-121) |#1|)) (-15 -1991 ((-764)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-3394 (($ $ $) 82)) (-2327 (((-3 $ "failed") $ $) 18)) (-3202 (($ $ $ $) 70)) (-2004 (($ $) 49)) (-2446 (((-421 $) $) 50)) (-3934 (((-121) $ $) 122)) (-3638 (((-569) $) 111)) (-3036 (($ $ $) 85)) (-2820 (($) 16 T CONST)) (-1647 (((-3 (-569) "failed") $) 103)) (-2428 (((-569) $) 102)) (-2506 (($ $ $) 126)) (-1696 (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 101) (((-680 (-569)) (-680 $)) 100)) (-3428 (((-3 $ "failed") $) 33)) (-4401 (((-3 (-410 (-569)) "failed") $) 79)) (-3103 (((-121) $) 81)) (-1442 (((-410 (-569)) $) 80)) (-4327 (($) 78) (($ $) 77)) (-2524 (($ $ $) 125)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 120)) (-3726 (((-121) $) 51)) (-1389 (($ $ $ $) 68)) (-4031 (($ $ $) 83)) (-2403 (((-121) $) 113)) (-2381 (($ $ $) 94)) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 97)) (-1407 (((-121) $) 30)) (-1931 (((-121) $) 89)) (-3846 (((-3 $ "failed") $) 91)) (-1781 (((-121) $) 112)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 129)) (-4131 (($ $ $ $) 69)) (-3291 (($ $ $) 114)) (-1538 (($ $ $) 115)) (-4372 (($ $) 72)) (-1906 (($ $) 86)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-4466 (($ $ $) 67)) (-4043 (($) 90 T CONST)) (-2761 (($ $) 74)) (-3360 (((-1109) $) 10) (($ $) 76)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-1484 (($ $) 95)) (-1743 (((-421 $) $) 48)) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 128) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 127)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 121)) (-1657 (((-121) $) 88)) (-2622 (((-764) $) 123)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 124)) (-3899 (($ $ (-764)) 108) (($ $) 106)) (-4185 (($ $) 73)) (-1971 (($ $) 75)) (-3817 (((-569) $) 105) (((-542) $) 99) (((-888 (-569)) $) 98) (((-382) $) 93) (((-216) $) 92)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-569)) 104)) (-1991 (((-764)) 28)) (-4317 (((-121) $ $) 84)) (-4248 (($ $ $) 96)) (-1475 (($) 87)) (-1961 (((-121) $ $) 38)) (-4423 (($ $ $ $) 71)) (-1616 (($ $) 110)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-764)) 109) (($ $) 107)) (-1693 (((-121) $ $) 117)) (-1684 (((-121) $ $) 118)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 116)) (-1678 (((-121) $ $) 119)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-551) (-1278)) (T -551)) 
+((-1931 (*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) (-1657 (*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) (-1475 (*1 *1) (-4 *1 (-551))) (-1906 (*1 *1 *1) (-4 *1 (-551))) (-3036 (*1 *1 *1 *1) (-4 *1 (-551))) (-4317 (*1 *2 *1 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) (-4031 (*1 *1 *1 *1) (-4 *1 (-551))) (-3394 (*1 *1 *1 *1) (-4 *1 (-551))) (-3103 (*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) (-1442 (*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-410 (-569))))) (-4401 (*1 *2 *1) (|partial| -12 (-4 *1 (-551)) (-5 *2 (-410 (-569))))) (-4327 (*1 *1) (-4 *1 (-551))) (-4327 (*1 *1 *1) (-4 *1 (-551))) (-3360 (*1 *1 *1) (-4 *1 (-551))) (-1971 (*1 *1 *1) (-4 *1 (-551))) (-2761 (*1 *1 *1) (-4 *1 (-551))) (-4185 (*1 *1 *1) (-4 *1 (-551))) (-4372 (*1 *1 *1) (-4 *1 (-551))) (-4423 (*1 *1 *1 *1 *1) (-4 *1 (-551))) (-3202 (*1 *1 *1 *1 *1) (-4 *1 (-551))) (-4131 (*1 *1 *1 *1 *1) (-4 *1 (-551))) (-1389 (*1 *1 *1 *1 *1) (-4 *1 (-551))) (-4466 (*1 *1 *1 *1) (-4 *1 (-551)))) 
+(-13 (-1202) (-302) (-816) (-226) (-610 (-569)) (-1038 (-569)) (-631 (-569)) (-610 (-542)) (-610 (-888 (-569))) (-882 (-569)) (-147) (-1022) (-151) (-1137) (-10 -8 (-15 -1931 ((-121) $)) (-15 -1657 ((-121) $)) (-6 -4534) (-15 -1475 ($)) (-15 -1906 ($ $)) (-15 -3036 ($ $ $)) (-15 -4317 ((-121) $ $)) (-15 -4031 ($ $ $)) (-15 -3394 ($ $ $)) (-15 -3103 ((-121) $)) (-15 -1442 ((-410 (-569)) $)) (-15 -4401 ((-3 (-410 (-569)) "failed") $)) (-15 -4327 ($)) (-15 -4327 ($ $)) (-15 -3360 ($ $)) (-15 -1971 ($ $)) (-15 -2761 ($ $)) (-15 -4185 ($ $)) (-15 -4372 ($ $)) (-15 -4423 ($ $ $ $)) (-15 -3202 ($ $ $ $)) (-15 -4131 ($ $ $ $)) (-15 -1389 ($ $ $ $)) (-15 -4466 ($ $ $)) (-6 -4533))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-151) . T) ((-609 (-851)) . T) ((-147) . T) ((-173) . T) ((-610 (-216)) . T) ((-610 (-382)) . T) ((-610 (-542)) . T) ((-610 (-569)) . T) ((-610 (-888 (-569))) . T) ((-226) . T) ((-286) . T) ((-302) . T) ((-454) . T) ((-559) . T) ((-638 $) . T) ((-631 (-569)) . T) ((-708 $) . T) ((-717) . T) ((-787) . T) ((-788) . T) ((-790) . T) ((-791) . T) ((-816) . T) ((-841) . T) ((-843) . T) ((-882 (-569)) . T) ((-917) . T) ((-1022) . T) ((-1038 (-569)) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1137) . T) ((-1202) . T)) 
+((-2568 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2281 (($) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-3112 (((-1252) $ |#1| |#1|) NIL (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#2| $ |#1| |#2|) NIL)) (-4216 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-2082 (((-3 |#2| "failed") |#1| $) NIL)) (-2820 (($) NIL T CONST)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-4454 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-3 |#2| "failed") |#1| $) NIL)) (-4347 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#2| $ |#1|) NIL)) (-3470 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 ((|#1| $) NIL (|has| |#1| (-843)))) (-4259 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1285 ((|#1| $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4536))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2179 (((-635 |#1|) $) NIL)) (-1598 (((-121) |#1| $) NIL)) (-3889 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-3172 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4166 (((-635 |#1|) $) NIL)) (-3533 (((-121) |#1| $) NIL)) (-3360 (((-1109) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4353 ((|#2| $) NIL (|has| |#1| (-843)))) (-2502 (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL)) (-3174 (($ $ |#2|) NIL (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-2691 (((-635 |#2|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-2566 (($) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-764) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091)))) (((-764) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2185 (((-851) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2793 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-552 |#1| |#2| |#3|) (-13 (-1174 |#1| |#2|) (-10 -7 (-6 -4535))) (-1091) (-1091) (-13 (-1174 |#1| |#2|) (-10 -7 (-6 -4535)))) (T -552)) 
+NIL 
+(-13 (-1174 |#1| |#2|) (-10 -7 (-6 -4535))) 
+((-2468 (((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) (-1 (-1159 |#2|) (-1159 |#2|))) 49))) 
+(((-553 |#1| |#2|) (-10 -7 (-15 -2468 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) (-1 (-1159 |#2|) (-1159 |#2|))))) (-13 (-843) (-559)) (-13 (-27) (-433 |#1|))) (T -553)) 
+((-2468 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-608 *3)) (-5 *5 (-1 (-1159 *3) (-1159 *3))) (-4 *3 (-13 (-27) (-433 *6))) (-4 *6 (-13 (-843) (-559))) (-5 *2 (-586 *3)) (-5 *1 (-553 *6 *3))))) 
+(-10 -7 (-15 -2468 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) (-1 (-1159 |#2|) (-1159 |#2|))))) 
+((-3199 (((-586 |#5|) |#5| (-1 |#3| |#3|)) 195)) (-3258 (((-3 |#5| "failed") |#5| (-1 |#3| |#3|)) 191)) (-2686 (((-586 |#5|) |#5| (-1 |#3| |#3|)) 198))) 
+(((-554 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2686 ((-586 |#5|) |#5| (-1 |#3| |#3|))) (-15 -3199 ((-586 |#5|) |#5| (-1 |#3| |#3|))) (-15 -3258 ((-3 |#5| "failed") |#5| (-1 |#3| |#3|)))) (-13 (-843) (-559) (-1038 (-569))) (-13 (-27) (-433 |#1|)) (-1222 |#2|) (-1222 (-410 |#3|)) (-341 |#2| |#3| |#4|)) (T -554)) 
+((-3258 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-27) (-433 *4))) (-4 *4 (-13 (-843) (-559) (-1038 (-569)))) (-4 *7 (-1222 (-410 *6))) (-5 *1 (-554 *4 *5 *6 *7 *2)) (-4 *2 (-341 *5 *6 *7)))) (-3199 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1222 *6)) (-4 *6 (-13 (-27) (-433 *5))) (-4 *5 (-13 (-843) (-559) (-1038 (-569)))) (-4 *8 (-1222 (-410 *7))) (-5 *2 (-586 *3)) (-5 *1 (-554 *5 *6 *7 *8 *3)) (-4 *3 (-341 *6 *7 *8)))) (-2686 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1222 *6)) (-4 *6 (-13 (-27) (-433 *5))) (-4 *5 (-13 (-843) (-559) (-1038 (-569)))) (-4 *8 (-1222 (-410 *7))) (-5 *2 (-586 *3)) (-5 *1 (-554 *5 *6 *7 *8 *3)) (-4 *3 (-341 *6 *7 *8))))) 
+(-10 -7 (-15 -2686 ((-586 |#5|) |#5| (-1 |#3| |#3|))) (-15 -3199 ((-586 |#5|) |#5| (-1 |#3| |#3|))) (-15 -3258 ((-3 |#5| "failed") |#5| (-1 |#3| |#3|)))) 
+((-3527 (((-121) (-569) (-569)) 10)) (-3388 (((-569) (-569)) 7)) (-1930 (((-569) (-569) (-569)) 8))) 
+(((-555) (-10 -7 (-15 -3388 ((-569) (-569))) (-15 -1930 ((-569) (-569) (-569))) (-15 -3527 ((-121) (-569) (-569))))) (T -555)) 
+((-3527 (*1 *2 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-121)) (-5 *1 (-555)))) (-1930 (*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-555)))) (-3388 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-555))))) 
+(-10 -7 (-15 -3388 ((-569) (-569))) (-15 -1930 ((-569) (-569) (-569))) (-15 -3527 ((-121) (-569) (-569)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1282 ((|#1| $) 59)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-1753 (($ $) 89)) (-2530 (($ $) 72)) (-1498 ((|#1| $) 60)) (-2327 (((-3 $ "failed") $ $) 18)) (-2454 (($ $) 71)) (-1744 (($ $) 88)) (-2513 (($ $) 73)) (-1760 (($ $) 87)) (-2546 (($ $) 74)) (-2820 (($) 16 T CONST)) (-1647 (((-3 (-569) "failed") $) 67)) (-2428 (((-569) $) 66)) (-3428 (((-3 $ "failed") $) 33)) (-2993 (($ |#1| |#1|) 64)) (-2403 (((-121) $) 58)) (-2445 (($) 99)) (-1407 (((-121) $) 30)) (-4344 (($ $ (-569)) 70)) (-1781 (((-121) $) 57)) (-3291 (($ $ $) 105)) (-1538 (($ $ $) 104)) (-4450 (($ $) 96)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-2744 (($ |#1| |#1|) 65) (($ |#1|) 63) (($ (-410 (-569))) 62)) (-3637 ((|#1| $) 61)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-2941 (((-3 $ "failed") $ $) 41)) (-2436 (($ $) 97)) (-1764 (($ $) 86)) (-2554 (($ $) 75)) (-1756 (($ $) 85)) (-2538 (($ $) 76)) (-1748 (($ $) 84)) (-2522 (($ $) 77)) (-4321 (((-121) $ |#1|) 56)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-569)) 68)) (-1991 (((-764)) 28)) (-1779 (($ $) 95)) (-1727 (($ $) 83)) (-1961 (((-121) $ $) 38)) (-1770 (($ $) 94)) (-2561 (($ $) 82)) (-1785 (($ $) 93)) (-1736 (($ $) 81)) (-2430 (($ $) 92)) (-1740 (($ $) 80)) (-1782 (($ $) 91)) (-1731 (($ $) 79)) (-1775 (($ $) 90)) (-2569 (($ $) 78)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1693 (((-121) $ $) 102)) (-1684 (((-121) $ $) 101)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 103)) (-1678 (((-121) $ $) 100)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ $) 98) (($ $ (-410 (-569))) 69)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-556 |#1|) (-1278) (-13 (-407) (-1183))) (T -556)) 
+((-2744 (*1 *1 *2 *2) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1183))))) (-2993 (*1 *1 *2 *2) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1183))))) (-2744 (*1 *1 *2) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1183))))) (-2744 (*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1183))))) (-3637 (*1 *2 *1) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1183))))) (-1498 (*1 *2 *1) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1183))))) (-1282 (*1 *2 *1) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1183))))) (-2403 (*1 *2 *1) (-12 (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1183))) (-5 *2 (-121)))) (-1781 (*1 *2 *1) (-12 (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1183))) (-5 *2 (-121)))) (-4321 (*1 *2 *1 *3) (-12 (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1183))) (-5 *2 (-121))))) 
+(-13 (-454) (-843) (-1183) (-1003) (-1038 (-569)) (-10 -8 (-6 -2994) (-15 -2744 ($ |t#1| |t#1|)) (-15 -2993 ($ |t#1| |t#1|)) (-15 -2744 ($ |t#1|)) (-15 -2744 ($ (-410 (-569)))) (-15 -3637 (|t#1| $)) (-15 -1498 (|t#1| $)) (-15 -1282 (|t#1| $)) (-15 -2403 ((-121) $)) (-15 -1781 ((-121) $)) (-15 -4321 ((-121) $ |t#1|)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-40) . T) ((-98) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-173) . T) ((-280) . T) ((-286) . T) ((-454) . T) ((-503) . T) ((-559) . T) ((-638 $) . T) ((-708 $) . T) ((-717) . T) ((-843) . T) ((-1003) . T) ((-1038 (-569)) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1183) . T) ((-1186) . T)) 
+((-2411 (((-1252) (-918) |#3| (-635 |#5|)) 55)) (-2346 ((|#8| |#3| |#3| (-635 |#10|) (-635 |#5|)) 52))) 
+(((-557 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10| |#11|) (-10 -7 (-15 -2346 (|#8| |#3| |#3| (-635 |#10|) (-635 |#5|))) (-15 -2411 ((-1252) (-918) |#3| (-635 |#5|)))) (-366) (-635 (-1163)) (-951 |#1| |#4| (-853 |#2|)) (-231 (-4168 |#2|) (-764)) (-972 |#1|) (-642 |#1|) (-921 |#1| |#6|) (-236 |#7|) (-537 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#11|) (-259 |#9|) (-117)) (T -557)) 
+((-2411 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-918)) (-5 *5 (-635 *9)) (-4 *9 (-972 *6)) (-4 *6 (-366)) (-14 *7 (-635 (-1163))) (-4 *4 (-951 *6 *8 (-853 *7))) (-4 *8 (-231 (-4168 *7) (-764))) (-4 *10 (-642 *6)) (-4 *11 (-921 *6 *10)) (-4 *12 (-236 *11)) (-4 *13 (-537 *6 *7 *4 *8 *9 *10 *11 *12 *15)) (-4 *15 (-117)) (-5 *2 (-1252)) (-5 *1 (-557 *6 *7 *4 *8 *9 *10 *11 *12 *13 *14 *15)) (-4 *14 (-259 *13)))) (-2346 (*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-635 *13)) (-5 *5 (-635 *9)) (-4 *9 (-972 *6)) (-4 *13 (-259 *12)) (-4 *6 (-366)) (-4 *12 (-537 *6 *7 *3 *8 *9 *10 *11 *2 *14)) (-4 *14 (-117)) (-14 *7 (-635 (-1163))) (-4 *3 (-951 *6 *8 (-853 *7))) (-4 *8 (-231 (-4168 *7) (-764))) (-4 *10 (-642 *6)) (-4 *11 (-921 *6 *10)) (-4 *2 (-236 *11)) (-5 *1 (-557 *6 *7 *3 *8 *9 *10 *11 *2 *12 *13 *14))))) 
+(-10 -7 (-15 -2346 (|#8| |#3| |#3| (-635 |#10|) (-635 |#5|))) (-15 -2411 ((-1252) (-918) |#3| (-635 |#5|)))) 
+((-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 9)) (-3383 (($ $) 11)) (-4354 (((-121) $) 18)) (-3428 (((-3 $ "failed") $) 16)) (-1961 (((-121) $ $) 20))) 
+(((-558 |#1|) (-10 -8 (-15 -4354 ((-121) |#1|)) (-15 -1961 ((-121) |#1| |#1|)) (-15 -3383 (|#1| |#1|)) (-15 -1585 ((-2 (|:| -4276 |#1|) (|:| -4522 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -3428 ((-3 |#1| "failed") |#1|))) (-559)) (T -558)) 
+NIL 
+(-10 -8 (-15 -4354 ((-121) |#1|)) (-15 -1961 ((-121) |#1| |#1|)) (-15 -3383 (|#1| |#1|)) (-15 -1585 ((-2 (|:| -4276 |#1|) (|:| -4522 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -3428 ((-3 |#1| "failed") |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2941 (((-3 $ "failed") $ $) 41)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-559) (-1278)) (T -559)) 
+((-2941 (*1 *1 *1 *1) (|partial| -4 *1 (-559))) (-1585 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| -4276 *1) (|:| -4522 *1) (|:| |associate| *1))) (-4 *1 (-559)))) (-3383 (*1 *1 *1) (-4 *1 (-559))) (-1961 (*1 *2 *1 *1) (-12 (-4 *1 (-559)) (-5 *2 (-121)))) (-4354 (*1 *2 *1) (-12 (-4 *1 (-559)) (-5 *2 (-121))))) 
+(-13 (-173) (-43 $) (-286) (-10 -8 (-15 -2941 ((-3 $ "failed") $ $)) (-15 -1585 ((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $)) (-15 -3383 ($ $)) (-15 -1961 ((-121) $ $)) (-15 -4354 ((-121) $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-173) . T) ((-286) . T) ((-638 $) . T) ((-708 $) . T) ((-717) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-3124 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-1163) (-635 |#2|)) 35)) (-2169 (((-586 |#2|) |#2| (-1163)) 58)) (-3035 (((-3 |#2| "failed") |#2| (-1163)) 147)) (-3332 (((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1163) (-608 |#2|) (-635 (-608 |#2|))) 149)) (-2314 (((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1163) |#2|) 38))) 
+(((-560 |#1| |#2|) (-10 -7 (-15 -2314 ((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1163) |#2|)) (-15 -3124 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-1163) (-635 |#2|))) (-15 -3035 ((-3 |#2| "failed") |#2| (-1163))) (-15 -2169 ((-586 |#2|) |#2| (-1163))) (-15 -3332 ((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1163) (-608 |#2|) (-635 (-608 |#2|))))) (-13 (-454) (-843) (-151) (-1038 (-569)) (-631 (-569))) (-13 (-27) (-1183) (-433 |#1|))) (T -560)) 
+((-3332 (*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1163)) (-5 *6 (-635 (-608 *3))) (-5 *5 (-608 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *7))) (-4 *7 (-13 (-454) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| -3032 *3) (|:| |coeff| *3))) (-5 *1 (-560 *7 *3)))) (-2169 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-454) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-560 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) (-3035 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-560 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4))))) (-3124 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1163)) (-5 *5 (-635 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-454) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-560 *6 *3)))) (-2314 (*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1163)) (-4 *5 (-13 (-454) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| -3032 *3) (|:| |coeff| *3))) (-5 *1 (-560 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5)))))) 
+(-10 -7 (-15 -2314 ((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1163) |#2|)) (-15 -3124 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-1163) (-635 |#2|))) (-15 -3035 ((-3 |#2| "failed") |#2| (-1163))) (-15 -2169 ((-586 |#2|) |#2| (-1163))) (-15 -3332 ((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1163) (-608 |#2|) (-635 (-608 |#2|))))) 
+((-2815 (((-635 |#5|) (-635 |#5|)) 41))) 
+(((-561 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2815 ((-635 |#5|) (-635 |#5|)))) (-366) (-635 (-1163)) (-789) (-843) (-951 |#1| |#3| |#4|)) (T -561)) 
+((-2815 (*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-951 *3 *5 *6)) (-4 *3 (-366)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-561 *3 *4 *5 *6 *7)) (-14 *4 (-635 (-1163)))))) 
+(-10 -7 (-15 -2815 ((-635 |#5|) (-635 |#5|)))) 
+((-2446 (((-421 |#1|) |#1|) 18)) (-1743 (((-421 |#1|) |#1|) 32)) (-2140 (((-3 |#1| "failed") |#1|) 43)) (-4473 (((-421 |#1|) |#1|) 49))) 
+(((-562 |#1|) (-10 -7 (-15 -1743 ((-421 |#1|) |#1|)) (-15 -2446 ((-421 |#1|) |#1|)) (-15 -4473 ((-421 |#1|) |#1|)) (-15 -2140 ((-3 |#1| "failed") |#1|))) (-551)) (T -562)) 
+((-2140 (*1 *2 *2) (|partial| -12 (-5 *1 (-562 *2)) (-4 *2 (-551)))) (-4473 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-562 *3)) (-4 *3 (-551)))) (-2446 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-562 *3)) (-4 *3 (-551)))) (-1743 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-562 *3)) (-4 *3 (-551))))) 
+(-10 -7 (-15 -1743 ((-421 |#1|) |#1|)) (-15 -2446 ((-421 |#1|) |#1|)) (-15 -4473 ((-421 |#1|) |#1|)) (-15 -2140 ((-3 |#1| "failed") |#1|))) 
+((-3408 (((-635 |#3|) |#8| (-635 |#3|)) 45)) (-1317 (((-635 |#3|) |#8| (-764) |#3| (-635 |#3|)) 44)) (-2128 (((-635 (-1247 |#1|)) |#8| (-635 |#3|)) 26)) (-3563 (((-635 (-1247 |#1|)) |#8| (-635 |#3|)) 27))) 
+(((-563 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -3563 ((-635 (-1247 |#1|)) |#8| (-635 |#3|))) (-15 -2128 ((-635 (-1247 |#1|)) |#8| (-635 |#3|))) (-15 -3408 ((-635 |#3|) |#8| (-635 |#3|))) (-15 -1317 ((-635 |#3|) |#8| (-764) |#3| (-635 |#3|)))) (-366) (-635 (-1163)) (-951 |#1| |#4| (-853 |#2|)) (-231 (-4168 |#2|) (-764)) (-972 |#1|) (-642 |#1|) (-921 |#1| |#6|) (-236 |#7|)) (T -563)) 
+((-1317 (*1 *2 *3 *4 *5 *2) (-12 (-5 *2 (-635 *5)) (-4 *5 (-951 *6 *8 (-853 *7))) (-4 *8 (-231 (-4168 *7) *4)) (-5 *4 (-764)) (-4 *6 (-366)) (-14 *7 (-635 (-1163))) (-4 *10 (-642 *6)) (-4 *11 (-921 *6 *10)) (-5 *1 (-563 *6 *7 *5 *8 *9 *10 *11 *3)) (-4 *9 (-972 *6)) (-4 *3 (-236 *11)))) (-3408 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-5 *1 (-563 *4 *5 *6 *7 *8 *9 *10 *3)) (-4 *8 (-972 *4)) (-4 *3 (-236 *10)))) (-2128 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *7)) (-4 *7 (-951 *5 *8 (-853 *6))) (-4 *8 (-231 (-4168 *6) (-764))) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *10 (-642 *5)) (-4 *11 (-921 *5 *10)) (-5 *2 (-635 (-1247 *5))) (-5 *1 (-563 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-972 *5)) (-4 *3 (-236 *11)))) (-3563 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *7)) (-4 *7 (-951 *5 *8 (-853 *6))) (-4 *8 (-231 (-4168 *6) (-764))) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *10 (-642 *5)) (-4 *11 (-921 *5 *10)) (-5 *2 (-635 (-1247 *5))) (-5 *1 (-563 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-972 *5)) (-4 *3 (-236 *11))))) 
+(-10 -7 (-15 -3563 ((-635 (-1247 |#1|)) |#8| (-635 |#3|))) (-15 -2128 ((-635 (-1247 |#1|)) |#8| (-635 |#3|))) (-15 -3408 ((-635 |#3|) |#8| (-635 |#3|))) (-15 -1317 ((-635 |#3|) |#8| (-764) |#3| (-635 |#3|)))) 
+((-3178 (($) 9)) (-4282 (((-3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 29)) (-2179 (((-635 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $) 26)) (-3172 (($ (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) 23)) (-3346 (($ (-635 (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) 21)) (-3782 (((-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 33)) (-2691 (((-635 (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $) 31)) (-1677 (((-1252)) 12))) 
+(((-564) (-10 -8 (-15 -3178 ($)) (-15 -1677 ((-1252))) (-15 -2179 ((-635 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $)) (-15 -3346 ($ (-635 (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))))) (-15 -3172 ($ (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-15 -4282 ((-3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2691 ((-635 (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $)) (-15 -3782 ((-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (T -564)) 
+((-3782 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-564)))) (-2691 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-564)))) (-4282 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-564)))) (-3172 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) (-5 *1 (-564)))) (-3346 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-564)))) (-2179 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-5 *1 (-564)))) (-1677 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-564)))) (-3178 (*1 *1) (-5 *1 (-564)))) 
+(-10 -8 (-15 -3178 ($)) (-15 -1677 ((-1252))) (-15 -2179 ((-635 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $)) (-15 -3346 ($ (-635 (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))))) (-15 -3172 ($ (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-15 -4282 ((-3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2691 ((-635 (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $)) (-15 -3782 ((-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) 
+((-1739 (((-1159 (-410 (-1159 |#2|))) |#2| (-608 |#2|) (-608 |#2|) (-1159 |#2|)) 28)) (-1850 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|) (-608 |#2|) |#2| (-410 (-1159 |#2|))) 96) (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|) |#2| (-1159 |#2|)) 106)) (-2126 (((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) (-608 |#2|) |#2| (-410 (-1159 |#2|))) 78) (((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) |#2| (-1159 |#2|)) 50)) (-1925 (((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2| (-608 |#2|) |#2| (-410 (-1159 |#2|))) 85) (((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2| |#2| (-1159 |#2|)) 105)) (-3161 (((-3 |#2| "failed") |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1163)) (-608 |#2|) |#2| (-410 (-1159 |#2|))) 101) (((-3 |#2| "failed") |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1163)) |#2| (-1159 |#2|)) 107)) (-2176 (((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -3930 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) (-608 |#2|) |#2| (-410 (-1159 |#2|))) 124 (|has| |#3| (-647 |#2|))) (((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -3930 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) |#2| (-1159 |#2|)) 123 (|has| |#3| (-647 |#2|)))) (-1768 ((|#2| (-1159 (-410 (-1159 |#2|))) (-608 |#2|) |#2|) 48)) (-1769 (((-1159 (-410 (-1159 |#2|))) (-1159 |#2|) (-608 |#2|)) 27))) 
+(((-565 |#1| |#2| |#3|) (-10 -7 (-15 -2126 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) |#2| (-1159 |#2|))) (-15 -2126 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) (-608 |#2|) |#2| (-410 (-1159 |#2|)))) (-15 -1925 ((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2| |#2| (-1159 |#2|))) (-15 -1925 ((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2| (-608 |#2|) |#2| (-410 (-1159 |#2|)))) (-15 -1850 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|) |#2| (-1159 |#2|))) (-15 -1850 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|) (-608 |#2|) |#2| (-410 (-1159 |#2|)))) (-15 -3161 ((-3 |#2| "failed") |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1163)) |#2| (-1159 |#2|))) (-15 -3161 ((-3 |#2| "failed") |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1163)) (-608 |#2|) |#2| (-410 (-1159 |#2|)))) (-15 -1739 ((-1159 (-410 (-1159 |#2|))) |#2| (-608 |#2|) (-608 |#2|) (-1159 |#2|))) (-15 -1768 (|#2| (-1159 (-410 (-1159 |#2|))) (-608 |#2|) |#2|)) (-15 -1769 ((-1159 (-410 (-1159 |#2|))) (-1159 |#2|) (-608 |#2|))) (IF (|has| |#3| (-647 |#2|)) (PROGN (-15 -2176 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -3930 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) |#2| (-1159 |#2|))) (-15 -2176 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -3930 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) (-608 |#2|) |#2| (-410 (-1159 |#2|))))) |noBranch|)) (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569))) (-13 (-433 |#1|) (-27) (-1183)) (-1091)) (T -565)) 
+((-2176 (*1 *2 *3 *4 *5 *5 *5 *4 *6) (-12 (-5 *5 (-608 *4)) (-5 *6 (-410 (-1159 *4))) (-4 *4 (-13 (-433 *7) (-27) (-1183))) (-4 *7 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-565 *7 *4 *3)) (-4 *3 (-647 *4)) (-4 *3 (-1091)))) (-2176 (*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *5 (-608 *4)) (-5 *6 (-1159 *4)) (-4 *4 (-13 (-433 *7) (-27) (-1183))) (-4 *7 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-565 *7 *4 *3)) (-4 *3 (-647 *4)) (-4 *3 (-1091)))) (-1769 (*1 *2 *3 *4) (-12 (-5 *4 (-608 *6)) (-4 *6 (-13 (-433 *5) (-27) (-1183))) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-1159 (-410 (-1159 *6)))) (-5 *1 (-565 *5 *6 *7)) (-5 *3 (-1159 *6)) (-4 *7 (-1091)))) (-1768 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1159 (-410 (-1159 *2)))) (-5 *4 (-608 *2)) (-4 *2 (-13 (-433 *5) (-27) (-1183))) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *1 (-565 *5 *2 *6)) (-4 *6 (-1091)))) (-1739 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-608 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-1159 (-410 (-1159 *3)))) (-5 *1 (-565 *6 *3 *7)) (-5 *5 (-1159 *3)) (-4 *7 (-1091)))) (-3161 (*1 *2 *2 *2 *3 *3 *4 *3 *2 *5) (|partial| -12 (-5 *3 (-608 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1163))) (-5 *5 (-410 (-1159 *2))) (-4 *2 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *1 (-565 *6 *2 *7)) (-4 *7 (-1091)))) (-3161 (*1 *2 *2 *2 *3 *3 *4 *2 *5) (|partial| -12 (-5 *3 (-608 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1163))) (-5 *5 (-1159 *2)) (-4 *2 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *1 (-565 *6 *2 *7)) (-4 *7 (-1091)))) (-1850 (*1 *2 *3 *4 *4 *5 *4 *3 *6) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-635 *3)) (-5 *6 (-410 (-1159 *3))) (-4 *3 (-13 (-433 *7) (-27) (-1183))) (-4 *7 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-565 *7 *3 *8)) (-4 *8 (-1091)))) (-1850 (*1 *2 *3 *4 *4 *5 *3 *6) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-635 *3)) (-5 *6 (-1159 *3)) (-4 *3 (-13 (-433 *7) (-27) (-1183))) (-4 *7 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-565 *7 *3 *8)) (-4 *8 (-1091)))) (-1925 (*1 *2 *3 *4 *4 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-410 (-1159 *3))) (-4 *3 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| -3032 *3) (|:| |coeff| *3))) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1091)))) (-1925 (*1 *2 *3 *4 *4 *3 *3 *5) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-1159 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| -3032 *3) (|:| |coeff| *3))) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1091)))) (-2126 (*1 *2 *3 *4 *4 *4 *3 *5) (-12 (-5 *4 (-608 *3)) (-5 *5 (-410 (-1159 *3))) (-4 *3 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1091)))) (-2126 (*1 *2 *3 *4 *4 *3 *5) (-12 (-5 *4 (-608 *3)) (-5 *5 (-1159 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1091))))) 
+(-10 -7 (-15 -2126 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) |#2| (-1159 |#2|))) (-15 -2126 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) (-608 |#2|) |#2| (-410 (-1159 |#2|)))) (-15 -1925 ((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2| |#2| (-1159 |#2|))) (-15 -1925 ((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2| (-608 |#2|) |#2| (-410 (-1159 |#2|)))) (-15 -1850 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|) |#2| (-1159 |#2|))) (-15 -1850 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|) (-608 |#2|) |#2| (-410 (-1159 |#2|)))) (-15 -3161 ((-3 |#2| "failed") |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1163)) |#2| (-1159 |#2|))) (-15 -3161 ((-3 |#2| "failed") |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1163)) (-608 |#2|) |#2| (-410 (-1159 |#2|)))) (-15 -1739 ((-1159 (-410 (-1159 |#2|))) |#2| (-608 |#2|) (-608 |#2|) (-1159 |#2|))) (-15 -1768 (|#2| (-1159 (-410 (-1159 |#2|))) (-608 |#2|) |#2|)) (-15 -1769 ((-1159 (-410 (-1159 |#2|))) (-1159 |#2|) (-608 |#2|))) (IF (|has| |#3| (-647 |#2|)) (PROGN (-15 -2176 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -3930 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) |#2| (-1159 |#2|))) (-15 -2176 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -3930 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) (-608 |#2|) |#2| (-410 (-1159 |#2|))))) |noBranch|)) 
+((-2463 (((-569) (-569) (-764)) 65)) (-2687 (((-569) (-569)) 64)) (-3710 (((-569) (-569)) 63)) (-2667 (((-569) (-569)) 68)) (-4226 (((-569) (-569) (-569)) 48)) (-2615 (((-569) (-569) (-569)) 45)) (-1737 (((-410 (-569)) (-569)) 20)) (-2351 (((-569) (-569)) 21)) (-4510 (((-569) (-569)) 57)) (-2832 (((-569) (-569)) 32)) (-2887 (((-635 (-569)) (-569)) 62)) (-2462 (((-569) (-569) (-569) (-569) (-569)) 43)) (-2517 (((-410 (-569)) (-569)) 41))) 
+(((-566) (-10 -7 (-15 -2517 ((-410 (-569)) (-569))) (-15 -2462 ((-569) (-569) (-569) (-569) (-569))) (-15 -2887 ((-635 (-569)) (-569))) (-15 -2832 ((-569) (-569))) (-15 -4510 ((-569) (-569))) (-15 -2351 ((-569) (-569))) (-15 -1737 ((-410 (-569)) (-569))) (-15 -2615 ((-569) (-569) (-569))) (-15 -4226 ((-569) (-569) (-569))) (-15 -2667 ((-569) (-569))) (-15 -3710 ((-569) (-569))) (-15 -2687 ((-569) (-569))) (-15 -2463 ((-569) (-569) (-764))))) (T -566)) 
+((-2463 (*1 *2 *2 *3) (-12 (-5 *2 (-569)) (-5 *3 (-764)) (-5 *1 (-566)))) (-2687 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-3710 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-2667 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-4226 (*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-2615 (*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-1737 (*1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-566)) (-5 *3 (-569)))) (-2351 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-4510 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-2832 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-2887 (*1 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-566)) (-5 *3 (-569)))) (-2462 (*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-2517 (*1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-566)) (-5 *3 (-569))))) 
+(-10 -7 (-15 -2517 ((-410 (-569)) (-569))) (-15 -2462 ((-569) (-569) (-569) (-569) (-569))) (-15 -2887 ((-635 (-569)) (-569))) (-15 -2832 ((-569) (-569))) (-15 -4510 ((-569) (-569))) (-15 -2351 ((-569) (-569))) (-15 -1737 ((-410 (-569)) (-569))) (-15 -2615 ((-569) (-569) (-569))) (-15 -4226 ((-569) (-569) (-569))) (-15 -2667 ((-569) (-569))) (-15 -3710 ((-569) (-569))) (-15 -2687 ((-569) (-569))) (-15 -2463 ((-569) (-569) (-764)))) 
+((-1529 (((-2 (|:| |answer| |#4|) (|:| -1289 |#4|)) |#4| (-1 |#2| |#2|)) 52))) 
+(((-567 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1529 ((-2 (|:| |answer| |#4|) (|:| -1289 |#4|)) |#4| (-1 |#2| |#2|)))) (-366) (-1222 |#1|) (-1222 (-410 |#2|)) (-341 |#1| |#2| |#3|)) (T -567)) 
+((-1529 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-366)) (-4 *7 (-1222 (-410 *6))) (-5 *2 (-2 (|:| |answer| *3) (|:| -1289 *3))) (-5 *1 (-567 *5 *6 *7 *3)) (-4 *3 (-341 *5 *6 *7))))) 
+(-10 -7 (-15 -1529 ((-2 (|:| |answer| |#4|) (|:| -1289 |#4|)) |#4| (-1 |#2| |#2|)))) 
+((-1529 (((-2 (|:| |answer| (-410 |#2|)) (|:| -1289 (-410 |#2|)) (|:| |specpart| (-410 |#2|)) (|:| |polypart| |#2|)) (-410 |#2|) (-1 |#2| |#2|)) 18))) 
+(((-568 |#1| |#2|) (-10 -7 (-15 -1529 ((-2 (|:| |answer| (-410 |#2|)) (|:| -1289 (-410 |#2|)) (|:| |specpart| (-410 |#2|)) (|:| |polypart| |#2|)) (-410 |#2|) (-1 |#2| |#2|)))) (-366) (-1222 |#1|)) (T -568)) 
+((-1529 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |answer| (-410 *6)) (|:| -1289 (-410 *6)) (|:| |specpart| (-410 *6)) (|:| |polypart| *6))) (-5 *1 (-568 *5 *6)) (-5 *3 (-410 *6))))) 
+(-10 -7 (-15 -1529 ((-2 (|:| |answer| (-410 |#2|)) (|:| -1289 (-410 |#2|)) (|:| |specpart| (-410 |#2|)) (|:| |polypart| |#2|)) (-410 |#2|) (-1 |#2| |#2|)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 25)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 86)) (-3383 (($ $) 87)) (-4354 (((-121) $) NIL)) (-3394 (($ $ $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3202 (($ $ $ $) 42)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL)) (-3036 (($ $ $) 80)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL)) (-2428 (((-569) $) NIL)) (-2506 (($ $ $) 79)) (-1696 (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 60) (((-680 (-569)) (-680 $)) 57)) (-3428 (((-3 $ "failed") $) 83)) (-4401 (((-3 (-410 (-569)) "failed") $) NIL)) (-3103 (((-121) $) NIL)) (-1442 (((-410 (-569)) $) NIL)) (-4327 (($) 62) (($ $) 63)) (-2524 (($ $ $) 78)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-1389 (($ $ $ $) NIL)) (-4031 (($ $ $) 54)) (-2403 (((-121) $) NIL)) (-2381 (($ $ $) NIL)) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL)) (-1407 (((-121) $) 26)) (-1931 (((-121) $) 73)) (-3846 (((-3 $ "failed") $) NIL)) (-1781 (((-121) $) 34)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4131 (($ $ $ $) 43)) (-3291 (($ $ $) 75)) (-1538 (($ $ $) 74)) (-4372 (($ $) NIL)) (-1906 (($ $) 40)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) 53)) (-4466 (($ $ $) NIL)) (-4043 (($) NIL T CONST)) (-2761 (($ $) 31)) (-3360 (((-1109) $) NIL) (($ $) 33)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 117)) (-2714 (($ $ $) 84) (($ (-635 $)) NIL)) (-1484 (($ $) NIL)) (-1743 (((-421 $) $) 103)) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL)) (-2941 (((-3 $ "failed") $ $) 82)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1657 (((-121) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 77)) (-3899 (($ $ (-764)) NIL) (($ $) NIL)) (-4185 (($ $) 32)) (-1971 (($ $) 30)) (-3817 (((-569) $) 39) (((-542) $) 51) (((-888 (-569)) $) NIL) (((-382) $) 46) (((-216) $) 48) (((-1145) $) 52)) (-2185 (((-851) $) 37) (($ (-569)) 38) (($ $) NIL) (($ (-569)) 38)) (-1991 (((-764)) NIL)) (-4317 (((-121) $ $) NIL)) (-4248 (($ $ $) NIL)) (-1475 (($) 29)) (-1961 (((-121) $ $) NIL)) (-4423 (($ $ $ $) 41)) (-1616 (($ $) 61)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 27 T CONST)) (-1556 (($) 28 T CONST)) (-1940 (((-1145) $) 20) (((-1145) $ (-121)) 22) (((-1252) (-818) $) 23) (((-1252) (-818) $ (-121)) 24)) (-3022 (($ $ (-764)) NIL) (($ $) NIL)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 64)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 65)) (-1711 (($ $) 66) (($ $ $) 68)) (-1707 (($ $ $) 67)) (** (($ $ (-918)) NIL) (($ $ (-764)) 72)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 70) (($ $ $) 69))) 
+(((-569) (-13 (-551) (-610 (-1145)) (-824) (-10 -8 (-15 -4327 ($ $)) (-6 -4522) (-6 -4527) (-6 -4523) (-6 -4517)))) (T -569)) 
+((-4327 (*1 *1 *1) (-5 *1 (-569)))) 
+(-13 (-551) (-610 (-1145)) (-824) (-10 -8 (-15 -4327 ($ $)) (-6 -4522) (-6 -4527) (-6 -4523) (-6 -4517))) 
+((-2703 (((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036))) (-762) (-1060)) 103) (((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036))) (-762)) 105)) (-2565 (((-3 (-1036) "failed") (-311 (-382)) (-1083 (-836 (-382))) (-1163)) 168) (((-3 (-1036) "failed") (-311 (-382)) (-1083 (-836 (-382))) (-1145)) 167) (((-1036) (-311 (-382)) (-635 (-1085 (-836 (-382)))) (-382) (-382) (-1060)) 173) (((-1036) (-311 (-382)) (-635 (-1085 (-836 (-382)))) (-382) (-382)) 174) (((-1036) (-311 (-382)) (-635 (-1085 (-836 (-382)))) (-382)) 175) (((-1036) (-311 (-382)) (-635 (-1085 (-836 (-382))))) 176) (((-1036) (-311 (-382)) (-1085 (-836 (-382)))) 163) (((-1036) (-311 (-382)) (-1085 (-836 (-382))) (-382)) 162) (((-1036) (-311 (-382)) (-1085 (-836 (-382))) (-382) (-382)) 158) (((-1036) (-762)) 150) (((-1036) (-311 (-382)) (-1085 (-836 (-382))) (-382) (-382) (-1060)) 157))) 
+(((-570) (-10 -7 (-15 -2565 ((-1036) (-311 (-382)) (-1085 (-836 (-382))) (-382) (-382) (-1060))) (-15 -2565 ((-1036) (-762))) (-15 -2565 ((-1036) (-311 (-382)) (-1085 (-836 (-382))) (-382) (-382))) (-15 -2565 ((-1036) (-311 (-382)) (-1085 (-836 (-382))) (-382))) (-15 -2565 ((-1036) (-311 (-382)) (-1085 (-836 (-382))))) (-15 -2565 ((-1036) (-311 (-382)) (-635 (-1085 (-836 (-382)))))) (-15 -2565 ((-1036) (-311 (-382)) (-635 (-1085 (-836 (-382)))) (-382))) (-15 -2565 ((-1036) (-311 (-382)) (-635 (-1085 (-836 (-382)))) (-382) (-382))) (-15 -2565 ((-1036) (-311 (-382)) (-635 (-1085 (-836 (-382)))) (-382) (-382) (-1060))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036))) (-762))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036))) (-762) (-1060))) (-15 -2565 ((-3 (-1036) "failed") (-311 (-382)) (-1083 (-836 (-382))) (-1145))) (-15 -2565 ((-3 (-1036) "failed") (-311 (-382)) (-1083 (-836 (-382))) (-1163))))) (T -570)) 
+((-2565 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-311 (-382))) (-5 *4 (-1083 (-836 (-382)))) (-5 *5 (-1163)) (-5 *2 (-1036)) (-5 *1 (-570)))) (-2565 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-311 (-382))) (-5 *4 (-1083 (-836 (-382)))) (-5 *5 (-1145)) (-5 *2 (-1036)) (-5 *1 (-570)))) (-2703 (*1 *2 *3 *4) (-12 (-5 *3 (-762)) (-5 *4 (-1060)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036)))) (-5 *1 (-570)))) (-2703 (*1 *2 *3) (-12 (-5 *3 (-762)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036)))) (-5 *1 (-570)))) (-2565 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1085 (-836 (-382))))) (-5 *5 (-382)) (-5 *6 (-1060)) (-5 *2 (-1036)) (-5 *1 (-570)))) (-2565 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1085 (-836 (-382))))) (-5 *5 (-382)) (-5 *2 (-1036)) (-5 *1 (-570)))) (-2565 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1085 (-836 (-382))))) (-5 *5 (-382)) (-5 *2 (-1036)) (-5 *1 (-570)))) (-2565 (*1 *2 *3 *4) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1085 (-836 (-382))))) (-5 *2 (-1036)) (-5 *1 (-570)))) (-2565 (*1 *2 *3 *4) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-836 (-382)))) (-5 *2 (-1036)) (-5 *1 (-570)))) (-2565 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-836 (-382)))) (-5 *5 (-382)) (-5 *2 (-1036)) (-5 *1 (-570)))) (-2565 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-836 (-382)))) (-5 *5 (-382)) (-5 *2 (-1036)) (-5 *1 (-570)))) (-2565 (*1 *2 *3) (-12 (-5 *3 (-762)) (-5 *2 (-1036)) (-5 *1 (-570)))) (-2565 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-836 (-382)))) (-5 *5 (-382)) (-5 *6 (-1060)) (-5 *2 (-1036)) (-5 *1 (-570))))) 
+(-10 -7 (-15 -2565 ((-1036) (-311 (-382)) (-1085 (-836 (-382))) (-382) (-382) (-1060))) (-15 -2565 ((-1036) (-762))) (-15 -2565 ((-1036) (-311 (-382)) (-1085 (-836 (-382))) (-382) (-382))) (-15 -2565 ((-1036) (-311 (-382)) (-1085 (-836 (-382))) (-382))) (-15 -2565 ((-1036) (-311 (-382)) (-1085 (-836 (-382))))) (-15 -2565 ((-1036) (-311 (-382)) (-635 (-1085 (-836 (-382)))))) (-15 -2565 ((-1036) (-311 (-382)) (-635 (-1085 (-836 (-382)))) (-382))) (-15 -2565 ((-1036) (-311 (-382)) (-635 (-1085 (-836 (-382)))) (-382) (-382))) (-15 -2565 ((-1036) (-311 (-382)) (-635 (-1085 (-836 (-382)))) (-382) (-382) (-1060))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036))) (-762))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036))) (-762) (-1060))) (-15 -2565 ((-3 (-1036) "failed") (-311 (-382)) (-1083 (-836 (-382))) (-1145))) (-15 -2565 ((-3 (-1036) "failed") (-311 (-382)) (-1083 (-836 (-382))) (-1163)))) 
+((-3827 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|)) 179)) (-2332 (((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|)) 97)) (-2544 (((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2|) 175)) (-4034 (((-3 |#2| "failed") |#2| |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1163))) 184)) (-2947 (((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -3930 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) (-1163)) 192 (|has| |#3| (-647 |#2|))))) 
+(((-571 |#1| |#2| |#3|) (-10 -7 (-15 -2332 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|))) (-15 -2544 ((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2|)) (-15 -3827 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|))) (-15 -4034 ((-3 |#2| "failed") |#2| |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1163)))) (IF (|has| |#3| (-647 |#2|)) (-15 -2947 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -3930 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) (-1163))) |noBranch|)) (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569))) (-13 (-433 |#1|) (-27) (-1183)) (-1091)) (T -571)) 
+((-2947 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *5 (-608 *4)) (-5 *6 (-1163)) (-4 *4 (-13 (-433 *7) (-27) (-1183))) (-4 *7 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-571 *7 *4 *3)) (-4 *3 (-647 *4)) (-4 *3 (-1091)))) (-4034 (*1 *2 *2 *2 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-608 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1163))) (-4 *2 (-13 (-433 *5) (-27) (-1183))) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *1 (-571 *5 *2 *6)) (-4 *6 (-1091)))) (-3827 (*1 *2 *3 *4 *4 *5) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-635 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-571 *6 *3 *7)) (-4 *7 (-1091)))) (-2544 (*1 *2 *3 *4 *4 *3) (|partial| -12 (-5 *4 (-608 *3)) (-4 *3 (-13 (-433 *5) (-27) (-1183))) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| -3032 *3) (|:| |coeff| *3))) (-5 *1 (-571 *5 *3 *6)) (-4 *6 (-1091)))) (-2332 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-608 *3)) (-4 *3 (-13 (-433 *5) (-27) (-1183))) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-571 *5 *3 *6)) (-4 *6 (-1091))))) 
+(-10 -7 (-15 -2332 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|))) (-15 -2544 ((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2|)) (-15 -3827 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|))) (-15 -4034 ((-3 |#2| "failed") |#2| |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1163)))) (IF (|has| |#3| (-647 |#2|)) (-15 -2947 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -3930 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) (-1163))) |noBranch|)) 
+((-2365 (((-2 (|:| -4456 |#2|) (|:| |nconst| |#2|)) |#2| (-1163)) 62)) (-3539 (((-3 |#2| "failed") |#2| (-1163) (-836 |#2|) (-836 |#2|)) 159 (-12 (|has| |#2| (-1125)) (|has| |#1| (-610 (-888 (-569)))) (|has| |#1| (-882 (-569))))) (((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1163)) 133 (-12 (|has| |#2| (-621)) (|has| |#1| (-610 (-888 (-569)))) (|has| |#1| (-882 (-569)))))) (-1280 (((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1163)) 142 (-12 (|has| |#2| (-621)) (|has| |#1| (-610 (-888 (-569)))) (|has| |#1| (-882 (-569))))))) 
+(((-572 |#1| |#2|) (-10 -7 (-15 -2365 ((-2 (|:| -4456 |#2|) (|:| |nconst| |#2|)) |#2| (-1163))) (IF (|has| |#1| (-610 (-888 (-569)))) (IF (|has| |#1| (-882 (-569))) (PROGN (IF (|has| |#2| (-621)) (PROGN (-15 -1280 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1163))) (-15 -3539 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1163)))) |noBranch|) (IF (|has| |#2| (-1125)) (-15 -3539 ((-3 |#2| "failed") |#2| (-1163) (-836 |#2|) (-836 |#2|))) |noBranch|)) |noBranch|) |noBranch|)) (-13 (-843) (-1038 (-569)) (-454) (-631 (-569))) (-13 (-27) (-1183) (-433 |#1|))) (T -572)) 
+((-3539 (*1 *2 *2 *3 *4 *4) (|partial| -12 (-5 *3 (-1163)) (-5 *4 (-836 *2)) (-4 *2 (-1125)) (-4 *2 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-610 (-888 (-569)))) (-4 *5 (-882 (-569))) (-4 *5 (-13 (-843) (-1038 (-569)) (-454) (-631 (-569)))) (-5 *1 (-572 *5 *2)))) (-3539 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1163)) (-4 *5 (-610 (-888 (-569)))) (-4 *5 (-882 (-569))) (-4 *5 (-13 (-843) (-1038 (-569)) (-454) (-631 (-569)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-572 *5 *3)) (-4 *3 (-621)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) (-1280 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1163)) (-4 *5 (-610 (-888 (-569)))) (-4 *5 (-882 (-569))) (-4 *5 (-13 (-843) (-1038 (-569)) (-454) (-631 (-569)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-572 *5 *3)) (-4 *3 (-621)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) (-2365 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-843) (-1038 (-569)) (-454) (-631 (-569)))) (-5 *2 (-2 (|:| -4456 *3) (|:| |nconst| *3))) (-5 *1 (-572 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5)))))) 
+(-10 -7 (-15 -2365 ((-2 (|:| -4456 |#2|) (|:| |nconst| |#2|)) |#2| (-1163))) (IF (|has| |#1| (-610 (-888 (-569)))) (IF (|has| |#1| (-882 (-569))) (PROGN (IF (|has| |#2| (-621)) (PROGN (-15 -1280 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1163))) (-15 -3539 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1163)))) |noBranch|) (IF (|has| |#2| (-1125)) (-15 -3539 ((-3 |#2| "failed") |#2| (-1163) (-836 |#2|) (-836 |#2|))) |noBranch|)) |noBranch|) |noBranch|)) 
+((-2440 (((-3 (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|)))))) "failed") (-410 |#2|) (-635 (-410 |#2|))) 39)) (-2565 (((-586 (-410 |#2|)) (-410 |#2|)) 27)) (-2508 (((-3 (-410 |#2|) "failed") (-410 |#2|)) 16)) (-4169 (((-3 (-2 (|:| -3032 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-410 |#2|)) 46))) 
+(((-573 |#1| |#2|) (-10 -7 (-15 -2565 ((-586 (-410 |#2|)) (-410 |#2|))) (-15 -2508 ((-3 (-410 |#2|) "failed") (-410 |#2|))) (-15 -4169 ((-3 (-2 (|:| -3032 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-410 |#2|))) (-15 -2440 ((-3 (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|)))))) "failed") (-410 |#2|) (-635 (-410 |#2|))))) (-13 (-366) (-151) (-1038 (-569))) (-1222 |#1|)) (T -573)) 
+((-2440 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-635 (-410 *6))) (-5 *3 (-410 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-573 *5 *6)))) (-4169 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-13 (-366) (-151) (-1038 (-569)))) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| -3032 (-410 *5)) (|:| |coeff| (-410 *5)))) (-5 *1 (-573 *4 *5)) (-5 *3 (-410 *5)))) (-2508 (*1 *2 *2) (|partial| -12 (-5 *2 (-410 *4)) (-4 *4 (-1222 *3)) (-4 *3 (-13 (-366) (-151) (-1038 (-569)))) (-5 *1 (-573 *3 *4)))) (-2565 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1038 (-569)))) (-4 *5 (-1222 *4)) (-5 *2 (-586 (-410 *5))) (-5 *1 (-573 *4 *5)) (-5 *3 (-410 *5))))) 
+(-10 -7 (-15 -2565 ((-586 (-410 |#2|)) (-410 |#2|))) (-15 -2508 ((-3 (-410 |#2|) "failed") (-410 |#2|))) (-15 -4169 ((-3 (-2 (|:| -3032 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-410 |#2|))) (-15 -2440 ((-3 (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|)))))) "failed") (-410 |#2|) (-635 (-410 |#2|))))) 
+((-2804 (((-3 (-569) "failed") |#1|) 14)) (-3750 (((-121) |#1|) 13)) (-2234 (((-569) |#1|) 9))) 
+(((-574 |#1|) (-10 -7 (-15 -2234 ((-569) |#1|)) (-15 -3750 ((-121) |#1|)) (-15 -2804 ((-3 (-569) "failed") |#1|))) (-1038 (-569))) (T -574)) 
+((-2804 (*1 *2 *3) (|partial| -12 (-5 *2 (-569)) (-5 *1 (-574 *3)) (-4 *3 (-1038 *2)))) (-3750 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-574 *3)) (-4 *3 (-1038 (-569))))) (-2234 (*1 *2 *3) (-12 (-5 *2 (-569)) (-5 *1 (-574 *3)) (-4 *3 (-1038 *2))))) 
+(-10 -7 (-15 -2234 ((-569) |#1|)) (-15 -3750 ((-121) |#1|)) (-15 -2804 ((-3 (-569) "failed") |#1|))) 
+((-1758 (((-3 (-2 (|:| |mainpart| (-410 (-954 |#1|))) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 (-954 |#1|))) (|:| |logand| (-410 (-954 |#1|))))))) "failed") (-410 (-954 |#1|)) (-1163) (-635 (-410 (-954 |#1|)))) 43)) (-2690 (((-586 (-410 (-954 |#1|))) (-410 (-954 |#1|)) (-1163)) 25)) (-1708 (((-3 (-410 (-954 |#1|)) "failed") (-410 (-954 |#1|)) (-1163)) 20)) (-2117 (((-3 (-2 (|:| -3032 (-410 (-954 |#1|))) (|:| |coeff| (-410 (-954 |#1|)))) "failed") (-410 (-954 |#1|)) (-1163) (-410 (-954 |#1|))) 32))) 
+(((-575 |#1|) (-10 -7 (-15 -2690 ((-586 (-410 (-954 |#1|))) (-410 (-954 |#1|)) (-1163))) (-15 -1708 ((-3 (-410 (-954 |#1|)) "failed") (-410 (-954 |#1|)) (-1163))) (-15 -1758 ((-3 (-2 (|:| |mainpart| (-410 (-954 |#1|))) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 (-954 |#1|))) (|:| |logand| (-410 (-954 |#1|))))))) "failed") (-410 (-954 |#1|)) (-1163) (-635 (-410 (-954 |#1|))))) (-15 -2117 ((-3 (-2 (|:| -3032 (-410 (-954 |#1|))) (|:| |coeff| (-410 (-954 |#1|)))) "failed") (-410 (-954 |#1|)) (-1163) (-410 (-954 |#1|))))) (-13 (-559) (-1038 (-569)) (-151))) (T -575)) 
+((-2117 (*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1163)) (-4 *5 (-13 (-559) (-1038 (-569)) (-151))) (-5 *2 (-2 (|:| -3032 (-410 (-954 *5))) (|:| |coeff| (-410 (-954 *5))))) (-5 *1 (-575 *5)) (-5 *3 (-410 (-954 *5))))) (-1758 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1163)) (-5 *5 (-635 (-410 (-954 *6)))) (-5 *3 (-410 (-954 *6))) (-4 *6 (-13 (-559) (-1038 (-569)) (-151))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-575 *6)))) (-1708 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-410 (-954 *4))) (-5 *3 (-1163)) (-4 *4 (-13 (-559) (-1038 (-569)) (-151))) (-5 *1 (-575 *4)))) (-2690 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-559) (-1038 (-569)) (-151))) (-5 *2 (-586 (-410 (-954 *5)))) (-5 *1 (-575 *5)) (-5 *3 (-410 (-954 *5)))))) 
+(-10 -7 (-15 -2690 ((-586 (-410 (-954 |#1|))) (-410 (-954 |#1|)) (-1163))) (-15 -1708 ((-3 (-410 (-954 |#1|)) "failed") (-410 (-954 |#1|)) (-1163))) (-15 -1758 ((-3 (-2 (|:| |mainpart| (-410 (-954 |#1|))) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 (-954 |#1|))) (|:| |logand| (-410 (-954 |#1|))))))) "failed") (-410 (-954 |#1|)) (-1163) (-635 (-410 (-954 |#1|))))) (-15 -2117 ((-3 (-2 (|:| -3032 (-410 (-954 |#1|))) (|:| |coeff| (-410 (-954 |#1|)))) "failed") (-410 (-954 |#1|)) (-1163) (-410 (-954 |#1|))))) 
+((-2568 (((-121) $ $) 59)) (-3813 (((-121) $) 36)) (-1282 ((|#1| $) 30)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) 63)) (-1753 (($ $) 123)) (-2530 (($ $) 103)) (-1498 ((|#1| $) 28)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2454 (($ $) NIL)) (-1744 (($ $) 125)) (-2513 (($ $) 99)) (-1760 (($ $) 127)) (-2546 (($ $) 107)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) 78)) (-2428 (((-569) $) 80)) (-3428 (((-3 $ "failed") $) 62)) (-2993 (($ |#1| |#1|) 26)) (-2403 (((-121) $) 33)) (-2445 (($) 89)) (-1407 (((-121) $) 43)) (-4344 (($ $ (-569)) NIL)) (-1781 (((-121) $) 34)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-4450 (($ $) 91)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-2744 (($ |#1| |#1|) 20) (($ |#1|) 25) (($ (-410 (-569))) 77)) (-3637 ((|#1| $) 27)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) 65) (($ (-635 $)) NIL)) (-2941 (((-3 $ "failed") $ $) 64)) (-2436 (($ $) 93)) (-1764 (($ $) 131)) (-2554 (($ $) 105)) (-1756 (($ $) 133)) (-2538 (($ $) 109)) (-1748 (($ $) 129)) (-2522 (($ $) 101)) (-4321 (((-121) $ |#1|) 31)) (-2185 (((-851) $) 85) (($ (-569)) 67) (($ $) NIL) (($ (-569)) 67)) (-1991 (((-764)) 87)) (-1779 (($ $) 145)) (-1727 (($ $) 115)) (-1961 (((-121) $ $) NIL)) (-1770 (($ $) 143)) (-2561 (($ $) 111)) (-1785 (($ $) 141)) (-1736 (($ $) 121)) (-2430 (($ $) 139)) (-1740 (($ $) 119)) (-1782 (($ $) 137)) (-1731 (($ $) 117)) (-1775 (($ $) 135)) (-2569 (($ $) 113)) (-2427 (($ $ (-918)) 55) (($ $ (-764)) NIL)) (-3369 (($) 21 T CONST)) (-1556 (($) 10 T CONST)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 37)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 35)) (-1711 (($ $) 41) (($ $ $) 42)) (-1707 (($ $ $) 40)) (** (($ $ (-918)) 54) (($ $ (-764)) NIL) (($ $ $) 95) (($ $ (-410 (-569))) 147)) (* (($ (-918) $) 51) (($ (-764) $) NIL) (($ (-569) $) 50) (($ $ $) 48))) 
+(((-576 |#1|) (-556 |#1|) (-13 (-407) (-1183))) (T -576)) 
+NIL 
+(-556 |#1|) 
+((-1593 (((-3 (-635 (-1159 (-569))) "failed") (-635 (-1159 (-569))) (-1159 (-569))) 24))) 
+(((-577) (-10 -7 (-15 -1593 ((-3 (-635 (-1159 (-569))) "failed") (-635 (-1159 (-569))) (-1159 (-569)))))) (T -577)) 
+((-1593 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1159 (-569)))) (-5 *3 (-1159 (-569))) (-5 *1 (-577))))) 
+(-10 -7 (-15 -1593 ((-3 (-635 (-1159 (-569))) "failed") (-635 (-1159 (-569))) (-1159 (-569))))) 
+((-3589 (((-635 (-608 |#2|)) (-635 (-608 |#2|)) (-1163)) 18)) (-2201 (((-635 (-608 |#2|)) (-635 |#2|) (-1163)) 23)) (-1752 (((-635 (-608 |#2|)) (-635 (-608 |#2|)) (-635 (-608 |#2|))) 10)) (-1480 ((|#2| |#2| (-1163)) 51 (|has| |#1| (-559)))) (-2810 ((|#2| |#2| (-1163)) 76 (-12 (|has| |#2| (-280)) (|has| |#1| (-454))))) (-3310 (((-608 |#2|) (-608 |#2|) (-635 (-608 |#2|)) (-1163)) 25)) (-4300 (((-608 |#2|) (-635 (-608 |#2|))) 24)) (-4424 (((-586 |#2|) |#2| (-1163) (-1 (-586 |#2|) |#2| (-1163)) (-1 (-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1163))) 100 (-12 (|has| |#2| (-280)) (|has| |#2| (-621)) (|has| |#2| (-1038 (-1163))) (|has| |#1| (-610 (-888 (-569)))) (|has| |#1| (-454)) (|has| |#1| (-882 (-569))))))) 
+(((-578 |#1| |#2|) (-10 -7 (-15 -3589 ((-635 (-608 |#2|)) (-635 (-608 |#2|)) (-1163))) (-15 -4300 ((-608 |#2|) (-635 (-608 |#2|)))) (-15 -3310 ((-608 |#2|) (-608 |#2|) (-635 (-608 |#2|)) (-1163))) (-15 -1752 ((-635 (-608 |#2|)) (-635 (-608 |#2|)) (-635 (-608 |#2|)))) (-15 -2201 ((-635 (-608 |#2|)) (-635 |#2|) (-1163))) (IF (|has| |#1| (-559)) (-15 -1480 (|#2| |#2| (-1163))) |noBranch|) (IF (|has| |#1| (-454)) (IF (|has| |#2| (-280)) (PROGN (-15 -2810 (|#2| |#2| (-1163))) (IF (|has| |#1| (-610 (-888 (-569)))) (IF (|has| |#1| (-882 (-569))) (IF (|has| |#2| (-621)) (IF (|has| |#2| (-1038 (-1163))) (-15 -4424 ((-586 |#2|) |#2| (-1163) (-1 (-586 |#2|) |#2| (-1163)) (-1 (-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1163)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) |noBranch|) |noBranch|)) (-843) (-433 |#1|)) (T -578)) 
+((-4424 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-1 (-586 *3) *3 (-1163))) (-5 *6 (-1 (-3 (-2 (|:| |special| *3) (|:| |integrand| *3)) "failed") *3 (-1163))) (-4 *3 (-280)) (-4 *3 (-621)) (-4 *3 (-1038 *4)) (-4 *3 (-433 *7)) (-5 *4 (-1163)) (-4 *7 (-610 (-888 (-569)))) (-4 *7 (-454)) (-4 *7 (-882 (-569))) (-4 *7 (-843)) (-5 *2 (-586 *3)) (-5 *1 (-578 *7 *3)))) (-2810 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-454)) (-4 *4 (-843)) (-5 *1 (-578 *4 *2)) (-4 *2 (-280)) (-4 *2 (-433 *4)))) (-1480 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-559)) (-4 *4 (-843)) (-5 *1 (-578 *4 *2)) (-4 *2 (-433 *4)))) (-2201 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-1163)) (-4 *6 (-433 *5)) (-4 *5 (-843)) (-5 *2 (-635 (-608 *6))) (-5 *1 (-578 *5 *6)))) (-1752 (*1 *2 *2 *2) (-12 (-5 *2 (-635 (-608 *4))) (-4 *4 (-433 *3)) (-4 *3 (-843)) (-5 *1 (-578 *3 *4)))) (-3310 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 (-608 *6))) (-5 *4 (-1163)) (-5 *2 (-608 *6)) (-4 *6 (-433 *5)) (-4 *5 (-843)) (-5 *1 (-578 *5 *6)))) (-4300 (*1 *2 *3) (-12 (-5 *3 (-635 (-608 *5))) (-4 *4 (-843)) (-5 *2 (-608 *5)) (-5 *1 (-578 *4 *5)) (-4 *5 (-433 *4)))) (-3589 (*1 *2 *2 *3) (-12 (-5 *2 (-635 (-608 *5))) (-5 *3 (-1163)) (-4 *5 (-433 *4)) (-4 *4 (-843)) (-5 *1 (-578 *4 *5))))) 
+(-10 -7 (-15 -3589 ((-635 (-608 |#2|)) (-635 (-608 |#2|)) (-1163))) (-15 -4300 ((-608 |#2|) (-635 (-608 |#2|)))) (-15 -3310 ((-608 |#2|) (-608 |#2|) (-635 (-608 |#2|)) (-1163))) (-15 -1752 ((-635 (-608 |#2|)) (-635 (-608 |#2|)) (-635 (-608 |#2|)))) (-15 -2201 ((-635 (-608 |#2|)) (-635 |#2|) (-1163))) (IF (|has| |#1| (-559)) (-15 -1480 (|#2| |#2| (-1163))) |noBranch|) (IF (|has| |#1| (-454)) (IF (|has| |#2| (-280)) (PROGN (-15 -2810 (|#2| |#2| (-1163))) (IF (|has| |#1| (-610 (-888 (-569)))) (IF (|has| |#1| (-882 (-569))) (IF (|has| |#2| (-621)) (IF (|has| |#2| (-1038 (-1163))) (-15 -4424 ((-586 |#2|) |#2| (-1163) (-1 (-586 |#2|) |#2| (-1163)) (-1 (-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1163)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) |noBranch|) |noBranch|)) 
+((-4255 (((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-635 |#1|) "failed") (-569) |#1| |#1|)) 167)) (-3504 (((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|))))))) (|:| |a0| |#1|)) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-635 (-410 |#2|))) 143)) (-2364 (((-3 (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|)))))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-635 (-410 |#2|))) 140)) (-1430 (((-3 |#2| "failed") |#2| (-1 (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|) 129)) (-2764 (((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed") |#1|)) 153)) (-1300 (((-3 (-2 (|:| -3032 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-410 |#2|)) 170)) (-3663 (((-3 (-2 (|:| |answer| (-410 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3032 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-410 |#2|)) 173)) (-1591 (((-2 (|:| |ir| (-586 (-410 |#2|))) (|:| |specpart| (-410 |#2|)) (|:| |polypart| |#2|)) (-410 |#2|) (-1 |#2| |#2|)) 81)) (-2312 (((-2 (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (-1 |#2| |#2|)) 88)) (-3356 (((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|))))))) (|:| |a0| |#1|)) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1869 |#1|) (|:| |sol?| (-121))) (-569) |#1|) (-635 (-410 |#2|))) 147)) (-3058 (((-3 (-616 |#1| |#2|) "failed") (-616 |#1| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1869 |#1|) (|:| |sol?| (-121))) (-569) |#1|)) 133)) (-1308 (((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1869 |#1|) (|:| |sol?| (-121))) (-569) |#1|)) 157)) (-3057 (((-3 (-2 (|:| |answer| (-410 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3032 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1869 |#1|) (|:| |sol?| (-121))) (-569) |#1|) (-410 |#2|)) 178))) 
+(((-579 |#1| |#2|) (-10 -7 (-15 -2764 ((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed") |#1|))) (-15 -1308 ((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1869 |#1|) (|:| |sol?| (-121))) (-569) |#1|))) (-15 -4255 ((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-635 |#1|) "failed") (-569) |#1| |#1|))) (-15 -3663 ((-3 (-2 (|:| |answer| (-410 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3032 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-410 |#2|))) (-15 -3057 ((-3 (-2 (|:| |answer| (-410 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3032 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1869 |#1|) (|:| |sol?| (-121))) (-569) |#1|) (-410 |#2|))) (-15 -3504 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|))))))) (|:| |a0| |#1|)) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-635 (-410 |#2|)))) (-15 -3356 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|))))))) (|:| |a0| |#1|)) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1869 |#1|) (|:| |sol?| (-121))) (-569) |#1|) (-635 (-410 |#2|)))) (-15 -1300 ((-3 (-2 (|:| -3032 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-410 |#2|))) (-15 -2364 ((-3 (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|)))))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-635 (-410 |#2|)))) (-15 -1430 ((-3 |#2| "failed") |#2| (-1 (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|)) (-15 -3058 ((-3 (-616 |#1| |#2|) "failed") (-616 |#1| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1869 |#1|) (|:| |sol?| (-121))) (-569) |#1|))) (-15 -1591 ((-2 (|:| |ir| (-586 (-410 |#2|))) (|:| |specpart| (-410 |#2|)) (|:| |polypart| |#2|)) (-410 |#2|) (-1 |#2| |#2|))) (-15 -2312 ((-2 (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (-1 |#2| |#2|)))) (-366) (-1222 |#1|)) (T -579)) 
+((-2312 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |answer| *3) (|:| |polypart| *3))) (-5 *1 (-579 *5 *3)))) (-1591 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |ir| (-586 (-410 *6))) (|:| |specpart| (-410 *6)) (|:| |polypart| *6))) (-5 *1 (-579 *5 *6)) (-5 *3 (-410 *6)))) (-3058 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-616 *4 *5)) (-5 *3 (-1 (-2 (|:| |ans| *4) (|:| -1869 *4) (|:| |sol?| (-121))) (-569) *4)) (-4 *4 (-366)) (-4 *5 (-1222 *4)) (-5 *1 (-579 *4 *5)))) (-1430 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 (-2 (|:| -3032 *4) (|:| |coeff| *4)) "failed") *4)) (-4 *4 (-366)) (-5 *1 (-579 *4 *2)) (-4 *2 (-1222 *4)))) (-2364 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 *7 *7)) (-5 *5 (-635 (-410 *7))) (-4 *7 (-1222 *6)) (-5 *3 (-410 *7)) (-4 *6 (-366)) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-579 *6 *7)))) (-1300 (*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -3032 (-410 *6)) (|:| |coeff| (-410 *6)))) (-5 *1 (-579 *5 *6)) (-5 *3 (-410 *6)))) (-3356 (*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-2 (|:| |ans| *7) (|:| -1869 *7) (|:| |sol?| (-121))) (-569) *7)) (-5 *6 (-635 (-410 *8))) (-4 *7 (-366)) (-4 *8 (-1222 *7)) (-5 *3 (-410 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-579 *7 *8)))) (-3504 (*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-3 (-2 (|:| -3032 *7) (|:| |coeff| *7)) "failed") *7)) (-5 *6 (-635 (-410 *8))) (-4 *7 (-366)) (-4 *8 (-1222 *7)) (-5 *3 (-410 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-579 *7 *8)))) (-3057 (*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -1869 *6) (|:| |sol?| (-121))) (-569) *6)) (-4 *6 (-366)) (-4 *7 (-1222 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-410 *7)) (|:| |a0| *6)) (-2 (|:| -3032 (-410 *7)) (|:| |coeff| (-410 *7))) "failed")) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7)))) (-3663 (*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3032 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-366)) (-4 *7 (-1222 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-410 *7)) (|:| |a0| *6)) (-2 (|:| -3032 (-410 *7)) (|:| |coeff| (-410 *7))) "failed")) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7)))) (-4255 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-635 *6) "failed") (-569) *6 *6)) (-4 *6 (-366)) (-4 *7 (-1222 *6)) (-5 *2 (-2 (|:| |answer| (-586 (-410 *7))) (|:| |a0| *6))) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7)))) (-1308 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -1869 *6) (|:| |sol?| (-121))) (-569) *6)) (-4 *6 (-366)) (-4 *7 (-1222 *6)) (-5 *2 (-2 (|:| |answer| (-586 (-410 *7))) (|:| |a0| *6))) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7)))) (-2764 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3032 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-366)) (-4 *7 (-1222 *6)) (-5 *2 (-2 (|:| |answer| (-586 (-410 *7))) (|:| |a0| *6))) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7))))) 
+(-10 -7 (-15 -2764 ((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed") |#1|))) (-15 -1308 ((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1869 |#1|) (|:| |sol?| (-121))) (-569) |#1|))) (-15 -4255 ((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-635 |#1|) "failed") (-569) |#1| |#1|))) (-15 -3663 ((-3 (-2 (|:| |answer| (-410 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3032 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-410 |#2|))) (-15 -3057 ((-3 (-2 (|:| |answer| (-410 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3032 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1869 |#1|) (|:| |sol?| (-121))) (-569) |#1|) (-410 |#2|))) (-15 -3504 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|))))))) (|:| |a0| |#1|)) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-635 (-410 |#2|)))) (-15 -3356 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|))))))) (|:| |a0| |#1|)) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1869 |#1|) (|:| |sol?| (-121))) (-569) |#1|) (-635 (-410 |#2|)))) (-15 -1300 ((-3 (-2 (|:| -3032 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-410 |#2|))) (-15 -2364 ((-3 (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|)))))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-635 (-410 |#2|)))) (-15 -1430 ((-3 |#2| "failed") |#2| (-1 (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|)) (-15 -3058 ((-3 (-616 |#1| |#2|) "failed") (-616 |#1| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1869 |#1|) (|:| |sol?| (-121))) (-569) |#1|))) (-15 -1591 ((-2 (|:| |ir| (-586 (-410 |#2|))) (|:| |specpart| (-410 |#2|)) (|:| |polypart| |#2|)) (-410 |#2|) (-1 |#2| |#2|))) (-15 -2312 ((-2 (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (-1 |#2| |#2|)))) 
+((-2347 (((-3 |#2| "failed") |#2| (-1163) (-1163)) 10))) 
+(((-580 |#1| |#2|) (-10 -7 (-15 -2347 ((-3 |#2| "failed") |#2| (-1163) (-1163)))) (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569))) (-13 (-1183) (-960) (-1125) (-29 |#1|))) (T -580)) 
+((-2347 (*1 *2 *2 *3 *3) (|partial| -12 (-5 *3 (-1163)) (-4 *4 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-580 *4 *2)) (-4 *2 (-13 (-1183) (-960) (-1125) (-29 *4)))))) 
+(-10 -7 (-15 -2347 ((-3 |#2| "failed") |#2| (-1163) (-1163)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2454 (($ $ (-569)) 65)) (-3934 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-2595 (($ (-1159 (-569)) (-569)) 71)) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) 57)) (-1333 (($ $) 33)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-2558 (((-764) $) 15)) (-1407 (((-121) $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3092 (((-569)) 27)) (-2340 (((-569) $) 31)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3499 (($ $ (-569)) 21)) (-2941 (((-3 $ "failed") $ $) 58)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) 16)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 60)) (-2855 (((-1143 (-569)) $) 18)) (-3659 (($ $) 23)) (-2185 (((-851) $) 85) (($ (-569)) 51) (($ $) NIL)) (-1991 (((-764)) 14)) (-1961 (((-121) $ $) NIL)) (-2994 (((-569) $ (-569)) 35)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 34 T CONST)) (-1556 (($) 19 T CONST)) (-1668 (((-121) $ $) 38)) (-1711 (($ $) 50) (($ $ $) 36)) (-1707 (($ $ $) 49)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 53) (($ $ $) 54))) 
+(((-581 |#1| |#2|) (-864 |#1|) (-569) (-121)) (T -581)) 
+NIL 
+(-864 |#1|) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 18)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-1377 (($ $ (-918)) NIL (|has| $ (-371))) (($ $) NIL)) (-2620 (((-1171 (-918) (-764)) (-569)) 47)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2085 (((-764)) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 $ "failed") $) 75)) (-2428 (($ $) 74)) (-2623 (($ (-1247 $)) 73)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) 42)) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) 30)) (-4327 (($) NIL)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3188 (($) 49)) (-3354 (((-121) $) NIL)) (-2751 (($ $) NIL) (($ $ (-764)) NIL)) (-3726 (((-121) $) NIL)) (-2558 (((-829 (-918)) $) NIL) (((-918) $) NIL)) (-1407 (((-121) $) NIL)) (-1490 (($) 35 (|has| $ (-371)))) (-3364 (((-121) $) NIL (|has| $ (-371)))) (-4308 (($ $ (-918)) NIL (|has| $ (-371))) (($ $) NIL)) (-3846 (((-3 $ "failed") $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2770 (((-1159 $) $ (-918)) NIL (|has| $ (-371))) (((-1159 $) $) 83)) (-2083 (((-918) $) 55)) (-2486 (((-1159 $) $) NIL (|has| $ (-371)))) (-3697 (((-3 (-1159 $) "failed") $ $) NIL (|has| $ (-371))) (((-1159 $) $) NIL (|has| $ (-371)))) (-4421 (($ $ (-1159 $)) NIL (|has| $ (-371)))) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL T CONST)) (-3998 (($ (-918)) 48)) (-2705 (((-121) $) 67)) (-3360 (((-1109) $) NIL)) (-1809 (($) 16 (|has| $ (-371)))) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) 40)) (-1743 (((-421 $) $) NIL)) (-2578 (((-918)) 66) (((-829 (-918))) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-1291 (((-3 (-764) "failed") $ $) NIL) (((-764) $) NIL)) (-2369 (((-140)) NIL)) (-3899 (($ $ (-764)) NIL) (($ $) NIL)) (-2492 (((-918) $) 65) (((-829 (-918)) $) NIL)) (-2745 (((-1159 $)) 82)) (-2319 (($) 54)) (-3554 (($) 36 (|has| $ (-371)))) (-1648 (((-680 $) (-1247 $)) NIL) (((-1247 $) $) 71)) (-3817 (((-569) $) 26)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) 28) (($ $) NIL) (($ (-410 (-569))) NIL)) (-3953 (((-3 $ "failed") $) NIL) (($ $) 84)) (-1991 (((-764)) 37)) (-3930 (((-1247 $) (-918)) 77) (((-1247 $)) 76)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 19 T CONST)) (-1556 (($) 15 T CONST)) (-1907 (($ $ (-764)) NIL (|has| $ (-371))) (($ $) NIL (|has| $ (-371)))) (-3022 (($ $ (-764)) NIL) (($ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) 24)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 61) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
+(((-582 |#1|) (-13 (-351) (-328 $) (-610 (-569))) (-918)) (T -582)) 
+NIL 
+(-13 (-351) (-328 $) (-610 (-569))) 
+((-2708 (((-1252) (-1145)) 10))) 
+(((-583) (-10 -7 (-15 -2708 ((-1252) (-1145))))) (T -583)) 
+((-2708 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-583))))) 
+(-10 -7 (-15 -2708 ((-1252) (-1145)))) 
+((-4493 (((-586 |#2|) (-586 |#2|)) 37)) (-1939 (((-635 |#2|) (-586 |#2|)) 39)) (-4468 ((|#2| (-586 |#2|)) 46))) 
+(((-584 |#1| |#2|) (-10 -7 (-15 -4493 ((-586 |#2|) (-586 |#2|))) (-15 -1939 ((-635 |#2|) (-586 |#2|))) (-15 -4468 (|#2| (-586 |#2|)))) (-13 (-454) (-1038 (-569)) (-843) (-631 (-569))) (-13 (-29 |#1|) (-1183))) (T -584)) 
+((-4468 (*1 *2 *3) (-12 (-5 *3 (-586 *2)) (-4 *2 (-13 (-29 *4) (-1183))) (-5 *1 (-584 *4 *2)) (-4 *4 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))))) (-1939 (*1 *2 *3) (-12 (-5 *3 (-586 *5)) (-4 *5 (-13 (-29 *4) (-1183))) (-4 *4 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *2 (-635 *5)) (-5 *1 (-584 *4 *5)))) (-4493 (*1 *2 *2) (-12 (-5 *2 (-586 *4)) (-4 *4 (-13 (-29 *3) (-1183))) (-4 *3 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *1 (-584 *3 *4))))) 
+(-10 -7 (-15 -4493 ((-586 |#2|) (-586 |#2|))) (-15 -1939 ((-635 |#2|) (-586 |#2|))) (-15 -4468 (|#2| (-586 |#2|)))) 
+((-1544 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| |mainpart| |#1|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")) 38) (((-3 |#2| "failed") (-1 |#2| |#1|) (-3 |#1| "failed")) 11) (((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed")) 31) (((-586 |#2|) (-1 |#2| |#1|) (-586 |#1|)) 26))) 
+(((-585 |#1| |#2|) (-10 -7 (-15 -1544 ((-586 |#2|) (-1 |#2| |#1|) (-586 |#1|))) (-15 -1544 ((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed"))) (-15 -1544 ((-3 |#2| "failed") (-1 |#2| |#1|) (-3 |#1| "failed"))) (-15 -1544 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| |mainpart| |#1|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")))) (-366) (-366)) (T -585)) 
+((-1544 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| |mainpart| *5) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *5) (|:| |logand| *5))))) "failed")) (-4 *5 (-366)) (-4 *6 (-366)) (-5 *2 (-2 (|:| |mainpart| *6) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *6) (|:| |logand| *6)))))) (-5 *1 (-585 *5 *6)))) (-1544 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *2 *5)) (-5 *4 (-3 *5 "failed")) (-4 *5 (-366)) (-4 *2 (-366)) (-5 *1 (-585 *5 *2)))) (-1544 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| -3032 *5) (|:| |coeff| *5)) "failed")) (-4 *5 (-366)) (-4 *6 (-366)) (-5 *2 (-2 (|:| -3032 *6) (|:| |coeff| *6))) (-5 *1 (-585 *5 *6)))) (-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-586 *5)) (-4 *5 (-366)) (-4 *6 (-366)) (-5 *2 (-586 *6)) (-5 *1 (-585 *5 *6))))) 
+(-10 -7 (-15 -1544 ((-586 |#2|) (-1 |#2| |#1|) (-586 |#1|))) (-15 -1544 ((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed"))) (-15 -1544 ((-3 |#2| "failed") (-1 |#2| |#1|) (-3 |#1| "failed"))) (-15 -1544 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| |mainpart| |#1|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) 68)) (-2428 ((|#1| $) NIL)) (-3032 ((|#1| $) 24)) (-4215 (((-635 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $) 26)) (-1527 (($ |#1| (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1159 |#1|)) (|:| |logand| (-1159 |#1|)))) (-635 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|)))) 22)) (-1289 (((-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1159 |#1|)) (|:| |logand| (-1159 |#1|)))) $) 25)) (-2776 (((-1145) $) NIL)) (-2261 (($ |#1| |#1|) 32) (($ |#1| (-1163)) 43 (|has| |#1| (-1038 (-1163))))) (-3360 (((-1109) $) NIL)) (-4039 (((-121) $) 28)) (-3899 ((|#1| $ (-1 |#1| |#1|)) 80) ((|#1| $ (-1163)) 81 (|has| |#1| (-896 (-1163))))) (-2185 (((-851) $) 95) (($ |#1|) 23)) (-3369 (($) 16 T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) 15) (($ $ $) NIL)) (-1707 (($ $ $) 77)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 14) (($ (-410 (-569)) $) 35) (($ $ (-410 (-569))) NIL))) 
+(((-586 |#1|) (-13 (-708 (-410 (-569))) (-1038 |#1|) (-10 -8 (-15 -1527 ($ |#1| (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1159 |#1|)) (|:| |logand| (-1159 |#1|)))) (-635 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))))) (-15 -3032 (|#1| $)) (-15 -1289 ((-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1159 |#1|)) (|:| |logand| (-1159 |#1|)))) $)) (-15 -4215 ((-635 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $)) (-15 -4039 ((-121) $)) (-15 -2261 ($ |#1| |#1|)) (-15 -3899 (|#1| $ (-1 |#1| |#1|))) (IF (|has| |#1| (-896 (-1163))) (-15 -3899 (|#1| $ (-1163))) |noBranch|) (IF (|has| |#1| (-1038 (-1163))) (-15 -2261 ($ |#1| (-1163))) |noBranch|))) (-366)) (T -586)) 
+((-1527 (*1 *1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1159 *2)) (|:| |logand| (-1159 *2))))) (-5 *4 (-635 (-2 (|:| |integrand| *2) (|:| |intvar| *2)))) (-4 *2 (-366)) (-5 *1 (-586 *2)))) (-3032 (*1 *2 *1) (-12 (-5 *1 (-586 *2)) (-4 *2 (-366)))) (-1289 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1159 *3)) (|:| |logand| (-1159 *3))))) (-5 *1 (-586 *3)) (-4 *3 (-366)))) (-4215 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |integrand| *3) (|:| |intvar| *3)))) (-5 *1 (-586 *3)) (-4 *3 (-366)))) (-4039 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-586 *3)) (-4 *3 (-366)))) (-2261 (*1 *1 *2 *2) (-12 (-5 *1 (-586 *2)) (-4 *2 (-366)))) (-3899 (*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-586 *2)) (-4 *2 (-366)))) (-3899 (*1 *2 *1 *3) (-12 (-4 *2 (-366)) (-4 *2 (-896 *3)) (-5 *1 (-586 *2)) (-5 *3 (-1163)))) (-2261 (*1 *1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *1 (-586 *2)) (-4 *2 (-1038 *3)) (-4 *2 (-366))))) 
+(-13 (-708 (-410 (-569))) (-1038 |#1|) (-10 -8 (-15 -1527 ($ |#1| (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1159 |#1|)) (|:| |logand| (-1159 |#1|)))) (-635 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))))) (-15 -3032 (|#1| $)) (-15 -1289 ((-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1159 |#1|)) (|:| |logand| (-1159 |#1|)))) $)) (-15 -4215 ((-635 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $)) (-15 -4039 ((-121) $)) (-15 -2261 ($ |#1| |#1|)) (-15 -3899 (|#1| $ (-1 |#1| |#1|))) (IF (|has| |#1| (-896 (-1163))) (-15 -3899 (|#1| $ (-1163))) |noBranch|) (IF (|has| |#1| (-1038 (-1163))) (-15 -2261 ($ |#1| (-1163))) |noBranch|))) 
+((-3024 (((-121) |#1|) 16)) (-3678 (((-3 |#1| "failed") |#1|) 14)) (-2748 (((-2 (|:| -1475 |#1|) (|:| -2356 (-764))) |#1|) 30) (((-3 |#1| "failed") |#1| (-764)) 18)) (-1295 (((-121) |#1| (-764)) 19)) (-2871 ((|#1| |#1|) 31)) (-1984 ((|#1| |#1| (-764)) 33))) 
+(((-587 |#1|) (-10 -7 (-15 -1295 ((-121) |#1| (-764))) (-15 -2748 ((-3 |#1| "failed") |#1| (-764))) (-15 -2748 ((-2 (|:| -1475 |#1|) (|:| -2356 (-764))) |#1|)) (-15 -1984 (|#1| |#1| (-764))) (-15 -3024 ((-121) |#1|)) (-15 -3678 ((-3 |#1| "failed") |#1|)) (-15 -2871 (|#1| |#1|))) (-551)) (T -587)) 
+((-2871 (*1 *2 *2) (-12 (-5 *1 (-587 *2)) (-4 *2 (-551)))) (-3678 (*1 *2 *2) (|partial| -12 (-5 *1 (-587 *2)) (-4 *2 (-551)))) (-3024 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-587 *3)) (-4 *3 (-551)))) (-1984 (*1 *2 *2 *3) (-12 (-5 *3 (-764)) (-5 *1 (-587 *2)) (-4 *2 (-551)))) (-2748 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| -1475 *3) (|:| -2356 (-764)))) (-5 *1 (-587 *3)) (-4 *3 (-551)))) (-2748 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-764)) (-5 *1 (-587 *2)) (-4 *2 (-551)))) (-1295 (*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-5 *2 (-121)) (-5 *1 (-587 *3)) (-4 *3 (-551))))) 
+(-10 -7 (-15 -1295 ((-121) |#1| (-764))) (-15 -2748 ((-3 |#1| "failed") |#1| (-764))) (-15 -2748 ((-2 (|:| -1475 |#1|) (|:| -2356 (-764))) |#1|)) (-15 -1984 (|#1| |#1| (-764))) (-15 -3024 ((-121) |#1|)) (-15 -3678 ((-3 |#1| "failed") |#1|)) (-15 -2871 (|#1| |#1|))) 
+((-4434 (((-1159 |#1|) (-918)) 26))) 
+(((-588 |#1|) (-10 -7 (-15 -4434 ((-1159 |#1|) (-918)))) (-351)) (T -588)) 
+((-4434 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-588 *4)) (-4 *4 (-351))))) 
+(-10 -7 (-15 -4434 ((-1159 |#1|) (-918)))) 
+((-4493 (((-586 (-410 (-954 |#1|))) (-586 (-410 (-954 |#1|)))) 26)) (-2565 (((-3 (-311 |#1|) (-635 (-311 |#1|))) (-410 (-954 |#1|)) (-1163)) 32 (|has| |#1| (-151)))) (-1939 (((-635 (-311 |#1|)) (-586 (-410 (-954 |#1|)))) 18)) (-1550 (((-311 |#1|) (-410 (-954 |#1|)) (-1163)) 30 (|has| |#1| (-151)))) (-4468 (((-311 |#1|) (-586 (-410 (-954 |#1|)))) 20))) 
+(((-589 |#1|) (-10 -7 (-15 -4493 ((-586 (-410 (-954 |#1|))) (-586 (-410 (-954 |#1|))))) (-15 -1939 ((-635 (-311 |#1|)) (-586 (-410 (-954 |#1|))))) (-15 -4468 ((-311 |#1|) (-586 (-410 (-954 |#1|))))) (IF (|has| |#1| (-151)) (PROGN (-15 -2565 ((-3 (-311 |#1|) (-635 (-311 |#1|))) (-410 (-954 |#1|)) (-1163))) (-15 -1550 ((-311 |#1|) (-410 (-954 |#1|)) (-1163)))) |noBranch|)) (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (T -589)) 
+((-1550 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1163)) (-4 *5 (-151)) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *2 (-311 *5)) (-5 *1 (-589 *5)))) (-2565 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1163)) (-4 *5 (-151)) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *2 (-3 (-311 *5) (-635 (-311 *5)))) (-5 *1 (-589 *5)))) (-4468 (*1 *2 *3) (-12 (-5 *3 (-586 (-410 (-954 *4)))) (-4 *4 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *2 (-311 *4)) (-5 *1 (-589 *4)))) (-1939 (*1 *2 *3) (-12 (-5 *3 (-586 (-410 (-954 *4)))) (-4 *4 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *2 (-635 (-311 *4))) (-5 *1 (-589 *4)))) (-4493 (*1 *2 *2) (-12 (-5 *2 (-586 (-410 (-954 *3)))) (-4 *3 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *1 (-589 *3))))) 
+(-10 -7 (-15 -4493 ((-586 (-410 (-954 |#1|))) (-586 (-410 (-954 |#1|))))) (-15 -1939 ((-635 (-311 |#1|)) (-586 (-410 (-954 |#1|))))) (-15 -4468 ((-311 |#1|) (-586 (-410 (-954 |#1|))))) (IF (|has| |#1| (-151)) (PROGN (-15 -2565 ((-3 (-311 |#1|) (-635 (-311 |#1|))) (-410 (-954 |#1|)) (-1163))) (-15 -1550 ((-311 |#1|) (-410 (-954 |#1|)) (-1163)))) |noBranch|)) 
+((-3857 (((-635 (-680 (-569))) (-635 (-569)) (-635 (-901 (-569)))) 45) (((-635 (-680 (-569))) (-635 (-569))) 46) (((-680 (-569)) (-635 (-569)) (-901 (-569))) 41)) (-2121 (((-764) (-635 (-569))) 39))) 
+(((-590) (-10 -7 (-15 -2121 ((-764) (-635 (-569)))) (-15 -3857 ((-680 (-569)) (-635 (-569)) (-901 (-569)))) (-15 -3857 ((-635 (-680 (-569))) (-635 (-569)))) (-15 -3857 ((-635 (-680 (-569))) (-635 (-569)) (-635 (-901 (-569))))))) (T -590)) 
+((-3857 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-569))) (-5 *4 (-635 (-901 (-569)))) (-5 *2 (-635 (-680 (-569)))) (-5 *1 (-590)))) (-3857 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-635 (-680 (-569)))) (-5 *1 (-590)))) (-3857 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-569))) (-5 *4 (-901 (-569))) (-5 *2 (-680 (-569))) (-5 *1 (-590)))) (-2121 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-764)) (-5 *1 (-590))))) 
+(-10 -7 (-15 -2121 ((-764) (-635 (-569)))) (-15 -3857 ((-680 (-569)) (-635 (-569)) (-901 (-569)))) (-15 -3857 ((-635 (-680 (-569))) (-635 (-569)))) (-15 -3857 ((-635 (-680 (-569))) (-635 (-569)) (-635 (-901 (-569)))))) 
+((-1590 (((-635 |#5|) |#5| (-121)) 72)) (-4181 (((-121) |#5| (-635 |#5|)) 30))) 
+(((-591 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1590 ((-635 |#5|) |#5| (-121))) (-15 -4181 ((-121) |#5| (-635 |#5|)))) (-13 (-302) (-151)) (-789) (-843) (-1062 |#1| |#2| |#3|) (-1100 |#1| |#2| |#3| |#4|)) (T -591)) 
+((-4181 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1100 *5 *6 *7 *8)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-591 *5 *6 *7 *8 *3)))) (-1590 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7)) (-5 *2 (-635 *3)) (-5 *1 (-591 *5 *6 *7 *8 *3)) (-4 *3 (-1100 *5 *6 *7 *8))))) 
+(-10 -7 (-15 -1590 ((-635 |#5|) |#5| (-121))) (-15 -4181 ((-121) |#5| (-635 |#5|)))) 
+((-2568 (((-121) $ $) NIL (|has| (-148) (-1091)))) (-3241 (($ $) 34)) (-2217 (($ $) NIL)) (-2668 (($ $ (-148)) NIL) (($ $ (-143)) NIL)) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3134 (((-121) $ $) 51)) (-3254 (((-121) $ $ (-569)) 46)) (-4493 (((-635 $) $ (-148)) 59) (((-635 $) $ (-143)) 60)) (-3034 (((-121) (-1 (-121) (-148) (-148)) $) NIL) (((-121) $) NIL (|has| (-148) (-843)))) (-3076 (($ (-1 (-121) (-148) (-148)) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| (-148) (-843))))) (-3113 (($ (-1 (-121) (-148) (-148)) $) NIL) (($ $) NIL (|has| (-148) (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 (((-148) $ (-569) (-148)) 45 (|has| $ (-6 -4536))) (((-148) $ (-1213 (-569)) (-148)) NIL (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1281 (($ $ (-148)) 63) (($ $ (-143)) 64)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-4149 (($ $ (-1213 (-569)) $) 44)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-4347 (($ (-148) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091)))) (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-148) (-1 (-148) (-148) (-148)) $ (-148) (-148)) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091)))) (((-148) (-1 (-148) (-148) (-148)) $ (-148)) NIL (|has| $ (-6 -4535))) (((-148) (-1 (-148) (-148) (-148)) $) NIL (|has| $ (-6 -4535)))) (-2726 (((-148) $ (-569) (-148)) NIL (|has| $ (-6 -4536)))) (-1618 (((-148) $ (-569)) NIL)) (-3227 (((-121) $ $) 70)) (-3727 (((-569) (-1 (-121) (-148)) $) NIL) (((-569) (-148) $) NIL (|has| (-148) (-1091))) (((-569) (-148) $ (-569)) 48 (|has| (-148) (-1091))) (((-569) $ $ (-569)) 47) (((-569) (-143) $ (-569)) 50)) (-3470 (((-635 (-148)) $) NIL (|has| $ (-6 -4535)))) (-2659 (($ (-764) (-148)) 9)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) 28 (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| (-148) (-843)))) (-3288 (($ (-1 (-121) (-148) (-148)) $ $) NIL) (($ $ $) NIL (|has| (-148) (-843)))) (-4259 (((-635 (-148)) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-148) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-1285 (((-569) $) 42 (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| (-148) (-843)))) (-3536 (((-121) $ $ (-148)) 71)) (-4436 (((-764) $ $ (-148)) 69)) (-1853 (($ (-1 (-148) (-148)) $) 33 (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-148) (-148)) $) NIL) (($ (-1 (-148) (-148) (-148)) $ $) NIL)) (-1390 (($ $) 37)) (-2869 (($ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2973 (($ $ (-148)) 61) (($ $ (-143)) 62)) (-2776 (((-1145) $) 38 (|has| (-148) (-1091)))) (-3614 (($ (-148) $ (-569)) NIL) (($ $ $ (-569)) 23)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-569) $) 68) (((-1109) $) NIL (|has| (-148) (-1091)))) (-4353 (((-148) $) NIL (|has| (-569) (-843)))) (-2502 (((-3 (-148) "failed") (-1 (-121) (-148)) $) NIL)) (-3174 (($ $ (-148)) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-148)))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-289 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-148) (-148)) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-635 (-148)) (-635 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) (-148) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-2691 (((-635 (-148)) $) NIL)) (-1601 (((-121) $) 12)) (-1296 (($) 10)) (-1534 (((-148) $ (-569) (-148)) NIL) (((-148) $ (-569)) 52) (($ $ (-1213 (-569))) 21) (($ $ $) NIL)) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-2846 (((-764) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535))) (((-764) (-148) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-3389 (($ $ $ (-569)) 65 (|has| $ (-6 -4536)))) (-1971 (($ $) 17)) (-3817 (((-542) $) NIL (|has| (-148) (-610 (-542))))) (-2139 (($ (-635 (-148))) NIL)) (-2250 (($ $ (-148)) NIL) (($ (-148) $) NIL) (($ $ $) 16) (($ (-635 $)) 66)) (-2185 (($ (-148)) NIL) (((-851) $) 27 (|has| (-148) (-1091)))) (-2066 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| (-148) (-843)))) (-1684 (((-121) $ $) NIL (|has| (-148) (-843)))) (-1668 (((-121) $ $) 14 (|has| (-148) (-1091)))) (-1688 (((-121) $ $) NIL (|has| (-148) (-843)))) (-1678 (((-121) $ $) 15 (|has| (-148) (-843)))) (-4168 (((-764) $) 13 (|has| $ (-6 -4535))))) 
+(((-592 |#1|) (-13 (-1130) (-10 -8 (-15 -3360 ((-569) $)))) (-569)) (T -592)) 
+((-3360 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-592 *3)) (-14 *3 *2)))) 
+(-13 (-1130) (-10 -8 (-15 -3360 ((-569) $)))) 
+((-2029 (((-2 (|:| |num| |#4|) (|:| |den| (-569))) |#4| |#2|) 23) (((-2 (|:| |num| |#4|) (|:| |den| (-569))) |#4| |#2| (-1085 |#4|)) 32))) 
+(((-593 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2029 ((-2 (|:| |num| |#4|) (|:| |den| (-569))) |#4| |#2| (-1085 |#4|))) (-15 -2029 ((-2 (|:| |num| |#4|) (|:| |den| (-569))) |#4| |#2|))) (-789) (-843) (-559) (-951 |#3| |#1| |#2|)) (T -593)) 
+((-2029 (*1 *2 *3 *4) (-12 (-4 *5 (-789)) (-4 *4 (-843)) (-4 *6 (-559)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-569)))) (-5 *1 (-593 *5 *4 *6 *3)) (-4 *3 (-951 *6 *5 *4)))) (-2029 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-1085 *3)) (-4 *3 (-951 *7 *6 *4)) (-4 *6 (-789)) (-4 *4 (-843)) (-4 *7 (-559)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-569)))) (-5 *1 (-593 *6 *4 *7 *3))))) 
+(-10 -7 (-15 -2029 ((-2 (|:| |num| |#4|) (|:| |den| (-569))) |#4| |#2| (-1085 |#4|))) (-15 -2029 ((-2 (|:| |num| |#4|) (|:| |den| (-569))) |#4| |#2|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 63)) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-3136 (($ $ (-569)) 54) (($ $ (-569) (-569)) 55)) (-1403 (((-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 60)) (-1448 (($ $) 99)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2953 (((-851) (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) (-1027 (-836 (-569))) (-1163) |#1| (-410 (-569))) 214)) (-3343 (($ (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 34)) (-2820 (($) NIL T CONST)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2777 (((-121) $) NIL)) (-2558 (((-569) $) 58) (((-569) $ (-569)) 59)) (-1407 (((-121) $) NIL)) (-3089 (($ $ (-918)) 76)) (-3622 (($ (-1 |#1| (-569)) $) 73)) (-3523 (((-121) $) 25)) (-1763 (($ |#1| (-569)) 22) (($ $ (-1076) (-569)) NIL) (($ $ (-635 (-1076)) (-635 (-569))) NIL)) (-1544 (($ (-1 |#1| |#1|) $) 67)) (-2758 (($ (-1027 (-836 (-569))) (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 11)) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-2565 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-2442 (((-3 $ "failed") $ $ (-121)) 98)) (-2321 (($ $ $) 107)) (-3360 (((-1109) $) NIL)) (-1854 (((-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 13)) (-2222 (((-1027 (-836 (-569))) $) 12)) (-3499 (($ $ (-569)) 45)) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-1468 (((-1143 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-569)))))) (-1534 ((|#1| $ (-569)) 57) (($ $ $) NIL (|has| (-569) (-1103)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $) 70 (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (-2492 (((-569) $) NIL)) (-3659 (($ $) 46)) (-2185 (((-851) $) NIL) (($ (-569)) 28) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) 27 (|has| |#1| (-173)))) (-1653 ((|#1| $ (-569)) 56)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) 37)) (-4030 ((|#1| $) NIL)) (-2318 (($ $) 179 (|has| |#1| (-43 (-410 (-569)))))) (-4508 (($ $) 155 (|has| |#1| (-43 (-410 (-569)))))) (-3446 (($ $) 176 (|has| |#1| (-43 (-410 (-569)))))) (-3938 (($ $) 152 (|has| |#1| (-43 (-410 (-569)))))) (-2721 (($ $) 181 (|has| |#1| (-43 (-410 (-569)))))) (-3656 (($ $) 158 (|has| |#1| (-43 (-410 (-569)))))) (-1446 (($ $ (-410 (-569))) 145 (|has| |#1| (-43 (-410 (-569)))))) (-1705 (($ $ |#1|) 120 (|has| |#1| (-43 (-410 (-569)))))) (-4277 (($ $) 149 (|has| |#1| (-43 (-410 (-569)))))) (-4051 (($ $) 147 (|has| |#1| (-43 (-410 (-569)))))) (-3647 (($ $) 182 (|has| |#1| (-43 (-410 (-569)))))) (-2811 (($ $) 159 (|has| |#1| (-43 (-410 (-569)))))) (-2383 (($ $) 180 (|has| |#1| (-43 (-410 (-569)))))) (-1980 (($ $) 157 (|has| |#1| (-43 (-410 (-569)))))) (-2715 (($ $) 177 (|has| |#1| (-43 (-410 (-569)))))) (-2827 (($ $) 153 (|has| |#1| (-43 (-410 (-569)))))) (-2313 (($ $) 187 (|has| |#1| (-43 (-410 (-569)))))) (-3884 (($ $) 167 (|has| |#1| (-43 (-410 (-569)))))) (-3546 (($ $) 184 (|has| |#1| (-43 (-410 (-569)))))) (-3336 (($ $) 162 (|has| |#1| (-43 (-410 (-569)))))) (-3962 (($ $) 191 (|has| |#1| (-43 (-410 (-569)))))) (-1969 (($ $) 171 (|has| |#1| (-43 (-410 (-569)))))) (-2529 (($ $) 193 (|has| |#1| (-43 (-410 (-569)))))) (-2978 (($ $) 173 (|has| |#1| (-43 (-410 (-569)))))) (-1819 (($ $) 189 (|has| |#1| (-43 (-410 (-569)))))) (-3176 (($ $) 169 (|has| |#1| (-43 (-410 (-569)))))) (-3378 (($ $) 186 (|has| |#1| (-43 (-410 (-569)))))) (-3334 (($ $) 165 (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2994 ((|#1| $ (-569)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 29 T CONST)) (-1556 (($) 38 T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (-1668 (((-121) $ $) 65)) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) 84) (($ $ $) 64)) (-1707 (($ $ $) 81)) (** (($ $ (-918)) NIL) (($ $ (-764)) 102)) (* (($ (-918) $) 89) (($ (-764) $) 87) (($ (-569) $) 85) (($ $ $) 95) (($ $ |#1|) NIL) (($ |#1| $) 114) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-594 |#1|) (-13 (-1224 |#1| (-569)) (-10 -8 (-15 -2758 ($ (-1027 (-836 (-569))) (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))))) (-15 -2222 ((-1027 (-836 (-569))) $)) (-15 -1854 ((-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $)) (-15 -3343 ($ (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))))) (-15 -3523 ((-121) $)) (-15 -3622 ($ (-1 |#1| (-569)) $)) (-15 -2442 ((-3 $ "failed") $ $ (-121))) (-15 -1448 ($ $)) (-15 -2321 ($ $ $)) (-15 -2953 ((-851) (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) (-1027 (-836 (-569))) (-1163) |#1| (-410 (-569)))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -2565 ($ $)) (-15 -1705 ($ $ |#1|)) (-15 -1446 ($ $ (-410 (-569)))) (-15 -4051 ($ $)) (-15 -4277 ($ $)) (-15 -3938 ($ $)) (-15 -2827 ($ $)) (-15 -4508 ($ $)) (-15 -1980 ($ $)) (-15 -3656 ($ $)) (-15 -2811 ($ $)) (-15 -3336 ($ $)) (-15 -3334 ($ $)) (-15 -3884 ($ $)) (-15 -3176 ($ $)) (-15 -1969 ($ $)) (-15 -2978 ($ $)) (-15 -3446 ($ $)) (-15 -2715 ($ $)) (-15 -2318 ($ $)) (-15 -2383 ($ $)) (-15 -2721 ($ $)) (-15 -3647 ($ $)) (-15 -3546 ($ $)) (-15 -3378 ($ $)) (-15 -2313 ($ $)) (-15 -1819 ($ $)) (-15 -3962 ($ $)) (-15 -2529 ($ $))) |noBranch|))) (-1048)) (T -594)) 
+((-3523 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-594 *3)) (-4 *3 (-1048)))) (-2758 (*1 *1 *2 *3) (-12 (-5 *2 (-1027 (-836 (-569)))) (-5 *3 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *4)))) (-4 *4 (-1048)) (-5 *1 (-594 *4)))) (-2222 (*1 *2 *1) (-12 (-5 *2 (-1027 (-836 (-569)))) (-5 *1 (-594 *3)) (-4 *3 (-1048)))) (-1854 (*1 *2 *1) (-12 (-5 *2 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-5 *1 (-594 *3)) (-4 *3 (-1048)))) (-3343 (*1 *1 *2) (-12 (-5 *2 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-4 *3 (-1048)) (-5 *1 (-594 *3)))) (-3622 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-569))) (-4 *3 (-1048)) (-5 *1 (-594 *3)))) (-2442 (*1 *1 *1 *1 *2) (|partial| -12 (-5 *2 (-121)) (-5 *1 (-594 *3)) (-4 *3 (-1048)))) (-1448 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-1048)))) (-2321 (*1 *1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-1048)))) (-2953 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *6)))) (-5 *4 (-1027 (-836 (-569)))) (-5 *5 (-1163)) (-5 *7 (-410 (-569))) (-4 *6 (-1048)) (-5 *2 (-851)) (-5 *1 (-594 *6)))) (-2565 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-1705 (*1 *1 *1 *2) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-1446 (*1 *1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-594 *3)) (-4 *3 (-43 *2)) (-4 *3 (-1048)))) (-4051 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-4277 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-3938 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-2827 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-4508 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-1980 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-3656 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-2811 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-3336 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-3334 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-3884 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-3176 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-1969 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-2978 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-3446 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-2715 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-2318 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-2383 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-2721 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-3647 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-3546 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-3378 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-2313 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-1819 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-3962 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-2529 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(-13 (-1224 |#1| (-569)) (-10 -8 (-15 -2758 ($ (-1027 (-836 (-569))) (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))))) (-15 -2222 ((-1027 (-836 (-569))) $)) (-15 -1854 ((-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $)) (-15 -3343 ($ (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))))) (-15 -3523 ((-121) $)) (-15 -3622 ($ (-1 |#1| (-569)) $)) (-15 -2442 ((-3 $ "failed") $ $ (-121))) (-15 -1448 ($ $)) (-15 -2321 ($ $ $)) (-15 -2953 ((-851) (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) (-1027 (-836 (-569))) (-1163) |#1| (-410 (-569)))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -2565 ($ $)) (-15 -1705 ($ $ |#1|)) (-15 -1446 ($ $ (-410 (-569)))) (-15 -4051 ($ $)) (-15 -4277 ($ $)) (-15 -3938 ($ $)) (-15 -2827 ($ $)) (-15 -4508 ($ $)) (-15 -1980 ($ $)) (-15 -3656 ($ $)) (-15 -2811 ($ $)) (-15 -3336 ($ $)) (-15 -3334 ($ $)) (-15 -3884 ($ $)) (-15 -3176 ($ $)) (-15 -1969 ($ $)) (-15 -2978 ($ $)) (-15 -3446 ($ $)) (-15 -2715 ($ $)) (-15 -2318 ($ $)) (-15 -2383 ($ $)) (-15 -2721 ($ $)) (-15 -3647 ($ $)) (-15 -3546 ($ $)) (-15 -3378 ($ $)) (-15 -2313 ($ $)) (-15 -1819 ($ $)) (-15 -3962 ($ $)) (-15 -2529 ($ $))) |noBranch|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-3343 (($ (-1143 |#1|)) 9)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) 42)) (-2777 (((-121) $) 52)) (-2558 (((-764) $) 55) (((-764) $ (-764)) 54)) (-1407 (((-121) $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2941 (((-3 $ "failed") $ $) 44 (|has| |#1| (-559)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL (|has| |#1| (-559)))) (-3382 (((-1143 |#1|) $) 23)) (-1991 (((-764)) 51)) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 10 T CONST)) (-1556 (($) 14 T CONST)) (-1668 (((-121) $ $) 22)) (-1711 (($ $) 30) (($ $ $) 16)) (-1707 (($ $ $) 25)) (** (($ $ (-918)) NIL) (($ $ (-764)) 49)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 34) (($ $ $) 28) (($ |#1| $) 37) (($ $ |#1|) 38) (($ $ (-569)) 36))) 
+(((-595 |#1|) (-13 (-1048) (-10 -8 (-15 -3382 ((-1143 |#1|) $)) (-15 -3343 ($ (-1143 |#1|))) (-15 -2777 ((-121) $)) (-15 -2558 ((-764) $)) (-15 -2558 ((-764) $ (-764))) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 * ($ $ (-569))) (IF (|has| |#1| (-559)) (-6 (-559)) |noBranch|))) (-1048)) (T -595)) 
+((-3382 (*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-595 *3)) (-4 *3 (-1048)))) (-3343 (*1 *1 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-595 *3)))) (-2777 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-595 *3)) (-4 *3 (-1048)))) (-2558 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-595 *3)) (-4 *3 (-1048)))) (-2558 (*1 *2 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-595 *3)) (-4 *3 (-1048)))) (* (*1 *1 *2 *1) (-12 (-5 *1 (-595 *2)) (-4 *2 (-1048)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-595 *2)) (-4 *2 (-1048)))) (* (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-595 *3)) (-4 *3 (-1048))))) 
+(-13 (-1048) (-10 -8 (-15 -3382 ((-1143 |#1|) $)) (-15 -3343 ($ (-1143 |#1|))) (-15 -2777 ((-121) $)) (-15 -2558 ((-764) $)) (-15 -2558 ((-764) $ (-764))) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 * ($ $ (-569))) (IF (|has| |#1| (-559)) (-6 (-559)) |noBranch|))) 
+((-1544 (((-599 |#2|) (-1 |#2| |#1|) (-599 |#1|)) 15))) 
+(((-596 |#1| |#2|) (-10 -7 (-15 -1544 ((-599 |#2|) (-1 |#2| |#1|) (-599 |#1|)))) (-1197) (-1197)) (T -596)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-599 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-599 *6)) (-5 *1 (-596 *5 *6))))) 
+(-10 -7 (-15 -1544 ((-599 |#2|) (-1 |#2| |#1|) (-599 |#1|)))) 
+((-1544 (((-1143 |#3|) (-1 |#3| |#1| |#2|) (-599 |#1|) (-1143 |#2|)) 20) (((-1143 |#3|) (-1 |#3| |#1| |#2|) (-1143 |#1|) (-599 |#2|)) 19) (((-599 |#3|) (-1 |#3| |#1| |#2|) (-599 |#1|) (-599 |#2|)) 18))) 
+(((-597 |#1| |#2| |#3|) (-10 -7 (-15 -1544 ((-599 |#3|) (-1 |#3| |#1| |#2|) (-599 |#1|) (-599 |#2|))) (-15 -1544 ((-1143 |#3|) (-1 |#3| |#1| |#2|) (-1143 |#1|) (-599 |#2|))) (-15 -1544 ((-1143 |#3|) (-1 |#3| |#1| |#2|) (-599 |#1|) (-1143 |#2|)))) (-1197) (-1197) (-1197)) (T -597)) 
+((-1544 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-599 *6)) (-5 *5 (-1143 *7)) (-4 *6 (-1197)) (-4 *7 (-1197)) (-4 *8 (-1197)) (-5 *2 (-1143 *8)) (-5 *1 (-597 *6 *7 *8)))) (-1544 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1143 *6)) (-5 *5 (-599 *7)) (-4 *6 (-1197)) (-4 *7 (-1197)) (-4 *8 (-1197)) (-5 *2 (-1143 *8)) (-5 *1 (-597 *6 *7 *8)))) (-1544 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-599 *6)) (-5 *5 (-599 *7)) (-4 *6 (-1197)) (-4 *7 (-1197)) (-4 *8 (-1197)) (-5 *2 (-599 *8)) (-5 *1 (-597 *6 *7 *8))))) 
+(-10 -7 (-15 -1544 ((-599 |#3|) (-1 |#3| |#1| |#2|) (-599 |#1|) (-599 |#2|))) (-15 -1544 ((-1143 |#3|) (-1 |#3| |#1| |#2|) (-1143 |#1|) (-599 |#2|))) (-15 -1544 ((-1143 |#3|) (-1 |#3| |#1| |#2|) (-599 |#1|) (-1143 |#2|)))) 
+((-3853 ((|#3| |#3| (-635 (-608 |#3|)) (-635 (-1163))) 55)) (-4137 (((-170 |#2|) |#3|) 116)) (-2606 ((|#3| (-170 |#2|)) 43)) (-2151 ((|#2| |#3|) 19)) (-3115 ((|#3| |#2|) 32))) 
+(((-598 |#1| |#2| |#3|) (-10 -7 (-15 -2606 (|#3| (-170 |#2|))) (-15 -2151 (|#2| |#3|)) (-15 -3115 (|#3| |#2|)) (-15 -4137 ((-170 |#2|) |#3|)) (-15 -3853 (|#3| |#3| (-635 (-608 |#3|)) (-635 (-1163))))) (-13 (-559) (-843)) (-13 (-433 |#1|) (-1003) (-1183)) (-13 (-433 (-170 |#1|)) (-1003) (-1183))) (T -598)) 
+((-3853 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 (-608 *2))) (-5 *4 (-635 (-1163))) (-4 *2 (-13 (-433 (-170 *5)) (-1003) (-1183))) (-4 *5 (-13 (-559) (-843))) (-5 *1 (-598 *5 *6 *2)) (-4 *6 (-13 (-433 *5) (-1003) (-1183))))) (-4137 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843))) (-5 *2 (-170 *5)) (-5 *1 (-598 *4 *5 *3)) (-4 *5 (-13 (-433 *4) (-1003) (-1183))) (-4 *3 (-13 (-433 (-170 *4)) (-1003) (-1183))))) (-3115 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843))) (-4 *2 (-13 (-433 (-170 *4)) (-1003) (-1183))) (-5 *1 (-598 *4 *3 *2)) (-4 *3 (-13 (-433 *4) (-1003) (-1183))))) (-2151 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843))) (-4 *2 (-13 (-433 *4) (-1003) (-1183))) (-5 *1 (-598 *4 *2 *3)) (-4 *3 (-13 (-433 (-170 *4)) (-1003) (-1183))))) (-2606 (*1 *2 *3) (-12 (-5 *3 (-170 *5)) (-4 *5 (-13 (-433 *4) (-1003) (-1183))) (-4 *4 (-13 (-559) (-843))) (-4 *2 (-13 (-433 (-170 *4)) (-1003) (-1183))) (-5 *1 (-598 *4 *5 *2))))) 
+(-10 -7 (-15 -2606 (|#3| (-170 |#2|))) (-15 -2151 (|#2| |#3|)) (-15 -3115 (|#3| |#2|)) (-15 -4137 ((-170 |#2|) |#3|)) (-15 -3853 (|#3| |#3| (-635 (-608 |#3|)) (-635 (-1163))))) 
+((-1962 (($ (-1 (-121) |#1|) $) 16)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-1923 (($ (-1 |#1| |#1|) |#1|) 9)) (-1946 (($ (-1 (-121) |#1|) $) 12)) (-1953 (($ (-1 (-121) |#1|) $) 14)) (-2139 (((-1143 |#1|) $) 17)) (-2185 (((-851) $) NIL))) 
+(((-599 |#1|) (-13 (-609 (-851)) (-10 -8 (-15 -1544 ($ (-1 |#1| |#1|) $)) (-15 -1946 ($ (-1 (-121) |#1|) $)) (-15 -1953 ($ (-1 (-121) |#1|) $)) (-15 -1962 ($ (-1 (-121) |#1|) $)) (-15 -1923 ($ (-1 |#1| |#1|) |#1|)) (-15 -2139 ((-1143 |#1|) $)))) (-1197)) (T -599)) 
+((-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1197)) (-5 *1 (-599 *3)))) (-1946 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1197)) (-5 *1 (-599 *3)))) (-1953 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1197)) (-5 *1 (-599 *3)))) (-1962 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1197)) (-5 *1 (-599 *3)))) (-1923 (*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1197)) (-5 *1 (-599 *3)))) (-2139 (*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-599 *3)) (-4 *3 (-1197))))) 
+(-13 (-609 (-851)) (-10 -8 (-15 -1544 ($ (-1 |#1| |#1|) $)) (-15 -1946 ($ (-1 (-121) |#1|) $)) (-15 -1953 ($ (-1 (-121) |#1|) $)) (-15 -1962 ($ (-1 (-121) |#1|) $)) (-15 -1923 ($ (-1 |#1| |#1|) |#1|)) (-15 -2139 ((-1143 |#1|) $)))) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2418 (($ (-764)) NIL (|has| |#1| (-23)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-843)))) (-3076 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| |#1| (-843))))) (-3113 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) NIL (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4347 (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) NIL)) (-3727 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1091))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1091)))) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-4404 (((-680 |#1|) $ $) NIL (|has| |#1| (-1048)))) (-2659 (($ (-764) |#1|) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-3288 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2456 ((|#1| $) NIL (-12 (|has| |#1| (-1003)) (|has| |#1| (-1048))))) (-2006 (((-121) $ (-764)) NIL)) (-1906 ((|#1| $) NIL (-12 (|has| |#1| (-1003)) (|has| |#1| (-1048))))) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3614 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4353 ((|#1| $) NIL (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-3174 (($ $ |#1|) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-2049 ((|#1| $ $) NIL (|has| |#1| (-1048)))) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-3904 (($ $ $) NIL (|has| |#1| (-1048)))) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) NIL)) (-2250 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1711 (($ $) NIL (|has| |#1| (-21))) (($ $ $) NIL (|has| |#1| (-21)))) (-1707 (($ $ $) NIL (|has| |#1| (-25)))) (* (($ (-569) $) NIL (|has| |#1| (-21))) (($ |#1| $) NIL (|has| |#1| (-717))) (($ $ |#1|) NIL (|has| |#1| (-717)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-600 |#1| |#2|) (-1245 |#1|) (-1197) (-569)) (T -600)) 
+NIL 
+(-1245 |#1|) 
+((-3112 (((-1252) $ |#2| |#2|) 36)) (-3557 ((|#2| $) 23)) (-1285 ((|#2| $) 21)) (-1853 (($ (-1 |#3| |#3|) $) 32)) (-1544 (($ (-1 |#3| |#3|) $) 30)) (-4353 ((|#3| $) 26)) (-3174 (($ $ |#3|) 33)) (-3672 (((-121) |#3| $) 17)) (-2691 (((-635 |#3|) $) 15)) (-1534 ((|#3| $ |#2| |#3|) 12) ((|#3| $ |#2|) NIL))) 
+(((-601 |#1| |#2| |#3|) (-10 -8 (-15 -3112 ((-1252) |#1| |#2| |#2|)) (-15 -3174 (|#1| |#1| |#3|)) (-15 -4353 (|#3| |#1|)) (-15 -3557 (|#2| |#1|)) (-15 -1285 (|#2| |#1|)) (-15 -3672 ((-121) |#3| |#1|)) (-15 -2691 ((-635 |#3|) |#1|)) (-15 -1534 (|#3| |#1| |#2|)) (-15 -1534 (|#3| |#1| |#2| |#3|)) (-15 -1853 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -1544 (|#1| (-1 |#3| |#3|) |#1|))) (-602 |#2| |#3|) (-1091) (-1197)) (T -601)) 
+NIL 
+(-10 -8 (-15 -3112 ((-1252) |#1| |#2| |#2|)) (-15 -3174 (|#1| |#1| |#3|)) (-15 -4353 (|#3| |#1|)) (-15 -3557 (|#2| |#1|)) (-15 -1285 (|#2| |#1|)) (-15 -3672 ((-121) |#3| |#1|)) (-15 -2691 ((-635 |#3|) |#1|)) (-15 -1534 (|#3| |#1| |#2|)) (-15 -1534 (|#3| |#1| |#2| |#3|)) (-15 -1853 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -1544 (|#1| (-1 |#3| |#3|) |#1|))) 
+((-2568 (((-121) $ $) 18 (|has| |#2| (-1091)))) (-3112 (((-1252) $ |#1| |#1|) 37 (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) 8)) (-4469 ((|#2| $ |#1| |#2|) 49 (|has| $ (-6 -4536)))) (-2820 (($) 7 T CONST)) (-2726 ((|#2| $ |#1| |#2|) 50 (|has| $ (-6 -4536)))) (-1618 ((|#2| $ |#1|) 48)) (-3470 (((-635 |#2|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-3557 ((|#1| $) 40 (|has| |#1| (-843)))) (-4259 (((-635 |#2|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#2| $) 27 (-12 (|has| |#2| (-1091)) (|has| $ (-6 -4535))))) (-1285 ((|#1| $) 41 (|has| |#1| (-843)))) (-1853 (($ (-1 |#2| |#2|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#2| |#2|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#2| (-1091)))) (-4166 (((-635 |#1|) $) 43)) (-3533 (((-121) |#1| $) 44)) (-3360 (((-1109) $) 21 (|has| |#2| (-1091)))) (-4353 ((|#2| $) 39 (|has| |#1| (-843)))) (-3174 (($ $ |#2|) 38 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#2|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#2|))) 26 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) 25 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) 24 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) 23 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) |#2| $) 42 (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-2691 (((-635 |#2|) $) 45)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#2| $ |#1| |#2|) 47) ((|#2| $ |#1|) 46)) (-2846 (((-764) (-1 (-121) |#2|) $) 31 (|has| $ (-6 -4535))) (((-764) |#2| $) 28 (-12 (|has| |#2| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2185 (((-851) $) 20 (|has| |#2| (-1091)))) (-2066 (((-121) (-1 (-121) |#2|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#2| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-602 |#1| |#2|) (-1278) (-1091) (-1197)) (T -602)) 
+((-2691 (*1 *2 *1) (-12 (-4 *1 (-602 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1197)) (-5 *2 (-635 *4)))) (-3533 (*1 *2 *3 *1) (-12 (-4 *1 (-602 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1197)) (-5 *2 (-121)))) (-4166 (*1 *2 *1) (-12 (-4 *1 (-602 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1197)) (-5 *2 (-635 *3)))) (-3672 (*1 *2 *3 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-602 *4 *3)) (-4 *4 (-1091)) (-4 *3 (-1197)) (-4 *3 (-1091)) (-5 *2 (-121)))) (-1285 (*1 *2 *1) (-12 (-4 *1 (-602 *2 *3)) (-4 *3 (-1197)) (-4 *2 (-1091)) (-4 *2 (-843)))) (-3557 (*1 *2 *1) (-12 (-4 *1 (-602 *2 *3)) (-4 *3 (-1197)) (-4 *2 (-1091)) (-4 *2 (-843)))) (-4353 (*1 *2 *1) (-12 (-4 *1 (-602 *3 *2)) (-4 *3 (-1091)) (-4 *3 (-843)) (-4 *2 (-1197)))) (-3174 (*1 *1 *1 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-602 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1197)))) (-3112 (*1 *2 *1 *3 *3) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-602 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1197)) (-5 *2 (-1252))))) 
+(-13 (-500 |t#2|) (-284 |t#1| |t#2|) (-10 -8 (-15 -2691 ((-635 |t#2|) $)) (-15 -3533 ((-121) |t#1| $)) (-15 -4166 ((-635 |t#1|) $)) (IF (|has| |t#2| (-1091)) (IF (|has| $ (-6 -4535)) (-15 -3672 ((-121) |t#2| $)) |noBranch|) |noBranch|) (IF (|has| |t#1| (-843)) (PROGN (-15 -1285 (|t#1| $)) (-15 -3557 (|t#1| $)) (-15 -4353 (|t#2| $))) |noBranch|) (IF (|has| $ (-6 -4536)) (PROGN (-15 -3174 ($ $ |t#2|)) (-15 -3112 ((-1252) $ |t#1| |t#1|))) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#2| (-1091)) ((-609 (-851)) |has| |#2| (-1091)) ((-282 |#1| |#2|) . T) ((-284 |#1| |#2|) . T) ((-304 |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) ((-500 |#2|) . T) ((-524 |#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) ((-1091) |has| |#2| (-1091)) ((-1197) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-4276 (((-3 $ "failed")) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-4064 (((-1247 (-680 |#1|))) NIL (|has| |#2| (-420 |#1|))) (((-1247 (-680 |#1|)) (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-2141 (((-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-2820 (($) NIL T CONST)) (-3781 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1531 (((-3 $ "failed")) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-2909 (((-680 |#1|)) NIL (|has| |#2| (-420 |#1|))) (((-680 |#1|) (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-1723 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-1792 (((-680 |#1|) $) NIL (|has| |#2| (-420 |#1|))) (((-680 |#1|) $ (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-1620 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-2800 (((-1159 (-954 |#1|))) NIL (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-366))))) (-1628 (($ $ (-918)) NIL)) (-2830 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-2246 (((-1159 |#1|) $) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3316 ((|#1|) NIL (|has| |#2| (-420 |#1|))) ((|#1| (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-2355 (((-1159 |#1|) $) NIL (|has| |#2| (-370 |#1|)))) (-2607 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2623 (($ (-1247 |#1|)) NIL (|has| |#2| (-420 |#1|))) (($ (-1247 |#1|) (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-3428 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1321 (((-918)) NIL (|has| |#2| (-370 |#1|)))) (-3919 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1851 (($ $ (-918)) NIL)) (-2007 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1370 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-4239 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3926 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1588 (((-3 $ "failed")) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-2991 (((-680 |#1|)) NIL (|has| |#2| (-420 |#1|))) (((-680 |#1|) (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-1545 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-4007 (((-680 |#1|) $) NIL (|has| |#2| (-420 |#1|))) (((-680 |#1|) $ (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-4439 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3282 (((-1159 (-954 |#1|))) NIL (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-366))))) (-3272 (($ $ (-918)) NIL)) (-4200 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-3851 (((-1159 |#1|) $) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1584 ((|#1|) NIL (|has| |#2| (-420 |#1|))) ((|#1| (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-2415 (((-1159 |#1|) $) NIL (|has| |#2| (-370 |#1|)))) (-2377 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2776 (((-1145) $) NIL)) (-3379 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3337 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2598 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3360 (((-1109) $) NIL)) (-1324 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1534 ((|#1| $ (-569)) NIL (|has| |#2| (-420 |#1|)))) (-1648 (((-680 |#1|) (-1247 $)) NIL (|has| |#2| (-420 |#1|))) (((-1247 |#1|) $) NIL (|has| |#2| (-420 |#1|))) (((-680 |#1|) (-1247 $) (-1247 $)) NIL (|has| |#2| (-370 |#1|))) (((-1247 |#1|) $ (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-3817 (($ (-1247 |#1|)) NIL (|has| |#2| (-420 |#1|))) (((-1247 |#1|) $) NIL (|has| |#2| (-420 |#1|)))) (-3393 (((-635 (-954 |#1|))) NIL (|has| |#2| (-420 |#1|))) (((-635 (-954 |#1|)) (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-4293 (($ $ $) NIL)) (-2093 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2185 (((-851) $) NIL) ((|#2| $) 21) (($ |#2|) 22)) (-3930 (((-1247 $)) NIL (|has| |#2| (-420 |#1|)))) (-2131 (((-635 (-1247 |#1|))) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1383 (($ $ $ $) NIL)) (-4220 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1943 (($ (-680 |#1|) $) NIL (|has| |#2| (-420 |#1|)))) (-4033 (($ $ $) NIL)) (-1597 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3922 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-4227 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3369 (($) NIL T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) 24)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 20) (($ $ |#1|) 19) (($ |#1| $) NIL))) 
+(((-603 |#1| |#2|) (-13 (-737 |#1|) (-609 |#2|) (-10 -8 (-15 -2185 ($ |#2|)) (IF (|has| |#2| (-420 |#1|)) (-6 (-420 |#1|)) |noBranch|) (IF (|has| |#2| (-370 |#1|)) (-6 (-370 |#1|)) |noBranch|))) (-173) (-737 |#1|)) (T -603)) 
+((-2185 (*1 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-603 *3 *2)) (-4 *2 (-737 *3))))) 
+(-13 (-737 |#1|) (-609 |#2|) (-10 -8 (-15 -2185 ($ |#2|)) (IF (|has| |#2| (-420 |#1|)) (-6 (-420 |#1|)) |noBranch|) (IF (|has| |#2| (-370 |#1|)) (-6 (-370 |#1|)) |noBranch|))) 
+((-2568 (((-121) $ $) NIL)) (-1331 (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $ (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) 33)) (-2281 (($ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) NIL) (($) NIL)) (-3112 (((-1252) $ (-1145) (-1145)) NIL (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#1| $ (-1145) |#1|) 43)) (-4216 (($ (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535)))) (-2082 (((-3 |#1| "failed") (-1145) $) 46)) (-2820 (($) NIL T CONST)) (-3030 (($ $ (-1145)) 25)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091))))) (-4454 (((-3 |#1| "failed") (-1145) $) 47) (($ (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535))) (($ (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL (|has| $ (-6 -4535)))) (-4347 (($ (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535))) (($ (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091))))) (-1774 (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $ (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $ (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091))))) (-4154 (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) 32)) (-2726 ((|#1| $ (-1145) |#1|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-1145)) NIL)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535))) (((-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535)))) (-2471 (($ $) 48)) (-3230 (($ (-391)) 23) (($ (-391) (-1145)) 22)) (-1486 (((-391) $) 34)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-1145) $) NIL (|has| (-1145) (-843)))) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535))) (((-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (((-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091))))) (-1285 (((-1145) $) NIL (|has| (-1145) (-843)))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536))) (($ (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-2179 (((-635 (-1145)) $) 39)) (-1598 (((-121) (-1145) $) NIL)) (-2160 (((-1145) $) 35)) (-3889 (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL)) (-3172 (($ (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL)) (-4166 (((-635 (-1145)) $) NIL)) (-3533 (((-121) (-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-4061 (((-1252) $) NIL)) (-4353 ((|#1| $) NIL (|has| (-1145) (-843)))) (-2502 (((-3 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) "failed") (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL)) (-3174 (($ $ |#1|) NIL (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) NIL (-12 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)))) (($ $ (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) NIL (-12 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) NIL (-12 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)))) (($ $ (-635 (-289 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))))) NIL (-12 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 37)) (-1534 ((|#1| $ (-1145) |#1|) NIL) ((|#1| $ (-1145)) 42)) (-2566 (($ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) NIL) (($) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (((-764) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)))) (((-764) (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) NIL)) (-2185 (((-851) $) 21)) (-4084 (($ $) 26)) (-2793 (($ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) NIL)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 20)) (-4168 (((-764) $) 41 (|has| $ (-6 -4535))))) 
+(((-604 |#1|) (-13 (-367 (-391) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) (-1174 (-1145) |#1|) (-10 -8 (-6 -4535) (-15 -2471 ($ $)))) (-1091)) (T -604)) 
+((-2471 (*1 *1 *1) (-12 (-5 *1 (-604 *2)) (-4 *2 (-1091))))) 
+(-13 (-367 (-391) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) (-1174 (-1145) |#1|) (-10 -8 (-6 -4535) (-15 -2471 ($ $)))) 
+((-3660 (((-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) $) 15)) (-2179 (((-635 |#2|) $) 19)) (-1598 (((-121) |#2| $) 12))) 
+(((-605 |#1| |#2| |#3|) (-10 -8 (-15 -2179 ((-635 |#2|) |#1|)) (-15 -1598 ((-121) |#2| |#1|)) (-15 -3660 ((-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) |#1|))) (-606 |#2| |#3|) (-1091) (-1091)) (T -605)) 
+NIL 
+(-10 -8 (-15 -2179 ((-635 |#2|) |#1|)) (-15 -1598 ((-121) |#2| |#1|)) (-15 -3660 ((-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) |#1|))) 
+((-2568 (((-121) $ $) 18 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-1691 (((-121) $ (-764)) 8)) (-4216 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 42 (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 52 (|has| $ (-6 -4535)))) (-2082 (((-3 |#2| "failed") |#1| $) 57)) (-2820 (($) 7 T CONST)) (-2033 (($ $) 55 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535))))) (-4454 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 44 (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 43 (|has| $ (-6 -4535))) (((-3 |#2| "failed") |#1| $) 58)) (-4347 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 54 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 51 (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 53 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 50 (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 49 (|has| $ (-6 -4535)))) (-3470 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 27 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-2179 (((-635 |#1|) $) 59)) (-1598 (((-121) |#1| $) 60)) (-3889 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 36)) (-3172 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 37)) (-3360 (((-1109) $) 21 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-2502 (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 48)) (-1856 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 38)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 26 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 25 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 24 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 23 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-2566 (($) 46) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 45)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 31 (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 28 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-3817 (((-542) $) 56 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 47)) (-2185 (((-851) $) 20 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-2793 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 39)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-606 |#1| |#2|) (-1278) (-1091) (-1091)) (T -606)) 
+((-1598 (*1 *2 *3 *1) (-12 (-4 *1 (-606 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-5 *2 (-121)))) (-2179 (*1 *2 *1) (-12 (-4 *1 (-606 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-5 *2 (-635 *3)))) (-4454 (*1 *2 *3 *1) (|partial| -12 (-4 *1 (-606 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1091)))) (-2082 (*1 *2 *3 *1) (|partial| -12 (-4 *1 (-606 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1091))))) 
+(-13 (-222 (-2 (|:| -2335 |t#1|) (|:| -3782 |t#2|))) (-10 -8 (-15 -1598 ((-121) |t#1| $)) (-15 -2179 ((-635 |t#1|) $)) (-15 -4454 ((-3 |t#2| "failed") |t#1| $)) (-15 -2082 ((-3 |t#2| "failed") |t#1| $)))) 
+(((-39) . T) ((-111 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-105) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) ((-609 (-851)) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) ((-155 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-610 (-542)) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542))) ((-222 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-228 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) -12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))) ((-500 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-524 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) -12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))) ((-1091) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) ((-1197) . T)) 
+((-3705 (((-608 |#2|) |#1|) 15)) (-3175 (((-3 |#1| "failed") (-608 |#2|)) 19))) 
+(((-607 |#1| |#2|) (-10 -7 (-15 -3705 ((-608 |#2|) |#1|)) (-15 -3175 ((-3 |#1| "failed") (-608 |#2|)))) (-843) (-843)) (T -607)) 
+((-3175 (*1 *2 *3) (|partial| -12 (-5 *3 (-608 *4)) (-4 *4 (-843)) (-4 *2 (-843)) (-5 *1 (-607 *2 *4)))) (-3705 (*1 *2 *3) (-12 (-5 *2 (-608 *4)) (-5 *1 (-607 *3 *4)) (-4 *3 (-843)) (-4 *4 (-843))))) 
+(-10 -7 (-15 -3705 ((-608 |#2|) |#1|)) (-15 -3175 ((-3 |#1| "failed") (-608 |#2|)))) 
+((-2568 (((-121) $ $) NIL)) (-3078 (((-3 (-1163) "failed") $) 36)) (-2441 (((-1252) $ (-764)) 26)) (-3727 (((-764) $) 25)) (-2265 (((-123) $) 12)) (-1486 (((-1163) $) 20)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-1777 (($ (-123) (-635 |#1|) (-764)) 30) (($ (-1163)) 31)) (-4029 (((-121) $ (-123)) 18) (((-121) $ (-1163)) 16)) (-2626 (((-764) $) 22)) (-3360 (((-1109) $) NIL)) (-3817 (((-888 (-569)) $) 69 (|has| |#1| (-610 (-888 (-569))))) (((-888 (-382)) $) 75 (|has| |#1| (-610 (-888 (-382))))) (((-542) $) 62 (|has| |#1| (-610 (-542))))) (-2185 (((-851) $) 51)) (-1408 (((-635 |#1|) $) 24)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 39)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 40))) 
+(((-608 |#1|) (-13 (-139) (-880 |#1|) (-10 -8 (-15 -1486 ((-1163) $)) (-15 -2265 ((-123) $)) (-15 -1408 ((-635 |#1|) $)) (-15 -2626 ((-764) $)) (-15 -1777 ($ (-123) (-635 |#1|) (-764))) (-15 -1777 ($ (-1163))) (-15 -3078 ((-3 (-1163) "failed") $)) (-15 -4029 ((-121) $ (-123))) (-15 -4029 ((-121) $ (-1163))) (IF (|has| |#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|))) (-843)) (T -608)) 
+((-1486 (*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-608 *3)) (-4 *3 (-843)))) (-2265 (*1 *2 *1) (-12 (-5 *2 (-123)) (-5 *1 (-608 *3)) (-4 *3 (-843)))) (-1408 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-608 *3)) (-4 *3 (-843)))) (-2626 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-608 *3)) (-4 *3 (-843)))) (-1777 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-123)) (-5 *3 (-635 *5)) (-5 *4 (-764)) (-4 *5 (-843)) (-5 *1 (-608 *5)))) (-1777 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-608 *3)) (-4 *3 (-843)))) (-3078 (*1 *2 *1) (|partial| -12 (-5 *2 (-1163)) (-5 *1 (-608 *3)) (-4 *3 (-843)))) (-4029 (*1 *2 *1 *3) (-12 (-5 *3 (-123)) (-5 *2 (-121)) (-5 *1 (-608 *4)) (-4 *4 (-843)))) (-4029 (*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-121)) (-5 *1 (-608 *4)) (-4 *4 (-843))))) 
+(-13 (-139) (-880 |#1|) (-10 -8 (-15 -1486 ((-1163) $)) (-15 -2265 ((-123) $)) (-15 -1408 ((-635 |#1|) $)) (-15 -2626 ((-764) $)) (-15 -1777 ($ (-123) (-635 |#1|) (-764))) (-15 -1777 ($ (-1163))) (-15 -3078 ((-3 (-1163) "failed") $)) (-15 -4029 ((-121) $ (-123))) (-15 -4029 ((-121) $ (-1163))) (IF (|has| |#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|))) 
+((-2185 ((|#1| $) 6))) 
+(((-609 |#1|) (-1278) (-1197)) (T -609)) 
+((-2185 (*1 *2 *1) (-12 (-4 *1 (-609 *2)) (-4 *2 (-1197))))) 
+(-13 (-10 -8 (-15 -2185 (|t#1| $)))) 
+((-3817 ((|#1| $) 6))) 
+(((-610 |#1|) (-1278) (-1197)) (T -610)) 
+((-3817 (*1 *2 *1) (-12 (-4 *1 (-610 *2)) (-4 *2 (-1197))))) 
+(-13 (-10 -8 (-15 -3817 (|t#1| $)))) 
+((-1467 (((-3 (-1159 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|) (-1 (-421 |#2|) |#2|)) 13) (((-3 (-1159 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|)) 14))) 
+(((-611 |#1| |#2|) (-10 -7 (-15 -1467 ((-3 (-1159 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|))) (-15 -1467 ((-3 (-1159 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|) (-1 (-421 |#2|) |#2|)))) (-13 (-151) (-27) (-1038 (-569)) (-1038 (-410 (-569)))) (-1222 |#1|)) (T -611)) 
+((-1467 (*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-151) (-27) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-1159 (-410 *6))) (-5 *1 (-611 *5 *6)) (-5 *3 (-410 *6)))) (-1467 (*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-151) (-27) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *2 (-1159 (-410 *5))) (-5 *1 (-611 *4 *5)) (-5 *3 (-410 *5))))) 
+(-10 -7 (-15 -1467 ((-3 (-1159 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|))) (-15 -1467 ((-3 (-1159 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|) (-1 (-421 |#2|) |#2|)))) 
+((-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#2|) 10))) 
+(((-612 |#1| |#2|) (-10 -8 (-15 -2185 (|#1| |#2|)) (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) (-613 |#2|) (-1048)) (T -612)) 
+NIL 
+(-10 -8 (-15 -2185 (|#1| |#2|)) (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 35)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ |#1| $) 36))) 
+(((-613 |#1|) (-1278) (-1048)) (T -613)) 
+((-2185 (*1 *1 *2) (-12 (-4 *1 (-613 *2)) (-4 *2 (-1048))))) 
+(-13 (-1048) (-638 |t#1|) (-10 -8 (-15 -2185 ($ |t#1|)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-717) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3638 (((-569) $) NIL (|has| |#1| (-841)))) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) NIL)) (-2403 (((-121) $) NIL (|has| |#1| (-841)))) (-1407 (((-121) $) NIL)) (-4116 ((|#1| $) 13)) (-1781 (((-121) $) NIL (|has| |#1| (-841)))) (-3291 (($ $ $) NIL (|has| |#1| (-841)))) (-1538 (($ $ $) NIL (|has| |#1| (-841)))) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-4121 ((|#3| $) 15)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#2|) NIL)) (-1991 (((-764)) 20)) (-1616 (($ $) NIL (|has| |#1| (-841)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) 12 T CONST)) (-1693 (((-121) $ $) NIL (|has| |#1| (-841)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-841)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#1| (-841)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-841)))) (-1715 (($ $ |#3|) NIL) (($ |#1| |#3|) 11)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 17) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
+(((-614 |#1| |#2| |#3|) (-13 (-43 |#2|) (-10 -8 (IF (|has| |#1| (-841)) (-6 (-841)) |noBranch|) (-15 -1715 ($ $ |#3|)) (-15 -1715 ($ |#1| |#3|)) (-15 -4116 (|#1| $)) (-15 -4121 (|#3| $)))) (-43 |#2|) (-173) (|SubsetCategory| (-717) |#2|)) (T -614)) 
+((-1715 (*1 *1 *1 *2) (-12 (-4 *4 (-173)) (-5 *1 (-614 *3 *4 *2)) (-4 *3 (-43 *4)) (-4 *2 (|SubsetCategory| (-717) *4)))) (-1715 (*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-614 *2 *4 *3)) (-4 *2 (-43 *4)) (-4 *3 (|SubsetCategory| (-717) *4)))) (-4116 (*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-43 *3)) (-5 *1 (-614 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-717) *3)))) (-4121 (*1 *2 *1) (-12 (-4 *4 (-173)) (-4 *2 (|SubsetCategory| (-717) *4)) (-5 *1 (-614 *3 *4 *2)) (-4 *3 (-43 *4))))) 
+(-13 (-43 |#2|) (-10 -8 (IF (|has| |#1| (-841)) (-6 (-841)) |noBranch|) (-15 -1715 ($ $ |#3|)) (-15 -1715 ($ |#1| |#3|)) (-15 -4116 (|#1| $)) (-15 -4121 (|#3| $)))) 
+((-1933 ((|#2| |#2| (-1163) (-1163)) 18))) 
+(((-615 |#1| |#2|) (-10 -7 (-15 -1933 (|#2| |#2| (-1163) (-1163)))) (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569))) (-13 (-1183) (-960) (-29 |#1|))) (T -615)) 
+((-1933 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-615 *4 *2)) (-4 *2 (-13 (-1183) (-960) (-29 *4)))))) 
+(-10 -7 (-15 -1933 (|#2| |#2| (-1163) (-1163)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 52)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3896 ((|#1| $) 49)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-2499 (((-2 (|:| -4172 $) (|:| -3815 (-410 |#2|))) (-410 |#2|)) 95 (|has| |#1| (-366)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) 83) (((-3 |#2| "failed") $) 80)) (-2428 (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) NIL) ((|#2| $) NIL)) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-4020 (($ $) 24)) (-3428 (((-3 $ "failed") $) 74)) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-2558 (((-569) $) 19)) (-1407 (((-121) $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3523 (((-121) $) 36)) (-1763 (($ |#1| (-569)) 21)) (-4012 ((|#1| $) 51)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-366)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) 85 (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 98 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-2941 (((-3 $ "failed") $ $) 78)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2622 (((-764) $) 97 (|has| |#1| (-366)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 96 (|has| |#1| (-366)))) (-3899 (($ $ (-1 |#2| |#2|)) 65) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-764)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-2492 (((-569) $) 34)) (-3817 (((-410 |#2|) $) 42)) (-2185 (((-851) $) 61) (($ (-569)) 32) (($ $) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-1038 (-410 (-569))))) (($ |#1|) 31) (($ |#2|) 22)) (-1653 ((|#1| $ (-569)) 62)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) 29)) (-1961 (((-121) $ $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 9 T CONST)) (-1556 (($) 12 T CONST)) (-3022 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-764)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-1668 (((-121) $ $) 17)) (-1711 (($ $) 46) (($ $ $) NIL)) (-1707 (($ $ $) 75)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 26) (($ $ $) 44))) 
+(((-616 |#1| |#2|) (-13 (-224 |#2|) (-559) (-610 (-410 |#2|)) (-414 |#1|) (-1038 |#2|) (-10 -8 (-15 -3523 ((-121) $)) (-15 -2492 ((-569) $)) (-15 -2558 ((-569) $)) (-15 -4020 ($ $)) (-15 -4012 (|#1| $)) (-15 -3896 (|#1| $)) (-15 -1653 (|#1| $ (-569))) (-15 -1763 ($ |#1| (-569))) (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-6 (-302)) (-15 -2499 ((-2 (|:| -4172 $) (|:| -3815 (-410 |#2|))) (-410 |#2|)))) |noBranch|))) (-559) (-1222 |#1|)) (T -616)) 
+((-3523 (*1 *2 *1) (-12 (-4 *3 (-559)) (-5 *2 (-121)) (-5 *1 (-616 *3 *4)) (-4 *4 (-1222 *3)))) (-2492 (*1 *2 *1) (-12 (-4 *3 (-559)) (-5 *2 (-569)) (-5 *1 (-616 *3 *4)) (-4 *4 (-1222 *3)))) (-2558 (*1 *2 *1) (-12 (-4 *3 (-559)) (-5 *2 (-569)) (-5 *1 (-616 *3 *4)) (-4 *4 (-1222 *3)))) (-4020 (*1 *1 *1) (-12 (-4 *2 (-559)) (-5 *1 (-616 *2 *3)) (-4 *3 (-1222 *2)))) (-4012 (*1 *2 *1) (-12 (-4 *2 (-559)) (-5 *1 (-616 *2 *3)) (-4 *3 (-1222 *2)))) (-3896 (*1 *2 *1) (-12 (-4 *2 (-559)) (-5 *1 (-616 *2 *3)) (-4 *3 (-1222 *2)))) (-1653 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-559)) (-5 *1 (-616 *2 *4)) (-4 *4 (-1222 *2)))) (-1763 (*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-4 *2 (-559)) (-5 *1 (-616 *2 *4)) (-4 *4 (-1222 *2)))) (-2499 (*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *4 (-559)) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| -4172 (-616 *4 *5)) (|:| -3815 (-410 *5)))) (-5 *1 (-616 *4 *5)) (-5 *3 (-410 *5))))) 
+(-13 (-224 |#2|) (-559) (-610 (-410 |#2|)) (-414 |#1|) (-1038 |#2|) (-10 -8 (-15 -3523 ((-121) $)) (-15 -2492 ((-569) $)) (-15 -2558 ((-569) $)) (-15 -4020 ($ $)) (-15 -4012 (|#1| $)) (-15 -3896 (|#1| $)) (-15 -1653 (|#1| $ (-569))) (-15 -1763 ($ |#1| (-569))) (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-6 (-302)) (-15 -2499 ((-2 (|:| -4172 $) (|:| -3815 (-410 |#2|))) (-410 |#2|)))) |noBranch|))) 
+((-4426 (((-635 |#6|) (-635 |#4|) (-121)) 46)) (-2453 ((|#6| |#6|) 39))) 
+(((-617 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -2453 (|#6| |#6|)) (-15 -4426 ((-635 |#6|) (-635 |#4|) (-121)))) (-454) (-789) (-843) (-1062 |#1| |#2| |#3|) (-1067 |#1| |#2| |#3| |#4|) (-1100 |#1| |#2| |#3| |#4|)) (T -617)) 
+((-4426 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 *10)) (-5 *1 (-617 *5 *6 *7 *8 *9 *10)) (-4 *9 (-1067 *5 *6 *7 *8)) (-4 *10 (-1100 *5 *6 *7 *8)))) (-2453 (*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *1 (-617 *3 *4 *5 *6 *7 *2)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *2 (-1100 *3 *4 *5 *6))))) 
+(-10 -7 (-15 -2453 (|#6| |#6|)) (-15 -4426 ((-635 |#6|) (-635 |#4|) (-121)))) 
+((-1926 (((-121) |#3| (-764) (-635 |#3|)) 22)) (-4494 (((-3 (-2 (|:| |polfac| (-635 |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (-635 (-1159 |#3|)))) "failed") |#3| (-635 (-1159 |#3|)) (-2 (|:| |contp| |#3|) (|:| -1640 (-635 (-2 (|:| |irr| |#4|) (|:| -4245 (-569)))))) (-635 |#3|) (-635 |#1|) (-635 |#3|)) 51))) 
+(((-618 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1926 ((-121) |#3| (-764) (-635 |#3|))) (-15 -4494 ((-3 (-2 (|:| |polfac| (-635 |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (-635 (-1159 |#3|)))) "failed") |#3| (-635 (-1159 |#3|)) (-2 (|:| |contp| |#3|) (|:| -1640 (-635 (-2 (|:| |irr| |#4|) (|:| -4245 (-569)))))) (-635 |#3|) (-635 |#1|) (-635 |#3|)))) (-843) (-789) (-302) (-951 |#3| |#2| |#1|)) (T -618)) 
+((-4494 (*1 *2 *3 *4 *5 *6 *7 *6) (|partial| -12 (-5 *5 (-2 (|:| |contp| *3) (|:| -1640 (-635 (-2 (|:| |irr| *10) (|:| -4245 (-569))))))) (-5 *6 (-635 *3)) (-5 *7 (-635 *8)) (-4 *8 (-843)) (-4 *3 (-302)) (-4 *10 (-951 *3 *9 *8)) (-4 *9 (-789)) (-5 *2 (-2 (|:| |polfac| (-635 *10)) (|:| |correct| *3) (|:| |corrfact| (-635 (-1159 *3))))) (-5 *1 (-618 *8 *9 *3 *10)) (-5 *4 (-635 (-1159 *3))))) (-1926 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-764)) (-5 *5 (-635 *3)) (-4 *3 (-302)) (-4 *6 (-843)) (-4 *7 (-789)) (-5 *2 (-121)) (-5 *1 (-618 *6 *7 *3 *8)) (-4 *8 (-951 *3 *7 *6))))) 
+(-10 -7 (-15 -1926 ((-121) |#3| (-764) (-635 |#3|))) (-15 -4494 ((-3 (-2 (|:| |polfac| (-635 |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (-635 (-1159 |#3|)))) "failed") |#3| (-635 (-1159 |#3|)) (-2 (|:| |contp| |#3|) (|:| -1640 (-635 (-2 (|:| |irr| |#4|) (|:| -4245 (-569)))))) (-635 |#3|) (-635 |#1|) (-635 |#3|)))) 
+((-2568 (((-121) $ $) NIL)) (-3914 (((-635 |#1|) $) NIL)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) NIL)) (-1407 (((-121) $) NIL)) (-2208 (($ $) 67)) (-4450 (((-657 |#1| |#2|) $) 52)) (-1859 (((-635 (-2 (|:| |k| (-889 |#1|)) (|:| |c| |#2|))) $) 36)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 70)) (-2317 (((-635 (-289 |#2|)) $ $) 33)) (-3360 (((-1109) $) NIL)) (-2436 (($ (-657 |#1| |#2|)) 48)) (-1414 (($ $ $) NIL)) (-4293 (($ $ $) NIL)) (-2185 (((-851) $) 58) (((-1260 |#1| |#2|) $) NIL) (((-1265 |#1| |#2|) $) 66)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-1556 (($) 53 T CONST)) (-3997 (((-635 (-2 (|:| |k| (-664 |#1|)) (|:| |c| |#2|))) $) 31)) (-2059 (((-635 (-657 |#1| |#2|)) (-635 |#1|)) 65)) (-1668 (((-121) $ $) 54)) (-1715 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ $ $) 44))) 
+(((-619 |#1| |#2| |#3|) (-13 (-479) (-10 -8 (-15 -2436 ($ (-657 |#1| |#2|))) (-15 -4450 ((-657 |#1| |#2|) $)) (-15 -1859 ((-635 (-2 (|:| |k| (-889 |#1|)) (|:| |c| |#2|))) $)) (-15 -2185 ((-1260 |#1| |#2|) $)) (-15 -2185 ((-1265 |#1| |#2|) $)) (-15 -2208 ($ $)) (-15 -3914 ((-635 |#1|) $)) (-15 -2059 ((-635 (-657 |#1| |#2|)) (-635 |#1|))) (-15 -3997 ((-635 (-2 (|:| |k| (-664 |#1|)) (|:| |c| |#2|))) $)) (-15 -2317 ((-635 (-289 |#2|)) $ $)))) (-843) (-13 (-173) (-708 (-410 (-569)))) (-918)) (T -619)) 
+((-2436 (*1 *1 *2) (-12 (-5 *2 (-657 *3 *4)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-5 *1 (-619 *3 *4 *5)) (-14 *5 (-918)))) (-4450 (*1 *2 *1) (-12 (-5 *2 (-657 *3 *4)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918)))) (-1859 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| (-889 *3)) (|:| |c| *4)))) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-1260 *3 *4)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-1265 *3 *4)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918)))) (-2208 (*1 *1 *1) (-12 (-5 *1 (-619 *2 *3 *4)) (-4 *2 (-843)) (-4 *3 (-13 (-173) (-708 (-410 (-569))))) (-14 *4 (-918)))) (-3914 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918)))) (-2059 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-843)) (-5 *2 (-635 (-657 *4 *5))) (-5 *1 (-619 *4 *5 *6)) (-4 *5 (-13 (-173) (-708 (-410 (-569))))) (-14 *6 (-918)))) (-3997 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| (-664 *3)) (|:| |c| *4)))) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918)))) (-2317 (*1 *2 *1 *1) (-12 (-5 *2 (-635 (-289 *4))) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918))))) 
+(-13 (-479) (-10 -8 (-15 -2436 ($ (-657 |#1| |#2|))) (-15 -4450 ((-657 |#1| |#2|) $)) (-15 -1859 ((-635 (-2 (|:| |k| (-889 |#1|)) (|:| |c| |#2|))) $)) (-15 -2185 ((-1260 |#1| |#2|) $)) (-15 -2185 ((-1265 |#1| |#2|) $)) (-15 -2208 ($ $)) (-15 -3914 ((-635 |#1|) $)) (-15 -2059 ((-635 (-657 |#1| |#2|)) (-635 |#1|))) (-15 -3997 ((-635 (-2 (|:| |k| (-664 |#1|)) (|:| |c| |#2|))) $)) (-15 -2317 ((-635 (-289 |#2|)) $ $)))) 
+((-4426 (((-635 (-1132 |#1| (-535 (-853 |#2|)) (-853 |#2|) (-776 |#1| (-853 |#2|)))) (-635 (-776 |#1| (-853 |#2|))) (-121)) 70) (((-635 (-1045 |#1| |#2|)) (-635 (-776 |#1| (-853 |#2|))) (-121)) 56)) (-2362 (((-121) (-635 (-776 |#1| (-853 |#2|)))) 22)) (-1516 (((-635 (-1132 |#1| (-535 (-853 |#2|)) (-853 |#2|) (-776 |#1| (-853 |#2|)))) (-635 (-776 |#1| (-853 |#2|))) (-121)) 69)) (-2174 (((-635 (-1045 |#1| |#2|)) (-635 (-776 |#1| (-853 |#2|))) (-121)) 55)) (-2815 (((-635 (-776 |#1| (-853 |#2|))) (-635 (-776 |#1| (-853 |#2|)))) 26)) (-4075 (((-3 (-635 (-776 |#1| (-853 |#2|))) "failed") (-635 (-776 |#1| (-853 |#2|)))) 25))) 
+(((-620 |#1| |#2|) (-10 -7 (-15 -2362 ((-121) (-635 (-776 |#1| (-853 |#2|))))) (-15 -4075 ((-3 (-635 (-776 |#1| (-853 |#2|))) "failed") (-635 (-776 |#1| (-853 |#2|))))) (-15 -2815 ((-635 (-776 |#1| (-853 |#2|))) (-635 (-776 |#1| (-853 |#2|))))) (-15 -2174 ((-635 (-1045 |#1| |#2|)) (-635 (-776 |#1| (-853 |#2|))) (-121))) (-15 -1516 ((-635 (-1132 |#1| (-535 (-853 |#2|)) (-853 |#2|) (-776 |#1| (-853 |#2|)))) (-635 (-776 |#1| (-853 |#2|))) (-121))) (-15 -4426 ((-635 (-1045 |#1| |#2|)) (-635 (-776 |#1| (-853 |#2|))) (-121))) (-15 -4426 ((-635 (-1132 |#1| (-535 (-853 |#2|)) (-853 |#2|) (-776 |#1| (-853 |#2|)))) (-635 (-776 |#1| (-853 |#2|))) (-121)))) (-454) (-635 (-1163))) (T -620)) 
+((-4426 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-776 *5 (-853 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-1132 *5 (-535 (-853 *6)) (-853 *6) (-776 *5 (-853 *6))))) (-5 *1 (-620 *5 *6)))) (-4426 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-776 *5 (-853 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-1045 *5 *6))) (-5 *1 (-620 *5 *6)))) (-1516 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-776 *5 (-853 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-1132 *5 (-535 (-853 *6)) (-853 *6) (-776 *5 (-853 *6))))) (-5 *1 (-620 *5 *6)))) (-2174 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-776 *5 (-853 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-1045 *5 *6))) (-5 *1 (-620 *5 *6)))) (-2815 (*1 *2 *2) (-12 (-5 *2 (-635 (-776 *3 (-853 *4)))) (-4 *3 (-454)) (-14 *4 (-635 (-1163))) (-5 *1 (-620 *3 *4)))) (-4075 (*1 *2 *2) (|partial| -12 (-5 *2 (-635 (-776 *3 (-853 *4)))) (-4 *3 (-454)) (-14 *4 (-635 (-1163))) (-5 *1 (-620 *3 *4)))) (-2362 (*1 *2 *3) (-12 (-5 *3 (-635 (-776 *4 (-853 *5)))) (-4 *4 (-454)) (-14 *5 (-635 (-1163))) (-5 *2 (-121)) (-5 *1 (-620 *4 *5))))) 
+(-10 -7 (-15 -2362 ((-121) (-635 (-776 |#1| (-853 |#2|))))) (-15 -4075 ((-3 (-635 (-776 |#1| (-853 |#2|))) "failed") (-635 (-776 |#1| (-853 |#2|))))) (-15 -2815 ((-635 (-776 |#1| (-853 |#2|))) (-635 (-776 |#1| (-853 |#2|))))) (-15 -2174 ((-635 (-1045 |#1| |#2|)) (-635 (-776 |#1| (-853 |#2|))) (-121))) (-15 -1516 ((-635 (-1132 |#1| (-535 (-853 |#2|)) (-853 |#2|) (-776 |#1| (-853 |#2|)))) (-635 (-776 |#1| (-853 |#2|))) (-121))) (-15 -4426 ((-635 (-1045 |#1| |#2|)) (-635 (-776 |#1| (-853 |#2|))) (-121))) (-15 -4426 ((-635 (-1132 |#1| (-535 (-853 |#2|)) (-853 |#2|) (-776 |#1| (-853 |#2|)))) (-635 (-776 |#1| (-853 |#2|))) (-121)))) 
+((-1753 (($ $) 38)) (-2530 (($ $) 21)) (-1744 (($ $) 37)) (-2513 (($ $) 22)) (-1760 (($ $) 36)) (-2546 (($ $) 23)) (-2445 (($) 48)) (-4450 (($ $) 45)) (-2469 (($ $) 17)) (-2261 (($ $ (-1083 $)) 7) (($ $ (-1163)) 6)) (-4385 (($ $) 14)) (-4427 (($ $) 13)) (-2436 (($ $) 46)) (-2477 (($ $) 15)) (-2505 (($ $) 16)) (-1764 (($ $) 35)) (-2554 (($ $) 24)) (-1756 (($ $) 34)) (-2538 (($ $) 25)) (-1748 (($ $) 33)) (-2522 (($ $) 26)) (-1779 (($ $) 44)) (-1727 (($ $) 32)) (-1770 (($ $) 43)) (-2561 (($ $) 31)) (-1785 (($ $) 42)) (-1736 (($ $) 30)) (-2430 (($ $) 41)) (-1740 (($ $) 29)) (-1782 (($ $) 40)) (-1731 (($ $) 28)) (-1775 (($ $) 39)) (-2569 (($ $) 27)) (-2404 (($ $) 19)) (-4100 (($ $) 20)) (-1683 (($ $) 18)) (** (($ $ $) 47))) 
+(((-621) (-1278)) (T -621)) 
+((-4100 (*1 *1 *1) (-4 *1 (-621))) (-2404 (*1 *1 *1) (-4 *1 (-621))) (-1683 (*1 *1 *1) (-4 *1 (-621))) (-2469 (*1 *1 *1) (-4 *1 (-621))) (-2505 (*1 *1 *1) (-4 *1 (-621))) (-2477 (*1 *1 *1) (-4 *1 (-621))) (-4385 (*1 *1 *1) (-4 *1 (-621))) (-4427 (*1 *1 *1) (-4 *1 (-621)))) 
+(-13 (-960) (-1183) (-10 -8 (-15 -4100 ($ $)) (-15 -2404 ($ $)) (-15 -1683 ($ $)) (-15 -2469 ($ $)) (-15 -2505 ($ $)) (-15 -2477 ($ $)) (-15 -4385 ($ $)) (-15 -4427 ($ $)))) 
+(((-40) . T) ((-98) . T) ((-280) . T) ((-503) . T) ((-960) . T) ((-1183) . T) ((-1186) . T)) 
+((-2265 (((-123) (-123)) 87)) (-2469 ((|#2| |#2|) 32)) (-2261 ((|#2| |#2| (-1083 |#2|)) 83) ((|#2| |#2| (-1163)) 56)) (-4385 ((|#2| |#2|) 34)) (-4427 ((|#2| |#2|) 35)) (-2477 ((|#2| |#2|) 31)) (-2505 ((|#2| |#2|) 33)) (-1524 (((-121) (-123)) 38)) (-2404 ((|#2| |#2|) 28)) (-4100 ((|#2| |#2|) 30)) (-1683 ((|#2| |#2|) 29))) 
+(((-622 |#1| |#2|) (-10 -7 (-15 -1524 ((-121) (-123))) (-15 -2265 ((-123) (-123))) (-15 -4100 (|#2| |#2|)) (-15 -2404 (|#2| |#2|)) (-15 -1683 (|#2| |#2|)) (-15 -2469 (|#2| |#2|)) (-15 -2477 (|#2| |#2|)) (-15 -2505 (|#2| |#2|)) (-15 -4385 (|#2| |#2|)) (-15 -4427 (|#2| |#2|)) (-15 -2261 (|#2| |#2| (-1163))) (-15 -2261 (|#2| |#2| (-1083 |#2|)))) (-13 (-843) (-559)) (-13 (-433 |#1|) (-1003) (-1183))) (T -622)) 
+((-2261 (*1 *2 *2 *3) (-12 (-5 *3 (-1083 *2)) (-4 *2 (-13 (-433 *4) (-1003) (-1183))) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-622 *4 *2)))) (-2261 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-622 *4 *2)) (-4 *2 (-13 (-433 *4) (-1003) (-1183))))) (-4427 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183))))) (-4385 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183))))) (-2505 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183))))) (-2477 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183))))) (-2469 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183))))) (-1683 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183))))) (-2404 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183))))) (-4100 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183))))) (-2265 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *4)) (-4 *4 (-13 (-433 *3) (-1003) (-1183))))) (-1524 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-121)) (-5 *1 (-622 *4 *5)) (-4 *5 (-13 (-433 *4) (-1003) (-1183)))))) 
+(-10 -7 (-15 -1524 ((-121) (-123))) (-15 -2265 ((-123) (-123))) (-15 -4100 (|#2| |#2|)) (-15 -2404 (|#2| |#2|)) (-15 -1683 (|#2| |#2|)) (-15 -2469 (|#2| |#2|)) (-15 -2477 (|#2| |#2|)) (-15 -2505 (|#2| |#2|)) (-15 -4385 (|#2| |#2|)) (-15 -4427 (|#2| |#2|)) (-15 -2261 (|#2| |#2| (-1163))) (-15 -2261 (|#2| |#2| (-1083 |#2|)))) 
+((-3714 (((-493 |#1| |#2|) (-243 |#1| |#2|)) 52)) (-2276 (((-635 (-243 |#1| |#2|)) (-635 (-493 |#1| |#2|))) 67)) (-2384 (((-493 |#1| |#2|) (-635 (-493 |#1| |#2|)) (-853 |#1|)) 69) (((-493 |#1| |#2|) (-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)) (-853 |#1|)) 68)) (-2295 (((-2 (|:| |gblist| (-635 (-243 |#1| |#2|))) (|:| |gvlist| (-635 (-569)))) (-635 (-493 |#1| |#2|))) 105)) (-3842 (((-635 (-493 |#1| |#2|)) (-853 |#1|) (-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|))) 82)) (-1420 (((-2 (|:| |glbase| (-635 (-243 |#1| |#2|))) (|:| |glval| (-635 (-569)))) (-635 (-243 |#1| |#2|))) 116)) (-1481 (((-1247 |#2|) (-493 |#1| |#2|) (-635 (-493 |#1| |#2|))) 57)) (-2809 (((-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|))) 39)) (-1603 (((-243 |#1| |#2|) (-243 |#1| |#2|) (-635 (-243 |#1| |#2|))) 49)) (-4283 (((-243 |#1| |#2|) (-635 |#2|) (-243 |#1| |#2|) (-635 (-243 |#1| |#2|))) 89))) 
+(((-623 |#1| |#2|) (-10 -7 (-15 -2295 ((-2 (|:| |gblist| (-635 (-243 |#1| |#2|))) (|:| |gvlist| (-635 (-569)))) (-635 (-493 |#1| |#2|)))) (-15 -1420 ((-2 (|:| |glbase| (-635 (-243 |#1| |#2|))) (|:| |glval| (-635 (-569)))) (-635 (-243 |#1| |#2|)))) (-15 -2276 ((-635 (-243 |#1| |#2|)) (-635 (-493 |#1| |#2|)))) (-15 -2384 ((-493 |#1| |#2|) (-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)) (-853 |#1|))) (-15 -2384 ((-493 |#1| |#2|) (-635 (-493 |#1| |#2|)) (-853 |#1|))) (-15 -2809 ((-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)))) (-15 -1481 ((-1247 |#2|) (-493 |#1| |#2|) (-635 (-493 |#1| |#2|)))) (-15 -4283 ((-243 |#1| |#2|) (-635 |#2|) (-243 |#1| |#2|) (-635 (-243 |#1| |#2|)))) (-15 -3842 ((-635 (-493 |#1| |#2|)) (-853 |#1|) (-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)))) (-15 -1603 ((-243 |#1| |#2|) (-243 |#1| |#2|) (-635 (-243 |#1| |#2|)))) (-15 -3714 ((-493 |#1| |#2|) (-243 |#1| |#2|)))) (-635 (-1163)) (-454)) (T -623)) 
+((-3714 (*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *2 (-493 *4 *5)) (-5 *1 (-623 *4 *5)))) (-1603 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-243 *4 *5))) (-5 *2 (-243 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *1 (-623 *4 *5)))) (-3842 (*1 *2 *3 *2 *2) (-12 (-5 *2 (-635 (-493 *4 *5))) (-5 *3 (-853 *4)) (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *1 (-623 *4 *5)))) (-4283 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 (-243 *5 *6))) (-4 *6 (-454)) (-5 *2 (-243 *5 *6)) (-14 *5 (-635 (-1163))) (-5 *1 (-623 *5 *6)))) (-1481 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-493 *5 *6))) (-5 *3 (-493 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-454)) (-5 *2 (-1247 *6)) (-5 *1 (-623 *5 *6)))) (-2809 (*1 *2 *2) (-12 (-5 *2 (-635 (-493 *3 *4))) (-14 *3 (-635 (-1163))) (-4 *4 (-454)) (-5 *1 (-623 *3 *4)))) (-2384 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-493 *5 *6))) (-5 *4 (-853 *5)) (-14 *5 (-635 (-1163))) (-5 *2 (-493 *5 *6)) (-5 *1 (-623 *5 *6)) (-4 *6 (-454)))) (-2384 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-493 *5 *6))) (-5 *4 (-853 *5)) (-14 *5 (-635 (-1163))) (-5 *2 (-493 *5 *6)) (-5 *1 (-623 *5 *6)) (-4 *6 (-454)))) (-2276 (*1 *2 *3) (-12 (-5 *3 (-635 (-493 *4 *5))) (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *2 (-635 (-243 *4 *5))) (-5 *1 (-623 *4 *5)))) (-1420 (*1 *2 *3) (-12 (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *2 (-2 (|:| |glbase| (-635 (-243 *4 *5))) (|:| |glval| (-635 (-569))))) (-5 *1 (-623 *4 *5)) (-5 *3 (-635 (-243 *4 *5))))) (-2295 (*1 *2 *3) (-12 (-5 *3 (-635 (-493 *4 *5))) (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *2 (-2 (|:| |gblist| (-635 (-243 *4 *5))) (|:| |gvlist| (-635 (-569))))) (-5 *1 (-623 *4 *5))))) 
+(-10 -7 (-15 -2295 ((-2 (|:| |gblist| (-635 (-243 |#1| |#2|))) (|:| |gvlist| (-635 (-569)))) (-635 (-493 |#1| |#2|)))) (-15 -1420 ((-2 (|:| |glbase| (-635 (-243 |#1| |#2|))) (|:| |glval| (-635 (-569)))) (-635 (-243 |#1| |#2|)))) (-15 -2276 ((-635 (-243 |#1| |#2|)) (-635 (-493 |#1| |#2|)))) (-15 -2384 ((-493 |#1| |#2|) (-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)) (-853 |#1|))) (-15 -2384 ((-493 |#1| |#2|) (-635 (-493 |#1| |#2|)) (-853 |#1|))) (-15 -2809 ((-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)))) (-15 -1481 ((-1247 |#2|) (-493 |#1| |#2|) (-635 (-493 |#1| |#2|)))) (-15 -4283 ((-243 |#1| |#2|) (-635 |#2|) (-243 |#1| |#2|) (-635 (-243 |#1| |#2|)))) (-15 -3842 ((-635 (-493 |#1| |#2|)) (-853 |#1|) (-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)))) (-15 -1603 ((-243 |#1| |#2|) (-243 |#1| |#2|) (-635 (-243 |#1| |#2|)))) (-15 -3714 ((-493 |#1| |#2|) (-243 |#1| |#2|)))) 
+((-2568 (((-121) $ $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091))))) (-2281 (($) NIL) (($ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))))) NIL)) (-3112 (((-1252) $ (-1145) (-1145)) NIL (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 (((-57) $ (-1145) (-57)) 16) (((-57) $ (-1163) (-57)) 17)) (-4216 (($ (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535)))) (-2082 (((-3 (-57) "failed") (-1145) $) NIL)) (-2820 (($) NIL T CONST)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091))))) (-4454 (($ (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) $) NIL (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-3 (-57) "failed") (-1145) $) NIL)) (-4347 (($ (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091)))) (($ (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $ (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091)))) (((-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $ (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535)))) (-2726 (((-57) $ (-1145) (-57)) NIL (|has| $ (-6 -4536)))) (-1618 (((-57) $ (-1145)) NIL)) (-3470 (((-635 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-635 (-57)) $) NIL (|has| $ (-6 -4535)))) (-2471 (($ $) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-1145) $) NIL (|has| (-1145) (-843)))) (-4259 (((-635 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-635 (-57)) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091)))) (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-57) (-1091))))) (-1285 (((-1145) $) NIL (|has| (-1145) (-843)))) (-1853 (($ (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4536))) (($ (-1 (-57) (-57)) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $) NIL) (($ (-1 (-57) (-57)) $) NIL) (($ (-1 (-57) (-57) (-57)) $ $) NIL)) (-1805 (($ (-391)) 9)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091))))) (-2179 (((-635 (-1145)) $) NIL)) (-1598 (((-121) (-1145) $) NIL)) (-3889 (((-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) $) NIL)) (-3172 (($ (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) $) NIL)) (-4166 (((-635 (-1145)) $) NIL)) (-3533 (((-121) (-1145) $) NIL)) (-3360 (((-1109) $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091))))) (-4353 (((-57) $) NIL (|has| (-1145) (-843)))) (-2502 (((-3 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) "failed") (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $) NIL)) (-3174 (($ $ (-57)) NIL (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) $) NIL)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))))) NIL (-12 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))))) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091)))) (($ $ (-289 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))))) NIL (-12 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))))) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091)))) (($ $ (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) NIL (-12 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))))) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091)))) (($ $ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))))) NIL (-12 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))))) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091)))) (($ $ (-635 (-57)) (-635 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1091)))) (($ $ (-57) (-57)) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1091)))) (($ $ (-289 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1091)))) (($ $ (-635 (-289 (-57)))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-57) (-1091))))) (-2691 (((-635 (-57)) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 (((-57) $ (-1145)) 14) (((-57) $ (-1145) (-57)) NIL) (((-57) $ (-1163)) 15)) (-2566 (($) NIL) (($ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))))) NIL)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091)))) (((-764) (-57) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-57) (-1091)))) (((-764) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))))) NIL)) (-2185 (((-851) $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091))))) (-4084 (($ $) NIL)) (-2793 (($ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))))) NIL)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091))))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-624) (-13 (-1174 (-1145) (-57)) (-10 -8 (-15 -1805 ($ (-391))) (-15 -2471 ($ $)) (-15 -1534 ((-57) $ (-1163))) (-15 -4469 ((-57) $ (-1163) (-57))) (-15 -4084 ($ $))))) (T -624)) 
+((-1805 (*1 *1 *2) (-12 (-5 *2 (-391)) (-5 *1 (-624)))) (-2471 (*1 *1 *1) (-5 *1 (-624))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-57)) (-5 *1 (-624)))) (-4469 (*1 *2 *1 *3 *2) (-12 (-5 *2 (-57)) (-5 *3 (-1163)) (-5 *1 (-624)))) (-4084 (*1 *1 *1) (-5 *1 (-624)))) 
+(-13 (-1174 (-1145) (-57)) (-10 -8 (-15 -1805 ($ (-391))) (-15 -2471 ($ $)) (-15 -1534 ((-57) $ (-1163))) (-15 -4469 ((-57) $ (-1163) (-57))) (-15 -4084 ($ $)))) 
+((-1715 (($ $ |#2|) 10))) 
+(((-625 |#1| |#2|) (-10 -8 (-15 -1715 (|#1| |#1| |#2|))) (-626 |#2|) (-173)) (T -625)) 
+NIL 
+(-10 -8 (-15 -1715 (|#1| |#1| |#2|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2139 (($ $ $) 26)) (-2185 (((-851) $) 11)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#1|) 25 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24))) 
+(((-626 |#1|) (-1278) (-173)) (T -626)) 
+((-2139 (*1 *1 *1 *1) (-12 (-4 *1 (-626 *2)) (-4 *2 (-173)))) (-1715 (*1 *1 *1 *2) (-12 (-4 *1 (-626 *2)) (-4 *2 (-173)) (-4 *2 (-366))))) 
+(-13 (-708 |t#1|) (-10 -8 (-15 -2139 ($ $ $)) (-6 |NullSquare|) (-6 |JacobiIdentity|) (IF (|has| |t#1| (-366)) (-15 -1715 ($ $ |t#1|)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#1|) . T) ((-708 |#1|) . T) ((-1054 |#1|) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-4276 (((-3 $ "failed")) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-4064 (((-1247 (-680 |#1|))) NIL (|has| |#2| (-420 |#1|))) (((-1247 (-680 |#1|)) (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-2141 (((-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-2820 (($) NIL T CONST)) (-3781 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1531 (((-3 $ "failed")) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-2909 (((-680 |#1|)) NIL (|has| |#2| (-420 |#1|))) (((-680 |#1|) (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-1723 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-1792 (((-680 |#1|) $) NIL (|has| |#2| (-420 |#1|))) (((-680 |#1|) $ (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-1620 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-2800 (((-1159 (-954 |#1|))) NIL (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-366))))) (-1628 (($ $ (-918)) NIL)) (-2830 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-2246 (((-1159 |#1|) $) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3316 ((|#1|) NIL (|has| |#2| (-420 |#1|))) ((|#1| (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-2355 (((-1159 |#1|) $) NIL (|has| |#2| (-370 |#1|)))) (-2607 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2623 (($ (-1247 |#1|)) NIL (|has| |#2| (-420 |#1|))) (($ (-1247 |#1|) (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-3428 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1321 (((-918)) NIL (|has| |#2| (-370 |#1|)))) (-3919 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1851 (($ $ (-918)) NIL)) (-2007 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1370 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-4239 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3926 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1588 (((-3 $ "failed")) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-2991 (((-680 |#1|)) NIL (|has| |#2| (-420 |#1|))) (((-680 |#1|) (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-1545 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-4007 (((-680 |#1|) $) NIL (|has| |#2| (-420 |#1|))) (((-680 |#1|) $ (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-4439 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3282 (((-1159 (-954 |#1|))) NIL (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-366))))) (-3272 (($ $ (-918)) NIL)) (-4200 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-3851 (((-1159 |#1|) $) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1584 ((|#1|) NIL (|has| |#2| (-420 |#1|))) ((|#1| (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-2415 (((-1159 |#1|) $) NIL (|has| |#2| (-370 |#1|)))) (-2377 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2776 (((-1145) $) NIL)) (-3379 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3337 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2598 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3360 (((-1109) $) NIL)) (-1324 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1534 ((|#1| $ (-569)) NIL (|has| |#2| (-420 |#1|)))) (-1648 (((-680 |#1|) (-1247 $)) NIL (|has| |#2| (-420 |#1|))) (((-1247 |#1|) $) NIL (|has| |#2| (-420 |#1|))) (((-680 |#1|) (-1247 $) (-1247 $)) NIL (|has| |#2| (-370 |#1|))) (((-1247 |#1|) $ (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-3817 (($ (-1247 |#1|)) NIL (|has| |#2| (-420 |#1|))) (((-1247 |#1|) $) NIL (|has| |#2| (-420 |#1|)))) (-3393 (((-635 (-954 |#1|))) NIL (|has| |#2| (-420 |#1|))) (((-635 (-954 |#1|)) (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-4293 (($ $ $) NIL)) (-2093 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2185 (((-851) $) NIL) ((|#2| $) 12) (($ |#2|) 13)) (-3930 (((-1247 $)) NIL (|has| |#2| (-420 |#1|)))) (-2131 (((-635 (-1247 |#1|))) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1383 (($ $ $ $) NIL)) (-4220 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1943 (($ (-680 |#1|) $) NIL (|has| |#2| (-420 |#1|)))) (-4033 (($ $ $) NIL)) (-1597 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3922 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-4227 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3369 (($) 15 T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) 17)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 11) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-627 |#1| |#2|) (-13 (-737 |#1|) (-609 |#2|) (-10 -8 (-15 -2185 ($ |#2|)) (IF (|has| |#2| (-420 |#1|)) (-6 (-420 |#1|)) |noBranch|) (IF (|has| |#2| (-370 |#1|)) (-6 (-370 |#1|)) |noBranch|))) (-173) (-737 |#1|)) (T -627)) 
+((-2185 (*1 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-627 *3 *2)) (-4 *2 (-737 *3))))) 
+(-13 (-737 |#1|) (-609 |#2|) (-10 -8 (-15 -2185 ($ |#2|)) (IF (|has| |#2| (-420 |#1|)) (-6 (-420 |#1|)) |noBranch|) (IF (|has| |#2| (-370 |#1|)) (-6 (-370 |#1|)) |noBranch|))) 
+((-2242 (((-3 (-836 |#2|) "failed") |#2| (-289 |#2|) (-1145)) 78) (((-3 (-836 |#2|) (-2 (|:| |leftHandLimit| (-3 (-836 |#2|) "failed")) (|:| |rightHandLimit| (-3 (-836 |#2|) "failed"))) "failed") |#2| (-289 (-836 |#2|))) 100)) (-1893 (((-3 (-829 |#2|) "failed") |#2| (-289 (-829 |#2|))) 105))) 
+(((-628 |#1| |#2|) (-10 -7 (-15 -2242 ((-3 (-836 |#2|) (-2 (|:| |leftHandLimit| (-3 (-836 |#2|) "failed")) (|:| |rightHandLimit| (-3 (-836 |#2|) "failed"))) "failed") |#2| (-289 (-836 |#2|)))) (-15 -1893 ((-3 (-829 |#2|) "failed") |#2| (-289 (-829 |#2|)))) (-15 -2242 ((-3 (-836 |#2|) "failed") |#2| (-289 |#2|) (-1145)))) (-13 (-454) (-843) (-1038 (-569)) (-631 (-569))) (-13 (-27) (-1183) (-433 |#1|))) (T -628)) 
+((-2242 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-289 *3)) (-5 *5 (-1145)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-836 *3)) (-5 *1 (-628 *6 *3)))) (-1893 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-289 (-829 *3))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-829 *3)) (-5 *1 (-628 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) (-2242 (*1 *2 *3 *4) (-12 (-5 *4 (-289 (-836 *3))) (-4 *3 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (-836 *3) (-2 (|:| |leftHandLimit| (-3 (-836 *3) "failed")) (|:| |rightHandLimit| (-3 (-836 *3) "failed"))) "failed")) (-5 *1 (-628 *5 *3))))) 
+(-10 -7 (-15 -2242 ((-3 (-836 |#2|) (-2 (|:| |leftHandLimit| (-3 (-836 |#2|) "failed")) (|:| |rightHandLimit| (-3 (-836 |#2|) "failed"))) "failed") |#2| (-289 (-836 |#2|)))) (-15 -1893 ((-3 (-829 |#2|) "failed") |#2| (-289 (-829 |#2|)))) (-15 -2242 ((-3 (-836 |#2|) "failed") |#2| (-289 |#2|) (-1145)))) 
+((-2242 (((-3 (-836 (-410 (-954 |#1|))) "failed") (-410 (-954 |#1|)) (-289 (-410 (-954 |#1|))) (-1145)) 79) (((-3 (-836 (-410 (-954 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-836 (-410 (-954 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-836 (-410 (-954 |#1|))) "failed"))) "failed") (-410 (-954 |#1|)) (-289 (-410 (-954 |#1|)))) 18) (((-3 (-836 (-410 (-954 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-836 (-410 (-954 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-836 (-410 (-954 |#1|))) "failed"))) "failed") (-410 (-954 |#1|)) (-289 (-836 (-954 |#1|)))) 34)) (-1893 (((-829 (-410 (-954 |#1|))) (-410 (-954 |#1|)) (-289 (-410 (-954 |#1|)))) 21) (((-829 (-410 (-954 |#1|))) (-410 (-954 |#1|)) (-289 (-829 (-954 |#1|)))) 42))) 
+(((-629 |#1|) (-10 -7 (-15 -2242 ((-3 (-836 (-410 (-954 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-836 (-410 (-954 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-836 (-410 (-954 |#1|))) "failed"))) "failed") (-410 (-954 |#1|)) (-289 (-836 (-954 |#1|))))) (-15 -2242 ((-3 (-836 (-410 (-954 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-836 (-410 (-954 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-836 (-410 (-954 |#1|))) "failed"))) "failed") (-410 (-954 |#1|)) (-289 (-410 (-954 |#1|))))) (-15 -1893 ((-829 (-410 (-954 |#1|))) (-410 (-954 |#1|)) (-289 (-829 (-954 |#1|))))) (-15 -1893 ((-829 (-410 (-954 |#1|))) (-410 (-954 |#1|)) (-289 (-410 (-954 |#1|))))) (-15 -2242 ((-3 (-836 (-410 (-954 |#1|))) "failed") (-410 (-954 |#1|)) (-289 (-410 (-954 |#1|))) (-1145)))) (-454)) (T -629)) 
+((-2242 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-289 (-410 (-954 *6)))) (-5 *5 (-1145)) (-5 *3 (-410 (-954 *6))) (-4 *6 (-454)) (-5 *2 (-836 *3)) (-5 *1 (-629 *6)))) (-1893 (*1 *2 *3 *4) (-12 (-5 *4 (-289 (-410 (-954 *5)))) (-5 *3 (-410 (-954 *5))) (-4 *5 (-454)) (-5 *2 (-829 *3)) (-5 *1 (-629 *5)))) (-1893 (*1 *2 *3 *4) (-12 (-5 *4 (-289 (-829 (-954 *5)))) (-4 *5 (-454)) (-5 *2 (-829 (-410 (-954 *5)))) (-5 *1 (-629 *5)) (-5 *3 (-410 (-954 *5))))) (-2242 (*1 *2 *3 *4) (-12 (-5 *4 (-289 (-410 (-954 *5)))) (-5 *3 (-410 (-954 *5))) (-4 *5 (-454)) (-5 *2 (-3 (-836 *3) (-2 (|:| |leftHandLimit| (-3 (-836 *3) "failed")) (|:| |rightHandLimit| (-3 (-836 *3) "failed"))) "failed")) (-5 *1 (-629 *5)))) (-2242 (*1 *2 *3 *4) (-12 (-5 *4 (-289 (-836 (-954 *5)))) (-4 *5 (-454)) (-5 *2 (-3 (-836 (-410 (-954 *5))) (-2 (|:| |leftHandLimit| (-3 (-836 (-410 (-954 *5))) "failed")) (|:| |rightHandLimit| (-3 (-836 (-410 (-954 *5))) "failed"))) "failed")) (-5 *1 (-629 *5)) (-5 *3 (-410 (-954 *5)))))) 
+(-10 -7 (-15 -2242 ((-3 (-836 (-410 (-954 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-836 (-410 (-954 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-836 (-410 (-954 |#1|))) "failed"))) "failed") (-410 (-954 |#1|)) (-289 (-836 (-954 |#1|))))) (-15 -2242 ((-3 (-836 (-410 (-954 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-836 (-410 (-954 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-836 (-410 (-954 |#1|))) "failed"))) "failed") (-410 (-954 |#1|)) (-289 (-410 (-954 |#1|))))) (-15 -1893 ((-829 (-410 (-954 |#1|))) (-410 (-954 |#1|)) (-289 (-829 (-954 |#1|))))) (-15 -1893 ((-829 (-410 (-954 |#1|))) (-410 (-954 |#1|)) (-289 (-410 (-954 |#1|))))) (-15 -2242 ((-3 (-836 (-410 (-954 |#1|))) "failed") (-410 (-954 |#1|)) (-289 (-410 (-954 |#1|))) (-1145)))) 
+((-3865 (((-3 (-1247 (-410 |#1|)) "failed") (-1247 |#2|) |#2|) 57 (-3864 (|has| |#1| (-366)))) (((-3 (-1247 |#1|) "failed") (-1247 |#2|) |#2|) 42 (|has| |#1| (-366)))) (-2290 (((-121) (-1247 |#2|)) 30)) (-2258 (((-3 (-1247 |#1|) "failed") (-1247 |#2|)) 33))) 
+(((-630 |#1| |#2|) (-10 -7 (-15 -2290 ((-121) (-1247 |#2|))) (-15 -2258 ((-3 (-1247 |#1|) "failed") (-1247 |#2|))) (IF (|has| |#1| (-366)) (-15 -3865 ((-3 (-1247 |#1|) "failed") (-1247 |#2|) |#2|)) (-15 -3865 ((-3 (-1247 (-410 |#1|)) "failed") (-1247 |#2|) |#2|)))) (-559) (-631 |#1|)) (T -630)) 
+((-3865 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1247 *4)) (-4 *4 (-631 *5)) (-3864 (-4 *5 (-366))) (-4 *5 (-559)) (-5 *2 (-1247 (-410 *5))) (-5 *1 (-630 *5 *4)))) (-3865 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1247 *4)) (-4 *4 (-631 *5)) (-4 *5 (-366)) (-4 *5 (-559)) (-5 *2 (-1247 *5)) (-5 *1 (-630 *5 *4)))) (-2258 (*1 *2 *3) (|partial| -12 (-5 *3 (-1247 *5)) (-4 *5 (-631 *4)) (-4 *4 (-559)) (-5 *2 (-1247 *4)) (-5 *1 (-630 *4 *5)))) (-2290 (*1 *2 *3) (-12 (-5 *3 (-1247 *5)) (-4 *5 (-631 *4)) (-4 *4 (-559)) (-5 *2 (-121)) (-5 *1 (-630 *4 *5))))) 
+(-10 -7 (-15 -2290 ((-121) (-1247 |#2|))) (-15 -2258 ((-3 (-1247 |#1|) "failed") (-1247 |#2|))) (IF (|has| |#1| (-366)) (-15 -3865 ((-3 (-1247 |#1|) "failed") (-1247 |#2|) |#2|)) (-15 -3865 ((-3 (-1247 (-410 |#1|)) "failed") (-1247 |#2|) |#2|)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-1696 (((-680 |#1|) (-680 $)) 35) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 34)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ (-569)) 27)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-631 |#1|) (-1278) (-1048)) (T -631)) 
+((-1696 (*1 *2 *3) (-12 (-5 *3 (-680 *1)) (-4 *1 (-631 *4)) (-4 *4 (-1048)) (-5 *2 (-680 *4)))) (-1696 (*1 *2 *3 *4) (-12 (-5 *3 (-680 *1)) (-5 *4 (-1247 *1)) (-4 *1 (-631 *5)) (-4 *5 (-1048)) (-5 *2 (-2 (|:| -3477 (-680 *5)) (|:| |vec| (-1247 *5))))))) 
+(-13 (-1048) (-10 -8 (-15 -1696 ((-680 |t#1|) (-680 $))) (-15 -1696 ((-2 (|:| -3477 (-680 |t#1|)) (|:| |vec| (-1247 |t#1|))) (-680 $) (-1247 $))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 $) . T) ((-717) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-4436 ((|#2| (-635 |#1|) (-635 |#2|) |#1| (-1 |#2| |#1|)) 18) (((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|) (-1 |#2| |#1|)) 19) ((|#2| (-635 |#1|) (-635 |#2|) |#1| |#2|) 16) (((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|) |#2|) 17) ((|#2| (-635 |#1|) (-635 |#2|) |#1|) 10) (((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|)) 12))) 
+(((-632 |#1| |#2|) (-10 -7 (-15 -4436 ((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|))) (-15 -4436 (|#2| (-635 |#1|) (-635 |#2|) |#1|)) (-15 -4436 ((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|) |#2|)) (-15 -4436 (|#2| (-635 |#1|) (-635 |#2|) |#1| |#2|)) (-15 -4436 ((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|) (-1 |#2| |#1|))) (-15 -4436 (|#2| (-635 |#1|) (-635 |#2|) |#1| (-1 |#2| |#1|)))) (-1091) (-1197)) (T -632)) 
+((-4436 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *2)) (-5 *6 (-1 *2 *5)) (-4 *5 (-1091)) (-4 *2 (-1197)) (-5 *1 (-632 *5 *2)))) (-4436 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-1 *6 *5)) (-5 *3 (-635 *5)) (-5 *4 (-635 *6)) (-4 *5 (-1091)) (-4 *6 (-1197)) (-5 *1 (-632 *5 *6)))) (-4436 (*1 *2 *3 *4 *5 *2) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *2)) (-4 *5 (-1091)) (-4 *2 (-1197)) (-5 *1 (-632 *5 *2)))) (-4436 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 *5)) (-4 *6 (-1091)) (-4 *5 (-1197)) (-5 *2 (-1 *5 *6)) (-5 *1 (-632 *6 *5)))) (-4436 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *2)) (-4 *5 (-1091)) (-4 *2 (-1197)) (-5 *1 (-632 *5 *2)))) (-4436 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *6)) (-4 *5 (-1091)) (-4 *6 (-1197)) (-5 *2 (-1 *6 *5)) (-5 *1 (-632 *5 *6))))) 
+(-10 -7 (-15 -4436 ((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|))) (-15 -4436 (|#2| (-635 |#1|) (-635 |#2|) |#1|)) (-15 -4436 ((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|) |#2|)) (-15 -4436 (|#2| (-635 |#1|) (-635 |#2|) |#1| |#2|)) (-15 -4436 ((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|) (-1 |#2| |#1|))) (-15 -4436 (|#2| (-635 |#1|) (-635 |#2|) |#1| (-1 |#2| |#1|)))) 
+((-3043 (((-635 |#2|) (-1 |#2| |#1| |#2|) (-635 |#1|) |#2|) 16)) (-1774 ((|#2| (-1 |#2| |#1| |#2|) (-635 |#1|) |#2|) 18)) (-1544 (((-635 |#2|) (-1 |#2| |#1|) (-635 |#1|)) 13))) 
+(((-633 |#1| |#2|) (-10 -7 (-15 -3043 ((-635 |#2|) (-1 |#2| |#1| |#2|) (-635 |#1|) |#2|)) (-15 -1774 (|#2| (-1 |#2| |#1| |#2|) (-635 |#1|) |#2|)) (-15 -1544 ((-635 |#2|) (-1 |#2| |#1|) (-635 |#1|)))) (-1197) (-1197)) (T -633)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-635 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-635 *6)) (-5 *1 (-633 *5 *6)))) (-1774 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-635 *5)) (-4 *5 (-1197)) (-4 *2 (-1197)) (-5 *1 (-633 *5 *2)))) (-3043 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-635 *6)) (-4 *6 (-1197)) (-4 *5 (-1197)) (-5 *2 (-635 *5)) (-5 *1 (-633 *6 *5))))) 
+(-10 -7 (-15 -3043 ((-635 |#2|) (-1 |#2| |#1| |#2|) (-635 |#1|) |#2|)) (-15 -1774 (|#2| (-1 |#2| |#1| |#2|) (-635 |#1|) |#2|)) (-15 -1544 ((-635 |#2|) (-1 |#2| |#1|) (-635 |#1|)))) 
+((-1544 (((-635 |#3|) (-1 |#3| |#1| |#2|) (-635 |#1|) (-635 |#2|)) 13))) 
+(((-634 |#1| |#2| |#3|) (-10 -7 (-15 -1544 ((-635 |#3|) (-1 |#3| |#1| |#2|) (-635 |#1|) (-635 |#2|)))) (-1197) (-1197) (-1197)) (T -634)) 
+((-1544 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-635 *6)) (-5 *5 (-635 *7)) (-4 *6 (-1197)) (-4 *7 (-1197)) (-4 *8 (-1197)) (-5 *2 (-635 *8)) (-5 *1 (-634 *6 *7 *8))))) 
+(-10 -7 (-15 -1544 ((-635 |#3|) (-1 |#3| |#1| |#2|) (-635 |#1|) (-635 |#2|)))) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2247 ((|#1| $) NIL)) (-4360 ((|#1| $) NIL)) (-4459 (($ $) NIL)) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3138 (($ $ (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) $) NIL (|has| |#1| (-843))) (((-121) (-1 (-121) |#1| |#1|) $) NIL)) (-3076 (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| |#1| (-843)))) (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-3113 (($ $) NIL (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-3891 ((|#1| $ |#1|) NIL (|has| $ (-6 -4536)))) (-3014 (($ $ $) NIL (|has| $ (-6 -4536)))) (-1868 ((|#1| $ |#1|) NIL (|has| $ (-6 -4536)))) (-3159 ((|#1| $ |#1|) NIL (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4536))) ((|#1| $ "first" |#1|) NIL (|has| $ (-6 -4536))) (($ $ "rest" $) NIL (|has| $ (-6 -4536))) ((|#1| $ "last" |#1|) NIL (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) NIL (|has| $ (-6 -4536))) ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) NIL (|has| $ (-6 -4536)))) (-2081 (($ $ $) 31 (|has| |#1| (-1091)))) (-2064 (($ $ $) 33 (|has| |#1| (-1091)))) (-2060 (($ $ $) 36 (|has| |#1| (-1091)))) (-4216 (($ (-1 (-121) |#1|) $) NIL)) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1669 ((|#1| $) NIL)) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2046 (($ $) NIL) (($ $ (-764)) NIL)) (-3384 (($ $) NIL (|has| |#1| (-1091)))) (-2033 (($ $) 30 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4454 (($ |#1| $) NIL (|has| |#1| (-1091))) (($ (-1 (-121) |#1|) $) NIL)) (-4347 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2726 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) NIL)) (-3108 (((-121) $) NIL)) (-3727 (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1091))) (((-569) |#1| $) NIL (|has| |#1| (-1091))) (((-569) (-1 (-121) |#1|) $) NIL)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-2588 (((-121) $) 9)) (-4032 (((-635 $) $) NIL)) (-4349 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2982 (($) 7)) (-2659 (($ (-764) |#1|) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-2854 (($ $ $) NIL (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-3288 (($ $ $) NIL (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 32 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2005 (($ |#1|) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2824 (((-635 |#1|) $) NIL)) (-3486 (((-121) $) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-4213 ((|#1| $) NIL) (($ $ (-764)) NIL)) (-3172 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-3614 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4353 ((|#1| $) NIL) (($ $ (-764)) NIL)) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-3174 (($ $ |#1|) NIL (|has| $ (-6 -4536)))) (-2695 (((-121) $) NIL)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ "value") NIL) ((|#1| $ "first") NIL) (($ $ "rest") NIL) ((|#1| $ "last") NIL) (($ $ (-1213 (-569))) NIL) ((|#1| $ (-569)) 35) ((|#1| $ (-569) |#1|) NIL)) (-1686 (((-569) $ $) NIL)) (-4514 (($ $ (-1213 (-569))) NIL) (($ $ (-569)) NIL)) (-3010 (($ $ (-1213 (-569))) NIL) (($ $ (-569)) NIL)) (-1472 (((-121) $) NIL)) (-2645 (($ $) NIL)) (-2780 (($ $) NIL (|has| $ (-6 -4536)))) (-4035 (((-764) $) NIL)) (-4343 (($ $) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) 44 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) NIL)) (-1963 (($ |#1| $) 10)) (-2697 (($ $ $) NIL) (($ $ |#1|) NIL)) (-2250 (($ $ $) 29) (($ |#1| $) NIL) (($ (-635 $)) NIL) (($ $ |#1|) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-4114 (((-635 $) $) NIL)) (-2447 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1808 (($ $ $) 11)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1940 (((-1145) $) 25 (|has| |#1| (-824))) (((-1145) $ (-121)) 26 (|has| |#1| (-824))) (((-1252) (-818) $) 27 (|has| |#1| (-824))) (((-1252) (-818) $ (-121)) 28 (|has| |#1| (-824)))) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-635 |#1|) (-13 (-659 |#1|) (-10 -8 (-15 -2982 ($)) (-15 -2588 ((-121) $)) (-15 -1963 ($ |#1| $)) (-15 -1808 ($ $ $)) (IF (|has| |#1| (-1091)) (PROGN (-15 -2081 ($ $ $)) (-15 -2064 ($ $ $)) (-15 -2060 ($ $ $))) |noBranch|) (IF (|has| |#1| (-824)) (-6 (-824)) |noBranch|))) (-1197)) (T -635)) 
+((-2982 (*1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1197)))) (-2588 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-635 *3)) (-4 *3 (-1197)))) (-1963 (*1 *1 *2 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1197)))) (-1808 (*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1197)))) (-2081 (*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1091)) (-4 *2 (-1197)))) (-2064 (*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1091)) (-4 *2 (-1197)))) (-2060 (*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1091)) (-4 *2 (-1197))))) 
+(-13 (-659 |#1|) (-10 -8 (-15 -2982 ($)) (-15 -2588 ((-121) $)) (-15 -1963 ($ |#1| $)) (-15 -1808 ($ $ $)) (IF (|has| |#1| (-1091)) (PROGN (-15 -2081 ($ $ $)) (-15 -2064 ($ $ $)) (-15 -2060 ($ $ $))) |noBranch|) (IF (|has| |#1| (-824)) (-6 (-824)) |noBranch|))) 
+((-2944 (((-635 |#1|) |#2| (-569)) 21)) (-1700 (((-680 |#1|) (-635 |#2|) (-569)) 30)) (-4022 (((-680 |#1|) (-635 |#2|) (-569)) 28))) 
+(((-636 |#1| |#2|) (-10 -7 (-15 -1700 ((-680 |#1|) (-635 |#2|) (-569))) (-15 -4022 ((-680 |#1|) (-635 |#2|) (-569))) (-15 -2944 ((-635 |#1|) |#2| (-569)))) (-366) (-642 |#1|)) (T -636)) 
+((-2944 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-366)) (-5 *2 (-635 *5)) (-5 *1 (-636 *5 *3)) (-4 *3 (-642 *5)))) (-4022 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-569)) (-4 *6 (-642 *5)) (-4 *5 (-366)) (-5 *2 (-680 *5)) (-5 *1 (-636 *5 *6)))) (-1700 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-569)) (-4 *6 (-642 *5)) (-4 *5 (-366)) (-5 *2 (-680 *5)) (-5 *1 (-636 *5 *6))))) 
+(-10 -7 (-15 -1700 ((-680 |#1|) (-635 |#2|) (-569))) (-15 -4022 ((-680 |#1|) (-635 |#2|) (-569))) (-15 -2944 ((-635 |#1|) |#2| (-569)))) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2094 (($ |#1| |#1| $) 43)) (-1691 (((-121) $ (-764)) NIL)) (-4216 (($ (-1 (-121) |#1|) $) 56 (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-3384 (($ $) 45)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4454 (($ |#1| $) 51 (|has| $ (-6 -4535))) (($ (-1 (-121) |#1|) $) 53 (|has| $ (-6 -4535)))) (-4347 (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535)))) (-3470 (((-635 |#1|) $) 9 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1853 (($ (-1 |#1| |#1|) $) 39 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 37)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3889 ((|#1| $) 46)) (-3172 (($ |#1| $) 26) (($ |#1| $ (-764)) 42)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-1856 ((|#1| $) 48)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 21)) (-1296 (($) 25)) (-2378 (((-121) $) 49)) (-3271 (((-635 (-2 (|:| -3782 |#1|) (|:| -2846 (-764)))) $) 60)) (-2566 (($) 23) (($ (-635 |#1|)) 18)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) 57 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) 19)) (-3817 (((-542) $) 34 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) NIL)) (-2185 (((-851) $) 14 (|has| |#1| (-1091)))) (-2793 (($ (-635 |#1|)) 22)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 62 (|has| |#1| (-1091)))) (-4168 (((-764) $) 16 (|has| $ (-6 -4535))))) 
+(((-637 |#1|) (-13 (-685 |#1|) (-10 -8 (-6 -4535) (-15 -2378 ((-121) $)) (-15 -2094 ($ |#1| |#1| $)))) (-1091)) (T -637)) 
+((-2378 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-637 *3)) (-4 *3 (-1091)))) (-2094 (*1 *1 *2 *2 *1) (-12 (-5 *1 (-637 *2)) (-4 *2 (-1091))))) 
+(-13 (-685 |#1|) (-10 -8 (-6 -4535) (-15 -2378 ((-121) $)) (-15 -2094 ($ |#1| |#1| $)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ |#1| $) 22))) 
+(((-638 |#1|) (-1278) (-1055)) (T -638)) 
+((* (*1 *1 *2 *1) (-12 (-4 *1 (-638 *2)) (-4 *2 (-1055))))) 
 (-13 (-21) (-10 -8 (-15 * ($ |t#1| $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-137) . T) ((-608 (-850)) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) NIL)) (-3986 (((-763) $) 15)) (-1842 (($ $ |#1|) 55)) (-4452 (($ $) 32)) (-3945 (($ $) 31)) (-3668 (((-3 |#1| "failed") $) 47)) (-2857 ((|#1| $) NIL)) (-4290 (($ |#1| |#2| $) 60) (($ $ $) 61)) (-2276 (((-850) $ (-1 (-850) (-850) (-850)) (-1 (-850) (-850) (-850)) (-568)) 45)) (-4167 ((|#1| $ (-568)) 30)) (-2315 ((|#2| $ (-568)) 29)) (-3177 (($ (-1 |#1| |#1|) $) 34)) (-1644 (($ (-1 |#2| |#2|) $) 38)) (-4317 (($) 10)) (-3000 (($ |#1| |#2|) 22)) (-1886 (($ (-634 (-2 (|:| |gen| |#1|) (|:| -1894 |#2|)))) 23)) (-1684 (((-634 (-2 (|:| |gen| |#1|) (|:| -1894 |#2|))) $) 13)) (-3516 (($ |#1| $) 56)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2854 (((-121) $ $) 58)) (-2747 (((-850) $) 19) (($ |#1|) 16)) (-1719 (((-121) $ $) 25))) 
-(((-638 |#1| |#2| |#3|) (-13 (-1090) (-1037 |#1|) (-10 -8 (-15 -2276 ((-850) $ (-1 (-850) (-850) (-850)) (-1 (-850) (-850) (-850)) (-568))) (-15 -1684 ((-634 (-2 (|:| |gen| |#1|) (|:| -1894 |#2|))) $)) (-15 -3000 ($ |#1| |#2|)) (-15 -1886 ($ (-634 (-2 (|:| |gen| |#1|) (|:| -1894 |#2|))))) (-15 -2315 (|#2| $ (-568))) (-15 -4167 (|#1| $ (-568))) (-15 -3945 ($ $)) (-15 -4452 ($ $)) (-15 -3986 ((-763) $)) (-15 -4317 ($)) (-15 -1842 ($ $ |#1|)) (-15 -3516 ($ |#1| $)) (-15 -4290 ($ |#1| |#2| $)) (-15 -4290 ($ $ $)) (-15 -2854 ((-121) $ $)) (-15 -1644 ($ (-1 |#2| |#2|) $)) (-15 -3177 ($ (-1 |#1| |#1|) $)))) (-1090) (-23) |#2|) (T -638)) 
-((-2276 (*1 *2 *1 *3 *3 *4) (-12 (-5 *3 (-1 (-850) (-850) (-850))) (-5 *4 (-568)) (-5 *2 (-850)) (-5 *1 (-638 *5 *6 *7)) (-4 *5 (-1090)) (-4 *6 (-23)) (-14 *7 *6))) (-1684 (*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |gen| *3) (|:| -1894 *4)))) (-5 *1 (-638 *3 *4 *5)) (-4 *3 (-1090)) (-4 *4 (-23)) (-14 *5 *4))) (-3000 (*1 *1 *2 *3) (-12 (-5 *1 (-638 *2 *3 *4)) (-4 *2 (-1090)) (-4 *3 (-23)) (-14 *4 *3))) (-1886 (*1 *1 *2) (-12 (-5 *2 (-634 (-2 (|:| |gen| *3) (|:| -1894 *4)))) (-4 *3 (-1090)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-638 *3 *4 *5)))) (-2315 (*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *2 (-23)) (-5 *1 (-638 *4 *2 *5)) (-4 *4 (-1090)) (-14 *5 *2))) (-4167 (*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *2 (-1090)) (-5 *1 (-638 *2 *4 *5)) (-4 *4 (-23)) (-14 *5 *4))) (-3945 (*1 *1 *1) (-12 (-5 *1 (-638 *2 *3 *4)) (-4 *2 (-1090)) (-4 *3 (-23)) (-14 *4 *3))) (-4452 (*1 *1 *1) (-12 (-5 *1 (-638 *2 *3 *4)) (-4 *2 (-1090)) (-4 *3 (-23)) (-14 *4 *3))) (-3986 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-638 *3 *4 *5)) (-4 *3 (-1090)) (-4 *4 (-23)) (-14 *5 *4))) (-4317 (*1 *1) (-12 (-5 *1 (-638 *2 *3 *4)) (-4 *2 (-1090)) (-4 *3 (-23)) (-14 *4 *3))) (-1842 (*1 *1 *1 *2) (-12 (-5 *1 (-638 *2 *3 *4)) (-4 *2 (-1090)) (-4 *3 (-23)) (-14 *4 *3))) (-3516 (*1 *1 *2 *1) (-12 (-5 *1 (-638 *2 *3 *4)) (-4 *2 (-1090)) (-4 *3 (-23)) (-14 *4 *3))) (-4290 (*1 *1 *2 *3 *1) (-12 (-5 *1 (-638 *2 *3 *4)) (-4 *2 (-1090)) (-4 *3 (-23)) (-14 *4 *3))) (-4290 (*1 *1 *1 *1) (-12 (-5 *1 (-638 *2 *3 *4)) (-4 *2 (-1090)) (-4 *3 (-23)) (-14 *4 *3))) (-2854 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-638 *3 *4 *5)) (-4 *3 (-1090)) (-4 *4 (-23)) (-14 *5 *4))) (-1644 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-638 *3 *4 *5)) (-4 *3 (-1090)))) (-3177 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1090)) (-5 *1 (-638 *3 *4 *5)) (-4 *4 (-23)) (-14 *5 *4)))) 
-(-13 (-1090) (-1037 |#1|) (-10 -8 (-15 -2276 ((-850) $ (-1 (-850) (-850) (-850)) (-1 (-850) (-850) (-850)) (-568))) (-15 -1684 ((-634 (-2 (|:| |gen| |#1|) (|:| -1894 |#2|))) $)) (-15 -3000 ($ |#1| |#2|)) (-15 -1886 ($ (-634 (-2 (|:| |gen| |#1|) (|:| -1894 |#2|))))) (-15 -2315 (|#2| $ (-568))) (-15 -4167 (|#1| $ (-568))) (-15 -3945 ($ $)) (-15 -4452 ($ $)) (-15 -3986 ((-763) $)) (-15 -4317 ($)) (-15 -1842 ($ $ |#1|)) (-15 -3516 ($ |#1| $)) (-15 -4290 ($ |#1| |#2| $)) (-15 -4290 ($ $ $)) (-15 -2854 ((-121) $ $)) (-15 -1644 ($ (-1 |#2| |#2|) $)) (-15 -3177 ($ (-1 |#1| |#1|) $)))) 
-((-3631 (((-568) $) 23)) (-4124 (($ |#2| $ (-568)) 21) (($ $ $ (-568)) NIL)) (-3948 (((-634 (-568)) $) 12)) (-2916 (((-121) (-568) $) 14)) (-2770 (($ $ |#2|) 18) (($ |#2| $) 19) (($ $ $) NIL) (($ (-634 $)) NIL))) 
-(((-639 |#1| |#2|) (-10 -8 (-15 -4124 (|#1| |#1| |#1| (-568))) (-15 -4124 (|#1| |#2| |#1| (-568))) (-15 -2770 (|#1| (-634 |#1|))) (-15 -2770 (|#1| |#1| |#1|)) (-15 -2770 (|#1| |#2| |#1|)) (-15 -2770 (|#1| |#1| |#2|)) (-15 -3631 ((-568) |#1|)) (-15 -3948 ((-634 (-568)) |#1|)) (-15 -2916 ((-121) (-568) |#1|))) (-640 |#2|) (-1195)) (T -639)) 
-NIL 
-(-10 -8 (-15 -4124 (|#1| |#1| |#1| (-568))) (-15 -4124 (|#1| |#2| |#1| (-568))) (-15 -2770 (|#1| (-634 |#1|))) (-15 -2770 (|#1| |#1| |#1|)) (-15 -2770 (|#1| |#2| |#1|)) (-15 -2770 (|#1| |#1| |#2|)) (-15 -3631 ((-568) |#1|)) (-15 -3948 ((-634 (-568)) |#1|)) (-15 -2916 ((-121) (-568) |#1|))) 
-((-2449 (((-121) $ $) 18 (|has| |#1| (-1090)))) (-2481 (((-1249) $ (-568) (-568)) 37 (|has| $ (-6 -4522)))) (-1667 (((-121) $ (-763)) 8)) (-2438 ((|#1| $ (-568) |#1|) 49 (|has| $ (-6 -4522))) ((|#1| $ (-1210 (-568)) |#1|) 53 (|has| $ (-6 -4522)))) (-2803 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4521)))) (-4490 (($) 7 T CONST)) (-3926 (($ $) 73 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-4330 (($ |#1| $) 72 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4521)))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4521)))) (-1292 ((|#1| $ (-568) |#1|) 50 (|has| $ (-6 -4522)))) (-2069 ((|#1| $ (-568)) 48)) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-1851 (($ (-763) |#1|) 64)) (-3791 (((-121) $ (-763)) 9)) (-2539 (((-568) $) 40 (|has| (-568) (-842)))) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3631 (((-568) $) 41 (|has| (-568) (-842)))) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-3796 (((-121) $ (-763)) 10)) (-1893 (((-1143) $) 22 (|has| |#1| (-1090)))) (-4124 (($ |#1| $ (-568)) 55) (($ $ $ (-568)) 54)) (-3948 (((-634 (-568)) $) 43)) (-2916 (((-121) (-568) $) 44)) (-4025 (((-1108) $) 21 (|has| |#1| (-1090)))) (-3877 ((|#1| $) 39 (|has| (-568) (-842)))) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-2490 (($ $ |#1|) 38 (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-1801 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1480 (((-634 |#1|) $) 45)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-2781 ((|#1| $ (-568) |#1|) 47) ((|#1| $ (-568)) 46) (($ $ (-1210 (-568))) 58)) (-2828 (($ $ (-568)) 57) (($ $ (-1210 (-568))) 56)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-4280 (((-541) $) 74 (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) 65)) (-2770 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-634 $)) 60)) (-2747 (((-850) $) 20 (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-640 |#1|) (-1275) (-1195)) (T -640)) 
-((-1851 (*1 *1 *2 *3) (-12 (-5 *2 (-763)) (-4 *1 (-640 *3)) (-4 *3 (-1195)))) (-2770 (*1 *1 *1 *2) (-12 (-4 *1 (-640 *2)) (-4 *2 (-1195)))) (-2770 (*1 *1 *2 *1) (-12 (-4 *1 (-640 *2)) (-4 *2 (-1195)))) (-2770 (*1 *1 *1 *1) (-12 (-4 *1 (-640 *2)) (-4 *2 (-1195)))) (-2770 (*1 *1 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-640 *3)) (-4 *3 (-1195)))) (-2797 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-640 *3)) (-4 *3 (-1195)))) (-2781 (*1 *1 *1 *2) (-12 (-5 *2 (-1210 (-568))) (-4 *1 (-640 *3)) (-4 *3 (-1195)))) (-2828 (*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-640 *3)) (-4 *3 (-1195)))) (-2828 (*1 *1 *1 *2) (-12 (-5 *2 (-1210 (-568))) (-4 *1 (-640 *3)) (-4 *3 (-1195)))) (-4124 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-640 *2)) (-4 *2 (-1195)))) (-4124 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-640 *3)) (-4 *3 (-1195)))) (-2438 (*1 *2 *1 *3 *2) (-12 (-5 *3 (-1210 (-568))) (|has| *1 (-6 -4522)) (-4 *1 (-640 *2)) (-4 *2 (-1195))))) 
-(-13 (-601 (-568) |t#1|) (-154 |t#1|) (-10 -8 (-15 -1851 ($ (-763) |t#1|)) (-15 -2770 ($ $ |t#1|)) (-15 -2770 ($ |t#1| $)) (-15 -2770 ($ $ $)) (-15 -2770 ($ (-634 $))) (-15 -2797 ($ (-1 |t#1| |t#1| |t#1|) $ $)) (-15 -2781 ($ $ (-1210 (-568)))) (-15 -2828 ($ $ (-568))) (-15 -2828 ($ $ (-1210 (-568)))) (-15 -4124 ($ |t#1| $ (-568))) (-15 -4124 ($ $ $ (-568))) (IF (|has| $ (-6 -4522)) (-15 -2438 (|t#1| $ (-1210 (-568)) |t#1|)) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#1| (-1090)) ((-608 (-850)) |has| |#1| (-1090)) ((-154 |#1|) . T) ((-609 (-541)) |has| |#1| (-609 (-541))) ((-281 (-568) |#1|) . T) ((-283 (-568) |#1|) . T) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-499 |#1|) . T) ((-601 (-568) |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-1090) |has| |#1| (-1090)) ((-1195) . T)) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2057 (((-634 (-1075)) $) 115)) (-3325 (((-1161) $) 120)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 40)) (-3661 (($ $) 39)) (-4426 (((-121) $) 37)) (-4179 (($ $ (-568) (-568)) 126) (($ $ (-568)) 125)) (-2013 (((-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $) 118)) (-2689 (((-3 $ "failed") $ $) 18)) (-3045 (($ $) 71)) (-3498 (((-420 $) $) 70)) (-2589 (((-121) $ $) 57)) (-1872 (($ $ (-568)) 86)) (-2512 (($ (-568) |#1| $) 87)) (-4461 (($ $ $) 92)) (-4490 (($) 16 T CONST)) (-2232 (($ (-568) $) 89) (($ $) 88)) (-3297 (($ $) 93)) (-2403 (($ $ $) 53)) (-2116 (($ $) 108)) (-2902 (((-3 $ "failed") $) 33)) (-2414 (($ $ $) 54)) (-1277 (((-121) (-121)) 83) (((-121)) 82)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 49)) (-2197 (((-121) $) 69)) (-2379 (($ $) 95)) (-1302 (((-121) $) 116)) (-2545 (((-3 (-568) "failed") $) 94)) (-1844 (((-568) $ (-568)) 124) (((-568) $) 123) (((-568) $) 99)) (-1598 (((-121) $) 30)) (-4168 (($ $ (-917)) 122)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 50)) (-2171 (((-121) $) 106)) (-4444 (($ (-634 $) (-634 (-763)) (-568)) 90)) (-2049 (($ $ (-634 (-1075)) (-634 (-568))) 114) (($ $ (-1075) (-568)) 113) (($ |#1| (-568)) 107)) (-2797 (($ (-1 |#1| |#1|) $) 105)) (-2099 (($ $) 103)) (-2104 ((|#1| $) 102)) (-2498 (($ $ $) 45) (($ (-634 $)) 44)) (-1893 (((-1143) $) 9)) (-2083 (($ $) 68)) (-4025 (((-1108) $) 10)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 43)) (-2723 (($ $ $) 47) (($ (-634 $)) 46)) (-4438 ((|#1| $ (-568)) 98)) (-2938 (($ $ (-568)) 85)) (-3850 (((-420 $) $) 72)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2168 (($ $ (-568)) 128)) (-2597 (((-3 $ "failed") $ $) 41)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 48)) (-1339 (((-1141 |#1|) $ |#1|) 129 (|has| |#1| (-15 ** (|#1| |#1| (-568)))))) (-1466 (((-763) $) 56)) (-2781 (($ $ $) 142 (|has| (-568) (-1102))) ((|#1| $ (-568)) 119)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 55)) (-4191 (($ $) 141 (|has| |#1| (-15 * (|#1| (-568) |#1|)))) (($ $ (-763)) 139 (|has| |#1| (-15 * (|#1| (-568) |#1|)))) (($ $ (-1161)) 137 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $ (-634 (-1161))) 136 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $ (-1161) (-763)) 135 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $ (-634 (-1161)) (-634 (-763))) 134 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-568) |#1|)))))) (-1922 (($ (-1 $)) 91)) (-1836 (((-568) $) 104)) (-2188 (($ $) 117)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ $) 42) (($ (-409 (-568))) 63) (($ |#1|) 112 (|has| |#1| (-172))) (($ (-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|)))) 97) (((-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $) 96)) (-2079 ((|#1| $ (-568)) 109)) (-1691 ((|#1| $) 84)) (-3385 (((-3 $ "failed") $) 111 (|has| |#1| (-148)))) (-3425 (((-763)) 28)) (-1374 ((|#1| $) 121)) (-2273 (((-121) $ $) 38)) (-3999 ((|#1| $ (-568)) 127 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-568)))) (|has| |#1| (-15 -2747 (|#1| (-1161))))))) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32) (($ $ (-568)) 67)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3192 (($ $) 140 (|has| |#1| (-15 * (|#1| (-568) |#1|)))) (($ $ (-763)) 138 (|has| |#1| (-15 * (|#1| (-568) |#1|)))) (($ $ (-1161)) 133 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $ (-634 (-1161))) 132 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $ (-1161) (-763)) 131 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $ (-634 (-1161)) (-634 (-763))) 130 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-568) |#1|)))))) (-1719 (((-121) $ $) 6)) (-1781 (($ $ $) 62) (($ $ |#1|) 110 (|has| |#1| (-365)))) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ (-568)) 66)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ (-409 (-568))) 65) (($ (-409 (-568)) $) 64) (($ |#1| $) 101) (($ $ |#1|) 100))) 
-(((-641 |#1|) (-1275) (-365)) (T -641)) 
-((-1844 (*1 *2 *1) (-12 (-4 *1 (-641 *3)) (-4 *3 (-365)) (-5 *2 (-568)))) (-1844 (*1 *2 *1) (-12 (-4 *1 (-641 *3)) (-4 *3 (-365)) (-5 *2 (-568)))) (-4438 (*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-641 *2)) (-4 *2 (-365)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-1141 (-2 (|:| |k| (-568)) (|:| |c| *3)))) (-4 *3 (-365)) (-4 *1 (-641 *3)))) (-2747 (*1 *2 *1) (-12 (-4 *1 (-641 *3)) (-4 *3 (-365)) (-5 *2 (-1141 (-2 (|:| |k| (-568)) (|:| |c| *3)))))) (-2379 (*1 *1 *1) (-12 (-4 *1 (-641 *2)) (-4 *2 (-365)))) (-2545 (*1 *2 *1) (|partial| -12 (-4 *1 (-641 *3)) (-4 *3 (-365)) (-5 *2 (-568)))) (-3297 (*1 *1 *1) (-12 (-4 *1 (-641 *2)) (-4 *2 (-365)))) (-4461 (*1 *1 *1 *1) (-12 (-4 *1 (-641 *2)) (-4 *2 (-365)))) (-1922 (*1 *1 *2) (-12 (-5 *2 (-1 *1)) (-4 *1 (-641 *3)) (-4 *3 (-365)))) (-4444 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-634 *1)) (-5 *3 (-634 (-763))) (-5 *4 (-568)) (-4 *1 (-641 *5)) (-4 *5 (-365)))) (-2232 (*1 *1 *2 *1) (-12 (-5 *2 (-568)) (-4 *1 (-641 *3)) (-4 *3 (-365)))) (-2232 (*1 *1 *1) (-12 (-4 *1 (-641 *2)) (-4 *2 (-365)))) (-2512 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-568)) (-4 *1 (-641 *3)) (-4 *3 (-365)))) (-1872 (*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-641 *3)) (-4 *3 (-365)))) (-2938 (*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-641 *3)) (-4 *3 (-365)))) (-1691 (*1 *2 *1) (-12 (-4 *1 (-641 *2)) (-4 *2 (-365)))) (-1277 (*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *1 (-641 *3)) (-4 *3 (-365)))) (-1277 (*1 *2) (-12 (-4 *1 (-641 *3)) (-4 *3 (-365)) (-5 *2 (-121))))) 
-(-13 (-365) (-1221 |t#1| (-568)) (-10 -8 (-15 -1844 ((-568) $)) (-15 -4438 (|t#1| $ (-568))) (-15 -2747 ($ (-1141 (-2 (|:| |k| (-568)) (|:| |c| |t#1|))))) (-15 -2747 ((-1141 (-2 (|:| |k| (-568)) (|:| |c| |t#1|))) $)) (-15 -2379 ($ $)) (-15 -2545 ((-3 (-568) "failed") $)) (-15 -3297 ($ $)) (-15 -4461 ($ $ $)) (-15 -1922 ($ (-1 $))) (-15 -4444 ($ (-634 $) (-634 (-763)) (-568))) (-15 -2232 ($ (-568) $)) (-15 -2232 ($ $)) (-15 -2512 ($ (-568) |t#1| $)) (-15 -1872 ($ $ (-568))) (-15 -2938 ($ $ (-568))) (-15 -1691 (|t#1| $)) (-15 -1277 ((-121) (-121))) (-15 -1277 ((-121))))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-568)) . T) ((-25) . T) ((-43 (-409 (-568))) . T) ((-43 |#1|) |has| |#1| (-172)) ((-43 $) . T) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) . T) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-137) . T) ((-148) |has| |#1| (-148)) ((-150) |has| |#1| (-150)) ((-608 (-850)) . T) ((-172) . T) ((-225) |has| |#1| (-15 * (|#1| (-568) |#1|))) ((-238) . T) ((-281 $ $) |has| (-568) (-1102)) ((-285) . T) ((-301) . T) ((-365) . T) ((-453) . T) ((-558) . T) ((-637 (-409 (-568))) . T) ((-637 |#1|) . T) ((-637 $) . T) ((-707 (-409 (-568))) . T) ((-707 |#1|) |has| |#1| (-172)) ((-707 $) . T) ((-716) . T) ((-895 (-1161)) -12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161)))) ((-974 |#1| (-568) (-1075)) . T) ((-916) . T) ((-1053 (-409 (-568))) . T) ((-1053 |#1|) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1199) . T) ((-1221 |#1| (-568)) . T)) 
-((-3259 (((-3 |#2| "failed") |#3| |#2| (-1161) |#2| (-634 |#2|)) 159) (((-3 (-2 (|:| |particular| |#2|) (|:| -2588 (-634 |#2|))) "failed") |#3| |#2| (-1161)) 43))) 
-(((-642 |#1| |#2| |#3|) (-10 -7 (-15 -3259 ((-3 (-2 (|:| |particular| |#2|) (|:| -2588 (-634 |#2|))) "failed") |#3| |#2| (-1161))) (-15 -3259 ((-3 |#2| "failed") |#3| |#2| (-1161) |#2| (-634 |#2|)))) (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150)) (-13 (-29 |#1|) (-1181) (-959)) (-646 |#2|)) (T -642)) 
-((-3259 (*1 *2 *3 *2 *4 *2 *5) (|partial| -12 (-5 *4 (-1161)) (-5 *5 (-634 *2)) (-4 *2 (-13 (-29 *6) (-1181) (-959))) (-4 *6 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *1 (-642 *6 *2 *3)) (-4 *3 (-646 *2)))) (-3259 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1161)) (-4 *6 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-4 *4 (-13 (-29 *6) (-1181) (-959))) (-5 *2 (-2 (|:| |particular| *4) (|:| -2588 (-634 *4)))) (-5 *1 (-642 *6 *4 *3)) (-4 *3 (-646 *4))))) 
-(-10 -7 (-15 -3259 ((-3 (-2 (|:| |particular| |#2|) (|:| -2588 (-634 |#2|))) "failed") |#3| |#2| (-1161))) (-15 -3259 ((-3 |#2| "failed") |#3| |#2| (-1161) |#2| (-634 |#2|)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-1283 (($ $) NIL (|has| |#1| (-365)))) (-2314 (($ $ $) NIL (|has| |#1| (-365)))) (-1412 (($ $ (-763)) NIL (|has| |#1| (-365)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-1309 (($ $ $) NIL (|has| |#1| (-365)))) (-2096 (($ $ $) NIL (|has| |#1| (-365)))) (-2374 (($ $ $) NIL (|has| |#1| (-365)))) (-1310 (($ $ $) NIL (|has| |#1| (-365)))) (-4137 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#1| (-365)))) (-2554 (((-3 $ "failed") $ $) NIL (|has| |#1| (-365)))) (-3333 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-365)))) (-3668 (((-3 (-568) "failed") $) NIL (|has| |#1| (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-3 |#1| "failed") $) NIL)) (-2857 (((-568) $) NIL (|has| |#1| (-1037 (-568)))) (((-409 (-568)) $) NIL (|has| |#1| (-1037 (-409 (-568))))) ((|#1| $) NIL)) (-2116 (($ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1998 (($ $) NIL (|has| |#1| (-453)))) (-1598 (((-121) $) NIL)) (-2049 (($ |#1| (-763)) NIL)) (-3667 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-558)))) (-4301 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-558)))) (-3524 (((-763) $) NIL)) (-2600 (($ $ $) NIL (|has| |#1| (-365)))) (-3914 (($ $ $) NIL (|has| |#1| (-365)))) (-4150 (($ $ $) NIL (|has| |#1| (-365)))) (-2520 (($ $ $) NIL (|has| |#1| (-365)))) (-2651 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#1| (-365)))) (-3327 (((-3 $ "failed") $ $) NIL (|has| |#1| (-365)))) (-3229 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-365)))) (-2104 ((|#1| $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2597 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-558)))) (-2781 ((|#1| $ |#1|) NIL)) (-1311 (($ $ $) NIL (|has| |#1| (-365)))) (-1836 (((-763) $) NIL)) (-1364 ((|#1| $) NIL (|has| |#1| (-453)))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ (-409 (-568))) NIL (|has| |#1| (-1037 (-409 (-568))))) (($ |#1|) NIL)) (-3304 (((-634 |#1|) $) NIL)) (-2079 ((|#1| $ (-763)) NIL)) (-3425 (((-763)) NIL)) (-3828 ((|#1| $ |#1| |#1|) NIL)) (-1419 (($ $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($) NIL)) (-1719 (((-121) $ $) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-643 |#1|) (-646 |#1|) (-225)) (T -643)) 
-NIL 
-(-646 |#1|) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-1283 (($ $) NIL (|has| |#1| (-365)))) (-2314 (($ $ $) NIL (|has| |#1| (-365)))) (-1412 (($ $ (-763)) NIL (|has| |#1| (-365)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-1309 (($ $ $) NIL (|has| |#1| (-365)))) (-2096 (($ $ $) NIL (|has| |#1| (-365)))) (-2374 (($ $ $) NIL (|has| |#1| (-365)))) (-1310 (($ $ $) NIL (|has| |#1| (-365)))) (-4137 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#1| (-365)))) (-2554 (((-3 $ "failed") $ $) NIL (|has| |#1| (-365)))) (-3333 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-365)))) (-3668 (((-3 (-568) "failed") $) NIL (|has| |#1| (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-3 |#1| "failed") $) NIL)) (-2857 (((-568) $) NIL (|has| |#1| (-1037 (-568)))) (((-409 (-568)) $) NIL (|has| |#1| (-1037 (-409 (-568))))) ((|#1| $) NIL)) (-2116 (($ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1998 (($ $) NIL (|has| |#1| (-453)))) (-1598 (((-121) $) NIL)) (-2049 (($ |#1| (-763)) NIL)) (-3667 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-558)))) (-4301 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-558)))) (-3524 (((-763) $) NIL)) (-2600 (($ $ $) NIL (|has| |#1| (-365)))) (-3914 (($ $ $) NIL (|has| |#1| (-365)))) (-4150 (($ $ $) NIL (|has| |#1| (-365)))) (-2520 (($ $ $) NIL (|has| |#1| (-365)))) (-2651 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#1| (-365)))) (-3327 (((-3 $ "failed") $ $) NIL (|has| |#1| (-365)))) (-3229 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-365)))) (-2104 ((|#1| $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2597 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-558)))) (-2781 ((|#1| $ |#1|) NIL) ((|#2| $ |#2|) 13)) (-1311 (($ $ $) NIL (|has| |#1| (-365)))) (-1836 (((-763) $) NIL)) (-1364 ((|#1| $) NIL (|has| |#1| (-453)))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ (-409 (-568))) NIL (|has| |#1| (-1037 (-409 (-568))))) (($ |#1|) NIL)) (-3304 (((-634 |#1|) $) NIL)) (-2079 ((|#1| $ (-763)) NIL)) (-3425 (((-763)) NIL)) (-3828 ((|#1| $ |#1| |#1|) NIL)) (-1419 (($ $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($) NIL)) (-1719 (((-121) $ $) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-644 |#1| |#2|) (-13 (-646 |#1|) (-281 |#2| |#2|)) (-225) (-13 (-637 |#1|) (-10 -8 (-15 -4191 ($ $))))) (T -644)) 
-NIL 
-(-13 (-646 |#1|) (-281 |#2| |#2|)) 
-((-1283 (($ $) 26)) (-1419 (($ $) 24)) (-3192 (($) 12))) 
-(((-645 |#1| |#2|) (-10 -8 (-15 -1283 (|#1| |#1|)) (-15 -1419 (|#1| |#1|)) (-15 -3192 (|#1|))) (-646 |#2|) (-1047)) (T -645)) 
-NIL 
-(-10 -8 (-15 -1283 (|#1| |#1|)) (-15 -1419 (|#1| |#1|)) (-15 -3192 (|#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-1283 (($ $) 79 (|has| |#1| (-365)))) (-2314 (($ $ $) 81 (|has| |#1| (-365)))) (-1412 (($ $ (-763)) 80 (|has| |#1| (-365)))) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-1309 (($ $ $) 44 (|has| |#1| (-365)))) (-2096 (($ $ $) 45 (|has| |#1| (-365)))) (-2374 (($ $ $) 47 (|has| |#1| (-365)))) (-1310 (($ $ $) 42 (|has| |#1| (-365)))) (-4137 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 41 (|has| |#1| (-365)))) (-2554 (((-3 $ "failed") $ $) 43 (|has| |#1| (-365)))) (-3333 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 46 (|has| |#1| (-365)))) (-3668 (((-3 (-568) "failed") $) 73 (|has| |#1| (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) 71 (|has| |#1| (-1037 (-409 (-568))))) (((-3 |#1| "failed") $) 68)) (-2857 (((-568) $) 74 (|has| |#1| (-1037 (-568)))) (((-409 (-568)) $) 72 (|has| |#1| (-1037 (-409 (-568))))) ((|#1| $) 67)) (-2116 (($ $) 63)) (-2902 (((-3 $ "failed") $) 33)) (-1998 (($ $) 54 (|has| |#1| (-453)))) (-1598 (((-121) $) 30)) (-2049 (($ |#1| (-763)) 61)) (-3667 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 56 (|has| |#1| (-558)))) (-4301 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 57 (|has| |#1| (-558)))) (-3524 (((-763) $) 65)) (-2600 (($ $ $) 51 (|has| |#1| (-365)))) (-3914 (($ $ $) 52 (|has| |#1| (-365)))) (-4150 (($ $ $) 40 (|has| |#1| (-365)))) (-2520 (($ $ $) 49 (|has| |#1| (-365)))) (-2651 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 48 (|has| |#1| (-365)))) (-3327 (((-3 $ "failed") $ $) 50 (|has| |#1| (-365)))) (-3229 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 53 (|has| |#1| (-365)))) (-2104 ((|#1| $) 64)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2597 (((-3 $ "failed") $ |#1|) 58 (|has| |#1| (-558)))) (-2781 ((|#1| $ |#1|) 84)) (-1311 (($ $ $) 78 (|has| |#1| (-365)))) (-1836 (((-763) $) 66)) (-1364 ((|#1| $) 55 (|has| |#1| (-453)))) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ (-409 (-568))) 70 (|has| |#1| (-1037 (-409 (-568))))) (($ |#1|) 69)) (-3304 (((-634 |#1|) $) 60)) (-2079 ((|#1| $ (-763)) 62)) (-3425 (((-763)) 28)) (-3828 ((|#1| $ |#1| |#1|) 59)) (-1419 (($ $) 82)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3192 (($) 83)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ |#1|) 76) (($ |#1| $) 75))) 
-(((-646 |#1|) (-1275) (-1047)) (T -646)) 
-((-3192 (*1 *1) (-12 (-4 *1 (-646 *2)) (-4 *2 (-1047)))) (-1419 (*1 *1 *1) (-12 (-4 *1 (-646 *2)) (-4 *2 (-1047)))) (-2314 (*1 *1 *1 *1) (-12 (-4 *1 (-646 *2)) (-4 *2 (-1047)) (-4 *2 (-365)))) (-1412 (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-646 *3)) (-4 *3 (-1047)) (-4 *3 (-365)))) (-1283 (*1 *1 *1) (-12 (-4 *1 (-646 *2)) (-4 *2 (-1047)) (-4 *2 (-365)))) (-1311 (*1 *1 *1 *1) (-12 (-4 *1 (-646 *2)) (-4 *2 (-1047)) (-4 *2 (-365))))) 
-(-13 (-844 |t#1|) (-281 |t#1| |t#1|) (-10 -8 (-15 -3192 ($)) (-15 -1419 ($ $)) (IF (|has| |t#1| (-365)) (PROGN (-15 -2314 ($ $ $)) (-15 -1412 ($ $ (-763))) (-15 -1283 ($ $)) (-15 -1311 ($ $ $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-172)) ((-105) . T) ((-120 |#1| |#1|) . T) ((-137) . T) ((-608 (-850)) . T) ((-281 |#1| |#1|) . T) ((-413 |#1|) . T) ((-637 |#1|) . T) ((-637 $) . T) ((-707 |#1|) |has| |#1| (-172)) ((-716) . T) ((-1037 (-409 (-568))) |has| |#1| (-1037 (-409 (-568)))) ((-1037 (-568)) |has| |#1| (-1037 (-568))) ((-1037 |#1|) . T) ((-1053 |#1|) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-844 |#1|) . T)) 
-((-1718 (((-634 (-643 (-409 |#2|))) (-643 (-409 |#2|))) 72 (|has| |#1| (-27)))) (-3850 (((-634 (-643 (-409 |#2|))) (-643 (-409 |#2|))) 71 (|has| |#1| (-27))) (((-634 (-643 (-409 |#2|))) (-643 (-409 |#2|)) (-1 (-634 |#1|) |#2|)) 15))) 
-(((-647 |#1| |#2|) (-10 -7 (-15 -3850 ((-634 (-643 (-409 |#2|))) (-643 (-409 |#2|)) (-1 (-634 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -3850 ((-634 (-643 (-409 |#2|))) (-643 (-409 |#2|)))) (-15 -1718 ((-634 (-643 (-409 |#2|))) (-643 (-409 |#2|))))) |noBranch|)) (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568)))) (-1219 |#1|)) (T -647)) 
-((-1718 (*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-4 *5 (-1219 *4)) (-5 *2 (-634 (-643 (-409 *5)))) (-5 *1 (-647 *4 *5)) (-5 *3 (-643 (-409 *5))))) (-3850 (*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-4 *5 (-1219 *4)) (-5 *2 (-634 (-643 (-409 *5)))) (-5 *1 (-647 *4 *5)) (-5 *3 (-643 (-409 *5))))) (-3850 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-634 *5) *6)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-4 *6 (-1219 *5)) (-5 *2 (-634 (-643 (-409 *6)))) (-5 *1 (-647 *5 *6)) (-5 *3 (-643 (-409 *6)))))) 
-(-10 -7 (-15 -3850 ((-634 (-643 (-409 |#2|))) (-643 (-409 |#2|)) (-1 (-634 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -3850 ((-634 (-643 (-409 |#2|))) (-643 (-409 |#2|)))) (-15 -1718 ((-634 (-643 (-409 |#2|))) (-643 (-409 |#2|))))) |noBranch|)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-1283 (($ $) NIL (|has| |#1| (-365)))) (-2314 (($ $ $) 28 (|has| |#1| (-365)))) (-1412 (($ $ (-763)) 31 (|has| |#1| (-365)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-1309 (($ $ $) NIL (|has| |#1| (-365)))) (-2096 (($ $ $) NIL (|has| |#1| (-365)))) (-2374 (($ $ $) NIL (|has| |#1| (-365)))) (-1310 (($ $ $) NIL (|has| |#1| (-365)))) (-4137 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#1| (-365)))) (-2554 (((-3 $ "failed") $ $) NIL (|has| |#1| (-365)))) (-3333 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-365)))) (-3668 (((-3 (-568) "failed") $) NIL (|has| |#1| (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-3 |#1| "failed") $) NIL)) (-2857 (((-568) $) NIL (|has| |#1| (-1037 (-568)))) (((-409 (-568)) $) NIL (|has| |#1| (-1037 (-409 (-568))))) ((|#1| $) NIL)) (-2116 (($ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1998 (($ $) NIL (|has| |#1| (-453)))) (-1598 (((-121) $) NIL)) (-2049 (($ |#1| (-763)) NIL)) (-3667 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-558)))) (-4301 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-558)))) (-3524 (((-763) $) NIL)) (-2600 (($ $ $) NIL (|has| |#1| (-365)))) (-3914 (($ $ $) NIL (|has| |#1| (-365)))) (-4150 (($ $ $) NIL (|has| |#1| (-365)))) (-2520 (($ $ $) NIL (|has| |#1| (-365)))) (-2651 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#1| (-365)))) (-3327 (((-3 $ "failed") $ $) NIL (|has| |#1| (-365)))) (-3229 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-365)))) (-2104 ((|#1| $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2597 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-558)))) (-2781 ((|#1| $ |#1|) 24)) (-1311 (($ $ $) 33 (|has| |#1| (-365)))) (-1836 (((-763) $) NIL)) (-1364 ((|#1| $) NIL (|has| |#1| (-453)))) (-2747 (((-850) $) 20) (($ (-568)) NIL) (($ (-409 (-568))) NIL (|has| |#1| (-1037 (-409 (-568))))) (($ |#1|) NIL)) (-3304 (((-634 |#1|) $) NIL)) (-2079 ((|#1| $ (-763)) NIL)) (-3425 (((-763)) NIL)) (-3828 ((|#1| $ |#1| |#1|) 23)) (-1419 (($ $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 21 T CONST)) (-1557 (($) 8 T CONST)) (-3192 (($) NIL)) (-1719 (((-121) $ $) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-648 |#1| |#2|) (-646 |#1|) (-1047) (-1 |#1| |#1|)) (T -648)) 
-NIL 
-(-646 |#1|) 
-((-2314 ((|#2| |#2| |#2| (-1 |#1| |#1|)) 61)) (-1412 ((|#2| |#2| (-763) (-1 |#1| |#1|)) 42)) (-1311 ((|#2| |#2| |#2| (-1 |#1| |#1|)) 63))) 
-(((-649 |#1| |#2|) (-10 -7 (-15 -2314 (|#2| |#2| |#2| (-1 |#1| |#1|))) (-15 -1412 (|#2| |#2| (-763) (-1 |#1| |#1|))) (-15 -1311 (|#2| |#2| |#2| (-1 |#1| |#1|)))) (-365) (-646 |#1|)) (T -649)) 
-((-1311 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-365)) (-5 *1 (-649 *4 *2)) (-4 *2 (-646 *4)))) (-1412 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-763)) (-5 *4 (-1 *5 *5)) (-4 *5 (-365)) (-5 *1 (-649 *5 *2)) (-4 *2 (-646 *5)))) (-2314 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-365)) (-5 *1 (-649 *4 *2)) (-4 *2 (-646 *4))))) 
-(-10 -7 (-15 -2314 (|#2| |#2| |#2| (-1 |#1| |#1|))) (-15 -1412 (|#2| |#2| (-763) (-1 |#1| |#1|))) (-15 -1311 (|#2| |#2| |#2| (-1 |#1| |#1|)))) 
-((-2432 (($ $ $) 9))) 
-(((-650 |#1|) (-10 -8 (-15 -2432 (|#1| |#1| |#1|))) (-651)) (T -650)) 
-NIL 
-(-10 -8 (-15 -2432 (|#1| |#1| |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1613 (($ $) 10)) (-2432 (($ $ $) 8)) (-1719 (((-121) $ $) 6)) (-2426 (($ $ $) 9))) 
-(((-651) (-1275)) (T -651)) 
-((-1613 (*1 *1 *1) (-4 *1 (-651))) (-2426 (*1 *1 *1 *1) (-4 *1 (-651))) (-2432 (*1 *1 *1 *1) (-4 *1 (-651)))) 
-(-13 (-105) (-10 -8 (-15 -1613 ($ $)) (-15 -2426 ($ $ $)) (-15 -2432 ($ $ $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) NIL)) (-2085 (((-764) $) 15)) (-2542 (($ $ |#1|) 55)) (-1302 (($ $) 32)) (-2052 (($ $) 31)) (-1647 (((-3 |#1| "failed") $) 47)) (-2428 ((|#1| $) NIL)) (-2372 (($ |#1| |#2| $) 60) (($ $ $) 61)) (-1982 (((-851) $ (-1 (-851) (-851) (-851)) (-1 (-851) (-851) (-851)) (-569)) 45)) (-3082 ((|#1| $ (-569)) 30)) (-2248 ((|#2| $ (-569)) 29)) (-4101 (($ (-1 |#1| |#1|) $) 34)) (-1599 (($ (-1 |#2| |#2|) $) 38)) (-2555 (($) 10)) (-3961 (($ |#1| |#2|) 22)) (-2746 (($ (-635 (-2 (|:| |gen| |#1|) (|:| -2436 |#2|)))) 23)) (-3061 (((-635 (-2 (|:| |gen| |#1|) (|:| -2436 |#2|))) $) 13)) (-2589 (($ |#1| $) 56)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1762 (((-121) $ $) 58)) (-2185 (((-851) $) 19) (($ |#1|) 16)) (-1668 (((-121) $ $) 25))) 
+(((-639 |#1| |#2| |#3|) (-13 (-1091) (-1038 |#1|) (-10 -8 (-15 -1982 ((-851) $ (-1 (-851) (-851) (-851)) (-1 (-851) (-851) (-851)) (-569))) (-15 -3061 ((-635 (-2 (|:| |gen| |#1|) (|:| -2436 |#2|))) $)) (-15 -3961 ($ |#1| |#2|)) (-15 -2746 ($ (-635 (-2 (|:| |gen| |#1|) (|:| -2436 |#2|))))) (-15 -2248 (|#2| $ (-569))) (-15 -3082 (|#1| $ (-569))) (-15 -2052 ($ $)) (-15 -1302 ($ $)) (-15 -2085 ((-764) $)) (-15 -2555 ($)) (-15 -2542 ($ $ |#1|)) (-15 -2589 ($ |#1| $)) (-15 -2372 ($ |#1| |#2| $)) (-15 -2372 ($ $ $)) (-15 -1762 ((-121) $ $)) (-15 -1599 ($ (-1 |#2| |#2|) $)) (-15 -4101 ($ (-1 |#1| |#1|) $)))) (-1091) (-23) |#2|) (T -639)) 
+((-1982 (*1 *2 *1 *3 *3 *4) (-12 (-5 *3 (-1 (-851) (-851) (-851))) (-5 *4 (-569)) (-5 *2 (-851)) (-5 *1 (-639 *5 *6 *7)) (-4 *5 (-1091)) (-4 *6 (-23)) (-14 *7 *6))) (-3061 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -2436 *4)))) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1091)) (-4 *4 (-23)) (-14 *5 *4))) (-3961 (*1 *1 *2 *3) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3))) (-2746 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -2436 *4)))) (-4 *3 (-1091)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-639 *3 *4 *5)))) (-2248 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-23)) (-5 *1 (-639 *4 *2 *5)) (-4 *4 (-1091)) (-14 *5 *2))) (-3082 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-1091)) (-5 *1 (-639 *2 *4 *5)) (-4 *4 (-23)) (-14 *5 *4))) (-2052 (*1 *1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3))) (-1302 (*1 *1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3))) (-2085 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1091)) (-4 *4 (-23)) (-14 *5 *4))) (-2555 (*1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3))) (-2542 (*1 *1 *1 *2) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3))) (-2589 (*1 *1 *2 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3))) (-2372 (*1 *1 *2 *3 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3))) (-2372 (*1 *1 *1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3))) (-1762 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1091)) (-4 *4 (-23)) (-14 *5 *4))) (-1599 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1091)))) (-4101 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-639 *3 *4 *5)) (-4 *4 (-23)) (-14 *5 *4)))) 
+(-13 (-1091) (-1038 |#1|) (-10 -8 (-15 -1982 ((-851) $ (-1 (-851) (-851) (-851)) (-1 (-851) (-851) (-851)) (-569))) (-15 -3061 ((-635 (-2 (|:| |gen| |#1|) (|:| -2436 |#2|))) $)) (-15 -3961 ($ |#1| |#2|)) (-15 -2746 ($ (-635 (-2 (|:| |gen| |#1|) (|:| -2436 |#2|))))) (-15 -2248 (|#2| $ (-569))) (-15 -3082 (|#1| $ (-569))) (-15 -2052 ($ $)) (-15 -1302 ($ $)) (-15 -2085 ((-764) $)) (-15 -2555 ($)) (-15 -2542 ($ $ |#1|)) (-15 -2589 ($ |#1| $)) (-15 -2372 ($ |#1| |#2| $)) (-15 -2372 ($ $ $)) (-15 -1762 ((-121) $ $)) (-15 -1599 ($ (-1 |#2| |#2|) $)) (-15 -4101 ($ (-1 |#1| |#1|) $)))) 
+((-1285 (((-569) $) 23)) (-3614 (($ |#2| $ (-569)) 21) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) 12)) (-3533 (((-121) (-569) $) 14)) (-2250 (($ $ |#2|) 18) (($ |#2| $) 19) (($ $ $) NIL) (($ (-635 $)) NIL))) 
+(((-640 |#1| |#2|) (-10 -8 (-15 -3614 (|#1| |#1| |#1| (-569))) (-15 -3614 (|#1| |#2| |#1| (-569))) (-15 -2250 (|#1| (-635 |#1|))) (-15 -2250 (|#1| |#1| |#1|)) (-15 -2250 (|#1| |#2| |#1|)) (-15 -2250 (|#1| |#1| |#2|)) (-15 -1285 ((-569) |#1|)) (-15 -4166 ((-635 (-569)) |#1|)) (-15 -3533 ((-121) (-569) |#1|))) (-641 |#2|) (-1197)) (T -640)) 
+NIL 
+(-10 -8 (-15 -3614 (|#1| |#1| |#1| (-569))) (-15 -3614 (|#1| |#2| |#1| (-569))) (-15 -2250 (|#1| (-635 |#1|))) (-15 -2250 (|#1| |#1| |#1|)) (-15 -2250 (|#1| |#2| |#1|)) (-15 -2250 (|#1| |#1| |#2|)) (-15 -1285 ((-569) |#1|)) (-15 -4166 ((-635 (-569)) |#1|)) (-15 -3533 ((-121) (-569) |#1|))) 
+((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-3112 (((-1252) $ (-569) (-569)) 37 (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) 8)) (-4469 ((|#1| $ (-569) |#1|) 49 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) 53 (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-2033 (($ $) 73 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ |#1| $) 72 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) 50 (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) 48)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-2659 (($ (-764) |#1|) 64)) (-1974 (((-121) $ (-764)) 9)) (-3557 (((-569) $) 40 (|has| (-569) (-843)))) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1285 (((-569) $) 41 (|has| (-569) (-843)))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3614 (($ |#1| $ (-569)) 55) (($ $ $ (-569)) 54)) (-4166 (((-635 (-569)) $) 43)) (-3533 (((-121) (-569) $) 44)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4353 ((|#1| $) 39 (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-3174 (($ $ |#1|) 38 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) 45)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ (-569) |#1|) 47) ((|#1| $ (-569)) 46) (($ $ (-1213 (-569))) 58)) (-3010 (($ $ (-569)) 57) (($ $ (-1213 (-569))) 56)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-3817 (((-542) $) 74 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 65)) (-2250 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-641 |#1|) (-1278) (-1197)) (T -641)) 
+((-2659 (*1 *1 *2 *3) (-12 (-5 *2 (-764)) (-4 *1 (-641 *3)) (-4 *3 (-1197)))) (-2250 (*1 *1 *1 *2) (-12 (-4 *1 (-641 *2)) (-4 *2 (-1197)))) (-2250 (*1 *1 *2 *1) (-12 (-4 *1 (-641 *2)) (-4 *2 (-1197)))) (-2250 (*1 *1 *1 *1) (-12 (-4 *1 (-641 *2)) (-4 *2 (-1197)))) (-2250 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-641 *3)) (-4 *3 (-1197)))) (-1544 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-641 *3)) (-4 *3 (-1197)))) (-1534 (*1 *1 *1 *2) (-12 (-5 *2 (-1213 (-569))) (-4 *1 (-641 *3)) (-4 *3 (-1197)))) (-3010 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-641 *3)) (-4 *3 (-1197)))) (-3010 (*1 *1 *1 *2) (-12 (-5 *2 (-1213 (-569))) (-4 *1 (-641 *3)) (-4 *3 (-1197)))) (-3614 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-641 *2)) (-4 *2 (-1197)))) (-3614 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-641 *3)) (-4 *3 (-1197)))) (-4469 (*1 *2 *1 *3 *2) (-12 (-5 *3 (-1213 (-569))) (|has| *1 (-6 -4536)) (-4 *1 (-641 *2)) (-4 *2 (-1197))))) 
+(-13 (-602 (-569) |t#1|) (-155 |t#1|) (-10 -8 (-15 -2659 ($ (-764) |t#1|)) (-15 -2250 ($ $ |t#1|)) (-15 -2250 ($ |t#1| $)) (-15 -2250 ($ $ $)) (-15 -2250 ($ (-635 $))) (-15 -1544 ($ (-1 |t#1| |t#1| |t#1|) $ $)) (-15 -1534 ($ $ (-1213 (-569)))) (-15 -3010 ($ $ (-569))) (-15 -3010 ($ $ (-1213 (-569)))) (-15 -3614 ($ |t#1| $ (-569))) (-15 -3614 ($ $ $ (-569))) (IF (|has| $ (-6 -4536)) (-15 -4469 (|t#1| $ (-1213 (-569)) |t#1|)) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1773 (((-635 (-1076)) $) 115)) (-3534 (((-1163) $) 120)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-3136 (($ $ (-569) (-569)) 126) (($ $ (-569)) 125)) (-1403 (((-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 118)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-3934 (((-121) $ $) 57)) (-3036 (($ $ (-569)) 86)) (-3343 (($ (-569) |#1| $) 87)) (-1364 (($ $ $) 92)) (-2820 (($) 16 T CONST)) (-1783 (($ (-569) $) 89) (($ $) 88)) (-3338 (($ $) 93)) (-2506 (($ $ $) 53)) (-4020 (($ $) 108)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 54)) (-3987 (((-121) (-121)) 83) (((-121)) 82)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-3726 (((-121) $) 69)) (-1372 (($ $) 95)) (-2777 (((-121) $) 116)) (-3610 (((-3 (-569) "failed") $) 94)) (-2558 (((-569) $ (-569)) 124) (((-569) $) 123) (((-569) $) 99)) (-1407 (((-121) $) 30)) (-3089 (($ $ (-918)) 122)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-3523 (((-121) $) 106)) (-4476 (($ (-635 $) (-635 (-764)) (-569)) 90)) (-1763 (($ $ (-635 (-1076)) (-635 (-569))) 114) (($ $ (-1076) (-569)) 113) (($ |#1| (-569)) 107)) (-1544 (($ (-1 |#1| |#1|) $) 105)) (-1804 (($ $) 103)) (-4012 ((|#1| $) 102)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-4431 ((|#1| $ (-569)) 98)) (-3669 (($ $ (-569)) 85)) (-1743 (((-421 $) $) 72)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3499 (($ $ (-569)) 128)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-1468 (((-1143 |#1|) $ |#1|) 129 (|has| |#1| (-15 ** (|#1| |#1| (-569)))))) (-2622 (((-764) $) 56)) (-1534 (($ $ $) 142 (|has| (-569) (-1103))) ((|#1| $ (-569)) 119)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-3899 (($ $) 141 (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-764)) 139 (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-1163)) 137 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163))) 136 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-1163) (-764)) 135 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163)) (-635 (-764))) 134 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (-2906 (($ (-1 $)) 91)) (-2492 (((-569) $) 104)) (-3659 (($ $) 117)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ |#1|) 112 (|has| |#1| (-173))) (($ (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 97) (((-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 96)) (-1653 ((|#1| $ (-569)) 109)) (-3095 ((|#1| $) 84)) (-3953 (((-3 $ "failed") $) 111 (|has| |#1| (-149)))) (-1991 (((-764)) 28)) (-4030 ((|#1| $) 121)) (-1961 (((-121) $ $) 38)) (-2994 ((|#1| $ (-569)) 127 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $) 140 (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-764)) 138 (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-1163)) 133 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163))) 132 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-1163) (-764)) 131 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163)) (-635 (-764))) 130 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 62) (($ $ |#1|) 110 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ |#1| $) 101) (($ $ |#1|) 100))) 
+(((-642 |#1|) (-1278) (-366)) (T -642)) 
+((-2558 (*1 *2 *1) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) (-2558 (*1 *2 *1) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) (-4431 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-642 *2)) (-4 *2 (-366)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-4 *3 (-366)) (-4 *1 (-642 *3)))) (-2185 (*1 *2 *1) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *3)))))) (-1372 (*1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366)))) (-3610 (*1 *2 *1) (|partial| -12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) (-3338 (*1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366)))) (-1364 (*1 *1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366)))) (-2906 (*1 *1 *2) (-12 (-5 *2 (-1 *1)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) (-4476 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 (-764))) (-5 *4 (-569)) (-4 *1 (-642 *5)) (-4 *5 (-366)))) (-1783 (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) (-1783 (*1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366)))) (-3343 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) (-3036 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) (-3669 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) (-3095 (*1 *2 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366)))) (-3987 (*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) (-3987 (*1 *2) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-121))))) 
+(-13 (-366) (-1224 |t#1| (-569)) (-10 -8 (-15 -2558 ((-569) $)) (-15 -4431 (|t#1| $ (-569))) (-15 -2185 ($ (-1143 (-2 (|:| |k| (-569)) (|:| |c| |t#1|))))) (-15 -2185 ((-1143 (-2 (|:| |k| (-569)) (|:| |c| |t#1|))) $)) (-15 -1372 ($ $)) (-15 -3610 ((-3 (-569) "failed") $)) (-15 -3338 ($ $)) (-15 -1364 ($ $ $)) (-15 -2906 ($ (-1 $))) (-15 -4476 ($ (-635 $) (-635 (-764)) (-569))) (-15 -1783 ($ (-569) $)) (-15 -1783 ($ $)) (-15 -3343 ($ (-569) |t#1| $)) (-15 -3036 ($ $ (-569))) (-15 -3669 ($ $ (-569))) (-15 -3095 (|t#1| $)) (-15 -3987 ((-121) (-121))) (-15 -3987 ((-121))))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| (-569)) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) . T) ((-226) |has| |#1| (-15 * (|#1| (-569) |#1|))) ((-239) . T) ((-282 $ $) |has| (-569) (-1103)) ((-286) . T) ((-302) . T) ((-366) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) . T) ((-717) . T) ((-896 (-1163)) -12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))) ((-975 |#1| (-569) (-1076)) . T) ((-917) . T) ((-1054 (-410 (-569))) . T) ((-1054 |#1|) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) . T) ((-1224 |#1| (-569)) . T)) 
+((-4435 (((-3 |#2| "failed") |#3| |#2| (-1163) |#2| (-635 |#2|)) 159) (((-3 (-2 (|:| |particular| |#2|) (|:| -3930 (-635 |#2|))) "failed") |#3| |#2| (-1163)) 43))) 
+(((-643 |#1| |#2| |#3|) (-10 -7 (-15 -4435 ((-3 (-2 (|:| |particular| |#2|) (|:| -3930 (-635 |#2|))) "failed") |#3| |#2| (-1163))) (-15 -4435 ((-3 |#2| "failed") |#3| |#2| (-1163) |#2| (-635 |#2|)))) (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151)) (-13 (-29 |#1|) (-1183) (-960)) (-647 |#2|)) (T -643)) 
+((-4435 (*1 *2 *3 *2 *4 *2 *5) (|partial| -12 (-5 *4 (-1163)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-29 *6) (-1183) (-960))) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *1 (-643 *6 *2 *3)) (-4 *3 (-647 *2)))) (-4435 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1163)) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-4 *4 (-13 (-29 *6) (-1183) (-960))) (-5 *2 (-2 (|:| |particular| *4) (|:| -3930 (-635 *4)))) (-5 *1 (-643 *6 *4 *3)) (-4 *3 (-647 *4))))) 
+(-10 -7 (-15 -4435 ((-3 (-2 (|:| |particular| |#2|) (|:| -3930 (-635 |#2|))) "failed") |#3| |#2| (-1163))) (-15 -4435 ((-3 |#2| "failed") |#3| |#2| (-1163) |#2| (-635 |#2|)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2685 (($ $) NIL (|has| |#1| (-366)))) (-2238 (($ $ $) NIL (|has| |#1| (-366)))) (-3665 (($ $ (-764)) NIL (|has| |#1| (-366)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-2812 (($ $ $) NIL (|has| |#1| (-366)))) (-1709 (($ $ $) NIL (|has| |#1| (-366)))) (-1341 (($ $ $) NIL (|has| |#1| (-366)))) (-2818 (($ $ $) NIL (|has| |#1| (-366)))) (-2995 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3685 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-3603 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-2428 (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) NIL)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#1| (-454)))) (-1407 (((-121) $) NIL)) (-1763 (($ |#1| (-764)) NIL)) (-3430 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-559)))) (-2443 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-559)))) (-4002 (((-764) $) NIL)) (-1811 (($ $ $) NIL (|has| |#1| (-366)))) (-4040 (($ $ $) NIL (|has| |#1| (-366)))) (-3029 (($ $ $) NIL (|has| |#1| (-366)))) (-3402 (($ $ $) NIL (|has| |#1| (-366)))) (-2092 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3551 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-4286 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-1534 ((|#1| $ |#1|) NIL)) (-2823 (($ $ $) NIL (|has| |#1| (-366)))) (-2492 (((-764) $) NIL)) (-3298 ((|#1| $) NIL (|has| |#1| (-454)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-1038 (-410 (-569))))) (($ |#1|) NIL)) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-764)) NIL)) (-1991 (((-764)) NIL)) (-1943 ((|#1| $ |#1| |#1|) NIL)) (-3724 (($ $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($) NIL)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-644 |#1|) (-647 |#1|) (-226)) (T -644)) 
+NIL 
+(-647 |#1|) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2685 (($ $) NIL (|has| |#1| (-366)))) (-2238 (($ $ $) NIL (|has| |#1| (-366)))) (-3665 (($ $ (-764)) NIL (|has| |#1| (-366)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-2812 (($ $ $) NIL (|has| |#1| (-366)))) (-1709 (($ $ $) NIL (|has| |#1| (-366)))) (-1341 (($ $ $) NIL (|has| |#1| (-366)))) (-2818 (($ $ $) NIL (|has| |#1| (-366)))) (-2995 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3685 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-3603 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-2428 (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) NIL)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#1| (-454)))) (-1407 (((-121) $) NIL)) (-1763 (($ |#1| (-764)) NIL)) (-3430 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-559)))) (-2443 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-559)))) (-4002 (((-764) $) NIL)) (-1811 (($ $ $) NIL (|has| |#1| (-366)))) (-4040 (($ $ $) NIL (|has| |#1| (-366)))) (-3029 (($ $ $) NIL (|has| |#1| (-366)))) (-3402 (($ $ $) NIL (|has| |#1| (-366)))) (-2092 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3551 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-4286 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-1534 ((|#1| $ |#1|) NIL) ((|#2| $ |#2|) 13)) (-2823 (($ $ $) NIL (|has| |#1| (-366)))) (-2492 (((-764) $) NIL)) (-3298 ((|#1| $) NIL (|has| |#1| (-454)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-1038 (-410 (-569))))) (($ |#1|) NIL)) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-764)) NIL)) (-1991 (((-764)) NIL)) (-1943 ((|#1| $ |#1| |#1|) NIL)) (-3724 (($ $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($) NIL)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-645 |#1| |#2|) (-13 (-647 |#1|) (-282 |#2| |#2|)) (-226) (-13 (-638 |#1|) (-10 -8 (-15 -3899 ($ $))))) (T -645)) 
+NIL 
+(-13 (-647 |#1|) (-282 |#2| |#2|)) 
+((-2685 (($ $) 26)) (-3724 (($ $) 24)) (-3022 (($) 12))) 
+(((-646 |#1| |#2|) (-10 -8 (-15 -2685 (|#1| |#1|)) (-15 -3724 (|#1| |#1|)) (-15 -3022 (|#1|))) (-647 |#2|) (-1048)) (T -646)) 
+NIL 
+(-10 -8 (-15 -2685 (|#1| |#1|)) (-15 -3724 (|#1| |#1|)) (-15 -3022 (|#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2685 (($ $) 79 (|has| |#1| (-366)))) (-2238 (($ $ $) 81 (|has| |#1| (-366)))) (-3665 (($ $ (-764)) 80 (|has| |#1| (-366)))) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2812 (($ $ $) 44 (|has| |#1| (-366)))) (-1709 (($ $ $) 45 (|has| |#1| (-366)))) (-1341 (($ $ $) 47 (|has| |#1| (-366)))) (-2818 (($ $ $) 42 (|has| |#1| (-366)))) (-2995 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 41 (|has| |#1| (-366)))) (-3685 (((-3 $ "failed") $ $) 43 (|has| |#1| (-366)))) (-3603 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 46 (|has| |#1| (-366)))) (-1647 (((-3 (-569) "failed") $) 73 (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) 71 (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) 68)) (-2428 (((-569) $) 74 (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) 72 (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) 67)) (-4020 (($ $) 63)) (-3428 (((-3 $ "failed") $) 33)) (-1340 (($ $) 54 (|has| |#1| (-454)))) (-1407 (((-121) $) 30)) (-1763 (($ |#1| (-764)) 61)) (-3430 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 56 (|has| |#1| (-559)))) (-2443 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 57 (|has| |#1| (-559)))) (-4002 (((-764) $) 65)) (-1811 (($ $ $) 51 (|has| |#1| (-366)))) (-4040 (($ $ $) 52 (|has| |#1| (-366)))) (-3029 (($ $ $) 40 (|has| |#1| (-366)))) (-3402 (($ $ $) 49 (|has| |#1| (-366)))) (-2092 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 48 (|has| |#1| (-366)))) (-3551 (((-3 $ "failed") $ $) 50 (|has| |#1| (-366)))) (-4286 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 53 (|has| |#1| (-366)))) (-4012 ((|#1| $) 64)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2941 (((-3 $ "failed") $ |#1|) 58 (|has| |#1| (-559)))) (-1534 ((|#1| $ |#1|) 84)) (-2823 (($ $ $) 78 (|has| |#1| (-366)))) (-2492 (((-764) $) 66)) (-3298 ((|#1| $) 55 (|has| |#1| (-454)))) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 70 (|has| |#1| (-1038 (-410 (-569))))) (($ |#1|) 69)) (-3382 (((-635 |#1|) $) 60)) (-1653 ((|#1| $ (-764)) 62)) (-1991 (((-764)) 28)) (-1943 ((|#1| $ |#1| |#1|) 59)) (-3724 (($ $) 82)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($) 83)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 76) (($ |#1| $) 75))) 
+(((-647 |#1|) (-1278) (-1048)) (T -647)) 
+((-3022 (*1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1048)))) (-3724 (*1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1048)))) (-2238 (*1 *1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) (-3665 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-647 *3)) (-4 *3 (-1048)) (-4 *3 (-366)))) (-2685 (*1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) (-2823 (*1 *1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
+(-13 (-845 |t#1|) (-282 |t#1| |t#1|) (-10 -8 (-15 -3022 ($)) (-15 -3724 ($ $)) (IF (|has| |t#1| (-366)) (PROGN (-15 -2238 ($ $ $)) (-15 -3665 ($ $ (-764))) (-15 -2685 ($ $)) (-15 -2823 ($ $ $))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-173)) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-851)) . T) ((-282 |#1| |#1|) . T) ((-414 |#1|) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-708 |#1|) |has| |#1| (-173)) ((-717) . T) ((-1038 (-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 |#1|) . T) ((-1054 |#1|) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-845 |#1|) . T)) 
+((-3221 (((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|))) 72 (|has| |#1| (-27)))) (-1743 (((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|))) 71 (|has| |#1| (-27))) (((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|)) 15))) 
+(((-648 |#1| |#2|) (-10 -7 (-15 -1743 ((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -1743 ((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|)))) (-15 -3221 ((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|))))) |noBranch|)) (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569)))) (-1222 |#1|)) (T -648)) 
+((-3221 (*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *2 (-635 (-644 (-410 *5)))) (-5 *1 (-648 *4 *5)) (-5 *3 (-644 (-410 *5))))) (-1743 (*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *2 (-635 (-644 (-410 *5)))) (-5 *1 (-648 *4 *5)) (-5 *3 (-644 (-410 *5))))) (-1743 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-644 (-410 *6)))) (-5 *1 (-648 *5 *6)) (-5 *3 (-644 (-410 *6)))))) 
+(-10 -7 (-15 -1743 ((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -1743 ((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|)))) (-15 -3221 ((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|))))) |noBranch|)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2685 (($ $) NIL (|has| |#1| (-366)))) (-2238 (($ $ $) 28 (|has| |#1| (-366)))) (-3665 (($ $ (-764)) 31 (|has| |#1| (-366)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-2812 (($ $ $) NIL (|has| |#1| (-366)))) (-1709 (($ $ $) NIL (|has| |#1| (-366)))) (-1341 (($ $ $) NIL (|has| |#1| (-366)))) (-2818 (($ $ $) NIL (|has| |#1| (-366)))) (-2995 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3685 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-3603 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-2428 (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) NIL)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#1| (-454)))) (-1407 (((-121) $) NIL)) (-1763 (($ |#1| (-764)) NIL)) (-3430 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-559)))) (-2443 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-559)))) (-4002 (((-764) $) NIL)) (-1811 (($ $ $) NIL (|has| |#1| (-366)))) (-4040 (($ $ $) NIL (|has| |#1| (-366)))) (-3029 (($ $ $) NIL (|has| |#1| (-366)))) (-3402 (($ $ $) NIL (|has| |#1| (-366)))) (-2092 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3551 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-4286 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-1534 ((|#1| $ |#1|) 24)) (-2823 (($ $ $) 33 (|has| |#1| (-366)))) (-2492 (((-764) $) NIL)) (-3298 ((|#1| $) NIL (|has| |#1| (-454)))) (-2185 (((-851) $) 20) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-1038 (-410 (-569))))) (($ |#1|) NIL)) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-764)) NIL)) (-1991 (((-764)) NIL)) (-1943 ((|#1| $ |#1| |#1|) 23)) (-3724 (($ $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 21 T CONST)) (-1556 (($) 8 T CONST)) (-3022 (($) NIL)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-649 |#1| |#2|) (-647 |#1|) (-1048) (-1 |#1| |#1|)) (T -649)) 
+NIL 
+(-647 |#1|) 
+((-2238 ((|#2| |#2| |#2| (-1 |#1| |#1|)) 61)) (-3665 ((|#2| |#2| (-764) (-1 |#1| |#1|)) 42)) (-2823 ((|#2| |#2| |#2| (-1 |#1| |#1|)) 63))) 
+(((-650 |#1| |#2|) (-10 -7 (-15 -2238 (|#2| |#2| |#2| (-1 |#1| |#1|))) (-15 -3665 (|#2| |#2| (-764) (-1 |#1| |#1|))) (-15 -2823 (|#2| |#2| |#2| (-1 |#1| |#1|)))) (-366) (-647 |#1|)) (T -650)) 
+((-2823 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-366)) (-5 *1 (-650 *4 *2)) (-4 *2 (-647 *4)))) (-3665 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-764)) (-5 *4 (-1 *5 *5)) (-4 *5 (-366)) (-5 *1 (-650 *5 *2)) (-4 *2 (-647 *5)))) (-2238 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-366)) (-5 *1 (-650 *4 *2)) (-4 *2 (-647 *4))))) 
+(-10 -7 (-15 -2238 (|#2| |#2| |#2| (-1 |#1| |#1|))) (-15 -3665 (|#2| |#2| (-764) (-1 |#1| |#1|))) (-15 -2823 (|#2| |#2| |#2| (-1 |#1| |#1|)))) 
+((-2547 (($ $ $) 9))) 
+(((-651 |#1|) (-10 -8 (-15 -2547 (|#1| |#1| |#1|))) (-652)) (T -651)) 
+NIL 
+(-10 -8 (-15 -2547 (|#1| |#1| |#1|))) 
+((-2568 (((-121) $ $) 7)) (-1679 (($ $) 10)) (-2547 (($ $ $) 8)) (-1668 (((-121) $ $) 6)) (-2540 (($ $ $) 9))) 
+(((-652) (-1278)) (T -652)) 
+((-1679 (*1 *1 *1) (-4 *1 (-652))) (-2540 (*1 *1 *1 *1) (-4 *1 (-652))) (-2547 (*1 *1 *1 *1) (-4 *1 (-652)))) 
+(-13 (-105) (-10 -8 (-15 -1679 ($ $)) (-15 -2540 ($ $ $)) (-15 -2547 ($ $ $)))) 
 (((-105) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-2319 ((|#1| $) 21)) (-1732 (($ $ $) NIL (|has| |#1| (-786)))) (-2047 (($ $ $) NIL (|has| |#1| (-786)))) (-1893 (((-1143) $) 46)) (-4025 (((-1108) $) NIL)) (-2326 ((|#3| $) 22)) (-2747 (((-850) $) 42)) (-3058 (($) 10 T CONST)) (-1753 (((-121) $ $) NIL (|has| |#1| (-786)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-786)))) (-1719 (((-121) $ $) 20)) (-1747 (((-121) $ $) NIL (|has| |#1| (-786)))) (-1734 (((-121) $ $) 24 (|has| |#1| (-786)))) (-1781 (($ $ |#3|) 34) (($ |#1| |#3|) 35)) (-1775 (($ $) 17) (($ $ $) NIL)) (-1769 (($ $ $) 27)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 30) (($ |#2| $) 32) (($ $ |#2|) NIL))) 
-(((-652 |#1| |#2| |#3|) (-13 (-707 |#2|) (-10 -8 (IF (|has| |#1| (-786)) (-6 (-786)) |noBranch|) (-15 -1781 ($ $ |#3|)) (-15 -1781 ($ |#1| |#3|)) (-15 -2319 (|#1| $)) (-15 -2326 (|#3| $)))) (-707 |#2|) (-172) (|SubsetCategory| (-716) |#2|)) (T -652)) 
-((-1781 (*1 *1 *1 *2) (-12 (-4 *4 (-172)) (-5 *1 (-652 *3 *4 *2)) (-4 *3 (-707 *4)) (-4 *2 (|SubsetCategory| (-716) *4)))) (-1781 (*1 *1 *2 *3) (-12 (-4 *4 (-172)) (-5 *1 (-652 *2 *4 *3)) (-4 *2 (-707 *4)) (-4 *3 (|SubsetCategory| (-716) *4)))) (-2319 (*1 *2 *1) (-12 (-4 *3 (-172)) (-4 *2 (-707 *3)) (-5 *1 (-652 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-716) *3)))) (-2326 (*1 *2 *1) (-12 (-4 *4 (-172)) (-4 *2 (|SubsetCategory| (-716) *4)) (-5 *1 (-652 *3 *4 *2)) (-4 *3 (-707 *4))))) 
-(-13 (-707 |#2|) (-10 -8 (IF (|has| |#1| (-786)) (-6 (-786)) |noBranch|) (-15 -1781 ($ $ |#3|)) (-15 -1781 ($ |#1| |#3|)) (-15 -2319 (|#1| $)) (-15 -2326 (|#3| $)))) 
-((-3997 (((-679 |#1|) (-679 |#1|)) 27)) (-4473 (((-679 |#1|) (-679 |#1|)) 26)) (-2502 (((-634 (-634 |#1|)) (-634 |#1|) (-634 (-634 |#1|))) 44)) (-2856 (((-634 (-634 |#1|)) (-634 (-634 |#1|))) 29)) (-2546 (((-634 |#1|) (-634 |#1|) (-634 |#1|) |#1|) 43)) (-3672 (((-634 (-634 |#1|)) (-634 (-634 |#1|)) (-634 (-634 |#1|))) 34))) 
-(((-653 |#1|) (-10 -7 (-15 -3997 ((-679 |#1|) (-679 |#1|))) (-15 -4473 ((-679 |#1|) (-679 |#1|))) (-15 -2856 ((-634 (-634 |#1|)) (-634 (-634 |#1|)))) (-15 -3672 ((-634 (-634 |#1|)) (-634 (-634 |#1|)) (-634 (-634 |#1|)))) (-15 -2546 ((-634 |#1|) (-634 |#1|) (-634 |#1|) |#1|)) (-15 -2502 ((-634 (-634 |#1|)) (-634 |#1|) (-634 (-634 |#1|))))) (-365)) (T -653)) 
-((-2502 (*1 *2 *3 *2) (-12 (-5 *2 (-634 (-634 *4))) (-5 *3 (-634 *4)) (-4 *4 (-365)) (-5 *1 (-653 *4)))) (-2546 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-634 *3)) (-4 *3 (-365)) (-5 *1 (-653 *3)))) (-3672 (*1 *2 *2 *2) (-12 (-5 *2 (-634 (-634 *3))) (-4 *3 (-365)) (-5 *1 (-653 *3)))) (-2856 (*1 *2 *2) (-12 (-5 *2 (-634 (-634 *3))) (-4 *3 (-365)) (-5 *1 (-653 *3)))) (-4473 (*1 *2 *2) (-12 (-5 *2 (-679 *3)) (-4 *3 (-365)) (-5 *1 (-653 *3)))) (-3997 (*1 *2 *2) (-12 (-5 *2 (-679 *3)) (-4 *3 (-365)) (-5 *1 (-653 *3))))) 
-(-10 -7 (-15 -3997 ((-679 |#1|) (-679 |#1|))) (-15 -4473 ((-679 |#1|) (-679 |#1|))) (-15 -2856 ((-634 (-634 |#1|)) (-634 (-634 |#1|)))) (-15 -3672 ((-634 (-634 |#1|)) (-634 (-634 |#1|)) (-634 (-634 |#1|)))) (-15 -2546 ((-634 |#1|) (-634 |#1|) (-634 |#1|) |#1|)) (-15 -2502 ((-634 (-634 |#1|)) (-634 |#1|) (-634 (-634 |#1|))))) 
-((-1277 (((-121)) 46) (((-121) (-121)) 47)) (-3390 ((|#7| |#5| |#3|) 44)) (-1345 ((|#5| |#7|) 29)) (-1458 (((-2 (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (-634 (-568)))) |#3| |#5| |#3| (-568)) 99)) (-2877 (((-634 |#6|) |#5| |#3| (-568)) 35))) 
-(((-654 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -1277 ((-121) (-121))) (-15 -1277 ((-121))) (-15 -3390 (|#7| |#5| |#3|)) (-15 -2877 ((-634 |#6|) |#5| |#3| (-568))) (-15 -1345 (|#5| |#7|)) (-15 -1458 ((-2 (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (-634 (-568)))) |#3| |#5| |#3| (-568)))) (-365) (-634 (-1161)) (-950 |#1| |#4| (-852 |#2|)) (-230 (-1699 |#2|) (-763)) (-971 |#1|) (-641 |#1|) (-920 |#1| |#6|)) (T -654)) 
-((-1458 (*1 *2 *3 *4 *3 *5) (-12 (-4 *6 (-365)) (-14 *7 (-634 (-1161))) (-4 *8 (-230 (-1699 *7) (-763))) (-4 *9 (-641 *6)) (-5 *2 (-2 (|:| |fnc| *3) (|:| |crv| *3) (|:| |chart| (-634 (-568))))) (-5 *1 (-654 *6 *7 *3 *8 *4 *9 *10)) (-5 *5 (-568)) (-4 *3 (-950 *6 *8 (-852 *7))) (-4 *4 (-971 *6)) (-4 *10 (-920 *6 *9)))) (-1345 (*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-641 *4)) (-4 *2 (-971 *4)) (-5 *1 (-654 *4 *5 *6 *7 *2 *8 *3)) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *3 (-920 *4 *8)))) (-2877 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-568)) (-4 *6 (-365)) (-14 *7 (-634 (-1161))) (-4 *8 (-230 (-1699 *7) (-763))) (-4 *9 (-641 *6)) (-5 *2 (-634 *9)) (-5 *1 (-654 *6 *7 *4 *8 *3 *9 *10)) (-4 *4 (-950 *6 *8 (-852 *7))) (-4 *3 (-971 *6)) (-4 *10 (-920 *6 *9)))) (-3390 (*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *7 (-230 (-1699 *6) (-763))) (-4 *2 (-920 *5 *8)) (-5 *1 (-654 *5 *6 *4 *7 *3 *8 *2)) (-4 *4 (-950 *5 *7 (-852 *6))) (-4 *3 (-971 *5)) (-4 *8 (-641 *5)))) (-1277 (*1 *2) (-12 (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *8 (-641 *3)) (-5 *2 (-121)) (-5 *1 (-654 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *7 (-971 *3)) (-4 *9 (-920 *3 *8)))) (-1277 (*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *8 (-641 *3)) (-5 *1 (-654 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *7 (-971 *3)) (-4 *9 (-920 *3 *8))))) 
-(-10 -7 (-15 -1277 ((-121) (-121))) (-15 -1277 ((-121))) (-15 -3390 (|#7| |#5| |#3|)) (-15 -2877 ((-634 |#6|) |#5| |#3| (-568))) (-15 -1345 (|#5| |#7|)) (-15 -1458 ((-2 (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (-634 (-568)))) |#3| |#5| |#3| (-568)))) 
-((-2952 (((-3 (-634 (-1157 |#1|)) "failed") (-634 (-1157 |#1|)) (-1157 |#1|)) 33))) 
-(((-655 |#1|) (-10 -7 (-15 -2952 ((-3 (-634 (-1157 |#1|)) "failed") (-634 (-1157 |#1|)) (-1157 |#1|)))) (-904)) (T -655)) 
-((-2952 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-634 (-1157 *4))) (-5 *3 (-1157 *4)) (-4 *4 (-904)) (-5 *1 (-655 *4))))) 
-(-10 -7 (-15 -2952 ((-3 (-634 (-1157 |#1|)) "failed") (-634 (-1157 |#1|)) (-1157 |#1|)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2981 (((-634 |#1|) $) 82)) (-3784 (($ $ (-763)) 90)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-4242 (((-1266 |#1| |#2|) (-1266 |#1| |#2|) $) 48)) (-3668 (((-3 (-663 |#1|) "failed") $) NIL)) (-2857 (((-663 |#1|) $) NIL)) (-2116 (($ $) 89)) (-3971 (((-763) $) NIL)) (-3062 (((-634 $) $) NIL)) (-2171 (((-121) $) NIL)) (-2356 (($ (-663 |#1|) |#2|) 68)) (-2310 (($ $) 86)) (-2797 (($ (-1 |#2| |#2|) $) NIL)) (-1797 (((-1266 |#1| |#2|) (-1266 |#1| |#2|) $) 47)) (-3016 (((-634 (-2 (|:| |k| (-663 |#1|)) (|:| |c| |#2|))) $) NIL)) (-3749 (((-2 (|:| |k| (-663 |#1|)) (|:| |c| |#2|)) $) NIL)) (-2099 (((-663 |#1|) $) NIL)) (-2104 ((|#2| $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-1339 (($ $ |#1| $) 30) (($ $ (-634 |#1|) (-634 $)) 32)) (-1836 (((-763) $) 88)) (-4289 (($ $ $) 20) (($ (-663 |#1|) (-663 |#1|)) 77) (($ (-663 |#1|) $) 75) (($ $ (-663 |#1|)) 76)) (-2747 (((-850) $) NIL) (($ |#1|) 74) (((-1257 |#1| |#2|) $) 58) (((-1266 |#1| |#2|) $) 41) (($ (-663 |#1|)) 25)) (-3304 (((-634 |#2|) $) NIL)) (-2079 ((|#2| $ (-663 |#1|)) NIL)) (-2350 ((|#2| (-1266 |#1| |#2|) $) 43)) (-3058 (($) 23 T CONST)) (-3288 (((-3 $ "failed") (-1257 |#1| |#2|)) 60)) (-2081 (($ (-663 |#1|)) 14)) (-1719 (((-121) $ $) 44)) (-1781 (($ $ |#2|) NIL (|has| |#2| (-365)))) (-1775 (($ $) 66) (($ $ $) NIL)) (-1769 (($ $ $) 29)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ |#2| $) 28) (($ $ |#2|) NIL) (($ |#2| (-663 |#1|)) NIL))) 
-(((-656 |#1| |#2|) (-13 (-376 |#1| |#2|) (-384 |#2| (-663 |#1|)) (-10 -8 (-15 -3288 ((-3 $ "failed") (-1257 |#1| |#2|))) (-15 -4289 ($ (-663 |#1|) (-663 |#1|))) (-15 -4289 ($ (-663 |#1|) $)) (-15 -4289 ($ $ (-663 |#1|))))) (-842) (-172)) (T -656)) 
-((-3288 (*1 *1 *2) (|partial| -12 (-5 *2 (-1257 *3 *4)) (-4 *3 (-842)) (-4 *4 (-172)) (-5 *1 (-656 *3 *4)))) (-4289 (*1 *1 *2 *2) (-12 (-5 *2 (-663 *3)) (-4 *3 (-842)) (-5 *1 (-656 *3 *4)) (-4 *4 (-172)))) (-4289 (*1 *1 *2 *1) (-12 (-5 *2 (-663 *3)) (-4 *3 (-842)) (-5 *1 (-656 *3 *4)) (-4 *4 (-172)))) (-4289 (*1 *1 *1 *2) (-12 (-5 *2 (-663 *3)) (-4 *3 (-842)) (-5 *1 (-656 *3 *4)) (-4 *4 (-172))))) 
-(-13 (-376 |#1| |#2|) (-384 |#2| (-663 |#1|)) (-10 -8 (-15 -3288 ((-3 $ "failed") (-1257 |#1| |#2|))) (-15 -4289 ($ (-663 |#1|) (-663 |#1|))) (-15 -4289 ($ (-663 |#1|) $)) (-15 -4289 ($ $ (-663 |#1|))))) 
-((-1324 (((-121) $) NIL) (((-121) (-1 (-121) |#2| |#2|) $) 49)) (-2109 (($ $) NIL) (($ (-1 (-121) |#2| |#2|) $) 11)) (-3963 (($ (-1 (-121) |#2|) $) 27)) (-4452 (($ $) 55)) (-1377 (($ $) 62)) (-1568 (($ |#2| $) NIL) (($ (-1 (-121) |#2|) $) 36)) (-3094 ((|#2| (-1 |#2| |#2| |#2|) $) 21) ((|#2| (-1 |#2| |#2| |#2|) $ |#2|) 50) ((|#2| (-1 |#2| |#2| |#2|) $ |#2| |#2|) 52)) (-2766 (((-568) |#2| $ (-568)) 60) (((-568) |#2| $) NIL) (((-568) (-1 (-121) |#2|) $) 46)) (-1851 (($ (-763) |#2|) 53)) (-4496 (($ $ $) NIL) (($ (-1 (-121) |#2| |#2|) $ $) 29)) (-3645 (($ $ $) NIL) (($ (-1 (-121) |#2| |#2|) $ $) 24)) (-2797 (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) 54)) (-3897 (($ |#2|) 14)) (-1708 (($ $ $ (-568)) 35) (($ |#2| $ (-568)) 33)) (-2712 (((-3 |#2| "failed") (-1 (-121) |#2|) $) 45)) (-4031 (($ $ (-1210 (-568))) 43) (($ $ (-568)) 37)) (-3306 (($ $ $ (-568)) 59)) (-3865 (($ $) 57)) (-1734 (((-121) $ $) 64))) 
-(((-657 |#1| |#2|) (-10 -8 (-15 -3897 (|#1| |#2|)) (-15 -4031 (|#1| |#1| (-568))) (-15 -4031 (|#1| |#1| (-1210 (-568)))) (-15 -1568 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -1708 (|#1| |#2| |#1| (-568))) (-15 -1708 (|#1| |#1| |#1| (-568))) (-15 -4496 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -3963 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -1568 (|#1| |#2| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 -4496 (|#1| |#1| |#1|)) (-15 -3645 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -1324 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -2766 ((-568) (-1 (-121) |#2|) |#1|)) (-15 -2766 ((-568) |#2| |#1|)) (-15 -2766 ((-568) |#2| |#1| (-568))) (-15 -3645 (|#1| |#1| |#1|)) (-15 -1324 ((-121) |#1|)) (-15 -3306 (|#1| |#1| |#1| (-568))) (-15 -4452 (|#1| |#1|)) (-15 -2109 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -2109 (|#1| |#1|)) (-15 -1734 ((-121) |#1| |#1|)) (-15 -3094 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -3094 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -3094 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -2712 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -1851 (|#1| (-763) |#2|)) (-15 -2797 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -2797 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3865 (|#1| |#1|))) (-658 |#2|) (-1195)) (T -657)) 
-NIL 
-(-10 -8 (-15 -3897 (|#1| |#2|)) (-15 -4031 (|#1| |#1| (-568))) (-15 -4031 (|#1| |#1| (-1210 (-568)))) (-15 -1568 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -1708 (|#1| |#2| |#1| (-568))) (-15 -1708 (|#1| |#1| |#1| (-568))) (-15 -4496 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -3963 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -1568 (|#1| |#2| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 -4496 (|#1| |#1| |#1|)) (-15 -3645 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -1324 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -2766 ((-568) (-1 (-121) |#2|) |#1|)) (-15 -2766 ((-568) |#2| |#1|)) (-15 -2766 ((-568) |#2| |#1| (-568))) (-15 -3645 (|#1| |#1| |#1|)) (-15 -1324 ((-121) |#1|)) (-15 -3306 (|#1| |#1| |#1| (-568))) (-15 -4452 (|#1| |#1|)) (-15 -2109 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -2109 (|#1| |#1|)) (-15 -1734 ((-121) |#1| |#1|)) (-15 -3094 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -3094 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -3094 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -2712 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -1851 (|#1| (-763) |#2|)) (-15 -2797 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -2797 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3865 (|#1| |#1|))) 
-((-2449 (((-121) $ $) 18 (|has| |#1| (-1090)))) (-2852 ((|#1| $) 45)) (-2237 ((|#1| $) 62)) (-3623 (($ $) 64)) (-2481 (((-1249) $ (-568) (-568)) 94 (|has| $ (-6 -4522)))) (-2121 (($ $ (-568)) 49 (|has| $ (-6 -4522)))) (-1324 (((-121) $) 136 (|has| |#1| (-842))) (((-121) (-1 (-121) |#1| |#1|) $) 130)) (-2109 (($ $) 140 (-12 (|has| |#1| (-842)) (|has| $ (-6 -4522)))) (($ (-1 (-121) |#1| |#1|) $) 139 (|has| $ (-6 -4522)))) (-3647 (($ $) 135 (|has| |#1| (-842))) (($ (-1 (-121) |#1| |#1|) $) 129)) (-1667 (((-121) $ (-763)) 8)) (-3370 ((|#1| $ |#1|) 36 (|has| $ (-6 -4522)))) (-1958 (($ $ $) 53 (|has| $ (-6 -4522)))) (-2257 ((|#1| $ |#1|) 51 (|has| $ (-6 -4522)))) (-1706 ((|#1| $ |#1|) 55 (|has| $ (-6 -4522)))) (-2438 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4522))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4522))) (($ $ "rest" $) 52 (|has| $ (-6 -4522))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4522))) ((|#1| $ (-1210 (-568)) |#1|) 114 (|has| $ (-6 -4522))) ((|#1| $ (-568) |#1|) 83 (|has| $ (-6 -4522)))) (-1809 (($ $ (-634 $)) 38 (|has| $ (-6 -4522)))) (-3963 (($ (-1 (-121) |#1|) $) 123)) (-2803 (($ (-1 (-121) |#1|) $) 99 (|has| $ (-6 -4521)))) (-1681 ((|#1| $) 63)) (-4490 (($) 7 T CONST)) (-4452 (($ $) 138 (|has| $ (-6 -4522)))) (-3945 (($ $) 128)) (-3936 (($ $) 70) (($ $ (-763)) 68)) (-1377 (($ $) 125 (|has| |#1| (-1090)))) (-3926 (($ $) 96 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-1568 (($ |#1| $) 124 (|has| |#1| (-1090))) (($ (-1 (-121) |#1|) $) 119)) (-4330 (($ (-1 (-121) |#1|) $) 100 (|has| $ (-6 -4521))) (($ |#1| $) 97 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $) 102 (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 101 (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 98 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-1292 ((|#1| $ (-568) |#1|) 82 (|has| $ (-6 -4522)))) (-2069 ((|#1| $ (-568)) 84)) (-1340 (((-121) $) 80)) (-2766 (((-568) |#1| $ (-568)) 133 (|has| |#1| (-1090))) (((-568) |#1| $) 132 (|has| |#1| (-1090))) (((-568) (-1 (-121) |#1|) $) 131)) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-3534 (((-634 $) $) 47)) (-3606 (((-121) $ $) 39 (|has| |#1| (-1090)))) (-1851 (($ (-763) |#1|) 105)) (-3791 (((-121) $ (-763)) 9)) (-2539 (((-568) $) 92 (|has| (-568) (-842)))) (-1732 (($ $ $) 141 (|has| |#1| (-842)))) (-4496 (($ $ $) 126 (|has| |#1| (-842))) (($ (-1 (-121) |#1| |#1|) $ $) 122)) (-3645 (($ $ $) 134 (|has| |#1| (-842))) (($ (-1 (-121) |#1| |#1|) $ $) 127)) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3631 (((-568) $) 91 (|has| (-568) (-842)))) (-2047 (($ $ $) 142 (|has| |#1| (-842)))) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 108)) (-3897 (($ |#1|) 116)) (-3796 (((-121) $ (-763)) 10)) (-4081 (((-634 |#1|) $) 42)) (-3319 (((-121) $) 46)) (-1893 (((-1143) $) 22 (|has| |#1| (-1090)))) (-4164 ((|#1| $) 67) (($ $ (-763)) 65)) (-1708 (($ $ $ (-568)) 121) (($ |#1| $ (-568)) 120)) (-4124 (($ $ $ (-568)) 113) (($ |#1| $ (-568)) 112)) (-3948 (((-634 (-568)) $) 89)) (-2916 (((-121) (-568) $) 88)) (-4025 (((-1108) $) 21 (|has| |#1| (-1090)))) (-3877 ((|#1| $) 73) (($ $ (-763)) 71)) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 103)) (-2490 (($ $ |#1|) 93 (|has| $ (-6 -4522)))) (-4049 (((-121) $) 81)) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-1801 (((-121) |#1| $) 90 (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1480 (((-634 |#1|) $) 87)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-2781 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66) (($ $ (-1210 (-568))) 109) ((|#1| $ (-568)) 86) ((|#1| $ (-568) |#1|) 85)) (-1665 (((-568) $ $) 41)) (-4031 (($ $ (-1210 (-568))) 118) (($ $ (-568)) 117)) (-2828 (($ $ (-1210 (-568))) 111) (($ $ (-568)) 110)) (-2763 (((-121) $) 43)) (-3903 (($ $) 59)) (-1499 (($ $) 56 (|has| $ (-6 -4522)))) (-3535 (((-763) $) 60)) (-4424 (($ $) 61)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3306 (($ $ $ (-568)) 137 (|has| $ (-6 -4522)))) (-3865 (($ $) 13)) (-4280 (((-541) $) 95 (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) 104)) (-1876 (($ $ $) 58) (($ $ |#1|) 57)) (-2770 (($ $ $) 75) (($ |#1| $) 74) (($ (-634 $)) 107) (($ $ |#1|) 106)) (-2747 (((-850) $) 20 (|has| |#1| (-1090)))) (-3180 (((-634 $) $) 48)) (-3873 (((-121) $ $) 40 (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1753 (((-121) $ $) 144 (|has| |#1| (-842)))) (-1740 (((-121) $ $) 145 (|has| |#1| (-842)))) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090)))) (-1747 (((-121) $ $) 143 (|has| |#1| (-842)))) (-1734 (((-121) $ $) 146 (|has| |#1| (-842)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-658 |#1|) (-1275) (-1195)) (T -658)) 
-((-3897 (*1 *1 *2) (-12 (-4 *1 (-658 *2)) (-4 *2 (-1195))))) 
-(-13 (-1134 |t#1|) (-375 |t#1|) (-277 |t#1|) (-10 -8 (-15 -3897 ($ |t#1|)))) 
-(((-39) . T) ((-105) -2199 (|has| |#1| (-1090)) (|has| |#1| (-842))) ((-608 (-850)) -2199 (|has| |#1| (-1090)) (|has| |#1| (-842))) ((-154 |#1|) . T) ((-609 (-541)) |has| |#1| (-609 (-541))) ((-281 (-568) |#1|) . T) ((-283 (-568) |#1|) . T) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-277 |#1|) . T) ((-375 |#1|) . T) ((-499 |#1|) . T) ((-601 (-568) |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-640 |#1|) . T) ((-842) |has| |#1| (-842)) ((-1010 |#1|) . T) ((-1090) -2199 (|has| |#1| (-1090)) (|has| |#1| (-842))) ((-1134 |#1|) . T) ((-1195) . T) ((-1231 |#1|) . T)) 
-((-3259 (((-634 (-2 (|:| |particular| (-3 (-1244 |#1|) "failed")) (|:| -2588 (-634 (-1244 |#1|))))) (-634 (-634 |#1|)) (-634 (-1244 |#1|))) 21) (((-634 (-2 (|:| |particular| (-3 (-1244 |#1|) "failed")) (|:| -2588 (-634 (-1244 |#1|))))) (-679 |#1|) (-634 (-1244 |#1|))) 20) (((-2 (|:| |particular| (-3 (-1244 |#1|) "failed")) (|:| -2588 (-634 (-1244 |#1|)))) (-634 (-634 |#1|)) (-1244 |#1|)) 16) (((-2 (|:| |particular| (-3 (-1244 |#1|) "failed")) (|:| -2588 (-634 (-1244 |#1|)))) (-679 |#1|) (-1244 |#1|)) 13)) (-2371 (((-763) (-679 |#1|) (-1244 |#1|)) 29)) (-3075 (((-3 (-1244 |#1|) "failed") (-679 |#1|) (-1244 |#1|)) 23)) (-1883 (((-121) (-679 |#1|) (-1244 |#1|)) 26))) 
-(((-659 |#1|) (-10 -7 (-15 -3259 ((-2 (|:| |particular| (-3 (-1244 |#1|) "failed")) (|:| -2588 (-634 (-1244 |#1|)))) (-679 |#1|) (-1244 |#1|))) (-15 -3259 ((-2 (|:| |particular| (-3 (-1244 |#1|) "failed")) (|:| -2588 (-634 (-1244 |#1|)))) (-634 (-634 |#1|)) (-1244 |#1|))) (-15 -3259 ((-634 (-2 (|:| |particular| (-3 (-1244 |#1|) "failed")) (|:| -2588 (-634 (-1244 |#1|))))) (-679 |#1|) (-634 (-1244 |#1|)))) (-15 -3259 ((-634 (-2 (|:| |particular| (-3 (-1244 |#1|) "failed")) (|:| -2588 (-634 (-1244 |#1|))))) (-634 (-634 |#1|)) (-634 (-1244 |#1|)))) (-15 -3075 ((-3 (-1244 |#1|) "failed") (-679 |#1|) (-1244 |#1|))) (-15 -1883 ((-121) (-679 |#1|) (-1244 |#1|))) (-15 -2371 ((-763) (-679 |#1|) (-1244 |#1|)))) (-365)) (T -659)) 
-((-2371 (*1 *2 *3 *4) (-12 (-5 *3 (-679 *5)) (-5 *4 (-1244 *5)) (-4 *5 (-365)) (-5 *2 (-763)) (-5 *1 (-659 *5)))) (-1883 (*1 *2 *3 *4) (-12 (-5 *3 (-679 *5)) (-5 *4 (-1244 *5)) (-4 *5 (-365)) (-5 *2 (-121)) (-5 *1 (-659 *5)))) (-3075 (*1 *2 *3 *2) (|partial| -12 (-5 *2 (-1244 *4)) (-5 *3 (-679 *4)) (-4 *4 (-365)) (-5 *1 (-659 *4)))) (-3259 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-634 *5))) (-4 *5 (-365)) (-5 *2 (-634 (-2 (|:| |particular| (-3 (-1244 *5) "failed")) (|:| -2588 (-634 (-1244 *5)))))) (-5 *1 (-659 *5)) (-5 *4 (-634 (-1244 *5))))) (-3259 (*1 *2 *3 *4) (-12 (-5 *3 (-679 *5)) (-4 *5 (-365)) (-5 *2 (-634 (-2 (|:| |particular| (-3 (-1244 *5) "failed")) (|:| -2588 (-634 (-1244 *5)))))) (-5 *1 (-659 *5)) (-5 *4 (-634 (-1244 *5))))) (-3259 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-634 *5))) (-4 *5 (-365)) (-5 *2 (-2 (|:| |particular| (-3 (-1244 *5) "failed")) (|:| -2588 (-634 (-1244 *5))))) (-5 *1 (-659 *5)) (-5 *4 (-1244 *5)))) (-3259 (*1 *2 *3 *4) (-12 (-5 *3 (-679 *5)) (-4 *5 (-365)) (-5 *2 (-2 (|:| |particular| (-3 (-1244 *5) "failed")) (|:| -2588 (-634 (-1244 *5))))) (-5 *1 (-659 *5)) (-5 *4 (-1244 *5))))) 
-(-10 -7 (-15 -3259 ((-2 (|:| |particular| (-3 (-1244 |#1|) "failed")) (|:| -2588 (-634 (-1244 |#1|)))) (-679 |#1|) (-1244 |#1|))) (-15 -3259 ((-2 (|:| |particular| (-3 (-1244 |#1|) "failed")) (|:| -2588 (-634 (-1244 |#1|)))) (-634 (-634 |#1|)) (-1244 |#1|))) (-15 -3259 ((-634 (-2 (|:| |particular| (-3 (-1244 |#1|) "failed")) (|:| -2588 (-634 (-1244 |#1|))))) (-679 |#1|) (-634 (-1244 |#1|)))) (-15 -3259 ((-634 (-2 (|:| |particular| (-3 (-1244 |#1|) "failed")) (|:| -2588 (-634 (-1244 |#1|))))) (-634 (-634 |#1|)) (-634 (-1244 |#1|)))) (-15 -3075 ((-3 (-1244 |#1|) "failed") (-679 |#1|) (-1244 |#1|))) (-15 -1883 ((-121) (-679 |#1|) (-1244 |#1|))) (-15 -2371 ((-763) (-679 |#1|) (-1244 |#1|)))) 
-((-3259 (((-634 (-2 (|:| |particular| (-3 |#3| "failed")) (|:| -2588 (-634 |#3|)))) |#4| (-634 |#3|)) 47) (((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -2588 (-634 |#3|))) |#4| |#3|) 45)) (-2371 (((-763) |#4| |#3|) 17)) (-3075 (((-3 |#3| "failed") |#4| |#3|) 20)) (-1883 (((-121) |#4| |#3|) 13))) 
-(((-660 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3259 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -2588 (-634 |#3|))) |#4| |#3|)) (-15 -3259 ((-634 (-2 (|:| |particular| (-3 |#3| "failed")) (|:| -2588 (-634 |#3|)))) |#4| (-634 |#3|))) (-15 -3075 ((-3 |#3| "failed") |#4| |#3|)) (-15 -1883 ((-121) |#4| |#3|)) (-15 -2371 ((-763) |#4| |#3|))) (-365) (-13 (-375 |#1|) (-10 -7 (-6 -4522))) (-13 (-375 |#1|) (-10 -7 (-6 -4522))) (-677 |#1| |#2| |#3|)) (T -660)) 
-((-2371 (*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-4 *6 (-13 (-375 *5) (-10 -7 (-6 -4522)))) (-4 *4 (-13 (-375 *5) (-10 -7 (-6 -4522)))) (-5 *2 (-763)) (-5 *1 (-660 *5 *6 *4 *3)) (-4 *3 (-677 *5 *6 *4)))) (-1883 (*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-4 *6 (-13 (-375 *5) (-10 -7 (-6 -4522)))) (-4 *4 (-13 (-375 *5) (-10 -7 (-6 -4522)))) (-5 *2 (-121)) (-5 *1 (-660 *5 *6 *4 *3)) (-4 *3 (-677 *5 *6 *4)))) (-3075 (*1 *2 *3 *2) (|partial| -12 (-4 *4 (-365)) (-4 *5 (-13 (-375 *4) (-10 -7 (-6 -4522)))) (-4 *2 (-13 (-375 *4) (-10 -7 (-6 -4522)))) (-5 *1 (-660 *4 *5 *2 *3)) (-4 *3 (-677 *4 *5 *2)))) (-3259 (*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-4 *6 (-13 (-375 *5) (-10 -7 (-6 -4522)))) (-4 *7 (-13 (-375 *5) (-10 -7 (-6 -4522)))) (-5 *2 (-634 (-2 (|:| |particular| (-3 *7 "failed")) (|:| -2588 (-634 *7))))) (-5 *1 (-660 *5 *6 *7 *3)) (-5 *4 (-634 *7)) (-4 *3 (-677 *5 *6 *7)))) (-3259 (*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-4 *6 (-13 (-375 *5) (-10 -7 (-6 -4522)))) (-4 *4 (-13 (-375 *5) (-10 -7 (-6 -4522)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2588 (-634 *4)))) (-5 *1 (-660 *5 *6 *4 *3)) (-4 *3 (-677 *5 *6 *4))))) 
-(-10 -7 (-15 -3259 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -2588 (-634 |#3|))) |#4| |#3|)) (-15 -3259 ((-634 (-2 (|:| |particular| (-3 |#3| "failed")) (|:| -2588 (-634 |#3|)))) |#4| (-634 |#3|))) (-15 -3075 ((-3 |#3| "failed") |#4| |#3|)) (-15 -1883 ((-121) |#4| |#3|)) (-15 -2371 ((-763) |#4| |#3|))) 
-((-2827 (((-2 (|:| |particular| (-3 (-1244 (-409 |#4|)) "failed")) (|:| -2588 (-634 (-1244 (-409 |#4|))))) (-634 |#4|) (-634 |#3|)) 44))) 
-(((-661 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2827 ((-2 (|:| |particular| (-3 (-1244 (-409 |#4|)) "failed")) (|:| -2588 (-634 (-1244 (-409 |#4|))))) (-634 |#4|) (-634 |#3|)))) (-558) (-788) (-842) (-950 |#1| |#2| |#3|)) (T -661)) 
-((-2827 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-634 *7)) (-4 *7 (-842)) (-4 *8 (-950 *5 *6 *7)) (-4 *5 (-558)) (-4 *6 (-788)) (-5 *2 (-2 (|:| |particular| (-3 (-1244 (-409 *8)) "failed")) (|:| -2588 (-634 (-1244 (-409 *8)))))) (-5 *1 (-661 *5 *6 *7 *8))))) 
-(-10 -7 (-15 -2827 ((-2 (|:| |particular| (-3 (-1244 (-409 |#4|)) "failed")) (|:| -2588 (-634 (-1244 (-409 |#4|))))) (-634 |#4|) (-634 |#3|)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-3591 (((-3 $ "failed")) NIL (|has| |#2| (-558)))) (-1934 ((|#2| $) NIL)) (-3560 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3542 (((-1244 (-679 |#2|))) NIL) (((-1244 (-679 |#2|)) (-1244 $)) NIL)) (-3691 (((-121) $) NIL)) (-3818 (((-1244 $)) 37)) (-1667 (((-121) $ (-763)) NIL)) (-1637 (($ |#2|) NIL)) (-4490 (($) NIL T CONST)) (-3912 (($ $) NIL (|has| |#2| (-301)))) (-2228 (((-232 |#1| |#2|) $ (-568)) NIL)) (-3354 (((-3 (-2 (|:| |particular| $) (|:| -2588 (-634 $))) "failed")) NIL (|has| |#2| (-558)))) (-2046 (((-3 $ "failed")) NIL (|has| |#2| (-558)))) (-1524 (((-679 |#2|)) NIL) (((-679 |#2|) (-1244 $)) NIL)) (-2467 ((|#2| $) NIL)) (-2235 (((-679 |#2|) $) NIL) (((-679 |#2|) $ (-1244 $)) NIL)) (-2812 (((-3 $ "failed") $) NIL (|has| |#2| (-558)))) (-1503 (((-1157 (-953 |#2|))) NIL (|has| |#2| (-365)))) (-2815 (($ $ (-917)) NIL)) (-1509 ((|#2| $) NIL)) (-3839 (((-1157 |#2|) $) NIL (|has| |#2| (-558)))) (-2886 ((|#2|) NIL) ((|#2| (-1244 $)) NIL)) (-3105 (((-1157 |#2|) $) NIL)) (-1463 (((-121)) NIL)) (-3668 (((-3 (-568) "failed") $) NIL (|has| |#2| (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#2| (-1037 (-409 (-568))))) (((-3 |#2| "failed") $) NIL)) (-2857 (((-568) $) NIL (|has| |#2| (-1037 (-568)))) (((-409 (-568)) $) NIL (|has| |#2| (-1037 (-409 (-568))))) ((|#2| $) NIL)) (-3899 (($ (-1244 |#2|)) NIL) (($ (-1244 |#2|) (-1244 $)) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| |#2| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| |#2| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 $) (-1244 $)) NIL) (((-679 |#2|) (-679 $)) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-2371 (((-763) $) NIL (|has| |#2| (-558))) (((-917)) 38)) (-2069 ((|#2| $ (-568) (-568)) NIL)) (-3375 (((-121)) NIL)) (-3402 (($ $ (-917)) NIL)) (-3317 (((-634 |#2|) $) NIL (|has| $ (-6 -4521)))) (-1598 (((-121) $) NIL)) (-3344 (((-763) $) NIL (|has| |#2| (-558)))) (-2934 (((-634 (-232 |#1| |#2|)) $) NIL (|has| |#2| (-558)))) (-2241 (((-763) $) NIL)) (-4221 (((-121)) NIL)) (-1901 (((-763) $) NIL)) (-3791 (((-121) $ (-763)) NIL)) (-2424 ((|#2| $) NIL (|has| |#2| (-6 (-4523 "*"))))) (-3139 (((-568) $) NIL)) (-1343 (((-568) $) NIL)) (-4406 (((-634 |#2|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-3405 (((-568) $) NIL)) (-2801 (((-568) $) NIL)) (-2271 (($ (-634 (-634 |#2|))) NIL)) (-2253 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#2| |#2| |#2|) $ $) NIL) (($ (-1 |#2| |#2|) $) NIL)) (-1843 (((-634 (-634 |#2|)) $) NIL)) (-4463 (((-121)) NIL)) (-3582 (((-121)) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-2587 (((-3 (-2 (|:| |particular| $) (|:| -2588 (-634 $))) "failed")) NIL (|has| |#2| (-558)))) (-2061 (((-3 $ "failed")) NIL (|has| |#2| (-558)))) (-4134 (((-679 |#2|)) NIL) (((-679 |#2|) (-1244 $)) NIL)) (-2786 ((|#2| $) NIL)) (-3147 (((-679 |#2|) $) NIL) (((-679 |#2|) $ (-1244 $)) NIL)) (-1974 (((-3 $ "failed") $) NIL (|has| |#2| (-558)))) (-1730 (((-1157 (-953 |#2|))) NIL (|has| |#2| (-365)))) (-4202 (($ $ (-917)) NIL)) (-4390 ((|#2| $) NIL)) (-3364 (((-1157 |#2|) $) NIL (|has| |#2| (-558)))) (-2060 ((|#2|) NIL) ((|#2| (-1244 $)) NIL)) (-3114 (((-1157 |#2|) $) NIL)) (-3487 (((-121)) NIL)) (-1893 (((-1143) $) NIL)) (-2153 (((-121)) NIL)) (-2889 (((-121)) NIL)) (-1852 (((-121)) NIL)) (-2715 (((-3 $ "failed") $) NIL (|has| |#2| (-365)))) (-4025 (((-1108) $) NIL)) (-3636 (((-121)) NIL)) (-2597 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-558)))) (-3951 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#2|))) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-288 |#2|)) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-634 |#2|) (-634 |#2|)) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#2| $ (-568) (-568) |#2|) NIL) ((|#2| $ (-568) (-568)) 22) ((|#2| $ (-568)) NIL)) (-4191 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-763)) NIL) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-1161)) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-763)) NIL (|has| |#2| (-225))) (($ $) NIL (|has| |#2| (-225)))) (-1966 ((|#2| $) NIL)) (-3499 (($ (-634 |#2|)) NIL)) (-4322 (((-121) $) NIL)) (-1760 (((-232 |#1| |#2|) $) NIL)) (-2591 ((|#2| $) NIL (|has| |#2| (-6 (-4523 "*"))))) (-4170 (((-763) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521))) (((-763) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-3865 (($ $) NIL)) (-1656 (((-679 |#2|) (-1244 $)) NIL) (((-1244 |#2|) $) NIL) (((-679 |#2|) (-1244 $) (-1244 $)) NIL) (((-1244 |#2|) $ (-1244 $)) 25)) (-4280 (($ (-1244 |#2|)) NIL) (((-1244 |#2|) $) NIL)) (-2155 (((-634 (-953 |#2|))) NIL) (((-634 (-953 |#2|)) (-1244 $)) NIL)) (-3985 (($ $ $) NIL)) (-3441 (((-121)) NIL)) (-2522 (((-232 |#1| |#2|) $ (-568)) NIL)) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ (-409 (-568))) NIL (|has| |#2| (-1037 (-409 (-568))))) (($ |#2|) NIL) (((-679 |#2|) $) NIL)) (-3425 (((-763)) NIL)) (-2588 (((-1244 $)) 36)) (-2657 (((-634 (-1244 |#2|))) NIL (|has| |#2| (-558)))) (-2007 (($ $ $ $) NIL)) (-3964 (((-121)) NIL)) (-3828 (($ (-679 |#2|) $) NIL)) (-3437 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521)))) (-2675 (((-121) $) NIL)) (-3911 (($ $ $) NIL)) (-2435 (((-121)) NIL)) (-2984 (((-121)) NIL)) (-3579 (((-121)) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-763)) NIL) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-1161)) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-763)) NIL (|has| |#2| (-225))) (($ $) NIL (|has| |#2| (-225)))) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ |#2|) NIL (|has| |#2| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| |#2| (-365)))) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL) (((-232 |#1| |#2|) $ (-232 |#1| |#2|)) NIL) (((-232 |#1| |#2|) (-232 |#1| |#2|) $) NIL)) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-662 |#1| |#2|) (-13 (-1111 |#1| |#2| (-232 |#1| |#2|) (-232 |#1| |#2|)) (-608 (-679 |#2|)) (-419 |#2|)) (-917) (-172)) (T -662)) 
-NIL 
-(-13 (-1111 |#1| |#2| (-232 |#1| |#2|) (-232 |#1| |#2|)) (-608 (-679 |#2|)) (-419 |#2|)) 
-((-2449 (((-121) $ $) NIL)) (-2981 (((-634 |#1|) $) NIL)) (-3286 (($ $) 50)) (-1407 (((-121) $) NIL)) (-3668 (((-3 |#1| "failed") $) NIL)) (-2857 ((|#1| $) NIL)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-2035 (((-3 $ "failed") (-814 |#1|)) 22)) (-3047 (((-121) (-814 |#1|)) 14)) (-2196 (($ (-814 |#1|)) 23)) (-3451 (((-121) $ $) 28)) (-3680 (((-917) $) 35)) (-3030 (($ $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-3850 (((-634 $) (-814 |#1|)) 16)) (-2747 (((-850) $) 41) (($ |#1|) 32) (((-814 |#1|) $) 37) (((-667 |#1|) $) 42)) (-2593 (((-64 (-634 $)) (-634 |#1|) (-917)) 55)) (-2843 (((-634 $) (-634 |#1|) (-917)) 57)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 51)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 36))) 
-(((-663 |#1|) (-13 (-842) (-1037 |#1|) (-10 -8 (-15 -1407 ((-121) $)) (-15 -3030 ($ $)) (-15 -3286 ($ $)) (-15 -3680 ((-917) $)) (-15 -3451 ((-121) $ $)) (-15 -2747 ((-814 |#1|) $)) (-15 -2747 ((-667 |#1|) $)) (-15 -3850 ((-634 $) (-814 |#1|))) (-15 -3047 ((-121) (-814 |#1|))) (-15 -2196 ($ (-814 |#1|))) (-15 -2035 ((-3 $ "failed") (-814 |#1|))) (-15 -2981 ((-634 |#1|) $)) (-15 -2593 ((-64 (-634 $)) (-634 |#1|) (-917))) (-15 -2843 ((-634 $) (-634 |#1|) (-917))))) (-842)) (T -663)) 
-((-1407 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-663 *3)) (-4 *3 (-842)))) (-3030 (*1 *1 *1) (-12 (-5 *1 (-663 *2)) (-4 *2 (-842)))) (-3286 (*1 *1 *1) (-12 (-5 *1 (-663 *2)) (-4 *2 (-842)))) (-3680 (*1 *2 *1) (-12 (-5 *2 (-917)) (-5 *1 (-663 *3)) (-4 *3 (-842)))) (-3451 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-663 *3)) (-4 *3 (-842)))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-814 *3)) (-5 *1 (-663 *3)) (-4 *3 (-842)))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-667 *3)) (-5 *1 (-663 *3)) (-4 *3 (-842)))) (-3850 (*1 *2 *3) (-12 (-5 *3 (-814 *4)) (-4 *4 (-842)) (-5 *2 (-634 (-663 *4))) (-5 *1 (-663 *4)))) (-3047 (*1 *2 *3) (-12 (-5 *3 (-814 *4)) (-4 *4 (-842)) (-5 *2 (-121)) (-5 *1 (-663 *4)))) (-2196 (*1 *1 *2) (-12 (-5 *2 (-814 *3)) (-4 *3 (-842)) (-5 *1 (-663 *3)))) (-2035 (*1 *1 *2) (|partial| -12 (-5 *2 (-814 *3)) (-4 *3 (-842)) (-5 *1 (-663 *3)))) (-2981 (*1 *2 *1) (-12 (-5 *2 (-634 *3)) (-5 *1 (-663 *3)) (-4 *3 (-842)))) (-2593 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-917)) (-4 *5 (-842)) (-5 *2 (-64 (-634 (-663 *5)))) (-5 *1 (-663 *5)))) (-2843 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-917)) (-4 *5 (-842)) (-5 *2 (-634 (-663 *5))) (-5 *1 (-663 *5))))) 
-(-13 (-842) (-1037 |#1|) (-10 -8 (-15 -1407 ((-121) $)) (-15 -3030 ($ $)) (-15 -3286 ($ $)) (-15 -3680 ((-917) $)) (-15 -3451 ((-121) $ $)) (-15 -2747 ((-814 |#1|) $)) (-15 -2747 ((-667 |#1|) $)) (-15 -3850 ((-634 $) (-814 |#1|))) (-15 -3047 ((-121) (-814 |#1|))) (-15 -2196 ($ (-814 |#1|))) (-15 -2035 ((-3 $ "failed") (-814 |#1|))) (-15 -2981 ((-634 |#1|) $)) (-15 -2593 ((-64 (-634 $)) (-634 |#1|) (-917))) (-15 -2843 ((-634 $) (-634 |#1|) (-917))))) 
-((-2852 ((|#2| $) 76)) (-3623 (($ $) 96)) (-1667 (((-121) $ (-763)) 26)) (-3936 (($ $) 85) (($ $ (-763)) 88)) (-1340 (((-121) $) 97)) (-3534 (((-634 $) $) 72)) (-3606 (((-121) $ $) 71)) (-3791 (((-121) $ (-763)) 24)) (-2539 (((-568) $) 46)) (-3631 (((-568) $) 45)) (-3796 (((-121) $ (-763)) 22)) (-3319 (((-121) $) 74)) (-4164 ((|#2| $) 89) (($ $ (-763)) 92)) (-4124 (($ $ $ (-568)) 62) (($ |#2| $ (-568)) 61)) (-3948 (((-634 (-568)) $) 44)) (-2916 (((-121) (-568) $) 42)) (-3877 ((|#2| $) NIL) (($ $ (-763)) 84)) (-2168 (($ $ (-568)) 99)) (-4049 (((-121) $) 98)) (-3951 (((-121) (-1 (-121) |#2|) $) 32)) (-1480 (((-634 |#2|) $) 33)) (-2781 ((|#2| $ "value") NIL) ((|#2| $ "first") 83) (($ $ "rest") 87) ((|#2| $ "last") 95) (($ $ (-1210 (-568))) 58) ((|#2| $ (-568)) 40) ((|#2| $ (-568) |#2|) 41)) (-1665 (((-568) $ $) 70)) (-2828 (($ $ (-1210 (-568))) 57) (($ $ (-568)) 51)) (-2763 (((-121) $) 66)) (-3903 (($ $) 81)) (-3535 (((-763) $) 80)) (-4424 (($ $) 79)) (-4289 (($ (-634 |#2|)) 37)) (-2188 (($ $) 100)) (-3180 (((-634 $) $) 69)) (-3873 (((-121) $ $) 68)) (-3437 (((-121) (-1 (-121) |#2|) $) 31)) (-1719 (((-121) $ $) 18)) (-1699 (((-763) $) 29))) 
-(((-664 |#1| |#2|) (-10 -8 (-15 -2188 (|#1| |#1|)) (-15 -2168 (|#1| |#1| (-568))) (-15 -1340 ((-121) |#1|)) (-15 -4049 ((-121) |#1|)) (-15 -2781 (|#2| |#1| (-568) |#2|)) (-15 -2781 (|#2| |#1| (-568))) (-15 -1480 ((-634 |#2|) |#1|)) (-15 -2916 ((-121) (-568) |#1|)) (-15 -3948 ((-634 (-568)) |#1|)) (-15 -3631 ((-568) |#1|)) (-15 -2539 ((-568) |#1|)) (-15 -4289 (|#1| (-634 |#2|))) (-15 -2781 (|#1| |#1| (-1210 (-568)))) (-15 -2828 (|#1| |#1| (-568))) (-15 -2828 (|#1| |#1| (-1210 (-568)))) (-15 -4124 (|#1| |#2| |#1| (-568))) (-15 -4124 (|#1| |#1| |#1| (-568))) (-15 -3903 (|#1| |#1|)) (-15 -3535 ((-763) |#1|)) (-15 -4424 (|#1| |#1|)) (-15 -3623 (|#1| |#1|)) (-15 -4164 (|#1| |#1| (-763))) (-15 -2781 (|#2| |#1| "last")) (-15 -4164 (|#2| |#1|)) (-15 -3936 (|#1| |#1| (-763))) (-15 -2781 (|#1| |#1| "rest")) (-15 -3936 (|#1| |#1|)) (-15 -3877 (|#1| |#1| (-763))) (-15 -2781 (|#2| |#1| "first")) (-15 -3877 (|#2| |#1|)) (-15 -3606 ((-121) |#1| |#1|)) (-15 -3873 ((-121) |#1| |#1|)) (-15 -1665 ((-568) |#1| |#1|)) (-15 -2763 ((-121) |#1|)) (-15 -2781 (|#2| |#1| "value")) (-15 -2852 (|#2| |#1|)) (-15 -3319 ((-121) |#1|)) (-15 -3534 ((-634 |#1|) |#1|)) (-15 -3180 ((-634 |#1|) |#1|)) (-15 -1719 ((-121) |#1| |#1|)) (-15 -3951 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3437 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -1699 ((-763) |#1|)) (-15 -1667 ((-121) |#1| (-763))) (-15 -3791 ((-121) |#1| (-763))) (-15 -3796 ((-121) |#1| (-763)))) (-665 |#2|) (-1195)) (T -664)) 
-NIL 
-(-10 -8 (-15 -2188 (|#1| |#1|)) (-15 -2168 (|#1| |#1| (-568))) (-15 -1340 ((-121) |#1|)) (-15 -4049 ((-121) |#1|)) (-15 -2781 (|#2| |#1| (-568) |#2|)) (-15 -2781 (|#2| |#1| (-568))) (-15 -1480 ((-634 |#2|) |#1|)) (-15 -2916 ((-121) (-568) |#1|)) (-15 -3948 ((-634 (-568)) |#1|)) (-15 -3631 ((-568) |#1|)) (-15 -2539 ((-568) |#1|)) (-15 -4289 (|#1| (-634 |#2|))) (-15 -2781 (|#1| |#1| (-1210 (-568)))) (-15 -2828 (|#1| |#1| (-568))) (-15 -2828 (|#1| |#1| (-1210 (-568)))) (-15 -4124 (|#1| |#2| |#1| (-568))) (-15 -4124 (|#1| |#1| |#1| (-568))) (-15 -3903 (|#1| |#1|)) (-15 -3535 ((-763) |#1|)) (-15 -4424 (|#1| |#1|)) (-15 -3623 (|#1| |#1|)) (-15 -4164 (|#1| |#1| (-763))) (-15 -2781 (|#2| |#1| "last")) (-15 -4164 (|#2| |#1|)) (-15 -3936 (|#1| |#1| (-763))) (-15 -2781 (|#1| |#1| "rest")) (-15 -3936 (|#1| |#1|)) (-15 -3877 (|#1| |#1| (-763))) (-15 -2781 (|#2| |#1| "first")) (-15 -3877 (|#2| |#1|)) (-15 -3606 ((-121) |#1| |#1|)) (-15 -3873 ((-121) |#1| |#1|)) (-15 -1665 ((-568) |#1| |#1|)) (-15 -2763 ((-121) |#1|)) (-15 -2781 (|#2| |#1| "value")) (-15 -2852 (|#2| |#1|)) (-15 -3319 ((-121) |#1|)) (-15 -3534 ((-634 |#1|) |#1|)) (-15 -3180 ((-634 |#1|) |#1|)) (-15 -1719 ((-121) |#1| |#1|)) (-15 -3951 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3437 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -1699 ((-763) |#1|)) (-15 -1667 ((-121) |#1| (-763))) (-15 -3791 ((-121) |#1| (-763))) (-15 -3796 ((-121) |#1| (-763)))) 
-((-2449 (((-121) $ $) 18 (|has| |#1| (-1090)))) (-2852 ((|#1| $) 45)) (-2237 ((|#1| $) 62)) (-3623 (($ $) 64)) (-2481 (((-1249) $ (-568) (-568)) 94 (|has| $ (-6 -4522)))) (-2121 (($ $ (-568)) 49 (|has| $ (-6 -4522)))) (-1667 (((-121) $ (-763)) 8)) (-3370 ((|#1| $ |#1|) 36 (|has| $ (-6 -4522)))) (-1958 (($ $ $) 53 (|has| $ (-6 -4522)))) (-2257 ((|#1| $ |#1|) 51 (|has| $ (-6 -4522)))) (-1706 ((|#1| $ |#1|) 55 (|has| $ (-6 -4522)))) (-2438 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4522))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4522))) (($ $ "rest" $) 52 (|has| $ (-6 -4522))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4522))) ((|#1| $ (-1210 (-568)) |#1|) 114 (|has| $ (-6 -4522))) ((|#1| $ (-568) |#1|) 83 (|has| $ (-6 -4522)))) (-1809 (($ $ (-634 $)) 38 (|has| $ (-6 -4522)))) (-2803 (($ (-1 (-121) |#1|) $) 99)) (-1681 ((|#1| $) 63)) (-4490 (($) 7 T CONST)) (-2584 (($ $) 118)) (-3936 (($ $) 70) (($ $ (-763)) 68)) (-3926 (($ $) 96 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-4330 (($ |#1| $) 97 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) (($ (-1 (-121) |#1|) $) 100)) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $) 102 (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 101 (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 98 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-1292 ((|#1| $ (-568) |#1|) 82 (|has| $ (-6 -4522)))) (-2069 ((|#1| $ (-568)) 84)) (-1340 (((-121) $) 80)) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-1841 (((-763) $) 117)) (-3534 (((-634 $) $) 47)) (-3606 (((-121) $ $) 39 (|has| |#1| (-1090)))) (-1851 (($ (-763) |#1|) 105)) (-3791 (((-121) $ (-763)) 9)) (-2539 (((-568) $) 92 (|has| (-568) (-842)))) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3631 (((-568) $) 91 (|has| (-568) (-842)))) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 108)) (-3796 (((-121) $ (-763)) 10)) (-4081 (((-634 |#1|) $) 42)) (-3319 (((-121) $) 46)) (-2798 (($ $) 120)) (-1898 (((-121) $) 121)) (-1893 (((-1143) $) 22 (|has| |#1| (-1090)))) (-4164 ((|#1| $) 67) (($ $ (-763)) 65)) (-4124 (($ $ $ (-568)) 113) (($ |#1| $ (-568)) 112)) (-3948 (((-634 (-568)) $) 89)) (-2916 (((-121) (-568) $) 88)) (-4025 (((-1108) $) 21 (|has| |#1| (-1090)))) (-2616 ((|#1| $) 119)) (-3877 ((|#1| $) 73) (($ $ (-763)) 71)) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 103)) (-2490 (($ $ |#1|) 93 (|has| $ (-6 -4522)))) (-2168 (($ $ (-568)) 116)) (-4049 (((-121) $) 81)) (-3817 (((-121) $) 122)) (-2818 (((-121) $) 123)) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-1801 (((-121) |#1| $) 90 (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1480 (((-634 |#1|) $) 87)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-2781 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66) (($ $ (-1210 (-568))) 109) ((|#1| $ (-568)) 86) ((|#1| $ (-568) |#1|) 85)) (-1665 (((-568) $ $) 41)) (-2828 (($ $ (-1210 (-568))) 111) (($ $ (-568)) 110)) (-2763 (((-121) $) 43)) (-3903 (($ $) 59)) (-1499 (($ $) 56 (|has| $ (-6 -4522)))) (-3535 (((-763) $) 60)) (-4424 (($ $) 61)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-4280 (((-541) $) 95 (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) 104)) (-1876 (($ $ $) 58 (|has| $ (-6 -4522))) (($ $ |#1|) 57 (|has| $ (-6 -4522)))) (-2770 (($ $ $) 75) (($ |#1| $) 74) (($ (-634 $)) 107) (($ $ |#1|) 106)) (-2188 (($ $) 115)) (-2747 (((-850) $) 20 (|has| |#1| (-1090)))) (-3180 (((-634 $) $) 48)) (-3873 (((-121) $ $) 40 (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-665 |#1|) (-1275) (-1195)) (T -665)) 
-((-4330 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-665 *3)) (-4 *3 (-1195)))) (-2803 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-665 *3)) (-4 *3 (-1195)))) (-2818 (*1 *2 *1) (-12 (-4 *1 (-665 *3)) (-4 *3 (-1195)) (-5 *2 (-121)))) (-3817 (*1 *2 *1) (-12 (-4 *1 (-665 *3)) (-4 *3 (-1195)) (-5 *2 (-121)))) (-1898 (*1 *2 *1) (-12 (-4 *1 (-665 *3)) (-4 *3 (-1195)) (-5 *2 (-121)))) (-2798 (*1 *1 *1) (-12 (-4 *1 (-665 *2)) (-4 *2 (-1195)))) (-2616 (*1 *2 *1) (-12 (-4 *1 (-665 *2)) (-4 *2 (-1195)))) (-2584 (*1 *1 *1) (-12 (-4 *1 (-665 *2)) (-4 *2 (-1195)))) (-1841 (*1 *2 *1) (-12 (-4 *1 (-665 *3)) (-4 *3 (-1195)) (-5 *2 (-763)))) (-2168 (*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-665 *3)) (-4 *3 (-1195)))) (-2188 (*1 *1 *1) (-12 (-4 *1 (-665 *2)) (-4 *2 (-1195))))) 
-(-13 (-1134 |t#1|) (-10 -8 (-15 -4330 ($ (-1 (-121) |t#1|) $)) (-15 -2803 ($ (-1 (-121) |t#1|) $)) (-15 -2818 ((-121) $)) (-15 -3817 ((-121) $)) (-15 -1898 ((-121) $)) (-15 -2798 ($ $)) (-15 -2616 (|t#1| $)) (-15 -2584 ($ $)) (-15 -1841 ((-763) $)) (-15 -2168 ($ $ (-568))) (-15 -2188 ($ $)))) 
-(((-39) . T) ((-105) |has| |#1| (-1090)) ((-608 (-850)) |has| |#1| (-1090)) ((-154 |#1|) . T) ((-609 (-541)) |has| |#1| (-609 (-541))) ((-281 (-568) |#1|) . T) ((-283 (-568) |#1|) . T) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-499 |#1|) . T) ((-601 (-568) |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-640 |#1|) . T) ((-1010 |#1|) . T) ((-1090) |has| |#1| (-1090)) ((-1134 |#1|) . T) ((-1195) . T) ((-1231 |#1|) . T)) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-3775 (($ (-763) (-763) (-763)) 32 (|has| |#1| (-1047)))) (-1667 (((-121) $ (-763)) NIL)) (-2729 ((|#1| $ (-763) (-763) (-763) |#1|) 27)) (-4490 (($) NIL T CONST)) (-4290 (($ $ $) 36 (|has| |#1| (-1047)))) (-3317 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) NIL)) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3755 (((-1244 (-763)) $) 8)) (-2650 (($ (-1161) $ $) 22)) (-2253 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-2491 (($ (-763)) 34 (|has| |#1| (-1047)))) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#1| $ (-763) (-763) (-763)) 25)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3865 (($ $) NIL)) (-4289 (($ (-634 (-634 (-634 |#1|)))) 43)) (-2747 (((-850) $) NIL (|has| |#1| (-1090))) (($ (-958 (-958 (-958 |#1|)))) 15) (((-958 (-958 (-958 |#1|))) $) 12)) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-666 |#1|) (-13 (-499 |#1|) (-10 -8 (IF (|has| |#1| (-1047)) (PROGN (-15 -3775 ($ (-763) (-763) (-763))) (-15 -2491 ($ (-763))) (-15 -4290 ($ $ $))) |noBranch|) (-15 -4289 ($ (-634 (-634 (-634 |#1|))))) (-15 -2781 (|#1| $ (-763) (-763) (-763))) (-15 -2729 (|#1| $ (-763) (-763) (-763) |#1|)) (-15 -2747 ($ (-958 (-958 (-958 |#1|))))) (-15 -2747 ((-958 (-958 (-958 |#1|))) $)) (-15 -2650 ($ (-1161) $ $)) (-15 -3755 ((-1244 (-763)) $)))) (-1090)) (T -666)) 
-((-3775 (*1 *1 *2 *2 *2) (-12 (-5 *2 (-763)) (-5 *1 (-666 *3)) (-4 *3 (-1047)) (-4 *3 (-1090)))) (-2491 (*1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-666 *3)) (-4 *3 (-1047)) (-4 *3 (-1090)))) (-4290 (*1 *1 *1 *1) (-12 (-5 *1 (-666 *2)) (-4 *2 (-1047)) (-4 *2 (-1090)))) (-4289 (*1 *1 *2) (-12 (-5 *2 (-634 (-634 (-634 *3)))) (-4 *3 (-1090)) (-5 *1 (-666 *3)))) (-2781 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-763)) (-5 *1 (-666 *2)) (-4 *2 (-1090)))) (-2729 (*1 *2 *1 *3 *3 *3 *2) (-12 (-5 *3 (-763)) (-5 *1 (-666 *2)) (-4 *2 (-1090)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-958 (-958 (-958 *3)))) (-4 *3 (-1090)) (-5 *1 (-666 *3)))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-958 (-958 (-958 *3)))) (-5 *1 (-666 *3)) (-4 *3 (-1090)))) (-2650 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1161)) (-5 *1 (-666 *3)) (-4 *3 (-1090)))) (-3755 (*1 *2 *1) (-12 (-5 *2 (-1244 (-763))) (-5 *1 (-666 *3)) (-4 *3 (-1090))))) 
-(-13 (-499 |#1|) (-10 -8 (IF (|has| |#1| (-1047)) (PROGN (-15 -3775 ($ (-763) (-763) (-763))) (-15 -2491 ($ (-763))) (-15 -4290 ($ $ $))) |noBranch|) (-15 -4289 ($ (-634 (-634 (-634 |#1|))))) (-15 -2781 (|#1| $ (-763) (-763) (-763))) (-15 -2729 (|#1| $ (-763) (-763) (-763) |#1|)) (-15 -2747 ($ (-958 (-958 (-958 |#1|))))) (-15 -2747 ((-958 (-958 (-958 |#1|))) $)) (-15 -2650 ($ (-1161) $ $)) (-15 -3755 ((-1244 (-763)) $)))) 
-((-2449 (((-121) $ $) NIL)) (-2981 (((-634 |#1|) $) 14)) (-3286 (($ $) 18)) (-1407 (((-121) $) 19)) (-3668 (((-3 |#1| "failed") $) 22)) (-2857 ((|#1| $) 20)) (-3936 (($ $) 36)) (-2310 (($ $) 24)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-3451 (((-121) $ $) 41)) (-3680 (((-917) $) 38)) (-3030 (($ $) 17)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-3877 ((|#1| $) 35)) (-2747 (((-850) $) 31) (($ |#1|) 23) (((-814 |#1|) $) 27)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 12)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 40)) (* (($ $ $) 34))) 
-(((-667 |#1|) (-13 (-842) (-1037 |#1|) (-10 -8 (-15 * ($ $ $)) (-15 -2747 ((-814 |#1|) $)) (-15 -3877 (|#1| $)) (-15 -3030 ($ $)) (-15 -3680 ((-917) $)) (-15 -3451 ((-121) $ $)) (-15 -2310 ($ $)) (-15 -3936 ($ $)) (-15 -1407 ((-121) $)) (-15 -3286 ($ $)) (-15 -2981 ((-634 |#1|) $)))) (-842)) (T -667)) 
-((* (*1 *1 *1 *1) (-12 (-5 *1 (-667 *2)) (-4 *2 (-842)))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-814 *3)) (-5 *1 (-667 *3)) (-4 *3 (-842)))) (-3877 (*1 *2 *1) (-12 (-5 *1 (-667 *2)) (-4 *2 (-842)))) (-3030 (*1 *1 *1) (-12 (-5 *1 (-667 *2)) (-4 *2 (-842)))) (-3680 (*1 *2 *1) (-12 (-5 *2 (-917)) (-5 *1 (-667 *3)) (-4 *3 (-842)))) (-3451 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-667 *3)) (-4 *3 (-842)))) (-2310 (*1 *1 *1) (-12 (-5 *1 (-667 *2)) (-4 *2 (-842)))) (-3936 (*1 *1 *1) (-12 (-5 *1 (-667 *2)) (-4 *2 (-842)))) (-1407 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-667 *3)) (-4 *3 (-842)))) (-3286 (*1 *1 *1) (-12 (-5 *1 (-667 *2)) (-4 *2 (-842)))) (-2981 (*1 *2 *1) (-12 (-5 *2 (-634 *3)) (-5 *1 (-667 *3)) (-4 *3 (-842))))) 
-(-13 (-842) (-1037 |#1|) (-10 -8 (-15 * ($ $ $)) (-15 -2747 ((-814 |#1|) $)) (-15 -3877 (|#1| $)) (-15 -3030 ($ $)) (-15 -3680 ((-917) $)) (-15 -3451 ((-121) $ $)) (-15 -2310 ($ $)) (-15 -3936 ($ $)) (-15 -1407 ((-121) $)) (-15 -3286 ($ $)) (-15 -2981 ((-634 |#1|) $)))) 
-((-4434 ((|#1| (-1 |#1| (-763) |#1|) (-763) |#1|) 11)) (-3181 ((|#1| (-1 |#1| |#1|) (-763) |#1|) 9))) 
-(((-668 |#1|) (-10 -7 (-15 -3181 (|#1| (-1 |#1| |#1|) (-763) |#1|)) (-15 -4434 (|#1| (-1 |#1| (-763) |#1|) (-763) |#1|))) (-1090)) (T -668)) 
-((-4434 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 (-763) *2)) (-5 *4 (-763)) (-4 *2 (-1090)) (-5 *1 (-668 *2)))) (-3181 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *2)) (-5 *4 (-763)) (-4 *2 (-1090)) (-5 *1 (-668 *2))))) 
-(-10 -7 (-15 -3181 (|#1| (-1 |#1| |#1|) (-763) |#1|)) (-15 -4434 (|#1| (-1 |#1| (-763) |#1|) (-763) |#1|))) 
-((-1729 ((|#2| |#1| |#2|) 9)) (-1722 ((|#1| |#1| |#2|) 8))) 
-(((-669 |#1| |#2|) (-10 -7 (-15 -1722 (|#1| |#1| |#2|)) (-15 -1729 (|#2| |#1| |#2|))) (-1090) (-1090)) (T -669)) 
-((-1729 (*1 *2 *3 *2) (-12 (-5 *1 (-669 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-1090)))) (-1722 (*1 *2 *2 *3) (-12 (-5 *1 (-669 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-1090))))) 
-(-10 -7 (-15 -1722 (|#1| |#1| |#2|)) (-15 -1729 (|#2| |#1| |#2|))) 
-((-1446 ((|#3| (-1 |#3| |#2|) (-1 |#2| |#1|) |#1|) 11))) 
-(((-670 |#1| |#2| |#3|) (-10 -7 (-15 -1446 (|#3| (-1 |#3| |#2|) (-1 |#2| |#1|) |#1|))) (-1090) (-1090) (-1090)) (T -670)) 
-((-1446 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *2 (-1090)) (-5 *1 (-670 *5 *6 *2))))) 
-(-10 -7 (-15 -1446 (|#3| (-1 |#3| |#2|) (-1 |#2| |#1|) |#1|))) 
-((-4434 (((-1 |#1| (-763) |#1|) (-1 |#1| (-763) |#1|)) 23)) (-3080 (((-1 |#1|) |#1|) 8)) (-1716 ((|#1| |#1|) 16)) (-1926 (((-634 |#1|) (-1 (-634 |#1|) (-634 |#1|)) (-568)) 15) ((|#1| (-1 |#1| |#1|)) 11)) (-2747 (((-1 |#1|) |#1|) 9)) (** (((-1 |#1| |#1|) (-1 |#1| |#1|) (-763)) 20))) 
-(((-671 |#1|) (-10 -7 (-15 -3080 ((-1 |#1|) |#1|)) (-15 -2747 ((-1 |#1|) |#1|)) (-15 -1926 (|#1| (-1 |#1| |#1|))) (-15 -1926 ((-634 |#1|) (-1 (-634 |#1|) (-634 |#1|)) (-568))) (-15 -1716 (|#1| |#1|)) (-15 ** ((-1 |#1| |#1|) (-1 |#1| |#1|) (-763))) (-15 -4434 ((-1 |#1| (-763) |#1|) (-1 |#1| (-763) |#1|)))) (-1090)) (T -671)) 
-((-4434 (*1 *2 *2) (-12 (-5 *2 (-1 *3 (-763) *3)) (-4 *3 (-1090)) (-5 *1 (-671 *3)))) (** (*1 *2 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-763)) (-4 *4 (-1090)) (-5 *1 (-671 *4)))) (-1716 (*1 *2 *2) (-12 (-5 *1 (-671 *2)) (-4 *2 (-1090)))) (-1926 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-634 *5) (-634 *5))) (-5 *4 (-568)) (-5 *2 (-634 *5)) (-5 *1 (-671 *5)) (-4 *5 (-1090)))) (-1926 (*1 *2 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-671 *2)) (-4 *2 (-1090)))) (-2747 (*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-671 *3)) (-4 *3 (-1090)))) (-3080 (*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-671 *3)) (-4 *3 (-1090))))) 
-(-10 -7 (-15 -3080 ((-1 |#1|) |#1|)) (-15 -2747 ((-1 |#1|) |#1|)) (-15 -1926 (|#1| (-1 |#1| |#1|))) (-15 -1926 ((-634 |#1|) (-1 (-634 |#1|) (-634 |#1|)) (-568))) (-15 -1716 (|#1| |#1|)) (-15 ** ((-1 |#1| |#1|) (-1 |#1| |#1|) (-763))) (-15 -4434 ((-1 |#1| (-763) |#1|) (-1 |#1| (-763) |#1|)))) 
-((-3646 (((-1 |#2| |#1|) (-1 |#2| |#1| |#1|)) 16)) (-3357 (((-1 |#2|) (-1 |#2| |#1|) |#1|) 13)) (-3497 (((-1 |#2| |#1|) (-1 |#2|)) 14)) (-2358 (((-1 |#2| |#1|) |#2|) 11))) 
-(((-672 |#1| |#2|) (-10 -7 (-15 -2358 ((-1 |#2| |#1|) |#2|)) (-15 -3357 ((-1 |#2|) (-1 |#2| |#1|) |#1|)) (-15 -3497 ((-1 |#2| |#1|) (-1 |#2|))) (-15 -3646 ((-1 |#2| |#1|) (-1 |#2| |#1| |#1|)))) (-1090) (-1090)) (T -672)) 
-((-3646 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *4 *4)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-5 *2 (-1 *5 *4)) (-5 *1 (-672 *4 *5)))) (-3497 (*1 *2 *3) (-12 (-5 *3 (-1 *5)) (-4 *5 (-1090)) (-5 *2 (-1 *5 *4)) (-5 *1 (-672 *4 *5)) (-4 *4 (-1090)))) (-3357 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *4)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-5 *2 (-1 *5)) (-5 *1 (-672 *4 *5)))) (-2358 (*1 *2 *3) (-12 (-5 *2 (-1 *3 *4)) (-5 *1 (-672 *4 *3)) (-4 *4 (-1090)) (-4 *3 (-1090))))) 
-(-10 -7 (-15 -2358 ((-1 |#2| |#1|) |#2|)) (-15 -3357 ((-1 |#2|) (-1 |#2| |#1|) |#1|)) (-15 -3497 ((-1 |#2| |#1|) (-1 |#2|))) (-15 -3646 ((-1 |#2| |#1|) (-1 |#2| |#1| |#1|)))) 
-((-2562 (((-1 |#3| |#2| |#1|) (-1 |#3| |#1| |#2|)) 17)) (-3010 (((-1 |#3| |#1|) (-1 |#3| |#1| |#2|) |#2|) 11)) (-3314 (((-1 |#3| |#2|) (-1 |#3| |#1| |#2|) |#1|) 13)) (-2284 (((-1 |#3| |#1| |#2|) (-1 |#3| |#1|)) 14)) (-2372 (((-1 |#3| |#1| |#2|) (-1 |#3| |#2|)) 15)) (* (((-1 |#3| |#1|) (-1 |#3| |#2|) (-1 |#2| |#1|)) 21))) 
-(((-673 |#1| |#2| |#3|) (-10 -7 (-15 -3010 ((-1 |#3| |#1|) (-1 |#3| |#1| |#2|) |#2|)) (-15 -3314 ((-1 |#3| |#2|) (-1 |#3| |#1| |#2|) |#1|)) (-15 -2284 ((-1 |#3| |#1| |#2|) (-1 |#3| |#1|))) (-15 -2372 ((-1 |#3| |#1| |#2|) (-1 |#3| |#2|))) (-15 -2562 ((-1 |#3| |#2| |#1|) (-1 |#3| |#1| |#2|))) (-15 * ((-1 |#3| |#1|) (-1 |#3| |#2|) (-1 |#2| |#1|)))) (-1090) (-1090) (-1090)) (T -673)) 
-((* (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)) (-5 *2 (-1 *7 *5)) (-5 *1 (-673 *5 *6 *7)))) (-2562 (*1 *2 *3) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-5 *2 (-1 *6 *5 *4)) (-5 *1 (-673 *4 *5 *6)))) (-2372 (*1 *2 *3) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-673 *4 *5 *6)) (-4 *4 (-1090)))) (-2284 (*1 *2 *3) (-12 (-5 *3 (-1 *6 *4)) (-4 *4 (-1090)) (-4 *6 (-1090)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-673 *4 *5 *6)) (-4 *5 (-1090)))) (-3314 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-5 *2 (-1 *6 *5)) (-5 *1 (-673 *4 *5 *6)))) (-3010 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5 *4)) (-4 *5 (-1090)) (-4 *4 (-1090)) (-4 *6 (-1090)) (-5 *2 (-1 *6 *5)) (-5 *1 (-673 *5 *4 *6))))) 
-(-10 -7 (-15 -3010 ((-1 |#3| |#1|) (-1 |#3| |#1| |#2|) |#2|)) (-15 -3314 ((-1 |#3| |#2|) (-1 |#3| |#1| |#2|) |#1|)) (-15 -2284 ((-1 |#3| |#1| |#2|) (-1 |#3| |#1|))) (-15 -2372 ((-1 |#3| |#1| |#2|) (-1 |#3| |#2|))) (-15 -2562 ((-1 |#3| |#2| |#1|) (-1 |#3| |#1| |#2|))) (-15 * ((-1 |#3| |#1|) (-1 |#3| |#2|) (-1 |#2| |#1|)))) 
-((-1781 (((-1 (-310 (-568)) |#1|) (-1 (-310 (-568)) |#1|) (-1 (-310 (-568)) |#1|)) 18)) (-1775 (((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|)) 12)) (-1769 (((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|)) 10)) (* (((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|)) 14))) 
-(((-674 |#1| |#2|) (-10 -7 (-15 -1769 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -1775 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 * ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -1781 ((-1 (-310 (-568)) |#1|) (-1 (-310 (-568)) |#1|) (-1 (-310 (-568)) |#1|)))) (-1090) (-1047)) (T -674)) 
-((-1781 (*1 *2 *2 *2) (-12 (-5 *2 (-1 (-310 (-568)) *3)) (-4 *3 (-1090)) (-5 *1 (-674 *3 *4)) (-4 *4 (-1047)))) (* (*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1090)) (-4 *4 (-1047)) (-5 *1 (-674 *3 *4)))) (-1775 (*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1090)) (-4 *4 (-1047)) (-5 *1 (-674 *3 *4)))) (-1769 (*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1090)) (-4 *4 (-1047)) (-5 *1 (-674 *3 *4))))) 
-(-10 -7 (-15 -1769 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -1775 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 * ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -1781 ((-1 (-310 (-568)) |#1|) (-1 (-310 (-568)) |#1|) (-1 (-310 (-568)) |#1|)))) 
-((-3094 ((|#5| (-1 |#5| |#1| |#5|) |#4| |#5|) 39)) (-2797 (((-3 |#8| "failed") (-1 (-3 |#5| "failed") |#1|) |#4|) 37) ((|#8| (-1 |#5| |#1|) |#4|) 31))) 
-(((-675 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -2797 (|#8| (-1 |#5| |#1|) |#4|)) (-15 -2797 ((-3 |#8| "failed") (-1 (-3 |#5| "failed") |#1|) |#4|)) (-15 -3094 (|#5| (-1 |#5| |#1| |#5|) |#4| |#5|))) (-1047) (-375 |#1|) (-375 |#1|) (-677 |#1| |#2| |#3|) (-1047) (-375 |#5|) (-375 |#5|) (-677 |#5| |#6| |#7|)) (T -675)) 
-((-3094 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1047)) (-4 *2 (-1047)) (-4 *6 (-375 *5)) (-4 *7 (-375 *5)) (-4 *8 (-375 *2)) (-4 *9 (-375 *2)) (-5 *1 (-675 *5 *6 *7 *4 *2 *8 *9 *10)) (-4 *4 (-677 *5 *6 *7)) (-4 *10 (-677 *2 *8 *9)))) (-2797 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *8 "failed") *5)) (-4 *5 (-1047)) (-4 *8 (-1047)) (-4 *6 (-375 *5)) (-4 *7 (-375 *5)) (-4 *2 (-677 *8 *9 *10)) (-5 *1 (-675 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-677 *5 *6 *7)) (-4 *9 (-375 *8)) (-4 *10 (-375 *8)))) (-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1047)) (-4 *8 (-1047)) (-4 *6 (-375 *5)) (-4 *7 (-375 *5)) (-4 *2 (-677 *8 *9 *10)) (-5 *1 (-675 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-677 *5 *6 *7)) (-4 *9 (-375 *8)) (-4 *10 (-375 *8))))) 
-(-10 -7 (-15 -2797 (|#8| (-1 |#5| |#1|) |#4|)) (-15 -2797 ((-3 |#8| "failed") (-1 (-3 |#5| "failed") |#1|) |#4|)) (-15 -3094 (|#5| (-1 |#5| |#1| |#5|) |#4| |#5|))) 
-((-3207 (($ (-763) (-763)) 31)) (-4486 (($ $ $) 54)) (-4089 (($ |#3|) 50) (($ $) 51)) (-3560 (((-121) $) 26)) (-3211 (($ $ (-568) (-568)) 56)) (-3096 (($ $ (-568) (-568)) 57)) (-2265 (($ $ (-568) (-568) (-568) (-568)) 61)) (-4467 (($ $) 52)) (-3691 (((-121) $) 14)) (-4043 (($ $ (-568) (-568) $) 62)) (-2438 ((|#2| $ (-568) (-568) |#2|) NIL) (($ $ (-634 (-568)) (-634 (-568)) $) 60)) (-1637 (($ (-763) |#2|) 36)) (-3102 ((|#2| $) 105)) (-2271 (($ (-634 (-634 |#2|))) 34)) (-1843 (((-634 (-634 |#2|)) $) 55)) (-4018 (($ $ $) 53)) (-2597 (((-3 $ "failed") $ |#2|) 108)) (-2781 ((|#2| $ (-568) (-568)) NIL) ((|#2| $ (-568) (-568) |#2|) NIL) (($ $ (-634 (-568)) (-634 (-568))) 59)) (-3499 (($ (-634 |#2|)) 38) (($ (-634 $)) 40)) (-4322 (((-121) $) 23)) (-4063 (((-634 |#4|) $) 91)) (-2747 (((-850) $) NIL) (($ |#4|) 45)) (-2675 (((-121) $) 28)) (-1781 (($ $ |#2|) 110)) (-1775 (($ $ $) 66) (($ $) 69)) (-1769 (($ $ $) 64)) (** (($ $ (-763)) 78) (($ $ (-568)) 113)) (* (($ $ $) 75) (($ |#2| $) 71) (($ $ |#2|) 72) (($ (-568) $) 74) ((|#4| $ |#4|) 82) ((|#3| |#3| $) 86))) 
-(((-676 |#1| |#2| |#3| |#4|) (-10 -8 (-15 ** (|#1| |#1| (-568))) (-15 -3102 (|#2| |#1|)) (-15 -4063 ((-634 |#4|) |#1|)) (-15 -1781 (|#1| |#1| |#2|)) (-15 -2597 ((-3 |#1| "failed") |#1| |#2|)) (-15 ** (|#1| |#1| (-763))) (-15 * (|#3| |#3| |#1|)) (-15 * (|#4| |#1| |#4|)) (-15 * (|#1| (-568) |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -1775 (|#1| |#1|)) (-15 -1775 (|#1| |#1| |#1|)) (-15 -1769 (|#1| |#1| |#1|)) (-15 -4043 (|#1| |#1| (-568) (-568) |#1|)) (-15 -2265 (|#1| |#1| (-568) (-568) (-568) (-568))) (-15 -3096 (|#1| |#1| (-568) (-568))) (-15 -3211 (|#1| |#1| (-568) (-568))) (-15 -2438 (|#1| |#1| (-634 (-568)) (-634 (-568)) |#1|)) (-15 -2781 (|#1| |#1| (-634 (-568)) (-634 (-568)))) (-15 -1843 ((-634 (-634 |#2|)) |#1|)) (-15 -4486 (|#1| |#1| |#1|)) (-15 -4018 (|#1| |#1| |#1|)) (-15 -4467 (|#1| |#1|)) (-15 -4089 (|#1| |#1|)) (-15 -4089 (|#1| |#3|)) (-15 -2747 (|#1| |#4|)) (-15 -3499 (|#1| (-634 |#1|))) (-15 -3499 (|#1| (-634 |#2|))) (-15 -1637 (|#1| (-763) |#2|)) (-15 -2271 (|#1| (-634 (-634 |#2|)))) (-15 -3207 (|#1| (-763) (-763))) (-15 -2675 ((-121) |#1|)) (-15 -3560 ((-121) |#1|)) (-15 -4322 ((-121) |#1|)) (-15 -3691 ((-121) |#1|)) (-15 -2438 (|#2| |#1| (-568) (-568) |#2|)) (-15 -2781 (|#2| |#1| (-568) (-568) |#2|)) (-15 -2781 (|#2| |#1| (-568) (-568))) (-15 -2747 ((-850) |#1|))) (-677 |#2| |#3| |#4|) (-1047) (-375 |#2|) (-375 |#2|)) (T -676)) 
-NIL 
-(-10 -8 (-15 ** (|#1| |#1| (-568))) (-15 -3102 (|#2| |#1|)) (-15 -4063 ((-634 |#4|) |#1|)) (-15 -1781 (|#1| |#1| |#2|)) (-15 -2597 ((-3 |#1| "failed") |#1| |#2|)) (-15 ** (|#1| |#1| (-763))) (-15 * (|#3| |#3| |#1|)) (-15 * (|#4| |#1| |#4|)) (-15 * (|#1| (-568) |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -1775 (|#1| |#1|)) (-15 -1775 (|#1| |#1| |#1|)) (-15 -1769 (|#1| |#1| |#1|)) (-15 -4043 (|#1| |#1| (-568) (-568) |#1|)) (-15 -2265 (|#1| |#1| (-568) (-568) (-568) (-568))) (-15 -3096 (|#1| |#1| (-568) (-568))) (-15 -3211 (|#1| |#1| (-568) (-568))) (-15 -2438 (|#1| |#1| (-634 (-568)) (-634 (-568)) |#1|)) (-15 -2781 (|#1| |#1| (-634 (-568)) (-634 (-568)))) (-15 -1843 ((-634 (-634 |#2|)) |#1|)) (-15 -4486 (|#1| |#1| |#1|)) (-15 -4018 (|#1| |#1| |#1|)) (-15 -4467 (|#1| |#1|)) (-15 -4089 (|#1| |#1|)) (-15 -4089 (|#1| |#3|)) (-15 -2747 (|#1| |#4|)) (-15 -3499 (|#1| (-634 |#1|))) (-15 -3499 (|#1| (-634 |#2|))) (-15 -1637 (|#1| (-763) |#2|)) (-15 -2271 (|#1| (-634 (-634 |#2|)))) (-15 -3207 (|#1| (-763) (-763))) (-15 -2675 ((-121) |#1|)) (-15 -3560 ((-121) |#1|)) (-15 -4322 ((-121) |#1|)) (-15 -3691 ((-121) |#1|)) (-15 -2438 (|#2| |#1| (-568) (-568) |#2|)) (-15 -2781 (|#2| |#1| (-568) (-568) |#2|)) (-15 -2781 (|#2| |#1| (-568) (-568))) (-15 -2747 ((-850) |#1|))) 
-((-2449 (((-121) $ $) 18 (|has| |#1| (-1090)))) (-3207 (($ (-763) (-763)) 94)) (-4486 (($ $ $) 84)) (-4089 (($ |#2|) 88) (($ $) 87)) (-3560 (((-121) $) 96)) (-3211 (($ $ (-568) (-568)) 80)) (-3096 (($ $ (-568) (-568)) 79)) (-2265 (($ $ (-568) (-568) (-568) (-568)) 78)) (-4467 (($ $) 86)) (-3691 (((-121) $) 98)) (-1667 (((-121) $ (-763)) 8)) (-4043 (($ $ (-568) (-568) $) 77)) (-2438 ((|#1| $ (-568) (-568) |#1|) 41) (($ $ (-634 (-568)) (-634 (-568)) $) 81)) (-3874 (($ $ (-568) |#2|) 39)) (-2525 (($ $ (-568) |#3|) 38)) (-1637 (($ (-763) |#1|) 92)) (-4490 (($) 7 T CONST)) (-3912 (($ $) 64 (|has| |#1| (-301)))) (-2228 ((|#2| $ (-568)) 43)) (-2371 (((-763) $) 62 (|has| |#1| (-558)))) (-1292 ((|#1| $ (-568) (-568) |#1|) 40)) (-2069 ((|#1| $ (-568) (-568)) 45)) (-3102 ((|#1| $) 57 (|has| |#1| (-172)))) (-3317 (((-634 |#1|) $) 30)) (-3344 (((-763) $) 61 (|has| |#1| (-558)))) (-2934 (((-634 |#3|) $) 60 (|has| |#1| (-558)))) (-2241 (((-763) $) 48)) (-1851 (($ (-763) (-763) |#1|) 54)) (-1901 (((-763) $) 47)) (-3791 (((-121) $ (-763)) 9)) (-2424 ((|#1| $) 58 (|has| |#1| (-6 (-4523 "*"))))) (-3139 (((-568) $) 52)) (-1343 (((-568) $) 50)) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3405 (((-568) $) 51)) (-2801 (((-568) $) 49)) (-2271 (($ (-634 (-634 |#1|))) 93)) (-2253 (($ (-1 |#1| |#1|) $) 34)) (-2797 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 37) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) 36)) (-1843 (((-634 (-634 |#1|)) $) 83)) (-3796 (((-121) $ (-763)) 10)) (-1893 (((-1143) $) 22 (|has| |#1| (-1090)))) (-2715 (((-3 $ "failed") $) 56 (|has| |#1| (-365)))) (-4018 (($ $ $) 85)) (-4025 (((-1108) $) 21 (|has| |#1| (-1090)))) (-2490 (($ $ |#1|) 53)) (-2597 (((-3 $ "failed") $ |#1|) 66 (|has| |#1| (-558)))) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-2781 ((|#1| $ (-568) (-568)) 46) ((|#1| $ (-568) (-568) |#1|) 44) (($ $ (-634 (-568)) (-634 (-568))) 82)) (-3499 (($ (-634 |#1|)) 91) (($ (-634 $)) 90)) (-4322 (((-121) $) 97)) (-2591 ((|#1| $) 59 (|has| |#1| (-6 (-4523 "*"))))) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-4063 (((-634 |#3|) $) 63 (|has| |#1| (-301)))) (-2522 ((|#3| $ (-568)) 42)) (-2747 (((-850) $) 20 (|has| |#1| (-1090))) (($ |#3|) 89)) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-2675 (((-121) $) 95)) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090)))) (-1781 (($ $ |#1|) 65 (|has| |#1| (-365)))) (-1775 (($ $ $) 75) (($ $) 74)) (-1769 (($ $ $) 76)) (** (($ $ (-763)) 67) (($ $ (-568)) 55 (|has| |#1| (-365)))) (* (($ $ $) 73) (($ |#1| $) 72) (($ $ |#1|) 71) (($ (-568) $) 70) ((|#3| $ |#3|) 69) ((|#2| |#2| $) 68)) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-677 |#1| |#2| |#3|) (-1275) (-1047) (-375 |t#1|) (-375 |t#1|)) (T -677)) 
-((-3691 (*1 *2 *1) (-12 (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *2 (-121)))) (-4322 (*1 *2 *1) (-12 (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *2 (-121)))) (-3560 (*1 *2 *1) (-12 (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *2 (-121)))) (-2675 (*1 *2 *1) (-12 (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *2 (-121)))) (-3207 (*1 *1 *2 *2) (-12 (-5 *2 (-763)) (-4 *3 (-1047)) (-4 *1 (-677 *3 *4 *5)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) (-2271 (*1 *1 *2) (-12 (-5 *2 (-634 (-634 *3))) (-4 *3 (-1047)) (-4 *1 (-677 *3 *4 *5)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) (-1637 (*1 *1 *2 *3) (-12 (-5 *2 (-763)) (-4 *3 (-1047)) (-4 *1 (-677 *3 *4 *5)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) (-3499 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1047)) (-4 *1 (-677 *3 *4 *5)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) (-3499 (*1 *1 *2) (-12 (-5 *2 (-634 *1)) (-4 *3 (-1047)) (-4 *1 (-677 *3 *4 *5)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) (-2747 (*1 *1 *2) (-12 (-4 *3 (-1047)) (-4 *1 (-677 *3 *4 *2)) (-4 *4 (-375 *3)) (-4 *2 (-375 *3)))) (-4089 (*1 *1 *2) (-12 (-4 *3 (-1047)) (-4 *1 (-677 *3 *2 *4)) (-4 *2 (-375 *3)) (-4 *4 (-375 *3)))) (-4089 (*1 *1 *1) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)))) (-4467 (*1 *1 *1) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)))) (-4018 (*1 *1 *1 *1) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)))) (-4486 (*1 *1 *1 *1) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)))) (-1843 (*1 *2 *1) (-12 (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *2 (-634 (-634 *3))))) (-2781 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-634 (-568))) (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) (-2438 (*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-634 (-568))) (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) (-3211 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-568)) (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) (-3096 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-568)) (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) (-2265 (*1 *1 *1 *2 *2 *2 *2) (-12 (-5 *2 (-568)) (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) (-4043 (*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-568)) (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) (-1769 (*1 *1 *1 *1) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)))) (-1775 (*1 *1 *1 *1) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)))) (-1775 (*1 *1 *1) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)))) (* (*1 *1 *1 *1) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)))) (* (*1 *1 *1 *2) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-568)) (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) (* (*1 *2 *1 *2) (-12 (-4 *1 (-677 *3 *4 *2)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *2 (-375 *3)))) (* (*1 *2 *2 *1) (-12 (-4 *1 (-677 *3 *2 *4)) (-4 *3 (-1047)) (-4 *2 (-375 *3)) (-4 *4 (-375 *3)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) (-2597 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)) (-4 *2 (-558)))) (-1781 (*1 *1 *1 *2) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)) (-4 *2 (-365)))) (-3912 (*1 *1 *1) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)) (-4 *2 (-301)))) (-4063 (*1 *2 *1) (-12 (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-4 *3 (-301)) (-5 *2 (-634 *5)))) (-2371 (*1 *2 *1) (-12 (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-4 *3 (-558)) (-5 *2 (-763)))) (-3344 (*1 *2 *1) (-12 (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-4 *3 (-558)) (-5 *2 (-763)))) (-2934 (*1 *2 *1) (-12 (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-4 *3 (-558)) (-5 *2 (-634 *5)))) (-2591 (*1 *2 *1) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)) (|has| *2 (-6 (-4523 "*"))) (-4 *2 (-1047)))) (-2424 (*1 *2 *1) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)) (|has| *2 (-6 (-4523 "*"))) (-4 *2 (-1047)))) (-3102 (*1 *2 *1) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)) (-4 *2 (-1047)) (-4 *2 (-172)))) (-2715 (*1 *1 *1) (|partial| -12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)) (-4 *2 (-365)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-4 *3 (-365))))) 
-(-13 (-62 |t#1| |t#2| |t#3|) (-10 -8 (-6 -4522) (-6 -4521) (-15 -3691 ((-121) $)) (-15 -4322 ((-121) $)) (-15 -3560 ((-121) $)) (-15 -2675 ((-121) $)) (-15 -3207 ($ (-763) (-763))) (-15 -2271 ($ (-634 (-634 |t#1|)))) (-15 -1637 ($ (-763) |t#1|)) (-15 -3499 ($ (-634 |t#1|))) (-15 -3499 ($ (-634 $))) (-15 -2747 ($ |t#3|)) (-15 -4089 ($ |t#2|)) (-15 -4089 ($ $)) (-15 -4467 ($ $)) (-15 -4018 ($ $ $)) (-15 -4486 ($ $ $)) (-15 -1843 ((-634 (-634 |t#1|)) $)) (-15 -2781 ($ $ (-634 (-568)) (-634 (-568)))) (-15 -2438 ($ $ (-634 (-568)) (-634 (-568)) $)) (-15 -3211 ($ $ (-568) (-568))) (-15 -3096 ($ $ (-568) (-568))) (-15 -2265 ($ $ (-568) (-568) (-568) (-568))) (-15 -4043 ($ $ (-568) (-568) $)) (-15 -1769 ($ $ $)) (-15 -1775 ($ $ $)) (-15 -1775 ($ $)) (-15 * ($ $ $)) (-15 * ($ |t#1| $)) (-15 * ($ $ |t#1|)) (-15 * ($ (-568) $)) (-15 * (|t#3| $ |t#3|)) (-15 * (|t#2| |t#2| $)) (-15 ** ($ $ (-763))) (IF (|has| |t#1| (-558)) (-15 -2597 ((-3 $ "failed") $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-365)) (-15 -1781 ($ $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-301)) (PROGN (-15 -3912 ($ $)) (-15 -4063 ((-634 |t#3|) $))) |noBranch|) (IF (|has| |t#1| (-558)) (PROGN (-15 -2371 ((-763) $)) (-15 -3344 ((-763) $)) (-15 -2934 ((-634 |t#3|) $))) |noBranch|) (IF (|has| |t#1| (-6 (-4523 "*"))) (PROGN (-15 -2591 (|t#1| $)) (-15 -2424 (|t#1| $))) |noBranch|) (IF (|has| |t#1| (-172)) (-15 -3102 (|t#1| $)) |noBranch|) (IF (|has| |t#1| (-365)) (PROGN (-15 -2715 ((-3 $ "failed") $)) (-15 ** ($ $ (-568)))) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#1| (-1090)) ((-608 (-850)) |has| |#1| (-1090)) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-499 |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-1090) |has| |#1| (-1090)) ((-62 |#1| |#2| |#3|) . T) ((-1195) . T)) 
-((-3912 ((|#4| |#4|) 67 (|has| |#1| (-301)))) (-2371 (((-763) |#4|) 69 (|has| |#1| (-558)))) (-3344 (((-763) |#4|) 71 (|has| |#1| (-558)))) (-2934 (((-634 |#3|) |#4|) 78 (|has| |#1| (-558)))) (-1555 (((-2 (|:| -4409 |#1|) (|:| -2607 |#1|)) |#1| |#1|) 95 (|has| |#1| (-301)))) (-2424 ((|#1| |#4|) 33)) (-2010 (((-3 |#4| "failed") |#4|) 61 (|has| |#1| (-558)))) (-2715 (((-3 |#4| "failed") |#4|) 75 (|has| |#1| (-365)))) (-1504 ((|#4| |#4|) 54 (|has| |#1| (-558)))) (-2017 ((|#4| |#4| |#1| (-568) (-568)) 41)) (-2713 ((|#4| |#4| (-568) (-568)) 36)) (-4163 ((|#4| |#4| |#1| (-568) (-568)) 46)) (-2591 ((|#1| |#4|) 73)) (-1419 (((-2 (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|) 57 (|has| |#1| (-558))))) 
-(((-678 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2591 (|#1| |#4|)) (-15 -2424 (|#1| |#4|)) (-15 -2713 (|#4| |#4| (-568) (-568))) (-15 -2017 (|#4| |#4| |#1| (-568) (-568))) (-15 -4163 (|#4| |#4| |#1| (-568) (-568))) (IF (|has| |#1| (-558)) (PROGN (-15 -2371 ((-763) |#4|)) (-15 -3344 ((-763) |#4|)) (-15 -2934 ((-634 |#3|) |#4|)) (-15 -1504 (|#4| |#4|)) (-15 -2010 ((-3 |#4| "failed") |#4|)) (-15 -1419 ((-2 (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|))) |noBranch|) (IF (|has| |#1| (-301)) (PROGN (-15 -3912 (|#4| |#4|)) (-15 -1555 ((-2 (|:| -4409 |#1|) (|:| -2607 |#1|)) |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-365)) (-15 -2715 ((-3 |#4| "failed") |#4|)) |noBranch|)) (-172) (-375 |#1|) (-375 |#1|) (-677 |#1| |#2| |#3|)) (T -678)) 
-((-2715 (*1 *2 *2) (|partial| -12 (-4 *3 (-365)) (-4 *3 (-172)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *1 (-678 *3 *4 *5 *2)) (-4 *2 (-677 *3 *4 *5)))) (-1555 (*1 *2 *3 *3) (-12 (-4 *3 (-301)) (-4 *3 (-172)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *2 (-2 (|:| -4409 *3) (|:| -2607 *3))) (-5 *1 (-678 *3 *4 *5 *6)) (-4 *6 (-677 *3 *4 *5)))) (-3912 (*1 *2 *2) (-12 (-4 *3 (-301)) (-4 *3 (-172)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *1 (-678 *3 *4 *5 *2)) (-4 *2 (-677 *3 *4 *5)))) (-1419 (*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *4 (-172)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4)) (-5 *2 (-2 (|:| |adjMat| *3) (|:| |detMat| *4))) (-5 *1 (-678 *4 *5 *6 *3)) (-4 *3 (-677 *4 *5 *6)))) (-2010 (*1 *2 *2) (|partial| -12 (-4 *3 (-558)) (-4 *3 (-172)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *1 (-678 *3 *4 *5 *2)) (-4 *2 (-677 *3 *4 *5)))) (-1504 (*1 *2 *2) (-12 (-4 *3 (-558)) (-4 *3 (-172)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *1 (-678 *3 *4 *5 *2)) (-4 *2 (-677 *3 *4 *5)))) (-2934 (*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *4 (-172)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4)) (-5 *2 (-634 *6)) (-5 *1 (-678 *4 *5 *6 *3)) (-4 *3 (-677 *4 *5 *6)))) (-3344 (*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *4 (-172)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4)) (-5 *2 (-763)) (-5 *1 (-678 *4 *5 *6 *3)) (-4 *3 (-677 *4 *5 *6)))) (-2371 (*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *4 (-172)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4)) (-5 *2 (-763)) (-5 *1 (-678 *4 *5 *6 *3)) (-4 *3 (-677 *4 *5 *6)))) (-4163 (*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-568)) (-4 *3 (-172)) (-4 *5 (-375 *3)) (-4 *6 (-375 *3)) (-5 *1 (-678 *3 *5 *6 *2)) (-4 *2 (-677 *3 *5 *6)))) (-2017 (*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-568)) (-4 *3 (-172)) (-4 *5 (-375 *3)) (-4 *6 (-375 *3)) (-5 *1 (-678 *3 *5 *6 *2)) (-4 *2 (-677 *3 *5 *6)))) (-2713 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-568)) (-4 *4 (-172)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4)) (-5 *1 (-678 *4 *5 *6 *2)) (-4 *2 (-677 *4 *5 *6)))) (-2424 (*1 *2 *3) (-12 (-4 *4 (-375 *2)) (-4 *5 (-375 *2)) (-4 *2 (-172)) (-5 *1 (-678 *2 *4 *5 *3)) (-4 *3 (-677 *2 *4 *5)))) (-2591 (*1 *2 *3) (-12 (-4 *4 (-375 *2)) (-4 *5 (-375 *2)) (-4 *2 (-172)) (-5 *1 (-678 *2 *4 *5 *3)) (-4 *3 (-677 *2 *4 *5))))) 
-(-10 -7 (-15 -2591 (|#1| |#4|)) (-15 -2424 (|#1| |#4|)) (-15 -2713 (|#4| |#4| (-568) (-568))) (-15 -2017 (|#4| |#4| |#1| (-568) (-568))) (-15 -4163 (|#4| |#4| |#1| (-568) (-568))) (IF (|has| |#1| (-558)) (PROGN (-15 -2371 ((-763) |#4|)) (-15 -3344 ((-763) |#4|)) (-15 -2934 ((-634 |#3|) |#4|)) (-15 -1504 (|#4| |#4|)) (-15 -2010 ((-3 |#4| "failed") |#4|)) (-15 -1419 ((-2 (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|))) |noBranch|) (IF (|has| |#1| (-301)) (PROGN (-15 -3912 (|#4| |#4|)) (-15 -1555 ((-2 (|:| -4409 |#1|) (|:| -2607 |#1|)) |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-365)) (-15 -2715 ((-3 |#4| "failed") |#4|)) |noBranch|)) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-3207 (($ (-763) (-763)) 45)) (-4486 (($ $ $) NIL)) (-4089 (($ (-1244 |#1|)) NIL) (($ $) NIL)) (-3560 (((-121) $) NIL)) (-3211 (($ $ (-568) (-568)) 12)) (-3096 (($ $ (-568) (-568)) NIL)) (-2265 (($ $ (-568) (-568) (-568) (-568)) NIL)) (-4467 (($ $) NIL)) (-3691 (((-121) $) NIL)) (-1667 (((-121) $ (-763)) NIL)) (-4043 (($ $ (-568) (-568) $) NIL)) (-2438 ((|#1| $ (-568) (-568) |#1|) NIL) (($ $ (-634 (-568)) (-634 (-568)) $) NIL)) (-3874 (($ $ (-568) (-1244 |#1|)) NIL)) (-2525 (($ $ (-568) (-1244 |#1|)) NIL)) (-1637 (($ (-763) |#1|) 22)) (-4490 (($) NIL T CONST)) (-3912 (($ $) 30 (|has| |#1| (-301)))) (-2228 (((-1244 |#1|) $ (-568)) NIL)) (-2371 (((-763) $) 32 (|has| |#1| (-558)))) (-1292 ((|#1| $ (-568) (-568) |#1|) 50)) (-2069 ((|#1| $ (-568) (-568)) NIL)) (-3102 ((|#1| $) NIL (|has| |#1| (-172)))) (-3317 (((-634 |#1|) $) NIL)) (-3344 (((-763) $) 34 (|has| |#1| (-558)))) (-2934 (((-634 (-1244 |#1|)) $) 37 (|has| |#1| (-558)))) (-2241 (((-763) $) 20)) (-1851 (($ (-763) (-763) |#1|) NIL)) (-1901 (((-763) $) 21)) (-3791 (((-121) $ (-763)) NIL)) (-2424 ((|#1| $) 28 (|has| |#1| (-6 (-4523 "*"))))) (-3139 (((-568) $) 9)) (-1343 (((-568) $) 10)) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3405 (((-568) $) 11)) (-2801 (((-568) $) 46)) (-2271 (($ (-634 (-634 |#1|))) NIL)) (-2253 (($ (-1 |#1| |#1|) $) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-1843 (((-634 (-634 |#1|)) $) 58)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-2715 (((-3 $ "failed") $) 41 (|has| |#1| (-365)))) (-4018 (($ $ $) NIL)) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-2490 (($ $ |#1|) NIL)) (-2597 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-558)))) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#1| $ (-568) (-568)) NIL) ((|#1| $ (-568) (-568) |#1|) NIL) (($ $ (-634 (-568)) (-634 (-568))) NIL)) (-3499 (($ (-634 |#1|)) NIL) (($ (-634 $)) NIL) (($ (-1244 |#1|)) 51)) (-4322 (((-121) $) NIL)) (-2591 ((|#1| $) 26 (|has| |#1| (-6 (-4523 "*"))))) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3865 (($ $) NIL)) (-4280 (((-541) $) 62 (|has| |#1| (-609 (-541))))) (-4063 (((-634 (-1244 |#1|)) $) NIL (|has| |#1| (-301)))) (-2522 (((-1244 |#1|) $ (-568)) NIL)) (-2747 (((-850) $) NIL (|has| |#1| (-1090))) (($ (-1244 |#1|)) NIL)) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-2675 (((-121) $) NIL)) (-1719 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1781 (($ $ |#1|) NIL (|has| |#1| (-365)))) (-1775 (($ $ $) NIL) (($ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-763)) 23) (($ $ (-568)) 44 (|has| |#1| (-365)))) (* (($ $ $) 13) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-568) $) NIL) (((-1244 |#1|) $ (-1244 |#1|)) NIL) (((-1244 |#1|) (-1244 |#1|) $) NIL)) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-679 |#1|) (-13 (-677 |#1| (-1244 |#1|) (-1244 |#1|)) (-10 -8 (-15 -3499 ($ (-1244 |#1|))) (IF (|has| |#1| (-609 (-541))) (-6 (-609 (-541))) |noBranch|) (IF (|has| |#1| (-365)) (-15 -2715 ((-3 $ "failed") $)) |noBranch|))) (-1047)) (T -679)) 
-((-2715 (*1 *1 *1) (|partial| -12 (-5 *1 (-679 *2)) (-4 *2 (-365)) (-4 *2 (-1047)))) (-3499 (*1 *1 *2) (-12 (-5 *2 (-1244 *3)) (-4 *3 (-1047)) (-5 *1 (-679 *3))))) 
-(-13 (-677 |#1| (-1244 |#1|) (-1244 |#1|)) (-10 -8 (-15 -3499 ($ (-1244 |#1|))) (IF (|has| |#1| (-609 (-541))) (-6 (-609 (-541))) |noBranch|) (IF (|has| |#1| (-365)) (-15 -2715 ((-3 $ "failed") $)) |noBranch|))) 
-((-3133 (((-679 |#1|) (-679 |#1|) (-679 |#1|) (-679 |#1|)) 25)) (-1592 (((-679 |#1|) (-679 |#1|) (-679 |#1|) |#1|) 21)) (-1875 (((-679 |#1|) (-679 |#1|) (-679 |#1|) (-679 |#1|) (-679 |#1|) (-763)) 26)) (-3573 (((-679 |#1|) (-679 |#1|) (-679 |#1|) (-679 |#1|)) 14)) (-1834 (((-679 |#1|) (-679 |#1|) (-679 |#1|) (-679 |#1|)) 18) (((-679 |#1|) (-679 |#1|) (-679 |#1|)) 16)) (-1757 (((-679 |#1|) (-679 |#1|) |#1| (-679 |#1|)) 20)) (-3853 (((-679 |#1|) (-679 |#1|) (-679 |#1|)) 12)) (** (((-679 |#1|) (-679 |#1|) (-763)) 30))) 
-(((-680 |#1|) (-10 -7 (-15 -3853 ((-679 |#1|) (-679 |#1|) (-679 |#1|))) (-15 -3573 ((-679 |#1|) (-679 |#1|) (-679 |#1|) (-679 |#1|))) (-15 -1834 ((-679 |#1|) (-679 |#1|) (-679 |#1|))) (-15 -1834 ((-679 |#1|) (-679 |#1|) (-679 |#1|) (-679 |#1|))) (-15 -1757 ((-679 |#1|) (-679 |#1|) |#1| (-679 |#1|))) (-15 -1592 ((-679 |#1|) (-679 |#1|) (-679 |#1|) |#1|)) (-15 -3133 ((-679 |#1|) (-679 |#1|) (-679 |#1|) (-679 |#1|))) (-15 -1875 ((-679 |#1|) (-679 |#1|) (-679 |#1|) (-679 |#1|) (-679 |#1|) (-763))) (-15 ** ((-679 |#1|) (-679 |#1|) (-763)))) (-1047)) (T -680)) 
-((** (*1 *2 *2 *3) (-12 (-5 *2 (-679 *4)) (-5 *3 (-763)) (-4 *4 (-1047)) (-5 *1 (-680 *4)))) (-1875 (*1 *2 *2 *2 *2 *2 *3) (-12 (-5 *2 (-679 *4)) (-5 *3 (-763)) (-4 *4 (-1047)) (-5 *1 (-680 *4)))) (-3133 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-679 *3)) (-4 *3 (-1047)) (-5 *1 (-680 *3)))) (-1592 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-679 *3)) (-4 *3 (-1047)) (-5 *1 (-680 *3)))) (-1757 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-679 *3)) (-4 *3 (-1047)) (-5 *1 (-680 *3)))) (-1834 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-679 *3)) (-4 *3 (-1047)) (-5 *1 (-680 *3)))) (-1834 (*1 *2 *2 *2) (-12 (-5 *2 (-679 *3)) (-4 *3 (-1047)) (-5 *1 (-680 *3)))) (-3573 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-679 *3)) (-4 *3 (-1047)) (-5 *1 (-680 *3)))) (-3853 (*1 *2 *2 *2) (-12 (-5 *2 (-679 *3)) (-4 *3 (-1047)) (-5 *1 (-680 *3))))) 
-(-10 -7 (-15 -3853 ((-679 |#1|) (-679 |#1|) (-679 |#1|))) (-15 -3573 ((-679 |#1|) (-679 |#1|) (-679 |#1|) (-679 |#1|))) (-15 -1834 ((-679 |#1|) (-679 |#1|) (-679 |#1|))) (-15 -1834 ((-679 |#1|) (-679 |#1|) (-679 |#1|) (-679 |#1|))) (-15 -1757 ((-679 |#1|) (-679 |#1|) |#1| (-679 |#1|))) (-15 -1592 ((-679 |#1|) (-679 |#1|) (-679 |#1|) |#1|)) (-15 -3133 ((-679 |#1|) (-679 |#1|) (-679 |#1|) (-679 |#1|))) (-15 -1875 ((-679 |#1|) (-679 |#1|) (-679 |#1|) (-679 |#1|) (-679 |#1|) (-763))) (-15 ** ((-679 |#1|) (-679 |#1|) (-763)))) 
-((-2216 ((|#2| |#2| |#4|) 25)) (-2740 (((-679 |#2|) |#3| |#4|) 31)) (-3769 (((-679 |#2|) |#2| |#4|) 30)) (-2363 (((-1244 |#2|) |#2| |#4|) 16)) (-3078 ((|#2| |#3| |#4|) 24)) (-1425 (((-679 |#2|) |#3| |#4| (-763) (-763)) 38)) (-3831 (((-679 |#2|) |#2| |#4| (-763)) 37))) 
-(((-681 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2363 ((-1244 |#2|) |#2| |#4|)) (-15 -3078 (|#2| |#3| |#4|)) (-15 -2216 (|#2| |#2| |#4|)) (-15 -3769 ((-679 |#2|) |#2| |#4|)) (-15 -3831 ((-679 |#2|) |#2| |#4| (-763))) (-15 -2740 ((-679 |#2|) |#3| |#4|)) (-15 -1425 ((-679 |#2|) |#3| |#4| (-763) (-763)))) (-1090) (-895 |#1|) (-375 |#2|) (-13 (-375 |#1|) (-10 -7 (-6 -4521)))) (T -681)) 
-((-1425 (*1 *2 *3 *4 *5 *5) (-12 (-5 *5 (-763)) (-4 *6 (-1090)) (-4 *7 (-895 *6)) (-5 *2 (-679 *7)) (-5 *1 (-681 *6 *7 *3 *4)) (-4 *3 (-375 *7)) (-4 *4 (-13 (-375 *6) (-10 -7 (-6 -4521)))))) (-2740 (*1 *2 *3 *4) (-12 (-4 *5 (-1090)) (-4 *6 (-895 *5)) (-5 *2 (-679 *6)) (-5 *1 (-681 *5 *6 *3 *4)) (-4 *3 (-375 *6)) (-4 *4 (-13 (-375 *5) (-10 -7 (-6 -4521)))))) (-3831 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-763)) (-4 *6 (-1090)) (-4 *3 (-895 *6)) (-5 *2 (-679 *3)) (-5 *1 (-681 *6 *3 *7 *4)) (-4 *7 (-375 *3)) (-4 *4 (-13 (-375 *6) (-10 -7 (-6 -4521)))))) (-3769 (*1 *2 *3 *4) (-12 (-4 *5 (-1090)) (-4 *3 (-895 *5)) (-5 *2 (-679 *3)) (-5 *1 (-681 *5 *3 *6 *4)) (-4 *6 (-375 *3)) (-4 *4 (-13 (-375 *5) (-10 -7 (-6 -4521)))))) (-2216 (*1 *2 *2 *3) (-12 (-4 *4 (-1090)) (-4 *2 (-895 *4)) (-5 *1 (-681 *4 *2 *5 *3)) (-4 *5 (-375 *2)) (-4 *3 (-13 (-375 *4) (-10 -7 (-6 -4521)))))) (-3078 (*1 *2 *3 *4) (-12 (-4 *5 (-1090)) (-4 *2 (-895 *5)) (-5 *1 (-681 *5 *2 *3 *4)) (-4 *3 (-375 *2)) (-4 *4 (-13 (-375 *5) (-10 -7 (-6 -4521)))))) (-2363 (*1 *2 *3 *4) (-12 (-4 *5 (-1090)) (-4 *3 (-895 *5)) (-5 *2 (-1244 *3)) (-5 *1 (-681 *5 *3 *6 *4)) (-4 *6 (-375 *3)) (-4 *4 (-13 (-375 *5) (-10 -7 (-6 -4521))))))) 
-(-10 -7 (-15 -2363 ((-1244 |#2|) |#2| |#4|)) (-15 -3078 (|#2| |#3| |#4|)) (-15 -2216 (|#2| |#2| |#4|)) (-15 -3769 ((-679 |#2|) |#2| |#4|)) (-15 -3831 ((-679 |#2|) |#2| |#4| (-763))) (-15 -2740 ((-679 |#2|) |#3| |#4|)) (-15 -1425 ((-679 |#2|) |#3| |#4| (-763) (-763)))) 
-((-3618 (((-2 (|:| |num| (-679 |#1|)) (|:| |den| |#1|)) (-679 |#2|)) 18)) (-2471 ((|#1| (-679 |#2|)) 9)) (-2609 (((-679 |#1|) (-679 |#2|)) 16))) 
-(((-682 |#1| |#2|) (-10 -7 (-15 -2471 (|#1| (-679 |#2|))) (-15 -2609 ((-679 |#1|) (-679 |#2|))) (-15 -3618 ((-2 (|:| |num| (-679 |#1|)) (|:| |den| |#1|)) (-679 |#2|)))) (-558) (-993 |#1|)) (T -682)) 
-((-3618 (*1 *2 *3) (-12 (-5 *3 (-679 *5)) (-4 *5 (-993 *4)) (-4 *4 (-558)) (-5 *2 (-2 (|:| |num| (-679 *4)) (|:| |den| *4))) (-5 *1 (-682 *4 *5)))) (-2609 (*1 *2 *3) (-12 (-5 *3 (-679 *5)) (-4 *5 (-993 *4)) (-4 *4 (-558)) (-5 *2 (-679 *4)) (-5 *1 (-682 *4 *5)))) (-2471 (*1 *2 *3) (-12 (-5 *3 (-679 *4)) (-4 *4 (-993 *2)) (-4 *2 (-558)) (-5 *1 (-682 *2 *4))))) 
-(-10 -7 (-15 -2471 (|#1| (-679 |#2|))) (-15 -2609 ((-679 |#1|) (-679 |#2|))) (-15 -3618 ((-2 (|:| |num| (-679 |#1|)) (|:| |den| |#1|)) (-679 |#2|)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2883 (((-679 (-688))) NIL) (((-679 (-688)) (-1244 $)) NIL)) (-1934 (((-688) $) NIL)) (-1984 (($ $) NIL (|has| (-688) (-1181)))) (-1935 (($ $) NIL (|has| (-688) (-1181)))) (-1856 (((-1169 (-917) (-763)) (-568)) NIL (|has| (-688) (-350)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (-12 (|has| (-688) (-301)) (|has| (-688) (-904))))) (-3045 (($ $) NIL (-2199 (-12 (|has| (-688) (-301)) (|has| (-688) (-904))) (|has| (-688) (-365))))) (-3498 (((-420 $) $) NIL (-2199 (-12 (|has| (-688) (-301)) (|has| (-688) (-904))) (|has| (-688) (-365))))) (-1904 (($ $) NIL (-12 (|has| (-688) (-1002)) (|has| (-688) (-1181))))) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (-12 (|has| (-688) (-301)) (|has| (-688) (-904))))) (-2589 (((-121) $ $) NIL (|has| (-688) (-301)))) (-3986 (((-763)) NIL (|has| (-688) (-370)))) (-1976 (($ $) NIL (|has| (-688) (-1181)))) (-2788 (($ $) NIL (|has| (-688) (-1181)))) (-1992 (($ $) NIL (|has| (-688) (-1181)))) (-1943 (($ $) NIL (|has| (-688) (-1181)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-568) "failed") $) NIL) (((-3 (-688) "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL (|has| (-688) (-1037 (-409 (-568)))))) (-2857 (((-568) $) NIL) (((-688) $) NIL) (((-409 (-568)) $) NIL (|has| (-688) (-1037 (-409 (-568)))))) (-3899 (($ (-1244 (-688))) NIL) (($ (-1244 (-688)) (-1244 $)) NIL)) (-1368 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-688) (-350)))) (-2403 (($ $ $) NIL (|has| (-688) (-301)))) (-3653 (((-679 (-688)) $) NIL) (((-679 (-688)) $ (-1244 $)) NIL)) (-1668 (((-679 (-688)) (-679 $)) NIL) (((-2 (|:| -2908 (-679 (-688))) (|:| |vec| (-1244 (-688)))) (-679 $) (-1244 $)) NIL) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| (-688) (-630 (-568)))) (((-679 (-568)) (-679 $)) NIL (|has| (-688) (-630 (-568))))) (-3094 (((-3 $ "failed") (-409 (-1157 (-688)))) NIL (|has| (-688) (-365))) (($ (-1157 (-688))) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-3859 (((-688) $) 29)) (-3254 (((-3 (-409 (-568)) "failed") $) NIL (|has| (-688) (-550)))) (-1338 (((-121) $) NIL (|has| (-688) (-550)))) (-2394 (((-409 (-568)) $) NIL (|has| (-688) (-550)))) (-2371 (((-917)) NIL)) (-1733 (($) NIL (|has| (-688) (-370)))) (-2414 (($ $ $) NIL (|has| (-688) (-301)))) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL (|has| (-688) (-301)))) (-4188 (($) NIL (|has| (-688) (-350)))) (-1748 (((-121) $) NIL (|has| (-688) (-350)))) (-1887 (($ $) NIL (|has| (-688) (-350))) (($ $ (-763)) NIL (|has| (-688) (-350)))) (-2197 (((-121) $) NIL (-2199 (-12 (|has| (-688) (-301)) (|has| (-688) (-904))) (|has| (-688) (-365))))) (-1432 (((-2 (|:| |r| (-688)) (|:| |phi| (-688))) $) NIL (-12 (|has| (-688) (-1056)) (|has| (-688) (-1181))))) (-1899 (($) NIL (|has| (-688) (-1181)))) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (|has| (-688) (-881 (-381)))) (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (|has| (-688) (-881 (-568))))) (-1844 (((-828 (-917)) $) NIL (|has| (-688) (-350))) (((-917) $) NIL (|has| (-688) (-350)))) (-1598 (((-121) $) NIL)) (-1550 (($ $ (-568)) NIL (-12 (|has| (-688) (-1002)) (|has| (-688) (-1181))))) (-4417 (((-688) $) NIL)) (-2214 (((-3 $ "failed") $) NIL (|has| (-688) (-350)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| (-688) (-301)))) (-1497 (((-1157 (-688)) $) NIL (|has| (-688) (-365)))) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-2797 (($ (-1 (-688) (-688)) $) NIL)) (-2291 (((-917) $) NIL (|has| (-688) (-370)))) (-4418 (($ $) NIL (|has| (-688) (-1181)))) (-3087 (((-1157 (-688)) $) NIL)) (-2498 (($ (-634 $)) NIL (|has| (-688) (-301))) (($ $ $) NIL (|has| (-688) (-301)))) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL (|has| (-688) (-365)))) (-4436 (($) NIL (|has| (-688) (-350)) CONST)) (-4357 (($ (-917)) NIL (|has| (-688) (-370)))) (-2719 (($) NIL)) (-3868 (((-688) $) 31)) (-4025 (((-1108) $) NIL)) (-2707 (($) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| (-688) (-301)))) (-2723 (($ (-634 $)) NIL (|has| (-688) (-301))) (($ $ $) NIL (|has| (-688) (-301)))) (-2172 (((-634 (-2 (|:| -3850 (-568)) (|:| -3483 (-568))))) NIL (|has| (-688) (-350)))) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (-12 (|has| (-688) (-301)) (|has| (-688) (-904))))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (-12 (|has| (-688) (-301)) (|has| (-688) (-904))))) (-3850 (((-420 $) $) NIL (-2199 (-12 (|has| (-688) (-301)) (|has| (-688) (-904))) (|has| (-688) (-365))))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| (-688) (-301))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| (-688) (-301)))) (-2597 (((-3 $ "failed") $ $) NIL) (((-3 $ "failed") $ (-688)) NIL (|has| (-688) (-558)))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| (-688) (-301)))) (-1894 (($ $) NIL (|has| (-688) (-1181)))) (-1339 (($ $ (-1161) (-688)) NIL (|has| (-688) (-523 (-1161) (-688)))) (($ $ (-634 (-1161)) (-634 (-688))) NIL (|has| (-688) (-523 (-1161) (-688)))) (($ $ (-634 (-288 (-688)))) NIL (|has| (-688) (-303 (-688)))) (($ $ (-288 (-688))) NIL (|has| (-688) (-303 (-688)))) (($ $ (-688) (-688)) NIL (|has| (-688) (-303 (-688)))) (($ $ (-634 (-688)) (-634 (-688))) NIL (|has| (-688) (-303 (-688))))) (-1466 (((-763) $) NIL (|has| (-688) (-301)))) (-2781 (($ $ (-688)) NIL (|has| (-688) (-281 (-688) (-688))))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| (-688) (-301)))) (-3440 (((-688)) NIL) (((-688) (-1244 $)) NIL)) (-2721 (((-3 (-763) "failed") $ $) NIL (|has| (-688) (-350))) (((-763) $) NIL (|has| (-688) (-350)))) (-4191 (($ $ (-1 (-688) (-688))) NIL) (($ $ (-1 (-688) (-688)) (-763)) NIL) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| (-688) (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| (-688) (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| (-688) (-895 (-1161)))) (($ $ (-1161)) NIL (|has| (-688) (-895 (-1161)))) (($ $ (-763)) NIL (|has| (-688) (-225))) (($ $) NIL (|has| (-688) (-225)))) (-1391 (((-679 (-688)) (-1244 $) (-1 (-688) (-688))) NIL (|has| (-688) (-365)))) (-1492 (((-1157 (-688))) NIL)) (-1996 (($ $) NIL (|has| (-688) (-1181)))) (-1947 (($ $) NIL (|has| (-688) (-1181)))) (-2330 (($) NIL (|has| (-688) (-350)))) (-1988 (($ $) NIL (|has| (-688) (-1181)))) (-1939 (($ $) NIL (|has| (-688) (-1181)))) (-1980 (($ $) NIL (|has| (-688) (-1181)))) (-2792 (($ $) NIL (|has| (-688) (-1181)))) (-1656 (((-679 (-688)) (-1244 $)) NIL) (((-1244 (-688)) $) NIL) (((-679 (-688)) (-1244 $) (-1244 $)) NIL) (((-1244 (-688)) $ (-1244 $)) NIL)) (-4280 (((-541) $) NIL (|has| (-688) (-609 (-541)))) (((-169 (-215)) $) NIL (|has| (-688) (-1021))) (((-169 (-381)) $) NIL (|has| (-688) (-1021))) (((-887 (-381)) $) NIL (|has| (-688) (-609 (-887 (-381))))) (((-887 (-568)) $) NIL (|has| (-688) (-609 (-887 (-568))))) (($ (-1157 (-688))) NIL) (((-1157 (-688)) $) NIL) (($ (-1244 (-688))) NIL) (((-1244 (-688)) $) NIL)) (-2387 (($ $) NIL)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-2199 (-12 (|has| $ (-148)) (|has| (-688) (-301)) (|has| (-688) (-904))) (|has| (-688) (-350))))) (-4005 (($ (-688) (-688)) 12)) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ $) NIL) (($ (-568)) NIL) (($ (-688)) NIL) (($ (-169 (-381))) 13) (($ (-169 (-568))) 19) (($ (-169 (-688))) 28) (($ (-169 (-690))) 25) (((-169 (-381)) $) 33) (($ (-409 (-568))) NIL (-2199 (|has| (-688) (-365)) (|has| (-688) (-1037 (-409 (-568))))))) (-3385 (($ $) NIL (|has| (-688) (-350))) (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| (-688) (-301)) (|has| (-688) (-904))) (|has| (-688) (-148))))) (-1295 (((-1157 (-688)) $) NIL)) (-3425 (((-763)) NIL)) (-2588 (((-1244 $)) NIL)) (-2008 (($ $) NIL (|has| (-688) (-1181)))) (-1959 (($ $) NIL (|has| (-688) (-1181)))) (-2273 (((-121) $ $) NIL)) (-2000 (($ $) NIL (|has| (-688) (-1181)))) (-1951 (($ $) NIL (|has| (-688) (-1181)))) (-2016 (($ $) NIL (|has| (-688) (-1181)))) (-1968 (($ $) NIL (|has| (-688) (-1181)))) (-2014 (((-688) $) NIL (|has| (-688) (-1181)))) (-1439 (($ $) NIL (|has| (-688) (-1181)))) (-1972 (($ $) NIL (|has| (-688) (-1181)))) (-2012 (($ $) NIL (|has| (-688) (-1181)))) (-1964 (($ $) NIL (|has| (-688) (-1181)))) (-2004 (($ $) NIL (|has| (-688) (-1181)))) (-1955 (($ $) NIL (|has| (-688) (-1181)))) (-2811 (($ $) NIL (|has| (-688) (-1056)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| (-688) (-365)))) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($ $ (-1 (-688) (-688))) NIL) (($ $ (-1 (-688) (-688)) (-763)) NIL) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| (-688) (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| (-688) (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| (-688) (-895 (-1161)))) (($ $ (-1161)) NIL (|has| (-688) (-895 (-1161)))) (($ $ (-763)) NIL (|has| (-688) (-225))) (($ $) NIL (|has| (-688) (-225)))) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) NIL)) (-1781 (($ $ $) NIL (|has| (-688) (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ $) NIL (|has| (-688) (-1181))) (($ $ (-409 (-568))) NIL (-12 (|has| (-688) (-1002)) (|has| (-688) (-1181)))) (($ $ (-568)) NIL (|has| (-688) (-365)))) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ (-688) $) NIL) (($ $ (-688)) NIL) (($ (-409 (-568)) $) NIL (|has| (-688) (-365))) (($ $ (-409 (-568))) NIL (|has| (-688) (-365))))) 
-(((-683) (-13 (-389) (-166 (-688)) (-10 -8 (-15 -2747 ($ (-169 (-381)))) (-15 -2747 ($ (-169 (-568)))) (-15 -2747 ($ (-169 (-688)))) (-15 -2747 ($ (-169 (-690)))) (-15 -2747 ((-169 (-381)) $))))) (T -683)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-169 (-381))) (-5 *1 (-683)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-169 (-568))) (-5 *1 (-683)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-169 (-688))) (-5 *1 (-683)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-169 (-690))) (-5 *1 (-683)))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-169 (-381))) (-5 *1 (-683))))) 
-(-13 (-389) (-166 (-688)) (-10 -8 (-15 -2747 ($ (-169 (-381)))) (-15 -2747 ($ (-169 (-568)))) (-15 -2747 ($ (-169 (-688)))) (-15 -2747 ($ (-169 (-690)))) (-15 -2747 ((-169 (-381)) $)))) 
-((-2449 (((-121) $ $) 18 (|has| |#1| (-1090)))) (-1667 (((-121) $ (-763)) 8)) (-3963 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4521)))) (-2803 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4521)))) (-4490 (($) 7 T CONST)) (-1377 (($ $) 58)) (-3926 (($ $) 55 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-1568 (($ |#1| $) 44 (|has| $ (-6 -4521))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4521)))) (-4330 (($ |#1| $) 54 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4521)))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4521)))) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) 9)) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35)) (-3796 (((-121) $ (-763)) 10)) (-1893 (((-1143) $) 22 (|has| |#1| (-1090)))) (-2580 ((|#1| $) 36)) (-1708 (($ |#1| $) 37) (($ |#1| $ (-763)) 59)) (-4025 (((-1108) $) 21 (|has| |#1| (-1090)))) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-3403 ((|#1| $) 38)) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-2138 (((-634 (-2 (|:| -4085 |#1|) (|:| -4170 (-763)))) $) 57)) (-3132 (($) 46) (($ (-634 |#1|)) 45)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-4280 (((-541) $) 56 (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) 47)) (-2747 (((-850) $) 20 (|has| |#1| (-1090)))) (-4074 (($ (-634 |#1|)) 39)) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-684 |#1|) (-1275) (-1090)) (T -684)) 
-((-1708 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-763)) (-4 *1 (-684 *2)) (-4 *2 (-1090)))) (-1377 (*1 *1 *1) (-12 (-4 *1 (-684 *2)) (-4 *2 (-1090)))) (-2138 (*1 *2 *1) (-12 (-4 *1 (-684 *3)) (-4 *3 (-1090)) (-5 *2 (-634 (-2 (|:| -4085 *3) (|:| -4170 (-763)))))))) 
-(-13 (-227 |t#1|) (-10 -8 (-15 -1708 ($ |t#1| $ (-763))) (-15 -1377 ($ $)) (-15 -2138 ((-634 (-2 (|:| -4085 |t#1|) (|:| -4170 (-763)))) $)))) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1090)) ((-608 (-850)) |has| |#1| (-1090)) ((-154 |#1|) . T) ((-609 (-541)) |has| |#1| (-609 (-541))) ((-227 |#1|) . T) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-499 |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-1090) |has| |#1| (-1090)) ((-1195) . T)) 
-((-3316 (((-634 |#1|) (-634 (-2 (|:| -3850 |#1|) (|:| -1836 (-568)))) (-568)) 46)) (-1606 ((|#1| |#1| (-568)) 45)) (-2723 ((|#1| |#1| |#1| (-568)) 35)) (-3850 (((-634 |#1|) |#1| (-568)) 38)) (-4413 ((|#1| |#1| (-568) |#1| (-568)) 32)) (-2428 (((-634 (-2 (|:| -3850 |#1|) (|:| -1836 (-568)))) |#1| (-568)) 44))) 
-(((-685 |#1|) (-10 -7 (-15 -2723 (|#1| |#1| |#1| (-568))) (-15 -1606 (|#1| |#1| (-568))) (-15 -3850 ((-634 |#1|) |#1| (-568))) (-15 -2428 ((-634 (-2 (|:| -3850 |#1|) (|:| -1836 (-568)))) |#1| (-568))) (-15 -3316 ((-634 |#1|) (-634 (-2 (|:| -3850 |#1|) (|:| -1836 (-568)))) (-568))) (-15 -4413 (|#1| |#1| (-568) |#1| (-568)))) (-1219 (-568))) (T -685)) 
-((-4413 (*1 *2 *2 *3 *2 *3) (-12 (-5 *3 (-568)) (-5 *1 (-685 *2)) (-4 *2 (-1219 *3)))) (-3316 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-2 (|:| -3850 *5) (|:| -1836 (-568))))) (-5 *4 (-568)) (-4 *5 (-1219 *4)) (-5 *2 (-634 *5)) (-5 *1 (-685 *5)))) (-2428 (*1 *2 *3 *4) (-12 (-5 *4 (-568)) (-5 *2 (-634 (-2 (|:| -3850 *3) (|:| -1836 *4)))) (-5 *1 (-685 *3)) (-4 *3 (-1219 *4)))) (-3850 (*1 *2 *3 *4) (-12 (-5 *4 (-568)) (-5 *2 (-634 *3)) (-5 *1 (-685 *3)) (-4 *3 (-1219 *4)))) (-1606 (*1 *2 *2 *3) (-12 (-5 *3 (-568)) (-5 *1 (-685 *2)) (-4 *2 (-1219 *3)))) (-2723 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-568)) (-5 *1 (-685 *2)) (-4 *2 (-1219 *3))))) 
-(-10 -7 (-15 -2723 (|#1| |#1| |#1| (-568))) (-15 -1606 (|#1| |#1| (-568))) (-15 -3850 ((-634 |#1|) |#1| (-568))) (-15 -2428 ((-634 (-2 (|:| -3850 |#1|) (|:| -1836 (-568)))) |#1| (-568))) (-15 -3316 ((-634 |#1|) (-634 (-2 (|:| -3850 |#1|) (|:| -1836 (-568)))) (-568))) (-15 -4413 (|#1| |#1| (-568) |#1| (-568)))) 
-((-2920 (((-1 (-944 (-215)) (-215) (-215)) (-1 (-215) (-215) (-215)) (-1 (-215) (-215) (-215)) (-1 (-215) (-215) (-215)) (-1 (-215) (-215) (-215) (-215))) 17)) (-3676 (((-1121 (-215)) (-1121 (-215)) (-1 (-944 (-215)) (-215) (-215)) (-1084 (-215)) (-1084 (-215)) (-634 (-256))) 38) (((-1121 (-215)) (-1 (-944 (-215)) (-215) (-215)) (-1084 (-215)) (-1084 (-215)) (-634 (-256))) 40) (((-1121 (-215)) (-1 (-215) (-215) (-215)) (-1 (-215) (-215) (-215)) (-1 (-215) (-215) (-215)) (-3 (-1 (-215) (-215) (-215) (-215)) "undefined") (-1084 (-215)) (-1084 (-215)) (-634 (-256))) 42)) (-3313 (((-1121 (-215)) (-310 (-568)) (-310 (-568)) (-310 (-568)) (-1 (-215) (-215)) (-1084 (-215)) (-634 (-256))) NIL)) (-2307 (((-1121 (-215)) (-1 (-215) (-215) (-215)) (-3 (-1 (-215) (-215) (-215) (-215)) "undefined") (-1084 (-215)) (-1084 (-215)) (-634 (-256))) 43))) 
-(((-686) (-10 -7 (-15 -3676 ((-1121 (-215)) (-1 (-215) (-215) (-215)) (-1 (-215) (-215) (-215)) (-1 (-215) (-215) (-215)) (-3 (-1 (-215) (-215) (-215) (-215)) "undefined") (-1084 (-215)) (-1084 (-215)) (-634 (-256)))) (-15 -3676 ((-1121 (-215)) (-1 (-944 (-215)) (-215) (-215)) (-1084 (-215)) (-1084 (-215)) (-634 (-256)))) (-15 -3676 ((-1121 (-215)) (-1121 (-215)) (-1 (-944 (-215)) (-215) (-215)) (-1084 (-215)) (-1084 (-215)) (-634 (-256)))) (-15 -2307 ((-1121 (-215)) (-1 (-215) (-215) (-215)) (-3 (-1 (-215) (-215) (-215) (-215)) "undefined") (-1084 (-215)) (-1084 (-215)) (-634 (-256)))) (-15 -3313 ((-1121 (-215)) (-310 (-568)) (-310 (-568)) (-310 (-568)) (-1 (-215) (-215)) (-1084 (-215)) (-634 (-256)))) (-15 -2920 ((-1 (-944 (-215)) (-215) (-215)) (-1 (-215) (-215) (-215)) (-1 (-215) (-215) (-215)) (-1 (-215) (-215) (-215)) (-1 (-215) (-215) (-215) (-215)))))) (T -686)) 
-((-2920 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-1 (-215) (-215) (-215))) (-5 *4 (-1 (-215) (-215) (-215) (-215))) (-5 *2 (-1 (-944 (-215)) (-215) (-215))) (-5 *1 (-686)))) (-3313 (*1 *2 *3 *3 *3 *4 *5 *6) (-12 (-5 *3 (-310 (-568))) (-5 *4 (-1 (-215) (-215))) (-5 *5 (-1084 (-215))) (-5 *6 (-634 (-256))) (-5 *2 (-1121 (-215))) (-5 *1 (-686)))) (-2307 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-215) (-215) (-215))) (-5 *4 (-3 (-1 (-215) (-215) (-215) (-215)) "undefined")) (-5 *5 (-1084 (-215))) (-5 *6 (-634 (-256))) (-5 *2 (-1121 (-215))) (-5 *1 (-686)))) (-3676 (*1 *2 *2 *3 *4 *4 *5) (-12 (-5 *2 (-1121 (-215))) (-5 *3 (-1 (-944 (-215)) (-215) (-215))) (-5 *4 (-1084 (-215))) (-5 *5 (-634 (-256))) (-5 *1 (-686)))) (-3676 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-944 (-215)) (-215) (-215))) (-5 *4 (-1084 (-215))) (-5 *5 (-634 (-256))) (-5 *2 (-1121 (-215))) (-5 *1 (-686)))) (-3676 (*1 *2 *3 *3 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-215) (-215) (-215))) (-5 *4 (-3 (-1 (-215) (-215) (-215) (-215)) "undefined")) (-5 *5 (-1084 (-215))) (-5 *6 (-634 (-256))) (-5 *2 (-1121 (-215))) (-5 *1 (-686))))) 
-(-10 -7 (-15 -3676 ((-1121 (-215)) (-1 (-215) (-215) (-215)) (-1 (-215) (-215) (-215)) (-1 (-215) (-215) (-215)) (-3 (-1 (-215) (-215) (-215) (-215)) "undefined") (-1084 (-215)) (-1084 (-215)) (-634 (-256)))) (-15 -3676 ((-1121 (-215)) (-1 (-944 (-215)) (-215) (-215)) (-1084 (-215)) (-1084 (-215)) (-634 (-256)))) (-15 -3676 ((-1121 (-215)) (-1121 (-215)) (-1 (-944 (-215)) (-215) (-215)) (-1084 (-215)) (-1084 (-215)) (-634 (-256)))) (-15 -2307 ((-1121 (-215)) (-1 (-215) (-215) (-215)) (-3 (-1 (-215) (-215) (-215) (-215)) "undefined") (-1084 (-215)) (-1084 (-215)) (-634 (-256)))) (-15 -3313 ((-1121 (-215)) (-310 (-568)) (-310 (-568)) (-310 (-568)) (-1 (-215) (-215)) (-1084 (-215)) (-634 (-256)))) (-15 -2920 ((-1 (-944 (-215)) (-215) (-215)) (-1 (-215) (-215) (-215)) (-1 (-215) (-215) (-215)) (-1 (-215) (-215) (-215)) (-1 (-215) (-215) (-215) (-215))))) 
-((-3850 (((-420 (-1157 |#4|)) (-1157 |#4|)) 73) (((-420 |#4|) |#4|) 215))) 
-(((-687 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3850 ((-420 |#4|) |#4|)) (-15 -3850 ((-420 (-1157 |#4|)) (-1157 |#4|)))) (-842) (-788) (-350) (-950 |#3| |#2| |#1|)) (T -687)) 
-((-3850 (*1 *2 *3) (-12 (-4 *4 (-842)) (-4 *5 (-788)) (-4 *6 (-350)) (-4 *7 (-950 *6 *5 *4)) (-5 *2 (-420 (-1157 *7))) (-5 *1 (-687 *4 *5 *6 *7)) (-5 *3 (-1157 *7)))) (-3850 (*1 *2 *3) (-12 (-4 *4 (-842)) (-4 *5 (-788)) (-4 *6 (-350)) (-5 *2 (-420 *3)) (-5 *1 (-687 *4 *5 *6 *3)) (-4 *3 (-950 *6 *5 *4))))) 
-(-10 -7 (-15 -3850 ((-420 |#4|) |#4|)) (-15 -3850 ((-420 (-1157 |#4|)) (-1157 |#4|)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 84)) (-2563 (((-568) $) 30)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-4179 (($ $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-1904 (($ $) NIL)) (-2589 (((-121) $ $) NIL)) (-3337 (((-568) $) NIL)) (-4490 (($) NIL T CONST)) (-2252 (($ $) NIL)) (-3668 (((-3 (-568) "failed") $) 73) (((-3 (-409 (-568)) "failed") $) 26) (((-3 (-381) "failed") $) 70)) (-2857 (((-568) $) 75) (((-409 (-568)) $) 67) (((-381) $) 68)) (-2403 (($ $ $) 96)) (-2902 (((-3 $ "failed") $) 87)) (-2414 (($ $ $) 95)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-2197 (((-121) $) NIL)) (-3359 (((-917)) 77) (((-917) (-917)) 76)) (-1436 (((-121) $) NIL)) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL)) (-1844 (((-568) $) NIL)) (-1598 (((-121) $) NIL)) (-1550 (($ $ (-568)) NIL)) (-4417 (($ $) NIL)) (-2859 (((-121) $) NIL)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-4271 (((-568) (-568)) 81) (((-568)) 82)) (-1732 (($ $ $) NIL) (($) NIL (-12 (-3046 (|has| $ (-6 -4504))) (-3046 (|has| $ (-6 -4512)))))) (-3258 (((-568) (-568)) 79) (((-568)) 80)) (-2047 (($ $ $) NIL) (($) NIL (-12 (-3046 (|has| $ (-6 -4504))) (-3046 (|has| $ (-6 -4512)))))) (-2790 (((-568) $) 16)) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) 91)) (-1529 (((-917) (-568)) NIL (|has| $ (-6 -4512)))) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1999 (($ $) NIL)) (-4115 (($ $) NIL)) (-3770 (($ (-568) (-568)) NIL) (($ (-568) (-568) (-917)) NIL)) (-3850 (((-420 $) $) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) 92)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-3483 (((-568) $) 22)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 94)) (-1513 (((-917)) NIL) (((-917) (-917)) NIL (|has| $ (-6 -4512)))) (-1973 (((-917) (-568)) NIL (|has| $ (-6 -4512)))) (-4280 (((-381) $) NIL) (((-215) $) NIL) (((-887 (-381)) $) NIL)) (-2747 (((-850) $) 52) (($ (-568)) 63) (($ $) NIL) (($ (-409 (-568))) 66) (($ (-568)) 63) (($ (-409 (-568))) 66) (($ (-381)) 60) (((-381) $) 50) (($ (-690)) 55)) (-3425 (((-763)) 103)) (-1680 (($ (-568) (-568) (-917)) 44)) (-3520 (($ $) NIL)) (-1540 (((-917)) NIL) (((-917) (-917)) NIL (|has| $ (-6 -4512)))) (-2404 (((-917)) 35) (((-917) (-917)) 78)) (-2273 (((-121) $ $) NIL)) (-2811 (($ $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) 32 T CONST)) (-1557 (($) 17 T CONST)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 83)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 101)) (-1781 (($ $ $) 65)) (-1775 (($ $) 99) (($ $ $) 100)) (-1769 (($ $ $) 98)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL) (($ $ (-409 (-568))) 90)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 97) (($ $ $) 88) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL))) 
-(((-688) (-13 (-406) (-389) (-365) (-1037 (-381)) (-1037 (-409 (-568))) (-150) (-10 -8 (-15 -3359 ((-917) (-917))) (-15 -3359 ((-917))) (-15 -2404 ((-917) (-917))) (-15 -2404 ((-917))) (-15 -3258 ((-568) (-568))) (-15 -3258 ((-568))) (-15 -4271 ((-568) (-568))) (-15 -4271 ((-568))) (-15 -2747 ((-381) $)) (-15 -2747 ($ (-690))) (-15 -2790 ((-568) $)) (-15 -3483 ((-568) $)) (-15 -1680 ($ (-568) (-568) (-917)))))) (T -688)) 
-((-2404 (*1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-688)))) (-3483 (*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-688)))) (-2790 (*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-688)))) (-3359 (*1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-688)))) (-3359 (*1 *2 *2) (-12 (-5 *2 (-917)) (-5 *1 (-688)))) (-2404 (*1 *2 *2) (-12 (-5 *2 (-917)) (-5 *1 (-688)))) (-3258 (*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-688)))) (-3258 (*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-688)))) (-4271 (*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-688)))) (-4271 (*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-688)))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-381)) (-5 *1 (-688)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-690)) (-5 *1 (-688)))) (-1680 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-568)) (-5 *3 (-917)) (-5 *1 (-688))))) 
-(-13 (-406) (-389) (-365) (-1037 (-381)) (-1037 (-409 (-568))) (-150) (-10 -8 (-15 -3359 ((-917) (-917))) (-15 -3359 ((-917))) (-15 -2404 ((-917) (-917))) (-15 -2404 ((-917))) (-15 -3258 ((-568) (-568))) (-15 -3258 ((-568))) (-15 -4271 ((-568) (-568))) (-15 -4271 ((-568))) (-15 -2747 ((-381) $)) (-15 -2747 ($ (-690))) (-15 -2790 ((-568) $)) (-15 -3483 ((-568) $)) (-15 -1680 ($ (-568) (-568) (-917))))) 
-((-2507 (((-679 |#1|) (-679 |#1|) |#1| |#1|) 66)) (-3912 (((-679 |#1|) (-679 |#1|) |#1|) 49)) (-4472 (((-679 |#1|) (-679 |#1|) |#1|) 67)) (-4121 (((-679 |#1|) (-679 |#1|)) 50)) (-1555 (((-2 (|:| -4409 |#1|) (|:| -2607 |#1|)) |#1| |#1|) 65))) 
-(((-689 |#1|) (-10 -7 (-15 -4121 ((-679 |#1|) (-679 |#1|))) (-15 -3912 ((-679 |#1|) (-679 |#1|) |#1|)) (-15 -4472 ((-679 |#1|) (-679 |#1|) |#1|)) (-15 -2507 ((-679 |#1|) (-679 |#1|) |#1| |#1|)) (-15 -1555 ((-2 (|:| -4409 |#1|) (|:| -2607 |#1|)) |#1| |#1|))) (-301)) (T -689)) 
-((-1555 (*1 *2 *3 *3) (-12 (-5 *2 (-2 (|:| -4409 *3) (|:| -2607 *3))) (-5 *1 (-689 *3)) (-4 *3 (-301)))) (-2507 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-679 *3)) (-4 *3 (-301)) (-5 *1 (-689 *3)))) (-4472 (*1 *2 *2 *3) (-12 (-5 *2 (-679 *3)) (-4 *3 (-301)) (-5 *1 (-689 *3)))) (-3912 (*1 *2 *2 *3) (-12 (-5 *2 (-679 *3)) (-4 *3 (-301)) (-5 *1 (-689 *3)))) (-4121 (*1 *2 *2) (-12 (-5 *2 (-679 *3)) (-4 *3 (-301)) (-5 *1 (-689 *3))))) 
-(-10 -7 (-15 -4121 ((-679 |#1|) (-679 |#1|))) (-15 -3912 ((-679 |#1|) (-679 |#1|) |#1|)) (-15 -4472 ((-679 |#1|) (-679 |#1|) |#1|)) (-15 -2507 ((-679 |#1|) (-679 |#1|) |#1| |#1|)) (-15 -1555 ((-2 (|:| -4409 |#1|) (|:| -2607 |#1|)) |#1| |#1|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2519 (($ $ $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-1353 (($ $ $ $) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2589 (((-121) $ $) NIL)) (-3337 (((-568) $) NIL)) (-1872 (($ $ $) NIL)) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-568) "failed") $) 27)) (-2857 (((-568) $) 25)) (-2403 (($ $ $) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-3254 (((-3 (-409 (-568)) "failed") $) NIL)) (-1338 (((-121) $) NIL)) (-2394 (((-409 (-568)) $) NIL)) (-1733 (($ $) NIL) (($) NIL)) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-2197 (((-121) $) NIL)) (-2382 (($ $ $ $) NIL)) (-3155 (($ $ $) NIL)) (-1436 (((-121) $) NIL)) (-2341 (($ $ $) NIL)) (-1519 (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL)) (-1598 (((-121) $) NIL)) (-2268 (((-121) $) NIL)) (-2214 (((-3 $ "failed") $) NIL)) (-2859 (((-121) $) NIL)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-4374 (($ $ $ $) NIL)) (-1732 (($ $ $) NIL)) (-2127 (((-917) (-917)) 10) (((-917)) 9)) (-2047 (($ $ $) NIL)) (-3248 (($ $) NIL)) (-3680 (($ $) NIL)) (-2498 (($ (-634 $)) NIL) (($ $ $) NIL)) (-1893 (((-1143) $) NIL)) (-3264 (($ $ $) NIL)) (-4436 (($) NIL T CONST)) (-1890 (($ $) NIL)) (-4025 (((-1108) $) NIL) (($ $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ (-634 $)) NIL) (($ $ $) NIL)) (-2406 (($ $) NIL)) (-3850 (((-420 $) $) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-2080 (((-121) $) NIL)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-4191 (($ $) NIL) (($ $ (-763)) NIL)) (-3953 (($ $) NIL)) (-3865 (($ $) NIL)) (-4280 (((-215) $) NIL) (((-381) $) NIL) (((-887 (-568)) $) NIL) (((-541) $) NIL) (((-568) $) NIL)) (-2747 (((-850) $) NIL) (($ (-568)) 24) (($ $) NIL) (($ (-568)) 24) (((-310 $) (-310 (-568))) 18)) (-3425 (((-763)) NIL)) (-3600 (((-121) $ $) NIL)) (-3584 (($ $ $) NIL)) (-2404 (($) NIL)) (-2273 (((-121) $ $) NIL)) (-1564 (($ $ $ $) NIL)) (-2811 (($ $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($ $) NIL) (($ $ (-763)) NIL)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL))) 
-(((-690) (-13 (-389) (-550) (-10 -8 (-15 -2127 ((-917) (-917))) (-15 -2127 ((-917))) (-15 -2747 ((-310 $) (-310 (-568))))))) (T -690)) 
-((-2127 (*1 *2 *2) (-12 (-5 *2 (-917)) (-5 *1 (-690)))) (-2127 (*1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-690)))) (-2747 (*1 *2 *3) (-12 (-5 *3 (-310 (-568))) (-5 *2 (-310 (-690))) (-5 *1 (-690))))) 
-(-13 (-389) (-550) (-10 -8 (-15 -2127 ((-917) (-917))) (-15 -2127 ((-917))) (-15 -2747 ((-310 $) (-310 (-568)))))) 
-((-3883 (((-1 |#4| |#2| |#3|) |#1| (-1161) (-1161)) 19)) (-3824 (((-1 |#4| |#2| |#3|) (-1161)) 12))) 
-(((-691 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3824 ((-1 |#4| |#2| |#3|) (-1161))) (-15 -3883 ((-1 |#4| |#2| |#3|) |#1| (-1161) (-1161)))) (-609 (-541)) (-1195) (-1195) (-1195)) (T -691)) 
-((-3883 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1161)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-691 *3 *5 *6 *7)) (-4 *3 (-609 (-541))) (-4 *5 (-1195)) (-4 *6 (-1195)) (-4 *7 (-1195)))) (-3824 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-691 *4 *5 *6 *7)) (-4 *4 (-609 (-541))) (-4 *5 (-1195)) (-4 *6 (-1195)) (-4 *7 (-1195))))) 
-(-10 -7 (-15 -3824 ((-1 |#4| |#2| |#3|) (-1161))) (-15 -3883 ((-1 |#4| |#2| |#3|) |#1| (-1161) (-1161)))) 
-((-2449 (((-121) $ $) NIL)) (-2704 (((-1249) $ (-763)) 14)) (-2766 (((-763) $) 12)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) 18) ((|#1| $) 15) (($ |#1|) 23)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 25)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 24))) 
-(((-692 |#1|) (-13 (-138) (-608 |#1|) (-10 -8 (-15 -2747 ($ |#1|)))) (-1090)) (T -692)) 
-((-2747 (*1 *1 *2) (-12 (-5 *1 (-692 *2)) (-4 *2 (-1090))))) 
-(-13 (-138) (-608 |#1|) (-10 -8 (-15 -2747 ($ |#1|)))) 
-((-1759 (((-1 (-215) (-215) (-215)) |#1| (-1161) (-1161)) 33) (((-1 (-215) (-215)) |#1| (-1161)) 38))) 
-(((-693 |#1|) (-10 -7 (-15 -1759 ((-1 (-215) (-215)) |#1| (-1161))) (-15 -1759 ((-1 (-215) (-215) (-215)) |#1| (-1161) (-1161)))) (-609 (-541))) (T -693)) 
-((-1759 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1161)) (-5 *2 (-1 (-215) (-215) (-215))) (-5 *1 (-693 *3)) (-4 *3 (-609 (-541))))) (-1759 (*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-5 *2 (-1 (-215) (-215))) (-5 *1 (-693 *3)) (-4 *3 (-609 (-541)))))) 
-(-10 -7 (-15 -1759 ((-1 (-215) (-215)) |#1| (-1161))) (-15 -1759 ((-1 (-215) (-215) (-215)) |#1| (-1161) (-1161)))) 
-((-1866 (((-1161) |#1| (-1161) (-634 (-1161))) 9) (((-1161) |#1| (-1161) (-1161) (-1161)) 12) (((-1161) |#1| (-1161) (-1161)) 11) (((-1161) |#1| (-1161)) 10))) 
-(((-694 |#1|) (-10 -7 (-15 -1866 ((-1161) |#1| (-1161))) (-15 -1866 ((-1161) |#1| (-1161) (-1161))) (-15 -1866 ((-1161) |#1| (-1161) (-1161) (-1161))) (-15 -1866 ((-1161) |#1| (-1161) (-634 (-1161))))) (-609 (-541))) (T -694)) 
-((-1866 (*1 *2 *3 *2 *4) (-12 (-5 *4 (-634 (-1161))) (-5 *2 (-1161)) (-5 *1 (-694 *3)) (-4 *3 (-609 (-541))))) (-1866 (*1 *2 *3 *2 *2 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-694 *3)) (-4 *3 (-609 (-541))))) (-1866 (*1 *2 *3 *2 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-694 *3)) (-4 *3 (-609 (-541))))) (-1866 (*1 *2 *3 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-694 *3)) (-4 *3 (-609 (-541)))))) 
-(-10 -7 (-15 -1866 ((-1161) |#1| (-1161))) (-15 -1866 ((-1161) |#1| (-1161) (-1161))) (-15 -1866 ((-1161) |#1| (-1161) (-1161) (-1161))) (-15 -1866 ((-1161) |#1| (-1161) (-634 (-1161))))) 
-((-2820 (((-2 (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|) 9))) 
-(((-695 |#1| |#2|) (-10 -7 (-15 -2820 ((-2 (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|))) (-1195) (-1195)) (T -695)) 
-((-2820 (*1 *2 *3 *4) (-12 (-5 *2 (-2 (|:| |part1| *3) (|:| |part2| *4))) (-5 *1 (-695 *3 *4)) (-4 *3 (-1195)) (-4 *4 (-1195))))) 
-(-10 -7 (-15 -2820 ((-2 (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|))) 
-((-3004 (((-1 |#3| |#2|) (-1161)) 11)) (-3883 (((-1 |#3| |#2|) |#1| (-1161)) 21))) 
-(((-696 |#1| |#2| |#3|) (-10 -7 (-15 -3004 ((-1 |#3| |#2|) (-1161))) (-15 -3883 ((-1 |#3| |#2|) |#1| (-1161)))) (-609 (-541)) (-1195) (-1195)) (T -696)) 
-((-3883 (*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-5 *2 (-1 *6 *5)) (-5 *1 (-696 *3 *5 *6)) (-4 *3 (-609 (-541))) (-4 *5 (-1195)) (-4 *6 (-1195)))) (-3004 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 *6 *5)) (-5 *1 (-696 *4 *5 *6)) (-4 *4 (-609 (-541))) (-4 *5 (-1195)) (-4 *6 (-1195))))) 
-(-10 -7 (-15 -3004 ((-1 |#3| |#2|) (-1161))) (-15 -3883 ((-1 |#3| |#2|) |#1| (-1161)))) 
-((-2130 (((-3 (-634 (-1157 |#4|)) "failed") (-1157 |#4|) (-634 |#2|) (-634 (-1157 |#4|)) (-634 |#3|) (-634 |#4|) (-634 (-634 (-2 (|:| -2514 (-763)) (|:| |pcoef| |#4|)))) (-634 (-763)) (-1244 (-634 (-1157 |#3|))) |#3|) 58)) (-3619 (((-3 (-634 (-1157 |#4|)) "failed") (-1157 |#4|) (-634 |#2|) (-634 (-1157 |#3|)) (-634 |#3|) (-634 |#4|) (-634 (-763)) |#3|) 71)) (-2850 (((-3 (-634 (-1157 |#4|)) "failed") (-1157 |#4|) (-634 |#2|) (-634 |#3|) (-634 (-763)) (-634 (-1157 |#4|)) (-1244 (-634 (-1157 |#3|))) |#3|) 32))) 
-(((-697 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2850 ((-3 (-634 (-1157 |#4|)) "failed") (-1157 |#4|) (-634 |#2|) (-634 |#3|) (-634 (-763)) (-634 (-1157 |#4|)) (-1244 (-634 (-1157 |#3|))) |#3|)) (-15 -3619 ((-3 (-634 (-1157 |#4|)) "failed") (-1157 |#4|) (-634 |#2|) (-634 (-1157 |#3|)) (-634 |#3|) (-634 |#4|) (-634 (-763)) |#3|)) (-15 -2130 ((-3 (-634 (-1157 |#4|)) "failed") (-1157 |#4|) (-634 |#2|) (-634 (-1157 |#4|)) (-634 |#3|) (-634 |#4|) (-634 (-634 (-2 (|:| -2514 (-763)) (|:| |pcoef| |#4|)))) (-634 (-763)) (-1244 (-634 (-1157 |#3|))) |#3|))) (-788) (-842) (-301) (-950 |#3| |#1| |#2|)) (T -697)) 
-((-2130 (*1 *2 *3 *4 *2 *5 *6 *7 *8 *9 *10) (|partial| -12 (-5 *2 (-634 (-1157 *13))) (-5 *3 (-1157 *13)) (-5 *4 (-634 *12)) (-5 *5 (-634 *10)) (-5 *6 (-634 *13)) (-5 *7 (-634 (-634 (-2 (|:| -2514 (-763)) (|:| |pcoef| *13))))) (-5 *8 (-634 (-763))) (-5 *9 (-1244 (-634 (-1157 *10)))) (-4 *12 (-842)) (-4 *10 (-301)) (-4 *13 (-950 *10 *11 *12)) (-4 *11 (-788)) (-5 *1 (-697 *11 *12 *10 *13)))) (-3619 (*1 *2 *3 *4 *5 *6 *7 *8 *9) (|partial| -12 (-5 *4 (-634 *11)) (-5 *5 (-634 (-1157 *9))) (-5 *6 (-634 *9)) (-5 *7 (-634 *12)) (-5 *8 (-634 (-763))) (-4 *11 (-842)) (-4 *9 (-301)) (-4 *12 (-950 *9 *10 *11)) (-4 *10 (-788)) (-5 *2 (-634 (-1157 *12))) (-5 *1 (-697 *10 *11 *9 *12)) (-5 *3 (-1157 *12)))) (-2850 (*1 *2 *3 *4 *5 *6 *2 *7 *8) (|partial| -12 (-5 *2 (-634 (-1157 *11))) (-5 *3 (-1157 *11)) (-5 *4 (-634 *10)) (-5 *5 (-634 *8)) (-5 *6 (-634 (-763))) (-5 *7 (-1244 (-634 (-1157 *8)))) (-4 *10 (-842)) (-4 *8 (-301)) (-4 *11 (-950 *8 *9 *10)) (-4 *9 (-788)) (-5 *1 (-697 *9 *10 *8 *11))))) 
-(-10 -7 (-15 -2850 ((-3 (-634 (-1157 |#4|)) "failed") (-1157 |#4|) (-634 |#2|) (-634 |#3|) (-634 (-763)) (-634 (-1157 |#4|)) (-1244 (-634 (-1157 |#3|))) |#3|)) (-15 -3619 ((-3 (-634 (-1157 |#4|)) "failed") (-1157 |#4|) (-634 |#2|) (-634 (-1157 |#3|)) (-634 |#3|) (-634 |#4|) (-634 (-763)) |#3|)) (-15 -2130 ((-3 (-634 (-1157 |#4|)) "failed") (-1157 |#4|) (-634 |#2|) (-634 (-1157 |#4|)) (-634 |#3|) (-634 |#4|) (-634 (-634 (-2 (|:| -2514 (-763)) (|:| |pcoef| |#4|)))) (-634 (-763)) (-1244 (-634 (-1157 |#3|))) |#3|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-2116 (($ $) 40)) (-2902 (((-3 $ "failed") $) 33)) (-1598 (((-121) $) 30)) (-2049 (($ |#1| (-763)) 38)) (-3524 (((-763) $) 42)) (-2104 ((|#1| $) 41)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-1836 (((-763) $) 43)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ |#1|) 37 (|has| |#1| (-172)))) (-2079 ((|#1| $ (-763)) 39)) (-3425 (((-763)) 28)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ |#1|) 45) (($ |#1| $) 44))) 
-(((-698 |#1|) (-1275) (-1047)) (T -698)) 
-((-1836 (*1 *2 *1) (-12 (-4 *1 (-698 *3)) (-4 *3 (-1047)) (-5 *2 (-763)))) (-3524 (*1 *2 *1) (-12 (-4 *1 (-698 *3)) (-4 *3 (-1047)) (-5 *2 (-763)))) (-2104 (*1 *2 *1) (-12 (-4 *1 (-698 *2)) (-4 *2 (-1047)))) (-2116 (*1 *1 *1) (-12 (-4 *1 (-698 *2)) (-4 *2 (-1047)))) (-2079 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-4 *1 (-698 *2)) (-4 *2 (-1047)))) (-2049 (*1 *1 *2 *3) (-12 (-5 *3 (-763)) (-4 *1 (-698 *2)) (-4 *2 (-1047))))) 
-(-13 (-1047) (-120 |t#1| |t#1|) (-10 -8 (IF (|has| |t#1| (-172)) (-6 (-43 |t#1|)) |noBranch|) (-15 -1836 ((-763) $)) (-15 -3524 ((-763) $)) (-15 -2104 (|t#1| $)) (-15 -2116 ($ $)) (-15 -2079 (|t#1| $ (-763))) (-15 -2049 ($ |t#1| (-763))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-172)) ((-105) . T) ((-120 |#1| |#1|) . T) ((-137) . T) ((-608 (-850)) . T) ((-637 |#1|) . T) ((-637 $) . T) ((-707 |#1|) |has| |#1| (-172)) ((-716) . T) ((-1053 |#1|) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-2797 ((|#6| (-1 |#4| |#1|) |#3|) 23))) 
-(((-699 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -2797 (|#6| (-1 |#4| |#1|) |#3|))) (-558) (-1219 |#1|) (-1219 (-409 |#2|)) (-558) (-1219 |#4|) (-1219 (-409 |#5|))) (T -699)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-558)) (-4 *7 (-558)) (-4 *6 (-1219 *5)) (-4 *2 (-1219 (-409 *8))) (-5 *1 (-699 *5 *6 *4 *7 *8 *2)) (-4 *4 (-1219 (-409 *6))) (-4 *8 (-1219 *7))))) 
-(-10 -7 (-15 -2797 (|#6| (-1 |#4| |#1|) |#3|))) 
-((-2449 (((-121) $ $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2002 (((-1143) (-850)) 31)) (-4127 (((-1249) (-1143)) 28)) (-4481 (((-1143) (-850)) 24)) (-4010 (((-1143) (-850)) 25)) (-2747 (((-850) $) NIL) (((-1143) (-850)) 23)) (-1719 (((-121) $ $) NIL))) 
-(((-700) (-13 (-1090) (-10 -7 (-15 -2747 ((-1143) (-850))) (-15 -4481 ((-1143) (-850))) (-15 -4010 ((-1143) (-850))) (-15 -2002 ((-1143) (-850))) (-15 -4127 ((-1249) (-1143)))))) (T -700)) 
-((-2747 (*1 *2 *3) (-12 (-5 *3 (-850)) (-5 *2 (-1143)) (-5 *1 (-700)))) (-4481 (*1 *2 *3) (-12 (-5 *3 (-850)) (-5 *2 (-1143)) (-5 *1 (-700)))) (-4010 (*1 *2 *3) (-12 (-5 *3 (-850)) (-5 *2 (-1143)) (-5 *1 (-700)))) (-2002 (*1 *2 *3) (-12 (-5 *3 (-850)) (-5 *2 (-1143)) (-5 *1 (-700)))) (-4127 (*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-700))))) 
-(-13 (-1090) (-10 -7 (-15 -2747 ((-1143) (-850))) (-15 -4481 ((-1143) (-850))) (-15 -4010 ((-1143) (-850))) (-15 -2002 ((-1143) (-850))) (-15 -4127 ((-1249) (-1143))))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2589 (((-121) $ $) NIL)) (-4490 (($) NIL T CONST)) (-2403 (($ $ $) NIL)) (-3094 (($ |#1| |#2|) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-2197 (((-121) $) NIL)) (-1598 (((-121) $) NIL)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-2477 ((|#2| $) NIL)) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL)) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-3850 (((-420 $) $) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-2355 (((-3 $ "failed") $ $) NIL)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ $) NIL) (($ (-409 (-568))) NIL) ((|#1| $) NIL)) (-3425 (((-763)) NIL)) (-2273 (((-121) $ $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ $) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL))) 
-(((-701 |#1| |#2| |#3| |#4| |#5|) (-13 (-365) (-10 -8 (-15 -2477 (|#2| $)) (-15 -2747 (|#1| $)) (-15 -3094 ($ |#1| |#2|)) (-15 -2355 ((-3 $ "failed") $ $)))) (-172) (-23) (-1 |#1| |#1| |#2|) (-1 (-3 |#2| "failed") |#2| |#2|) (-1 (-3 |#1| "failed") |#1| |#1| |#2|)) (T -701)) 
-((-2477 (*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-701 *3 *2 *4 *5 *6)) (-4 *3 (-172)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) (-2747 (*1 *2 *1) (-12 (-4 *2 (-172)) (-5 *1 (-701 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-3094 (*1 *1 *2 *3) (-12 (-5 *1 (-701 *2 *3 *4 *5 *6)) (-4 *2 (-172)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-2355 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-701 *2 *3 *4 *5 *6)) (-4 *2 (-172)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3))))) 
-(-13 (-365) (-10 -8 (-15 -2477 (|#2| $)) (-15 -2747 (|#1| $)) (-15 -3094 ($ |#1| |#2|)) (-15 -2355 ((-3 $ "failed") $ $)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 30)) (-1969 (((-1244 |#1|) $ (-763)) NIL)) (-2057 (((-634 (-1075)) $) NIL)) (-1807 (($ (-1157 |#1|)) NIL)) (-3840 (((-1157 $) $ (-1075)) NIL) (((-1157 |#1|) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#1| (-558)))) (-3661 (($ $) NIL (|has| |#1| (-558)))) (-4426 (((-121) $) NIL (|has| |#1| (-558)))) (-3528 (((-763) $) NIL) (((-763) $ (-634 (-1075))) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-1736 (($ $ $) NIL (|has| |#1| (-558)))) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-3045 (($ $) NIL (|has| |#1| (-453)))) (-3498 (((-420 $) $) NIL (|has| |#1| (-453)))) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-2589 (((-121) $ $) NIL (|has| |#1| (-365)))) (-3986 (((-763)) 46 (|has| |#1| (-370)))) (-2752 (($ $ (-763)) NIL)) (-2699 (($ $ (-763)) NIL)) (-3194 ((|#2| |#2|) 43)) (-1448 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-453)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#1| "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-3 (-568) "failed") $) NIL (|has| |#1| (-1037 (-568)))) (((-3 (-1075) "failed") $) NIL)) (-2857 ((|#1| $) NIL) (((-409 (-568)) $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-568) $) NIL (|has| |#1| (-1037 (-568)))) (((-1075) $) NIL)) (-2910 (($ $ $ (-1075)) NIL (|has| |#1| (-172))) ((|#1| $ $) NIL (|has| |#1| (-172)))) (-2403 (($ $ $) NIL (|has| |#1| (-365)))) (-2116 (($ $) 33)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 |#1|))) (-679 $) (-1244 $)) NIL) (((-679 |#1|) (-679 $)) NIL)) (-3094 (($ |#2|) 41)) (-2902 (((-3 $ "failed") $) 84)) (-1733 (($) 50 (|has| |#1| (-370)))) (-2414 (($ $ $) NIL (|has| |#1| (-365)))) (-3152 (($ $ $) NIL)) (-2929 (($ $ $) NIL (|has| |#1| (-558)))) (-3777 (((-2 (|:| -2350 |#1|) (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-558)))) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL (|has| |#1| (-365)))) (-1998 (($ $) NIL (|has| |#1| (-453))) (($ $ (-1075)) NIL (|has| |#1| (-453)))) (-2110 (((-634 $) $) NIL)) (-2197 (((-121) $) NIL (|has| |#1| (-904)))) (-4402 (((-958 $)) 78)) (-2453 (($ $ |#1| (-763) $) NIL)) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (-12 (|has| (-1075) (-881 (-381))) (|has| |#1| (-881 (-381))))) (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (-12 (|has| (-1075) (-881 (-568))) (|has| |#1| (-881 (-568)))))) (-1844 (((-763) $ $) NIL (|has| |#1| (-558)))) (-1598 (((-121) $) NIL)) (-3971 (((-763) $) NIL)) (-2214 (((-3 $ "failed") $) NIL (|has| |#1| (-1136)))) (-2053 (($ (-1157 |#1|) (-1075)) NIL) (($ (-1157 $) (-1075)) NIL)) (-4168 (($ $ (-763)) NIL)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-3062 (((-634 $) $) NIL)) (-2171 (((-121) $) NIL)) (-2049 (($ |#1| (-763)) 76) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL)) (-1438 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $ (-1075)) NIL) (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-2477 ((|#2|) 44)) (-3524 (((-763) $) NIL) (((-763) $ (-1075)) NIL) (((-634 (-763)) $ (-634 (-1075))) NIL)) (-1732 (($ $ $) NIL (|has| |#1| (-842)))) (-2047 (($ $ $) NIL (|has| |#1| (-842)))) (-1865 (($ (-1 (-763) (-763)) $) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-2671 (((-1157 |#1|) $) NIL)) (-2817 (((-3 (-1075) "failed") $) NIL)) (-2291 (((-917) $) NIL (|has| |#1| (-370)))) (-3087 ((|#2| $) 40)) (-2099 (($ $) NIL)) (-2104 ((|#1| $) 28)) (-2498 (($ (-634 $)) NIL (|has| |#1| (-453))) (($ $ $) NIL (|has| |#1| (-453)))) (-1893 (((-1143) $) NIL)) (-3262 (((-2 (|:| -4409 $) (|:| -2607 $)) $ (-763)) NIL)) (-4362 (((-3 (-634 $) "failed") $) NIL)) (-2112 (((-3 (-634 $) "failed") $) NIL)) (-2617 (((-3 (-2 (|:| |var| (-1075)) (|:| -3483 (-763))) "failed") $) NIL)) (-1845 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4436 (($) NIL (|has| |#1| (-1136)) CONST)) (-4357 (($ (-917)) NIL (|has| |#1| (-370)))) (-4025 (((-1108) $) NIL)) (-2088 (((-121) $) NIL)) (-2093 ((|#1| $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#1| (-453)))) (-2723 (($ (-634 $)) NIL (|has| |#1| (-453))) (($ $ $) NIL (|has| |#1| (-453)))) (-2736 (($ $) 77 (|has| |#1| (-350)))) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-3850 (((-420 $) $) NIL (|has| |#1| (-904)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-365))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#1| (-365)))) (-2597 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-558))) (((-3 $ "failed") $ $) 83 (|has| |#1| (-558)))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-1339 (($ $ (-634 (-288 $))) NIL) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL) (($ $ (-1075) |#1|) NIL) (($ $ (-634 (-1075)) (-634 |#1|)) NIL) (($ $ (-1075) $) NIL) (($ $ (-634 (-1075)) (-634 $)) NIL)) (-1466 (((-763) $) NIL (|has| |#1| (-365)))) (-2781 ((|#1| $ |#1|) NIL) (($ $ $) NIL) (((-409 $) (-409 $) (-409 $)) NIL (|has| |#1| (-558))) ((|#1| (-409 $) |#1|) NIL (|has| |#1| (-365))) (((-409 $) $ (-409 $)) NIL (|has| |#1| (-558)))) (-3805 (((-3 $ "failed") $ (-763)) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 85 (|has| |#1| (-365)))) (-3440 (($ $ (-1075)) NIL (|has| |#1| (-172))) ((|#1| $) NIL (|has| |#1| (-172)))) (-4191 (($ $ (-1075)) NIL) (($ $ (-634 (-1075))) NIL) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL) (($ $ (-763)) NIL) (($ $) NIL) (($ $ (-1161)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-1836 (((-763) $) 31) (((-763) $ (-1075)) NIL) (((-634 (-763)) $ (-634 (-1075))) NIL)) (-4280 (((-887 (-381)) $) NIL (-12 (|has| (-1075) (-609 (-887 (-381)))) (|has| |#1| (-609 (-887 (-381)))))) (((-887 (-568)) $) NIL (-12 (|has| (-1075) (-609 (-887 (-568)))) (|has| |#1| (-609 (-887 (-568)))))) (((-541) $) NIL (-12 (|has| (-1075) (-609 (-541))) (|has| |#1| (-609 (-541)))))) (-1364 ((|#1| $) NIL (|has| |#1| (-453))) (($ $ (-1075)) NIL (|has| |#1| (-453)))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-12 (|has| $ (-148)) (|has| |#1| (-904))))) (-2339 (((-958 $)) 35)) (-4363 (((-3 $ "failed") $ $) NIL (|has| |#1| (-558))) (((-3 (-409 $) "failed") (-409 $) $) NIL (|has| |#1| (-558)))) (-2747 (((-850) $) 60) (($ (-568)) NIL) (($ |#1|) 57) (($ (-1075)) NIL) (($ |#2|) 67) (($ (-409 (-568))) NIL (-2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-1037 (-409 (-568)))))) (($ $) NIL (|has| |#1| (-558)))) (-3304 (((-634 |#1|) $) NIL)) (-2079 ((|#1| $ (-763)) 62) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL)) (-3385 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| |#1| (-904))) (|has| |#1| (-148))))) (-3425 (((-763)) NIL)) (-3925 (($ $ $ (-763)) NIL (|has| |#1| (-172)))) (-2273 (((-121) $ $) NIL (|has| |#1| (-558)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 20 T CONST)) (-4399 (((-1244 |#1|) $) 74)) (-3932 (($ (-1244 |#1|)) 49)) (-1557 (($) 8 T CONST)) (-3192 (($ $ (-1075)) NIL) (($ $ (-634 (-1075))) NIL) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL) (($ $ (-763)) NIL) (($ $) NIL) (($ $ (-1161)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-3854 (((-1244 |#1|) $) NIL)) (-1753 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1719 (((-121) $ $) 68)) (-1747 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1781 (($ $ |#1|) NIL (|has| |#1| (-365)))) (-1775 (($ $) 71) (($ $ $) NIL)) (-1769 (($ $ $) 32)) (** (($ $ (-917)) NIL) (($ $ (-763)) 79)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 56) (($ $ $) 73) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))) (($ (-409 (-568)) $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ |#1| $) 54) (($ $ |#1|) NIL))) 
-(((-702 |#1| |#2|) (-13 (-1219 |#1|) (-10 -8 (-15 -3194 (|#2| |#2|)) (-15 -2477 (|#2|)) (-15 -3094 ($ |#2|)) (-15 -3087 (|#2| $)) (-15 -2747 ($ |#2|)) (-15 -4399 ((-1244 |#1|) $)) (-15 -3932 ($ (-1244 |#1|))) (-15 -3854 ((-1244 |#1|) $)) (-15 -4402 ((-958 $))) (-15 -2339 ((-958 $))) (IF (|has| |#1| (-350)) (-15 -2736 ($ $)) |noBranch|) (IF (|has| |#1| (-370)) (-6 (-370)) |noBranch|))) (-1047) (-1219 |#1|)) (T -702)) 
-((-3194 (*1 *2 *2) (-12 (-4 *3 (-1047)) (-5 *1 (-702 *3 *2)) (-4 *2 (-1219 *3)))) (-2477 (*1 *2) (-12 (-4 *2 (-1219 *3)) (-5 *1 (-702 *3 *2)) (-4 *3 (-1047)))) (-3094 (*1 *1 *2) (-12 (-4 *3 (-1047)) (-5 *1 (-702 *3 *2)) (-4 *2 (-1219 *3)))) (-3087 (*1 *2 *1) (-12 (-4 *2 (-1219 *3)) (-5 *1 (-702 *3 *2)) (-4 *3 (-1047)))) (-2747 (*1 *1 *2) (-12 (-4 *3 (-1047)) (-5 *1 (-702 *3 *2)) (-4 *2 (-1219 *3)))) (-4399 (*1 *2 *1) (-12 (-4 *3 (-1047)) (-5 *2 (-1244 *3)) (-5 *1 (-702 *3 *4)) (-4 *4 (-1219 *3)))) (-3932 (*1 *1 *2) (-12 (-5 *2 (-1244 *3)) (-4 *3 (-1047)) (-5 *1 (-702 *3 *4)) (-4 *4 (-1219 *3)))) (-3854 (*1 *2 *1) (-12 (-4 *3 (-1047)) (-5 *2 (-1244 *3)) (-5 *1 (-702 *3 *4)) (-4 *4 (-1219 *3)))) (-4402 (*1 *2) (-12 (-4 *3 (-1047)) (-5 *2 (-958 (-702 *3 *4))) (-5 *1 (-702 *3 *4)) (-4 *4 (-1219 *3)))) (-2339 (*1 *2) (-12 (-4 *3 (-1047)) (-5 *2 (-958 (-702 *3 *4))) (-5 *1 (-702 *3 *4)) (-4 *4 (-1219 *3)))) (-2736 (*1 *1 *1) (-12 (-4 *2 (-350)) (-4 *2 (-1047)) (-5 *1 (-702 *2 *3)) (-4 *3 (-1219 *2))))) 
-(-13 (-1219 |#1|) (-10 -8 (-15 -3194 (|#2| |#2|)) (-15 -2477 (|#2|)) (-15 -3094 ($ |#2|)) (-15 -3087 (|#2| $)) (-15 -2747 ($ |#2|)) (-15 -4399 ((-1244 |#1|) $)) (-15 -3932 ($ (-1244 |#1|))) (-15 -3854 ((-1244 |#1|) $)) (-15 -4402 ((-958 $))) (-15 -2339 ((-958 $))) (IF (|has| |#1| (-350)) (-15 -2736 ($ $)) |noBranch|) (IF (|has| |#1| (-370)) (-6 (-370)) |noBranch|))) 
-((-2449 (((-121) $ $) NIL)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-1893 (((-1143) $) NIL)) (-4357 ((|#1| $) 13)) (-4025 (((-1108) $) NIL)) (-3483 ((|#2| $) 12)) (-4289 (($ |#1| |#2|) 16)) (-2747 (((-850) $) NIL) (($ (-2 (|:| -4357 |#1|) (|:| -3483 |#2|))) 15) (((-2 (|:| -4357 |#1|) (|:| -3483 |#2|)) $) 14)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 11))) 
-(((-703 |#1| |#2| |#3|) (-13 (-842) (-10 -8 (-15 -3483 (|#2| $)) (-15 -4357 (|#1| $)) (-15 -2747 ($ (-2 (|:| -4357 |#1|) (|:| -3483 |#2|)))) (-15 -2747 ((-2 (|:| -4357 |#1|) (|:| -3483 |#2|)) $)) (-15 -4289 ($ |#1| |#2|)))) (-842) (-1090) (-1 (-121) (-2 (|:| -4357 |#1|) (|:| -3483 |#2|)) (-2 (|:| -4357 |#1|) (|:| -3483 |#2|)))) (T -703)) 
-((-3483 (*1 *2 *1) (-12 (-4 *2 (-1090)) (-5 *1 (-703 *3 *2 *4)) (-4 *3 (-842)) (-14 *4 (-1 (-121) (-2 (|:| -4357 *3) (|:| -3483 *2)) (-2 (|:| -4357 *3) (|:| -3483 *2)))))) (-4357 (*1 *2 *1) (-12 (-4 *2 (-842)) (-5 *1 (-703 *2 *3 *4)) (-4 *3 (-1090)) (-14 *4 (-1 (-121) (-2 (|:| -4357 *2) (|:| -3483 *3)) (-2 (|:| -4357 *2) (|:| -3483 *3)))))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| -4357 *3) (|:| -3483 *4))) (-4 *3 (-842)) (-4 *4 (-1090)) (-5 *1 (-703 *3 *4 *5)) (-14 *5 (-1 (-121) *2 *2)))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| -4357 *3) (|:| -3483 *4))) (-5 *1 (-703 *3 *4 *5)) (-4 *3 (-842)) (-4 *4 (-1090)) (-14 *5 (-1 (-121) *2 *2)))) (-4289 (*1 *1 *2 *3) (-12 (-5 *1 (-703 *2 *3 *4)) (-4 *2 (-842)) (-4 *3 (-1090)) (-14 *4 (-1 (-121) (-2 (|:| -4357 *2) (|:| -3483 *3)) (-2 (|:| -4357 *2) (|:| -3483 *3))))))) 
-(-13 (-842) (-10 -8 (-15 -3483 (|#2| $)) (-15 -4357 (|#1| $)) (-15 -2747 ($ (-2 (|:| -4357 |#1|) (|:| -3483 |#2|)))) (-15 -2747 ((-2 (|:| -4357 |#1|) (|:| -3483 |#2|)) $)) (-15 -4289 ($ |#1| |#2|)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 59)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#1| "failed") $) 89) (((-3 (-123) "failed") $) 95)) (-2857 ((|#1| $) NIL) (((-123) $) 39)) (-2902 (((-3 $ "failed") $) 90)) (-1624 ((|#2| (-123) |#2|) 82)) (-1598 (((-121) $) NIL)) (-3448 (($ |#1| (-363 (-123))) 13)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-3122 (($ $ (-1 |#2| |#2|)) 58)) (-2513 (($ $ (-1 |#2| |#2|)) 44)) (-2781 ((|#2| $ |#2|) 32)) (-3756 ((|#1| |#1|) 100 (|has| |#1| (-172)))) (-2747 (((-850) $) 66) (($ (-568)) 17) (($ |#1|) 16) (($ (-123)) 23)) (-3385 (((-3 $ "failed") $) NIL (|has| |#1| (-148)))) (-3425 (((-763)) 36)) (-1419 (($ $) 99 (|has| |#1| (-172))) (($ $ $) 103 (|has| |#1| (-172)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 20 T CONST)) (-1557 (($) 9 T CONST)) (-1719 (((-121) $ $) NIL)) (-1775 (($ $) 48) (($ $ $) NIL)) (-1769 (($ $ $) 73)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ (-123) (-568)) NIL) (($ $ (-568)) 57)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 98) (($ $ $) 50) (($ |#1| $) 96 (|has| |#1| (-172))) (($ $ |#1|) 97 (|has| |#1| (-172))))) 
-(((-704 |#1| |#2|) (-13 (-1047) (-1037 |#1|) (-1037 (-123)) (-281 |#2| |#2|) (-10 -8 (IF (|has| |#1| (-150)) (-6 (-150)) |noBranch|) (IF (|has| |#1| (-148)) (-6 (-148)) |noBranch|) (IF (|has| |#1| (-172)) (PROGN (-6 (-43 |#1|)) (-15 -1419 ($ $)) (-15 -1419 ($ $ $)) (-15 -3756 (|#1| |#1|))) |noBranch|) (-15 -2513 ($ $ (-1 |#2| |#2|))) (-15 -3122 ($ $ (-1 |#2| |#2|))) (-15 ** ($ (-123) (-568))) (-15 ** ($ $ (-568))) (-15 -1624 (|#2| (-123) |#2|)) (-15 -3448 ($ |#1| (-363 (-123)))))) (-1047) (-637 |#1|)) (T -704)) 
-((-1419 (*1 *1 *1) (-12 (-4 *2 (-172)) (-4 *2 (-1047)) (-5 *1 (-704 *2 *3)) (-4 *3 (-637 *2)))) (-1419 (*1 *1 *1 *1) (-12 (-4 *2 (-172)) (-4 *2 (-1047)) (-5 *1 (-704 *2 *3)) (-4 *3 (-637 *2)))) (-3756 (*1 *2 *2) (-12 (-4 *2 (-172)) (-4 *2 (-1047)) (-5 *1 (-704 *2 *3)) (-4 *3 (-637 *2)))) (-2513 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-637 *3)) (-4 *3 (-1047)) (-5 *1 (-704 *3 *4)))) (-3122 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-637 *3)) (-4 *3 (-1047)) (-5 *1 (-704 *3 *4)))) (** (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-568)) (-4 *4 (-1047)) (-5 *1 (-704 *4 *5)) (-4 *5 (-637 *4)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-4 *3 (-1047)) (-5 *1 (-704 *3 *4)) (-4 *4 (-637 *3)))) (-1624 (*1 *2 *3 *2) (-12 (-5 *3 (-123)) (-4 *4 (-1047)) (-5 *1 (-704 *4 *2)) (-4 *2 (-637 *4)))) (-3448 (*1 *1 *2 *3) (-12 (-5 *3 (-363 (-123))) (-4 *2 (-1047)) (-5 *1 (-704 *2 *4)) (-4 *4 (-637 *2))))) 
-(-13 (-1047) (-1037 |#1|) (-1037 (-123)) (-281 |#2| |#2|) (-10 -8 (IF (|has| |#1| (-150)) (-6 (-150)) |noBranch|) (IF (|has| |#1| (-148)) (-6 (-148)) |noBranch|) (IF (|has| |#1| (-172)) (PROGN (-6 (-43 |#1|)) (-15 -1419 ($ $)) (-15 -1419 ($ $ $)) (-15 -3756 (|#1| |#1|))) |noBranch|) (-15 -2513 ($ $ (-1 |#2| |#2|))) (-15 -3122 ($ $ (-1 |#2| |#2|))) (-15 ** ($ (-123) (-568))) (-15 ** ($ $ (-568))) (-15 -1624 (|#2| (-123) |#2|)) (-15 -3448 ($ |#1| (-363 (-123)))))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 33)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-3094 (($ |#1| |#2|) 25)) (-2902 (((-3 $ "failed") $) 47)) (-1598 (((-121) $) 35)) (-2477 ((|#2| $) 12)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) 48)) (-4025 (((-1108) $) NIL)) (-2355 (((-3 $ "failed") $ $) 46)) (-2747 (((-850) $) 24) (($ (-568)) 19) ((|#1| $) 13)) (-3425 (((-763)) 28)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 16 T CONST)) (-1557 (($) 30 T CONST)) (-1719 (((-121) $ $) 38)) (-1775 (($ $) 43) (($ $ $) 37)) (-1769 (($ $ $) 40)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 21) (($ $ $) 20))) 
-(((-705 |#1| |#2| |#3| |#4| |#5|) (-13 (-1047) (-10 -8 (-15 -2477 (|#2| $)) (-15 -2747 (|#1| $)) (-15 -3094 ($ |#1| |#2|)) (-15 -2355 ((-3 $ "failed") $ $)) (-15 -2902 ((-3 $ "failed") $)) (-15 -2083 ($ $)))) (-172) (-23) (-1 |#1| |#1| |#2|) (-1 (-3 |#2| "failed") |#2| |#2|) (-1 (-3 |#1| "failed") |#1| |#1| |#2|)) (T -705)) 
-((-2902 (*1 *1 *1) (|partial| -12 (-5 *1 (-705 *2 *3 *4 *5 *6)) (-4 *2 (-172)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-2477 (*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-705 *3 *2 *4 *5 *6)) (-4 *3 (-172)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) (-2747 (*1 *2 *1) (-12 (-4 *2 (-172)) (-5 *1 (-705 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-3094 (*1 *1 *2 *3) (-12 (-5 *1 (-705 *2 *3 *4 *5 *6)) (-4 *2 (-172)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-2355 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-705 *2 *3 *4 *5 *6)) (-4 *2 (-172)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-2083 (*1 *1 *1) (-12 (-5 *1 (-705 *2 *3 *4 *5 *6)) (-4 *2 (-172)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3))))) 
-(-13 (-1047) (-10 -8 (-15 -2477 (|#2| $)) (-15 -2747 (|#1| $)) (-15 -3094 ($ |#1| |#2|)) (-15 -2355 ((-3 $ "failed") $ $)) (-15 -2902 ((-3 $ "failed") $)) (-15 -2083 ($ $)))) 
-((* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ |#2| $) NIL) (($ $ |#2|) 9))) 
-(((-706 |#1| |#2|) (-10 -8 (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-568) |#1|)) (-15 * (|#1| (-763) |#1|)) (-15 * (|#1| (-917) |#1|))) (-707 |#2|) (-172)) (T -706)) 
-NIL 
-(-10 -8 (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-568) |#1|)) (-15 * (|#1| (-763) |#1|)) (-15 * (|#1| (-917) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-3058 (($) 17 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24))) 
-(((-707 |#1|) (-1275) (-172)) (T -707)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-4116 ((|#1| $) 21)) (-3291 (($ $ $) NIL (|has| |#1| (-787)))) (-1538 (($ $ $) NIL (|has| |#1| (-787)))) (-2776 (((-1145) $) 46)) (-3360 (((-1109) $) NIL)) (-4121 ((|#3| $) 22)) (-2185 (((-851) $) 42)) (-3369 (($) 10 T CONST)) (-1693 (((-121) $ $) NIL (|has| |#1| (-787)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-787)))) (-1668 (((-121) $ $) 20)) (-1688 (((-121) $ $) NIL (|has| |#1| (-787)))) (-1678 (((-121) $ $) 24 (|has| |#1| (-787)))) (-1715 (($ $ |#3|) 34) (($ |#1| |#3|) 35)) (-1711 (($ $) 17) (($ $ $) NIL)) (-1707 (($ $ $) 27)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 30) (($ |#2| $) 32) (($ $ |#2|) NIL))) 
+(((-653 |#1| |#2| |#3|) (-13 (-708 |#2|) (-10 -8 (IF (|has| |#1| (-787)) (-6 (-787)) |noBranch|) (-15 -1715 ($ $ |#3|)) (-15 -1715 ($ |#1| |#3|)) (-15 -4116 (|#1| $)) (-15 -4121 (|#3| $)))) (-708 |#2|) (-173) (|SubsetCategory| (-717) |#2|)) (T -653)) 
+((-1715 (*1 *1 *1 *2) (-12 (-4 *4 (-173)) (-5 *1 (-653 *3 *4 *2)) (-4 *3 (-708 *4)) (-4 *2 (|SubsetCategory| (-717) *4)))) (-1715 (*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-653 *2 *4 *3)) (-4 *2 (-708 *4)) (-4 *3 (|SubsetCategory| (-717) *4)))) (-4116 (*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-708 *3)) (-5 *1 (-653 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-717) *3)))) (-4121 (*1 *2 *1) (-12 (-4 *4 (-173)) (-4 *2 (|SubsetCategory| (-717) *4)) (-5 *1 (-653 *3 *4 *2)) (-4 *3 (-708 *4))))) 
+(-13 (-708 |#2|) (-10 -8 (IF (|has| |#1| (-787)) (-6 (-787)) |noBranch|) (-15 -1715 ($ $ |#3|)) (-15 -1715 ($ |#1| |#3|)) (-15 -4116 (|#1| $)) (-15 -4121 (|#3| $)))) 
+((-4341 (((-680 |#1|) (-680 |#1|)) 27)) (-2733 (((-680 |#1|) (-680 |#1|)) 26)) (-3267 (((-635 (-635 |#1|)) (-635 |#1|) (-635 (-635 |#1|))) 44)) (-1772 (((-635 (-635 |#1|)) (-635 (-635 |#1|))) 29)) (-3619 (((-635 |#1|) (-635 |#1|) (-635 |#1|) |#1|) 43)) (-3455 (((-635 (-635 |#1|)) (-635 (-635 |#1|)) (-635 (-635 |#1|))) 34))) 
+(((-654 |#1|) (-10 -7 (-15 -4341 ((-680 |#1|) (-680 |#1|))) (-15 -2733 ((-680 |#1|) (-680 |#1|))) (-15 -1772 ((-635 (-635 |#1|)) (-635 (-635 |#1|)))) (-15 -3455 ((-635 (-635 |#1|)) (-635 (-635 |#1|)) (-635 (-635 |#1|)))) (-15 -3619 ((-635 |#1|) (-635 |#1|) (-635 |#1|) |#1|)) (-15 -3267 ((-635 (-635 |#1|)) (-635 |#1|) (-635 (-635 |#1|))))) (-366)) (T -654)) 
+((-3267 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-635 *4))) (-5 *3 (-635 *4)) (-4 *4 (-366)) (-5 *1 (-654 *4)))) (-3619 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-5 *1 (-654 *3)))) (-3455 (*1 *2 *2 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-366)) (-5 *1 (-654 *3)))) (-1772 (*1 *2 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-366)) (-5 *1 (-654 *3)))) (-2733 (*1 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-366)) (-5 *1 (-654 *3)))) (-4341 (*1 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-366)) (-5 *1 (-654 *3))))) 
+(-10 -7 (-15 -4341 ((-680 |#1|) (-680 |#1|))) (-15 -2733 ((-680 |#1|) (-680 |#1|))) (-15 -1772 ((-635 (-635 |#1|)) (-635 (-635 |#1|)))) (-15 -3455 ((-635 (-635 |#1|)) (-635 (-635 |#1|)) (-635 (-635 |#1|)))) (-15 -3619 ((-635 |#1|) (-635 |#1|) (-635 |#1|) |#1|)) (-15 -3267 ((-635 (-635 |#1|)) (-635 |#1|) (-635 (-635 |#1|))))) 
+((-3987 (((-121)) 46) (((-121) (-121)) 47)) (-3964 ((|#7| |#5| |#3|) 44)) (-3143 ((|#5| |#7|) 29)) (-2575 (((-2 (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (-635 (-569)))) |#3| |#5| |#3| (-569)) 99)) (-3242 (((-635 |#6|) |#5| |#3| (-569)) 35))) 
+(((-655 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -3987 ((-121) (-121))) (-15 -3987 ((-121))) (-15 -3964 (|#7| |#5| |#3|)) (-15 -3242 ((-635 |#6|) |#5| |#3| (-569))) (-15 -3143 (|#5| |#7|)) (-15 -2575 ((-2 (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (-635 (-569)))) |#3| |#5| |#3| (-569)))) (-366) (-635 (-1163)) (-951 |#1| |#4| (-853 |#2|)) (-231 (-4168 |#2|) (-764)) (-972 |#1|) (-642 |#1|) (-921 |#1| |#6|)) (T -655)) 
+((-2575 (*1 *2 *3 *4 *3 *5) (-12 (-4 *6 (-366)) (-14 *7 (-635 (-1163))) (-4 *8 (-231 (-4168 *7) (-764))) (-4 *9 (-642 *6)) (-5 *2 (-2 (|:| |fnc| *3) (|:| |crv| *3) (|:| |chart| (-635 (-569))))) (-5 *1 (-655 *6 *7 *3 *8 *4 *9 *10)) (-5 *5 (-569)) (-4 *3 (-951 *6 *8 (-853 *7))) (-4 *4 (-972 *6)) (-4 *10 (-921 *6 *9)))) (-3143 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-642 *4)) (-4 *2 (-972 *4)) (-5 *1 (-655 *4 *5 *6 *7 *2 *8 *3)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *3 (-921 *4 *8)))) (-3242 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-366)) (-14 *7 (-635 (-1163))) (-4 *8 (-231 (-4168 *7) (-764))) (-4 *9 (-642 *6)) (-5 *2 (-635 *9)) (-5 *1 (-655 *6 *7 *4 *8 *3 *9 *10)) (-4 *4 (-951 *6 *8 (-853 *7))) (-4 *3 (-972 *6)) (-4 *10 (-921 *6 *9)))) (-3964 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *2 (-921 *5 *8)) (-5 *1 (-655 *5 *6 *4 *7 *3 *8 *2)) (-4 *4 (-951 *5 *7 (-853 *6))) (-4 *3 (-972 *5)) (-4 *8 (-642 *5)))) (-3987 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *8 (-642 *3)) (-5 *2 (-121)) (-5 *1 (-655 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *7 (-972 *3)) (-4 *9 (-921 *3 *8)))) (-3987 (*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *8 (-642 *3)) (-5 *1 (-655 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *7 (-972 *3)) (-4 *9 (-921 *3 *8))))) 
+(-10 -7 (-15 -3987 ((-121) (-121))) (-15 -3987 ((-121))) (-15 -3964 (|#7| |#5| |#3|)) (-15 -3242 ((-635 |#6|) |#5| |#3| (-569))) (-15 -3143 (|#5| |#7|)) (-15 -2575 ((-2 (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (-635 (-569)))) |#3| |#5| |#3| (-569)))) 
+((-3762 (((-3 (-635 (-1159 |#1|)) "failed") (-635 (-1159 |#1|)) (-1159 |#1|)) 33))) 
+(((-656 |#1|) (-10 -7 (-15 -3762 ((-3 (-635 (-1159 |#1|)) "failed") (-635 (-1159 |#1|)) (-1159 |#1|)))) (-905)) (T -656)) 
+((-3762 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1159 *4))) (-5 *3 (-1159 *4)) (-4 *4 (-905)) (-5 *1 (-656 *4))))) 
+(-10 -7 (-15 -3762 ((-3 (-635 (-1159 |#1|)) "failed") (-635 (-1159 |#1|)) (-1159 |#1|)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3914 (((-635 |#1|) $) 82)) (-1920 (($ $ (-764)) 90)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-2123 (((-1269 |#1| |#2|) (-1269 |#1| |#2|) $) 48)) (-1647 (((-3 (-664 |#1|) "failed") $) NIL)) (-2428 (((-664 |#1|) $) NIL)) (-4020 (($ $) 89)) (-4244 (((-764) $) NIL)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-4145 (($ (-664 |#1|) |#2|) 68)) (-2208 (($ $) 86)) (-1544 (($ (-1 |#2| |#2|) $) NIL)) (-3642 (((-1269 |#1| |#2|) (-1269 |#1| |#2|) $) 47)) (-1859 (((-635 (-2 (|:| |k| (-664 |#1|)) (|:| |c| |#2|))) $) NIL)) (-3948 (((-2 (|:| |k| (-664 |#1|)) (|:| |c| |#2|)) $) NIL)) (-1804 (((-664 |#1|) $) NIL)) (-4012 ((|#2| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1468 (($ $ |#1| $) 30) (($ $ (-635 |#1|) (-635 $)) 32)) (-2492 (((-764) $) 88)) (-2139 (($ $ $) 20) (($ (-664 |#1|) (-664 |#1|)) 77) (($ (-664 |#1|) $) 75) (($ $ (-664 |#1|)) 76)) (-2185 (((-851) $) NIL) (($ |#1|) 74) (((-1260 |#1| |#2|) $) 58) (((-1269 |#1| |#2|) $) 41) (($ (-664 |#1|)) 25)) (-3382 (((-635 |#2|) $) NIL)) (-1653 ((|#2| $ (-664 |#1|)) NIL)) (-4140 ((|#2| (-1269 |#1| |#2|) $) 43)) (-3369 (($) 23 T CONST)) (-3287 (((-3 $ "failed") (-1260 |#1| |#2|)) 60)) (-1661 (($ (-664 |#1|)) 14)) (-1668 (((-121) $ $) 44)) (-1715 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1711 (($ $) 66) (($ $ $) NIL)) (-1707 (($ $ $) 29)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ |#2| $) 28) (($ $ |#2|) NIL) (($ |#2| (-664 |#1|)) NIL))) 
+(((-657 |#1| |#2|) (-13 (-377 |#1| |#2|) (-385 |#2| (-664 |#1|)) (-10 -8 (-15 -3287 ((-3 $ "failed") (-1260 |#1| |#2|))) (-15 -2139 ($ (-664 |#1|) (-664 |#1|))) (-15 -2139 ($ (-664 |#1|) $)) (-15 -2139 ($ $ (-664 |#1|))))) (-843) (-173)) (T -657)) 
+((-3287 (*1 *1 *2) (|partial| -12 (-5 *2 (-1260 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)) (-5 *1 (-657 *3 *4)))) (-2139 (*1 *1 *2 *2) (-12 (-5 *2 (-664 *3)) (-4 *3 (-843)) (-5 *1 (-657 *3 *4)) (-4 *4 (-173)))) (-2139 (*1 *1 *2 *1) (-12 (-5 *2 (-664 *3)) (-4 *3 (-843)) (-5 *1 (-657 *3 *4)) (-4 *4 (-173)))) (-2139 (*1 *1 *1 *2) (-12 (-5 *2 (-664 *3)) (-4 *3 (-843)) (-5 *1 (-657 *3 *4)) (-4 *4 (-173))))) 
+(-13 (-377 |#1| |#2|) (-385 |#2| (-664 |#1|)) (-10 -8 (-15 -3287 ((-3 $ "failed") (-1260 |#1| |#2|))) (-15 -2139 ($ (-664 |#1|) (-664 |#1|))) (-15 -2139 ($ (-664 |#1|) $)) (-15 -2139 ($ $ (-664 |#1|))))) 
+((-3034 (((-121) $) NIL) (((-121) (-1 (-121) |#2| |#2|) $) 49)) (-3076 (($ $) NIL) (($ (-1 (-121) |#2| |#2|) $) 11)) (-4216 (($ (-1 (-121) |#2|) $) 27)) (-1302 (($ $) 55)) (-3384 (($ $) 62)) (-4454 (($ |#2| $) NIL) (($ (-1 (-121) |#2|) $) 36)) (-1774 ((|#2| (-1 |#2| |#2| |#2|) $) 21) ((|#2| (-1 |#2| |#2| |#2|) $ |#2|) 50) ((|#2| (-1 |#2| |#2| |#2|) $ |#2| |#2|) 52)) (-3727 (((-569) |#2| $ (-569)) 60) (((-569) |#2| $) NIL) (((-569) (-1 (-121) |#2|) $) 46)) (-2659 (($ (-764) |#2|) 53)) (-2854 (($ $ $) NIL) (($ (-1 (-121) |#2| |#2|) $ $) 29)) (-3288 (($ $ $) NIL) (($ (-1 (-121) |#2| |#2|) $ $) 24)) (-1544 (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) 54)) (-2005 (($ |#2|) 14)) (-3172 (($ $ $ (-569)) 35) (($ |#2| $ (-569)) 33)) (-2502 (((-3 |#2| "failed") (-1 (-121) |#2|) $) 45)) (-4514 (($ $ (-1213 (-569))) 43) (($ $ (-569)) 37)) (-3389 (($ $ $ (-569)) 59)) (-1971 (($ $) 57)) (-1678 (((-121) $ $) 64))) 
+(((-658 |#1| |#2|) (-10 -8 (-15 -2005 (|#1| |#2|)) (-15 -4514 (|#1| |#1| (-569))) (-15 -4514 (|#1| |#1| (-1213 (-569)))) (-15 -4454 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -3172 (|#1| |#2| |#1| (-569))) (-15 -3172 (|#1| |#1| |#1| (-569))) (-15 -2854 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -4216 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4454 (|#1| |#2| |#1|)) (-15 -3384 (|#1| |#1|)) (-15 -2854 (|#1| |#1| |#1|)) (-15 -3288 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -3034 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -3727 ((-569) (-1 (-121) |#2|) |#1|)) (-15 -3727 ((-569) |#2| |#1|)) (-15 -3727 ((-569) |#2| |#1| (-569))) (-15 -3288 (|#1| |#1| |#1|)) (-15 -3034 ((-121) |#1|)) (-15 -3389 (|#1| |#1| |#1| (-569))) (-15 -1302 (|#1| |#1|)) (-15 -3076 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -3076 (|#1| |#1|)) (-15 -1678 ((-121) |#1| |#1|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -2502 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -2659 (|#1| (-764) |#2|)) (-15 -1544 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1971 (|#1| |#1|))) (-659 |#2|) (-1197)) (T -658)) 
+NIL 
+(-10 -8 (-15 -2005 (|#1| |#2|)) (-15 -4514 (|#1| |#1| (-569))) (-15 -4514 (|#1| |#1| (-1213 (-569)))) (-15 -4454 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -3172 (|#1| |#2| |#1| (-569))) (-15 -3172 (|#1| |#1| |#1| (-569))) (-15 -2854 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -4216 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4454 (|#1| |#2| |#1|)) (-15 -3384 (|#1| |#1|)) (-15 -2854 (|#1| |#1| |#1|)) (-15 -3288 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -3034 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -3727 ((-569) (-1 (-121) |#2|) |#1|)) (-15 -3727 ((-569) |#2| |#1|)) (-15 -3727 ((-569) |#2| |#1| (-569))) (-15 -3288 (|#1| |#1| |#1|)) (-15 -3034 ((-121) |#1|)) (-15 -3389 (|#1| |#1| |#1| (-569))) (-15 -1302 (|#1| |#1|)) (-15 -3076 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -3076 (|#1| |#1|)) (-15 -1678 ((-121) |#1| |#1|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -2502 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -2659 (|#1| (-764) |#2|)) (-15 -1544 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1971 (|#1| |#1|))) 
+((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-2247 ((|#1| $) 45)) (-4360 ((|#1| $) 62)) (-4459 (($ $) 64)) (-3112 (((-1252) $ (-569) (-569)) 94 (|has| $ (-6 -4536)))) (-3138 (($ $ (-569)) 49 (|has| $ (-6 -4536)))) (-3034 (((-121) $) 136 (|has| |#1| (-843))) (((-121) (-1 (-121) |#1| |#1|) $) 130)) (-3076 (($ $) 140 (-12 (|has| |#1| (-843)) (|has| $ (-6 -4536)))) (($ (-1 (-121) |#1| |#1|) $) 139 (|has| $ (-6 -4536)))) (-3113 (($ $) 135 (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $) 129)) (-1691 (((-121) $ (-764)) 8)) (-3891 ((|#1| $ |#1|) 36 (|has| $ (-6 -4536)))) (-3014 (($ $ $) 53 (|has| $ (-6 -4536)))) (-1868 ((|#1| $ |#1|) 51 (|has| $ (-6 -4536)))) (-3159 ((|#1| $ |#1|) 55 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4536))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4536))) (($ $ "rest" $) 52 (|has| $ (-6 -4536))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) 114 (|has| $ (-6 -4536))) ((|#1| $ (-569) |#1|) 83 (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) 38 (|has| $ (-6 -4536)))) (-4216 (($ (-1 (-121) |#1|) $) 123)) (-1962 (($ (-1 (-121) |#1|) $) 99 (|has| $ (-6 -4535)))) (-1669 ((|#1| $) 63)) (-2820 (($) 7 T CONST)) (-1302 (($ $) 138 (|has| $ (-6 -4536)))) (-2052 (($ $) 128)) (-2046 (($ $) 70) (($ $ (-764)) 68)) (-3384 (($ $) 125 (|has| |#1| (-1091)))) (-2033 (($ $) 96 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4454 (($ |#1| $) 124 (|has| |#1| (-1091))) (($ (-1 (-121) |#1|) $) 119)) (-4347 (($ (-1 (-121) |#1|) $) 100 (|has| $ (-6 -4535))) (($ |#1| $) 97 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $) 102 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 101 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 98 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-2726 ((|#1| $ (-569) |#1|) 82 (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) 84)) (-3108 (((-121) $) 80)) (-3727 (((-569) |#1| $ (-569)) 133 (|has| |#1| (-1091))) (((-569) |#1| $) 132 (|has| |#1| (-1091))) (((-569) (-1 (-121) |#1|) $) 131)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) 47)) (-4349 (((-121) $ $) 39 (|has| |#1| (-1091)))) (-2659 (($ (-764) |#1|) 105)) (-1974 (((-121) $ (-764)) 9)) (-3557 (((-569) $) 92 (|has| (-569) (-843)))) (-3291 (($ $ $) 141 (|has| |#1| (-843)))) (-2854 (($ $ $) 126 (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $ $) 122)) (-3288 (($ $ $) 134 (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $ $) 127)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1285 (((-569) $) 91 (|has| (-569) (-843)))) (-1538 (($ $ $) 142 (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 108)) (-2005 (($ |#1|) 116)) (-2006 (((-121) $ (-764)) 10)) (-2824 (((-635 |#1|) $) 42)) (-3486 (((-121) $) 46)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-4213 ((|#1| $) 67) (($ $ (-764)) 65)) (-3172 (($ $ $ (-569)) 121) (($ |#1| $ (-569)) 120)) (-3614 (($ $ $ (-569)) 113) (($ |#1| $ (-569)) 112)) (-4166 (((-635 (-569)) $) 89)) (-3533 (((-121) (-569) $) 88)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4353 ((|#1| $) 73) (($ $ (-764)) 71)) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 103)) (-3174 (($ $ |#1|) 93 (|has| $ (-6 -4536)))) (-2695 (((-121) $) 81)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) |#1| $) 90 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) 87)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66) (($ $ (-1213 (-569))) 109) ((|#1| $ (-569)) 86) ((|#1| $ (-569) |#1|) 85)) (-1686 (((-569) $ $) 41)) (-4514 (($ $ (-1213 (-569))) 118) (($ $ (-569)) 117)) (-3010 (($ $ (-1213 (-569))) 111) (($ $ (-569)) 110)) (-1472 (((-121) $) 43)) (-2645 (($ $) 59)) (-2780 (($ $) 56 (|has| $ (-6 -4536)))) (-4035 (((-764) $) 60)) (-4343 (($ $) 61)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-3389 (($ $ $ (-569)) 137 (|has| $ (-6 -4536)))) (-1971 (($ $) 13)) (-3817 (((-542) $) 95 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 104)) (-2697 (($ $ $) 58) (($ $ |#1|) 57)) (-2250 (($ $ $) 75) (($ |#1| $) 74) (($ (-635 $)) 107) (($ $ |#1|) 106)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-4114 (((-635 $) $) 48)) (-2447 (((-121) $ $) 40 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) 144 (|has| |#1| (-843)))) (-1684 (((-121) $ $) 145 (|has| |#1| (-843)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-1688 (((-121) $ $) 143 (|has| |#1| (-843)))) (-1678 (((-121) $ $) 146 (|has| |#1| (-843)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-659 |#1|) (-1278) (-1197)) (T -659)) 
+((-2005 (*1 *1 *2) (-12 (-4 *1 (-659 *2)) (-4 *2 (-1197))))) 
+(-13 (-1135 |t#1|) (-376 |t#1|) (-278 |t#1|) (-10 -8 (-15 -2005 ($ |t#1|)))) 
+(((-39) . T) ((-105) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-609 (-851)) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-278 |#1|) . T) ((-376 |#1|) . T) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-641 |#1|) . T) ((-843) |has| |#1| (-843)) ((-1011 |#1|) . T) ((-1091) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-1135 |#1|) . T) ((-1197) . T) ((-1234 |#1|) . T)) 
+((-4435 (((-635 (-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|))))) (-635 (-635 |#1|)) (-635 (-1247 |#1|))) 21) (((-635 (-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|))))) (-680 |#1|) (-635 (-1247 |#1|))) 20) (((-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|)))) (-635 (-635 |#1|)) (-1247 |#1|)) 16) (((-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|)))) (-680 |#1|) (-1247 |#1|)) 13)) (-1321 (((-764) (-680 |#1|) (-1247 |#1|)) 29)) (-2163 (((-3 (-1247 |#1|) "failed") (-680 |#1|) (-1247 |#1|)) 23)) (-2730 (((-121) (-680 |#1|) (-1247 |#1|)) 26))) 
+(((-660 |#1|) (-10 -7 (-15 -4435 ((-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|)))) (-680 |#1|) (-1247 |#1|))) (-15 -4435 ((-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|)))) (-635 (-635 |#1|)) (-1247 |#1|))) (-15 -4435 ((-635 (-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|))))) (-680 |#1|) (-635 (-1247 |#1|)))) (-15 -4435 ((-635 (-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|))))) (-635 (-635 |#1|)) (-635 (-1247 |#1|)))) (-15 -2163 ((-3 (-1247 |#1|) "failed") (-680 |#1|) (-1247 |#1|))) (-15 -2730 ((-121) (-680 |#1|) (-1247 |#1|))) (-15 -1321 ((-764) (-680 |#1|) (-1247 |#1|)))) (-366)) (T -660)) 
+((-1321 (*1 *2 *3 *4) (-12 (-5 *3 (-680 *5)) (-5 *4 (-1247 *5)) (-4 *5 (-366)) (-5 *2 (-764)) (-5 *1 (-660 *5)))) (-2730 (*1 *2 *3 *4) (-12 (-5 *3 (-680 *5)) (-5 *4 (-1247 *5)) (-4 *5 (-366)) (-5 *2 (-121)) (-5 *1 (-660 *5)))) (-2163 (*1 *2 *3 *2) (|partial| -12 (-5 *2 (-1247 *4)) (-5 *3 (-680 *4)) (-4 *4 (-366)) (-5 *1 (-660 *4)))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 *5))) (-4 *5 (-366)) (-5 *2 (-635 (-2 (|:| |particular| (-3 (-1247 *5) "failed")) (|:| -3930 (-635 (-1247 *5)))))) (-5 *1 (-660 *5)) (-5 *4 (-635 (-1247 *5))))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-680 *5)) (-4 *5 (-366)) (-5 *2 (-635 (-2 (|:| |particular| (-3 (-1247 *5) "failed")) (|:| -3930 (-635 (-1247 *5)))))) (-5 *1 (-660 *5)) (-5 *4 (-635 (-1247 *5))))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 *5))) (-4 *5 (-366)) (-5 *2 (-2 (|:| |particular| (-3 (-1247 *5) "failed")) (|:| -3930 (-635 (-1247 *5))))) (-5 *1 (-660 *5)) (-5 *4 (-1247 *5)))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-680 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |particular| (-3 (-1247 *5) "failed")) (|:| -3930 (-635 (-1247 *5))))) (-5 *1 (-660 *5)) (-5 *4 (-1247 *5))))) 
+(-10 -7 (-15 -4435 ((-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|)))) (-680 |#1|) (-1247 |#1|))) (-15 -4435 ((-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|)))) (-635 (-635 |#1|)) (-1247 |#1|))) (-15 -4435 ((-635 (-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|))))) (-680 |#1|) (-635 (-1247 |#1|)))) (-15 -4435 ((-635 (-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|))))) (-635 (-635 |#1|)) (-635 (-1247 |#1|)))) (-15 -2163 ((-3 (-1247 |#1|) "failed") (-680 |#1|) (-1247 |#1|))) (-15 -2730 ((-121) (-680 |#1|) (-1247 |#1|))) (-15 -1321 ((-764) (-680 |#1|) (-1247 |#1|)))) 
+((-4435 (((-635 (-2 (|:| |particular| (-3 |#3| "failed")) (|:| -3930 (-635 |#3|)))) |#4| (-635 |#3|)) 47) (((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -3930 (-635 |#3|))) |#4| |#3|) 45)) (-1321 (((-764) |#4| |#3|) 17)) (-2163 (((-3 |#3| "failed") |#4| |#3|) 20)) (-2730 (((-121) |#4| |#3|) 13))) 
+(((-661 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4435 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -3930 (-635 |#3|))) |#4| |#3|)) (-15 -4435 ((-635 (-2 (|:| |particular| (-3 |#3| "failed")) (|:| -3930 (-635 |#3|)))) |#4| (-635 |#3|))) (-15 -2163 ((-3 |#3| "failed") |#4| |#3|)) (-15 -2730 ((-121) |#4| |#3|)) (-15 -1321 ((-764) |#4| |#3|))) (-366) (-13 (-376 |#1|) (-10 -7 (-6 -4536))) (-13 (-376 |#1|) (-10 -7 (-6 -4536))) (-678 |#1| |#2| |#3|)) (T -661)) 
+((-1321 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-5 *2 (-764)) (-5 *1 (-661 *5 *6 *4 *3)) (-4 *3 (-678 *5 *6 *4)))) (-2730 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-5 *2 (-121)) (-5 *1 (-661 *5 *6 *4 *3)) (-4 *3 (-678 *5 *6 *4)))) (-2163 (*1 *2 *3 *2) (|partial| -12 (-4 *4 (-366)) (-4 *5 (-13 (-376 *4) (-10 -7 (-6 -4536)))) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4536)))) (-5 *1 (-661 *4 *5 *2 *3)) (-4 *3 (-678 *4 *5 *2)))) (-4435 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-4 *7 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-5 *2 (-635 (-2 (|:| |particular| (-3 *7 "failed")) (|:| -3930 (-635 *7))))) (-5 *1 (-661 *5 *6 *7 *3)) (-5 *4 (-635 *7)) (-4 *3 (-678 *5 *6 *7)))) (-4435 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-661 *5 *6 *4 *3)) (-4 *3 (-678 *5 *6 *4))))) 
+(-10 -7 (-15 -4435 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -3930 (-635 |#3|))) |#4| |#3|)) (-15 -4435 ((-635 (-2 (|:| |particular| (-3 |#3| "failed")) (|:| -3930 (-635 |#3|)))) |#4| (-635 |#3|))) (-15 -2163 ((-3 |#3| "failed") |#4| |#3|)) (-15 -2730 ((-121) |#4| |#3|)) (-15 -1321 ((-764) |#4| |#3|))) 
+((-1673 (((-2 (|:| |particular| (-3 (-1247 (-410 |#4|)) "failed")) (|:| -3930 (-635 (-1247 (-410 |#4|))))) (-635 |#4|) (-635 |#3|)) 44))) 
+(((-662 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1673 ((-2 (|:| |particular| (-3 (-1247 (-410 |#4|)) "failed")) (|:| -3930 (-635 (-1247 (-410 |#4|))))) (-635 |#4|) (-635 |#3|)))) (-559) (-789) (-843) (-951 |#1| |#2| |#3|)) (T -662)) 
+((-1673 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *7)) (-4 *7 (-843)) (-4 *8 (-951 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-5 *2 (-2 (|:| |particular| (-3 (-1247 (-410 *8)) "failed")) (|:| -3930 (-635 (-1247 (-410 *8)))))) (-5 *1 (-662 *5 *6 *7 *8))))) 
+(-10 -7 (-15 -1673 ((-2 (|:| |particular| (-3 (-1247 (-410 |#4|)) "failed")) (|:| -3930 (-635 (-1247 (-410 |#4|))))) (-635 |#4|) (-635 |#3|)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-4276 (((-3 $ "failed")) NIL (|has| |#2| (-559)))) (-1377 ((|#2| $) NIL)) (-4144 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-4064 (((-1247 (-680 |#2|))) NIL) (((-1247 (-680 |#2|)) (-1247 $)) NIL)) (-3569 (((-121) $) NIL)) (-2141 (((-1247 $)) 37)) (-1691 (((-121) $ (-764)) NIL)) (-1574 (($ |#2|) NIL)) (-2820 (($) NIL T CONST)) (-4036 (($ $) NIL (|has| |#2| (-302)))) (-1765 (((-233 |#1| |#2|) $ (-569)) NIL)) (-3781 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) NIL (|has| |#2| (-559)))) (-1531 (((-3 $ "failed")) NIL (|has| |#2| (-559)))) (-2909 (((-680 |#2|)) NIL) (((-680 |#2|) (-1247 $)) NIL)) (-1723 ((|#2| $) NIL)) (-1792 (((-680 |#2|) $) NIL) (((-680 |#2|) $ (-1247 $)) NIL)) (-1620 (((-3 $ "failed") $) NIL (|has| |#2| (-559)))) (-2800 (((-1159 (-954 |#2|))) NIL (|has| |#2| (-366)))) (-1628 (($ $ (-918)) NIL)) (-2830 ((|#2| $) NIL)) (-2246 (((-1159 |#2|) $) NIL (|has| |#2| (-559)))) (-3316 ((|#2|) NIL) ((|#2| (-1247 $)) NIL)) (-2355 (((-1159 |#2|) $) NIL)) (-2607 (((-121)) NIL)) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#2| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-3 |#2| "failed") $) NIL)) (-2428 (((-569) $) NIL (|has| |#2| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#2| (-1038 (-410 (-569))))) ((|#2| $) NIL)) (-2623 (($ (-1247 |#2|)) NIL) (($ (-1247 |#2|) (-1247 $)) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL) (((-680 |#2|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1321 (((-764) $) NIL (|has| |#2| (-559))) (((-918)) 38)) (-1618 ((|#2| $ (-569) (-569)) NIL)) (-3919 (((-121)) NIL)) (-1851 (($ $ (-918)) NIL)) (-3470 (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-1407 (((-121) $) NIL)) (-3695 (((-764) $) NIL (|has| |#2| (-559)))) (-3645 (((-635 (-233 |#1| |#2|)) $) NIL (|has| |#2| (-559)))) (-1810 (((-764) $) NIL)) (-2007 (((-121)) NIL)) (-2806 (((-764) $) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-1558 ((|#2| $) NIL (|has| |#2| (-6 (-4537 "*"))))) (-3992 (((-569) $) NIL)) (-3127 (((-569) $) NIL)) (-4259 (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1866 (((-569) $) NIL)) (-1581 (((-569) $) NIL)) (-1483 (($ (-635 (-635 |#2|))) NIL)) (-1853 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#2| |#2| |#2|) $ $) NIL) (($ (-1 |#2| |#2|) $) NIL)) (-2550 (((-635 (-635 |#2|)) $) NIL)) (-1370 (((-121)) NIL)) (-4239 (((-121)) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-3926 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) NIL (|has| |#2| (-559)))) (-1588 (((-3 $ "failed")) NIL (|has| |#2| (-559)))) (-2991 (((-680 |#2|)) NIL) (((-680 |#2|) (-1247 $)) NIL)) (-1545 ((|#2| $) NIL)) (-4007 (((-680 |#2|) $) NIL) (((-680 |#2|) $ (-1247 $)) NIL)) (-4439 (((-3 $ "failed") $) NIL (|has| |#2| (-559)))) (-3282 (((-1159 (-954 |#2|))) NIL (|has| |#2| (-366)))) (-3272 (($ $ (-918)) NIL)) (-4200 ((|#2| $) NIL)) (-3851 (((-1159 |#2|) $) NIL (|has| |#2| (-559)))) (-1584 ((|#2|) NIL) ((|#2| (-1247 $)) NIL)) (-2415 (((-1159 |#2|) $) NIL)) (-2377 (((-121)) NIL)) (-2776 (((-1145) $) NIL)) (-3379 (((-121)) NIL)) (-3337 (((-121)) NIL)) (-2598 (((-121)) NIL)) (-4480 (((-3 $ "failed") $) NIL (|has| |#2| (-366)))) (-3360 (((-1109) $) NIL)) (-1324 (((-121)) NIL)) (-2941 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559)))) (-4177 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#2| $ (-569) (-569) |#2|) NIL) ((|#2| $ (-569) (-569)) 22) ((|#2| $ (-569)) NIL)) (-3899 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-764)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-4397 ((|#2| $) NIL)) (-2455 (($ (-635 |#2|)) NIL)) (-2584 (((-121) $) NIL)) (-3425 (((-233 |#1| |#2|) $) NIL)) (-1787 ((|#2| $) NIL (|has| |#2| (-6 (-4537 "*"))))) (-2846 (((-764) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535))) (((-764) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1971 (($ $) NIL)) (-1648 (((-680 |#2|) (-1247 $)) NIL) (((-1247 |#2|) $) NIL) (((-680 |#2|) (-1247 $) (-1247 $)) NIL) (((-1247 |#2|) $ (-1247 $)) 25)) (-3817 (($ (-1247 |#2|)) NIL) (((-1247 |#2|) $) NIL)) (-3393 (((-635 (-954 |#2|))) NIL) (((-635 (-954 |#2|)) (-1247 $)) NIL)) (-4293 (($ $ $) NIL)) (-2093 (((-121)) NIL)) (-3419 (((-233 |#1| |#2|) $ (-569)) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#2| (-1038 (-410 (-569))))) (($ |#2|) NIL) (((-680 |#2|) $) NIL)) (-1991 (((-764)) NIL)) (-3930 (((-1247 $)) 36)) (-2131 (((-635 (-1247 |#2|))) NIL (|has| |#2| (-559)))) (-1383 (($ $ $ $) NIL)) (-4220 (((-121)) NIL)) (-1943 (($ (-680 |#2|) $) NIL)) (-2066 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-2256 (((-121) $) NIL)) (-4033 (($ $ $) NIL)) (-1597 (((-121)) NIL)) (-3922 (((-121)) NIL)) (-4227 (((-121)) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-764)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#2| (-366)))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL) (((-233 |#1| |#2|) $ (-233 |#1| |#2|)) NIL) (((-233 |#1| |#2|) (-233 |#1| |#2|) $) NIL)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-663 |#1| |#2|) (-13 (-1112 |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) (-609 (-680 |#2|)) (-420 |#2|)) (-918) (-173)) (T -663)) 
+NIL 
+(-13 (-1112 |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) (-609 (-680 |#2|)) (-420 |#2|)) 
+((-2568 (((-121) $ $) NIL)) (-3914 (((-635 |#1|) $) NIL)) (-1869 (($ $) 50)) (-3633 (((-121) $) NIL)) (-1647 (((-3 |#1| "failed") $) NIL)) (-2428 ((|#1| $) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1492 (((-3 $ "failed") (-815 |#1|)) 22)) (-2010 (((-121) (-815 |#1|)) 14)) (-3715 (($ (-815 |#1|)) 23)) (-2152 (((-121) $ $) 28)) (-1906 (((-918) $) 35)) (-3833 (($ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1743 (((-635 $) (-815 |#1|)) 16)) (-2185 (((-851) $) 41) (($ |#1|) 32) (((-815 |#1|) $) 37) (((-668 |#1|) $) 42)) (-1793 (((-64 (-635 $)) (-635 |#1|) (-918)) 55)) (-1726 (((-635 $) (-635 |#1|) (-918)) 57)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 51)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 36))) 
+(((-664 |#1|) (-13 (-843) (-1038 |#1|) (-10 -8 (-15 -3633 ((-121) $)) (-15 -3833 ($ $)) (-15 -1869 ($ $)) (-15 -1906 ((-918) $)) (-15 -2152 ((-121) $ $)) (-15 -2185 ((-815 |#1|) $)) (-15 -2185 ((-668 |#1|) $)) (-15 -1743 ((-635 $) (-815 |#1|))) (-15 -2010 ((-121) (-815 |#1|))) (-15 -3715 ($ (-815 |#1|))) (-15 -1492 ((-3 $ "failed") (-815 |#1|))) (-15 -3914 ((-635 |#1|) $)) (-15 -1793 ((-64 (-635 $)) (-635 |#1|) (-918))) (-15 -1726 ((-635 $) (-635 |#1|) (-918))))) (-843)) (T -664)) 
+((-3633 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-664 *3)) (-4 *3 (-843)))) (-3833 (*1 *1 *1) (-12 (-5 *1 (-664 *2)) (-4 *2 (-843)))) (-1869 (*1 *1 *1) (-12 (-5 *1 (-664 *2)) (-4 *2 (-843)))) (-1906 (*1 *2 *1) (-12 (-5 *2 (-918)) (-5 *1 (-664 *3)) (-4 *3 (-843)))) (-2152 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-664 *3)) (-4 *3 (-843)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-815 *3)) (-5 *1 (-664 *3)) (-4 *3 (-843)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-668 *3)) (-5 *1 (-664 *3)) (-4 *3 (-843)))) (-1743 (*1 *2 *3) (-12 (-5 *3 (-815 *4)) (-4 *4 (-843)) (-5 *2 (-635 (-664 *4))) (-5 *1 (-664 *4)))) (-2010 (*1 *2 *3) (-12 (-5 *3 (-815 *4)) (-4 *4 (-843)) (-5 *2 (-121)) (-5 *1 (-664 *4)))) (-3715 (*1 *1 *2) (-12 (-5 *2 (-815 *3)) (-4 *3 (-843)) (-5 *1 (-664 *3)))) (-1492 (*1 *1 *2) (|partial| -12 (-5 *2 (-815 *3)) (-4 *3 (-843)) (-5 *1 (-664 *3)))) (-3914 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-664 *3)) (-4 *3 (-843)))) (-1793 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-918)) (-4 *5 (-843)) (-5 *2 (-64 (-635 (-664 *5)))) (-5 *1 (-664 *5)))) (-1726 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-918)) (-4 *5 (-843)) (-5 *2 (-635 (-664 *5))) (-5 *1 (-664 *5))))) 
+(-13 (-843) (-1038 |#1|) (-10 -8 (-15 -3633 ((-121) $)) (-15 -3833 ($ $)) (-15 -1869 ($ $)) (-15 -1906 ((-918) $)) (-15 -2152 ((-121) $ $)) (-15 -2185 ((-815 |#1|) $)) (-15 -2185 ((-668 |#1|) $)) (-15 -1743 ((-635 $) (-815 |#1|))) (-15 -2010 ((-121) (-815 |#1|))) (-15 -3715 ($ (-815 |#1|))) (-15 -1492 ((-3 $ "failed") (-815 |#1|))) (-15 -3914 ((-635 |#1|) $)) (-15 -1793 ((-64 (-635 $)) (-635 |#1|) (-918))) (-15 -1726 ((-635 $) (-635 |#1|) (-918))))) 
+((-2247 ((|#2| $) 76)) (-4459 (($ $) 96)) (-1691 (((-121) $ (-764)) 26)) (-2046 (($ $) 85) (($ $ (-764)) 88)) (-3108 (((-121) $) 97)) (-4032 (((-635 $) $) 72)) (-4349 (((-121) $ $) 71)) (-1974 (((-121) $ (-764)) 24)) (-3557 (((-569) $) 46)) (-1285 (((-569) $) 45)) (-2006 (((-121) $ (-764)) 22)) (-3486 (((-121) $) 74)) (-4213 ((|#2| $) 89) (($ $ (-764)) 92)) (-3614 (($ $ $ (-569)) 62) (($ |#2| $ (-569)) 61)) (-4166 (((-635 (-569)) $) 44)) (-3533 (((-121) (-569) $) 42)) (-4353 ((|#2| $) NIL) (($ $ (-764)) 84)) (-3499 (($ $ (-569)) 99)) (-2695 (((-121) $) 98)) (-4177 (((-121) (-1 (-121) |#2|) $) 32)) (-2691 (((-635 |#2|) $) 33)) (-1534 ((|#2| $ "value") NIL) ((|#2| $ "first") 83) (($ $ "rest") 87) ((|#2| $ "last") 95) (($ $ (-1213 (-569))) 58) ((|#2| $ (-569)) 40) ((|#2| $ (-569) |#2|) 41)) (-1686 (((-569) $ $) 70)) (-3010 (($ $ (-1213 (-569))) 57) (($ $ (-569)) 51)) (-1472 (((-121) $) 66)) (-2645 (($ $) 81)) (-4035 (((-764) $) 80)) (-4343 (($ $) 79)) (-2139 (($ (-635 |#2|)) 37)) (-3659 (($ $) 100)) (-4114 (((-635 $) $) 69)) (-2447 (((-121) $ $) 68)) (-2066 (((-121) (-1 (-121) |#2|) $) 31)) (-1668 (((-121) $ $) 18)) (-4168 (((-764) $) 29))) 
+(((-665 |#1| |#2|) (-10 -8 (-15 -3659 (|#1| |#1|)) (-15 -3499 (|#1| |#1| (-569))) (-15 -3108 ((-121) |#1|)) (-15 -2695 ((-121) |#1|)) (-15 -1534 (|#2| |#1| (-569) |#2|)) (-15 -1534 (|#2| |#1| (-569))) (-15 -2691 ((-635 |#2|) |#1|)) (-15 -3533 ((-121) (-569) |#1|)) (-15 -4166 ((-635 (-569)) |#1|)) (-15 -1285 ((-569) |#1|)) (-15 -3557 ((-569) |#1|)) (-15 -2139 (|#1| (-635 |#2|))) (-15 -1534 (|#1| |#1| (-1213 (-569)))) (-15 -3010 (|#1| |#1| (-569))) (-15 -3010 (|#1| |#1| (-1213 (-569)))) (-15 -3614 (|#1| |#2| |#1| (-569))) (-15 -3614 (|#1| |#1| |#1| (-569))) (-15 -2645 (|#1| |#1|)) (-15 -4035 ((-764) |#1|)) (-15 -4343 (|#1| |#1|)) (-15 -4459 (|#1| |#1|)) (-15 -4213 (|#1| |#1| (-764))) (-15 -1534 (|#2| |#1| "last")) (-15 -4213 (|#2| |#1|)) (-15 -2046 (|#1| |#1| (-764))) (-15 -1534 (|#1| |#1| "rest")) (-15 -2046 (|#1| |#1|)) (-15 -4353 (|#1| |#1| (-764))) (-15 -1534 (|#2| |#1| "first")) (-15 -4353 (|#2| |#1|)) (-15 -4349 ((-121) |#1| |#1|)) (-15 -2447 ((-121) |#1| |#1|)) (-15 -1686 ((-569) |#1| |#1|)) (-15 -1472 ((-121) |#1|)) (-15 -1534 (|#2| |#1| "value")) (-15 -2247 (|#2| |#1|)) (-15 -3486 ((-121) |#1|)) (-15 -4032 ((-635 |#1|) |#1|)) (-15 -4114 ((-635 |#1|) |#1|)) (-15 -1668 ((-121) |#1| |#1|)) (-15 -4177 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2066 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -4168 ((-764) |#1|)) (-15 -1691 ((-121) |#1| (-764))) (-15 -1974 ((-121) |#1| (-764))) (-15 -2006 ((-121) |#1| (-764)))) (-666 |#2|) (-1197)) (T -665)) 
+NIL 
+(-10 -8 (-15 -3659 (|#1| |#1|)) (-15 -3499 (|#1| |#1| (-569))) (-15 -3108 ((-121) |#1|)) (-15 -2695 ((-121) |#1|)) (-15 -1534 (|#2| |#1| (-569) |#2|)) (-15 -1534 (|#2| |#1| (-569))) (-15 -2691 ((-635 |#2|) |#1|)) (-15 -3533 ((-121) (-569) |#1|)) (-15 -4166 ((-635 (-569)) |#1|)) (-15 -1285 ((-569) |#1|)) (-15 -3557 ((-569) |#1|)) (-15 -2139 (|#1| (-635 |#2|))) (-15 -1534 (|#1| |#1| (-1213 (-569)))) (-15 -3010 (|#1| |#1| (-569))) (-15 -3010 (|#1| |#1| (-1213 (-569)))) (-15 -3614 (|#1| |#2| |#1| (-569))) (-15 -3614 (|#1| |#1| |#1| (-569))) (-15 -2645 (|#1| |#1|)) (-15 -4035 ((-764) |#1|)) (-15 -4343 (|#1| |#1|)) (-15 -4459 (|#1| |#1|)) (-15 -4213 (|#1| |#1| (-764))) (-15 -1534 (|#2| |#1| "last")) (-15 -4213 (|#2| |#1|)) (-15 -2046 (|#1| |#1| (-764))) (-15 -1534 (|#1| |#1| "rest")) (-15 -2046 (|#1| |#1|)) (-15 -4353 (|#1| |#1| (-764))) (-15 -1534 (|#2| |#1| "first")) (-15 -4353 (|#2| |#1|)) (-15 -4349 ((-121) |#1| |#1|)) (-15 -2447 ((-121) |#1| |#1|)) (-15 -1686 ((-569) |#1| |#1|)) (-15 -1472 ((-121) |#1|)) (-15 -1534 (|#2| |#1| "value")) (-15 -2247 (|#2| |#1|)) (-15 -3486 ((-121) |#1|)) (-15 -4032 ((-635 |#1|) |#1|)) (-15 -4114 ((-635 |#1|) |#1|)) (-15 -1668 ((-121) |#1| |#1|)) (-15 -4177 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2066 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -4168 ((-764) |#1|)) (-15 -1691 ((-121) |#1| (-764))) (-15 -1974 ((-121) |#1| (-764))) (-15 -2006 ((-121) |#1| (-764)))) 
+((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-2247 ((|#1| $) 45)) (-4360 ((|#1| $) 62)) (-4459 (($ $) 64)) (-3112 (((-1252) $ (-569) (-569)) 94 (|has| $ (-6 -4536)))) (-3138 (($ $ (-569)) 49 (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) 8)) (-3891 ((|#1| $ |#1|) 36 (|has| $ (-6 -4536)))) (-3014 (($ $ $) 53 (|has| $ (-6 -4536)))) (-1868 ((|#1| $ |#1|) 51 (|has| $ (-6 -4536)))) (-3159 ((|#1| $ |#1|) 55 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4536))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4536))) (($ $ "rest" $) 52 (|has| $ (-6 -4536))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) 114 (|has| $ (-6 -4536))) ((|#1| $ (-569) |#1|) 83 (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) 38 (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) 99)) (-1669 ((|#1| $) 63)) (-2820 (($) 7 T CONST)) (-3913 (($ $) 118)) (-2046 (($ $) 70) (($ $ (-764)) 68)) (-2033 (($ $) 96 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ |#1| $) 97 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 100)) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $) 102 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 101 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 98 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-2726 ((|#1| $ (-569) |#1|) 82 (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) 84)) (-3108 (((-121) $) 80)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-2534 (((-764) $) 117)) (-4032 (((-635 $) $) 47)) (-4349 (((-121) $ $) 39 (|has| |#1| (-1091)))) (-2659 (($ (-764) |#1|) 105)) (-1974 (((-121) $ (-764)) 9)) (-3557 (((-569) $) 92 (|has| (-569) (-843)))) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1285 (((-569) $) 91 (|has| (-569) (-843)))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 108)) (-2006 (((-121) $ (-764)) 10)) (-2824 (((-635 |#1|) $) 42)) (-3486 (((-121) $) 46)) (-1572 (($ $) 120)) (-2796 (((-121) $) 121)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-4213 ((|#1| $) 67) (($ $ (-764)) 65)) (-3614 (($ $ $ (-569)) 113) (($ |#1| $ (-569)) 112)) (-4166 (((-635 (-569)) $) 89)) (-3533 (((-121) (-569) $) 88)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-1867 ((|#1| $) 119)) (-4353 ((|#1| $) 73) (($ $ (-764)) 71)) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 103)) (-3174 (($ $ |#1|) 93 (|has| $ (-6 -4536)))) (-3499 (($ $ (-569)) 116)) (-2695 (((-121) $) 81)) (-2134 (((-121) $) 122)) (-1642 (((-121) $) 123)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) |#1| $) 90 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) 87)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66) (($ $ (-1213 (-569))) 109) ((|#1| $ (-569)) 86) ((|#1| $ (-569) |#1|) 85)) (-1686 (((-569) $ $) 41)) (-3010 (($ $ (-1213 (-569))) 111) (($ $ (-569)) 110)) (-1472 (((-121) $) 43)) (-2645 (($ $) 59)) (-2780 (($ $) 56 (|has| $ (-6 -4536)))) (-4035 (((-764) $) 60)) (-4343 (($ $) 61)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-3817 (((-542) $) 95 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 104)) (-2697 (($ $ $) 58 (|has| $ (-6 -4536))) (($ $ |#1|) 57 (|has| $ (-6 -4536)))) (-2250 (($ $ $) 75) (($ |#1| $) 74) (($ (-635 $)) 107) (($ $ |#1|) 106)) (-3659 (($ $) 115)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-4114 (((-635 $) $) 48)) (-2447 (((-121) $ $) 40 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-666 |#1|) (-1278) (-1197)) (T -666)) 
+((-4347 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-666 *3)) (-4 *3 (-1197)))) (-1962 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-666 *3)) (-4 *3 (-1197)))) (-1642 (*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1197)) (-5 *2 (-121)))) (-2134 (*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1197)) (-5 *2 (-121)))) (-2796 (*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1197)) (-5 *2 (-121)))) (-1572 (*1 *1 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1197)))) (-1867 (*1 *2 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1197)))) (-3913 (*1 *1 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1197)))) (-2534 (*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1197)) (-5 *2 (-764)))) (-3499 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-666 *3)) (-4 *3 (-1197)))) (-3659 (*1 *1 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1197))))) 
+(-13 (-1135 |t#1|) (-10 -8 (-15 -4347 ($ (-1 (-121) |t#1|) $)) (-15 -1962 ($ (-1 (-121) |t#1|) $)) (-15 -1642 ((-121) $)) (-15 -2134 ((-121) $)) (-15 -2796 ((-121) $)) (-15 -1572 ($ $)) (-15 -1867 (|t#1| $)) (-15 -3913 ($ $)) (-15 -2534 ((-764) $)) (-15 -3499 ($ $ (-569))) (-15 -3659 ($ $)))) 
+(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-641 |#1|) . T) ((-1011 |#1|) . T) ((-1091) |has| |#1| (-1091)) ((-1135 |#1|) . T) ((-1197) . T) ((-1234 |#1|) . T)) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1872 (($ (-764) (-764) (-764)) 32 (|has| |#1| (-1048)))) (-1691 (((-121) $ (-764)) NIL)) (-1336 ((|#1| $ (-764) (-764) (-764) |#1|) 27)) (-2820 (($) NIL T CONST)) (-2372 (($ $ $) 36 (|has| |#1| (-1048)))) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-3963 (((-1247 (-764)) $) 8)) (-2084 (($ (-1163) $ $) 22)) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3182 (($ (-764)) 34 (|has| |#1| (-1048)))) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ (-764) (-764) (-764)) 25)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-2139 (($ (-635 (-635 (-635 |#1|)))) 43)) (-2185 (((-851) $) NIL (|has| |#1| (-1091))) (($ (-959 (-959 (-959 |#1|)))) 15) (((-959 (-959 (-959 |#1|))) $) 12)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-667 |#1|) (-13 (-500 |#1|) (-10 -8 (IF (|has| |#1| (-1048)) (PROGN (-15 -1872 ($ (-764) (-764) (-764))) (-15 -3182 ($ (-764))) (-15 -2372 ($ $ $))) |noBranch|) (-15 -2139 ($ (-635 (-635 (-635 |#1|))))) (-15 -1534 (|#1| $ (-764) (-764) (-764))) (-15 -1336 (|#1| $ (-764) (-764) (-764) |#1|)) (-15 -2185 ($ (-959 (-959 (-959 |#1|))))) (-15 -2185 ((-959 (-959 (-959 |#1|))) $)) (-15 -2084 ($ (-1163) $ $)) (-15 -3963 ((-1247 (-764)) $)))) (-1091)) (T -667)) 
+((-1872 (*1 *1 *2 *2 *2) (-12 (-5 *2 (-764)) (-5 *1 (-667 *3)) (-4 *3 (-1048)) (-4 *3 (-1091)))) (-3182 (*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-667 *3)) (-4 *3 (-1048)) (-4 *3 (-1091)))) (-2372 (*1 *1 *1 *1) (-12 (-5 *1 (-667 *2)) (-4 *2 (-1048)) (-4 *2 (-1091)))) (-2139 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-635 *3)))) (-4 *3 (-1091)) (-5 *1 (-667 *3)))) (-1534 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-764)) (-5 *1 (-667 *2)) (-4 *2 (-1091)))) (-1336 (*1 *2 *1 *3 *3 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-667 *2)) (-4 *2 (-1091)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-959 (-959 (-959 *3)))) (-4 *3 (-1091)) (-5 *1 (-667 *3)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-959 (-959 (-959 *3)))) (-5 *1 (-667 *3)) (-4 *3 (-1091)))) (-2084 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-667 *3)) (-4 *3 (-1091)))) (-3963 (*1 *2 *1) (-12 (-5 *2 (-1247 (-764))) (-5 *1 (-667 *3)) (-4 *3 (-1091))))) 
+(-13 (-500 |#1|) (-10 -8 (IF (|has| |#1| (-1048)) (PROGN (-15 -1872 ($ (-764) (-764) (-764))) (-15 -3182 ($ (-764))) (-15 -2372 ($ $ $))) |noBranch|) (-15 -2139 ($ (-635 (-635 (-635 |#1|))))) (-15 -1534 (|#1| $ (-764) (-764) (-764))) (-15 -1336 (|#1| $ (-764) (-764) (-764) |#1|)) (-15 -2185 ($ (-959 (-959 (-959 |#1|))))) (-15 -2185 ((-959 (-959 (-959 |#1|))) $)) (-15 -2084 ($ (-1163) $ $)) (-15 -3963 ((-1247 (-764)) $)))) 
+((-2568 (((-121) $ $) NIL)) (-3914 (((-635 |#1|) $) 14)) (-1869 (($ $) 18)) (-3633 (((-121) $) 19)) (-1647 (((-3 |#1| "failed") $) 22)) (-2428 ((|#1| $) 20)) (-2046 (($ $) 36)) (-2208 (($ $) 24)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2152 (((-121) $ $) 41)) (-1906 (((-918) $) 38)) (-3833 (($ $) 17)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-4353 ((|#1| $) 35)) (-2185 (((-851) $) 31) (($ |#1|) 23) (((-815 |#1|) $) 27)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 12)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 40)) (* (($ $ $) 34))) 
+(((-668 |#1|) (-13 (-843) (-1038 |#1|) (-10 -8 (-15 * ($ $ $)) (-15 -2185 ((-815 |#1|) $)) (-15 -4353 (|#1| $)) (-15 -3833 ($ $)) (-15 -1906 ((-918) $)) (-15 -2152 ((-121) $ $)) (-15 -2208 ($ $)) (-15 -2046 ($ $)) (-15 -3633 ((-121) $)) (-15 -1869 ($ $)) (-15 -3914 ((-635 |#1|) $)))) (-843)) (T -668)) 
+((* (*1 *1 *1 *1) (-12 (-5 *1 (-668 *2)) (-4 *2 (-843)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-815 *3)) (-5 *1 (-668 *3)) (-4 *3 (-843)))) (-4353 (*1 *2 *1) (-12 (-5 *1 (-668 *2)) (-4 *2 (-843)))) (-3833 (*1 *1 *1) (-12 (-5 *1 (-668 *2)) (-4 *2 (-843)))) (-1906 (*1 *2 *1) (-12 (-5 *2 (-918)) (-5 *1 (-668 *3)) (-4 *3 (-843)))) (-2152 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-668 *3)) (-4 *3 (-843)))) (-2208 (*1 *1 *1) (-12 (-5 *1 (-668 *2)) (-4 *2 (-843)))) (-2046 (*1 *1 *1) (-12 (-5 *1 (-668 *2)) (-4 *2 (-843)))) (-3633 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-668 *3)) (-4 *3 (-843)))) (-1869 (*1 *1 *1) (-12 (-5 *1 (-668 *2)) (-4 *2 (-843)))) (-3914 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-668 *3)) (-4 *3 (-843))))) 
+(-13 (-843) (-1038 |#1|) (-10 -8 (-15 * ($ $ $)) (-15 -2185 ((-815 |#1|) $)) (-15 -4353 (|#1| $)) (-15 -3833 ($ $)) (-15 -1906 ((-918) $)) (-15 -2152 ((-121) $ $)) (-15 -2208 ($ $)) (-15 -2046 ($ $)) (-15 -3633 ((-121) $)) (-15 -1869 ($ $)) (-15 -3914 ((-635 |#1|) $)))) 
+((-4409 ((|#1| (-1 |#1| (-764) |#1|) (-764) |#1|) 11)) (-4119 ((|#1| (-1 |#1| |#1|) (-764) |#1|) 9))) 
+(((-669 |#1|) (-10 -7 (-15 -4119 (|#1| (-1 |#1| |#1|) (-764) |#1|)) (-15 -4409 (|#1| (-1 |#1| (-764) |#1|) (-764) |#1|))) (-1091)) (T -669)) 
+((-4409 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 (-764) *2)) (-5 *4 (-764)) (-4 *2 (-1091)) (-5 *1 (-669 *2)))) (-4119 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *2)) (-5 *4 (-764)) (-4 *2 (-1091)) (-5 *1 (-669 *2))))) 
+(-10 -7 (-15 -4119 (|#1| (-1 |#1| |#1|) (-764) |#1|)) (-15 -4409 (|#1| (-1 |#1| (-764) |#1|) (-764) |#1|))) 
+((-4386 ((|#2| |#1| |#2|) 9)) (-4379 ((|#1| |#1| |#2|) 8))) 
+(((-670 |#1| |#2|) (-10 -7 (-15 -4379 (|#1| |#1| |#2|)) (-15 -4386 (|#2| |#1| |#2|))) (-1091) (-1091)) (T -670)) 
+((-4386 (*1 *2 *3 *2) (-12 (-5 *1 (-670 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1091)))) (-4379 (*1 *2 *2 *3) (-12 (-5 *1 (-670 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091))))) 
+(-10 -7 (-15 -4379 (|#1| |#1| |#2|)) (-15 -4386 (|#2| |#1| |#2|))) 
+((-4096 ((|#3| (-1 |#3| |#2|) (-1 |#2| |#1|) |#1|) 11))) 
+(((-671 |#1| |#2| |#3|) (-10 -7 (-15 -4096 (|#3| (-1 |#3| |#2|) (-1 |#2| |#1|) |#1|))) (-1091) (-1091) (-1091)) (T -671)) 
+((-4096 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091)) (-5 *1 (-671 *5 *6 *2))))) 
+(-10 -7 (-15 -4096 (|#3| (-1 |#3| |#2|) (-1 |#2| |#1|) |#1|))) 
+((-4409 (((-1 |#1| (-764) |#1|) (-1 |#1| (-764) |#1|)) 23)) (-2196 (((-1 |#1|) |#1|) 8)) (-2223 ((|#1| |#1|) 16)) (-2922 (((-635 |#1|) (-1 (-635 |#1|) (-635 |#1|)) (-569)) 15) ((|#1| (-1 |#1| |#1|)) 11)) (-2185 (((-1 |#1|) |#1|) 9)) (** (((-1 |#1| |#1|) (-1 |#1| |#1|) (-764)) 20))) 
+(((-672 |#1|) (-10 -7 (-15 -2196 ((-1 |#1|) |#1|)) (-15 -2185 ((-1 |#1|) |#1|)) (-15 -2922 (|#1| (-1 |#1| |#1|))) (-15 -2922 ((-635 |#1|) (-1 (-635 |#1|) (-635 |#1|)) (-569))) (-15 -2223 (|#1| |#1|)) (-15 ** ((-1 |#1| |#1|) (-1 |#1| |#1|) (-764))) (-15 -4409 ((-1 |#1| (-764) |#1|) (-1 |#1| (-764) |#1|)))) (-1091)) (T -672)) 
+((-4409 (*1 *2 *2) (-12 (-5 *2 (-1 *3 (-764) *3)) (-4 *3 (-1091)) (-5 *1 (-672 *3)))) (** (*1 *2 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-764)) (-4 *4 (-1091)) (-5 *1 (-672 *4)))) (-2223 (*1 *2 *2) (-12 (-5 *1 (-672 *2)) (-4 *2 (-1091)))) (-2922 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-635 *5) (-635 *5))) (-5 *4 (-569)) (-5 *2 (-635 *5)) (-5 *1 (-672 *5)) (-4 *5 (-1091)))) (-2922 (*1 *2 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-672 *2)) (-4 *2 (-1091)))) (-2185 (*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-672 *3)) (-4 *3 (-1091)))) (-2196 (*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-672 *3)) (-4 *3 (-1091))))) 
+(-10 -7 (-15 -2196 ((-1 |#1|) |#1|)) (-15 -2185 ((-1 |#1|) |#1|)) (-15 -2922 (|#1| (-1 |#1| |#1|))) (-15 -2922 ((-635 |#1|) (-1 (-635 |#1|) (-635 |#1|)) (-569))) (-15 -2223 (|#1| |#1|)) (-15 ** ((-1 |#1| |#1|) (-1 |#1| |#1|) (-764))) (-15 -4409 ((-1 |#1| (-764) |#1|) (-1 |#1| (-764) |#1|)))) 
+((-3296 (((-1 |#2| |#1|) (-1 |#2| |#1| |#1|)) 16)) (-3808 (((-1 |#2|) (-1 |#2| |#1|) |#1|) 13)) (-2043 (((-1 |#2| |#1|) (-1 |#2|)) 14)) (-4456 (((-1 |#2| |#1|) |#2|) 11))) 
+(((-673 |#1| |#2|) (-10 -7 (-15 -4456 ((-1 |#2| |#1|) |#2|)) (-15 -3808 ((-1 |#2|) (-1 |#2| |#1|) |#1|)) (-15 -2043 ((-1 |#2| |#1|) (-1 |#2|))) (-15 -3296 ((-1 |#2| |#1|) (-1 |#2| |#1| |#1|)))) (-1091) (-1091)) (T -673)) 
+((-3296 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *4 *4)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-5 *2 (-1 *5 *4)) (-5 *1 (-673 *4 *5)))) (-2043 (*1 *2 *3) (-12 (-5 *3 (-1 *5)) (-4 *5 (-1091)) (-5 *2 (-1 *5 *4)) (-5 *1 (-673 *4 *5)) (-4 *4 (-1091)))) (-3808 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *4)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-5 *2 (-1 *5)) (-5 *1 (-673 *4 *5)))) (-4456 (*1 *2 *3) (-12 (-5 *2 (-1 *3 *4)) (-5 *1 (-673 *4 *3)) (-4 *4 (-1091)) (-4 *3 (-1091))))) 
+(-10 -7 (-15 -4456 ((-1 |#2| |#1|) |#2|)) (-15 -3808 ((-1 |#2|) (-1 |#2| |#1|) |#1|)) (-15 -2043 ((-1 |#2| |#1|) (-1 |#2|))) (-15 -3296 ((-1 |#2| |#1|) (-1 |#2| |#1| |#1|)))) 
+((-3752 (((-1 |#3| |#2| |#1|) (-1 |#3| |#1| |#2|)) 17)) (-1835 (((-1 |#3| |#1|) (-1 |#3| |#1| |#2|) |#2|) 11)) (-3445 (((-1 |#3| |#2|) (-1 |#3| |#1| |#2|) |#1|) 13)) (-2034 (((-1 |#3| |#1| |#2|) (-1 |#3| |#1|)) 14)) (-1328 (((-1 |#3| |#1| |#2|) (-1 |#3| |#2|)) 15)) (* (((-1 |#3| |#1|) (-1 |#3| |#2|) (-1 |#2| |#1|)) 21))) 
+(((-674 |#1| |#2| |#3|) (-10 -7 (-15 -1835 ((-1 |#3| |#1|) (-1 |#3| |#1| |#2|) |#2|)) (-15 -3445 ((-1 |#3| |#2|) (-1 |#3| |#1| |#2|) |#1|)) (-15 -2034 ((-1 |#3| |#1| |#2|) (-1 |#3| |#1|))) (-15 -1328 ((-1 |#3| |#1| |#2|) (-1 |#3| |#2|))) (-15 -3752 ((-1 |#3| |#2| |#1|) (-1 |#3| |#1| |#2|))) (-15 * ((-1 |#3| |#1|) (-1 |#3| |#2|) (-1 |#2| |#1|)))) (-1091) (-1091) (-1091)) (T -674)) 
+((* (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-1 *7 *5)) (-5 *1 (-674 *5 *6 *7)))) (-3752 (*1 *2 *3) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *2 (-1 *6 *5 *4)) (-5 *1 (-674 *4 *5 *6)))) (-1328 (*1 *2 *3) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-674 *4 *5 *6)) (-4 *4 (-1091)))) (-2034 (*1 *2 *3) (-12 (-5 *3 (-1 *6 *4)) (-4 *4 (-1091)) (-4 *6 (-1091)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-674 *4 *5 *6)) (-4 *5 (-1091)))) (-3445 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *2 (-1 *6 *5)) (-5 *1 (-674 *4 *5 *6)))) (-1835 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5 *4)) (-4 *5 (-1091)) (-4 *4 (-1091)) (-4 *6 (-1091)) (-5 *2 (-1 *6 *5)) (-5 *1 (-674 *5 *4 *6))))) 
+(-10 -7 (-15 -1835 ((-1 |#3| |#1|) (-1 |#3| |#1| |#2|) |#2|)) (-15 -3445 ((-1 |#3| |#2|) (-1 |#3| |#1| |#2|) |#1|)) (-15 -2034 ((-1 |#3| |#1| |#2|) (-1 |#3| |#1|))) (-15 -1328 ((-1 |#3| |#1| |#2|) (-1 |#3| |#2|))) (-15 -3752 ((-1 |#3| |#2| |#1|) (-1 |#3| |#1| |#2|))) (-15 * ((-1 |#3| |#1|) (-1 |#3| |#2|) (-1 |#2| |#1|)))) 
+((-1715 (((-1 (-311 (-569)) |#1|) (-1 (-311 (-569)) |#1|) (-1 (-311 (-569)) |#1|)) 18)) (-1711 (((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|)) 12)) (-1707 (((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|)) 10)) (* (((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|)) 14))) 
+(((-675 |#1| |#2|) (-10 -7 (-15 -1707 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -1711 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 * ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -1715 ((-1 (-311 (-569)) |#1|) (-1 (-311 (-569)) |#1|) (-1 (-311 (-569)) |#1|)))) (-1091) (-1048)) (T -675)) 
+((-1715 (*1 *2 *2 *2) (-12 (-5 *2 (-1 (-311 (-569)) *3)) (-4 *3 (-1091)) (-5 *1 (-675 *3 *4)) (-4 *4 (-1048)))) (* (*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1091)) (-4 *4 (-1048)) (-5 *1 (-675 *3 *4)))) (-1711 (*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1091)) (-4 *4 (-1048)) (-5 *1 (-675 *3 *4)))) (-1707 (*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1091)) (-4 *4 (-1048)) (-5 *1 (-675 *3 *4))))) 
+(-10 -7 (-15 -1707 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -1711 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 * ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -1715 ((-1 (-311 (-569)) |#1|) (-1 (-311 (-569)) |#1|) (-1 (-311 (-569)) |#1|)))) 
+((-1774 ((|#5| (-1 |#5| |#1| |#5|) |#4| |#5|) 39)) (-1544 (((-3 |#8| "failed") (-1 (-3 |#5| "failed") |#1|) |#4|) 37) ((|#8| (-1 |#5| |#1|) |#4|) 31))) 
+(((-676 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -1544 (|#8| (-1 |#5| |#1|) |#4|)) (-15 -1544 ((-3 |#8| "failed") (-1 (-3 |#5| "failed") |#1|) |#4|)) (-15 -1774 (|#5| (-1 |#5| |#1| |#5|) |#4| |#5|))) (-1048) (-376 |#1|) (-376 |#1|) (-678 |#1| |#2| |#3|) (-1048) (-376 |#5|) (-376 |#5|) (-678 |#5| |#6| |#7|)) (T -676)) 
+((-1774 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1048)) (-4 *2 (-1048)) (-4 *6 (-376 *5)) (-4 *7 (-376 *5)) (-4 *8 (-376 *2)) (-4 *9 (-376 *2)) (-5 *1 (-676 *5 *6 *7 *4 *2 *8 *9 *10)) (-4 *4 (-678 *5 *6 *7)) (-4 *10 (-678 *2 *8 *9)))) (-1544 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *8 "failed") *5)) (-4 *5 (-1048)) (-4 *8 (-1048)) (-4 *6 (-376 *5)) (-4 *7 (-376 *5)) (-4 *2 (-678 *8 *9 *10)) (-5 *1 (-676 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-678 *5 *6 *7)) (-4 *9 (-376 *8)) (-4 *10 (-376 *8)))) (-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1048)) (-4 *8 (-1048)) (-4 *6 (-376 *5)) (-4 *7 (-376 *5)) (-4 *2 (-678 *8 *9 *10)) (-5 *1 (-676 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-678 *5 *6 *7)) (-4 *9 (-376 *8)) (-4 *10 (-376 *8))))) 
+(-10 -7 (-15 -1544 (|#8| (-1 |#5| |#1|) |#4|)) (-15 -1544 ((-3 |#8| "failed") (-1 (-3 |#5| "failed") |#1|) |#4|)) (-15 -1774 (|#5| (-1 |#5| |#1| |#5|) |#4| |#5|))) 
+((-2418 (($ (-764) (-764)) 31)) (-2799 (($ $ $) 54)) (-2853 (($ |#3|) 50) (($ $) 51)) (-4144 (((-121) $) 26)) (-4218 (($ $ (-569) (-569)) 56)) (-2296 (($ $ (-569) (-569)) 57)) (-1910 (($ $ (-569) (-569) (-569) (-569)) 61)) (-1391 (($ $) 52)) (-3569 (((-121) $) 14)) (-1350 (($ $ (-569) (-569) $) 62)) (-4469 ((|#2| $ (-569) (-569) |#2|) NIL) (($ $ (-635 (-569)) (-635 (-569)) $) 60)) (-1574 (($ (-764) |#2|) 36)) (-2333 ((|#2| $) 105)) (-1483 (($ (-635 (-635 |#2|))) 34)) (-2550 (((-635 (-635 |#2|)) $) 55)) (-4444 (($ $ $) 53)) (-2941 (((-3 $ "failed") $ |#2|) 108)) (-1534 ((|#2| $ (-569) (-569)) NIL) ((|#2| $ (-569) (-569) |#2|) NIL) (($ $ (-635 (-569)) (-635 (-569))) 59)) (-2455 (($ (-635 |#2|)) 38) (($ (-635 $)) 40)) (-2584 (((-121) $) 23)) (-2753 (((-635 |#4|) $) 91)) (-2185 (((-851) $) NIL) (($ |#4|) 45)) (-2256 (((-121) $) 28)) (-1715 (($ $ |#2|) 110)) (-1711 (($ $ $) 66) (($ $) 69)) (-1707 (($ $ $) 64)) (** (($ $ (-764)) 78) (($ $ (-569)) 113)) (* (($ $ $) 75) (($ |#2| $) 71) (($ $ |#2|) 72) (($ (-569) $) 74) ((|#4| $ |#4|) 82) ((|#3| |#3| $) 86))) 
+(((-677 |#1| |#2| |#3| |#4|) (-10 -8 (-15 ** (|#1| |#1| (-569))) (-15 -2333 (|#2| |#1|)) (-15 -2753 ((-635 |#4|) |#1|)) (-15 -1715 (|#1| |#1| |#2|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#2|)) (-15 ** (|#1| |#1| (-764))) (-15 * (|#3| |#3| |#1|)) (-15 * (|#4| |#1| |#4|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1707 (|#1| |#1| |#1|)) (-15 -1350 (|#1| |#1| (-569) (-569) |#1|)) (-15 -1910 (|#1| |#1| (-569) (-569) (-569) (-569))) (-15 -2296 (|#1| |#1| (-569) (-569))) (-15 -4218 (|#1| |#1| (-569) (-569))) (-15 -4469 (|#1| |#1| (-635 (-569)) (-635 (-569)) |#1|)) (-15 -1534 (|#1| |#1| (-635 (-569)) (-635 (-569)))) (-15 -2550 ((-635 (-635 |#2|)) |#1|)) (-15 -2799 (|#1| |#1| |#1|)) (-15 -4444 (|#1| |#1| |#1|)) (-15 -1391 (|#1| |#1|)) (-15 -2853 (|#1| |#1|)) (-15 -2853 (|#1| |#3|)) (-15 -2185 (|#1| |#4|)) (-15 -2455 (|#1| (-635 |#1|))) (-15 -2455 (|#1| (-635 |#2|))) (-15 -1574 (|#1| (-764) |#2|)) (-15 -1483 (|#1| (-635 (-635 |#2|)))) (-15 -2418 (|#1| (-764) (-764))) (-15 -2256 ((-121) |#1|)) (-15 -4144 ((-121) |#1|)) (-15 -2584 ((-121) |#1|)) (-15 -3569 ((-121) |#1|)) (-15 -4469 (|#2| |#1| (-569) (-569) |#2|)) (-15 -1534 (|#2| |#1| (-569) (-569) |#2|)) (-15 -1534 (|#2| |#1| (-569) (-569))) (-15 -2185 ((-851) |#1|))) (-678 |#2| |#3| |#4|) (-1048) (-376 |#2|) (-376 |#2|)) (T -677)) 
+NIL 
+(-10 -8 (-15 ** (|#1| |#1| (-569))) (-15 -2333 (|#2| |#1|)) (-15 -2753 ((-635 |#4|) |#1|)) (-15 -1715 (|#1| |#1| |#2|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#2|)) (-15 ** (|#1| |#1| (-764))) (-15 * (|#3| |#3| |#1|)) (-15 * (|#4| |#1| |#4|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1707 (|#1| |#1| |#1|)) (-15 -1350 (|#1| |#1| (-569) (-569) |#1|)) (-15 -1910 (|#1| |#1| (-569) (-569) (-569) (-569))) (-15 -2296 (|#1| |#1| (-569) (-569))) (-15 -4218 (|#1| |#1| (-569) (-569))) (-15 -4469 (|#1| |#1| (-635 (-569)) (-635 (-569)) |#1|)) (-15 -1534 (|#1| |#1| (-635 (-569)) (-635 (-569)))) (-15 -2550 ((-635 (-635 |#2|)) |#1|)) (-15 -2799 (|#1| |#1| |#1|)) (-15 -4444 (|#1| |#1| |#1|)) (-15 -1391 (|#1| |#1|)) (-15 -2853 (|#1| |#1|)) (-15 -2853 (|#1| |#3|)) (-15 -2185 (|#1| |#4|)) (-15 -2455 (|#1| (-635 |#1|))) (-15 -2455 (|#1| (-635 |#2|))) (-15 -1574 (|#1| (-764) |#2|)) (-15 -1483 (|#1| (-635 (-635 |#2|)))) (-15 -2418 (|#1| (-764) (-764))) (-15 -2256 ((-121) |#1|)) (-15 -4144 ((-121) |#1|)) (-15 -2584 ((-121) |#1|)) (-15 -3569 ((-121) |#1|)) (-15 -4469 (|#2| |#1| (-569) (-569) |#2|)) (-15 -1534 (|#2| |#1| (-569) (-569) |#2|)) (-15 -1534 (|#2| |#1| (-569) (-569))) (-15 -2185 ((-851) |#1|))) 
+((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-2418 (($ (-764) (-764)) 94)) (-2799 (($ $ $) 84)) (-2853 (($ |#2|) 88) (($ $) 87)) (-4144 (((-121) $) 96)) (-4218 (($ $ (-569) (-569)) 80)) (-2296 (($ $ (-569) (-569)) 79)) (-1910 (($ $ (-569) (-569) (-569) (-569)) 78)) (-1391 (($ $) 86)) (-3569 (((-121) $) 98)) (-1691 (((-121) $ (-764)) 8)) (-1350 (($ $ (-569) (-569) $) 77)) (-4469 ((|#1| $ (-569) (-569) |#1|) 41) (($ $ (-635 (-569)) (-635 (-569)) $) 81)) (-2451 (($ $ (-569) |#2|) 39)) (-3443 (($ $ (-569) |#3|) 38)) (-1574 (($ (-764) |#1|) 92)) (-2820 (($) 7 T CONST)) (-4036 (($ $) 64 (|has| |#1| (-302)))) (-1765 ((|#2| $ (-569)) 43)) (-1321 (((-764) $) 62 (|has| |#1| (-559)))) (-2726 ((|#1| $ (-569) (-569) |#1|) 40)) (-1618 ((|#1| $ (-569) (-569)) 45)) (-2333 ((|#1| $) 57 (|has| |#1| (-173)))) (-3470 (((-635 |#1|) $) 30)) (-3695 (((-764) $) 61 (|has| |#1| (-559)))) (-3645 (((-635 |#3|) $) 60 (|has| |#1| (-559)))) (-1810 (((-764) $) 48)) (-2659 (($ (-764) (-764) |#1|) 54)) (-2806 (((-764) $) 47)) (-1974 (((-121) $ (-764)) 9)) (-1558 ((|#1| $) 58 (|has| |#1| (-6 (-4537 "*"))))) (-3992 (((-569) $) 52)) (-3127 (((-569) $) 50)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1866 (((-569) $) 51)) (-1581 (((-569) $) 49)) (-1483 (($ (-635 (-635 |#1|))) 93)) (-1853 (($ (-1 |#1| |#1|) $) 34)) (-1544 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 37) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) 36)) (-2550 (((-635 (-635 |#1|)) $) 83)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-4480 (((-3 $ "failed") $) 56 (|has| |#1| (-366)))) (-4444 (($ $ $) 85)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-3174 (($ $ |#1|) 53)) (-2941 (((-3 $ "failed") $ |#1|) 66 (|has| |#1| (-559)))) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ (-569) (-569)) 46) ((|#1| $ (-569) (-569) |#1|) 44) (($ $ (-635 (-569)) (-635 (-569))) 82)) (-2455 (($ (-635 |#1|)) 91) (($ (-635 $)) 90)) (-2584 (((-121) $) 97)) (-1787 ((|#1| $) 59 (|has| |#1| (-6 (-4537 "*"))))) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2753 (((-635 |#3|) $) 63 (|has| |#1| (-302)))) (-3419 ((|#3| $ (-569)) 42)) (-2185 (((-851) $) 20 (|has| |#1| (-1091))) (($ |#3|) 89)) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-2256 (((-121) $) 95)) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-1715 (($ $ |#1|) 65 (|has| |#1| (-366)))) (-1711 (($ $ $) 75) (($ $) 74)) (-1707 (($ $ $) 76)) (** (($ $ (-764)) 67) (($ $ (-569)) 55 (|has| |#1| (-366)))) (* (($ $ $) 73) (($ |#1| $) 72) (($ $ |#1|) 71) (($ (-569) $) 70) ((|#3| $ |#3|) 69) ((|#2| |#2| $) 68)) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-678 |#1| |#2| |#3|) (-1278) (-1048) (-376 |t#1|) (-376 |t#1|)) (T -678)) 
+((-3569 (*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) (-2584 (*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) (-4144 (*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) (-2256 (*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) (-2418 (*1 *1 *2 *2) (-12 (-5 *2 (-764)) (-4 *3 (-1048)) (-4 *1 (-678 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-1483 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1048)) (-4 *1 (-678 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-1574 (*1 *1 *2 *3) (-12 (-5 *2 (-764)) (-4 *3 (-1048)) (-4 *1 (-678 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-2455 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1048)) (-4 *1 (-678 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-2455 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *3 (-1048)) (-4 *1 (-678 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-2185 (*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *1 (-678 *3 *4 *2)) (-4 *4 (-376 *3)) (-4 *2 (-376 *3)))) (-2853 (*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *1 (-678 *3 *2 *4)) (-4 *2 (-376 *3)) (-4 *4 (-376 *3)))) (-2853 (*1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-1391 (*1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-4444 (*1 *1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-2799 (*1 *1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-2550 (*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-635 (-635 *3))))) (-1534 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-4469 (*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-4218 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-2296 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-1910 (*1 *1 *1 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-1350 (*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-1707 (*1 *1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-1711 (*1 *1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-1711 (*1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (* (*1 *1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (* (*1 *1 *1 *2) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (* (*1 *2 *1 *2) (-12 (-4 *1 (-678 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *2 (-376 *3)))) (* (*1 *2 *2 *1) (-12 (-4 *1 (-678 *3 *2 *4)) (-4 *3 (-1048)) (-4 *2 (-376 *3)) (-4 *4 (-376 *3)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-2941 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-559)))) (-1715 (*1 *1 *1 *2) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-366)))) (-4036 (*1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-302)))) (-2753 (*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-302)) (-5 *2 (-635 *5)))) (-1321 (*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-559)) (-5 *2 (-764)))) (-3695 (*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-559)) (-5 *2 (-764)))) (-3645 (*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-559)) (-5 *2 (-635 *5)))) (-1787 (*1 *2 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (|has| *2 (-6 (-4537 "*"))) (-4 *2 (-1048)))) (-1558 (*1 *2 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (|has| *2 (-6 (-4537 "*"))) (-4 *2 (-1048)))) (-2333 (*1 *2 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-1048)) (-4 *2 (-173)))) (-4480 (*1 *1 *1) (|partial| -12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-366)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-366))))) 
+(-13 (-62 |t#1| |t#2| |t#3|) (-10 -8 (-6 -4536) (-6 -4535) (-15 -3569 ((-121) $)) (-15 -2584 ((-121) $)) (-15 -4144 ((-121) $)) (-15 -2256 ((-121) $)) (-15 -2418 ($ (-764) (-764))) (-15 -1483 ($ (-635 (-635 |t#1|)))) (-15 -1574 ($ (-764) |t#1|)) (-15 -2455 ($ (-635 |t#1|))) (-15 -2455 ($ (-635 $))) (-15 -2185 ($ |t#3|)) (-15 -2853 ($ |t#2|)) (-15 -2853 ($ $)) (-15 -1391 ($ $)) (-15 -4444 ($ $ $)) (-15 -2799 ($ $ $)) (-15 -2550 ((-635 (-635 |t#1|)) $)) (-15 -1534 ($ $ (-635 (-569)) (-635 (-569)))) (-15 -4469 ($ $ (-635 (-569)) (-635 (-569)) $)) (-15 -4218 ($ $ (-569) (-569))) (-15 -2296 ($ $ (-569) (-569))) (-15 -1910 ($ $ (-569) (-569) (-569) (-569))) (-15 -1350 ($ $ (-569) (-569) $)) (-15 -1707 ($ $ $)) (-15 -1711 ($ $ $)) (-15 -1711 ($ $)) (-15 * ($ $ $)) (-15 * ($ |t#1| $)) (-15 * ($ $ |t#1|)) (-15 * ($ (-569) $)) (-15 * (|t#3| $ |t#3|)) (-15 * (|t#2| |t#2| $)) (-15 ** ($ $ (-764))) (IF (|has| |t#1| (-559)) (-15 -2941 ((-3 $ "failed") $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-366)) (-15 -1715 ($ $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-302)) (PROGN (-15 -4036 ($ $)) (-15 -2753 ((-635 |t#3|) $))) |noBranch|) (IF (|has| |t#1| (-559)) (PROGN (-15 -1321 ((-764) $)) (-15 -3695 ((-764) $)) (-15 -3645 ((-635 |t#3|) $))) |noBranch|) (IF (|has| |t#1| (-6 (-4537 "*"))) (PROGN (-15 -1787 (|t#1| $)) (-15 -1558 (|t#1| $))) |noBranch|) (IF (|has| |t#1| (-173)) (-15 -2333 (|t#1| $)) |noBranch|) (IF (|has| |t#1| (-366)) (PROGN (-15 -4480 ((-3 $ "failed") $)) (-15 ** ($ $ (-569)))) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) |has| |#1| (-1091)) ((-62 |#1| |#2| |#3|) . T) ((-1197) . T)) 
+((-4036 ((|#4| |#4|) 67 (|has| |#1| (-302)))) (-1321 (((-764) |#4|) 69 (|has| |#1| (-559)))) (-3695 (((-764) |#4|) 71 (|has| |#1| (-559)))) (-3645 (((-635 |#3|) |#4|) 78 (|has| |#1| (-559)))) (-4373 (((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|) 95 (|has| |#1| (-302)))) (-1558 ((|#1| |#4|) 33)) (-1393 (((-3 |#4| "failed") |#4|) 61 (|has| |#1| (-559)))) (-4480 (((-3 |#4| "failed") |#4|) 75 (|has| |#1| (-366)))) (-2805 ((|#4| |#4|) 54 (|has| |#1| (-559)))) (-1417 ((|#4| |#4| |#1| (-569) (-569)) 41)) (-2510 ((|#4| |#4| (-569) (-569)) 36)) (-3071 ((|#4| |#4| |#1| (-569) (-569)) 46)) (-1787 ((|#1| |#4|) 73)) (-3724 (((-2 (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|) 57 (|has| |#1| (-559))))) 
+(((-679 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1787 (|#1| |#4|)) (-15 -1558 (|#1| |#4|)) (-15 -2510 (|#4| |#4| (-569) (-569))) (-15 -1417 (|#4| |#4| |#1| (-569) (-569))) (-15 -3071 (|#4| |#4| |#1| (-569) (-569))) (IF (|has| |#1| (-559)) (PROGN (-15 -1321 ((-764) |#4|)) (-15 -3695 ((-764) |#4|)) (-15 -3645 ((-635 |#3|) |#4|)) (-15 -2805 (|#4| |#4|)) (-15 -1393 ((-3 |#4| "failed") |#4|)) (-15 -3724 ((-2 (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|))) |noBranch|) (IF (|has| |#1| (-302)) (PROGN (-15 -4036 (|#4| |#4|)) (-15 -4373 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-366)) (-15 -4480 ((-3 |#4| "failed") |#4|)) |noBranch|)) (-173) (-376 |#1|) (-376 |#1|) (-678 |#1| |#2| |#3|)) (T -679)) 
+((-4480 (*1 *2 *2) (|partial| -12 (-4 *3 (-366)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-679 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5)))) (-4373 (*1 *2 *3 *3) (-12 (-4 *3 (-302)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-679 *3 *4 *5 *6)) (-4 *6 (-678 *3 *4 *5)))) (-4036 (*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-679 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5)))) (-3724 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-2 (|:| |adjMat| *3) (|:| |detMat| *4))) (-5 *1 (-679 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) (-1393 (*1 *2 *2) (|partial| -12 (-4 *3 (-559)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-679 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5)))) (-2805 (*1 *2 *2) (-12 (-4 *3 (-559)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-679 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5)))) (-3645 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-635 *6)) (-5 *1 (-679 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) (-3695 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-764)) (-5 *1 (-679 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) (-1321 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-764)) (-5 *1 (-679 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) (-3071 (*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-569)) (-4 *3 (-173)) (-4 *5 (-376 *3)) (-4 *6 (-376 *3)) (-5 *1 (-679 *3 *5 *6 *2)) (-4 *2 (-678 *3 *5 *6)))) (-1417 (*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-569)) (-4 *3 (-173)) (-4 *5 (-376 *3)) (-4 *6 (-376 *3)) (-5 *1 (-679 *3 *5 *6 *2)) (-4 *2 (-678 *3 *5 *6)))) (-2510 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *1 (-679 *4 *5 *6 *2)) (-4 *2 (-678 *4 *5 *6)))) (-1558 (*1 *2 *3) (-12 (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-173)) (-5 *1 (-679 *2 *4 *5 *3)) (-4 *3 (-678 *2 *4 *5)))) (-1787 (*1 *2 *3) (-12 (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-173)) (-5 *1 (-679 *2 *4 *5 *3)) (-4 *3 (-678 *2 *4 *5))))) 
+(-10 -7 (-15 -1787 (|#1| |#4|)) (-15 -1558 (|#1| |#4|)) (-15 -2510 (|#4| |#4| (-569) (-569))) (-15 -1417 (|#4| |#4| |#1| (-569) (-569))) (-15 -3071 (|#4| |#4| |#1| (-569) (-569))) (IF (|has| |#1| (-559)) (PROGN (-15 -1321 ((-764) |#4|)) (-15 -3695 ((-764) |#4|)) (-15 -3645 ((-635 |#3|) |#4|)) (-15 -2805 (|#4| |#4|)) (-15 -1393 ((-3 |#4| "failed") |#4|)) (-15 -3724 ((-2 (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|))) |noBranch|) (IF (|has| |#1| (-302)) (PROGN (-15 -4036 (|#4| |#4|)) (-15 -4373 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-366)) (-15 -4480 ((-3 |#4| "failed") |#4|)) |noBranch|)) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2418 (($ (-764) (-764)) 45)) (-2799 (($ $ $) NIL)) (-2853 (($ (-1247 |#1|)) NIL) (($ $) NIL)) (-4144 (((-121) $) NIL)) (-4218 (($ $ (-569) (-569)) 12)) (-2296 (($ $ (-569) (-569)) NIL)) (-1910 (($ $ (-569) (-569) (-569) (-569)) NIL)) (-1391 (($ $) NIL)) (-3569 (((-121) $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-1350 (($ $ (-569) (-569) $) NIL)) (-4469 ((|#1| $ (-569) (-569) |#1|) NIL) (($ $ (-635 (-569)) (-635 (-569)) $) NIL)) (-2451 (($ $ (-569) (-1247 |#1|)) NIL)) (-3443 (($ $ (-569) (-1247 |#1|)) NIL)) (-1574 (($ (-764) |#1|) 22)) (-2820 (($) NIL T CONST)) (-4036 (($ $) 30 (|has| |#1| (-302)))) (-1765 (((-1247 |#1|) $ (-569)) NIL)) (-1321 (((-764) $) 32 (|has| |#1| (-559)))) (-2726 ((|#1| $ (-569) (-569) |#1|) 50)) (-1618 ((|#1| $ (-569) (-569)) NIL)) (-2333 ((|#1| $) NIL (|has| |#1| (-173)))) (-3470 (((-635 |#1|) $) NIL)) (-3695 (((-764) $) 34 (|has| |#1| (-559)))) (-3645 (((-635 (-1247 |#1|)) $) 37 (|has| |#1| (-559)))) (-1810 (((-764) $) 20)) (-2659 (($ (-764) (-764) |#1|) NIL)) (-2806 (((-764) $) 21)) (-1974 (((-121) $ (-764)) NIL)) (-1558 ((|#1| $) 28 (|has| |#1| (-6 (-4537 "*"))))) (-3992 (((-569) $) 9)) (-3127 (((-569) $) 10)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1866 (((-569) $) 11)) (-1581 (((-569) $) 46)) (-1483 (($ (-635 (-635 |#1|))) NIL)) (-1853 (($ (-1 |#1| |#1|) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-2550 (((-635 (-635 |#1|)) $) 58)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-4480 (((-3 $ "failed") $) 41 (|has| |#1| (-366)))) (-4444 (($ $ $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-3174 (($ $ |#1|) NIL)) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ (-569) (-569)) NIL) ((|#1| $ (-569) (-569) |#1|) NIL) (($ $ (-635 (-569)) (-635 (-569))) NIL)) (-2455 (($ (-635 |#1|)) NIL) (($ (-635 $)) NIL) (($ (-1247 |#1|)) 51)) (-2584 (((-121) $) NIL)) (-1787 ((|#1| $) 26 (|has| |#1| (-6 (-4537 "*"))))) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-3817 (((-542) $) 62 (|has| |#1| (-610 (-542))))) (-2753 (((-635 (-1247 |#1|)) $) NIL (|has| |#1| (-302)))) (-3419 (((-1247 |#1|) $ (-569)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091))) (($ (-1247 |#1|)) NIL)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2256 (((-121) $) NIL)) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $ $) NIL) (($ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-764)) 23) (($ $ (-569)) 44 (|has| |#1| (-366)))) (* (($ $ $) 13) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-569) $) NIL) (((-1247 |#1|) $ (-1247 |#1|)) NIL) (((-1247 |#1|) (-1247 |#1|) $) NIL)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-680 |#1|) (-13 (-678 |#1| (-1247 |#1|) (-1247 |#1|)) (-10 -8 (-15 -2455 ($ (-1247 |#1|))) (IF (|has| |#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |#1| (-366)) (-15 -4480 ((-3 $ "failed") $)) |noBranch|))) (-1048)) (T -680)) 
+((-4480 (*1 *1 *1) (|partial| -12 (-5 *1 (-680 *2)) (-4 *2 (-366)) (-4 *2 (-1048)))) (-2455 (*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-1048)) (-5 *1 (-680 *3))))) 
+(-13 (-678 |#1| (-1247 |#1|) (-1247 |#1|)) (-10 -8 (-15 -2455 ($ (-1247 |#1|))) (IF (|has| |#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |#1| (-366)) (-15 -4480 ((-3 $ "failed") $)) |noBranch|))) 
+((-3979 (((-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|)) 25)) (-1376 (((-680 |#1|) (-680 |#1|) (-680 |#1|) |#1|) 21)) (-2692 (((-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|) (-764)) 26)) (-4202 (((-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|)) 14)) (-2475 (((-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|)) 18) (((-680 |#1|) (-680 |#1|) (-680 |#1|)) 16)) (-3400 (((-680 |#1|) (-680 |#1|) |#1| (-680 |#1|)) 20)) (-2324 (((-680 |#1|) (-680 |#1|) (-680 |#1|)) 12)) (** (((-680 |#1|) (-680 |#1|) (-764)) 30))) 
+(((-681 |#1|) (-10 -7 (-15 -2324 ((-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -4202 ((-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -2475 ((-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -2475 ((-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -3400 ((-680 |#1|) (-680 |#1|) |#1| (-680 |#1|))) (-15 -1376 ((-680 |#1|) (-680 |#1|) (-680 |#1|) |#1|)) (-15 -3979 ((-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -2692 ((-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|) (-764))) (-15 ** ((-680 |#1|) (-680 |#1|) (-764)))) (-1048)) (T -681)) 
+((** (*1 *2 *2 *3) (-12 (-5 *2 (-680 *4)) (-5 *3 (-764)) (-4 *4 (-1048)) (-5 *1 (-681 *4)))) (-2692 (*1 *2 *2 *2 *2 *2 *3) (-12 (-5 *2 (-680 *4)) (-5 *3 (-764)) (-4 *4 (-1048)) (-5 *1 (-681 *4)))) (-3979 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3)))) (-1376 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3)))) (-3400 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3)))) (-2475 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3)))) (-2475 (*1 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3)))) (-4202 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3)))) (-2324 (*1 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3))))) 
+(-10 -7 (-15 -2324 ((-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -4202 ((-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -2475 ((-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -2475 ((-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -3400 ((-680 |#1|) (-680 |#1|) |#1| (-680 |#1|))) (-15 -1376 ((-680 |#1|) (-680 |#1|) (-680 |#1|) |#1|)) (-15 -3979 ((-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -2692 ((-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|) (-764))) (-15 ** ((-680 |#1|) (-680 |#1|) (-764)))) 
+((-3854 ((|#2| |#2| |#4|) 25)) (-1395 (((-680 |#2|) |#3| |#4|) 31)) (-3984 (((-680 |#2|) |#2| |#4|) 30)) (-4495 (((-1247 |#2|) |#2| |#4|) 16)) (-2182 ((|#2| |#3| |#4|) 24)) (-3776 (((-680 |#2|) |#3| |#4| (-764) (-764)) 38)) (-2204 (((-680 |#2|) |#2| |#4| (-764)) 37))) 
+(((-682 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4495 ((-1247 |#2|) |#2| |#4|)) (-15 -2182 (|#2| |#3| |#4|)) (-15 -3854 (|#2| |#2| |#4|)) (-15 -3984 ((-680 |#2|) |#2| |#4|)) (-15 -2204 ((-680 |#2|) |#2| |#4| (-764))) (-15 -1395 ((-680 |#2|) |#3| |#4|)) (-15 -3776 ((-680 |#2|) |#3| |#4| (-764) (-764)))) (-1091) (-896 |#1|) (-376 |#2|) (-13 (-376 |#1|) (-10 -7 (-6 -4535)))) (T -682)) 
+((-3776 (*1 *2 *3 *4 *5 *5) (-12 (-5 *5 (-764)) (-4 *6 (-1091)) (-4 *7 (-896 *6)) (-5 *2 (-680 *7)) (-5 *1 (-682 *6 *7 *3 *4)) (-4 *3 (-376 *7)) (-4 *4 (-13 (-376 *6) (-10 -7 (-6 -4535)))))) (-1395 (*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-4 *6 (-896 *5)) (-5 *2 (-680 *6)) (-5 *1 (-682 *5 *6 *3 *4)) (-4 *3 (-376 *6)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4535)))))) (-2204 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-764)) (-4 *6 (-1091)) (-4 *3 (-896 *6)) (-5 *2 (-680 *3)) (-5 *1 (-682 *6 *3 *7 *4)) (-4 *7 (-376 *3)) (-4 *4 (-13 (-376 *6) (-10 -7 (-6 -4535)))))) (-3984 (*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-4 *3 (-896 *5)) (-5 *2 (-680 *3)) (-5 *1 (-682 *5 *3 *6 *4)) (-4 *6 (-376 *3)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4535)))))) (-3854 (*1 *2 *2 *3) (-12 (-4 *4 (-1091)) (-4 *2 (-896 *4)) (-5 *1 (-682 *4 *2 *5 *3)) (-4 *5 (-376 *2)) (-4 *3 (-13 (-376 *4) (-10 -7 (-6 -4535)))))) (-2182 (*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-4 *2 (-896 *5)) (-5 *1 (-682 *5 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4535)))))) (-4495 (*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-4 *3 (-896 *5)) (-5 *2 (-1247 *3)) (-5 *1 (-682 *5 *3 *6 *4)) (-4 *6 (-376 *3)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4535))))))) 
+(-10 -7 (-15 -4495 ((-1247 |#2|) |#2| |#4|)) (-15 -2182 (|#2| |#3| |#4|)) (-15 -3854 (|#2| |#2| |#4|)) (-15 -3984 ((-680 |#2|) |#2| |#4|)) (-15 -2204 ((-680 |#2|) |#2| |#4| (-764))) (-15 -1395 ((-680 |#2|) |#3| |#4|)) (-15 -3776 ((-680 |#2|) |#3| |#4| (-764) (-764)))) 
+((-4422 (((-2 (|:| |num| (-680 |#1|)) (|:| |den| |#1|)) (-680 |#2|)) 18)) (-1733 ((|#1| (-680 |#2|)) 9)) (-1839 (((-680 |#1|) (-680 |#2|)) 16))) 
+(((-683 |#1| |#2|) (-10 -7 (-15 -1733 (|#1| (-680 |#2|))) (-15 -1839 ((-680 |#1|) (-680 |#2|))) (-15 -4422 ((-2 (|:| |num| (-680 |#1|)) (|:| |den| |#1|)) (-680 |#2|)))) (-559) (-994 |#1|)) (T -683)) 
+((-4422 (*1 *2 *3) (-12 (-5 *3 (-680 *5)) (-4 *5 (-994 *4)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |num| (-680 *4)) (|:| |den| *4))) (-5 *1 (-683 *4 *5)))) (-1839 (*1 *2 *3) (-12 (-5 *3 (-680 *5)) (-4 *5 (-994 *4)) (-4 *4 (-559)) (-5 *2 (-680 *4)) (-5 *1 (-683 *4 *5)))) (-1733 (*1 *2 *3) (-12 (-5 *3 (-680 *4)) (-4 *4 (-994 *2)) (-4 *2 (-559)) (-5 *1 (-683 *2 *4))))) 
+(-10 -7 (-15 -1733 (|#1| (-680 |#2|))) (-15 -1839 ((-680 |#1|) (-680 |#2|))) (-15 -4422 ((-2 (|:| |num| (-680 |#1|)) (|:| |den| |#1|)) (-680 |#2|)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3294 (((-680 (-689))) NIL) (((-680 (-689)) (-1247 $)) NIL)) (-1377 (((-689) $) NIL)) (-1753 (($ $) NIL (|has| (-689) (-1183)))) (-2530 (($ $) NIL (|has| (-689) (-1183)))) (-2620 (((-1171 (-918) (-764)) (-569)) NIL (|has| (-689) (-351)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| (-689) (-302)) (|has| (-689) (-905))))) (-2004 (($ $) NIL (-2232 (-12 (|has| (-689) (-302)) (|has| (-689) (-905))) (|has| (-689) (-366))))) (-2446 (((-421 $) $) NIL (-2232 (-12 (|has| (-689) (-302)) (|has| (-689) (-905))) (|has| (-689) (-366))))) (-2454 (($ $) NIL (-12 (|has| (-689) (-1003)) (|has| (-689) (-1183))))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (-12 (|has| (-689) (-302)) (|has| (-689) (-905))))) (-3934 (((-121) $ $) NIL (|has| (-689) (-302)))) (-2085 (((-764)) NIL (|has| (-689) (-371)))) (-1744 (($ $) NIL (|has| (-689) (-1183)))) (-2513 (($ $) NIL (|has| (-689) (-1183)))) (-1760 (($ $) NIL (|has| (-689) (-1183)))) (-2546 (($ $) NIL (|has| (-689) (-1183)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL) (((-3 (-689) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-689) (-1038 (-410 (-569)))))) (-2428 (((-569) $) NIL) (((-689) $) NIL) (((-410 (-569)) $) NIL (|has| (-689) (-1038 (-410 (-569)))))) (-2623 (($ (-1247 (-689))) NIL) (($ (-1247 (-689)) (-1247 $)) NIL)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-689) (-351)))) (-2506 (($ $ $) NIL (|has| (-689) (-302)))) (-3325 (((-680 (-689)) $) NIL) (((-680 (-689)) $ (-1247 $)) NIL)) (-1696 (((-680 (-689)) (-680 $)) NIL) (((-2 (|:| -3477 (-680 (-689))) (|:| |vec| (-1247 (-689)))) (-680 $) (-1247 $)) NIL) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| (-689) (-631 (-569)))) (((-680 (-569)) (-680 $)) NIL (|has| (-689) (-631 (-569))))) (-1774 (((-3 $ "failed") (-410 (-1159 (-689)))) NIL (|has| (-689) (-366))) (($ (-1159 (-689))) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1747 (((-689) $) 29)) (-4401 (((-3 (-410 (-569)) "failed") $) NIL (|has| (-689) (-551)))) (-3103 (((-121) $) NIL (|has| (-689) (-551)))) (-1442 (((-410 (-569)) $) NIL (|has| (-689) (-551)))) (-1321 (((-918)) NIL)) (-4327 (($) NIL (|has| (-689) (-371)))) (-2524 (($ $ $) NIL (|has| (-689) (-302)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| (-689) (-302)))) (-3188 (($) NIL (|has| (-689) (-351)))) (-3354 (((-121) $) NIL (|has| (-689) (-351)))) (-2751 (($ $) NIL (|has| (-689) (-351))) (($ $ (-764)) NIL (|has| (-689) (-351)))) (-3726 (((-121) $) NIL (-2232 (-12 (|has| (-689) (-302)) (|has| (-689) (-905))) (|has| (-689) (-366))))) (-2366 (((-2 (|:| |r| (-689)) (|:| |phi| (-689))) $) NIL (-12 (|has| (-689) (-1057)) (|has| (-689) (-1183))))) (-2445 (($) NIL (|has| (-689) (-1183)))) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (|has| (-689) (-882 (-382)))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (|has| (-689) (-882 (-569))))) (-2558 (((-829 (-918)) $) NIL (|has| (-689) (-351))) (((-918) $) NIL (|has| (-689) (-351)))) (-1407 (((-121) $) NIL)) (-4344 (($ $ (-569)) NIL (-12 (|has| (-689) (-1003)) (|has| (-689) (-1183))))) (-4308 (((-689) $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| (-689) (-351)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| (-689) (-302)))) (-2770 (((-1159 (-689)) $) NIL (|has| (-689) (-366)))) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1544 (($ (-1 (-689) (-689)) $) NIL)) (-2083 (((-918) $) NIL (|has| (-689) (-371)))) (-4450 (($ $) NIL (|has| (-689) (-1183)))) (-1769 (((-1159 (-689)) $) NIL)) (-2665 (($ (-635 $)) NIL (|has| (-689) (-302))) (($ $ $) NIL (|has| (-689) (-302)))) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL (|has| (-689) (-366)))) (-4043 (($) NIL (|has| (-689) (-351)) CONST)) (-3998 (($ (-918)) NIL (|has| (-689) (-371)))) (-4512 (($) NIL)) (-1751 (((-689) $) 31)) (-3360 (((-1109) $) NIL)) (-1809 (($) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| (-689) (-302)))) (-2714 (($ (-635 $)) NIL (|has| (-689) (-302))) (($ $ $) NIL (|has| (-689) (-302)))) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL (|has| (-689) (-351)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| (-689) (-302)) (|has| (-689) (-905))))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| (-689) (-302)) (|has| (-689) (-905))))) (-1743 (((-421 $) $) NIL (-2232 (-12 (|has| (-689) (-302)) (|has| (-689) (-905))) (|has| (-689) (-366))))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| (-689) (-302))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| (-689) (-302)))) (-2941 (((-3 $ "failed") $ $) NIL) (((-3 $ "failed") $ (-689)) NIL (|has| (-689) (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| (-689) (-302)))) (-2436 (($ $) NIL (|has| (-689) (-1183)))) (-1468 (($ $ (-1163) (-689)) NIL (|has| (-689) (-524 (-1163) (-689)))) (($ $ (-635 (-1163)) (-635 (-689))) NIL (|has| (-689) (-524 (-1163) (-689)))) (($ $ (-635 (-289 (-689)))) NIL (|has| (-689) (-304 (-689)))) (($ $ (-289 (-689))) NIL (|has| (-689) (-304 (-689)))) (($ $ (-689) (-689)) NIL (|has| (-689) (-304 (-689)))) (($ $ (-635 (-689)) (-635 (-689))) NIL (|has| (-689) (-304 (-689))))) (-2622 (((-764) $) NIL (|has| (-689) (-302)))) (-1534 (($ $ (-689)) NIL (|has| (-689) (-282 (-689) (-689))))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| (-689) (-302)))) (-2087 (((-689)) NIL) (((-689) (-1247 $)) NIL)) (-1291 (((-3 (-764) "failed") $ $) NIL (|has| (-689) (-351))) (((-764) $) NIL (|has| (-689) (-351)))) (-3899 (($ $ (-1 (-689) (-689))) NIL) (($ $ (-1 (-689) (-689)) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-689) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-689) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-689) (-896 (-1163)))) (($ $ (-1163)) NIL (|has| (-689) (-896 (-1163)))) (($ $ (-764)) NIL (|has| (-689) (-226))) (($ $) NIL (|has| (-689) (-226)))) (-3497 (((-680 (-689)) (-1247 $) (-1 (-689) (-689))) NIL (|has| (-689) (-366)))) (-2745 (((-1159 (-689))) NIL)) (-1764 (($ $) NIL (|has| (-689) (-1183)))) (-2554 (($ $) NIL (|has| (-689) (-1183)))) (-2319 (($) NIL (|has| (-689) (-351)))) (-1756 (($ $) NIL (|has| (-689) (-1183)))) (-2538 (($ $) NIL (|has| (-689) (-1183)))) (-1748 (($ $) NIL (|has| (-689) (-1183)))) (-2522 (($ $) NIL (|has| (-689) (-1183)))) (-1648 (((-680 (-689)) (-1247 $)) NIL) (((-1247 (-689)) $) NIL) (((-680 (-689)) (-1247 $) (-1247 $)) NIL) (((-1247 (-689)) $ (-1247 $)) NIL)) (-3817 (((-542) $) NIL (|has| (-689) (-610 (-542)))) (((-170 (-216)) $) NIL (|has| (-689) (-1022))) (((-170 (-382)) $) NIL (|has| (-689) (-1022))) (((-888 (-382)) $) NIL (|has| (-689) (-610 (-888 (-382))))) (((-888 (-569)) $) NIL (|has| (-689) (-610 (-888 (-569))))) (($ (-1159 (-689))) NIL) (((-1159 (-689)) $) NIL) (($ (-1247 (-689))) NIL) (((-1247 (-689)) $) NIL)) (-1414 (($ $) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-2232 (-12 (|has| $ (-149)) (|has| (-689) (-302)) (|has| (-689) (-905))) (|has| (-689) (-351))))) (-2997 (($ (-689) (-689)) 12)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-569)) NIL) (($ (-689)) NIL) (($ (-170 (-382))) 13) (($ (-170 (-569))) 19) (($ (-170 (-689))) 28) (($ (-170 (-691))) 25) (((-170 (-382)) $) 33) (($ (-410 (-569))) NIL (-2232 (|has| (-689) (-366)) (|has| (-689) (-1038 (-410 (-569))))))) (-3953 (($ $) NIL (|has| (-689) (-351))) (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| (-689) (-302)) (|has| (-689) (-905))) (|has| (-689) (-149))))) (-2742 (((-1159 (-689)) $) NIL)) (-1991 (((-764)) NIL)) (-3930 (((-1247 $)) NIL)) (-1779 (($ $) NIL (|has| (-689) (-1183)))) (-1727 (($ $) NIL (|has| (-689) (-1183)))) (-1961 (((-121) $ $) NIL)) (-1770 (($ $) NIL (|has| (-689) (-1183)))) (-2561 (($ $) NIL (|has| (-689) (-1183)))) (-1785 (($ $) NIL (|has| (-689) (-1183)))) (-1736 (($ $) NIL (|has| (-689) (-1183)))) (-1408 (((-689) $) NIL (|has| (-689) (-1183)))) (-2430 (($ $) NIL (|has| (-689) (-1183)))) (-1740 (($ $) NIL (|has| (-689) (-1183)))) (-1782 (($ $) NIL (|has| (-689) (-1183)))) (-1731 (($ $) NIL (|has| (-689) (-1183)))) (-1775 (($ $) NIL (|has| (-689) (-1183)))) (-2569 (($ $) NIL (|has| (-689) (-1183)))) (-1616 (($ $) NIL (|has| (-689) (-1057)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| (-689) (-366)))) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-1 (-689) (-689))) NIL) (($ $ (-1 (-689) (-689)) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-689) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-689) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-689) (-896 (-1163)))) (($ $ (-1163)) NIL (|has| (-689) (-896 (-1163)))) (($ $ (-764)) NIL (|has| (-689) (-226))) (($ $) NIL (|has| (-689) (-226)))) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL (|has| (-689) (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ $) NIL (|has| (-689) (-1183))) (($ $ (-410 (-569))) NIL (-12 (|has| (-689) (-1003)) (|has| (-689) (-1183)))) (($ $ (-569)) NIL (|has| (-689) (-366)))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ (-689) $) NIL) (($ $ (-689)) NIL) (($ (-410 (-569)) $) NIL (|has| (-689) (-366))) (($ $ (-410 (-569))) NIL (|has| (-689) (-366))))) 
+(((-684) (-13 (-390) (-167 (-689)) (-10 -8 (-15 -2185 ($ (-170 (-382)))) (-15 -2185 ($ (-170 (-569)))) (-15 -2185 ($ (-170 (-689)))) (-15 -2185 ($ (-170 (-691)))) (-15 -2185 ((-170 (-382)) $))))) (T -684)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-170 (-382))) (-5 *1 (-684)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-170 (-569))) (-5 *1 (-684)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-170 (-689))) (-5 *1 (-684)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-170 (-691))) (-5 *1 (-684)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-170 (-382))) (-5 *1 (-684))))) 
+(-13 (-390) (-167 (-689)) (-10 -8 (-15 -2185 ($ (-170 (-382)))) (-15 -2185 ($ (-170 (-569)))) (-15 -2185 ($ (-170 (-689)))) (-15 -2185 ($ (-170 (-691)))) (-15 -2185 ((-170 (-382)) $)))) 
+((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) 8)) (-4216 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-3384 (($ $) 58)) (-2033 (($ $) 55 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4454 (($ |#1| $) 44 (|has| $ (-6 -4535))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4535)))) (-4347 (($ |#1| $) 54 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4535)))) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3889 ((|#1| $) 36)) (-3172 (($ |#1| $) 37) (($ |#1| $ (-764)) 59)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-1856 ((|#1| $) 38)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-3271 (((-635 (-2 (|:| -3782 |#1|) (|:| -2846 (-764)))) $) 57)) (-2566 (($) 46) (($ (-635 |#1|)) 45)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-3817 (((-542) $) 56 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 47)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2793 (($ (-635 |#1|)) 39)) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-685 |#1|) (-1278) (-1091)) (T -685)) 
+((-3172 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-685 *2)) (-4 *2 (-1091)))) (-3384 (*1 *1 *1) (-12 (-4 *1 (-685 *2)) (-4 *2 (-1091)))) (-3271 (*1 *2 *1) (-12 (-4 *1 (-685 *3)) (-4 *3 (-1091)) (-5 *2 (-635 (-2 (|:| -3782 *3) (|:| -2846 (-764)))))))) 
+(-13 (-228 |t#1|) (-10 -8 (-15 -3172 ($ |t#1| $ (-764))) (-15 -3384 ($ $)) (-15 -3271 ((-635 (-2 (|:| -3782 |t#1|) (|:| -2846 (-764)))) $)))) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-228 |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
+((-3462 (((-635 |#1|) (-635 (-2 (|:| -1743 |#1|) (|:| -2492 (-569)))) (-569)) 46)) (-1440 ((|#1| |#1| (-569)) 45)) (-2714 ((|#1| |#1| |#1| (-569)) 35)) (-1743 (((-635 |#1|) |#1| (-569)) 38)) (-4289 ((|#1| |#1| (-569) |#1| (-569)) 32)) (-1571 (((-635 (-2 (|:| -1743 |#1|) (|:| -2492 (-569)))) |#1| (-569)) 44))) 
+(((-686 |#1|) (-10 -7 (-15 -2714 (|#1| |#1| |#1| (-569))) (-15 -1440 (|#1| |#1| (-569))) (-15 -1743 ((-635 |#1|) |#1| (-569))) (-15 -1571 ((-635 (-2 (|:| -1743 |#1|) (|:| -2492 (-569)))) |#1| (-569))) (-15 -3462 ((-635 |#1|) (-635 (-2 (|:| -1743 |#1|) (|:| -2492 (-569)))) (-569))) (-15 -4289 (|#1| |#1| (-569) |#1| (-569)))) (-1222 (-569))) (T -686)) 
+((-4289 (*1 *2 *2 *3 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-686 *2)) (-4 *2 (-1222 *3)))) (-3462 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| -1743 *5) (|:| -2492 (-569))))) (-5 *4 (-569)) (-4 *5 (-1222 *4)) (-5 *2 (-635 *5)) (-5 *1 (-686 *5)))) (-1571 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-5 *2 (-635 (-2 (|:| -1743 *3) (|:| -2492 *4)))) (-5 *1 (-686 *3)) (-4 *3 (-1222 *4)))) (-1743 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-5 *2 (-635 *3)) (-5 *1 (-686 *3)) (-4 *3 (-1222 *4)))) (-1440 (*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-686 *2)) (-4 *2 (-1222 *3)))) (-2714 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-686 *2)) (-4 *2 (-1222 *3))))) 
+(-10 -7 (-15 -2714 (|#1| |#1| |#1| (-569))) (-15 -1440 (|#1| |#1| (-569))) (-15 -1743 ((-635 |#1|) |#1| (-569))) (-15 -1571 ((-635 (-2 (|:| -1743 |#1|) (|:| -2492 (-569)))) |#1| (-569))) (-15 -3462 ((-635 |#1|) (-635 (-2 (|:| -1743 |#1|) (|:| -2492 (-569)))) (-569))) (-15 -4289 (|#1| |#1| (-569) |#1| (-569)))) 
+((-3558 (((-1 (-945 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216) (-216))) 17)) (-3479 (((-1122 (-216)) (-1122 (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-216)) (-1085 (-216)) (-635 (-257))) 38) (((-1122 (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-216)) (-1085 (-216)) (-635 (-257))) 40) (((-1122 (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1085 (-216)) (-1085 (-216)) (-635 (-257))) 42)) (-3437 (((-1122 (-216)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-635 (-257))) NIL)) (-2187 (((-1122 (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1085 (-216)) (-1085 (-216)) (-635 (-257))) 43))) 
+(((-687) (-10 -7 (-15 -3479 ((-1122 (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1085 (-216)) (-1085 (-216)) (-635 (-257)))) (-15 -3479 ((-1122 (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-216)) (-1085 (-216)) (-635 (-257)))) (-15 -3479 ((-1122 (-216)) (-1122 (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-216)) (-1085 (-216)) (-635 (-257)))) (-15 -2187 ((-1122 (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1085 (-216)) (-1085 (-216)) (-635 (-257)))) (-15 -3437 ((-1122 (-216)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-635 (-257)))) (-15 -3558 ((-1 (-945 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216) (-216)))))) (T -687)) 
+((-3558 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1 (-216) (-216) (-216) (-216))) (-5 *2 (-1 (-945 (-216)) (-216) (-216))) (-5 *1 (-687)))) (-3437 (*1 *2 *3 *3 *3 *4 *5 *6) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1085 (-216))) (-5 *6 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-687)))) (-2187 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-3 (-1 (-216) (-216) (-216) (-216)) "undefined")) (-5 *5 (-1085 (-216))) (-5 *6 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-687)))) (-3479 (*1 *2 *2 *3 *4 *4 *5) (-12 (-5 *2 (-1122 (-216))) (-5 *3 (-1 (-945 (-216)) (-216) (-216))) (-5 *4 (-1085 (-216))) (-5 *5 (-635 (-257))) (-5 *1 (-687)))) (-3479 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-945 (-216)) (-216) (-216))) (-5 *4 (-1085 (-216))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-687)))) (-3479 (*1 *2 *3 *3 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-3 (-1 (-216) (-216) (-216) (-216)) "undefined")) (-5 *5 (-1085 (-216))) (-5 *6 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-687))))) 
+(-10 -7 (-15 -3479 ((-1122 (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1085 (-216)) (-1085 (-216)) (-635 (-257)))) (-15 -3479 ((-1122 (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-216)) (-1085 (-216)) (-635 (-257)))) (-15 -3479 ((-1122 (-216)) (-1122 (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-216)) (-1085 (-216)) (-635 (-257)))) (-15 -2187 ((-1122 (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1085 (-216)) (-1085 (-216)) (-635 (-257)))) (-15 -3437 ((-1122 (-216)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-635 (-257)))) (-15 -3558 ((-1 (-945 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216) (-216))))) 
+((-1743 (((-421 (-1159 |#4|)) (-1159 |#4|)) 73) (((-421 |#4|) |#4|) 215))) 
+(((-688 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1743 ((-421 |#4|) |#4|)) (-15 -1743 ((-421 (-1159 |#4|)) (-1159 |#4|)))) (-843) (-789) (-351) (-951 |#3| |#2| |#1|)) (T -688)) 
+((-1743 (*1 *2 *3) (-12 (-4 *4 (-843)) (-4 *5 (-789)) (-4 *6 (-351)) (-4 *7 (-951 *6 *5 *4)) (-5 *2 (-421 (-1159 *7))) (-5 *1 (-688 *4 *5 *6 *7)) (-5 *3 (-1159 *7)))) (-1743 (*1 *2 *3) (-12 (-4 *4 (-843)) (-4 *5 (-789)) (-4 *6 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-688 *4 *5 *6 *3)) (-4 *3 (-951 *6 *5 *4))))) 
+(-10 -7 (-15 -1743 ((-421 |#4|) |#4|)) (-15 -1743 ((-421 (-1159 |#4|)) (-1159 |#4|)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 84)) (-3761 (((-569) $) 30)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3136 (($ $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-2454 (($ $) NIL)) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL)) (-2820 (($) NIL T CONST)) (-1847 (($ $) NIL)) (-1647 (((-3 (-569) "failed") $) 73) (((-3 (-410 (-569)) "failed") $) 26) (((-3 (-382) "failed") $) 70)) (-2428 (((-569) $) 75) (((-410 (-569)) $) 67) (((-382) $) 68)) (-2506 (($ $ $) 96)) (-3428 (((-3 $ "failed") $) 87)) (-2524 (($ $ $) 95)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-1732 (((-918)) 77) (((-918) (-918)) 76)) (-2403 (((-121) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL)) (-2558 (((-569) $) NIL)) (-1407 (((-121) $) NIL)) (-4344 (($ $ (-569)) NIL)) (-4308 (($ $) NIL)) (-1781 (((-121) $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2279 (((-569) (-569)) 81) (((-569)) 82)) (-3291 (($ $ $) NIL) (($) NIL (-12 (-3864 (|has| $ (-6 -4518))) (-3864 (|has| $ (-6 -4526)))))) (-4428 (((-569) (-569)) 79) (((-569)) 80)) (-1538 (($ $ $) NIL) (($) NIL (-12 (-3864 (|has| $ (-6 -4518))) (-3864 (|has| $ (-6 -4526)))))) (-1554 (((-569) $) 16)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 91)) (-2925 (((-918) (-569)) NIL (|has| $ (-6 -4526)))) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1346 (($ $) NIL)) (-2942 (($ $) NIL)) (-2215 (($ (-569) (-569)) NIL) (($ (-569) (-569) (-918)) NIL)) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) 92)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2356 (((-569) $) 22)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 94)) (-2855 (((-918)) NIL) (((-918) (-918)) NIL (|has| $ (-6 -4526)))) (-4432 (((-918) (-569)) NIL (|has| $ (-6 -4526)))) (-3817 (((-382) $) NIL) (((-216) $) NIL) (((-888 (-382)) $) NIL)) (-2185 (((-851) $) 52) (($ (-569)) 63) (($ $) NIL) (($ (-410 (-569))) 66) (($ (-569)) 63) (($ (-410 (-569))) 66) (($ (-382)) 60) (((-382) $) 50) (($ (-691)) 55)) (-1991 (((-764)) 103)) (-3053 (($ (-569) (-569) (-918)) 44)) (-2612 (($ $) NIL)) (-2970 (((-918)) NIL) (((-918) (-918)) NIL (|has| $ (-6 -4526)))) (-1475 (((-918)) 35) (((-918) (-918)) 78)) (-1961 (((-121) $ $) NIL)) (-1616 (($ $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 32 T CONST)) (-1556 (($) 17 T CONST)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 83)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 101)) (-1715 (($ $ $) 65)) (-1711 (($ $) 99) (($ $ $) 100)) (-1707 (($ $ $) 98)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL) (($ $ (-410 (-569))) 90)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 97) (($ $ $) 88) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
+(((-689) (-13 (-407) (-390) (-366) (-1038 (-382)) (-1038 (-410 (-569))) (-151) (-10 -8 (-15 -1732 ((-918) (-918))) (-15 -1732 ((-918))) (-15 -1475 ((-918) (-918))) (-15 -1475 ((-918))) (-15 -4428 ((-569) (-569))) (-15 -4428 ((-569))) (-15 -2279 ((-569) (-569))) (-15 -2279 ((-569))) (-15 -2185 ((-382) $)) (-15 -2185 ($ (-691))) (-15 -1554 ((-569) $)) (-15 -2356 ((-569) $)) (-15 -3053 ($ (-569) (-569) (-918)))))) (T -689)) 
+((-1475 (*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-689)))) (-2356 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-689)))) (-1554 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-689)))) (-1732 (*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-689)))) (-1732 (*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-689)))) (-1475 (*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-689)))) (-4428 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-689)))) (-4428 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-689)))) (-2279 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-689)))) (-2279 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-689)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-382)) (-5 *1 (-689)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-691)) (-5 *1 (-689)))) (-3053 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-569)) (-5 *3 (-918)) (-5 *1 (-689))))) 
+(-13 (-407) (-390) (-366) (-1038 (-382)) (-1038 (-410 (-569))) (-151) (-10 -8 (-15 -1732 ((-918) (-918))) (-15 -1732 ((-918))) (-15 -1475 ((-918) (-918))) (-15 -1475 ((-918))) (-15 -4428 ((-569) (-569))) (-15 -4428 ((-569))) (-15 -2279 ((-569) (-569))) (-15 -2279 ((-569))) (-15 -2185 ((-382) $)) (-15 -2185 ($ (-691))) (-15 -1554 ((-569) $)) (-15 -2356 ((-569) $)) (-15 -3053 ($ (-569) (-569) (-918))))) 
+((-3308 (((-680 |#1|) (-680 |#1|) |#1| |#1|) 66)) (-4036 (((-680 |#1|) (-680 |#1|) |#1|) 49)) (-2728 (((-680 |#1|) (-680 |#1|) |#1|) 67)) (-2962 (((-680 |#1|) (-680 |#1|)) 50)) (-4373 (((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|) 65))) 
+(((-690 |#1|) (-10 -7 (-15 -2962 ((-680 |#1|) (-680 |#1|))) (-15 -4036 ((-680 |#1|) (-680 |#1|) |#1|)) (-15 -2728 ((-680 |#1|) (-680 |#1|) |#1|)) (-15 -3308 ((-680 |#1|) (-680 |#1|) |#1| |#1|)) (-15 -4373 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|))) (-302)) (T -690)) 
+((-4373 (*1 *2 *3 *3) (-12 (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-690 *3)) (-4 *3 (-302)))) (-3308 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-680 *3)) (-4 *3 (-302)) (-5 *1 (-690 *3)))) (-2728 (*1 *2 *2 *3) (-12 (-5 *2 (-680 *3)) (-4 *3 (-302)) (-5 *1 (-690 *3)))) (-4036 (*1 *2 *2 *3) (-12 (-5 *2 (-680 *3)) (-4 *3 (-302)) (-5 *1 (-690 *3)))) (-2962 (*1 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-302)) (-5 *1 (-690 *3))))) 
+(-10 -7 (-15 -2962 ((-680 |#1|) (-680 |#1|))) (-15 -4036 ((-680 |#1|) (-680 |#1|) |#1|)) (-15 -2728 ((-680 |#1|) (-680 |#1|) |#1|)) (-15 -3308 ((-680 |#1|) (-680 |#1|) |#1| |#1|)) (-15 -4373 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3394 (($ $ $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3202 (($ $ $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL)) (-3036 (($ $ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) 27)) (-2428 (((-569) $) 25)) (-2506 (($ $ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4401 (((-3 (-410 (-569)) "failed") $) NIL)) (-3103 (((-121) $) NIL)) (-1442 (((-410 (-569)) $) NIL)) (-4327 (($ $) NIL) (($) NIL)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-1389 (($ $ $ $) NIL)) (-4031 (($ $ $) NIL)) (-2403 (((-121) $) NIL)) (-2381 (($ $ $) NIL)) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL)) (-1407 (((-121) $) NIL)) (-1931 (((-121) $) NIL)) (-3846 (((-3 $ "failed") $) NIL)) (-1781 (((-121) $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4131 (($ $ $ $) NIL)) (-3291 (($ $ $) NIL)) (-3180 (((-918) (-918)) 10) (((-918)) 9)) (-1538 (($ $ $) NIL)) (-4372 (($ $) NIL)) (-1906 (($ $) NIL)) (-2665 (($ (-635 $)) NIL) (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-4466 (($ $ $) NIL)) (-4043 (($) NIL T CONST)) (-2761 (($ $) NIL)) (-3360 (((-1109) $) NIL) (($ $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ (-635 $)) NIL) (($ $ $) NIL)) (-1484 (($ $) NIL)) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1657 (((-121) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3899 (($ $) NIL) (($ $ (-764)) NIL)) (-4185 (($ $) NIL)) (-1971 (($ $) NIL)) (-3817 (((-216) $) NIL) (((-382) $) NIL) (((-888 (-569)) $) NIL) (((-542) $) NIL) (((-569) $) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) 24) (($ $) NIL) (($ (-569)) 24) (((-311 $) (-311 (-569))) 18)) (-1991 (((-764)) NIL)) (-4317 (((-121) $ $) NIL)) (-4248 (($ $ $) NIL)) (-1475 (($) NIL)) (-1961 (((-121) $ $) NIL)) (-4423 (($ $ $ $) NIL)) (-1616 (($ $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $) NIL) (($ $ (-764)) NIL)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL))) 
+(((-691) (-13 (-390) (-551) (-10 -8 (-15 -3180 ((-918) (-918))) (-15 -3180 ((-918))) (-15 -2185 ((-311 $) (-311 (-569))))))) (T -691)) 
+((-3180 (*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-691)))) (-3180 (*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-691)))) (-2185 (*1 *2 *3) (-12 (-5 *3 (-311 (-569))) (-5 *2 (-311 (-691))) (-5 *1 (-691))))) 
+(-13 (-390) (-551) (-10 -8 (-15 -3180 ((-918) (-918))) (-15 -3180 ((-918))) (-15 -2185 ((-311 $) (-311 (-569)))))) 
+((-2520 (((-1 |#4| |#2| |#3|) |#1| (-1163) (-1163)) 19)) (-2172 (((-1 |#4| |#2| |#3|) (-1163)) 12))) 
+(((-692 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2172 ((-1 |#4| |#2| |#3|) (-1163))) (-15 -2520 ((-1 |#4| |#2| |#3|) |#1| (-1163) (-1163)))) (-610 (-542)) (-1197) (-1197) (-1197)) (T -692)) 
+((-2520 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1163)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-692 *3 *5 *6 *7)) (-4 *3 (-610 (-542))) (-4 *5 (-1197)) (-4 *6 (-1197)) (-4 *7 (-1197)))) (-2172 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-692 *4 *5 *6 *7)) (-4 *4 (-610 (-542))) (-4 *5 (-1197)) (-4 *6 (-1197)) (-4 *7 (-1197))))) 
+(-10 -7 (-15 -2172 ((-1 |#4| |#2| |#3|) (-1163))) (-15 -2520 ((-1 |#4| |#2| |#3|) |#1| (-1163) (-1163)))) 
+((-2568 (((-121) $ $) NIL)) (-2441 (((-1252) $ (-764)) 14)) (-3727 (((-764) $) 12)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 18) ((|#1| $) 15) (($ |#1|) 23)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 25)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 24))) 
+(((-693 |#1|) (-13 (-139) (-609 |#1|) (-10 -8 (-15 -2185 ($ |#1|)))) (-1091)) (T -693)) 
+((-2185 (*1 *1 *2) (-12 (-5 *1 (-693 *2)) (-4 *2 (-1091))))) 
+(-13 (-139) (-609 |#1|) (-10 -8 (-15 -2185 ($ |#1|)))) 
+((-3414 (((-1 (-216) (-216) (-216)) |#1| (-1163) (-1163)) 33) (((-1 (-216) (-216)) |#1| (-1163)) 38))) 
+(((-694 |#1|) (-10 -7 (-15 -3414 ((-1 (-216) (-216)) |#1| (-1163))) (-15 -3414 ((-1 (-216) (-216) (-216)) |#1| (-1163) (-1163)))) (-610 (-542))) (T -694)) 
+((-3414 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1163)) (-5 *2 (-1 (-216) (-216) (-216))) (-5 *1 (-694 *3)) (-4 *3 (-610 (-542))))) (-3414 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-5 *2 (-1 (-216) (-216))) (-5 *1 (-694 *3)) (-4 *3 (-610 (-542)))))) 
+(-10 -7 (-15 -3414 ((-1 (-216) (-216)) |#1| (-1163))) (-15 -3414 ((-1 (-216) (-216) (-216)) |#1| (-1163) (-1163)))) 
+((-1813 (((-1163) |#1| (-1163) (-635 (-1163))) 9) (((-1163) |#1| (-1163) (-1163) (-1163)) 12) (((-1163) |#1| (-1163) (-1163)) 11) (((-1163) |#1| (-1163)) 10))) 
+(((-695 |#1|) (-10 -7 (-15 -1813 ((-1163) |#1| (-1163))) (-15 -1813 ((-1163) |#1| (-1163) (-1163))) (-15 -1813 ((-1163) |#1| (-1163) (-1163) (-1163))) (-15 -1813 ((-1163) |#1| (-1163) (-635 (-1163))))) (-610 (-542))) (T -695)) 
+((-1813 (*1 *2 *3 *2 *4) (-12 (-5 *4 (-635 (-1163))) (-5 *2 (-1163)) (-5 *1 (-695 *3)) (-4 *3 (-610 (-542))))) (-1813 (*1 *2 *3 *2 *2 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-695 *3)) (-4 *3 (-610 (-542))))) (-1813 (*1 *2 *3 *2 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-695 *3)) (-4 *3 (-610 (-542))))) (-1813 (*1 *2 *3 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-695 *3)) (-4 *3 (-610 (-542)))))) 
+(-10 -7 (-15 -1813 ((-1163) |#1| (-1163))) (-15 -1813 ((-1163) |#1| (-1163) (-1163))) (-15 -1813 ((-1163) |#1| (-1163) (-1163) (-1163))) (-15 -1813 ((-1163) |#1| (-1163) (-635 (-1163))))) 
+((-1994 (((-2 (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|) 9))) 
+(((-696 |#1| |#2|) (-10 -7 (-15 -1994 ((-2 (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|))) (-1197) (-1197)) (T -696)) 
+((-1994 (*1 *2 *3 *4) (-12 (-5 *2 (-2 (|:| |part1| *3) (|:| |part2| *4))) (-5 *1 (-696 *3 *4)) (-4 *3 (-1197)) (-4 *4 (-1197))))) 
+(-10 -7 (-15 -1994 ((-2 (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|))) 
+((-1822 (((-1 |#3| |#2|) (-1163)) 11)) (-2520 (((-1 |#3| |#2|) |#1| (-1163)) 21))) 
+(((-697 |#1| |#2| |#3|) (-10 -7 (-15 -1822 ((-1 |#3| |#2|) (-1163))) (-15 -2520 ((-1 |#3| |#2|) |#1| (-1163)))) (-610 (-542)) (-1197) (-1197)) (T -697)) 
+((-2520 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-5 *2 (-1 *6 *5)) (-5 *1 (-697 *3 *5 *6)) (-4 *3 (-610 (-542))) (-4 *5 (-1197)) (-4 *6 (-1197)))) (-1822 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 *6 *5)) (-5 *1 (-697 *4 *5 *6)) (-4 *4 (-610 (-542))) (-4 *5 (-1197)) (-4 *6 (-1197))))) 
+(-10 -7 (-15 -1822 ((-1 |#3| |#2|) (-1163))) (-15 -2520 ((-1 |#3| |#2|) |#1| (-1163)))) 
+((-3203 (((-3 (-635 (-1159 |#4|)) "failed") (-1159 |#4|) (-635 |#2|) (-635 (-1159 |#4|)) (-635 |#3|) (-635 |#4|) (-635 (-635 (-2 (|:| -3358 (-764)) (|:| |pcoef| |#4|)))) (-635 (-764)) (-1247 (-635 (-1159 |#3|))) |#3|) 58)) (-4429 (((-3 (-635 (-1159 |#4|)) "failed") (-1159 |#4|) (-635 |#2|) (-635 (-1159 |#3|)) (-635 |#3|) (-635 |#4|) (-635 (-764)) |#3|) 71)) (-1750 (((-3 (-635 (-1159 |#4|)) "failed") (-1159 |#4|) (-635 |#2|) (-635 |#3|) (-635 (-764)) (-635 (-1159 |#4|)) (-1247 (-635 (-1159 |#3|))) |#3|) 32))) 
+(((-698 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1750 ((-3 (-635 (-1159 |#4|)) "failed") (-1159 |#4|) (-635 |#2|) (-635 |#3|) (-635 (-764)) (-635 (-1159 |#4|)) (-1247 (-635 (-1159 |#3|))) |#3|)) (-15 -4429 ((-3 (-635 (-1159 |#4|)) "failed") (-1159 |#4|) (-635 |#2|) (-635 (-1159 |#3|)) (-635 |#3|) (-635 |#4|) (-635 (-764)) |#3|)) (-15 -3203 ((-3 (-635 (-1159 |#4|)) "failed") (-1159 |#4|) (-635 |#2|) (-635 (-1159 |#4|)) (-635 |#3|) (-635 |#4|) (-635 (-635 (-2 (|:| -3358 (-764)) (|:| |pcoef| |#4|)))) (-635 (-764)) (-1247 (-635 (-1159 |#3|))) |#3|))) (-789) (-843) (-302) (-951 |#3| |#1| |#2|)) (T -698)) 
+((-3203 (*1 *2 *3 *4 *2 *5 *6 *7 *8 *9 *10) (|partial| -12 (-5 *2 (-635 (-1159 *13))) (-5 *3 (-1159 *13)) (-5 *4 (-635 *12)) (-5 *5 (-635 *10)) (-5 *6 (-635 *13)) (-5 *7 (-635 (-635 (-2 (|:| -3358 (-764)) (|:| |pcoef| *13))))) (-5 *8 (-635 (-764))) (-5 *9 (-1247 (-635 (-1159 *10)))) (-4 *12 (-843)) (-4 *10 (-302)) (-4 *13 (-951 *10 *11 *12)) (-4 *11 (-789)) (-5 *1 (-698 *11 *12 *10 *13)))) (-4429 (*1 *2 *3 *4 *5 *6 *7 *8 *9) (|partial| -12 (-5 *4 (-635 *11)) (-5 *5 (-635 (-1159 *9))) (-5 *6 (-635 *9)) (-5 *7 (-635 *12)) (-5 *8 (-635 (-764))) (-4 *11 (-843)) (-4 *9 (-302)) (-4 *12 (-951 *9 *10 *11)) (-4 *10 (-789)) (-5 *2 (-635 (-1159 *12))) (-5 *1 (-698 *10 *11 *9 *12)) (-5 *3 (-1159 *12)))) (-1750 (*1 *2 *3 *4 *5 *6 *2 *7 *8) (|partial| -12 (-5 *2 (-635 (-1159 *11))) (-5 *3 (-1159 *11)) (-5 *4 (-635 *10)) (-5 *5 (-635 *8)) (-5 *6 (-635 (-764))) (-5 *7 (-1247 (-635 (-1159 *8)))) (-4 *10 (-843)) (-4 *8 (-302)) (-4 *11 (-951 *8 *9 *10)) (-4 *9 (-789)) (-5 *1 (-698 *9 *10 *8 *11))))) 
+(-10 -7 (-15 -1750 ((-3 (-635 (-1159 |#4|)) "failed") (-1159 |#4|) (-635 |#2|) (-635 |#3|) (-635 (-764)) (-635 (-1159 |#4|)) (-1247 (-635 (-1159 |#3|))) |#3|)) (-15 -4429 ((-3 (-635 (-1159 |#4|)) "failed") (-1159 |#4|) (-635 |#2|) (-635 (-1159 |#3|)) (-635 |#3|) (-635 |#4|) (-635 (-764)) |#3|)) (-15 -3203 ((-3 (-635 (-1159 |#4|)) "failed") (-1159 |#4|) (-635 |#2|) (-635 (-1159 |#4|)) (-635 |#3|) (-635 |#4|) (-635 (-635 (-2 (|:| -3358 (-764)) (|:| |pcoef| |#4|)))) (-635 (-764)) (-1247 (-635 (-1159 |#3|))) |#3|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-4020 (($ $) 40)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-1763 (($ |#1| (-764)) 38)) (-4002 (((-764) $) 42)) (-4012 ((|#1| $) 41)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2492 (((-764) $) 43)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 37 (|has| |#1| (-173)))) (-1653 ((|#1| $ (-764)) 39)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 45) (($ |#1| $) 44))) 
+(((-699 |#1|) (-1278) (-1048)) (T -699)) 
+((-2492 (*1 *2 *1) (-12 (-4 *1 (-699 *3)) (-4 *3 (-1048)) (-5 *2 (-764)))) (-4002 (*1 *2 *1) (-12 (-4 *1 (-699 *3)) (-4 *3 (-1048)) (-5 *2 (-764)))) (-4012 (*1 *2 *1) (-12 (-4 *1 (-699 *2)) (-4 *2 (-1048)))) (-4020 (*1 *1 *1) (-12 (-4 *1 (-699 *2)) (-4 *2 (-1048)))) (-1653 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-699 *2)) (-4 *2 (-1048)))) (-1763 (*1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-699 *2)) (-4 *2 (-1048))))) 
+(-13 (-1048) (-120 |t#1| |t#1|) (-10 -8 (IF (|has| |t#1| (-173)) (-6 (-43 |t#1|)) |noBranch|) (-15 -2492 ((-764) $)) (-15 -4002 ((-764) $)) (-15 -4012 (|t#1| $)) (-15 -4020 ($ $)) (-15 -1653 (|t#1| $ (-764))) (-15 -1763 ($ |t#1| (-764))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-173)) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-708 |#1|) |has| |#1| (-173)) ((-717) . T) ((-1054 |#1|) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-1544 ((|#6| (-1 |#4| |#1|) |#3|) 23))) 
+(((-700 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -1544 (|#6| (-1 |#4| |#1|) |#3|))) (-559) (-1222 |#1|) (-1222 (-410 |#2|)) (-559) (-1222 |#4|) (-1222 (-410 |#5|))) (T -700)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-559)) (-4 *7 (-559)) (-4 *6 (-1222 *5)) (-4 *2 (-1222 (-410 *8))) (-5 *1 (-700 *5 *6 *4 *7 *8 *2)) (-4 *4 (-1222 (-410 *6))) (-4 *8 (-1222 *7))))) 
+(-10 -7 (-15 -1544 (|#6| (-1 |#4| |#1|) |#3|))) 
+((-2568 (((-121) $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1359 (((-1145) (-851)) 31)) (-3615 (((-1252) (-1145)) 28)) (-2774 (((-1145) (-851)) 24)) (-4400 (((-1145) (-851)) 25)) (-2185 (((-851) $) NIL) (((-1145) (-851)) 23)) (-1668 (((-121) $ $) NIL))) 
+(((-701) (-13 (-1091) (-10 -7 (-15 -2185 ((-1145) (-851))) (-15 -2774 ((-1145) (-851))) (-15 -4400 ((-1145) (-851))) (-15 -1359 ((-1145) (-851))) (-15 -3615 ((-1252) (-1145)))))) (T -701)) 
+((-2185 (*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-701)))) (-2774 (*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-701)))) (-4400 (*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-701)))) (-1359 (*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-701)))) (-3615 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-701))))) 
+(-13 (-1091) (-10 -7 (-15 -2185 ((-1145) (-851))) (-15 -2774 ((-1145) (-851))) (-15 -4400 ((-1145) (-851))) (-15 -1359 ((-1145) (-851))) (-15 -3615 ((-1252) (-1145))))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-2506 (($ $ $) NIL)) (-1774 (($ |#1| |#2|) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-1407 (((-121) $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3092 ((|#2| $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4440 (((-3 $ "failed") $ $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) ((|#1| $) NIL)) (-1991 (((-764)) NIL)) (-1961 (((-121) $ $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
+(((-702 |#1| |#2| |#3| |#4| |#5|) (-13 (-366) (-10 -8 (-15 -3092 (|#2| $)) (-15 -2185 (|#1| $)) (-15 -1774 ($ |#1| |#2|)) (-15 -4440 ((-3 $ "failed") $ $)))) (-173) (-23) (-1 |#1| |#1| |#2|) (-1 (-3 |#2| "failed") |#2| |#2|) (-1 (-3 |#1| "failed") |#1| |#1| |#2|)) (T -702)) 
+((-3092 (*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-702 *3 *2 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) (-2185 (*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-702 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-1774 (*1 *1 *2 *3) (-12 (-5 *1 (-702 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-4440 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-702 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3))))) 
+(-13 (-366) (-10 -8 (-15 -3092 (|#2| $)) (-15 -2185 (|#1| $)) (-15 -1774 ($ |#1| |#2|)) (-15 -4440 ((-3 $ "failed") $ $)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 30)) (-4411 (((-1247 |#1|) $ (-764)) NIL)) (-1773 (((-635 (-1076)) $) NIL)) (-3707 (($ (-1159 |#1|)) NIL)) (-1739 (((-1159 $) $ (-1076)) NIL) (((-1159 |#1|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 (-1076))) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3306 (($ $ $) NIL (|has| |#1| (-559)))) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-2004 (($ $) NIL (|has| |#1| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-2085 (((-764)) 46 (|has| |#1| (-371)))) (-1435 (($ $ (-764)) NIL)) (-2399 (($ $ (-764)) NIL)) (-4155 ((|#2| |#2|) 43)) (-2499 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-454)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-1076) "failed") $) NIL)) (-2428 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-1076) $) NIL)) (-3493 (($ $ $ (-1076)) NIL (|has| |#1| (-173))) ((|#1| $ $) NIL (|has| |#1| (-173)))) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-4020 (($ $) 33)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) NIL) (((-680 |#1|) (-680 $)) NIL)) (-1774 (($ |#2|) 41)) (-3428 (((-3 $ "failed") $) 84)) (-4327 (($) 50 (|has| |#1| (-371)))) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-4021 (($ $ $) NIL)) (-3611 (($ $ $) NIL (|has| |#1| (-559)))) (-1884 (((-2 (|:| -4140 |#1|) (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-559)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-1340 (($ $) NIL (|has| |#1| (-454))) (($ $ (-1076)) NIL (|has| |#1| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#1| (-905)))) (-4245 (((-959 $)) 78)) (-1667 (($ $ |#1| (-764) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-1076) (-882 (-382))) (|has| |#1| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-1076) (-882 (-569))) (|has| |#1| (-882 (-569)))))) (-2558 (((-764) $ $) NIL (|has| |#1| (-559)))) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| |#1| (-1137)))) (-1768 (($ (-1159 |#1|) (-1076)) NIL) (($ (-1159 $) (-1076)) NIL)) (-3089 (($ $ (-764)) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-764)) 76) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-1076)) NIL) (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3092 ((|#2|) 44)) (-4002 (((-764) $) NIL) (((-764) $ (-1076)) NIL) (((-635 (-764)) $ (-635 (-1076))) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-2658 (($ (-1 (-764) (-764)) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2225 (((-1159 |#1|) $) NIL)) (-1637 (((-3 (-1076) "failed") $) NIL)) (-2083 (((-918) $) NIL (|has| |#1| (-371)))) (-1769 ((|#2| $) 40)) (-1804 (($ $) NIL)) (-4012 ((|#1| $) 28)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2776 (((-1145) $) NIL)) (-4451 (((-2 (|:| -4268 $) (|:| -1830 $)) $ (-764)) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| (-1076)) (|:| -2356 (-764))) "failed") $) NIL)) (-2565 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4043 (($) NIL (|has| |#1| (-1137)) CONST)) (-3998 (($ (-918)) NIL (|has| |#1| (-371)))) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) NIL)) (-1801 ((|#1| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-1373 (($ $) 77 (|has| |#1| (-351)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-905)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) 83 (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1076) |#1|) NIL) (($ $ (-635 (-1076)) (-635 |#1|)) NIL) (($ $ (-1076) $) NIL) (($ $ (-635 (-1076)) (-635 $)) NIL)) (-2622 (((-764) $) NIL (|has| |#1| (-366)))) (-1534 ((|#1| $ |#1|) NIL) (($ $ $) NIL) (((-410 $) (-410 $) (-410 $)) NIL (|has| |#1| (-559))) ((|#1| (-410 $) |#1|) NIL (|has| |#1| (-366))) (((-410 $) $ (-410 $)) NIL (|has| |#1| (-559)))) (-2067 (((-3 $ "failed") $ (-764)) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 85 (|has| |#1| (-366)))) (-2087 (($ $ (-1076)) NIL (|has| |#1| (-173))) ((|#1| $) NIL (|has| |#1| (-173)))) (-3899 (($ $ (-1076)) NIL) (($ $ (-635 (-1076))) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL) (($ $ (-764)) NIL) (($ $) NIL) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-2492 (((-764) $) 31) (((-764) $ (-1076)) NIL) (((-635 (-764)) $ (-635 (-1076))) NIL)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| (-1076) (-610 (-888 (-382)))) (|has| |#1| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| (-1076) (-610 (-888 (-569)))) (|has| |#1| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| (-1076) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-3298 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ (-1076)) NIL (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-905))))) (-2367 (((-959 $)) 35)) (-4091 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559))) (((-3 (-410 $) "failed") (-410 $) $) NIL (|has| |#1| (-559)))) (-2185 (((-851) $) 60) (($ (-569)) NIL) (($ |#1|) 57) (($ (-1076)) NIL) (($ |#2|) 67) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-764)) 62) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#1| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 20 T CONST)) (-4233 (((-1247 |#1|) $) 74)) (-4111 (($ (-1247 |#1|)) 49)) (-1556 (($) 8 T CONST)) (-3022 (($ $ (-1076)) NIL) (($ $ (-635 (-1076))) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL) (($ $ (-764)) NIL) (($ $) NIL) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-2330 (((-1247 |#1|) $) NIL)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) 68)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) 71) (($ $ $) NIL)) (-1707 (($ $ $) 32)) (** (($ $ (-918)) NIL) (($ $ (-764)) 79)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 56) (($ $ $) 73) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 54) (($ $ |#1|) NIL))) 
+(((-703 |#1| |#2|) (-13 (-1222 |#1|) (-10 -8 (-15 -4155 (|#2| |#2|)) (-15 -3092 (|#2|)) (-15 -1774 ($ |#2|)) (-15 -1769 (|#2| $)) (-15 -2185 ($ |#2|)) (-15 -4233 ((-1247 |#1|) $)) (-15 -4111 ($ (-1247 |#1|))) (-15 -2330 ((-1247 |#1|) $)) (-15 -4245 ((-959 $))) (-15 -2367 ((-959 $))) (IF (|has| |#1| (-351)) (-15 -1373 ($ $)) |noBranch|) (IF (|has| |#1| (-371)) (-6 (-371)) |noBranch|))) (-1048) (-1222 |#1|)) (T -703)) 
+((-4155 (*1 *2 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-703 *3 *2)) (-4 *2 (-1222 *3)))) (-3092 (*1 *2) (-12 (-4 *2 (-1222 *3)) (-5 *1 (-703 *3 *2)) (-4 *3 (-1048)))) (-1774 (*1 *1 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-703 *3 *2)) (-4 *2 (-1222 *3)))) (-1769 (*1 *2 *1) (-12 (-4 *2 (-1222 *3)) (-5 *1 (-703 *3 *2)) (-4 *3 (-1048)))) (-2185 (*1 *1 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-703 *3 *2)) (-4 *2 (-1222 *3)))) (-4233 (*1 *2 *1) (-12 (-4 *3 (-1048)) (-5 *2 (-1247 *3)) (-5 *1 (-703 *3 *4)) (-4 *4 (-1222 *3)))) (-4111 (*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-1048)) (-5 *1 (-703 *3 *4)) (-4 *4 (-1222 *3)))) (-2330 (*1 *2 *1) (-12 (-4 *3 (-1048)) (-5 *2 (-1247 *3)) (-5 *1 (-703 *3 *4)) (-4 *4 (-1222 *3)))) (-4245 (*1 *2) (-12 (-4 *3 (-1048)) (-5 *2 (-959 (-703 *3 *4))) (-5 *1 (-703 *3 *4)) (-4 *4 (-1222 *3)))) (-2367 (*1 *2) (-12 (-4 *3 (-1048)) (-5 *2 (-959 (-703 *3 *4))) (-5 *1 (-703 *3 *4)) (-4 *4 (-1222 *3)))) (-1373 (*1 *1 *1) (-12 (-4 *2 (-351)) (-4 *2 (-1048)) (-5 *1 (-703 *2 *3)) (-4 *3 (-1222 *2))))) 
+(-13 (-1222 |#1|) (-10 -8 (-15 -4155 (|#2| |#2|)) (-15 -3092 (|#2|)) (-15 -1774 ($ |#2|)) (-15 -1769 (|#2| $)) (-15 -2185 ($ |#2|)) (-15 -4233 ((-1247 |#1|) $)) (-15 -4111 ($ (-1247 |#1|))) (-15 -2330 ((-1247 |#1|) $)) (-15 -4245 ((-959 $))) (-15 -2367 ((-959 $))) (IF (|has| |#1| (-351)) (-15 -1373 ($ $)) |noBranch|) (IF (|has| |#1| (-371)) (-6 (-371)) |noBranch|))) 
+((-2568 (((-121) $ $) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3998 ((|#1| $) 13)) (-3360 (((-1109) $) NIL)) (-2356 ((|#2| $) 12)) (-2139 (($ |#1| |#2|) 16)) (-2185 (((-851) $) NIL) (($ (-2 (|:| -3998 |#1|) (|:| -2356 |#2|))) 15) (((-2 (|:| -3998 |#1|) (|:| -2356 |#2|)) $) 14)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 11))) 
+(((-704 |#1| |#2| |#3|) (-13 (-843) (-10 -8 (-15 -2356 (|#2| $)) (-15 -3998 (|#1| $)) (-15 -2185 ($ (-2 (|:| -3998 |#1|) (|:| -2356 |#2|)))) (-15 -2185 ((-2 (|:| -3998 |#1|) (|:| -2356 |#2|)) $)) (-15 -2139 ($ |#1| |#2|)))) (-843) (-1091) (-1 (-121) (-2 (|:| -3998 |#1|) (|:| -2356 |#2|)) (-2 (|:| -3998 |#1|) (|:| -2356 |#2|)))) (T -704)) 
+((-2356 (*1 *2 *1) (-12 (-4 *2 (-1091)) (-5 *1 (-704 *3 *2 *4)) (-4 *3 (-843)) (-14 *4 (-1 (-121) (-2 (|:| -3998 *3) (|:| -2356 *2)) (-2 (|:| -3998 *3) (|:| -2356 *2)))))) (-3998 (*1 *2 *1) (-12 (-4 *2 (-843)) (-5 *1 (-704 *2 *3 *4)) (-4 *3 (-1091)) (-14 *4 (-1 (-121) (-2 (|:| -3998 *2) (|:| -2356 *3)) (-2 (|:| -3998 *2) (|:| -2356 *3)))))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| -3998 *3) (|:| -2356 *4))) (-4 *3 (-843)) (-4 *4 (-1091)) (-5 *1 (-704 *3 *4 *5)) (-14 *5 (-1 (-121) *2 *2)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| -3998 *3) (|:| -2356 *4))) (-5 *1 (-704 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-1091)) (-14 *5 (-1 (-121) *2 *2)))) (-2139 (*1 *1 *2 *3) (-12 (-5 *1 (-704 *2 *3 *4)) (-4 *2 (-843)) (-4 *3 (-1091)) (-14 *4 (-1 (-121) (-2 (|:| -3998 *2) (|:| -2356 *3)) (-2 (|:| -3998 *2) (|:| -2356 *3))))))) 
+(-13 (-843) (-10 -8 (-15 -2356 (|#2| $)) (-15 -3998 (|#1| $)) (-15 -2185 ($ (-2 (|:| -3998 |#1|) (|:| -2356 |#2|)))) (-15 -2185 ((-2 (|:| -3998 |#1|) (|:| -2356 |#2|)) $)) (-15 -2139 ($ |#1| |#2|)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 59)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) 89) (((-3 (-123) "failed") $) 95)) (-2428 ((|#1| $) NIL) (((-123) $) 39)) (-3428 (((-3 $ "failed") $) 90)) (-1512 ((|#2| (-123) |#2|) 82)) (-1407 (((-121) $) NIL)) (-2133 (($ |#1| (-364 (-123))) 13)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2488 (($ $ (-1 |#2| |#2|)) 58)) (-3350 (($ $ (-1 |#2| |#2|)) 44)) (-1534 ((|#2| $ |#2|) 32)) (-3965 ((|#1| |#1|) 100 (|has| |#1| (-173)))) (-2185 (((-851) $) 66) (($ (-569)) 17) (($ |#1|) 16) (($ (-123)) 23)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) 36)) (-3724 (($ $) 99 (|has| |#1| (-173))) (($ $ $) 103 (|has| |#1| (-173)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 20 T CONST)) (-1556 (($) 9 T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) 48) (($ $ $) NIL)) (-1707 (($ $ $) 73)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ (-123) (-569)) NIL) (($ $ (-569)) 57)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 98) (($ $ $) 50) (($ |#1| $) 96 (|has| |#1| (-173))) (($ $ |#1|) 97 (|has| |#1| (-173))))) 
+(((-705 |#1| |#2|) (-13 (-1048) (-1038 |#1|) (-1038 (-123)) (-282 |#2| |#2|) (-10 -8 (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-6 (-43 |#1|)) (-15 -3724 ($ $)) (-15 -3724 ($ $ $)) (-15 -3965 (|#1| |#1|))) |noBranch|) (-15 -3350 ($ $ (-1 |#2| |#2|))) (-15 -2488 ($ $ (-1 |#2| |#2|))) (-15 ** ($ (-123) (-569))) (-15 ** ($ $ (-569))) (-15 -1512 (|#2| (-123) |#2|)) (-15 -2133 ($ |#1| (-364 (-123)))))) (-1048) (-638 |#1|)) (T -705)) 
+((-3724 (*1 *1 *1) (-12 (-4 *2 (-173)) (-4 *2 (-1048)) (-5 *1 (-705 *2 *3)) (-4 *3 (-638 *2)))) (-3724 (*1 *1 *1 *1) (-12 (-4 *2 (-173)) (-4 *2 (-1048)) (-5 *1 (-705 *2 *3)) (-4 *3 (-638 *2)))) (-3965 (*1 *2 *2) (-12 (-4 *2 (-173)) (-4 *2 (-1048)) (-5 *1 (-705 *2 *3)) (-4 *3 (-638 *2)))) (-3350 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-638 *3)) (-4 *3 (-1048)) (-5 *1 (-705 *3 *4)))) (-2488 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-638 *3)) (-4 *3 (-1048)) (-5 *1 (-705 *3 *4)))) (** (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-569)) (-4 *4 (-1048)) (-5 *1 (-705 *4 *5)) (-4 *5 (-638 *4)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *3 (-1048)) (-5 *1 (-705 *3 *4)) (-4 *4 (-638 *3)))) (-1512 (*1 *2 *3 *2) (-12 (-5 *3 (-123)) (-4 *4 (-1048)) (-5 *1 (-705 *4 *2)) (-4 *2 (-638 *4)))) (-2133 (*1 *1 *2 *3) (-12 (-5 *3 (-364 (-123))) (-4 *2 (-1048)) (-5 *1 (-705 *2 *4)) (-4 *4 (-638 *2))))) 
+(-13 (-1048) (-1038 |#1|) (-1038 (-123)) (-282 |#2| |#2|) (-10 -8 (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-6 (-43 |#1|)) (-15 -3724 ($ $)) (-15 -3724 ($ $ $)) (-15 -3965 (|#1| |#1|))) |noBranch|) (-15 -3350 ($ $ (-1 |#2| |#2|))) (-15 -2488 ($ $ (-1 |#2| |#2|))) (-15 ** ($ (-123) (-569))) (-15 ** ($ $ (-569))) (-15 -1512 (|#2| (-123) |#2|)) (-15 -2133 ($ |#1| (-364 (-123)))))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 33)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-1774 (($ |#1| |#2|) 25)) (-3428 (((-3 $ "failed") $) 47)) (-1407 (((-121) $) 35)) (-3092 ((|#2| $) 12)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 48)) (-3360 (((-1109) $) NIL)) (-4440 (((-3 $ "failed") $ $) 46)) (-2185 (((-851) $) 24) (($ (-569)) 19) ((|#1| $) 13)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 16 T CONST)) (-1556 (($) 30 T CONST)) (-1668 (((-121) $ $) 38)) (-1711 (($ $) 43) (($ $ $) 37)) (-1707 (($ $ $) 40)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 21) (($ $ $) 20))) 
+(((-706 |#1| |#2| |#3| |#4| |#5|) (-13 (-1048) (-10 -8 (-15 -3092 (|#2| $)) (-15 -2185 (|#1| $)) (-15 -1774 ($ |#1| |#2|)) (-15 -4440 ((-3 $ "failed") $ $)) (-15 -3428 ((-3 $ "failed") $)) (-15 -1795 ($ $)))) (-173) (-23) (-1 |#1| |#1| |#2|) (-1 (-3 |#2| "failed") |#2| |#2|) (-1 (-3 |#1| "failed") |#1| |#1| |#2|)) (T -706)) 
+((-3428 (*1 *1 *1) (|partial| -12 (-5 *1 (-706 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-3092 (*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-706 *3 *2 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) (-2185 (*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-706 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-1774 (*1 *1 *2 *3) (-12 (-5 *1 (-706 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-4440 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-706 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-1795 (*1 *1 *1) (-12 (-5 *1 (-706 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3))))) 
+(-13 (-1048) (-10 -8 (-15 -3092 (|#2| $)) (-15 -2185 (|#1| $)) (-15 -1774 ($ |#1| |#2|)) (-15 -4440 ((-3 $ "failed") $ $)) (-15 -3428 ((-3 $ "failed") $)) (-15 -1795 ($ $)))) 
+((* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ |#2| $) NIL) (($ $ |#2|) 9))) 
+(((-707 |#1| |#2|) (-10 -8 (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|))) (-708 |#2|) (-173)) (T -707)) 
+NIL 
+(-10 -8 (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24))) 
+(((-708 |#1|) (-1278) (-173)) (T -708)) 
 NIL 
 (-13 (-120 |t#1| |t#1|)) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-137) . T) ((-608 (-850)) . T) ((-637 |#1|) . T) ((-1053 |#1|) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1872 (($ |#1|) 17) (($ $ |#1|) 20)) (-3225 (($ |#1|) 18) (($ $ |#1|) 21)) (-4490 (($) NIL T CONST)) (-2902 (((-3 $ "failed") $) NIL) (($) 19) (($ $) 22)) (-1598 (((-121) $) NIL)) (-2036 (($ |#1| |#1| |#1| |#1|) 8)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) 16)) (-4025 (((-1108) $) NIL)) (-1339 ((|#1| $ |#1|) 24) (((-828 |#1|) $ (-828 |#1|)) 32)) (-2387 (($ $ $) NIL)) (-3985 (($ $ $) NIL)) (-2747 (((-850) $) 39)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-1557 (($) 9 T CONST)) (-1719 (((-121) $ $) 44)) (-1781 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (* (($ $ $) 14))) 
-(((-708 |#1|) (-13 (-478) (-10 -8 (-15 -2036 ($ |#1| |#1| |#1| |#1|)) (-15 -1872 ($ |#1|)) (-15 -3225 ($ |#1|)) (-15 -2902 ($)) (-15 -1872 ($ $ |#1|)) (-15 -3225 ($ $ |#1|)) (-15 -2902 ($ $)) (-15 -1339 (|#1| $ |#1|)) (-15 -1339 ((-828 |#1|) $ (-828 |#1|))))) (-365)) (T -708)) 
-((-2036 (*1 *1 *2 *2 *2 *2) (-12 (-5 *1 (-708 *2)) (-4 *2 (-365)))) (-1872 (*1 *1 *2) (-12 (-5 *1 (-708 *2)) (-4 *2 (-365)))) (-3225 (*1 *1 *2) (-12 (-5 *1 (-708 *2)) (-4 *2 (-365)))) (-2902 (*1 *1) (-12 (-5 *1 (-708 *2)) (-4 *2 (-365)))) (-1872 (*1 *1 *1 *2) (-12 (-5 *1 (-708 *2)) (-4 *2 (-365)))) (-3225 (*1 *1 *1 *2) (-12 (-5 *1 (-708 *2)) (-4 *2 (-365)))) (-2902 (*1 *1 *1) (-12 (-5 *1 (-708 *2)) (-4 *2 (-365)))) (-1339 (*1 *2 *1 *2) (-12 (-5 *1 (-708 *2)) (-4 *2 (-365)))) (-1339 (*1 *2 *1 *2) (-12 (-5 *2 (-828 *3)) (-4 *3 (-365)) (-5 *1 (-708 *3))))) 
-(-13 (-478) (-10 -8 (-15 -2036 ($ |#1| |#1| |#1| |#1|)) (-15 -1872 ($ |#1|)) (-15 -3225 ($ |#1|)) (-15 -2902 ($)) (-15 -1872 ($ $ |#1|)) (-15 -3225 ($ $ |#1|)) (-15 -2902 ($ $)) (-15 -1339 (|#1| $ |#1|)) (-15 -1339 ((-828 |#1|) $ (-828 |#1|))))) 
-((-2815 (($ $ (-917)) 12)) (-4202 (($ $ (-917)) 13)) (** (($ $ (-917)) 10))) 
-(((-709 |#1|) (-10 -8 (-15 ** (|#1| |#1| (-917))) (-15 -4202 (|#1| |#1| (-917))) (-15 -2815 (|#1| |#1| (-917)))) (-710)) (T -709)) 
-NIL 
-(-10 -8 (-15 ** (|#1| |#1| (-917))) (-15 -4202 (|#1| |#1| (-917))) (-15 -2815 (|#1| |#1| (-917)))) 
-((-2449 (((-121) $ $) 7)) (-2815 (($ $ (-917)) 14)) (-4202 (($ $ (-917)) 13)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-1719 (((-121) $ $) 6)) (** (($ $ (-917)) 12)) (* (($ $ $) 15))) 
-(((-710) (-1275)) (T -710)) 
-((* (*1 *1 *1 *1) (-4 *1 (-710))) (-2815 (*1 *1 *1 *2) (-12 (-4 *1 (-710)) (-5 *2 (-917)))) (-4202 (*1 *1 *1 *2) (-12 (-4 *1 (-710)) (-5 *2 (-917)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-710)) (-5 *2 (-917))))) 
-(-13 (-1090) (-10 -8 (-15 * ($ $ $)) (-15 -2815 ($ $ (-917))) (-15 -4202 ($ $ (-917))) (-15 ** ($ $ (-917))))) 
-(((-105) . T) ((-608 (-850)) . T) ((-1090) . T)) 
-((-2815 (($ $ (-917)) NIL) (($ $ (-763)) 17)) (-1598 (((-121) $) 10)) (-4202 (($ $ (-917)) NIL) (($ $ (-763)) 18)) (** (($ $ (-917)) NIL) (($ $ (-763)) 15))) 
-(((-711 |#1|) (-10 -8 (-15 ** (|#1| |#1| (-763))) (-15 -4202 (|#1| |#1| (-763))) (-15 -2815 (|#1| |#1| (-763))) (-15 -1598 ((-121) |#1|)) (-15 ** (|#1| |#1| (-917))) (-15 -4202 (|#1| |#1| (-917))) (-15 -2815 (|#1| |#1| (-917)))) (-712)) (T -711)) 
-NIL 
-(-10 -8 (-15 ** (|#1| |#1| (-763))) (-15 -4202 (|#1| |#1| (-763))) (-15 -2815 (|#1| |#1| (-763))) (-15 -1598 ((-121) |#1|)) (-15 ** (|#1| |#1| (-917))) (-15 -4202 (|#1| |#1| (-917))) (-15 -2815 (|#1| |#1| (-917)))) 
-((-2449 (((-121) $ $) 7)) (-2812 (((-3 $ "failed") $) 16)) (-2815 (($ $ (-917)) 14) (($ $ (-763)) 21)) (-2902 (((-3 $ "failed") $) 18)) (-1598 (((-121) $) 22)) (-1974 (((-3 $ "failed") $) 17)) (-4202 (($ $ (-917)) 13) (($ $ (-763)) 20)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-1557 (($) 23 T CONST)) (-1719 (((-121) $ $) 6)) (** (($ $ (-917)) 12) (($ $ (-763)) 19)) (* (($ $ $) 15))) 
-(((-712) (-1275)) (T -712)) 
-((-1557 (*1 *1) (-4 *1 (-712))) (-1598 (*1 *2 *1) (-12 (-4 *1 (-712)) (-5 *2 (-121)))) (-2815 (*1 *1 *1 *2) (-12 (-4 *1 (-712)) (-5 *2 (-763)))) (-4202 (*1 *1 *1 *2) (-12 (-4 *1 (-712)) (-5 *2 (-763)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-712)) (-5 *2 (-763)))) (-2902 (*1 *1 *1) (|partial| -4 *1 (-712))) (-1974 (*1 *1 *1) (|partial| -4 *1 (-712))) (-2812 (*1 *1 *1) (|partial| -4 *1 (-712)))) 
-(-13 (-710) (-10 -8 (-15 (-1557) ($) -3497) (-15 -1598 ((-121) $)) (-15 -2815 ($ $ (-763))) (-15 -4202 ($ $ (-763))) (-15 ** ($ $ (-763))) (-15 -2902 ((-3 $ "failed") $)) (-15 -1974 ((-3 $ "failed") $)) (-15 -2812 ((-3 $ "failed") $)))) 
-(((-105) . T) ((-608 (-850)) . T) ((-710) . T) ((-1090) . T)) 
-((-3986 (((-763)) 35)) (-3668 (((-3 (-568) "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL) (((-3 |#2| "failed") $) 25)) (-2857 (((-568) $) NIL) (((-409 (-568)) $) NIL) ((|#2| $) 22)) (-3094 (($ |#3|) NIL) (((-3 $ "failed") (-409 |#3|)) 45)) (-2902 (((-3 $ "failed") $) 65)) (-1733 (($) 39)) (-4417 ((|#2| $) 20)) (-2707 (($) 17)) (-4191 (($ $ (-1 |#2| |#2|) (-763)) NIL) (($ $ (-1 |#2| |#2|)) 53) (($ $ (-634 (-1161)) (-634 (-763))) NIL) (($ $ (-1161) (-763)) NIL) (($ $ (-634 (-1161))) NIL) (($ $ (-1161)) NIL) (($ $ (-763)) NIL) (($ $) NIL)) (-1391 (((-679 |#2|) (-1244 $) (-1 |#2| |#2|)) 60)) (-4280 (((-1244 |#2|) $) NIL) (($ (-1244 |#2|)) NIL) ((|#3| $) 10) (($ |#3|) 12)) (-1295 ((|#3| $) 32)) (-2588 (((-1244 $)) 29))) 
-(((-713 |#1| |#2| |#3|) (-10 -8 (-15 -4191 (|#1| |#1|)) (-15 -4191 (|#1| |#1| (-763))) (-15 -4191 (|#1| |#1| (-1161))) (-15 -4191 (|#1| |#1| (-634 (-1161)))) (-15 -4191 (|#1| |#1| (-1161) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)) (-634 (-763)))) (-15 -1733 (|#1|)) (-15 -3986 ((-763))) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|))) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|) (-763))) (-15 -1391 ((-679 |#2|) (-1244 |#1|) (-1 |#2| |#2|))) (-15 -3094 ((-3 |#1| "failed") (-409 |#3|))) (-15 -4280 (|#1| |#3|)) (-15 -3094 (|#1| |#3|)) (-15 -2707 (|#1|)) (-15 -2857 (|#2| |#1|)) (-15 -3668 ((-3 |#2| "failed") |#1|)) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2857 ((-409 (-568)) |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -2857 ((-568) |#1|)) (-15 -4280 (|#3| |#1|)) (-15 -4280 (|#1| (-1244 |#2|))) (-15 -4280 ((-1244 |#2|) |#1|)) (-15 -2588 ((-1244 |#1|))) (-15 -1295 (|#3| |#1|)) (-15 -4417 (|#2| |#1|)) (-15 -2902 ((-3 |#1| "failed") |#1|))) (-714 |#2| |#3|) (-172) (-1219 |#2|)) (T -713)) 
-((-3986 (*1 *2) (-12 (-4 *4 (-172)) (-4 *5 (-1219 *4)) (-5 *2 (-763)) (-5 *1 (-713 *3 *4 *5)) (-4 *3 (-714 *4 *5))))) 
-(-10 -8 (-15 -4191 (|#1| |#1|)) (-15 -4191 (|#1| |#1| (-763))) (-15 -4191 (|#1| |#1| (-1161))) (-15 -4191 (|#1| |#1| (-634 (-1161)))) (-15 -4191 (|#1| |#1| (-1161) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)) (-634 (-763)))) (-15 -1733 (|#1|)) (-15 -3986 ((-763))) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|))) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|) (-763))) (-15 -1391 ((-679 |#2|) (-1244 |#1|) (-1 |#2| |#2|))) (-15 -3094 ((-3 |#1| "failed") (-409 |#3|))) (-15 -4280 (|#1| |#3|)) (-15 -3094 (|#1| |#3|)) (-15 -2707 (|#1|)) (-15 -2857 (|#2| |#1|)) (-15 -3668 ((-3 |#2| "failed") |#1|)) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2857 ((-409 (-568)) |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -2857 ((-568) |#1|)) (-15 -4280 (|#3| |#1|)) (-15 -4280 (|#1| (-1244 |#2|))) (-15 -4280 ((-1244 |#2|) |#1|)) (-15 -2588 ((-1244 |#1|))) (-15 -1295 (|#3| |#1|)) (-15 -4417 (|#2| |#1|)) (-15 -2902 ((-3 |#1| "failed") |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 87 (|has| |#1| (-365)))) (-3661 (($ $) 88 (|has| |#1| (-365)))) (-4426 (((-121) $) 90 (|has| |#1| (-365)))) (-2883 (((-679 |#1|) (-1244 $)) 44) (((-679 |#1|)) 55)) (-1934 ((|#1| $) 50)) (-1856 (((-1169 (-917) (-763)) (-568)) 141 (|has| |#1| (-350)))) (-2689 (((-3 $ "failed") $ $) 18)) (-3045 (($ $) 107 (|has| |#1| (-365)))) (-3498 (((-420 $) $) 108 (|has| |#1| (-365)))) (-2589 (((-121) $ $) 98 (|has| |#1| (-365)))) (-3986 (((-763)) 81 (|has| |#1| (-370)))) (-4490 (($) 16 T CONST)) (-3668 (((-3 (-568) "failed") $) 163 (|has| |#1| (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) 161 (|has| |#1| (-1037 (-409 (-568))))) (((-3 |#1| "failed") $) 160)) (-2857 (((-568) $) 164 (|has| |#1| (-1037 (-568)))) (((-409 (-568)) $) 162 (|has| |#1| (-1037 (-409 (-568))))) ((|#1| $) 159)) (-3899 (($ (-1244 |#1|) (-1244 $)) 46) (($ (-1244 |#1|)) 58)) (-1368 (((-3 "prime" "polynomial" "normal" "cyclic")) 147 (|has| |#1| (-350)))) (-2403 (($ $ $) 102 (|has| |#1| (-365)))) (-3653 (((-679 |#1|) $ (-1244 $)) 51) (((-679 |#1|) $) 53)) (-1668 (((-679 (-568)) (-679 $)) 158 (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) 157 (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 |#1|))) (-679 $) (-1244 $)) 156) (((-679 |#1|) (-679 $)) 155)) (-3094 (($ |#2|) 152) (((-3 $ "failed") (-409 |#2|)) 149 (|has| |#1| (-365)))) (-2902 (((-3 $ "failed") $) 33)) (-2371 (((-917)) 52)) (-1733 (($) 84 (|has| |#1| (-370)))) (-2414 (($ $ $) 101 (|has| |#1| (-365)))) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 96 (|has| |#1| (-365)))) (-4188 (($) 143 (|has| |#1| (-350)))) (-1748 (((-121) $) 144 (|has| |#1| (-350)))) (-1887 (($ $ (-763)) 135 (|has| |#1| (-350))) (($ $) 134 (|has| |#1| (-350)))) (-2197 (((-121) $) 109 (|has| |#1| (-365)))) (-1844 (((-917) $) 146 (|has| |#1| (-350))) (((-828 (-917)) $) 132 (|has| |#1| (-350)))) (-1598 (((-121) $) 30)) (-4417 ((|#1| $) 49)) (-2214 (((-3 $ "failed") $) 136 (|has| |#1| (-350)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 105 (|has| |#1| (-365)))) (-1497 ((|#2| $) 42 (|has| |#1| (-365)))) (-2291 (((-917) $) 83 (|has| |#1| (-370)))) (-3087 ((|#2| $) 150)) (-2498 (($ (-634 $)) 94 (|has| |#1| (-365))) (($ $ $) 93 (|has| |#1| (-365)))) (-1893 (((-1143) $) 9)) (-2083 (($ $) 110 (|has| |#1| (-365)))) (-4436 (($) 137 (|has| |#1| (-350)) CONST)) (-4357 (($ (-917)) 82 (|has| |#1| (-370)))) (-4025 (((-1108) $) 10)) (-2707 (($) 154)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 95 (|has| |#1| (-365)))) (-2723 (($ (-634 $)) 92 (|has| |#1| (-365))) (($ $ $) 91 (|has| |#1| (-365)))) (-2172 (((-634 (-2 (|:| -3850 (-568)) (|:| -3483 (-568))))) 140 (|has| |#1| (-350)))) (-3850 (((-420 $) $) 106 (|has| |#1| (-365)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 104 (|has| |#1| (-365))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 103 (|has| |#1| (-365)))) (-2597 (((-3 $ "failed") $ $) 86 (|has| |#1| (-365)))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 97 (|has| |#1| (-365)))) (-1466 (((-763) $) 99 (|has| |#1| (-365)))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 100 (|has| |#1| (-365)))) (-3440 ((|#1| (-1244 $)) 45) ((|#1|) 54)) (-2721 (((-763) $) 145 (|has| |#1| (-350))) (((-3 (-763) "failed") $ $) 133 (|has| |#1| (-350)))) (-4191 (($ $) 131 (-2199 (-2141 (|has| |#1| (-225)) (|has| |#1| (-365))) (|has| |#1| (-350)))) (($ $ (-763)) 129 (-2199 (-2141 (|has| |#1| (-225)) (|has| |#1| (-365))) (|has| |#1| (-350)))) (($ $ (-1161)) 127 (-2141 (|has| |#1| (-895 (-1161))) (|has| |#1| (-365)))) (($ $ (-634 (-1161))) 126 (-2141 (|has| |#1| (-895 (-1161))) (|has| |#1| (-365)))) (($ $ (-1161) (-763)) 125 (-2141 (|has| |#1| (-895 (-1161))) (|has| |#1| (-365)))) (($ $ (-634 (-1161)) (-634 (-763))) 124 (-2141 (|has| |#1| (-895 (-1161))) (|has| |#1| (-365)))) (($ $ (-1 |#1| |#1|) (-763)) 117 (|has| |#1| (-365))) (($ $ (-1 |#1| |#1|)) 116 (|has| |#1| (-365)))) (-1391 (((-679 |#1|) (-1244 $) (-1 |#1| |#1|)) 148 (|has| |#1| (-365)))) (-1492 ((|#2|) 153)) (-2330 (($) 142 (|has| |#1| (-350)))) (-1656 (((-1244 |#1|) $ (-1244 $)) 48) (((-679 |#1|) (-1244 $) (-1244 $)) 47) (((-1244 |#1|) $) 60) (((-679 |#1|) (-1244 $)) 59)) (-4280 (((-1244 |#1|) $) 57) (($ (-1244 |#1|)) 56) ((|#2| $) 165) (($ |#2|) 151)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) 139 (|has| |#1| (-350)))) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ |#1|) 36) (($ $) 85 (|has| |#1| (-365))) (($ (-409 (-568))) 80 (-2199 (|has| |#1| (-365)) (|has| |#1| (-1037 (-409 (-568))))))) (-3385 (($ $) 138 (|has| |#1| (-350))) (((-3 $ "failed") $) 41 (|has| |#1| (-148)))) (-1295 ((|#2| $) 43)) (-3425 (((-763)) 28)) (-2588 (((-1244 $)) 61)) (-2273 (((-121) $ $) 89 (|has| |#1| (-365)))) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32) (($ $ (-568)) 111 (|has| |#1| (-365)))) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3192 (($ $) 130 (-2199 (-2141 (|has| |#1| (-225)) (|has| |#1| (-365))) (|has| |#1| (-350)))) (($ $ (-763)) 128 (-2199 (-2141 (|has| |#1| (-225)) (|has| |#1| (-365))) (|has| |#1| (-350)))) (($ $ (-1161)) 123 (-2141 (|has| |#1| (-895 (-1161))) (|has| |#1| (-365)))) (($ $ (-634 (-1161))) 122 (-2141 (|has| |#1| (-895 (-1161))) (|has| |#1| (-365)))) (($ $ (-1161) (-763)) 121 (-2141 (|has| |#1| (-895 (-1161))) (|has| |#1| (-365)))) (($ $ (-634 (-1161)) (-634 (-763))) 120 (-2141 (|has| |#1| (-895 (-1161))) (|has| |#1| (-365)))) (($ $ (-1 |#1| |#1|) (-763)) 119 (|has| |#1| (-365))) (($ $ (-1 |#1| |#1|)) 118 (|has| |#1| (-365)))) (-1719 (((-121) $ $) 6)) (-1781 (($ $ $) 115 (|has| |#1| (-365)))) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ (-568)) 112 (|has| |#1| (-365)))) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37) (($ (-409 (-568)) $) 114 (|has| |#1| (-365))) (($ $ (-409 (-568))) 113 (|has| |#1| (-365))))) 
-(((-714 |#1| |#2|) (-1275) (-172) (-1219 |t#1|)) (T -714)) 
-((-2707 (*1 *1) (-12 (-4 *2 (-172)) (-4 *1 (-714 *2 *3)) (-4 *3 (-1219 *2)))) (-1492 (*1 *2) (-12 (-4 *1 (-714 *3 *2)) (-4 *3 (-172)) (-4 *2 (-1219 *3)))) (-3094 (*1 *1 *2) (-12 (-4 *3 (-172)) (-4 *1 (-714 *3 *2)) (-4 *2 (-1219 *3)))) (-4280 (*1 *1 *2) (-12 (-4 *3 (-172)) (-4 *1 (-714 *3 *2)) (-4 *2 (-1219 *3)))) (-3087 (*1 *2 *1) (-12 (-4 *1 (-714 *3 *2)) (-4 *3 (-172)) (-4 *2 (-1219 *3)))) (-3094 (*1 *1 *2) (|partial| -12 (-5 *2 (-409 *4)) (-4 *4 (-1219 *3)) (-4 *3 (-365)) (-4 *3 (-172)) (-4 *1 (-714 *3 *4)))) (-1391 (*1 *2 *3 *4) (-12 (-5 *3 (-1244 *1)) (-5 *4 (-1 *5 *5)) (-4 *5 (-365)) (-4 *1 (-714 *5 *6)) (-4 *5 (-172)) (-4 *6 (-1219 *5)) (-5 *2 (-679 *5))))) 
-(-13 (-411 |t#1| |t#2|) (-172) (-609 |t#2|) (-413 |t#1|) (-379 |t#1|) (-10 -8 (-15 -2707 ($)) (-15 -1492 (|t#2|)) (-15 -3094 ($ |t#2|)) (-15 -4280 ($ |t#2|)) (-15 -3087 (|t#2| $)) (IF (|has| |t#1| (-370)) (-6 (-370)) |noBranch|) (IF (|has| |t#1| (-365)) (PROGN (-6 (-365)) (-6 (-223 |t#1|)) (-15 -3094 ((-3 $ "failed") (-409 |t#2|))) (-15 -1391 ((-679 |t#1|) (-1244 $) (-1 |t#1| |t#1|)))) |noBranch|) (IF (|has| |t#1| (-350)) (-6 (-350)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-409 (-568))) -2199 (|has| |#1| (-350)) (|has| |#1| (-365))) ((-43 |#1|) . T) ((-43 $) -2199 (|has| |#1| (-350)) (|has| |#1| (-365))) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) -2199 (|has| |#1| (-350)) (|has| |#1| (-365))) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-137) . T) ((-148) -2199 (|has| |#1| (-350)) (|has| |#1| (-148))) ((-150) |has| |#1| (-150)) ((-608 (-850)) . T) ((-172) . T) ((-609 |#2|) . T) ((-223 |#1|) |has| |#1| (-365)) ((-225) -2199 (|has| |#1| (-350)) (-12 (|has| |#1| (-225)) (|has| |#1| (-365)))) ((-238) -2199 (|has| |#1| (-350)) (|has| |#1| (-365))) ((-285) -2199 (|has| |#1| (-350)) (|has| |#1| (-365))) ((-301) -2199 (|has| |#1| (-350)) (|has| |#1| (-365))) ((-365) -2199 (|has| |#1| (-350)) (|has| |#1| (-365))) ((-404) |has| |#1| (-350)) ((-370) -2199 (|has| |#1| (-370)) (|has| |#1| (-350))) ((-350) |has| |#1| (-350)) ((-372 |#1| |#2|) . T) ((-411 |#1| |#2|) . T) ((-379 |#1|) . T) ((-413 |#1|) . T) ((-453) -2199 (|has| |#1| (-350)) (|has| |#1| (-365))) ((-558) -2199 (|has| |#1| (-350)) (|has| |#1| (-365))) ((-637 (-409 (-568))) -2199 (|has| |#1| (-350)) (|has| |#1| (-365))) ((-637 |#1|) . T) ((-637 $) . T) ((-630 (-568)) |has| |#1| (-630 (-568))) ((-630 |#1|) . T) ((-707 (-409 (-568))) -2199 (|has| |#1| (-350)) (|has| |#1| (-365))) ((-707 |#1|) . T) ((-707 $) -2199 (|has| |#1| (-350)) (|has| |#1| (-365))) ((-716) . T) ((-895 (-1161)) -12 (|has| |#1| (-365)) (|has| |#1| (-895 (-1161)))) ((-916) -2199 (|has| |#1| (-350)) (|has| |#1| (-365))) ((-1037 (-409 (-568))) |has| |#1| (-1037 (-409 (-568)))) ((-1037 (-568)) |has| |#1| (-1037 (-568))) ((-1037 |#1|) . T) ((-1053 (-409 (-568))) -2199 (|has| |#1| (-350)) (|has| |#1| (-365))) ((-1053 |#1|) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1136) |has| |#1| (-350)) ((-1199) -2199 (|has| |#1| (-350)) (|has| |#1| (-365)))) 
-((-4490 (($) 14)) (-2902 (((-3 $ "failed") $) 16)) (-1598 (((-121) $) 13)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) 9)) (** (($ $ (-917)) NIL) (($ $ (-763)) 20))) 
-(((-715 |#1|) (-10 -8 (-15 -2902 ((-3 |#1| "failed") |#1|)) (-15 -1889 (|#1| |#1| (-763))) (-15 ** (|#1| |#1| (-763))) (-15 -1598 ((-121) |#1|)) (-15 -4490 (|#1|)) (-15 -1889 (|#1| |#1| (-917))) (-15 ** (|#1| |#1| (-917)))) (-716)) (T -715)) 
-NIL 
-(-10 -8 (-15 -2902 ((-3 |#1| "failed") |#1|)) (-15 -1889 (|#1| |#1| (-763))) (-15 ** (|#1| |#1| (-763))) (-15 -1598 ((-121) |#1|)) (-15 -4490 (|#1|)) (-15 -1889 (|#1| |#1| (-917))) (-15 ** (|#1| |#1| (-917)))) 
-((-2449 (((-121) $ $) 7)) (-4490 (($) 19 T CONST)) (-2902 (((-3 $ "failed") $) 15)) (-1598 (((-121) $) 18)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-1889 (($ $ (-917)) 12) (($ $ (-763)) 16)) (-1557 (($) 20 T CONST)) (-1719 (((-121) $ $) 6)) (** (($ $ (-917)) 13) (($ $ (-763)) 17)) (* (($ $ $) 14))) 
-(((-716) (-1275)) (T -716)) 
-((-1557 (*1 *1) (-4 *1 (-716))) (-4490 (*1 *1) (-4 *1 (-716))) (-1598 (*1 *2 *1) (-12 (-4 *1 (-716)) (-5 *2 (-121)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-716)) (-5 *2 (-763)))) (-1889 (*1 *1 *1 *2) (-12 (-4 *1 (-716)) (-5 *2 (-763)))) (-2902 (*1 *1 *1) (|partial| -4 *1 (-716)))) 
-(-13 (-1102) (-10 -8 (-15 (-1557) ($) -3497) (-15 -4490 ($) -3497) (-15 -1598 ((-121) $)) (-15 ** ($ $ (-763))) (-15 -1889 ($ $ (-763))) (-15 -2902 ((-3 $ "failed") $)))) 
-(((-105) . T) ((-608 (-850)) . T) ((-1102) . T) ((-1090) . T)) 
-((-3720 (((-2 (|:| -2244 (-420 |#2|)) (|:| |special| (-420 |#2|))) |#2| (-1 |#2| |#2|)) 38)) (-4446 (((-2 (|:| -2244 |#2|) (|:| |special| |#2|)) |#2| (-1 |#2| |#2|)) 12)) (-3018 ((|#2| (-409 |#2|) (-1 |#2| |#2|)) 13)) (-3946 (((-2 (|:| |poly| |#2|) (|:| -2244 (-409 |#2|)) (|:| |special| (-409 |#2|))) (-409 |#2|) (-1 |#2| |#2|)) 47))) 
-(((-717 |#1| |#2|) (-10 -7 (-15 -4446 ((-2 (|:| -2244 |#2|) (|:| |special| |#2|)) |#2| (-1 |#2| |#2|))) (-15 -3720 ((-2 (|:| -2244 (-420 |#2|)) (|:| |special| (-420 |#2|))) |#2| (-1 |#2| |#2|))) (-15 -3018 (|#2| (-409 |#2|) (-1 |#2| |#2|))) (-15 -3946 ((-2 (|:| |poly| |#2|) (|:| -2244 (-409 |#2|)) (|:| |special| (-409 |#2|))) (-409 |#2|) (-1 |#2| |#2|)))) (-365) (-1219 |#1|)) (T -717)) 
-((-3946 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1219 *5)) (-4 *5 (-365)) (-5 *2 (-2 (|:| |poly| *6) (|:| -2244 (-409 *6)) (|:| |special| (-409 *6)))) (-5 *1 (-717 *5 *6)) (-5 *3 (-409 *6)))) (-3018 (*1 *2 *3 *4) (-12 (-5 *3 (-409 *2)) (-5 *4 (-1 *2 *2)) (-4 *2 (-1219 *5)) (-5 *1 (-717 *5 *2)) (-4 *5 (-365)))) (-3720 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1219 *5)) (-4 *5 (-365)) (-5 *2 (-2 (|:| -2244 (-420 *3)) (|:| |special| (-420 *3)))) (-5 *1 (-717 *5 *3)))) (-4446 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1219 *5)) (-4 *5 (-365)) (-5 *2 (-2 (|:| -2244 *3) (|:| |special| *3))) (-5 *1 (-717 *5 *3))))) 
-(-10 -7 (-15 -4446 ((-2 (|:| -2244 |#2|) (|:| |special| |#2|)) |#2| (-1 |#2| |#2|))) (-15 -3720 ((-2 (|:| -2244 (-420 |#2|)) (|:| |special| (-420 |#2|))) |#2| (-1 |#2| |#2|))) (-15 -3018 (|#2| (-409 |#2|) (-1 |#2| |#2|))) (-15 -3946 ((-2 (|:| |poly| |#2|) (|:| -2244 (-409 |#2|)) (|:| |special| (-409 |#2|))) (-409 |#2|) (-1 |#2| |#2|)))) 
-((-4182 ((|#7| (-634 |#5|) |#6|) NIL)) (-2797 ((|#7| (-1 |#5| |#4|) |#6|) 26))) 
-(((-718 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -2797 (|#7| (-1 |#5| |#4|) |#6|)) (-15 -4182 (|#7| (-634 |#5|) |#6|))) (-842) (-788) (-788) (-1047) (-1047) (-950 |#4| |#2| |#1|) (-950 |#5| |#3| |#1|)) (T -718)) 
-((-4182 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *9)) (-4 *9 (-1047)) (-4 *5 (-842)) (-4 *6 (-788)) (-4 *8 (-1047)) (-4 *2 (-950 *9 *7 *5)) (-5 *1 (-718 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-788)) (-4 *4 (-950 *8 *6 *5)))) (-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *8)) (-4 *8 (-1047)) (-4 *9 (-1047)) (-4 *5 (-842)) (-4 *6 (-788)) (-4 *2 (-950 *9 *7 *5)) (-5 *1 (-718 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-788)) (-4 *4 (-950 *8 *6 *5))))) 
-(-10 -7 (-15 -2797 (|#7| (-1 |#5| |#4|) |#6|)) (-15 -4182 (|#7| (-634 |#5|) |#6|))) 
-((-2797 ((|#7| (-1 |#2| |#1|) |#6|) 28))) 
-(((-719 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -2797 (|#7| (-1 |#2| |#1|) |#6|))) (-842) (-842) (-788) (-788) (-1047) (-950 |#5| |#3| |#1|) (-950 |#5| |#4| |#2|)) (T -719)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-842)) (-4 *6 (-842)) (-4 *7 (-788)) (-4 *9 (-1047)) (-4 *2 (-950 *9 *8 *6)) (-5 *1 (-719 *5 *6 *7 *8 *9 *4 *2)) (-4 *8 (-788)) (-4 *4 (-950 *9 *7 *5))))) 
-(-10 -7 (-15 -2797 (|#7| (-1 |#2| |#1|) |#6|))) 
-((-3850 (((-420 |#4|) |#4|) 39))) 
-(((-720 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3850 ((-420 |#4|) |#4|))) (-788) (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $)) (-15 -3325 ((-3 $ "failed") (-1161))))) (-301) (-950 (-953 |#3|) |#1| |#2|)) (T -720)) 
-((-3850 (*1 *2 *3) (-12 (-4 *4 (-788)) (-4 *5 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $)) (-15 -3325 ((-3 $ "failed") (-1161)))))) (-4 *6 (-301)) (-5 *2 (-420 *3)) (-5 *1 (-720 *4 *5 *6 *3)) (-4 *3 (-950 (-953 *6) *4 *5))))) 
-(-10 -7 (-15 -3850 ((-420 |#4|) |#4|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2057 (((-634 (-852 |#1|)) $) NIL)) (-3840 (((-1157 $) $ (-852 |#1|)) NIL) (((-1157 |#2|) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#2| (-558)))) (-3661 (($ $) NIL (|has| |#2| (-558)))) (-4426 (((-121) $) NIL (|has| |#2| (-558)))) (-3528 (((-763) $) NIL) (((-763) $ (-634 (-852 |#1|))) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-3045 (($ $) NIL (|has| |#2| (-453)))) (-3498 (((-420 $) $) NIL (|has| |#2| (-453)))) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#2| "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#2| (-1037 (-409 (-568))))) (((-3 (-568) "failed") $) NIL (|has| |#2| (-1037 (-568)))) (((-3 (-852 |#1|) "failed") $) NIL)) (-2857 ((|#2| $) NIL) (((-409 (-568)) $) NIL (|has| |#2| (-1037 (-409 (-568))))) (((-568) $) NIL (|has| |#2| (-1037 (-568)))) (((-852 |#1|) $) NIL)) (-2910 (($ $ $ (-852 |#1|)) NIL (|has| |#2| (-172)))) (-2116 (($ $) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| |#2| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| |#2| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 $) (-1244 $)) NIL) (((-679 |#2|) (-679 $)) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1998 (($ $) NIL (|has| |#2| (-453))) (($ $ (-852 |#1|)) NIL (|has| |#2| (-453)))) (-2110 (((-634 $) $) NIL)) (-2197 (((-121) $) NIL (|has| |#2| (-904)))) (-2453 (($ $ |#2| (-534 (-852 |#1|)) $) NIL)) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (-12 (|has| (-852 |#1|) (-881 (-381))) (|has| |#2| (-881 (-381))))) (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (-12 (|has| (-852 |#1|) (-881 (-568))) (|has| |#2| (-881 (-568)))))) (-1598 (((-121) $) NIL)) (-3971 (((-763) $) NIL)) (-2053 (($ (-1157 |#2|) (-852 |#1|)) NIL) (($ (-1157 $) (-852 |#1|)) NIL)) (-3062 (((-634 $) $) NIL)) (-2171 (((-121) $) NIL)) (-2049 (($ |#2| (-534 (-852 |#1|))) NIL) (($ $ (-852 |#1|) (-763)) NIL) (($ $ (-634 (-852 |#1|)) (-634 (-763))) NIL)) (-1438 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $ (-852 |#1|)) NIL)) (-3524 (((-534 (-852 |#1|)) $) NIL) (((-763) $ (-852 |#1|)) NIL) (((-634 (-763)) $ (-634 (-852 |#1|))) NIL)) (-1732 (($ $ $) NIL (|has| |#2| (-842)))) (-2047 (($ $ $) NIL (|has| |#2| (-842)))) (-1865 (($ (-1 (-534 (-852 |#1|)) (-534 (-852 |#1|))) $) NIL)) (-2797 (($ (-1 |#2| |#2|) $) NIL)) (-2817 (((-3 (-852 |#1|) "failed") $) NIL)) (-2099 (($ $) NIL)) (-2104 ((|#2| $) NIL)) (-2498 (($ (-634 $)) NIL (|has| |#2| (-453))) (($ $ $) NIL (|has| |#2| (-453)))) (-1893 (((-1143) $) NIL)) (-4362 (((-3 (-634 $) "failed") $) NIL)) (-2112 (((-3 (-634 $) "failed") $) NIL)) (-2617 (((-3 (-2 (|:| |var| (-852 |#1|)) (|:| -3483 (-763))) "failed") $) NIL)) (-4025 (((-1108) $) NIL)) (-2088 (((-121) $) NIL)) (-2093 ((|#2| $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#2| (-453)))) (-2723 (($ (-634 $)) NIL (|has| |#2| (-453))) (($ $ $) NIL (|has| |#2| (-453)))) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-3850 (((-420 $) $) NIL (|has| |#2| (-904)))) (-2597 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-558))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-558)))) (-1339 (($ $ (-634 (-288 $))) NIL) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL) (($ $ (-852 |#1|) |#2|) NIL) (($ $ (-634 (-852 |#1|)) (-634 |#2|)) NIL) (($ $ (-852 |#1|) $) NIL) (($ $ (-634 (-852 |#1|)) (-634 $)) NIL)) (-3440 (($ $ (-852 |#1|)) NIL (|has| |#2| (-172)))) (-4191 (($ $ (-852 |#1|)) NIL) (($ $ (-634 (-852 |#1|))) NIL) (($ $ (-852 |#1|) (-763)) NIL) (($ $ (-634 (-852 |#1|)) (-634 (-763))) NIL)) (-1836 (((-534 (-852 |#1|)) $) NIL) (((-763) $ (-852 |#1|)) NIL) (((-634 (-763)) $ (-634 (-852 |#1|))) NIL)) (-4280 (((-887 (-381)) $) NIL (-12 (|has| (-852 |#1|) (-609 (-887 (-381)))) (|has| |#2| (-609 (-887 (-381)))))) (((-887 (-568)) $) NIL (-12 (|has| (-852 |#1|) (-609 (-887 (-568)))) (|has| |#2| (-609 (-887 (-568)))))) (((-541) $) NIL (-12 (|has| (-852 |#1|) (-609 (-541))) (|has| |#2| (-609 (-541)))))) (-1364 ((|#2| $) NIL (|has| |#2| (-453))) (($ $ (-852 |#1|)) NIL (|has| |#2| (-453)))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-12 (|has| $ (-148)) (|has| |#2| (-904))))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ |#2|) NIL) (($ (-852 |#1|)) NIL) (($ $) NIL (|has| |#2| (-558))) (($ (-409 (-568))) NIL (-2199 (|has| |#2| (-43 (-409 (-568)))) (|has| |#2| (-1037 (-409 (-568))))))) (-3304 (((-634 |#2|) $) NIL)) (-2079 ((|#2| $ (-534 (-852 |#1|))) NIL) (($ $ (-852 |#1|) (-763)) NIL) (($ $ (-634 (-852 |#1|)) (-634 (-763))) NIL)) (-3385 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| |#2| (-904))) (|has| |#2| (-148))))) (-3425 (((-763)) NIL)) (-3925 (($ $ $ (-763)) NIL (|has| |#2| (-172)))) (-2273 (((-121) $ $) NIL (|has| |#2| (-558)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($ $ (-852 |#1|)) NIL) (($ $ (-634 (-852 |#1|))) NIL) (($ $ (-852 |#1|) (-763)) NIL) (($ $ (-634 (-852 |#1|)) (-634 (-763))) NIL)) (-1753 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1781 (($ $ |#2|) NIL (|has| |#2| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL (|has| |#2| (-43 (-409 (-568))))) (($ (-409 (-568)) $) NIL (|has| |#2| (-43 (-409 (-568))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
-(((-721 |#1| |#2|) (-950 |#2| (-534 (-852 |#1|)) (-852 |#1|)) (-634 (-1161)) (-1047)) (T -721)) 
-NIL 
-(-950 |#2| (-534 (-852 |#1|)) (-852 |#1|)) 
-((-2510 (((-2 (|:| -2409 (-953 |#3|)) (|:| -2933 (-953 |#3|))) |#4|) 13)) (-2881 ((|#4| |#4| |#2|) 30)) (-3959 ((|#4| (-409 (-953 |#3|)) |#2|) 63)) (-1467 ((|#4| (-1157 (-953 |#3|)) |#2|) 76)) (-3562 ((|#4| (-1157 |#4|) |#2|) 49)) (-1286 ((|#4| |#4| |#2|) 52)) (-3850 (((-420 |#4|) |#4|) 38))) 
-(((-722 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2510 ((-2 (|:| -2409 (-953 |#3|)) (|:| -2933 (-953 |#3|))) |#4|)) (-15 -1286 (|#4| |#4| |#2|)) (-15 -3562 (|#4| (-1157 |#4|) |#2|)) (-15 -2881 (|#4| |#4| |#2|)) (-15 -1467 (|#4| (-1157 (-953 |#3|)) |#2|)) (-15 -3959 (|#4| (-409 (-953 |#3|)) |#2|)) (-15 -3850 ((-420 |#4|) |#4|))) (-788) (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $)))) (-558) (-950 (-409 (-953 |#3|)) |#1| |#2|)) (T -722)) 
-((-3850 (*1 *2 *3) (-12 (-4 *4 (-788)) (-4 *5 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $))))) (-4 *6 (-558)) (-5 *2 (-420 *3)) (-5 *1 (-722 *4 *5 *6 *3)) (-4 *3 (-950 (-409 (-953 *6)) *4 *5)))) (-3959 (*1 *2 *3 *4) (-12 (-4 *6 (-558)) (-4 *2 (-950 *3 *5 *4)) (-5 *1 (-722 *5 *4 *6 *2)) (-5 *3 (-409 (-953 *6))) (-4 *5 (-788)) (-4 *4 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $))))))) (-1467 (*1 *2 *3 *4) (-12 (-5 *3 (-1157 (-953 *6))) (-4 *6 (-558)) (-4 *2 (-950 (-409 (-953 *6)) *5 *4)) (-5 *1 (-722 *5 *4 *6 *2)) (-4 *5 (-788)) (-4 *4 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $))))))) (-2881 (*1 *2 *2 *3) (-12 (-4 *4 (-788)) (-4 *3 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $))))) (-4 *5 (-558)) (-5 *1 (-722 *4 *3 *5 *2)) (-4 *2 (-950 (-409 (-953 *5)) *4 *3)))) (-3562 (*1 *2 *3 *4) (-12 (-5 *3 (-1157 *2)) (-4 *2 (-950 (-409 (-953 *6)) *5 *4)) (-5 *1 (-722 *5 *4 *6 *2)) (-4 *5 (-788)) (-4 *4 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $))))) (-4 *6 (-558)))) (-1286 (*1 *2 *2 *3) (-12 (-4 *4 (-788)) (-4 *3 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $))))) (-4 *5 (-558)) (-5 *1 (-722 *4 *3 *5 *2)) (-4 *2 (-950 (-409 (-953 *5)) *4 *3)))) (-2510 (*1 *2 *3) (-12 (-4 *4 (-788)) (-4 *5 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $))))) (-4 *6 (-558)) (-5 *2 (-2 (|:| -2409 (-953 *6)) (|:| -2933 (-953 *6)))) (-5 *1 (-722 *4 *5 *6 *3)) (-4 *3 (-950 (-409 (-953 *6)) *4 *5))))) 
-(-10 -7 (-15 -2510 ((-2 (|:| -2409 (-953 |#3|)) (|:| -2933 (-953 |#3|))) |#4|)) (-15 -1286 (|#4| |#4| |#2|)) (-15 -3562 (|#4| (-1157 |#4|) |#2|)) (-15 -2881 (|#4| |#4| |#2|)) (-15 -1467 (|#4| (-1157 (-953 |#3|)) |#2|)) (-15 -3959 (|#4| (-409 (-953 |#3|)) |#2|)) (-15 -3850 ((-420 |#4|) |#4|))) 
-((-3850 (((-420 |#4|) |#4|) 51))) 
-(((-723 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3850 ((-420 |#4|) |#4|))) (-788) (-842) (-13 (-301) (-150)) (-950 (-409 |#3|) |#1| |#2|)) (T -723)) 
-((-3850 (*1 *2 *3) (-12 (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-13 (-301) (-150))) (-5 *2 (-420 *3)) (-5 *1 (-723 *4 *5 *6 *3)) (-4 *3 (-950 (-409 *6) *4 *5))))) 
-(-10 -7 (-15 -3850 ((-420 |#4|) |#4|))) 
-((-2797 (((-725 |#2| |#3|) (-1 |#2| |#1|) (-725 |#1| |#3|)) 18))) 
-(((-724 |#1| |#2| |#3|) (-10 -7 (-15 -2797 ((-725 |#2| |#3|) (-1 |#2| |#1|) (-725 |#1| |#3|)))) (-1047) (-1047) (-716)) (T -724)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-725 *5 *7)) (-4 *5 (-1047)) (-4 *6 (-1047)) (-4 *7 (-716)) (-5 *2 (-725 *6 *7)) (-5 *1 (-724 *5 *6 *7))))) 
-(-10 -7 (-15 -2797 ((-725 |#2| |#3|) (-1 |#2| |#1|) (-725 |#1| |#3|)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 26)) (-2013 (((-634 (-2 (|:| -2350 |#1|) (|:| -2356 |#2|))) $) 27)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3986 (((-763)) 20 (-12 (|has| |#2| (-370)) (|has| |#1| (-370))))) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#2| "failed") $) 55) (((-3 |#1| "failed") $) 58)) (-2857 ((|#2| $) NIL) ((|#1| $) NIL)) (-2116 (($ $) 75 (|has| |#2| (-842)))) (-2902 (((-3 $ "failed") $) 62)) (-1733 (($) 33 (-12 (|has| |#2| (-370)) (|has| |#1| (-370))))) (-1598 (((-121) $) NIL)) (-3971 (((-763) $) 53)) (-3062 (((-634 $) $) 37)) (-2171 (((-121) $) NIL)) (-2049 (($ |#1| |#2|) 16)) (-2797 (($ (-1 |#1| |#1|) $) 52)) (-2291 (((-917) $) 30 (-12 (|has| |#2| (-370)) (|has| |#1| (-370))))) (-2099 ((|#2| $) 74 (|has| |#2| (-842)))) (-2104 ((|#1| $) 73 (|has| |#2| (-842)))) (-1893 (((-1143) $) NIL)) (-4357 (($ (-917)) 25 (-12 (|has| |#2| (-370)) (|has| |#1| (-370))))) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) 72) (($ (-568)) 44) (($ |#2|) 40) (($ |#1|) 41) (($ (-634 (-2 (|:| -2350 |#1|) (|:| -2356 |#2|)))) 11)) (-3304 (((-634 |#1|) $) 39)) (-2079 ((|#1| $ |#2|) 83)) (-3385 (((-3 $ "failed") $) NIL (|has| |#1| (-148)))) (-3425 (((-763)) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 12 T CONST)) (-1557 (($) 31 T CONST)) (-1719 (((-121) $ $) 76)) (-1775 (($ $) 46) (($ $ $) NIL)) (-1769 (($ $ $) 24)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 50) (($ $ $) 85) (($ |#1| $) 48 (|has| |#1| (-172))) (($ $ |#1|) NIL (|has| |#1| (-172))))) 
-(((-725 |#1| |#2|) (-13 (-1047) (-1037 |#2|) (-1037 |#1|) (-10 -8 (-15 -2049 ($ |#1| |#2|)) (-15 -2079 (|#1| $ |#2|)) (-15 -2747 ($ (-634 (-2 (|:| -2350 |#1|) (|:| -2356 |#2|))))) (-15 -2013 ((-634 (-2 (|:| -2350 |#1|) (|:| -2356 |#2|))) $)) (-15 -2797 ($ (-1 |#1| |#1|) $)) (-15 -2171 ((-121) $)) (-15 -3304 ((-634 |#1|) $)) (-15 -3062 ((-634 $) $)) (-15 -3971 ((-763) $)) (IF (|has| |#1| (-150)) (-6 (-150)) |noBranch|) (IF (|has| |#1| (-148)) (-6 (-148)) |noBranch|) (IF (|has| |#1| (-172)) (-6 (-43 |#1|)) |noBranch|) (IF (|has| |#1| (-370)) (IF (|has| |#2| (-370)) (-6 (-370)) |noBranch|) |noBranch|) (IF (|has| |#2| (-842)) (PROGN (-15 -2099 (|#2| $)) (-15 -2104 (|#1| $)) (-15 -2116 ($ $))) |noBranch|))) (-1047) (-716)) (T -725)) 
-((-2049 (*1 *1 *2 *3) (-12 (-5 *1 (-725 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-716)))) (-2079 (*1 *2 *1 *3) (-12 (-4 *2 (-1047)) (-5 *1 (-725 *2 *3)) (-4 *3 (-716)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-634 (-2 (|:| -2350 *3) (|:| -2356 *4)))) (-4 *3 (-1047)) (-4 *4 (-716)) (-5 *1 (-725 *3 *4)))) (-2013 (*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| -2350 *3) (|:| -2356 *4)))) (-5 *1 (-725 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-716)))) (-2797 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1047)) (-5 *1 (-725 *3 *4)) (-4 *4 (-716)))) (-2171 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-725 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-716)))) (-3304 (*1 *2 *1) (-12 (-5 *2 (-634 *3)) (-5 *1 (-725 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-716)))) (-3062 (*1 *2 *1) (-12 (-5 *2 (-634 (-725 *3 *4))) (-5 *1 (-725 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-716)))) (-3971 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-725 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-716)))) (-2099 (*1 *2 *1) (-12 (-4 *2 (-716)) (-4 *2 (-842)) (-5 *1 (-725 *3 *2)) (-4 *3 (-1047)))) (-2104 (*1 *2 *1) (-12 (-4 *2 (-1047)) (-5 *1 (-725 *2 *3)) (-4 *3 (-842)) (-4 *3 (-716)))) (-2116 (*1 *1 *1) (-12 (-5 *1 (-725 *2 *3)) (-4 *3 (-842)) (-4 *2 (-1047)) (-4 *3 (-716))))) 
-(-13 (-1047) (-1037 |#2|) (-1037 |#1|) (-10 -8 (-15 -2049 ($ |#1| |#2|)) (-15 -2079 (|#1| $ |#2|)) (-15 -2747 ($ (-634 (-2 (|:| -2350 |#1|) (|:| -2356 |#2|))))) (-15 -2013 ((-634 (-2 (|:| -2350 |#1|) (|:| -2356 |#2|))) $)) (-15 -2797 ($ (-1 |#1| |#1|) $)) (-15 -2171 ((-121) $)) (-15 -3304 ((-634 |#1|) $)) (-15 -3062 ((-634 $) $)) (-15 -3971 ((-763) $)) (IF (|has| |#1| (-150)) (-6 (-150)) |noBranch|) (IF (|has| |#1| (-148)) (-6 (-148)) |noBranch|) (IF (|has| |#1| (-172)) (-6 (-43 |#1|)) |noBranch|) (IF (|has| |#1| (-370)) (IF (|has| |#2| (-370)) (-6 (-370)) |noBranch|) |noBranch|) (IF (|has| |#2| (-842)) (PROGN (-15 -2099 (|#2| $)) (-15 -2104 (|#1| $)) (-15 -2116 ($ $))) |noBranch|))) 
-((-2449 (((-121) $ $) 18)) (-1793 (($ |#1| $) 72) (($ $ |#1|) 71) (($ $ $) 70)) (-4217 (($ $ $) 68)) (-1430 (((-121) $ $) 69)) (-1667 (((-121) $ (-763)) 8)) (-2751 (($ (-634 |#1|)) 64) (($) 63)) (-3963 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4521)))) (-2803 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4521)))) (-4490 (($) 7 T CONST)) (-1377 (($ $) 58)) (-3926 (($ $) 55 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-1568 (($ |#1| $) 44 (|has| $ (-6 -4521))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4521)))) (-4330 (($ |#1| $) 54 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4521)))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4521)))) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) 9)) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35)) (-3796 (((-121) $ (-763)) 10)) (-1893 (((-1143) $) 22)) (-1864 (($ $ $) 65)) (-2580 ((|#1| $) 36)) (-1708 (($ |#1| $) 37) (($ |#1| $ (-763)) 59)) (-4025 (((-1108) $) 21)) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-3403 ((|#1| $) 38)) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-2138 (((-634 (-2 (|:| -4085 |#1|) (|:| -4170 (-763)))) $) 57)) (-1363 (($ $ |#1|) 67) (($ $ $) 66)) (-3132 (($) 46) (($ (-634 |#1|)) 45)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-4280 (((-541) $) 56 (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) 47)) (-2747 (((-850) $) 20)) (-3846 (($ (-634 |#1|)) 62) (($) 61)) (-4074 (($ (-634 |#1|)) 39)) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 19)) (-1734 (((-121) $ $) 60)) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-726 |#1|) (-1275) (-1090)) (T -726)) 
-NIL 
-(-13 (-684 |t#1|) (-1087 |t#1|)) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) . T) ((-608 (-850)) . T) ((-154 |#1|) . T) ((-609 (-541)) |has| |#1| (-609 (-541))) ((-227 |#1|) . T) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-499 |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-684 |#1|) . T) ((-1087 |#1|) . T) ((-1090) . T) ((-1195) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1793 (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ $ $) 77)) (-4217 (($ $ $) 80)) (-1430 (((-121) $ $) 83)) (-1667 (((-121) $ (-763)) NIL)) (-2751 (($ (-634 |#1|)) 24) (($) 15)) (-3963 (($ (-1 (-121) |#1|) $) 71 (|has| $ (-6 -4521)))) (-2803 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-4490 (($) NIL T CONST)) (-1377 (($ $) 72)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1568 (($ |#1| $) 61 (|has| $ (-6 -4521))) (($ (-1 (-121) |#1|) $) 64 (|has| $ (-6 -4521))) (($ |#1| $ (-568)) 62) (($ (-1 (-121) |#1|) $ (-568)) 65)) (-4330 (($ |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (($ |#1| $ (-568)) 67) (($ (-1 (-121) |#1|) $ (-568)) 68)) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4521)))) (-3317 (((-634 |#1|) $) 32 (|has| $ (-6 -4521)))) (-2369 (($) 13) (($ |#1|) 26) (($ (-634 |#1|)) 21)) (-3791 (((-121) $ (-763)) NIL)) (-4406 (((-634 |#1|) $) 38)) (-2551 (((-121) |#1| $) 57 (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-2253 (($ (-1 |#1| |#1|) $) 75 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 76)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL)) (-1864 (($ $ $) 78)) (-2580 ((|#1| $) 54)) (-1708 (($ |#1| $) 55) (($ |#1| $ (-763)) 73)) (-4025 (((-1108) $) NIL)) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-3403 ((|#1| $) 53)) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) 49)) (-1990 (($) 12)) (-2138 (((-634 (-2 (|:| -4085 |#1|) (|:| -4170 (-763)))) $) 47)) (-1363 (($ $ |#1|) NIL) (($ $ $) 79)) (-3132 (($) 14) (($ (-634 |#1|)) 23)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) 60 (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3865 (($ $) 66)) (-4280 (((-541) $) 36 (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) 20)) (-2747 (((-850) $) 44)) (-3846 (($ (-634 |#1|)) 25) (($) 16)) (-4074 (($ (-634 |#1|)) 22)) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 81)) (-1734 (((-121) $ $) 82)) (-1699 (((-763) $) 59 (|has| $ (-6 -4521))))) 
-(((-727 |#1|) (-13 (-726 |#1|) (-10 -8 (-6 -4521) (-6 -4522) (-15 -2369 ($)) (-15 -2369 ($ |#1|)) (-15 -2369 ($ (-634 |#1|))) (-15 -4406 ((-634 |#1|) $)) (-15 -4330 ($ |#1| $ (-568))) (-15 -4330 ($ (-1 (-121) |#1|) $ (-568))) (-15 -1568 ($ |#1| $ (-568))) (-15 -1568 ($ (-1 (-121) |#1|) $ (-568))))) (-1090)) (T -727)) 
-((-2369 (*1 *1) (-12 (-5 *1 (-727 *2)) (-4 *2 (-1090)))) (-2369 (*1 *1 *2) (-12 (-5 *1 (-727 *2)) (-4 *2 (-1090)))) (-2369 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-5 *1 (-727 *3)))) (-4406 (*1 *2 *1) (-12 (-5 *2 (-634 *3)) (-5 *1 (-727 *3)) (-4 *3 (-1090)))) (-4330 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-568)) (-5 *1 (-727 *2)) (-4 *2 (-1090)))) (-4330 (*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-121) *4)) (-5 *3 (-568)) (-4 *4 (-1090)) (-5 *1 (-727 *4)))) (-1568 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-568)) (-5 *1 (-727 *2)) (-4 *2 (-1090)))) (-1568 (*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-121) *4)) (-5 *3 (-568)) (-4 *4 (-1090)) (-5 *1 (-727 *4))))) 
-(-13 (-726 |#1|) (-10 -8 (-6 -4521) (-6 -4522) (-15 -2369 ($)) (-15 -2369 ($ |#1|)) (-15 -2369 ($ (-634 |#1|))) (-15 -4406 ((-634 |#1|) $)) (-15 -4330 ($ |#1| $ (-568))) (-15 -4330 ($ (-1 (-121) |#1|) $ (-568))) (-15 -1568 ($ |#1| $ (-568))) (-15 -1568 ($ (-1 (-121) |#1|) $ (-568))))) 
-((-3231 (((-1249) (-1143)) 8))) 
-(((-728) (-10 -7 (-15 -3231 ((-1249) (-1143))))) (T -728)) 
-((-3231 (*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-728))))) 
-(-10 -7 (-15 -3231 ((-1249) (-1143)))) 
-((-2875 (((-634 |#1|) (-634 |#1|) (-634 |#1|)) 10))) 
-(((-729 |#1|) (-10 -7 (-15 -2875 ((-634 |#1|) (-634 |#1|) (-634 |#1|)))) (-842)) (T -729)) 
-((-2875 (*1 *2 *2 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-842)) (-5 *1 (-729 *3))))) 
-(-10 -7 (-15 -2875 ((-634 |#1|) (-634 |#1|) (-634 |#1|)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2057 (((-634 |#2|) $) 134)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 127 (|has| |#1| (-558)))) (-3661 (($ $) 126 (|has| |#1| (-558)))) (-4426 (((-121) $) 124 (|has| |#1| (-558)))) (-1984 (($ $) 83 (|has| |#1| (-43 (-409 (-568)))))) (-1935 (($ $) 66 (|has| |#1| (-43 (-409 (-568)))))) (-2689 (((-3 $ "failed") $ $) 18)) (-1904 (($ $) 65 (|has| |#1| (-43 (-409 (-568)))))) (-1976 (($ $) 82 (|has| |#1| (-43 (-409 (-568)))))) (-2788 (($ $) 67 (|has| |#1| (-43 (-409 (-568)))))) (-1992 (($ $) 81 (|has| |#1| (-43 (-409 (-568)))))) (-1943 (($ $) 68 (|has| |#1| (-43 (-409 (-568)))))) (-4490 (($) 16 T CONST)) (-2116 (($ $) 118)) (-2902 (((-3 $ "failed") $) 33)) (-3808 (((-953 |#1|) $ (-763)) 96) (((-953 |#1|) $ (-763) (-763)) 95)) (-1302 (((-121) $) 135)) (-1899 (($) 93 (|has| |#1| (-43 (-409 (-568)))))) (-1844 (((-763) $ |#2|) 98) (((-763) $ |#2| (-763)) 97)) (-1598 (((-121) $) 30)) (-1550 (($ $ (-568)) 64 (|has| |#1| (-43 (-409 (-568)))))) (-2171 (((-121) $) 116)) (-2049 (($ $ (-634 |#2|) (-634 (-534 |#2|))) 133) (($ $ |#2| (-534 |#2|)) 132) (($ |#1| (-534 |#2|)) 117) (($ $ |#2| (-763)) 100) (($ $ (-634 |#2|) (-634 (-763))) 99)) (-2797 (($ (-1 |#1| |#1|) $) 115)) (-4418 (($ $) 90 (|has| |#1| (-43 (-409 (-568)))))) (-2099 (($ $) 113)) (-2104 ((|#1| $) 112)) (-1893 (((-1143) $) 9)) (-1845 (($ $ |#2|) 94 (|has| |#1| (-43 (-409 (-568)))))) (-4025 (((-1108) $) 10)) (-2168 (($ $ (-763)) 101)) (-2597 (((-3 $ "failed") $ $) 128 (|has| |#1| (-558)))) (-1894 (($ $) 91 (|has| |#1| (-43 (-409 (-568)))))) (-1339 (($ $ |#2| $) 109) (($ $ (-634 |#2|) (-634 $)) 108) (($ $ (-634 (-288 $))) 107) (($ $ (-288 $)) 106) (($ $ $ $) 105) (($ $ (-634 $) (-634 $)) 104)) (-4191 (($ $ |#2|) 41) (($ $ (-634 |#2|)) 40) (($ $ |#2| (-763)) 39) (($ $ (-634 |#2|) (-634 (-763))) 38)) (-1836 (((-534 |#2|) $) 114)) (-1996 (($ $) 80 (|has| |#1| (-43 (-409 (-568)))))) (-1947 (($ $) 69 (|has| |#1| (-43 (-409 (-568)))))) (-1988 (($ $) 79 (|has| |#1| (-43 (-409 (-568)))))) (-1939 (($ $) 70 (|has| |#1| (-43 (-409 (-568)))))) (-1980 (($ $) 78 (|has| |#1| (-43 (-409 (-568)))))) (-2792 (($ $) 71 (|has| |#1| (-43 (-409 (-568)))))) (-2188 (($ $) 136)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ |#1|) 131 (|has| |#1| (-172))) (($ $) 129 (|has| |#1| (-558))) (($ (-409 (-568))) 121 (|has| |#1| (-43 (-409 (-568)))))) (-2079 ((|#1| $ (-534 |#2|)) 119) (($ $ |#2| (-763)) 103) (($ $ (-634 |#2|) (-634 (-763))) 102)) (-3385 (((-3 $ "failed") $) 130 (|has| |#1| (-148)))) (-3425 (((-763)) 28)) (-2008 (($ $) 89 (|has| |#1| (-43 (-409 (-568)))))) (-1959 (($ $) 77 (|has| |#1| (-43 (-409 (-568)))))) (-2273 (((-121) $ $) 125 (|has| |#1| (-558)))) (-2000 (($ $) 88 (|has| |#1| (-43 (-409 (-568)))))) (-1951 (($ $) 76 (|has| |#1| (-43 (-409 (-568)))))) (-2016 (($ $) 87 (|has| |#1| (-43 (-409 (-568)))))) (-1968 (($ $) 75 (|has| |#1| (-43 (-409 (-568)))))) (-1439 (($ $) 86 (|has| |#1| (-43 (-409 (-568)))))) (-1972 (($ $) 74 (|has| |#1| (-43 (-409 (-568)))))) (-2012 (($ $) 85 (|has| |#1| (-43 (-409 (-568)))))) (-1964 (($ $) 73 (|has| |#1| (-43 (-409 (-568)))))) (-2004 (($ $) 84 (|has| |#1| (-43 (-409 (-568)))))) (-1955 (($ $) 72 (|has| |#1| (-43 (-409 (-568)))))) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3192 (($ $ |#2|) 37) (($ $ (-634 |#2|)) 36) (($ $ |#2| (-763)) 35) (($ $ (-634 |#2|) (-634 (-763))) 34)) (-1719 (((-121) $ $) 6)) (-1781 (($ $ |#1|) 120 (|has| |#1| (-365)))) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ $) 92 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) 63 (|has| |#1| (-43 (-409 (-568)))))) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ (-409 (-568))) 123 (|has| |#1| (-43 (-409 (-568))))) (($ (-409 (-568)) $) 122 (|has| |#1| (-43 (-409 (-568))))) (($ |#1| $) 111) (($ $ |#1|) 110))) 
-(((-730 |#1| |#2|) (-1275) (-1047) (-842)) (T -730)) 
-((-2079 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-763)) (-4 *1 (-730 *4 *2)) (-4 *4 (-1047)) (-4 *2 (-842)))) (-2079 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 *5)) (-5 *3 (-634 (-763))) (-4 *1 (-730 *4 *5)) (-4 *4 (-1047)) (-4 *5 (-842)))) (-2168 (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-730 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-842)))) (-2049 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-763)) (-4 *1 (-730 *4 *2)) (-4 *4 (-1047)) (-4 *2 (-842)))) (-2049 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 *5)) (-5 *3 (-634 (-763))) (-4 *1 (-730 *4 *5)) (-4 *4 (-1047)) (-4 *5 (-842)))) (-1844 (*1 *2 *1 *3) (-12 (-4 *1 (-730 *4 *3)) (-4 *4 (-1047)) (-4 *3 (-842)) (-5 *2 (-763)))) (-1844 (*1 *2 *1 *3 *2) (-12 (-5 *2 (-763)) (-4 *1 (-730 *4 *3)) (-4 *4 (-1047)) (-4 *3 (-842)))) (-3808 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-4 *1 (-730 *4 *5)) (-4 *4 (-1047)) (-4 *5 (-842)) (-5 *2 (-953 *4)))) (-3808 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-763)) (-4 *1 (-730 *4 *5)) (-4 *4 (-1047)) (-4 *5 (-842)) (-5 *2 (-953 *4)))) (-1845 (*1 *1 *1 *2) (-12 (-4 *1 (-730 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-842)) (-4 *3 (-43 (-409 (-568))))))) 
-(-13 (-895 |t#2|) (-974 |t#1| (-534 |t#2|) |t#2|) (-523 |t#2| $) (-303 $) (-10 -8 (-15 -2079 ($ $ |t#2| (-763))) (-15 -2079 ($ $ (-634 |t#2|) (-634 (-763)))) (-15 -2168 ($ $ (-763))) (-15 -2049 ($ $ |t#2| (-763))) (-15 -2049 ($ $ (-634 |t#2|) (-634 (-763)))) (-15 -1844 ((-763) $ |t#2|)) (-15 -1844 ((-763) $ |t#2| (-763))) (-15 -3808 ((-953 |t#1|) $ (-763))) (-15 -3808 ((-953 |t#1|) $ (-763) (-763))) (IF (|has| |t#1| (-43 (-409 (-568)))) (PROGN (-15 -1845 ($ $ |t#2|)) (-6 (-1002)) (-6 (-1181))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-534 |#2|)) . T) ((-25) . T) ((-43 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-43 |#1|) |has| |#1| (-172)) ((-43 $) |has| |#1| (-558)) ((-40) |has| |#1| (-43 (-409 (-568)))) ((-98) |has| |#1| (-43 (-409 (-568)))) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2199 (|has| |#1| (-558)) (|has| |#1| (-172))) ((-137) . T) ((-148) |has| |#1| (-148)) ((-150) |has| |#1| (-150)) ((-608 (-850)) . T) ((-172) -2199 (|has| |#1| (-558)) (|has| |#1| (-172))) ((-279) |has| |#1| (-43 (-409 (-568)))) ((-285) |has| |#1| (-558)) ((-303 $) . T) ((-502) |has| |#1| (-43 (-409 (-568)))) ((-523 |#2| $) . T) ((-523 $ $) . T) ((-558) |has| |#1| (-558)) ((-637 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-637 |#1|) . T) ((-637 $) . T) ((-707 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-707 |#1|) |has| |#1| (-172)) ((-707 $) |has| |#1| (-558)) ((-716) . T) ((-895 |#2|) . T) ((-974 |#1| (-534 |#2|) |#2|) . T) ((-1002) |has| |#1| (-43 (-409 (-568)))) ((-1053 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-1053 |#1|) . T) ((-1053 $) -2199 (|has| |#1| (-558)) (|has| |#1| (-172))) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1181) |has| |#1| (-43 (-409 (-568)))) ((-1184) |has| |#1| (-43 (-409 (-568))))) 
-((-3850 (((-420 (-1157 |#4|)) (-1157 |#4|)) 28) (((-420 |#4|) |#4|) 24))) 
-(((-731 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3850 ((-420 |#4|) |#4|)) (-15 -3850 ((-420 (-1157 |#4|)) (-1157 |#4|)))) (-842) (-788) (-13 (-301) (-150)) (-950 |#3| |#2| |#1|)) (T -731)) 
-((-3850 (*1 *2 *3) (-12 (-4 *4 (-842)) (-4 *5 (-788)) (-4 *6 (-13 (-301) (-150))) (-4 *7 (-950 *6 *5 *4)) (-5 *2 (-420 (-1157 *7))) (-5 *1 (-731 *4 *5 *6 *7)) (-5 *3 (-1157 *7)))) (-3850 (*1 *2 *3) (-12 (-4 *4 (-842)) (-4 *5 (-788)) (-4 *6 (-13 (-301) (-150))) (-5 *2 (-420 *3)) (-5 *1 (-731 *4 *5 *6 *3)) (-4 *3 (-950 *6 *5 *4))))) 
-(-10 -7 (-15 -3850 ((-420 |#4|) |#4|)) (-15 -3850 ((-420 (-1157 |#4|)) (-1157 |#4|)))) 
-((-4498 (((-420 |#4|) |#4| |#2|) 116)) (-2224 (((-420 |#4|) |#4|) NIL)) (-3498 (((-420 (-1157 |#4|)) (-1157 |#4|)) 107) (((-420 |#4|) |#4|) 38)) (-3891 (((-2 (|:| |unitPart| |#4|) (|:| |suPart| (-634 (-2 (|:| -3850 (-1157 |#4|)) (|:| -3483 (-568)))))) (-1157 |#4|) (-634 |#2|) (-634 (-634 |#3|))) 65)) (-4430 (((-1157 |#3|) (-1157 |#3|) (-568)) 133)) (-3550 (((-634 (-763)) (-1157 |#4|) (-634 |#2|) (-763)) 58)) (-3087 (((-3 (-634 (-1157 |#4|)) "failed") (-1157 |#4|) (-1157 |#3|) (-1157 |#3|) |#4| (-634 |#2|) (-634 (-763)) (-634 |#3|)) 62)) (-2097 (((-2 (|:| |upol| (-1157 |#3|)) (|:| |Lval| (-634 |#3|)) (|:| |Lfact| (-634 (-2 (|:| -3850 (-1157 |#3|)) (|:| -3483 (-568))))) (|:| |ctpol| |#3|)) (-1157 |#4|) (-634 |#2|) (-634 (-634 |#3|))) 22)) (-3726 (((-2 (|:| -1416 (-1157 |#4|)) (|:| |polval| (-1157 |#3|))) (-1157 |#4|) (-1157 |#3|) (-568)) 54)) (-2368 (((-568) (-634 (-2 (|:| -3850 (-1157 |#3|)) (|:| -3483 (-568))))) 130)) (-3843 ((|#4| (-568) (-420 |#4|)) 55)) (-3270 (((-121) (-634 (-2 (|:| -3850 (-1157 |#3|)) (|:| -3483 (-568)))) (-634 (-2 (|:| -3850 (-1157 |#3|)) (|:| -3483 (-568))))) NIL))) 
-(((-732 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3498 ((-420 |#4|) |#4|)) (-15 -3498 ((-420 (-1157 |#4|)) (-1157 |#4|))) (-15 -2224 ((-420 |#4|) |#4|)) (-15 -2368 ((-568) (-634 (-2 (|:| -3850 (-1157 |#3|)) (|:| -3483 (-568)))))) (-15 -4498 ((-420 |#4|) |#4| |#2|)) (-15 -3726 ((-2 (|:| -1416 (-1157 |#4|)) (|:| |polval| (-1157 |#3|))) (-1157 |#4|) (-1157 |#3|) (-568))) (-15 -3891 ((-2 (|:| |unitPart| |#4|) (|:| |suPart| (-634 (-2 (|:| -3850 (-1157 |#4|)) (|:| -3483 (-568)))))) (-1157 |#4|) (-634 |#2|) (-634 (-634 |#3|)))) (-15 -2097 ((-2 (|:| |upol| (-1157 |#3|)) (|:| |Lval| (-634 |#3|)) (|:| |Lfact| (-634 (-2 (|:| -3850 (-1157 |#3|)) (|:| -3483 (-568))))) (|:| |ctpol| |#3|)) (-1157 |#4|) (-634 |#2|) (-634 (-634 |#3|)))) (-15 -3843 (|#4| (-568) (-420 |#4|))) (-15 -3270 ((-121) (-634 (-2 (|:| -3850 (-1157 |#3|)) (|:| -3483 (-568)))) (-634 (-2 (|:| -3850 (-1157 |#3|)) (|:| -3483 (-568)))))) (-15 -3087 ((-3 (-634 (-1157 |#4|)) "failed") (-1157 |#4|) (-1157 |#3|) (-1157 |#3|) |#4| (-634 |#2|) (-634 (-763)) (-634 |#3|))) (-15 -3550 ((-634 (-763)) (-1157 |#4|) (-634 |#2|) (-763))) (-15 -4430 ((-1157 |#3|) (-1157 |#3|) (-568)))) (-788) (-842) (-301) (-950 |#3| |#1| |#2|)) (T -732)) 
-((-4430 (*1 *2 *2 *3) (-12 (-5 *2 (-1157 *6)) (-5 *3 (-568)) (-4 *6 (-301)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-732 *4 *5 *6 *7)) (-4 *7 (-950 *6 *4 *5)))) (-3550 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1157 *9)) (-5 *4 (-634 *7)) (-4 *7 (-842)) (-4 *9 (-950 *8 *6 *7)) (-4 *6 (-788)) (-4 *8 (-301)) (-5 *2 (-634 (-763))) (-5 *1 (-732 *6 *7 *8 *9)) (-5 *5 (-763)))) (-3087 (*1 *2 *3 *4 *4 *5 *6 *7 *8) (|partial| -12 (-5 *4 (-1157 *11)) (-5 *6 (-634 *10)) (-5 *7 (-634 (-763))) (-5 *8 (-634 *11)) (-4 *10 (-842)) (-4 *11 (-301)) (-4 *9 (-788)) (-4 *5 (-950 *11 *9 *10)) (-5 *2 (-634 (-1157 *5))) (-5 *1 (-732 *9 *10 *11 *5)) (-5 *3 (-1157 *5)))) (-3270 (*1 *2 *3 *3) (-12 (-5 *3 (-634 (-2 (|:| -3850 (-1157 *6)) (|:| -3483 (-568))))) (-4 *6 (-301)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121)) (-5 *1 (-732 *4 *5 *6 *7)) (-4 *7 (-950 *6 *4 *5)))) (-3843 (*1 *2 *3 *4) (-12 (-5 *3 (-568)) (-5 *4 (-420 *2)) (-4 *2 (-950 *7 *5 *6)) (-5 *1 (-732 *5 *6 *7 *2)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-301)))) (-2097 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1157 *9)) (-5 *4 (-634 *7)) (-5 *5 (-634 (-634 *8))) (-4 *7 (-842)) (-4 *8 (-301)) (-4 *9 (-950 *8 *6 *7)) (-4 *6 (-788)) (-5 *2 (-2 (|:| |upol| (-1157 *8)) (|:| |Lval| (-634 *8)) (|:| |Lfact| (-634 (-2 (|:| -3850 (-1157 *8)) (|:| -3483 (-568))))) (|:| |ctpol| *8))) (-5 *1 (-732 *6 *7 *8 *9)))) (-3891 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-634 *7)) (-5 *5 (-634 (-634 *8))) (-4 *7 (-842)) (-4 *8 (-301)) (-4 *6 (-788)) (-4 *9 (-950 *8 *6 *7)) (-5 *2 (-2 (|:| |unitPart| *9) (|:| |suPart| (-634 (-2 (|:| -3850 (-1157 *9)) (|:| -3483 (-568))))))) (-5 *1 (-732 *6 *7 *8 *9)) (-5 *3 (-1157 *9)))) (-3726 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-568)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *8 (-301)) (-4 *9 (-950 *8 *6 *7)) (-5 *2 (-2 (|:| -1416 (-1157 *9)) (|:| |polval| (-1157 *8)))) (-5 *1 (-732 *6 *7 *8 *9)) (-5 *3 (-1157 *9)) (-5 *4 (-1157 *8)))) (-4498 (*1 *2 *3 *4) (-12 (-4 *5 (-788)) (-4 *4 (-842)) (-4 *6 (-301)) (-5 *2 (-420 *3)) (-5 *1 (-732 *5 *4 *6 *3)) (-4 *3 (-950 *6 *5 *4)))) (-2368 (*1 *2 *3) (-12 (-5 *3 (-634 (-2 (|:| -3850 (-1157 *6)) (|:| -3483 (-568))))) (-4 *6 (-301)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-568)) (-5 *1 (-732 *4 *5 *6 *7)) (-4 *7 (-950 *6 *4 *5)))) (-2224 (*1 *2 *3) (-12 (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-301)) (-5 *2 (-420 *3)) (-5 *1 (-732 *4 *5 *6 *3)) (-4 *3 (-950 *6 *4 *5)))) (-3498 (*1 *2 *3) (-12 (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-301)) (-4 *7 (-950 *6 *4 *5)) (-5 *2 (-420 (-1157 *7))) (-5 *1 (-732 *4 *5 *6 *7)) (-5 *3 (-1157 *7)))) (-3498 (*1 *2 *3) (-12 (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-301)) (-5 *2 (-420 *3)) (-5 *1 (-732 *4 *5 *6 *3)) (-4 *3 (-950 *6 *4 *5))))) 
-(-10 -7 (-15 -3498 ((-420 |#4|) |#4|)) (-15 -3498 ((-420 (-1157 |#4|)) (-1157 |#4|))) (-15 -2224 ((-420 |#4|) |#4|)) (-15 -2368 ((-568) (-634 (-2 (|:| -3850 (-1157 |#3|)) (|:| -3483 (-568)))))) (-15 -4498 ((-420 |#4|) |#4| |#2|)) (-15 -3726 ((-2 (|:| -1416 (-1157 |#4|)) (|:| |polval| (-1157 |#3|))) (-1157 |#4|) (-1157 |#3|) (-568))) (-15 -3891 ((-2 (|:| |unitPart| |#4|) (|:| |suPart| (-634 (-2 (|:| -3850 (-1157 |#4|)) (|:| -3483 (-568)))))) (-1157 |#4|) (-634 |#2|) (-634 (-634 |#3|)))) (-15 -2097 ((-2 (|:| |upol| (-1157 |#3|)) (|:| |Lval| (-634 |#3|)) (|:| |Lfact| (-634 (-2 (|:| -3850 (-1157 |#3|)) (|:| -3483 (-568))))) (|:| |ctpol| |#3|)) (-1157 |#4|) (-634 |#2|) (-634 (-634 |#3|)))) (-15 -3843 (|#4| (-568) (-420 |#4|))) (-15 -3270 ((-121) (-634 (-2 (|:| -3850 (-1157 |#3|)) (|:| -3483 (-568)))) (-634 (-2 (|:| -3850 (-1157 |#3|)) (|:| -3483 (-568)))))) (-15 -3087 ((-3 (-634 (-1157 |#4|)) "failed") (-1157 |#4|) (-1157 |#3|) (-1157 |#3|) |#4| (-634 |#2|) (-634 (-763)) (-634 |#3|))) (-15 -3550 ((-634 (-763)) (-1157 |#4|) (-634 |#2|) (-763))) (-15 -4430 ((-1157 |#3|) (-1157 |#3|) (-568)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2057 (((-634 (-1161)) $) NIL)) (-3840 (((-409 (-1157 $)) $ (-607 $)) NIL (|has| |#2| (-558)))) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-3145 (((-634 (-607 $)) $) NIL)) (-1715 (($ $ (-1082 $)) NIL) (($ $ (-1161)) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4069 (($ $ (-288 $)) NIL) (($ $ (-634 (-288 $))) NIL) (($ $ (-634 (-607 $)) (-634 $)) NIL)) (-3045 (($ $) NIL (|has| |#2| (-558)))) (-3498 (((-420 $) $) NIL (|has| |#2| (-558)))) (-2589 (((-121) $ $) NIL (|has| |#2| (-558)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-607 $) "failed") $) NIL) (((-3 (-1161) "failed") $) NIL) (((-3 |#2| "failed") $) NIL) (((-3 (-409 (-953 |#2|)) "failed") $) NIL (|has| |#2| (-558))) (((-3 (-953 |#2|) "failed") $) NIL (|has| |#2| (-1047))) (((-3 (-734 |#1| |#2|) "failed") $) NIL) (((-3 (-568) "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL (-2199 (-12 (|has| |#2| (-558)) (|has| |#2| (-1037 (-568)))) (|has| |#2| (-1037 (-409 (-568))))))) (-2857 (((-607 $) $) NIL) (((-1161) $) NIL) ((|#2| $) NIL) (((-409 (-953 |#2|)) $) 20 (|has| |#2| (-558))) (((-953 |#2|) $) 26 (|has| |#2| (-1047))) (((-734 |#1| |#2|) $) 27) (((-568) $) NIL) (((-409 (-734 |#1| |#2|)) $) 25) (((-409 (-568)) $) NIL (-2199 (-12 (|has| |#2| (-558)) (|has| |#2| (-1037 (-568)))) (|has| |#2| (-1037 (-409 (-568))))))) (-2403 (($ $ $) NIL (|has| |#2| (-558)))) (-1668 (((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 $) (-1244 $)) NIL (|has| |#2| (-1047))) (((-679 |#2|) (-679 $)) NIL (|has| |#2| (-1047))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (-12 (|has| |#2| (-630 (-568))) (|has| |#2| (-1047)))) (((-679 (-568)) (-679 $)) NIL (-12 (|has| |#2| (-630 (-568))) (|has| |#2| (-1047))))) (-2902 (((-3 $ "failed") $) NIL)) (-2414 (($ $ $) NIL (|has| |#2| (-558)))) (-2062 (($ $ (-1082 $)) NIL) (($ $ (-1161)) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL (|has| |#2| (-558)))) (-2197 (((-121) $) NIL (|has| |#2| (-558)))) (-2341 (($ $ $) NIL)) (-1519 (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (|has| |#2| (-881 (-568)))) (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (|has| |#2| (-881 (-381))))) (-3855 (($ $) NIL) (($ (-634 $)) NIL)) (-2160 (((-634 (-123)) $) NIL)) (-3842 (((-123) (-123)) NIL)) (-1598 (((-121) $) NIL)) (-2268 (((-121) $) NIL (|has| $ (-1037 (-568))))) (-3539 (($ $) NIL)) (-2319 (((-1113 |#2| (-607 $)) $) NIL (|has| |#2| (-1047)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#2| (-558)))) (-3170 (((-1157 $) (-607 $)) NIL (|has| $ (-1047)))) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-2797 (($ (-1 $ $) (-607 $)) NIL)) (-2337 (((-3 (-607 $) "failed") $) NIL)) (-2498 (($ (-634 $)) NIL (|has| |#2| (-558))) (($ $ $) NIL (|has| |#2| (-558)))) (-1893 (((-1143) $) NIL)) (-3832 (((-634 (-607 $)) $) NIL)) (-3446 (($ (-123) $) NIL) (($ (-123) (-634 $)) NIL)) (-4362 (((-3 (-634 $) "failed") $) NIL (|has| |#2| (-1102)))) (-4495 (((-3 (-2 (|:| |val| $) (|:| -3483 (-568))) "failed") $) NIL (|has| |#2| (-1047)))) (-2112 (((-3 (-634 $) "failed") $) NIL (|has| |#2| (-25)))) (-2240 (((-3 (-2 (|:| -2350 (-568)) (|:| |var| (-607 $))) "failed") $) NIL (|has| |#2| (-25)))) (-2617 (((-3 (-2 (|:| |var| (-607 $)) (|:| -3483 (-568))) "failed") $) NIL (|has| |#2| (-1102))) (((-3 (-2 (|:| |var| (-607 $)) (|:| -3483 (-568))) "failed") $ (-123)) NIL (|has| |#2| (-1047))) (((-3 (-2 (|:| |var| (-607 $)) (|:| -3483 (-568))) "failed") $ (-1161)) NIL (|has| |#2| (-1047)))) (-3910 (((-121) $ (-123)) NIL) (((-121) $ (-1161)) NIL)) (-2083 (($ $) NIL (-2199 (|has| |#2| (-478)) (|has| |#2| (-558))))) (-2963 (((-763) $) NIL)) (-4025 (((-1108) $) NIL)) (-2088 (((-121) $) NIL)) (-2093 ((|#2| $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#2| (-558)))) (-2723 (($ (-634 $)) NIL (|has| |#2| (-558))) (($ $ $) NIL (|has| |#2| (-558)))) (-1609 (((-121) $ $) NIL) (((-121) $ (-1161)) NIL)) (-3577 (($ $ (-1161)) NIL) (($ $) NIL)) (-2406 (($ $) NIL)) (-3850 (((-420 $) $) NIL (|has| |#2| (-558)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-558))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#2| (-558)))) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#2| (-558)))) (-2080 (((-121) $) NIL (|has| $ (-1037 (-568))))) (-1339 (($ $ (-607 $) $) NIL) (($ $ (-634 (-607 $)) (-634 $)) NIL) (($ $ (-634 (-288 $))) NIL) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL) (($ $ (-634 (-1161)) (-634 (-1 $ $))) NIL) (($ $ (-634 (-1161)) (-634 (-1 $ (-634 $)))) NIL) (($ $ (-1161) (-1 $ (-634 $))) NIL) (($ $ (-1161) (-1 $ $)) NIL) (($ $ (-634 (-123)) (-634 (-1 $ $))) NIL) (($ $ (-634 (-123)) (-634 (-1 $ (-634 $)))) NIL) (($ $ (-123) (-1 $ (-634 $))) NIL) (($ $ (-123) (-1 $ $)) NIL) (($ $ (-1161)) NIL (|has| |#2| (-609 (-541)))) (($ $ (-634 (-1161))) NIL (|has| |#2| (-609 (-541)))) (($ $) NIL (|has| |#2| (-609 (-541)))) (($ $ (-123) $ (-1161)) NIL (|has| |#2| (-609 (-541)))) (($ $ (-634 (-123)) (-634 $) (-1161)) NIL (|has| |#2| (-609 (-541)))) (($ $ (-634 (-1161)) (-634 (-763)) (-634 (-1 $ $))) NIL (|has| |#2| (-1047))) (($ $ (-634 (-1161)) (-634 (-763)) (-634 (-1 $ (-634 $)))) NIL (|has| |#2| (-1047))) (($ $ (-1161) (-763) (-1 $ (-634 $))) NIL (|has| |#2| (-1047))) (($ $ (-1161) (-763) (-1 $ $)) NIL (|has| |#2| (-1047)))) (-1466 (((-763) $) NIL (|has| |#2| (-558)))) (-2781 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-634 $)) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#2| (-558)))) (-3924 (($ $) NIL) (($ $ $) NIL)) (-4191 (($ $ (-634 (-1161)) (-634 (-763))) NIL) (($ $ (-1161) (-763)) NIL) (($ $ (-634 (-1161))) NIL) (($ $ (-1161)) NIL)) (-3210 (($ $) NIL)) (-2326 (((-1113 |#2| (-607 $)) $) NIL (|has| |#2| (-558)))) (-1492 (($ $) NIL (|has| $ (-1047)))) (-4280 (((-887 (-568)) $) NIL (|has| |#2| (-609 (-887 (-568))))) (((-887 (-381)) $) NIL (|has| |#2| (-609 (-887 (-381))))) (($ (-420 $)) NIL (|has| |#2| (-558))) (((-541) $) NIL (|has| |#2| (-609 (-541))))) (-2387 (($ $ $) NIL (|has| |#2| (-478)))) (-3985 (($ $ $) NIL (|has| |#2| (-478)))) (-2747 (((-850) $) NIL) (($ (-607 $)) NIL) (($ (-1161)) NIL) (($ |#2|) NIL) (($ (-1113 |#2| (-607 $))) NIL (|has| |#2| (-1047))) (($ (-409 |#2|)) NIL (|has| |#2| (-558))) (($ (-953 (-409 |#2|))) NIL (|has| |#2| (-558))) (($ (-409 (-953 (-409 |#2|)))) NIL (|has| |#2| (-558))) (($ (-409 (-953 |#2|))) NIL (|has| |#2| (-558))) (($ (-953 |#2|)) NIL (|has| |#2| (-1047))) (($ $) NIL) (($ (-568)) NIL) (($ (-734 |#1| |#2|)) NIL) (($ (-409 (-734 |#1| |#2|))) 35) (($ (-409 (-568))) NIL (-2199 (|has| |#2| (-558)) (|has| |#2| (-1037 (-409 (-568))))))) (-3385 (((-3 $ "failed") $) NIL (|has| |#2| (-148)))) (-3425 (((-763)) NIL)) (-3159 (($ $) NIL) (($ (-634 $)) NIL)) (-3584 (($ $ $) NIL)) (-2779 (((-121) (-123)) NIL)) (-2273 (((-121) $ $) NIL)) (-3060 (($ (-1161) $) NIL) (($ (-1161) $ $) NIL) (($ (-1161) $ $ $) NIL) (($ (-1161) $ $ $ $) NIL) (($ (-1161) (-634 $)) NIL)) (-1889 (($ $ (-763)) NIL) (($ $ (-917)) NIL) (($ $ (-568)) NIL (-2199 (|has| |#2| (-478)) (|has| |#2| (-558))))) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($ $ (-634 (-1161)) (-634 (-763))) NIL) (($ $ (-1161) (-763)) NIL) (($ $ (-634 (-1161))) NIL) (($ $ (-1161)) NIL)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) NIL)) (-1781 (($ (-1113 |#2| (-607 $)) (-1113 |#2| (-607 $))) NIL (|has| |#2| (-558))) (($ $ $) NIL)) (-1775 (($ $ $) NIL) (($ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-763)) NIL) (($ $ (-917)) NIL) (($ $ $) NIL) (($ $ (-568)) NIL (-2199 (|has| |#2| (-478)) (|has| |#2| (-558))))) (* (($ (-409 (-568)) $) NIL (|has| |#2| (-558))) (($ $ (-409 (-568))) NIL (|has| |#2| (-558))) (($ |#2| $) NIL (|has| |#2| (-172))) (($ $ |#2|) NIL (|has| |#2| (-172))) (($ $ $) NIL) (($ (-568) $) NIL) (($ (-763) $) NIL) (($ (-917) $) NIL))) 
-(((-733 |#1| |#2|) (-13 (-432 |#2|) (-558) (-1037 (-734 |#1| |#2|)) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $)) (-15 -2747 ($ (-409 (-734 |#1| |#2|)))) (-15 -2857 ((-409 (-734 |#1| |#2|)) $)))) (-1161) (-13 (-1047) (-842) (-558))) (T -733)) 
-((-2088 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-733 *3 *4)) (-14 *3 (-1161)) (-4 *4 (-13 (-1047) (-842) (-558))))) (* (*1 *1 *1 *1) (-12 (-5 *1 (-733 *2 *3)) (-14 *2 (-1161)) (-4 *3 (-13 (-1047) (-842) (-558))))) (-1781 (*1 *1 *1 *1) (-12 (-5 *1 (-733 *2 *3)) (-14 *2 (-1161)) (-4 *3 (-13 (-1047) (-842) (-558))))) (** (*1 *1 *1 *1) (-12 (-5 *1 (-733 *2 *3)) (-14 *2 (-1161)) (-4 *3 (-13 (-1047) (-842) (-558))))) (-3539 (*1 *1 *1) (-12 (-5 *1 (-733 *2 *3)) (-14 *2 (-1161)) (-4 *3 (-13 (-1047) (-842) (-558))))) (-3210 (*1 *1 *1) (-12 (-5 *1 (-733 *2 *3)) (-14 *2 (-1161)) (-4 *3 (-13 (-1047) (-842) (-558))))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-409 (-734 *3 *4))) (-14 *3 (-1161)) (-4 *4 (-13 (-1047) (-842) (-558))) (-5 *1 (-733 *3 *4)))) (-2857 (*1 *2 *1) (-12 (-5 *2 (-409 (-734 *3 *4))) (-5 *1 (-733 *3 *4)) (-14 *3 (-1161)) (-4 *4 (-13 (-1047) (-842) (-558)))))) 
-(-13 (-432 |#2|) (-558) (-1037 (-734 |#1| |#2|)) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $)) (-15 -2747 ($ (-409 (-734 |#1| |#2|)))) (-15 -2857 ((-409 (-734 |#1| |#2|)) $)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-1969 (((-1244 |#2|) $ (-763)) NIL)) (-2057 (((-634 (-1075)) $) NIL)) (-1807 (($ (-1157 |#2|)) NIL)) (-3840 (((-1157 $) $ (-1075)) NIL) (((-1157 |#2|) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#2| (-558)))) (-3661 (($ $) NIL (|has| |#2| (-558)))) (-4426 (((-121) $) NIL (|has| |#2| (-558)))) (-3528 (((-763) $) NIL) (((-763) $ (-634 (-1075))) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-1736 (($ $ $) NIL (|has| |#2| (-558)))) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-3045 (($ $) NIL (|has| |#2| (-453)))) (-3498 (((-420 $) $) NIL (|has| |#2| (-453)))) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-2589 (((-121) $ $) NIL (|has| |#2| (-365)))) (-2752 (($ $ (-763)) NIL)) (-2699 (($ $ (-763)) NIL)) (-1448 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#2| (-453)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#2| "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#2| (-1037 (-409 (-568))))) (((-3 (-568) "failed") $) NIL (|has| |#2| (-1037 (-568)))) (((-3 (-1075) "failed") $) NIL) (((-3 (-1161) "failed") $) NIL)) (-2857 ((|#2| $) NIL) (((-409 (-568)) $) NIL (|has| |#2| (-1037 (-409 (-568))))) (((-568) $) NIL (|has| |#2| (-1037 (-568)))) (((-1075) $) 22) (((-1161) $) 23)) (-2910 (($ $ $ (-1075)) NIL (|has| |#2| (-172))) ((|#2| $ $) NIL (|has| |#2| (-172)))) (-2403 (($ $ $) NIL (|has| |#2| (-365)))) (-2116 (($ $) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| |#2| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| |#2| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 $) (-1244 $)) NIL) (((-679 |#2|) (-679 $)) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-2414 (($ $ $) NIL (|has| |#2| (-365)))) (-3152 (($ $ $) NIL)) (-2929 (($ $ $) NIL (|has| |#2| (-558)))) (-3777 (((-2 (|:| -2350 |#2|) (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#2| (-558)))) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL (|has| |#2| (-365)))) (-1998 (($ $) NIL (|has| |#2| (-453))) (($ $ (-1075)) NIL (|has| |#2| (-453)))) (-2110 (((-634 $) $) NIL)) (-2197 (((-121) $) NIL (|has| |#2| (-904)))) (-2453 (($ $ |#2| (-763) $) NIL)) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (-12 (|has| (-1075) (-881 (-381))) (|has| |#2| (-881 (-381))))) (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (-12 (|has| (-1075) (-881 (-568))) (|has| |#2| (-881 (-568)))))) (-1844 (((-763) $ $) NIL (|has| |#2| (-558)))) (-1598 (((-121) $) NIL)) (-3971 (((-763) $) NIL)) (-2214 (((-3 $ "failed") $) NIL (|has| |#2| (-1136)))) (-2053 (($ (-1157 |#2|) (-1075)) NIL) (($ (-1157 $) (-1075)) NIL)) (-4168 (($ $ (-763)) NIL)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#2| (-365)))) (-3062 (((-634 $) $) NIL)) (-2171 (((-121) $) NIL)) (-2049 (($ |#2| (-763)) 17) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL)) (-1438 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $ (-1075)) NIL) (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-3524 (((-763) $) NIL) (((-763) $ (-1075)) NIL) (((-634 (-763)) $ (-634 (-1075))) NIL)) (-1732 (($ $ $) NIL (|has| |#2| (-842)))) (-2047 (($ $ $) NIL (|has| |#2| (-842)))) (-1865 (($ (-1 (-763) (-763)) $) NIL)) (-2797 (($ (-1 |#2| |#2|) $) NIL)) (-2671 (((-1157 |#2|) $) NIL)) (-2817 (((-3 (-1075) "failed") $) NIL)) (-2099 (($ $) NIL)) (-2104 ((|#2| $) NIL)) (-2498 (($ (-634 $)) NIL (|has| |#2| (-453))) (($ $ $) NIL (|has| |#2| (-453)))) (-1893 (((-1143) $) NIL)) (-3262 (((-2 (|:| -4409 $) (|:| -2607 $)) $ (-763)) NIL)) (-4362 (((-3 (-634 $) "failed") $) NIL)) (-2112 (((-3 (-634 $) "failed") $) NIL)) (-2617 (((-3 (-2 (|:| |var| (-1075)) (|:| -3483 (-763))) "failed") $) NIL)) (-1845 (($ $) NIL (|has| |#2| (-43 (-409 (-568)))))) (-4436 (($) NIL (|has| |#2| (-1136)) CONST)) (-4025 (((-1108) $) NIL)) (-2088 (((-121) $) NIL)) (-2093 ((|#2| $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#2| (-453)))) (-2723 (($ (-634 $)) NIL (|has| |#2| (-453))) (($ $ $) NIL (|has| |#2| (-453)))) (-2973 (($ $ (-763) |#2| $) NIL)) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-3850 (((-420 $) $) NIL (|has| |#2| (-904)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-365))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#2| (-365)))) (-2597 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-558))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-558)))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#2| (-365)))) (-1339 (($ $ (-634 (-288 $))) NIL) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL) (($ $ (-1075) |#2|) NIL) (($ $ (-634 (-1075)) (-634 |#2|)) NIL) (($ $ (-1075) $) NIL) (($ $ (-634 (-1075)) (-634 $)) NIL)) (-1466 (((-763) $) NIL (|has| |#2| (-365)))) (-2781 ((|#2| $ |#2|) NIL) (($ $ $) NIL) (((-409 $) (-409 $) (-409 $)) NIL (|has| |#2| (-558))) ((|#2| (-409 $) |#2|) NIL (|has| |#2| (-365))) (((-409 $) $ (-409 $)) NIL (|has| |#2| (-558)))) (-3805 (((-3 $ "failed") $ (-763)) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#2| (-365)))) (-3440 (($ $ (-1075)) NIL (|has| |#2| (-172))) ((|#2| $) NIL (|has| |#2| (-172)))) (-4191 (($ $ (-1075)) NIL) (($ $ (-634 (-1075))) NIL) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL) (($ $ (-763)) NIL) (($ $) NIL) (($ $ (-1161)) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-1 |#2| |#2|) (-763)) NIL) (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) $) NIL)) (-1836 (((-763) $) NIL) (((-763) $ (-1075)) NIL) (((-634 (-763)) $ (-634 (-1075))) NIL)) (-4280 (((-887 (-381)) $) NIL (-12 (|has| (-1075) (-609 (-887 (-381)))) (|has| |#2| (-609 (-887 (-381)))))) (((-887 (-568)) $) NIL (-12 (|has| (-1075) (-609 (-887 (-568)))) (|has| |#2| (-609 (-887 (-568)))))) (((-541) $) NIL (-12 (|has| (-1075) (-609 (-541))) (|has| |#2| (-609 (-541)))))) (-1364 ((|#2| $) NIL (|has| |#2| (-453))) (($ $ (-1075)) NIL (|has| |#2| (-453)))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-12 (|has| $ (-148)) (|has| |#2| (-904))))) (-4363 (((-3 $ "failed") $ $) NIL (|has| |#2| (-558))) (((-3 (-409 $) "failed") (-409 $) $) NIL (|has| |#2| (-558)))) (-2747 (((-850) $) 13) (($ (-568)) NIL) (($ |#2|) 26) (($ (-1075)) NIL) (($ (-1240 |#1|)) 20) (($ (-953 |#2|)) 34) (($ (-1161)) 18) (($ (-409 (-568))) NIL (-2199 (|has| |#2| (-43 (-409 (-568)))) (|has| |#2| (-1037 (-409 (-568)))))) (($ $) NIL (|has| |#2| (-558)))) (-3304 (((-634 |#2|) $) NIL)) (-2079 ((|#2| $ (-763)) NIL) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL)) (-3385 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| |#2| (-904))) (|has| |#2| (-148))))) (-3425 (((-763)) NIL)) (-3925 (($ $ $ (-763)) NIL (|has| |#2| (-172)))) (-2273 (((-121) $ $) NIL (|has| |#2| (-558)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) 14 T CONST)) (-3192 (($ $ (-1075)) NIL) (($ $ (-634 (-1075))) NIL) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL) (($ $ (-763)) NIL) (($ $) NIL) (($ $ (-1161)) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-1 |#2| |#2|) (-763)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-1753 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1781 (($ $ |#2|) NIL (|has| |#2| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL (|has| |#2| (-43 (-409 (-568))))) (($ (-409 (-568)) $) NIL (|has| |#2| (-43 (-409 (-568))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
-(((-734 |#1| |#2|) (-13 (-1219 |#2|) (-10 -8 (-6 (-1037 (-1161))) (-15 -2747 ($ (-1240 |#1|))) (-15 -2973 ($ $ (-763) |#2| $)) (IF (|has| |#2| (-15 -3840 ((-1157 |#2|) |#2| (-1161)))) (-15 -2747 ($ |#2|)) |noBranch|) (-15 -2747 ($ (-953 |#2|))))) (-1161) (-1047)) (T -734)) 
-((-2747 (*1 *1 *2) (-12 (-5 *1 (-734 *3 *2)) (-14 *3 (-1161)) (-4 *2 (-1047)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-1240 *3)) (-14 *3 (-1161)) (-5 *1 (-734 *3 *4)) (-4 *4 (-1047)))) (-2973 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-763)) (-5 *1 (-734 *4 *3)) (-14 *4 (-1161)) (-4 *3 (-1047)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-953 *4)) (-4 *4 (-1047)) (-5 *1 (-734 *3 *4)) (-14 *3 (-1161))))) 
-(-13 (-1219 |#2|) (-10 -8 (-6 (-1037 (-1161))) (-15 -2747 ($ (-1240 |#1|))) (-15 -2973 ($ $ (-763) |#2| $)) (IF (|has| |#2| (-15 -3840 ((-1157 |#2|) |#2| (-1161)))) (-15 -2747 ($ |#2|)) |noBranch|) (-15 -2747 ($ (-953 |#2|))))) 
-((-3402 (($ $ (-917)) 12))) 
-(((-735 |#1| |#2|) (-10 -8 (-15 -3402 (|#1| |#1| (-917)))) (-736 |#2|) (-172)) (T -735)) 
-NIL 
-(-10 -8 (-15 -3402 (|#1| |#1| (-917)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-2815 (($ $ (-917)) 27)) (-3402 (($ $ (-917)) 32)) (-4202 (($ $ (-917)) 28)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-3985 (($ $ $) 24)) (-2747 (((-850) $) 11)) (-2007 (($ $ $ $) 25)) (-3911 (($ $ $) 23)) (-3058 (($) 17 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 29)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 26) (($ $ |#1|) 34) (($ |#1| $) 33))) 
-(((-736 |#1|) (-1275) (-172)) (T -736)) 
-((-3402 (*1 *1 *1 *2) (-12 (-5 *2 (-917)) (-4 *1 (-736 *3)) (-4 *3 (-172))))) 
-(-13 (-753) (-707 |t#1|) (-10 -8 (-15 -3402 ($ $ (-917))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-137) . T) ((-608 (-850)) . T) ((-637 |#1|) . T) ((-707 |#1|) . T) ((-710) . T) ((-753) . T) ((-1053 |#1|) . T) ((-1090) . T)) 
-((-1666 (((-1035) (-679 (-215)) (-568) (-121) (-568)) 24)) (-1671 (((-1035) (-679 (-215)) (-568) (-121) (-568)) 23))) 
-(((-737) (-10 -7 (-15 -1671 ((-1035) (-679 (-215)) (-568) (-121) (-568))) (-15 -1666 ((-1035) (-679 (-215)) (-568) (-121) (-568))))) (T -737)) 
-((-1666 (*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-679 (-215))) (-5 *4 (-568)) (-5 *5 (-121)) (-5 *2 (-1035)) (-5 *1 (-737)))) (-1671 (*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-679 (-215))) (-5 *4 (-568)) (-5 *5 (-121)) (-5 *2 (-1035)) (-5 *1 (-737))))) 
-(-10 -7 (-15 -1671 ((-1035) (-679 (-215)) (-568) (-121) (-568))) (-15 -1666 ((-1035) (-679 (-215)) (-568) (-121) (-568)))) 
-((-1682 (((-1035) (-568) (-568) (-568) (-679 (-215)) (-215) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-79 FCN)))) 43)) (-3934 (((-1035) (-568) (-568) (-679 (-215)) (-215) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-86 FCN)))) 39)) (-3942 (((-1035) (-215) (-215) (-215) (-215) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-69 -1478)))) 32))) 
-(((-738) (-10 -7 (-15 -3942 ((-1035) (-215) (-215) (-215) (-215) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-69 -1478))))) (-15 -3934 ((-1035) (-568) (-568) (-679 (-215)) (-215) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-86 FCN))))) (-15 -1682 ((-1035) (-568) (-568) (-568) (-679 (-215)) (-215) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-79 FCN))))))) (T -738)) 
-((-1682 (*1 *2 *3 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-215)) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-79 FCN)))) (-5 *2 (-1035)) (-5 *1 (-738)))) (-3934 (*1 *2 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-215)) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-86 FCN)))) (-5 *2 (-1035)) (-5 *1 (-738)))) (-3942 (*1 *2 *3 *3 *3 *3 *4 *5) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *5 (-3 (|:| |fn| (-390)) (|:| |fp| (-69 -1478)))) (-5 *2 (-1035)) (-5 *1 (-738))))) 
-(-10 -7 (-15 -3942 ((-1035) (-215) (-215) (-215) (-215) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-69 -1478))))) (-15 -3934 ((-1035) (-568) (-568) (-679 (-215)) (-215) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-86 FCN))))) (-15 -1682 ((-1035) (-568) (-568) (-568) (-679 (-215)) (-215) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-79 FCN)))))) 
-((-3950 (((-1035) (-568) (-568) (-679 (-215)) (-568)) 33)) (-3958 (((-1035) (-568) (-568) (-679 (-215)) (-568)) 32)) (-3965 (((-1035) (-568) (-679 (-215)) (-568)) 31)) (-3974 (((-1035) (-568) (-679 (-215)) (-568)) 30)) (-3982 (((-1035) (-568) (-568) (-1143) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568)) 29)) (-3990 (((-1035) (-568) (-568) (-1143) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568)) 28)) (-3998 (((-1035) (-568) (-568) (-1143) (-679 (-215)) (-679 (-215)) (-568)) 27)) (-4006 (((-1035) (-568) (-568) (-1143) (-679 (-215)) (-679 (-215)) (-568)) 26)) (-4014 (((-1035) (-568) (-568) (-679 (-215)) (-679 (-215)) (-568)) 23)) (-4023 (((-1035) (-568) (-679 (-215)) (-679 (-215)) (-568)) 22)) (-4030 (((-1035) (-568) (-679 (-215)) (-568)) 21)) (-4036 (((-1035) (-568) (-679 (-215)) (-568)) 20))) 
-(((-739) (-10 -7 (-15 -4036 ((-1035) (-568) (-679 (-215)) (-568))) (-15 -4030 ((-1035) (-568) (-679 (-215)) (-568))) (-15 -4023 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -4014 ((-1035) (-568) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -4006 ((-1035) (-568) (-568) (-1143) (-679 (-215)) (-679 (-215)) (-568))) (-15 -3998 ((-1035) (-568) (-568) (-1143) (-679 (-215)) (-679 (-215)) (-568))) (-15 -3990 ((-1035) (-568) (-568) (-1143) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568))) (-15 -3982 ((-1035) (-568) (-568) (-1143) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568))) (-15 -3974 ((-1035) (-568) (-679 (-215)) (-568))) (-15 -3965 ((-1035) (-568) (-679 (-215)) (-568))) (-15 -3958 ((-1035) (-568) (-568) (-679 (-215)) (-568))) (-15 -3950 ((-1035) (-568) (-568) (-679 (-215)) (-568))))) (T -739)) 
-((-3950 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-739)))) (-3958 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-739)))) (-3965 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-739)))) (-3974 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-739)))) (-3982 (*1 *2 *3 *3 *4 *5 *5 *5 *5 *3) (-12 (-5 *3 (-568)) (-5 *4 (-1143)) (-5 *5 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-739)))) (-3990 (*1 *2 *3 *3 *4 *5 *5 *5 *3) (-12 (-5 *3 (-568)) (-5 *4 (-1143)) (-5 *5 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-739)))) (-3998 (*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-568)) (-5 *4 (-1143)) (-5 *5 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-739)))) (-4006 (*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-568)) (-5 *4 (-1143)) (-5 *5 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-739)))) (-4014 (*1 *2 *3 *3 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-739)))) (-4023 (*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-739)))) (-4030 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-739)))) (-4036 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-739))))) 
-(-10 -7 (-15 -4036 ((-1035) (-568) (-679 (-215)) (-568))) (-15 -4030 ((-1035) (-568) (-679 (-215)) (-568))) (-15 -4023 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -4014 ((-1035) (-568) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -4006 ((-1035) (-568) (-568) (-1143) (-679 (-215)) (-679 (-215)) (-568))) (-15 -3998 ((-1035) (-568) (-568) (-1143) (-679 (-215)) (-679 (-215)) (-568))) (-15 -3990 ((-1035) (-568) (-568) (-1143) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568))) (-15 -3982 ((-1035) (-568) (-568) (-1143) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568))) (-15 -3974 ((-1035) (-568) (-679 (-215)) (-568))) (-15 -3965 ((-1035) (-568) (-679 (-215)) (-568))) (-15 -3958 ((-1035) (-568) (-568) (-679 (-215)) (-568))) (-15 -3950 ((-1035) (-568) (-568) (-679 (-215)) (-568)))) 
-((-3670 (((-1035) (-568) (-679 (-215)) (-679 (-215)) (-568) (-215) (-568) (-568) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-83 FUNCTN)))) 52)) (-3677 (((-1035) (-679 (-215)) (-679 (-215)) (-568) (-568)) 51)) (-3688 (((-1035) (-568) (-679 (-215)) (-679 (-215)) (-568) (-215) (-568) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-83 FUNCTN)))) 50)) (-3696 (((-1035) (-215) (-215) (-568) (-568) (-568) (-568)) 46)) (-3703 (((-1035) (-215) (-215) (-568) (-215) (-568) (-568) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-69 G)))) 45)) (-4216 (((-1035) (-215) (-215) (-215) (-215) (-215) (-568) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-69 G)))) 44)) (-4227 (((-1035) (-215) (-215) (-215) (-215) (-568) (-215) (-215) (-568) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-69 G)))) 43)) (-4240 (((-1035) (-215) (-215) (-215) (-568) (-215) (-215) (-568) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-69 G)))) 42)) (-4246 (((-1035) (-215) (-568) (-215) (-215) (-568) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-69 -1478)))) 38)) (-4252 (((-1035) (-215) (-215) (-568) (-679 (-215)) (-215) (-215) (-568) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-69 -1478)))) 37)) (-4264 (((-1035) (-215) (-215) (-215) (-215) (-568) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-69 -1478)))) 33)) (-4277 (((-1035) (-215) (-215) (-215) (-215) (-568) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-69 -1478)))) 32))) 
-(((-740) (-10 -7 (-15 -4277 ((-1035) (-215) (-215) (-215) (-215) (-568) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-69 -1478))))) (-15 -4264 ((-1035) (-215) (-215) (-215) (-215) (-568) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-69 -1478))))) (-15 -4252 ((-1035) (-215) (-215) (-568) (-679 (-215)) (-215) (-215) (-568) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-69 -1478))))) (-15 -4246 ((-1035) (-215) (-568) (-215) (-215) (-568) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-69 -1478))))) (-15 -4240 ((-1035) (-215) (-215) (-215) (-568) (-215) (-215) (-568) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-69 G))))) (-15 -4227 ((-1035) (-215) (-215) (-215) (-215) (-568) (-215) (-215) (-568) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-69 G))))) (-15 -4216 ((-1035) (-215) (-215) (-215) (-215) (-215) (-568) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-69 G))))) (-15 -3703 ((-1035) (-215) (-215) (-568) (-215) (-568) (-568) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-69 G))))) (-15 -3696 ((-1035) (-215) (-215) (-568) (-568) (-568) (-568))) (-15 -3688 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-568) (-215) (-568) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-83 FUNCTN))))) (-15 -3677 ((-1035) (-679 (-215)) (-679 (-215)) (-568) (-568))) (-15 -3670 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-568) (-215) (-568) (-568) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-83 FUNCTN))))))) (T -740)) 
-((-3670 (*1 *2 *3 *4 *4 *3 *5 *3 *3 *4 *3 *6) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-215)) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1035)) (-5 *1 (-740)))) (-3677 (*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-679 (-215))) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-740)))) (-3688 (*1 *2 *3 *4 *4 *3 *5 *3 *3 *3 *6) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-215)) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1035)) (-5 *1 (-740)))) (-3696 (*1 *2 *3 *3 *4 *4 *4 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-740)))) (-3703 (*1 *2 *3 *3 *4 *3 *4 *4 *4 *4 *5) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *5 (-3 (|:| |fn| (-390)) (|:| |fp| (-69 G)))) (-5 *2 (-1035)) (-5 *1 (-740)))) (-4216 (*1 *2 *3 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *5 (-3 (|:| |fn| (-390)) (|:| |fp| (-69 G)))) (-5 *2 (-1035)) (-5 *1 (-740)))) (-4227 (*1 *2 *3 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *5 (-3 (|:| |fn| (-390)) (|:| |fp| (-69 G)))) (-5 *2 (-1035)) (-5 *1 (-740)))) (-4240 (*1 *2 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *5 (-3 (|:| |fn| (-390)) (|:| |fp| (-69 G)))) (-5 *2 (-1035)) (-5 *1 (-740)))) (-4246 (*1 *2 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *5 (-3 (|:| |fn| (-390)) (|:| |fp| (-69 -1478)))) (-5 *2 (-1035)) (-5 *1 (-740)))) (-4252 (*1 *2 *3 *3 *4 *5 *3 *3 *4 *4 *4 *6) (-12 (-5 *4 (-568)) (-5 *5 (-679 (-215))) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-69 -1478)))) (-5 *3 (-215)) (-5 *2 (-1035)) (-5 *1 (-740)))) (-4264 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *5 (-3 (|:| |fn| (-390)) (|:| |fp| (-69 -1478)))) (-5 *2 (-1035)) (-5 *1 (-740)))) (-4277 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *5 (-3 (|:| |fn| (-390)) (|:| |fp| (-69 -1478)))) (-5 *2 (-1035)) (-5 *1 (-740))))) 
-(-10 -7 (-15 -4277 ((-1035) (-215) (-215) (-215) (-215) (-568) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-69 -1478))))) (-15 -4264 ((-1035) (-215) (-215) (-215) (-215) (-568) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-69 -1478))))) (-15 -4252 ((-1035) (-215) (-215) (-568) (-679 (-215)) (-215) (-215) (-568) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-69 -1478))))) (-15 -4246 ((-1035) (-215) (-568) (-215) (-215) (-568) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-69 -1478))))) (-15 -4240 ((-1035) (-215) (-215) (-215) (-568) (-215) (-215) (-568) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-69 G))))) (-15 -4227 ((-1035) (-215) (-215) (-215) (-215) (-568) (-215) (-215) (-568) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-69 G))))) (-15 -4216 ((-1035) (-215) (-215) (-215) (-215) (-215) (-568) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-69 G))))) (-15 -3703 ((-1035) (-215) (-215) (-568) (-215) (-568) (-568) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-69 G))))) (-15 -3696 ((-1035) (-215) (-215) (-568) (-568) (-568) (-568))) (-15 -3688 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-568) (-215) (-568) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-83 FUNCTN))))) (-15 -3677 ((-1035) (-679 (-215)) (-679 (-215)) (-568) (-568))) (-15 -3670 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-568) (-215) (-568) (-568) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-83 FUNCTN)))))) 
-((-3717 (((-1035) (-568) (-568) (-568) (-568) (-215) (-568) (-568) (-568) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-215) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-80 FCN JACOBF JACEPS))) (-3 (|:| |fn| (-390)) (|:| |fp| (-81 G JACOBG JACGEP)))) 76)) (-3724 (((-1035) (-679 (-215)) (-568) (-568) (-215) (-568) (-568) (-215) (-215) (-679 (-215)) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-390)) (|:| |fp| (-92 BDYVAL))) (-390) (-390)) 69) (((-1035) (-679 (-215)) (-568) (-568) (-215) (-568) (-568) (-215) (-215) (-679 (-215)) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-390)) (|:| |fp| (-92 BDYVAL)))) 68)) (-3731 (((-1035) (-215) (-215) (-568) (-215) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-89 FCNF))) (-3 (|:| |fn| (-390)) (|:| |fp| (-90 FCNG)))) 57)) (-3738 (((-1035) (-679 (-215)) (-679 (-215)) (-568) (-215) (-215) (-215) (-568) (-568) (-568) (-679 (-215)) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-91 FCN)))) 50)) (-3746 (((-1035) (-215) (-568) (-568) (-1143) (-568) (-215) (-679 (-215)) (-215) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-390)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-390)) (|:| |fp| (-76 PEDERV))) (-3 (|:| |fn| (-390)) (|:| |fp| (-93 OUTPUT)))) 49)) (-3754 (((-1035) (-215) (-568) (-568) (-215) (-1143) (-215) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-390)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-390)) (|:| |fp| (-93 OUTPUT)))) 45)) (-3761 (((-1035) (-215) (-568) (-568) (-215) (-215) (-679 (-215)) (-215) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-390)) (|:| |fp| (-91 FCN)))) 42)) (-3771 (((-1035) (-215) (-568) (-568) (-568) (-215) (-679 (-215)) (-215) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-390)) (|:| |fp| (-93 OUTPUT)))) 38))) 
-(((-741) (-10 -7 (-15 -3771 ((-1035) (-215) (-568) (-568) (-568) (-215) (-679 (-215)) (-215) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-390)) (|:| |fp| (-93 OUTPUT))))) (-15 -3761 ((-1035) (-215) (-568) (-568) (-215) (-215) (-679 (-215)) (-215) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-390)) (|:| |fp| (-91 FCN))))) (-15 -3754 ((-1035) (-215) (-568) (-568) (-215) (-1143) (-215) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-390)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-390)) (|:| |fp| (-93 OUTPUT))))) (-15 -3746 ((-1035) (-215) (-568) (-568) (-1143) (-568) (-215) (-679 (-215)) (-215) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-390)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-390)) (|:| |fp| (-76 PEDERV))) (-3 (|:| |fn| (-390)) (|:| |fp| (-93 OUTPUT))))) (-15 -3738 ((-1035) (-679 (-215)) (-679 (-215)) (-568) (-215) (-215) (-215) (-568) (-568) (-568) (-679 (-215)) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-91 FCN))))) (-15 -3731 ((-1035) (-215) (-215) (-568) (-215) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-89 FCNF))) (-3 (|:| |fn| (-390)) (|:| |fp| (-90 FCNG))))) (-15 -3724 ((-1035) (-679 (-215)) (-568) (-568) (-215) (-568) (-568) (-215) (-215) (-679 (-215)) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-390)) (|:| |fp| (-92 BDYVAL))))) (-15 -3724 ((-1035) (-679 (-215)) (-568) (-568) (-215) (-568) (-568) (-215) (-215) (-679 (-215)) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-390)) (|:| |fp| (-92 BDYVAL))) (-390) (-390))) (-15 -3717 ((-1035) (-568) (-568) (-568) (-568) (-215) (-568) (-568) (-568) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-215) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-80 FCN JACOBF JACEPS))) (-3 (|:| |fn| (-390)) (|:| |fp| (-81 G JACOBG JACGEP))))))) (T -741)) 
-((-3717 (*1 *2 *3 *3 *3 *3 *4 *3 *3 *3 *3 *3 *3 *5 *5 *4 *3 *6 *7) (-12 (-5 *3 (-568)) (-5 *5 (-679 (-215))) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-80 FCN JACOBF JACEPS)))) (-5 *7 (-3 (|:| |fn| (-390)) (|:| |fp| (-81 G JACOBG JACGEP)))) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-741)))) (-3724 (*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7 *8 *8) (-12 (-5 *3 (-679 (-215))) (-5 *4 (-568)) (-5 *5 (-215)) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-390)) (|:| |fp| (-92 BDYVAL)))) (-5 *8 (-390)) (-5 *2 (-1035)) (-5 *1 (-741)))) (-3724 (*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7) (-12 (-5 *3 (-679 (-215))) (-5 *4 (-568)) (-5 *5 (-215)) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-390)) (|:| |fp| (-92 BDYVAL)))) (-5 *2 (-1035)) (-5 *1 (-741)))) (-3731 (*1 *2 *3 *3 *4 *3 *4 *4 *4 *5 *5 *5 *5 *4 *4 *6 *7) (-12 (-5 *4 (-568)) (-5 *5 (-679 (-215))) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-89 FCNF)))) (-5 *7 (-3 (|:| |fn| (-390)) (|:| |fp| (-90 FCNG)))) (-5 *3 (-215)) (-5 *2 (-1035)) (-5 *1 (-741)))) (-3738 (*1 *2 *3 *3 *4 *5 *5 *5 *4 *4 *4 *3 *4 *4 *6) (-12 (-5 *3 (-679 (-215))) (-5 *4 (-568)) (-5 *5 (-215)) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-91 FCN)))) (-5 *2 (-1035)) (-5 *1 (-741)))) (-3746 (*1 *2 *3 *4 *4 *5 *4 *3 *6 *3 *4 *7 *8 *9 *10) (-12 (-5 *4 (-568)) (-5 *5 (-1143)) (-5 *6 (-679 (-215))) (-5 *7 (-3 (|:| |fn| (-390)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-390)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-390)) (|:| |fp| (-76 PEDERV)))) (-5 *10 (-3 (|:| |fn| (-390)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-215)) (-5 *2 (-1035)) (-5 *1 (-741)))) (-3754 (*1 *2 *3 *4 *4 *3 *5 *3 *6 *4 *7 *8 *9) (-12 (-5 *4 (-568)) (-5 *5 (-1143)) (-5 *6 (-679 (-215))) (-5 *7 (-3 (|:| |fn| (-390)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-390)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-390)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-215)) (-5 *2 (-1035)) (-5 *1 (-741)))) (-3761 (*1 *2 *3 *4 *4 *3 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-568)) (-5 *5 (-679 (-215))) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-94 G)))) (-5 *7 (-3 (|:| |fn| (-390)) (|:| |fp| (-91 FCN)))) (-5 *3 (-215)) (-5 *2 (-1035)) (-5 *1 (-741)))) (-3771 (*1 *2 *3 *4 *4 *4 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-568)) (-5 *5 (-679 (-215))) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-91 FCN)))) (-5 *7 (-3 (|:| |fn| (-390)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-215)) (-5 *2 (-1035)) (-5 *1 (-741))))) 
-(-10 -7 (-15 -3771 ((-1035) (-215) (-568) (-568) (-568) (-215) (-679 (-215)) (-215) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-390)) (|:| |fp| (-93 OUTPUT))))) (-15 -3761 ((-1035) (-215) (-568) (-568) (-215) (-215) (-679 (-215)) (-215) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-390)) (|:| |fp| (-91 FCN))))) (-15 -3754 ((-1035) (-215) (-568) (-568) (-215) (-1143) (-215) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-390)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-390)) (|:| |fp| (-93 OUTPUT))))) (-15 -3746 ((-1035) (-215) (-568) (-568) (-1143) (-568) (-215) (-679 (-215)) (-215) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-390)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-390)) (|:| |fp| (-76 PEDERV))) (-3 (|:| |fn| (-390)) (|:| |fp| (-93 OUTPUT))))) (-15 -3738 ((-1035) (-679 (-215)) (-679 (-215)) (-568) (-215) (-215) (-215) (-568) (-568) (-568) (-679 (-215)) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-91 FCN))))) (-15 -3731 ((-1035) (-215) (-215) (-568) (-215) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-89 FCNF))) (-3 (|:| |fn| (-390)) (|:| |fp| (-90 FCNG))))) (-15 -3724 ((-1035) (-679 (-215)) (-568) (-568) (-215) (-568) (-568) (-215) (-215) (-679 (-215)) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-390)) (|:| |fp| (-92 BDYVAL))))) (-15 -3724 ((-1035) (-679 (-215)) (-568) (-568) (-215) (-568) (-568) (-215) (-215) (-679 (-215)) (-568) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-390)) (|:| |fp| (-92 BDYVAL))) (-390) (-390))) (-15 -3717 ((-1035) (-568) (-568) (-568) (-568) (-215) (-568) (-568) (-568) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-215) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-80 FCN JACOBF JACEPS))) (-3 (|:| |fn| (-390)) (|:| |fp| (-81 G JACOBG JACGEP)))))) 
-((-3816 (((-1035) (-215) (-215) (-568) (-568) (-679 (-215)) (-679 (-215)) (-215) (-215) (-568) (-568) (-679 (-215)) (-679 (-215)) (-215) (-215) (-568) (-568) (-679 (-215)) (-679 (-215)) (-215) (-568) (-568) (-568) (-666 (-215)) (-568)) 45)) (-3825 (((-1035) (-215) (-215) (-215) (-215) (-568) (-568) (-568) (-1143) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-87 PDEF))) (-3 (|:| |fn| (-390)) (|:| |fp| (-88 BNDY)))) 41)) (-3834 (((-1035) (-568) (-568) (-568) (-568) (-215) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568)) 23))) 
-(((-742) (-10 -7 (-15 -3834 ((-1035) (-568) (-568) (-568) (-568) (-215) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568))) (-15 -3825 ((-1035) (-215) (-215) (-215) (-215) (-568) (-568) (-568) (-1143) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-87 PDEF))) (-3 (|:| |fn| (-390)) (|:| |fp| (-88 BNDY))))) (-15 -3816 ((-1035) (-215) (-215) (-568) (-568) (-679 (-215)) (-679 (-215)) (-215) (-215) (-568) (-568) (-679 (-215)) (-679 (-215)) (-215) (-215) (-568) (-568) (-679 (-215)) (-679 (-215)) (-215) (-568) (-568) (-568) (-666 (-215)) (-568))))) (T -742)) 
-((-3816 (*1 *2 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *4 *4 *4 *6 *4) (-12 (-5 *4 (-568)) (-5 *5 (-679 (-215))) (-5 *6 (-666 (-215))) (-5 *3 (-215)) (-5 *2 (-1035)) (-5 *1 (-742)))) (-3825 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *5 *4 *6 *7) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *5 (-1143)) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-87 PDEF)))) (-5 *7 (-3 (|:| |fn| (-390)) (|:| |fp| (-88 BNDY)))) (-5 *2 (-1035)) (-5 *1 (-742)))) (-3834 (*1 *2 *3 *3 *3 *3 *4 *3 *5 *5 *5 *3) (-12 (-5 *3 (-568)) (-5 *5 (-679 (-215))) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-742))))) 
-(-10 -7 (-15 -3834 ((-1035) (-568) (-568) (-568) (-568) (-215) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568))) (-15 -3825 ((-1035) (-215) (-215) (-215) (-215) (-568) (-568) (-568) (-1143) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-87 PDEF))) (-3 (|:| |fn| (-390)) (|:| |fp| (-88 BNDY))))) (-15 -3816 ((-1035) (-215) (-215) (-568) (-568) (-679 (-215)) (-679 (-215)) (-215) (-215) (-568) (-568) (-679 (-215)) (-679 (-215)) (-215) (-215) (-568) (-568) (-679 (-215)) (-679 (-215)) (-215) (-568) (-568) (-568) (-666 (-215)) (-568)))) 
-((-2367 (((-1035) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-215) (-679 (-215)) (-215) (-215) (-568)) 35)) (-1704 (((-1035) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568) (-568) (-215) (-215) (-568)) 34)) (-1805 (((-1035) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-568)) (-679 (-215)) (-215) (-215) (-568)) 33)) (-1710 (((-1035) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568)) 29)) (-1717 (((-1035) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568)) 28)) (-1724 (((-1035) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-215) (-215) (-568)) 27)) (-1731 (((-1035) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568) (-679 (-215)) (-568)) 23)) (-1738 (((-1035) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568) (-679 (-215)) (-568)) 22)) (-1745 (((-1035) (-568) (-679 (-215)) (-679 (-215)) (-568)) 21)) (-1751 (((-1035) (-568) (-679 (-215)) (-679 (-215)) (-568) (-568) (-568)) 20))) 
-(((-743) (-10 -7 (-15 -1751 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-568) (-568) (-568))) (-15 -1745 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -1738 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568) (-679 (-215)) (-568))) (-15 -1731 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568) (-679 (-215)) (-568))) (-15 -1724 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-215) (-215) (-568))) (-15 -1717 ((-1035) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568))) (-15 -1710 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568))) (-15 -1805 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-568)) (-679 (-215)) (-215) (-215) (-568))) (-15 -1704 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568) (-568) (-215) (-215) (-568))) (-15 -2367 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-215) (-679 (-215)) (-215) (-215) (-568))))) (T -743)) 
-((-2367 (*1 *2 *3 *4 *4 *4 *5 *4 *5 *5 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-215)) (-5 *2 (-1035)) (-5 *1 (-743)))) (-1704 (*1 *2 *3 *4 *4 *4 *3 *3 *5 *5 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-215)) (-5 *2 (-1035)) (-5 *1 (-743)))) (-1805 (*1 *2 *3 *4 *4 *4 *5 *4 *6 *6 *3) (-12 (-5 *4 (-679 (-215))) (-5 *5 (-679 (-568))) (-5 *6 (-215)) (-5 *3 (-568)) (-5 *2 (-1035)) (-5 *1 (-743)))) (-1710 (*1 *2 *3 *4 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-743)))) (-1717 (*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-743)))) (-1724 (*1 *2 *3 *4 *4 *4 *5 *5 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-215)) (-5 *2 (-1035)) (-5 *1 (-743)))) (-1731 (*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-743)))) (-1738 (*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-743)))) (-1745 (*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-743)))) (-1751 (*1 *2 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-743))))) 
-(-10 -7 (-15 -1751 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-568) (-568) (-568))) (-15 -1745 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -1738 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568) (-679 (-215)) (-568))) (-15 -1731 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568) (-679 (-215)) (-568))) (-15 -1724 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-215) (-215) (-568))) (-15 -1717 ((-1035) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568))) (-15 -1710 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568))) (-15 -1805 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-568)) (-679 (-215)) (-215) (-215) (-568))) (-15 -1704 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568) (-568) (-215) (-215) (-568))) (-15 -2367 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-215) (-679 (-215)) (-215) (-215) (-568)))) 
-((-1756 (((-1035) (-568) (-568) (-679 (-215)) (-679 (-215)) (-568) (-679 (-215)) (-679 (-215)) (-568) (-568) (-568)) 45)) (-1761 (((-1035) (-568) (-568) (-568) (-215) (-679 (-215)) (-679 (-215)) (-568)) 44)) (-1766 (((-1035) (-568) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568) (-568) (-568)) 43)) (-1773 (((-1035) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568)) 42)) (-1779 (((-1035) (-1143) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-215) (-568) (-568) (-568) (-568) (-568) (-679 (-215)) (-568) (-679 (-215)) (-679 (-215)) (-568)) 41)) (-1784 (((-1035) (-1143) (-568) (-679 (-215)) (-568) (-679 (-215)) (-679 (-215)) (-215) (-568) (-568) (-568) (-568) (-568) (-679 (-215)) (-568) (-679 (-215)) (-679 (-215)) (-679 (-568)) (-568)) 40)) (-1790 (((-1035) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-568)) (-568) (-568) (-568) (-215) (-679 (-215)) (-568)) 39)) (-1795 (((-1035) (-1143) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-215) (-568) (-568) (-568) (-679 (-215)) (-568) (-679 (-215)) (-679 (-568))) 38)) (-3588 (((-1035) (-568) (-679 (-215)) (-679 (-215)) (-568)) 35)) (-3144 (((-1035) (-568) (-679 (-215)) (-679 (-215)) (-215) (-568) (-568)) 34)) (-3150 (((-1035) (-568) (-679 (-215)) (-679 (-215)) (-215) (-568)) 33)) (-3156 (((-1035) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568)) 32)) (-3162 (((-1035) (-568) (-215) (-215) (-679 (-215)) (-568) (-568) (-215) (-568)) 31)) (-3169 (((-1035) (-568) (-215) (-215) (-679 (-215)) (-568) (-568) (-215) (-568) (-568) (-568)) 30)) (-3780 (((-1035) (-568) (-215) (-215) (-679 (-215)) (-568) (-568) (-568) (-568) (-568)) 29)) (-4204 (((-1035) (-568) (-568) (-568) (-215) (-215) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568) (-679 (-215)) (-679 (-215)) (-568) (-679 (-568)) (-568) (-568) (-568)) 28)) (-1657 (((-1035) (-568) (-679 (-215)) (-215) (-568)) 24)) (-1676 (((-1035) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568)) 20))) 
-(((-744) (-10 -7 (-15 -1676 ((-1035) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568))) (-15 -1657 ((-1035) (-568) (-679 (-215)) (-215) (-568))) (-15 -4204 ((-1035) (-568) (-568) (-568) (-215) (-215) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568) (-679 (-215)) (-679 (-215)) (-568) (-679 (-568)) (-568) (-568) (-568))) (-15 -3780 ((-1035) (-568) (-215) (-215) (-679 (-215)) (-568) (-568) (-568) (-568) (-568))) (-15 -3169 ((-1035) (-568) (-215) (-215) (-679 (-215)) (-568) (-568) (-215) (-568) (-568) (-568))) (-15 -3162 ((-1035) (-568) (-215) (-215) (-679 (-215)) (-568) (-568) (-215) (-568))) (-15 -3156 ((-1035) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568))) (-15 -3150 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-215) (-568))) (-15 -3144 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-215) (-568) (-568))) (-15 -3588 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -1795 ((-1035) (-1143) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-215) (-568) (-568) (-568) (-679 (-215)) (-568) (-679 (-215)) (-679 (-568)))) (-15 -1790 ((-1035) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-568)) (-568) (-568) (-568) (-215) (-679 (-215)) (-568))) (-15 -1784 ((-1035) (-1143) (-568) (-679 (-215)) (-568) (-679 (-215)) (-679 (-215)) (-215) (-568) (-568) (-568) (-568) (-568) (-679 (-215)) (-568) (-679 (-215)) (-679 (-215)) (-679 (-568)) (-568))) (-15 -1779 ((-1035) (-1143) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-215) (-568) (-568) (-568) (-568) (-568) (-679 (-215)) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -1773 ((-1035) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568))) (-15 -1766 ((-1035) (-568) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568) (-568) (-568))) (-15 -1761 ((-1035) (-568) (-568) (-568) (-215) (-679 (-215)) (-679 (-215)) (-568))) (-15 -1756 ((-1035) (-568) (-568) (-679 (-215)) (-679 (-215)) (-568) (-679 (-215)) (-679 (-215)) (-568) (-568) (-568))))) (T -744)) 
-((-1756 (*1 *2 *3 *3 *4 *4 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-744)))) (-1761 (*1 *2 *3 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-568)) (-5 *5 (-679 (-215))) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-744)))) (-1766 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *4 *4 *3 *3 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-744)))) (-1773 (*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-744)))) (-1779 (*1 *2 *3 *4 *5 *5 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *4) (-12 (-5 *3 (-1143)) (-5 *4 (-568)) (-5 *5 (-679 (-215))) (-5 *6 (-215)) (-5 *2 (-1035)) (-5 *1 (-744)))) (-1784 (*1 *2 *3 *4 *5 *4 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *7 *4) (-12 (-5 *3 (-1143)) (-5 *5 (-679 (-215))) (-5 *6 (-215)) (-5 *7 (-679 (-568))) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-744)))) (-1790 (*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *5 *3 *3 *3 *6 *4 *3) (-12 (-5 *4 (-679 (-215))) (-5 *5 (-679 (-568))) (-5 *6 (-215)) (-5 *3 (-568)) (-5 *2 (-1035)) (-5 *1 (-744)))) (-1795 (*1 *2 *3 *4 *5 *5 *5 *6 *4 *4 *4 *5 *4 *5 *7) (-12 (-5 *3 (-1143)) (-5 *5 (-679 (-215))) (-5 *6 (-215)) (-5 *7 (-679 (-568))) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-744)))) (-3588 (*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-744)))) (-3144 (*1 *2 *3 *4 *4 *5 *3 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-215)) (-5 *2 (-1035)) (-5 *1 (-744)))) (-3150 (*1 *2 *3 *4 *4 *5 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-215)) (-5 *2 (-1035)) (-5 *1 (-744)))) (-3156 (*1 *2 *3 *3 *4 *4 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-744)))) (-3162 (*1 *2 *3 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *5 (-679 (-215))) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-744)))) (-3169 (*1 *2 *3 *4 *4 *5 *3 *3 *4 *3 *3 *3) (-12 (-5 *3 (-568)) (-5 *5 (-679 (-215))) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-744)))) (-3780 (*1 *2 *3 *4 *4 *5 *3 *3 *3 *3 *3) (-12 (-5 *3 (-568)) (-5 *5 (-679 (-215))) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-744)))) (-4204 (*1 *2 *3 *3 *3 *4 *4 *5 *5 *5 *3 *5 *5 *3 *6 *3 *3 *3) (-12 (-5 *5 (-679 (-215))) (-5 *6 (-679 (-568))) (-5 *3 (-568)) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-744)))) (-1657 (*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-215)) (-5 *2 (-1035)) (-5 *1 (-744)))) (-1676 (*1 *2 *3 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-744))))) 
-(-10 -7 (-15 -1676 ((-1035) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568))) (-15 -1657 ((-1035) (-568) (-679 (-215)) (-215) (-568))) (-15 -4204 ((-1035) (-568) (-568) (-568) (-215) (-215) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568) (-679 (-215)) (-679 (-215)) (-568) (-679 (-568)) (-568) (-568) (-568))) (-15 -3780 ((-1035) (-568) (-215) (-215) (-679 (-215)) (-568) (-568) (-568) (-568) (-568))) (-15 -3169 ((-1035) (-568) (-215) (-215) (-679 (-215)) (-568) (-568) (-215) (-568) (-568) (-568))) (-15 -3162 ((-1035) (-568) (-215) (-215) (-679 (-215)) (-568) (-568) (-215) (-568))) (-15 -3156 ((-1035) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568))) (-15 -3150 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-215) (-568))) (-15 -3144 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-215) (-568) (-568))) (-15 -3588 ((-1035) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -1795 ((-1035) (-1143) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-215) (-568) (-568) (-568) (-679 (-215)) (-568) (-679 (-215)) (-679 (-568)))) (-15 -1790 ((-1035) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-568)) (-568) (-568) (-568) (-215) (-679 (-215)) (-568))) (-15 -1784 ((-1035) (-1143) (-568) (-679 (-215)) (-568) (-679 (-215)) (-679 (-215)) (-215) (-568) (-568) (-568) (-568) (-568) (-679 (-215)) (-568) (-679 (-215)) (-679 (-215)) (-679 (-568)) (-568))) (-15 -1779 ((-1035) (-1143) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-215) (-568) (-568) (-568) (-568) (-568) (-679 (-215)) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -1773 ((-1035) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568))) (-15 -1766 ((-1035) (-568) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568) (-568) (-568))) (-15 -1761 ((-1035) (-568) (-568) (-568) (-215) (-679 (-215)) (-679 (-215)) (-568))) (-15 -1756 ((-1035) (-568) (-568) (-679 (-215)) (-679 (-215)) (-568) (-679 (-215)) (-679 (-215)) (-568) (-568) (-568)))) 
-((-3174 (((-1035) (-568) (-568) (-568) (-215) (-679 (-215)) (-568) (-679 (-215)) (-568)) 63)) (-3183 (((-1035) (-568) (-568) (-568) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568) (-568) (-121) (-215) (-568) (-215) (-215) (-121) (-215) (-215) (-215) (-215) (-121) (-568) (-568) (-568) (-568) (-568) (-215) (-215) (-215) (-568) (-568) (-568) (-568) (-568) (-679 (-568)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-85 CONFUN))) (-3 (|:| |fn| (-390)) (|:| |fp| (-82 OBJFUN)))) 62)) (-3190 (((-1035) (-568) (-568) (-568) (-568) (-568) (-568) (-568) (-568) (-215) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-121) (-121) (-121) (-568) (-568) (-679 (-215)) (-679 (-568)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-70 QPHESS)))) 58)) (-3197 (((-1035) (-568) (-568) (-568) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-121) (-568) (-568) (-679 (-215)) (-568)) 51)) (-3202 (((-1035) (-568) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-71 FUNCT1)))) 50)) (-3213 (((-1035) (-568) (-568) (-568) (-568) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-68 LSFUN2)))) 46)) (-3221 (((-1035) (-568) (-568) (-568) (-568) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-84 LSFUN1)))) 42)) (-3230 (((-1035) (-568) (-215) (-215) (-568) (-215) (-121) (-215) (-215) (-568) (-568) (-568) (-568) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-82 OBJFUN)))) 38))) 
-(((-745) (-10 -7 (-15 -3230 ((-1035) (-568) (-215) (-215) (-568) (-215) (-121) (-215) (-215) (-568) (-568) (-568) (-568) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-82 OBJFUN))))) (-15 -3221 ((-1035) (-568) (-568) (-568) (-568) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-84 LSFUN1))))) (-15 -3213 ((-1035) (-568) (-568) (-568) (-568) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-68 LSFUN2))))) (-15 -3202 ((-1035) (-568) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-71 FUNCT1))))) (-15 -3197 ((-1035) (-568) (-568) (-568) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-121) (-568) (-568) (-679 (-215)) (-568))) (-15 -3190 ((-1035) (-568) (-568) (-568) (-568) (-568) (-568) (-568) (-568) (-215) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-121) (-121) (-121) (-568) (-568) (-679 (-215)) (-679 (-568)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-70 QPHESS))))) (-15 -3183 ((-1035) (-568) (-568) (-568) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568) (-568) (-121) (-215) (-568) (-215) (-215) (-121) (-215) (-215) (-215) (-215) (-121) (-568) (-568) (-568) (-568) (-568) (-215) (-215) (-215) (-568) (-568) (-568) (-568) (-568) (-679 (-568)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-85 CONFUN))) (-3 (|:| |fn| (-390)) (|:| |fp| (-82 OBJFUN))))) (-15 -3174 ((-1035) (-568) (-568) (-568) (-215) (-679 (-215)) (-568) (-679 (-215)) (-568))))) (T -745)) 
-((-3174 (*1 *2 *3 *3 *3 *4 *5 *3 *5 *3) (-12 (-5 *3 (-568)) (-5 *5 (-679 (-215))) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-745)))) (-3183 (*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *3 *3 *5 *6 *3 *6 *6 *5 *6 *6 *6 *6 *5 *3 *3 *3 *3 *3 *6 *6 *6 *3 *3 *3 *3 *3 *7 *4 *4 *4 *4 *3 *8 *9) (-12 (-5 *4 (-679 (-215))) (-5 *5 (-121)) (-5 *6 (-215)) (-5 *7 (-679 (-568))) (-5 *8 (-3 (|:| |fn| (-390)) (|:| |fp| (-85 CONFUN)))) (-5 *9 (-3 (|:| |fn| (-390)) (|:| |fp| (-82 OBJFUN)))) (-5 *3 (-568)) (-5 *2 (-1035)) (-5 *1 (-745)))) (-3190 (*1 *2 *3 *3 *3 *3 *3 *3 *3 *3 *4 *5 *5 *5 *5 *5 *5 *6 *6 *6 *3 *3 *5 *7 *3 *8) (-12 (-5 *5 (-679 (-215))) (-5 *6 (-121)) (-5 *7 (-679 (-568))) (-5 *8 (-3 (|:| |fn| (-390)) (|:| |fp| (-70 QPHESS)))) (-5 *3 (-568)) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-745)))) (-3197 (*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-121)) (-5 *2 (-1035)) (-5 *1 (-745)))) (-3202 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *3 *5) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-3 (|:| |fn| (-390)) (|:| |fp| (-71 FUNCT1)))) (-5 *2 (-1035)) (-5 *1 (-745)))) (-3213 (*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-3 (|:| |fn| (-390)) (|:| |fp| (-68 LSFUN2)))) (-5 *2 (-1035)) (-5 *1 (-745)))) (-3221 (*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-3 (|:| |fn| (-390)) (|:| |fp| (-84 LSFUN1)))) (-5 *2 (-1035)) (-5 *1 (-745)))) (-3230 (*1 *2 *3 *4 *4 *3 *4 *5 *4 *4 *3 *3 *3 *3 *6 *3 *7) (-12 (-5 *3 (-568)) (-5 *5 (-121)) (-5 *6 (-679 (-215))) (-5 *7 (-3 (|:| |fn| (-390)) (|:| |fp| (-82 OBJFUN)))) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-745))))) 
-(-10 -7 (-15 -3230 ((-1035) (-568) (-215) (-215) (-568) (-215) (-121) (-215) (-215) (-568) (-568) (-568) (-568) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-82 OBJFUN))))) (-15 -3221 ((-1035) (-568) (-568) (-568) (-568) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-84 LSFUN1))))) (-15 -3213 ((-1035) (-568) (-568) (-568) (-568) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-68 LSFUN2))))) (-15 -3202 ((-1035) (-568) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-71 FUNCT1))))) (-15 -3197 ((-1035) (-568) (-568) (-568) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-121) (-568) (-568) (-679 (-215)) (-568))) (-15 -3190 ((-1035) (-568) (-568) (-568) (-568) (-568) (-568) (-568) (-568) (-215) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-121) (-121) (-121) (-568) (-568) (-679 (-215)) (-679 (-568)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-70 QPHESS))))) (-15 -3183 ((-1035) (-568) (-568) (-568) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568) (-568) (-121) (-215) (-568) (-215) (-215) (-121) (-215) (-215) (-215) (-215) (-121) (-568) (-568) (-568) (-568) (-568) (-215) (-215) (-215) (-568) (-568) (-568) (-568) (-568) (-679 (-568)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-85 CONFUN))) (-3 (|:| |fn| (-390)) (|:| |fp| (-82 OBJFUN))))) (-15 -3174 ((-1035) (-568) (-568) (-568) (-215) (-679 (-215)) (-568) (-679 (-215)) (-568)))) 
-((-3239 (((-1035) (-1143) (-568) (-568) (-568) (-568) (-679 (-169 (-215))) (-679 (-169 (-215))) (-568)) 46)) (-3244 (((-1035) (-1143) (-1143) (-568) (-568) (-679 (-169 (-215))) (-568) (-679 (-169 (-215))) (-568) (-568) (-679 (-169 (-215))) (-568)) 45)) (-3252 (((-1035) (-568) (-568) (-568) (-679 (-169 (-215))) (-568)) 44)) (-3260 (((-1035) (-1143) (-568) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-568)) 40)) (-3268 (((-1035) (-1143) (-1143) (-568) (-568) (-679 (-215)) (-568) (-679 (-215)) (-568) (-568) (-679 (-215)) (-568)) 39)) (-3278 (((-1035) (-568) (-568) (-568) (-679 (-215)) (-568)) 36)) (-3285 (((-1035) (-568) (-679 (-215)) (-568) (-679 (-568)) (-568)) 35)) (-3293 (((-1035) (-568) (-568) (-568) (-568) (-634 (-121)) (-679 (-215)) (-679 (-568)) (-679 (-568)) (-215) (-215) (-568)) 34)) (-3305 (((-1035) (-568) (-568) (-568) (-679 (-568)) (-679 (-568)) (-679 (-568)) (-679 (-568)) (-121) (-215) (-121) (-679 (-568)) (-679 (-215)) (-568)) 33)) (-3312 (((-1035) (-568) (-568) (-568) (-568) (-215) (-121) (-121) (-634 (-121)) (-679 (-215)) (-679 (-568)) (-679 (-568)) (-568)) 32))) 
-(((-746) (-10 -7 (-15 -3312 ((-1035) (-568) (-568) (-568) (-568) (-215) (-121) (-121) (-634 (-121)) (-679 (-215)) (-679 (-568)) (-679 (-568)) (-568))) (-15 -3305 ((-1035) (-568) (-568) (-568) (-679 (-568)) (-679 (-568)) (-679 (-568)) (-679 (-568)) (-121) (-215) (-121) (-679 (-568)) (-679 (-215)) (-568))) (-15 -3293 ((-1035) (-568) (-568) (-568) (-568) (-634 (-121)) (-679 (-215)) (-679 (-568)) (-679 (-568)) (-215) (-215) (-568))) (-15 -3285 ((-1035) (-568) (-679 (-215)) (-568) (-679 (-568)) (-568))) (-15 -3278 ((-1035) (-568) (-568) (-568) (-679 (-215)) (-568))) (-15 -3268 ((-1035) (-1143) (-1143) (-568) (-568) (-679 (-215)) (-568) (-679 (-215)) (-568) (-568) (-679 (-215)) (-568))) (-15 -3260 ((-1035) (-1143) (-568) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -3252 ((-1035) (-568) (-568) (-568) (-679 (-169 (-215))) (-568))) (-15 -3244 ((-1035) (-1143) (-1143) (-568) (-568) (-679 (-169 (-215))) (-568) (-679 (-169 (-215))) (-568) (-568) (-679 (-169 (-215))) (-568))) (-15 -3239 ((-1035) (-1143) (-568) (-568) (-568) (-568) (-679 (-169 (-215))) (-679 (-169 (-215))) (-568))))) (T -746)) 
-((-3239 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1143)) (-5 *4 (-568)) (-5 *5 (-679 (-169 (-215)))) (-5 *2 (-1035)) (-5 *1 (-746)))) (-3244 (*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1143)) (-5 *4 (-568)) (-5 *5 (-679 (-169 (-215)))) (-5 *2 (-1035)) (-5 *1 (-746)))) (-3252 (*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-169 (-215)))) (-5 *2 (-1035)) (-5 *1 (-746)))) (-3260 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1143)) (-5 *4 (-568)) (-5 *5 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-746)))) (-3268 (*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1143)) (-5 *4 (-568)) (-5 *5 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-746)))) (-3278 (*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-746)))) (-3285 (*1 *2 *3 *4 *3 *5 *3) (-12 (-5 *4 (-679 (-215))) (-5 *5 (-679 (-568))) (-5 *3 (-568)) (-5 *2 (-1035)) (-5 *1 (-746)))) (-3293 (*1 *2 *3 *3 *3 *3 *4 *5 *6 *6 *7 *7 *3) (-12 (-5 *4 (-634 (-121))) (-5 *5 (-679 (-215))) (-5 *6 (-679 (-568))) (-5 *7 (-215)) (-5 *3 (-568)) (-5 *2 (-1035)) (-5 *1 (-746)))) (-3305 (*1 *2 *3 *3 *3 *4 *4 *4 *4 *5 *6 *5 *4 *7 *3) (-12 (-5 *4 (-679 (-568))) (-5 *5 (-121)) (-5 *7 (-679 (-215))) (-5 *3 (-568)) (-5 *6 (-215)) (-5 *2 (-1035)) (-5 *1 (-746)))) (-3312 (*1 *2 *3 *3 *3 *3 *4 *5 *5 *6 *7 *8 *8 *3) (-12 (-5 *6 (-634 (-121))) (-5 *7 (-679 (-215))) (-5 *8 (-679 (-568))) (-5 *3 (-568)) (-5 *4 (-215)) (-5 *5 (-121)) (-5 *2 (-1035)) (-5 *1 (-746))))) 
-(-10 -7 (-15 -3312 ((-1035) (-568) (-568) (-568) (-568) (-215) (-121) (-121) (-634 (-121)) (-679 (-215)) (-679 (-568)) (-679 (-568)) (-568))) (-15 -3305 ((-1035) (-568) (-568) (-568) (-679 (-568)) (-679 (-568)) (-679 (-568)) (-679 (-568)) (-121) (-215) (-121) (-679 (-568)) (-679 (-215)) (-568))) (-15 -3293 ((-1035) (-568) (-568) (-568) (-568) (-634 (-121)) (-679 (-215)) (-679 (-568)) (-679 (-568)) (-215) (-215) (-568))) (-15 -3285 ((-1035) (-568) (-679 (-215)) (-568) (-679 (-568)) (-568))) (-15 -3278 ((-1035) (-568) (-568) (-568) (-679 (-215)) (-568))) (-15 -3268 ((-1035) (-1143) (-1143) (-568) (-568) (-679 (-215)) (-568) (-679 (-215)) (-568) (-568) (-679 (-215)) (-568))) (-15 -3260 ((-1035) (-1143) (-568) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -3252 ((-1035) (-568) (-568) (-568) (-679 (-169 (-215))) (-568))) (-15 -3244 ((-1035) (-1143) (-1143) (-568) (-568) (-679 (-169 (-215))) (-568) (-679 (-169 (-215))) (-568) (-568) (-679 (-169 (-215))) (-568))) (-15 -3239 ((-1035) (-1143) (-568) (-568) (-568) (-568) (-679 (-169 (-215))) (-679 (-169 (-215))) (-568)))) 
-((-2954 (((-1035) (-568) (-568) (-568) (-568) (-568) (-121) (-568) (-121) (-568) (-679 (-169 (-215))) (-679 (-169 (-215))) (-568)) 64)) (-2958 (((-1035) (-568) (-568) (-568) (-568) (-568) (-121) (-568) (-121) (-568) (-679 (-215)) (-679 (-215)) (-568)) 60)) (-2964 (((-1035) (-568) (-568) (-215) (-568) (-568) (-568) (-568) (-568) (-568) (-568) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-390)) (|:| |fp| (-73 IMAGE))) (-390)) 56) (((-1035) (-568) (-568) (-215) (-568) (-568) (-568) (-568) (-568) (-568) (-568) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-390)) (|:| |fp| (-73 IMAGE)))) 55)) (-2968 (((-1035) (-568) (-568) (-568) (-215) (-121) (-568) (-679 (-215)) (-679 (-215)) (-568)) 37)) (-2974 (((-1035) (-568) (-568) (-215) (-215) (-568) (-568) (-679 (-215)) (-568)) 33)) (-2979 (((-1035) (-679 (-215)) (-568) (-679 (-215)) (-568) (-568) (-568) (-568) (-568)) 29)) (-2983 (((-1035) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-568)) 28)) (-2989 (((-1035) (-568) (-568) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-568)) 27)) (-2994 (((-1035) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-568)) 26)) (-2999 (((-1035) (-568) (-568) (-568) (-568) (-679 (-215)) (-568)) 25)) (-3008 (((-1035) (-568) (-568) (-679 (-215)) (-568)) 24)) (-3013 (((-1035) (-568) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-568)) 23)) (-3017 (((-1035) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-568)) 22)) (-3022 (((-1035) (-679 (-215)) (-568) (-568) (-568) (-568)) 21)) (-3026 (((-1035) (-568) (-568) (-679 (-215)) (-568)) 20))) 
-(((-747) (-10 -7 (-15 -3026 ((-1035) (-568) (-568) (-679 (-215)) (-568))) (-15 -3022 ((-1035) (-679 (-215)) (-568) (-568) (-568) (-568))) (-15 -3017 ((-1035) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -3013 ((-1035) (-568) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -3008 ((-1035) (-568) (-568) (-679 (-215)) (-568))) (-15 -2999 ((-1035) (-568) (-568) (-568) (-568) (-679 (-215)) (-568))) (-15 -2994 ((-1035) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -2989 ((-1035) (-568) (-568) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -2983 ((-1035) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -2979 ((-1035) (-679 (-215)) (-568) (-679 (-215)) (-568) (-568) (-568) (-568) (-568))) (-15 -2974 ((-1035) (-568) (-568) (-215) (-215) (-568) (-568) (-679 (-215)) (-568))) (-15 -2968 ((-1035) (-568) (-568) (-568) (-215) (-121) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -2964 ((-1035) (-568) (-568) (-215) (-568) (-568) (-568) (-568) (-568) (-568) (-568) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-390)) (|:| |fp| (-73 IMAGE))))) (-15 -2964 ((-1035) (-568) (-568) (-215) (-568) (-568) (-568) (-568) (-568) (-568) (-568) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-390)) (|:| |fp| (-73 IMAGE))) (-390))) (-15 -2958 ((-1035) (-568) (-568) (-568) (-568) (-568) (-121) (-568) (-121) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -2954 ((-1035) (-568) (-568) (-568) (-568) (-568) (-121) (-568) (-121) (-568) (-679 (-169 (-215))) (-679 (-169 (-215))) (-568))))) (T -747)) 
-((-2954 (*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-568)) (-5 *4 (-121)) (-5 *5 (-679 (-169 (-215)))) (-5 *2 (-1035)) (-5 *1 (-747)))) (-2958 (*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-568)) (-5 *4 (-121)) (-5 *5 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-747)))) (-2964 (*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7 *8) (-12 (-5 *3 (-568)) (-5 *5 (-679 (-215))) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-390)) (|:| |fp| (-73 IMAGE)))) (-5 *8 (-390)) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-747)))) (-2964 (*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7) (-12 (-5 *3 (-568)) (-5 *5 (-679 (-215))) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-390)) (|:| |fp| (-73 IMAGE)))) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-747)))) (-2968 (*1 *2 *3 *3 *3 *4 *5 *3 *6 *6 *3) (-12 (-5 *3 (-568)) (-5 *5 (-121)) (-5 *6 (-679 (-215))) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-747)))) (-2974 (*1 *2 *3 *3 *4 *4 *3 *3 *5 *3) (-12 (-5 *3 (-568)) (-5 *5 (-679 (-215))) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-747)))) (-2979 (*1 *2 *3 *4 *3 *4 *4 *4 *4 *4) (-12 (-5 *3 (-679 (-215))) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-747)))) (-2983 (*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-747)))) (-2989 (*1 *2 *3 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-747)))) (-2994 (*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-747)))) (-2999 (*1 *2 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-747)))) (-3008 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-747)))) (-3013 (*1 *2 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-747)))) (-3017 (*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-747)))) (-3022 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-679 (-215))) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-747)))) (-3026 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-747))))) 
-(-10 -7 (-15 -3026 ((-1035) (-568) (-568) (-679 (-215)) (-568))) (-15 -3022 ((-1035) (-679 (-215)) (-568) (-568) (-568) (-568))) (-15 -3017 ((-1035) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -3013 ((-1035) (-568) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -3008 ((-1035) (-568) (-568) (-679 (-215)) (-568))) (-15 -2999 ((-1035) (-568) (-568) (-568) (-568) (-679 (-215)) (-568))) (-15 -2994 ((-1035) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -2989 ((-1035) (-568) (-568) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -2983 ((-1035) (-568) (-568) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -2979 ((-1035) (-679 (-215)) (-568) (-679 (-215)) (-568) (-568) (-568) (-568) (-568))) (-15 -2974 ((-1035) (-568) (-568) (-215) (-215) (-568) (-568) (-679 (-215)) (-568))) (-15 -2968 ((-1035) (-568) (-568) (-568) (-215) (-121) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -2964 ((-1035) (-568) (-568) (-215) (-568) (-568) (-568) (-568) (-568) (-568) (-568) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-390)) (|:| |fp| (-73 IMAGE))))) (-15 -2964 ((-1035) (-568) (-568) (-215) (-568) (-568) (-568) (-568) (-568) (-568) (-568) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-390)) (|:| |fp| (-73 IMAGE))) (-390))) (-15 -2958 ((-1035) (-568) (-568) (-568) (-568) (-568) (-121) (-568) (-121) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -2954 ((-1035) (-568) (-568) (-568) (-568) (-568) (-121) (-568) (-121) (-568) (-679 (-169 (-215))) (-679 (-169 (-215))) (-568)))) 
-((-4320 (((-1035) (-568) (-568) (-215) (-215) (-215) (-215) (-568) (-568) (-568) (-568) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-75 APROD)))) 60)) (-4327 (((-1035) (-568) (-679 (-215)) (-568) (-679 (-215)) (-679 (-568)) (-568) (-679 (-215)) (-568) (-568) (-568) (-568)) 56)) (-4334 (((-1035) (-568) (-679 (-215)) (-121) (-215) (-568) (-568) (-568) (-568) (-215) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-73 APROD))) (-3 (|:| |fn| (-390)) (|:| |fp| (-78 MSOLVE)))) 55)) (-4340 (((-1035) (-568) (-568) (-679 (-215)) (-568) (-679 (-568)) (-568) (-679 (-568)) (-679 (-215)) (-679 (-568)) (-679 (-568)) (-679 (-215)) (-679 (-215)) (-679 (-568)) (-568)) 36)) (-4346 (((-1035) (-568) (-568) (-568) (-215) (-568) (-679 (-215)) (-679 (-215)) (-568)) 35)) (-4351 (((-1035) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568)) 31)) (-4359 (((-1035) (-568) (-679 (-215)) (-568) (-679 (-568)) (-679 (-568)) (-568) (-679 (-568)) (-679 (-215))) 30)) (-4364 (((-1035) (-679 (-215)) (-568) (-679 (-215)) (-568) (-568) (-568)) 26)) (-4371 (((-1035) (-568) (-679 (-215)) (-568) (-679 (-215)) (-568)) 25)) (-4381 (((-1035) (-568) (-679 (-215)) (-568) (-679 (-215)) (-568)) 24)) (-2898 (((-1035) (-568) (-679 (-169 (-215))) (-568) (-568) (-568) (-568) (-679 (-169 (-215))) (-568)) 20))) 
-(((-748) (-10 -7 (-15 -2898 ((-1035) (-568) (-679 (-169 (-215))) (-568) (-568) (-568) (-568) (-679 (-169 (-215))) (-568))) (-15 -4381 ((-1035) (-568) (-679 (-215)) (-568) (-679 (-215)) (-568))) (-15 -4371 ((-1035) (-568) (-679 (-215)) (-568) (-679 (-215)) (-568))) (-15 -4364 ((-1035) (-679 (-215)) (-568) (-679 (-215)) (-568) (-568) (-568))) (-15 -4359 ((-1035) (-568) (-679 (-215)) (-568) (-679 (-568)) (-679 (-568)) (-568) (-679 (-568)) (-679 (-215)))) (-15 -4351 ((-1035) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568))) (-15 -4346 ((-1035) (-568) (-568) (-568) (-215) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -4340 ((-1035) (-568) (-568) (-679 (-215)) (-568) (-679 (-568)) (-568) (-679 (-568)) (-679 (-215)) (-679 (-568)) (-679 (-568)) (-679 (-215)) (-679 (-215)) (-679 (-568)) (-568))) (-15 -4334 ((-1035) (-568) (-679 (-215)) (-121) (-215) (-568) (-568) (-568) (-568) (-215) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-73 APROD))) (-3 (|:| |fn| (-390)) (|:| |fp| (-78 MSOLVE))))) (-15 -4327 ((-1035) (-568) (-679 (-215)) (-568) (-679 (-215)) (-679 (-568)) (-568) (-679 (-215)) (-568) (-568) (-568) (-568))) (-15 -4320 ((-1035) (-568) (-568) (-215) (-215) (-215) (-215) (-568) (-568) (-568) (-568) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-75 APROD))))))) (T -748)) 
-((-4320 (*1 *2 *3 *3 *4 *4 *4 *4 *3 *3 *3 *3 *5 *3 *6) (-12 (-5 *3 (-568)) (-5 *5 (-679 (-215))) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-75 APROD)))) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-748)))) (-4327 (*1 *2 *3 *4 *3 *4 *5 *3 *4 *3 *3 *3 *3) (-12 (-5 *4 (-679 (-215))) (-5 *5 (-679 (-568))) (-5 *3 (-568)) (-5 *2 (-1035)) (-5 *1 (-748)))) (-4334 (*1 *2 *3 *4 *5 *6 *3 *3 *3 *3 *6 *3 *7 *8) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-121)) (-5 *6 (-215)) (-5 *7 (-3 (|:| |fn| (-390)) (|:| |fp| (-73 APROD)))) (-5 *8 (-3 (|:| |fn| (-390)) (|:| |fp| (-78 MSOLVE)))) (-5 *2 (-1035)) (-5 *1 (-748)))) (-4340 (*1 *2 *3 *3 *4 *3 *5 *3 *5 *4 *5 *5 *4 *4 *5 *3) (-12 (-5 *4 (-679 (-215))) (-5 *5 (-679 (-568))) (-5 *3 (-568)) (-5 *2 (-1035)) (-5 *1 (-748)))) (-4346 (*1 *2 *3 *3 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-568)) (-5 *5 (-679 (-215))) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-748)))) (-4351 (*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-748)))) (-4359 (*1 *2 *3 *4 *3 *5 *5 *3 *5 *4) (-12 (-5 *4 (-679 (-215))) (-5 *5 (-679 (-568))) (-5 *3 (-568)) (-5 *2 (-1035)) (-5 *1 (-748)))) (-4364 (*1 *2 *3 *4 *3 *4 *4 *4) (-12 (-5 *3 (-679 (-215))) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-748)))) (-4371 (*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-748)))) (-4381 (*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-748)))) (-2898 (*1 *2 *3 *4 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-169 (-215)))) (-5 *2 (-1035)) (-5 *1 (-748))))) 
-(-10 -7 (-15 -2898 ((-1035) (-568) (-679 (-169 (-215))) (-568) (-568) (-568) (-568) (-679 (-169 (-215))) (-568))) (-15 -4381 ((-1035) (-568) (-679 (-215)) (-568) (-679 (-215)) (-568))) (-15 -4371 ((-1035) (-568) (-679 (-215)) (-568) (-679 (-215)) (-568))) (-15 -4364 ((-1035) (-679 (-215)) (-568) (-679 (-215)) (-568) (-568) (-568))) (-15 -4359 ((-1035) (-568) (-679 (-215)) (-568) (-679 (-568)) (-679 (-568)) (-568) (-679 (-568)) (-679 (-215)))) (-15 -4351 ((-1035) (-568) (-568) (-679 (-215)) (-679 (-215)) (-679 (-215)) (-568))) (-15 -4346 ((-1035) (-568) (-568) (-568) (-215) (-568) (-679 (-215)) (-679 (-215)) (-568))) (-15 -4340 ((-1035) (-568) (-568) (-679 (-215)) (-568) (-679 (-568)) (-568) (-679 (-568)) (-679 (-215)) (-679 (-568)) (-679 (-568)) (-679 (-215)) (-679 (-215)) (-679 (-568)) (-568))) (-15 -4334 ((-1035) (-568) (-679 (-215)) (-121) (-215) (-568) (-568) (-568) (-568) (-215) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-73 APROD))) (-3 (|:| |fn| (-390)) (|:| |fp| (-78 MSOLVE))))) (-15 -4327 ((-1035) (-568) (-679 (-215)) (-568) (-679 (-215)) (-679 (-568)) (-568) (-679 (-215)) (-568) (-568) (-568) (-568))) (-15 -4320 ((-1035) (-568) (-568) (-215) (-215) (-215) (-215) (-568) (-568) (-568) (-568) (-679 (-215)) (-568) (-3 (|:| |fn| (-390)) (|:| |fp| (-75 APROD)))))) 
-((-2922 (((-1035) (-1143) (-568) (-568) (-679 (-215)) (-568) (-568) (-679 (-215))) 28)) (-2926 (((-1035) (-1143) (-568) (-568) (-679 (-215))) 27)) (-2931 (((-1035) (-1143) (-568) (-568) (-679 (-215)) (-568) (-679 (-568)) (-568) (-679 (-215))) 26)) (-2935 (((-1035) (-568) (-568) (-568) (-679 (-215))) 20))) 
-(((-749) (-10 -7 (-15 -2935 ((-1035) (-568) (-568) (-568) (-679 (-215)))) (-15 -2931 ((-1035) (-1143) (-568) (-568) (-679 (-215)) (-568) (-679 (-568)) (-568) (-679 (-215)))) (-15 -2926 ((-1035) (-1143) (-568) (-568) (-679 (-215)))) (-15 -2922 ((-1035) (-1143) (-568) (-568) (-679 (-215)) (-568) (-568) (-679 (-215)))))) (T -749)) 
-((-2922 (*1 *2 *3 *4 *4 *5 *4 *4 *5) (-12 (-5 *3 (-1143)) (-5 *4 (-568)) (-5 *5 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-749)))) (-2926 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1143)) (-5 *4 (-568)) (-5 *5 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-749)))) (-2931 (*1 *2 *3 *4 *4 *5 *4 *6 *4 *5) (-12 (-5 *3 (-1143)) (-5 *5 (-679 (-215))) (-5 *6 (-679 (-568))) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-749)))) (-2935 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-749))))) 
-(-10 -7 (-15 -2935 ((-1035) (-568) (-568) (-568) (-679 (-215)))) (-15 -2931 ((-1035) (-1143) (-568) (-568) (-679 (-215)) (-568) (-679 (-568)) (-568) (-679 (-215)))) (-15 -2926 ((-1035) (-1143) (-568) (-568) (-679 (-215)))) (-15 -2922 ((-1035) (-1143) (-568) (-568) (-679 (-215)) (-568) (-568) (-679 (-215))))) 
-((-4172 (((-1035) (-215) (-215) (-215) (-215) (-568)) 62)) (-4176 (((-1035) (-215) (-215) (-215) (-568)) 61)) (-4183 (((-1035) (-215) (-215) (-215) (-568)) 60)) (-4189 (((-1035) (-215) (-215) (-568)) 59)) (-4198 (((-1035) (-215) (-568)) 58)) (-4210 (((-1035) (-215) (-568)) 57)) (-4222 (((-1035) (-215) (-568)) 56)) (-4234 (((-1035) (-215) (-568)) 55)) (-4259 (((-1035) (-215) (-568)) 54)) (-4269 (((-1035) (-215) (-568)) 53)) (-4283 (((-1035) (-215) (-169 (-215)) (-568) (-1143) (-568)) 52)) (-4291 (((-1035) (-215) (-169 (-215)) (-568) (-1143) (-568)) 51)) (-4296 (((-1035) (-215) (-568)) 50)) (-4302 (((-1035) (-215) (-568)) 49)) (-4309 (((-1035) (-215) (-568)) 48)) (-4315 (((-1035) (-215) (-568)) 47)) (-2942 (((-1035) (-568) (-215) (-169 (-215)) (-568) (-1143) (-568)) 46)) (-2946 (((-1035) (-1143) (-169 (-215)) (-1143) (-568)) 45)) (-2950 (((-1035) (-1143) (-169 (-215)) (-1143) (-568)) 44)) (-4042 (((-1035) (-215) (-169 (-215)) (-568) (-1143) (-568)) 43)) (-4048 (((-1035) (-215) (-169 (-215)) (-568) (-1143) (-568)) 42)) (-4054 (((-1035) (-215) (-568)) 39)) (-4060 (((-1035) (-215) (-568)) 38)) (-4067 (((-1035) (-215) (-568)) 37)) (-4073 (((-1035) (-215) (-568)) 36)) (-4078 (((-1035) (-215) (-568)) 35)) (-4086 (((-1035) (-215) (-568)) 34)) (-4093 (((-1035) (-215) (-568)) 33)) (-4100 (((-1035) (-215) (-568)) 32)) (-4107 (((-1035) (-215) (-568)) 31)) (-4114 (((-1035) (-215) (-568)) 30)) (-4122 (((-1035) (-215) (-215) (-215) (-568)) 29)) (-4129 (((-1035) (-215) (-568)) 28)) (-4136 (((-1035) (-215) (-568)) 27)) (-4142 (((-1035) (-215) (-568)) 26)) (-4149 (((-1035) (-215) (-568)) 25)) (-4157 (((-1035) (-215) (-568)) 24)) (-4165 (((-1035) (-169 (-215)) (-568)) 20))) 
-(((-750) (-10 -7 (-15 -4165 ((-1035) (-169 (-215)) (-568))) (-15 -4157 ((-1035) (-215) (-568))) (-15 -4149 ((-1035) (-215) (-568))) (-15 -4142 ((-1035) (-215) (-568))) (-15 -4136 ((-1035) (-215) (-568))) (-15 -4129 ((-1035) (-215) (-568))) (-15 -4122 ((-1035) (-215) (-215) (-215) (-568))) (-15 -4114 ((-1035) (-215) (-568))) (-15 -4107 ((-1035) (-215) (-568))) (-15 -4100 ((-1035) (-215) (-568))) (-15 -4093 ((-1035) (-215) (-568))) (-15 -4086 ((-1035) (-215) (-568))) (-15 -4078 ((-1035) (-215) (-568))) (-15 -4073 ((-1035) (-215) (-568))) (-15 -4067 ((-1035) (-215) (-568))) (-15 -4060 ((-1035) (-215) (-568))) (-15 -4054 ((-1035) (-215) (-568))) (-15 -4048 ((-1035) (-215) (-169 (-215)) (-568) (-1143) (-568))) (-15 -4042 ((-1035) (-215) (-169 (-215)) (-568) (-1143) (-568))) (-15 -2950 ((-1035) (-1143) (-169 (-215)) (-1143) (-568))) (-15 -2946 ((-1035) (-1143) (-169 (-215)) (-1143) (-568))) (-15 -2942 ((-1035) (-568) (-215) (-169 (-215)) (-568) (-1143) (-568))) (-15 -4315 ((-1035) (-215) (-568))) (-15 -4309 ((-1035) (-215) (-568))) (-15 -4302 ((-1035) (-215) (-568))) (-15 -4296 ((-1035) (-215) (-568))) (-15 -4291 ((-1035) (-215) (-169 (-215)) (-568) (-1143) (-568))) (-15 -4283 ((-1035) (-215) (-169 (-215)) (-568) (-1143) (-568))) (-15 -4269 ((-1035) (-215) (-568))) (-15 -4259 ((-1035) (-215) (-568))) (-15 -4234 ((-1035) (-215) (-568))) (-15 -4222 ((-1035) (-215) (-568))) (-15 -4210 ((-1035) (-215) (-568))) (-15 -4198 ((-1035) (-215) (-568))) (-15 -4189 ((-1035) (-215) (-215) (-568))) (-15 -4183 ((-1035) (-215) (-215) (-215) (-568))) (-15 -4176 ((-1035) (-215) (-215) (-215) (-568))) (-15 -4172 ((-1035) (-215) (-215) (-215) (-215) (-568))))) (T -750)) 
-((-4172 (*1 *2 *3 *3 *3 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4176 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4183 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4189 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4198 (*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4210 (*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4222 (*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4234 (*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4259 (*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4269 (*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4283 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-169 (-215))) (-5 *5 (-568)) (-5 *6 (-1143)) (-5 *3 (-215)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4291 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-169 (-215))) (-5 *5 (-568)) (-5 *6 (-1143)) (-5 *3 (-215)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4296 (*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4302 (*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4309 (*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4315 (*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-2942 (*1 *2 *3 *4 *5 *3 *6 *3) (-12 (-5 *3 (-568)) (-5 *5 (-169 (-215))) (-5 *6 (-1143)) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-2946 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1143)) (-5 *4 (-169 (-215))) (-5 *5 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-2950 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1143)) (-5 *4 (-169 (-215))) (-5 *5 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4042 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-169 (-215))) (-5 *5 (-568)) (-5 *6 (-1143)) (-5 *3 (-215)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4048 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-169 (-215))) (-5 *5 (-568)) (-5 *6 (-1143)) (-5 *3 (-215)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4054 (*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4060 (*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4067 (*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4073 (*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4078 (*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4086 (*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4093 (*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4100 (*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4107 (*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4114 (*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4122 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4129 (*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4136 (*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4142 (*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4149 (*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4157 (*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750)))) (-4165 (*1 *2 *3 *4) (-12 (-5 *3 (-169 (-215))) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(-10 -7 (-15 -4165 ((-1035) (-169 (-215)) (-568))) (-15 -4157 ((-1035) (-215) (-568))) (-15 -4149 ((-1035) (-215) (-568))) (-15 -4142 ((-1035) (-215) (-568))) (-15 -4136 ((-1035) (-215) (-568))) (-15 -4129 ((-1035) (-215) (-568))) (-15 -4122 ((-1035) (-215) (-215) (-215) (-568))) (-15 -4114 ((-1035) (-215) (-568))) (-15 -4107 ((-1035) (-215) (-568))) (-15 -4100 ((-1035) (-215) (-568))) (-15 -4093 ((-1035) (-215) (-568))) (-15 -4086 ((-1035) (-215) (-568))) (-15 -4078 ((-1035) (-215) (-568))) (-15 -4073 ((-1035) (-215) (-568))) (-15 -4067 ((-1035) (-215) (-568))) (-15 -4060 ((-1035) (-215) (-568))) (-15 -4054 ((-1035) (-215) (-568))) (-15 -4048 ((-1035) (-215) (-169 (-215)) (-568) (-1143) (-568))) (-15 -4042 ((-1035) (-215) (-169 (-215)) (-568) (-1143) (-568))) (-15 -2950 ((-1035) (-1143) (-169 (-215)) (-1143) (-568))) (-15 -2946 ((-1035) (-1143) (-169 (-215)) (-1143) (-568))) (-15 -2942 ((-1035) (-568) (-215) (-169 (-215)) (-568) (-1143) (-568))) (-15 -4315 ((-1035) (-215) (-568))) (-15 -4309 ((-1035) (-215) (-568))) (-15 -4302 ((-1035) (-215) (-568))) (-15 -4296 ((-1035) (-215) (-568))) (-15 -4291 ((-1035) (-215) (-169 (-215)) (-568) (-1143) (-568))) (-15 -4283 ((-1035) (-215) (-169 (-215)) (-568) (-1143) (-568))) (-15 -4269 ((-1035) (-215) (-568))) (-15 -4259 ((-1035) (-215) (-568))) (-15 -4234 ((-1035) (-215) (-568))) (-15 -4222 ((-1035) (-215) (-568))) (-15 -4210 ((-1035) (-215) (-568))) (-15 -4198 ((-1035) (-215) (-568))) (-15 -4189 ((-1035) (-215) (-215) (-568))) (-15 -4183 ((-1035) (-215) (-215) (-215) (-568))) (-15 -4176 ((-1035) (-215) (-215) (-215) (-568))) (-15 -4172 ((-1035) (-215) (-215) (-215) (-215) (-568)))) 
-((-2074 (((-1249)) 18)) (-2345 (((-1143)) 22)) (-2851 (((-1143)) 21)) (-2065 (((-1094) (-1161) (-679 (-568))) 35) (((-1094) (-1161) (-679 (-215))) 31)) (-1589 (((-121)) 16)) (-3185 (((-1143) (-1143)) 25))) 
-(((-751) (-10 -7 (-15 -2851 ((-1143))) (-15 -2345 ((-1143))) (-15 -3185 ((-1143) (-1143))) (-15 -2065 ((-1094) (-1161) (-679 (-215)))) (-15 -2065 ((-1094) (-1161) (-679 (-568)))) (-15 -1589 ((-121))) (-15 -2074 ((-1249))))) (T -751)) 
-((-2074 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-751)))) (-1589 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-751)))) (-2065 (*1 *2 *3 *4) (-12 (-5 *3 (-1161)) (-5 *4 (-679 (-568))) (-5 *2 (-1094)) (-5 *1 (-751)))) (-2065 (*1 *2 *3 *4) (-12 (-5 *3 (-1161)) (-5 *4 (-679 (-215))) (-5 *2 (-1094)) (-5 *1 (-751)))) (-3185 (*1 *2 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-751)))) (-2345 (*1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-751)))) (-2851 (*1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-751))))) 
-(-10 -7 (-15 -2851 ((-1143))) (-15 -2345 ((-1143))) (-15 -3185 ((-1143) (-1143))) (-15 -2065 ((-1094) (-1161) (-679 (-215)))) (-15 -2065 ((-1094) (-1161) (-679 (-568)))) (-15 -1589 ((-121))) (-15 -2074 ((-1249)))) 
-((-3985 (($ $ $) 10)) (-2007 (($ $ $ $) 9)) (-3911 (($ $ $) 12))) 
-(((-752 |#1|) (-10 -8 (-15 -3911 (|#1| |#1| |#1|)) (-15 -3985 (|#1| |#1| |#1|)) (-15 -2007 (|#1| |#1| |#1| |#1|))) (-753)) (T -752)) 
-NIL 
-(-10 -8 (-15 -3911 (|#1| |#1| |#1|)) (-15 -3985 (|#1| |#1| |#1|)) (-15 -2007 (|#1| |#1| |#1| |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-2815 (($ $ (-917)) 27)) (-4202 (($ $ (-917)) 28)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-3985 (($ $ $) 24)) (-2747 (((-850) $) 11)) (-2007 (($ $ $ $) 25)) (-3911 (($ $ $) 23)) (-3058 (($) 17 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 29)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 26))) 
-(((-753) (-1275)) (T -753)) 
-((-2007 (*1 *1 *1 *1 *1) (-4 *1 (-753))) (-3985 (*1 *1 *1 *1) (-4 *1 (-753))) (-3911 (*1 *1 *1 *1) (-4 *1 (-753)))) 
-(-13 (-21) (-710) (-10 -8 (-15 -2007 ($ $ $ $)) (-15 -3985 ($ $ $)) (-15 -3911 ($ $ $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-137) . T) ((-608 (-850)) . T) ((-710) . T) ((-1090) . T)) 
-((-2747 (((-850) $) NIL) (($ (-568)) 10))) 
-(((-754 |#1|) (-10 -8 (-15 -2747 (|#1| (-568))) (-15 -2747 ((-850) |#1|))) (-755)) (T -754)) 
-NIL 
-(-10 -8 (-15 -2747 (|#1| (-568))) (-15 -2747 ((-850) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-2812 (((-3 $ "failed") $) 39)) (-2815 (($ $ (-917)) 27) (($ $ (-763)) 34)) (-2902 (((-3 $ "failed") $) 37)) (-1598 (((-121) $) 33)) (-1974 (((-3 $ "failed") $) 38)) (-4202 (($ $ (-917)) 28) (($ $ (-763)) 35)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-3985 (($ $ $) 24)) (-2747 (((-850) $) 11) (($ (-568)) 30)) (-3425 (((-763)) 31)) (-2007 (($ $ $ $) 25)) (-3911 (($ $ $) 23)) (-3058 (($) 17 T CONST)) (-1557 (($) 32 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 29) (($ $ (-763)) 36)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 26))) 
-(((-755) (-1275)) (T -755)) 
-((-3425 (*1 *2) (-12 (-4 *1 (-755)) (-5 *2 (-763)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-755))))) 
-(-13 (-753) (-712) (-10 -8 (-15 -3425 ((-763))) (-15 -2747 ($ (-568))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-137) . T) ((-608 (-850)) . T) ((-710) . T) ((-712) . T) ((-753) . T) ((-1090) . T)) 
-((-4458 (((-634 (-2 (|:| |outval| (-169 |#1|)) (|:| |outmult| (-568)) (|:| |outvect| (-634 (-679 (-169 |#1|)))))) (-679 (-169 (-409 (-568)))) |#1|) 27)) (-1647 (((-634 (-169 |#1|)) (-679 (-169 (-409 (-568)))) |#1|) 19)) (-1295 (((-953 (-169 (-409 (-568)))) (-679 (-169 (-409 (-568)))) (-1161)) 16) (((-953 (-169 (-409 (-568)))) (-679 (-169 (-409 (-568))))) 15))) 
-(((-756 |#1|) (-10 -7 (-15 -1295 ((-953 (-169 (-409 (-568)))) (-679 (-169 (-409 (-568)))))) (-15 -1295 ((-953 (-169 (-409 (-568)))) (-679 (-169 (-409 (-568)))) (-1161))) (-15 -1647 ((-634 (-169 |#1|)) (-679 (-169 (-409 (-568)))) |#1|)) (-15 -4458 ((-634 (-2 (|:| |outval| (-169 |#1|)) (|:| |outmult| (-568)) (|:| |outvect| (-634 (-679 (-169 |#1|)))))) (-679 (-169 (-409 (-568)))) |#1|))) (-13 (-365) (-840))) (T -756)) 
-((-4458 (*1 *2 *3 *4) (-12 (-5 *3 (-679 (-169 (-409 (-568))))) (-5 *2 (-634 (-2 (|:| |outval| (-169 *4)) (|:| |outmult| (-568)) (|:| |outvect| (-634 (-679 (-169 *4))))))) (-5 *1 (-756 *4)) (-4 *4 (-13 (-365) (-840))))) (-1647 (*1 *2 *3 *4) (-12 (-5 *3 (-679 (-169 (-409 (-568))))) (-5 *2 (-634 (-169 *4))) (-5 *1 (-756 *4)) (-4 *4 (-13 (-365) (-840))))) (-1295 (*1 *2 *3 *4) (-12 (-5 *3 (-679 (-169 (-409 (-568))))) (-5 *4 (-1161)) (-5 *2 (-953 (-169 (-409 (-568))))) (-5 *1 (-756 *5)) (-4 *5 (-13 (-365) (-840))))) (-1295 (*1 *2 *3) (-12 (-5 *3 (-679 (-169 (-409 (-568))))) (-5 *2 (-953 (-169 (-409 (-568))))) (-5 *1 (-756 *4)) (-4 *4 (-13 (-365) (-840)))))) 
-(-10 -7 (-15 -1295 ((-953 (-169 (-409 (-568)))) (-679 (-169 (-409 (-568)))))) (-15 -1295 ((-953 (-169 (-409 (-568)))) (-679 (-169 (-409 (-568)))) (-1161))) (-15 -1647 ((-634 (-169 |#1|)) (-679 (-169 (-409 (-568)))) |#1|)) (-15 -4458 ((-634 (-2 (|:| |outval| (-169 |#1|)) (|:| |outmult| (-568)) (|:| |outvect| (-634 (-679 (-169 |#1|)))))) (-679 (-169 (-409 (-568)))) |#1|))) 
-((-1991 (((-173 (-568)) |#1|) 25))) 
-(((-757 |#1|) (-10 -7 (-15 -1991 ((-173 (-568)) |#1|))) (-406)) (T -757)) 
-((-1991 (*1 *2 *3) (-12 (-5 *2 (-173 (-568))) (-5 *1 (-757 *3)) (-4 *3 (-406))))) 
-(-10 -7 (-15 -1991 ((-173 (-568)) |#1|))) 
-((-2600 ((|#1| |#1| |#1|) 24)) (-3914 ((|#1| |#1| |#1|) 23)) (-4150 ((|#1| |#1| |#1|) 31)) (-2520 ((|#1| |#1| |#1|) 27)) (-3327 (((-3 |#1| "failed") |#1| |#1|) 26)) (-3229 (((-2 (|:| -4409 |#1|) (|:| -2607 |#1|)) |#1| |#1|) 22))) 
-(((-758 |#1| |#2|) (-10 -7 (-15 -3229 ((-2 (|:| -4409 |#1|) (|:| -2607 |#1|)) |#1| |#1|)) (-15 -3914 (|#1| |#1| |#1|)) (-15 -2600 (|#1| |#1| |#1|)) (-15 -3327 ((-3 |#1| "failed") |#1| |#1|)) (-15 -2520 (|#1| |#1| |#1|)) (-15 -4150 (|#1| |#1| |#1|))) (-698 |#2|) (-365)) (T -758)) 
-((-4150 (*1 *2 *2 *2) (-12 (-4 *3 (-365)) (-5 *1 (-758 *2 *3)) (-4 *2 (-698 *3)))) (-2520 (*1 *2 *2 *2) (-12 (-4 *3 (-365)) (-5 *1 (-758 *2 *3)) (-4 *2 (-698 *3)))) (-3327 (*1 *2 *2 *2) (|partial| -12 (-4 *3 (-365)) (-5 *1 (-758 *2 *3)) (-4 *2 (-698 *3)))) (-2600 (*1 *2 *2 *2) (-12 (-4 *3 (-365)) (-5 *1 (-758 *2 *3)) (-4 *2 (-698 *3)))) (-3914 (*1 *2 *2 *2) (-12 (-4 *3 (-365)) (-5 *1 (-758 *2 *3)) (-4 *2 (-698 *3)))) (-3229 (*1 *2 *3 *3) (-12 (-4 *4 (-365)) (-5 *2 (-2 (|:| -4409 *3) (|:| -2607 *3))) (-5 *1 (-758 *3 *4)) (-4 *3 (-698 *4))))) 
-(-10 -7 (-15 -3229 ((-2 (|:| -4409 |#1|) (|:| -2607 |#1|)) |#1| |#1|)) (-15 -3914 (|#1| |#1| |#1|)) (-15 -2600 (|#1| |#1| |#1|)) (-15 -3327 ((-3 |#1| "failed") |#1| |#1|)) (-15 -2520 (|#1| |#1| |#1|)) (-15 -4150 (|#1| |#1| |#1|))) 
-((-4281 (((-1157 |#1|) (-634 |#1|)) 25))) 
-(((-759 |#1|) (-10 -7 (-15 -4281 ((-1157 |#1|) (-634 |#1|)))) (-558)) (T -759)) 
-((-4281 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-558)) (-5 *2 (-1157 *4)) (-5 *1 (-759 *4))))) 
-(-10 -7 (-15 -4281 ((-1157 |#1|) (-634 |#1|)))) 
-((-2443 (((-2 (|:| -2588 (-679 (-568))) (|:| |basisDen| (-568)) (|:| |basisInv| (-679 (-568)))) (-568)) 58)) (-3330 (((-2 (|:| -2588 (-679 (-568))) (|:| |basisDen| (-568)) (|:| |basisInv| (-679 (-568))))) 56)) (-3440 (((-568)) 68))) 
-(((-760 |#1| |#2|) (-10 -7 (-15 -3440 ((-568))) (-15 -3330 ((-2 (|:| -2588 (-679 (-568))) (|:| |basisDen| (-568)) (|:| |basisInv| (-679 (-568)))))) (-15 -2443 ((-2 (|:| -2588 (-679 (-568))) (|:| |basisDen| (-568)) (|:| |basisInv| (-679 (-568)))) (-568)))) (-1219 (-568)) (-411 (-568) |#1|)) (T -760)) 
-((-2443 (*1 *2 *3) (-12 (-5 *3 (-568)) (-4 *4 (-1219 *3)) (-5 *2 (-2 (|:| -2588 (-679 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-679 *3)))) (-5 *1 (-760 *4 *5)) (-4 *5 (-411 *3 *4)))) (-3330 (*1 *2) (-12 (-4 *3 (-1219 (-568))) (-5 *2 (-2 (|:| -2588 (-679 (-568))) (|:| |basisDen| (-568)) (|:| |basisInv| (-679 (-568))))) (-5 *1 (-760 *3 *4)) (-4 *4 (-411 (-568) *3)))) (-3440 (*1 *2) (-12 (-4 *3 (-1219 *2)) (-5 *2 (-568)) (-5 *1 (-760 *3 *4)) (-4 *4 (-411 *2 *3))))) 
-(-10 -7 (-15 -3440 ((-568))) (-15 -3330 ((-2 (|:| -2588 (-679 (-568))) (|:| |basisDen| (-568)) (|:| |basisInv| (-679 (-568)))))) (-15 -2443 ((-2 (|:| -2588 (-679 (-568))) (|:| |basisDen| (-568)) (|:| |basisInv| (-679 (-568)))) (-568)))) 
-((-2449 (((-121) $ $) NIL)) (-2857 (((-3 (|:| |nia| (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| |mdnia| (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) $) 15)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) 14) (($ (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 8) (($ (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 10) (($ (-3 (|:| |nia| (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| |mdnia| (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))))) 12)) (-1719 (((-121) $ $) NIL))) 
-(((-761) (-13 (-1090) (-10 -8 (-15 -2747 ($ (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -2747 ($ (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -2747 ($ (-3 (|:| |nia| (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| |mdnia| (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))))) (-15 -2747 ((-850) $)) (-15 -2857 ((-3 (|:| |nia| (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| |mdnia| (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) $))))) (T -761)) 
-((-2747 (*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-761)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *1 (-761)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *1 (-761)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| |mdnia| (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))))) (-5 *1 (-761)))) (-2857 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| |mdnia| (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))))) (-5 *1 (-761))))) 
-(-13 (-1090) (-10 -8 (-15 -2747 ($ (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -2747 ($ (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -2747 ($ (-3 (|:| |nia| (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| |mdnia| (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))))) (-15 -2747 ((-850) $)) (-15 -2857 ((-3 (|:| |nia| (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| |mdnia| (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) $)))) 
-((-1993 (((-634 (-634 (-288 (-409 (-953 |#1|))))) (-634 (-953 |#1|))) 14) (((-634 (-634 (-288 (-409 (-953 |#1|))))) (-634 (-953 |#1|)) (-634 (-1161))) 13)) (-3259 (((-634 (-634 (-288 (-409 (-953 |#1|))))) (-634 (-953 |#1|))) 16) (((-634 (-634 (-288 (-409 (-953 |#1|))))) (-634 (-953 |#1|)) (-634 (-1161))) 15))) 
-(((-762 |#1|) (-10 -7 (-15 -1993 ((-634 (-634 (-288 (-409 (-953 |#1|))))) (-634 (-953 |#1|)) (-634 (-1161)))) (-15 -1993 ((-634 (-634 (-288 (-409 (-953 |#1|))))) (-634 (-953 |#1|)))) (-15 -3259 ((-634 (-634 (-288 (-409 (-953 |#1|))))) (-634 (-953 |#1|)) (-634 (-1161)))) (-15 -3259 ((-634 (-634 (-288 (-409 (-953 |#1|))))) (-634 (-953 |#1|))))) (-558)) (T -762)) 
-((-3259 (*1 *2 *3) (-12 (-5 *3 (-634 (-953 *4))) (-4 *4 (-558)) (-5 *2 (-634 (-634 (-288 (-409 (-953 *4)))))) (-5 *1 (-762 *4)))) (-3259 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-953 *5))) (-5 *4 (-634 (-1161))) (-4 *5 (-558)) (-5 *2 (-634 (-634 (-288 (-409 (-953 *5)))))) (-5 *1 (-762 *5)))) (-1993 (*1 *2 *3) (-12 (-5 *3 (-634 (-953 *4))) (-4 *4 (-558)) (-5 *2 (-634 (-634 (-288 (-409 (-953 *4)))))) (-5 *1 (-762 *4)))) (-1993 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-953 *5))) (-5 *4 (-634 (-1161))) (-4 *5 (-558)) (-5 *2 (-634 (-634 (-288 (-409 (-953 *5)))))) (-5 *1 (-762 *5))))) 
-(-10 -7 (-15 -1993 ((-634 (-634 (-288 (-409 (-953 |#1|))))) (-634 (-953 |#1|)) (-634 (-1161)))) (-15 -1993 ((-634 (-634 (-288 (-409 (-953 |#1|))))) (-634 (-953 |#1|)))) (-15 -3259 ((-634 (-634 (-288 (-409 (-953 |#1|))))) (-634 (-953 |#1|)) (-634 (-1161)))) (-15 -3259 ((-634 (-634 (-288 (-409 (-953 |#1|))))) (-634 (-953 |#1|))))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2409 (($ $ $) 6)) (-2689 (((-3 $ "failed") $ $) 9)) (-1872 (($ $ (-568)) 7)) (-4490 (($) NIL T CONST)) (-2403 (($ $ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1733 (($ $) NIL)) (-2414 (($ $ $) NIL)) (-1598 (((-121) $) NIL)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2723 (($ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-2747 (((-850) $) NIL)) (-1889 (($ $ (-763)) NIL) (($ $ (-917)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-763)) NIL) (($ $ (-917)) NIL)) (* (($ (-763) $) NIL) (($ (-917) $) NIL) (($ $ $) NIL))) 
-(((-763) (-13 (-788) (-716) (-10 -8 (-15 -2414 ($ $ $)) (-15 -2403 ($ $ $)) (-15 -2723 ($ $ $)) (-15 -1854 ((-2 (|:| -4409 $) (|:| -2607 $)) $ $)) (-15 -2597 ((-3 $ "failed") $ $)) (-15 -1872 ($ $ (-568))) (-15 -1733 ($ $)) (-6 (-4523 "*"))))) (T -763)) 
-((-2414 (*1 *1 *1 *1) (-5 *1 (-763))) (-2403 (*1 *1 *1 *1) (-5 *1 (-763))) (-2723 (*1 *1 *1 *1) (-5 *1 (-763))) (-1854 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -4409 (-763)) (|:| -2607 (-763)))) (-5 *1 (-763)))) (-2597 (*1 *1 *1 *1) (|partial| -5 *1 (-763))) (-1872 (*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-763)))) (-1733 (*1 *1 *1) (-5 *1 (-763)))) 
-(-13 (-788) (-716) (-10 -8 (-15 -2414 ($ $ $)) (-15 -2403 ($ $ $)) (-15 -2723 ($ $ $)) (-15 -1854 ((-2 (|:| -4409 $) (|:| -2607 $)) $ $)) (-15 -2597 ((-3 $ "failed") $ $)) (-15 -1872 ($ $ (-568))) (-15 -1733 ($ $)) (-6 (-4523 "*")))) 
-((-3259 (((-3 |#2| "failed") |#2| |#2| (-123) (-1161)) 35))) 
-(((-764 |#1| |#2|) (-10 -7 (-15 -3259 ((-3 |#2| "failed") |#2| |#2| (-123) (-1161)))) (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150)) (-13 (-29 |#1|) (-1181) (-959))) (T -764)) 
-((-3259 (*1 *2 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-1161)) (-4 *5 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *1 (-764 *5 *2)) (-4 *2 (-13 (-29 *5) (-1181) (-959)))))) 
-(-10 -7 (-15 -3259 ((-3 |#2| "failed") |#2| |#2| (-123) (-1161)))) 
-((-2747 (((-766) |#1|) 8))) 
-(((-765 |#1|) (-10 -7 (-15 -2747 ((-766) |#1|))) (-1195)) (T -765)) 
-((-2747 (*1 *2 *3) (-12 (-5 *2 (-766)) (-5 *1 (-765 *3)) (-4 *3 (-1195))))) 
-(-10 -7 (-15 -2747 ((-766) |#1|))) 
-((-2449 (((-121) $ $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) 7)) (-1719 (((-121) $ $) 9))) 
-(((-766) (-1090)) (T -766)) 
-NIL 
-(-1090) 
-((-4417 ((|#2| |#4|) 35))) 
-(((-767 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4417 (|#2| |#4|))) (-453) (-1219 |#1|) (-714 |#1| |#2|) (-1219 |#3|)) (T -767)) 
-((-4417 (*1 *2 *3) (-12 (-4 *4 (-453)) (-4 *5 (-714 *4 *2)) (-4 *2 (-1219 *4)) (-5 *1 (-767 *4 *2 *5 *3)) (-4 *3 (-1219 *5))))) 
-(-10 -7 (-15 -4417 (|#2| |#4|))) 
-((-2902 (((-2 (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|) 56)) (-1356 (((-1249) (-1143) (-1143) |#4| |#5|) 33)) (-4219 ((|#4| |#4| |#5|) 72)) (-3126 (((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) |#4| |#5|) 76)) (-3164 (((-634 (-2 (|:| |val| (-121)) (|:| -3145 |#5|))) |#4| |#5|) 15))) 
-(((-768 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2902 ((-2 (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|)) (-15 -4219 (|#4| |#4| |#5|)) (-15 -3126 ((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) |#4| |#5|)) (-15 -1356 ((-1249) (-1143) (-1143) |#4| |#5|)) (-15 -3164 ((-634 (-2 (|:| |val| (-121)) (|:| -3145 |#5|))) |#4| |#5|))) (-453) (-788) (-842) (-1061 |#1| |#2| |#3|) (-1066 |#1| |#2| |#3| |#4|)) (T -768)) 
-((-3164 (*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| (-121)) (|:| -3145 *4)))) (-5 *1 (-768 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3)))) (-1356 (*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-1143)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *8 (-842)) (-4 *4 (-1061 *6 *7 *8)) (-5 *2 (-1249)) (-5 *1 (-768 *6 *7 *8 *4 *5)) (-4 *5 (-1066 *6 *7 *8 *4)))) (-3126 (*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| *3) (|:| -3145 *4)))) (-5 *1 (-768 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3)))) (-4219 (*1 *2 *2 *3) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *2 (-1061 *4 *5 *6)) (-5 *1 (-768 *4 *5 *6 *2 *3)) (-4 *3 (-1066 *4 *5 *6 *2)))) (-2902 (*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *3))) (-5 *1 (-768 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3))))) 
-(-10 -7 (-15 -2902 ((-2 (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|)) (-15 -4219 (|#4| |#4| |#5|)) (-15 -3126 ((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) |#4| |#5|)) (-15 -1356 ((-1249) (-1143) (-1143) |#4| |#5|)) (-15 -3164 ((-634 (-2 (|:| |val| (-121)) (|:| -3145 |#5|))) |#4| |#5|))) 
-((-3668 (((-3 (-1157 (-1157 |#1|)) "failed") |#4|) 43)) (-3527 (((-634 |#4|) |#4|) 15)) (-3412 ((|#4| |#4|) 11))) 
-(((-769 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3527 ((-634 |#4|) |#4|)) (-15 -3668 ((-3 (-1157 (-1157 |#1|)) "failed") |#4|)) (-15 -3412 (|#4| |#4|))) (-350) (-327 |#1|) (-1219 |#2|) (-1219 |#3|) (-917)) (T -769)) 
-((-3412 (*1 *2 *2) (-12 (-4 *3 (-350)) (-4 *4 (-327 *3)) (-4 *5 (-1219 *4)) (-5 *1 (-769 *3 *4 *5 *2 *6)) (-4 *2 (-1219 *5)) (-14 *6 (-917)))) (-3668 (*1 *2 *3) (|partial| -12 (-4 *4 (-350)) (-4 *5 (-327 *4)) (-4 *6 (-1219 *5)) (-5 *2 (-1157 (-1157 *4))) (-5 *1 (-769 *4 *5 *6 *3 *7)) (-4 *3 (-1219 *6)) (-14 *7 (-917)))) (-3527 (*1 *2 *3) (-12 (-4 *4 (-350)) (-4 *5 (-327 *4)) (-4 *6 (-1219 *5)) (-5 *2 (-634 *3)) (-5 *1 (-769 *4 *5 *6 *3 *7)) (-4 *3 (-1219 *6)) (-14 *7 (-917))))) 
-(-10 -7 (-15 -3527 ((-634 |#4|) |#4|)) (-15 -3668 ((-3 (-1157 (-1157 |#1|)) "failed") |#4|)) (-15 -3412 (|#4| |#4|))) 
-((-2449 (((-121) $ $) NIL)) (-4490 (($) NIL T CONST)) (-2857 (($ (-1201 |#1|)) 21)) (-2902 (((-3 $ "failed") $) NIL)) (-1598 (((-121) $) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) 26)) (-4025 (((-1108) $) NIL)) (-2387 (($ $ $) NIL)) (-3985 (($ $ $) NIL)) (-2747 (((-850) $) 11)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-1557 (($) 18 T CONST)) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (* (($ $ $) 24))) 
-(((-770 |#1|) (-13 (-478) (-10 -8 (-15 -2857 ($ (-1201 |#1|))))) (-350)) (T -770)) 
-((-2857 (*1 *1 *2) (-12 (-5 *2 (-1201 *3)) (-4 *3 (-350)) (-5 *1 (-770 *3))))) 
-(-13 (-478) (-10 -8 (-15 -2857 ($ (-1201 |#1|))))) 
-((-3608 (((-2 (|:| |deter| (-634 (-1157 |#5|))) (|:| |dterm| (-634 (-634 (-2 (|:| -2514 (-763)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (-634 |#1|)) (|:| |nlead| (-634 |#5|))) (-1157 |#5|) (-634 |#1|) (-634 |#5|)) 51)) (-2266 (((-634 (-763)) |#1|) 12))) 
-(((-771 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3608 ((-2 (|:| |deter| (-634 (-1157 |#5|))) (|:| |dterm| (-634 (-634 (-2 (|:| -2514 (-763)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (-634 |#1|)) (|:| |nlead| (-634 |#5|))) (-1157 |#5|) (-634 |#1|) (-634 |#5|))) (-15 -2266 ((-634 (-763)) |#1|))) (-1219 |#4|) (-788) (-842) (-301) (-950 |#4| |#2| |#3|)) (T -771)) 
-((-2266 (*1 *2 *3) (-12 (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-301)) (-5 *2 (-634 (-763))) (-5 *1 (-771 *3 *4 *5 *6 *7)) (-4 *3 (-1219 *6)) (-4 *7 (-950 *6 *4 *5)))) (-3608 (*1 *2 *3 *4 *5) (-12 (-4 *6 (-1219 *9)) (-4 *7 (-788)) (-4 *8 (-842)) (-4 *9 (-301)) (-4 *10 (-950 *9 *7 *8)) (-5 *2 (-2 (|:| |deter| (-634 (-1157 *10))) (|:| |dterm| (-634 (-634 (-2 (|:| -2514 (-763)) (|:| |pcoef| *10))))) (|:| |nfacts| (-634 *6)) (|:| |nlead| (-634 *10)))) (-5 *1 (-771 *6 *7 *8 *9 *10)) (-5 *3 (-1157 *10)) (-5 *4 (-634 *6)) (-5 *5 (-634 *10))))) 
-(-10 -7 (-15 -3608 ((-2 (|:| |deter| (-634 (-1157 |#5|))) (|:| |dterm| (-634 (-634 (-2 (|:| -2514 (-763)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (-634 |#1|)) (|:| |nlead| (-634 |#5|))) (-1157 |#5|) (-634 |#1|) (-634 |#5|))) (-15 -2266 ((-634 (-763)) |#1|))) 
-((-3355 (((-2 (|:| -2963 (-568)) (|:| -2404 (-568)) (|:| -4409 (-568)) (|:| |reste| (-568)) (|:| -2221 (-3 "left" "center" "right" "vertical" "horizontal"))) (-634 |#2|)) 18) (((-2 (|:| -2963 (-568)) (|:| -2404 (-568)) (|:| -4409 (-568)) (|:| |reste| (-568)) (|:| -2221 (-3 "left" "center" "right" "vertical" "horizontal"))) |#2| |#2|) 16)) (-3727 (((-634 (-634 |#2|)) |#2| (-568) (-568) (-3 "left" "center" "right" "vertical" "horizontal")) 32)) (-2263 (((-634 (-634 |#2|)) |#2| (-634 (-634 |#2|))) 24)) (-1470 (((-763) (-634 (-634 |#2|))) 27))) 
-(((-772 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3727 ((-634 (-634 |#2|)) |#2| (-568) (-568) (-3 "left" "center" "right" "vertical" "horizontal"))) (-15 -1470 ((-763) (-634 (-634 |#2|)))) (-15 -2263 ((-634 (-634 |#2|)) |#2| (-634 (-634 |#2|)))) (-15 -3355 ((-2 (|:| -2963 (-568)) (|:| -2404 (-568)) (|:| -4409 (-568)) (|:| |reste| (-568)) (|:| -2221 (-3 "left" "center" "right" "vertical" "horizontal"))) |#2| |#2|)) (-15 -3355 ((-2 (|:| -2963 (-568)) (|:| -2404 (-568)) (|:| -4409 (-568)) (|:| |reste| (-568)) (|:| -2221 (-3 "left" "center" "right" "vertical" "horizontal"))) (-634 |#2|)))) (-1047) (-324 |#1| |#3|) (-230 |#4| (-763)) (-763)) (T -772)) 
-((-3355 (*1 *2 *3) (-12 (-5 *3 (-634 *5)) (-4 *5 (-324 *4 *6)) (-4 *6 (-230 *7 (-763))) (-14 *7 (-763)) (-4 *4 (-1047)) (-5 *2 (-2 (|:| -2963 (-568)) (|:| -2404 (-568)) (|:| -4409 (-568)) (|:| |reste| (-568)) (|:| -2221 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-772 *4 *5 *6 *7)))) (-3355 (*1 *2 *3 *3) (-12 (-4 *4 (-1047)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-5 *2 (-2 (|:| -2963 (-568)) (|:| -2404 (-568)) (|:| -4409 (-568)) (|:| |reste| (-568)) (|:| -2221 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-772 *4 *3 *5 *6)) (-4 *3 (-324 *4 *5)))) (-2263 (*1 *2 *3 *2) (-12 (-5 *2 (-634 (-634 *3))) (-4 *3 (-324 *4 *5)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-4 *4 (-1047)) (-5 *1 (-772 *4 *3 *5 *6)))) (-1470 (*1 *2 *3) (-12 (-5 *3 (-634 (-634 *5))) (-4 *5 (-324 *4 *6)) (-4 *6 (-230 *7 *2)) (-14 *7 *2) (-4 *4 (-1047)) (-5 *2 (-763)) (-5 *1 (-772 *4 *5 *6 *7)))) (-3727 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-568)) (-5 *5 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *6 (-1047)) (-4 *7 (-230 *8 (-763))) (-14 *8 (-763)) (-5 *2 (-634 (-634 *3))) (-5 *1 (-772 *6 *3 *7 *8)) (-4 *3 (-324 *6 *7))))) 
-(-10 -7 (-15 -3727 ((-634 (-634 |#2|)) |#2| (-568) (-568) (-3 "left" "center" "right" "vertical" "horizontal"))) (-15 -1470 ((-763) (-634 (-634 |#2|)))) (-15 -2263 ((-634 (-634 |#2|)) |#2| (-634 (-634 |#2|)))) (-15 -3355 ((-2 (|:| -2963 (-568)) (|:| -2404 (-568)) (|:| -4409 (-568)) (|:| |reste| (-568)) (|:| -2221 (-3 "left" "center" "right" "vertical" "horizontal"))) |#2| |#2|)) (-15 -3355 ((-2 (|:| -2963 (-568)) (|:| -2404 (-568)) (|:| -4409 (-568)) (|:| |reste| (-568)) (|:| -2221 (-3 "left" "center" "right" "vertical" "horizontal"))) (-634 |#2|)))) 
-((-3896 (((-634 (-2 (|:| |outval| |#1|) (|:| |outmult| (-568)) (|:| |outvect| (-634 (-679 |#1|))))) (-679 (-409 (-568))) |#1|) 27)) (-2479 (((-634 |#1|) (-679 (-409 (-568))) |#1|) 19)) (-1295 (((-953 (-409 (-568))) (-679 (-409 (-568))) (-1161)) 16) (((-953 (-409 (-568))) (-679 (-409 (-568)))) 15))) 
-(((-773 |#1|) (-10 -7 (-15 -1295 ((-953 (-409 (-568))) (-679 (-409 (-568))))) (-15 -1295 ((-953 (-409 (-568))) (-679 (-409 (-568))) (-1161))) (-15 -2479 ((-634 |#1|) (-679 (-409 (-568))) |#1|)) (-15 -3896 ((-634 (-2 (|:| |outval| |#1|) (|:| |outmult| (-568)) (|:| |outvect| (-634 (-679 |#1|))))) (-679 (-409 (-568))) |#1|))) (-13 (-365) (-840))) (T -773)) 
-((-3896 (*1 *2 *3 *4) (-12 (-5 *3 (-679 (-409 (-568)))) (-5 *2 (-634 (-2 (|:| |outval| *4) (|:| |outmult| (-568)) (|:| |outvect| (-634 (-679 *4)))))) (-5 *1 (-773 *4)) (-4 *4 (-13 (-365) (-840))))) (-2479 (*1 *2 *3 *4) (-12 (-5 *3 (-679 (-409 (-568)))) (-5 *2 (-634 *4)) (-5 *1 (-773 *4)) (-4 *4 (-13 (-365) (-840))))) (-1295 (*1 *2 *3 *4) (-12 (-5 *3 (-679 (-409 (-568)))) (-5 *4 (-1161)) (-5 *2 (-953 (-409 (-568)))) (-5 *1 (-773 *5)) (-4 *5 (-13 (-365) (-840))))) (-1295 (*1 *2 *3) (-12 (-5 *3 (-679 (-409 (-568)))) (-5 *2 (-953 (-409 (-568)))) (-5 *1 (-773 *4)) (-4 *4 (-13 (-365) (-840)))))) 
-(-10 -7 (-15 -1295 ((-953 (-409 (-568))) (-679 (-409 (-568))))) (-15 -1295 ((-953 (-409 (-568))) (-679 (-409 (-568))) (-1161))) (-15 -2479 ((-634 |#1|) (-679 (-409 (-568))) |#1|)) (-15 -3896 ((-634 (-2 (|:| |outval| |#1|) (|:| |outmult| (-568)) (|:| |outvect| (-634 (-679 |#1|))))) (-679 (-409 (-568))) |#1|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 10)) (-2057 (((-634 (-1075)) $) NIL)) (-3325 (((-1161) $) NIL)) (-2852 (((-2 (|:| |k| (-568)) (|:| |c| |#1|)) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-4179 (($ $ (-568) (-568)) NIL) (($ $ (-568)) NIL)) (-2237 (((-2 (|:| |k| (-568)) (|:| |c| |#1|)) $) NIL)) (-2013 (((-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $) NIL)) (-3623 (($ $) NIL)) (-2481 (((-1249) $ (-568) (-568)) NIL (|has| $ (-6 -4522)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2121 (($ $ (-568)) NIL (|has| $ (-6 -4522)))) (-2589 (((-121) $ $) NIL)) (-1667 (((-121) $ (-763)) NIL)) (-1872 (($ $ (-568)) 36)) (-3370 (((-2 (|:| |k| (-568)) (|:| |c| |#1|)) $ (-2 (|:| |k| (-568)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4522)))) (-1958 (($ $ $) NIL (|has| $ (-6 -4522)))) (-2257 (((-2 (|:| |k| (-568)) (|:| |c| |#1|)) $ (-2 (|:| |k| (-568)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4522)))) (-1706 (((-2 (|:| |k| (-568)) (|:| |c| |#1|)) $ (-2 (|:| |k| (-568)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4522)))) (-2438 (((-2 (|:| |k| (-568)) (|:| |c| |#1|)) $ (-568) (-2 (|:| |k| (-568)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4522))) (((-2 (|:| |k| (-568)) (|:| |c| |#1|)) $ (-1210 (-568)) (-2 (|:| |k| (-568)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4522))) (((-2 (|:| |k| (-568)) (|:| |c| |#1|)) $ "last" (-2 (|:| |k| (-568)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4522))) (($ $ "rest" $) NIL (|has| $ (-6 -4522))) (((-2 (|:| |k| (-568)) (|:| |c| |#1|)) $ "first" (-2 (|:| |k| (-568)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4522))) (((-2 (|:| |k| (-568)) (|:| |c| |#1|)) $ "value" (-2 (|:| |k| (-568)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4522)))) (-1809 (($ $ (-634 $)) NIL (|has| $ (-6 -4522)))) (-2512 (($ (-568) |#1| $) 41)) (-2803 (($ (-1 (-121) (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $) NIL)) (-1681 (((-2 (|:| |k| (-568)) (|:| |c| |#1|)) $) NIL)) (-4461 (($ $ $) 51)) (-4490 (($) NIL T CONST)) (-2584 (($ $) 21)) (-3936 (($ $ (-763)) NIL) (($ $) 14)) (-2232 (($ (-568) $) 78) (($ $) 31)) (-3297 (($ $) 35)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-1090))))) (-4330 (($ (-1 (-121) (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $) NIL) (($ (-2 (|:| |k| (-568)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-1090))))) (-2403 (($ $ $) NIL)) (-2116 (($ $) NIL)) (-3094 (((-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-1 (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $ (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-2 (|:| |k| (-568)) (|:| |c| |#1|))) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-1090)))) (((-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-1 (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $ (-2 (|:| |k| (-568)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4521))) (((-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-1 (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4521)))) (-2902 (((-3 $ "failed") $) 38)) (-2414 (($ $ $) NIL)) (-1292 (((-2 (|:| |k| (-568)) (|:| |c| |#1|)) $ (-568) (-2 (|:| |k| (-568)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4522)))) (-2069 (((-2 (|:| |k| (-568)) (|:| |c| |#1|)) $ (-568)) NIL)) (-1277 (((-121) (-121)) 30) (((-121)) 29)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-2197 (((-121) $) NIL)) (-1340 (((-121) $) NIL)) (-2379 (($ $) 22)) (-1302 (((-121) $) NIL)) (-3317 (((-634 (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4521)))) (-2545 (((-3 (-568) "failed") $) 16)) (-1844 (((-568) $ (-568)) NIL) (((-568) $) 19) (((-568) $) 19)) (-1598 (((-121) $) NIL)) (-1841 (((-763) $) NIL)) (-3534 (((-634 $) $) NIL)) (-3606 (((-121) $ $) NIL (|has| (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-1090)))) (-1851 (($ (-763) (-2 (|:| |k| (-568)) (|:| |c| |#1|))) NIL)) (-4168 (($ $ (-917)) NIL)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-3791 (((-121) $ (-763)) NIL)) (-2171 (((-121) $) NIL)) (-4444 (($ (-634 $) (-634 (-763)) (-568)) 85)) (-2049 (($ $ (-634 (-1075)) (-634 (-568))) NIL) (($ $ (-1075) (-568)) NIL) (($ |#1| (-568)) NIL)) (-2539 (((-568) $) NIL (|has| (-568) (-842)))) (-4406 (((-634 (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) (-2 (|:| |k| (-568)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-1090))))) (-3631 (((-568) $) NIL (|has| (-568) (-842)))) (-2253 (($ (-1 (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $ $) NIL) (($ (-1 (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-4081 (((-634 (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $) NIL)) (-3319 (((-121) $) NIL)) (-2099 (($ $) NIL)) (-2104 ((|#1| $) NIL)) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-2798 (($ $) NIL)) (-1898 (((-121) $) NIL)) (-1893 (((-1143) $) NIL)) (-4164 (($ $ (-763)) NIL) (((-2 (|:| |k| (-568)) (|:| |c| |#1|)) $) NIL)) (-2083 (($ $) 39)) (-4124 (($ (-2 (|:| |k| (-568)) (|:| |c| |#1|)) $ (-568)) NIL) (($ $ $ (-568)) NIL)) (-3948 (((-634 (-568)) $) NIL)) (-2916 (((-121) (-568) $) NIL)) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-2616 (((-2 (|:| |k| (-568)) (|:| |c| |#1|)) $) 12)) (-3877 (($ $ (-763)) NIL) (((-2 (|:| |k| (-568)) (|:| |c| |#1|)) $) NIL)) (-3512 (((-2 (|:| |k| (-568)) (|:| |c| |#1|)) $ (-568)) 24)) (-4438 ((|#1| $ (-568)) 25)) (-2712 (((-3 (-2 (|:| |k| (-568)) (|:| |c| |#1|)) "failed") (-1 (-121) (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $) NIL)) (-2938 (($ $ (-568)) 89)) (-2490 (($ $ (-2 (|:| |k| (-568)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4522)))) (-3850 (((-420 $) $) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2168 (($ $ (-568)) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-4049 (((-121) $) NIL)) (-3817 (((-121) $) NIL)) (-2818 (((-121) $) NIL)) (-3951 (((-121) (-1 (-121) (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4521)))) (-1339 (((-1141 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-568))))) (($ $ (-634 (-2 (|:| |k| (-568)) (|:| |c| |#1|))) (-634 (-2 (|:| |k| (-568)) (|:| |c| |#1|)))) NIL (-12 (|has| (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-303 (-2 (|:| |k| (-568)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-1090)))) (($ $ (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-2 (|:| |k| (-568)) (|:| |c| |#1|))) NIL (-12 (|has| (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-303 (-2 (|:| |k| (-568)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-1090)))) (($ $ (-288 (-2 (|:| |k| (-568)) (|:| |c| |#1|)))) NIL (-12 (|has| (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-303 (-2 (|:| |k| (-568)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-1090)))) (($ $ (-634 (-288 (-2 (|:| |k| (-568)) (|:| |c| |#1|))))) NIL (-12 (|has| (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-303 (-2 (|:| |k| (-568)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-1090))))) (-1466 (((-763) $) NIL)) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) (-2 (|:| |k| (-568)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-1090))))) (-1480 (((-634 (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $) NIL)) (-2436 (((-121) $) 23)) (-1990 (($) 94)) (-2781 (($ $ $) NIL (|has| (-568) (-1102))) ((|#1| $ (-568)) NIL) (((-2 (|:| |k| (-568)) (|:| |c| |#1|)) $ (-568) (-2 (|:| |k| (-568)) (|:| |c| |#1|))) NIL) (((-2 (|:| |k| (-568)) (|:| |c| |#1|)) $ (-568)) NIL) (($ $ (-1210 (-568))) NIL) (((-2 (|:| |k| (-568)) (|:| |c| |#1|)) $ "last") NIL) (($ $ "rest") NIL) (((-2 (|:| |k| (-568)) (|:| |c| |#1|)) $ "first") NIL) (((-2 (|:| |k| (-568)) (|:| |c| |#1|)) $ "value") NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-1665 (((-568) $ $) NIL)) (-4191 (($ $) NIL (|has| |#1| (-15 * (|#1| (-568) |#1|)))) (($ $ (-763)) NIL (|has| |#1| (-15 * (|#1| (-568) |#1|)))) (($ $ (-1161)) NIL (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161)))))) (-2828 (($ $ (-568)) NIL) (($ $ (-1210 (-568))) NIL)) (-1922 (($ (-1 $)) 34)) (-1836 (((-568) $) NIL)) (-2763 (((-121) $) NIL)) (-3903 (($ $) NIL)) (-1499 (($ $) NIL (|has| $ (-6 -4522)))) (-3535 (((-763) $) NIL)) (-4424 (($ $) NIL)) (-4170 (((-763) (-2 (|:| |k| (-568)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-1090)))) (((-763) (-1 (-121) (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4521)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) NIL (|has| (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-609 (-541))))) (-4289 (($ (-634 (-2 (|:| |k| (-568)) (|:| |c| |#1|)))) 95)) (-1876 (($ $ (-2 (|:| |k| (-568)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4522))) (($ $ $) NIL (|has| $ (-6 -4522)))) (-2770 (($ $ (-2 (|:| |k| (-568)) (|:| |c| |#1|))) NIL) (($ (-634 $)) NIL) (($ (-2 (|:| |k| (-568)) (|:| |c| |#1|)) $) 32) (($ $ $) NIL)) (-2188 (($ $) NIL)) (-2747 (((-850) $) 65) (($ (-568)) NIL) (($ $) NIL) (($ (-409 (-568))) NIL) (($ |#1|) NIL (|has| |#1| (-172))) (($ (-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|)))) 27) (((-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $) 26)) (-2079 ((|#1| $ (-568)) NIL)) (-1691 ((|#1| $) 86)) (-3180 (((-634 $) $) NIL)) (-3873 (((-121) $ $) NIL (|has| (-2 (|:| |k| (-568)) (|:| |c| |#1|)) (-1090)))) (-3385 (((-3 $ "failed") $) NIL (|has| |#1| (-148)))) (-3425 (((-763)) NIL)) (-1374 ((|#1| $) NIL)) (-2273 (((-121) $ $) NIL)) (-3999 ((|#1| $ (-568)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-568)))) (|has| |#1| (-15 -2747 (|#1| (-1161))))))) (-3437 (((-121) (-1 (-121) (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4521)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) 17 T CONST)) (-1557 (($) 74 T CONST)) (-3192 (($ $) NIL (|has| |#1| (-15 * (|#1| (-568) |#1|)))) (($ $ (-763)) NIL (|has| |#1| (-15 * (|#1| (-568) |#1|)))) (($ $ (-1161)) NIL (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161)))))) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ $) NIL) (($ $ |#1|) NIL (|has| |#1| (-365)))) (-1775 (($ $) 47) (($ $ $) 43)) (-1769 (($ $ $) 53)) (** (($ $ (-917)) NIL) (($ $ (-763)) 79) (($ $ (-568)) 52)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 42) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL) (($ |#1| $) 46) (($ $ |#1|) 100)) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-774 |#1|) (-13 (-641 |#1|) (-665 (-2 (|:| |k| (-568)) (|:| |c| |#1|))) (-10 -8 (-15 -3512 ((-2 (|:| |k| (-568)) (|:| |c| |#1|)) $ (-568))))) (-365)) (T -774)) 
-((-3512 (*1 *2 *1 *3) (-12 (-5 *2 (-2 (|:| |k| (-568)) (|:| |c| *4))) (-5 *1 (-774 *4)) (-4 *4 (-365)) (-5 *3 (-568))))) 
-(-13 (-641 |#1|) (-665 (-2 (|:| |k| (-568)) (|:| |c| |#1|))) (-10 -8 (-15 -3512 ((-2 (|:| |k| (-568)) (|:| |c| |#1|)) $ (-568))))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 34)) (-2057 (((-634 |#2|) $) NIL)) (-3840 (((-1157 $) $ |#2|) NIL) (((-1157 |#1|) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#1| (-558)))) (-3661 (($ $) NIL (|has| |#1| (-558)))) (-4426 (((-121) $) NIL (|has| |#1| (-558)))) (-3528 (((-763) $) NIL) (((-763) $ (-634 |#2|)) NIL)) (-3623 (($ $) 28)) (-3266 (((-121) $ $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-1736 (($ $ $) 92 (|has| |#1| (-558)))) (-2115 (((-634 $) $ $) 105 (|has| |#1| (-558)))) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-3045 (($ $) NIL (|has| |#1| (-453)))) (-3498 (((-420 $) $) NIL (|has| |#1| (-453)))) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#1| "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-3 (-568) "failed") $) NIL (|has| |#1| (-1037 (-568)))) (((-3 |#2| "failed") $) NIL) (((-3 $ "failed") (-953 (-409 (-568)))) NIL (-12 (|has| |#1| (-43 (-409 (-568)))) (|has| |#2| (-609 (-1161))))) (((-3 $ "failed") (-953 (-568))) NIL (-2199 (-12 (|has| |#1| (-43 (-568))) (|has| |#2| (-609 (-1161))) (-3046 (|has| |#1| (-43 (-409 (-568)))))) (-12 (|has| |#1| (-43 (-409 (-568)))) (|has| |#2| (-609 (-1161)))))) (((-3 $ "failed") (-953 |#1|)) NIL (-2199 (-12 (|has| |#2| (-609 (-1161))) (-3046 (|has| |#1| (-43 (-409 (-568))))) (-3046 (|has| |#1| (-43 (-568))))) (-12 (|has| |#1| (-43 (-568))) (|has| |#2| (-609 (-1161))) (-3046 (|has| |#1| (-43 (-409 (-568))))) (-3046 (|has| |#1| (-550)))) (-12 (|has| |#1| (-43 (-409 (-568)))) (|has| |#2| (-609 (-1161))) (-3046 (|has| |#1| (-993 (-568))))))) (((-3 (-1113 |#1| |#2|) "failed") $) 18)) (-2857 ((|#1| $) NIL) (((-409 (-568)) $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-568) $) NIL (|has| |#1| (-1037 (-568)))) ((|#2| $) NIL) (($ (-953 (-409 (-568)))) NIL (-12 (|has| |#1| (-43 (-409 (-568)))) (|has| |#2| (-609 (-1161))))) (($ (-953 (-568))) NIL (-2199 (-12 (|has| |#1| (-43 (-568))) (|has| |#2| (-609 (-1161))) (-3046 (|has| |#1| (-43 (-409 (-568)))))) (-12 (|has| |#1| (-43 (-409 (-568)))) (|has| |#2| (-609 (-1161)))))) (($ (-953 |#1|)) NIL (-2199 (-12 (|has| |#2| (-609 (-1161))) (-3046 (|has| |#1| (-43 (-409 (-568))))) (-3046 (|has| |#1| (-43 (-568))))) (-12 (|has| |#1| (-43 (-568))) (|has| |#2| (-609 (-1161))) (-3046 (|has| |#1| (-43 (-409 (-568))))) (-3046 (|has| |#1| (-550)))) (-12 (|has| |#1| (-43 (-409 (-568)))) (|has| |#2| (-609 (-1161))) (-3046 (|has| |#1| (-993 (-568))))))) (((-1113 |#1| |#2|) $) NIL)) (-2910 (($ $ $ |#2|) NIL (|has| |#1| (-172))) (($ $ $) 103 (|has| |#1| (-558)))) (-2116 (($ $) NIL) (($ $ |#2|) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 |#1|))) (-679 $) (-1244 $)) NIL) (((-679 |#1|) (-679 $)) NIL)) (-1359 (((-121) $ $) NIL) (((-121) $ (-634 $)) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1593 (((-121) $) NIL)) (-3777 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 69)) (-1537 (($ $) 118 (|has| |#1| (-453)))) (-1998 (($ $) NIL (|has| |#1| (-453))) (($ $ |#2|) NIL (|has| |#1| (-453)))) (-2110 (((-634 $) $) NIL)) (-2197 (((-121) $) NIL (|has| |#1| (-904)))) (-2354 (($ $) NIL (|has| |#1| (-558)))) (-3424 (($ $) NIL (|has| |#1| (-558)))) (-3002 (($ $ $) 64) (($ $ $ |#2|) NIL)) (-4117 (($ $ $) 67) (($ $ $ |#2|) NIL)) (-2453 (($ $ |#1| (-534 |#2|) $) NIL)) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (-12 (|has| |#1| (-881 (-381))) (|has| |#2| (-881 (-381))))) (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (-12 (|has| |#1| (-881 (-568))) (|has| |#2| (-881 (-568)))))) (-1598 (((-121) $) NIL)) (-3971 (((-763) $) NIL)) (-3764 (((-121) $ $) NIL) (((-121) $ (-634 $)) NIL)) (-1443 (($ $ $ $ $) 89 (|has| |#1| (-558)))) (-4001 ((|#2| $) 19)) (-2053 (($ (-1157 |#1|) |#2|) NIL) (($ (-1157 $) |#2|) NIL)) (-3062 (((-634 $) $) NIL)) (-2171 (((-121) $) NIL)) (-2049 (($ |#1| (-534 |#2|)) NIL) (($ $ |#2| (-763)) 36) (($ $ (-634 |#2|) (-634 (-763))) NIL)) (-1653 (($ $ $) 60)) (-1438 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $ |#2|) NIL)) (-3463 (((-121) $) NIL)) (-3524 (((-534 |#2|) $) NIL) (((-763) $ |#2|) NIL) (((-634 (-763)) $ (-634 |#2|)) NIL)) (-1732 (($ $ $) NIL (|has| |#1| (-842)))) (-1850 (((-763) $) 20)) (-2047 (($ $ $) NIL (|has| |#1| (-842)))) (-1865 (($ (-1 (-534 |#2|) (-534 |#2|)) $) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-2817 (((-3 |#2| "failed") $) NIL)) (-2135 (($ $) NIL (|has| |#1| (-453)))) (-3607 (($ $) NIL (|has| |#1| (-453)))) (-3509 (((-634 $) $) NIL)) (-2417 (($ $) 37)) (-3274 (($ $) NIL (|has| |#1| (-453)))) (-2174 (((-634 $) $) 41)) (-3226 (($ $) 39)) (-2099 (($ $) NIL)) (-2104 ((|#1| $) NIL) (($ $ |#2|) 45)) (-2498 (($ (-634 $)) NIL (|has| |#1| (-453))) (($ $ $) NIL (|has| |#1| (-453)))) (-3481 (((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -2567 (-763))) $ $) 81)) (-2802 (((-2 (|:| -2350 $) (|:| |gap| (-763)) (|:| -4409 $) (|:| -2607 $)) $ $) 66) (((-2 (|:| -2350 $) (|:| |gap| (-763)) (|:| -4409 $) (|:| -2607 $)) $ $ |#2|) NIL)) (-2322 (((-2 (|:| -2350 $) (|:| |gap| (-763)) (|:| -2607 $)) $ $) NIL) (((-2 (|:| -2350 $) (|:| |gap| (-763)) (|:| -2607 $)) $ $ |#2|) NIL)) (-1604 (($ $ $) 71) (($ $ $ |#2|) NIL)) (-2708 (($ $ $) 74) (($ $ $ |#2|) NIL)) (-1893 (((-1143) $) NIL)) (-3137 (($ $ $) 107 (|has| |#1| (-558)))) (-2631 (((-634 $) $) 30)) (-4362 (((-3 (-634 $) "failed") $) NIL)) (-2112 (((-3 (-634 $) "failed") $) NIL)) (-2617 (((-3 (-2 (|:| |var| |#2|) (|:| -3483 (-763))) "failed") $) NIL)) (-2157 (((-121) $ $) NIL) (((-121) $ (-634 $)) NIL)) (-1315 (($ $ $) NIL)) (-4436 (($ $) 21)) (-4342 (((-121) $ $) NIL)) (-3236 (((-121) $ $) NIL) (((-121) $ (-634 $)) NIL)) (-1452 (($ $ $) NIL)) (-3763 (($ $) 23)) (-4025 (((-1108) $) NIL)) (-4146 (((-2 (|:| -2723 $) (|:| |coef2| $)) $ $) 98 (|has| |#1| (-558)))) (-1832 (((-2 (|:| -2723 $) (|:| |coef1| $)) $ $) 95 (|has| |#1| (-558)))) (-2088 (((-121) $) 52)) (-2093 ((|#1| $) 55)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#1| (-453)))) (-2723 ((|#1| |#1| $) 115 (|has| |#1| (-453))) (($ (-634 $)) NIL (|has| |#1| (-453))) (($ $ $) NIL (|has| |#1| (-453)))) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-3850 (((-420 $) $) NIL (|has| |#1| (-904)))) (-3261 (((-2 (|:| -2723 $) (|:| |coef1| $) (|:| |coef2| $)) $ $) 101 (|has| |#1| (-558)))) (-2597 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-558))) (((-3 $ "failed") $ $) 83 (|has| |#1| (-558)))) (-2295 (($ $ |#1|) 111 (|has| |#1| (-558))) (($ $ $) NIL (|has| |#1| (-558)))) (-1574 (($ $ |#1|) 110 (|has| |#1| (-558))) (($ $ $) NIL (|has| |#1| (-558)))) (-1339 (($ $ (-634 (-288 $))) NIL) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL) (($ $ |#2| |#1|) NIL) (($ $ (-634 |#2|) (-634 |#1|)) NIL) (($ $ |#2| $) NIL) (($ $ (-634 |#2|) (-634 $)) NIL)) (-3440 (($ $ |#2|) NIL (|has| |#1| (-172)))) (-4191 (($ $ |#2|) NIL) (($ $ (-634 |#2|)) NIL) (($ $ |#2| (-763)) NIL) (($ $ (-634 |#2|) (-634 (-763))) NIL)) (-1836 (((-534 |#2|) $) NIL) (((-763) $ |#2|) 43) (((-634 (-763)) $ (-634 |#2|)) NIL)) (-1303 (($ $) NIL)) (-1595 (($ $) 33)) (-4280 (((-887 (-381)) $) NIL (-12 (|has| |#1| (-609 (-887 (-381)))) (|has| |#2| (-609 (-887 (-381)))))) (((-887 (-568)) $) NIL (-12 (|has| |#1| (-609 (-887 (-568)))) (|has| |#2| (-609 (-887 (-568)))))) (((-541) $) NIL (-12 (|has| |#1| (-609 (-541))) (|has| |#2| (-609 (-541))))) (($ (-953 (-409 (-568)))) NIL (-12 (|has| |#1| (-43 (-409 (-568)))) (|has| |#2| (-609 (-1161))))) (($ (-953 (-568))) NIL (-2199 (-12 (|has| |#1| (-43 (-568))) (|has| |#2| (-609 (-1161))) (-3046 (|has| |#1| (-43 (-409 (-568)))))) (-12 (|has| |#1| (-43 (-409 (-568)))) (|has| |#2| (-609 (-1161)))))) (($ (-953 |#1|)) NIL (|has| |#2| (-609 (-1161)))) (((-1143) $) NIL (-12 (|has| |#1| (-1037 (-568))) (|has| |#2| (-609 (-1161))))) (((-953 |#1|) $) NIL (|has| |#2| (-609 (-1161))))) (-1364 ((|#1| $) 114 (|has| |#1| (-453))) (($ $ |#2|) NIL (|has| |#1| (-453)))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-12 (|has| $ (-148)) (|has| |#1| (-904))))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ |#1|) NIL) (($ |#2|) NIL) (((-953 |#1|) $) NIL (|has| |#2| (-609 (-1161)))) (((-1113 |#1| |#2|) $) 15) (($ (-1113 |#1| |#2|)) 16) (($ (-409 (-568))) NIL (-2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-1037 (-409 (-568)))))) (($ $) NIL (|has| |#1| (-558)))) (-3304 (((-634 |#1|) $) NIL)) (-2079 ((|#1| $ (-534 |#2|)) NIL) (($ $ |#2| (-763)) 44) (($ $ (-634 |#2|) (-634 (-763))) NIL)) (-3385 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| |#1| (-904))) (|has| |#1| (-148))))) (-3425 (((-763)) NIL)) (-3925 (($ $ $ (-763)) NIL (|has| |#1| (-172)))) (-2273 (((-121) $ $) NIL (|has| |#1| (-558)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 13 T CONST)) (-3011 (((-3 (-121) "failed") $ $) NIL)) (-1557 (($) 35 T CONST)) (-4038 (($ $ $ $ (-763)) 87 (|has| |#1| (-558)))) (-3611 (($ $ $ (-763)) 86 (|has| |#1| (-558)))) (-3192 (($ $ |#2|) NIL) (($ $ (-634 |#2|)) NIL) (($ $ |#2| (-763)) NIL) (($ $ (-634 |#2|) (-634 (-763))) NIL)) (-1753 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1719 (((-121) $ $) 54)) (-1747 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1781 (($ $ |#1|) NIL (|has| |#1| (-365)))) (-1775 (($ $) NIL) (($ $ $) 63)) (-1769 (($ $ $) 73)) (** (($ $ (-917)) NIL) (($ $ (-763)) 61)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 59) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))) (($ (-409 (-568)) $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ |#1| $) 58) (($ $ |#1|) NIL))) 
-(((-775 |#1| |#2|) (-13 (-1061 |#1| (-534 |#2|) |#2|) (-608 (-1113 |#1| |#2|)) (-1037 (-1113 |#1| |#2|))) (-1047) (-842)) (T -775)) 
-NIL 
-(-13 (-1061 |#1| (-534 |#2|) |#2|) (-608 (-1113 |#1| |#2|)) (-1037 (-1113 |#1| |#2|))) 
-((-2797 (((-777 |#2|) (-1 |#2| |#1|) (-777 |#1|)) 13))) 
-(((-776 |#1| |#2|) (-10 -7 (-15 -2797 ((-777 |#2|) (-1 |#2| |#1|) (-777 |#1|)))) (-1047) (-1047)) (T -776)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-777 *5)) (-4 *5 (-1047)) (-4 *6 (-1047)) (-5 *2 (-777 *6)) (-5 *1 (-776 *5 *6))))) 
-(-10 -7 (-15 -2797 ((-777 |#2|) (-1 |#2| |#1|) (-777 |#1|)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 12)) (-1969 (((-1244 |#1|) $ (-763)) NIL)) (-2057 (((-634 (-1075)) $) NIL)) (-1807 (($ (-1157 |#1|)) NIL)) (-3840 (((-1157 $) $ (-1075)) NIL) (((-1157 |#1|) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#1| (-558)))) (-3661 (($ $) NIL (|has| |#1| (-558)))) (-4426 (((-121) $) NIL (|has| |#1| (-558)))) (-3528 (((-763) $) NIL) (((-763) $ (-634 (-1075))) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-2888 (((-634 $) $ $) 39 (|has| |#1| (-558)))) (-1736 (($ $ $) 35 (|has| |#1| (-558)))) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-3045 (($ $) NIL (|has| |#1| (-453)))) (-3498 (((-420 $) $) NIL (|has| |#1| (-453)))) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-2589 (((-121) $ $) NIL (|has| |#1| (-365)))) (-2752 (($ $ (-763)) NIL)) (-2699 (($ $ (-763)) NIL)) (-1448 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-453)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#1| "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-3 (-568) "failed") $) NIL (|has| |#1| (-1037 (-568)))) (((-3 (-1075) "failed") $) NIL) (((-3 (-1157 |#1|) "failed") $) 10)) (-2857 ((|#1| $) NIL) (((-409 (-568)) $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-568) $) NIL (|has| |#1| (-1037 (-568)))) (((-1075) $) NIL) (((-1157 |#1|) $) NIL)) (-2910 (($ $ $ (-1075)) NIL (|has| |#1| (-172))) ((|#1| $ $) 43 (|has| |#1| (-172)))) (-2403 (($ $ $) NIL (|has| |#1| (-365)))) (-2116 (($ $) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 |#1|))) (-679 $) (-1244 $)) NIL) (((-679 |#1|) (-679 $)) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-2414 (($ $ $) NIL (|has| |#1| (-365)))) (-3152 (($ $ $) NIL)) (-2929 (($ $ $) 71 (|has| |#1| (-558)))) (-3777 (((-2 (|:| -2350 |#1|) (|:| -4409 $) (|:| -2607 $)) $ $) 70 (|has| |#1| (-558)))) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL (|has| |#1| (-365)))) (-1998 (($ $) NIL (|has| |#1| (-453))) (($ $ (-1075)) NIL (|has| |#1| (-453)))) (-2110 (((-634 $) $) NIL)) (-2197 (((-121) $) NIL (|has| |#1| (-904)))) (-2453 (($ $ |#1| (-763) $) NIL)) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (-12 (|has| (-1075) (-881 (-381))) (|has| |#1| (-881 (-381))))) (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (-12 (|has| (-1075) (-881 (-568))) (|has| |#1| (-881 (-568)))))) (-1844 (((-763) $ $) NIL (|has| |#1| (-558)))) (-1598 (((-121) $) NIL)) (-3971 (((-763) $) NIL)) (-2214 (((-3 $ "failed") $) NIL (|has| |#1| (-1136)))) (-2053 (($ (-1157 |#1|) (-1075)) NIL) (($ (-1157 $) (-1075)) NIL)) (-4168 (($ $ (-763)) NIL)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-3062 (((-634 $) $) NIL)) (-2171 (((-121) $) NIL)) (-2049 (($ |#1| (-763)) NIL) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL)) (-1653 (($ $ $) 20)) (-1438 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $ (-1075)) NIL) (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-3524 (((-763) $) NIL) (((-763) $ (-1075)) NIL) (((-634 (-763)) $ (-634 (-1075))) NIL)) (-1732 (($ $ $) NIL (|has| |#1| (-842)))) (-2047 (($ $ $) NIL (|has| |#1| (-842)))) (-1865 (($ (-1 (-763) (-763)) $) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-2671 (((-1157 |#1|) $) NIL)) (-2817 (((-3 (-1075) "failed") $) NIL)) (-2099 (($ $) NIL)) (-2104 ((|#1| $) NIL)) (-2498 (($ (-634 $)) NIL (|has| |#1| (-453))) (($ $ $) NIL (|has| |#1| (-453)))) (-3481 (((-2 (|:| |polnum| $) (|:| |polden| |#1|) (|:| -2567 (-763))) $ $) 26)) (-1560 (($ $ $) 29)) (-4265 (($ $ $) 32)) (-2802 (((-2 (|:| -2350 |#1|) (|:| |gap| (-763)) (|:| -4409 $) (|:| -2607 $)) $ $) 31)) (-1893 (((-1143) $) NIL)) (-3137 (($ $ $) 41 (|has| |#1| (-558)))) (-3262 (((-2 (|:| -4409 $) (|:| -2607 $)) $ (-763)) NIL)) (-4362 (((-3 (-634 $) "failed") $) NIL)) (-2112 (((-3 (-634 $) "failed") $) NIL)) (-2617 (((-3 (-2 (|:| |var| (-1075)) (|:| -3483 (-763))) "failed") $) NIL)) (-1845 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4436 (($) NIL (|has| |#1| (-1136)) CONST)) (-4025 (((-1108) $) NIL)) (-4146 (((-2 (|:| -2723 $) (|:| |coef2| $)) $ $) 67 (|has| |#1| (-558)))) (-1832 (((-2 (|:| -2723 $) (|:| |coef1| $)) $ $) 63 (|has| |#1| (-558)))) (-3082 (((-2 (|:| -2910 |#1|) (|:| |coef2| $)) $ $) 55 (|has| |#1| (-558)))) (-1380 (((-2 (|:| -2910 |#1|) (|:| |coef1| $)) $ $) 51 (|has| |#1| (-558)))) (-2088 (((-121) $) 13)) (-2093 ((|#1| $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#1| (-453)))) (-2723 (($ (-634 $)) NIL (|has| |#1| (-453))) (($ $ $) NIL (|has| |#1| (-453)))) (-2973 (($ $ (-763) |#1| $) 19)) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-3850 (((-420 $) $) NIL (|has| |#1| (-904)))) (-3261 (((-2 (|:| -2723 $) (|:| |coef1| $) (|:| |coef2| $)) $ $) 59 (|has| |#1| (-558)))) (-2169 (((-2 (|:| -2910 |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $) 47 (|has| |#1| (-558)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-365))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#1| (-365)))) (-2597 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-558))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-558)))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-1339 (($ $ (-634 (-288 $))) NIL) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL) (($ $ (-1075) |#1|) NIL) (($ $ (-634 (-1075)) (-634 |#1|)) NIL) (($ $ (-1075) $) NIL) (($ $ (-634 (-1075)) (-634 $)) NIL)) (-1466 (((-763) $) NIL (|has| |#1| (-365)))) (-2781 ((|#1| $ |#1|) NIL) (($ $ $) NIL) (((-409 $) (-409 $) (-409 $)) NIL (|has| |#1| (-558))) ((|#1| (-409 $) |#1|) NIL (|has| |#1| (-365))) (((-409 $) $ (-409 $)) NIL (|has| |#1| (-558)))) (-3805 (((-3 $ "failed") $ (-763)) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-365)))) (-3440 (($ $ (-1075)) NIL (|has| |#1| (-172))) ((|#1| $) NIL (|has| |#1| (-172)))) (-4191 (($ $ (-1075)) NIL) (($ $ (-634 (-1075))) NIL) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL) (($ $ (-763)) NIL) (($ $) NIL) (($ $ (-1161)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-1836 (((-763) $) NIL) (((-763) $ (-1075)) NIL) (((-634 (-763)) $ (-634 (-1075))) NIL)) (-4280 (((-887 (-381)) $) NIL (-12 (|has| (-1075) (-609 (-887 (-381)))) (|has| |#1| (-609 (-887 (-381)))))) (((-887 (-568)) $) NIL (-12 (|has| (-1075) (-609 (-887 (-568)))) (|has| |#1| (-609 (-887 (-568)))))) (((-541) $) NIL (-12 (|has| (-1075) (-609 (-541))) (|has| |#1| (-609 (-541)))))) (-1364 ((|#1| $) NIL (|has| |#1| (-453))) (($ $ (-1075)) NIL (|has| |#1| (-453)))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-12 (|has| $ (-148)) (|has| |#1| (-904))))) (-4363 (((-3 $ "failed") $ $) NIL (|has| |#1| (-558))) (((-3 (-409 $) "failed") (-409 $) $) NIL (|has| |#1| (-558)))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ |#1|) NIL) (($ (-1075)) NIL) (((-1157 |#1|) $) 7) (($ (-1157 |#1|)) 8) (($ (-409 (-568))) NIL (-2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-1037 (-409 (-568)))))) (($ $) NIL (|has| |#1| (-558)))) (-3304 (((-634 |#1|) $) NIL)) (-2079 ((|#1| $ (-763)) NIL) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL)) (-3385 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| |#1| (-904))) (|has| |#1| (-148))))) (-3425 (((-763)) NIL)) (-3925 (($ $ $ (-763)) NIL (|has| |#1| (-172)))) (-2273 (((-121) $ $) NIL (|has| |#1| (-558)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 21 T CONST)) (-1557 (($) 24 T CONST)) (-3192 (($ $ (-1075)) NIL) (($ $ (-634 (-1075))) NIL) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL) (($ $ (-763)) NIL) (($ $) NIL) (($ $ (-1161)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1753 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1781 (($ $ |#1|) NIL (|has| |#1| (-365)))) (-1775 (($ $) 28) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))) (($ (-409 (-568)) $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ |#1| $) 23) (($ $ |#1|) NIL))) 
-(((-777 |#1|) (-13 (-1219 |#1|) (-608 (-1157 |#1|)) (-1037 (-1157 |#1|)) (-10 -8 (-15 -2973 ($ $ (-763) |#1| $)) (-15 -1653 ($ $ $)) (-15 -3481 ((-2 (|:| |polnum| $) (|:| |polden| |#1|) (|:| -2567 (-763))) $ $)) (-15 -1560 ($ $ $)) (-15 -2802 ((-2 (|:| -2350 |#1|) (|:| |gap| (-763)) (|:| -4409 $) (|:| -2607 $)) $ $)) (-15 -4265 ($ $ $)) (IF (|has| |#1| (-558)) (PROGN (-15 -2888 ((-634 $) $ $)) (-15 -3137 ($ $ $)) (-15 -3261 ((-2 (|:| -2723 $) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -1832 ((-2 (|:| -2723 $) (|:| |coef1| $)) $ $)) (-15 -4146 ((-2 (|:| -2723 $) (|:| |coef2| $)) $ $)) (-15 -2169 ((-2 (|:| -2910 |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -1380 ((-2 (|:| -2910 |#1|) (|:| |coef1| $)) $ $)) (-15 -3082 ((-2 (|:| -2910 |#1|) (|:| |coef2| $)) $ $))) |noBranch|))) (-1047)) (T -777)) 
-((-2973 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-763)) (-5 *1 (-777 *3)) (-4 *3 (-1047)))) (-1653 (*1 *1 *1 *1) (-12 (-5 *1 (-777 *2)) (-4 *2 (-1047)))) (-3481 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |polnum| (-777 *3)) (|:| |polden| *3) (|:| -2567 (-763)))) (-5 *1 (-777 *3)) (-4 *3 (-1047)))) (-1560 (*1 *1 *1 *1) (-12 (-5 *1 (-777 *2)) (-4 *2 (-1047)))) (-2802 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2350 *3) (|:| |gap| (-763)) (|:| -4409 (-777 *3)) (|:| -2607 (-777 *3)))) (-5 *1 (-777 *3)) (-4 *3 (-1047)))) (-4265 (*1 *1 *1 *1) (-12 (-5 *1 (-777 *2)) (-4 *2 (-1047)))) (-2888 (*1 *2 *1 *1) (-12 (-5 *2 (-634 (-777 *3))) (-5 *1 (-777 *3)) (-4 *3 (-558)) (-4 *3 (-1047)))) (-3137 (*1 *1 *1 *1) (-12 (-5 *1 (-777 *2)) (-4 *2 (-558)) (-4 *2 (-1047)))) (-3261 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2723 (-777 *3)) (|:| |coef1| (-777 *3)) (|:| |coef2| (-777 *3)))) (-5 *1 (-777 *3)) (-4 *3 (-558)) (-4 *3 (-1047)))) (-1832 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2723 (-777 *3)) (|:| |coef1| (-777 *3)))) (-5 *1 (-777 *3)) (-4 *3 (-558)) (-4 *3 (-1047)))) (-4146 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2723 (-777 *3)) (|:| |coef2| (-777 *3)))) (-5 *1 (-777 *3)) (-4 *3 (-558)) (-4 *3 (-1047)))) (-2169 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2910 *3) (|:| |coef1| (-777 *3)) (|:| |coef2| (-777 *3)))) (-5 *1 (-777 *3)) (-4 *3 (-558)) (-4 *3 (-1047)))) (-1380 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2910 *3) (|:| |coef1| (-777 *3)))) (-5 *1 (-777 *3)) (-4 *3 (-558)) (-4 *3 (-1047)))) (-3082 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2910 *3) (|:| |coef2| (-777 *3)))) (-5 *1 (-777 *3)) (-4 *3 (-558)) (-4 *3 (-1047))))) 
-(-13 (-1219 |#1|) (-608 (-1157 |#1|)) (-1037 (-1157 |#1|)) (-10 -8 (-15 -2973 ($ $ (-763) |#1| $)) (-15 -1653 ($ $ $)) (-15 -3481 ((-2 (|:| |polnum| $) (|:| |polden| |#1|) (|:| -2567 (-763))) $ $)) (-15 -1560 ($ $ $)) (-15 -2802 ((-2 (|:| -2350 |#1|) (|:| |gap| (-763)) (|:| -4409 $) (|:| -2607 $)) $ $)) (-15 -4265 ($ $ $)) (IF (|has| |#1| (-558)) (PROGN (-15 -2888 ((-634 $) $ $)) (-15 -3137 ($ $ $)) (-15 -3261 ((-2 (|:| -2723 $) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -1832 ((-2 (|:| -2723 $) (|:| |coef1| $)) $ $)) (-15 -4146 ((-2 (|:| -2723 $) (|:| |coef2| $)) $ $)) (-15 -2169 ((-2 (|:| -2910 |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -1380 ((-2 (|:| -2910 |#1|) (|:| |coef1| $)) $ $)) (-15 -3082 ((-2 (|:| -2910 |#1|) (|:| |coef2| $)) $ $))) |noBranch|))) 
-((-1835 ((|#1| (-763) |#1|) 32 (|has| |#1| (-43 (-409 (-568)))))) (-1526 ((|#1| (-763) |#1|) 22)) (-3090 ((|#1| (-763) |#1|) 34 (|has| |#1| (-43 (-409 (-568))))))) 
-(((-778 |#1|) (-10 -7 (-15 -1526 (|#1| (-763) |#1|)) (IF (|has| |#1| (-43 (-409 (-568)))) (PROGN (-15 -3090 (|#1| (-763) |#1|)) (-15 -1835 (|#1| (-763) |#1|))) |noBranch|)) (-172)) (T -778)) 
-((-1835 (*1 *2 *3 *2) (-12 (-5 *3 (-763)) (-5 *1 (-778 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-172)))) (-3090 (*1 *2 *3 *2) (-12 (-5 *3 (-763)) (-5 *1 (-778 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-172)))) (-1526 (*1 *2 *3 *2) (-12 (-5 *3 (-763)) (-5 *1 (-778 *2)) (-4 *2 (-172))))) 
-(-10 -7 (-15 -1526 (|#1| (-763) |#1|)) (IF (|has| |#1| (-43 (-409 (-568)))) (PROGN (-15 -3090 (|#1| (-763) |#1|)) (-15 -1835 (|#1| (-763) |#1|))) |noBranch|)) 
-((-2449 (((-121) $ $) 7)) (-2213 (((-634 (-2 (|:| -4094 $) (|:| -2133 (-634 |#4|)))) (-634 |#4|)) 78)) (-2353 (((-634 $) (-634 |#4|)) 79) (((-634 $) (-634 |#4|) (-121)) 104)) (-2057 (((-634 |#3|) $) 32)) (-4141 (((-121) $) 25)) (-1794 (((-121) $) 16 (|has| |#1| (-558)))) (-4231 (((-121) |#4| $) 94) (((-121) $) 90)) (-3767 ((|#4| |#4| $) 85)) (-3045 (((-634 (-2 (|:| |val| |#4|) (|:| -3145 $))) |#4| $) 119)) (-3647 (((-2 (|:| |under| $) (|:| -4115 $) (|:| |upper| $)) $ |#3|) 26)) (-1667 (((-121) $ (-763)) 43)) (-2803 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4521))) (((-3 |#4| "failed") $ |#3|) 72)) (-4490 (($) 44 T CONST)) (-4382 (((-121) $) 21 (|has| |#1| (-558)))) (-1880 (((-121) $ $) 23 (|has| |#1| (-558)))) (-2536 (((-121) $ $) 22 (|has| |#1| (-558)))) (-2343 (((-121) $) 24 (|has| |#1| (-558)))) (-2941 (((-634 |#4|) (-634 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-3993 (((-634 |#4|) (-634 |#4|) $) 17 (|has| |#1| (-558)))) (-2727 (((-634 |#4|) (-634 |#4|) $) 18 (|has| |#1| (-558)))) (-3668 (((-3 $ "failed") (-634 |#4|)) 35)) (-2857 (($ (-634 |#4|)) 34)) (-3936 (((-3 $ "failed") $) 75)) (-3255 ((|#4| |#4| $) 82)) (-3926 (($ $) 67 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521))))) (-4330 (($ |#4| $) 66 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4521)))) (-2607 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-558)))) (-1359 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-3434 ((|#4| |#4| $) 80)) (-3094 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4521))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4521))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-3158 (((-2 (|:| -4094 (-634 |#4|)) (|:| -2133 (-634 |#4|))) $) 98)) (-2451 (((-121) |#4| $) 129)) (-2978 (((-121) |#4| $) 126)) (-1792 (((-121) |#4| $) 130) (((-121) $) 127)) (-3317 (((-634 |#4|) $) 51 (|has| $ (-6 -4521)))) (-3764 (((-121) |#4| $) 97) (((-121) $) 96)) (-4001 ((|#3| $) 33)) (-3791 (((-121) $ (-763)) 42)) (-4406 (((-634 |#4|) $) 52 (|has| $ (-6 -4521)))) (-2551 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521))))) (-2253 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#4| |#4|) $) 46)) (-2249 (((-634 |#3|) $) 31)) (-1495 (((-121) |#3| $) 30)) (-3796 (((-121) $ (-763)) 41)) (-1893 (((-1143) $) 9)) (-1516 (((-3 |#4| (-634 $)) |#4| |#4| $) 121)) (-3137 (((-634 (-2 (|:| |val| |#4|) (|:| -3145 $))) |#4| |#4| $) 120)) (-4164 (((-3 |#4| "failed") $) 76)) (-3878 (((-634 $) |#4| $) 122)) (-3712 (((-3 (-121) (-634 $)) |#4| $) 125)) (-4266 (((-634 (-2 (|:| |val| (-121)) (|:| -3145 $))) |#4| $) 124) (((-121) |#4| $) 123)) (-1864 (((-634 $) |#4| $) 118) (((-634 $) (-634 |#4|) $) 117) (((-634 $) (-634 |#4|) (-634 $)) 116) (((-634 $) |#4| (-634 $)) 115)) (-3736 (($ |#4| $) 110) (($ (-634 |#4|) $) 109)) (-3882 (((-634 |#4|) $) 100)) (-2157 (((-121) |#4| $) 92) (((-121) $) 88)) (-1315 ((|#4| |#4| $) 83)) (-4342 (((-121) $ $) 103)) (-1440 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-558)))) (-3236 (((-121) |#4| $) 93) (((-121) $) 89)) (-1452 ((|#4| |#4| $) 84)) (-4025 (((-1108) $) 10)) (-3877 (((-3 |#4| "failed") $) 77)) (-2712 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-3413 (((-3 $ "failed") $ |#4|) 71)) (-2168 (($ $ |#4|) 70) (((-634 $) |#4| $) 108) (((-634 $) |#4| (-634 $)) 107) (((-634 $) (-634 |#4|) $) 106) (((-634 $) (-634 |#4|) (-634 $)) 105)) (-3951 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 |#4|) (-634 |#4|)) 58 (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ (-288 |#4|)) 56 (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ (-634 (-288 |#4|))) 55 (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090))))) (-1702 (((-121) $ $) 37)) (-2436 (((-121) $) 40)) (-1990 (($) 39)) (-1836 (((-763) $) 99)) (-4170 (((-763) |#4| $) 53 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521)))) (((-763) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4521)))) (-3865 (($ $) 38)) (-4280 (((-541) $) 68 (|has| |#4| (-609 (-541))))) (-4289 (($ (-634 |#4|)) 59)) (-3206 (($ $ |#3|) 27)) (-2527 (($ $ |#3|) 29)) (-4392 (($ $) 81)) (-4332 (($ $ |#3|) 28)) (-2747 (((-850) $) 11) (((-634 |#4|) $) 36)) (-2524 (((-763) $) 69 (|has| |#3| (-370)))) (-2835 (((-3 (-2 (|:| |bas| $) (|:| -2618 (-634 |#4|))) "failed") (-634 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -2618 (-634 |#4|))) "failed") (-634 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-2145 (((-121) $ (-1 (-121) |#4| (-634 |#4|))) 91)) (-1977 (((-634 $) |#4| $) 114) (((-634 $) |#4| (-634 $)) 113) (((-634 $) (-634 |#4|) $) 112) (((-634 $) (-634 |#4|) (-634 $)) 111)) (-3437 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4521)))) (-3321 (((-634 |#3|) $) 74)) (-3541 (((-121) |#4| $) 128)) (-1413 (((-121) |#3| $) 73)) (-1719 (((-121) $ $) 6)) (-1699 (((-763) $) 45 (|has| $ (-6 -4521))))) 
-(((-779 |#1| |#2| |#3| |#4|) (-1275) (-453) (-788) (-842) (-1061 |t#1| |t#2| |t#3|)) (T -779)) 
-NIL 
-(-13 (-1066 |t#1| |t#2| |t#3| |t#4|)) 
-(((-39) . T) ((-105) . T) ((-608 (-634 |#4|)) . T) ((-608 (-850)) . T) ((-154 |#4|) . T) ((-609 (-541)) |has| |#4| (-609 (-541))) ((-303 |#4|) -12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090))) ((-499 |#4|) . T) ((-523 |#4| |#4|) -12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090))) ((-977 |#1| |#2| |#3| |#4|) . T) ((-1066 |#1| |#2| |#3| |#4|) . T) ((-1090) . T) ((-1189 |#1| |#2| |#3| |#4|) . T) ((-1195) . T)) 
-((-2454 (((-3 (-381) "failed") (-310 |#1|) (-917)) 60 (-12 (|has| |#1| (-558)) (|has| |#1| (-842)))) (((-3 (-381) "failed") (-310 |#1|)) 52 (-12 (|has| |#1| (-558)) (|has| |#1| (-842)))) (((-3 (-381) "failed") (-409 (-953 |#1|)) (-917)) 39 (|has| |#1| (-558))) (((-3 (-381) "failed") (-409 (-953 |#1|))) 35 (|has| |#1| (-558))) (((-3 (-381) "failed") (-953 |#1|) (-917)) 30 (|has| |#1| (-1047))) (((-3 (-381) "failed") (-953 |#1|)) 24 (|has| |#1| (-1047)))) (-2951 (((-381) (-310 |#1|) (-917)) 92 (-12 (|has| |#1| (-558)) (|has| |#1| (-842)))) (((-381) (-310 |#1|)) 87 (-12 (|has| |#1| (-558)) (|has| |#1| (-842)))) (((-381) (-409 (-953 |#1|)) (-917)) 84 (|has| |#1| (-558))) (((-381) (-409 (-953 |#1|))) 81 (|has| |#1| (-558))) (((-381) (-953 |#1|) (-917)) 80 (|has| |#1| (-1047))) (((-381) (-953 |#1|)) 77 (|has| |#1| (-1047))) (((-381) |#1| (-917)) 73) (((-381) |#1|) 22)) (-2165 (((-3 (-169 (-381)) "failed") (-310 (-169 |#1|)) (-917)) 68 (-12 (|has| |#1| (-558)) (|has| |#1| (-842)))) (((-3 (-169 (-381)) "failed") (-310 (-169 |#1|))) 58 (-12 (|has| |#1| (-558)) (|has| |#1| (-842)))) (((-3 (-169 (-381)) "failed") (-310 |#1|) (-917)) 61 (-12 (|has| |#1| (-558)) (|has| |#1| (-842)))) (((-3 (-169 (-381)) "failed") (-310 |#1|)) 59 (-12 (|has| |#1| (-558)) (|has| |#1| (-842)))) (((-3 (-169 (-381)) "failed") (-409 (-953 (-169 |#1|))) (-917)) 44 (|has| |#1| (-558))) (((-3 (-169 (-381)) "failed") (-409 (-953 (-169 |#1|)))) 43 (|has| |#1| (-558))) (((-3 (-169 (-381)) "failed") (-409 (-953 |#1|)) (-917)) 38 (|has| |#1| (-558))) (((-3 (-169 (-381)) "failed") (-409 (-953 |#1|))) 37 (|has| |#1| (-558))) (((-3 (-169 (-381)) "failed") (-953 |#1|) (-917)) 28 (|has| |#1| (-1047))) (((-3 (-169 (-381)) "failed") (-953 |#1|)) 26 (|has| |#1| (-1047))) (((-3 (-169 (-381)) "failed") (-953 (-169 |#1|)) (-917)) 17 (|has| |#1| (-172))) (((-3 (-169 (-381)) "failed") (-953 (-169 |#1|))) 14 (|has| |#1| (-172)))) (-3823 (((-169 (-381)) (-310 (-169 |#1|)) (-917)) 95 (-12 (|has| |#1| (-558)) (|has| |#1| (-842)))) (((-169 (-381)) (-310 (-169 |#1|))) 94 (-12 (|has| |#1| (-558)) (|has| |#1| (-842)))) (((-169 (-381)) (-310 |#1|) (-917)) 93 (-12 (|has| |#1| (-558)) (|has| |#1| (-842)))) (((-169 (-381)) (-310 |#1|)) 91 (-12 (|has| |#1| (-558)) (|has| |#1| (-842)))) (((-169 (-381)) (-409 (-953 (-169 |#1|))) (-917)) 86 (|has| |#1| (-558))) (((-169 (-381)) (-409 (-953 (-169 |#1|)))) 85 (|has| |#1| (-558))) (((-169 (-381)) (-409 (-953 |#1|)) (-917)) 83 (|has| |#1| (-558))) (((-169 (-381)) (-409 (-953 |#1|))) 82 (|has| |#1| (-558))) (((-169 (-381)) (-953 |#1|) (-917)) 79 (|has| |#1| (-1047))) (((-169 (-381)) (-953 |#1|)) 78 (|has| |#1| (-1047))) (((-169 (-381)) (-953 (-169 |#1|)) (-917)) 75 (|has| |#1| (-172))) (((-169 (-381)) (-953 (-169 |#1|))) 74 (|has| |#1| (-172))) (((-169 (-381)) (-169 |#1|) (-917)) 16 (|has| |#1| (-172))) (((-169 (-381)) (-169 |#1|)) 12 (|has| |#1| (-172))) (((-169 (-381)) |#1| (-917)) 27) (((-169 (-381)) |#1|) 25))) 
-(((-780 |#1|) (-10 -7 (-15 -2951 ((-381) |#1|)) (-15 -2951 ((-381) |#1| (-917))) (-15 -3823 ((-169 (-381)) |#1|)) (-15 -3823 ((-169 (-381)) |#1| (-917))) (IF (|has| |#1| (-172)) (PROGN (-15 -3823 ((-169 (-381)) (-169 |#1|))) (-15 -3823 ((-169 (-381)) (-169 |#1|) (-917))) (-15 -3823 ((-169 (-381)) (-953 (-169 |#1|)))) (-15 -3823 ((-169 (-381)) (-953 (-169 |#1|)) (-917)))) |noBranch|) (IF (|has| |#1| (-1047)) (PROGN (-15 -2951 ((-381) (-953 |#1|))) (-15 -2951 ((-381) (-953 |#1|) (-917))) (-15 -3823 ((-169 (-381)) (-953 |#1|))) (-15 -3823 ((-169 (-381)) (-953 |#1|) (-917)))) |noBranch|) (IF (|has| |#1| (-558)) (PROGN (-15 -2951 ((-381) (-409 (-953 |#1|)))) (-15 -2951 ((-381) (-409 (-953 |#1|)) (-917))) (-15 -3823 ((-169 (-381)) (-409 (-953 |#1|)))) (-15 -3823 ((-169 (-381)) (-409 (-953 |#1|)) (-917))) (-15 -3823 ((-169 (-381)) (-409 (-953 (-169 |#1|))))) (-15 -3823 ((-169 (-381)) (-409 (-953 (-169 |#1|))) (-917))) (IF (|has| |#1| (-842)) (PROGN (-15 -2951 ((-381) (-310 |#1|))) (-15 -2951 ((-381) (-310 |#1|) (-917))) (-15 -3823 ((-169 (-381)) (-310 |#1|))) (-15 -3823 ((-169 (-381)) (-310 |#1|) (-917))) (-15 -3823 ((-169 (-381)) (-310 (-169 |#1|)))) (-15 -3823 ((-169 (-381)) (-310 (-169 |#1|)) (-917)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-172)) (PROGN (-15 -2165 ((-3 (-169 (-381)) "failed") (-953 (-169 |#1|)))) (-15 -2165 ((-3 (-169 (-381)) "failed") (-953 (-169 |#1|)) (-917)))) |noBranch|) (IF (|has| |#1| (-1047)) (PROGN (-15 -2454 ((-3 (-381) "failed") (-953 |#1|))) (-15 -2454 ((-3 (-381) "failed") (-953 |#1|) (-917))) (-15 -2165 ((-3 (-169 (-381)) "failed") (-953 |#1|))) (-15 -2165 ((-3 (-169 (-381)) "failed") (-953 |#1|) (-917)))) |noBranch|) (IF (|has| |#1| (-558)) (PROGN (-15 -2454 ((-3 (-381) "failed") (-409 (-953 |#1|)))) (-15 -2454 ((-3 (-381) "failed") (-409 (-953 |#1|)) (-917))) (-15 -2165 ((-3 (-169 (-381)) "failed") (-409 (-953 |#1|)))) (-15 -2165 ((-3 (-169 (-381)) "failed") (-409 (-953 |#1|)) (-917))) (-15 -2165 ((-3 (-169 (-381)) "failed") (-409 (-953 (-169 |#1|))))) (-15 -2165 ((-3 (-169 (-381)) "failed") (-409 (-953 (-169 |#1|))) (-917))) (IF (|has| |#1| (-842)) (PROGN (-15 -2454 ((-3 (-381) "failed") (-310 |#1|))) (-15 -2454 ((-3 (-381) "failed") (-310 |#1|) (-917))) (-15 -2165 ((-3 (-169 (-381)) "failed") (-310 |#1|))) (-15 -2165 ((-3 (-169 (-381)) "failed") (-310 |#1|) (-917))) (-15 -2165 ((-3 (-169 (-381)) "failed") (-310 (-169 |#1|)))) (-15 -2165 ((-3 (-169 (-381)) "failed") (-310 (-169 |#1|)) (-917)))) |noBranch|)) |noBranch|)) (-609 (-381))) (T -780)) 
-((-2165 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-310 (-169 *5))) (-5 *4 (-917)) (-4 *5 (-558)) (-4 *5 (-842)) (-4 *5 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *5)))) (-2165 (*1 *2 *3) (|partial| -12 (-5 *3 (-310 (-169 *4))) (-4 *4 (-558)) (-4 *4 (-842)) (-4 *4 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *4)))) (-2165 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-310 *5)) (-5 *4 (-917)) (-4 *5 (-558)) (-4 *5 (-842)) (-4 *5 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *5)))) (-2165 (*1 *2 *3) (|partial| -12 (-5 *3 (-310 *4)) (-4 *4 (-558)) (-4 *4 (-842)) (-4 *4 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *4)))) (-2454 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-310 *5)) (-5 *4 (-917)) (-4 *5 (-558)) (-4 *5 (-842)) (-4 *5 (-609 *2)) (-5 *2 (-381)) (-5 *1 (-780 *5)))) (-2454 (*1 *2 *3) (|partial| -12 (-5 *3 (-310 *4)) (-4 *4 (-558)) (-4 *4 (-842)) (-4 *4 (-609 *2)) (-5 *2 (-381)) (-5 *1 (-780 *4)))) (-2165 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-409 (-953 (-169 *5)))) (-5 *4 (-917)) (-4 *5 (-558)) (-4 *5 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *5)))) (-2165 (*1 *2 *3) (|partial| -12 (-5 *3 (-409 (-953 (-169 *4)))) (-4 *4 (-558)) (-4 *4 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *4)))) (-2165 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-409 (-953 *5))) (-5 *4 (-917)) (-4 *5 (-558)) (-4 *5 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *5)))) (-2165 (*1 *2 *3) (|partial| -12 (-5 *3 (-409 (-953 *4))) (-4 *4 (-558)) (-4 *4 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *4)))) (-2454 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-409 (-953 *5))) (-5 *4 (-917)) (-4 *5 (-558)) (-4 *5 (-609 *2)) (-5 *2 (-381)) (-5 *1 (-780 *5)))) (-2454 (*1 *2 *3) (|partial| -12 (-5 *3 (-409 (-953 *4))) (-4 *4 (-558)) (-4 *4 (-609 *2)) (-5 *2 (-381)) (-5 *1 (-780 *4)))) (-2165 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-953 *5)) (-5 *4 (-917)) (-4 *5 (-1047)) (-4 *5 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *5)))) (-2165 (*1 *2 *3) (|partial| -12 (-5 *3 (-953 *4)) (-4 *4 (-1047)) (-4 *4 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *4)))) (-2454 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-953 *5)) (-5 *4 (-917)) (-4 *5 (-1047)) (-4 *5 (-609 *2)) (-5 *2 (-381)) (-5 *1 (-780 *5)))) (-2454 (*1 *2 *3) (|partial| -12 (-5 *3 (-953 *4)) (-4 *4 (-1047)) (-4 *4 (-609 *2)) (-5 *2 (-381)) (-5 *1 (-780 *4)))) (-2165 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-953 (-169 *5))) (-5 *4 (-917)) (-4 *5 (-172)) (-4 *5 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *5)))) (-2165 (*1 *2 *3) (|partial| -12 (-5 *3 (-953 (-169 *4))) (-4 *4 (-172)) (-4 *4 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *4)))) (-3823 (*1 *2 *3 *4) (-12 (-5 *3 (-310 (-169 *5))) (-5 *4 (-917)) (-4 *5 (-558)) (-4 *5 (-842)) (-4 *5 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *5)))) (-3823 (*1 *2 *3) (-12 (-5 *3 (-310 (-169 *4))) (-4 *4 (-558)) (-4 *4 (-842)) (-4 *4 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *4)))) (-3823 (*1 *2 *3 *4) (-12 (-5 *3 (-310 *5)) (-5 *4 (-917)) (-4 *5 (-558)) (-4 *5 (-842)) (-4 *5 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *5)))) (-3823 (*1 *2 *3) (-12 (-5 *3 (-310 *4)) (-4 *4 (-558)) (-4 *4 (-842)) (-4 *4 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *4)))) (-2951 (*1 *2 *3 *4) (-12 (-5 *3 (-310 *5)) (-5 *4 (-917)) (-4 *5 (-558)) (-4 *5 (-842)) (-4 *5 (-609 *2)) (-5 *2 (-381)) (-5 *1 (-780 *5)))) (-2951 (*1 *2 *3) (-12 (-5 *3 (-310 *4)) (-4 *4 (-558)) (-4 *4 (-842)) (-4 *4 (-609 *2)) (-5 *2 (-381)) (-5 *1 (-780 *4)))) (-3823 (*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 (-169 *5)))) (-5 *4 (-917)) (-4 *5 (-558)) (-4 *5 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *5)))) (-3823 (*1 *2 *3) (-12 (-5 *3 (-409 (-953 (-169 *4)))) (-4 *4 (-558)) (-4 *4 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *4)))) (-3823 (*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 *5))) (-5 *4 (-917)) (-4 *5 (-558)) (-4 *5 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *5)))) (-3823 (*1 *2 *3) (-12 (-5 *3 (-409 (-953 *4))) (-4 *4 (-558)) (-4 *4 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *4)))) (-2951 (*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 *5))) (-5 *4 (-917)) (-4 *5 (-558)) (-4 *5 (-609 *2)) (-5 *2 (-381)) (-5 *1 (-780 *5)))) (-2951 (*1 *2 *3) (-12 (-5 *3 (-409 (-953 *4))) (-4 *4 (-558)) (-4 *4 (-609 *2)) (-5 *2 (-381)) (-5 *1 (-780 *4)))) (-3823 (*1 *2 *3 *4) (-12 (-5 *3 (-953 *5)) (-5 *4 (-917)) (-4 *5 (-1047)) (-4 *5 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *5)))) (-3823 (*1 *2 *3) (-12 (-5 *3 (-953 *4)) (-4 *4 (-1047)) (-4 *4 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *4)))) (-2951 (*1 *2 *3 *4) (-12 (-5 *3 (-953 *5)) (-5 *4 (-917)) (-4 *5 (-1047)) (-4 *5 (-609 *2)) (-5 *2 (-381)) (-5 *1 (-780 *5)))) (-2951 (*1 *2 *3) (-12 (-5 *3 (-953 *4)) (-4 *4 (-1047)) (-4 *4 (-609 *2)) (-5 *2 (-381)) (-5 *1 (-780 *4)))) (-3823 (*1 *2 *3 *4) (-12 (-5 *3 (-953 (-169 *5))) (-5 *4 (-917)) (-4 *5 (-172)) (-4 *5 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *5)))) (-3823 (*1 *2 *3) (-12 (-5 *3 (-953 (-169 *4))) (-4 *4 (-172)) (-4 *4 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *4)))) (-3823 (*1 *2 *3 *4) (-12 (-5 *3 (-169 *5)) (-5 *4 (-917)) (-4 *5 (-172)) (-4 *5 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *5)))) (-3823 (*1 *2 *3) (-12 (-5 *3 (-169 *4)) (-4 *4 (-172)) (-4 *4 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *4)))) (-3823 (*1 *2 *3 *4) (-12 (-5 *4 (-917)) (-5 *2 (-169 (-381))) (-5 *1 (-780 *3)) (-4 *3 (-609 (-381))))) (-3823 (*1 *2 *3) (-12 (-5 *2 (-169 (-381))) (-5 *1 (-780 *3)) (-4 *3 (-609 (-381))))) (-2951 (*1 *2 *3 *4) (-12 (-5 *4 (-917)) (-5 *2 (-381)) (-5 *1 (-780 *3)) (-4 *3 (-609 *2)))) (-2951 (*1 *2 *3) (-12 (-5 *2 (-381)) (-5 *1 (-780 *3)) (-4 *3 (-609 *2))))) 
-(-10 -7 (-15 -2951 ((-381) |#1|)) (-15 -2951 ((-381) |#1| (-917))) (-15 -3823 ((-169 (-381)) |#1|)) (-15 -3823 ((-169 (-381)) |#1| (-917))) (IF (|has| |#1| (-172)) (PROGN (-15 -3823 ((-169 (-381)) (-169 |#1|))) (-15 -3823 ((-169 (-381)) (-169 |#1|) (-917))) (-15 -3823 ((-169 (-381)) (-953 (-169 |#1|)))) (-15 -3823 ((-169 (-381)) (-953 (-169 |#1|)) (-917)))) |noBranch|) (IF (|has| |#1| (-1047)) (PROGN (-15 -2951 ((-381) (-953 |#1|))) (-15 -2951 ((-381) (-953 |#1|) (-917))) (-15 -3823 ((-169 (-381)) (-953 |#1|))) (-15 -3823 ((-169 (-381)) (-953 |#1|) (-917)))) |noBranch|) (IF (|has| |#1| (-558)) (PROGN (-15 -2951 ((-381) (-409 (-953 |#1|)))) (-15 -2951 ((-381) (-409 (-953 |#1|)) (-917))) (-15 -3823 ((-169 (-381)) (-409 (-953 |#1|)))) (-15 -3823 ((-169 (-381)) (-409 (-953 |#1|)) (-917))) (-15 -3823 ((-169 (-381)) (-409 (-953 (-169 |#1|))))) (-15 -3823 ((-169 (-381)) (-409 (-953 (-169 |#1|))) (-917))) (IF (|has| |#1| (-842)) (PROGN (-15 -2951 ((-381) (-310 |#1|))) (-15 -2951 ((-381) (-310 |#1|) (-917))) (-15 -3823 ((-169 (-381)) (-310 |#1|))) (-15 -3823 ((-169 (-381)) (-310 |#1|) (-917))) (-15 -3823 ((-169 (-381)) (-310 (-169 |#1|)))) (-15 -3823 ((-169 (-381)) (-310 (-169 |#1|)) (-917)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-172)) (PROGN (-15 -2165 ((-3 (-169 (-381)) "failed") (-953 (-169 |#1|)))) (-15 -2165 ((-3 (-169 (-381)) "failed") (-953 (-169 |#1|)) (-917)))) |noBranch|) (IF (|has| |#1| (-1047)) (PROGN (-15 -2454 ((-3 (-381) "failed") (-953 |#1|))) (-15 -2454 ((-3 (-381) "failed") (-953 |#1|) (-917))) (-15 -2165 ((-3 (-169 (-381)) "failed") (-953 |#1|))) (-15 -2165 ((-3 (-169 (-381)) "failed") (-953 |#1|) (-917)))) |noBranch|) (IF (|has| |#1| (-558)) (PROGN (-15 -2454 ((-3 (-381) "failed") (-409 (-953 |#1|)))) (-15 -2454 ((-3 (-381) "failed") (-409 (-953 |#1|)) (-917))) (-15 -2165 ((-3 (-169 (-381)) "failed") (-409 (-953 |#1|)))) (-15 -2165 ((-3 (-169 (-381)) "failed") (-409 (-953 |#1|)) (-917))) (-15 -2165 ((-3 (-169 (-381)) "failed") (-409 (-953 (-169 |#1|))))) (-15 -2165 ((-3 (-169 (-381)) "failed") (-409 (-953 (-169 |#1|))) (-917))) (IF (|has| |#1| (-842)) (PROGN (-15 -2454 ((-3 (-381) "failed") (-310 |#1|))) (-15 -2454 ((-3 (-381) "failed") (-310 |#1|) (-917))) (-15 -2165 ((-3 (-169 (-381)) "failed") (-310 |#1|))) (-15 -2165 ((-3 (-169 (-381)) "failed") (-310 |#1|) (-917))) (-15 -2165 ((-3 (-169 (-381)) "failed") (-310 (-169 |#1|)))) (-15 -2165 ((-3 (-169 (-381)) "failed") (-310 (-169 |#1|)) (-917)))) |noBranch|)) |noBranch|)) 
-((-4108 (((-917) (-1143)) 63)) (-2822 (((-3 (-381) "failed") (-1143)) 32)) (-1276 (((-381) (-1143)) 30)) (-3678 (((-917) (-1143)) 53)) (-2972 (((-1143) (-917)) 54)) (-4218 (((-1143) (-917)) 52))) 
-(((-781) (-10 -7 (-15 -4218 ((-1143) (-917))) (-15 -3678 ((-917) (-1143))) (-15 -2972 ((-1143) (-917))) (-15 -4108 ((-917) (-1143))) (-15 -1276 ((-381) (-1143))) (-15 -2822 ((-3 (-381) "failed") (-1143))))) (T -781)) 
-((-2822 (*1 *2 *3) (|partial| -12 (-5 *3 (-1143)) (-5 *2 (-381)) (-5 *1 (-781)))) (-1276 (*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-381)) (-5 *1 (-781)))) (-4108 (*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-917)) (-5 *1 (-781)))) (-2972 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1143)) (-5 *1 (-781)))) (-3678 (*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-917)) (-5 *1 (-781)))) (-4218 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1143)) (-5 *1 (-781))))) 
-(-10 -7 (-15 -4218 ((-1143) (-917))) (-15 -3678 ((-917) (-1143))) (-15 -2972 ((-1143) (-917))) (-15 -4108 ((-917) (-1143))) (-15 -1276 ((-381) (-1143))) (-15 -2822 ((-3 (-381) "failed") (-1143)))) 
-((-2449 (((-121) $ $) 7)) (-3318 (((-1035) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) (-1035)) 14) (((-1035) (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) (-1035)) 12)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035))) (-1059) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 15) (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035))) (-1059) (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 13)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-1719 (((-121) $ $) 6))) 
-(((-782) (-1275)) (T -782)) 
-((-3031 (*1 *2 *3 *4) (-12 (-4 *1 (-782)) (-5 *3 (-1059)) (-5 *4 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035)))))) (-3318 (*1 *2 *3 *2) (-12 (-4 *1 (-782)) (-5 *2 (-1035)) (-5 *3 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))))) (-3031 (*1 *2 *3 *4) (-12 (-4 *1 (-782)) (-5 *3 (-1059)) (-5 *4 (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035)))))) (-3318 (*1 *2 *3 *2) (-12 (-4 *1 (-782)) (-5 *2 (-1035)) (-5 *3 (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))))) 
-(-13 (-1090) (-10 -7 (-15 -3031 ((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035))) (-1059) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -3318 ((-1035) (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) (-1035))) (-15 -3031 ((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035))) (-1059) (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -3318 ((-1035) (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) (-1035))))) 
-(((-105) . T) ((-608 (-850)) . T) ((-1090) . T)) 
-((-3682 (((-1249) (-1244 (-381)) (-568) (-381) (-2 (|:| |try| (-381)) (|:| |did| (-381)) (|:| -3652 (-381))) (-381) (-1244 (-381)) (-1 (-1249) (-1244 (-381)) (-1244 (-381)) (-381)) (-1244 (-381)) (-1244 (-381)) (-1244 (-381)) (-1244 (-381)) (-1244 (-381)) (-1244 (-381)) (-1244 (-381))) 44) (((-1249) (-1244 (-381)) (-568) (-381) (-2 (|:| |try| (-381)) (|:| |did| (-381)) (|:| -3652 (-381))) (-381) (-1244 (-381)) (-1 (-1249) (-1244 (-381)) (-1244 (-381)) (-381))) 43)) (-3339 (((-1249) (-1244 (-381)) (-568) (-381) (-381) (-568) (-1 (-1249) (-1244 (-381)) (-1244 (-381)) (-381))) 50)) (-3336 (((-1249) (-1244 (-381)) (-568) (-381) (-381) (-381) (-381) (-568) (-1 (-1249) (-1244 (-381)) (-1244 (-381)) (-381))) 41)) (-2114 (((-1249) (-1244 (-381)) (-568) (-381) (-381) (-1 (-1249) (-1244 (-381)) (-1244 (-381)) (-381)) (-1244 (-381)) (-1244 (-381)) (-1244 (-381)) (-1244 (-381))) 52) (((-1249) (-1244 (-381)) (-568) (-381) (-381) (-1 (-1249) (-1244 (-381)) (-1244 (-381)) (-381))) 51))) 
-(((-783) (-10 -7 (-15 -2114 ((-1249) (-1244 (-381)) (-568) (-381) (-381) (-1 (-1249) (-1244 (-381)) (-1244 (-381)) (-381)))) (-15 -2114 ((-1249) (-1244 (-381)) (-568) (-381) (-381) (-1 (-1249) (-1244 (-381)) (-1244 (-381)) (-381)) (-1244 (-381)) (-1244 (-381)) (-1244 (-381)) (-1244 (-381)))) (-15 -3336 ((-1249) (-1244 (-381)) (-568) (-381) (-381) (-381) (-381) (-568) (-1 (-1249) (-1244 (-381)) (-1244 (-381)) (-381)))) (-15 -3682 ((-1249) (-1244 (-381)) (-568) (-381) (-2 (|:| |try| (-381)) (|:| |did| (-381)) (|:| -3652 (-381))) (-381) (-1244 (-381)) (-1 (-1249) (-1244 (-381)) (-1244 (-381)) (-381)))) (-15 -3682 ((-1249) (-1244 (-381)) (-568) (-381) (-2 (|:| |try| (-381)) (|:| |did| (-381)) (|:| -3652 (-381))) (-381) (-1244 (-381)) (-1 (-1249) (-1244 (-381)) (-1244 (-381)) (-381)) (-1244 (-381)) (-1244 (-381)) (-1244 (-381)) (-1244 (-381)) (-1244 (-381)) (-1244 (-381)) (-1244 (-381)))) (-15 -3339 ((-1249) (-1244 (-381)) (-568) (-381) (-381) (-568) (-1 (-1249) (-1244 (-381)) (-1244 (-381)) (-381)))))) (T -783)) 
-((-3339 (*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *4 (-568)) (-5 *6 (-1 (-1249) (-1244 *5) (-1244 *5) (-381))) (-5 *3 (-1244 (-381))) (-5 *5 (-381)) (-5 *2 (-1249)) (-5 *1 (-783)))) (-3682 (*1 *2 *3 *4 *5 *6 *5 *3 *7 *3 *3 *3 *3 *3 *3 *3) (-12 (-5 *4 (-568)) (-5 *6 (-2 (|:| |try| (-381)) (|:| |did| (-381)) (|:| -3652 (-381)))) (-5 *7 (-1 (-1249) (-1244 *5) (-1244 *5) (-381))) (-5 *3 (-1244 (-381))) (-5 *5 (-381)) (-5 *2 (-1249)) (-5 *1 (-783)))) (-3682 (*1 *2 *3 *4 *5 *6 *5 *3 *7) (-12 (-5 *4 (-568)) (-5 *6 (-2 (|:| |try| (-381)) (|:| |did| (-381)) (|:| -3652 (-381)))) (-5 *7 (-1 (-1249) (-1244 *5) (-1244 *5) (-381))) (-5 *3 (-1244 (-381))) (-5 *5 (-381)) (-5 *2 (-1249)) (-5 *1 (-783)))) (-3336 (*1 *2 *3 *4 *5 *5 *5 *5 *4 *6) (-12 (-5 *4 (-568)) (-5 *6 (-1 (-1249) (-1244 *5) (-1244 *5) (-381))) (-5 *3 (-1244 (-381))) (-5 *5 (-381)) (-5 *2 (-1249)) (-5 *1 (-783)))) (-2114 (*1 *2 *3 *4 *5 *5 *6 *3 *3 *3 *3) (-12 (-5 *4 (-568)) (-5 *6 (-1 (-1249) (-1244 *5) (-1244 *5) (-381))) (-5 *3 (-1244 (-381))) (-5 *5 (-381)) (-5 *2 (-1249)) (-5 *1 (-783)))) (-2114 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-568)) (-5 *6 (-1 (-1249) (-1244 *5) (-1244 *5) (-381))) (-5 *3 (-1244 (-381))) (-5 *5 (-381)) (-5 *2 (-1249)) (-5 *1 (-783))))) 
-(-10 -7 (-15 -2114 ((-1249) (-1244 (-381)) (-568) (-381) (-381) (-1 (-1249) (-1244 (-381)) (-1244 (-381)) (-381)))) (-15 -2114 ((-1249) (-1244 (-381)) (-568) (-381) (-381) (-1 (-1249) (-1244 (-381)) (-1244 (-381)) (-381)) (-1244 (-381)) (-1244 (-381)) (-1244 (-381)) (-1244 (-381)))) (-15 -3336 ((-1249) (-1244 (-381)) (-568) (-381) (-381) (-381) (-381) (-568) (-1 (-1249) (-1244 (-381)) (-1244 (-381)) (-381)))) (-15 -3682 ((-1249) (-1244 (-381)) (-568) (-381) (-2 (|:| |try| (-381)) (|:| |did| (-381)) (|:| -3652 (-381))) (-381) (-1244 (-381)) (-1 (-1249) (-1244 (-381)) (-1244 (-381)) (-381)))) (-15 -3682 ((-1249) (-1244 (-381)) (-568) (-381) (-2 (|:| |try| (-381)) (|:| |did| (-381)) (|:| -3652 (-381))) (-381) (-1244 (-381)) (-1 (-1249) (-1244 (-381)) (-1244 (-381)) (-381)) (-1244 (-381)) (-1244 (-381)) (-1244 (-381)) (-1244 (-381)) (-1244 (-381)) (-1244 (-381)) (-1244 (-381)))) (-15 -3339 ((-1249) (-1244 (-381)) (-568) (-381) (-381) (-568) (-1 (-1249) (-1244 (-381)) (-1244 (-381)) (-381))))) 
-((-2824 (((-2 (|:| -2852 (-381)) (|:| -2185 (-381)) (|:| |totalpts| (-568)) (|:| |success| (-121))) (-1 (-381) (-381)) (-381) (-381) (-381) (-381) (-568) (-568)) 53)) (-2150 (((-2 (|:| -2852 (-381)) (|:| -2185 (-381)) (|:| |totalpts| (-568)) (|:| |success| (-121))) (-1 (-381) (-381)) (-381) (-381) (-381) (-381) (-568) (-568)) 30)) (-4243 (((-2 (|:| -2852 (-381)) (|:| -2185 (-381)) (|:| |totalpts| (-568)) (|:| |success| (-121))) (-1 (-381) (-381)) (-381) (-381) (-381) (-381) (-568) (-568)) 52)) (-1462 (((-2 (|:| -2852 (-381)) (|:| -2185 (-381)) (|:| |totalpts| (-568)) (|:| |success| (-121))) (-1 (-381) (-381)) (-381) (-381) (-381) (-381) (-568) (-568)) 28)) (-1549 (((-2 (|:| -2852 (-381)) (|:| -2185 (-381)) (|:| |totalpts| (-568)) (|:| |success| (-121))) (-1 (-381) (-381)) (-381) (-381) (-381) (-381) (-568) (-568)) 51)) (-2357 (((-2 (|:| -2852 (-381)) (|:| -2185 (-381)) (|:| |totalpts| (-568)) (|:| |success| (-121))) (-1 (-381) (-381)) (-381) (-381) (-381) (-381) (-568) (-568)) 18)) (-1786 (((-2 (|:| -2852 (-381)) (|:| -2185 (-381)) (|:| |totalpts| (-568)) (|:| |success| (-121))) (-1 (-381) (-381)) (-381) (-381) (-381) (-381) (-568) (-568) (-568)) 31)) (-4297 (((-2 (|:| -2852 (-381)) (|:| -2185 (-381)) (|:| |totalpts| (-568)) (|:| |success| (-121))) (-1 (-381) (-381)) (-381) (-381) (-381) (-381) (-568) (-568) (-568)) 29)) (-2063 (((-2 (|:| -2852 (-381)) (|:| -2185 (-381)) (|:| |totalpts| (-568)) (|:| |success| (-121))) (-1 (-381) (-381)) (-381) (-381) (-381) (-381) (-568) (-568) (-568)) 27))) 
-(((-784) (-10 -7 (-15 -2063 ((-2 (|:| -2852 (-381)) (|:| -2185 (-381)) (|:| |totalpts| (-568)) (|:| |success| (-121))) (-1 (-381) (-381)) (-381) (-381) (-381) (-381) (-568) (-568) (-568))) (-15 -4297 ((-2 (|:| -2852 (-381)) (|:| -2185 (-381)) (|:| |totalpts| (-568)) (|:| |success| (-121))) (-1 (-381) (-381)) (-381) (-381) (-381) (-381) (-568) (-568) (-568))) (-15 -1786 ((-2 (|:| -2852 (-381)) (|:| -2185 (-381)) (|:| |totalpts| (-568)) (|:| |success| (-121))) (-1 (-381) (-381)) (-381) (-381) (-381) (-381) (-568) (-568) (-568))) (-15 -2357 ((-2 (|:| -2852 (-381)) (|:| -2185 (-381)) (|:| |totalpts| (-568)) (|:| |success| (-121))) (-1 (-381) (-381)) (-381) (-381) (-381) (-381) (-568) (-568))) (-15 -1462 ((-2 (|:| -2852 (-381)) (|:| -2185 (-381)) (|:| |totalpts| (-568)) (|:| |success| (-121))) (-1 (-381) (-381)) (-381) (-381) (-381) (-381) (-568) (-568))) (-15 -2150 ((-2 (|:| -2852 (-381)) (|:| -2185 (-381)) (|:| |totalpts| (-568)) (|:| |success| (-121))) (-1 (-381) (-381)) (-381) (-381) (-381) (-381) (-568) (-568))) (-15 -1549 ((-2 (|:| -2852 (-381)) (|:| -2185 (-381)) (|:| |totalpts| (-568)) (|:| |success| (-121))) (-1 (-381) (-381)) (-381) (-381) (-381) (-381) (-568) (-568))) (-15 -4243 ((-2 (|:| -2852 (-381)) (|:| -2185 (-381)) (|:| |totalpts| (-568)) (|:| |success| (-121))) (-1 (-381) (-381)) (-381) (-381) (-381) (-381) (-568) (-568))) (-15 -2824 ((-2 (|:| -2852 (-381)) (|:| -2185 (-381)) (|:| |totalpts| (-568)) (|:| |success| (-121))) (-1 (-381) (-381)) (-381) (-381) (-381) (-381) (-568) (-568))))) (T -784)) 
-((-2824 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-381) (-381))) (-5 *4 (-381)) (-5 *2 (-2 (|:| -2852 *4) (|:| -2185 *4) (|:| |totalpts| (-568)) (|:| |success| (-121)))) (-5 *1 (-784)) (-5 *5 (-568)))) (-4243 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-381) (-381))) (-5 *4 (-381)) (-5 *2 (-2 (|:| -2852 *4) (|:| -2185 *4) (|:| |totalpts| (-568)) (|:| |success| (-121)))) (-5 *1 (-784)) (-5 *5 (-568)))) (-1549 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-381) (-381))) (-5 *4 (-381)) (-5 *2 (-2 (|:| -2852 *4) (|:| -2185 *4) (|:| |totalpts| (-568)) (|:| |success| (-121)))) (-5 *1 (-784)) (-5 *5 (-568)))) (-2150 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-381) (-381))) (-5 *4 (-381)) (-5 *2 (-2 (|:| -2852 *4) (|:| -2185 *4) (|:| |totalpts| (-568)) (|:| |success| (-121)))) (-5 *1 (-784)) (-5 *5 (-568)))) (-1462 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-381) (-381))) (-5 *4 (-381)) (-5 *2 (-2 (|:| -2852 *4) (|:| -2185 *4) (|:| |totalpts| (-568)) (|:| |success| (-121)))) (-5 *1 (-784)) (-5 *5 (-568)))) (-2357 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-381) (-381))) (-5 *4 (-381)) (-5 *2 (-2 (|:| -2852 *4) (|:| -2185 *4) (|:| |totalpts| (-568)) (|:| |success| (-121)))) (-5 *1 (-784)) (-5 *5 (-568)))) (-1786 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-381) (-381))) (-5 *4 (-381)) (-5 *2 (-2 (|:| -2852 *4) (|:| -2185 *4) (|:| |totalpts| (-568)) (|:| |success| (-121)))) (-5 *1 (-784)) (-5 *5 (-568)))) (-4297 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-381) (-381))) (-5 *4 (-381)) (-5 *2 (-2 (|:| -2852 *4) (|:| -2185 *4) (|:| |totalpts| (-568)) (|:| |success| (-121)))) (-5 *1 (-784)) (-5 *5 (-568)))) (-2063 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-381) (-381))) (-5 *4 (-381)) (-5 *2 (-2 (|:| -2852 *4) (|:| -2185 *4) (|:| |totalpts| (-568)) (|:| |success| (-121)))) (-5 *1 (-784)) (-5 *5 (-568))))) 
-(-10 -7 (-15 -2063 ((-2 (|:| -2852 (-381)) (|:| -2185 (-381)) (|:| |totalpts| (-568)) (|:| |success| (-121))) (-1 (-381) (-381)) (-381) (-381) (-381) (-381) (-568) (-568) (-568))) (-15 -4297 ((-2 (|:| -2852 (-381)) (|:| -2185 (-381)) (|:| |totalpts| (-568)) (|:| |success| (-121))) (-1 (-381) (-381)) (-381) (-381) (-381) (-381) (-568) (-568) (-568))) (-15 -1786 ((-2 (|:| -2852 (-381)) (|:| -2185 (-381)) (|:| |totalpts| (-568)) (|:| |success| (-121))) (-1 (-381) (-381)) (-381) (-381) (-381) (-381) (-568) (-568) (-568))) (-15 -2357 ((-2 (|:| -2852 (-381)) (|:| -2185 (-381)) (|:| |totalpts| (-568)) (|:| |success| (-121))) (-1 (-381) (-381)) (-381) (-381) (-381) (-381) (-568) (-568))) (-15 -1462 ((-2 (|:| -2852 (-381)) (|:| -2185 (-381)) (|:| |totalpts| (-568)) (|:| |success| (-121))) (-1 (-381) (-381)) (-381) (-381) (-381) (-381) (-568) (-568))) (-15 -2150 ((-2 (|:| -2852 (-381)) (|:| -2185 (-381)) (|:| |totalpts| (-568)) (|:| |success| (-121))) (-1 (-381) (-381)) (-381) (-381) (-381) (-381) (-568) (-568))) (-15 -1549 ((-2 (|:| -2852 (-381)) (|:| -2185 (-381)) (|:| |totalpts| (-568)) (|:| |success| (-121))) (-1 (-381) (-381)) (-381) (-381) (-381) (-381) (-568) (-568))) (-15 -4243 ((-2 (|:| -2852 (-381)) (|:| -2185 (-381)) (|:| |totalpts| (-568)) (|:| |success| (-121))) (-1 (-381) (-381)) (-381) (-381) (-381) (-381) (-568) (-568))) (-15 -2824 ((-2 (|:| -2852 (-381)) (|:| -2185 (-381)) (|:| |totalpts| (-568)) (|:| |success| (-121))) (-1 (-381) (-381)) (-381) (-381) (-381) (-381) (-568) (-568)))) 
-((-1370 (((-1191 |#1|) |#1| (-215) (-568)) 45))) 
-(((-785 |#1|) (-10 -7 (-15 -1370 ((-1191 |#1|) |#1| (-215) (-568)))) (-975)) (T -785)) 
-((-1370 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-215)) (-5 *5 (-568)) (-5 *2 (-1191 *3)) (-5 *1 (-785 *3)) (-4 *3 (-975))))) 
-(-10 -7 (-15 -1370 ((-1191 |#1|) |#1| (-215) (-568)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 23)) (-2689 (((-3 $ "failed") $ $) 25)) (-4490 (($) 22 T CONST)) (-1732 (($ $ $) 12)) (-2047 (($ $ $) 13)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-3058 (($) 21 T CONST)) (-1753 (((-121) $ $) 15)) (-1740 (((-121) $ $) 16)) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 14)) (-1734 (((-121) $ $) 17)) (-1775 (($ $ $) 27) (($ $) 26)) (-1769 (($ $ $) 19)) (* (($ (-763) $) 24) (($ (-917) $) 20) (($ (-568) $) 28))) 
-(((-786) (-1275)) (T -786)) 
-NIL 
-(-13 (-790) (-21)) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-137) . T) ((-608 (-850)) . T) ((-787) . T) ((-789) . T) ((-790) . T) ((-842) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 23)) (-4490 (($) 22 T CONST)) (-1732 (($ $ $) 12)) (-2047 (($ $ $) 13)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-3058 (($) 21 T CONST)) (-1753 (((-121) $ $) 15)) (-1740 (((-121) $ $) 16)) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 14)) (-1734 (((-121) $ $) 17)) (-1769 (($ $ $) 19)) (* (($ (-763) $) 24) (($ (-917) $) 20))) 
-(((-787) (-1275)) (T -787)) 
-NIL 
-(-13 (-789) (-23)) 
-(((-23) . T) ((-25) . T) ((-105) . T) ((-608 (-850)) . T) ((-789) . T) ((-842) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 23)) (-2409 (($ $ $) 26)) (-2689 (((-3 $ "failed") $ $) 25)) (-4490 (($) 22 T CONST)) (-1732 (($ $ $) 12)) (-2047 (($ $ $) 13)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-3058 (($) 21 T CONST)) (-1753 (((-121) $ $) 15)) (-1740 (((-121) $ $) 16)) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 14)) (-1734 (((-121) $ $) 17)) (-1769 (($ $ $) 19)) (* (($ (-763) $) 24) (($ (-917) $) 20))) 
-(((-788) (-1275)) (T -788)) 
-((-2409 (*1 *1 *1 *1) (-4 *1 (-788)))) 
-(-13 (-790) (-10 -8 (-15 -2409 ($ $ $)))) 
-(((-23) . T) ((-25) . T) ((-105) . T) ((-137) . T) ((-608 (-850)) . T) ((-787) . T) ((-789) . T) ((-790) . T) ((-842) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 23)) (-4490 (($) 22 T CONST)) (-1732 (($ $ $) 12)) (-2047 (($ $ $) 13)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-3058 (($) 21 T CONST)) (-1753 (((-121) $ $) 15)) (-1740 (((-121) $ $) 16)) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 14)) (-1734 (((-121) $ $) 17)) (-1769 (($ $ $) 19)) (* (($ (-763) $) 24) (($ (-917) $) 20))) 
-(((-789) (-1275)) (T -789)) 
-NIL 
-(-13 (-842) (-23)) 
-(((-23) . T) ((-25) . T) ((-105) . T) ((-608 (-850)) . T) ((-842) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 23)) (-2689 (((-3 $ "failed") $ $) 25)) (-4490 (($) 22 T CONST)) (-1732 (($ $ $) 12)) (-2047 (($ $ $) 13)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-3058 (($) 21 T CONST)) (-1753 (((-121) $ $) 15)) (-1740 (((-121) $ $) 16)) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 14)) (-1734 (((-121) $ $) 17)) (-1769 (($ $ $) 19)) (* (($ (-763) $) 24) (($ (-917) $) 20))) 
-(((-790) (-1275)) (T -790)) 
-NIL 
-(-13 (-787) (-137)) 
-(((-23) . T) ((-25) . T) ((-105) . T) ((-137) . T) ((-608 (-850)) . T) ((-787) . T) ((-789) . T) ((-842) . T) ((-1090) . T)) 
-((-1819 (((-121) $) 41)) (-3668 (((-3 (-568) "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL) (((-3 |#2| "failed") $) 44)) (-2857 (((-568) $) NIL) (((-409 (-568)) $) NIL) ((|#2| $) 42)) (-3254 (((-3 (-409 (-568)) "failed") $) 78)) (-1338 (((-121) $) 72)) (-2394 (((-409 (-568)) $) 76)) (-4417 ((|#2| $) 26)) (-2797 (($ (-1 |#2| |#2|) $) 23)) (-2083 (($ $) 61)) (-4280 (((-541) $) 67)) (-2387 (($ $) 21)) (-2747 (((-850) $) 56) (($ (-568)) 39) (($ |#2|) 37) (($ (-409 (-568))) NIL)) (-3425 (((-763)) 10)) (-2811 ((|#2| $) 71)) (-1719 (((-121) $ $) 29)) (-1734 (((-121) $ $) 69)) (-1775 (($ $) 31) (($ $ $) NIL)) (-1769 (($ $ $) 30)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 35) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) 32))) 
-(((-791 |#1| |#2|) (-10 -8 (-15 -1734 ((-121) |#1| |#1|)) (-15 -4280 ((-541) |#1|)) (-15 -2083 (|#1| |#1|)) (-15 -3254 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2394 ((-409 (-568)) |#1|)) (-15 -1338 ((-121) |#1|)) (-15 -2811 (|#2| |#1|)) (-15 -4417 (|#2| |#1|)) (-15 -2387 (|#1| |#1|)) (-15 -2797 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2857 (|#2| |#1|)) (-15 -3668 ((-3 |#2| "failed") |#1|)) (-15 -2747 (|#1| (-409 (-568)))) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2857 ((-409 (-568)) |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -2857 ((-568) |#1|)) (-15 -2747 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -2747 (|#1| (-568))) (-15 -3425 ((-763))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-568) |#1|)) (-15 -1775 (|#1| |#1| |#1|)) (-15 -1775 (|#1| |#1|)) (-15 * (|#1| (-763) |#1|)) (-15 -1819 ((-121) |#1|)) (-15 * (|#1| (-917) |#1|)) (-15 -1769 (|#1| |#1| |#1|)) (-15 -2747 ((-850) |#1|)) (-15 -1719 ((-121) |#1| |#1|))) (-792 |#2|) (-172)) (T -791)) 
-((-3425 (*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-763)) (-5 *1 (-791 *3 *4)) (-4 *3 (-792 *4))))) 
-(-10 -8 (-15 -1734 ((-121) |#1| |#1|)) (-15 -4280 ((-541) |#1|)) (-15 -2083 (|#1| |#1|)) (-15 -3254 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2394 ((-409 (-568)) |#1|)) (-15 -1338 ((-121) |#1|)) (-15 -2811 (|#2| |#1|)) (-15 -4417 (|#2| |#1|)) (-15 -2387 (|#1| |#1|)) (-15 -2797 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2857 (|#2| |#1|)) (-15 -3668 ((-3 |#2| "failed") |#1|)) (-15 -2747 (|#1| (-409 (-568)))) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2857 ((-409 (-568)) |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -2857 ((-568) |#1|)) (-15 -2747 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -2747 (|#1| (-568))) (-15 -3425 ((-763))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-568) |#1|)) (-15 -1775 (|#1| |#1| |#1|)) (-15 -1775 (|#1| |#1|)) (-15 * (|#1| (-763) |#1|)) (-15 -1819 ((-121) |#1|)) (-15 * (|#1| (-917) |#1|)) (-15 -1769 (|#1| |#1| |#1|)) (-15 -2747 ((-850) |#1|)) (-15 -1719 ((-121) |#1| |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-3986 (((-763)) 51 (|has| |#1| (-370)))) (-4490 (($) 16 T CONST)) (-3668 (((-3 (-568) "failed") $) 92 (|has| |#1| (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) 90 (|has| |#1| (-1037 (-409 (-568))))) (((-3 |#1| "failed") $) 88)) (-2857 (((-568) $) 93 (|has| |#1| (-1037 (-568)))) (((-409 (-568)) $) 91 (|has| |#1| (-1037 (-409 (-568))))) ((|#1| $) 87)) (-2902 (((-3 $ "failed") $) 33)) (-3859 ((|#1| $) 77)) (-3254 (((-3 (-409 (-568)) "failed") $) 64 (|has| |#1| (-550)))) (-1338 (((-121) $) 66 (|has| |#1| (-550)))) (-2394 (((-409 (-568)) $) 65 (|has| |#1| (-550)))) (-1733 (($) 54 (|has| |#1| (-370)))) (-1598 (((-121) $) 30)) (-2557 (($ |#1| |#1| |#1| |#1| |#1| |#1| |#1| |#1|) 68)) (-4417 ((|#1| $) 69)) (-1732 (($ $ $) 60 (|has| |#1| (-842)))) (-2047 (($ $ $) 59 (|has| |#1| (-842)))) (-2797 (($ (-1 |#1| |#1|) $) 79)) (-2291 (((-917) $) 53 (|has| |#1| (-370)))) (-1893 (((-1143) $) 9)) (-2083 (($ $) 63 (|has| |#1| (-365)))) (-4357 (($ (-917)) 52 (|has| |#1| (-370)))) (-2592 ((|#1| $) 74)) (-2140 ((|#1| $) 75)) (-3195 ((|#1| $) 76)) (-4173 ((|#1| $) 70)) (-4287 ((|#1| $) 71)) (-4004 ((|#1| $) 72)) (-1767 ((|#1| $) 73)) (-4025 (((-1108) $) 10)) (-1339 (($ $ (-634 |#1|) (-634 |#1|)) 85 (|has| |#1| (-303 |#1|))) (($ $ |#1| |#1|) 84 (|has| |#1| (-303 |#1|))) (($ $ (-288 |#1|)) 83 (|has| |#1| (-303 |#1|))) (($ $ (-634 (-288 |#1|))) 82 (|has| |#1| (-303 |#1|))) (($ $ (-634 (-1161)) (-634 |#1|)) 81 (|has| |#1| (-523 (-1161) |#1|))) (($ $ (-1161) |#1|) 80 (|has| |#1| (-523 (-1161) |#1|)))) (-2781 (($ $ |#1|) 86 (|has| |#1| (-281 |#1| |#1|)))) (-4280 (((-541) $) 61 (|has| |#1| (-609 (-541))))) (-2387 (($ $) 78)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ |#1|) 36) (($ (-409 (-568))) 89 (|has| |#1| (-1037 (-409 (-568)))))) (-3385 (((-3 $ "failed") $) 62 (|has| |#1| (-148)))) (-3425 (((-763)) 28)) (-2811 ((|#1| $) 67 (|has| |#1| (-1056)))) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1753 (((-121) $ $) 57 (|has| |#1| (-842)))) (-1740 (((-121) $ $) 56 (|has| |#1| (-842)))) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 58 (|has| |#1| (-842)))) (-1734 (((-121) $ $) 55 (|has| |#1| (-842)))) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
-(((-792 |#1|) (-1275) (-172)) (T -792)) 
-((-2387 (*1 *1 *1) (-12 (-4 *1 (-792 *2)) (-4 *2 (-172)))) (-3859 (*1 *2 *1) (-12 (-4 *1 (-792 *2)) (-4 *2 (-172)))) (-3195 (*1 *2 *1) (-12 (-4 *1 (-792 *2)) (-4 *2 (-172)))) (-2140 (*1 *2 *1) (-12 (-4 *1 (-792 *2)) (-4 *2 (-172)))) (-2592 (*1 *2 *1) (-12 (-4 *1 (-792 *2)) (-4 *2 (-172)))) (-1767 (*1 *2 *1) (-12 (-4 *1 (-792 *2)) (-4 *2 (-172)))) (-4004 (*1 *2 *1) (-12 (-4 *1 (-792 *2)) (-4 *2 (-172)))) (-4287 (*1 *2 *1) (-12 (-4 *1 (-792 *2)) (-4 *2 (-172)))) (-4173 (*1 *2 *1) (-12 (-4 *1 (-792 *2)) (-4 *2 (-172)))) (-4417 (*1 *2 *1) (-12 (-4 *1 (-792 *2)) (-4 *2 (-172)))) (-2557 (*1 *1 *2 *2 *2 *2 *2 *2 *2 *2) (-12 (-4 *1 (-792 *2)) (-4 *2 (-172)))) (-2811 (*1 *2 *1) (-12 (-4 *1 (-792 *2)) (-4 *2 (-172)) (-4 *2 (-1056)))) (-1338 (*1 *2 *1) (-12 (-4 *1 (-792 *3)) (-4 *3 (-172)) (-4 *3 (-550)) (-5 *2 (-121)))) (-2394 (*1 *2 *1) (-12 (-4 *1 (-792 *3)) (-4 *3 (-172)) (-4 *3 (-550)) (-5 *2 (-409 (-568))))) (-3254 (*1 *2 *1) (|partial| -12 (-4 *1 (-792 *3)) (-4 *3 (-172)) (-4 *3 (-550)) (-5 *2 (-409 (-568))))) (-2083 (*1 *1 *1) (-12 (-4 *1 (-792 *2)) (-4 *2 (-172)) (-4 *2 (-365))))) 
-(-13 (-43 |t#1|) (-413 |t#1|) (-336 |t#1|) (-10 -8 (-15 -2387 ($ $)) (-15 -3859 (|t#1| $)) (-15 -3195 (|t#1| $)) (-15 -2140 (|t#1| $)) (-15 -2592 (|t#1| $)) (-15 -1767 (|t#1| $)) (-15 -4004 (|t#1| $)) (-15 -4287 (|t#1| $)) (-15 -4173 (|t#1| $)) (-15 -4417 (|t#1| $)) (-15 -2557 ($ |t#1| |t#1| |t#1| |t#1| |t#1| |t#1| |t#1| |t#1|)) (IF (|has| |t#1| (-370)) (-6 (-370)) |noBranch|) (IF (|has| |t#1| (-842)) (-6 (-842)) |noBranch|) (IF (|has| |t#1| (-609 (-541))) (-6 (-609 (-541))) |noBranch|) (IF (|has| |t#1| (-150)) (-6 (-150)) |noBranch|) (IF (|has| |t#1| (-148)) (-6 (-148)) |noBranch|) (IF (|has| |t#1| (-1056)) (-15 -2811 (|t#1| $)) |noBranch|) (IF (|has| |t#1| (-550)) (PROGN (-15 -1338 ((-121) $)) (-15 -2394 ((-409 (-568)) $)) (-15 -3254 ((-3 (-409 (-568)) "failed") $))) |noBranch|) (IF (|has| |t#1| (-365)) (-15 -2083 ($ $)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-137) . T) ((-148) |has| |#1| (-148)) ((-150) |has| |#1| (-150)) ((-608 (-850)) . T) ((-609 (-541)) |has| |#1| (-609 (-541))) ((-281 |#1| $) |has| |#1| (-281 |#1| |#1|)) ((-303 |#1|) |has| |#1| (-303 |#1|)) ((-370) |has| |#1| (-370)) ((-336 |#1|) . T) ((-413 |#1|) . T) ((-523 (-1161) |#1|) |has| |#1| (-523 (-1161) |#1|)) ((-523 |#1| |#1|) |has| |#1| (-303 |#1|)) ((-637 |#1|) . T) ((-637 $) . T) ((-707 |#1|) . T) ((-716) . T) ((-842) |has| |#1| (-842)) ((-1037 (-409 (-568))) |has| |#1| (-1037 (-409 (-568)))) ((-1037 (-568)) |has| |#1| (-1037 (-568))) ((-1037 |#1|) . T) ((-1053 |#1|) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-2797 ((|#3| (-1 |#4| |#2|) |#1|) 20))) 
-(((-793 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2797 (|#3| (-1 |#4| |#2|) |#1|))) (-792 |#2|) (-172) (-792 |#4|) (-172)) (T -793)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-172)) (-4 *6 (-172)) (-4 *2 (-792 *6)) (-5 *1 (-793 *4 *5 *2 *6)) (-4 *4 (-792 *5))))) 
-(-10 -7 (-15 -2797 (|#3| (-1 |#4| |#2|) |#1|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3986 (((-763)) NIL (|has| |#1| (-370)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#1| "failed") $) NIL) (((-3 (-999 |#1|) "failed") $) 35) (((-3 (-568) "failed") $) NIL (-2199 (|has| (-999 |#1|) (-1037 (-568))) (|has| |#1| (-1037 (-568))))) (((-3 (-409 (-568)) "failed") $) NIL (-2199 (|has| (-999 |#1|) (-1037 (-409 (-568)))) (|has| |#1| (-1037 (-409 (-568))))))) (-2857 ((|#1| $) NIL) (((-999 |#1|) $) 33) (((-568) $) NIL (-2199 (|has| (-999 |#1|) (-1037 (-568))) (|has| |#1| (-1037 (-568))))) (((-409 (-568)) $) NIL (-2199 (|has| (-999 |#1|) (-1037 (-409 (-568)))) (|has| |#1| (-1037 (-409 (-568))))))) (-2902 (((-3 $ "failed") $) NIL)) (-3859 ((|#1| $) 16)) (-3254 (((-3 (-409 (-568)) "failed") $) NIL (|has| |#1| (-550)))) (-1338 (((-121) $) NIL (|has| |#1| (-550)))) (-2394 (((-409 (-568)) $) NIL (|has| |#1| (-550)))) (-1733 (($) NIL (|has| |#1| (-370)))) (-1598 (((-121) $) NIL)) (-2557 (($ |#1| |#1| |#1| |#1| |#1| |#1| |#1| |#1|) 28) (($ (-999 |#1|) (-999 |#1|)) 29)) (-4417 ((|#1| $) NIL)) (-1732 (($ $ $) NIL (|has| |#1| (-842)))) (-2047 (($ $ $) NIL (|has| |#1| (-842)))) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-2291 (((-917) $) NIL (|has| |#1| (-370)))) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL (|has| |#1| (-365)))) (-4357 (($ (-917)) NIL (|has| |#1| (-370)))) (-2592 ((|#1| $) 22)) (-2140 ((|#1| $) 20)) (-3195 ((|#1| $) 18)) (-4173 ((|#1| $) 26)) (-4287 ((|#1| $) 25)) (-4004 ((|#1| $) 24)) (-1767 ((|#1| $) 23)) (-4025 (((-1108) $) NIL)) (-1339 (($ $ (-634 |#1|) (-634 |#1|)) NIL (|has| |#1| (-303 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-303 |#1|))) (($ $ (-288 |#1|)) NIL (|has| |#1| (-303 |#1|))) (($ $ (-634 (-288 |#1|))) NIL (|has| |#1| (-303 |#1|))) (($ $ (-634 (-1161)) (-634 |#1|)) NIL (|has| |#1| (-523 (-1161) |#1|))) (($ $ (-1161) |#1|) NIL (|has| |#1| (-523 (-1161) |#1|)))) (-2781 (($ $ |#1|) NIL (|has| |#1| (-281 |#1| |#1|)))) (-4280 (((-541) $) NIL (|has| |#1| (-609 (-541))))) (-2387 (($ $) NIL)) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ |#1|) NIL) (($ (-999 |#1|)) 30) (($ (-409 (-568))) NIL (-2199 (|has| (-999 |#1|) (-1037 (-409 (-568)))) (|has| |#1| (-1037 (-409 (-568))))))) (-3385 (((-3 $ "failed") $) NIL (|has| |#1| (-148)))) (-3425 (((-763)) NIL)) (-2811 ((|#1| $) NIL (|has| |#1| (-1056)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 8 T CONST)) (-1557 (($) 12 T CONST)) (-1753 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 40) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-794 |#1|) (-13 (-792 |#1|) (-413 (-999 |#1|)) (-10 -8 (-15 -2557 ($ (-999 |#1|) (-999 |#1|))))) (-172)) (T -794)) 
-((-2557 (*1 *1 *2 *2) (-12 (-5 *2 (-999 *3)) (-4 *3 (-172)) (-5 *1 (-794 *3))))) 
-(-13 (-792 |#1|) (-413 (-999 |#1|)) (-10 -8 (-15 -2557 ($ (-999 |#1|) (-999 |#1|))))) 
-((-2449 (((-121) $ $) 7)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 13)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-3602 (((-1035) (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 12)) (-1719 (((-121) $ $) 6))) 
-(((-795) (-1275)) (T -795)) 
-((-3031 (*1 *2 *3 *4) (-12 (-4 *1 (-795)) (-5 *3 (-1059)) (-5 *4 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)))))) (-3602 (*1 *2 *3) (-12 (-4 *1 (-795)) (-5 *3 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-1035))))) 
-(-13 (-1090) (-10 -7 (-15 -3031 ((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -3602 ((-1035) (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))))) 
-(((-105) . T) ((-608 (-850)) . T) ((-1090) . T)) 
-((-3795 (((-2 (|:| |particular| |#2|) (|:| -2588 (-634 |#2|))) |#3| |#2| (-1161)) 19))) 
-(((-796 |#1| |#2| |#3|) (-10 -7 (-15 -3795 ((-2 (|:| |particular| |#2|) (|:| -2588 (-634 |#2|))) |#3| |#2| (-1161)))) (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150)) (-13 (-29 |#1|) (-1181) (-959)) (-646 |#2|)) (T -796)) 
-((-3795 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-1161)) (-4 *6 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-4 *4 (-13 (-29 *6) (-1181) (-959))) (-5 *2 (-2 (|:| |particular| *4) (|:| -2588 (-634 *4)))) (-5 *1 (-796 *6 *4 *3)) (-4 *3 (-646 *4))))) 
-(-10 -7 (-15 -3795 ((-2 (|:| |particular| |#2|) (|:| -2588 (-634 |#2|))) |#3| |#2| (-1161)))) 
-((-3259 (((-3 |#2| "failed") |#2| (-123) (-288 |#2|) (-634 |#2|)) 26) (((-3 |#2| "failed") (-288 |#2|) (-123) (-288 |#2|) (-634 |#2|)) 27) (((-3 (-2 (|:| |particular| |#2|) (|:| -2588 (-634 |#2|))) |#2| "failed") |#2| (-123) (-1161)) 16) (((-3 (-2 (|:| |particular| |#2|) (|:| -2588 (-634 |#2|))) |#2| "failed") (-288 |#2|) (-123) (-1161)) 17) (((-3 (-2 (|:| |particular| (-1244 |#2|)) (|:| -2588 (-634 (-1244 |#2|)))) "failed") (-634 |#2|) (-634 (-123)) (-1161)) 22) (((-3 (-2 (|:| |particular| (-1244 |#2|)) (|:| -2588 (-634 (-1244 |#2|)))) "failed") (-634 (-288 |#2|)) (-634 (-123)) (-1161)) 24) (((-3 (-634 (-1244 |#2|)) "failed") (-679 |#2|) (-1161)) 36) (((-3 (-2 (|:| |particular| (-1244 |#2|)) (|:| -2588 (-634 (-1244 |#2|)))) "failed") (-679 |#2|) (-1244 |#2|) (-1161)) 34))) 
-(((-797 |#1| |#2|) (-10 -7 (-15 -3259 ((-3 (-2 (|:| |particular| (-1244 |#2|)) (|:| -2588 (-634 (-1244 |#2|)))) "failed") (-679 |#2|) (-1244 |#2|) (-1161))) (-15 -3259 ((-3 (-634 (-1244 |#2|)) "failed") (-679 |#2|) (-1161))) (-15 -3259 ((-3 (-2 (|:| |particular| (-1244 |#2|)) (|:| -2588 (-634 (-1244 |#2|)))) "failed") (-634 (-288 |#2|)) (-634 (-123)) (-1161))) (-15 -3259 ((-3 (-2 (|:| |particular| (-1244 |#2|)) (|:| -2588 (-634 (-1244 |#2|)))) "failed") (-634 |#2|) (-634 (-123)) (-1161))) (-15 -3259 ((-3 (-2 (|:| |particular| |#2|) (|:| -2588 (-634 |#2|))) |#2| "failed") (-288 |#2|) (-123) (-1161))) (-15 -3259 ((-3 (-2 (|:| |particular| |#2|) (|:| -2588 (-634 |#2|))) |#2| "failed") |#2| (-123) (-1161))) (-15 -3259 ((-3 |#2| "failed") (-288 |#2|) (-123) (-288 |#2|) (-634 |#2|))) (-15 -3259 ((-3 |#2| "failed") |#2| (-123) (-288 |#2|) (-634 |#2|)))) (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150)) (-13 (-29 |#1|) (-1181) (-959))) (T -797)) 
-((-3259 (*1 *2 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-288 *2)) (-5 *5 (-634 *2)) (-4 *2 (-13 (-29 *6) (-1181) (-959))) (-4 *6 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *1 (-797 *6 *2)))) (-3259 (*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-288 *2)) (-5 *4 (-123)) (-5 *5 (-634 *2)) (-4 *2 (-13 (-29 *6) (-1181) (-959))) (-5 *1 (-797 *6 *2)) (-4 *6 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))))) (-3259 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-123)) (-5 *5 (-1161)) (-4 *6 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *2 (-3 (-2 (|:| |particular| *3) (|:| -2588 (-634 *3))) *3 "failed")) (-5 *1 (-797 *6 *3)) (-4 *3 (-13 (-29 *6) (-1181) (-959))))) (-3259 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-288 *7)) (-5 *4 (-123)) (-5 *5 (-1161)) (-4 *7 (-13 (-29 *6) (-1181) (-959))) (-4 *6 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *2 (-3 (-2 (|:| |particular| *7) (|:| -2588 (-634 *7))) *7 "failed")) (-5 *1 (-797 *6 *7)))) (-3259 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-634 *7)) (-5 *4 (-634 (-123))) (-5 *5 (-1161)) (-4 *7 (-13 (-29 *6) (-1181) (-959))) (-4 *6 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *2 (-2 (|:| |particular| (-1244 *7)) (|:| -2588 (-634 (-1244 *7))))) (-5 *1 (-797 *6 *7)))) (-3259 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-634 (-288 *7))) (-5 *4 (-634 (-123))) (-5 *5 (-1161)) (-4 *7 (-13 (-29 *6) (-1181) (-959))) (-4 *6 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *2 (-2 (|:| |particular| (-1244 *7)) (|:| -2588 (-634 (-1244 *7))))) (-5 *1 (-797 *6 *7)))) (-3259 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-679 *6)) (-5 *4 (-1161)) (-4 *6 (-13 (-29 *5) (-1181) (-959))) (-4 *5 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *2 (-634 (-1244 *6))) (-5 *1 (-797 *5 *6)))) (-3259 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-679 *7)) (-5 *5 (-1161)) (-4 *7 (-13 (-29 *6) (-1181) (-959))) (-4 *6 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *2 (-2 (|:| |particular| (-1244 *7)) (|:| -2588 (-634 (-1244 *7))))) (-5 *1 (-797 *6 *7)) (-5 *4 (-1244 *7))))) 
-(-10 -7 (-15 -3259 ((-3 (-2 (|:| |particular| (-1244 |#2|)) (|:| -2588 (-634 (-1244 |#2|)))) "failed") (-679 |#2|) (-1244 |#2|) (-1161))) (-15 -3259 ((-3 (-634 (-1244 |#2|)) "failed") (-679 |#2|) (-1161))) (-15 -3259 ((-3 (-2 (|:| |particular| (-1244 |#2|)) (|:| -2588 (-634 (-1244 |#2|)))) "failed") (-634 (-288 |#2|)) (-634 (-123)) (-1161))) (-15 -3259 ((-3 (-2 (|:| |particular| (-1244 |#2|)) (|:| -2588 (-634 (-1244 |#2|)))) "failed") (-634 |#2|) (-634 (-123)) (-1161))) (-15 -3259 ((-3 (-2 (|:| |particular| |#2|) (|:| -2588 (-634 |#2|))) |#2| "failed") (-288 |#2|) (-123) (-1161))) (-15 -3259 ((-3 (-2 (|:| |particular| |#2|) (|:| -2588 (-634 |#2|))) |#2| "failed") |#2| (-123) (-1161))) (-15 -3259 ((-3 |#2| "failed") (-288 |#2|) (-123) (-288 |#2|) (-634 |#2|))) (-15 -3259 ((-3 |#2| "failed") |#2| (-123) (-288 |#2|) (-634 |#2|)))) 
-((-4323 (($) 9)) (-1567 (((-3 (-2 (|:| |stiffness| (-381)) (|:| |stability| (-381)) (|:| |expense| (-381)) (|:| |accuracy| (-381)) (|:| |intermediateResults| (-381))) "failed") (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 26)) (-4253 (((-634 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) $) 23)) (-1708 (($ (-2 (|:| -3651 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| -4085 (-2 (|:| |stiffness| (-381)) (|:| |stability| (-381)) (|:| |expense| (-381)) (|:| |accuracy| (-381)) (|:| |intermediateResults| (-381)))))) 20)) (-3956 (($ (-634 (-2 (|:| -3651 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| -4085 (-2 (|:| |stiffness| (-381)) (|:| |stability| (-381)) (|:| |expense| (-381)) (|:| |accuracy| (-381)) (|:| |intermediateResults| (-381))))))) 18)) (-3819 (((-1249)) 12))) 
-(((-798) (-10 -8 (-15 -4323 ($)) (-15 -3819 ((-1249))) (-15 -4253 ((-634 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) $)) (-15 -3956 ($ (-634 (-2 (|:| -3651 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| -4085 (-2 (|:| |stiffness| (-381)) (|:| |stability| (-381)) (|:| |expense| (-381)) (|:| |accuracy| (-381)) (|:| |intermediateResults| (-381)))))))) (-15 -1708 ($ (-2 (|:| -3651 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| -4085 (-2 (|:| |stiffness| (-381)) (|:| |stability| (-381)) (|:| |expense| (-381)) (|:| |accuracy| (-381)) (|:| |intermediateResults| (-381))))))) (-15 -1567 ((-3 (-2 (|:| |stiffness| (-381)) (|:| |stability| (-381)) (|:| |expense| (-381)) (|:| |accuracy| (-381)) (|:| |intermediateResults| (-381))) "failed") (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))))) (T -798)) 
-((-1567 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-2 (|:| |stiffness| (-381)) (|:| |stability| (-381)) (|:| |expense| (-381)) (|:| |accuracy| (-381)) (|:| |intermediateResults| (-381)))) (-5 *1 (-798)))) (-1708 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| -3651 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| -4085 (-2 (|:| |stiffness| (-381)) (|:| |stability| (-381)) (|:| |expense| (-381)) (|:| |accuracy| (-381)) (|:| |intermediateResults| (-381)))))) (-5 *1 (-798)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-634 (-2 (|:| -3651 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| -4085 (-2 (|:| |stiffness| (-381)) (|:| |stability| (-381)) (|:| |expense| (-381)) (|:| |accuracy| (-381)) (|:| |intermediateResults| (-381))))))) (-5 *1 (-798)))) (-4253 (*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-5 *1 (-798)))) (-3819 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-798)))) (-4323 (*1 *1) (-5 *1 (-798)))) 
-(-10 -8 (-15 -4323 ($)) (-15 -3819 ((-1249))) (-15 -4253 ((-634 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) $)) (-15 -3956 ($ (-634 (-2 (|:| -3651 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| -4085 (-2 (|:| |stiffness| (-381)) (|:| |stability| (-381)) (|:| |expense| (-381)) (|:| |accuracy| (-381)) (|:| |intermediateResults| (-381)))))))) (-15 -1708 ($ (-2 (|:| -3651 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| -4085 (-2 (|:| |stiffness| (-381)) (|:| |stability| (-381)) (|:| |expense| (-381)) (|:| |accuracy| (-381)) (|:| |intermediateResults| (-381))))))) (-15 -1567 ((-3 (-2 (|:| |stiffness| (-381)) (|:| |stability| (-381)) (|:| |expense| (-381)) (|:| |accuracy| (-381)) (|:| |intermediateResults| (-381))) "failed") (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))))) 
-((-2473 ((|#2| |#2| (-1161)) 15)) (-1280 ((|#2| |#2| (-1161)) 47)) (-1571 (((-1 |#2| |#2|) (-1161)) 11))) 
-(((-799 |#1| |#2|) (-10 -7 (-15 -2473 (|#2| |#2| (-1161))) (-15 -1280 (|#2| |#2| (-1161))) (-15 -1571 ((-1 |#2| |#2|) (-1161)))) (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150)) (-13 (-29 |#1|) (-1181) (-959))) (T -799)) 
-((-1571 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *2 (-1 *5 *5)) (-5 *1 (-799 *4 *5)) (-4 *5 (-13 (-29 *4) (-1181) (-959))))) (-1280 (*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *1 (-799 *4 *2)) (-4 *2 (-13 (-29 *4) (-1181) (-959))))) (-2473 (*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *1 (-799 *4 *2)) (-4 *2 (-13 (-29 *4) (-1181) (-959)))))) 
-(-10 -7 (-15 -2473 (|#2| |#2| (-1161))) (-15 -1280 (|#2| |#2| (-1161))) (-15 -1571 ((-1 |#2| |#2|) (-1161)))) 
-((-3259 (((-1035) (-1244 (-310 (-381))) (-381) (-381) (-634 (-381)) (-310 (-381)) (-634 (-381)) (-381) (-381)) 114) (((-1035) (-1244 (-310 (-381))) (-381) (-381) (-634 (-381)) (-310 (-381)) (-634 (-381)) (-381)) 115) (((-1035) (-1244 (-310 (-381))) (-381) (-381) (-634 (-381)) (-634 (-381)) (-381)) 117) (((-1035) (-1244 (-310 (-381))) (-381) (-381) (-634 (-381)) (-310 (-381)) (-381)) 118) (((-1035) (-1244 (-310 (-381))) (-381) (-381) (-634 (-381)) (-381)) 119) (((-1035) (-1244 (-310 (-381))) (-381) (-381) (-634 (-381))) 120) (((-1035) (-803) (-1059)) 105) (((-1035) (-803)) 106)) (-3031 (((-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143)))) (-803) (-1059)) 71) (((-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143)))) (-803)) 73))) 
-(((-800) (-10 -7 (-15 -3259 ((-1035) (-803))) (-15 -3259 ((-1035) (-803) (-1059))) (-15 -3259 ((-1035) (-1244 (-310 (-381))) (-381) (-381) (-634 (-381)))) (-15 -3259 ((-1035) (-1244 (-310 (-381))) (-381) (-381) (-634 (-381)) (-381))) (-15 -3259 ((-1035) (-1244 (-310 (-381))) (-381) (-381) (-634 (-381)) (-310 (-381)) (-381))) (-15 -3259 ((-1035) (-1244 (-310 (-381))) (-381) (-381) (-634 (-381)) (-634 (-381)) (-381))) (-15 -3259 ((-1035) (-1244 (-310 (-381))) (-381) (-381) (-634 (-381)) (-310 (-381)) (-634 (-381)) (-381))) (-15 -3259 ((-1035) (-1244 (-310 (-381))) (-381) (-381) (-634 (-381)) (-310 (-381)) (-634 (-381)) (-381) (-381))) (-15 -3031 ((-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143)))) (-803))) (-15 -3031 ((-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143)))) (-803) (-1059))))) (T -800)) 
-((-3031 (*1 *2 *3 *4) (-12 (-5 *3 (-803)) (-5 *4 (-1059)) (-5 *2 (-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))))) (-5 *1 (-800)))) (-3031 (*1 *2 *3) (-12 (-5 *3 (-803)) (-5 *2 (-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))))) (-5 *1 (-800)))) (-3259 (*1 *2 *3 *4 *4 *5 *6 *5 *4 *4) (-12 (-5 *3 (-1244 (-310 *4))) (-5 *5 (-634 (-381))) (-5 *6 (-310 (-381))) (-5 *4 (-381)) (-5 *2 (-1035)) (-5 *1 (-800)))) (-3259 (*1 *2 *3 *4 *4 *5 *6 *5 *4) (-12 (-5 *3 (-1244 (-310 *4))) (-5 *5 (-634 (-381))) (-5 *6 (-310 (-381))) (-5 *4 (-381)) (-5 *2 (-1035)) (-5 *1 (-800)))) (-3259 (*1 *2 *3 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1244 (-310 (-381)))) (-5 *4 (-381)) (-5 *5 (-634 *4)) (-5 *2 (-1035)) (-5 *1 (-800)))) (-3259 (*1 *2 *3 *4 *4 *5 *6 *4) (-12 (-5 *3 (-1244 (-310 *4))) (-5 *5 (-634 (-381))) (-5 *6 (-310 (-381))) (-5 *4 (-381)) (-5 *2 (-1035)) (-5 *1 (-800)))) (-3259 (*1 *2 *3 *4 *4 *5 *4) (-12 (-5 *3 (-1244 (-310 (-381)))) (-5 *4 (-381)) (-5 *5 (-634 *4)) (-5 *2 (-1035)) (-5 *1 (-800)))) (-3259 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1244 (-310 (-381)))) (-5 *4 (-381)) (-5 *5 (-634 *4)) (-5 *2 (-1035)) (-5 *1 (-800)))) (-3259 (*1 *2 *3 *4) (-12 (-5 *3 (-803)) (-5 *4 (-1059)) (-5 *2 (-1035)) (-5 *1 (-800)))) (-3259 (*1 *2 *3) (-12 (-5 *3 (-803)) (-5 *2 (-1035)) (-5 *1 (-800))))) 
-(-10 -7 (-15 -3259 ((-1035) (-803))) (-15 -3259 ((-1035) (-803) (-1059))) (-15 -3259 ((-1035) (-1244 (-310 (-381))) (-381) (-381) (-634 (-381)))) (-15 -3259 ((-1035) (-1244 (-310 (-381))) (-381) (-381) (-634 (-381)) (-381))) (-15 -3259 ((-1035) (-1244 (-310 (-381))) (-381) (-381) (-634 (-381)) (-310 (-381)) (-381))) (-15 -3259 ((-1035) (-1244 (-310 (-381))) (-381) (-381) (-634 (-381)) (-634 (-381)) (-381))) (-15 -3259 ((-1035) (-1244 (-310 (-381))) (-381) (-381) (-634 (-381)) (-310 (-381)) (-634 (-381)) (-381))) (-15 -3259 ((-1035) (-1244 (-310 (-381))) (-381) (-381) (-634 (-381)) (-310 (-381)) (-634 (-381)) (-381) (-381))) (-15 -3031 ((-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143)))) (-803))) (-15 -3031 ((-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143)))) (-803) (-1059)))) 
-((-3662 (((-2 (|:| |particular| (-3 |#4| "failed")) (|:| -2588 (-634 |#4|))) (-643 |#4|) |#4|) 32))) 
-(((-801 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3662 ((-2 (|:| |particular| (-3 |#4| "failed")) (|:| -2588 (-634 |#4|))) (-643 |#4|) |#4|))) (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568)))) (-1219 |#1|) (-1219 (-409 |#2|)) (-340 |#1| |#2| |#3|)) (T -801)) 
-((-3662 (*1 *2 *3 *4) (-12 (-5 *3 (-643 *4)) (-4 *4 (-340 *5 *6 *7)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-4 *6 (-1219 *5)) (-4 *7 (-1219 (-409 *6))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2588 (-634 *4)))) (-5 *1 (-801 *5 *6 *7 *4))))) 
-(-10 -7 (-15 -3662 ((-2 (|:| |particular| (-3 |#4| "failed")) (|:| -2588 (-634 |#4|))) (-643 |#4|) |#4|))) 
-((-3618 (((-2 (|:| -2410 |#3|) (|:| |rh| (-634 (-409 |#2|)))) |#4| (-634 (-409 |#2|))) 51)) (-3857 (((-634 (-2 (|:| -1374 |#2|) (|:| -2785 |#2|))) |#4| |#2|) 59) (((-634 (-2 (|:| -1374 |#2|) (|:| -2785 |#2|))) |#4|) 58) (((-634 (-2 (|:| -1374 |#2|) (|:| -2785 |#2|))) |#3| |#2|) 20) (((-634 (-2 (|:| -1374 |#2|) (|:| -2785 |#2|))) |#3|) 21)) (-3036 ((|#2| |#4| |#1|) 60) ((|#2| |#3| |#1|) 27)) (-1739 ((|#2| |#3| (-634 (-409 |#2|))) 93) (((-3 |#2| "failed") |#3| (-409 |#2|)) 90))) 
-(((-802 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1739 ((-3 |#2| "failed") |#3| (-409 |#2|))) (-15 -1739 (|#2| |#3| (-634 (-409 |#2|)))) (-15 -3857 ((-634 (-2 (|:| -1374 |#2|) (|:| -2785 |#2|))) |#3|)) (-15 -3857 ((-634 (-2 (|:| -1374 |#2|) (|:| -2785 |#2|))) |#3| |#2|)) (-15 -3036 (|#2| |#3| |#1|)) (-15 -3857 ((-634 (-2 (|:| -1374 |#2|) (|:| -2785 |#2|))) |#4|)) (-15 -3857 ((-634 (-2 (|:| -1374 |#2|) (|:| -2785 |#2|))) |#4| |#2|)) (-15 -3036 (|#2| |#4| |#1|)) (-15 -3618 ((-2 (|:| -2410 |#3|) (|:| |rh| (-634 (-409 |#2|)))) |#4| (-634 (-409 |#2|))))) (-13 (-365) (-150) (-1037 (-409 (-568)))) (-1219 |#1|) (-646 |#2|) (-646 (-409 |#2|))) (T -802)) 
-((-3618 (*1 *2 *3 *4) (-12 (-4 *5 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *6 (-1219 *5)) (-5 *2 (-2 (|:| -2410 *7) (|:| |rh| (-634 (-409 *6))))) (-5 *1 (-802 *5 *6 *7 *3)) (-5 *4 (-634 (-409 *6))) (-4 *7 (-646 *6)) (-4 *3 (-646 (-409 *6))))) (-3036 (*1 *2 *3 *4) (-12 (-4 *2 (-1219 *4)) (-5 *1 (-802 *4 *2 *5 *3)) (-4 *4 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *5 (-646 *2)) (-4 *3 (-646 (-409 *2))))) (-3857 (*1 *2 *3 *4) (-12 (-4 *5 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *4 (-1219 *5)) (-5 *2 (-634 (-2 (|:| -1374 *4) (|:| -2785 *4)))) (-5 *1 (-802 *5 *4 *6 *3)) (-4 *6 (-646 *4)) (-4 *3 (-646 (-409 *4))))) (-3857 (*1 *2 *3) (-12 (-4 *4 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *5 (-1219 *4)) (-5 *2 (-634 (-2 (|:| -1374 *5) (|:| -2785 *5)))) (-5 *1 (-802 *4 *5 *6 *3)) (-4 *6 (-646 *5)) (-4 *3 (-646 (-409 *5))))) (-3036 (*1 *2 *3 *4) (-12 (-4 *2 (-1219 *4)) (-5 *1 (-802 *4 *2 *3 *5)) (-4 *4 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *3 (-646 *2)) (-4 *5 (-646 (-409 *2))))) (-3857 (*1 *2 *3 *4) (-12 (-4 *5 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *4 (-1219 *5)) (-5 *2 (-634 (-2 (|:| -1374 *4) (|:| -2785 *4)))) (-5 *1 (-802 *5 *4 *3 *6)) (-4 *3 (-646 *4)) (-4 *6 (-646 (-409 *4))))) (-3857 (*1 *2 *3) (-12 (-4 *4 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *5 (-1219 *4)) (-5 *2 (-634 (-2 (|:| -1374 *5) (|:| -2785 *5)))) (-5 *1 (-802 *4 *5 *3 *6)) (-4 *3 (-646 *5)) (-4 *6 (-646 (-409 *5))))) (-1739 (*1 *2 *3 *4) (-12 (-5 *4 (-634 (-409 *2))) (-4 *2 (-1219 *5)) (-5 *1 (-802 *5 *2 *3 *6)) (-4 *5 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *3 (-646 *2)) (-4 *6 (-646 (-409 *2))))) (-1739 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-409 *2)) (-4 *2 (-1219 *5)) (-5 *1 (-802 *5 *2 *3 *6)) (-4 *5 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *3 (-646 *2)) (-4 *6 (-646 *4))))) 
-(-10 -7 (-15 -1739 ((-3 |#2| "failed") |#3| (-409 |#2|))) (-15 -1739 (|#2| |#3| (-634 (-409 |#2|)))) (-15 -3857 ((-634 (-2 (|:| -1374 |#2|) (|:| -2785 |#2|))) |#3|)) (-15 -3857 ((-634 (-2 (|:| -1374 |#2|) (|:| -2785 |#2|))) |#3| |#2|)) (-15 -3036 (|#2| |#3| |#1|)) (-15 -3857 ((-634 (-2 (|:| -1374 |#2|) (|:| -2785 |#2|))) |#4|)) (-15 -3857 ((-634 (-2 (|:| -1374 |#2|) (|:| -2785 |#2|))) |#4| |#2|)) (-15 -3036 (|#2| |#4| |#1|)) (-15 -3618 ((-2 (|:| -2410 |#3|) (|:| |rh| (-634 (-409 |#2|)))) |#4| (-634 (-409 |#2|))))) 
-((-2449 (((-121) $ $) NIL)) (-2857 (((-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) $) 9)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) 11) (($ (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) 8)) (-1719 (((-121) $ $) NIL))) 
-(((-803) (-13 (-1090) (-10 -8 (-15 -2747 ($ (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -2747 ((-850) $)) (-15 -2857 ((-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) $))))) (T -803)) 
-((-2747 (*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-803)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *1 (-803)))) (-2857 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *1 (-803))))) 
-(-13 (-1090) (-10 -8 (-15 -2747 ($ (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-15 -2747 ((-850) $)) (-15 -2857 ((-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215))) $)))) 
-((-2645 (((-634 (-2 (|:| |frac| (-409 |#2|)) (|:| -2410 |#3|))) |#3| (-1 (-634 |#2|) |#2| (-1157 |#2|)) (-1 (-420 |#2|) |#2|)) 118)) (-1869 (((-634 (-2 (|:| |poly| |#2|) (|:| -2410 |#3|))) |#3| (-1 (-634 |#1|) |#2|)) 45)) (-2031 (((-634 (-2 (|:| |deg| (-763)) (|:| -2410 |#2|))) |#3|) 95)) (-3050 ((|#2| |#3|) 37)) (-2533 (((-634 (-2 (|:| -3497 |#1|) (|:| -2410 |#3|))) |#3| (-1 (-634 |#1|) |#2|)) 82)) (-4083 ((|#3| |#3| (-409 |#2|)) 63) ((|#3| |#3| |#2|) 79))) 
-(((-804 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3050 (|#2| |#3|)) (-15 -2031 ((-634 (-2 (|:| |deg| (-763)) (|:| -2410 |#2|))) |#3|)) (-15 -2533 ((-634 (-2 (|:| -3497 |#1|) (|:| -2410 |#3|))) |#3| (-1 (-634 |#1|) |#2|))) (-15 -1869 ((-634 (-2 (|:| |poly| |#2|) (|:| -2410 |#3|))) |#3| (-1 (-634 |#1|) |#2|))) (-15 -2645 ((-634 (-2 (|:| |frac| (-409 |#2|)) (|:| -2410 |#3|))) |#3| (-1 (-634 |#2|) |#2| (-1157 |#2|)) (-1 (-420 |#2|) |#2|))) (-15 -4083 (|#3| |#3| |#2|)) (-15 -4083 (|#3| |#3| (-409 |#2|)))) (-13 (-365) (-150) (-1037 (-409 (-568)))) (-1219 |#1|) (-646 |#2|) (-646 (-409 |#2|))) (T -804)) 
-((-4083 (*1 *2 *2 *3) (-12 (-5 *3 (-409 *5)) (-4 *4 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *5 (-1219 *4)) (-5 *1 (-804 *4 *5 *2 *6)) (-4 *2 (-646 *5)) (-4 *6 (-646 *3)))) (-4083 (*1 *2 *2 *3) (-12 (-4 *4 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *3 (-1219 *4)) (-5 *1 (-804 *4 *3 *2 *5)) (-4 *2 (-646 *3)) (-4 *5 (-646 (-409 *3))))) (-2645 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 (-634 *7) *7 (-1157 *7))) (-5 *5 (-1 (-420 *7) *7)) (-4 *7 (-1219 *6)) (-4 *6 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-5 *2 (-634 (-2 (|:| |frac| (-409 *7)) (|:| -2410 *3)))) (-5 *1 (-804 *6 *7 *3 *8)) (-4 *3 (-646 *7)) (-4 *8 (-646 (-409 *7))))) (-1869 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-634 *5) *6)) (-4 *5 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *6 (-1219 *5)) (-5 *2 (-634 (-2 (|:| |poly| *6) (|:| -2410 *3)))) (-5 *1 (-804 *5 *6 *3 *7)) (-4 *3 (-646 *6)) (-4 *7 (-646 (-409 *6))))) (-2533 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-634 *5) *6)) (-4 *5 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *6 (-1219 *5)) (-5 *2 (-634 (-2 (|:| -3497 *5) (|:| -2410 *3)))) (-5 *1 (-804 *5 *6 *3 *7)) (-4 *3 (-646 *6)) (-4 *7 (-646 (-409 *6))))) (-2031 (*1 *2 *3) (-12 (-4 *4 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *5 (-1219 *4)) (-5 *2 (-634 (-2 (|:| |deg| (-763)) (|:| -2410 *5)))) (-5 *1 (-804 *4 *5 *3 *6)) (-4 *3 (-646 *5)) (-4 *6 (-646 (-409 *5))))) (-3050 (*1 *2 *3) (-12 (-4 *2 (-1219 *4)) (-5 *1 (-804 *4 *2 *3 *5)) (-4 *4 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *3 (-646 *2)) (-4 *5 (-646 (-409 *2)))))) 
-(-10 -7 (-15 -3050 (|#2| |#3|)) (-15 -2031 ((-634 (-2 (|:| |deg| (-763)) (|:| -2410 |#2|))) |#3|)) (-15 -2533 ((-634 (-2 (|:| -3497 |#1|) (|:| -2410 |#3|))) |#3| (-1 (-634 |#1|) |#2|))) (-15 -1869 ((-634 (-2 (|:| |poly| |#2|) (|:| -2410 |#3|))) |#3| (-1 (-634 |#1|) |#2|))) (-15 -2645 ((-634 (-2 (|:| |frac| (-409 |#2|)) (|:| -2410 |#3|))) |#3| (-1 (-634 |#2|) |#2| (-1157 |#2|)) (-1 (-420 |#2|) |#2|))) (-15 -4083 (|#3| |#3| |#2|)) (-15 -4083 (|#3| |#3| (-409 |#2|)))) 
-((-1278 (((-2 (|:| -2588 (-634 (-409 |#2|))) (|:| -2908 (-679 |#1|))) (-644 |#2| (-409 |#2|)) (-634 (-409 |#2|))) 117) (((-2 (|:| |particular| (-3 (-409 |#2|) "failed")) (|:| -2588 (-634 (-409 |#2|)))) (-644 |#2| (-409 |#2|)) (-409 |#2|)) 116) (((-2 (|:| -2588 (-634 (-409 |#2|))) (|:| -2908 (-679 |#1|))) (-643 (-409 |#2|)) (-634 (-409 |#2|))) 111) (((-2 (|:| |particular| (-3 (-409 |#2|) "failed")) (|:| -2588 (-634 (-409 |#2|)))) (-643 (-409 |#2|)) (-409 |#2|)) 109)) (-3172 ((|#2| (-644 |#2| (-409 |#2|))) 77) ((|#2| (-643 (-409 |#2|))) 81))) 
-(((-805 |#1| |#2|) (-10 -7 (-15 -1278 ((-2 (|:| |particular| (-3 (-409 |#2|) "failed")) (|:| -2588 (-634 (-409 |#2|)))) (-643 (-409 |#2|)) (-409 |#2|))) (-15 -1278 ((-2 (|:| -2588 (-634 (-409 |#2|))) (|:| -2908 (-679 |#1|))) (-643 (-409 |#2|)) (-634 (-409 |#2|)))) (-15 -1278 ((-2 (|:| |particular| (-3 (-409 |#2|) "failed")) (|:| -2588 (-634 (-409 |#2|)))) (-644 |#2| (-409 |#2|)) (-409 |#2|))) (-15 -1278 ((-2 (|:| -2588 (-634 (-409 |#2|))) (|:| -2908 (-679 |#1|))) (-644 |#2| (-409 |#2|)) (-634 (-409 |#2|)))) (-15 -3172 (|#2| (-643 (-409 |#2|)))) (-15 -3172 (|#2| (-644 |#2| (-409 |#2|))))) (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568)))) (-1219 |#1|)) (T -805)) 
-((-3172 (*1 *2 *3) (-12 (-5 *3 (-644 *2 (-409 *2))) (-4 *2 (-1219 *4)) (-5 *1 (-805 *4 *2)) (-4 *4 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))))) (-3172 (*1 *2 *3) (-12 (-5 *3 (-643 (-409 *2))) (-4 *2 (-1219 *4)) (-5 *1 (-805 *4 *2)) (-4 *4 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))))) (-1278 (*1 *2 *3 *4) (-12 (-5 *3 (-644 *6 (-409 *6))) (-4 *6 (-1219 *5)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-5 *2 (-2 (|:| -2588 (-634 (-409 *6))) (|:| -2908 (-679 *5)))) (-5 *1 (-805 *5 *6)) (-5 *4 (-634 (-409 *6))))) (-1278 (*1 *2 *3 *4) (-12 (-5 *3 (-644 *6 (-409 *6))) (-5 *4 (-409 *6)) (-4 *6 (-1219 *5)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2588 (-634 *4)))) (-5 *1 (-805 *5 *6)))) (-1278 (*1 *2 *3 *4) (-12 (-5 *3 (-643 (-409 *6))) (-4 *6 (-1219 *5)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-5 *2 (-2 (|:| -2588 (-634 (-409 *6))) (|:| -2908 (-679 *5)))) (-5 *1 (-805 *5 *6)) (-5 *4 (-634 (-409 *6))))) (-1278 (*1 *2 *3 *4) (-12 (-5 *3 (-643 (-409 *6))) (-5 *4 (-409 *6)) (-4 *6 (-1219 *5)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2588 (-634 *4)))) (-5 *1 (-805 *5 *6))))) 
-(-10 -7 (-15 -1278 ((-2 (|:| |particular| (-3 (-409 |#2|) "failed")) (|:| -2588 (-634 (-409 |#2|)))) (-643 (-409 |#2|)) (-409 |#2|))) (-15 -1278 ((-2 (|:| -2588 (-634 (-409 |#2|))) (|:| -2908 (-679 |#1|))) (-643 (-409 |#2|)) (-634 (-409 |#2|)))) (-15 -1278 ((-2 (|:| |particular| (-3 (-409 |#2|) "failed")) (|:| -2588 (-634 (-409 |#2|)))) (-644 |#2| (-409 |#2|)) (-409 |#2|))) (-15 -1278 ((-2 (|:| -2588 (-634 (-409 |#2|))) (|:| -2908 (-679 |#1|))) (-644 |#2| (-409 |#2|)) (-634 (-409 |#2|)))) (-15 -3172 (|#2| (-643 (-409 |#2|)))) (-15 -3172 (|#2| (-644 |#2| (-409 |#2|))))) 
-((-1633 (((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#1|))) |#5| |#4|) 47))) 
-(((-806 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1633 ((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#1|))) |#5| |#4|))) (-365) (-646 |#1|) (-1219 |#1|) (-714 |#1| |#3|) (-646 |#4|)) (T -806)) 
-((-1633 (*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-4 *7 (-1219 *5)) (-4 *4 (-714 *5 *7)) (-5 *2 (-2 (|:| -2908 (-679 *6)) (|:| |vec| (-1244 *5)))) (-5 *1 (-806 *5 *6 *7 *4 *3)) (-4 *6 (-646 *5)) (-4 *3 (-646 *4))))) 
-(-10 -7 (-15 -1633 ((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#1|))) |#5| |#4|))) 
-((-2645 (((-634 (-2 (|:| |frac| (-409 |#2|)) (|:| -2410 (-644 |#2| (-409 |#2|))))) (-644 |#2| (-409 |#2|)) (-1 (-420 |#2|) |#2|)) 43)) (-1532 (((-634 (-409 |#2|)) (-644 |#2| (-409 |#2|)) (-1 (-420 |#2|) |#2|)) 133 (|has| |#1| (-27))) (((-634 (-409 |#2|)) (-644 |#2| (-409 |#2|))) 134 (|has| |#1| (-27))) (((-634 (-409 |#2|)) (-643 (-409 |#2|)) (-1 (-420 |#2|) |#2|)) 135 (|has| |#1| (-27))) (((-634 (-409 |#2|)) (-643 (-409 |#2|))) 136 (|has| |#1| (-27))) (((-634 (-409 |#2|)) (-644 |#2| (-409 |#2|)) (-1 (-634 |#1|) |#2|) (-1 (-420 |#2|) |#2|)) 36) (((-634 (-409 |#2|)) (-644 |#2| (-409 |#2|)) (-1 (-634 |#1|) |#2|)) 37) (((-634 (-409 |#2|)) (-643 (-409 |#2|)) (-1 (-634 |#1|) |#2|) (-1 (-420 |#2|) |#2|)) 34) (((-634 (-409 |#2|)) (-643 (-409 |#2|)) (-1 (-634 |#1|) |#2|)) 35)) (-1869 (((-634 (-2 (|:| |poly| |#2|) (|:| -2410 (-644 |#2| (-409 |#2|))))) (-644 |#2| (-409 |#2|)) (-1 (-634 |#1|) |#2|)) 80))) 
-(((-807 |#1| |#2|) (-10 -7 (-15 -1532 ((-634 (-409 |#2|)) (-643 (-409 |#2|)) (-1 (-634 |#1|) |#2|))) (-15 -1532 ((-634 (-409 |#2|)) (-643 (-409 |#2|)) (-1 (-634 |#1|) |#2|) (-1 (-420 |#2|) |#2|))) (-15 -1532 ((-634 (-409 |#2|)) (-644 |#2| (-409 |#2|)) (-1 (-634 |#1|) |#2|))) (-15 -1532 ((-634 (-409 |#2|)) (-644 |#2| (-409 |#2|)) (-1 (-634 |#1|) |#2|) (-1 (-420 |#2|) |#2|))) (-15 -2645 ((-634 (-2 (|:| |frac| (-409 |#2|)) (|:| -2410 (-644 |#2| (-409 |#2|))))) (-644 |#2| (-409 |#2|)) (-1 (-420 |#2|) |#2|))) (-15 -1869 ((-634 (-2 (|:| |poly| |#2|) (|:| -2410 (-644 |#2| (-409 |#2|))))) (-644 |#2| (-409 |#2|)) (-1 (-634 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -1532 ((-634 (-409 |#2|)) (-643 (-409 |#2|)))) (-15 -1532 ((-634 (-409 |#2|)) (-643 (-409 |#2|)) (-1 (-420 |#2|) |#2|))) (-15 -1532 ((-634 (-409 |#2|)) (-644 |#2| (-409 |#2|)))) (-15 -1532 ((-634 (-409 |#2|)) (-644 |#2| (-409 |#2|)) (-1 (-420 |#2|) |#2|)))) |noBranch|)) (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568)))) (-1219 |#1|)) (T -807)) 
-((-1532 (*1 *2 *3 *4) (-12 (-5 *3 (-644 *6 (-409 *6))) (-5 *4 (-1 (-420 *6) *6)) (-4 *6 (-1219 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-5 *2 (-634 (-409 *6))) (-5 *1 (-807 *5 *6)))) (-1532 (*1 *2 *3) (-12 (-5 *3 (-644 *5 (-409 *5))) (-4 *5 (-1219 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-5 *2 (-634 (-409 *5))) (-5 *1 (-807 *4 *5)))) (-1532 (*1 *2 *3 *4) (-12 (-5 *3 (-643 (-409 *6))) (-5 *4 (-1 (-420 *6) *6)) (-4 *6 (-1219 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-5 *2 (-634 (-409 *6))) (-5 *1 (-807 *5 *6)))) (-1532 (*1 *2 *3) (-12 (-5 *3 (-643 (-409 *5))) (-4 *5 (-1219 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-5 *2 (-634 (-409 *5))) (-5 *1 (-807 *4 *5)))) (-1869 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-634 *5) *6)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-4 *6 (-1219 *5)) (-5 *2 (-634 (-2 (|:| |poly| *6) (|:| -2410 (-644 *6 (-409 *6)))))) (-5 *1 (-807 *5 *6)) (-5 *3 (-644 *6 (-409 *6))))) (-2645 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-420 *6) *6)) (-4 *6 (-1219 *5)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-5 *2 (-634 (-2 (|:| |frac| (-409 *6)) (|:| -2410 (-644 *6 (-409 *6)))))) (-5 *1 (-807 *5 *6)) (-5 *3 (-644 *6 (-409 *6))))) (-1532 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-644 *7 (-409 *7))) (-5 *4 (-1 (-634 *6) *7)) (-5 *5 (-1 (-420 *7) *7)) (-4 *6 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-4 *7 (-1219 *6)) (-5 *2 (-634 (-409 *7))) (-5 *1 (-807 *6 *7)))) (-1532 (*1 *2 *3 *4) (-12 (-5 *3 (-644 *6 (-409 *6))) (-5 *4 (-1 (-634 *5) *6)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-4 *6 (-1219 *5)) (-5 *2 (-634 (-409 *6))) (-5 *1 (-807 *5 *6)))) (-1532 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-643 (-409 *7))) (-5 *4 (-1 (-634 *6) *7)) (-5 *5 (-1 (-420 *7) *7)) (-4 *6 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-4 *7 (-1219 *6)) (-5 *2 (-634 (-409 *7))) (-5 *1 (-807 *6 *7)))) (-1532 (*1 *2 *3 *4) (-12 (-5 *3 (-643 (-409 *6))) (-5 *4 (-1 (-634 *5) *6)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-4 *6 (-1219 *5)) (-5 *2 (-634 (-409 *6))) (-5 *1 (-807 *5 *6))))) 
-(-10 -7 (-15 -1532 ((-634 (-409 |#2|)) (-643 (-409 |#2|)) (-1 (-634 |#1|) |#2|))) (-15 -1532 ((-634 (-409 |#2|)) (-643 (-409 |#2|)) (-1 (-634 |#1|) |#2|) (-1 (-420 |#2|) |#2|))) (-15 -1532 ((-634 (-409 |#2|)) (-644 |#2| (-409 |#2|)) (-1 (-634 |#1|) |#2|))) (-15 -1532 ((-634 (-409 |#2|)) (-644 |#2| (-409 |#2|)) (-1 (-634 |#1|) |#2|) (-1 (-420 |#2|) |#2|))) (-15 -2645 ((-634 (-2 (|:| |frac| (-409 |#2|)) (|:| -2410 (-644 |#2| (-409 |#2|))))) (-644 |#2| (-409 |#2|)) (-1 (-420 |#2|) |#2|))) (-15 -1869 ((-634 (-2 (|:| |poly| |#2|) (|:| -2410 (-644 |#2| (-409 |#2|))))) (-644 |#2| (-409 |#2|)) (-1 (-634 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -1532 ((-634 (-409 |#2|)) (-643 (-409 |#2|)))) (-15 -1532 ((-634 (-409 |#2|)) (-643 (-409 |#2|)) (-1 (-420 |#2|) |#2|))) (-15 -1532 ((-634 (-409 |#2|)) (-644 |#2| (-409 |#2|)))) (-15 -1532 ((-634 (-409 |#2|)) (-644 |#2| (-409 |#2|)) (-1 (-420 |#2|) |#2|)))) |noBranch|)) 
-((-1297 (((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#1|))) (-679 |#2|) (-1244 |#1|)) 86) (((-2 (|:| A (-679 |#1|)) (|:| |eqs| (-634 (-2 (|:| C (-679 |#1|)) (|:| |g| (-1244 |#1|)) (|:| -2410 |#2|) (|:| |rh| |#1|))))) (-679 |#1|) (-1244 |#1|)) 14)) (-1993 (((-2 (|:| |particular| (-3 (-1244 |#1|) "failed")) (|:| -2588 (-634 (-1244 |#1|)))) (-679 |#2|) (-1244 |#1|) (-1 (-2 (|:| |particular| (-3 |#1| "failed")) (|:| -2588 (-634 |#1|))) |#2| |#1|)) 92)) (-3259 (((-3 (-2 (|:| |particular| (-1244 |#1|)) (|:| -2588 (-679 |#1|))) "failed") (-679 |#1|) (-1244 |#1|) (-1 (-3 (-2 (|:| |particular| |#1|) (|:| -2588 (-634 |#1|))) "failed") |#2| |#1|)) 45))) 
-(((-808 |#1| |#2|) (-10 -7 (-15 -1297 ((-2 (|:| A (-679 |#1|)) (|:| |eqs| (-634 (-2 (|:| C (-679 |#1|)) (|:| |g| (-1244 |#1|)) (|:| -2410 |#2|) (|:| |rh| |#1|))))) (-679 |#1|) (-1244 |#1|))) (-15 -1297 ((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#1|))) (-679 |#2|) (-1244 |#1|))) (-15 -3259 ((-3 (-2 (|:| |particular| (-1244 |#1|)) (|:| -2588 (-679 |#1|))) "failed") (-679 |#1|) (-1244 |#1|) (-1 (-3 (-2 (|:| |particular| |#1|) (|:| -2588 (-634 |#1|))) "failed") |#2| |#1|))) (-15 -1993 ((-2 (|:| |particular| (-3 (-1244 |#1|) "failed")) (|:| -2588 (-634 (-1244 |#1|)))) (-679 |#2|) (-1244 |#1|) (-1 (-2 (|:| |particular| (-3 |#1| "failed")) (|:| -2588 (-634 |#1|))) |#2| |#1|)))) (-365) (-646 |#1|)) (T -808)) 
-((-1993 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-679 *7)) (-5 *5 (-1 (-2 (|:| |particular| (-3 *6 "failed")) (|:| -2588 (-634 *6))) *7 *6)) (-4 *6 (-365)) (-4 *7 (-646 *6)) (-5 *2 (-2 (|:| |particular| (-3 (-1244 *6) "failed")) (|:| -2588 (-634 (-1244 *6))))) (-5 *1 (-808 *6 *7)) (-5 *4 (-1244 *6)))) (-3259 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-2 (|:| |particular| *6) (|:| -2588 (-634 *6))) "failed") *7 *6)) (-4 *6 (-365)) (-4 *7 (-646 *6)) (-5 *2 (-2 (|:| |particular| (-1244 *6)) (|:| -2588 (-679 *6)))) (-5 *1 (-808 *6 *7)) (-5 *3 (-679 *6)) (-5 *4 (-1244 *6)))) (-1297 (*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-4 *6 (-646 *5)) (-5 *2 (-2 (|:| -2908 (-679 *6)) (|:| |vec| (-1244 *5)))) (-5 *1 (-808 *5 *6)) (-5 *3 (-679 *6)) (-5 *4 (-1244 *5)))) (-1297 (*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-5 *2 (-2 (|:| A (-679 *5)) (|:| |eqs| (-634 (-2 (|:| C (-679 *5)) (|:| |g| (-1244 *5)) (|:| -2410 *6) (|:| |rh| *5)))))) (-5 *1 (-808 *5 *6)) (-5 *3 (-679 *5)) (-5 *4 (-1244 *5)) (-4 *6 (-646 *5))))) 
-(-10 -7 (-15 -1297 ((-2 (|:| A (-679 |#1|)) (|:| |eqs| (-634 (-2 (|:| C (-679 |#1|)) (|:| |g| (-1244 |#1|)) (|:| -2410 |#2|) (|:| |rh| |#1|))))) (-679 |#1|) (-1244 |#1|))) (-15 -1297 ((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#1|))) (-679 |#2|) (-1244 |#1|))) (-15 -3259 ((-3 (-2 (|:| |particular| (-1244 |#1|)) (|:| -2588 (-679 |#1|))) "failed") (-679 |#1|) (-1244 |#1|) (-1 (-3 (-2 (|:| |particular| |#1|) (|:| -2588 (-634 |#1|))) "failed") |#2| |#1|))) (-15 -1993 ((-2 (|:| |particular| (-3 (-1244 |#1|) "failed")) (|:| -2588 (-634 (-1244 |#1|)))) (-679 |#2|) (-1244 |#1|) (-1 (-2 (|:| |particular| (-3 |#1| "failed")) (|:| -2588 (-634 |#1|))) |#2| |#1|)))) 
-((-3005 (((-679 |#1|) (-634 |#1|) (-763)) 13) (((-679 |#1|) (-634 |#1|)) 14)) (-1552 (((-3 (-1244 |#1|) "failed") |#2| |#1| (-634 |#1|)) 34)) (-3075 (((-3 |#1| "failed") |#2| |#1| (-634 |#1|) (-1 |#1| |#1|)) 42))) 
-(((-809 |#1| |#2|) (-10 -7 (-15 -3005 ((-679 |#1|) (-634 |#1|))) (-15 -3005 ((-679 |#1|) (-634 |#1|) (-763))) (-15 -1552 ((-3 (-1244 |#1|) "failed") |#2| |#1| (-634 |#1|))) (-15 -3075 ((-3 |#1| "failed") |#2| |#1| (-634 |#1|) (-1 |#1| |#1|)))) (-365) (-646 |#1|)) (T -809)) 
-((-3075 (*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *4 (-634 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-365)) (-5 *1 (-809 *2 *3)) (-4 *3 (-646 *2)))) (-1552 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-634 *4)) (-4 *4 (-365)) (-5 *2 (-1244 *4)) (-5 *1 (-809 *4 *3)) (-4 *3 (-646 *4)))) (-3005 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-763)) (-4 *5 (-365)) (-5 *2 (-679 *5)) (-5 *1 (-809 *5 *6)) (-4 *6 (-646 *5)))) (-3005 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-365)) (-5 *2 (-679 *4)) (-5 *1 (-809 *4 *5)) (-4 *5 (-646 *4))))) 
-(-10 -7 (-15 -3005 ((-679 |#1|) (-634 |#1|))) (-15 -3005 ((-679 |#1|) (-634 |#1|) (-763))) (-15 -1552 ((-3 (-1244 |#1|) "failed") |#2| |#1| (-634 |#1|))) (-15 -3075 ((-3 |#1| "failed") |#2| |#1| (-634 |#1|) (-1 |#1| |#1|)))) 
-((-2449 (((-121) $ $) NIL (|has| |#2| (-1090)))) (-1819 (((-121) $) NIL (|has| |#2| (-137)))) (-4007 (($ (-917)) NIL (|has| |#2| (-1047)))) (-2481 (((-1249) $ (-568) (-568)) NIL (|has| $ (-6 -4522)))) (-2409 (($ $ $) NIL (|has| |#2| (-788)))) (-2689 (((-3 $ "failed") $ $) NIL (|has| |#2| (-137)))) (-1667 (((-121) $ (-763)) NIL)) (-3986 (((-763)) NIL (|has| |#2| (-370)))) (-3337 (((-568) $) NIL (|has| |#2| (-840)))) (-2438 ((|#2| $ (-568) |#2|) NIL (|has| $ (-6 -4522)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-568) "failed") $) NIL (-12 (|has| |#2| (-1037 (-568))) (|has| |#2| (-1090)))) (((-3 (-409 (-568)) "failed") $) NIL (-12 (|has| |#2| (-1037 (-409 (-568)))) (|has| |#2| (-1090)))) (((-3 |#2| "failed") $) NIL (|has| |#2| (-1090)))) (-2857 (((-568) $) NIL (-12 (|has| |#2| (-1037 (-568))) (|has| |#2| (-1090)))) (((-409 (-568)) $) NIL (-12 (|has| |#2| (-1037 (-409 (-568)))) (|has| |#2| (-1090)))) ((|#2| $) NIL (|has| |#2| (-1090)))) (-1668 (((-679 (-568)) (-679 $)) NIL (-12 (|has| |#2| (-630 (-568))) (|has| |#2| (-1047)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (-12 (|has| |#2| (-630 (-568))) (|has| |#2| (-1047)))) (((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 $) (-1244 $)) NIL (|has| |#2| (-1047))) (((-679 |#2|) (-679 $)) NIL (|has| |#2| (-1047)))) (-2902 (((-3 $ "failed") $) NIL (|has| |#2| (-716)))) (-1733 (($) NIL (|has| |#2| (-370)))) (-1292 ((|#2| $ (-568) |#2|) NIL (|has| $ (-6 -4522)))) (-2069 ((|#2| $ (-568)) NIL)) (-1436 (((-121) $) NIL (|has| |#2| (-840)))) (-3317 (((-634 |#2|) $) NIL (|has| $ (-6 -4521)))) (-1598 (((-121) $) NIL (|has| |#2| (-716)))) (-2859 (((-121) $) NIL (|has| |#2| (-840)))) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-568) $) NIL (|has| (-568) (-842)))) (-1732 (($ $ $) NIL (-2199 (|has| |#2| (-788)) (|has| |#2| (-840))))) (-4406 (((-634 |#2|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-3631 (((-568) $) NIL (|has| (-568) (-842)))) (-2047 (($ $ $) NIL (-2199 (|has| |#2| (-788)) (|has| |#2| (-840))))) (-2253 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#2| |#2|) $) NIL)) (-2291 (((-917) $) NIL (|has| |#2| (-370)))) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (|has| |#2| (-1090)))) (-3948 (((-634 (-568)) $) NIL)) (-2916 (((-121) (-568) $) NIL)) (-4357 (($ (-917)) NIL (|has| |#2| (-370)))) (-4025 (((-1108) $) NIL (|has| |#2| (-1090)))) (-3877 ((|#2| $) NIL (|has| (-568) (-842)))) (-2490 (($ $ |#2|) NIL (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#2|))) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-288 |#2|)) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-634 |#2|) (-634 |#2|)) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-1480 (((-634 |#2|) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#2| $ (-568) |#2|) NIL) ((|#2| $ (-568)) NIL)) (-2286 ((|#2| $ $) NIL (|has| |#2| (-1047)))) (-2041 (($ (-1244 |#2|)) NIL)) (-3108 (((-139)) NIL (|has| |#2| (-365)))) (-4191 (($ $) NIL (-12 (|has| |#2| (-225)) (|has| |#2| (-1047)))) (($ $ (-763)) NIL (-12 (|has| |#2| (-225)) (|has| |#2| (-1047)))) (($ $ (-1161)) NIL (-12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-1 |#2| |#2|) (-763)) NIL (|has| |#2| (-1047))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1047)))) (-4170 (((-763) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521))) (((-763) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-3865 (($ $) NIL)) (-2747 (((-1244 |#2|) $) NIL) (((-850) $) NIL (|has| |#2| (-1090))) (($ (-568)) NIL (-2199 (-12 (|has| |#2| (-1037 (-568))) (|has| |#2| (-1090))) (|has| |#2| (-1047)))) (($ (-409 (-568))) NIL (-12 (|has| |#2| (-1037 (-409 (-568)))) (|has| |#2| (-1090)))) (($ |#2|) NIL (|has| |#2| (-1090)))) (-3425 (((-763)) NIL (|has| |#2| (-1047)))) (-3437 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521)))) (-2811 (($ $) NIL (|has| |#2| (-840)))) (-1889 (($ $ (-763)) NIL (|has| |#2| (-716))) (($ $ (-917)) NIL (|has| |#2| (-716)))) (-3058 (($) NIL (|has| |#2| (-137)) CONST)) (-1557 (($) NIL (|has| |#2| (-716)) CONST)) (-3192 (($ $) NIL (-12 (|has| |#2| (-225)) (|has| |#2| (-1047)))) (($ $ (-763)) NIL (-12 (|has| |#2| (-225)) (|has| |#2| (-1047)))) (($ $ (-1161)) NIL (-12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#2| (-895 (-1161))) (|has| |#2| (-1047)))) (($ $ (-1 |#2| |#2|) (-763)) NIL (|has| |#2| (-1047))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1047)))) (-1753 (((-121) $ $) NIL (-2199 (|has| |#2| (-788)) (|has| |#2| (-840))))) (-1740 (((-121) $ $) NIL (-2199 (|has| |#2| (-788)) (|has| |#2| (-840))))) (-1719 (((-121) $ $) NIL (|has| |#2| (-1090)))) (-1747 (((-121) $ $) NIL (-2199 (|has| |#2| (-788)) (|has| |#2| (-840))))) (-1734 (((-121) $ $) 11 (-2199 (|has| |#2| (-788)) (|has| |#2| (-840))))) (-1781 (($ $ |#2|) NIL (|has| |#2| (-365)))) (-1775 (($ $ $) NIL (|has| |#2| (-1047))) (($ $) NIL (|has| |#2| (-1047)))) (-1769 (($ $ $) NIL (|has| |#2| (-25)))) (** (($ $ (-763)) NIL (|has| |#2| (-716))) (($ $ (-917)) NIL (|has| |#2| (-716)))) (* (($ (-568) $) NIL (|has| |#2| (-1047))) (($ $ $) NIL (|has| |#2| (-716))) (($ $ |#2|) NIL (|has| |#2| (-1047))) (($ |#2| $) NIL (|has| |#2| (-1047))) (($ (-763) $) NIL (|has| |#2| (-137))) (($ (-917) $) NIL (|has| |#2| (-25)))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-810 |#1| |#2| |#3|) (-230 |#1| |#2|) (-763) (-788) (-1 (-121) (-1244 |#2|) (-1244 |#2|))) (T -810)) 
-NIL 
-(-230 |#1| |#2|) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2076 (((-634 (-763)) $) NIL) (((-634 (-763)) $ (-1161)) NIL)) (-4308 (((-763) $) NIL) (((-763) $ (-1161)) NIL)) (-2057 (((-634 (-813 (-1161))) $) NIL)) (-3840 (((-1157 $) $ (-813 (-1161))) NIL) (((-1157 |#1|) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#1| (-558)))) (-3661 (($ $) NIL (|has| |#1| (-558)))) (-4426 (((-121) $) NIL (|has| |#1| (-558)))) (-3528 (((-763) $) NIL) (((-763) $ (-634 (-813 (-1161)))) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-3045 (($ $) NIL (|has| |#1| (-453)))) (-3498 (((-420 $) $) NIL (|has| |#1| (-453)))) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-3988 (($ $) NIL)) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#1| "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-3 (-568) "failed") $) NIL (|has| |#1| (-1037 (-568)))) (((-3 (-813 (-1161)) "failed") $) NIL) (((-3 (-1161) "failed") $) NIL) (((-3 (-1113 |#1| (-1161)) "failed") $) NIL)) (-2857 ((|#1| $) NIL) (((-409 (-568)) $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-568) $) NIL (|has| |#1| (-1037 (-568)))) (((-813 (-1161)) $) NIL) (((-1161) $) NIL) (((-1113 |#1| (-1161)) $) NIL)) (-2910 (($ $ $ (-813 (-1161))) NIL (|has| |#1| (-172)))) (-2116 (($ $) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 |#1|))) (-679 $) (-1244 $)) NIL) (((-679 |#1|) (-679 $)) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1998 (($ $) NIL (|has| |#1| (-453))) (($ $ (-813 (-1161))) NIL (|has| |#1| (-453)))) (-2110 (((-634 $) $) NIL)) (-2197 (((-121) $) NIL (|has| |#1| (-904)))) (-2453 (($ $ |#1| (-534 (-813 (-1161))) $) NIL)) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (-12 (|has| (-813 (-1161)) (-881 (-381))) (|has| |#1| (-881 (-381))))) (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (-12 (|has| (-813 (-1161)) (-881 (-568))) (|has| |#1| (-881 (-568)))))) (-1844 (((-763) $ (-1161)) NIL) (((-763) $) NIL)) (-1598 (((-121) $) NIL)) (-3971 (((-763) $) NIL)) (-2053 (($ (-1157 |#1|) (-813 (-1161))) NIL) (($ (-1157 $) (-813 (-1161))) NIL)) (-3062 (((-634 $) $) NIL)) (-2171 (((-121) $) NIL)) (-2049 (($ |#1| (-534 (-813 (-1161)))) NIL) (($ $ (-813 (-1161)) (-763)) NIL) (($ $ (-634 (-813 (-1161))) (-634 (-763))) NIL)) (-1438 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $ (-813 (-1161))) NIL)) (-3524 (((-534 (-813 (-1161))) $) NIL) (((-763) $ (-813 (-1161))) NIL) (((-634 (-763)) $ (-634 (-813 (-1161)))) NIL)) (-1732 (($ $ $) NIL (|has| |#1| (-842)))) (-2047 (($ $ $) NIL (|has| |#1| (-842)))) (-1865 (($ (-1 (-534 (-813 (-1161))) (-534 (-813 (-1161)))) $) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-3029 (((-1 $ (-763)) (-1161)) NIL) (((-1 $ (-763)) $) NIL (|has| |#1| (-225)))) (-2817 (((-3 (-813 (-1161)) "failed") $) NIL)) (-2099 (($ $) NIL)) (-2104 ((|#1| $) NIL)) (-1692 (((-813 (-1161)) $) NIL)) (-2498 (($ (-634 $)) NIL (|has| |#1| (-453))) (($ $ $) NIL (|has| |#1| (-453)))) (-1893 (((-1143) $) NIL)) (-4448 (((-121) $) NIL)) (-4362 (((-3 (-634 $) "failed") $) NIL)) (-2112 (((-3 (-634 $) "failed") $) NIL)) (-2617 (((-3 (-2 (|:| |var| (-813 (-1161))) (|:| -3483 (-763))) "failed") $) NIL)) (-1484 (($ $) NIL)) (-4025 (((-1108) $) NIL)) (-2088 (((-121) $) NIL)) (-2093 ((|#1| $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#1| (-453)))) (-2723 (($ (-634 $)) NIL (|has| |#1| (-453))) (($ $ $) NIL (|has| |#1| (-453)))) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-3850 (((-420 $) $) NIL (|has| |#1| (-904)))) (-2597 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-558))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-558)))) (-1339 (($ $ (-634 (-288 $))) NIL) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL) (($ $ (-813 (-1161)) |#1|) NIL) (($ $ (-634 (-813 (-1161))) (-634 |#1|)) NIL) (($ $ (-813 (-1161)) $) NIL) (($ $ (-634 (-813 (-1161))) (-634 $)) NIL) (($ $ (-1161) $) NIL (|has| |#1| (-225))) (($ $ (-634 (-1161)) (-634 $)) NIL (|has| |#1| (-225))) (($ $ (-1161) |#1|) NIL (|has| |#1| (-225))) (($ $ (-634 (-1161)) (-634 |#1|)) NIL (|has| |#1| (-225)))) (-3440 (($ $ (-813 (-1161))) NIL (|has| |#1| (-172)))) (-4191 (($ $ (-813 (-1161))) NIL) (($ $ (-634 (-813 (-1161)))) NIL) (($ $ (-813 (-1161)) (-763)) NIL) (($ $ (-634 (-813 (-1161))) (-634 (-763))) NIL) (($ $) NIL (|has| |#1| (-225))) (($ $ (-763)) NIL (|has| |#1| (-225))) (($ $ (-1161)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-2775 (((-634 (-1161)) $) NIL)) (-1836 (((-534 (-813 (-1161))) $) NIL) (((-763) $ (-813 (-1161))) NIL) (((-634 (-763)) $ (-634 (-813 (-1161)))) NIL) (((-763) $ (-1161)) NIL)) (-4280 (((-887 (-381)) $) NIL (-12 (|has| (-813 (-1161)) (-609 (-887 (-381)))) (|has| |#1| (-609 (-887 (-381)))))) (((-887 (-568)) $) NIL (-12 (|has| (-813 (-1161)) (-609 (-887 (-568)))) (|has| |#1| (-609 (-887 (-568)))))) (((-541) $) NIL (-12 (|has| (-813 (-1161)) (-609 (-541))) (|has| |#1| (-609 (-541)))))) (-1364 ((|#1| $) NIL (|has| |#1| (-453))) (($ $ (-813 (-1161))) NIL (|has| |#1| (-453)))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-12 (|has| $ (-148)) (|has| |#1| (-904))))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ |#1|) NIL) (($ (-813 (-1161))) NIL) (($ (-1161)) NIL) (($ (-1113 |#1| (-1161))) NIL) (($ (-409 (-568))) NIL (-2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-1037 (-409 (-568)))))) (($ $) NIL (|has| |#1| (-558)))) (-3304 (((-634 |#1|) $) NIL)) (-2079 ((|#1| $ (-534 (-813 (-1161)))) NIL) (($ $ (-813 (-1161)) (-763)) NIL) (($ $ (-634 (-813 (-1161))) (-634 (-763))) NIL)) (-3385 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| |#1| (-904))) (|has| |#1| (-148))))) (-3425 (((-763)) NIL)) (-3925 (($ $ $ (-763)) NIL (|has| |#1| (-172)))) (-2273 (((-121) $ $) NIL (|has| |#1| (-558)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($ $ (-813 (-1161))) NIL) (($ $ (-634 (-813 (-1161)))) NIL) (($ $ (-813 (-1161)) (-763)) NIL) (($ $ (-634 (-813 (-1161))) (-634 (-763))) NIL) (($ $) NIL (|has| |#1| (-225))) (($ $ (-763)) NIL (|has| |#1| (-225))) (($ $ (-1161)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1753 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1781 (($ $ |#1|) NIL (|has| |#1| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))) (($ (-409 (-568)) $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-811 |#1|) (-13 (-246 |#1| (-1161) (-813 (-1161)) (-534 (-813 (-1161)))) (-1037 (-1113 |#1| (-1161)))) (-1047)) (T -811)) 
-NIL 
-(-13 (-246 |#1| (-1161) (-813 (-1161)) (-534 (-813 (-1161)))) (-1037 (-1113 |#1| (-1161)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#2| (-365)))) (-3661 (($ $) NIL (|has| |#2| (-365)))) (-4426 (((-121) $) NIL (|has| |#2| (-365)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL (|has| |#2| (-365)))) (-3498 (((-420 $) $) NIL (|has| |#2| (-365)))) (-2589 (((-121) $ $) NIL (|has| |#2| (-365)))) (-4490 (($) NIL T CONST)) (-2403 (($ $ $) NIL (|has| |#2| (-365)))) (-2902 (((-3 $ "failed") $) NIL)) (-2414 (($ $ $) NIL (|has| |#2| (-365)))) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL (|has| |#2| (-365)))) (-2197 (((-121) $) NIL (|has| |#2| (-365)))) (-1598 (((-121) $) NIL)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#2| (-365)))) (-2498 (($ (-634 $)) NIL (|has| |#2| (-365))) (($ $ $) NIL (|has| |#2| (-365)))) (-1893 (((-1143) $) NIL)) (-2083 (($ $) 20 (|has| |#2| (-365)))) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#2| (-365)))) (-2723 (($ (-634 $)) NIL (|has| |#2| (-365))) (($ $ $) NIL (|has| |#2| (-365)))) (-3850 (((-420 $) $) NIL (|has| |#2| (-365)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-365))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#2| (-365)))) (-2597 (((-3 $ "failed") $ $) NIL (|has| |#2| (-365)))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#2| (-365)))) (-1466 (((-763) $) NIL (|has| |#2| (-365)))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#2| (-365)))) (-4191 (($ $ (-763)) NIL) (($ $) 13)) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ |#2|) 10) ((|#2| $) 11) (($ (-409 (-568))) NIL (|has| |#2| (-365))) (($ $) NIL (|has| |#2| (-365)))) (-3425 (((-763)) NIL)) (-2273 (((-121) $ $) NIL (|has| |#2| (-365)))) (-1889 (($ $ (-763)) NIL) (($ $ (-917)) NIL) (($ $ (-568)) NIL (|has| |#2| (-365)))) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($ $ (-763)) NIL) (($ $) NIL)) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ $) 15 (|has| |#2| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-763)) NIL) (($ $ (-917)) NIL) (($ $ (-568)) 18 (|has| |#2| (-365)))) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ $) NIL) (($ (-409 (-568)) $) NIL (|has| |#2| (-365))) (($ $ (-409 (-568))) NIL (|has| |#2| (-365))))) 
-(((-812 |#1| |#2| |#3|) (-13 (-120 $ $) (-225) (-10 -8 (IF (|has| |#2| (-365)) (-6 (-365)) |noBranch|) (-15 -2747 ($ |#2|)) (-15 -2747 (|#2| $)))) (-1090) (-895 |#1|) |#1|) (T -812)) 
-((-2747 (*1 *1 *2) (-12 (-4 *3 (-1090)) (-14 *4 *3) (-5 *1 (-812 *3 *2 *4)) (-4 *2 (-895 *3)))) (-2747 (*1 *2 *1) (-12 (-4 *2 (-895 *3)) (-5 *1 (-812 *3 *2 *4)) (-4 *3 (-1090)) (-14 *4 *3)))) 
-(-13 (-120 $ $) (-225) (-10 -8 (IF (|has| |#2| (-365)) (-6 (-365)) |noBranch|) (-15 -2747 ($ |#2|)) (-15 -2747 (|#2| $)))) 
-((-2449 (((-121) $ $) NIL)) (-4308 (((-763) $) NIL)) (-3325 ((|#1| $) 10)) (-3668 (((-3 |#1| "failed") $) NIL)) (-2857 ((|#1| $) NIL)) (-1844 (((-763) $) 11)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-3029 (($ |#1| (-763)) 9)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-4191 (($ $) NIL) (($ $ (-763)) NIL)) (-2747 (((-850) $) NIL) (($ |#1|) NIL)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) NIL))) 
-(((-813 |#1|) (-262 |#1|) (-842)) (T -813)) 
-NIL 
-(-262 |#1|) 
-((-2449 (((-121) $ $) NIL)) (-2981 (((-634 |#1|) $) 34)) (-3986 (((-763) $) NIL)) (-4490 (($) NIL T CONST)) (-4242 (((-3 $ "failed") $ $) 21) (((-3 $ "failed") $ |#1|) 19)) (-3668 (((-3 |#1| "failed") $) NIL)) (-2857 ((|#1| $) NIL)) (-3936 (($ $) 36)) (-2902 (((-3 $ "failed") $) NIL)) (-3690 (((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $) NIL)) (-1598 (((-121) $) NIL)) (-4167 ((|#1| $ (-568)) NIL)) (-2315 (((-763) $ (-568)) NIL)) (-2310 (($ $) 40)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-1797 (((-3 $ "failed") $ $) 20) (((-3 $ "failed") $ |#1|) 16)) (-3451 (((-121) $ $) 38)) (-3680 (((-763) $) 30)) (-1893 (((-1143) $) NIL)) (-2289 (($ $ $) NIL)) (-2400 (($ $ $) NIL)) (-4025 (((-1108) $) NIL)) (-3877 ((|#1| $) 35)) (-2075 (((-634 (-2 (|:| |gen| |#1|) (|:| -1894 (-763)))) $) NIL)) (-1854 (((-3 (-2 (|:| |lm| (-3 $ "failed")) (|:| |rm| (-3 $ "failed"))) "failed") $ $) 24)) (-2747 (((-850) $) NIL) (($ |#1|) NIL)) (-1889 (($ $ (-763)) NIL) (($ $ (-917)) NIL)) (-1557 (($) 14 T CONST)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 39)) (** (($ $ (-763)) NIL) (($ $ (-917)) NIL) (($ |#1| (-763)) NIL)) (* (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-814 |#1|) (-13 (-838) (-1037 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-763))) (-15 -3877 (|#1| $)) (-15 -3936 ($ $)) (-15 -2310 ($ $)) (-15 -3451 ((-121) $ $)) (-15 -2400 ($ $ $)) (-15 -2289 ($ $ $)) (-15 -1797 ((-3 $ "failed") $ $)) (-15 -4242 ((-3 $ "failed") $ $)) (-15 -1797 ((-3 $ "failed") $ |#1|)) (-15 -4242 ((-3 $ "failed") $ |#1|)) (-15 -1854 ((-3 (-2 (|:| |lm| (-3 $ "failed")) (|:| |rm| (-3 $ "failed"))) "failed") $ $)) (-15 -3690 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -3986 ((-763) $)) (-15 -2315 ((-763) $ (-568))) (-15 -4167 (|#1| $ (-568))) (-15 -2075 ((-634 (-2 (|:| |gen| |#1|) (|:| -1894 (-763)))) $)) (-15 -3680 ((-763) $)) (-15 -2981 ((-634 |#1|) $)))) (-842)) (T -814)) 
-((* (*1 *1 *2 *1) (-12 (-5 *1 (-814 *2)) (-4 *2 (-842)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-814 *2)) (-4 *2 (-842)))) (** (*1 *1 *2 *3) (-12 (-5 *3 (-763)) (-5 *1 (-814 *2)) (-4 *2 (-842)))) (-3877 (*1 *2 *1) (-12 (-5 *1 (-814 *2)) (-4 *2 (-842)))) (-3936 (*1 *1 *1) (-12 (-5 *1 (-814 *2)) (-4 *2 (-842)))) (-2310 (*1 *1 *1) (-12 (-5 *1 (-814 *2)) (-4 *2 (-842)))) (-3451 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-814 *3)) (-4 *3 (-842)))) (-2400 (*1 *1 *1 *1) (-12 (-5 *1 (-814 *2)) (-4 *2 (-842)))) (-2289 (*1 *1 *1 *1) (-12 (-5 *1 (-814 *2)) (-4 *2 (-842)))) (-1797 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-814 *2)) (-4 *2 (-842)))) (-4242 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-814 *2)) (-4 *2 (-842)))) (-1797 (*1 *1 *1 *2) (|partial| -12 (-5 *1 (-814 *2)) (-4 *2 (-842)))) (-4242 (*1 *1 *1 *2) (|partial| -12 (-5 *1 (-814 *2)) (-4 *2 (-842)))) (-1854 (*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-3 (-814 *3) "failed")) (|:| |rm| (-3 (-814 *3) "failed")))) (-5 *1 (-814 *3)) (-4 *3 (-842)))) (-3690 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-814 *3)) (|:| |mm| (-814 *3)) (|:| |rm| (-814 *3)))) (-5 *1 (-814 *3)) (-4 *3 (-842)))) (-3986 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-814 *3)) (-4 *3 (-842)))) (-2315 (*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-5 *2 (-763)) (-5 *1 (-814 *4)) (-4 *4 (-842)))) (-4167 (*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-5 *1 (-814 *2)) (-4 *2 (-842)))) (-2075 (*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |gen| *3) (|:| -1894 (-763))))) (-5 *1 (-814 *3)) (-4 *3 (-842)))) (-3680 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-814 *3)) (-4 *3 (-842)))) (-2981 (*1 *2 *1) (-12 (-5 *2 (-634 *3)) (-5 *1 (-814 *3)) (-4 *3 (-842))))) 
-(-13 (-838) (-1037 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-763))) (-15 -3877 (|#1| $)) (-15 -3936 ($ $)) (-15 -2310 ($ $)) (-15 -3451 ((-121) $ $)) (-15 -2400 ($ $ $)) (-15 -2289 ($ $ $)) (-15 -1797 ((-3 $ "failed") $ $)) (-15 -4242 ((-3 $ "failed") $ $)) (-15 -1797 ((-3 $ "failed") $ |#1|)) (-15 -4242 ((-3 $ "failed") $ |#1|)) (-15 -1854 ((-3 (-2 (|:| |lm| (-3 $ "failed")) (|:| |rm| (-3 $ "failed"))) "failed") $ $)) (-15 -3690 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -3986 ((-763) $)) (-15 -2315 ((-763) $ (-568))) (-15 -4167 (|#1| $ (-568))) (-15 -2075 ((-634 (-2 (|:| |gen| |#1|) (|:| -1894 (-763)))) $)) (-15 -3680 ((-763) $)) (-15 -2981 ((-634 |#1|) $)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 40)) (-3661 (($ $) 39)) (-4426 (((-121) $) 37)) (-2689 (((-3 $ "failed") $ $) 18)) (-3337 (((-568) $) 52)) (-4490 (($) 16 T CONST)) (-2902 (((-3 $ "failed") $) 33)) (-1436 (((-121) $) 50)) (-1598 (((-121) $) 30)) (-2859 (((-121) $) 51)) (-1732 (($ $ $) 49)) (-2047 (($ $ $) 48)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2597 (((-3 $ "failed") $ $) 41)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ $) 42)) (-3425 (((-763)) 28)) (-2273 (((-121) $ $) 38)) (-2811 (($ $) 53)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1753 (((-121) $ $) 46)) (-1740 (((-121) $ $) 45)) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 47)) (-1734 (((-121) $ $) 44)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23))) 
-(((-815) (-1275)) (T -815)) 
-NIL 
-(-13 (-558) (-840)) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-137) . T) ((-608 (-850)) . T) ((-172) . T) ((-285) . T) ((-558) . T) ((-637 $) . T) ((-707 $) . T) ((-716) . T) ((-786) . T) ((-787) . T) ((-789) . T) ((-790) . T) ((-840) . T) ((-842) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-2947 (($ (-1108)) 7)) (-3348 (((-121) $ (-1143) (-1108)) 15)) (-2576 (((-817) $) 12)) (-1572 (((-817) $) 11)) (-2774 (((-1249) $) 9)) (-2397 (((-121) $ (-1108)) 16))) 
-(((-816) (-10 -8 (-15 -2947 ($ (-1108))) (-15 -2774 ((-1249) $)) (-15 -1572 ((-817) $)) (-15 -2576 ((-817) $)) (-15 -3348 ((-121) $ (-1143) (-1108))) (-15 -2397 ((-121) $ (-1108))))) (T -816)) 
-((-2397 (*1 *2 *1 *3) (-12 (-5 *3 (-1108)) (-5 *2 (-121)) (-5 *1 (-816)))) (-3348 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-1143)) (-5 *4 (-1108)) (-5 *2 (-121)) (-5 *1 (-816)))) (-2576 (*1 *2 *1) (-12 (-5 *2 (-817)) (-5 *1 (-816)))) (-1572 (*1 *2 *1) (-12 (-5 *2 (-817)) (-5 *1 (-816)))) (-2774 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-816)))) (-2947 (*1 *1 *2) (-12 (-5 *2 (-1108)) (-5 *1 (-816))))) 
-(-10 -8 (-15 -2947 ($ (-1108))) (-15 -2774 ((-1249) $)) (-15 -1572 ((-817) $)) (-15 -2576 ((-817) $)) (-15 -3348 ((-121) $ (-1143) (-1108))) (-15 -2397 ((-121) $ (-1108)))) 
-((-3404 (((-1249) $ (-818)) 12)) (-4195 (((-1249) $ (-1161)) 32)) (-4148 (((-1249) $ (-1143) (-1143)) 34)) (-3760 (((-1249) $ (-1143)) 33)) (-1599 (((-1249) $) 19)) (-3907 (((-1249) $ (-568)) 28)) (-4380 (((-1249) $ (-215)) 30)) (-4095 (((-1249) $) 18)) (-3360 (((-1249) $) 26)) (-4027 (((-1249) $) 25)) (-2610 (((-1249) $) 23)) (-2421 (((-1249) $) 24)) (-3546 (((-1249) $) 22)) (-1314 (((-1249) $) 21)) (-3708 (((-1249) $) 20)) (-2948 (((-1249) $) 16)) (-4361 (((-1249) $) 17)) (-2501 (((-1249) $) 15)) (-1858 (((-1249) $) 14)) (-3961 (((-1249) $) 13)) (-2425 (($ (-1143) (-818)) 9)) (-2279 (($ (-1143) (-1143) (-818)) 8)) (-1981 (((-1161) $) 51)) (-3131 (((-1161) $) 55)) (-2744 (((-2 (|:| |cd| (-1143)) (|:| -3393 (-1143))) $) 54)) (-2247 (((-1143) $) 52)) (-3148 (((-1249) $) 41)) (-3023 (((-568) $) 49)) (-1646 (((-215) $) 50)) (-2370 (((-1249) $) 40)) (-2360 (((-1249) $) 48)) (-3184 (((-1249) $) 47)) (-2464 (((-1249) $) 45)) (-3699 (((-1249) $) 46)) (-3187 (((-1249) $) 44)) (-1367 (((-1249) $) 43)) (-4028 (((-1249) $) 42)) (-2880 (((-1249) $) 38)) (-3673 (((-1249) $) 39)) (-3776 (((-1249) $) 37)) (-4306 (((-1249) $) 36)) (-2653 (((-1249) $) 35)) (-1525 (((-1249) $) 11))) 
-(((-817) (-10 -8 (-15 -2279 ($ (-1143) (-1143) (-818))) (-15 -2425 ($ (-1143) (-818))) (-15 -1525 ((-1249) $)) (-15 -3404 ((-1249) $ (-818))) (-15 -3961 ((-1249) $)) (-15 -1858 ((-1249) $)) (-15 -2501 ((-1249) $)) (-15 -2948 ((-1249) $)) (-15 -4361 ((-1249) $)) (-15 -4095 ((-1249) $)) (-15 -1599 ((-1249) $)) (-15 -3708 ((-1249) $)) (-15 -1314 ((-1249) $)) (-15 -3546 ((-1249) $)) (-15 -2610 ((-1249) $)) (-15 -2421 ((-1249) $)) (-15 -4027 ((-1249) $)) (-15 -3360 ((-1249) $)) (-15 -3907 ((-1249) $ (-568))) (-15 -4380 ((-1249) $ (-215))) (-15 -4195 ((-1249) $ (-1161))) (-15 -3760 ((-1249) $ (-1143))) (-15 -4148 ((-1249) $ (-1143) (-1143))) (-15 -2653 ((-1249) $)) (-15 -4306 ((-1249) $)) (-15 -3776 ((-1249) $)) (-15 -2880 ((-1249) $)) (-15 -3673 ((-1249) $)) (-15 -2370 ((-1249) $)) (-15 -3148 ((-1249) $)) (-15 -4028 ((-1249) $)) (-15 -1367 ((-1249) $)) (-15 -3187 ((-1249) $)) (-15 -2464 ((-1249) $)) (-15 -3699 ((-1249) $)) (-15 -3184 ((-1249) $)) (-15 -2360 ((-1249) $)) (-15 -3023 ((-568) $)) (-15 -1646 ((-215) $)) (-15 -1981 ((-1161) $)) (-15 -2247 ((-1143) $)) (-15 -2744 ((-2 (|:| |cd| (-1143)) (|:| -3393 (-1143))) $)) (-15 -3131 ((-1161) $)))) (T -817)) 
-((-3131 (*1 *2 *1) (-12 (-5 *2 (-1161)) (-5 *1 (-817)))) (-2744 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |cd| (-1143)) (|:| -3393 (-1143)))) (-5 *1 (-817)))) (-2247 (*1 *2 *1) (-12 (-5 *2 (-1143)) (-5 *1 (-817)))) (-1981 (*1 *2 *1) (-12 (-5 *2 (-1161)) (-5 *1 (-817)))) (-1646 (*1 *2 *1) (-12 (-5 *2 (-215)) (-5 *1 (-817)))) (-3023 (*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-817)))) (-2360 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-3184 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-3699 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-2464 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-3187 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-1367 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-4028 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-3148 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-2370 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-3673 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-2880 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-3776 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-4306 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-2653 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-4148 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-817)))) (-3760 (*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-817)))) (-4195 (*1 *2 *1 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1249)) (-5 *1 (-817)))) (-4380 (*1 *2 *1 *3) (-12 (-5 *3 (-215)) (-5 *2 (-1249)) (-5 *1 (-817)))) (-3907 (*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-5 *2 (-1249)) (-5 *1 (-817)))) (-3360 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-4027 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-2421 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-2610 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-3546 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-1314 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-3708 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-1599 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-4095 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-4361 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-2948 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-2501 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-1858 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-3961 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-3404 (*1 *2 *1 *3) (-12 (-5 *3 (-818)) (-5 *2 (-1249)) (-5 *1 (-817)))) (-1525 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817)))) (-2425 (*1 *1 *2 *3) (-12 (-5 *2 (-1143)) (-5 *3 (-818)) (-5 *1 (-817)))) (-2279 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-1143)) (-5 *3 (-818)) (-5 *1 (-817))))) 
-(-10 -8 (-15 -2279 ($ (-1143) (-1143) (-818))) (-15 -2425 ($ (-1143) (-818))) (-15 -1525 ((-1249) $)) (-15 -3404 ((-1249) $ (-818))) (-15 -3961 ((-1249) $)) (-15 -1858 ((-1249) $)) (-15 -2501 ((-1249) $)) (-15 -2948 ((-1249) $)) (-15 -4361 ((-1249) $)) (-15 -4095 ((-1249) $)) (-15 -1599 ((-1249) $)) (-15 -3708 ((-1249) $)) (-15 -1314 ((-1249) $)) (-15 -3546 ((-1249) $)) (-15 -2610 ((-1249) $)) (-15 -2421 ((-1249) $)) (-15 -4027 ((-1249) $)) (-15 -3360 ((-1249) $)) (-15 -3907 ((-1249) $ (-568))) (-15 -4380 ((-1249) $ (-215))) (-15 -4195 ((-1249) $ (-1161))) (-15 -3760 ((-1249) $ (-1143))) (-15 -4148 ((-1249) $ (-1143) (-1143))) (-15 -2653 ((-1249) $)) (-15 -4306 ((-1249) $)) (-15 -3776 ((-1249) $)) (-15 -2880 ((-1249) $)) (-15 -3673 ((-1249) $)) (-15 -2370 ((-1249) $)) (-15 -3148 ((-1249) $)) (-15 -4028 ((-1249) $)) (-15 -1367 ((-1249) $)) (-15 -3187 ((-1249) $)) (-15 -2464 ((-1249) $)) (-15 -3699 ((-1249) $)) (-15 -3184 ((-1249) $)) (-15 -2360 ((-1249) $)) (-15 -3023 ((-568) $)) (-15 -1646 ((-215) $)) (-15 -1981 ((-1161) $)) (-15 -2247 ((-1143) $)) (-15 -2744 ((-2 (|:| |cd| (-1143)) (|:| -3393 (-1143))) $)) (-15 -3131 ((-1161) $))) 
-((-2449 (((-121) $ $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) 12)) (-3718 (($) 15)) (-4292 (($) 13)) (-4410 (($) 16)) (-3173 (($) 14)) (-1719 (((-121) $ $) 8))) 
-(((-818) (-13 (-1090) (-10 -8 (-15 -4292 ($)) (-15 -3718 ($)) (-15 -4410 ($)) (-15 -3173 ($))))) (T -818)) 
-((-4292 (*1 *1) (-5 *1 (-818))) (-3718 (*1 *1) (-5 *1 (-818))) (-4410 (*1 *1) (-5 *1 (-818))) (-3173 (*1 *1) (-5 *1 (-818)))) 
-(-13 (-1090) (-10 -8 (-15 -4292 ($)) (-15 -3718 ($)) (-15 -4410 ($)) (-15 -3173 ($)))) 
-((-2449 (((-121) $ $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) 21) (($ (-1161)) 17)) (-3378 (((-121) $) 10)) (-3921 (((-121) $) 9)) (-1770 (((-121) $) 11)) (-1903 (((-121) $) 8)) (-1719 (((-121) $ $) 19))) 
-(((-819) (-13 (-1090) (-10 -8 (-15 -2747 ($ (-1161))) (-15 -1903 ((-121) $)) (-15 -3921 ((-121) $)) (-15 -3378 ((-121) $)) (-15 -1770 ((-121) $))))) (T -819)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-819)))) (-1903 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-819)))) (-3921 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-819)))) (-3378 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-819)))) (-1770 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-819))))) 
-(-13 (-1090) (-10 -8 (-15 -2747 ($ (-1161))) (-15 -1903 ((-121) $)) (-15 -3921 ((-121) $)) (-15 -3378 ((-121) $)) (-15 -1770 ((-121) $)))) 
-((-2449 (((-121) $ $) NIL)) (-3273 (($ (-819) (-634 (-1161))) 24)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-4431 (((-819) $) 25)) (-3410 (((-634 (-1161)) $) 26)) (-2747 (((-850) $) 23)) (-1719 (((-121) $ $) NIL))) 
-(((-820) (-13 (-1090) (-10 -8 (-15 -4431 ((-819) $)) (-15 -3410 ((-634 (-1161)) $)) (-15 -3273 ($ (-819) (-634 (-1161))))))) (T -820)) 
-((-4431 (*1 *2 *1) (-12 (-5 *2 (-819)) (-5 *1 (-820)))) (-3410 (*1 *2 *1) (-12 (-5 *2 (-634 (-1161))) (-5 *1 (-820)))) (-3273 (*1 *1 *2 *3) (-12 (-5 *2 (-819)) (-5 *3 (-634 (-1161))) (-5 *1 (-820))))) 
-(-13 (-1090) (-10 -8 (-15 -4431 ((-819) $)) (-15 -3410 ((-634 (-1161)) $)) (-15 -3273 ($ (-819) (-634 (-1161)))))) 
-((-2628 (((-1249) (-817) (-310 |#1|) (-121)) 22) (((-1249) (-817) (-310 |#1|)) 76) (((-1143) (-310 |#1|) (-121)) 75) (((-1143) (-310 |#1|)) 74))) 
-(((-821 |#1|) (-10 -7 (-15 -2628 ((-1143) (-310 |#1|))) (-15 -2628 ((-1143) (-310 |#1|) (-121))) (-15 -2628 ((-1249) (-817) (-310 |#1|))) (-15 -2628 ((-1249) (-817) (-310 |#1|) (-121)))) (-13 (-823) (-842) (-1047))) (T -821)) 
-((-2628 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-817)) (-5 *4 (-310 *6)) (-5 *5 (-121)) (-4 *6 (-13 (-823) (-842) (-1047))) (-5 *2 (-1249)) (-5 *1 (-821 *6)))) (-2628 (*1 *2 *3 *4) (-12 (-5 *3 (-817)) (-5 *4 (-310 *5)) (-4 *5 (-13 (-823) (-842) (-1047))) (-5 *2 (-1249)) (-5 *1 (-821 *5)))) (-2628 (*1 *2 *3 *4) (-12 (-5 *3 (-310 *5)) (-5 *4 (-121)) (-4 *5 (-13 (-823) (-842) (-1047))) (-5 *2 (-1143)) (-5 *1 (-821 *5)))) (-2628 (*1 *2 *3) (-12 (-5 *3 (-310 *4)) (-4 *4 (-13 (-823) (-842) (-1047))) (-5 *2 (-1143)) (-5 *1 (-821 *4))))) 
-(-10 -7 (-15 -2628 ((-1143) (-310 |#1|))) (-15 -2628 ((-1143) (-310 |#1|) (-121))) (-15 -2628 ((-1249) (-817) (-310 |#1|))) (-15 -2628 ((-1249) (-817) (-310 |#1|) (-121)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-2116 (($ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-3955 ((|#1| $) 10)) (-4194 (($ |#1|) 9)) (-1598 (((-121) $) NIL)) (-2049 (($ |#2| (-763)) NIL)) (-3524 (((-763) $) NIL)) (-2104 ((|#2| $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-4191 (($ $ (-763)) NIL (|has| |#1| (-225))) (($ $) NIL (|has| |#1| (-225)))) (-1836 (((-763) $) NIL)) (-2747 (((-850) $) 17) (($ (-568)) NIL) (($ |#2|) NIL (|has| |#2| (-172)))) (-2079 ((|#2| $ (-763)) NIL)) (-3425 (((-763)) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($ $ (-763)) NIL (|has| |#1| (-225))) (($ $) NIL (|has| |#1| (-225)))) (-1719 (((-121) $ $) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 12) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
-(((-822 |#1| |#2|) (-13 (-698 |#2|) (-10 -8 (IF (|has| |#1| (-225)) (-6 (-225)) |noBranch|) (-15 -4194 ($ |#1|)) (-15 -3955 (|#1| $)))) (-698 |#2|) (-1047)) (T -822)) 
-((-4194 (*1 *1 *2) (-12 (-4 *3 (-1047)) (-5 *1 (-822 *2 *3)) (-4 *2 (-698 *3)))) (-3955 (*1 *2 *1) (-12 (-4 *2 (-698 *3)) (-5 *1 (-822 *2 *3)) (-4 *3 (-1047))))) 
-(-13 (-698 |#2|) (-10 -8 (IF (|has| |#1| (-225)) (-6 (-225)) |noBranch|) (-15 -4194 ($ |#1|)) (-15 -3955 (|#1| $)))) 
-((-2628 (((-1249) (-817) $ (-121)) 9) (((-1249) (-817) $) 8) (((-1143) $ (-121)) 7) (((-1143) $) 6))) 
-(((-823) (-1275)) (T -823)) 
-((-2628 (*1 *2 *3 *1 *4) (-12 (-4 *1 (-823)) (-5 *3 (-817)) (-5 *4 (-121)) (-5 *2 (-1249)))) (-2628 (*1 *2 *3 *1) (-12 (-4 *1 (-823)) (-5 *3 (-817)) (-5 *2 (-1249)))) (-2628 (*1 *2 *1 *3) (-12 (-4 *1 (-823)) (-5 *3 (-121)) (-5 *2 (-1143)))) (-2628 (*1 *2 *1) (-12 (-4 *1 (-823)) (-5 *2 (-1143))))) 
-(-13 (-10 -8 (-15 -2628 ((-1143) $)) (-15 -2628 ((-1143) $ (-121))) (-15 -2628 ((-1249) (-817) $)) (-15 -2628 ((-1249) (-817) $ (-121))))) 
-((-2871 (((-305) (-1143) (-1143)) 12)) (-3414 (((-121) (-1143) (-1143)) 33)) (-2129 (((-121) (-1143)) 32)) (-4465 (((-57) (-1143)) 25)) (-2033 (((-57) (-1143)) 23)) (-2904 (((-57) (-817)) 17)) (-4300 (((-634 (-1143)) (-1143)) 28)) (-3331 (((-634 (-1143))) 27))) 
-(((-824) (-10 -7 (-15 -2904 ((-57) (-817))) (-15 -2033 ((-57) (-1143))) (-15 -4465 ((-57) (-1143))) (-15 -3331 ((-634 (-1143)))) (-15 -4300 ((-634 (-1143)) (-1143))) (-15 -2129 ((-121) (-1143))) (-15 -3414 ((-121) (-1143) (-1143))) (-15 -2871 ((-305) (-1143) (-1143))))) (T -824)) 
-((-2871 (*1 *2 *3 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-305)) (-5 *1 (-824)))) (-3414 (*1 *2 *3 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-121)) (-5 *1 (-824)))) (-2129 (*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-121)) (-5 *1 (-824)))) (-4300 (*1 *2 *3) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-824)) (-5 *3 (-1143)))) (-3331 (*1 *2) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-824)))) (-4465 (*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-57)) (-5 *1 (-824)))) (-2033 (*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-57)) (-5 *1 (-824)))) (-2904 (*1 *2 *3) (-12 (-5 *3 (-817)) (-5 *2 (-57)) (-5 *1 (-824))))) 
-(-10 -7 (-15 -2904 ((-57) (-817))) (-15 -2033 ((-57) (-1143))) (-15 -4465 ((-57) (-1143))) (-15 -3331 ((-634 (-1143)))) (-15 -4300 ((-634 (-1143)) (-1143))) (-15 -2129 ((-121) (-1143))) (-15 -3414 ((-121) (-1143) (-1143))) (-15 -2871 ((-305) (-1143) (-1143)))) 
-((-2449 (((-121) $ $) 18)) (-1793 (($ |#1| $) 72) (($ $ |#1|) 71) (($ $ $) 70)) (-4217 (($ $ $) 68)) (-1430 (((-121) $ $) 69)) (-1667 (((-121) $ (-763)) 8)) (-2751 (($ (-634 |#1|)) 64) (($) 63)) (-3963 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4521)))) (-2803 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4521)))) (-4490 (($) 7 T CONST)) (-1377 (($ $) 58)) (-3926 (($ $) 55 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-1568 (($ |#1| $) 44 (|has| $ (-6 -4521))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4521)))) (-4330 (($ |#1| $) 54 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4521)))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4521)))) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) 9)) (-1732 ((|#1| $) 74)) (-4496 (($ $ $) 77)) (-3645 (($ $ $) 76)) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-2047 ((|#1| $) 75)) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35)) (-3796 (((-121) $ (-763)) 10)) (-1893 (((-1143) $) 22)) (-1864 (($ $ $) 65)) (-2580 ((|#1| $) 36)) (-1708 (($ |#1| $) 37) (($ |#1| $ (-763)) 59)) (-4025 (((-1108) $) 21)) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-3403 ((|#1| $) 38)) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-2138 (((-634 (-2 (|:| -4085 |#1|) (|:| -4170 (-763)))) $) 57)) (-1363 (($ $ |#1|) 67) (($ $ $) 66)) (-3132 (($) 46) (($ (-634 |#1|)) 45)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-4280 (((-541) $) 56 (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) 47)) (-2747 (((-850) $) 20)) (-3846 (($ (-634 |#1|)) 62) (($) 61)) (-4074 (($ (-634 |#1|)) 39)) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 19)) (-1734 (((-121) $ $) 60)) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-825 |#1|) (-1275) (-842)) (T -825)) 
-((-1732 (*1 *2 *1) (-12 (-4 *1 (-825 *2)) (-4 *2 (-842))))) 
-(-13 (-726 |t#1|) (-969 |t#1|) (-10 -8 (-15 -1732 (|t#1| $)))) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) . T) ((-608 (-850)) . T) ((-154 |#1|) . T) ((-609 (-541)) |has| |#1| (-609 (-541))) ((-227 |#1|) . T) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-499 |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-684 |#1|) . T) ((-726 |#1|) . T) ((-969 |#1|) . T) ((-1087 |#1|) . T) ((-1090) . T) ((-1195) . T)) 
-((-3460 (((-1249) (-1108) (-1108)) 47)) (-4501 (((-1249) (-816) (-57)) 44)) (-3836 (((-57) (-816)) 16))) 
-(((-826) (-10 -7 (-15 -3836 ((-57) (-816))) (-15 -4501 ((-1249) (-816) (-57))) (-15 -3460 ((-1249) (-1108) (-1108))))) (T -826)) 
-((-3460 (*1 *2 *3 *3) (-12 (-5 *3 (-1108)) (-5 *2 (-1249)) (-5 *1 (-826)))) (-4501 (*1 *2 *3 *4) (-12 (-5 *3 (-816)) (-5 *4 (-57)) (-5 *2 (-1249)) (-5 *1 (-826)))) (-3836 (*1 *2 *3) (-12 (-5 *3 (-816)) (-5 *2 (-57)) (-5 *1 (-826))))) 
-(-10 -7 (-15 -3836 ((-57) (-816))) (-15 -4501 ((-1249) (-816) (-57))) (-15 -3460 ((-1249) (-1108) (-1108)))) 
-((-2797 (((-828 |#2|) (-1 |#2| |#1|) (-828 |#1|) (-828 |#2|)) 12) (((-828 |#2|) (-1 |#2| |#1|) (-828 |#1|)) 13))) 
-(((-827 |#1| |#2|) (-10 -7 (-15 -2797 ((-828 |#2|) (-1 |#2| |#1|) (-828 |#1|))) (-15 -2797 ((-828 |#2|) (-1 |#2| |#1|) (-828 |#1|) (-828 |#2|)))) (-1090) (-1090)) (T -827)) 
-((-2797 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-828 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-828 *5)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-5 *1 (-827 *5 *6)))) (-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-828 *5)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-5 *2 (-828 *6)) (-5 *1 (-827 *5 *6))))) 
-(-10 -7 (-15 -2797 ((-828 |#2|) (-1 |#2| |#1|) (-828 |#1|))) (-15 -2797 ((-828 |#2|) (-1 |#2| |#1|) (-828 |#1|) (-828 |#2|)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL (|has| |#1| (-21)))) (-2689 (((-3 $ "failed") $ $) NIL (|has| |#1| (-21)))) (-3337 (((-568) $) NIL (|has| |#1| (-840)))) (-4490 (($) NIL (|has| |#1| (-21)) CONST)) (-3668 (((-3 (-568) "failed") $) NIL (|has| |#1| (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-3 |#1| "failed") $) 15)) (-2857 (((-568) $) NIL (|has| |#1| (-1037 (-568)))) (((-409 (-568)) $) NIL (|has| |#1| (-1037 (-409 (-568))))) ((|#1| $) 9)) (-2902 (((-3 $ "failed") $) 40 (|has| |#1| (-840)))) (-3254 (((-3 (-409 (-568)) "failed") $) 48 (|has| |#1| (-550)))) (-1338 (((-121) $) 43 (|has| |#1| (-550)))) (-2394 (((-409 (-568)) $) 45 (|has| |#1| (-550)))) (-1436 (((-121) $) NIL (|has| |#1| (-840)))) (-1598 (((-121) $) NIL (|has| |#1| (-840)))) (-2859 (((-121) $) NIL (|has| |#1| (-840)))) (-1732 (($ $ $) NIL (|has| |#1| (-840)))) (-2047 (($ $ $) NIL (|has| |#1| (-840)))) (-1893 (((-1143) $) NIL)) (-3061 (($) 13)) (-2773 (((-121) $) 12)) (-4025 (((-1108) $) NIL)) (-3557 (((-121) $) 11)) (-2747 (((-850) $) 18) (($ (-409 (-568))) NIL (|has| |#1| (-1037 (-409 (-568))))) (($ |#1|) 8) (($ (-568)) NIL (-2199 (|has| |#1| (-840)) (|has| |#1| (-1037 (-568)))))) (-3425 (((-763)) 34 (|has| |#1| (-840)))) (-2811 (($ $) NIL (|has| |#1| (-840)))) (-1889 (($ $ (-917)) NIL (|has| |#1| (-840))) (($ $ (-763)) NIL (|has| |#1| (-840)))) (-3058 (($) 22 (|has| |#1| (-21)) CONST)) (-1557 (($) 31 (|has| |#1| (-840)) CONST)) (-1753 (((-121) $ $) NIL (|has| |#1| (-840)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-840)))) (-1719 (((-121) $ $) 20)) (-1747 (((-121) $ $) NIL (|has| |#1| (-840)))) (-1734 (((-121) $ $) 42 (|has| |#1| (-840)))) (-1775 (($ $ $) NIL (|has| |#1| (-21))) (($ $) 27 (|has| |#1| (-21)))) (-1769 (($ $ $) 29 (|has| |#1| (-21)))) (** (($ $ (-917)) NIL (|has| |#1| (-840))) (($ $ (-763)) NIL (|has| |#1| (-840)))) (* (($ $ $) 37 (|has| |#1| (-840))) (($ (-568) $) 25 (|has| |#1| (-21))) (($ (-763) $) NIL (|has| |#1| (-21))) (($ (-917) $) NIL (|has| |#1| (-21))))) 
-(((-828 |#1|) (-13 (-1090) (-413 |#1|) (-10 -8 (-15 -3061 ($)) (-15 -3557 ((-121) $)) (-15 -2773 ((-121) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-840)) (-6 (-840)) |noBranch|) (IF (|has| |#1| (-550)) (PROGN (-15 -1338 ((-121) $)) (-15 -2394 ((-409 (-568)) $)) (-15 -3254 ((-3 (-409 (-568)) "failed") $))) |noBranch|))) (-1090)) (T -828)) 
-((-3061 (*1 *1) (-12 (-5 *1 (-828 *2)) (-4 *2 (-1090)))) (-3557 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-828 *3)) (-4 *3 (-1090)))) (-2773 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-828 *3)) (-4 *3 (-1090)))) (-1338 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-828 *3)) (-4 *3 (-550)) (-4 *3 (-1090)))) (-2394 (*1 *2 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-828 *3)) (-4 *3 (-550)) (-4 *3 (-1090)))) (-3254 (*1 *2 *1) (|partial| -12 (-5 *2 (-409 (-568))) (-5 *1 (-828 *3)) (-4 *3 (-550)) (-4 *3 (-1090))))) 
-(-13 (-1090) (-413 |#1|) (-10 -8 (-15 -3061 ($)) (-15 -3557 ((-121) $)) (-15 -2773 ((-121) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-840)) (-6 (-840)) |noBranch|) (IF (|has| |#1| (-550)) (PROGN (-15 -1338 ((-121) $)) (-15 -2394 ((-409 (-568)) $)) (-15 -3254 ((-3 (-409 (-568)) "failed") $))) |noBranch|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#1| "failed") $) NIL) (((-3 (-123) "failed") $) NIL)) (-2857 ((|#1| $) NIL) (((-123) $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1624 ((|#1| (-123) |#1|) NIL)) (-1598 (((-121) $) NIL)) (-3448 (($ |#1| (-363 (-123))) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-3122 (($ $ (-1 |#1| |#1|)) NIL)) (-2513 (($ $ (-1 |#1| |#1|)) NIL)) (-2781 ((|#1| $ |#1|) NIL)) (-3756 ((|#1| |#1|) NIL (|has| |#1| (-172)))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ |#1|) NIL) (($ (-123)) NIL)) (-3385 (((-3 $ "failed") $) NIL (|has| |#1| (-148)))) (-3425 (((-763)) NIL)) (-1419 (($ $) NIL (|has| |#1| (-172))) (($ $ $) NIL (|has| |#1| (-172)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-1719 (((-121) $ $) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ (-123) (-568)) NIL) (($ $ (-568)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ |#1| $) NIL (|has| |#1| (-172))) (($ $ |#1|) NIL (|has| |#1| (-172))))) 
-(((-829 |#1|) (-13 (-1047) (-1037 |#1|) (-1037 (-123)) (-281 |#1| |#1|) (-10 -8 (IF (|has| |#1| (-150)) (-6 (-150)) |noBranch|) (IF (|has| |#1| (-148)) (-6 (-148)) |noBranch|) (IF (|has| |#1| (-172)) (PROGN (-6 (-43 |#1|)) (-15 -1419 ($ $)) (-15 -1419 ($ $ $)) (-15 -3756 (|#1| |#1|))) |noBranch|) (-15 -2513 ($ $ (-1 |#1| |#1|))) (-15 -3122 ($ $ (-1 |#1| |#1|))) (-15 ** ($ (-123) (-568))) (-15 ** ($ $ (-568))) (-15 -1624 (|#1| (-123) |#1|)) (-15 -3448 ($ |#1| (-363 (-123)))))) (-1047)) (T -829)) 
-((-1419 (*1 *1 *1) (-12 (-5 *1 (-829 *2)) (-4 *2 (-172)) (-4 *2 (-1047)))) (-1419 (*1 *1 *1 *1) (-12 (-5 *1 (-829 *2)) (-4 *2 (-172)) (-4 *2 (-1047)))) (-3756 (*1 *2 *2) (-12 (-5 *1 (-829 *2)) (-4 *2 (-172)) (-4 *2 (-1047)))) (-2513 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1047)) (-5 *1 (-829 *3)))) (-3122 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1047)) (-5 *1 (-829 *3)))) (** (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-568)) (-5 *1 (-829 *4)) (-4 *4 (-1047)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-829 *3)) (-4 *3 (-1047)))) (-1624 (*1 *2 *3 *2) (-12 (-5 *3 (-123)) (-5 *1 (-829 *2)) (-4 *2 (-1047)))) (-3448 (*1 *1 *2 *3) (-12 (-5 *3 (-363 (-123))) (-5 *1 (-829 *2)) (-4 *2 (-1047))))) 
-(-13 (-1047) (-1037 |#1|) (-1037 (-123)) (-281 |#1| |#1|) (-10 -8 (IF (|has| |#1| (-150)) (-6 (-150)) |noBranch|) (IF (|has| |#1| (-148)) (-6 (-148)) |noBranch|) (IF (|has| |#1| (-172)) (PROGN (-6 (-43 |#1|)) (-15 -1419 ($ $)) (-15 -1419 ($ $ $)) (-15 -3756 (|#1| |#1|))) |noBranch|) (-15 -2513 ($ $ (-1 |#1| |#1|))) (-15 -3122 ($ $ (-1 |#1| |#1|))) (-15 ** ($ (-123) (-568))) (-15 ** ($ $ (-568))) (-15 -1624 (|#1| (-123) |#1|)) (-15 -3448 ($ |#1| (-363 (-123)))))) 
-((-3617 (((-205 (-511)) (-1143)) 8))) 
-(((-830) (-10 -7 (-15 -3617 ((-205 (-511)) (-1143))))) (T -830)) 
-((-3617 (*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-205 (-511))) (-5 *1 (-830))))) 
-(-10 -7 (-15 -3617 ((-205 (-511)) (-1143)))) 
-((-2449 (((-121) $ $) 7)) (-3994 (((-1035) (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) 13) (((-1035) (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) 12)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) 15) (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) 14)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-1719 (((-121) $ $) 6))) 
-(((-831) (-1275)) (T -831)) 
-((-3031 (*1 *2 *3 *4) (-12 (-4 *1 (-831)) (-5 *3 (-1059)) (-5 *4 (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) (-5 *2 (-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)))))) (-3031 (*1 *2 *3 *4) (-12 (-4 *1 (-831)) (-5 *3 (-1059)) (-5 *4 (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) (-5 *2 (-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)))))) (-3994 (*1 *2 *3) (-12 (-4 *1 (-831)) (-5 *3 (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) (-5 *2 (-1035)))) (-3994 (*1 *2 *3) (-12 (-4 *1 (-831)) (-5 *3 (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) (-5 *2 (-1035))))) 
-(-13 (-1090) (-10 -7 (-15 -3031 ((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215))))))) (-15 -3031 ((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215)))))) (-15 -3994 ((-1035) (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215)))))) (-15 -3994 ((-1035) (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215))))))))) 
-(((-105) . T) ((-608 (-850)) . T) ((-1090) . T)) 
-((-4088 (((-1035) (-634 (-310 (-381))) (-634 (-381))) 143) (((-1035) (-310 (-381)) (-634 (-381))) 141) (((-1035) (-310 (-381)) (-634 (-381)) (-634 (-835 (-381))) (-634 (-835 (-381)))) 140) (((-1035) (-310 (-381)) (-634 (-381)) (-634 (-835 (-381))) (-634 (-310 (-381))) (-634 (-835 (-381)))) 139) (((-1035) (-833)) 112) (((-1035) (-833) (-1059)) 111)) (-3031 (((-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143)))) (-833) (-1059)) 76) (((-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143)))) (-833)) 78)) (-4329 (((-1035) (-634 (-310 (-381))) (-634 (-381))) 144) (((-1035) (-833)) 128))) 
-(((-832) (-10 -7 (-15 -3031 ((-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143)))) (-833))) (-15 -3031 ((-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143)))) (-833) (-1059))) (-15 -4088 ((-1035) (-833) (-1059))) (-15 -4088 ((-1035) (-833))) (-15 -4329 ((-1035) (-833))) (-15 -4088 ((-1035) (-310 (-381)) (-634 (-381)) (-634 (-835 (-381))) (-634 (-310 (-381))) (-634 (-835 (-381))))) (-15 -4088 ((-1035) (-310 (-381)) (-634 (-381)) (-634 (-835 (-381))) (-634 (-835 (-381))))) (-15 -4088 ((-1035) (-310 (-381)) (-634 (-381)))) (-15 -4088 ((-1035) (-634 (-310 (-381))) (-634 (-381)))) (-15 -4329 ((-1035) (-634 (-310 (-381))) (-634 (-381)))))) (T -832)) 
-((-4329 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-310 (-381)))) (-5 *4 (-634 (-381))) (-5 *2 (-1035)) (-5 *1 (-832)))) (-4088 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-310 (-381)))) (-5 *4 (-634 (-381))) (-5 *2 (-1035)) (-5 *1 (-832)))) (-4088 (*1 *2 *3 *4) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-634 (-381))) (-5 *2 (-1035)) (-5 *1 (-832)))) (-4088 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-634 (-381))) (-5 *5 (-634 (-835 (-381)))) (-5 *2 (-1035)) (-5 *1 (-832)))) (-4088 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-634 (-381))) (-5 *5 (-634 (-835 (-381)))) (-5 *6 (-634 (-310 (-381)))) (-5 *3 (-310 (-381))) (-5 *2 (-1035)) (-5 *1 (-832)))) (-4329 (*1 *2 *3) (-12 (-5 *3 (-833)) (-5 *2 (-1035)) (-5 *1 (-832)))) (-4088 (*1 *2 *3) (-12 (-5 *3 (-833)) (-5 *2 (-1035)) (-5 *1 (-832)))) (-4088 (*1 *2 *3 *4) (-12 (-5 *3 (-833)) (-5 *4 (-1059)) (-5 *2 (-1035)) (-5 *1 (-832)))) (-3031 (*1 *2 *3 *4) (-12 (-5 *3 (-833)) (-5 *4 (-1059)) (-5 *2 (-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))))) (-5 *1 (-832)))) (-3031 (*1 *2 *3) (-12 (-5 *3 (-833)) (-5 *2 (-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))))) (-5 *1 (-832))))) 
-(-10 -7 (-15 -3031 ((-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143)))) (-833))) (-15 -3031 ((-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143)))) (-833) (-1059))) (-15 -4088 ((-1035) (-833) (-1059))) (-15 -4088 ((-1035) (-833))) (-15 -4329 ((-1035) (-833))) (-15 -4088 ((-1035) (-310 (-381)) (-634 (-381)) (-634 (-835 (-381))) (-634 (-310 (-381))) (-634 (-835 (-381))))) (-15 -4088 ((-1035) (-310 (-381)) (-634 (-381)) (-634 (-835 (-381))) (-634 (-835 (-381))))) (-15 -4088 ((-1035) (-310 (-381)) (-634 (-381)))) (-15 -4088 ((-1035) (-634 (-310 (-381))) (-634 (-381)))) (-15 -4329 ((-1035) (-634 (-310 (-381))) (-634 (-381))))) 
-((-2449 (((-121) $ $) NIL)) (-2857 (((-3 (|:| |noa| (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) (|:| |lsa| (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215)))))) $) 15)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) 14) (($ (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) 8) (($ (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) 10) (($ (-3 (|:| |noa| (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) (|:| |lsa| (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))))) 12)) (-1719 (((-121) $ $) NIL))) 
-(((-833) (-13 (-1090) (-10 -8 (-15 -2747 ($ (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215))))))) (-15 -2747 ($ (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215)))))) (-15 -2747 ($ (-3 (|:| |noa| (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) (|:| |lsa| (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215)))))))) (-15 -2747 ((-850) $)) (-15 -2857 ((-3 (|:| |noa| (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) (|:| |lsa| (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215)))))) $))))) (T -833)) 
-((-2747 (*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-833)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) (-5 *1 (-833)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) (-5 *1 (-833)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) (|:| |lsa| (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))))) (-5 *1 (-833)))) (-2857 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) (|:| |lsa| (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))))) (-5 *1 (-833))))) 
-(-13 (-1090) (-10 -8 (-15 -2747 ($ (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215))))))) (-15 -2747 ($ (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215)))))) (-15 -2747 ($ (-3 (|:| |noa| (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) (|:| |lsa| (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215)))))))) (-15 -2747 ((-850) $)) (-15 -2857 ((-3 (|:| |noa| (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) (|:| |lsa| (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215)))))) $)))) 
-((-2797 (((-835 |#2|) (-1 |#2| |#1|) (-835 |#1|) (-835 |#2|) (-835 |#2|)) 13) (((-835 |#2|) (-1 |#2| |#1|) (-835 |#1|)) 14))) 
-(((-834 |#1| |#2|) (-10 -7 (-15 -2797 ((-835 |#2|) (-1 |#2| |#1|) (-835 |#1|))) (-15 -2797 ((-835 |#2|) (-1 |#2| |#1|) (-835 |#1|) (-835 |#2|) (-835 |#2|)))) (-1090) (-1090)) (T -834)) 
-((-2797 (*1 *2 *3 *4 *2 *2) (-12 (-5 *2 (-835 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-835 *5)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-5 *1 (-834 *5 *6)))) (-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-835 *5)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-5 *2 (-835 *6)) (-5 *1 (-834 *5 *6))))) 
-(-10 -7 (-15 -2797 ((-835 |#2|) (-1 |#2| |#1|) (-835 |#1|))) (-15 -2797 ((-835 |#2|) (-1 |#2| |#1|) (-835 |#1|) (-835 |#2|) (-835 |#2|)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL (|has| |#1| (-21)))) (-1406 (((-1108) $) 24)) (-2689 (((-3 $ "failed") $ $) NIL (|has| |#1| (-21)))) (-3337 (((-568) $) NIL (|has| |#1| (-840)))) (-4490 (($) NIL (|has| |#1| (-21)) CONST)) (-3668 (((-3 (-568) "failed") $) NIL (|has| |#1| (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-3 |#1| "failed") $) 16)) (-2857 (((-568) $) NIL (|has| |#1| (-1037 (-568)))) (((-409 (-568)) $) NIL (|has| |#1| (-1037 (-409 (-568))))) ((|#1| $) 9)) (-2902 (((-3 $ "failed") $) 46 (|has| |#1| (-840)))) (-3254 (((-3 (-409 (-568)) "failed") $) 53 (|has| |#1| (-550)))) (-1338 (((-121) $) 48 (|has| |#1| (-550)))) (-2394 (((-409 (-568)) $) 51 (|has| |#1| (-550)))) (-1436 (((-121) $) NIL (|has| |#1| (-840)))) (-3604 (($) 13)) (-1598 (((-121) $) NIL (|has| |#1| (-840)))) (-2859 (((-121) $) NIL (|has| |#1| (-840)))) (-3596 (($) 14)) (-1732 (($ $ $) NIL (|has| |#1| (-840)))) (-2047 (($ $ $) NIL (|has| |#1| (-840)))) (-1893 (((-1143) $) NIL)) (-2773 (((-121) $) 12)) (-4025 (((-1108) $) NIL)) (-3557 (((-121) $) 11)) (-2747 (((-850) $) 22) (($ (-409 (-568))) NIL (|has| |#1| (-1037 (-409 (-568))))) (($ |#1|) 8) (($ (-568)) NIL (-2199 (|has| |#1| (-840)) (|has| |#1| (-1037 (-568)))))) (-3425 (((-763)) 40 (|has| |#1| (-840)))) (-2811 (($ $) NIL (|has| |#1| (-840)))) (-1889 (($ $ (-917)) NIL (|has| |#1| (-840))) (($ $ (-763)) NIL (|has| |#1| (-840)))) (-3058 (($) 28 (|has| |#1| (-21)) CONST)) (-1557 (($) 37 (|has| |#1| (-840)) CONST)) (-1753 (((-121) $ $) NIL (|has| |#1| (-840)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-840)))) (-1719 (((-121) $ $) 26)) (-1747 (((-121) $ $) NIL (|has| |#1| (-840)))) (-1734 (((-121) $ $) 47 (|has| |#1| (-840)))) (-1775 (($ $ $) NIL (|has| |#1| (-21))) (($ $) 33 (|has| |#1| (-21)))) (-1769 (($ $ $) 35 (|has| |#1| (-21)))) (** (($ $ (-917)) NIL (|has| |#1| (-840))) (($ $ (-763)) NIL (|has| |#1| (-840)))) (* (($ $ $) 43 (|has| |#1| (-840))) (($ (-568) $) 31 (|has| |#1| (-21))) (($ (-763) $) NIL (|has| |#1| (-21))) (($ (-917) $) NIL (|has| |#1| (-21))))) 
-(((-835 |#1|) (-13 (-1090) (-413 |#1|) (-10 -8 (-15 -3604 ($)) (-15 -3596 ($)) (-15 -3557 ((-121) $)) (-15 -2773 ((-121) $)) (-15 -1406 ((-1108) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-840)) (-6 (-840)) |noBranch|) (IF (|has| |#1| (-550)) (PROGN (-15 -1338 ((-121) $)) (-15 -2394 ((-409 (-568)) $)) (-15 -3254 ((-3 (-409 (-568)) "failed") $))) |noBranch|))) (-1090)) (T -835)) 
-((-3604 (*1 *1) (-12 (-5 *1 (-835 *2)) (-4 *2 (-1090)))) (-3596 (*1 *1) (-12 (-5 *1 (-835 *2)) (-4 *2 (-1090)))) (-3557 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-835 *3)) (-4 *3 (-1090)))) (-2773 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-835 *3)) (-4 *3 (-1090)))) (-1406 (*1 *2 *1) (-12 (-5 *2 (-1108)) (-5 *1 (-835 *3)) (-4 *3 (-1090)))) (-1338 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-835 *3)) (-4 *3 (-550)) (-4 *3 (-1090)))) (-2394 (*1 *2 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-835 *3)) (-4 *3 (-550)) (-4 *3 (-1090)))) (-3254 (*1 *2 *1) (|partial| -12 (-5 *2 (-409 (-568))) (-5 *1 (-835 *3)) (-4 *3 (-550)) (-4 *3 (-1090))))) 
-(-13 (-1090) (-413 |#1|) (-10 -8 (-15 -3604 ($)) (-15 -3596 ($)) (-15 -3557 ((-121) $)) (-15 -2773 ((-121) $)) (-15 -1406 ((-1108) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-840)) (-6 (-840)) |noBranch|) (IF (|has| |#1| (-550)) (PROGN (-15 -1338 ((-121) $)) (-15 -2394 ((-409 (-568)) $)) (-15 -3254 ((-3 (-409 (-568)) "failed") $))) |noBranch|))) 
-((-2449 (((-121) $ $) 7)) (-3986 (((-763)) 19)) (-1733 (($) 22)) (-1732 (($ $ $) 12)) (-2047 (($ $ $) 13)) (-2291 (((-917) $) 21)) (-1893 (((-1143) $) 9)) (-4357 (($ (-917)) 20)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-1753 (((-121) $ $) 15)) (-1740 (((-121) $ $) 16)) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 14)) (-1734 (((-121) $ $) 17))) 
-(((-836) (-1275)) (T -836)) 
-NIL 
-(-13 (-842) (-370)) 
-(((-105) . T) ((-608 (-850)) . T) ((-370) . T) ((-842) . T) ((-1090) . T)) 
-((-2655 (((-121) (-1244 |#2|) (-1244 |#2|)) 17)) (-2182 (((-121) (-1244 |#2|) (-1244 |#2|)) 18)) (-2298 (((-121) (-1244 |#2|) (-1244 |#2|)) 14))) 
-(((-837 |#1| |#2|) (-10 -7 (-15 -2298 ((-121) (-1244 |#2|) (-1244 |#2|))) (-15 -2655 ((-121) (-1244 |#2|) (-1244 |#2|))) (-15 -2182 ((-121) (-1244 |#2|) (-1244 |#2|)))) (-763) (-787)) (T -837)) 
-((-2182 (*1 *2 *3 *3) (-12 (-5 *3 (-1244 *5)) (-4 *5 (-787)) (-5 *2 (-121)) (-5 *1 (-837 *4 *5)) (-14 *4 (-763)))) (-2655 (*1 *2 *3 *3) (-12 (-5 *3 (-1244 *5)) (-4 *5 (-787)) (-5 *2 (-121)) (-5 *1 (-837 *4 *5)) (-14 *4 (-763)))) (-2298 (*1 *2 *3 *3) (-12 (-5 *3 (-1244 *5)) (-4 *5 (-787)) (-5 *2 (-121)) (-5 *1 (-837 *4 *5)) (-14 *4 (-763))))) 
-(-10 -7 (-15 -2298 ((-121) (-1244 |#2|) (-1244 |#2|))) (-15 -2655 ((-121) (-1244 |#2|) (-1244 |#2|))) (-15 -2182 ((-121) (-1244 |#2|) (-1244 |#2|)))) 
-((-2449 (((-121) $ $) 7)) (-4490 (($) 23 T CONST)) (-2902 (((-3 $ "failed") $) 27)) (-1598 (((-121) $) 24)) (-1732 (($ $ $) 12)) (-2047 (($ $ $) 13)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-1889 (($ $ (-763)) 26) (($ $ (-917)) 21)) (-1557 (($) 22 T CONST)) (-1753 (((-121) $ $) 15)) (-1740 (((-121) $ $) 16)) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 14)) (-1734 (((-121) $ $) 17)) (** (($ $ (-763)) 25) (($ $ (-917)) 20)) (* (($ $ $) 19))) 
-(((-838) (-1275)) (T -838)) 
-NIL 
-(-13 (-842) (-716)) 
-(((-105) . T) ((-608 (-850)) . T) ((-716) . T) ((-842) . T) ((-1102) . T) ((-1090) . T)) 
-((-3337 (((-568) $) 17)) (-1436 (((-121) $) 10)) (-2859 (((-121) $) 11)) (-2811 (($ $) 19))) 
-(((-839 |#1|) (-10 -8 (-15 -2811 (|#1| |#1|)) (-15 -3337 ((-568) |#1|)) (-15 -2859 ((-121) |#1|)) (-15 -1436 ((-121) |#1|))) (-840)) (T -839)) 
-NIL 
-(-10 -8 (-15 -2811 (|#1| |#1|)) (-15 -3337 ((-568) |#1|)) (-15 -2859 ((-121) |#1|)) (-15 -1436 ((-121) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 23)) (-2689 (((-3 $ "failed") $ $) 25)) (-3337 (((-568) $) 32)) (-4490 (($) 22 T CONST)) (-2902 (((-3 $ "failed") $) 38)) (-1436 (((-121) $) 34)) (-1598 (((-121) $) 41)) (-2859 (((-121) $) 33)) (-1732 (($ $ $) 12)) (-2047 (($ $ $) 13)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11) (($ (-568)) 44)) (-3425 (((-763)) 43)) (-2811 (($ $) 31)) (-1889 (($ $ (-763)) 39) (($ $ (-917)) 35)) (-3058 (($) 21 T CONST)) (-1557 (($) 42 T CONST)) (-1753 (((-121) $ $) 15)) (-1740 (((-121) $ $) 16)) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 14)) (-1734 (((-121) $ $) 17)) (-1775 (($ $ $) 27) (($ $) 26)) (-1769 (($ $ $) 19)) (** (($ $ (-763)) 40) (($ $ (-917)) 36)) (* (($ (-763) $) 24) (($ (-917) $) 20) (($ (-568) $) 28) (($ $ $) 37))) 
-(((-840) (-1275)) (T -840)) 
-((-1436 (*1 *2 *1) (-12 (-4 *1 (-840)) (-5 *2 (-121)))) (-2859 (*1 *2 *1) (-12 (-4 *1 (-840)) (-5 *2 (-121)))) (-3337 (*1 *2 *1) (-12 (-4 *1 (-840)) (-5 *2 (-568)))) (-2811 (*1 *1 *1) (-4 *1 (-840)))) 
-(-13 (-786) (-1047) (-716) (-10 -8 (-15 -1436 ((-121) $)) (-15 -2859 ((-121) $)) (-15 -3337 ((-568) $)) (-15 -2811 ($ $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-137) . T) ((-608 (-850)) . T) ((-637 $) . T) ((-716) . T) ((-786) . T) ((-787) . T) ((-789) . T) ((-790) . T) ((-842) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-1732 (($ $ $) 10)) (-2047 (($ $ $) 9)) (-1753 (((-121) $ $) 12)) (-1740 (((-121) $ $) 11)) (-1747 (((-121) $ $) 13))) 
-(((-841 |#1|) (-10 -8 (-15 -1732 (|#1| |#1| |#1|)) (-15 -2047 (|#1| |#1| |#1|)) (-15 -1747 ((-121) |#1| |#1|)) (-15 -1753 ((-121) |#1| |#1|)) (-15 -1740 ((-121) |#1| |#1|))) (-842)) (T -841)) 
-NIL 
-(-10 -8 (-15 -1732 (|#1| |#1| |#1|)) (-15 -2047 (|#1| |#1| |#1|)) (-15 -1747 ((-121) |#1| |#1|)) (-15 -1753 ((-121) |#1| |#1|)) (-15 -1740 ((-121) |#1| |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1732 (($ $ $) 12)) (-2047 (($ $ $) 13)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-1753 (((-121) $ $) 15)) (-1740 (((-121) $ $) 16)) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 14)) (-1734 (((-121) $ $) 17))) 
-(((-842) (-1275)) (T -842)) 
-((-1734 (*1 *2 *1 *1) (-12 (-4 *1 (-842)) (-5 *2 (-121)))) (-1740 (*1 *2 *1 *1) (-12 (-4 *1 (-842)) (-5 *2 (-121)))) (-1753 (*1 *2 *1 *1) (-12 (-4 *1 (-842)) (-5 *2 (-121)))) (-1747 (*1 *2 *1 *1) (-12 (-4 *1 (-842)) (-5 *2 (-121)))) (-2047 (*1 *1 *1 *1) (-4 *1 (-842))) (-1732 (*1 *1 *1 *1) (-4 *1 (-842)))) 
-(-13 (-1090) (-10 -8 (-15 -1734 ((-121) $ $)) (-15 -1740 ((-121) $ $)) (-15 -1753 ((-121) $ $)) (-15 -1747 ((-121) $ $)) (-15 -2047 ($ $ $)) (-15 -1732 ($ $ $)))) 
-(((-105) . T) ((-608 (-850)) . T) ((-1090) . T)) 
-((-1309 (($ $ $) 45)) (-2096 (($ $ $) 44)) (-2374 (($ $ $) 42)) (-1310 (($ $ $) 51)) (-4137 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 46)) (-2554 (((-3 $ "failed") $ $) 49)) (-3668 (((-3 (-568) "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL) (((-3 |#2| "failed") $) 25)) (-1998 (($ $) 35)) (-2600 (($ $ $) 39)) (-3914 (($ $ $) 38)) (-4150 (($ $ $) 47)) (-2520 (($ $ $) 53)) (-2651 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 41)) (-3327 (((-3 $ "failed") $ $) 48)) (-2597 (((-3 $ "failed") $ |#2|) 28)) (-1364 ((|#2| $) 32)) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ (-409 (-568))) NIL) (($ |#2|) 12)) (-3304 (((-634 |#2|) $) 18)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) 22))) 
-(((-843 |#1| |#2|) (-10 -8 (-15 -4150 (|#1| |#1| |#1|)) (-15 -4137 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -2707 |#1|)) |#1| |#1|)) (-15 -1310 (|#1| |#1| |#1|)) (-15 -2554 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1309 (|#1| |#1| |#1|)) (-15 -2096 (|#1| |#1| |#1|)) (-15 -2374 (|#1| |#1| |#1|)) (-15 -2651 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -2707 |#1|)) |#1| |#1|)) (-15 -2520 (|#1| |#1| |#1|)) (-15 -3327 ((-3 |#1| "failed") |#1| |#1|)) (-15 -2600 (|#1| |#1| |#1|)) (-15 -3914 (|#1| |#1| |#1|)) (-15 -1998 (|#1| |#1|)) (-15 -1364 (|#2| |#1|)) (-15 -2597 ((-3 |#1| "failed") |#1| |#2|)) (-15 -3304 ((-634 |#2|) |#1|)) (-15 -3668 ((-3 |#2| "failed") |#1|)) (-15 -2747 (|#1| |#2|)) (-15 -2747 (|#1| (-409 (-568)))) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -2747 (|#1| (-568))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-568) |#1|)) (-15 * (|#1| (-763) |#1|)) (-15 * (|#1| (-917) |#1|)) (-15 -2747 ((-850) |#1|))) (-844 |#2|) (-1047)) (T -843)) 
-NIL 
-(-10 -8 (-15 -4150 (|#1| |#1| |#1|)) (-15 -4137 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -2707 |#1|)) |#1| |#1|)) (-15 -1310 (|#1| |#1| |#1|)) (-15 -2554 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1309 (|#1| |#1| |#1|)) (-15 -2096 (|#1| |#1| |#1|)) (-15 -2374 (|#1| |#1| |#1|)) (-15 -2651 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -2707 |#1|)) |#1| |#1|)) (-15 -2520 (|#1| |#1| |#1|)) (-15 -3327 ((-3 |#1| "failed") |#1| |#1|)) (-15 -2600 (|#1| |#1| |#1|)) (-15 -3914 (|#1| |#1| |#1|)) (-15 -1998 (|#1| |#1|)) (-15 -1364 (|#2| |#1|)) (-15 -2597 ((-3 |#1| "failed") |#1| |#2|)) (-15 -3304 ((-634 |#2|) |#1|)) (-15 -3668 ((-3 |#2| "failed") |#1|)) (-15 -2747 (|#1| |#2|)) (-15 -2747 (|#1| (-409 (-568)))) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -2747 (|#1| (-568))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-568) |#1|)) (-15 * (|#1| (-763) |#1|)) (-15 * (|#1| (-917) |#1|)) (-15 -2747 ((-850) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-1309 (($ $ $) 44 (|has| |#1| (-365)))) (-2096 (($ $ $) 45 (|has| |#1| (-365)))) (-2374 (($ $ $) 47 (|has| |#1| (-365)))) (-1310 (($ $ $) 42 (|has| |#1| (-365)))) (-4137 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 41 (|has| |#1| (-365)))) (-2554 (((-3 $ "failed") $ $) 43 (|has| |#1| (-365)))) (-3333 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 46 (|has| |#1| (-365)))) (-3668 (((-3 (-568) "failed") $) 73 (|has| |#1| (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) 71 (|has| |#1| (-1037 (-409 (-568))))) (((-3 |#1| "failed") $) 68)) (-2857 (((-568) $) 74 (|has| |#1| (-1037 (-568)))) (((-409 (-568)) $) 72 (|has| |#1| (-1037 (-409 (-568))))) ((|#1| $) 67)) (-2116 (($ $) 63)) (-2902 (((-3 $ "failed") $) 33)) (-1998 (($ $) 54 (|has| |#1| (-453)))) (-1598 (((-121) $) 30)) (-2049 (($ |#1| (-763)) 61)) (-3667 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 56 (|has| |#1| (-558)))) (-4301 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 57 (|has| |#1| (-558)))) (-3524 (((-763) $) 65)) (-2600 (($ $ $) 51 (|has| |#1| (-365)))) (-3914 (($ $ $) 52 (|has| |#1| (-365)))) (-4150 (($ $ $) 40 (|has| |#1| (-365)))) (-2520 (($ $ $) 49 (|has| |#1| (-365)))) (-2651 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 48 (|has| |#1| (-365)))) (-3327 (((-3 $ "failed") $ $) 50 (|has| |#1| (-365)))) (-3229 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 53 (|has| |#1| (-365)))) (-2104 ((|#1| $) 64)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2597 (((-3 $ "failed") $ |#1|) 58 (|has| |#1| (-558)))) (-1836 (((-763) $) 66)) (-1364 ((|#1| $) 55 (|has| |#1| (-453)))) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ (-409 (-568))) 70 (|has| |#1| (-1037 (-409 (-568))))) (($ |#1|) 69)) (-3304 (((-634 |#1|) $) 60)) (-2079 ((|#1| $ (-763)) 62)) (-3425 (((-763)) 28)) (-3828 ((|#1| $ |#1| |#1|) 59)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ |#1|) 76) (($ |#1| $) 75))) 
-(((-844 |#1|) (-1275) (-1047)) (T -844)) 
-((-1836 (*1 *2 *1) (-12 (-4 *1 (-844 *3)) (-4 *3 (-1047)) (-5 *2 (-763)))) (-3524 (*1 *2 *1) (-12 (-4 *1 (-844 *3)) (-4 *3 (-1047)) (-5 *2 (-763)))) (-2104 (*1 *2 *1) (-12 (-4 *1 (-844 *2)) (-4 *2 (-1047)))) (-2116 (*1 *1 *1) (-12 (-4 *1 (-844 *2)) (-4 *2 (-1047)))) (-2079 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-4 *1 (-844 *2)) (-4 *2 (-1047)))) (-2049 (*1 *1 *2 *3) (-12 (-5 *3 (-763)) (-4 *1 (-844 *2)) (-4 *2 (-1047)))) (-3304 (*1 *2 *1) (-12 (-4 *1 (-844 *3)) (-4 *3 (-1047)) (-5 *2 (-634 *3)))) (-3828 (*1 *2 *1 *2 *2) (-12 (-4 *1 (-844 *2)) (-4 *2 (-1047)))) (-2597 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-844 *2)) (-4 *2 (-1047)) (-4 *2 (-558)))) (-4301 (*1 *2 *1 *1) (-12 (-4 *3 (-558)) (-4 *3 (-1047)) (-5 *2 (-2 (|:| -4409 *1) (|:| -2607 *1))) (-4 *1 (-844 *3)))) (-3667 (*1 *2 *1 *1) (-12 (-4 *3 (-558)) (-4 *3 (-1047)) (-5 *2 (-2 (|:| -4409 *1) (|:| -2607 *1))) (-4 *1 (-844 *3)))) (-1364 (*1 *2 *1) (-12 (-4 *1 (-844 *2)) (-4 *2 (-1047)) (-4 *2 (-453)))) (-1998 (*1 *1 *1) (-12 (-4 *1 (-844 *2)) (-4 *2 (-1047)) (-4 *2 (-453)))) (-3229 (*1 *2 *1 *1) (-12 (-4 *3 (-365)) (-4 *3 (-1047)) (-5 *2 (-2 (|:| -4409 *1) (|:| -2607 *1))) (-4 *1 (-844 *3)))) (-3914 (*1 *1 *1 *1) (-12 (-4 *1 (-844 *2)) (-4 *2 (-1047)) (-4 *2 (-365)))) (-2600 (*1 *1 *1 *1) (-12 (-4 *1 (-844 *2)) (-4 *2 (-1047)) (-4 *2 (-365)))) (-3327 (*1 *1 *1 *1) (|partial| -12 (-4 *1 (-844 *2)) (-4 *2 (-1047)) (-4 *2 (-365)))) (-2520 (*1 *1 *1 *1) (-12 (-4 *1 (-844 *2)) (-4 *2 (-1047)) (-4 *2 (-365)))) (-2651 (*1 *2 *1 *1) (-12 (-4 *3 (-365)) (-4 *3 (-1047)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -2707 *1))) (-4 *1 (-844 *3)))) (-2374 (*1 *1 *1 *1) (-12 (-4 *1 (-844 *2)) (-4 *2 (-1047)) (-4 *2 (-365)))) (-3333 (*1 *2 *1 *1) (-12 (-4 *3 (-365)) (-4 *3 (-1047)) (-5 *2 (-2 (|:| -4409 *1) (|:| -2607 *1))) (-4 *1 (-844 *3)))) (-2096 (*1 *1 *1 *1) (-12 (-4 *1 (-844 *2)) (-4 *2 (-1047)) (-4 *2 (-365)))) (-1309 (*1 *1 *1 *1) (-12 (-4 *1 (-844 *2)) (-4 *2 (-1047)) (-4 *2 (-365)))) (-2554 (*1 *1 *1 *1) (|partial| -12 (-4 *1 (-844 *2)) (-4 *2 (-1047)) (-4 *2 (-365)))) (-1310 (*1 *1 *1 *1) (-12 (-4 *1 (-844 *2)) (-4 *2 (-1047)) (-4 *2 (-365)))) (-4137 (*1 *2 *1 *1) (-12 (-4 *3 (-365)) (-4 *3 (-1047)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -2707 *1))) (-4 *1 (-844 *3)))) (-4150 (*1 *1 *1 *1) (-12 (-4 *1 (-844 *2)) (-4 *2 (-1047)) (-4 *2 (-365))))) 
-(-13 (-1047) (-120 |t#1| |t#1|) (-413 |t#1|) (-10 -8 (-15 -1836 ((-763) $)) (-15 -3524 ((-763) $)) (-15 -2104 (|t#1| $)) (-15 -2116 ($ $)) (-15 -2079 (|t#1| $ (-763))) (-15 -2049 ($ |t#1| (-763))) (-15 -3304 ((-634 |t#1|) $)) (-15 -3828 (|t#1| $ |t#1| |t#1|)) (IF (|has| |t#1| (-172)) (-6 (-43 |t#1|)) |noBranch|) (IF (|has| |t#1| (-558)) (PROGN (-15 -2597 ((-3 $ "failed") $ |t#1|)) (-15 -4301 ((-2 (|:| -4409 $) (|:| -2607 $)) $ $)) (-15 -3667 ((-2 (|:| -4409 $) (|:| -2607 $)) $ $))) |noBranch|) (IF (|has| |t#1| (-453)) (PROGN (-15 -1364 (|t#1| $)) (-15 -1998 ($ $))) |noBranch|) (IF (|has| |t#1| (-365)) (PROGN (-15 -3229 ((-2 (|:| -4409 $) (|:| -2607 $)) $ $)) (-15 -3914 ($ $ $)) (-15 -2600 ($ $ $)) (-15 -3327 ((-3 $ "failed") $ $)) (-15 -2520 ($ $ $)) (-15 -2651 ((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $)) (-15 -2374 ($ $ $)) (-15 -3333 ((-2 (|:| -4409 $) (|:| -2607 $)) $ $)) (-15 -2096 ($ $ $)) (-15 -1309 ($ $ $)) (-15 -2554 ((-3 $ "failed") $ $)) (-15 -1310 ($ $ $)) (-15 -4137 ((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $)) (-15 -4150 ($ $ $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-172)) ((-105) . T) ((-120 |#1| |#1|) . T) ((-137) . T) ((-608 (-850)) . T) ((-413 |#1|) . T) ((-637 |#1|) . T) ((-637 $) . T) ((-707 |#1|) |has| |#1| (-172)) ((-716) . T) ((-1037 (-409 (-568))) |has| |#1| (-1037 (-409 (-568)))) ((-1037 (-568)) |has| |#1| (-1037 (-568))) ((-1037 |#1|) . T) ((-1053 |#1|) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-3927 ((|#2| |#2| |#2| (-101 |#1|) (-1 |#1| |#1|)) 20)) (-3333 (((-2 (|:| -4409 |#2|) (|:| -2607 |#2|)) |#2| |#2| (-101 |#1|)) 43 (|has| |#1| (-365)))) (-3667 (((-2 (|:| -4409 |#2|) (|:| -2607 |#2|)) |#2| |#2| (-101 |#1|)) 40 (|has| |#1| (-558)))) (-4301 (((-2 (|:| -4409 |#2|) (|:| -2607 |#2|)) |#2| |#2| (-101 |#1|)) 39 (|has| |#1| (-558)))) (-3229 (((-2 (|:| -4409 |#2|) (|:| -2607 |#2|)) |#2| |#2| (-101 |#1|)) 42 (|has| |#1| (-365)))) (-3828 ((|#1| |#2| |#1| |#1| (-101 |#1|) (-1 |#1| |#1|)) 31))) 
-(((-845 |#1| |#2|) (-10 -7 (-15 -3927 (|#2| |#2| |#2| (-101 |#1|) (-1 |#1| |#1|))) (-15 -3828 (|#1| |#2| |#1| |#1| (-101 |#1|) (-1 |#1| |#1|))) (IF (|has| |#1| (-558)) (PROGN (-15 -4301 ((-2 (|:| -4409 |#2|) (|:| -2607 |#2|)) |#2| |#2| (-101 |#1|))) (-15 -3667 ((-2 (|:| -4409 |#2|) (|:| -2607 |#2|)) |#2| |#2| (-101 |#1|)))) |noBranch|) (IF (|has| |#1| (-365)) (PROGN (-15 -3229 ((-2 (|:| -4409 |#2|) (|:| -2607 |#2|)) |#2| |#2| (-101 |#1|))) (-15 -3333 ((-2 (|:| -4409 |#2|) (|:| -2607 |#2|)) |#2| |#2| (-101 |#1|)))) |noBranch|)) (-1047) (-844 |#1|)) (T -845)) 
-((-3333 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-365)) (-4 *5 (-1047)) (-5 *2 (-2 (|:| -4409 *3) (|:| -2607 *3))) (-5 *1 (-845 *5 *3)) (-4 *3 (-844 *5)))) (-3229 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-365)) (-4 *5 (-1047)) (-5 *2 (-2 (|:| -4409 *3) (|:| -2607 *3))) (-5 *1 (-845 *5 *3)) (-4 *3 (-844 *5)))) (-3667 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-558)) (-4 *5 (-1047)) (-5 *2 (-2 (|:| -4409 *3) (|:| -2607 *3))) (-5 *1 (-845 *5 *3)) (-4 *3 (-844 *5)))) (-4301 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-558)) (-4 *5 (-1047)) (-5 *2 (-2 (|:| -4409 *3) (|:| -2607 *3))) (-5 *1 (-845 *5 *3)) (-4 *3 (-844 *5)))) (-3828 (*1 *2 *3 *2 *2 *4 *5) (-12 (-5 *4 (-101 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-1047)) (-5 *1 (-845 *2 *3)) (-4 *3 (-844 *2)))) (-3927 (*1 *2 *2 *2 *3 *4) (-12 (-5 *3 (-101 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-1047)) (-5 *1 (-845 *5 *2)) (-4 *2 (-844 *5))))) 
-(-10 -7 (-15 -3927 (|#2| |#2| |#2| (-101 |#1|) (-1 |#1| |#1|))) (-15 -3828 (|#1| |#2| |#1| |#1| (-101 |#1|) (-1 |#1| |#1|))) (IF (|has| |#1| (-558)) (PROGN (-15 -4301 ((-2 (|:| -4409 |#2|) (|:| -2607 |#2|)) |#2| |#2| (-101 |#1|))) (-15 -3667 ((-2 (|:| -4409 |#2|) (|:| -2607 |#2|)) |#2| |#2| (-101 |#1|)))) |noBranch|) (IF (|has| |#1| (-365)) (PROGN (-15 -3229 ((-2 (|:| -4409 |#2|) (|:| -2607 |#2|)) |#2| |#2| (-101 |#1|))) (-15 -3333 ((-2 (|:| -4409 |#2|) (|:| -2607 |#2|)) |#2| |#2| (-101 |#1|)))) |noBranch|)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-1309 (($ $ $) NIL (|has| |#1| (-365)))) (-2096 (($ $ $) NIL (|has| |#1| (-365)))) (-2374 (($ $ $) NIL (|has| |#1| (-365)))) (-1310 (($ $ $) NIL (|has| |#1| (-365)))) (-4137 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#1| (-365)))) (-2554 (((-3 $ "failed") $ $) NIL (|has| |#1| (-365)))) (-3333 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 25 (|has| |#1| (-365)))) (-3668 (((-3 (-568) "failed") $) NIL (|has| |#1| (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-3 |#1| "failed") $) NIL)) (-2857 (((-568) $) NIL (|has| |#1| (-1037 (-568)))) (((-409 (-568)) $) NIL (|has| |#1| (-1037 (-409 (-568))))) ((|#1| $) NIL)) (-2116 (($ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1998 (($ $) NIL (|has| |#1| (-453)))) (-2276 (((-850) $ (-850)) NIL)) (-1598 (((-121) $) NIL)) (-2049 (($ |#1| (-763)) NIL)) (-3667 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 21 (|has| |#1| (-558)))) (-4301 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 19 (|has| |#1| (-558)))) (-3524 (((-763) $) NIL)) (-2600 (($ $ $) NIL (|has| |#1| (-365)))) (-3914 (($ $ $) NIL (|has| |#1| (-365)))) (-4150 (($ $ $) NIL (|has| |#1| (-365)))) (-2520 (($ $ $) NIL (|has| |#1| (-365)))) (-2651 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#1| (-365)))) (-3327 (((-3 $ "failed") $ $) NIL (|has| |#1| (-365)))) (-3229 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 23 (|has| |#1| (-365)))) (-2104 ((|#1| $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2597 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-558)))) (-1836 (((-763) $) NIL)) (-1364 ((|#1| $) NIL (|has| |#1| (-453)))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ (-409 (-568))) NIL (|has| |#1| (-1037 (-409 (-568))))) (($ |#1|) NIL)) (-3304 (((-634 |#1|) $) NIL)) (-2079 ((|#1| $ (-763)) NIL)) (-3425 (((-763)) NIL)) (-3828 ((|#1| $ |#1| |#1|) 15)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-1719 (((-121) $ $) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 13) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-846 |#1| |#2| |#3|) (-13 (-844 |#1|) (-10 -8 (-15 -2276 ((-850) $ (-850))))) (-1047) (-101 |#1|) (-1 |#1| |#1|)) (T -846)) 
-((-2276 (*1 *2 *1 *2) (-12 (-5 *2 (-850)) (-5 *1 (-846 *3 *4 *5)) (-4 *3 (-1047)) (-14 *4 (-101 *3)) (-14 *5 (-1 *3 *3))))) 
-(-13 (-844 |#1|) (-10 -8 (-15 -2276 ((-850) $ (-850))))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-1309 (($ $ $) NIL (|has| |#2| (-365)))) (-2096 (($ $ $) NIL (|has| |#2| (-365)))) (-2374 (($ $ $) NIL (|has| |#2| (-365)))) (-1310 (($ $ $) NIL (|has| |#2| (-365)))) (-4137 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#2| (-365)))) (-2554 (((-3 $ "failed") $ $) NIL (|has| |#2| (-365)))) (-3333 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#2| (-365)))) (-3668 (((-3 (-568) "failed") $) NIL (|has| |#2| (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#2| (-1037 (-409 (-568))))) (((-3 |#2| "failed") $) NIL)) (-2857 (((-568) $) NIL (|has| |#2| (-1037 (-568)))) (((-409 (-568)) $) NIL (|has| |#2| (-1037 (-409 (-568))))) ((|#2| $) NIL)) (-2116 (($ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1998 (($ $) NIL (|has| |#2| (-453)))) (-1598 (((-121) $) NIL)) (-2049 (($ |#2| (-763)) 16)) (-3667 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#2| (-558)))) (-4301 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#2| (-558)))) (-3524 (((-763) $) NIL)) (-2600 (($ $ $) NIL (|has| |#2| (-365)))) (-3914 (($ $ $) NIL (|has| |#2| (-365)))) (-4150 (($ $ $) NIL (|has| |#2| (-365)))) (-2520 (($ $ $) NIL (|has| |#2| (-365)))) (-2651 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#2| (-365)))) (-3327 (((-3 $ "failed") $ $) NIL (|has| |#2| (-365)))) (-3229 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#2| (-365)))) (-2104 ((|#2| $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2597 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-558)))) (-1836 (((-763) $) NIL)) (-1364 ((|#2| $) NIL (|has| |#2| (-453)))) (-2747 (((-850) $) 23) (($ (-568)) NIL) (($ (-409 (-568))) NIL (|has| |#2| (-1037 (-409 (-568))))) (($ |#2|) NIL) (($ (-1240 |#1|)) 18)) (-3304 (((-634 |#2|) $) NIL)) (-2079 ((|#2| $ (-763)) NIL)) (-3425 (((-763)) NIL)) (-3828 ((|#2| $ |#2| |#2|) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) 13 T CONST)) (-1719 (((-121) $ $) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
-(((-847 |#1| |#2| |#3| |#4|) (-13 (-844 |#2|) (-10 -8 (-15 -2747 ($ (-1240 |#1|))))) (-1161) (-1047) (-101 |#2|) (-1 |#2| |#2|)) (T -847)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1240 *3)) (-14 *3 (-1161)) (-5 *1 (-847 *3 *4 *5 *6)) (-4 *4 (-1047)) (-14 *5 (-101 *4)) (-14 *6 (-1 *4 *4))))) 
-(-13 (-844 |#2|) (-10 -8 (-15 -2747 ($ (-1240 |#1|))))) 
-((-1545 ((|#1| (-763) |#1|) 35 (|has| |#1| (-43 (-409 (-568)))))) (-1948 ((|#1| (-763) (-763) |#1|) 27) ((|#1| (-763) |#1|) 20)) (-3700 ((|#1| (-763) |#1|) 31)) (-2623 ((|#1| (-763) |#1|) 29)) (-4477 ((|#1| (-763) |#1|) 28))) 
-(((-848 |#1|) (-10 -7 (-15 -4477 (|#1| (-763) |#1|)) (-15 -2623 (|#1| (-763) |#1|)) (-15 -3700 (|#1| (-763) |#1|)) (-15 -1948 (|#1| (-763) |#1|)) (-15 -1948 (|#1| (-763) (-763) |#1|)) (IF (|has| |#1| (-43 (-409 (-568)))) (-15 -1545 (|#1| (-763) |#1|)) |noBranch|)) (-172)) (T -848)) 
-((-1545 (*1 *2 *3 *2) (-12 (-5 *3 (-763)) (-5 *1 (-848 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-172)))) (-1948 (*1 *2 *3 *3 *2) (-12 (-5 *3 (-763)) (-5 *1 (-848 *2)) (-4 *2 (-172)))) (-1948 (*1 *2 *3 *2) (-12 (-5 *3 (-763)) (-5 *1 (-848 *2)) (-4 *2 (-172)))) (-3700 (*1 *2 *3 *2) (-12 (-5 *3 (-763)) (-5 *1 (-848 *2)) (-4 *2 (-172)))) (-2623 (*1 *2 *3 *2) (-12 (-5 *3 (-763)) (-5 *1 (-848 *2)) (-4 *2 (-172)))) (-4477 (*1 *2 *3 *2) (-12 (-5 *3 (-763)) (-5 *1 (-848 *2)) (-4 *2 (-172))))) 
-(-10 -7 (-15 -4477 (|#1| (-763) |#1|)) (-15 -2623 (|#1| (-763) |#1|)) (-15 -3700 (|#1| (-763) |#1|)) (-15 -1948 (|#1| (-763) |#1|)) (-15 -1948 (|#1| (-763) (-763) |#1|)) (IF (|has| |#1| (-43 (-409 (-568)))) (-15 -1545 (|#1| (-763) |#1|)) |noBranch|)) 
-((-2449 (((-121) $ $) NIL)) (-2852 (((-568) $) 12)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) 18) (($ (-568)) 11)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 8)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 9))) 
-(((-849) (-13 (-842) (-10 -8 (-15 -2747 ($ (-568))) (-15 -2852 ((-568) $))))) (T -849)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-849)))) (-2852 (*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-849))))) 
-(-13 (-842) (-10 -8 (-15 -2747 ($ (-568))) (-15 -2852 ((-568) $)))) 
-((-2449 (((-121) $ $) NIL)) (-3733 (($ $ $) 115)) (-1987 (((-568) $) 30) (((-568)) 35)) (-3563 (($ (-568)) 44)) (-2632 (($ $ $) 45) (($ (-634 $)) 76)) (-3136 (($ $ (-634 $)) 74)) (-1940 (((-568) $) 33)) (-4104 (($ $ $) 63)) (-2630 (($ $) 128) (($ $ $) 129) (($ $ $ $) 130)) (-1347 (((-568) $) 32)) (-1891 (($ $ $) 62)) (-1744 (($ $) 105)) (-2799 (($ $ $) 119)) (-2579 (($ (-634 $)) 52)) (-3689 (($ $ (-634 $)) 69)) (-3447 (($ (-568) (-568)) 46)) (-3517 (($ $) 116) (($ $ $) 117)) (-3286 (($ $ (-568)) 40) (($ $) 43)) (-2403 (($ $ $) 89)) (-2844 (($ $ $) 122)) (-1827 (($ $) 106)) (-2414 (($ $ $) 90)) (-1632 (($ $) 131) (($ $ $) 132) (($ $ $ $) 133)) (-3419 (((-1249) $) 8)) (-1638 (($ $) 109) (($ $ (-763)) 112)) (-1755 (($ $ $) 65)) (-2749 (($ $ $) 64)) (-3392 (($ $ (-634 $)) 100)) (-3495 (($ $ $) 104)) (-2143 (($ (-634 $)) 50)) (-3855 (($ $) 60) (($ (-634 $)) 61)) (-1562 (($ $ $) 113)) (-2334 (($ $) 107)) (-1521 (($ $ $) 118)) (-2276 (($ (-568)) 20) (($ (-1161)) 22) (($ (-1143)) 29) (($ (-215)) 24)) (-3107 (($ $ $) 93)) (-3046 (($ $) 94)) (-1896 (((-1249) (-1143)) 14)) (-2690 (($ (-1143)) 13)) (-2271 (($ (-634 (-634 $))) 48)) (-3030 (($ $ (-568)) 39) (($ $) 42)) (-1893 (((-1143) $) NIL)) (-4256 (($ $ $) 121)) (-2473 (($ $) 134) (($ $ $) 135) (($ $ $ $) 136)) (-1698 (((-121) $) 98)) (-3583 (($ $ (-634 $)) 102) (($ $ $ $) 103)) (-1817 (($ (-568)) 36)) (-2963 (((-568) $) 31) (((-568)) 34)) (-2340 (($ $ $) 37) (($ (-634 $)) 75)) (-4025 (((-1108) $) NIL)) (-2597 (($ $ $) 91)) (-1990 (($) 12)) (-2781 (($ $ (-634 $)) 99)) (-2286 (($ $) 108) (($ $ (-763)) 111)) (-2602 (($ $ $) 88)) (-4191 (($ $ (-763)) 127)) (-3098 (($ (-634 $)) 51)) (-2747 (((-850) $) 18)) (-1374 (($ $ (-568)) 38) (($ $) 41)) (-2598 (($ $) 58) (($ (-634 $)) 59)) (-3846 (($ $) 56) (($ (-634 $)) 57)) (-3159 (($ $) 114)) (-2418 (($ (-634 $)) 55)) (-3584 (($ $ $) 97)) (-1963 (($ $ $) 120)) (-2141 (($ $ $) 92)) (-2614 (($ $ $) 77)) (-4255 (($ $ $) 95) (($ $) 96)) (-1753 (($ $ $) 81)) (-1740 (($ $ $) 79)) (-1719 (((-121) $ $) 15) (($ $ $) 16)) (-1747 (($ $ $) 80)) (-1734 (($ $ $) 78)) (-1781 (($ $ $) 86)) (-1775 (($ $ $) 83) (($ $) 84)) (-1769 (($ $ $) 82)) (** (($ $ $) 87)) (* (($ $ $) 85))) 
-(((-850) (-13 (-1090) (-10 -8 (-15 -3419 ((-1249) $)) (-15 -2690 ($ (-1143))) (-15 -1896 ((-1249) (-1143))) (-15 -2276 ($ (-568))) (-15 -2276 ($ (-1161))) (-15 -2276 ($ (-1143))) (-15 -2276 ($ (-215))) (-15 -1990 ($)) (-15 -1987 ((-568) $)) (-15 -2963 ((-568) $)) (-15 -1987 ((-568))) (-15 -2963 ((-568))) (-15 -1347 ((-568) $)) (-15 -1940 ((-568) $)) (-15 -1817 ($ (-568))) (-15 -3563 ($ (-568))) (-15 -3447 ($ (-568) (-568))) (-15 -3030 ($ $ (-568))) (-15 -3286 ($ $ (-568))) (-15 -1374 ($ $ (-568))) (-15 -3030 ($ $)) (-15 -3286 ($ $)) (-15 -1374 ($ $)) (-15 -2340 ($ $ $)) (-15 -2632 ($ $ $)) (-15 -2340 ($ (-634 $))) (-15 -2632 ($ (-634 $))) (-15 -3392 ($ $ (-634 $))) (-15 -3583 ($ $ (-634 $))) (-15 -3583 ($ $ $ $)) (-15 -3495 ($ $ $)) (-15 -1698 ((-121) $)) (-15 -2781 ($ $ (-634 $))) (-15 -1744 ($ $)) (-15 -4256 ($ $ $)) (-15 -3159 ($ $)) (-15 -2271 ($ (-634 (-634 $)))) (-15 -3733 ($ $ $)) (-15 -3517 ($ $)) (-15 -3517 ($ $ $)) (-15 -1521 ($ $ $)) (-15 -2799 ($ $ $)) (-15 -1963 ($ $ $)) (-15 -2844 ($ $ $)) (-15 -4191 ($ $ (-763))) (-15 -3584 ($ $ $)) (-15 -1891 ($ $ $)) (-15 -4104 ($ $ $)) (-15 -2749 ($ $ $)) (-15 -1755 ($ $ $)) (-15 -3689 ($ $ (-634 $))) (-15 -3136 ($ $ (-634 $))) (-15 -1827 ($ $)) (-15 -2286 ($ $)) (-15 -2286 ($ $ (-763))) (-15 -1638 ($ $)) (-15 -1638 ($ $ (-763))) (-15 -2334 ($ $)) (-15 -1562 ($ $ $)) (-15 -2630 ($ $)) (-15 -2630 ($ $ $)) (-15 -2630 ($ $ $ $)) (-15 -1632 ($ $)) (-15 -1632 ($ $ $)) (-15 -1632 ($ $ $ $)) (-15 -2473 ($ $)) (-15 -2473 ($ $ $)) (-15 -2473 ($ $ $ $)) (-15 -3846 ($ $)) (-15 -3846 ($ (-634 $))) (-15 -2598 ($ $)) (-15 -2598 ($ (-634 $))) (-15 -3855 ($ $)) (-15 -3855 ($ (-634 $))) (-15 -2143 ($ (-634 $))) (-15 -3098 ($ (-634 $))) (-15 -2579 ($ (-634 $))) (-15 -2418 ($ (-634 $))) (-15 -1719 ($ $ $)) (-15 -2614 ($ $ $)) (-15 -1734 ($ $ $)) (-15 -1740 ($ $ $)) (-15 -1747 ($ $ $)) (-15 -1753 ($ $ $)) (-15 -1769 ($ $ $)) (-15 -1775 ($ $ $)) (-15 -1775 ($ $)) (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -2602 ($ $ $)) (-15 -2403 ($ $ $)) (-15 -2414 ($ $ $)) (-15 -2597 ($ $ $)) (-15 -2141 ($ $ $)) (-15 -3107 ($ $ $)) (-15 -3046 ($ $)) (-15 -4255 ($ $ $)) (-15 -4255 ($ $))))) (T -850)) 
-((-3419 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-850)))) (-2690 (*1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-850)))) (-1896 (*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-850)))) (-2276 (*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-850)))) (-2276 (*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-850)))) (-2276 (*1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-850)))) (-2276 (*1 *1 *2) (-12 (-5 *2 (-215)) (-5 *1 (-850)))) (-1990 (*1 *1) (-5 *1 (-850))) (-1987 (*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-850)))) (-2963 (*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-850)))) (-1987 (*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-850)))) (-2963 (*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-850)))) (-1347 (*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-850)))) (-1940 (*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-850)))) (-1817 (*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-850)))) (-3563 (*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-850)))) (-3447 (*1 *1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-850)))) (-3030 (*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-850)))) (-3286 (*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-850)))) (-1374 (*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-850)))) (-3030 (*1 *1 *1) (-5 *1 (-850))) (-3286 (*1 *1 *1) (-5 *1 (-850))) (-1374 (*1 *1 *1) (-5 *1 (-850))) (-2340 (*1 *1 *1 *1) (-5 *1 (-850))) (-2632 (*1 *1 *1 *1) (-5 *1 (-850))) (-2340 (*1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850)))) (-2632 (*1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850)))) (-3392 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850)))) (-3583 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850)))) (-3583 (*1 *1 *1 *1 *1) (-5 *1 (-850))) (-3495 (*1 *1 *1 *1) (-5 *1 (-850))) (-1698 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-850)))) (-2781 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850)))) (-1744 (*1 *1 *1) (-5 *1 (-850))) (-4256 (*1 *1 *1 *1) (-5 *1 (-850))) (-3159 (*1 *1 *1) (-5 *1 (-850))) (-2271 (*1 *1 *2) (-12 (-5 *2 (-634 (-634 (-850)))) (-5 *1 (-850)))) (-3733 (*1 *1 *1 *1) (-5 *1 (-850))) (-3517 (*1 *1 *1) (-5 *1 (-850))) (-3517 (*1 *1 *1 *1) (-5 *1 (-850))) (-1521 (*1 *1 *1 *1) (-5 *1 (-850))) (-2799 (*1 *1 *1 *1) (-5 *1 (-850))) (-1963 (*1 *1 *1 *1) (-5 *1 (-850))) (-2844 (*1 *1 *1 *1) (-5 *1 (-850))) (-4191 (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-850)))) (-3584 (*1 *1 *1 *1) (-5 *1 (-850))) (-1891 (*1 *1 *1 *1) (-5 *1 (-850))) (-4104 (*1 *1 *1 *1) (-5 *1 (-850))) (-2749 (*1 *1 *1 *1) (-5 *1 (-850))) (-1755 (*1 *1 *1 *1) (-5 *1 (-850))) (-3689 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850)))) (-3136 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850)))) (-1827 (*1 *1 *1) (-5 *1 (-850))) (-2286 (*1 *1 *1) (-5 *1 (-850))) (-2286 (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-850)))) (-1638 (*1 *1 *1) (-5 *1 (-850))) (-1638 (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-850)))) (-2334 (*1 *1 *1) (-5 *1 (-850))) (-1562 (*1 *1 *1 *1) (-5 *1 (-850))) (-2630 (*1 *1 *1) (-5 *1 (-850))) (-2630 (*1 *1 *1 *1) (-5 *1 (-850))) (-2630 (*1 *1 *1 *1 *1) (-5 *1 (-850))) (-1632 (*1 *1 *1) (-5 *1 (-850))) (-1632 (*1 *1 *1 *1) (-5 *1 (-850))) (-1632 (*1 *1 *1 *1 *1) (-5 *1 (-850))) (-2473 (*1 *1 *1) (-5 *1 (-850))) (-2473 (*1 *1 *1 *1) (-5 *1 (-850))) (-2473 (*1 *1 *1 *1 *1) (-5 *1 (-850))) (-3846 (*1 *1 *1) (-5 *1 (-850))) (-3846 (*1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850)))) (-2598 (*1 *1 *1) (-5 *1 (-850))) (-2598 (*1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850)))) (-3855 (*1 *1 *1) (-5 *1 (-850))) (-3855 (*1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850)))) (-2143 (*1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850)))) (-3098 (*1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850)))) (-2579 (*1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850)))) (-2418 (*1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850)))) (-1719 (*1 *1 *1 *1) (-5 *1 (-850))) (-2614 (*1 *1 *1 *1) (-5 *1 (-850))) (-1734 (*1 *1 *1 *1) (-5 *1 (-850))) (-1740 (*1 *1 *1 *1) (-5 *1 (-850))) (-1747 (*1 *1 *1 *1) (-5 *1 (-850))) (-1753 (*1 *1 *1 *1) (-5 *1 (-850))) (-1769 (*1 *1 *1 *1) (-5 *1 (-850))) (-1775 (*1 *1 *1 *1) (-5 *1 (-850))) (-1775 (*1 *1 *1) (-5 *1 (-850))) (* (*1 *1 *1 *1) (-5 *1 (-850))) (-1781 (*1 *1 *1 *1) (-5 *1 (-850))) (** (*1 *1 *1 *1) (-5 *1 (-850))) (-2602 (*1 *1 *1 *1) (-5 *1 (-850))) (-2403 (*1 *1 *1 *1) (-5 *1 (-850))) (-2414 (*1 *1 *1 *1) (-5 *1 (-850))) (-2597 (*1 *1 *1 *1) (-5 *1 (-850))) (-2141 (*1 *1 *1 *1) (-5 *1 (-850))) (-3107 (*1 *1 *1 *1) (-5 *1 (-850))) (-3046 (*1 *1 *1) (-5 *1 (-850))) (-4255 (*1 *1 *1 *1) (-5 *1 (-850))) (-4255 (*1 *1 *1) (-5 *1 (-850)))) 
-(-13 (-1090) (-10 -8 (-15 -3419 ((-1249) $)) (-15 -2690 ($ (-1143))) (-15 -1896 ((-1249) (-1143))) (-15 -2276 ($ (-568))) (-15 -2276 ($ (-1161))) (-15 -2276 ($ (-1143))) (-15 -2276 ($ (-215))) (-15 -1990 ($)) (-15 -1987 ((-568) $)) (-15 -2963 ((-568) $)) (-15 -1987 ((-568))) (-15 -2963 ((-568))) (-15 -1347 ((-568) $)) (-15 -1940 ((-568) $)) (-15 -1817 ($ (-568))) (-15 -3563 ($ (-568))) (-15 -3447 ($ (-568) (-568))) (-15 -3030 ($ $ (-568))) (-15 -3286 ($ $ (-568))) (-15 -1374 ($ $ (-568))) (-15 -3030 ($ $)) (-15 -3286 ($ $)) (-15 -1374 ($ $)) (-15 -2340 ($ $ $)) (-15 -2632 ($ $ $)) (-15 -2340 ($ (-634 $))) (-15 -2632 ($ (-634 $))) (-15 -3392 ($ $ (-634 $))) (-15 -3583 ($ $ (-634 $))) (-15 -3583 ($ $ $ $)) (-15 -3495 ($ $ $)) (-15 -1698 ((-121) $)) (-15 -2781 ($ $ (-634 $))) (-15 -1744 ($ $)) (-15 -4256 ($ $ $)) (-15 -3159 ($ $)) (-15 -2271 ($ (-634 (-634 $)))) (-15 -3733 ($ $ $)) (-15 -3517 ($ $)) (-15 -3517 ($ $ $)) (-15 -1521 ($ $ $)) (-15 -2799 ($ $ $)) (-15 -1963 ($ $ $)) (-15 -2844 ($ $ $)) (-15 -4191 ($ $ (-763))) (-15 -3584 ($ $ $)) (-15 -1891 ($ $ $)) (-15 -4104 ($ $ $)) (-15 -2749 ($ $ $)) (-15 -1755 ($ $ $)) (-15 -3689 ($ $ (-634 $))) (-15 -3136 ($ $ (-634 $))) (-15 -1827 ($ $)) (-15 -2286 ($ $)) (-15 -2286 ($ $ (-763))) (-15 -1638 ($ $)) (-15 -1638 ($ $ (-763))) (-15 -2334 ($ $)) (-15 -1562 ($ $ $)) (-15 -2630 ($ $)) (-15 -2630 ($ $ $)) (-15 -2630 ($ $ $ $)) (-15 -1632 ($ $)) (-15 -1632 ($ $ $)) (-15 -1632 ($ $ $ $)) (-15 -2473 ($ $)) (-15 -2473 ($ $ $)) (-15 -2473 ($ $ $ $)) (-15 -3846 ($ $)) (-15 -3846 ($ (-634 $))) (-15 -2598 ($ $)) (-15 -2598 ($ (-634 $))) (-15 -3855 ($ $)) (-15 -3855 ($ (-634 $))) (-15 -2143 ($ (-634 $))) (-15 -3098 ($ (-634 $))) (-15 -2579 ($ (-634 $))) (-15 -2418 ($ (-634 $))) (-15 -1719 ($ $ $)) (-15 -2614 ($ $ $)) (-15 -1734 ($ $ $)) (-15 -1740 ($ $ $)) (-15 -1747 ($ $ $)) (-15 -1753 ($ $ $)) (-15 -1769 ($ $ $)) (-15 -1775 ($ $ $)) (-15 -1775 ($ $)) (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -2602 ($ $ $)) (-15 -2403 ($ $ $)) (-15 -2414 ($ $ $)) (-15 -2597 ($ $ $)) (-15 -2141 ($ $ $)) (-15 -3107 ($ $ $)) (-15 -3046 ($ $)) (-15 -4255 ($ $ $)) (-15 -4255 ($ $)))) 
-((-2907 (((-1249) (-634 (-57))) 24)) (-3496 (((-1249) (-1143) (-850)) 14) (((-1249) (-850)) 9) (((-1249) (-1143)) 11))) 
-(((-851) (-10 -7 (-15 -3496 ((-1249) (-1143))) (-15 -3496 ((-1249) (-850))) (-15 -3496 ((-1249) (-1143) (-850))) (-15 -2907 ((-1249) (-634 (-57)))))) (T -851)) 
-((-2907 (*1 *2 *3) (-12 (-5 *3 (-634 (-57))) (-5 *2 (-1249)) (-5 *1 (-851)))) (-3496 (*1 *2 *3 *4) (-12 (-5 *3 (-1143)) (-5 *4 (-850)) (-5 *2 (-1249)) (-5 *1 (-851)))) (-3496 (*1 *2 *3) (-12 (-5 *3 (-850)) (-5 *2 (-1249)) (-5 *1 (-851)))) (-3496 (*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-851))))) 
-(-10 -7 (-15 -3496 ((-1249) (-1143))) (-15 -3496 ((-1249) (-850))) (-15 -3496 ((-1249) (-1143) (-850))) (-15 -2907 ((-1249) (-634 (-57))))) 
-((-2449 (((-121) $ $) NIL)) (-3325 (((-3 $ "failed") (-1161)) 32)) (-3986 (((-763)) 30)) (-1733 (($) NIL)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-2291 (((-917) $) 28)) (-1893 (((-1143) $) 38)) (-4357 (($ (-917)) 27)) (-4025 (((-1108) $) NIL)) (-4280 (((-1161) $) 13) (((-541) $) 19) (((-887 (-381)) $) 25) (((-887 (-568)) $) 22)) (-2747 (((-850) $) 16)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 35)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 34))) 
-(((-852 |#1|) (-13 (-836) (-609 (-1161)) (-609 (-541)) (-609 (-887 (-381))) (-609 (-887 (-568))) (-10 -8 (-15 -3325 ((-3 $ "failed") (-1161))))) (-634 (-1161))) (T -852)) 
-((-3325 (*1 *1 *2) (|partial| -12 (-5 *2 (-1161)) (-5 *1 (-852 *3)) (-14 *3 (-634 *2))))) 
-(-13 (-836) (-609 (-1161)) (-609 (-541)) (-609 (-887 (-381))) (-609 (-887 (-568))) (-10 -8 (-15 -3325 ((-3 $ "failed") (-1161))))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-2902 (((-3 $ "failed") $) NIL)) (-1598 (((-121) $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (((-953 |#1|) $) NIL) (($ (-953 |#1|)) NIL) (($ |#1|) NIL (|has| |#1| (-172)))) (-3425 (((-763)) NIL)) (-3352 (((-1249) (-763)) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-1719 (((-121) $ $) NIL)) (-1781 (((-3 $ "failed") $ $) NIL (|has| |#1| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ |#1| $) NIL (|has| |#1| (-172))) (($ $ |#1|) NIL (|has| |#1| (-172))))) 
-(((-853 |#1| |#2| |#3| |#4|) (-13 (-1047) (-10 -8 (IF (|has| |#1| (-172)) (-6 (-43 |#1|)) |noBranch|) (-15 -2747 ((-953 |#1|) $)) (-15 -2747 ($ (-953 |#1|))) (IF (|has| |#1| (-365)) (-15 -1781 ((-3 $ "failed") $ $)) |noBranch|) (-15 -3352 ((-1249) (-763))))) (-1047) (-634 (-1161)) (-634 (-763)) (-763)) (T -853)) 
-((-2747 (*1 *2 *1) (-12 (-5 *2 (-953 *3)) (-5 *1 (-853 *3 *4 *5 *6)) (-4 *3 (-1047)) (-14 *4 (-634 (-1161))) (-14 *5 (-634 (-763))) (-14 *6 (-763)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-953 *3)) (-4 *3 (-1047)) (-5 *1 (-853 *3 *4 *5 *6)) (-14 *4 (-634 (-1161))) (-14 *5 (-634 (-763))) (-14 *6 (-763)))) (-1781 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-853 *2 *3 *4 *5)) (-4 *2 (-365)) (-4 *2 (-1047)) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-763))) (-14 *5 (-763)))) (-3352 (*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1249)) (-5 *1 (-853 *4 *5 *6 *7)) (-4 *4 (-1047)) (-14 *5 (-634 (-1161))) (-14 *6 (-634 *3)) (-14 *7 *3)))) 
-(-13 (-1047) (-10 -8 (IF (|has| |#1| (-172)) (-6 (-43 |#1|)) |noBranch|) (-15 -2747 ((-953 |#1|) $)) (-15 -2747 ($ (-953 |#1|))) (IF (|has| |#1| (-365)) (-15 -1781 ((-3 $ "failed") $ $)) |noBranch|) (-15 -3352 ((-1249) (-763))))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-1969 (((-1244 $) $ $) 78)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 40)) (-3661 (($ $) 39)) (-4426 (((-121) $) 37)) (-2134 (((-121) $) 111)) (-3800 (((-763)) 115)) (-2689 (((-3 $ "failed") $ $) 18)) (-3045 (($ $) 71)) (-3498 (((-420 $) $) 70)) (-2589 (((-121) $ $) 57)) (-3168 (((-1249) $) 74)) (-4490 (($) 16 T CONST)) (-3668 (((-3 (-568) "failed") $) 122) (((-3 (-409 (-568)) "failed") $) 119) (((-3 (-409 (-568)) "failed") $) 104) (((-3 (-860) "failed") $) 136) (((-3 (-860) "failed") $) 130)) (-2857 (((-568) $) 121) (((-409 (-568)) $) 118) (((-409 (-568)) $) 105) (((-860) $) 135) (((-860) $) 131)) (-2403 (($ $ $) 53)) (-3094 (($ (-1157 $)) 84)) (-2902 (((-3 $ "failed") $) 33)) (-2414 (($ $ $) 54)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 49)) (-1887 (($ $ (-763)) 102 (-2199 (|has| (-860) (-148)) (|has| (-860) (-370)) (|has| (-409 (-568)) (-148)) (|has| (-409 (-568)) (-370)))) (($ $) 101 (-2199 (|has| (-860) (-148)) (|has| (-860) (-370)) (|has| (-409 (-568)) (-148)) (|has| (-409 (-568)) (-370))))) (-2197 (((-121) $) 69)) (-2474 (($ $) 79)) (-1844 (((-828 (-917)) $) 99 (-2199 (|has| (-860) (-148)) (|has| (-860) (-370)) (|has| (-409 (-568)) (-148)) (|has| (-409 (-568)) (-370))))) (-1598 (((-121) $) 30)) (-1301 (($ (-1157 $) $ (-1161)) 76) (($ (-1157 $) (-1161)) 75)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 50)) (-3057 (($ (-634 $)) 81)) (-3087 (((-1157 $) $) 86) (((-1157 $) $ $) 85)) (-2498 (($ $ $) 45) (($ (-634 $)) 44)) (-1893 (((-1143) $) 9)) (-2083 (($ $) 68)) (-4051 (((-121) $) 112)) (-4025 (((-1108) $) 10)) (-2088 (((-121) $) 82)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 43)) (-2723 (($ $ $) 47) (($ (-634 $)) 46)) (-4295 (((-850) $) 73)) (-3850 (((-420 $) $) 72)) (-4321 (((-828 (-917))) 114)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3917 (((-917) $) 80)) (-2597 (((-3 $ "failed") $ $) 41)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 48)) (-1466 (((-763) $) 56)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 55)) (-2997 (((-634 $) (-1157 $) $) 83)) (-2721 (((-3 (-763) "failed") $ $) 100 (-2199 (|has| (-860) (-148)) (|has| (-860) (-370)) (|has| (-409 (-568)) (-148)) (|has| (-409 (-568)) (-370))))) (-3108 (((-139)) 106)) (-1836 (((-828 (-917)) $) 113)) (-1492 (((-1157 $)) 88) (((-1157 $) $) 87)) (-2387 (($ $) 77)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ $) 42) (($ (-409 (-568))) 63) (($ (-568)) 123) (($ (-409 (-568))) 120) (($ (-409 (-568))) 103) (($ (-860)) 137) (($ (-860)) 129)) (-3385 (((-3 $ "failed") $) 98 (-2199 (|has| (-860) (-148)) (|has| (-860) (-370)) (|has| (-409 (-568)) (-148)) (|has| (-409 (-568)) (-370))))) (-3425 (((-763)) 28)) (-2273 (((-121) $ $) 38)) (-1413 (((-121) $) 110)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32) (($ $ (-568)) 67)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3412 (($ $ (-763)) 117 (-2199 (|has| (-860) (-370)) (|has| (-409 (-568)) (-370)))) (($ $) 116 (-2199 (|has| (-860) (-370)) (|has| (-409 (-568)) (-370))))) (-1719 (((-121) $ $) 6)) (-1781 (($ $ $) 62) (($ $ (-409 (-568))) 107) (($ $ (-860)) 132)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ (-568)) 66)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ (-409 (-568))) 65) (($ (-409 (-568)) $) 64) (($ (-409 (-568)) $) 109) (($ $ (-409 (-568))) 108) (($ (-860) $) 134) (($ $ (-860)) 133))) 
-(((-854) (-1275)) (T -854)) 
-NIL 
-(-13 (-859) (-1037 (-860)) (-1261 (-860))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-409 (-568))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) . T) ((-120 (-860) (-860)) . T) ((-120 $ $) . T) ((-137) . T) ((-148) -2199 (|has| (-860) (-370)) (|has| (-860) (-148)) (|has| (-409 (-568)) (-370)) (|has| (-409 (-568)) (-148))) ((-150) . T) ((-608 (-850)) . T) ((-172) . T) ((-238) . T) ((-285) . T) ((-301) . T) ((-1261 (-409 (-568))) . T) ((-1261 (-860)) . T) ((-365) . T) ((-404) -2199 (|has| (-860) (-370)) (|has| (-860) (-148)) (|has| (-409 (-568)) (-370)) (|has| (-409 (-568)) (-148))) ((-453) . T) ((-558) . T) ((-637 (-409 (-568))) . T) ((-637 (-860)) . T) ((-637 $) . T) ((-707 (-409 (-568))) . T) ((-707 (-860)) . T) ((-707 $) . T) ((-716) . T) ((-916) . T) ((-858) . T) ((-859) . T) ((-1037 (-409 (-568))) . T) ((-1037 (-568)) . T) ((-1037 (-860)) . T) ((-1053 (-409 (-568))) . T) ((-1053 (-860)) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1199) . T) ((-1251 (-409 (-568))) . T) ((-1251 (-860)) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 47)) (-1969 (((-1244 $) $ $) 69)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2134 (((-121) $) NIL)) (-3800 (((-763)) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2589 (((-121) $ $) NIL)) (-3168 (((-1249) $) 78)) (-4490 (($) NIL T CONST)) (-1494 (((-860) $) 17)) (-3668 (((-3 (-568) "failed") $) 75) (((-3 (-409 (-568)) "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL) (((-3 (-860) "failed") $) 72) (((-3 (-860) "failed") $) 72)) (-2857 (((-568) $) NIL) (((-409 (-568)) $) NIL) (((-409 (-568)) $) NIL) (((-860) $) 111) (((-860) $) 111)) (-2403 (($ $ $) NIL)) (-3094 (($ (-1157 $)) 59)) (-2902 (((-3 $ "failed") $) NIL)) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-1887 (($ $ (-763)) NIL (-2199 (|has| (-409 (-568)) (-148)) (|has| (-409 (-568)) (-370)) (|has| (-860) (-148)) (|has| (-860) (-370)))) (($ $) NIL (-2199 (|has| (-409 (-568)) (-148)) (|has| (-409 (-568)) (-370)) (|has| (-860) (-148)) (|has| (-860) (-370))))) (-2197 (((-121) $) NIL)) (-2474 (($ $) 63)) (-1844 (((-828 (-917)) $) NIL (-2199 (|has| (-409 (-568)) (-148)) (|has| (-409 (-568)) (-370)) (|has| (-860) (-148)) (|has| (-860) (-370))))) (-1598 (((-121) $) 117)) (-1301 (($ (-1157 $) $ (-1161)) 41) (($ (-1157 $) (-1161)) 94)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-3057 (($ (-634 $)) 61)) (-3087 (((-1157 $) $) 55) (((-1157 $) $ $) 56)) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) 101)) (-4051 (((-121) $) NIL)) (-4025 (((-1108) $) NIL)) (-2088 (((-121) $) 62)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-4295 (((-850) $) 124)) (-3850 (((-420 $) $) NIL)) (-4321 (((-828 (-917))) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3917 (((-917) $) 37)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-2997 (((-634 $) (-1157 $) $) 96)) (-2721 (((-3 (-763) "failed") $ $) NIL (-2199 (|has| (-409 (-568)) (-148)) (|has| (-409 (-568)) (-370)) (|has| (-860) (-148)) (|has| (-860) (-370))))) (-3108 (((-139)) NIL)) (-1836 (((-828 (-917)) $) NIL)) (-1492 (((-1157 $)) 79) (((-1157 $) $) 64)) (-2387 (($ $) NIL)) (-2747 (((-850) $) 123) (($ (-568)) 44) (($ $) NIL) (($ (-409 (-568))) NIL) (($ (-568)) 44) (($ (-409 (-568))) NIL) (($ (-409 (-568))) NIL) (($ (-860)) 118) (($ (-860)) 118)) (-3385 (((-3 $ "failed") $) NIL (-2199 (|has| (-409 (-568)) (-148)) (|has| (-409 (-568)) (-370)) (|has| (-860) (-148)) (|has| (-860) (-370))))) (-3425 (((-763)) 126)) (-2273 (((-121) $ $) NIL)) (-1413 (((-121) $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) 48 T CONST)) (-1557 (($) 38 T CONST)) (-3412 (($ $ (-763)) NIL (-2199 (|has| (-409 (-568)) (-370)) (|has| (-860) (-370)))) (($ $) NIL (-2199 (|has| (-409 (-568)) (-370)) (|has| (-860) (-370))))) (-1719 (((-121) $ $) 114)) (-1781 (($ $ $) 102) (($ $ (-409 (-568))) NIL) (($ $ (-860)) NIL)) (-1775 (($ $) 35) (($ $ $) 105)) (-1769 (($ $ $) 81)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 53) (($ $ $) 31) (($ $ (-409 (-568))) 109) (($ (-409 (-568)) $) NIL) (($ (-409 (-568)) $) NIL) (($ $ (-409 (-568))) 109) (($ (-860) $) 103) (($ $ (-860)) 104))) 
-(((-855 |#1|) (-13 (-854) (-10 -8 (-15 -4295 ((-850) $)) (-15 -1494 ((-860) $)))) (-860)) (T -855)) 
-((-4295 (*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-855 *3)) (-14 *3 (-860)))) (-1494 (*1 *2 *1) (-12 (-5 *2 (-860)) (-5 *1 (-855 *3)) (-14 *3 *2)))) 
-(-13 (-854) (-10 -8 (-15 -4295 ((-850) $)) (-15 -1494 ((-860) $)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-1969 (((-1244 $) $ $) 113)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 40)) (-3661 (($ $) 39)) (-4426 (((-121) $) 37)) (-1856 (((-1169 (-917) (-763)) (-568)) 88)) (-2689 (((-3 $ "failed") $ $) 18)) (-3045 (($ $) 71)) (-3498 (((-420 $) $) 70)) (-2589 (((-121) $ $) 57)) (-3986 (((-763)) 98)) (-3168 (((-1249) $) 117)) (-4490 (($) 16 T CONST)) (-1368 (((-3 "prime" "polynomial" "normal" "cyclic")) 82)) (-2403 (($ $ $) 53)) (-3094 (($ (-1157 $)) 107)) (-2902 (((-3 $ "failed") $) 33)) (-1733 (($) 101)) (-2414 (($ $ $) 54)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 49)) (-4188 (($) 86)) (-1748 (((-121) $) 85)) (-1887 (($ $) 75) (($ $ (-763)) 74)) (-2197 (((-121) $) 69)) (-2474 (($ $) 112)) (-1844 (((-828 (-917)) $) 77) (((-917) $) 83)) (-1598 (((-121) $) 30)) (-2214 (((-3 $ "failed") $) 97)) (-1301 (($ (-1157 $) (-1161)) 116) (($ (-1157 $) $ (-1161)) 115)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 50)) (-3057 (($ (-634 $)) 110)) (-2291 (((-917) $) 100)) (-3087 (((-1157 $) $ $) 106) (((-1157 $) $) 105)) (-2498 (($ $ $) 45) (($ (-634 $)) 44)) (-1893 (((-1143) $) 9)) (-2083 (($ $) 68)) (-4436 (($) 96 T CONST)) (-4357 (($ (-917)) 99)) (-4025 (((-1108) $) 10)) (-2088 (((-121) $) 109)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 43)) (-2723 (($ $ $) 47) (($ (-634 $)) 46)) (-4295 (((-850) $) 118)) (-2172 (((-634 (-2 (|:| -3850 (-568)) (|:| -3483 (-568))))) 89)) (-3850 (((-420 $) $) 72)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3917 (((-917) $) 111)) (-2597 (((-3 $ "failed") $ $) 41)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 48)) (-1466 (((-763) $) 56)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 55)) (-2997 (((-634 $) (-1157 $) $) 108)) (-2721 (((-3 (-763) "failed") $ $) 76) (((-763) $) 84)) (-4191 (($ $ (-763)) 94) (($ $) 92)) (-1492 (((-1157 $) $) 104) (((-1157 $)) 103)) (-2330 (($) 87)) (-2387 (($ $) 114)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) 90)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ $) 42) (($ (-409 (-568))) 63)) (-3385 (((-3 $ "failed") $) 78) (($ $) 91)) (-3425 (((-763)) 28)) (-2273 (((-121) $ $) 38)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32) (($ $ (-568)) 67)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3192 (($ $ (-763)) 95) (($ $) 93)) (-1719 (((-121) $ $) 6)) (-1781 (($ $ $) 62)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ (-568)) 66)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ (-409 (-568))) 65) (($ (-409 (-568)) $) 64))) 
-(((-856) (-1275)) (T -856)) 
-NIL 
-(-13 (-350) (-858)) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-409 (-568))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) . T) ((-120 $ $) . T) ((-137) . T) ((-148) . T) ((-608 (-850)) . T) ((-172) . T) ((-225) . T) ((-238) . T) ((-285) . T) ((-301) . T) ((-365) . T) ((-404) . T) ((-370) . T) ((-350) . T) ((-453) . T) ((-558) . T) ((-637 (-409 (-568))) . T) ((-637 $) . T) ((-707 (-409 (-568))) . T) ((-707 $) . T) ((-716) . T) ((-916) . T) ((-858) . T) ((-1053 (-409 (-568))) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1136) . T) ((-1199) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 29)) (-1969 (((-1244 $) $ $) 48)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 39)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2134 (((-121) $) NIL)) (-3800 (((-763)) NIL)) (-1856 (((-1169 (-917) (-763)) (-568)) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2589 (((-121) $ $) NIL)) (-3986 (((-763)) 52)) (-3168 (((-1249) $) 56)) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#1| "failed") $) 126)) (-2857 ((|#1| $) 85)) (-1368 (((-3 "prime" "polynomial" "normal" "cyclic")) 139)) (-2403 (($ $ $) NIL)) (-3094 (($ (-1157 $)) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1733 (($) 82)) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-4188 (($) NIL)) (-1748 (((-121) $) NIL)) (-1887 (($ $) NIL) (($ $ (-763)) NIL)) (-2197 (((-121) $) NIL)) (-2474 (($ $) 41)) (-1844 (((-828 (-917)) $) NIL) (((-917) $) NIL)) (-1598 (((-121) $) 123)) (-2214 (((-3 $ "failed") $) NIL)) (-1301 (($ (-1157 $) (-1161)) 79) (($ (-1157 $) $ (-1161)) 99)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-3057 (($ (-634 $)) 104)) (-2291 (((-917) $) 134)) (-3087 (((-1157 $) $ $) NIL) (((-1157 $) $) NIL)) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) 27)) (-4436 (($) NIL T CONST)) (-4357 (($ (-917)) 136)) (-4051 (((-121) $) NIL)) (-4025 (((-1108) $) NIL)) (-2088 (((-121) $) 40)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-4295 (((-850) $) 132)) (-2172 (((-634 (-2 (|:| -3850 (-568)) (|:| -3483 (-568))))) NIL)) (-3850 (((-420 $) $) NIL)) (-4321 (((-828 (-917))) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3917 (((-917) $) 14)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-2997 (((-634 $) (-1157 $) $) 81)) (-2721 (((-3 (-763) "failed") $ $) NIL) (((-763) $) NIL)) (-3108 (((-139)) NIL)) (-4191 (($ $ (-763)) NIL) (($ $) NIL)) (-1836 (((-828 (-917)) $) 17)) (-1492 (((-1157 $) $) 20) (((-1157 $)) NIL)) (-2330 (($) NIL)) (-2387 (($ $) 90)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL)) (-2747 (((-850) $) 131) (($ (-568)) NIL) (($ $) NIL) (($ (-409 (-568))) NIL) (($ |#1|) 124)) (-3385 (((-3 $ "failed") $) NIL) (($ $) 89)) (-3425 (((-763)) 140)) (-2273 (((-121) $ $) NIL)) (-1413 (((-121) $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) 30 T CONST)) (-1557 (($) 21 T CONST)) (-3412 (($ $ (-763)) NIL (|has| |#1| (-370))) (($ $) NIL (|has| |#1| (-370)))) (-3192 (($ $ (-763)) NIL) (($ $) NIL)) (-1719 (((-121) $ $) 120)) (-1781 (($ $ $) 96) (($ $ |#1|) NIL)) (-1775 (($ $) 97) (($ $ $) 107)) (-1769 (($ $ $) 63)) (** (($ $ (-917)) 33) (($ $ (-763)) 34) (($ $ (-568)) 37)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 111) (($ $ $) 65) (($ $ (-409 (-568))) 112) (($ (-409 (-568)) $) NIL) (($ |#1| $) 105) (($ $ |#1|) 106))) 
-(((-857 |#1|) (-13 (-856) (-1261 |#1|) (-10 -8 (-15 -4295 ((-850) $)))) (-350)) (T -857)) 
-((-4295 (*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-857 *3)) (-4 *3 (-350))))) 
-(-13 (-856) (-1261 |#1|) (-10 -8 (-15 -4295 ((-850) $)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-1969 (((-1244 $) $ $) 78)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 40)) (-3661 (($ $) 39)) (-4426 (((-121) $) 37)) (-2689 (((-3 $ "failed") $ $) 18)) (-3045 (($ $) 71)) (-3498 (((-420 $) $) 70)) (-2589 (((-121) $ $) 57)) (-3168 (((-1249) $) 74)) (-4490 (($) 16 T CONST)) (-2403 (($ $ $) 53)) (-3094 (($ (-1157 $)) 84)) (-2902 (((-3 $ "failed") $) 33)) (-2414 (($ $ $) 54)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 49)) (-2197 (((-121) $) 69)) (-2474 (($ $) 79)) (-1598 (((-121) $) 30)) (-1301 (($ (-1157 $) $ (-1161)) 76) (($ (-1157 $) (-1161)) 75)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 50)) (-3057 (($ (-634 $)) 81)) (-3087 (((-1157 $) $) 86) (((-1157 $) $ $) 85)) (-2498 (($ $ $) 45) (($ (-634 $)) 44)) (-1893 (((-1143) $) 9)) (-2083 (($ $) 68)) (-4025 (((-1108) $) 10)) (-2088 (((-121) $) 82)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 43)) (-2723 (($ $ $) 47) (($ (-634 $)) 46)) (-4295 (((-850) $) 73)) (-3850 (((-420 $) $) 72)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3917 (((-917) $) 80)) (-2597 (((-3 $ "failed") $ $) 41)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 48)) (-1466 (((-763) $) 56)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 55)) (-2997 (((-634 $) (-1157 $) $) 83)) (-1492 (((-1157 $)) 88) (((-1157 $) $) 87)) (-2387 (($ $) 77)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ $) 42) (($ (-409 (-568))) 63)) (-3425 (((-763)) 28)) (-2273 (((-121) $ $) 38)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32) (($ $ (-568)) 67)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1781 (($ $ $) 62)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ (-568)) 66)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ (-409 (-568))) 65) (($ (-409 (-568)) $) 64))) 
-(((-858) (-1275)) (T -858)) 
-((-1492 (*1 *2) (-12 (-5 *2 (-1157 *1)) (-4 *1 (-858)))) (-1492 (*1 *2 *1) (-12 (-5 *2 (-1157 *1)) (-4 *1 (-858)))) (-3087 (*1 *2 *1) (-12 (-5 *2 (-1157 *1)) (-4 *1 (-858)))) (-3087 (*1 *2 *1 *1) (-12 (-5 *2 (-1157 *1)) (-4 *1 (-858)))) (-3094 (*1 *1 *2) (-12 (-5 *2 (-1157 *1)) (-4 *1 (-858)))) (-2997 (*1 *2 *3 *1) (-12 (-5 *3 (-1157 *1)) (-4 *1 (-858)) (-5 *2 (-634 *1)))) (-2088 (*1 *2 *1) (-12 (-4 *1 (-858)) (-5 *2 (-121)))) (-3057 (*1 *1 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-858)))) (-3917 (*1 *2 *1) (-12 (-4 *1 (-858)) (-5 *2 (-917)))) (-2474 (*1 *1 *1) (-4 *1 (-858))) (-1969 (*1 *2 *1 *1) (-12 (-5 *2 (-1244 *1)) (-4 *1 (-858)))) (-2387 (*1 *1 *1) (-4 *1 (-858))) (-1301 (*1 *1 *2 *1 *3) (-12 (-5 *2 (-1157 *1)) (-5 *3 (-1161)) (-4 *1 (-858)))) (-1301 (*1 *1 *2 *3) (-12 (-5 *2 (-1157 *1)) (-5 *3 (-1161)) (-4 *1 (-858)))) (-3168 (*1 *2 *1) (-12 (-4 *1 (-858)) (-5 *2 (-1249)))) (-4295 (*1 *2 *1) (-12 (-4 *1 (-858)) (-5 *2 (-850))))) 
-(-13 (-365) (-10 -8 (-15 -1492 ((-1157 $))) (-15 -1492 ((-1157 $) $)) (-15 -3087 ((-1157 $) $)) (-15 -3087 ((-1157 $) $ $)) (-15 -3094 ($ (-1157 $))) (-15 -2997 ((-634 $) (-1157 $) $)) (-15 -2088 ((-121) $)) (-15 -3057 ($ (-634 $))) (-15 -3917 ((-917) $)) (-15 -2474 ($ $)) (-15 -1969 ((-1244 $) $ $)) (-15 -2387 ($ $)) (-15 -1301 ($ (-1157 $) $ (-1161))) (-15 -1301 ($ (-1157 $) (-1161))) (-15 -3168 ((-1249) $)) (-15 -4295 ((-850) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-409 (-568))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) . T) ((-120 $ $) . T) ((-137) . T) ((-608 (-850)) . T) ((-172) . T) ((-238) . T) ((-285) . T) ((-301) . T) ((-365) . T) ((-453) . T) ((-558) . T) ((-637 (-409 (-568))) . T) ((-637 $) . T) ((-707 (-409 (-568))) . T) ((-707 $) . T) ((-716) . T) ((-916) . T) ((-1053 (-409 (-568))) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1199) . T)) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-1969 (((-1244 $) $ $) 78)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 40)) (-3661 (($ $) 39)) (-4426 (((-121) $) 37)) (-2134 (((-121) $) 111)) (-3800 (((-763)) 115)) (-2689 (((-3 $ "failed") $ $) 18)) (-3045 (($ $) 71)) (-3498 (((-420 $) $) 70)) (-2589 (((-121) $ $) 57)) (-3168 (((-1249) $) 74)) (-4490 (($) 16 T CONST)) (-3668 (((-3 (-568) "failed") $) 122) (((-3 (-409 (-568)) "failed") $) 119) (((-3 (-409 (-568)) "failed") $) 104)) (-2857 (((-568) $) 121) (((-409 (-568)) $) 118) (((-409 (-568)) $) 105)) (-2403 (($ $ $) 53)) (-3094 (($ (-1157 $)) 84)) (-2902 (((-3 $ "failed") $) 33)) (-2414 (($ $ $) 54)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 49)) (-1887 (($ $ (-763)) 102 (-2199 (|has| (-409 (-568)) (-148)) (|has| (-409 (-568)) (-370)))) (($ $) 101 (-2199 (|has| (-409 (-568)) (-148)) (|has| (-409 (-568)) (-370))))) (-2197 (((-121) $) 69)) (-2474 (($ $) 79)) (-1844 (((-828 (-917)) $) 99 (-2199 (|has| (-409 (-568)) (-148)) (|has| (-409 (-568)) (-370))))) (-1598 (((-121) $) 30)) (-1301 (($ (-1157 $) $ (-1161)) 76) (($ (-1157 $) (-1161)) 75)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 50)) (-3057 (($ (-634 $)) 81)) (-3087 (((-1157 $) $) 86) (((-1157 $) $ $) 85)) (-2498 (($ $ $) 45) (($ (-634 $)) 44)) (-1893 (((-1143) $) 9)) (-2083 (($ $) 68)) (-4051 (((-121) $) 112)) (-4025 (((-1108) $) 10)) (-2088 (((-121) $) 82)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 43)) (-2723 (($ $ $) 47) (($ (-634 $)) 46)) (-4295 (((-850) $) 73)) (-3850 (((-420 $) $) 72)) (-4321 (((-828 (-917))) 114)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3917 (((-917) $) 80)) (-2597 (((-3 $ "failed") $ $) 41)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 48)) (-1466 (((-763) $) 56)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 55)) (-2997 (((-634 $) (-1157 $) $) 83)) (-2721 (((-3 (-763) "failed") $ $) 100 (-2199 (|has| (-409 (-568)) (-148)) (|has| (-409 (-568)) (-370))))) (-3108 (((-139)) 106)) (-1836 (((-828 (-917)) $) 113)) (-1492 (((-1157 $)) 88) (((-1157 $) $) 87)) (-2387 (($ $) 77)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ $) 42) (($ (-409 (-568))) 63) (($ (-568)) 123) (($ (-409 (-568))) 120) (($ (-409 (-568))) 103)) (-3385 (((-3 $ "failed") $) 98 (-2199 (|has| (-409 (-568)) (-148)) (|has| (-409 (-568)) (-370))))) (-3425 (((-763)) 28)) (-2273 (((-121) $ $) 38)) (-1413 (((-121) $) 110)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32) (($ $ (-568)) 67)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3412 (($ $ (-763)) 117 (|has| (-409 (-568)) (-370))) (($ $) 116 (|has| (-409 (-568)) (-370)))) (-1719 (((-121) $ $) 6)) (-1781 (($ $ $) 62) (($ $ (-409 (-568))) 107)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ (-568)) 66)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ (-409 (-568))) 65) (($ (-409 (-568)) $) 64) (($ (-409 (-568)) $) 109) (($ $ (-409 (-568))) 108))) 
-(((-859) (-1275)) (T -859)) 
-NIL 
-(-13 (-858) (-150) (-1037 (-568)) (-1037 (-409 (-568))) (-1261 (-409 (-568)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-409 (-568))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) . T) ((-120 $ $) . T) ((-137) . T) ((-148) -2199 (|has| (-409 (-568)) (-370)) (|has| (-409 (-568)) (-148))) ((-150) . T) ((-608 (-850)) . T) ((-172) . T) ((-238) . T) ((-285) . T) ((-301) . T) ((-1261 (-409 (-568))) . T) ((-365) . T) ((-404) -2199 (|has| (-409 (-568)) (-370)) (|has| (-409 (-568)) (-148))) ((-453) . T) ((-558) . T) ((-637 (-409 (-568))) . T) ((-637 $) . T) ((-707 (-409 (-568))) . T) ((-707 $) . T) ((-716) . T) ((-916) . T) ((-858) . T) ((-1037 (-409 (-568))) . T) ((-1037 (-568)) . T) ((-1053 (-409 (-568))) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1199) . T) ((-1251 (-409 (-568))) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 16)) (-1969 (((-1244 $) $ $) 47)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2134 (((-121) $) NIL)) (-3800 (((-763)) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2589 (((-121) $ $) NIL)) (-3168 (((-1249) $) 51)) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-568) "failed") $) 104) (((-3 (-409 (-568)) "failed") $) 106) (((-3 (-409 (-568)) "failed") $) 106)) (-2857 (((-568) $) NIL) (((-409 (-568)) $) 94) (((-409 (-568)) $) 94)) (-2403 (($ $ $) NIL)) (-3094 (($ (-1157 $)) 34)) (-2902 (((-3 $ "failed") $) NIL)) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-1887 (($ $ (-763)) NIL (-2199 (|has| (-409 (-568)) (-148)) (|has| (-409 (-568)) (-370)))) (($ $) NIL (-2199 (|has| (-409 (-568)) (-148)) (|has| (-409 (-568)) (-370))))) (-2197 (((-121) $) NIL)) (-2474 (($ $) 40)) (-1844 (((-828 (-917)) $) NIL (-2199 (|has| (-409 (-568)) (-148)) (|has| (-409 (-568)) (-370))))) (-1598 (((-121) $) 100)) (-1301 (($ (-1157 $) $ (-1161)) 79) (($ (-1157 $) (-1161)) 70) (($ (-1157 $) (-1157 $) (-917) $ (-1161)) 80)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-3057 (($ (-634 $)) 38)) (-3087 (((-1157 $) $) 29) (((-1157 $) $ $) 31)) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) 86)) (-4051 (((-121) $) NIL)) (-4025 (((-1108) $) NIL)) (-2088 (((-121) $) 39)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-4295 (((-850) $) 112)) (-3850 (((-420 $) $) NIL)) (-4321 (((-828 (-917))) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3917 (((-917) $) 30)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-2997 (((-634 $) (-1157 $) $) 72)) (-2721 (((-3 (-763) "failed") $ $) NIL (-2199 (|has| (-409 (-568)) (-148)) (|has| (-409 (-568)) (-370))))) (-3108 (((-139)) NIL)) (-1836 (((-828 (-917)) $) NIL)) (-1492 (((-1157 $)) 52) (((-1157 $) $) 41)) (-2387 (($ $) NIL)) (-2747 (((-850) $) 111) (($ (-568)) 14) (($ $) NIL) (($ (-409 (-568))) 101) (($ (-568)) 14) (($ (-409 (-568))) 101) (($ (-409 (-568))) 101)) (-3385 (((-3 $ "failed") $) NIL (-2199 (|has| (-409 (-568)) (-148)) (|has| (-409 (-568)) (-370))))) (-3425 (((-763)) 114)) (-2273 (((-121) $ $) NIL)) (-1413 (((-121) $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) 17 T CONST)) (-1557 (($) 73 T CONST)) (-3412 (($ $ (-763)) NIL (|has| (-409 (-568)) (-370))) (($ $) NIL (|has| (-409 (-568)) (-370)))) (-1719 (((-121) $ $) 97)) (-1781 (($ $ $) 78) (($ $ (-409 (-568))) NIL)) (-1775 (($ $) 19) (($ $ $) 89)) (-1769 (($ $ $) 54)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 18) (($ $ $) 57) (($ $ (-409 (-568))) 88) (($ (-409 (-568)) $) 87) (($ (-409 (-568)) $) 87) (($ $ (-409 (-568))) 88))) 
-(((-860) (-13 (-859) (-10 -8 (-15 -4295 ((-850) $)) (-15 -1301 ($ (-1157 $) (-1157 $) (-917) $ (-1161)))))) (T -860)) 
-((-4295 (*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-860)))) (-1301 (*1 *1 *2 *2 *3 *1 *4) (-12 (-5 *2 (-1157 (-860))) (-5 *3 (-917)) (-5 *4 (-1161)) (-5 *1 (-860))))) 
-(-13 (-859) (-10 -8 (-15 -4295 ((-850) $)) (-15 -1301 ($ (-1157 $) (-1157 $) (-917) $ (-1161))))) 
-((-3179 (((-3 (-173 |#3|) "failed") (-763) (-763) |#2| |#2|) 31)) (-2250 (((-3 (-409 |#3|) "failed") (-763) (-763) |#2| |#2|) 24))) 
-(((-861 |#1| |#2| |#3|) (-10 -7 (-15 -2250 ((-3 (-409 |#3|) "failed") (-763) (-763) |#2| |#2|)) (-15 -3179 ((-3 (-173 |#3|) "failed") (-763) (-763) |#2| |#2|))) (-365) (-1234 |#1|) (-1219 |#1|)) (T -861)) 
-((-3179 (*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-763)) (-4 *5 (-365)) (-5 *2 (-173 *6)) (-5 *1 (-861 *5 *4 *6)) (-4 *4 (-1234 *5)) (-4 *6 (-1219 *5)))) (-2250 (*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-763)) (-4 *5 (-365)) (-5 *2 (-409 *6)) (-5 *1 (-861 *5 *4 *6)) (-4 *4 (-1234 *5)) (-4 *6 (-1219 *5))))) 
-(-10 -7 (-15 -2250 ((-3 (-409 |#3|) "failed") (-763) (-763) |#2| |#2|)) (-15 -3179 ((-3 (-173 |#3|) "failed") (-763) (-763) |#2| |#2|))) 
-((-2250 (((-3 (-409 (-1216 |#2| |#1|)) "failed") (-763) (-763) (-1235 |#1| |#2| |#3|)) 28) (((-3 (-409 (-1216 |#2| |#1|)) "failed") (-763) (-763) (-1235 |#1| |#2| |#3|) (-1235 |#1| |#2| |#3|)) 26))) 
-(((-862 |#1| |#2| |#3|) (-10 -7 (-15 -2250 ((-3 (-409 (-1216 |#2| |#1|)) "failed") (-763) (-763) (-1235 |#1| |#2| |#3|) (-1235 |#1| |#2| |#3|))) (-15 -2250 ((-3 (-409 (-1216 |#2| |#1|)) "failed") (-763) (-763) (-1235 |#1| |#2| |#3|)))) (-365) (-1161) |#1|) (T -862)) 
-((-2250 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-763)) (-5 *4 (-1235 *5 *6 *7)) (-4 *5 (-365)) (-14 *6 (-1161)) (-14 *7 *5) (-5 *2 (-409 (-1216 *6 *5))) (-5 *1 (-862 *5 *6 *7)))) (-2250 (*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-763)) (-5 *4 (-1235 *5 *6 *7)) (-4 *5 (-365)) (-14 *6 (-1161)) (-14 *7 *5) (-5 *2 (-409 (-1216 *6 *5))) (-5 *1 (-862 *5 *6 *7))))) 
-(-10 -7 (-15 -2250 ((-3 (-409 (-1216 |#2| |#1|)) "failed") (-763) (-763) (-1235 |#1| |#2| |#3|) (-1235 |#1| |#2| |#3|))) (-15 -2250 ((-3 (-409 (-1216 |#2| |#1|)) "failed") (-763) (-763) (-1235 |#1| |#2| |#3|)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 40)) (-3661 (($ $) 39)) (-4426 (((-121) $) 37)) (-2689 (((-3 $ "failed") $ $) 18)) (-1904 (($ $ (-568)) 60)) (-2589 (((-121) $ $) 57)) (-4490 (($) 16 T CONST)) (-3517 (($ (-1157 (-568)) (-568)) 59)) (-2403 (($ $ $) 53)) (-2902 (((-3 $ "failed") $) 33)) (-4456 (($ $) 62)) (-2414 (($ $ $) 54)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 49)) (-1844 (((-763) $) 67)) (-1598 (((-121) $) 30)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 50)) (-2477 (((-568)) 64)) (-2691 (((-568) $) 63)) (-2498 (($ $ $) 45) (($ (-634 $)) 44)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 43)) (-2723 (($ $ $) 47) (($ (-634 $)) 46)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2168 (($ $ (-568)) 66)) (-2597 (((-3 $ "failed") $ $) 41)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 48)) (-1466 (((-763) $) 56)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 55)) (-1513 (((-1141 (-568)) $) 68)) (-2188 (($ $) 65)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ $) 42)) (-3425 (((-763)) 28)) (-2273 (((-121) $ $) 38)) (-3999 (((-568) $ (-568)) 61)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23))) 
-(((-863 |#1|) (-1275) (-568)) (T -863)) 
-((-1513 (*1 *2 *1) (-12 (-4 *1 (-863 *3)) (-5 *2 (-1141 (-568))))) (-1844 (*1 *2 *1) (-12 (-4 *1 (-863 *3)) (-5 *2 (-763)))) (-2168 (*1 *1 *1 *2) (-12 (-4 *1 (-863 *3)) (-5 *2 (-568)))) (-2188 (*1 *1 *1) (-4 *1 (-863 *2))) (-2477 (*1 *2) (-12 (-4 *1 (-863 *3)) (-5 *2 (-568)))) (-2691 (*1 *2 *1) (-12 (-4 *1 (-863 *3)) (-5 *2 (-568)))) (-4456 (*1 *1 *1) (-4 *1 (-863 *2))) (-3999 (*1 *2 *1 *2) (-12 (-4 *1 (-863 *3)) (-5 *2 (-568)))) (-1904 (*1 *1 *1 *2) (-12 (-4 *1 (-863 *3)) (-5 *2 (-568)))) (-3517 (*1 *1 *2 *3) (-12 (-5 *2 (-1157 (-568))) (-5 *3 (-568)) (-4 *1 (-863 *4))))) 
-(-13 (-301) (-150) (-10 -8 (-15 -1513 ((-1141 (-568)) $)) (-15 -1844 ((-763) $)) (-15 -2168 ($ $ (-568))) (-15 -2188 ($ $)) (-15 -2477 ((-568))) (-15 -2691 ((-568) $)) (-15 -4456 ($ $)) (-15 -3999 ((-568) $ (-568))) (-15 -1904 ($ $ (-568))) (-15 -3517 ($ (-1157 (-568)) (-568))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-137) . T) ((-150) . T) ((-608 (-850)) . T) ((-172) . T) ((-285) . T) ((-301) . T) ((-453) . T) ((-558) . T) ((-637 $) . T) ((-707 $) . T) ((-716) . T) ((-916) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-1904 (($ $ (-568)) NIL)) (-2589 (((-121) $ $) NIL)) (-4490 (($) NIL T CONST)) (-3517 (($ (-1157 (-568)) (-568)) NIL)) (-2403 (($ $ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-4456 (($ $) NIL)) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-1844 (((-763) $) NIL)) (-1598 (((-121) $) NIL)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-2477 (((-568)) NIL)) (-2691 (((-568) $) NIL)) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2168 (($ $ (-568)) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-1513 (((-1141 (-568)) $) NIL)) (-2188 (($ $) NIL)) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ $) NIL)) (-3425 (((-763)) NIL)) (-2273 (((-121) $ $) NIL)) (-3999 (((-568) $ (-568)) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-1719 (((-121) $ $) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL))) 
-(((-864 |#1|) (-863 |#1|) (-568)) (T -864)) 
-NIL 
-(-863 |#1|) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2563 (((-864 |#1|) $) NIL (|has| (-864 |#1|) (-301)))) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (|has| (-864 |#1|) (-904)))) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (|has| (-864 |#1|) (-904)))) (-2589 (((-121) $ $) NIL)) (-3337 (((-568) $) NIL (|has| (-864 |#1|) (-815)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-864 |#1|) "failed") $) NIL) (((-3 (-1161) "failed") $) NIL (|has| (-864 |#1|) (-1037 (-1161)))) (((-3 (-409 (-568)) "failed") $) NIL (|has| (-864 |#1|) (-1037 (-568)))) (((-3 (-568) "failed") $) NIL (|has| (-864 |#1|) (-1037 (-568))))) (-2857 (((-864 |#1|) $) NIL) (((-1161) $) NIL (|has| (-864 |#1|) (-1037 (-1161)))) (((-409 (-568)) $) NIL (|has| (-864 |#1|) (-1037 (-568)))) (((-568) $) NIL (|has| (-864 |#1|) (-1037 (-568))))) (-2232 (($ $) NIL) (($ (-568) $) NIL)) (-2403 (($ $ $) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| (-864 |#1|) (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| (-864 |#1|) (-630 (-568)))) (((-2 (|:| -2908 (-679 (-864 |#1|))) (|:| |vec| (-1244 (-864 |#1|)))) (-679 $) (-1244 $)) NIL) (((-679 (-864 |#1|)) (-679 $)) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1733 (($) NIL (|has| (-864 |#1|) (-550)))) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-2197 (((-121) $) NIL)) (-1436 (((-121) $) NIL (|has| (-864 |#1|) (-815)))) (-1519 (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (|has| (-864 |#1|) (-881 (-568)))) (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (|has| (-864 |#1|) (-881 (-381))))) (-1598 (((-121) $) NIL)) (-3539 (($ $) NIL)) (-2319 (((-864 |#1|) $) NIL)) (-2214 (((-3 $ "failed") $) NIL (|has| (-864 |#1|) (-1136)))) (-2859 (((-121) $) NIL (|has| (-864 |#1|) (-815)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1732 (($ $ $) NIL (|has| (-864 |#1|) (-842)))) (-2047 (($ $ $) NIL (|has| (-864 |#1|) (-842)))) (-2797 (($ (-1 (-864 |#1|) (-864 |#1|)) $) NIL)) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL)) (-4436 (($) NIL (|has| (-864 |#1|) (-1136)) CONST)) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1999 (($ $) NIL (|has| (-864 |#1|) (-301)))) (-4115 (((-864 |#1|) $) NIL (|has| (-864 |#1|) (-550)))) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (|has| (-864 |#1|) (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (|has| (-864 |#1|) (-904)))) (-3850 (((-420 $) $) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1339 (($ $ (-634 (-864 |#1|)) (-634 (-864 |#1|))) NIL (|has| (-864 |#1|) (-303 (-864 |#1|)))) (($ $ (-864 |#1|) (-864 |#1|)) NIL (|has| (-864 |#1|) (-303 (-864 |#1|)))) (($ $ (-288 (-864 |#1|))) NIL (|has| (-864 |#1|) (-303 (-864 |#1|)))) (($ $ (-634 (-288 (-864 |#1|)))) NIL (|has| (-864 |#1|) (-303 (-864 |#1|)))) (($ $ (-634 (-1161)) (-634 (-864 |#1|))) NIL (|has| (-864 |#1|) (-523 (-1161) (-864 |#1|)))) (($ $ (-1161) (-864 |#1|)) NIL (|has| (-864 |#1|) (-523 (-1161) (-864 |#1|))))) (-1466 (((-763) $) NIL)) (-2781 (($ $ (-864 |#1|)) NIL (|has| (-864 |#1|) (-281 (-864 |#1|) (-864 |#1|))))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-4191 (($ $) NIL (|has| (-864 |#1|) (-225))) (($ $ (-763)) NIL (|has| (-864 |#1|) (-225))) (($ $ (-1161)) NIL (|has| (-864 |#1|) (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| (-864 |#1|) (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| (-864 |#1|) (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| (-864 |#1|) (-895 (-1161)))) (($ $ (-1 (-864 |#1|) (-864 |#1|)) (-763)) NIL) (($ $ (-1 (-864 |#1|) (-864 |#1|))) NIL)) (-3210 (($ $) NIL)) (-2326 (((-864 |#1|) $) NIL)) (-4280 (((-887 (-568)) $) NIL (|has| (-864 |#1|) (-609 (-887 (-568))))) (((-887 (-381)) $) NIL (|has| (-864 |#1|) (-609 (-887 (-381))))) (((-541) $) NIL (|has| (-864 |#1|) (-609 (-541)))) (((-381) $) NIL (|has| (-864 |#1|) (-1021))) (((-215) $) NIL (|has| (-864 |#1|) (-1021)))) (-1991 (((-173 (-409 (-568))) $) NIL)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-12 (|has| $ (-148)) (|has| (-864 |#1|) (-904))))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ $) NIL) (($ (-409 (-568))) NIL) (($ (-864 |#1|)) NIL) (($ (-1161)) NIL (|has| (-864 |#1|) (-1037 (-1161))))) (-3385 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| (-864 |#1|) (-904))) (|has| (-864 |#1|) (-148))))) (-3425 (((-763)) NIL)) (-3520 (((-864 |#1|) $) NIL (|has| (-864 |#1|) (-550)))) (-2273 (((-121) $ $) NIL)) (-3999 (((-409 (-568)) $ (-568)) NIL)) (-2811 (($ $) NIL (|has| (-864 |#1|) (-815)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($ $) NIL (|has| (-864 |#1|) (-225))) (($ $ (-763)) NIL (|has| (-864 |#1|) (-225))) (($ $ (-1161)) NIL (|has| (-864 |#1|) (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| (-864 |#1|) (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| (-864 |#1|) (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| (-864 |#1|) (-895 (-1161)))) (($ $ (-1 (-864 |#1|) (-864 |#1|)) (-763)) NIL) (($ $ (-1 (-864 |#1|) (-864 |#1|))) NIL)) (-1753 (((-121) $ $) NIL (|has| (-864 |#1|) (-842)))) (-1740 (((-121) $ $) NIL (|has| (-864 |#1|) (-842)))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (|has| (-864 |#1|) (-842)))) (-1734 (((-121) $ $) NIL (|has| (-864 |#1|) (-842)))) (-1781 (($ $ $) NIL) (($ (-864 |#1|) (-864 |#1|)) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL) (($ (-864 |#1|) $) NIL) (($ $ (-864 |#1|)) NIL))) 
-(((-865 |#1|) (-13 (-993 (-864 |#1|)) (-10 -8 (-15 -3999 ((-409 (-568)) $ (-568))) (-15 -1991 ((-173 (-409 (-568))) $)) (-15 -2232 ($ $)) (-15 -2232 ($ (-568) $)))) (-568)) (T -865)) 
-((-3999 (*1 *2 *1 *3) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-865 *4)) (-14 *4 *3) (-5 *3 (-568)))) (-1991 (*1 *2 *1) (-12 (-5 *2 (-173 (-409 (-568)))) (-5 *1 (-865 *3)) (-14 *3 (-568)))) (-2232 (*1 *1 *1) (-12 (-5 *1 (-865 *2)) (-14 *2 (-568)))) (-2232 (*1 *1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-865 *3)) (-14 *3 *2)))) 
-(-13 (-993 (-864 |#1|)) (-10 -8 (-15 -3999 ((-409 (-568)) $ (-568))) (-15 -1991 ((-173 (-409 (-568))) $)) (-15 -2232 ($ $)) (-15 -2232 ($ (-568) $)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2563 ((|#2| $) NIL (|has| |#2| (-301)))) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-2589 (((-121) $ $) NIL)) (-3337 (((-568) $) NIL (|has| |#2| (-815)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#2| "failed") $) NIL) (((-3 (-1161) "failed") $) NIL (|has| |#2| (-1037 (-1161)))) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#2| (-1037 (-568)))) (((-3 (-568) "failed") $) NIL (|has| |#2| (-1037 (-568))))) (-2857 ((|#2| $) NIL) (((-1161) $) NIL (|has| |#2| (-1037 (-1161)))) (((-409 (-568)) $) NIL (|has| |#2| (-1037 (-568)))) (((-568) $) NIL (|has| |#2| (-1037 (-568))))) (-2232 (($ $) 31) (($ (-568) $) 32)) (-2403 (($ $ $) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| |#2| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| |#2| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 $) (-1244 $)) NIL) (((-679 |#2|) (-679 $)) NIL)) (-2902 (((-3 $ "failed") $) 53)) (-1733 (($) NIL (|has| |#2| (-550)))) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-2197 (((-121) $) NIL)) (-1436 (((-121) $) NIL (|has| |#2| (-815)))) (-1519 (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (|has| |#2| (-881 (-568)))) (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (|has| |#2| (-881 (-381))))) (-1598 (((-121) $) NIL)) (-3539 (($ $) NIL)) (-2319 ((|#2| $) NIL)) (-2214 (((-3 $ "failed") $) NIL (|has| |#2| (-1136)))) (-2859 (((-121) $) NIL (|has| |#2| (-815)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1732 (($ $ $) NIL (|has| |#2| (-842)))) (-2047 (($ $ $) NIL (|has| |#2| (-842)))) (-2797 (($ (-1 |#2| |#2|) $) NIL)) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) 49)) (-4436 (($) NIL (|has| |#2| (-1136)) CONST)) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1999 (($ $) NIL (|has| |#2| (-301)))) (-4115 ((|#2| $) NIL (|has| |#2| (-550)))) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-3850 (((-420 $) $) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1339 (($ $ (-634 |#2|) (-634 |#2|)) NIL (|has| |#2| (-303 |#2|))) (($ $ |#2| |#2|) NIL (|has| |#2| (-303 |#2|))) (($ $ (-288 |#2|)) NIL (|has| |#2| (-303 |#2|))) (($ $ (-634 (-288 |#2|))) NIL (|has| |#2| (-303 |#2|))) (($ $ (-634 (-1161)) (-634 |#2|)) NIL (|has| |#2| (-523 (-1161) |#2|))) (($ $ (-1161) |#2|) NIL (|has| |#2| (-523 (-1161) |#2|)))) (-1466 (((-763) $) NIL)) (-2781 (($ $ |#2|) NIL (|has| |#2| (-281 |#2| |#2|)))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-4191 (($ $) NIL (|has| |#2| (-225))) (($ $ (-763)) NIL (|has| |#2| (-225))) (($ $ (-1161)) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-1 |#2| |#2|) (-763)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-3210 (($ $) NIL)) (-2326 ((|#2| $) NIL)) (-4280 (((-887 (-568)) $) NIL (|has| |#2| (-609 (-887 (-568))))) (((-887 (-381)) $) NIL (|has| |#2| (-609 (-887 (-381))))) (((-541) $) NIL (|has| |#2| (-609 (-541)))) (((-381) $) NIL (|has| |#2| (-1021))) (((-215) $) NIL (|has| |#2| (-1021)))) (-1991 (((-173 (-409 (-568))) $) 68)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-12 (|has| $ (-148)) (|has| |#2| (-904))))) (-2747 (((-850) $) 85) (($ (-568)) 19) (($ $) NIL) (($ (-409 (-568))) 24) (($ |#2|) 18) (($ (-1161)) NIL (|has| |#2| (-1037 (-1161))))) (-3385 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| |#2| (-904))) (|has| |#2| (-148))))) (-3425 (((-763)) NIL)) (-3520 ((|#2| $) NIL (|has| |#2| (-550)))) (-2273 (((-121) $ $) NIL)) (-3999 (((-409 (-568)) $ (-568)) 60)) (-2811 (($ $) NIL (|has| |#2| (-815)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) 14 T CONST)) (-1557 (($) 16 T CONST)) (-3192 (($ $) NIL (|has| |#2| (-225))) (($ $ (-763)) NIL (|has| |#2| (-225))) (($ $ (-1161)) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-1 |#2| |#2|) (-763)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-1753 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1719 (((-121) $ $) 35)) (-1747 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1781 (($ $ $) 23) (($ |#2| |#2|) 54)) (-1775 (($ $) 39) (($ $ $) 41)) (-1769 (($ $ $) 37)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) 50)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 42) (($ $ $) 44) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL) (($ |#2| $) 55) (($ $ |#2|) NIL))) 
-(((-866 |#1| |#2|) (-13 (-993 |#2|) (-10 -8 (-15 -3999 ((-409 (-568)) $ (-568))) (-15 -1991 ((-173 (-409 (-568))) $)) (-15 -2232 ($ $)) (-15 -2232 ($ (-568) $)))) (-568) (-863 |#1|)) (T -866)) 
-((-3999 (*1 *2 *1 *3) (-12 (-14 *4 *3) (-5 *2 (-409 (-568))) (-5 *1 (-866 *4 *5)) (-5 *3 (-568)) (-4 *5 (-863 *4)))) (-1991 (*1 *2 *1) (-12 (-14 *3 (-568)) (-5 *2 (-173 (-409 (-568)))) (-5 *1 (-866 *3 *4)) (-4 *4 (-863 *3)))) (-2232 (*1 *1 *1) (-12 (-14 *2 (-568)) (-5 *1 (-866 *2 *3)) (-4 *3 (-863 *2)))) (-2232 (*1 *1 *2 *1) (-12 (-5 *2 (-568)) (-14 *3 *2) (-5 *1 (-866 *3 *4)) (-4 *4 (-863 *3))))) 
-(-13 (-993 |#2|) (-10 -8 (-15 -3999 ((-409 (-568)) $ (-568))) (-15 -1991 ((-173 (-409 (-568))) $)) (-15 -2232 ($ $)) (-15 -2232 ($ (-568) $)))) 
-((-3794 (((-242 |#2| (-857 |#1|)) (-242 |#2| |#1|) (-967 |#1|)) NIL)) (-2090 (((-242 |#2| |#1|)) 107)) (-2378 (((-634 (-967 |#1|))) 116)) (-3813 (((-634 (-967 |#1|)) (-634 (-967 |#1|))) 27)) (-2945 (((-242 |#2| |#1|) (-242 |#2| |#1|)) 35)) (-2603 (((-634 (-967 |#1|))) 60)) (-1450 (((-634 (-922 |#1|))) 58)) (-4154 (((-967 |#1|) (-634 (-857 |#1|))) 17)) (-1345 (((-967 |#1|) (-922 |#1|)) 21)) (-3869 (((-634 (-922 |#1|)) (-917)) 45 (|has| (-857 |#1|) (-370)))) (-4284 (((-634 (-922 |#1|)) (-967 |#1|)) 24)) (-3423 (((-774 (-857 |#1|)) (-242 |#2| |#1|) (-922 |#1|)) 119)) (-1296 (((-568) (-917)) 47 (|has| (-857 |#1|) (-370)))) (-2577 (((-568) (-917) (-917)) 49 (|has| (-857 |#1|) (-370)))) (-2102 (((-568) (-917)) 43 (|has| (-857 |#1|) (-370)))) (-2865 (((-2 (|:| |num| (-634 (-242 |#2| |#1|))) (|:| |den| (-242 |#2| |#1|))) (-236 (-922 |#1|))) 62) (((-634 (-409 (-242 |#2| |#1|))) (-236 (-922 |#1|)) (-763)) NIL)) (-2335 (((-236 (-922 |#1|)) (-242 |#2| |#1|)) 135)) (-1758 (((-634 (-242 |#2| (-857 |#1|))) (-236 (-922 |#1|)) (-634 (-242 |#2| |#1|))) 125)) (-4454 (((-634 (-242 |#2| |#1|)) (-236 (-922 |#1|)) (-763)) 123)) (-2219 (((-242 |#2| |#1|) (-242 |#2| |#1|) (-568)) 13)) (-3479 (((-679 |#1|) (-236 (-922 |#1|)) (-634 (-922 |#1|))) 67) (((-679 |#1|) (-236 (-922 |#1|)) (-236 (-922 |#1|))) 69)) (-2148 (((-568)) 105)) (-3383 (((-763)) 103)) (-2608 (((-1249)) 144)) (-4247 (((-1249)) 140)) (-3246 (((-2 (|:| -3894 (-568)) (|:| |num| (-242 |#2| |#1|)) (|:| |den| (-242 |#2| |#1|)) (|:| |upTo| (-568))) (-236 (-922 |#1|)) (-568) (-568)) 32)) (-2733 (((-3 |#1| "failed") (-409 (-242 |#2| |#1|)) (-922 |#1|)) 132) (((-3 |#1| "failed") (-242 |#2| |#1|) (-242 |#2| |#1|) (-922 |#1|)) 127) (((-3 |#1| "failed") (-242 |#2| |#1|) (-922 |#1|)) 96)) (-1339 ((|#1| (-409 (-242 |#2| |#1|)) (-922 |#1|)) 133) ((|#1| (-242 |#2| |#1|) (-242 |#2| |#1|) (-922 |#1|)) 63) ((|#1| (-242 |#2| |#1|) (-922 |#1|)) 98)) (-1371 (((-634 (-259 (-537 |#1| |#2| |#3|)))) 112)) (-3012 (((-634 (-259 (-537 |#1| |#2| |#3|)))) 110)) (-3456 (((-568)) 56 (|has| (-857 |#1|) (-370)))) (-2669 (((-236 (-922 |#1|))) 114)) (-2054 (((-1239 (-568) -3494) (-917)) 41 (|has| (-857 |#1|) (-370))) (((-1239 (-568) -3494)) 38 (|has| (-857 |#1|) (-370)))) (-3223 (((-1157 (-568)) (-917)) 54 (|has| (-857 |#1|) (-370))) (((-1157 (-568))) 52 (|has| (-857 |#1|) (-370))))) 
-(((-867 |#1| |#2| |#3|) (-10 -7 (-15 -2219 ((-242 |#2| |#1|) (-242 |#2| |#1|) (-568))) (-15 -4247 ((-1249))) (-15 -2608 ((-1249))) (-15 -2945 ((-242 |#2| |#1|) (-242 |#2| |#1|))) (-15 -3794 ((-242 |#2| (-857 |#1|)) (-242 |#2| |#1|) (-967 |#1|))) (-15 -3479 ((-679 |#1|) (-236 (-922 |#1|)) (-236 (-922 |#1|)))) (-15 -3479 ((-679 |#1|) (-236 (-922 |#1|)) (-634 (-922 |#1|)))) (-15 -1345 ((-967 |#1|) (-922 |#1|))) (-15 -4284 ((-634 (-922 |#1|)) (-967 |#1|))) (-15 -4154 ((-967 |#1|) (-634 (-857 |#1|)))) (-15 -3813 ((-634 (-967 |#1|)) (-634 (-967 |#1|)))) (-15 -1450 ((-634 (-922 |#1|)))) (-15 -2090 ((-242 |#2| |#1|))) (-15 -3383 ((-763))) (-15 -2148 ((-568))) (-15 -1371 ((-634 (-259 (-537 |#1| |#2| |#3|))))) (-15 -3012 ((-634 (-259 (-537 |#1| |#2| |#3|))))) (-15 -2603 ((-634 (-967 |#1|)))) (-15 -2378 ((-634 (-967 |#1|)))) (-15 -3423 ((-774 (-857 |#1|)) (-242 |#2| |#1|) (-922 |#1|))) (-15 -2865 ((-634 (-409 (-242 |#2| |#1|))) (-236 (-922 |#1|)) (-763))) (-15 -2865 ((-2 (|:| |num| (-634 (-242 |#2| |#1|))) (|:| |den| (-242 |#2| |#1|))) (-236 (-922 |#1|)))) (-15 -3246 ((-2 (|:| -3894 (-568)) (|:| |num| (-242 |#2| |#1|)) (|:| |den| (-242 |#2| |#1|)) (|:| |upTo| (-568))) (-236 (-922 |#1|)) (-568) (-568))) (-15 -1758 ((-634 (-242 |#2| (-857 |#1|))) (-236 (-922 |#1|)) (-634 (-242 |#2| |#1|)))) (-15 -4454 ((-634 (-242 |#2| |#1|)) (-236 (-922 |#1|)) (-763))) (-15 -1339 (|#1| (-242 |#2| |#1|) (-922 |#1|))) (-15 -1339 (|#1| (-242 |#2| |#1|) (-242 |#2| |#1|) (-922 |#1|))) (-15 -1339 (|#1| (-409 (-242 |#2| |#1|)) (-922 |#1|))) (-15 -2733 ((-3 |#1| "failed") (-242 |#2| |#1|) (-922 |#1|))) (-15 -2733 ((-3 |#1| "failed") (-242 |#2| |#1|) (-242 |#2| |#1|) (-922 |#1|))) (-15 -2733 ((-3 |#1| "failed") (-409 (-242 |#2| |#1|)) (-922 |#1|))) (-15 -2335 ((-236 (-922 |#1|)) (-242 |#2| |#1|))) (-15 -2669 ((-236 (-922 |#1|)))) (IF (|has| (-857 |#1|) (-370)) (PROGN (-15 -3223 ((-1157 (-568)))) (-15 -3223 ((-1157 (-568)) (-917))) (-15 -3456 ((-568))) (-15 -3869 ((-634 (-922 |#1|)) (-917))) (-15 -2102 ((-568) (-917))) (-15 -1296 ((-568) (-917))) (-15 -2577 ((-568) (-917) (-917))) (-15 -2054 ((-1239 (-568) -3494))) (-15 -2054 ((-1239 (-568) -3494) (-917)))) |noBranch|)) (-350) (-634 (-1161)) (-117)) (T -867)) 
-((-2054 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1239 (-568) -3494)) (-5 *1 (-867 *4 *5 *6)) (-4 (-857 *4) (-370)) (-4 *4 (-350)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) (-2054 (*1 *2) (-12 (-5 *2 (-1239 (-568) -3494)) (-5 *1 (-867 *3 *4 *5)) (-4 (-857 *3) (-370)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-2577 (*1 *2 *3 *3) (-12 (-5 *3 (-917)) (-5 *2 (-568)) (-5 *1 (-867 *4 *5 *6)) (-4 (-857 *4) (-370)) (-4 *4 (-350)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) (-1296 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-568)) (-5 *1 (-867 *4 *5 *6)) (-4 (-857 *4) (-370)) (-4 *4 (-350)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) (-2102 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-568)) (-5 *1 (-867 *4 *5 *6)) (-4 (-857 *4) (-370)) (-4 *4 (-350)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) (-3869 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-634 (-922 *4))) (-5 *1 (-867 *4 *5 *6)) (-4 (-857 *4) (-370)) (-4 *4 (-350)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) (-3456 (*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-867 *3 *4 *5)) (-4 (-857 *3) (-370)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-3223 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1157 (-568))) (-5 *1 (-867 *4 *5 *6)) (-4 (-857 *4) (-370)) (-4 *4 (-350)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) (-3223 (*1 *2) (-12 (-5 *2 (-1157 (-568))) (-5 *1 (-867 *3 *4 *5)) (-4 (-857 *3) (-370)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-2669 (*1 *2) (-12 (-5 *2 (-236 (-922 *3))) (-5 *1 (-867 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-2335 (*1 *2 *3) (-12 (-5 *3 (-242 *5 *4)) (-4 *4 (-350)) (-14 *5 (-634 (-1161))) (-5 *2 (-236 (-922 *4))) (-5 *1 (-867 *4 *5 *6)) (-4 *6 (-117)))) (-2733 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-409 (-242 *5 *2))) (-5 *4 (-922 *2)) (-14 *5 (-634 (-1161))) (-4 *2 (-350)) (-5 *1 (-867 *2 *5 *6)) (-4 *6 (-117)))) (-2733 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-242 *5 *2)) (-5 *4 (-922 *2)) (-14 *5 (-634 (-1161))) (-4 *2 (-350)) (-5 *1 (-867 *2 *5 *6)) (-4 *6 (-117)))) (-2733 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-242 *5 *2)) (-5 *4 (-922 *2)) (-14 *5 (-634 (-1161))) (-4 *2 (-350)) (-5 *1 (-867 *2 *5 *6)) (-4 *6 (-117)))) (-1339 (*1 *2 *3 *4) (-12 (-5 *3 (-409 (-242 *5 *2))) (-5 *4 (-922 *2)) (-14 *5 (-634 (-1161))) (-4 *2 (-350)) (-5 *1 (-867 *2 *5 *6)) (-4 *6 (-117)))) (-1339 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-242 *5 *2)) (-5 *4 (-922 *2)) (-14 *5 (-634 (-1161))) (-4 *2 (-350)) (-5 *1 (-867 *2 *5 *6)) (-4 *6 (-117)))) (-1339 (*1 *2 *3 *4) (-12 (-5 *3 (-242 *5 *2)) (-5 *4 (-922 *2)) (-14 *5 (-634 (-1161))) (-4 *2 (-350)) (-5 *1 (-867 *2 *5 *6)) (-4 *6 (-117)))) (-4454 (*1 *2 *3 *4) (-12 (-5 *3 (-236 (-922 *5))) (-5 *4 (-763)) (-4 *5 (-350)) (-5 *2 (-634 (-242 *6 *5))) (-5 *1 (-867 *5 *6 *7)) (-14 *6 (-634 (-1161))) (-4 *7 (-117)))) (-1758 (*1 *2 *3 *4) (-12 (-5 *3 (-236 (-922 *5))) (-5 *4 (-634 (-242 *6 *5))) (-4 *5 (-350)) (-14 *6 (-634 (-1161))) (-5 *2 (-634 (-242 *6 (-857 *5)))) (-5 *1 (-867 *5 *6 *7)) (-4 *7 (-117)))) (-3246 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-236 (-922 *5))) (-4 *5 (-350)) (-5 *2 (-2 (|:| -3894 (-568)) (|:| |num| (-242 *6 *5)) (|:| |den| (-242 *6 *5)) (|:| |upTo| (-568)))) (-5 *1 (-867 *5 *6 *7)) (-5 *4 (-568)) (-14 *6 (-634 (-1161))) (-4 *7 (-117)))) (-2865 (*1 *2 *3) (-12 (-5 *3 (-236 (-922 *4))) (-4 *4 (-350)) (-5 *2 (-2 (|:| |num| (-634 (-242 *5 *4))) (|:| |den| (-242 *5 *4)))) (-5 *1 (-867 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) (-2865 (*1 *2 *3 *4) (-12 (-5 *3 (-236 (-922 *5))) (-5 *4 (-763)) (-4 *5 (-350)) (-5 *2 (-634 (-409 (-242 *6 *5)))) (-5 *1 (-867 *5 *6 *7)) (-14 *6 (-634 (-1161))) (-4 *7 (-117)))) (-3423 (*1 *2 *3 *4) (-12 (-5 *3 (-242 *6 *5)) (-5 *4 (-922 *5)) (-4 *5 (-350)) (-14 *6 (-634 (-1161))) (-5 *2 (-774 (-857 *5))) (-5 *1 (-867 *5 *6 *7)) (-4 *7 (-117)))) (-2378 (*1 *2) (-12 (-5 *2 (-634 (-967 *3))) (-5 *1 (-867 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-2603 (*1 *2) (-12 (-5 *2 (-634 (-967 *3))) (-5 *1 (-867 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-3012 (*1 *2) (-12 (-5 *2 (-634 (-259 (-537 *3 *4 *5)))) (-5 *1 (-867 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-1371 (*1 *2) (-12 (-5 *2 (-634 (-259 (-537 *3 *4 *5)))) (-5 *1 (-867 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-2148 (*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-867 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-3383 (*1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-867 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-2090 (*1 *2) (-12 (-5 *2 (-242 *4 *3)) (-5 *1 (-867 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-1450 (*1 *2) (-12 (-5 *2 (-634 (-922 *3))) (-5 *1 (-867 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-3813 (*1 *2 *2) (-12 (-5 *2 (-634 (-967 *3))) (-4 *3 (-350)) (-5 *1 (-867 *3 *4 *5)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-4154 (*1 *2 *3) (-12 (-5 *3 (-634 (-857 *4))) (-4 *4 (-350)) (-5 *2 (-967 *4)) (-5 *1 (-867 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) (-4284 (*1 *2 *3) (-12 (-5 *3 (-967 *4)) (-4 *4 (-350)) (-5 *2 (-634 (-922 *4))) (-5 *1 (-867 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) (-1345 (*1 *2 *3) (-12 (-5 *3 (-922 *4)) (-4 *4 (-350)) (-5 *2 (-967 *4)) (-5 *1 (-867 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) (-3479 (*1 *2 *3 *4) (-12 (-5 *3 (-236 (-922 *5))) (-5 *4 (-634 (-922 *5))) (-4 *5 (-350)) (-5 *2 (-679 *5)) (-5 *1 (-867 *5 *6 *7)) (-14 *6 (-634 (-1161))) (-4 *7 (-117)))) (-3479 (*1 *2 *3 *3) (-12 (-5 *3 (-236 (-922 *4))) (-4 *4 (-350)) (-5 *2 (-679 *4)) (-5 *1 (-867 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) (-3794 (*1 *2 *3 *4) (-12 (-5 *3 (-242 *6 *5)) (-5 *4 (-967 *5)) (-4 *5 (-350)) (-14 *6 (-634 (-1161))) (-5 *2 (-242 *6 (-857 *5))) (-5 *1 (-867 *5 *6 *7)) (-4 *7 (-117)))) (-2945 (*1 *2 *2) (-12 (-5 *2 (-242 *4 *3)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-5 *1 (-867 *3 *4 *5)) (-4 *5 (-117)))) (-2608 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-867 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-4247 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-867 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-2219 (*1 *2 *2 *3) (-12 (-5 *2 (-242 *5 *4)) (-5 *3 (-568)) (-4 *4 (-350)) (-14 *5 (-634 (-1161))) (-5 *1 (-867 *4 *5 *6)) (-4 *6 (-117))))) 
-(-10 -7 (-15 -2219 ((-242 |#2| |#1|) (-242 |#2| |#1|) (-568))) (-15 -4247 ((-1249))) (-15 -2608 ((-1249))) (-15 -2945 ((-242 |#2| |#1|) (-242 |#2| |#1|))) (-15 -3794 ((-242 |#2| (-857 |#1|)) (-242 |#2| |#1|) (-967 |#1|))) (-15 -3479 ((-679 |#1|) (-236 (-922 |#1|)) (-236 (-922 |#1|)))) (-15 -3479 ((-679 |#1|) (-236 (-922 |#1|)) (-634 (-922 |#1|)))) (-15 -1345 ((-967 |#1|) (-922 |#1|))) (-15 -4284 ((-634 (-922 |#1|)) (-967 |#1|))) (-15 -4154 ((-967 |#1|) (-634 (-857 |#1|)))) (-15 -3813 ((-634 (-967 |#1|)) (-634 (-967 |#1|)))) (-15 -1450 ((-634 (-922 |#1|)))) (-15 -2090 ((-242 |#2| |#1|))) (-15 -3383 ((-763))) (-15 -2148 ((-568))) (-15 -1371 ((-634 (-259 (-537 |#1| |#2| |#3|))))) (-15 -3012 ((-634 (-259 (-537 |#1| |#2| |#3|))))) (-15 -2603 ((-634 (-967 |#1|)))) (-15 -2378 ((-634 (-967 |#1|)))) (-15 -3423 ((-774 (-857 |#1|)) (-242 |#2| |#1|) (-922 |#1|))) (-15 -2865 ((-634 (-409 (-242 |#2| |#1|))) (-236 (-922 |#1|)) (-763))) (-15 -2865 ((-2 (|:| |num| (-634 (-242 |#2| |#1|))) (|:| |den| (-242 |#2| |#1|))) (-236 (-922 |#1|)))) (-15 -3246 ((-2 (|:| -3894 (-568)) (|:| |num| (-242 |#2| |#1|)) (|:| |den| (-242 |#2| |#1|)) (|:| |upTo| (-568))) (-236 (-922 |#1|)) (-568) (-568))) (-15 -1758 ((-634 (-242 |#2| (-857 |#1|))) (-236 (-922 |#1|)) (-634 (-242 |#2| |#1|)))) (-15 -4454 ((-634 (-242 |#2| |#1|)) (-236 (-922 |#1|)) (-763))) (-15 -1339 (|#1| (-242 |#2| |#1|) (-922 |#1|))) (-15 -1339 (|#1| (-242 |#2| |#1|) (-242 |#2| |#1|) (-922 |#1|))) (-15 -1339 (|#1| (-409 (-242 |#2| |#1|)) (-922 |#1|))) (-15 -2733 ((-3 |#1| "failed") (-242 |#2| |#1|) (-922 |#1|))) (-15 -2733 ((-3 |#1| "failed") (-242 |#2| |#1|) (-242 |#2| |#1|) (-922 |#1|))) (-15 -2733 ((-3 |#1| "failed") (-409 (-242 |#2| |#1|)) (-922 |#1|))) (-15 -2335 ((-236 (-922 |#1|)) (-242 |#2| |#1|))) (-15 -2669 ((-236 (-922 |#1|)))) (IF (|has| (-857 |#1|) (-370)) (PROGN (-15 -3223 ((-1157 (-568)))) (-15 -3223 ((-1157 (-568)) (-917))) (-15 -3456 ((-568))) (-15 -3869 ((-634 (-922 |#1|)) (-917))) (-15 -2102 ((-568) (-917))) (-15 -1296 ((-568) (-917))) (-15 -2577 ((-568) (-917) (-917))) (-15 -2054 ((-1239 (-568) -3494))) (-15 -2054 ((-1239 (-568) -3494) (-917)))) |noBranch|)) 
-((-2090 (((-242 |#2| |#1|)) 83)) (-2378 (((-634 (-966 |#1|))) 92)) (-3813 (((-634 (-966 |#1|)) (-634 (-966 |#1|))) 24)) (-2945 (((-242 |#2| |#1|) (-242 |#2| |#1|)) 75)) (-2603 (((-634 (-966 |#1|))) 65)) (-1450 (((-634 (-921 |#1|))) 63)) (-4154 (((-966 |#1|) (-634 |#1|)) 27)) (-1345 (((-966 |#1|) (-921 |#1|)) 18)) (-3869 (((-634 (-921 |#1|)) (-917)) 50 (|has| |#1| (-370)))) (-4284 (((-634 (-921 |#1|)) (-966 |#1|)) 21)) (-3423 (((-774 |#1|) (-242 |#2| |#1|) (-921 |#1|)) 95)) (-1296 (((-568) (-917)) 52 (|has| |#1| (-370)))) (-2577 (((-568) (-917) (-917)) 54 (|has| |#1| (-370)))) (-2102 (((-568) (-917)) 48 (|has| |#1| (-370)))) (-2865 (((-2 (|:| |num| (-634 (-242 |#2| |#1|))) (|:| |den| (-242 |#2| |#1|))) (-236 (-921 |#1|))) 33) (((-634 (-409 (-242 |#2| |#1|))) (-236 (-921 |#1|)) (-763)) NIL)) (-2335 (((-236 (-921 |#1|)) (-242 |#2| |#1|)) 107)) (-1758 (((-634 (-242 |#2| |#1|)) (-236 (-921 |#1|)) (-634 (-242 |#2| |#1|))) 31)) (-4454 (((-634 (-242 |#2| |#1|)) (-236 (-921 |#1|)) (-763)) 97)) (-2219 (((-242 |#2| |#1|) (-242 |#2| |#1|) (-568)) 13)) (-3479 (((-679 |#1|) (-236 (-921 |#1|)) (-634 (-921 |#1|))) 38) (((-679 |#1|) (-236 (-921 |#1|)) (-236 (-921 |#1|))) 40)) (-2148 (((-568)) 81)) (-3383 (((-763)) 79)) (-2608 (((-1249)) 116)) (-4247 (((-1249)) 112)) (-3246 (((-2 (|:| -3894 (-568)) (|:| |num| (-242 |#2| |#1|)) (|:| |den| (-242 |#2| |#1|)) (|:| |upTo| (-568))) (-236 (-921 |#1|)) (-568) (-568)) NIL)) (-2733 (((-3 |#1| "failed") (-409 (-242 |#2| |#1|)) (-921 |#1|)) 105) (((-3 |#1| "failed") (-242 |#2| |#1|) (-242 |#2| |#1|) (-921 |#1|)) 104) (((-3 |#1| "failed") (-242 |#2| |#1|) (-921 |#1|)) 73)) (-1339 ((|#1| (-409 (-242 |#2| |#1|)) (-921 |#1|)) 102) ((|#1| (-242 |#2| |#1|) (-242 |#2| |#1|) (-921 |#1|)) 34) ((|#1| (-242 |#2| |#1|) (-921 |#1|)) 70)) (-1371 (((-634 (-259 (-513 |#1| |#2| |#3|)))) 88)) (-3012 (((-634 (-259 (-513 |#1| |#2| |#3|)))) 86)) (-3456 (((-568)) 61 (|has| |#1| (-370)))) (-2669 (((-236 (-921 |#1|))) 90)) (-2054 (((-1239 (-568) -3494) (-917)) 46 (|has| |#1| (-370))) (((-1239 (-568) -3494)) 43 (|has| |#1| (-370)))) (-3223 (((-1157 (-568)) (-917)) 59 (|has| |#1| (-370))) (((-1157 (-568))) 57 (|has| |#1| (-370))))) 
-(((-868 |#1| |#2| |#3|) (-10 -7 (-15 -2219 ((-242 |#2| |#1|) (-242 |#2| |#1|) (-568))) (-15 -1758 ((-634 (-242 |#2| |#1|)) (-236 (-921 |#1|)) (-634 (-242 |#2| |#1|)))) (-15 -4247 ((-1249))) (-15 -2608 ((-1249))) (-15 -2945 ((-242 |#2| |#1|) (-242 |#2| |#1|))) (-15 -4154 ((-966 |#1|) (-634 |#1|))) (-15 -1345 ((-966 |#1|) (-921 |#1|))) (-15 -4284 ((-634 (-921 |#1|)) (-966 |#1|))) (-15 -3813 ((-634 (-966 |#1|)) (-634 (-966 |#1|)))) (-15 -3479 ((-679 |#1|) (-236 (-921 |#1|)) (-236 (-921 |#1|)))) (-15 -3479 ((-679 |#1|) (-236 (-921 |#1|)) (-634 (-921 |#1|)))) (-15 -1450 ((-634 (-921 |#1|)))) (-15 -2090 ((-242 |#2| |#1|))) (-15 -3383 ((-763))) (-15 -2148 ((-568))) (-15 -1371 ((-634 (-259 (-513 |#1| |#2| |#3|))))) (-15 -3012 ((-634 (-259 (-513 |#1| |#2| |#3|))))) (-15 -2603 ((-634 (-966 |#1|)))) (-15 -2378 ((-634 (-966 |#1|)))) (-15 -3423 ((-774 |#1|) (-242 |#2| |#1|) (-921 |#1|))) (-15 -2865 ((-634 (-409 (-242 |#2| |#1|))) (-236 (-921 |#1|)) (-763))) (-15 -2865 ((-2 (|:| |num| (-634 (-242 |#2| |#1|))) (|:| |den| (-242 |#2| |#1|))) (-236 (-921 |#1|)))) (-15 -3246 ((-2 (|:| -3894 (-568)) (|:| |num| (-242 |#2| |#1|)) (|:| |den| (-242 |#2| |#1|)) (|:| |upTo| (-568))) (-236 (-921 |#1|)) (-568) (-568))) (-15 -4454 ((-634 (-242 |#2| |#1|)) (-236 (-921 |#1|)) (-763))) (-15 -1339 (|#1| (-242 |#2| |#1|) (-921 |#1|))) (-15 -1339 (|#1| (-242 |#2| |#1|) (-242 |#2| |#1|) (-921 |#1|))) (-15 -1339 (|#1| (-409 (-242 |#2| |#1|)) (-921 |#1|))) (-15 -2733 ((-3 |#1| "failed") (-242 |#2| |#1|) (-921 |#1|))) (-15 -2733 ((-3 |#1| "failed") (-242 |#2| |#1|) (-242 |#2| |#1|) (-921 |#1|))) (-15 -2733 ((-3 |#1| "failed") (-409 (-242 |#2| |#1|)) (-921 |#1|))) (-15 -2335 ((-236 (-921 |#1|)) (-242 |#2| |#1|))) (-15 -2669 ((-236 (-921 |#1|)))) (IF (|has| |#1| (-370)) (PROGN (-15 -3223 ((-1157 (-568)))) (-15 -3223 ((-1157 (-568)) (-917))) (-15 -3456 ((-568))) (-15 -3869 ((-634 (-921 |#1|)) (-917))) (-15 -2102 ((-568) (-917))) (-15 -1296 ((-568) (-917))) (-15 -2577 ((-568) (-917) (-917))) (-15 -2054 ((-1239 (-568) -3494))) (-15 -2054 ((-1239 (-568) -3494) (-917)))) |noBranch|)) (-365) (-634 (-1161)) (-117)) (T -868)) 
-((-2054 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1239 (-568) -3494)) (-5 *1 (-868 *4 *5 *6)) (-4 *4 (-370)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) (-2054 (*1 *2) (-12 (-5 *2 (-1239 (-568) -3494)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-370)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-2577 (*1 *2 *3 *3) (-12 (-5 *3 (-917)) (-5 *2 (-568)) (-5 *1 (-868 *4 *5 *6)) (-4 *4 (-370)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) (-1296 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-568)) (-5 *1 (-868 *4 *5 *6)) (-4 *4 (-370)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) (-2102 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-568)) (-5 *1 (-868 *4 *5 *6)) (-4 *4 (-370)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) (-3869 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-634 (-921 *4))) (-5 *1 (-868 *4 *5 *6)) (-4 *4 (-370)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) (-3456 (*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-370)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-3223 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1157 (-568))) (-5 *1 (-868 *4 *5 *6)) (-4 *4 (-370)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) (-3223 (*1 *2) (-12 (-5 *2 (-1157 (-568))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-370)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-2669 (*1 *2) (-12 (-5 *2 (-236 (-921 *3))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-2335 (*1 *2 *3) (-12 (-5 *3 (-242 *5 *4)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-5 *2 (-236 (-921 *4))) (-5 *1 (-868 *4 *5 *6)) (-4 *6 (-117)))) (-2733 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-409 (-242 *5 *2))) (-5 *4 (-921 *2)) (-14 *5 (-634 (-1161))) (-4 *2 (-365)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) (-2733 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-242 *5 *2)) (-5 *4 (-921 *2)) (-14 *5 (-634 (-1161))) (-4 *2 (-365)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) (-2733 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-242 *5 *2)) (-5 *4 (-921 *2)) (-14 *5 (-634 (-1161))) (-4 *2 (-365)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) (-1339 (*1 *2 *3 *4) (-12 (-5 *3 (-409 (-242 *5 *2))) (-5 *4 (-921 *2)) (-14 *5 (-634 (-1161))) (-4 *2 (-365)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) (-1339 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-242 *5 *2)) (-5 *4 (-921 *2)) (-14 *5 (-634 (-1161))) (-4 *2 (-365)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) (-1339 (*1 *2 *3 *4) (-12 (-5 *3 (-242 *5 *2)) (-5 *4 (-921 *2)) (-14 *5 (-634 (-1161))) (-4 *2 (-365)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) (-4454 (*1 *2 *3 *4) (-12 (-5 *3 (-236 (-921 *5))) (-5 *4 (-763)) (-4 *5 (-365)) (-5 *2 (-634 (-242 *6 *5))) (-5 *1 (-868 *5 *6 *7)) (-14 *6 (-634 (-1161))) (-4 *7 (-117)))) (-3246 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-236 (-921 *5))) (-4 *5 (-365)) (-5 *2 (-2 (|:| -3894 (-568)) (|:| |num| (-242 *6 *5)) (|:| |den| (-242 *6 *5)) (|:| |upTo| (-568)))) (-5 *1 (-868 *5 *6 *7)) (-5 *4 (-568)) (-14 *6 (-634 (-1161))) (-4 *7 (-117)))) (-2865 (*1 *2 *3) (-12 (-5 *3 (-236 (-921 *4))) (-4 *4 (-365)) (-5 *2 (-2 (|:| |num| (-634 (-242 *5 *4))) (|:| |den| (-242 *5 *4)))) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) (-2865 (*1 *2 *3 *4) (-12 (-5 *3 (-236 (-921 *5))) (-5 *4 (-763)) (-4 *5 (-365)) (-5 *2 (-634 (-409 (-242 *6 *5)))) (-5 *1 (-868 *5 *6 *7)) (-14 *6 (-634 (-1161))) (-4 *7 (-117)))) (-3423 (*1 *2 *3 *4) (-12 (-5 *3 (-242 *6 *5)) (-5 *4 (-921 *5)) (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-5 *2 (-774 *5)) (-5 *1 (-868 *5 *6 *7)) (-4 *7 (-117)))) (-2378 (*1 *2) (-12 (-5 *2 (-634 (-966 *3))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-2603 (*1 *2) (-12 (-5 *2 (-634 (-966 *3))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-3012 (*1 *2) (-12 (-5 *2 (-634 (-259 (-513 *3 *4 *5)))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-1371 (*1 *2) (-12 (-5 *2 (-634 (-259 (-513 *3 *4 *5)))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-2148 (*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-3383 (*1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-2090 (*1 *2) (-12 (-5 *2 (-242 *4 *3)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-1450 (*1 *2) (-12 (-5 *2 (-634 (-921 *3))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-3479 (*1 *2 *3 *4) (-12 (-5 *3 (-236 (-921 *5))) (-5 *4 (-634 (-921 *5))) (-4 *5 (-365)) (-5 *2 (-679 *5)) (-5 *1 (-868 *5 *6 *7)) (-14 *6 (-634 (-1161))) (-4 *7 (-117)))) (-3479 (*1 *2 *3 *3) (-12 (-5 *3 (-236 (-921 *4))) (-4 *4 (-365)) (-5 *2 (-679 *4)) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) (-3813 (*1 *2 *2) (-12 (-5 *2 (-634 (-966 *3))) (-4 *3 (-365)) (-5 *1 (-868 *3 *4 *5)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-4284 (*1 *2 *3) (-12 (-5 *3 (-966 *4)) (-4 *4 (-365)) (-5 *2 (-634 (-921 *4))) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) (-1345 (*1 *2 *3) (-12 (-5 *3 (-921 *4)) (-4 *4 (-365)) (-5 *2 (-966 *4)) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) (-4154 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-365)) (-5 *2 (-966 *4)) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) (-2945 (*1 *2 *2) (-12 (-5 *2 (-242 *4 *3)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-5 *1 (-868 *3 *4 *5)) (-4 *5 (-117)))) (-2608 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-4247 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) (-1758 (*1 *2 *3 *2) (-12 (-5 *2 (-634 (-242 *5 *4))) (-5 *3 (-236 (-921 *4))) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-5 *1 (-868 *4 *5 *6)) (-4 *6 (-117)))) (-2219 (*1 *2 *2 *3) (-12 (-5 *2 (-242 *5 *4)) (-5 *3 (-568)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-5 *1 (-868 *4 *5 *6)) (-4 *6 (-117))))) 
-(-10 -7 (-15 -2219 ((-242 |#2| |#1|) (-242 |#2| |#1|) (-568))) (-15 -1758 ((-634 (-242 |#2| |#1|)) (-236 (-921 |#1|)) (-634 (-242 |#2| |#1|)))) (-15 -4247 ((-1249))) (-15 -2608 ((-1249))) (-15 -2945 ((-242 |#2| |#1|) (-242 |#2| |#1|))) (-15 -4154 ((-966 |#1|) (-634 |#1|))) (-15 -1345 ((-966 |#1|) (-921 |#1|))) (-15 -4284 ((-634 (-921 |#1|)) (-966 |#1|))) (-15 -3813 ((-634 (-966 |#1|)) (-634 (-966 |#1|)))) (-15 -3479 ((-679 |#1|) (-236 (-921 |#1|)) (-236 (-921 |#1|)))) (-15 -3479 ((-679 |#1|) (-236 (-921 |#1|)) (-634 (-921 |#1|)))) (-15 -1450 ((-634 (-921 |#1|)))) (-15 -2090 ((-242 |#2| |#1|))) (-15 -3383 ((-763))) (-15 -2148 ((-568))) (-15 -1371 ((-634 (-259 (-513 |#1| |#2| |#3|))))) (-15 -3012 ((-634 (-259 (-513 |#1| |#2| |#3|))))) (-15 -2603 ((-634 (-966 |#1|)))) (-15 -2378 ((-634 (-966 |#1|)))) (-15 -3423 ((-774 |#1|) (-242 |#2| |#1|) (-921 |#1|))) (-15 -2865 ((-634 (-409 (-242 |#2| |#1|))) (-236 (-921 |#1|)) (-763))) (-15 -2865 ((-2 (|:| |num| (-634 (-242 |#2| |#1|))) (|:| |den| (-242 |#2| |#1|))) (-236 (-921 |#1|)))) (-15 -3246 ((-2 (|:| -3894 (-568)) (|:| |num| (-242 |#2| |#1|)) (|:| |den| (-242 |#2| |#1|)) (|:| |upTo| (-568))) (-236 (-921 |#1|)) (-568) (-568))) (-15 -4454 ((-634 (-242 |#2| |#1|)) (-236 (-921 |#1|)) (-763))) (-15 -1339 (|#1| (-242 |#2| |#1|) (-921 |#1|))) (-15 -1339 (|#1| (-242 |#2| |#1|) (-242 |#2| |#1|) (-921 |#1|))) (-15 -1339 (|#1| (-409 (-242 |#2| |#1|)) (-921 |#1|))) (-15 -2733 ((-3 |#1| "failed") (-242 |#2| |#1|) (-921 |#1|))) (-15 -2733 ((-3 |#1| "failed") (-242 |#2| |#1|) (-242 |#2| |#1|) (-921 |#1|))) (-15 -2733 ((-3 |#1| "failed") (-409 (-242 |#2| |#1|)) (-921 |#1|))) (-15 -2335 ((-236 (-921 |#1|)) (-242 |#2| |#1|))) (-15 -2669 ((-236 (-921 |#1|)))) (IF (|has| |#1| (-370)) (PROGN (-15 -3223 ((-1157 (-568)))) (-15 -3223 ((-1157 (-568)) (-917))) (-15 -3456 ((-568))) (-15 -3869 ((-634 (-921 |#1|)) (-917))) (-15 -2102 ((-568) (-917))) (-15 -1296 ((-568) (-917))) (-15 -2577 ((-568) (-917) (-917))) (-15 -2054 ((-1239 (-568) -3494))) (-15 -2054 ((-1239 (-568) -3494) (-917)))) |noBranch|)) 
-((-2449 (((-121) $ $) NIL)) (-1388 (((-568) $) 15)) (-3205 (($ (-158)) 11)) (-3692 (($ (-158)) 12)) (-1893 (((-1143) $) NIL)) (-2233 (((-158) $) 13)) (-4025 (((-1108) $) NIL)) (-1965 (($ (-158)) 9)) (-2565 (($ (-158)) 8)) (-2747 (((-850) $) 23) (($ (-158)) 16)) (-3476 (($ (-158)) 10)) (-1719 (((-121) $ $) NIL))) 
-(((-869) (-13 (-1090) (-10 -8 (-15 -2565 ($ (-158))) (-15 -1965 ($ (-158))) (-15 -3476 ($ (-158))) (-15 -3205 ($ (-158))) (-15 -3692 ($ (-158))) (-15 -2233 ((-158) $)) (-15 -1388 ((-568) $)) (-15 -2747 ($ (-158)))))) (T -869)) 
-((-2565 (*1 *1 *2) (-12 (-5 *2 (-158)) (-5 *1 (-869)))) (-1965 (*1 *1 *2) (-12 (-5 *2 (-158)) (-5 *1 (-869)))) (-3476 (*1 *1 *2) (-12 (-5 *2 (-158)) (-5 *1 (-869)))) (-3205 (*1 *1 *2) (-12 (-5 *2 (-158)) (-5 *1 (-869)))) (-3692 (*1 *1 *2) (-12 (-5 *2 (-158)) (-5 *1 (-869)))) (-2233 (*1 *2 *1) (-12 (-5 *2 (-158)) (-5 *1 (-869)))) (-1388 (*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-869)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-158)) (-5 *1 (-869))))) 
-(-13 (-1090) (-10 -8 (-15 -2565 ($ (-158))) (-15 -1965 ($ (-158))) (-15 -3476 ($ (-158))) (-15 -3205 ($ (-158))) (-15 -3692 ($ (-158))) (-15 -2233 ((-158) $)) (-15 -1388 ((-568) $)) (-15 -2747 ($ (-158))))) 
-((-2747 (((-310 (-568)) (-409 (-953 (-53)))) 21) (((-310 (-568)) (-953 (-53))) 16))) 
-(((-870) (-10 -7 (-15 -2747 ((-310 (-568)) (-953 (-53)))) (-15 -2747 ((-310 (-568)) (-409 (-953 (-53))))))) (T -870)) 
-((-2747 (*1 *2 *3) (-12 (-5 *3 (-409 (-953 (-53)))) (-5 *2 (-310 (-568))) (-5 *1 (-870)))) (-2747 (*1 *2 *3) (-12 (-5 *3 (-953 (-53))) (-5 *2 (-310 (-568))) (-5 *1 (-870))))) 
-(-10 -7 (-15 -2747 ((-310 (-568)) (-953 (-53)))) (-15 -2747 ((-310 (-568)) (-409 (-953 (-53)))))) 
-((-3423 ((|#6| |#3| |#7| (-568)) 36) ((|#6| |#3| |#3| |#7|) 33) ((|#6| |#3| |#7|) 31) ((|#6| |#3| (-634 |#6|)) 28))) 
-(((-871 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -3423 (|#6| |#3| (-634 |#6|))) (-15 -3423 (|#6| |#3| |#7|)) (-15 -3423 (|#6| |#3| |#3| |#7|)) (-15 -3423 (|#6| |#3| |#7| (-568)))) (-365) (-634 (-1161)) (-950 |#1| |#4| (-852 |#2|)) (-230 (-1699 |#2|) (-763)) (-971 |#1|) (-641 |#1|) (-920 |#1| |#6|)) (T -871)) 
-((-3423 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-568)) (-4 *6 (-365)) (-14 *7 (-634 (-1161))) (-4 *8 (-230 (-1699 *7) (-763))) (-4 *2 (-641 *6)) (-5 *1 (-871 *6 *7 *3 *8 *9 *2 *4)) (-4 *3 (-950 *6 *8 (-852 *7))) (-4 *9 (-971 *6)) (-4 *4 (-920 *6 *2)))) (-3423 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *7 (-230 (-1699 *6) (-763))) (-4 *2 (-641 *5)) (-5 *1 (-871 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-950 *5 *7 (-852 *6))) (-4 *8 (-971 *5)) (-4 *4 (-920 *5 *2)))) (-3423 (*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *7 (-230 (-1699 *6) (-763))) (-4 *2 (-641 *5)) (-5 *1 (-871 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-950 *5 *7 (-852 *6))) (-4 *8 (-971 *5)) (-4 *4 (-920 *5 *2)))) (-3423 (*1 *2 *3 *4) (-12 (-5 *4 (-634 *2)) (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *7 (-230 (-1699 *6) (-763))) (-4 *2 (-641 *5)) (-5 *1 (-871 *5 *6 *3 *7 *8 *2 *9)) (-4 *3 (-950 *5 *7 (-852 *6))) (-4 *8 (-971 *5)) (-4 *9 (-920 *5 *2))))) 
-(-10 -7 (-15 -3423 (|#6| |#3| (-634 |#6|))) (-15 -3423 (|#6| |#3| |#7|)) (-15 -3423 (|#6| |#3| |#3| |#7|)) (-15 -3423 (|#6| |#3| |#7| (-568)))) 
-((-2797 (((-873 |#2|) (-1 |#2| |#1|) (-873 |#1|)) 14))) 
-(((-872 |#1| |#2|) (-10 -7 (-15 -2797 ((-873 |#2|) (-1 |#2| |#1|) (-873 |#1|)))) (-1195) (-1195)) (T -872)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-873 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-873 *6)) (-5 *1 (-872 *5 *6))))) 
-(-10 -7 (-15 -2797 ((-873 |#2|) (-1 |#2| |#1|) (-873 |#1|)))) 
-((-1615 (($ |#1| |#1|) 8)) (-3204 ((|#1| $ (-763)) 10))) 
-(((-873 |#1|) (-10 -8 (-15 -1615 ($ |#1| |#1|)) (-15 -3204 (|#1| $ (-763)))) (-1195)) (T -873)) 
-((-3204 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *1 (-873 *2)) (-4 *2 (-1195)))) (-1615 (*1 *1 *2 *2) (-12 (-5 *1 (-873 *2)) (-4 *2 (-1195))))) 
-(-10 -8 (-15 -1615 ($ |#1| |#1|)) (-15 -3204 (|#1| $ (-763)))) 
-((-2797 (((-875 |#2|) (-1 |#2| |#1|) (-875 |#1|)) 14))) 
-(((-874 |#1| |#2|) (-10 -7 (-15 -2797 ((-875 |#2|) (-1 |#2| |#1|) (-875 |#1|)))) (-1195) (-1195)) (T -874)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-875 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-875 *6)) (-5 *1 (-874 *5 *6))))) 
-(-10 -7 (-15 -2797 ((-875 |#2|) (-1 |#2| |#1|) (-875 |#1|)))) 
-((-1615 (($ |#1| |#1| |#1|) 8)) (-3204 ((|#1| $ (-763)) 10))) 
-(((-875 |#1|) (-10 -8 (-15 -1615 ($ |#1| |#1| |#1|)) (-15 -3204 (|#1| $ (-763)))) (-1195)) (T -875)) 
-((-3204 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *1 (-875 *2)) (-4 *2 (-1195)))) (-1615 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-875 *2)) (-4 *2 (-1195))))) 
-(-10 -8 (-15 -1615 ($ |#1| |#1| |#1|)) (-15 -3204 (|#1| $ (-763)))) 
-((-2797 (((-877 |#2|) (-1 |#2| |#1|) (-877 |#1|)) 14))) 
-(((-876 |#1| |#2|) (-10 -7 (-15 -2797 ((-877 |#2|) (-1 |#2| |#1|) (-877 |#1|)))) (-1195) (-1195)) (T -876)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-877 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-877 *6)) (-5 *1 (-876 *5 *6))))) 
-(-10 -7 (-15 -2797 ((-877 |#2|) (-1 |#2| |#1|) (-877 |#1|)))) 
-((-2277 (($ |#1| |#1| |#1|) 8)) (-3204 ((|#1| $ (-763)) 10))) 
-(((-877 |#1|) (-10 -8 (-15 -2277 ($ |#1| |#1| |#1|)) (-15 -3204 (|#1| $ (-763)))) (-1195)) (T -877)) 
-((-3204 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *1 (-877 *2)) (-4 *2 (-1195)))) (-2277 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-877 *2)) (-4 *2 (-1195))))) 
-(-10 -8 (-15 -2277 ($ |#1| |#1| |#1|)) (-15 -3204 (|#1| $ (-763)))) 
-((-2837 (((-1141 (-634 (-568))) (-634 (-568)) (-1141 (-634 (-568)))) 30)) (-3024 (((-1141 (-634 (-568))) (-634 (-568)) (-634 (-568))) 26)) (-3376 (((-1141 (-634 (-568))) (-634 (-568))) 39) (((-1141 (-634 (-568))) (-634 (-568)) (-634 (-568))) 38)) (-4262 (((-1141 (-634 (-568))) (-568)) 40)) (-4178 (((-1141 (-634 (-568))) (-568) (-568)) 22) (((-1141 (-634 (-568))) (-568)) 16) (((-1141 (-634 (-568))) (-568) (-568) (-568)) 12)) (-4185 (((-1141 (-634 (-568))) (-1141 (-634 (-568)))) 24)) (-2387 (((-634 (-568)) (-634 (-568))) 23))) 
-(((-878) (-10 -7 (-15 -4178 ((-1141 (-634 (-568))) (-568) (-568) (-568))) (-15 -4178 ((-1141 (-634 (-568))) (-568))) (-15 -4178 ((-1141 (-634 (-568))) (-568) (-568))) (-15 -2387 ((-634 (-568)) (-634 (-568)))) (-15 -4185 ((-1141 (-634 (-568))) (-1141 (-634 (-568))))) (-15 -3024 ((-1141 (-634 (-568))) (-634 (-568)) (-634 (-568)))) (-15 -2837 ((-1141 (-634 (-568))) (-634 (-568)) (-1141 (-634 (-568))))) (-15 -3376 ((-1141 (-634 (-568))) (-634 (-568)) (-634 (-568)))) (-15 -3376 ((-1141 (-634 (-568))) (-634 (-568)))) (-15 -4262 ((-1141 (-634 (-568))) (-568))))) (T -878)) 
-((-4262 (*1 *2 *3) (-12 (-5 *2 (-1141 (-634 (-568)))) (-5 *1 (-878)) (-5 *3 (-568)))) (-3376 (*1 *2 *3) (-12 (-5 *2 (-1141 (-634 (-568)))) (-5 *1 (-878)) (-5 *3 (-634 (-568))))) (-3376 (*1 *2 *3 *3) (-12 (-5 *2 (-1141 (-634 (-568)))) (-5 *1 (-878)) (-5 *3 (-634 (-568))))) (-2837 (*1 *2 *3 *2) (-12 (-5 *2 (-1141 (-634 (-568)))) (-5 *3 (-634 (-568))) (-5 *1 (-878)))) (-3024 (*1 *2 *3 *3) (-12 (-5 *2 (-1141 (-634 (-568)))) (-5 *1 (-878)) (-5 *3 (-634 (-568))))) (-4185 (*1 *2 *2) (-12 (-5 *2 (-1141 (-634 (-568)))) (-5 *1 (-878)))) (-2387 (*1 *2 *2) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-878)))) (-4178 (*1 *2 *3 *3) (-12 (-5 *2 (-1141 (-634 (-568)))) (-5 *1 (-878)) (-5 *3 (-568)))) (-4178 (*1 *2 *3) (-12 (-5 *2 (-1141 (-634 (-568)))) (-5 *1 (-878)) (-5 *3 (-568)))) (-4178 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-1141 (-634 (-568)))) (-5 *1 (-878)) (-5 *3 (-568))))) 
-(-10 -7 (-15 -4178 ((-1141 (-634 (-568))) (-568) (-568) (-568))) (-15 -4178 ((-1141 (-634 (-568))) (-568))) (-15 -4178 ((-1141 (-634 (-568))) (-568) (-568))) (-15 -2387 ((-634 (-568)) (-634 (-568)))) (-15 -4185 ((-1141 (-634 (-568))) (-1141 (-634 (-568))))) (-15 -3024 ((-1141 (-634 (-568))) (-634 (-568)) (-634 (-568)))) (-15 -2837 ((-1141 (-634 (-568))) (-634 (-568)) (-1141 (-634 (-568))))) (-15 -3376 ((-1141 (-634 (-568))) (-634 (-568)) (-634 (-568)))) (-15 -3376 ((-1141 (-634 (-568))) (-634 (-568)))) (-15 -4262 ((-1141 (-634 (-568))) (-568)))) 
-((-4280 (((-887 (-381)) $) 9 (|has| |#1| (-609 (-887 (-381))))) (((-887 (-568)) $) 8 (|has| |#1| (-609 (-887 (-568))))))) 
-(((-879 |#1|) (-1275) (-1195)) (T -879)) 
-NIL 
-(-13 (-10 -7 (IF (|has| |t#1| (-609 (-887 (-568)))) (-6 (-609 (-887 (-568)))) |noBranch|) (IF (|has| |t#1| (-609 (-887 (-381)))) (-6 (-609 (-887 (-381)))) |noBranch|))) 
-(((-609 (-887 (-381))) |has| |#1| (-609 (-887 (-381)))) ((-609 (-887 (-568))) |has| |#1| (-609 (-887 (-568))))) 
-((-2449 (((-121) $ $) NIL)) (-1851 (($) 14)) (-3898 (($ (-884 |#1| |#2|) (-884 |#1| |#3|)) 27)) (-2673 (((-884 |#1| |#3|) $) 16)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-4229 (((-121) $) 22)) (-3485 (($) 19)) (-2747 (((-850) $) 30)) (-2923 (((-884 |#1| |#2|) $) 15)) (-1719 (((-121) $ $) 25))) 
-(((-880 |#1| |#2| |#3|) (-13 (-1090) (-10 -8 (-15 -4229 ((-121) $)) (-15 -3485 ($)) (-15 -1851 ($)) (-15 -3898 ($ (-884 |#1| |#2|) (-884 |#1| |#3|))) (-15 -2923 ((-884 |#1| |#2|) $)) (-15 -2673 ((-884 |#1| |#3|) $)))) (-1090) (-1090) (-658 |#2|)) (T -880)) 
-((-4229 (*1 *2 *1) (-12 (-4 *4 (-1090)) (-5 *2 (-121)) (-5 *1 (-880 *3 *4 *5)) (-4 *3 (-1090)) (-4 *5 (-658 *4)))) (-3485 (*1 *1) (-12 (-4 *3 (-1090)) (-5 *1 (-880 *2 *3 *4)) (-4 *2 (-1090)) (-4 *4 (-658 *3)))) (-1851 (*1 *1) (-12 (-4 *3 (-1090)) (-5 *1 (-880 *2 *3 *4)) (-4 *2 (-1090)) (-4 *4 (-658 *3)))) (-3898 (*1 *1 *2 *3) (-12 (-5 *2 (-884 *4 *5)) (-5 *3 (-884 *4 *6)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-658 *5)) (-5 *1 (-880 *4 *5 *6)))) (-2923 (*1 *2 *1) (-12 (-4 *4 (-1090)) (-5 *2 (-884 *3 *4)) (-5 *1 (-880 *3 *4 *5)) (-4 *3 (-1090)) (-4 *5 (-658 *4)))) (-2673 (*1 *2 *1) (-12 (-4 *4 (-1090)) (-5 *2 (-884 *3 *5)) (-5 *1 (-880 *3 *4 *5)) (-4 *3 (-1090)) (-4 *5 (-658 *4))))) 
-(-13 (-1090) (-10 -8 (-15 -4229 ((-121) $)) (-15 -3485 ($)) (-15 -1851 ($)) (-15 -3898 ($ (-884 |#1| |#2|) (-884 |#1| |#3|))) (-15 -2923 ((-884 |#1| |#2|) $)) (-15 -2673 ((-884 |#1| |#3|) $)))) 
-((-2449 (((-121) $ $) 7)) (-1519 (((-884 |#1| $) $ (-887 |#1|) (-884 |#1| $)) 12)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-1719 (((-121) $ $) 6))) 
-(((-881 |#1|) (-1275) (-1090)) (T -881)) 
-((-1519 (*1 *2 *1 *3 *2) (-12 (-5 *2 (-884 *4 *1)) (-5 *3 (-887 *4)) (-4 *1 (-881 *4)) (-4 *4 (-1090))))) 
-(-13 (-1090) (-10 -8 (-15 -1519 ((-884 |t#1| $) $ (-887 |t#1|) (-884 |t#1| $))))) 
-(((-105) . T) ((-608 (-850)) . T) ((-1090) . T)) 
-((-3910 (((-121) (-634 |#2|) |#3|) 22) (((-121) |#2| |#3|) 17)) (-1582 (((-884 |#1| |#2|) |#2| |#3|) 42 (-12 (-3046 (|has| |#2| (-1037 (-1161)))) (-3046 (|has| |#2| (-1047))))) (((-634 (-288 (-953 |#2|))) |#2| |#3|) 41 (-12 (|has| |#2| (-1047)) (-3046 (|has| |#2| (-1037 (-1161)))))) (((-634 (-288 |#2|)) |#2| |#3|) 34 (|has| |#2| (-1037 (-1161)))) (((-880 |#1| |#2| (-634 |#2|)) (-634 |#2|) |#3|) 20))) 
-(((-882 |#1| |#2| |#3|) (-10 -7 (-15 -3910 ((-121) |#2| |#3|)) (-15 -3910 ((-121) (-634 |#2|) |#3|)) (-15 -1582 ((-880 |#1| |#2| (-634 |#2|)) (-634 |#2|) |#3|)) (IF (|has| |#2| (-1037 (-1161))) (-15 -1582 ((-634 (-288 |#2|)) |#2| |#3|)) (IF (|has| |#2| (-1047)) (-15 -1582 ((-634 (-288 (-953 |#2|))) |#2| |#3|)) (-15 -1582 ((-884 |#1| |#2|) |#2| |#3|))))) (-1090) (-881 |#1|) (-609 (-887 |#1|))) (T -882)) 
-((-1582 (*1 *2 *3 *4) (-12 (-4 *5 (-1090)) (-5 *2 (-884 *5 *3)) (-5 *1 (-882 *5 *3 *4)) (-3046 (-4 *3 (-1037 (-1161)))) (-3046 (-4 *3 (-1047))) (-4 *3 (-881 *5)) (-4 *4 (-609 (-887 *5))))) (-1582 (*1 *2 *3 *4) (-12 (-4 *5 (-1090)) (-5 *2 (-634 (-288 (-953 *3)))) (-5 *1 (-882 *5 *3 *4)) (-4 *3 (-1047)) (-3046 (-4 *3 (-1037 (-1161)))) (-4 *3 (-881 *5)) (-4 *4 (-609 (-887 *5))))) (-1582 (*1 *2 *3 *4) (-12 (-4 *5 (-1090)) (-5 *2 (-634 (-288 *3))) (-5 *1 (-882 *5 *3 *4)) (-4 *3 (-1037 (-1161))) (-4 *3 (-881 *5)) (-4 *4 (-609 (-887 *5))))) (-1582 (*1 *2 *3 *4) (-12 (-4 *5 (-1090)) (-4 *6 (-881 *5)) (-5 *2 (-880 *5 *6 (-634 *6))) (-5 *1 (-882 *5 *6 *4)) (-5 *3 (-634 *6)) (-4 *4 (-609 (-887 *5))))) (-3910 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *6)) (-4 *6 (-881 *5)) (-4 *5 (-1090)) (-5 *2 (-121)) (-5 *1 (-882 *5 *6 *4)) (-4 *4 (-609 (-887 *5))))) (-3910 (*1 *2 *3 *4) (-12 (-4 *5 (-1090)) (-5 *2 (-121)) (-5 *1 (-882 *5 *3 *4)) (-4 *3 (-881 *5)) (-4 *4 (-609 (-887 *5)))))) 
-(-10 -7 (-15 -3910 ((-121) |#2| |#3|)) (-15 -3910 ((-121) (-634 |#2|) |#3|)) (-15 -1582 ((-880 |#1| |#2| (-634 |#2|)) (-634 |#2|) |#3|)) (IF (|has| |#2| (-1037 (-1161))) (-15 -1582 ((-634 (-288 |#2|)) |#2| |#3|)) (IF (|has| |#2| (-1047)) (-15 -1582 ((-634 (-288 (-953 |#2|))) |#2| |#3|)) (-15 -1582 ((-884 |#1| |#2|) |#2| |#3|))))) 
-((-2797 (((-884 |#1| |#3|) (-1 |#3| |#2|) (-884 |#1| |#2|)) 21))) 
-(((-883 |#1| |#2| |#3|) (-10 -7 (-15 -2797 ((-884 |#1| |#3|) (-1 |#3| |#2|) (-884 |#1| |#2|)))) (-1090) (-1090) (-1090)) (T -883)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-884 *5 *6)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)) (-5 *2 (-884 *5 *7)) (-5 *1 (-883 *5 *6 *7))))) 
-(-10 -7 (-15 -2797 ((-884 |#1| |#3|) (-1 |#3| |#2|) (-884 |#1| |#2|)))) 
-((-2449 (((-121) $ $) NIL)) (-1793 (($ $ $) 37)) (-2388 (((-3 (-121) "failed") $ (-887 |#1|)) 34)) (-1851 (($) 11)) (-1893 (((-1143) $) NIL)) (-4367 (($ (-887 |#1|) |#2| $) 20)) (-4025 (((-1108) $) NIL)) (-4414 (((-3 |#2| "failed") (-887 |#1|) $) 48)) (-4229 (((-121) $) 14)) (-3485 (($) 12)) (-2045 (((-634 (-2 (|:| -3651 (-1161)) (|:| -4085 |#2|))) $) 25)) (-4289 (($ (-634 (-2 (|:| -3651 (-1161)) (|:| -4085 |#2|)))) 23)) (-2747 (((-850) $) 42)) (-3622 (($ (-887 |#1|) |#2| $ |#2|) 46)) (-3737 (($ (-887 |#1|) |#2| $) 45)) (-1719 (((-121) $ $) 39))) 
-(((-884 |#1| |#2|) (-13 (-1090) (-10 -8 (-15 -4229 ((-121) $)) (-15 -3485 ($)) (-15 -1851 ($)) (-15 -1793 ($ $ $)) (-15 -4414 ((-3 |#2| "failed") (-887 |#1|) $)) (-15 -3737 ($ (-887 |#1|) |#2| $)) (-15 -4367 ($ (-887 |#1|) |#2| $)) (-15 -3622 ($ (-887 |#1|) |#2| $ |#2|)) (-15 -2045 ((-634 (-2 (|:| -3651 (-1161)) (|:| -4085 |#2|))) $)) (-15 -4289 ($ (-634 (-2 (|:| -3651 (-1161)) (|:| -4085 |#2|))))) (-15 -2388 ((-3 (-121) "failed") $ (-887 |#1|))))) (-1090) (-1090)) (T -884)) 
-((-4229 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-884 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090)))) (-3485 (*1 *1) (-12 (-5 *1 (-884 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-1090)))) (-1851 (*1 *1) (-12 (-5 *1 (-884 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-1090)))) (-1793 (*1 *1 *1 *1) (-12 (-5 *1 (-884 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-1090)))) (-4414 (*1 *2 *3 *1) (|partial| -12 (-5 *3 (-887 *4)) (-4 *4 (-1090)) (-4 *2 (-1090)) (-5 *1 (-884 *4 *2)))) (-3737 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-887 *4)) (-4 *4 (-1090)) (-5 *1 (-884 *4 *3)) (-4 *3 (-1090)))) (-4367 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-887 *4)) (-4 *4 (-1090)) (-5 *1 (-884 *4 *3)) (-4 *3 (-1090)))) (-3622 (*1 *1 *2 *3 *1 *3) (-12 (-5 *2 (-887 *4)) (-4 *4 (-1090)) (-5 *1 (-884 *4 *3)) (-4 *3 (-1090)))) (-2045 (*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| -3651 (-1161)) (|:| -4085 *4)))) (-5 *1 (-884 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090)))) (-4289 (*1 *1 *2) (-12 (-5 *2 (-634 (-2 (|:| -3651 (-1161)) (|:| -4085 *4)))) (-4 *4 (-1090)) (-5 *1 (-884 *3 *4)) (-4 *3 (-1090)))) (-2388 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-887 *4)) (-4 *4 (-1090)) (-5 *2 (-121)) (-5 *1 (-884 *4 *5)) (-4 *5 (-1090))))) 
-(-13 (-1090) (-10 -8 (-15 -4229 ((-121) $)) (-15 -3485 ($)) (-15 -1851 ($)) (-15 -1793 ($ $ $)) (-15 -4414 ((-3 |#2| "failed") (-887 |#1|) $)) (-15 -3737 ($ (-887 |#1|) |#2| $)) (-15 -4367 ($ (-887 |#1|) |#2| $)) (-15 -3622 ($ (-887 |#1|) |#2| $ |#2|)) (-15 -2045 ((-634 (-2 (|:| -3651 (-1161)) (|:| -4085 |#2|))) $)) (-15 -4289 ($ (-634 (-2 (|:| -3651 (-1161)) (|:| -4085 |#2|))))) (-15 -2388 ((-3 (-121) "failed") $ (-887 |#1|))))) 
-((-1563 (((-887 |#1|) (-887 |#1|) (-634 (-1161)) (-1 (-121) (-634 |#2|))) 30) (((-887 |#1|) (-887 |#1|) (-634 (-1 (-121) |#2|))) 42) (((-887 |#1|) (-887 |#1|) (-1 (-121) |#2|)) 33)) (-2388 (((-121) (-634 |#2|) (-887 |#1|)) 39) (((-121) |#2| (-887 |#1|)) 35)) (-3991 (((-1 (-121) |#2|) (-887 |#1|)) 14)) (-4238 (((-634 |#2|) (-887 |#1|)) 23)) (-1763 (((-887 |#1|) (-887 |#1|) |#2|) 19))) 
-(((-885 |#1| |#2|) (-10 -7 (-15 -1563 ((-887 |#1|) (-887 |#1|) (-1 (-121) |#2|))) (-15 -1563 ((-887 |#1|) (-887 |#1|) (-634 (-1 (-121) |#2|)))) (-15 -1563 ((-887 |#1|) (-887 |#1|) (-634 (-1161)) (-1 (-121) (-634 |#2|)))) (-15 -3991 ((-1 (-121) |#2|) (-887 |#1|))) (-15 -2388 ((-121) |#2| (-887 |#1|))) (-15 -2388 ((-121) (-634 |#2|) (-887 |#1|))) (-15 -1763 ((-887 |#1|) (-887 |#1|) |#2|)) (-15 -4238 ((-634 |#2|) (-887 |#1|)))) (-1090) (-1195)) (T -885)) 
-((-4238 (*1 *2 *3) (-12 (-5 *3 (-887 *4)) (-4 *4 (-1090)) (-5 *2 (-634 *5)) (-5 *1 (-885 *4 *5)) (-4 *5 (-1195)))) (-1763 (*1 *2 *2 *3) (-12 (-5 *2 (-887 *4)) (-4 *4 (-1090)) (-5 *1 (-885 *4 *3)) (-4 *3 (-1195)))) (-2388 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *6)) (-5 *4 (-887 *5)) (-4 *5 (-1090)) (-4 *6 (-1195)) (-5 *2 (-121)) (-5 *1 (-885 *5 *6)))) (-2388 (*1 *2 *3 *4) (-12 (-5 *4 (-887 *5)) (-4 *5 (-1090)) (-5 *2 (-121)) (-5 *1 (-885 *5 *3)) (-4 *3 (-1195)))) (-3991 (*1 *2 *3) (-12 (-5 *3 (-887 *4)) (-4 *4 (-1090)) (-5 *2 (-1 (-121) *5)) (-5 *1 (-885 *4 *5)) (-4 *5 (-1195)))) (-1563 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-887 *5)) (-5 *3 (-634 (-1161))) (-5 *4 (-1 (-121) (-634 *6))) (-4 *5 (-1090)) (-4 *6 (-1195)) (-5 *1 (-885 *5 *6)))) (-1563 (*1 *2 *2 *3) (-12 (-5 *2 (-887 *4)) (-5 *3 (-634 (-1 (-121) *5))) (-4 *4 (-1090)) (-4 *5 (-1195)) (-5 *1 (-885 *4 *5)))) (-1563 (*1 *2 *2 *3) (-12 (-5 *2 (-887 *4)) (-5 *3 (-1 (-121) *5)) (-4 *4 (-1090)) (-4 *5 (-1195)) (-5 *1 (-885 *4 *5))))) 
-(-10 -7 (-15 -1563 ((-887 |#1|) (-887 |#1|) (-1 (-121) |#2|))) (-15 -1563 ((-887 |#1|) (-887 |#1|) (-634 (-1 (-121) |#2|)))) (-15 -1563 ((-887 |#1|) (-887 |#1|) (-634 (-1161)) (-1 (-121) (-634 |#2|)))) (-15 -3991 ((-1 (-121) |#2|) (-887 |#1|))) (-15 -2388 ((-121) |#2| (-887 |#1|))) (-15 -2388 ((-121) (-634 |#2|) (-887 |#1|))) (-15 -1763 ((-887 |#1|) (-887 |#1|) |#2|)) (-15 -4238 ((-634 |#2|) (-887 |#1|)))) 
-((-2797 (((-887 |#2|) (-1 |#2| |#1|) (-887 |#1|)) 17))) 
-(((-886 |#1| |#2|) (-10 -7 (-15 -2797 ((-887 |#2|) (-1 |#2| |#1|) (-887 |#1|)))) (-1090) (-1090)) (T -886)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-887 *5)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-5 *2 (-887 *6)) (-5 *1 (-886 *5 *6))))) 
-(-10 -7 (-15 -2797 ((-887 |#2|) (-1 |#2| |#1|) (-887 |#1|)))) 
-((-2449 (((-121) $ $) NIL)) (-2832 (($ $ (-634 (-57))) 62)) (-2057 (((-634 $) $) 116)) (-1921 (((-2 (|:| |var| (-634 (-1161))) (|:| |pred| (-57))) $) 22)) (-1623 (((-121) $) 29)) (-4224 (($ $ (-634 (-1161)) (-57)) 24)) (-1408 (($ $ (-634 (-57))) 61)) (-3668 (((-3 |#1| "failed") $) 59) (((-3 (-1161) "failed") $) 138)) (-2857 ((|#1| $) 55) (((-1161) $) NIL)) (-1917 (($ $) 106)) (-2900 (((-121) $) 45)) (-3741 (((-634 (-57)) $) 43)) (-2561 (($ (-1161) (-121) (-121) (-121)) 63)) (-3827 (((-3 (-634 $) "failed") (-634 $)) 70)) (-1776 (((-121) $) 48)) (-3220 (((-121) $) 47)) (-1893 (((-1143) $) NIL)) (-4362 (((-3 (-634 $) "failed") $) 34)) (-2260 (((-3 (-2 (|:| |num| $) (|:| |den| $)) "failed") $) 41)) (-4495 (((-3 (-2 (|:| |val| $) (|:| -3483 $)) "failed") $) 81)) (-2112 (((-3 (-634 $) "failed") $) 31)) (-3165 (((-3 (-634 $) "failed") $ (-123)) 105) (((-3 (-2 (|:| -4194 (-123)) (|:| |arg| (-634 $))) "failed") $) 93)) (-1663 (((-3 (-634 $) "failed") $) 35)) (-2617 (((-3 (-2 (|:| |val| $) (|:| -3483 (-763))) "failed") $) 38)) (-3271 (((-121) $) 28)) (-4025 (((-1108) $) NIL)) (-3113 (((-121) $) 20)) (-3028 (((-121) $) 44)) (-3905 (((-634 (-57)) $) 109)) (-2098 (((-121) $) 46)) (-2781 (($ (-123) (-634 $)) 90)) (-4156 (((-763) $) 27)) (-3865 (($ $) 60)) (-4280 (($ (-634 $)) 57)) (-2475 (((-121) $) 25)) (-2747 (((-850) $) 50) (($ |#1|) 18) (($ (-1161)) 64)) (-1763 (($ $ (-57)) 108)) (-3058 (($) 89 T CONST)) (-1557 (($) 71 T CONST)) (-1719 (((-121) $ $) 77)) (-1781 (($ $ $) 98)) (-1769 (($ $ $) 102)) (** (($ $ (-763)) 97) (($ $ $) 51)) (* (($ $ $) 103))) 
-(((-887 |#1|) (-13 (-1090) (-1037 |#1|) (-1037 (-1161)) (-10 -8 (-15 0 ($) -3497) (-15 1 ($) -3497) (-15 -2112 ((-3 (-634 $) "failed") $)) (-15 -4362 ((-3 (-634 $) "failed") $)) (-15 -3165 ((-3 (-634 $) "failed") $ (-123))) (-15 -3165 ((-3 (-2 (|:| -4194 (-123)) (|:| |arg| (-634 $))) "failed") $)) (-15 -2617 ((-3 (-2 (|:| |val| $) (|:| -3483 (-763))) "failed") $)) (-15 -2260 ((-3 (-2 (|:| |num| $) (|:| |den| $)) "failed") $)) (-15 -1663 ((-3 (-634 $) "failed") $)) (-15 -4495 ((-3 (-2 (|:| |val| $) (|:| -3483 $)) "failed") $)) (-15 -2781 ($ (-123) (-634 $))) (-15 -1769 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-763))) (-15 ** ($ $ $)) (-15 -1781 ($ $ $)) (-15 -4156 ((-763) $)) (-15 -4280 ($ (-634 $))) (-15 -3865 ($ $)) (-15 -3271 ((-121) $)) (-15 -2900 ((-121) $)) (-15 -1623 ((-121) $)) (-15 -2475 ((-121) $)) (-15 -2098 ((-121) $)) (-15 -3220 ((-121) $)) (-15 -1776 ((-121) $)) (-15 -3028 ((-121) $)) (-15 -3741 ((-634 (-57)) $)) (-15 -1408 ($ $ (-634 (-57)))) (-15 -2832 ($ $ (-634 (-57)))) (-15 -2561 ($ (-1161) (-121) (-121) (-121))) (-15 -4224 ($ $ (-634 (-1161)) (-57))) (-15 -1921 ((-2 (|:| |var| (-634 (-1161))) (|:| |pred| (-57))) $)) (-15 -3113 ((-121) $)) (-15 -1917 ($ $)) (-15 -1763 ($ $ (-57))) (-15 -3905 ((-634 (-57)) $)) (-15 -2057 ((-634 $) $)) (-15 -3827 ((-3 (-634 $) "failed") (-634 $))))) (-1090)) (T -887)) 
-((-3058 (*1 *1) (-12 (-5 *1 (-887 *2)) (-4 *2 (-1090)))) (-1557 (*1 *1) (-12 (-5 *1 (-887 *2)) (-4 *2 (-1090)))) (-2112 (*1 *2 *1) (|partial| -12 (-5 *2 (-634 (-887 *3))) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) (-4362 (*1 *2 *1) (|partial| -12 (-5 *2 (-634 (-887 *3))) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) (-3165 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-634 (-887 *4))) (-5 *1 (-887 *4)) (-4 *4 (-1090)))) (-3165 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| -4194 (-123)) (|:| |arg| (-634 (-887 *3))))) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) (-2617 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-887 *3)) (|:| -3483 (-763)))) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) (-2260 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |num| (-887 *3)) (|:| |den| (-887 *3)))) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) (-1663 (*1 *2 *1) (|partial| -12 (-5 *2 (-634 (-887 *3))) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) (-4495 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-887 *3)) (|:| -3483 (-887 *3)))) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) (-2781 (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-634 (-887 *4))) (-5 *1 (-887 *4)) (-4 *4 (-1090)))) (-1769 (*1 *1 *1 *1) (-12 (-5 *1 (-887 *2)) (-4 *2 (-1090)))) (* (*1 *1 *1 *1) (-12 (-5 *1 (-887 *2)) (-4 *2 (-1090)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) (** (*1 *1 *1 *1) (-12 (-5 *1 (-887 *2)) (-4 *2 (-1090)))) (-1781 (*1 *1 *1 *1) (-12 (-5 *1 (-887 *2)) (-4 *2 (-1090)))) (-4156 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) (-4280 (*1 *1 *2) (-12 (-5 *2 (-634 (-887 *3))) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) (-3865 (*1 *1 *1) (-12 (-5 *1 (-887 *2)) (-4 *2 (-1090)))) (-3271 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) (-2900 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) (-1623 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) (-2475 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) (-2098 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) (-3220 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) (-1776 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) (-3028 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) (-3741 (*1 *2 *1) (-12 (-5 *2 (-634 (-57))) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) (-1408 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-57))) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) (-2832 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-57))) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) (-2561 (*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-121)) (-5 *1 (-887 *4)) (-4 *4 (-1090)))) (-4224 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-1161))) (-5 *3 (-57)) (-5 *1 (-887 *4)) (-4 *4 (-1090)))) (-1921 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |var| (-634 (-1161))) (|:| |pred| (-57)))) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) (-3113 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) (-1917 (*1 *1 *1) (-12 (-5 *1 (-887 *2)) (-4 *2 (-1090)))) (-1763 (*1 *1 *1 *2) (-12 (-5 *2 (-57)) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) (-3905 (*1 *2 *1) (-12 (-5 *2 (-634 (-57))) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) (-2057 (*1 *2 *1) (-12 (-5 *2 (-634 (-887 *3))) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) (-3827 (*1 *2 *2) (|partial| -12 (-5 *2 (-634 (-887 *3))) (-5 *1 (-887 *3)) (-4 *3 (-1090))))) 
-(-13 (-1090) (-1037 |#1|) (-1037 (-1161)) (-10 -8 (-15 (-3058) ($) -3497) (-15 (-1557) ($) -3497) (-15 -2112 ((-3 (-634 $) "failed") $)) (-15 -4362 ((-3 (-634 $) "failed") $)) (-15 -3165 ((-3 (-634 $) "failed") $ (-123))) (-15 -3165 ((-3 (-2 (|:| -4194 (-123)) (|:| |arg| (-634 $))) "failed") $)) (-15 -2617 ((-3 (-2 (|:| |val| $) (|:| -3483 (-763))) "failed") $)) (-15 -2260 ((-3 (-2 (|:| |num| $) (|:| |den| $)) "failed") $)) (-15 -1663 ((-3 (-634 $) "failed") $)) (-15 -4495 ((-3 (-2 (|:| |val| $) (|:| -3483 $)) "failed") $)) (-15 -2781 ($ (-123) (-634 $))) (-15 -1769 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-763))) (-15 ** ($ $ $)) (-15 -1781 ($ $ $)) (-15 -4156 ((-763) $)) (-15 -4280 ($ (-634 $))) (-15 -3865 ($ $)) (-15 -3271 ((-121) $)) (-15 -2900 ((-121) $)) (-15 -1623 ((-121) $)) (-15 -2475 ((-121) $)) (-15 -2098 ((-121) $)) (-15 -3220 ((-121) $)) (-15 -1776 ((-121) $)) (-15 -3028 ((-121) $)) (-15 -3741 ((-634 (-57)) $)) (-15 -1408 ($ $ (-634 (-57)))) (-15 -2832 ($ $ (-634 (-57)))) (-15 -2561 ($ (-1161) (-121) (-121) (-121))) (-15 -4224 ($ $ (-634 (-1161)) (-57))) (-15 -1921 ((-2 (|:| |var| (-634 (-1161))) (|:| |pred| (-57))) $)) (-15 -3113 ((-121) $)) (-15 -1917 ($ $)) (-15 -1763 ($ $ (-57))) (-15 -3905 ((-634 (-57)) $)) (-15 -2057 ((-634 $) $)) (-15 -3827 ((-3 (-634 $) "failed") (-634 $))))) 
-((-2449 (((-121) $ $) NIL)) (-2981 (((-634 |#1|) $) 16)) (-1407 (((-121) $) 38)) (-3668 (((-3 (-663 |#1|) "failed") $) 41)) (-2857 (((-663 |#1|) $) 39)) (-3936 (($ $) 18)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-3016 (((-634 (-663 |#1|)) $) 23)) (-3680 (((-763) $) 45)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-3877 (((-663 |#1|) $) 17)) (-2747 (((-850) $) 37) (($ (-663 |#1|)) 21) (((-814 |#1|) $) 27) (($ |#1|) 20)) (-1557 (($) 8 T CONST)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 11)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 48))) 
-(((-888 |#1|) (-13 (-842) (-1037 (-663 |#1|)) (-10 -8 (-15 1 ($) -3497) (-15 -2747 ((-814 |#1|) $)) (-15 -2747 ($ |#1|)) (-15 -3877 ((-663 |#1|) $)) (-15 -3680 ((-763) $)) (-15 -3016 ((-634 (-663 |#1|)) $)) (-15 -3936 ($ $)) (-15 -1407 ((-121) $)) (-15 -2981 ((-634 |#1|) $)))) (-842)) (T -888)) 
-((-1557 (*1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-842)))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-814 *3)) (-5 *1 (-888 *3)) (-4 *3 (-842)))) (-2747 (*1 *1 *2) (-12 (-5 *1 (-888 *2)) (-4 *2 (-842)))) (-3877 (*1 *2 *1) (-12 (-5 *2 (-663 *3)) (-5 *1 (-888 *3)) (-4 *3 (-842)))) (-3680 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-888 *3)) (-4 *3 (-842)))) (-3016 (*1 *2 *1) (-12 (-5 *2 (-634 (-663 *3))) (-5 *1 (-888 *3)) (-4 *3 (-842)))) (-3936 (*1 *1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-842)))) (-1407 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-842)))) (-2981 (*1 *2 *1) (-12 (-5 *2 (-634 *3)) (-5 *1 (-888 *3)) (-4 *3 (-842))))) 
-(-13 (-842) (-1037 (-663 |#1|)) (-10 -8 (-15 (-1557) ($) -3497) (-15 -2747 ((-814 |#1|) $)) (-15 -2747 ($ |#1|)) (-15 -3877 ((-663 |#1|) $)) (-15 -3680 ((-763) $)) (-15 -3016 ((-634 (-663 |#1|)) $)) (-15 -3936 ($ $)) (-15 -1407 ((-121) $)) (-15 -2981 ((-634 |#1|) $)))) 
-((-2480 ((|#1| |#1| |#1|) 19))) 
-(((-889 |#1| |#2|) (-10 -7 (-15 -2480 (|#1| |#1| |#1|))) (-1219 |#2|) (-1047)) (T -889)) 
-((-2480 (*1 *2 *2 *2) (-12 (-4 *3 (-1047)) (-5 *1 (-889 *2 *3)) (-4 *2 (-1219 *3))))) 
-(-10 -7 (-15 -2480 (|#1| |#1| |#1|))) 
-((-2449 (((-121) $ $) 7)) (-3031 (((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |pde| (-634 (-310 (-215)))) (|:| |constraints| (-634 (-2 (|:| |start| (-215)) (|:| |finish| (-215)) (|:| |grid| (-763)) (|:| |boundaryType| (-568)) (|:| |dStart| (-679 (-215))) (|:| |dFinish| (-679 (-215)))))) (|:| |f| (-634 (-634 (-310 (-215))))) (|:| |st| (-1143)) (|:| |tol| (-215)))) 13)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-1476 (((-1035) (-2 (|:| |pde| (-634 (-310 (-215)))) (|:| |constraints| (-634 (-2 (|:| |start| (-215)) (|:| |finish| (-215)) (|:| |grid| (-763)) (|:| |boundaryType| (-568)) (|:| |dStart| (-679 (-215))) (|:| |dFinish| (-679 (-215)))))) (|:| |f| (-634 (-634 (-310 (-215))))) (|:| |st| (-1143)) (|:| |tol| (-215)))) 12)) (-1719 (((-121) $ $) 6))) 
-(((-890) (-1275)) (T -890)) 
-((-3031 (*1 *2 *3 *4) (-12 (-4 *1 (-890)) (-5 *3 (-1059)) (-5 *4 (-2 (|:| |pde| (-634 (-310 (-215)))) (|:| |constraints| (-634 (-2 (|:| |start| (-215)) (|:| |finish| (-215)) (|:| |grid| (-763)) (|:| |boundaryType| (-568)) (|:| |dStart| (-679 (-215))) (|:| |dFinish| (-679 (-215)))))) (|:| |f| (-634 (-634 (-310 (-215))))) (|:| |st| (-1143)) (|:| |tol| (-215)))) (-5 *2 (-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)))))) (-1476 (*1 *2 *3) (-12 (-4 *1 (-890)) (-5 *3 (-2 (|:| |pde| (-634 (-310 (-215)))) (|:| |constraints| (-634 (-2 (|:| |start| (-215)) (|:| |finish| (-215)) (|:| |grid| (-763)) (|:| |boundaryType| (-568)) (|:| |dStart| (-679 (-215))) (|:| |dFinish| (-679 (-215)))))) (|:| |f| (-634 (-634 (-310 (-215))))) (|:| |st| (-1143)) (|:| |tol| (-215)))) (-5 *2 (-1035))))) 
-(-13 (-1090) (-10 -7 (-15 -3031 ((-2 (|:| -3031 (-381)) (|:| |explanations| (-1143))) (-1059) (-2 (|:| |pde| (-634 (-310 (-215)))) (|:| |constraints| (-634 (-2 (|:| |start| (-215)) (|:| |finish| (-215)) (|:| |grid| (-763)) (|:| |boundaryType| (-568)) (|:| |dStart| (-679 (-215))) (|:| |dFinish| (-679 (-215)))))) (|:| |f| (-634 (-634 (-310 (-215))))) (|:| |st| (-1143)) (|:| |tol| (-215))))) (-15 -1476 ((-1035) (-2 (|:| |pde| (-634 (-310 (-215)))) (|:| |constraints| (-634 (-2 (|:| |start| (-215)) (|:| |finish| (-215)) (|:| |grid| (-763)) (|:| |boundaryType| (-568)) (|:| |dStart| (-679 (-215))) (|:| |dFinish| (-679 (-215)))))) (|:| |f| (-634 (-634 (-310 (-215))))) (|:| |st| (-1143)) (|:| |tol| (-215))))))) 
-(((-105) . T) ((-608 (-850)) . T) ((-1090) . T)) 
-((-3038 ((|#1| |#1| (-763)) 23)) (-1469 (((-3 |#1| "failed") |#1| |#1|) 22)) (-3946 (((-3 (-2 (|:| -3030 |#1|) (|:| -3286 |#1|)) "failed") |#1| (-763) (-763)) 26) (((-634 |#1|) |#1|) 28))) 
-(((-891 |#1| |#2|) (-10 -7 (-15 -3946 ((-634 |#1|) |#1|)) (-15 -3946 ((-3 (-2 (|:| -3030 |#1|) (|:| -3286 |#1|)) "failed") |#1| (-763) (-763))) (-15 -1469 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3038 (|#1| |#1| (-763)))) (-1219 |#2|) (-365)) (T -891)) 
-((-3038 (*1 *2 *2 *3) (-12 (-5 *3 (-763)) (-4 *4 (-365)) (-5 *1 (-891 *2 *4)) (-4 *2 (-1219 *4)))) (-1469 (*1 *2 *2 *2) (|partial| -12 (-4 *3 (-365)) (-5 *1 (-891 *2 *3)) (-4 *2 (-1219 *3)))) (-3946 (*1 *2 *3 *4 *4) (|partial| -12 (-5 *4 (-763)) (-4 *5 (-365)) (-5 *2 (-2 (|:| -3030 *3) (|:| -3286 *3))) (-5 *1 (-891 *3 *5)) (-4 *3 (-1219 *5)))) (-3946 (*1 *2 *3) (-12 (-4 *4 (-365)) (-5 *2 (-634 *3)) (-5 *1 (-891 *3 *4)) (-4 *3 (-1219 *4))))) 
-(-10 -7 (-15 -3946 ((-634 |#1|) |#1|)) (-15 -3946 ((-3 (-2 (|:| -3030 |#1|) (|:| -3286 |#1|)) "failed") |#1| (-763) (-763))) (-15 -1469 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3038 (|#1| |#1| (-763)))) 
-((-3259 (((-1035) (-381) (-381) (-381) (-381) (-763) (-763) (-634 (-310 (-381))) (-634 (-634 (-310 (-381)))) (-1143)) 92) (((-1035) (-381) (-381) (-381) (-381) (-763) (-763) (-634 (-310 (-381))) (-634 (-634 (-310 (-381)))) (-1143) (-215)) 87) (((-1035) (-893) (-1059)) 76) (((-1035) (-893)) 77)) (-3031 (((-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143)))) (-893) (-1059)) 50) (((-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143)))) (-893)) 52))) 
-(((-892) (-10 -7 (-15 -3259 ((-1035) (-893))) (-15 -3259 ((-1035) (-893) (-1059))) (-15 -3259 ((-1035) (-381) (-381) (-381) (-381) (-763) (-763) (-634 (-310 (-381))) (-634 (-634 (-310 (-381)))) (-1143) (-215))) (-15 -3259 ((-1035) (-381) (-381) (-381) (-381) (-763) (-763) (-634 (-310 (-381))) (-634 (-634 (-310 (-381)))) (-1143))) (-15 -3031 ((-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143)))) (-893))) (-15 -3031 ((-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143)))) (-893) (-1059))))) (T -892)) 
-((-3031 (*1 *2 *3 *4) (-12 (-5 *3 (-893)) (-5 *4 (-1059)) (-5 *2 (-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))))) (-5 *1 (-892)))) (-3031 (*1 *2 *3) (-12 (-5 *3 (-893)) (-5 *2 (-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))))) (-5 *1 (-892)))) (-3259 (*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7) (-12 (-5 *4 (-763)) (-5 *6 (-634 (-634 (-310 *3)))) (-5 *7 (-1143)) (-5 *5 (-634 (-310 (-381)))) (-5 *3 (-381)) (-5 *2 (-1035)) (-5 *1 (-892)))) (-3259 (*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7 *8) (-12 (-5 *4 (-763)) (-5 *6 (-634 (-634 (-310 *3)))) (-5 *7 (-1143)) (-5 *8 (-215)) (-5 *5 (-634 (-310 (-381)))) (-5 *3 (-381)) (-5 *2 (-1035)) (-5 *1 (-892)))) (-3259 (*1 *2 *3 *4) (-12 (-5 *3 (-893)) (-5 *4 (-1059)) (-5 *2 (-1035)) (-5 *1 (-892)))) (-3259 (*1 *2 *3) (-12 (-5 *3 (-893)) (-5 *2 (-1035)) (-5 *1 (-892))))) 
-(-10 -7 (-15 -3259 ((-1035) (-893))) (-15 -3259 ((-1035) (-893) (-1059))) (-15 -3259 ((-1035) (-381) (-381) (-381) (-381) (-763) (-763) (-634 (-310 (-381))) (-634 (-634 (-310 (-381)))) (-1143) (-215))) (-15 -3259 ((-1035) (-381) (-381) (-381) (-381) (-763) (-763) (-634 (-310 (-381))) (-634 (-634 (-310 (-381)))) (-1143))) (-15 -3031 ((-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143)))) (-893))) (-15 -3031 ((-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143)))) (-893) (-1059)))) 
-((-2449 (((-121) $ $) NIL)) (-2857 (((-2 (|:| |pde| (-634 (-310 (-215)))) (|:| |constraints| (-634 (-2 (|:| |start| (-215)) (|:| |finish| (-215)) (|:| |grid| (-763)) (|:| |boundaryType| (-568)) (|:| |dStart| (-679 (-215))) (|:| |dFinish| (-679 (-215)))))) (|:| |f| (-634 (-634 (-310 (-215))))) (|:| |st| (-1143)) (|:| |tol| (-215))) $) 10)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) 12) (($ (-2 (|:| |pde| (-634 (-310 (-215)))) (|:| |constraints| (-634 (-2 (|:| |start| (-215)) (|:| |finish| (-215)) (|:| |grid| (-763)) (|:| |boundaryType| (-568)) (|:| |dStart| (-679 (-215))) (|:| |dFinish| (-679 (-215)))))) (|:| |f| (-634 (-634 (-310 (-215))))) (|:| |st| (-1143)) (|:| |tol| (-215)))) 9)) (-1719 (((-121) $ $) NIL))) 
-(((-893) (-13 (-1090) (-10 -8 (-15 -2747 ($ (-2 (|:| |pde| (-634 (-310 (-215)))) (|:| |constraints| (-634 (-2 (|:| |start| (-215)) (|:| |finish| (-215)) (|:| |grid| (-763)) (|:| |boundaryType| (-568)) (|:| |dStart| (-679 (-215))) (|:| |dFinish| (-679 (-215)))))) (|:| |f| (-634 (-634 (-310 (-215))))) (|:| |st| (-1143)) (|:| |tol| (-215))))) (-15 -2747 ((-850) $)) (-15 -2857 ((-2 (|:| |pde| (-634 (-310 (-215)))) (|:| |constraints| (-634 (-2 (|:| |start| (-215)) (|:| |finish| (-215)) (|:| |grid| (-763)) (|:| |boundaryType| (-568)) (|:| |dStart| (-679 (-215))) (|:| |dFinish| (-679 (-215)))))) (|:| |f| (-634 (-634 (-310 (-215))))) (|:| |st| (-1143)) (|:| |tol| (-215))) $))))) (T -893)) 
-((-2747 (*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-893)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |pde| (-634 (-310 (-215)))) (|:| |constraints| (-634 (-2 (|:| |start| (-215)) (|:| |finish| (-215)) (|:| |grid| (-763)) (|:| |boundaryType| (-568)) (|:| |dStart| (-679 (-215))) (|:| |dFinish| (-679 (-215)))))) (|:| |f| (-634 (-634 (-310 (-215))))) (|:| |st| (-1143)) (|:| |tol| (-215)))) (-5 *1 (-893)))) (-2857 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |pde| (-634 (-310 (-215)))) (|:| |constraints| (-634 (-2 (|:| |start| (-215)) (|:| |finish| (-215)) (|:| |grid| (-763)) (|:| |boundaryType| (-568)) (|:| |dStart| (-679 (-215))) (|:| |dFinish| (-679 (-215)))))) (|:| |f| (-634 (-634 (-310 (-215))))) (|:| |st| (-1143)) (|:| |tol| (-215)))) (-5 *1 (-893))))) 
-(-13 (-1090) (-10 -8 (-15 -2747 ($ (-2 (|:| |pde| (-634 (-310 (-215)))) (|:| |constraints| (-634 (-2 (|:| |start| (-215)) (|:| |finish| (-215)) (|:| |grid| (-763)) (|:| |boundaryType| (-568)) (|:| |dStart| (-679 (-215))) (|:| |dFinish| (-679 (-215)))))) (|:| |f| (-634 (-634 (-310 (-215))))) (|:| |st| (-1143)) (|:| |tol| (-215))))) (-15 -2747 ((-850) $)) (-15 -2857 ((-2 (|:| |pde| (-634 (-310 (-215)))) (|:| |constraints| (-634 (-2 (|:| |start| (-215)) (|:| |finish| (-215)) (|:| |grid| (-763)) (|:| |boundaryType| (-568)) (|:| |dStart| (-679 (-215))) (|:| |dFinish| (-679 (-215)))))) (|:| |f| (-634 (-634 (-310 (-215))))) (|:| |st| (-1143)) (|:| |tol| (-215))) $)))) 
-((-4191 (($ $ |#2|) NIL) (($ $ (-634 |#2|)) 10) (($ $ |#2| (-763)) 12) (($ $ (-634 |#2|) (-634 (-763))) 15)) (-3192 (($ $ |#2|) 16) (($ $ (-634 |#2|)) 18) (($ $ |#2| (-763)) 19) (($ $ (-634 |#2|) (-634 (-763))) 21))) 
-(((-894 |#1| |#2|) (-10 -8 (-15 -3192 (|#1| |#1| (-634 |#2|) (-634 (-763)))) (-15 -3192 (|#1| |#1| |#2| (-763))) (-15 -3192 (|#1| |#1| (-634 |#2|))) (-15 -3192 (|#1| |#1| |#2|)) (-15 -4191 (|#1| |#1| (-634 |#2|) (-634 (-763)))) (-15 -4191 (|#1| |#1| |#2| (-763))) (-15 -4191 (|#1| |#1| (-634 |#2|))) (-15 -4191 (|#1| |#1| |#2|))) (-895 |#2|) (-1090)) (T -894)) 
-NIL 
-(-10 -8 (-15 -3192 (|#1| |#1| (-634 |#2|) (-634 (-763)))) (-15 -3192 (|#1| |#1| |#2| (-763))) (-15 -3192 (|#1| |#1| (-634 |#2|))) (-15 -3192 (|#1| |#1| |#2|)) (-15 -4191 (|#1| |#1| (-634 |#2|) (-634 (-763)))) (-15 -4191 (|#1| |#1| |#2| (-763))) (-15 -4191 (|#1| |#1| (-634 |#2|))) (-15 -4191 (|#1| |#1| |#2|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-2902 (((-3 $ "failed") $) 33)) (-1598 (((-121) $) 30)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-4191 (($ $ |#1|) 41) (($ $ (-634 |#1|)) 40) (($ $ |#1| (-763)) 39) (($ $ (-634 |#1|) (-634 (-763))) 38)) (-2747 (((-850) $) 11) (($ (-568)) 27)) (-3425 (((-763)) 28)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3192 (($ $ |#1|) 37) (($ $ (-634 |#1|)) 36) (($ $ |#1| (-763)) 35) (($ $ (-634 |#1|) (-634 (-763))) 34)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23))) 
-(((-895 |#1|) (-1275) (-1090)) (T -895)) 
-((-4191 (*1 *1 *1 *2) (-12 (-4 *1 (-895 *2)) (-4 *2 (-1090)))) (-4191 (*1 *1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *1 (-895 *3)) (-4 *3 (-1090)))) (-4191 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-763)) (-4 *1 (-895 *2)) (-4 *2 (-1090)))) (-4191 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 *4)) (-5 *3 (-634 (-763))) (-4 *1 (-895 *4)) (-4 *4 (-1090)))) (-3192 (*1 *1 *1 *2) (-12 (-4 *1 (-895 *2)) (-4 *2 (-1090)))) (-3192 (*1 *1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *1 (-895 *3)) (-4 *3 (-1090)))) (-3192 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-763)) (-4 *1 (-895 *2)) (-4 *2 (-1090)))) (-3192 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 *4)) (-5 *3 (-634 (-763))) (-4 *1 (-895 *4)) (-4 *4 (-1090))))) 
-(-13 (-1047) (-10 -8 (-15 -4191 ($ $ |t#1|)) (-15 -4191 ($ $ (-634 |t#1|))) (-15 -4191 ($ $ |t#1| (-763))) (-15 -4191 ($ $ (-634 |t#1|) (-634 (-763)))) (-15 -3192 ($ $ |t#1|)) (-15 -3192 ($ $ (-634 |t#1|))) (-15 -3192 ($ $ |t#1| (-763))) (-15 -3192 ($ $ (-634 |t#1|) (-634 (-763)))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-137) . T) ((-608 (-850)) . T) ((-637 $) . T) ((-716) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-2852 ((|#1| $) 26)) (-1667 (((-121) $ (-763)) NIL)) (-3370 ((|#1| $ |#1|) NIL (|has| $ (-6 -4522)))) (-3892 (($ $ $) NIL (|has| $ (-6 -4522)))) (-2458 (($ $ $) NIL (|has| $ (-6 -4522)))) (-2438 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4522))) (($ $ "left" $) NIL (|has| $ (-6 -4522))) (($ $ "right" $) NIL (|has| $ (-6 -4522)))) (-1809 (($ $ (-634 $)) NIL (|has| $ (-6 -4522)))) (-4490 (($) NIL T CONST)) (-3286 (($ $) 25)) (-1846 (($ |#1|) 12) (($ $ $) 17)) (-3317 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-3534 (((-634 $) $) NIL)) (-3606 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-3791 (((-121) $ (-763)) NIL)) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-2253 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-3030 (($ $) 23)) (-4081 (((-634 |#1|) $) NIL)) (-3319 (((-121) $) 20)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-1665 (((-568) $ $) NIL)) (-2763 (((-121) $) NIL)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3865 (($ $) NIL)) (-2747 (((-850) $) 29 (|has| |#1| (-1090))) (((-1182 |#1|) $) 9)) (-3180 (((-634 $) $) NIL)) (-3873 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 21 (|has| |#1| (-1090)))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-896 |#1|) (-13 (-128 |#1|) (-10 -8 (-15 -1846 ($ |#1|)) (-15 -1846 ($ $ $)) (-15 -2747 ((-1182 |#1|) $)))) (-1090)) (T -896)) 
-((-1846 (*1 *1 *2) (-12 (-5 *1 (-896 *2)) (-4 *2 (-1090)))) (-1846 (*1 *1 *1 *1) (-12 (-5 *1 (-896 *2)) (-4 *2 (-1090)))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-1182 *3)) (-5 *1 (-896 *3)) (-4 *3 (-1090))))) 
-(-13 (-128 |#1|) (-10 -8 (-15 -1846 ($ |#1|)) (-15 -1846 ($ $ $)) (-15 -2747 ((-1182 |#1|) $)))) 
-((-2059 ((|#2| (-1127 |#1| |#2|)) 39))) 
-(((-897 |#1| |#2|) (-10 -7 (-15 -2059 (|#2| (-1127 |#1| |#2|)))) (-917) (-13 (-1047) (-10 -7 (-6 (-4523 "*"))))) (T -897)) 
-((-2059 (*1 *2 *3) (-12 (-5 *3 (-1127 *4 *2)) (-14 *4 (-917)) (-4 *2 (-13 (-1047) (-10 -7 (-6 (-4523 "*"))))) (-5 *1 (-897 *4 *2))))) 
-(-10 -7 (-15 -2059 (|#2| (-1127 |#1| |#2|)))) 
-((-2449 (((-121) $ $) 7)) (-4490 (($) 19 T CONST)) (-2902 (((-3 $ "failed") $) 15)) (-4450 (((-1092 |#1|) $ |#1|) 34)) (-1598 (((-121) $) 18)) (-1732 (($ $ $) 32 (-2199 (|has| |#1| (-842)) (|has| |#1| (-370))))) (-2047 (($ $ $) 31 (-2199 (|has| |#1| (-842)) (|has| |#1| (-370))))) (-1893 (((-1143) $) 9)) (-2083 (($ $) 26)) (-4025 (((-1108) $) 10)) (-1339 ((|#1| $ |#1|) 36)) (-2781 ((|#1| $ |#1|) 35)) (-2892 (($ (-634 (-634 |#1|))) 37)) (-3931 (($ (-634 |#1|)) 38)) (-2387 (($ $ $) 22)) (-3985 (($ $ $) 21)) (-2747 (((-850) $) 11)) (-1889 (($ $ (-917)) 12) (($ $ (-763)) 16) (($ $ (-568)) 23)) (-1557 (($) 20 T CONST)) (-1753 (((-121) $ $) 29 (-2199 (|has| |#1| (-842)) (|has| |#1| (-370))))) (-1740 (((-121) $ $) 28 (-2199 (|has| |#1| (-842)) (|has| |#1| (-370))))) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 30 (-2199 (|has| |#1| (-842)) (|has| |#1| (-370))))) (-1734 (((-121) $ $) 33)) (-1781 (($ $ $) 25)) (** (($ $ (-917)) 13) (($ $ (-763)) 17) (($ $ (-568)) 24)) (* (($ $ $) 14))) 
-(((-898 |#1|) (-1275) (-1090)) (T -898)) 
-((-3931 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-4 *1 (-898 *3)))) (-2892 (*1 *1 *2) (-12 (-5 *2 (-634 (-634 *3))) (-4 *3 (-1090)) (-4 *1 (-898 *3)))) (-1339 (*1 *2 *1 *2) (-12 (-4 *1 (-898 *2)) (-4 *2 (-1090)))) (-2781 (*1 *2 *1 *2) (-12 (-4 *1 (-898 *2)) (-4 *2 (-1090)))) (-4450 (*1 *2 *1 *3) (-12 (-4 *1 (-898 *3)) (-4 *3 (-1090)) (-5 *2 (-1092 *3)))) (-1734 (*1 *2 *1 *1) (-12 (-4 *1 (-898 *3)) (-4 *3 (-1090)) (-5 *2 (-121))))) 
-(-13 (-478) (-10 -8 (-15 -3931 ($ (-634 |t#1|))) (-15 -2892 ($ (-634 (-634 |t#1|)))) (-15 -1339 (|t#1| $ |t#1|)) (-15 -2781 (|t#1| $ |t#1|)) (-15 -4450 ((-1092 |t#1|) $ |t#1|)) (-15 -1734 ((-121) $ $)) (IF (|has| |t#1| (-842)) (-6 (-842)) |noBranch|) (IF (|has| |t#1| (-370)) (-6 (-842)) |noBranch|))) 
-(((-105) . T) ((-608 (-850)) . T) ((-478) . T) ((-716) . T) ((-842) -2199 (|has| |#1| (-842)) (|has| |#1| (-370))) ((-1102) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) NIL)) (-4311 (((-634 (-634 (-763))) $) 106)) (-3521 (((-634 (-763)) (-900 |#1|) $) 128)) (-3112 (((-634 (-763)) (-900 |#1|) $) 129)) (-2170 (((-634 (-900 |#1|)) $) 96)) (-1733 (((-900 |#1|) $ (-568)) 101) (((-900 |#1|) $) 102)) (-2071 (($ (-634 (-900 |#1|))) 108)) (-1844 (((-763) $) 103)) (-1489 (((-1092 (-1092 |#1|)) $) 126)) (-4450 (((-1092 |#1|) $ |#1|) 119) (((-1092 (-1092 |#1|)) $ (-1092 |#1|)) 137) (((-1092 (-634 |#1|)) $ (-634 |#1|)) 140)) (-1787 (((-1092 |#1|) $) 99)) (-2551 (((-121) (-900 |#1|) $) 90)) (-1893 (((-1143) $) NIL)) (-1298 (((-1249) $) 93) (((-1249) $ (-568) (-568)) 141)) (-4025 (((-1108) $) NIL)) (-4057 (((-634 (-900 |#1|)) $) 94)) (-2781 (((-900 |#1|) $ (-763)) 97)) (-1836 (((-763) $) 104)) (-2747 (((-850) $) 117) (((-634 (-900 |#1|)) $) 22) (($ (-634 (-900 |#1|))) 107)) (-2404 (((-634 |#1|) $) 105)) (-1719 (((-121) $ $) 134)) (-1747 (((-121) $ $) 132)) (-1734 (((-121) $ $) 131))) 
-(((-899 |#1|) (-13 (-1090) (-10 -8 (-15 -2747 ((-634 (-900 |#1|)) $)) (-15 -4057 ((-634 (-900 |#1|)) $)) (-15 -2781 ((-900 |#1|) $ (-763))) (-15 -1733 ((-900 |#1|) $ (-568))) (-15 -1733 ((-900 |#1|) $)) (-15 -1844 ((-763) $)) (-15 -1836 ((-763) $)) (-15 -2404 ((-634 |#1|) $)) (-15 -2170 ((-634 (-900 |#1|)) $)) (-15 -4311 ((-634 (-634 (-763))) $)) (-15 -2747 ($ (-634 (-900 |#1|)))) (-15 -2071 ($ (-634 (-900 |#1|)))) (-15 -4450 ((-1092 |#1|) $ |#1|)) (-15 -1489 ((-1092 (-1092 |#1|)) $)) (-15 -4450 ((-1092 (-1092 |#1|)) $ (-1092 |#1|))) (-15 -4450 ((-1092 (-634 |#1|)) $ (-634 |#1|))) (-15 -2551 ((-121) (-900 |#1|) $)) (-15 -3521 ((-634 (-763)) (-900 |#1|) $)) (-15 -3112 ((-634 (-763)) (-900 |#1|) $)) (-15 -1787 ((-1092 |#1|) $)) (-15 -1734 ((-121) $ $)) (-15 -1747 ((-121) $ $)) (-15 -1298 ((-1249) $)) (-15 -1298 ((-1249) $ (-568) (-568))))) (-1090)) (T -899)) 
-((-2747 (*1 *2 *1) (-12 (-5 *2 (-634 (-900 *3))) (-5 *1 (-899 *3)) (-4 *3 (-1090)))) (-4057 (*1 *2 *1) (-12 (-5 *2 (-634 (-900 *3))) (-5 *1 (-899 *3)) (-4 *3 (-1090)))) (-2781 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-900 *4)) (-5 *1 (-899 *4)) (-4 *4 (-1090)))) (-1733 (*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-5 *2 (-900 *4)) (-5 *1 (-899 *4)) (-4 *4 (-1090)))) (-1733 (*1 *2 *1) (-12 (-5 *2 (-900 *3)) (-5 *1 (-899 *3)) (-4 *3 (-1090)))) (-1844 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-899 *3)) (-4 *3 (-1090)))) (-1836 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-899 *3)) (-4 *3 (-1090)))) (-2404 (*1 *2 *1) (-12 (-5 *2 (-634 *3)) (-5 *1 (-899 *3)) (-4 *3 (-1090)))) (-2170 (*1 *2 *1) (-12 (-5 *2 (-634 (-900 *3))) (-5 *1 (-899 *3)) (-4 *3 (-1090)))) (-4311 (*1 *2 *1) (-12 (-5 *2 (-634 (-634 (-763)))) (-5 *1 (-899 *3)) (-4 *3 (-1090)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-634 (-900 *3))) (-4 *3 (-1090)) (-5 *1 (-899 *3)))) (-2071 (*1 *1 *2) (-12 (-5 *2 (-634 (-900 *3))) (-4 *3 (-1090)) (-5 *1 (-899 *3)))) (-4450 (*1 *2 *1 *3) (-12 (-5 *2 (-1092 *3)) (-5 *1 (-899 *3)) (-4 *3 (-1090)))) (-1489 (*1 *2 *1) (-12 (-5 *2 (-1092 (-1092 *3))) (-5 *1 (-899 *3)) (-4 *3 (-1090)))) (-4450 (*1 *2 *1 *3) (-12 (-4 *4 (-1090)) (-5 *2 (-1092 (-1092 *4))) (-5 *1 (-899 *4)) (-5 *3 (-1092 *4)))) (-4450 (*1 *2 *1 *3) (-12 (-4 *4 (-1090)) (-5 *2 (-1092 (-634 *4))) (-5 *1 (-899 *4)) (-5 *3 (-634 *4)))) (-2551 (*1 *2 *3 *1) (-12 (-5 *3 (-900 *4)) (-4 *4 (-1090)) (-5 *2 (-121)) (-5 *1 (-899 *4)))) (-3521 (*1 *2 *3 *1) (-12 (-5 *3 (-900 *4)) (-4 *4 (-1090)) (-5 *2 (-634 (-763))) (-5 *1 (-899 *4)))) (-3112 (*1 *2 *3 *1) (-12 (-5 *3 (-900 *4)) (-4 *4 (-1090)) (-5 *2 (-634 (-763))) (-5 *1 (-899 *4)))) (-1787 (*1 *2 *1) (-12 (-5 *2 (-1092 *3)) (-5 *1 (-899 *3)) (-4 *3 (-1090)))) (-1734 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-899 *3)) (-4 *3 (-1090)))) (-1747 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-899 *3)) (-4 *3 (-1090)))) (-1298 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-899 *3)) (-4 *3 (-1090)))) (-1298 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-568)) (-5 *2 (-1249)) (-5 *1 (-899 *4)) (-4 *4 (-1090))))) 
-(-13 (-1090) (-10 -8 (-15 -2747 ((-634 (-900 |#1|)) $)) (-15 -4057 ((-634 (-900 |#1|)) $)) (-15 -2781 ((-900 |#1|) $ (-763))) (-15 -1733 ((-900 |#1|) $ (-568))) (-15 -1733 ((-900 |#1|) $)) (-15 -1844 ((-763) $)) (-15 -1836 ((-763) $)) (-15 -2404 ((-634 |#1|) $)) (-15 -2170 ((-634 (-900 |#1|)) $)) (-15 -4311 ((-634 (-634 (-763))) $)) (-15 -2747 ($ (-634 (-900 |#1|)))) (-15 -2071 ($ (-634 (-900 |#1|)))) (-15 -4450 ((-1092 |#1|) $ |#1|)) (-15 -1489 ((-1092 (-1092 |#1|)) $)) (-15 -4450 ((-1092 (-1092 |#1|)) $ (-1092 |#1|))) (-15 -4450 ((-1092 (-634 |#1|)) $ (-634 |#1|))) (-15 -2551 ((-121) (-900 |#1|) $)) (-15 -3521 ((-634 (-763)) (-900 |#1|) $)) (-15 -3112 ((-634 (-763)) (-900 |#1|) $)) (-15 -1787 ((-1092 |#1|) $)) (-15 -1734 ((-121) $ $)) (-15 -1747 ((-121) $ $)) (-15 -1298 ((-1249) $)) (-15 -1298 ((-1249) $ (-568) (-568))))) 
-((-2449 (((-121) $ $) NIL)) (-3647 (((-634 $) (-634 $)) 76)) (-3337 (((-568) $) 59)) (-4490 (($) NIL T CONST)) (-2902 (((-3 $ "failed") $) NIL)) (-1844 (((-763) $) 57)) (-4450 (((-1092 |#1|) $ |#1|) 48)) (-1598 (((-121) $) NIL)) (-2268 (((-121) $) 62)) (-2730 (((-763) $) 60)) (-1787 (((-1092 |#1|) $) 41)) (-1732 (($ $ $) NIL (-2199 (|has| |#1| (-370)) (|has| |#1| (-842))))) (-2047 (($ $ $) NIL (-2199 (|has| |#1| (-370)) (|has| |#1| (-842))))) (-2270 (((-2 (|:| |preimage| (-634 |#1|)) (|:| |image| (-634 |#1|))) $) 35)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) 92)) (-4025 (((-1108) $) NIL)) (-2670 (((-1092 |#1|) $) 98 (|has| |#1| (-370)))) (-2080 (((-121) $) 58)) (-1339 ((|#1| $ |#1|) 46)) (-2781 ((|#1| $ |#1|) 93)) (-1836 (((-763) $) 43)) (-2892 (($ (-634 (-634 |#1|))) 84)) (-3507 (((-972) $) 52)) (-3931 (($ (-634 |#1|)) 21)) (-2387 (($ $ $) NIL)) (-3985 (($ $ $) NIL)) (-3728 (($ (-634 (-634 |#1|))) 38)) (-4133 (($ (-634 (-634 |#1|))) 87)) (-3027 (($ (-634 |#1|)) 95)) (-2747 (((-850) $) 83) (($ (-634 (-634 |#1|))) 65) (($ (-634 |#1|)) 66)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-1557 (($) 16 T CONST)) (-1753 (((-121) $ $) NIL (-2199 (|has| |#1| (-370)) (|has| |#1| (-842))))) (-1740 (((-121) $ $) NIL (-2199 (|has| |#1| (-370)) (|has| |#1| (-842))))) (-1719 (((-121) $ $) 44)) (-1747 (((-121) $ $) NIL (-2199 (|has| |#1| (-370)) (|has| |#1| (-842))))) (-1734 (((-121) $ $) 64)) (-1781 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (* (($ $ $) 22))) 
-(((-900 |#1|) (-13 (-898 |#1|) (-10 -8 (-15 -2270 ((-2 (|:| |preimage| (-634 |#1|)) (|:| |image| (-634 |#1|))) $)) (-15 -3728 ($ (-634 (-634 |#1|)))) (-15 -2747 ($ (-634 (-634 |#1|)))) (-15 -2747 ($ (-634 |#1|))) (-15 -4133 ($ (-634 (-634 |#1|)))) (-15 -1836 ((-763) $)) (-15 -1787 ((-1092 |#1|) $)) (-15 -3507 ((-972) $)) (-15 -1844 ((-763) $)) (-15 -2730 ((-763) $)) (-15 -3337 ((-568) $)) (-15 -2080 ((-121) $)) (-15 -2268 ((-121) $)) (-15 -3647 ((-634 $) (-634 $))) (IF (|has| |#1| (-370)) (-15 -2670 ((-1092 |#1|) $)) |noBranch|) (IF (|has| |#1| (-550)) (-15 -3027 ($ (-634 |#1|))) (IF (|has| |#1| (-370)) (-15 -3027 ($ (-634 |#1|))) |noBranch|)))) (-1090)) (T -900)) 
-((-2270 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |preimage| (-634 *3)) (|:| |image| (-634 *3)))) (-5 *1 (-900 *3)) (-4 *3 (-1090)))) (-3728 (*1 *1 *2) (-12 (-5 *2 (-634 (-634 *3))) (-4 *3 (-1090)) (-5 *1 (-900 *3)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-634 (-634 *3))) (-4 *3 (-1090)) (-5 *1 (-900 *3)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-5 *1 (-900 *3)))) (-4133 (*1 *1 *2) (-12 (-5 *2 (-634 (-634 *3))) (-4 *3 (-1090)) (-5 *1 (-900 *3)))) (-1836 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-900 *3)) (-4 *3 (-1090)))) (-1787 (*1 *2 *1) (-12 (-5 *2 (-1092 *3)) (-5 *1 (-900 *3)) (-4 *3 (-1090)))) (-3507 (*1 *2 *1) (-12 (-5 *2 (-972)) (-5 *1 (-900 *3)) (-4 *3 (-1090)))) (-1844 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-900 *3)) (-4 *3 (-1090)))) (-2730 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-900 *3)) (-4 *3 (-1090)))) (-3337 (*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-900 *3)) (-4 *3 (-1090)))) (-2080 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-900 *3)) (-4 *3 (-1090)))) (-2268 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-900 *3)) (-4 *3 (-1090)))) (-3647 (*1 *2 *2) (-12 (-5 *2 (-634 (-900 *3))) (-5 *1 (-900 *3)) (-4 *3 (-1090)))) (-2670 (*1 *2 *1) (-12 (-5 *2 (-1092 *3)) (-5 *1 (-900 *3)) (-4 *3 (-370)) (-4 *3 (-1090)))) (-3027 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-5 *1 (-900 *3))))) 
-(-13 (-898 |#1|) (-10 -8 (-15 -2270 ((-2 (|:| |preimage| (-634 |#1|)) (|:| |image| (-634 |#1|))) $)) (-15 -3728 ($ (-634 (-634 |#1|)))) (-15 -2747 ($ (-634 (-634 |#1|)))) (-15 -2747 ($ (-634 |#1|))) (-15 -4133 ($ (-634 (-634 |#1|)))) (-15 -1836 ((-763) $)) (-15 -1787 ((-1092 |#1|) $)) (-15 -3507 ((-972) $)) (-15 -1844 ((-763) $)) (-15 -2730 ((-763) $)) (-15 -3337 ((-568) $)) (-15 -2080 ((-121) $)) (-15 -2268 ((-121) $)) (-15 -3647 ((-634 $) (-634 $))) (IF (|has| |#1| (-370)) (-15 -2670 ((-1092 |#1|) $)) |noBranch|) (IF (|has| |#1| (-550)) (-15 -3027 ($ (-634 |#1|))) (IF (|has| |#1| (-370)) (-15 -3027 ($ (-634 |#1|))) |noBranch|)))) 
-((-3711 (((-3 (-634 (-1157 |#4|)) "failed") (-634 (-1157 |#4|)) (-1157 |#4|)) 127)) (-3130 ((|#1|) 75)) (-4394 (((-420 (-1157 |#4|)) (-1157 |#4|)) 136)) (-1387 (((-420 (-1157 |#4|)) (-634 |#3|) (-1157 |#4|)) 67)) (-1629 (((-420 (-1157 |#4|)) (-1157 |#4|)) 146)) (-3593 (((-3 (-634 (-1157 |#4|)) "failed") (-634 (-1157 |#4|)) (-1157 |#4|) |#3|) 91))) 
-(((-901 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3711 ((-3 (-634 (-1157 |#4|)) "failed") (-634 (-1157 |#4|)) (-1157 |#4|))) (-15 -1629 ((-420 (-1157 |#4|)) (-1157 |#4|))) (-15 -4394 ((-420 (-1157 |#4|)) (-1157 |#4|))) (-15 -3130 (|#1|)) (-15 -3593 ((-3 (-634 (-1157 |#4|)) "failed") (-634 (-1157 |#4|)) (-1157 |#4|) |#3|)) (-15 -1387 ((-420 (-1157 |#4|)) (-634 |#3|) (-1157 |#4|)))) (-904) (-788) (-842) (-950 |#1| |#2| |#3|)) (T -901)) 
-((-1387 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *7)) (-4 *7 (-842)) (-4 *5 (-904)) (-4 *6 (-788)) (-4 *8 (-950 *5 *6 *7)) (-5 *2 (-420 (-1157 *8))) (-5 *1 (-901 *5 *6 *7 *8)) (-5 *4 (-1157 *8)))) (-3593 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *2 (-634 (-1157 *7))) (-5 *3 (-1157 *7)) (-4 *7 (-950 *5 *6 *4)) (-4 *5 (-904)) (-4 *6 (-788)) (-4 *4 (-842)) (-5 *1 (-901 *5 *6 *4 *7)))) (-3130 (*1 *2) (-12 (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-904)) (-5 *1 (-901 *2 *3 *4 *5)) (-4 *5 (-950 *2 *3 *4)))) (-4394 (*1 *2 *3) (-12 (-4 *4 (-904)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-950 *4 *5 *6)) (-5 *2 (-420 (-1157 *7))) (-5 *1 (-901 *4 *5 *6 *7)) (-5 *3 (-1157 *7)))) (-1629 (*1 *2 *3) (-12 (-4 *4 (-904)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-950 *4 *5 *6)) (-5 *2 (-420 (-1157 *7))) (-5 *1 (-901 *4 *5 *6 *7)) (-5 *3 (-1157 *7)))) (-3711 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-634 (-1157 *7))) (-5 *3 (-1157 *7)) (-4 *7 (-950 *4 *5 *6)) (-4 *4 (-904)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-901 *4 *5 *6 *7))))) 
-(-10 -7 (-15 -3711 ((-3 (-634 (-1157 |#4|)) "failed") (-634 (-1157 |#4|)) (-1157 |#4|))) (-15 -1629 ((-420 (-1157 |#4|)) (-1157 |#4|))) (-15 -4394 ((-420 (-1157 |#4|)) (-1157 |#4|))) (-15 -3130 (|#1|)) (-15 -3593 ((-3 (-634 (-1157 |#4|)) "failed") (-634 (-1157 |#4|)) (-1157 |#4|) |#3|)) (-15 -1387 ((-420 (-1157 |#4|)) (-634 |#3|) (-1157 |#4|)))) 
-((-3711 (((-3 (-634 (-1157 |#2|)) "failed") (-634 (-1157 |#2|)) (-1157 |#2|)) 36)) (-3130 ((|#1|) 53)) (-4394 (((-420 (-1157 |#2|)) (-1157 |#2|)) 101)) (-1387 (((-420 (-1157 |#2|)) (-1157 |#2|)) 88)) (-1629 (((-420 (-1157 |#2|)) (-1157 |#2|)) 112))) 
-(((-902 |#1| |#2|) (-10 -7 (-15 -3711 ((-3 (-634 (-1157 |#2|)) "failed") (-634 (-1157 |#2|)) (-1157 |#2|))) (-15 -1629 ((-420 (-1157 |#2|)) (-1157 |#2|))) (-15 -4394 ((-420 (-1157 |#2|)) (-1157 |#2|))) (-15 -3130 (|#1|)) (-15 -1387 ((-420 (-1157 |#2|)) (-1157 |#2|)))) (-904) (-1219 |#1|)) (T -902)) 
-((-1387 (*1 *2 *3) (-12 (-4 *4 (-904)) (-4 *5 (-1219 *4)) (-5 *2 (-420 (-1157 *5))) (-5 *1 (-902 *4 *5)) (-5 *3 (-1157 *5)))) (-3130 (*1 *2) (-12 (-4 *2 (-904)) (-5 *1 (-902 *2 *3)) (-4 *3 (-1219 *2)))) (-4394 (*1 *2 *3) (-12 (-4 *4 (-904)) (-4 *5 (-1219 *4)) (-5 *2 (-420 (-1157 *5))) (-5 *1 (-902 *4 *5)) (-5 *3 (-1157 *5)))) (-1629 (*1 *2 *3) (-12 (-4 *4 (-904)) (-4 *5 (-1219 *4)) (-5 *2 (-420 (-1157 *5))) (-5 *1 (-902 *4 *5)) (-5 *3 (-1157 *5)))) (-3711 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-634 (-1157 *5))) (-5 *3 (-1157 *5)) (-4 *5 (-1219 *4)) (-4 *4 (-904)) (-5 *1 (-902 *4 *5))))) 
-(-10 -7 (-15 -3711 ((-3 (-634 (-1157 |#2|)) "failed") (-634 (-1157 |#2|)) (-1157 |#2|))) (-15 -1629 ((-420 (-1157 |#2|)) (-1157 |#2|))) (-15 -4394 ((-420 (-1157 |#2|)) (-1157 |#2|))) (-15 -3130 (|#1|)) (-15 -1387 ((-420 (-1157 |#2|)) (-1157 |#2|)))) 
-((-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) 39)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 18)) (-3385 (((-3 $ "failed") $) 33))) 
-(((-903 |#1|) (-10 -8 (-15 -3385 ((-3 |#1| "failed") |#1|)) (-15 -2434 ((-3 (-634 (-1157 |#1|)) "failed") (-634 (-1157 |#1|)) (-1157 |#1|))) (-15 -3603 ((-1157 |#1|) (-1157 |#1|) (-1157 |#1|)))) (-904)) (T -903)) 
-NIL 
-(-10 -8 (-15 -3385 ((-3 |#1| "failed") |#1|)) (-15 -2434 ((-3 (-634 (-1157 |#1|)) "failed") (-634 (-1157 |#1|)) (-1157 |#1|))) (-15 -3603 ((-1157 |#1|) (-1157 |#1|) (-1157 |#1|)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 40)) (-3661 (($ $) 39)) (-4426 (((-121) $) 37)) (-2689 (((-3 $ "failed") $ $) 18)) (-3863 (((-420 (-1157 $)) (-1157 $)) 57)) (-3045 (($ $) 49)) (-3498 (((-420 $) $) 50)) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) 54)) (-4490 (($) 16 T CONST)) (-2902 (((-3 $ "failed") $) 33)) (-2197 (((-121) $) 51)) (-1598 (((-121) $) 30)) (-2498 (($ $ $) 45) (($ (-634 $)) 44)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 43)) (-2723 (($ $ $) 47) (($ (-634 $)) 46)) (-2841 (((-420 (-1157 $)) (-1157 $)) 55)) (-2795 (((-420 (-1157 $)) (-1157 $)) 56)) (-3850 (((-420 $) $) 48)) (-2597 (((-3 $ "failed") $ $) 41)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) 53 (|has| $ (-148)))) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ $) 42)) (-3385 (((-3 $ "failed") $) 52 (|has| $ (-148)))) (-3425 (((-763)) 28)) (-2273 (((-121) $ $) 38)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23))) 
-(((-904) (-1275)) (T -904)) 
-((-3603 (*1 *2 *2 *2) (-12 (-5 *2 (-1157 *1)) (-4 *1 (-904)))) (-3863 (*1 *2 *3) (-12 (-4 *1 (-904)) (-5 *2 (-420 (-1157 *1))) (-5 *3 (-1157 *1)))) (-2795 (*1 *2 *3) (-12 (-4 *1 (-904)) (-5 *2 (-420 (-1157 *1))) (-5 *3 (-1157 *1)))) (-2841 (*1 *2 *3) (-12 (-4 *1 (-904)) (-5 *2 (-420 (-1157 *1))) (-5 *3 (-1157 *1)))) (-2434 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-634 (-1157 *1))) (-5 *3 (-1157 *1)) (-4 *1 (-904)))) (-3070 (*1 *2 *3) (|partial| -12 (-5 *3 (-679 *1)) (-4 *1 (-148)) (-4 *1 (-904)) (-5 *2 (-1244 *1)))) (-3385 (*1 *1 *1) (|partial| -12 (-4 *1 (-148)) (-4 *1 (-904))))) 
-(-13 (-1199) (-10 -8 (-15 -3863 ((-420 (-1157 $)) (-1157 $))) (-15 -2795 ((-420 (-1157 $)) (-1157 $))) (-15 -2841 ((-420 (-1157 $)) (-1157 $))) (-15 -3603 ((-1157 $) (-1157 $) (-1157 $))) (-15 -2434 ((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $))) (IF (|has| $ (-148)) (PROGN (-15 -3070 ((-3 (-1244 $) "failed") (-679 $))) (-15 -3385 ((-3 $ "failed") $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-137) . T) ((-608 (-850)) . T) ((-172) . T) ((-285) . T) ((-453) . T) ((-558) . T) ((-637 $) . T) ((-707 $) . T) ((-716) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1199) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2134 (((-121) $) NIL)) (-3800 (((-763)) NIL)) (-1934 (($ $ (-917)) NIL (|has| $ (-370))) (($ $) NIL)) (-1856 (((-1169 (-917) (-763)) (-568)) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2589 (((-121) $ $) NIL)) (-3986 (((-763)) NIL)) (-4490 (($) NIL T CONST)) (-3668 (((-3 $ "failed") $) NIL)) (-2857 (($ $) NIL)) (-3899 (($ (-1244 $)) NIL)) (-1368 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL)) (-2403 (($ $ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1733 (($) NIL)) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-4188 (($) NIL)) (-1748 (((-121) $) NIL)) (-1887 (($ $) NIL) (($ $ (-763)) NIL)) (-2197 (((-121) $) NIL)) (-1844 (((-828 (-917)) $) NIL) (((-917) $) NIL)) (-1598 (((-121) $) NIL)) (-2769 (($) NIL (|has| $ (-370)))) (-2151 (((-121) $) NIL (|has| $ (-370)))) (-4417 (($ $ (-917)) NIL (|has| $ (-370))) (($ $) NIL)) (-2214 (((-3 $ "failed") $) NIL)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1497 (((-1157 $) $ (-917)) NIL (|has| $ (-370))) (((-1157 $) $) NIL)) (-2291 (((-917) $) NIL)) (-1447 (((-1157 $) $) NIL (|has| $ (-370)))) (-2193 (((-3 (-1157 $) "failed") $ $) NIL (|has| $ (-370))) (((-1157 $) $) NIL (|has| $ (-370)))) (-3257 (($ $ (-1157 $)) NIL (|has| $ (-370)))) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL)) (-4436 (($) NIL T CONST)) (-4357 (($ (-917)) NIL)) (-4051 (((-121) $) NIL)) (-4025 (((-1108) $) NIL)) (-2707 (($) NIL (|has| $ (-370)))) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-2172 (((-634 (-2 (|:| -3850 (-568)) (|:| -3483 (-568))))) NIL)) (-3850 (((-420 $) $) NIL)) (-4321 (((-917)) NIL) (((-828 (-917))) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-2721 (((-3 (-763) "failed") $ $) NIL) (((-763) $) NIL)) (-3108 (((-139)) NIL)) (-4191 (($ $ (-763)) NIL) (($ $) NIL)) (-1836 (((-917) $) NIL) (((-828 (-917)) $) NIL)) (-1492 (((-1157 $)) NIL)) (-2330 (($) NIL)) (-1398 (($) NIL (|has| $ (-370)))) (-1656 (((-679 $) (-1244 $)) NIL) (((-1244 $) $) NIL)) (-4280 (((-568) $) NIL)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL)) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ $) NIL) (($ (-409 (-568))) NIL)) (-3385 (((-3 $ "failed") $) NIL) (($ $) NIL)) (-3425 (((-763)) NIL)) (-2588 (((-1244 $) (-917)) NIL) (((-1244 $)) NIL)) (-2273 (((-121) $ $) NIL)) (-1413 (((-121) $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3412 (($ $ (-763)) NIL (|has| $ (-370))) (($ $) NIL (|has| $ (-370)))) (-3192 (($ $ (-763)) NIL) (($ $) NIL)) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ $) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL))) 
-(((-905 |#1|) (-13 (-350) (-327 $) (-609 (-568))) (-917)) (T -905)) 
-NIL 
-(-13 (-350) (-327 $) (-609 (-568))) 
-((-3844 (((-3 (-2 (|:| -1844 (-763)) (|:| -1866 |#5|)) "failed") (-334 |#2| |#3| |#4| |#5|)) 76)) (-2161 (((-121) (-334 |#2| |#3| |#4| |#5|)) 16)) (-1844 (((-3 (-763) "failed") (-334 |#2| |#3| |#4| |#5|)) 14))) 
-(((-906 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1844 ((-3 (-763) "failed") (-334 |#2| |#3| |#4| |#5|))) (-15 -2161 ((-121) (-334 |#2| |#3| |#4| |#5|))) (-15 -3844 ((-3 (-2 (|:| -1844 (-763)) (|:| -1866 |#5|)) "failed") (-334 |#2| |#3| |#4| |#5|)))) (-13 (-842) (-558) (-1037 (-568))) (-432 |#1|) (-1219 |#2|) (-1219 (-409 |#3|)) (-340 |#2| |#3| |#4|)) (T -906)) 
-((-3844 (*1 *2 *3) (|partial| -12 (-5 *3 (-334 *5 *6 *7 *8)) (-4 *5 (-432 *4)) (-4 *6 (-1219 *5)) (-4 *7 (-1219 (-409 *6))) (-4 *8 (-340 *5 *6 *7)) (-4 *4 (-13 (-842) (-558) (-1037 (-568)))) (-5 *2 (-2 (|:| -1844 (-763)) (|:| -1866 *8))) (-5 *1 (-906 *4 *5 *6 *7 *8)))) (-2161 (*1 *2 *3) (-12 (-5 *3 (-334 *5 *6 *7 *8)) (-4 *5 (-432 *4)) (-4 *6 (-1219 *5)) (-4 *7 (-1219 (-409 *6))) (-4 *8 (-340 *5 *6 *7)) (-4 *4 (-13 (-842) (-558) (-1037 (-568)))) (-5 *2 (-121)) (-5 *1 (-906 *4 *5 *6 *7 *8)))) (-1844 (*1 *2 *3) (|partial| -12 (-5 *3 (-334 *5 *6 *7 *8)) (-4 *5 (-432 *4)) (-4 *6 (-1219 *5)) (-4 *7 (-1219 (-409 *6))) (-4 *8 (-340 *5 *6 *7)) (-4 *4 (-13 (-842) (-558) (-1037 (-568)))) (-5 *2 (-763)) (-5 *1 (-906 *4 *5 *6 *7 *8))))) 
-(-10 -7 (-15 -1844 ((-3 (-763) "failed") (-334 |#2| |#3| |#4| |#5|))) (-15 -2161 ((-121) (-334 |#2| |#3| |#4| |#5|))) (-15 -3844 ((-3 (-2 (|:| -1844 (-763)) (|:| -1866 |#5|)) "failed") (-334 |#2| |#3| |#4| |#5|)))) 
-((-3844 (((-3 (-2 (|:| -1844 (-763)) (|:| -1866 |#3|)) "failed") (-334 (-409 (-568)) |#1| |#2| |#3|)) 56)) (-2161 (((-121) (-334 (-409 (-568)) |#1| |#2| |#3|)) 13)) (-1844 (((-3 (-763) "failed") (-334 (-409 (-568)) |#1| |#2| |#3|)) 11))) 
-(((-907 |#1| |#2| |#3|) (-10 -7 (-15 -1844 ((-3 (-763) "failed") (-334 (-409 (-568)) |#1| |#2| |#3|))) (-15 -2161 ((-121) (-334 (-409 (-568)) |#1| |#2| |#3|))) (-15 -3844 ((-3 (-2 (|:| -1844 (-763)) (|:| -1866 |#3|)) "failed") (-334 (-409 (-568)) |#1| |#2| |#3|)))) (-1219 (-409 (-568))) (-1219 (-409 |#1|)) (-340 (-409 (-568)) |#1| |#2|)) (T -907)) 
-((-3844 (*1 *2 *3) (|partial| -12 (-5 *3 (-334 (-409 (-568)) *4 *5 *6)) (-4 *4 (-1219 (-409 (-568)))) (-4 *5 (-1219 (-409 *4))) (-4 *6 (-340 (-409 (-568)) *4 *5)) (-5 *2 (-2 (|:| -1844 (-763)) (|:| -1866 *6))) (-5 *1 (-907 *4 *5 *6)))) (-2161 (*1 *2 *3) (-12 (-5 *3 (-334 (-409 (-568)) *4 *5 *6)) (-4 *4 (-1219 (-409 (-568)))) (-4 *5 (-1219 (-409 *4))) (-4 *6 (-340 (-409 (-568)) *4 *5)) (-5 *2 (-121)) (-5 *1 (-907 *4 *5 *6)))) (-1844 (*1 *2 *3) (|partial| -12 (-5 *3 (-334 (-409 (-568)) *4 *5 *6)) (-4 *4 (-1219 (-409 (-568)))) (-4 *5 (-1219 (-409 *4))) (-4 *6 (-340 (-409 (-568)) *4 *5)) (-5 *2 (-763)) (-5 *1 (-907 *4 *5 *6))))) 
-(-10 -7 (-15 -1844 ((-3 (-763) "failed") (-334 (-409 (-568)) |#1| |#2| |#3|))) (-15 -2161 ((-121) (-334 (-409 (-568)) |#1| |#2| |#3|))) (-15 -3844 ((-3 (-2 (|:| -1844 (-763)) (|:| -1866 |#3|)) "failed") (-334 (-409 (-568)) |#1| |#2| |#3|)))) 
-((-3840 (((-1157 |#1|) |#2|) 36)) (-1861 ((|#2| |#2| (-634 |#1|)) 59) ((|#2| |#2| (-634 |#1|) (-568)) 61)) (-3528 (((-763) |#2|) 70)) (-3186 ((|#2| |#2| |#2| (-568)) 51)) (-2572 ((|#2| |#2| |#2|) 49)) (-1860 ((|#2| |#2| |#2|) 48)) (-1312 ((|#2| |#2| (-568)) 64)) (-1626 ((|#2| |#2| (-568)) 60)) (-3062 (((-634 |#2|) |#2|) 15)) (-1936 ((|#2| |#2|) 82)) (-1865 ((|#2| (-1 |#3| |#3|) |#2|) 40)) (-3930 (((-634 |#2|)) 26)) (-2955 (((-634 |#3|) (-568)) 92)) (-2316 (((-634 |#2|) (-763)) 93)) (-2219 ((|#2| |#2| (-568)) 71)) (-3160 ((|#3| |#2|) NIL)) (-3294 (((-763) |#2|) 83)) (-1836 (((-763) |#2| (-568)) 67)) (-1373 ((|#1| |#2| (-917)) 80)) (-3497 ((|#1| |#2|) 81))) 
-(((-908 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1865 (|#2| (-1 |#3| |#3|) |#2|)) (-15 -1836 ((-763) |#2| (-568))) (-15 -3840 ((-1157 |#1|) |#2|)) (-15 -3528 ((-763) |#2|)) (-15 -1860 (|#2| |#2| |#2|)) (-15 -2572 (|#2| |#2| |#2|)) (-15 -3186 (|#2| |#2| |#2| (-568))) (-15 -1936 (|#2| |#2|)) (-15 -3160 (|#3| |#2|)) (-15 -1312 (|#2| |#2| (-568))) (-15 -1626 (|#2| |#2| (-568))) (-15 -1861 (|#2| |#2| (-634 |#1|) (-568))) (-15 -1861 (|#2| |#2| (-634 |#1|))) (-15 -1373 (|#1| |#2| (-917))) (-15 -3497 (|#1| |#2|)) (-15 -2219 (|#2| |#2| (-568))) (-15 -2955 ((-634 |#3|) (-568))) (-15 -2316 ((-634 |#2|) (-763))) (-15 -3294 ((-763) |#2|)) (-15 -3930 ((-634 |#2|))) (-15 -3062 ((-634 |#2|) |#2|))) (-1047) (-324 |#1| |#3|) (-230 |#4| (-763)) (-763)) (T -908)) 
-((-3062 (*1 *2 *3) (-12 (-4 *4 (-1047)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-5 *2 (-634 *3)) (-5 *1 (-908 *4 *3 *5 *6)) (-4 *3 (-324 *4 *5)))) (-3930 (*1 *2) (-12 (-4 *3 (-1047)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-5 *2 (-634 *4)) (-5 *1 (-908 *3 *4 *5 *6)) (-4 *4 (-324 *3 *5)))) (-3294 (*1 *2 *3) (-12 (-4 *4 (-1047)) (-4 *5 (-230 *6 *2)) (-14 *6 *2) (-5 *2 (-763)) (-5 *1 (-908 *4 *3 *5 *6)) (-4 *3 (-324 *4 *5)))) (-2316 (*1 *2 *3) (-12 (-5 *3 (-763)) (-4 *4 (-1047)) (-4 *6 (-230 *7 *3)) (-14 *7 *3) (-5 *2 (-634 *5)) (-5 *1 (-908 *4 *5 *6 *7)) (-4 *5 (-324 *4 *6)))) (-2955 (*1 *2 *3) (-12 (-5 *3 (-568)) (-4 *4 (-1047)) (-4 *6 (-230 *7 (-763))) (-14 *7 (-763)) (-5 *2 (-634 *6)) (-5 *1 (-908 *4 *5 *6 *7)) (-4 *5 (-324 *4 *6)))) (-2219 (*1 *2 *2 *3) (-12 (-5 *3 (-568)) (-4 *4 (-1047)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-5 *1 (-908 *4 *2 *5 *6)) (-4 *2 (-324 *4 *5)))) (-3497 (*1 *2 *3) (-12 (-4 *4 (-230 *5 (-763))) (-14 *5 (-763)) (-4 *2 (-1047)) (-5 *1 (-908 *2 *3 *4 *5)) (-4 *3 (-324 *2 *4)))) (-1373 (*1 *2 *3 *4) (-12 (-5 *4 (-917)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-4 *2 (-1047)) (-5 *1 (-908 *2 *3 *5 *6)) (-4 *3 (-324 *2 *5)))) (-1861 (*1 *2 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-1047)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-5 *1 (-908 *4 *2 *5 *6)) (-4 *2 (-324 *4 *5)))) (-1861 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-568)) (-4 *5 (-1047)) (-4 *6 (-230 *7 (-763))) (-14 *7 (-763)) (-5 *1 (-908 *5 *2 *6 *7)) (-4 *2 (-324 *5 *6)))) (-1626 (*1 *2 *2 *3) (-12 (-5 *3 (-568)) (-4 *4 (-1047)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-5 *1 (-908 *4 *2 *5 *6)) (-4 *2 (-324 *4 *5)))) (-1312 (*1 *2 *2 *3) (-12 (-5 *3 (-568)) (-4 *4 (-1047)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-5 *1 (-908 *4 *2 *5 *6)) (-4 *2 (-324 *4 *5)))) (-3160 (*1 *2 *3) (-12 (-4 *4 (-1047)) (-4 *2 (-230 *5 (-763))) (-5 *1 (-908 *4 *3 *2 *5)) (-4 *3 (-324 *4 *2)) (-14 *5 (-763)))) (-1936 (*1 *2 *2) (-12 (-4 *3 (-1047)) (-4 *4 (-230 *5 (-763))) (-14 *5 (-763)) (-5 *1 (-908 *3 *2 *4 *5)) (-4 *2 (-324 *3 *4)))) (-3186 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-568)) (-4 *4 (-1047)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-5 *1 (-908 *4 *2 *5 *6)) (-4 *2 (-324 *4 *5)))) (-2572 (*1 *2 *2 *2) (-12 (-4 *3 (-1047)) (-4 *4 (-230 *5 (-763))) (-14 *5 (-763)) (-5 *1 (-908 *3 *2 *4 *5)) (-4 *2 (-324 *3 *4)))) (-1860 (*1 *2 *2 *2) (-12 (-4 *3 (-1047)) (-4 *4 (-230 *5 (-763))) (-14 *5 (-763)) (-5 *1 (-908 *3 *2 *4 *5)) (-4 *2 (-324 *3 *4)))) (-3528 (*1 *2 *3) (-12 (-4 *4 (-1047)) (-4 *5 (-230 *6 *2)) (-14 *6 *2) (-5 *2 (-763)) (-5 *1 (-908 *4 *3 *5 *6)) (-4 *3 (-324 *4 *5)))) (-3840 (*1 *2 *3) (-12 (-4 *4 (-1047)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-5 *2 (-1157 *4)) (-5 *1 (-908 *4 *3 *5 *6)) (-4 *3 (-324 *4 *5)))) (-1836 (*1 *2 *3 *4) (-12 (-5 *4 (-568)) (-4 *5 (-1047)) (-4 *6 (-230 *7 *2)) (-14 *7 *2) (-5 *2 (-763)) (-5 *1 (-908 *5 *3 *6 *7)) (-4 *3 (-324 *5 *6)))) (-1865 (*1 *2 *3 *2) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-4 *4 (-1047)) (-5 *1 (-908 *4 *2 *5 *6)) (-4 *2 (-324 *4 *5))))) 
-(-10 -7 (-15 -1865 (|#2| (-1 |#3| |#3|) |#2|)) (-15 -1836 ((-763) |#2| (-568))) (-15 -3840 ((-1157 |#1|) |#2|)) (-15 -3528 ((-763) |#2|)) (-15 -1860 (|#2| |#2| |#2|)) (-15 -2572 (|#2| |#2| |#2|)) (-15 -3186 (|#2| |#2| |#2| (-568))) (-15 -1936 (|#2| |#2|)) (-15 -3160 (|#3| |#2|)) (-15 -1312 (|#2| |#2| (-568))) (-15 -1626 (|#2| |#2| (-568))) (-15 -1861 (|#2| |#2| (-634 |#1|) (-568))) (-15 -1861 (|#2| |#2| (-634 |#1|))) (-15 -1373 (|#1| |#2| (-917))) (-15 -3497 (|#1| |#2|)) (-15 -2219 (|#2| |#2| (-568))) (-15 -2955 ((-634 |#3|) (-568))) (-15 -2316 ((-634 |#2|) (-763))) (-15 -3294 ((-763) |#2|)) (-15 -3930 ((-634 |#2|))) (-15 -3062 ((-634 |#2|) |#2|))) 
-((-1833 ((|#2| |#2|) 25)) (-1796 (((-568) (-634 (-2 (|:| |den| (-568)) (|:| |gcdnum| (-568))))) 15)) (-1695 (((-917) (-568)) 35)) (-2574 (((-568) |#2|) 42)) (-2552 (((-568) |#2|) 21) (((-2 (|:| |den| (-568)) (|:| |gcdnum| (-568))) |#1|) 20))) 
-(((-909 |#1| |#2|) (-10 -7 (-15 -1695 ((-917) (-568))) (-15 -2552 ((-2 (|:| |den| (-568)) (|:| |gcdnum| (-568))) |#1|)) (-15 -2552 ((-568) |#2|)) (-15 -1796 ((-568) (-634 (-2 (|:| |den| (-568)) (|:| |gcdnum| (-568)))))) (-15 -2574 ((-568) |#2|)) (-15 -1833 (|#2| |#2|))) (-1219 (-409 (-568))) (-1219 (-409 |#1|))) (T -909)) 
-((-1833 (*1 *2 *2) (-12 (-4 *3 (-1219 (-409 (-568)))) (-5 *1 (-909 *3 *2)) (-4 *2 (-1219 (-409 *3))))) (-2574 (*1 *2 *3) (-12 (-4 *4 (-1219 (-409 *2))) (-5 *2 (-568)) (-5 *1 (-909 *4 *3)) (-4 *3 (-1219 (-409 *4))))) (-1796 (*1 *2 *3) (-12 (-5 *3 (-634 (-2 (|:| |den| (-568)) (|:| |gcdnum| (-568))))) (-4 *4 (-1219 (-409 *2))) (-5 *2 (-568)) (-5 *1 (-909 *4 *5)) (-4 *5 (-1219 (-409 *4))))) (-2552 (*1 *2 *3) (-12 (-4 *4 (-1219 (-409 *2))) (-5 *2 (-568)) (-5 *1 (-909 *4 *3)) (-4 *3 (-1219 (-409 *4))))) (-2552 (*1 *2 *3) (-12 (-4 *3 (-1219 (-409 (-568)))) (-5 *2 (-2 (|:| |den| (-568)) (|:| |gcdnum| (-568)))) (-5 *1 (-909 *3 *4)) (-4 *4 (-1219 (-409 *3))))) (-1695 (*1 *2 *3) (-12 (-5 *3 (-568)) (-4 *4 (-1219 (-409 *3))) (-5 *2 (-917)) (-5 *1 (-909 *4 *5)) (-4 *5 (-1219 (-409 *4)))))) 
-(-10 -7 (-15 -1695 ((-917) (-568))) (-15 -2552 ((-2 (|:| |den| (-568)) (|:| |gcdnum| (-568))) |#1|)) (-15 -2552 ((-568) |#2|)) (-15 -1796 ((-568) (-634 (-2 (|:| |den| (-568)) (|:| |gcdnum| (-568)))))) (-15 -2574 ((-568) |#2|)) (-15 -1833 (|#2| |#2|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2563 ((|#1| $) 80)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2589 (((-121) $ $) NIL)) (-4490 (($) NIL T CONST)) (-2403 (($ $ $) NIL)) (-2902 (((-3 $ "failed") $) 74)) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-2197 (((-121) $) NIL)) (-2640 (($ |#1| (-420 |#1|)) 72)) (-4432 (((-1157 |#1|) |#1| |#1|) 40)) (-1960 (($ $) 48)) (-1598 (((-121) $) NIL)) (-2222 (((-568) $) 77)) (-2586 (($ $ (-568)) 79)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL)) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1938 ((|#1| $) 76)) (-4032 (((-420 |#1|) $) 75)) (-3850 (((-420 $) $) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) 73)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-1538 (($ $) 38)) (-2747 (((-850) $) 98) (($ (-568)) 53) (($ $) NIL) (($ (-409 (-568))) NIL) (($ |#1|) 30) (((-409 |#1|) $) 58) (($ (-409 (-420 |#1|))) 66)) (-3425 (((-763)) 51)) (-2273 (((-121) $ $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) 23 T CONST)) (-1557 (($) 11 T CONST)) (-1719 (((-121) $ $) 67)) (-1781 (($ $ $) NIL)) (-1775 (($ $) 87) (($ $ $) NIL)) (-1769 (($ $ $) 37)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 89) (($ $ $) 36) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL) (($ |#1| $) 88) (($ $ |#1|) NIL))) 
-(((-910 |#1|) (-13 (-365) (-43 |#1|) (-10 -8 (-15 -2747 ((-409 |#1|) $)) (-15 -2747 ($ (-409 (-420 |#1|)))) (-15 -1538 ($ $)) (-15 -4032 ((-420 |#1|) $)) (-15 -1938 (|#1| $)) (-15 -2586 ($ $ (-568))) (-15 -2222 ((-568) $)) (-15 -4432 ((-1157 |#1|) |#1| |#1|)) (-15 -1960 ($ $)) (-15 -2640 ($ |#1| (-420 |#1|))) (-15 -2563 (|#1| $)))) (-301)) (T -910)) 
-((-2747 (*1 *2 *1) (-12 (-5 *2 (-409 *3)) (-5 *1 (-910 *3)) (-4 *3 (-301)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-409 (-420 *3))) (-4 *3 (-301)) (-5 *1 (-910 *3)))) (-1538 (*1 *1 *1) (-12 (-5 *1 (-910 *2)) (-4 *2 (-301)))) (-4032 (*1 *2 *1) (-12 (-5 *2 (-420 *3)) (-5 *1 (-910 *3)) (-4 *3 (-301)))) (-1938 (*1 *2 *1) (-12 (-5 *1 (-910 *2)) (-4 *2 (-301)))) (-2586 (*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-910 *3)) (-4 *3 (-301)))) (-2222 (*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-910 *3)) (-4 *3 (-301)))) (-4432 (*1 *2 *3 *3) (-12 (-5 *2 (-1157 *3)) (-5 *1 (-910 *3)) (-4 *3 (-301)))) (-1960 (*1 *1 *1) (-12 (-5 *1 (-910 *2)) (-4 *2 (-301)))) (-2640 (*1 *1 *2 *3) (-12 (-5 *3 (-420 *2)) (-4 *2 (-301)) (-5 *1 (-910 *2)))) (-2563 (*1 *2 *1) (-12 (-5 *1 (-910 *2)) (-4 *2 (-301))))) 
-(-13 (-365) (-43 |#1|) (-10 -8 (-15 -2747 ((-409 |#1|) $)) (-15 -2747 ($ (-409 (-420 |#1|)))) (-15 -1538 ($ $)) (-15 -4032 ((-420 |#1|) $)) (-15 -1938 (|#1| $)) (-15 -2586 ($ $ (-568))) (-15 -2222 ((-568) $)) (-15 -4432 ((-1157 |#1|) |#1| |#1|)) (-15 -1960 ($ $)) (-15 -2640 ($ |#1| (-420 |#1|))) (-15 -2563 (|#1| $)))) 
-((-2640 (((-57) (-953 |#1|) (-420 (-953 |#1|)) (-1161)) 16) (((-57) (-409 (-953 |#1|)) (-1161)) 17))) 
-(((-911 |#1|) (-10 -7 (-15 -2640 ((-57) (-409 (-953 |#1|)) (-1161))) (-15 -2640 ((-57) (-953 |#1|) (-420 (-953 |#1|)) (-1161)))) (-13 (-301) (-150))) (T -911)) 
-((-2640 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-420 (-953 *6))) (-5 *5 (-1161)) (-5 *3 (-953 *6)) (-4 *6 (-13 (-301) (-150))) (-5 *2 (-57)) (-5 *1 (-911 *6)))) (-2640 (*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 *5))) (-5 *4 (-1161)) (-4 *5 (-13 (-301) (-150))) (-5 *2 (-57)) (-5 *1 (-911 *5))))) 
-(-10 -7 (-15 -2640 ((-57) (-409 (-953 |#1|)) (-1161))) (-15 -2640 ((-57) (-953 |#1|) (-420 (-953 |#1|)) (-1161)))) 
-((-1539 ((|#4| (-634 |#4|)) 118) (((-1157 |#4|) (-1157 |#4|) (-1157 |#4|)) 65) ((|#4| |#4| |#4|) 117)) (-2723 (((-1157 |#4|) (-634 (-1157 |#4|))) 111) (((-1157 |#4|) (-1157 |#4|) (-1157 |#4|)) 48) ((|#4| (-634 |#4|)) 53) ((|#4| |#4| |#4|) 82))) 
-(((-912 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2723 (|#4| |#4| |#4|)) (-15 -2723 (|#4| (-634 |#4|))) (-15 -2723 ((-1157 |#4|) (-1157 |#4|) (-1157 |#4|))) (-15 -2723 ((-1157 |#4|) (-634 (-1157 |#4|)))) (-15 -1539 (|#4| |#4| |#4|)) (-15 -1539 ((-1157 |#4|) (-1157 |#4|) (-1157 |#4|))) (-15 -1539 (|#4| (-634 |#4|)))) (-788) (-842) (-301) (-950 |#3| |#1| |#2|)) (T -912)) 
-((-1539 (*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-950 *6 *4 *5)) (-5 *1 (-912 *4 *5 *6 *2)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-301)))) (-1539 (*1 *2 *2 *2) (-12 (-5 *2 (-1157 *6)) (-4 *6 (-950 *5 *3 *4)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *5 (-301)) (-5 *1 (-912 *3 *4 *5 *6)))) (-1539 (*1 *2 *2 *2) (-12 (-4 *3 (-788)) (-4 *4 (-842)) (-4 *5 (-301)) (-5 *1 (-912 *3 *4 *5 *2)) (-4 *2 (-950 *5 *3 *4)))) (-2723 (*1 *2 *3) (-12 (-5 *3 (-634 (-1157 *7))) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-301)) (-5 *2 (-1157 *7)) (-5 *1 (-912 *4 *5 *6 *7)) (-4 *7 (-950 *6 *4 *5)))) (-2723 (*1 *2 *2 *2) (-12 (-5 *2 (-1157 *6)) (-4 *6 (-950 *5 *3 *4)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *5 (-301)) (-5 *1 (-912 *3 *4 *5 *6)))) (-2723 (*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-950 *6 *4 *5)) (-5 *1 (-912 *4 *5 *6 *2)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-301)))) (-2723 (*1 *2 *2 *2) (-12 (-4 *3 (-788)) (-4 *4 (-842)) (-4 *5 (-301)) (-5 *1 (-912 *3 *4 *5 *2)) (-4 *2 (-950 *5 *3 *4))))) 
-(-10 -7 (-15 -2723 (|#4| |#4| |#4|)) (-15 -2723 (|#4| (-634 |#4|))) (-15 -2723 ((-1157 |#4|) (-1157 |#4|) (-1157 |#4|))) (-15 -2723 ((-1157 |#4|) (-634 (-1157 |#4|)))) (-15 -1539 (|#4| |#4| |#4|)) (-15 -1539 ((-1157 |#4|) (-1157 |#4|) (-1157 |#4|))) (-15 -1539 (|#4| (-634 |#4|)))) 
-((-3928 (((-899 (-568)) (-972)) 22) (((-899 (-568)) (-634 (-568))) 19)) (-2375 (((-899 (-568)) (-634 (-568))) 46) (((-899 (-568)) (-917)) 47)) (-3766 (((-899 (-568))) 23)) (-1498 (((-899 (-568))) 36) (((-899 (-568)) (-634 (-568))) 35)) (-2376 (((-899 (-568))) 34) (((-899 (-568)) (-634 (-568))) 33)) (-3175 (((-899 (-568))) 32) (((-899 (-568)) (-634 (-568))) 31)) (-3138 (((-899 (-568))) 30) (((-899 (-568)) (-634 (-568))) 29)) (-3326 (((-899 (-568))) 28) (((-899 (-568)) (-634 (-568))) 27)) (-2442 (((-899 (-568))) 38) (((-899 (-568)) (-634 (-568))) 37)) (-2718 (((-899 (-568)) (-634 (-568))) 50) (((-899 (-568)) (-917)) 51)) (-4425 (((-899 (-568)) (-634 (-568))) 48) (((-899 (-568)) (-917)) 49)) (-2905 (((-899 (-568)) (-634 (-568))) 43) (((-899 (-568)) (-917)) 45)) (-1703 (((-899 (-568)) (-634 (-917))) 40))) 
-(((-913) (-10 -7 (-15 -2375 ((-899 (-568)) (-917))) (-15 -2375 ((-899 (-568)) (-634 (-568)))) (-15 -2905 ((-899 (-568)) (-917))) (-15 -2905 ((-899 (-568)) (-634 (-568)))) (-15 -1703 ((-899 (-568)) (-634 (-917)))) (-15 -4425 ((-899 (-568)) (-917))) (-15 -4425 ((-899 (-568)) (-634 (-568)))) (-15 -2718 ((-899 (-568)) (-917))) (-15 -2718 ((-899 (-568)) (-634 (-568)))) (-15 -3326 ((-899 (-568)) (-634 (-568)))) (-15 -3326 ((-899 (-568)))) (-15 -3138 ((-899 (-568)) (-634 (-568)))) (-15 -3138 ((-899 (-568)))) (-15 -3175 ((-899 (-568)) (-634 (-568)))) (-15 -3175 ((-899 (-568)))) (-15 -2376 ((-899 (-568)) (-634 (-568)))) (-15 -2376 ((-899 (-568)))) (-15 -1498 ((-899 (-568)) (-634 (-568)))) (-15 -1498 ((-899 (-568)))) (-15 -2442 ((-899 (-568)) (-634 (-568)))) (-15 -2442 ((-899 (-568)))) (-15 -3766 ((-899 (-568)))) (-15 -3928 ((-899 (-568)) (-634 (-568)))) (-15 -3928 ((-899 (-568)) (-972))))) (T -913)) 
-((-3928 (*1 *2 *3) (-12 (-5 *3 (-972)) (-5 *2 (-899 (-568))) (-5 *1 (-913)))) (-3928 (*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-899 (-568))) (-5 *1 (-913)))) (-3766 (*1 *2) (-12 (-5 *2 (-899 (-568))) (-5 *1 (-913)))) (-2442 (*1 *2) (-12 (-5 *2 (-899 (-568))) (-5 *1 (-913)))) (-2442 (*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-899 (-568))) (-5 *1 (-913)))) (-1498 (*1 *2) (-12 (-5 *2 (-899 (-568))) (-5 *1 (-913)))) (-1498 (*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-899 (-568))) (-5 *1 (-913)))) (-2376 (*1 *2) (-12 (-5 *2 (-899 (-568))) (-5 *1 (-913)))) (-2376 (*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-899 (-568))) (-5 *1 (-913)))) (-3175 (*1 *2) (-12 (-5 *2 (-899 (-568))) (-5 *1 (-913)))) (-3175 (*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-899 (-568))) (-5 *1 (-913)))) (-3138 (*1 *2) (-12 (-5 *2 (-899 (-568))) (-5 *1 (-913)))) (-3138 (*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-899 (-568))) (-5 *1 (-913)))) (-3326 (*1 *2) (-12 (-5 *2 (-899 (-568))) (-5 *1 (-913)))) (-3326 (*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-899 (-568))) (-5 *1 (-913)))) (-2718 (*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-899 (-568))) (-5 *1 (-913)))) (-2718 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-899 (-568))) (-5 *1 (-913)))) (-4425 (*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-899 (-568))) (-5 *1 (-913)))) (-4425 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-899 (-568))) (-5 *1 (-913)))) (-1703 (*1 *2 *3) (-12 (-5 *3 (-634 (-917))) (-5 *2 (-899 (-568))) (-5 *1 (-913)))) (-2905 (*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-899 (-568))) (-5 *1 (-913)))) (-2905 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-899 (-568))) (-5 *1 (-913)))) (-2375 (*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-899 (-568))) (-5 *1 (-913)))) (-2375 (*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-899 (-568))) (-5 *1 (-913))))) 
-(-10 -7 (-15 -2375 ((-899 (-568)) (-917))) (-15 -2375 ((-899 (-568)) (-634 (-568)))) (-15 -2905 ((-899 (-568)) (-917))) (-15 -2905 ((-899 (-568)) (-634 (-568)))) (-15 -1703 ((-899 (-568)) (-634 (-917)))) (-15 -4425 ((-899 (-568)) (-917))) (-15 -4425 ((-899 (-568)) (-634 (-568)))) (-15 -2718 ((-899 (-568)) (-917))) (-15 -2718 ((-899 (-568)) (-634 (-568)))) (-15 -3326 ((-899 (-568)) (-634 (-568)))) (-15 -3326 ((-899 (-568)))) (-15 -3138 ((-899 (-568)) (-634 (-568)))) (-15 -3138 ((-899 (-568)))) (-15 -3175 ((-899 (-568)) (-634 (-568)))) (-15 -3175 ((-899 (-568)))) (-15 -2376 ((-899 (-568)) (-634 (-568)))) (-15 -2376 ((-899 (-568)))) (-15 -1498 ((-899 (-568)) (-634 (-568)))) (-15 -1498 ((-899 (-568)))) (-15 -2442 ((-899 (-568)) (-634 (-568)))) (-15 -2442 ((-899 (-568)))) (-15 -3766 ((-899 (-568)))) (-15 -3928 ((-899 (-568)) (-634 (-568)))) (-15 -3928 ((-899 (-568)) (-972)))) 
-((-3744 (((-634 (-953 |#1|)) (-634 (-953 |#1|)) (-634 (-1161))) 10)) (-4190 (((-634 (-953 |#1|)) (-634 (-953 |#1|)) (-634 (-1161))) 9))) 
-(((-914 |#1|) (-10 -7 (-15 -4190 ((-634 (-953 |#1|)) (-634 (-953 |#1|)) (-634 (-1161)))) (-15 -3744 ((-634 (-953 |#1|)) (-634 (-953 |#1|)) (-634 (-1161))))) (-453)) (T -914)) 
-((-3744 (*1 *2 *2 *3) (-12 (-5 *2 (-634 (-953 *4))) (-5 *3 (-634 (-1161))) (-4 *4 (-453)) (-5 *1 (-914 *4)))) (-4190 (*1 *2 *2 *3) (-12 (-5 *2 (-634 (-953 *4))) (-5 *3 (-634 (-1161))) (-4 *4 (-453)) (-5 *1 (-914 *4))))) 
-(-10 -7 (-15 -4190 ((-634 (-953 |#1|)) (-634 (-953 |#1|)) (-634 (-1161)))) (-15 -3744 ((-634 (-953 |#1|)) (-634 (-953 |#1|)) (-634 (-1161))))) 
-((-2747 (((-310 |#1|) (-489)) 15))) 
-(((-915 |#1|) (-10 -7 (-15 -2747 ((-310 |#1|) (-489)))) (-13 (-842) (-558))) (T -915)) 
-((-2747 (*1 *2 *3) (-12 (-5 *3 (-489)) (-5 *2 (-310 *4)) (-5 *1 (-915 *4)) (-4 *4 (-13 (-842) (-558)))))) 
-(-10 -7 (-15 -2747 ((-310 |#1|) (-489)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 40)) (-3661 (($ $) 39)) (-4426 (((-121) $) 37)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-2902 (((-3 $ "failed") $) 33)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 49)) (-1598 (((-121) $) 30)) (-2498 (($ $ $) 45) (($ (-634 $)) 44)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 43)) (-2723 (($ $ $) 47) (($ (-634 $)) 46)) (-2597 (((-3 $ "failed") $ $) 41)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 48)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ $) 42)) (-3425 (((-763)) 28)) (-2273 (((-121) $ $) 38)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23))) 
-(((-916) (-1275)) (T -916)) 
-((-4422 (*1 *2 *3) (-12 (-4 *1 (-916)) (-5 *2 (-2 (|:| -2350 (-634 *1)) (|:| -2707 *1))) (-5 *3 (-634 *1)))) (-3922 (*1 *2 *2 *1) (|partial| -12 (-5 *2 (-634 *1)) (-4 *1 (-916))))) 
-(-13 (-453) (-10 -8 (-15 -4422 ((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $))) (-15 -3922 ((-3 (-634 $) "failed") (-634 $) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-137) . T) ((-608 (-850)) . T) ((-172) . T) ((-285) . T) ((-453) . T) ((-558) . T) ((-637 $) . T) ((-707 $) . T) ((-716) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) NIL)) (-4490 (($) NIL T CONST)) (-2902 (((-3 $ "failed") $) NIL)) (-1598 (((-121) $) NIL)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2723 (($ $ $) NIL)) (-2747 (((-850) $) NIL)) (-1889 (($ $ (-763)) NIL) (($ $ (-917)) NIL)) (-1557 (($) NIL T CONST)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-763)) NIL) (($ $ (-917)) NIL)) (* (($ (-917) $) NIL) (($ $ $) NIL))) 
-(((-917) (-13 (-25) (-842) (-716) (-10 -8 (-15 -2723 ($ $ $)) (-6 (-4523 "*"))))) (T -917)) 
-((-2723 (*1 *1 *1 *1) (-5 *1 (-917)))) 
-(-13 (-25) (-842) (-716) (-10 -8 (-15 -2723 ($ $ $)) (-6 (-4523 "*")))) 
-((-3504 ((|#2| (-634 |#1|) (-634 |#1|)) 22))) 
-(((-918 |#1| |#2|) (-10 -7 (-15 -3504 (|#2| (-634 |#1|) (-634 |#1|)))) (-365) (-1219 |#1|)) (T -918)) 
-((-3504 (*1 *2 *3 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-365)) (-4 *2 (-1219 *4)) (-5 *1 (-918 *4 *2))))) 
-(-10 -7 (-15 -3504 (|#2| (-634 |#1|) (-634 |#1|)))) 
-((-2709 (((-1157 |#2|) (-634 |#2|) (-634 |#2|)) 17) (((-1216 |#1| |#2|) (-1216 |#1| |#2|) (-634 |#2|) (-634 |#2|)) 13))) 
-(((-919 |#1| |#2|) (-10 -7 (-15 -2709 ((-1216 |#1| |#2|) (-1216 |#1| |#2|) (-634 |#2|) (-634 |#2|))) (-15 -2709 ((-1157 |#2|) (-634 |#2|) (-634 |#2|)))) (-1161) (-365)) (T -919)) 
-((-2709 (*1 *2 *3 *3) (-12 (-5 *3 (-634 *5)) (-4 *5 (-365)) (-5 *2 (-1157 *5)) (-5 *1 (-919 *4 *5)) (-14 *4 (-1161)))) (-2709 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1216 *4 *5)) (-5 *3 (-634 *5)) (-14 *4 (-1161)) (-4 *5 (-365)) (-5 *1 (-919 *4 *5))))) 
-(-10 -7 (-15 -2709 ((-1216 |#1| |#2|) (-1216 |#1| |#2|) (-634 |#2|) (-634 |#2|))) (-15 -2709 ((-1157 |#2|) (-634 |#2|) (-634 |#2|)))) 
-((-2449 (((-121) $ $) 7)) (-3072 (((-1249) $ (-634 |#2|)) 19)) (-3189 (((-634 $)) 14)) (-2662 (((-1249) $ (-917)) 18)) (-3094 (((-236 $) (-634 $)) 23)) (-1322 (((-634 |#2|) $) 20)) (-3319 (((-121) $) 17)) (-1893 (((-1143) $) 9)) (-2924 (((-1249) $) 16)) (-4025 (((-1108) $) 10)) (-2666 (((-634 $)) 15)) (-2781 ((|#1| $ (-568)) 13)) (-1836 (((-917) $) 12)) (-4116 (($ (-634 |#1|)) 22) (($ (-1161)) 21)) (-2747 (((-850) $) 11)) (-1719 (((-121) $ $) 6)) (-1775 (((-236 $) $ $) 28) (((-236 $) (-236 $) $) 27) (((-236 $) $ (-236 $)) 26) (((-236 $) $) 25)) (-1769 (((-236 $) $ $) 31) (((-236 $) (-236 $) $) 30) (((-236 $) $ (-236 $)) 29)) (* (((-236 $) (-568) $) 24))) 
-(((-920 |#1| |#2|) (-1275) (-365) (-641 |t#1|)) (T -920)) 
-((-1769 (*1 *2 *1 *1) (-12 (-4 *3 (-365)) (-4 *4 (-641 *3)) (-5 *2 (-236 *1)) (-4 *1 (-920 *3 *4)))) (-1769 (*1 *2 *2 *1) (-12 (-5 *2 (-236 *1)) (-4 *1 (-920 *3 *4)) (-4 *3 (-365)) (-4 *4 (-641 *3)))) (-1769 (*1 *2 *1 *2) (-12 (-5 *2 (-236 *1)) (-4 *1 (-920 *3 *4)) (-4 *3 (-365)) (-4 *4 (-641 *3)))) (-1775 (*1 *2 *1 *1) (-12 (-4 *3 (-365)) (-4 *4 (-641 *3)) (-5 *2 (-236 *1)) (-4 *1 (-920 *3 *4)))) (-1775 (*1 *2 *2 *1) (-12 (-5 *2 (-236 *1)) (-4 *1 (-920 *3 *4)) (-4 *3 (-365)) (-4 *4 (-641 *3)))) (-1775 (*1 *2 *1 *2) (-12 (-5 *2 (-236 *1)) (-4 *1 (-920 *3 *4)) (-4 *3 (-365)) (-4 *4 (-641 *3)))) (-1775 (*1 *2 *1) (-12 (-4 *3 (-365)) (-4 *4 (-641 *3)) (-5 *2 (-236 *1)) (-4 *1 (-920 *3 *4)))) (* (*1 *2 *3 *1) (-12 (-5 *3 (-568)) (-4 *4 (-365)) (-4 *5 (-641 *4)) (-5 *2 (-236 *1)) (-4 *1 (-920 *4 *5)))) (-3094 (*1 *2 *3) (-12 (-5 *3 (-634 *1)) (-4 *1 (-920 *4 *5)) (-4 *4 (-365)) (-4 *5 (-641 *4)) (-5 *2 (-236 *1)))) (-4116 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-365)) (-4 *1 (-920 *3 *4)) (-4 *4 (-641 *3)))) (-4116 (*1 *1 *2) (-12 (-5 *2 (-1161)) (-4 *3 (-365)) (-4 *1 (-920 *3 *4)) (-4 *4 (-641 *3)))) (-1322 (*1 *2 *1) (-12 (-4 *1 (-920 *3 *4)) (-4 *3 (-365)) (-4 *4 (-641 *3)) (-5 *2 (-634 *4)))) (-3072 (*1 *2 *1 *3) (-12 (-5 *3 (-634 *5)) (-4 *1 (-920 *4 *5)) (-4 *4 (-365)) (-4 *5 (-641 *4)) (-5 *2 (-1249)))) (-2662 (*1 *2 *1 *3) (-12 (-5 *3 (-917)) (-4 *1 (-920 *4 *5)) (-4 *4 (-365)) (-4 *5 (-641 *4)) (-5 *2 (-1249)))) (-3319 (*1 *2 *1) (-12 (-4 *1 (-920 *3 *4)) (-4 *3 (-365)) (-4 *4 (-641 *3)) (-5 *2 (-121)))) (-2924 (*1 *2 *1) (-12 (-4 *1 (-920 *3 *4)) (-4 *3 (-365)) (-4 *4 (-641 *3)) (-5 *2 (-1249)))) (-2666 (*1 *2) (-12 (-4 *3 (-365)) (-4 *4 (-641 *3)) (-5 *2 (-634 *1)) (-4 *1 (-920 *3 *4)))) (-3189 (*1 *2) (-12 (-4 *3 (-365)) (-4 *4 (-641 *3)) (-5 *2 (-634 *1)) (-4 *1 (-920 *3 *4)))) (-2781 (*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-920 *2 *4)) (-4 *4 (-641 *2)) (-4 *2 (-365))))) 
-(-13 (-1088) (-10 -8 (-15 -1769 ((-236 $) $ $)) (-15 -1769 ((-236 $) (-236 $) $)) (-15 -1769 ((-236 $) $ (-236 $))) (-15 -1775 ((-236 $) $ $)) (-15 -1775 ((-236 $) (-236 $) $)) (-15 -1775 ((-236 $) $ (-236 $))) (-15 -1775 ((-236 $) $)) (-15 * ((-236 $) (-568) $)) (-15 -3094 ((-236 $) (-634 $))) (-15 -4116 ($ (-634 |t#1|))) (-15 -4116 ($ (-1161))) (-15 -1322 ((-634 |t#2|) $)) (-15 -3072 ((-1249) $ (-634 |t#2|))) (-15 -2662 ((-1249) $ (-917))) (-15 -3319 ((-121) $)) (-15 -2924 ((-1249) $)) (-15 -2666 ((-634 $))) (-15 -3189 ((-634 $))) (-15 -2781 (|t#1| $ (-568))))) 
-(((-105) . T) ((-608 (-850)) . T) ((-1090) . T) ((-1088) . T)) 
-((-2449 (((-121) $ $) NIL)) (-3072 (((-1249) $ (-634 (-774 |#1|))) NIL)) (-3189 (((-634 $)) NIL)) (-2662 (((-1249) $ (-917)) NIL)) (-3094 (((-236 $) (-634 $)) NIL)) (-1322 (((-634 (-774 |#1|)) $) NIL)) (-3319 (((-121) $) NIL)) (-1893 (((-1143) $) NIL)) (-2924 (((-1249) $) NIL)) (-4025 (((-1108) $) NIL)) (-2666 (((-634 $)) NIL)) (-2781 ((|#1| $ (-568)) NIL)) (-1836 (((-917) $) NIL)) (-4116 (($ (-634 |#1|)) NIL) (($ (-1161)) NIL)) (-2747 (((-850) $) NIL)) (-1719 (((-121) $ $) NIL)) (-1775 (((-236 $) $ $) NIL) (((-236 $) (-236 $) $) NIL) (((-236 $) $ (-236 $)) NIL) (((-236 $) $) NIL)) (-1769 (((-236 $) $ $) NIL) (((-236 $) (-236 $) $) NIL) (((-236 $) $ (-236 $)) NIL)) (* (((-236 $) (-568) $) NIL))) 
-(((-921 |#1|) (-920 |#1| (-774 |#1|)) (-365)) (T -921)) 
-NIL 
-(-920 |#1| (-774 |#1|)) 
-((-2449 (((-121) $ $) NIL)) (-3072 (((-1249) $ (-634 (-774 (-857 |#1|)))) NIL)) (-3189 (((-634 $)) NIL)) (-2662 (((-1249) $ (-917)) NIL)) (-3094 (((-236 $) (-634 $)) NIL)) (-1322 (((-634 (-774 (-857 |#1|))) $) NIL)) (-3319 (((-121) $) NIL)) (-1893 (((-1143) $) NIL)) (-2924 (((-1249) $) NIL)) (-4025 (((-1108) $) NIL)) (-2666 (((-634 $)) NIL)) (-2781 (((-857 |#1|) $ (-568)) NIL)) (-1836 (((-917) $) NIL)) (-4116 (($ (-634 (-857 |#1|))) NIL) (($ (-1161)) NIL)) (-2747 (((-850) $) NIL)) (-1719 (((-121) $ $) NIL)) (-1775 (((-236 $) $ $) NIL) (((-236 $) (-236 $) $) NIL) (((-236 $) $ (-236 $)) NIL) (((-236 $) $) NIL)) (-1769 (((-236 $) $ $) NIL) (((-236 $) (-236 $) $) NIL) (((-236 $) $ (-236 $)) NIL)) (* (((-236 $) (-568) $) NIL))) 
-(((-922 |#1|) (-920 (-857 |#1|) (-774 (-857 |#1|))) (-350)) (T -922)) 
-NIL 
-(-920 (-857 |#1|) (-774 (-857 |#1|))) 
-((-2449 (((-121) $ $) NIL)) (-3072 (((-1249) $ (-634 |#2|)) 73)) (-3189 (((-634 $)) 62)) (-2662 (((-1249) $ (-917)) 71)) (-3094 (((-236 $) (-634 $)) 27)) (-1322 (((-634 |#2|) $) 74)) (-3319 (((-121) $) 54)) (-1893 (((-1143) $) NIL)) (-2924 (((-1249) $) 57)) (-4025 (((-1108) $) NIL)) (-2666 (((-634 $)) 59)) (-2781 ((|#1| $ (-568)) 53)) (-1836 (((-917) $) 42)) (-4116 (($ (-634 |#1|)) 69) (($ (-1161)) 70)) (-2747 (((-850) $) 45)) (-1719 (((-121) $ $) 50)) (-1775 (((-236 $) $ $) 18) (((-236 $) (-236 $) $) 30) (((-236 $) $ (-236 $)) 31) (((-236 $) $) 33)) (-1769 (((-236 $) $ $) 16) (((-236 $) (-236 $) $) 28) (((-236 $) $ (-236 $)) 29)) (* (((-236 $) (-568) $) 21))) 
-(((-923 |#1| |#2|) (-920 |#1| |#2|) (-365) (-641 |#1|)) (T -923)) 
-NIL 
-(-920 |#1| |#2|) 
-((-3245 (((-568) (-634 (-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|))))))))) (-1143)) 137)) (-1971 ((|#4| |#4|) 153)) (-2373 (((-634 (-409 (-953 |#1|))) (-634 (-1161))) 116)) (-2324 (((-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|)))))))) (-2 (|:| |det| |#4|) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568)))) (-679 |#4|) (-634 (-409 (-953 |#1|))) (-634 (-634 |#4|)) (-763) (-763) (-568)) 73)) (-3518 (((-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|)))))) (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|)))))) (-634 |#4|)) 57)) (-2646 (((-679 |#4|) (-679 |#4|) (-634 |#4|)) 53)) (-3835 (((-634 (-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|))))))))) (-1143)) 149)) (-1327 (((-568) (-679 |#4|) (-917) (-1143)) 130) (((-568) (-679 |#4|) (-634 (-1161)) (-917) (-1143)) 129) (((-568) (-679 |#4|) (-634 |#4|) (-917) (-1143)) 128) (((-568) (-679 |#4|) (-1143)) 125) (((-568) (-679 |#4|) (-634 (-1161)) (-1143)) 124) (((-568) (-679 |#4|) (-634 |#4|) (-1143)) 123) (((-634 (-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|))))))))) (-679 |#4|) (-917)) 122) (((-634 (-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|))))))))) (-679 |#4|) (-634 (-1161)) (-917)) 121) (((-634 (-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|))))))))) (-679 |#4|) (-634 |#4|) (-917)) 120) (((-634 (-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|))))))))) (-679 |#4|)) 118) (((-634 (-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|))))))))) (-679 |#4|) (-634 (-1161))) 117) (((-634 (-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|))))))))) (-679 |#4|) (-634 |#4|)) 114)) (-2043 ((|#4| (-953 |#1|)) 66)) (-2210 (((-121) (-634 |#4|) (-634 (-634 |#4|))) 150)) (-2412 (((-634 (-634 (-568))) (-568) (-568)) 127)) (-1607 (((-634 (-634 |#4|)) (-634 (-634 |#4|))) 85)) (-1442 (((-763) (-634 (-2 (|:| -2371 (-763)) (|:| |eqns| (-634 (-2 (|:| |det| |#4|) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568)))))) (|:| |fgb| (-634 |#4|))))) 83)) (-3923 (((-763) (-634 (-2 (|:| -2371 (-763)) (|:| |eqns| (-634 (-2 (|:| |det| |#4|) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568)))))) (|:| |fgb| (-634 |#4|))))) 82)) (-4174 (((-121) (-634 (-953 |#1|))) 17) (((-121) (-634 |#4|)) 13)) (-4270 (((-2 (|:| |sysok| (-121)) (|:| |z0| (-634 |#4|)) (|:| |n0| (-634 |#4|))) (-634 |#4|) (-634 |#4|)) 69)) (-4079 (((-634 |#4|) |#4|) 47)) (-4352 (((-634 (-409 (-953 |#1|))) (-634 |#4|)) 112) (((-679 (-409 (-953 |#1|))) (-679 |#4|)) 54) (((-409 (-953 |#1|)) |#4|) 109)) (-2810 (((-2 (|:| |rgl| (-634 (-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|)))))))))) (|:| |rgsz| (-568))) (-679 |#4|) (-634 (-409 (-953 |#1|))) (-763) (-1143) (-568)) 89)) (-1581 (((-634 (-2 (|:| -2371 (-763)) (|:| |eqns| (-634 (-2 (|:| |det| |#4|) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568)))))) (|:| |fgb| (-634 |#4|)))) (-679 |#4|) (-763)) 81)) (-2956 (((-634 (-2 (|:| |det| |#4|) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568))))) (-679 |#4|) (-763)) 98)) (-4338 (((-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|)))))) (-2 (|:| -2908 (-679 (-409 (-953 |#1|)))) (|:| |vec| (-634 (-409 (-953 |#1|)))) (|:| -2371 (-763)) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568))))) 46))) 
-(((-924 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1327 ((-634 (-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|))))))))) (-679 |#4|) (-634 |#4|))) (-15 -1327 ((-634 (-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|))))))))) (-679 |#4|) (-634 (-1161)))) (-15 -1327 ((-634 (-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|))))))))) (-679 |#4|))) (-15 -1327 ((-634 (-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|))))))))) (-679 |#4|) (-634 |#4|) (-917))) (-15 -1327 ((-634 (-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|))))))))) (-679 |#4|) (-634 (-1161)) (-917))) (-15 -1327 ((-634 (-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|))))))))) (-679 |#4|) (-917))) (-15 -1327 ((-568) (-679 |#4|) (-634 |#4|) (-1143))) (-15 -1327 ((-568) (-679 |#4|) (-634 (-1161)) (-1143))) (-15 -1327 ((-568) (-679 |#4|) (-1143))) (-15 -1327 ((-568) (-679 |#4|) (-634 |#4|) (-917) (-1143))) (-15 -1327 ((-568) (-679 |#4|) (-634 (-1161)) (-917) (-1143))) (-15 -1327 ((-568) (-679 |#4|) (-917) (-1143))) (-15 -3245 ((-568) (-634 (-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|))))))))) (-1143))) (-15 -3835 ((-634 (-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|))))))))) (-1143))) (-15 -2810 ((-2 (|:| |rgl| (-634 (-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|)))))))))) (|:| |rgsz| (-568))) (-679 |#4|) (-634 (-409 (-953 |#1|))) (-763) (-1143) (-568))) (-15 -4352 ((-409 (-953 |#1|)) |#4|)) (-15 -4352 ((-679 (-409 (-953 |#1|))) (-679 |#4|))) (-15 -4352 ((-634 (-409 (-953 |#1|))) (-634 |#4|))) (-15 -2373 ((-634 (-409 (-953 |#1|))) (-634 (-1161)))) (-15 -2043 (|#4| (-953 |#1|))) (-15 -4270 ((-2 (|:| |sysok| (-121)) (|:| |z0| (-634 |#4|)) (|:| |n0| (-634 |#4|))) (-634 |#4|) (-634 |#4|))) (-15 -1581 ((-634 (-2 (|:| -2371 (-763)) (|:| |eqns| (-634 (-2 (|:| |det| |#4|) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568)))))) (|:| |fgb| (-634 |#4|)))) (-679 |#4|) (-763))) (-15 -3518 ((-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|)))))) (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|)))))) (-634 |#4|))) (-15 -4338 ((-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|)))))) (-2 (|:| -2908 (-679 (-409 (-953 |#1|)))) (|:| |vec| (-634 (-409 (-953 |#1|)))) (|:| -2371 (-763)) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568)))))) (-15 -4079 ((-634 |#4|) |#4|)) (-15 -3923 ((-763) (-634 (-2 (|:| -2371 (-763)) (|:| |eqns| (-634 (-2 (|:| |det| |#4|) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568)))))) (|:| |fgb| (-634 |#4|)))))) (-15 -1442 ((-763) (-634 (-2 (|:| -2371 (-763)) (|:| |eqns| (-634 (-2 (|:| |det| |#4|) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568)))))) (|:| |fgb| (-634 |#4|)))))) (-15 -1607 ((-634 (-634 |#4|)) (-634 (-634 |#4|)))) (-15 -2412 ((-634 (-634 (-568))) (-568) (-568))) (-15 -2210 ((-121) (-634 |#4|) (-634 (-634 |#4|)))) (-15 -2956 ((-634 (-2 (|:| |det| |#4|) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568))))) (-679 |#4|) (-763))) (-15 -2646 ((-679 |#4|) (-679 |#4|) (-634 |#4|))) (-15 -2324 ((-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|)))))))) (-2 (|:| |det| |#4|) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568)))) (-679 |#4|) (-634 (-409 (-953 |#1|))) (-634 (-634 |#4|)) (-763) (-763) (-568))) (-15 -1971 (|#4| |#4|)) (-15 -4174 ((-121) (-634 |#4|))) (-15 -4174 ((-121) (-634 (-953 |#1|))))) (-13 (-301) (-150)) (-13 (-842) (-609 (-1161))) (-788) (-950 |#1| |#3| |#2|)) (T -924)) 
-((-4174 (*1 *2 *3) (-12 (-5 *3 (-634 (-953 *4))) (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *2 (-121)) (-5 *1 (-924 *4 *5 *6 *7)) (-4 *7 (-950 *4 *6 *5)))) (-4174 (*1 *2 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-950 *4 *6 *5)) (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *2 (-121)) (-5 *1 (-924 *4 *5 *6 *7)))) (-1971 (*1 *2 *2) (-12 (-4 *3 (-13 (-301) (-150))) (-4 *4 (-13 (-842) (-609 (-1161)))) (-4 *5 (-788)) (-5 *1 (-924 *3 *4 *5 *2)) (-4 *2 (-950 *3 *5 *4)))) (-2324 (*1 *2 *3 *4 *5 *6 *7 *7 *8) (-12 (-5 *3 (-2 (|:| |det| *12) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568))))) (-5 *4 (-679 *12)) (-5 *5 (-634 (-409 (-953 *9)))) (-5 *6 (-634 (-634 *12))) (-5 *7 (-763)) (-5 *8 (-568)) (-4 *9 (-13 (-301) (-150))) (-4 *12 (-950 *9 *11 *10)) (-4 *10 (-13 (-842) (-609 (-1161)))) (-4 *11 (-788)) (-5 *2 (-2 (|:| |eqzro| (-634 *12)) (|:| |neqzro| (-634 *12)) (|:| |wcond| (-634 (-953 *9))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 *9)))) (|:| -2588 (-634 (-1244 (-409 (-953 *9))))))))) (-5 *1 (-924 *9 *10 *11 *12)))) (-2646 (*1 *2 *2 *3) (-12 (-5 *2 (-679 *7)) (-5 *3 (-634 *7)) (-4 *7 (-950 *4 *6 *5)) (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *1 (-924 *4 *5 *6 *7)))) (-2956 (*1 *2 *3 *4) (-12 (-5 *3 (-679 *8)) (-5 *4 (-763)) (-4 *8 (-950 *5 *7 *6)) (-4 *5 (-13 (-301) (-150))) (-4 *6 (-13 (-842) (-609 (-1161)))) (-4 *7 (-788)) (-5 *2 (-634 (-2 (|:| |det| *8) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568)))))) (-5 *1 (-924 *5 *6 *7 *8)))) (-2210 (*1 *2 *3 *4) (-12 (-5 *4 (-634 (-634 *8))) (-5 *3 (-634 *8)) (-4 *8 (-950 *5 *7 *6)) (-4 *5 (-13 (-301) (-150))) (-4 *6 (-13 (-842) (-609 (-1161)))) (-4 *7 (-788)) (-5 *2 (-121)) (-5 *1 (-924 *5 *6 *7 *8)))) (-2412 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *2 (-634 (-634 (-568)))) (-5 *1 (-924 *4 *5 *6 *7)) (-5 *3 (-568)) (-4 *7 (-950 *4 *6 *5)))) (-1607 (*1 *2 *2) (-12 (-5 *2 (-634 (-634 *6))) (-4 *6 (-950 *3 *5 *4)) (-4 *3 (-13 (-301) (-150))) (-4 *4 (-13 (-842) (-609 (-1161)))) (-4 *5 (-788)) (-5 *1 (-924 *3 *4 *5 *6)))) (-1442 (*1 *2 *3) (-12 (-5 *3 (-634 (-2 (|:| -2371 (-763)) (|:| |eqns| (-634 (-2 (|:| |det| *7) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568)))))) (|:| |fgb| (-634 *7))))) (-4 *7 (-950 *4 *6 *5)) (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *2 (-763)) (-5 *1 (-924 *4 *5 *6 *7)))) (-3923 (*1 *2 *3) (-12 (-5 *3 (-634 (-2 (|:| -2371 (-763)) (|:| |eqns| (-634 (-2 (|:| |det| *7) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568)))))) (|:| |fgb| (-634 *7))))) (-4 *7 (-950 *4 *6 *5)) (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *2 (-763)) (-5 *1 (-924 *4 *5 *6 *7)))) (-4079 (*1 *2 *3) (-12 (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *2 (-634 *3)) (-5 *1 (-924 *4 *5 *6 *3)) (-4 *3 (-950 *4 *6 *5)))) (-4338 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -2908 (-679 (-409 (-953 *4)))) (|:| |vec| (-634 (-409 (-953 *4)))) (|:| -2371 (-763)) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568))))) (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *2 (-2 (|:| |partsol| (-1244 (-409 (-953 *4)))) (|:| -2588 (-634 (-1244 (-409 (-953 *4))))))) (-5 *1 (-924 *4 *5 *6 *7)) (-4 *7 (-950 *4 *6 *5)))) (-3518 (*1 *2 *2 *3) (-12 (-5 *2 (-2 (|:| |partsol| (-1244 (-409 (-953 *4)))) (|:| -2588 (-634 (-1244 (-409 (-953 *4))))))) (-5 *3 (-634 *7)) (-4 *4 (-13 (-301) (-150))) (-4 *7 (-950 *4 *6 *5)) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *1 (-924 *4 *5 *6 *7)))) (-1581 (*1 *2 *3 *4) (-12 (-5 *3 (-679 *8)) (-4 *8 (-950 *5 *7 *6)) (-4 *5 (-13 (-301) (-150))) (-4 *6 (-13 (-842) (-609 (-1161)))) (-4 *7 (-788)) (-5 *2 (-634 (-2 (|:| -2371 (-763)) (|:| |eqns| (-634 (-2 (|:| |det| *8) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568)))))) (|:| |fgb| (-634 *8))))) (-5 *1 (-924 *5 *6 *7 *8)) (-5 *4 (-763)))) (-4270 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-4 *7 (-950 *4 *6 *5)) (-5 *2 (-2 (|:| |sysok| (-121)) (|:| |z0| (-634 *7)) (|:| |n0| (-634 *7)))) (-5 *1 (-924 *4 *5 *6 *7)) (-5 *3 (-634 *7)))) (-2043 (*1 *2 *3) (-12 (-5 *3 (-953 *4)) (-4 *4 (-13 (-301) (-150))) (-4 *2 (-950 *4 *6 *5)) (-5 *1 (-924 *4 *5 *6 *2)) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)))) (-2373 (*1 *2 *3) (-12 (-5 *3 (-634 (-1161))) (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *2 (-634 (-409 (-953 *4)))) (-5 *1 (-924 *4 *5 *6 *7)) (-4 *7 (-950 *4 *6 *5)))) (-4352 (*1 *2 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-950 *4 *6 *5)) (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *2 (-634 (-409 (-953 *4)))) (-5 *1 (-924 *4 *5 *6 *7)))) (-4352 (*1 *2 *3) (-12 (-5 *3 (-679 *7)) (-4 *7 (-950 *4 *6 *5)) (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *2 (-679 (-409 (-953 *4)))) (-5 *1 (-924 *4 *5 *6 *7)))) (-4352 (*1 *2 *3) (-12 (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *2 (-409 (-953 *4))) (-5 *1 (-924 *4 *5 *6 *3)) (-4 *3 (-950 *4 *6 *5)))) (-2810 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-679 *11)) (-5 *4 (-634 (-409 (-953 *8)))) (-5 *5 (-763)) (-5 *6 (-1143)) (-4 *8 (-13 (-301) (-150))) (-4 *11 (-950 *8 *10 *9)) (-4 *9 (-13 (-842) (-609 (-1161)))) (-4 *10 (-788)) (-5 *2 (-2 (|:| |rgl| (-634 (-2 (|:| |eqzro| (-634 *11)) (|:| |neqzro| (-634 *11)) (|:| |wcond| (-634 (-953 *8))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 *8)))) (|:| -2588 (-634 (-1244 (-409 (-953 *8)))))))))) (|:| |rgsz| (-568)))) (-5 *1 (-924 *8 *9 *10 *11)) (-5 *7 (-568)))) (-3835 (*1 *2 *3) (-12 (-5 *3 (-1143)) (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *2 (-634 (-2 (|:| |eqzro| (-634 *7)) (|:| |neqzro| (-634 *7)) (|:| |wcond| (-634 (-953 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 *4)))) (|:| -2588 (-634 (-1244 (-409 (-953 *4)))))))))) (-5 *1 (-924 *4 *5 *6 *7)) (-4 *7 (-950 *4 *6 *5)))) (-3245 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-2 (|:| |eqzro| (-634 *8)) (|:| |neqzro| (-634 *8)) (|:| |wcond| (-634 (-953 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 *5)))) (|:| -2588 (-634 (-1244 (-409 (-953 *5)))))))))) (-5 *4 (-1143)) (-4 *5 (-13 (-301) (-150))) (-4 *8 (-950 *5 *7 *6)) (-4 *6 (-13 (-842) (-609 (-1161)))) (-4 *7 (-788)) (-5 *2 (-568)) (-5 *1 (-924 *5 *6 *7 *8)))) (-1327 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-679 *9)) (-5 *4 (-917)) (-5 *5 (-1143)) (-4 *9 (-950 *6 *8 *7)) (-4 *6 (-13 (-301) (-150))) (-4 *7 (-13 (-842) (-609 (-1161)))) (-4 *8 (-788)) (-5 *2 (-568)) (-5 *1 (-924 *6 *7 *8 *9)))) (-1327 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-679 *10)) (-5 *4 (-634 (-1161))) (-5 *5 (-917)) (-5 *6 (-1143)) (-4 *10 (-950 *7 *9 *8)) (-4 *7 (-13 (-301) (-150))) (-4 *8 (-13 (-842) (-609 (-1161)))) (-4 *9 (-788)) (-5 *2 (-568)) (-5 *1 (-924 *7 *8 *9 *10)))) (-1327 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-679 *10)) (-5 *4 (-634 *10)) (-5 *5 (-917)) (-5 *6 (-1143)) (-4 *10 (-950 *7 *9 *8)) (-4 *7 (-13 (-301) (-150))) (-4 *8 (-13 (-842) (-609 (-1161)))) (-4 *9 (-788)) (-5 *2 (-568)) (-5 *1 (-924 *7 *8 *9 *10)))) (-1327 (*1 *2 *3 *4) (-12 (-5 *3 (-679 *8)) (-5 *4 (-1143)) (-4 *8 (-950 *5 *7 *6)) (-4 *5 (-13 (-301) (-150))) (-4 *6 (-13 (-842) (-609 (-1161)))) (-4 *7 (-788)) (-5 *2 (-568)) (-5 *1 (-924 *5 *6 *7 *8)))) (-1327 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-679 *9)) (-5 *4 (-634 (-1161))) (-5 *5 (-1143)) (-4 *9 (-950 *6 *8 *7)) (-4 *6 (-13 (-301) (-150))) (-4 *7 (-13 (-842) (-609 (-1161)))) (-4 *8 (-788)) (-5 *2 (-568)) (-5 *1 (-924 *6 *7 *8 *9)))) (-1327 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-679 *9)) (-5 *4 (-634 *9)) (-5 *5 (-1143)) (-4 *9 (-950 *6 *8 *7)) (-4 *6 (-13 (-301) (-150))) (-4 *7 (-13 (-842) (-609 (-1161)))) (-4 *8 (-788)) (-5 *2 (-568)) (-5 *1 (-924 *6 *7 *8 *9)))) (-1327 (*1 *2 *3 *4) (-12 (-5 *3 (-679 *8)) (-5 *4 (-917)) (-4 *8 (-950 *5 *7 *6)) (-4 *5 (-13 (-301) (-150))) (-4 *6 (-13 (-842) (-609 (-1161)))) (-4 *7 (-788)) (-5 *2 (-634 (-2 (|:| |eqzro| (-634 *8)) (|:| |neqzro| (-634 *8)) (|:| |wcond| (-634 (-953 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 *5)))) (|:| -2588 (-634 (-1244 (-409 (-953 *5)))))))))) (-5 *1 (-924 *5 *6 *7 *8)))) (-1327 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-679 *9)) (-5 *4 (-634 (-1161))) (-5 *5 (-917)) (-4 *9 (-950 *6 *8 *7)) (-4 *6 (-13 (-301) (-150))) (-4 *7 (-13 (-842) (-609 (-1161)))) (-4 *8 (-788)) (-5 *2 (-634 (-2 (|:| |eqzro| (-634 *9)) (|:| |neqzro| (-634 *9)) (|:| |wcond| (-634 (-953 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 *6)))) (|:| -2588 (-634 (-1244 (-409 (-953 *6)))))))))) (-5 *1 (-924 *6 *7 *8 *9)))) (-1327 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-679 *9)) (-5 *5 (-917)) (-4 *9 (-950 *6 *8 *7)) (-4 *6 (-13 (-301) (-150))) (-4 *7 (-13 (-842) (-609 (-1161)))) (-4 *8 (-788)) (-5 *2 (-634 (-2 (|:| |eqzro| (-634 *9)) (|:| |neqzro| (-634 *9)) (|:| |wcond| (-634 (-953 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 *6)))) (|:| -2588 (-634 (-1244 (-409 (-953 *6)))))))))) (-5 *1 (-924 *6 *7 *8 *9)) (-5 *4 (-634 *9)))) (-1327 (*1 *2 *3) (-12 (-5 *3 (-679 *7)) (-4 *7 (-950 *4 *6 *5)) (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *2 (-634 (-2 (|:| |eqzro| (-634 *7)) (|:| |neqzro| (-634 *7)) (|:| |wcond| (-634 (-953 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 *4)))) (|:| -2588 (-634 (-1244 (-409 (-953 *4)))))))))) (-5 *1 (-924 *4 *5 *6 *7)))) (-1327 (*1 *2 *3 *4) (-12 (-5 *3 (-679 *8)) (-5 *4 (-634 (-1161))) (-4 *8 (-950 *5 *7 *6)) (-4 *5 (-13 (-301) (-150))) (-4 *6 (-13 (-842) (-609 (-1161)))) (-4 *7 (-788)) (-5 *2 (-634 (-2 (|:| |eqzro| (-634 *8)) (|:| |neqzro| (-634 *8)) (|:| |wcond| (-634 (-953 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 *5)))) (|:| -2588 (-634 (-1244 (-409 (-953 *5)))))))))) (-5 *1 (-924 *5 *6 *7 *8)))) (-1327 (*1 *2 *3 *4) (-12 (-5 *3 (-679 *8)) (-4 *8 (-950 *5 *7 *6)) (-4 *5 (-13 (-301) (-150))) (-4 *6 (-13 (-842) (-609 (-1161)))) (-4 *7 (-788)) (-5 *2 (-634 (-2 (|:| |eqzro| (-634 *8)) (|:| |neqzro| (-634 *8)) (|:| |wcond| (-634 (-953 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 *5)))) (|:| -2588 (-634 (-1244 (-409 (-953 *5)))))))))) (-5 *1 (-924 *5 *6 *7 *8)) (-5 *4 (-634 *8))))) 
-(-10 -7 (-15 -1327 ((-634 (-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|))))))))) (-679 |#4|) (-634 |#4|))) (-15 -1327 ((-634 (-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|))))))))) (-679 |#4|) (-634 (-1161)))) (-15 -1327 ((-634 (-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|))))))))) (-679 |#4|))) (-15 -1327 ((-634 (-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|))))))))) (-679 |#4|) (-634 |#4|) (-917))) (-15 -1327 ((-634 (-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|))))))))) (-679 |#4|) (-634 (-1161)) (-917))) (-15 -1327 ((-634 (-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|))))))))) (-679 |#4|) (-917))) (-15 -1327 ((-568) (-679 |#4|) (-634 |#4|) (-1143))) (-15 -1327 ((-568) (-679 |#4|) (-634 (-1161)) (-1143))) (-15 -1327 ((-568) (-679 |#4|) (-1143))) (-15 -1327 ((-568) (-679 |#4|) (-634 |#4|) (-917) (-1143))) (-15 -1327 ((-568) (-679 |#4|) (-634 (-1161)) (-917) (-1143))) (-15 -1327 ((-568) (-679 |#4|) (-917) (-1143))) (-15 -3245 ((-568) (-634 (-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|))))))))) (-1143))) (-15 -3835 ((-634 (-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|))))))))) (-1143))) (-15 -2810 ((-2 (|:| |rgl| (-634 (-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|)))))))))) (|:| |rgsz| (-568))) (-679 |#4|) (-634 (-409 (-953 |#1|))) (-763) (-1143) (-568))) (-15 -4352 ((-409 (-953 |#1|)) |#4|)) (-15 -4352 ((-679 (-409 (-953 |#1|))) (-679 |#4|))) (-15 -4352 ((-634 (-409 (-953 |#1|))) (-634 |#4|))) (-15 -2373 ((-634 (-409 (-953 |#1|))) (-634 (-1161)))) (-15 -2043 (|#4| (-953 |#1|))) (-15 -4270 ((-2 (|:| |sysok| (-121)) (|:| |z0| (-634 |#4|)) (|:| |n0| (-634 |#4|))) (-634 |#4|) (-634 |#4|))) (-15 -1581 ((-634 (-2 (|:| -2371 (-763)) (|:| |eqns| (-634 (-2 (|:| |det| |#4|) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568)))))) (|:| |fgb| (-634 |#4|)))) (-679 |#4|) (-763))) (-15 -3518 ((-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|)))))) (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|)))))) (-634 |#4|))) (-15 -4338 ((-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|)))))) (-2 (|:| -2908 (-679 (-409 (-953 |#1|)))) (|:| |vec| (-634 (-409 (-953 |#1|)))) (|:| -2371 (-763)) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568)))))) (-15 -4079 ((-634 |#4|) |#4|)) (-15 -3923 ((-763) (-634 (-2 (|:| -2371 (-763)) (|:| |eqns| (-634 (-2 (|:| |det| |#4|) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568)))))) (|:| |fgb| (-634 |#4|)))))) (-15 -1442 ((-763) (-634 (-2 (|:| -2371 (-763)) (|:| |eqns| (-634 (-2 (|:| |det| |#4|) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568)))))) (|:| |fgb| (-634 |#4|)))))) (-15 -1607 ((-634 (-634 |#4|)) (-634 (-634 |#4|)))) (-15 -2412 ((-634 (-634 (-568))) (-568) (-568))) (-15 -2210 ((-121) (-634 |#4|) (-634 (-634 |#4|)))) (-15 -2956 ((-634 (-2 (|:| |det| |#4|) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568))))) (-679 |#4|) (-763))) (-15 -2646 ((-679 |#4|) (-679 |#4|) (-634 |#4|))) (-15 -2324 ((-2 (|:| |eqzro| (-634 |#4|)) (|:| |neqzro| (-634 |#4|)) (|:| |wcond| (-634 (-953 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 |#1|)))) (|:| -2588 (-634 (-1244 (-409 (-953 |#1|)))))))) (-2 (|:| |det| |#4|) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568)))) (-679 |#4|) (-634 (-409 (-953 |#1|))) (-634 (-634 |#4|)) (-763) (-763) (-568))) (-15 -1971 (|#4| |#4|)) (-15 -4174 ((-121) (-634 |#4|))) (-15 -4174 ((-121) (-634 (-953 |#1|))))) 
-((-3612 (((-927) |#1| (-1161)) 16) (((-927) |#1| (-1161) (-1084 (-215))) 20)) (-1566 (((-927) |#1| |#1| (-1161) (-1084 (-215))) 18) (((-927) |#1| (-1161) (-1084 (-215))) 14))) 
-(((-925 |#1|) (-10 -7 (-15 -1566 ((-927) |#1| (-1161) (-1084 (-215)))) (-15 -1566 ((-927) |#1| |#1| (-1161) (-1084 (-215)))) (-15 -3612 ((-927) |#1| (-1161) (-1084 (-215)))) (-15 -3612 ((-927) |#1| (-1161)))) (-609 (-541))) (T -925)) 
-((-3612 (*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-5 *2 (-927)) (-5 *1 (-925 *3)) (-4 *3 (-609 (-541))))) (-3612 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1161)) (-5 *5 (-1084 (-215))) (-5 *2 (-927)) (-5 *1 (-925 *3)) (-4 *3 (-609 (-541))))) (-1566 (*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-1161)) (-5 *5 (-1084 (-215))) (-5 *2 (-927)) (-5 *1 (-925 *3)) (-4 *3 (-609 (-541))))) (-1566 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1161)) (-5 *5 (-1084 (-215))) (-5 *2 (-927)) (-5 *1 (-925 *3)) (-4 *3 (-609 (-541)))))) 
-(-10 -7 (-15 -1566 ((-927) |#1| (-1161) (-1084 (-215)))) (-15 -1566 ((-927) |#1| |#1| (-1161) (-1084 (-215)))) (-15 -3612 ((-927) |#1| (-1161) (-1084 (-215)))) (-15 -3612 ((-927) |#1| (-1161)))) 
-((-4075 (($ $ (-1084 (-215)) (-1084 (-215)) (-1084 (-215))) 68)) (-1689 (((-1084 (-215)) $) 40)) (-1421 (((-1084 (-215)) $) 39)) (-3679 (((-1084 (-215)) $) 38)) (-4232 (((-634 (-634 (-215))) $) 43)) (-1924 (((-1084 (-215)) $) 41)) (-2321 (((-568) (-568)) 32)) (-2596 (((-568) (-568)) 28)) (-3188 (((-568) (-568)) 30)) (-3493 (((-121) (-121)) 35)) (-1863 (((-568)) 31)) (-1642 (($ $ (-1084 (-215))) 71) (($ $) 72)) (-2254 (($ (-1 (-944 (-215)) (-215)) (-1084 (-215))) 76) (($ (-1 (-944 (-215)) (-215)) (-1084 (-215)) (-1084 (-215)) (-1084 (-215)) (-1084 (-215))) 77)) (-1566 (($ (-1 (-215) (-215)) (-1 (-215) (-215)) (-1 (-215) (-215)) (-1 (-215) (-215)) (-1084 (-215))) 79) (($ (-1 (-215) (-215)) (-1 (-215) (-215)) (-1 (-215) (-215)) (-1 (-215) (-215)) (-1084 (-215)) (-1084 (-215)) (-1084 (-215)) (-1084 (-215))) 80) (($ $ (-1084 (-215))) 74)) (-2620 (((-568)) 36)) (-2897 (((-568)) 27)) (-2470 (((-568)) 29)) (-1878 (((-634 (-634 (-944 (-215)))) $) 92)) (-2336 (((-121) (-121)) 37)) (-2747 (((-850) $) 91)) (-4248 (((-121)) 34))) 
-(((-926) (-13 (-975) (-10 -8 (-15 -2254 ($ (-1 (-944 (-215)) (-215)) (-1084 (-215)))) (-15 -2254 ($ (-1 (-944 (-215)) (-215)) (-1084 (-215)) (-1084 (-215)) (-1084 (-215)) (-1084 (-215)))) (-15 -1566 ($ (-1 (-215) (-215)) (-1 (-215) (-215)) (-1 (-215) (-215)) (-1 (-215) (-215)) (-1084 (-215)))) (-15 -1566 ($ (-1 (-215) (-215)) (-1 (-215) (-215)) (-1 (-215) (-215)) (-1 (-215) (-215)) (-1084 (-215)) (-1084 (-215)) (-1084 (-215)) (-1084 (-215)))) (-15 -1566 ($ $ (-1084 (-215)))) (-15 -4075 ($ $ (-1084 (-215)) (-1084 (-215)) (-1084 (-215)))) (-15 -1642 ($ $ (-1084 (-215)))) (-15 -1642 ($ $)) (-15 -1924 ((-1084 (-215)) $)) (-15 -4232 ((-634 (-634 (-215))) $)) (-15 -2897 ((-568))) (-15 -2596 ((-568) (-568))) (-15 -2470 ((-568))) (-15 -3188 ((-568) (-568))) (-15 -1863 ((-568))) (-15 -2321 ((-568) (-568))) (-15 -4248 ((-121))) (-15 -3493 ((-121) (-121))) (-15 -2620 ((-568))) (-15 -2336 ((-121) (-121)))))) (T -926)) 
-((-2254 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-944 (-215)) (-215))) (-5 *3 (-1084 (-215))) (-5 *1 (-926)))) (-2254 (*1 *1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-944 (-215)) (-215))) (-5 *3 (-1084 (-215))) (-5 *1 (-926)))) (-1566 (*1 *1 *2 *2 *2 *2 *3) (-12 (-5 *2 (-1 (-215) (-215))) (-5 *3 (-1084 (-215))) (-5 *1 (-926)))) (-1566 (*1 *1 *2 *2 *2 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-215) (-215))) (-5 *3 (-1084 (-215))) (-5 *1 (-926)))) (-1566 (*1 *1 *1 *2) (-12 (-5 *2 (-1084 (-215))) (-5 *1 (-926)))) (-4075 (*1 *1 *1 *2 *2 *2) (-12 (-5 *2 (-1084 (-215))) (-5 *1 (-926)))) (-1642 (*1 *1 *1 *2) (-12 (-5 *2 (-1084 (-215))) (-5 *1 (-926)))) (-1642 (*1 *1 *1) (-5 *1 (-926))) (-1924 (*1 *2 *1) (-12 (-5 *2 (-1084 (-215))) (-5 *1 (-926)))) (-4232 (*1 *2 *1) (-12 (-5 *2 (-634 (-634 (-215)))) (-5 *1 (-926)))) (-2897 (*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-926)))) (-2596 (*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-926)))) (-2470 (*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-926)))) (-3188 (*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-926)))) (-1863 (*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-926)))) (-2321 (*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-926)))) (-4248 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-926)))) (-3493 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-926)))) (-2620 (*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-926)))) (-2336 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-926))))) 
-(-13 (-975) (-10 -8 (-15 -2254 ($ (-1 (-944 (-215)) (-215)) (-1084 (-215)))) (-15 -2254 ($ (-1 (-944 (-215)) (-215)) (-1084 (-215)) (-1084 (-215)) (-1084 (-215)) (-1084 (-215)))) (-15 -1566 ($ (-1 (-215) (-215)) (-1 (-215) (-215)) (-1 (-215) (-215)) (-1 (-215) (-215)) (-1084 (-215)))) (-15 -1566 ($ (-1 (-215) (-215)) (-1 (-215) (-215)) (-1 (-215) (-215)) (-1 (-215) (-215)) (-1084 (-215)) (-1084 (-215)) (-1084 (-215)) (-1084 (-215)))) (-15 -1566 ($ $ (-1084 (-215)))) (-15 -4075 ($ $ (-1084 (-215)) (-1084 (-215)) (-1084 (-215)))) (-15 -1642 ($ $ (-1084 (-215)))) (-15 -1642 ($ $)) (-15 -1924 ((-1084 (-215)) $)) (-15 -4232 ((-634 (-634 (-215))) $)) (-15 -2897 ((-568))) (-15 -2596 ((-568) (-568))) (-15 -2470 ((-568))) (-15 -3188 ((-568) (-568))) (-15 -1863 ((-568))) (-15 -2321 ((-568) (-568))) (-15 -4248 ((-121))) (-15 -3493 ((-121) (-121))) (-15 -2620 ((-568))) (-15 -2336 ((-121) (-121))))) 
-((-4075 (($ $ (-1084 (-215))) 69) (($ $ (-1084 (-215)) (-1084 (-215))) 70)) (-1421 (((-1084 (-215)) $) 43)) (-3679 (((-1084 (-215)) $) 42)) (-1924 (((-1084 (-215)) $) 44)) (-1390 (((-568) (-568)) 36)) (-4344 (((-568) (-568)) 32)) (-1559 (((-568) (-568)) 34)) (-3394 (((-121) (-121)) 38)) (-4420 (((-568)) 35)) (-1642 (($ $ (-1084 (-215))) 73) (($ $) 74)) (-2254 (($ (-1 (-944 (-215)) (-215)) (-1084 (-215))) 83) (($ (-1 (-944 (-215)) (-215)) (-1084 (-215)) (-1084 (-215)) (-1084 (-215))) 84)) (-3612 (($ (-1 (-215) (-215)) (-1084 (-215))) 91) (($ (-1 (-215) (-215))) 94)) (-1566 (($ (-1 (-215) (-215)) (-1084 (-215))) 78) (($ (-1 (-215) (-215)) (-1084 (-215)) (-1084 (-215))) 79) (($ (-634 (-1 (-215) (-215))) (-1084 (-215))) 86) (($ (-634 (-1 (-215) (-215))) (-1084 (-215)) (-1084 (-215))) 87) (($ (-1 (-215) (-215)) (-1 (-215) (-215)) (-1084 (-215))) 80) (($ (-1 (-215) (-215)) (-1 (-215) (-215)) (-1084 (-215)) (-1084 (-215)) (-1084 (-215))) 81) (($ $ (-1084 (-215))) 75)) (-4046 (((-121) $) 39)) (-4474 (((-568)) 40)) (-1502 (((-568)) 31)) (-2728 (((-568)) 33)) (-1878 (((-634 (-634 (-944 (-215)))) $) 22)) (-4021 (((-121) (-121)) 41)) (-2747 (((-850) $) 105)) (-3523 (((-121)) 37))) 
-(((-927) (-13 (-955) (-10 -8 (-15 -1566 ($ (-1 (-215) (-215)) (-1084 (-215)))) (-15 -1566 ($ (-1 (-215) (-215)) (-1084 (-215)) (-1084 (-215)))) (-15 -1566 ($ (-634 (-1 (-215) (-215))) (-1084 (-215)))) (-15 -1566 ($ (-634 (-1 (-215) (-215))) (-1084 (-215)) (-1084 (-215)))) (-15 -1566 ($ (-1 (-215) (-215)) (-1 (-215) (-215)) (-1084 (-215)))) (-15 -1566 ($ (-1 (-215) (-215)) (-1 (-215) (-215)) (-1084 (-215)) (-1084 (-215)) (-1084 (-215)))) (-15 -2254 ($ (-1 (-944 (-215)) (-215)) (-1084 (-215)))) (-15 -2254 ($ (-1 (-944 (-215)) (-215)) (-1084 (-215)) (-1084 (-215)) (-1084 (-215)))) (-15 -3612 ($ (-1 (-215) (-215)) (-1084 (-215)))) (-15 -3612 ($ (-1 (-215) (-215)))) (-15 -1566 ($ $ (-1084 (-215)))) (-15 -4046 ((-121) $)) (-15 -4075 ($ $ (-1084 (-215)))) (-15 -4075 ($ $ (-1084 (-215)) (-1084 (-215)))) (-15 -1642 ($ $ (-1084 (-215)))) (-15 -1642 ($ $)) (-15 -1924 ((-1084 (-215)) $)) (-15 -1502 ((-568))) (-15 -4344 ((-568) (-568))) (-15 -2728 ((-568))) (-15 -1559 ((-568) (-568))) (-15 -4420 ((-568))) (-15 -1390 ((-568) (-568))) (-15 -3523 ((-121))) (-15 -3394 ((-121) (-121))) (-15 -4474 ((-568))) (-15 -4021 ((-121) (-121)))))) (T -927)) 
-((-1566 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-215) (-215))) (-5 *3 (-1084 (-215))) (-5 *1 (-927)))) (-1566 (*1 *1 *2 *3 *3) (-12 (-5 *2 (-1 (-215) (-215))) (-5 *3 (-1084 (-215))) (-5 *1 (-927)))) (-1566 (*1 *1 *2 *3) (-12 (-5 *2 (-634 (-1 (-215) (-215)))) (-5 *3 (-1084 (-215))) (-5 *1 (-927)))) (-1566 (*1 *1 *2 *3 *3) (-12 (-5 *2 (-634 (-1 (-215) (-215)))) (-5 *3 (-1084 (-215))) (-5 *1 (-927)))) (-1566 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-1 (-215) (-215))) (-5 *3 (-1084 (-215))) (-5 *1 (-927)))) (-1566 (*1 *1 *2 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-215) (-215))) (-5 *3 (-1084 (-215))) (-5 *1 (-927)))) (-2254 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-944 (-215)) (-215))) (-5 *3 (-1084 (-215))) (-5 *1 (-927)))) (-2254 (*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-944 (-215)) (-215))) (-5 *3 (-1084 (-215))) (-5 *1 (-927)))) (-3612 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-215) (-215))) (-5 *3 (-1084 (-215))) (-5 *1 (-927)))) (-3612 (*1 *1 *2) (-12 (-5 *2 (-1 (-215) (-215))) (-5 *1 (-927)))) (-1566 (*1 *1 *1 *2) (-12 (-5 *2 (-1084 (-215))) (-5 *1 (-927)))) (-4046 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-927)))) (-4075 (*1 *1 *1 *2) (-12 (-5 *2 (-1084 (-215))) (-5 *1 (-927)))) (-4075 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-1084 (-215))) (-5 *1 (-927)))) (-1642 (*1 *1 *1 *2) (-12 (-5 *2 (-1084 (-215))) (-5 *1 (-927)))) (-1642 (*1 *1 *1) (-5 *1 (-927))) (-1924 (*1 *2 *1) (-12 (-5 *2 (-1084 (-215))) (-5 *1 (-927)))) (-1502 (*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-927)))) (-4344 (*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-927)))) (-2728 (*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-927)))) (-1559 (*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-927)))) (-4420 (*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-927)))) (-1390 (*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-927)))) (-3523 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-927)))) (-3394 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-927)))) (-4474 (*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-927)))) (-4021 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-927))))) 
-(-13 (-955) (-10 -8 (-15 -1566 ($ (-1 (-215) (-215)) (-1084 (-215)))) (-15 -1566 ($ (-1 (-215) (-215)) (-1084 (-215)) (-1084 (-215)))) (-15 -1566 ($ (-634 (-1 (-215) (-215))) (-1084 (-215)))) (-15 -1566 ($ (-634 (-1 (-215) (-215))) (-1084 (-215)) (-1084 (-215)))) (-15 -1566 ($ (-1 (-215) (-215)) (-1 (-215) (-215)) (-1084 (-215)))) (-15 -1566 ($ (-1 (-215) (-215)) (-1 (-215) (-215)) (-1084 (-215)) (-1084 (-215)) (-1084 (-215)))) (-15 -2254 ($ (-1 (-944 (-215)) (-215)) (-1084 (-215)))) (-15 -2254 ($ (-1 (-944 (-215)) (-215)) (-1084 (-215)) (-1084 (-215)) (-1084 (-215)))) (-15 -3612 ($ (-1 (-215) (-215)) (-1084 (-215)))) (-15 -3612 ($ (-1 (-215) (-215)))) (-15 -1566 ($ $ (-1084 (-215)))) (-15 -4046 ((-121) $)) (-15 -4075 ($ $ (-1084 (-215)))) (-15 -4075 ($ $ (-1084 (-215)) (-1084 (-215)))) (-15 -1642 ($ $ (-1084 (-215)))) (-15 -1642 ($ $)) (-15 -1924 ((-1084 (-215)) $)) (-15 -1502 ((-568))) (-15 -4344 ((-568) (-568))) (-15 -2728 ((-568))) (-15 -1559 ((-568) (-568))) (-15 -4420 ((-568))) (-15 -1390 ((-568) (-568))) (-15 -3523 ((-121))) (-15 -3394 ((-121) (-121))) (-15 -4474 ((-568))) (-15 -4021 ((-121) (-121))))) 
-((-4068 (((-634 (-1084 (-215))) (-634 (-634 (-944 (-215))))) 23))) 
-(((-928) (-10 -7 (-15 -4068 ((-634 (-1084 (-215))) (-634 (-634 (-944 (-215)))))))) (T -928)) 
-((-4068 (*1 *2 *3) (-12 (-5 *3 (-634 (-634 (-944 (-215))))) (-5 *2 (-634 (-1084 (-215)))) (-5 *1 (-928))))) 
-(-10 -7 (-15 -4068 ((-634 (-1084 (-215))) (-634 (-634 (-944 (-215))))))) 
-((-3794 ((|#2| |#2| |#5|) 39) ((|#2| |#2| |#5| (-568)) 20)) (-2537 (((-121) (-634 |#2|) |#5|) 23)) (-1470 (((-763) |#2| |#5| (-568)) 42) (((-763) |#2| |#5|) 41)) (-1936 ((|#2| |#2| |#5| (-568)) 45) ((|#2| |#2| |#5|) 44)) (-1339 ((|#1| |#2| |#5|) 21))) 
-(((-929 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2537 ((-121) (-634 |#2|) |#5|)) (-15 -1339 (|#1| |#2| |#5|)) (-15 -3794 (|#2| |#2| |#5| (-568))) (-15 -3794 (|#2| |#2| |#5|)) (-15 -1936 (|#2| |#2| |#5|)) (-15 -1936 (|#2| |#2| |#5| (-568))) (-15 -1470 ((-763) |#2| |#5|)) (-15 -1470 ((-763) |#2| |#5| (-568)))) (-365) (-324 |#1| |#3|) (-230 |#4| (-763)) (-763) (-971 |#1|)) (T -929)) 
-((-1470 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-568)) (-4 *6 (-365)) (-4 *7 (-230 *8 *2)) (-14 *8 *2) (-5 *2 (-763)) (-5 *1 (-929 *6 *3 *7 *8 *4)) (-4 *3 (-324 *6 *7)) (-4 *4 (-971 *6)))) (-1470 (*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-4 *6 (-230 *7 *2)) (-14 *7 *2) (-5 *2 (-763)) (-5 *1 (-929 *5 *3 *6 *7 *4)) (-4 *3 (-324 *5 *6)) (-4 *4 (-971 *5)))) (-1936 (*1 *2 *2 *3 *4) (-12 (-5 *4 (-568)) (-4 *5 (-365)) (-4 *6 (-230 *7 (-763))) (-14 *7 (-763)) (-5 *1 (-929 *5 *2 *6 *7 *3)) (-4 *2 (-324 *5 *6)) (-4 *3 (-971 *5)))) (-1936 (*1 *2 *2 *3) (-12 (-4 *4 (-365)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-5 *1 (-929 *4 *2 *5 *6 *3)) (-4 *2 (-324 *4 *5)) (-4 *3 (-971 *4)))) (-3794 (*1 *2 *2 *3) (-12 (-4 *4 (-365)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-5 *1 (-929 *4 *2 *5 *6 *3)) (-4 *2 (-324 *4 *5)) (-4 *3 (-971 *4)))) (-3794 (*1 *2 *2 *3 *4) (-12 (-5 *4 (-568)) (-4 *5 (-365)) (-4 *6 (-230 *7 (-763))) (-14 *7 (-763)) (-5 *1 (-929 *5 *2 *6 *7 *3)) (-4 *2 (-324 *5 *6)) (-4 *3 (-971 *5)))) (-1339 (*1 *2 *3 *4) (-12 (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-4 *2 (-365)) (-5 *1 (-929 *2 *3 *5 *6 *4)) (-4 *3 (-324 *2 *5)) (-4 *4 (-971 *2)))) (-2537 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *6)) (-4 *6 (-324 *5 *7)) (-4 *7 (-230 *8 (-763))) (-14 *8 (-763)) (-4 *5 (-365)) (-5 *2 (-121)) (-5 *1 (-929 *5 *6 *7 *8 *4)) (-4 *4 (-971 *5))))) 
-(-10 -7 (-15 -2537 ((-121) (-634 |#2|) |#5|)) (-15 -1339 (|#1| |#2| |#5|)) (-15 -3794 (|#2| |#2| |#5| (-568))) (-15 -3794 (|#2| |#2| |#5|)) (-15 -1936 (|#2| |#2| |#5|)) (-15 -1936 (|#2| |#2| |#5| (-568))) (-15 -1470 ((-763) |#2| |#5|)) (-15 -1470 ((-763) |#2| |#5| (-568)))) 
-((-3039 ((|#2| |#2|) 25)) (-3035 ((|#2| |#2|) 26)) (-3497 ((|#2| |#2|) 24)) (-2211 ((|#2| |#2| (-1143)) 23))) 
-(((-930 |#1| |#2|) (-10 -7 (-15 -2211 (|#2| |#2| (-1143))) (-15 -3497 (|#2| |#2|)) (-15 -3039 (|#2| |#2|)) (-15 -3035 (|#2| |#2|))) (-842) (-432 |#1|)) (T -930)) 
-((-3035 (*1 *2 *2) (-12 (-4 *3 (-842)) (-5 *1 (-930 *3 *2)) (-4 *2 (-432 *3)))) (-3039 (*1 *2 *2) (-12 (-4 *3 (-842)) (-5 *1 (-930 *3 *2)) (-4 *2 (-432 *3)))) (-3497 (*1 *2 *2) (-12 (-4 *3 (-842)) (-5 *1 (-930 *3 *2)) (-4 *2 (-432 *3)))) (-2211 (*1 *2 *2 *3) (-12 (-5 *3 (-1143)) (-4 *4 (-842)) (-5 *1 (-930 *4 *2)) (-4 *2 (-432 *4))))) 
-(-10 -7 (-15 -2211 (|#2| |#2| (-1143))) (-15 -3497 (|#2| |#2|)) (-15 -3039 (|#2| |#2|)) (-15 -3035 (|#2| |#2|))) 
-((-3039 (((-310 (-568)) (-1161)) 15)) (-3035 (((-310 (-568)) (-1161)) 13)) (-3497 (((-310 (-568)) (-1161)) 11)) (-2211 (((-310 (-568)) (-1161) (-1143)) 18))) 
-(((-931) (-10 -7 (-15 -2211 ((-310 (-568)) (-1161) (-1143))) (-15 -3497 ((-310 (-568)) (-1161))) (-15 -3039 ((-310 (-568)) (-1161))) (-15 -3035 ((-310 (-568)) (-1161))))) (T -931)) 
-((-3035 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-310 (-568))) (-5 *1 (-931)))) (-3039 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-310 (-568))) (-5 *1 (-931)))) (-3497 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-310 (-568))) (-5 *1 (-931)))) (-2211 (*1 *2 *3 *4) (-12 (-5 *3 (-1161)) (-5 *4 (-1143)) (-5 *2 (-310 (-568))) (-5 *1 (-931))))) 
-(-10 -7 (-15 -2211 ((-310 (-568)) (-1161) (-1143))) (-15 -3497 ((-310 (-568)) (-1161))) (-15 -3039 ((-310 (-568)) (-1161))) (-15 -3035 ((-310 (-568)) (-1161)))) 
-((-1519 (((-884 |#1| |#3|) |#2| (-887 |#1|) (-884 |#1| |#3|)) 24)) (-2159 (((-1 (-121) |#2|) (-1 (-121) |#3|)) 12))) 
-(((-932 |#1| |#2| |#3|) (-10 -7 (-15 -2159 ((-1 (-121) |#2|) (-1 (-121) |#3|))) (-15 -1519 ((-884 |#1| |#3|) |#2| (-887 |#1|) (-884 |#1| |#3|)))) (-1090) (-881 |#1|) (-13 (-1090) (-1037 |#2|))) (T -932)) 
-((-1519 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-884 *5 *6)) (-5 *4 (-887 *5)) (-4 *5 (-1090)) (-4 *6 (-13 (-1090) (-1037 *3))) (-4 *3 (-881 *5)) (-5 *1 (-932 *5 *3 *6)))) (-2159 (*1 *2 *3) (-12 (-5 *3 (-1 (-121) *6)) (-4 *6 (-13 (-1090) (-1037 *5))) (-4 *5 (-881 *4)) (-4 *4 (-1090)) (-5 *2 (-1 (-121) *5)) (-5 *1 (-932 *4 *5 *6))))) 
-(-10 -7 (-15 -2159 ((-1 (-121) |#2|) (-1 (-121) |#3|))) (-15 -1519 ((-884 |#1| |#3|) |#2| (-887 |#1|) (-884 |#1| |#3|)))) 
-((-1519 (((-884 |#1| |#3|) |#3| (-887 |#1|) (-884 |#1| |#3|)) 29))) 
-(((-933 |#1| |#2| |#3|) (-10 -7 (-15 -1519 ((-884 |#1| |#3|) |#3| (-887 |#1|) (-884 |#1| |#3|)))) (-1090) (-13 (-558) (-842) (-881 |#1|)) (-13 (-432 |#2|) (-609 (-887 |#1|)) (-881 |#1|) (-1037 (-607 $)))) (T -933)) 
-((-1519 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-884 *5 *3)) (-4 *5 (-1090)) (-4 *3 (-13 (-432 *6) (-609 *4) (-881 *5) (-1037 (-607 $)))) (-5 *4 (-887 *5)) (-4 *6 (-13 (-558) (-842) (-881 *5))) (-5 *1 (-933 *5 *6 *3))))) 
-(-10 -7 (-15 -1519 ((-884 |#1| |#3|) |#3| (-887 |#1|) (-884 |#1| |#3|)))) 
-((-1519 (((-884 (-568) |#1|) |#1| (-887 (-568)) (-884 (-568) |#1|)) 12))) 
-(((-934 |#1|) (-10 -7 (-15 -1519 ((-884 (-568) |#1|) |#1| (-887 (-568)) (-884 (-568) |#1|)))) (-550)) (T -934)) 
-((-1519 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-884 (-568) *3)) (-5 *4 (-887 (-568))) (-4 *3 (-550)) (-5 *1 (-934 *3))))) 
-(-10 -7 (-15 -1519 ((-884 (-568) |#1|) |#1| (-887 (-568)) (-884 (-568) |#1|)))) 
-((-1519 (((-884 |#1| |#2|) (-607 |#2|) (-887 |#1|) (-884 |#1| |#2|)) 52))) 
-(((-935 |#1| |#2|) (-10 -7 (-15 -1519 ((-884 |#1| |#2|) (-607 |#2|) (-887 |#1|) (-884 |#1| |#2|)))) (-1090) (-13 (-842) (-1037 (-607 $)) (-609 (-887 |#1|)) (-881 |#1|))) (T -935)) 
-((-1519 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-884 *5 *6)) (-5 *3 (-607 *6)) (-4 *5 (-1090)) (-4 *6 (-13 (-842) (-1037 (-607 $)) (-609 *4) (-881 *5))) (-5 *4 (-887 *5)) (-5 *1 (-935 *5 *6))))) 
-(-10 -7 (-15 -1519 ((-884 |#1| |#2|) (-607 |#2|) (-887 |#1|) (-884 |#1| |#2|)))) 
-((-1519 (((-880 |#1| |#2| |#3|) |#3| (-887 |#1|) (-880 |#1| |#2| |#3|)) 14))) 
-(((-936 |#1| |#2| |#3|) (-10 -7 (-15 -1519 ((-880 |#1| |#2| |#3|) |#3| (-887 |#1|) (-880 |#1| |#2| |#3|)))) (-1090) (-881 |#1|) (-658 |#2|)) (T -936)) 
-((-1519 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-880 *5 *6 *3)) (-5 *4 (-887 *5)) (-4 *5 (-1090)) (-4 *6 (-881 *5)) (-4 *3 (-658 *6)) (-5 *1 (-936 *5 *6 *3))))) 
-(-10 -7 (-15 -1519 ((-880 |#1| |#2| |#3|) |#3| (-887 |#1|) (-880 |#1| |#2| |#3|)))) 
-((-1519 (((-884 |#1| |#5|) |#5| (-887 |#1|) (-884 |#1| |#5|)) 17 (|has| |#3| (-881 |#1|))) (((-884 |#1| |#5|) |#5| (-887 |#1|) (-884 |#1| |#5|) (-1 (-884 |#1| |#5|) |#3| (-887 |#1|) (-884 |#1| |#5|))) 16))) 
-(((-937 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1519 ((-884 |#1| |#5|) |#5| (-887 |#1|) (-884 |#1| |#5|) (-1 (-884 |#1| |#5|) |#3| (-887 |#1|) (-884 |#1| |#5|)))) (IF (|has| |#3| (-881 |#1|)) (-15 -1519 ((-884 |#1| |#5|) |#5| (-887 |#1|) (-884 |#1| |#5|))) |noBranch|)) (-1090) (-788) (-842) (-13 (-1047) (-842) (-881 |#1|)) (-13 (-950 |#4| |#2| |#3|) (-609 (-887 |#1|)))) (T -937)) 
-((-1519 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-884 *5 *3)) (-4 *5 (-1090)) (-4 *3 (-13 (-950 *8 *6 *7) (-609 *4))) (-5 *4 (-887 *5)) (-4 *7 (-881 *5)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *8 (-13 (-1047) (-842) (-881 *5))) (-5 *1 (-937 *5 *6 *7 *8 *3)))) (-1519 (*1 *2 *3 *4 *2 *5) (-12 (-5 *5 (-1 (-884 *6 *3) *8 (-887 *6) (-884 *6 *3))) (-4 *8 (-842)) (-5 *2 (-884 *6 *3)) (-5 *4 (-887 *6)) (-4 *6 (-1090)) (-4 *3 (-13 (-950 *9 *7 *8) (-609 *4))) (-4 *7 (-788)) (-4 *9 (-13 (-1047) (-842) (-881 *6))) (-5 *1 (-937 *6 *7 *8 *9 *3))))) 
-(-10 -7 (-15 -1519 ((-884 |#1| |#5|) |#5| (-887 |#1|) (-884 |#1| |#5|) (-1 (-884 |#1| |#5|) |#3| (-887 |#1|) (-884 |#1| |#5|)))) (IF (|has| |#3| (-881 |#1|)) (-15 -1519 ((-884 |#1| |#5|) |#5| (-887 |#1|) (-884 |#1| |#5|))) |noBranch|)) 
-((-1563 ((|#2| |#2| (-634 (-1 (-121) |#3|))) 11) ((|#2| |#2| (-1 (-121) |#3|)) 12))) 
-(((-938 |#1| |#2| |#3|) (-10 -7 (-15 -1563 (|#2| |#2| (-1 (-121) |#3|))) (-15 -1563 (|#2| |#2| (-634 (-1 (-121) |#3|))))) (-842) (-432 |#1|) (-1195)) (T -938)) 
-((-1563 (*1 *2 *2 *3) (-12 (-5 *3 (-634 (-1 (-121) *5))) (-4 *5 (-1195)) (-4 *4 (-842)) (-5 *1 (-938 *4 *2 *5)) (-4 *2 (-432 *4)))) (-1563 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *5)) (-4 *5 (-1195)) (-4 *4 (-842)) (-5 *1 (-938 *4 *2 *5)) (-4 *2 (-432 *4))))) 
-(-10 -7 (-15 -1563 (|#2| |#2| (-1 (-121) |#3|))) (-15 -1563 (|#2| |#2| (-634 (-1 (-121) |#3|))))) 
-((-1563 (((-310 (-568)) (-1161) (-634 (-1 (-121) |#1|))) 16) (((-310 (-568)) (-1161) (-1 (-121) |#1|)) 13))) 
-(((-939 |#1|) (-10 -7 (-15 -1563 ((-310 (-568)) (-1161) (-1 (-121) |#1|))) (-15 -1563 ((-310 (-568)) (-1161) (-634 (-1 (-121) |#1|))))) (-1195)) (T -939)) 
-((-1563 (*1 *2 *3 *4) (-12 (-5 *3 (-1161)) (-5 *4 (-634 (-1 (-121) *5))) (-4 *5 (-1195)) (-5 *2 (-310 (-568))) (-5 *1 (-939 *5)))) (-1563 (*1 *2 *3 *4) (-12 (-5 *3 (-1161)) (-5 *4 (-1 (-121) *5)) (-4 *5 (-1195)) (-5 *2 (-310 (-568))) (-5 *1 (-939 *5))))) 
-(-10 -7 (-15 -1563 ((-310 (-568)) (-1161) (-1 (-121) |#1|))) (-15 -1563 ((-310 (-568)) (-1161) (-634 (-1 (-121) |#1|))))) 
-((-1519 (((-884 |#1| |#3|) |#3| (-887 |#1|) (-884 |#1| |#3|)) 25))) 
-(((-940 |#1| |#2| |#3|) (-10 -7 (-15 -1519 ((-884 |#1| |#3|) |#3| (-887 |#1|) (-884 |#1| |#3|)))) (-1090) (-13 (-558) (-881 |#1|) (-609 (-887 |#1|))) (-993 |#2|)) (T -940)) 
-((-1519 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-884 *5 *3)) (-4 *5 (-1090)) (-4 *3 (-993 *6)) (-4 *6 (-13 (-558) (-881 *5) (-609 *4))) (-5 *4 (-887 *5)) (-5 *1 (-940 *5 *6 *3))))) 
-(-10 -7 (-15 -1519 ((-884 |#1| |#3|) |#3| (-887 |#1|) (-884 |#1| |#3|)))) 
-((-1519 (((-884 |#1| (-1161)) (-1161) (-887 |#1|) (-884 |#1| (-1161))) 17))) 
-(((-941 |#1|) (-10 -7 (-15 -1519 ((-884 |#1| (-1161)) (-1161) (-887 |#1|) (-884 |#1| (-1161))))) (-1090)) (T -941)) 
-((-1519 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-884 *5 (-1161))) (-5 *3 (-1161)) (-5 *4 (-887 *5)) (-4 *5 (-1090)) (-5 *1 (-941 *5))))) 
-(-10 -7 (-15 -1519 ((-884 |#1| (-1161)) (-1161) (-887 |#1|) (-884 |#1| (-1161))))) 
-((-1372 (((-884 |#1| |#3|) (-634 |#3|) (-634 (-887 |#1|)) (-884 |#1| |#3|) (-1 (-884 |#1| |#3|) |#3| (-887 |#1|) (-884 |#1| |#3|))) 33)) (-1519 (((-884 |#1| |#3|) (-634 |#3|) (-634 (-887 |#1|)) (-1 |#3| (-634 |#3|)) (-884 |#1| |#3|) (-1 (-884 |#1| |#3|) |#3| (-887 |#1|) (-884 |#1| |#3|))) 32))) 
-(((-942 |#1| |#2| |#3|) (-10 -7 (-15 -1519 ((-884 |#1| |#3|) (-634 |#3|) (-634 (-887 |#1|)) (-1 |#3| (-634 |#3|)) (-884 |#1| |#3|) (-1 (-884 |#1| |#3|) |#3| (-887 |#1|) (-884 |#1| |#3|)))) (-15 -1372 ((-884 |#1| |#3|) (-634 |#3|) (-634 (-887 |#1|)) (-884 |#1| |#3|) (-1 (-884 |#1| |#3|) |#3| (-887 |#1|) (-884 |#1| |#3|))))) (-1090) (-13 (-1047) (-842)) (-13 (-1047) (-609 (-887 |#1|)) (-1037 |#2|))) (T -942)) 
-((-1372 (*1 *2 *3 *4 *2 *5) (-12 (-5 *3 (-634 *8)) (-5 *4 (-634 (-887 *6))) (-5 *5 (-1 (-884 *6 *8) *8 (-887 *6) (-884 *6 *8))) (-4 *6 (-1090)) (-4 *8 (-13 (-1047) (-609 (-887 *6)) (-1037 *7))) (-5 *2 (-884 *6 *8)) (-4 *7 (-13 (-1047) (-842))) (-5 *1 (-942 *6 *7 *8)))) (-1519 (*1 *2 *3 *4 *5 *2 *6) (-12 (-5 *4 (-634 (-887 *7))) (-5 *5 (-1 *9 (-634 *9))) (-5 *6 (-1 (-884 *7 *9) *9 (-887 *7) (-884 *7 *9))) (-4 *7 (-1090)) (-4 *9 (-13 (-1047) (-609 (-887 *7)) (-1037 *8))) (-5 *2 (-884 *7 *9)) (-5 *3 (-634 *9)) (-4 *8 (-13 (-1047) (-842))) (-5 *1 (-942 *7 *8 *9))))) 
-(-10 -7 (-15 -1519 ((-884 |#1| |#3|) (-634 |#3|) (-634 (-887 |#1|)) (-1 |#3| (-634 |#3|)) (-884 |#1| |#3|) (-1 (-884 |#1| |#3|) |#3| (-887 |#1|) (-884 |#1| |#3|)))) (-15 -1372 ((-884 |#1| |#3|) (-634 |#3|) (-634 (-887 |#1|)) (-884 |#1| |#3|) (-1 (-884 |#1| |#3|) |#3| (-887 |#1|) (-884 |#1| |#3|))))) 
-((-3214 (((-1157 (-409 (-568))) (-568)) 61)) (-1530 (((-1157 (-568)) (-568)) 64)) (-3346 (((-1157 (-568)) (-568)) 58)) (-2230 (((-568) (-1157 (-568))) 53)) (-4492 (((-1157 (-409 (-568))) (-568)) 47)) (-1526 (((-1157 (-568)) (-568)) 36)) (-2623 (((-1157 (-568)) (-568)) 66)) (-4477 (((-1157 (-568)) (-568)) 65)) (-1839 (((-1157 (-409 (-568))) (-568)) 49))) 
-(((-943) (-10 -7 (-15 -1839 ((-1157 (-409 (-568))) (-568))) (-15 -4477 ((-1157 (-568)) (-568))) (-15 -2623 ((-1157 (-568)) (-568))) (-15 -1526 ((-1157 (-568)) (-568))) (-15 -4492 ((-1157 (-409 (-568))) (-568))) (-15 -2230 ((-568) (-1157 (-568)))) (-15 -3346 ((-1157 (-568)) (-568))) (-15 -1530 ((-1157 (-568)) (-568))) (-15 -3214 ((-1157 (-409 (-568))) (-568))))) (T -943)) 
-((-3214 (*1 *2 *3) (-12 (-5 *2 (-1157 (-409 (-568)))) (-5 *1 (-943)) (-5 *3 (-568)))) (-1530 (*1 *2 *3) (-12 (-5 *2 (-1157 (-568))) (-5 *1 (-943)) (-5 *3 (-568)))) (-3346 (*1 *2 *3) (-12 (-5 *2 (-1157 (-568))) (-5 *1 (-943)) (-5 *3 (-568)))) (-2230 (*1 *2 *3) (-12 (-5 *3 (-1157 (-568))) (-5 *2 (-568)) (-5 *1 (-943)))) (-4492 (*1 *2 *3) (-12 (-5 *2 (-1157 (-409 (-568)))) (-5 *1 (-943)) (-5 *3 (-568)))) (-1526 (*1 *2 *3) (-12 (-5 *2 (-1157 (-568))) (-5 *1 (-943)) (-5 *3 (-568)))) (-2623 (*1 *2 *3) (-12 (-5 *2 (-1157 (-568))) (-5 *1 (-943)) (-5 *3 (-568)))) (-4477 (*1 *2 *3) (-12 (-5 *2 (-1157 (-568))) (-5 *1 (-943)) (-5 *3 (-568)))) (-1839 (*1 *2 *3) (-12 (-5 *2 (-1157 (-409 (-568)))) (-5 *1 (-943)) (-5 *3 (-568))))) 
-(-10 -7 (-15 -1839 ((-1157 (-409 (-568))) (-568))) (-15 -4477 ((-1157 (-568)) (-568))) (-15 -2623 ((-1157 (-568)) (-568))) (-15 -1526 ((-1157 (-568)) (-568))) (-15 -4492 ((-1157 (-409 (-568))) (-568))) (-15 -2230 ((-568) (-1157 (-568)))) (-15 -3346 ((-1157 (-568)) (-568))) (-15 -1530 ((-1157 (-568)) (-568))) (-15 -3214 ((-1157 (-409 (-568))) (-568)))) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-3207 (($ (-763)) NIL (|has| |#1| (-23)))) (-2481 (((-1249) $ (-568) (-568)) NIL (|has| $ (-6 -4522)))) (-1324 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-842)))) (-2109 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4522))) (($ $) NIL (-12 (|has| $ (-6 -4522)) (|has| |#1| (-842))))) (-3647 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-842)))) (-1667 (((-121) $ (-763)) NIL)) (-2438 ((|#1| $ (-568) |#1|) 11 (|has| $ (-6 -4522))) ((|#1| $ (-1210 (-568)) |#1|) NIL (|has| $ (-6 -4522)))) (-2803 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-4490 (($) NIL T CONST)) (-4452 (($ $) NIL (|has| $ (-6 -4522)))) (-3945 (($ $) NIL)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-4330 (($ |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4521)))) (-1292 ((|#1| $ (-568) |#1|) NIL (|has| $ (-6 -4522)))) (-2069 ((|#1| $ (-568)) NIL)) (-2766 (((-568) (-1 (-121) |#1|) $) NIL) (((-568) |#1| $) NIL (|has| |#1| (-1090))) (((-568) |#1| $ (-568)) NIL (|has| |#1| (-1090)))) (-4098 (($ (-634 |#1|)) 13)) (-3317 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-1804 (((-679 |#1|) $ $) NIL (|has| |#1| (-1047)))) (-1851 (($ (-763) |#1|) 8)) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-568) $) 10 (|has| (-568) (-842)))) (-1732 (($ $ $) NIL (|has| |#1| (-842)))) (-3645 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-842)))) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3631 (((-568) $) NIL (|has| (-568) (-842)))) (-2047 (($ $ $) NIL (|has| |#1| (-842)))) (-2253 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-4303 ((|#1| $) NIL (-12 (|has| |#1| (-1002)) (|has| |#1| (-1047))))) (-3796 (((-121) $ (-763)) NIL)) (-3680 ((|#1| $) NIL (-12 (|has| |#1| (-1002)) (|has| |#1| (-1047))))) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-4124 (($ |#1| $ (-568)) NIL) (($ $ $ (-568)) NIL)) (-3948 (((-634 (-568)) $) NIL)) (-2916 (((-121) (-568) $) NIL)) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-3877 ((|#1| $) NIL (|has| (-568) (-842)))) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2490 (($ $ |#1|) NIL (|has| $ (-6 -4522)))) (-2168 (($ $ (-634 |#1|)) 24)) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1480 (((-634 |#1|) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#1| $ (-568) |#1|) NIL) ((|#1| $ (-568)) 18) (($ $ (-1210 (-568))) NIL)) (-2286 ((|#1| $ $) NIL (|has| |#1| (-1047)))) (-3108 (((-917) $) 16)) (-2828 (($ $ (-568)) NIL) (($ $ (-1210 (-568))) NIL)) (-3372 (($ $ $) 22)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3306 (($ $ $ (-568)) NIL (|has| $ (-6 -4522)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) NIL (|has| |#1| (-609 (-541)))) (($ (-634 |#1|)) 17)) (-4289 (($ (-634 |#1|)) NIL)) (-2770 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) 23) (($ (-634 $)) NIL)) (-2747 (((-850) $) NIL (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1753 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1719 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1747 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1775 (($ $) NIL (|has| |#1| (-21))) (($ $ $) NIL (|has| |#1| (-21)))) (-1769 (($ $ $) NIL (|has| |#1| (-25)))) (* (($ (-568) $) NIL (|has| |#1| (-21))) (($ |#1| $) NIL (|has| |#1| (-716))) (($ $ |#1|) NIL (|has| |#1| (-716)))) (-1699 (((-763) $) 14 (|has| $ (-6 -4521))))) 
-(((-944 |#1|) (-981 |#1|) (-1047)) (T -944)) 
-NIL 
-(-981 |#1|) 
-((-2366 (((-492 |#1| |#2|) (-953 |#2|)) 17)) (-3880 (((-242 |#1| |#2|) (-953 |#2|)) 29)) (-4466 (((-953 |#2|) (-492 |#1| |#2|)) 22)) (-4181 (((-242 |#1| |#2|) (-492 |#1| |#2|)) 53)) (-2024 (((-953 |#2|) (-242 |#1| |#2|)) 26)) (-3870 (((-492 |#1| |#2|) (-242 |#1| |#2|)) 44))) 
-(((-945 |#1| |#2|) (-10 -7 (-15 -3870 ((-492 |#1| |#2|) (-242 |#1| |#2|))) (-15 -4181 ((-242 |#1| |#2|) (-492 |#1| |#2|))) (-15 -2366 ((-492 |#1| |#2|) (-953 |#2|))) (-15 -4466 ((-953 |#2|) (-492 |#1| |#2|))) (-15 -2024 ((-953 |#2|) (-242 |#1| |#2|))) (-15 -3880 ((-242 |#1| |#2|) (-953 |#2|)))) (-634 (-1161)) (-1047)) (T -945)) 
-((-3880 (*1 *2 *3) (-12 (-5 *3 (-953 *5)) (-4 *5 (-1047)) (-5 *2 (-242 *4 *5)) (-5 *1 (-945 *4 *5)) (-14 *4 (-634 (-1161))))) (-2024 (*1 *2 *3) (-12 (-5 *3 (-242 *4 *5)) (-14 *4 (-634 (-1161))) (-4 *5 (-1047)) (-5 *2 (-953 *5)) (-5 *1 (-945 *4 *5)))) (-4466 (*1 *2 *3) (-12 (-5 *3 (-492 *4 *5)) (-14 *4 (-634 (-1161))) (-4 *5 (-1047)) (-5 *2 (-953 *5)) (-5 *1 (-945 *4 *5)))) (-2366 (*1 *2 *3) (-12 (-5 *3 (-953 *5)) (-4 *5 (-1047)) (-5 *2 (-492 *4 *5)) (-5 *1 (-945 *4 *5)) (-14 *4 (-634 (-1161))))) (-4181 (*1 *2 *3) (-12 (-5 *3 (-492 *4 *5)) (-14 *4 (-634 (-1161))) (-4 *5 (-1047)) (-5 *2 (-242 *4 *5)) (-5 *1 (-945 *4 *5)))) (-3870 (*1 *2 *3) (-12 (-5 *3 (-242 *4 *5)) (-14 *4 (-634 (-1161))) (-4 *5 (-1047)) (-5 *2 (-492 *4 *5)) (-5 *1 (-945 *4 *5))))) 
-(-10 -7 (-15 -3870 ((-492 |#1| |#2|) (-242 |#1| |#2|))) (-15 -4181 ((-242 |#1| |#2|) (-492 |#1| |#2|))) (-15 -2366 ((-492 |#1| |#2|) (-953 |#2|))) (-15 -4466 ((-953 |#2|) (-492 |#1| |#2|))) (-15 -2024 ((-953 |#2|) (-242 |#1| |#2|))) (-15 -3880 ((-242 |#1| |#2|) (-953 |#2|)))) 
-((-3438 (((-634 |#2|) |#2| |#2|) 10)) (-4177 (((-763) (-634 |#1|)) 37 (|has| |#1| (-840)))) (-4279 (((-634 |#2|) |#2|) 11)) (-1768 (((-763) (-634 |#1|) (-568) (-568)) 36 (|has| |#1| (-840)))) (-4026 ((|#1| |#2|) 32 (|has| |#1| (-840))))) 
-(((-946 |#1| |#2|) (-10 -7 (-15 -3438 ((-634 |#2|) |#2| |#2|)) (-15 -4279 ((-634 |#2|) |#2|)) (IF (|has| |#1| (-840)) (PROGN (-15 -4026 (|#1| |#2|)) (-15 -4177 ((-763) (-634 |#1|))) (-15 -1768 ((-763) (-634 |#1|) (-568) (-568)))) |noBranch|)) (-365) (-1219 |#1|)) (T -946)) 
-((-1768 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-568)) (-4 *5 (-840)) (-4 *5 (-365)) (-5 *2 (-763)) (-5 *1 (-946 *5 *6)) (-4 *6 (-1219 *5)))) (-4177 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-840)) (-4 *4 (-365)) (-5 *2 (-763)) (-5 *1 (-946 *4 *5)) (-4 *5 (-1219 *4)))) (-4026 (*1 *2 *3) (-12 (-4 *2 (-365)) (-4 *2 (-840)) (-5 *1 (-946 *2 *3)) (-4 *3 (-1219 *2)))) (-4279 (*1 *2 *3) (-12 (-4 *4 (-365)) (-5 *2 (-634 *3)) (-5 *1 (-946 *4 *3)) (-4 *3 (-1219 *4)))) (-3438 (*1 *2 *3 *3) (-12 (-4 *4 (-365)) (-5 *2 (-634 *3)) (-5 *1 (-946 *4 *3)) (-4 *3 (-1219 *4))))) 
-(-10 -7 (-15 -3438 ((-634 |#2|) |#2| |#2|)) (-15 -4279 ((-634 |#2|) |#2|)) (IF (|has| |#1| (-840)) (PROGN (-15 -4026 (|#1| |#2|)) (-15 -4177 ((-763) (-634 |#1|))) (-15 -1768 ((-763) (-634 |#1|) (-568) (-568)))) |noBranch|)) 
-((-2797 (((-953 |#2|) (-1 |#2| |#1|) (-953 |#1|)) 18))) 
-(((-947 |#1| |#2|) (-10 -7 (-15 -2797 ((-953 |#2|) (-1 |#2| |#1|) (-953 |#1|)))) (-1047) (-1047)) (T -947)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-953 *5)) (-4 *5 (-1047)) (-4 *6 (-1047)) (-5 *2 (-953 *6)) (-5 *1 (-947 *5 *6))))) 
-(-10 -7 (-15 -2797 ((-953 |#2|) (-1 |#2| |#1|) (-953 |#1|)))) 
-((-3840 (((-1216 |#1| (-953 |#2|)) (-953 |#2|) (-1240 |#1|)) 18))) 
-(((-948 |#1| |#2|) (-10 -7 (-15 -3840 ((-1216 |#1| (-953 |#2|)) (-953 |#2|) (-1240 |#1|)))) (-1161) (-1047)) (T -948)) 
-((-3840 (*1 *2 *3 *4) (-12 (-5 *4 (-1240 *5)) (-14 *5 (-1161)) (-4 *6 (-1047)) (-5 *2 (-1216 *5 (-953 *6))) (-5 *1 (-948 *5 *6)) (-5 *3 (-953 *6))))) 
-(-10 -7 (-15 -3840 ((-1216 |#1| (-953 |#2|)) (-953 |#2|) (-1240 |#1|)))) 
-((-3528 (((-763) $) 69) (((-763) $ (-634 |#4|)) 72)) (-3045 (($ $) 169)) (-3498 (((-420 $) $) 161)) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) 112)) (-3668 (((-3 |#2| "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL) (((-3 (-568) "failed") $) NIL) (((-3 |#4| "failed") $) 58)) (-2857 ((|#2| $) NIL) (((-409 (-568)) $) NIL) (((-568) $) NIL) ((|#4| $) 57)) (-2910 (($ $ $ |#4|) 74)) (-1668 (((-679 (-568)) (-679 $)) NIL) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL) (((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 $) (-1244 $)) 102) (((-679 |#2|) (-679 $)) 95)) (-1998 (($ $) 177) (($ $ |#4|) 180)) (-2110 (((-634 $) $) 61)) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) 195) (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) 189)) (-3062 (((-634 $) $) 27)) (-2049 (($ |#2| |#3|) NIL) (($ $ |#4| (-763)) NIL) (($ $ (-634 |#4|) (-634 (-763))) 55)) (-1438 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $ |#4|) 158)) (-4362 (((-3 (-634 $) "failed") $) 41)) (-2112 (((-3 (-634 $) "failed") $) 30)) (-2617 (((-3 (-2 (|:| |var| |#4|) (|:| -3483 (-763))) "failed") $) 45)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 105)) (-2841 (((-420 (-1157 $)) (-1157 $)) 118)) (-2795 (((-420 (-1157 $)) (-1157 $)) 116)) (-3850 (((-420 $) $) 136)) (-1339 (($ $ (-634 (-288 $))) 20) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL) (($ $ |#4| |#2|) NIL) (($ $ (-634 |#4|) (-634 |#2|)) NIL) (($ $ |#4| $) NIL) (($ $ (-634 |#4|) (-634 $)) NIL)) (-3440 (($ $ |#4|) 76)) (-4280 (((-887 (-381)) $) 209) (((-887 (-568)) $) 202) (((-541) $) 217)) (-1364 ((|#2| $) NIL) (($ $ |#4|) 171)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) 150)) (-2079 ((|#2| $ |#3|) NIL) (($ $ |#4| (-763)) 50) (($ $ (-634 |#4|) (-634 (-763))) 53)) (-3385 (((-3 $ "failed") $) 152)) (-1734 (((-121) $ $) 183))) 
-(((-949 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3603 ((-1157 |#1|) (-1157 |#1|) (-1157 |#1|))) (-15 -3498 ((-420 |#1|) |#1|)) (-15 -3045 (|#1| |#1|)) (-15 -3385 ((-3 |#1| "failed") |#1|)) (-15 -1734 ((-121) |#1| |#1|)) (-15 -4280 ((-541) |#1|)) (-15 -4280 ((-887 (-568)) |#1|)) (-15 -4280 ((-887 (-381)) |#1|)) (-15 -1519 ((-884 (-568) |#1|) |#1| (-887 (-568)) (-884 (-568) |#1|))) (-15 -1519 ((-884 (-381) |#1|) |#1| (-887 (-381)) (-884 (-381) |#1|))) (-15 -3850 ((-420 |#1|) |#1|)) (-15 -2795 ((-420 (-1157 |#1|)) (-1157 |#1|))) (-15 -2841 ((-420 (-1157 |#1|)) (-1157 |#1|))) (-15 -2434 ((-3 (-634 (-1157 |#1|)) "failed") (-634 (-1157 |#1|)) (-1157 |#1|))) (-15 -3070 ((-3 (-1244 |#1|) "failed") (-679 |#1|))) (-15 -1998 (|#1| |#1| |#4|)) (-15 -1364 (|#1| |#1| |#4|)) (-15 -3440 (|#1| |#1| |#4|)) (-15 -2910 (|#1| |#1| |#1| |#4|)) (-15 -2110 ((-634 |#1|) |#1|)) (-15 -3528 ((-763) |#1| (-634 |#4|))) (-15 -3528 ((-763) |#1|)) (-15 -2617 ((-3 (-2 (|:| |var| |#4|) (|:| -3483 (-763))) "failed") |#1|)) (-15 -4362 ((-3 (-634 |#1|) "failed") |#1|)) (-15 -2112 ((-3 (-634 |#1|) "failed") |#1|)) (-15 -2049 (|#1| |#1| (-634 |#4|) (-634 (-763)))) (-15 -2049 (|#1| |#1| |#4| (-763))) (-15 -1438 ((-2 (|:| -4409 |#1|) (|:| -2607 |#1|)) |#1| |#1| |#4|)) (-15 -3062 ((-634 |#1|) |#1|)) (-15 -2079 (|#1| |#1| (-634 |#4|) (-634 (-763)))) (-15 -2079 (|#1| |#1| |#4| (-763))) (-15 -1668 ((-679 |#2|) (-679 |#1|))) (-15 -1668 ((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 |#1|) (-1244 |#1|))) (-15 -1668 ((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 |#1|) (-1244 |#1|))) (-15 -1668 ((-679 (-568)) (-679 |#1|))) (-15 -2857 (|#4| |#1|)) (-15 -3668 ((-3 |#4| "failed") |#1|)) (-15 -1339 (|#1| |#1| (-634 |#4|) (-634 |#1|))) (-15 -1339 (|#1| |#1| |#4| |#1|)) (-15 -1339 (|#1| |#1| (-634 |#4|) (-634 |#2|))) (-15 -1339 (|#1| |#1| |#4| |#2|)) (-15 -1339 (|#1| |#1| (-634 |#1|) (-634 |#1|))) (-15 -1339 (|#1| |#1| |#1| |#1|)) (-15 -1339 (|#1| |#1| (-288 |#1|))) (-15 -1339 (|#1| |#1| (-634 (-288 |#1|)))) (-15 -2049 (|#1| |#2| |#3|)) (-15 -2079 (|#2| |#1| |#3|)) (-15 -2857 ((-568) |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -2857 ((-409 (-568)) |#1|)) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -3668 ((-3 |#2| "failed") |#1|)) (-15 -2857 (|#2| |#1|)) (-15 -1364 (|#2| |#1|)) (-15 -1998 (|#1| |#1|))) (-950 |#2| |#3| |#4|) (-1047) (-788) (-842)) (T -949)) 
-NIL 
-(-10 -8 (-15 -3603 ((-1157 |#1|) (-1157 |#1|) (-1157 |#1|))) (-15 -3498 ((-420 |#1|) |#1|)) (-15 -3045 (|#1| |#1|)) (-15 -3385 ((-3 |#1| "failed") |#1|)) (-15 -1734 ((-121) |#1| |#1|)) (-15 -4280 ((-541) |#1|)) (-15 -4280 ((-887 (-568)) |#1|)) (-15 -4280 ((-887 (-381)) |#1|)) (-15 -1519 ((-884 (-568) |#1|) |#1| (-887 (-568)) (-884 (-568) |#1|))) (-15 -1519 ((-884 (-381) |#1|) |#1| (-887 (-381)) (-884 (-381) |#1|))) (-15 -3850 ((-420 |#1|) |#1|)) (-15 -2795 ((-420 (-1157 |#1|)) (-1157 |#1|))) (-15 -2841 ((-420 (-1157 |#1|)) (-1157 |#1|))) (-15 -2434 ((-3 (-634 (-1157 |#1|)) "failed") (-634 (-1157 |#1|)) (-1157 |#1|))) (-15 -3070 ((-3 (-1244 |#1|) "failed") (-679 |#1|))) (-15 -1998 (|#1| |#1| |#4|)) (-15 -1364 (|#1| |#1| |#4|)) (-15 -3440 (|#1| |#1| |#4|)) (-15 -2910 (|#1| |#1| |#1| |#4|)) (-15 -2110 ((-634 |#1|) |#1|)) (-15 -3528 ((-763) |#1| (-634 |#4|))) (-15 -3528 ((-763) |#1|)) (-15 -2617 ((-3 (-2 (|:| |var| |#4|) (|:| -3483 (-763))) "failed") |#1|)) (-15 -4362 ((-3 (-634 |#1|) "failed") |#1|)) (-15 -2112 ((-3 (-634 |#1|) "failed") |#1|)) (-15 -2049 (|#1| |#1| (-634 |#4|) (-634 (-763)))) (-15 -2049 (|#1| |#1| |#4| (-763))) (-15 -1438 ((-2 (|:| -4409 |#1|) (|:| -2607 |#1|)) |#1| |#1| |#4|)) (-15 -3062 ((-634 |#1|) |#1|)) (-15 -2079 (|#1| |#1| (-634 |#4|) (-634 (-763)))) (-15 -2079 (|#1| |#1| |#4| (-763))) (-15 -1668 ((-679 |#2|) (-679 |#1|))) (-15 -1668 ((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 |#1|) (-1244 |#1|))) (-15 -1668 ((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 |#1|) (-1244 |#1|))) (-15 -1668 ((-679 (-568)) (-679 |#1|))) (-15 -2857 (|#4| |#1|)) (-15 -3668 ((-3 |#4| "failed") |#1|)) (-15 -1339 (|#1| |#1| (-634 |#4|) (-634 |#1|))) (-15 -1339 (|#1| |#1| |#4| |#1|)) (-15 -1339 (|#1| |#1| (-634 |#4|) (-634 |#2|))) (-15 -1339 (|#1| |#1| |#4| |#2|)) (-15 -1339 (|#1| |#1| (-634 |#1|) (-634 |#1|))) (-15 -1339 (|#1| |#1| |#1| |#1|)) (-15 -1339 (|#1| |#1| (-288 |#1|))) (-15 -1339 (|#1| |#1| (-634 (-288 |#1|)))) (-15 -2049 (|#1| |#2| |#3|)) (-15 -2079 (|#2| |#1| |#3|)) (-15 -2857 ((-568) |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -2857 ((-409 (-568)) |#1|)) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -3668 ((-3 |#2| "failed") |#1|)) (-15 -2857 (|#2| |#1|)) (-15 -1364 (|#2| |#1|)) (-15 -1998 (|#1| |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2057 (((-634 |#3|) $) 108)) (-3840 (((-1157 $) $ |#3|) 123) (((-1157 |#1|) $) 122)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 85 (|has| |#1| (-558)))) (-3661 (($ $) 86 (|has| |#1| (-558)))) (-4426 (((-121) $) 88 (|has| |#1| (-558)))) (-3528 (((-763) $) 110) (((-763) $ (-634 |#3|)) 109)) (-2689 (((-3 $ "failed") $ $) 18)) (-3863 (((-420 (-1157 $)) (-1157 $)) 98 (|has| |#1| (-904)))) (-3045 (($ $) 96 (|has| |#1| (-453)))) (-3498 (((-420 $) $) 95 (|has| |#1| (-453)))) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) 101 (|has| |#1| (-904)))) (-4490 (($) 16 T CONST)) (-3668 (((-3 |#1| "failed") $) 162) (((-3 (-409 (-568)) "failed") $) 160 (|has| |#1| (-1037 (-409 (-568))))) (((-3 (-568) "failed") $) 158 (|has| |#1| (-1037 (-568)))) (((-3 |#3| "failed") $) 134)) (-2857 ((|#1| $) 163) (((-409 (-568)) $) 159 (|has| |#1| (-1037 (-409 (-568))))) (((-568) $) 157 (|has| |#1| (-1037 (-568)))) ((|#3| $) 133)) (-2910 (($ $ $ |#3|) 106 (|has| |#1| (-172)))) (-2116 (($ $) 152)) (-1668 (((-679 (-568)) (-679 $)) 132 (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) 131 (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 |#1|))) (-679 $) (-1244 $)) 130) (((-679 |#1|) (-679 $)) 129)) (-2902 (((-3 $ "failed") $) 33)) (-1998 (($ $) 174 (|has| |#1| (-453))) (($ $ |#3|) 103 (|has| |#1| (-453)))) (-2110 (((-634 $) $) 107)) (-2197 (((-121) $) 94 (|has| |#1| (-904)))) (-2453 (($ $ |#1| |#2| $) 170)) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) 82 (-12 (|has| |#3| (-881 (-381))) (|has| |#1| (-881 (-381))))) (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) 81 (-12 (|has| |#3| (-881 (-568))) (|has| |#1| (-881 (-568)))))) (-1598 (((-121) $) 30)) (-3971 (((-763) $) 167)) (-2053 (($ (-1157 |#1|) |#3|) 115) (($ (-1157 $) |#3|) 114)) (-3062 (((-634 $) $) 124)) (-2171 (((-121) $) 150)) (-2049 (($ |#1| |#2|) 151) (($ $ |#3| (-763)) 117) (($ $ (-634 |#3|) (-634 (-763))) 116)) (-1438 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $ |#3|) 118)) (-3524 ((|#2| $) 168) (((-763) $ |#3|) 120) (((-634 (-763)) $ (-634 |#3|)) 119)) (-1732 (($ $ $) 77 (|has| |#1| (-842)))) (-2047 (($ $ $) 76 (|has| |#1| (-842)))) (-1865 (($ (-1 |#2| |#2|) $) 169)) (-2797 (($ (-1 |#1| |#1|) $) 149)) (-2817 (((-3 |#3| "failed") $) 121)) (-2099 (($ $) 147)) (-2104 ((|#1| $) 146)) (-2498 (($ (-634 $)) 92 (|has| |#1| (-453))) (($ $ $) 91 (|has| |#1| (-453)))) (-1893 (((-1143) $) 9)) (-4362 (((-3 (-634 $) "failed") $) 112)) (-2112 (((-3 (-634 $) "failed") $) 113)) (-2617 (((-3 (-2 (|:| |var| |#3|) (|:| -3483 (-763))) "failed") $) 111)) (-4025 (((-1108) $) 10)) (-2088 (((-121) $) 164)) (-2093 ((|#1| $) 165)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 93 (|has| |#1| (-453)))) (-2723 (($ (-634 $)) 90 (|has| |#1| (-453))) (($ $ $) 89 (|has| |#1| (-453)))) (-2841 (((-420 (-1157 $)) (-1157 $)) 100 (|has| |#1| (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) 99 (|has| |#1| (-904)))) (-3850 (((-420 $) $) 97 (|has| |#1| (-904)))) (-2597 (((-3 $ "failed") $ |#1|) 172 (|has| |#1| (-558))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-558)))) (-1339 (($ $ (-634 (-288 $))) 143) (($ $ (-288 $)) 142) (($ $ $ $) 141) (($ $ (-634 $) (-634 $)) 140) (($ $ |#3| |#1|) 139) (($ $ (-634 |#3|) (-634 |#1|)) 138) (($ $ |#3| $) 137) (($ $ (-634 |#3|) (-634 $)) 136)) (-3440 (($ $ |#3|) 105 (|has| |#1| (-172)))) (-4191 (($ $ |#3|) 41) (($ $ (-634 |#3|)) 40) (($ $ |#3| (-763)) 39) (($ $ (-634 |#3|) (-634 (-763))) 38)) (-1836 ((|#2| $) 148) (((-763) $ |#3|) 128) (((-634 (-763)) $ (-634 |#3|)) 127)) (-4280 (((-887 (-381)) $) 80 (-12 (|has| |#3| (-609 (-887 (-381)))) (|has| |#1| (-609 (-887 (-381)))))) (((-887 (-568)) $) 79 (-12 (|has| |#3| (-609 (-887 (-568)))) (|has| |#1| (-609 (-887 (-568)))))) (((-541) $) 78 (-12 (|has| |#3| (-609 (-541))) (|has| |#1| (-609 (-541)))))) (-1364 ((|#1| $) 173 (|has| |#1| (-453))) (($ $ |#3|) 104 (|has| |#1| (-453)))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) 102 (-2141 (|has| $ (-148)) (|has| |#1| (-904))))) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ |#1|) 161) (($ |#3|) 135) (($ $) 83 (|has| |#1| (-558))) (($ (-409 (-568))) 70 (-2199 (|has| |#1| (-1037 (-409 (-568)))) (|has| |#1| (-43 (-409 (-568))))))) (-3304 (((-634 |#1|) $) 166)) (-2079 ((|#1| $ |#2|) 153) (($ $ |#3| (-763)) 126) (($ $ (-634 |#3|) (-634 (-763))) 125)) (-3385 (((-3 $ "failed") $) 71 (-2199 (-2141 (|has| $ (-148)) (|has| |#1| (-904))) (|has| |#1| (-148))))) (-3425 (((-763)) 28)) (-3925 (($ $ $ (-763)) 171 (|has| |#1| (-172)))) (-2273 (((-121) $ $) 87 (|has| |#1| (-558)))) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3192 (($ $ |#3|) 37) (($ $ (-634 |#3|)) 36) (($ $ |#3| (-763)) 35) (($ $ (-634 |#3|) (-634 (-763))) 34)) (-1753 (((-121) $ $) 74 (|has| |#1| (-842)))) (-1740 (((-121) $ $) 73 (|has| |#1| (-842)))) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 75 (|has| |#1| (-842)))) (-1734 (((-121) $ $) 72 (|has| |#1| (-842)))) (-1781 (($ $ |#1|) 154 (|has| |#1| (-365)))) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ (-409 (-568))) 156 (|has| |#1| (-43 (-409 (-568))))) (($ (-409 (-568)) $) 155 (|has| |#1| (-43 (-409 (-568))))) (($ |#1| $) 145) (($ $ |#1|) 144))) 
-(((-950 |#1| |#2| |#3|) (-1275) (-1047) (-788) (-842)) (T -950)) 
-((-1998 (*1 *1 *1) (-12 (-4 *1 (-950 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-453)))) (-1836 (*1 *2 *1 *3) (-12 (-4 *1 (-950 *4 *5 *3)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *3 (-842)) (-5 *2 (-763)))) (-1836 (*1 *2 *1 *3) (-12 (-5 *3 (-634 *6)) (-4 *1 (-950 *4 *5 *6)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-634 (-763))))) (-2079 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-763)) (-4 *1 (-950 *4 *5 *2)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *2 (-842)))) (-2079 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 *6)) (-5 *3 (-634 (-763))) (-4 *1 (-950 *4 *5 *6)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *6 (-842)))) (-3062 (*1 *2 *1) (-12 (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-950 *3 *4 *5)))) (-3840 (*1 *2 *1 *3) (-12 (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *3 (-842)) (-5 *2 (-1157 *1)) (-4 *1 (-950 *4 *5 *3)))) (-3840 (*1 *2 *1) (-12 (-4 *1 (-950 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-1157 *3)))) (-2817 (*1 *2 *1) (|partial| -12 (-4 *1 (-950 *3 *4 *2)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)))) (-3524 (*1 *2 *1 *3) (-12 (-4 *1 (-950 *4 *5 *3)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *3 (-842)) (-5 *2 (-763)))) (-3524 (*1 *2 *1 *3) (-12 (-5 *3 (-634 *6)) (-4 *1 (-950 *4 *5 *6)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-634 (-763))))) (-1438 (*1 *2 *1 *1 *3) (-12 (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *3 (-842)) (-5 *2 (-2 (|:| -4409 *1) (|:| -2607 *1))) (-4 *1 (-950 *4 *5 *3)))) (-2049 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-763)) (-4 *1 (-950 *4 *5 *2)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *2 (-842)))) (-2049 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 *6)) (-5 *3 (-634 (-763))) (-4 *1 (-950 *4 *5 *6)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *6 (-842)))) (-2053 (*1 *1 *2 *3) (-12 (-5 *2 (-1157 *4)) (-4 *4 (-1047)) (-4 *1 (-950 *4 *5 *3)) (-4 *5 (-788)) (-4 *3 (-842)))) (-2053 (*1 *1 *2 *3) (-12 (-5 *2 (-1157 *1)) (-4 *1 (-950 *4 *5 *3)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *3 (-842)))) (-2112 (*1 *2 *1) (|partial| -12 (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-950 *3 *4 *5)))) (-4362 (*1 *2 *1) (|partial| -12 (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-950 *3 *4 *5)))) (-2617 (*1 *2 *1) (|partial| -12 (-4 *1 (-950 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-2 (|:| |var| *5) (|:| -3483 (-763)))))) (-3528 (*1 *2 *1) (-12 (-4 *1 (-950 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-763)))) (-3528 (*1 *2 *1 *3) (-12 (-5 *3 (-634 *6)) (-4 *1 (-950 *4 *5 *6)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-763)))) (-2057 (*1 *2 *1) (-12 (-4 *1 (-950 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-634 *5)))) (-2110 (*1 *2 *1) (-12 (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-950 *3 *4 *5)))) (-2910 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-950 *3 *4 *2)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)) (-4 *3 (-172)))) (-3440 (*1 *1 *1 *2) (-12 (-4 *1 (-950 *3 *4 *2)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)) (-4 *3 (-172)))) (-1364 (*1 *1 *1 *2) (-12 (-4 *1 (-950 *3 *4 *2)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)) (-4 *3 (-453)))) (-1998 (*1 *1 *1 *2) (-12 (-4 *1 (-950 *3 *4 *2)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)) (-4 *3 (-453)))) (-3045 (*1 *1 *1) (-12 (-4 *1 (-950 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-453)))) (-3498 (*1 *2 *1) (-12 (-4 *3 (-453)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-420 *1)) (-4 *1 (-950 *3 *4 *5))))) 
-(-13 (-895 |t#3|) (-324 |t#1| |t#2|) (-303 $) (-523 |t#3| |t#1|) (-523 |t#3| $) (-1037 |t#3|) (-379 |t#1|) (-10 -8 (-15 -1836 ((-763) $ |t#3|)) (-15 -1836 ((-634 (-763)) $ (-634 |t#3|))) (-15 -2079 ($ $ |t#3| (-763))) (-15 -2079 ($ $ (-634 |t#3|) (-634 (-763)))) (-15 -3062 ((-634 $) $)) (-15 -3840 ((-1157 $) $ |t#3|)) (-15 -3840 ((-1157 |t#1|) $)) (-15 -2817 ((-3 |t#3| "failed") $)) (-15 -3524 ((-763) $ |t#3|)) (-15 -3524 ((-634 (-763)) $ (-634 |t#3|))) (-15 -1438 ((-2 (|:| -4409 $) (|:| -2607 $)) $ $ |t#3|)) (-15 -2049 ($ $ |t#3| (-763))) (-15 -2049 ($ $ (-634 |t#3|) (-634 (-763)))) (-15 -2053 ($ (-1157 |t#1|) |t#3|)) (-15 -2053 ($ (-1157 $) |t#3|)) (-15 -2112 ((-3 (-634 $) "failed") $)) (-15 -4362 ((-3 (-634 $) "failed") $)) (-15 -2617 ((-3 (-2 (|:| |var| |t#3|) (|:| -3483 (-763))) "failed") $)) (-15 -3528 ((-763) $)) (-15 -3528 ((-763) $ (-634 |t#3|))) (-15 -2057 ((-634 |t#3|) $)) (-15 -2110 ((-634 $) $)) (IF (|has| |t#1| (-842)) (-6 (-842)) |noBranch|) (IF (|has| |t#1| (-609 (-541))) (IF (|has| |t#3| (-609 (-541))) (-6 (-609 (-541))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-609 (-887 (-568)))) (IF (|has| |t#3| (-609 (-887 (-568)))) (-6 (-609 (-887 (-568)))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-609 (-887 (-381)))) (IF (|has| |t#3| (-609 (-887 (-381)))) (-6 (-609 (-887 (-381)))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-881 (-568))) (IF (|has| |t#3| (-881 (-568))) (-6 (-881 (-568))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-881 (-381))) (IF (|has| |t#3| (-881 (-381))) (-6 (-881 (-381))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-172)) (PROGN (-15 -2910 ($ $ $ |t#3|)) (-15 -3440 ($ $ |t#3|))) |noBranch|) (IF (|has| |t#1| (-453)) (PROGN (-6 (-453)) (-15 -1364 ($ $ |t#3|)) (-15 -1998 ($ $)) (-15 -1998 ($ $ |t#3|)) (-15 -3498 ((-420 $) $)) (-15 -3045 ($ $))) |noBranch|) (IF (|has| |t#1| (-6 -4519)) (-6 -4519) |noBranch|) (IF (|has| |t#1| (-904)) (-6 (-904)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-43 |#1|) |has| |#1| (-172)) ((-43 $) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453))) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453)) (|has| |#1| (-172))) ((-137) . T) ((-148) |has| |#1| (-148)) ((-150) |has| |#1| (-150)) ((-608 (-850)) . T) ((-172) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453)) (|has| |#1| (-172))) ((-609 (-541)) -12 (|has| |#1| (-609 (-541))) (|has| |#3| (-609 (-541)))) ((-609 (-887 (-381))) -12 (|has| |#1| (-609 (-887 (-381)))) (|has| |#3| (-609 (-887 (-381))))) ((-609 (-887 (-568))) -12 (|has| |#1| (-609 (-887 (-568)))) (|has| |#3| (-609 (-887 (-568))))) ((-285) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453))) ((-303 $) . T) ((-324 |#1| |#2|) . T) ((-379 |#1|) . T) ((-413 |#1|) . T) ((-453) -2199 (|has| |#1| (-904)) (|has| |#1| (-453))) ((-523 |#3| |#1|) . T) ((-523 |#3| $) . T) ((-523 $ $) . T) ((-558) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453))) ((-637 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-637 |#1|) . T) ((-637 $) . T) ((-630 (-568)) |has| |#1| (-630 (-568))) ((-630 |#1|) . T) ((-707 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-707 |#1|) |has| |#1| (-172)) ((-707 $) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453))) ((-716) . T) ((-842) |has| |#1| (-842)) ((-895 |#3|) . T) ((-881 (-381)) -12 (|has| |#1| (-881 (-381))) (|has| |#3| (-881 (-381)))) ((-881 (-568)) -12 (|has| |#1| (-881 (-568))) (|has| |#3| (-881 (-568)))) ((-904) |has| |#1| (-904)) ((-1037 (-409 (-568))) |has| |#1| (-1037 (-409 (-568)))) ((-1037 (-568)) |has| |#1| (-1037 (-568))) ((-1037 |#1|) . T) ((-1037 |#3|) . T) ((-1053 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-1053 |#1|) . T) ((-1053 $) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453)) (|has| |#1| (-172))) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1199) |has| |#1| (-904))) 
-((-2057 (((-634 |#2|) |#5|) 36)) (-3840 (((-1157 |#5|) |#5| |#2| (-1157 |#5|)) 23) (((-409 (-1157 |#5|)) |#5| |#2|) 16)) (-2053 ((|#5| (-409 (-1157 |#5|)) |#2|) 30)) (-2817 (((-3 |#2| "failed") |#5|) 61)) (-4362 (((-3 (-634 |#5|) "failed") |#5|) 55)) (-4495 (((-3 (-2 (|:| |val| |#5|) (|:| -3483 (-568))) "failed") |#5|) 45)) (-2112 (((-3 (-634 |#5|) "failed") |#5|) 57)) (-2617 (((-3 (-2 (|:| |var| |#2|) (|:| -3483 (-568))) "failed") |#5|) 48))) 
-(((-951 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2057 ((-634 |#2|) |#5|)) (-15 -2817 ((-3 |#2| "failed") |#5|)) (-15 -3840 ((-409 (-1157 |#5|)) |#5| |#2|)) (-15 -2053 (|#5| (-409 (-1157 |#5|)) |#2|)) (-15 -3840 ((-1157 |#5|) |#5| |#2| (-1157 |#5|))) (-15 -2112 ((-3 (-634 |#5|) "failed") |#5|)) (-15 -4362 ((-3 (-634 |#5|) "failed") |#5|)) (-15 -2617 ((-3 (-2 (|:| |var| |#2|) (|:| -3483 (-568))) "failed") |#5|)) (-15 -4495 ((-3 (-2 (|:| |val| |#5|) (|:| -3483 (-568))) "failed") |#5|))) (-788) (-842) (-1047) (-950 |#3| |#1| |#2|) (-13 (-365) (-10 -8 (-15 -2747 ($ |#4|)) (-15 -2319 (|#4| $)) (-15 -2326 (|#4| $))))) (T -951)) 
-((-4495 (*1 *2 *3) (|partial| -12 (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1047)) (-4 *7 (-950 *6 *4 *5)) (-5 *2 (-2 (|:| |val| *3) (|:| -3483 (-568)))) (-5 *1 (-951 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-365) (-10 -8 (-15 -2747 ($ *7)) (-15 -2319 (*7 $)) (-15 -2326 (*7 $))))))) (-2617 (*1 *2 *3) (|partial| -12 (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1047)) (-4 *7 (-950 *6 *4 *5)) (-5 *2 (-2 (|:| |var| *5) (|:| -3483 (-568)))) (-5 *1 (-951 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-365) (-10 -8 (-15 -2747 ($ *7)) (-15 -2319 (*7 $)) (-15 -2326 (*7 $))))))) (-4362 (*1 *2 *3) (|partial| -12 (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1047)) (-4 *7 (-950 *6 *4 *5)) (-5 *2 (-634 *3)) (-5 *1 (-951 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-365) (-10 -8 (-15 -2747 ($ *7)) (-15 -2319 (*7 $)) (-15 -2326 (*7 $))))))) (-2112 (*1 *2 *3) (|partial| -12 (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1047)) (-4 *7 (-950 *6 *4 *5)) (-5 *2 (-634 *3)) (-5 *1 (-951 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-365) (-10 -8 (-15 -2747 ($ *7)) (-15 -2319 (*7 $)) (-15 -2326 (*7 $))))))) (-3840 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-1157 *3)) (-4 *3 (-13 (-365) (-10 -8 (-15 -2747 ($ *7)) (-15 -2319 (*7 $)) (-15 -2326 (*7 $))))) (-4 *7 (-950 *6 *5 *4)) (-4 *5 (-788)) (-4 *4 (-842)) (-4 *6 (-1047)) (-5 *1 (-951 *5 *4 *6 *7 *3)))) (-2053 (*1 *2 *3 *4) (-12 (-5 *3 (-409 (-1157 *2))) (-4 *5 (-788)) (-4 *4 (-842)) (-4 *6 (-1047)) (-4 *2 (-13 (-365) (-10 -8 (-15 -2747 ($ *7)) (-15 -2319 (*7 $)) (-15 -2326 (*7 $))))) (-5 *1 (-951 *5 *4 *6 *7 *2)) (-4 *7 (-950 *6 *5 *4)))) (-3840 (*1 *2 *3 *4) (-12 (-4 *5 (-788)) (-4 *4 (-842)) (-4 *6 (-1047)) (-4 *7 (-950 *6 *5 *4)) (-5 *2 (-409 (-1157 *3))) (-5 *1 (-951 *5 *4 *6 *7 *3)) (-4 *3 (-13 (-365) (-10 -8 (-15 -2747 ($ *7)) (-15 -2319 (*7 $)) (-15 -2326 (*7 $))))))) (-2817 (*1 *2 *3) (|partial| -12 (-4 *4 (-788)) (-4 *5 (-1047)) (-4 *6 (-950 *5 *4 *2)) (-4 *2 (-842)) (-5 *1 (-951 *4 *2 *5 *6 *3)) (-4 *3 (-13 (-365) (-10 -8 (-15 -2747 ($ *6)) (-15 -2319 (*6 $)) (-15 -2326 (*6 $))))))) (-2057 (*1 *2 *3) (-12 (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1047)) (-4 *7 (-950 *6 *4 *5)) (-5 *2 (-634 *5)) (-5 *1 (-951 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-365) (-10 -8 (-15 -2747 ($ *7)) (-15 -2319 (*7 $)) (-15 -2326 (*7 $)))))))) 
-(-10 -7 (-15 -2057 ((-634 |#2|) |#5|)) (-15 -2817 ((-3 |#2| "failed") |#5|)) (-15 -3840 ((-409 (-1157 |#5|)) |#5| |#2|)) (-15 -2053 (|#5| (-409 (-1157 |#5|)) |#2|)) (-15 -3840 ((-1157 |#5|) |#5| |#2| (-1157 |#5|))) (-15 -2112 ((-3 (-634 |#5|) "failed") |#5|)) (-15 -4362 ((-3 (-634 |#5|) "failed") |#5|)) (-15 -2617 ((-3 (-2 (|:| |var| |#2|) (|:| -3483 (-568))) "failed") |#5|)) (-15 -4495 ((-3 (-2 (|:| |val| |#5|) (|:| -3483 (-568))) "failed") |#5|))) 
-((-2797 ((|#5| (-1 |#5| |#2|) (-1 |#5| |#3|) |#4|) 23))) 
-(((-952 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2797 (|#5| (-1 |#5| |#2|) (-1 |#5| |#3|) |#4|))) (-788) (-842) (-1047) (-950 |#3| |#1| |#2|) (-13 (-1090) (-10 -8 (-15 -1769 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-763)))))) (T -952)) 
-((-2797 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *7)) (-5 *4 (-1 *2 *8)) (-4 *7 (-842)) (-4 *8 (-1047)) (-4 *6 (-788)) (-4 *2 (-13 (-1090) (-10 -8 (-15 -1769 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-763)))))) (-5 *1 (-952 *6 *7 *8 *5 *2)) (-4 *5 (-950 *8 *6 *7))))) 
-(-10 -7 (-15 -2797 (|#5| (-1 |#5| |#2|) (-1 |#5| |#3|) |#4|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2057 (((-634 (-1161)) $) 15)) (-3840 (((-1157 $) $ (-1161)) 21) (((-1157 |#1|) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#1| (-558)))) (-3661 (($ $) NIL (|has| |#1| (-558)))) (-4426 (((-121) $) NIL (|has| |#1| (-558)))) (-3528 (((-763) $) NIL) (((-763) $ (-634 (-1161))) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-3045 (($ $) NIL (|has| |#1| (-453)))) (-3498 (((-420 $) $) NIL (|has| |#1| (-453)))) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#1| "failed") $) 8) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-3 (-568) "failed") $) NIL (|has| |#1| (-1037 (-568)))) (((-3 (-1161) "failed") $) NIL)) (-2857 ((|#1| $) NIL) (((-409 (-568)) $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-568) $) NIL (|has| |#1| (-1037 (-568)))) (((-1161) $) NIL)) (-2910 (($ $ $ (-1161)) NIL (|has| |#1| (-172)))) (-2116 (($ $) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 |#1|))) (-679 $) (-1244 $)) NIL) (((-679 |#1|) (-679 $)) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1998 (($ $) NIL (|has| |#1| (-453))) (($ $ (-1161)) NIL (|has| |#1| (-453)))) (-2110 (((-634 $) $) NIL)) (-2197 (((-121) $) NIL (|has| |#1| (-904)))) (-2453 (($ $ |#1| (-534 (-1161)) $) NIL)) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (-12 (|has| (-1161) (-881 (-381))) (|has| |#1| (-881 (-381))))) (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (-12 (|has| (-1161) (-881 (-568))) (|has| |#1| (-881 (-568)))))) (-1598 (((-121) $) NIL)) (-3971 (((-763) $) NIL)) (-2053 (($ (-1157 |#1|) (-1161)) NIL) (($ (-1157 $) (-1161)) NIL)) (-3062 (((-634 $) $) NIL)) (-2171 (((-121) $) NIL)) (-2049 (($ |#1| (-534 (-1161))) NIL) (($ $ (-1161) (-763)) NIL) (($ $ (-634 (-1161)) (-634 (-763))) NIL)) (-1438 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $ (-1161)) NIL)) (-3524 (((-534 (-1161)) $) NIL) (((-763) $ (-1161)) NIL) (((-634 (-763)) $ (-634 (-1161))) NIL)) (-1732 (($ $ $) NIL (|has| |#1| (-842)))) (-2047 (($ $ $) NIL (|has| |#1| (-842)))) (-1865 (($ (-1 (-534 (-1161)) (-534 (-1161))) $) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-2817 (((-3 (-1161) "failed") $) 19)) (-2099 (($ $) NIL)) (-2104 ((|#1| $) NIL)) (-2498 (($ (-634 $)) NIL (|has| |#1| (-453))) (($ $ $) NIL (|has| |#1| (-453)))) (-1893 (((-1143) $) NIL)) (-4362 (((-3 (-634 $) "failed") $) NIL)) (-2112 (((-3 (-634 $) "failed") $) NIL)) (-2617 (((-3 (-2 (|:| |var| (-1161)) (|:| -3483 (-763))) "failed") $) NIL)) (-1845 (($ $ (-1161)) 29 (|has| |#1| (-43 (-409 (-568)))))) (-4025 (((-1108) $) NIL)) (-2088 (((-121) $) NIL)) (-2093 ((|#1| $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#1| (-453)))) (-2723 (($ (-634 $)) NIL (|has| |#1| (-453))) (($ $ $) NIL (|has| |#1| (-453)))) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-3850 (((-420 $) $) NIL (|has| |#1| (-904)))) (-2597 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-558))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-558)))) (-1339 (($ $ (-634 (-288 $))) NIL) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL) (($ $ (-1161) |#1|) NIL) (($ $ (-634 (-1161)) (-634 |#1|)) NIL) (($ $ (-1161) $) NIL) (($ $ (-634 (-1161)) (-634 $)) NIL)) (-3440 (($ $ (-1161)) NIL (|has| |#1| (-172)))) (-4191 (($ $ (-1161)) NIL) (($ $ (-634 (-1161))) NIL) (($ $ (-1161) (-763)) NIL) (($ $ (-634 (-1161)) (-634 (-763))) NIL)) (-1836 (((-534 (-1161)) $) NIL) (((-763) $ (-1161)) NIL) (((-634 (-763)) $ (-634 (-1161))) NIL)) (-4280 (((-887 (-381)) $) NIL (-12 (|has| (-1161) (-609 (-887 (-381)))) (|has| |#1| (-609 (-887 (-381)))))) (((-887 (-568)) $) NIL (-12 (|has| (-1161) (-609 (-887 (-568)))) (|has| |#1| (-609 (-887 (-568)))))) (((-541) $) NIL (-12 (|has| (-1161) (-609 (-541))) (|has| |#1| (-609 (-541)))))) (-1364 ((|#1| $) NIL (|has| |#1| (-453))) (($ $ (-1161)) NIL (|has| |#1| (-453)))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-12 (|has| $ (-148)) (|has| |#1| (-904))))) (-2747 (((-850) $) 25) (($ (-568)) NIL) (($ |#1|) NIL) (($ (-1161)) 27) (($ (-409 (-568))) NIL (-2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-1037 (-409 (-568)))))) (($ $) NIL (|has| |#1| (-558)))) (-3304 (((-634 |#1|) $) NIL)) (-2079 ((|#1| $ (-534 (-1161))) NIL) (($ $ (-1161) (-763)) NIL) (($ $ (-634 (-1161)) (-634 (-763))) NIL)) (-3385 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| |#1| (-904))) (|has| |#1| (-148))))) (-3425 (((-763)) NIL)) (-3925 (($ $ $ (-763)) NIL (|has| |#1| (-172)))) (-2273 (((-121) $ $) NIL (|has| |#1| (-558)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($ $ (-1161)) NIL) (($ $ (-634 (-1161))) NIL) (($ $ (-1161) (-763)) NIL) (($ $ (-634 (-1161)) (-634 (-763))) NIL)) (-1753 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1781 (($ $ |#1|) NIL (|has| |#1| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))) (($ (-409 (-568)) $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-953 |#1|) (-13 (-950 |#1| (-534 (-1161)) (-1161)) (-10 -8 (IF (|has| |#1| (-43 (-409 (-568)))) (-15 -1845 ($ $ (-1161))) |noBranch|))) (-1047)) (T -953)) 
-((-1845 (*1 *1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-953 *3)) (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047))))) 
-(-13 (-950 |#1| (-534 (-1161)) (-1161)) (-10 -8 (IF (|has| |#1| (-43 (-409 (-568)))) (-15 -1845 ($ $ (-1161))) |noBranch|))) 
-((-2124 (((-2 (|:| -3483 (-763)) (|:| -2350 |#5|) (|:| |radicand| |#5|)) |#3| (-763)) 37)) (-2419 (((-2 (|:| -3483 (-763)) (|:| -2350 |#5|) (|:| |radicand| |#5|)) (-409 (-568)) (-763)) 33)) (-3514 (((-2 (|:| -3483 (-763)) (|:| -2350 |#4|) (|:| |radicand| (-634 |#4|))) |#4| (-763)) 52)) (-2862 (((-2 (|:| -3483 (-763)) (|:| -2350 |#5|) (|:| |radicand| |#5|)) |#5| (-763)) 62 (|has| |#3| (-453))))) 
-(((-954 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2124 ((-2 (|:| -3483 (-763)) (|:| -2350 |#5|) (|:| |radicand| |#5|)) |#3| (-763))) (-15 -2419 ((-2 (|:| -3483 (-763)) (|:| -2350 |#5|) (|:| |radicand| |#5|)) (-409 (-568)) (-763))) (IF (|has| |#3| (-453)) (-15 -2862 ((-2 (|:| -3483 (-763)) (|:| -2350 |#5|) (|:| |radicand| |#5|)) |#5| (-763))) |noBranch|) (-15 -3514 ((-2 (|:| -3483 (-763)) (|:| -2350 |#4|) (|:| |radicand| (-634 |#4|))) |#4| (-763)))) (-788) (-842) (-558) (-950 |#3| |#1| |#2|) (-13 (-365) (-10 -8 (-15 -2319 (|#4| $)) (-15 -2326 (|#4| $)) (-15 -2747 ($ |#4|))))) (T -954)) 
-((-3514 (*1 *2 *3 *4) (-12 (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-558)) (-4 *3 (-950 *7 *5 *6)) (-5 *2 (-2 (|:| -3483 (-763)) (|:| -2350 *3) (|:| |radicand| (-634 *3)))) (-5 *1 (-954 *5 *6 *7 *3 *8)) (-5 *4 (-763)) (-4 *8 (-13 (-365) (-10 -8 (-15 -2319 (*3 $)) (-15 -2326 (*3 $)) (-15 -2747 ($ *3))))))) (-2862 (*1 *2 *3 *4) (-12 (-4 *7 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-558)) (-4 *8 (-950 *7 *5 *6)) (-5 *2 (-2 (|:| -3483 (-763)) (|:| -2350 *3) (|:| |radicand| *3))) (-5 *1 (-954 *5 *6 *7 *8 *3)) (-5 *4 (-763)) (-4 *3 (-13 (-365) (-10 -8 (-15 -2319 (*8 $)) (-15 -2326 (*8 $)) (-15 -2747 ($ *8))))))) (-2419 (*1 *2 *3 *4) (-12 (-5 *3 (-409 (-568))) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-558)) (-4 *8 (-950 *7 *5 *6)) (-5 *2 (-2 (|:| -3483 (-763)) (|:| -2350 *9) (|:| |radicand| *9))) (-5 *1 (-954 *5 *6 *7 *8 *9)) (-5 *4 (-763)) (-4 *9 (-13 (-365) (-10 -8 (-15 -2319 (*8 $)) (-15 -2326 (*8 $)) (-15 -2747 ($ *8))))))) (-2124 (*1 *2 *3 *4) (-12 (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-558)) (-4 *7 (-950 *3 *5 *6)) (-5 *2 (-2 (|:| -3483 (-763)) (|:| -2350 *8) (|:| |radicand| *8))) (-5 *1 (-954 *5 *6 *3 *7 *8)) (-5 *4 (-763)) (-4 *8 (-13 (-365) (-10 -8 (-15 -2319 (*7 $)) (-15 -2326 (*7 $)) (-15 -2747 ($ *7)))))))) 
-(-10 -7 (-15 -2124 ((-2 (|:| -3483 (-763)) (|:| -2350 |#5|) (|:| |radicand| |#5|)) |#3| (-763))) (-15 -2419 ((-2 (|:| -3483 (-763)) (|:| -2350 |#5|) (|:| |radicand| |#5|)) (-409 (-568)) (-763))) (IF (|has| |#3| (-453)) (-15 -2862 ((-2 (|:| -3483 (-763)) (|:| -2350 |#5|) (|:| |radicand| |#5|)) |#5| (-763))) |noBranch|) (-15 -3514 ((-2 (|:| -3483 (-763)) (|:| -2350 |#4|) (|:| |radicand| (-634 |#4|))) |#4| (-763)))) 
-((-1421 (((-1084 (-215)) $) 7)) (-3679 (((-1084 (-215)) $) 8)) (-1878 (((-634 (-634 (-944 (-215)))) $) 9)) (-2747 (((-850) $) 6))) 
-(((-955) (-1275)) (T -955)) 
-((-1878 (*1 *2 *1) (-12 (-4 *1 (-955)) (-5 *2 (-634 (-634 (-944 (-215))))))) (-3679 (*1 *2 *1) (-12 (-4 *1 (-955)) (-5 *2 (-1084 (-215))))) (-1421 (*1 *2 *1) (-12 (-4 *1 (-955)) (-5 *2 (-1084 (-215)))))) 
-(-13 (-608 (-850)) (-10 -8 (-15 -1878 ((-634 (-634 (-944 (-215)))) $)) (-15 -3679 ((-1084 (-215)) $)) (-15 -1421 ((-1084 (-215)) $)))) 
-(((-608 (-850)) . T)) 
-((-2190 (((-3 (-679 |#1|) "failed") |#2| (-917)) 14))) 
-(((-956 |#1| |#2|) (-10 -7 (-15 -2190 ((-3 (-679 |#1|) "failed") |#2| (-917)))) (-558) (-646 |#1|)) (T -956)) 
-((-2190 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-917)) (-4 *5 (-558)) (-5 *2 (-679 *5)) (-5 *1 (-956 *5 *3)) (-4 *3 (-646 *5))))) 
-(-10 -7 (-15 -2190 ((-3 (-679 |#1|) "failed") |#2| (-917)))) 
-((-1678 (((-958 |#2|) (-1 |#2| |#1| |#2|) (-958 |#1|) |#2|) 16)) (-3094 ((|#2| (-1 |#2| |#1| |#2|) (-958 |#1|) |#2|) 18)) (-2797 (((-958 |#2|) (-1 |#2| |#1|) (-958 |#1|)) 13))) 
-(((-957 |#1| |#2|) (-10 -7 (-15 -1678 ((-958 |#2|) (-1 |#2| |#1| |#2|) (-958 |#1|) |#2|)) (-15 -3094 (|#2| (-1 |#2| |#1| |#2|) (-958 |#1|) |#2|)) (-15 -2797 ((-958 |#2|) (-1 |#2| |#1|) (-958 |#1|)))) (-1195) (-1195)) (T -957)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-958 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-958 *6)) (-5 *1 (-957 *5 *6)))) (-3094 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-958 *5)) (-4 *5 (-1195)) (-4 *2 (-1195)) (-5 *1 (-957 *5 *2)))) (-1678 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-958 *6)) (-4 *6 (-1195)) (-4 *5 (-1195)) (-5 *2 (-958 *5)) (-5 *1 (-957 *6 *5))))) 
-(-10 -7 (-15 -1678 ((-958 |#2|) (-1 |#2| |#1| |#2|) (-958 |#1|) |#2|)) (-15 -3094 (|#2| (-1 |#2| |#1| |#2|) (-958 |#1|) |#2|)) (-15 -2797 ((-958 |#2|) (-1 |#2| |#1|) (-958 |#1|)))) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-2481 (((-1249) $ (-568) (-568)) NIL (|has| $ (-6 -4522)))) (-1324 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-842)))) (-2109 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4522))) (($ $) NIL (-12 (|has| $ (-6 -4522)) (|has| |#1| (-842))))) (-3647 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-842)))) (-1667 (((-121) $ (-763)) NIL)) (-2438 ((|#1| $ (-568) |#1|) 17 (|has| $ (-6 -4522))) ((|#1| $ (-1210 (-568)) |#1|) NIL (|has| $ (-6 -4522)))) (-2803 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-4490 (($) NIL T CONST)) (-4452 (($ $) NIL (|has| $ (-6 -4522)))) (-3945 (($ $) NIL)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-4330 (($ |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4521)))) (-1292 ((|#1| $ (-568) |#1|) 16 (|has| $ (-6 -4522)))) (-2069 ((|#1| $ (-568)) 14)) (-2766 (((-568) (-1 (-121) |#1|) $) NIL) (((-568) |#1| $) NIL (|has| |#1| (-1090))) (((-568) |#1| $ (-568)) NIL (|has| |#1| (-1090)))) (-3317 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-1851 (($ (-763) |#1|) 13)) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-568) $) 10 (|has| (-568) (-842)))) (-1732 (($ $ $) NIL (|has| |#1| (-842)))) (-3645 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-842)))) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3631 (((-568) $) NIL (|has| (-568) (-842)))) (-2047 (($ $ $) NIL (|has| |#1| (-842)))) (-2253 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-4124 (($ |#1| $ (-568)) NIL) (($ $ $ (-568)) NIL)) (-3948 (((-634 (-568)) $) NIL)) (-2916 (((-121) (-568) $) NIL)) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-3877 ((|#1| $) NIL (|has| (-568) (-842)))) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2490 (($ $ |#1|) 12 (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1480 (((-634 |#1|) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) 11)) (-2781 ((|#1| $ (-568) |#1|) NIL) ((|#1| $ (-568)) 15) (($ $ (-1210 (-568))) NIL)) (-2828 (($ $ (-568)) NIL) (($ $ (-1210 (-568))) NIL)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3306 (($ $ $ (-568)) NIL (|has| $ (-6 -4522)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) NIL (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) NIL)) (-2770 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-634 $)) NIL)) (-2747 (((-850) $) NIL (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1753 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1719 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1747 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1699 (((-763) $) 8 (|has| $ (-6 -4521))))) 
-(((-958 |#1|) (-19 |#1|) (-1195)) (T -958)) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#1|) . T) ((-1054 |#1|) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3036 (($ |#1|) 17) (($ $ |#1|) 20)) (-4265 (($ |#1|) 18) (($ $ |#1|) 21)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) NIL) (($) 19) (($ $) 22)) (-1407 (((-121) $) NIL)) (-1497 (($ |#1| |#1| |#1| |#1|) 8)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 16)) (-3360 (((-1109) $) NIL)) (-1468 ((|#1| $ |#1|) 24) (((-829 |#1|) $ (-829 |#1|)) 32)) (-1414 (($ $ $) NIL)) (-4293 (($ $ $) NIL)) (-2185 (((-851) $) 39)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-1556 (($) 9 T CONST)) (-1668 (((-121) $ $) 44)) (-1715 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ $ $) 14))) 
+(((-709 |#1|) (-13 (-479) (-10 -8 (-15 -1497 ($ |#1| |#1| |#1| |#1|)) (-15 -3036 ($ |#1|)) (-15 -4265 ($ |#1|)) (-15 -3428 ($)) (-15 -3036 ($ $ |#1|)) (-15 -4265 ($ $ |#1|)) (-15 -3428 ($ $)) (-15 -1468 (|#1| $ |#1|)) (-15 -1468 ((-829 |#1|) $ (-829 |#1|))))) (-366)) (T -709)) 
+((-1497 (*1 *1 *2 *2 *2 *2) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) (-3036 (*1 *1 *2) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) (-4265 (*1 *1 *2) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) (-3428 (*1 *1) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) (-3036 (*1 *1 *1 *2) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) (-4265 (*1 *1 *1 *2) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) (-3428 (*1 *1 *1) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) (-1468 (*1 *2 *1 *2) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) (-1468 (*1 *2 *1 *2) (-12 (-5 *2 (-829 *3)) (-4 *3 (-366)) (-5 *1 (-709 *3))))) 
+(-13 (-479) (-10 -8 (-15 -1497 ($ |#1| |#1| |#1| |#1|)) (-15 -3036 ($ |#1|)) (-15 -4265 ($ |#1|)) (-15 -3428 ($)) (-15 -3036 ($ $ |#1|)) (-15 -4265 ($ $ |#1|)) (-15 -3428 ($ $)) (-15 -1468 (|#1| $ |#1|)) (-15 -1468 ((-829 |#1|) $ (-829 |#1|))))) 
+((-1628 (($ $ (-918)) 12)) (-3272 (($ $ (-918)) 13)) (** (($ $ (-918)) 10))) 
+(((-710 |#1|) (-10 -8 (-15 ** (|#1| |#1| (-918))) (-15 -3272 (|#1| |#1| (-918))) (-15 -1628 (|#1| |#1| (-918)))) (-711)) (T -710)) 
+NIL 
+(-10 -8 (-15 ** (|#1| |#1| (-918))) (-15 -3272 (|#1| |#1| (-918))) (-15 -1628 (|#1| |#1| (-918)))) 
+((-2568 (((-121) $ $) 7)) (-1628 (($ $ (-918)) 14)) (-3272 (($ $ (-918)) 13)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-1668 (((-121) $ $) 6)) (** (($ $ (-918)) 12)) (* (($ $ $) 15))) 
+(((-711) (-1278)) (T -711)) 
+((* (*1 *1 *1 *1) (-4 *1 (-711))) (-1628 (*1 *1 *1 *2) (-12 (-4 *1 (-711)) (-5 *2 (-918)))) (-3272 (*1 *1 *1 *2) (-12 (-4 *1 (-711)) (-5 *2 (-918)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-711)) (-5 *2 (-918))))) 
+(-13 (-1091) (-10 -8 (-15 * ($ $ $)) (-15 -1628 ($ $ (-918))) (-15 -3272 ($ $ (-918))) (-15 ** ($ $ (-918))))) 
+(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
+((-1628 (($ $ (-918)) NIL) (($ $ (-764)) 17)) (-1407 (((-121) $) 10)) (-3272 (($ $ (-918)) NIL) (($ $ (-764)) 18)) (** (($ $ (-918)) NIL) (($ $ (-764)) 15))) 
+(((-712 |#1|) (-10 -8 (-15 ** (|#1| |#1| (-764))) (-15 -3272 (|#1| |#1| (-764))) (-15 -1628 (|#1| |#1| (-764))) (-15 -1407 ((-121) |#1|)) (-15 ** (|#1| |#1| (-918))) (-15 -3272 (|#1| |#1| (-918))) (-15 -1628 (|#1| |#1| (-918)))) (-713)) (T -712)) 
+NIL 
+(-10 -8 (-15 ** (|#1| |#1| (-764))) (-15 -3272 (|#1| |#1| (-764))) (-15 -1628 (|#1| |#1| (-764))) (-15 -1407 ((-121) |#1|)) (-15 ** (|#1| |#1| (-918))) (-15 -3272 (|#1| |#1| (-918))) (-15 -1628 (|#1| |#1| (-918)))) 
+((-2568 (((-121) $ $) 7)) (-1620 (((-3 $ "failed") $) 16)) (-1628 (($ $ (-918)) 14) (($ $ (-764)) 21)) (-3428 (((-3 $ "failed") $) 18)) (-1407 (((-121) $) 22)) (-4439 (((-3 $ "failed") $) 17)) (-3272 (($ $ (-918)) 13) (($ $ (-764)) 20)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-1556 (($) 23 T CONST)) (-1668 (((-121) $ $) 6)) (** (($ $ (-918)) 12) (($ $ (-764)) 19)) (* (($ $ $) 15))) 
+(((-713) (-1278)) (T -713)) 
+((-1556 (*1 *1) (-4 *1 (-713))) (-1407 (*1 *2 *1) (-12 (-4 *1 (-713)) (-5 *2 (-121)))) (-1628 (*1 *1 *1 *2) (-12 (-4 *1 (-713)) (-5 *2 (-764)))) (-3272 (*1 *1 *1 *2) (-12 (-4 *1 (-713)) (-5 *2 (-764)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-713)) (-5 *2 (-764)))) (-3428 (*1 *1 *1) (|partial| -4 *1 (-713))) (-4439 (*1 *1 *1) (|partial| -4 *1 (-713))) (-1620 (*1 *1 *1) (|partial| -4 *1 (-713)))) 
+(-13 (-711) (-10 -8 (-15 (-1556) ($) -2043) (-15 -1407 ((-121) $)) (-15 -1628 ($ $ (-764))) (-15 -3272 ($ $ (-764))) (-15 ** ($ $ (-764))) (-15 -3428 ((-3 $ "failed") $)) (-15 -4439 ((-3 $ "failed") $)) (-15 -1620 ((-3 $ "failed") $)))) 
+(((-105) . T) ((-609 (-851)) . T) ((-711) . T) ((-1091) . T)) 
+((-2085 (((-764)) 35)) (-1647 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#2| "failed") $) 25)) (-2428 (((-569) $) NIL) (((-410 (-569)) $) NIL) ((|#2| $) 22)) (-1774 (($ |#3|) NIL) (((-3 $ "failed") (-410 |#3|)) 45)) (-3428 (((-3 $ "failed") $) 65)) (-4327 (($) 39)) (-4308 ((|#2| $) 20)) (-1809 (($) 17)) (-3899 (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-1 |#2| |#2|)) 53) (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163)) NIL) (($ $ (-764)) NIL) (($ $) NIL)) (-3497 (((-680 |#2|) (-1247 $) (-1 |#2| |#2|)) 60)) (-3817 (((-1247 |#2|) $) NIL) (($ (-1247 |#2|)) NIL) ((|#3| $) 10) (($ |#3|) 12)) (-2742 ((|#3| $) 32)) (-3930 (((-1247 $)) 29))) 
+(((-714 |#1| |#2| |#3|) (-10 -8 (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -4327 (|#1|)) (-15 -2085 ((-764))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3497 ((-680 |#2|) (-1247 |#1|) (-1 |#2| |#2|))) (-15 -1774 ((-3 |#1| "failed") (-410 |#3|))) (-15 -3817 (|#1| |#3|)) (-15 -1774 (|#1| |#3|)) (-15 -1809 (|#1|)) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -3817 (|#3| |#1|)) (-15 -3817 (|#1| (-1247 |#2|))) (-15 -3817 ((-1247 |#2|) |#1|)) (-15 -3930 ((-1247 |#1|))) (-15 -2742 (|#3| |#1|)) (-15 -4308 (|#2| |#1|)) (-15 -3428 ((-3 |#1| "failed") |#1|))) (-715 |#2| |#3|) (-173) (-1222 |#2|)) (T -714)) 
+((-2085 (*1 *2) (-12 (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-764)) (-5 *1 (-714 *3 *4 *5)) (-4 *3 (-715 *4 *5))))) 
+(-10 -8 (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -4327 (|#1|)) (-15 -2085 ((-764))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3497 ((-680 |#2|) (-1247 |#1|) (-1 |#2| |#2|))) (-15 -1774 ((-3 |#1| "failed") (-410 |#3|))) (-15 -3817 (|#1| |#3|)) (-15 -1774 (|#1| |#3|)) (-15 -1809 (|#1|)) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -3817 (|#3| |#1|)) (-15 -3817 (|#1| (-1247 |#2|))) (-15 -3817 ((-1247 |#2|) |#1|)) (-15 -3930 ((-1247 |#1|))) (-15 -2742 (|#3| |#1|)) (-15 -4308 (|#2| |#1|)) (-15 -3428 ((-3 |#1| "failed") |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 87 (|has| |#1| (-366)))) (-3383 (($ $) 88 (|has| |#1| (-366)))) (-4354 (((-121) $) 90 (|has| |#1| (-366)))) (-3294 (((-680 |#1|) (-1247 $)) 44) (((-680 |#1|)) 55)) (-1377 ((|#1| $) 50)) (-2620 (((-1171 (-918) (-764)) (-569)) 141 (|has| |#1| (-351)))) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 107 (|has| |#1| (-366)))) (-2446 (((-421 $) $) 108 (|has| |#1| (-366)))) (-3934 (((-121) $ $) 98 (|has| |#1| (-366)))) (-2085 (((-764)) 81 (|has| |#1| (-371)))) (-2820 (($) 16 T CONST)) (-1647 (((-3 (-569) "failed") $) 163 (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) 161 (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) 160)) (-2428 (((-569) $) 164 (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) 162 (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) 159)) (-2623 (($ (-1247 |#1|) (-1247 $)) 46) (($ (-1247 |#1|)) 58)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) 147 (|has| |#1| (-351)))) (-2506 (($ $ $) 102 (|has| |#1| (-366)))) (-3325 (((-680 |#1|) $ (-1247 $)) 51) (((-680 |#1|) $) 53)) (-1696 (((-680 (-569)) (-680 $)) 158 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 157 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 156) (((-680 |#1|) (-680 $)) 155)) (-1774 (($ |#2|) 152) (((-3 $ "failed") (-410 |#2|)) 149 (|has| |#1| (-366)))) (-3428 (((-3 $ "failed") $) 33)) (-1321 (((-918)) 52)) (-4327 (($) 84 (|has| |#1| (-371)))) (-2524 (($ $ $) 101 (|has| |#1| (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 96 (|has| |#1| (-366)))) (-3188 (($) 143 (|has| |#1| (-351)))) (-3354 (((-121) $) 144 (|has| |#1| (-351)))) (-2751 (($ $ (-764)) 135 (|has| |#1| (-351))) (($ $) 134 (|has| |#1| (-351)))) (-3726 (((-121) $) 109 (|has| |#1| (-366)))) (-2558 (((-918) $) 146 (|has| |#1| (-351))) (((-829 (-918)) $) 132 (|has| |#1| (-351)))) (-1407 (((-121) $) 30)) (-4308 ((|#1| $) 49)) (-3846 (((-3 $ "failed") $) 136 (|has| |#1| (-351)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 105 (|has| |#1| (-366)))) (-2770 ((|#2| $) 42 (|has| |#1| (-366)))) (-2083 (((-918) $) 83 (|has| |#1| (-371)))) (-1769 ((|#2| $) 150)) (-2665 (($ (-635 $)) 94 (|has| |#1| (-366))) (($ $ $) 93 (|has| |#1| (-366)))) (-2776 (((-1145) $) 9)) (-1795 (($ $) 110 (|has| |#1| (-366)))) (-4043 (($) 137 (|has| |#1| (-351)) CONST)) (-3998 (($ (-918)) 82 (|has| |#1| (-371)))) (-3360 (((-1109) $) 10)) (-1809 (($) 154)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 95 (|has| |#1| (-366)))) (-2714 (($ (-635 $)) 92 (|has| |#1| (-366))) (($ $ $) 91 (|has| |#1| (-366)))) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) 140 (|has| |#1| (-351)))) (-1743 (((-421 $) $) 106 (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 104 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 103 (|has| |#1| (-366)))) (-2941 (((-3 $ "failed") $ $) 86 (|has| |#1| (-366)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 97 (|has| |#1| (-366)))) (-2622 (((-764) $) 99 (|has| |#1| (-366)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 100 (|has| |#1| (-366)))) (-2087 ((|#1| (-1247 $)) 45) ((|#1|) 54)) (-1291 (((-764) $) 145 (|has| |#1| (-351))) (((-3 (-764) "failed") $ $) 133 (|has| |#1| (-351)))) (-3899 (($ $) 131 (-2232 (-2206 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-764)) 129 (-2232 (-2206 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-1163)) 127 (-2206 (|has| |#1| (-896 (-1163))) (|has| |#1| (-366)))) (($ $ (-635 (-1163))) 126 (-2206 (|has| |#1| (-896 (-1163))) (|has| |#1| (-366)))) (($ $ (-1163) (-764)) 125 (-2206 (|has| |#1| (-896 (-1163))) (|has| |#1| (-366)))) (($ $ (-635 (-1163)) (-635 (-764))) 124 (-2206 (|has| |#1| (-896 (-1163))) (|has| |#1| (-366)))) (($ $ (-1 |#1| |#1|) (-764)) 117 (|has| |#1| (-366))) (($ $ (-1 |#1| |#1|)) 116 (|has| |#1| (-366)))) (-3497 (((-680 |#1|) (-1247 $) (-1 |#1| |#1|)) 148 (|has| |#1| (-366)))) (-2745 ((|#2|) 153)) (-2319 (($) 142 (|has| |#1| (-351)))) (-1648 (((-1247 |#1|) $ (-1247 $)) 48) (((-680 |#1|) (-1247 $) (-1247 $)) 47) (((-1247 |#1|) $) 60) (((-680 |#1|) (-1247 $)) 59)) (-3817 (((-1247 |#1|) $) 57) (($ (-1247 |#1|)) 56) ((|#2| $) 165) (($ |#2|) 151)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 139 (|has| |#1| (-351)))) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 36) (($ $) 85 (|has| |#1| (-366))) (($ (-410 (-569))) 80 (-2232 (|has| |#1| (-366)) (|has| |#1| (-1038 (-410 (-569))))))) (-3953 (($ $) 138 (|has| |#1| (-351))) (((-3 $ "failed") $) 41 (|has| |#1| (-149)))) (-2742 ((|#2| $) 43)) (-1991 (((-764)) 28)) (-3930 (((-1247 $)) 61)) (-1961 (((-121) $ $) 89 (|has| |#1| (-366)))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 111 (|has| |#1| (-366)))) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $) 130 (-2232 (-2206 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-764)) 128 (-2232 (-2206 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-1163)) 123 (-2206 (|has| |#1| (-896 (-1163))) (|has| |#1| (-366)))) (($ $ (-635 (-1163))) 122 (-2206 (|has| |#1| (-896 (-1163))) (|has| |#1| (-366)))) (($ $ (-1163) (-764)) 121 (-2206 (|has| |#1| (-896 (-1163))) (|has| |#1| (-366)))) (($ $ (-635 (-1163)) (-635 (-764))) 120 (-2206 (|has| |#1| (-896 (-1163))) (|has| |#1| (-366)))) (($ $ (-1 |#1| |#1|) (-764)) 119 (|has| |#1| (-366))) (($ $ (-1 |#1| |#1|)) 118 (|has| |#1| (-366)))) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 115 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 112 (|has| |#1| (-366)))) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37) (($ (-410 (-569)) $) 114 (|has| |#1| (-366))) (($ $ (-410 (-569))) 113 (|has| |#1| (-366))))) 
+(((-715 |#1| |#2|) (-1278) (-173) (-1222 |t#1|)) (T -715)) 
+((-1809 (*1 *1) (-12 (-4 *2 (-173)) (-4 *1 (-715 *2 *3)) (-4 *3 (-1222 *2)))) (-2745 (*1 *2) (-12 (-4 *1 (-715 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1222 *3)))) (-1774 (*1 *1 *2) (-12 (-4 *3 (-173)) (-4 *1 (-715 *3 *2)) (-4 *2 (-1222 *3)))) (-3817 (*1 *1 *2) (-12 (-4 *3 (-173)) (-4 *1 (-715 *3 *2)) (-4 *2 (-1222 *3)))) (-1769 (*1 *2 *1) (-12 (-4 *1 (-715 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1222 *3)))) (-1774 (*1 *1 *2) (|partial| -12 (-5 *2 (-410 *4)) (-4 *4 (-1222 *3)) (-4 *3 (-366)) (-4 *3 (-173)) (-4 *1 (-715 *3 *4)))) (-3497 (*1 *2 *3 *4) (-12 (-5 *3 (-1247 *1)) (-5 *4 (-1 *5 *5)) (-4 *5 (-366)) (-4 *1 (-715 *5 *6)) (-4 *5 (-173)) (-4 *6 (-1222 *5)) (-5 *2 (-680 *5))))) 
+(-13 (-412 |t#1| |t#2|) (-173) (-610 |t#2|) (-414 |t#1|) (-380 |t#1|) (-10 -8 (-15 -1809 ($)) (-15 -2745 (|t#2|)) (-15 -1774 ($ |t#2|)) (-15 -3817 ($ |t#2|)) (-15 -1769 (|t#2| $)) (IF (|has| |t#1| (-371)) (-6 (-371)) |noBranch|) (IF (|has| |t#1| (-366)) (PROGN (-6 (-366)) (-6 (-224 |t#1|)) (-15 -1774 ((-3 $ "failed") (-410 |t#2|))) (-15 -3497 ((-680 |t#1|) (-1247 $) (-1 |t#1| |t#1|)))) |noBranch|) (IF (|has| |t#1| (-351)) (-6 (-351)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-43 |#1|) . T) ((-43 $) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -2232 (|has| |#1| (-351)) (|has| |#1| (-149))) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) . T) ((-610 |#2|) . T) ((-224 |#1|) |has| |#1| (-366)) ((-226) -2232 (|has| |#1| (-351)) (-12 (|has| |#1| (-226)) (|has| |#1| (-366)))) ((-239) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-286) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-302) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-366) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-405) |has| |#1| (-351)) ((-371) -2232 (|has| |#1| (-371)) (|has| |#1| (-351))) ((-351) |has| |#1| (-351)) ((-373 |#1| |#2|) . T) ((-412 |#1| |#2|) . T) ((-380 |#1|) . T) ((-414 |#1|) . T) ((-454) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-559) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-638 (-410 (-569))) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-708 (-410 (-569))) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-708 |#1|) . T) ((-708 $) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-717) . T) ((-896 (-1163)) -12 (|has| |#1| (-366)) (|has| |#1| (-896 (-1163)))) ((-917) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-1038 (-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 |#1|) . T) ((-1054 (-410 (-569))) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-1054 |#1|) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1137) |has| |#1| (-351)) ((-1202) -2232 (|has| |#1| (-351)) (|has| |#1| (-366)))) 
+((-2820 (($) 14)) (-3428 (((-3 $ "failed") $) 16)) (-1407 (((-121) $) 13)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) 9)) (** (($ $ (-918)) NIL) (($ $ (-764)) 20))) 
+(((-716 |#1|) (-10 -8 (-15 -3428 ((-3 |#1| "failed") |#1|)) (-15 -2427 (|#1| |#1| (-764))) (-15 ** (|#1| |#1| (-764))) (-15 -1407 ((-121) |#1|)) (-15 -2820 (|#1|)) (-15 -2427 (|#1| |#1| (-918))) (-15 ** (|#1| |#1| (-918)))) (-717)) (T -716)) 
+NIL 
+(-10 -8 (-15 -3428 ((-3 |#1| "failed") |#1|)) (-15 -2427 (|#1| |#1| (-764))) (-15 ** (|#1| |#1| (-764))) (-15 -1407 ((-121) |#1|)) (-15 -2820 (|#1|)) (-15 -2427 (|#1| |#1| (-918))) (-15 ** (|#1| |#1| (-918)))) 
+((-2568 (((-121) $ $) 7)) (-2820 (($) 19 T CONST)) (-3428 (((-3 $ "failed") $) 15)) (-1407 (((-121) $) 18)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-2427 (($ $ (-918)) 12) (($ $ (-764)) 16)) (-1556 (($) 20 T CONST)) (-1668 (((-121) $ $) 6)) (** (($ $ (-918)) 13) (($ $ (-764)) 17)) (* (($ $ $) 14))) 
+(((-717) (-1278)) (T -717)) 
+((-1556 (*1 *1) (-4 *1 (-717))) (-2820 (*1 *1) (-4 *1 (-717))) (-1407 (*1 *2 *1) (-12 (-4 *1 (-717)) (-5 *2 (-121)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-717)) (-5 *2 (-764)))) (-2427 (*1 *1 *1 *2) (-12 (-4 *1 (-717)) (-5 *2 (-764)))) (-3428 (*1 *1 *1) (|partial| -4 *1 (-717)))) 
+(-13 (-1103) (-10 -8 (-15 (-1556) ($) -2043) (-15 -2820 ($) -2043) (-15 -1407 ((-121) $)) (-15 ** ($ $ (-764))) (-15 -2427 ($ $ (-764))) (-15 -3428 ((-3 $ "failed") $)))) 
+(((-105) . T) ((-609 (-851)) . T) ((-1103) . T) ((-1091) . T)) 
+((-3791 (((-2 (|:| -2478 (-421 |#2|)) (|:| |special| (-421 |#2|))) |#2| (-1 |#2| |#2|)) 38)) (-4493 (((-2 (|:| -2478 |#2|) (|:| |special| |#2|)) |#2| (-1 |#2| |#2|)) 12)) (-1865 ((|#2| (-410 |#2|) (-1 |#2| |#2|)) 13)) (-4157 (((-2 (|:| |poly| |#2|) (|:| -2478 (-410 |#2|)) (|:| |special| (-410 |#2|))) (-410 |#2|) (-1 |#2| |#2|)) 47))) 
+(((-718 |#1| |#2|) (-10 -7 (-15 -4493 ((-2 (|:| -2478 |#2|) (|:| |special| |#2|)) |#2| (-1 |#2| |#2|))) (-15 -3791 ((-2 (|:| -2478 (-421 |#2|)) (|:| |special| (-421 |#2|))) |#2| (-1 |#2| |#2|))) (-15 -1865 (|#2| (-410 |#2|) (-1 |#2| |#2|))) (-15 -4157 ((-2 (|:| |poly| |#2|) (|:| -2478 (-410 |#2|)) (|:| |special| (-410 |#2|))) (-410 |#2|) (-1 |#2| |#2|)))) (-366) (-1222 |#1|)) (T -718)) 
+((-4157 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |poly| *6) (|:| -2478 (-410 *6)) (|:| |special| (-410 *6)))) (-5 *1 (-718 *5 *6)) (-5 *3 (-410 *6)))) (-1865 (*1 *2 *3 *4) (-12 (-5 *3 (-410 *2)) (-5 *4 (-1 *2 *2)) (-4 *2 (-1222 *5)) (-5 *1 (-718 *5 *2)) (-4 *5 (-366)))) (-3791 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -2478 (-421 *3)) (|:| |special| (-421 *3)))) (-5 *1 (-718 *5 *3)))) (-4493 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -2478 *3) (|:| |special| *3))) (-5 *1 (-718 *5 *3))))) 
+(-10 -7 (-15 -4493 ((-2 (|:| -2478 |#2|) (|:| |special| |#2|)) |#2| (-1 |#2| |#2|))) (-15 -3791 ((-2 (|:| -2478 (-421 |#2|)) (|:| |special| (-421 |#2|))) |#2| (-1 |#2| |#2|))) (-15 -1865 (|#2| (-410 |#2|) (-1 |#2| |#2|))) (-15 -4157 ((-2 (|:| |poly| |#2|) (|:| -2478 (-410 |#2|)) (|:| |special| (-410 |#2|))) (-410 |#2|) (-1 |#2| |#2|)))) 
+((-3682 ((|#7| (-635 |#5|) |#6|) NIL)) (-1544 ((|#7| (-1 |#5| |#4|) |#6|) 26))) 
+(((-719 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -1544 (|#7| (-1 |#5| |#4|) |#6|)) (-15 -3682 (|#7| (-635 |#5|) |#6|))) (-843) (-789) (-789) (-1048) (-1048) (-951 |#4| |#2| |#1|) (-951 |#5| |#3| |#1|)) (T -719)) 
+((-3682 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *9)) (-4 *9 (-1048)) (-4 *5 (-843)) (-4 *6 (-789)) (-4 *8 (-1048)) (-4 *2 (-951 *9 *7 *5)) (-5 *1 (-719 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-789)) (-4 *4 (-951 *8 *6 *5)))) (-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *8)) (-4 *8 (-1048)) (-4 *9 (-1048)) (-4 *5 (-843)) (-4 *6 (-789)) (-4 *2 (-951 *9 *7 *5)) (-5 *1 (-719 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-789)) (-4 *4 (-951 *8 *6 *5))))) 
+(-10 -7 (-15 -1544 (|#7| (-1 |#5| |#4|) |#6|)) (-15 -3682 (|#7| (-635 |#5|) |#6|))) 
+((-1544 ((|#7| (-1 |#2| |#1|) |#6|) 28))) 
+(((-720 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -1544 (|#7| (-1 |#2| |#1|) |#6|))) (-843) (-843) (-789) (-789) (-1048) (-951 |#5| |#3| |#1|) (-951 |#5| |#4| |#2|)) (T -720)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-843)) (-4 *6 (-843)) (-4 *7 (-789)) (-4 *9 (-1048)) (-4 *2 (-951 *9 *8 *6)) (-5 *1 (-720 *5 *6 *7 *8 *9 *4 *2)) (-4 *8 (-789)) (-4 *4 (-951 *9 *7 *5))))) 
+(-10 -7 (-15 -1544 (|#7| (-1 |#2| |#1|) |#6|))) 
+((-1743 (((-421 |#4|) |#4|) 39))) 
+(((-721 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1743 ((-421 |#4|) |#4|))) (-789) (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163))))) (-302) (-951 (-954 |#3|) |#1| |#2|)) (T -721)) 
+((-1743 (*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-721 *4 *5 *6 *3)) (-4 *3 (-951 (-954 *6) *4 *5))))) 
+(-10 -7 (-15 -1743 ((-421 |#4|) |#4|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-853 |#1|)) $) NIL)) (-1739 (((-1159 $) $ (-853 |#1|)) NIL) (((-1159 |#2|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#2| (-559)))) (-3383 (($ $) NIL (|has| |#2| (-559)))) (-4354 (((-121) $) NIL (|has| |#2| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 (-853 |#1|))) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-2004 (($ $) NIL (|has| |#2| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#2| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1038 (-569)))) (((-3 (-853 |#1|) "failed") $) NIL)) (-2428 ((|#2| $) NIL) (((-410 (-569)) $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#2| (-1038 (-569)))) (((-853 |#1|) $) NIL)) (-3493 (($ $ $ (-853 |#1|)) NIL (|has| |#2| (-173)))) (-4020 (($ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL) (((-680 |#2|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#2| (-454))) (($ $ (-853 |#1|)) NIL (|has| |#2| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#2| (-905)))) (-1667 (($ $ |#2| (-535 (-853 |#1|)) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-853 |#1|) (-882 (-382))) (|has| |#2| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-853 |#1|) (-882 (-569))) (|has| |#2| (-882 (-569)))))) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-1768 (($ (-1159 |#2|) (-853 |#1|)) NIL) (($ (-1159 $) (-853 |#1|)) NIL)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#2| (-535 (-853 |#1|))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-853 |#1|)) NIL)) (-4002 (((-535 (-853 |#1|)) $) NIL) (((-764) $ (-853 |#1|)) NIL) (((-635 (-764)) $ (-635 (-853 |#1|))) NIL)) (-3291 (($ $ $) NIL (|has| |#2| (-843)))) (-1538 (($ $ $) NIL (|has| |#2| (-843)))) (-2658 (($ (-1 (-535 (-853 |#1|)) (-535 (-853 |#1|))) $) NIL)) (-1544 (($ (-1 |#2| |#2|) $) NIL)) (-1637 (((-3 (-853 |#1|) "failed") $) NIL)) (-1804 (($ $) NIL)) (-4012 ((|#2| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2776 (((-1145) $) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| (-853 |#1|)) (|:| -2356 (-764))) "failed") $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) NIL)) (-1801 ((|#2| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#2| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#2| (-905)))) (-2941 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-559)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-853 |#1|) |#2|) NIL) (($ $ (-635 (-853 |#1|)) (-635 |#2|)) NIL) (($ $ (-853 |#1|) $) NIL) (($ $ (-635 (-853 |#1|)) (-635 $)) NIL)) (-2087 (($ $ (-853 |#1|)) NIL (|has| |#2| (-173)))) (-3899 (($ $ (-853 |#1|)) NIL) (($ $ (-635 (-853 |#1|))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-2492 (((-535 (-853 |#1|)) $) NIL) (((-764) $ (-853 |#1|)) NIL) (((-635 (-764)) $ (-635 (-853 |#1|))) NIL)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| (-853 |#1|) (-610 (-888 (-382)))) (|has| |#2| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| (-853 |#1|) (-610 (-888 (-569)))) (|has| |#2| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| (-853 |#1|) (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-3298 ((|#2| $) NIL (|has| |#2| (-454))) (($ $ (-853 |#1|)) NIL (|has| |#2| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#2|) NIL) (($ (-853 |#1|)) NIL) (($ $) NIL (|has| |#2| (-559))) (($ (-410 (-569))) NIL (-2232 (|has| |#2| (-43 (-410 (-569)))) (|has| |#2| (-1038 (-410 (-569))))))) (-3382 (((-635 |#2|) $) NIL)) (-1653 ((|#2| $ (-535 (-853 |#1|))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#2| (-905))) (|has| |#2| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#2| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#2| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-853 |#1|)) NIL) (($ $ (-635 (-853 |#1|))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-1693 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1715 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#2| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#2| (-43 (-410 (-569))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
+(((-722 |#1| |#2|) (-951 |#2| (-535 (-853 |#1|)) (-853 |#1|)) (-635 (-1163)) (-1048)) (T -722)) 
+NIL 
+(-951 |#2| (-535 (-853 |#1|)) (-853 |#1|)) 
+((-3329 (((-2 (|:| -1498 (-954 |#3|)) (|:| -3637 (-954 |#3|))) |#4|) 13)) (-3277 ((|#4| |#4| |#2|) 30)) (-4203 ((|#4| (-410 (-954 |#3|)) |#2|) 63)) (-2629 ((|#4| (-1159 (-954 |#3|)) |#2|) 76)) (-4152 ((|#4| (-1159 |#4|) |#2|) 49)) (-2699 ((|#4| |#4| |#2|) 52)) (-1743 (((-421 |#4|) |#4|) 38))) 
+(((-723 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3329 ((-2 (|:| -1498 (-954 |#3|)) (|:| -3637 (-954 |#3|))) |#4|)) (-15 -2699 (|#4| |#4| |#2|)) (-15 -4152 (|#4| (-1159 |#4|) |#2|)) (-15 -3277 (|#4| |#4| |#2|)) (-15 -2629 (|#4| (-1159 (-954 |#3|)) |#2|)) (-15 -4203 (|#4| (-410 (-954 |#3|)) |#2|)) (-15 -1743 ((-421 |#4|) |#4|))) (-789) (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)))) (-559) (-951 (-410 (-954 |#3|)) |#1| |#2|)) (T -723)) 
+((-1743 (*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $))))) (-4 *6 (-559)) (-5 *2 (-421 *3)) (-5 *1 (-723 *4 *5 *6 *3)) (-4 *3 (-951 (-410 (-954 *6)) *4 *5)))) (-4203 (*1 *2 *3 *4) (-12 (-4 *6 (-559)) (-4 *2 (-951 *3 *5 *4)) (-5 *1 (-723 *5 *4 *6 *2)) (-5 *3 (-410 (-954 *6))) (-4 *5 (-789)) (-4 *4 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $))))))) (-2629 (*1 *2 *3 *4) (-12 (-5 *3 (-1159 (-954 *6))) (-4 *6 (-559)) (-4 *2 (-951 (-410 (-954 *6)) *5 *4)) (-5 *1 (-723 *5 *4 *6 *2)) (-4 *5 (-789)) (-4 *4 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $))))))) (-3277 (*1 *2 *2 *3) (-12 (-4 *4 (-789)) (-4 *3 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $))))) (-4 *5 (-559)) (-5 *1 (-723 *4 *3 *5 *2)) (-4 *2 (-951 (-410 (-954 *5)) *4 *3)))) (-4152 (*1 *2 *3 *4) (-12 (-5 *3 (-1159 *2)) (-4 *2 (-951 (-410 (-954 *6)) *5 *4)) (-5 *1 (-723 *5 *4 *6 *2)) (-4 *5 (-789)) (-4 *4 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $))))) (-4 *6 (-559)))) (-2699 (*1 *2 *2 *3) (-12 (-4 *4 (-789)) (-4 *3 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $))))) (-4 *5 (-559)) (-5 *1 (-723 *4 *3 *5 *2)) (-4 *2 (-951 (-410 (-954 *5)) *4 *3)))) (-3329 (*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $))))) (-4 *6 (-559)) (-5 *2 (-2 (|:| -1498 (-954 *6)) (|:| -3637 (-954 *6)))) (-5 *1 (-723 *4 *5 *6 *3)) (-4 *3 (-951 (-410 (-954 *6)) *4 *5))))) 
+(-10 -7 (-15 -3329 ((-2 (|:| -1498 (-954 |#3|)) (|:| -3637 (-954 |#3|))) |#4|)) (-15 -2699 (|#4| |#4| |#2|)) (-15 -4152 (|#4| (-1159 |#4|) |#2|)) (-15 -3277 (|#4| |#4| |#2|)) (-15 -2629 (|#4| (-1159 (-954 |#3|)) |#2|)) (-15 -4203 (|#4| (-410 (-954 |#3|)) |#2|)) (-15 -1743 ((-421 |#4|) |#4|))) 
+((-1743 (((-421 |#4|) |#4|) 51))) 
+(((-724 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1743 ((-421 |#4|) |#4|))) (-789) (-843) (-13 (-302) (-151)) (-951 (-410 |#3|) |#1| |#2|)) (T -724)) 
+((-1743 (*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-724 *4 *5 *6 *3)) (-4 *3 (-951 (-410 *6) *4 *5))))) 
+(-10 -7 (-15 -1743 ((-421 |#4|) |#4|))) 
+((-1544 (((-726 |#2| |#3|) (-1 |#2| |#1|) (-726 |#1| |#3|)) 18))) 
+(((-725 |#1| |#2| |#3|) (-10 -7 (-15 -1544 ((-726 |#2| |#3|) (-1 |#2| |#1|) (-726 |#1| |#3|)))) (-1048) (-1048) (-717)) (T -725)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-726 *5 *7)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-4 *7 (-717)) (-5 *2 (-726 *6 *7)) (-5 *1 (-725 *5 *6 *7))))) 
+(-10 -7 (-15 -1544 ((-726 |#2| |#3|) (-1 |#2| |#1|) (-726 |#1| |#3|)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 26)) (-1403 (((-635 (-2 (|:| -4140 |#1|) (|:| -4145 |#2|))) $) 27)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2085 (((-764)) 20 (-12 (|has| |#2| (-371)) (|has| |#1| (-371))))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#2| "failed") $) 55) (((-3 |#1| "failed") $) 58)) (-2428 ((|#2| $) NIL) ((|#1| $) NIL)) (-4020 (($ $) 75 (|has| |#2| (-843)))) (-3428 (((-3 $ "failed") $) 62)) (-4327 (($) 33 (-12 (|has| |#2| (-371)) (|has| |#1| (-371))))) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) 53)) (-2086 (((-635 $) $) 37)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| |#2|) 16)) (-1544 (($ (-1 |#1| |#1|) $) 52)) (-2083 (((-918) $) 30 (-12 (|has| |#2| (-371)) (|has| |#1| (-371))))) (-1804 ((|#2| $) 74 (|has| |#2| (-843)))) (-4012 ((|#1| $) 73 (|has| |#2| (-843)))) (-2776 (((-1145) $) NIL)) (-3998 (($ (-918)) 25 (-12 (|has| |#2| (-371)) (|has| |#1| (-371))))) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 72) (($ (-569)) 44) (($ |#2|) 40) (($ |#1|) 41) (($ (-635 (-2 (|:| -4140 |#1|) (|:| -4145 |#2|)))) 11)) (-3382 (((-635 |#1|) $) 39)) (-1653 ((|#1| $ |#2|) 83)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 12 T CONST)) (-1556 (($) 31 T CONST)) (-1668 (((-121) $ $) 76)) (-1711 (($ $) 46) (($ $ $) NIL)) (-1707 (($ $ $) 24)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 50) (($ $ $) 85) (($ |#1| $) 48 (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))))) 
+(((-726 |#1| |#2|) (-13 (-1048) (-1038 |#2|) (-1038 |#1|) (-10 -8 (-15 -1763 ($ |#1| |#2|)) (-15 -1653 (|#1| $ |#2|)) (-15 -2185 ($ (-635 (-2 (|:| -4140 |#1|) (|:| -4145 |#2|))))) (-15 -1403 ((-635 (-2 (|:| -4140 |#1|) (|:| -4145 |#2|))) $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (-15 -3523 ((-121) $)) (-15 -3382 ((-635 |#1|) $)) (-15 -2086 ((-635 $) $)) (-15 -4244 ((-764) $)) (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (IF (|has| |#1| (-371)) (IF (|has| |#2| (-371)) (-6 (-371)) |noBranch|) |noBranch|) (IF (|has| |#2| (-843)) (PROGN (-15 -1804 (|#2| $)) (-15 -4012 (|#1| $)) (-15 -4020 ($ $))) |noBranch|))) (-1048) (-717)) (T -726)) 
+((-1763 (*1 *1 *2 *3) (-12 (-5 *1 (-726 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-717)))) (-1653 (*1 *2 *1 *3) (-12 (-4 *2 (-1048)) (-5 *1 (-726 *2 *3)) (-4 *3 (-717)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -4140 *3) (|:| -4145 *4)))) (-4 *3 (-1048)) (-4 *4 (-717)) (-5 *1 (-726 *3 *4)))) (-1403 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -4140 *3) (|:| -4145 *4)))) (-5 *1 (-726 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-717)))) (-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-726 *3 *4)) (-4 *4 (-717)))) (-3523 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-726 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-717)))) (-3382 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-726 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-717)))) (-2086 (*1 *2 *1) (-12 (-5 *2 (-635 (-726 *3 *4))) (-5 *1 (-726 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-717)))) (-4244 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-726 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-717)))) (-1804 (*1 *2 *1) (-12 (-4 *2 (-717)) (-4 *2 (-843)) (-5 *1 (-726 *3 *2)) (-4 *3 (-1048)))) (-4012 (*1 *2 *1) (-12 (-4 *2 (-1048)) (-5 *1 (-726 *2 *3)) (-4 *3 (-843)) (-4 *3 (-717)))) (-4020 (*1 *1 *1) (-12 (-5 *1 (-726 *2 *3)) (-4 *3 (-843)) (-4 *2 (-1048)) (-4 *3 (-717))))) 
+(-13 (-1048) (-1038 |#2|) (-1038 |#1|) (-10 -8 (-15 -1763 ($ |#1| |#2|)) (-15 -1653 (|#1| $ |#2|)) (-15 -2185 ($ (-635 (-2 (|:| -4140 |#1|) (|:| -4145 |#2|))))) (-15 -1403 ((-635 (-2 (|:| -4140 |#1|) (|:| -4145 |#2|))) $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (-15 -3523 ((-121) $)) (-15 -3382 ((-635 |#1|) $)) (-15 -2086 ((-635 $) $)) (-15 -4244 ((-764) $)) (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (IF (|has| |#1| (-371)) (IF (|has| |#2| (-371)) (-6 (-371)) |noBranch|) |noBranch|) (IF (|has| |#2| (-843)) (PROGN (-15 -1804 (|#2| $)) (-15 -4012 (|#1| $)) (-15 -4020 ($ $))) |noBranch|))) 
+((-2568 (((-121) $ $) 18)) (-1752 (($ |#1| $) 72) (($ $ |#1|) 71) (($ $ $) 70)) (-1981 (($ $ $) 68)) (-2358 (((-121) $ $) 69)) (-1691 (((-121) $ (-764)) 8)) (-2195 (($ (-635 |#1|)) 64) (($) 63)) (-4216 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-3384 (($ $) 58)) (-2033 (($ $) 55 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4454 (($ |#1| $) 44 (|has| $ (-6 -4535))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4535)))) (-4347 (($ |#1| $) 54 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4535)))) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22)) (-2652 (($ $ $) 65)) (-3889 ((|#1| $) 36)) (-3172 (($ |#1| $) 37) (($ |#1| $ (-764)) 59)) (-3360 (((-1109) $) 21)) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-1856 ((|#1| $) 38)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-3271 (((-635 (-2 (|:| -3782 |#1|) (|:| -2846 (-764)))) $) 57)) (-3290 (($ $ |#1|) 67) (($ $ $) 66)) (-2566 (($) 46) (($ (-635 |#1|)) 45)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-3817 (((-542) $) 56 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 47)) (-2185 (((-851) $) 20)) (-1959 (($ (-635 |#1|)) 62) (($) 61)) (-2793 (($ (-635 |#1|)) 39)) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19)) (-1678 (((-121) $ $) 60)) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-727 |#1|) (-1278) (-1091)) (T -727)) 
+NIL 
+(-13 (-685 |t#1|) (-1088 |t#1|)) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) . T) ((-609 (-851)) . T) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-228 |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-685 |#1|) . T) ((-1088 |#1|) . T) ((-1091) . T) ((-1197) . T)) 
+((-2568 (((-121) $ $) NIL)) (-1752 (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ $ $) 77)) (-1981 (($ $ $) 80)) (-2358 (((-121) $ $) 83)) (-1691 (((-121) $ (-764)) NIL)) (-2195 (($ (-635 |#1|)) 24) (($) 15)) (-4216 (($ (-1 (-121) |#1|) $) 71 (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-3384 (($ $) 72)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4454 (($ |#1| $) 61 (|has| $ (-6 -4535))) (($ (-1 (-121) |#1|) $) 64 (|has| $ (-6 -4535))) (($ |#1| $ (-569)) 62) (($ (-1 (-121) |#1|) $ (-569)) 65)) (-4347 (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (($ |#1| $ (-569)) 67) (($ (-1 (-121) |#1|) $ (-569)) 68)) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535)))) (-3470 (((-635 |#1|) $) 32 (|has| $ (-6 -4535)))) (-1304 (($) 13) (($ |#1|) 26) (($ (-635 |#1|)) 21)) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#1|) $) 38)) (-3660 (((-121) |#1| $) 57 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1853 (($ (-1 |#1| |#1|) $) 75 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 76)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-2652 (($ $ $) 78)) (-3889 ((|#1| $) 54)) (-3172 (($ |#1| $) 55) (($ |#1| $ (-764)) 73)) (-3360 (((-1109) $) NIL)) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-1856 ((|#1| $) 53)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 49)) (-1296 (($) 12)) (-3271 (((-635 (-2 (|:| -3782 |#1|) (|:| -2846 (-764)))) $) 47)) (-3290 (($ $ |#1|) NIL) (($ $ $) 79)) (-2566 (($) 14) (($ (-635 |#1|)) 23)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) 60 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) 66)) (-3817 (((-542) $) 36 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 20)) (-2185 (((-851) $) 44)) (-1959 (($ (-635 |#1|)) 25) (($) 16)) (-2793 (($ (-635 |#1|)) 22)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 81)) (-1678 (((-121) $ $) 82)) (-4168 (((-764) $) 59 (|has| $ (-6 -4535))))) 
+(((-728 |#1|) (-13 (-727 |#1|) (-10 -8 (-6 -4535) (-6 -4536) (-15 -1304 ($)) (-15 -1304 ($ |#1|)) (-15 -1304 ($ (-635 |#1|))) (-15 -4259 ((-635 |#1|) $)) (-15 -4347 ($ |#1| $ (-569))) (-15 -4347 ($ (-1 (-121) |#1|) $ (-569))) (-15 -4454 ($ |#1| $ (-569))) (-15 -4454 ($ (-1 (-121) |#1|) $ (-569))))) (-1091)) (T -728)) 
+((-1304 (*1 *1) (-12 (-5 *1 (-728 *2)) (-4 *2 (-1091)))) (-1304 (*1 *1 *2) (-12 (-5 *1 (-728 *2)) (-4 *2 (-1091)))) (-1304 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-728 *3)))) (-4259 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-728 *3)) (-4 *3 (-1091)))) (-4347 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-728 *2)) (-4 *2 (-1091)))) (-4347 (*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-121) *4)) (-5 *3 (-569)) (-4 *4 (-1091)) (-5 *1 (-728 *4)))) (-4454 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-728 *2)) (-4 *2 (-1091)))) (-4454 (*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-121) *4)) (-5 *3 (-569)) (-4 *4 (-1091)) (-5 *1 (-728 *4))))) 
+(-13 (-727 |#1|) (-10 -8 (-6 -4535) (-6 -4536) (-15 -1304 ($)) (-15 -1304 ($ |#1|)) (-15 -1304 ($ (-635 |#1|))) (-15 -4259 ((-635 |#1|) $)) (-15 -4347 ($ |#1| $ (-569))) (-15 -4347 ($ (-1 (-121) |#1|) $ (-569))) (-15 -4454 ($ |#1| $ (-569))) (-15 -4454 ($ (-1 (-121) |#1|) $ (-569))))) 
+((-2898 (((-1252) (-1145)) 8))) 
+(((-729) (-10 -7 (-15 -2898 ((-1252) (-1145))))) (T -729)) 
+((-2898 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-729))))) 
+(-10 -7 (-15 -2898 ((-1252) (-1145)))) 
+((-3224 (((-635 |#1|) (-635 |#1|) (-635 |#1|)) 10))) 
+(((-730 |#1|) (-10 -7 (-15 -3224 ((-635 |#1|) (-635 |#1|) (-635 |#1|)))) (-843)) (T -730)) 
+((-3224 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-730 *3))))) 
+(-10 -7 (-15 -3224 ((-635 |#1|) (-635 |#1|) (-635 |#1|)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1773 (((-635 |#2|) $) 134)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 127 (|has| |#1| (-559)))) (-3383 (($ $) 126 (|has| |#1| (-559)))) (-4354 (((-121) $) 124 (|has| |#1| (-559)))) (-1753 (($ $) 83 (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) 66 (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) 18)) (-2454 (($ $) 65 (|has| |#1| (-43 (-410 (-569)))))) (-1744 (($ $) 82 (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) 67 (|has| |#1| (-43 (-410 (-569)))))) (-1760 (($ $) 81 (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) 68 (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) 16 T CONST)) (-4020 (($ $) 118)) (-3428 (((-3 $ "failed") $) 33)) (-2088 (((-954 |#1|) $ (-764)) 96) (((-954 |#1|) $ (-764) (-764)) 95)) (-2777 (((-121) $) 135)) (-2445 (($) 93 (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-764) $ |#2|) 98) (((-764) $ |#2| (-764)) 97)) (-1407 (((-121) $) 30)) (-4344 (($ $ (-569)) 64 (|has| |#1| (-43 (-410 (-569)))))) (-3523 (((-121) $) 116)) (-1763 (($ $ (-635 |#2|) (-635 (-535 |#2|))) 133) (($ $ |#2| (-535 |#2|)) 132) (($ |#1| (-535 |#2|)) 117) (($ $ |#2| (-764)) 100) (($ $ (-635 |#2|) (-635 (-764))) 99)) (-1544 (($ (-1 |#1| |#1|) $) 115)) (-4450 (($ $) 90 (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) 113)) (-4012 ((|#1| $) 112)) (-2776 (((-1145) $) 9)) (-2565 (($ $ |#2|) 94 (|has| |#1| (-43 (-410 (-569)))))) (-3360 (((-1109) $) 10)) (-3499 (($ $ (-764)) 101)) (-2941 (((-3 $ "failed") $ $) 128 (|has| |#1| (-559)))) (-2436 (($ $) 91 (|has| |#1| (-43 (-410 (-569)))))) (-1468 (($ $ |#2| $) 109) (($ $ (-635 |#2|) (-635 $)) 108) (($ $ (-635 (-289 $))) 107) (($ $ (-289 $)) 106) (($ $ $ $) 105) (($ $ (-635 $) (-635 $)) 104)) (-3899 (($ $ |#2|) 41) (($ $ (-635 |#2|)) 40) (($ $ |#2| (-764)) 39) (($ $ (-635 |#2|) (-635 (-764))) 38)) (-2492 (((-535 |#2|) $) 114)) (-1764 (($ $) 80 (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) 69 (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) 79 (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) 70 (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) 78 (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) 71 (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) 136)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 131 (|has| |#1| (-173))) (($ $) 129 (|has| |#1| (-559))) (($ (-410 (-569))) 121 (|has| |#1| (-43 (-410 (-569)))))) (-1653 ((|#1| $ (-535 |#2|)) 119) (($ $ |#2| (-764)) 103) (($ $ (-635 |#2|) (-635 (-764))) 102)) (-3953 (((-3 $ "failed") $) 130 (|has| |#1| (-149)))) (-1991 (((-764)) 28)) (-1779 (($ $) 89 (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) 77 (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) 125 (|has| |#1| (-559)))) (-1770 (($ $) 88 (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) 76 (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) 87 (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) 75 (|has| |#1| (-43 (-410 (-569)))))) (-2430 (($ $) 86 (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) 74 (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) 85 (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) 73 (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) 84 (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) 72 (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ |#2|) 37) (($ $ (-635 |#2|)) 36) (($ $ |#2| (-764)) 35) (($ $ (-635 |#2|) (-635 (-764))) 34)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#1|) 120 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ $) 92 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 63 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 123 (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) 122 (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 111) (($ $ |#1|) 110))) 
+(((-731 |#1| |#2|) (-1278) (-1048) (-843)) (T -731)) 
+((-1653 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-731 *4 *2)) (-4 *4 (-1048)) (-4 *2 (-843)))) (-1653 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *5)) (-5 *3 (-635 (-764))) (-4 *1 (-731 *4 *5)) (-4 *4 (-1048)) (-4 *5 (-843)))) (-3499 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-731 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-843)))) (-1763 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-731 *4 *2)) (-4 *4 (-1048)) (-4 *2 (-843)))) (-1763 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *5)) (-5 *3 (-635 (-764))) (-4 *1 (-731 *4 *5)) (-4 *4 (-1048)) (-4 *5 (-843)))) (-2558 (*1 *2 *1 *3) (-12 (-4 *1 (-731 *4 *3)) (-4 *4 (-1048)) (-4 *3 (-843)) (-5 *2 (-764)))) (-2558 (*1 *2 *1 *3 *2) (-12 (-5 *2 (-764)) (-4 *1 (-731 *4 *3)) (-4 *4 (-1048)) (-4 *3 (-843)))) (-2088 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-731 *4 *5)) (-4 *4 (-1048)) (-4 *5 (-843)) (-5 *2 (-954 *4)))) (-2088 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-764)) (-4 *1 (-731 *4 *5)) (-4 *4 (-1048)) (-4 *5 (-843)) (-5 *2 (-954 *4)))) (-2565 (*1 *1 *1 *2) (-12 (-4 *1 (-731 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-843)) (-4 *3 (-43 (-410 (-569))))))) 
+(-13 (-896 |t#2|) (-975 |t#1| (-535 |t#2|) |t#2|) (-524 |t#2| $) (-304 $) (-10 -8 (-15 -1653 ($ $ |t#2| (-764))) (-15 -1653 ($ $ (-635 |t#2|) (-635 (-764)))) (-15 -3499 ($ $ (-764))) (-15 -1763 ($ $ |t#2| (-764))) (-15 -1763 ($ $ (-635 |t#2|) (-635 (-764)))) (-15 -2558 ((-764) $ |t#2|)) (-15 -2558 ((-764) $ |t#2| (-764))) (-15 -2088 ((-954 |t#1|) $ (-764))) (-15 -2088 ((-954 |t#1|) $ (-764) (-764))) (IF (|has| |t#1| (-43 (-410 (-569)))) (PROGN (-15 -2565 ($ $ |t#2|)) (-6 (-1003)) (-6 (-1183))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| (-535 |#2|)) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-40) |has| |#1| (-43 (-410 (-569)))) ((-98) |has| |#1| (-43 (-410 (-569)))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-280) |has| |#1| (-43 (-410 (-569)))) ((-286) |has| |#1| (-559)) ((-304 $) . T) ((-503) |has| |#1| (-43 (-410 (-569)))) ((-524 |#2| $) . T) ((-524 $ $) . T) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-708 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) |has| |#1| (-559)) ((-717) . T) ((-896 |#2|) . T) ((-975 |#1| (-535 |#2|) |#2|) . T) ((-1003) |has| |#1| (-43 (-410 (-569)))) ((-1054 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1183) |has| |#1| (-43 (-410 (-569)))) ((-1186) |has| |#1| (-43 (-410 (-569))))) 
+((-1743 (((-421 (-1159 |#4|)) (-1159 |#4|)) 28) (((-421 |#4|) |#4|) 24))) 
+(((-732 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1743 ((-421 |#4|) |#4|)) (-15 -1743 ((-421 (-1159 |#4|)) (-1159 |#4|)))) (-843) (-789) (-13 (-302) (-151)) (-951 |#3| |#2| |#1|)) (T -732)) 
+((-1743 (*1 *2 *3) (-12 (-4 *4 (-843)) (-4 *5 (-789)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-951 *6 *5 *4)) (-5 *2 (-421 (-1159 *7))) (-5 *1 (-732 *4 *5 *6 *7)) (-5 *3 (-1159 *7)))) (-1743 (*1 *2 *3) (-12 (-4 *4 (-843)) (-4 *5 (-789)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-732 *4 *5 *6 *3)) (-4 *3 (-951 *6 *5 *4))))) 
+(-10 -7 (-15 -1743 ((-421 |#4|) |#4|)) (-15 -1743 ((-421 (-1159 |#4|)) (-1159 |#4|)))) 
+((-2864 (((-421 |#4|) |#4| |#2|) 116)) (-3900 (((-421 |#4|) |#4|) NIL)) (-2446 (((-421 (-1159 |#4|)) (-1159 |#4|)) 107) (((-421 |#4|) |#4|) 38)) (-2583 (((-2 (|:| |unitPart| |#4|) (|:| |suPart| (-635 (-2 (|:| -1743 (-1159 |#4|)) (|:| -2356 (-569)))))) (-1159 |#4|) (-635 |#2|) (-635 (-635 |#3|))) 65)) (-4383 (((-1159 |#3|) (-1159 |#3|) (-569)) 133)) (-4098 (((-635 (-764)) (-1159 |#4|) (-635 |#2|) (-764)) 58)) (-1769 (((-3 (-635 (-1159 |#4|)) "failed") (-1159 |#4|) (-1159 |#3|) (-1159 |#3|) |#4| (-635 |#2|) (-635 (-764)) (-635 |#3|)) 62)) (-1713 (((-2 (|:| |upol| (-1159 |#3|)) (|:| |Lval| (-635 |#3|)) (|:| |Lfact| (-635 (-2 (|:| -1743 (-1159 |#3|)) (|:| -2356 (-569))))) (|:| |ctpol| |#3|)) (-1159 |#4|) (-635 |#2|) (-635 (-635 |#3|))) 22)) (-3829 (((-2 (|:| -3698 (-1159 |#4|)) (|:| |polval| (-1159 |#3|))) (-1159 |#4|) (-1159 |#3|) (-569)) 54)) (-1297 (((-569) (-635 (-2 (|:| -1743 (-1159 |#3|)) (|:| -2356 (-569))))) 130)) (-2272 ((|#4| (-569) (-421 |#4|)) 55)) (-4506 (((-121) (-635 (-2 (|:| -1743 (-1159 |#3|)) (|:| -2356 (-569)))) (-635 (-2 (|:| -1743 (-1159 |#3|)) (|:| -2356 (-569))))) NIL))) 
+(((-733 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2446 ((-421 |#4|) |#4|)) (-15 -2446 ((-421 (-1159 |#4|)) (-1159 |#4|))) (-15 -3900 ((-421 |#4|) |#4|)) (-15 -1297 ((-569) (-635 (-2 (|:| -1743 (-1159 |#3|)) (|:| -2356 (-569)))))) (-15 -2864 ((-421 |#4|) |#4| |#2|)) (-15 -3829 ((-2 (|:| -3698 (-1159 |#4|)) (|:| |polval| (-1159 |#3|))) (-1159 |#4|) (-1159 |#3|) (-569))) (-15 -2583 ((-2 (|:| |unitPart| |#4|) (|:| |suPart| (-635 (-2 (|:| -1743 (-1159 |#4|)) (|:| -2356 (-569)))))) (-1159 |#4|) (-635 |#2|) (-635 (-635 |#3|)))) (-15 -1713 ((-2 (|:| |upol| (-1159 |#3|)) (|:| |Lval| (-635 |#3|)) (|:| |Lfact| (-635 (-2 (|:| -1743 (-1159 |#3|)) (|:| -2356 (-569))))) (|:| |ctpol| |#3|)) (-1159 |#4|) (-635 |#2|) (-635 (-635 |#3|)))) (-15 -2272 (|#4| (-569) (-421 |#4|))) (-15 -4506 ((-121) (-635 (-2 (|:| -1743 (-1159 |#3|)) (|:| -2356 (-569)))) (-635 (-2 (|:| -1743 (-1159 |#3|)) (|:| -2356 (-569)))))) (-15 -1769 ((-3 (-635 (-1159 |#4|)) "failed") (-1159 |#4|) (-1159 |#3|) (-1159 |#3|) |#4| (-635 |#2|) (-635 (-764)) (-635 |#3|))) (-15 -4098 ((-635 (-764)) (-1159 |#4|) (-635 |#2|) (-764))) (-15 -4383 ((-1159 |#3|) (-1159 |#3|) (-569)))) (-789) (-843) (-302) (-951 |#3| |#1| |#2|)) (T -733)) 
+((-4383 (*1 *2 *2 *3) (-12 (-5 *2 (-1159 *6)) (-5 *3 (-569)) (-4 *6 (-302)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-733 *4 *5 *6 *7)) (-4 *7 (-951 *6 *4 *5)))) (-4098 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1159 *9)) (-5 *4 (-635 *7)) (-4 *7 (-843)) (-4 *9 (-951 *8 *6 *7)) (-4 *6 (-789)) (-4 *8 (-302)) (-5 *2 (-635 (-764))) (-5 *1 (-733 *6 *7 *8 *9)) (-5 *5 (-764)))) (-1769 (*1 *2 *3 *4 *4 *5 *6 *7 *8) (|partial| -12 (-5 *4 (-1159 *11)) (-5 *6 (-635 *10)) (-5 *7 (-635 (-764))) (-5 *8 (-635 *11)) (-4 *10 (-843)) (-4 *11 (-302)) (-4 *9 (-789)) (-4 *5 (-951 *11 *9 *10)) (-5 *2 (-635 (-1159 *5))) (-5 *1 (-733 *9 *10 *11 *5)) (-5 *3 (-1159 *5)))) (-4506 (*1 *2 *3 *3) (-12 (-5 *3 (-635 (-2 (|:| -1743 (-1159 *6)) (|:| -2356 (-569))))) (-4 *6 (-302)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-733 *4 *5 *6 *7)) (-4 *7 (-951 *6 *4 *5)))) (-2272 (*1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-421 *2)) (-4 *2 (-951 *7 *5 *6)) (-5 *1 (-733 *5 *6 *7 *2)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-302)))) (-1713 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1159 *9)) (-5 *4 (-635 *7)) (-5 *5 (-635 (-635 *8))) (-4 *7 (-843)) (-4 *8 (-302)) (-4 *9 (-951 *8 *6 *7)) (-4 *6 (-789)) (-5 *2 (-2 (|:| |upol| (-1159 *8)) (|:| |Lval| (-635 *8)) (|:| |Lfact| (-635 (-2 (|:| -1743 (-1159 *8)) (|:| -2356 (-569))))) (|:| |ctpol| *8))) (-5 *1 (-733 *6 *7 *8 *9)))) (-2583 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 *7)) (-5 *5 (-635 (-635 *8))) (-4 *7 (-843)) (-4 *8 (-302)) (-4 *6 (-789)) (-4 *9 (-951 *8 *6 *7)) (-5 *2 (-2 (|:| |unitPart| *9) (|:| |suPart| (-635 (-2 (|:| -1743 (-1159 *9)) (|:| -2356 (-569))))))) (-5 *1 (-733 *6 *7 *8 *9)) (-5 *3 (-1159 *9)))) (-3829 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-302)) (-4 *9 (-951 *8 *6 *7)) (-5 *2 (-2 (|:| -3698 (-1159 *9)) (|:| |polval| (-1159 *8)))) (-5 *1 (-733 *6 *7 *8 *9)) (-5 *3 (-1159 *9)) (-5 *4 (-1159 *8)))) (-2864 (*1 *2 *3 *4) (-12 (-4 *5 (-789)) (-4 *4 (-843)) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-733 *5 *4 *6 *3)) (-4 *3 (-951 *6 *5 *4)))) (-1297 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -1743 (-1159 *6)) (|:| -2356 (-569))))) (-4 *6 (-302)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-569)) (-5 *1 (-733 *4 *5 *6 *7)) (-4 *7 (-951 *6 *4 *5)))) (-3900 (*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-733 *4 *5 *6 *3)) (-4 *3 (-951 *6 *4 *5)))) (-2446 (*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-421 (-1159 *7))) (-5 *1 (-733 *4 *5 *6 *7)) (-5 *3 (-1159 *7)))) (-2446 (*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-733 *4 *5 *6 *3)) (-4 *3 (-951 *6 *4 *5))))) 
+(-10 -7 (-15 -2446 ((-421 |#4|) |#4|)) (-15 -2446 ((-421 (-1159 |#4|)) (-1159 |#4|))) (-15 -3900 ((-421 |#4|) |#4|)) (-15 -1297 ((-569) (-635 (-2 (|:| -1743 (-1159 |#3|)) (|:| -2356 (-569)))))) (-15 -2864 ((-421 |#4|) |#4| |#2|)) (-15 -3829 ((-2 (|:| -3698 (-1159 |#4|)) (|:| |polval| (-1159 |#3|))) (-1159 |#4|) (-1159 |#3|) (-569))) (-15 -2583 ((-2 (|:| |unitPart| |#4|) (|:| |suPart| (-635 (-2 (|:| -1743 (-1159 |#4|)) (|:| -2356 (-569)))))) (-1159 |#4|) (-635 |#2|) (-635 (-635 |#3|)))) (-15 -1713 ((-2 (|:| |upol| (-1159 |#3|)) (|:| |Lval| (-635 |#3|)) (|:| |Lfact| (-635 (-2 (|:| -1743 (-1159 |#3|)) (|:| -2356 (-569))))) (|:| |ctpol| |#3|)) (-1159 |#4|) (-635 |#2|) (-635 (-635 |#3|)))) (-15 -2272 (|#4| (-569) (-421 |#4|))) (-15 -4506 ((-121) (-635 (-2 (|:| -1743 (-1159 |#3|)) (|:| -2356 (-569)))) (-635 (-2 (|:| -1743 (-1159 |#3|)) (|:| -2356 (-569)))))) (-15 -1769 ((-3 (-635 (-1159 |#4|)) "failed") (-1159 |#4|) (-1159 |#3|) (-1159 |#3|) |#4| (-635 |#2|) (-635 (-764)) (-635 |#3|))) (-15 -4098 ((-635 (-764)) (-1159 |#4|) (-635 |#2|) (-764))) (-15 -4383 ((-1159 |#3|) (-1159 |#3|) (-569)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-1163)) $) NIL)) (-1739 (((-410 (-1159 $)) $ (-608 $)) NIL (|has| |#2| (-559)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-4003 (((-635 (-608 $)) $) NIL)) (-3210 (($ $ (-1083 $)) NIL) (($ $ (-1163)) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2773 (($ $ (-289 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL)) (-2004 (($ $) NIL (|has| |#2| (-559)))) (-2446 (((-421 $) $) NIL (|has| |#2| (-559)))) (-3934 (((-121) $ $) NIL (|has| |#2| (-559)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-608 $) "failed") $) NIL) (((-3 (-1163) "failed") $) NIL) (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-954 |#2|)) "failed") $) NIL (|has| |#2| (-559))) (((-3 (-954 |#2|) "failed") $) NIL (|has| |#2| (-1048))) (((-3 (-735 |#1| |#2|) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (-2232 (-12 (|has| |#2| (-559)) (|has| |#2| (-1038 (-569)))) (|has| |#2| (-1038 (-410 (-569))))))) (-2428 (((-608 $) $) NIL) (((-1163) $) NIL) ((|#2| $) NIL) (((-410 (-954 |#2|)) $) 20 (|has| |#2| (-559))) (((-954 |#2|) $) 26 (|has| |#2| (-1048))) (((-735 |#1| |#2|) $) 27) (((-569) $) NIL) (((-410 (-735 |#1| |#2|)) $) 25) (((-410 (-569)) $) NIL (-2232 (-12 (|has| |#2| (-559)) (|has| |#2| (-1038 (-569)))) (|has| |#2| (-1038 (-410 (-569))))))) (-2506 (($ $ $) NIL (|has| |#2| (-559)))) (-1696 (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL (|has| |#2| (-1048))) (((-680 |#2|) (-680 $)) NIL (|has| |#2| (-1048))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048)))) (((-680 (-569)) (-680 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048))))) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL (|has| |#2| (-559)))) (-1592 (($ $ (-1083 $)) NIL) (($ $ (-1163)) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#2| (-559)))) (-3726 (((-121) $) NIL (|has| |#2| (-559)))) (-2381 (($ $ $) NIL)) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (|has| |#2| (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (|has| |#2| (-882 (-382))))) (-2337 (($ $) NIL) (($ (-635 $)) NIL)) (-3431 (((-635 (-123)) $) NIL)) (-2265 (((-123) (-123)) NIL)) (-1407 (((-121) $) NIL)) (-1931 (((-121) $) NIL (|has| $ (-1038 (-569))))) (-4052 (($ $) NIL)) (-4116 (((-1114 |#2| (-608 $)) $) NIL (|has| |#2| (-1048)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-559)))) (-4080 (((-1159 $) (-608 $)) NIL (|has| $ (-1048)))) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1544 (($ (-1 $ $) (-608 $)) NIL)) (-2359 (((-3 (-608 $) "failed") $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#2| (-559))) (($ $ $) NIL (|has| |#2| (-559)))) (-2776 (((-1145) $) NIL)) (-1735 (((-635 (-608 $)) $) NIL)) (-1777 (($ (-123) $) NIL) (($ (-123) (-635 $)) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL (|has| |#2| (-1103)))) (-2848 (((-3 (-2 (|:| |val| $) (|:| -2356 (-569))) "failed") $) NIL (|has| |#2| (-1048)))) (-3091 (((-3 (-635 $) "failed") $) NIL (|has| |#2| (-25)))) (-1806 (((-3 (-2 (|:| -4140 (-569)) (|:| |var| (-608 $))) "failed") $) NIL (|has| |#2| (-25)))) (-1874 (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $) NIL (|has| |#2| (-1103))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $ (-123)) NIL (|has| |#2| (-1048))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $ (-1163)) NIL (|has| |#2| (-1048)))) (-4029 (((-121) $ (-123)) NIL) (((-121) $ (-1163)) NIL)) (-1795 (($ $) NIL (-2232 (|has| |#2| (-479)) (|has| |#2| (-559))))) (-2626 (((-764) $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) NIL)) (-1801 ((|#2| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#2| (-559)))) (-2714 (($ (-635 $)) NIL (|has| |#2| (-559))) (($ $ $) NIL (|has| |#2| (-559)))) (-1452 (((-121) $ $) NIL) (((-121) $ (-1163)) NIL)) (-4219 (($ $ (-1163)) NIL) (($ $) NIL)) (-1484 (($ $) NIL)) (-1743 (((-421 $) $) NIL (|has| |#2| (-559)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-559))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#2| (-559)))) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-559)))) (-1657 (((-121) $) NIL (|has| $ (-1038 (-569))))) (-1468 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1163)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-1163)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-1163) (-1 $ (-635 $))) NIL) (($ $ (-1163) (-1 $ $)) NIL) (($ $ (-635 (-123)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-123) (-1 $ (-635 $))) NIL) (($ $ (-123) (-1 $ $)) NIL) (($ $ (-1163)) NIL (|has| |#2| (-610 (-542)))) (($ $ (-635 (-1163))) NIL (|has| |#2| (-610 (-542)))) (($ $) NIL (|has| |#2| (-610 (-542)))) (($ $ (-123) $ (-1163)) NIL (|has| |#2| (-610 (-542)))) (($ $ (-635 (-123)) (-635 $) (-1163)) NIL (|has| |#2| (-610 (-542)))) (($ $ (-635 (-1163)) (-635 (-764)) (-635 (-1 $ $))) NIL (|has| |#2| (-1048))) (($ $ (-635 (-1163)) (-635 (-764)) (-635 (-1 $ (-635 $)))) NIL (|has| |#2| (-1048))) (($ $ (-1163) (-764) (-1 $ (-635 $))) NIL (|has| |#2| (-1048))) (($ $ (-1163) (-764) (-1 $ $)) NIL (|has| |#2| (-1048)))) (-2622 (((-764) $) NIL (|has| |#2| (-559)))) (-1534 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-635 $)) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#2| (-559)))) (-4082 (($ $) NIL) (($ $ $) NIL)) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163)) NIL)) (-4214 (($ $) NIL)) (-4121 (((-1114 |#2| (-608 $)) $) NIL (|has| |#2| (-559)))) (-2745 (($ $) NIL (|has| $ (-1048)))) (-3817 (((-888 (-569)) $) NIL (|has| |#2| (-610 (-888 (-569))))) (((-888 (-382)) $) NIL (|has| |#2| (-610 (-888 (-382))))) (($ (-421 $)) NIL (|has| |#2| (-559))) (((-542) $) NIL (|has| |#2| (-610 (-542))))) (-1414 (($ $ $) NIL (|has| |#2| (-479)))) (-4293 (($ $ $) NIL (|has| |#2| (-479)))) (-2185 (((-851) $) NIL) (($ (-608 $)) NIL) (($ (-1163)) NIL) (($ |#2|) NIL) (($ (-1114 |#2| (-608 $))) NIL (|has| |#2| (-1048))) (($ (-410 |#2|)) NIL (|has| |#2| (-559))) (($ (-954 (-410 |#2|))) NIL (|has| |#2| (-559))) (($ (-410 (-954 (-410 |#2|)))) NIL (|has| |#2| (-559))) (($ (-410 (-954 |#2|))) NIL (|has| |#2| (-559))) (($ (-954 |#2|)) NIL (|has| |#2| (-1048))) (($ $) NIL) (($ (-569)) NIL) (($ (-735 |#1| |#2|)) NIL) (($ (-410 (-735 |#1| |#2|))) 35) (($ (-410 (-569))) NIL (-2232 (|has| |#2| (-559)) (|has| |#2| (-1038 (-410 (-569))))))) (-3953 (((-3 $ "failed") $) NIL (|has| |#2| (-149)))) (-1991 (((-764)) NIL)) (-4042 (($ $) NIL) (($ (-635 $)) NIL)) (-4248 (($ $ $) NIL)) (-1524 (((-121) (-123)) NIL)) (-1961 (((-121) $ $) NIL)) (-3880 (($ (-1163) $) NIL) (($ (-1163) $ $) NIL) (($ (-1163) $ $ $) NIL) (($ (-1163) $ $ $ $) NIL) (($ (-1163) (-635 $)) NIL)) (-2427 (($ $ (-764)) NIL) (($ $ (-918)) NIL) (($ $ (-569)) NIL (-2232 (|has| |#2| (-479)) (|has| |#2| (-559))))) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163)) NIL)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL)) (-1715 (($ (-1114 |#2| (-608 $)) (-1114 |#2| (-608 $))) NIL (|has| |#2| (-559))) (($ $ $) NIL)) (-1711 (($ $ $) NIL) (($ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-764)) NIL) (($ $ (-918)) NIL) (($ $ $) NIL) (($ $ (-569)) NIL (-2232 (|has| |#2| (-479)) (|has| |#2| (-559))))) (* (($ (-410 (-569)) $) NIL (|has| |#2| (-559))) (($ $ (-410 (-569))) NIL (|has| |#2| (-559))) (($ |#2| $) NIL (|has| |#2| (-173))) (($ $ |#2|) NIL (|has| |#2| (-173))) (($ $ $) NIL) (($ (-569) $) NIL) (($ (-764) $) NIL) (($ (-918) $) NIL))) 
+(((-734 |#1| |#2|) (-13 (-433 |#2|) (-559) (-1038 (-735 |#1| |#2|)) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $)) (-15 -2185 ($ (-410 (-735 |#1| |#2|)))) (-15 -2428 ((-410 (-735 |#1| |#2|)) $)))) (-1163) (-13 (-1048) (-843) (-559))) (T -734)) 
+((-1798 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-734 *3 *4)) (-14 *3 (-1163)) (-4 *4 (-13 (-1048) (-843) (-559))))) (* (*1 *1 *1 *1) (-12 (-5 *1 (-734 *2 *3)) (-14 *2 (-1163)) (-4 *3 (-13 (-1048) (-843) (-559))))) (-1715 (*1 *1 *1 *1) (-12 (-5 *1 (-734 *2 *3)) (-14 *2 (-1163)) (-4 *3 (-13 (-1048) (-843) (-559))))) (** (*1 *1 *1 *1) (-12 (-5 *1 (-734 *2 *3)) (-14 *2 (-1163)) (-4 *3 (-13 (-1048) (-843) (-559))))) (-4052 (*1 *1 *1) (-12 (-5 *1 (-734 *2 *3)) (-14 *2 (-1163)) (-4 *3 (-13 (-1048) (-843) (-559))))) (-4214 (*1 *1 *1) (-12 (-5 *1 (-734 *2 *3)) (-14 *2 (-1163)) (-4 *3 (-13 (-1048) (-843) (-559))))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-410 (-735 *3 *4))) (-14 *3 (-1163)) (-4 *4 (-13 (-1048) (-843) (-559))) (-5 *1 (-734 *3 *4)))) (-2428 (*1 *2 *1) (-12 (-5 *2 (-410 (-735 *3 *4))) (-5 *1 (-734 *3 *4)) (-14 *3 (-1163)) (-4 *4 (-13 (-1048) (-843) (-559)))))) 
+(-13 (-433 |#2|) (-559) (-1038 (-735 |#1| |#2|)) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $)) (-15 -2185 ($ (-410 (-735 |#1| |#2|)))) (-15 -2428 ((-410 (-735 |#1| |#2|)) $)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-4411 (((-1247 |#2|) $ (-764)) NIL)) (-1773 (((-635 (-1076)) $) NIL)) (-3707 (($ (-1159 |#2|)) NIL)) (-1739 (((-1159 $) $ (-1076)) NIL) (((-1159 |#2|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#2| (-559)))) (-3383 (($ $) NIL (|has| |#2| (-559)))) (-4354 (((-121) $) NIL (|has| |#2| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 (-1076))) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3306 (($ $ $) NIL (|has| |#2| (-559)))) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-2004 (($ $) NIL (|has| |#2| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#2| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-3934 (((-121) $ $) NIL (|has| |#2| (-366)))) (-1435 (($ $ (-764)) NIL)) (-2399 (($ $ (-764)) NIL)) (-2499 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#2| (-454)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1038 (-569)))) (((-3 (-1076) "failed") $) NIL) (((-3 (-1163) "failed") $) NIL)) (-2428 ((|#2| $) NIL) (((-410 (-569)) $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#2| (-1038 (-569)))) (((-1076) $) 22) (((-1163) $) 23)) (-3493 (($ $ $ (-1076)) NIL (|has| |#2| (-173))) ((|#2| $ $) NIL (|has| |#2| (-173)))) (-2506 (($ $ $) NIL (|has| |#2| (-366)))) (-4020 (($ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL) (((-680 |#2|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL (|has| |#2| (-366)))) (-4021 (($ $ $) NIL)) (-3611 (($ $ $) NIL (|has| |#2| (-559)))) (-1884 (((-2 (|:| -4140 |#2|) (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#2| (-559)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#2| (-366)))) (-1340 (($ $) NIL (|has| |#2| (-454))) (($ $ (-1076)) NIL (|has| |#2| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#2| (-905)))) (-1667 (($ $ |#2| (-764) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-1076) (-882 (-382))) (|has| |#2| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-1076) (-882 (-569))) (|has| |#2| (-882 (-569)))))) (-2558 (((-764) $ $) NIL (|has| |#2| (-559)))) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| |#2| (-1137)))) (-1768 (($ (-1159 |#2|) (-1076)) NIL) (($ (-1159 $) (-1076)) NIL)) (-3089 (($ $ (-764)) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-366)))) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#2| (-764)) 17) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-1076)) NIL) (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-4002 (((-764) $) NIL) (((-764) $ (-1076)) NIL) (((-635 (-764)) $ (-635 (-1076))) NIL)) (-3291 (($ $ $) NIL (|has| |#2| (-843)))) (-1538 (($ $ $) NIL (|has| |#2| (-843)))) (-2658 (($ (-1 (-764) (-764)) $) NIL)) (-1544 (($ (-1 |#2| |#2|) $) NIL)) (-2225 (((-1159 |#2|) $) NIL)) (-1637 (((-3 (-1076) "failed") $) NIL)) (-1804 (($ $) NIL)) (-4012 ((|#2| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2776 (((-1145) $) NIL)) (-4451 (((-2 (|:| -4268 $) (|:| -1830 $)) $ (-764)) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| (-1076)) (|:| -2356 (-764))) "failed") $) NIL)) (-2565 (($ $) NIL (|has| |#2| (-43 (-410 (-569)))))) (-4043 (($) NIL (|has| |#2| (-1137)) CONST)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) NIL)) (-1801 ((|#2| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#2| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-3877 (($ $ (-764) |#2| $) NIL)) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#2| (-905)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#2| (-366)))) (-2941 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-366)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1076) |#2|) NIL) (($ $ (-635 (-1076)) (-635 |#2|)) NIL) (($ $ (-1076) $) NIL) (($ $ (-635 (-1076)) (-635 $)) NIL)) (-2622 (((-764) $) NIL (|has| |#2| (-366)))) (-1534 ((|#2| $ |#2|) NIL) (($ $ $) NIL) (((-410 $) (-410 $) (-410 $)) NIL (|has| |#2| (-559))) ((|#2| (-410 $) |#2|) NIL (|has| |#2| (-366))) (((-410 $) $ (-410 $)) NIL (|has| |#2| (-559)))) (-2067 (((-3 $ "failed") $ (-764)) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#2| (-366)))) (-2087 (($ $ (-1076)) NIL (|has| |#2| (-173))) ((|#2| $) NIL (|has| |#2| (-173)))) (-3899 (($ $ (-1076)) NIL) (($ $ (-635 (-1076))) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL) (($ $ (-764)) NIL) (($ $) NIL) (($ $ (-1163)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) $) NIL)) (-2492 (((-764) $) NIL) (((-764) $ (-1076)) NIL) (((-635 (-764)) $ (-635 (-1076))) NIL)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| (-1076) (-610 (-888 (-382)))) (|has| |#2| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| (-1076) (-610 (-888 (-569)))) (|has| |#2| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| (-1076) (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-3298 ((|#2| $) NIL (|has| |#2| (-454))) (($ $ (-1076)) NIL (|has| |#2| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-905))))) (-4091 (((-3 $ "failed") $ $) NIL (|has| |#2| (-559))) (((-3 (-410 $) "failed") (-410 $) $) NIL (|has| |#2| (-559)))) (-2185 (((-851) $) 13) (($ (-569)) NIL) (($ |#2|) 26) (($ (-1076)) NIL) (($ (-1243 |#1|)) 20) (($ (-954 |#2|)) 34) (($ (-1163)) 18) (($ (-410 (-569))) NIL (-2232 (|has| |#2| (-43 (-410 (-569)))) (|has| |#2| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#2| (-559)))) (-3382 (((-635 |#2|) $) NIL)) (-1653 ((|#2| $ (-764)) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#2| (-905))) (|has| |#2| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#2| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#2| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) 14 T CONST)) (-3022 (($ $ (-1076)) NIL) (($ $ (-635 (-1076))) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL) (($ $ (-764)) NIL) (($ $) NIL) (($ $ (-1163)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-1693 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1715 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#2| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#2| (-43 (-410 (-569))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
+(((-735 |#1| |#2|) (-13 (-1222 |#2|) (-10 -8 (-6 (-1038 (-1163))) (-15 -2185 ($ (-1243 |#1|))) (-15 -3877 ($ $ (-764) |#2| $)) (IF (|has| |#2| (-15 -1739 ((-1159 |#2|) |#2| (-1163)))) (-15 -2185 ($ |#2|)) |noBranch|) (-15 -2185 ($ (-954 |#2|))))) (-1163) (-1048)) (T -735)) 
+((-2185 (*1 *1 *2) (-12 (-5 *1 (-735 *3 *2)) (-14 *3 (-1163)) (-4 *2 (-1048)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1243 *3)) (-14 *3 (-1163)) (-5 *1 (-735 *3 *4)) (-4 *4 (-1048)))) (-3877 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-764)) (-5 *1 (-735 *4 *3)) (-14 *4 (-1163)) (-4 *3 (-1048)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-954 *4)) (-4 *4 (-1048)) (-5 *1 (-735 *3 *4)) (-14 *3 (-1163))))) 
+(-13 (-1222 |#2|) (-10 -8 (-6 (-1038 (-1163))) (-15 -2185 ($ (-1243 |#1|))) (-15 -3877 ($ $ (-764) |#2| $)) (IF (|has| |#2| (-15 -1739 ((-1159 |#2|) |#2| (-1163)))) (-15 -2185 ($ |#2|)) |noBranch|) (-15 -2185 ($ (-954 |#2|))))) 
+((-1851 (($ $ (-918)) 12))) 
+(((-736 |#1| |#2|) (-10 -8 (-15 -1851 (|#1| |#1| (-918)))) (-737 |#2|) (-173)) (T -736)) 
+NIL 
+(-10 -8 (-15 -1851 (|#1| |#1| (-918)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-1628 (($ $ (-918)) 27)) (-1851 (($ $ (-918)) 32)) (-3272 (($ $ (-918)) 28)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-4293 (($ $ $) 24)) (-2185 (((-851) $) 11)) (-1383 (($ $ $ $) 25)) (-4033 (($ $ $) 23)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 29)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 26) (($ $ |#1|) 34) (($ |#1| $) 33))) 
+(((-737 |#1|) (-1278) (-173)) (T -737)) 
+((-1851 (*1 *1 *1 *2) (-12 (-5 *2 (-918)) (-4 *1 (-737 *3)) (-4 *3 (-173))))) 
+(-13 (-754) (-708 |t#1|) (-10 -8 (-15 -1851 ($ $ (-918))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#1|) . T) ((-708 |#1|) . T) ((-711) . T) ((-754) . T) ((-1054 |#1|) . T) ((-1091) . T)) 
+((-4269 (((-1036) (-680 (-216)) (-569) (-121) (-569)) 24)) (-4274 (((-1036) (-680 (-216)) (-569) (-121) (-569)) 23))) 
+(((-738) (-10 -7 (-15 -4274 ((-1036) (-680 (-216)) (-569) (-121) (-569))) (-15 -4269 ((-1036) (-680 (-216)) (-569) (-121) (-569))))) (T -738)) 
+((-4269 (*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *5 (-121)) (-5 *2 (-1036)) (-5 *1 (-738)))) (-4274 (*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *5 (-121)) (-5 *2 (-1036)) (-5 *1 (-738))))) 
+(-10 -7 (-15 -4274 ((-1036) (-680 (-216)) (-569) (-121) (-569))) (-15 -4269 ((-1036) (-680 (-216)) (-569) (-121) (-569)))) 
+((-4285 (((-1036) (-569) (-569) (-569) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-79 FCN)))) 43)) (-3401 (((-1036) (-569) (-569) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-86 FCN)))) 39)) (-3406 (((-1036) (-216) (-216) (-216) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) 32))) 
+(((-739) (-10 -7 (-15 -3406 ((-1036) (-216) (-216) (-216) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564))))) (-15 -3401 ((-1036) (-569) (-569) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-86 FCN))))) (-15 -4285 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-79 FCN))))))) (T -739)) 
+((-4285 (*1 *2 *3 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-79 FCN)))) (-5 *2 (-1036)) (-5 *1 (-739)))) (-3401 (*1 *2 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-86 FCN)))) (-5 *2 (-1036)) (-5 *1 (-739)))) (-3406 (*1 *2 *3 *3 *3 *3 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) (-5 *2 (-1036)) (-5 *1 (-739))))) 
+(-10 -7 (-15 -3406 ((-1036) (-216) (-216) (-216) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564))))) (-15 -3401 ((-1036) (-569) (-569) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-86 FCN))))) (-15 -4285 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-79 FCN)))))) 
+((-3415 (((-1036) (-569) (-569) (-680 (-216)) (-569)) 33)) (-3423 (((-1036) (-569) (-569) (-680 (-216)) (-569)) 32)) (-3434 (((-1036) (-569) (-680 (-216)) (-569)) 31)) (-3440 (((-1036) (-569) (-680 (-216)) (-569)) 30)) (-3451 (((-1036) (-569) (-569) (-1145) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569)) 29)) (-3457 (((-1036) (-569) (-569) (-1145) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569)) 28)) (-3467 (((-1036) (-569) (-569) (-1145) (-680 (-216)) (-680 (-216)) (-569)) 27)) (-3472 (((-1036) (-569) (-569) (-1145) (-680 (-216)) (-680 (-216)) (-569)) 26)) (-3480 (((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569)) 23)) (-3491 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569)) 22)) (-3498 (((-1036) (-569) (-680 (-216)) (-569)) 21)) (-3506 (((-1036) (-569) (-680 (-216)) (-569)) 20))) 
+(((-740) (-10 -7 (-15 -3506 ((-1036) (-569) (-680 (-216)) (-569))) (-15 -3498 ((-1036) (-569) (-680 (-216)) (-569))) (-15 -3491 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3480 ((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3472 ((-1036) (-569) (-569) (-1145) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3467 ((-1036) (-569) (-569) (-1145) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3457 ((-1036) (-569) (-569) (-1145) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3451 ((-1036) (-569) (-569) (-1145) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3440 ((-1036) (-569) (-680 (-216)) (-569))) (-15 -3434 ((-1036) (-569) (-680 (-216)) (-569))) (-15 -3423 ((-1036) (-569) (-569) (-680 (-216)) (-569))) (-15 -3415 ((-1036) (-569) (-569) (-680 (-216)) (-569))))) (T -740)) 
+((-3415 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740)))) (-3423 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740)))) (-3434 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740)))) (-3440 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740)))) (-3451 (*1 *2 *3 *3 *4 *5 *5 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1145)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740)))) (-3457 (*1 *2 *3 *3 *4 *5 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1145)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740)))) (-3467 (*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1145)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740)))) (-3472 (*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1145)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740)))) (-3480 (*1 *2 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740)))) (-3491 (*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740)))) (-3498 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740)))) (-3506 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740))))) 
+(-10 -7 (-15 -3506 ((-1036) (-569) (-680 (-216)) (-569))) (-15 -3498 ((-1036) (-569) (-680 (-216)) (-569))) (-15 -3491 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3480 ((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3472 ((-1036) (-569) (-569) (-1145) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3467 ((-1036) (-569) (-569) (-1145) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3457 ((-1036) (-569) (-569) (-1145) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3451 ((-1036) (-569) (-569) (-1145) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3440 ((-1036) (-569) (-680 (-216)) (-569))) (-15 -3434 ((-1036) (-569) (-680 (-216)) (-569))) (-15 -3423 ((-1036) (-569) (-569) (-680 (-216)) (-569))) (-15 -3415 ((-1036) (-569) (-569) (-680 (-216)) (-569)))) 
+((-3135 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569) (-216) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))) 52)) (-3145 (((-1036) (-680 (-216)) (-680 (-216)) (-569) (-569)) 51)) (-3151 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))) 50)) (-3155 (((-1036) (-216) (-216) (-569) (-569) (-569) (-569)) 46)) (-3167 (((-1036) (-216) (-216) (-569) (-216) (-569) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) 45)) (-3734 (((-1036) (-216) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) 44)) (-3751 (((-1036) (-216) (-216) (-216) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) 43)) (-3766 (((-1036) (-216) (-216) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) 42)) (-3777 (((-1036) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) 38)) (-3785 (((-1036) (-216) (-216) (-569) (-680 (-216)) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) 37)) (-3805 (((-1036) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) 33)) (-3822 (((-1036) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) 32))) 
+(((-741) (-10 -7 (-15 -3822 ((-1036) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564))))) (-15 -3805 ((-1036) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564))))) (-15 -3785 ((-1036) (-216) (-216) (-569) (-680 (-216)) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564))))) (-15 -3777 ((-1036) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564))))) (-15 -3766 ((-1036) (-216) (-216) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -3751 ((-1036) (-216) (-216) (-216) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -3734 ((-1036) (-216) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -3167 ((-1036) (-216) (-216) (-569) (-216) (-569) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -3155 ((-1036) (-216) (-216) (-569) (-569) (-569) (-569))) (-15 -3151 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN))))) (-15 -3145 ((-1036) (-680 (-216)) (-680 (-216)) (-569) (-569))) (-15 -3135 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569) (-216) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN))))))) (T -741)) 
+((-3135 (*1 *2 *3 *4 *4 *3 *5 *3 *3 *4 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1036)) (-5 *1 (-741)))) (-3145 (*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-741)))) (-3151 (*1 *2 *3 *4 *4 *3 *5 *3 *3 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1036)) (-5 *1 (-741)))) (-3155 (*1 *2 *3 *3 *4 *4 *4 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-741)))) (-3167 (*1 *2 *3 *3 *4 *3 *4 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1036)) (-5 *1 (-741)))) (-3734 (*1 *2 *3 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1036)) (-5 *1 (-741)))) (-3751 (*1 *2 *3 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1036)) (-5 *1 (-741)))) (-3766 (*1 *2 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1036)) (-5 *1 (-741)))) (-3777 (*1 *2 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) (-5 *2 (-1036)) (-5 *1 (-741)))) (-3785 (*1 *2 *3 *3 *4 *5 *3 *3 *4 *4 *4 *6) (-12 (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-741)))) (-3805 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) (-5 *2 (-1036)) (-5 *1 (-741)))) (-3822 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) (-5 *2 (-1036)) (-5 *1 (-741))))) 
+(-10 -7 (-15 -3822 ((-1036) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564))))) (-15 -3805 ((-1036) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564))))) (-15 -3785 ((-1036) (-216) (-216) (-569) (-680 (-216)) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564))))) (-15 -3777 ((-1036) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564))))) (-15 -3766 ((-1036) (-216) (-216) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -3751 ((-1036) (-216) (-216) (-216) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -3734 ((-1036) (-216) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -3167 ((-1036) (-216) (-216) (-569) (-216) (-569) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -3155 ((-1036) (-216) (-216) (-569) (-569) (-569) (-569))) (-15 -3151 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN))))) (-15 -3145 ((-1036) (-680 (-216)) (-680 (-216)) (-569) (-569))) (-15 -3135 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569) (-216) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))))) 
+((-3181 (((-1036) (-569) (-569) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-80 FCN JACOBF JACEPS))) (-3 (|:| |fn| (-391)) (|:| |fp| (-81 G JACOBG JACGEP)))) 76)) (-3186 (((-1036) (-680 (-216)) (-569) (-569) (-216) (-569) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL))) (-391) (-391)) 69) (((-1036) (-680 (-216)) (-569) (-569) (-216) (-569) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL)))) 68)) (-3197 (((-1036) (-216) (-216) (-569) (-216) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-89 FCNF))) (-3 (|:| |fn| (-391)) (|:| |fp| (-90 FCNG)))) 57)) (-3206 (((-1036) (-680 (-216)) (-680 (-216)) (-569) (-216) (-216) (-216) (-569) (-569) (-569) (-680 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) 50)) (-3214 (((-1036) (-216) (-569) (-569) (-1145) (-569) (-216) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-76 PEDERV))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) 49)) (-3222 (((-1036) (-216) (-569) (-569) (-216) (-1145) (-216) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) 45)) (-3231 (((-1036) (-216) (-569) (-569) (-216) (-216) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) 42)) (-3239 (((-1036) (-216) (-569) (-569) (-569) (-216) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) 38))) 
+(((-742) (-10 -7 (-15 -3239 ((-1036) (-216) (-569) (-569) (-569) (-216) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT))))) (-15 -3231 ((-1036) (-216) (-569) (-569) (-216) (-216) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))))) (-15 -3222 ((-1036) (-216) (-569) (-569) (-216) (-1145) (-216) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT))))) (-15 -3214 ((-1036) (-216) (-569) (-569) (-1145) (-569) (-216) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-76 PEDERV))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT))))) (-15 -3206 ((-1036) (-680 (-216)) (-680 (-216)) (-569) (-216) (-216) (-216) (-569) (-569) (-569) (-680 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))))) (-15 -3197 ((-1036) (-216) (-216) (-569) (-216) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-89 FCNF))) (-3 (|:| |fn| (-391)) (|:| |fp| (-90 FCNG))))) (-15 -3186 ((-1036) (-680 (-216)) (-569) (-569) (-216) (-569) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL))))) (-15 -3186 ((-1036) (-680 (-216)) (-569) (-569) (-216) (-569) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL))) (-391) (-391))) (-15 -3181 ((-1036) (-569) (-569) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-80 FCN JACOBF JACEPS))) (-3 (|:| |fn| (-391)) (|:| |fp| (-81 G JACOBG JACGEP))))))) (T -742)) 
+((-3181 (*1 *2 *3 *3 *3 *3 *4 *3 *3 *3 *3 *3 *3 *5 *5 *4 *3 *6 *7) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-80 FCN JACOBF JACEPS)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-81 G JACOBG JACGEP)))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-742)))) (-3186 (*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7 *8 *8) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL)))) (-5 *8 (-391)) (-5 *2 (-1036)) (-5 *1 (-742)))) (-3186 (*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL)))) (-5 *2 (-1036)) (-5 *1 (-742)))) (-3197 (*1 *2 *3 *3 *4 *3 *4 *4 *4 *5 *5 *5 *5 *4 *4 *6 *7) (-12 (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-89 FCNF)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-90 FCNG)))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-742)))) (-3206 (*1 *2 *3 *3 *4 *5 *5 *5 *4 *4 *4 *3 *4 *4 *6) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *2 (-1036)) (-5 *1 (-742)))) (-3214 (*1 *2 *3 *4 *4 *5 *4 *3 *6 *3 *4 *7 *8 *9 *10) (-12 (-5 *4 (-569)) (-5 *5 (-1145)) (-5 *6 (-680 (-216))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-391)) (|:| |fp| (-76 PEDERV)))) (-5 *10 (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-742)))) (-3222 (*1 *2 *3 *4 *4 *3 *5 *3 *6 *4 *7 *8 *9) (-12 (-5 *4 (-569)) (-5 *5 (-1145)) (-5 *6 (-680 (-216))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-742)))) (-3231 (*1 *2 *3 *4 *4 *3 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-742)))) (-3239 (*1 *2 *3 *4 *4 *4 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-742))))) 
+(-10 -7 (-15 -3239 ((-1036) (-216) (-569) (-569) (-569) (-216) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT))))) (-15 -3231 ((-1036) (-216) (-569) (-569) (-216) (-216) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))))) (-15 -3222 ((-1036) (-216) (-569) (-569) (-216) (-1145) (-216) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT))))) (-15 -3214 ((-1036) (-216) (-569) (-569) (-1145) (-569) (-216) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-76 PEDERV))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT))))) (-15 -3206 ((-1036) (-680 (-216)) (-680 (-216)) (-569) (-216) (-216) (-216) (-569) (-569) (-569) (-680 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))))) (-15 -3197 ((-1036) (-216) (-216) (-569) (-216) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-89 FCNF))) (-3 (|:| |fn| (-391)) (|:| |fp| (-90 FCNG))))) (-15 -3186 ((-1036) (-680 (-216)) (-569) (-569) (-216) (-569) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL))))) (-15 -3186 ((-1036) (-680 (-216)) (-569) (-569) (-216) (-569) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL))) (-391) (-391))) (-15 -3181 ((-1036) (-569) (-569) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-80 FCN JACOBF JACEPS))) (-3 (|:| |fn| (-391)) (|:| |fp| (-81 G JACOBG JACGEP)))))) 
+((-3283 (((-1036) (-216) (-216) (-569) (-569) (-680 (-216)) (-680 (-216)) (-216) (-216) (-569) (-569) (-680 (-216)) (-680 (-216)) (-216) (-216) (-569) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569) (-569) (-667 (-216)) (-569)) 45)) (-3289 (((-1036) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-1145) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-87 PDEF))) (-3 (|:| |fn| (-391)) (|:| |fp| (-88 BNDY)))) 41)) (-3300 (((-1036) (-569) (-569) (-569) (-569) (-216) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569)) 23))) 
+(((-743) (-10 -7 (-15 -3300 ((-1036) (-569) (-569) (-569) (-569) (-216) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3289 ((-1036) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-1145) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-87 PDEF))) (-3 (|:| |fn| (-391)) (|:| |fp| (-88 BNDY))))) (-15 -3283 ((-1036) (-216) (-216) (-569) (-569) (-680 (-216)) (-680 (-216)) (-216) (-216) (-569) (-569) (-680 (-216)) (-680 (-216)) (-216) (-216) (-569) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569) (-569) (-667 (-216)) (-569))))) (T -743)) 
+((-3283 (*1 *2 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *4 *4 *4 *6 *4) (-12 (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-667 (-216))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-743)))) (-3289 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *5 *4 *6 *7) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-1145)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-87 PDEF)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-88 BNDY)))) (-5 *2 (-1036)) (-5 *1 (-743)))) (-3300 (*1 *2 *3 *3 *3 *3 *4 *3 *5 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-743))))) 
+(-10 -7 (-15 -3300 ((-1036) (-569) (-569) (-569) (-569) (-216) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3289 ((-1036) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-1145) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-87 PDEF))) (-3 (|:| |fn| (-391)) (|:| |fp| (-88 BNDY))))) (-15 -3283 ((-1036) (-216) (-216) (-569) (-569) (-680 (-216)) (-680 (-216)) (-216) (-216) (-569) (-569) (-680 (-216)) (-680 (-216)) (-216) (-216) (-569) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569) (-569) (-667 (-216)) (-569)))) 
+((-1290 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-216) (-680 (-216)) (-216) (-216) (-569)) 35)) (-4304 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-569) (-216) (-216) (-569)) 34)) (-2532 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-569)) (-680 (-216)) (-216) (-216) (-569)) 33)) (-4309 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569)) 29)) (-4315 (((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569)) 28)) (-4320 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-216) (-216) (-569)) 27)) (-4326 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-680 (-216)) (-569)) 23)) (-4333 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-680 (-216)) (-569)) 22)) (-4339 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569)) 21)) (-4345 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569) (-569) (-569)) 20))) 
+(((-744) (-10 -7 (-15 -4345 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569) (-569) (-569))) (-15 -4339 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -4333 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-680 (-216)) (-569))) (-15 -4326 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-680 (-216)) (-569))) (-15 -4320 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-216) (-216) (-569))) (-15 -4315 ((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -4309 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2532 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-569)) (-680 (-216)) (-216) (-216) (-569))) (-15 -4304 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-569) (-216) (-216) (-569))) (-15 -1290 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-216) (-680 (-216)) (-216) (-216) (-569))))) (T -744)) 
+((-1290 (*1 *2 *3 *4 *4 *4 *5 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *2 (-1036)) (-5 *1 (-744)))) (-4304 (*1 *2 *3 *4 *4 *4 *3 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *2 (-1036)) (-5 *1 (-744)))) (-2532 (*1 *2 *3 *4 *4 *4 *5 *4 *6 *6 *3) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-680 (-569))) (-5 *6 (-216)) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-744)))) (-4309 (*1 *2 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-744)))) (-4315 (*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-744)))) (-4320 (*1 *2 *3 *4 *4 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *2 (-1036)) (-5 *1 (-744)))) (-4326 (*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-744)))) (-4333 (*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-744)))) (-4339 (*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-744)))) (-4345 (*1 *2 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-744))))) 
+(-10 -7 (-15 -4345 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569) (-569) (-569))) (-15 -4339 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -4333 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-680 (-216)) (-569))) (-15 -4326 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-680 (-216)) (-569))) (-15 -4320 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-216) (-216) (-569))) (-15 -4315 ((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -4309 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2532 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-569)) (-680 (-216)) (-216) (-216) (-569))) (-15 -4304 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-569) (-216) (-216) (-569))) (-15 -1290 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-216) (-680 (-216)) (-216) (-216) (-569)))) 
+((-4352 (((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-569) (-569) (-569)) 45)) (-4359 (((-1036) (-569) (-569) (-569) (-216) (-680 (-216)) (-680 (-216)) (-569)) 44)) (-3045 (((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-569) (-569)) 43)) (-3054 (((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569)) 42)) (-3059 (((-1036) (-1145) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-569)) 41)) (-3063 (((-1036) (-1145) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-680 (-569)) (-569)) 40)) (-3066 (((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-569)) (-569) (-569) (-569) (-216) (-680 (-216)) (-569)) 39)) (-3072 (((-1036) (-1145) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-569))) 38)) (-3079 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569)) 35)) (-2828 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569)) 34)) (-2833 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569)) 33)) (-2840 (((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569)) 32)) (-2845 (((-1036) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-216) (-569)) 31)) (-2851 (((-1036) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-216) (-569) (-569) (-569)) 30)) (-3248 (((-1036) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-569) (-569) (-569)) 29)) (-3717 (((-1036) (-569) (-569) (-569) (-216) (-216) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-569) (-680 (-569)) (-569) (-569) (-569)) 28)) (-4260 (((-1036) (-569) (-680 (-216)) (-216) (-569)) 24)) (-4279 (((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569)) 20))) 
+(((-745) (-10 -7 (-15 -4279 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -4260 ((-1036) (-569) (-680 (-216)) (-216) (-569))) (-15 -3717 ((-1036) (-569) (-569) (-569) (-216) (-216) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-569) (-680 (-569)) (-569) (-569) (-569))) (-15 -3248 ((-1036) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-569) (-569) (-569))) (-15 -2851 ((-1036) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-216) (-569) (-569) (-569))) (-15 -2845 ((-1036) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-216) (-569))) (-15 -2840 ((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2833 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569))) (-15 -2828 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569))) (-15 -3079 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3072 ((-1036) (-1145) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-569)))) (-15 -3066 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-569)) (-569) (-569) (-569) (-216) (-680 (-216)) (-569))) (-15 -3063 ((-1036) (-1145) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-680 (-569)) (-569))) (-15 -3059 ((-1036) (-1145) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3054 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3045 ((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-569) (-569))) (-15 -4359 ((-1036) (-569) (-569) (-569) (-216) (-680 (-216)) (-680 (-216)) (-569))) (-15 -4352 ((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-569) (-569) (-569))))) (T -745)) 
+((-4352 (*1 *2 *3 *3 *4 *4 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-745)))) (-4359 (*1 *2 *3 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-745)))) (-3045 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *4 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-745)))) (-3054 (*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-745)))) (-3059 (*1 *2 *3 *4 *5 *5 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-216)) (-5 *2 (-1036)) (-5 *1 (-745)))) (-3063 (*1 *2 *3 *4 *5 *4 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *7 *4) (-12 (-5 *3 (-1145)) (-5 *5 (-680 (-216))) (-5 *6 (-216)) (-5 *7 (-680 (-569))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-745)))) (-3066 (*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *5 *3 *3 *3 *6 *4 *3) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-680 (-569))) (-5 *6 (-216)) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-745)))) (-3072 (*1 *2 *3 *4 *5 *5 *5 *6 *4 *4 *4 *5 *4 *5 *7) (-12 (-5 *3 (-1145)) (-5 *5 (-680 (-216))) (-5 *6 (-216)) (-5 *7 (-680 (-569))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-745)))) (-3079 (*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-745)))) (-2828 (*1 *2 *3 *4 *4 *5 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *2 (-1036)) (-5 *1 (-745)))) (-2833 (*1 *2 *3 *4 *4 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *2 (-1036)) (-5 *1 (-745)))) (-2840 (*1 *2 *3 *3 *4 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-745)))) (-2845 (*1 *2 *3 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-745)))) (-2851 (*1 *2 *3 *4 *4 *5 *3 *3 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-745)))) (-3248 (*1 *2 *3 *4 *4 *5 *3 *3 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-745)))) (-3717 (*1 *2 *3 *3 *3 *4 *4 *5 *5 *5 *3 *5 *5 *3 *6 *3 *3 *3) (-12 (-5 *5 (-680 (-216))) (-5 *6 (-680 (-569))) (-5 *3 (-569)) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-745)))) (-4260 (*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *2 (-1036)) (-5 *1 (-745)))) (-4279 (*1 *2 *3 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-745))))) 
+(-10 -7 (-15 -4279 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -4260 ((-1036) (-569) (-680 (-216)) (-216) (-569))) (-15 -3717 ((-1036) (-569) (-569) (-569) (-216) (-216) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-569) (-680 (-569)) (-569) (-569) (-569))) (-15 -3248 ((-1036) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-569) (-569) (-569))) (-15 -2851 ((-1036) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-216) (-569) (-569) (-569))) (-15 -2845 ((-1036) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-216) (-569))) (-15 -2840 ((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2833 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569))) (-15 -2828 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569))) (-15 -3079 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3072 ((-1036) (-1145) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-569)))) (-15 -3066 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-569)) (-569) (-569) (-569) (-216) (-680 (-216)) (-569))) (-15 -3063 ((-1036) (-1145) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-680 (-569)) (-569))) (-15 -3059 ((-1036) (-1145) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3054 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3045 ((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-569) (-569))) (-15 -4359 ((-1036) (-569) (-569) (-569) (-216) (-680 (-216)) (-680 (-216)) (-569))) (-15 -4352 ((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-569) (-569) (-569)))) 
+((-2857 (((-1036) (-569) (-569) (-569) (-216) (-680 (-216)) (-569) (-680 (-216)) (-569)) 63)) (-2862 (((-1036) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-569) (-121) (-216) (-569) (-216) (-216) (-121) (-216) (-216) (-216) (-216) (-121) (-569) (-569) (-569) (-569) (-569) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-569) (-680 (-569)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-85 CONFUN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN)))) 62)) (-2867 (((-1036) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-216) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-121) (-121) (-121) (-569) (-569) (-680 (-216)) (-680 (-569)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-70 QPHESS)))) 58)) (-2872 (((-1036) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-121) (-569) (-569) (-680 (-216)) (-569)) 51)) (-2879 (((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-71 FUNCT1)))) 50)) (-2885 (((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-68 LSFUN2)))) 46)) (-2891 (((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-84 LSFUN1)))) 42)) (-2897 (((-1036) (-569) (-216) (-216) (-569) (-216) (-121) (-216) (-216) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN)))) 38))) 
+(((-746) (-10 -7 (-15 -2897 ((-1036) (-569) (-216) (-216) (-569) (-216) (-121) (-216) (-216) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN))))) (-15 -2891 ((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-84 LSFUN1))))) (-15 -2885 ((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-68 LSFUN2))))) (-15 -2879 ((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-71 FUNCT1))))) (-15 -2872 ((-1036) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-121) (-569) (-569) (-680 (-216)) (-569))) (-15 -2867 ((-1036) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-216) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-121) (-121) (-121) (-569) (-569) (-680 (-216)) (-680 (-569)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-70 QPHESS))))) (-15 -2862 ((-1036) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-569) (-121) (-216) (-569) (-216) (-216) (-121) (-216) (-216) (-216) (-216) (-121) (-569) (-569) (-569) (-569) (-569) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-569) (-680 (-569)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-85 CONFUN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN))))) (-15 -2857 ((-1036) (-569) (-569) (-569) (-216) (-680 (-216)) (-569) (-680 (-216)) (-569))))) (T -746)) 
+((-2857 (*1 *2 *3 *3 *3 *4 *5 *3 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-746)))) (-2862 (*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *3 *3 *5 *6 *3 *6 *6 *5 *6 *6 *6 *6 *5 *3 *3 *3 *3 *3 *6 *6 *6 *3 *3 *3 *3 *3 *7 *4 *4 *4 *4 *3 *8 *9) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-121)) (-5 *6 (-216)) (-5 *7 (-680 (-569))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-85 CONFUN)))) (-5 *9 (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN)))) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-746)))) (-2867 (*1 *2 *3 *3 *3 *3 *3 *3 *3 *3 *4 *5 *5 *5 *5 *5 *5 *6 *6 *6 *3 *3 *5 *7 *3 *8) (-12 (-5 *5 (-680 (-216))) (-5 *6 (-121)) (-5 *7 (-680 (-569))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-70 QPHESS)))) (-5 *3 (-569)) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-746)))) (-2872 (*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-121)) (-5 *2 (-1036)) (-5 *1 (-746)))) (-2879 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *3 *5) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-71 FUNCT1)))) (-5 *2 (-1036)) (-5 *1 (-746)))) (-2885 (*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-68 LSFUN2)))) (-5 *2 (-1036)) (-5 *1 (-746)))) (-2891 (*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-84 LSFUN1)))) (-5 *2 (-1036)) (-5 *1 (-746)))) (-2897 (*1 *2 *3 *4 *4 *3 *4 *5 *4 *4 *3 *3 *3 *3 *6 *3 *7) (-12 (-5 *3 (-569)) (-5 *5 (-121)) (-5 *6 (-680 (-216))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN)))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-746))))) 
+(-10 -7 (-15 -2897 ((-1036) (-569) (-216) (-216) (-569) (-216) (-121) (-216) (-216) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN))))) (-15 -2891 ((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-84 LSFUN1))))) (-15 -2885 ((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-68 LSFUN2))))) (-15 -2879 ((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-71 FUNCT1))))) (-15 -2872 ((-1036) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-121) (-569) (-569) (-680 (-216)) (-569))) (-15 -2867 ((-1036) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-216) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-121) (-121) (-121) (-569) (-569) (-680 (-216)) (-680 (-569)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-70 QPHESS))))) (-15 -2862 ((-1036) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-569) (-121) (-216) (-569) (-216) (-216) (-121) (-216) (-216) (-216) (-216) (-121) (-569) (-569) (-569) (-569) (-569) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-569) (-680 (-569)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-85 CONFUN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN))))) (-15 -2857 ((-1036) (-569) (-569) (-569) (-216) (-680 (-216)) (-569) (-680 (-216)) (-569)))) 
+((-2903 (((-1036) (-1145) (-569) (-569) (-569) (-569) (-680 (-170 (-216))) (-680 (-170 (-216))) (-569)) 46)) (-2907 (((-1036) (-1145) (-1145) (-569) (-569) (-680 (-170 (-216))) (-569) (-680 (-170 (-216))) (-569) (-569) (-680 (-170 (-216))) (-569)) 45)) (-2911 (((-1036) (-569) (-569) (-569) (-680 (-170 (-216))) (-569)) 44)) (-2915 (((-1036) (-1145) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569)) 40)) (-2919 (((-1036) (-1145) (-1145) (-569) (-569) (-680 (-216)) (-569) (-680 (-216)) (-569) (-569) (-680 (-216)) (-569)) 39)) (-2923 (((-1036) (-569) (-569) (-569) (-680 (-216)) (-569)) 36)) (-2927 (((-1036) (-569) (-680 (-216)) (-569) (-680 (-569)) (-569)) 35)) (-2932 (((-1036) (-569) (-569) (-569) (-569) (-635 (-121)) (-680 (-216)) (-680 (-569)) (-680 (-569)) (-216) (-216) (-569)) 34)) (-2936 (((-1036) (-569) (-569) (-569) (-680 (-569)) (-680 (-569)) (-680 (-569)) (-680 (-569)) (-121) (-216) (-121) (-680 (-569)) (-680 (-216)) (-569)) 33)) (-2940 (((-1036) (-569) (-569) (-569) (-569) (-216) (-121) (-121) (-635 (-121)) (-680 (-216)) (-680 (-569)) (-680 (-569)) (-569)) 32))) 
+(((-747) (-10 -7 (-15 -2940 ((-1036) (-569) (-569) (-569) (-569) (-216) (-121) (-121) (-635 (-121)) (-680 (-216)) (-680 (-569)) (-680 (-569)) (-569))) (-15 -2936 ((-1036) (-569) (-569) (-569) (-680 (-569)) (-680 (-569)) (-680 (-569)) (-680 (-569)) (-121) (-216) (-121) (-680 (-569)) (-680 (-216)) (-569))) (-15 -2932 ((-1036) (-569) (-569) (-569) (-569) (-635 (-121)) (-680 (-216)) (-680 (-569)) (-680 (-569)) (-216) (-216) (-569))) (-15 -2927 ((-1036) (-569) (-680 (-216)) (-569) (-680 (-569)) (-569))) (-15 -2923 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-569))) (-15 -2919 ((-1036) (-1145) (-1145) (-569) (-569) (-680 (-216)) (-569) (-680 (-216)) (-569) (-569) (-680 (-216)) (-569))) (-15 -2915 ((-1036) (-1145) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2911 ((-1036) (-569) (-569) (-569) (-680 (-170 (-216))) (-569))) (-15 -2907 ((-1036) (-1145) (-1145) (-569) (-569) (-680 (-170 (-216))) (-569) (-680 (-170 (-216))) (-569) (-569) (-680 (-170 (-216))) (-569))) (-15 -2903 ((-1036) (-1145) (-569) (-569) (-569) (-569) (-680 (-170 (-216))) (-680 (-170 (-216))) (-569))))) (T -747)) 
+((-2903 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-170 (-216)))) (-5 *2 (-1036)) (-5 *1 (-747)))) (-2907 (*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-170 (-216)))) (-5 *2 (-1036)) (-5 *1 (-747)))) (-2911 (*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-170 (-216)))) (-5 *2 (-1036)) (-5 *1 (-747)))) (-2915 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-747)))) (-2919 (*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-747)))) (-2923 (*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-747)))) (-2927 (*1 *2 *3 *4 *3 *5 *3) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-680 (-569))) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-747)))) (-2932 (*1 *2 *3 *3 *3 *3 *4 *5 *6 *6 *7 *7 *3) (-12 (-5 *4 (-635 (-121))) (-5 *5 (-680 (-216))) (-5 *6 (-680 (-569))) (-5 *7 (-216)) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-747)))) (-2936 (*1 *2 *3 *3 *3 *4 *4 *4 *4 *5 *6 *5 *4 *7 *3) (-12 (-5 *4 (-680 (-569))) (-5 *5 (-121)) (-5 *7 (-680 (-216))) (-5 *3 (-569)) (-5 *6 (-216)) (-5 *2 (-1036)) (-5 *1 (-747)))) (-2940 (*1 *2 *3 *3 *3 *3 *4 *5 *5 *6 *7 *8 *8 *3) (-12 (-5 *6 (-635 (-121))) (-5 *7 (-680 (-216))) (-5 *8 (-680 (-569))) (-5 *3 (-569)) (-5 *4 (-216)) (-5 *5 (-121)) (-5 *2 (-1036)) (-5 *1 (-747))))) 
+(-10 -7 (-15 -2940 ((-1036) (-569) (-569) (-569) (-569) (-216) (-121) (-121) (-635 (-121)) (-680 (-216)) (-680 (-569)) (-680 (-569)) (-569))) (-15 -2936 ((-1036) (-569) (-569) (-569) (-680 (-569)) (-680 (-569)) (-680 (-569)) (-680 (-569)) (-121) (-216) (-121) (-680 (-569)) (-680 (-216)) (-569))) (-15 -2932 ((-1036) (-569) (-569) (-569) (-569) (-635 (-121)) (-680 (-216)) (-680 (-569)) (-680 (-569)) (-216) (-216) (-569))) (-15 -2927 ((-1036) (-569) (-680 (-216)) (-569) (-680 (-569)) (-569))) (-15 -2923 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-569))) (-15 -2919 ((-1036) (-1145) (-1145) (-569) (-569) (-680 (-216)) (-569) (-680 (-216)) (-569) (-569) (-680 (-216)) (-569))) (-15 -2915 ((-1036) (-1145) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2911 ((-1036) (-569) (-569) (-569) (-680 (-170 (-216))) (-569))) (-15 -2907 ((-1036) (-1145) (-1145) (-569) (-569) (-680 (-170 (-216))) (-569) (-680 (-170 (-216))) (-569) (-569) (-680 (-170 (-216))) (-569))) (-15 -2903 ((-1036) (-1145) (-569) (-569) (-569) (-569) (-680 (-170 (-216))) (-680 (-170 (-216))) (-569)))) 
+((-2621 (((-1036) (-569) (-569) (-569) (-569) (-569) (-121) (-569) (-121) (-569) (-680 (-170 (-216))) (-680 (-170 (-216))) (-569)) 64)) (-2627 (((-1036) (-569) (-569) (-569) (-569) (-569) (-121) (-569) (-121) (-569) (-680 (-216)) (-680 (-216)) (-569)) 60)) (-2632 (((-1036) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE))) (-391)) 56) (((-1036) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE)))) 55)) (-2637 (((-1036) (-569) (-569) (-569) (-216) (-121) (-569) (-680 (-216)) (-680 (-216)) (-569)) 37)) (-2643 (((-1036) (-569) (-569) (-216) (-216) (-569) (-569) (-680 (-216)) (-569)) 33)) (-2648 (((-1036) (-680 (-216)) (-569) (-680 (-216)) (-569) (-569) (-569) (-569) (-569)) 29)) (-2653 (((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569)) 28)) (-2655 (((-1036) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569)) 27)) (-2664 (((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569)) 26)) (-2670 (((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-569)) 25)) (-2679 (((-1036) (-569) (-569) (-680 (-216)) (-569)) 24)) (-2684 (((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569)) 23)) (-2689 (((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569)) 22)) (-2693 (((-1036) (-680 (-216)) (-569) (-569) (-569) (-569)) 21)) (-2698 (((-1036) (-569) (-569) (-680 (-216)) (-569)) 20))) 
+(((-748) (-10 -7 (-15 -2698 ((-1036) (-569) (-569) (-680 (-216)) (-569))) (-15 -2693 ((-1036) (-680 (-216)) (-569) (-569) (-569) (-569))) (-15 -2689 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2684 ((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2679 ((-1036) (-569) (-569) (-680 (-216)) (-569))) (-15 -2670 ((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-569))) (-15 -2664 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2655 ((-1036) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2653 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2648 ((-1036) (-680 (-216)) (-569) (-680 (-216)) (-569) (-569) (-569) (-569) (-569))) (-15 -2643 ((-1036) (-569) (-569) (-216) (-216) (-569) (-569) (-680 (-216)) (-569))) (-15 -2637 ((-1036) (-569) (-569) (-569) (-216) (-121) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2632 ((-1036) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE))))) (-15 -2632 ((-1036) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE))) (-391))) (-15 -2627 ((-1036) (-569) (-569) (-569) (-569) (-569) (-121) (-569) (-121) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2621 ((-1036) (-569) (-569) (-569) (-569) (-569) (-121) (-569) (-121) (-569) (-680 (-170 (-216))) (-680 (-170 (-216))) (-569))))) (T -748)) 
+((-2621 (*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-121)) (-5 *5 (-680 (-170 (-216)))) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2627 (*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-121)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2632 (*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7 *8) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE)))) (-5 *8 (-391)) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2632 (*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE)))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2637 (*1 *2 *3 *3 *3 *4 *5 *3 *6 *6 *3) (-12 (-5 *3 (-569)) (-5 *5 (-121)) (-5 *6 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2643 (*1 *2 *3 *3 *4 *4 *3 *3 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2648 (*1 *2 *3 *4 *3 *4 *4 *4 *4 *4) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2653 (*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2655 (*1 *2 *3 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2664 (*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2670 (*1 *2 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2679 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2684 (*1 *2 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2689 (*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2693 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2698 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748))))) 
+(-10 -7 (-15 -2698 ((-1036) (-569) (-569) (-680 (-216)) (-569))) (-15 -2693 ((-1036) (-680 (-216)) (-569) (-569) (-569) (-569))) (-15 -2689 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2684 ((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2679 ((-1036) (-569) (-569) (-680 (-216)) (-569))) (-15 -2670 ((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-569))) (-15 -2664 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2655 ((-1036) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2653 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2648 ((-1036) (-680 (-216)) (-569) (-680 (-216)) (-569) (-569) (-569) (-569) (-569))) (-15 -2643 ((-1036) (-569) (-569) (-216) (-216) (-569) (-569) (-680 (-216)) (-569))) (-15 -2637 ((-1036) (-569) (-569) (-569) (-216) (-121) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2632 ((-1036) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE))))) (-15 -2632 ((-1036) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE))) (-391))) (-15 -2627 ((-1036) (-569) (-569) (-569) (-569) (-569) (-121) (-569) (-121) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2621 ((-1036) (-569) (-569) (-569) (-569) (-569) (-121) (-569) (-121) (-569) (-680 (-170 (-216))) (-680 (-170 (-216))) (-569)))) 
+((-3874 (((-1036) (-569) (-569) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-75 APROD)))) 60)) (-3881 (((-1036) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-569)) (-569) (-680 (-216)) (-569) (-569) (-569) (-569)) 56)) (-3887 (((-1036) (-569) (-680 (-216)) (-121) (-216) (-569) (-569) (-569) (-569) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 APROD))) (-3 (|:| |fn| (-391)) (|:| |fp| (-78 MSOLVE)))) 55)) (-3894 (((-1036) (-569) (-569) (-680 (-216)) (-569) (-680 (-569)) (-569) (-680 (-569)) (-680 (-216)) (-680 (-569)) (-680 (-569)) (-680 (-216)) (-680 (-216)) (-680 (-569)) (-569)) 36)) (-3901 (((-1036) (-569) (-569) (-569) (-216) (-569) (-680 (-216)) (-680 (-216)) (-569)) 35)) (-3906 (((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569)) 31)) (-2467 (((-1036) (-569) (-680 (-216)) (-569) (-680 (-569)) (-680 (-569)) (-569) (-680 (-569)) (-680 (-216))) 30)) (-2476 (((-1036) (-680 (-216)) (-569) (-680 (-216)) (-569) (-569) (-569)) 26)) (-2485 (((-1036) (-569) (-680 (-216)) (-569) (-680 (-216)) (-569)) 25)) (-2501 (((-1036) (-569) (-680 (-216)) (-569) (-680 (-216)) (-569)) 24)) (-2518 (((-1036) (-569) (-680 (-170 (-216))) (-569) (-569) (-569) (-569) (-680 (-170 (-216))) (-569)) 20))) 
+(((-749) (-10 -7 (-15 -2518 ((-1036) (-569) (-680 (-170 (-216))) (-569) (-569) (-569) (-569) (-680 (-170 (-216))) (-569))) (-15 -2501 ((-1036) (-569) (-680 (-216)) (-569) (-680 (-216)) (-569))) (-15 -2485 ((-1036) (-569) (-680 (-216)) (-569) (-680 (-216)) (-569))) (-15 -2476 ((-1036) (-680 (-216)) (-569) (-680 (-216)) (-569) (-569) (-569))) (-15 -2467 ((-1036) (-569) (-680 (-216)) (-569) (-680 (-569)) (-680 (-569)) (-569) (-680 (-569)) (-680 (-216)))) (-15 -3906 ((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3901 ((-1036) (-569) (-569) (-569) (-216) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3894 ((-1036) (-569) (-569) (-680 (-216)) (-569) (-680 (-569)) (-569) (-680 (-569)) (-680 (-216)) (-680 (-569)) (-680 (-569)) (-680 (-216)) (-680 (-216)) (-680 (-569)) (-569))) (-15 -3887 ((-1036) (-569) (-680 (-216)) (-121) (-216) (-569) (-569) (-569) (-569) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 APROD))) (-3 (|:| |fn| (-391)) (|:| |fp| (-78 MSOLVE))))) (-15 -3881 ((-1036) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-569)) (-569) (-680 (-216)) (-569) (-569) (-569) (-569))) (-15 -3874 ((-1036) (-569) (-569) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-75 APROD))))))) (T -749)) 
+((-3874 (*1 *2 *3 *3 *4 *4 *4 *4 *3 *3 *3 *3 *5 *3 *6) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-75 APROD)))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-749)))) (-3881 (*1 *2 *3 *4 *3 *4 *5 *3 *4 *3 *3 *3 *3) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-680 (-569))) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-749)))) (-3887 (*1 *2 *3 *4 *5 *6 *3 *3 *3 *3 *6 *3 *7 *8) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-121)) (-5 *6 (-216)) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-73 APROD)))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-78 MSOLVE)))) (-5 *2 (-1036)) (-5 *1 (-749)))) (-3894 (*1 *2 *3 *3 *4 *3 *5 *3 *5 *4 *5 *5 *4 *4 *5 *3) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-680 (-569))) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-749)))) (-3901 (*1 *2 *3 *3 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-749)))) (-3906 (*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-749)))) (-2467 (*1 *2 *3 *4 *3 *5 *5 *3 *5 *4) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-680 (-569))) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-749)))) (-2476 (*1 *2 *3 *4 *3 *4 *4 *4) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-749)))) (-2485 (*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-749)))) (-2501 (*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-749)))) (-2518 (*1 *2 *3 *4 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-170 (-216)))) (-5 *2 (-1036)) (-5 *1 (-749))))) 
+(-10 -7 (-15 -2518 ((-1036) (-569) (-680 (-170 (-216))) (-569) (-569) (-569) (-569) (-680 (-170 (-216))) (-569))) (-15 -2501 ((-1036) (-569) (-680 (-216)) (-569) (-680 (-216)) (-569))) (-15 -2485 ((-1036) (-569) (-680 (-216)) (-569) (-680 (-216)) (-569))) (-15 -2476 ((-1036) (-680 (-216)) (-569) (-680 (-216)) (-569) (-569) (-569))) (-15 -2467 ((-1036) (-569) (-680 (-216)) (-569) (-680 (-569)) (-680 (-569)) (-569) (-680 (-569)) (-680 (-216)))) (-15 -3906 ((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3901 ((-1036) (-569) (-569) (-569) (-216) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3894 ((-1036) (-569) (-569) (-680 (-216)) (-569) (-680 (-569)) (-569) (-680 (-569)) (-680 (-216)) (-680 (-569)) (-680 (-569)) (-680 (-216)) (-680 (-216)) (-680 (-569)) (-569))) (-15 -3887 ((-1036) (-569) (-680 (-216)) (-121) (-216) (-569) (-569) (-569) (-569) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 APROD))) (-3 (|:| |fn| (-391)) (|:| |fp| (-78 MSOLVE))))) (-15 -3881 ((-1036) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-569)) (-569) (-680 (-216)) (-569) (-569) (-569) (-569))) (-15 -3874 ((-1036) (-569) (-569) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-75 APROD)))))) 
+((-2574 (((-1036) (-1145) (-569) (-569) (-680 (-216)) (-569) (-569) (-680 (-216))) 28)) (-2580 (((-1036) (-1145) (-569) (-569) (-680 (-216))) 27)) (-2586 (((-1036) (-1145) (-569) (-569) (-680 (-216)) (-569) (-680 (-569)) (-569) (-680 (-216))) 26)) (-2593 (((-1036) (-569) (-569) (-569) (-680 (-216))) 20))) 
+(((-750) (-10 -7 (-15 -2593 ((-1036) (-569) (-569) (-569) (-680 (-216)))) (-15 -2586 ((-1036) (-1145) (-569) (-569) (-680 (-216)) (-569) (-680 (-569)) (-569) (-680 (-216)))) (-15 -2580 ((-1036) (-1145) (-569) (-569) (-680 (-216)))) (-15 -2574 ((-1036) (-1145) (-569) (-569) (-680 (-216)) (-569) (-569) (-680 (-216)))))) (T -750)) 
+((-2574 (*1 *2 *3 *4 *4 *5 *4 *4 *5) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-750)))) (-2580 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-750)))) (-2586 (*1 *2 *3 *4 *4 *5 *4 *6 *4 *5) (-12 (-5 *3 (-1145)) (-5 *5 (-680 (-216))) (-5 *6 (-680 (-569))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-750)))) (-2593 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-750))))) 
+(-10 -7 (-15 -2593 ((-1036) (-569) (-569) (-569) (-680 (-216)))) (-15 -2586 ((-1036) (-1145) (-569) (-569) (-680 (-216)) (-569) (-680 (-569)) (-569) (-680 (-216)))) (-15 -2580 ((-1036) (-1145) (-569) (-569) (-680 (-216)))) (-15 -2574 ((-1036) (-1145) (-569) (-569) (-680 (-216)) (-569) (-569) (-680 (-216))))) 
+((-3674 (((-1036) (-216) (-216) (-216) (-216) (-569)) 62)) (-3684 (((-1036) (-216) (-216) (-216) (-569)) 61)) (-3692 (((-1036) (-216) (-216) (-216) (-569)) 60)) (-3700 (((-1036) (-216) (-216) (-569)) 59)) (-3708 (((-1036) (-216) (-569)) 58)) (-3723 (((-1036) (-216) (-569)) 57)) (-3739 (((-1036) (-216) (-569)) 56)) (-3760 (((-1036) (-216) (-569)) 55)) (-3794 (((-1036) (-216) (-569)) 54)) (-3812 (((-1036) (-216) (-569)) 53)) (-3830 (((-1036) (-216) (-170 (-216)) (-569) (-1145) (-569)) 52)) (-3838 (((-1036) (-216) (-170 (-216)) (-569) (-1145) (-569)) 51)) (-3845 (((-1036) (-216) (-569)) 50)) (-3855 (((-1036) (-216) (-569)) 49)) (-3862 (((-1036) (-216) (-569)) 48)) (-3869 (((-1036) (-216) (-569)) 47)) (-2604 (((-1036) (-569) (-216) (-170 (-216)) (-569) (-1145) (-569)) 46)) (-2610 (((-1036) (-1145) (-170 (-216)) (-1145) (-569)) 45)) (-2616 (((-1036) (-1145) (-170 (-216)) (-1145) (-569)) 44)) (-3512 (((-1036) (-216) (-170 (-216)) (-569) (-1145) (-569)) 43)) (-3520 (((-1036) (-216) (-170 (-216)) (-569) (-1145) (-569)) 42)) (-3531 (((-1036) (-216) (-569)) 39)) (-3540 (((-1036) (-216) (-569)) 38)) (-3547 (((-1036) (-216) (-569)) 37)) (-3556 (((-1036) (-216) (-569)) 36)) (-3564 (((-1036) (-216) (-569)) 35)) (-3574 (((-1036) (-216) (-569)) 34)) (-3583 (((-1036) (-216) (-569)) 33)) (-3591 (((-1036) (-216) (-569)) 32)) (-3599 (((-1036) (-216) (-569)) 31)) (-3608 (((-1036) (-216) (-569)) 30)) (-3616 (((-1036) (-216) (-216) (-216) (-569)) 29)) (-3626 (((-1036) (-216) (-569)) 28)) (-3635 (((-1036) (-216) (-569)) 27)) (-3643 (((-1036) (-216) (-569)) 26)) (-3649 (((-1036) (-216) (-569)) 25)) (-3657 (((-1036) (-216) (-569)) 24)) (-3667 (((-1036) (-170 (-216)) (-569)) 20))) 
+(((-751) (-10 -7 (-15 -3667 ((-1036) (-170 (-216)) (-569))) (-15 -3657 ((-1036) (-216) (-569))) (-15 -3649 ((-1036) (-216) (-569))) (-15 -3643 ((-1036) (-216) (-569))) (-15 -3635 ((-1036) (-216) (-569))) (-15 -3626 ((-1036) (-216) (-569))) (-15 -3616 ((-1036) (-216) (-216) (-216) (-569))) (-15 -3608 ((-1036) (-216) (-569))) (-15 -3599 ((-1036) (-216) (-569))) (-15 -3591 ((-1036) (-216) (-569))) (-15 -3583 ((-1036) (-216) (-569))) (-15 -3574 ((-1036) (-216) (-569))) (-15 -3564 ((-1036) (-216) (-569))) (-15 -3556 ((-1036) (-216) (-569))) (-15 -3547 ((-1036) (-216) (-569))) (-15 -3540 ((-1036) (-216) (-569))) (-15 -3531 ((-1036) (-216) (-569))) (-15 -3520 ((-1036) (-216) (-170 (-216)) (-569) (-1145) (-569))) (-15 -3512 ((-1036) (-216) (-170 (-216)) (-569) (-1145) (-569))) (-15 -2616 ((-1036) (-1145) (-170 (-216)) (-1145) (-569))) (-15 -2610 ((-1036) (-1145) (-170 (-216)) (-1145) (-569))) (-15 -2604 ((-1036) (-569) (-216) (-170 (-216)) (-569) (-1145) (-569))) (-15 -3869 ((-1036) (-216) (-569))) (-15 -3862 ((-1036) (-216) (-569))) (-15 -3855 ((-1036) (-216) (-569))) (-15 -3845 ((-1036) (-216) (-569))) (-15 -3838 ((-1036) (-216) (-170 (-216)) (-569) (-1145) (-569))) (-15 -3830 ((-1036) (-216) (-170 (-216)) (-569) (-1145) (-569))) (-15 -3812 ((-1036) (-216) (-569))) (-15 -3794 ((-1036) (-216) (-569))) (-15 -3760 ((-1036) (-216) (-569))) (-15 -3739 ((-1036) (-216) (-569))) (-15 -3723 ((-1036) (-216) (-569))) (-15 -3708 ((-1036) (-216) (-569))) (-15 -3700 ((-1036) (-216) (-216) (-569))) (-15 -3692 ((-1036) (-216) (-216) (-216) (-569))) (-15 -3684 ((-1036) (-216) (-216) (-216) (-569))) (-15 -3674 ((-1036) (-216) (-216) (-216) (-216) (-569))))) (T -751)) 
+((-3674 (*1 *2 *3 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3684 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3692 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3700 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3708 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3723 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3739 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3760 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3794 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3812 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3830 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1145)) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3838 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1145)) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3845 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3855 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3862 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3869 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-2604 (*1 *2 *3 *4 *5 *3 *6 *3) (-12 (-5 *3 (-569)) (-5 *5 (-170 (-216))) (-5 *6 (-1145)) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-2610 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1145)) (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-2616 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1145)) (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3512 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1145)) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3520 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1145)) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3531 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3540 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3547 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3556 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3564 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3574 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3583 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3591 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3599 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3608 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3616 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3626 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3635 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3643 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3649 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3657 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3667 (*1 *2 *3 *4) (-12 (-5 *3 (-170 (-216))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(-10 -7 (-15 -3667 ((-1036) (-170 (-216)) (-569))) (-15 -3657 ((-1036) (-216) (-569))) (-15 -3649 ((-1036) (-216) (-569))) (-15 -3643 ((-1036) (-216) (-569))) (-15 -3635 ((-1036) (-216) (-569))) (-15 -3626 ((-1036) (-216) (-569))) (-15 -3616 ((-1036) (-216) (-216) (-216) (-569))) (-15 -3608 ((-1036) (-216) (-569))) (-15 -3599 ((-1036) (-216) (-569))) (-15 -3591 ((-1036) (-216) (-569))) (-15 -3583 ((-1036) (-216) (-569))) (-15 -3574 ((-1036) (-216) (-569))) (-15 -3564 ((-1036) (-216) (-569))) (-15 -3556 ((-1036) (-216) (-569))) (-15 -3547 ((-1036) (-216) (-569))) (-15 -3540 ((-1036) (-216) (-569))) (-15 -3531 ((-1036) (-216) (-569))) (-15 -3520 ((-1036) (-216) (-170 (-216)) (-569) (-1145) (-569))) (-15 -3512 ((-1036) (-216) (-170 (-216)) (-569) (-1145) (-569))) (-15 -2616 ((-1036) (-1145) (-170 (-216)) (-1145) (-569))) (-15 -2610 ((-1036) (-1145) (-170 (-216)) (-1145) (-569))) (-15 -2604 ((-1036) (-569) (-216) (-170 (-216)) (-569) (-1145) (-569))) (-15 -3869 ((-1036) (-216) (-569))) (-15 -3862 ((-1036) (-216) (-569))) (-15 -3855 ((-1036) (-216) (-569))) (-15 -3845 ((-1036) (-216) (-569))) (-15 -3838 ((-1036) (-216) (-170 (-216)) (-569) (-1145) (-569))) (-15 -3830 ((-1036) (-216) (-170 (-216)) (-569) (-1145) (-569))) (-15 -3812 ((-1036) (-216) (-569))) (-15 -3794 ((-1036) (-216) (-569))) (-15 -3760 ((-1036) (-216) (-569))) (-15 -3739 ((-1036) (-216) (-569))) (-15 -3723 ((-1036) (-216) (-569))) (-15 -3708 ((-1036) (-216) (-569))) (-15 -3700 ((-1036) (-216) (-216) (-569))) (-15 -3692 ((-1036) (-216) (-216) (-216) (-569))) (-15 -3684 ((-1036) (-216) (-216) (-216) (-569))) (-15 -3674 ((-1036) (-216) (-216) (-216) (-216) (-569)))) 
+((-1635 (((-1252)) 18)) (-2407 (((-1145)) 22)) (-1754 (((-1145)) 21)) (-1604 (((-1095) (-1163) (-680 (-569))) 35) (((-1095) (-1163) (-680 (-216))) 31)) (-4192 (((-121)) 16)) (-4128 (((-1145) (-1145)) 25))) 
+(((-752) (-10 -7 (-15 -1754 ((-1145))) (-15 -2407 ((-1145))) (-15 -4128 ((-1145) (-1145))) (-15 -1604 ((-1095) (-1163) (-680 (-216)))) (-15 -1604 ((-1095) (-1163) (-680 (-569)))) (-15 -4192 ((-121))) (-15 -1635 ((-1252))))) (T -752)) 
+((-1635 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-752)))) (-4192 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-752)))) (-1604 (*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-680 (-569))) (-5 *2 (-1095)) (-5 *1 (-752)))) (-1604 (*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-680 (-216))) (-5 *2 (-1095)) (-5 *1 (-752)))) (-4128 (*1 *2 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-752)))) (-2407 (*1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-752)))) (-1754 (*1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-752))))) 
+(-10 -7 (-15 -1754 ((-1145))) (-15 -2407 ((-1145))) (-15 -4128 ((-1145) (-1145))) (-15 -1604 ((-1095) (-1163) (-680 (-216)))) (-15 -1604 ((-1095) (-1163) (-680 (-569)))) (-15 -4192 ((-121))) (-15 -1635 ((-1252)))) 
+((-4293 (($ $ $) 10)) (-1383 (($ $ $ $) 9)) (-4033 (($ $ $) 12))) 
+(((-753 |#1|) (-10 -8 (-15 -4033 (|#1| |#1| |#1|)) (-15 -4293 (|#1| |#1| |#1|)) (-15 -1383 (|#1| |#1| |#1| |#1|))) (-754)) (T -753)) 
+NIL 
+(-10 -8 (-15 -4033 (|#1| |#1| |#1|)) (-15 -4293 (|#1| |#1| |#1|)) (-15 -1383 (|#1| |#1| |#1| |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-1628 (($ $ (-918)) 27)) (-3272 (($ $ (-918)) 28)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-4293 (($ $ $) 24)) (-2185 (((-851) $) 11)) (-1383 (($ $ $ $) 25)) (-4033 (($ $ $) 23)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 29)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 26))) 
+(((-754) (-1278)) (T -754)) 
+((-1383 (*1 *1 *1 *1 *1) (-4 *1 (-754))) (-4293 (*1 *1 *1 *1) (-4 *1 (-754))) (-4033 (*1 *1 *1 *1) (-4 *1 (-754)))) 
+(-13 (-21) (-711) (-10 -8 (-15 -1383 ($ $ $ $)) (-15 -4293 ($ $ $)) (-15 -4033 ($ $ $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-711) . T) ((-1091) . T)) 
+((-2185 (((-851) $) NIL) (($ (-569)) 10))) 
+(((-755 |#1|) (-10 -8 (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) (-756)) (T -755)) 
+NIL 
+(-10 -8 (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-1620 (((-3 $ "failed") $) 39)) (-1628 (($ $ (-918)) 27) (($ $ (-764)) 34)) (-3428 (((-3 $ "failed") $) 37)) (-1407 (((-121) $) 33)) (-4439 (((-3 $ "failed") $) 38)) (-3272 (($ $ (-918)) 28) (($ $ (-764)) 35)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-4293 (($ $ $) 24)) (-2185 (((-851) $) 11) (($ (-569)) 30)) (-1991 (((-764)) 31)) (-1383 (($ $ $ $) 25)) (-4033 (($ $ $) 23)) (-3369 (($) 17 T CONST)) (-1556 (($) 32 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 29) (($ $ (-764)) 36)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 26))) 
+(((-756) (-1278)) (T -756)) 
+((-1991 (*1 *2) (-12 (-4 *1 (-756)) (-5 *2 (-764)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-756))))) 
+(-13 (-754) (-713) (-10 -8 (-15 -1991 ((-764))) (-15 -2185 ($ (-569))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-711) . T) ((-713) . T) ((-754) . T) ((-1091) . T)) 
+((-1345 (((-635 (-2 (|:| |outval| (-170 |#1|)) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 (-170 |#1|)))))) (-680 (-170 (-410 (-569)))) |#1|) 27)) (-1613 (((-635 (-170 |#1|)) (-680 (-170 (-410 (-569)))) |#1|) 19)) (-2742 (((-954 (-170 (-410 (-569)))) (-680 (-170 (-410 (-569)))) (-1163)) 16) (((-954 (-170 (-410 (-569)))) (-680 (-170 (-410 (-569))))) 15))) 
+(((-757 |#1|) (-10 -7 (-15 -2742 ((-954 (-170 (-410 (-569)))) (-680 (-170 (-410 (-569)))))) (-15 -2742 ((-954 (-170 (-410 (-569)))) (-680 (-170 (-410 (-569)))) (-1163))) (-15 -1613 ((-635 (-170 |#1|)) (-680 (-170 (-410 (-569)))) |#1|)) (-15 -1345 ((-635 (-2 (|:| |outval| (-170 |#1|)) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 (-170 |#1|)))))) (-680 (-170 (-410 (-569)))) |#1|))) (-13 (-366) (-841))) (T -757)) 
+((-1345 (*1 *2 *3 *4) (-12 (-5 *3 (-680 (-170 (-410 (-569))))) (-5 *2 (-635 (-2 (|:| |outval| (-170 *4)) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 (-170 *4))))))) (-5 *1 (-757 *4)) (-4 *4 (-13 (-366) (-841))))) (-1613 (*1 *2 *3 *4) (-12 (-5 *3 (-680 (-170 (-410 (-569))))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-757 *4)) (-4 *4 (-13 (-366) (-841))))) (-2742 (*1 *2 *3 *4) (-12 (-5 *3 (-680 (-170 (-410 (-569))))) (-5 *4 (-1163)) (-5 *2 (-954 (-170 (-410 (-569))))) (-5 *1 (-757 *5)) (-4 *5 (-13 (-366) (-841))))) (-2742 (*1 *2 *3) (-12 (-5 *3 (-680 (-170 (-410 (-569))))) (-5 *2 (-954 (-170 (-410 (-569))))) (-5 *1 (-757 *4)) (-4 *4 (-13 (-366) (-841)))))) 
+(-10 -7 (-15 -2742 ((-954 (-170 (-410 (-569)))) (-680 (-170 (-410 (-569)))))) (-15 -2742 ((-954 (-170 (-410 (-569)))) (-680 (-170 (-410 (-569)))) (-1163))) (-15 -1613 ((-635 (-170 |#1|)) (-680 (-170 (-410 (-569)))) |#1|)) (-15 -1345 ((-635 (-2 (|:| |outval| (-170 |#1|)) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 (-170 |#1|)))))) (-680 (-170 (-410 (-569)))) |#1|))) 
+((-1303 (((-174 (-569)) |#1|) 25))) 
+(((-758 |#1|) (-10 -7 (-15 -1303 ((-174 (-569)) |#1|))) (-407)) (T -758)) 
+((-1303 (*1 *2 *3) (-12 (-5 *2 (-174 (-569))) (-5 *1 (-758 *3)) (-4 *3 (-407))))) 
+(-10 -7 (-15 -1303 ((-174 (-569)) |#1|))) 
+((-1811 ((|#1| |#1| |#1|) 24)) (-4040 ((|#1| |#1| |#1|) 23)) (-3029 ((|#1| |#1| |#1|) 31)) (-3402 ((|#1| |#1| |#1|) 27)) (-3551 (((-3 |#1| "failed") |#1| |#1|) 26)) (-4286 (((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|) 22))) 
+(((-759 |#1| |#2|) (-10 -7 (-15 -4286 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -4040 (|#1| |#1| |#1|)) (-15 -1811 (|#1| |#1| |#1|)) (-15 -3551 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3402 (|#1| |#1| |#1|)) (-15 -3029 (|#1| |#1| |#1|))) (-699 |#2|) (-366)) (T -759)) 
+((-3029 (*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-759 *2 *3)) (-4 *2 (-699 *3)))) (-3402 (*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-759 *2 *3)) (-4 *2 (-699 *3)))) (-3551 (*1 *2 *2 *2) (|partial| -12 (-4 *3 (-366)) (-5 *1 (-759 *2 *3)) (-4 *2 (-699 *3)))) (-1811 (*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-759 *2 *3)) (-4 *2 (-699 *3)))) (-4040 (*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-759 *2 *3)) (-4 *2 (-699 *3)))) (-4286 (*1 *2 *3 *3) (-12 (-4 *4 (-366)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-759 *3 *4)) (-4 *3 (-699 *4))))) 
+(-10 -7 (-15 -4286 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -4040 (|#1| |#1| |#1|)) (-15 -1811 (|#1| |#1| |#1|)) (-15 -3551 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3402 (|#1| |#1| |#1|)) (-15 -3029 (|#1| |#1| |#1|))) 
+((-2331 (((-1159 |#1|) (-635 |#1|)) 25))) 
+(((-760 |#1|) (-10 -7 (-15 -2331 ((-1159 |#1|) (-635 |#1|)))) (-559)) (T -760)) 
+((-2331 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-559)) (-5 *2 (-1159 *4)) (-5 *1 (-760 *4))))) 
+(-10 -7 (-15 -2331 ((-1159 |#1|) (-635 |#1|)))) 
+((-1627 (((-2 (|:| -3930 (-680 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-680 (-569)))) (-569)) 58)) (-3577 (((-2 (|:| -3930 (-680 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-680 (-569))))) 56)) (-2087 (((-569)) 68))) 
+(((-761 |#1| |#2|) (-10 -7 (-15 -2087 ((-569))) (-15 -3577 ((-2 (|:| -3930 (-680 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-680 (-569)))))) (-15 -1627 ((-2 (|:| -3930 (-680 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-680 (-569)))) (-569)))) (-1222 (-569)) (-412 (-569) |#1|)) (T -761)) 
+((-1627 (*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1222 *3)) (-5 *2 (-2 (|:| -3930 (-680 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-680 *3)))) (-5 *1 (-761 *4 *5)) (-4 *5 (-412 *3 *4)))) (-3577 (*1 *2) (-12 (-4 *3 (-1222 (-569))) (-5 *2 (-2 (|:| -3930 (-680 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-680 (-569))))) (-5 *1 (-761 *3 *4)) (-4 *4 (-412 (-569) *3)))) (-2087 (*1 *2) (-12 (-4 *3 (-1222 *2)) (-5 *2 (-569)) (-5 *1 (-761 *3 *4)) (-4 *4 (-412 *2 *3))))) 
+(-10 -7 (-15 -2087 ((-569))) (-15 -3577 ((-2 (|:| -3930 (-680 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-680 (-569)))))) (-15 -1627 ((-2 (|:| -3930 (-680 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-680 (-569)))) (-569)))) 
+((-2568 (((-121) $ $) NIL)) (-2428 (((-3 (|:| |nia| (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) $) 15)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 14) (($ (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 8) (($ (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 10) (($ (-3 (|:| |nia| (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) 12)) (-1668 (((-121) $ $) NIL))) 
+(((-762) (-13 (-1091) (-10 -8 (-15 -2185 ($ (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2185 ($ (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2185 ($ (-3 (|:| |nia| (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (-15 -2185 ((-851) $)) (-15 -2428 ((-3 (|:| |nia| (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) $))))) (T -762)) 
+((-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-762)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-762)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-762)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) (-5 *1 (-762)))) (-2428 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) (-5 *1 (-762))))) 
+(-13 (-1091) (-10 -8 (-15 -2185 ($ (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2185 ($ (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2185 ($ (-3 (|:| |nia| (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (-15 -2185 ((-851) $)) (-15 -2428 ((-3 (|:| |nia| (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) $)))) 
+((-1311 (((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-954 |#1|))) 14) (((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-954 |#1|)) (-635 (-1163))) 13)) (-4435 (((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-954 |#1|))) 16) (((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-954 |#1|)) (-635 (-1163))) 15))) 
+(((-763 |#1|) (-10 -7 (-15 -1311 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-954 |#1|)) (-635 (-1163)))) (-15 -1311 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-954 |#1|)))) (-15 -4435 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-954 |#1|)) (-635 (-1163)))) (-15 -4435 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-954 |#1|))))) (-559)) (T -763)) 
+((-4435 (*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *4)))))) (-5 *1 (-763 *4)))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-635 (-1163))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *5)))))) (-5 *1 (-763 *5)))) (-1311 (*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *4)))))) (-5 *1 (-763 *4)))) (-1311 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-635 (-1163))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *5)))))) (-5 *1 (-763 *5))))) 
+(-10 -7 (-15 -1311 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-954 |#1|)) (-635 (-1163)))) (-15 -1311 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-954 |#1|)))) (-15 -4435 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-954 |#1|)) (-635 (-1163)))) (-15 -4435 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-954 |#1|))))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1498 (($ $ $) 6)) (-2327 (((-3 $ "failed") $ $) 9)) (-3036 (($ $ (-569)) 7)) (-2820 (($) NIL T CONST)) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($ $) NIL)) (-2524 (($ $ $) NIL)) (-1407 (((-121) $) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2714 (($ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-2185 (((-851) $) NIL)) (-2427 (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (* (($ (-764) $) NIL) (($ (-918) $) NIL) (($ $ $) NIL))) 
+(((-764) (-13 (-789) (-717) (-10 -8 (-15 -2524 ($ $ $)) (-15 -2506 ($ $ $)) (-15 -2714 ($ $ $)) (-15 -2609 ((-2 (|:| -4268 $) (|:| -1830 $)) $ $)) (-15 -2941 ((-3 $ "failed") $ $)) (-15 -3036 ($ $ (-569))) (-15 -4327 ($ $)) (-6 (-4537 "*"))))) (T -764)) 
+((-2524 (*1 *1 *1 *1) (-5 *1 (-764))) (-2506 (*1 *1 *1 *1) (-5 *1 (-764))) (-2714 (*1 *1 *1 *1) (-5 *1 (-764))) (-2609 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -4268 (-764)) (|:| -1830 (-764)))) (-5 *1 (-764)))) (-2941 (*1 *1 *1 *1) (|partial| -5 *1 (-764))) (-3036 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-764)))) (-4327 (*1 *1 *1) (-5 *1 (-764)))) 
+(-13 (-789) (-717) (-10 -8 (-15 -2524 ($ $ $)) (-15 -2506 ($ $ $)) (-15 -2714 ($ $ $)) (-15 -2609 ((-2 (|:| -4268 $) (|:| -1830 $)) $ $)) (-15 -2941 ((-3 $ "failed") $ $)) (-15 -3036 ($ $ (-569))) (-15 -4327 ($ $)) (-6 (-4537 "*")))) 
+((-4435 (((-3 |#2| "failed") |#2| |#2| (-123) (-1163)) 35))) 
+(((-765 |#1| |#2|) (-10 -7 (-15 -4435 ((-3 |#2| "failed") |#2| |#2| (-123) (-1163)))) (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151)) (-13 (-29 |#1|) (-1183) (-960))) (T -765)) 
+((-4435 (*1 *2 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-1163)) (-4 *5 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *1 (-765 *5 *2)) (-4 *2 (-13 (-29 *5) (-1183) (-960)))))) 
+(-10 -7 (-15 -4435 ((-3 |#2| "failed") |#2| |#2| (-123) (-1163)))) 
+((-2185 (((-767) |#1|) 8))) 
+(((-766 |#1|) (-10 -7 (-15 -2185 ((-767) |#1|))) (-1197)) (T -766)) 
+((-2185 (*1 *2 *3) (-12 (-5 *2 (-767)) (-5 *1 (-766 *3)) (-4 *3 (-1197))))) 
+(-10 -7 (-15 -2185 ((-767) |#1|))) 
+((-2568 (((-121) $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 7)) (-1668 (((-121) $ $) 9))) 
+(((-767) (-1091)) (T -767)) 
+NIL 
+(-1091) 
+((-4308 ((|#2| |#4|) 35))) 
+(((-768 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4308 (|#2| |#4|))) (-454) (-1222 |#1|) (-715 |#1| |#2|) (-1222 |#3|)) (T -768)) 
+((-4308 (*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-715 *4 *2)) (-4 *2 (-1222 *4)) (-5 *1 (-768 *4 *2 *5 *3)) (-4 *3 (-1222 *5))))) 
+(-10 -7 (-15 -4308 (|#2| |#4|))) 
+((-3428 (((-2 (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|) 56)) (-3229 (((-1252) (-1145) (-1145) |#4| |#5|) 33)) (-1993 ((|#4| |#4| |#5|) 72)) (-2521 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#5|) 76)) (-4059 (((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|) 15))) 
+(((-769 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3428 ((-2 (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|)) (-15 -1993 (|#4| |#4| |#5|)) (-15 -2521 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#5|)) (-15 -3229 ((-1252) (-1145) (-1145) |#4| |#5|)) (-15 -4059 ((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|))) (-454) (-789) (-843) (-1062 |#1| |#2| |#3|) (-1067 |#1| |#2| |#3| |#4|)) (T -769)) 
+((-4059 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4003 *4)))) (-5 *1 (-769 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-3229 (*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-1145)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *4 (-1062 *6 *7 *8)) (-5 *2 (-1252)) (-5 *1 (-769 *6 *7 *8 *4 *5)) (-4 *5 (-1067 *6 *7 *8 *4)))) (-2521 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-769 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-1993 (*1 *2 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *2 (-1062 *4 *5 *6)) (-5 *1 (-769 *4 *5 *6 *2 *3)) (-4 *3 (-1067 *4 *5 *6 *2)))) (-3428 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *3))) (-5 *1 (-769 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
+(-10 -7 (-15 -3428 ((-2 (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|)) (-15 -1993 (|#4| |#4| |#5|)) (-15 -2521 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#5|)) (-15 -3229 ((-1252) (-1145) (-1145) |#4| |#5|)) (-15 -4059 ((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|))) 
+((-1647 (((-3 (-1159 (-1159 |#1|)) "failed") |#4|) 43)) (-4008 (((-635 |#4|) |#4|) 15)) (-1907 ((|#4| |#4|) 11))) 
+(((-770 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4008 ((-635 |#4|) |#4|)) (-15 -1647 ((-3 (-1159 (-1159 |#1|)) "failed") |#4|)) (-15 -1907 (|#4| |#4|))) (-351) (-328 |#1|) (-1222 |#2|) (-1222 |#3|) (-918)) (T -770)) 
+((-1907 (*1 *2 *2) (-12 (-4 *3 (-351)) (-4 *4 (-328 *3)) (-4 *5 (-1222 *4)) (-5 *1 (-770 *3 *4 *5 *2 *6)) (-4 *2 (-1222 *5)) (-14 *6 (-918)))) (-1647 (*1 *2 *3) (|partial| -12 (-4 *4 (-351)) (-4 *5 (-328 *4)) (-4 *6 (-1222 *5)) (-5 *2 (-1159 (-1159 *4))) (-5 *1 (-770 *4 *5 *6 *3 *7)) (-4 *3 (-1222 *6)) (-14 *7 (-918)))) (-4008 (*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *5 (-328 *4)) (-4 *6 (-1222 *5)) (-5 *2 (-635 *3)) (-5 *1 (-770 *4 *5 *6 *3 *7)) (-4 *3 (-1222 *6)) (-14 *7 (-918))))) 
+(-10 -7 (-15 -4008 ((-635 |#4|) |#4|)) (-15 -1647 ((-3 (-1159 (-1159 |#1|)) "failed") |#4|)) (-15 -1907 (|#4| |#4|))) 
+((-2568 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-2428 (($ (-1204 |#1|)) 21)) (-3428 (((-3 $ "failed") $) NIL)) (-1407 (((-121) $) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 26)) (-3360 (((-1109) $) NIL)) (-1414 (($ $ $) NIL)) (-4293 (($ $ $) NIL)) (-2185 (((-851) $) 11)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-1556 (($) 18 T CONST)) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ $ $) 24))) 
+(((-771 |#1|) (-13 (-479) (-10 -8 (-15 -2428 ($ (-1204 |#1|))))) (-351)) (T -771)) 
+((-2428 (*1 *1 *2) (-12 (-5 *2 (-1204 *3)) (-4 *3 (-351)) (-5 *1 (-771 *3))))) 
+(-13 (-479) (-10 -8 (-15 -2428 ($ (-1204 |#1|))))) 
+((-4361 (((-2 (|:| |deter| (-635 (-1159 |#5|))) (|:| |dterm| (-635 (-635 (-2 (|:| -3358 (-764)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (-635 |#1|)) (|:| |nlead| (-635 |#5|))) (-1159 |#5|) (-635 |#1|) (-635 |#5|)) 51)) (-1916 (((-635 (-764)) |#1|) 12))) 
+(((-772 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4361 ((-2 (|:| |deter| (-635 (-1159 |#5|))) (|:| |dterm| (-635 (-635 (-2 (|:| -3358 (-764)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (-635 |#1|)) (|:| |nlead| (-635 |#5|))) (-1159 |#5|) (-635 |#1|) (-635 |#5|))) (-15 -1916 ((-635 (-764)) |#1|))) (-1222 |#4|) (-789) (-843) (-302) (-951 |#4| |#2| |#3|)) (T -772)) 
+((-1916 (*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302)) (-5 *2 (-635 (-764))) (-5 *1 (-772 *3 *4 *5 *6 *7)) (-4 *3 (-1222 *6)) (-4 *7 (-951 *6 *4 *5)))) (-4361 (*1 *2 *3 *4 *5) (-12 (-4 *6 (-1222 *9)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *9 (-302)) (-4 *10 (-951 *9 *7 *8)) (-5 *2 (-2 (|:| |deter| (-635 (-1159 *10))) (|:| |dterm| (-635 (-635 (-2 (|:| -3358 (-764)) (|:| |pcoef| *10))))) (|:| |nfacts| (-635 *6)) (|:| |nlead| (-635 *10)))) (-5 *1 (-772 *6 *7 *8 *9 *10)) (-5 *3 (-1159 *10)) (-5 *4 (-635 *6)) (-5 *5 (-635 *10))))) 
+(-10 -7 (-15 -4361 ((-2 (|:| |deter| (-635 (-1159 |#5|))) (|:| |dterm| (-635 (-635 (-2 (|:| -3358 (-764)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (-635 |#1|)) (|:| |nlead| (-635 |#5|))) (-1159 |#5|) (-635 |#1|) (-635 |#5|))) (-15 -1916 ((-635 (-764)) |#1|))) 
+((-3790 (((-2 (|:| -2626 (-569)) (|:| -1475 (-569)) (|:| -4268 (-569)) (|:| |reste| (-569)) (|:| -1612 (-3 "left" "center" "right" "vertical" "horizontal"))) (-635 |#2|)) 18) (((-2 (|:| -2626 (-569)) (|:| -1475 (-569)) (|:| -4268 (-569)) (|:| |reste| (-569)) (|:| -1612 (-3 "left" "center" "right" "vertical" "horizontal"))) |#2| |#2|) 16)) (-3844 (((-635 (-635 |#2|)) |#2| (-569) (-569) (-3 "left" "center" "right" "vertical" "horizontal")) 32)) (-1898 (((-635 (-635 |#2|)) |#2| (-635 (-635 |#2|))) 24)) (-2646 (((-764) (-635 (-635 |#2|))) 27))) 
+(((-773 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3844 ((-635 (-635 |#2|)) |#2| (-569) (-569) (-3 "left" "center" "right" "vertical" "horizontal"))) (-15 -2646 ((-764) (-635 (-635 |#2|)))) (-15 -1898 ((-635 (-635 |#2|)) |#2| (-635 (-635 |#2|)))) (-15 -3790 ((-2 (|:| -2626 (-569)) (|:| -1475 (-569)) (|:| -4268 (-569)) (|:| |reste| (-569)) (|:| -1612 (-3 "left" "center" "right" "vertical" "horizontal"))) |#2| |#2|)) (-15 -3790 ((-2 (|:| -2626 (-569)) (|:| -1475 (-569)) (|:| -4268 (-569)) (|:| |reste| (-569)) (|:| -1612 (-3 "left" "center" "right" "vertical" "horizontal"))) (-635 |#2|)))) (-1048) (-325 |#1| |#3|) (-231 |#4| (-764)) (-764)) (T -773)) 
+((-3790 (*1 *2 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-325 *4 *6)) (-4 *6 (-231 *7 (-764))) (-14 *7 (-764)) (-4 *4 (-1048)) (-5 *2 (-2 (|:| -2626 (-569)) (|:| -1475 (-569)) (|:| -4268 (-569)) (|:| |reste| (-569)) (|:| -1612 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-773 *4 *5 *6 *7)))) (-3790 (*1 *2 *3 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *2 (-2 (|:| -2626 (-569)) (|:| -1475 (-569)) (|:| -4268 (-569)) (|:| |reste| (-569)) (|:| -1612 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-773 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) (-1898 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-325 *4 *5)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-4 *4 (-1048)) (-5 *1 (-773 *4 *3 *5 *6)))) (-2646 (*1 *2 *3) (-12 (-5 *3 (-635 (-635 *5))) (-4 *5 (-325 *4 *6)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-4 *4 (-1048)) (-5 *2 (-764)) (-5 *1 (-773 *4 *5 *6 *7)))) (-3844 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-569)) (-5 *5 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *6 (-1048)) (-4 *7 (-231 *8 (-764))) (-14 *8 (-764)) (-5 *2 (-635 (-635 *3))) (-5 *1 (-773 *6 *3 *7 *8)) (-4 *3 (-325 *6 *7))))) 
+(-10 -7 (-15 -3844 ((-635 (-635 |#2|)) |#2| (-569) (-569) (-3 "left" "center" "right" "vertical" "horizontal"))) (-15 -2646 ((-764) (-635 (-635 |#2|)))) (-15 -1898 ((-635 (-635 |#2|)) |#2| (-635 (-635 |#2|)))) (-15 -3790 ((-2 (|:| -2626 (-569)) (|:| -1475 (-569)) (|:| -4268 (-569)) (|:| |reste| (-569)) (|:| -1612 (-3 "left" "center" "right" "vertical" "horizontal"))) |#2| |#2|)) (-15 -3790 ((-2 (|:| -2626 (-569)) (|:| -1475 (-569)) (|:| -4268 (-569)) (|:| |reste| (-569)) (|:| -1612 (-3 "left" "center" "right" "vertical" "horizontal"))) (-635 |#2|)))) 
+((-2613 (((-635 (-2 (|:| |outval| |#1|) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 |#1|))))) (-680 (-410 (-569))) |#1|) 27)) (-3102 (((-635 |#1|) (-680 (-410 (-569))) |#1|) 19)) (-2742 (((-954 (-410 (-569))) (-680 (-410 (-569))) (-1163)) 16) (((-954 (-410 (-569))) (-680 (-410 (-569)))) 15))) 
+(((-774 |#1|) (-10 -7 (-15 -2742 ((-954 (-410 (-569))) (-680 (-410 (-569))))) (-15 -2742 ((-954 (-410 (-569))) (-680 (-410 (-569))) (-1163))) (-15 -3102 ((-635 |#1|) (-680 (-410 (-569))) |#1|)) (-15 -2613 ((-635 (-2 (|:| |outval| |#1|) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 |#1|))))) (-680 (-410 (-569))) |#1|))) (-13 (-366) (-841))) (T -774)) 
+((-2613 (*1 *2 *3 *4) (-12 (-5 *3 (-680 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| |outval| *4) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 *4)))))) (-5 *1 (-774 *4)) (-4 *4 (-13 (-366) (-841))))) (-3102 (*1 *2 *3 *4) (-12 (-5 *3 (-680 (-410 (-569)))) (-5 *2 (-635 *4)) (-5 *1 (-774 *4)) (-4 *4 (-13 (-366) (-841))))) (-2742 (*1 *2 *3 *4) (-12 (-5 *3 (-680 (-410 (-569)))) (-5 *4 (-1163)) (-5 *2 (-954 (-410 (-569)))) (-5 *1 (-774 *5)) (-4 *5 (-13 (-366) (-841))))) (-2742 (*1 *2 *3) (-12 (-5 *3 (-680 (-410 (-569)))) (-5 *2 (-954 (-410 (-569)))) (-5 *1 (-774 *4)) (-4 *4 (-13 (-366) (-841)))))) 
+(-10 -7 (-15 -2742 ((-954 (-410 (-569))) (-680 (-410 (-569))))) (-15 -2742 ((-954 (-410 (-569))) (-680 (-410 (-569))) (-1163))) (-15 -3102 ((-635 |#1|) (-680 (-410 (-569))) |#1|)) (-15 -2613 ((-635 (-2 (|:| |outval| |#1|) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 |#1|))))) (-680 (-410 (-569))) |#1|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 10)) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) NIL)) (-2247 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3136 (($ $ (-569) (-569)) NIL) (($ $ (-569)) NIL)) (-4360 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL)) (-1403 (((-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-4459 (($ $) NIL)) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3138 (($ $ (-569)) NIL (|has| $ (-6 -4536)))) (-3934 (((-121) $ $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-3036 (($ $ (-569)) 36)) (-3891 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4536)))) (-3014 (($ $ $) NIL (|has| $ (-6 -4536)))) (-1868 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4536)))) (-3159 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4536)))) (-4469 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4536))) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-1213 (-569)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4536))) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ "last" (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4536))) (($ $ "rest" $) NIL (|has| $ (-6 -4536))) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ "first" (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4536))) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ "value" (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) NIL (|has| $ (-6 -4536)))) (-3343 (($ (-569) |#1| $) 41)) (-1962 (($ (-1 (-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-1669 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL)) (-1364 (($ $ $) 51)) (-2820 (($) NIL T CONST)) (-3913 (($ $) 21)) (-2046 (($ $ (-764)) NIL) (($ $) 14)) (-1783 (($ (-569) $) 78) (($ $) 31)) (-3338 (($ $) 35)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1091))))) (-4347 (($ (-1 (-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL) (($ (-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1091))))) (-2506 (($ $ $) NIL)) (-4020 (($ $) NIL)) (-1774 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $ (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1091)))) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4535))) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4535)))) (-3428 (((-3 $ "failed") $) 38)) (-2524 (($ $ $) NIL)) (-2726 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4536)))) (-1618 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569)) NIL)) (-3987 (((-121) (-121)) 30) (((-121)) 29)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-3108 (((-121) $) NIL)) (-1372 (($ $) 22)) (-2777 (((-121) $) NIL)) (-3470 (((-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4535)))) (-3610 (((-3 (-569) "failed") $) 16)) (-2558 (((-569) $ (-569)) NIL) (((-569) $) 19) (((-569) $) 19)) (-1407 (((-121) $) NIL)) (-2534 (((-764) $) NIL)) (-4032 (((-635 $) $) NIL)) (-4349 (((-121) $ $) NIL (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1091)))) (-2659 (($ (-764) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL)) (-3089 (($ $ (-918)) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3523 (((-121) $) NIL)) (-4476 (($ (-635 $) (-635 (-764)) (-569)) 85)) (-1763 (($ $ (-635 (-1076)) (-635 (-569))) NIL) (($ $ (-1076) (-569)) NIL) (($ |#1| (-569)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-4259 (((-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1853 (($ (-1 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $ $) NIL) (($ (-1 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2824 (((-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-3486 (((-121) $) NIL)) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1572 (($ $) NIL)) (-2796 (((-121) $) NIL)) (-2776 (((-1145) $) NIL)) (-4213 (($ $ (-764)) NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL)) (-1795 (($ $) 39)) (-3614 (($ (-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1867 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) 12)) (-4353 (($ $ (-764)) NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL)) (-2562 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569)) 24)) (-4431 ((|#1| $ (-569)) 25)) (-2502 (((-3 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) "failed") (-1 (-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-3669 (($ $ (-569)) 89)) (-3174 (($ $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4536)))) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3499 (($ $ (-569)) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2695 (((-121) $) NIL)) (-2134 (((-121) $) NIL)) (-1642 (((-121) $) NIL)) (-4177 (((-121) (-1 (-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4535)))) (-1468 (((-1143 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-569))))) (($ $ (-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) (-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) NIL (-12 (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1091)))) (($ $ (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (-12 (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1091)))) (($ $ (-289 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) NIL (-12 (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1091)))) (($ $ (-635 (-289 (-2 (|:| |k| (-569)) (|:| |c| |#1|))))) NIL (-12 (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1091))))) (-2622 (((-764) $) NIL)) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1091))))) (-2691 (((-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-1601 (((-121) $) 23)) (-1296 (($) 94)) (-1534 (($ $ $) NIL (|has| (-569) (-1103))) ((|#1| $ (-569)) NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569)) NIL) (($ $ (-1213 (-569))) NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ "last") NIL) (($ $ "rest") NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ "first") NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ "value") NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-1686 (((-569) $ $) NIL)) (-3899 (($ $) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-2906 (($ (-1 $)) 34)) (-2492 (((-569) $) NIL)) (-1472 (((-121) $) NIL)) (-2645 (($ $) NIL)) (-2780 (($ $) NIL (|has| $ (-6 -4536)))) (-4035 (((-764) $) NIL)) (-4343 (($ $) NIL)) (-2846 (((-764) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1091)))) (((-764) (-1 (-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 95)) (-2697 (($ $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4536))) (($ $ $) NIL (|has| $ (-6 -4536)))) (-2250 (($ $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL) (($ (-635 $)) NIL) (($ (-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) 32) (($ $ $) NIL)) (-3659 (($ $) NIL)) (-2185 (((-851) $) 65) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 27) (((-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 26)) (-1653 ((|#1| $ (-569)) NIL)) (-3095 ((|#1| $) 86)) (-4114 (((-635 $) $) NIL)) (-2447 (((-121) $ $) NIL (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1091)))) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-4030 ((|#1| $) NIL)) (-1961 (((-121) $ $) NIL)) (-2994 ((|#1| $ (-569)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2066 (((-121) (-1 (-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4535)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 17 T CONST)) (-1556 (($) 74 T CONST)) (-3022 (($ $) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL) (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) 47) (($ $ $) 43)) (-1707 (($ $ $) 53)) (** (($ $ (-918)) NIL) (($ $ (-764)) 79) (($ $ (-569)) 52)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 42) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ |#1| $) 46) (($ $ |#1|) 100)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-775 |#1|) (-13 (-642 |#1|) (-666 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) (-10 -8 (-15 -2562 ((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569))))) (-366)) (T -775)) 
+((-2562 (*1 *2 *1 *3) (-12 (-5 *2 (-2 (|:| |k| (-569)) (|:| |c| *4))) (-5 *1 (-775 *4)) (-4 *4 (-366)) (-5 *3 (-569))))) 
+(-13 (-642 |#1|) (-666 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) (-10 -8 (-15 -2562 ((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569))))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 34)) (-1773 (((-635 |#2|) $) NIL)) (-1739 (((-1159 $) $ |#2|) NIL) (((-1159 |#1|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 |#2|)) NIL)) (-4459 (($ $) 28)) (-4482 (((-121) $ $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3306 (($ $ $) 92 (|has| |#1| (-559)))) (-3106 (((-635 $) $ $) 105 (|has| |#1| (-559)))) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-2004 (($ $) NIL (|has| |#1| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 |#2| "failed") $) NIL) (((-3 $ "failed") (-954 (-410 (-569)))) NIL (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1163))))) (((-3 $ "failed") (-954 (-569))) NIL (-2232 (-12 (|has| |#1| (-43 (-569))) (|has| |#2| (-610 (-1163))) (-3864 (|has| |#1| (-43 (-410 (-569)))))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1163)))))) (((-3 $ "failed") (-954 |#1|)) NIL (-2232 (-12 (|has| |#2| (-610 (-1163))) (-3864 (|has| |#1| (-43 (-410 (-569))))) (-3864 (|has| |#1| (-43 (-569))))) (-12 (|has| |#1| (-43 (-569))) (|has| |#2| (-610 (-1163))) (-3864 (|has| |#1| (-43 (-410 (-569))))) (-3864 (|has| |#1| (-551)))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1163))) (-3864 (|has| |#1| (-994 (-569))))))) (((-3 (-1114 |#1| |#2|) "failed") $) 18)) (-2428 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1038 (-569)))) ((|#2| $) NIL) (($ (-954 (-410 (-569)))) NIL (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1163))))) (($ (-954 (-569))) NIL (-2232 (-12 (|has| |#1| (-43 (-569))) (|has| |#2| (-610 (-1163))) (-3864 (|has| |#1| (-43 (-410 (-569)))))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1163)))))) (($ (-954 |#1|)) NIL (-2232 (-12 (|has| |#2| (-610 (-1163))) (-3864 (|has| |#1| (-43 (-410 (-569))))) (-3864 (|has| |#1| (-43 (-569))))) (-12 (|has| |#1| (-43 (-569))) (|has| |#2| (-610 (-1163))) (-3864 (|has| |#1| (-43 (-410 (-569))))) (-3864 (|has| |#1| (-551)))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1163))) (-3864 (|has| |#1| (-994 (-569))))))) (((-1114 |#1| |#2|) $) NIL)) (-3493 (($ $ $ |#2|) NIL (|has| |#1| (-173))) (($ $ $) 103 (|has| |#1| (-559)))) (-4020 (($ $) NIL) (($ $ |#2|) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) NIL) (((-680 |#1|) (-680 $)) NIL)) (-3255 (((-121) $ $) NIL) (((-121) $ (-635 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1381 (((-121) $) NIL)) (-1884 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 69)) (-2958 (($ $) 118 (|has| |#1| (-454)))) (-1340 (($ $) NIL (|has| |#1| (-454))) (($ $ |#2|) NIL (|has| |#1| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#1| (-905)))) (-4433 (($ $) NIL (|has| |#1| (-559)))) (-1985 (($ $) NIL (|has| |#1| (-559)))) (-1816 (($ $ $) 64) (($ $ $ |#2|) NIL)) (-2949 (($ $ $) 67) (($ $ $ |#2|) NIL)) (-1667 (($ $ |#1| (-535 |#2|) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| |#1| (-882 (-382))) (|has| |#2| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| |#1| (-882 (-569))) (|has| |#2| (-882 (-569)))))) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-3977 (((-121) $ $) NIL) (((-121) $ (-635 $)) NIL)) (-2465 (($ $ $ $ $) 89 (|has| |#1| (-559)))) (-4357 ((|#2| $) 19)) (-1768 (($ (-1159 |#1|) |#2|) NIL) (($ (-1159 $) |#2|) NIL)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-535 |#2|)) NIL) (($ $ |#2| (-764)) 36) (($ $ (-635 |#2|) (-635 (-764))) NIL)) (-1634 (($ $ $) 60)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ |#2|) NIL)) (-2235 (((-121) $) NIL)) (-4002 (((-535 |#2|) $) NIL) (((-764) $ |#2|) NIL) (((-635 (-764)) $ (-635 |#2|)) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-2592 (((-764) $) 20)) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-2658 (($ (-1 (-535 |#2|) (-535 |#2|)) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-1637 (((-3 |#2| "failed") $) NIL)) (-3249 (($ $) NIL (|has| |#1| (-454)))) (-4356 (($ $) NIL (|has| |#1| (-454)))) (-2539 (((-635 $) $) NIL)) (-1528 (($ $) 37)) (-3193 (($ $) NIL (|has| |#1| (-454)))) (-3548 (((-635 $) $) 41)) (-4270 (($ $) 39)) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL) (($ $ |#2|) 45)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2342 (((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -3797 (-764))) $ $) 81)) (-1586 (((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -4268 $) (|:| -1830 $)) $ $) 66) (((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -4268 $) (|:| -1830 $)) $ $ |#2|) NIL)) (-2280 (((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -1830 $)) $ $) NIL) (((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -1830 $)) $ $ |#2|) NIL)) (-1432 (($ $ $) 71) (($ $ $ |#2|) NIL)) (-2470 (($ $ $) 74) (($ $ $ |#2|) NIL)) (-2776 (((-1145) $) NIL)) (-3988 (($ $ $) 107 (|has| |#1| (-559)))) (-1955 (((-635 $) $) 30)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| |#2|) (|:| -2356 (-764))) "failed") $) NIL)) (-3409 (((-121) $ $) NIL) (((-121) $ (-635 $)) NIL)) (-3005 (($ $ $) NIL)) (-4043 (($ $) 21)) (-2673 (((-121) $ $) NIL)) (-4310 (((-121) $ $) NIL) (((-121) $ (-635 $)) NIL)) (-2533 (($ $ $) NIL)) (-3975 (($ $) 23)) (-3360 (((-1109) $) NIL)) (-3019 (((-2 (|:| -2714 $) (|:| |coef2| $)) $ $) 98 (|has| |#1| (-559)))) (-2458 (((-2 (|:| -2714 $) (|:| |coef1| $)) $ $) 95 (|has| |#1| (-559)))) (-1798 (((-121) $) 52)) (-1801 ((|#1| $) 55)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-454)))) (-2714 ((|#1| |#1| $) 115 (|has| |#1| (-454))) (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-905)))) (-4442 (((-2 (|:| -2714 $) (|:| |coef1| $) (|:| |coef2| $)) $ $) 101 (|has| |#1| (-559)))) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) 83 (|has| |#1| (-559)))) (-2111 (($ $ |#1|) 111 (|has| |#1| (-559))) (($ $ $) NIL (|has| |#1| (-559)))) (-4501 (($ $ |#1|) 110 (|has| |#1| (-559))) (($ $ $) NIL (|has| |#1| (-559)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ |#2| |#1|) NIL) (($ $ (-635 |#2|) (-635 |#1|)) NIL) (($ $ |#2| $) NIL) (($ $ (-635 |#2|) (-635 $)) NIL)) (-2087 (($ $ |#2|) NIL (|has| |#1| (-173)))) (-3899 (($ $ |#2|) NIL) (($ $ (-635 |#2|)) NIL) (($ $ |#2| (-764)) NIL) (($ $ (-635 |#2|) (-635 (-764))) NIL)) (-2492 (((-535 |#2|) $) NIL) (((-764) $ |#2|) 43) (((-635 (-764)) $ (-635 |#2|)) NIL)) (-2782 (($ $) NIL)) (-1392 (($ $) 33)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| |#1| (-610 (-888 (-382)))) (|has| |#2| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| |#1| (-610 (-888 (-569)))) (|has| |#2| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| |#1| (-610 (-542))) (|has| |#2| (-610 (-542))))) (($ (-954 (-410 (-569)))) NIL (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1163))))) (($ (-954 (-569))) NIL (-2232 (-12 (|has| |#1| (-43 (-569))) (|has| |#2| (-610 (-1163))) (-3864 (|has| |#1| (-43 (-410 (-569)))))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1163)))))) (($ (-954 |#1|)) NIL (|has| |#2| (-610 (-1163)))) (((-1145) $) NIL (-12 (|has| |#1| (-1038 (-569))) (|has| |#2| (-610 (-1163))))) (((-954 |#1|) $) NIL (|has| |#2| (-610 (-1163))))) (-3298 ((|#1| $) 114 (|has| |#1| (-454))) (($ $ |#2|) NIL (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ |#2|) NIL) (((-954 |#1|) $) NIL (|has| |#2| (-610 (-1163)))) (((-1114 |#1| |#2|) $) 15) (($ (-1114 |#1| |#2|)) 16) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-535 |#2|)) NIL) (($ $ |#2| (-764)) 44) (($ $ (-635 |#2|) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#1| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 13 T CONST)) (-1837 (((-3 (-121) "failed") $ $) NIL)) (-1556 (($) 35 T CONST)) (-1325 (($ $ $ $ (-764)) 87 (|has| |#1| (-559)))) (-4381 (($ $ $ (-764)) 86 (|has| |#1| (-559)))) (-3022 (($ $ |#2|) NIL) (($ $ (-635 |#2|)) NIL) (($ $ |#2| (-764)) NIL) (($ $ (-635 |#2|) (-635 (-764))) NIL)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) 54)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) 63)) (-1707 (($ $ $) 73)) (** (($ $ (-918)) NIL) (($ $ (-764)) 61)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 59) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 58) (($ $ |#1|) NIL))) 
+(((-776 |#1| |#2|) (-13 (-1062 |#1| (-535 |#2|) |#2|) (-609 (-1114 |#1| |#2|)) (-1038 (-1114 |#1| |#2|))) (-1048) (-843)) (T -776)) 
+NIL 
+(-13 (-1062 |#1| (-535 |#2|) |#2|) (-609 (-1114 |#1| |#2|)) (-1038 (-1114 |#1| |#2|))) 
+((-1544 (((-778 |#2|) (-1 |#2| |#1|) (-778 |#1|)) 13))) 
+(((-777 |#1| |#2|) (-10 -7 (-15 -1544 ((-778 |#2|) (-1 |#2| |#1|) (-778 |#1|)))) (-1048) (-1048)) (T -777)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-778 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-5 *2 (-778 *6)) (-5 *1 (-777 *5 *6))))) 
+(-10 -7 (-15 -1544 ((-778 |#2|) (-1 |#2| |#1|) (-778 |#1|)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 12)) (-4411 (((-1247 |#1|) $ (-764)) NIL)) (-1773 (((-635 (-1076)) $) NIL)) (-3707 (($ (-1159 |#1|)) NIL)) (-1739 (((-1159 $) $ (-1076)) NIL) (((-1159 |#1|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 (-1076))) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3330 (((-635 $) $ $) 39 (|has| |#1| (-559)))) (-3306 (($ $ $) 35 (|has| |#1| (-559)))) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-2004 (($ $) NIL (|has| |#1| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-1435 (($ $ (-764)) NIL)) (-2399 (($ $ (-764)) NIL)) (-2499 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-454)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-1076) "failed") $) NIL) (((-3 (-1159 |#1|) "failed") $) 10)) (-2428 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-1076) $) NIL) (((-1159 |#1|) $) NIL)) (-3493 (($ $ $ (-1076)) NIL (|has| |#1| (-173))) ((|#1| $ $) 43 (|has| |#1| (-173)))) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-4020 (($ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) NIL) (((-680 |#1|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-4021 (($ $ $) NIL)) (-3611 (($ $ $) 71 (|has| |#1| (-559)))) (-1884 (((-2 (|:| -4140 |#1|) (|:| -4268 $) (|:| -1830 $)) $ $) 70 (|has| |#1| (-559)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-1340 (($ $) NIL (|has| |#1| (-454))) (($ $ (-1076)) NIL (|has| |#1| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#1| (-905)))) (-1667 (($ $ |#1| (-764) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-1076) (-882 (-382))) (|has| |#1| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-1076) (-882 (-569))) (|has| |#1| (-882 (-569)))))) (-2558 (((-764) $ $) NIL (|has| |#1| (-559)))) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| |#1| (-1137)))) (-1768 (($ (-1159 |#1|) (-1076)) NIL) (($ (-1159 $) (-1076)) NIL)) (-3089 (($ $ (-764)) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-764)) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-1634 (($ $ $) 20)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-1076)) NIL) (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-4002 (((-764) $) NIL) (((-764) $ (-1076)) NIL) (((-635 (-764)) $ (-635 (-1076))) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-2658 (($ (-1 (-764) (-764)) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2225 (((-1159 |#1|) $) NIL)) (-1637 (((-3 (-1076) "failed") $) NIL)) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2342 (((-2 (|:| |polnum| $) (|:| |polden| |#1|) (|:| -3797 (-764))) $ $) 26)) (-4403 (($ $ $) 29)) (-2244 (($ $ $) 32)) (-1586 (((-2 (|:| -4140 |#1|) (|:| |gap| (-764)) (|:| -4268 $) (|:| -1830 $)) $ $) 31)) (-2776 (((-1145) $) NIL)) (-3988 (($ $ $) 41 (|has| |#1| (-559)))) (-4451 (((-2 (|:| -4268 $) (|:| -1830 $)) $ (-764)) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| (-1076)) (|:| -2356 (-764))) "failed") $) NIL)) (-2565 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4043 (($) NIL (|has| |#1| (-1137)) CONST)) (-3360 (((-1109) $) NIL)) (-3019 (((-2 (|:| -2714 $) (|:| |coef2| $)) $ $) 67 (|has| |#1| (-559)))) (-2458 (((-2 (|:| -2714 $) (|:| |coef1| $)) $ $) 63 (|has| |#1| (-559)))) (-2210 (((-2 (|:| -3493 |#1|) (|:| |coef2| $)) $ $) 55 (|has| |#1| (-559)))) (-3407 (((-2 (|:| -3493 |#1|) (|:| |coef1| $)) $ $) 51 (|has| |#1| (-559)))) (-1798 (((-121) $) 13)) (-1801 ((|#1| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-3877 (($ $ (-764) |#1| $) 19)) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-905)))) (-4442 (((-2 (|:| -2714 $) (|:| |coef1| $) (|:| |coef2| $)) $ $) 59 (|has| |#1| (-559)))) (-3507 (((-2 (|:| -3493 |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $) 47 (|has| |#1| (-559)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1076) |#1|) NIL) (($ $ (-635 (-1076)) (-635 |#1|)) NIL) (($ $ (-1076) $) NIL) (($ $ (-635 (-1076)) (-635 $)) NIL)) (-2622 (((-764) $) NIL (|has| |#1| (-366)))) (-1534 ((|#1| $ |#1|) NIL) (($ $ $) NIL) (((-410 $) (-410 $) (-410 $)) NIL (|has| |#1| (-559))) ((|#1| (-410 $) |#1|) NIL (|has| |#1| (-366))) (((-410 $) $ (-410 $)) NIL (|has| |#1| (-559)))) (-2067 (((-3 $ "failed") $ (-764)) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-2087 (($ $ (-1076)) NIL (|has| |#1| (-173))) ((|#1| $) NIL (|has| |#1| (-173)))) (-3899 (($ $ (-1076)) NIL) (($ $ (-635 (-1076))) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL) (($ $ (-764)) NIL) (($ $) NIL) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-2492 (((-764) $) NIL) (((-764) $ (-1076)) NIL) (((-635 (-764)) $ (-635 (-1076))) NIL)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| (-1076) (-610 (-888 (-382)))) (|has| |#1| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| (-1076) (-610 (-888 (-569)))) (|has| |#1| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| (-1076) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-3298 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ (-1076)) NIL (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-905))))) (-4091 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559))) (((-3 (-410 $) "failed") (-410 $) $) NIL (|has| |#1| (-559)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-1076)) NIL) (((-1159 |#1|) $) 7) (($ (-1159 |#1|)) 8) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-764)) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#1| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 21 T CONST)) (-1556 (($) 24 T CONST)) (-3022 (($ $ (-1076)) NIL) (($ $ (-635 (-1076))) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL) (($ $ (-764)) NIL) (($ $) NIL) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) 28) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 23) (($ $ |#1|) NIL))) 
+(((-778 |#1|) (-13 (-1222 |#1|) (-609 (-1159 |#1|)) (-1038 (-1159 |#1|)) (-10 -8 (-15 -3877 ($ $ (-764) |#1| $)) (-15 -1634 ($ $ $)) (-15 -2342 ((-2 (|:| |polnum| $) (|:| |polden| |#1|) (|:| -3797 (-764))) $ $)) (-15 -4403 ($ $ $)) (-15 -1586 ((-2 (|:| -4140 |#1|) (|:| |gap| (-764)) (|:| -4268 $) (|:| -1830 $)) $ $)) (-15 -2244 ($ $ $)) (IF (|has| |#1| (-559)) (PROGN (-15 -3330 ((-635 $) $ $)) (-15 -3988 ($ $ $)) (-15 -4442 ((-2 (|:| -2714 $) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -2458 ((-2 (|:| -2714 $) (|:| |coef1| $)) $ $)) (-15 -3019 ((-2 (|:| -2714 $) (|:| |coef2| $)) $ $)) (-15 -3507 ((-2 (|:| -3493 |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -3407 ((-2 (|:| -3493 |#1|) (|:| |coef1| $)) $ $)) (-15 -2210 ((-2 (|:| -3493 |#1|) (|:| |coef2| $)) $ $))) |noBranch|))) (-1048)) (T -778)) 
+((-3877 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-764)) (-5 *1 (-778 *3)) (-4 *3 (-1048)))) (-1634 (*1 *1 *1 *1) (-12 (-5 *1 (-778 *2)) (-4 *2 (-1048)))) (-2342 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |polnum| (-778 *3)) (|:| |polden| *3) (|:| -3797 (-764)))) (-5 *1 (-778 *3)) (-4 *3 (-1048)))) (-4403 (*1 *1 *1 *1) (-12 (-5 *1 (-778 *2)) (-4 *2 (-1048)))) (-1586 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -4140 *3) (|:| |gap| (-764)) (|:| -4268 (-778 *3)) (|:| -1830 (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-1048)))) (-2244 (*1 *1 *1 *1) (-12 (-5 *1 (-778 *2)) (-4 *2 (-1048)))) (-3330 (*1 *2 *1 *1) (-12 (-5 *2 (-635 (-778 *3))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048)))) (-3988 (*1 *1 *1 *1) (-12 (-5 *1 (-778 *2)) (-4 *2 (-559)) (-4 *2 (-1048)))) (-4442 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2714 (-778 *3)) (|:| |coef1| (-778 *3)) (|:| |coef2| (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048)))) (-2458 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2714 (-778 *3)) (|:| |coef1| (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048)))) (-3019 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2714 (-778 *3)) (|:| |coef2| (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048)))) (-3507 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3493 *3) (|:| |coef1| (-778 *3)) (|:| |coef2| (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048)))) (-3407 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3493 *3) (|:| |coef1| (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048)))) (-2210 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3493 *3) (|:| |coef2| (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048))))) 
+(-13 (-1222 |#1|) (-609 (-1159 |#1|)) (-1038 (-1159 |#1|)) (-10 -8 (-15 -3877 ($ $ (-764) |#1| $)) (-15 -1634 ($ $ $)) (-15 -2342 ((-2 (|:| |polnum| $) (|:| |polden| |#1|) (|:| -3797 (-764))) $ $)) (-15 -4403 ($ $ $)) (-15 -1586 ((-2 (|:| -4140 |#1|) (|:| |gap| (-764)) (|:| -4268 $) (|:| -1830 $)) $ $)) (-15 -2244 ($ $ $)) (IF (|has| |#1| (-559)) (PROGN (-15 -3330 ((-635 $) $ $)) (-15 -3988 ($ $ $)) (-15 -4442 ((-2 (|:| -2714 $) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -2458 ((-2 (|:| -2714 $) (|:| |coef1| $)) $ $)) (-15 -3019 ((-2 (|:| -2714 $) (|:| |coef2| $)) $ $)) (-15 -3507 ((-2 (|:| -3493 |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -3407 ((-2 (|:| -3493 |#1|) (|:| |coef1| $)) $ $)) (-15 -2210 ((-2 (|:| -3493 |#1|) (|:| |coef2| $)) $ $))) |noBranch|))) 
+((-2484 ((|#1| (-764) |#1|) 32 (|has| |#1| (-43 (-410 (-569)))))) (-2917 ((|#1| (-764) |#1|) 22)) (-2263 ((|#1| (-764) |#1|) 34 (|has| |#1| (-43 (-410 (-569))))))) 
+(((-779 |#1|) (-10 -7 (-15 -2917 (|#1| (-764) |#1|)) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -2263 (|#1| (-764) |#1|)) (-15 -2484 (|#1| (-764) |#1|))) |noBranch|)) (-173)) (T -779)) 
+((-2484 (*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-779 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-173)))) (-2263 (*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-779 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-173)))) (-2917 (*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-779 *2)) (-4 *2 (-173))))) 
+(-10 -7 (-15 -2917 (|#1| (-764) |#1|)) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -2263 (|#1| (-764) |#1|)) (-15 -2484 (|#1| (-764) |#1|))) |noBranch|)) 
+((-2568 (((-121) $ $) 7)) (-3839 (((-635 (-2 (|:| -3585 $) (|:| -3230 (-635 |#4|)))) (-635 |#4|)) 78)) (-4426 (((-635 $) (-635 |#4|)) 79) (((-635 $) (-635 |#4|) (-121)) 104)) (-1773 (((-635 |#3|) $) 32)) (-3008 (((-121) $) 25)) (-3625 (((-121) $) 16 (|has| |#1| (-559)))) (-2061 (((-121) |#4| $) 94) (((-121) $) 90)) (-3982 ((|#4| |#4| $) 85)) (-2004 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 $))) |#4| $) 119)) (-3113 (((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ |#3|) 26)) (-1691 (((-121) $ (-764)) 43)) (-1962 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4535))) (((-3 |#4| "failed") $ |#3|) 72)) (-2820 (($) 44 T CONST)) (-4162 (((-121) $) 21 (|has| |#1| (-559)))) (-2716 (((-121) $ $) 23 (|has| |#1| (-559)))) (-3532 (((-121) $ $) 22 (|has| |#1| (-559)))) (-2398 (((-121) $) 24 (|has| |#1| (-559)))) (-3694 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-4318 (((-635 |#4|) (-635 |#4|) $) 17 (|has| |#1| (-559)))) (-1322 (((-635 |#4|) (-635 |#4|) $) 18 (|has| |#1| (-559)))) (-1647 (((-3 $ "failed") (-635 |#4|)) 35)) (-2428 (($ (-635 |#4|)) 34)) (-2046 (((-3 $ "failed") $) 75)) (-4407 ((|#4| |#4| $) 82)) (-2033 (($ $) 67 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ |#4| $) 66 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4535)))) (-1830 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-559)))) (-3255 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-2045 ((|#4| |#4| $) 80)) (-1774 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4535))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4535))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-4038 (((-2 (|:| -3585 (-635 |#4|)) (|:| -3230 (-635 |#4|))) $) 98)) (-1658 (((-121) |#4| $) 129)) (-3903 (((-121) |#4| $) 126)) (-3617 (((-121) |#4| $) 130) (((-121) $) 127)) (-3470 (((-635 |#4|) $) 51 (|has| $ (-6 -4535)))) (-3977 (((-121) |#4| $) 97) (((-121) $) 96)) (-4357 ((|#3| $) 33)) (-1974 (((-121) $ (-764)) 42)) (-4259 (((-635 |#4|) $) 52 (|has| $ (-6 -4535)))) (-3660 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#4| |#4|) $) 46)) (-1833 (((-635 |#3|) $) 31)) (-2760 (((-121) |#3| $) 30)) (-2006 (((-121) $ (-764)) 41)) (-2776 (((-1145) $) 9)) (-2870 (((-3 |#4| (-635 $)) |#4| |#4| $) 121)) (-3988 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 $))) |#4| |#4| $) 120)) (-4213 (((-3 |#4| "failed") $) 76)) (-2482 (((-635 $) |#4| $) 122)) (-3730 (((-3 (-121) (-635 $)) |#4| $) 125)) (-2253 (((-635 (-2 (|:| |val| (-121)) (|:| -4003 $))) |#4| $) 124) (((-121) |#4| $) 123)) (-2652 (((-635 $) |#4| $) 118) (((-635 $) (-635 |#4|) $) 117) (((-635 $) (-635 |#4|) (-635 $)) 116) (((-635 $) |#4| (-635 $)) 115)) (-3897 (($ |#4| $) 110) (($ (-635 |#4|) $) 109)) (-2515 (((-635 |#4|) $) 100)) (-3409 (((-121) |#4| $) 92) (((-121) $) 88)) (-3005 ((|#4| |#4| $) 83)) (-2673 (((-121) $ $) 103)) (-2439 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-559)))) (-4310 (((-121) |#4| $) 93) (((-121) $) 89)) (-2533 ((|#4| |#4| $) 84)) (-3360 (((-1109) $) 10)) (-4353 (((-3 |#4| "failed") $) 77)) (-2502 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-1913 (((-3 $ "failed") $ |#4|) 71)) (-3499 (($ $ |#4|) 70) (((-635 $) |#4| $) 108) (((-635 $) |#4| (-635 $)) 107) (((-635 $) (-635 |#4|) $) 106) (((-635 $) (-635 |#4|) (-635 $)) 105)) (-4177 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#4|) (-635 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-635 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))))) (-3137 (((-121) $ $) 37)) (-1601 (((-121) $) 40)) (-1296 (($) 39)) (-2492 (((-764) $) 99)) (-2846 (((-764) |#4| $) 53 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) (((-764) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4535)))) (-1971 (($ $) 38)) (-3817 (((-542) $) 68 (|has| |#4| (-610 (-542))))) (-2139 (($ (-635 |#4|)) 59)) (-4201 (($ $ |#3|) 27)) (-3460 (($ $ |#3|) 29)) (-4208 (($ $) 81)) (-2630 (($ $ |#3|) 28)) (-2185 (((-851) $) 11) (((-635 |#4|) $) 36)) (-3435 (((-764) $) 69 (|has| |#3| (-371)))) (-1702 (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-3321 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) 91)) (-4455 (((-635 $) |#4| $) 114) (((-635 $) |#4| (-635 $)) 113) (((-635 $) (-635 |#4|) $) 112) (((-635 $) (-635 |#4|) (-635 $)) 111)) (-2066 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4535)))) (-3502 (((-635 |#3|) $) 74)) (-4060 (((-121) |#4| $) 128)) (-3673 (((-121) |#3| $) 73)) (-1668 (((-121) $ $) 6)) (-4168 (((-764) $) 45 (|has| $ (-6 -4535))))) 
+(((-780 |#1| |#2| |#3| |#4|) (-1278) (-454) (-789) (-843) (-1062 |t#1| |t#2| |t#3|)) (T -780)) 
+NIL 
+(-13 (-1067 |t#1| |t#2| |t#3| |t#4|)) 
+(((-39) . T) ((-105) . T) ((-609 (-635 |#4|)) . T) ((-609 (-851)) . T) ((-155 |#4|) . T) ((-610 (-542)) |has| |#4| (-610 (-542))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))) ((-500 |#4|) . T) ((-524 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))) ((-978 |#1| |#2| |#3| |#4|) . T) ((-1067 |#1| |#2| |#3| |#4|) . T) ((-1091) . T) ((-1191 |#1| |#2| |#3| |#4|) . T) ((-1197) . T)) 
+((-1672 (((-3 (-382) "failed") (-311 |#1|) (-918)) 60 (-12 (|has| |#1| (-559)) (|has| |#1| (-843)))) (((-3 (-382) "failed") (-311 |#1|)) 52 (-12 (|has| |#1| (-559)) (|has| |#1| (-843)))) (((-3 (-382) "failed") (-410 (-954 |#1|)) (-918)) 39 (|has| |#1| (-559))) (((-3 (-382) "failed") (-410 (-954 |#1|))) 35 (|has| |#1| (-559))) (((-3 (-382) "failed") (-954 |#1|) (-918)) 30 (|has| |#1| (-1048))) (((-3 (-382) "failed") (-954 |#1|)) 24 (|has| |#1| (-1048)))) (-3753 (((-382) (-311 |#1|) (-918)) 92 (-12 (|has| |#1| (-559)) (|has| |#1| (-843)))) (((-382) (-311 |#1|)) 87 (-12 (|has| |#1| (-559)) (|has| |#1| (-843)))) (((-382) (-410 (-954 |#1|)) (-918)) 84 (|has| |#1| (-559))) (((-382) (-410 (-954 |#1|))) 81 (|has| |#1| (-559))) (((-382) (-954 |#1|) (-918)) 80 (|has| |#1| (-1048))) (((-382) (-954 |#1|)) 77 (|has| |#1| (-1048))) (((-382) |#1| (-918)) 73) (((-382) |#1|) 22)) (-3475 (((-3 (-170 (-382)) "failed") (-311 (-170 |#1|)) (-918)) 68 (-12 (|has| |#1| (-559)) (|has| |#1| (-843)))) (((-3 (-170 (-382)) "failed") (-311 (-170 |#1|))) 58 (-12 (|has| |#1| (-559)) (|has| |#1| (-843)))) (((-3 (-170 (-382)) "failed") (-311 |#1|) (-918)) 61 (-12 (|has| |#1| (-559)) (|has| |#1| (-843)))) (((-3 (-170 (-382)) "failed") (-311 |#1|)) 59 (-12 (|has| |#1| (-559)) (|has| |#1| (-843)))) (((-3 (-170 (-382)) "failed") (-410 (-954 (-170 |#1|))) (-918)) 44 (|has| |#1| (-559))) (((-3 (-170 (-382)) "failed") (-410 (-954 (-170 |#1|)))) 43 (|has| |#1| (-559))) (((-3 (-170 (-382)) "failed") (-410 (-954 |#1|)) (-918)) 38 (|has| |#1| (-559))) (((-3 (-170 (-382)) "failed") (-410 (-954 |#1|))) 37 (|has| |#1| (-559))) (((-3 (-170 (-382)) "failed") (-954 |#1|) (-918)) 28 (|has| |#1| (-1048))) (((-3 (-170 (-382)) "failed") (-954 |#1|)) 26 (|has| |#1| (-1048))) (((-3 (-170 (-382)) "failed") (-954 (-170 |#1|)) (-918)) 17 (|has| |#1| (-173))) (((-3 (-170 (-382)) "failed") (-954 (-170 |#1|))) 14 (|has| |#1| (-173)))) (-1730 (((-170 (-382)) (-311 (-170 |#1|)) (-918)) 95 (-12 (|has| |#1| (-559)) (|has| |#1| (-843)))) (((-170 (-382)) (-311 (-170 |#1|))) 94 (-12 (|has| |#1| (-559)) (|has| |#1| (-843)))) (((-170 (-382)) (-311 |#1|) (-918)) 93 (-12 (|has| |#1| (-559)) (|has| |#1| (-843)))) (((-170 (-382)) (-311 |#1|)) 91 (-12 (|has| |#1| (-559)) (|has| |#1| (-843)))) (((-170 (-382)) (-410 (-954 (-170 |#1|))) (-918)) 86 (|has| |#1| (-559))) (((-170 (-382)) (-410 (-954 (-170 |#1|)))) 85 (|has| |#1| (-559))) (((-170 (-382)) (-410 (-954 |#1|)) (-918)) 83 (|has| |#1| (-559))) (((-170 (-382)) (-410 (-954 |#1|))) 82 (|has| |#1| (-559))) (((-170 (-382)) (-954 |#1|) (-918)) 79 (|has| |#1| (-1048))) (((-170 (-382)) (-954 |#1|)) 78 (|has| |#1| (-1048))) (((-170 (-382)) (-954 (-170 |#1|)) (-918)) 75 (|has| |#1| (-173))) (((-170 (-382)) (-954 (-170 |#1|))) 74 (|has| |#1| (-173))) (((-170 (-382)) (-170 |#1|) (-918)) 16 (|has| |#1| (-173))) (((-170 (-382)) (-170 |#1|)) 12 (|has| |#1| (-173))) (((-170 (-382)) |#1| (-918)) 27) (((-170 (-382)) |#1|) 25))) 
+(((-781 |#1|) (-10 -7 (-15 -3753 ((-382) |#1|)) (-15 -3753 ((-382) |#1| (-918))) (-15 -1730 ((-170 (-382)) |#1|)) (-15 -1730 ((-170 (-382)) |#1| (-918))) (IF (|has| |#1| (-173)) (PROGN (-15 -1730 ((-170 (-382)) (-170 |#1|))) (-15 -1730 ((-170 (-382)) (-170 |#1|) (-918))) (-15 -1730 ((-170 (-382)) (-954 (-170 |#1|)))) (-15 -1730 ((-170 (-382)) (-954 (-170 |#1|)) (-918)))) |noBranch|) (IF (|has| |#1| (-1048)) (PROGN (-15 -3753 ((-382) (-954 |#1|))) (-15 -3753 ((-382) (-954 |#1|) (-918))) (-15 -1730 ((-170 (-382)) (-954 |#1|))) (-15 -1730 ((-170 (-382)) (-954 |#1|) (-918)))) |noBranch|) (IF (|has| |#1| (-559)) (PROGN (-15 -3753 ((-382) (-410 (-954 |#1|)))) (-15 -3753 ((-382) (-410 (-954 |#1|)) (-918))) (-15 -1730 ((-170 (-382)) (-410 (-954 |#1|)))) (-15 -1730 ((-170 (-382)) (-410 (-954 |#1|)) (-918))) (-15 -1730 ((-170 (-382)) (-410 (-954 (-170 |#1|))))) (-15 -1730 ((-170 (-382)) (-410 (-954 (-170 |#1|))) (-918))) (IF (|has| |#1| (-843)) (PROGN (-15 -3753 ((-382) (-311 |#1|))) (-15 -3753 ((-382) (-311 |#1|) (-918))) (-15 -1730 ((-170 (-382)) (-311 |#1|))) (-15 -1730 ((-170 (-382)) (-311 |#1|) (-918))) (-15 -1730 ((-170 (-382)) (-311 (-170 |#1|)))) (-15 -1730 ((-170 (-382)) (-311 (-170 |#1|)) (-918)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-15 -3475 ((-3 (-170 (-382)) "failed") (-954 (-170 |#1|)))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-954 (-170 |#1|)) (-918)))) |noBranch|) (IF (|has| |#1| (-1048)) (PROGN (-15 -1672 ((-3 (-382) "failed") (-954 |#1|))) (-15 -1672 ((-3 (-382) "failed") (-954 |#1|) (-918))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-954 |#1|))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-954 |#1|) (-918)))) |noBranch|) (IF (|has| |#1| (-559)) (PROGN (-15 -1672 ((-3 (-382) "failed") (-410 (-954 |#1|)))) (-15 -1672 ((-3 (-382) "failed") (-410 (-954 |#1|)) (-918))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-410 (-954 |#1|)))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-410 (-954 |#1|)) (-918))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-410 (-954 (-170 |#1|))))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-410 (-954 (-170 |#1|))) (-918))) (IF (|has| |#1| (-843)) (PROGN (-15 -1672 ((-3 (-382) "failed") (-311 |#1|))) (-15 -1672 ((-3 (-382) "failed") (-311 |#1|) (-918))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-311 |#1|))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-311 |#1|) (-918))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-311 (-170 |#1|)))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-311 (-170 |#1|)) (-918)))) |noBranch|)) |noBranch|)) (-610 (-382))) (T -781)) 
+((-3475 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 (-170 *5))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-843)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) (-3475 (*1 *2 *3) (|partial| -12 (-5 *3 (-311 (-170 *4))) (-4 *4 (-559)) (-4 *4 (-843)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) (-3475 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 *5)) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-843)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) (-3475 (*1 *2 *3) (|partial| -12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-843)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) (-1672 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 *5)) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-843)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *5)))) (-1672 (*1 *2 *3) (|partial| -12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-843)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *4)))) (-3475 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-954 (-170 *5)))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) (-3475 (*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-954 (-170 *4)))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) (-3475 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) (-3475 (*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) (-1672 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *5)))) (-1672 (*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-559)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *4)))) (-3475 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-954 *5)) (-5 *4 (-918)) (-4 *5 (-1048)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) (-3475 (*1 *2 *3) (|partial| -12 (-5 *3 (-954 *4)) (-4 *4 (-1048)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) (-1672 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-954 *5)) (-5 *4 (-918)) (-4 *5 (-1048)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *5)))) (-1672 (*1 *2 *3) (|partial| -12 (-5 *3 (-954 *4)) (-4 *4 (-1048)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *4)))) (-3475 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-954 (-170 *5))) (-5 *4 (-918)) (-4 *5 (-173)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) (-3475 (*1 *2 *3) (|partial| -12 (-5 *3 (-954 (-170 *4))) (-4 *4 (-173)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) (-1730 (*1 *2 *3 *4) (-12 (-5 *3 (-311 (-170 *5))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-843)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) (-1730 (*1 *2 *3) (-12 (-5 *3 (-311 (-170 *4))) (-4 *4 (-559)) (-4 *4 (-843)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) (-1730 (*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-843)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) (-1730 (*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-843)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) (-3753 (*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-843)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *5)))) (-3753 (*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-843)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *4)))) (-1730 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 (-170 *5)))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) (-1730 (*1 *2 *3) (-12 (-5 *3 (-410 (-954 (-170 *4)))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) (-1730 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) (-1730 (*1 *2 *3) (-12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) (-3753 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *5)))) (-3753 (*1 *2 *3) (-12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-559)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *4)))) (-1730 (*1 *2 *3 *4) (-12 (-5 *3 (-954 *5)) (-5 *4 (-918)) (-4 *5 (-1048)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) (-1730 (*1 *2 *3) (-12 (-5 *3 (-954 *4)) (-4 *4 (-1048)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) (-3753 (*1 *2 *3 *4) (-12 (-5 *3 (-954 *5)) (-5 *4 (-918)) (-4 *5 (-1048)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *5)))) (-3753 (*1 *2 *3) (-12 (-5 *3 (-954 *4)) (-4 *4 (-1048)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *4)))) (-1730 (*1 *2 *3 *4) (-12 (-5 *3 (-954 (-170 *5))) (-5 *4 (-918)) (-4 *5 (-173)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) (-1730 (*1 *2 *3) (-12 (-5 *3 (-954 (-170 *4))) (-4 *4 (-173)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) (-1730 (*1 *2 *3 *4) (-12 (-5 *3 (-170 *5)) (-5 *4 (-918)) (-4 *5 (-173)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) (-1730 (*1 *2 *3) (-12 (-5 *3 (-170 *4)) (-4 *4 (-173)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) (-1730 (*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-5 *2 (-170 (-382))) (-5 *1 (-781 *3)) (-4 *3 (-610 (-382))))) (-1730 (*1 *2 *3) (-12 (-5 *2 (-170 (-382))) (-5 *1 (-781 *3)) (-4 *3 (-610 (-382))))) (-3753 (*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-5 *2 (-382)) (-5 *1 (-781 *3)) (-4 *3 (-610 *2)))) (-3753 (*1 *2 *3) (-12 (-5 *2 (-382)) (-5 *1 (-781 *3)) (-4 *3 (-610 *2))))) 
+(-10 -7 (-15 -3753 ((-382) |#1|)) (-15 -3753 ((-382) |#1| (-918))) (-15 -1730 ((-170 (-382)) |#1|)) (-15 -1730 ((-170 (-382)) |#1| (-918))) (IF (|has| |#1| (-173)) (PROGN (-15 -1730 ((-170 (-382)) (-170 |#1|))) (-15 -1730 ((-170 (-382)) (-170 |#1|) (-918))) (-15 -1730 ((-170 (-382)) (-954 (-170 |#1|)))) (-15 -1730 ((-170 (-382)) (-954 (-170 |#1|)) (-918)))) |noBranch|) (IF (|has| |#1| (-1048)) (PROGN (-15 -3753 ((-382) (-954 |#1|))) (-15 -3753 ((-382) (-954 |#1|) (-918))) (-15 -1730 ((-170 (-382)) (-954 |#1|))) (-15 -1730 ((-170 (-382)) (-954 |#1|) (-918)))) |noBranch|) (IF (|has| |#1| (-559)) (PROGN (-15 -3753 ((-382) (-410 (-954 |#1|)))) (-15 -3753 ((-382) (-410 (-954 |#1|)) (-918))) (-15 -1730 ((-170 (-382)) (-410 (-954 |#1|)))) (-15 -1730 ((-170 (-382)) (-410 (-954 |#1|)) (-918))) (-15 -1730 ((-170 (-382)) (-410 (-954 (-170 |#1|))))) (-15 -1730 ((-170 (-382)) (-410 (-954 (-170 |#1|))) (-918))) (IF (|has| |#1| (-843)) (PROGN (-15 -3753 ((-382) (-311 |#1|))) (-15 -3753 ((-382) (-311 |#1|) (-918))) (-15 -1730 ((-170 (-382)) (-311 |#1|))) (-15 -1730 ((-170 (-382)) (-311 |#1|) (-918))) (-15 -1730 ((-170 (-382)) (-311 (-170 |#1|)))) (-15 -1730 ((-170 (-382)) (-311 (-170 |#1|)) (-918)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-15 -3475 ((-3 (-170 (-382)) "failed") (-954 (-170 |#1|)))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-954 (-170 |#1|)) (-918)))) |noBranch|) (IF (|has| |#1| (-1048)) (PROGN (-15 -1672 ((-3 (-382) "failed") (-954 |#1|))) (-15 -1672 ((-3 (-382) "failed") (-954 |#1|) (-918))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-954 |#1|))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-954 |#1|) (-918)))) |noBranch|) (IF (|has| |#1| (-559)) (PROGN (-15 -1672 ((-3 (-382) "failed") (-410 (-954 |#1|)))) (-15 -1672 ((-3 (-382) "failed") (-410 (-954 |#1|)) (-918))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-410 (-954 |#1|)))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-410 (-954 |#1|)) (-918))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-410 (-954 (-170 |#1|))))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-410 (-954 (-170 |#1|))) (-918))) (IF (|has| |#1| (-843)) (PROGN (-15 -1672 ((-3 (-382) "failed") (-311 |#1|))) (-15 -1672 ((-3 (-382) "failed") (-311 |#1|) (-918))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-311 |#1|))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-311 |#1|) (-918))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-311 (-170 |#1|)))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-311 (-170 |#1|)) (-918)))) |noBranch|)) |noBranch|)) 
+((-2920 (((-918) (-1145)) 63)) (-1655 (((-3 (-382) "failed") (-1145)) 32)) (-2654 (((-382) (-1145)) 30)) (-3487 (((-918) (-1145)) 53)) (-3871 (((-1145) (-918)) 54)) (-1987 (((-1145) (-918)) 52))) 
+(((-782) (-10 -7 (-15 -1987 ((-1145) (-918))) (-15 -3487 ((-918) (-1145))) (-15 -3871 ((-1145) (-918))) (-15 -2920 ((-918) (-1145))) (-15 -2654 ((-382) (-1145))) (-15 -1655 ((-3 (-382) "failed") (-1145))))) (T -782)) 
+((-1655 (*1 *2 *3) (|partial| -12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-782)))) (-2654 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-782)))) (-2920 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-918)) (-5 *1 (-782)))) (-3871 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1145)) (-5 *1 (-782)))) (-3487 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-918)) (-5 *1 (-782)))) (-1987 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1145)) (-5 *1 (-782))))) 
+(-10 -7 (-15 -1987 ((-1145) (-918))) (-15 -3487 ((-918) (-1145))) (-15 -3871 ((-1145) (-918))) (-15 -2920 ((-918) (-1145))) (-15 -2654 ((-382) (-1145))) (-15 -1655 ((-3 (-382) "failed") (-1145)))) 
+((-2568 (((-121) $ $) 7)) (-3478 (((-1036) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) 14) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) 12)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 15) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 13)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-1668 (((-121) $ $) 6))) 
+(((-783) (-1278)) (T -783)) 
+((-2703 (*1 *2 *3 *4) (-12 (-4 *1 (-783)) (-5 *3 (-1060)) (-5 *4 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036)))))) (-3478 (*1 *2 *3 *2) (-12 (-4 *1 (-783)) (-5 *2 (-1036)) (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) (-2703 (*1 *2 *3 *4) (-12 (-4 *1 (-783)) (-5 *3 (-1060)) (-5 *4 (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036)))))) (-3478 (*1 *2 *3 *2) (-12 (-4 *1 (-783)) (-5 *2 (-1036)) (-5 *3 (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) 
+(-13 (-1091) (-10 -7 (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3478 ((-1036) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3478 ((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036))))) 
+(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
+((-3511 (((-1252) (-1247 (-382)) (-569) (-382) (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -3120 (-382))) (-382) (-1247 (-382)) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382))) 44) (((-1252) (-1247 (-382)) (-569) (-382) (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -3120 (-382))) (-382) (-1247 (-382)) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382))) 43)) (-3654 (((-1252) (-1247 (-382)) (-569) (-382) (-382) (-569) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382))) 50)) (-3629 (((-1252) (-1247 (-382)) (-569) (-382) (-382) (-382) (-382) (-569) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382))) 41)) (-3101 (((-1252) (-1247 (-382)) (-569) (-382) (-382) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382))) 52) (((-1252) (-1247 (-382)) (-569) (-382) (-382) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382))) 51))) 
+(((-784) (-10 -7 (-15 -3101 ((-1252) (-1247 (-382)) (-569) (-382) (-382) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382)))) (-15 -3101 ((-1252) (-1247 (-382)) (-569) (-382) (-382) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)))) (-15 -3629 ((-1252) (-1247 (-382)) (-569) (-382) (-382) (-382) (-382) (-569) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382)))) (-15 -3511 ((-1252) (-1247 (-382)) (-569) (-382) (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -3120 (-382))) (-382) (-1247 (-382)) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382)))) (-15 -3511 ((-1252) (-1247 (-382)) (-569) (-382) (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -3120 (-382))) (-382) (-1247 (-382)) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)))) (-15 -3654 ((-1252) (-1247 (-382)) (-569) (-382) (-382) (-569) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382)))))) (T -784)) 
+((-3654 (*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1252) (-1247 *5) (-1247 *5) (-382))) (-5 *3 (-1247 (-382))) (-5 *5 (-382)) (-5 *2 (-1252)) (-5 *1 (-784)))) (-3511 (*1 *2 *3 *4 *5 *6 *5 *3 *7 *3 *3 *3 *3 *3 *3 *3) (-12 (-5 *4 (-569)) (-5 *6 (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -3120 (-382)))) (-5 *7 (-1 (-1252) (-1247 *5) (-1247 *5) (-382))) (-5 *3 (-1247 (-382))) (-5 *5 (-382)) (-5 *2 (-1252)) (-5 *1 (-784)))) (-3511 (*1 *2 *3 *4 *5 *6 *5 *3 *7) (-12 (-5 *4 (-569)) (-5 *6 (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -3120 (-382)))) (-5 *7 (-1 (-1252) (-1247 *5) (-1247 *5) (-382))) (-5 *3 (-1247 (-382))) (-5 *5 (-382)) (-5 *2 (-1252)) (-5 *1 (-784)))) (-3629 (*1 *2 *3 *4 *5 *5 *5 *5 *4 *6) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1252) (-1247 *5) (-1247 *5) (-382))) (-5 *3 (-1247 (-382))) (-5 *5 (-382)) (-5 *2 (-1252)) (-5 *1 (-784)))) (-3101 (*1 *2 *3 *4 *5 *5 *6 *3 *3 *3 *3) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1252) (-1247 *5) (-1247 *5) (-382))) (-5 *3 (-1247 (-382))) (-5 *5 (-382)) (-5 *2 (-1252)) (-5 *1 (-784)))) (-3101 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1252) (-1247 *5) (-1247 *5) (-382))) (-5 *3 (-1247 (-382))) (-5 *5 (-382)) (-5 *2 (-1252)) (-5 *1 (-784))))) 
+(-10 -7 (-15 -3101 ((-1252) (-1247 (-382)) (-569) (-382) (-382) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382)))) (-15 -3101 ((-1252) (-1247 (-382)) (-569) (-382) (-382) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)))) (-15 -3629 ((-1252) (-1247 (-382)) (-569) (-382) (-382) (-382) (-382) (-569) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382)))) (-15 -3511 ((-1252) (-1247 (-382)) (-569) (-382) (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -3120 (-382))) (-382) (-1247 (-382)) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382)))) (-15 -3511 ((-1252) (-1247 (-382)) (-569) (-382) (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -3120 (-382))) (-382) (-1247 (-382)) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)))) (-15 -3654 ((-1252) (-1247 (-382)) (-569) (-382) (-382) (-569) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382))))) 
+((-1663 (((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)) 53)) (-3357 (((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)) 30)) (-2129 (((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)) 52)) (-2601 (((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)) 28)) (-4338 (((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)) 51)) (-4447 (((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)) 18)) (-3573 (((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569)) 31)) (-2408 (((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569)) 29)) (-1596 (((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569)) 27))) 
+(((-785) (-10 -7 (-15 -1596 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569))) (-15 -2408 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569))) (-15 -3573 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569))) (-15 -4447 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -2601 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -3357 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -4338 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -2129 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -1663 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))))) (T -785)) 
+((-1663 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569)))) (-2129 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569)))) (-4338 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569)))) (-3357 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569)))) (-2601 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569)))) (-4447 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569)))) (-3573 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569)))) (-2408 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569)))) (-1596 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569))))) 
+(-10 -7 (-15 -1596 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569))) (-15 -2408 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569))) (-15 -3573 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569))) (-15 -4447 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -2601 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -3357 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -4338 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -2129 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -1663 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)))) 
+((-3340 (((-1193 |#1|) |#1| (-216) (-569)) 45))) 
+(((-786 |#1|) (-10 -7 (-15 -3340 ((-1193 |#1|) |#1| (-216) (-569)))) (-976)) (T -786)) 
+((-3340 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-216)) (-5 *5 (-569)) (-5 *2 (-1193 *3)) (-5 *1 (-786 *3)) (-4 *3 (-976))))) 
+(-10 -7 (-15 -3340 ((-1193 |#1|) |#1| (-216) (-569)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 23)) (-2327 (((-3 $ "failed") $ $) 25)) (-2820 (($) 22 T CONST)) (-3291 (($ $ $) 12)) (-1538 (($ $ $) 13)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-3369 (($) 21 T CONST)) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17)) (-1711 (($ $ $) 27) (($ $) 26)) (-1707 (($ $ $) 19)) (* (($ (-764) $) 24) (($ (-918) $) 20) (($ (-569) $) 28))) 
+(((-787) (-1278)) (T -787)) 
+NIL 
+(-13 (-791) (-21)) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-788) . T) ((-790) . T) ((-791) . T) ((-843) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 23)) (-2820 (($) 22 T CONST)) (-3291 (($ $ $) 12)) (-1538 (($ $ $) 13)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-3369 (($) 21 T CONST)) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17)) (-1707 (($ $ $) 19)) (* (($ (-764) $) 24) (($ (-918) $) 20))) 
+(((-788) (-1278)) (T -788)) 
+NIL 
+(-13 (-790) (-23)) 
+(((-23) . T) ((-25) . T) ((-105) . T) ((-609 (-851)) . T) ((-790) . T) ((-843) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 23)) (-1498 (($ $ $) 26)) (-2327 (((-3 $ "failed") $ $) 25)) (-2820 (($) 22 T CONST)) (-3291 (($ $ $) 12)) (-1538 (($ $ $) 13)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-3369 (($) 21 T CONST)) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17)) (-1707 (($ $ $) 19)) (* (($ (-764) $) 24) (($ (-918) $) 20))) 
+(((-789) (-1278)) (T -789)) 
+((-1498 (*1 *1 *1 *1) (-4 *1 (-789)))) 
+(-13 (-791) (-10 -8 (-15 -1498 ($ $ $)))) 
+(((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-788) . T) ((-790) . T) ((-791) . T) ((-843) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 23)) (-2820 (($) 22 T CONST)) (-3291 (($ $ $) 12)) (-1538 (($ $ $) 13)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-3369 (($) 21 T CONST)) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17)) (-1707 (($ $ $) 19)) (* (($ (-764) $) 24) (($ (-918) $) 20))) 
+(((-790) (-1278)) (T -790)) 
+NIL 
+(-13 (-843) (-23)) 
+(((-23) . T) ((-25) . T) ((-105) . T) ((-609 (-851)) . T) ((-843) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 23)) (-2327 (((-3 $ "failed") $ $) 25)) (-2820 (($) 22 T CONST)) (-3291 (($ $ $) 12)) (-1538 (($ $ $) 13)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-3369 (($) 21 T CONST)) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17)) (-1707 (($ $ $) 19)) (* (($ (-764) $) 24) (($ (-918) $) 20))) 
+(((-791) (-1278)) (T -791)) 
+NIL 
+(-13 (-788) (-138)) 
+(((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-788) . T) ((-790) . T) ((-843) . T) ((-1091) . T)) 
+((-3813 (((-121) $) 41)) (-1647 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#2| "failed") $) 44)) (-2428 (((-569) $) NIL) (((-410 (-569)) $) NIL) ((|#2| $) 42)) (-4401 (((-3 (-410 (-569)) "failed") $) 78)) (-3103 (((-121) $) 72)) (-1442 (((-410 (-569)) $) 76)) (-4308 ((|#2| $) 26)) (-1544 (($ (-1 |#2| |#2|) $) 23)) (-1795 (($ $) 61)) (-3817 (((-542) $) 67)) (-1414 (($ $) 21)) (-2185 (((-851) $) 56) (($ (-569)) 39) (($ |#2|) 37) (($ (-410 (-569))) NIL)) (-1991 (((-764)) 10)) (-1616 ((|#2| $) 71)) (-1668 (((-121) $ $) 29)) (-1678 (((-121) $ $) 69)) (-1711 (($ $) 31) (($ $ $) NIL)) (-1707 (($ $ $) 30)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 35) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) 32))) 
+(((-792 |#1| |#2|) (-10 -8 (-15 -1678 ((-121) |#1| |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -1795 (|#1| |#1|)) (-15 -4401 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1442 ((-410 (-569)) |#1|)) (-15 -3103 ((-121) |#1|)) (-15 -1616 (|#2| |#1|)) (-15 -4308 (|#2| |#1|)) (-15 -1414 (|#1| |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -2185 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -2185 (|#1| (-569))) (-15 -1991 ((-764))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 -3813 ((-121) |#1|)) (-15 * (|#1| (-918) |#1|)) (-15 -1707 (|#1| |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1668 ((-121) |#1| |#1|))) (-793 |#2|) (-173)) (T -792)) 
+((-1991 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-764)) (-5 *1 (-792 *3 *4)) (-4 *3 (-793 *4))))) 
+(-10 -8 (-15 -1678 ((-121) |#1| |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -1795 (|#1| |#1|)) (-15 -4401 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1442 ((-410 (-569)) |#1|)) (-15 -3103 ((-121) |#1|)) (-15 -1616 (|#2| |#1|)) (-15 -4308 (|#2| |#1|)) (-15 -1414 (|#1| |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -2185 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -2185 (|#1| (-569))) (-15 -1991 ((-764))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 -3813 ((-121) |#1|)) (-15 * (|#1| (-918) |#1|)) (-15 -1707 (|#1| |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1668 ((-121) |#1| |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2085 (((-764)) 51 (|has| |#1| (-371)))) (-2820 (($) 16 T CONST)) (-1647 (((-3 (-569) "failed") $) 92 (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) 90 (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) 88)) (-2428 (((-569) $) 93 (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) 91 (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) 87)) (-3428 (((-3 $ "failed") $) 33)) (-1747 ((|#1| $) 77)) (-4401 (((-3 (-410 (-569)) "failed") $) 64 (|has| |#1| (-551)))) (-3103 (((-121) $) 66 (|has| |#1| (-551)))) (-1442 (((-410 (-569)) $) 65 (|has| |#1| (-551)))) (-4327 (($) 54 (|has| |#1| (-371)))) (-1407 (((-121) $) 30)) (-3709 (($ |#1| |#1| |#1| |#1| |#1| |#1| |#1| |#1|) 68)) (-4308 ((|#1| $) 69)) (-3291 (($ $ $) 60 (|has| |#1| (-843)))) (-1538 (($ $ $) 59 (|has| |#1| (-843)))) (-1544 (($ (-1 |#1| |#1|) $) 79)) (-2083 (((-918) $) 53 (|has| |#1| (-371)))) (-2776 (((-1145) $) 9)) (-1795 (($ $) 63 (|has| |#1| (-366)))) (-3998 (($ (-918)) 52 (|has| |#1| (-371)))) (-1790 ((|#1| $) 74)) (-3292 ((|#1| $) 75)) (-4159 ((|#1| $) 76)) (-3104 ((|#1| $) 70)) (-2357 ((|#1| $) 71)) (-4375 ((|#1| $) 72)) (-3466 ((|#1| $) 73)) (-3360 (((-1109) $) 10)) (-1468 (($ $ (-635 |#1|) (-635 |#1|)) 85 (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) 84 (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) 83 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) 82 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1163)) (-635 |#1|)) 81 (|has| |#1| (-524 (-1163) |#1|))) (($ $ (-1163) |#1|) 80 (|has| |#1| (-524 (-1163) |#1|)))) (-1534 (($ $ |#1|) 86 (|has| |#1| (-282 |#1| |#1|)))) (-3817 (((-542) $) 61 (|has| |#1| (-610 (-542))))) (-1414 (($ $) 78)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 36) (($ (-410 (-569))) 89 (|has| |#1| (-1038 (-410 (-569)))))) (-3953 (((-3 $ "failed") $) 62 (|has| |#1| (-149)))) (-1991 (((-764)) 28)) (-1616 ((|#1| $) 67 (|has| |#1| (-1057)))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1693 (((-121) $ $) 57 (|has| |#1| (-843)))) (-1684 (((-121) $ $) 56 (|has| |#1| (-843)))) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 58 (|has| |#1| (-843)))) (-1678 (((-121) $ $) 55 (|has| |#1| (-843)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
+(((-793 |#1|) (-1278) (-173)) (T -793)) 
+((-1414 (*1 *1 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) (-1747 (*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) (-4159 (*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) (-3292 (*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) (-1790 (*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) (-3466 (*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) (-4375 (*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) (-2357 (*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) (-3104 (*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) (-4308 (*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) (-3709 (*1 *1 *2 *2 *2 *2 *2 *2 *2 *2) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) (-1616 (*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)) (-4 *2 (-1057)))) (-3103 (*1 *2 *1) (-12 (-4 *1 (-793 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-121)))) (-1442 (*1 *2 *1) (-12 (-4 *1 (-793 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) (-4401 (*1 *2 *1) (|partial| -12 (-4 *1 (-793 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) (-1795 (*1 *1 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)) (-4 *2 (-366))))) 
+(-13 (-43 |t#1|) (-414 |t#1|) (-337 |t#1|) (-10 -8 (-15 -1414 ($ $)) (-15 -1747 (|t#1| $)) (-15 -4159 (|t#1| $)) (-15 -3292 (|t#1| $)) (-15 -1790 (|t#1| $)) (-15 -3466 (|t#1| $)) (-15 -4375 (|t#1| $)) (-15 -2357 (|t#1| $)) (-15 -3104 (|t#1| $)) (-15 -4308 (|t#1| $)) (-15 -3709 ($ |t#1| |t#1| |t#1| |t#1| |t#1| |t#1| |t#1| |t#1|)) (IF (|has| |t#1| (-371)) (-6 (-371)) |noBranch|) (IF (|has| |t#1| (-843)) (-6 (-843)) |noBranch|) (IF (|has| |t#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-1057)) (-15 -1616 (|t#1| $)) |noBranch|) (IF (|has| |t#1| (-551)) (PROGN (-15 -3103 ((-121) $)) (-15 -1442 ((-410 (-569)) $)) (-15 -4401 ((-3 (-410 (-569)) "failed") $))) |noBranch|) (IF (|has| |t#1| (-366)) (-15 -1795 ($ $)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 |#1| $) |has| |#1| (-282 |#1| |#1|)) ((-304 |#1|) |has| |#1| (-304 |#1|)) ((-371) |has| |#1| (-371)) ((-337 |#1|) . T) ((-414 |#1|) . T) ((-524 (-1163) |#1|) |has| |#1| (-524 (-1163) |#1|)) ((-524 |#1| |#1|) |has| |#1| (-304 |#1|)) ((-638 |#1|) . T) ((-638 $) . T) ((-708 |#1|) . T) ((-717) . T) ((-843) |has| |#1| (-843)) ((-1038 (-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 |#1|) . T) ((-1054 |#1|) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-1544 ((|#3| (-1 |#4| |#2|) |#1|) 20))) 
+(((-794 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1544 (|#3| (-1 |#4| |#2|) |#1|))) (-793 |#2|) (-173) (-793 |#4|) (-173)) (T -794)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-793 *6)) (-5 *1 (-794 *4 *5 *2 *6)) (-4 *4 (-793 *5))))) 
+(-10 -7 (-15 -1544 (|#3| (-1 |#4| |#2|) |#1|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2085 (((-764)) NIL (|has| |#1| (-371)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL) (((-3 (-1000 |#1|) "failed") $) 35) (((-3 (-569) "failed") $) NIL (-2232 (|has| (-1000 |#1|) (-1038 (-569))) (|has| |#1| (-1038 (-569))))) (((-3 (-410 (-569)) "failed") $) NIL (-2232 (|has| (-1000 |#1|) (-1038 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569))))))) (-2428 ((|#1| $) NIL) (((-1000 |#1|) $) 33) (((-569) $) NIL (-2232 (|has| (-1000 |#1|) (-1038 (-569))) (|has| |#1| (-1038 (-569))))) (((-410 (-569)) $) NIL (-2232 (|has| (-1000 |#1|) (-1038 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569))))))) (-3428 (((-3 $ "failed") $) NIL)) (-1747 ((|#1| $) 16)) (-4401 (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-551)))) (-3103 (((-121) $) NIL (|has| |#1| (-551)))) (-1442 (((-410 (-569)) $) NIL (|has| |#1| (-551)))) (-4327 (($) NIL (|has| |#1| (-371)))) (-1407 (((-121) $) NIL)) (-3709 (($ |#1| |#1| |#1| |#1| |#1| |#1| |#1| |#1|) 28) (($ (-1000 |#1|) (-1000 |#1|)) 29)) (-4308 ((|#1| $) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2083 (((-918) $) NIL (|has| |#1| (-371)))) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL (|has| |#1| (-366)))) (-3998 (($ (-918)) NIL (|has| |#1| (-371)))) (-1790 ((|#1| $) 22)) (-3292 ((|#1| $) 20)) (-4159 ((|#1| $) 18)) (-3104 ((|#1| $) 26)) (-2357 ((|#1| $) 25)) (-4375 ((|#1| $) 24)) (-3466 ((|#1| $) 23)) (-3360 (((-1109) $) NIL)) (-1468 (($ $ (-635 |#1|) (-635 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1163)) (-635 |#1|)) NIL (|has| |#1| (-524 (-1163) |#1|))) (($ $ (-1163) |#1|) NIL (|has| |#1| (-524 (-1163) |#1|)))) (-1534 (($ $ |#1|) NIL (|has| |#1| (-282 |#1| |#1|)))) (-3817 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-1414 (($ $) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-1000 |#1|)) 30) (($ (-410 (-569))) NIL (-2232 (|has| (-1000 |#1|) (-1038 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569))))))) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-1616 ((|#1| $) NIL (|has| |#1| (-1057)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 8 T CONST)) (-1556 (($) 12 T CONST)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 40) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-795 |#1|) (-13 (-793 |#1|) (-414 (-1000 |#1|)) (-10 -8 (-15 -3709 ($ (-1000 |#1|) (-1000 |#1|))))) (-173)) (T -795)) 
+((-3709 (*1 *1 *2 *2) (-12 (-5 *2 (-1000 *3)) (-4 *3 (-173)) (-5 *1 (-795 *3))))) 
+(-13 (-793 |#1|) (-414 (-1000 |#1|)) (-10 -8 (-15 -3709 ($ (-1000 |#1|) (-1000 |#1|))))) 
+((-2568 (((-121) $ $) 7)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 13)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-4330 (((-1036) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 12)) (-1668 (((-121) $ $) 6))) 
+(((-796) (-1278)) (T -796)) 
+((-2703 (*1 *2 *3 *4) (-12 (-4 *1 (-796)) (-5 *3 (-1060)) (-5 *4 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)))))) (-4330 (*1 *2 *3) (-12 (-4 *1 (-796)) (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-1036))))) 
+(-13 (-1091) (-10 -7 (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4330 ((-1036) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) 
+(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
+((-1999 (((-2 (|:| |particular| |#2|) (|:| -3930 (-635 |#2|))) |#3| |#2| (-1163)) 19))) 
+(((-797 |#1| |#2| |#3|) (-10 -7 (-15 -1999 ((-2 (|:| |particular| |#2|) (|:| -3930 (-635 |#2|))) |#3| |#2| (-1163)))) (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151)) (-13 (-29 |#1|) (-1183) (-960)) (-647 |#2|)) (T -797)) 
+((-1999 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-1163)) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-4 *4 (-13 (-29 *6) (-1183) (-960))) (-5 *2 (-2 (|:| |particular| *4) (|:| -3930 (-635 *4)))) (-5 *1 (-797 *6 *4 *3)) (-4 *3 (-647 *4))))) 
+(-10 -7 (-15 -1999 ((-2 (|:| |particular| |#2|) (|:| -3930 (-635 |#2|))) |#3| |#2| (-1163)))) 
+((-4435 (((-3 |#2| "failed") |#2| (-123) (-289 |#2|) (-635 |#2|)) 26) (((-3 |#2| "failed") (-289 |#2|) (-123) (-289 |#2|) (-635 |#2|)) 27) (((-3 (-2 (|:| |particular| |#2|) (|:| -3930 (-635 |#2|))) |#2| "failed") |#2| (-123) (-1163)) 16) (((-3 (-2 (|:| |particular| |#2|) (|:| -3930 (-635 |#2|))) |#2| "failed") (-289 |#2|) (-123) (-1163)) 17) (((-3 (-2 (|:| |particular| (-1247 |#2|)) (|:| -3930 (-635 (-1247 |#2|)))) "failed") (-635 |#2|) (-635 (-123)) (-1163)) 22) (((-3 (-2 (|:| |particular| (-1247 |#2|)) (|:| -3930 (-635 (-1247 |#2|)))) "failed") (-635 (-289 |#2|)) (-635 (-123)) (-1163)) 24) (((-3 (-635 (-1247 |#2|)) "failed") (-680 |#2|) (-1163)) 36) (((-3 (-2 (|:| |particular| (-1247 |#2|)) (|:| -3930 (-635 (-1247 |#2|)))) "failed") (-680 |#2|) (-1247 |#2|) (-1163)) 34))) 
+(((-798 |#1| |#2|) (-10 -7 (-15 -4435 ((-3 (-2 (|:| |particular| (-1247 |#2|)) (|:| -3930 (-635 (-1247 |#2|)))) "failed") (-680 |#2|) (-1247 |#2|) (-1163))) (-15 -4435 ((-3 (-635 (-1247 |#2|)) "failed") (-680 |#2|) (-1163))) (-15 -4435 ((-3 (-2 (|:| |particular| (-1247 |#2|)) (|:| -3930 (-635 (-1247 |#2|)))) "failed") (-635 (-289 |#2|)) (-635 (-123)) (-1163))) (-15 -4435 ((-3 (-2 (|:| |particular| (-1247 |#2|)) (|:| -3930 (-635 (-1247 |#2|)))) "failed") (-635 |#2|) (-635 (-123)) (-1163))) (-15 -4435 ((-3 (-2 (|:| |particular| |#2|) (|:| -3930 (-635 |#2|))) |#2| "failed") (-289 |#2|) (-123) (-1163))) (-15 -4435 ((-3 (-2 (|:| |particular| |#2|) (|:| -3930 (-635 |#2|))) |#2| "failed") |#2| (-123) (-1163))) (-15 -4435 ((-3 |#2| "failed") (-289 |#2|) (-123) (-289 |#2|) (-635 |#2|))) (-15 -4435 ((-3 |#2| "failed") |#2| (-123) (-289 |#2|) (-635 |#2|)))) (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151)) (-13 (-29 |#1|) (-1183) (-960))) (T -798)) 
+((-4435 (*1 *2 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-289 *2)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-29 *6) (-1183) (-960))) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *1 (-798 *6 *2)))) (-4435 (*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-289 *2)) (-5 *4 (-123)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-29 *6) (-1183) (-960))) (-5 *1 (-798 *6 *2)) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))))) (-4435 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-123)) (-5 *5 (-1163)) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-3 (-2 (|:| |particular| *3) (|:| -3930 (-635 *3))) *3 "failed")) (-5 *1 (-798 *6 *3)) (-4 *3 (-13 (-29 *6) (-1183) (-960))))) (-4435 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-123)) (-5 *5 (-1163)) (-4 *7 (-13 (-29 *6) (-1183) (-960))) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-3 (-2 (|:| |particular| *7) (|:| -3930 (-635 *7))) *7 "failed")) (-5 *1 (-798 *6 *7)))) (-4435 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-635 *7)) (-5 *4 (-635 (-123))) (-5 *5 (-1163)) (-4 *7 (-13 (-29 *6) (-1183) (-960))) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-2 (|:| |particular| (-1247 *7)) (|:| -3930 (-635 (-1247 *7))))) (-5 *1 (-798 *6 *7)))) (-4435 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-635 (-289 *7))) (-5 *4 (-635 (-123))) (-5 *5 (-1163)) (-4 *7 (-13 (-29 *6) (-1183) (-960))) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-2 (|:| |particular| (-1247 *7)) (|:| -3930 (-635 (-1247 *7))))) (-5 *1 (-798 *6 *7)))) (-4435 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-680 *6)) (-5 *4 (-1163)) (-4 *6 (-13 (-29 *5) (-1183) (-960))) (-4 *5 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-1247 *6))) (-5 *1 (-798 *5 *6)))) (-4435 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-680 *7)) (-5 *5 (-1163)) (-4 *7 (-13 (-29 *6) (-1183) (-960))) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-2 (|:| |particular| (-1247 *7)) (|:| -3930 (-635 (-1247 *7))))) (-5 *1 (-798 *6 *7)) (-5 *4 (-1247 *7))))) 
+(-10 -7 (-15 -4435 ((-3 (-2 (|:| |particular| (-1247 |#2|)) (|:| -3930 (-635 (-1247 |#2|)))) "failed") (-680 |#2|) (-1247 |#2|) (-1163))) (-15 -4435 ((-3 (-635 (-1247 |#2|)) "failed") (-680 |#2|) (-1163))) (-15 -4435 ((-3 (-2 (|:| |particular| (-1247 |#2|)) (|:| -3930 (-635 (-1247 |#2|)))) "failed") (-635 (-289 |#2|)) (-635 (-123)) (-1163))) (-15 -4435 ((-3 (-2 (|:| |particular| (-1247 |#2|)) (|:| -3930 (-635 (-1247 |#2|)))) "failed") (-635 |#2|) (-635 (-123)) (-1163))) (-15 -4435 ((-3 (-2 (|:| |particular| |#2|) (|:| -3930 (-635 |#2|))) |#2| "failed") (-289 |#2|) (-123) (-1163))) (-15 -4435 ((-3 (-2 (|:| |particular| |#2|) (|:| -3930 (-635 |#2|))) |#2| "failed") |#2| (-123) (-1163))) (-15 -4435 ((-3 |#2| "failed") (-289 |#2|) (-123) (-289 |#2|) (-635 |#2|))) (-15 -4435 ((-3 |#2| "failed") |#2| (-123) (-289 |#2|) (-635 |#2|)))) 
+((-2590 (($) 9)) (-4445 (((-3 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))) "failed") (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 26)) (-2179 (((-635 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $) 23)) (-3172 (($ (-2 (|:| -2335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))))) 20)) (-4195 (($ (-635 (-2 (|:| -2335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))))) 18)) (-2147 (((-1252)) 12))) 
+(((-799) (-10 -8 (-15 -2590 ($)) (-15 -2147 ((-1252))) (-15 -2179 ((-635 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $)) (-15 -4195 ($ (-635 (-2 (|:| -2335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))))))) (-15 -3172 ($ (-2 (|:| -2335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))))) (-15 -4445 ((-3 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))) "failed") (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (T -799)) 
+((-4445 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))) (-5 *1 (-799)))) (-3172 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| -2335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))))) (-5 *1 (-799)))) (-4195 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -2335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))))) (-5 *1 (-799)))) (-2179 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-5 *1 (-799)))) (-2147 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-799)))) (-2590 (*1 *1) (-5 *1 (-799)))) 
+(-10 -8 (-15 -2590 ($)) (-15 -2147 ((-1252))) (-15 -2179 ((-635 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $)) (-15 -4195 ($ (-635 (-2 (|:| -2335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))))))) (-15 -3172 ($ (-2 (|:| -2335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))))) (-15 -4445 ((-3 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))) "failed") (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) 
+((-1741 ((|#2| |#2| (-1163)) 15)) (-2671 ((|#2| |#2| (-1163)) 47)) (-4477 (((-1 |#2| |#2|) (-1163)) 11))) 
+(((-800 |#1| |#2|) (-10 -7 (-15 -1741 (|#2| |#2| (-1163))) (-15 -2671 (|#2| |#2| (-1163))) (-15 -4477 ((-1 |#2| |#2|) (-1163)))) (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151)) (-13 (-29 |#1|) (-1183) (-960))) (T -800)) 
+((-4477 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-1 *5 *5)) (-5 *1 (-800 *4 *5)) (-4 *5 (-13 (-29 *4) (-1183) (-960))))) (-2671 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *1 (-800 *4 *2)) (-4 *2 (-13 (-29 *4) (-1183) (-960))))) (-1741 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *1 (-800 *4 *2)) (-4 *2 (-13 (-29 *4) (-1183) (-960)))))) 
+(-10 -7 (-15 -1741 (|#2| |#2| (-1163))) (-15 -2671 (|#2| |#2| (-1163))) (-15 -4477 ((-1 |#2| |#2|) (-1163)))) 
+((-4435 (((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-635 (-382)) (-382) (-382)) 114) (((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-635 (-382)) (-382)) 115) (((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-635 (-382)) (-382)) 117) (((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-382)) 118) (((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-382)) 119) (((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382))) 120) (((-1036) (-804) (-1060)) 105) (((-1036) (-804)) 106)) (-2703 (((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-804) (-1060)) 71) (((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-804)) 73))) 
+(((-801) (-10 -7 (-15 -4435 ((-1036) (-804))) (-15 -4435 ((-1036) (-804) (-1060))) (-15 -4435 ((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)))) (-15 -4435 ((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-382))) (-15 -4435 ((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-382))) (-15 -4435 ((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-635 (-382)) (-382))) (-15 -4435 ((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-635 (-382)) (-382))) (-15 -4435 ((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-635 (-382)) (-382) (-382))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-804))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-804) (-1060))))) (T -801)) 
+((-2703 (*1 *2 *3 *4) (-12 (-5 *3 (-804)) (-5 *4 (-1060)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *1 (-801)))) (-2703 (*1 *2 *3) (-12 (-5 *3 (-804)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *1 (-801)))) (-4435 (*1 *2 *3 *4 *4 *5 *6 *5 *4 *4) (-12 (-5 *3 (-1247 (-311 *4))) (-5 *5 (-635 (-382))) (-5 *6 (-311 (-382))) (-5 *4 (-382)) (-5 *2 (-1036)) (-5 *1 (-801)))) (-4435 (*1 *2 *3 *4 *4 *5 *6 *5 *4) (-12 (-5 *3 (-1247 (-311 *4))) (-5 *5 (-635 (-382))) (-5 *6 (-311 (-382))) (-5 *4 (-382)) (-5 *2 (-1036)) (-5 *1 (-801)))) (-4435 (*1 *2 *3 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1247 (-311 (-382)))) (-5 *4 (-382)) (-5 *5 (-635 *4)) (-5 *2 (-1036)) (-5 *1 (-801)))) (-4435 (*1 *2 *3 *4 *4 *5 *6 *4) (-12 (-5 *3 (-1247 (-311 *4))) (-5 *5 (-635 (-382))) (-5 *6 (-311 (-382))) (-5 *4 (-382)) (-5 *2 (-1036)) (-5 *1 (-801)))) (-4435 (*1 *2 *3 *4 *4 *5 *4) (-12 (-5 *3 (-1247 (-311 (-382)))) (-5 *4 (-382)) (-5 *5 (-635 *4)) (-5 *2 (-1036)) (-5 *1 (-801)))) (-4435 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1247 (-311 (-382)))) (-5 *4 (-382)) (-5 *5 (-635 *4)) (-5 *2 (-1036)) (-5 *1 (-801)))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-804)) (-5 *4 (-1060)) (-5 *2 (-1036)) (-5 *1 (-801)))) (-4435 (*1 *2 *3) (-12 (-5 *3 (-804)) (-5 *2 (-1036)) (-5 *1 (-801))))) 
+(-10 -7 (-15 -4435 ((-1036) (-804))) (-15 -4435 ((-1036) (-804) (-1060))) (-15 -4435 ((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)))) (-15 -4435 ((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-382))) (-15 -4435 ((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-382))) (-15 -4435 ((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-635 (-382)) (-382))) (-15 -4435 ((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-635 (-382)) (-382))) (-15 -4435 ((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-635 (-382)) (-382) (-382))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-804))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-804) (-1060)))) 
+((-3390 (((-2 (|:| |particular| (-3 |#4| "failed")) (|:| -3930 (-635 |#4|))) (-644 |#4|) |#4|) 32))) 
+(((-802 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3390 ((-2 (|:| |particular| (-3 |#4| "failed")) (|:| -3930 (-635 |#4|))) (-644 |#4|) |#4|))) (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569)))) (-1222 |#1|) (-1222 (-410 |#2|)) (-341 |#1| |#2| |#3|)) (T -802)) 
+((-3390 (*1 *2 *3 *4) (-12 (-5 *3 (-644 *4)) (-4 *4 (-341 *5 *6 *7)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-802 *5 *6 *7 *4))))) 
+(-10 -7 (-15 -3390 ((-2 (|:| |particular| (-3 |#4| "failed")) (|:| -3930 (-635 |#4|))) (-644 |#4|) |#4|))) 
+((-4422 (((-2 (|:| -1502 |#3|) (|:| |rh| (-635 (-410 |#2|)))) |#4| (-635 (-410 |#2|))) 51)) (-2343 (((-635 (-2 (|:| -4030 |#2|) (|:| -1539 |#2|))) |#4| |#2|) 59) (((-635 (-2 (|:| -4030 |#2|) (|:| -1539 |#2|))) |#4|) 58) (((-635 (-2 (|:| -4030 |#2|) (|:| -1539 |#2|))) |#3| |#2|) 20) (((-635 (-2 (|:| -4030 |#2|) (|:| -1539 |#2|))) |#3|) 21)) (-1948 ((|#2| |#4| |#1|) 60) ((|#2| |#3| |#1|) 27)) (-3320 ((|#2| |#3| (-635 (-410 |#2|))) 93) (((-3 |#2| "failed") |#3| (-410 |#2|)) 90))) 
+(((-803 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3320 ((-3 |#2| "failed") |#3| (-410 |#2|))) (-15 -3320 (|#2| |#3| (-635 (-410 |#2|)))) (-15 -2343 ((-635 (-2 (|:| -4030 |#2|) (|:| -1539 |#2|))) |#3|)) (-15 -2343 ((-635 (-2 (|:| -4030 |#2|) (|:| -1539 |#2|))) |#3| |#2|)) (-15 -1948 (|#2| |#3| |#1|)) (-15 -2343 ((-635 (-2 (|:| -4030 |#2|) (|:| -1539 |#2|))) |#4|)) (-15 -2343 ((-635 (-2 (|:| -4030 |#2|) (|:| -1539 |#2|))) |#4| |#2|)) (-15 -1948 (|#2| |#4| |#1|)) (-15 -4422 ((-2 (|:| -1502 |#3|) (|:| |rh| (-635 (-410 |#2|)))) |#4| (-635 (-410 |#2|))))) (-13 (-366) (-151) (-1038 (-410 (-569)))) (-1222 |#1|) (-647 |#2|) (-647 (-410 |#2|))) (T -803)) 
+((-4422 (*1 *2 *3 *4) (-12 (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-2 (|:| -1502 *7) (|:| |rh| (-635 (-410 *6))))) (-5 *1 (-803 *5 *6 *7 *3)) (-5 *4 (-635 (-410 *6))) (-4 *7 (-647 *6)) (-4 *3 (-647 (-410 *6))))) (-1948 (*1 *2 *3 *4) (-12 (-4 *2 (-1222 *4)) (-5 *1 (-803 *4 *2 *5 *3)) (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *5 (-647 *2)) (-4 *3 (-647 (-410 *2))))) (-2343 (*1 *2 *3 *4) (-12 (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *4 (-1222 *5)) (-5 *2 (-635 (-2 (|:| -4030 *4) (|:| -1539 *4)))) (-5 *1 (-803 *5 *4 *6 *3)) (-4 *6 (-647 *4)) (-4 *3 (-647 (-410 *4))))) (-2343 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *2 (-635 (-2 (|:| -4030 *5) (|:| -1539 *5)))) (-5 *1 (-803 *4 *5 *6 *3)) (-4 *6 (-647 *5)) (-4 *3 (-647 (-410 *5))))) (-1948 (*1 *2 *3 *4) (-12 (-4 *2 (-1222 *4)) (-5 *1 (-803 *4 *2 *3 *5)) (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *5 (-647 (-410 *2))))) (-2343 (*1 *2 *3 *4) (-12 (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *4 (-1222 *5)) (-5 *2 (-635 (-2 (|:| -4030 *4) (|:| -1539 *4)))) (-5 *1 (-803 *5 *4 *3 *6)) (-4 *3 (-647 *4)) (-4 *6 (-647 (-410 *4))))) (-2343 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *2 (-635 (-2 (|:| -4030 *5) (|:| -1539 *5)))) (-5 *1 (-803 *4 *5 *3 *6)) (-4 *3 (-647 *5)) (-4 *6 (-647 (-410 *5))))) (-3320 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-410 *2))) (-4 *2 (-1222 *5)) (-5 *1 (-803 *5 *2 *3 *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *6 (-647 (-410 *2))))) (-3320 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-410 *2)) (-4 *2 (-1222 *5)) (-5 *1 (-803 *5 *2 *3 *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *6 (-647 *4))))) 
+(-10 -7 (-15 -3320 ((-3 |#2| "failed") |#3| (-410 |#2|))) (-15 -3320 (|#2| |#3| (-635 (-410 |#2|)))) (-15 -2343 ((-635 (-2 (|:| -4030 |#2|) (|:| -1539 |#2|))) |#3|)) (-15 -2343 ((-635 (-2 (|:| -4030 |#2|) (|:| -1539 |#2|))) |#3| |#2|)) (-15 -1948 (|#2| |#3| |#1|)) (-15 -2343 ((-635 (-2 (|:| -4030 |#2|) (|:| -1539 |#2|))) |#4|)) (-15 -2343 ((-635 (-2 (|:| -4030 |#2|) (|:| -1539 |#2|))) |#4| |#2|)) (-15 -1948 (|#2| |#4| |#1|)) (-15 -4422 ((-2 (|:| -1502 |#3|) (|:| |rh| (-635 (-410 |#2|)))) |#4| (-635 (-410 |#2|))))) 
+((-2568 (((-121) $ $) NIL)) (-2428 (((-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) $) 9)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 11) (($ (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 8)) (-1668 (((-121) $ $) NIL))) 
+(((-804) (-13 (-1091) (-10 -8 (-15 -2185 ($ (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2185 ((-851) $)) (-15 -2428 ((-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) $))))) (T -804)) 
+((-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-804)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-804)))) (-2428 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-804))))) 
+(-13 (-1091) (-10 -8 (-15 -2185 ($ (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2185 ((-851) $)) (-15 -2428 ((-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) $)))) 
+((-2050 (((-635 (-2 (|:| |frac| (-410 |#2|)) (|:| -1502 |#3|))) |#3| (-1 (-635 |#2|) |#2| (-1159 |#2|)) (-1 (-421 |#2|) |#2|)) 118)) (-2674 (((-635 (-2 (|:| |poly| |#2|) (|:| -1502 |#3|))) |#3| (-1 (-635 |#1|) |#2|)) 45)) (-1474 (((-635 (-2 (|:| |deg| (-764)) (|:| -1502 |#2|))) |#3|) 95)) (-2022 ((|#2| |#3|) 37)) (-3508 (((-635 (-2 (|:| -2043 |#1|) (|:| -1502 |#3|))) |#3| (-1 (-635 |#1|) |#2|)) 82)) (-2836 ((|#3| |#3| (-410 |#2|)) 63) ((|#3| |#3| |#2|) 79))) 
+(((-805 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2022 (|#2| |#3|)) (-15 -1474 ((-635 (-2 (|:| |deg| (-764)) (|:| -1502 |#2|))) |#3|)) (-15 -3508 ((-635 (-2 (|:| -2043 |#1|) (|:| -1502 |#3|))) |#3| (-1 (-635 |#1|) |#2|))) (-15 -2674 ((-635 (-2 (|:| |poly| |#2|) (|:| -1502 |#3|))) |#3| (-1 (-635 |#1|) |#2|))) (-15 -2050 ((-635 (-2 (|:| |frac| (-410 |#2|)) (|:| -1502 |#3|))) |#3| (-1 (-635 |#2|) |#2| (-1159 |#2|)) (-1 (-421 |#2|) |#2|))) (-15 -2836 (|#3| |#3| |#2|)) (-15 -2836 (|#3| |#3| (-410 |#2|)))) (-13 (-366) (-151) (-1038 (-410 (-569)))) (-1222 |#1|) (-647 |#2|) (-647 (-410 |#2|))) (T -805)) 
+((-2836 (*1 *2 *2 *3) (-12 (-5 *3 (-410 *5)) (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *1 (-805 *4 *5 *2 *6)) (-4 *2 (-647 *5)) (-4 *6 (-647 *3)))) (-2836 (*1 *2 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *3 (-1222 *4)) (-5 *1 (-805 *4 *3 *2 *5)) (-4 *2 (-647 *3)) (-4 *5 (-647 (-410 *3))))) (-2050 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 (-635 *7) *7 (-1159 *7))) (-5 *5 (-1 (-421 *7) *7)) (-4 *7 (-1222 *6)) (-4 *6 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-5 *2 (-635 (-2 (|:| |frac| (-410 *7)) (|:| -1502 *3)))) (-5 *1 (-805 *6 *7 *3 *8)) (-4 *3 (-647 *7)) (-4 *8 (-647 (-410 *7))))) (-2674 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-2 (|:| |poly| *6) (|:| -1502 *3)))) (-5 *1 (-805 *5 *6 *3 *7)) (-4 *3 (-647 *6)) (-4 *7 (-647 (-410 *6))))) (-3508 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-2 (|:| -2043 *5) (|:| -1502 *3)))) (-5 *1 (-805 *5 *6 *3 *7)) (-4 *3 (-647 *6)) (-4 *7 (-647 (-410 *6))))) (-1474 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *2 (-635 (-2 (|:| |deg| (-764)) (|:| -1502 *5)))) (-5 *1 (-805 *4 *5 *3 *6)) (-4 *3 (-647 *5)) (-4 *6 (-647 (-410 *5))))) (-2022 (*1 *2 *3) (-12 (-4 *2 (-1222 *4)) (-5 *1 (-805 *4 *2 *3 *5)) (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *5 (-647 (-410 *2)))))) 
+(-10 -7 (-15 -2022 (|#2| |#3|)) (-15 -1474 ((-635 (-2 (|:| |deg| (-764)) (|:| -1502 |#2|))) |#3|)) (-15 -3508 ((-635 (-2 (|:| -2043 |#1|) (|:| -1502 |#3|))) |#3| (-1 (-635 |#1|) |#2|))) (-15 -2674 ((-635 (-2 (|:| |poly| |#2|) (|:| -1502 |#3|))) |#3| (-1 (-635 |#1|) |#2|))) (-15 -2050 ((-635 (-2 (|:| |frac| (-410 |#2|)) (|:| -1502 |#3|))) |#3| (-1 (-635 |#2|) |#2| (-1159 |#2|)) (-1 (-421 |#2|) |#2|))) (-15 -2836 (|#3| |#3| |#2|)) (-15 -2836 (|#3| |#3| (-410 |#2|)))) 
+((-2660 (((-2 (|:| -3930 (-635 (-410 |#2|))) (|:| -3477 (-680 |#1|))) (-645 |#2| (-410 |#2|)) (-635 (-410 |#2|))) 117) (((-2 (|:| |particular| (-3 (-410 |#2|) "failed")) (|:| -3930 (-635 (-410 |#2|)))) (-645 |#2| (-410 |#2|)) (-410 |#2|)) 116) (((-2 (|:| -3930 (-635 (-410 |#2|))) (|:| -3477 (-680 |#1|))) (-644 (-410 |#2|)) (-635 (-410 |#2|))) 111) (((-2 (|:| |particular| (-3 (-410 |#2|) "failed")) (|:| -3930 (-635 (-410 |#2|)))) (-644 (-410 |#2|)) (-410 |#2|)) 109)) (-4088 ((|#2| (-645 |#2| (-410 |#2|))) 77) ((|#2| (-644 (-410 |#2|))) 81))) 
+(((-806 |#1| |#2|) (-10 -7 (-15 -2660 ((-2 (|:| |particular| (-3 (-410 |#2|) "failed")) (|:| -3930 (-635 (-410 |#2|)))) (-644 (-410 |#2|)) (-410 |#2|))) (-15 -2660 ((-2 (|:| -3930 (-635 (-410 |#2|))) (|:| -3477 (-680 |#1|))) (-644 (-410 |#2|)) (-635 (-410 |#2|)))) (-15 -2660 ((-2 (|:| |particular| (-3 (-410 |#2|) "failed")) (|:| -3930 (-635 (-410 |#2|)))) (-645 |#2| (-410 |#2|)) (-410 |#2|))) (-15 -2660 ((-2 (|:| -3930 (-635 (-410 |#2|))) (|:| -3477 (-680 |#1|))) (-645 |#2| (-410 |#2|)) (-635 (-410 |#2|)))) (-15 -4088 (|#2| (-644 (-410 |#2|)))) (-15 -4088 (|#2| (-645 |#2| (-410 |#2|))))) (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569)))) (-1222 |#1|)) (T -806)) 
+((-4088 (*1 *2 *3) (-12 (-5 *3 (-645 *2 (-410 *2))) (-4 *2 (-1222 *4)) (-5 *1 (-806 *4 *2)) (-4 *4 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))))) (-4088 (*1 *2 *3) (-12 (-5 *3 (-644 (-410 *2))) (-4 *2 (-1222 *4)) (-5 *1 (-806 *4 *2)) (-4 *4 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))))) (-2660 (*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-2 (|:| -3930 (-635 (-410 *6))) (|:| -3477 (-680 *5)))) (-5 *1 (-806 *5 *6)) (-5 *4 (-635 (-410 *6))))) (-2660 (*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-5 *4 (-410 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-806 *5 *6)))) (-2660 (*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-2 (|:| -3930 (-635 (-410 *6))) (|:| -3477 (-680 *5)))) (-5 *1 (-806 *5 *6)) (-5 *4 (-635 (-410 *6))))) (-2660 (*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-5 *4 (-410 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-806 *5 *6))))) 
+(-10 -7 (-15 -2660 ((-2 (|:| |particular| (-3 (-410 |#2|) "failed")) (|:| -3930 (-635 (-410 |#2|)))) (-644 (-410 |#2|)) (-410 |#2|))) (-15 -2660 ((-2 (|:| -3930 (-635 (-410 |#2|))) (|:| -3477 (-680 |#1|))) (-644 (-410 |#2|)) (-635 (-410 |#2|)))) (-15 -2660 ((-2 (|:| |particular| (-3 (-410 |#2|) "failed")) (|:| -3930 (-635 (-410 |#2|)))) (-645 |#2| (-410 |#2|)) (-410 |#2|))) (-15 -2660 ((-2 (|:| -3930 (-635 (-410 |#2|))) (|:| -3477 (-680 |#1|))) (-645 |#2| (-410 |#2|)) (-635 (-410 |#2|)))) (-15 -4088 (|#2| (-644 (-410 |#2|)))) (-15 -4088 (|#2| (-645 |#2| (-410 |#2|))))) 
+((-1555 (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#1|))) |#5| |#4|) 47))) 
+(((-807 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1555 ((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#1|))) |#5| |#4|))) (-366) (-647 |#1|) (-1222 |#1|) (-715 |#1| |#3|) (-647 |#4|)) (T -807)) 
+((-1555 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *7 (-1222 *5)) (-4 *4 (-715 *5 *7)) (-5 *2 (-2 (|:| -3477 (-680 *6)) (|:| |vec| (-1247 *5)))) (-5 *1 (-807 *5 *6 *7 *4 *3)) (-4 *6 (-647 *5)) (-4 *3 (-647 *4))))) 
+(-10 -7 (-15 -1555 ((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#1|))) |#5| |#4|))) 
+((-2050 (((-635 (-2 (|:| |frac| (-410 |#2|)) (|:| -1502 (-645 |#2| (-410 |#2|))))) (-645 |#2| (-410 |#2|)) (-1 (-421 |#2|) |#2|)) 43)) (-2938 (((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-421 |#2|) |#2|)) 133 (|has| |#1| (-27))) (((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|))) 134 (|has| |#1| (-27))) (((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-421 |#2|) |#2|)) 135 (|has| |#1| (-27))) (((-635 (-410 |#2|)) (-644 (-410 |#2|))) 136 (|has| |#1| (-27))) (((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|) (-1 (-421 |#2|) |#2|)) 36) (((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|)) 37) (((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|) (-1 (-421 |#2|) |#2|)) 34) (((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|)) 35)) (-2674 (((-635 (-2 (|:| |poly| |#2|) (|:| -1502 (-645 |#2| (-410 |#2|))))) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|)) 80))) 
+(((-808 |#1| |#2|) (-10 -7 (-15 -2938 ((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (-15 -2938 ((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|) (-1 (-421 |#2|) |#2|))) (-15 -2938 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (-15 -2938 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|) (-1 (-421 |#2|) |#2|))) (-15 -2050 ((-635 (-2 (|:| |frac| (-410 |#2|)) (|:| -1502 (-645 |#2| (-410 |#2|))))) (-645 |#2| (-410 |#2|)) (-1 (-421 |#2|) |#2|))) (-15 -2674 ((-635 (-2 (|:| |poly| |#2|) (|:| -1502 (-645 |#2| (-410 |#2|))))) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -2938 ((-635 (-410 |#2|)) (-644 (-410 |#2|)))) (-15 -2938 ((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-421 |#2|) |#2|))) (-15 -2938 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)))) (-15 -2938 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-421 |#2|) |#2|)))) |noBranch|)) (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569)))) (-1222 |#1|)) (T -808)) 
+((-2938 (*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1222 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-635 (-410 *6))) (-5 *1 (-808 *5 *6)))) (-2938 (*1 *2 *3) (-12 (-5 *3 (-645 *5 (-410 *5))) (-4 *5 (-1222 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-635 (-410 *5))) (-5 *1 (-808 *4 *5)))) (-2938 (*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1222 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-635 (-410 *6))) (-5 *1 (-808 *5 *6)))) (-2938 (*1 *2 *3) (-12 (-5 *3 (-644 (-410 *5))) (-4 *5 (-1222 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-635 (-410 *5))) (-5 *1 (-808 *4 *5)))) (-2674 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-2 (|:| |poly| *6) (|:| -1502 (-645 *6 (-410 *6)))))) (-5 *1 (-808 *5 *6)) (-5 *3 (-645 *6 (-410 *6))))) (-2050 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-635 (-2 (|:| |frac| (-410 *6)) (|:| -1502 (-645 *6 (-410 *6)))))) (-5 *1 (-808 *5 *6)) (-5 *3 (-645 *6 (-410 *6))))) (-2938 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-645 *7 (-410 *7))) (-5 *4 (-1 (-635 *6) *7)) (-5 *5 (-1 (-421 *7) *7)) (-4 *6 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *7 (-1222 *6)) (-5 *2 (-635 (-410 *7))) (-5 *1 (-808 *6 *7)))) (-2938 (*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-410 *6))) (-5 *1 (-808 *5 *6)))) (-2938 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-644 (-410 *7))) (-5 *4 (-1 (-635 *6) *7)) (-5 *5 (-1 (-421 *7) *7)) (-4 *6 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *7 (-1222 *6)) (-5 *2 (-635 (-410 *7))) (-5 *1 (-808 *6 *7)))) (-2938 (*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-410 *6))) (-5 *1 (-808 *5 *6))))) 
+(-10 -7 (-15 -2938 ((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (-15 -2938 ((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|) (-1 (-421 |#2|) |#2|))) (-15 -2938 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (-15 -2938 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|) (-1 (-421 |#2|) |#2|))) (-15 -2050 ((-635 (-2 (|:| |frac| (-410 |#2|)) (|:| -1502 (-645 |#2| (-410 |#2|))))) (-645 |#2| (-410 |#2|)) (-1 (-421 |#2|) |#2|))) (-15 -2674 ((-635 (-2 (|:| |poly| |#2|) (|:| -1502 (-645 |#2| (-410 |#2|))))) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -2938 ((-635 (-410 |#2|)) (-644 (-410 |#2|)))) (-15 -2938 ((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-421 |#2|) |#2|))) (-15 -2938 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)))) (-15 -2938 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-421 |#2|) |#2|)))) |noBranch|)) 
+((-2752 (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#1|))) (-680 |#2|) (-1247 |#1|)) 86) (((-2 (|:| A (-680 |#1|)) (|:| |eqs| (-635 (-2 (|:| C (-680 |#1|)) (|:| |g| (-1247 |#1|)) (|:| -1502 |#2|) (|:| |rh| |#1|))))) (-680 |#1|) (-1247 |#1|)) 14)) (-1311 (((-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|)))) (-680 |#2|) (-1247 |#1|) (-1 (-2 (|:| |particular| (-3 |#1| "failed")) (|:| -3930 (-635 |#1|))) |#2| |#1|)) 92)) (-4435 (((-3 (-2 (|:| |particular| (-1247 |#1|)) (|:| -3930 (-680 |#1|))) "failed") (-680 |#1|) (-1247 |#1|) (-1 (-3 (-2 (|:| |particular| |#1|) (|:| -3930 (-635 |#1|))) "failed") |#2| |#1|)) 45))) 
+(((-809 |#1| |#2|) (-10 -7 (-15 -2752 ((-2 (|:| A (-680 |#1|)) (|:| |eqs| (-635 (-2 (|:| C (-680 |#1|)) (|:| |g| (-1247 |#1|)) (|:| -1502 |#2|) (|:| |rh| |#1|))))) (-680 |#1|) (-1247 |#1|))) (-15 -2752 ((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#1|))) (-680 |#2|) (-1247 |#1|))) (-15 -4435 ((-3 (-2 (|:| |particular| (-1247 |#1|)) (|:| -3930 (-680 |#1|))) "failed") (-680 |#1|) (-1247 |#1|) (-1 (-3 (-2 (|:| |particular| |#1|) (|:| -3930 (-635 |#1|))) "failed") |#2| |#1|))) (-15 -1311 ((-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|)))) (-680 |#2|) (-1247 |#1|) (-1 (-2 (|:| |particular| (-3 |#1| "failed")) (|:| -3930 (-635 |#1|))) |#2| |#1|)))) (-366) (-647 |#1|)) (T -809)) 
+((-1311 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *7)) (-5 *5 (-1 (-2 (|:| |particular| (-3 *6 "failed")) (|:| -3930 (-635 *6))) *7 *6)) (-4 *6 (-366)) (-4 *7 (-647 *6)) (-5 *2 (-2 (|:| |particular| (-3 (-1247 *6) "failed")) (|:| -3930 (-635 (-1247 *6))))) (-5 *1 (-809 *6 *7)) (-5 *4 (-1247 *6)))) (-4435 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-2 (|:| |particular| *6) (|:| -3930 (-635 *6))) "failed") *7 *6)) (-4 *6 (-366)) (-4 *7 (-647 *6)) (-5 *2 (-2 (|:| |particular| (-1247 *6)) (|:| -3930 (-680 *6)))) (-5 *1 (-809 *6 *7)) (-5 *3 (-680 *6)) (-5 *4 (-1247 *6)))) (-2752 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-647 *5)) (-5 *2 (-2 (|:| -3477 (-680 *6)) (|:| |vec| (-1247 *5)))) (-5 *1 (-809 *5 *6)) (-5 *3 (-680 *6)) (-5 *4 (-1247 *5)))) (-2752 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-5 *2 (-2 (|:| A (-680 *5)) (|:| |eqs| (-635 (-2 (|:| C (-680 *5)) (|:| |g| (-1247 *5)) (|:| -1502 *6) (|:| |rh| *5)))))) (-5 *1 (-809 *5 *6)) (-5 *3 (-680 *5)) (-5 *4 (-1247 *5)) (-4 *6 (-647 *5))))) 
+(-10 -7 (-15 -2752 ((-2 (|:| A (-680 |#1|)) (|:| |eqs| (-635 (-2 (|:| C (-680 |#1|)) (|:| |g| (-1247 |#1|)) (|:| -1502 |#2|) (|:| |rh| |#1|))))) (-680 |#1|) (-1247 |#1|))) (-15 -2752 ((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#1|))) (-680 |#2|) (-1247 |#1|))) (-15 -4435 ((-3 (-2 (|:| |particular| (-1247 |#1|)) (|:| -3930 (-680 |#1|))) "failed") (-680 |#1|) (-1247 |#1|) (-1 (-3 (-2 (|:| |particular| |#1|) (|:| -3930 (-635 |#1|))) "failed") |#2| |#1|))) (-15 -1311 ((-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|)))) (-680 |#2|) (-1247 |#1|) (-1 (-2 (|:| |particular| (-3 |#1| "failed")) (|:| -3930 (-635 |#1|))) |#2| |#1|)))) 
+((-1825 (((-680 |#1|) (-635 |#1|) (-764)) 13) (((-680 |#1|) (-635 |#1|)) 14)) (-4358 (((-3 (-1247 |#1|) "failed") |#2| |#1| (-635 |#1|)) 34)) (-2163 (((-3 |#1| "failed") |#2| |#1| (-635 |#1|) (-1 |#1| |#1|)) 42))) 
+(((-810 |#1| |#2|) (-10 -7 (-15 -1825 ((-680 |#1|) (-635 |#1|))) (-15 -1825 ((-680 |#1|) (-635 |#1|) (-764))) (-15 -4358 ((-3 (-1247 |#1|) "failed") |#2| |#1| (-635 |#1|))) (-15 -2163 ((-3 |#1| "failed") |#2| |#1| (-635 |#1|) (-1 |#1| |#1|)))) (-366) (-647 |#1|)) (T -810)) 
+((-2163 (*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *4 (-635 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-366)) (-5 *1 (-810 *2 *3)) (-4 *3 (-647 *2)))) (-4358 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-635 *4)) (-4 *4 (-366)) (-5 *2 (-1247 *4)) (-5 *1 (-810 *4 *3)) (-4 *3 (-647 *4)))) (-1825 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-764)) (-4 *5 (-366)) (-5 *2 (-680 *5)) (-5 *1 (-810 *5 *6)) (-4 *6 (-647 *5)))) (-1825 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-5 *2 (-680 *4)) (-5 *1 (-810 *4 *5)) (-4 *5 (-647 *4))))) 
+(-10 -7 (-15 -1825 ((-680 |#1|) (-635 |#1|))) (-15 -1825 ((-680 |#1|) (-635 |#1|) (-764))) (-15 -4358 ((-3 (-1247 |#1|) "failed") |#2| |#1| (-635 |#1|))) (-15 -2163 ((-3 |#1| "failed") |#2| |#1| (-635 |#1|) (-1 |#1| |#1|)))) 
+((-2568 (((-121) $ $) NIL (|has| |#2| (-1091)))) (-3813 (((-121) $) NIL (|has| |#2| (-138)))) (-4382 (($ (-918)) NIL (|has| |#2| (-1048)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-1498 (($ $ $) NIL (|has| |#2| (-789)))) (-2327 (((-3 $ "failed") $ $) NIL (|has| |#2| (-138)))) (-1691 (((-121) $ (-764)) NIL)) (-2085 (((-764)) NIL (|has| |#2| (-371)))) (-3638 (((-569) $) NIL (|has| |#2| (-841)))) (-4469 ((|#2| $ (-569) |#2|) NIL (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (-12 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) (((-3 |#2| "failed") $) NIL (|has| |#2| (-1091)))) (-2428 (((-569) $) NIL (-12 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091)))) (((-410 (-569)) $) NIL (-12 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) ((|#2| $) NIL (|has| |#2| (-1091)))) (-1696 (((-680 (-569)) (-680 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL (|has| |#2| (-1048))) (((-680 |#2|) (-680 $)) NIL (|has| |#2| (-1048)))) (-3428 (((-3 $ "failed") $) NIL (|has| |#2| (-717)))) (-4327 (($) NIL (|has| |#2| (-371)))) (-2726 ((|#2| $ (-569) |#2|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#2| $ (-569)) NIL)) (-2403 (((-121) $) NIL (|has| |#2| (-841)))) (-3470 (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-1407 (((-121) $) NIL (|has| |#2| (-717)))) (-1781 (((-121) $) NIL (|has| |#2| (-841)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-4259 (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1853 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#2| |#2|) $) NIL)) (-2083 (((-918) $) NIL (|has| |#2| (-371)))) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#2| (-1091)))) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3998 (($ (-918)) NIL (|has| |#2| (-371)))) (-3360 (((-1109) $) NIL (|has| |#2| (-1091)))) (-4353 ((|#2| $) NIL (|has| (-569) (-843)))) (-3174 (($ $ |#2|) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-2691 (((-635 |#2|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#2| $ (-569) |#2|) NIL) ((|#2| $ (-569)) NIL)) (-2049 ((|#2| $ $) NIL (|has| |#2| (-1048)))) (-1755 (($ (-1247 |#2|)) NIL)) (-2369 (((-140)) NIL (|has| |#2| (-366)))) (-3899 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-764)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-1163)) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1 |#2| |#2|) (-764)) NIL (|has| |#2| (-1048))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1048)))) (-2846 (((-764) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535))) (((-764) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-1247 |#2|) $) NIL) (((-851) $) NIL (|has| |#2| (-1091))) (($ (-569)) NIL (-2232 (-12 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091))) (|has| |#2| (-1048)))) (($ (-410 (-569))) NIL (-12 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) (($ |#2|) NIL (|has| |#2| (-1091)))) (-1991 (((-764)) NIL (|has| |#2| (-1048)))) (-2066 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1616 (($ $) NIL (|has| |#2| (-841)))) (-2427 (($ $ (-764)) NIL (|has| |#2| (-717))) (($ $ (-918)) NIL (|has| |#2| (-717)))) (-3369 (($) NIL (|has| |#2| (-138)) CONST)) (-1556 (($) NIL (|has| |#2| (-717)) CONST)) (-3022 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-764)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-1163)) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1 |#2| |#2|) (-764)) NIL (|has| |#2| (-1048))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1048)))) (-1693 (((-121) $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1684 (((-121) $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1668 (((-121) $ $) NIL (|has| |#2| (-1091)))) (-1688 (((-121) $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1678 (((-121) $ $) 11 (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1715 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1711 (($ $ $) NIL (|has| |#2| (-1048))) (($ $) NIL (|has| |#2| (-1048)))) (-1707 (($ $ $) NIL (|has| |#2| (-25)))) (** (($ $ (-764)) NIL (|has| |#2| (-717))) (($ $ (-918)) NIL (|has| |#2| (-717)))) (* (($ (-569) $) NIL (|has| |#2| (-1048))) (($ $ $) NIL (|has| |#2| (-717))) (($ $ |#2|) NIL (|has| |#2| (-1048))) (($ |#2| $) NIL (|has| |#2| (-1048))) (($ (-764) $) NIL (|has| |#2| (-138))) (($ (-918) $) NIL (|has| |#2| (-25)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-811 |#1| |#2| |#3|) (-231 |#1| |#2|) (-764) (-789) (-1 (-121) (-1247 |#2|) (-1247 |#2|))) (T -811)) 
+NIL 
+(-231 |#1| |#2|) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1644 (((-635 (-764)) $) NIL) (((-635 (-764)) $ (-1163)) NIL)) (-2496 (((-764) $) NIL) (((-764) $ (-1163)) NIL)) (-1773 (((-635 (-814 (-1163))) $) NIL)) (-1739 (((-1159 $) $ (-814 (-1163))) NIL) (((-1159 |#1|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 (-814 (-1163)))) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-2004 (($ $) NIL (|has| |#1| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-4302 (($ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-814 (-1163)) "failed") $) NIL) (((-3 (-1163) "failed") $) NIL) (((-3 (-1114 |#1| (-1163)) "failed") $) NIL)) (-2428 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-814 (-1163)) $) NIL) (((-1163) $) NIL) (((-1114 |#1| (-1163)) $) NIL)) (-3493 (($ $ $ (-814 (-1163))) NIL (|has| |#1| (-173)))) (-4020 (($ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) NIL) (((-680 |#1|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#1| (-454))) (($ $ (-814 (-1163))) NIL (|has| |#1| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#1| (-905)))) (-1667 (($ $ |#1| (-535 (-814 (-1163))) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-814 (-1163)) (-882 (-382))) (|has| |#1| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-814 (-1163)) (-882 (-569))) (|has| |#1| (-882 (-569)))))) (-2558 (((-764) $ (-1163)) NIL) (((-764) $) NIL)) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-1768 (($ (-1159 |#1|) (-814 (-1163))) NIL) (($ (-1159 $) (-814 (-1163))) NIL)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-535 (-814 (-1163)))) NIL) (($ $ (-814 (-1163)) (-764)) NIL) (($ $ (-635 (-814 (-1163))) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-814 (-1163))) NIL)) (-4002 (((-535 (-814 (-1163))) $) NIL) (((-764) $ (-814 (-1163))) NIL) (((-635 (-764)) $ (-635 (-814 (-1163)))) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-2658 (($ (-1 (-535 (-814 (-1163))) (-535 (-814 (-1163)))) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-1918 (((-1 $ (-764)) (-1163)) NIL) (((-1 $ (-764)) $) NIL (|has| |#1| (-226)))) (-1637 (((-3 (-814 (-1163)) "failed") $) NIL)) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-4163 (((-814 (-1163)) $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2776 (((-1145) $) NIL)) (-4505 (((-121) $) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| (-814 (-1163))) (|:| -2356 (-764))) "failed") $) NIL)) (-4000 (($ $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) NIL)) (-1801 ((|#1| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-905)))) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-814 (-1163)) |#1|) NIL) (($ $ (-635 (-814 (-1163))) (-635 |#1|)) NIL) (($ $ (-814 (-1163)) $) NIL) (($ $ (-635 (-814 (-1163))) (-635 $)) NIL) (($ $ (-1163) $) NIL (|has| |#1| (-226))) (($ $ (-635 (-1163)) (-635 $)) NIL (|has| |#1| (-226))) (($ $ (-1163) |#1|) NIL (|has| |#1| (-226))) (($ $ (-635 (-1163)) (-635 |#1|)) NIL (|has| |#1| (-226)))) (-2087 (($ $ (-814 (-1163))) NIL (|has| |#1| (-173)))) (-3899 (($ $ (-814 (-1163))) NIL) (($ $ (-635 (-814 (-1163)))) NIL) (($ $ (-814 (-1163)) (-764)) NIL) (($ $ (-635 (-814 (-1163))) (-635 (-764))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1511 (((-635 (-1163)) $) NIL)) (-2492 (((-535 (-814 (-1163))) $) NIL) (((-764) $ (-814 (-1163))) NIL) (((-635 (-764)) $ (-635 (-814 (-1163)))) NIL) (((-764) $ (-1163)) NIL)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| (-814 (-1163)) (-610 (-888 (-382)))) (|has| |#1| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| (-814 (-1163)) (-610 (-888 (-569)))) (|has| |#1| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| (-814 (-1163)) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-3298 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ (-814 (-1163))) NIL (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-814 (-1163))) NIL) (($ (-1163)) NIL) (($ (-1114 |#1| (-1163))) NIL) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-535 (-814 (-1163)))) NIL) (($ $ (-814 (-1163)) (-764)) NIL) (($ $ (-635 (-814 (-1163))) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#1| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-814 (-1163))) NIL) (($ $ (-635 (-814 (-1163)))) NIL) (($ $ (-814 (-1163)) (-764)) NIL) (($ $ (-635 (-814 (-1163))) (-635 (-764))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((-812 |#1|) (-13 (-247 |#1| (-1163) (-814 (-1163)) (-535 (-814 (-1163)))) (-1038 (-1114 |#1| (-1163)))) (-1048)) (T -812)) 
+NIL 
+(-13 (-247 |#1| (-1163) (-814 (-1163)) (-535 (-814 (-1163)))) (-1038 (-1114 |#1| (-1163)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#2| (-366)))) (-3383 (($ $) NIL (|has| |#2| (-366)))) (-4354 (((-121) $) NIL (|has| |#2| (-366)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL (|has| |#2| (-366)))) (-2446 (((-421 $) $) NIL (|has| |#2| (-366)))) (-3934 (((-121) $ $) NIL (|has| |#2| (-366)))) (-2820 (($) NIL T CONST)) (-2506 (($ $ $) NIL (|has| |#2| (-366)))) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL (|has| |#2| (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#2| (-366)))) (-3726 (((-121) $) NIL (|has| |#2| (-366)))) (-1407 (((-121) $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-366)))) (-2665 (($ (-635 $)) NIL (|has| |#2| (-366))) (($ $ $) NIL (|has| |#2| (-366)))) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 20 (|has| |#2| (-366)))) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#2| (-366)))) (-2714 (($ (-635 $)) NIL (|has| |#2| (-366))) (($ $ $) NIL (|has| |#2| (-366)))) (-1743 (((-421 $) $) NIL (|has| |#2| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#2| (-366)))) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#2| (-366)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-366)))) (-2622 (((-764) $) NIL (|has| |#2| (-366)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#2| (-366)))) (-3899 (($ $ (-764)) NIL) (($ $) 13)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#2|) 10) ((|#2| $) 11) (($ (-410 (-569))) NIL (|has| |#2| (-366))) (($ $) NIL (|has| |#2| (-366)))) (-1991 (((-764)) NIL)) (-1961 (((-121) $ $) NIL (|has| |#2| (-366)))) (-2427 (($ $ (-764)) NIL) (($ $ (-918)) NIL) (($ $ (-569)) NIL (|has| |#2| (-366)))) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-764)) NIL) (($ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) 15 (|has| |#2| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-764)) NIL) (($ $ (-918)) NIL) (($ $ (-569)) 18 (|has| |#2| (-366)))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ $) NIL) (($ (-410 (-569)) $) NIL (|has| |#2| (-366))) (($ $ (-410 (-569))) NIL (|has| |#2| (-366))))) 
+(((-813 |#1| |#2| |#3|) (-13 (-120 $ $) (-226) (-10 -8 (IF (|has| |#2| (-366)) (-6 (-366)) |noBranch|) (-15 -2185 ($ |#2|)) (-15 -2185 (|#2| $)))) (-1091) (-896 |#1|) |#1|) (T -813)) 
+((-2185 (*1 *1 *2) (-12 (-4 *3 (-1091)) (-14 *4 *3) (-5 *1 (-813 *3 *2 *4)) (-4 *2 (-896 *3)))) (-2185 (*1 *2 *1) (-12 (-4 *2 (-896 *3)) (-5 *1 (-813 *3 *2 *4)) (-4 *3 (-1091)) (-14 *4 *3)))) 
+(-13 (-120 $ $) (-226) (-10 -8 (IF (|has| |#2| (-366)) (-6 (-366)) |noBranch|) (-15 -2185 ($ |#2|)) (-15 -2185 (|#2| $)))) 
+((-2568 (((-121) $ $) NIL)) (-2496 (((-764) $) NIL)) (-3534 ((|#1| $) 10)) (-1647 (((-3 |#1| "failed") $) NIL)) (-2428 ((|#1| $) NIL)) (-2558 (((-764) $) 11)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1918 (($ |#1| (-764)) 9)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-3899 (($ $) NIL) (($ $ (-764)) NIL)) (-2185 (((-851) $) NIL) (($ |#1|) NIL)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL))) 
+(((-814 |#1|) (-263 |#1|) (-843)) (T -814)) 
+NIL 
+(-263 |#1|) 
+((-2568 (((-121) $ $) NIL)) (-3914 (((-635 |#1|) $) 34)) (-2085 (((-764) $) NIL)) (-2820 (($) NIL T CONST)) (-2123 (((-3 $ "failed") $ $) 21) (((-3 $ "failed") $ |#1|) 19)) (-1647 (((-3 |#1| "failed") $) NIL)) (-2428 ((|#1| $) NIL)) (-2046 (($ $) 36)) (-3428 (((-3 $ "failed") $) NIL)) (-3560 (((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $) NIL)) (-1407 (((-121) $) NIL)) (-3082 ((|#1| $ (-569)) NIL)) (-2248 (((-764) $ (-569)) NIL)) (-2208 (($ $) 40)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-3642 (((-3 $ "failed") $ $) 20) (((-3 $ "failed") $ |#1|) 16)) (-2152 (((-121) $ $) 38)) (-1906 (((-764) $) 30)) (-2776 (((-1145) $) NIL)) (-2069 (($ $ $) NIL)) (-1466 (($ $ $) NIL)) (-3360 (((-1109) $) NIL)) (-4353 ((|#1| $) 35)) (-1640 (((-635 (-2 (|:| |gen| |#1|) (|:| -2436 (-764)))) $) NIL)) (-2609 (((-3 (-2 (|:| |lm| (-3 $ "failed")) (|:| |rm| (-3 $ "failed"))) "failed") $ $) 24)) (-2185 (((-851) $) NIL) (($ |#1|) NIL)) (-2427 (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (-1556 (($) 14 T CONST)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 39)) (** (($ $ (-764)) NIL) (($ $ (-918)) NIL) (($ |#1| (-764)) NIL)) (* (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((-815 |#1|) (-13 (-839) (-1038 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-764))) (-15 -4353 (|#1| $)) (-15 -2046 ($ $)) (-15 -2208 ($ $)) (-15 -2152 ((-121) $ $)) (-15 -1466 ($ $ $)) (-15 -2069 ($ $ $)) (-15 -3642 ((-3 $ "failed") $ $)) (-15 -2123 ((-3 $ "failed") $ $)) (-15 -3642 ((-3 $ "failed") $ |#1|)) (-15 -2123 ((-3 $ "failed") $ |#1|)) (-15 -2609 ((-3 (-2 (|:| |lm| (-3 $ "failed")) (|:| |rm| (-3 $ "failed"))) "failed") $ $)) (-15 -3560 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -2085 ((-764) $)) (-15 -2248 ((-764) $ (-569))) (-15 -3082 (|#1| $ (-569))) (-15 -1640 ((-635 (-2 (|:| |gen| |#1|) (|:| -2436 (-764)))) $)) (-15 -1906 ((-764) $)) (-15 -3914 ((-635 |#1|) $)))) (-843)) (T -815)) 
+((* (*1 *1 *2 *1) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) (** (*1 *1 *2 *3) (-12 (-5 *3 (-764)) (-5 *1 (-815 *2)) (-4 *2 (-843)))) (-4353 (*1 *2 *1) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) (-2046 (*1 *1 *1) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) (-2208 (*1 *1 *1) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) (-2152 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-815 *3)) (-4 *3 (-843)))) (-1466 (*1 *1 *1 *1) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) (-2069 (*1 *1 *1 *1) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) (-3642 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) (-2123 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) (-3642 (*1 *1 *1 *2) (|partial| -12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) (-2123 (*1 *1 *1 *2) (|partial| -12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) (-2609 (*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-3 (-815 *3) "failed")) (|:| |rm| (-3 (-815 *3) "failed")))) (-5 *1 (-815 *3)) (-4 *3 (-843)))) (-3560 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-815 *3)) (|:| |mm| (-815 *3)) (|:| |rm| (-815 *3)))) (-5 *1 (-815 *3)) (-4 *3 (-843)))) (-2085 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-815 *3)) (-4 *3 (-843)))) (-2248 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-764)) (-5 *1 (-815 *4)) (-4 *4 (-843)))) (-3082 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-815 *2)) (-4 *2 (-843)))) (-1640 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -2436 (-764))))) (-5 *1 (-815 *3)) (-4 *3 (-843)))) (-1906 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-815 *3)) (-4 *3 (-843)))) (-3914 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-815 *3)) (-4 *3 (-843))))) 
+(-13 (-839) (-1038 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-764))) (-15 -4353 (|#1| $)) (-15 -2046 ($ $)) (-15 -2208 ($ $)) (-15 -2152 ((-121) $ $)) (-15 -1466 ($ $ $)) (-15 -2069 ($ $ $)) (-15 -3642 ((-3 $ "failed") $ $)) (-15 -2123 ((-3 $ "failed") $ $)) (-15 -3642 ((-3 $ "failed") $ |#1|)) (-15 -2123 ((-3 $ "failed") $ |#1|)) (-15 -2609 ((-3 (-2 (|:| |lm| (-3 $ "failed")) (|:| |rm| (-3 $ "failed"))) "failed") $ $)) (-15 -3560 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -2085 ((-764) $)) (-15 -2248 ((-764) $ (-569))) (-15 -3082 (|#1| $ (-569))) (-15 -1640 ((-635 (-2 (|:| |gen| |#1|) (|:| -2436 (-764)))) $)) (-15 -1906 ((-764) $)) (-15 -3914 ((-635 |#1|) $)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-3638 (((-569) $) 52)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-2403 (((-121) $) 50)) (-1407 (((-121) $) 30)) (-1781 (((-121) $) 51)) (-3291 (($ $ $) 49)) (-1538 (($ $ $) 48)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2941 (((-3 $ "failed") $ $) 41)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-1616 (($ $) 53)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1693 (((-121) $ $) 46)) (-1684 (((-121) $ $) 45)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 47)) (-1678 (((-121) $ $) 44)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-816) (-1278)) (T -816)) 
+NIL 
+(-13 (-559) (-841)) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-173) . T) ((-286) . T) ((-559) . T) ((-638 $) . T) ((-708 $) . T) ((-717) . T) ((-787) . T) ((-788) . T) ((-790) . T) ((-791) . T) ((-841) . T) ((-843) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-3728 (($ (-1109)) 7)) (-3729 (((-121) $ (-1145) (-1109)) 15)) (-3863 (((-818) $) 12)) (-4485 (((-818) $) 11)) (-1507 (((-1252) $) 9)) (-1454 (((-121) $ (-1109)) 16))) 
+(((-817) (-10 -8 (-15 -3728 ($ (-1109))) (-15 -1507 ((-1252) $)) (-15 -4485 ((-818) $)) (-15 -3863 ((-818) $)) (-15 -3729 ((-121) $ (-1145) (-1109))) (-15 -1454 ((-121) $ (-1109))))) (T -817)) 
+((-1454 (*1 *2 *1 *3) (-12 (-5 *3 (-1109)) (-5 *2 (-121)) (-5 *1 (-817)))) (-3729 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-1109)) (-5 *2 (-121)) (-5 *1 (-817)))) (-3863 (*1 *2 *1) (-12 (-5 *2 (-818)) (-5 *1 (-817)))) (-4485 (*1 *2 *1) (-12 (-5 *2 (-818)) (-5 *1 (-817)))) (-1507 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-817)))) (-3728 (*1 *1 *2) (-12 (-5 *2 (-1109)) (-5 *1 (-817))))) 
+(-10 -8 (-15 -3728 ($ (-1109))) (-15 -1507 ((-1252) $)) (-15 -4485 ((-818) $)) (-15 -3863 ((-818) $)) (-15 -3729 ((-121) $ (-1145) (-1109))) (-15 -1454 ((-121) $ (-1109)))) 
+((-1862 (((-1252) $ (-819)) 12)) (-3220 (((-1252) $ (-1163)) 32)) (-3026 (((-1252) $ (-1145) (-1145)) 34)) (-3973 (((-1252) $ (-1145)) 33)) (-1412 (((-1252) $) 19)) (-4019 (((-1252) $ (-569)) 28)) (-4158 (((-1252) $ (-216)) 30)) (-2875 (((-1252) $) 18)) (-3826 (((-1252) $) 26)) (-4492 (((-1252) $) 25)) (-1843 (((-1252) $) 23)) (-1543 (((-1252) $) 24)) (-4081 (((-1252) $) 22)) (-3002 (((-1252) $) 21)) (-3696 (((-1252) $) 20)) (-3736 (((-1252) $) 16)) (-4083 (((-1252) $) 17)) (-3259 (((-1252) $) 15)) (-2625 (((-1252) $) 14)) (-4211 (((-1252) $) 13)) (-1562 (($ (-1145) (-819)) 9)) (-2002 (($ (-1145) (-1145) (-819)) 8)) (-4478 (((-1163) $) 51)) (-2560 (((-1163) $) 55)) (-1415 (((-2 (|:| |cd| (-1145)) (|:| -1486 (-1145))) $) 54)) (-1826 (((-1145) $) 52)) (-4010 (((-1252) $) 41)) (-1888 (((-569) $) 49)) (-1608 (((-216) $) 50)) (-1312 (((-1252) $) 40)) (-4471 (((-1252) $) 48)) (-4123 (((-1252) $) 47)) (-1717 (((-1252) $) 45)) (-3630 (((-1252) $) 46)) (-4138 (((-1252) $) 44)) (-3319 (((-1252) $) 43)) (-4500 (((-1252) $) 42)) (-3268 (((-1252) $) 38)) (-3463 (((-1252) $) 39)) (-1878 (((-1252) $) 37)) (-2480 (((-1252) $) 36)) (-2106 (((-1252) $) 35)) (-2913 (((-1252) $) 11))) 
+(((-818) (-10 -8 (-15 -2002 ($ (-1145) (-1145) (-819))) (-15 -1562 ($ (-1145) (-819))) (-15 -2913 ((-1252) $)) (-15 -1862 ((-1252) $ (-819))) (-15 -4211 ((-1252) $)) (-15 -2625 ((-1252) $)) (-15 -3259 ((-1252) $)) (-15 -3736 ((-1252) $)) (-15 -4083 ((-1252) $)) (-15 -2875 ((-1252) $)) (-15 -1412 ((-1252) $)) (-15 -3696 ((-1252) $)) (-15 -3002 ((-1252) $)) (-15 -4081 ((-1252) $)) (-15 -1843 ((-1252) $)) (-15 -1543 ((-1252) $)) (-15 -4492 ((-1252) $)) (-15 -3826 ((-1252) $)) (-15 -4019 ((-1252) $ (-569))) (-15 -4158 ((-1252) $ (-216))) (-15 -3220 ((-1252) $ (-1163))) (-15 -3973 ((-1252) $ (-1145))) (-15 -3026 ((-1252) $ (-1145) (-1145))) (-15 -2106 ((-1252) $)) (-15 -2480 ((-1252) $)) (-15 -1878 ((-1252) $)) (-15 -3268 ((-1252) $)) (-15 -3463 ((-1252) $)) (-15 -1312 ((-1252) $)) (-15 -4010 ((-1252) $)) (-15 -4500 ((-1252) $)) (-15 -3319 ((-1252) $)) (-15 -4138 ((-1252) $)) (-15 -1717 ((-1252) $)) (-15 -3630 ((-1252) $)) (-15 -4123 ((-1252) $)) (-15 -4471 ((-1252) $)) (-15 -1888 ((-569) $)) (-15 -1608 ((-216) $)) (-15 -4478 ((-1163) $)) (-15 -1826 ((-1145) $)) (-15 -1415 ((-2 (|:| |cd| (-1145)) (|:| -1486 (-1145))) $)) (-15 -2560 ((-1163) $)))) (T -818)) 
+((-2560 (*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-818)))) (-1415 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |cd| (-1145)) (|:| -1486 (-1145)))) (-5 *1 (-818)))) (-1826 (*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-818)))) (-4478 (*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-818)))) (-1608 (*1 *2 *1) (-12 (-5 *2 (-216)) (-5 *1 (-818)))) (-1888 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-818)))) (-4471 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-4123 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-3630 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-1717 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-4138 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-3319 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-4500 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-4010 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-1312 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-3463 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-3268 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-1878 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-2480 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-2106 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-3026 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-818)))) (-3973 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-818)))) (-3220 (*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-818)))) (-4158 (*1 *2 *1 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1252)) (-5 *1 (-818)))) (-4019 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-818)))) (-3826 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-4492 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-1543 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-1843 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-4081 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-3002 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-3696 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-1412 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-2875 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-4083 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-3736 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-3259 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-2625 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-4211 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-1862 (*1 *2 *1 *3) (-12 (-5 *3 (-819)) (-5 *2 (-1252)) (-5 *1 (-818)))) (-2913 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-1562 (*1 *1 *2 *3) (-12 (-5 *2 (-1145)) (-5 *3 (-819)) (-5 *1 (-818)))) (-2002 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-1145)) (-5 *3 (-819)) (-5 *1 (-818))))) 
+(-10 -8 (-15 -2002 ($ (-1145) (-1145) (-819))) (-15 -1562 ($ (-1145) (-819))) (-15 -2913 ((-1252) $)) (-15 -1862 ((-1252) $ (-819))) (-15 -4211 ((-1252) $)) (-15 -2625 ((-1252) $)) (-15 -3259 ((-1252) $)) (-15 -3736 ((-1252) $)) (-15 -4083 ((-1252) $)) (-15 -2875 ((-1252) $)) (-15 -1412 ((-1252) $)) (-15 -3696 ((-1252) $)) (-15 -3002 ((-1252) $)) (-15 -4081 ((-1252) $)) (-15 -1843 ((-1252) $)) (-15 -1543 ((-1252) $)) (-15 -4492 ((-1252) $)) (-15 -3826 ((-1252) $)) (-15 -4019 ((-1252) $ (-569))) (-15 -4158 ((-1252) $ (-216))) (-15 -3220 ((-1252) $ (-1163))) (-15 -3973 ((-1252) $ (-1145))) (-15 -3026 ((-1252) $ (-1145) (-1145))) (-15 -2106 ((-1252) $)) (-15 -2480 ((-1252) $)) (-15 -1878 ((-1252) $)) (-15 -3268 ((-1252) $)) (-15 -3463 ((-1252) $)) (-15 -1312 ((-1252) $)) (-15 -4010 ((-1252) $)) (-15 -4500 ((-1252) $)) (-15 -3319 ((-1252) $)) (-15 -4138 ((-1252) $)) (-15 -1717 ((-1252) $)) (-15 -3630 ((-1252) $)) (-15 -4123 ((-1252) $)) (-15 -4471 ((-1252) $)) (-15 -1888 ((-569) $)) (-15 -1608 ((-216) $)) (-15 -4478 ((-1163) $)) (-15 -1826 ((-1145) $)) (-15 -1415 ((-2 (|:| |cd| (-1145)) (|:| -1486 (-1145))) $)) (-15 -2560 ((-1163) $))) 
+((-2568 (((-121) $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 12)) (-3773 (($) 15)) (-2380 (($) 13)) (-4273 (($) 16)) (-4092 (($) 14)) (-1668 (((-121) $ $) 8))) 
+(((-819) (-13 (-1091) (-10 -8 (-15 -2380 ($)) (-15 -3773 ($)) (-15 -4273 ($)) (-15 -4092 ($))))) (T -819)) 
+((-2380 (*1 *1) (-5 *1 (-819))) (-3773 (*1 *1) (-5 *1 (-819))) (-4273 (*1 *1) (-5 *1 (-819))) (-4092 (*1 *1) (-5 *1 (-819)))) 
+(-13 (-1091) (-10 -8 (-15 -2380 ($)) (-15 -3773 ($)) (-15 -4273 ($)) (-15 -4092 ($)))) 
+((-2568 (((-121) $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 21) (($ (-1163)) 17)) (-3932 (((-121) $) 10)) (-4069 (((-121) $) 9)) (-3482 (((-121) $) 11)) (-2816 (((-121) $) 8)) (-1668 (((-121) $ $) 19))) 
+(((-820) (-13 (-1091) (-10 -8 (-15 -2185 ($ (-1163))) (-15 -2816 ((-121) $)) (-15 -4069 ((-121) $)) (-15 -3932 ((-121) $)) (-15 -3482 ((-121) $))))) (T -820)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-820)))) (-2816 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-820)))) (-4069 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-820)))) (-3932 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-820)))) (-3482 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-820))))) 
+(-13 (-1091) (-10 -8 (-15 -2185 ($ (-1163))) (-15 -2816 ((-121) $)) (-15 -4069 ((-121) $)) (-15 -3932 ((-121) $)) (-15 -3482 ((-121) $)))) 
+((-2568 (((-121) $ $) NIL)) (-3184 (($ (-820) (-635 (-1163))) 24)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-4390 (((-820) $) 25)) (-1895 (((-635 (-1163)) $) 26)) (-2185 (((-851) $) 23)) (-1668 (((-121) $ $) NIL))) 
+(((-821) (-13 (-1091) (-10 -8 (-15 -4390 ((-820) $)) (-15 -1895 ((-635 (-1163)) $)) (-15 -3184 ($ (-820) (-635 (-1163))))))) (T -821)) 
+((-4390 (*1 *2 *1) (-12 (-5 *2 (-820)) (-5 *1 (-821)))) (-1895 (*1 *2 *1) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-821)))) (-3184 (*1 *1 *2 *3) (-12 (-5 *2 (-820)) (-5 *3 (-635 (-1163))) (-5 *1 (-821))))) 
+(-13 (-1091) (-10 -8 (-15 -4390 ((-820) $)) (-15 -1895 ((-635 (-1163)) $)) (-15 -3184 ($ (-820) (-635 (-1163)))))) 
+((-1940 (((-1252) (-818) (-311 |#1|) (-121)) 22) (((-1252) (-818) (-311 |#1|)) 76) (((-1145) (-311 |#1|) (-121)) 75) (((-1145) (-311 |#1|)) 74))) 
+(((-822 |#1|) (-10 -7 (-15 -1940 ((-1145) (-311 |#1|))) (-15 -1940 ((-1145) (-311 |#1|) (-121))) (-15 -1940 ((-1252) (-818) (-311 |#1|))) (-15 -1940 ((-1252) (-818) (-311 |#1|) (-121)))) (-13 (-824) (-843) (-1048))) (T -822)) 
+((-1940 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-818)) (-5 *4 (-311 *6)) (-5 *5 (-121)) (-4 *6 (-13 (-824) (-843) (-1048))) (-5 *2 (-1252)) (-5 *1 (-822 *6)))) (-1940 (*1 *2 *3 *4) (-12 (-5 *3 (-818)) (-5 *4 (-311 *5)) (-4 *5 (-13 (-824) (-843) (-1048))) (-5 *2 (-1252)) (-5 *1 (-822 *5)))) (-1940 (*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-121)) (-4 *5 (-13 (-824) (-843) (-1048))) (-5 *2 (-1145)) (-5 *1 (-822 *5)))) (-1940 (*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-13 (-824) (-843) (-1048))) (-5 *2 (-1145)) (-5 *1 (-822 *4))))) 
+(-10 -7 (-15 -1940 ((-1145) (-311 |#1|))) (-15 -1940 ((-1145) (-311 |#1|) (-121))) (-15 -1940 ((-1252) (-818) (-311 |#1|))) (-15 -1940 ((-1252) (-818) (-311 |#1|) (-121)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4190 ((|#1| $) 10)) (-2291 (($ |#1|) 9)) (-1407 (((-121) $) NIL)) (-1763 (($ |#2| (-764)) NIL)) (-4002 (((-764) $) NIL)) (-4012 ((|#2| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-3899 (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $) NIL (|has| |#1| (-226)))) (-2492 (((-764) $) NIL)) (-2185 (((-851) $) 17) (($ (-569)) NIL) (($ |#2|) NIL (|has| |#2| (-173)))) (-1653 ((|#2| $ (-764)) NIL)) (-1991 (((-764)) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $) NIL (|has| |#1| (-226)))) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 12) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
+(((-823 |#1| |#2|) (-13 (-699 |#2|) (-10 -8 (IF (|has| |#1| (-226)) (-6 (-226)) |noBranch|) (-15 -2291 ($ |#1|)) (-15 -4190 (|#1| $)))) (-699 |#2|) (-1048)) (T -823)) 
+((-2291 (*1 *1 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-823 *2 *3)) (-4 *2 (-699 *3)))) (-4190 (*1 *2 *1) (-12 (-4 *2 (-699 *3)) (-5 *1 (-823 *2 *3)) (-4 *3 (-1048))))) 
+(-13 (-699 |#2|) (-10 -8 (IF (|has| |#1| (-226)) (-6 (-226)) |noBranch|) (-15 -2291 ($ |#1|)) (-15 -4190 (|#1| $)))) 
+((-1940 (((-1252) (-818) $ (-121)) 9) (((-1252) (-818) $) 8) (((-1145) $ (-121)) 7) (((-1145) $) 6))) 
+(((-824) (-1278)) (T -824)) 
+((-1940 (*1 *2 *3 *1 *4) (-12 (-4 *1 (-824)) (-5 *3 (-818)) (-5 *4 (-121)) (-5 *2 (-1252)))) (-1940 (*1 *2 *3 *1) (-12 (-4 *1 (-824)) (-5 *3 (-818)) (-5 *2 (-1252)))) (-1940 (*1 *2 *1 *3) (-12 (-4 *1 (-824)) (-5 *3 (-121)) (-5 *2 (-1145)))) (-1940 (*1 *2 *1) (-12 (-4 *1 (-824)) (-5 *2 (-1145))))) 
+(-13 (-10 -8 (-15 -1940 ((-1145) $)) (-15 -1940 ((-1145) $ (-121))) (-15 -1940 ((-1252) (-818) $)) (-15 -1940 ((-1252) (-818) $ (-121))))) 
+((-3200 (((-306) (-1145) (-1145)) 12)) (-1919 (((-121) (-1145) (-1145)) 33)) (-3198 (((-121) (-1145)) 32)) (-1382 (((-57) (-1145)) 25)) (-1482 (((-57) (-1145)) 23)) (-3444 (((-57) (-818)) 17)) (-2435 (((-635 (-1145)) (-1145)) 28)) (-3586 (((-635 (-1145))) 27))) 
+(((-825) (-10 -7 (-15 -3444 ((-57) (-818))) (-15 -1482 ((-57) (-1145))) (-15 -1382 ((-57) (-1145))) (-15 -3586 ((-635 (-1145)))) (-15 -2435 ((-635 (-1145)) (-1145))) (-15 -3198 ((-121) (-1145))) (-15 -1919 ((-121) (-1145) (-1145))) (-15 -3200 ((-306) (-1145) (-1145))))) (T -825)) 
+((-3200 (*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-306)) (-5 *1 (-825)))) (-1919 (*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-121)) (-5 *1 (-825)))) (-3198 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-121)) (-5 *1 (-825)))) (-2435 (*1 *2 *3) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-825)) (-5 *3 (-1145)))) (-3586 (*1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-825)))) (-1382 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-57)) (-5 *1 (-825)))) (-1482 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-57)) (-5 *1 (-825)))) (-3444 (*1 *2 *3) (-12 (-5 *3 (-818)) (-5 *2 (-57)) (-5 *1 (-825))))) 
+(-10 -7 (-15 -3444 ((-57) (-818))) (-15 -1482 ((-57) (-1145))) (-15 -1382 ((-57) (-1145))) (-15 -3586 ((-635 (-1145)))) (-15 -2435 ((-635 (-1145)) (-1145))) (-15 -3198 ((-121) (-1145))) (-15 -1919 ((-121) (-1145) (-1145))) (-15 -3200 ((-306) (-1145) (-1145)))) 
+((-2568 (((-121) $ $) 18)) (-1752 (($ |#1| $) 72) (($ $ |#1|) 71) (($ $ $) 70)) (-1981 (($ $ $) 68)) (-2358 (((-121) $ $) 69)) (-1691 (((-121) $ (-764)) 8)) (-2195 (($ (-635 |#1|)) 64) (($) 63)) (-4216 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-3384 (($ $) 58)) (-2033 (($ $) 55 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4454 (($ |#1| $) 44 (|has| $ (-6 -4535))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4535)))) (-4347 (($ |#1| $) 54 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4535)))) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-3291 ((|#1| $) 74)) (-2854 (($ $ $) 77)) (-3288 (($ $ $) 76)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1538 ((|#1| $) 75)) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22)) (-2652 (($ $ $) 65)) (-3889 ((|#1| $) 36)) (-3172 (($ |#1| $) 37) (($ |#1| $ (-764)) 59)) (-3360 (((-1109) $) 21)) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-1856 ((|#1| $) 38)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-3271 (((-635 (-2 (|:| -3782 |#1|) (|:| -2846 (-764)))) $) 57)) (-3290 (($ $ |#1|) 67) (($ $ $) 66)) (-2566 (($) 46) (($ (-635 |#1|)) 45)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-3817 (((-542) $) 56 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 47)) (-2185 (((-851) $) 20)) (-1959 (($ (-635 |#1|)) 62) (($) 61)) (-2793 (($ (-635 |#1|)) 39)) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19)) (-1678 (((-121) $ $) 60)) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-826 |#1|) (-1278) (-843)) (T -826)) 
+((-3291 (*1 *2 *1) (-12 (-4 *1 (-826 *2)) (-4 *2 (-843))))) 
+(-13 (-727 |t#1|) (-970 |t#1|) (-10 -8 (-15 -3291 (|t#1| $)))) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) . T) ((-609 (-851)) . T) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-228 |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-685 |#1|) . T) ((-727 |#1|) . T) ((-970 |#1|) . T) ((-1088 |#1|) . T) ((-1091) . T) ((-1197) . T)) 
+((-2211 (((-1252) (-1109) (-1109)) 47)) (-2882 (((-1252) (-817) (-57)) 44)) (-2228 (((-57) (-817)) 16))) 
+(((-827) (-10 -7 (-15 -2228 ((-57) (-817))) (-15 -2882 ((-1252) (-817) (-57))) (-15 -2211 ((-1252) (-1109) (-1109))))) (T -827)) 
+((-2211 (*1 *2 *3 *3) (-12 (-5 *3 (-1109)) (-5 *2 (-1252)) (-5 *1 (-827)))) (-2882 (*1 *2 *3 *4) (-12 (-5 *3 (-817)) (-5 *4 (-57)) (-5 *2 (-1252)) (-5 *1 (-827)))) (-2228 (*1 *2 *3) (-12 (-5 *3 (-817)) (-5 *2 (-57)) (-5 *1 (-827))))) 
+(-10 -7 (-15 -2228 ((-57) (-817))) (-15 -2882 ((-1252) (-817) (-57))) (-15 -2211 ((-1252) (-1109) (-1109)))) 
+((-1544 (((-829 |#2|) (-1 |#2| |#1|) (-829 |#1|) (-829 |#2|)) 12) (((-829 |#2|) (-1 |#2| |#1|) (-829 |#1|)) 13))) 
+(((-828 |#1| |#2|) (-10 -7 (-15 -1544 ((-829 |#2|) (-1 |#2| |#1|) (-829 |#1|))) (-15 -1544 ((-829 |#2|) (-1 |#2| |#1|) (-829 |#1|) (-829 |#2|)))) (-1091) (-1091)) (T -828)) 
+((-1544 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-829 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-829 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *1 (-828 *5 *6)))) (-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-829 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *2 (-829 *6)) (-5 *1 (-828 *5 *6))))) 
+(-10 -7 (-15 -1544 ((-829 |#2|) (-1 |#2| |#1|) (-829 |#1|))) (-15 -1544 ((-829 |#2|) (-1 |#2| |#1|) (-829 |#1|) (-829 |#2|)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL (|has| |#1| (-21)))) (-2327 (((-3 $ "failed") $ $) NIL (|has| |#1| (-21)))) (-3638 (((-569) $) NIL (|has| |#1| (-841)))) (-2820 (($) NIL (|has| |#1| (-21)) CONST)) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) 15)) (-2428 (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) 9)) (-3428 (((-3 $ "failed") $) 40 (|has| |#1| (-841)))) (-4401 (((-3 (-410 (-569)) "failed") $) 48 (|has| |#1| (-551)))) (-3103 (((-121) $) 43 (|has| |#1| (-551)))) (-1442 (((-410 (-569)) $) 45 (|has| |#1| (-551)))) (-2403 (((-121) $) NIL (|has| |#1| (-841)))) (-1407 (((-121) $) NIL (|has| |#1| (-841)))) (-1781 (((-121) $) NIL (|has| |#1| (-841)))) (-3291 (($ $ $) NIL (|has| |#1| (-841)))) (-1538 (($ $ $) NIL (|has| |#1| (-841)))) (-2776 (((-1145) $) NIL)) (-1532 (($) 13)) (-1503 (((-121) $) 12)) (-3360 (((-1109) $) NIL)) (-4129 (((-121) $) 11)) (-2185 (((-851) $) 18) (($ (-410 (-569))) NIL (|has| |#1| (-1038 (-410 (-569))))) (($ |#1|) 8) (($ (-569)) NIL (-2232 (|has| |#1| (-841)) (|has| |#1| (-1038 (-569)))))) (-1991 (((-764)) 34 (|has| |#1| (-841)))) (-1616 (($ $) NIL (|has| |#1| (-841)))) (-2427 (($ $ (-918)) NIL (|has| |#1| (-841))) (($ $ (-764)) NIL (|has| |#1| (-841)))) (-3369 (($) 22 (|has| |#1| (-21)) CONST)) (-1556 (($) 31 (|has| |#1| (-841)) CONST)) (-1693 (((-121) $ $) NIL (|has| |#1| (-841)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-841)))) (-1668 (((-121) $ $) 20)) (-1688 (((-121) $ $) NIL (|has| |#1| (-841)))) (-1678 (((-121) $ $) 42 (|has| |#1| (-841)))) (-1711 (($ $ $) NIL (|has| |#1| (-21))) (($ $) 27 (|has| |#1| (-21)))) (-1707 (($ $ $) 29 (|has| |#1| (-21)))) (** (($ $ (-918)) NIL (|has| |#1| (-841))) (($ $ (-764)) NIL (|has| |#1| (-841)))) (* (($ $ $) 37 (|has| |#1| (-841))) (($ (-569) $) 25 (|has| |#1| (-21))) (($ (-764) $) NIL (|has| |#1| (-21))) (($ (-918) $) NIL (|has| |#1| (-21))))) 
+(((-829 |#1|) (-13 (-1091) (-414 |#1|) (-10 -8 (-15 -1532 ($)) (-15 -4129 ((-121) $)) (-15 -1503 ((-121) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-841)) (-6 (-841)) |noBranch|) (IF (|has| |#1| (-551)) (PROGN (-15 -3103 ((-121) $)) (-15 -1442 ((-410 (-569)) $)) (-15 -4401 ((-3 (-410 (-569)) "failed") $))) |noBranch|))) (-1091)) (T -829)) 
+((-1532 (*1 *1) (-12 (-5 *1 (-829 *2)) (-4 *2 (-1091)))) (-4129 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-829 *3)) (-4 *3 (-1091)))) (-1503 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-829 *3)) (-4 *3 (-1091)))) (-3103 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-829 *3)) (-4 *3 (-551)) (-4 *3 (-1091)))) (-1442 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-829 *3)) (-4 *3 (-551)) (-4 *3 (-1091)))) (-4401 (*1 *2 *1) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-829 *3)) (-4 *3 (-551)) (-4 *3 (-1091))))) 
+(-13 (-1091) (-414 |#1|) (-10 -8 (-15 -1532 ($)) (-15 -4129 ((-121) $)) (-15 -1503 ((-121) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-841)) (-6 (-841)) |noBranch|) (IF (|has| |#1| (-551)) (PROGN (-15 -3103 ((-121) $)) (-15 -1442 ((-410 (-569)) $)) (-15 -4401 ((-3 (-410 (-569)) "failed") $))) |noBranch|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL) (((-3 (-123) "failed") $) NIL)) (-2428 ((|#1| $) NIL) (((-123) $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1512 ((|#1| (-123) |#1|) NIL)) (-1407 (((-121) $) NIL)) (-2133 (($ |#1| (-364 (-123))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2488 (($ $ (-1 |#1| |#1|)) NIL)) (-3350 (($ $ (-1 |#1| |#1|)) NIL)) (-1534 ((|#1| $ |#1|) NIL)) (-3965 ((|#1| |#1|) NIL (|has| |#1| (-173)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-123)) NIL)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-3724 (($ $) NIL (|has| |#1| (-173))) (($ $ $) NIL (|has| |#1| (-173)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ (-123) (-569)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ |#1| $) NIL (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))))) 
+(((-830 |#1|) (-13 (-1048) (-1038 |#1|) (-1038 (-123)) (-282 |#1| |#1|) (-10 -8 (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-6 (-43 |#1|)) (-15 -3724 ($ $)) (-15 -3724 ($ $ $)) (-15 -3965 (|#1| |#1|))) |noBranch|) (-15 -3350 ($ $ (-1 |#1| |#1|))) (-15 -2488 ($ $ (-1 |#1| |#1|))) (-15 ** ($ (-123) (-569))) (-15 ** ($ $ (-569))) (-15 -1512 (|#1| (-123) |#1|)) (-15 -2133 ($ |#1| (-364 (-123)))))) (-1048)) (T -830)) 
+((-3724 (*1 *1 *1) (-12 (-5 *1 (-830 *2)) (-4 *2 (-173)) (-4 *2 (-1048)))) (-3724 (*1 *1 *1 *1) (-12 (-5 *1 (-830 *2)) (-4 *2 (-173)) (-4 *2 (-1048)))) (-3965 (*1 *2 *2) (-12 (-5 *1 (-830 *2)) (-4 *2 (-173)) (-4 *2 (-1048)))) (-3350 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-830 *3)))) (-2488 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-830 *3)))) (** (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-569)) (-5 *1 (-830 *4)) (-4 *4 (-1048)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-830 *3)) (-4 *3 (-1048)))) (-1512 (*1 *2 *3 *2) (-12 (-5 *3 (-123)) (-5 *1 (-830 *2)) (-4 *2 (-1048)))) (-2133 (*1 *1 *2 *3) (-12 (-5 *3 (-364 (-123))) (-5 *1 (-830 *2)) (-4 *2 (-1048))))) 
+(-13 (-1048) (-1038 |#1|) (-1038 (-123)) (-282 |#1| |#1|) (-10 -8 (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-6 (-43 |#1|)) (-15 -3724 ($ $)) (-15 -3724 ($ $ $)) (-15 -3965 (|#1| |#1|))) |noBranch|) (-15 -3350 ($ $ (-1 |#1| |#1|))) (-15 -2488 ($ $ (-1 |#1| |#1|))) (-15 ** ($ (-123) (-569))) (-15 ** ($ $ (-569))) (-15 -1512 (|#1| (-123) |#1|)) (-15 -2133 ($ |#1| (-364 (-123)))))) 
+((-4414 (((-206 (-512)) (-1145)) 8))) 
+(((-831) (-10 -7 (-15 -4414 ((-206 (-512)) (-1145))))) (T -831)) 
+((-4414 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-206 (-512))) (-5 *1 (-831))))) 
+(-10 -7 (-15 -4414 ((-206 (-512)) (-1145)))) 
+((-2568 (((-121) $ $) 7)) (-4324 (((-1036) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) 13) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 12)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 15) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) 14)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-1668 (((-121) $ $) 6))) 
+(((-832) (-1278)) (T -832)) 
+((-2703 (*1 *2 *3 *4) (-12 (-4 *1 (-832)) (-5 *3 (-1060)) (-5 *4 (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (-5 *2 (-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)))))) (-2703 (*1 *2 *3 *4) (-12 (-4 *1 (-832)) (-5 *3 (-1060)) (-5 *4 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) (-5 *2 (-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)))))) (-4324 (*1 *2 *3) (-12 (-4 *1 (-832)) (-5 *3 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) (-5 *2 (-1036)))) (-4324 (*1 *2 *3) (-12 (-4 *1 (-832)) (-5 *3 (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (-5 *2 (-1036))))) 
+(-13 (-1091) (-10 -7 (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216))))))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))) (-15 -4324 ((-1036) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))) (-15 -4324 ((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216))))))))) 
+(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
+((-3575 (((-1036) (-635 (-311 (-382))) (-635 (-382))) 143) (((-1036) (-311 (-382)) (-635 (-382))) 141) (((-1036) (-311 (-382)) (-635 (-382)) (-635 (-836 (-382))) (-635 (-836 (-382)))) 140) (((-1036) (-311 (-382)) (-635 (-382)) (-635 (-836 (-382))) (-635 (-311 (-382))) (-635 (-836 (-382)))) 139) (((-1036) (-834)) 112) (((-1036) (-834) (-1060)) 111)) (-2703 (((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-834) (-1060)) 76) (((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-834)) 78)) (-2619 (((-1036) (-635 (-311 (-382))) (-635 (-382))) 144) (((-1036) (-834)) 128))) 
+(((-833) (-10 -7 (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-834))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-834) (-1060))) (-15 -3575 ((-1036) (-834) (-1060))) (-15 -3575 ((-1036) (-834))) (-15 -2619 ((-1036) (-834))) (-15 -3575 ((-1036) (-311 (-382)) (-635 (-382)) (-635 (-836 (-382))) (-635 (-311 (-382))) (-635 (-836 (-382))))) (-15 -3575 ((-1036) (-311 (-382)) (-635 (-382)) (-635 (-836 (-382))) (-635 (-836 (-382))))) (-15 -3575 ((-1036) (-311 (-382)) (-635 (-382)))) (-15 -3575 ((-1036) (-635 (-311 (-382))) (-635 (-382)))) (-15 -2619 ((-1036) (-635 (-311 (-382))) (-635 (-382)))))) (T -833)) 
+((-2619 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-311 (-382)))) (-5 *4 (-635 (-382))) (-5 *2 (-1036)) (-5 *1 (-833)))) (-3575 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-311 (-382)))) (-5 *4 (-635 (-382))) (-5 *2 (-1036)) (-5 *1 (-833)))) (-3575 (*1 *2 *3 *4) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-382))) (-5 *2 (-1036)) (-5 *1 (-833)))) (-3575 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-382))) (-5 *5 (-635 (-836 (-382)))) (-5 *2 (-1036)) (-5 *1 (-833)))) (-3575 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-635 (-382))) (-5 *5 (-635 (-836 (-382)))) (-5 *6 (-635 (-311 (-382)))) (-5 *3 (-311 (-382))) (-5 *2 (-1036)) (-5 *1 (-833)))) (-2619 (*1 *2 *3) (-12 (-5 *3 (-834)) (-5 *2 (-1036)) (-5 *1 (-833)))) (-3575 (*1 *2 *3) (-12 (-5 *3 (-834)) (-5 *2 (-1036)) (-5 *1 (-833)))) (-3575 (*1 *2 *3 *4) (-12 (-5 *3 (-834)) (-5 *4 (-1060)) (-5 *2 (-1036)) (-5 *1 (-833)))) (-2703 (*1 *2 *3 *4) (-12 (-5 *3 (-834)) (-5 *4 (-1060)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *1 (-833)))) (-2703 (*1 *2 *3) (-12 (-5 *3 (-834)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *1 (-833))))) 
+(-10 -7 (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-834))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-834) (-1060))) (-15 -3575 ((-1036) (-834) (-1060))) (-15 -3575 ((-1036) (-834))) (-15 -2619 ((-1036) (-834))) (-15 -3575 ((-1036) (-311 (-382)) (-635 (-382)) (-635 (-836 (-382))) (-635 (-311 (-382))) (-635 (-836 (-382))))) (-15 -3575 ((-1036) (-311 (-382)) (-635 (-382)) (-635 (-836 (-382))) (-635 (-836 (-382))))) (-15 -3575 ((-1036) (-311 (-382)) (-635 (-382)))) (-15 -3575 ((-1036) (-635 (-311 (-382))) (-635 (-382)))) (-15 -2619 ((-1036) (-635 (-311 (-382))) (-635 (-382))))) 
+((-2568 (((-121) $ $) NIL)) (-2428 (((-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))) $) 15)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 14) (($ (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 8) (($ (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) 10) (($ (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))))) 12)) (-1668 (((-121) $ $) NIL))) 
+(((-834) (-13 (-1091) (-10 -8 (-15 -2185 ($ (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216))))))) (-15 -2185 ($ (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))) (-15 -2185 ($ (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))))) (-15 -2185 ((-851) $)) (-15 -2428 ((-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))) $))))) (T -834)) 
+((-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-834)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (-5 *1 (-834)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) (-5 *1 (-834)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))))) (-5 *1 (-834)))) (-2428 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))))) (-5 *1 (-834))))) 
+(-13 (-1091) (-10 -8 (-15 -2185 ($ (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216))))))) (-15 -2185 ($ (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))) (-15 -2185 ($ (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))))) (-15 -2185 ((-851) $)) (-15 -2428 ((-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))) $)))) 
+((-1544 (((-836 |#2|) (-1 |#2| |#1|) (-836 |#1|) (-836 |#2|) (-836 |#2|)) 13) (((-836 |#2|) (-1 |#2| |#1|) (-836 |#1|)) 14))) 
+(((-835 |#1| |#2|) (-10 -7 (-15 -1544 ((-836 |#2|) (-1 |#2| |#1|) (-836 |#1|))) (-15 -1544 ((-836 |#2|) (-1 |#2| |#1|) (-836 |#1|) (-836 |#2|) (-836 |#2|)))) (-1091) (-1091)) (T -835)) 
+((-1544 (*1 *2 *3 *4 *2 *2) (-12 (-5 *2 (-836 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-836 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *1 (-835 *5 *6)))) (-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-836 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *2 (-836 *6)) (-5 *1 (-835 *5 *6))))) 
+(-10 -7 (-15 -1544 ((-836 |#2|) (-1 |#2| |#1|) (-836 |#1|))) (-15 -1544 ((-836 |#2|) (-1 |#2| |#1|) (-836 |#1|) (-836 |#2|) (-836 |#2|)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL (|has| |#1| (-21)))) (-3624 (((-1109) $) 24)) (-2327 (((-3 $ "failed") $ $) NIL (|has| |#1| (-21)))) (-3638 (((-569) $) NIL (|has| |#1| (-841)))) (-2820 (($) NIL (|has| |#1| (-21)) CONST)) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) 16)) (-2428 (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) 9)) (-3428 (((-3 $ "failed") $) 47 (|has| |#1| (-841)))) (-4401 (((-3 (-410 (-569)) "failed") $) 54 (|has| |#1| (-551)))) (-3103 (((-121) $) 49 (|has| |#1| (-551)))) (-1442 (((-410 (-569)) $) 52 (|has| |#1| (-551)))) (-2403 (((-121) $) NIL (|has| |#1| (-841)))) (-3090 (($) 13)) (-1407 (((-121) $) NIL (|has| |#1| (-841)))) (-1781 (((-121) $) NIL (|has| |#1| (-841)))) (-3083 (($) 14)) (-3291 (($ $ $) NIL (|has| |#1| (-841)))) (-1538 (($ $ $) NIL (|has| |#1| (-841)))) (-2776 (((-1145) $) NIL)) (-1503 (((-121) $) 12)) (-3360 (((-1109) $) NIL)) (-4129 (((-121) $) 11)) (-2185 (((-851) $) 22) (($ (-410 (-569))) NIL (|has| |#1| (-1038 (-410 (-569))))) (($ |#1|) 8) (($ (-569)) NIL (-2232 (|has| |#1| (-841)) (|has| |#1| (-1038 (-569)))))) (-1991 (((-764)) 41 (|has| |#1| (-841)))) (-1616 (($ $) NIL (|has| |#1| (-841)))) (-2427 (($ $ (-918)) NIL (|has| |#1| (-841))) (($ $ (-764)) NIL (|has| |#1| (-841)))) (-3369 (($) 29 (|has| |#1| (-21)) CONST)) (-1556 (($) 38 (|has| |#1| (-841)) CONST)) (-1693 (((-121) $ $) NIL (|has| |#1| (-841)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-841)))) (-1668 (((-121) $ $) 27)) (-1688 (((-121) $ $) NIL (|has| |#1| (-841)))) (-1678 (((-121) $ $) 48 (|has| |#1| (-841)))) (-1711 (($ $ $) NIL (|has| |#1| (-21))) (($ $) 34 (|has| |#1| (-21)))) (-1707 (($ $ $) 36 (|has| |#1| (-21)))) (** (($ $ (-918)) NIL (|has| |#1| (-841))) (($ $ (-764)) NIL (|has| |#1| (-841)))) (* (($ $ $) 44 (|has| |#1| (-841))) (($ (-569) $) 32 (|has| |#1| (-21))) (($ (-764) $) NIL (|has| |#1| (-21))) (($ (-918) $) NIL (|has| |#1| (-21))))) 
+(((-836 |#1|) (-13 (-1091) (-414 |#1|) (-10 -8 (-15 -3090 ($)) (-15 -3083 ($)) (-15 -4129 ((-121) $)) (-15 -1503 ((-121) $)) (-15 -3624 ((-1109) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-841)) (-6 (-841)) |noBranch|) (IF (|has| |#1| (-551)) (PROGN (-15 -3103 ((-121) $)) (-15 -1442 ((-410 (-569)) $)) (-15 -4401 ((-3 (-410 (-569)) "failed") $))) |noBranch|))) (-1091)) (T -836)) 
+((-3090 (*1 *1) (-12 (-5 *1 (-836 *2)) (-4 *2 (-1091)))) (-3083 (*1 *1) (-12 (-5 *1 (-836 *2)) (-4 *2 (-1091)))) (-4129 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-836 *3)) (-4 *3 (-1091)))) (-1503 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-836 *3)) (-4 *3 (-1091)))) (-3624 (*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-836 *3)) (-4 *3 (-1091)))) (-3103 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-836 *3)) (-4 *3 (-551)) (-4 *3 (-1091)))) (-1442 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-836 *3)) (-4 *3 (-551)) (-4 *3 (-1091)))) (-4401 (*1 *2 *1) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-836 *3)) (-4 *3 (-551)) (-4 *3 (-1091))))) 
+(-13 (-1091) (-414 |#1|) (-10 -8 (-15 -3090 ($)) (-15 -3083 ($)) (-15 -4129 ((-121) $)) (-15 -1503 ((-121) $)) (-15 -3624 ((-1109) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-841)) (-6 (-841)) |noBranch|) (IF (|has| |#1| (-551)) (PROGN (-15 -3103 ((-121) $)) (-15 -1442 ((-410 (-569)) $)) (-15 -4401 ((-3 (-410 (-569)) "failed") $))) |noBranch|))) 
+((-2568 (((-121) $ $) 7)) (-2085 (((-764)) 19)) (-4327 (($) 22)) (-3291 (($ $ $) 12)) (-1538 (($ $ $) 13)) (-2083 (((-918) $) 21)) (-2776 (((-1145) $) 9)) (-3998 (($ (-918)) 20)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17))) 
+(((-837) (-1278)) (T -837)) 
+NIL 
+(-13 (-843) (-371)) 
+(((-105) . T) ((-609 (-851)) . T) ((-371) . T) ((-843) . T) ((-1091) . T)) 
+((-2118 (((-121) (-1247 |#2|) (-1247 |#2|)) 17)) (-3618 (((-121) (-1247 |#2|) (-1247 |#2|)) 18)) (-2130 (((-121) (-1247 |#2|) (-1247 |#2|)) 14))) 
+(((-838 |#1| |#2|) (-10 -7 (-15 -2130 ((-121) (-1247 |#2|) (-1247 |#2|))) (-15 -2118 ((-121) (-1247 |#2|) (-1247 |#2|))) (-15 -3618 ((-121) (-1247 |#2|) (-1247 |#2|)))) (-764) (-788)) (T -838)) 
+((-3618 (*1 *2 *3 *3) (-12 (-5 *3 (-1247 *5)) (-4 *5 (-788)) (-5 *2 (-121)) (-5 *1 (-838 *4 *5)) (-14 *4 (-764)))) (-2118 (*1 *2 *3 *3) (-12 (-5 *3 (-1247 *5)) (-4 *5 (-788)) (-5 *2 (-121)) (-5 *1 (-838 *4 *5)) (-14 *4 (-764)))) (-2130 (*1 *2 *3 *3) (-12 (-5 *3 (-1247 *5)) (-4 *5 (-788)) (-5 *2 (-121)) (-5 *1 (-838 *4 *5)) (-14 *4 (-764))))) 
+(-10 -7 (-15 -2130 ((-121) (-1247 |#2|) (-1247 |#2|))) (-15 -2118 ((-121) (-1247 |#2|) (-1247 |#2|))) (-15 -3618 ((-121) (-1247 |#2|) (-1247 |#2|)))) 
+((-2568 (((-121) $ $) 7)) (-2820 (($) 23 T CONST)) (-3428 (((-3 $ "failed") $) 27)) (-1407 (((-121) $) 24)) (-3291 (($ $ $) 12)) (-1538 (($ $ $) 13)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-2427 (($ $ (-764)) 26) (($ $ (-918)) 21)) (-1556 (($) 22 T CONST)) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17)) (** (($ $ (-764)) 25) (($ $ (-918)) 20)) (* (($ $ $) 19))) 
+(((-839) (-1278)) (T -839)) 
+NIL 
+(-13 (-843) (-717)) 
+(((-105) . T) ((-609 (-851)) . T) ((-717) . T) ((-843) . T) ((-1103) . T) ((-1091) . T)) 
+((-3638 (((-569) $) 17)) (-2403 (((-121) $) 10)) (-1781 (((-121) $) 11)) (-1616 (($ $) 19))) 
+(((-840 |#1|) (-10 -8 (-15 -1616 (|#1| |#1|)) (-15 -3638 ((-569) |#1|)) (-15 -1781 ((-121) |#1|)) (-15 -2403 ((-121) |#1|))) (-841)) (T -840)) 
+NIL 
+(-10 -8 (-15 -1616 (|#1| |#1|)) (-15 -3638 ((-569) |#1|)) (-15 -1781 ((-121) |#1|)) (-15 -2403 ((-121) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 23)) (-2327 (((-3 $ "failed") $ $) 25)) (-3638 (((-569) $) 32)) (-2820 (($) 22 T CONST)) (-3428 (((-3 $ "failed") $) 38)) (-2403 (((-121) $) 34)) (-1407 (((-121) $) 41)) (-1781 (((-121) $) 33)) (-3291 (($ $ $) 12)) (-1538 (($ $ $) 13)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ (-569)) 44)) (-1991 (((-764)) 43)) (-1616 (($ $) 31)) (-2427 (($ $ (-764)) 39) (($ $ (-918)) 35)) (-3369 (($) 21 T CONST)) (-1556 (($) 42 T CONST)) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17)) (-1711 (($ $ $) 27) (($ $) 26)) (-1707 (($ $ $) 19)) (** (($ $ (-764)) 40) (($ $ (-918)) 36)) (* (($ (-764) $) 24) (($ (-918) $) 20) (($ (-569) $) 28) (($ $ $) 37))) 
+(((-841) (-1278)) (T -841)) 
+((-2403 (*1 *2 *1) (-12 (-4 *1 (-841)) (-5 *2 (-121)))) (-1781 (*1 *2 *1) (-12 (-4 *1 (-841)) (-5 *2 (-121)))) (-3638 (*1 *2 *1) (-12 (-4 *1 (-841)) (-5 *2 (-569)))) (-1616 (*1 *1 *1) (-4 *1 (-841)))) 
+(-13 (-787) (-1048) (-717) (-10 -8 (-15 -2403 ((-121) $)) (-15 -1781 ((-121) $)) (-15 -3638 ((-569) $)) (-15 -1616 ($ $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 $) . T) ((-717) . T) ((-787) . T) ((-788) . T) ((-790) . T) ((-791) . T) ((-843) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-3291 (($ $ $) 10)) (-1538 (($ $ $) 9)) (-1693 (((-121) $ $) 12)) (-1684 (((-121) $ $) 11)) (-1688 (((-121) $ $) 13))) 
+(((-842 |#1|) (-10 -8 (-15 -3291 (|#1| |#1| |#1|)) (-15 -1538 (|#1| |#1| |#1|)) (-15 -1688 ((-121) |#1| |#1|)) (-15 -1693 ((-121) |#1| |#1|)) (-15 -1684 ((-121) |#1| |#1|))) (-843)) (T -842)) 
+NIL 
+(-10 -8 (-15 -3291 (|#1| |#1| |#1|)) (-15 -1538 (|#1| |#1| |#1|)) (-15 -1688 ((-121) |#1| |#1|)) (-15 -1693 ((-121) |#1| |#1|)) (-15 -1684 ((-121) |#1| |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3291 (($ $ $) 12)) (-1538 (($ $ $) 13)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17))) 
+(((-843) (-1278)) (T -843)) 
+((-1678 (*1 *2 *1 *1) (-12 (-4 *1 (-843)) (-5 *2 (-121)))) (-1684 (*1 *2 *1 *1) (-12 (-4 *1 (-843)) (-5 *2 (-121)))) (-1693 (*1 *2 *1 *1) (-12 (-4 *1 (-843)) (-5 *2 (-121)))) (-1688 (*1 *2 *1 *1) (-12 (-4 *1 (-843)) (-5 *2 (-121)))) (-1538 (*1 *1 *1 *1) (-4 *1 (-843))) (-3291 (*1 *1 *1 *1) (-4 *1 (-843)))) 
+(-13 (-1091) (-10 -8 (-15 -1678 ((-121) $ $)) (-15 -1684 ((-121) $ $)) (-15 -1693 ((-121) $ $)) (-15 -1688 ((-121) $ $)) (-15 -1538 ($ $ $)) (-15 -3291 ($ $ $)))) 
+(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
+((-2812 (($ $ $) 45)) (-1709 (($ $ $) 44)) (-1341 (($ $ $) 42)) (-2818 (($ $ $) 51)) (-2995 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 46)) (-3685 (((-3 $ "failed") $ $) 49)) (-1647 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#2| "failed") $) 25)) (-1340 (($ $) 35)) (-1811 (($ $ $) 39)) (-4040 (($ $ $) 38)) (-3029 (($ $ $) 47)) (-3402 (($ $ $) 53)) (-2092 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 41)) (-3551 (((-3 $ "failed") $ $) 48)) (-2941 (((-3 $ "failed") $ |#2|) 28)) (-3298 ((|#2| $) 32)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL) (($ |#2|) 12)) (-3382 (((-635 |#2|) $) 18)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) 22))) 
+(((-844 |#1| |#2|) (-10 -8 (-15 -3029 (|#1| |#1| |#1|)) (-15 -2995 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -1809 |#1|)) |#1| |#1|)) (-15 -2818 (|#1| |#1| |#1|)) (-15 -3685 ((-3 |#1| "failed") |#1| |#1|)) (-15 -2812 (|#1| |#1| |#1|)) (-15 -1709 (|#1| |#1| |#1|)) (-15 -1341 (|#1| |#1| |#1|)) (-15 -2092 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -1809 |#1|)) |#1| |#1|)) (-15 -3402 (|#1| |#1| |#1|)) (-15 -3551 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1811 (|#1| |#1| |#1|)) (-15 -4040 (|#1| |#1| |#1|)) (-15 -1340 (|#1| |#1|)) (-15 -3298 (|#2| |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#2|)) (-15 -3382 ((-635 |#2|) |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -2185 (|#1| (-569))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|)) (-15 -2185 ((-851) |#1|))) (-845 |#2|) (-1048)) (T -844)) 
+NIL 
+(-10 -8 (-15 -3029 (|#1| |#1| |#1|)) (-15 -2995 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -1809 |#1|)) |#1| |#1|)) (-15 -2818 (|#1| |#1| |#1|)) (-15 -3685 ((-3 |#1| "failed") |#1| |#1|)) (-15 -2812 (|#1| |#1| |#1|)) (-15 -1709 (|#1| |#1| |#1|)) (-15 -1341 (|#1| |#1| |#1|)) (-15 -2092 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -1809 |#1|)) |#1| |#1|)) (-15 -3402 (|#1| |#1| |#1|)) (-15 -3551 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1811 (|#1| |#1| |#1|)) (-15 -4040 (|#1| |#1| |#1|)) (-15 -1340 (|#1| |#1|)) (-15 -3298 (|#2| |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#2|)) (-15 -3382 ((-635 |#2|) |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -2185 (|#1| (-569))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|)) (-15 -2185 ((-851) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2812 (($ $ $) 44 (|has| |#1| (-366)))) (-1709 (($ $ $) 45 (|has| |#1| (-366)))) (-1341 (($ $ $) 47 (|has| |#1| (-366)))) (-2818 (($ $ $) 42 (|has| |#1| (-366)))) (-2995 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 41 (|has| |#1| (-366)))) (-3685 (((-3 $ "failed") $ $) 43 (|has| |#1| (-366)))) (-3603 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 46 (|has| |#1| (-366)))) (-1647 (((-3 (-569) "failed") $) 73 (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) 71 (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) 68)) (-2428 (((-569) $) 74 (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) 72 (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) 67)) (-4020 (($ $) 63)) (-3428 (((-3 $ "failed") $) 33)) (-1340 (($ $) 54 (|has| |#1| (-454)))) (-1407 (((-121) $) 30)) (-1763 (($ |#1| (-764)) 61)) (-3430 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 56 (|has| |#1| (-559)))) (-2443 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 57 (|has| |#1| (-559)))) (-4002 (((-764) $) 65)) (-1811 (($ $ $) 51 (|has| |#1| (-366)))) (-4040 (($ $ $) 52 (|has| |#1| (-366)))) (-3029 (($ $ $) 40 (|has| |#1| (-366)))) (-3402 (($ $ $) 49 (|has| |#1| (-366)))) (-2092 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 48 (|has| |#1| (-366)))) (-3551 (((-3 $ "failed") $ $) 50 (|has| |#1| (-366)))) (-4286 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 53 (|has| |#1| (-366)))) (-4012 ((|#1| $) 64)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2941 (((-3 $ "failed") $ |#1|) 58 (|has| |#1| (-559)))) (-2492 (((-764) $) 66)) (-3298 ((|#1| $) 55 (|has| |#1| (-454)))) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 70 (|has| |#1| (-1038 (-410 (-569))))) (($ |#1|) 69)) (-3382 (((-635 |#1|) $) 60)) (-1653 ((|#1| $ (-764)) 62)) (-1991 (((-764)) 28)) (-1943 ((|#1| $ |#1| |#1|) 59)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 76) (($ |#1| $) 75))) 
+(((-845 |#1|) (-1278) (-1048)) (T -845)) 
+((-2492 (*1 *2 *1) (-12 (-4 *1 (-845 *3)) (-4 *3 (-1048)) (-5 *2 (-764)))) (-4002 (*1 *2 *1) (-12 (-4 *1 (-845 *3)) (-4 *3 (-1048)) (-5 *2 (-764)))) (-4012 (*1 *2 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)))) (-4020 (*1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)))) (-1653 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-845 *2)) (-4 *2 (-1048)))) (-1763 (*1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-845 *2)) (-4 *2 (-1048)))) (-3382 (*1 *2 *1) (-12 (-4 *1 (-845 *3)) (-4 *3 (-1048)) (-5 *2 (-635 *3)))) (-1943 (*1 *2 *1 *2 *2) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)))) (-2941 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-559)))) (-2443 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-845 *3)))) (-3430 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-845 *3)))) (-3298 (*1 *2 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-454)))) (-1340 (*1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-454)))) (-4286 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-845 *3)))) (-4040 (*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) (-1811 (*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) (-3551 (*1 *1 *1 *1) (|partial| -12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) (-3402 (*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) (-2092 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -1809 *1))) (-4 *1 (-845 *3)))) (-1341 (*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) (-3603 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-845 *3)))) (-1709 (*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) (-2812 (*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) (-3685 (*1 *1 *1 *1) (|partial| -12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) (-2818 (*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) (-2995 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -1809 *1))) (-4 *1 (-845 *3)))) (-3029 (*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
+(-13 (-1048) (-120 |t#1| |t#1|) (-414 |t#1|) (-10 -8 (-15 -2492 ((-764) $)) (-15 -4002 ((-764) $)) (-15 -4012 (|t#1| $)) (-15 -4020 ($ $)) (-15 -1653 (|t#1| $ (-764))) (-15 -1763 ($ |t#1| (-764))) (-15 -3382 ((-635 |t#1|) $)) (-15 -1943 (|t#1| $ |t#1| |t#1|)) (IF (|has| |t#1| (-173)) (-6 (-43 |t#1|)) |noBranch|) (IF (|has| |t#1| (-559)) (PROGN (-15 -2941 ((-3 $ "failed") $ |t#1|)) (-15 -2443 ((-2 (|:| -4268 $) (|:| -1830 $)) $ $)) (-15 -3430 ((-2 (|:| -4268 $) (|:| -1830 $)) $ $))) |noBranch|) (IF (|has| |t#1| (-454)) (PROGN (-15 -3298 (|t#1| $)) (-15 -1340 ($ $))) |noBranch|) (IF (|has| |t#1| (-366)) (PROGN (-15 -4286 ((-2 (|:| -4268 $) (|:| -1830 $)) $ $)) (-15 -4040 ($ $ $)) (-15 -1811 ($ $ $)) (-15 -3551 ((-3 $ "failed") $ $)) (-15 -3402 ($ $ $)) (-15 -2092 ((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $)) (-15 -1341 ($ $ $)) (-15 -3603 ((-2 (|:| -4268 $) (|:| -1830 $)) $ $)) (-15 -1709 ($ $ $)) (-15 -2812 ($ $ $)) (-15 -3685 ((-3 $ "failed") $ $)) (-15 -2818 ($ $ $)) (-15 -2995 ((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $)) (-15 -3029 ($ $ $))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-173)) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-851)) . T) ((-414 |#1|) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-708 |#1|) |has| |#1| (-173)) ((-717) . T) ((-1038 (-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 |#1|) . T) ((-1054 |#1|) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-4090 ((|#2| |#2| |#2| (-101 |#1|) (-1 |#1| |#1|)) 20)) (-3603 (((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2| (-101 |#1|)) 43 (|has| |#1| (-366)))) (-3430 (((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2| (-101 |#1|)) 40 (|has| |#1| (-559)))) (-2443 (((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2| (-101 |#1|)) 39 (|has| |#1| (-559)))) (-4286 (((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2| (-101 |#1|)) 42 (|has| |#1| (-366)))) (-1943 ((|#1| |#2| |#1| |#1| (-101 |#1|) (-1 |#1| |#1|)) 31))) 
+(((-846 |#1| |#2|) (-10 -7 (-15 -4090 (|#2| |#2| |#2| (-101 |#1|) (-1 |#1| |#1|))) (-15 -1943 (|#1| |#2| |#1| |#1| (-101 |#1|) (-1 |#1| |#1|))) (IF (|has| |#1| (-559)) (PROGN (-15 -2443 ((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2| (-101 |#1|))) (-15 -3430 ((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2| (-101 |#1|)))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-15 -4286 ((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2| (-101 |#1|))) (-15 -3603 ((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2| (-101 |#1|)))) |noBranch|)) (-1048) (-845 |#1|)) (T -846)) 
+((-3603 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-366)) (-4 *5 (-1048)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-846 *5 *3)) (-4 *3 (-845 *5)))) (-4286 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-366)) (-4 *5 (-1048)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-846 *5 *3)) (-4 *3 (-845 *5)))) (-3430 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-559)) (-4 *5 (-1048)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-846 *5 *3)) (-4 *3 (-845 *5)))) (-2443 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-559)) (-4 *5 (-1048)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-846 *5 *3)) (-4 *3 (-845 *5)))) (-1943 (*1 *2 *3 *2 *2 *4 *5) (-12 (-5 *4 (-101 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-1048)) (-5 *1 (-846 *2 *3)) (-4 *3 (-845 *2)))) (-4090 (*1 *2 *2 *2 *3 *4) (-12 (-5 *3 (-101 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-1048)) (-5 *1 (-846 *5 *2)) (-4 *2 (-845 *5))))) 
+(-10 -7 (-15 -4090 (|#2| |#2| |#2| (-101 |#1|) (-1 |#1| |#1|))) (-15 -1943 (|#1| |#2| |#1| |#1| (-101 |#1|) (-1 |#1| |#1|))) (IF (|has| |#1| (-559)) (PROGN (-15 -2443 ((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2| (-101 |#1|))) (-15 -3430 ((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2| (-101 |#1|)))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-15 -4286 ((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2| (-101 |#1|))) (-15 -3603 ((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2| (-101 |#1|)))) |noBranch|)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-2812 (($ $ $) NIL (|has| |#1| (-366)))) (-1709 (($ $ $) NIL (|has| |#1| (-366)))) (-1341 (($ $ $) NIL (|has| |#1| (-366)))) (-2818 (($ $ $) NIL (|has| |#1| (-366)))) (-2995 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3685 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-3603 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 25 (|has| |#1| (-366)))) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-2428 (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) NIL)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#1| (-454)))) (-1982 (((-851) $ (-851)) NIL)) (-1407 (((-121) $) NIL)) (-1763 (($ |#1| (-764)) NIL)) (-3430 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 21 (|has| |#1| (-559)))) (-2443 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 19 (|has| |#1| (-559)))) (-4002 (((-764) $) NIL)) (-1811 (($ $ $) NIL (|has| |#1| (-366)))) (-4040 (($ $ $) NIL (|has| |#1| (-366)))) (-3029 (($ $ $) NIL (|has| |#1| (-366)))) (-3402 (($ $ $) NIL (|has| |#1| (-366)))) (-2092 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3551 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-4286 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 23 (|has| |#1| (-366)))) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-2492 (((-764) $) NIL)) (-3298 ((|#1| $) NIL (|has| |#1| (-454)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-1038 (-410 (-569))))) (($ |#1|) NIL)) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-764)) NIL)) (-1991 (((-764)) NIL)) (-1943 ((|#1| $ |#1| |#1|) 15)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 13) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-847 |#1| |#2| |#3|) (-13 (-845 |#1|) (-10 -8 (-15 -1982 ((-851) $ (-851))))) (-1048) (-101 |#1|) (-1 |#1| |#1|)) (T -847)) 
+((-1982 (*1 *2 *1 *2) (-12 (-5 *2 (-851)) (-5 *1 (-847 *3 *4 *5)) (-4 *3 (-1048)) (-14 *4 (-101 *3)) (-14 *5 (-1 *3 *3))))) 
+(-13 (-845 |#1|) (-10 -8 (-15 -1982 ((-851) $ (-851))))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-2812 (($ $ $) NIL (|has| |#2| (-366)))) (-1709 (($ $ $) NIL (|has| |#2| (-366)))) (-1341 (($ $ $) NIL (|has| |#2| (-366)))) (-2818 (($ $ $) NIL (|has| |#2| (-366)))) (-2995 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#2| (-366)))) (-3685 (((-3 $ "failed") $ $) NIL (|has| |#2| (-366)))) (-3603 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#2| (-366)))) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#2| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-3 |#2| "failed") $) NIL)) (-2428 (((-569) $) NIL (|has| |#2| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#2| (-1038 (-410 (-569))))) ((|#2| $) NIL)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#2| (-454)))) (-1407 (((-121) $) NIL)) (-1763 (($ |#2| (-764)) 16)) (-3430 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#2| (-559)))) (-2443 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#2| (-559)))) (-4002 (((-764) $) NIL)) (-1811 (($ $ $) NIL (|has| |#2| (-366)))) (-4040 (($ $ $) NIL (|has| |#2| (-366)))) (-3029 (($ $ $) NIL (|has| |#2| (-366)))) (-3402 (($ $ $) NIL (|has| |#2| (-366)))) (-2092 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#2| (-366)))) (-3551 (((-3 $ "failed") $ $) NIL (|has| |#2| (-366)))) (-4286 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#2| (-366)))) (-4012 ((|#2| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2941 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559)))) (-2492 (((-764) $) NIL)) (-3298 ((|#2| $) NIL (|has| |#2| (-454)))) (-2185 (((-851) $) 23) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#2| (-1038 (-410 (-569))))) (($ |#2|) NIL) (($ (-1243 |#1|)) 18)) (-3382 (((-635 |#2|) $) NIL)) (-1653 ((|#2| $ (-764)) NIL)) (-1991 (((-764)) NIL)) (-1943 ((|#2| $ |#2| |#2|) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) 13 T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
+(((-848 |#1| |#2| |#3| |#4|) (-13 (-845 |#2|) (-10 -8 (-15 -2185 ($ (-1243 |#1|))))) (-1163) (-1048) (-101 |#2|) (-1 |#2| |#2|)) (T -848)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1243 *3)) (-14 *3 (-1163)) (-5 *1 (-848 *3 *4 *5 *6)) (-4 *4 (-1048)) (-14 *5 (-101 *4)) (-14 *6 (-1 *4 *4))))) 
+(-13 (-845 |#2|) (-10 -8 (-15 -2185 ($ (-1243 |#1|))))) 
+((-2987 ((|#1| (-764) |#1|) 35 (|has| |#1| (-43 (-410 (-569)))))) (-2985 ((|#1| (-764) (-764) |#1|) 27) ((|#1| (-764) |#1|) 20)) (-3639 ((|#1| (-764) |#1|) 31)) (-1905 ((|#1| (-764) |#1|) 29)) (-2754 ((|#1| (-764) |#1|) 28))) 
+(((-849 |#1|) (-10 -7 (-15 -2754 (|#1| (-764) |#1|)) (-15 -1905 (|#1| (-764) |#1|)) (-15 -3639 (|#1| (-764) |#1|)) (-15 -2985 (|#1| (-764) |#1|)) (-15 -2985 (|#1| (-764) (-764) |#1|)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2987 (|#1| (-764) |#1|)) |noBranch|)) (-173)) (T -849)) 
+((-2987 (*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-849 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-173)))) (-2985 (*1 *2 *3 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-849 *2)) (-4 *2 (-173)))) (-2985 (*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-849 *2)) (-4 *2 (-173)))) (-3639 (*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-849 *2)) (-4 *2 (-173)))) (-1905 (*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-849 *2)) (-4 *2 (-173)))) (-2754 (*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-849 *2)) (-4 *2 (-173))))) 
+(-10 -7 (-15 -2754 (|#1| (-764) |#1|)) (-15 -1905 (|#1| (-764) |#1|)) (-15 -3639 (|#1| (-764) |#1|)) (-15 -2985 (|#1| (-764) |#1|)) (-15 -2985 (|#1| (-764) (-764) |#1|)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2987 (|#1| (-764) |#1|)) |noBranch|)) 
+((-2568 (((-121) $ $) NIL)) (-2247 (((-569) $) 12)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 18) (($ (-569)) 11)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 8)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 9))) 
+(((-850) (-13 (-843) (-10 -8 (-15 -2185 ($ (-569))) (-15 -2247 ((-569) $))))) (T -850)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-850)))) (-2247 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-850))))) 
+(-13 (-843) (-10 -8 (-15 -2185 ($ (-569))) (-15 -2247 ((-569) $)))) 
+((-2568 (((-121) $ $) NIL)) (-3879 (($ $ $) 115)) (-1282 (((-569) $) 30) (((-569)) 35)) (-4156 (($ (-569)) 44)) (-1964 (($ $ $) 45) (($ (-635 $)) 76)) (-3985 (($ $ (-635 $)) 74)) (-2964 (((-569) $) 33)) (-2912 (($ $ $) 63)) (-2029 (($ $) 128) (($ $ $) 129) (($ $ $ $) 130)) (-3157 (((-569) $) 32)) (-2766 (($ $ $) 62)) (-2257 (($ $) 105)) (-1577 (($ $ $) 119)) (-3883 (($ (-635 $)) 52)) (-1912 (($ $ (-635 $)) 69)) (-2127 (($ (-569) (-569)) 46)) (-2595 (($ $) 116) (($ $ $) 117)) (-1869 (($ $ (-569)) 40) (($ $) 43)) (-2506 (($ $ $) 89)) (-1729 (($ $ $) 122)) (-2413 (($ $) 106)) (-2524 (($ $ $) 90)) (-1551 (($ $) 131) (($ $ $) 132) (($ $ $ $) 133)) (-2988 (((-1252) $) 8)) (-1578 (($ $) 109) (($ $ (-764)) 112)) (-3392 (($ $ $) 65)) (-1427 (($ $ $) 64)) (-3968 (($ $ (-635 $)) 100)) (-2437 (($ $ $) 104)) (-3307 (($ (-635 $)) 50)) (-2337 (($ $) 60) (($ (-635 $)) 61)) (-4416 (($ $ $) 113)) (-2339 (($ $) 107)) (-2895 (($ $ $) 118)) (-1982 (($ (-569)) 20) (($ (-1163)) 22) (($ (-1145)) 29) (($ (-216)) 24)) (-3447 (($ $ $) 93)) (-3864 (($ $) 94)) (-2786 (((-1252) (-1145)) 14)) (-2334 (($ (-1145)) 13)) (-1483 (($ (-635 (-635 $))) 48)) (-3833 (($ $ (-569)) 39) (($ $) 42)) (-2776 (((-1145) $) NIL)) (-2192 (($ $ $) 121)) (-1741 (($ $) 134) (($ $ $) 135) (($ $ $ $) 136)) (-4314 (((-121) $) 98)) (-4243 (($ $ (-635 $)) 102) (($ $ $ $) 103)) (-3795 (($ (-569)) 36)) (-2626 (((-569) $) 31) (((-569)) 34)) (-2375 (($ $ $) 37) (($ (-635 $)) 75)) (-3360 (((-1109) $) NIL)) (-2941 (($ $ $) 91)) (-1296 (($) 12)) (-1534 (($ $ (-635 $)) 99)) (-2049 (($ $) 108) (($ $ (-764)) 111)) (-2945 (($ $ $) 88)) (-3899 (($ $ (-764)) 127)) (-2309 (($ (-635 $)) 51)) (-2185 (((-851) $) 18)) (-4030 (($ $ (-569)) 38) (($ $) 41)) (-1803 (($ $) 58) (($ (-635 $)) 59)) (-1959 (($ $) 56) (($ (-635 $)) 57)) (-4042 (($ $) 114)) (-1533 (($ (-635 $)) 55)) (-4248 (($ $ $) 97)) (-4384 (($ $ $) 120)) (-2206 (($ $ $) 92)) (-2952 (($ $ $) 77)) (-3778 (($ $ $) 95) (($ $) 96)) (-1693 (($ $ $) 81)) (-1684 (($ $ $) 79)) (-1668 (((-121) $ $) 15) (($ $ $) 16)) (-1688 (($ $ $) 80)) (-1678 (($ $ $) 78)) (-1715 (($ $ $) 86)) (-1711 (($ $ $) 83) (($ $) 84)) (-1707 (($ $ $) 82)) (** (($ $ $) 87)) (* (($ $ $) 85))) 
+(((-851) (-13 (-1091) (-10 -8 (-15 -2988 ((-1252) $)) (-15 -2334 ($ (-1145))) (-15 -2786 ((-1252) (-1145))) (-15 -1982 ($ (-569))) (-15 -1982 ($ (-1163))) (-15 -1982 ($ (-1145))) (-15 -1982 ($ (-216))) (-15 -1296 ($)) (-15 -1282 ((-569) $)) (-15 -2626 ((-569) $)) (-15 -1282 ((-569))) (-15 -2626 ((-569))) (-15 -3157 ((-569) $)) (-15 -2964 ((-569) $)) (-15 -3795 ($ (-569))) (-15 -4156 ($ (-569))) (-15 -2127 ($ (-569) (-569))) (-15 -3833 ($ $ (-569))) (-15 -1869 ($ $ (-569))) (-15 -4030 ($ $ (-569))) (-15 -3833 ($ $)) (-15 -1869 ($ $)) (-15 -4030 ($ $)) (-15 -2375 ($ $ $)) (-15 -1964 ($ $ $)) (-15 -2375 ($ (-635 $))) (-15 -1964 ($ (-635 $))) (-15 -3968 ($ $ (-635 $))) (-15 -4243 ($ $ (-635 $))) (-15 -4243 ($ $ $ $)) (-15 -2437 ($ $ $)) (-15 -4314 ((-121) $)) (-15 -1534 ($ $ (-635 $))) (-15 -2257 ($ $)) (-15 -2192 ($ $ $)) (-15 -4042 ($ $)) (-15 -1483 ($ (-635 (-635 $)))) (-15 -3879 ($ $ $)) (-15 -2595 ($ $)) (-15 -2595 ($ $ $)) (-15 -2895 ($ $ $)) (-15 -1577 ($ $ $)) (-15 -4384 ($ $ $)) (-15 -1729 ($ $ $)) (-15 -3899 ($ $ (-764))) (-15 -4248 ($ $ $)) (-15 -2766 ($ $ $)) (-15 -2912 ($ $ $)) (-15 -1427 ($ $ $)) (-15 -3392 ($ $ $)) (-15 -1912 ($ $ (-635 $))) (-15 -3985 ($ $ (-635 $))) (-15 -2413 ($ $)) (-15 -2049 ($ $)) (-15 -2049 ($ $ (-764))) (-15 -1578 ($ $)) (-15 -1578 ($ $ (-764))) (-15 -2339 ($ $)) (-15 -4416 ($ $ $)) (-15 -2029 ($ $)) (-15 -2029 ($ $ $)) (-15 -2029 ($ $ $ $)) (-15 -1551 ($ $)) (-15 -1551 ($ $ $)) (-15 -1551 ($ $ $ $)) (-15 -1741 ($ $)) (-15 -1741 ($ $ $)) (-15 -1741 ($ $ $ $)) (-15 -1959 ($ $)) (-15 -1959 ($ (-635 $))) (-15 -1803 ($ $)) (-15 -1803 ($ (-635 $))) (-15 -2337 ($ $)) (-15 -2337 ($ (-635 $))) (-15 -3307 ($ (-635 $))) (-15 -2309 ($ (-635 $))) (-15 -3883 ($ (-635 $))) (-15 -1533 ($ (-635 $))) (-15 -1668 ($ $ $)) (-15 -2952 ($ $ $)) (-15 -1678 ($ $ $)) (-15 -1684 ($ $ $)) (-15 -1688 ($ $ $)) (-15 -1693 ($ $ $)) (-15 -1707 ($ $ $)) (-15 -1711 ($ $ $)) (-15 -1711 ($ $)) (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -2945 ($ $ $)) (-15 -2506 ($ $ $)) (-15 -2524 ($ $ $)) (-15 -2941 ($ $ $)) (-15 -2206 ($ $ $)) (-15 -3447 ($ $ $)) (-15 -3864 ($ $)) (-15 -3778 ($ $ $)) (-15 -3778 ($ $))))) (T -851)) 
+((-2988 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-851)))) (-2334 (*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-851)))) (-2786 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-851)))) (-1982 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-1982 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-851)))) (-1982 (*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-851)))) (-1982 (*1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-851)))) (-1296 (*1 *1) (-5 *1 (-851))) (-1282 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-2626 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-1282 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-2626 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-3157 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-2964 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-3795 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-4156 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-2127 (*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-3833 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-1869 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-4030 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-3833 (*1 *1 *1) (-5 *1 (-851))) (-1869 (*1 *1 *1) (-5 *1 (-851))) (-4030 (*1 *1 *1) (-5 *1 (-851))) (-2375 (*1 *1 *1 *1) (-5 *1 (-851))) (-1964 (*1 *1 *1 *1) (-5 *1 (-851))) (-2375 (*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-1964 (*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-3968 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-4243 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-4243 (*1 *1 *1 *1 *1) (-5 *1 (-851))) (-2437 (*1 *1 *1 *1) (-5 *1 (-851))) (-4314 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-851)))) (-1534 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-2257 (*1 *1 *1) (-5 *1 (-851))) (-2192 (*1 *1 *1 *1) (-5 *1 (-851))) (-4042 (*1 *1 *1) (-5 *1 (-851))) (-1483 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-851)))) (-5 *1 (-851)))) (-3879 (*1 *1 *1 *1) (-5 *1 (-851))) (-2595 (*1 *1 *1) (-5 *1 (-851))) (-2595 (*1 *1 *1 *1) (-5 *1 (-851))) (-2895 (*1 *1 *1 *1) (-5 *1 (-851))) (-1577 (*1 *1 *1 *1) (-5 *1 (-851))) (-4384 (*1 *1 *1 *1) (-5 *1 (-851))) (-1729 (*1 *1 *1 *1) (-5 *1 (-851))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-851)))) (-4248 (*1 *1 *1 *1) (-5 *1 (-851))) (-2766 (*1 *1 *1 *1) (-5 *1 (-851))) (-2912 (*1 *1 *1 *1) (-5 *1 (-851))) (-1427 (*1 *1 *1 *1) (-5 *1 (-851))) (-3392 (*1 *1 *1 *1) (-5 *1 (-851))) (-1912 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-3985 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-2413 (*1 *1 *1) (-5 *1 (-851))) (-2049 (*1 *1 *1) (-5 *1 (-851))) (-2049 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-851)))) (-1578 (*1 *1 *1) (-5 *1 (-851))) (-1578 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-851)))) (-2339 (*1 *1 *1) (-5 *1 (-851))) (-4416 (*1 *1 *1 *1) (-5 *1 (-851))) (-2029 (*1 *1 *1) (-5 *1 (-851))) (-2029 (*1 *1 *1 *1) (-5 *1 (-851))) (-2029 (*1 *1 *1 *1 *1) (-5 *1 (-851))) (-1551 (*1 *1 *1) (-5 *1 (-851))) (-1551 (*1 *1 *1 *1) (-5 *1 (-851))) (-1551 (*1 *1 *1 *1 *1) (-5 *1 (-851))) (-1741 (*1 *1 *1) (-5 *1 (-851))) (-1741 (*1 *1 *1 *1) (-5 *1 (-851))) (-1741 (*1 *1 *1 *1 *1) (-5 *1 (-851))) (-1959 (*1 *1 *1) (-5 *1 (-851))) (-1959 (*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-1803 (*1 *1 *1) (-5 *1 (-851))) (-1803 (*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-2337 (*1 *1 *1) (-5 *1 (-851))) (-2337 (*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-3307 (*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-2309 (*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-3883 (*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-1533 (*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-1668 (*1 *1 *1 *1) (-5 *1 (-851))) (-2952 (*1 *1 *1 *1) (-5 *1 (-851))) (-1678 (*1 *1 *1 *1) (-5 *1 (-851))) (-1684 (*1 *1 *1 *1) (-5 *1 (-851))) (-1688 (*1 *1 *1 *1) (-5 *1 (-851))) (-1693 (*1 *1 *1 *1) (-5 *1 (-851))) (-1707 (*1 *1 *1 *1) (-5 *1 (-851))) (-1711 (*1 *1 *1 *1) (-5 *1 (-851))) (-1711 (*1 *1 *1) (-5 *1 (-851))) (* (*1 *1 *1 *1) (-5 *1 (-851))) (-1715 (*1 *1 *1 *1) (-5 *1 (-851))) (** (*1 *1 *1 *1) (-5 *1 (-851))) (-2945 (*1 *1 *1 *1) (-5 *1 (-851))) (-2506 (*1 *1 *1 *1) (-5 *1 (-851))) (-2524 (*1 *1 *1 *1) (-5 *1 (-851))) (-2941 (*1 *1 *1 *1) (-5 *1 (-851))) (-2206 (*1 *1 *1 *1) (-5 *1 (-851))) (-3447 (*1 *1 *1 *1) (-5 *1 (-851))) (-3864 (*1 *1 *1) (-5 *1 (-851))) (-3778 (*1 *1 *1 *1) (-5 *1 (-851))) (-3778 (*1 *1 *1) (-5 *1 (-851)))) 
+(-13 (-1091) (-10 -8 (-15 -2988 ((-1252) $)) (-15 -2334 ($ (-1145))) (-15 -2786 ((-1252) (-1145))) (-15 -1982 ($ (-569))) (-15 -1982 ($ (-1163))) (-15 -1982 ($ (-1145))) (-15 -1982 ($ (-216))) (-15 -1296 ($)) (-15 -1282 ((-569) $)) (-15 -2626 ((-569) $)) (-15 -1282 ((-569))) (-15 -2626 ((-569))) (-15 -3157 ((-569) $)) (-15 -2964 ((-569) $)) (-15 -3795 ($ (-569))) (-15 -4156 ($ (-569))) (-15 -2127 ($ (-569) (-569))) (-15 -3833 ($ $ (-569))) (-15 -1869 ($ $ (-569))) (-15 -4030 ($ $ (-569))) (-15 -3833 ($ $)) (-15 -1869 ($ $)) (-15 -4030 ($ $)) (-15 -2375 ($ $ $)) (-15 -1964 ($ $ $)) (-15 -2375 ($ (-635 $))) (-15 -1964 ($ (-635 $))) (-15 -3968 ($ $ (-635 $))) (-15 -4243 ($ $ (-635 $))) (-15 -4243 ($ $ $ $)) (-15 -2437 ($ $ $)) (-15 -4314 ((-121) $)) (-15 -1534 ($ $ (-635 $))) (-15 -2257 ($ $)) (-15 -2192 ($ $ $)) (-15 -4042 ($ $)) (-15 -1483 ($ (-635 (-635 $)))) (-15 -3879 ($ $ $)) (-15 -2595 ($ $)) (-15 -2595 ($ $ $)) (-15 -2895 ($ $ $)) (-15 -1577 ($ $ $)) (-15 -4384 ($ $ $)) (-15 -1729 ($ $ $)) (-15 -3899 ($ $ (-764))) (-15 -4248 ($ $ $)) (-15 -2766 ($ $ $)) (-15 -2912 ($ $ $)) (-15 -1427 ($ $ $)) (-15 -3392 ($ $ $)) (-15 -1912 ($ $ (-635 $))) (-15 -3985 ($ $ (-635 $))) (-15 -2413 ($ $)) (-15 -2049 ($ $)) (-15 -2049 ($ $ (-764))) (-15 -1578 ($ $)) (-15 -1578 ($ $ (-764))) (-15 -2339 ($ $)) (-15 -4416 ($ $ $)) (-15 -2029 ($ $)) (-15 -2029 ($ $ $)) (-15 -2029 ($ $ $ $)) (-15 -1551 ($ $)) (-15 -1551 ($ $ $)) (-15 -1551 ($ $ $ $)) (-15 -1741 ($ $)) (-15 -1741 ($ $ $)) (-15 -1741 ($ $ $ $)) (-15 -1959 ($ $)) (-15 -1959 ($ (-635 $))) (-15 -1803 ($ $)) (-15 -1803 ($ (-635 $))) (-15 -2337 ($ $)) (-15 -2337 ($ (-635 $))) (-15 -3307 ($ (-635 $))) (-15 -2309 ($ (-635 $))) (-15 -3883 ($ (-635 $))) (-15 -1533 ($ (-635 $))) (-15 -1668 ($ $ $)) (-15 -2952 ($ $ $)) (-15 -1678 ($ $ $)) (-15 -1684 ($ $ $)) (-15 -1688 ($ $ $)) (-15 -1693 ($ $ $)) (-15 -1707 ($ $ $)) (-15 -1711 ($ $ $)) (-15 -1711 ($ $)) (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -2945 ($ $ $)) (-15 -2506 ($ $ $)) (-15 -2524 ($ $ $)) (-15 -2941 ($ $ $)) (-15 -2206 ($ $ $)) (-15 -3447 ($ $ $)) (-15 -3864 ($ $)) (-15 -3778 ($ $ $)) (-15 -3778 ($ $)))) 
+((-3469 (((-1252) (-635 (-57))) 24)) (-3020 (((-1252) (-1145) (-851)) 14) (((-1252) (-851)) 9) (((-1252) (-1145)) 11))) 
+(((-852) (-10 -7 (-15 -3020 ((-1252) (-1145))) (-15 -3020 ((-1252) (-851))) (-15 -3020 ((-1252) (-1145) (-851))) (-15 -3469 ((-1252) (-635 (-57)))))) (T -852)) 
+((-3469 (*1 *2 *3) (-12 (-5 *3 (-635 (-57))) (-5 *2 (-1252)) (-5 *1 (-852)))) (-3020 (*1 *2 *3 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-851)) (-5 *2 (-1252)) (-5 *1 (-852)))) (-3020 (*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1252)) (-5 *1 (-852)))) (-3020 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-852))))) 
+(-10 -7 (-15 -3020 ((-1252) (-1145))) (-15 -3020 ((-1252) (-851))) (-15 -3020 ((-1252) (-1145) (-851))) (-15 -3469 ((-1252) (-635 (-57))))) 
+((-2568 (((-121) $ $) NIL)) (-3534 (((-3 $ "failed") (-1163)) 32)) (-2085 (((-764)) 30)) (-4327 (($) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2083 (((-918) $) 28)) (-2776 (((-1145) $) 38)) (-3998 (($ (-918)) 27)) (-3360 (((-1109) $) NIL)) (-3817 (((-1163) $) 13) (((-542) $) 19) (((-888 (-382)) $) 25) (((-888 (-569)) $) 22)) (-2185 (((-851) $) 16)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 35)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 34))) 
+(((-853 |#1|) (-13 (-837) (-610 (-1163)) (-610 (-542)) (-610 (-888 (-382))) (-610 (-888 (-569))) (-10 -8 (-15 -3534 ((-3 $ "failed") (-1163))))) (-635 (-1163))) (T -853)) 
+((-3534 (*1 *1 *2) (|partial| -12 (-5 *2 (-1163)) (-5 *1 (-853 *3)) (-14 *3 (-635 *2))))) 
+(-13 (-837) (-610 (-1163)) (-610 (-542)) (-610 (-888 (-382))) (-610 (-888 (-569))) (-10 -8 (-15 -3534 ((-3 $ "failed") (-1163))))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) NIL)) (-1407 (((-121) $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (((-954 |#1|) $) NIL) (($ (-954 |#1|)) NIL) (($ |#1|) NIL (|has| |#1| (-173)))) (-1991 (((-764)) NIL)) (-3763 (((-1252) (-764)) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1668 (((-121) $ $) NIL)) (-1715 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ |#1| $) NIL (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))))) 
+(((-854 |#1| |#2| |#3| |#4|) (-13 (-1048) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -2185 ((-954 |#1|) $)) (-15 -2185 ($ (-954 |#1|))) (IF (|has| |#1| (-366)) (-15 -1715 ((-3 $ "failed") $ $)) |noBranch|) (-15 -3763 ((-1252) (-764))))) (-1048) (-635 (-1163)) (-635 (-764)) (-764)) (T -854)) 
+((-2185 (*1 *2 *1) (-12 (-5 *2 (-954 *3)) (-5 *1 (-854 *3 *4 *5 *6)) (-4 *3 (-1048)) (-14 *4 (-635 (-1163))) (-14 *5 (-635 (-764))) (-14 *6 (-764)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-954 *3)) (-4 *3 (-1048)) (-5 *1 (-854 *3 *4 *5 *6)) (-14 *4 (-635 (-1163))) (-14 *5 (-635 (-764))) (-14 *6 (-764)))) (-1715 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-854 *2 *3 *4 *5)) (-4 *2 (-366)) (-4 *2 (-1048)) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-764))) (-14 *5 (-764)))) (-3763 (*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-854 *4 *5 *6 *7)) (-4 *4 (-1048)) (-14 *5 (-635 (-1163))) (-14 *6 (-635 *3)) (-14 *7 *3)))) 
+(-13 (-1048) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -2185 ((-954 |#1|) $)) (-15 -2185 ($ (-954 |#1|))) (IF (|has| |#1| (-366)) (-15 -1715 ((-3 $ "failed") $ $)) |noBranch|) (-15 -3763 ((-1252) (-764))))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-4411 (((-1247 $) $ $) 78)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-3240 (((-121) $) 111)) (-2031 (((-764)) 115)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-3934 (((-121) $ $) 57)) (-4076 (((-1252) $) 74)) (-2820 (($) 16 T CONST)) (-1647 (((-3 (-569) "failed") $) 122) (((-3 (-410 (-569)) "failed") $) 119) (((-3 (-410 (-569)) "failed") $) 104) (((-3 (-861) "failed") $) 136) (((-3 (-861) "failed") $) 130)) (-2428 (((-569) $) 121) (((-410 (-569)) $) 118) (((-410 (-569)) $) 105) (((-861) $) 135) (((-861) $) 131)) (-2506 (($ $ $) 53)) (-1774 (($ (-1159 $)) 84)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-2751 (($ $ (-764)) 102 (-2232 (|has| (-861) (-149)) (|has| (-861) (-371)) (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)))) (($ $) 101 (-2232 (|has| (-861) (-149)) (|has| (-861) (-371)) (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-3726 (((-121) $) 69)) (-1745 (($ $) 79)) (-2558 (((-829 (-918)) $) 99 (-2232 (|has| (-861) (-149)) (|has| (-861) (-371)) (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-1407 (((-121) $) 30)) (-2772 (($ (-1159 $) $ (-1163)) 76) (($ (-1159 $) (-1163)) 75)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2071 (($ (-635 $)) 81)) (-1769 (((-1159 $) $) 86) (((-1159 $) $ $) 85)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-2705 (((-121) $) 112)) (-3360 (((-1109) $) 10)) (-1798 (((-121) $) 82)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-2401 (((-851) $) 73)) (-1743 (((-421 $) $) 72)) (-2578 (((-829 (-918))) 114)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-4053 (((-918) $) 80)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-3955 (((-635 $) (-1159 $) $) 83)) (-1291 (((-3 (-764) "failed") $ $) 100 (-2232 (|has| (-861) (-149)) (|has| (-861) (-371)) (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-2369 (((-140)) 106)) (-2492 (((-829 (-918)) $) 113)) (-2745 (((-1159 $)) 88) (((-1159 $) $) 87)) (-1414 (($ $) 77)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ (-569)) 123) (($ (-410 (-569))) 120) (($ (-410 (-569))) 103) (($ (-861)) 137) (($ (-861)) 129)) (-3953 (((-3 $ "failed") $) 98 (-2232 (|has| (-861) (-149)) (|has| (-861) (-371)) (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-3673 (((-121) $) 110)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1907 (($ $ (-764)) 117 (-2232 (|has| (-861) (-371)) (|has| (-410 (-569)) (-371)))) (($ $) 116 (-2232 (|has| (-861) (-371)) (|has| (-410 (-569)) (-371))))) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 62) (($ $ (-410 (-569))) 107) (($ $ (-861)) 132)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ (-410 (-569)) $) 109) (($ $ (-410 (-569))) 108) (($ (-861) $) 134) (($ $ (-861)) 133))) 
+(((-855) (-1278)) (T -855)) 
+NIL 
+(-13 (-860) (-1038 (-861)) (-1264 (-861))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 (-861) (-861)) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -2232 (|has| (-861) (-371)) (|has| (-861) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-410 (-569)) (-149))) ((-151) . T) ((-609 (-851)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-1264 (-410 (-569))) . T) ((-1264 (-861)) . T) ((-366) . T) ((-405) -2232 (|has| (-861) (-371)) (|has| (-861) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-410 (-569)) (-149))) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 (-861)) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 (-861)) . T) ((-708 $) . T) ((-717) . T) ((-917) . T) ((-859) . T) ((-860) . T) ((-1038 (-410 (-569))) . T) ((-1038 (-569)) . T) ((-1038 (-861)) . T) ((-1054 (-410 (-569))) . T) ((-1054 (-861)) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) . T) ((-1254 (-410 (-569))) . T) ((-1254 (-861)) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 47)) (-4411 (((-1247 $) $ $) 69)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-4076 (((-1252) $) 78)) (-2820 (($) NIL T CONST)) (-2755 (((-861) $) 17)) (-1647 (((-3 (-569) "failed") $) 75) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-861) "failed") $) 72) (((-3 (-861) "failed") $) 72)) (-2428 (((-569) $) NIL) (((-410 (-569)) $) NIL) (((-410 (-569)) $) NIL) (((-861) $) 111) (((-861) $) 111)) (-2506 (($ $ $) NIL)) (-1774 (($ (-1159 $)) 59)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-2751 (($ $ (-764)) NIL (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-861) (-149)) (|has| (-861) (-371)))) (($ $) NIL (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-861) (-149)) (|has| (-861) (-371))))) (-3726 (((-121) $) NIL)) (-1745 (($ $) 63)) (-2558 (((-829 (-918)) $) NIL (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-861) (-149)) (|has| (-861) (-371))))) (-1407 (((-121) $) 117)) (-2772 (($ (-1159 $) $ (-1163)) 41) (($ (-1159 $) (-1163)) 94)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2071 (($ (-635 $)) 61)) (-1769 (((-1159 $) $) 55) (((-1159 $) $ $) 56)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 101)) (-2705 (((-121) $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) 62)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2401 (((-851) $) 124)) (-1743 (((-421 $) $) NIL)) (-2578 (((-829 (-918))) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-4053 (((-918) $) 37)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3955 (((-635 $) (-1159 $) $) 96)) (-1291 (((-3 (-764) "failed") $ $) NIL (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-861) (-149)) (|has| (-861) (-371))))) (-2369 (((-140)) NIL)) (-2492 (((-829 (-918)) $) NIL)) (-2745 (((-1159 $)) 79) (((-1159 $) $) 64)) (-1414 (($ $) NIL)) (-2185 (((-851) $) 123) (($ (-569)) 44) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-569)) 44) (($ (-410 (-569))) NIL) (($ (-410 (-569))) NIL) (($ (-861)) 118) (($ (-861)) 118)) (-3953 (((-3 $ "failed") $) NIL (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-861) (-149)) (|has| (-861) (-371))))) (-1991 (((-764)) 126)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 48 T CONST)) (-1556 (($) 38 T CONST)) (-1907 (($ $ (-764)) NIL (-2232 (|has| (-410 (-569)) (-371)) (|has| (-861) (-371)))) (($ $) NIL (-2232 (|has| (-410 (-569)) (-371)) (|has| (-861) (-371))))) (-1668 (((-121) $ $) 114)) (-1715 (($ $ $) 102) (($ $ (-410 (-569))) NIL) (($ $ (-861)) NIL)) (-1711 (($ $) 35) (($ $ $) 105)) (-1707 (($ $ $) 81)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 53) (($ $ $) 31) (($ $ (-410 (-569))) 109) (($ (-410 (-569)) $) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) 109) (($ (-861) $) 103) (($ $ (-861)) 104))) 
+(((-856 |#1|) (-13 (-855) (-10 -8 (-15 -2401 ((-851) $)) (-15 -2755 ((-861) $)))) (-861)) (T -856)) 
+((-2401 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-856 *3)) (-14 *3 (-861)))) (-2755 (*1 *2 *1) (-12 (-5 *2 (-861)) (-5 *1 (-856 *3)) (-14 *3 *2)))) 
+(-13 (-855) (-10 -8 (-15 -2401 ((-851) $)) (-15 -2755 ((-861) $)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-4411 (((-1247 $) $ $) 113)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2620 (((-1171 (-918) (-764)) (-569)) 88)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-3934 (((-121) $ $) 57)) (-2085 (((-764)) 98)) (-4076 (((-1252) $) 117)) (-2820 (($) 16 T CONST)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) 82)) (-2506 (($ $ $) 53)) (-1774 (($ (-1159 $)) 107)) (-3428 (((-3 $ "failed") $) 33)) (-4327 (($) 101)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-3188 (($) 86)) (-3354 (((-121) $) 85)) (-2751 (($ $) 75) (($ $ (-764)) 74)) (-3726 (((-121) $) 69)) (-1745 (($ $) 112)) (-2558 (((-829 (-918)) $) 77) (((-918) $) 83)) (-1407 (((-121) $) 30)) (-3846 (((-3 $ "failed") $) 97)) (-2772 (($ (-1159 $) (-1163)) 116) (($ (-1159 $) $ (-1163)) 115)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2071 (($ (-635 $)) 110)) (-2083 (((-918) $) 100)) (-1769 (((-1159 $) $ $) 106) (((-1159 $) $) 105)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-4043 (($) 96 T CONST)) (-3998 (($ (-918)) 99)) (-3360 (((-1109) $) 10)) (-1798 (((-121) $) 109)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-2401 (((-851) $) 118)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) 89)) (-1743 (((-421 $) $) 72)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-4053 (((-918) $) 111)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-3955 (((-635 $) (-1159 $) $) 108)) (-1291 (((-3 (-764) "failed") $ $) 76) (((-764) $) 84)) (-3899 (($ $ (-764)) 94) (($ $) 92)) (-2745 (((-1159 $) $) 104) (((-1159 $)) 103)) (-2319 (($) 87)) (-1414 (($ $) 114)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 90)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63)) (-3953 (((-3 $ "failed") $) 78) (($ $) 91)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-764)) 95) (($ $) 93)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 62)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
+(((-857) (-1278)) (T -857)) 
+NIL 
+(-13 (-351) (-859)) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-149) . T) ((-609 (-851)) . T) ((-173) . T) ((-226) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-405) . T) ((-371) . T) ((-351) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 $) . T) ((-717) . T) ((-917) . T) ((-859) . T) ((-1054 (-410 (-569))) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1137) . T) ((-1202) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 29)) (-4411 (((-1247 $) $ $) 48)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 39)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-2620 (((-1171 (-918) (-764)) (-569)) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2085 (((-764)) 52)) (-4076 (((-1252) $) 56)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) 126)) (-2428 ((|#1| $) 85)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) 139)) (-2506 (($ $ $) NIL)) (-1774 (($ (-1159 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) 82)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3188 (($) NIL)) (-3354 (((-121) $) NIL)) (-2751 (($ $) NIL) (($ $ (-764)) NIL)) (-3726 (((-121) $) NIL)) (-1745 (($ $) 41)) (-2558 (((-829 (-918)) $) NIL) (((-918) $) NIL)) (-1407 (((-121) $) 123)) (-3846 (((-3 $ "failed") $) NIL)) (-2772 (($ (-1159 $) (-1163)) 79) (($ (-1159 $) $ (-1163)) 99)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2071 (($ (-635 $)) 104)) (-2083 (((-918) $) 134)) (-1769 (((-1159 $) $ $) NIL) (((-1159 $) $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 27)) (-4043 (($) NIL T CONST)) (-3998 (($ (-918)) 136)) (-2705 (((-121) $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) 40)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2401 (((-851) $) 132)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL)) (-1743 (((-421 $) $) NIL)) (-2578 (((-829 (-918))) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-4053 (((-918) $) 14)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3955 (((-635 $) (-1159 $) $) 81)) (-1291 (((-3 (-764) "failed") $ $) NIL) (((-764) $) NIL)) (-2369 (((-140)) NIL)) (-3899 (($ $ (-764)) NIL) (($ $) NIL)) (-2492 (((-829 (-918)) $) 17)) (-2745 (((-1159 $) $) 20) (((-1159 $)) NIL)) (-2319 (($) NIL)) (-1414 (($ $) 90)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL)) (-2185 (((-851) $) 131) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 124)) (-3953 (((-3 $ "failed") $) NIL) (($ $) 89)) (-1991 (((-764)) 140)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 30 T CONST)) (-1556 (($) 21 T CONST)) (-1907 (($ $ (-764)) NIL (|has| |#1| (-371))) (($ $) NIL (|has| |#1| (-371)))) (-3022 (($ $ (-764)) NIL) (($ $) NIL)) (-1668 (((-121) $ $) 120)) (-1715 (($ $ $) 96) (($ $ |#1|) NIL)) (-1711 (($ $) 97) (($ $ $) 107)) (-1707 (($ $ $) 63)) (** (($ $ (-918)) 33) (($ $ (-764)) 34) (($ $ (-569)) 37)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 111) (($ $ $) 65) (($ $ (-410 (-569))) 112) (($ (-410 (-569)) $) NIL) (($ |#1| $) 105) (($ $ |#1|) 106))) 
+(((-858 |#1|) (-13 (-857) (-1264 |#1|) (-10 -8 (-15 -2401 ((-851) $)))) (-351)) (T -858)) 
+((-2401 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-858 *3)) (-4 *3 (-351))))) 
+(-13 (-857) (-1264 |#1|) (-10 -8 (-15 -2401 ((-851) $)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-4411 (((-1247 $) $ $) 78)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-3934 (((-121) $ $) 57)) (-4076 (((-1252) $) 74)) (-2820 (($) 16 T CONST)) (-2506 (($ $ $) 53)) (-1774 (($ (-1159 $)) 84)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-3726 (((-121) $) 69)) (-1745 (($ $) 79)) (-1407 (((-121) $) 30)) (-2772 (($ (-1159 $) $ (-1163)) 76) (($ (-1159 $) (-1163)) 75)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2071 (($ (-635 $)) 81)) (-1769 (((-1159 $) $) 86) (((-1159 $) $ $) 85)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-3360 (((-1109) $) 10)) (-1798 (((-121) $) 82)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-2401 (((-851) $) 73)) (-1743 (((-421 $) $) 72)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-4053 (((-918) $) 80)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-3955 (((-635 $) (-1159 $) $) 83)) (-2745 (((-1159 $)) 88) (((-1159 $) $) 87)) (-1414 (($ $) 77)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 62)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
+(((-859) (-1278)) (T -859)) 
+((-2745 (*1 *2) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-859)))) (-2745 (*1 *2 *1) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-859)))) (-1769 (*1 *2 *1) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-859)))) (-1769 (*1 *2 *1 *1) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-859)))) (-1774 (*1 *1 *2) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-859)))) (-3955 (*1 *2 *3 *1) (-12 (-5 *3 (-1159 *1)) (-4 *1 (-859)) (-5 *2 (-635 *1)))) (-1798 (*1 *2 *1) (-12 (-4 *1 (-859)) (-5 *2 (-121)))) (-2071 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-859)))) (-4053 (*1 *2 *1) (-12 (-4 *1 (-859)) (-5 *2 (-918)))) (-1745 (*1 *1 *1) (-4 *1 (-859))) (-4411 (*1 *2 *1 *1) (-12 (-5 *2 (-1247 *1)) (-4 *1 (-859)))) (-1414 (*1 *1 *1) (-4 *1 (-859))) (-2772 (*1 *1 *2 *1 *3) (-12 (-5 *2 (-1159 *1)) (-5 *3 (-1163)) (-4 *1 (-859)))) (-2772 (*1 *1 *2 *3) (-12 (-5 *2 (-1159 *1)) (-5 *3 (-1163)) (-4 *1 (-859)))) (-4076 (*1 *2 *1) (-12 (-4 *1 (-859)) (-5 *2 (-1252)))) (-2401 (*1 *2 *1) (-12 (-4 *1 (-859)) (-5 *2 (-851))))) 
+(-13 (-366) (-10 -8 (-15 -2745 ((-1159 $))) (-15 -2745 ((-1159 $) $)) (-15 -1769 ((-1159 $) $)) (-15 -1769 ((-1159 $) $ $)) (-15 -1774 ($ (-1159 $))) (-15 -3955 ((-635 $) (-1159 $) $)) (-15 -1798 ((-121) $)) (-15 -2071 ($ (-635 $))) (-15 -4053 ((-918) $)) (-15 -1745 ($ $)) (-15 -4411 ((-1247 $) $ $)) (-15 -1414 ($ $)) (-15 -2772 ($ (-1159 $) $ (-1163))) (-15 -2772 ($ (-1159 $) (-1163))) (-15 -4076 ((-1252) $)) (-15 -2401 ((-851) $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 $) . T) ((-717) . T) ((-917) . T) ((-1054 (-410 (-569))) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) . T)) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-4411 (((-1247 $) $ $) 78)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-3240 (((-121) $) 111)) (-2031 (((-764)) 115)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-3934 (((-121) $ $) 57)) (-4076 (((-1252) $) 74)) (-2820 (($) 16 T CONST)) (-1647 (((-3 (-569) "failed") $) 122) (((-3 (-410 (-569)) "failed") $) 119) (((-3 (-410 (-569)) "failed") $) 104)) (-2428 (((-569) $) 121) (((-410 (-569)) $) 118) (((-410 (-569)) $) 105)) (-2506 (($ $ $) 53)) (-1774 (($ (-1159 $)) 84)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-2751 (($ $ (-764)) 102 (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)))) (($ $) 101 (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-3726 (((-121) $) 69)) (-1745 (($ $) 79)) (-2558 (((-829 (-918)) $) 99 (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-1407 (((-121) $) 30)) (-2772 (($ (-1159 $) $ (-1163)) 76) (($ (-1159 $) (-1163)) 75)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2071 (($ (-635 $)) 81)) (-1769 (((-1159 $) $) 86) (((-1159 $) $ $) 85)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-2705 (((-121) $) 112)) (-3360 (((-1109) $) 10)) (-1798 (((-121) $) 82)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-2401 (((-851) $) 73)) (-1743 (((-421 $) $) 72)) (-2578 (((-829 (-918))) 114)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-4053 (((-918) $) 80)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-3955 (((-635 $) (-1159 $) $) 83)) (-1291 (((-3 (-764) "failed") $ $) 100 (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-2369 (((-140)) 106)) (-2492 (((-829 (-918)) $) 113)) (-2745 (((-1159 $)) 88) (((-1159 $) $) 87)) (-1414 (($ $) 77)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ (-569)) 123) (($ (-410 (-569))) 120) (($ (-410 (-569))) 103)) (-3953 (((-3 $ "failed") $) 98 (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-3673 (((-121) $) 110)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1907 (($ $ (-764)) 117 (|has| (-410 (-569)) (-371))) (($ $) 116 (|has| (-410 (-569)) (-371)))) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 62) (($ $ (-410 (-569))) 107)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ (-410 (-569)) $) 109) (($ $ (-410 (-569))) 108))) 
+(((-860) (-1278)) (T -860)) 
+NIL 
+(-13 (-859) (-151) (-1038 (-569)) (-1038 (-410 (-569))) (-1264 (-410 (-569)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -2232 (|has| (-410 (-569)) (-371)) (|has| (-410 (-569)) (-149))) ((-151) . T) ((-609 (-851)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-1264 (-410 (-569))) . T) ((-366) . T) ((-405) -2232 (|has| (-410 (-569)) (-371)) (|has| (-410 (-569)) (-149))) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 $) . T) ((-717) . T) ((-917) . T) ((-859) . T) ((-1038 (-410 (-569))) . T) ((-1038 (-569)) . T) ((-1054 (-410 (-569))) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) . T) ((-1254 (-410 (-569))) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 16)) (-4411 (((-1247 $) $ $) 47)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-4076 (((-1252) $) 51)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) 104) (((-3 (-410 (-569)) "failed") $) 106) (((-3 (-410 (-569)) "failed") $) 106)) (-2428 (((-569) $) NIL) (((-410 (-569)) $) 94) (((-410 (-569)) $) 94)) (-2506 (($ $ $) NIL)) (-1774 (($ (-1159 $)) 34)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-2751 (($ $ (-764)) NIL (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)))) (($ $) NIL (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-3726 (((-121) $) NIL)) (-1745 (($ $) 40)) (-2558 (((-829 (-918)) $) NIL (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-1407 (((-121) $) 100)) (-2772 (($ (-1159 $) $ (-1163)) 79) (($ (-1159 $) (-1163)) 70) (($ (-1159 $) (-1159 $) (-918) $ (-1163)) 80)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2071 (($ (-635 $)) 38)) (-1769 (((-1159 $) $) 29) (((-1159 $) $ $) 31)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 86)) (-2705 (((-121) $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) 39)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2401 (((-851) $) 112)) (-1743 (((-421 $) $) NIL)) (-2578 (((-829 (-918))) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-4053 (((-918) $) 30)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3955 (((-635 $) (-1159 $) $) 72)) (-1291 (((-3 (-764) "failed") $ $) NIL (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-2369 (((-140)) NIL)) (-2492 (((-829 (-918)) $) NIL)) (-2745 (((-1159 $)) 52) (((-1159 $) $) 41)) (-1414 (($ $) NIL)) (-2185 (((-851) $) 111) (($ (-569)) 14) (($ $) NIL) (($ (-410 (-569))) 101) (($ (-569)) 14) (($ (-410 (-569))) 101) (($ (-410 (-569))) 101)) (-3953 (((-3 $ "failed") $) NIL (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-1991 (((-764)) 114)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 17 T CONST)) (-1556 (($) 73 T CONST)) (-1907 (($ $ (-764)) NIL (|has| (-410 (-569)) (-371))) (($ $) NIL (|has| (-410 (-569)) (-371)))) (-1668 (((-121) $ $) 97)) (-1715 (($ $ $) 78) (($ $ (-410 (-569))) NIL)) (-1711 (($ $) 19) (($ $ $) 89)) (-1707 (($ $ $) 54)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 18) (($ $ $) 57) (($ $ (-410 (-569))) 88) (($ (-410 (-569)) $) 87) (($ (-410 (-569)) $) 87) (($ $ (-410 (-569))) 88))) 
+(((-861) (-13 (-860) (-10 -8 (-15 -2401 ((-851) $)) (-15 -2772 ($ (-1159 $) (-1159 $) (-918) $ (-1163)))))) (T -861)) 
+((-2401 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-861)))) (-2772 (*1 *1 *2 *2 *3 *1 *4) (-12 (-5 *2 (-1159 (-861))) (-5 *3 (-918)) (-5 *4 (-1163)) (-5 *1 (-861))))) 
+(-13 (-860) (-10 -8 (-15 -2401 ((-851) $)) (-15 -2772 ($ (-1159 $) (-1159 $) (-918) $ (-1163))))) 
+((-4109 (((-3 (-174 |#3|) "failed") (-764) (-764) |#2| |#2|) 31)) (-1838 (((-3 (-410 |#3|) "failed") (-764) (-764) |#2| |#2|) 24))) 
+(((-862 |#1| |#2| |#3|) (-10 -7 (-15 -1838 ((-3 (-410 |#3|) "failed") (-764) (-764) |#2| |#2|)) (-15 -4109 ((-3 (-174 |#3|) "failed") (-764) (-764) |#2| |#2|))) (-366) (-1237 |#1|) (-1222 |#1|)) (T -862)) 
+((-4109 (*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-764)) (-4 *5 (-366)) (-5 *2 (-174 *6)) (-5 *1 (-862 *5 *4 *6)) (-4 *4 (-1237 *5)) (-4 *6 (-1222 *5)))) (-1838 (*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-764)) (-4 *5 (-366)) (-5 *2 (-410 *6)) (-5 *1 (-862 *5 *4 *6)) (-4 *4 (-1237 *5)) (-4 *6 (-1222 *5))))) 
+(-10 -7 (-15 -1838 ((-3 (-410 |#3|) "failed") (-764) (-764) |#2| |#2|)) (-15 -4109 ((-3 (-174 |#3|) "failed") (-764) (-764) |#2| |#2|))) 
+((-1838 (((-3 (-410 (-1219 |#2| |#1|)) "failed") (-764) (-764) (-1238 |#1| |#2| |#3|)) 28) (((-3 (-410 (-1219 |#2| |#1|)) "failed") (-764) (-764) (-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|)) 26))) 
+(((-863 |#1| |#2| |#3|) (-10 -7 (-15 -1838 ((-3 (-410 (-1219 |#2| |#1|)) "failed") (-764) (-764) (-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|))) (-15 -1838 ((-3 (-410 (-1219 |#2| |#1|)) "failed") (-764) (-764) (-1238 |#1| |#2| |#3|)))) (-366) (-1163) |#1|) (T -863)) 
+((-1838 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-764)) (-5 *4 (-1238 *5 *6 *7)) (-4 *5 (-366)) (-14 *6 (-1163)) (-14 *7 *5) (-5 *2 (-410 (-1219 *6 *5))) (-5 *1 (-863 *5 *6 *7)))) (-1838 (*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-764)) (-5 *4 (-1238 *5 *6 *7)) (-4 *5 (-366)) (-14 *6 (-1163)) (-14 *7 *5) (-5 *2 (-410 (-1219 *6 *5))) (-5 *1 (-863 *5 *6 *7))))) 
+(-10 -7 (-15 -1838 ((-3 (-410 (-1219 |#2| |#1|)) "failed") (-764) (-764) (-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|))) (-15 -1838 ((-3 (-410 (-1219 |#2| |#1|)) "failed") (-764) (-764) (-1238 |#1| |#2| |#3|)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-2454 (($ $ (-569)) 60)) (-3934 (((-121) $ $) 57)) (-2820 (($) 16 T CONST)) (-2595 (($ (-1159 (-569)) (-569)) 59)) (-2506 (($ $ $) 53)) (-3428 (((-3 $ "failed") $) 33)) (-1333 (($ $) 62)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-2558 (((-764) $) 67)) (-1407 (((-121) $) 30)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-3092 (((-569)) 64)) (-2340 (((-569) $) 63)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3499 (($ $ (-569)) 66)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-2855 (((-1143 (-569)) $) 68)) (-3659 (($ $) 65)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2994 (((-569) $ (-569)) 61)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-864 |#1|) (-1278) (-569)) (T -864)) 
+((-2855 (*1 *2 *1) (-12 (-4 *1 (-864 *3)) (-5 *2 (-1143 (-569))))) (-2558 (*1 *2 *1) (-12 (-4 *1 (-864 *3)) (-5 *2 (-764)))) (-3499 (*1 *1 *1 *2) (-12 (-4 *1 (-864 *3)) (-5 *2 (-569)))) (-3659 (*1 *1 *1) (-4 *1 (-864 *2))) (-3092 (*1 *2) (-12 (-4 *1 (-864 *3)) (-5 *2 (-569)))) (-2340 (*1 *2 *1) (-12 (-4 *1 (-864 *3)) (-5 *2 (-569)))) (-1333 (*1 *1 *1) (-4 *1 (-864 *2))) (-2994 (*1 *2 *1 *2) (-12 (-4 *1 (-864 *3)) (-5 *2 (-569)))) (-2454 (*1 *1 *1 *2) (-12 (-4 *1 (-864 *3)) (-5 *2 (-569)))) (-2595 (*1 *1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *3 (-569)) (-4 *1 (-864 *4))))) 
+(-13 (-302) (-151) (-10 -8 (-15 -2855 ((-1143 (-569)) $)) (-15 -2558 ((-764) $)) (-15 -3499 ($ $ (-569))) (-15 -3659 ($ $)) (-15 -3092 ((-569))) (-15 -2340 ((-569) $)) (-15 -1333 ($ $)) (-15 -2994 ((-569) $ (-569))) (-15 -2454 ($ $ (-569))) (-15 -2595 ($ (-1159 (-569)) (-569))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-151) . T) ((-609 (-851)) . T) ((-173) . T) ((-286) . T) ((-302) . T) ((-454) . T) ((-559) . T) ((-638 $) . T) ((-708 $) . T) ((-717) . T) ((-917) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2454 (($ $ (-569)) NIL)) (-3934 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-2595 (($ (-1159 (-569)) (-569)) NIL)) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1333 (($ $) NIL)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-2558 (((-764) $) NIL)) (-1407 (((-121) $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3092 (((-569)) NIL)) (-2340 (((-569) $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3499 (($ $ (-569)) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-2855 (((-1143 (-569)) $) NIL)) (-3659 (($ $) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL)) (-1991 (((-764)) NIL)) (-1961 (((-121) $ $) NIL)) (-2994 (((-569) $ (-569)) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL))) 
+(((-865 |#1|) (-864 |#1|) (-569)) (T -865)) 
+NIL 
+(-864 |#1|) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3761 (((-865 |#1|) $) NIL (|has| (-865 |#1|) (-302)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-865 |#1|) (-905)))) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| (-865 |#1|) (-905)))) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL (|has| (-865 |#1|) (-816)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-865 |#1|) "failed") $) NIL) (((-3 (-1163) "failed") $) NIL (|has| (-865 |#1|) (-1038 (-1163)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-865 |#1|) (-1038 (-569)))) (((-3 (-569) "failed") $) NIL (|has| (-865 |#1|) (-1038 (-569))))) (-2428 (((-865 |#1|) $) NIL) (((-1163) $) NIL (|has| (-865 |#1|) (-1038 (-1163)))) (((-410 (-569)) $) NIL (|has| (-865 |#1|) (-1038 (-569)))) (((-569) $) NIL (|has| (-865 |#1|) (-1038 (-569))))) (-1783 (($ $) NIL) (($ (-569) $) NIL)) (-2506 (($ $ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| (-865 |#1|) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| (-865 |#1|) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-865 |#1|))) (|:| |vec| (-1247 (-865 |#1|)))) (-680 $) (-1247 $)) NIL) (((-680 (-865 |#1|)) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| (-865 |#1|) (-551)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-2403 (((-121) $) NIL (|has| (-865 |#1|) (-816)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (|has| (-865 |#1|) (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (|has| (-865 |#1|) (-882 (-382))))) (-1407 (((-121) $) NIL)) (-4052 (($ $) NIL)) (-4116 (((-865 |#1|) $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| (-865 |#1|) (-1137)))) (-1781 (((-121) $) NIL (|has| (-865 |#1|) (-816)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3291 (($ $ $) NIL (|has| (-865 |#1|) (-843)))) (-1538 (($ $ $) NIL (|has| (-865 |#1|) (-843)))) (-1544 (($ (-1 (-865 |#1|) (-865 |#1|)) $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| (-865 |#1|) (-1137)) CONST)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1346 (($ $) NIL (|has| (-865 |#1|) (-302)))) (-2942 (((-865 |#1|) $) NIL (|has| (-865 |#1|) (-551)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-865 |#1|) (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-865 |#1|) (-905)))) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1468 (($ $ (-635 (-865 |#1|)) (-635 (-865 |#1|))) NIL (|has| (-865 |#1|) (-304 (-865 |#1|)))) (($ $ (-865 |#1|) (-865 |#1|)) NIL (|has| (-865 |#1|) (-304 (-865 |#1|)))) (($ $ (-289 (-865 |#1|))) NIL (|has| (-865 |#1|) (-304 (-865 |#1|)))) (($ $ (-635 (-289 (-865 |#1|)))) NIL (|has| (-865 |#1|) (-304 (-865 |#1|)))) (($ $ (-635 (-1163)) (-635 (-865 |#1|))) NIL (|has| (-865 |#1|) (-524 (-1163) (-865 |#1|)))) (($ $ (-1163) (-865 |#1|)) NIL (|has| (-865 |#1|) (-524 (-1163) (-865 |#1|))))) (-2622 (((-764) $) NIL)) (-1534 (($ $ (-865 |#1|)) NIL (|has| (-865 |#1|) (-282 (-865 |#1|) (-865 |#1|))))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3899 (($ $) NIL (|has| (-865 |#1|) (-226))) (($ $ (-764)) NIL (|has| (-865 |#1|) (-226))) (($ $ (-1163)) NIL (|has| (-865 |#1|) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-865 |#1|) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-865 |#1|) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-865 |#1|) (-896 (-1163)))) (($ $ (-1 (-865 |#1|) (-865 |#1|)) (-764)) NIL) (($ $ (-1 (-865 |#1|) (-865 |#1|))) NIL)) (-4214 (($ $) NIL)) (-4121 (((-865 |#1|) $) NIL)) (-3817 (((-888 (-569)) $) NIL (|has| (-865 |#1|) (-610 (-888 (-569))))) (((-888 (-382)) $) NIL (|has| (-865 |#1|) (-610 (-888 (-382))))) (((-542) $) NIL (|has| (-865 |#1|) (-610 (-542)))) (((-382) $) NIL (|has| (-865 |#1|) (-1022))) (((-216) $) NIL (|has| (-865 |#1|) (-1022)))) (-1303 (((-174 (-410 (-569))) $) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| (-865 |#1|) (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-865 |#1|)) NIL) (($ (-1163)) NIL (|has| (-865 |#1|) (-1038 (-1163))))) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| (-865 |#1|) (-905))) (|has| (-865 |#1|) (-149))))) (-1991 (((-764)) NIL)) (-2612 (((-865 |#1|) $) NIL (|has| (-865 |#1|) (-551)))) (-1961 (((-121) $ $) NIL)) (-2994 (((-410 (-569)) $ (-569)) NIL)) (-1616 (($ $) NIL (|has| (-865 |#1|) (-816)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $) NIL (|has| (-865 |#1|) (-226))) (($ $ (-764)) NIL (|has| (-865 |#1|) (-226))) (($ $ (-1163)) NIL (|has| (-865 |#1|) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-865 |#1|) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-865 |#1|) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-865 |#1|) (-896 (-1163)))) (($ $ (-1 (-865 |#1|) (-865 |#1|)) (-764)) NIL) (($ $ (-1 (-865 |#1|) (-865 |#1|))) NIL)) (-1693 (((-121) $ $) NIL (|has| (-865 |#1|) (-843)))) (-1684 (((-121) $ $) NIL (|has| (-865 |#1|) (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| (-865 |#1|) (-843)))) (-1678 (((-121) $ $) NIL (|has| (-865 |#1|) (-843)))) (-1715 (($ $ $) NIL) (($ (-865 |#1|) (-865 |#1|)) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-865 |#1|) $) NIL) (($ $ (-865 |#1|)) NIL))) 
+(((-866 |#1|) (-13 (-994 (-865 |#1|)) (-10 -8 (-15 -2994 ((-410 (-569)) $ (-569))) (-15 -1303 ((-174 (-410 (-569))) $)) (-15 -1783 ($ $)) (-15 -1783 ($ (-569) $)))) (-569)) (T -866)) 
+((-2994 (*1 *2 *1 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-866 *4)) (-14 *4 *3) (-5 *3 (-569)))) (-1303 (*1 *2 *1) (-12 (-5 *2 (-174 (-410 (-569)))) (-5 *1 (-866 *3)) (-14 *3 (-569)))) (-1783 (*1 *1 *1) (-12 (-5 *1 (-866 *2)) (-14 *2 (-569)))) (-1783 (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-866 *3)) (-14 *3 *2)))) 
+(-13 (-994 (-865 |#1|)) (-10 -8 (-15 -2994 ((-410 (-569)) $ (-569))) (-15 -1303 ((-174 (-410 (-569))) $)) (-15 -1783 ($ $)) (-15 -1783 ($ (-569) $)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3761 ((|#2| $) NIL (|has| |#2| (-302)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL (|has| |#2| (-816)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#2| "failed") $) NIL) (((-3 (-1163) "failed") $) NIL (|has| |#2| (-1038 (-1163)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1038 (-569)))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1038 (-569))))) (-2428 ((|#2| $) NIL) (((-1163) $) NIL (|has| |#2| (-1038 (-1163)))) (((-410 (-569)) $) NIL (|has| |#2| (-1038 (-569)))) (((-569) $) NIL (|has| |#2| (-1038 (-569))))) (-1783 (($ $) 31) (($ (-569) $) 32)) (-2506 (($ $ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL) (((-680 |#2|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) 53)) (-4327 (($) NIL (|has| |#2| (-551)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-2403 (((-121) $) NIL (|has| |#2| (-816)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (|has| |#2| (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (|has| |#2| (-882 (-382))))) (-1407 (((-121) $) NIL)) (-4052 (($ $) NIL)) (-4116 ((|#2| $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| |#2| (-1137)))) (-1781 (((-121) $) NIL (|has| |#2| (-816)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3291 (($ $ $) NIL (|has| |#2| (-843)))) (-1538 (($ $ $) NIL (|has| |#2| (-843)))) (-1544 (($ (-1 |#2| |#2|) $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 49)) (-4043 (($) NIL (|has| |#2| (-1137)) CONST)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1346 (($ $) NIL (|has| |#2| (-302)))) (-2942 ((|#2| $) NIL (|has| |#2| (-551)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1468 (($ $ (-635 |#2|) (-635 |#2|)) NIL (|has| |#2| (-304 |#2|))) (($ $ |#2| |#2|) NIL (|has| |#2| (-304 |#2|))) (($ $ (-289 |#2|)) NIL (|has| |#2| (-304 |#2|))) (($ $ (-635 (-289 |#2|))) NIL (|has| |#2| (-304 |#2|))) (($ $ (-635 (-1163)) (-635 |#2|)) NIL (|has| |#2| (-524 (-1163) |#2|))) (($ $ (-1163) |#2|) NIL (|has| |#2| (-524 (-1163) |#2|)))) (-2622 (((-764) $) NIL)) (-1534 (($ $ |#2|) NIL (|has| |#2| (-282 |#2| |#2|)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3899 (($ $) NIL (|has| |#2| (-226))) (($ $ (-764)) NIL (|has| |#2| (-226))) (($ $ (-1163)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-4214 (($ $) NIL)) (-4121 ((|#2| $) NIL)) (-3817 (((-888 (-569)) $) NIL (|has| |#2| (-610 (-888 (-569))))) (((-888 (-382)) $) NIL (|has| |#2| (-610 (-888 (-382))))) (((-542) $) NIL (|has| |#2| (-610 (-542)))) (((-382) $) NIL (|has| |#2| (-1022))) (((-216) $) NIL (|has| |#2| (-1022)))) (-1303 (((-174 (-410 (-569))) $) 68)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-905))))) (-2185 (((-851) $) 85) (($ (-569)) 19) (($ $) NIL) (($ (-410 (-569))) 24) (($ |#2|) 18) (($ (-1163)) NIL (|has| |#2| (-1038 (-1163))))) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#2| (-905))) (|has| |#2| (-149))))) (-1991 (((-764)) NIL)) (-2612 ((|#2| $) NIL (|has| |#2| (-551)))) (-1961 (((-121) $ $) NIL)) (-2994 (((-410 (-569)) $ (-569)) 60)) (-1616 (($ $) NIL (|has| |#2| (-816)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 14 T CONST)) (-1556 (($) 16 T CONST)) (-3022 (($ $) NIL (|has| |#2| (-226))) (($ $ (-764)) NIL (|has| |#2| (-226))) (($ $ (-1163)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-1693 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1668 (((-121) $ $) 35)) (-1688 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1715 (($ $ $) 23) (($ |#2| |#2|) 54)) (-1711 (($ $) 39) (($ $ $) 41)) (-1707 (($ $ $) 37)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) 50)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 42) (($ $ $) 44) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ |#2| $) 55) (($ $ |#2|) NIL))) 
+(((-867 |#1| |#2|) (-13 (-994 |#2|) (-10 -8 (-15 -2994 ((-410 (-569)) $ (-569))) (-15 -1303 ((-174 (-410 (-569))) $)) (-15 -1783 ($ $)) (-15 -1783 ($ (-569) $)))) (-569) (-864 |#1|)) (T -867)) 
+((-2994 (*1 *2 *1 *3) (-12 (-14 *4 *3) (-5 *2 (-410 (-569))) (-5 *1 (-867 *4 *5)) (-5 *3 (-569)) (-4 *5 (-864 *4)))) (-1303 (*1 *2 *1) (-12 (-14 *3 (-569)) (-5 *2 (-174 (-410 (-569)))) (-5 *1 (-867 *3 *4)) (-4 *4 (-864 *3)))) (-1783 (*1 *1 *1) (-12 (-14 *2 (-569)) (-5 *1 (-867 *2 *3)) (-4 *3 (-864 *2)))) (-1783 (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-14 *3 *2) (-5 *1 (-867 *3 *4)) (-4 *4 (-864 *3))))) 
+(-13 (-994 |#2|) (-10 -8 (-15 -2994 ((-410 (-569)) $ (-569))) (-15 -1303 ((-174 (-410 (-569))) $)) (-15 -1783 ($ $)) (-15 -1783 ($ (-569) $)))) 
+((-1992 (((-243 |#2| (-858 |#1|)) (-243 |#2| |#1|) (-968 |#1|)) NIL)) (-1692 (((-243 |#2| |#1|)) 107)) (-1366 (((-635 (-968 |#1|))) 116)) (-2122 (((-635 (-968 |#1|)) (-635 (-968 |#1|))) 27)) (-3718 (((-243 |#2| |#1|) (-243 |#2| |#1|)) 35)) (-1818 (((-635 (-968 |#1|))) 60)) (-2516 (((-635 (-923 |#1|))) 58)) (-3039 (((-968 |#1|) (-635 (-858 |#1|))) 17)) (-3143 (((-968 |#1|) (-923 |#1|)) 21)) (-2411 (((-635 (-923 |#1|)) (-918)) 45 (|has| (-858 |#1|) (-371)))) (-2344 (((-635 (-923 |#1|)) (-968 |#1|)) 24)) (-1979 (((-775 (-858 |#1|)) (-243 |#2| |#1|) (-923 |#1|)) 119)) (-2747 (((-569) (-918)) 47 (|has| (-858 |#1|) (-371)))) (-3870 (((-569) (-918) (-918)) 49 (|has| (-858 |#1|) (-371)))) (-3049 (((-569) (-918)) 43 (|has| (-858 |#1|) (-371)))) (-3154 (((-2 (|:| |num| (-635 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-923 |#1|))) 62) (((-635 (-410 (-243 |#2| |#1|))) (-237 (-923 |#1|)) (-764)) NIL)) (-2346 (((-237 (-923 |#1|)) (-243 |#2| |#1|)) 135)) (-3408 (((-635 (-243 |#2| (-858 |#1|))) (-237 (-923 |#1|)) (-635 (-243 |#2| |#1|))) 125)) (-1317 (((-635 (-243 |#2| |#1|)) (-237 (-923 |#1|)) (-764)) 123)) (-3875 (((-243 |#2| |#1|) (-243 |#2| |#1|) (-569)) 13)) (-2329 (((-680 |#1|) (-237 (-923 |#1|)) (-635 (-923 |#1|))) 67) (((-680 |#1|) (-237 (-923 |#1|)) (-237 (-923 |#1|))) 69)) (-3342 (((-569)) 105)) (-3950 (((-764)) 103)) (-1834 (((-1252)) 144)) (-2148 (((-1252)) 140)) (-4362 (((-2 (|:| -2599 (-569)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-569))) (-237 (-923 |#1|)) (-569) (-569)) 32)) (-1361 (((-3 |#1| "failed") (-410 (-243 |#2| |#1|)) (-923 |#1|)) 132) (((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-923 |#1|)) 127) (((-3 |#1| "failed") (-243 |#2| |#1|) (-923 |#1|)) 96)) (-1468 ((|#1| (-410 (-243 |#2| |#1|)) (-923 |#1|)) 133) ((|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-923 |#1|)) 63) ((|#1| (-243 |#2| |#1|) (-923 |#1|)) 98)) (-3347 (((-635 (-260 (-538 |#1| |#2| |#3|)))) 112)) (-1844 (((-635 (-260 (-538 |#1| |#2| |#3|)))) 110)) (-2184 (((-569)) 56 (|has| (-858 |#1|) (-371)))) (-2209 (((-237 (-923 |#1|))) 114)) (-1561 (((-1242 (-569) -3417) (-918)) 41 (|has| (-858 |#1|) (-371))) (((-1242 (-569) -3417)) 38 (|has| (-858 |#1|) (-371)))) (-4256 (((-1159 (-569)) (-918)) 54 (|has| (-858 |#1|) (-371))) (((-1159 (-569))) 52 (|has| (-858 |#1|) (-371))))) 
+(((-868 |#1| |#2| |#3|) (-10 -7 (-15 -3875 ((-243 |#2| |#1|) (-243 |#2| |#1|) (-569))) (-15 -2148 ((-1252))) (-15 -1834 ((-1252))) (-15 -3718 ((-243 |#2| |#1|) (-243 |#2| |#1|))) (-15 -1992 ((-243 |#2| (-858 |#1|)) (-243 |#2| |#1|) (-968 |#1|))) (-15 -2329 ((-680 |#1|) (-237 (-923 |#1|)) (-237 (-923 |#1|)))) (-15 -2329 ((-680 |#1|) (-237 (-923 |#1|)) (-635 (-923 |#1|)))) (-15 -3143 ((-968 |#1|) (-923 |#1|))) (-15 -2344 ((-635 (-923 |#1|)) (-968 |#1|))) (-15 -3039 ((-968 |#1|) (-635 (-858 |#1|)))) (-15 -2122 ((-635 (-968 |#1|)) (-635 (-968 |#1|)))) (-15 -2516 ((-635 (-923 |#1|)))) (-15 -1692 ((-243 |#2| |#1|))) (-15 -3950 ((-764))) (-15 -3342 ((-569))) (-15 -3347 ((-635 (-260 (-538 |#1| |#2| |#3|))))) (-15 -1844 ((-635 (-260 (-538 |#1| |#2| |#3|))))) (-15 -1818 ((-635 (-968 |#1|)))) (-15 -1366 ((-635 (-968 |#1|)))) (-15 -1979 ((-775 (-858 |#1|)) (-243 |#2| |#1|) (-923 |#1|))) (-15 -3154 ((-635 (-410 (-243 |#2| |#1|))) (-237 (-923 |#1|)) (-764))) (-15 -3154 ((-2 (|:| |num| (-635 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-923 |#1|)))) (-15 -4362 ((-2 (|:| -2599 (-569)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-569))) (-237 (-923 |#1|)) (-569) (-569))) (-15 -3408 ((-635 (-243 |#2| (-858 |#1|))) (-237 (-923 |#1|)) (-635 (-243 |#2| |#1|)))) (-15 -1317 ((-635 (-243 |#2| |#1|)) (-237 (-923 |#1|)) (-764))) (-15 -1468 (|#1| (-243 |#2| |#1|) (-923 |#1|))) (-15 -1468 (|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-923 |#1|))) (-15 -1468 (|#1| (-410 (-243 |#2| |#1|)) (-923 |#1|))) (-15 -1361 ((-3 |#1| "failed") (-243 |#2| |#1|) (-923 |#1|))) (-15 -1361 ((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-923 |#1|))) (-15 -1361 ((-3 |#1| "failed") (-410 (-243 |#2| |#1|)) (-923 |#1|))) (-15 -2346 ((-237 (-923 |#1|)) (-243 |#2| |#1|))) (-15 -2209 ((-237 (-923 |#1|)))) (IF (|has| (-858 |#1|) (-371)) (PROGN (-15 -4256 ((-1159 (-569)))) (-15 -4256 ((-1159 (-569)) (-918))) (-15 -2184 ((-569))) (-15 -2411 ((-635 (-923 |#1|)) (-918))) (-15 -3049 ((-569) (-918))) (-15 -2747 ((-569) (-918))) (-15 -3870 ((-569) (-918) (-918))) (-15 -1561 ((-1242 (-569) -3417))) (-15 -1561 ((-1242 (-569) -3417) (-918)))) |noBranch|)) (-351) (-635 (-1163)) (-117)) (T -868)) 
+((-1561 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1242 (-569) -3417)) (-5 *1 (-868 *4 *5 *6)) (-4 (-858 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-1561 (*1 *2) (-12 (-5 *2 (-1242 (-569) -3417)) (-5 *1 (-868 *3 *4 *5)) (-4 (-858 *3) (-371)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-3870 (*1 *2 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-569)) (-5 *1 (-868 *4 *5 *6)) (-4 (-858 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-2747 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-569)) (-5 *1 (-868 *4 *5 *6)) (-4 (-858 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-3049 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-569)) (-5 *1 (-868 *4 *5 *6)) (-4 (-858 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-2411 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-635 (-923 *4))) (-5 *1 (-868 *4 *5 *6)) (-4 (-858 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-2184 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-868 *3 *4 *5)) (-4 (-858 *3) (-371)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-4256 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 (-569))) (-5 *1 (-868 *4 *5 *6)) (-4 (-858 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-4256 (*1 *2) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-868 *3 *4 *5)) (-4 (-858 *3) (-371)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2209 (*1 *2) (-12 (-5 *2 (-237 (-923 *3))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2346 (*1 *2 *3) (-12 (-5 *3 (-243 *5 *4)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-5 *2 (-237 (-923 *4))) (-5 *1 (-868 *4 *5 *6)) (-4 *6 (-117)))) (-1361 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-351)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) (-1361 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-351)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) (-1361 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-351)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) (-1468 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-351)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) (-1468 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-351)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) (-1468 (*1 *2 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-351)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) (-1317 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-764)) (-4 *5 (-351)) (-5 *2 (-635 (-243 *6 *5))) (-5 *1 (-868 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-4 *7 (-117)))) (-3408 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-635 (-243 *6 *5))) (-4 *5 (-351)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-243 *6 (-858 *5)))) (-5 *1 (-868 *5 *6 *7)) (-4 *7 (-117)))) (-4362 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-237 (-923 *5))) (-4 *5 (-351)) (-5 *2 (-2 (|:| -2599 (-569)) (|:| |num| (-243 *6 *5)) (|:| |den| (-243 *6 *5)) (|:| |upTo| (-569)))) (-5 *1 (-868 *5 *6 *7)) (-5 *4 (-569)) (-14 *6 (-635 (-1163))) (-4 *7 (-117)))) (-3154 (*1 *2 *3) (-12 (-5 *3 (-237 (-923 *4))) (-4 *4 (-351)) (-5 *2 (-2 (|:| |num| (-635 (-243 *5 *4))) (|:| |den| (-243 *5 *4)))) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-3154 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-764)) (-4 *5 (-351)) (-5 *2 (-635 (-410 (-243 *6 *5)))) (-5 *1 (-868 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-4 *7 (-117)))) (-1979 (*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-923 *5)) (-4 *5 (-351)) (-14 *6 (-635 (-1163))) (-5 *2 (-775 (-858 *5))) (-5 *1 (-868 *5 *6 *7)) (-4 *7 (-117)))) (-1366 (*1 *2) (-12 (-5 *2 (-635 (-968 *3))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-1818 (*1 *2) (-12 (-5 *2 (-635 (-968 *3))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-1844 (*1 *2) (-12 (-5 *2 (-635 (-260 (-538 *3 *4 *5)))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-3347 (*1 *2) (-12 (-5 *2 (-635 (-260 (-538 *3 *4 *5)))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-3342 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-3950 (*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-1692 (*1 *2) (-12 (-5 *2 (-243 *4 *3)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2516 (*1 *2) (-12 (-5 *2 (-635 (-923 *3))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2122 (*1 *2 *2) (-12 (-5 *2 (-635 (-968 *3))) (-4 *3 (-351)) (-5 *1 (-868 *3 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-3039 (*1 *2 *3) (-12 (-5 *3 (-635 (-858 *4))) (-4 *4 (-351)) (-5 *2 (-968 *4)) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-2344 (*1 *2 *3) (-12 (-5 *3 (-968 *4)) (-4 *4 (-351)) (-5 *2 (-635 (-923 *4))) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-3143 (*1 *2 *3) (-12 (-5 *3 (-923 *4)) (-4 *4 (-351)) (-5 *2 (-968 *4)) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-2329 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-635 (-923 *5))) (-4 *5 (-351)) (-5 *2 (-680 *5)) (-5 *1 (-868 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-4 *7 (-117)))) (-2329 (*1 *2 *3 *3) (-12 (-5 *3 (-237 (-923 *4))) (-4 *4 (-351)) (-5 *2 (-680 *4)) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-1992 (*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-968 *5)) (-4 *5 (-351)) (-14 *6 (-635 (-1163))) (-5 *2 (-243 *6 (-858 *5))) (-5 *1 (-868 *5 *6 *7)) (-4 *7 (-117)))) (-3718 (*1 *2 *2) (-12 (-5 *2 (-243 *4 *3)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-5 *1 (-868 *3 *4 *5)) (-4 *5 (-117)))) (-1834 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2148 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-3875 (*1 *2 *2 *3) (-12 (-5 *2 (-243 *5 *4)) (-5 *3 (-569)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-5 *1 (-868 *4 *5 *6)) (-4 *6 (-117))))) 
+(-10 -7 (-15 -3875 ((-243 |#2| |#1|) (-243 |#2| |#1|) (-569))) (-15 -2148 ((-1252))) (-15 -1834 ((-1252))) (-15 -3718 ((-243 |#2| |#1|) (-243 |#2| |#1|))) (-15 -1992 ((-243 |#2| (-858 |#1|)) (-243 |#2| |#1|) (-968 |#1|))) (-15 -2329 ((-680 |#1|) (-237 (-923 |#1|)) (-237 (-923 |#1|)))) (-15 -2329 ((-680 |#1|) (-237 (-923 |#1|)) (-635 (-923 |#1|)))) (-15 -3143 ((-968 |#1|) (-923 |#1|))) (-15 -2344 ((-635 (-923 |#1|)) (-968 |#1|))) (-15 -3039 ((-968 |#1|) (-635 (-858 |#1|)))) (-15 -2122 ((-635 (-968 |#1|)) (-635 (-968 |#1|)))) (-15 -2516 ((-635 (-923 |#1|)))) (-15 -1692 ((-243 |#2| |#1|))) (-15 -3950 ((-764))) (-15 -3342 ((-569))) (-15 -3347 ((-635 (-260 (-538 |#1| |#2| |#3|))))) (-15 -1844 ((-635 (-260 (-538 |#1| |#2| |#3|))))) (-15 -1818 ((-635 (-968 |#1|)))) (-15 -1366 ((-635 (-968 |#1|)))) (-15 -1979 ((-775 (-858 |#1|)) (-243 |#2| |#1|) (-923 |#1|))) (-15 -3154 ((-635 (-410 (-243 |#2| |#1|))) (-237 (-923 |#1|)) (-764))) (-15 -3154 ((-2 (|:| |num| (-635 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-923 |#1|)))) (-15 -4362 ((-2 (|:| -2599 (-569)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-569))) (-237 (-923 |#1|)) (-569) (-569))) (-15 -3408 ((-635 (-243 |#2| (-858 |#1|))) (-237 (-923 |#1|)) (-635 (-243 |#2| |#1|)))) (-15 -1317 ((-635 (-243 |#2| |#1|)) (-237 (-923 |#1|)) (-764))) (-15 -1468 (|#1| (-243 |#2| |#1|) (-923 |#1|))) (-15 -1468 (|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-923 |#1|))) (-15 -1468 (|#1| (-410 (-243 |#2| |#1|)) (-923 |#1|))) (-15 -1361 ((-3 |#1| "failed") (-243 |#2| |#1|) (-923 |#1|))) (-15 -1361 ((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-923 |#1|))) (-15 -1361 ((-3 |#1| "failed") (-410 (-243 |#2| |#1|)) (-923 |#1|))) (-15 -2346 ((-237 (-923 |#1|)) (-243 |#2| |#1|))) (-15 -2209 ((-237 (-923 |#1|)))) (IF (|has| (-858 |#1|) (-371)) (PROGN (-15 -4256 ((-1159 (-569)))) (-15 -4256 ((-1159 (-569)) (-918))) (-15 -2184 ((-569))) (-15 -2411 ((-635 (-923 |#1|)) (-918))) (-15 -3049 ((-569) (-918))) (-15 -2747 ((-569) (-918))) (-15 -3870 ((-569) (-918) (-918))) (-15 -1561 ((-1242 (-569) -3417))) (-15 -1561 ((-1242 (-569) -3417) (-918)))) |noBranch|)) 
+((-1692 (((-243 |#2| |#1|)) 83)) (-1366 (((-635 (-967 |#1|))) 92)) (-2122 (((-635 (-967 |#1|)) (-635 (-967 |#1|))) 24)) (-3718 (((-243 |#2| |#1|) (-243 |#2| |#1|)) 75)) (-1818 (((-635 (-967 |#1|))) 65)) (-2516 (((-635 (-922 |#1|))) 63)) (-3039 (((-967 |#1|) (-635 |#1|)) 27)) (-3143 (((-967 |#1|) (-922 |#1|)) 18)) (-2411 (((-635 (-922 |#1|)) (-918)) 50 (|has| |#1| (-371)))) (-2344 (((-635 (-922 |#1|)) (-967 |#1|)) 21)) (-1979 (((-775 |#1|) (-243 |#2| |#1|) (-922 |#1|)) 95)) (-2747 (((-569) (-918)) 52 (|has| |#1| (-371)))) (-3870 (((-569) (-918) (-918)) 54 (|has| |#1| (-371)))) (-3049 (((-569) (-918)) 48 (|has| |#1| (-371)))) (-3154 (((-2 (|:| |num| (-635 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-922 |#1|))) 33) (((-635 (-410 (-243 |#2| |#1|))) (-237 (-922 |#1|)) (-764)) NIL)) (-2346 (((-237 (-922 |#1|)) (-243 |#2| |#1|)) 107)) (-3408 (((-635 (-243 |#2| |#1|)) (-237 (-922 |#1|)) (-635 (-243 |#2| |#1|))) 31)) (-1317 (((-635 (-243 |#2| |#1|)) (-237 (-922 |#1|)) (-764)) 97)) (-3875 (((-243 |#2| |#1|) (-243 |#2| |#1|) (-569)) 13)) (-2329 (((-680 |#1|) (-237 (-922 |#1|)) (-635 (-922 |#1|))) 38) (((-680 |#1|) (-237 (-922 |#1|)) (-237 (-922 |#1|))) 40)) (-3342 (((-569)) 81)) (-3950 (((-764)) 79)) (-1834 (((-1252)) 116)) (-2148 (((-1252)) 112)) (-4362 (((-2 (|:| -2599 (-569)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-569))) (-237 (-922 |#1|)) (-569) (-569)) NIL)) (-1361 (((-3 |#1| "failed") (-410 (-243 |#2| |#1|)) (-922 |#1|)) 105) (((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-922 |#1|)) 104) (((-3 |#1| "failed") (-243 |#2| |#1|) (-922 |#1|)) 73)) (-1468 ((|#1| (-410 (-243 |#2| |#1|)) (-922 |#1|)) 102) ((|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-922 |#1|)) 34) ((|#1| (-243 |#2| |#1|) (-922 |#1|)) 70)) (-3347 (((-635 (-260 (-514 |#1| |#2| |#3|)))) 88)) (-1844 (((-635 (-260 (-514 |#1| |#2| |#3|)))) 86)) (-2184 (((-569)) 61 (|has| |#1| (-371)))) (-2209 (((-237 (-922 |#1|))) 90)) (-1561 (((-1242 (-569) -3417) (-918)) 46 (|has| |#1| (-371))) (((-1242 (-569) -3417)) 43 (|has| |#1| (-371)))) (-4256 (((-1159 (-569)) (-918)) 59 (|has| |#1| (-371))) (((-1159 (-569))) 57 (|has| |#1| (-371))))) 
+(((-869 |#1| |#2| |#3|) (-10 -7 (-15 -3875 ((-243 |#2| |#1|) (-243 |#2| |#1|) (-569))) (-15 -3408 ((-635 (-243 |#2| |#1|)) (-237 (-922 |#1|)) (-635 (-243 |#2| |#1|)))) (-15 -2148 ((-1252))) (-15 -1834 ((-1252))) (-15 -3718 ((-243 |#2| |#1|) (-243 |#2| |#1|))) (-15 -3039 ((-967 |#1|) (-635 |#1|))) (-15 -3143 ((-967 |#1|) (-922 |#1|))) (-15 -2344 ((-635 (-922 |#1|)) (-967 |#1|))) (-15 -2122 ((-635 (-967 |#1|)) (-635 (-967 |#1|)))) (-15 -2329 ((-680 |#1|) (-237 (-922 |#1|)) (-237 (-922 |#1|)))) (-15 -2329 ((-680 |#1|) (-237 (-922 |#1|)) (-635 (-922 |#1|)))) (-15 -2516 ((-635 (-922 |#1|)))) (-15 -1692 ((-243 |#2| |#1|))) (-15 -3950 ((-764))) (-15 -3342 ((-569))) (-15 -3347 ((-635 (-260 (-514 |#1| |#2| |#3|))))) (-15 -1844 ((-635 (-260 (-514 |#1| |#2| |#3|))))) (-15 -1818 ((-635 (-967 |#1|)))) (-15 -1366 ((-635 (-967 |#1|)))) (-15 -1979 ((-775 |#1|) (-243 |#2| |#1|) (-922 |#1|))) (-15 -3154 ((-635 (-410 (-243 |#2| |#1|))) (-237 (-922 |#1|)) (-764))) (-15 -3154 ((-2 (|:| |num| (-635 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-922 |#1|)))) (-15 -4362 ((-2 (|:| -2599 (-569)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-569))) (-237 (-922 |#1|)) (-569) (-569))) (-15 -1317 ((-635 (-243 |#2| |#1|)) (-237 (-922 |#1|)) (-764))) (-15 -1468 (|#1| (-243 |#2| |#1|) (-922 |#1|))) (-15 -1468 (|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-922 |#1|))) (-15 -1468 (|#1| (-410 (-243 |#2| |#1|)) (-922 |#1|))) (-15 -1361 ((-3 |#1| "failed") (-243 |#2| |#1|) (-922 |#1|))) (-15 -1361 ((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-922 |#1|))) (-15 -1361 ((-3 |#1| "failed") (-410 (-243 |#2| |#1|)) (-922 |#1|))) (-15 -2346 ((-237 (-922 |#1|)) (-243 |#2| |#1|))) (-15 -2209 ((-237 (-922 |#1|)))) (IF (|has| |#1| (-371)) (PROGN (-15 -4256 ((-1159 (-569)))) (-15 -4256 ((-1159 (-569)) (-918))) (-15 -2184 ((-569))) (-15 -2411 ((-635 (-922 |#1|)) (-918))) (-15 -3049 ((-569) (-918))) (-15 -2747 ((-569) (-918))) (-15 -3870 ((-569) (-918) (-918))) (-15 -1561 ((-1242 (-569) -3417))) (-15 -1561 ((-1242 (-569) -3417) (-918)))) |noBranch|)) (-366) (-635 (-1163)) (-117)) (T -869)) 
+((-1561 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1242 (-569) -3417)) (-5 *1 (-869 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-1561 (*1 *2) (-12 (-5 *2 (-1242 (-569) -3417)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-3870 (*1 *2 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-569)) (-5 *1 (-869 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-2747 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-569)) (-5 *1 (-869 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-3049 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-569)) (-5 *1 (-869 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-2411 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-635 (-922 *4))) (-5 *1 (-869 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-2184 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-4256 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 (-569))) (-5 *1 (-869 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-4256 (*1 *2) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2209 (*1 *2) (-12 (-5 *2 (-237 (-922 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2346 (*1 *2 *3) (-12 (-5 *3 (-243 *5 *4)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-5 *2 (-237 (-922 *4))) (-5 *1 (-869 *4 *5 *6)) (-4 *6 (-117)))) (-1361 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-922 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-366)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) (-1361 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-922 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-366)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) (-1361 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-922 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-366)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) (-1468 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-922 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-366)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) (-1468 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-922 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-366)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) (-1468 (*1 *2 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-922 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-366)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) (-1317 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-922 *5))) (-5 *4 (-764)) (-4 *5 (-366)) (-5 *2 (-635 (-243 *6 *5))) (-5 *1 (-869 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-4 *7 (-117)))) (-4362 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-237 (-922 *5))) (-4 *5 (-366)) (-5 *2 (-2 (|:| -2599 (-569)) (|:| |num| (-243 *6 *5)) (|:| |den| (-243 *6 *5)) (|:| |upTo| (-569)))) (-5 *1 (-869 *5 *6 *7)) (-5 *4 (-569)) (-14 *6 (-635 (-1163))) (-4 *7 (-117)))) (-3154 (*1 *2 *3) (-12 (-5 *3 (-237 (-922 *4))) (-4 *4 (-366)) (-5 *2 (-2 (|:| |num| (-635 (-243 *5 *4))) (|:| |den| (-243 *5 *4)))) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-3154 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-922 *5))) (-5 *4 (-764)) (-4 *5 (-366)) (-5 *2 (-635 (-410 (-243 *6 *5)))) (-5 *1 (-869 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-4 *7 (-117)))) (-1979 (*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-922 *5)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-5 *2 (-775 *5)) (-5 *1 (-869 *5 *6 *7)) (-4 *7 (-117)))) (-1366 (*1 *2) (-12 (-5 *2 (-635 (-967 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-1818 (*1 *2) (-12 (-5 *2 (-635 (-967 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-1844 (*1 *2) (-12 (-5 *2 (-635 (-260 (-514 *3 *4 *5)))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-3347 (*1 *2) (-12 (-5 *2 (-635 (-260 (-514 *3 *4 *5)))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-3342 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-3950 (*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-1692 (*1 *2) (-12 (-5 *2 (-243 *4 *3)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2516 (*1 *2) (-12 (-5 *2 (-635 (-922 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2329 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-922 *5))) (-5 *4 (-635 (-922 *5))) (-4 *5 (-366)) (-5 *2 (-680 *5)) (-5 *1 (-869 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-4 *7 (-117)))) (-2329 (*1 *2 *3 *3) (-12 (-5 *3 (-237 (-922 *4))) (-4 *4 (-366)) (-5 *2 (-680 *4)) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-2122 (*1 *2 *2) (-12 (-5 *2 (-635 (-967 *3))) (-4 *3 (-366)) (-5 *1 (-869 *3 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2344 (*1 *2 *3) (-12 (-5 *3 (-967 *4)) (-4 *4 (-366)) (-5 *2 (-635 (-922 *4))) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-3143 (*1 *2 *3) (-12 (-5 *3 (-922 *4)) (-4 *4 (-366)) (-5 *2 (-967 *4)) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-3039 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-5 *2 (-967 *4)) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-3718 (*1 *2 *2) (-12 (-5 *2 (-243 *4 *3)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-5 *1 (-869 *3 *4 *5)) (-4 *5 (-117)))) (-1834 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2148 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-3408 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-243 *5 *4))) (-5 *3 (-237 (-922 *4))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-5 *1 (-869 *4 *5 *6)) (-4 *6 (-117)))) (-3875 (*1 *2 *2 *3) (-12 (-5 *2 (-243 *5 *4)) (-5 *3 (-569)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-5 *1 (-869 *4 *5 *6)) (-4 *6 (-117))))) 
+(-10 -7 (-15 -3875 ((-243 |#2| |#1|) (-243 |#2| |#1|) (-569))) (-15 -3408 ((-635 (-243 |#2| |#1|)) (-237 (-922 |#1|)) (-635 (-243 |#2| |#1|)))) (-15 -2148 ((-1252))) (-15 -1834 ((-1252))) (-15 -3718 ((-243 |#2| |#1|) (-243 |#2| |#1|))) (-15 -3039 ((-967 |#1|) (-635 |#1|))) (-15 -3143 ((-967 |#1|) (-922 |#1|))) (-15 -2344 ((-635 (-922 |#1|)) (-967 |#1|))) (-15 -2122 ((-635 (-967 |#1|)) (-635 (-967 |#1|)))) (-15 -2329 ((-680 |#1|) (-237 (-922 |#1|)) (-237 (-922 |#1|)))) (-15 -2329 ((-680 |#1|) (-237 (-922 |#1|)) (-635 (-922 |#1|)))) (-15 -2516 ((-635 (-922 |#1|)))) (-15 -1692 ((-243 |#2| |#1|))) (-15 -3950 ((-764))) (-15 -3342 ((-569))) (-15 -3347 ((-635 (-260 (-514 |#1| |#2| |#3|))))) (-15 -1844 ((-635 (-260 (-514 |#1| |#2| |#3|))))) (-15 -1818 ((-635 (-967 |#1|)))) (-15 -1366 ((-635 (-967 |#1|)))) (-15 -1979 ((-775 |#1|) (-243 |#2| |#1|) (-922 |#1|))) (-15 -3154 ((-635 (-410 (-243 |#2| |#1|))) (-237 (-922 |#1|)) (-764))) (-15 -3154 ((-2 (|:| |num| (-635 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-922 |#1|)))) (-15 -4362 ((-2 (|:| -2599 (-569)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-569))) (-237 (-922 |#1|)) (-569) (-569))) (-15 -1317 ((-635 (-243 |#2| |#1|)) (-237 (-922 |#1|)) (-764))) (-15 -1468 (|#1| (-243 |#2| |#1|) (-922 |#1|))) (-15 -1468 (|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-922 |#1|))) (-15 -1468 (|#1| (-410 (-243 |#2| |#1|)) (-922 |#1|))) (-15 -1361 ((-3 |#1| "failed") (-243 |#2| |#1|) (-922 |#1|))) (-15 -1361 ((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-922 |#1|))) (-15 -1361 ((-3 |#1| "failed") (-410 (-243 |#2| |#1|)) (-922 |#1|))) (-15 -2346 ((-237 (-922 |#1|)) (-243 |#2| |#1|))) (-15 -2209 ((-237 (-922 |#1|)))) (IF (|has| |#1| (-371)) (PROGN (-15 -4256 ((-1159 (-569)))) (-15 -4256 ((-1159 (-569)) (-918))) (-15 -2184 ((-569))) (-15 -2411 ((-635 (-922 |#1|)) (-918))) (-15 -3049 ((-569) (-918))) (-15 -2747 ((-569) (-918))) (-15 -3870 ((-569) (-918) (-918))) (-15 -1561 ((-1242 (-569) -3417))) (-15 -1561 ((-1242 (-569) -3417) (-918)))) |noBranch|)) 
+((-2568 (((-121) $ $) NIL)) (-3473 (((-569) $) 15)) (-4197 (($ (-159)) 11)) (-3578 (($ (-159)) 12)) (-2776 (((-1145) $) NIL)) (-1786 (((-159) $) 13)) (-3360 (((-1109) $) NIL)) (-4391 (($ (-159)) 9)) (-3779 (($ (-159)) 8)) (-2185 (((-851) $) 23) (($ (-159)) 16)) (-3013 (($ (-159)) 10)) (-1668 (((-121) $ $) NIL))) 
+(((-870) (-13 (-1091) (-10 -8 (-15 -3779 ($ (-159))) (-15 -4391 ($ (-159))) (-15 -3013 ($ (-159))) (-15 -4197 ($ (-159))) (-15 -3578 ($ (-159))) (-15 -1786 ((-159) $)) (-15 -3473 ((-569) $)) (-15 -2185 ($ (-159)))))) (T -870)) 
+((-3779 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-870)))) (-4391 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-870)))) (-3013 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-870)))) (-4197 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-870)))) (-3578 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-870)))) (-1786 (*1 *2 *1) (-12 (-5 *2 (-159)) (-5 *1 (-870)))) (-3473 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-870)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-870))))) 
+(-13 (-1091) (-10 -8 (-15 -3779 ($ (-159))) (-15 -4391 ($ (-159))) (-15 -3013 ($ (-159))) (-15 -4197 ($ (-159))) (-15 -3578 ($ (-159))) (-15 -1786 ((-159) $)) (-15 -3473 ((-569) $)) (-15 -2185 ($ (-159))))) 
+((-2185 (((-311 (-569)) (-410 (-954 (-53)))) 21) (((-311 (-569)) (-954 (-53))) 16))) 
+(((-871) (-10 -7 (-15 -2185 ((-311 (-569)) (-954 (-53)))) (-15 -2185 ((-311 (-569)) (-410 (-954 (-53))))))) (T -871)) 
+((-2185 (*1 *2 *3) (-12 (-5 *3 (-410 (-954 (-53)))) (-5 *2 (-311 (-569))) (-5 *1 (-871)))) (-2185 (*1 *2 *3) (-12 (-5 *3 (-954 (-53))) (-5 *2 (-311 (-569))) (-5 *1 (-871))))) 
+(-10 -7 (-15 -2185 ((-311 (-569)) (-954 (-53)))) (-15 -2185 ((-311 (-569)) (-410 (-954 (-53)))))) 
+((-1979 ((|#6| |#3| |#7| (-569)) 36) ((|#6| |#3| |#3| |#7|) 33) ((|#6| |#3| |#7|) 31) ((|#6| |#3| (-635 |#6|)) 28))) 
+(((-872 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -1979 (|#6| |#3| (-635 |#6|))) (-15 -1979 (|#6| |#3| |#7|)) (-15 -1979 (|#6| |#3| |#3| |#7|)) (-15 -1979 (|#6| |#3| |#7| (-569)))) (-366) (-635 (-1163)) (-951 |#1| |#4| (-853 |#2|)) (-231 (-4168 |#2|) (-764)) (-972 |#1|) (-642 |#1|) (-921 |#1| |#6|)) (T -872)) 
+((-1979 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-366)) (-14 *7 (-635 (-1163))) (-4 *8 (-231 (-4168 *7) (-764))) (-4 *2 (-642 *6)) (-5 *1 (-872 *6 *7 *3 *8 *9 *2 *4)) (-4 *3 (-951 *6 *8 (-853 *7))) (-4 *9 (-972 *6)) (-4 *4 (-921 *6 *2)))) (-1979 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *2 (-642 *5)) (-5 *1 (-872 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *8 (-972 *5)) (-4 *4 (-921 *5 *2)))) (-1979 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *2 (-642 *5)) (-5 *1 (-872 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *8 (-972 *5)) (-4 *4 (-921 *5 *2)))) (-1979 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *2)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *2 (-642 *5)) (-5 *1 (-872 *5 *6 *3 *7 *8 *2 *9)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *8 (-972 *5)) (-4 *9 (-921 *5 *2))))) 
+(-10 -7 (-15 -1979 (|#6| |#3| (-635 |#6|))) (-15 -1979 (|#6| |#3| |#7|)) (-15 -1979 (|#6| |#3| |#3| |#7|)) (-15 -1979 (|#6| |#3| |#7| (-569)))) 
+((-1544 (((-874 |#2|) (-1 |#2| |#1|) (-874 |#1|)) 14))) 
+(((-873 |#1| |#2|) (-10 -7 (-15 -1544 ((-874 |#2|) (-1 |#2| |#1|) (-874 |#1|)))) (-1197) (-1197)) (T -873)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-874 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-874 *6)) (-5 *1 (-873 *5 *6))))) 
+(-10 -7 (-15 -1544 ((-874 |#2|) (-1 |#2| |#1|) (-874 |#1|)))) 
+((-1473 (($ |#1| |#1|) 8)) (-4193 ((|#1| $ (-764)) 10))) 
+(((-874 |#1|) (-10 -8 (-15 -1473 ($ |#1| |#1|)) (-15 -4193 (|#1| $ (-764)))) (-1197)) (T -874)) 
+((-4193 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *1 (-874 *2)) (-4 *2 (-1197)))) (-1473 (*1 *1 *2 *2) (-12 (-5 *1 (-874 *2)) (-4 *2 (-1197))))) 
+(-10 -8 (-15 -1473 ($ |#1| |#1|)) (-15 -4193 (|#1| $ (-764)))) 
+((-1544 (((-876 |#2|) (-1 |#2| |#1|) (-876 |#1|)) 14))) 
+(((-875 |#1| |#2|) (-10 -7 (-15 -1544 ((-876 |#2|) (-1 |#2| |#1|) (-876 |#1|)))) (-1197) (-1197)) (T -875)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-876 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-876 *6)) (-5 *1 (-875 *5 *6))))) 
+(-10 -7 (-15 -1544 ((-876 |#2|) (-1 |#2| |#1|) (-876 |#1|)))) 
+((-1473 (($ |#1| |#1| |#1|) 8)) (-4193 ((|#1| $ (-764)) 10))) 
+(((-876 |#1|) (-10 -8 (-15 -1473 ($ |#1| |#1| |#1|)) (-15 -4193 (|#1| $ (-764)))) (-1197)) (T -876)) 
+((-4193 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *1 (-876 *2)) (-4 *2 (-1197)))) (-1473 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-876 *2)) (-4 *2 (-1197))))) 
+(-10 -8 (-15 -1473 ($ |#1| |#1| |#1|)) (-15 -4193 (|#1| $ (-764)))) 
+((-1544 (((-878 |#2|) (-1 |#2| |#1|) (-878 |#1|)) 14))) 
+(((-877 |#1| |#2|) (-10 -7 (-15 -1544 ((-878 |#2|) (-1 |#2| |#1|) (-878 |#1|)))) (-1197) (-1197)) (T -877)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-878 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-878 *6)) (-5 *1 (-877 *5 *6))))) 
+(-10 -7 (-15 -1544 ((-878 |#2|) (-1 |#2| |#1|) (-878 |#1|)))) 
+((-1988 (($ |#1| |#1| |#1|) 8)) (-4193 ((|#1| $ (-764)) 10))) 
+(((-878 |#1|) (-10 -8 (-15 -1988 ($ |#1| |#1| |#1|)) (-15 -4193 (|#1| $ (-764)))) (-1197)) (T -878)) 
+((-4193 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *1 (-878 *2)) (-4 *2 (-1197)))) (-1988 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-878 *2)) (-4 *2 (-1197))))) 
+(-10 -8 (-15 -1988 ($ |#1| |#1| |#1|)) (-15 -4193 (|#1| $ (-764)))) 
+((-1710 (((-1143 (-635 (-569))) (-635 (-569)) (-1143 (-635 (-569)))) 30)) (-1894 (((-1143 (-635 (-569))) (-635 (-569)) (-635 (-569))) 26)) (-3923 (((-1143 (-635 (-569))) (-635 (-569))) 39) (((-1143 (-635 (-569))) (-635 (-569)) (-635 (-569))) 38)) (-2229 (((-1143 (-635 (-569))) (-569)) 40)) (-3128 (((-1143 (-635 (-569))) (-569) (-569)) 22) (((-1143 (-635 (-569))) (-569)) 16) (((-1143 (-635 (-569))) (-569) (-569) (-569)) 12)) (-3165 (((-1143 (-635 (-569))) (-1143 (-635 (-569)))) 24)) (-1414 (((-635 (-569)) (-635 (-569))) 23))) 
+(((-879) (-10 -7 (-15 -3128 ((-1143 (-635 (-569))) (-569) (-569) (-569))) (-15 -3128 ((-1143 (-635 (-569))) (-569))) (-15 -3128 ((-1143 (-635 (-569))) (-569) (-569))) (-15 -1414 ((-635 (-569)) (-635 (-569)))) (-15 -3165 ((-1143 (-635 (-569))) (-1143 (-635 (-569))))) (-15 -1894 ((-1143 (-635 (-569))) (-635 (-569)) (-635 (-569)))) (-15 -1710 ((-1143 (-635 (-569))) (-635 (-569)) (-1143 (-635 (-569))))) (-15 -3923 ((-1143 (-635 (-569))) (-635 (-569)) (-635 (-569)))) (-15 -3923 ((-1143 (-635 (-569))) (-635 (-569)))) (-15 -2229 ((-1143 (-635 (-569))) (-569))))) (T -879)) 
+((-2229 (*1 *2 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-569)))) (-3923 (*1 *2 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-635 (-569))))) (-3923 (*1 *2 *3 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-635 (-569))))) (-1710 (*1 *2 *3 *2) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *3 (-635 (-569))) (-5 *1 (-879)))) (-1894 (*1 *2 *3 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-635 (-569))))) (-3165 (*1 *2 *2) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)))) (-1414 (*1 *2 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-879)))) (-3128 (*1 *2 *3 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-569)))) (-3128 (*1 *2 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-569)))) (-3128 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-569))))) 
+(-10 -7 (-15 -3128 ((-1143 (-635 (-569))) (-569) (-569) (-569))) (-15 -3128 ((-1143 (-635 (-569))) (-569))) (-15 -3128 ((-1143 (-635 (-569))) (-569) (-569))) (-15 -1414 ((-635 (-569)) (-635 (-569)))) (-15 -3165 ((-1143 (-635 (-569))) (-1143 (-635 (-569))))) (-15 -1894 ((-1143 (-635 (-569))) (-635 (-569)) (-635 (-569)))) (-15 -1710 ((-1143 (-635 (-569))) (-635 (-569)) (-1143 (-635 (-569))))) (-15 -3923 ((-1143 (-635 (-569))) (-635 (-569)) (-635 (-569)))) (-15 -3923 ((-1143 (-635 (-569))) (-635 (-569)))) (-15 -2229 ((-1143 (-635 (-569))) (-569)))) 
+((-3817 (((-888 (-382)) $) 9 (|has| |#1| (-610 (-888 (-382))))) (((-888 (-569)) $) 8 (|has| |#1| (-610 (-888 (-569))))))) 
+(((-880 |#1|) (-1278) (-1197)) (T -880)) 
+NIL 
+(-13 (-10 -7 (IF (|has| |t#1| (-610 (-888 (-569)))) (-6 (-610 (-888 (-569)))) |noBranch|) (IF (|has| |t#1| (-610 (-888 (-382)))) (-6 (-610 (-888 (-382)))) |noBranch|))) 
+(((-610 (-888 (-382))) |has| |#1| (-610 (-888 (-382)))) ((-610 (-888 (-569))) |has| |#1| (-610 (-888 (-569))))) 
+((-2568 (((-121) $ $) NIL)) (-2659 (($) 14)) (-2618 (($ (-885 |#1| |#2|) (-885 |#1| |#3|)) 27)) (-2240 (((-885 |#1| |#3|) $) 16)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2047 (((-121) $) 22)) (-1546 (($) 19)) (-2185 (((-851) $) 30)) (-3576 (((-885 |#1| |#2|) $) 15)) (-1668 (((-121) $ $) 25))) 
+(((-881 |#1| |#2| |#3|) (-13 (-1091) (-10 -8 (-15 -2047 ((-121) $)) (-15 -1546 ($)) (-15 -2659 ($)) (-15 -2618 ($ (-885 |#1| |#2|) (-885 |#1| |#3|))) (-15 -3576 ((-885 |#1| |#2|) $)) (-15 -2240 ((-885 |#1| |#3|) $)))) (-1091) (-1091) (-659 |#2|)) (T -881)) 
+((-2047 (*1 *2 *1) (-12 (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-881 *3 *4 *5)) (-4 *3 (-1091)) (-4 *5 (-659 *4)))) (-1546 (*1 *1) (-12 (-4 *3 (-1091)) (-5 *1 (-881 *2 *3 *4)) (-4 *2 (-1091)) (-4 *4 (-659 *3)))) (-2659 (*1 *1) (-12 (-4 *3 (-1091)) (-5 *1 (-881 *2 *3 *4)) (-4 *2 (-1091)) (-4 *4 (-659 *3)))) (-2618 (*1 *1 *2 *3) (-12 (-5 *2 (-885 *4 *5)) (-5 *3 (-885 *4 *6)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-659 *5)) (-5 *1 (-881 *4 *5 *6)))) (-3576 (*1 *2 *1) (-12 (-4 *4 (-1091)) (-5 *2 (-885 *3 *4)) (-5 *1 (-881 *3 *4 *5)) (-4 *3 (-1091)) (-4 *5 (-659 *4)))) (-2240 (*1 *2 *1) (-12 (-4 *4 (-1091)) (-5 *2 (-885 *3 *5)) (-5 *1 (-881 *3 *4 *5)) (-4 *3 (-1091)) (-4 *5 (-659 *4))))) 
+(-13 (-1091) (-10 -8 (-15 -2047 ((-121) $)) (-15 -1546 ($)) (-15 -2659 ($)) (-15 -2618 ($ (-885 |#1| |#2|) (-885 |#1| |#3|))) (-15 -3576 ((-885 |#1| |#2|) $)) (-15 -2240 ((-885 |#1| |#3|) $)))) 
+((-2568 (((-121) $ $) 7)) (-2883 (((-885 |#1| $) $ (-888 |#1|) (-885 |#1| $)) 12)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-1668 (((-121) $ $) 6))) 
+(((-882 |#1|) (-1278) (-1091)) (T -882)) 
+((-2883 (*1 *2 *1 *3 *2) (-12 (-5 *2 (-885 *4 *1)) (-5 *3 (-888 *4)) (-4 *1 (-882 *4)) (-4 *4 (-1091))))) 
+(-13 (-1091) (-10 -8 (-15 -2883 ((-885 |t#1| $) $ (-888 |t#1|) (-885 |t#1| $))))) 
+(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
+((-4029 (((-121) (-635 |#2|) |#3|) 22) (((-121) |#2| |#3|) 17)) (-1326 (((-885 |#1| |#2|) |#2| |#3|) 42 (-12 (-3864 (|has| |#2| (-1038 (-1163)))) (-3864 (|has| |#2| (-1048))))) (((-635 (-289 (-954 |#2|))) |#2| |#3|) 41 (-12 (|has| |#2| (-1048)) (-3864 (|has| |#2| (-1038 (-1163)))))) (((-635 (-289 |#2|)) |#2| |#3|) 34 (|has| |#2| (-1038 (-1163)))) (((-881 |#1| |#2| (-635 |#2|)) (-635 |#2|) |#3|) 20))) 
+(((-883 |#1| |#2| |#3|) (-10 -7 (-15 -4029 ((-121) |#2| |#3|)) (-15 -4029 ((-121) (-635 |#2|) |#3|)) (-15 -1326 ((-881 |#1| |#2| (-635 |#2|)) (-635 |#2|) |#3|)) (IF (|has| |#2| (-1038 (-1163))) (-15 -1326 ((-635 (-289 |#2|)) |#2| |#3|)) (IF (|has| |#2| (-1048)) (-15 -1326 ((-635 (-289 (-954 |#2|))) |#2| |#3|)) (-15 -1326 ((-885 |#1| |#2|) |#2| |#3|))))) (-1091) (-882 |#1|) (-610 (-888 |#1|))) (T -883)) 
+((-1326 (*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-5 *2 (-885 *5 *3)) (-5 *1 (-883 *5 *3 *4)) (-3864 (-4 *3 (-1038 (-1163)))) (-3864 (-4 *3 (-1048))) (-4 *3 (-882 *5)) (-4 *4 (-610 (-888 *5))))) (-1326 (*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-5 *2 (-635 (-289 (-954 *3)))) (-5 *1 (-883 *5 *3 *4)) (-4 *3 (-1048)) (-3864 (-4 *3 (-1038 (-1163)))) (-4 *3 (-882 *5)) (-4 *4 (-610 (-888 *5))))) (-1326 (*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-5 *2 (-635 (-289 *3))) (-5 *1 (-883 *5 *3 *4)) (-4 *3 (-1038 (-1163))) (-4 *3 (-882 *5)) (-4 *4 (-610 (-888 *5))))) (-1326 (*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-4 *6 (-882 *5)) (-5 *2 (-881 *5 *6 (-635 *6))) (-5 *1 (-883 *5 *6 *4)) (-5 *3 (-635 *6)) (-4 *4 (-610 (-888 *5))))) (-4029 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-4 *6 (-882 *5)) (-4 *5 (-1091)) (-5 *2 (-121)) (-5 *1 (-883 *5 *6 *4)) (-4 *4 (-610 (-888 *5))))) (-4029 (*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-5 *2 (-121)) (-5 *1 (-883 *5 *3 *4)) (-4 *3 (-882 *5)) (-4 *4 (-610 (-888 *5)))))) 
+(-10 -7 (-15 -4029 ((-121) |#2| |#3|)) (-15 -4029 ((-121) (-635 |#2|) |#3|)) (-15 -1326 ((-881 |#1| |#2| (-635 |#2|)) (-635 |#2|) |#3|)) (IF (|has| |#2| (-1038 (-1163))) (-15 -1326 ((-635 (-289 |#2|)) |#2| |#3|)) (IF (|has| |#2| (-1048)) (-15 -1326 ((-635 (-289 (-954 |#2|))) |#2| |#3|)) (-15 -1326 ((-885 |#1| |#2|) |#2| |#3|))))) 
+((-1544 (((-885 |#1| |#3|) (-1 |#3| |#2|) (-885 |#1| |#2|)) 21))) 
+(((-884 |#1| |#2| |#3|) (-10 -7 (-15 -1544 ((-885 |#1| |#3|) (-1 |#3| |#2|) (-885 |#1| |#2|)))) (-1091) (-1091) (-1091)) (T -884)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-885 *5 *6)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-885 *5 *7)) (-5 *1 (-884 *5 *6 *7))))) 
+(-10 -7 (-15 -1544 ((-885 |#1| |#3|) (-1 |#3| |#2|) (-885 |#1| |#2|)))) 
+((-2568 (((-121) $ $) NIL)) (-1752 (($ $ $) 37)) (-1418 (((-3 (-121) "failed") $ (-888 |#1|)) 34)) (-2659 (($) 11)) (-2776 (((-1145) $) NIL)) (-4104 (($ (-888 |#1|) |#2| $) 20)) (-3360 (((-1109) $) NIL)) (-4294 (((-3 |#2| "failed") (-888 |#1|) $) 48)) (-2047 (((-121) $) 14)) (-1546 (($) 12)) (-1759 (((-635 (-2 (|:| -2335 (-1163)) (|:| -3782 |#2|))) $) 25)) (-2139 (($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 |#2|)))) 23)) (-2185 (((-851) $) 42)) (-4449 (($ (-888 |#1|) |#2| $ |#2|) 46)) (-3905 (($ (-888 |#1|) |#2| $) 45)) (-1668 (((-121) $ $) 39))) 
+(((-885 |#1| |#2|) (-13 (-1091) (-10 -8 (-15 -2047 ((-121) $)) (-15 -1546 ($)) (-15 -2659 ($)) (-15 -1752 ($ $ $)) (-15 -4294 ((-3 |#2| "failed") (-888 |#1|) $)) (-15 -3905 ($ (-888 |#1|) |#2| $)) (-15 -4104 ($ (-888 |#1|) |#2| $)) (-15 -4449 ($ (-888 |#1|) |#2| $ |#2|)) (-15 -1759 ((-635 (-2 (|:| -2335 (-1163)) (|:| -3782 |#2|))) $)) (-15 -2139 ($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 |#2|))))) (-15 -1418 ((-3 (-121) "failed") $ (-888 |#1|))))) (-1091) (-1091)) (T -885)) 
+((-2047 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-885 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)))) (-1546 (*1 *1) (-12 (-5 *1 (-885 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091)))) (-2659 (*1 *1) (-12 (-5 *1 (-885 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091)))) (-1752 (*1 *1 *1 *1) (-12 (-5 *1 (-885 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091)))) (-4294 (*1 *2 *3 *1) (|partial| -12 (-5 *3 (-888 *4)) (-4 *4 (-1091)) (-4 *2 (-1091)) (-5 *1 (-885 *4 *2)))) (-3905 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-888 *4)) (-4 *4 (-1091)) (-5 *1 (-885 *4 *3)) (-4 *3 (-1091)))) (-4104 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-888 *4)) (-4 *4 (-1091)) (-5 *1 (-885 *4 *3)) (-4 *3 (-1091)))) (-4449 (*1 *1 *2 *3 *1 *3) (-12 (-5 *2 (-888 *4)) (-4 *4 (-1091)) (-5 *1 (-885 *4 *3)) (-4 *3 (-1091)))) (-1759 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 *4)))) (-5 *1 (-885 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)))) (-2139 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 *4)))) (-4 *4 (-1091)) (-5 *1 (-885 *3 *4)) (-4 *3 (-1091)))) (-1418 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-888 *4)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-885 *4 *5)) (-4 *5 (-1091))))) 
+(-13 (-1091) (-10 -8 (-15 -2047 ((-121) $)) (-15 -1546 ($)) (-15 -2659 ($)) (-15 -1752 ($ $ $)) (-15 -4294 ((-3 |#2| "failed") (-888 |#1|) $)) (-15 -3905 ($ (-888 |#1|) |#2| $)) (-15 -4104 ($ (-888 |#1|) |#2| $)) (-15 -4449 ($ (-888 |#1|) |#2| $ |#2|)) (-15 -1759 ((-635 (-2 (|:| -2335 (-1163)) (|:| -3782 |#2|))) $)) (-15 -2139 ($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 |#2|))))) (-15 -1418 ((-3 (-121) "failed") $ (-888 |#1|))))) 
+((-1632 (((-888 |#1|) (-888 |#1|) (-635 (-1163)) (-1 (-121) (-635 |#2|))) 30) (((-888 |#1|) (-888 |#1|) (-635 (-1 (-121) |#2|))) 42) (((-888 |#1|) (-888 |#1|) (-1 (-121) |#2|)) 33)) (-1418 (((-121) (-635 |#2|) (-888 |#1|)) 39) (((-121) |#2| (-888 |#1|)) 35)) (-4307 (((-1 (-121) |#2|) (-888 |#1|)) 14)) (-2103 (((-635 |#2|) (-888 |#1|)) 23)) (-3441 (((-888 |#1|) (-888 |#1|) |#2|) 19))) 
+(((-886 |#1| |#2|) (-10 -7 (-15 -1632 ((-888 |#1|) (-888 |#1|) (-1 (-121) |#2|))) (-15 -1632 ((-888 |#1|) (-888 |#1|) (-635 (-1 (-121) |#2|)))) (-15 -1632 ((-888 |#1|) (-888 |#1|) (-635 (-1163)) (-1 (-121) (-635 |#2|)))) (-15 -4307 ((-1 (-121) |#2|) (-888 |#1|))) (-15 -1418 ((-121) |#2| (-888 |#1|))) (-15 -1418 ((-121) (-635 |#2|) (-888 |#1|))) (-15 -3441 ((-888 |#1|) (-888 |#1|) |#2|)) (-15 -2103 ((-635 |#2|) (-888 |#1|)))) (-1091) (-1197)) (T -886)) 
+((-2103 (*1 *2 *3) (-12 (-5 *3 (-888 *4)) (-4 *4 (-1091)) (-5 *2 (-635 *5)) (-5 *1 (-886 *4 *5)) (-4 *5 (-1197)))) (-3441 (*1 *2 *2 *3) (-12 (-5 *2 (-888 *4)) (-4 *4 (-1091)) (-5 *1 (-886 *4 *3)) (-4 *3 (-1197)))) (-1418 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-4 *6 (-1197)) (-5 *2 (-121)) (-5 *1 (-886 *5 *6)))) (-1418 (*1 *2 *3 *4) (-12 (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-5 *2 (-121)) (-5 *1 (-886 *5 *3)) (-4 *3 (-1197)))) (-4307 (*1 *2 *3) (-12 (-5 *3 (-888 *4)) (-4 *4 (-1091)) (-5 *2 (-1 (-121) *5)) (-5 *1 (-886 *4 *5)) (-4 *5 (-1197)))) (-1632 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-888 *5)) (-5 *3 (-635 (-1163))) (-5 *4 (-1 (-121) (-635 *6))) (-4 *5 (-1091)) (-4 *6 (-1197)) (-5 *1 (-886 *5 *6)))) (-1632 (*1 *2 *2 *3) (-12 (-5 *2 (-888 *4)) (-5 *3 (-635 (-1 (-121) *5))) (-4 *4 (-1091)) (-4 *5 (-1197)) (-5 *1 (-886 *4 *5)))) (-1632 (*1 *2 *2 *3) (-12 (-5 *2 (-888 *4)) (-5 *3 (-1 (-121) *5)) (-4 *4 (-1091)) (-4 *5 (-1197)) (-5 *1 (-886 *4 *5))))) 
+(-10 -7 (-15 -1632 ((-888 |#1|) (-888 |#1|) (-1 (-121) |#2|))) (-15 -1632 ((-888 |#1|) (-888 |#1|) (-635 (-1 (-121) |#2|)))) (-15 -1632 ((-888 |#1|) (-888 |#1|) (-635 (-1163)) (-1 (-121) (-635 |#2|)))) (-15 -4307 ((-1 (-121) |#2|) (-888 |#1|))) (-15 -1418 ((-121) |#2| (-888 |#1|))) (-15 -1418 ((-121) (-635 |#2|) (-888 |#1|))) (-15 -3441 ((-888 |#1|) (-888 |#1|) |#2|)) (-15 -2103 ((-635 |#2|) (-888 |#1|)))) 
+((-1544 (((-888 |#2|) (-1 |#2| |#1|) (-888 |#1|)) 17))) 
+(((-887 |#1| |#2|) (-10 -7 (-15 -1544 ((-888 |#2|) (-1 |#2| |#1|) (-888 |#1|)))) (-1091) (-1091)) (T -887)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *2 (-888 *6)) (-5 *1 (-887 *5 *6))))) 
+(-10 -7 (-15 -1544 ((-888 |#2|) (-1 |#2| |#1|) (-888 |#1|)))) 
+((-2568 (((-121) $ $) NIL)) (-1694 (($ $ (-635 (-57))) 62)) (-1773 (((-635 $) $) 116)) (-2902 (((-2 (|:| |var| (-635 (-1163))) (|:| |pred| (-57))) $) 22)) (-1508 (((-121) $) 29)) (-2019 (($ $ (-635 (-1163)) (-57)) 24)) (-3641 (($ $ (-635 (-57))) 61)) (-1647 (((-3 |#1| "failed") $) 59) (((-3 (-1163) "failed") $) 138)) (-2428 ((|#1| $) 55) (((-1163) $) NIL)) (-2884 (($ $) 106)) (-3411 (((-121) $) 45)) (-3920 (((-635 (-57)) $) 43)) (-3743 (($ (-1163) (-121) (-121) (-121)) 63)) (-2183 (((-3 (-635 $) "failed") (-635 $)) 70)) (-3514 (((-121) $) 48)) (-4252 (((-121) $) 47)) (-2776 (((-1145) $) NIL)) (-4087 (((-3 (-635 $) "failed") $) 34)) (-1695 (((-3 (-2 (|:| |num| $) (|:| |den| $)) "failed") $) 41)) (-2848 (((-3 (-2 (|:| |val| $) (|:| -2356 $)) "failed") $) 81)) (-3091 (((-3 (-635 $) "failed") $) 31)) (-4063 (((-3 (-635 $) "failed") $ (-123)) 105) (((-3 (-2 (|:| -2291 (-123)) (|:| |arg| (-635 $))) "failed") $) 93)) (-1675 (((-3 (-635 $) "failed") $) 35)) (-1874 (((-3 (-2 (|:| |val| $) (|:| -2356 (-764))) "failed") $) 38)) (-4515 (((-121) $) 28)) (-3360 (((-1109) $) NIL)) (-2409 (((-121) $) 20)) (-1911 (((-121) $) 44)) (-4009 (((-635 (-57)) $) 109)) (-1716 (((-121) $) 46)) (-1534 (($ (-123) (-635 $)) 90)) (-2835 (((-764) $) 27)) (-1971 (($ $) 60)) (-3817 (($ (-635 $)) 57)) (-1749 (((-121) $) 25)) (-2185 (((-851) $) 50) (($ |#1|) 18) (($ (-1163)) 64)) (-3441 (($ $ (-57)) 108)) (-3369 (($) 89 T CONST)) (-1556 (($) 71 T CONST)) (-1668 (((-121) $ $) 77)) (-1715 (($ $ $) 98)) (-1707 (($ $ $) 102)) (** (($ $ (-764)) 97) (($ $ $) 51)) (* (($ $ $) 103))) 
+(((-888 |#1|) (-13 (-1091) (-1038 |#1|) (-1038 (-1163)) (-10 -8 (-15 0 ($) -2043) (-15 1 ($) -2043) (-15 -3091 ((-3 (-635 $) "failed") $)) (-15 -4087 ((-3 (-635 $) "failed") $)) (-15 -4063 ((-3 (-635 $) "failed") $ (-123))) (-15 -4063 ((-3 (-2 (|:| -2291 (-123)) (|:| |arg| (-635 $))) "failed") $)) (-15 -1874 ((-3 (-2 (|:| |val| $) (|:| -2356 (-764))) "failed") $)) (-15 -1695 ((-3 (-2 (|:| |num| $) (|:| |den| $)) "failed") $)) (-15 -1675 ((-3 (-635 $) "failed") $)) (-15 -2848 ((-3 (-2 (|:| |val| $) (|:| -2356 $)) "failed") $)) (-15 -1534 ($ (-123) (-635 $))) (-15 -1707 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-764))) (-15 ** ($ $ $)) (-15 -1715 ($ $ $)) (-15 -2835 ((-764) $)) (-15 -3817 ($ (-635 $))) (-15 -1971 ($ $)) (-15 -4515 ((-121) $)) (-15 -3411 ((-121) $)) (-15 -1508 ((-121) $)) (-15 -1749 ((-121) $)) (-15 -1716 ((-121) $)) (-15 -4252 ((-121) $)) (-15 -3514 ((-121) $)) (-15 -1911 ((-121) $)) (-15 -3920 ((-635 (-57)) $)) (-15 -3641 ($ $ (-635 (-57)))) (-15 -1694 ($ $ (-635 (-57)))) (-15 -3743 ($ (-1163) (-121) (-121) (-121))) (-15 -2019 ($ $ (-635 (-1163)) (-57))) (-15 -2902 ((-2 (|:| |var| (-635 (-1163))) (|:| |pred| (-57))) $)) (-15 -2409 ((-121) $)) (-15 -2884 ($ $)) (-15 -3441 ($ $ (-57))) (-15 -4009 ((-635 (-57)) $)) (-15 -1773 ((-635 $) $)) (-15 -2183 ((-3 (-635 $) "failed") (-635 $))))) (-1091)) (T -888)) 
+((-3369 (*1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) (-1556 (*1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) (-3091 (*1 *2 *1) (|partial| -12 (-5 *2 (-635 (-888 *3))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-4087 (*1 *2 *1) (|partial| -12 (-5 *2 (-635 (-888 *3))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-4063 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-635 (-888 *4))) (-5 *1 (-888 *4)) (-4 *4 (-1091)))) (-4063 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| -2291 (-123)) (|:| |arg| (-635 (-888 *3))))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-1874 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-888 *3)) (|:| -2356 (-764)))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-1695 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |num| (-888 *3)) (|:| |den| (-888 *3)))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-1675 (*1 *2 *1) (|partial| -12 (-5 *2 (-635 (-888 *3))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-2848 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-888 *3)) (|:| -2356 (-888 *3)))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-1534 (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 (-888 *4))) (-5 *1 (-888 *4)) (-4 *4 (-1091)))) (-1707 (*1 *1 *1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) (* (*1 *1 *1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (** (*1 *1 *1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) (-1715 (*1 *1 *1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) (-2835 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-3817 (*1 *1 *2) (-12 (-5 *2 (-635 (-888 *3))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-1971 (*1 *1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) (-4515 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-3411 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-1508 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-1749 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-1716 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-4252 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-3514 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-1911 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-3920 (*1 *2 *1) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-3641 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-1694 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-3743 (*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-121)) (-5 *1 (-888 *4)) (-4 *4 (-1091)))) (-2019 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-57)) (-5 *1 (-888 *4)) (-4 *4 (-1091)))) (-2902 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |var| (-635 (-1163))) (|:| |pred| (-57)))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-2409 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-2884 (*1 *1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) (-3441 (*1 *1 *1 *2) (-12 (-5 *2 (-57)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-4009 (*1 *2 *1) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-1773 (*1 *2 *1) (-12 (-5 *2 (-635 (-888 *3))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-2183 (*1 *2 *2) (|partial| -12 (-5 *2 (-635 (-888 *3))) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
+(-13 (-1091) (-1038 |#1|) (-1038 (-1163)) (-10 -8 (-15 (-3369) ($) -2043) (-15 (-1556) ($) -2043) (-15 -3091 ((-3 (-635 $) "failed") $)) (-15 -4087 ((-3 (-635 $) "failed") $)) (-15 -4063 ((-3 (-635 $) "failed") $ (-123))) (-15 -4063 ((-3 (-2 (|:| -2291 (-123)) (|:| |arg| (-635 $))) "failed") $)) (-15 -1874 ((-3 (-2 (|:| |val| $) (|:| -2356 (-764))) "failed") $)) (-15 -1695 ((-3 (-2 (|:| |num| $) (|:| |den| $)) "failed") $)) (-15 -1675 ((-3 (-635 $) "failed") $)) (-15 -2848 ((-3 (-2 (|:| |val| $) (|:| -2356 $)) "failed") $)) (-15 -1534 ($ (-123) (-635 $))) (-15 -1707 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-764))) (-15 ** ($ $ $)) (-15 -1715 ($ $ $)) (-15 -2835 ((-764) $)) (-15 -3817 ($ (-635 $))) (-15 -1971 ($ $)) (-15 -4515 ((-121) $)) (-15 -3411 ((-121) $)) (-15 -1508 ((-121) $)) (-15 -1749 ((-121) $)) (-15 -1716 ((-121) $)) (-15 -4252 ((-121) $)) (-15 -3514 ((-121) $)) (-15 -1911 ((-121) $)) (-15 -3920 ((-635 (-57)) $)) (-15 -3641 ($ $ (-635 (-57)))) (-15 -1694 ($ $ (-635 (-57)))) (-15 -3743 ($ (-1163) (-121) (-121) (-121))) (-15 -2019 ($ $ (-635 (-1163)) (-57))) (-15 -2902 ((-2 (|:| |var| (-635 (-1163))) (|:| |pred| (-57))) $)) (-15 -2409 ((-121) $)) (-15 -2884 ($ $)) (-15 -3441 ($ $ (-57))) (-15 -4009 ((-635 (-57)) $)) (-15 -1773 ((-635 $) $)) (-15 -2183 ((-3 (-635 $) "failed") (-635 $))))) 
+((-2568 (((-121) $ $) NIL)) (-3914 (((-635 |#1|) $) 16)) (-3633 (((-121) $) 38)) (-1647 (((-3 (-664 |#1|) "failed") $) 41)) (-2428 (((-664 |#1|) $) 39)) (-2046 (($ $) 18)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1859 (((-635 (-664 |#1|)) $) 23)) (-1906 (((-764) $) 45)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-4353 (((-664 |#1|) $) 17)) (-2185 (((-851) $) 37) (($ (-664 |#1|)) 21) (((-815 |#1|) $) 27) (($ |#1|) 20)) (-1556 (($) 8 T CONST)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 11)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 48))) 
+(((-889 |#1|) (-13 (-843) (-1038 (-664 |#1|)) (-10 -8 (-15 1 ($) -2043) (-15 -2185 ((-815 |#1|) $)) (-15 -2185 ($ |#1|)) (-15 -4353 ((-664 |#1|) $)) (-15 -1906 ((-764) $)) (-15 -1859 ((-635 (-664 |#1|)) $)) (-15 -2046 ($ $)) (-15 -3633 ((-121) $)) (-15 -3914 ((-635 |#1|) $)))) (-843)) (T -889)) 
+((-1556 (*1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-843)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-815 *3)) (-5 *1 (-889 *3)) (-4 *3 (-843)))) (-2185 (*1 *1 *2) (-12 (-5 *1 (-889 *2)) (-4 *2 (-843)))) (-4353 (*1 *2 *1) (-12 (-5 *2 (-664 *3)) (-5 *1 (-889 *3)) (-4 *3 (-843)))) (-1906 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-889 *3)) (-4 *3 (-843)))) (-1859 (*1 *2 *1) (-12 (-5 *2 (-635 (-664 *3))) (-5 *1 (-889 *3)) (-4 *3 (-843)))) (-2046 (*1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-843)))) (-3633 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-843)))) (-3914 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-889 *3)) (-4 *3 (-843))))) 
+(-13 (-843) (-1038 (-664 |#1|)) (-10 -8 (-15 (-1556) ($) -2043) (-15 -2185 ((-815 |#1|) $)) (-15 -2185 ($ |#1|)) (-15 -4353 ((-664 |#1|) $)) (-15 -1906 ((-764) $)) (-15 -1859 ((-635 (-664 |#1|)) $)) (-15 -2046 ($ $)) (-15 -3633 ((-121) $)) (-15 -3914 ((-635 |#1|) $)))) 
+((-3107 ((|#1| |#1| |#1|) 19))) 
+(((-890 |#1| |#2|) (-10 -7 (-15 -3107 (|#1| |#1| |#1|))) (-1222 |#2|) (-1048)) (T -890)) 
+((-3107 (*1 *2 *2 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-890 *2 *3)) (-4 *2 (-1222 *3))))) 
+(-10 -7 (-15 -3107 (|#1| |#1| |#1|))) 
+((-2568 (((-121) $ $) 7)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) 13)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-2677 (((-1036) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) 12)) (-1668 (((-121) $ $) 6))) 
+(((-891) (-1278)) (T -891)) 
+((-2703 (*1 *2 *3 *4) (-12 (-4 *1 (-891)) (-5 *3 (-1060)) (-5 *4 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) (-5 *2 (-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)))))) (-2677 (*1 *2 *3) (-12 (-4 *1 (-891)) (-5 *3 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) (-5 *2 (-1036))))) 
+(-13 (-1091) (-10 -7 (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216))))) (-15 -2677 ((-1036) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216))))))) 
+(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
+((-1965 ((|#1| |#1| (-764)) 23)) (-2641 (((-3 |#1| "failed") |#1| |#1|) 22)) (-4157 (((-3 (-2 (|:| -3833 |#1|) (|:| -1869 |#1|)) "failed") |#1| (-764) (-764)) 26) (((-635 |#1|) |#1|) 28))) 
+(((-892 |#1| |#2|) (-10 -7 (-15 -4157 ((-635 |#1|) |#1|)) (-15 -4157 ((-3 (-2 (|:| -3833 |#1|) (|:| -1869 |#1|)) "failed") |#1| (-764) (-764))) (-15 -2641 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1965 (|#1| |#1| (-764)))) (-1222 |#2|) (-366)) (T -892)) 
+((-1965 (*1 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-366)) (-5 *1 (-892 *2 *4)) (-4 *2 (-1222 *4)))) (-2641 (*1 *2 *2 *2) (|partial| -12 (-4 *3 (-366)) (-5 *1 (-892 *2 *3)) (-4 *2 (-1222 *3)))) (-4157 (*1 *2 *3 *4 *4) (|partial| -12 (-5 *4 (-764)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -3833 *3) (|:| -1869 *3))) (-5 *1 (-892 *3 *5)) (-4 *3 (-1222 *5)))) (-4157 (*1 *2 *3) (-12 (-4 *4 (-366)) (-5 *2 (-635 *3)) (-5 *1 (-892 *3 *4)) (-4 *3 (-1222 *4))))) 
+(-10 -7 (-15 -4157 ((-635 |#1|) |#1|)) (-15 -4157 ((-3 (-2 (|:| -3833 |#1|) (|:| -1869 |#1|)) "failed") |#1| (-764) (-764))) (-15 -2641 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1965 (|#1| |#1| (-764)))) 
+((-4435 (((-1036) (-382) (-382) (-382) (-382) (-764) (-764) (-635 (-311 (-382))) (-635 (-635 (-311 (-382)))) (-1145)) 92) (((-1036) (-382) (-382) (-382) (-382) (-764) (-764) (-635 (-311 (-382))) (-635 (-635 (-311 (-382)))) (-1145) (-216)) 87) (((-1036) (-894) (-1060)) 76) (((-1036) (-894)) 77)) (-2703 (((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-894) (-1060)) 50) (((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-894)) 52))) 
+(((-893) (-10 -7 (-15 -4435 ((-1036) (-894))) (-15 -4435 ((-1036) (-894) (-1060))) (-15 -4435 ((-1036) (-382) (-382) (-382) (-382) (-764) (-764) (-635 (-311 (-382))) (-635 (-635 (-311 (-382)))) (-1145) (-216))) (-15 -4435 ((-1036) (-382) (-382) (-382) (-382) (-764) (-764) (-635 (-311 (-382))) (-635 (-635 (-311 (-382)))) (-1145))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-894))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-894) (-1060))))) (T -893)) 
+((-2703 (*1 *2 *3 *4) (-12 (-5 *3 (-894)) (-5 *4 (-1060)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *1 (-893)))) (-2703 (*1 *2 *3) (-12 (-5 *3 (-894)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *1 (-893)))) (-4435 (*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7) (-12 (-5 *4 (-764)) (-5 *6 (-635 (-635 (-311 *3)))) (-5 *7 (-1145)) (-5 *5 (-635 (-311 (-382)))) (-5 *3 (-382)) (-5 *2 (-1036)) (-5 *1 (-893)))) (-4435 (*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7 *8) (-12 (-5 *4 (-764)) (-5 *6 (-635 (-635 (-311 *3)))) (-5 *7 (-1145)) (-5 *8 (-216)) (-5 *5 (-635 (-311 (-382)))) (-5 *3 (-382)) (-5 *2 (-1036)) (-5 *1 (-893)))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-894)) (-5 *4 (-1060)) (-5 *2 (-1036)) (-5 *1 (-893)))) (-4435 (*1 *2 *3) (-12 (-5 *3 (-894)) (-5 *2 (-1036)) (-5 *1 (-893))))) 
+(-10 -7 (-15 -4435 ((-1036) (-894))) (-15 -4435 ((-1036) (-894) (-1060))) (-15 -4435 ((-1036) (-382) (-382) (-382) (-382) (-764) (-764) (-635 (-311 (-382))) (-635 (-635 (-311 (-382)))) (-1145) (-216))) (-15 -4435 ((-1036) (-382) (-382) (-382) (-382) (-764) (-764) (-635 (-311 (-382))) (-635 (-635 (-311 (-382)))) (-1145))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-894))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-894) (-1060)))) 
+((-2568 (((-121) $ $) NIL)) (-2428 (((-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216))) $) 10)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 12) (($ (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) 9)) (-1668 (((-121) $ $) NIL))) 
+(((-894) (-13 (-1091) (-10 -8 (-15 -2185 ($ (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216))))) (-15 -2185 ((-851) $)) (-15 -2428 ((-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216))) $))))) (T -894)) 
+((-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-894)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) (-5 *1 (-894)))) (-2428 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) (-5 *1 (-894))))) 
+(-13 (-1091) (-10 -8 (-15 -2185 ($ (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216))))) (-15 -2185 ((-851) $)) (-15 -2428 ((-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216))) $)))) 
+((-3899 (($ $ |#2|) NIL) (($ $ (-635 |#2|)) 10) (($ $ |#2| (-764)) 12) (($ $ (-635 |#2|) (-635 (-764))) 15)) (-3022 (($ $ |#2|) 16) (($ $ (-635 |#2|)) 18) (($ $ |#2| (-764)) 19) (($ $ (-635 |#2|) (-635 (-764))) 21))) 
+(((-895 |#1| |#2|) (-10 -8 (-15 -3022 (|#1| |#1| (-635 |#2|) (-635 (-764)))) (-15 -3022 (|#1| |#1| |#2| (-764))) (-15 -3022 (|#1| |#1| (-635 |#2|))) (-15 -3022 (|#1| |#1| |#2|)) (-15 -3899 (|#1| |#1| (-635 |#2|) (-635 (-764)))) (-15 -3899 (|#1| |#1| |#2| (-764))) (-15 -3899 (|#1| |#1| (-635 |#2|))) (-15 -3899 (|#1| |#1| |#2|))) (-896 |#2|) (-1091)) (T -895)) 
+NIL 
+(-10 -8 (-15 -3022 (|#1| |#1| (-635 |#2|) (-635 (-764)))) (-15 -3022 (|#1| |#1| |#2| (-764))) (-15 -3022 (|#1| |#1| (-635 |#2|))) (-15 -3022 (|#1| |#1| |#2|)) (-15 -3899 (|#1| |#1| (-635 |#2|) (-635 (-764)))) (-15 -3899 (|#1| |#1| |#2| (-764))) (-15 -3899 (|#1| |#1| (-635 |#2|))) (-15 -3899 (|#1| |#1| |#2|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-3899 (($ $ |#1|) 41) (($ $ (-635 |#1|)) 40) (($ $ |#1| (-764)) 39) (($ $ (-635 |#1|) (-635 (-764))) 38)) (-2185 (((-851) $) 11) (($ (-569)) 27)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ |#1|) 37) (($ $ (-635 |#1|)) 36) (($ $ |#1| (-764)) 35) (($ $ (-635 |#1|) (-635 (-764))) 34)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-896 |#1|) (-1278) (-1091)) (T -896)) 
+((-3899 (*1 *1 *1 *2) (-12 (-4 *1 (-896 *2)) (-4 *2 (-1091)))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-896 *3)) (-4 *3 (-1091)))) (-3899 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-896 *2)) (-4 *2 (-1091)))) (-3899 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 (-764))) (-4 *1 (-896 *4)) (-4 *4 (-1091)))) (-3022 (*1 *1 *1 *2) (-12 (-4 *1 (-896 *2)) (-4 *2 (-1091)))) (-3022 (*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-896 *3)) (-4 *3 (-1091)))) (-3022 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-896 *2)) (-4 *2 (-1091)))) (-3022 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 (-764))) (-4 *1 (-896 *4)) (-4 *4 (-1091))))) 
+(-13 (-1048) (-10 -8 (-15 -3899 ($ $ |t#1|)) (-15 -3899 ($ $ (-635 |t#1|))) (-15 -3899 ($ $ |t#1| (-764))) (-15 -3899 ($ $ (-635 |t#1|) (-635 (-764)))) (-15 -3022 ($ $ |t#1|)) (-15 -3022 ($ $ (-635 |t#1|))) (-15 -3022 ($ $ |t#1| (-764))) (-15 -3022 ($ $ (-635 |t#1|) (-635 (-764)))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 $) . T) ((-717) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2247 ((|#1| $) 26)) (-1691 (((-121) $ (-764)) NIL)) (-3891 ((|#1| $ |#1|) NIL (|has| $ (-6 -4536)))) (-2587 (($ $ $) NIL (|has| $ (-6 -4536)))) (-1690 (($ $ $) NIL (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4536))) (($ $ "left" $) NIL (|has| $ (-6 -4536))) (($ $ "right" $) NIL (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) NIL (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-1869 (($ $) 25)) (-2119 (($ |#1|) 12) (($ $ $) 17)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) NIL)) (-4349 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-3833 (($ $) 23)) (-2824 (((-635 |#1|) $) NIL)) (-3486 (((-121) $) 20)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-1686 (((-569) $ $) NIL)) (-1472 (((-121) $) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-851) $) 29 (|has| |#1| (-1091))) (((-1184 |#1|) $) 9)) (-4114 (((-635 $) $) NIL)) (-2447 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 21 (|has| |#1| (-1091)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-897 |#1|) (-13 (-128 |#1|) (-10 -8 (-15 -2119 ($ |#1|)) (-15 -2119 ($ $ $)) (-15 -2185 ((-1184 |#1|) $)))) (-1091)) (T -897)) 
+((-2119 (*1 *1 *2) (-12 (-5 *1 (-897 *2)) (-4 *2 (-1091)))) (-2119 (*1 *1 *1 *1) (-12 (-5 *1 (-897 *2)) (-4 *2 (-1091)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-1184 *3)) (-5 *1 (-897 *3)) (-4 *3 (-1091))))) 
+(-13 (-128 |#1|) (-10 -8 (-15 -2119 ($ |#1|)) (-15 -2119 ($ $ $)) (-15 -2185 ((-1184 |#1|) $)))) 
+((-1579 ((|#2| (-1128 |#1| |#2|)) 39))) 
+(((-898 |#1| |#2|) (-10 -7 (-15 -1579 (|#2| (-1128 |#1| |#2|)))) (-918) (-13 (-1048) (-10 -7 (-6 (-4537 "*"))))) (T -898)) 
+((-1579 (*1 *2 *3) (-12 (-5 *3 (-1128 *4 *2)) (-14 *4 (-918)) (-4 *2 (-13 (-1048) (-10 -7 (-6 (-4537 "*"))))) (-5 *1 (-898 *4 *2))))) 
+(-10 -7 (-15 -1579 (|#2| (-1128 |#1| |#2|)))) 
+((-2568 (((-121) $ $) 7)) (-2820 (($) 19 T CONST)) (-3428 (((-3 $ "failed") $) 15)) (-1288 (((-1093 |#1|) $ |#1|) 34)) (-1407 (((-121) $) 18)) (-3291 (($ $ $) 32 (-2232 (|has| |#1| (-843)) (|has| |#1| (-371))))) (-1538 (($ $ $) 31 (-2232 (|has| |#1| (-843)) (|has| |#1| (-371))))) (-2776 (((-1145) $) 9)) (-1795 (($ $) 26)) (-3360 (((-1109) $) 10)) (-1468 ((|#1| $ |#1|) 36)) (-1534 ((|#1| $ |#1|) 35)) (-3359 (($ (-635 (-635 |#1|))) 37)) (-4107 (($ (-635 |#1|)) 38)) (-1414 (($ $ $) 22)) (-4293 (($ $ $) 21)) (-2185 (((-851) $) 11)) (-2427 (($ $ (-918)) 12) (($ $ (-764)) 16) (($ $ (-569)) 23)) (-1556 (($) 20 T CONST)) (-1693 (((-121) $ $) 29 (-2232 (|has| |#1| (-843)) (|has| |#1| (-371))))) (-1684 (((-121) $ $) 28 (-2232 (|has| |#1| (-843)) (|has| |#1| (-371))))) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 30 (-2232 (|has| |#1| (-843)) (|has| |#1| (-371))))) (-1678 (((-121) $ $) 33)) (-1715 (($ $ $) 25)) (** (($ $ (-918)) 13) (($ $ (-764)) 17) (($ $ (-569)) 24)) (* (($ $ $) 14))) 
+(((-899 |#1|) (-1278) (-1091)) (T -899)) 
+((-4107 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-4 *1 (-899 *3)))) (-3359 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1091)) (-4 *1 (-899 *3)))) (-1468 (*1 *2 *1 *2) (-12 (-4 *1 (-899 *2)) (-4 *2 (-1091)))) (-1534 (*1 *2 *1 *2) (-12 (-4 *1 (-899 *2)) (-4 *2 (-1091)))) (-1288 (*1 *2 *1 *3) (-12 (-4 *1 (-899 *3)) (-4 *3 (-1091)) (-5 *2 (-1093 *3)))) (-1678 (*1 *2 *1 *1) (-12 (-4 *1 (-899 *3)) (-4 *3 (-1091)) (-5 *2 (-121))))) 
+(-13 (-479) (-10 -8 (-15 -4107 ($ (-635 |t#1|))) (-15 -3359 ($ (-635 (-635 |t#1|)))) (-15 -1468 (|t#1| $ |t#1|)) (-15 -1534 (|t#1| $ |t#1|)) (-15 -1288 ((-1093 |t#1|) $ |t#1|)) (-15 -1678 ((-121) $ $)) (IF (|has| |t#1| (-843)) (-6 (-843)) |noBranch|) (IF (|has| |t#1| (-371)) (-6 (-843)) |noBranch|))) 
+(((-105) . T) ((-609 (-851)) . T) ((-479) . T) ((-717) . T) ((-843) -2232 (|has| |#1| (-843)) (|has| |#1| (-371))) ((-1103) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) NIL)) (-2511 (((-635 (-635 (-764))) $) 106)) (-3994 (((-635 (-764)) (-901 |#1|) $) 128)) (-2400 (((-635 (-764)) (-901 |#1|) $) 129)) (-3515 (((-635 (-901 |#1|)) $) 96)) (-4327 (((-901 |#1|) $ (-569)) 101) (((-901 |#1|) $) 102)) (-1626 (($ (-635 (-901 |#1|))) 108)) (-2558 (((-764) $) 103)) (-2729 (((-1093 (-1093 |#1|)) $) 126)) (-1288 (((-1093 |#1|) $ |#1|) 119) (((-1093 (-1093 |#1|)) $ (-1093 |#1|)) 137) (((-1093 (-635 |#1|)) $ (-635 |#1|)) 140)) (-3582 (((-1093 |#1|) $) 99)) (-3660 (((-121) (-901 |#1|) $) 90)) (-2776 (((-1145) $) NIL)) (-2757 (((-1252) $) 93) (((-1252) $ (-569) (-569)) 141)) (-3360 (((-1109) $) NIL)) (-2727 (((-635 (-901 |#1|)) $) 94)) (-1534 (((-901 |#1|) $ (-764)) 97)) (-2492 (((-764) $) 104)) (-2185 (((-851) $) 117) (((-635 (-901 |#1|)) $) 22) (($ (-635 (-901 |#1|))) 107)) (-1475 (((-635 |#1|) $) 105)) (-1668 (((-121) $ $) 134)) (-1688 (((-121) $ $) 132)) (-1678 (((-121) $ $) 131))) 
+(((-900 |#1|) (-13 (-1091) (-10 -8 (-15 -2185 ((-635 (-901 |#1|)) $)) (-15 -2727 ((-635 (-901 |#1|)) $)) (-15 -1534 ((-901 |#1|) $ (-764))) (-15 -4327 ((-901 |#1|) $ (-569))) (-15 -4327 ((-901 |#1|) $)) (-15 -2558 ((-764) $)) (-15 -2492 ((-764) $)) (-15 -1475 ((-635 |#1|) $)) (-15 -3515 ((-635 (-901 |#1|)) $)) (-15 -2511 ((-635 (-635 (-764))) $)) (-15 -2185 ($ (-635 (-901 |#1|)))) (-15 -1626 ($ (-635 (-901 |#1|)))) (-15 -1288 ((-1093 |#1|) $ |#1|)) (-15 -2729 ((-1093 (-1093 |#1|)) $)) (-15 -1288 ((-1093 (-1093 |#1|)) $ (-1093 |#1|))) (-15 -1288 ((-1093 (-635 |#1|)) $ (-635 |#1|))) (-15 -3660 ((-121) (-901 |#1|) $)) (-15 -3994 ((-635 (-764)) (-901 |#1|) $)) (-15 -2400 ((-635 (-764)) (-901 |#1|) $)) (-15 -3582 ((-1093 |#1|) $)) (-15 -1678 ((-121) $ $)) (-15 -1688 ((-121) $ $)) (-15 -2757 ((-1252) $)) (-15 -2757 ((-1252) $ (-569) (-569))))) (-1091)) (T -900)) 
+((-2185 (*1 *2 *1) (-12 (-5 *2 (-635 (-901 *3))) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-2727 (*1 *2 *1) (-12 (-5 *2 (-635 (-901 *3))) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-901 *4)) (-5 *1 (-900 *4)) (-4 *4 (-1091)))) (-4327 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-901 *4)) (-5 *1 (-900 *4)) (-4 *4 (-1091)))) (-4327 (*1 *2 *1) (-12 (-5 *2 (-901 *3)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-2558 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-2492 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-1475 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-3515 (*1 *2 *1) (-12 (-5 *2 (-635 (-901 *3))) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-2511 (*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-764)))) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 (-901 *3))) (-4 *3 (-1091)) (-5 *1 (-900 *3)))) (-1626 (*1 *1 *2) (-12 (-5 *2 (-635 (-901 *3))) (-4 *3 (-1091)) (-5 *1 (-900 *3)))) (-1288 (*1 *2 *1 *3) (-12 (-5 *2 (-1093 *3)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-2729 (*1 *2 *1) (-12 (-5 *2 (-1093 (-1093 *3))) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-1288 (*1 *2 *1 *3) (-12 (-4 *4 (-1091)) (-5 *2 (-1093 (-1093 *4))) (-5 *1 (-900 *4)) (-5 *3 (-1093 *4)))) (-1288 (*1 *2 *1 *3) (-12 (-4 *4 (-1091)) (-5 *2 (-1093 (-635 *4))) (-5 *1 (-900 *4)) (-5 *3 (-635 *4)))) (-3660 (*1 *2 *3 *1) (-12 (-5 *3 (-901 *4)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-900 *4)))) (-3994 (*1 *2 *3 *1) (-12 (-5 *3 (-901 *4)) (-4 *4 (-1091)) (-5 *2 (-635 (-764))) (-5 *1 (-900 *4)))) (-2400 (*1 *2 *3 *1) (-12 (-5 *3 (-901 *4)) (-4 *4 (-1091)) (-5 *2 (-635 (-764))) (-5 *1 (-900 *4)))) (-3582 (*1 *2 *1) (-12 (-5 *2 (-1093 *3)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-1678 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-1688 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-2757 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-2757 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-900 *4)) (-4 *4 (-1091))))) 
+(-13 (-1091) (-10 -8 (-15 -2185 ((-635 (-901 |#1|)) $)) (-15 -2727 ((-635 (-901 |#1|)) $)) (-15 -1534 ((-901 |#1|) $ (-764))) (-15 -4327 ((-901 |#1|) $ (-569))) (-15 -4327 ((-901 |#1|) $)) (-15 -2558 ((-764) $)) (-15 -2492 ((-764) $)) (-15 -1475 ((-635 |#1|) $)) (-15 -3515 ((-635 (-901 |#1|)) $)) (-15 -2511 ((-635 (-635 (-764))) $)) (-15 -2185 ($ (-635 (-901 |#1|)))) (-15 -1626 ($ (-635 (-901 |#1|)))) (-15 -1288 ((-1093 |#1|) $ |#1|)) (-15 -2729 ((-1093 (-1093 |#1|)) $)) (-15 -1288 ((-1093 (-1093 |#1|)) $ (-1093 |#1|))) (-15 -1288 ((-1093 (-635 |#1|)) $ (-635 |#1|))) (-15 -3660 ((-121) (-901 |#1|) $)) (-15 -3994 ((-635 (-764)) (-901 |#1|) $)) (-15 -2400 ((-635 (-764)) (-901 |#1|) $)) (-15 -3582 ((-1093 |#1|) $)) (-15 -1678 ((-121) $ $)) (-15 -1688 ((-121) $ $)) (-15 -2757 ((-1252) $)) (-15 -2757 ((-1252) $ (-569) (-569))))) 
+((-2568 (((-121) $ $) NIL)) (-3113 (((-635 $) (-635 $)) 76)) (-3638 (((-569) $) 59)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) NIL)) (-2558 (((-764) $) 57)) (-1288 (((-1093 |#1|) $ |#1|) 48)) (-1407 (((-121) $) NIL)) (-1931 (((-121) $) 62)) (-1342 (((-764) $) 60)) (-3582 (((-1093 |#1|) $) 41)) (-3291 (($ $ $) NIL (-2232 (|has| |#1| (-371)) (|has| |#1| (-843))))) (-1538 (($ $ $) NIL (-2232 (|has| |#1| (-371)) (|has| |#1| (-843))))) (-1945 (((-2 (|:| |preimage| (-635 |#1|)) (|:| |image| (-635 |#1|))) $) 35)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 92)) (-3360 (((-1109) $) NIL)) (-2216 (((-1093 |#1|) $) 98 (|has| |#1| (-371)))) (-1657 (((-121) $) 58)) (-1468 ((|#1| $ |#1|) 46)) (-1534 ((|#1| $ |#1|) 93)) (-2492 (((-764) $) 43)) (-3359 (($ (-635 (-635 |#1|))) 84)) (-2523 (((-973) $) 52)) (-4107 (($ (-635 |#1|)) 21)) (-1414 (($ $ $) NIL)) (-4293 (($ $ $) NIL)) (-3852 (($ (-635 (-635 |#1|))) 38)) (-2986 (($ (-635 (-635 |#1|))) 87)) (-1904 (($ (-635 |#1|)) 95)) (-2185 (((-851) $) 83) (($ (-635 (-635 |#1|))) 65) (($ (-635 |#1|)) 66)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-1556 (($) 16 T CONST)) (-1693 (((-121) $ $) NIL (-2232 (|has| |#1| (-371)) (|has| |#1| (-843))))) (-1684 (((-121) $ $) NIL (-2232 (|has| |#1| (-371)) (|has| |#1| (-843))))) (-1668 (((-121) $ $) 44)) (-1688 (((-121) $ $) NIL (-2232 (|has| |#1| (-371)) (|has| |#1| (-843))))) (-1678 (((-121) $ $) 64)) (-1715 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ $ $) 22))) 
+(((-901 |#1|) (-13 (-899 |#1|) (-10 -8 (-15 -1945 ((-2 (|:| |preimage| (-635 |#1|)) (|:| |image| (-635 |#1|))) $)) (-15 -3852 ($ (-635 (-635 |#1|)))) (-15 -2185 ($ (-635 (-635 |#1|)))) (-15 -2185 ($ (-635 |#1|))) (-15 -2986 ($ (-635 (-635 |#1|)))) (-15 -2492 ((-764) $)) (-15 -3582 ((-1093 |#1|) $)) (-15 -2523 ((-973) $)) (-15 -2558 ((-764) $)) (-15 -1342 ((-764) $)) (-15 -3638 ((-569) $)) (-15 -1657 ((-121) $)) (-15 -1931 ((-121) $)) (-15 -3113 ((-635 $) (-635 $))) (IF (|has| |#1| (-371)) (-15 -2216 ((-1093 |#1|) $)) |noBranch|) (IF (|has| |#1| (-551)) (-15 -1904 ($ (-635 |#1|))) (IF (|has| |#1| (-371)) (-15 -1904 ($ (-635 |#1|))) |noBranch|)))) (-1091)) (T -901)) 
+((-1945 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |preimage| (-635 *3)) (|:| |image| (-635 *3)))) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) (-3852 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1091)) (-5 *1 (-901 *3)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1091)) (-5 *1 (-901 *3)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-901 *3)))) (-2986 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1091)) (-5 *1 (-901 *3)))) (-2492 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) (-3582 (*1 *2 *1) (-12 (-5 *2 (-1093 *3)) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) (-2523 (*1 *2 *1) (-12 (-5 *2 (-973)) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) (-2558 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) (-1342 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) (-3638 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) (-1657 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) (-1931 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) (-3113 (*1 *2 *2) (-12 (-5 *2 (-635 (-901 *3))) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) (-2216 (*1 *2 *1) (-12 (-5 *2 (-1093 *3)) (-5 *1 (-901 *3)) (-4 *3 (-371)) (-4 *3 (-1091)))) (-1904 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-901 *3))))) 
+(-13 (-899 |#1|) (-10 -8 (-15 -1945 ((-2 (|:| |preimage| (-635 |#1|)) (|:| |image| (-635 |#1|))) $)) (-15 -3852 ($ (-635 (-635 |#1|)))) (-15 -2185 ($ (-635 (-635 |#1|)))) (-15 -2185 ($ (-635 |#1|))) (-15 -2986 ($ (-635 (-635 |#1|)))) (-15 -2492 ((-764) $)) (-15 -3582 ((-1093 |#1|) $)) (-15 -2523 ((-973) $)) (-15 -2558 ((-764) $)) (-15 -1342 ((-764) $)) (-15 -3638 ((-569) $)) (-15 -1657 ((-121) $)) (-15 -1931 ((-121) $)) (-15 -3113 ((-635 $) (-635 $))) (IF (|has| |#1| (-371)) (-15 -2216 ((-1093 |#1|) $)) |noBranch|) (IF (|has| |#1| (-551)) (-15 -1904 ($ (-635 |#1|))) (IF (|has| |#1| (-371)) (-15 -1904 ($ (-635 |#1|))) |noBranch|)))) 
+((-3721 (((-3 (-635 (-1159 |#4|)) "failed") (-635 (-1159 |#4|)) (-1159 |#4|)) 127)) (-2553 ((|#1|) 75)) (-4217 (((-421 (-1159 |#4|)) (-1159 |#4|)) 136)) (-3465 (((-421 (-1159 |#4|)) (-635 |#3|) (-1159 |#4|)) 67)) (-1536 (((-421 (-1159 |#4|)) (-1159 |#4|)) 146)) (-4287 (((-3 (-635 (-1159 |#4|)) "failed") (-635 (-1159 |#4|)) (-1159 |#4|) |#3|) 91))) 
+(((-902 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3721 ((-3 (-635 (-1159 |#4|)) "failed") (-635 (-1159 |#4|)) (-1159 |#4|))) (-15 -1536 ((-421 (-1159 |#4|)) (-1159 |#4|))) (-15 -4217 ((-421 (-1159 |#4|)) (-1159 |#4|))) (-15 -2553 (|#1|)) (-15 -4287 ((-3 (-635 (-1159 |#4|)) "failed") (-635 (-1159 |#4|)) (-1159 |#4|) |#3|)) (-15 -3465 ((-421 (-1159 |#4|)) (-635 |#3|) (-1159 |#4|)))) (-905) (-789) (-843) (-951 |#1| |#2| |#3|)) (T -902)) 
+((-3465 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *7)) (-4 *7 (-843)) (-4 *5 (-905)) (-4 *6 (-789)) (-4 *8 (-951 *5 *6 *7)) (-5 *2 (-421 (-1159 *8))) (-5 *1 (-902 *5 *6 *7 *8)) (-5 *4 (-1159 *8)))) (-4287 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *2 (-635 (-1159 *7))) (-5 *3 (-1159 *7)) (-4 *7 (-951 *5 *6 *4)) (-4 *5 (-905)) (-4 *6 (-789)) (-4 *4 (-843)) (-5 *1 (-902 *5 *6 *4 *7)))) (-2553 (*1 *2) (-12 (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-905)) (-5 *1 (-902 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4)))) (-4217 (*1 *2 *3) (-12 (-4 *4 (-905)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-951 *4 *5 *6)) (-5 *2 (-421 (-1159 *7))) (-5 *1 (-902 *4 *5 *6 *7)) (-5 *3 (-1159 *7)))) (-1536 (*1 *2 *3) (-12 (-4 *4 (-905)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-951 *4 *5 *6)) (-5 *2 (-421 (-1159 *7))) (-5 *1 (-902 *4 *5 *6 *7)) (-5 *3 (-1159 *7)))) (-3721 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1159 *7))) (-5 *3 (-1159 *7)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-905)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-902 *4 *5 *6 *7))))) 
+(-10 -7 (-15 -3721 ((-3 (-635 (-1159 |#4|)) "failed") (-635 (-1159 |#4|)) (-1159 |#4|))) (-15 -1536 ((-421 (-1159 |#4|)) (-1159 |#4|))) (-15 -4217 ((-421 (-1159 |#4|)) (-1159 |#4|))) (-15 -2553 (|#1|)) (-15 -4287 ((-3 (-635 (-1159 |#4|)) "failed") (-635 (-1159 |#4|)) (-1159 |#4|) |#3|)) (-15 -3465 ((-421 (-1159 |#4|)) (-635 |#3|) (-1159 |#4|)))) 
+((-3721 (((-3 (-635 (-1159 |#2|)) "failed") (-635 (-1159 |#2|)) (-1159 |#2|)) 36)) (-2553 ((|#1|) 53)) (-4217 (((-421 (-1159 |#2|)) (-1159 |#2|)) 101)) (-3465 (((-421 (-1159 |#2|)) (-1159 |#2|)) 88)) (-1536 (((-421 (-1159 |#2|)) (-1159 |#2|)) 112))) 
+(((-903 |#1| |#2|) (-10 -7 (-15 -3721 ((-3 (-635 (-1159 |#2|)) "failed") (-635 (-1159 |#2|)) (-1159 |#2|))) (-15 -1536 ((-421 (-1159 |#2|)) (-1159 |#2|))) (-15 -4217 ((-421 (-1159 |#2|)) (-1159 |#2|))) (-15 -2553 (|#1|)) (-15 -3465 ((-421 (-1159 |#2|)) (-1159 |#2|)))) (-905) (-1222 |#1|)) (T -903)) 
+((-3465 (*1 *2 *3) (-12 (-4 *4 (-905)) (-4 *5 (-1222 *4)) (-5 *2 (-421 (-1159 *5))) (-5 *1 (-903 *4 *5)) (-5 *3 (-1159 *5)))) (-2553 (*1 *2) (-12 (-4 *2 (-905)) (-5 *1 (-903 *2 *3)) (-4 *3 (-1222 *2)))) (-4217 (*1 *2 *3) (-12 (-4 *4 (-905)) (-4 *5 (-1222 *4)) (-5 *2 (-421 (-1159 *5))) (-5 *1 (-903 *4 *5)) (-5 *3 (-1159 *5)))) (-1536 (*1 *2 *3) (-12 (-4 *4 (-905)) (-4 *5 (-1222 *4)) (-5 *2 (-421 (-1159 *5))) (-5 *1 (-903 *4 *5)) (-5 *3 (-1159 *5)))) (-3721 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1159 *5))) (-5 *3 (-1159 *5)) (-4 *5 (-1222 *4)) (-4 *4 (-905)) (-5 *1 (-903 *4 *5))))) 
+(-10 -7 (-15 -3721 ((-3 (-635 (-1159 |#2|)) "failed") (-635 (-1159 |#2|)) (-1159 |#2|))) (-15 -1536 ((-421 (-1159 |#2|)) (-1159 |#2|))) (-15 -4217 ((-421 (-1159 |#2|)) (-1159 |#2|))) (-15 -2553 (|#1|)) (-15 -3465 ((-421 (-1159 |#2|)) (-1159 |#2|)))) 
+((-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) 39)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 18)) (-3953 (((-3 $ "failed") $) 33))) 
+(((-904 |#1|) (-10 -8 (-15 -3953 ((-3 |#1| "failed") |#1|)) (-15 -1593 ((-3 (-635 (-1159 |#1|)) "failed") (-635 (-1159 |#1|)) (-1159 |#1|))) (-15 -4336 ((-1159 |#1|) (-1159 |#1|) (-1159 |#1|)))) (-905)) (T -904)) 
+NIL 
+(-10 -8 (-15 -3953 ((-3 |#1| "failed") |#1|)) (-15 -1593 ((-3 (-635 (-1159 |#1|)) "failed") (-635 (-1159 |#1|)) (-1159 |#1|))) (-15 -4336 ((-1159 |#1|) (-1159 |#1|) (-1159 |#1|)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-2379 (((-421 (-1159 $)) (-1159 $)) 57)) (-2004 (($ $) 49)) (-2446 (((-421 $) $) 50)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) 54)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-3726 (((-121) $) 51)) (-1407 (((-121) $) 30)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-1721 (((-421 (-1159 $)) (-1159 $)) 55)) (-1568 (((-421 (-1159 $)) (-1159 $)) 56)) (-1743 (((-421 $) $) 48)) (-2941 (((-3 $ "failed") $ $) 41)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 53 (|has| $ (-149)))) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42)) (-3953 (((-3 $ "failed") $) 52 (|has| $ (-149)))) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-905) (-1278)) (T -905)) 
+((-4336 (*1 *2 *2 *2) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-905)))) (-2379 (*1 *2 *3) (-12 (-4 *1 (-905)) (-5 *2 (-421 (-1159 *1))) (-5 *3 (-1159 *1)))) (-1568 (*1 *2 *3) (-12 (-4 *1 (-905)) (-5 *2 (-421 (-1159 *1))) (-5 *3 (-1159 *1)))) (-1721 (*1 *2 *3) (-12 (-4 *1 (-905)) (-5 *2 (-421 (-1159 *1))) (-5 *3 (-1159 *1)))) (-1593 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1159 *1))) (-5 *3 (-1159 *1)) (-4 *1 (-905)))) (-2132 (*1 *2 *3) (|partial| -12 (-5 *3 (-680 *1)) (-4 *1 (-149)) (-4 *1 (-905)) (-5 *2 (-1247 *1)))) (-3953 (*1 *1 *1) (|partial| -12 (-4 *1 (-149)) (-4 *1 (-905))))) 
+(-13 (-1202) (-10 -8 (-15 -2379 ((-421 (-1159 $)) (-1159 $))) (-15 -1568 ((-421 (-1159 $)) (-1159 $))) (-15 -1721 ((-421 (-1159 $)) (-1159 $))) (-15 -4336 ((-1159 $) (-1159 $) (-1159 $))) (-15 -1593 ((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $))) (IF (|has| $ (-149)) (PROGN (-15 -2132 ((-3 (-1247 $) "failed") (-680 $))) (-15 -3953 ((-3 $ "failed") $))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-173) . T) ((-286) . T) ((-454) . T) ((-559) . T) ((-638 $) . T) ((-708 $) . T) ((-717) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-1377 (($ $ (-918)) NIL (|has| $ (-371))) (($ $) NIL)) (-2620 (((-1171 (-918) (-764)) (-569)) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2085 (((-764)) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 $ "failed") $) NIL)) (-2428 (($ $) NIL)) (-2623 (($ (-1247 $)) NIL)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL)) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3188 (($) NIL)) (-3354 (((-121) $) NIL)) (-2751 (($ $) NIL) (($ $ (-764)) NIL)) (-3726 (((-121) $) NIL)) (-2558 (((-829 (-918)) $) NIL) (((-918) $) NIL)) (-1407 (((-121) $) NIL)) (-1490 (($) NIL (|has| $ (-371)))) (-3364 (((-121) $) NIL (|has| $ (-371)))) (-4308 (($ $ (-918)) NIL (|has| $ (-371))) (($ $) NIL)) (-3846 (((-3 $ "failed") $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2770 (((-1159 $) $ (-918)) NIL (|has| $ (-371))) (((-1159 $) $) NIL)) (-2083 (((-918) $) NIL)) (-2486 (((-1159 $) $) NIL (|has| $ (-371)))) (-3697 (((-3 (-1159 $) "failed") $ $) NIL (|has| $ (-371))) (((-1159 $) $) NIL (|has| $ (-371)))) (-4421 (($ $ (-1159 $)) NIL (|has| $ (-371)))) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL T CONST)) (-3998 (($ (-918)) NIL)) (-2705 (((-121) $) NIL)) (-3360 (((-1109) $) NIL)) (-1809 (($) NIL (|has| $ (-371)))) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL)) (-1743 (((-421 $) $) NIL)) (-2578 (((-918)) NIL) (((-829 (-918))) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-1291 (((-3 (-764) "failed") $ $) NIL) (((-764) $) NIL)) (-2369 (((-140)) NIL)) (-3899 (($ $ (-764)) NIL) (($ $) NIL)) (-2492 (((-918) $) NIL) (((-829 (-918)) $) NIL)) (-2745 (((-1159 $)) NIL)) (-2319 (($) NIL)) (-3554 (($) NIL (|has| $ (-371)))) (-1648 (((-680 $) (-1247 $)) NIL) (((-1247 $) $) NIL)) (-3817 (((-569) $) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL)) (-3953 (((-3 $ "failed") $) NIL) (($ $) NIL)) (-1991 (((-764)) NIL)) (-3930 (((-1247 $) (-918)) NIL) (((-1247 $)) NIL)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1907 (($ $ (-764)) NIL (|has| $ (-371))) (($ $) NIL (|has| $ (-371)))) (-3022 (($ $ (-764)) NIL) (($ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
+(((-906 |#1|) (-13 (-351) (-328 $) (-610 (-569))) (-918)) (T -906)) 
+NIL 
+(-13 (-351) (-328 $) (-610 (-569))) 
+((-2278 (((-3 (-2 (|:| -2558 (-764)) (|:| -1813 |#5|)) "failed") (-335 |#2| |#3| |#4| |#5|)) 76)) (-3442 (((-121) (-335 |#2| |#3| |#4| |#5|)) 16)) (-2558 (((-3 (-764) "failed") (-335 |#2| |#3| |#4| |#5|)) 14))) 
+(((-907 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2558 ((-3 (-764) "failed") (-335 |#2| |#3| |#4| |#5|))) (-15 -3442 ((-121) (-335 |#2| |#3| |#4| |#5|))) (-15 -2278 ((-3 (-2 (|:| -2558 (-764)) (|:| -1813 |#5|)) "failed") (-335 |#2| |#3| |#4| |#5|)))) (-13 (-843) (-559) (-1038 (-569))) (-433 |#1|) (-1222 |#2|) (-1222 (-410 |#3|)) (-341 |#2| |#3| |#4|)) (T -907)) 
+((-2278 (*1 *2 *3) (|partial| -12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-433 *4)) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-843) (-559) (-1038 (-569)))) (-5 *2 (-2 (|:| -2558 (-764)) (|:| -1813 *8))) (-5 *1 (-907 *4 *5 *6 *7 *8)))) (-3442 (*1 *2 *3) (-12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-433 *4)) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-843) (-559) (-1038 (-569)))) (-5 *2 (-121)) (-5 *1 (-907 *4 *5 *6 *7 *8)))) (-2558 (*1 *2 *3) (|partial| -12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-433 *4)) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-843) (-559) (-1038 (-569)))) (-5 *2 (-764)) (-5 *1 (-907 *4 *5 *6 *7 *8))))) 
+(-10 -7 (-15 -2558 ((-3 (-764) "failed") (-335 |#2| |#3| |#4| |#5|))) (-15 -3442 ((-121) (-335 |#2| |#3| |#4| |#5|))) (-15 -2278 ((-3 (-2 (|:| -2558 (-764)) (|:| -1813 |#5|)) "failed") (-335 |#2| |#3| |#4| |#5|)))) 
+((-2278 (((-3 (-2 (|:| -2558 (-764)) (|:| -1813 |#3|)) "failed") (-335 (-410 (-569)) |#1| |#2| |#3|)) 56)) (-3442 (((-121) (-335 (-410 (-569)) |#1| |#2| |#3|)) 13)) (-2558 (((-3 (-764) "failed") (-335 (-410 (-569)) |#1| |#2| |#3|)) 11))) 
+(((-908 |#1| |#2| |#3|) (-10 -7 (-15 -2558 ((-3 (-764) "failed") (-335 (-410 (-569)) |#1| |#2| |#3|))) (-15 -3442 ((-121) (-335 (-410 (-569)) |#1| |#2| |#3|))) (-15 -2278 ((-3 (-2 (|:| -2558 (-764)) (|:| -1813 |#3|)) "failed") (-335 (-410 (-569)) |#1| |#2| |#3|)))) (-1222 (-410 (-569))) (-1222 (-410 |#1|)) (-341 (-410 (-569)) |#1| |#2|)) (T -908)) 
+((-2278 (*1 *2 *3) (|partial| -12 (-5 *3 (-335 (-410 (-569)) *4 *5 *6)) (-4 *4 (-1222 (-410 (-569)))) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 (-410 (-569)) *4 *5)) (-5 *2 (-2 (|:| -2558 (-764)) (|:| -1813 *6))) (-5 *1 (-908 *4 *5 *6)))) (-3442 (*1 *2 *3) (-12 (-5 *3 (-335 (-410 (-569)) *4 *5 *6)) (-4 *4 (-1222 (-410 (-569)))) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 (-410 (-569)) *4 *5)) (-5 *2 (-121)) (-5 *1 (-908 *4 *5 *6)))) (-2558 (*1 *2 *3) (|partial| -12 (-5 *3 (-335 (-410 (-569)) *4 *5 *6)) (-4 *4 (-1222 (-410 (-569)))) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 (-410 (-569)) *4 *5)) (-5 *2 (-764)) (-5 *1 (-908 *4 *5 *6))))) 
+(-10 -7 (-15 -2558 ((-3 (-764) "failed") (-335 (-410 (-569)) |#1| |#2| |#3|))) (-15 -3442 ((-121) (-335 (-410 (-569)) |#1| |#2| |#3|))) (-15 -2278 ((-3 (-2 (|:| -2558 (-764)) (|:| -1813 |#3|)) "failed") (-335 (-410 (-569)) |#1| |#2| |#3|)))) 
+((-1739 (((-1159 |#1|) |#2|) 36)) (-2894 ((|#2| |#2| (-635 |#1|)) 59) ((|#2| |#2| (-635 |#1|) (-569)) 61)) (-4011 (((-764) |#2|) 70)) (-4133 ((|#2| |#2| |#2| (-569)) 51)) (-3840 ((|#2| |#2| |#2|) 49)) (-2636 ((|#2| |#2| |#2|) 48)) (-2829 ((|#2| |#2| (-569)) 64)) (-1521 ((|#2| |#2| (-569)) 60)) (-2086 (((-635 |#2|) |#2|) 15)) (-2951 ((|#2| |#2|) 82)) (-2658 ((|#2| (-1 |#3| |#3|) |#2|) 40)) (-4103 (((-635 |#2|)) 26)) (-3780 (((-635 |#3|) (-569)) 92)) (-2255 (((-635 |#2|) (-764)) 93)) (-3875 ((|#2| |#2| (-569)) 71)) (-4047 ((|#3| |#2|) NIL)) (-3324 (((-764) |#2|) 83)) (-2492 (((-764) |#2| (-569)) 67)) (-3362 ((|#1| |#2| (-918)) 80)) (-2043 ((|#1| |#2|) 81))) 
+(((-909 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2658 (|#2| (-1 |#3| |#3|) |#2|)) (-15 -2492 ((-764) |#2| (-569))) (-15 -1739 ((-1159 |#1|) |#2|)) (-15 -4011 ((-764) |#2|)) (-15 -2636 (|#2| |#2| |#2|)) (-15 -3840 (|#2| |#2| |#2|)) (-15 -4133 (|#2| |#2| |#2| (-569))) (-15 -2951 (|#2| |#2|)) (-15 -4047 (|#3| |#2|)) (-15 -2829 (|#2| |#2| (-569))) (-15 -1521 (|#2| |#2| (-569))) (-15 -2894 (|#2| |#2| (-635 |#1|) (-569))) (-15 -2894 (|#2| |#2| (-635 |#1|))) (-15 -3362 (|#1| |#2| (-918))) (-15 -2043 (|#1| |#2|)) (-15 -3875 (|#2| |#2| (-569))) (-15 -3780 ((-635 |#3|) (-569))) (-15 -2255 ((-635 |#2|) (-764))) (-15 -3324 ((-764) |#2|)) (-15 -4103 ((-635 |#2|))) (-15 -2086 ((-635 |#2|) |#2|))) (-1048) (-325 |#1| |#3|) (-231 |#4| (-764)) (-764)) (T -909)) 
+((-2086 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *2 (-635 *3)) (-5 *1 (-909 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) (-4103 (*1 *2) (-12 (-4 *3 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *2 (-635 *4)) (-5 *1 (-909 *3 *4 *5 *6)) (-4 *4 (-325 *3 *5)))) (-3324 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-231 *6 *2)) (-14 *6 *2) (-5 *2 (-764)) (-5 *1 (-909 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) (-2255 (*1 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-1048)) (-4 *6 (-231 *7 *3)) (-14 *7 *3) (-5 *2 (-635 *5)) (-5 *1 (-909 *4 *5 *6 *7)) (-4 *5 (-325 *4 *6)))) (-3780 (*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1048)) (-4 *6 (-231 *7 (-764))) (-14 *7 (-764)) (-5 *2 (-635 *6)) (-5 *1 (-909 *4 *5 *6 *7)) (-4 *5 (-325 *4 *6)))) (-3875 (*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-909 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) (-2043 (*1 *2 *3) (-12 (-4 *4 (-231 *5 (-764))) (-14 *5 (-764)) (-4 *2 (-1048)) (-5 *1 (-909 *2 *3 *4 *5)) (-4 *3 (-325 *2 *4)))) (-3362 (*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-4 *2 (-1048)) (-5 *1 (-909 *2 *3 *5 *6)) (-4 *3 (-325 *2 *5)))) (-2894 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-909 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) (-2894 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-569)) (-4 *5 (-1048)) (-4 *6 (-231 *7 (-764))) (-14 *7 (-764)) (-5 *1 (-909 *5 *2 *6 *7)) (-4 *2 (-325 *5 *6)))) (-1521 (*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-909 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) (-2829 (*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-909 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) (-4047 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-231 *5 (-764))) (-5 *1 (-909 *4 *3 *2 *5)) (-4 *3 (-325 *4 *2)) (-14 *5 (-764)))) (-2951 (*1 *2 *2) (-12 (-4 *3 (-1048)) (-4 *4 (-231 *5 (-764))) (-14 *5 (-764)) (-5 *1 (-909 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4)))) (-4133 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-909 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) (-3840 (*1 *2 *2 *2) (-12 (-4 *3 (-1048)) (-4 *4 (-231 *5 (-764))) (-14 *5 (-764)) (-5 *1 (-909 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4)))) (-2636 (*1 *2 *2 *2) (-12 (-4 *3 (-1048)) (-4 *4 (-231 *5 (-764))) (-14 *5 (-764)) (-5 *1 (-909 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4)))) (-4011 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-231 *6 *2)) (-14 *6 *2) (-5 *2 (-764)) (-5 *1 (-909 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) (-1739 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *2 (-1159 *4)) (-5 *1 (-909 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) (-2492 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-1048)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-5 *2 (-764)) (-5 *1 (-909 *5 *3 *6 *7)) (-4 *3 (-325 *5 *6)))) (-2658 (*1 *2 *3 *2) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-4 *4 (-1048)) (-5 *1 (-909 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5))))) 
+(-10 -7 (-15 -2658 (|#2| (-1 |#3| |#3|) |#2|)) (-15 -2492 ((-764) |#2| (-569))) (-15 -1739 ((-1159 |#1|) |#2|)) (-15 -4011 ((-764) |#2|)) (-15 -2636 (|#2| |#2| |#2|)) (-15 -3840 (|#2| |#2| |#2|)) (-15 -4133 (|#2| |#2| |#2| (-569))) (-15 -2951 (|#2| |#2|)) (-15 -4047 (|#3| |#2|)) (-15 -2829 (|#2| |#2| (-569))) (-15 -1521 (|#2| |#2| (-569))) (-15 -2894 (|#2| |#2| (-635 |#1|) (-569))) (-15 -2894 (|#2| |#2| (-635 |#1|))) (-15 -3362 (|#1| |#2| (-918))) (-15 -2043 (|#1| |#2|)) (-15 -3875 (|#2| |#2| (-569))) (-15 -3780 ((-635 |#3|) (-569))) (-15 -2255 ((-635 |#2|) (-764))) (-15 -3324 ((-764) |#2|)) (-15 -4103 ((-635 |#2|))) (-15 -2086 ((-635 |#2|) |#2|))) 
+((-2466 ((|#2| |#2|) 25)) (-3634 (((-569) (-635 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569))))) 15)) (-3105 (((-918) (-569)) 35)) (-3848 (((-569) |#2|) 42)) (-3668 (((-569) |#2|) 21) (((-2 (|:| |den| (-569)) (|:| |gcdnum| (-569))) |#1|) 20))) 
+(((-910 |#1| |#2|) (-10 -7 (-15 -3105 ((-918) (-569))) (-15 -3668 ((-2 (|:| |den| (-569)) (|:| |gcdnum| (-569))) |#1|)) (-15 -3668 ((-569) |#2|)) (-15 -3634 ((-569) (-635 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569)))))) (-15 -3848 ((-569) |#2|)) (-15 -2466 (|#2| |#2|))) (-1222 (-410 (-569))) (-1222 (-410 |#1|))) (T -910)) 
+((-2466 (*1 *2 *2) (-12 (-4 *3 (-1222 (-410 (-569)))) (-5 *1 (-910 *3 *2)) (-4 *2 (-1222 (-410 *3))))) (-3848 (*1 *2 *3) (-12 (-4 *4 (-1222 (-410 *2))) (-5 *2 (-569)) (-5 *1 (-910 *4 *3)) (-4 *3 (-1222 (-410 *4))))) (-3634 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569))))) (-4 *4 (-1222 (-410 *2))) (-5 *2 (-569)) (-5 *1 (-910 *4 *5)) (-4 *5 (-1222 (-410 *4))))) (-3668 (*1 *2 *3) (-12 (-4 *4 (-1222 (-410 *2))) (-5 *2 (-569)) (-5 *1 (-910 *4 *3)) (-4 *3 (-1222 (-410 *4))))) (-3668 (*1 *2 *3) (-12 (-4 *3 (-1222 (-410 (-569)))) (-5 *2 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569)))) (-5 *1 (-910 *3 *4)) (-4 *4 (-1222 (-410 *3))))) (-3105 (*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1222 (-410 *3))) (-5 *2 (-918)) (-5 *1 (-910 *4 *5)) (-4 *5 (-1222 (-410 *4)))))) 
+(-10 -7 (-15 -3105 ((-918) (-569))) (-15 -3668 ((-2 (|:| |den| (-569)) (|:| |gcdnum| (-569))) |#1|)) (-15 -3668 ((-569) |#2|)) (-15 -3634 ((-569) (-635 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569)))))) (-15 -3848 ((-569) |#2|)) (-15 -2466 (|#2| |#2|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3761 ((|#1| $) 80)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) 74)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-2015 (($ |#1| (-421 |#1|)) 72)) (-4394 (((-1159 |#1|) |#1| |#1|) 40)) (-3017 (($ $) 48)) (-1407 (((-121) $) NIL)) (-3888 (((-569) $) 77)) (-3921 (($ $ (-569)) 79)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2959 ((|#1| $) 76)) (-1287 (((-421 |#1|) $) 75)) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) 73)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-2963 (($ $) 38)) (-2185 (((-851) $) 98) (($ (-569)) 53) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 30) (((-410 |#1|) $) 58) (($ (-410 (-421 |#1|))) 66)) (-1991 (((-764)) 51)) (-1961 (((-121) $ $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 23 T CONST)) (-1556 (($) 11 T CONST)) (-1668 (((-121) $ $) 67)) (-1715 (($ $ $) NIL)) (-1711 (($ $) 87) (($ $ $) NIL)) (-1707 (($ $ $) 37)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 89) (($ $ $) 36) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ |#1| $) 88) (($ $ |#1|) NIL))) 
+(((-911 |#1|) (-13 (-366) (-43 |#1|) (-10 -8 (-15 -2185 ((-410 |#1|) $)) (-15 -2185 ($ (-410 (-421 |#1|)))) (-15 -2963 ($ $)) (-15 -1287 ((-421 |#1|) $)) (-15 -2959 (|#1| $)) (-15 -3921 ($ $ (-569))) (-15 -3888 ((-569) $)) (-15 -4394 ((-1159 |#1|) |#1| |#1|)) (-15 -3017 ($ $)) (-15 -2015 ($ |#1| (-421 |#1|))) (-15 -3761 (|#1| $)))) (-302)) (T -911)) 
+((-2185 (*1 *2 *1) (-12 (-5 *2 (-410 *3)) (-5 *1 (-911 *3)) (-4 *3 (-302)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-410 (-421 *3))) (-4 *3 (-302)) (-5 *1 (-911 *3)))) (-2963 (*1 *1 *1) (-12 (-5 *1 (-911 *2)) (-4 *2 (-302)))) (-1287 (*1 *2 *1) (-12 (-5 *2 (-421 *3)) (-5 *1 (-911 *3)) (-4 *3 (-302)))) (-2959 (*1 *2 *1) (-12 (-5 *1 (-911 *2)) (-4 *2 (-302)))) (-3921 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-911 *3)) (-4 *3 (-302)))) (-3888 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-911 *3)) (-4 *3 (-302)))) (-4394 (*1 *2 *3 *3) (-12 (-5 *2 (-1159 *3)) (-5 *1 (-911 *3)) (-4 *3 (-302)))) (-3017 (*1 *1 *1) (-12 (-5 *1 (-911 *2)) (-4 *2 (-302)))) (-2015 (*1 *1 *2 *3) (-12 (-5 *3 (-421 *2)) (-4 *2 (-302)) (-5 *1 (-911 *2)))) (-3761 (*1 *2 *1) (-12 (-5 *1 (-911 *2)) (-4 *2 (-302))))) 
+(-13 (-366) (-43 |#1|) (-10 -8 (-15 -2185 ((-410 |#1|) $)) (-15 -2185 ($ (-410 (-421 |#1|)))) (-15 -2963 ($ $)) (-15 -1287 ((-421 |#1|) $)) (-15 -2959 (|#1| $)) (-15 -3921 ($ $ (-569))) (-15 -3888 ((-569) $)) (-15 -4394 ((-1159 |#1|) |#1| |#1|)) (-15 -3017 ($ $)) (-15 -2015 ($ |#1| (-421 |#1|))) (-15 -3761 (|#1| $)))) 
+((-2015 (((-57) (-954 |#1|) (-421 (-954 |#1|)) (-1163)) 16) (((-57) (-410 (-954 |#1|)) (-1163)) 17))) 
+(((-912 |#1|) (-10 -7 (-15 -2015 ((-57) (-410 (-954 |#1|)) (-1163))) (-15 -2015 ((-57) (-954 |#1|) (-421 (-954 |#1|)) (-1163)))) (-13 (-302) (-151))) (T -912)) 
+((-2015 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-421 (-954 *6))) (-5 *5 (-1163)) (-5 *3 (-954 *6)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-57)) (-5 *1 (-912 *6)))) (-2015 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-57)) (-5 *1 (-912 *5))))) 
+(-10 -7 (-15 -2015 ((-57) (-410 (-954 |#1|)) (-1163))) (-15 -2015 ((-57) (-954 |#1|) (-421 (-954 |#1|)) (-1163)))) 
+((-2967 ((|#4| (-635 |#4|)) 118) (((-1159 |#4|) (-1159 |#4|) (-1159 |#4|)) 65) ((|#4| |#4| |#4|) 117)) (-2714 (((-1159 |#4|) (-635 (-1159 |#4|))) 111) (((-1159 |#4|) (-1159 |#4|) (-1159 |#4|)) 48) ((|#4| (-635 |#4|)) 53) ((|#4| |#4| |#4|) 82))) 
+(((-913 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2714 (|#4| |#4| |#4|)) (-15 -2714 (|#4| (-635 |#4|))) (-15 -2714 ((-1159 |#4|) (-1159 |#4|) (-1159 |#4|))) (-15 -2714 ((-1159 |#4|) (-635 (-1159 |#4|)))) (-15 -2967 (|#4| |#4| |#4|)) (-15 -2967 ((-1159 |#4|) (-1159 |#4|) (-1159 |#4|))) (-15 -2967 (|#4| (-635 |#4|)))) (-789) (-843) (-302) (-951 |#3| |#1| |#2|)) (T -913)) 
+((-2967 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-951 *6 *4 *5)) (-5 *1 (-913 *4 *5 *6 *2)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302)))) (-2967 (*1 *2 *2 *2) (-12 (-5 *2 (-1159 *6)) (-4 *6 (-951 *5 *3 *4)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-302)) (-5 *1 (-913 *3 *4 *5 *6)))) (-2967 (*1 *2 *2 *2) (-12 (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-302)) (-5 *1 (-913 *3 *4 *5 *2)) (-4 *2 (-951 *5 *3 *4)))) (-2714 (*1 *2 *3) (-12 (-5 *3 (-635 (-1159 *7))) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302)) (-5 *2 (-1159 *7)) (-5 *1 (-913 *4 *5 *6 *7)) (-4 *7 (-951 *6 *4 *5)))) (-2714 (*1 *2 *2 *2) (-12 (-5 *2 (-1159 *6)) (-4 *6 (-951 *5 *3 *4)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-302)) (-5 *1 (-913 *3 *4 *5 *6)))) (-2714 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-951 *6 *4 *5)) (-5 *1 (-913 *4 *5 *6 *2)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302)))) (-2714 (*1 *2 *2 *2) (-12 (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-302)) (-5 *1 (-913 *3 *4 *5 *2)) (-4 *2 (-951 *5 *3 *4))))) 
+(-10 -7 (-15 -2714 (|#4| |#4| |#4|)) (-15 -2714 (|#4| (-635 |#4|))) (-15 -2714 ((-1159 |#4|) (-1159 |#4|) (-1159 |#4|))) (-15 -2714 ((-1159 |#4|) (-635 (-1159 |#4|)))) (-15 -2967 (|#4| |#4| |#4|)) (-15 -2967 ((-1159 |#4|) (-1159 |#4|) (-1159 |#4|))) (-15 -2967 (|#4| (-635 |#4|)))) 
+((-4094 (((-900 (-569)) (-973)) 22) (((-900 (-569)) (-635 (-569))) 19)) (-1347 (((-900 (-569)) (-635 (-569))) 46) (((-900 (-569)) (-918)) 47)) (-3980 (((-900 (-569))) 23)) (-2775 (((-900 (-569))) 36) (((-900 (-569)) (-635 (-569))) 35)) (-1353 (((-900 (-569))) 34) (((-900 (-569)) (-635 (-569))) 33)) (-4097 (((-900 (-569))) 32) (((-900 (-569)) (-635 (-569))) 31)) (-3990 (((-900 (-569))) 30) (((-900 (-569)) (-635 (-569))) 29)) (-3543 (((-900 (-569))) 28) (((-900 (-569)) (-635 (-569))) 27)) (-1623 (((-900 (-569))) 38) (((-900 (-569)) (-635 (-569))) 37)) (-4504 (((-900 (-569)) (-635 (-569))) 50) (((-900 (-569)) (-918)) 51)) (-4350 (((-900 (-569)) (-635 (-569))) 48) (((-900 (-569)) (-918)) 49)) (-3453 (((-900 (-569)) (-635 (-569))) 43) (((-900 (-569)) (-918)) 45)) (-3144 (((-900 (-569)) (-635 (-918))) 40))) 
+(((-914) (-10 -7 (-15 -1347 ((-900 (-569)) (-918))) (-15 -1347 ((-900 (-569)) (-635 (-569)))) (-15 -3453 ((-900 (-569)) (-918))) (-15 -3453 ((-900 (-569)) (-635 (-569)))) (-15 -3144 ((-900 (-569)) (-635 (-918)))) (-15 -4350 ((-900 (-569)) (-918))) (-15 -4350 ((-900 (-569)) (-635 (-569)))) (-15 -4504 ((-900 (-569)) (-918))) (-15 -4504 ((-900 (-569)) (-635 (-569)))) (-15 -3543 ((-900 (-569)) (-635 (-569)))) (-15 -3543 ((-900 (-569)))) (-15 -3990 ((-900 (-569)) (-635 (-569)))) (-15 -3990 ((-900 (-569)))) (-15 -4097 ((-900 (-569)) (-635 (-569)))) (-15 -4097 ((-900 (-569)))) (-15 -1353 ((-900 (-569)) (-635 (-569)))) (-15 -1353 ((-900 (-569)))) (-15 -2775 ((-900 (-569)) (-635 (-569)))) (-15 -2775 ((-900 (-569)))) (-15 -1623 ((-900 (-569)) (-635 (-569)))) (-15 -1623 ((-900 (-569)))) (-15 -3980 ((-900 (-569)))) (-15 -4094 ((-900 (-569)) (-635 (-569)))) (-15 -4094 ((-900 (-569)) (-973))))) (T -914)) 
+((-4094 (*1 *2 *3) (-12 (-5 *3 (-973)) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-4094 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-3980 (*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-1623 (*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-1623 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-2775 (*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-2775 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-1353 (*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-1353 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-4097 (*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-4097 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-3990 (*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-3990 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-3543 (*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-3543 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-4504 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-4504 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-4350 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-4350 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-3144 (*1 *2 *3) (-12 (-5 *3 (-635 (-918))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-3453 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-3453 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-1347 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-1347 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
+(-10 -7 (-15 -1347 ((-900 (-569)) (-918))) (-15 -1347 ((-900 (-569)) (-635 (-569)))) (-15 -3453 ((-900 (-569)) (-918))) (-15 -3453 ((-900 (-569)) (-635 (-569)))) (-15 -3144 ((-900 (-569)) (-635 (-918)))) (-15 -4350 ((-900 (-569)) (-918))) (-15 -4350 ((-900 (-569)) (-635 (-569)))) (-15 -4504 ((-900 (-569)) (-918))) (-15 -4504 ((-900 (-569)) (-635 (-569)))) (-15 -3543 ((-900 (-569)) (-635 (-569)))) (-15 -3543 ((-900 (-569)))) (-15 -3990 ((-900 (-569)) (-635 (-569)))) (-15 -3990 ((-900 (-569)))) (-15 -4097 ((-900 (-569)) (-635 (-569)))) (-15 -4097 ((-900 (-569)))) (-15 -1353 ((-900 (-569)) (-635 (-569)))) (-15 -1353 ((-900 (-569)))) (-15 -2775 ((-900 (-569)) (-635 (-569)))) (-15 -2775 ((-900 (-569)))) (-15 -1623 ((-900 (-569)) (-635 (-569)))) (-15 -1623 ((-900 (-569)))) (-15 -3980 ((-900 (-569)))) (-15 -4094 ((-900 (-569)) (-635 (-569)))) (-15 -4094 ((-900 (-569)) (-973)))) 
+((-3933 (((-635 (-954 |#1|)) (-635 (-954 |#1|)) (-635 (-1163))) 10)) (-3196 (((-635 (-954 |#1|)) (-635 (-954 |#1|)) (-635 (-1163))) 9))) 
+(((-915 |#1|) (-10 -7 (-15 -3196 ((-635 (-954 |#1|)) (-635 (-954 |#1|)) (-635 (-1163)))) (-15 -3933 ((-635 (-954 |#1|)) (-635 (-954 |#1|)) (-635 (-1163))))) (-454)) (T -915)) 
+((-3933 (*1 *2 *2 *3) (-12 (-5 *2 (-635 (-954 *4))) (-5 *3 (-635 (-1163))) (-4 *4 (-454)) (-5 *1 (-915 *4)))) (-3196 (*1 *2 *2 *3) (-12 (-5 *2 (-635 (-954 *4))) (-5 *3 (-635 (-1163))) (-4 *4 (-454)) (-5 *1 (-915 *4))))) 
+(-10 -7 (-15 -3196 ((-635 (-954 |#1|)) (-635 (-954 |#1|)) (-635 (-1163)))) (-15 -3933 ((-635 (-954 |#1|)) (-635 (-954 |#1|)) (-635 (-1163))))) 
+((-2185 (((-311 |#1|) (-490)) 15))) 
+(((-916 |#1|) (-10 -7 (-15 -2185 ((-311 |#1|) (-490)))) (-13 (-843) (-559))) (T -916)) 
+((-2185 (*1 *2 *3) (-12 (-5 *3 (-490)) (-5 *2 (-311 *4)) (-5 *1 (-916 *4)) (-4 *4 (-13 (-843) (-559)))))) 
+(-10 -7 (-15 -2185 ((-311 |#1|) (-490)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-1407 (((-121) $) 30)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-917) (-1278)) (T -917)) 
+((-4332 (*1 *2 *3) (-12 (-4 *1 (-917)) (-5 *2 (-2 (|:| -4140 (-635 *1)) (|:| -1809 *1))) (-5 *3 (-635 *1)))) (-4074 (*1 *2 *2 *1) (|partial| -12 (-5 *2 (-635 *1)) (-4 *1 (-917))))) 
+(-13 (-454) (-10 -8 (-15 -4332 ((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $))) (-15 -4074 ((-3 (-635 $) "failed") (-635 $) $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-173) . T) ((-286) . T) ((-454) . T) ((-559) . T) ((-638 $) . T) ((-708 $) . T) ((-717) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) NIL)) (-1407 (((-121) $) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2714 (($ $ $) NIL)) (-2185 (((-851) $) NIL)) (-2427 (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (-1556 (($) NIL T CONST)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (* (($ (-918) $) NIL) (($ $ $) NIL))) 
+(((-918) (-13 (-25) (-843) (-717) (-10 -8 (-15 -2714 ($ $ $)) (-6 (-4537 "*"))))) (T -918)) 
+((-2714 (*1 *1 *1 *1) (-5 *1 (-918)))) 
+(-13 (-25) (-843) (-717) (-10 -8 (-15 -2714 ($ $ $)) (-6 (-4537 "*")))) 
+((-2497 ((|#2| (-635 |#1|) (-635 |#1|)) 22))) 
+(((-919 |#1| |#2|) (-10 -7 (-15 -2497 (|#2| (-635 |#1|) (-635 |#1|)))) (-366) (-1222 |#1|)) (T -919)) 
+((-2497 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-4 *2 (-1222 *4)) (-5 *1 (-919 *4 *2))))) 
+(-10 -7 (-15 -2497 (|#2| (-635 |#1|) (-635 |#1|)))) 
+((-2479 (((-1159 |#2|) (-635 |#2|) (-635 |#2|)) 17) (((-1219 |#1| |#2|) (-1219 |#1| |#2|) (-635 |#2|) (-635 |#2|)) 13))) 
+(((-920 |#1| |#2|) (-10 -7 (-15 -2479 ((-1219 |#1| |#2|) (-1219 |#1| |#2|) (-635 |#2|) (-635 |#2|))) (-15 -2479 ((-1159 |#2|) (-635 |#2|) (-635 |#2|)))) (-1163) (-366)) (T -920)) 
+((-2479 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-366)) (-5 *2 (-1159 *5)) (-5 *1 (-920 *4 *5)) (-14 *4 (-1163)))) (-2479 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1219 *4 *5)) (-5 *3 (-635 *5)) (-14 *4 (-1163)) (-4 *5 (-366)) (-5 *1 (-920 *4 *5))))) 
+(-10 -7 (-15 -2479 ((-1219 |#1| |#2|) (-1219 |#1| |#2|) (-635 |#2|) (-635 |#2|))) (-15 -2479 ((-1159 |#2|) (-635 |#2|) (-635 |#2|)))) 
+((-2568 (((-121) $ $) 7)) (-2145 (((-1252) $ (-635 |#2|)) 19)) (-4147 (((-635 $)) 14)) (-2162 (((-1252) $ (-918)) 18)) (-1774 (((-237 $) (-635 $)) 23)) (-3028 (((-635 |#2|) $) 20)) (-3486 (((-121) $) 17)) (-2776 (((-1145) $) 9)) (-3584 (((-1252) $) 16)) (-3360 (((-1109) $) 10)) (-2188 (((-635 $)) 15)) (-1534 ((|#1| $ (-569)) 13)) (-2492 (((-918) $) 12)) (-2946 (($ (-635 |#1|)) 22) (($ (-1163)) 21)) (-2185 (((-851) $) 11)) (-1668 (((-121) $ $) 6)) (-1711 (((-237 $) $ $) 28) (((-237 $) (-237 $) $) 27) (((-237 $) $ (-237 $)) 26) (((-237 $) $) 25)) (-1707 (((-237 $) $ $) 31) (((-237 $) (-237 $) $) 30) (((-237 $) $ (-237 $)) 29)) (* (((-237 $) (-569) $) 24))) 
+(((-921 |#1| |#2|) (-1278) (-366) (-642 |t#1|)) (T -921)) 
+((-1707 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)))) (-1707 (*1 *2 *2 *1) (-12 (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) (-1707 (*1 *2 *1 *2) (-12 (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) (-1711 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)))) (-1711 (*1 *2 *2 *1) (-12 (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) (-1711 (*1 *2 *1 *2) (-12 (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) (-1711 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)))) (* (*1 *2 *3 *1) (-12 (-5 *3 (-569)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-237 *1)) (-4 *1 (-921 *4 *5)))) (-1774 (*1 *2 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-921 *4 *5)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-237 *1)))) (-2946 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-921 *3 *4)) (-4 *4 (-642 *3)))) (-2946 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-4 *3 (-366)) (-4 *1 (-921 *3 *4)) (-4 *4 (-642 *3)))) (-3028 (*1 *2 *1) (-12 (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-635 *4)))) (-2145 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *5)) (-4 *1 (-921 *4 *5)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-1252)))) (-2162 (*1 *2 *1 *3) (-12 (-5 *3 (-918)) (-4 *1 (-921 *4 *5)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-1252)))) (-3486 (*1 *2 *1) (-12 (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-121)))) (-3584 (*1 *2 *1) (-12 (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-1252)))) (-2188 (*1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-635 *1)) (-4 *1 (-921 *3 *4)))) (-4147 (*1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-635 *1)) (-4 *1 (-921 *3 *4)))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-921 *2 *4)) (-4 *4 (-642 *2)) (-4 *2 (-366))))) 
+(-13 (-1089) (-10 -8 (-15 -1707 ((-237 $) $ $)) (-15 -1707 ((-237 $) (-237 $) $)) (-15 -1707 ((-237 $) $ (-237 $))) (-15 -1711 ((-237 $) $ $)) (-15 -1711 ((-237 $) (-237 $) $)) (-15 -1711 ((-237 $) $ (-237 $))) (-15 -1711 ((-237 $) $)) (-15 * ((-237 $) (-569) $)) (-15 -1774 ((-237 $) (-635 $))) (-15 -2946 ($ (-635 |t#1|))) (-15 -2946 ($ (-1163))) (-15 -3028 ((-635 |t#2|) $)) (-15 -2145 ((-1252) $ (-635 |t#2|))) (-15 -2162 ((-1252) $ (-918))) (-15 -3486 ((-121) $)) (-15 -3584 ((-1252) $)) (-15 -2188 ((-635 $))) (-15 -4147 ((-635 $))) (-15 -1534 (|t#1| $ (-569))))) 
+(((-105) . T) ((-609 (-851)) . T) ((-1091) . T) ((-1089) . T)) 
+((-2568 (((-121) $ $) NIL)) (-2145 (((-1252) $ (-635 (-775 |#1|))) NIL)) (-4147 (((-635 $)) NIL)) (-2162 (((-1252) $ (-918)) NIL)) (-1774 (((-237 $) (-635 $)) NIL)) (-3028 (((-635 (-775 |#1|)) $) NIL)) (-3486 (((-121) $) NIL)) (-2776 (((-1145) $) NIL)) (-3584 (((-1252) $) NIL)) (-3360 (((-1109) $) NIL)) (-2188 (((-635 $)) NIL)) (-1534 ((|#1| $ (-569)) NIL)) (-2492 (((-918) $) NIL)) (-2946 (($ (-635 |#1|)) NIL) (($ (-1163)) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL)) (-1711 (((-237 $) $ $) NIL) (((-237 $) (-237 $) $) NIL) (((-237 $) $ (-237 $)) NIL) (((-237 $) $) NIL)) (-1707 (((-237 $) $ $) NIL) (((-237 $) (-237 $) $) NIL) (((-237 $) $ (-237 $)) NIL)) (* (((-237 $) (-569) $) NIL))) 
+(((-922 |#1|) (-921 |#1| (-775 |#1|)) (-366)) (T -922)) 
+NIL 
+(-921 |#1| (-775 |#1|)) 
+((-2568 (((-121) $ $) NIL)) (-2145 (((-1252) $ (-635 (-775 (-858 |#1|)))) NIL)) (-4147 (((-635 $)) NIL)) (-2162 (((-1252) $ (-918)) NIL)) (-1774 (((-237 $) (-635 $)) NIL)) (-3028 (((-635 (-775 (-858 |#1|))) $) NIL)) (-3486 (((-121) $) NIL)) (-2776 (((-1145) $) NIL)) (-3584 (((-1252) $) NIL)) (-3360 (((-1109) $) NIL)) (-2188 (((-635 $)) NIL)) (-1534 (((-858 |#1|) $ (-569)) NIL)) (-2492 (((-918) $) NIL)) (-2946 (($ (-635 (-858 |#1|))) NIL) (($ (-1163)) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL)) (-1711 (((-237 $) $ $) NIL) (((-237 $) (-237 $) $) NIL) (((-237 $) $ (-237 $)) NIL) (((-237 $) $) NIL)) (-1707 (((-237 $) $ $) NIL) (((-237 $) (-237 $) $) NIL) (((-237 $) $ (-237 $)) NIL)) (* (((-237 $) (-569) $) NIL))) 
+(((-923 |#1|) (-921 (-858 |#1|) (-775 (-858 |#1|))) (-351)) (T -923)) 
+NIL 
+(-921 (-858 |#1|) (-775 (-858 |#1|))) 
+((-2568 (((-121) $ $) NIL)) (-2145 (((-1252) $ (-635 |#2|)) 73)) (-4147 (((-635 $)) 62)) (-2162 (((-1252) $ (-918)) 71)) (-1774 (((-237 $) (-635 $)) 27)) (-3028 (((-635 |#2|) $) 74)) (-3486 (((-121) $) 54)) (-2776 (((-1145) $) NIL)) (-3584 (((-1252) $) 57)) (-3360 (((-1109) $) NIL)) (-2188 (((-635 $)) 59)) (-1534 ((|#1| $ (-569)) 53)) (-2492 (((-918) $) 42)) (-2946 (($ (-635 |#1|)) 69) (($ (-1163)) 70)) (-2185 (((-851) $) 45)) (-1668 (((-121) $ $) 50)) (-1711 (((-237 $) $ $) 18) (((-237 $) (-237 $) $) 30) (((-237 $) $ (-237 $)) 31) (((-237 $) $) 33)) (-1707 (((-237 $) $ $) 16) (((-237 $) (-237 $) $) 28) (((-237 $) $ (-237 $)) 29)) (* (((-237 $) (-569) $) 21))) 
+(((-924 |#1| |#2|) (-921 |#1| |#2|) (-366) (-642 |#1|)) (T -924)) 
+NIL 
+(-921 |#1| |#2|) 
+((-4355 (((-569) (-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-1145)) 137)) (-4425 ((|#4| |#4|) 153)) (-1335 (((-635 (-410 (-954 |#1|))) (-635 (-1163))) 116)) (-2294 (((-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))))) (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))) (-680 |#4|) (-635 (-410 (-954 |#1|))) (-635 (-635 |#4|)) (-764) (-764) (-569)) 73)) (-2600 (((-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))) (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))) (-635 |#4|)) 57)) (-2057 (((-680 |#4|) (-680 |#4|) (-635 |#4|)) 53)) (-2219 (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-1145)) 149)) (-3046 (((-569) (-680 |#4|) (-918) (-1145)) 130) (((-569) (-680 |#4|) (-635 (-1163)) (-918) (-1145)) 129) (((-569) (-680 |#4|) (-635 |#4|) (-918) (-1145)) 128) (((-569) (-680 |#4|) (-1145)) 125) (((-569) (-680 |#4|) (-635 (-1163)) (-1145)) 124) (((-569) (-680 |#4|) (-635 |#4|) (-1145)) 123) (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-918)) 122) (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-635 (-1163)) (-918)) 121) (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-635 |#4|) (-918)) 120) (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|)) 118) (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-635 (-1163))) 117) (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-635 |#4|)) 114)) (-1522 ((|#4| (-954 |#1|)) 66)) (-3823 (((-121) (-635 |#4|) (-635 (-635 |#4|))) 150)) (-1510 (((-635 (-635 (-569))) (-569) (-569)) 127)) (-1444 (((-635 (-635 |#4|)) (-635 (-635 |#4|))) 85)) (-2457 (((-764) (-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|))))) 83)) (-4078 (((-764) (-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|))))) 82)) (-3109 (((-121) (-635 (-954 |#1|))) 17) (((-121) (-635 |#4|)) 13)) (-2273 (((-2 (|:| |sysok| (-121)) (|:| |z0| (-635 |#4|)) (|:| |n0| (-635 |#4|))) (-635 |#4|) (-635 |#4|)) 69)) (-2813 (((-635 |#4|) |#4|) 47)) (-4054 (((-635 (-410 (-954 |#1|))) (-635 |#4|)) 112) (((-680 (-410 (-954 |#1|))) (-680 |#4|)) 54) (((-410 (-954 |#1|)) |#4|) 109)) (-1611 (((-2 (|:| |rgl| (-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))))))) (|:| |rgsz| (-569))) (-680 |#4|) (-635 (-410 (-954 |#1|))) (-764) (-1145) (-569)) 89)) (-1316 (((-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))) (-680 |#4|) (-764)) 81)) (-3789 (((-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-680 |#4|) (-764)) 98)) (-2656 (((-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))) (-2 (|:| -3477 (-680 (-410 (-954 |#1|)))) (|:| |vec| (-635 (-410 (-954 |#1|)))) (|:| -1321 (-764)) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) 46))) 
+(((-925 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3046 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-635 |#4|))) (-15 -3046 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-635 (-1163)))) (-15 -3046 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|))) (-15 -3046 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-635 |#4|) (-918))) (-15 -3046 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-635 (-1163)) (-918))) (-15 -3046 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-918))) (-15 -3046 ((-569) (-680 |#4|) (-635 |#4|) (-1145))) (-15 -3046 ((-569) (-680 |#4|) (-635 (-1163)) (-1145))) (-15 -3046 ((-569) (-680 |#4|) (-1145))) (-15 -3046 ((-569) (-680 |#4|) (-635 |#4|) (-918) (-1145))) (-15 -3046 ((-569) (-680 |#4|) (-635 (-1163)) (-918) (-1145))) (-15 -3046 ((-569) (-680 |#4|) (-918) (-1145))) (-15 -4355 ((-569) (-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-1145))) (-15 -2219 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-1145))) (-15 -1611 ((-2 (|:| |rgl| (-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))))))) (|:| |rgsz| (-569))) (-680 |#4|) (-635 (-410 (-954 |#1|))) (-764) (-1145) (-569))) (-15 -4054 ((-410 (-954 |#1|)) |#4|)) (-15 -4054 ((-680 (-410 (-954 |#1|))) (-680 |#4|))) (-15 -4054 ((-635 (-410 (-954 |#1|))) (-635 |#4|))) (-15 -1335 ((-635 (-410 (-954 |#1|))) (-635 (-1163)))) (-15 -1522 (|#4| (-954 |#1|))) (-15 -2273 ((-2 (|:| |sysok| (-121)) (|:| |z0| (-635 |#4|)) (|:| |n0| (-635 |#4|))) (-635 |#4|) (-635 |#4|))) (-15 -1316 ((-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))) (-680 |#4|) (-764))) (-15 -2600 ((-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))) (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))) (-635 |#4|))) (-15 -2656 ((-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))) (-2 (|:| -3477 (-680 (-410 (-954 |#1|)))) (|:| |vec| (-635 (-410 (-954 |#1|)))) (|:| -1321 (-764)) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (-15 -2813 ((-635 |#4|) |#4|)) (-15 -4078 ((-764) (-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))))) (-15 -2457 ((-764) (-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))))) (-15 -1444 ((-635 (-635 |#4|)) (-635 (-635 |#4|)))) (-15 -1510 ((-635 (-635 (-569))) (-569) (-569))) (-15 -3823 ((-121) (-635 |#4|) (-635 (-635 |#4|)))) (-15 -3789 ((-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-680 |#4|) (-764))) (-15 -2057 ((-680 |#4|) (-680 |#4|) (-635 |#4|))) (-15 -2294 ((-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))))) (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))) (-680 |#4|) (-635 (-410 (-954 |#1|))) (-635 (-635 |#4|)) (-764) (-764) (-569))) (-15 -4425 (|#4| |#4|)) (-15 -3109 ((-121) (-635 |#4|))) (-15 -3109 ((-121) (-635 (-954 |#1|))))) (-13 (-302) (-151)) (-13 (-843) (-610 (-1163))) (-789) (-951 |#1| |#3| |#2|)) (T -925)) 
+((-3109 (*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-121)) (-5 *1 (-925 *4 *5 *6 *7)) (-4 *7 (-951 *4 *6 *5)))) (-3109 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-121)) (-5 *1 (-925 *4 *5 *6 *7)))) (-4425 (*1 *2 *2) (-12 (-4 *3 (-13 (-302) (-151))) (-4 *4 (-13 (-843) (-610 (-1163)))) (-4 *5 (-789)) (-5 *1 (-925 *3 *4 *5 *2)) (-4 *2 (-951 *3 *5 *4)))) (-2294 (*1 *2 *3 *4 *5 *6 *7 *7 *8) (-12 (-5 *3 (-2 (|:| |det| *12) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-5 *4 (-680 *12)) (-5 *5 (-635 (-410 (-954 *9)))) (-5 *6 (-635 (-635 *12))) (-5 *7 (-764)) (-5 *8 (-569)) (-4 *9 (-13 (-302) (-151))) (-4 *12 (-951 *9 *11 *10)) (-4 *10 (-13 (-843) (-610 (-1163)))) (-4 *11 (-789)) (-5 *2 (-2 (|:| |eqzro| (-635 *12)) (|:| |neqzro| (-635 *12)) (|:| |wcond| (-635 (-954 *9))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *9)))) (|:| -3930 (-635 (-1247 (-410 (-954 *9))))))))) (-5 *1 (-925 *9 *10 *11 *12)))) (-2057 (*1 *2 *2 *3) (-12 (-5 *2 (-680 *7)) (-5 *3 (-635 *7)) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *1 (-925 *4 *5 *6 *7)))) (-3789 (*1 *2 *3 *4) (-12 (-5 *3 (-680 *8)) (-5 *4 (-764)) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-635 (-2 (|:| |det| *8) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (-5 *1 (-925 *5 *6 *7 *8)))) (-3823 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-635 *8))) (-5 *3 (-635 *8)) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-121)) (-5 *1 (-925 *5 *6 *7 *8)))) (-1510 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-635 (-635 (-569)))) (-5 *1 (-925 *4 *5 *6 *7)) (-5 *3 (-569)) (-4 *7 (-951 *4 *6 *5)))) (-1444 (*1 *2 *2) (-12 (-5 *2 (-635 (-635 *6))) (-4 *6 (-951 *3 *5 *4)) (-4 *3 (-13 (-302) (-151))) (-4 *4 (-13 (-843) (-610 (-1163)))) (-4 *5 (-789)) (-5 *1 (-925 *3 *4 *5 *6)))) (-2457 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| *7) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 *7))))) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-764)) (-5 *1 (-925 *4 *5 *6 *7)))) (-4078 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| *7) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 *7))))) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-764)) (-5 *1 (-925 *4 *5 *6 *7)))) (-2813 (*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-635 *3)) (-5 *1 (-925 *4 *5 *6 *3)) (-4 *3 (-951 *4 *6 *5)))) (-2656 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -3477 (-680 (-410 (-954 *4)))) (|:| |vec| (-635 (-410 (-954 *4)))) (|:| -1321 (-764)) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-2 (|:| |partsol| (-1247 (-410 (-954 *4)))) (|:| -3930 (-635 (-1247 (-410 (-954 *4))))))) (-5 *1 (-925 *4 *5 *6 *7)) (-4 *7 (-951 *4 *6 *5)))) (-2600 (*1 *2 *2 *3) (-12 (-5 *2 (-2 (|:| |partsol| (-1247 (-410 (-954 *4)))) (|:| -3930 (-635 (-1247 (-410 (-954 *4))))))) (-5 *3 (-635 *7)) (-4 *4 (-13 (-302) (-151))) (-4 *7 (-951 *4 *6 *5)) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *1 (-925 *4 *5 *6 *7)))) (-1316 (*1 *2 *3 *4) (-12 (-5 *3 (-680 *8)) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| *8) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 *8))))) (-5 *1 (-925 *5 *6 *7 *8)) (-5 *4 (-764)))) (-2273 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-4 *7 (-951 *4 *6 *5)) (-5 *2 (-2 (|:| |sysok| (-121)) (|:| |z0| (-635 *7)) (|:| |n0| (-635 *7)))) (-5 *1 (-925 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-1522 (*1 *2 *3) (-12 (-5 *3 (-954 *4)) (-4 *4 (-13 (-302) (-151))) (-4 *2 (-951 *4 *6 *5)) (-5 *1 (-925 *4 *5 *6 *2)) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)))) (-1335 (*1 *2 *3) (-12 (-5 *3 (-635 (-1163))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-635 (-410 (-954 *4)))) (-5 *1 (-925 *4 *5 *6 *7)) (-4 *7 (-951 *4 *6 *5)))) (-4054 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-635 (-410 (-954 *4)))) (-5 *1 (-925 *4 *5 *6 *7)))) (-4054 (*1 *2 *3) (-12 (-5 *3 (-680 *7)) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-680 (-410 (-954 *4)))) (-5 *1 (-925 *4 *5 *6 *7)))) (-4054 (*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-410 (-954 *4))) (-5 *1 (-925 *4 *5 *6 *3)) (-4 *3 (-951 *4 *6 *5)))) (-1611 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-680 *11)) (-5 *4 (-635 (-410 (-954 *8)))) (-5 *5 (-764)) (-5 *6 (-1145)) (-4 *8 (-13 (-302) (-151))) (-4 *11 (-951 *8 *10 *9)) (-4 *9 (-13 (-843) (-610 (-1163)))) (-4 *10 (-789)) (-5 *2 (-2 (|:| |rgl| (-635 (-2 (|:| |eqzro| (-635 *11)) (|:| |neqzro| (-635 *11)) (|:| |wcond| (-635 (-954 *8))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *8)))) (|:| -3930 (-635 (-1247 (-410 (-954 *8)))))))))) (|:| |rgsz| (-569)))) (-5 *1 (-925 *8 *9 *10 *11)) (-5 *7 (-569)))) (-2219 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *7)) (|:| |neqzro| (-635 *7)) (|:| |wcond| (-635 (-954 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *4)))) (|:| -3930 (-635 (-1247 (-410 (-954 *4)))))))))) (-5 *1 (-925 *4 *5 *6 *7)) (-4 *7 (-951 *4 *6 *5)))) (-4355 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-954 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *5)))) (|:| -3930 (-635 (-1247 (-410 (-954 *5)))))))))) (-5 *4 (-1145)) (-4 *5 (-13 (-302) (-151))) (-4 *8 (-951 *5 *7 *6)) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *5 *6 *7 *8)))) (-3046 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *9)) (-5 *4 (-918)) (-5 *5 (-1145)) (-4 *9 (-951 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-843) (-610 (-1163)))) (-4 *8 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *6 *7 *8 *9)))) (-3046 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-680 *10)) (-5 *4 (-635 (-1163))) (-5 *5 (-918)) (-5 *6 (-1145)) (-4 *10 (-951 *7 *9 *8)) (-4 *7 (-13 (-302) (-151))) (-4 *8 (-13 (-843) (-610 (-1163)))) (-4 *9 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *7 *8 *9 *10)))) (-3046 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-680 *10)) (-5 *4 (-635 *10)) (-5 *5 (-918)) (-5 *6 (-1145)) (-4 *10 (-951 *7 *9 *8)) (-4 *7 (-13 (-302) (-151))) (-4 *8 (-13 (-843) (-610 (-1163)))) (-4 *9 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *7 *8 *9 *10)))) (-3046 (*1 *2 *3 *4) (-12 (-5 *3 (-680 *8)) (-5 *4 (-1145)) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *5 *6 *7 *8)))) (-3046 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *9)) (-5 *4 (-635 (-1163))) (-5 *5 (-1145)) (-4 *9 (-951 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-843) (-610 (-1163)))) (-4 *8 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *6 *7 *8 *9)))) (-3046 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *9)) (-5 *4 (-635 *9)) (-5 *5 (-1145)) (-4 *9 (-951 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-843) (-610 (-1163)))) (-4 *8 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *6 *7 *8 *9)))) (-3046 (*1 *2 *3 *4) (-12 (-5 *3 (-680 *8)) (-5 *4 (-918)) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-954 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *5)))) (|:| -3930 (-635 (-1247 (-410 (-954 *5)))))))))) (-5 *1 (-925 *5 *6 *7 *8)))) (-3046 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *9)) (-5 *4 (-635 (-1163))) (-5 *5 (-918)) (-4 *9 (-951 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-843) (-610 (-1163)))) (-4 *8 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *9)) (|:| |neqzro| (-635 *9)) (|:| |wcond| (-635 (-954 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *6)))) (|:| -3930 (-635 (-1247 (-410 (-954 *6)))))))))) (-5 *1 (-925 *6 *7 *8 *9)))) (-3046 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *9)) (-5 *5 (-918)) (-4 *9 (-951 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-843) (-610 (-1163)))) (-4 *8 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *9)) (|:| |neqzro| (-635 *9)) (|:| |wcond| (-635 (-954 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *6)))) (|:| -3930 (-635 (-1247 (-410 (-954 *6)))))))))) (-5 *1 (-925 *6 *7 *8 *9)) (-5 *4 (-635 *9)))) (-3046 (*1 *2 *3) (-12 (-5 *3 (-680 *7)) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *7)) (|:| |neqzro| (-635 *7)) (|:| |wcond| (-635 (-954 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *4)))) (|:| -3930 (-635 (-1247 (-410 (-954 *4)))))))))) (-5 *1 (-925 *4 *5 *6 *7)))) (-3046 (*1 *2 *3 *4) (-12 (-5 *3 (-680 *8)) (-5 *4 (-635 (-1163))) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-954 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *5)))) (|:| -3930 (-635 (-1247 (-410 (-954 *5)))))))))) (-5 *1 (-925 *5 *6 *7 *8)))) (-3046 (*1 *2 *3 *4) (-12 (-5 *3 (-680 *8)) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-954 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *5)))) (|:| -3930 (-635 (-1247 (-410 (-954 *5)))))))))) (-5 *1 (-925 *5 *6 *7 *8)) (-5 *4 (-635 *8))))) 
+(-10 -7 (-15 -3046 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-635 |#4|))) (-15 -3046 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-635 (-1163)))) (-15 -3046 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|))) (-15 -3046 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-635 |#4|) (-918))) (-15 -3046 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-635 (-1163)) (-918))) (-15 -3046 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-918))) (-15 -3046 ((-569) (-680 |#4|) (-635 |#4|) (-1145))) (-15 -3046 ((-569) (-680 |#4|) (-635 (-1163)) (-1145))) (-15 -3046 ((-569) (-680 |#4|) (-1145))) (-15 -3046 ((-569) (-680 |#4|) (-635 |#4|) (-918) (-1145))) (-15 -3046 ((-569) (-680 |#4|) (-635 (-1163)) (-918) (-1145))) (-15 -3046 ((-569) (-680 |#4|) (-918) (-1145))) (-15 -4355 ((-569) (-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-1145))) (-15 -2219 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-1145))) (-15 -1611 ((-2 (|:| |rgl| (-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))))))) (|:| |rgsz| (-569))) (-680 |#4|) (-635 (-410 (-954 |#1|))) (-764) (-1145) (-569))) (-15 -4054 ((-410 (-954 |#1|)) |#4|)) (-15 -4054 ((-680 (-410 (-954 |#1|))) (-680 |#4|))) (-15 -4054 ((-635 (-410 (-954 |#1|))) (-635 |#4|))) (-15 -1335 ((-635 (-410 (-954 |#1|))) (-635 (-1163)))) (-15 -1522 (|#4| (-954 |#1|))) (-15 -2273 ((-2 (|:| |sysok| (-121)) (|:| |z0| (-635 |#4|)) (|:| |n0| (-635 |#4|))) (-635 |#4|) (-635 |#4|))) (-15 -1316 ((-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))) (-680 |#4|) (-764))) (-15 -2600 ((-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))) (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))) (-635 |#4|))) (-15 -2656 ((-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))) (-2 (|:| -3477 (-680 (-410 (-954 |#1|)))) (|:| |vec| (-635 (-410 (-954 |#1|)))) (|:| -1321 (-764)) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (-15 -2813 ((-635 |#4|) |#4|)) (-15 -4078 ((-764) (-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))))) (-15 -2457 ((-764) (-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))))) (-15 -1444 ((-635 (-635 |#4|)) (-635 (-635 |#4|)))) (-15 -1510 ((-635 (-635 (-569))) (-569) (-569))) (-15 -3823 ((-121) (-635 |#4|) (-635 (-635 |#4|)))) (-15 -3789 ((-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-680 |#4|) (-764))) (-15 -2057 ((-680 |#4|) (-680 |#4|) (-635 |#4|))) (-15 -2294 ((-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))))) (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))) (-680 |#4|) (-635 (-410 (-954 |#1|))) (-635 (-635 |#4|)) (-764) (-764) (-569))) (-15 -4425 (|#4| |#4|)) (-15 -3109 ((-121) (-635 |#4|))) (-15 -3109 ((-121) (-635 (-954 |#1|))))) 
+((-4388 (((-928) |#1| (-1163)) 16) (((-928) |#1| (-1163) (-1085 (-216))) 20)) (-4438 (((-928) |#1| |#1| (-1163) (-1085 (-216))) 18) (((-928) |#1| (-1163) (-1085 (-216))) 14))) 
+(((-926 |#1|) (-10 -7 (-15 -4438 ((-928) |#1| (-1163) (-1085 (-216)))) (-15 -4438 ((-928) |#1| |#1| (-1163) (-1085 (-216)))) (-15 -4388 ((-928) |#1| (-1163) (-1085 (-216)))) (-15 -4388 ((-928) |#1| (-1163)))) (-610 (-542))) (T -926)) 
+((-4388 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-5 *2 (-928)) (-5 *1 (-926 *3)) (-4 *3 (-610 (-542))))) (-4388 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1163)) (-5 *5 (-1085 (-216))) (-5 *2 (-928)) (-5 *1 (-926 *3)) (-4 *3 (-610 (-542))))) (-4438 (*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-1163)) (-5 *5 (-1085 (-216))) (-5 *2 (-928)) (-5 *1 (-926 *3)) (-4 *3 (-610 (-542))))) (-4438 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1163)) (-5 *5 (-1085 (-216))) (-5 *2 (-928)) (-5 *1 (-926 *3)) (-4 *3 (-610 (-542)))))) 
+(-10 -7 (-15 -4438 ((-928) |#1| (-1163) (-1085 (-216)))) (-15 -4438 ((-928) |#1| |#1| (-1163) (-1085 (-216)))) (-15 -4388 ((-928) |#1| (-1163) (-1085 (-216)))) (-15 -4388 ((-928) |#1| (-1163)))) 
+((-2798 (($ $ (-1085 (-216)) (-1085 (-216)) (-1085 (-216))) 68)) (-3080 (((-1085 (-216)) $) 40)) (-3740 (((-1085 (-216)) $) 39)) (-3495 (((-1085 (-216)) $) 38)) (-2068 (((-635 (-635 (-216))) $) 43)) (-2914 (((-1085 (-216)) $) 41)) (-2274 (((-569) (-569)) 32)) (-1800 (((-569) (-569)) 28)) (-4143 (((-569) (-569)) 30)) (-2425 (((-121) (-121)) 35)) (-2647 (((-569)) 31)) (-1595 (($ $ (-1085 (-216))) 71) (($ $) 72)) (-1857 (($ (-1 (-945 (-216)) (-216)) (-1085 (-216))) 76) (($ (-1 (-945 (-216)) (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216))) 77)) (-4438 (($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1085 (-216))) 79) (($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216))) 80) (($ $ (-1085 (-216))) 74)) (-1887 (((-569)) 36)) (-3395 (((-569)) 27)) (-1728 (((-569)) 29)) (-2707 (((-635 (-635 (-945 (-216)))) $) 92)) (-2353 (((-121) (-121)) 37)) (-2185 (((-851) $) 91)) (-2154 (((-121)) 34))) 
+(((-927) (-13 (-976) (-10 -8 (-15 -1857 ($ (-1 (-945 (-216)) (-216)) (-1085 (-216)))) (-15 -1857 ($ (-1 (-945 (-216)) (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)))) (-15 -4438 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1085 (-216)))) (-15 -4438 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)))) (-15 -4438 ($ $ (-1085 (-216)))) (-15 -2798 ($ $ (-1085 (-216)) (-1085 (-216)) (-1085 (-216)))) (-15 -1595 ($ $ (-1085 (-216)))) (-15 -1595 ($ $)) (-15 -2914 ((-1085 (-216)) $)) (-15 -2068 ((-635 (-635 (-216))) $)) (-15 -3395 ((-569))) (-15 -1800 ((-569) (-569))) (-15 -1728 ((-569))) (-15 -4143 ((-569) (-569))) (-15 -2647 ((-569))) (-15 -2274 ((-569) (-569))) (-15 -2154 ((-121))) (-15 -2425 ((-121) (-121))) (-15 -1887 ((-569))) (-15 -2353 ((-121) (-121)))))) (T -927)) 
+((-1857 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-945 (-216)) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-927)))) (-1857 (*1 *1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-945 (-216)) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-927)))) (-4438 (*1 *1 *2 *2 *2 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-927)))) (-4438 (*1 *1 *2 *2 *2 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-927)))) (-4438 (*1 *1 *1 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-927)))) (-2798 (*1 *1 *1 *2 *2 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-927)))) (-1595 (*1 *1 *1 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-927)))) (-1595 (*1 *1 *1) (-5 *1 (-927))) (-2914 (*1 *2 *1) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-927)))) (-2068 (*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-216)))) (-5 *1 (-927)))) (-3395 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927)))) (-1800 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927)))) (-1728 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927)))) (-4143 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927)))) (-2647 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927)))) (-2274 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927)))) (-2154 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-927)))) (-2425 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-927)))) (-1887 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927)))) (-2353 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-927))))) 
+(-13 (-976) (-10 -8 (-15 -1857 ($ (-1 (-945 (-216)) (-216)) (-1085 (-216)))) (-15 -1857 ($ (-1 (-945 (-216)) (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)))) (-15 -4438 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1085 (-216)))) (-15 -4438 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)))) (-15 -4438 ($ $ (-1085 (-216)))) (-15 -2798 ($ $ (-1085 (-216)) (-1085 (-216)) (-1085 (-216)))) (-15 -1595 ($ $ (-1085 (-216)))) (-15 -1595 ($ $)) (-15 -2914 ((-1085 (-216)) $)) (-15 -2068 ((-635 (-635 (-216))) $)) (-15 -3395 ((-569))) (-15 -1800 ((-569) (-569))) (-15 -1728 ((-569))) (-15 -4143 ((-569) (-569))) (-15 -2647 ((-569))) (-15 -2274 ((-569) (-569))) (-15 -2154 ((-121))) (-15 -2425 ((-121) (-121))) (-15 -1887 ((-569))) (-15 -2353 ((-121) (-121))))) 
+((-2798 (($ $ (-1085 (-216))) 69) (($ $ (-1085 (-216)) (-1085 (-216))) 70)) (-3740 (((-1085 (-216)) $) 43)) (-3495 (((-1085 (-216)) $) 42)) (-2914 (((-1085 (-216)) $) 44)) (-3489 (((-569) (-569)) 36)) (-2682 (((-569) (-569)) 32)) (-4396 (((-569) (-569)) 34)) (-3970 (((-121) (-121)) 38)) (-4319 (((-569)) 35)) (-1595 (($ $ (-1085 (-216))) 73) (($ $) 74)) (-1857 (($ (-1 (-945 (-216)) (-216)) (-1085 (-216))) 83) (($ (-1 (-945 (-216)) (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216))) 84)) (-4388 (($ (-1 (-216) (-216)) (-1085 (-216))) 91) (($ (-1 (-216) (-216))) 94)) (-4438 (($ (-1 (-216) (-216)) (-1085 (-216))) 78) (($ (-1 (-216) (-216)) (-1085 (-216)) (-1085 (-216))) 79) (($ (-635 (-1 (-216) (-216))) (-1085 (-216))) 86) (($ (-635 (-1 (-216) (-216))) (-1085 (-216)) (-1085 (-216))) 87) (($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1085 (-216))) 80) (($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216))) 81) (($ $ (-1085 (-216))) 75)) (-1369 (((-121) $) 39)) (-2739 (((-569)) 40)) (-2795 (((-569)) 31)) (-1329 (((-569)) 33)) (-2707 (((-635 (-635 (-945 (-216)))) $) 22)) (-2105 (((-121) (-121)) 41)) (-2185 (((-851) $) 105)) (-3999 (((-121)) 37))) 
+(((-928) (-13 (-956) (-10 -8 (-15 -4438 ($ (-1 (-216) (-216)) (-1085 (-216)))) (-15 -4438 ($ (-1 (-216) (-216)) (-1085 (-216)) (-1085 (-216)))) (-15 -4438 ($ (-635 (-1 (-216) (-216))) (-1085 (-216)))) (-15 -4438 ($ (-635 (-1 (-216) (-216))) (-1085 (-216)) (-1085 (-216)))) (-15 -4438 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1085 (-216)))) (-15 -4438 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)))) (-15 -1857 ($ (-1 (-945 (-216)) (-216)) (-1085 (-216)))) (-15 -1857 ($ (-1 (-945 (-216)) (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)))) (-15 -4388 ($ (-1 (-216) (-216)) (-1085 (-216)))) (-15 -4388 ($ (-1 (-216) (-216)))) (-15 -4438 ($ $ (-1085 (-216)))) (-15 -1369 ((-121) $)) (-15 -2798 ($ $ (-1085 (-216)))) (-15 -2798 ($ $ (-1085 (-216)) (-1085 (-216)))) (-15 -1595 ($ $ (-1085 (-216)))) (-15 -1595 ($ $)) (-15 -2914 ((-1085 (-216)) $)) (-15 -2795 ((-569))) (-15 -2682 ((-569) (-569))) (-15 -1329 ((-569))) (-15 -4396 ((-569) (-569))) (-15 -4319 ((-569))) (-15 -3489 ((-569) (-569))) (-15 -3999 ((-121))) (-15 -3970 ((-121) (-121))) (-15 -2739 ((-569))) (-15 -2105 ((-121) (-121)))))) (T -928)) 
+((-4438 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) (-4438 (*1 *1 *2 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) (-4438 (*1 *1 *2 *3) (-12 (-5 *2 (-635 (-1 (-216) (-216)))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) (-4438 (*1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-1 (-216) (-216)))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) (-4438 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) (-4438 (*1 *1 *2 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) (-1857 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-945 (-216)) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) (-1857 (*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-945 (-216)) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) (-4388 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) (-4388 (*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-928)))) (-4438 (*1 *1 *1 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-928)))) (-1369 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-928)))) (-2798 (*1 *1 *1 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-928)))) (-2798 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-928)))) (-1595 (*1 *1 *1 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-928)))) (-1595 (*1 *1 *1) (-5 *1 (-928))) (-2914 (*1 *2 *1) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-928)))) (-2795 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-2682 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-1329 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-4396 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-4319 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-3489 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-3999 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-928)))) (-3970 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-928)))) (-2739 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-2105 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-928))))) 
+(-13 (-956) (-10 -8 (-15 -4438 ($ (-1 (-216) (-216)) (-1085 (-216)))) (-15 -4438 ($ (-1 (-216) (-216)) (-1085 (-216)) (-1085 (-216)))) (-15 -4438 ($ (-635 (-1 (-216) (-216))) (-1085 (-216)))) (-15 -4438 ($ (-635 (-1 (-216) (-216))) (-1085 (-216)) (-1085 (-216)))) (-15 -4438 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1085 (-216)))) (-15 -4438 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)))) (-15 -1857 ($ (-1 (-945 (-216)) (-216)) (-1085 (-216)))) (-15 -1857 ($ (-1 (-945 (-216)) (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)))) (-15 -4388 ($ (-1 (-216) (-216)) (-1085 (-216)))) (-15 -4388 ($ (-1 (-216) (-216)))) (-15 -4438 ($ $ (-1085 (-216)))) (-15 -1369 ((-121) $)) (-15 -2798 ($ $ (-1085 (-216)))) (-15 -2798 ($ $ (-1085 (-216)) (-1085 (-216)))) (-15 -1595 ($ $ (-1085 (-216)))) (-15 -1595 ($ $)) (-15 -2914 ((-1085 (-216)) $)) (-15 -2795 ((-569))) (-15 -2682 ((-569) (-569))) (-15 -1329 ((-569))) (-15 -4396 ((-569) (-569))) (-15 -4319 ((-569))) (-15 -3489 ((-569) (-569))) (-15 -3999 ((-121))) (-15 -3970 ((-121) (-121))) (-15 -2739 ((-569))) (-15 -2105 ((-121) (-121))))) 
+((-2768 (((-635 (-1085 (-216))) (-635 (-635 (-945 (-216))))) 23))) 
+(((-929) (-10 -7 (-15 -2768 ((-635 (-1085 (-216))) (-635 (-635 (-945 (-216)))))))) (T -929)) 
+((-2768 (*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *2 (-635 (-1085 (-216)))) (-5 *1 (-929))))) 
+(-10 -7 (-15 -2768 ((-635 (-1085 (-216))) (-635 (-635 (-945 (-216))))))) 
+((-1992 ((|#2| |#2| |#5|) 39) ((|#2| |#2| |#5| (-569)) 20)) (-3541 (((-121) (-635 |#2|) |#5|) 23)) (-2646 (((-764) |#2| |#5| (-569)) 42) (((-764) |#2| |#5|) 41)) (-2951 ((|#2| |#2| |#5| (-569)) 45) ((|#2| |#2| |#5|) 44)) (-1468 ((|#1| |#2| |#5|) 21))) 
+(((-930 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3541 ((-121) (-635 |#2|) |#5|)) (-15 -1468 (|#1| |#2| |#5|)) (-15 -1992 (|#2| |#2| |#5| (-569))) (-15 -1992 (|#2| |#2| |#5|)) (-15 -2951 (|#2| |#2| |#5|)) (-15 -2951 (|#2| |#2| |#5| (-569))) (-15 -2646 ((-764) |#2| |#5|)) (-15 -2646 ((-764) |#2| |#5| (-569)))) (-366) (-325 |#1| |#3|) (-231 |#4| (-764)) (-764) (-972 |#1|)) (T -930)) 
+((-2646 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-366)) (-4 *7 (-231 *8 *2)) (-14 *8 *2) (-5 *2 (-764)) (-5 *1 (-930 *6 *3 *7 *8 *4)) (-4 *3 (-325 *6 *7)) (-4 *4 (-972 *6)))) (-2646 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-5 *2 (-764)) (-5 *1 (-930 *5 *3 *6 *7 *4)) (-4 *3 (-325 *5 *6)) (-4 *4 (-972 *5)))) (-2951 (*1 *2 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-366)) (-4 *6 (-231 *7 (-764))) (-14 *7 (-764)) (-5 *1 (-930 *5 *2 *6 *7 *3)) (-4 *2 (-325 *5 *6)) (-4 *3 (-972 *5)))) (-2951 (*1 *2 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-930 *4 *2 *5 *6 *3)) (-4 *2 (-325 *4 *5)) (-4 *3 (-972 *4)))) (-1992 (*1 *2 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-930 *4 *2 *5 *6 *3)) (-4 *2 (-325 *4 *5)) (-4 *3 (-972 *4)))) (-1992 (*1 *2 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-366)) (-4 *6 (-231 *7 (-764))) (-14 *7 (-764)) (-5 *1 (-930 *5 *2 *6 *7 *3)) (-4 *2 (-325 *5 *6)) (-4 *3 (-972 *5)))) (-1468 (*1 *2 *3 *4) (-12 (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-4 *2 (-366)) (-5 *1 (-930 *2 *3 *5 *6 *4)) (-4 *3 (-325 *2 *5)) (-4 *4 (-972 *2)))) (-3541 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-4 *6 (-325 *5 *7)) (-4 *7 (-231 *8 (-764))) (-14 *8 (-764)) (-4 *5 (-366)) (-5 *2 (-121)) (-5 *1 (-930 *5 *6 *7 *8 *4)) (-4 *4 (-972 *5))))) 
+(-10 -7 (-15 -3541 ((-121) (-635 |#2|) |#5|)) (-15 -1468 (|#1| |#2| |#5|)) (-15 -1992 (|#2| |#2| |#5| (-569))) (-15 -1992 (|#2| |#2| |#5|)) (-15 -2951 (|#2| |#2| |#5|)) (-15 -2951 (|#2| |#2| |#5| (-569))) (-15 -2646 ((-764) |#2| |#5|)) (-15 -2646 ((-764) |#2| |#5| (-569)))) 
+((-3849 ((|#2| |#2|) 25)) (-3841 ((|#2| |#2|) 26)) (-2043 ((|#2| |#2|) 24)) (-4399 ((|#2| |#2| (-1145)) 23))) 
+(((-931 |#1| |#2|) (-10 -7 (-15 -4399 (|#2| |#2| (-1145))) (-15 -2043 (|#2| |#2|)) (-15 -3849 (|#2| |#2|)) (-15 -3841 (|#2| |#2|))) (-843) (-433 |#1|)) (T -931)) 
+((-3841 (*1 *2 *2) (-12 (-4 *3 (-843)) (-5 *1 (-931 *3 *2)) (-4 *2 (-433 *3)))) (-3849 (*1 *2 *2) (-12 (-4 *3 (-843)) (-5 *1 (-931 *3 *2)) (-4 *2 (-433 *3)))) (-2043 (*1 *2 *2) (-12 (-4 *3 (-843)) (-5 *1 (-931 *3 *2)) (-4 *2 (-433 *3)))) (-4399 (*1 *2 *2 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-843)) (-5 *1 (-931 *4 *2)) (-4 *2 (-433 *4))))) 
+(-10 -7 (-15 -4399 (|#2| |#2| (-1145))) (-15 -2043 (|#2| |#2|)) (-15 -3849 (|#2| |#2|)) (-15 -3841 (|#2| |#2|))) 
+((-3849 (((-311 (-569)) (-1163)) 15)) (-3841 (((-311 (-569)) (-1163)) 13)) (-2043 (((-311 (-569)) (-1163)) 11)) (-4399 (((-311 (-569)) (-1163) (-1145)) 18))) 
+(((-932) (-10 -7 (-15 -4399 ((-311 (-569)) (-1163) (-1145))) (-15 -2043 ((-311 (-569)) (-1163))) (-15 -3849 ((-311 (-569)) (-1163))) (-15 -3841 ((-311 (-569)) (-1163))))) (T -932)) 
+((-3841 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-311 (-569))) (-5 *1 (-932)))) (-3849 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-311 (-569))) (-5 *1 (-932)))) (-2043 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-311 (-569))) (-5 *1 (-932)))) (-4399 (*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-1145)) (-5 *2 (-311 (-569))) (-5 *1 (-932))))) 
+(-10 -7 (-15 -4399 ((-311 (-569)) (-1163) (-1145))) (-15 -2043 ((-311 (-569)) (-1163))) (-15 -3849 ((-311 (-569)) (-1163))) (-15 -3841 ((-311 (-569)) (-1163)))) 
+((-2883 (((-885 |#1| |#3|) |#2| (-888 |#1|) (-885 |#1| |#3|)) 24)) (-3426 (((-1 (-121) |#2|) (-1 (-121) |#3|)) 12))) 
+(((-933 |#1| |#2| |#3|) (-10 -7 (-15 -3426 ((-1 (-121) |#2|) (-1 (-121) |#3|))) (-15 -2883 ((-885 |#1| |#3|) |#2| (-888 |#1|) (-885 |#1| |#3|)))) (-1091) (-882 |#1|) (-13 (-1091) (-1038 |#2|))) (T -933)) 
+((-2883 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 *6)) (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-4 *6 (-13 (-1091) (-1038 *3))) (-4 *3 (-882 *5)) (-5 *1 (-933 *5 *3 *6)))) (-3426 (*1 *2 *3) (-12 (-5 *3 (-1 (-121) *6)) (-4 *6 (-13 (-1091) (-1038 *5))) (-4 *5 (-882 *4)) (-4 *4 (-1091)) (-5 *2 (-1 (-121) *5)) (-5 *1 (-933 *4 *5 *6))))) 
+(-10 -7 (-15 -3426 ((-1 (-121) |#2|) (-1 (-121) |#3|))) (-15 -2883 ((-885 |#1| |#3|) |#2| (-888 |#1|) (-885 |#1| |#3|)))) 
+((-2883 (((-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|)) 29))) 
+(((-934 |#1| |#2| |#3|) (-10 -7 (-15 -2883 ((-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|)))) (-1091) (-13 (-559) (-843) (-882 |#1|)) (-13 (-433 |#2|) (-610 (-888 |#1|)) (-882 |#1|) (-1038 (-608 $)))) (T -934)) 
+((-2883 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 *3)) (-4 *5 (-1091)) (-4 *3 (-13 (-433 *6) (-610 *4) (-882 *5) (-1038 (-608 $)))) (-5 *4 (-888 *5)) (-4 *6 (-13 (-559) (-843) (-882 *5))) (-5 *1 (-934 *5 *6 *3))))) 
+(-10 -7 (-15 -2883 ((-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|)))) 
+((-2883 (((-885 (-569) |#1|) |#1| (-888 (-569)) (-885 (-569) |#1|)) 12))) 
+(((-935 |#1|) (-10 -7 (-15 -2883 ((-885 (-569) |#1|) |#1| (-888 (-569)) (-885 (-569) |#1|)))) (-551)) (T -935)) 
+((-2883 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 (-569) *3)) (-5 *4 (-888 (-569))) (-4 *3 (-551)) (-5 *1 (-935 *3))))) 
+(-10 -7 (-15 -2883 ((-885 (-569) |#1|) |#1| (-888 (-569)) (-885 (-569) |#1|)))) 
+((-2883 (((-885 |#1| |#2|) (-608 |#2|) (-888 |#1|) (-885 |#1| |#2|)) 52))) 
+(((-936 |#1| |#2|) (-10 -7 (-15 -2883 ((-885 |#1| |#2|) (-608 |#2|) (-888 |#1|) (-885 |#1| |#2|)))) (-1091) (-13 (-843) (-1038 (-608 $)) (-610 (-888 |#1|)) (-882 |#1|))) (T -936)) 
+((-2883 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 *6)) (-5 *3 (-608 *6)) (-4 *5 (-1091)) (-4 *6 (-13 (-843) (-1038 (-608 $)) (-610 *4) (-882 *5))) (-5 *4 (-888 *5)) (-5 *1 (-936 *5 *6))))) 
+(-10 -7 (-15 -2883 ((-885 |#1| |#2|) (-608 |#2|) (-888 |#1|) (-885 |#1| |#2|)))) 
+((-2883 (((-881 |#1| |#2| |#3|) |#3| (-888 |#1|) (-881 |#1| |#2| |#3|)) 14))) 
+(((-937 |#1| |#2| |#3|) (-10 -7 (-15 -2883 ((-881 |#1| |#2| |#3|) |#3| (-888 |#1|) (-881 |#1| |#2| |#3|)))) (-1091) (-882 |#1|) (-659 |#2|)) (T -937)) 
+((-2883 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-881 *5 *6 *3)) (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-4 *6 (-882 *5)) (-4 *3 (-659 *6)) (-5 *1 (-937 *5 *6 *3))))) 
+(-10 -7 (-15 -2883 ((-881 |#1| |#2| |#3|) |#3| (-888 |#1|) (-881 |#1| |#2| |#3|)))) 
+((-2883 (((-885 |#1| |#5|) |#5| (-888 |#1|) (-885 |#1| |#5|)) 17 (|has| |#3| (-882 |#1|))) (((-885 |#1| |#5|) |#5| (-888 |#1|) (-885 |#1| |#5|) (-1 (-885 |#1| |#5|) |#3| (-888 |#1|) (-885 |#1| |#5|))) 16))) 
+(((-938 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2883 ((-885 |#1| |#5|) |#5| (-888 |#1|) (-885 |#1| |#5|) (-1 (-885 |#1| |#5|) |#3| (-888 |#1|) (-885 |#1| |#5|)))) (IF (|has| |#3| (-882 |#1|)) (-15 -2883 ((-885 |#1| |#5|) |#5| (-888 |#1|) (-885 |#1| |#5|))) |noBranch|)) (-1091) (-789) (-843) (-13 (-1048) (-843) (-882 |#1|)) (-13 (-951 |#4| |#2| |#3|) (-610 (-888 |#1|)))) (T -938)) 
+((-2883 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 *3)) (-4 *5 (-1091)) (-4 *3 (-13 (-951 *8 *6 *7) (-610 *4))) (-5 *4 (-888 *5)) (-4 *7 (-882 *5)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-13 (-1048) (-843) (-882 *5))) (-5 *1 (-938 *5 *6 *7 *8 *3)))) (-2883 (*1 *2 *3 *4 *2 *5) (-12 (-5 *5 (-1 (-885 *6 *3) *8 (-888 *6) (-885 *6 *3))) (-4 *8 (-843)) (-5 *2 (-885 *6 *3)) (-5 *4 (-888 *6)) (-4 *6 (-1091)) (-4 *3 (-13 (-951 *9 *7 *8) (-610 *4))) (-4 *7 (-789)) (-4 *9 (-13 (-1048) (-843) (-882 *6))) (-5 *1 (-938 *6 *7 *8 *9 *3))))) 
+(-10 -7 (-15 -2883 ((-885 |#1| |#5|) |#5| (-888 |#1|) (-885 |#1| |#5|) (-1 (-885 |#1| |#5|) |#3| (-888 |#1|) (-885 |#1| |#5|)))) (IF (|has| |#3| (-882 |#1|)) (-15 -2883 ((-885 |#1| |#5|) |#5| (-888 |#1|) (-885 |#1| |#5|))) |noBranch|)) 
+((-1632 ((|#2| |#2| (-635 (-1 (-121) |#3|))) 11) ((|#2| |#2| (-1 (-121) |#3|)) 12))) 
+(((-939 |#1| |#2| |#3|) (-10 -7 (-15 -1632 (|#2| |#2| (-1 (-121) |#3|))) (-15 -1632 (|#2| |#2| (-635 (-1 (-121) |#3|))))) (-843) (-433 |#1|) (-1197)) (T -939)) 
+((-1632 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-1 (-121) *5))) (-4 *5 (-1197)) (-4 *4 (-843)) (-5 *1 (-939 *4 *2 *5)) (-4 *2 (-433 *4)))) (-1632 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *5)) (-4 *5 (-1197)) (-4 *4 (-843)) (-5 *1 (-939 *4 *2 *5)) (-4 *2 (-433 *4))))) 
+(-10 -7 (-15 -1632 (|#2| |#2| (-1 (-121) |#3|))) (-15 -1632 (|#2| |#2| (-635 (-1 (-121) |#3|))))) 
+((-1632 (((-311 (-569)) (-1163) (-635 (-1 (-121) |#1|))) 16) (((-311 (-569)) (-1163) (-1 (-121) |#1|)) 13))) 
+(((-940 |#1|) (-10 -7 (-15 -1632 ((-311 (-569)) (-1163) (-1 (-121) |#1|))) (-15 -1632 ((-311 (-569)) (-1163) (-635 (-1 (-121) |#1|))))) (-1197)) (T -940)) 
+((-1632 (*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-635 (-1 (-121) *5))) (-4 *5 (-1197)) (-5 *2 (-311 (-569))) (-5 *1 (-940 *5)))) (-1632 (*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-1 (-121) *5)) (-4 *5 (-1197)) (-5 *2 (-311 (-569))) (-5 *1 (-940 *5))))) 
+(-10 -7 (-15 -1632 ((-311 (-569)) (-1163) (-1 (-121) |#1|))) (-15 -1632 ((-311 (-569)) (-1163) (-635 (-1 (-121) |#1|))))) 
+((-2883 (((-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|)) 25))) 
+(((-941 |#1| |#2| |#3|) (-10 -7 (-15 -2883 ((-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|)))) (-1091) (-13 (-559) (-882 |#1|) (-610 (-888 |#1|))) (-994 |#2|)) (T -941)) 
+((-2883 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 *3)) (-4 *5 (-1091)) (-4 *3 (-994 *6)) (-4 *6 (-13 (-559) (-882 *5) (-610 *4))) (-5 *4 (-888 *5)) (-5 *1 (-941 *5 *6 *3))))) 
+(-10 -7 (-15 -2883 ((-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|)))) 
+((-2883 (((-885 |#1| (-1163)) (-1163) (-888 |#1|) (-885 |#1| (-1163))) 17))) 
+(((-942 |#1|) (-10 -7 (-15 -2883 ((-885 |#1| (-1163)) (-1163) (-888 |#1|) (-885 |#1| (-1163))))) (-1091)) (T -942)) 
+((-2883 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 (-1163))) (-5 *3 (-1163)) (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-5 *1 (-942 *5))))) 
+(-10 -7 (-15 -2883 ((-885 |#1| (-1163)) (-1163) (-888 |#1|) (-885 |#1| (-1163))))) 
+((-3355 (((-885 |#1| |#3|) (-635 |#3|) (-635 (-888 |#1|)) (-885 |#1| |#3|) (-1 (-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|))) 33)) (-2883 (((-885 |#1| |#3|) (-635 |#3|) (-635 (-888 |#1|)) (-1 |#3| (-635 |#3|)) (-885 |#1| |#3|) (-1 (-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|))) 32))) 
+(((-943 |#1| |#2| |#3|) (-10 -7 (-15 -2883 ((-885 |#1| |#3|) (-635 |#3|) (-635 (-888 |#1|)) (-1 |#3| (-635 |#3|)) (-885 |#1| |#3|) (-1 (-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|)))) (-15 -3355 ((-885 |#1| |#3|) (-635 |#3|) (-635 (-888 |#1|)) (-885 |#1| |#3|) (-1 (-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|))))) (-1091) (-13 (-1048) (-843)) (-13 (-1048) (-610 (-888 |#1|)) (-1038 |#2|))) (T -943)) 
+((-3355 (*1 *2 *3 *4 *2 *5) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 (-888 *6))) (-5 *5 (-1 (-885 *6 *8) *8 (-888 *6) (-885 *6 *8))) (-4 *6 (-1091)) (-4 *8 (-13 (-1048) (-610 (-888 *6)) (-1038 *7))) (-5 *2 (-885 *6 *8)) (-4 *7 (-13 (-1048) (-843))) (-5 *1 (-943 *6 *7 *8)))) (-2883 (*1 *2 *3 *4 *5 *2 *6) (-12 (-5 *4 (-635 (-888 *7))) (-5 *5 (-1 *9 (-635 *9))) (-5 *6 (-1 (-885 *7 *9) *9 (-888 *7) (-885 *7 *9))) (-4 *7 (-1091)) (-4 *9 (-13 (-1048) (-610 (-888 *7)) (-1038 *8))) (-5 *2 (-885 *7 *9)) (-5 *3 (-635 *9)) (-4 *8 (-13 (-1048) (-843))) (-5 *1 (-943 *7 *8 *9))))) 
+(-10 -7 (-15 -2883 ((-885 |#1| |#3|) (-635 |#3|) (-635 (-888 |#1|)) (-1 |#3| (-635 |#3|)) (-885 |#1| |#3|) (-1 (-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|)))) (-15 -3355 ((-885 |#1| |#3|) (-635 |#3|) (-635 (-888 |#1|)) (-885 |#1| |#3|) (-1 (-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|))))) 
+((-4226 (((-1159 (-410 (-569))) (-569)) 61)) (-2930 (((-1159 (-569)) (-569)) 64)) (-3711 (((-1159 (-569)) (-569)) 58)) (-1776 (((-569) (-1159 (-569))) 53)) (-2832 (((-1159 (-410 (-569))) (-569)) 47)) (-2917 (((-1159 (-569)) (-569)) 36)) (-1905 (((-1159 (-569)) (-569)) 66)) (-2754 (((-1159 (-569)) (-569)) 65)) (-2517 (((-1159 (-410 (-569))) (-569)) 49))) 
+(((-944) (-10 -7 (-15 -2517 ((-1159 (-410 (-569))) (-569))) (-15 -2754 ((-1159 (-569)) (-569))) (-15 -1905 ((-1159 (-569)) (-569))) (-15 -2917 ((-1159 (-569)) (-569))) (-15 -2832 ((-1159 (-410 (-569))) (-569))) (-15 -1776 ((-569) (-1159 (-569)))) (-15 -3711 ((-1159 (-569)) (-569))) (-15 -2930 ((-1159 (-569)) (-569))) (-15 -4226 ((-1159 (-410 (-569))) (-569))))) (T -944)) 
+((-4226 (*1 *2 *3) (-12 (-5 *2 (-1159 (-410 (-569)))) (-5 *1 (-944)) (-5 *3 (-569)))) (-2930 (*1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-944)) (-5 *3 (-569)))) (-3711 (*1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-944)) (-5 *3 (-569)))) (-1776 (*1 *2 *3) (-12 (-5 *3 (-1159 (-569))) (-5 *2 (-569)) (-5 *1 (-944)))) (-2832 (*1 *2 *3) (-12 (-5 *2 (-1159 (-410 (-569)))) (-5 *1 (-944)) (-5 *3 (-569)))) (-2917 (*1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-944)) (-5 *3 (-569)))) (-1905 (*1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-944)) (-5 *3 (-569)))) (-2754 (*1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-944)) (-5 *3 (-569)))) (-2517 (*1 *2 *3) (-12 (-5 *2 (-1159 (-410 (-569)))) (-5 *1 (-944)) (-5 *3 (-569))))) 
+(-10 -7 (-15 -2517 ((-1159 (-410 (-569))) (-569))) (-15 -2754 ((-1159 (-569)) (-569))) (-15 -1905 ((-1159 (-569)) (-569))) (-15 -2917 ((-1159 (-569)) (-569))) (-15 -2832 ((-1159 (-410 (-569))) (-569))) (-15 -1776 ((-569) (-1159 (-569)))) (-15 -3711 ((-1159 (-569)) (-569))) (-15 -2930 ((-1159 (-569)) (-569))) (-15 -4226 ((-1159 (-410 (-569))) (-569)))) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2418 (($ (-764)) NIL (|has| |#1| (-23)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-843)))) (-3076 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| |#1| (-843))))) (-3113 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#1| $ (-569) |#1|) 11 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) NIL (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4347 (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) NIL)) (-3727 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1091))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1091)))) (-2893 (($ (-635 |#1|)) 13)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-4404 (((-680 |#1|) $ $) NIL (|has| |#1| (-1048)))) (-2659 (($ (-764) |#1|) 8)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) 10 (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-3288 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2456 ((|#1| $) NIL (-12 (|has| |#1| (-1003)) (|has| |#1| (-1048))))) (-2006 (((-121) $ (-764)) NIL)) (-1906 ((|#1| $) NIL (-12 (|has| |#1| (-1003)) (|has| |#1| (-1048))))) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3614 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4353 ((|#1| $) NIL (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-3174 (($ $ |#1|) NIL (|has| $ (-6 -4536)))) (-3499 (($ $ (-635 |#1|)) 24)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) 18) (($ $ (-1213 (-569))) NIL)) (-2049 ((|#1| $ $) NIL (|has| |#1| (-1048)))) (-2369 (((-918) $) 16)) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-3904 (($ $ $) 22)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| |#1| (-610 (-542)))) (($ (-635 |#1|)) 17)) (-2139 (($ (-635 |#1|)) NIL)) (-2250 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) 23) (($ (-635 $)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1711 (($ $) NIL (|has| |#1| (-21))) (($ $ $) NIL (|has| |#1| (-21)))) (-1707 (($ $ $) NIL (|has| |#1| (-25)))) (* (($ (-569) $) NIL (|has| |#1| (-21))) (($ |#1| $) NIL (|has| |#1| (-717))) (($ $ |#1|) NIL (|has| |#1| (-717)))) (-4168 (((-764) $) 14 (|has| $ (-6 -4535))))) 
+(((-945 |#1|) (-982 |#1|) (-1048)) (T -945)) 
+NIL 
+(-982 |#1|) 
+((-1283 (((-493 |#1| |#2|) (-954 |#2|)) 17)) (-2498 (((-243 |#1| |#2|) (-954 |#2|)) 29)) (-1387 (((-954 |#2|) (-493 |#1| |#2|)) 22)) (-3150 (((-243 |#1| |#2|) (-493 |#1| |#2|)) 53)) (-1445 (((-954 |#2|) (-243 |#1| |#2|)) 26)) (-2420 (((-493 |#1| |#2|) (-243 |#1| |#2|)) 44))) 
+(((-946 |#1| |#2|) (-10 -7 (-15 -2420 ((-493 |#1| |#2|) (-243 |#1| |#2|))) (-15 -3150 ((-243 |#1| |#2|) (-493 |#1| |#2|))) (-15 -1283 ((-493 |#1| |#2|) (-954 |#2|))) (-15 -1387 ((-954 |#2|) (-493 |#1| |#2|))) (-15 -1445 ((-954 |#2|) (-243 |#1| |#2|))) (-15 -2498 ((-243 |#1| |#2|) (-954 |#2|)))) (-635 (-1163)) (-1048)) (T -946)) 
+((-2498 (*1 *2 *3) (-12 (-5 *3 (-954 *5)) (-4 *5 (-1048)) (-5 *2 (-243 *4 *5)) (-5 *1 (-946 *4 *5)) (-14 *4 (-635 (-1163))))) (-1445 (*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-1048)) (-5 *2 (-954 *5)) (-5 *1 (-946 *4 *5)))) (-1387 (*1 *2 *3) (-12 (-5 *3 (-493 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-1048)) (-5 *2 (-954 *5)) (-5 *1 (-946 *4 *5)))) (-1283 (*1 *2 *3) (-12 (-5 *3 (-954 *5)) (-4 *5 (-1048)) (-5 *2 (-493 *4 *5)) (-5 *1 (-946 *4 *5)) (-14 *4 (-635 (-1163))))) (-3150 (*1 *2 *3) (-12 (-5 *3 (-493 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-1048)) (-5 *2 (-243 *4 *5)) (-5 *1 (-946 *4 *5)))) (-2420 (*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-1048)) (-5 *2 (-493 *4 *5)) (-5 *1 (-946 *4 *5))))) 
+(-10 -7 (-15 -2420 ((-493 |#1| |#2|) (-243 |#1| |#2|))) (-15 -3150 ((-243 |#1| |#2|) (-493 |#1| |#2|))) (-15 -1283 ((-493 |#1| |#2|) (-954 |#2|))) (-15 -1387 ((-954 |#2|) (-493 |#1| |#2|))) (-15 -1445 ((-954 |#2|) (-243 |#1| |#2|))) (-15 -2498 ((-243 |#1| |#2|) (-954 |#2|)))) 
+((-2072 (((-635 |#2|) |#2| |#2|) 10)) (-3122 (((-764) (-635 |#1|)) 37 (|has| |#1| (-841)))) (-2325 (((-635 |#2|) |#2|) 11)) (-3474 (((-764) (-635 |#1|) (-569) (-569)) 36 (|has| |#1| (-841)))) (-4484 ((|#1| |#2|) 32 (|has| |#1| (-841))))) 
+(((-947 |#1| |#2|) (-10 -7 (-15 -2072 ((-635 |#2|) |#2| |#2|)) (-15 -2325 ((-635 |#2|) |#2|)) (IF (|has| |#1| (-841)) (PROGN (-15 -4484 (|#1| |#2|)) (-15 -3122 ((-764) (-635 |#1|))) (-15 -3474 ((-764) (-635 |#1|) (-569) (-569)))) |noBranch|)) (-366) (-1222 |#1|)) (T -947)) 
+((-3474 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-569)) (-4 *5 (-841)) (-4 *5 (-366)) (-5 *2 (-764)) (-5 *1 (-947 *5 *6)) (-4 *6 (-1222 *5)))) (-3122 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-841)) (-4 *4 (-366)) (-5 *2 (-764)) (-5 *1 (-947 *4 *5)) (-4 *5 (-1222 *4)))) (-4484 (*1 *2 *3) (-12 (-4 *2 (-366)) (-4 *2 (-841)) (-5 *1 (-947 *2 *3)) (-4 *3 (-1222 *2)))) (-2325 (*1 *2 *3) (-12 (-4 *4 (-366)) (-5 *2 (-635 *3)) (-5 *1 (-947 *4 *3)) (-4 *3 (-1222 *4)))) (-2072 (*1 *2 *3 *3) (-12 (-4 *4 (-366)) (-5 *2 (-635 *3)) (-5 *1 (-947 *4 *3)) (-4 *3 (-1222 *4))))) 
+(-10 -7 (-15 -2072 ((-635 |#2|) |#2| |#2|)) (-15 -2325 ((-635 |#2|) |#2|)) (IF (|has| |#1| (-841)) (PROGN (-15 -4484 (|#1| |#2|)) (-15 -3122 ((-764) (-635 |#1|))) (-15 -3474 ((-764) (-635 |#1|) (-569) (-569)))) |noBranch|)) 
+((-1544 (((-954 |#2|) (-1 |#2| |#1|) (-954 |#1|)) 18))) 
+(((-948 |#1| |#2|) (-10 -7 (-15 -1544 ((-954 |#2|) (-1 |#2| |#1|) (-954 |#1|)))) (-1048) (-1048)) (T -948)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-954 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-5 *2 (-954 *6)) (-5 *1 (-948 *5 *6))))) 
+(-10 -7 (-15 -1544 ((-954 |#2|) (-1 |#2| |#1|) (-954 |#1|)))) 
+((-1739 (((-1219 |#1| (-954 |#2|)) (-954 |#2|) (-1243 |#1|)) 18))) 
+(((-949 |#1| |#2|) (-10 -7 (-15 -1739 ((-1219 |#1| (-954 |#2|)) (-954 |#2|) (-1243 |#1|)))) (-1163) (-1048)) (T -949)) 
+((-1739 (*1 *2 *3 *4) (-12 (-5 *4 (-1243 *5)) (-14 *5 (-1163)) (-4 *6 (-1048)) (-5 *2 (-1219 *5 (-954 *6))) (-5 *1 (-949 *5 *6)) (-5 *3 (-954 *6))))) 
+(-10 -7 (-15 -1739 ((-1219 |#1| (-954 |#2|)) (-954 |#2|) (-1243 |#1|)))) 
+((-4011 (((-764) $) 69) (((-764) $ (-635 |#4|)) 72)) (-2004 (($ $) 169)) (-2446 (((-421 $) $) 161)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) 112)) (-1647 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 |#4| "failed") $) 58)) (-2428 ((|#2| $) NIL) (((-410 (-569)) $) NIL) (((-569) $) NIL) ((|#4| $) 57)) (-3493 (($ $ $ |#4|) 74)) (-1696 (((-680 (-569)) (-680 $)) NIL) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) 102) (((-680 |#2|) (-680 $)) 95)) (-1340 (($ $) 177) (($ $ |#4|) 180)) (-4015 (((-635 $) $) 61)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 195) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 189)) (-2086 (((-635 $) $) 27)) (-1763 (($ |#2| |#3|) NIL) (($ $ |#4| (-764)) NIL) (($ $ (-635 |#4|) (-635 (-764))) 55)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ |#4|) 158)) (-4087 (((-3 (-635 $) "failed") $) 41)) (-3091 (((-3 (-635 $) "failed") $) 30)) (-1874 (((-3 (-2 (|:| |var| |#4|) (|:| -2356 (-764))) "failed") $) 45)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 105)) (-1721 (((-421 (-1159 $)) (-1159 $)) 118)) (-1568 (((-421 (-1159 $)) (-1159 $)) 116)) (-1743 (((-421 $) $) 136)) (-1468 (($ $ (-635 (-289 $))) 20) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ |#4| |#2|) NIL) (($ $ (-635 |#4|) (-635 |#2|)) NIL) (($ $ |#4| $) NIL) (($ $ (-635 |#4|) (-635 $)) NIL)) (-2087 (($ $ |#4|) 76)) (-3817 (((-888 (-382)) $) 209) (((-888 (-569)) $) 202) (((-542) $) 217)) (-3298 ((|#2| $) NIL) (($ $ |#4|) 171)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 150)) (-1653 ((|#2| $ |#3|) NIL) (($ $ |#4| (-764)) 50) (($ $ (-635 |#4|) (-635 (-764))) 53)) (-3953 (((-3 $ "failed") $) 152)) (-1678 (((-121) $ $) 183))) 
+(((-950 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -4336 ((-1159 |#1|) (-1159 |#1|) (-1159 |#1|))) (-15 -2446 ((-421 |#1|) |#1|)) (-15 -2004 (|#1| |#1|)) (-15 -3953 ((-3 |#1| "failed") |#1|)) (-15 -1678 ((-121) |#1| |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -3817 ((-888 (-569)) |#1|)) (-15 -3817 ((-888 (-382)) |#1|)) (-15 -2883 ((-885 (-569) |#1|) |#1| (-888 (-569)) (-885 (-569) |#1|))) (-15 -2883 ((-885 (-382) |#1|) |#1| (-888 (-382)) (-885 (-382) |#1|))) (-15 -1743 ((-421 |#1|) |#1|)) (-15 -1568 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1721 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1593 ((-3 (-635 (-1159 |#1|)) "failed") (-635 (-1159 |#1|)) (-1159 |#1|))) (-15 -2132 ((-3 (-1247 |#1|) "failed") (-680 |#1|))) (-15 -1340 (|#1| |#1| |#4|)) (-15 -3298 (|#1| |#1| |#4|)) (-15 -2087 (|#1| |#1| |#4|)) (-15 -3493 (|#1| |#1| |#1| |#4|)) (-15 -4015 ((-635 |#1|) |#1|)) (-15 -4011 ((-764) |#1| (-635 |#4|))) (-15 -4011 ((-764) |#1|)) (-15 -1874 ((-3 (-2 (|:| |var| |#4|) (|:| -2356 (-764))) "failed") |#1|)) (-15 -4087 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -3091 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -1763 (|#1| |#1| (-635 |#4|) (-635 (-764)))) (-15 -1763 (|#1| |#1| |#4| (-764))) (-15 -2421 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1| |#4|)) (-15 -2086 ((-635 |#1|) |#1|)) (-15 -1653 (|#1| |#1| (-635 |#4|) (-635 (-764)))) (-15 -1653 (|#1| |#1| |#4| (-764))) (-15 -1696 ((-680 |#2|) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-680 (-569)) (-680 |#1|))) (-15 -2428 (|#4| |#1|)) (-15 -1647 ((-3 |#4| "failed") |#1|)) (-15 -1468 (|#1| |#1| (-635 |#4|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#4| |#1|)) (-15 -1468 (|#1| |#1| (-635 |#4|) (-635 |#2|))) (-15 -1468 (|#1| |#1| |#4| |#2|)) (-15 -1468 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#1| |#1|)) (-15 -1468 (|#1| |#1| (-289 |#1|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -1763 (|#1| |#2| |#3|)) (-15 -1653 (|#2| |#1| |#3|)) (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -3298 (|#2| |#1|)) (-15 -1340 (|#1| |#1|))) (-951 |#2| |#3| |#4|) (-1048) (-789) (-843)) (T -950)) 
+NIL 
+(-10 -8 (-15 -4336 ((-1159 |#1|) (-1159 |#1|) (-1159 |#1|))) (-15 -2446 ((-421 |#1|) |#1|)) (-15 -2004 (|#1| |#1|)) (-15 -3953 ((-3 |#1| "failed") |#1|)) (-15 -1678 ((-121) |#1| |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -3817 ((-888 (-569)) |#1|)) (-15 -3817 ((-888 (-382)) |#1|)) (-15 -2883 ((-885 (-569) |#1|) |#1| (-888 (-569)) (-885 (-569) |#1|))) (-15 -2883 ((-885 (-382) |#1|) |#1| (-888 (-382)) (-885 (-382) |#1|))) (-15 -1743 ((-421 |#1|) |#1|)) (-15 -1568 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1721 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1593 ((-3 (-635 (-1159 |#1|)) "failed") (-635 (-1159 |#1|)) (-1159 |#1|))) (-15 -2132 ((-3 (-1247 |#1|) "failed") (-680 |#1|))) (-15 -1340 (|#1| |#1| |#4|)) (-15 -3298 (|#1| |#1| |#4|)) (-15 -2087 (|#1| |#1| |#4|)) (-15 -3493 (|#1| |#1| |#1| |#4|)) (-15 -4015 ((-635 |#1|) |#1|)) (-15 -4011 ((-764) |#1| (-635 |#4|))) (-15 -4011 ((-764) |#1|)) (-15 -1874 ((-3 (-2 (|:| |var| |#4|) (|:| -2356 (-764))) "failed") |#1|)) (-15 -4087 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -3091 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -1763 (|#1| |#1| (-635 |#4|) (-635 (-764)))) (-15 -1763 (|#1| |#1| |#4| (-764))) (-15 -2421 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1| |#4|)) (-15 -2086 ((-635 |#1|) |#1|)) (-15 -1653 (|#1| |#1| (-635 |#4|) (-635 (-764)))) (-15 -1653 (|#1| |#1| |#4| (-764))) (-15 -1696 ((-680 |#2|) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-680 (-569)) (-680 |#1|))) (-15 -2428 (|#4| |#1|)) (-15 -1647 ((-3 |#4| "failed") |#1|)) (-15 -1468 (|#1| |#1| (-635 |#4|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#4| |#1|)) (-15 -1468 (|#1| |#1| (-635 |#4|) (-635 |#2|))) (-15 -1468 (|#1| |#1| |#4| |#2|)) (-15 -1468 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#1| |#1|)) (-15 -1468 (|#1| |#1| (-289 |#1|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -1763 (|#1| |#2| |#3|)) (-15 -1653 (|#2| |#1| |#3|)) (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -3298 (|#2| |#1|)) (-15 -1340 (|#1| |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1773 (((-635 |#3|) $) 108)) (-1739 (((-1159 $) $ |#3|) 123) (((-1159 |#1|) $) 122)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 85 (|has| |#1| (-559)))) (-3383 (($ $) 86 (|has| |#1| (-559)))) (-4354 (((-121) $) 88 (|has| |#1| (-559)))) (-4011 (((-764) $) 110) (((-764) $ (-635 |#3|)) 109)) (-2327 (((-3 $ "failed") $ $) 18)) (-2379 (((-421 (-1159 $)) (-1159 $)) 98 (|has| |#1| (-905)))) (-2004 (($ $) 96 (|has| |#1| (-454)))) (-2446 (((-421 $) $) 95 (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) 101 (|has| |#1| (-905)))) (-2820 (($) 16 T CONST)) (-1647 (((-3 |#1| "failed") $) 162) (((-3 (-410 (-569)) "failed") $) 160 (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) 158 (|has| |#1| (-1038 (-569)))) (((-3 |#3| "failed") $) 134)) (-2428 ((|#1| $) 163) (((-410 (-569)) $) 159 (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) 157 (|has| |#1| (-1038 (-569)))) ((|#3| $) 133)) (-3493 (($ $ $ |#3|) 106 (|has| |#1| (-173)))) (-4020 (($ $) 152)) (-1696 (((-680 (-569)) (-680 $)) 132 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 131 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 130) (((-680 |#1|) (-680 $)) 129)) (-3428 (((-3 $ "failed") $) 33)) (-1340 (($ $) 174 (|has| |#1| (-454))) (($ $ |#3|) 103 (|has| |#1| (-454)))) (-4015 (((-635 $) $) 107)) (-3726 (((-121) $) 94 (|has| |#1| (-905)))) (-1667 (($ $ |#1| |#2| $) 170)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 82 (-12 (|has| |#3| (-882 (-382))) (|has| |#1| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 81 (-12 (|has| |#3| (-882 (-569))) (|has| |#1| (-882 (-569)))))) (-1407 (((-121) $) 30)) (-4244 (((-764) $) 167)) (-1768 (($ (-1159 |#1|) |#3|) 115) (($ (-1159 $) |#3|) 114)) (-2086 (((-635 $) $) 124)) (-3523 (((-121) $) 150)) (-1763 (($ |#1| |#2|) 151) (($ $ |#3| (-764)) 117) (($ $ (-635 |#3|) (-635 (-764))) 116)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ |#3|) 118)) (-4002 ((|#2| $) 168) (((-764) $ |#3|) 120) (((-635 (-764)) $ (-635 |#3|)) 119)) (-3291 (($ $ $) 77 (|has| |#1| (-843)))) (-1538 (($ $ $) 76 (|has| |#1| (-843)))) (-2658 (($ (-1 |#2| |#2|) $) 169)) (-1544 (($ (-1 |#1| |#1|) $) 149)) (-1637 (((-3 |#3| "failed") $) 121)) (-1804 (($ $) 147)) (-4012 ((|#1| $) 146)) (-2665 (($ (-635 $)) 92 (|has| |#1| (-454))) (($ $ $) 91 (|has| |#1| (-454)))) (-2776 (((-1145) $) 9)) (-4087 (((-3 (-635 $) "failed") $) 112)) (-3091 (((-3 (-635 $) "failed") $) 113)) (-1874 (((-3 (-2 (|:| |var| |#3|) (|:| -2356 (-764))) "failed") $) 111)) (-3360 (((-1109) $) 10)) (-1798 (((-121) $) 164)) (-1801 ((|#1| $) 165)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 93 (|has| |#1| (-454)))) (-2714 (($ (-635 $)) 90 (|has| |#1| (-454))) (($ $ $) 89 (|has| |#1| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) 100 (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) 99 (|has| |#1| (-905)))) (-1743 (((-421 $) $) 97 (|has| |#1| (-905)))) (-2941 (((-3 $ "failed") $ |#1|) 172 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-559)))) (-1468 (($ $ (-635 (-289 $))) 143) (($ $ (-289 $)) 142) (($ $ $ $) 141) (($ $ (-635 $) (-635 $)) 140) (($ $ |#3| |#1|) 139) (($ $ (-635 |#3|) (-635 |#1|)) 138) (($ $ |#3| $) 137) (($ $ (-635 |#3|) (-635 $)) 136)) (-2087 (($ $ |#3|) 105 (|has| |#1| (-173)))) (-3899 (($ $ |#3|) 41) (($ $ (-635 |#3|)) 40) (($ $ |#3| (-764)) 39) (($ $ (-635 |#3|) (-635 (-764))) 38)) (-2492 ((|#2| $) 148) (((-764) $ |#3|) 128) (((-635 (-764)) $ (-635 |#3|)) 127)) (-3817 (((-888 (-382)) $) 80 (-12 (|has| |#3| (-610 (-888 (-382)))) (|has| |#1| (-610 (-888 (-382)))))) (((-888 (-569)) $) 79 (-12 (|has| |#3| (-610 (-888 (-569)))) (|has| |#1| (-610 (-888 (-569)))))) (((-542) $) 78 (-12 (|has| |#3| (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-3298 ((|#1| $) 173 (|has| |#1| (-454))) (($ $ |#3|) 104 (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 102 (-2206 (|has| $ (-149)) (|has| |#1| (-905))))) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 161) (($ |#3|) 135) (($ $) 83 (|has| |#1| (-559))) (($ (-410 (-569))) 70 (-2232 (|has| |#1| (-1038 (-410 (-569)))) (|has| |#1| (-43 (-410 (-569))))))) (-3382 (((-635 |#1|) $) 166)) (-1653 ((|#1| $ |#2|) 153) (($ $ |#3| (-764)) 126) (($ $ (-635 |#3|) (-635 (-764))) 125)) (-3953 (((-3 $ "failed") $) 71 (-2232 (-2206 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) 28)) (-4086 (($ $ $ (-764)) 171 (|has| |#1| (-173)))) (-1961 (((-121) $ $) 87 (|has| |#1| (-559)))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ |#3|) 37) (($ $ (-635 |#3|)) 36) (($ $ |#3| (-764)) 35) (($ $ (-635 |#3|) (-635 (-764))) 34)) (-1693 (((-121) $ $) 74 (|has| |#1| (-843)))) (-1684 (((-121) $ $) 73 (|has| |#1| (-843)))) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 75 (|has| |#1| (-843)))) (-1678 (((-121) $ $) 72 (|has| |#1| (-843)))) (-1715 (($ $ |#1|) 154 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 156 (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) 155 (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 145) (($ $ |#1|) 144))) 
+(((-951 |#1| |#2| |#3|) (-1278) (-1048) (-789) (-843)) (T -951)) 
+((-1340 (*1 *1 *1) (-12 (-4 *1 (-951 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454)))) (-2492 (*1 *2 *1 *3) (-12 (-4 *1 (-951 *4 *5 *3)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-5 *2 (-764)))) (-2492 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *1 (-951 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 (-764))))) (-1653 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-951 *4 *5 *2)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *2 (-843)))) (-1653 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *6)) (-5 *3 (-635 (-764))) (-4 *1 (-951 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)))) (-2086 (*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-951 *3 *4 *5)))) (-1739 (*1 *2 *1 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-5 *2 (-1159 *1)) (-4 *1 (-951 *4 *5 *3)))) (-1739 (*1 *2 *1) (-12 (-4 *1 (-951 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-1159 *3)))) (-1637 (*1 *2 *1) (|partial| -12 (-4 *1 (-951 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) (-4002 (*1 *2 *1 *3) (-12 (-4 *1 (-951 *4 *5 *3)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-5 *2 (-764)))) (-4002 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *1 (-951 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 (-764))))) (-2421 (*1 *2 *1 *1 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-951 *4 *5 *3)))) (-1763 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-951 *4 *5 *2)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *2 (-843)))) (-1763 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *6)) (-5 *3 (-635 (-764))) (-4 *1 (-951 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)))) (-1768 (*1 *1 *2 *3) (-12 (-5 *2 (-1159 *4)) (-4 *4 (-1048)) (-4 *1 (-951 *4 *5 *3)) (-4 *5 (-789)) (-4 *3 (-843)))) (-1768 (*1 *1 *2 *3) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-951 *4 *5 *3)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)))) (-3091 (*1 *2 *1) (|partial| -12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-951 *3 *4 *5)))) (-4087 (*1 *2 *1) (|partial| -12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-951 *3 *4 *5)))) (-1874 (*1 *2 *1) (|partial| -12 (-4 *1 (-951 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| |var| *5) (|:| -2356 (-764)))))) (-4011 (*1 *2 *1) (-12 (-4 *1 (-951 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-764)))) (-4011 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *1 (-951 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-764)))) (-1773 (*1 *2 *1) (-12 (-4 *1 (-951 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *5)))) (-4015 (*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-951 *3 *4 *5)))) (-3493 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-951 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *3 (-173)))) (-2087 (*1 *1 *1 *2) (-12 (-4 *1 (-951 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *3 (-173)))) (-3298 (*1 *1 *1 *2) (-12 (-4 *1 (-951 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *3 (-454)))) (-1340 (*1 *1 *1 *2) (-12 (-4 *1 (-951 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *3 (-454)))) (-2004 (*1 *1 *1) (-12 (-4 *1 (-951 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454)))) (-2446 (*1 *2 *1) (-12 (-4 *3 (-454)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-421 *1)) (-4 *1 (-951 *3 *4 *5))))) 
+(-13 (-896 |t#3|) (-325 |t#1| |t#2|) (-304 $) (-524 |t#3| |t#1|) (-524 |t#3| $) (-1038 |t#3|) (-380 |t#1|) (-10 -8 (-15 -2492 ((-764) $ |t#3|)) (-15 -2492 ((-635 (-764)) $ (-635 |t#3|))) (-15 -1653 ($ $ |t#3| (-764))) (-15 -1653 ($ $ (-635 |t#3|) (-635 (-764)))) (-15 -2086 ((-635 $) $)) (-15 -1739 ((-1159 $) $ |t#3|)) (-15 -1739 ((-1159 |t#1|) $)) (-15 -1637 ((-3 |t#3| "failed") $)) (-15 -4002 ((-764) $ |t#3|)) (-15 -4002 ((-635 (-764)) $ (-635 |t#3|))) (-15 -2421 ((-2 (|:| -4268 $) (|:| -1830 $)) $ $ |t#3|)) (-15 -1763 ($ $ |t#3| (-764))) (-15 -1763 ($ $ (-635 |t#3|) (-635 (-764)))) (-15 -1768 ($ (-1159 |t#1|) |t#3|)) (-15 -1768 ($ (-1159 $) |t#3|)) (-15 -3091 ((-3 (-635 $) "failed") $)) (-15 -4087 ((-3 (-635 $) "failed") $)) (-15 -1874 ((-3 (-2 (|:| |var| |t#3|) (|:| -2356 (-764))) "failed") $)) (-15 -4011 ((-764) $)) (-15 -4011 ((-764) $ (-635 |t#3|))) (-15 -1773 ((-635 |t#3|) $)) (-15 -4015 ((-635 $) $)) (IF (|has| |t#1| (-843)) (-6 (-843)) |noBranch|) (IF (|has| |t#1| (-610 (-542))) (IF (|has| |t#3| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-610 (-888 (-569)))) (IF (|has| |t#3| (-610 (-888 (-569)))) (-6 (-610 (-888 (-569)))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-610 (-888 (-382)))) (IF (|has| |t#3| (-610 (-888 (-382)))) (-6 (-610 (-888 (-382)))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-882 (-569))) (IF (|has| |t#3| (-882 (-569))) (-6 (-882 (-569))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-882 (-382))) (IF (|has| |t#3| (-882 (-382))) (-6 (-882 (-382))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-173)) (PROGN (-15 -3493 ($ $ $ |t#3|)) (-15 -2087 ($ $ |t#3|))) |noBranch|) (IF (|has| |t#1| (-454)) (PROGN (-6 (-454)) (-15 -3298 ($ $ |t#3|)) (-15 -1340 ($ $)) (-15 -1340 ($ $ |t#3|)) (-15 -2446 ((-421 $) $)) (-15 -2004 ($ $))) |noBranch|) (IF (|has| |t#1| (-6 -4533)) (-6 -4533) |noBranch|) (IF (|has| |t#1| (-905)) (-6 (-905)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-610 (-542)) -12 (|has| |#1| (-610 (-542))) (|has| |#3| (-610 (-542)))) ((-610 (-888 (-382))) -12 (|has| |#1| (-610 (-888 (-382)))) (|has| |#3| (-610 (-888 (-382))))) ((-610 (-888 (-569))) -12 (|has| |#1| (-610 (-888 (-569)))) (|has| |#3| (-610 (-888 (-569))))) ((-286) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-304 $) . T) ((-325 |#1| |#2|) . T) ((-380 |#1|) . T) ((-414 |#1|) . T) ((-454) -2232 (|has| |#1| (-905)) (|has| |#1| (-454))) ((-524 |#3| |#1|) . T) ((-524 |#3| $) . T) ((-524 $ $) . T) ((-559) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-708 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-717) . T) ((-843) |has| |#1| (-843)) ((-896 |#3|) . T) ((-882 (-382)) -12 (|has| |#1| (-882 (-382))) (|has| |#3| (-882 (-382)))) ((-882 (-569)) -12 (|has| |#1| (-882 (-569))) (|has| |#3| (-882 (-569)))) ((-905) |has| |#1| (-905)) ((-1038 (-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 |#1|) . T) ((-1038 |#3|) . T) ((-1054 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) |has| |#1| (-905))) 
+((-1773 (((-635 |#2|) |#5|) 36)) (-1739 (((-1159 |#5|) |#5| |#2| (-1159 |#5|)) 23) (((-410 (-1159 |#5|)) |#5| |#2|) 16)) (-1768 ((|#5| (-410 (-1159 |#5|)) |#2|) 30)) (-1637 (((-3 |#2| "failed") |#5|) 61)) (-4087 (((-3 (-635 |#5|) "failed") |#5|) 55)) (-2848 (((-3 (-2 (|:| |val| |#5|) (|:| -2356 (-569))) "failed") |#5|) 45)) (-3091 (((-3 (-635 |#5|) "failed") |#5|) 57)) (-1874 (((-3 (-2 (|:| |var| |#2|) (|:| -2356 (-569))) "failed") |#5|) 48))) 
+(((-952 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1773 ((-635 |#2|) |#5|)) (-15 -1637 ((-3 |#2| "failed") |#5|)) (-15 -1739 ((-410 (-1159 |#5|)) |#5| |#2|)) (-15 -1768 (|#5| (-410 (-1159 |#5|)) |#2|)) (-15 -1739 ((-1159 |#5|) |#5| |#2| (-1159 |#5|))) (-15 -3091 ((-3 (-635 |#5|) "failed") |#5|)) (-15 -4087 ((-3 (-635 |#5|) "failed") |#5|)) (-15 -1874 ((-3 (-2 (|:| |var| |#2|) (|:| -2356 (-569))) "failed") |#5|)) (-15 -2848 ((-3 (-2 (|:| |val| |#5|) (|:| -2356 (-569))) "failed") |#5|))) (-789) (-843) (-1048) (-951 |#3| |#1| |#2|) (-13 (-366) (-10 -8 (-15 -2185 ($ |#4|)) (-15 -4116 (|#4| $)) (-15 -4121 (|#4| $))))) (T -952)) 
+((-2848 (*1 *2 *3) (|partial| -12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-2 (|:| |val| *3) (|:| -2356 (-569)))) (-5 *1 (-952 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $))))))) (-1874 (*1 *2 *3) (|partial| -12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-2 (|:| |var| *5) (|:| -2356 (-569)))) (-5 *1 (-952 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $))))))) (-4087 (*1 *2 *3) (|partial| -12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-635 *3)) (-5 *1 (-952 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $))))))) (-3091 (*1 *2 *3) (|partial| -12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-635 *3)) (-5 *1 (-952 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $))))))) (-1739 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-1159 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $))))) (-4 *7 (-951 *6 *5 *4)) (-4 *5 (-789)) (-4 *4 (-843)) (-4 *6 (-1048)) (-5 *1 (-952 *5 *4 *6 *7 *3)))) (-1768 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-1159 *2))) (-4 *5 (-789)) (-4 *4 (-843)) (-4 *6 (-1048)) (-4 *2 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $))))) (-5 *1 (-952 *5 *4 *6 *7 *2)) (-4 *7 (-951 *6 *5 *4)))) (-1739 (*1 *2 *3 *4) (-12 (-4 *5 (-789)) (-4 *4 (-843)) (-4 *6 (-1048)) (-4 *7 (-951 *6 *5 *4)) (-5 *2 (-410 (-1159 *3))) (-5 *1 (-952 *5 *4 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $))))))) (-1637 (*1 *2 *3) (|partial| -12 (-4 *4 (-789)) (-4 *5 (-1048)) (-4 *6 (-951 *5 *4 *2)) (-4 *2 (-843)) (-5 *1 (-952 *4 *2 *5 *6 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *6)) (-15 -4116 (*6 $)) (-15 -4121 (*6 $))))))) (-1773 (*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-635 *5)) (-5 *1 (-952 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $)))))))) 
+(-10 -7 (-15 -1773 ((-635 |#2|) |#5|)) (-15 -1637 ((-3 |#2| "failed") |#5|)) (-15 -1739 ((-410 (-1159 |#5|)) |#5| |#2|)) (-15 -1768 (|#5| (-410 (-1159 |#5|)) |#2|)) (-15 -1739 ((-1159 |#5|) |#5| |#2| (-1159 |#5|))) (-15 -3091 ((-3 (-635 |#5|) "failed") |#5|)) (-15 -4087 ((-3 (-635 |#5|) "failed") |#5|)) (-15 -1874 ((-3 (-2 (|:| |var| |#2|) (|:| -2356 (-569))) "failed") |#5|)) (-15 -2848 ((-3 (-2 (|:| |val| |#5|) (|:| -2356 (-569))) "failed") |#5|))) 
+((-1544 ((|#5| (-1 |#5| |#2|) (-1 |#5| |#3|) |#4|) 23))) 
+(((-953 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1544 (|#5| (-1 |#5| |#2|) (-1 |#5| |#3|) |#4|))) (-789) (-843) (-1048) (-951 |#3| |#1| |#2|) (-13 (-1091) (-10 -8 (-15 -1707 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-764)))))) (T -953)) 
+((-1544 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *7)) (-5 *4 (-1 *2 *8)) (-4 *7 (-843)) (-4 *8 (-1048)) (-4 *6 (-789)) (-4 *2 (-13 (-1091) (-10 -8 (-15 -1707 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-764)))))) (-5 *1 (-953 *6 *7 *8 *5 *2)) (-4 *5 (-951 *8 *6 *7))))) 
+(-10 -7 (-15 -1544 (|#5| (-1 |#5| |#2|) (-1 |#5| |#3|) |#4|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-1163)) $) 15)) (-1739 (((-1159 $) $ (-1163)) 21) (((-1159 |#1|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 (-1163))) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-2004 (($ $) NIL (|has| |#1| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) 8) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-1163) "failed") $) NIL)) (-2428 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-1163) $) NIL)) (-3493 (($ $ $ (-1163)) NIL (|has| |#1| (-173)))) (-4020 (($ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) NIL) (((-680 |#1|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#1| (-454))) (($ $ (-1163)) NIL (|has| |#1| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#1| (-905)))) (-1667 (($ $ |#1| (-535 (-1163)) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-1163) (-882 (-382))) (|has| |#1| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-1163) (-882 (-569))) (|has| |#1| (-882 (-569)))))) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-1768 (($ (-1159 |#1|) (-1163)) NIL) (($ (-1159 $) (-1163)) NIL)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-535 (-1163))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-1163)) NIL)) (-4002 (((-535 (-1163)) $) NIL) (((-764) $ (-1163)) NIL) (((-635 (-764)) $ (-635 (-1163))) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-2658 (($ (-1 (-535 (-1163)) (-535 (-1163))) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-1637 (((-3 (-1163) "failed") $) 19)) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2776 (((-1145) $) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| (-1163)) (|:| -2356 (-764))) "failed") $) NIL)) (-2565 (($ $ (-1163)) 29 (|has| |#1| (-43 (-410 (-569)))))) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) NIL)) (-1801 ((|#1| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-905)))) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1163) |#1|) NIL) (($ $ (-635 (-1163)) (-635 |#1|)) NIL) (($ $ (-1163) $) NIL) (($ $ (-635 (-1163)) (-635 $)) NIL)) (-2087 (($ $ (-1163)) NIL (|has| |#1| (-173)))) (-3899 (($ $ (-1163)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL)) (-2492 (((-535 (-1163)) $) NIL) (((-764) $ (-1163)) NIL) (((-635 (-764)) $ (-635 (-1163))) NIL)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| (-1163) (-610 (-888 (-382)))) (|has| |#1| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| (-1163) (-610 (-888 (-569)))) (|has| |#1| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| (-1163) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-3298 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ (-1163)) NIL (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-905))))) (-2185 (((-851) $) 25) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-1163)) 27) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-535 (-1163))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#1| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-1163)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((-954 |#1|) (-13 (-951 |#1| (-535 (-1163)) (-1163)) (-10 -8 (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1163))) |noBranch|))) (-1048)) (T -954)) 
+((-2565 (*1 *1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-954 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048))))) 
+(-13 (-951 |#1| (-535 (-1163)) (-1163)) (-10 -8 (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1163))) |noBranch|))) 
+((-3160 (((-2 (|:| -2356 (-764)) (|:| -4140 |#5|) (|:| |radicand| |#5|)) |#3| (-764)) 37)) (-1537 (((-2 (|:| -2356 (-764)) (|:| -4140 |#5|) (|:| |radicand| |#5|)) (-410 (-569)) (-764)) 33)) (-2576 (((-2 (|:| -2356 (-764)) (|:| -4140 |#4|) (|:| |radicand| (-635 |#4|))) |#4| (-764)) 52)) (-3140 (((-2 (|:| -2356 (-764)) (|:| -4140 |#5|) (|:| |radicand| |#5|)) |#5| (-764)) 62 (|has| |#3| (-454))))) 
+(((-955 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3160 ((-2 (|:| -2356 (-764)) (|:| -4140 |#5|) (|:| |radicand| |#5|)) |#3| (-764))) (-15 -1537 ((-2 (|:| -2356 (-764)) (|:| -4140 |#5|) (|:| |radicand| |#5|)) (-410 (-569)) (-764))) (IF (|has| |#3| (-454)) (-15 -3140 ((-2 (|:| -2356 (-764)) (|:| -4140 |#5|) (|:| |radicand| |#5|)) |#5| (-764))) |noBranch|) (-15 -2576 ((-2 (|:| -2356 (-764)) (|:| -4140 |#4|) (|:| |radicand| (-635 |#4|))) |#4| (-764)))) (-789) (-843) (-559) (-951 |#3| |#1| |#2|) (-13 (-366) (-10 -8 (-15 -4116 (|#4| $)) (-15 -4121 (|#4| $)) (-15 -2185 ($ |#4|))))) (T -955)) 
+((-2576 (*1 *2 *3 *4) (-12 (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-559)) (-4 *3 (-951 *7 *5 *6)) (-5 *2 (-2 (|:| -2356 (-764)) (|:| -4140 *3) (|:| |radicand| (-635 *3)))) (-5 *1 (-955 *5 *6 *7 *3 *8)) (-5 *4 (-764)) (-4 *8 (-13 (-366) (-10 -8 (-15 -4116 (*3 $)) (-15 -4121 (*3 $)) (-15 -2185 ($ *3))))))) (-3140 (*1 *2 *3 *4) (-12 (-4 *7 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-559)) (-4 *8 (-951 *7 *5 *6)) (-5 *2 (-2 (|:| -2356 (-764)) (|:| -4140 *3) (|:| |radicand| *3))) (-5 *1 (-955 *5 *6 *7 *8 *3)) (-5 *4 (-764)) (-4 *3 (-13 (-366) (-10 -8 (-15 -4116 (*8 $)) (-15 -4121 (*8 $)) (-15 -2185 ($ *8))))))) (-1537 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-569))) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-559)) (-4 *8 (-951 *7 *5 *6)) (-5 *2 (-2 (|:| -2356 (-764)) (|:| -4140 *9) (|:| |radicand| *9))) (-5 *1 (-955 *5 *6 *7 *8 *9)) (-5 *4 (-764)) (-4 *9 (-13 (-366) (-10 -8 (-15 -4116 (*8 $)) (-15 -4121 (*8 $)) (-15 -2185 ($ *8))))))) (-3160 (*1 *2 *3 *4) (-12 (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-559)) (-4 *7 (-951 *3 *5 *6)) (-5 *2 (-2 (|:| -2356 (-764)) (|:| -4140 *8) (|:| |radicand| *8))) (-5 *1 (-955 *5 *6 *3 *7 *8)) (-5 *4 (-764)) (-4 *8 (-13 (-366) (-10 -8 (-15 -4116 (*7 $)) (-15 -4121 (*7 $)) (-15 -2185 ($ *7)))))))) 
+(-10 -7 (-15 -3160 ((-2 (|:| -2356 (-764)) (|:| -4140 |#5|) (|:| |radicand| |#5|)) |#3| (-764))) (-15 -1537 ((-2 (|:| -2356 (-764)) (|:| -4140 |#5|) (|:| |radicand| |#5|)) (-410 (-569)) (-764))) (IF (|has| |#3| (-454)) (-15 -3140 ((-2 (|:| -2356 (-764)) (|:| -4140 |#5|) (|:| |radicand| |#5|)) |#5| (-764))) |noBranch|) (-15 -2576 ((-2 (|:| -2356 (-764)) (|:| -4140 |#4|) (|:| |radicand| (-635 |#4|))) |#4| (-764)))) 
+((-3740 (((-1085 (-216)) $) 7)) (-3495 (((-1085 (-216)) $) 8)) (-2707 (((-635 (-635 (-945 (-216)))) $) 9)) (-2185 (((-851) $) 6))) 
+(((-956) (-1278)) (T -956)) 
+((-2707 (*1 *2 *1) (-12 (-4 *1 (-956)) (-5 *2 (-635 (-635 (-945 (-216))))))) (-3495 (*1 *2 *1) (-12 (-4 *1 (-956)) (-5 *2 (-1085 (-216))))) (-3740 (*1 *2 *1) (-12 (-4 *1 (-956)) (-5 *2 (-1085 (-216)))))) 
+(-13 (-609 (-851)) (-10 -8 (-15 -2707 ((-635 (-635 (-945 (-216)))) $)) (-15 -3495 ((-1085 (-216)) $)) (-15 -3740 ((-1085 (-216)) $)))) 
+(((-609 (-851)) . T)) 
+((-3675 (((-3 (-680 |#1|) "failed") |#2| (-918)) 14))) 
+(((-957 |#1| |#2|) (-10 -7 (-15 -3675 ((-3 (-680 |#1|) "failed") |#2| (-918)))) (-559) (-647 |#1|)) (T -957)) 
+((-3675 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-918)) (-4 *5 (-559)) (-5 *2 (-680 *5)) (-5 *1 (-957 *5 *3)) (-4 *3 (-647 *5))))) 
+(-10 -7 (-15 -3675 ((-3 (-680 |#1|) "failed") |#2| (-918)))) 
+((-3043 (((-959 |#2|) (-1 |#2| |#1| |#2|) (-959 |#1|) |#2|) 16)) (-1774 ((|#2| (-1 |#2| |#1| |#2|) (-959 |#1|) |#2|) 18)) (-1544 (((-959 |#2|) (-1 |#2| |#1|) (-959 |#1|)) 13))) 
+(((-958 |#1| |#2|) (-10 -7 (-15 -3043 ((-959 |#2|) (-1 |#2| |#1| |#2|) (-959 |#1|) |#2|)) (-15 -1774 (|#2| (-1 |#2| |#1| |#2|) (-959 |#1|) |#2|)) (-15 -1544 ((-959 |#2|) (-1 |#2| |#1|) (-959 |#1|)))) (-1197) (-1197)) (T -958)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-959 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-959 *6)) (-5 *1 (-958 *5 *6)))) (-1774 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-959 *5)) (-4 *5 (-1197)) (-4 *2 (-1197)) (-5 *1 (-958 *5 *2)))) (-3043 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-959 *6)) (-4 *6 (-1197)) (-4 *5 (-1197)) (-5 *2 (-959 *5)) (-5 *1 (-958 *6 *5))))) 
+(-10 -7 (-15 -3043 ((-959 |#2|) (-1 |#2| |#1| |#2|) (-959 |#1|) |#2|)) (-15 -1774 (|#2| (-1 |#2| |#1| |#2|) (-959 |#1|) |#2|)) (-15 -1544 ((-959 |#2|) (-1 |#2| |#1|) (-959 |#1|)))) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-843)))) (-3076 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| |#1| (-843))))) (-3113 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#1| $ (-569) |#1|) 17 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) NIL (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4347 (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) 16 (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) 14)) (-3727 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1091))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1091)))) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-2659 (($ (-764) |#1|) 13)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) 10 (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-3288 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3614 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4353 ((|#1| $) NIL (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-3174 (($ $ |#1|) 12 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 11)) (-1534 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) 15) (($ $ (-1213 (-569))) NIL)) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) NIL)) (-2250 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-4168 (((-764) $) 8 (|has| $ (-6 -4535))))) 
+(((-959 |#1|) (-19 |#1|) (-1197)) (T -959)) 
 NIL 
 (-19 |#1|) 
-((-2317 (($ $ (-1082 $)) 7) (($ $ (-1161)) 6))) 
-(((-959) (-1275)) (T -959)) 
-((-2317 (*1 *1 *1 *2) (-12 (-5 *2 (-1082 *1)) (-4 *1 (-959)))) (-2317 (*1 *1 *1 *2) (-12 (-4 *1 (-959)) (-5 *2 (-1161))))) 
-(-13 (-10 -8 (-15 -2317 ($ $ (-1161))) (-15 -2317 ($ $ (-1082 $))))) 
-((-4188 (((-2 (|:| -2350 (-634 (-568))) (|:| |poly| (-634 (-1157 |#1|))) (|:| |prim| (-1157 |#1|))) (-634 (-953 |#1|)) (-634 (-1161)) (-1161)) 23) (((-2 (|:| -2350 (-634 (-568))) (|:| |poly| (-634 (-1157 |#1|))) (|:| |prim| (-1157 |#1|))) (-634 (-953 |#1|)) (-634 (-1161))) 24) (((-2 (|:| |coef1| (-568)) (|:| |coef2| (-568)) (|:| |prim| (-1157 |#1|))) (-953 |#1|) (-1161) (-953 |#1|) (-1161)) 41))) 
-(((-960 |#1|) (-10 -7 (-15 -4188 ((-2 (|:| |coef1| (-568)) (|:| |coef2| (-568)) (|:| |prim| (-1157 |#1|))) (-953 |#1|) (-1161) (-953 |#1|) (-1161))) (-15 -4188 ((-2 (|:| -2350 (-634 (-568))) (|:| |poly| (-634 (-1157 |#1|))) (|:| |prim| (-1157 |#1|))) (-634 (-953 |#1|)) (-634 (-1161)))) (-15 -4188 ((-2 (|:| -2350 (-634 (-568))) (|:| |poly| (-634 (-1157 |#1|))) (|:| |prim| (-1157 |#1|))) (-634 (-953 |#1|)) (-634 (-1161)) (-1161)))) (-13 (-365) (-150))) (T -960)) 
-((-4188 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-634 (-953 *6))) (-5 *4 (-634 (-1161))) (-5 *5 (-1161)) (-4 *6 (-13 (-365) (-150))) (-5 *2 (-2 (|:| -2350 (-634 (-568))) (|:| |poly| (-634 (-1157 *6))) (|:| |prim| (-1157 *6)))) (-5 *1 (-960 *6)))) (-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-953 *5))) (-5 *4 (-634 (-1161))) (-4 *5 (-13 (-365) (-150))) (-5 *2 (-2 (|:| -2350 (-634 (-568))) (|:| |poly| (-634 (-1157 *5))) (|:| |prim| (-1157 *5)))) (-5 *1 (-960 *5)))) (-4188 (*1 *2 *3 *4 *3 *4) (-12 (-5 *3 (-953 *5)) (-5 *4 (-1161)) (-4 *5 (-13 (-365) (-150))) (-5 *2 (-2 (|:| |coef1| (-568)) (|:| |coef2| (-568)) (|:| |prim| (-1157 *5)))) (-5 *1 (-960 *5))))) 
-(-10 -7 (-15 -4188 ((-2 (|:| |coef1| (-568)) (|:| |coef2| (-568)) (|:| |prim| (-1157 |#1|))) (-953 |#1|) (-1161) (-953 |#1|) (-1161))) (-15 -4188 ((-2 (|:| -2350 (-634 (-568))) (|:| |poly| (-634 (-1157 |#1|))) (|:| |prim| (-1157 |#1|))) (-634 (-953 |#1|)) (-634 (-1161)))) (-15 -4188 ((-2 (|:| -2350 (-634 (-568))) (|:| |poly| (-634 (-1157 |#1|))) (|:| |prim| (-1157 |#1|))) (-634 (-953 |#1|)) (-634 (-1161)) (-1161)))) 
-((-3829 (((-634 |#1|) |#1| |#1|) 42)) (-2197 (((-121) |#1|) 39)) (-2245 ((|#1| |#1|) 64)) (-3702 ((|#1| |#1|) 63))) 
-(((-961 |#1|) (-10 -7 (-15 -2197 ((-121) |#1|)) (-15 -3702 (|#1| |#1|)) (-15 -2245 (|#1| |#1|)) (-15 -3829 ((-634 |#1|) |#1| |#1|))) (-550)) (T -961)) 
-((-3829 (*1 *2 *3 *3) (-12 (-5 *2 (-634 *3)) (-5 *1 (-961 *3)) (-4 *3 (-550)))) (-2245 (*1 *2 *2) (-12 (-5 *1 (-961 *2)) (-4 *2 (-550)))) (-3702 (*1 *2 *2) (-12 (-5 *1 (-961 *2)) (-4 *2 (-550)))) (-2197 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-961 *3)) (-4 *3 (-550))))) 
-(-10 -7 (-15 -2197 ((-121) |#1|)) (-15 -3702 (|#1| |#1|)) (-15 -2245 (|#1| |#1|)) (-15 -3829 ((-634 |#1|) |#1| |#1|))) 
-((-3419 (((-1249) (-850)) 9))) 
-(((-962) (-10 -7 (-15 -3419 ((-1249) (-850))))) (T -962)) 
-((-3419 (*1 *2 *3) (-12 (-5 *3 (-850)) (-5 *2 (-1249)) (-5 *1 (-962))))) 
-(-10 -7 (-15 -3419 ((-1249) (-850)))) 
-((-1551 (((-634 |#5|) |#3| (-634 |#3|)) 70)) (-2378 (((-634 |#5|) |#3|) 45)) (-2603 (((-634 |#5|) |#3| (-917)) 58)) (-1455 (((-634 |#5|) (-634 |#3|)) 48))) 
-(((-963 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1551 ((-634 |#5|) |#3| (-634 |#3|))) (-15 -2378 ((-634 |#5|) |#3|)) (-15 -1455 ((-634 |#5|) (-634 |#3|))) (-15 -2603 ((-634 |#5|) |#3| (-917)))) (-365) (-634 (-1161)) (-950 |#1| |#4| (-852 |#2|)) (-230 (-1699 |#2|) (-763)) (-971 |#1|)) (T -963)) 
-((-2603 (*1 *2 *3 *4) (-12 (-5 *4 (-917)) (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *7 (-230 (-1699 *6) (-763))) (-5 *2 (-634 *8)) (-5 *1 (-963 *5 *6 *3 *7 *8)) (-4 *3 (-950 *5 *7 (-852 *6))) (-4 *8 (-971 *5)))) (-1455 (*1 *2 *3) (-12 (-5 *3 (-634 *6)) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-5 *2 (-634 *8)) (-5 *1 (-963 *4 *5 *6 *7 *8)) (-4 *8 (-971 *4)))) (-2378 (*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-230 (-1699 *5) (-763))) (-5 *2 (-634 *7)) (-5 *1 (-963 *4 *5 *3 *6 *7)) (-4 *3 (-950 *4 *6 (-852 *5))) (-4 *7 (-971 *4)))) (-1551 (*1 *2 *3 *4) (-12 (-5 *4 (-634 *3)) (-4 *3 (-950 *5 *7 (-852 *6))) (-4 *7 (-230 (-1699 *6) (-763))) (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-5 *2 (-634 *8)) (-5 *1 (-963 *5 *6 *3 *7 *8)) (-4 *8 (-971 *5))))) 
-(-10 -7 (-15 -1551 ((-634 |#5|) |#3| (-634 |#3|))) (-15 -2378 ((-634 |#5|) |#3|)) (-15 -1455 ((-634 |#5|) (-634 |#3|))) (-15 -2603 ((-634 |#5|) |#3| (-917)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 62 (|has| |#1| (-558)))) (-3661 (($ $) 63 (|has| |#1| (-558)))) (-4426 (((-121) $) NIL (|has| |#1| (-558)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-568) "failed") $) NIL (|has| |#1| (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-3 |#1| "failed") $) 28)) (-2857 (((-568) $) NIL (|has| |#1| (-1037 (-568)))) (((-409 (-568)) $) NIL (|has| |#1| (-1037 (-409 (-568))))) ((|#1| $) NIL)) (-2116 (($ $) 24)) (-2902 (((-3 $ "failed") $) 35)) (-1998 (($ $) NIL (|has| |#1| (-453)))) (-2453 (($ $ |#1| |#2| $) 47)) (-1598 (((-121) $) NIL)) (-3971 (((-763) $) 16)) (-2171 (((-121) $) NIL)) (-2049 (($ |#1| |#2|) NIL)) (-3524 ((|#2| $) 19)) (-1865 (($ (-1 |#2| |#2|) $) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-2099 (($ $) 23)) (-2104 ((|#1| $) 21)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2088 (((-121) $) 40)) (-2093 ((|#1| $) NIL)) (-2973 (($ $ |#2| |#1| $) 71 (-12 (|has| |#2| (-137)) (|has| |#1| (-558))))) (-2597 (((-3 $ "failed") $ $) 73 (|has| |#1| (-558))) (((-3 $ "failed") $ |#1|) 69 (|has| |#1| (-558)))) (-1836 ((|#2| $) 17)) (-1364 ((|#1| $) NIL (|has| |#1| (-453)))) (-2747 (((-850) $) NIL) (($ (-568)) 39) (($ $) NIL (|has| |#1| (-558))) (($ |#1|) 34) (($ (-409 (-568))) NIL (-2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-1037 (-409 (-568))))))) (-3304 (((-634 |#1|) $) NIL)) (-2079 ((|#1| $ |#2|) 31)) (-3385 (((-3 $ "failed") $) NIL (|has| |#1| (-148)))) (-3425 (((-763)) 15)) (-3925 (($ $ $ (-763)) 58 (|has| |#1| (-172)))) (-2273 (((-121) $ $) 68 (|has| |#1| (-558)))) (-1889 (($ $ (-917)) 54) (($ $ (-763)) 55)) (-3058 (($) 22 T CONST)) (-1557 (($) 12 T CONST)) (-1719 (((-121) $ $) 67)) (-1781 (($ $ |#1|) 74 (|has| |#1| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) 53) (($ $ (-763)) 51)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 50) (($ $ |#1|) 49) (($ |#1| $) 48) (($ (-409 (-568)) $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))))) 
-(((-964 |#1| |#2|) (-13 (-324 |#1| |#2|) (-10 -8 (IF (|has| |#1| (-558)) (IF (|has| |#2| (-137)) (-15 -2973 ($ $ |#2| |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4519)) (-6 -4519) |noBranch|))) (-1047) (-787)) (T -964)) 
-((-2973 (*1 *1 *1 *2 *3 *1) (-12 (-5 *1 (-964 *3 *2)) (-4 *2 (-137)) (-4 *3 (-558)) (-4 *3 (-1047)) (-4 *2 (-787))))) 
-(-13 (-324 |#1| |#2|) (-10 -8 (IF (|has| |#1| (-558)) (IF (|has| |#2| (-137)) (-15 -2973 ($ $ |#2| |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4519)) (-6 -4519) |noBranch|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL (-2199 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-137)) (|has| |#2| (-137))) (-12 (|has| |#1| (-788)) (|has| |#2| (-788)))))) (-2409 (($ $ $) 63 (-12 (|has| |#1| (-788)) (|has| |#2| (-788))))) (-2689 (((-3 $ "failed") $ $) 50 (-2199 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-137)) (|has| |#2| (-137))) (-12 (|has| |#1| (-788)) (|has| |#2| (-788)))))) (-3986 (((-763)) 34 (-12 (|has| |#1| (-370)) (|has| |#2| (-370))))) (-2861 ((|#2| $) 21)) (-3502 ((|#1| $) 20)) (-4490 (($) NIL (-2199 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-137)) (|has| |#2| (-137))) (-12 (|has| |#1| (-478)) (|has| |#2| (-478))) (-12 (|has| |#1| (-716)) (|has| |#2| (-716))) (-12 (|has| |#1| (-788)) (|has| |#2| (-788)))) CONST)) (-2902 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| |#1| (-478)) (|has| |#2| (-478))) (-12 (|has| |#1| (-716)) (|has| |#2| (-716)))))) (-1733 (($) NIL (-12 (|has| |#1| (-370)) (|has| |#2| (-370))))) (-1598 (((-121) $) NIL (-2199 (-12 (|has| |#1| (-478)) (|has| |#2| (-478))) (-12 (|has| |#1| (-716)) (|has| |#2| (-716)))))) (-1732 (($ $ $) NIL (-2199 (-12 (|has| |#1| (-788)) (|has| |#2| (-788))) (-12 (|has| |#1| (-842)) (|has| |#2| (-842)))))) (-2047 (($ $ $) NIL (-2199 (-12 (|has| |#1| (-788)) (|has| |#2| (-788))) (-12 (|has| |#1| (-842)) (|has| |#2| (-842)))))) (-3890 (($ |#1| |#2|) 19)) (-2291 (((-917) $) NIL (-12 (|has| |#1| (-370)) (|has| |#2| (-370))))) (-1893 (((-1143) $) NIL)) (-2083 (($ $) 37 (-12 (|has| |#1| (-478)) (|has| |#2| (-478))))) (-4357 (($ (-917)) NIL (-12 (|has| |#1| (-370)) (|has| |#2| (-370))))) (-4025 (((-1108) $) NIL)) (-2387 (($ $ $) NIL (-12 (|has| |#1| (-478)) (|has| |#2| (-478))))) (-3985 (($ $ $) NIL (-12 (|has| |#1| (-478)) (|has| |#2| (-478))))) (-2747 (((-850) $) 14)) (-1889 (($ $ (-568)) NIL (-12 (|has| |#1| (-478)) (|has| |#2| (-478)))) (($ $ (-763)) NIL (-2199 (-12 (|has| |#1| (-478)) (|has| |#2| (-478))) (-12 (|has| |#1| (-716)) (|has| |#2| (-716))))) (($ $ (-917)) NIL (-2199 (-12 (|has| |#1| (-478)) (|has| |#2| (-478))) (-12 (|has| |#1| (-716)) (|has| |#2| (-716)))))) (-3058 (($) 40 (-2199 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-137)) (|has| |#2| (-137))) (-12 (|has| |#1| (-788)) (|has| |#2| (-788)))) CONST)) (-1557 (($) 24 (-2199 (-12 (|has| |#1| (-478)) (|has| |#2| (-478))) (-12 (|has| |#1| (-716)) (|has| |#2| (-716)))) CONST)) (-1753 (((-121) $ $) NIL (-2199 (-12 (|has| |#1| (-788)) (|has| |#2| (-788))) (-12 (|has| |#1| (-842)) (|has| |#2| (-842)))))) (-1740 (((-121) $ $) NIL (-2199 (-12 (|has| |#1| (-788)) (|has| |#2| (-788))) (-12 (|has| |#1| (-842)) (|has| |#2| (-842)))))) (-1719 (((-121) $ $) 18)) (-1747 (((-121) $ $) NIL (-2199 (-12 (|has| |#1| (-788)) (|has| |#2| (-788))) (-12 (|has| |#1| (-842)) (|has| |#2| (-842)))))) (-1734 (((-121) $ $) 66 (-2199 (-12 (|has| |#1| (-788)) (|has| |#2| (-788))) (-12 (|has| |#1| (-842)) (|has| |#2| (-842)))))) (-1781 (($ $ $) NIL (-12 (|has| |#1| (-478)) (|has| |#2| (-478))))) (-1775 (($ $ $) 56 (-12 (|has| |#1| (-21)) (|has| |#2| (-21)))) (($ $) 53 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))))) (-1769 (($ $ $) 43 (-2199 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-137)) (|has| |#2| (-137))) (-12 (|has| |#1| (-788)) (|has| |#2| (-788)))))) (** (($ $ (-568)) NIL (-12 (|has| |#1| (-478)) (|has| |#2| (-478)))) (($ $ (-763)) 31 (-2199 (-12 (|has| |#1| (-478)) (|has| |#2| (-478))) (-12 (|has| |#1| (-716)) (|has| |#2| (-716))))) (($ $ (-917)) NIL (-2199 (-12 (|has| |#1| (-478)) (|has| |#2| (-478))) (-12 (|has| |#1| (-716)) (|has| |#2| (-716)))))) (* (($ (-568) $) 60 (-12 (|has| |#1| (-21)) (|has| |#2| (-21)))) (($ (-763) $) 46 (-2199 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-137)) (|has| |#2| (-137))) (-12 (|has| |#1| (-788)) (|has| |#2| (-788))))) (($ (-917) $) NIL (-2199 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-137)) (|has| |#2| (-137))) (-12 (|has| |#1| (-788)) (|has| |#2| (-788))))) (($ $ $) 27 (-2199 (-12 (|has| |#1| (-478)) (|has| |#2| (-478))) (-12 (|has| |#1| (-716)) (|has| |#2| (-716))))))) 
-(((-965 |#1| |#2|) (-13 (-1090) (-10 -8 (IF (|has| |#1| (-370)) (IF (|has| |#2| (-370)) (-6 (-370)) |noBranch|) |noBranch|) (IF (|has| |#1| (-716)) (IF (|has| |#2| (-716)) (-6 (-716)) |noBranch|) |noBranch|) (IF (|has| |#1| (-23)) (IF (|has| |#2| (-23)) (-6 (-23)) |noBranch|) |noBranch|) (IF (|has| |#1| (-137)) (IF (|has| |#2| (-137)) (-6 (-137)) |noBranch|) |noBranch|) (IF (|has| |#1| (-478)) (IF (|has| |#2| (-478)) (-6 (-478)) |noBranch|) |noBranch|) (IF (|has| |#1| (-21)) (IF (|has| |#2| (-21)) (-6 (-21)) |noBranch|) |noBranch|) (IF (|has| |#1| (-788)) (IF (|has| |#2| (-788)) (-6 (-788)) |noBranch|) |noBranch|) (IF (|has| |#1| (-842)) (IF (|has| |#2| (-842)) (-6 (-842)) |noBranch|) |noBranch|) (-15 -3890 ($ |#1| |#2|)) (-15 -3502 (|#1| $)) (-15 -2861 (|#2| $)))) (-1090) (-1090)) (T -965)) 
-((-3890 (*1 *1 *2 *3) (-12 (-5 *1 (-965 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-1090)))) (-3502 (*1 *2 *1) (-12 (-4 *2 (-1090)) (-5 *1 (-965 *2 *3)) (-4 *3 (-1090)))) (-2861 (*1 *2 *1) (-12 (-4 *2 (-1090)) (-5 *1 (-965 *3 *2)) (-4 *3 (-1090))))) 
-(-13 (-1090) (-10 -8 (IF (|has| |#1| (-370)) (IF (|has| |#2| (-370)) (-6 (-370)) |noBranch|) |noBranch|) (IF (|has| |#1| (-716)) (IF (|has| |#2| (-716)) (-6 (-716)) |noBranch|) |noBranch|) (IF (|has| |#1| (-23)) (IF (|has| |#2| (-23)) (-6 (-23)) |noBranch|) |noBranch|) (IF (|has| |#1| (-137)) (IF (|has| |#2| (-137)) (-6 (-137)) |noBranch|) |noBranch|) (IF (|has| |#1| (-478)) (IF (|has| |#2| (-478)) (-6 (-478)) |noBranch|) |noBranch|) (IF (|has| |#1| (-21)) (IF (|has| |#2| (-21)) (-6 (-21)) |noBranch|) |noBranch|) (IF (|has| |#1| (-788)) (IF (|has| |#2| (-788)) (-6 (-788)) |noBranch|) |noBranch|) (IF (|has| |#1| (-842)) (IF (|has| |#2| (-842)) (-6 (-842)) |noBranch|) |noBranch|) (-15 -3890 ($ |#1| |#2|)) (-15 -3502 (|#1| $)) (-15 -2861 (|#2| $)))) 
-((-2449 (((-121) $ $) NIL)) (-2438 ((|#1| $ (-568) |#1|) NIL)) (-2613 (((-634 $) (-634 $) (-763)) NIL) (((-634 $) (-634 $)) NIL)) (-1338 (((-121) $ (-763)) NIL) (((-121) $) NIL)) (-4154 (($ (-634 |#1|)) NIL)) (-2034 (((-634 |#1|) $) NIL)) (-4450 (((-634 $) $) NIL) (((-634 $) $ (-763)) NIL)) (-3897 (((-634 |#1|) $) NIL)) (-1893 (((-1143) $) NIL)) (-3709 (((-568) $) NIL)) (-2794 (((-568) $) NIL)) (-2219 (($ $ (-568)) NIL) (($ $) NIL)) (-4025 (((-1108) $) NIL)) (-2781 ((|#1| $ (-568)) NIL)) (-1836 (((-917) $) NIL)) (-1937 ((|#1| $) NIL)) (-2387 (($ $ (-763)) NIL) (($ $) NIL)) (-2747 (((-850) $) NIL) (((-634 |#1|) $) NIL) (($ (-634 |#1|)) NIL)) (-1719 (((-121) $ $) NIL))) 
-(((-966 |#1|) (-971 |#1|) (-365)) (T -966)) 
-NIL 
-(-971 |#1|) 
-((-2449 (((-121) $ $) NIL)) (-2438 (((-857 |#1|) $ (-568) (-857 |#1|)) NIL)) (-2613 (((-634 $) (-634 $) (-763)) NIL) (((-634 $) (-634 $)) NIL)) (-1338 (((-121) $ (-763)) NIL) (((-121) $) NIL)) (-4154 (($ (-634 (-857 |#1|))) NIL)) (-2034 (((-634 (-857 |#1|)) $) NIL)) (-4450 (((-634 $) $) NIL) (((-634 $) $ (-763)) NIL)) (-3897 (((-634 (-857 |#1|)) $) NIL)) (-1893 (((-1143) $) NIL)) (-3709 (((-568) $) NIL)) (-2794 (((-568) $) NIL)) (-2219 (($ $ (-568)) NIL) (($ $) NIL)) (-4025 (((-1108) $) NIL)) (-2781 (((-857 |#1|) $ (-568)) NIL)) (-1836 (((-917) $) NIL)) (-1937 (((-857 |#1|) $) NIL)) (-2387 (($ $ (-763)) NIL) (($ $) NIL)) (-2747 (((-850) $) NIL) (((-634 (-857 |#1|)) $) NIL) (($ (-634 (-857 |#1|))) NIL)) (-1719 (((-121) $ $) NIL))) 
-(((-967 |#1|) (-971 (-857 |#1|)) (-350)) (T -967)) 
-NIL 
-(-971 (-857 |#1|)) 
-((-2449 (((-121) $ $) NIL)) (-2438 ((|#2| $ (-568) |#2|) NIL)) (-2613 (((-634 $) (-634 $) (-763)) 41) (((-634 $) (-634 $)) 42)) (-1338 (((-121) $ (-763)) 38) (((-121) $) 40)) (-4154 (($ (-634 |#2|)) 25)) (-2034 (((-634 |#2|) $) 27)) (-4450 (((-634 $) $) 50) (((-634 $) $ (-763)) 47)) (-3897 (((-634 |#2|) $) 26)) (-1893 (((-1143) $) NIL)) (-3709 (((-568) $) 59)) (-2794 (((-568) $) 62)) (-2219 (($ $ (-568)) 36) (($ $) 52)) (-4025 (((-1108) $) NIL)) (-2781 ((|#2| $ (-568)) 32)) (-1836 (((-917) $) 16)) (-1937 ((|#2| $) 22)) (-2387 (($ $ (-763)) 30) (($ $) 49)) (-2747 (((-850) $) 19) (((-634 |#2|) $) 24) (($ (-634 |#2|)) 58)) (-1719 (((-121) $ $) 37))) 
-(((-968 |#1| |#2|) (-971 |#2|) (-763) (-365)) (T -968)) 
-NIL 
-(-971 |#2|) 
-((-2449 (((-121) $ $) 18 (|has| |#1| (-1090)))) (-1667 (((-121) $ (-763)) 8)) (-4490 (($) 7 T CONST)) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) 9)) (-4496 (($ $ $) 40)) (-3645 (($ $ $) 41)) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-2047 ((|#1| $) 42)) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35)) (-3796 (((-121) $ (-763)) 10)) (-1893 (((-1143) $) 22 (|has| |#1| (-1090)))) (-2580 ((|#1| $) 36)) (-1708 (($ |#1| $) 37)) (-4025 (((-1108) $) 21 (|has| |#1| (-1090)))) (-3403 ((|#1| $) 38)) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-2747 (((-850) $) 20 (|has| |#1| (-1090)))) (-4074 (($ (-634 |#1|)) 39)) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-969 |#1|) (-1275) (-842)) (T -969)) 
-((-2047 (*1 *2 *1) (-12 (-4 *1 (-969 *2)) (-4 *2 (-842)))) (-3645 (*1 *1 *1 *1) (-12 (-4 *1 (-969 *2)) (-4 *2 (-842)))) (-4496 (*1 *1 *1 *1) (-12 (-4 *1 (-969 *2)) (-4 *2 (-842))))) 
-(-13 (-111 |t#1|) (-10 -8 (-6 -4521) (-15 -2047 (|t#1| $)) (-15 -3645 ($ $ $)) (-15 -4496 ($ $ $)))) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1090)) ((-608 (-850)) |has| |#1| (-1090)) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-499 |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-1090) |has| |#1| (-1090)) ((-1195) . T)) 
-((-1823 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2723 |#2|)) |#2| |#2|) 84)) (-1736 ((|#2| |#2| |#2|) 82)) (-3628 (((-2 (|:| |coef2| |#2|) (|:| -2723 |#2|)) |#2| |#2|) 86)) (-2018 (((-2 (|:| |coef1| |#2|) (|:| -2723 |#2|)) |#2| |#2|) 88)) (-3657 (((-2 (|:| |coef2| |#2|) (|:| -2534 |#1|)) |#2| |#2|) 106 (|has| |#1| (-453)))) (-3893 (((-2 (|:| |coef2| |#2|) (|:| -2910 |#1|)) |#2| |#2|) 45)) (-1352 (((-2 (|:| |coef2| |#2|) (|:| -2910 |#1|)) |#2| |#2|) 63)) (-2039 (((-2 (|:| |coef1| |#2|) (|:| -2910 |#1|)) |#2| |#2|) 65)) (-2452 (((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|) 77)) (-4033 (((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-763)) 70)) (-2849 (((-2 (|:| |coef2| |#2|) (|:| -3440 |#1|)) |#2|) 96)) (-4476 (((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-763)) 73)) (-2269 (((-634 (-763)) |#2| |#2|) 81)) (-3019 ((|#1| |#2| |#2|) 41)) (-2023 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2534 |#1|)) |#2| |#2|) 104 (|has| |#1| (-453)))) (-2534 ((|#1| |#2| |#2|) 102 (|has| |#1| (-453)))) (-2532 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2910 |#1|)) |#2| |#2|) 43)) (-4328 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2910 |#1|)) |#2| |#2|) 62)) (-2910 ((|#1| |#2| |#2|) 60)) (-3777 (((-2 (|:| -2350 |#1|) (|:| -4409 |#2|) (|:| -2607 |#2|)) |#2| |#2|) 35)) (-1357 ((|#2| |#2| |#2| |#2| |#1|) 52)) (-3629 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|) 75)) (-3137 ((|#2| |#2| |#2|) 74)) (-2939 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-763)) 68)) (-1511 ((|#2| |#2| |#2| (-763)) 66)) (-2723 ((|#2| |#2| |#2|) 110 (|has| |#1| (-453)))) (-2597 (((-1244 |#2|) (-1244 |#2|) |#1|) 21)) (-1854 (((-2 (|:| -4409 |#2|) (|:| -2607 |#2|)) |#2| |#2|) 38)) (-3199 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3440 |#1|)) |#2|) 94)) (-3440 ((|#1| |#2|) 91)) (-2664 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-763)) 72)) (-1334 ((|#2| |#2| |#2| (-763)) 71)) (-2158 (((-634 |#2|) |#2| |#2|) 79)) (-2441 ((|#2| |#2| |#1| |#1| (-763)) 49)) (-3381 ((|#1| |#1| |#1| (-763)) 48)) (* (((-1244 |#2|) |#1| (-1244 |#2|)) 16))) 
-(((-970 |#1| |#2|) (-10 -7 (-15 -2910 (|#1| |#2| |#2|)) (-15 -4328 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2910 |#1|)) |#2| |#2|)) (-15 -1352 ((-2 (|:| |coef2| |#2|) (|:| -2910 |#1|)) |#2| |#2|)) (-15 -2039 ((-2 (|:| |coef1| |#2|) (|:| -2910 |#1|)) |#2| |#2|)) (-15 -1511 (|#2| |#2| |#2| (-763))) (-15 -2939 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-763))) (-15 -4033 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-763))) (-15 -1334 (|#2| |#2| |#2| (-763))) (-15 -2664 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-763))) (-15 -4476 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-763))) (-15 -3137 (|#2| |#2| |#2|)) (-15 -3629 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -2452 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -1736 (|#2| |#2| |#2|)) (-15 -1823 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2723 |#2|)) |#2| |#2|)) (-15 -3628 ((-2 (|:| |coef2| |#2|) (|:| -2723 |#2|)) |#2| |#2|)) (-15 -2018 ((-2 (|:| |coef1| |#2|) (|:| -2723 |#2|)) |#2| |#2|)) (-15 -3440 (|#1| |#2|)) (-15 -3199 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3440 |#1|)) |#2|)) (-15 -2849 ((-2 (|:| |coef2| |#2|) (|:| -3440 |#1|)) |#2|)) (-15 -2158 ((-634 |#2|) |#2| |#2|)) (-15 -2269 ((-634 (-763)) |#2| |#2|)) (IF (|has| |#1| (-453)) (PROGN (-15 -2534 (|#1| |#2| |#2|)) (-15 -2023 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2534 |#1|)) |#2| |#2|)) (-15 -3657 ((-2 (|:| |coef2| |#2|) (|:| -2534 |#1|)) |#2| |#2|)) (-15 -2723 (|#2| |#2| |#2|))) |noBranch|) (-15 * ((-1244 |#2|) |#1| (-1244 |#2|))) (-15 -2597 ((-1244 |#2|) (-1244 |#2|) |#1|)) (-15 -3777 ((-2 (|:| -2350 |#1|) (|:| -4409 |#2|) (|:| -2607 |#2|)) |#2| |#2|)) (-15 -1854 ((-2 (|:| -4409 |#2|) (|:| -2607 |#2|)) |#2| |#2|)) (-15 -3381 (|#1| |#1| |#1| (-763))) (-15 -2441 (|#2| |#2| |#1| |#1| (-763))) (-15 -1357 (|#2| |#2| |#2| |#2| |#1|)) (-15 -3019 (|#1| |#2| |#2|)) (-15 -2532 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2910 |#1|)) |#2| |#2|)) (-15 -3893 ((-2 (|:| |coef2| |#2|) (|:| -2910 |#1|)) |#2| |#2|))) (-558) (-1219 |#1|)) (T -970)) 
-((-3893 (*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -2910 *4))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4)))) (-2532 (*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -2910 *4))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4)))) (-3019 (*1 *2 *3 *3) (-12 (-4 *2 (-558)) (-5 *1 (-970 *2 *3)) (-4 *3 (-1219 *2)))) (-1357 (*1 *2 *2 *2 *2 *3) (-12 (-4 *3 (-558)) (-5 *1 (-970 *3 *2)) (-4 *2 (-1219 *3)))) (-2441 (*1 *2 *2 *3 *3 *4) (-12 (-5 *4 (-763)) (-4 *3 (-558)) (-5 *1 (-970 *3 *2)) (-4 *2 (-1219 *3)))) (-3381 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-763)) (-4 *2 (-558)) (-5 *1 (-970 *2 *4)) (-4 *4 (-1219 *2)))) (-1854 (*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| -4409 *3) (|:| -2607 *3))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4)))) (-3777 (*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| -2350 *4) (|:| -4409 *3) (|:| -2607 *3))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4)))) (-2597 (*1 *2 *2 *3) (-12 (-5 *2 (-1244 *4)) (-4 *4 (-1219 *3)) (-4 *3 (-558)) (-5 *1 (-970 *3 *4)))) (* (*1 *2 *3 *2) (-12 (-5 *2 (-1244 *4)) (-4 *4 (-1219 *3)) (-4 *3 (-558)) (-5 *1 (-970 *3 *4)))) (-2723 (*1 *2 *2 *2) (-12 (-4 *3 (-453)) (-4 *3 (-558)) (-5 *1 (-970 *3 *2)) (-4 *2 (-1219 *3)))) (-3657 (*1 *2 *3 *3) (-12 (-4 *4 (-453)) (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -2534 *4))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4)))) (-2023 (*1 *2 *3 *3) (-12 (-4 *4 (-453)) (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -2534 *4))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4)))) (-2534 (*1 *2 *3 *3) (-12 (-4 *2 (-558)) (-4 *2 (-453)) (-5 *1 (-970 *2 *3)) (-4 *3 (-1219 *2)))) (-2269 (*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-634 (-763))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4)))) (-2158 (*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-634 *3)) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4)))) (-2849 (*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3440 *4))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4)))) (-3199 (*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3440 *4))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4)))) (-3440 (*1 *2 *3) (-12 (-4 *2 (-558)) (-5 *1 (-970 *2 *3)) (-4 *3 (-1219 *2)))) (-2018 (*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -2723 *3))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4)))) (-3628 (*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -2723 *3))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4)))) (-1823 (*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -2723 *3))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4)))) (-1736 (*1 *2 *2 *2) (-12 (-4 *3 (-558)) (-5 *1 (-970 *3 *2)) (-4 *2 (-1219 *3)))) (-2452 (*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4)))) (-3629 (*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4)))) (-3137 (*1 *2 *2 *2) (-12 (-4 *3 (-558)) (-5 *1 (-970 *3 *2)) (-4 *2 (-1219 *3)))) (-4476 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-763)) (-4 *5 (-558)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-970 *5 *3)) (-4 *3 (-1219 *5)))) (-2664 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-763)) (-4 *5 (-558)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-970 *5 *3)) (-4 *3 (-1219 *5)))) (-1334 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-763)) (-4 *4 (-558)) (-5 *1 (-970 *4 *2)) (-4 *2 (-1219 *4)))) (-4033 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-763)) (-4 *5 (-558)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-970 *5 *3)) (-4 *3 (-1219 *5)))) (-2939 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-763)) (-4 *5 (-558)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-970 *5 *3)) (-4 *3 (-1219 *5)))) (-1511 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-763)) (-4 *4 (-558)) (-5 *1 (-970 *4 *2)) (-4 *2 (-1219 *4)))) (-2039 (*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -2910 *4))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4)))) (-1352 (*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -2910 *4))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4)))) (-4328 (*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -2910 *4))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4)))) (-2910 (*1 *2 *3 *3) (-12 (-4 *2 (-558)) (-5 *1 (-970 *2 *3)) (-4 *3 (-1219 *2))))) 
-(-10 -7 (-15 -2910 (|#1| |#2| |#2|)) (-15 -4328 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2910 |#1|)) |#2| |#2|)) (-15 -1352 ((-2 (|:| |coef2| |#2|) (|:| -2910 |#1|)) |#2| |#2|)) (-15 -2039 ((-2 (|:| |coef1| |#2|) (|:| -2910 |#1|)) |#2| |#2|)) (-15 -1511 (|#2| |#2| |#2| (-763))) (-15 -2939 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-763))) (-15 -4033 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-763))) (-15 -1334 (|#2| |#2| |#2| (-763))) (-15 -2664 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-763))) (-15 -4476 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-763))) (-15 -3137 (|#2| |#2| |#2|)) (-15 -3629 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -2452 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -1736 (|#2| |#2| |#2|)) (-15 -1823 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2723 |#2|)) |#2| |#2|)) (-15 -3628 ((-2 (|:| |coef2| |#2|) (|:| -2723 |#2|)) |#2| |#2|)) (-15 -2018 ((-2 (|:| |coef1| |#2|) (|:| -2723 |#2|)) |#2| |#2|)) (-15 -3440 (|#1| |#2|)) (-15 -3199 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3440 |#1|)) |#2|)) (-15 -2849 ((-2 (|:| |coef2| |#2|) (|:| -3440 |#1|)) |#2|)) (-15 -2158 ((-634 |#2|) |#2| |#2|)) (-15 -2269 ((-634 (-763)) |#2| |#2|)) (IF (|has| |#1| (-453)) (PROGN (-15 -2534 (|#1| |#2| |#2|)) (-15 -2023 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2534 |#1|)) |#2| |#2|)) (-15 -3657 ((-2 (|:| |coef2| |#2|) (|:| -2534 |#1|)) |#2| |#2|)) (-15 -2723 (|#2| |#2| |#2|))) |noBranch|) (-15 * ((-1244 |#2|) |#1| (-1244 |#2|))) (-15 -2597 ((-1244 |#2|) (-1244 |#2|) |#1|)) (-15 -3777 ((-2 (|:| -2350 |#1|) (|:| -4409 |#2|) (|:| -2607 |#2|)) |#2| |#2|)) (-15 -1854 ((-2 (|:| -4409 |#2|) (|:| -2607 |#2|)) |#2| |#2|)) (-15 -3381 (|#1| |#1| |#1| (-763))) (-15 -2441 (|#2| |#2| |#1| |#1| (-763))) (-15 -1357 (|#2| |#2| |#2| |#2| |#1|)) (-15 -3019 (|#1| |#2| |#2|)) (-15 -2532 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2910 |#1|)) |#2| |#2|)) (-15 -3893 ((-2 (|:| |coef2| |#2|) (|:| -2910 |#1|)) |#2| |#2|))) 
-((-2449 (((-121) $ $) 7)) (-2438 ((|#1| $ (-568) |#1|) 14)) (-2613 (((-634 $) (-634 $) (-763)) 22) (((-634 $) (-634 $)) 21)) (-1338 (((-121) $ (-763)) 20) (((-121) $) 19)) (-4154 (($ (-634 |#1|)) 30)) (-2034 (((-634 |#1|) $) 13)) (-4450 (((-634 $) $) 26) (((-634 $) $ (-763)) 25)) (-3897 (((-634 |#1|) $) 16)) (-1893 (((-1143) $) 9)) (-3709 (((-568) $) 17)) (-2794 (((-568) $) 32)) (-2219 (($ $ (-568)) 31) (($ $) 18)) (-4025 (((-1108) $) 10)) (-2781 ((|#1| $ (-568)) 15)) (-1836 (((-917) $) 12)) (-1937 ((|#1| $) 29)) (-2387 (($ $ (-763)) 24) (($ $) 23)) (-2747 (((-850) $) 11) (((-634 |#1|) $) 28) (($ (-634 |#1|)) 27)) (-1719 (((-121) $ $) 6))) 
-(((-971 |#1|) (-1275) (-365)) (T -971)) 
-((-2794 (*1 *2 *1) (-12 (-4 *1 (-971 *3)) (-4 *3 (-365)) (-5 *2 (-568)))) (-2219 (*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-971 *3)) (-4 *3 (-365)))) (-4154 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-365)) (-4 *1 (-971 *3)))) (-1937 (*1 *2 *1) (-12 (-4 *1 (-971 *2)) (-4 *2 (-365)))) (-2747 (*1 *2 *1) (-12 (-4 *1 (-971 *3)) (-4 *3 (-365)) (-5 *2 (-634 *3)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-365)) (-4 *1 (-971 *3)))) (-4450 (*1 *2 *1) (-12 (-4 *3 (-365)) (-5 *2 (-634 *1)) (-4 *1 (-971 *3)))) (-4450 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-4 *4 (-365)) (-5 *2 (-634 *1)) (-4 *1 (-971 *4)))) (-2387 (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-971 *3)) (-4 *3 (-365)))) (-2387 (*1 *1 *1) (-12 (-4 *1 (-971 *2)) (-4 *2 (-365)))) (-2613 (*1 *2 *2 *3) (-12 (-5 *2 (-634 *1)) (-5 *3 (-763)) (-4 *1 (-971 *4)) (-4 *4 (-365)))) (-2613 (*1 *2 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-971 *3)) (-4 *3 (-365)))) (-1338 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-4 *1 (-971 *4)) (-4 *4 (-365)) (-5 *2 (-121)))) (-1338 (*1 *2 *1) (-12 (-4 *1 (-971 *3)) (-4 *3 (-365)) (-5 *2 (-121)))) (-2219 (*1 *1 *1) (-12 (-4 *1 (-971 *2)) (-4 *2 (-365)))) (-3709 (*1 *2 *1) (-12 (-4 *1 (-971 *3)) (-4 *3 (-365)) (-5 *2 (-568)))) (-3897 (*1 *2 *1) (-12 (-4 *1 (-971 *3)) (-4 *3 (-365)) (-5 *2 (-634 *3)))) (-2781 (*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-971 *2)) (-4 *2 (-365)))) (-2438 (*1 *2 *1 *3 *2) (-12 (-5 *3 (-568)) (-4 *1 (-971 *2)) (-4 *2 (-365)))) (-2034 (*1 *2 *1) (-12 (-4 *1 (-971 *3)) (-4 *3 (-365)) (-5 *2 (-634 *3))))) 
-(-13 (-1088) (-10 -8 (-15 -2794 ((-568) $)) (-15 -2219 ($ $ (-568))) (-15 -4154 ($ (-634 |t#1|))) (-15 -1937 (|t#1| $)) (-15 -2747 ((-634 |t#1|) $)) (-15 -2747 ($ (-634 |t#1|))) (-15 -4450 ((-634 $) $)) (-15 -4450 ((-634 $) $ (-763))) (-15 -2387 ($ $ (-763))) (-15 -2387 ($ $)) (-15 -2613 ((-634 $) (-634 $) (-763))) (-15 -2613 ((-634 $) (-634 $))) (-15 -1338 ((-121) $ (-763))) (-15 -1338 ((-121) $)) (-15 -2219 ($ $)) (-15 -3709 ((-568) $)) (-15 -3897 ((-634 |t#1|) $)) (-15 -2781 (|t#1| $ (-568))) (-15 -2438 (|t#1| $ (-568) |t#1|)) (-15 -2034 ((-634 |t#1|) $)))) 
-(((-105) . T) ((-608 (-850)) . T) ((-1090) . T) ((-1088) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) 26)) (-4490 (($) NIL T CONST)) (-2960 (((-634 (-634 (-568))) (-634 (-568))) 28)) (-2220 (((-568) $) 44)) (-1829 (($ (-634 (-568))) 17)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-4280 (((-634 (-568)) $) 11)) (-2387 (($ $) 31)) (-2747 (((-850) $) 42) (((-634 (-568)) $) 9)) (-3058 (($) 7 T CONST)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 19)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 18)) (-1769 (($ $ $) 20)) (* (($ (-763) $) 24) (($ (-917) $) NIL))) 
-(((-972) (-13 (-790) (-609 (-634 (-568))) (-10 -8 (-15 -1829 ($ (-634 (-568)))) (-15 -2960 ((-634 (-634 (-568))) (-634 (-568)))) (-15 -2220 ((-568) $)) (-15 -2387 ($ $)) (-15 -2747 ((-634 (-568)) $))))) (T -972)) 
-((-1829 (*1 *1 *2) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-972)))) (-2960 (*1 *2 *3) (-12 (-5 *2 (-634 (-634 (-568)))) (-5 *1 (-972)) (-5 *3 (-634 (-568))))) (-2220 (*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-972)))) (-2387 (*1 *1 *1) (-5 *1 (-972))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-972))))) 
-(-13 (-790) (-609 (-634 (-568))) (-10 -8 (-15 -1829 ($ (-634 (-568)))) (-15 -2960 ((-634 (-634 (-568))) (-634 (-568)))) (-15 -2220 ((-568) $)) (-15 -2387 ($ $)) (-15 -2747 ((-634 (-568)) $)))) 
-((-1781 (($ $ |#2|) 30)) (-1775 (($ $) 22) (($ $ $) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 15) (($ $ $) NIL) (($ $ |#2|) 20) (($ |#2| $) 19) (($ (-409 (-568)) $) 26) (($ $ (-409 (-568))) 28))) 
-(((-973 |#1| |#2| |#3| |#4|) (-10 -8 (-15 * (|#1| |#1| (-409 (-568)))) (-15 * (|#1| (-409 (-568)) |#1|)) (-15 -1781 (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-568) |#1|)) (-15 -1775 (|#1| |#1| |#1|)) (-15 -1775 (|#1| |#1|)) (-15 * (|#1| (-763) |#1|)) (-15 * (|#1| (-917) |#1|))) (-974 |#2| |#3| |#4|) (-1047) (-787) (-842)) (T -973)) 
-NIL 
-(-10 -8 (-15 * (|#1| |#1| (-409 (-568)))) (-15 * (|#1| (-409 (-568)) |#1|)) (-15 -1781 (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-568) |#1|)) (-15 -1775 (|#1| |#1| |#1|)) (-15 -1775 (|#1| |#1|)) (-15 * (|#1| (-763) |#1|)) (-15 * (|#1| (-917) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2057 (((-634 |#3|) $) 70)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 50 (|has| |#1| (-558)))) (-3661 (($ $) 51 (|has| |#1| (-558)))) (-4426 (((-121) $) 53 (|has| |#1| (-558)))) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-2116 (($ $) 59)) (-2902 (((-3 $ "failed") $) 33)) (-1302 (((-121) $) 69)) (-1598 (((-121) $) 30)) (-2171 (((-121) $) 61)) (-2049 (($ |#1| |#2|) 60) (($ $ |#3| |#2|) 72) (($ $ (-634 |#3|) (-634 |#2|)) 71)) (-2797 (($ (-1 |#1| |#1|) $) 62)) (-2099 (($ $) 64)) (-2104 ((|#1| $) 65)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2597 (((-3 $ "failed") $ $) 49 (|has| |#1| (-558)))) (-1836 ((|#2| $) 63)) (-2188 (($ $) 68)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ (-409 (-568))) 56 (|has| |#1| (-43 (-409 (-568))))) (($ $) 48 (|has| |#1| (-558))) (($ |#1|) 46 (|has| |#1| (-172)))) (-2079 ((|#1| $ |#2|) 58)) (-3385 (((-3 $ "failed") $) 47 (|has| |#1| (-148)))) (-3425 (((-763)) 28)) (-2273 (((-121) $ $) 52 (|has| |#1| (-558)))) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1781 (($ $ |#1|) 57 (|has| |#1| (-365)))) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-409 (-568)) $) 55 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) 54 (|has| |#1| (-43 (-409 (-568))))))) 
-(((-974 |#1| |#2| |#3|) (-1275) (-1047) (-787) (-842)) (T -974)) 
-((-2104 (*1 *2 *1) (-12 (-4 *1 (-974 *2 *3 *4)) (-4 *3 (-787)) (-4 *4 (-842)) (-4 *2 (-1047)))) (-2099 (*1 *1 *1) (-12 (-4 *1 (-974 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-787)) (-4 *4 (-842)))) (-1836 (*1 *2 *1) (-12 (-4 *1 (-974 *3 *2 *4)) (-4 *3 (-1047)) (-4 *4 (-842)) (-4 *2 (-787)))) (-2049 (*1 *1 *1 *2 *3) (-12 (-4 *1 (-974 *4 *3 *2)) (-4 *4 (-1047)) (-4 *3 (-787)) (-4 *2 (-842)))) (-2049 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 *6)) (-5 *3 (-634 *5)) (-4 *1 (-974 *4 *5 *6)) (-4 *4 (-1047)) (-4 *5 (-787)) (-4 *6 (-842)))) (-2057 (*1 *2 *1) (-12 (-4 *1 (-974 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-787)) (-4 *5 (-842)) (-5 *2 (-634 *5)))) (-1302 (*1 *2 *1) (-12 (-4 *1 (-974 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-787)) (-4 *5 (-842)) (-5 *2 (-121)))) (-2188 (*1 *1 *1) (-12 (-4 *1 (-974 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-787)) (-4 *4 (-842))))) 
-(-13 (-52 |t#1| |t#2|) (-10 -8 (-15 -2049 ($ $ |t#3| |t#2|)) (-15 -2049 ($ $ (-634 |t#3|) (-634 |t#2|))) (-15 -2099 ($ $)) (-15 -2104 (|t#1| $)) (-15 -1836 (|t#2| $)) (-15 -2057 ((-634 |t#3|) $)) (-15 -1302 ((-121) $)) (-15 -2188 ($ $)))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-43 |#1|) |has| |#1| (-172)) ((-43 $) |has| |#1| (-558)) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2199 (|has| |#1| (-558)) (|has| |#1| (-172))) ((-137) . T) ((-148) |has| |#1| (-148)) ((-150) |has| |#1| (-150)) ((-608 (-850)) . T) ((-172) -2199 (|has| |#1| (-558)) (|has| |#1| (-172))) ((-285) |has| |#1| (-558)) ((-558) |has| |#1| (-558)) ((-637 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-637 |#1|) . T) ((-637 $) . T) ((-707 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-707 |#1|) |has| |#1| (-172)) ((-707 $) |has| |#1| (-558)) ((-716) . T) ((-1053 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-1053 |#1|) . T) ((-1053 $) -2199 (|has| |#1| (-558)) (|has| |#1| (-172))) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-1689 (((-1084 (-215)) $) 7)) (-1421 (((-1084 (-215)) $) 8)) (-3679 (((-1084 (-215)) $) 9)) (-1878 (((-634 (-634 (-944 (-215)))) $) 10)) (-2747 (((-850) $) 6))) 
-(((-975) (-1275)) (T -975)) 
-((-1878 (*1 *2 *1) (-12 (-4 *1 (-975)) (-5 *2 (-634 (-634 (-944 (-215))))))) (-3679 (*1 *2 *1) (-12 (-4 *1 (-975)) (-5 *2 (-1084 (-215))))) (-1421 (*1 *2 *1) (-12 (-4 *1 (-975)) (-5 *2 (-1084 (-215))))) (-1689 (*1 *2 *1) (-12 (-4 *1 (-975)) (-5 *2 (-1084 (-215)))))) 
-(-13 (-608 (-850)) (-10 -8 (-15 -1878 ((-634 (-634 (-944 (-215)))) $)) (-15 -3679 ((-1084 (-215)) $)) (-15 -1421 ((-1084 (-215)) $)) (-15 -1689 ((-1084 (-215)) $)))) 
-(((-608 (-850)) . T)) 
-((-2057 (((-634 |#4|) $) 23)) (-4141 (((-121) $) 47)) (-1794 (((-121) $) 46)) (-3647 (((-2 (|:| |under| $) (|:| -4115 $) (|:| |upper| $)) $ |#4|) 35)) (-4382 (((-121) $) 48)) (-1880 (((-121) $ $) 54)) (-2536 (((-121) $ $) 57)) (-2343 (((-121) $) 52)) (-3993 (((-634 |#5|) (-634 |#5|) $) 89)) (-2727 (((-634 |#5|) (-634 |#5|) $) 86)) (-2607 (((-2 (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| $) 80)) (-2249 (((-634 |#4|) $) 27)) (-1495 (((-121) |#4| $) 29)) (-1440 (((-2 (|:| |num| |#5|) (|:| |den| |#2|)) |#5| $) 72)) (-3206 (($ $ |#4|) 32)) (-2527 (($ $ |#4|) 31)) (-4332 (($ $ |#4|) 33)) (-1719 (((-121) $ $) 39))) 
-(((-976 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -1794 ((-121) |#1|)) (-15 -3993 ((-634 |#5|) (-634 |#5|) |#1|)) (-15 -2727 ((-634 |#5|) (-634 |#5|) |#1|)) (-15 -2607 ((-2 (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -1440 ((-2 (|:| |num| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -4382 ((-121) |#1|)) (-15 -2536 ((-121) |#1| |#1|)) (-15 -1880 ((-121) |#1| |#1|)) (-15 -2343 ((-121) |#1|)) (-15 -4141 ((-121) |#1|)) (-15 -3647 ((-2 (|:| |under| |#1|) (|:| -4115 |#1|) (|:| |upper| |#1|)) |#1| |#4|)) (-15 -3206 (|#1| |#1| |#4|)) (-15 -4332 (|#1| |#1| |#4|)) (-15 -2527 (|#1| |#1| |#4|)) (-15 -1495 ((-121) |#4| |#1|)) (-15 -2249 ((-634 |#4|) |#1|)) (-15 -2057 ((-634 |#4|) |#1|)) (-15 -1719 ((-121) |#1| |#1|))) (-977 |#2| |#3| |#4| |#5|) (-1047) (-788) (-842) (-1061 |#2| |#3| |#4|)) (T -976)) 
-NIL 
-(-10 -8 (-15 -1794 ((-121) |#1|)) (-15 -3993 ((-634 |#5|) (-634 |#5|) |#1|)) (-15 -2727 ((-634 |#5|) (-634 |#5|) |#1|)) (-15 -2607 ((-2 (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -1440 ((-2 (|:| |num| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -4382 ((-121) |#1|)) (-15 -2536 ((-121) |#1| |#1|)) (-15 -1880 ((-121) |#1| |#1|)) (-15 -2343 ((-121) |#1|)) (-15 -4141 ((-121) |#1|)) (-15 -3647 ((-2 (|:| |under| |#1|) (|:| -4115 |#1|) (|:| |upper| |#1|)) |#1| |#4|)) (-15 -3206 (|#1| |#1| |#4|)) (-15 -4332 (|#1| |#1| |#4|)) (-15 -2527 (|#1| |#1| |#4|)) (-15 -1495 ((-121) |#4| |#1|)) (-15 -2249 ((-634 |#4|) |#1|)) (-15 -2057 ((-634 |#4|) |#1|)) (-15 -1719 ((-121) |#1| |#1|))) 
-((-2449 (((-121) $ $) 7)) (-2057 (((-634 |#3|) $) 32)) (-4141 (((-121) $) 25)) (-1794 (((-121) $) 16 (|has| |#1| (-558)))) (-3647 (((-2 (|:| |under| $) (|:| -4115 $) (|:| |upper| $)) $ |#3|) 26)) (-1667 (((-121) $ (-763)) 43)) (-2803 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4521)))) (-4490 (($) 44 T CONST)) (-4382 (((-121) $) 21 (|has| |#1| (-558)))) (-1880 (((-121) $ $) 23 (|has| |#1| (-558)))) (-2536 (((-121) $ $) 22 (|has| |#1| (-558)))) (-2343 (((-121) $) 24 (|has| |#1| (-558)))) (-3993 (((-634 |#4|) (-634 |#4|) $) 17 (|has| |#1| (-558)))) (-2727 (((-634 |#4|) (-634 |#4|) $) 18 (|has| |#1| (-558)))) (-3668 (((-3 $ "failed") (-634 |#4|)) 35)) (-2857 (($ (-634 |#4|)) 34)) (-3926 (($ $) 67 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521))))) (-4330 (($ |#4| $) 66 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4521)))) (-2607 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-558)))) (-3094 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4521))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4521)))) (-3317 (((-634 |#4|) $) 51 (|has| $ (-6 -4521)))) (-4001 ((|#3| $) 33)) (-3791 (((-121) $ (-763)) 42)) (-4406 (((-634 |#4|) $) 52 (|has| $ (-6 -4521)))) (-2551 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521))))) (-2253 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#4| |#4|) $) 46)) (-2249 (((-634 |#3|) $) 31)) (-1495 (((-121) |#3| $) 30)) (-3796 (((-121) $ (-763)) 41)) (-1893 (((-1143) $) 9)) (-1440 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-558)))) (-4025 (((-1108) $) 10)) (-2712 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-3951 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 |#4|) (-634 |#4|)) 58 (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ (-288 |#4|)) 56 (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ (-634 (-288 |#4|))) 55 (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090))))) (-1702 (((-121) $ $) 37)) (-2436 (((-121) $) 40)) (-1990 (($) 39)) (-4170 (((-763) |#4| $) 53 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521)))) (((-763) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4521)))) (-3865 (($ $) 38)) (-4280 (((-541) $) 68 (|has| |#4| (-609 (-541))))) (-4289 (($ (-634 |#4|)) 59)) (-3206 (($ $ |#3|) 27)) (-2527 (($ $ |#3|) 29)) (-4332 (($ $ |#3|) 28)) (-2747 (((-850) $) 11) (((-634 |#4|) $) 36)) (-3437 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 6)) (-1699 (((-763) $) 45 (|has| $ (-6 -4521))))) 
-(((-977 |#1| |#2| |#3| |#4|) (-1275) (-1047) (-788) (-842) (-1061 |t#1| |t#2| |t#3|)) (T -977)) 
-((-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *1 (-977 *3 *4 *5 *6)))) (-2857 (*1 *1 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *1 (-977 *3 *4 *5 *6)))) (-4001 (*1 *2 *1) (-12 (-4 *1 (-977 *3 *4 *2 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-1061 *3 *4 *2)) (-4 *2 (-842)))) (-2057 (*1 *2 *1) (-12 (-4 *1 (-977 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-634 *5)))) (-2249 (*1 *2 *1) (-12 (-4 *1 (-977 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-634 *5)))) (-1495 (*1 *2 *3 *1) (-12 (-4 *1 (-977 *4 *5 *3 *6)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *3 (-842)) (-4 *6 (-1061 *4 *5 *3)) (-5 *2 (-121)))) (-2527 (*1 *1 *1 *2) (-12 (-4 *1 (-977 *3 *4 *2 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)) (-4 *5 (-1061 *3 *4 *2)))) (-4332 (*1 *1 *1 *2) (-12 (-4 *1 (-977 *3 *4 *2 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)) (-4 *5 (-1061 *3 *4 *2)))) (-3206 (*1 *1 *1 *2) (-12 (-4 *1 (-977 *3 *4 *2 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)) (-4 *5 (-1061 *3 *4 *2)))) (-3647 (*1 *2 *1 *3) (-12 (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *3 (-842)) (-4 *6 (-1061 *4 *5 *3)) (-5 *2 (-2 (|:| |under| *1) (|:| -4115 *1) (|:| |upper| *1))) (-4 *1 (-977 *4 *5 *3 *6)))) (-4141 (*1 *2 *1) (-12 (-4 *1 (-977 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-121)))) (-2343 (*1 *2 *1) (-12 (-4 *1 (-977 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)) (-5 *2 (-121)))) (-1880 (*1 *2 *1 *1) (-12 (-4 *1 (-977 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)) (-5 *2 (-121)))) (-2536 (*1 *2 *1 *1) (-12 (-4 *1 (-977 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)) (-5 *2 (-121)))) (-4382 (*1 *2 *1) (-12 (-4 *1 (-977 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)) (-5 *2 (-121)))) (-1440 (*1 *2 *3 *1) (-12 (-4 *1 (-977 *4 *5 *6 *3)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-4 *4 (-558)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))))) (-2607 (*1 *2 *3 *1) (-12 (-4 *1 (-977 *4 *5 *6 *3)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-4 *4 (-558)) (-5 *2 (-2 (|:| |rnum| *4) (|:| |polnum| *3) (|:| |den| *4))))) (-2727 (*1 *2 *2 *1) (-12 (-5 *2 (-634 *6)) (-4 *1 (-977 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)))) (-3993 (*1 *2 *2 *1) (-12 (-5 *2 (-634 *6)) (-4 *1 (-977 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)))) (-1794 (*1 *2 *1) (-12 (-4 *1 (-977 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)) (-5 *2 (-121))))) 
-(-13 (-1090) (-154 |t#4|) (-608 (-634 |t#4|)) (-10 -8 (-6 -4521) (-15 -3668 ((-3 $ "failed") (-634 |t#4|))) (-15 -2857 ($ (-634 |t#4|))) (-15 -4001 (|t#3| $)) (-15 -2057 ((-634 |t#3|) $)) (-15 -2249 ((-634 |t#3|) $)) (-15 -1495 ((-121) |t#3| $)) (-15 -2527 ($ $ |t#3|)) (-15 -4332 ($ $ |t#3|)) (-15 -3206 ($ $ |t#3|)) (-15 -3647 ((-2 (|:| |under| $) (|:| -4115 $) (|:| |upper| $)) $ |t#3|)) (-15 -4141 ((-121) $)) (IF (|has| |t#1| (-558)) (PROGN (-15 -2343 ((-121) $)) (-15 -1880 ((-121) $ $)) (-15 -2536 ((-121) $ $)) (-15 -4382 ((-121) $)) (-15 -1440 ((-2 (|:| |num| |t#4|) (|:| |den| |t#1|)) |t#4| $)) (-15 -2607 ((-2 (|:| |rnum| |t#1|) (|:| |polnum| |t#4|) (|:| |den| |t#1|)) |t#4| $)) (-15 -2727 ((-634 |t#4|) (-634 |t#4|) $)) (-15 -3993 ((-634 |t#4|) (-634 |t#4|) $)) (-15 -1794 ((-121) $))) |noBranch|))) 
-(((-39) . T) ((-105) . T) ((-608 (-634 |#4|)) . T) ((-608 (-850)) . T) ((-154 |#4|) . T) ((-609 (-541)) |has| |#4| (-609 (-541))) ((-303 |#4|) -12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090))) ((-499 |#4|) . T) ((-523 |#4| |#4|) -12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090))) ((-1090) . T) ((-1195) . T)) 
-((-3292 (((-634 |#4|) |#4| |#4|) 114)) (-1325 (((-634 |#4|) (-634 |#4|) (-121)) 103 (|has| |#1| (-453))) (((-634 |#4|) (-634 |#4|)) 104 (|has| |#1| (-453)))) (-2478 (((-2 (|:| |goodPols| (-634 |#4|)) (|:| |badPols| (-634 |#4|))) (-634 |#4|)) 34)) (-1355 (((-121) |#4|) 33)) (-4316 (((-634 |#4|) |#4|) 100 (|has| |#1| (-453)))) (-1879 (((-2 (|:| |goodPols| (-634 |#4|)) (|:| |badPols| (-634 |#4|))) (-1 (-121) |#4|) (-634 |#4|)) 19)) (-2890 (((-2 (|:| |goodPols| (-634 |#4|)) (|:| |badPols| (-634 |#4|))) (-634 (-1 (-121) |#4|)) (-634 |#4|)) 21)) (-1884 (((-2 (|:| |goodPols| (-634 |#4|)) (|:| |badPols| (-634 |#4|))) (-634 (-1 (-121) |#4|)) (-634 |#4|)) 22)) (-2965 (((-3 (-2 (|:| |bas| (-481 |#1| |#2| |#3| |#4|)) (|:| -2618 (-634 |#4|))) "failed") (-634 |#4|)) 72)) (-3574 (((-634 |#4|) (-634 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 84)) (-1949 (((-634 |#4|) (-634 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 107)) (-1673 (((-634 |#4|) (-634 |#4|)) 106)) (-1956 (((-634 |#4|) (-634 |#4|) (-634 |#4|) (-121)) 47) (((-634 |#4|) (-634 |#4|) (-634 |#4|)) 49)) (-1554 ((|#4| |#4| (-634 |#4|)) 48)) (-2940 (((-634 |#4|) (-634 |#4|) (-634 |#4|)) 110 (|has| |#1| (-453)))) (-3431 (((-634 |#4|) (-634 |#4|) (-634 |#4|)) 113 (|has| |#1| (-453)))) (-3263 (((-634 |#4|) (-634 |#4|) (-634 |#4|)) 112 (|has| |#1| (-453)))) (-3858 (((-634 |#4|) (-634 |#4|) (-634 |#4|) (-1 (-634 |#4|) (-634 |#4|))) 86) (((-634 |#4|) (-634 |#4|) (-634 |#4|)) 88) (((-634 |#4|) (-634 |#4|) |#4|) 117) (((-634 |#4|) |#4| |#4|) 115) (((-634 |#4|) (-634 |#4|)) 87)) (-2698 (((-634 |#4|) (-634 |#4|) (-634 |#4|)) 97 (-12 (|has| |#1| (-150)) (|has| |#1| (-301))))) (-1531 (((-2 (|:| |goodPols| (-634 |#4|)) (|:| |badPols| (-634 |#4|))) (-634 |#4|)) 40)) (-2267 (((-121) (-634 |#4|)) 61)) (-1811 (((-121) (-634 |#4|) (-634 (-634 |#4|))) 52)) (-4199 (((-2 (|:| |goodPols| (-634 |#4|)) (|:| |badPols| (-634 |#4|))) (-634 |#4|)) 28)) (-3338 (((-121) |#4|) 27)) (-3461 (((-634 |#4|) (-634 |#4|)) 96 (-12 (|has| |#1| (-150)) (|has| |#1| (-301))))) (-3864 (((-634 |#4|) (-634 |#4|)) 95 (-12 (|has| |#1| (-150)) (|has| |#1| (-301))))) (-1853 (((-634 |#4|) (-634 |#4|)) 65)) (-1441 (((-634 |#4|) (-634 |#4|)) 78)) (-1925 (((-121) (-634 |#4|) (-634 |#4|)) 50)) (-2019 (((-2 (|:| |goodPols| (-634 |#4|)) (|:| |badPols| (-634 |#4|))) (-634 |#4|)) 38)) (-3812 (((-121) |#4|) 35))) 
-(((-978 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3858 ((-634 |#4|) (-634 |#4|))) (-15 -3858 ((-634 |#4|) |#4| |#4|)) (-15 -1673 ((-634 |#4|) (-634 |#4|))) (-15 -3292 ((-634 |#4|) |#4| |#4|)) (-15 -3858 ((-634 |#4|) (-634 |#4|) |#4|)) (-15 -3858 ((-634 |#4|) (-634 |#4|) (-634 |#4|))) (-15 -3858 ((-634 |#4|) (-634 |#4|) (-634 |#4|) (-1 (-634 |#4|) (-634 |#4|)))) (-15 -1925 ((-121) (-634 |#4|) (-634 |#4|))) (-15 -1811 ((-121) (-634 |#4|) (-634 (-634 |#4|)))) (-15 -2267 ((-121) (-634 |#4|))) (-15 -1879 ((-2 (|:| |goodPols| (-634 |#4|)) (|:| |badPols| (-634 |#4|))) (-1 (-121) |#4|) (-634 |#4|))) (-15 -2890 ((-2 (|:| |goodPols| (-634 |#4|)) (|:| |badPols| (-634 |#4|))) (-634 (-1 (-121) |#4|)) (-634 |#4|))) (-15 -1884 ((-2 (|:| |goodPols| (-634 |#4|)) (|:| |badPols| (-634 |#4|))) (-634 (-1 (-121) |#4|)) (-634 |#4|))) (-15 -1531 ((-2 (|:| |goodPols| (-634 |#4|)) (|:| |badPols| (-634 |#4|))) (-634 |#4|))) (-15 -1355 ((-121) |#4|)) (-15 -2478 ((-2 (|:| |goodPols| (-634 |#4|)) (|:| |badPols| (-634 |#4|))) (-634 |#4|))) (-15 -3338 ((-121) |#4|)) (-15 -4199 ((-2 (|:| |goodPols| (-634 |#4|)) (|:| |badPols| (-634 |#4|))) (-634 |#4|))) (-15 -3812 ((-121) |#4|)) (-15 -2019 ((-2 (|:| |goodPols| (-634 |#4|)) (|:| |badPols| (-634 |#4|))) (-634 |#4|))) (-15 -1956 ((-634 |#4|) (-634 |#4|) (-634 |#4|))) (-15 -1956 ((-634 |#4|) (-634 |#4|) (-634 |#4|) (-121))) (-15 -1554 (|#4| |#4| (-634 |#4|))) (-15 -1853 ((-634 |#4|) (-634 |#4|))) (-15 -2965 ((-3 (-2 (|:| |bas| (-481 |#1| |#2| |#3| |#4|)) (|:| -2618 (-634 |#4|))) "failed") (-634 |#4|))) (-15 -1441 ((-634 |#4|) (-634 |#4|))) (-15 -3574 ((-634 |#4|) (-634 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -1949 ((-634 |#4|) (-634 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (IF (|has| |#1| (-453)) (PROGN (-15 -4316 ((-634 |#4|) |#4|)) (-15 -1325 ((-634 |#4|) (-634 |#4|))) (-15 -1325 ((-634 |#4|) (-634 |#4|) (-121))) (-15 -2940 ((-634 |#4|) (-634 |#4|) (-634 |#4|))) (-15 -3263 ((-634 |#4|) (-634 |#4|) (-634 |#4|))) (-15 -3431 ((-634 |#4|) (-634 |#4|) (-634 |#4|)))) |noBranch|) (IF (|has| |#1| (-301)) (IF (|has| |#1| (-150)) (PROGN (-15 -3864 ((-634 |#4|) (-634 |#4|))) (-15 -3461 ((-634 |#4|) (-634 |#4|))) (-15 -2698 ((-634 |#4|) (-634 |#4|) (-634 |#4|)))) |noBranch|) |noBranch|)) (-558) (-788) (-842) (-1061 |#1| |#2| |#3|)) (T -978)) 
-((-2698 (*1 *2 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-150)) (-4 *3 (-301)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-978 *3 *4 *5 *6)))) (-3461 (*1 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-150)) (-4 *3 (-301)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-978 *3 *4 *5 *6)))) (-3864 (*1 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-150)) (-4 *3 (-301)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-978 *3 *4 *5 *6)))) (-3431 (*1 *2 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-453)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-978 *3 *4 *5 *6)))) (-3263 (*1 *2 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-453)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-978 *3 *4 *5 *6)))) (-2940 (*1 *2 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-453)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-978 *3 *4 *5 *6)))) (-1325 (*1 *2 *2 *3) (-12 (-5 *2 (-634 *7)) (-5 *3 (-121)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-453)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-978 *4 *5 *6 *7)))) (-1325 (*1 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-453)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-978 *3 *4 *5 *6)))) (-4316 (*1 *2 *3) (-12 (-4 *4 (-453)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-634 *3)) (-5 *1 (-978 *4 *5 *6 *3)) (-4 *3 (-1061 *4 *5 *6)))) (-1949 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-634 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-558)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *1 (-978 *5 *6 *7 *8)))) (-3574 (*1 *2 *2 *3 *4 *5) (-12 (-5 *2 (-634 *9)) (-5 *3 (-1 (-121) *9)) (-5 *4 (-1 (-121) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1061 *6 *7 *8)) (-4 *6 (-558)) (-4 *7 (-788)) (-4 *8 (-842)) (-5 *1 (-978 *6 *7 *8 *9)))) (-1441 (*1 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-978 *3 *4 *5 *6)))) (-2965 (*1 *2 *3) (|partial| -12 (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-2 (|:| |bas| (-481 *4 *5 *6 *7)) (|:| -2618 (-634 *7)))) (-5 *1 (-978 *4 *5 *6 *7)) (-5 *3 (-634 *7)))) (-1853 (*1 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-978 *3 *4 *5 *6)))) (-1554 (*1 *2 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-1061 *4 *5 *6)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-978 *4 *5 *6 *2)))) (-1956 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-634 *7)) (-5 *3 (-121)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-978 *4 *5 *6 *7)))) (-1956 (*1 *2 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-978 *3 *4 *5 *6)))) (-2019 (*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-634 *7)) (|:| |badPols| (-634 *7)))) (-5 *1 (-978 *4 *5 *6 *7)) (-5 *3 (-634 *7)))) (-3812 (*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-978 *4 *5 *6 *3)) (-4 *3 (-1061 *4 *5 *6)))) (-4199 (*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-634 *7)) (|:| |badPols| (-634 *7)))) (-5 *1 (-978 *4 *5 *6 *7)) (-5 *3 (-634 *7)))) (-3338 (*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-978 *4 *5 *6 *3)) (-4 *3 (-1061 *4 *5 *6)))) (-2478 (*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-634 *7)) (|:| |badPols| (-634 *7)))) (-5 *1 (-978 *4 *5 *6 *7)) (-5 *3 (-634 *7)))) (-1355 (*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-978 *4 *5 *6 *3)) (-4 *3 (-1061 *4 *5 *6)))) (-1531 (*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-634 *7)) (|:| |badPols| (-634 *7)))) (-5 *1 (-978 *4 *5 *6 *7)) (-5 *3 (-634 *7)))) (-1884 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-1 (-121) *8))) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-558)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-2 (|:| |goodPols| (-634 *8)) (|:| |badPols| (-634 *8)))) (-5 *1 (-978 *5 *6 *7 *8)) (-5 *4 (-634 *8)))) (-2890 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-1 (-121) *8))) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-558)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-2 (|:| |goodPols| (-634 *8)) (|:| |badPols| (-634 *8)))) (-5 *1 (-978 *5 *6 *7 *8)) (-5 *4 (-634 *8)))) (-1879 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-121) *8)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-558)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-2 (|:| |goodPols| (-634 *8)) (|:| |badPols| (-634 *8)))) (-5 *1 (-978 *5 *6 *7 *8)) (-5 *4 (-634 *8)))) (-2267 (*1 *2 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-978 *4 *5 *6 *7)))) (-1811 (*1 *2 *3 *4) (-12 (-5 *4 (-634 (-634 *8))) (-5 *3 (-634 *8)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-558)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-121)) (-5 *1 (-978 *5 *6 *7 *8)))) (-1925 (*1 *2 *3 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-978 *4 *5 *6 *7)))) (-3858 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 (-634 *7) (-634 *7))) (-5 *2 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-978 *4 *5 *6 *7)))) (-3858 (*1 *2 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-978 *3 *4 *5 *6)))) (-3858 (*1 *2 *2 *3) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1061 *4 *5 *6)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-978 *4 *5 *6 *3)))) (-3292 (*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-634 *3)) (-5 *1 (-978 *4 *5 *6 *3)) (-4 *3 (-1061 *4 *5 *6)))) (-1673 (*1 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-978 *3 *4 *5 *6)))) (-3858 (*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-634 *3)) (-5 *1 (-978 *4 *5 *6 *3)) (-4 *3 (-1061 *4 *5 *6)))) (-3858 (*1 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-978 *3 *4 *5 *6))))) 
-(-10 -7 (-15 -3858 ((-634 |#4|) (-634 |#4|))) (-15 -3858 ((-634 |#4|) |#4| |#4|)) (-15 -1673 ((-634 |#4|) (-634 |#4|))) (-15 -3292 ((-634 |#4|) |#4| |#4|)) (-15 -3858 ((-634 |#4|) (-634 |#4|) |#4|)) (-15 -3858 ((-634 |#4|) (-634 |#4|) (-634 |#4|))) (-15 -3858 ((-634 |#4|) (-634 |#4|) (-634 |#4|) (-1 (-634 |#4|) (-634 |#4|)))) (-15 -1925 ((-121) (-634 |#4|) (-634 |#4|))) (-15 -1811 ((-121) (-634 |#4|) (-634 (-634 |#4|)))) (-15 -2267 ((-121) (-634 |#4|))) (-15 -1879 ((-2 (|:| |goodPols| (-634 |#4|)) (|:| |badPols| (-634 |#4|))) (-1 (-121) |#4|) (-634 |#4|))) (-15 -2890 ((-2 (|:| |goodPols| (-634 |#4|)) (|:| |badPols| (-634 |#4|))) (-634 (-1 (-121) |#4|)) (-634 |#4|))) (-15 -1884 ((-2 (|:| |goodPols| (-634 |#4|)) (|:| |badPols| (-634 |#4|))) (-634 (-1 (-121) |#4|)) (-634 |#4|))) (-15 -1531 ((-2 (|:| |goodPols| (-634 |#4|)) (|:| |badPols| (-634 |#4|))) (-634 |#4|))) (-15 -1355 ((-121) |#4|)) (-15 -2478 ((-2 (|:| |goodPols| (-634 |#4|)) (|:| |badPols| (-634 |#4|))) (-634 |#4|))) (-15 -3338 ((-121) |#4|)) (-15 -4199 ((-2 (|:| |goodPols| (-634 |#4|)) (|:| |badPols| (-634 |#4|))) (-634 |#4|))) (-15 -3812 ((-121) |#4|)) (-15 -2019 ((-2 (|:| |goodPols| (-634 |#4|)) (|:| |badPols| (-634 |#4|))) (-634 |#4|))) (-15 -1956 ((-634 |#4|) (-634 |#4|) (-634 |#4|))) (-15 -1956 ((-634 |#4|) (-634 |#4|) (-634 |#4|) (-121))) (-15 -1554 (|#4| |#4| (-634 |#4|))) (-15 -1853 ((-634 |#4|) (-634 |#4|))) (-15 -2965 ((-3 (-2 (|:| |bas| (-481 |#1| |#2| |#3| |#4|)) (|:| -2618 (-634 |#4|))) "failed") (-634 |#4|))) (-15 -1441 ((-634 |#4|) (-634 |#4|))) (-15 -3574 ((-634 |#4|) (-634 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -1949 ((-634 |#4|) (-634 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (IF (|has| |#1| (-453)) (PROGN (-15 -4316 ((-634 |#4|) |#4|)) (-15 -1325 ((-634 |#4|) (-634 |#4|))) (-15 -1325 ((-634 |#4|) (-634 |#4|) (-121))) (-15 -2940 ((-634 |#4|) (-634 |#4|) (-634 |#4|))) (-15 -3263 ((-634 |#4|) (-634 |#4|) (-634 |#4|))) (-15 -3431 ((-634 |#4|) (-634 |#4|) (-634 |#4|)))) |noBranch|) (IF (|has| |#1| (-301)) (IF (|has| |#1| (-150)) (PROGN (-15 -3864 ((-634 |#4|) (-634 |#4|))) (-15 -3461 ((-634 |#4|) (-634 |#4|))) (-15 -2698 ((-634 |#4|) (-634 |#4|) (-634 |#4|)))) |noBranch|) |noBranch|)) 
-((-4272 (((-2 (|:| R (-679 |#1|)) (|:| A (-679 |#1|)) (|:| |Ainv| (-679 |#1|))) (-679 |#1|) (-101 |#1|) (-1 |#1| |#1|)) 19)) (-1808 (((-634 (-2 (|:| C (-679 |#1|)) (|:| |g| (-1244 |#1|)))) (-679 |#1|) (-1244 |#1|)) 35)) (-1680 (((-679 |#1|) (-679 |#1|) (-679 |#1|) (-101 |#1|) (-1 |#1| |#1|)) 16))) 
-(((-979 |#1|) (-10 -7 (-15 -4272 ((-2 (|:| R (-679 |#1|)) (|:| A (-679 |#1|)) (|:| |Ainv| (-679 |#1|))) (-679 |#1|) (-101 |#1|) (-1 |#1| |#1|))) (-15 -1680 ((-679 |#1|) (-679 |#1|) (-679 |#1|) (-101 |#1|) (-1 |#1| |#1|))) (-15 -1808 ((-634 (-2 (|:| C (-679 |#1|)) (|:| |g| (-1244 |#1|)))) (-679 |#1|) (-1244 |#1|)))) (-365)) (T -979)) 
-((-1808 (*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-5 *2 (-634 (-2 (|:| C (-679 *5)) (|:| |g| (-1244 *5))))) (-5 *1 (-979 *5)) (-5 *3 (-679 *5)) (-5 *4 (-1244 *5)))) (-1680 (*1 *2 *2 *2 *3 *4) (-12 (-5 *2 (-679 *5)) (-5 *3 (-101 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-365)) (-5 *1 (-979 *5)))) (-4272 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-101 *6)) (-5 *5 (-1 *6 *6)) (-4 *6 (-365)) (-5 *2 (-2 (|:| R (-679 *6)) (|:| A (-679 *6)) (|:| |Ainv| (-679 *6)))) (-5 *1 (-979 *6)) (-5 *3 (-679 *6))))) 
-(-10 -7 (-15 -4272 ((-2 (|:| R (-679 |#1|)) (|:| A (-679 |#1|)) (|:| |Ainv| (-679 |#1|))) (-679 |#1|) (-101 |#1|) (-1 |#1| |#1|))) (-15 -1680 ((-679 |#1|) (-679 |#1|) (-679 |#1|) (-101 |#1|) (-1 |#1| |#1|))) (-15 -1808 ((-634 (-2 (|:| C (-679 |#1|)) (|:| |g| (-1244 |#1|)))) (-679 |#1|) (-1244 |#1|)))) 
-((-3498 (((-420 |#4|) |#4|) 47))) 
-(((-980 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3498 ((-420 |#4|) |#4|))) (-842) (-788) (-453) (-950 |#3| |#2| |#1|)) (T -980)) 
-((-3498 (*1 *2 *3) (-12 (-4 *4 (-842)) (-4 *5 (-788)) (-4 *6 (-453)) (-5 *2 (-420 *3)) (-5 *1 (-980 *4 *5 *6 *3)) (-4 *3 (-950 *6 *5 *4))))) 
-(-10 -7 (-15 -3498 ((-420 |#4|) |#4|))) 
-((-2449 (((-121) $ $) 18 (|has| |#1| (-1090)))) (-3207 (($ (-763)) 105 (|has| |#1| (-23)))) (-2481 (((-1249) $ (-568) (-568)) 37 (|has| $ (-6 -4522)))) (-1324 (((-121) (-1 (-121) |#1| |#1|) $) 91) (((-121) $) 85 (|has| |#1| (-842)))) (-2109 (($ (-1 (-121) |#1| |#1|) $) 82 (|has| $ (-6 -4522))) (($ $) 81 (-12 (|has| |#1| (-842)) (|has| $ (-6 -4522))))) (-3647 (($ (-1 (-121) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-842)))) (-1667 (((-121) $ (-763)) 8)) (-2438 ((|#1| $ (-568) |#1|) 49 (|has| $ (-6 -4522))) ((|#1| $ (-1210 (-568)) |#1|) 53 (|has| $ (-6 -4522)))) (-2803 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4521)))) (-4490 (($) 7 T CONST)) (-4452 (($ $) 83 (|has| $ (-6 -4522)))) (-3945 (($ $) 93)) (-3926 (($ $) 73 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-4330 (($ |#1| $) 72 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4521)))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4521)))) (-1292 ((|#1| $ (-568) |#1|) 50 (|has| $ (-6 -4522)))) (-2069 ((|#1| $ (-568)) 48)) (-2766 (((-568) (-1 (-121) |#1|) $) 90) (((-568) |#1| $) 89 (|has| |#1| (-1090))) (((-568) |#1| $ (-568)) 88 (|has| |#1| (-1090)))) (-4098 (($ (-634 |#1|)) 110)) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-1804 (((-679 |#1|) $ $) 98 (|has| |#1| (-1047)))) (-1851 (($ (-763) |#1|) 64)) (-3791 (((-121) $ (-763)) 9)) (-2539 (((-568) $) 40 (|has| (-568) (-842)))) (-1732 (($ $ $) 80 (|has| |#1| (-842)))) (-3645 (($ (-1 (-121) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-842)))) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3631 (((-568) $) 41 (|has| (-568) (-842)))) (-2047 (($ $ $) 79 (|has| |#1| (-842)))) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-4303 ((|#1| $) 95 (-12 (|has| |#1| (-1047)) (|has| |#1| (-1002))))) (-3796 (((-121) $ (-763)) 10)) (-3680 ((|#1| $) 96 (-12 (|has| |#1| (-1047)) (|has| |#1| (-1002))))) (-1893 (((-1143) $) 22 (|has| |#1| (-1090)))) (-4124 (($ |#1| $ (-568)) 55) (($ $ $ (-568)) 54)) (-3948 (((-634 (-568)) $) 43)) (-2916 (((-121) (-568) $) 44)) (-4025 (((-1108) $) 21 (|has| |#1| (-1090)))) (-3877 ((|#1| $) 39 (|has| (-568) (-842)))) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-2490 (($ $ |#1|) 38 (|has| $ (-6 -4522)))) (-2168 (($ $ (-634 |#1|)) 107)) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-1801 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1480 (((-634 |#1|) $) 45)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-2781 ((|#1| $ (-568) |#1|) 47) ((|#1| $ (-568)) 46) (($ $ (-1210 (-568))) 58)) (-2286 ((|#1| $ $) 99 (|has| |#1| (-1047)))) (-3108 (((-917) $) 109)) (-2828 (($ $ (-568)) 57) (($ $ (-1210 (-568))) 56)) (-3372 (($ $ $) 97)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3306 (($ $ $ (-568)) 84 (|has| $ (-6 -4522)))) (-3865 (($ $) 13)) (-4280 (((-541) $) 74 (|has| |#1| (-609 (-541)))) (($ (-634 |#1|)) 108)) (-4289 (($ (-634 |#1|)) 65)) (-2770 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-634 $)) 60)) (-2747 (((-850) $) 20 (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1753 (((-121) $ $) 77 (|has| |#1| (-842)))) (-1740 (((-121) $ $) 76 (|has| |#1| (-842)))) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090)))) (-1747 (((-121) $ $) 78 (|has| |#1| (-842)))) (-1734 (((-121) $ $) 75 (|has| |#1| (-842)))) (-1775 (($ $) 104 (|has| |#1| (-21))) (($ $ $) 103 (|has| |#1| (-21)))) (-1769 (($ $ $) 106 (|has| |#1| (-25)))) (* (($ (-568) $) 102 (|has| |#1| (-21))) (($ |#1| $) 101 (|has| |#1| (-716))) (($ $ |#1|) 100 (|has| |#1| (-716)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-981 |#1|) (-1275) (-1047)) (T -981)) 
-((-4098 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1047)) (-4 *1 (-981 *3)))) (-3108 (*1 *2 *1) (-12 (-4 *1 (-981 *3)) (-4 *3 (-1047)) (-5 *2 (-917)))) (-4280 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1047)) (-4 *1 (-981 *3)))) (-3372 (*1 *1 *1 *1) (-12 (-4 *1 (-981 *2)) (-4 *2 (-1047)))) (-2168 (*1 *1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *1 (-981 *3)) (-4 *3 (-1047))))) 
-(-13 (-1242 |t#1|) (-10 -8 (-15 -4098 ($ (-634 |t#1|))) (-15 -3108 ((-917) $)) (-15 -4280 ($ (-634 |t#1|))) (-15 -3372 ($ $ $)) (-15 -2168 ($ $ (-634 |t#1|))))) 
-(((-39) . T) ((-105) -2199 (|has| |#1| (-1090)) (|has| |#1| (-842))) ((-608 (-850)) -2199 (|has| |#1| (-1090)) (|has| |#1| (-842))) ((-154 |#1|) . T) ((-609 (-541)) |has| |#1| (-609 (-541))) ((-281 (-568) |#1|) . T) ((-283 (-568) |#1|) . T) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-375 |#1|) . T) ((-499 |#1|) . T) ((-601 (-568) |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-640 |#1|) . T) ((-19 |#1|) . T) ((-842) |has| |#1| (-842)) ((-1090) -2199 (|has| |#1| (-1090)) (|has| |#1| (-842))) ((-1195) . T) ((-1242 |#1|) . T)) 
-((-2797 (((-944 |#2|) (-1 |#2| |#1|) (-944 |#1|)) 17))) 
-(((-982 |#1| |#2|) (-10 -7 (-15 -2797 ((-944 |#2|) (-1 |#2| |#1|) (-944 |#1|)))) (-1047) (-1047)) (T -982)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-944 *5)) (-4 *5 (-1047)) (-4 *6 (-1047)) (-5 *2 (-944 *6)) (-5 *1 (-982 *5 *6))))) 
-(-10 -7 (-15 -2797 ((-944 |#2|) (-1 |#2| |#1|) (-944 |#1|)))) 
-((-1749 ((|#1| (-944 |#1|)) 13)) (-3906 ((|#1| (-944 |#1|)) 12)) (-2684 ((|#1| (-944 |#1|)) 11)) (-4273 ((|#1| (-944 |#1|)) 15)) (-1388 ((|#1| (-944 |#1|)) 21)) (-2457 ((|#1| (-944 |#1|)) 14)) (-3845 ((|#1| (-944 |#1|)) 16)) (-2233 ((|#1| (-944 |#1|)) 20)) (-2200 ((|#1| (-944 |#1|)) 19))) 
-(((-983 |#1|) (-10 -7 (-15 -2684 (|#1| (-944 |#1|))) (-15 -3906 (|#1| (-944 |#1|))) (-15 -1749 (|#1| (-944 |#1|))) (-15 -2457 (|#1| (-944 |#1|))) (-15 -4273 (|#1| (-944 |#1|))) (-15 -3845 (|#1| (-944 |#1|))) (-15 -2200 (|#1| (-944 |#1|))) (-15 -2233 (|#1| (-944 |#1|))) (-15 -1388 (|#1| (-944 |#1|)))) (-1047)) (T -983)) 
-((-1388 (*1 *2 *3) (-12 (-5 *3 (-944 *2)) (-5 *1 (-983 *2)) (-4 *2 (-1047)))) (-2233 (*1 *2 *3) (-12 (-5 *3 (-944 *2)) (-5 *1 (-983 *2)) (-4 *2 (-1047)))) (-2200 (*1 *2 *3) (-12 (-5 *3 (-944 *2)) (-5 *1 (-983 *2)) (-4 *2 (-1047)))) (-3845 (*1 *2 *3) (-12 (-5 *3 (-944 *2)) (-5 *1 (-983 *2)) (-4 *2 (-1047)))) (-4273 (*1 *2 *3) (-12 (-5 *3 (-944 *2)) (-5 *1 (-983 *2)) (-4 *2 (-1047)))) (-2457 (*1 *2 *3) (-12 (-5 *3 (-944 *2)) (-5 *1 (-983 *2)) (-4 *2 (-1047)))) (-1749 (*1 *2 *3) (-12 (-5 *3 (-944 *2)) (-5 *1 (-983 *2)) (-4 *2 (-1047)))) (-3906 (*1 *2 *3) (-12 (-5 *3 (-944 *2)) (-5 *1 (-983 *2)) (-4 *2 (-1047)))) (-2684 (*1 *2 *3) (-12 (-5 *3 (-944 *2)) (-5 *1 (-983 *2)) (-4 *2 (-1047))))) 
-(-10 -7 (-15 -2684 (|#1| (-944 |#1|))) (-15 -3906 (|#1| (-944 |#1|))) (-15 -1749 (|#1| (-944 |#1|))) (-15 -2457 (|#1| (-944 |#1|))) (-15 -4273 (|#1| (-944 |#1|))) (-15 -3845 (|#1| (-944 |#1|))) (-15 -2200 (|#1| (-944 |#1|))) (-15 -2233 (|#1| (-944 |#1|))) (-15 -1388 (|#1| (-944 |#1|)))) 
-((-2029 (((-3 |#1| "failed") |#1|) 18)) (-1674 (((-3 |#1| "failed") |#1|) 6)) (-3624 (((-3 |#1| "failed") |#1|) 16)) (-2422 (((-3 |#1| "failed") |#1|) 4)) (-4087 (((-3 |#1| "failed") |#1|) 20)) (-1942 (((-3 |#1| "failed") |#1|) 8)) (-1472 (((-3 |#1| "failed") |#1| (-763)) 1)) (-2051 (((-3 |#1| "failed") |#1|) 3)) (-3296 (((-3 |#1| "failed") |#1|) 2)) (-3995 (((-3 |#1| "failed") |#1|) 21)) (-4119 (((-3 |#1| "failed") |#1|) 9)) (-2005 (((-3 |#1| "failed") |#1|) 19)) (-3979 (((-3 |#1| "failed") |#1|) 7)) (-3975 (((-3 |#1| "failed") |#1|) 17)) (-4349 (((-3 |#1| "failed") |#1|) 5)) (-4008 (((-3 |#1| "failed") |#1|) 24)) (-4415 (((-3 |#1| "failed") |#1|) 12)) (-1461 (((-3 |#1| "failed") |#1|) 22)) (-4497 (((-3 |#1| "failed") |#1|) 10)) (-4016 (((-3 |#1| "failed") |#1|) 26)) (-4040 (((-3 |#1| "failed") |#1|) 14)) (-3468 (((-3 |#1| "failed") |#1|) 27)) (-3084 (((-3 |#1| "failed") |#1|) 15)) (-2695 (((-3 |#1| "failed") |#1|) 25)) (-2285 (((-3 |#1| "failed") |#1|) 13)) (-4090 (((-3 |#1| "failed") |#1|) 23)) (-2203 (((-3 |#1| "failed") |#1|) 11))) 
-(((-984 |#1|) (-1275) (-1181)) (T -984)) 
-((-3468 (*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181)))) (-4016 (*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181)))) (-2695 (*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181)))) (-4008 (*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181)))) (-4090 (*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181)))) (-1461 (*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181)))) (-3995 (*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181)))) (-4087 (*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181)))) (-2005 (*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181)))) (-2029 (*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181)))) (-3975 (*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181)))) (-3624 (*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181)))) (-3084 (*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181)))) (-4040 (*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181)))) (-2285 (*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181)))) (-4415 (*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181)))) (-2203 (*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181)))) (-4497 (*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181)))) (-4119 (*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181)))) (-1942 (*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181)))) (-3979 (*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181)))) (-1674 (*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181)))) (-4349 (*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181)))) (-2422 (*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181)))) (-2051 (*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181)))) (-3296 (*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181)))) (-1472 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-763)) (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(-13 (-10 -7 (-15 -1472 ((-3 |t#1| "failed") |t#1| (-763))) (-15 -3296 ((-3 |t#1| "failed") |t#1|)) (-15 -2051 ((-3 |t#1| "failed") |t#1|)) (-15 -2422 ((-3 |t#1| "failed") |t#1|)) (-15 -4349 ((-3 |t#1| "failed") |t#1|)) (-15 -1674 ((-3 |t#1| "failed") |t#1|)) (-15 -3979 ((-3 |t#1| "failed") |t#1|)) (-15 -1942 ((-3 |t#1| "failed") |t#1|)) (-15 -4119 ((-3 |t#1| "failed") |t#1|)) (-15 -4497 ((-3 |t#1| "failed") |t#1|)) (-15 -2203 ((-3 |t#1| "failed") |t#1|)) (-15 -4415 ((-3 |t#1| "failed") |t#1|)) (-15 -2285 ((-3 |t#1| "failed") |t#1|)) (-15 -4040 ((-3 |t#1| "failed") |t#1|)) (-15 -3084 ((-3 |t#1| "failed") |t#1|)) (-15 -3624 ((-3 |t#1| "failed") |t#1|)) (-15 -3975 ((-3 |t#1| "failed") |t#1|)) (-15 -2029 ((-3 |t#1| "failed") |t#1|)) (-15 -2005 ((-3 |t#1| "failed") |t#1|)) (-15 -4087 ((-3 |t#1| "failed") |t#1|)) (-15 -3995 ((-3 |t#1| "failed") |t#1|)) (-15 -1461 ((-3 |t#1| "failed") |t#1|)) (-15 -4090 ((-3 |t#1| "failed") |t#1|)) (-15 -4008 ((-3 |t#1| "failed") |t#1|)) (-15 -2695 ((-3 |t#1| "failed") |t#1|)) (-15 -4016 ((-3 |t#1| "failed") |t#1|)) (-15 -3468 ((-3 |t#1| "failed") |t#1|)))) 
-((-2881 ((|#4| |#4| (-634 |#3|)) 55) ((|#4| |#4| |#3|) 54)) (-1286 ((|#4| |#4| (-634 |#3|)) 23) ((|#4| |#4| |#3|) 19)) (-2797 ((|#4| (-1 |#4| (-953 |#1|)) |#4|) 30))) 
-(((-985 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1286 (|#4| |#4| |#3|)) (-15 -1286 (|#4| |#4| (-634 |#3|))) (-15 -2881 (|#4| |#4| |#3|)) (-15 -2881 (|#4| |#4| (-634 |#3|))) (-15 -2797 (|#4| (-1 |#4| (-953 |#1|)) |#4|))) (-1047) (-788) (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $)) (-15 -3325 ((-3 $ "failed") (-1161))))) (-950 (-953 |#1|) |#2| |#3|)) (T -985)) 
-((-2797 (*1 *2 *3 *2) (-12 (-5 *3 (-1 *2 (-953 *4))) (-4 *4 (-1047)) (-4 *2 (-950 (-953 *4) *5 *6)) (-4 *5 (-788)) (-4 *6 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $)) (-15 -3325 ((-3 $ "failed") (-1161)))))) (-5 *1 (-985 *4 *5 *6 *2)))) (-2881 (*1 *2 *2 *3) (-12 (-5 *3 (-634 *6)) (-4 *6 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $)) (-15 -3325 ((-3 $ "failed") (-1161)))))) (-4 *4 (-1047)) (-4 *5 (-788)) (-5 *1 (-985 *4 *5 *6 *2)) (-4 *2 (-950 (-953 *4) *5 *6)))) (-2881 (*1 *2 *2 *3) (-12 (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *3 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $)) (-15 -3325 ((-3 $ "failed") (-1161)))))) (-5 *1 (-985 *4 *5 *3 *2)) (-4 *2 (-950 (-953 *4) *5 *3)))) (-1286 (*1 *2 *2 *3) (-12 (-5 *3 (-634 *6)) (-4 *6 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $)) (-15 -3325 ((-3 $ "failed") (-1161)))))) (-4 *4 (-1047)) (-4 *5 (-788)) (-5 *1 (-985 *4 *5 *6 *2)) (-4 *2 (-950 (-953 *4) *5 *6)))) (-1286 (*1 *2 *2 *3) (-12 (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *3 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $)) (-15 -3325 ((-3 $ "failed") (-1161)))))) (-5 *1 (-985 *4 *5 *3 *2)) (-4 *2 (-950 (-953 *4) *5 *3))))) 
-(-10 -7 (-15 -1286 (|#4| |#4| |#3|)) (-15 -1286 (|#4| |#4| (-634 |#3|))) (-15 -2881 (|#4| |#4| |#3|)) (-15 -2881 (|#4| |#4| (-634 |#3|))) (-15 -2797 (|#4| (-1 |#4| (-953 |#1|)) |#4|))) 
-((-3525 ((|#2| |#3|) 34)) (-2443 (((-2 (|:| -2588 (-679 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-679 |#2|))) |#2|) 71)) (-3330 (((-2 (|:| -2588 (-679 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-679 |#2|)))) 86))) 
-(((-986 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3330 ((-2 (|:| -2588 (-679 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-679 |#2|))))) (-15 -2443 ((-2 (|:| -2588 (-679 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-679 |#2|))) |#2|)) (-15 -3525 (|#2| |#3|))) (-350) (-1219 |#1|) (-1219 |#2|) (-714 |#2| |#3|)) (T -986)) 
-((-3525 (*1 *2 *3) (-12 (-4 *3 (-1219 *2)) (-4 *2 (-1219 *4)) (-5 *1 (-986 *4 *2 *3 *5)) (-4 *4 (-350)) (-4 *5 (-714 *2 *3)))) (-2443 (*1 *2 *3) (-12 (-4 *4 (-350)) (-4 *3 (-1219 *4)) (-4 *5 (-1219 *3)) (-5 *2 (-2 (|:| -2588 (-679 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-679 *3)))) (-5 *1 (-986 *4 *3 *5 *6)) (-4 *6 (-714 *3 *5)))) (-3330 (*1 *2) (-12 (-4 *3 (-350)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 *4)) (-5 *2 (-2 (|:| -2588 (-679 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-679 *4)))) (-5 *1 (-986 *3 *4 *5 *6)) (-4 *6 (-714 *4 *5))))) 
-(-10 -7 (-15 -3330 ((-2 (|:| -2588 (-679 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-679 |#2|))))) (-15 -2443 ((-2 (|:| -2588 (-679 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-679 |#2|))) |#2|)) (-15 -3525 (|#2| |#3|))) 
-((-2980 (((-988 (-409 (-568)) (-852 |#1|) (-232 |#2| (-763)) (-242 |#1| (-409 (-568)))) (-988 (-409 (-568)) (-852 |#1|) (-232 |#2| (-763)) (-242 |#1| (-409 (-568))))) 64))) 
-(((-987 |#1| |#2|) (-10 -7 (-15 -2980 ((-988 (-409 (-568)) (-852 |#1|) (-232 |#2| (-763)) (-242 |#1| (-409 (-568)))) (-988 (-409 (-568)) (-852 |#1|) (-232 |#2| (-763)) (-242 |#1| (-409 (-568))))))) (-634 (-1161)) (-763)) (T -987)) 
-((-2980 (*1 *2 *2) (-12 (-5 *2 (-988 (-409 (-568)) (-852 *3) (-232 *4 (-763)) (-242 *3 (-409 (-568))))) (-14 *3 (-634 (-1161))) (-14 *4 (-763)) (-5 *1 (-987 *3 *4))))) 
-(-10 -7 (-15 -2980 ((-988 (-409 (-568)) (-852 |#1|) (-232 |#2| (-763)) (-242 |#1| (-409 (-568)))) (-988 (-409 (-568)) (-852 |#1|) (-232 |#2| (-763)) (-242 |#1| (-409 (-568))))))) 
-((-2449 (((-121) $ $) NIL)) (-2814 (((-3 (-121) "failed") $) 67)) (-3267 (($ $) 35 (-12 (|has| |#1| (-150)) (|has| |#1| (-301))))) (-3477 (($ $ (-3 (-121) "failed")) 68)) (-3847 (($ (-634 |#4|) |#4|) 24)) (-1893 (((-1143) $) NIL)) (-3937 (($ $) 65)) (-4025 (((-1108) $) NIL)) (-2436 (((-121) $) 66)) (-1990 (($) 29)) (-3115 ((|#4| $) 70)) (-2384 (((-634 |#4|) $) 69)) (-2747 (((-850) $) 64)) (-1719 (((-121) $ $) NIL))) 
-(((-988 |#1| |#2| |#3| |#4|) (-13 (-1090) (-608 (-850)) (-10 -8 (-15 -1990 ($)) (-15 -3847 ($ (-634 |#4|) |#4|)) (-15 -2814 ((-3 (-121) "failed") $)) (-15 -3477 ($ $ (-3 (-121) "failed"))) (-15 -2436 ((-121) $)) (-15 -2384 ((-634 |#4|) $)) (-15 -3115 (|#4| $)) (-15 -3937 ($ $)) (IF (|has| |#1| (-301)) (IF (|has| |#1| (-150)) (-15 -3267 ($ $)) |noBranch|) |noBranch|))) (-453) (-842) (-788) (-950 |#1| |#3| |#2|)) (T -988)) 
-((-1990 (*1 *1) (-12 (-4 *2 (-453)) (-4 *3 (-842)) (-4 *4 (-788)) (-5 *1 (-988 *2 *3 *4 *5)) (-4 *5 (-950 *2 *4 *3)))) (-3847 (*1 *1 *2 *3) (-12 (-5 *2 (-634 *3)) (-4 *3 (-950 *4 *6 *5)) (-4 *4 (-453)) (-4 *5 (-842)) (-4 *6 (-788)) (-5 *1 (-988 *4 *5 *6 *3)))) (-2814 (*1 *2 *1) (|partial| -12 (-4 *3 (-453)) (-4 *4 (-842)) (-4 *5 (-788)) (-5 *2 (-121)) (-5 *1 (-988 *3 *4 *5 *6)) (-4 *6 (-950 *3 *5 *4)))) (-3477 (*1 *1 *1 *2) (-12 (-5 *2 (-3 (-121) "failed")) (-4 *3 (-453)) (-4 *4 (-842)) (-4 *5 (-788)) (-5 *1 (-988 *3 *4 *5 *6)) (-4 *6 (-950 *3 *5 *4)))) (-2436 (*1 *2 *1) (-12 (-4 *3 (-453)) (-4 *4 (-842)) (-4 *5 (-788)) (-5 *2 (-121)) (-5 *1 (-988 *3 *4 *5 *6)) (-4 *6 (-950 *3 *5 *4)))) (-2384 (*1 *2 *1) (-12 (-4 *3 (-453)) (-4 *4 (-842)) (-4 *5 (-788)) (-5 *2 (-634 *6)) (-5 *1 (-988 *3 *4 *5 *6)) (-4 *6 (-950 *3 *5 *4)))) (-3115 (*1 *2 *1) (-12 (-4 *2 (-950 *3 *5 *4)) (-5 *1 (-988 *3 *4 *5 *2)) (-4 *3 (-453)) (-4 *4 (-842)) (-4 *5 (-788)))) (-3937 (*1 *1 *1) (-12 (-4 *2 (-453)) (-4 *3 (-842)) (-4 *4 (-788)) (-5 *1 (-988 *2 *3 *4 *5)) (-4 *5 (-950 *2 *4 *3)))) (-3267 (*1 *1 *1) (-12 (-4 *2 (-150)) (-4 *2 (-301)) (-4 *2 (-453)) (-4 *3 (-842)) (-4 *4 (-788)) (-5 *1 (-988 *2 *3 *4 *5)) (-4 *5 (-950 *2 *4 *3))))) 
-(-13 (-1090) (-608 (-850)) (-10 -8 (-15 -1990 ($)) (-15 -3847 ($ (-634 |#4|) |#4|)) (-15 -2814 ((-3 (-121) "failed") $)) (-15 -3477 ($ $ (-3 (-121) "failed"))) (-15 -2436 ((-121) $)) (-15 -2384 ((-634 |#4|) $)) (-15 -3115 (|#4| $)) (-15 -3937 ($ $)) (IF (|has| |#1| (-301)) (IF (|has| |#1| (-150)) (-15 -3267 ($ $)) |noBranch|) |noBranch|))) 
-((-1337 (((-121) |#5| |#5|) 37)) (-2037 (((-121) |#5| |#5|) 51)) (-3407 (((-121) |#5| (-634 |#5|)) 73) (((-121) |#5| |#5|) 60)) (-3034 (((-121) (-634 |#4|) (-634 |#4|)) 57)) (-2301 (((-121) (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|)) (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) 62)) (-1294 (((-1249)) 33)) (-3862 (((-1249) (-1143) (-1143) (-1143)) 29)) (-3778 (((-634 |#5|) (-634 |#5|)) 80)) (-1603 (((-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|)))) 78)) (-2823 (((-634 (-2 (|:| -2410 (-634 |#4|)) (|:| -3145 |#5|) (|:| |ineq| (-634 |#4|)))) (-634 |#4|) (-634 |#5|) (-121) (-121)) 100)) (-2808 (((-121) |#5| |#5|) 46)) (-3251 (((-3 (-121) "failed") |#5| |#5|) 70)) (-1569 (((-121) (-634 |#4|) (-634 |#4|)) 56)) (-3284 (((-121) (-634 |#4|) (-634 |#4|)) 58)) (-4342 (((-121) (-634 |#4|) (-634 |#4|)) 59)) (-1788 (((-3 (-2 (|:| -2410 (-634 |#4|)) (|:| -3145 |#5|) (|:| |ineq| (-634 |#4|))) "failed") (-634 |#4|) |#5| (-634 |#4|) (-121) (-121) (-121) (-121) (-121)) 96)) (-3506 (((-634 |#5|) (-634 |#5|)) 42))) 
-(((-989 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3862 ((-1249) (-1143) (-1143) (-1143))) (-15 -1294 ((-1249))) (-15 -1337 ((-121) |#5| |#5|)) (-15 -3506 ((-634 |#5|) (-634 |#5|))) (-15 -2808 ((-121) |#5| |#5|)) (-15 -2037 ((-121) |#5| |#5|)) (-15 -3034 ((-121) (-634 |#4|) (-634 |#4|))) (-15 -1569 ((-121) (-634 |#4|) (-634 |#4|))) (-15 -3284 ((-121) (-634 |#4|) (-634 |#4|))) (-15 -4342 ((-121) (-634 |#4|) (-634 |#4|))) (-15 -3251 ((-3 (-121) "failed") |#5| |#5|)) (-15 -3407 ((-121) |#5| |#5|)) (-15 -3407 ((-121) |#5| (-634 |#5|))) (-15 -3778 ((-634 |#5|) (-634 |#5|))) (-15 -2301 ((-121) (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|)) (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|)))) (-15 -1603 ((-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) (-15 -2823 ((-634 (-2 (|:| -2410 (-634 |#4|)) (|:| -3145 |#5|) (|:| |ineq| (-634 |#4|)))) (-634 |#4|) (-634 |#5|) (-121) (-121))) (-15 -1788 ((-3 (-2 (|:| -2410 (-634 |#4|)) (|:| -3145 |#5|) (|:| |ineq| (-634 |#4|))) "failed") (-634 |#4|) |#5| (-634 |#4|) (-121) (-121) (-121) (-121) (-121)))) (-453) (-788) (-842) (-1061 |#1| |#2| |#3|) (-1066 |#1| |#2| |#3| |#4|)) (T -989)) 
-((-1788 (*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-121)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *8 (-842)) (-4 *9 (-1061 *6 *7 *8)) (-5 *2 (-2 (|:| -2410 (-634 *9)) (|:| -3145 *4) (|:| |ineq| (-634 *9)))) (-5 *1 (-989 *6 *7 *8 *9 *4)) (-5 *3 (-634 *9)) (-4 *4 (-1066 *6 *7 *8 *9)))) (-2823 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-634 *10)) (-5 *5 (-121)) (-4 *10 (-1066 *6 *7 *8 *9)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *8 (-842)) (-4 *9 (-1061 *6 *7 *8)) (-5 *2 (-634 (-2 (|:| -2410 (-634 *9)) (|:| -3145 *10) (|:| |ineq| (-634 *9))))) (-5 *1 (-989 *6 *7 *8 *9 *10)) (-5 *3 (-634 *9)))) (-1603 (*1 *2 *2) (-12 (-5 *2 (-634 (-2 (|:| |val| (-634 *6)) (|:| -3145 *7)))) (-4 *6 (-1061 *3 *4 *5)) (-4 *7 (-1066 *3 *4 *5 *6)) (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-989 *3 *4 *5 *6 *7)))) (-2301 (*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-634 *7)) (|:| -3145 *8))) (-4 *7 (-1061 *4 *5 *6)) (-4 *8 (-1066 *4 *5 *6 *7)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-989 *4 *5 *6 *7 *8)))) (-3778 (*1 *2 *2) (-12 (-5 *2 (-634 *7)) (-4 *7 (-1066 *3 *4 *5 *6)) (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *1 (-989 *3 *4 *5 *6 *7)))) (-3407 (*1 *2 *3 *4) (-12 (-5 *4 (-634 *3)) (-4 *3 (-1066 *5 *6 *7 *8)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *8 (-1061 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-989 *5 *6 *7 *8 *3)))) (-3407 (*1 *2 *3 *3) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-989 *4 *5 *6 *7 *3)) (-4 *3 (-1066 *4 *5 *6 *7)))) (-3251 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-989 *4 *5 *6 *7 *3)) (-4 *3 (-1066 *4 *5 *6 *7)))) (-4342 (*1 *2 *3 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-989 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7)))) (-3284 (*1 *2 *3 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-989 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7)))) (-1569 (*1 *2 *3 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-989 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7)))) (-3034 (*1 *2 *3 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-989 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7)))) (-2037 (*1 *2 *3 *3) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-989 *4 *5 *6 *7 *3)) (-4 *3 (-1066 *4 *5 *6 *7)))) (-2808 (*1 *2 *3 *3) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-989 *4 *5 *6 *7 *3)) (-4 *3 (-1066 *4 *5 *6 *7)))) (-3506 (*1 *2 *2) (-12 (-5 *2 (-634 *7)) (-4 *7 (-1066 *3 *4 *5 *6)) (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *1 (-989 *3 *4 *5 *6 *7)))) (-1337 (*1 *2 *3 *3) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-989 *4 *5 *6 *7 *3)) (-4 *3 (-1066 *4 *5 *6 *7)))) (-1294 (*1 *2) (-12 (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-1249)) (-5 *1 (-989 *3 *4 *5 *6 *7)) (-4 *7 (-1066 *3 *4 *5 *6)))) (-3862 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1143)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-1249)) (-5 *1 (-989 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7))))) 
-(-10 -7 (-15 -3862 ((-1249) (-1143) (-1143) (-1143))) (-15 -1294 ((-1249))) (-15 -1337 ((-121) |#5| |#5|)) (-15 -3506 ((-634 |#5|) (-634 |#5|))) (-15 -2808 ((-121) |#5| |#5|)) (-15 -2037 ((-121) |#5| |#5|)) (-15 -3034 ((-121) (-634 |#4|) (-634 |#4|))) (-15 -1569 ((-121) (-634 |#4|) (-634 |#4|))) (-15 -3284 ((-121) (-634 |#4|) (-634 |#4|))) (-15 -4342 ((-121) (-634 |#4|) (-634 |#4|))) (-15 -3251 ((-3 (-121) "failed") |#5| |#5|)) (-15 -3407 ((-121) |#5| |#5|)) (-15 -3407 ((-121) |#5| (-634 |#5|))) (-15 -3778 ((-634 |#5|) (-634 |#5|))) (-15 -2301 ((-121) (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|)) (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|)))) (-15 -1603 ((-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) (-15 -2823 ((-634 (-2 (|:| -2410 (-634 |#4|)) (|:| -3145 |#5|) (|:| |ineq| (-634 |#4|)))) (-634 |#4|) (-634 |#5|) (-121) (-121))) (-15 -1788 ((-3 (-2 (|:| -2410 (-634 |#4|)) (|:| -3145 |#5|) (|:| |ineq| (-634 |#4|))) "failed") (-634 |#4|) |#5| (-634 |#4|) (-121) (-121) (-121) (-121) (-121)))) 
-((-3325 (((-1161) $) 15)) (-2852 (((-1143) $) 16)) (-2785 (($ (-1161) (-1143)) 14)) (-2747 (((-850) $) 13))) 
-(((-990) (-13 (-608 (-850)) (-10 -8 (-15 -2785 ($ (-1161) (-1143))) (-15 -3325 ((-1161) $)) (-15 -2852 ((-1143) $))))) (T -990)) 
-((-2785 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1143)) (-5 *1 (-990)))) (-3325 (*1 *2 *1) (-12 (-5 *2 (-1161)) (-5 *1 (-990)))) (-2852 (*1 *2 *1) (-12 (-5 *2 (-1143)) (-5 *1 (-990))))) 
-(-13 (-608 (-850)) (-10 -8 (-15 -2785 ($ (-1161) (-1143))) (-15 -3325 ((-1161) $)) (-15 -2852 ((-1143) $)))) 
-((-2797 ((|#4| (-1 |#2| |#1|) |#3|) 14))) 
-(((-991 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2797 (|#4| (-1 |#2| |#1|) |#3|))) (-558) (-558) (-993 |#1|) (-993 |#2|)) (T -991)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-558)) (-4 *6 (-558)) (-4 *2 (-993 *6)) (-5 *1 (-991 *5 *6 *4 *2)) (-4 *4 (-993 *5))))) 
-(-10 -7 (-15 -2797 (|#4| (-1 |#2| |#1|) |#3|))) 
-((-3668 (((-3 |#2| "failed") $) NIL) (((-3 (-1161) "failed") $) 65) (((-3 (-409 (-568)) "failed") $) NIL) (((-3 (-568) "failed") $) 95)) (-2857 ((|#2| $) NIL) (((-1161) $) 60) (((-409 (-568)) $) NIL) (((-568) $) 92)) (-1668 (((-679 (-568)) (-679 $)) NIL) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL) (((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 $) (-1244 $)) 112) (((-679 |#2|) (-679 $)) 28)) (-1733 (($) 98)) (-1519 (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) 74) (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) 83)) (-3539 (($ $) 10)) (-2214 (((-3 $ "failed") $) 20)) (-2797 (($ (-1 |#2| |#2|) $) 22)) (-4436 (($) 16)) (-1999 (($ $) 54)) (-4191 (($ $) NIL) (($ $ (-763)) NIL) (($ $ (-1161)) NIL) (($ $ (-634 (-1161))) NIL) (($ $ (-1161) (-763)) NIL) (($ $ (-634 (-1161)) (-634 (-763))) NIL) (($ $ (-1 |#2| |#2|) (-763)) NIL) (($ $ (-1 |#2| |#2|)) 36)) (-3210 (($ $) 12)) (-4280 (((-887 (-568)) $) 69) (((-887 (-381)) $) 78) (((-541) $) 40) (((-381) $) 44) (((-215) $) 47)) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ $) NIL) (($ (-409 (-568))) 90) (($ |#2|) NIL) (($ (-1161)) 57)) (-3425 (((-763)) 31)) (-1734 (((-121) $ $) 50))) 
-(((-992 |#1| |#2|) (-10 -8 (-15 -1734 ((-121) |#1| |#1|)) (-15 -4436 (|#1|)) (-15 -2214 ((-3 |#1| "failed") |#1|)) (-15 -2857 ((-568) |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -2857 ((-409 (-568)) |#1|)) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -4280 ((-215) |#1|)) (-15 -4280 ((-381) |#1|)) (-15 -4280 ((-541) |#1|)) (-15 -2857 ((-1161) |#1|)) (-15 -3668 ((-3 (-1161) "failed") |#1|)) (-15 -2747 (|#1| (-1161))) (-15 -1733 (|#1|)) (-15 -1999 (|#1| |#1|)) (-15 -3210 (|#1| |#1|)) (-15 -3539 (|#1| |#1|)) (-15 -1519 ((-884 (-381) |#1|) |#1| (-887 (-381)) (-884 (-381) |#1|))) (-15 -1519 ((-884 (-568) |#1|) |#1| (-887 (-568)) (-884 (-568) |#1|))) (-15 -4280 ((-887 (-381)) |#1|)) (-15 -4280 ((-887 (-568)) |#1|)) (-15 -1668 ((-679 |#2|) (-679 |#1|))) (-15 -1668 ((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 |#1|) (-1244 |#1|))) (-15 -1668 ((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 |#1|) (-1244 |#1|))) (-15 -1668 ((-679 (-568)) (-679 |#1|))) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|))) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)) (-634 (-763)))) (-15 -4191 (|#1| |#1| (-1161) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)))) (-15 -4191 (|#1| |#1| (-1161))) (-15 -4191 (|#1| |#1| (-763))) (-15 -4191 (|#1| |#1|)) (-15 -2797 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2857 (|#2| |#1|)) (-15 -3668 ((-3 |#2| "failed") |#1|)) (-15 -2747 (|#1| |#2|)) (-15 -2747 (|#1| (-409 (-568)))) (-15 -2747 (|#1| |#1|)) (-15 -2747 (|#1| (-568))) (-15 -3425 ((-763))) (-15 -2747 ((-850) |#1|))) (-993 |#2|) (-558)) (T -992)) 
-((-3425 (*1 *2) (-12 (-4 *4 (-558)) (-5 *2 (-763)) (-5 *1 (-992 *3 *4)) (-4 *3 (-993 *4))))) 
-(-10 -8 (-15 -1734 ((-121) |#1| |#1|)) (-15 -4436 (|#1|)) (-15 -2214 ((-3 |#1| "failed") |#1|)) (-15 -2857 ((-568) |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -2857 ((-409 (-568)) |#1|)) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -4280 ((-215) |#1|)) (-15 -4280 ((-381) |#1|)) (-15 -4280 ((-541) |#1|)) (-15 -2857 ((-1161) |#1|)) (-15 -3668 ((-3 (-1161) "failed") |#1|)) (-15 -2747 (|#1| (-1161))) (-15 -1733 (|#1|)) (-15 -1999 (|#1| |#1|)) (-15 -3210 (|#1| |#1|)) (-15 -3539 (|#1| |#1|)) (-15 -1519 ((-884 (-381) |#1|) |#1| (-887 (-381)) (-884 (-381) |#1|))) (-15 -1519 ((-884 (-568) |#1|) |#1| (-887 (-568)) (-884 (-568) |#1|))) (-15 -4280 ((-887 (-381)) |#1|)) (-15 -4280 ((-887 (-568)) |#1|)) (-15 -1668 ((-679 |#2|) (-679 |#1|))) (-15 -1668 ((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 |#1|) (-1244 |#1|))) (-15 -1668 ((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 |#1|) (-1244 |#1|))) (-15 -1668 ((-679 (-568)) (-679 |#1|))) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|))) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)) (-634 (-763)))) (-15 -4191 (|#1| |#1| (-1161) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)))) (-15 -4191 (|#1| |#1| (-1161))) (-15 -4191 (|#1| |#1| (-763))) (-15 -4191 (|#1| |#1|)) (-15 -2797 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2857 (|#2| |#1|)) (-15 -3668 ((-3 |#2| "failed") |#1|)) (-15 -2747 (|#1| |#2|)) (-15 -2747 (|#1| (-409 (-568)))) (-15 -2747 (|#1| |#1|)) (-15 -2747 (|#1| (-568))) (-15 -3425 ((-763))) (-15 -2747 ((-850) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2563 ((|#1| $) 135 (|has| |#1| (-301)))) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 40)) (-3661 (($ $) 39)) (-4426 (((-121) $) 37)) (-2689 (((-3 $ "failed") $ $) 18)) (-3863 (((-420 (-1157 $)) (-1157 $)) 126 (|has| |#1| (-904)))) (-3045 (($ $) 71)) (-3498 (((-420 $) $) 70)) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) 129 (|has| |#1| (-904)))) (-2589 (((-121) $ $) 57)) (-3337 (((-568) $) 116 (|has| |#1| (-815)))) (-4490 (($) 16 T CONST)) (-3668 (((-3 |#1| "failed") $) 174) (((-3 (-1161) "failed") $) 124 (|has| |#1| (-1037 (-1161)))) (((-3 (-409 (-568)) "failed") $) 108 (|has| |#1| (-1037 (-568)))) (((-3 (-568) "failed") $) 106 (|has| |#1| (-1037 (-568))))) (-2857 ((|#1| $) 173) (((-1161) $) 123 (|has| |#1| (-1037 (-1161)))) (((-409 (-568)) $) 107 (|has| |#1| (-1037 (-568)))) (((-568) $) 105 (|has| |#1| (-1037 (-568))))) (-2403 (($ $ $) 53)) (-1668 (((-679 (-568)) (-679 $)) 148 (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) 147 (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 |#1|))) (-679 $) (-1244 $)) 146) (((-679 |#1|) (-679 $)) 145)) (-2902 (((-3 $ "failed") $) 33)) (-1733 (($) 133 (|has| |#1| (-550)))) (-2414 (($ $ $) 54)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 49)) (-2197 (((-121) $) 69)) (-1436 (((-121) $) 118 (|has| |#1| (-815)))) (-1519 (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) 142 (|has| |#1| (-881 (-568)))) (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) 141 (|has| |#1| (-881 (-381))))) (-1598 (((-121) $) 30)) (-3539 (($ $) 137)) (-2319 ((|#1| $) 139)) (-2214 (((-3 $ "failed") $) 104 (|has| |#1| (-1136)))) (-2859 (((-121) $) 117 (|has| |#1| (-815)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 50)) (-1732 (($ $ $) 114 (|has| |#1| (-842)))) (-2047 (($ $ $) 113 (|has| |#1| (-842)))) (-2797 (($ (-1 |#1| |#1|) $) 165)) (-2498 (($ $ $) 45) (($ (-634 $)) 44)) (-1893 (((-1143) $) 9)) (-2083 (($ $) 68)) (-4436 (($) 103 (|has| |#1| (-1136)) CONST)) (-4025 (((-1108) $) 10)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 43)) (-2723 (($ $ $) 47) (($ (-634 $)) 46)) (-1999 (($ $) 134 (|has| |#1| (-301)))) (-4115 ((|#1| $) 131 (|has| |#1| (-550)))) (-2841 (((-420 (-1157 $)) (-1157 $)) 128 (|has| |#1| (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) 127 (|has| |#1| (-904)))) (-3850 (((-420 $) $) 72)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2597 (((-3 $ "failed") $ $) 41)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 48)) (-1339 (($ $ (-634 |#1|) (-634 |#1|)) 171 (|has| |#1| (-303 |#1|))) (($ $ |#1| |#1|) 170 (|has| |#1| (-303 |#1|))) (($ $ (-288 |#1|)) 169 (|has| |#1| (-303 |#1|))) (($ $ (-634 (-288 |#1|))) 168 (|has| |#1| (-303 |#1|))) (($ $ (-634 (-1161)) (-634 |#1|)) 167 (|has| |#1| (-523 (-1161) |#1|))) (($ $ (-1161) |#1|) 166 (|has| |#1| (-523 (-1161) |#1|)))) (-1466 (((-763) $) 56)) (-2781 (($ $ |#1|) 172 (|has| |#1| (-281 |#1| |#1|)))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 55)) (-4191 (($ $) 164 (|has| |#1| (-225))) (($ $ (-763)) 162 (|has| |#1| (-225))) (($ $ (-1161)) 160 (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) 159 (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) 158 (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) 157 (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) 150) (($ $ (-1 |#1| |#1|)) 149)) (-3210 (($ $) 136)) (-2326 ((|#1| $) 138)) (-4280 (((-887 (-568)) $) 144 (|has| |#1| (-609 (-887 (-568))))) (((-887 (-381)) $) 143 (|has| |#1| (-609 (-887 (-381))))) (((-541) $) 121 (|has| |#1| (-609 (-541)))) (((-381) $) 120 (|has| |#1| (-1021))) (((-215) $) 119 (|has| |#1| (-1021)))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) 130 (-2141 (|has| $ (-148)) (|has| |#1| (-904))))) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ $) 42) (($ (-409 (-568))) 63) (($ |#1|) 177) (($ (-1161)) 125 (|has| |#1| (-1037 (-1161))))) (-3385 (((-3 $ "failed") $) 122 (-2199 (|has| |#1| (-148)) (-2141 (|has| $ (-148)) (|has| |#1| (-904)))))) (-3425 (((-763)) 28)) (-3520 ((|#1| $) 132 (|has| |#1| (-550)))) (-2273 (((-121) $ $) 38)) (-2811 (($ $) 115 (|has| |#1| (-815)))) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32) (($ $ (-568)) 67)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3192 (($ $) 163 (|has| |#1| (-225))) (($ $ (-763)) 161 (|has| |#1| (-225))) (($ $ (-1161)) 156 (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) 155 (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) 154 (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) 153 (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) 152) (($ $ (-1 |#1| |#1|)) 151)) (-1753 (((-121) $ $) 111 (|has| |#1| (-842)))) (-1740 (((-121) $ $) 110 (|has| |#1| (-842)))) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 112 (|has| |#1| (-842)))) (-1734 (((-121) $ $) 109 (|has| |#1| (-842)))) (-1781 (($ $ $) 62) (($ |#1| |#1|) 140)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ (-568)) 66)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ (-409 (-568))) 65) (($ (-409 (-568)) $) 64) (($ |#1| $) 176) (($ $ |#1|) 175))) 
-(((-993 |#1|) (-1275) (-558)) (T -993)) 
-((-1781 (*1 *1 *2 *2) (-12 (-4 *1 (-993 *2)) (-4 *2 (-558)))) (-2319 (*1 *2 *1) (-12 (-4 *1 (-993 *2)) (-4 *2 (-558)))) (-2326 (*1 *2 *1) (-12 (-4 *1 (-993 *2)) (-4 *2 (-558)))) (-3539 (*1 *1 *1) (-12 (-4 *1 (-993 *2)) (-4 *2 (-558)))) (-3210 (*1 *1 *1) (-12 (-4 *1 (-993 *2)) (-4 *2 (-558)))) (-2563 (*1 *2 *1) (-12 (-4 *1 (-993 *2)) (-4 *2 (-558)) (-4 *2 (-301)))) (-1999 (*1 *1 *1) (-12 (-4 *1 (-993 *2)) (-4 *2 (-558)) (-4 *2 (-301)))) (-1733 (*1 *1) (-12 (-4 *1 (-993 *2)) (-4 *2 (-550)) (-4 *2 (-558)))) (-3520 (*1 *2 *1) (-12 (-4 *1 (-993 *2)) (-4 *2 (-558)) (-4 *2 (-550)))) (-4115 (*1 *2 *1) (-12 (-4 *1 (-993 *2)) (-4 *2 (-558)) (-4 *2 (-550))))) 
-(-13 (-365) (-43 |t#1|) (-1037 |t#1|) (-336 |t#1|) (-223 |t#1|) (-379 |t#1|) (-879 |t#1|) (-402 |t#1|) (-10 -8 (-15 -1781 ($ |t#1| |t#1|)) (-15 -2319 (|t#1| $)) (-15 -2326 (|t#1| $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (IF (|has| |t#1| (-1136)) (-6 (-1136)) |noBranch|) (IF (|has| |t#1| (-1037 (-568))) (PROGN (-6 (-1037 (-568))) (-6 (-1037 (-409 (-568))))) |noBranch|) (IF (|has| |t#1| (-842)) (-6 (-842)) |noBranch|) (IF (|has| |t#1| (-815)) (-6 (-815)) |noBranch|) (IF (|has| |t#1| (-1021)) (-6 (-1021)) |noBranch|) (IF (|has| |t#1| (-609 (-541))) (-6 (-609 (-541))) |noBranch|) (IF (|has| |t#1| (-150)) (-6 (-150)) |noBranch|) (IF (|has| |t#1| (-148)) (-6 (-148)) |noBranch|) (IF (|has| |t#1| (-1037 (-1161))) (-6 (-1037 (-1161))) |noBranch|) (IF (|has| |t#1| (-301)) (PROGN (-15 -2563 (|t#1| $)) (-15 -1999 ($ $))) |noBranch|) (IF (|has| |t#1| (-550)) (PROGN (-15 -1733 ($)) (-15 -3520 (|t#1| $)) (-15 -4115 (|t#1| $))) |noBranch|) (IF (|has| |t#1| (-904)) (-6 (-904)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-409 (-568))) . T) ((-43 |#1|) . T) ((-43 $) . T) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) . T) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-137) . T) ((-148) |has| |#1| (-148)) ((-150) |has| |#1| (-150)) ((-608 (-850)) . T) ((-172) . T) ((-609 (-215)) |has| |#1| (-1021)) ((-609 (-381)) |has| |#1| (-1021)) ((-609 (-541)) |has| |#1| (-609 (-541))) ((-609 (-887 (-381))) |has| |#1| (-609 (-887 (-381)))) ((-609 (-887 (-568))) |has| |#1| (-609 (-887 (-568)))) ((-223 |#1|) . T) ((-225) |has| |#1| (-225)) ((-238) . T) ((-281 |#1| $) |has| |#1| (-281 |#1| |#1|)) ((-285) . T) ((-301) . T) ((-303 |#1|) |has| |#1| (-303 |#1|)) ((-365) . T) ((-336 |#1|) . T) ((-379 |#1|) . T) ((-402 |#1|) . T) ((-453) . T) ((-523 (-1161) |#1|) |has| |#1| (-523 (-1161) |#1|)) ((-523 |#1| |#1|) |has| |#1| (-303 |#1|)) ((-558) . T) ((-637 (-409 (-568))) . T) ((-637 |#1|) . T) ((-637 $) . T) ((-630 (-568)) |has| |#1| (-630 (-568))) ((-630 |#1|) . T) ((-707 (-409 (-568))) . T) ((-707 |#1|) . T) ((-707 $) . T) ((-716) . T) ((-786) |has| |#1| (-815)) ((-787) |has| |#1| (-815)) ((-789) |has| |#1| (-815)) ((-790) |has| |#1| (-815)) ((-815) |has| |#1| (-815)) ((-840) |has| |#1| (-815)) ((-842) -2199 (|has| |#1| (-842)) (|has| |#1| (-815))) ((-895 (-1161)) |has| |#1| (-895 (-1161))) ((-881 (-381)) |has| |#1| (-881 (-381))) ((-881 (-568)) |has| |#1| (-881 (-568))) ((-879 |#1|) . T) ((-904) |has| |#1| (-904)) ((-916) . T) ((-1021) |has| |#1| (-1021)) ((-1037 (-409 (-568))) |has| |#1| (-1037 (-568))) ((-1037 (-568)) |has| |#1| (-1037 (-568))) ((-1037 (-1161)) |has| |#1| (-1037 (-1161))) ((-1037 |#1|) . T) ((-1053 (-409 (-568))) . T) ((-1053 |#1|) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1136) |has| |#1| (-1136)) ((-1195) . T) ((-1199) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-3522 (($ (-1127 |#1| |#2|)) 11)) (-2271 (((-1127 |#1| |#2|) $) 12)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2781 ((|#2| $ (-232 |#1| |#2|)) 16)) (-2747 (((-850) $) NIL)) (-3058 (($) NIL T CONST)) (-1719 (((-121) $ $) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL))) 
-(((-994 |#1| |#2|) (-13 (-21) (-10 -8 (-15 -3522 ($ (-1127 |#1| |#2|))) (-15 -2271 ((-1127 |#1| |#2|) $)) (-15 -2781 (|#2| $ (-232 |#1| |#2|))))) (-917) (-365)) (T -994)) 
-((-3522 (*1 *1 *2) (-12 (-5 *2 (-1127 *3 *4)) (-14 *3 (-917)) (-4 *4 (-365)) (-5 *1 (-994 *3 *4)))) (-2271 (*1 *2 *1) (-12 (-5 *2 (-1127 *3 *4)) (-5 *1 (-994 *3 *4)) (-14 *3 (-917)) (-4 *4 (-365)))) (-2781 (*1 *2 *1 *3) (-12 (-5 *3 (-232 *4 *2)) (-14 *4 (-917)) (-4 *2 (-365)) (-5 *1 (-994 *4 *2))))) 
-(-13 (-21) (-10 -8 (-15 -3522 ($ (-1127 |#1| |#2|))) (-15 -2271 ((-1127 |#1| |#2|) $)) (-15 -2781 (|#2| $ (-232 |#1| |#2|))))) 
-((-2449 (((-121) $ $) 18 (|has| |#1| (-1090)))) (-1667 (((-121) $ (-763)) 8)) (-4490 (($) 7 T CONST)) (-3743 (($ $) 43)) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) 9)) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35)) (-3796 (((-121) $ (-763)) 10)) (-3680 (((-763) $) 42)) (-1893 (((-1143) $) 22 (|has| |#1| (-1090)))) (-2580 ((|#1| $) 36)) (-1708 (($ |#1| $) 37)) (-4025 (((-1108) $) 21 (|has| |#1| (-1090)))) (-1929 ((|#1| $) 41)) (-3403 ((|#1| $) 38)) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-3920 ((|#1| |#1| $) 45)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-4080 ((|#1| $) 44)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-2747 (((-850) $) 20 (|has| |#1| (-1090)))) (-4074 (($ (-634 |#1|)) 39)) (-4035 ((|#1| $) 40)) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-995 |#1|) (-1275) (-1195)) (T -995)) 
-((-3920 (*1 *2 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-1195)))) (-4080 (*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-1195)))) (-3743 (*1 *1 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-1195)))) (-3680 (*1 *2 *1) (-12 (-4 *1 (-995 *3)) (-4 *3 (-1195)) (-5 *2 (-763)))) (-1929 (*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-1195)))) (-4035 (*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-1195))))) 
-(-13 (-111 |t#1|) (-10 -8 (-6 -4521) (-15 -3920 (|t#1| |t#1| $)) (-15 -4080 (|t#1| $)) (-15 -3743 ($ $)) (-15 -3680 ((-763) $)) (-15 -1929 (|t#1| $)) (-15 -4035 (|t#1| $)))) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1090)) ((-608 (-850)) |has| |#1| (-1090)) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-499 |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-1090) |has| |#1| (-1090)) ((-1195) . T)) 
-((-1819 (((-121) $) 42)) (-3668 (((-3 (-568) "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL) (((-3 |#2| "failed") $) 45)) (-2857 (((-568) $) NIL) (((-409 (-568)) $) NIL) ((|#2| $) 43)) (-3254 (((-3 (-409 (-568)) "failed") $) 78)) (-1338 (((-121) $) 72)) (-2394 (((-409 (-568)) $) 76)) (-1598 (((-121) $) 41)) (-4417 ((|#2| $) 22)) (-2797 (($ (-1 |#2| |#2|) $) 19)) (-2083 (($ $) 61)) (-4191 (($ $) NIL) (($ $ (-763)) NIL) (($ $ (-1161)) NIL) (($ $ (-634 (-1161))) NIL) (($ $ (-1161) (-763)) NIL) (($ $ (-634 (-1161)) (-634 (-763))) NIL) (($ $ (-1 |#2| |#2|) (-763)) NIL) (($ $ (-1 |#2| |#2|)) 34)) (-4280 (((-541) $) 67)) (-2387 (($ $) 17)) (-2747 (((-850) $) 56) (($ (-568)) 38) (($ |#2|) 36) (($ (-409 (-568))) NIL)) (-3425 (((-763)) 10)) (-2811 ((|#2| $) 71)) (-1719 (((-121) $ $) 25)) (-1734 (((-121) $ $) 69)) (-1775 (($ $) 29) (($ $ $) 28)) (-1769 (($ $ $) 26)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 33) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) 30) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL))) 
-(((-996 |#1| |#2|) (-10 -8 (-15 -2747 (|#1| (-409 (-568)))) (-15 -1734 ((-121) |#1| |#1|)) (-15 * (|#1| (-409 (-568)) |#1|)) (-15 * (|#1| |#1| (-409 (-568)))) (-15 -2083 (|#1| |#1|)) (-15 -4280 ((-541) |#1|)) (-15 -3254 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2394 ((-409 (-568)) |#1|)) (-15 -1338 ((-121) |#1|)) (-15 -2811 (|#2| |#1|)) (-15 -4417 (|#2| |#1|)) (-15 -2387 (|#1| |#1|)) (-15 -2797 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|))) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)) (-634 (-763)))) (-15 -4191 (|#1| |#1| (-1161) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)))) (-15 -4191 (|#1| |#1| (-1161))) (-15 -4191 (|#1| |#1| (-763))) (-15 -4191 (|#1| |#1|)) (-15 -2857 (|#2| |#1|)) (-15 -3668 ((-3 |#2| "failed") |#1|)) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2857 ((-409 (-568)) |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -2857 ((-568) |#1|)) (-15 -2747 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -2747 (|#1| (-568))) (-15 -3425 ((-763))) (-15 -1598 ((-121) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-568) |#1|)) (-15 -1775 (|#1| |#1| |#1|)) (-15 -1775 (|#1| |#1|)) (-15 * (|#1| (-763) |#1|)) (-15 -1819 ((-121) |#1|)) (-15 * (|#1| (-917) |#1|)) (-15 -1769 (|#1| |#1| |#1|)) (-15 -2747 ((-850) |#1|)) (-15 -1719 ((-121) |#1| |#1|))) (-997 |#2|) (-172)) (T -996)) 
-((-3425 (*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-763)) (-5 *1 (-996 *3 *4)) (-4 *3 (-997 *4))))) 
-(-10 -8 (-15 -2747 (|#1| (-409 (-568)))) (-15 -1734 ((-121) |#1| |#1|)) (-15 * (|#1| (-409 (-568)) |#1|)) (-15 * (|#1| |#1| (-409 (-568)))) (-15 -2083 (|#1| |#1|)) (-15 -4280 ((-541) |#1|)) (-15 -3254 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2394 ((-409 (-568)) |#1|)) (-15 -1338 ((-121) |#1|)) (-15 -2811 (|#2| |#1|)) (-15 -4417 (|#2| |#1|)) (-15 -2387 (|#1| |#1|)) (-15 -2797 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|))) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)) (-634 (-763)))) (-15 -4191 (|#1| |#1| (-1161) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)))) (-15 -4191 (|#1| |#1| (-1161))) (-15 -4191 (|#1| |#1| (-763))) (-15 -4191 (|#1| |#1|)) (-15 -2857 (|#2| |#1|)) (-15 -3668 ((-3 |#2| "failed") |#1|)) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2857 ((-409 (-568)) |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -2857 ((-568) |#1|)) (-15 -2747 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -2747 (|#1| (-568))) (-15 -3425 ((-763))) (-15 -1598 ((-121) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-568) |#1|)) (-15 -1775 (|#1| |#1| |#1|)) (-15 -1775 (|#1| |#1|)) (-15 * (|#1| (-763) |#1|)) (-15 -1819 ((-121) |#1|)) (-15 * (|#1| (-917) |#1|)) (-15 -1769 (|#1| |#1| |#1|)) (-15 -2747 ((-850) |#1|)) (-15 -1719 ((-121) |#1| |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-3668 (((-3 (-568) "failed") $) 117 (|has| |#1| (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) 115 (|has| |#1| (-1037 (-409 (-568))))) (((-3 |#1| "failed") $) 114)) (-2857 (((-568) $) 118 (|has| |#1| (-1037 (-568)))) (((-409 (-568)) $) 116 (|has| |#1| (-1037 (-409 (-568))))) ((|#1| $) 113)) (-1668 (((-679 (-568)) (-679 $)) 88 (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) 87 (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 |#1|))) (-679 $) (-1244 $)) 86) (((-679 |#1|) (-679 $)) 85)) (-2902 (((-3 $ "failed") $) 33)) (-3859 ((|#1| $) 78)) (-3254 (((-3 (-409 (-568)) "failed") $) 74 (|has| |#1| (-550)))) (-1338 (((-121) $) 76 (|has| |#1| (-550)))) (-2394 (((-409 (-568)) $) 75 (|has| |#1| (-550)))) (-4103 (($ |#1| |#1| |#1| |#1|) 79)) (-1598 (((-121) $) 30)) (-4417 ((|#1| $) 80)) (-1732 (($ $ $) 66 (|has| |#1| (-842)))) (-2047 (($ $ $) 65 (|has| |#1| (-842)))) (-2797 (($ (-1 |#1| |#1|) $) 89)) (-1893 (((-1143) $) 9)) (-2083 (($ $) 71 (|has| |#1| (-365)))) (-4173 ((|#1| $) 81)) (-4287 ((|#1| $) 82)) (-4004 ((|#1| $) 83)) (-4025 (((-1108) $) 10)) (-1339 (($ $ (-634 |#1|) (-634 |#1|)) 95 (|has| |#1| (-303 |#1|))) (($ $ |#1| |#1|) 94 (|has| |#1| (-303 |#1|))) (($ $ (-288 |#1|)) 93 (|has| |#1| (-303 |#1|))) (($ $ (-634 (-288 |#1|))) 92 (|has| |#1| (-303 |#1|))) (($ $ (-634 (-1161)) (-634 |#1|)) 91 (|has| |#1| (-523 (-1161) |#1|))) (($ $ (-1161) |#1|) 90 (|has| |#1| (-523 (-1161) |#1|)))) (-2781 (($ $ |#1|) 96 (|has| |#1| (-281 |#1| |#1|)))) (-4191 (($ $) 112 (|has| |#1| (-225))) (($ $ (-763)) 110 (|has| |#1| (-225))) (($ $ (-1161)) 108 (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) 107 (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) 106 (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) 105 (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) 98) (($ $ (-1 |#1| |#1|)) 97)) (-4280 (((-541) $) 72 (|has| |#1| (-609 (-541))))) (-2387 (($ $) 84)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ |#1|) 36) (($ (-409 (-568))) 60 (-2199 (|has| |#1| (-365)) (|has| |#1| (-1037 (-409 (-568))))))) (-3385 (((-3 $ "failed") $) 73 (|has| |#1| (-148)))) (-3425 (((-763)) 28)) (-2811 ((|#1| $) 77 (|has| |#1| (-1056)))) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32) (($ $ (-568)) 70 (|has| |#1| (-365)))) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3192 (($ $) 111 (|has| |#1| (-225))) (($ $ (-763)) 109 (|has| |#1| (-225))) (($ $ (-1161)) 104 (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) 103 (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) 102 (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) 101 (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) 100) (($ $ (-1 |#1| |#1|)) 99)) (-1753 (((-121) $ $) 63 (|has| |#1| (-842)))) (-1740 (((-121) $ $) 62 (|has| |#1| (-842)))) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 64 (|has| |#1| (-842)))) (-1734 (((-121) $ $) 61 (|has| |#1| (-842)))) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ (-568)) 69 (|has| |#1| (-365)))) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37) (($ $ (-409 (-568))) 68 (|has| |#1| (-365))) (($ (-409 (-568)) $) 67 (|has| |#1| (-365))))) 
-(((-997 |#1|) (-1275) (-172)) (T -997)) 
-((-2387 (*1 *1 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-172)))) (-4004 (*1 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-172)))) (-4287 (*1 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-172)))) (-4173 (*1 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-172)))) (-4417 (*1 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-172)))) (-4103 (*1 *1 *2 *2 *2 *2) (-12 (-4 *1 (-997 *2)) (-4 *2 (-172)))) (-3859 (*1 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-172)))) (-2811 (*1 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-172)) (-4 *2 (-1056)))) (-1338 (*1 *2 *1) (-12 (-4 *1 (-997 *3)) (-4 *3 (-172)) (-4 *3 (-550)) (-5 *2 (-121)))) (-2394 (*1 *2 *1) (-12 (-4 *1 (-997 *3)) (-4 *3 (-172)) (-4 *3 (-550)) (-5 *2 (-409 (-568))))) (-3254 (*1 *2 *1) (|partial| -12 (-4 *1 (-997 *3)) (-4 *3 (-172)) (-4 *3 (-550)) (-5 *2 (-409 (-568)))))) 
-(-13 (-43 |t#1|) (-413 |t#1|) (-223 |t#1|) (-336 |t#1|) (-379 |t#1|) (-10 -8 (-15 -2387 ($ $)) (-15 -4004 (|t#1| $)) (-15 -4287 (|t#1| $)) (-15 -4173 (|t#1| $)) (-15 -4417 (|t#1| $)) (-15 -4103 ($ |t#1| |t#1| |t#1| |t#1|)) (-15 -3859 (|t#1| $)) (IF (|has| |t#1| (-285)) (-6 (-285)) |noBranch|) (IF (|has| |t#1| (-842)) (-6 (-842)) |noBranch|) (IF (|has| |t#1| (-365)) (-6 (-238)) |noBranch|) (IF (|has| |t#1| (-609 (-541))) (-6 (-609 (-541))) |noBranch|) (IF (|has| |t#1| (-150)) (-6 (-150)) |noBranch|) (IF (|has| |t#1| (-148)) (-6 (-148)) |noBranch|) (IF (|has| |t#1| (-1056)) (-15 -2811 (|t#1| $)) |noBranch|) (IF (|has| |t#1| (-550)) (PROGN (-15 -1338 ((-121) $)) (-15 -2394 ((-409 (-568)) $)) (-15 -3254 ((-3 (-409 (-568)) "failed") $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-409 (-568))) |has| |#1| (-365)) ((-43 |#1|) . T) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) |has| |#1| (-365)) ((-120 |#1| |#1|) . T) ((-120 $ $) -2199 (|has| |#1| (-365)) (|has| |#1| (-285))) ((-137) . T) ((-148) |has| |#1| (-148)) ((-150) |has| |#1| (-150)) ((-608 (-850)) . T) ((-609 (-541)) |has| |#1| (-609 (-541))) ((-223 |#1|) . T) ((-225) |has| |#1| (-225)) ((-238) |has| |#1| (-365)) ((-281 |#1| $) |has| |#1| (-281 |#1| |#1|)) ((-285) -2199 (|has| |#1| (-365)) (|has| |#1| (-285))) ((-303 |#1|) |has| |#1| (-303 |#1|)) ((-336 |#1|) . T) ((-379 |#1|) . T) ((-413 |#1|) . T) ((-523 (-1161) |#1|) |has| |#1| (-523 (-1161) |#1|)) ((-523 |#1| |#1|) |has| |#1| (-303 |#1|)) ((-637 (-409 (-568))) |has| |#1| (-365)) ((-637 |#1|) . T) ((-637 $) . T) ((-630 (-568)) |has| |#1| (-630 (-568))) ((-630 |#1|) . T) ((-707 (-409 (-568))) |has| |#1| (-365)) ((-707 |#1|) . T) ((-716) . T) ((-842) |has| |#1| (-842)) ((-895 (-1161)) |has| |#1| (-895 (-1161))) ((-1037 (-409 (-568))) |has| |#1| (-1037 (-409 (-568)))) ((-1037 (-568)) |has| |#1| (-1037 (-568))) ((-1037 |#1|) . T) ((-1053 (-409 (-568))) |has| |#1| (-365)) ((-1053 |#1|) . T) ((-1053 $) -2199 (|has| |#1| (-365)) (|has| |#1| (-285))) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-2797 ((|#3| (-1 |#4| |#2|) |#1|) 16))) 
-(((-998 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2797 (|#3| (-1 |#4| |#2|) |#1|))) (-997 |#2|) (-172) (-997 |#4|) (-172)) (T -998)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-172)) (-4 *6 (-172)) (-4 *2 (-997 *6)) (-5 *1 (-998 *4 *5 *2 *6)) (-4 *4 (-997 *5))))) 
-(-10 -7 (-15 -2797 (|#3| (-1 |#4| |#2|) |#1|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-568) "failed") $) NIL (|has| |#1| (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-3 |#1| "failed") $) NIL)) (-2857 (((-568) $) NIL (|has| |#1| (-1037 (-568)))) (((-409 (-568)) $) NIL (|has| |#1| (-1037 (-409 (-568))))) ((|#1| $) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 |#1|))) (-679 $) (-1244 $)) NIL) (((-679 |#1|) (-679 $)) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-3859 ((|#1| $) 12)) (-3254 (((-3 (-409 (-568)) "failed") $) NIL (|has| |#1| (-550)))) (-1338 (((-121) $) NIL (|has| |#1| (-550)))) (-2394 (((-409 (-568)) $) NIL (|has| |#1| (-550)))) (-4103 (($ |#1| |#1| |#1| |#1|) 16)) (-1598 (((-121) $) NIL)) (-4417 ((|#1| $) NIL)) (-1732 (($ $ $) NIL (|has| |#1| (-842)))) (-2047 (($ $ $) NIL (|has| |#1| (-842)))) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL (|has| |#1| (-365)))) (-4173 ((|#1| $) 15)) (-4287 ((|#1| $) 14)) (-4004 ((|#1| $) 13)) (-4025 (((-1108) $) NIL)) (-1339 (($ $ (-634 |#1|) (-634 |#1|)) NIL (|has| |#1| (-303 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-303 |#1|))) (($ $ (-288 |#1|)) NIL (|has| |#1| (-303 |#1|))) (($ $ (-634 (-288 |#1|))) NIL (|has| |#1| (-303 |#1|))) (($ $ (-634 (-1161)) (-634 |#1|)) NIL (|has| |#1| (-523 (-1161) |#1|))) (($ $ (-1161) |#1|) NIL (|has| |#1| (-523 (-1161) |#1|)))) (-2781 (($ $ |#1|) NIL (|has| |#1| (-281 |#1| |#1|)))) (-4191 (($ $) NIL (|has| |#1| (-225))) (($ $ (-763)) NIL (|has| |#1| (-225))) (($ $ (-1161)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-4280 (((-541) $) NIL (|has| |#1| (-609 (-541))))) (-2387 (($ $) NIL)) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ |#1|) NIL) (($ (-409 (-568))) NIL (-2199 (|has| |#1| (-365)) (|has| |#1| (-1037 (-409 (-568))))))) (-3385 (((-3 $ "failed") $) NIL (|has| |#1| (-148)))) (-3425 (((-763)) NIL)) (-2811 ((|#1| $) NIL (|has| |#1| (-1056)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| |#1| (-365)))) (-3058 (($) 8 T CONST)) (-1557 (($) 10 T CONST)) (-3192 (($ $) NIL (|has| |#1| (-225))) (($ $ (-763)) NIL (|has| |#1| (-225))) (($ $ (-1161)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1753 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| |#1| (-365)))) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 20) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ (-409 (-568))) NIL (|has| |#1| (-365))) (($ (-409 (-568)) $) NIL (|has| |#1| (-365))))) 
-(((-999 |#1|) (-997 |#1|) (-172)) (T -999)) 
-NIL 
-(-997 |#1|) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1667 (((-121) $ (-763)) NIL)) (-4490 (($) NIL T CONST)) (-3743 (($ $) 20)) (-4126 (($ (-634 |#1|)) 29)) (-3317 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) NIL)) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-2253 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-3680 (((-763) $) 22)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-2580 ((|#1| $) 24)) (-1708 (($ |#1| $) 15)) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-1929 ((|#1| $) 23)) (-3403 ((|#1| $) 19)) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-3920 ((|#1| |#1| $) 14)) (-2436 (((-121) $) 17)) (-1990 (($) NIL)) (-4080 ((|#1| $) 18)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3865 (($ $) NIL)) (-2747 (((-850) $) NIL (|has| |#1| (-1090)))) (-4074 (($ (-634 |#1|)) NIL)) (-4035 ((|#1| $) 26)) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-1000 |#1|) (-13 (-995 |#1|) (-10 -8 (-15 -4126 ($ (-634 |#1|))) (-15 -4080 (|#1| $)) (-15 -3403 (|#1| $)) (-15 -3920 (|#1| |#1| $)) (-15 -1708 ($ |#1| $)) (-15 -2580 (|#1| $)) (-15 -1929 (|#1| $)) (-15 -4035 (|#1| $)) (-15 -3743 ($ $)) (-15 -3680 ((-763) $)) (-15 -3796 ((-121) $ (-763))) (-15 -3791 ((-121) $ (-763))) (-15 -1667 ((-121) $ (-763))) (-15 -4074 ($ (-634 |#1|))) (-15 -2436 ((-121) $)) (-15 -1990 ($)) (-15 -4490 ($)) (-15 -3865 ($ $)) (-15 -1702 ((-121) $ $)) (-15 -2797 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4522)) (-15 -2253 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1090)) (PROGN (-15 -1893 ((-1143) $)) (-15 -4025 ((-1108) $)) (-15 -2747 ((-850) $)) (-15 -1719 ((-121) $ $)) (-15 -2449 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4521)) (PROGN (-15 -3951 ((-121) (-1 (-121) |#1|) $)) (-15 -3437 ((-121) (-1 (-121) |#1|) $)) (-15 -4170 ((-763) (-1 (-121) |#1|) $)) (-15 -1699 ((-763) $)) (-15 -3317 ((-634 |#1|) $)) (-15 -4406 ((-634 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4521)) (IF (|has| |#1| (-1090)) (PROGN (-15 -2551 ((-121) |#1| $)) (-15 -4170 ((-763) |#1| $))) |noBranch|) |noBranch|))) (-1090)) (T -1000)) 
-((-1702 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1000 *3)) (-4 *3 (-1090)))) (-3865 (*1 *1 *1) (-12 (-5 *1 (-1000 *2)) (-4 *2 (-1090)))) (-1990 (*1 *1) (-12 (-5 *1 (-1000 *2)) (-4 *2 (-1090)))) (-2436 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1000 *3)) (-4 *3 (-1090)))) (-3796 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-1000 *4)) (-4 *4 (-1090)))) (-3791 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-1000 *4)) (-4 *4 (-1090)))) (-1667 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-1000 *4)) (-4 *4 (-1090)))) (-4490 (*1 *1) (-12 (-5 *1 (-1000 *2)) (-4 *2 (-1090)))) (-1699 (*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-763)) (-5 *1 (-1000 *3)) (-4 *3 (-1090)))) (-2797 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1090)) (-5 *1 (-1000 *3)))) (-2253 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4522)) (-4 *3 (-1090)) (-5 *1 (-1000 *3)))) (-3437 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-1090)) (-5 *2 (-121)) (-5 *1 (-1000 *4)))) (-3951 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-1090)) (-5 *2 (-121)) (-5 *1 (-1000 *4)))) (-4170 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-1090)) (-5 *2 (-763)) (-5 *1 (-1000 *4)))) (-3317 (*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-634 *3)) (-5 *1 (-1000 *3)) (-4 *3 (-1090)))) (-4406 (*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-634 *3)) (-5 *1 (-1000 *3)) (-4 *3 (-1090)))) (-4170 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-763)) (-5 *1 (-1000 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-2551 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-121)) (-5 *1 (-1000 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-1893 (*1 *2 *1) (-12 (-5 *2 (-1143)) (-5 *1 (-1000 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-4025 (*1 *2 *1) (-12 (-5 *2 (-1108)) (-5 *1 (-1000 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-1000 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-1719 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1000 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-2449 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1000 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-4074 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-5 *1 (-1000 *3)))) (-3403 (*1 *2 *1) (-12 (-5 *1 (-1000 *2)) (-4 *2 (-1090)))) (-1708 (*1 *1 *2 *1) (-12 (-5 *1 (-1000 *2)) (-4 *2 (-1090)))) (-2580 (*1 *2 *1) (-12 (-5 *1 (-1000 *2)) (-4 *2 (-1090)))) (-3920 (*1 *2 *2 *1) (-12 (-5 *1 (-1000 *2)) (-4 *2 (-1090)))) (-4080 (*1 *2 *1) (-12 (-5 *1 (-1000 *2)) (-4 *2 (-1090)))) (-3743 (*1 *1 *1) (-12 (-5 *1 (-1000 *2)) (-4 *2 (-1090)))) (-3680 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-1000 *3)) (-4 *3 (-1090)))) (-1929 (*1 *2 *1) (-12 (-5 *1 (-1000 *2)) (-4 *2 (-1090)))) (-4035 (*1 *2 *1) (-12 (-5 *1 (-1000 *2)) (-4 *2 (-1090)))) (-4126 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-5 *1 (-1000 *3))))) 
-(-13 (-995 |#1|) (-10 -8 (-15 -4126 ($ (-634 |#1|))) (-15 -4080 (|#1| $)) (-15 -3403 (|#1| $)) (-15 -3920 (|#1| |#1| $)) (-15 -1708 ($ |#1| $)) (-15 -2580 (|#1| $)) (-15 -1929 (|#1| $)) (-15 -4035 (|#1| $)) (-15 -3743 ($ $)) (-15 -3680 ((-763) $)) (-15 -3796 ((-121) $ (-763))) (-15 -3791 ((-121) $ (-763))) (-15 -1667 ((-121) $ (-763))) (-15 -4074 ($ (-634 |#1|))) (-15 -2436 ((-121) $)) (-15 -1990 ($)) (-15 -4490 ($)) (-15 -3865 ($ $)) (-15 -1702 ((-121) $ $)) (-15 -2797 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4522)) (-15 -2253 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1090)) (PROGN (-15 -1893 ((-1143) $)) (-15 -4025 ((-1108) $)) (-15 -2747 ((-850) $)) (-15 -1719 ((-121) $ $)) (-15 -2449 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4521)) (PROGN (-15 -3951 ((-121) (-1 (-121) |#1|) $)) (-15 -3437 ((-121) (-1 (-121) |#1|) $)) (-15 -4170 ((-763) (-1 (-121) |#1|) $)) (-15 -1699 ((-763) $)) (-15 -3317 ((-634 |#1|) $)) (-15 -4406 ((-634 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4521)) (IF (|has| |#1| (-1090)) (PROGN (-15 -2551 ((-121) |#1| $)) (-15 -4170 ((-763) |#1| $))) |noBranch|) |noBranch|))) 
-((-1904 (($ $) 12)) (-1550 (($ $ (-568)) 13))) 
-(((-1001 |#1|) (-10 -8 (-15 -1904 (|#1| |#1|)) (-15 -1550 (|#1| |#1| (-568)))) (-1002)) (T -1001)) 
-NIL 
-(-10 -8 (-15 -1904 (|#1| |#1|)) (-15 -1550 (|#1| |#1| (-568)))) 
-((-1904 (($ $) 6)) (-1550 (($ $ (-568)) 7)) (** (($ $ (-409 (-568))) 8))) 
-(((-1002) (-1275)) (T -1002)) 
-((** (*1 *1 *1 *2) (-12 (-4 *1 (-1002)) (-5 *2 (-409 (-568))))) (-1550 (*1 *1 *1 *2) (-12 (-4 *1 (-1002)) (-5 *2 (-568)))) (-1904 (*1 *1 *1) (-4 *1 (-1002)))) 
-(-13 (-10 -8 (-15 -1904 ($ $)) (-15 -1550 ($ $ (-568))) (-15 ** ($ $ (-409 (-568)))))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-4354 (((-2 (|:| |num| (-1244 |#2|)) (|:| |den| |#2|)) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| (-409 |#2|) (-365)))) (-3661 (($ $) NIL (|has| (-409 |#2|) (-365)))) (-4426 (((-121) $) NIL (|has| (-409 |#2|) (-365)))) (-2883 (((-679 (-409 |#2|)) (-1244 $)) NIL) (((-679 (-409 |#2|))) NIL)) (-1934 (((-409 |#2|) $) NIL)) (-1856 (((-1169 (-917) (-763)) (-568)) NIL (|has| (-409 |#2|) (-350)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL (|has| (-409 |#2|) (-365)))) (-3498 (((-420 $) $) NIL (|has| (-409 |#2|) (-365)))) (-2589 (((-121) $ $) NIL (|has| (-409 |#2|) (-365)))) (-3986 (((-763)) NIL (|has| (-409 |#2|) (-370)))) (-2191 (((-121)) NIL)) (-4347 (((-121) |#1|) 147) (((-121) |#2|) 152)) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-568) "failed") $) NIL (|has| (-409 |#2|) (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) NIL (|has| (-409 |#2|) (-1037 (-409 (-568))))) (((-3 (-409 |#2|) "failed") $) NIL)) (-2857 (((-568) $) NIL (|has| (-409 |#2|) (-1037 (-568)))) (((-409 (-568)) $) NIL (|has| (-409 |#2|) (-1037 (-409 (-568))))) (((-409 |#2|) $) NIL)) (-3899 (($ (-1244 (-409 |#2|)) (-1244 $)) NIL) (($ (-1244 (-409 |#2|))) 70) (($ (-1244 |#2|) |#2|) NIL)) (-1368 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-409 |#2|) (-350)))) (-2403 (($ $ $) NIL (|has| (-409 |#2|) (-365)))) (-3653 (((-679 (-409 |#2|)) $ (-1244 $)) NIL) (((-679 (-409 |#2|)) $) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| (-409 |#2|) (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| (-409 |#2|) (-630 (-568)))) (((-2 (|:| -2908 (-679 (-409 |#2|))) (|:| |vec| (-1244 (-409 |#2|)))) (-679 $) (-1244 $)) NIL) (((-679 (-409 |#2|)) (-679 $)) NIL)) (-2331 (((-1244 $) (-1244 $)) NIL)) (-3094 (($ |#3|) 65) (((-3 $ "failed") (-409 |#3|)) NIL (|has| (-409 |#2|) (-365)))) (-2902 (((-3 $ "failed") $) NIL)) (-2603 (((-634 (-634 |#1|))) NIL (|has| |#1| (-370)))) (-2679 (((-121) |#1| |#1|) NIL)) (-2371 (((-917)) NIL)) (-1733 (($) NIL (|has| (-409 |#2|) (-370)))) (-1700 (((-121)) NIL)) (-1862 (((-121) |#1|) 56) (((-121) |#2|) 149)) (-2414 (($ $ $) NIL (|has| (-409 |#2|) (-365)))) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL (|has| (-409 |#2|) (-365)))) (-1998 (($ $) NIL)) (-4188 (($) NIL (|has| (-409 |#2|) (-350)))) (-1748 (((-121) $) NIL (|has| (-409 |#2|) (-350)))) (-1887 (($ $ (-763)) NIL (|has| (-409 |#2|) (-350))) (($ $) NIL (|has| (-409 |#2|) (-350)))) (-2197 (((-121) $) NIL (|has| (-409 |#2|) (-365)))) (-1844 (((-917) $) NIL (|has| (-409 |#2|) (-350))) (((-828 (-917)) $) NIL (|has| (-409 |#2|) (-350)))) (-1598 (((-121) $) NIL)) (-2066 (((-763)) NIL)) (-3233 (((-1244 $) (-1244 $)) NIL)) (-4417 (((-409 |#2|) $) NIL)) (-3247 (((-634 (-953 |#1|)) (-1161)) NIL (|has| |#1| (-365)))) (-2214 (((-3 $ "failed") $) NIL (|has| (-409 |#2|) (-350)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| (-409 |#2|) (-365)))) (-1497 ((|#3| $) NIL (|has| (-409 |#2|) (-365)))) (-2291 (((-917) $) NIL (|has| (-409 |#2|) (-370)))) (-3087 ((|#3| $) NIL)) (-2498 (($ (-634 $)) NIL (|has| (-409 |#2|) (-365))) (($ $ $) NIL (|has| (-409 |#2|) (-365)))) (-1893 (((-1143) $) NIL)) (-3281 (((-679 (-409 |#2|))) 52)) (-1822 (((-679 (-409 |#2|))) 51)) (-2083 (($ $) NIL (|has| (-409 |#2|) (-365)))) (-3368 (($ (-1244 |#2|) |#2|) 71)) (-2208 (((-679 (-409 |#2|))) 50)) (-1515 (((-679 (-409 |#2|))) 49)) (-4339 (((-2 (|:| |num| (-679 |#2|)) (|:| |den| |#2|)) (-1 |#2| |#2|)) 86)) (-3363 (((-2 (|:| |num| (-1244 |#2|)) (|:| |den| |#2|)) $) 77)) (-2239 (((-1244 $)) 46)) (-3330 (((-1244 $)) 45)) (-1979 (((-121) $) NIL)) (-2548 (((-121) $) NIL) (((-121) $ |#1|) NIL) (((-121) $ |#2|) NIL)) (-4436 (($) NIL (|has| (-409 |#2|) (-350)) CONST)) (-4357 (($ (-917)) NIL (|has| (-409 |#2|) (-370)))) (-4201 (((-3 |#2| "failed")) 63)) (-4025 (((-1108) $) NIL)) (-3383 (((-763)) NIL)) (-2707 (($) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| (-409 |#2|) (-365)))) (-2723 (($ (-634 $)) NIL (|has| (-409 |#2|) (-365))) (($ $ $) NIL (|has| (-409 |#2|) (-365)))) (-2172 (((-634 (-2 (|:| -3850 (-568)) (|:| -3483 (-568))))) NIL (|has| (-409 |#2|) (-350)))) (-3850 (((-420 $) $) NIL (|has| (-409 |#2|) (-365)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| (-409 |#2|) (-365))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| (-409 |#2|) (-365)))) (-2597 (((-3 $ "failed") $ $) NIL (|has| (-409 |#2|) (-365)))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| (-409 |#2|) (-365)))) (-1466 (((-763) $) NIL (|has| (-409 |#2|) (-365)))) (-2781 ((|#1| $ |#1| |#1|) NIL)) (-3146 (((-3 |#2| "failed")) 62)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| (-409 |#2|) (-365)))) (-3440 (((-409 |#2|) (-1244 $)) NIL) (((-409 |#2|)) 42)) (-2721 (((-763) $) NIL (|has| (-409 |#2|) (-350))) (((-3 (-763) "failed") $ $) NIL (|has| (-409 |#2|) (-350)))) (-4191 (($ $ (-1 (-409 |#2|) (-409 |#2|)) (-763)) NIL (|has| (-409 |#2|) (-365))) (($ $ (-1 (-409 |#2|) (-409 |#2|))) NIL (|has| (-409 |#2|) (-365))) (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-895 (-1161))))) (($ $ (-1161)) NIL (-12 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-895 (-1161))))) (($ $ (-763)) NIL (-2199 (-12 (|has| (-409 |#2|) (-225)) (|has| (-409 |#2|) (-365))) (|has| (-409 |#2|) (-350)))) (($ $) NIL (-2199 (-12 (|has| (-409 |#2|) (-225)) (|has| (-409 |#2|) (-365))) (|has| (-409 |#2|) (-350))))) (-1391 (((-679 (-409 |#2|)) (-1244 $) (-1 (-409 |#2|) (-409 |#2|))) NIL (|has| (-409 |#2|) (-365)))) (-1492 ((|#3|) 53)) (-2330 (($) NIL (|has| (-409 |#2|) (-350)))) (-1656 (((-1244 (-409 |#2|)) $ (-1244 $)) NIL) (((-679 (-409 |#2|)) (-1244 $) (-1244 $)) NIL) (((-1244 (-409 |#2|)) $) 72) (((-679 (-409 |#2|)) (-1244 $)) NIL)) (-4280 (((-1244 (-409 |#2|)) $) NIL) (($ (-1244 (-409 |#2|))) NIL) ((|#3| $) NIL) (($ |#3|) NIL)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (|has| (-409 |#2|) (-350)))) (-3224 (((-1244 $) (-1244 $)) NIL)) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ (-409 |#2|)) NIL) (($ (-409 (-568))) NIL (-2199 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-1037 (-409 (-568)))))) (($ $) NIL (|has| (-409 |#2|) (-365)))) (-3385 (($ $) NIL (|has| (-409 |#2|) (-350))) (((-3 $ "failed") $) NIL (|has| (-409 |#2|) (-148)))) (-1295 ((|#3| $) NIL)) (-3425 (((-763)) NIL)) (-4077 (((-121)) 60)) (-1487 (((-121) |#1|) 153) (((-121) |#2|) 154)) (-2588 (((-1244 $)) 124)) (-2273 (((-121) $ $) NIL (|has| (-409 |#2|) (-365)))) (-1900 (((-2 (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (-1 |#2| |#2|)) NIL)) (-3341 (((-121)) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| (-409 |#2|) (-365)))) (-3058 (($) 94 T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($ $ (-1 (-409 |#2|) (-409 |#2|)) (-763)) NIL (|has| (-409 |#2|) (-365))) (($ $ (-1 (-409 |#2|) (-409 |#2|))) NIL (|has| (-409 |#2|) (-365))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-895 (-1161))))) (($ $ (-1161)) NIL (-12 (|has| (-409 |#2|) (-365)) (|has| (-409 |#2|) (-895 (-1161))))) (($ $ (-763)) NIL (-2199 (-12 (|has| (-409 |#2|) (-225)) (|has| (-409 |#2|) (-365))) (|has| (-409 |#2|) (-350)))) (($ $) NIL (-2199 (-12 (|has| (-409 |#2|) (-225)) (|has| (-409 |#2|) (-365))) (|has| (-409 |#2|) (-350))))) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ $) NIL (|has| (-409 |#2|) (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| (-409 |#2|) (-365)))) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 |#2|)) NIL) (($ (-409 |#2|) $) NIL) (($ (-409 (-568)) $) NIL (|has| (-409 |#2|) (-365))) (($ $ (-409 (-568))) NIL (|has| (-409 |#2|) (-365))))) 
-(((-1003 |#1| |#2| |#3| |#4| |#5|) (-340 |#1| |#2| |#3|) (-1199) (-1219 |#1|) (-1219 (-409 |#2|)) (-409 |#2|) (-763)) (T -1003)) 
-NIL 
-(-340 |#1| |#2| |#3|) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2876 (((-634 (-568)) $) 54)) (-2993 (($ (-634 (-568))) 62)) (-2563 (((-568) $) 40 (|has| (-568) (-301)))) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (|has| (-568) (-904)))) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (|has| (-568) (-904)))) (-2589 (((-121) $ $) NIL)) (-3337 (((-568) $) NIL (|has| (-568) (-815)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-568) "failed") $) 49) (((-3 (-1161) "failed") $) NIL (|has| (-568) (-1037 (-1161)))) (((-3 (-409 (-568)) "failed") $) 47 (|has| (-568) (-1037 (-568)))) (((-3 (-568) "failed") $) 49 (|has| (-568) (-1037 (-568))))) (-2857 (((-568) $) NIL) (((-1161) $) NIL (|has| (-568) (-1037 (-1161)))) (((-409 (-568)) $) NIL (|has| (-568) (-1037 (-568)))) (((-568) $) NIL (|has| (-568) (-1037 (-568))))) (-2403 (($ $ $) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| (-568) (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| (-568) (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL) (((-679 (-568)) (-679 $)) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1733 (($) NIL (|has| (-568) (-550)))) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-2197 (((-121) $) NIL)) (-2078 (((-634 (-568)) $) 60)) (-1436 (((-121) $) NIL (|has| (-568) (-815)))) (-1519 (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (|has| (-568) (-881 (-568)))) (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (|has| (-568) (-881 (-381))))) (-1598 (((-121) $) NIL)) (-3539 (($ $) NIL)) (-2319 (((-568) $) 37)) (-2214 (((-3 $ "failed") $) NIL (|has| (-568) (-1136)))) (-2859 (((-121) $) NIL (|has| (-568) (-815)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1732 (($ $ $) NIL (|has| (-568) (-842)))) (-2047 (($ $ $) NIL (|has| (-568) (-842)))) (-2797 (($ (-1 (-568) (-568)) $) NIL)) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL)) (-4436 (($) NIL (|has| (-568) (-1136)) CONST)) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1999 (($ $) NIL (|has| (-568) (-301))) (((-409 (-568)) $) 42)) (-2782 (((-1141 (-568)) $) 59)) (-3572 (($ (-634 (-568)) (-634 (-568))) 63)) (-4115 (((-568) $) 53 (|has| (-568) (-550)))) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (|has| (-568) (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (|has| (-568) (-904)))) (-3850 (((-420 $) $) NIL)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1339 (($ $ (-634 (-568)) (-634 (-568))) NIL (|has| (-568) (-303 (-568)))) (($ $ (-568) (-568)) NIL (|has| (-568) (-303 (-568)))) (($ $ (-288 (-568))) NIL (|has| (-568) (-303 (-568)))) (($ $ (-634 (-288 (-568)))) NIL (|has| (-568) (-303 (-568)))) (($ $ (-634 (-1161)) (-634 (-568))) NIL (|has| (-568) (-523 (-1161) (-568)))) (($ $ (-1161) (-568)) NIL (|has| (-568) (-523 (-1161) (-568))))) (-1466 (((-763) $) NIL)) (-2781 (($ $ (-568)) NIL (|has| (-568) (-281 (-568) (-568))))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-4191 (($ $) 11 (|has| (-568) (-225))) (($ $ (-763)) NIL (|has| (-568) (-225))) (($ $ (-1161)) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-1 (-568) (-568)) (-763)) NIL) (($ $ (-1 (-568) (-568))) NIL)) (-3210 (($ $) NIL)) (-2326 (((-568) $) 39)) (-4389 (((-634 (-568)) $) 61)) (-4280 (((-887 (-568)) $) NIL (|has| (-568) (-609 (-887 (-568))))) (((-887 (-381)) $) NIL (|has| (-568) (-609 (-887 (-381))))) (((-541) $) NIL (|has| (-568) (-609 (-541)))) (((-381) $) NIL (|has| (-568) (-1021))) (((-215) $) NIL (|has| (-568) (-1021)))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-12 (|has| $ (-148)) (|has| (-568) (-904))))) (-2747 (((-850) $) 77) (($ (-568)) 43) (($ $) NIL) (($ (-409 (-568))) 19) (($ (-568)) 43) (($ (-1161)) NIL (|has| (-568) (-1037 (-1161)))) (((-409 (-568)) $) 17)) (-3385 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| (-568) (-904))) (|has| (-568) (-148))))) (-3425 (((-763)) 9)) (-3520 (((-568) $) 51 (|has| (-568) (-550)))) (-2273 (((-121) $ $) NIL)) (-2811 (($ $) NIL (|has| (-568) (-815)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) 10 T CONST)) (-1557 (($) 12 T CONST)) (-3192 (($ $) NIL (|has| (-568) (-225))) (($ $ (-763)) NIL (|has| (-568) (-225))) (($ $ (-1161)) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| (-568) (-895 (-1161)))) (($ $ (-1 (-568) (-568)) (-763)) NIL) (($ $ (-1 (-568) (-568))) NIL)) (-1753 (((-121) $ $) NIL (|has| (-568) (-842)))) (-1740 (((-121) $ $) NIL (|has| (-568) (-842)))) (-1719 (((-121) $ $) 14)) (-1747 (((-121) $ $) NIL (|has| (-568) (-842)))) (-1734 (((-121) $ $) 33 (|has| (-568) (-842)))) (-1781 (($ $ $) 29) (($ (-568) (-568)) 31)) (-1775 (($ $) 15) (($ $ $) 22)) (-1769 (($ $ $) 20)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 25) (($ $ $) 27) (($ $ (-409 (-568))) NIL) (($ (-409 (-568)) $) NIL) (($ (-568) $) 25) (($ $ (-568)) NIL))) 
-(((-1004 |#1|) (-13 (-993 (-568)) (-10 -8 (-15 -2747 ((-409 (-568)) $)) (-15 -1999 ((-409 (-568)) $)) (-15 -2876 ((-634 (-568)) $)) (-15 -2782 ((-1141 (-568)) $)) (-15 -2078 ((-634 (-568)) $)) (-15 -4389 ((-634 (-568)) $)) (-15 -2993 ($ (-634 (-568)))) (-15 -3572 ($ (-634 (-568)) (-634 (-568)))))) (-568)) (T -1004)) 
-((-2747 (*1 *2 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-1004 *3)) (-14 *3 (-568)))) (-1999 (*1 *2 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-1004 *3)) (-14 *3 (-568)))) (-2876 (*1 *2 *1) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-1004 *3)) (-14 *3 (-568)))) (-2782 (*1 *2 *1) (-12 (-5 *2 (-1141 (-568))) (-5 *1 (-1004 *3)) (-14 *3 (-568)))) (-2078 (*1 *2 *1) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-1004 *3)) (-14 *3 (-568)))) (-4389 (*1 *2 *1) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-1004 *3)) (-14 *3 (-568)))) (-2993 (*1 *1 *2) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-1004 *3)) (-14 *3 (-568)))) (-3572 (*1 *1 *2 *2) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-1004 *3)) (-14 *3 (-568))))) 
-(-13 (-993 (-568)) (-10 -8 (-15 -2747 ((-409 (-568)) $)) (-15 -1999 ((-409 (-568)) $)) (-15 -2876 ((-634 (-568)) $)) (-15 -2782 ((-1141 (-568)) $)) (-15 -2078 ((-634 (-568)) $)) (-15 -4389 ((-634 (-568)) $)) (-15 -2993 ($ (-634 (-568)))) (-15 -3572 ($ (-634 (-568)) (-634 (-568)))))) 
-((-2398 (((-57) (-409 (-568)) (-568)) 9))) 
-(((-1005) (-10 -7 (-15 -2398 ((-57) (-409 (-568)) (-568))))) (T -1005)) 
-((-2398 (*1 *2 *3 *4) (-12 (-5 *3 (-409 (-568))) (-5 *4 (-568)) (-5 *2 (-57)) (-5 *1 (-1005))))) 
-(-10 -7 (-15 -2398 ((-57) (-409 (-568)) (-568)))) 
-((-3986 (((-568)) 13)) (-2147 (((-568)) 16)) (-2450 (((-1249) (-568)) 15)) (-2413 (((-568) (-568)) 17) (((-568)) 12))) 
-(((-1006) (-10 -7 (-15 -2413 ((-568))) (-15 -3986 ((-568))) (-15 -2413 ((-568) (-568))) (-15 -2450 ((-1249) (-568))) (-15 -2147 ((-568))))) (T -1006)) 
-((-2147 (*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-1006)))) (-2450 (*1 *2 *3) (-12 (-5 *3 (-568)) (-5 *2 (-1249)) (-5 *1 (-1006)))) (-2413 (*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-1006)))) (-3986 (*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-1006)))) (-2413 (*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-1006))))) 
-(-10 -7 (-15 -2413 ((-568))) (-15 -3986 ((-568))) (-15 -2413 ((-568) (-568))) (-15 -2450 ((-1249) (-568))) (-15 -2147 ((-568)))) 
-((-4254 (((-420 |#1|) |#1|) 40)) (-3850 (((-420 |#1|) |#1|) 39))) 
-(((-1007 |#1|) (-10 -7 (-15 -3850 ((-420 |#1|) |#1|)) (-15 -4254 ((-420 |#1|) |#1|))) (-1219 (-409 (-568)))) (T -1007)) 
-((-4254 (*1 *2 *3) (-12 (-5 *2 (-420 *3)) (-5 *1 (-1007 *3)) (-4 *3 (-1219 (-409 (-568)))))) (-3850 (*1 *2 *3) (-12 (-5 *2 (-420 *3)) (-5 *1 (-1007 *3)) (-4 *3 (-1219 (-409 (-568))))))) 
-(-10 -7 (-15 -3850 ((-420 |#1|) |#1|)) (-15 -4254 ((-420 |#1|) |#1|))) 
-((-3254 (((-3 (-409 (-568)) "failed") |#1|) 14)) (-1338 (((-121) |#1|) 13)) (-2394 (((-409 (-568)) |#1|) 9))) 
-(((-1008 |#1|) (-10 -7 (-15 -2394 ((-409 (-568)) |#1|)) (-15 -1338 ((-121) |#1|)) (-15 -3254 ((-3 (-409 (-568)) "failed") |#1|))) (-1037 (-409 (-568)))) (T -1008)) 
-((-3254 (*1 *2 *3) (|partial| -12 (-5 *2 (-409 (-568))) (-5 *1 (-1008 *3)) (-4 *3 (-1037 *2)))) (-1338 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-1008 *3)) (-4 *3 (-1037 (-409 (-568)))))) (-2394 (*1 *2 *3) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-1008 *3)) (-4 *3 (-1037 *2))))) 
-(-10 -7 (-15 -2394 ((-409 (-568)) |#1|)) (-15 -1338 ((-121) |#1|)) (-15 -3254 ((-3 (-409 (-568)) "failed") |#1|))) 
-((-2438 ((|#2| $ "value" |#2|) 12)) (-2781 ((|#2| $ "value") 10)) (-3873 (((-121) $ $) 18))) 
-(((-1009 |#1| |#2|) (-10 -8 (-15 -2438 (|#2| |#1| "value" |#2|)) (-15 -3873 ((-121) |#1| |#1|)) (-15 -2781 (|#2| |#1| "value"))) (-1010 |#2|) (-1195)) (T -1009)) 
-NIL 
-(-10 -8 (-15 -2438 (|#2| |#1| "value" |#2|)) (-15 -3873 ((-121) |#1| |#1|)) (-15 -2781 (|#2| |#1| "value"))) 
-((-2449 (((-121) $ $) 18 (|has| |#1| (-1090)))) (-2852 ((|#1| $) 45)) (-1667 (((-121) $ (-763)) 8)) (-3370 ((|#1| $ |#1|) 36 (|has| $ (-6 -4522)))) (-2438 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4522)))) (-1809 (($ $ (-634 $)) 38 (|has| $ (-6 -4522)))) (-4490 (($) 7 T CONST)) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-3534 (((-634 $) $) 47)) (-3606 (((-121) $ $) 39 (|has| |#1| (-1090)))) (-3791 (((-121) $ (-763)) 9)) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35)) (-3796 (((-121) $ (-763)) 10)) (-4081 (((-634 |#1|) $) 42)) (-3319 (((-121) $) 46)) (-1893 (((-1143) $) 22 (|has| |#1| (-1090)))) (-4025 (((-1108) $) 21 (|has| |#1| (-1090)))) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-2781 ((|#1| $ "value") 44)) (-1665 (((-568) $ $) 41)) (-2763 (((-121) $) 43)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-2747 (((-850) $) 20 (|has| |#1| (-1090)))) (-3180 (((-634 $) $) 48)) (-3873 (((-121) $ $) 40 (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-1010 |#1|) (-1275) (-1195)) (T -1010)) 
-((-3180 (*1 *2 *1) (-12 (-4 *3 (-1195)) (-5 *2 (-634 *1)) (-4 *1 (-1010 *3)))) (-3534 (*1 *2 *1) (-12 (-4 *3 (-1195)) (-5 *2 (-634 *1)) (-4 *1 (-1010 *3)))) (-3319 (*1 *2 *1) (-12 (-4 *1 (-1010 *3)) (-4 *3 (-1195)) (-5 *2 (-121)))) (-2852 (*1 *2 *1) (-12 (-4 *1 (-1010 *2)) (-4 *2 (-1195)))) (-2781 (*1 *2 *1 *3) (-12 (-5 *3 "value") (-4 *1 (-1010 *2)) (-4 *2 (-1195)))) (-2763 (*1 *2 *1) (-12 (-4 *1 (-1010 *3)) (-4 *3 (-1195)) (-5 *2 (-121)))) (-4081 (*1 *2 *1) (-12 (-4 *1 (-1010 *3)) (-4 *3 (-1195)) (-5 *2 (-634 *3)))) (-1665 (*1 *2 *1 *1) (-12 (-4 *1 (-1010 *3)) (-4 *3 (-1195)) (-5 *2 (-568)))) (-3873 (*1 *2 *1 *1) (-12 (-4 *1 (-1010 *3)) (-4 *3 (-1195)) (-4 *3 (-1090)) (-5 *2 (-121)))) (-3606 (*1 *2 *1 *1) (-12 (-4 *1 (-1010 *3)) (-4 *3 (-1195)) (-4 *3 (-1090)) (-5 *2 (-121)))) (-1809 (*1 *1 *1 *2) (-12 (-5 *2 (-634 *1)) (|has| *1 (-6 -4522)) (-4 *1 (-1010 *3)) (-4 *3 (-1195)))) (-2438 (*1 *2 *1 *3 *2) (-12 (-5 *3 "value") (|has| *1 (-6 -4522)) (-4 *1 (-1010 *2)) (-4 *2 (-1195)))) (-3370 (*1 *2 *1 *2) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-1010 *2)) (-4 *2 (-1195))))) 
-(-13 (-499 |t#1|) (-10 -8 (-15 -3180 ((-634 $) $)) (-15 -3534 ((-634 $) $)) (-15 -3319 ((-121) $)) (-15 -2852 (|t#1| $)) (-15 -2781 (|t#1| $ "value")) (-15 -2763 ((-121) $)) (-15 -4081 ((-634 |t#1|) $)) (-15 -1665 ((-568) $ $)) (IF (|has| |t#1| (-1090)) (PROGN (-15 -3873 ((-121) $ $)) (-15 -3606 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4522)) (PROGN (-15 -1809 ($ $ (-634 $))) (-15 -2438 (|t#1| $ "value" |t#1|)) (-15 -3370 (|t#1| $ |t#1|))) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#1| (-1090)) ((-608 (-850)) |has| |#1| (-1090)) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-499 |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-1090) |has| |#1| (-1090)) ((-1195) . T)) 
-((-1904 (($ $) 9) (($ $ (-763)) 43) (($ (-409 (-568))) 12) (($ (-568)) 15)) (-2919 (((-3 $ "failed") (-1157 $) (-917) (-850)) 23) (((-3 $ "failed") (-1157 $) (-917)) 28)) (-1550 (($ $ (-568)) 49)) (-3425 (((-763)) 16)) (-3059 (((-634 $) (-1157 $)) NIL) (((-634 $) (-1157 (-409 (-568)))) 54) (((-634 $) (-1157 (-568))) 59) (((-634 $) (-953 $)) 63) (((-634 $) (-953 (-409 (-568)))) 67) (((-634 $) (-953 (-568))) 71)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL) (($ $ (-409 (-568))) 47))) 
-(((-1011 |#1|) (-10 -8 (-15 -1904 (|#1| (-568))) (-15 -1904 (|#1| (-409 (-568)))) (-15 -1904 (|#1| |#1| (-763))) (-15 -3059 ((-634 |#1|) (-953 (-568)))) (-15 -3059 ((-634 |#1|) (-953 (-409 (-568))))) (-15 -3059 ((-634 |#1|) (-953 |#1|))) (-15 -3059 ((-634 |#1|) (-1157 (-568)))) (-15 -3059 ((-634 |#1|) (-1157 (-409 (-568))))) (-15 -3059 ((-634 |#1|) (-1157 |#1|))) (-15 -2919 ((-3 |#1| "failed") (-1157 |#1|) (-917))) (-15 -2919 ((-3 |#1| "failed") (-1157 |#1|) (-917) (-850))) (-15 ** (|#1| |#1| (-409 (-568)))) (-15 -1550 (|#1| |#1| (-568))) (-15 -1904 (|#1| |#1|)) (-15 ** (|#1| |#1| (-568))) (-15 -3425 ((-763))) (-15 ** (|#1| |#1| (-763))) (-15 ** (|#1| |#1| (-917)))) (-1012)) (T -1011)) 
-((-3425 (*1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-1011 *3)) (-4 *3 (-1012))))) 
-(-10 -8 (-15 -1904 (|#1| (-568))) (-15 -1904 (|#1| (-409 (-568)))) (-15 -1904 (|#1| |#1| (-763))) (-15 -3059 ((-634 |#1|) (-953 (-568)))) (-15 -3059 ((-634 |#1|) (-953 (-409 (-568))))) (-15 -3059 ((-634 |#1|) (-953 |#1|))) (-15 -3059 ((-634 |#1|) (-1157 (-568)))) (-15 -3059 ((-634 |#1|) (-1157 (-409 (-568))))) (-15 -3059 ((-634 |#1|) (-1157 |#1|))) (-15 -2919 ((-3 |#1| "failed") (-1157 |#1|) (-917))) (-15 -2919 ((-3 |#1| "failed") (-1157 |#1|) (-917) (-850))) (-15 ** (|#1| |#1| (-409 (-568)))) (-15 -1550 (|#1| |#1| (-568))) (-15 -1904 (|#1| |#1|)) (-15 ** (|#1| |#1| (-568))) (-15 -3425 ((-763))) (-15 ** (|#1| |#1| (-763))) (-15 ** (|#1| |#1| (-917)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 88)) (-3661 (($ $) 89)) (-4426 (((-121) $) 91)) (-2689 (((-3 $ "failed") $ $) 18)) (-3045 (($ $) 108)) (-3498 (((-420 $) $) 109)) (-1904 (($ $) 72) (($ $ (-763)) 58) (($ (-409 (-568))) 57) (($ (-568)) 56)) (-2589 (((-121) $ $) 99)) (-3337 (((-568) $) 126)) (-4490 (($) 16 T CONST)) (-2919 (((-3 $ "failed") (-1157 $) (-917) (-850)) 66) (((-3 $ "failed") (-1157 $) (-917)) 65)) (-3668 (((-3 (-568) "failed") $) 84 (|has| (-409 (-568)) (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) 82 (|has| (-409 (-568)) (-1037 (-409 (-568))))) (((-3 (-409 (-568)) "failed") $) 80)) (-2857 (((-568) $) 85 (|has| (-409 (-568)) (-1037 (-568)))) (((-409 (-568)) $) 83 (|has| (-409 (-568)) (-1037 (-409 (-568))))) (((-409 (-568)) $) 79)) (-2936 (($ $ (-850)) 55)) (-4187 (($ $ (-850)) 54)) (-2403 (($ $ $) 103)) (-2902 (((-3 $ "failed") $) 33)) (-2414 (($ $ $) 102)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 97)) (-2197 (((-121) $) 110)) (-1436 (((-121) $) 124)) (-1598 (((-121) $) 30)) (-1550 (($ $ (-568)) 71)) (-2859 (((-121) $) 125)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 106)) (-1732 (($ $ $) 123)) (-2047 (($ $ $) 122)) (-3515 (((-3 (-1157 $) "failed") $) 67)) (-1771 (((-3 (-850) "failed") $) 69)) (-1424 (((-3 (-1157 $) "failed") $) 68)) (-2498 (($ (-634 $)) 95) (($ $ $) 94)) (-1893 (((-1143) $) 9)) (-2083 (($ $) 111)) (-4025 (((-1108) $) 10)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 96)) (-2723 (($ (-634 $)) 93) (($ $ $) 92)) (-3850 (((-420 $) $) 107)) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 105) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 104)) (-2597 (((-3 $ "failed") $ $) 87)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 98)) (-1466 (((-763) $) 100)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 101)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ (-409 (-568))) 116) (($ $) 86) (($ (-409 (-568))) 81) (($ (-568)) 78) (($ (-409 (-568))) 75)) (-3425 (((-763)) 28)) (-2273 (((-121) $ $) 90)) (-3999 (((-409 (-568)) $ $) 53)) (-3059 (((-634 $) (-1157 $)) 64) (((-634 $) (-1157 (-409 (-568)))) 63) (((-634 $) (-1157 (-568))) 62) (((-634 $) (-953 $)) 61) (((-634 $) (-953 (-409 (-568)))) 60) (((-634 $) (-953 (-568))) 59)) (-2811 (($ $) 127)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32) (($ $ (-568)) 112)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1753 (((-121) $ $) 120)) (-1740 (((-121) $ $) 119)) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 121)) (-1734 (((-121) $ $) 118)) (-1781 (($ $ $) 117)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ (-568)) 113) (($ $ (-409 (-568))) 70)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ (-409 (-568)) $) 115) (($ $ (-409 (-568))) 114) (($ (-568) $) 77) (($ $ (-568)) 76) (($ (-409 (-568)) $) 74) (($ $ (-409 (-568))) 73))) 
-(((-1012) (-1275)) (T -1012)) 
-((-1904 (*1 *1 *1) (-4 *1 (-1012))) (-1771 (*1 *2 *1) (|partial| -12 (-4 *1 (-1012)) (-5 *2 (-850)))) (-1424 (*1 *2 *1) (|partial| -12 (-5 *2 (-1157 *1)) (-4 *1 (-1012)))) (-3515 (*1 *2 *1) (|partial| -12 (-5 *2 (-1157 *1)) (-4 *1 (-1012)))) (-2919 (*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-1157 *1)) (-5 *3 (-917)) (-5 *4 (-850)) (-4 *1 (-1012)))) (-2919 (*1 *1 *2 *3) (|partial| -12 (-5 *2 (-1157 *1)) (-5 *3 (-917)) (-4 *1 (-1012)))) (-3059 (*1 *2 *3) (-12 (-5 *3 (-1157 *1)) (-4 *1 (-1012)) (-5 *2 (-634 *1)))) (-3059 (*1 *2 *3) (-12 (-5 *3 (-1157 (-409 (-568)))) (-5 *2 (-634 *1)) (-4 *1 (-1012)))) (-3059 (*1 *2 *3) (-12 (-5 *3 (-1157 (-568))) (-5 *2 (-634 *1)) (-4 *1 (-1012)))) (-3059 (*1 *2 *3) (-12 (-5 *3 (-953 *1)) (-4 *1 (-1012)) (-5 *2 (-634 *1)))) (-3059 (*1 *2 *3) (-12 (-5 *3 (-953 (-409 (-568)))) (-5 *2 (-634 *1)) (-4 *1 (-1012)))) (-3059 (*1 *2 *3) (-12 (-5 *3 (-953 (-568))) (-5 *2 (-634 *1)) (-4 *1 (-1012)))) (-1904 (*1 *1 *1 *2) (-12 (-4 *1 (-1012)) (-5 *2 (-763)))) (-1904 (*1 *1 *2) (-12 (-5 *2 (-409 (-568))) (-4 *1 (-1012)))) (-1904 (*1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-1012)))) (-2936 (*1 *1 *1 *2) (-12 (-4 *1 (-1012)) (-5 *2 (-850)))) (-4187 (*1 *1 *1 *2) (-12 (-4 *1 (-1012)) (-5 *2 (-850)))) (-3999 (*1 *2 *1 *1) (-12 (-4 *1 (-1012)) (-5 *2 (-409 (-568)))))) 
-(-13 (-150) (-840) (-172) (-365) (-413 (-409 (-568))) (-43 (-568)) (-43 (-409 (-568))) (-1002) (-10 -8 (-15 -1771 ((-3 (-850) "failed") $)) (-15 -1424 ((-3 (-1157 $) "failed") $)) (-15 -3515 ((-3 (-1157 $) "failed") $)) (-15 -2919 ((-3 $ "failed") (-1157 $) (-917) (-850))) (-15 -2919 ((-3 $ "failed") (-1157 $) (-917))) (-15 -3059 ((-634 $) (-1157 $))) (-15 -3059 ((-634 $) (-1157 (-409 (-568))))) (-15 -3059 ((-634 $) (-1157 (-568)))) (-15 -3059 ((-634 $) (-953 $))) (-15 -3059 ((-634 $) (-953 (-409 (-568))))) (-15 -3059 ((-634 $) (-953 (-568)))) (-15 -1904 ($ $ (-763))) (-15 -1904 ($ $)) (-15 -1904 ($ (-409 (-568)))) (-15 -1904 ($ (-568))) (-15 -2936 ($ $ (-850))) (-15 -4187 ($ $ (-850))) (-15 -3999 ((-409 (-568)) $ $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-409 (-568))) . T) ((-43 (-568)) . T) ((-43 $) . T) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) . T) ((-120 (-568) (-568)) . T) ((-120 $ $) . T) ((-137) . T) ((-150) . T) ((-608 (-850)) . T) ((-172) . T) ((-238) . T) ((-285) . T) ((-301) . T) ((-365) . T) ((-413 (-409 (-568))) . T) ((-453) . T) ((-558) . T) ((-637 (-409 (-568))) . T) ((-637 (-568)) . T) ((-637 $) . T) ((-707 (-409 (-568))) . T) ((-707 (-568)) . T) ((-707 $) . T) ((-716) . T) ((-786) . T) ((-787) . T) ((-789) . T) ((-790) . T) ((-840) . T) ((-842) . T) ((-916) . T) ((-1002) . T) ((-1037 (-409 (-568))) . T) ((-1037 (-568)) |has| (-409 (-568)) (-1037 (-568))) ((-1053 (-409 (-568))) . T) ((-1053 (-568)) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1199) . T)) 
-((-2831 (((-2 (|:| |ans| |#2|) (|:| -3286 |#2|) (|:| |sol?| (-121))) (-568) |#2| |#2| (-1161) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-634 |#2|)) (-1 (-3 (-2 (|:| -4151 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)) 61))) 
-(((-1013 |#1| |#2|) (-10 -7 (-15 -2831 ((-2 (|:| |ans| |#2|) (|:| -3286 |#2|) (|:| |sol?| (-121))) (-568) |#2| |#2| (-1161) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-634 |#2|)) (-1 (-3 (-2 (|:| -4151 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) (-13 (-453) (-842) (-150) (-1037 (-568)) (-630 (-568))) (-13 (-1181) (-27) (-432 |#1|))) (T -1013)) 
-((-2831 (*1 *2 *3 *4 *4 *5 *6 *7) (-12 (-5 *5 (-1161)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-634 *4))) (-5 *7 (-1 (-3 (-2 (|:| -4151 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1181) (-27) (-432 *8))) (-4 *8 (-13 (-453) (-842) (-150) (-1037 *3) (-630 *3))) (-5 *3 (-568)) (-5 *2 (-2 (|:| |ans| *4) (|:| -3286 *4) (|:| |sol?| (-121)))) (-5 *1 (-1013 *8 *4))))) 
-(-10 -7 (-15 -2831 ((-2 (|:| |ans| |#2|) (|:| -3286 |#2|) (|:| |sol?| (-121))) (-568) |#2| |#2| (-1161) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-634 |#2|)) (-1 (-3 (-2 (|:| -4151 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) 
-((-2696 (((-3 (-634 |#2|) "failed") (-568) |#2| |#2| |#2| (-1161) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-634 |#2|)) (-1 (-3 (-2 (|:| -4151 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)) 47))) 
-(((-1014 |#1| |#2|) (-10 -7 (-15 -2696 ((-3 (-634 |#2|) "failed") (-568) |#2| |#2| |#2| (-1161) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-634 |#2|)) (-1 (-3 (-2 (|:| -4151 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) (-13 (-453) (-842) (-150) (-1037 (-568)) (-630 (-568))) (-13 (-1181) (-27) (-432 |#1|))) (T -1014)) 
-((-2696 (*1 *2 *3 *4 *4 *4 *5 *6 *7) (|partial| -12 (-5 *5 (-1161)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-634 *4))) (-5 *7 (-1 (-3 (-2 (|:| -4151 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1181) (-27) (-432 *8))) (-4 *8 (-13 (-453) (-842) (-150) (-1037 *3) (-630 *3))) (-5 *3 (-568)) (-5 *2 (-634 *4)) (-5 *1 (-1014 *8 *4))))) 
-(-10 -7 (-15 -2696 ((-3 (-634 |#2|) "failed") (-568) |#2| |#2| |#2| (-1161) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-634 |#2|)) (-1 (-3 (-2 (|:| -4151 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) 
-((-3564 (((-3 (|:| |ans| (-2 (|:| |ans| |#2|) (|:| |nosol| (-121)))) (|:| -2410 (-2 (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (-568)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (-568) (-1 |#2| |#2|)) 30)) (-3343 (((-3 (-2 (|:| |a| |#2|) (|:| |b| (-409 |#2|)) (|:| |c| (-409 |#2|)) (|:| -3494 |#2|)) "failed") (-409 |#2|) (-409 |#2|) (-1 |#2| |#2|)) 56)) (-2021 (((-2 (|:| |ans| (-409 |#2|)) (|:| |nosol| (-121))) (-409 |#2|) (-409 |#2|)) 61))) 
-(((-1015 |#1| |#2|) (-10 -7 (-15 -3343 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-409 |#2|)) (|:| |c| (-409 |#2|)) (|:| -3494 |#2|)) "failed") (-409 |#2|) (-409 |#2|) (-1 |#2| |#2|))) (-15 -2021 ((-2 (|:| |ans| (-409 |#2|)) (|:| |nosol| (-121))) (-409 |#2|) (-409 |#2|))) (-15 -3564 ((-3 (|:| |ans| (-2 (|:| |ans| |#2|) (|:| |nosol| (-121)))) (|:| -2410 (-2 (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (-568)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (-568) (-1 |#2| |#2|)))) (-13 (-365) (-150) (-1037 (-568))) (-1219 |#1|)) (T -1015)) 
-((-3564 (*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-1 *3 *3)) (-4 *3 (-1219 *6)) (-4 *6 (-13 (-365) (-150) (-1037 *4))) (-5 *4 (-568)) (-5 *2 (-3 (|:| |ans| (-2 (|:| |ans| *3) (|:| |nosol| (-121)))) (|:| -2410 (-2 (|:| |b| *3) (|:| |c| *3) (|:| |m| *4) (|:| |alpha| *3) (|:| |beta| *3))))) (-5 *1 (-1015 *6 *3)))) (-2021 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-365) (-150) (-1037 (-568)))) (-4 *5 (-1219 *4)) (-5 *2 (-2 (|:| |ans| (-409 *5)) (|:| |nosol| (-121)))) (-5 *1 (-1015 *4 *5)) (-5 *3 (-409 *5)))) (-3343 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1219 *5)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-409 *6)) (|:| |c| (-409 *6)) (|:| -3494 *6))) (-5 *1 (-1015 *5 *6)) (-5 *3 (-409 *6))))) 
-(-10 -7 (-15 -3343 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-409 |#2|)) (|:| |c| (-409 |#2|)) (|:| -3494 |#2|)) "failed") (-409 |#2|) (-409 |#2|) (-1 |#2| |#2|))) (-15 -2021 ((-2 (|:| |ans| (-409 |#2|)) (|:| |nosol| (-121))) (-409 |#2|) (-409 |#2|))) (-15 -3564 ((-3 (|:| |ans| (-2 (|:| |ans| |#2|) (|:| |nosol| (-121)))) (|:| -2410 (-2 (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (-568)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (-568) (-1 |#2| |#2|)))) 
-((-3649 (((-3 (-2 (|:| |a| |#2|) (|:| |b| (-409 |#2|)) (|:| |h| |#2|) (|:| |c1| (-409 |#2|)) (|:| |c2| (-409 |#2|)) (|:| -3494 |#2|)) "failed") (-409 |#2|) (-409 |#2|) (-409 |#2|) (-1 |#2| |#2|)) 22)) (-3793 (((-3 (-634 (-409 |#2|)) "failed") (-409 |#2|) (-409 |#2|) (-409 |#2|)) 32))) 
-(((-1016 |#1| |#2|) (-10 -7 (-15 -3649 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-409 |#2|)) (|:| |h| |#2|) (|:| |c1| (-409 |#2|)) (|:| |c2| (-409 |#2|)) (|:| -3494 |#2|)) "failed") (-409 |#2|) (-409 |#2|) (-409 |#2|) (-1 |#2| |#2|))) (-15 -3793 ((-3 (-634 (-409 |#2|)) "failed") (-409 |#2|) (-409 |#2|) (-409 |#2|)))) (-13 (-365) (-150) (-1037 (-568))) (-1219 |#1|)) (T -1016)) 
-((-3793 (*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-365) (-150) (-1037 (-568)))) (-4 *5 (-1219 *4)) (-5 *2 (-634 (-409 *5))) (-5 *1 (-1016 *4 *5)) (-5 *3 (-409 *5)))) (-3649 (*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1219 *5)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-409 *6)) (|:| |h| *6) (|:| |c1| (-409 *6)) (|:| |c2| (-409 *6)) (|:| -3494 *6))) (-5 *1 (-1016 *5 *6)) (-5 *3 (-409 *6))))) 
-(-10 -7 (-15 -3649 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-409 |#2|)) (|:| |h| |#2|) (|:| |c1| (-409 |#2|)) (|:| |c2| (-409 |#2|)) (|:| -3494 |#2|)) "failed") (-409 |#2|) (-409 |#2|) (-409 |#2|) (-1 |#2| |#2|))) (-15 -3793 ((-3 (-634 (-409 |#2|)) "failed") (-409 |#2|) (-409 |#2|) (-409 |#2|)))) 
-((-2484 (((-1 |#1|) (-634 (-2 (|:| -2852 |#1|) (|:| -4308 (-568))))) 37)) (-2381 (((-1 |#1|) (-1092 |#1|)) 45)) (-3198 (((-1 |#1|) (-1244 |#1|) (-1244 (-568)) (-568)) 34))) 
-(((-1017 |#1|) (-10 -7 (-15 -2381 ((-1 |#1|) (-1092 |#1|))) (-15 -2484 ((-1 |#1|) (-634 (-2 (|:| -2852 |#1|) (|:| -4308 (-568)))))) (-15 -3198 ((-1 |#1|) (-1244 |#1|) (-1244 (-568)) (-568)))) (-1090)) (T -1017)) 
-((-3198 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1244 *6)) (-5 *4 (-1244 (-568))) (-5 *5 (-568)) (-4 *6 (-1090)) (-5 *2 (-1 *6)) (-5 *1 (-1017 *6)))) (-2484 (*1 *2 *3) (-12 (-5 *3 (-634 (-2 (|:| -2852 *4) (|:| -4308 (-568))))) (-4 *4 (-1090)) (-5 *2 (-1 *4)) (-5 *1 (-1017 *4)))) (-2381 (*1 *2 *3) (-12 (-5 *3 (-1092 *4)) (-4 *4 (-1090)) (-5 *2 (-1 *4)) (-5 *1 (-1017 *4))))) 
-(-10 -7 (-15 -2381 ((-1 |#1|) (-1092 |#1|))) (-15 -2484 ((-1 |#1|) (-634 (-2 (|:| -2852 |#1|) (|:| -4308 (-568)))))) (-15 -3198 ((-1 |#1|) (-1244 |#1|) (-1244 (-568)) (-568)))) 
-((-1844 (((-763) (-334 |#1| |#2| |#3| |#4|) |#3| (-1 |#5| |#1|)) 23))) 
-(((-1018 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1844 ((-763) (-334 |#1| |#2| |#3| |#4|) |#3| (-1 |#5| |#1|)))) (-365) (-1219 |#1|) (-1219 (-409 |#2|)) (-340 |#1| |#2| |#3|) (-13 (-370) (-365))) (T -1018)) 
-((-1844 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-334 *6 *7 *4 *8)) (-5 *5 (-1 *9 *6)) (-4 *6 (-365)) (-4 *7 (-1219 *6)) (-4 *4 (-1219 (-409 *7))) (-4 *8 (-340 *6 *7 *4)) (-4 *9 (-13 (-370) (-365))) (-5 *2 (-763)) (-5 *1 (-1018 *6 *7 *4 *8 *9))))) 
-(-10 -7 (-15 -1844 ((-763) (-334 |#1| |#2| |#3| |#4|) |#3| (-1 |#5| |#1|)))) 
-((-1642 (((-3 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) "failed") |#1| (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) 31) (((-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) |#1| (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) (-409 (-568))) 28)) (-3538 (((-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) |#1| (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) (-409 (-568))) 33) (((-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) |#1| (-409 (-568))) 29) (((-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) |#1| (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) 32) (((-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) |#1|) 27)) (-2571 (((-634 (-409 (-568))) (-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))))) 19)) (-1365 (((-409 (-568)) (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) 16))) 
-(((-1019 |#1|) (-10 -7 (-15 -3538 ((-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) |#1|)) (-15 -3538 ((-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) |#1| (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))))) (-15 -3538 ((-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) |#1| (-409 (-568)))) (-15 -3538 ((-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) |#1| (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) (-409 (-568)))) (-15 -1642 ((-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) |#1| (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) (-409 (-568)))) (-15 -1642 ((-3 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) "failed") |#1| (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))))) (-15 -1365 ((-409 (-568)) (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))))) (-15 -2571 ((-634 (-409 (-568))) (-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))))))) (-1219 (-568))) (T -1019)) 
-((-2571 (*1 *2 *3) (-12 (-5 *3 (-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))))) (-5 *2 (-634 (-409 (-568)))) (-5 *1 (-1019 *4)) (-4 *4 (-1219 (-568))))) (-1365 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) (-5 *2 (-409 (-568))) (-5 *1 (-1019 *4)) (-4 *4 (-1219 (-568))))) (-1642 (*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) (-5 *1 (-1019 *3)) (-4 *3 (-1219 (-568))))) (-1642 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) (-5 *4 (-409 (-568))) (-5 *1 (-1019 *3)) (-4 *3 (-1219 (-568))))) (-3538 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-409 (-568))) (-5 *2 (-634 (-2 (|:| -3030 *5) (|:| -3286 *5)))) (-5 *1 (-1019 *3)) (-4 *3 (-1219 (-568))) (-5 *4 (-2 (|:| -3030 *5) (|:| -3286 *5))))) (-3538 (*1 *2 *3 *4) (-12 (-5 *2 (-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))))) (-5 *1 (-1019 *3)) (-4 *3 (-1219 (-568))) (-5 *4 (-409 (-568))))) (-3538 (*1 *2 *3 *4) (-12 (-5 *2 (-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))))) (-5 *1 (-1019 *3)) (-4 *3 (-1219 (-568))) (-5 *4 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))))) (-3538 (*1 *2 *3) (-12 (-5 *2 (-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))))) (-5 *1 (-1019 *3)) (-4 *3 (-1219 (-568)))))) 
-(-10 -7 (-15 -3538 ((-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) |#1|)) (-15 -3538 ((-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) |#1| (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))))) (-15 -3538 ((-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) |#1| (-409 (-568)))) (-15 -3538 ((-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) |#1| (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) (-409 (-568)))) (-15 -1642 ((-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) |#1| (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) (-409 (-568)))) (-15 -1642 ((-3 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) "failed") |#1| (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))))) (-15 -1365 ((-409 (-568)) (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))))) (-15 -2571 ((-634 (-409 (-568))) (-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))))))) 
-((-1642 (((-3 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) "failed") |#1| (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) 35) (((-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) |#1| (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) (-409 (-568))) 32)) (-3538 (((-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) |#1| (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) (-409 (-568))) 30) (((-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) |#1| (-409 (-568))) 26) (((-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) |#1| (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) 28) (((-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) |#1|) 24))) 
-(((-1020 |#1|) (-10 -7 (-15 -3538 ((-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) |#1|)) (-15 -3538 ((-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) |#1| (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))))) (-15 -3538 ((-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) |#1| (-409 (-568)))) (-15 -3538 ((-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) |#1| (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) (-409 (-568)))) (-15 -1642 ((-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) |#1| (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) (-409 (-568)))) (-15 -1642 ((-3 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) "failed") |#1| (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))))) (-1219 (-409 (-568)))) (T -1020)) 
-((-1642 (*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) (-5 *1 (-1020 *3)) (-4 *3 (-1219 (-409 (-568)))))) (-1642 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) (-5 *4 (-409 (-568))) (-5 *1 (-1020 *3)) (-4 *3 (-1219 *4)))) (-3538 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-409 (-568))) (-5 *2 (-634 (-2 (|:| -3030 *5) (|:| -3286 *5)))) (-5 *1 (-1020 *3)) (-4 *3 (-1219 *5)) (-5 *4 (-2 (|:| -3030 *5) (|:| -3286 *5))))) (-3538 (*1 *2 *3 *4) (-12 (-5 *4 (-409 (-568))) (-5 *2 (-634 (-2 (|:| -3030 *4) (|:| -3286 *4)))) (-5 *1 (-1020 *3)) (-4 *3 (-1219 *4)))) (-3538 (*1 *2 *3 *4) (-12 (-5 *2 (-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))))) (-5 *1 (-1020 *3)) (-4 *3 (-1219 (-409 (-568)))) (-5 *4 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))))) (-3538 (*1 *2 *3) (-12 (-5 *2 (-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))))) (-5 *1 (-1020 *3)) (-4 *3 (-1219 (-409 (-568))))))) 
-(-10 -7 (-15 -3538 ((-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) |#1|)) (-15 -3538 ((-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) |#1| (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))))) (-15 -3538 ((-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) |#1| (-409 (-568)))) (-15 -3538 ((-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) |#1| (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) (-409 (-568)))) (-15 -1642 ((-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) |#1| (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) (-409 (-568)))) (-15 -1642 ((-3 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) "failed") |#1| (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))) (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))))) 
-((-4280 (((-215) $) 6) (((-381) $) 8))) 
-(((-1021) (-1275)) (T -1021)) 
-NIL 
-(-13 (-609 (-215)) (-609 (-381))) 
-(((-609 (-215)) . T) ((-609 (-381)) . T)) 
-((-3259 (((-634 (-381)) (-953 (-568)) (-381)) 27) (((-634 (-381)) (-953 (-409 (-568))) (-381)) 26)) (-2531 (((-634 (-634 (-381))) (-634 (-953 (-568))) (-634 (-1161)) (-381)) 36))) 
-(((-1022) (-10 -7 (-15 -3259 ((-634 (-381)) (-953 (-409 (-568))) (-381))) (-15 -3259 ((-634 (-381)) (-953 (-568)) (-381))) (-15 -2531 ((-634 (-634 (-381))) (-634 (-953 (-568))) (-634 (-1161)) (-381))))) (T -1022)) 
-((-2531 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-634 (-953 (-568)))) (-5 *4 (-634 (-1161))) (-5 *2 (-634 (-634 (-381)))) (-5 *1 (-1022)) (-5 *5 (-381)))) (-3259 (*1 *2 *3 *4) (-12 (-5 *3 (-953 (-568))) (-5 *2 (-634 (-381))) (-5 *1 (-1022)) (-5 *4 (-381)))) (-3259 (*1 *2 *3 *4) (-12 (-5 *3 (-953 (-409 (-568)))) (-5 *2 (-634 (-381))) (-5 *1 (-1022)) (-5 *4 (-381))))) 
-(-10 -7 (-15 -3259 ((-634 (-381)) (-953 (-409 (-568))) (-381))) (-15 -3259 ((-634 (-381)) (-953 (-568)) (-381))) (-15 -2531 ((-634 (-634 (-381))) (-634 (-953 (-568))) (-634 (-1161)) (-381)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 70)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-1904 (($ $) NIL) (($ $ (-763)) NIL) (($ (-409 (-568))) NIL) (($ (-568)) NIL)) (-2589 (((-121) $ $) NIL)) (-3337 (((-568) $) 65)) (-4490 (($) NIL T CONST)) (-2919 (((-3 $ "failed") (-1157 $) (-917) (-850)) NIL) (((-3 $ "failed") (-1157 $) (-917)) 49)) (-3668 (((-3 (-409 (-568)) "failed") $) NIL (|has| (-409 (-568)) (-1037 (-409 (-568))))) (((-3 (-409 (-568)) "failed") $) NIL) (((-3 |#1| "failed") $) 108) (((-3 (-568) "failed") $) NIL (-2199 (|has| (-409 (-568)) (-1037 (-568))) (|has| |#1| (-1037 (-568)))))) (-2857 (((-409 (-568)) $) 14 (|has| (-409 (-568)) (-1037 (-409 (-568))))) (((-409 (-568)) $) 14) ((|#1| $) 109) (((-568) $) NIL (-2199 (|has| (-409 (-568)) (-1037 (-568))) (|has| |#1| (-1037 (-568)))))) (-2936 (($ $ (-850)) 40)) (-4187 (($ $ (-850)) 41)) (-2403 (($ $ $) NIL)) (-1783 (((-409 (-568)) $ $) 18)) (-2902 (((-3 $ "failed") $) 83)) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-2197 (((-121) $) NIL)) (-1436 (((-121) $) 60)) (-1598 (((-121) $) NIL)) (-1550 (($ $ (-568)) NIL)) (-2859 (((-121) $) 63)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-3515 (((-3 (-1157 $) "failed") $) 78)) (-1771 (((-3 (-850) "failed") $) 77)) (-1424 (((-3 (-1157 $) "failed") $) 75)) (-3597 (((-3 (-1057 $ (-1157 $)) "failed") $) 73)) (-2498 (($ (-634 $)) NIL) (($ $ $) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) 84)) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ (-634 $)) NIL) (($ $ $) NIL)) (-3850 (((-420 $) $) NIL)) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-2747 (((-850) $) 82) (($ (-568)) NIL) (($ (-409 (-568))) NIL) (($ $) 57) (($ (-409 (-568))) NIL) (($ (-568)) NIL) (($ (-409 (-568))) NIL) (($ |#1|) 111)) (-3425 (((-763)) NIL)) (-2273 (((-121) $ $) NIL)) (-3999 (((-409 (-568)) $ $) 24)) (-3059 (((-634 $) (-1157 $)) 55) (((-634 $) (-1157 (-409 (-568)))) NIL) (((-634 $) (-1157 (-568))) NIL) (((-634 $) (-953 $)) NIL) (((-634 $) (-953 (-409 (-568)))) NIL) (((-634 $) (-953 (-568))) NIL)) (-3501 (($ (-1057 $ (-1157 $)) (-850)) 39)) (-2811 (($ $) 19)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL)) (-3058 (($) 28 T CONST)) (-1557 (($) 34 T CONST)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 71)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 21)) (-1781 (($ $ $) 32)) (-1775 (($ $) 33) (($ $ $) 69)) (-1769 (($ $ $) 104)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL) (($ $ (-409 (-568))) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 92) (($ $ $) 97) (($ (-409 (-568)) $) NIL) (($ $ (-409 (-568))) NIL) (($ (-568) $) 92) (($ $ (-568)) NIL) (($ (-409 (-568)) $) NIL) (($ $ (-409 (-568))) NIL) (($ |#1| $) 96) (($ $ |#1|) NIL))) 
-(((-1023 |#1|) (-13 (-1012) (-413 |#1|) (-43 |#1|) (-10 -8 (-15 -3501 ($ (-1057 $ (-1157 $)) (-850))) (-15 -3597 ((-3 (-1057 $ (-1157 $)) "failed") $)) (-15 -1783 ((-409 (-568)) $ $)))) (-13 (-840) (-365) (-1021))) (T -1023)) 
-((-3501 (*1 *1 *2 *3) (-12 (-5 *2 (-1057 (-1023 *4) (-1157 (-1023 *4)))) (-5 *3 (-850)) (-5 *1 (-1023 *4)) (-4 *4 (-13 (-840) (-365) (-1021))))) (-3597 (*1 *2 *1) (|partial| -12 (-5 *2 (-1057 (-1023 *3) (-1157 (-1023 *3)))) (-5 *1 (-1023 *3)) (-4 *3 (-13 (-840) (-365) (-1021))))) (-1783 (*1 *2 *1 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-1023 *3)) (-4 *3 (-13 (-840) (-365) (-1021)))))) 
-(-13 (-1012) (-413 |#1|) (-43 |#1|) (-10 -8 (-15 -3501 ($ (-1057 $ (-1157 $)) (-850))) (-15 -3597 ((-3 (-1057 $ (-1157 $)) "failed") $)) (-15 -1783 ((-409 (-568)) $ $)))) 
-((-2582 (((-2 (|:| -2047 (-3 (-568) "failed")) (|:| -3894 (-3 (-568) "failed")) (|:| |ker| (-607 |#2|))) (-123) (-1161) |#2|) 59 (|has| |#1| (-1047)))) (-2108 (((-568) (-568) (-123) (-1161) |#2|) 76)) (-1401 (((-3 (-568) "failed") (-123) (-607 |#2|) (-1161)) 56 (|has| |#1| (-1047)))) (-3970 (((-123) |#2|) 103)) (-2716 ((|#2| |#2|) 102)) (-3100 ((|#2| (-123) (-1161) |#2| |#2| |#2| (-634 |#2|)) 72)) (-3601 ((|#2| (-123) (-1161) |#2| |#2| |#2| (-634 |#2|)) 100))) 
-(((-1024 |#1| |#2|) (-10 -7 (-15 -3100 (|#2| (-123) (-1161) |#2| |#2| |#2| (-634 |#2|))) (-15 -3601 (|#2| (-123) (-1161) |#2| |#2| |#2| (-634 |#2|))) (-15 -2716 (|#2| |#2|)) (-15 -3970 ((-123) |#2|)) (-15 -2108 ((-568) (-568) (-123) (-1161) |#2|)) (IF (|has| |#1| (-1047)) (PROGN (-15 -1401 ((-3 (-568) "failed") (-123) (-607 |#2|) (-1161))) (-15 -2582 ((-2 (|:| -2047 (-3 (-568) "failed")) (|:| -3894 (-3 (-568) "failed")) (|:| |ker| (-607 |#2|))) (-123) (-1161) |#2|))) |noBranch|)) (-13 (-842) (-558) (-609 (-541))) (-13 (-432 |#1|) (-23) (-1037 (-568)) (-1037 (-1161)) (-895 (-1161)) (-161))) (T -1024)) 
-((-2582 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-123)) (-5 *4 (-1161)) (-4 *6 (-1047)) (-4 *6 (-13 (-842) (-558) (-609 (-541)))) (-5 *2 (-2 (|:| -2047 (-3 (-568) "failed")) (|:| -3894 (-3 (-568) "failed")) (|:| |ker| (-607 *5)))) (-5 *1 (-1024 *6 *5)) (-4 *5 (-13 (-432 *6) (-23) (-1037 (-568)) (-1037 *4) (-895 *4) (-161))))) (-1401 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-607 *7)) (-4 *7 (-13 (-432 *6) (-23) (-1037 *2) (-1037 *5) (-895 *5) (-161))) (-5 *5 (-1161)) (-4 *6 (-1047)) (-4 *6 (-13 (-842) (-558) (-609 (-541)))) (-5 *2 (-568)) (-5 *1 (-1024 *6 *7)))) (-2108 (*1 *2 *2 *3 *4 *5) (-12 (-5 *3 (-123)) (-5 *2 (-568)) (-5 *4 (-1161)) (-4 *6 (-13 (-842) (-558) (-609 (-541)))) (-5 *1 (-1024 *6 *5)) (-4 *5 (-13 (-432 *6) (-23) (-1037 *2) (-1037 *4) (-895 *4) (-161))))) (-3970 (*1 *2 *3) (-12 (-4 *4 (-13 (-842) (-558) (-609 (-541)))) (-5 *2 (-123)) (-5 *1 (-1024 *4 *3)) (-4 *3 (-13 (-432 *4) (-23) (-1037 (-568)) (-1037 (-1161)) (-895 (-1161)) (-161))))) (-2716 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558) (-609 (-541)))) (-5 *1 (-1024 *3 *2)) (-4 *2 (-13 (-432 *3) (-23) (-1037 (-568)) (-1037 (-1161)) (-895 (-1161)) (-161))))) (-3601 (*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-123)) (-5 *5 (-634 *2)) (-4 *2 (-13 (-432 *6) (-23) (-1037 (-568)) (-1037 *4) (-895 *4) (-161))) (-5 *4 (-1161)) (-4 *6 (-13 (-842) (-558) (-609 (-541)))) (-5 *1 (-1024 *6 *2)))) (-3100 (*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-123)) (-5 *5 (-634 *2)) (-4 *2 (-13 (-432 *6) (-23) (-1037 (-568)) (-1037 *4) (-895 *4) (-161))) (-5 *4 (-1161)) (-4 *6 (-13 (-842) (-558) (-609 (-541)))) (-5 *1 (-1024 *6 *2))))) 
-(-10 -7 (-15 -3100 (|#2| (-123) (-1161) |#2| |#2| |#2| (-634 |#2|))) (-15 -3601 (|#2| (-123) (-1161) |#2| |#2| |#2| (-634 |#2|))) (-15 -2716 (|#2| |#2|)) (-15 -3970 ((-123) |#2|)) (-15 -2108 ((-568) (-568) (-123) (-1161) |#2|)) (IF (|has| |#1| (-1047)) (PROGN (-15 -1401 ((-3 (-568) "failed") (-123) (-607 |#2|) (-1161))) (-15 -2582 ((-2 (|:| -2047 (-3 (-568) "failed")) (|:| -3894 (-3 (-568) "failed")) (|:| |ker| (-607 |#2|))) (-123) (-1161) |#2|))) |noBranch|)) 
-((-2293 (((-2 (|:| -2410 |#2|) (|:| -4194 (-634 |#1|))) |#2| (-634 |#1|)) 20) ((|#2| |#2| |#1|) 15))) 
-(((-1025 |#1| |#2|) (-10 -7 (-15 -2293 (|#2| |#2| |#1|)) (-15 -2293 ((-2 (|:| -2410 |#2|) (|:| -4194 (-634 |#1|))) |#2| (-634 |#1|)))) (-365) (-646 |#1|)) (T -1025)) 
-((-2293 (*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-5 *2 (-2 (|:| -2410 *3) (|:| -4194 (-634 *5)))) (-5 *1 (-1025 *5 *3)) (-5 *4 (-634 *5)) (-4 *3 (-646 *5)))) (-2293 (*1 *2 *2 *3) (-12 (-4 *3 (-365)) (-5 *1 (-1025 *3 *2)) (-4 *2 (-646 *3))))) 
-(-10 -7 (-15 -2293 (|#2| |#2| |#1|)) (-15 -2293 ((-2 (|:| -2410 |#2|) (|:| -4194 (-634 |#1|))) |#2| (-634 |#1|)))) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-3433 ((|#1| $ |#1|) 14)) (-2438 ((|#1| $ |#1|) 12)) (-2635 (($ |#1|) 10)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-2781 ((|#1| $) 11)) (-2878 ((|#1| $) 13)) (-2747 (((-850) $) 21 (|has| |#1| (-1090)))) (-1719 (((-121) $ $) 9))) 
-(((-1026 |#1|) (-13 (-1195) (-10 -8 (-15 -2635 ($ |#1|)) (-15 -2781 (|#1| $)) (-15 -2438 (|#1| $ |#1|)) (-15 -2878 (|#1| $)) (-15 -3433 (|#1| $ |#1|)) (-15 -1719 ((-121) $ $)) (IF (|has| |#1| (-1090)) (-6 (-1090)) |noBranch|))) (-1195)) (T -1026)) 
-((-2635 (*1 *1 *2) (-12 (-5 *1 (-1026 *2)) (-4 *2 (-1195)))) (-2781 (*1 *2 *1) (-12 (-5 *1 (-1026 *2)) (-4 *2 (-1195)))) (-2438 (*1 *2 *1 *2) (-12 (-5 *1 (-1026 *2)) (-4 *2 (-1195)))) (-2878 (*1 *2 *1) (-12 (-5 *1 (-1026 *2)) (-4 *2 (-1195)))) (-3433 (*1 *2 *1 *2) (-12 (-5 *1 (-1026 *2)) (-4 *2 (-1195)))) (-1719 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1026 *3)) (-4 *3 (-1195))))) 
-(-13 (-1195) (-10 -8 (-15 -2635 ($ |#1|)) (-15 -2781 (|#1| $)) (-15 -2438 (|#1| $ |#1|)) (-15 -2878 (|#1| $)) (-15 -3433 (|#1| $ |#1|)) (-15 -1719 ((-121) $ $)) (IF (|has| |#1| (-1090)) (-6 (-1090)) |noBranch|))) 
-((-2449 (((-121) $ $) NIL)) (-2213 (((-634 (-2 (|:| -4094 $) (|:| -2133 (-634 |#4|)))) (-634 |#4|)) NIL)) (-2353 (((-634 $) (-634 |#4|)) 104) (((-634 $) (-634 |#4|) (-121)) 105) (((-634 $) (-634 |#4|) (-121) (-121)) 103) (((-634 $) (-634 |#4|) (-121) (-121) (-121) (-121)) 106)) (-2057 (((-634 |#3|) $) NIL)) (-4141 (((-121) $) NIL)) (-1794 (((-121) $) NIL (|has| |#1| (-558)))) (-4231 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3767 ((|#4| |#4| $) NIL)) (-3045 (((-634 (-2 (|:| |val| |#4|) (|:| -3145 $))) |#4| $) 98)) (-3647 (((-2 (|:| |under| $) (|:| -4115 $) (|:| |upper| $)) $ |#3|) NIL)) (-1667 (((-121) $ (-763)) NIL)) (-2803 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521))) (((-3 |#4| "failed") $ |#3|) 53)) (-4490 (($) NIL T CONST)) (-4382 (((-121) $) 26 (|has| |#1| (-558)))) (-1880 (((-121) $ $) NIL (|has| |#1| (-558)))) (-2536 (((-121) $ $) NIL (|has| |#1| (-558)))) (-2343 (((-121) $) NIL (|has| |#1| (-558)))) (-2941 (((-634 |#4|) (-634 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-3993 (((-634 |#4|) (-634 |#4|) $) NIL (|has| |#1| (-558)))) (-2727 (((-634 |#4|) (-634 |#4|) $) NIL (|has| |#1| (-558)))) (-3668 (((-3 $ "failed") (-634 |#4|)) NIL)) (-2857 (($ (-634 |#4|)) NIL)) (-3936 (((-3 $ "failed") $) 39)) (-3255 ((|#4| |#4| $) 56)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090))))) (-4330 (($ |#4| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521)))) (-2607 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 72 (|has| |#1| (-558)))) (-1359 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) NIL)) (-3434 ((|#4| |#4| $) NIL)) (-3094 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4521))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4521))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-3158 (((-2 (|:| -4094 (-634 |#4|)) (|:| -2133 (-634 |#4|))) $) NIL)) (-2451 (((-121) |#4| $) NIL)) (-2978 (((-121) |#4| $) NIL)) (-1792 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2123 (((-2 (|:| |val| (-634 |#4|)) (|:| |towers| (-634 $))) (-634 |#4|) (-121) (-121)) 118)) (-3317 (((-634 |#4|) $) 16 (|has| $ (-6 -4521)))) (-3764 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-4001 ((|#3| $) 33)) (-3791 (((-121) $ (-763)) NIL)) (-4406 (((-634 |#4|) $) 17 (|has| $ (-6 -4521)))) (-2551 (((-121) |#4| $) 25 (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090))))) (-2253 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#4| |#4|) $) 21)) (-2249 (((-634 |#3|) $) NIL)) (-1495 (((-121) |#3| $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL)) (-1516 (((-3 |#4| (-634 $)) |#4| |#4| $) NIL)) (-3137 (((-634 (-2 (|:| |val| |#4|) (|:| -3145 $))) |#4| |#4| $) 96)) (-4164 (((-3 |#4| "failed") $) 37)) (-3878 (((-634 $) |#4| $) 79)) (-3712 (((-3 (-121) (-634 $)) |#4| $) NIL)) (-4266 (((-634 (-2 (|:| |val| (-121)) (|:| -3145 $))) |#4| $) 89) (((-121) |#4| $) 51)) (-1864 (((-634 $) |#4| $) 101) (((-634 $) (-634 |#4|) $) NIL) (((-634 $) (-634 |#4|) (-634 $)) 102) (((-634 $) |#4| (-634 $)) NIL)) (-3196 (((-634 $) (-634 |#4|) (-121) (-121) (-121)) 113)) (-3736 (($ |#4| $) 69) (($ (-634 |#4|) $) 70) (((-634 $) |#4| $ (-121) (-121) (-121) (-121) (-121)) 66)) (-3882 (((-634 |#4|) $) NIL)) (-2157 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1315 ((|#4| |#4| $) NIL)) (-4342 (((-121) $ $) NIL)) (-1440 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-558)))) (-3236 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1452 ((|#4| |#4| $) NIL)) (-4025 (((-1108) $) NIL)) (-3877 (((-3 |#4| "failed") $) 35)) (-2712 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-3413 (((-3 $ "failed") $ |#4|) 47)) (-2168 (($ $ |#4|) NIL) (((-634 $) |#4| $) 81) (((-634 $) |#4| (-634 $)) NIL) (((-634 $) (-634 |#4|) $) NIL) (((-634 $) (-634 |#4|) (-634 $)) 76)) (-3951 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 |#4|) (-634 |#4|)) NIL (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ (-288 |#4|)) NIL (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ (-634 (-288 |#4|))) NIL (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) 15)) (-1990 (($) 13)) (-1836 (((-763) $) NIL)) (-4170 (((-763) |#4| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090)))) (((-763) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521)))) (-3865 (($ $) 12)) (-4280 (((-541) $) NIL (|has| |#4| (-609 (-541))))) (-4289 (($ (-634 |#4|)) 20)) (-3206 (($ $ |#3|) 42)) (-2527 (($ $ |#3|) 43)) (-4392 (($ $) NIL)) (-4332 (($ $ |#3|) NIL)) (-2747 (((-850) $) 31) (((-634 |#4|) $) 40)) (-2524 (((-763) $) NIL (|has| |#3| (-370)))) (-2835 (((-3 (-2 (|:| |bas| $) (|:| -2618 (-634 |#4|))) "failed") (-634 |#4|) (-1 (-121) |#4| |#4|)) NIL) (((-3 (-2 (|:| |bas| $) (|:| -2618 (-634 |#4|))) "failed") (-634 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-2145 (((-121) $ (-1 (-121) |#4| (-634 |#4|))) NIL)) (-1977 (((-634 $) |#4| $) 78) (((-634 $) |#4| (-634 $)) NIL) (((-634 $) (-634 |#4|) $) NIL) (((-634 $) (-634 |#4|) (-634 $)) NIL)) (-3437 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521)))) (-3321 (((-634 |#3|) $) NIL)) (-3541 (((-121) |#4| $) NIL)) (-1413 (((-121) |#3| $) 52)) (-1719 (((-121) $ $) NIL)) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-1027 |#1| |#2| |#3| |#4|) (-13 (-1066 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3736 ((-634 $) |#4| $ (-121) (-121) (-121) (-121) (-121))) (-15 -2353 ((-634 $) (-634 |#4|) (-121) (-121))) (-15 -2353 ((-634 $) (-634 |#4|) (-121) (-121) (-121) (-121))) (-15 -3196 ((-634 $) (-634 |#4|) (-121) (-121) (-121))) (-15 -2123 ((-2 (|:| |val| (-634 |#4|)) (|:| |towers| (-634 $))) (-634 |#4|) (-121) (-121))))) (-453) (-788) (-842) (-1061 |#1| |#2| |#3|)) (T -1027)) 
-((-3736 (*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-634 (-1027 *5 *6 *7 *3))) (-5 *1 (-1027 *5 *6 *7 *3)) (-4 *3 (-1061 *5 *6 *7)))) (-2353 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-121)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-634 (-1027 *5 *6 *7 *8))) (-5 *1 (-1027 *5 *6 *7 *8)))) (-2353 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-121)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-634 (-1027 *5 *6 *7 *8))) (-5 *1 (-1027 *5 *6 *7 *8)))) (-3196 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-121)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-634 (-1027 *5 *6 *7 *8))) (-5 *1 (-1027 *5 *6 *7 *8)))) (-2123 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *8 (-1061 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-634 *8)) (|:| |towers| (-634 (-1027 *5 *6 *7 *8))))) (-5 *1 (-1027 *5 *6 *7 *8)) (-5 *3 (-634 *8))))) 
-(-13 (-1066 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3736 ((-634 $) |#4| $ (-121) (-121) (-121) (-121) (-121))) (-15 -2353 ((-634 $) (-634 |#4|) (-121) (-121))) (-15 -2353 ((-634 $) (-634 |#4|) (-121) (-121) (-121) (-121))) (-15 -3196 ((-634 $) (-634 |#4|) (-121) (-121) (-121))) (-15 -2123 ((-2 (|:| |val| (-634 |#4|)) (|:| |towers| (-634 $))) (-634 |#4|) (-121) (-121))))) 
-((-1746 (((-634 (-679 |#1|)) (-634 (-679 |#1|))) 56) (((-679 |#1|) (-679 |#1|)) 55) (((-634 (-679 |#1|)) (-634 (-679 |#1|)) (-634 (-679 |#1|))) 54) (((-679 |#1|) (-679 |#1|) (-679 |#1|)) 51)) (-4019 (((-634 (-679 |#1|)) (-634 (-679 |#1|)) (-917)) 50) (((-679 |#1|) (-679 |#1|) (-917)) 49)) (-2638 (((-634 (-679 (-568))) (-634 (-634 (-568)))) 66) (((-634 (-679 (-568))) (-634 (-900 (-568))) (-568)) 65) (((-679 (-568)) (-634 (-568))) 62) (((-679 (-568)) (-900 (-568)) (-568)) 61)) (-4337 (((-679 (-953 |#1|)) (-763)) 79)) (-2544 (((-634 (-679 |#1|)) (-634 (-679 |#1|)) (-917)) 36 (|has| |#1| (-6 (-4523 "*")))) (((-679 |#1|) (-679 |#1|) (-917)) 34 (|has| |#1| (-6 (-4523 "*")))))) 
-(((-1028 |#1|) (-10 -7 (IF (|has| |#1| (-6 (-4523 "*"))) (-15 -2544 ((-679 |#1|) (-679 |#1|) (-917))) |noBranch|) (IF (|has| |#1| (-6 (-4523 "*"))) (-15 -2544 ((-634 (-679 |#1|)) (-634 (-679 |#1|)) (-917))) |noBranch|) (-15 -4337 ((-679 (-953 |#1|)) (-763))) (-15 -4019 ((-679 |#1|) (-679 |#1|) (-917))) (-15 -4019 ((-634 (-679 |#1|)) (-634 (-679 |#1|)) (-917))) (-15 -1746 ((-679 |#1|) (-679 |#1|) (-679 |#1|))) (-15 -1746 ((-634 (-679 |#1|)) (-634 (-679 |#1|)) (-634 (-679 |#1|)))) (-15 -1746 ((-679 |#1|) (-679 |#1|))) (-15 -1746 ((-634 (-679 |#1|)) (-634 (-679 |#1|)))) (-15 -2638 ((-679 (-568)) (-900 (-568)) (-568))) (-15 -2638 ((-679 (-568)) (-634 (-568)))) (-15 -2638 ((-634 (-679 (-568))) (-634 (-900 (-568))) (-568))) (-15 -2638 ((-634 (-679 (-568))) (-634 (-634 (-568)))))) (-1047)) (T -1028)) 
-((-2638 (*1 *2 *3) (-12 (-5 *3 (-634 (-634 (-568)))) (-5 *2 (-634 (-679 (-568)))) (-5 *1 (-1028 *4)) (-4 *4 (-1047)))) (-2638 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-900 (-568)))) (-5 *4 (-568)) (-5 *2 (-634 (-679 *4))) (-5 *1 (-1028 *5)) (-4 *5 (-1047)))) (-2638 (*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-679 (-568))) (-5 *1 (-1028 *4)) (-4 *4 (-1047)))) (-2638 (*1 *2 *3 *4) (-12 (-5 *3 (-900 (-568))) (-5 *4 (-568)) (-5 *2 (-679 *4)) (-5 *1 (-1028 *5)) (-4 *5 (-1047)))) (-1746 (*1 *2 *2) (-12 (-5 *2 (-634 (-679 *3))) (-4 *3 (-1047)) (-5 *1 (-1028 *3)))) (-1746 (*1 *2 *2) (-12 (-5 *2 (-679 *3)) (-4 *3 (-1047)) (-5 *1 (-1028 *3)))) (-1746 (*1 *2 *2 *2) (-12 (-5 *2 (-634 (-679 *3))) (-4 *3 (-1047)) (-5 *1 (-1028 *3)))) (-1746 (*1 *2 *2 *2) (-12 (-5 *2 (-679 *3)) (-4 *3 (-1047)) (-5 *1 (-1028 *3)))) (-4019 (*1 *2 *2 *3) (-12 (-5 *2 (-634 (-679 *4))) (-5 *3 (-917)) (-4 *4 (-1047)) (-5 *1 (-1028 *4)))) (-4019 (*1 *2 *2 *3) (-12 (-5 *2 (-679 *4)) (-5 *3 (-917)) (-4 *4 (-1047)) (-5 *1 (-1028 *4)))) (-4337 (*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-679 (-953 *4))) (-5 *1 (-1028 *4)) (-4 *4 (-1047)))) (-2544 (*1 *2 *2 *3) (-12 (-5 *2 (-634 (-679 *4))) (-5 *3 (-917)) (|has| *4 (-6 (-4523 "*"))) (-4 *4 (-1047)) (-5 *1 (-1028 *4)))) (-2544 (*1 *2 *2 *3) (-12 (-5 *2 (-679 *4)) (-5 *3 (-917)) (|has| *4 (-6 (-4523 "*"))) (-4 *4 (-1047)) (-5 *1 (-1028 *4))))) 
-(-10 -7 (IF (|has| |#1| (-6 (-4523 "*"))) (-15 -2544 ((-679 |#1|) (-679 |#1|) (-917))) |noBranch|) (IF (|has| |#1| (-6 (-4523 "*"))) (-15 -2544 ((-634 (-679 |#1|)) (-634 (-679 |#1|)) (-917))) |noBranch|) (-15 -4337 ((-679 (-953 |#1|)) (-763))) (-15 -4019 ((-679 |#1|) (-679 |#1|) (-917))) (-15 -4019 ((-634 (-679 |#1|)) (-634 (-679 |#1|)) (-917))) (-15 -1746 ((-679 |#1|) (-679 |#1|) (-679 |#1|))) (-15 -1746 ((-634 (-679 |#1|)) (-634 (-679 |#1|)) (-634 (-679 |#1|)))) (-15 -1746 ((-679 |#1|) (-679 |#1|))) (-15 -1746 ((-634 (-679 |#1|)) (-634 (-679 |#1|)))) (-15 -2638 ((-679 (-568)) (-900 (-568)) (-568))) (-15 -2638 ((-679 (-568)) (-634 (-568)))) (-15 -2638 ((-634 (-679 (-568))) (-634 (-900 (-568))) (-568))) (-15 -2638 ((-634 (-679 (-568))) (-634 (-634 (-568)))))) 
-((-1293 (((-679 |#1|) (-634 (-679 |#1|)) (-1244 |#1|)) 48 (|has| |#1| (-301)))) (-4446 (((-634 (-634 (-679 |#1|))) (-634 (-679 |#1|)) (-1244 (-1244 |#1|))) 71 (|has| |#1| (-365))) (((-634 (-634 (-679 |#1|))) (-634 (-679 |#1|)) (-1244 |#1|)) 69 (|has| |#1| (-365)))) (-3872 (((-1244 |#1|) (-634 (-1244 |#1|)) (-568)) 73 (-12 (|has| |#1| (-365)) (|has| |#1| (-370))))) (-2107 (((-634 (-634 (-679 |#1|))) (-634 (-679 |#1|)) (-917)) 78 (-12 (|has| |#1| (-365)) (|has| |#1| (-370)))) (((-634 (-634 (-679 |#1|))) (-634 (-679 |#1|)) (-121)) 76 (-12 (|has| |#1| (-365)) (|has| |#1| (-370)))) (((-634 (-634 (-679 |#1|))) (-634 (-679 |#1|))) 75 (-12 (|has| |#1| (-365)) (|has| |#1| (-370)))) (((-634 (-634 (-679 |#1|))) (-634 (-679 |#1|)) (-121) (-568) (-568)) 74 (-12 (|has| |#1| (-365)) (|has| |#1| (-370))))) (-2255 (((-121) (-634 (-679 |#1|))) 67 (|has| |#1| (-365))) (((-121) (-634 (-679 |#1|)) (-568)) 66 (|has| |#1| (-365)))) (-3683 (((-1244 (-1244 |#1|)) (-634 (-679 |#1|)) (-1244 |#1|)) 46 (|has| |#1| (-301)))) (-3976 (((-679 |#1|) (-634 (-679 |#1|)) (-679 |#1|)) 32)) (-3422 (((-679 |#1|) (-1244 (-1244 |#1|))) 29)) (-1279 (((-679 |#1|) (-634 (-679 |#1|)) (-634 (-679 |#1|)) (-568)) 62 (|has| |#1| (-365))) (((-679 |#1|) (-634 (-679 |#1|)) (-634 (-679 |#1|))) 61 (|has| |#1| (-365))) (((-679 |#1|) (-634 (-679 |#1|)) (-634 (-679 |#1|)) (-121) (-568)) 60 (|has| |#1| (-365))))) 
-(((-1029 |#1|) (-10 -7 (-15 -3422 ((-679 |#1|) (-1244 (-1244 |#1|)))) (-15 -3976 ((-679 |#1|) (-634 (-679 |#1|)) (-679 |#1|))) (IF (|has| |#1| (-301)) (PROGN (-15 -3683 ((-1244 (-1244 |#1|)) (-634 (-679 |#1|)) (-1244 |#1|))) (-15 -1293 ((-679 |#1|) (-634 (-679 |#1|)) (-1244 |#1|)))) |noBranch|) (IF (|has| |#1| (-365)) (PROGN (-15 -1279 ((-679 |#1|) (-634 (-679 |#1|)) (-634 (-679 |#1|)) (-121) (-568))) (-15 -1279 ((-679 |#1|) (-634 (-679 |#1|)) (-634 (-679 |#1|)))) (-15 -1279 ((-679 |#1|) (-634 (-679 |#1|)) (-634 (-679 |#1|)) (-568))) (-15 -2255 ((-121) (-634 (-679 |#1|)) (-568))) (-15 -2255 ((-121) (-634 (-679 |#1|)))) (-15 -4446 ((-634 (-634 (-679 |#1|))) (-634 (-679 |#1|)) (-1244 |#1|))) (-15 -4446 ((-634 (-634 (-679 |#1|))) (-634 (-679 |#1|)) (-1244 (-1244 |#1|))))) |noBranch|) (IF (|has| |#1| (-370)) (IF (|has| |#1| (-365)) (PROGN (-15 -2107 ((-634 (-634 (-679 |#1|))) (-634 (-679 |#1|)) (-121) (-568) (-568))) (-15 -2107 ((-634 (-634 (-679 |#1|))) (-634 (-679 |#1|)))) (-15 -2107 ((-634 (-634 (-679 |#1|))) (-634 (-679 |#1|)) (-121))) (-15 -2107 ((-634 (-634 (-679 |#1|))) (-634 (-679 |#1|)) (-917))) (-15 -3872 ((-1244 |#1|) (-634 (-1244 |#1|)) (-568)))) |noBranch|) |noBranch|)) (-1047)) (T -1029)) 
-((-3872 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-1244 *5))) (-5 *4 (-568)) (-5 *2 (-1244 *5)) (-5 *1 (-1029 *5)) (-4 *5 (-365)) (-4 *5 (-370)) (-4 *5 (-1047)))) (-2107 (*1 *2 *3 *4) (-12 (-5 *4 (-917)) (-4 *5 (-365)) (-4 *5 (-370)) (-4 *5 (-1047)) (-5 *2 (-634 (-634 (-679 *5)))) (-5 *1 (-1029 *5)) (-5 *3 (-634 (-679 *5))))) (-2107 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-365)) (-4 *5 (-370)) (-4 *5 (-1047)) (-5 *2 (-634 (-634 (-679 *5)))) (-5 *1 (-1029 *5)) (-5 *3 (-634 (-679 *5))))) (-2107 (*1 *2 *3) (-12 (-4 *4 (-365)) (-4 *4 (-370)) (-4 *4 (-1047)) (-5 *2 (-634 (-634 (-679 *4)))) (-5 *1 (-1029 *4)) (-5 *3 (-634 (-679 *4))))) (-2107 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-121)) (-5 *5 (-568)) (-4 *6 (-365)) (-4 *6 (-370)) (-4 *6 (-1047)) (-5 *2 (-634 (-634 (-679 *6)))) (-5 *1 (-1029 *6)) (-5 *3 (-634 (-679 *6))))) (-4446 (*1 *2 *3 *4) (-12 (-5 *4 (-1244 (-1244 *5))) (-4 *5 (-365)) (-4 *5 (-1047)) (-5 *2 (-634 (-634 (-679 *5)))) (-5 *1 (-1029 *5)) (-5 *3 (-634 (-679 *5))))) (-4446 (*1 *2 *3 *4) (-12 (-5 *4 (-1244 *5)) (-4 *5 (-365)) (-4 *5 (-1047)) (-5 *2 (-634 (-634 (-679 *5)))) (-5 *1 (-1029 *5)) (-5 *3 (-634 (-679 *5))))) (-2255 (*1 *2 *3) (-12 (-5 *3 (-634 (-679 *4))) (-4 *4 (-365)) (-4 *4 (-1047)) (-5 *2 (-121)) (-5 *1 (-1029 *4)))) (-2255 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-679 *5))) (-5 *4 (-568)) (-4 *5 (-365)) (-4 *5 (-1047)) (-5 *2 (-121)) (-5 *1 (-1029 *5)))) (-1279 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-634 (-679 *5))) (-5 *4 (-568)) (-5 *2 (-679 *5)) (-5 *1 (-1029 *5)) (-4 *5 (-365)) (-4 *5 (-1047)))) (-1279 (*1 *2 *3 *3) (-12 (-5 *3 (-634 (-679 *4))) (-5 *2 (-679 *4)) (-5 *1 (-1029 *4)) (-4 *4 (-365)) (-4 *4 (-1047)))) (-1279 (*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-634 (-679 *6))) (-5 *4 (-121)) (-5 *5 (-568)) (-5 *2 (-679 *6)) (-5 *1 (-1029 *6)) (-4 *6 (-365)) (-4 *6 (-1047)))) (-1293 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-679 *5))) (-5 *4 (-1244 *5)) (-4 *5 (-301)) (-4 *5 (-1047)) (-5 *2 (-679 *5)) (-5 *1 (-1029 *5)))) (-3683 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-679 *5))) (-4 *5 (-301)) (-4 *5 (-1047)) (-5 *2 (-1244 (-1244 *5))) (-5 *1 (-1029 *5)) (-5 *4 (-1244 *5)))) (-3976 (*1 *2 *3 *2) (-12 (-5 *3 (-634 (-679 *4))) (-5 *2 (-679 *4)) (-4 *4 (-1047)) (-5 *1 (-1029 *4)))) (-3422 (*1 *2 *3) (-12 (-5 *3 (-1244 (-1244 *4))) (-4 *4 (-1047)) (-5 *2 (-679 *4)) (-5 *1 (-1029 *4))))) 
-(-10 -7 (-15 -3422 ((-679 |#1|) (-1244 (-1244 |#1|)))) (-15 -3976 ((-679 |#1|) (-634 (-679 |#1|)) (-679 |#1|))) (IF (|has| |#1| (-301)) (PROGN (-15 -3683 ((-1244 (-1244 |#1|)) (-634 (-679 |#1|)) (-1244 |#1|))) (-15 -1293 ((-679 |#1|) (-634 (-679 |#1|)) (-1244 |#1|)))) |noBranch|) (IF (|has| |#1| (-365)) (PROGN (-15 -1279 ((-679 |#1|) (-634 (-679 |#1|)) (-634 (-679 |#1|)) (-121) (-568))) (-15 -1279 ((-679 |#1|) (-634 (-679 |#1|)) (-634 (-679 |#1|)))) (-15 -1279 ((-679 |#1|) (-634 (-679 |#1|)) (-634 (-679 |#1|)) (-568))) (-15 -2255 ((-121) (-634 (-679 |#1|)) (-568))) (-15 -2255 ((-121) (-634 (-679 |#1|)))) (-15 -4446 ((-634 (-634 (-679 |#1|))) (-634 (-679 |#1|)) (-1244 |#1|))) (-15 -4446 ((-634 (-634 (-679 |#1|))) (-634 (-679 |#1|)) (-1244 (-1244 |#1|))))) |noBranch|) (IF (|has| |#1| (-370)) (IF (|has| |#1| (-365)) (PROGN (-15 -2107 ((-634 (-634 (-679 |#1|))) (-634 (-679 |#1|)) (-121) (-568) (-568))) (-15 -2107 ((-634 (-634 (-679 |#1|))) (-634 (-679 |#1|)))) (-15 -2107 ((-634 (-634 (-679 |#1|))) (-634 (-679 |#1|)) (-121))) (-15 -2107 ((-634 (-634 (-679 |#1|))) (-634 (-679 |#1|)) (-917))) (-15 -3872 ((-1244 |#1|) (-634 (-1244 |#1|)) (-568)))) |noBranch|) |noBranch|)) 
-((-3065 ((|#1| (-917) |#1|) 9))) 
-(((-1030 |#1|) (-10 -7 (-15 -3065 (|#1| (-917) |#1|))) (-13 (-1090) (-10 -8 (-15 -1769 ($ $ $))))) (T -1030)) 
-((-3065 (*1 *2 *3 *2) (-12 (-5 *3 (-917)) (-5 *1 (-1030 *2)) (-4 *2 (-13 (-1090) (-10 -8 (-15 -1769 ($ $ $)))))))) 
-(-10 -7 (-15 -3065 (|#1| (-917) |#1|))) 
-((-3371 (((-634 (-2 (|:| |radval| (-310 (-568))) (|:| |radmult| (-568)) (|:| |radvect| (-634 (-679 (-310 (-568))))))) (-679 (-409 (-953 (-568))))) 58)) (-4360 (((-634 (-679 (-310 (-568)))) (-310 (-568)) (-679 (-409 (-953 (-568))))) 48)) (-1799 (((-634 (-310 (-568))) (-679 (-409 (-953 (-568))))) 41)) (-1821 (((-634 (-679 (-310 (-568)))) (-679 (-409 (-953 (-568))))) 67)) (-1696 (((-679 (-310 (-568))) (-679 (-310 (-568)))) 33)) (-3439 (((-634 (-679 (-310 (-568)))) (-634 (-679 (-310 (-568))))) 61)) (-2866 (((-3 (-679 (-310 (-568))) "failed") (-679 (-409 (-953 (-568))))) 65))) 
-(((-1031) (-10 -7 (-15 -3371 ((-634 (-2 (|:| |radval| (-310 (-568))) (|:| |radmult| (-568)) (|:| |radvect| (-634 (-679 (-310 (-568))))))) (-679 (-409 (-953 (-568)))))) (-15 -4360 ((-634 (-679 (-310 (-568)))) (-310 (-568)) (-679 (-409 (-953 (-568)))))) (-15 -1799 ((-634 (-310 (-568))) (-679 (-409 (-953 (-568)))))) (-15 -2866 ((-3 (-679 (-310 (-568))) "failed") (-679 (-409 (-953 (-568)))))) (-15 -1696 ((-679 (-310 (-568))) (-679 (-310 (-568))))) (-15 -3439 ((-634 (-679 (-310 (-568)))) (-634 (-679 (-310 (-568)))))) (-15 -1821 ((-634 (-679 (-310 (-568)))) (-679 (-409 (-953 (-568)))))))) (T -1031)) 
-((-1821 (*1 *2 *3) (-12 (-5 *3 (-679 (-409 (-953 (-568))))) (-5 *2 (-634 (-679 (-310 (-568))))) (-5 *1 (-1031)))) (-3439 (*1 *2 *2) (-12 (-5 *2 (-634 (-679 (-310 (-568))))) (-5 *1 (-1031)))) (-1696 (*1 *2 *2) (-12 (-5 *2 (-679 (-310 (-568)))) (-5 *1 (-1031)))) (-2866 (*1 *2 *3) (|partial| -12 (-5 *3 (-679 (-409 (-953 (-568))))) (-5 *2 (-679 (-310 (-568)))) (-5 *1 (-1031)))) (-1799 (*1 *2 *3) (-12 (-5 *3 (-679 (-409 (-953 (-568))))) (-5 *2 (-634 (-310 (-568)))) (-5 *1 (-1031)))) (-4360 (*1 *2 *3 *4) (-12 (-5 *4 (-679 (-409 (-953 (-568))))) (-5 *2 (-634 (-679 (-310 (-568))))) (-5 *1 (-1031)) (-5 *3 (-310 (-568))))) (-3371 (*1 *2 *3) (-12 (-5 *3 (-679 (-409 (-953 (-568))))) (-5 *2 (-634 (-2 (|:| |radval| (-310 (-568))) (|:| |radmult| (-568)) (|:| |radvect| (-634 (-679 (-310 (-568)))))))) (-5 *1 (-1031))))) 
-(-10 -7 (-15 -3371 ((-634 (-2 (|:| |radval| (-310 (-568))) (|:| |radmult| (-568)) (|:| |radvect| (-634 (-679 (-310 (-568))))))) (-679 (-409 (-953 (-568)))))) (-15 -4360 ((-634 (-679 (-310 (-568)))) (-310 (-568)) (-679 (-409 (-953 (-568)))))) (-15 -1799 ((-634 (-310 (-568))) (-679 (-409 (-953 (-568)))))) (-15 -2866 ((-3 (-679 (-310 (-568))) "failed") (-679 (-409 (-953 (-568)))))) (-15 -1696 ((-679 (-310 (-568))) (-679 (-310 (-568))))) (-15 -3439 ((-634 (-679 (-310 (-568)))) (-634 (-679 (-310 (-568)))))) (-15 -1821 ((-634 (-679 (-310 (-568)))) (-679 (-409 (-953 (-568))))))) 
-((-2514 ((|#1| |#1| (-917)) 9))) 
-(((-1032 |#1|) (-10 -7 (-15 -2514 (|#1| |#1| (-917)))) (-13 (-1090) (-10 -8 (-15 * ($ $ $))))) (T -1032)) 
-((-2514 (*1 *2 *2 *3) (-12 (-5 *3 (-917)) (-5 *1 (-1032 *2)) (-4 *2 (-13 (-1090) (-10 -8 (-15 * ($ $ $)))))))) 
-(-10 -7 (-15 -2514 (|#1| |#1| (-917)))) 
-((-2747 ((|#1| (-305)) 11) (((-1249) |#1|) 9))) 
-(((-1033 |#1|) (-10 -7 (-15 -2747 ((-1249) |#1|)) (-15 -2747 (|#1| (-305)))) (-1195)) (T -1033)) 
-((-2747 (*1 *2 *3) (-12 (-5 *3 (-305)) (-5 *1 (-1033 *2)) (-4 *2 (-1195)))) (-2747 (*1 *2 *3) (-12 (-5 *2 (-1249)) (-5 *1 (-1033 *3)) (-4 *3 (-1195))))) 
-(-10 -7 (-15 -2747 ((-1249) |#1|)) (-15 -2747 (|#1| (-305)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-3094 (($ |#4|) 25)) (-2902 (((-3 $ "failed") $) NIL)) (-1598 (((-121) $) NIL)) (-3087 ((|#4| $) 27)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) 46) (($ (-568)) NIL) (($ |#1|) NIL) (($ |#4|) 26)) (-3425 (((-763)) 43)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 21 T CONST)) (-1557 (($) 23 T CONST)) (-1719 (((-121) $ $) 40)) (-1775 (($ $) 31) (($ $ $) NIL)) (-1769 (($ $ $) 29)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 36) (($ $ $) 33) (($ |#1| $) 38) (($ $ |#1|) NIL))) 
-(((-1034 |#1| |#2| |#3| |#4| |#5|) (-13 (-172) (-43 |#1|) (-10 -8 (-15 -3094 ($ |#4|)) (-15 -2747 ($ |#4|)) (-15 -3087 (|#4| $)))) (-365) (-788) (-842) (-950 |#1| |#2| |#3|) (-634 |#4|)) (T -1034)) 
-((-3094 (*1 *1 *2) (-12 (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-1034 *3 *4 *5 *2 *6)) (-4 *2 (-950 *3 *4 *5)) (-14 *6 (-634 *2)))) (-2747 (*1 *1 *2) (-12 (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-1034 *3 *4 *5 *2 *6)) (-4 *2 (-950 *3 *4 *5)) (-14 *6 (-634 *2)))) (-3087 (*1 *2 *1) (-12 (-4 *2 (-950 *3 *4 *5)) (-5 *1 (-1034 *3 *4 *5 *2 *6)) (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-14 *6 (-634 *2))))) 
-(-13 (-172) (-43 |#1|) (-10 -8 (-15 -3094 ($ |#4|)) (-15 -2747 ($ |#4|)) (-15 -3087 (|#4| $)))) 
-((-2449 (((-121) $ $) NIL (-2199 (|has| (-57) (-1090)) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090))))) (-2988 (($) NIL) (($ (-634 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))))) NIL)) (-2481 (((-1249) $ (-1161) (-1161)) NIL (|has| $ (-6 -4522)))) (-1667 (((-121) $ (-763)) NIL)) (-3302 (((-121) (-121)) 39)) (-1870 (((-121) (-121)) 38)) (-2438 (((-57) $ (-1161) (-57)) NIL)) (-3963 (($ (-1 (-121) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521)))) (-2803 (($ (-1 (-121) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521)))) (-2678 (((-3 (-57) "failed") (-1161) $) NIL)) (-4490 (($) NIL T CONST)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090))))) (-1568 (($ (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) $) NIL (|has| $ (-6 -4521))) (($ (-1 (-121) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521))) (((-3 (-57) "failed") (-1161) $) NIL)) (-4330 (($ (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090)))) (($ (-1 (-121) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521)))) (-3094 (((-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $ (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090)))) (((-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $ (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) NIL (|has| $ (-6 -4521))) (((-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521)))) (-1292 (((-57) $ (-1161) (-57)) NIL (|has| $ (-6 -4522)))) (-2069 (((-57) $ (-1161)) NIL)) (-3317 (((-634 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521))) (((-634 (-57)) $) NIL (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-1161) $) NIL (|has| (-1161) (-842)))) (-4406 (((-634 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521))) (((-634 (-57)) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090)))) (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-57) (-1090))))) (-3631 (((-1161) $) NIL (|has| (-1161) (-842)))) (-2253 (($ (-1 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4522))) (($ (-1 (-57) (-57)) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $) NIL) (($ (-1 (-57) (-57)) $) NIL) (($ (-1 (-57) (-57) (-57)) $ $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (-2199 (|has| (-57) (-1090)) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090))))) (-4253 (((-634 (-1161)) $) 34)) (-2807 (((-121) (-1161) $) NIL)) (-2580 (((-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) $) NIL)) (-1708 (($ (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) $) NIL)) (-3948 (((-634 (-1161)) $) NIL)) (-2916 (((-121) (-1161) $) NIL)) (-4025 (((-1108) $) NIL (-2199 (|has| (-57) (-1090)) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090))))) (-3877 (((-57) $) NIL (|has| (-1161) (-842)))) (-2712 (((-3 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) "failed") (-1 (-121) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $) NIL)) (-2490 (($ $ (-57)) NIL (|has| $ (-6 -4522)))) (-3403 (((-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) $) NIL)) (-3951 (((-121) (-1 (-121) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))))) NIL (-12 (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-303 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))))) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090)))) (($ $ (-288 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))))) NIL (-12 (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-303 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))))) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090)))) (($ $ (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) NIL (-12 (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-303 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))))) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090)))) (($ $ (-634 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) (-634 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))))) NIL (-12 (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-303 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))))) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090)))) (($ $ (-634 (-57)) (-634 (-57))) NIL (-12 (|has| (-57) (-303 (-57))) (|has| (-57) (-1090)))) (($ $ (-57) (-57)) NIL (-12 (|has| (-57) (-303 (-57))) (|has| (-57) (-1090)))) (($ $ (-288 (-57))) NIL (-12 (|has| (-57) (-303 (-57))) (|has| (-57) (-1090)))) (($ $ (-634 (-288 (-57)))) NIL (-12 (|has| (-57) (-303 (-57))) (|has| (-57) (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-57) (-1090))))) (-1480 (((-634 (-57)) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 (((-57) $ (-1161)) 35) (((-57) $ (-1161) (-57)) NIL)) (-3132 (($) NIL) (($ (-634 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))))) NIL)) (-4170 (((-763) (-1 (-121) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521))) (((-763) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090)))) (((-763) (-57) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-57) (-1090)))) (((-763) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4521)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) NIL (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-609 (-541))))) (-4289 (($ (-634 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))))) NIL)) (-2747 (((-850) $) 37 (-2199 (|has| (-57) (-1090)) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090))))) (-4074 (($ (-634 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))))) NIL)) (-3437 (((-121) (-1 (-121) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) NIL (-2199 (|has| (-57) (-1090)) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090))))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-1035) (-13 (-1172 (-1161) (-57)) (-10 -7 (-15 -3302 ((-121) (-121))) (-15 -1870 ((-121) (-121))) (-6 -4521)))) (T -1035)) 
-((-3302 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1035)))) (-1870 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1035))))) 
-(-13 (-1172 (-1161) (-57)) (-10 -7 (-15 -3302 ((-121) (-121))) (-15 -1870 ((-121) (-121))) (-6 -4521))) 
-((-2857 ((|#2| $) 10))) 
-(((-1036 |#1| |#2|) (-10 -8 (-15 -2857 (|#2| |#1|))) (-1037 |#2|) (-1195)) (T -1036)) 
-NIL 
-(-10 -8 (-15 -2857 (|#2| |#1|))) 
-((-3668 (((-3 |#1| "failed") $) 7)) (-2857 ((|#1| $) 8)) (-2747 (($ |#1|) 6))) 
-(((-1037 |#1|) (-1275) (-1195)) (T -1037)) 
-((-2857 (*1 *2 *1) (-12 (-4 *1 (-1037 *2)) (-4 *2 (-1195)))) (-3668 (*1 *2 *1) (|partial| -12 (-4 *1 (-1037 *2)) (-4 *2 (-1195)))) (-2747 (*1 *1 *2) (-12 (-4 *1 (-1037 *2)) (-4 *2 (-1195))))) 
-(-13 (-10 -8 (-15 -2747 ($ |t#1|)) (-15 -3668 ((-3 |t#1| "failed") $)) (-15 -2857 (|t#1| $)))) 
-((-1714 (((-634 (-634 (-288 (-409 (-953 |#2|))))) (-634 (-953 |#2|)) (-634 (-1161))) 35))) 
-(((-1038 |#1| |#2|) (-10 -7 (-15 -1714 ((-634 (-634 (-288 (-409 (-953 |#2|))))) (-634 (-953 |#2|)) (-634 (-1161))))) (-558) (-13 (-558) (-1037 |#1|))) (T -1038)) 
-((-1714 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-953 *6))) (-5 *4 (-634 (-1161))) (-4 *6 (-13 (-558) (-1037 *5))) (-4 *5 (-558)) (-5 *2 (-634 (-634 (-288 (-409 (-953 *6)))))) (-5 *1 (-1038 *5 *6))))) 
-(-10 -7 (-15 -1714 ((-634 (-634 (-288 (-409 (-953 |#2|))))) (-634 (-953 |#2|)) (-634 (-1161))))) 
-((-1445 (((-381)) 15)) (-2381 (((-1 (-381)) (-381) (-381)) 20)) (-3494 (((-1 (-381)) (-763)) 42)) (-2281 (((-381)) 33)) (-2244 (((-1 (-381)) (-381) (-381)) 34)) (-1941 (((-381)) 26)) (-3129 (((-1 (-381)) (-381)) 27)) (-2494 (((-381) (-763)) 37)) (-1369 (((-1 (-381)) (-763)) 38)) (-1478 (((-1 (-381)) (-763) (-763)) 41)) (-2768 (((-1 (-381)) (-763) (-763)) 39))) 
-(((-1039) (-10 -7 (-15 -1445 ((-381))) (-15 -2281 ((-381))) (-15 -1941 ((-381))) (-15 -2494 ((-381) (-763))) (-15 -2381 ((-1 (-381)) (-381) (-381))) (-15 -2244 ((-1 (-381)) (-381) (-381))) (-15 -3129 ((-1 (-381)) (-381))) (-15 -1369 ((-1 (-381)) (-763))) (-15 -2768 ((-1 (-381)) (-763) (-763))) (-15 -1478 ((-1 (-381)) (-763) (-763))) (-15 -3494 ((-1 (-381)) (-763))))) (T -1039)) 
-((-3494 (*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1 (-381))) (-5 *1 (-1039)))) (-1478 (*1 *2 *3 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1 (-381))) (-5 *1 (-1039)))) (-2768 (*1 *2 *3 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1 (-381))) (-5 *1 (-1039)))) (-1369 (*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1 (-381))) (-5 *1 (-1039)))) (-3129 (*1 *2 *3) (-12 (-5 *2 (-1 (-381))) (-5 *1 (-1039)) (-5 *3 (-381)))) (-2244 (*1 *2 *3 *3) (-12 (-5 *2 (-1 (-381))) (-5 *1 (-1039)) (-5 *3 (-381)))) (-2381 (*1 *2 *3 *3) (-12 (-5 *2 (-1 (-381))) (-5 *1 (-1039)) (-5 *3 (-381)))) (-2494 (*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-381)) (-5 *1 (-1039)))) (-1941 (*1 *2) (-12 (-5 *2 (-381)) (-5 *1 (-1039)))) (-2281 (*1 *2) (-12 (-5 *2 (-381)) (-5 *1 (-1039)))) (-1445 (*1 *2) (-12 (-5 *2 (-381)) (-5 *1 (-1039))))) 
-(-10 -7 (-15 -1445 ((-381))) (-15 -2281 ((-381))) (-15 -1941 ((-381))) (-15 -2494 ((-381) (-763))) (-15 -2381 ((-1 (-381)) (-381) (-381))) (-15 -2244 ((-1 (-381)) (-381) (-381))) (-15 -3129 ((-1 (-381)) (-381))) (-15 -1369 ((-1 (-381)) (-763))) (-15 -2768 ((-1 (-381)) (-763) (-763))) (-15 -1478 ((-1 (-381)) (-763) (-763))) (-15 -3494 ((-1 (-381)) (-763)))) 
-((-3850 (((-420 |#1|) |#1|) 31))) 
-(((-1040 |#1|) (-10 -7 (-15 -3850 ((-420 |#1|) |#1|))) (-1219 (-409 (-953 (-568))))) (T -1040)) 
-((-3850 (*1 *2 *3) (-12 (-5 *2 (-420 *3)) (-5 *1 (-1040 *3)) (-4 *3 (-1219 (-409 (-953 (-568)))))))) 
-(-10 -7 (-15 -3850 ((-420 |#1|) |#1|))) 
-((-2921 (((-409 (-420 (-953 |#1|))) (-409 (-953 |#1|))) 14))) 
-(((-1041 |#1|) (-10 -7 (-15 -2921 ((-409 (-420 (-953 |#1|))) (-409 (-953 |#1|))))) (-301)) (T -1041)) 
-((-2921 (*1 *2 *3) (-12 (-5 *3 (-409 (-953 *4))) (-4 *4 (-301)) (-5 *2 (-409 (-420 (-953 *4)))) (-5 *1 (-1041 *4))))) 
-(-10 -7 (-15 -2921 ((-409 (-420 (-953 |#1|))) (-409 (-953 |#1|))))) 
-((-2057 (((-634 (-1161)) (-409 (-953 |#1|))) 15)) (-3840 (((-409 (-1157 (-409 (-953 |#1|)))) (-409 (-953 |#1|)) (-1161)) 22)) (-2053 (((-409 (-953 |#1|)) (-409 (-1157 (-409 (-953 |#1|)))) (-1161)) 24)) (-2817 (((-3 (-1161) "failed") (-409 (-953 |#1|))) 18)) (-1339 (((-409 (-953 |#1|)) (-409 (-953 |#1|)) (-634 (-288 (-409 (-953 |#1|))))) 29) (((-409 (-953 |#1|)) (-409 (-953 |#1|)) (-288 (-409 (-953 |#1|)))) 31) (((-409 (-953 |#1|)) (-409 (-953 |#1|)) (-634 (-1161)) (-634 (-409 (-953 |#1|)))) 26) (((-409 (-953 |#1|)) (-409 (-953 |#1|)) (-1161) (-409 (-953 |#1|))) 27)) (-2747 (((-409 (-953 |#1|)) |#1|) 11))) 
-(((-1042 |#1|) (-10 -7 (-15 -2057 ((-634 (-1161)) (-409 (-953 |#1|)))) (-15 -2817 ((-3 (-1161) "failed") (-409 (-953 |#1|)))) (-15 -3840 ((-409 (-1157 (-409 (-953 |#1|)))) (-409 (-953 |#1|)) (-1161))) (-15 -2053 ((-409 (-953 |#1|)) (-409 (-1157 (-409 (-953 |#1|)))) (-1161))) (-15 -1339 ((-409 (-953 |#1|)) (-409 (-953 |#1|)) (-1161) (-409 (-953 |#1|)))) (-15 -1339 ((-409 (-953 |#1|)) (-409 (-953 |#1|)) (-634 (-1161)) (-634 (-409 (-953 |#1|))))) (-15 -1339 ((-409 (-953 |#1|)) (-409 (-953 |#1|)) (-288 (-409 (-953 |#1|))))) (-15 -1339 ((-409 (-953 |#1|)) (-409 (-953 |#1|)) (-634 (-288 (-409 (-953 |#1|)))))) (-15 -2747 ((-409 (-953 |#1|)) |#1|))) (-558)) (T -1042)) 
-((-2747 (*1 *2 *3) (-12 (-5 *2 (-409 (-953 *3))) (-5 *1 (-1042 *3)) (-4 *3 (-558)))) (-1339 (*1 *2 *2 *3) (-12 (-5 *3 (-634 (-288 (-409 (-953 *4))))) (-5 *2 (-409 (-953 *4))) (-4 *4 (-558)) (-5 *1 (-1042 *4)))) (-1339 (*1 *2 *2 *3) (-12 (-5 *3 (-288 (-409 (-953 *4)))) (-5 *2 (-409 (-953 *4))) (-4 *4 (-558)) (-5 *1 (-1042 *4)))) (-1339 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-634 (-1161))) (-5 *4 (-634 (-409 (-953 *5)))) (-5 *2 (-409 (-953 *5))) (-4 *5 (-558)) (-5 *1 (-1042 *5)))) (-1339 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-409 (-953 *4))) (-5 *3 (-1161)) (-4 *4 (-558)) (-5 *1 (-1042 *4)))) (-2053 (*1 *2 *3 *4) (-12 (-5 *3 (-409 (-1157 (-409 (-953 *5))))) (-5 *4 (-1161)) (-5 *2 (-409 (-953 *5))) (-5 *1 (-1042 *5)) (-4 *5 (-558)))) (-3840 (*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-558)) (-5 *2 (-409 (-1157 (-409 (-953 *5))))) (-5 *1 (-1042 *5)) (-5 *3 (-409 (-953 *5))))) (-2817 (*1 *2 *3) (|partial| -12 (-5 *3 (-409 (-953 *4))) (-4 *4 (-558)) (-5 *2 (-1161)) (-5 *1 (-1042 *4)))) (-2057 (*1 *2 *3) (-12 (-5 *3 (-409 (-953 *4))) (-4 *4 (-558)) (-5 *2 (-634 (-1161))) (-5 *1 (-1042 *4))))) 
-(-10 -7 (-15 -2057 ((-634 (-1161)) (-409 (-953 |#1|)))) (-15 -2817 ((-3 (-1161) "failed") (-409 (-953 |#1|)))) (-15 -3840 ((-409 (-1157 (-409 (-953 |#1|)))) (-409 (-953 |#1|)) (-1161))) (-15 -2053 ((-409 (-953 |#1|)) (-409 (-1157 (-409 (-953 |#1|)))) (-1161))) (-15 -1339 ((-409 (-953 |#1|)) (-409 (-953 |#1|)) (-1161) (-409 (-953 |#1|)))) (-15 -1339 ((-409 (-953 |#1|)) (-409 (-953 |#1|)) (-634 (-1161)) (-634 (-409 (-953 |#1|))))) (-15 -1339 ((-409 (-953 |#1|)) (-409 (-953 |#1|)) (-288 (-409 (-953 |#1|))))) (-15 -1339 ((-409 (-953 |#1|)) (-409 (-953 |#1|)) (-634 (-288 (-409 (-953 |#1|)))))) (-15 -2747 ((-409 (-953 |#1|)) |#1|))) 
-((-1847 (((-634 |#1|) (-634 |#1|)) 45)) (-1361 (((-634 |#1|)) 9)) (-2997 (((-2 (|:| |zeros| (-634 |#1|)) (|:| -3917 (-568))) (-1157 |#1|) |#1|) 19)) (-2275 (((-2 (|:| |zeros| (-634 |#1|)) (|:| -3917 (-568))) (-634 (-1157 |#1|)) |#1|) 37))) 
-(((-1043 |#1|) (-10 -7 (-15 -2997 ((-2 (|:| |zeros| (-634 |#1|)) (|:| -3917 (-568))) (-1157 |#1|) |#1|)) (-15 -2275 ((-2 (|:| |zeros| (-634 |#1|)) (|:| -3917 (-568))) (-634 (-1157 |#1|)) |#1|)) (-15 -1361 ((-634 |#1|))) (-15 -1847 ((-634 |#1|) (-634 |#1|)))) (-365)) (T -1043)) 
-((-1847 (*1 *2 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-365)) (-5 *1 (-1043 *3)))) (-1361 (*1 *2) (-12 (-5 *2 (-634 *3)) (-5 *1 (-1043 *3)) (-4 *3 (-365)))) (-2275 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-1157 *4))) (-4 *4 (-365)) (-5 *2 (-2 (|:| |zeros| (-634 *4)) (|:| -3917 (-568)))) (-5 *1 (-1043 *4)))) (-2997 (*1 *2 *3 *4) (-12 (-5 *3 (-1157 *4)) (-4 *4 (-365)) (-5 *2 (-2 (|:| |zeros| (-634 *4)) (|:| -3917 (-568)))) (-5 *1 (-1043 *4))))) 
-(-10 -7 (-15 -2997 ((-2 (|:| |zeros| (-634 |#1|)) (|:| -3917 (-568))) (-1157 |#1|) |#1|)) (-15 -2275 ((-2 (|:| |zeros| (-634 |#1|)) (|:| -3917 (-568))) (-634 (-1157 |#1|)) |#1|)) (-15 -1361 ((-634 |#1|))) (-15 -1847 ((-634 |#1|) (-634 |#1|)))) 
-((-2449 (((-121) $ $) NIL)) (-2213 (((-634 (-2 (|:| -4094 $) (|:| -2133 (-634 (-775 |#1| (-852 |#2|)))))) (-634 (-775 |#1| (-852 |#2|)))) NIL)) (-2353 (((-634 $) (-634 (-775 |#1| (-852 |#2|)))) NIL) (((-634 $) (-634 (-775 |#1| (-852 |#2|))) (-121)) NIL) (((-634 $) (-634 (-775 |#1| (-852 |#2|))) (-121) (-121)) NIL)) (-2057 (((-634 (-852 |#2|)) $) NIL)) (-4141 (((-121) $) NIL)) (-1794 (((-121) $) NIL (|has| |#1| (-558)))) (-4231 (((-121) (-775 |#1| (-852 |#2|)) $) NIL) (((-121) $) NIL)) (-3767 (((-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|)) $) NIL)) (-3045 (((-634 (-2 (|:| |val| (-775 |#1| (-852 |#2|))) (|:| -3145 $))) (-775 |#1| (-852 |#2|)) $) NIL)) (-3647 (((-2 (|:| |under| $) (|:| -4115 $) (|:| |upper| $)) $ (-852 |#2|)) NIL)) (-1667 (((-121) $ (-763)) NIL)) (-2803 (($ (-1 (-121) (-775 |#1| (-852 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-3 (-775 |#1| (-852 |#2|)) "failed") $ (-852 |#2|)) NIL)) (-4490 (($) NIL T CONST)) (-4382 (((-121) $) NIL (|has| |#1| (-558)))) (-1880 (((-121) $ $) NIL (|has| |#1| (-558)))) (-2536 (((-121) $ $) NIL (|has| |#1| (-558)))) (-2343 (((-121) $) NIL (|has| |#1| (-558)))) (-2941 (((-634 (-775 |#1| (-852 |#2|))) (-634 (-775 |#1| (-852 |#2|))) $ (-1 (-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|))) (-1 (-121) (-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|)))) NIL)) (-3993 (((-634 (-775 |#1| (-852 |#2|))) (-634 (-775 |#1| (-852 |#2|))) $) NIL (|has| |#1| (-558)))) (-2727 (((-634 (-775 |#1| (-852 |#2|))) (-634 (-775 |#1| (-852 |#2|))) $) NIL (|has| |#1| (-558)))) (-3668 (((-3 $ "failed") (-634 (-775 |#1| (-852 |#2|)))) NIL)) (-2857 (($ (-634 (-775 |#1| (-852 |#2|)))) NIL)) (-3936 (((-3 $ "failed") $) NIL)) (-3255 (((-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|)) $) NIL)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-775 |#1| (-852 |#2|)) (-1090))))) (-4330 (($ (-775 |#1| (-852 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-775 |#1| (-852 |#2|)) (-1090)))) (($ (-1 (-121) (-775 |#1| (-852 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-2607 (((-2 (|:| |rnum| |#1|) (|:| |polnum| (-775 |#1| (-852 |#2|))) (|:| |den| |#1|)) (-775 |#1| (-852 |#2|)) $) NIL (|has| |#1| (-558)))) (-1359 (((-121) (-775 |#1| (-852 |#2|)) $ (-1 (-121) (-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|)))) NIL)) (-3434 (((-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|)) $) NIL)) (-3094 (((-775 |#1| (-852 |#2|)) (-1 (-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|))) $ (-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|))) NIL (-12 (|has| $ (-6 -4521)) (|has| (-775 |#1| (-852 |#2|)) (-1090)))) (((-775 |#1| (-852 |#2|)) (-1 (-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|))) $ (-775 |#1| (-852 |#2|))) NIL (|has| $ (-6 -4521))) (((-775 |#1| (-852 |#2|)) (-1 (-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|)) $ (-1 (-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|))) (-1 (-121) (-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|)))) NIL)) (-3158 (((-2 (|:| -4094 (-634 (-775 |#1| (-852 |#2|)))) (|:| -2133 (-634 (-775 |#1| (-852 |#2|))))) $) NIL)) (-2451 (((-121) (-775 |#1| (-852 |#2|)) $) NIL)) (-2978 (((-121) (-775 |#1| (-852 |#2|)) $) NIL)) (-1792 (((-121) (-775 |#1| (-852 |#2|)) $) NIL) (((-121) $) NIL)) (-3317 (((-634 (-775 |#1| (-852 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-3764 (((-121) (-775 |#1| (-852 |#2|)) $) NIL) (((-121) $) NIL)) (-4001 (((-852 |#2|) $) NIL)) (-3791 (((-121) $ (-763)) NIL)) (-4406 (((-634 (-775 |#1| (-852 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) (-775 |#1| (-852 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-775 |#1| (-852 |#2|)) (-1090))))) (-2253 (($ (-1 (-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|))) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 (-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|))) $) NIL)) (-2249 (((-634 (-852 |#2|)) $) NIL)) (-1495 (((-121) (-852 |#2|) $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL)) (-1516 (((-3 (-775 |#1| (-852 |#2|)) (-634 $)) (-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|)) $) NIL)) (-3137 (((-634 (-2 (|:| |val| (-775 |#1| (-852 |#2|))) (|:| -3145 $))) (-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|)) $) NIL)) (-4164 (((-3 (-775 |#1| (-852 |#2|)) "failed") $) NIL)) (-3878 (((-634 $) (-775 |#1| (-852 |#2|)) $) NIL)) (-3712 (((-3 (-121) (-634 $)) (-775 |#1| (-852 |#2|)) $) NIL)) (-4266 (((-634 (-2 (|:| |val| (-121)) (|:| -3145 $))) (-775 |#1| (-852 |#2|)) $) NIL) (((-121) (-775 |#1| (-852 |#2|)) $) NIL)) (-1864 (((-634 $) (-775 |#1| (-852 |#2|)) $) NIL) (((-634 $) (-634 (-775 |#1| (-852 |#2|))) $) NIL) (((-634 $) (-634 (-775 |#1| (-852 |#2|))) (-634 $)) NIL) (((-634 $) (-775 |#1| (-852 |#2|)) (-634 $)) NIL)) (-3736 (($ (-775 |#1| (-852 |#2|)) $) NIL) (($ (-634 (-775 |#1| (-852 |#2|))) $) NIL)) (-3882 (((-634 (-775 |#1| (-852 |#2|))) $) NIL)) (-2157 (((-121) (-775 |#1| (-852 |#2|)) $) NIL) (((-121) $) NIL)) (-1315 (((-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|)) $) NIL)) (-4342 (((-121) $ $) NIL)) (-1440 (((-2 (|:| |num| (-775 |#1| (-852 |#2|))) (|:| |den| |#1|)) (-775 |#1| (-852 |#2|)) $) NIL (|has| |#1| (-558)))) (-3236 (((-121) (-775 |#1| (-852 |#2|)) $) NIL) (((-121) $) NIL)) (-1452 (((-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|)) $) NIL)) (-4025 (((-1108) $) NIL)) (-3877 (((-3 (-775 |#1| (-852 |#2|)) "failed") $) NIL)) (-2712 (((-3 (-775 |#1| (-852 |#2|)) "failed") (-1 (-121) (-775 |#1| (-852 |#2|))) $) NIL)) (-3413 (((-3 $ "failed") $ (-775 |#1| (-852 |#2|))) NIL)) (-2168 (($ $ (-775 |#1| (-852 |#2|))) NIL) (((-634 $) (-775 |#1| (-852 |#2|)) $) NIL) (((-634 $) (-775 |#1| (-852 |#2|)) (-634 $)) NIL) (((-634 $) (-634 (-775 |#1| (-852 |#2|))) $) NIL) (((-634 $) (-634 (-775 |#1| (-852 |#2|))) (-634 $)) NIL)) (-3951 (((-121) (-1 (-121) (-775 |#1| (-852 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-775 |#1| (-852 |#2|))) (-634 (-775 |#1| (-852 |#2|)))) NIL (-12 (|has| (-775 |#1| (-852 |#2|)) (-303 (-775 |#1| (-852 |#2|)))) (|has| (-775 |#1| (-852 |#2|)) (-1090)))) (($ $ (-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|))) NIL (-12 (|has| (-775 |#1| (-852 |#2|)) (-303 (-775 |#1| (-852 |#2|)))) (|has| (-775 |#1| (-852 |#2|)) (-1090)))) (($ $ (-288 (-775 |#1| (-852 |#2|)))) NIL (-12 (|has| (-775 |#1| (-852 |#2|)) (-303 (-775 |#1| (-852 |#2|)))) (|has| (-775 |#1| (-852 |#2|)) (-1090)))) (($ $ (-634 (-288 (-775 |#1| (-852 |#2|))))) NIL (-12 (|has| (-775 |#1| (-852 |#2|)) (-303 (-775 |#1| (-852 |#2|)))) (|has| (-775 |#1| (-852 |#2|)) (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-1836 (((-763) $) NIL)) (-4170 (((-763) (-775 |#1| (-852 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-775 |#1| (-852 |#2|)) (-1090)))) (((-763) (-1 (-121) (-775 |#1| (-852 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) NIL (|has| (-775 |#1| (-852 |#2|)) (-609 (-541))))) (-4289 (($ (-634 (-775 |#1| (-852 |#2|)))) NIL)) (-3206 (($ $ (-852 |#2|)) NIL)) (-2527 (($ $ (-852 |#2|)) NIL)) (-4392 (($ $) NIL)) (-4332 (($ $ (-852 |#2|)) NIL)) (-2747 (((-850) $) NIL) (((-634 (-775 |#1| (-852 |#2|))) $) NIL)) (-2524 (((-763) $) NIL (|has| (-852 |#2|) (-370)))) (-2835 (((-3 (-2 (|:| |bas| $) (|:| -2618 (-634 (-775 |#1| (-852 |#2|))))) "failed") (-634 (-775 |#1| (-852 |#2|))) (-1 (-121) (-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|)))) NIL) (((-3 (-2 (|:| |bas| $) (|:| -2618 (-634 (-775 |#1| (-852 |#2|))))) "failed") (-634 (-775 |#1| (-852 |#2|))) (-1 (-121) (-775 |#1| (-852 |#2|))) (-1 (-121) (-775 |#1| (-852 |#2|)) (-775 |#1| (-852 |#2|)))) NIL)) (-2145 (((-121) $ (-1 (-121) (-775 |#1| (-852 |#2|)) (-634 (-775 |#1| (-852 |#2|))))) NIL)) (-1977 (((-634 $) (-775 |#1| (-852 |#2|)) $) NIL) (((-634 $) (-775 |#1| (-852 |#2|)) (-634 $)) NIL) (((-634 $) (-634 (-775 |#1| (-852 |#2|))) $) NIL) (((-634 $) (-634 (-775 |#1| (-852 |#2|))) (-634 $)) NIL)) (-3437 (((-121) (-1 (-121) (-775 |#1| (-852 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-3321 (((-634 (-852 |#2|)) $) NIL)) (-3541 (((-121) (-775 |#1| (-852 |#2|)) $) NIL)) (-1413 (((-121) (-852 |#2|) $) NIL)) (-1719 (((-121) $ $) NIL)) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-1044 |#1| |#2|) (-13 (-1066 |#1| (-534 (-852 |#2|)) (-852 |#2|) (-775 |#1| (-852 |#2|))) (-10 -8 (-15 -2353 ((-634 $) (-634 (-775 |#1| (-852 |#2|))) (-121) (-121))))) (-453) (-634 (-1161))) (T -1044)) 
-((-2353 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-634 (-775 *5 (-852 *6)))) (-5 *4 (-121)) (-4 *5 (-453)) (-14 *6 (-634 (-1161))) (-5 *2 (-634 (-1044 *5 *6))) (-5 *1 (-1044 *5 *6))))) 
-(-13 (-1066 |#1| (-534 (-852 |#2|)) (-852 |#2|) (-775 |#1| (-852 |#2|))) (-10 -8 (-15 -2353 ((-634 $) (-634 (-775 |#1| (-852 |#2|))) (-121) (-121))))) 
-((-2381 (((-1 (-568)) (-1084 (-568))) 33)) (-1381 (((-568) (-568) (-568) (-568) (-568)) 30)) (-3269 (((-1 (-568)) |RationalNumber|) NIL)) (-2323 (((-1 (-568)) |RationalNumber|) NIL)) (-3584 (((-1 (-568)) (-568) |RationalNumber|) NIL))) 
-(((-1045) (-10 -7 (-15 -2381 ((-1 (-568)) (-1084 (-568)))) (-15 -3584 ((-1 (-568)) (-568) |RationalNumber|)) (-15 -3269 ((-1 (-568)) |RationalNumber|)) (-15 -2323 ((-1 (-568)) |RationalNumber|)) (-15 -1381 ((-568) (-568) (-568) (-568) (-568))))) (T -1045)) 
-((-1381 (*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-1045)))) (-2323 (*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-568))) (-5 *1 (-1045)))) (-3269 (*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-568))) (-5 *1 (-1045)))) (-3584 (*1 *2 *3 *4) (-12 (-5 *4 |RationalNumber|) (-5 *2 (-1 (-568))) (-5 *1 (-1045)) (-5 *3 (-568)))) (-2381 (*1 *2 *3) (-12 (-5 *3 (-1084 (-568))) (-5 *2 (-1 (-568))) (-5 *1 (-1045))))) 
-(-10 -7 (-15 -2381 ((-1 (-568)) (-1084 (-568)))) (-15 -3584 ((-1 (-568)) (-568) |RationalNumber|)) (-15 -3269 ((-1 (-568)) |RationalNumber|)) (-15 -2323 ((-1 (-568)) |RationalNumber|)) (-15 -1381 ((-568) (-568) (-568) (-568) (-568)))) 
-((-2747 (((-850) $) NIL) (($ (-568)) 10))) 
-(((-1046 |#1|) (-10 -8 (-15 -2747 (|#1| (-568))) (-15 -2747 ((-850) |#1|))) (-1047)) (T -1046)) 
-NIL 
-(-10 -8 (-15 -2747 (|#1| (-568))) (-15 -2747 ((-850) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-2902 (((-3 $ "failed") $) 33)) (-1598 (((-121) $) 30)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11) (($ (-568)) 27)) (-3425 (((-763)) 28)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23))) 
-(((-1047) (-1275)) (T -1047)) 
-((-3425 (*1 *2) (-12 (-4 *1 (-1047)) (-5 *2 (-763)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-1047))))) 
-(-13 (-1054) (-716) (-637 $) (-10 -8 (-15 -3425 ((-763))) (-15 -2747 ($ (-568))) (-6 -4518))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-137) . T) ((-608 (-850)) . T) ((-637 $) . T) ((-716) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-2709 (((-409 (-953 |#2|)) (-634 |#2|) (-634 |#2|) (-763) (-763)) 45))) 
-(((-1048 |#1| |#2|) (-10 -7 (-15 -2709 ((-409 (-953 |#2|)) (-634 |#2|) (-634 |#2|) (-763) (-763)))) (-1161) (-365)) (T -1048)) 
-((-2709 (*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-634 *6)) (-5 *4 (-763)) (-4 *6 (-365)) (-5 *2 (-409 (-953 *6))) (-5 *1 (-1048 *5 *6)) (-14 *5 (-1161))))) 
-(-10 -7 (-15 -2709 ((-409 (-953 |#2|)) (-634 |#2|) (-634 |#2|) (-763) (-763)))) 
-((-3560 (((-121) $) 27)) (-3691 (((-121) $) 16)) (-2241 (((-763) $) 13)) (-1901 (((-763) $) 14)) (-4322 (((-121) $) 25)) (-2675 (((-121) $) 29))) 
-(((-1049 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -8 (-15 -1901 ((-763) |#1|)) (-15 -2241 ((-763) |#1|)) (-15 -2675 ((-121) |#1|)) (-15 -3560 ((-121) |#1|)) (-15 -4322 ((-121) |#1|)) (-15 -3691 ((-121) |#1|))) (-1050 |#2| |#3| |#4| |#5| |#6|) (-763) (-763) (-1047) (-230 |#3| |#4|) (-230 |#2| |#4|)) (T -1049)) 
-NIL 
-(-10 -8 (-15 -1901 ((-763) |#1|)) (-15 -2241 ((-763) |#1|)) (-15 -2675 ((-121) |#1|)) (-15 -3560 ((-121) |#1|)) (-15 -4322 ((-121) |#1|)) (-15 -3691 ((-121) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-3560 (((-121) $) 48)) (-2689 (((-3 $ "failed") $ $) 18)) (-3691 (((-121) $) 50)) (-1667 (((-121) $ (-763)) 58)) (-4490 (($) 16 T CONST)) (-3912 (($ $) 31 (|has| |#3| (-301)))) (-2228 ((|#4| $ (-568)) 36)) (-2371 (((-763) $) 30 (|has| |#3| (-558)))) (-2069 ((|#3| $ (-568) (-568)) 38)) (-3317 (((-634 |#3|) $) 65 (|has| $ (-6 -4521)))) (-3344 (((-763) $) 29 (|has| |#3| (-558)))) (-2934 (((-634 |#5|) $) 28 (|has| |#3| (-558)))) (-2241 (((-763) $) 42)) (-1901 (((-763) $) 41)) (-3791 (((-121) $ (-763)) 57)) (-3139 (((-568) $) 46)) (-1343 (((-568) $) 44)) (-4406 (((-634 |#3|) $) 66 (|has| $ (-6 -4521)))) (-2551 (((-121) |#3| $) 68 (-12 (|has| |#3| (-1090)) (|has| $ (-6 -4521))))) (-3405 (((-568) $) 45)) (-2801 (((-568) $) 43)) (-2271 (($ (-634 (-634 |#3|))) 51)) (-2253 (($ (-1 |#3| |#3|) $) 61 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#3| |#3|) $) 60) (($ (-1 |#3| |#3| |#3|) $ $) 34)) (-1843 (((-634 (-634 |#3|)) $) 40)) (-3796 (((-121) $ (-763)) 56)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2597 (((-3 $ "failed") $ |#3|) 33 (|has| |#3| (-558)))) (-3951 (((-121) (-1 (-121) |#3|) $) 63 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 |#3|) (-634 |#3|)) 72 (-12 (|has| |#3| (-303 |#3|)) (|has| |#3| (-1090)))) (($ $ |#3| |#3|) 71 (-12 (|has| |#3| (-303 |#3|)) (|has| |#3| (-1090)))) (($ $ (-288 |#3|)) 70 (-12 (|has| |#3| (-303 |#3|)) (|has| |#3| (-1090)))) (($ $ (-634 (-288 |#3|))) 69 (-12 (|has| |#3| (-303 |#3|)) (|has| |#3| (-1090))))) (-1702 (((-121) $ $) 52)) (-2436 (((-121) $) 55)) (-1990 (($) 54)) (-2781 ((|#3| $ (-568) (-568)) 39) ((|#3| $ (-568) (-568) |#3|) 37)) (-4322 (((-121) $) 49)) (-4170 (((-763) |#3| $) 67 (-12 (|has| |#3| (-1090)) (|has| $ (-6 -4521)))) (((-763) (-1 (-121) |#3|) $) 64 (|has| $ (-6 -4521)))) (-3865 (($ $) 53)) (-2522 ((|#5| $ (-568)) 35)) (-2747 (((-850) $) 11)) (-3437 (((-121) (-1 (-121) |#3|) $) 62 (|has| $ (-6 -4521)))) (-2675 (((-121) $) 47)) (-3058 (($) 17 T CONST)) (-1719 (((-121) $ $) 6)) (-1781 (($ $ |#3|) 32 (|has| |#3| (-365)))) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ |#3| $) 22) (($ $ |#3|) 24)) (-1699 (((-763) $) 59 (|has| $ (-6 -4521))))) 
-(((-1050 |#1| |#2| |#3| |#4| |#5|) (-1275) (-763) (-763) (-1047) (-230 |t#2| |t#3|) (-230 |t#1| |t#3|)) (T -1050)) 
-((-2797 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *5 *5)) (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)))) (-2271 (*1 *1 *2) (-12 (-5 *2 (-634 (-634 *5))) (-4 *5 (-1047)) (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)))) (-3691 (*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-5 *2 (-121)))) (-4322 (*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-5 *2 (-121)))) (-3560 (*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-5 *2 (-121)))) (-2675 (*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-5 *2 (-121)))) (-3139 (*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-5 *2 (-568)))) (-3405 (*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-5 *2 (-568)))) (-1343 (*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-5 *2 (-568)))) (-2801 (*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-5 *2 (-568)))) (-2241 (*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-5 *2 (-763)))) (-1901 (*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-5 *2 (-763)))) (-1843 (*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-5 *2 (-634 (-634 *5))))) (-2781 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-568)) (-4 *1 (-1050 *4 *5 *2 *6 *7)) (-4 *6 (-230 *5 *2)) (-4 *7 (-230 *4 *2)) (-4 *2 (-1047)))) (-2069 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-568)) (-4 *1 (-1050 *4 *5 *2 *6 *7)) (-4 *6 (-230 *5 *2)) (-4 *7 (-230 *4 *2)) (-4 *2 (-1047)))) (-2781 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-568)) (-4 *1 (-1050 *4 *5 *2 *6 *7)) (-4 *2 (-1047)) (-4 *6 (-230 *5 *2)) (-4 *7 (-230 *4 *2)))) (-2228 (*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-1050 *4 *5 *6 *2 *7)) (-4 *6 (-1047)) (-4 *7 (-230 *4 *6)) (-4 *2 (-230 *5 *6)))) (-2522 (*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-1050 *4 *5 *6 *7 *2)) (-4 *6 (-1047)) (-4 *7 (-230 *5 *6)) (-4 *2 (-230 *4 *6)))) (-2797 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *5 *5 *5)) (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)))) (-2597 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1050 *3 *4 *2 *5 *6)) (-4 *2 (-1047)) (-4 *5 (-230 *4 *2)) (-4 *6 (-230 *3 *2)) (-4 *2 (-558)))) (-1781 (*1 *1 *1 *2) (-12 (-4 *1 (-1050 *3 *4 *2 *5 *6)) (-4 *2 (-1047)) (-4 *5 (-230 *4 *2)) (-4 *6 (-230 *3 *2)) (-4 *2 (-365)))) (-3912 (*1 *1 *1) (-12 (-4 *1 (-1050 *2 *3 *4 *5 *6)) (-4 *4 (-1047)) (-4 *5 (-230 *3 *4)) (-4 *6 (-230 *2 *4)) (-4 *4 (-301)))) (-2371 (*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-4 *5 (-558)) (-5 *2 (-763)))) (-3344 (*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-4 *5 (-558)) (-5 *2 (-763)))) (-2934 (*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-4 *5 (-558)) (-5 *2 (-634 *7))))) 
-(-13 (-120 |t#3| |t#3|) (-499 |t#3|) (-10 -8 (-6 -4521) (IF (|has| |t#3| (-172)) (-6 (-707 |t#3|)) |noBranch|) (-15 -2271 ($ (-634 (-634 |t#3|)))) (-15 -3691 ((-121) $)) (-15 -4322 ((-121) $)) (-15 -3560 ((-121) $)) (-15 -2675 ((-121) $)) (-15 -3139 ((-568) $)) (-15 -3405 ((-568) $)) (-15 -1343 ((-568) $)) (-15 -2801 ((-568) $)) (-15 -2241 ((-763) $)) (-15 -1901 ((-763) $)) (-15 -1843 ((-634 (-634 |t#3|)) $)) (-15 -2781 (|t#3| $ (-568) (-568))) (-15 -2069 (|t#3| $ (-568) (-568))) (-15 -2781 (|t#3| $ (-568) (-568) |t#3|)) (-15 -2228 (|t#4| $ (-568))) (-15 -2522 (|t#5| $ (-568))) (-15 -2797 ($ (-1 |t#3| |t#3|) $)) (-15 -2797 ($ (-1 |t#3| |t#3| |t#3|) $ $)) (IF (|has| |t#3| (-558)) (-15 -2597 ((-3 $ "failed") $ |t#3|)) |noBranch|) (IF (|has| |t#3| (-365)) (-15 -1781 ($ $ |t#3|)) |noBranch|) (IF (|has| |t#3| (-301)) (-15 -3912 ($ $)) |noBranch|) (IF (|has| |t#3| (-558)) (PROGN (-15 -2371 ((-763) $)) (-15 -3344 ((-763) $)) (-15 -2934 ((-634 |t#5|) $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-39) . T) ((-105) . T) ((-120 |#3| |#3|) . T) ((-137) . T) ((-608 (-850)) . T) ((-303 |#3|) -12 (|has| |#3| (-303 |#3|)) (|has| |#3| (-1090))) ((-499 |#3|) . T) ((-523 |#3| |#3|) -12 (|has| |#3| (-303 |#3|)) (|has| |#3| (-1090))) ((-637 |#3|) . T) ((-707 |#3|) |has| |#3| (-172)) ((-1053 |#3|) . T) ((-1090) . T) ((-1195) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-3560 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3691 (((-121) $) NIL)) (-1667 (((-121) $ (-763)) NIL)) (-4490 (($) NIL T CONST)) (-3912 (($ $) 40 (|has| |#3| (-301)))) (-2228 (((-232 |#2| |#3|) $ (-568)) 29)) (-3938 (($ (-679 |#3|)) 38)) (-2371 (((-763) $) 42 (|has| |#3| (-558)))) (-2069 ((|#3| $ (-568) (-568)) NIL)) (-3317 (((-634 |#3|) $) NIL (|has| $ (-6 -4521)))) (-3344 (((-763) $) 44 (|has| |#3| (-558)))) (-2934 (((-634 (-232 |#1| |#3|)) $) 48 (|has| |#3| (-558)))) (-2241 (((-763) $) NIL)) (-1901 (((-763) $) NIL)) (-3791 (((-121) $ (-763)) NIL)) (-3139 (((-568) $) NIL)) (-1343 (((-568) $) NIL)) (-4406 (((-634 |#3|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#3| (-1090))))) (-3405 (((-568) $) NIL)) (-2801 (((-568) $) NIL)) (-2271 (($ (-634 (-634 |#3|))) 24)) (-2253 (($ (-1 |#3| |#3|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#3| |#3|) $) NIL) (($ (-1 |#3| |#3| |#3|) $ $) NIL)) (-1843 (((-634 (-634 |#3|)) $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2597 (((-3 $ "failed") $ |#3|) NIL (|has| |#3| (-558)))) (-3951 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 |#3|) (-634 |#3|)) NIL (-12 (|has| |#3| (-303 |#3|)) (|has| |#3| (-1090)))) (($ $ |#3| |#3|) NIL (-12 (|has| |#3| (-303 |#3|)) (|has| |#3| (-1090)))) (($ $ (-288 |#3|)) NIL (-12 (|has| |#3| (-303 |#3|)) (|has| |#3| (-1090)))) (($ $ (-634 (-288 |#3|))) NIL (-12 (|has| |#3| (-303 |#3|)) (|has| |#3| (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#3| $ (-568) (-568)) NIL) ((|#3| $ (-568) (-568) |#3|) NIL)) (-3108 (((-139)) 51 (|has| |#3| (-365)))) (-4322 (((-121) $) NIL)) (-4170 (((-763) |#3| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#3| (-1090)))) (((-763) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4521)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) 60 (|has| |#3| (-609 (-541))))) (-2522 (((-232 |#1| |#3|) $ (-568)) 33)) (-2747 (((-850) $) 16) (((-679 |#3|) $) 35)) (-3437 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4521)))) (-2675 (((-121) $) NIL)) (-3058 (($) 13 T CONST)) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ |#3|) NIL (|has| |#3| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ |#3| $) NIL) (($ $ |#3|) NIL)) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-1051 |#1| |#2| |#3|) (-13 (-1050 |#1| |#2| |#3| (-232 |#2| |#3|) (-232 |#1| |#3|)) (-608 (-679 |#3|)) (-10 -8 (IF (|has| |#3| (-365)) (-6 (-1251 |#3|)) |noBranch|) (IF (|has| |#3| (-609 (-541))) (-6 (-609 (-541))) |noBranch|) (-15 -3938 ($ (-679 |#3|))) (-15 -2747 ((-679 |#3|) $)))) (-763) (-763) (-1047)) (T -1051)) 
-((-2747 (*1 *2 *1) (-12 (-5 *2 (-679 *5)) (-5 *1 (-1051 *3 *4 *5)) (-14 *3 (-763)) (-14 *4 (-763)) (-4 *5 (-1047)))) (-3938 (*1 *1 *2) (-12 (-5 *2 (-679 *5)) (-4 *5 (-1047)) (-5 *1 (-1051 *3 *4 *5)) (-14 *3 (-763)) (-14 *4 (-763))))) 
-(-13 (-1050 |#1| |#2| |#3| (-232 |#2| |#3|) (-232 |#1| |#3|)) (-608 (-679 |#3|)) (-10 -8 (IF (|has| |#3| (-365)) (-6 (-1251 |#3|)) |noBranch|) (IF (|has| |#3| (-609 (-541))) (-6 (-609 (-541))) |noBranch|) (-15 -3938 ($ (-679 |#3|))) (-15 -2747 ((-679 |#3|) $)))) 
-((-3094 ((|#7| (-1 |#7| |#3| |#7|) |#6| |#7|) 34)) (-2797 ((|#10| (-1 |#7| |#3|) |#6|) 32))) 
-(((-1052 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10|) (-10 -7 (-15 -2797 (|#10| (-1 |#7| |#3|) |#6|)) (-15 -3094 (|#7| (-1 |#7| |#3| |#7|) |#6| |#7|))) (-763) (-763) (-1047) (-230 |#2| |#3|) (-230 |#1| |#3|) (-1050 |#1| |#2| |#3| |#4| |#5|) (-1047) (-230 |#2| |#7|) (-230 |#1| |#7|) (-1050 |#1| |#2| |#7| |#8| |#9|)) (T -1052)) 
-((-3094 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *7 *2)) (-4 *7 (-1047)) (-4 *2 (-1047)) (-14 *5 (-763)) (-14 *6 (-763)) (-4 *8 (-230 *6 *7)) (-4 *9 (-230 *5 *7)) (-4 *10 (-230 *6 *2)) (-4 *11 (-230 *5 *2)) (-5 *1 (-1052 *5 *6 *7 *8 *9 *4 *2 *10 *11 *12)) (-4 *4 (-1050 *5 *6 *7 *8 *9)) (-4 *12 (-1050 *5 *6 *2 *10 *11)))) (-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *10 *7)) (-4 *7 (-1047)) (-4 *10 (-1047)) (-14 *5 (-763)) (-14 *6 (-763)) (-4 *8 (-230 *6 *7)) (-4 *9 (-230 *5 *7)) (-4 *2 (-1050 *5 *6 *10 *11 *12)) (-5 *1 (-1052 *5 *6 *7 *8 *9 *4 *10 *11 *12 *2)) (-4 *4 (-1050 *5 *6 *7 *8 *9)) (-4 *11 (-230 *6 *10)) (-4 *12 (-230 *5 *10))))) 
-(-10 -7 (-15 -2797 (|#10| (-1 |#7| |#3|) |#6|)) (-15 -3094 (|#7| (-1 |#7| |#3| |#7|) |#6| |#7|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-3058 (($) 17 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ |#1|) 22))) 
-(((-1053 |#1|) (-1275) (-1054)) (T -1053)) 
-((* (*1 *1 *1 *2) (-12 (-4 *1 (-1053 *2)) (-4 *2 (-1054))))) 
+((-2261 (($ $ (-1083 $)) 7) (($ $ (-1163)) 6))) 
+(((-960) (-1278)) (T -960)) 
+((-2261 (*1 *1 *1 *2) (-12 (-5 *2 (-1083 *1)) (-4 *1 (-960)))) (-2261 (*1 *1 *1 *2) (-12 (-4 *1 (-960)) (-5 *2 (-1163))))) 
+(-13 (-10 -8 (-15 -2261 ($ $ (-1163))) (-15 -2261 ($ $ (-1083 $))))) 
+((-3188 (((-2 (|:| -4140 (-635 (-569))) (|:| |poly| (-635 (-1159 |#1|))) (|:| |prim| (-1159 |#1|))) (-635 (-954 |#1|)) (-635 (-1163)) (-1163)) 23) (((-2 (|:| -4140 (-635 (-569))) (|:| |poly| (-635 (-1159 |#1|))) (|:| |prim| (-1159 |#1|))) (-635 (-954 |#1|)) (-635 (-1163))) 24) (((-2 (|:| |coef1| (-569)) (|:| |coef2| (-569)) (|:| |prim| (-1159 |#1|))) (-954 |#1|) (-1163) (-954 |#1|) (-1163)) 41))) 
+(((-961 |#1|) (-10 -7 (-15 -3188 ((-2 (|:| |coef1| (-569)) (|:| |coef2| (-569)) (|:| |prim| (-1159 |#1|))) (-954 |#1|) (-1163) (-954 |#1|) (-1163))) (-15 -3188 ((-2 (|:| -4140 (-635 (-569))) (|:| |poly| (-635 (-1159 |#1|))) (|:| |prim| (-1159 |#1|))) (-635 (-954 |#1|)) (-635 (-1163)))) (-15 -3188 ((-2 (|:| -4140 (-635 (-569))) (|:| |poly| (-635 (-1159 |#1|))) (|:| |prim| (-1159 |#1|))) (-635 (-954 |#1|)) (-635 (-1163)) (-1163)))) (-13 (-366) (-151))) (T -961)) 
+((-3188 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-954 *6))) (-5 *4 (-635 (-1163))) (-5 *5 (-1163)) (-4 *6 (-13 (-366) (-151))) (-5 *2 (-2 (|:| -4140 (-635 (-569))) (|:| |poly| (-635 (-1159 *6))) (|:| |prim| (-1159 *6)))) (-5 *1 (-961 *6)))) (-3188 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-635 (-1163))) (-4 *5 (-13 (-366) (-151))) (-5 *2 (-2 (|:| -4140 (-635 (-569))) (|:| |poly| (-635 (-1159 *5))) (|:| |prim| (-1159 *5)))) (-5 *1 (-961 *5)))) (-3188 (*1 *2 *3 *4 *3 *4) (-12 (-5 *3 (-954 *5)) (-5 *4 (-1163)) (-4 *5 (-13 (-366) (-151))) (-5 *2 (-2 (|:| |coef1| (-569)) (|:| |coef2| (-569)) (|:| |prim| (-1159 *5)))) (-5 *1 (-961 *5))))) 
+(-10 -7 (-15 -3188 ((-2 (|:| |coef1| (-569)) (|:| |coef2| (-569)) (|:| |prim| (-1159 |#1|))) (-954 |#1|) (-1163) (-954 |#1|) (-1163))) (-15 -3188 ((-2 (|:| -4140 (-635 (-569))) (|:| |poly| (-635 (-1159 |#1|))) (|:| |prim| (-1159 |#1|))) (-635 (-954 |#1|)) (-635 (-1163)))) (-15 -3188 ((-2 (|:| -4140 (-635 (-569))) (|:| |poly| (-635 (-1159 |#1|))) (|:| |prim| (-1159 |#1|))) (-635 (-954 |#1|)) (-635 (-1163)) (-1163)))) 
+((-2191 (((-635 |#1|) |#1| |#1|) 42)) (-3726 (((-121) |#1|) 39)) (-1820 ((|#1| |#1|) 64)) (-3655 ((|#1| |#1|) 63))) 
+(((-962 |#1|) (-10 -7 (-15 -3726 ((-121) |#1|)) (-15 -3655 (|#1| |#1|)) (-15 -1820 (|#1| |#1|)) (-15 -2191 ((-635 |#1|) |#1| |#1|))) (-551)) (T -962)) 
+((-2191 (*1 *2 *3 *3) (-12 (-5 *2 (-635 *3)) (-5 *1 (-962 *3)) (-4 *3 (-551)))) (-1820 (*1 *2 *2) (-12 (-5 *1 (-962 *2)) (-4 *2 (-551)))) (-3655 (*1 *2 *2) (-12 (-5 *1 (-962 *2)) (-4 *2 (-551)))) (-3726 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-962 *3)) (-4 *3 (-551))))) 
+(-10 -7 (-15 -3726 ((-121) |#1|)) (-15 -3655 (|#1| |#1|)) (-15 -1820 (|#1| |#1|)) (-15 -2191 ((-635 |#1|) |#1| |#1|))) 
+((-2988 (((-1252) (-851)) 9))) 
+(((-963) (-10 -7 (-15 -2988 ((-1252) (-851))))) (T -963)) 
+((-2988 (*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1252)) (-5 *1 (-963))))) 
+(-10 -7 (-15 -2988 ((-1252) (-851)))) 
+((-4351 (((-635 |#5|) |#3| (-635 |#3|)) 70)) (-1366 (((-635 |#5|) |#3|) 45)) (-1818 (((-635 |#5|) |#3| (-918)) 58)) (-2557 (((-635 |#5|) (-635 |#3|)) 48))) 
+(((-964 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4351 ((-635 |#5|) |#3| (-635 |#3|))) (-15 -1366 ((-635 |#5|) |#3|)) (-15 -2557 ((-635 |#5|) (-635 |#3|))) (-15 -1818 ((-635 |#5|) |#3| (-918)))) (-366) (-635 (-1163)) (-951 |#1| |#4| (-853 |#2|)) (-231 (-4168 |#2|) (-764)) (-972 |#1|)) (T -964)) 
+((-1818 (*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-5 *2 (-635 *8)) (-5 *1 (-964 *5 *6 *3 *7 *8)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *8 (-972 *5)))) (-2557 (*1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-5 *2 (-635 *8)) (-5 *1 (-964 *4 *5 *6 *7 *8)) (-4 *8 (-972 *4)))) (-1366 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-231 (-4168 *5) (-764))) (-5 *2 (-635 *7)) (-5 *1 (-964 *4 *5 *3 *6 *7)) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *7 (-972 *4)))) (-4351 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 *8)) (-5 *1 (-964 *5 *6 *3 *7 *8)) (-4 *8 (-972 *5))))) 
+(-10 -7 (-15 -4351 ((-635 |#5|) |#3| (-635 |#3|))) (-15 -1366 ((-635 |#5|) |#3|)) (-15 -2557 ((-635 |#5|) (-635 |#3|))) (-15 -1818 ((-635 |#5|) |#3| (-918)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 62 (|has| |#1| (-559)))) (-3383 (($ $) 63 (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) 28)) (-2428 (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) NIL)) (-4020 (($ $) 24)) (-3428 (((-3 $ "failed") $) 35)) (-1340 (($ $) NIL (|has| |#1| (-454)))) (-1667 (($ $ |#1| |#2| $) 47)) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) 16)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| |#2|) NIL)) (-4002 ((|#2| $) 19)) (-2658 (($ (-1 |#2| |#2|) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-1804 (($ $) 23)) (-4012 ((|#1| $) 21)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) 40)) (-1801 ((|#1| $) NIL)) (-3877 (($ $ |#2| |#1| $) 71 (-12 (|has| |#2| (-138)) (|has| |#1| (-559))))) (-2941 (((-3 $ "failed") $ $) 73 (|has| |#1| (-559))) (((-3 $ "failed") $ |#1|) 69 (|has| |#1| (-559)))) (-2492 ((|#2| $) 17)) (-3298 ((|#1| $) NIL (|has| |#1| (-454)))) (-2185 (((-851) $) NIL) (($ (-569)) 39) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) 34) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569))))))) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ |#2|) 31)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) 15)) (-4086 (($ $ $ (-764)) 58 (|has| |#1| (-173)))) (-1961 (((-121) $ $) 68 (|has| |#1| (-559)))) (-2427 (($ $ (-918)) 54) (($ $ (-764)) 55)) (-3369 (($) 22 T CONST)) (-1556 (($) 12 T CONST)) (-1668 (((-121) $ $) 67)) (-1715 (($ $ |#1|) 74 (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) 53) (($ $ (-764)) 51)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 50) (($ $ |#1|) 49) (($ |#1| $) 48) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-965 |#1| |#2|) (-13 (-325 |#1| |#2|) (-10 -8 (IF (|has| |#1| (-559)) (IF (|has| |#2| (-138)) (-15 -3877 ($ $ |#2| |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4533)) (-6 -4533) |noBranch|))) (-1048) (-788)) (T -965)) 
+((-3877 (*1 *1 *1 *2 *3 *1) (-12 (-5 *1 (-965 *3 *2)) (-4 *2 (-138)) (-4 *3 (-559)) (-4 *3 (-1048)) (-4 *2 (-788))))) 
+(-13 (-325 |#1| |#2|) (-10 -8 (IF (|has| |#1| (-559)) (IF (|has| |#2| (-138)) (-15 -3877 ($ $ |#2| |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4533)) (-6 -4533) |noBranch|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL (-2232 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-789)) (|has| |#2| (-789)))))) (-1498 (($ $ $) 63 (-12 (|has| |#1| (-789)) (|has| |#2| (-789))))) (-2327 (((-3 $ "failed") $ $) 50 (-2232 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-789)) (|has| |#2| (-789)))))) (-2085 (((-764)) 34 (-12 (|has| |#1| (-371)) (|has| |#2| (-371))))) (-3132 ((|#2| $) 21)) (-2481 ((|#1| $) 20)) (-2820 (($) NIL (-2232 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-717)) (|has| |#2| (-717))) (-12 (|has| |#1| (-789)) (|has| |#2| (-789)))) CONST)) (-3428 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-717)) (|has| |#2| (-717)))))) (-4327 (($) NIL (-12 (|has| |#1| (-371)) (|has| |#2| (-371))))) (-1407 (((-121) $) NIL (-2232 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-717)) (|has| |#2| (-717)))))) (-3291 (($ $ $) NIL (-2232 (-12 (|has| |#1| (-789)) (|has| |#2| (-789))) (-12 (|has| |#1| (-843)) (|has| |#2| (-843)))))) (-1538 (($ $ $) NIL (-2232 (-12 (|has| |#1| (-789)) (|has| |#2| (-789))) (-12 (|has| |#1| (-843)) (|has| |#2| (-843)))))) (-2577 (($ |#1| |#2|) 19)) (-2083 (((-918) $) NIL (-12 (|has| |#1| (-371)) (|has| |#2| (-371))))) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 37 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))))) (-3998 (($ (-918)) NIL (-12 (|has| |#1| (-371)) (|has| |#2| (-371))))) (-3360 (((-1109) $) NIL)) (-1414 (($ $ $) NIL (-12 (|has| |#1| (-479)) (|has| |#2| (-479))))) (-4293 (($ $ $) NIL (-12 (|has| |#1| (-479)) (|has| |#2| (-479))))) (-2185 (((-851) $) 14)) (-2427 (($ $ (-569)) NIL (-12 (|has| |#1| (-479)) (|has| |#2| (-479)))) (($ $ (-764)) NIL (-2232 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-717)) (|has| |#2| (-717))))) (($ $ (-918)) NIL (-2232 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-717)) (|has| |#2| (-717)))))) (-3369 (($) 40 (-2232 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-789)) (|has| |#2| (-789)))) CONST)) (-1556 (($) 24 (-2232 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-717)) (|has| |#2| (-717)))) CONST)) (-1693 (((-121) $ $) NIL (-2232 (-12 (|has| |#1| (-789)) (|has| |#2| (-789))) (-12 (|has| |#1| (-843)) (|has| |#2| (-843)))))) (-1684 (((-121) $ $) NIL (-2232 (-12 (|has| |#1| (-789)) (|has| |#2| (-789))) (-12 (|has| |#1| (-843)) (|has| |#2| (-843)))))) (-1668 (((-121) $ $) 18)) (-1688 (((-121) $ $) NIL (-2232 (-12 (|has| |#1| (-789)) (|has| |#2| (-789))) (-12 (|has| |#1| (-843)) (|has| |#2| (-843)))))) (-1678 (((-121) $ $) 66 (-2232 (-12 (|has| |#1| (-789)) (|has| |#2| (-789))) (-12 (|has| |#1| (-843)) (|has| |#2| (-843)))))) (-1715 (($ $ $) NIL (-12 (|has| |#1| (-479)) (|has| |#2| (-479))))) (-1711 (($ $ $) 56 (-12 (|has| |#1| (-21)) (|has| |#2| (-21)))) (($ $) 53 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))))) (-1707 (($ $ $) 43 (-2232 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-789)) (|has| |#2| (-789)))))) (** (($ $ (-569)) NIL (-12 (|has| |#1| (-479)) (|has| |#2| (-479)))) (($ $ (-764)) 31 (-2232 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-717)) (|has| |#2| (-717))))) (($ $ (-918)) NIL (-2232 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-717)) (|has| |#2| (-717)))))) (* (($ (-569) $) 60 (-12 (|has| |#1| (-21)) (|has| |#2| (-21)))) (($ (-764) $) 46 (-2232 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-789)) (|has| |#2| (-789))))) (($ (-918) $) NIL (-2232 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-789)) (|has| |#2| (-789))))) (($ $ $) 27 (-2232 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-717)) (|has| |#2| (-717))))))) 
+(((-966 |#1| |#2|) (-13 (-1091) (-10 -8 (IF (|has| |#1| (-371)) (IF (|has| |#2| (-371)) (-6 (-371)) |noBranch|) |noBranch|) (IF (|has| |#1| (-717)) (IF (|has| |#2| (-717)) (-6 (-717)) |noBranch|) |noBranch|) (IF (|has| |#1| (-23)) (IF (|has| |#2| (-23)) (-6 (-23)) |noBranch|) |noBranch|) (IF (|has| |#1| (-138)) (IF (|has| |#2| (-138)) (-6 (-138)) |noBranch|) |noBranch|) (IF (|has| |#1| (-479)) (IF (|has| |#2| (-479)) (-6 (-479)) |noBranch|) |noBranch|) (IF (|has| |#1| (-21)) (IF (|has| |#2| (-21)) (-6 (-21)) |noBranch|) |noBranch|) (IF (|has| |#1| (-789)) (IF (|has| |#2| (-789)) (-6 (-789)) |noBranch|) |noBranch|) (IF (|has| |#1| (-843)) (IF (|has| |#2| (-843)) (-6 (-843)) |noBranch|) |noBranch|) (-15 -2577 ($ |#1| |#2|)) (-15 -2481 (|#1| $)) (-15 -3132 (|#2| $)))) (-1091) (-1091)) (T -966)) 
+((-2577 (*1 *1 *2 *3) (-12 (-5 *1 (-966 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091)))) (-2481 (*1 *2 *1) (-12 (-4 *2 (-1091)) (-5 *1 (-966 *2 *3)) (-4 *3 (-1091)))) (-3132 (*1 *2 *1) (-12 (-4 *2 (-1091)) (-5 *1 (-966 *3 *2)) (-4 *3 (-1091))))) 
+(-13 (-1091) (-10 -8 (IF (|has| |#1| (-371)) (IF (|has| |#2| (-371)) (-6 (-371)) |noBranch|) |noBranch|) (IF (|has| |#1| (-717)) (IF (|has| |#2| (-717)) (-6 (-717)) |noBranch|) |noBranch|) (IF (|has| |#1| (-23)) (IF (|has| |#2| (-23)) (-6 (-23)) |noBranch|) |noBranch|) (IF (|has| |#1| (-138)) (IF (|has| |#2| (-138)) (-6 (-138)) |noBranch|) |noBranch|) (IF (|has| |#1| (-479)) (IF (|has| |#2| (-479)) (-6 (-479)) |noBranch|) |noBranch|) (IF (|has| |#1| (-21)) (IF (|has| |#2| (-21)) (-6 (-21)) |noBranch|) |noBranch|) (IF (|has| |#1| (-789)) (IF (|has| |#2| (-789)) (-6 (-789)) |noBranch|) |noBranch|) (IF (|has| |#1| (-843)) (IF (|has| |#2| (-843)) (-6 (-843)) |noBranch|) |noBranch|) (-15 -2577 ($ |#1| |#2|)) (-15 -2481 (|#1| $)) (-15 -3132 (|#2| $)))) 
+((-2568 (((-121) $ $) NIL)) (-4469 ((|#1| $ (-569) |#1|) NIL)) (-1860 (((-635 $) (-635 $) (-764)) NIL) (((-635 $) (-635 $)) NIL)) (-3103 (((-121) $ (-764)) NIL) (((-121) $) NIL)) (-3039 (($ (-635 |#1|)) NIL)) (-1488 (((-635 |#1|) $) NIL)) (-1288 (((-635 $) $) NIL) (((-635 $) $ (-764)) NIL)) (-2005 (((-635 |#1|) $) NIL)) (-2776 (((-1145) $) NIL)) (-3704 (((-569) $) NIL)) (-1563 (((-569) $) NIL)) (-3875 (($ $ (-569)) NIL) (($ $) NIL)) (-3360 (((-1109) $) NIL)) (-1534 ((|#1| $ (-569)) NIL)) (-2492 (((-918) $) NIL)) (-2955 ((|#1| $) NIL)) (-1414 (($ $ (-764)) NIL) (($ $) NIL)) (-2185 (((-851) $) NIL) (((-635 |#1|) $) NIL) (($ (-635 |#1|)) NIL)) (-1668 (((-121) $ $) NIL))) 
+(((-967 |#1|) (-972 |#1|) (-366)) (T -967)) 
+NIL 
+(-972 |#1|) 
+((-2568 (((-121) $ $) NIL)) (-4469 (((-858 |#1|) $ (-569) (-858 |#1|)) NIL)) (-1860 (((-635 $) (-635 $) (-764)) NIL) (((-635 $) (-635 $)) NIL)) (-3103 (((-121) $ (-764)) NIL) (((-121) $) NIL)) (-3039 (($ (-635 (-858 |#1|))) NIL)) (-1488 (((-635 (-858 |#1|)) $) NIL)) (-1288 (((-635 $) $) NIL) (((-635 $) $ (-764)) NIL)) (-2005 (((-635 (-858 |#1|)) $) NIL)) (-2776 (((-1145) $) NIL)) (-3704 (((-569) $) NIL)) (-1563 (((-569) $) NIL)) (-3875 (($ $ (-569)) NIL) (($ $) NIL)) (-3360 (((-1109) $) NIL)) (-1534 (((-858 |#1|) $ (-569)) NIL)) (-2492 (((-918) $) NIL)) (-2955 (((-858 |#1|) $) NIL)) (-1414 (($ $ (-764)) NIL) (($ $) NIL)) (-2185 (((-851) $) NIL) (((-635 (-858 |#1|)) $) NIL) (($ (-635 (-858 |#1|))) NIL)) (-1668 (((-121) $ $) NIL))) 
+(((-968 |#1|) (-972 (-858 |#1|)) (-351)) (T -968)) 
+NIL 
+(-972 (-858 |#1|)) 
+((-2568 (((-121) $ $) NIL)) (-4469 ((|#2| $ (-569) |#2|) NIL)) (-1860 (((-635 $) (-635 $) (-764)) 41) (((-635 $) (-635 $)) 42)) (-3103 (((-121) $ (-764)) 38) (((-121) $) 40)) (-3039 (($ (-635 |#2|)) 25)) (-1488 (((-635 |#2|) $) 27)) (-1288 (((-635 $) $) 50) (((-635 $) $ (-764)) 47)) (-2005 (((-635 |#2|) $) 26)) (-2776 (((-1145) $) NIL)) (-3704 (((-569) $) 59)) (-1563 (((-569) $) 62)) (-3875 (($ $ (-569)) 36) (($ $) 52)) (-3360 (((-1109) $) NIL)) (-1534 ((|#2| $ (-569)) 32)) (-2492 (((-918) $) 16)) (-2955 ((|#2| $) 22)) (-1414 (($ $ (-764)) 30) (($ $) 49)) (-2185 (((-851) $) 19) (((-635 |#2|) $) 24) (($ (-635 |#2|)) 58)) (-1668 (((-121) $ $) 37))) 
+(((-969 |#1| |#2|) (-972 |#2|) (-764) (-366)) (T -969)) 
+NIL 
+(-972 |#2|) 
+((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) 8)) (-2820 (($) 7 T CONST)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-2854 (($ $ $) 40)) (-3288 (($ $ $) 41)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1538 ((|#1| $) 42)) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3889 ((|#1| $) 36)) (-3172 (($ |#1| $) 37)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-1856 ((|#1| $) 38)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2793 (($ (-635 |#1|)) 39)) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-970 |#1|) (-1278) (-843)) (T -970)) 
+((-1538 (*1 *2 *1) (-12 (-4 *1 (-970 *2)) (-4 *2 (-843)))) (-3288 (*1 *1 *1 *1) (-12 (-4 *1 (-970 *2)) (-4 *2 (-843)))) (-2854 (*1 *1 *1 *1) (-12 (-4 *1 (-970 *2)) (-4 *2 (-843))))) 
+(-13 (-111 |t#1|) (-10 -8 (-6 -4535) (-15 -1538 (|t#1| $)) (-15 -3288 ($ $ $)) (-15 -2854 ($ $ $)))) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
+((-3847 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2714 |#2|)) |#2| |#2|) 84)) (-3306 ((|#2| |#2| |#2|) 82)) (-4499 (((-2 (|:| |coef2| |#2|) (|:| -2714 |#2|)) |#2| |#2|) 86)) (-1421 (((-2 (|:| |coef1| |#2|) (|:| -2714 |#2|)) |#2| |#2|) 88)) (-3353 (((-2 (|:| |coef2| |#2|) (|:| -3516 |#1|)) |#2| |#2|) 106 (|has| |#1| (-454)))) (-2596 (((-2 (|:| |coef2| |#2|) (|:| -3493 |#1|)) |#2| |#2|) 45)) (-3195 (((-2 (|:| |coef2| |#2|) (|:| -3493 |#1|)) |#2| |#2|) 63)) (-1509 (((-2 (|:| |coef1| |#2|) (|:| -3493 |#1|)) |#2| |#2|) 65)) (-1662 (((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|) 77)) (-1294 (((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-764)) 70)) (-1746 (((-2 (|:| |coef2| |#2|) (|:| -2087 |#1|)) |#2|) 96)) (-2749 (((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-764)) 73)) (-1938 (((-635 (-764)) |#2| |#2|) 81)) (-1870 ((|#1| |#2| |#2|) 41)) (-1441 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3516 |#1|)) |#2| |#2|) 104 (|has| |#1| (-454)))) (-3516 ((|#1| |#2| |#2|) 102 (|has| |#1| (-454)))) (-3500 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3493 |#1|)) |#2| |#2|) 43)) (-2614 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3493 |#1|)) |#2| |#2|) 62)) (-3493 ((|#1| |#2| |#2|) 60)) (-1884 (((-2 (|:| -4140 |#1|) (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2|) 35)) (-3238 ((|#2| |#2| |#2| |#2| |#1|) 52)) (-4507 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|) 75)) (-3988 ((|#2| |#2| |#2|) 74)) (-3677 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-764)) 68)) (-2844 ((|#2| |#2| |#2| (-764)) 66)) (-2714 ((|#2| |#2| |#2|) 110 (|has| |#1| (-454)))) (-2941 (((-1247 |#2|) (-1247 |#2|) |#1|) 21)) (-2609 (((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2|) 38)) (-4175 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2087 |#1|)) |#2|) 94)) (-2087 ((|#1| |#2|) 91)) (-2175 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-764)) 72)) (-3081 ((|#2| |#2| |#2| (-764)) 71)) (-3418 (((-635 |#2|) |#2| |#2|) 79)) (-1619 ((|#2| |#2| |#1| |#1| (-764)) 49)) (-3943 ((|#1| |#1| |#1| (-764)) 48)) (* (((-1247 |#2|) |#1| (-1247 |#2|)) 16))) 
+(((-971 |#1| |#2|) (-10 -7 (-15 -3493 (|#1| |#2| |#2|)) (-15 -2614 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3493 |#1|)) |#2| |#2|)) (-15 -3195 ((-2 (|:| |coef2| |#2|) (|:| -3493 |#1|)) |#2| |#2|)) (-15 -1509 ((-2 (|:| |coef1| |#2|) (|:| -3493 |#1|)) |#2| |#2|)) (-15 -2844 (|#2| |#2| |#2| (-764))) (-15 -3677 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-764))) (-15 -1294 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-764))) (-15 -3081 (|#2| |#2| |#2| (-764))) (-15 -2175 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-764))) (-15 -2749 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-764))) (-15 -3988 (|#2| |#2| |#2|)) (-15 -4507 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -1662 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -3306 (|#2| |#2| |#2|)) (-15 -3847 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2714 |#2|)) |#2| |#2|)) (-15 -4499 ((-2 (|:| |coef2| |#2|) (|:| -2714 |#2|)) |#2| |#2|)) (-15 -1421 ((-2 (|:| |coef1| |#2|) (|:| -2714 |#2|)) |#2| |#2|)) (-15 -2087 (|#1| |#2|)) (-15 -4175 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2087 |#1|)) |#2|)) (-15 -1746 ((-2 (|:| |coef2| |#2|) (|:| -2087 |#1|)) |#2|)) (-15 -3418 ((-635 |#2|) |#2| |#2|)) (-15 -1938 ((-635 (-764)) |#2| |#2|)) (IF (|has| |#1| (-454)) (PROGN (-15 -3516 (|#1| |#2| |#2|)) (-15 -1441 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3516 |#1|)) |#2| |#2|)) (-15 -3353 ((-2 (|:| |coef2| |#2|) (|:| -3516 |#1|)) |#2| |#2|)) (-15 -2714 (|#2| |#2| |#2|))) |noBranch|) (-15 * ((-1247 |#2|) |#1| (-1247 |#2|))) (-15 -2941 ((-1247 |#2|) (-1247 |#2|) |#1|)) (-15 -1884 ((-2 (|:| -4140 |#1|) (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2|)) (-15 -2609 ((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2|)) (-15 -3943 (|#1| |#1| |#1| (-764))) (-15 -1619 (|#2| |#2| |#1| |#1| (-764))) (-15 -3238 (|#2| |#2| |#2| |#2| |#1|)) (-15 -1870 (|#1| |#2| |#2|)) (-15 -3500 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3493 |#1|)) |#2| |#2|)) (-15 -2596 ((-2 (|:| |coef2| |#2|) (|:| -3493 |#1|)) |#2| |#2|))) (-559) (-1222 |#1|)) (T -971)) 
+((-2596 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3493 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-3500 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3493 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-1870 (*1 *2 *3 *3) (-12 (-4 *2 (-559)) (-5 *1 (-971 *2 *3)) (-4 *3 (-1222 *2)))) (-3238 (*1 *2 *2 *2 *2 *3) (-12 (-4 *3 (-559)) (-5 *1 (-971 *3 *2)) (-4 *2 (-1222 *3)))) (-1619 (*1 *2 *2 *3 *3 *4) (-12 (-5 *4 (-764)) (-4 *3 (-559)) (-5 *1 (-971 *3 *2)) (-4 *2 (-1222 *3)))) (-3943 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *2 (-559)) (-5 *1 (-971 *2 *4)) (-4 *4 (-1222 *2)))) (-2609 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-1884 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| -4140 *4) (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-2941 (*1 *2 *2 *3) (-12 (-5 *2 (-1247 *4)) (-4 *4 (-1222 *3)) (-4 *3 (-559)) (-5 *1 (-971 *3 *4)))) (* (*1 *2 *3 *2) (-12 (-5 *2 (-1247 *4)) (-4 *4 (-1222 *3)) (-4 *3 (-559)) (-5 *1 (-971 *3 *4)))) (-2714 (*1 *2 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-559)) (-5 *1 (-971 *3 *2)) (-4 *2 (-1222 *3)))) (-3353 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3516 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-1441 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3516 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-3516 (*1 *2 *3 *3) (-12 (-4 *2 (-559)) (-4 *2 (-454)) (-5 *1 (-971 *2 *3)) (-4 *3 (-1222 *2)))) (-1938 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-764))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-3418 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 *3)) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-1746 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -2087 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-4175 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -2087 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-2087 (*1 *2 *3) (-12 (-4 *2 (-559)) (-5 *1 (-971 *2 *3)) (-4 *3 (-1222 *2)))) (-1421 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -2714 *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-4499 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -2714 *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-3847 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -2714 *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-3306 (*1 *2 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-971 *3 *2)) (-4 *2 (-1222 *3)))) (-1662 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-4507 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-3988 (*1 *2 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-971 *3 *2)) (-4 *2 (-1222 *3)))) (-2749 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-971 *5 *3)) (-4 *3 (-1222 *5)))) (-2175 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-971 *5 *3)) (-4 *3 (-1222 *5)))) (-3081 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-559)) (-5 *1 (-971 *4 *2)) (-4 *2 (-1222 *4)))) (-1294 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-971 *5 *3)) (-4 *3 (-1222 *5)))) (-3677 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-971 *5 *3)) (-4 *3 (-1222 *5)))) (-2844 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-559)) (-5 *1 (-971 *4 *2)) (-4 *2 (-1222 *4)))) (-1509 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -3493 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-3195 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3493 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-2614 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3493 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-3493 (*1 *2 *3 *3) (-12 (-4 *2 (-559)) (-5 *1 (-971 *2 *3)) (-4 *3 (-1222 *2))))) 
+(-10 -7 (-15 -3493 (|#1| |#2| |#2|)) (-15 -2614 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3493 |#1|)) |#2| |#2|)) (-15 -3195 ((-2 (|:| |coef2| |#2|) (|:| -3493 |#1|)) |#2| |#2|)) (-15 -1509 ((-2 (|:| |coef1| |#2|) (|:| -3493 |#1|)) |#2| |#2|)) (-15 -2844 (|#2| |#2| |#2| (-764))) (-15 -3677 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-764))) (-15 -1294 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-764))) (-15 -3081 (|#2| |#2| |#2| (-764))) (-15 -2175 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-764))) (-15 -2749 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-764))) (-15 -3988 (|#2| |#2| |#2|)) (-15 -4507 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -1662 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -3306 (|#2| |#2| |#2|)) (-15 -3847 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2714 |#2|)) |#2| |#2|)) (-15 -4499 ((-2 (|:| |coef2| |#2|) (|:| -2714 |#2|)) |#2| |#2|)) (-15 -1421 ((-2 (|:| |coef1| |#2|) (|:| -2714 |#2|)) |#2| |#2|)) (-15 -2087 (|#1| |#2|)) (-15 -4175 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2087 |#1|)) |#2|)) (-15 -1746 ((-2 (|:| |coef2| |#2|) (|:| -2087 |#1|)) |#2|)) (-15 -3418 ((-635 |#2|) |#2| |#2|)) (-15 -1938 ((-635 (-764)) |#2| |#2|)) (IF (|has| |#1| (-454)) (PROGN (-15 -3516 (|#1| |#2| |#2|)) (-15 -1441 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3516 |#1|)) |#2| |#2|)) (-15 -3353 ((-2 (|:| |coef2| |#2|) (|:| -3516 |#1|)) |#2| |#2|)) (-15 -2714 (|#2| |#2| |#2|))) |noBranch|) (-15 * ((-1247 |#2|) |#1| (-1247 |#2|))) (-15 -2941 ((-1247 |#2|) (-1247 |#2|) |#1|)) (-15 -1884 ((-2 (|:| -4140 |#1|) (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2|)) (-15 -2609 ((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2|)) (-15 -3943 (|#1| |#1| |#1| (-764))) (-15 -1619 (|#2| |#2| |#1| |#1| (-764))) (-15 -3238 (|#2| |#2| |#2| |#2| |#1|)) (-15 -1870 (|#1| |#2| |#2|)) (-15 -3500 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3493 |#1|)) |#2| |#2|)) (-15 -2596 ((-2 (|:| |coef2| |#2|) (|:| -3493 |#1|)) |#2| |#2|))) 
+((-2568 (((-121) $ $) 7)) (-4469 ((|#1| $ (-569) |#1|) 14)) (-1860 (((-635 $) (-635 $) (-764)) 22) (((-635 $) (-635 $)) 21)) (-3103 (((-121) $ (-764)) 20) (((-121) $) 19)) (-3039 (($ (-635 |#1|)) 30)) (-1488 (((-635 |#1|) $) 13)) (-1288 (((-635 $) $) 26) (((-635 $) $ (-764)) 25)) (-2005 (((-635 |#1|) $) 16)) (-2776 (((-1145) $) 9)) (-3704 (((-569) $) 17)) (-1563 (((-569) $) 32)) (-3875 (($ $ (-569)) 31) (($ $) 18)) (-3360 (((-1109) $) 10)) (-1534 ((|#1| $ (-569)) 15)) (-2492 (((-918) $) 12)) (-2955 ((|#1| $) 29)) (-1414 (($ $ (-764)) 24) (($ $) 23)) (-2185 (((-851) $) 11) (((-635 |#1|) $) 28) (($ (-635 |#1|)) 27)) (-1668 (((-121) $ $) 6))) 
+(((-972 |#1|) (-1278) (-366)) (T -972)) 
+((-1563 (*1 *2 *1) (-12 (-4 *1 (-972 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) (-3875 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-972 *3)) (-4 *3 (-366)))) (-3039 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-972 *3)))) (-2955 (*1 *2 *1) (-12 (-4 *1 (-972 *2)) (-4 *2 (-366)))) (-2185 (*1 *2 *1) (-12 (-4 *1 (-972 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-972 *3)))) (-1288 (*1 *2 *1) (-12 (-4 *3 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-972 *3)))) (-1288 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *4 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-972 *4)))) (-1414 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-972 *3)) (-4 *3 (-366)))) (-1414 (*1 *1 *1) (-12 (-4 *1 (-972 *2)) (-4 *2 (-366)))) (-1860 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *1)) (-5 *3 (-764)) (-4 *1 (-972 *4)) (-4 *4 (-366)))) (-1860 (*1 *2 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-972 *3)) (-4 *3 (-366)))) (-3103 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-972 *4)) (-4 *4 (-366)) (-5 *2 (-121)))) (-3103 (*1 *2 *1) (-12 (-4 *1 (-972 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) (-3875 (*1 *1 *1) (-12 (-4 *1 (-972 *2)) (-4 *2 (-366)))) (-3704 (*1 *2 *1) (-12 (-4 *1 (-972 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) (-2005 (*1 *2 *1) (-12 (-4 *1 (-972 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-972 *2)) (-4 *2 (-366)))) (-4469 (*1 *2 *1 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-972 *2)) (-4 *2 (-366)))) (-1488 (*1 *2 *1) (-12 (-4 *1 (-972 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3))))) 
+(-13 (-1089) (-10 -8 (-15 -1563 ((-569) $)) (-15 -3875 ($ $ (-569))) (-15 -3039 ($ (-635 |t#1|))) (-15 -2955 (|t#1| $)) (-15 -2185 ((-635 |t#1|) $)) (-15 -2185 ($ (-635 |t#1|))) (-15 -1288 ((-635 $) $)) (-15 -1288 ((-635 $) $ (-764))) (-15 -1414 ($ $ (-764))) (-15 -1414 ($ $)) (-15 -1860 ((-635 $) (-635 $) (-764))) (-15 -1860 ((-635 $) (-635 $))) (-15 -3103 ((-121) $ (-764))) (-15 -3103 ((-121) $)) (-15 -3875 ($ $)) (-15 -3704 ((-569) $)) (-15 -2005 ((-635 |t#1|) $)) (-15 -1534 (|t#1| $ (-569))) (-15 -4469 (|t#1| $ (-569) |t#1|)) (-15 -1488 ((-635 |t#1|) $)))) 
+(((-105) . T) ((-609 (-851)) . T) ((-1091) . T) ((-1089) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) 26)) (-2820 (($) NIL T CONST)) (-3816 (((-635 (-635 (-569))) (-635 (-569))) 28)) (-3882 (((-569) $) 44)) (-2431 (($ (-635 (-569))) 17)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-3817 (((-635 (-569)) $) 11)) (-1414 (($ $) 31)) (-2185 (((-851) $) 42) (((-635 (-569)) $) 9)) (-3369 (($) 7 T CONST)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 19)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 18)) (-1707 (($ $ $) 20)) (* (($ (-764) $) 24) (($ (-918) $) NIL))) 
+(((-973) (-13 (-791) (-610 (-635 (-569))) (-10 -8 (-15 -2431 ($ (-635 (-569)))) (-15 -3816 ((-635 (-635 (-569))) (-635 (-569)))) (-15 -3882 ((-569) $)) (-15 -1414 ($ $)) (-15 -2185 ((-635 (-569)) $))))) (T -973)) 
+((-2431 (*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-973)))) (-3816 (*1 *2 *3) (-12 (-5 *2 (-635 (-635 (-569)))) (-5 *1 (-973)) (-5 *3 (-635 (-569))))) (-3882 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-973)))) (-1414 (*1 *1 *1) (-5 *1 (-973))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-973))))) 
+(-13 (-791) (-610 (-635 (-569))) (-10 -8 (-15 -2431 ($ (-635 (-569)))) (-15 -3816 ((-635 (-635 (-569))) (-635 (-569)))) (-15 -3882 ((-569) $)) (-15 -1414 ($ $)) (-15 -2185 ((-635 (-569)) $)))) 
+((-1715 (($ $ |#2|) 30)) (-1711 (($ $) 22) (($ $ $) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 15) (($ $ $) NIL) (($ $ |#2|) 20) (($ |#2| $) 19) (($ (-410 (-569)) $) 26) (($ $ (-410 (-569))) 28))) 
+(((-974 |#1| |#2| |#3| |#4|) (-10 -8 (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -1715 (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|))) (-975 |#2| |#3| |#4|) (-1048) (-788) (-843)) (T -974)) 
+NIL 
+(-10 -8 (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -1715 (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1773 (((-635 |#3|) $) 70)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-3383 (($ $) 51 (|has| |#1| (-559)))) (-4354 (((-121) $) 53 (|has| |#1| (-559)))) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-4020 (($ $) 59)) (-3428 (((-3 $ "failed") $) 33)) (-2777 (((-121) $) 69)) (-1407 (((-121) $) 30)) (-3523 (((-121) $) 61)) (-1763 (($ |#1| |#2|) 60) (($ $ |#3| |#2|) 72) (($ $ (-635 |#3|) (-635 |#2|)) 71)) (-1544 (($ (-1 |#1| |#1|) $) 62)) (-1804 (($ $) 64)) (-4012 ((|#1| $) 65)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2941 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-2492 ((|#2| $) 63)) (-3659 (($ $) 68)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559))) (($ |#1|) 46 (|has| |#1| (-173)))) (-1653 ((|#1| $ |#2|) 58)) (-3953 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 52 (|has| |#1| (-559)))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#1|) 57 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
+(((-975 |#1| |#2| |#3|) (-1278) (-1048) (-788) (-843)) (T -975)) 
+((-4012 (*1 *2 *1) (-12 (-4 *1 (-975 *2 *3 *4)) (-4 *3 (-788)) (-4 *4 (-843)) (-4 *2 (-1048)))) (-1804 (*1 *1 *1) (-12 (-4 *1 (-975 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-788)) (-4 *4 (-843)))) (-2492 (*1 *2 *1) (-12 (-4 *1 (-975 *3 *2 *4)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *2 (-788)))) (-1763 (*1 *1 *1 *2 *3) (-12 (-4 *1 (-975 *4 *3 *2)) (-4 *4 (-1048)) (-4 *3 (-788)) (-4 *2 (-843)))) (-1763 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *6)) (-5 *3 (-635 *5)) (-4 *1 (-975 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-788)) (-4 *6 (-843)))) (-1773 (*1 *2 *1) (-12 (-4 *1 (-975 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-788)) (-4 *5 (-843)) (-5 *2 (-635 *5)))) (-2777 (*1 *2 *1) (-12 (-4 *1 (-975 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-788)) (-4 *5 (-843)) (-5 *2 (-121)))) (-3659 (*1 *1 *1) (-12 (-4 *1 (-975 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-788)) (-4 *4 (-843))))) 
+(-13 (-52 |t#1| |t#2|) (-10 -8 (-15 -1763 ($ $ |t#3| |t#2|)) (-15 -1763 ($ $ (-635 |t#3|) (-635 |t#2|))) (-15 -1804 ($ $)) (-15 -4012 (|t#1| $)) (-15 -2492 (|t#2| $)) (-15 -1773 ((-635 |t#3|) $)) (-15 -2777 ((-121) $)) (-15 -3659 ($ $)))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-286) |has| |#1| (-559)) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-708 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) |has| |#1| (-559)) ((-717) . T) ((-1054 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-3080 (((-1085 (-216)) $) 7)) (-3740 (((-1085 (-216)) $) 8)) (-3495 (((-1085 (-216)) $) 9)) (-2707 (((-635 (-635 (-945 (-216)))) $) 10)) (-2185 (((-851) $) 6))) 
+(((-976) (-1278)) (T -976)) 
+((-2707 (*1 *2 *1) (-12 (-4 *1 (-976)) (-5 *2 (-635 (-635 (-945 (-216))))))) (-3495 (*1 *2 *1) (-12 (-4 *1 (-976)) (-5 *2 (-1085 (-216))))) (-3740 (*1 *2 *1) (-12 (-4 *1 (-976)) (-5 *2 (-1085 (-216))))) (-3080 (*1 *2 *1) (-12 (-4 *1 (-976)) (-5 *2 (-1085 (-216)))))) 
+(-13 (-609 (-851)) (-10 -8 (-15 -2707 ((-635 (-635 (-945 (-216)))) $)) (-15 -3495 ((-1085 (-216)) $)) (-15 -3740 ((-1085 (-216)) $)) (-15 -3080 ((-1085 (-216)) $)))) 
+(((-609 (-851)) . T)) 
+((-1773 (((-635 |#4|) $) 23)) (-3008 (((-121) $) 47)) (-3625 (((-121) $) 46)) (-3113 (((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ |#4|) 35)) (-4162 (((-121) $) 48)) (-2716 (((-121) $ $) 54)) (-3532 (((-121) $ $) 57)) (-2398 (((-121) $) 52)) (-4318 (((-635 |#5|) (-635 |#5|) $) 89)) (-1322 (((-635 |#5|) (-635 |#5|) $) 86)) (-1830 (((-2 (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| $) 80)) (-1833 (((-635 |#4|) $) 27)) (-2760 (((-121) |#4| $) 29)) (-2439 (((-2 (|:| |num| |#5|) (|:| |den| |#2|)) |#5| $) 72)) (-4201 (($ $ |#4|) 32)) (-3460 (($ $ |#4|) 31)) (-2630 (($ $ |#4|) 33)) (-1668 (((-121) $ $) 39))) 
+(((-977 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -3625 ((-121) |#1|)) (-15 -4318 ((-635 |#5|) (-635 |#5|) |#1|)) (-15 -1322 ((-635 |#5|) (-635 |#5|) |#1|)) (-15 -1830 ((-2 (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -2439 ((-2 (|:| |num| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -4162 ((-121) |#1|)) (-15 -3532 ((-121) |#1| |#1|)) (-15 -2716 ((-121) |#1| |#1|)) (-15 -2398 ((-121) |#1|)) (-15 -3008 ((-121) |#1|)) (-15 -3113 ((-2 (|:| |under| |#1|) (|:| -2942 |#1|) (|:| |upper| |#1|)) |#1| |#4|)) (-15 -4201 (|#1| |#1| |#4|)) (-15 -2630 (|#1| |#1| |#4|)) (-15 -3460 (|#1| |#1| |#4|)) (-15 -2760 ((-121) |#4| |#1|)) (-15 -1833 ((-635 |#4|) |#1|)) (-15 -1773 ((-635 |#4|) |#1|)) (-15 -1668 ((-121) |#1| |#1|))) (-978 |#2| |#3| |#4| |#5|) (-1048) (-789) (-843) (-1062 |#2| |#3| |#4|)) (T -977)) 
+NIL 
+(-10 -8 (-15 -3625 ((-121) |#1|)) (-15 -4318 ((-635 |#5|) (-635 |#5|) |#1|)) (-15 -1322 ((-635 |#5|) (-635 |#5|) |#1|)) (-15 -1830 ((-2 (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -2439 ((-2 (|:| |num| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -4162 ((-121) |#1|)) (-15 -3532 ((-121) |#1| |#1|)) (-15 -2716 ((-121) |#1| |#1|)) (-15 -2398 ((-121) |#1|)) (-15 -3008 ((-121) |#1|)) (-15 -3113 ((-2 (|:| |under| |#1|) (|:| -2942 |#1|) (|:| |upper| |#1|)) |#1| |#4|)) (-15 -4201 (|#1| |#1| |#4|)) (-15 -2630 (|#1| |#1| |#4|)) (-15 -3460 (|#1| |#1| |#4|)) (-15 -2760 ((-121) |#4| |#1|)) (-15 -1833 ((-635 |#4|) |#1|)) (-15 -1773 ((-635 |#4|) |#1|)) (-15 -1668 ((-121) |#1| |#1|))) 
+((-2568 (((-121) $ $) 7)) (-1773 (((-635 |#3|) $) 32)) (-3008 (((-121) $) 25)) (-3625 (((-121) $) 16 (|has| |#1| (-559)))) (-3113 (((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ |#3|) 26)) (-1691 (((-121) $ (-764)) 43)) (-1962 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4535)))) (-2820 (($) 44 T CONST)) (-4162 (((-121) $) 21 (|has| |#1| (-559)))) (-2716 (((-121) $ $) 23 (|has| |#1| (-559)))) (-3532 (((-121) $ $) 22 (|has| |#1| (-559)))) (-2398 (((-121) $) 24 (|has| |#1| (-559)))) (-4318 (((-635 |#4|) (-635 |#4|) $) 17 (|has| |#1| (-559)))) (-1322 (((-635 |#4|) (-635 |#4|) $) 18 (|has| |#1| (-559)))) (-1647 (((-3 $ "failed") (-635 |#4|)) 35)) (-2428 (($ (-635 |#4|)) 34)) (-2033 (($ $) 67 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ |#4| $) 66 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4535)))) (-1830 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-559)))) (-1774 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4535))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4535)))) (-3470 (((-635 |#4|) $) 51 (|has| $ (-6 -4535)))) (-4357 ((|#3| $) 33)) (-1974 (((-121) $ (-764)) 42)) (-4259 (((-635 |#4|) $) 52 (|has| $ (-6 -4535)))) (-3660 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#4| |#4|) $) 46)) (-1833 (((-635 |#3|) $) 31)) (-2760 (((-121) |#3| $) 30)) (-2006 (((-121) $ (-764)) 41)) (-2776 (((-1145) $) 9)) (-2439 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-559)))) (-3360 (((-1109) $) 10)) (-2502 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-4177 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#4|) (-635 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-635 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))))) (-3137 (((-121) $ $) 37)) (-1601 (((-121) $) 40)) (-1296 (($) 39)) (-2846 (((-764) |#4| $) 53 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) (((-764) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4535)))) (-1971 (($ $) 38)) (-3817 (((-542) $) 68 (|has| |#4| (-610 (-542))))) (-2139 (($ (-635 |#4|)) 59)) (-4201 (($ $ |#3|) 27)) (-3460 (($ $ |#3|) 29)) (-2630 (($ $ |#3|) 28)) (-2185 (((-851) $) 11) (((-635 |#4|) $) 36)) (-2066 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 6)) (-4168 (((-764) $) 45 (|has| $ (-6 -4535))))) 
+(((-978 |#1| |#2| |#3| |#4|) (-1278) (-1048) (-789) (-843) (-1062 |t#1| |t#2| |t#3|)) (T -978)) 
+((-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *1 (-978 *3 *4 *5 *6)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *1 (-978 *3 *4 *5 *6)))) (-4357 (*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *2 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-1062 *3 *4 *2)) (-4 *2 (-843)))) (-1773 (*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-635 *5)))) (-1833 (*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-635 *5)))) (-2760 (*1 *2 *3 *1) (-12 (-4 *1 (-978 *4 *5 *3 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-4 *6 (-1062 *4 *5 *3)) (-5 *2 (-121)))) (-3460 (*1 *1 *1 *2) (-12 (-4 *1 (-978 *3 *4 *2 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *5 (-1062 *3 *4 *2)))) (-2630 (*1 *1 *1 *2) (-12 (-4 *1 (-978 *3 *4 *2 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *5 (-1062 *3 *4 *2)))) (-4201 (*1 *1 *1 *2) (-12 (-4 *1 (-978 *3 *4 *2 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *5 (-1062 *3 *4 *2)))) (-3113 (*1 *2 *1 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-4 *6 (-1062 *4 *5 *3)) (-5 *2 (-2 (|:| |under| *1) (|:| -2942 *1) (|:| |upper| *1))) (-4 *1 (-978 *4 *5 *3 *6)))) (-3008 (*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121)))) (-2398 (*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121)))) (-2716 (*1 *2 *1 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121)))) (-3532 (*1 *2 *1 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121)))) (-4162 (*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121)))) (-2439 (*1 *2 *3 *1) (-12 (-4 *1 (-978 *4 *5 *6 *3)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))))) (-1830 (*1 *2 *3 *1) (-12 (-4 *1 (-978 *4 *5 *6 *3)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |rnum| *4) (|:| |polnum| *3) (|:| |den| *4))))) (-1322 (*1 *2 *2 *1) (-12 (-5 *2 (-635 *6)) (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)))) (-4318 (*1 *2 *2 *1) (-12 (-5 *2 (-635 *6)) (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)))) (-3625 (*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121))))) 
+(-13 (-1091) (-155 |t#4|) (-609 (-635 |t#4|)) (-10 -8 (-6 -4535) (-15 -1647 ((-3 $ "failed") (-635 |t#4|))) (-15 -2428 ($ (-635 |t#4|))) (-15 -4357 (|t#3| $)) (-15 -1773 ((-635 |t#3|) $)) (-15 -1833 ((-635 |t#3|) $)) (-15 -2760 ((-121) |t#3| $)) (-15 -3460 ($ $ |t#3|)) (-15 -2630 ($ $ |t#3|)) (-15 -4201 ($ $ |t#3|)) (-15 -3113 ((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ |t#3|)) (-15 -3008 ((-121) $)) (IF (|has| |t#1| (-559)) (PROGN (-15 -2398 ((-121) $)) (-15 -2716 ((-121) $ $)) (-15 -3532 ((-121) $ $)) (-15 -4162 ((-121) $)) (-15 -2439 ((-2 (|:| |num| |t#4|) (|:| |den| |t#1|)) |t#4| $)) (-15 -1830 ((-2 (|:| |rnum| |t#1|) (|:| |polnum| |t#4|) (|:| |den| |t#1|)) |t#4| $)) (-15 -1322 ((-635 |t#4|) (-635 |t#4|) $)) (-15 -4318 ((-635 |t#4|) (-635 |t#4|) $)) (-15 -3625 ((-121) $))) |noBranch|))) 
+(((-39) . T) ((-105) . T) ((-609 (-635 |#4|)) . T) ((-609 (-851)) . T) ((-155 |#4|) . T) ((-610 (-542)) |has| |#4| (-610 (-542))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))) ((-500 |#4|) . T) ((-524 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))) ((-1091) . T) ((-1197) . T)) 
+((-3317 (((-635 |#4|) |#4| |#4|) 114)) (-3038 (((-635 |#4|) (-635 |#4|) (-121)) 103 (|has| |#1| (-454))) (((-635 |#4|) (-635 |#4|)) 104 (|has| |#1| (-454)))) (-3097 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|)) 34)) (-3219 (((-121) |#4|) 33)) (-2548 (((-635 |#4|) |#4|) 100 (|has| |#1| (-454)))) (-2711 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-1 (-121) |#4|) (-635 |#4|)) 19)) (-3344 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 (-1 (-121) |#4|)) (-635 |#4|)) 21)) (-2735 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 (-1 (-121) |#4|)) (-635 |#4|)) 22)) (-3834 (((-3 (-2 (|:| |bas| (-482 |#1| |#2| |#3| |#4|)) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|)) 72)) (-4206 (((-635 |#4|) (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 84)) (-2989 (((-635 |#4|) (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 107)) (-3033 (((-635 |#4|) (-635 |#4|)) 106)) (-3006 (((-635 |#4|) (-635 |#4|) (-635 |#4|) (-121)) 47) (((-635 |#4|) (-635 |#4|) (-635 |#4|)) 49)) (-4370 ((|#4| |#4| (-635 |#4|)) 48)) (-3686 (((-635 |#4|) (-635 |#4|) (-635 |#4|)) 110 (|has| |#1| (-454)))) (-2023 (((-635 |#4|) (-635 |#4|) (-635 |#4|)) 113 (|has| |#1| (-454)))) (-4458 (((-635 |#4|) (-635 |#4|) (-635 |#4|)) 112 (|has| |#1| (-454)))) (-2350 (((-635 |#4|) (-635 |#4|) (-635 |#4|) (-1 (-635 |#4|) (-635 |#4|))) 86) (((-635 |#4|) (-635 |#4|) (-635 |#4|)) 88) (((-635 |#4|) (-635 |#4|) |#4|) 117) (((-635 |#4|) |#4| |#4|) 115) (((-635 |#4|) (-635 |#4|)) 87)) (-2391 (((-635 |#4|) (-635 |#4|) (-635 |#4|)) 97 (-12 (|has| |#1| (-151)) (|has| |#1| (-302))))) (-2934 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|)) 40)) (-1922 (((-121) (-635 |#4|)) 61)) (-3741 (((-121) (-635 |#4|) (-635 (-635 |#4|))) 52)) (-3247 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|)) 28)) (-3646 (((-121) |#4|) 27)) (-2218 (((-635 |#4|) (-635 |#4|)) 96 (-12 (|has| |#1| (-151)) (|has| |#1| (-302))))) (-2386 (((-635 |#4|) (-635 |#4|)) 95 (-12 (|has| |#1| (-151)) (|has| |#1| (-302))))) (-2603 (((-635 |#4|) (-635 |#4|)) 65)) (-2448 (((-635 |#4|) (-635 |#4|)) 78)) (-2918 (((-121) (-635 |#4|) (-635 |#4|)) 50)) (-1425 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|)) 38)) (-2115 (((-121) |#4|) 35))) 
+(((-979 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2350 ((-635 |#4|) (-635 |#4|))) (-15 -2350 ((-635 |#4|) |#4| |#4|)) (-15 -3033 ((-635 |#4|) (-635 |#4|))) (-15 -3317 ((-635 |#4|) |#4| |#4|)) (-15 -2350 ((-635 |#4|) (-635 |#4|) |#4|)) (-15 -2350 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -2350 ((-635 |#4|) (-635 |#4|) (-635 |#4|) (-1 (-635 |#4|) (-635 |#4|)))) (-15 -2918 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -3741 ((-121) (-635 |#4|) (-635 (-635 |#4|)))) (-15 -1922 ((-121) (-635 |#4|))) (-15 -2711 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-1 (-121) |#4|) (-635 |#4|))) (-15 -3344 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 (-1 (-121) |#4|)) (-635 |#4|))) (-15 -2735 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 (-1 (-121) |#4|)) (-635 |#4|))) (-15 -2934 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -3219 ((-121) |#4|)) (-15 -3097 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -3646 ((-121) |#4|)) (-15 -3247 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -2115 ((-121) |#4|)) (-15 -1425 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -3006 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -3006 ((-635 |#4|) (-635 |#4|) (-635 |#4|) (-121))) (-15 -4370 (|#4| |#4| (-635 |#4|))) (-15 -2603 ((-635 |#4|) (-635 |#4|))) (-15 -3834 ((-3 (-2 (|:| |bas| (-482 |#1| |#2| |#3| |#4|)) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|))) (-15 -2448 ((-635 |#4|) (-635 |#4|))) (-15 -4206 ((-635 |#4|) (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -2989 ((-635 |#4|) (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (IF (|has| |#1| (-454)) (PROGN (-15 -2548 ((-635 |#4|) |#4|)) (-15 -3038 ((-635 |#4|) (-635 |#4|))) (-15 -3038 ((-635 |#4|) (-635 |#4|) (-121))) (-15 -3686 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -4458 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -2023 ((-635 |#4|) (-635 |#4|) (-635 |#4|)))) |noBranch|) (IF (|has| |#1| (-302)) (IF (|has| |#1| (-151)) (PROGN (-15 -2386 ((-635 |#4|) (-635 |#4|))) (-15 -2218 ((-635 |#4|) (-635 |#4|))) (-15 -2391 ((-635 |#4|) (-635 |#4|) (-635 |#4|)))) |noBranch|) |noBranch|)) (-559) (-789) (-843) (-1062 |#1| |#2| |#3|)) (T -979)) 
+((-2391 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) (-2218 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) (-2386 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) (-2023 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) (-4458 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) (-3686 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) (-3038 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-121)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-979 *4 *5 *6 *7)))) (-3038 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) (-2548 (*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *3)) (-5 *1 (-979 *4 *5 *6 *3)) (-4 *3 (-1062 *4 *5 *6)))) (-2989 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-635 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-979 *5 *6 *7 *8)))) (-4206 (*1 *2 *2 *3 *4 *5) (-12 (-5 *2 (-635 *9)) (-5 *3 (-1 (-121) *9)) (-5 *4 (-1 (-121) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1062 *6 *7 *8)) (-4 *6 (-559)) (-4 *7 (-789)) (-4 *8 (-843)) (-5 *1 (-979 *6 *7 *8 *9)))) (-2448 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) (-3834 (*1 *2 *3) (|partial| -12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-2 (|:| |bas| (-482 *4 *5 *6 *7)) (|:| -3275 (-635 *7)))) (-5 *1 (-979 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-2603 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) (-4370 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-979 *4 *5 *6 *2)))) (-3006 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-121)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-979 *4 *5 *6 *7)))) (-3006 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) (-1425 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-979 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-2115 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-979 *4 *5 *6 *3)) (-4 *3 (-1062 *4 *5 *6)))) (-3247 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-979 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-3646 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-979 *4 *5 *6 *3)) (-4 *3 (-1062 *4 *5 *6)))) (-3097 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-979 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-3219 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-979 *4 *5 *6 *3)) (-4 *3 (-1062 *4 *5 *6)))) (-2934 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-979 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-2735 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1 (-121) *8))) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-2 (|:| |goodPols| (-635 *8)) (|:| |badPols| (-635 *8)))) (-5 *1 (-979 *5 *6 *7 *8)) (-5 *4 (-635 *8)))) (-3344 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1 (-121) *8))) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-2 (|:| |goodPols| (-635 *8)) (|:| |badPols| (-635 *8)))) (-5 *1 (-979 *5 *6 *7 *8)) (-5 *4 (-635 *8)))) (-2711 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-121) *8)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-2 (|:| |goodPols| (-635 *8)) (|:| |badPols| (-635 *8)))) (-5 *1 (-979 *5 *6 *7 *8)) (-5 *4 (-635 *8)))) (-1922 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-979 *4 *5 *6 *7)))) (-3741 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-635 *8))) (-5 *3 (-635 *8)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-121)) (-5 *1 (-979 *5 *6 *7 *8)))) (-2918 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-979 *4 *5 *6 *7)))) (-2350 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 (-635 *7) (-635 *7))) (-5 *2 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-979 *4 *5 *6 *7)))) (-2350 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) (-2350 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-979 *4 *5 *6 *3)))) (-3317 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *3)) (-5 *1 (-979 *4 *5 *6 *3)) (-4 *3 (-1062 *4 *5 *6)))) (-3033 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) (-2350 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *3)) (-5 *1 (-979 *4 *5 *6 *3)) (-4 *3 (-1062 *4 *5 *6)))) (-2350 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6))))) 
+(-10 -7 (-15 -2350 ((-635 |#4|) (-635 |#4|))) (-15 -2350 ((-635 |#4|) |#4| |#4|)) (-15 -3033 ((-635 |#4|) (-635 |#4|))) (-15 -3317 ((-635 |#4|) |#4| |#4|)) (-15 -2350 ((-635 |#4|) (-635 |#4|) |#4|)) (-15 -2350 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -2350 ((-635 |#4|) (-635 |#4|) (-635 |#4|) (-1 (-635 |#4|) (-635 |#4|)))) (-15 -2918 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -3741 ((-121) (-635 |#4|) (-635 (-635 |#4|)))) (-15 -1922 ((-121) (-635 |#4|))) (-15 -2711 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-1 (-121) |#4|) (-635 |#4|))) (-15 -3344 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 (-1 (-121) |#4|)) (-635 |#4|))) (-15 -2735 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 (-1 (-121) |#4|)) (-635 |#4|))) (-15 -2934 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -3219 ((-121) |#4|)) (-15 -3097 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -3646 ((-121) |#4|)) (-15 -3247 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -2115 ((-121) |#4|)) (-15 -1425 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -3006 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -3006 ((-635 |#4|) (-635 |#4|) (-635 |#4|) (-121))) (-15 -4370 (|#4| |#4| (-635 |#4|))) (-15 -2603 ((-635 |#4|) (-635 |#4|))) (-15 -3834 ((-3 (-2 (|:| |bas| (-482 |#1| |#2| |#3| |#4|)) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|))) (-15 -2448 ((-635 |#4|) (-635 |#4|))) (-15 -4206 ((-635 |#4|) (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -2989 ((-635 |#4|) (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (IF (|has| |#1| (-454)) (PROGN (-15 -2548 ((-635 |#4|) |#4|)) (-15 -3038 ((-635 |#4|) (-635 |#4|))) (-15 -3038 ((-635 |#4|) (-635 |#4|) (-121))) (-15 -3686 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -4458 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -2023 ((-635 |#4|) (-635 |#4|) (-635 |#4|)))) |noBranch|) (IF (|has| |#1| (-302)) (IF (|has| |#1| (-151)) (PROGN (-15 -2386 ((-635 |#4|) (-635 |#4|))) (-15 -2218 ((-635 |#4|) (-635 |#4|))) (-15 -2391 ((-635 |#4|) (-635 |#4|) (-635 |#4|)))) |noBranch|) |noBranch|)) 
+((-2286 (((-2 (|:| R (-680 |#1|)) (|:| A (-680 |#1|)) (|:| |Ainv| (-680 |#1|))) (-680 |#1|) (-101 |#1|) (-1 |#1| |#1|)) 19)) (-3716 (((-635 (-2 (|:| C (-680 |#1|)) (|:| |g| (-1247 |#1|)))) (-680 |#1|) (-1247 |#1|)) 35)) (-3053 (((-680 |#1|) (-680 |#1|) (-680 |#1|) (-101 |#1|) (-1 |#1| |#1|)) 16))) 
+(((-980 |#1|) (-10 -7 (-15 -2286 ((-2 (|:| R (-680 |#1|)) (|:| A (-680 |#1|)) (|:| |Ainv| (-680 |#1|))) (-680 |#1|) (-101 |#1|) (-1 |#1| |#1|))) (-15 -3053 ((-680 |#1|) (-680 |#1|) (-680 |#1|) (-101 |#1|) (-1 |#1| |#1|))) (-15 -3716 ((-635 (-2 (|:| C (-680 |#1|)) (|:| |g| (-1247 |#1|)))) (-680 |#1|) (-1247 |#1|)))) (-366)) (T -980)) 
+((-3716 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-5 *2 (-635 (-2 (|:| C (-680 *5)) (|:| |g| (-1247 *5))))) (-5 *1 (-980 *5)) (-5 *3 (-680 *5)) (-5 *4 (-1247 *5)))) (-3053 (*1 *2 *2 *2 *3 *4) (-12 (-5 *2 (-680 *5)) (-5 *3 (-101 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-366)) (-5 *1 (-980 *5)))) (-2286 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-101 *6)) (-5 *5 (-1 *6 *6)) (-4 *6 (-366)) (-5 *2 (-2 (|:| R (-680 *6)) (|:| A (-680 *6)) (|:| |Ainv| (-680 *6)))) (-5 *1 (-980 *6)) (-5 *3 (-680 *6))))) 
+(-10 -7 (-15 -2286 ((-2 (|:| R (-680 |#1|)) (|:| A (-680 |#1|)) (|:| |Ainv| (-680 |#1|))) (-680 |#1|) (-101 |#1|) (-1 |#1| |#1|))) (-15 -3053 ((-680 |#1|) (-680 |#1|) (-680 |#1|) (-101 |#1|) (-1 |#1| |#1|))) (-15 -3716 ((-635 (-2 (|:| C (-680 |#1|)) (|:| |g| (-1247 |#1|)))) (-680 |#1|) (-1247 |#1|)))) 
+((-2446 (((-421 |#4|) |#4|) 47))) 
+(((-981 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2446 ((-421 |#4|) |#4|))) (-843) (-789) (-454) (-951 |#3| |#2| |#1|)) (T -981)) 
+((-2446 (*1 *2 *3) (-12 (-4 *4 (-843)) (-4 *5 (-789)) (-4 *6 (-454)) (-5 *2 (-421 *3)) (-5 *1 (-981 *4 *5 *6 *3)) (-4 *3 (-951 *6 *5 *4))))) 
+(-10 -7 (-15 -2446 ((-421 |#4|) |#4|))) 
+((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-2418 (($ (-764)) 105 (|has| |#1| (-23)))) (-3112 (((-1252) $ (-569) (-569)) 37 (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) |#1| |#1|) $) 91) (((-121) $) 85 (|has| |#1| (-843)))) (-3076 (($ (-1 (-121) |#1| |#1|) $) 82 (|has| $ (-6 -4536))) (($ $) 81 (-12 (|has| |#1| (-843)) (|has| $ (-6 -4536))))) (-3113 (($ (-1 (-121) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-843)))) (-1691 (((-121) $ (-764)) 8)) (-4469 ((|#1| $ (-569) |#1|) 49 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) 53 (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-1302 (($ $) 83 (|has| $ (-6 -4536)))) (-2052 (($ $) 93)) (-2033 (($ $) 73 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ |#1| $) 72 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) 50 (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) 48)) (-3727 (((-569) (-1 (-121) |#1|) $) 90) (((-569) |#1| $) 89 (|has| |#1| (-1091))) (((-569) |#1| $ (-569)) 88 (|has| |#1| (-1091)))) (-2893 (($ (-635 |#1|)) 110)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-4404 (((-680 |#1|) $ $) 98 (|has| |#1| (-1048)))) (-2659 (($ (-764) |#1|) 64)) (-1974 (((-121) $ (-764)) 9)) (-3557 (((-569) $) 40 (|has| (-569) (-843)))) (-3291 (($ $ $) 80 (|has| |#1| (-843)))) (-3288 (($ (-1 (-121) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1285 (((-569) $) 41 (|has| (-569) (-843)))) (-1538 (($ $ $) 79 (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-2456 ((|#1| $) 95 (-12 (|has| |#1| (-1048)) (|has| |#1| (-1003))))) (-2006 (((-121) $ (-764)) 10)) (-1906 ((|#1| $) 96 (-12 (|has| |#1| (-1048)) (|has| |#1| (-1003))))) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3614 (($ |#1| $ (-569)) 55) (($ $ $ (-569)) 54)) (-4166 (((-635 (-569)) $) 43)) (-3533 (((-121) (-569) $) 44)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4353 ((|#1| $) 39 (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-3174 (($ $ |#1|) 38 (|has| $ (-6 -4536)))) (-3499 (($ $ (-635 |#1|)) 107)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) 45)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ (-569) |#1|) 47) ((|#1| $ (-569)) 46) (($ $ (-1213 (-569))) 58)) (-2049 ((|#1| $ $) 99 (|has| |#1| (-1048)))) (-2369 (((-918) $) 109)) (-3010 (($ $ (-569)) 57) (($ $ (-1213 (-569))) 56)) (-3904 (($ $ $) 97)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-3389 (($ $ $ (-569)) 84 (|has| $ (-6 -4536)))) (-1971 (($ $) 13)) (-3817 (((-542) $) 74 (|has| |#1| (-610 (-542)))) (($ (-635 |#1|)) 108)) (-2139 (($ (-635 |#1|)) 65)) (-2250 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) 77 (|has| |#1| (-843)))) (-1684 (((-121) $ $) 76 (|has| |#1| (-843)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-1688 (((-121) $ $) 78 (|has| |#1| (-843)))) (-1678 (((-121) $ $) 75 (|has| |#1| (-843)))) (-1711 (($ $) 104 (|has| |#1| (-21))) (($ $ $) 103 (|has| |#1| (-21)))) (-1707 (($ $ $) 106 (|has| |#1| (-25)))) (* (($ (-569) $) 102 (|has| |#1| (-21))) (($ |#1| $) 101 (|has| |#1| (-717))) (($ $ |#1|) 100 (|has| |#1| (-717)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-982 |#1|) (-1278) (-1048)) (T -982)) 
+((-2893 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1048)) (-4 *1 (-982 *3)))) (-2369 (*1 *2 *1) (-12 (-4 *1 (-982 *3)) (-4 *3 (-1048)) (-5 *2 (-918)))) (-3817 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1048)) (-4 *1 (-982 *3)))) (-3904 (*1 *1 *1 *1) (-12 (-4 *1 (-982 *2)) (-4 *2 (-1048)))) (-3499 (*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-982 *3)) (-4 *3 (-1048))))) 
+(-13 (-1245 |t#1|) (-10 -8 (-15 -2893 ($ (-635 |t#1|))) (-15 -2369 ((-918) $)) (-15 -3817 ($ (-635 |t#1|))) (-15 -3904 ($ $ $)) (-15 -3499 ($ $ (-635 |t#1|))))) 
+(((-39) . T) ((-105) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-609 (-851)) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-376 |#1|) . T) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-641 |#1|) . T) ((-19 |#1|) . T) ((-843) |has| |#1| (-843)) ((-1091) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-1197) . T) ((-1245 |#1|) . T)) 
+((-1544 (((-945 |#2|) (-1 |#2| |#1|) (-945 |#1|)) 17))) 
+(((-983 |#1| |#2|) (-10 -7 (-15 -1544 ((-945 |#2|) (-1 |#2| |#1|) (-945 |#1|)))) (-1048) (-1048)) (T -983)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-945 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-5 *2 (-945 *6)) (-5 *1 (-983 *5 *6))))) 
+(-10 -7 (-15 -1544 ((-945 |#2|) (-1 |#2| |#1|) (-945 |#1|)))) 
+((-3363 ((|#1| (-945 |#1|)) 13)) (-4016 ((|#1| (-945 |#1|)) 12)) (-2308 ((|#1| (-945 |#1|)) 11)) (-2293 ((|#1| (-945 |#1|)) 15)) (-3473 ((|#1| (-945 |#1|)) 21)) (-1687 ((|#1| (-945 |#1|)) 14)) (-2285 ((|#1| (-945 |#1|)) 16)) (-1786 ((|#1| (-945 |#1|)) 20)) (-3742 ((|#1| (-945 |#1|)) 19))) 
+(((-984 |#1|) (-10 -7 (-15 -2308 (|#1| (-945 |#1|))) (-15 -4016 (|#1| (-945 |#1|))) (-15 -3363 (|#1| (-945 |#1|))) (-15 -1687 (|#1| (-945 |#1|))) (-15 -2293 (|#1| (-945 |#1|))) (-15 -2285 (|#1| (-945 |#1|))) (-15 -3742 (|#1| (-945 |#1|))) (-15 -1786 (|#1| (-945 |#1|))) (-15 -3473 (|#1| (-945 |#1|)))) (-1048)) (T -984)) 
+((-3473 (*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048)))) (-1786 (*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048)))) (-3742 (*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048)))) (-2285 (*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048)))) (-2293 (*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048)))) (-1687 (*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048)))) (-3363 (*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048)))) (-4016 (*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048)))) (-2308 (*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048))))) 
+(-10 -7 (-15 -2308 (|#1| (-945 |#1|))) (-15 -4016 (|#1| (-945 |#1|))) (-15 -3363 (|#1| (-945 |#1|))) (-15 -1687 (|#1| (-945 |#1|))) (-15 -2293 (|#1| (-945 |#1|))) (-15 -2285 (|#1| (-945 |#1|))) (-15 -3742 (|#1| (-945 |#1|))) (-15 -1786 (|#1| (-945 |#1|))) (-15 -3473 (|#1| (-945 |#1|)))) 
+((-1465 (((-3 |#1| "failed") |#1|) 18)) (-3037 (((-3 |#1| "failed") |#1|) 6)) (-4467 (((-3 |#1| "failed") |#1|) 16)) (-1549 (((-3 |#1| "failed") |#1|) 4)) (-2847 (((-3 |#1| "failed") |#1|) 20)) (-2971 (((-3 |#1| "failed") |#1|) 8)) (-2657 (((-3 |#1| "failed") |#1| (-764)) 1)) (-1552 (((-3 |#1| "failed") |#1|) 3)) (-3331 (((-3 |#1| "failed") |#1|) 2)) (-4331 (((-3 |#1| "failed") |#1|) 21)) (-2957 (((-3 |#1| "failed") |#1|) 9)) (-1371 (((-3 |#1| "failed") |#1|) 19)) (-4267 (((-3 |#1| "failed") |#1|) 7)) (-4254 (((-3 |#1| "failed") |#1|) 17)) (-4046 (((-3 |#1| "failed") |#1|) 5)) (-4389 (((-3 |#1| "failed") |#1|) 24)) (-4299 (((-3 |#1| "failed") |#1|) 12)) (-2597 (((-3 |#1| "failed") |#1|) 22)) (-2859 (((-3 |#1| "failed") |#1|) 10)) (-4430 (((-3 |#1| "failed") |#1|) 26)) (-1338 (((-3 |#1| "failed") |#1|) 14)) (-2264 (((-3 |#1| "failed") |#1|) 27)) (-2226 (((-3 |#1| "failed") |#1|) 15)) (-2368 (((-3 |#1| "failed") |#1|) 25)) (-2042 (((-3 |#1| "failed") |#1|) 13)) (-2858 (((-3 |#1| "failed") |#1|) 23)) (-3768 (((-3 |#1| "failed") |#1|) 11))) 
+(((-985 |#1|) (-1278) (-1183)) (T -985)) 
+((-2264 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-4430 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-2368 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-4389 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-2858 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-2597 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-4331 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-2847 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-1371 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-1465 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-4254 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-4467 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-2226 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-1338 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-2042 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-4299 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-3768 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-2859 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-2957 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-2971 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-4267 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-3037 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-4046 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-1549 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-1552 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-3331 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-2657 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-764)) (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(-13 (-10 -7 (-15 -2657 ((-3 |t#1| "failed") |t#1| (-764))) (-15 -3331 ((-3 |t#1| "failed") |t#1|)) (-15 -1552 ((-3 |t#1| "failed") |t#1|)) (-15 -1549 ((-3 |t#1| "failed") |t#1|)) (-15 -4046 ((-3 |t#1| "failed") |t#1|)) (-15 -3037 ((-3 |t#1| "failed") |t#1|)) (-15 -4267 ((-3 |t#1| "failed") |t#1|)) (-15 -2971 ((-3 |t#1| "failed") |t#1|)) (-15 -2957 ((-3 |t#1| "failed") |t#1|)) (-15 -2859 ((-3 |t#1| "failed") |t#1|)) (-15 -3768 ((-3 |t#1| "failed") |t#1|)) (-15 -4299 ((-3 |t#1| "failed") |t#1|)) (-15 -2042 ((-3 |t#1| "failed") |t#1|)) (-15 -1338 ((-3 |t#1| "failed") |t#1|)) (-15 -2226 ((-3 |t#1| "failed") |t#1|)) (-15 -4467 ((-3 |t#1| "failed") |t#1|)) (-15 -4254 ((-3 |t#1| "failed") |t#1|)) (-15 -1465 ((-3 |t#1| "failed") |t#1|)) (-15 -1371 ((-3 |t#1| "failed") |t#1|)) (-15 -2847 ((-3 |t#1| "failed") |t#1|)) (-15 -4331 ((-3 |t#1| "failed") |t#1|)) (-15 -2597 ((-3 |t#1| "failed") |t#1|)) (-15 -2858 ((-3 |t#1| "failed") |t#1|)) (-15 -4389 ((-3 |t#1| "failed") |t#1|)) (-15 -2368 ((-3 |t#1| "failed") |t#1|)) (-15 -4430 ((-3 |t#1| "failed") |t#1|)) (-15 -2264 ((-3 |t#1| "failed") |t#1|)))) 
+((-3277 ((|#4| |#4| (-635 |#3|)) 55) ((|#4| |#4| |#3|) 54)) (-2699 ((|#4| |#4| (-635 |#3|)) 23) ((|#4| |#4| |#3|) 19)) (-1544 ((|#4| (-1 |#4| (-954 |#1|)) |#4|) 30))) 
+(((-986 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2699 (|#4| |#4| |#3|)) (-15 -2699 (|#4| |#4| (-635 |#3|))) (-15 -3277 (|#4| |#4| |#3|)) (-15 -3277 (|#4| |#4| (-635 |#3|))) (-15 -1544 (|#4| (-1 |#4| (-954 |#1|)) |#4|))) (-1048) (-789) (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163))))) (-951 (-954 |#1|) |#2| |#3|)) (T -986)) 
+((-1544 (*1 *2 *3 *2) (-12 (-5 *3 (-1 *2 (-954 *4))) (-4 *4 (-1048)) (-4 *2 (-951 (-954 *4) *5 *6)) (-4 *5 (-789)) (-4 *6 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-5 *1 (-986 *4 *5 *6 *2)))) (-3277 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-4 *4 (-1048)) (-4 *5 (-789)) (-5 *1 (-986 *4 *5 *6 *2)) (-4 *2 (-951 (-954 *4) *5 *6)))) (-3277 (*1 *2 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-5 *1 (-986 *4 *5 *3 *2)) (-4 *2 (-951 (-954 *4) *5 *3)))) (-2699 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-4 *4 (-1048)) (-4 *5 (-789)) (-5 *1 (-986 *4 *5 *6 *2)) (-4 *2 (-951 (-954 *4) *5 *6)))) (-2699 (*1 *2 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-5 *1 (-986 *4 *5 *3 *2)) (-4 *2 (-951 (-954 *4) *5 *3))))) 
+(-10 -7 (-15 -2699 (|#4| |#4| |#3|)) (-15 -2699 (|#4| |#4| (-635 |#3|))) (-15 -3277 (|#4| |#4| |#3|)) (-15 -3277 (|#4| |#4| (-635 |#3|))) (-15 -1544 (|#4| (-1 |#4| (-954 |#1|)) |#4|))) 
+((-4004 ((|#2| |#3|) 34)) (-1627 (((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))) |#2|) 71)) (-3577 (((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|)))) 86))) 
+(((-987 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3577 ((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))))) (-15 -1627 ((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))) |#2|)) (-15 -4004 (|#2| |#3|))) (-351) (-1222 |#1|) (-1222 |#2|) (-715 |#2| |#3|)) (T -987)) 
+((-4004 (*1 *2 *3) (-12 (-4 *3 (-1222 *2)) (-4 *2 (-1222 *4)) (-5 *1 (-987 *4 *2 *3 *5)) (-4 *4 (-351)) (-4 *5 (-715 *2 *3)))) (-1627 (*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 *3)) (-5 *2 (-2 (|:| -3930 (-680 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-680 *3)))) (-5 *1 (-987 *4 *3 *5 *6)) (-4 *6 (-715 *3 *5)))) (-3577 (*1 *2) (-12 (-4 *3 (-351)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| -3930 (-680 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-680 *4)))) (-5 *1 (-987 *3 *4 *5 *6)) (-4 *6 (-715 *4 *5))))) 
+(-10 -7 (-15 -3577 ((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))))) (-15 -1627 ((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))) |#2|)) (-15 -4004 (|#2| |#3|))) 
+((-3909 (((-989 (-410 (-569)) (-853 |#1|) (-233 |#2| (-764)) (-243 |#1| (-410 (-569)))) (-989 (-410 (-569)) (-853 |#1|) (-233 |#2| (-764)) (-243 |#1| (-410 (-569))))) 64))) 
+(((-988 |#1| |#2|) (-10 -7 (-15 -3909 ((-989 (-410 (-569)) (-853 |#1|) (-233 |#2| (-764)) (-243 |#1| (-410 (-569)))) (-989 (-410 (-569)) (-853 |#1|) (-233 |#2| (-764)) (-243 |#1| (-410 (-569))))))) (-635 (-1163)) (-764)) (T -988)) 
+((-3909 (*1 *2 *2) (-12 (-5 *2 (-989 (-410 (-569)) (-853 *3) (-233 *4 (-764)) (-243 *3 (-410 (-569))))) (-14 *3 (-635 (-1163))) (-14 *4 (-764)) (-5 *1 (-988 *3 *4))))) 
+(-10 -7 (-15 -3909 ((-989 (-410 (-569)) (-853 |#1|) (-233 |#2| (-764)) (-243 |#1| (-410 (-569)))) (-989 (-410 (-569)) (-853 |#1|) (-233 |#2| (-764)) (-243 |#1| (-410 (-569))))))) 
+((-2568 (((-121) $ $) NIL)) (-3156 (((-3 (-121) "failed") $) 67)) (-4490 (($ $) 35 (-12 (|has| |#1| (-151)) (|has| |#1| (-302))))) (-2316 (($ $ (-3 (-121) "failed")) 68)) (-2292 (($ (-635 |#4|) |#4|) 24)) (-2776 (((-1145) $) NIL)) (-4125 (($ $) 65)) (-3360 (((-1109) $) NIL)) (-1601 (((-121) $) 66)) (-1296 (($) 29)) (-2426 ((|#4| $) 70)) (-1399 (((-635 |#4|) $) 69)) (-2185 (((-851) $) 64)) (-1668 (((-121) $ $) NIL))) 
+(((-989 |#1| |#2| |#3| |#4|) (-13 (-1091) (-609 (-851)) (-10 -8 (-15 -1296 ($)) (-15 -2292 ($ (-635 |#4|) |#4|)) (-15 -3156 ((-3 (-121) "failed") $)) (-15 -2316 ($ $ (-3 (-121) "failed"))) (-15 -1601 ((-121) $)) (-15 -1399 ((-635 |#4|) $)) (-15 -2426 (|#4| $)) (-15 -4125 ($ $)) (IF (|has| |#1| (-302)) (IF (|has| |#1| (-151)) (-15 -4490 ($ $)) |noBranch|) |noBranch|))) (-454) (-843) (-789) (-951 |#1| |#3| |#2|)) (T -989)) 
+((-1296 (*1 *1) (-12 (-4 *2 (-454)) (-4 *3 (-843)) (-4 *4 (-789)) (-5 *1 (-989 *2 *3 *4 *5)) (-4 *5 (-951 *2 *4 *3)))) (-2292 (*1 *1 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-951 *4 *6 *5)) (-4 *4 (-454)) (-4 *5 (-843)) (-4 *6 (-789)) (-5 *1 (-989 *4 *5 *6 *3)))) (-3156 (*1 *2 *1) (|partial| -12 (-4 *3 (-454)) (-4 *4 (-843)) (-4 *5 (-789)) (-5 *2 (-121)) (-5 *1 (-989 *3 *4 *5 *6)) (-4 *6 (-951 *3 *5 *4)))) (-2316 (*1 *1 *1 *2) (-12 (-5 *2 (-3 (-121) "failed")) (-4 *3 (-454)) (-4 *4 (-843)) (-4 *5 (-789)) (-5 *1 (-989 *3 *4 *5 *6)) (-4 *6 (-951 *3 *5 *4)))) (-1601 (*1 *2 *1) (-12 (-4 *3 (-454)) (-4 *4 (-843)) (-4 *5 (-789)) (-5 *2 (-121)) (-5 *1 (-989 *3 *4 *5 *6)) (-4 *6 (-951 *3 *5 *4)))) (-1399 (*1 *2 *1) (-12 (-4 *3 (-454)) (-4 *4 (-843)) (-4 *5 (-789)) (-5 *2 (-635 *6)) (-5 *1 (-989 *3 *4 *5 *6)) (-4 *6 (-951 *3 *5 *4)))) (-2426 (*1 *2 *1) (-12 (-4 *2 (-951 *3 *5 *4)) (-5 *1 (-989 *3 *4 *5 *2)) (-4 *3 (-454)) (-4 *4 (-843)) (-4 *5 (-789)))) (-4125 (*1 *1 *1) (-12 (-4 *2 (-454)) (-4 *3 (-843)) (-4 *4 (-789)) (-5 *1 (-989 *2 *3 *4 *5)) (-4 *5 (-951 *2 *4 *3)))) (-4490 (*1 *1 *1) (-12 (-4 *2 (-151)) (-4 *2 (-302)) (-4 *2 (-454)) (-4 *3 (-843)) (-4 *4 (-789)) (-5 *1 (-989 *2 *3 *4 *5)) (-4 *5 (-951 *2 *4 *3))))) 
+(-13 (-1091) (-609 (-851)) (-10 -8 (-15 -1296 ($)) (-15 -2292 ($ (-635 |#4|) |#4|)) (-15 -3156 ((-3 (-121) "failed") $)) (-15 -2316 ($ $ (-3 (-121) "failed"))) (-15 -1601 ((-121) $)) (-15 -1399 ((-635 |#4|) $)) (-15 -2426 (|#4| $)) (-15 -4125 ($ $)) (IF (|has| |#1| (-302)) (IF (|has| |#1| (-151)) (-15 -4490 ($ $)) |noBranch|) |noBranch|))) 
+((-3099 (((-121) |#5| |#5|) 37)) (-1501 (((-121) |#5| |#5|) 51)) (-1877 (((-121) |#5| (-635 |#5|)) 73) (((-121) |#5| |#5|) 60)) (-1941 (((-121) (-635 |#4|) (-635 |#4|)) 57)) (-2149 (((-121) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) 62)) (-2737 (((-1252)) 33)) (-2371 (((-1252) (-1145) (-1145) (-1145)) 29)) (-1890 (((-635 |#5|) (-635 |#5|)) 80)) (-1428 (((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)))) 78)) (-1659 (((-635 (-2 (|:| -1502 (-635 |#4|)) (|:| -4003 |#5|) (|:| |ineq| (-635 |#4|)))) (-635 |#4|) (-635 |#5|) (-121) (-121)) 100)) (-1602 (((-121) |#5| |#5|) 46)) (-4393 (((-3 (-121) "failed") |#5| |#5|) 70)) (-4461 (((-121) (-635 |#4|) (-635 |#4|)) 56)) (-3269 (((-121) (-635 |#4|) (-635 |#4|)) 58)) (-2673 (((-121) (-635 |#4|) (-635 |#4|)) 59)) (-3590 (((-3 (-2 (|:| -1502 (-635 |#4|)) (|:| -4003 |#5|) (|:| |ineq| (-635 |#4|))) "failed") (-635 |#4|) |#5| (-635 |#4|) (-121) (-121) (-121) (-121) (-121)) 96)) (-2514 (((-635 |#5|) (-635 |#5|)) 42))) 
+(((-990 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2371 ((-1252) (-1145) (-1145) (-1145))) (-15 -2737 ((-1252))) (-15 -3099 ((-121) |#5| |#5|)) (-15 -2514 ((-635 |#5|) (-635 |#5|))) (-15 -1602 ((-121) |#5| |#5|)) (-15 -1501 ((-121) |#5| |#5|)) (-15 -1941 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4461 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -3269 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -2673 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4393 ((-3 (-121) "failed") |#5| |#5|)) (-15 -1877 ((-121) |#5| |#5|)) (-15 -1877 ((-121) |#5| (-635 |#5|))) (-15 -1890 ((-635 |#5|) (-635 |#5|))) (-15 -2149 ((-121) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)))) (-15 -1428 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) (-15 -1659 ((-635 (-2 (|:| -1502 (-635 |#4|)) (|:| -4003 |#5|) (|:| |ineq| (-635 |#4|)))) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -3590 ((-3 (-2 (|:| -1502 (-635 |#4|)) (|:| -4003 |#5|) (|:| |ineq| (-635 |#4|))) "failed") (-635 |#4|) |#5| (-635 |#4|) (-121) (-121) (-121) (-121) (-121)))) (-454) (-789) (-843) (-1062 |#1| |#2| |#3|) (-1067 |#1| |#2| |#3| |#4|)) (T -990)) 
+((-3590 (*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *9 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| -1502 (-635 *9)) (|:| -4003 *4) (|:| |ineq| (-635 *9)))) (-5 *1 (-990 *6 *7 *8 *9 *4)) (-5 *3 (-635 *9)) (-4 *4 (-1067 *6 *7 *8 *9)))) (-1659 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-635 *10)) (-5 *5 (-121)) (-4 *10 (-1067 *6 *7 *8 *9)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *9 (-1062 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| -1502 (-635 *9)) (|:| -4003 *10) (|:| |ineq| (-635 *9))))) (-5 *1 (-990 *6 *7 *8 *9 *10)) (-5 *3 (-635 *9)))) (-1428 (*1 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |val| (-635 *6)) (|:| -4003 *7)))) (-4 *6 (-1062 *3 *4 *5)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-990 *3 *4 *5 *6 *7)))) (-2149 (*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4003 *8))) (-4 *7 (-1062 *4 *5 *6)) (-4 *8 (-1067 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *8)))) (-1890 (*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *1 (-990 *3 *4 *5 *6 *7)))) (-1877 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-990 *5 *6 *7 *8 *3)))) (-1877 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) (-4393 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) (-2673 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) (-3269 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) (-4461 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) (-1941 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) (-1501 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) (-1602 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) (-2514 (*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *1 (-990 *3 *4 *5 *6 *7)))) (-3099 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) (-2737 (*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-1252)) (-5 *1 (-990 *3 *4 *5 *6 *7)) (-4 *7 (-1067 *3 *4 *5 *6)))) (-2371 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-1252)) (-5 *1 (-990 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7))))) 
+(-10 -7 (-15 -2371 ((-1252) (-1145) (-1145) (-1145))) (-15 -2737 ((-1252))) (-15 -3099 ((-121) |#5| |#5|)) (-15 -2514 ((-635 |#5|) (-635 |#5|))) (-15 -1602 ((-121) |#5| |#5|)) (-15 -1501 ((-121) |#5| |#5|)) (-15 -1941 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4461 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -3269 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -2673 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4393 ((-3 (-121) "failed") |#5| |#5|)) (-15 -1877 ((-121) |#5| |#5|)) (-15 -1877 ((-121) |#5| (-635 |#5|))) (-15 -1890 ((-635 |#5|) (-635 |#5|))) (-15 -2149 ((-121) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)))) (-15 -1428 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) (-15 -1659 ((-635 (-2 (|:| -1502 (-635 |#4|)) (|:| -4003 |#5|) (|:| |ineq| (-635 |#4|)))) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -3590 ((-3 (-2 (|:| -1502 (-635 |#4|)) (|:| -4003 |#5|) (|:| |ineq| (-635 |#4|))) "failed") (-635 |#4|) |#5| (-635 |#4|) (-121) (-121) (-121) (-121) (-121)))) 
+((-3534 (((-1163) $) 15)) (-2247 (((-1145) $) 16)) (-1539 (($ (-1163) (-1145)) 14)) (-2185 (((-851) $) 13))) 
+(((-991) (-13 (-609 (-851)) (-10 -8 (-15 -1539 ($ (-1163) (-1145))) (-15 -3534 ((-1163) $)) (-15 -2247 ((-1145) $))))) (T -991)) 
+((-1539 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1145)) (-5 *1 (-991)))) (-3534 (*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-991)))) (-2247 (*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-991))))) 
+(-13 (-609 (-851)) (-10 -8 (-15 -1539 ($ (-1163) (-1145))) (-15 -3534 ((-1163) $)) (-15 -2247 ((-1145) $)))) 
+((-1544 ((|#4| (-1 |#2| |#1|) |#3|) 14))) 
+(((-992 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1544 (|#4| (-1 |#2| |#1|) |#3|))) (-559) (-559) (-994 |#1|) (-994 |#2|)) (T -992)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-559)) (-4 *6 (-559)) (-4 *2 (-994 *6)) (-5 *1 (-992 *5 *6 *4 *2)) (-4 *4 (-994 *5))))) 
+(-10 -7 (-15 -1544 (|#4| (-1 |#2| |#1|) |#3|))) 
+((-1647 (((-3 |#2| "failed") $) NIL) (((-3 (-1163) "failed") $) 65) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-569) "failed") $) 95)) (-2428 ((|#2| $) NIL) (((-1163) $) 60) (((-410 (-569)) $) NIL) (((-569) $) 92)) (-1696 (((-680 (-569)) (-680 $)) NIL) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) 112) (((-680 |#2|) (-680 $)) 28)) (-4327 (($) 98)) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 74) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 83)) (-4052 (($ $) 10)) (-3846 (((-3 $ "failed") $) 20)) (-1544 (($ (-1 |#2| |#2|) $) 22)) (-4043 (($) 16)) (-1346 (($ $) 54)) (-3899 (($ $) NIL) (($ $ (-764)) NIL) (($ $ (-1163)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-1 |#2| |#2|)) 36)) (-4214 (($ $) 12)) (-3817 (((-888 (-569)) $) 69) (((-888 (-382)) $) 78) (((-542) $) 40) (((-382) $) 44) (((-216) $) 47)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) 90) (($ |#2|) NIL) (($ (-1163)) 57)) (-1991 (((-764)) 31)) (-1678 (((-121) $ $) 50))) 
+(((-993 |#1| |#2|) (-10 -8 (-15 -1678 ((-121) |#1| |#1|)) (-15 -4043 (|#1|)) (-15 -3846 ((-3 |#1| "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3817 ((-216) |#1|)) (-15 -3817 ((-382) |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -2428 ((-1163) |#1|)) (-15 -1647 ((-3 (-1163) "failed") |#1|)) (-15 -2185 (|#1| (-1163))) (-15 -4327 (|#1|)) (-15 -1346 (|#1| |#1|)) (-15 -4214 (|#1| |#1|)) (-15 -4052 (|#1| |#1|)) (-15 -2883 ((-885 (-382) |#1|) |#1| (-888 (-382)) (-885 (-382) |#1|))) (-15 -2883 ((-885 (-569) |#1|) |#1| (-888 (-569)) (-885 (-569) |#1|))) (-15 -3817 ((-888 (-382)) |#1|)) (-15 -3817 ((-888 (-569)) |#1|)) (-15 -1696 ((-680 |#2|) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-680 (-569)) (-680 |#1|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 (|#1| |#1|)) (-15 -2185 (|#1| (-569))) (-15 -1991 ((-764))) (-15 -2185 ((-851) |#1|))) (-994 |#2|) (-559)) (T -993)) 
+((-1991 (*1 *2) (-12 (-4 *4 (-559)) (-5 *2 (-764)) (-5 *1 (-993 *3 *4)) (-4 *3 (-994 *4))))) 
+(-10 -8 (-15 -1678 ((-121) |#1| |#1|)) (-15 -4043 (|#1|)) (-15 -3846 ((-3 |#1| "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3817 ((-216) |#1|)) (-15 -3817 ((-382) |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -2428 ((-1163) |#1|)) (-15 -1647 ((-3 (-1163) "failed") |#1|)) (-15 -2185 (|#1| (-1163))) (-15 -4327 (|#1|)) (-15 -1346 (|#1| |#1|)) (-15 -4214 (|#1| |#1|)) (-15 -4052 (|#1| |#1|)) (-15 -2883 ((-885 (-382) |#1|) |#1| (-888 (-382)) (-885 (-382) |#1|))) (-15 -2883 ((-885 (-569) |#1|) |#1| (-888 (-569)) (-885 (-569) |#1|))) (-15 -3817 ((-888 (-382)) |#1|)) (-15 -3817 ((-888 (-569)) |#1|)) (-15 -1696 ((-680 |#2|) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-680 (-569)) (-680 |#1|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 (|#1| |#1|)) (-15 -2185 (|#1| (-569))) (-15 -1991 ((-764))) (-15 -2185 ((-851) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-3761 ((|#1| $) 135 (|has| |#1| (-302)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-2379 (((-421 (-1159 $)) (-1159 $)) 126 (|has| |#1| (-905)))) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) 129 (|has| |#1| (-905)))) (-3934 (((-121) $ $) 57)) (-3638 (((-569) $) 116 (|has| |#1| (-816)))) (-2820 (($) 16 T CONST)) (-1647 (((-3 |#1| "failed") $) 174) (((-3 (-1163) "failed") $) 124 (|has| |#1| (-1038 (-1163)))) (((-3 (-410 (-569)) "failed") $) 108 (|has| |#1| (-1038 (-569)))) (((-3 (-569) "failed") $) 106 (|has| |#1| (-1038 (-569))))) (-2428 ((|#1| $) 173) (((-1163) $) 123 (|has| |#1| (-1038 (-1163)))) (((-410 (-569)) $) 107 (|has| |#1| (-1038 (-569)))) (((-569) $) 105 (|has| |#1| (-1038 (-569))))) (-2506 (($ $ $) 53)) (-1696 (((-680 (-569)) (-680 $)) 148 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 147 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 146) (((-680 |#1|) (-680 $)) 145)) (-3428 (((-3 $ "failed") $) 33)) (-4327 (($) 133 (|has| |#1| (-551)))) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-3726 (((-121) $) 69)) (-2403 (((-121) $) 118 (|has| |#1| (-816)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 142 (|has| |#1| (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 141 (|has| |#1| (-882 (-382))))) (-1407 (((-121) $) 30)) (-4052 (($ $) 137)) (-4116 ((|#1| $) 139)) (-3846 (((-3 $ "failed") $) 104 (|has| |#1| (-1137)))) (-1781 (((-121) $) 117 (|has| |#1| (-816)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-3291 (($ $ $) 114 (|has| |#1| (-843)))) (-1538 (($ $ $) 113 (|has| |#1| (-843)))) (-1544 (($ (-1 |#1| |#1|) $) 165)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-4043 (($) 103 (|has| |#1| (-1137)) CONST)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-1346 (($ $) 134 (|has| |#1| (-302)))) (-2942 ((|#1| $) 131 (|has| |#1| (-551)))) (-1721 (((-421 (-1159 $)) (-1159 $)) 128 (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) 127 (|has| |#1| (-905)))) (-1743 (((-421 $) $) 72)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-1468 (($ $ (-635 |#1|) (-635 |#1|)) 171 (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) 170 (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) 169 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) 168 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1163)) (-635 |#1|)) 167 (|has| |#1| (-524 (-1163) |#1|))) (($ $ (-1163) |#1|) 166 (|has| |#1| (-524 (-1163) |#1|)))) (-2622 (((-764) $) 56)) (-1534 (($ $ |#1|) 172 (|has| |#1| (-282 |#1| |#1|)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-3899 (($ $) 164 (|has| |#1| (-226))) (($ $ (-764)) 162 (|has| |#1| (-226))) (($ $ (-1163)) 160 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) 159 (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) 158 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) 157 (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) 150) (($ $ (-1 |#1| |#1|)) 149)) (-4214 (($ $) 136)) (-4121 ((|#1| $) 138)) (-3817 (((-888 (-569)) $) 144 (|has| |#1| (-610 (-888 (-569))))) (((-888 (-382)) $) 143 (|has| |#1| (-610 (-888 (-382))))) (((-542) $) 121 (|has| |#1| (-610 (-542)))) (((-382) $) 120 (|has| |#1| (-1022))) (((-216) $) 119 (|has| |#1| (-1022)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 130 (-2206 (|has| $ (-149)) (|has| |#1| (-905))))) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ |#1|) 177) (($ (-1163)) 125 (|has| |#1| (-1038 (-1163))))) (-3953 (((-3 $ "failed") $) 122 (-2232 (|has| |#1| (-149)) (-2206 (|has| $ (-149)) (|has| |#1| (-905)))))) (-1991 (((-764)) 28)) (-2612 ((|#1| $) 132 (|has| |#1| (-551)))) (-1961 (((-121) $ $) 38)) (-1616 (($ $) 115 (|has| |#1| (-816)))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $) 163 (|has| |#1| (-226))) (($ $ (-764)) 161 (|has| |#1| (-226))) (($ $ (-1163)) 156 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) 155 (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) 154 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) 153 (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) 152) (($ $ (-1 |#1| |#1|)) 151)) (-1693 (((-121) $ $) 111 (|has| |#1| (-843)))) (-1684 (((-121) $ $) 110 (|has| |#1| (-843)))) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 112 (|has| |#1| (-843)))) (-1678 (((-121) $ $) 109 (|has| |#1| (-843)))) (-1715 (($ $ $) 62) (($ |#1| |#1|) 140)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ |#1| $) 176) (($ $ |#1|) 175))) 
+(((-994 |#1|) (-1278) (-559)) (T -994)) 
+((-1715 (*1 *1 *2 *2) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)))) (-4116 (*1 *2 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)))) (-4121 (*1 *2 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)))) (-4052 (*1 *1 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)))) (-4214 (*1 *1 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)))) (-3761 (*1 *2 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)) (-4 *2 (-302)))) (-1346 (*1 *1 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)) (-4 *2 (-302)))) (-4327 (*1 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-551)) (-4 *2 (-559)))) (-2612 (*1 *2 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)) (-4 *2 (-551)))) (-2942 (*1 *2 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)) (-4 *2 (-551))))) 
+(-13 (-366) (-43 |t#1|) (-1038 |t#1|) (-337 |t#1|) (-224 |t#1|) (-380 |t#1|) (-880 |t#1|) (-403 |t#1|) (-10 -8 (-15 -1715 ($ |t#1| |t#1|)) (-15 -4116 (|t#1| $)) (-15 -4121 (|t#1| $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (IF (|has| |t#1| (-1137)) (-6 (-1137)) |noBranch|) (IF (|has| |t#1| (-1038 (-569))) (PROGN (-6 (-1038 (-569))) (-6 (-1038 (-410 (-569))))) |noBranch|) (IF (|has| |t#1| (-843)) (-6 (-843)) |noBranch|) (IF (|has| |t#1| (-816)) (-6 (-816)) |noBranch|) (IF (|has| |t#1| (-1022)) (-6 (-1022)) |noBranch|) (IF (|has| |t#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-1038 (-1163))) (-6 (-1038 (-1163))) |noBranch|) (IF (|has| |t#1| (-302)) (PROGN (-15 -3761 (|t#1| $)) (-15 -1346 ($ $))) |noBranch|) (IF (|has| |t#1| (-551)) (PROGN (-15 -4327 ($)) (-15 -2612 (|t#1| $)) (-15 -2942 (|t#1| $))) |noBranch|) (IF (|has| |t#1| (-905)) (-6 (-905)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 |#1|) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) . T) ((-610 (-216)) |has| |#1| (-1022)) ((-610 (-382)) |has| |#1| (-1022)) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-610 (-888 (-382))) |has| |#1| (-610 (-888 (-382)))) ((-610 (-888 (-569))) |has| |#1| (-610 (-888 (-569)))) ((-224 |#1|) . T) ((-226) |has| |#1| (-226)) ((-239) . T) ((-282 |#1| $) |has| |#1| (-282 |#1| |#1|)) ((-286) . T) ((-302) . T) ((-304 |#1|) |has| |#1| (-304 |#1|)) ((-366) . T) ((-337 |#1|) . T) ((-380 |#1|) . T) ((-403 |#1|) . T) ((-454) . T) ((-524 (-1163) |#1|) |has| |#1| (-524 (-1163) |#1|)) ((-524 |#1| |#1|) |has| |#1| (-304 |#1|)) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-708 (-410 (-569))) . T) ((-708 |#1|) . T) ((-708 $) . T) ((-717) . T) ((-787) |has| |#1| (-816)) ((-788) |has| |#1| (-816)) ((-790) |has| |#1| (-816)) ((-791) |has| |#1| (-816)) ((-816) |has| |#1| (-816)) ((-841) |has| |#1| (-816)) ((-843) -2232 (|has| |#1| (-843)) (|has| |#1| (-816))) ((-896 (-1163)) |has| |#1| (-896 (-1163))) ((-882 (-382)) |has| |#1| (-882 (-382))) ((-882 (-569)) |has| |#1| (-882 (-569))) ((-880 |#1|) . T) ((-905) |has| |#1| (-905)) ((-917) . T) ((-1022) |has| |#1| (-1022)) ((-1038 (-410 (-569))) |has| |#1| (-1038 (-569))) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 (-1163)) |has| |#1| (-1038 (-1163))) ((-1038 |#1|) . T) ((-1054 (-410 (-569))) . T) ((-1054 |#1|) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1137) |has| |#1| (-1137)) ((-1197) . T) ((-1202) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-3996 (($ (-1128 |#1| |#2|)) 11)) (-1483 (((-1128 |#1| |#2|) $) 12)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1534 ((|#2| $ (-233 |#1| |#2|)) 16)) (-2185 (((-851) $) NIL)) (-3369 (($) NIL T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL))) 
+(((-995 |#1| |#2|) (-13 (-21) (-10 -8 (-15 -3996 ($ (-1128 |#1| |#2|))) (-15 -1483 ((-1128 |#1| |#2|) $)) (-15 -1534 (|#2| $ (-233 |#1| |#2|))))) (-918) (-366)) (T -995)) 
+((-3996 (*1 *1 *2) (-12 (-5 *2 (-1128 *3 *4)) (-14 *3 (-918)) (-4 *4 (-366)) (-5 *1 (-995 *3 *4)))) (-1483 (*1 *2 *1) (-12 (-5 *2 (-1128 *3 *4)) (-5 *1 (-995 *3 *4)) (-14 *3 (-918)) (-4 *4 (-366)))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 (-233 *4 *2)) (-14 *4 (-918)) (-4 *2 (-366)) (-5 *1 (-995 *4 *2))))) 
+(-13 (-21) (-10 -8 (-15 -3996 ($ (-1128 |#1| |#2|))) (-15 -1483 ((-1128 |#1| |#2|) $)) (-15 -1534 (|#2| $ (-233 |#1| |#2|))))) 
+((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) 8)) (-2820 (($) 7 T CONST)) (-3929 (($ $) 43)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-1906 (((-764) $) 42)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3889 ((|#1| $) 36)) (-3172 (($ |#1| $) 37)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-2935 ((|#1| $) 41)) (-1856 ((|#1| $) 38)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-4065 ((|#1| |#1| $) 45)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-2819 ((|#1| $) 44)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2793 (($ (-635 |#1|)) 39)) (-1309 ((|#1| $) 40)) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-996 |#1|) (-1278) (-1197)) (T -996)) 
+((-4065 (*1 *2 *2 *1) (-12 (-4 *1 (-996 *2)) (-4 *2 (-1197)))) (-2819 (*1 *2 *1) (-12 (-4 *1 (-996 *2)) (-4 *2 (-1197)))) (-3929 (*1 *1 *1) (-12 (-4 *1 (-996 *2)) (-4 *2 (-1197)))) (-1906 (*1 *2 *1) (-12 (-4 *1 (-996 *3)) (-4 *3 (-1197)) (-5 *2 (-764)))) (-2935 (*1 *2 *1) (-12 (-4 *1 (-996 *2)) (-4 *2 (-1197)))) (-1309 (*1 *2 *1) (-12 (-4 *1 (-996 *2)) (-4 *2 (-1197))))) 
+(-13 (-111 |t#1|) (-10 -8 (-6 -4535) (-15 -4065 (|t#1| |t#1| $)) (-15 -2819 (|t#1| $)) (-15 -3929 ($ $)) (-15 -1906 ((-764) $)) (-15 -2935 (|t#1| $)) (-15 -1309 (|t#1| $)))) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
+((-3813 (((-121) $) 42)) (-1647 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#2| "failed") $) 45)) (-2428 (((-569) $) NIL) (((-410 (-569)) $) NIL) ((|#2| $) 43)) (-4401 (((-3 (-410 (-569)) "failed") $) 78)) (-3103 (((-121) $) 72)) (-1442 (((-410 (-569)) $) 76)) (-1407 (((-121) $) 41)) (-4308 ((|#2| $) 22)) (-1544 (($ (-1 |#2| |#2|) $) 19)) (-1795 (($ $) 61)) (-3899 (($ $) NIL) (($ $ (-764)) NIL) (($ $ (-1163)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-1 |#2| |#2|)) 34)) (-3817 (((-542) $) 67)) (-1414 (($ $) 17)) (-2185 (((-851) $) 56) (($ (-569)) 38) (($ |#2|) 36) (($ (-410 (-569))) NIL)) (-1991 (((-764)) 10)) (-1616 ((|#2| $) 71)) (-1668 (((-121) $ $) 25)) (-1678 (((-121) $ $) 69)) (-1711 (($ $) 29) (($ $ $) 28)) (-1707 (($ $ $) 26)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 33) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) 30) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
+(((-997 |#1| |#2|) (-10 -8 (-15 -2185 (|#1| (-410 (-569)))) (-15 -1678 ((-121) |#1| |#1|)) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 * (|#1| |#1| (-410 (-569)))) (-15 -1795 (|#1| |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -4401 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1442 ((-410 (-569)) |#1|)) (-15 -3103 ((-121) |#1|)) (-15 -1616 (|#2| |#1|)) (-15 -4308 (|#2| |#1|)) (-15 -1414 (|#1| |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -2185 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -2185 (|#1| (-569))) (-15 -1991 ((-764))) (-15 -1407 ((-121) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 -3813 ((-121) |#1|)) (-15 * (|#1| (-918) |#1|)) (-15 -1707 (|#1| |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1668 ((-121) |#1| |#1|))) (-998 |#2|) (-173)) (T -997)) 
+((-1991 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-764)) (-5 *1 (-997 *3 *4)) (-4 *3 (-998 *4))))) 
+(-10 -8 (-15 -2185 (|#1| (-410 (-569)))) (-15 -1678 ((-121) |#1| |#1|)) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 * (|#1| |#1| (-410 (-569)))) (-15 -1795 (|#1| |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -4401 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1442 ((-410 (-569)) |#1|)) (-15 -3103 ((-121) |#1|)) (-15 -1616 (|#2| |#1|)) (-15 -4308 (|#2| |#1|)) (-15 -1414 (|#1| |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -2185 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -2185 (|#1| (-569))) (-15 -1991 ((-764))) (-15 -1407 ((-121) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 -3813 ((-121) |#1|)) (-15 * (|#1| (-918) |#1|)) (-15 -1707 (|#1| |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1668 ((-121) |#1| |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-1647 (((-3 (-569) "failed") $) 117 (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) 115 (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) 114)) (-2428 (((-569) $) 118 (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) 116 (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) 113)) (-1696 (((-680 (-569)) (-680 $)) 88 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 87 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 86) (((-680 |#1|) (-680 $)) 85)) (-3428 (((-3 $ "failed") $) 33)) (-1747 ((|#1| $) 78)) (-4401 (((-3 (-410 (-569)) "failed") $) 74 (|has| |#1| (-551)))) (-3103 (((-121) $) 76 (|has| |#1| (-551)))) (-1442 (((-410 (-569)) $) 75 (|has| |#1| (-551)))) (-2908 (($ |#1| |#1| |#1| |#1|) 79)) (-1407 (((-121) $) 30)) (-4308 ((|#1| $) 80)) (-3291 (($ $ $) 66 (|has| |#1| (-843)))) (-1538 (($ $ $) 65 (|has| |#1| (-843)))) (-1544 (($ (-1 |#1| |#1|) $) 89)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 71 (|has| |#1| (-366)))) (-3104 ((|#1| $) 81)) (-2357 ((|#1| $) 82)) (-4375 ((|#1| $) 83)) (-3360 (((-1109) $) 10)) (-1468 (($ $ (-635 |#1|) (-635 |#1|)) 95 (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) 94 (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) 93 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) 92 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1163)) (-635 |#1|)) 91 (|has| |#1| (-524 (-1163) |#1|))) (($ $ (-1163) |#1|) 90 (|has| |#1| (-524 (-1163) |#1|)))) (-1534 (($ $ |#1|) 96 (|has| |#1| (-282 |#1| |#1|)))) (-3899 (($ $) 112 (|has| |#1| (-226))) (($ $ (-764)) 110 (|has| |#1| (-226))) (($ $ (-1163)) 108 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) 107 (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) 106 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) 105 (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) 98) (($ $ (-1 |#1| |#1|)) 97)) (-3817 (((-542) $) 72 (|has| |#1| (-610 (-542))))) (-1414 (($ $) 84)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 36) (($ (-410 (-569))) 60 (-2232 (|has| |#1| (-366)) (|has| |#1| (-1038 (-410 (-569))))))) (-3953 (((-3 $ "failed") $) 73 (|has| |#1| (-149)))) (-1991 (((-764)) 28)) (-1616 ((|#1| $) 77 (|has| |#1| (-1057)))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 70 (|has| |#1| (-366)))) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $) 111 (|has| |#1| (-226))) (($ $ (-764)) 109 (|has| |#1| (-226))) (($ $ (-1163)) 104 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) 103 (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) 102 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) 101 (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) 100) (($ $ (-1 |#1| |#1|)) 99)) (-1693 (((-121) $ $) 63 (|has| |#1| (-843)))) (-1684 (((-121) $ $) 62 (|has| |#1| (-843)))) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 64 (|has| |#1| (-843)))) (-1678 (((-121) $ $) 61 (|has| |#1| (-843)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 69 (|has| |#1| (-366)))) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37) (($ $ (-410 (-569))) 68 (|has| |#1| (-366))) (($ (-410 (-569)) $) 67 (|has| |#1| (-366))))) 
+(((-998 |#1|) (-1278) (-173)) (T -998)) 
+((-1414 (*1 *1 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173)))) (-4375 (*1 *2 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173)))) (-2357 (*1 *2 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173)))) (-3104 (*1 *2 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173)))) (-4308 (*1 *2 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173)))) (-2908 (*1 *1 *2 *2 *2 *2) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173)))) (-1747 (*1 *2 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173)))) (-1616 (*1 *2 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173)) (-4 *2 (-1057)))) (-3103 (*1 *2 *1) (-12 (-4 *1 (-998 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-121)))) (-1442 (*1 *2 *1) (-12 (-4 *1 (-998 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) (-4401 (*1 *2 *1) (|partial| -12 (-4 *1 (-998 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569)))))) 
+(-13 (-43 |t#1|) (-414 |t#1|) (-224 |t#1|) (-337 |t#1|) (-380 |t#1|) (-10 -8 (-15 -1414 ($ $)) (-15 -4375 (|t#1| $)) (-15 -2357 (|t#1| $)) (-15 -3104 (|t#1| $)) (-15 -4308 (|t#1| $)) (-15 -2908 ($ |t#1| |t#1| |t#1| |t#1|)) (-15 -1747 (|t#1| $)) (IF (|has| |t#1| (-286)) (-6 (-286)) |noBranch|) (IF (|has| |t#1| (-843)) (-6 (-843)) |noBranch|) (IF (|has| |t#1| (-366)) (-6 (-239)) |noBranch|) (IF (|has| |t#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-1057)) (-15 -1616 (|t#1| $)) |noBranch|) (IF (|has| |t#1| (-551)) (PROGN (-15 -3103 ((-121) $)) (-15 -1442 ((-410 (-569)) $)) (-15 -4401 ((-3 (-410 (-569)) "failed") $))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-366)) ((-43 |#1|) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-366)) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-366)) (|has| |#1| (-286))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-224 |#1|) . T) ((-226) |has| |#1| (-226)) ((-239) |has| |#1| (-366)) ((-282 |#1| $) |has| |#1| (-282 |#1| |#1|)) ((-286) -2232 (|has| |#1| (-366)) (|has| |#1| (-286))) ((-304 |#1|) |has| |#1| (-304 |#1|)) ((-337 |#1|) . T) ((-380 |#1|) . T) ((-414 |#1|) . T) ((-524 (-1163) |#1|) |has| |#1| (-524 (-1163) |#1|)) ((-524 |#1| |#1|) |has| |#1| (-304 |#1|)) ((-638 (-410 (-569))) |has| |#1| (-366)) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-708 (-410 (-569))) |has| |#1| (-366)) ((-708 |#1|) . T) ((-717) . T) ((-843) |has| |#1| (-843)) ((-896 (-1163)) |has| |#1| (-896 (-1163))) ((-1038 (-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 |#1|) . T) ((-1054 (-410 (-569))) |has| |#1| (-366)) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-366)) (|has| |#1| (-286))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-1544 ((|#3| (-1 |#4| |#2|) |#1|) 16))) 
+(((-999 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1544 (|#3| (-1 |#4| |#2|) |#1|))) (-998 |#2|) (-173) (-998 |#4|) (-173)) (T -999)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-998 *6)) (-5 *1 (-999 *4 *5 *2 *6)) (-4 *4 (-998 *5))))) 
+(-10 -7 (-15 -1544 (|#3| (-1 |#4| |#2|) |#1|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-2428 (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) NIL) (((-680 |#1|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1747 ((|#1| $) 12)) (-4401 (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-551)))) (-3103 (((-121) $) NIL (|has| |#1| (-551)))) (-1442 (((-410 (-569)) $) NIL (|has| |#1| (-551)))) (-2908 (($ |#1| |#1| |#1| |#1|) 16)) (-1407 (((-121) $) NIL)) (-4308 ((|#1| $) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL (|has| |#1| (-366)))) (-3104 ((|#1| $) 15)) (-2357 ((|#1| $) 14)) (-4375 ((|#1| $) 13)) (-3360 (((-1109) $) NIL)) (-1468 (($ $ (-635 |#1|) (-635 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1163)) (-635 |#1|)) NIL (|has| |#1| (-524 (-1163) |#1|))) (($ $ (-1163) |#1|) NIL (|has| |#1| (-524 (-1163) |#1|)))) (-1534 (($ $ |#1|) NIL (|has| |#1| (-282 |#1| |#1|)))) (-3899 (($ $) NIL (|has| |#1| (-226))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-3817 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-1414 (($ $) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-366)) (|has| |#1| (-1038 (-410 (-569))))))) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-1616 ((|#1| $) NIL (|has| |#1| (-1057)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-3369 (($) 8 T CONST)) (-1556 (($) 10 T CONST)) (-3022 (($ $) NIL (|has| |#1| (-226))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 20) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-366))) (($ (-410 (-569)) $) NIL (|has| |#1| (-366))))) 
+(((-1000 |#1|) (-998 |#1|) (-173)) (T -1000)) 
+NIL 
+(-998 |#1|) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) NIL)) (-2820 (($) NIL T CONST)) (-3929 (($ $) 20)) (-2972 (($ (-635 |#1|)) 29)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-1906 (((-764) $) 22)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3889 ((|#1| $) 24)) (-3172 (($ |#1| $) 15)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-2935 ((|#1| $) 23)) (-1856 ((|#1| $) 19)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-4065 ((|#1| |#1| $) 14)) (-1601 (((-121) $) 17)) (-1296 (($) NIL)) (-2819 ((|#1| $) 18)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-2793 (($ (-635 |#1|)) NIL)) (-1309 ((|#1| $) 26)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-1001 |#1|) (-13 (-996 |#1|) (-10 -8 (-15 -2972 ($ (-635 |#1|))) (-15 -2819 (|#1| $)) (-15 -1856 (|#1| $)) (-15 -4065 (|#1| |#1| $)) (-15 -3172 ($ |#1| $)) (-15 -3889 (|#1| $)) (-15 -2935 (|#1| $)) (-15 -1309 (|#1| $)) (-15 -3929 ($ $)) (-15 -1906 ((-764) $)) (-15 -2006 ((-121) $ (-764))) (-15 -1974 ((-121) $ (-764))) (-15 -1691 ((-121) $ (-764))) (-15 -2793 ($ (-635 |#1|))) (-15 -1601 ((-121) $)) (-15 -1296 ($)) (-15 -2820 ($)) (-15 -1971 ($ $)) (-15 -3137 ((-121) $ $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4536)) (-15 -1853 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1091)) (PROGN (-15 -2776 ((-1145) $)) (-15 -3360 ((-1109) $)) (-15 -2185 ((-851) $)) (-15 -1668 ((-121) $ $)) (-15 -2568 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4535)) (PROGN (-15 -4177 ((-121) (-1 (-121) |#1|) $)) (-15 -2066 ((-121) (-1 (-121) |#1|) $)) (-15 -2846 ((-764) (-1 (-121) |#1|) $)) (-15 -4168 ((-764) $)) (-15 -3470 ((-635 |#1|) $)) (-15 -4259 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4535)) (IF (|has| |#1| (-1091)) (PROGN (-15 -3660 ((-121) |#1| $)) (-15 -2846 ((-764) |#1| $))) |noBranch|) |noBranch|))) (-1091)) (T -1001)) 
+((-3137 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)))) (-1971 (*1 *1 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) (-1296 (*1 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) (-1601 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)))) (-2006 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-1001 *4)) (-4 *4 (-1091)))) (-1974 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-1001 *4)) (-4 *4 (-1091)))) (-1691 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-1001 *4)) (-4 *4 (-1091)))) (-2820 (*1 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) (-4168 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)))) (-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-1001 *3)))) (-1853 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4536)) (-4 *3 (-1091)) (-5 *1 (-1001 *3)))) (-2066 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-1001 *4)))) (-4177 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-1001 *4)))) (-2846 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-764)) (-5 *1 (-1001 *4)))) (-3470 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)))) (-4259 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)))) (-2846 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-3660 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-121)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2776 (*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-3360 (*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-1668 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2568 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2793 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-1001 *3)))) (-1856 (*1 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) (-3172 (*1 *1 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) (-3889 (*1 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) (-4065 (*1 *2 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) (-2819 (*1 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) (-3929 (*1 *1 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) (-1906 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)))) (-2935 (*1 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) (-1309 (*1 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) (-2972 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-1001 *3))))) 
+(-13 (-996 |#1|) (-10 -8 (-15 -2972 ($ (-635 |#1|))) (-15 -2819 (|#1| $)) (-15 -1856 (|#1| $)) (-15 -4065 (|#1| |#1| $)) (-15 -3172 ($ |#1| $)) (-15 -3889 (|#1| $)) (-15 -2935 (|#1| $)) (-15 -1309 (|#1| $)) (-15 -3929 ($ $)) (-15 -1906 ((-764) $)) (-15 -2006 ((-121) $ (-764))) (-15 -1974 ((-121) $ (-764))) (-15 -1691 ((-121) $ (-764))) (-15 -2793 ($ (-635 |#1|))) (-15 -1601 ((-121) $)) (-15 -1296 ($)) (-15 -2820 ($)) (-15 -1971 ($ $)) (-15 -3137 ((-121) $ $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4536)) (-15 -1853 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1091)) (PROGN (-15 -2776 ((-1145) $)) (-15 -3360 ((-1109) $)) (-15 -2185 ((-851) $)) (-15 -1668 ((-121) $ $)) (-15 -2568 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4535)) (PROGN (-15 -4177 ((-121) (-1 (-121) |#1|) $)) (-15 -2066 ((-121) (-1 (-121) |#1|) $)) (-15 -2846 ((-764) (-1 (-121) |#1|) $)) (-15 -4168 ((-764) $)) (-15 -3470 ((-635 |#1|) $)) (-15 -4259 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4535)) (IF (|has| |#1| (-1091)) (PROGN (-15 -3660 ((-121) |#1| $)) (-15 -2846 ((-764) |#1| $))) |noBranch|) |noBranch|))) 
+((-2454 (($ $) 12)) (-4344 (($ $ (-569)) 13))) 
+(((-1002 |#1|) (-10 -8 (-15 -2454 (|#1| |#1|)) (-15 -4344 (|#1| |#1| (-569)))) (-1003)) (T -1002)) 
+NIL 
+(-10 -8 (-15 -2454 (|#1| |#1|)) (-15 -4344 (|#1| |#1| (-569)))) 
+((-2454 (($ $) 6)) (-4344 (($ $ (-569)) 7)) (** (($ $ (-410 (-569))) 8))) 
+(((-1003) (-1278)) (T -1003)) 
+((** (*1 *1 *1 *2) (-12 (-4 *1 (-1003)) (-5 *2 (-410 (-569))))) (-4344 (*1 *1 *1 *2) (-12 (-4 *1 (-1003)) (-5 *2 (-569)))) (-2454 (*1 *1 *1) (-4 *1 (-1003)))) 
+(-13 (-10 -8 (-15 -2454 ($ $)) (-15 -4344 ($ $ (-569))) (-15 ** ($ $ (-410 (-569)))))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-4062 (((-2 (|:| |num| (-1247 |#2|)) (|:| |den| |#2|)) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| (-410 |#2|) (-366)))) (-3383 (($ $) NIL (|has| (-410 |#2|) (-366)))) (-4354 (((-121) $) NIL (|has| (-410 |#2|) (-366)))) (-3294 (((-680 (-410 |#2|)) (-1247 $)) NIL) (((-680 (-410 |#2|))) NIL)) (-1377 (((-410 |#2|) $) NIL)) (-2620 (((-1171 (-918) (-764)) (-569)) NIL (|has| (-410 |#2|) (-351)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL (|has| (-410 |#2|) (-366)))) (-2446 (((-421 $) $) NIL (|has| (-410 |#2|) (-366)))) (-3934 (((-121) $ $) NIL (|has| (-410 |#2|) (-366)))) (-2085 (((-764)) NIL (|has| (-410 |#2|) (-371)))) (-3681 (((-121)) NIL)) (-4037 (((-121) |#1|) 147) (((-121) |#2|) 152)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (|has| (-410 |#2|) (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-410 |#2|) (-1038 (-410 (-569))))) (((-3 (-410 |#2|) "failed") $) NIL)) (-2428 (((-569) $) NIL (|has| (-410 |#2|) (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| (-410 |#2|) (-1038 (-410 (-569))))) (((-410 |#2|) $) NIL)) (-2623 (($ (-1247 (-410 |#2|)) (-1247 $)) NIL) (($ (-1247 (-410 |#2|))) 70) (($ (-1247 |#2|) |#2|) NIL)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-410 |#2|) (-351)))) (-2506 (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-3325 (((-680 (-410 |#2|)) $ (-1247 $)) NIL) (((-680 (-410 |#2|)) $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| (-410 |#2|) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| (-410 |#2|) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-410 |#2|))) (|:| |vec| (-1247 (-410 |#2|)))) (-680 $) (-1247 $)) NIL) (((-680 (-410 |#2|)) (-680 $)) NIL)) (-2326 (((-1247 $) (-1247 $)) NIL)) (-1774 (($ |#3|) 65) (((-3 $ "failed") (-410 |#3|)) NIL (|has| (-410 |#2|) (-366)))) (-3428 (((-3 $ "failed") $) NIL)) (-1818 (((-635 (-635 |#1|))) NIL (|has| |#1| (-371)))) (-2275 (((-121) |#1| |#1|) NIL)) (-1321 (((-918)) NIL)) (-4327 (($) NIL (|has| (-410 |#2|) (-371)))) (-3123 (((-121)) NIL)) (-2642 (((-121) |#1|) 56) (((-121) |#2|) 149)) (-2524 (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| (-410 |#2|) (-366)))) (-1340 (($ $) NIL)) (-3188 (($) NIL (|has| (-410 |#2|) (-351)))) (-3354 (((-121) $) NIL (|has| (-410 |#2|) (-351)))) (-2751 (($ $ (-764)) NIL (|has| (-410 |#2|) (-351))) (($ $) NIL (|has| (-410 |#2|) (-351)))) (-3726 (((-121) $) NIL (|has| (-410 |#2|) (-366)))) (-2558 (((-918) $) NIL (|has| (-410 |#2|) (-351))) (((-829 (-918)) $) NIL (|has| (-410 |#2|) (-351)))) (-1407 (((-121) $) NIL)) (-1607 (((-764)) NIL)) (-4296 (((-1247 $) (-1247 $)) NIL)) (-4308 (((-410 |#2|) $) NIL)) (-4367 (((-635 (-954 |#1|)) (-1163)) NIL (|has| |#1| (-366)))) (-3846 (((-3 $ "failed") $) NIL (|has| (-410 |#2|) (-351)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2770 ((|#3| $) NIL (|has| (-410 |#2|) (-366)))) (-2083 (((-918) $) NIL (|has| (-410 |#2|) (-371)))) (-1769 ((|#3| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| (-410 |#2|) (-366))) (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-2776 (((-1145) $) NIL)) (-3243 (((-680 (-410 |#2|))) 52)) (-3837 (((-680 (-410 |#2|))) 51)) (-1795 (($ $) NIL (|has| (-410 |#2|) (-366)))) (-3878 (($ (-1247 |#2|) |#2|) 71)) (-3804 (((-680 (-410 |#2|))) 50)) (-2865 (((-680 (-410 |#2|))) 49)) (-2661 (((-2 (|:| |num| (-680 |#2|)) (|:| |den| |#2|)) (-1 |#2| |#2|)) 86)) (-3843 (((-2 (|:| |num| (-1247 |#2|)) (|:| |den| |#2|)) $) 77)) (-1802 (((-1247 $)) 46)) (-3577 (((-1247 $)) 45)) (-4470 (((-121) $) NIL)) (-3636 (((-121) $) NIL) (((-121) $ |#1|) NIL) (((-121) $ |#2|) NIL)) (-4043 (($) NIL (|has| (-410 |#2|) (-351)) CONST)) (-3998 (($ (-918)) NIL (|has| (-410 |#2|) (-371)))) (-3264 (((-3 |#2| "failed")) 63)) (-3360 (((-1109) $) NIL)) (-3950 (((-764)) NIL)) (-1809 (($) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| (-410 |#2|) (-366)))) (-2714 (($ (-635 $)) NIL (|has| (-410 |#2|) (-366))) (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL (|has| (-410 |#2|) (-351)))) (-1743 (((-421 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| (-410 |#2|) (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| (-410 |#2|) (-366)))) (-2941 (((-3 $ "failed") $ $) NIL (|has| (-410 |#2|) (-366)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2622 (((-764) $) NIL (|has| (-410 |#2|) (-366)))) (-1534 ((|#1| $ |#1| |#1|) NIL)) (-4005 (((-3 |#2| "failed")) 62)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| (-410 |#2|) (-366)))) (-2087 (((-410 |#2|) (-1247 $)) NIL) (((-410 |#2|)) 42)) (-1291 (((-764) $) NIL (|has| (-410 |#2|) (-351))) (((-3 (-764) "failed") $ $) NIL (|has| (-410 |#2|) (-351)))) (-3899 (($ $ (-1 (-410 |#2|) (-410 |#2|)) (-764)) NIL (|has| (-410 |#2|) (-366))) (($ $ (-1 (-410 |#2|) (-410 |#2|))) NIL (|has| (-410 |#2|) (-366))) (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-764)) NIL (-2232 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351)))) (($ $) NIL (-2232 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351))))) (-3497 (((-680 (-410 |#2|)) (-1247 $) (-1 (-410 |#2|) (-410 |#2|))) NIL (|has| (-410 |#2|) (-366)))) (-2745 ((|#3|) 53)) (-2319 (($) NIL (|has| (-410 |#2|) (-351)))) (-1648 (((-1247 (-410 |#2|)) $ (-1247 $)) NIL) (((-680 (-410 |#2|)) (-1247 $) (-1247 $)) NIL) (((-1247 (-410 |#2|)) $) 72) (((-680 (-410 |#2|)) (-1247 $)) NIL)) (-3817 (((-1247 (-410 |#2|)) $) NIL) (($ (-1247 (-410 |#2|))) NIL) ((|#3| $) NIL) (($ |#3|) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (|has| (-410 |#2|) (-351)))) (-4261 (((-1247 $) (-1247 $)) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ (-410 |#2|)) NIL) (($ (-410 (-569))) NIL (-2232 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-1038 (-410 (-569)))))) (($ $) NIL (|has| (-410 |#2|) (-366)))) (-3953 (($ $) NIL (|has| (-410 |#2|) (-351))) (((-3 $ "failed") $) NIL (|has| (-410 |#2|) (-149)))) (-2742 ((|#3| $) NIL)) (-1991 (((-764)) NIL)) (-2808 (((-121)) 60)) (-2719 (((-121) |#1|) 153) (((-121) |#2|) 154)) (-3930 (((-1247 $)) 124)) (-1961 (((-121) $ $) NIL (|has| (-410 |#2|) (-366)))) (-2801 (((-2 (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (-1 |#2| |#2|)) NIL)) (-3670 (((-121)) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| (-410 |#2|) (-366)))) (-3369 (($) 94 T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-1 (-410 |#2|) (-410 |#2|)) (-764)) NIL (|has| (-410 |#2|) (-366))) (($ $ (-1 (-410 |#2|) (-410 |#2|))) NIL (|has| (-410 |#2|) (-366))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-764)) NIL (-2232 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351)))) (($ $) NIL (-2232 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351))))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| (-410 |#2|) (-366)))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 |#2|)) NIL) (($ (-410 |#2|) $) NIL) (($ (-410 (-569)) $) NIL (|has| (-410 |#2|) (-366))) (($ $ (-410 (-569))) NIL (|has| (-410 |#2|) (-366))))) 
+(((-1004 |#1| |#2| |#3| |#4| |#5|) (-341 |#1| |#2| |#3|) (-1202) (-1222 |#1|) (-1222 (-410 |#2|)) (-410 |#2|) (-764)) (T -1004)) 
+NIL 
+(-341 |#1| |#2| |#3|) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3233 (((-635 (-569)) $) 54)) (-3949 (($ (-635 (-569))) 62)) (-3761 (((-569) $) 40 (|has| (-569) (-302)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL (|has| (-569) (-816)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) 49) (((-3 (-1163) "failed") $) NIL (|has| (-569) (-1038 (-1163)))) (((-3 (-410 (-569)) "failed") $) 47 (|has| (-569) (-1038 (-569)))) (((-3 (-569) "failed") $) 49 (|has| (-569) (-1038 (-569))))) (-2428 (((-569) $) NIL) (((-1163) $) NIL (|has| (-569) (-1038 (-1163)))) (((-410 (-569)) $) NIL (|has| (-569) (-1038 (-569)))) (((-569) $) NIL (|has| (-569) (-1038 (-569))))) (-2506 (($ $ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL) (((-680 (-569)) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| (-569) (-551)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-1649 (((-635 (-569)) $) 60)) (-2403 (((-121) $) NIL (|has| (-569) (-816)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (|has| (-569) (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (|has| (-569) (-882 (-382))))) (-1407 (((-121) $) NIL)) (-4052 (($ $) NIL)) (-4116 (((-569) $) 37)) (-3846 (((-3 $ "failed") $) NIL (|has| (-569) (-1137)))) (-1781 (((-121) $) NIL (|has| (-569) (-816)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3291 (($ $ $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| (-569) (-843)))) (-1544 (($ (-1 (-569) (-569)) $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| (-569) (-1137)) CONST)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1346 (($ $) NIL (|has| (-569) (-302))) (((-410 (-569)) $) 42)) (-1535 (((-1143 (-569)) $) 59)) (-4198 (($ (-635 (-569)) (-635 (-569))) 63)) (-2942 (((-569) $) 53 (|has| (-569) (-551)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1468 (($ $ (-635 (-569)) (-635 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-569) (-569)) NIL (|has| (-569) (-304 (-569)))) (($ $ (-289 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-289 (-569)))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-1163)) (-635 (-569))) NIL (|has| (-569) (-524 (-1163) (-569)))) (($ $ (-1163) (-569)) NIL (|has| (-569) (-524 (-1163) (-569))))) (-2622 (((-764) $) NIL)) (-1534 (($ $ (-569)) NIL (|has| (-569) (-282 (-569) (-569))))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3899 (($ $) 11 (|has| (-569) (-226))) (($ $ (-764)) NIL (|has| (-569) (-226))) (($ $ (-1163)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1 (-569) (-569)) (-764)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-4214 (($ $) NIL)) (-4121 (((-569) $) 39)) (-4196 (((-635 (-569)) $) 61)) (-3817 (((-888 (-569)) $) NIL (|has| (-569) (-610 (-888 (-569))))) (((-888 (-382)) $) NIL (|has| (-569) (-610 (-888 (-382))))) (((-542) $) NIL (|has| (-569) (-610 (-542)))) (((-382) $) NIL (|has| (-569) (-1022))) (((-216) $) NIL (|has| (-569) (-1022)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| (-569) (-905))))) (-2185 (((-851) $) 77) (($ (-569)) 43) (($ $) NIL) (($ (-410 (-569))) 19) (($ (-569)) 43) (($ (-1163)) NIL (|has| (-569) (-1038 (-1163)))) (((-410 (-569)) $) 17)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| (-569) (-905))) (|has| (-569) (-149))))) (-1991 (((-764)) 9)) (-2612 (((-569) $) 51 (|has| (-569) (-551)))) (-1961 (((-121) $ $) NIL)) (-1616 (($ $) NIL (|has| (-569) (-816)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 10 T CONST)) (-1556 (($) 12 T CONST)) (-3022 (($ $) NIL (|has| (-569) (-226))) (($ $ (-764)) NIL (|has| (-569) (-226))) (($ $ (-1163)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1 (-569) (-569)) (-764)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-1693 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1684 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1668 (((-121) $ $) 14)) (-1688 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1678 (((-121) $ $) 33 (|has| (-569) (-843)))) (-1715 (($ $ $) 29) (($ (-569) (-569)) 31)) (-1711 (($ $) 15) (($ $ $) 22)) (-1707 (($ $ $) 20)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 25) (($ $ $) 27) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-569) $) 25) (($ $ (-569)) NIL))) 
+(((-1005 |#1|) (-13 (-994 (-569)) (-10 -8 (-15 -2185 ((-410 (-569)) $)) (-15 -1346 ((-410 (-569)) $)) (-15 -3233 ((-635 (-569)) $)) (-15 -1535 ((-1143 (-569)) $)) (-15 -1649 ((-635 (-569)) $)) (-15 -4196 ((-635 (-569)) $)) (-15 -3949 ($ (-635 (-569)))) (-15 -4198 ($ (-635 (-569)) (-635 (-569)))))) (-569)) (T -1005)) 
+((-2185 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569)))) (-1346 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569)))) (-3233 (*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569)))) (-1535 (*1 *2 *1) (-12 (-5 *2 (-1143 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569)))) (-1649 (*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569)))) (-4196 (*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569)))) (-3949 (*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569)))) (-4198 (*1 *1 *2 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569))))) 
+(-13 (-994 (-569)) (-10 -8 (-15 -2185 ((-410 (-569)) $)) (-15 -1346 ((-410 (-569)) $)) (-15 -3233 ((-635 (-569)) $)) (-15 -1535 ((-1143 (-569)) $)) (-15 -1649 ((-635 (-569)) $)) (-15 -4196 ((-635 (-569)) $)) (-15 -3949 ($ (-635 (-569)))) (-15 -4198 ($ (-635 (-569)) (-635 (-569)))))) 
+((-1458 (((-57) (-410 (-569)) (-569)) 9))) 
+(((-1006) (-10 -7 (-15 -1458 ((-57) (-410 (-569)) (-569))))) (T -1006)) 
+((-1458 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-569))) (-5 *4 (-569)) (-5 *2 (-57)) (-5 *1 (-1006))))) 
+(-10 -7 (-15 -1458 ((-57) (-410 (-569)) (-569)))) 
+((-2085 (((-569)) 13)) (-3335 (((-569)) 16)) (-1654 (((-1252) (-569)) 15)) (-1514 (((-569) (-569)) 17) (((-569)) 12))) 
+(((-1007) (-10 -7 (-15 -1514 ((-569))) (-15 -2085 ((-569))) (-15 -1514 ((-569) (-569))) (-15 -1654 ((-1252) (-569))) (-15 -3335 ((-569))))) (T -1007)) 
+((-3335 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1007)))) (-1654 (*1 *2 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-1007)))) (-1514 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1007)))) (-2085 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1007)))) (-1514 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1007))))) 
+(-10 -7 (-15 -1514 ((-569))) (-15 -2085 ((-569))) (-15 -1514 ((-569) (-569))) (-15 -1654 ((-1252) (-569))) (-15 -3335 ((-569)))) 
+((-2186 (((-421 |#1|) |#1|) 40)) (-1743 (((-421 |#1|) |#1|) 39))) 
+(((-1008 |#1|) (-10 -7 (-15 -1743 ((-421 |#1|) |#1|)) (-15 -2186 ((-421 |#1|) |#1|))) (-1222 (-410 (-569)))) (T -1008)) 
+((-2186 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1008 *3)) (-4 *3 (-1222 (-410 (-569)))))) (-1743 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1008 *3)) (-4 *3 (-1222 (-410 (-569))))))) 
+(-10 -7 (-15 -1743 ((-421 |#1|) |#1|)) (-15 -2186 ((-421 |#1|) |#1|))) 
+((-4401 (((-3 (-410 (-569)) "failed") |#1|) 14)) (-3103 (((-121) |#1|) 13)) (-1442 (((-410 (-569)) |#1|) 9))) 
+(((-1009 |#1|) (-10 -7 (-15 -1442 ((-410 (-569)) |#1|)) (-15 -3103 ((-121) |#1|)) (-15 -4401 ((-3 (-410 (-569)) "failed") |#1|))) (-1038 (-410 (-569)))) (T -1009)) 
+((-4401 (*1 *2 *3) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-1009 *3)) (-4 *3 (-1038 *2)))) (-3103 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-1009 *3)) (-4 *3 (-1038 (-410 (-569)))))) (-1442 (*1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1009 *3)) (-4 *3 (-1038 *2))))) 
+(-10 -7 (-15 -1442 ((-410 (-569)) |#1|)) (-15 -3103 ((-121) |#1|)) (-15 -4401 ((-3 (-410 (-569)) "failed") |#1|))) 
+((-4469 ((|#2| $ "value" |#2|) 12)) (-1534 ((|#2| $ "value") 10)) (-2447 (((-121) $ $) 18))) 
+(((-1010 |#1| |#2|) (-10 -8 (-15 -4469 (|#2| |#1| "value" |#2|)) (-15 -2447 ((-121) |#1| |#1|)) (-15 -1534 (|#2| |#1| "value"))) (-1011 |#2|) (-1197)) (T -1010)) 
+NIL 
+(-10 -8 (-15 -4469 (|#2| |#1| "value" |#2|)) (-15 -2447 ((-121) |#1| |#1|)) (-15 -1534 (|#2| |#1| "value"))) 
+((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-2247 ((|#1| $) 45)) (-1691 (((-121) $ (-764)) 8)) (-3891 ((|#1| $ |#1|) 36 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) 38 (|has| $ (-6 -4536)))) (-2820 (($) 7 T CONST)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) 47)) (-4349 (((-121) $ $) 39 (|has| |#1| (-1091)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2824 (((-635 |#1|) $) 42)) (-3486 (((-121) $) 46)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ "value") 44)) (-1686 (((-569) $ $) 41)) (-1472 (((-121) $) 43)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-4114 (((-635 $) $) 48)) (-2447 (((-121) $ $) 40 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-1011 |#1|) (-1278) (-1197)) (T -1011)) 
+((-4114 (*1 *2 *1) (-12 (-4 *3 (-1197)) (-5 *2 (-635 *1)) (-4 *1 (-1011 *3)))) (-4032 (*1 *2 *1) (-12 (-4 *3 (-1197)) (-5 *2 (-635 *1)) (-4 *1 (-1011 *3)))) (-3486 (*1 *2 *1) (-12 (-4 *1 (-1011 *3)) (-4 *3 (-1197)) (-5 *2 (-121)))) (-2247 (*1 *2 *1) (-12 (-4 *1 (-1011 *2)) (-4 *2 (-1197)))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 "value") (-4 *1 (-1011 *2)) (-4 *2 (-1197)))) (-1472 (*1 *2 *1) (-12 (-4 *1 (-1011 *3)) (-4 *3 (-1197)) (-5 *2 (-121)))) (-2824 (*1 *2 *1) (-12 (-4 *1 (-1011 *3)) (-4 *3 (-1197)) (-5 *2 (-635 *3)))) (-1686 (*1 *2 *1 *1) (-12 (-4 *1 (-1011 *3)) (-4 *3 (-1197)) (-5 *2 (-569)))) (-2447 (*1 *2 *1 *1) (-12 (-4 *1 (-1011 *3)) (-4 *3 (-1197)) (-4 *3 (-1091)) (-5 *2 (-121)))) (-4349 (*1 *2 *1 *1) (-12 (-4 *1 (-1011 *3)) (-4 *3 (-1197)) (-4 *3 (-1091)) (-5 *2 (-121)))) (-3725 (*1 *1 *1 *2) (-12 (-5 *2 (-635 *1)) (|has| *1 (-6 -4536)) (-4 *1 (-1011 *3)) (-4 *3 (-1197)))) (-4469 (*1 *2 *1 *3 *2) (-12 (-5 *3 "value") (|has| *1 (-6 -4536)) (-4 *1 (-1011 *2)) (-4 *2 (-1197)))) (-3891 (*1 *2 *1 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1011 *2)) (-4 *2 (-1197))))) 
+(-13 (-500 |t#1|) (-10 -8 (-15 -4114 ((-635 $) $)) (-15 -4032 ((-635 $) $)) (-15 -3486 ((-121) $)) (-15 -2247 (|t#1| $)) (-15 -1534 (|t#1| $ "value")) (-15 -1472 ((-121) $)) (-15 -2824 ((-635 |t#1|) $)) (-15 -1686 ((-569) $ $)) (IF (|has| |t#1| (-1091)) (PROGN (-15 -2447 ((-121) $ $)) (-15 -4349 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4536)) (PROGN (-15 -3725 ($ $ (-635 $))) (-15 -4469 (|t#1| $ "value" |t#1|)) (-15 -3891 (|t#1| $ |t#1|))) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
+((-2454 (($ $) 9) (($ $ (-764)) 43) (($ (-410 (-569))) 12) (($ (-569)) 15)) (-3550 (((-3 $ "failed") (-1159 $) (-918) (-851)) 23) (((-3 $ "failed") (-1159 $) (-918)) 28)) (-4344 (($ $ (-569)) 49)) (-1991 (((-764)) 16)) (-2079 (((-635 $) (-1159 $)) NIL) (((-635 $) (-1159 (-410 (-569)))) 54) (((-635 $) (-1159 (-569))) 59) (((-635 $) (-954 $)) 63) (((-635 $) (-954 (-410 (-569)))) 67) (((-635 $) (-954 (-569))) 71)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL) (($ $ (-410 (-569))) 47))) 
+(((-1012 |#1|) (-10 -8 (-15 -2454 (|#1| (-569))) (-15 -2454 (|#1| (-410 (-569)))) (-15 -2454 (|#1| |#1| (-764))) (-15 -2079 ((-635 |#1|) (-954 (-569)))) (-15 -2079 ((-635 |#1|) (-954 (-410 (-569))))) (-15 -2079 ((-635 |#1|) (-954 |#1|))) (-15 -2079 ((-635 |#1|) (-1159 (-569)))) (-15 -2079 ((-635 |#1|) (-1159 (-410 (-569))))) (-15 -2079 ((-635 |#1|) (-1159 |#1|))) (-15 -3550 ((-3 |#1| "failed") (-1159 |#1|) (-918))) (-15 -3550 ((-3 |#1| "failed") (-1159 |#1|) (-918) (-851))) (-15 ** (|#1| |#1| (-410 (-569)))) (-15 -4344 (|#1| |#1| (-569))) (-15 -2454 (|#1| |#1|)) (-15 ** (|#1| |#1| (-569))) (-15 -1991 ((-764))) (-15 ** (|#1| |#1| (-764))) (-15 ** (|#1| |#1| (-918)))) (-1013)) (T -1012)) 
+((-1991 (*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-1012 *3)) (-4 *3 (-1013))))) 
+(-10 -8 (-15 -2454 (|#1| (-569))) (-15 -2454 (|#1| (-410 (-569)))) (-15 -2454 (|#1| |#1| (-764))) (-15 -2079 ((-635 |#1|) (-954 (-569)))) (-15 -2079 ((-635 |#1|) (-954 (-410 (-569))))) (-15 -2079 ((-635 |#1|) (-954 |#1|))) (-15 -2079 ((-635 |#1|) (-1159 (-569)))) (-15 -2079 ((-635 |#1|) (-1159 (-410 (-569))))) (-15 -2079 ((-635 |#1|) (-1159 |#1|))) (-15 -3550 ((-3 |#1| "failed") (-1159 |#1|) (-918))) (-15 -3550 ((-3 |#1| "failed") (-1159 |#1|) (-918) (-851))) (-15 ** (|#1| |#1| (-410 (-569)))) (-15 -4344 (|#1| |#1| (-569))) (-15 -2454 (|#1| |#1|)) (-15 ** (|#1| |#1| (-569))) (-15 -1991 ((-764))) (-15 ** (|#1| |#1| (-764))) (-15 ** (|#1| |#1| (-918)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 88)) (-3383 (($ $) 89)) (-4354 (((-121) $) 91)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 108)) (-2446 (((-421 $) $) 109)) (-2454 (($ $) 72) (($ $ (-764)) 58) (($ (-410 (-569))) 57) (($ (-569)) 56)) (-3934 (((-121) $ $) 99)) (-3638 (((-569) $) 126)) (-2820 (($) 16 T CONST)) (-3550 (((-3 $ "failed") (-1159 $) (-918) (-851)) 66) (((-3 $ "failed") (-1159 $) (-918)) 65)) (-1647 (((-3 (-569) "failed") $) 84 (|has| (-410 (-569)) (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) 82 (|has| (-410 (-569)) (-1038 (-410 (-569))))) (((-3 (-410 (-569)) "failed") $) 80)) (-2428 (((-569) $) 85 (|has| (-410 (-569)) (-1038 (-569)))) (((-410 (-569)) $) 83 (|has| (-410 (-569)) (-1038 (-410 (-569))))) (((-410 (-569)) $) 79)) (-3653 (($ $ (-851)) 55)) (-3179 (($ $ (-851)) 54)) (-2506 (($ $ $) 103)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 102)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 97)) (-3726 (((-121) $) 110)) (-2403 (((-121) $) 124)) (-1407 (((-121) $) 30)) (-4344 (($ $ (-569)) 71)) (-1781 (((-121) $) 125)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 106)) (-3291 (($ $ $) 123)) (-1538 (($ $ $) 122)) (-2582 (((-3 (-1159 $) "failed") $) 67)) (-3490 (((-3 (-851) "failed") $) 69)) (-3767 (((-3 (-1159 $) "failed") $) 68)) (-2665 (($ (-635 $)) 95) (($ $ $) 94)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 111)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 96)) (-2714 (($ (-635 $)) 93) (($ $ $) 92)) (-1743 (((-421 $) $) 107)) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 105) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 104)) (-2941 (((-3 $ "failed") $ $) 87)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 98)) (-2622 (((-764) $) 100)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 101)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 116) (($ $) 86) (($ (-410 (-569))) 81) (($ (-569)) 78) (($ (-410 (-569))) 75)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 90)) (-2994 (((-410 (-569)) $ $) 53)) (-2079 (((-635 $) (-1159 $)) 64) (((-635 $) (-1159 (-410 (-569)))) 63) (((-635 $) (-1159 (-569))) 62) (((-635 $) (-954 $)) 61) (((-635 $) (-954 (-410 (-569)))) 60) (((-635 $) (-954 (-569))) 59)) (-1616 (($ $) 127)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 112)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1693 (((-121) $ $) 120)) (-1684 (((-121) $ $) 119)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 121)) (-1678 (((-121) $ $) 118)) (-1715 (($ $ $) 117)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 113) (($ $ (-410 (-569))) 70)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ (-410 (-569)) $) 115) (($ $ (-410 (-569))) 114) (($ (-569) $) 77) (($ $ (-569)) 76) (($ (-410 (-569)) $) 74) (($ $ (-410 (-569))) 73))) 
+(((-1013) (-1278)) (T -1013)) 
+((-2454 (*1 *1 *1) (-4 *1 (-1013))) (-3490 (*1 *2 *1) (|partial| -12 (-4 *1 (-1013)) (-5 *2 (-851)))) (-3767 (*1 *2 *1) (|partial| -12 (-5 *2 (-1159 *1)) (-4 *1 (-1013)))) (-2582 (*1 *2 *1) (|partial| -12 (-5 *2 (-1159 *1)) (-4 *1 (-1013)))) (-3550 (*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-1159 *1)) (-5 *3 (-918)) (-5 *4 (-851)) (-4 *1 (-1013)))) (-3550 (*1 *1 *2 *3) (|partial| -12 (-5 *2 (-1159 *1)) (-5 *3 (-918)) (-4 *1 (-1013)))) (-2079 (*1 *2 *3) (-12 (-5 *3 (-1159 *1)) (-4 *1 (-1013)) (-5 *2 (-635 *1)))) (-2079 (*1 *2 *3) (-12 (-5 *3 (-1159 (-410 (-569)))) (-5 *2 (-635 *1)) (-4 *1 (-1013)))) (-2079 (*1 *2 *3) (-12 (-5 *3 (-1159 (-569))) (-5 *2 (-635 *1)) (-4 *1 (-1013)))) (-2079 (*1 *2 *3) (-12 (-5 *3 (-954 *1)) (-4 *1 (-1013)) (-5 *2 (-635 *1)))) (-2079 (*1 *2 *3) (-12 (-5 *3 (-954 (-410 (-569)))) (-5 *2 (-635 *1)) (-4 *1 (-1013)))) (-2079 (*1 *2 *3) (-12 (-5 *3 (-954 (-569))) (-5 *2 (-635 *1)) (-4 *1 (-1013)))) (-2454 (*1 *1 *1 *2) (-12 (-4 *1 (-1013)) (-5 *2 (-764)))) (-2454 (*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-4 *1 (-1013)))) (-2454 (*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1013)))) (-3653 (*1 *1 *1 *2) (-12 (-4 *1 (-1013)) (-5 *2 (-851)))) (-3179 (*1 *1 *1 *2) (-12 (-4 *1 (-1013)) (-5 *2 (-851)))) (-2994 (*1 *2 *1 *1) (-12 (-4 *1 (-1013)) (-5 *2 (-410 (-569)))))) 
+(-13 (-151) (-841) (-173) (-366) (-414 (-410 (-569))) (-43 (-569)) (-43 (-410 (-569))) (-1003) (-10 -8 (-15 -3490 ((-3 (-851) "failed") $)) (-15 -3767 ((-3 (-1159 $) "failed") $)) (-15 -2582 ((-3 (-1159 $) "failed") $)) (-15 -3550 ((-3 $ "failed") (-1159 $) (-918) (-851))) (-15 -3550 ((-3 $ "failed") (-1159 $) (-918))) (-15 -2079 ((-635 $) (-1159 $))) (-15 -2079 ((-635 $) (-1159 (-410 (-569))))) (-15 -2079 ((-635 $) (-1159 (-569)))) (-15 -2079 ((-635 $) (-954 $))) (-15 -2079 ((-635 $) (-954 (-410 (-569))))) (-15 -2079 ((-635 $) (-954 (-569)))) (-15 -2454 ($ $ (-764))) (-15 -2454 ($ $)) (-15 -2454 ($ (-410 (-569)))) (-15 -2454 ($ (-569))) (-15 -3653 ($ $ (-851))) (-15 -3179 ($ $ (-851))) (-15 -2994 ((-410 (-569)) $ $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 (-569)) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 (-569) (-569)) . T) ((-120 $ $) . T) ((-138) . T) ((-151) . T) ((-609 (-851)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-414 (-410 (-569))) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 (-569)) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 (-569)) . T) ((-708 $) . T) ((-717) . T) ((-787) . T) ((-788) . T) ((-790) . T) ((-791) . T) ((-841) . T) ((-843) . T) ((-917) . T) ((-1003) . T) ((-1038 (-410 (-569))) . T) ((-1038 (-569)) |has| (-410 (-569)) (-1038 (-569))) ((-1054 (-410 (-569))) . T) ((-1054 (-569)) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) . T)) 
+((-1689 (((-2 (|:| |ans| |#2|) (|:| -1869 |#2|) (|:| |sol?| (-121))) (-569) |#2| |#2| (-1163) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-635 |#2|)) (-1 (-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)) 61))) 
+(((-1014 |#1| |#2|) (-10 -7 (-15 -1689 ((-2 (|:| |ans| |#2|) (|:| -1869 |#2|) (|:| |sol?| (-121))) (-569) |#2| |#2| (-1163) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-635 |#2|)) (-1 (-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) (-13 (-454) (-843) (-151) (-1038 (-569)) (-631 (-569))) (-13 (-1183) (-27) (-433 |#1|))) (T -1014)) 
+((-1689 (*1 *2 *3 *4 *4 *5 *6 *7) (-12 (-5 *5 (-1163)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-635 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3032 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1183) (-27) (-433 *8))) (-4 *8 (-13 (-454) (-843) (-151) (-1038 *3) (-631 *3))) (-5 *3 (-569)) (-5 *2 (-2 (|:| |ans| *4) (|:| -1869 *4) (|:| |sol?| (-121)))) (-5 *1 (-1014 *8 *4))))) 
+(-10 -7 (-15 -1689 ((-2 (|:| |ans| |#2|) (|:| -1869 |#2|) (|:| |sol?| (-121))) (-569) |#2| |#2| (-1163) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-635 |#2|)) (-1 (-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) 
+((-2376 (((-3 (-635 |#2|) "failed") (-569) |#2| |#2| |#2| (-1163) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-635 |#2|)) (-1 (-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)) 47))) 
+(((-1015 |#1| |#2|) (-10 -7 (-15 -2376 ((-3 (-635 |#2|) "failed") (-569) |#2| |#2| |#2| (-1163) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-635 |#2|)) (-1 (-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) (-13 (-454) (-843) (-151) (-1038 (-569)) (-631 (-569))) (-13 (-1183) (-27) (-433 |#1|))) (T -1015)) 
+((-2376 (*1 *2 *3 *4 *4 *4 *5 *6 *7) (|partial| -12 (-5 *5 (-1163)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-635 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3032 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1183) (-27) (-433 *8))) (-4 *8 (-13 (-454) (-843) (-151) (-1038 *3) (-631 *3))) (-5 *3 (-569)) (-5 *2 (-635 *4)) (-5 *1 (-1015 *8 *4))))) 
+(-10 -7 (-15 -2376 ((-3 (-635 |#2|) "failed") (-569) |#2| |#2| |#2| (-1163) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-635 |#2|)) (-1 (-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) 
+((-4160 (((-3 (|:| |ans| (-2 (|:| |ans| |#2|) (|:| |nosol| (-121)))) (|:| -1502 (-2 (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (-569)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (-569) (-1 |#2| |#2|)) 30)) (-3687 (((-3 (-2 (|:| |a| |#2|) (|:| |b| (-410 |#2|)) (|:| |c| (-410 |#2|)) (|:| -3417 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-1 |#2| |#2|)) 56)) (-1433 (((-2 (|:| |ans| (-410 |#2|)) (|:| |nosol| (-121))) (-410 |#2|) (-410 |#2|)) 61))) 
+(((-1016 |#1| |#2|) (-10 -7 (-15 -3687 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-410 |#2|)) (|:| |c| (-410 |#2|)) (|:| -3417 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-1 |#2| |#2|))) (-15 -1433 ((-2 (|:| |ans| (-410 |#2|)) (|:| |nosol| (-121))) (-410 |#2|) (-410 |#2|))) (-15 -4160 ((-3 (|:| |ans| (-2 (|:| |ans| |#2|) (|:| |nosol| (-121)))) (|:| -1502 (-2 (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (-569)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (-569) (-1 |#2| |#2|)))) (-13 (-366) (-151) (-1038 (-569))) (-1222 |#1|)) (T -1016)) 
+((-4160 (*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-1 *3 *3)) (-4 *3 (-1222 *6)) (-4 *6 (-13 (-366) (-151) (-1038 *4))) (-5 *4 (-569)) (-5 *2 (-3 (|:| |ans| (-2 (|:| |ans| *3) (|:| |nosol| (-121)))) (|:| -1502 (-2 (|:| |b| *3) (|:| |c| *3) (|:| |m| *4) (|:| |alpha| *3) (|:| |beta| *3))))) (-5 *1 (-1016 *6 *3)))) (-1433 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1038 (-569)))) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| |ans| (-410 *5)) (|:| |nosol| (-121)))) (-5 *1 (-1016 *4 *5)) (-5 *3 (-410 *5)))) (-3687 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-410 *6)) (|:| |c| (-410 *6)) (|:| -3417 *6))) (-5 *1 (-1016 *5 *6)) (-5 *3 (-410 *6))))) 
+(-10 -7 (-15 -3687 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-410 |#2|)) (|:| |c| (-410 |#2|)) (|:| -3417 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-1 |#2| |#2|))) (-15 -1433 ((-2 (|:| |ans| (-410 |#2|)) (|:| |nosol| (-121))) (-410 |#2|) (-410 |#2|))) (-15 -4160 ((-3 (|:| |ans| (-2 (|:| |ans| |#2|) (|:| |nosol| (-121)))) (|:| -1502 (-2 (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (-569)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (-569) (-1 |#2| |#2|)))) 
+((-3311 (((-3 (-2 (|:| |a| |#2|) (|:| |b| (-410 |#2|)) (|:| |h| |#2|) (|:| |c1| (-410 |#2|)) (|:| |c2| (-410 |#2|)) (|:| -3417 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|) (-1 |#2| |#2|)) 22)) (-1986 (((-3 (-635 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|)) 32))) 
+(((-1017 |#1| |#2|) (-10 -7 (-15 -3311 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-410 |#2|)) (|:| |h| |#2|) (|:| |c1| (-410 |#2|)) (|:| |c2| (-410 |#2|)) (|:| -3417 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|) (-1 |#2| |#2|))) (-15 -1986 ((-3 (-635 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|)))) (-13 (-366) (-151) (-1038 (-569))) (-1222 |#1|)) (T -1017)) 
+((-1986 (*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-366) (-151) (-1038 (-569)))) (-4 *5 (-1222 *4)) (-5 *2 (-635 (-410 *5))) (-5 *1 (-1017 *4 *5)) (-5 *3 (-410 *5)))) (-3311 (*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-410 *6)) (|:| |h| *6) (|:| |c1| (-410 *6)) (|:| |c2| (-410 *6)) (|:| -3417 *6))) (-5 *1 (-1017 *5 *6)) (-5 *3 (-410 *6))))) 
+(-10 -7 (-15 -3311 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-410 |#2|)) (|:| |h| |#2|) (|:| |c1| (-410 |#2|)) (|:| |c2| (-410 |#2|)) (|:| -3417 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|) (-1 |#2| |#2|))) (-15 -1986 ((-3 (-635 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|)))) 
+((-3131 (((-1 |#1|) (-635 (-2 (|:| -2247 |#1|) (|:| -2496 (-569))))) 37)) (-1384 (((-1 |#1|) (-1093 |#1|)) 45)) (-4170 (((-1 |#1|) (-1247 |#1|) (-1247 (-569)) (-569)) 34))) 
+(((-1018 |#1|) (-10 -7 (-15 -1384 ((-1 |#1|) (-1093 |#1|))) (-15 -3131 ((-1 |#1|) (-635 (-2 (|:| -2247 |#1|) (|:| -2496 (-569)))))) (-15 -4170 ((-1 |#1|) (-1247 |#1|) (-1247 (-569)) (-569)))) (-1091)) (T -1018)) 
+((-4170 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1247 *6)) (-5 *4 (-1247 (-569))) (-5 *5 (-569)) (-4 *6 (-1091)) (-5 *2 (-1 *6)) (-5 *1 (-1018 *6)))) (-3131 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -2247 *4) (|:| -2496 (-569))))) (-4 *4 (-1091)) (-5 *2 (-1 *4)) (-5 *1 (-1018 *4)))) (-1384 (*1 *2 *3) (-12 (-5 *3 (-1093 *4)) (-4 *4 (-1091)) (-5 *2 (-1 *4)) (-5 *1 (-1018 *4))))) 
+(-10 -7 (-15 -1384 ((-1 |#1|) (-1093 |#1|))) (-15 -3131 ((-1 |#1|) (-635 (-2 (|:| -2247 |#1|) (|:| -2496 (-569)))))) (-15 -4170 ((-1 |#1|) (-1247 |#1|) (-1247 (-569)) (-569)))) 
+((-2558 (((-764) (-335 |#1| |#2| |#3| |#4|) |#3| (-1 |#5| |#1|)) 23))) 
+(((-1019 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2558 ((-764) (-335 |#1| |#2| |#3| |#4|) |#3| (-1 |#5| |#1|)))) (-366) (-1222 |#1|) (-1222 (-410 |#2|)) (-341 |#1| |#2| |#3|) (-13 (-371) (-366))) (T -1019)) 
+((-2558 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-335 *6 *7 *4 *8)) (-5 *5 (-1 *9 *6)) (-4 *6 (-366)) (-4 *7 (-1222 *6)) (-4 *4 (-1222 (-410 *7))) (-4 *8 (-341 *6 *7 *4)) (-4 *9 (-13 (-371) (-366))) (-5 *2 (-764)) (-5 *1 (-1019 *6 *7 *4 *8 *9))))) 
+(-10 -7 (-15 -2558 ((-764) (-335 |#1| |#2| |#3| |#4|) |#3| (-1 |#5| |#1|)))) 
+((-1595 (((-3 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) "failed") |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) 31) (((-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-410 (-569))) 28)) (-4048 (((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-410 (-569))) 33) (((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-410 (-569))) 29) (((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) 32) (((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1|) 27)) (-3832 (((-635 (-410 (-569))) (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) 19)) (-3305 (((-410 (-569)) (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) 16))) 
+(((-1020 |#1|) (-10 -7 (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1|)) (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-410 (-569)))) (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-410 (-569)))) (-15 -1595 ((-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-410 (-569)))) (-15 -1595 ((-3 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) "failed") |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-15 -3305 ((-410 (-569)) (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-15 -3832 ((-635 (-410 (-569))) (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))))) (-1222 (-569))) (T -1020)) 
+((-3832 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *2 (-635 (-410 (-569)))) (-5 *1 (-1020 *4)) (-4 *4 (-1222 (-569))))) (-3305 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) (-5 *2 (-410 (-569))) (-5 *1 (-1020 *4)) (-4 *4 (-1222 (-569))))) (-1595 (*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) (-5 *1 (-1020 *3)) (-4 *3 (-1222 (-569))))) (-1595 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) (-5 *4 (-410 (-569))) (-5 *1 (-1020 *3)) (-4 *3 (-1222 (-569))))) (-4048 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-410 (-569))) (-5 *2 (-635 (-2 (|:| -3833 *5) (|:| -1869 *5)))) (-5 *1 (-1020 *3)) (-4 *3 (-1222 (-569))) (-5 *4 (-2 (|:| -3833 *5) (|:| -1869 *5))))) (-4048 (*1 *2 *3 *4) (-12 (-5 *2 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *1 (-1020 *3)) (-4 *3 (-1222 (-569))) (-5 *4 (-410 (-569))))) (-4048 (*1 *2 *3 *4) (-12 (-5 *2 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *1 (-1020 *3)) (-4 *3 (-1222 (-569))) (-5 *4 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))))) (-4048 (*1 *2 *3) (-12 (-5 *2 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *1 (-1020 *3)) (-4 *3 (-1222 (-569)))))) 
+(-10 -7 (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1|)) (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-410 (-569)))) (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-410 (-569)))) (-15 -1595 ((-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-410 (-569)))) (-15 -1595 ((-3 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) "failed") |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-15 -3305 ((-410 (-569)) (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-15 -3832 ((-635 (-410 (-569))) (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))))) 
+((-1595 (((-3 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) "failed") |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) 35) (((-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-410 (-569))) 32)) (-4048 (((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-410 (-569))) 30) (((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-410 (-569))) 26) (((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) 28) (((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1|) 24))) 
+(((-1021 |#1|) (-10 -7 (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1|)) (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-410 (-569)))) (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-410 (-569)))) (-15 -1595 ((-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-410 (-569)))) (-15 -1595 ((-3 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) "failed") |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))))) (-1222 (-410 (-569)))) (T -1021)) 
+((-1595 (*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) (-5 *1 (-1021 *3)) (-4 *3 (-1222 (-410 (-569)))))) (-1595 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) (-5 *4 (-410 (-569))) (-5 *1 (-1021 *3)) (-4 *3 (-1222 *4)))) (-4048 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-410 (-569))) (-5 *2 (-635 (-2 (|:| -3833 *5) (|:| -1869 *5)))) (-5 *1 (-1021 *3)) (-4 *3 (-1222 *5)) (-5 *4 (-2 (|:| -3833 *5) (|:| -1869 *5))))) (-4048 (*1 *2 *3 *4) (-12 (-5 *4 (-410 (-569))) (-5 *2 (-635 (-2 (|:| -3833 *4) (|:| -1869 *4)))) (-5 *1 (-1021 *3)) (-4 *3 (-1222 *4)))) (-4048 (*1 *2 *3 *4) (-12 (-5 *2 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *1 (-1021 *3)) (-4 *3 (-1222 (-410 (-569)))) (-5 *4 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))))) (-4048 (*1 *2 *3) (-12 (-5 *2 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *1 (-1021 *3)) (-4 *3 (-1222 (-410 (-569))))))) 
+(-10 -7 (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1|)) (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-410 (-569)))) (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-410 (-569)))) (-15 -1595 ((-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-410 (-569)))) (-15 -1595 ((-3 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) "failed") |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))))) 
+((-3817 (((-216) $) 6) (((-382) $) 8))) 
+(((-1022) (-1278)) (T -1022)) 
+NIL 
+(-13 (-610 (-216)) (-610 (-382))) 
+(((-610 (-216)) . T) ((-610 (-382)) . T)) 
+((-4435 (((-635 (-382)) (-954 (-569)) (-382)) 27) (((-635 (-382)) (-954 (-410 (-569))) (-382)) 26)) (-3492 (((-635 (-635 (-382))) (-635 (-954 (-569))) (-635 (-1163)) (-382)) 36))) 
+(((-1023) (-10 -7 (-15 -4435 ((-635 (-382)) (-954 (-410 (-569))) (-382))) (-15 -4435 ((-635 (-382)) (-954 (-569)) (-382))) (-15 -3492 ((-635 (-635 (-382))) (-635 (-954 (-569))) (-635 (-1163)) (-382))))) (T -1023)) 
+((-3492 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-635 (-1163))) (-5 *2 (-635 (-635 (-382)))) (-5 *1 (-1023)) (-5 *5 (-382)))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-954 (-569))) (-5 *2 (-635 (-382))) (-5 *1 (-1023)) (-5 *4 (-382)))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-954 (-410 (-569)))) (-5 *2 (-635 (-382))) (-5 *1 (-1023)) (-5 *4 (-382))))) 
+(-10 -7 (-15 -4435 ((-635 (-382)) (-954 (-410 (-569))) (-382))) (-15 -4435 ((-635 (-382)) (-954 (-569)) (-382))) (-15 -3492 ((-635 (-635 (-382))) (-635 (-954 (-569))) (-635 (-1163)) (-382)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 70)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-2454 (($ $) NIL) (($ $ (-764)) NIL) (($ (-410 (-569))) NIL) (($ (-569)) NIL)) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) 65)) (-2820 (($) NIL T CONST)) (-3550 (((-3 $ "failed") (-1159 $) (-918) (-851)) NIL) (((-3 $ "failed") (-1159 $) (-918)) 49)) (-1647 (((-3 (-410 (-569)) "failed") $) NIL (|has| (-410 (-569)) (-1038 (-410 (-569))))) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#1| "failed") $) 108) (((-3 (-569) "failed") $) NIL (-2232 (|has| (-410 (-569)) (-1038 (-569))) (|has| |#1| (-1038 (-569)))))) (-2428 (((-410 (-569)) $) 14 (|has| (-410 (-569)) (-1038 (-410 (-569))))) (((-410 (-569)) $) 14) ((|#1| $) 109) (((-569) $) NIL (-2232 (|has| (-410 (-569)) (-1038 (-569))) (|has| |#1| (-1038 (-569)))))) (-3653 (($ $ (-851)) 40)) (-3179 (($ $ (-851)) 41)) (-2506 (($ $ $) NIL)) (-3555 (((-410 (-569)) $ $) 18)) (-3428 (((-3 $ "failed") $) 83)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-2403 (((-121) $) 60)) (-1407 (((-121) $) NIL)) (-4344 (($ $ (-569)) NIL)) (-1781 (((-121) $) 63)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2582 (((-3 (-1159 $) "failed") $) 78)) (-3490 (((-3 (-851) "failed") $) 77)) (-3767 (((-3 (-1159 $) "failed") $) 75)) (-4301 (((-3 (-1058 $ (-1159 $)) "failed") $) 73)) (-2665 (($ (-635 $)) NIL) (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 84)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ (-635 $)) NIL) (($ $ $) NIL)) (-1743 (((-421 $) $) NIL)) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-2185 (((-851) $) 82) (($ (-569)) NIL) (($ (-410 (-569))) NIL) (($ $) 57) (($ (-410 (-569))) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 111)) (-1991 (((-764)) NIL)) (-1961 (((-121) $ $) NIL)) (-2994 (((-410 (-569)) $ $) 24)) (-2079 (((-635 $) (-1159 $)) 55) (((-635 $) (-1159 (-410 (-569)))) NIL) (((-635 $) (-1159 (-569))) NIL) (((-635 $) (-954 $)) NIL) (((-635 $) (-954 (-410 (-569)))) NIL) (((-635 $) (-954 (-569))) NIL)) (-2472 (($ (-1058 $ (-1159 $)) (-851)) 39)) (-1616 (($ $) 19)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 28 T CONST)) (-1556 (($) 34 T CONST)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 71)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 21)) (-1715 (($ $ $) 32)) (-1711 (($ $) 33) (($ $ $) 69)) (-1707 (($ $ $) 104)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL) (($ $ (-410 (-569))) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 92) (($ $ $) 97) (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL) (($ (-569) $) 92) (($ $ (-569)) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL) (($ |#1| $) 96) (($ $ |#1|) NIL))) 
+(((-1024 |#1|) (-13 (-1013) (-414 |#1|) (-43 |#1|) (-10 -8 (-15 -2472 ($ (-1058 $ (-1159 $)) (-851))) (-15 -4301 ((-3 (-1058 $ (-1159 $)) "failed") $)) (-15 -3555 ((-410 (-569)) $ $)))) (-13 (-841) (-366) (-1022))) (T -1024)) 
+((-2472 (*1 *1 *2 *3) (-12 (-5 *2 (-1058 (-1024 *4) (-1159 (-1024 *4)))) (-5 *3 (-851)) (-5 *1 (-1024 *4)) (-4 *4 (-13 (-841) (-366) (-1022))))) (-4301 (*1 *2 *1) (|partial| -12 (-5 *2 (-1058 (-1024 *3) (-1159 (-1024 *3)))) (-5 *1 (-1024 *3)) (-4 *3 (-13 (-841) (-366) (-1022))))) (-3555 (*1 *2 *1 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1024 *3)) (-4 *3 (-13 (-841) (-366) (-1022)))))) 
+(-13 (-1013) (-414 |#1|) (-43 |#1|) (-10 -8 (-15 -2472 ($ (-1058 $ (-1159 $)) (-851))) (-15 -4301 ((-3 (-1058 $ (-1159 $)) "failed") $)) (-15 -3555 ((-410 (-569)) $ $)))) 
+((-3902 (((-2 (|:| -1538 (-3 (-569) "failed")) (|:| -2599 (-3 (-569) "failed")) (|:| |ker| (-608 |#2|))) (-123) (-1163) |#2|) 59 (|has| |#1| (-1048)))) (-3074 (((-569) (-569) (-123) (-1163) |#2|) 76)) (-3581 (((-3 (-569) "failed") (-123) (-608 |#2|) (-1163)) 56 (|has| |#1| (-1048)))) (-4240 (((-123) |#2|) 103)) (-4488 ((|#2| |#2|) 102)) (-2322 ((|#2| (-123) (-1163) |#2| |#2| |#2| (-635 |#2|)) 72)) (-4323 ((|#2| (-123) (-1163) |#2| |#2| |#2| (-635 |#2|)) 100))) 
+(((-1025 |#1| |#2|) (-10 -7 (-15 -2322 (|#2| (-123) (-1163) |#2| |#2| |#2| (-635 |#2|))) (-15 -4323 (|#2| (-123) (-1163) |#2| |#2| |#2| (-635 |#2|))) (-15 -4488 (|#2| |#2|)) (-15 -4240 ((-123) |#2|)) (-15 -3074 ((-569) (-569) (-123) (-1163) |#2|)) (IF (|has| |#1| (-1048)) (PROGN (-15 -3581 ((-3 (-569) "failed") (-123) (-608 |#2|) (-1163))) (-15 -3902 ((-2 (|:| -1538 (-3 (-569) "failed")) (|:| -2599 (-3 (-569) "failed")) (|:| |ker| (-608 |#2|))) (-123) (-1163) |#2|))) |noBranch|)) (-13 (-843) (-559) (-610 (-542))) (-13 (-433 |#1|) (-23) (-1038 (-569)) (-1038 (-1163)) (-896 (-1163)) (-162))) (T -1025)) 
+((-3902 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-123)) (-5 *4 (-1163)) (-4 *6 (-1048)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-2 (|:| -1538 (-3 (-569) "failed")) (|:| -2599 (-3 (-569) "failed")) (|:| |ker| (-608 *5)))) (-5 *1 (-1025 *6 *5)) (-4 *5 (-13 (-433 *6) (-23) (-1038 (-569)) (-1038 *4) (-896 *4) (-162))))) (-3581 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-608 *7)) (-4 *7 (-13 (-433 *6) (-23) (-1038 *2) (-1038 *5) (-896 *5) (-162))) (-5 *5 (-1163)) (-4 *6 (-1048)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-569)) (-5 *1 (-1025 *6 *7)))) (-3074 (*1 *2 *2 *3 *4 *5) (-12 (-5 *3 (-123)) (-5 *2 (-569)) (-5 *4 (-1163)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *1 (-1025 *6 *5)) (-4 *5 (-13 (-433 *6) (-23) (-1038 *2) (-1038 *4) (-896 *4) (-162))))) (-4240 (*1 *2 *3) (-12 (-4 *4 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-123)) (-5 *1 (-1025 *4 *3)) (-4 *3 (-13 (-433 *4) (-23) (-1038 (-569)) (-1038 (-1163)) (-896 (-1163)) (-162))))) (-4488 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559) (-610 (-542)))) (-5 *1 (-1025 *3 *2)) (-4 *2 (-13 (-433 *3) (-23) (-1038 (-569)) (-1038 (-1163)) (-896 (-1163)) (-162))))) (-4323 (*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-123)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-433 *6) (-23) (-1038 (-569)) (-1038 *4) (-896 *4) (-162))) (-5 *4 (-1163)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *1 (-1025 *6 *2)))) (-2322 (*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-123)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-433 *6) (-23) (-1038 (-569)) (-1038 *4) (-896 *4) (-162))) (-5 *4 (-1163)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *1 (-1025 *6 *2))))) 
+(-10 -7 (-15 -2322 (|#2| (-123) (-1163) |#2| |#2| |#2| (-635 |#2|))) (-15 -4323 (|#2| (-123) (-1163) |#2| |#2| |#2| (-635 |#2|))) (-15 -4488 (|#2| |#2|)) (-15 -4240 ((-123) |#2|)) (-15 -3074 ((-569) (-569) (-123) (-1163) |#2|)) (IF (|has| |#1| (-1048)) (PROGN (-15 -3581 ((-3 (-569) "failed") (-123) (-608 |#2|) (-1163))) (-15 -3902 ((-2 (|:| -1538 (-3 (-569) "failed")) (|:| -2599 (-3 (-569) "failed")) (|:| |ker| (-608 |#2|))) (-123) (-1163) |#2|))) |noBranch|)) 
+((-2098 (((-2 (|:| -1502 |#2|) (|:| -2291 (-635 |#1|))) |#2| (-635 |#1|)) 20) ((|#2| |#2| |#1|) 15))) 
+(((-1026 |#1| |#2|) (-10 -7 (-15 -2098 (|#2| |#2| |#1|)) (-15 -2098 ((-2 (|:| -1502 |#2|) (|:| -2291 (-635 |#1|))) |#2| (-635 |#1|)))) (-366) (-647 |#1|)) (T -1026)) 
+((-2098 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-5 *2 (-2 (|:| -1502 *3) (|:| -2291 (-635 *5)))) (-5 *1 (-1026 *5 *3)) (-5 *4 (-635 *5)) (-4 *3 (-647 *5)))) (-2098 (*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-1026 *3 *2)) (-4 *2 (-647 *3))))) 
+(-10 -7 (-15 -2098 (|#2| |#2| |#1|)) (-15 -2098 ((-2 (|:| -1502 |#2|) (|:| -2291 (-635 |#1|))) |#2| (-635 |#1|)))) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2037 ((|#1| $ |#1|) 14)) (-4469 ((|#1| $ |#1|) 12)) (-1983 (($ |#1|) 10)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-1534 ((|#1| $) 11)) (-3251 ((|#1| $) 13)) (-2185 (((-851) $) 21 (|has| |#1| (-1091)))) (-1668 (((-121) $ $) 9))) 
+(((-1027 |#1|) (-13 (-1197) (-10 -8 (-15 -1983 ($ |#1|)) (-15 -1534 (|#1| $)) (-15 -4469 (|#1| $ |#1|)) (-15 -3251 (|#1| $)) (-15 -2037 (|#1| $ |#1|)) (-15 -1668 ((-121) $ $)) (IF (|has| |#1| (-1091)) (-6 (-1091)) |noBranch|))) (-1197)) (T -1027)) 
+((-1983 (*1 *1 *2) (-12 (-5 *1 (-1027 *2)) (-4 *2 (-1197)))) (-1534 (*1 *2 *1) (-12 (-5 *1 (-1027 *2)) (-4 *2 (-1197)))) (-4469 (*1 *2 *1 *2) (-12 (-5 *1 (-1027 *2)) (-4 *2 (-1197)))) (-3251 (*1 *2 *1) (-12 (-5 *1 (-1027 *2)) (-4 *2 (-1197)))) (-2037 (*1 *2 *1 *2) (-12 (-5 *1 (-1027 *2)) (-4 *2 (-1197)))) (-1668 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1027 *3)) (-4 *3 (-1197))))) 
+(-13 (-1197) (-10 -8 (-15 -1983 ($ |#1|)) (-15 -1534 (|#1| $)) (-15 -4469 (|#1| $ |#1|)) (-15 -3251 (|#1| $)) (-15 -2037 (|#1| $ |#1|)) (-15 -1668 ((-121) $ $)) (IF (|has| |#1| (-1091)) (-6 (-1091)) |noBranch|))) 
+((-2568 (((-121) $ $) NIL)) (-3839 (((-635 (-2 (|:| -3585 $) (|:| -3230 (-635 |#4|)))) (-635 |#4|)) NIL)) (-4426 (((-635 $) (-635 |#4|)) 104) (((-635 $) (-635 |#4|) (-121)) 105) (((-635 $) (-635 |#4|) (-121) (-121)) 103) (((-635 $) (-635 |#4|) (-121) (-121) (-121) (-121)) 106)) (-1773 (((-635 |#3|) $) NIL)) (-3008 (((-121) $) NIL)) (-3625 (((-121) $) NIL (|has| |#1| (-559)))) (-2061 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3982 ((|#4| |#4| $) NIL)) (-2004 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 $))) |#4| $) 98)) (-3113 (((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ |#3|) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-1962 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535))) (((-3 |#4| "failed") $ |#3|) 53)) (-2820 (($) NIL T CONST)) (-4162 (((-121) $) 26 (|has| |#1| (-559)))) (-2716 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3532 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2398 (((-121) $) NIL (|has| |#1| (-559)))) (-3694 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-4318 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-1322 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-1647 (((-3 $ "failed") (-635 |#4|)) NIL)) (-2428 (($ (-635 |#4|)) NIL)) (-2046 (((-3 $ "failed") $) 39)) (-4407 ((|#4| |#4| $) 56)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091))))) (-4347 (($ |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1830 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 72 (|has| |#1| (-559)))) (-3255 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) NIL)) (-2045 ((|#4| |#4| $) NIL)) (-1774 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4535))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4535))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-4038 (((-2 (|:| -3585 (-635 |#4|)) (|:| -3230 (-635 |#4|))) $) NIL)) (-1658 (((-121) |#4| $) NIL)) (-3903 (((-121) |#4| $) NIL)) (-3617 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3152 (((-2 (|:| |val| (-635 |#4|)) (|:| |towers| (-635 $))) (-635 |#4|) (-121) (-121)) 118)) (-3470 (((-635 |#4|) $) 16 (|has| $ (-6 -4535)))) (-3977 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-4357 ((|#3| $) 33)) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#4|) $) 17 (|has| $ (-6 -4535)))) (-3660 (((-121) |#4| $) 25 (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091))))) (-1853 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#4| |#4|) $) 21)) (-1833 (((-635 |#3|) $) NIL)) (-2760 (((-121) |#3| $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-2870 (((-3 |#4| (-635 $)) |#4| |#4| $) NIL)) (-3988 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 $))) |#4| |#4| $) 96)) (-4213 (((-3 |#4| "failed") $) 37)) (-2482 (((-635 $) |#4| $) 79)) (-3730 (((-3 (-121) (-635 $)) |#4| $) NIL)) (-2253 (((-635 (-2 (|:| |val| (-121)) (|:| -4003 $))) |#4| $) 89) (((-121) |#4| $) 51)) (-2652 (((-635 $) |#4| $) 101) (((-635 $) (-635 |#4|) $) NIL) (((-635 $) (-635 |#4|) (-635 $)) 102) (((-635 $) |#4| (-635 $)) NIL)) (-4164 (((-635 $) (-635 |#4|) (-121) (-121) (-121)) 113)) (-3897 (($ |#4| $) 69) (($ (-635 |#4|) $) 70) (((-635 $) |#4| $ (-121) (-121) (-121) (-121) (-121)) 66)) (-2515 (((-635 |#4|) $) NIL)) (-3409 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3005 ((|#4| |#4| $) NIL)) (-2673 (((-121) $ $) NIL)) (-2439 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-4310 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2533 ((|#4| |#4| $) NIL)) (-3360 (((-1109) $) NIL)) (-4353 (((-3 |#4| "failed") $) 35)) (-2502 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-1913 (((-3 $ "failed") $ |#4|) 47)) (-3499 (($ $ |#4|) NIL) (((-635 $) |#4| $) 81) (((-635 $) |#4| (-635 $)) NIL) (((-635 $) (-635 |#4|) $) NIL) (((-635 $) (-635 |#4|) (-635 $)) 76)) (-4177 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#4|) (-635 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-635 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 15)) (-1296 (($) 13)) (-2492 (((-764) $) NIL)) (-2846 (((-764) |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) (((-764) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) 12)) (-3817 (((-542) $) NIL (|has| |#4| (-610 (-542))))) (-2139 (($ (-635 |#4|)) 20)) (-4201 (($ $ |#3|) 42)) (-3460 (($ $ |#3|) 43)) (-4208 (($ $) NIL)) (-2630 (($ $ |#3|) NIL)) (-2185 (((-851) $) 31) (((-635 |#4|) $) 40)) (-3435 (((-764) $) NIL (|has| |#3| (-371)))) (-1702 (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) NIL) (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-3321 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) NIL)) (-4455 (((-635 $) |#4| $) 78) (((-635 $) |#4| (-635 $)) NIL) (((-635 $) (-635 |#4|) $) NIL) (((-635 $) (-635 |#4|) (-635 $)) NIL)) (-2066 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-3502 (((-635 |#3|) $) NIL)) (-4060 (((-121) |#4| $) NIL)) (-3673 (((-121) |#3| $) 52)) (-1668 (((-121) $ $) NIL)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-1028 |#1| |#2| |#3| |#4|) (-13 (-1067 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3897 ((-635 $) |#4| $ (-121) (-121) (-121) (-121) (-121))) (-15 -4426 ((-635 $) (-635 |#4|) (-121) (-121))) (-15 -4426 ((-635 $) (-635 |#4|) (-121) (-121) (-121) (-121))) (-15 -4164 ((-635 $) (-635 |#4|) (-121) (-121) (-121))) (-15 -3152 ((-2 (|:| |val| (-635 |#4|)) (|:| |towers| (-635 $))) (-635 |#4|) (-121) (-121))))) (-454) (-789) (-843) (-1062 |#1| |#2| |#3|)) (T -1028)) 
+((-3897 (*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1028 *5 *6 *7 *3))) (-5 *1 (-1028 *5 *6 *7 *3)) (-4 *3 (-1062 *5 *6 *7)))) (-4426 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1028 *5 *6 *7 *8))) (-5 *1 (-1028 *5 *6 *7 *8)))) (-4426 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1028 *5 *6 *7 *8))) (-5 *1 (-1028 *5 *6 *7 *8)))) (-4164 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1028 *5 *6 *7 *8))) (-5 *1 (-1028 *5 *6 *7 *8)))) (-3152 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-635 *8)) (|:| |towers| (-635 (-1028 *5 *6 *7 *8))))) (-5 *1 (-1028 *5 *6 *7 *8)) (-5 *3 (-635 *8))))) 
+(-13 (-1067 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3897 ((-635 $) |#4| $ (-121) (-121) (-121) (-121) (-121))) (-15 -4426 ((-635 $) (-635 |#4|) (-121) (-121))) (-15 -4426 ((-635 $) (-635 |#4|) (-121) (-121) (-121) (-121))) (-15 -4164 ((-635 $) (-635 |#4|) (-121) (-121) (-121))) (-15 -3152 ((-2 (|:| |val| (-635 |#4|)) (|:| |towers| (-635 $))) (-635 |#4|) (-121) (-121))))) 
+((-3348 (((-635 (-680 |#1|)) (-635 (-680 |#1|))) 56) (((-680 |#1|) (-680 |#1|)) 55) (((-635 (-680 |#1|)) (-635 (-680 |#1|)) (-635 (-680 |#1|))) 54) (((-680 |#1|) (-680 |#1|) (-680 |#1|)) 51)) (-4453 (((-635 (-680 |#1|)) (-635 (-680 |#1|)) (-918)) 50) (((-680 |#1|) (-680 |#1|) (-918)) 49)) (-2003 (((-635 (-680 (-569))) (-635 (-635 (-569)))) 66) (((-635 (-680 (-569))) (-635 (-901 (-569))) (-569)) 65) (((-680 (-569)) (-635 (-569))) 62) (((-680 (-569)) (-901 (-569)) (-569)) 61)) (-2650 (((-680 (-954 |#1|)) (-764)) 79)) (-3600 (((-635 (-680 |#1|)) (-635 (-680 |#1|)) (-918)) 36 (|has| |#1| (-6 (-4537 "*")))) (((-680 |#1|) (-680 |#1|) (-918)) 34 (|has| |#1| (-6 (-4537 "*")))))) 
+(((-1029 |#1|) (-10 -7 (IF (|has| |#1| (-6 (-4537 "*"))) (-15 -3600 ((-680 |#1|) (-680 |#1|) (-918))) |noBranch|) (IF (|has| |#1| (-6 (-4537 "*"))) (-15 -3600 ((-635 (-680 |#1|)) (-635 (-680 |#1|)) (-918))) |noBranch|) (-15 -2650 ((-680 (-954 |#1|)) (-764))) (-15 -4453 ((-680 |#1|) (-680 |#1|) (-918))) (-15 -4453 ((-635 (-680 |#1|)) (-635 (-680 |#1|)) (-918))) (-15 -3348 ((-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -3348 ((-635 (-680 |#1|)) (-635 (-680 |#1|)) (-635 (-680 |#1|)))) (-15 -3348 ((-680 |#1|) (-680 |#1|))) (-15 -3348 ((-635 (-680 |#1|)) (-635 (-680 |#1|)))) (-15 -2003 ((-680 (-569)) (-901 (-569)) (-569))) (-15 -2003 ((-680 (-569)) (-635 (-569)))) (-15 -2003 ((-635 (-680 (-569))) (-635 (-901 (-569))) (-569))) (-15 -2003 ((-635 (-680 (-569))) (-635 (-635 (-569)))))) (-1048)) (T -1029)) 
+((-2003 (*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-569)))) (-5 *2 (-635 (-680 (-569)))) (-5 *1 (-1029 *4)) (-4 *4 (-1048)))) (-2003 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-901 (-569)))) (-5 *4 (-569)) (-5 *2 (-635 (-680 *4))) (-5 *1 (-1029 *5)) (-4 *5 (-1048)))) (-2003 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-680 (-569))) (-5 *1 (-1029 *4)) (-4 *4 (-1048)))) (-2003 (*1 *2 *3 *4) (-12 (-5 *3 (-901 (-569))) (-5 *4 (-569)) (-5 *2 (-680 *4)) (-5 *1 (-1029 *5)) (-4 *5 (-1048)))) (-3348 (*1 *2 *2) (-12 (-5 *2 (-635 (-680 *3))) (-4 *3 (-1048)) (-5 *1 (-1029 *3)))) (-3348 (*1 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-1029 *3)))) (-3348 (*1 *2 *2 *2) (-12 (-5 *2 (-635 (-680 *3))) (-4 *3 (-1048)) (-5 *1 (-1029 *3)))) (-3348 (*1 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-1029 *3)))) (-4453 (*1 *2 *2 *3) (-12 (-5 *2 (-635 (-680 *4))) (-5 *3 (-918)) (-4 *4 (-1048)) (-5 *1 (-1029 *4)))) (-4453 (*1 *2 *2 *3) (-12 (-5 *2 (-680 *4)) (-5 *3 (-918)) (-4 *4 (-1048)) (-5 *1 (-1029 *4)))) (-2650 (*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-680 (-954 *4))) (-5 *1 (-1029 *4)) (-4 *4 (-1048)))) (-3600 (*1 *2 *2 *3) (-12 (-5 *2 (-635 (-680 *4))) (-5 *3 (-918)) (|has| *4 (-6 (-4537 "*"))) (-4 *4 (-1048)) (-5 *1 (-1029 *4)))) (-3600 (*1 *2 *2 *3) (-12 (-5 *2 (-680 *4)) (-5 *3 (-918)) (|has| *4 (-6 (-4537 "*"))) (-4 *4 (-1048)) (-5 *1 (-1029 *4))))) 
+(-10 -7 (IF (|has| |#1| (-6 (-4537 "*"))) (-15 -3600 ((-680 |#1|) (-680 |#1|) (-918))) |noBranch|) (IF (|has| |#1| (-6 (-4537 "*"))) (-15 -3600 ((-635 (-680 |#1|)) (-635 (-680 |#1|)) (-918))) |noBranch|) (-15 -2650 ((-680 (-954 |#1|)) (-764))) (-15 -4453 ((-680 |#1|) (-680 |#1|) (-918))) (-15 -4453 ((-635 (-680 |#1|)) (-635 (-680 |#1|)) (-918))) (-15 -3348 ((-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -3348 ((-635 (-680 |#1|)) (-635 (-680 |#1|)) (-635 (-680 |#1|)))) (-15 -3348 ((-680 |#1|) (-680 |#1|))) (-15 -3348 ((-635 (-680 |#1|)) (-635 (-680 |#1|)))) (-15 -2003 ((-680 (-569)) (-901 (-569)) (-569))) (-15 -2003 ((-680 (-569)) (-635 (-569)))) (-15 -2003 ((-635 (-680 (-569))) (-635 (-901 (-569))) (-569))) (-15 -2003 ((-635 (-680 (-569))) (-635 (-635 (-569)))))) 
+((-2731 (((-680 |#1|) (-635 (-680 |#1|)) (-1247 |#1|)) 48 (|has| |#1| (-302)))) (-4493 (((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-1247 (-1247 |#1|))) 71 (|has| |#1| (-366))) (((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-1247 |#1|)) 69 (|has| |#1| (-366)))) (-2438 (((-1247 |#1|) (-635 (-1247 |#1|)) (-569)) 73 (-12 (|has| |#1| (-366)) (|has| |#1| (-371))))) (-3069 (((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-918)) 78 (-12 (|has| |#1| (-366)) (|has| |#1| (-371)))) (((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-121)) 76 (-12 (|has| |#1| (-366)) (|has| |#1| (-371)))) (((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|))) 75 (-12 (|has| |#1| (-366)) (|has| |#1| (-371)))) (((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-121) (-569) (-569)) 74 (-12 (|has| |#1| (-366)) (|has| |#1| (-371))))) (-1863 (((-121) (-635 (-680 |#1|))) 67 (|has| |#1| (-366))) (((-121) (-635 (-680 |#1|)) (-569)) 66 (|has| |#1| (-366)))) (-3519 (((-1247 (-1247 |#1|)) (-635 (-680 |#1|)) (-1247 |#1|)) 46 (|has| |#1| (-302)))) (-4258 (((-680 |#1|) (-635 (-680 |#1|)) (-680 |#1|)) 32)) (-1973 (((-680 |#1|) (-1247 (-1247 |#1|))) 29)) (-2666 (((-680 |#1|) (-635 (-680 |#1|)) (-635 (-680 |#1|)) (-569)) 62 (|has| |#1| (-366))) (((-680 |#1|) (-635 (-680 |#1|)) (-635 (-680 |#1|))) 61 (|has| |#1| (-366))) (((-680 |#1|) (-635 (-680 |#1|)) (-635 (-680 |#1|)) (-121) (-569)) 60 (|has| |#1| (-366))))) 
+(((-1030 |#1|) (-10 -7 (-15 -1973 ((-680 |#1|) (-1247 (-1247 |#1|)))) (-15 -4258 ((-680 |#1|) (-635 (-680 |#1|)) (-680 |#1|))) (IF (|has| |#1| (-302)) (PROGN (-15 -3519 ((-1247 (-1247 |#1|)) (-635 (-680 |#1|)) (-1247 |#1|))) (-15 -2731 ((-680 |#1|) (-635 (-680 |#1|)) (-1247 |#1|)))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-15 -2666 ((-680 |#1|) (-635 (-680 |#1|)) (-635 (-680 |#1|)) (-121) (-569))) (-15 -2666 ((-680 |#1|) (-635 (-680 |#1|)) (-635 (-680 |#1|)))) (-15 -2666 ((-680 |#1|) (-635 (-680 |#1|)) (-635 (-680 |#1|)) (-569))) (-15 -1863 ((-121) (-635 (-680 |#1|)) (-569))) (-15 -1863 ((-121) (-635 (-680 |#1|)))) (-15 -4493 ((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-1247 |#1|))) (-15 -4493 ((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-1247 (-1247 |#1|))))) |noBranch|) (IF (|has| |#1| (-371)) (IF (|has| |#1| (-366)) (PROGN (-15 -3069 ((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-121) (-569) (-569))) (-15 -3069 ((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)))) (-15 -3069 ((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-121))) (-15 -3069 ((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-918))) (-15 -2438 ((-1247 |#1|) (-635 (-1247 |#1|)) (-569)))) |noBranch|) |noBranch|)) (-1048)) (T -1030)) 
+((-2438 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1247 *5))) (-5 *4 (-569)) (-5 *2 (-1247 *5)) (-5 *1 (-1030 *5)) (-4 *5 (-366)) (-4 *5 (-371)) (-4 *5 (-1048)))) (-3069 (*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-366)) (-4 *5 (-371)) (-4 *5 (-1048)) (-5 *2 (-635 (-635 (-680 *5)))) (-5 *1 (-1030 *5)) (-5 *3 (-635 (-680 *5))))) (-3069 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-366)) (-4 *5 (-371)) (-4 *5 (-1048)) (-5 *2 (-635 (-635 (-680 *5)))) (-5 *1 (-1030 *5)) (-5 *3 (-635 (-680 *5))))) (-3069 (*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *4 (-371)) (-4 *4 (-1048)) (-5 *2 (-635 (-635 (-680 *4)))) (-5 *1 (-1030 *4)) (-5 *3 (-635 (-680 *4))))) (-3069 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-121)) (-5 *5 (-569)) (-4 *6 (-366)) (-4 *6 (-371)) (-4 *6 (-1048)) (-5 *2 (-635 (-635 (-680 *6)))) (-5 *1 (-1030 *6)) (-5 *3 (-635 (-680 *6))))) (-4493 (*1 *2 *3 *4) (-12 (-5 *4 (-1247 (-1247 *5))) (-4 *5 (-366)) (-4 *5 (-1048)) (-5 *2 (-635 (-635 (-680 *5)))) (-5 *1 (-1030 *5)) (-5 *3 (-635 (-680 *5))))) (-4493 (*1 *2 *3 *4) (-12 (-5 *4 (-1247 *5)) (-4 *5 (-366)) (-4 *5 (-1048)) (-5 *2 (-635 (-635 (-680 *5)))) (-5 *1 (-1030 *5)) (-5 *3 (-635 (-680 *5))))) (-1863 (*1 *2 *3) (-12 (-5 *3 (-635 (-680 *4))) (-4 *4 (-366)) (-4 *4 (-1048)) (-5 *2 (-121)) (-5 *1 (-1030 *4)))) (-1863 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-680 *5))) (-5 *4 (-569)) (-4 *5 (-366)) (-4 *5 (-1048)) (-5 *2 (-121)) (-5 *1 (-1030 *5)))) (-2666 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-680 *5))) (-5 *4 (-569)) (-5 *2 (-680 *5)) (-5 *1 (-1030 *5)) (-4 *5 (-366)) (-4 *5 (-1048)))) (-2666 (*1 *2 *3 *3) (-12 (-5 *3 (-635 (-680 *4))) (-5 *2 (-680 *4)) (-5 *1 (-1030 *4)) (-4 *4 (-366)) (-4 *4 (-1048)))) (-2666 (*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-635 (-680 *6))) (-5 *4 (-121)) (-5 *5 (-569)) (-5 *2 (-680 *6)) (-5 *1 (-1030 *6)) (-4 *6 (-366)) (-4 *6 (-1048)))) (-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-680 *5))) (-5 *4 (-1247 *5)) (-4 *5 (-302)) (-4 *5 (-1048)) (-5 *2 (-680 *5)) (-5 *1 (-1030 *5)))) (-3519 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-680 *5))) (-4 *5 (-302)) (-4 *5 (-1048)) (-5 *2 (-1247 (-1247 *5))) (-5 *1 (-1030 *5)) (-5 *4 (-1247 *5)))) (-4258 (*1 *2 *3 *2) (-12 (-5 *3 (-635 (-680 *4))) (-5 *2 (-680 *4)) (-4 *4 (-1048)) (-5 *1 (-1030 *4)))) (-1973 (*1 *2 *3) (-12 (-5 *3 (-1247 (-1247 *4))) (-4 *4 (-1048)) (-5 *2 (-680 *4)) (-5 *1 (-1030 *4))))) 
+(-10 -7 (-15 -1973 ((-680 |#1|) (-1247 (-1247 |#1|)))) (-15 -4258 ((-680 |#1|) (-635 (-680 |#1|)) (-680 |#1|))) (IF (|has| |#1| (-302)) (PROGN (-15 -3519 ((-1247 (-1247 |#1|)) (-635 (-680 |#1|)) (-1247 |#1|))) (-15 -2731 ((-680 |#1|) (-635 (-680 |#1|)) (-1247 |#1|)))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-15 -2666 ((-680 |#1|) (-635 (-680 |#1|)) (-635 (-680 |#1|)) (-121) (-569))) (-15 -2666 ((-680 |#1|) (-635 (-680 |#1|)) (-635 (-680 |#1|)))) (-15 -2666 ((-680 |#1|) (-635 (-680 |#1|)) (-635 (-680 |#1|)) (-569))) (-15 -1863 ((-121) (-635 (-680 |#1|)) (-569))) (-15 -1863 ((-121) (-635 (-680 |#1|)))) (-15 -4493 ((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-1247 |#1|))) (-15 -4493 ((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-1247 (-1247 |#1|))))) |noBranch|) (IF (|has| |#1| (-371)) (IF (|has| |#1| (-366)) (PROGN (-15 -3069 ((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-121) (-569) (-569))) (-15 -3069 ((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)))) (-15 -3069 ((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-121))) (-15 -3069 ((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-918))) (-15 -2438 ((-1247 |#1|) (-635 (-1247 |#1|)) (-569)))) |noBranch|) |noBranch|)) 
+((-1576 ((|#1| (-918) |#1|) 9))) 
+(((-1031 |#1|) (-10 -7 (-15 -1576 (|#1| (-918) |#1|))) (-13 (-1091) (-10 -8 (-15 -1707 ($ $ $))))) (T -1031)) 
+((-1576 (*1 *2 *3 *2) (-12 (-5 *3 (-918)) (-5 *1 (-1031 *2)) (-4 *2 (-13 (-1091) (-10 -8 (-15 -1707 ($ $ $)))))))) 
+(-10 -7 (-15 -1576 (|#1| (-918) |#1|))) 
+((-3898 (((-635 (-2 (|:| |radval| (-311 (-569))) (|:| |radmult| (-569)) (|:| |radvect| (-635 (-680 (-311 (-569))))))) (-680 (-410 (-954 (-569))))) 58)) (-4079 (((-635 (-680 (-311 (-569)))) (-311 (-569)) (-680 (-410 (-954 (-569))))) 48)) (-3658 (((-635 (-311 (-569))) (-680 (-410 (-954 (-569))))) 41)) (-3831 (((-635 (-680 (-311 (-569)))) (-680 (-410 (-954 (-569))))) 67)) (-3110 (((-680 (-311 (-569))) (-680 (-311 (-569)))) 33)) (-2080 (((-635 (-680 (-311 (-569)))) (-635 (-680 (-311 (-569))))) 61)) (-3162 (((-3 (-680 (-311 (-569))) "failed") (-680 (-410 (-954 (-569))))) 65))) 
+(((-1032) (-10 -7 (-15 -3898 ((-635 (-2 (|:| |radval| (-311 (-569))) (|:| |radmult| (-569)) (|:| |radvect| (-635 (-680 (-311 (-569))))))) (-680 (-410 (-954 (-569)))))) (-15 -4079 ((-635 (-680 (-311 (-569)))) (-311 (-569)) (-680 (-410 (-954 (-569)))))) (-15 -3658 ((-635 (-311 (-569))) (-680 (-410 (-954 (-569)))))) (-15 -3162 ((-3 (-680 (-311 (-569))) "failed") (-680 (-410 (-954 (-569)))))) (-15 -3110 ((-680 (-311 (-569))) (-680 (-311 (-569))))) (-15 -2080 ((-635 (-680 (-311 (-569)))) (-635 (-680 (-311 (-569)))))) (-15 -3831 ((-635 (-680 (-311 (-569)))) (-680 (-410 (-954 (-569)))))))) (T -1032)) 
+((-3831 (*1 *2 *3) (-12 (-5 *3 (-680 (-410 (-954 (-569))))) (-5 *2 (-635 (-680 (-311 (-569))))) (-5 *1 (-1032)))) (-2080 (*1 *2 *2) (-12 (-5 *2 (-635 (-680 (-311 (-569))))) (-5 *1 (-1032)))) (-3110 (*1 *2 *2) (-12 (-5 *2 (-680 (-311 (-569)))) (-5 *1 (-1032)))) (-3162 (*1 *2 *3) (|partial| -12 (-5 *3 (-680 (-410 (-954 (-569))))) (-5 *2 (-680 (-311 (-569)))) (-5 *1 (-1032)))) (-3658 (*1 *2 *3) (-12 (-5 *3 (-680 (-410 (-954 (-569))))) (-5 *2 (-635 (-311 (-569)))) (-5 *1 (-1032)))) (-4079 (*1 *2 *3 *4) (-12 (-5 *4 (-680 (-410 (-954 (-569))))) (-5 *2 (-635 (-680 (-311 (-569))))) (-5 *1 (-1032)) (-5 *3 (-311 (-569))))) (-3898 (*1 *2 *3) (-12 (-5 *3 (-680 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| |radval| (-311 (-569))) (|:| |radmult| (-569)) (|:| |radvect| (-635 (-680 (-311 (-569)))))))) (-5 *1 (-1032))))) 
+(-10 -7 (-15 -3898 ((-635 (-2 (|:| |radval| (-311 (-569))) (|:| |radmult| (-569)) (|:| |radvect| (-635 (-680 (-311 (-569))))))) (-680 (-410 (-954 (-569)))))) (-15 -4079 ((-635 (-680 (-311 (-569)))) (-311 (-569)) (-680 (-410 (-954 (-569)))))) (-15 -3658 ((-635 (-311 (-569))) (-680 (-410 (-954 (-569)))))) (-15 -3162 ((-3 (-680 (-311 (-569))) "failed") (-680 (-410 (-954 (-569)))))) (-15 -3110 ((-680 (-311 (-569))) (-680 (-311 (-569))))) (-15 -2080 ((-635 (-680 (-311 (-569)))) (-635 (-680 (-311 (-569)))))) (-15 -3831 ((-635 (-680 (-311 (-569)))) (-680 (-410 (-954 (-569))))))) 
+((-3358 ((|#1| |#1| (-918)) 9))) 
+(((-1033 |#1|) (-10 -7 (-15 -3358 (|#1| |#1| (-918)))) (-13 (-1091) (-10 -8 (-15 * ($ $ $))))) (T -1033)) 
+((-3358 (*1 *2 *2 *3) (-12 (-5 *3 (-918)) (-5 *1 (-1033 *2)) (-4 *2 (-13 (-1091) (-10 -8 (-15 * ($ $ $)))))))) 
+(-10 -7 (-15 -3358 (|#1| |#1| (-918)))) 
+((-2185 ((|#1| (-306)) 11) (((-1252) |#1|) 9))) 
+(((-1034 |#1|) (-10 -7 (-15 -2185 ((-1252) |#1|)) (-15 -2185 (|#1| (-306)))) (-1197)) (T -1034)) 
+((-2185 (*1 *2 *3) (-12 (-5 *3 (-306)) (-5 *1 (-1034 *2)) (-4 *2 (-1197)))) (-2185 (*1 *2 *3) (-12 (-5 *2 (-1252)) (-5 *1 (-1034 *3)) (-4 *3 (-1197))))) 
+(-10 -7 (-15 -2185 ((-1252) |#1|)) (-15 -2185 (|#1| (-306)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-1774 (($ |#4|) 25)) (-3428 (((-3 $ "failed") $) NIL)) (-1407 (((-121) $) NIL)) (-1769 ((|#4| $) 27)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 46) (($ (-569)) NIL) (($ |#1|) NIL) (($ |#4|) 26)) (-1991 (((-764)) 43)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 21 T CONST)) (-1556 (($) 23 T CONST)) (-1668 (((-121) $ $) 40)) (-1711 (($ $) 31) (($ $ $) NIL)) (-1707 (($ $ $) 29)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 36) (($ $ $) 33) (($ |#1| $) 38) (($ $ |#1|) NIL))) 
+(((-1035 |#1| |#2| |#3| |#4| |#5|) (-13 (-173) (-43 |#1|) (-10 -8 (-15 -1774 ($ |#4|)) (-15 -2185 ($ |#4|)) (-15 -1769 (|#4| $)))) (-366) (-789) (-843) (-951 |#1| |#2| |#3|) (-635 |#4|)) (T -1035)) 
+((-1774 (*1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-1035 *3 *4 *5 *2 *6)) (-4 *2 (-951 *3 *4 *5)) (-14 *6 (-635 *2)))) (-2185 (*1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-1035 *3 *4 *5 *2 *6)) (-4 *2 (-951 *3 *4 *5)) (-14 *6 (-635 *2)))) (-1769 (*1 *2 *1) (-12 (-4 *2 (-951 *3 *4 *5)) (-5 *1 (-1035 *3 *4 *5 *2 *6)) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-14 *6 (-635 *2))))) 
+(-13 (-173) (-43 |#1|) (-10 -8 (-15 -1774 ($ |#4|)) (-15 -2185 ($ |#4|)) (-15 -1769 (|#4| $)))) 
+((-2568 (((-121) $ $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091))))) (-2281 (($) NIL) (($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) NIL)) (-3112 (((-1252) $ (-1163) (-1163)) NIL (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) NIL)) (-3375 (((-121) (-121)) 39)) (-2678 (((-121) (-121)) 38)) (-4469 (((-57) $ (-1163) (-57)) NIL)) (-4216 (($ (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535)))) (-2082 (((-3 (-57) "failed") (-1163) $) NIL)) (-2820 (($) NIL T CONST)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091))))) (-4454 (($ (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) NIL (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-3 (-57) "failed") (-1163) $) NIL)) (-4347 (($ (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (($ (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $ (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (((-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $ (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535)))) (-2726 (((-57) $ (-1163) (-57)) NIL (|has| $ (-6 -4536)))) (-1618 (((-57) $ (-1163)) NIL)) (-3470 (((-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-635 (-57)) $) NIL (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-1163) $) NIL (|has| (-1163) (-843)))) (-4259 (((-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-635 (-57)) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-57) (-1091))))) (-1285 (((-1163) $) NIL (|has| (-1163) (-843)))) (-1853 (($ (-1 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4536))) (($ (-1 (-57) (-57)) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL) (($ (-1 (-57) (-57)) $) NIL) (($ (-1 (-57) (-57) (-57)) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091))))) (-2179 (((-635 (-1163)) $) 34)) (-1598 (((-121) (-1163) $) NIL)) (-3889 (((-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) NIL)) (-3172 (($ (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) NIL)) (-4166 (((-635 (-1163)) $) NIL)) (-3533 (((-121) (-1163) $) NIL)) (-3360 (((-1109) $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091))))) (-4353 (((-57) $) NIL (|has| (-1163) (-843)))) (-2502 (((-3 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) "failed") (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL)) (-3174 (($ $ (-57)) NIL (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) NIL)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))))) NIL (-12 (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (($ $ (-289 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) NIL (-12 (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (($ $ (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) NIL (-12 (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (($ $ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) NIL (-12 (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (($ $ (-635 (-57)) (-635 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1091)))) (($ $ (-57) (-57)) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1091)))) (($ $ (-289 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1091)))) (($ $ (-635 (-289 (-57)))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-57) (-1091))))) (-2691 (((-635 (-57)) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 (((-57) $ (-1163)) 35) (((-57) $ (-1163) (-57)) NIL)) (-2566 (($) NIL) (($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) NIL)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (((-764) (-57) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-57) (-1091)))) (((-764) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) NIL)) (-2185 (((-851) $) 37 (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091))))) (-2793 (($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) NIL)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091))))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-1036) (-13 (-1174 (-1163) (-57)) (-10 -7 (-15 -3375 ((-121) (-121))) (-15 -2678 ((-121) (-121))) (-6 -4535)))) (T -1036)) 
+((-3375 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1036)))) (-2678 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1036))))) 
+(-13 (-1174 (-1163) (-57)) (-10 -7 (-15 -3375 ((-121) (-121))) (-15 -2678 ((-121) (-121))) (-6 -4535))) 
+((-2428 ((|#2| $) 10))) 
+(((-1037 |#1| |#2|) (-10 -8 (-15 -2428 (|#2| |#1|))) (-1038 |#2|) (-1197)) (T -1037)) 
+NIL 
+(-10 -8 (-15 -2428 (|#2| |#1|))) 
+((-1647 (((-3 |#1| "failed") $) 7)) (-2428 ((|#1| $) 8)) (-2185 (($ |#1|) 6))) 
+(((-1038 |#1|) (-1278) (-1197)) (T -1038)) 
+((-2428 (*1 *2 *1) (-12 (-4 *1 (-1038 *2)) (-4 *2 (-1197)))) (-1647 (*1 *2 *1) (|partial| -12 (-4 *1 (-1038 *2)) (-4 *2 (-1197)))) (-2185 (*1 *1 *2) (-12 (-4 *1 (-1038 *2)) (-4 *2 (-1197))))) 
+(-13 (-10 -8 (-15 -2185 ($ |t#1|)) (-15 -1647 ((-3 |t#1| "failed") $)) (-15 -2428 (|t#1| $)))) 
+((-3205 (((-635 (-635 (-289 (-410 (-954 |#2|))))) (-635 (-954 |#2|)) (-635 (-1163))) 35))) 
+(((-1039 |#1| |#2|) (-10 -7 (-15 -3205 ((-635 (-635 (-289 (-410 (-954 |#2|))))) (-635 (-954 |#2|)) (-635 (-1163))))) (-559) (-13 (-559) (-1038 |#1|))) (T -1039)) 
+((-3205 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *6))) (-5 *4 (-635 (-1163))) (-4 *6 (-13 (-559) (-1038 *5))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *6)))))) (-5 *1 (-1039 *5 *6))))) 
+(-10 -7 (-15 -3205 ((-635 (-635 (-289 (-410 (-954 |#2|))))) (-635 (-954 |#2|)) (-635 (-1163))))) 
+((-2483 (((-382)) 15)) (-1384 (((-1 (-382)) (-382) (-382)) 20)) (-3417 (((-1 (-382)) (-764)) 42)) (-2014 (((-382)) 33)) (-2478 (((-1 (-382)) (-382) (-382)) 34)) (-2968 (((-382)) 26)) (-2545 (((-1 (-382)) (-382)) 27)) (-3207 (((-382) (-764)) 37)) (-3333 (((-1 (-382)) (-764)) 38)) (-1564 (((-1 (-382)) (-764) (-764)) 41)) (-1485 (((-1 (-382)) (-764) (-764)) 39))) 
+(((-1040) (-10 -7 (-15 -2483 ((-382))) (-15 -2014 ((-382))) (-15 -2968 ((-382))) (-15 -3207 ((-382) (-764))) (-15 -1384 ((-1 (-382)) (-382) (-382))) (-15 -2478 ((-1 (-382)) (-382) (-382))) (-15 -2545 ((-1 (-382)) (-382))) (-15 -3333 ((-1 (-382)) (-764))) (-15 -1485 ((-1 (-382)) (-764) (-764))) (-15 -1564 ((-1 (-382)) (-764) (-764))) (-15 -3417 ((-1 (-382)) (-764))))) (T -1040)) 
+((-3417 (*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1 (-382))) (-5 *1 (-1040)))) (-1564 (*1 *2 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1 (-382))) (-5 *1 (-1040)))) (-1485 (*1 *2 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1 (-382))) (-5 *1 (-1040)))) (-3333 (*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1 (-382))) (-5 *1 (-1040)))) (-2545 (*1 *2 *3) (-12 (-5 *2 (-1 (-382))) (-5 *1 (-1040)) (-5 *3 (-382)))) (-2478 (*1 *2 *3 *3) (-12 (-5 *2 (-1 (-382))) (-5 *1 (-1040)) (-5 *3 (-382)))) (-1384 (*1 *2 *3 *3) (-12 (-5 *2 (-1 (-382))) (-5 *1 (-1040)) (-5 *3 (-382)))) (-3207 (*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-382)) (-5 *1 (-1040)))) (-2968 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1040)))) (-2014 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1040)))) (-2483 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1040))))) 
+(-10 -7 (-15 -2483 ((-382))) (-15 -2014 ((-382))) (-15 -2968 ((-382))) (-15 -3207 ((-382) (-764))) (-15 -1384 ((-1 (-382)) (-382) (-382))) (-15 -2478 ((-1 (-382)) (-382) (-382))) (-15 -2545 ((-1 (-382)) (-382))) (-15 -3333 ((-1 (-382)) (-764))) (-15 -1485 ((-1 (-382)) (-764) (-764))) (-15 -1564 ((-1 (-382)) (-764) (-764))) (-15 -3417 ((-1 (-382)) (-764)))) 
+((-1743 (((-421 |#1|) |#1|) 31))) 
+(((-1041 |#1|) (-10 -7 (-15 -1743 ((-421 |#1|) |#1|))) (-1222 (-410 (-954 (-569))))) (T -1041)) 
+((-1743 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1041 *3)) (-4 *3 (-1222 (-410 (-954 (-569)))))))) 
+(-10 -7 (-15 -1743 ((-421 |#1|) |#1|))) 
+((-3567 (((-410 (-421 (-954 |#1|))) (-410 (-954 |#1|))) 14))) 
+(((-1042 |#1|) (-10 -7 (-15 -3567 ((-410 (-421 (-954 |#1|))) (-410 (-954 |#1|))))) (-302)) (T -1042)) 
+((-3567 (*1 *2 *3) (-12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-302)) (-5 *2 (-410 (-421 (-954 *4)))) (-5 *1 (-1042 *4))))) 
+(-10 -7 (-15 -3567 ((-410 (-421 (-954 |#1|))) (-410 (-954 |#1|))))) 
+((-1773 (((-635 (-1163)) (-410 (-954 |#1|))) 15)) (-1739 (((-410 (-1159 (-410 (-954 |#1|)))) (-410 (-954 |#1|)) (-1163)) 22)) (-1768 (((-410 (-954 |#1|)) (-410 (-1159 (-410 (-954 |#1|)))) (-1163)) 24)) (-1637 (((-3 (-1163) "failed") (-410 (-954 |#1|))) 18)) (-1468 (((-410 (-954 |#1|)) (-410 (-954 |#1|)) (-635 (-289 (-410 (-954 |#1|))))) 29) (((-410 (-954 |#1|)) (-410 (-954 |#1|)) (-289 (-410 (-954 |#1|)))) 31) (((-410 (-954 |#1|)) (-410 (-954 |#1|)) (-635 (-1163)) (-635 (-410 (-954 |#1|)))) 26) (((-410 (-954 |#1|)) (-410 (-954 |#1|)) (-1163) (-410 (-954 |#1|))) 27)) (-2185 (((-410 (-954 |#1|)) |#1|) 11))) 
+(((-1043 |#1|) (-10 -7 (-15 -1773 ((-635 (-1163)) (-410 (-954 |#1|)))) (-15 -1637 ((-3 (-1163) "failed") (-410 (-954 |#1|)))) (-15 -1739 ((-410 (-1159 (-410 (-954 |#1|)))) (-410 (-954 |#1|)) (-1163))) (-15 -1768 ((-410 (-954 |#1|)) (-410 (-1159 (-410 (-954 |#1|)))) (-1163))) (-15 -1468 ((-410 (-954 |#1|)) (-410 (-954 |#1|)) (-1163) (-410 (-954 |#1|)))) (-15 -1468 ((-410 (-954 |#1|)) (-410 (-954 |#1|)) (-635 (-1163)) (-635 (-410 (-954 |#1|))))) (-15 -1468 ((-410 (-954 |#1|)) (-410 (-954 |#1|)) (-289 (-410 (-954 |#1|))))) (-15 -1468 ((-410 (-954 |#1|)) (-410 (-954 |#1|)) (-635 (-289 (-410 (-954 |#1|)))))) (-15 -2185 ((-410 (-954 |#1|)) |#1|))) (-559)) (T -1043)) 
+((-2185 (*1 *2 *3) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-1043 *3)) (-4 *3 (-559)))) (-1468 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-289 (-410 (-954 *4))))) (-5 *2 (-410 (-954 *4))) (-4 *4 (-559)) (-5 *1 (-1043 *4)))) (-1468 (*1 *2 *2 *3) (-12 (-5 *3 (-289 (-410 (-954 *4)))) (-5 *2 (-410 (-954 *4))) (-4 *4 (-559)) (-5 *1 (-1043 *4)))) (-1468 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 (-1163))) (-5 *4 (-635 (-410 (-954 *5)))) (-5 *2 (-410 (-954 *5))) (-4 *5 (-559)) (-5 *1 (-1043 *5)))) (-1468 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-410 (-954 *4))) (-5 *3 (-1163)) (-4 *4 (-559)) (-5 *1 (-1043 *4)))) (-1768 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-1159 (-410 (-954 *5))))) (-5 *4 (-1163)) (-5 *2 (-410 (-954 *5))) (-5 *1 (-1043 *5)) (-4 *5 (-559)))) (-1739 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-559)) (-5 *2 (-410 (-1159 (-410 (-954 *5))))) (-5 *1 (-1043 *5)) (-5 *3 (-410 (-954 *5))))) (-1637 (*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-559)) (-5 *2 (-1163)) (-5 *1 (-1043 *4)))) (-1773 (*1 *2 *3) (-12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-559)) (-5 *2 (-635 (-1163))) (-5 *1 (-1043 *4))))) 
+(-10 -7 (-15 -1773 ((-635 (-1163)) (-410 (-954 |#1|)))) (-15 -1637 ((-3 (-1163) "failed") (-410 (-954 |#1|)))) (-15 -1739 ((-410 (-1159 (-410 (-954 |#1|)))) (-410 (-954 |#1|)) (-1163))) (-15 -1768 ((-410 (-954 |#1|)) (-410 (-1159 (-410 (-954 |#1|)))) (-1163))) (-15 -1468 ((-410 (-954 |#1|)) (-410 (-954 |#1|)) (-1163) (-410 (-954 |#1|)))) (-15 -1468 ((-410 (-954 |#1|)) (-410 (-954 |#1|)) (-635 (-1163)) (-635 (-410 (-954 |#1|))))) (-15 -1468 ((-410 (-954 |#1|)) (-410 (-954 |#1|)) (-289 (-410 (-954 |#1|))))) (-15 -1468 ((-410 (-954 |#1|)) (-410 (-954 |#1|)) (-635 (-289 (-410 (-954 |#1|)))))) (-15 -2185 ((-410 (-954 |#1|)) |#1|))) 
+((-2573 (((-635 |#1|) (-635 |#1|)) 45)) (-3273 (((-635 |#1|)) 9)) (-3955 (((-2 (|:| |zeros| (-635 |#1|)) (|:| -4053 (-569))) (-1159 |#1|) |#1|) 19)) (-1976 (((-2 (|:| |zeros| (-635 |#1|)) (|:| -4053 (-569))) (-635 (-1159 |#1|)) |#1|) 37))) 
+(((-1044 |#1|) (-10 -7 (-15 -3955 ((-2 (|:| |zeros| (-635 |#1|)) (|:| -4053 (-569))) (-1159 |#1|) |#1|)) (-15 -1976 ((-2 (|:| |zeros| (-635 |#1|)) (|:| -4053 (-569))) (-635 (-1159 |#1|)) |#1|)) (-15 -3273 ((-635 |#1|))) (-15 -2573 ((-635 |#1|) (-635 |#1|)))) (-366)) (T -1044)) 
+((-2573 (*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-5 *1 (-1044 *3)))) (-3273 (*1 *2) (-12 (-5 *2 (-635 *3)) (-5 *1 (-1044 *3)) (-4 *3 (-366)))) (-1976 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1159 *4))) (-4 *4 (-366)) (-5 *2 (-2 (|:| |zeros| (-635 *4)) (|:| -4053 (-569)))) (-5 *1 (-1044 *4)))) (-3955 (*1 *2 *3 *4) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-366)) (-5 *2 (-2 (|:| |zeros| (-635 *4)) (|:| -4053 (-569)))) (-5 *1 (-1044 *4))))) 
+(-10 -7 (-15 -3955 ((-2 (|:| |zeros| (-635 |#1|)) (|:| -4053 (-569))) (-1159 |#1|) |#1|)) (-15 -1976 ((-2 (|:| |zeros| (-635 |#1|)) (|:| -4053 (-569))) (-635 (-1159 |#1|)) |#1|)) (-15 -3273 ((-635 |#1|))) (-15 -2573 ((-635 |#1|) (-635 |#1|)))) 
+((-2568 (((-121) $ $) NIL)) (-3839 (((-635 (-2 (|:| -3585 $) (|:| -3230 (-635 (-776 |#1| (-853 |#2|)))))) (-635 (-776 |#1| (-853 |#2|)))) NIL)) (-4426 (((-635 $) (-635 (-776 |#1| (-853 |#2|)))) NIL) (((-635 $) (-635 (-776 |#1| (-853 |#2|))) (-121)) NIL) (((-635 $) (-635 (-776 |#1| (-853 |#2|))) (-121) (-121)) NIL)) (-1773 (((-635 (-853 |#2|)) $) NIL)) (-3008 (((-121) $) NIL)) (-3625 (((-121) $) NIL (|has| |#1| (-559)))) (-2061 (((-121) (-776 |#1| (-853 |#2|)) $) NIL) (((-121) $) NIL)) (-3982 (((-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)) $) NIL)) (-2004 (((-635 (-2 (|:| |val| (-776 |#1| (-853 |#2|))) (|:| -4003 $))) (-776 |#1| (-853 |#2|)) $) NIL)) (-3113 (((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ (-853 |#2|)) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-1962 (($ (-1 (-121) (-776 |#1| (-853 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-3 (-776 |#1| (-853 |#2|)) "failed") $ (-853 |#2|)) NIL)) (-2820 (($) NIL T CONST)) (-4162 (((-121) $) NIL (|has| |#1| (-559)))) (-2716 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3532 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2398 (((-121) $) NIL (|has| |#1| (-559)))) (-3694 (((-635 (-776 |#1| (-853 |#2|))) (-635 (-776 |#1| (-853 |#2|))) $ (-1 (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|))) (-1 (-121) (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)))) NIL)) (-4318 (((-635 (-776 |#1| (-853 |#2|))) (-635 (-776 |#1| (-853 |#2|))) $) NIL (|has| |#1| (-559)))) (-1322 (((-635 (-776 |#1| (-853 |#2|))) (-635 (-776 |#1| (-853 |#2|))) $) NIL (|has| |#1| (-559)))) (-1647 (((-3 $ "failed") (-635 (-776 |#1| (-853 |#2|)))) NIL)) (-2428 (($ (-635 (-776 |#1| (-853 |#2|)))) NIL)) (-2046 (((-3 $ "failed") $) NIL)) (-4407 (((-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)) $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-776 |#1| (-853 |#2|)) (-1091))))) (-4347 (($ (-776 |#1| (-853 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-776 |#1| (-853 |#2|)) (-1091)))) (($ (-1 (-121) (-776 |#1| (-853 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1830 (((-2 (|:| |rnum| |#1|) (|:| |polnum| (-776 |#1| (-853 |#2|))) (|:| |den| |#1|)) (-776 |#1| (-853 |#2|)) $) NIL (|has| |#1| (-559)))) (-3255 (((-121) (-776 |#1| (-853 |#2|)) $ (-1 (-121) (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)))) NIL)) (-2045 (((-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)) $) NIL)) (-1774 (((-776 |#1| (-853 |#2|)) (-1 (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|))) $ (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-776 |#1| (-853 |#2|)) (-1091)))) (((-776 |#1| (-853 |#2|)) (-1 (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|))) $ (-776 |#1| (-853 |#2|))) NIL (|has| $ (-6 -4535))) (((-776 |#1| (-853 |#2|)) (-1 (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)) $ (-1 (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|))) (-1 (-121) (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)))) NIL)) (-4038 (((-2 (|:| -3585 (-635 (-776 |#1| (-853 |#2|)))) (|:| -3230 (-635 (-776 |#1| (-853 |#2|))))) $) NIL)) (-1658 (((-121) (-776 |#1| (-853 |#2|)) $) NIL)) (-3903 (((-121) (-776 |#1| (-853 |#2|)) $) NIL)) (-3617 (((-121) (-776 |#1| (-853 |#2|)) $) NIL) (((-121) $) NIL)) (-3470 (((-635 (-776 |#1| (-853 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-3977 (((-121) (-776 |#1| (-853 |#2|)) $) NIL) (((-121) $) NIL)) (-4357 (((-853 |#2|) $) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 (-776 |#1| (-853 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-776 |#1| (-853 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-776 |#1| (-853 |#2|)) (-1091))))) (-1853 (($ (-1 (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|))) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|))) $) NIL)) (-1833 (((-635 (-853 |#2|)) $) NIL)) (-2760 (((-121) (-853 |#2|) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-2870 (((-3 (-776 |#1| (-853 |#2|)) (-635 $)) (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)) $) NIL)) (-3988 (((-635 (-2 (|:| |val| (-776 |#1| (-853 |#2|))) (|:| -4003 $))) (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)) $) NIL)) (-4213 (((-3 (-776 |#1| (-853 |#2|)) "failed") $) NIL)) (-2482 (((-635 $) (-776 |#1| (-853 |#2|)) $) NIL)) (-3730 (((-3 (-121) (-635 $)) (-776 |#1| (-853 |#2|)) $) NIL)) (-2253 (((-635 (-2 (|:| |val| (-121)) (|:| -4003 $))) (-776 |#1| (-853 |#2|)) $) NIL) (((-121) (-776 |#1| (-853 |#2|)) $) NIL)) (-2652 (((-635 $) (-776 |#1| (-853 |#2|)) $) NIL) (((-635 $) (-635 (-776 |#1| (-853 |#2|))) $) NIL) (((-635 $) (-635 (-776 |#1| (-853 |#2|))) (-635 $)) NIL) (((-635 $) (-776 |#1| (-853 |#2|)) (-635 $)) NIL)) (-3897 (($ (-776 |#1| (-853 |#2|)) $) NIL) (($ (-635 (-776 |#1| (-853 |#2|))) $) NIL)) (-2515 (((-635 (-776 |#1| (-853 |#2|))) $) NIL)) (-3409 (((-121) (-776 |#1| (-853 |#2|)) $) NIL) (((-121) $) NIL)) (-3005 (((-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)) $) NIL)) (-2673 (((-121) $ $) NIL)) (-2439 (((-2 (|:| |num| (-776 |#1| (-853 |#2|))) (|:| |den| |#1|)) (-776 |#1| (-853 |#2|)) $) NIL (|has| |#1| (-559)))) (-4310 (((-121) (-776 |#1| (-853 |#2|)) $) NIL) (((-121) $) NIL)) (-2533 (((-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)) $) NIL)) (-3360 (((-1109) $) NIL)) (-4353 (((-3 (-776 |#1| (-853 |#2|)) "failed") $) NIL)) (-2502 (((-3 (-776 |#1| (-853 |#2|)) "failed") (-1 (-121) (-776 |#1| (-853 |#2|))) $) NIL)) (-1913 (((-3 $ "failed") $ (-776 |#1| (-853 |#2|))) NIL)) (-3499 (($ $ (-776 |#1| (-853 |#2|))) NIL) (((-635 $) (-776 |#1| (-853 |#2|)) $) NIL) (((-635 $) (-776 |#1| (-853 |#2|)) (-635 $)) NIL) (((-635 $) (-635 (-776 |#1| (-853 |#2|))) $) NIL) (((-635 $) (-635 (-776 |#1| (-853 |#2|))) (-635 $)) NIL)) (-4177 (((-121) (-1 (-121) (-776 |#1| (-853 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-776 |#1| (-853 |#2|))) (-635 (-776 |#1| (-853 |#2|)))) NIL (-12 (|has| (-776 |#1| (-853 |#2|)) (-304 (-776 |#1| (-853 |#2|)))) (|has| (-776 |#1| (-853 |#2|)) (-1091)))) (($ $ (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|))) NIL (-12 (|has| (-776 |#1| (-853 |#2|)) (-304 (-776 |#1| (-853 |#2|)))) (|has| (-776 |#1| (-853 |#2|)) (-1091)))) (($ $ (-289 (-776 |#1| (-853 |#2|)))) NIL (-12 (|has| (-776 |#1| (-853 |#2|)) (-304 (-776 |#1| (-853 |#2|)))) (|has| (-776 |#1| (-853 |#2|)) (-1091)))) (($ $ (-635 (-289 (-776 |#1| (-853 |#2|))))) NIL (-12 (|has| (-776 |#1| (-853 |#2|)) (-304 (-776 |#1| (-853 |#2|)))) (|has| (-776 |#1| (-853 |#2|)) (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-2492 (((-764) $) NIL)) (-2846 (((-764) (-776 |#1| (-853 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-776 |#1| (-853 |#2|)) (-1091)))) (((-764) (-1 (-121) (-776 |#1| (-853 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-776 |#1| (-853 |#2|)) (-610 (-542))))) (-2139 (($ (-635 (-776 |#1| (-853 |#2|)))) NIL)) (-4201 (($ $ (-853 |#2|)) NIL)) (-3460 (($ $ (-853 |#2|)) NIL)) (-4208 (($ $) NIL)) (-2630 (($ $ (-853 |#2|)) NIL)) (-2185 (((-851) $) NIL) (((-635 (-776 |#1| (-853 |#2|))) $) NIL)) (-3435 (((-764) $) NIL (|has| (-853 |#2|) (-371)))) (-1702 (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 (-776 |#1| (-853 |#2|))))) "failed") (-635 (-776 |#1| (-853 |#2|))) (-1 (-121) (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)))) NIL) (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 (-776 |#1| (-853 |#2|))))) "failed") (-635 (-776 |#1| (-853 |#2|))) (-1 (-121) (-776 |#1| (-853 |#2|))) (-1 (-121) (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)))) NIL)) (-3321 (((-121) $ (-1 (-121) (-776 |#1| (-853 |#2|)) (-635 (-776 |#1| (-853 |#2|))))) NIL)) (-4455 (((-635 $) (-776 |#1| (-853 |#2|)) $) NIL) (((-635 $) (-776 |#1| (-853 |#2|)) (-635 $)) NIL) (((-635 $) (-635 (-776 |#1| (-853 |#2|))) $) NIL) (((-635 $) (-635 (-776 |#1| (-853 |#2|))) (-635 $)) NIL)) (-2066 (((-121) (-1 (-121) (-776 |#1| (-853 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-3502 (((-635 (-853 |#2|)) $) NIL)) (-4060 (((-121) (-776 |#1| (-853 |#2|)) $) NIL)) (-3673 (((-121) (-853 |#2|) $) NIL)) (-1668 (((-121) $ $) NIL)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-1045 |#1| |#2|) (-13 (-1067 |#1| (-535 (-853 |#2|)) (-853 |#2|) (-776 |#1| (-853 |#2|))) (-10 -8 (-15 -4426 ((-635 $) (-635 (-776 |#1| (-853 |#2|))) (-121) (-121))))) (-454) (-635 (-1163))) (T -1045)) 
+((-4426 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-776 *5 (-853 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-1045 *5 *6))) (-5 *1 (-1045 *5 *6))))) 
+(-13 (-1067 |#1| (-535 (-853 |#2|)) (-853 |#2|) (-776 |#1| (-853 |#2|))) (-10 -8 (-15 -4426 ((-635 $) (-635 (-776 |#1| (-853 |#2|))) (-121) (-121))))) 
+((-1384 (((-1 (-569)) (-1085 (-569))) 33)) (-3416 (((-569) (-569) (-569) (-569) (-569)) 30)) (-4498 (((-1 (-569)) |RationalNumber|) NIL)) (-2288 (((-1 (-569)) |RationalNumber|) NIL)) (-4248 (((-1 (-569)) (-569) |RationalNumber|) NIL))) 
+(((-1046) (-10 -7 (-15 -1384 ((-1 (-569)) (-1085 (-569)))) (-15 -4248 ((-1 (-569)) (-569) |RationalNumber|)) (-15 -4498 ((-1 (-569)) |RationalNumber|)) (-15 -2288 ((-1 (-569)) |RationalNumber|)) (-15 -3416 ((-569) (-569) (-569) (-569) (-569))))) (T -1046)) 
+((-3416 (*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1046)))) (-2288 (*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-569))) (-5 *1 (-1046)))) (-4498 (*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-569))) (-5 *1 (-1046)))) (-4248 (*1 *2 *3 *4) (-12 (-5 *4 |RationalNumber|) (-5 *2 (-1 (-569))) (-5 *1 (-1046)) (-5 *3 (-569)))) (-1384 (*1 *2 *3) (-12 (-5 *3 (-1085 (-569))) (-5 *2 (-1 (-569))) (-5 *1 (-1046))))) 
+(-10 -7 (-15 -1384 ((-1 (-569)) (-1085 (-569)))) (-15 -4248 ((-1 (-569)) (-569) |RationalNumber|)) (-15 -4498 ((-1 (-569)) |RationalNumber|)) (-15 -2288 ((-1 (-569)) |RationalNumber|)) (-15 -3416 ((-569) (-569) (-569) (-569) (-569)))) 
+((-2185 (((-851) $) NIL) (($ (-569)) 10))) 
+(((-1047 |#1|) (-10 -8 (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) (-1048)) (T -1047)) 
+NIL 
+(-10 -8 (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ (-569)) 27)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-1048) (-1278)) (T -1048)) 
+((-1991 (*1 *2) (-12 (-4 *1 (-1048)) (-5 *2 (-764)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1048))))) 
+(-13 (-1055) (-717) (-638 $) (-10 -8 (-15 -1991 ((-764))) (-15 -2185 ($ (-569))) (-6 -4532))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 $) . T) ((-717) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-2479 (((-410 (-954 |#2|)) (-635 |#2|) (-635 |#2|) (-764) (-764)) 45))) 
+(((-1049 |#1| |#2|) (-10 -7 (-15 -2479 ((-410 (-954 |#2|)) (-635 |#2|) (-635 |#2|) (-764) (-764)))) (-1163) (-366)) (T -1049)) 
+((-2479 (*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-764)) (-4 *6 (-366)) (-5 *2 (-410 (-954 *6))) (-5 *1 (-1049 *5 *6)) (-14 *5 (-1163))))) 
+(-10 -7 (-15 -2479 ((-410 (-954 |#2|)) (-635 |#2|) (-635 |#2|) (-764) (-764)))) 
+((-4144 (((-121) $) 27)) (-3569 (((-121) $) 16)) (-1810 (((-764) $) 13)) (-2806 (((-764) $) 14)) (-2584 (((-121) $) 25)) (-2256 (((-121) $) 29))) 
+(((-1050 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -8 (-15 -2806 ((-764) |#1|)) (-15 -1810 ((-764) |#1|)) (-15 -2256 ((-121) |#1|)) (-15 -4144 ((-121) |#1|)) (-15 -2584 ((-121) |#1|)) (-15 -3569 ((-121) |#1|))) (-1051 |#2| |#3| |#4| |#5| |#6|) (-764) (-764) (-1048) (-231 |#3| |#4|) (-231 |#2| |#4|)) (T -1050)) 
+NIL 
+(-10 -8 (-15 -2806 ((-764) |#1|)) (-15 -1810 ((-764) |#1|)) (-15 -2256 ((-121) |#1|)) (-15 -4144 ((-121) |#1|)) (-15 -2584 ((-121) |#1|)) (-15 -3569 ((-121) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-4144 (((-121) $) 48)) (-2327 (((-3 $ "failed") $ $) 18)) (-3569 (((-121) $) 50)) (-1691 (((-121) $ (-764)) 58)) (-2820 (($) 16 T CONST)) (-4036 (($ $) 31 (|has| |#3| (-302)))) (-1765 ((|#4| $ (-569)) 36)) (-1321 (((-764) $) 30 (|has| |#3| (-559)))) (-1618 ((|#3| $ (-569) (-569)) 38)) (-3470 (((-635 |#3|) $) 65 (|has| $ (-6 -4535)))) (-3695 (((-764) $) 29 (|has| |#3| (-559)))) (-3645 (((-635 |#5|) $) 28 (|has| |#3| (-559)))) (-1810 (((-764) $) 42)) (-2806 (((-764) $) 41)) (-1974 (((-121) $ (-764)) 57)) (-3992 (((-569) $) 46)) (-3127 (((-569) $) 44)) (-4259 (((-635 |#3|) $) 66 (|has| $ (-6 -4535)))) (-3660 (((-121) |#3| $) 68 (-12 (|has| |#3| (-1091)) (|has| $ (-6 -4535))))) (-1866 (((-569) $) 45)) (-1581 (((-569) $) 43)) (-1483 (($ (-635 (-635 |#3|))) 51)) (-1853 (($ (-1 |#3| |#3|) $) 61 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#3| |#3|) $) 60) (($ (-1 |#3| |#3| |#3|) $ $) 34)) (-2550 (((-635 (-635 |#3|)) $) 40)) (-2006 (((-121) $ (-764)) 56)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2941 (((-3 $ "failed") $ |#3|) 33 (|has| |#3| (-559)))) (-4177 (((-121) (-1 (-121) |#3|) $) 63 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#3|) (-635 |#3|)) 72 (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) (($ $ |#3| |#3|) 71 (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) (($ $ (-289 |#3|)) 70 (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) (($ $ (-635 (-289 |#3|))) 69 (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091))))) (-3137 (((-121) $ $) 52)) (-1601 (((-121) $) 55)) (-1296 (($) 54)) (-1534 ((|#3| $ (-569) (-569)) 39) ((|#3| $ (-569) (-569) |#3|) 37)) (-2584 (((-121) $) 49)) (-2846 (((-764) |#3| $) 67 (-12 (|has| |#3| (-1091)) (|has| $ (-6 -4535)))) (((-764) (-1 (-121) |#3|) $) 64 (|has| $ (-6 -4535)))) (-1971 (($ $) 53)) (-3419 ((|#5| $ (-569)) 35)) (-2185 (((-851) $) 11)) (-2066 (((-121) (-1 (-121) |#3|) $) 62 (|has| $ (-6 -4535)))) (-2256 (((-121) $) 47)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#3|) 32 (|has| |#3| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ |#3| $) 22) (($ $ |#3|) 24)) (-4168 (((-764) $) 59 (|has| $ (-6 -4535))))) 
+(((-1051 |#1| |#2| |#3| |#4| |#5|) (-1278) (-764) (-764) (-1048) (-231 |t#2| |t#3|) (-231 |t#1| |t#3|)) (T -1051)) 
+((-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *5 *5)) (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)))) (-1483 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *5))) (-4 *5 (-1048)) (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)))) (-3569 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121)))) (-2584 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121)))) (-4144 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121)))) (-2256 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121)))) (-3992 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569)))) (-1866 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569)))) (-3127 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569)))) (-1581 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569)))) (-1810 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-764)))) (-2806 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-764)))) (-2550 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-635 (-635 *5))))) (-1534 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1051 *4 *5 *2 *6 *7)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)) (-4 *2 (-1048)))) (-1618 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1051 *4 *5 *2 *6 *7)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)) (-4 *2 (-1048)))) (-1534 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-1051 *4 *5 *2 *6 *7)) (-4 *2 (-1048)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)))) (-1765 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1051 *4 *5 *6 *2 *7)) (-4 *6 (-1048)) (-4 *7 (-231 *4 *6)) (-4 *2 (-231 *5 *6)))) (-3419 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1051 *4 *5 *6 *7 *2)) (-4 *6 (-1048)) (-4 *7 (-231 *5 *6)) (-4 *2 (-231 *4 *6)))) (-1544 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *5 *5 *5)) (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)))) (-2941 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1051 *3 *4 *2 *5 *6)) (-4 *2 (-1048)) (-4 *5 (-231 *4 *2)) (-4 *6 (-231 *3 *2)) (-4 *2 (-559)))) (-1715 (*1 *1 *1 *2) (-12 (-4 *1 (-1051 *3 *4 *2 *5 *6)) (-4 *2 (-1048)) (-4 *5 (-231 *4 *2)) (-4 *6 (-231 *3 *2)) (-4 *2 (-366)))) (-4036 (*1 *1 *1) (-12 (-4 *1 (-1051 *2 *3 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *2 *4)) (-4 *4 (-302)))) (-1321 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-559)) (-5 *2 (-764)))) (-3695 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-559)) (-5 *2 (-764)))) (-3645 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-559)) (-5 *2 (-635 *7))))) 
+(-13 (-120 |t#3| |t#3|) (-500 |t#3|) (-10 -8 (-6 -4535) (IF (|has| |t#3| (-173)) (-6 (-708 |t#3|)) |noBranch|) (-15 -1483 ($ (-635 (-635 |t#3|)))) (-15 -3569 ((-121) $)) (-15 -2584 ((-121) $)) (-15 -4144 ((-121) $)) (-15 -2256 ((-121) $)) (-15 -3992 ((-569) $)) (-15 -1866 ((-569) $)) (-15 -3127 ((-569) $)) (-15 -1581 ((-569) $)) (-15 -1810 ((-764) $)) (-15 -2806 ((-764) $)) (-15 -2550 ((-635 (-635 |t#3|)) $)) (-15 -1534 (|t#3| $ (-569) (-569))) (-15 -1618 (|t#3| $ (-569) (-569))) (-15 -1534 (|t#3| $ (-569) (-569) |t#3|)) (-15 -1765 (|t#4| $ (-569))) (-15 -3419 (|t#5| $ (-569))) (-15 -1544 ($ (-1 |t#3| |t#3|) $)) (-15 -1544 ($ (-1 |t#3| |t#3| |t#3|) $ $)) (IF (|has| |t#3| (-559)) (-15 -2941 ((-3 $ "failed") $ |t#3|)) |noBranch|) (IF (|has| |t#3| (-366)) (-15 -1715 ($ $ |t#3|)) |noBranch|) (IF (|has| |t#3| (-302)) (-15 -4036 ($ $)) |noBranch|) (IF (|has| |t#3| (-559)) (PROGN (-15 -1321 ((-764) $)) (-15 -3695 ((-764) $)) (-15 -3645 ((-635 |t#5|) $))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-39) . T) ((-105) . T) ((-120 |#3| |#3|) . T) ((-138) . T) ((-609 (-851)) . T) ((-304 |#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091))) ((-500 |#3|) . T) ((-524 |#3| |#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091))) ((-638 |#3|) . T) ((-708 |#3|) |has| |#3| (-173)) ((-1054 |#3|) . T) ((-1091) . T) ((-1197) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-4144 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3569 (((-121) $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-2820 (($) NIL T CONST)) (-4036 (($ $) 40 (|has| |#3| (-302)))) (-1765 (((-233 |#2| |#3|) $ (-569)) 29)) (-4130 (($ (-680 |#3|)) 38)) (-1321 (((-764) $) 42 (|has| |#3| (-559)))) (-1618 ((|#3| $ (-569) (-569)) NIL)) (-3470 (((-635 |#3|) $) NIL (|has| $ (-6 -4535)))) (-3695 (((-764) $) 44 (|has| |#3| (-559)))) (-3645 (((-635 (-233 |#1| |#3|)) $) 48 (|has| |#3| (-559)))) (-1810 (((-764) $) NIL)) (-2806 (((-764) $) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3992 (((-569) $) NIL)) (-3127 (((-569) $) NIL)) (-4259 (((-635 |#3|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#3| (-1091))))) (-1866 (((-569) $) NIL)) (-1581 (((-569) $) NIL)) (-1483 (($ (-635 (-635 |#3|))) 24)) (-1853 (($ (-1 |#3| |#3|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#3| |#3|) $) NIL) (($ (-1 |#3| |#3| |#3|) $ $) NIL)) (-2550 (((-635 (-635 |#3|)) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2941 (((-3 $ "failed") $ |#3|) NIL (|has| |#3| (-559)))) (-4177 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#3|) (-635 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) (($ $ |#3| |#3|) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) (($ $ (-289 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) (($ $ (-635 (-289 |#3|))) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#3| $ (-569) (-569)) NIL) ((|#3| $ (-569) (-569) |#3|) NIL)) (-2369 (((-140)) 51 (|has| |#3| (-366)))) (-2584 (((-121) $) NIL)) (-2846 (((-764) |#3| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#3| (-1091)))) (((-764) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) 60 (|has| |#3| (-610 (-542))))) (-3419 (((-233 |#1| |#3|) $ (-569)) 33)) (-2185 (((-851) $) 16) (((-680 |#3|) $) 35)) (-2066 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4535)))) (-2256 (((-121) $) NIL)) (-3369 (($) 13 T CONST)) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ |#3|) NIL (|has| |#3| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ |#3| $) NIL) (($ $ |#3|) NIL)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-1052 |#1| |#2| |#3|) (-13 (-1051 |#1| |#2| |#3| (-233 |#2| |#3|) (-233 |#1| |#3|)) (-609 (-680 |#3|)) (-10 -8 (IF (|has| |#3| (-366)) (-6 (-1254 |#3|)) |noBranch|) (IF (|has| |#3| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (-15 -4130 ($ (-680 |#3|))) (-15 -2185 ((-680 |#3|) $)))) (-764) (-764) (-1048)) (T -1052)) 
+((-2185 (*1 *2 *1) (-12 (-5 *2 (-680 *5)) (-5 *1 (-1052 *3 *4 *5)) (-14 *3 (-764)) (-14 *4 (-764)) (-4 *5 (-1048)))) (-4130 (*1 *1 *2) (-12 (-5 *2 (-680 *5)) (-4 *5 (-1048)) (-5 *1 (-1052 *3 *4 *5)) (-14 *3 (-764)) (-14 *4 (-764))))) 
+(-13 (-1051 |#1| |#2| |#3| (-233 |#2| |#3|) (-233 |#1| |#3|)) (-609 (-680 |#3|)) (-10 -8 (IF (|has| |#3| (-366)) (-6 (-1254 |#3|)) |noBranch|) (IF (|has| |#3| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (-15 -4130 ($ (-680 |#3|))) (-15 -2185 ((-680 |#3|) $)))) 
+((-1774 ((|#7| (-1 |#7| |#3| |#7|) |#6| |#7|) 34)) (-1544 ((|#10| (-1 |#7| |#3|) |#6|) 32))) 
+(((-1053 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10|) (-10 -7 (-15 -1544 (|#10| (-1 |#7| |#3|) |#6|)) (-15 -1774 (|#7| (-1 |#7| |#3| |#7|) |#6| |#7|))) (-764) (-764) (-1048) (-231 |#2| |#3|) (-231 |#1| |#3|) (-1051 |#1| |#2| |#3| |#4| |#5|) (-1048) (-231 |#2| |#7|) (-231 |#1| |#7|) (-1051 |#1| |#2| |#7| |#8| |#9|)) (T -1053)) 
+((-1774 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *7 *2)) (-4 *7 (-1048)) (-4 *2 (-1048)) (-14 *5 (-764)) (-14 *6 (-764)) (-4 *8 (-231 *6 *7)) (-4 *9 (-231 *5 *7)) (-4 *10 (-231 *6 *2)) (-4 *11 (-231 *5 *2)) (-5 *1 (-1053 *5 *6 *7 *8 *9 *4 *2 *10 *11 *12)) (-4 *4 (-1051 *5 *6 *7 *8 *9)) (-4 *12 (-1051 *5 *6 *2 *10 *11)))) (-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *10 *7)) (-4 *7 (-1048)) (-4 *10 (-1048)) (-14 *5 (-764)) (-14 *6 (-764)) (-4 *8 (-231 *6 *7)) (-4 *9 (-231 *5 *7)) (-4 *2 (-1051 *5 *6 *10 *11 *12)) (-5 *1 (-1053 *5 *6 *7 *8 *9 *4 *10 *11 *12 *2)) (-4 *4 (-1051 *5 *6 *7 *8 *9)) (-4 *11 (-231 *6 *10)) (-4 *12 (-231 *5 *10))))) 
+(-10 -7 (-15 -1544 (|#10| (-1 |#7| |#3|) |#6|)) (-15 -1774 (|#7| (-1 |#7| |#3| |#7|) |#6| |#7|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ |#1|) 22))) 
+(((-1054 |#1|) (-1278) (-1055)) (T -1054)) 
+((* (*1 *1 *1 *2) (-12 (-4 *1 (-1054 *2)) (-4 *2 (-1055))))) 
 (-13 (-21) (-10 -8 (-15 * ($ $ |t#1|)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-137) . T) ((-608 (-850)) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-1889 (($ $ (-917)) 25)) (-3058 (($) 17 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23))) 
-(((-1054) (-1275)) (T -1054)) 
-NIL 
-(-13 (-21) (-1102)) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-137) . T) ((-608 (-850)) . T) ((-1102) . T) ((-1090) . T)) 
-((-4179 (($ $) 16)) (-2252 (($ $) 22)) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) 49)) (-4417 (($ $) 24)) (-1999 (($ $) 11)) (-4115 (($ $) 38)) (-4280 (((-381) $) NIL) (((-215) $) NIL) (((-887 (-381)) $) 33)) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ $) NIL) (($ (-409 (-568))) 28) (($ (-568)) NIL) (($ (-409 (-568))) 28)) (-3425 (((-763)) 8)) (-3520 (($ $) 39))) 
-(((-1055 |#1|) (-10 -8 (-15 -2252 (|#1| |#1|)) (-15 -4179 (|#1| |#1|)) (-15 -1999 (|#1| |#1|)) (-15 -4115 (|#1| |#1|)) (-15 -3520 (|#1| |#1|)) (-15 -4417 (|#1| |#1|)) (-15 -1519 ((-884 (-381) |#1|) |#1| (-887 (-381)) (-884 (-381) |#1|))) (-15 -4280 ((-887 (-381)) |#1|)) (-15 -2747 (|#1| (-409 (-568)))) (-15 -2747 (|#1| (-568))) (-15 -4280 ((-215) |#1|)) (-15 -4280 ((-381) |#1|)) (-15 -2747 (|#1| (-409 (-568)))) (-15 -2747 (|#1| |#1|)) (-15 -2747 (|#1| (-568))) (-15 -3425 ((-763))) (-15 -2747 ((-850) |#1|))) (-1056)) (T -1055)) 
-((-3425 (*1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-1055 *3)) (-4 *3 (-1056))))) 
-(-10 -8 (-15 -2252 (|#1| |#1|)) (-15 -4179 (|#1| |#1|)) (-15 -1999 (|#1| |#1|)) (-15 -4115 (|#1| |#1|)) (-15 -3520 (|#1| |#1|)) (-15 -4417 (|#1| |#1|)) (-15 -1519 ((-884 (-381) |#1|) |#1| (-887 (-381)) (-884 (-381) |#1|))) (-15 -4280 ((-887 (-381)) |#1|)) (-15 -2747 (|#1| (-409 (-568)))) (-15 -2747 (|#1| (-568))) (-15 -4280 ((-215) |#1|)) (-15 -4280 ((-381) |#1|)) (-15 -2747 (|#1| (-409 (-568)))) (-15 -2747 (|#1| |#1|)) (-15 -2747 (|#1| (-568))) (-15 -3425 ((-763))) (-15 -2747 ((-850) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2563 (((-568) $) 85)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 40)) (-3661 (($ $) 39)) (-4426 (((-121) $) 37)) (-4179 (($ $) 83)) (-2689 (((-3 $ "failed") $ $) 18)) (-3045 (($ $) 71)) (-3498 (((-420 $) $) 70)) (-1904 (($ $) 93)) (-2589 (((-121) $ $) 57)) (-3337 (((-568) $) 110)) (-4490 (($) 16 T CONST)) (-2252 (($ $) 82)) (-3668 (((-3 (-568) "failed") $) 98) (((-3 (-409 (-568)) "failed") $) 95)) (-2857 (((-568) $) 97) (((-409 (-568)) $) 94)) (-2403 (($ $ $) 53)) (-2902 (((-3 $ "failed") $) 33)) (-2414 (($ $ $) 54)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 49)) (-2197 (((-121) $) 69)) (-1436 (((-121) $) 108)) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) 89)) (-1598 (((-121) $) 30)) (-1550 (($ $ (-568)) 92)) (-4417 (($ $) 88)) (-2859 (((-121) $) 109)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 50)) (-1732 (($ $ $) 107)) (-2047 (($ $ $) 106)) (-2498 (($ $ $) 45) (($ (-634 $)) 44)) (-1893 (((-1143) $) 9)) (-2083 (($ $) 68)) (-4025 (((-1108) $) 10)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 43)) (-2723 (($ $ $) 47) (($ (-634 $)) 46)) (-1999 (($ $) 84)) (-4115 (($ $) 86)) (-3850 (((-420 $) $) 72)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2597 (((-3 $ "failed") $ $) 41)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 48)) (-1466 (((-763) $) 56)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 55)) (-4280 (((-381) $) 101) (((-215) $) 100) (((-887 (-381)) $) 90)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ $) 42) (($ (-409 (-568))) 63) (($ (-568)) 99) (($ (-409 (-568))) 96)) (-3425 (((-763)) 28)) (-3520 (($ $) 87)) (-2273 (((-121) $ $) 38)) (-2811 (($ $) 111)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32) (($ $ (-568)) 67)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1753 (((-121) $ $) 104)) (-1740 (((-121) $ $) 103)) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 105)) (-1734 (((-121) $ $) 102)) (-1781 (($ $ $) 62)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ (-568)) 66) (($ $ (-409 (-568))) 91)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ (-409 (-568))) 65) (($ (-409 (-568)) $) 64))) 
-(((-1056) (-1275)) (T -1056)) 
-((-2811 (*1 *1 *1) (-4 *1 (-1056))) (-4417 (*1 *1 *1) (-4 *1 (-1056))) (-3520 (*1 *1 *1) (-4 *1 (-1056))) (-4115 (*1 *1 *1) (-4 *1 (-1056))) (-2563 (*1 *2 *1) (-12 (-4 *1 (-1056)) (-5 *2 (-568)))) (-1999 (*1 *1 *1) (-4 *1 (-1056))) (-4179 (*1 *1 *1) (-4 *1 (-1056))) (-2252 (*1 *1 *1) (-4 *1 (-1056)))) 
-(-13 (-365) (-840) (-1021) (-1037 (-568)) (-1037 (-409 (-568))) (-1002) (-609 (-887 (-381))) (-881 (-381)) (-150) (-10 -8 (-15 -4417 ($ $)) (-15 -3520 ($ $)) (-15 -4115 ($ $)) (-15 -2563 ((-568) $)) (-15 -1999 ($ $)) (-15 -4179 ($ $)) (-15 -2252 ($ $)) (-15 -2811 ($ $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-409 (-568))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) . T) ((-120 $ $) . T) ((-137) . T) ((-150) . T) ((-608 (-850)) . T) ((-172) . T) ((-609 (-215)) . T) ((-609 (-381)) . T) ((-609 (-887 (-381))) . T) ((-238) . T) ((-285) . T) ((-301) . T) ((-365) . T) ((-453) . T) ((-558) . T) ((-637 (-409 (-568))) . T) ((-637 $) . T) ((-707 (-409 (-568))) . T) ((-707 $) . T) ((-716) . T) ((-786) . T) ((-787) . T) ((-789) . T) ((-790) . T) ((-840) . T) ((-842) . T) ((-881 (-381)) . T) ((-916) . T) ((-1002) . T) ((-1021) . T) ((-1037 (-409 (-568))) . T) ((-1037 (-568)) . T) ((-1053 (-409 (-568))) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1199) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) |#2| $) 23)) (-3986 ((|#1| $) 10)) (-3337 (((-568) |#2| $) 88)) (-2919 (((-3 $ "failed") |#2| (-917)) 58)) (-3286 ((|#1| $) 28)) (-1783 ((|#1| |#2| $ |#1|) 37)) (-1642 (($ $) 25)) (-2902 (((-3 |#2| "failed") |#2| $) 87)) (-1436 (((-121) |#2| $) NIL)) (-2859 (((-121) |#2| $) NIL)) (-1453 (((-121) |#2| $) 24)) (-2953 ((|#1| $) 89)) (-3030 ((|#1| $) 27)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-1492 ((|#2| $) 79)) (-2747 (((-850) $) 71)) (-3999 ((|#1| |#2| $ |#1|) 38)) (-3059 (((-634 $) |#2|) 60)) (-1719 (((-121) $ $) 74))) 
-(((-1057 |#1| |#2|) (-13 (-1063 |#1| |#2|) (-10 -8 (-15 -3030 (|#1| $)) (-15 -3286 (|#1| $)) (-15 -3986 (|#1| $)) (-15 -2953 (|#1| $)) (-15 -1642 ($ $)) (-15 -1453 ((-121) |#2| $)) (-15 -1783 (|#1| |#2| $ |#1|)))) (-13 (-840) (-365)) (-1219 |#1|)) (T -1057)) 
-((-1783 (*1 *2 *3 *1 *2) (-12 (-4 *2 (-13 (-840) (-365))) (-5 *1 (-1057 *2 *3)) (-4 *3 (-1219 *2)))) (-3030 (*1 *2 *1) (-12 (-4 *2 (-13 (-840) (-365))) (-5 *1 (-1057 *2 *3)) (-4 *3 (-1219 *2)))) (-3286 (*1 *2 *1) (-12 (-4 *2 (-13 (-840) (-365))) (-5 *1 (-1057 *2 *3)) (-4 *3 (-1219 *2)))) (-3986 (*1 *2 *1) (-12 (-4 *2 (-13 (-840) (-365))) (-5 *1 (-1057 *2 *3)) (-4 *3 (-1219 *2)))) (-2953 (*1 *2 *1) (-12 (-4 *2 (-13 (-840) (-365))) (-5 *1 (-1057 *2 *3)) (-4 *3 (-1219 *2)))) (-1642 (*1 *1 *1) (-12 (-4 *2 (-13 (-840) (-365))) (-5 *1 (-1057 *2 *3)) (-4 *3 (-1219 *2)))) (-1453 (*1 *2 *3 *1) (-12 (-4 *4 (-13 (-840) (-365))) (-5 *2 (-121)) (-5 *1 (-1057 *4 *3)) (-4 *3 (-1219 *4))))) 
-(-13 (-1063 |#1| |#2|) (-10 -8 (-15 -3030 (|#1| $)) (-15 -3286 (|#1| $)) (-15 -3986 (|#1| $)) (-15 -2953 (|#1| $)) (-15 -1642 ($ $)) (-15 -1453 ((-121) |#2| $)) (-15 -1783 (|#1| |#2| $ |#1|)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2519 (($ $ $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-1353 (($ $ $ $) NIL)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2589 (((-121) $ $) NIL)) (-3337 (((-568) $) NIL)) (-1872 (($ $ $) NIL)) (-4490 (($) NIL T CONST)) (-3134 (($ (-1161)) 10) (($ (-568)) 7)) (-3668 (((-3 (-568) "failed") $) NIL)) (-2857 (((-568) $) NIL)) (-2403 (($ $ $) NIL)) (-1668 (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL) (((-679 (-568)) (-679 $)) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-3254 (((-3 (-409 (-568)) "failed") $) NIL)) (-1338 (((-121) $) NIL)) (-2394 (((-409 (-568)) $) NIL)) (-1733 (($) NIL) (($ $) NIL)) (-2414 (($ $ $) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-2197 (((-121) $) NIL)) (-2382 (($ $ $ $) NIL)) (-3155 (($ $ $) NIL)) (-1436 (((-121) $) NIL)) (-2341 (($ $ $) NIL)) (-1519 (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL)) (-1598 (((-121) $) NIL)) (-2268 (((-121) $) NIL)) (-2214 (((-3 $ "failed") $) NIL)) (-2859 (((-121) $) NIL)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-4374 (($ $ $ $) NIL)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-3248 (($ $) NIL)) (-3680 (($ $) NIL)) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-3264 (($ $ $) NIL)) (-4436 (($) NIL T CONST)) (-1890 (($ $) NIL)) (-4025 (((-1108) $) NIL) (($ $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) NIL) (($ (-634 $)) NIL)) (-2406 (($ $) NIL)) (-3850 (((-420 $) $) NIL)) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-2080 (((-121) $) NIL)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-4191 (($ $ (-763)) NIL) (($ $) NIL)) (-3953 (($ $) NIL)) (-3865 (($ $) NIL)) (-4280 (((-568) $) 16) (((-541) $) NIL) (((-887 (-568)) $) NIL) (((-381) $) NIL) (((-215) $) NIL) (($ (-1161)) 9)) (-2747 (((-850) $) 20) (($ (-568)) 6) (($ $) NIL) (($ (-568)) 6)) (-3425 (((-763)) NIL)) (-3600 (((-121) $ $) NIL)) (-3584 (($ $ $) NIL)) (-2404 (($) NIL)) (-2273 (((-121) $ $) NIL)) (-1564 (($ $ $ $) NIL)) (-2811 (($ $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($ $ (-763)) NIL) (($ $) NIL)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) NIL)) (-1775 (($ $) 19) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL))) 
-(((-1058) (-13 (-550) (-10 -8 (-6 -4508) (-6 -4513) (-6 -4509) (-15 -4280 ($ (-1161))) (-15 -3134 ($ (-1161))) (-15 -3134 ($ (-568)))))) (T -1058)) 
-((-4280 (*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-1058)))) (-3134 (*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-1058)))) (-3134 (*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-1058))))) 
-(-13 (-550) (-10 -8 (-6 -4508) (-6 -4513) (-6 -4509) (-15 -4280 ($ (-1161))) (-15 -3134 ($ (-1161))) (-15 -3134 ($ (-568))))) 
-((-2449 (((-121) $ $) NIL (-2199 (|has| (-57) (-1090)) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090))))) (-2988 (($) NIL) (($ (-634 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))))) NIL)) (-2481 (((-1249) $ (-1161) (-1161)) NIL (|has| $ (-6 -4522)))) (-1667 (((-121) $ (-763)) NIL)) (-2038 (($) 9)) (-2438 (((-57) $ (-1161) (-57)) NIL)) (-2206 (($ $) 23)) (-4268 (($ $) 21)) (-1670 (($ $) 20)) (-2879 (($ $) 22)) (-3243 (($ $) 25)) (-3125 (($ $) 26)) (-1994 (($ $) 19)) (-4208 (($ $) 24)) (-3963 (($ (-1 (-121) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521)))) (-2803 (($ (-1 (-121) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $) 18 (|has| $ (-6 -4521)))) (-2678 (((-3 (-57) "failed") (-1161) $) 34)) (-4490 (($) NIL T CONST)) (-1995 (($) 7)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090))))) (-1568 (($ (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) $) 46 (|has| $ (-6 -4521))) (($ (-1 (-121) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521))) (((-3 (-57) "failed") (-1161) $) NIL)) (-4330 (($ (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090)))) (($ (-1 (-121) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521)))) (-3094 (((-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $ (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090)))) (((-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $ (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) NIL (|has| $ (-6 -4521))) (((-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521)))) (-4391 (((-3 (-1143) "failed") $ (-1143) (-568)) 59)) (-1292 (((-57) $ (-1161) (-57)) NIL (|has| $ (-6 -4522)))) (-2069 (((-57) $ (-1161)) NIL)) (-3317 (((-634 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521))) (((-634 (-57)) $) NIL (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-1161) $) NIL (|has| (-1161) (-842)))) (-4406 (((-634 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $) 28 (|has| $ (-6 -4521))) (((-634 (-57)) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090)))) (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-57) (-1090))))) (-3631 (((-1161) $) NIL (|has| (-1161) (-842)))) (-2253 (($ (-1 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4522))) (($ (-1 (-57) (-57)) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $) NIL) (($ (-1 (-57) (-57)) $) NIL) (($ (-1 (-57) (-57) (-57)) $ $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (-2199 (|has| (-57) (-1090)) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090))))) (-4253 (((-634 (-1161)) $) NIL)) (-2807 (((-121) (-1161) $) NIL)) (-2580 (((-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) $) NIL)) (-1708 (($ (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) $) 37)) (-3948 (((-634 (-1161)) $) NIL)) (-2916 (((-121) (-1161) $) NIL)) (-4025 (((-1108) $) NIL (-2199 (|has| (-57) (-1090)) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090))))) (-2294 (((-381) $ (-1161)) 45)) (-1300 (((-634 (-1143)) $ (-1143)) 60)) (-3877 (((-57) $) NIL (|has| (-1161) (-842)))) (-2712 (((-3 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) "failed") (-1 (-121) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $) NIL)) (-2490 (($ $ (-57)) NIL (|has| $ (-6 -4522)))) (-3403 (((-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) $) NIL)) (-3951 (((-121) (-1 (-121) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))))) NIL (-12 (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-303 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))))) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090)))) (($ $ (-288 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))))) NIL (-12 (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-303 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))))) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090)))) (($ $ (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) NIL (-12 (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-303 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))))) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090)))) (($ $ (-634 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) (-634 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))))) NIL (-12 (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-303 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))))) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090)))) (($ $ (-634 (-57)) (-634 (-57))) NIL (-12 (|has| (-57) (-303 (-57))) (|has| (-57) (-1090)))) (($ $ (-57) (-57)) NIL (-12 (|has| (-57) (-303 (-57))) (|has| (-57) (-1090)))) (($ $ (-288 (-57))) NIL (-12 (|has| (-57) (-303 (-57))) (|has| (-57) (-1090)))) (($ $ (-634 (-288 (-57)))) NIL (-12 (|has| (-57) (-303 (-57))) (|has| (-57) (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-57) (-1090))))) (-1480 (((-634 (-57)) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 (((-57) $ (-1161)) NIL) (((-57) $ (-1161) (-57)) NIL)) (-3132 (($) NIL) (($ (-634 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))))) NIL)) (-1600 (($ $ (-1161)) 47)) (-4170 (((-763) (-1 (-121) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521))) (((-763) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090)))) (((-763) (-57) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-57) (-1090)))) (((-763) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4521)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) NIL (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-609 (-541))))) (-4289 (($ (-634 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))))) 30)) (-2770 (($ $ $) 31)) (-2747 (((-850) $) NIL (-2199 (|has| (-57) (-1090)) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090))))) (-1728 (($ $ (-1161) (-381)) 43)) (-3605 (($ $ (-1161) (-381)) 44)) (-4074 (($ (-634 (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))))) NIL)) (-3437 (((-121) (-1 (-121) (-2 (|:| -3651 (-1161)) (|:| -4085 (-57)))) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) NIL (-2199 (|has| (-57) (-1090)) (|has| (-2 (|:| -3651 (-1161)) (|:| -4085 (-57))) (-1090))))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-1059) (-13 (-1172 (-1161) (-57)) (-10 -8 (-15 -2770 ($ $ $)) (-15 -1995 ($)) (-15 -1994 ($ $)) (-15 -1670 ($ $)) (-15 -4268 ($ $)) (-15 -2879 ($ $)) (-15 -4208 ($ $)) (-15 -2206 ($ $)) (-15 -3243 ($ $)) (-15 -3125 ($ $)) (-15 -1728 ($ $ (-1161) (-381))) (-15 -3605 ($ $ (-1161) (-381))) (-15 -2294 ((-381) $ (-1161))) (-15 -1300 ((-634 (-1143)) $ (-1143))) (-15 -1600 ($ $ (-1161))) (-15 -2038 ($)) (-15 -4391 ((-3 (-1143) "failed") $ (-1143) (-568))) (-6 -4521)))) (T -1059)) 
-((-2770 (*1 *1 *1 *1) (-5 *1 (-1059))) (-1995 (*1 *1) (-5 *1 (-1059))) (-1994 (*1 *1 *1) (-5 *1 (-1059))) (-1670 (*1 *1 *1) (-5 *1 (-1059))) (-4268 (*1 *1 *1) (-5 *1 (-1059))) (-2879 (*1 *1 *1) (-5 *1 (-1059))) (-4208 (*1 *1 *1) (-5 *1 (-1059))) (-2206 (*1 *1 *1) (-5 *1 (-1059))) (-3243 (*1 *1 *1) (-5 *1 (-1059))) (-3125 (*1 *1 *1) (-5 *1 (-1059))) (-1728 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-381)) (-5 *1 (-1059)))) (-3605 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-381)) (-5 *1 (-1059)))) (-2294 (*1 *2 *1 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-381)) (-5 *1 (-1059)))) (-1300 (*1 *2 *1 *3) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-1059)) (-5 *3 (-1143)))) (-1600 (*1 *1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-1059)))) (-2038 (*1 *1) (-5 *1 (-1059))) (-4391 (*1 *2 *1 *2 *3) (|partial| -12 (-5 *2 (-1143)) (-5 *3 (-568)) (-5 *1 (-1059))))) 
-(-13 (-1172 (-1161) (-57)) (-10 -8 (-15 -2770 ($ $ $)) (-15 -1995 ($)) (-15 -1994 ($ $)) (-15 -1670 ($ $)) (-15 -4268 ($ $)) (-15 -2879 ($ $)) (-15 -4208 ($ $)) (-15 -2206 ($ $)) (-15 -3243 ($ $)) (-15 -3125 ($ $)) (-15 -1728 ($ $ (-1161) (-381))) (-15 -3605 ($ $ (-1161) (-381))) (-15 -2294 ((-381) $ (-1161))) (-15 -1300 ((-634 (-1143)) $ (-1143))) (-15 -1600 ($ $ (-1161))) (-15 -2038 ($)) (-15 -4391 ((-3 (-1143) "failed") $ (-1143) (-568))) (-6 -4521))) 
-((-3623 (($ $) 45)) (-3266 (((-121) $ $) 74)) (-3668 (((-3 |#2| "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL) (((-3 (-568) "failed") $) NIL) (((-3 |#4| "failed") $) NIL) (((-3 $ "failed") (-953 (-409 (-568)))) 226) (((-3 $ "failed") (-953 (-568))) 225) (((-3 $ "failed") (-953 |#2|)) 228)) (-2857 ((|#2| $) NIL) (((-409 (-568)) $) NIL) (((-568) $) NIL) ((|#4| $) NIL) (($ (-953 (-409 (-568)))) 214) (($ (-953 (-568))) 210) (($ (-953 |#2|)) 230)) (-2116 (($ $) NIL) (($ $ |#4|) 43)) (-1359 (((-121) $ $) 111) (((-121) $ (-634 $)) 112)) (-1593 (((-121) $) 56)) (-3777 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 106)) (-1537 (($ $) 137)) (-2354 (($ $) 133)) (-3424 (($ $) 132)) (-3002 (($ $ $) 79) (($ $ $ |#4|) 84)) (-4117 (($ $ $) 82) (($ $ $ |#4|) 86)) (-3764 (((-121) $ $) 120) (((-121) $ (-634 $)) 121)) (-4001 ((|#4| $) 33)) (-1653 (($ $ $) 109)) (-3463 (((-121) $) 55)) (-1850 (((-763) $) 35)) (-2135 (($ $) 151)) (-3607 (($ $) 148)) (-3509 (((-634 $) $) 68)) (-2417 (($ $) 57)) (-3274 (($ $) 144)) (-2174 (((-634 $) $) 65)) (-3226 (($ $) 59)) (-2104 ((|#2| $) NIL) (($ $ |#4|) 38)) (-3481 (((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -2567 (-763))) $ $) 110)) (-2802 (((-2 (|:| -2350 $) (|:| |gap| (-763)) (|:| -4409 $) (|:| -2607 $)) $ $) 107) (((-2 (|:| -2350 $) (|:| |gap| (-763)) (|:| -4409 $) (|:| -2607 $)) $ $ |#4|) 108)) (-2322 (((-2 (|:| -2350 $) (|:| |gap| (-763)) (|:| -2607 $)) $ $) 103) (((-2 (|:| -2350 $) (|:| |gap| (-763)) (|:| -2607 $)) $ $ |#4|) 104)) (-1604 (($ $ $) 89) (($ $ $ |#4|) 94)) (-2708 (($ $ $) 90) (($ $ $ |#4|) 95)) (-2631 (((-634 $) $) 51)) (-2157 (((-121) $ $) 117) (((-121) $ (-634 $)) 118)) (-1315 (($ $ $) 102)) (-4436 (($ $) 37)) (-4342 (((-121) $ $) 72)) (-3236 (((-121) $ $) 113) (((-121) $ (-634 $)) 115)) (-1452 (($ $ $) 100)) (-3763 (($ $) 40)) (-2723 ((|#2| |#2| $) 141) (($ (-634 $)) NIL) (($ $ $) NIL)) (-2295 (($ $ |#2|) NIL) (($ $ $) 130)) (-1574 (($ $ |#2|) 125) (($ $ $) 128)) (-1303 (($ $) 48)) (-1595 (($ $) 52)) (-4280 (((-887 (-381)) $) NIL) (((-887 (-568)) $) NIL) (((-541) $) NIL) (($ (-953 (-409 (-568)))) 216) (($ (-953 (-568))) 212) (($ (-953 |#2|)) 227) (((-1143) $) 249) (((-953 |#2|) $) 161)) (-2747 (((-850) $) 30) (($ (-568)) NIL) (($ |#2|) NIL) (($ |#4|) NIL) (((-953 |#2|) $) 162) (($ (-409 (-568))) NIL) (($ $) NIL)) (-3011 (((-3 (-121) "failed") $ $) 71))) 
-(((-1060 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -2747 (|#1| |#1|)) (-15 -2723 (|#1| |#1| |#1|)) (-15 -2723 (|#1| (-634 |#1|))) (-15 -2747 (|#1| (-409 (-568)))) (-15 -2747 ((-953 |#2|) |#1|)) (-15 -4280 ((-953 |#2|) |#1|)) (-15 -4280 ((-1143) |#1|)) (-15 -2135 (|#1| |#1|)) (-15 -3607 (|#1| |#1|)) (-15 -3274 (|#1| |#1|)) (-15 -1537 (|#1| |#1|)) (-15 -2723 (|#2| |#2| |#1|)) (-15 -2295 (|#1| |#1| |#1|)) (-15 -1574 (|#1| |#1| |#1|)) (-15 -2295 (|#1| |#1| |#2|)) (-15 -1574 (|#1| |#1| |#2|)) (-15 -2354 (|#1| |#1|)) (-15 -3424 (|#1| |#1|)) (-15 -4280 (|#1| (-953 |#2|))) (-15 -2857 (|#1| (-953 |#2|))) (-15 -3668 ((-3 |#1| "failed") (-953 |#2|))) (-15 -4280 (|#1| (-953 (-568)))) (-15 -2857 (|#1| (-953 (-568)))) (-15 -3668 ((-3 |#1| "failed") (-953 (-568)))) (-15 -4280 (|#1| (-953 (-409 (-568))))) (-15 -2857 (|#1| (-953 (-409 (-568))))) (-15 -3668 ((-3 |#1| "failed") (-953 (-409 (-568))))) (-15 -1315 (|#1| |#1| |#1|)) (-15 -1452 (|#1| |#1| |#1|)) (-15 -3481 ((-2 (|:| |polnum| |#1|) (|:| |polden| |#1|) (|:| -2567 (-763))) |#1| |#1|)) (-15 -1653 (|#1| |#1| |#1|)) (-15 -3777 ((-2 (|:| -4409 |#1|) (|:| -2607 |#1|)) |#1| |#1|)) (-15 -2802 ((-2 (|:| -2350 |#1|) (|:| |gap| (-763)) (|:| -4409 |#1|) (|:| -2607 |#1|)) |#1| |#1| |#4|)) (-15 -2802 ((-2 (|:| -2350 |#1|) (|:| |gap| (-763)) (|:| -4409 |#1|) (|:| -2607 |#1|)) |#1| |#1|)) (-15 -2322 ((-2 (|:| -2350 |#1|) (|:| |gap| (-763)) (|:| -2607 |#1|)) |#1| |#1| |#4|)) (-15 -2322 ((-2 (|:| -2350 |#1|) (|:| |gap| (-763)) (|:| -2607 |#1|)) |#1| |#1|)) (-15 -2708 (|#1| |#1| |#1| |#4|)) (-15 -1604 (|#1| |#1| |#1| |#4|)) (-15 -2708 (|#1| |#1| |#1|)) (-15 -1604 (|#1| |#1| |#1|)) (-15 -4117 (|#1| |#1| |#1| |#4|)) (-15 -3002 (|#1| |#1| |#1| |#4|)) (-15 -4117 (|#1| |#1| |#1|)) (-15 -3002 (|#1| |#1| |#1|)) (-15 -3764 ((-121) |#1| (-634 |#1|))) (-15 -3764 ((-121) |#1| |#1|)) (-15 -2157 ((-121) |#1| (-634 |#1|))) (-15 -2157 ((-121) |#1| |#1|)) (-15 -3236 ((-121) |#1| (-634 |#1|))) (-15 -3236 ((-121) |#1| |#1|)) (-15 -1359 ((-121) |#1| (-634 |#1|))) (-15 -1359 ((-121) |#1| |#1|)) (-15 -3266 ((-121) |#1| |#1|)) (-15 -4342 ((-121) |#1| |#1|)) (-15 -3011 ((-3 (-121) "failed") |#1| |#1|)) (-15 -3509 ((-634 |#1|) |#1|)) (-15 -2174 ((-634 |#1|) |#1|)) (-15 -3226 (|#1| |#1|)) (-15 -2417 (|#1| |#1|)) (-15 -1593 ((-121) |#1|)) (-15 -3463 ((-121) |#1|)) (-15 -2116 (|#1| |#1| |#4|)) (-15 -2104 (|#1| |#1| |#4|)) (-15 -1595 (|#1| |#1|)) (-15 -2631 ((-634 |#1|) |#1|)) (-15 -1303 (|#1| |#1|)) (-15 -3623 (|#1| |#1|)) (-15 -3763 (|#1| |#1|)) (-15 -4436 (|#1| |#1|)) (-15 -1850 ((-763) |#1|)) (-15 -4001 (|#4| |#1|)) (-15 -4280 ((-541) |#1|)) (-15 -4280 ((-887 (-568)) |#1|)) (-15 -4280 ((-887 (-381)) |#1|)) (-15 -2857 (|#4| |#1|)) (-15 -3668 ((-3 |#4| "failed") |#1|)) (-15 -2747 (|#1| |#4|)) (-15 -2104 (|#2| |#1|)) (-15 -2116 (|#1| |#1|)) (-15 -2857 ((-568) |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -2857 ((-409 (-568)) |#1|)) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2747 (|#1| |#2|)) (-15 -3668 ((-3 |#2| "failed") |#1|)) (-15 -2857 (|#2| |#1|)) (-15 -2747 (|#1| (-568))) (-15 -2747 ((-850) |#1|))) (-1061 |#2| |#3| |#4|) (-1047) (-788) (-842)) (T -1060)) 
-NIL 
-(-10 -8 (-15 -2747 (|#1| |#1|)) (-15 -2723 (|#1| |#1| |#1|)) (-15 -2723 (|#1| (-634 |#1|))) (-15 -2747 (|#1| (-409 (-568)))) (-15 -2747 ((-953 |#2|) |#1|)) (-15 -4280 ((-953 |#2|) |#1|)) (-15 -4280 ((-1143) |#1|)) (-15 -2135 (|#1| |#1|)) (-15 -3607 (|#1| |#1|)) (-15 -3274 (|#1| |#1|)) (-15 -1537 (|#1| |#1|)) (-15 -2723 (|#2| |#2| |#1|)) (-15 -2295 (|#1| |#1| |#1|)) (-15 -1574 (|#1| |#1| |#1|)) (-15 -2295 (|#1| |#1| |#2|)) (-15 -1574 (|#1| |#1| |#2|)) (-15 -2354 (|#1| |#1|)) (-15 -3424 (|#1| |#1|)) (-15 -4280 (|#1| (-953 |#2|))) (-15 -2857 (|#1| (-953 |#2|))) (-15 -3668 ((-3 |#1| "failed") (-953 |#2|))) (-15 -4280 (|#1| (-953 (-568)))) (-15 -2857 (|#1| (-953 (-568)))) (-15 -3668 ((-3 |#1| "failed") (-953 (-568)))) (-15 -4280 (|#1| (-953 (-409 (-568))))) (-15 -2857 (|#1| (-953 (-409 (-568))))) (-15 -3668 ((-3 |#1| "failed") (-953 (-409 (-568))))) (-15 -1315 (|#1| |#1| |#1|)) (-15 -1452 (|#1| |#1| |#1|)) (-15 -3481 ((-2 (|:| |polnum| |#1|) (|:| |polden| |#1|) (|:| -2567 (-763))) |#1| |#1|)) (-15 -1653 (|#1| |#1| |#1|)) (-15 -3777 ((-2 (|:| -4409 |#1|) (|:| -2607 |#1|)) |#1| |#1|)) (-15 -2802 ((-2 (|:| -2350 |#1|) (|:| |gap| (-763)) (|:| -4409 |#1|) (|:| -2607 |#1|)) |#1| |#1| |#4|)) (-15 -2802 ((-2 (|:| -2350 |#1|) (|:| |gap| (-763)) (|:| -4409 |#1|) (|:| -2607 |#1|)) |#1| |#1|)) (-15 -2322 ((-2 (|:| -2350 |#1|) (|:| |gap| (-763)) (|:| -2607 |#1|)) |#1| |#1| |#4|)) (-15 -2322 ((-2 (|:| -2350 |#1|) (|:| |gap| (-763)) (|:| -2607 |#1|)) |#1| |#1|)) (-15 -2708 (|#1| |#1| |#1| |#4|)) (-15 -1604 (|#1| |#1| |#1| |#4|)) (-15 -2708 (|#1| |#1| |#1|)) (-15 -1604 (|#1| |#1| |#1|)) (-15 -4117 (|#1| |#1| |#1| |#4|)) (-15 -3002 (|#1| |#1| |#1| |#4|)) (-15 -4117 (|#1| |#1| |#1|)) (-15 -3002 (|#1| |#1| |#1|)) (-15 -3764 ((-121) |#1| (-634 |#1|))) (-15 -3764 ((-121) |#1| |#1|)) (-15 -2157 ((-121) |#1| (-634 |#1|))) (-15 -2157 ((-121) |#1| |#1|)) (-15 -3236 ((-121) |#1| (-634 |#1|))) (-15 -3236 ((-121) |#1| |#1|)) (-15 -1359 ((-121) |#1| (-634 |#1|))) (-15 -1359 ((-121) |#1| |#1|)) (-15 -3266 ((-121) |#1| |#1|)) (-15 -4342 ((-121) |#1| |#1|)) (-15 -3011 ((-3 (-121) "failed") |#1| |#1|)) (-15 -3509 ((-634 |#1|) |#1|)) (-15 -2174 ((-634 |#1|) |#1|)) (-15 -3226 (|#1| |#1|)) (-15 -2417 (|#1| |#1|)) (-15 -1593 ((-121) |#1|)) (-15 -3463 ((-121) |#1|)) (-15 -2116 (|#1| |#1| |#4|)) (-15 -2104 (|#1| |#1| |#4|)) (-15 -1595 (|#1| |#1|)) (-15 -2631 ((-634 |#1|) |#1|)) (-15 -1303 (|#1| |#1|)) (-15 -3623 (|#1| |#1|)) (-15 -3763 (|#1| |#1|)) (-15 -4436 (|#1| |#1|)) (-15 -1850 ((-763) |#1|)) (-15 -4001 (|#4| |#1|)) (-15 -4280 ((-541) |#1|)) (-15 -4280 ((-887 (-568)) |#1|)) (-15 -4280 ((-887 (-381)) |#1|)) (-15 -2857 (|#4| |#1|)) (-15 -3668 ((-3 |#4| "failed") |#1|)) (-15 -2747 (|#1| |#4|)) (-15 -2104 (|#2| |#1|)) (-15 -2116 (|#1| |#1|)) (-15 -2857 ((-568) |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -2857 ((-409 (-568)) |#1|)) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2747 (|#1| |#2|)) (-15 -3668 ((-3 |#2| "failed") |#1|)) (-15 -2857 (|#2| |#1|)) (-15 -2747 (|#1| (-568))) (-15 -2747 ((-850) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2057 (((-634 |#3|) $) 108)) (-3840 (((-1157 $) $ |#3|) 123) (((-1157 |#1|) $) 122)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 85 (|has| |#1| (-558)))) (-3661 (($ $) 86 (|has| |#1| (-558)))) (-4426 (((-121) $) 88 (|has| |#1| (-558)))) (-3528 (((-763) $) 110) (((-763) $ (-634 |#3|)) 109)) (-3623 (($ $) 250)) (-3266 (((-121) $ $) 236)) (-2689 (((-3 $ "failed") $ $) 18)) (-1736 (($ $ $) 195 (|has| |#1| (-558)))) (-2115 (((-634 $) $ $) 190 (|has| |#1| (-558)))) (-3863 (((-420 (-1157 $)) (-1157 $)) 98 (|has| |#1| (-904)))) (-3045 (($ $) 96 (|has| |#1| (-453)))) (-3498 (((-420 $) $) 95 (|has| |#1| (-453)))) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) 101 (|has| |#1| (-904)))) (-4490 (($) 16 T CONST)) (-3668 (((-3 |#1| "failed") $) 162) (((-3 (-409 (-568)) "failed") $) 160 (|has| |#1| (-1037 (-409 (-568))))) (((-3 (-568) "failed") $) 158 (|has| |#1| (-1037 (-568)))) (((-3 |#3| "failed") $) 134) (((-3 $ "failed") (-953 (-409 (-568)))) 210 (-12 (|has| |#1| (-43 (-409 (-568)))) (|has| |#3| (-609 (-1161))))) (((-3 $ "failed") (-953 (-568))) 207 (-2199 (-12 (-3046 (|has| |#1| (-43 (-409 (-568))))) (|has| |#1| (-43 (-568))) (|has| |#3| (-609 (-1161)))) (-12 (|has| |#1| (-43 (-409 (-568)))) (|has| |#3| (-609 (-1161)))))) (((-3 $ "failed") (-953 |#1|)) 204 (-2199 (-12 (-3046 (|has| |#1| (-43 (-409 (-568))))) (-3046 (|has| |#1| (-43 (-568)))) (|has| |#3| (-609 (-1161)))) (-12 (-3046 (|has| |#1| (-550))) (-3046 (|has| |#1| (-43 (-409 (-568))))) (|has| |#1| (-43 (-568))) (|has| |#3| (-609 (-1161)))) (-12 (-3046 (|has| |#1| (-993 (-568)))) (|has| |#1| (-43 (-409 (-568)))) (|has| |#3| (-609 (-1161))))))) (-2857 ((|#1| $) 163) (((-409 (-568)) $) 159 (|has| |#1| (-1037 (-409 (-568))))) (((-568) $) 157 (|has| |#1| (-1037 (-568)))) ((|#3| $) 133) (($ (-953 (-409 (-568)))) 209 (-12 (|has| |#1| (-43 (-409 (-568)))) (|has| |#3| (-609 (-1161))))) (($ (-953 (-568))) 206 (-2199 (-12 (-3046 (|has| |#1| (-43 (-409 (-568))))) (|has| |#1| (-43 (-568))) (|has| |#3| (-609 (-1161)))) (-12 (|has| |#1| (-43 (-409 (-568)))) (|has| |#3| (-609 (-1161)))))) (($ (-953 |#1|)) 203 (-2199 (-12 (-3046 (|has| |#1| (-43 (-409 (-568))))) (-3046 (|has| |#1| (-43 (-568)))) (|has| |#3| (-609 (-1161)))) (-12 (-3046 (|has| |#1| (-550))) (-3046 (|has| |#1| (-43 (-409 (-568))))) (|has| |#1| (-43 (-568))) (|has| |#3| (-609 (-1161)))) (-12 (-3046 (|has| |#1| (-993 (-568)))) (|has| |#1| (-43 (-409 (-568)))) (|has| |#3| (-609 (-1161))))))) (-2910 (($ $ $ |#3|) 106 (|has| |#1| (-172))) (($ $ $) 191 (|has| |#1| (-558)))) (-2116 (($ $) 152) (($ $ |#3|) 245)) (-1668 (((-679 (-568)) (-679 $)) 132 (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) 131 (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 |#1|))) (-679 $) (-1244 $)) 130) (((-679 |#1|) (-679 $)) 129)) (-1359 (((-121) $ $) 235) (((-121) $ (-634 $)) 234)) (-2902 (((-3 $ "failed") $) 33)) (-1593 (((-121) $) 243)) (-3777 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 215)) (-1537 (($ $) 184 (|has| |#1| (-453)))) (-1998 (($ $) 174 (|has| |#1| (-453))) (($ $ |#3|) 103 (|has| |#1| (-453)))) (-2110 (((-634 $) $) 107)) (-2197 (((-121) $) 94 (|has| |#1| (-904)))) (-2354 (($ $) 200 (|has| |#1| (-558)))) (-3424 (($ $) 201 (|has| |#1| (-558)))) (-3002 (($ $ $) 227) (($ $ $ |#3|) 225)) (-4117 (($ $ $) 226) (($ $ $ |#3|) 224)) (-2453 (($ $ |#1| |#2| $) 170)) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) 82 (-12 (|has| |#3| (-881 (-381))) (|has| |#1| (-881 (-381))))) (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) 81 (-12 (|has| |#3| (-881 (-568))) (|has| |#1| (-881 (-568)))))) (-1598 (((-121) $) 30)) (-3971 (((-763) $) 167)) (-3764 (((-121) $ $) 229) (((-121) $ (-634 $)) 228)) (-1443 (($ $ $ $ $) 186 (|has| |#1| (-558)))) (-4001 ((|#3| $) 254)) (-2053 (($ (-1157 |#1|) |#3|) 115) (($ (-1157 $) |#3|) 114)) (-3062 (((-634 $) $) 124)) (-2171 (((-121) $) 150)) (-2049 (($ |#1| |#2|) 151) (($ $ |#3| (-763)) 117) (($ $ (-634 |#3|) (-634 (-763))) 116)) (-1653 (($ $ $) 214)) (-1438 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $ |#3|) 118)) (-3463 (((-121) $) 244)) (-3524 ((|#2| $) 168) (((-763) $ |#3|) 120) (((-634 (-763)) $ (-634 |#3|)) 119)) (-1732 (($ $ $) 77 (|has| |#1| (-842)))) (-1850 (((-763) $) 253)) (-2047 (($ $ $) 76 (|has| |#1| (-842)))) (-1865 (($ (-1 |#2| |#2|) $) 169)) (-2797 (($ (-1 |#1| |#1|) $) 149)) (-2817 (((-3 |#3| "failed") $) 121)) (-2135 (($ $) 181 (|has| |#1| (-453)))) (-3607 (($ $) 182 (|has| |#1| (-453)))) (-3509 (((-634 $) $) 239)) (-2417 (($ $) 242)) (-3274 (($ $) 183 (|has| |#1| (-453)))) (-2174 (((-634 $) $) 240)) (-3226 (($ $) 241)) (-2099 (($ $) 147)) (-2104 ((|#1| $) 146) (($ $ |#3|) 246)) (-2498 (($ (-634 $)) 92 (|has| |#1| (-453))) (($ $ $) 91 (|has| |#1| (-453)))) (-3481 (((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -2567 (-763))) $ $) 213)) (-2802 (((-2 (|:| -2350 $) (|:| |gap| (-763)) (|:| -4409 $) (|:| -2607 $)) $ $) 217) (((-2 (|:| -2350 $) (|:| |gap| (-763)) (|:| -4409 $) (|:| -2607 $)) $ $ |#3|) 216)) (-2322 (((-2 (|:| -2350 $) (|:| |gap| (-763)) (|:| -2607 $)) $ $) 219) (((-2 (|:| -2350 $) (|:| |gap| (-763)) (|:| -2607 $)) $ $ |#3|) 218)) (-1604 (($ $ $) 223) (($ $ $ |#3|) 221)) (-2708 (($ $ $) 222) (($ $ $ |#3|) 220)) (-1893 (((-1143) $) 9)) (-3137 (($ $ $) 189 (|has| |#1| (-558)))) (-2631 (((-634 $) $) 248)) (-4362 (((-3 (-634 $) "failed") $) 112)) (-2112 (((-3 (-634 $) "failed") $) 113)) (-2617 (((-3 (-2 (|:| |var| |#3|) (|:| -3483 (-763))) "failed") $) 111)) (-2157 (((-121) $ $) 231) (((-121) $ (-634 $)) 230)) (-1315 (($ $ $) 211)) (-4436 (($ $) 252)) (-4342 (((-121) $ $) 237)) (-3236 (((-121) $ $) 233) (((-121) $ (-634 $)) 232)) (-1452 (($ $ $) 212)) (-3763 (($ $) 251)) (-4025 (((-1108) $) 10)) (-4146 (((-2 (|:| -2723 $) (|:| |coef2| $)) $ $) 192 (|has| |#1| (-558)))) (-1832 (((-2 (|:| -2723 $) (|:| |coef1| $)) $ $) 193 (|has| |#1| (-558)))) (-2088 (((-121) $) 164)) (-2093 ((|#1| $) 165)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 93 (|has| |#1| (-453)))) (-2723 ((|#1| |#1| $) 185 (|has| |#1| (-453))) (($ (-634 $)) 90 (|has| |#1| (-453))) (($ $ $) 89 (|has| |#1| (-453)))) (-2841 (((-420 (-1157 $)) (-1157 $)) 100 (|has| |#1| (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) 99 (|has| |#1| (-904)))) (-3850 (((-420 $) $) 97 (|has| |#1| (-904)))) (-3261 (((-2 (|:| -2723 $) (|:| |coef1| $) (|:| |coef2| $)) $ $) 194 (|has| |#1| (-558)))) (-2597 (((-3 $ "failed") $ |#1|) 172 (|has| |#1| (-558))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-558)))) (-2295 (($ $ |#1|) 198 (|has| |#1| (-558))) (($ $ $) 196 (|has| |#1| (-558)))) (-1574 (($ $ |#1|) 199 (|has| |#1| (-558))) (($ $ $) 197 (|has| |#1| (-558)))) (-1339 (($ $ (-634 (-288 $))) 143) (($ $ (-288 $)) 142) (($ $ $ $) 141) (($ $ (-634 $) (-634 $)) 140) (($ $ |#3| |#1|) 139) (($ $ (-634 |#3|) (-634 |#1|)) 138) (($ $ |#3| $) 137) (($ $ (-634 |#3|) (-634 $)) 136)) (-3440 (($ $ |#3|) 105 (|has| |#1| (-172)))) (-4191 (($ $ |#3|) 41) (($ $ (-634 |#3|)) 40) (($ $ |#3| (-763)) 39) (($ $ (-634 |#3|) (-634 (-763))) 38)) (-1836 ((|#2| $) 148) (((-763) $ |#3|) 128) (((-634 (-763)) $ (-634 |#3|)) 127)) (-1303 (($ $) 249)) (-1595 (($ $) 247)) (-4280 (((-887 (-381)) $) 80 (-12 (|has| |#3| (-609 (-887 (-381)))) (|has| |#1| (-609 (-887 (-381)))))) (((-887 (-568)) $) 79 (-12 (|has| |#3| (-609 (-887 (-568)))) (|has| |#1| (-609 (-887 (-568)))))) (((-541) $) 78 (-12 (|has| |#3| (-609 (-541))) (|has| |#1| (-609 (-541))))) (($ (-953 (-409 (-568)))) 208 (-12 (|has| |#1| (-43 (-409 (-568)))) (|has| |#3| (-609 (-1161))))) (($ (-953 (-568))) 205 (-2199 (-12 (-3046 (|has| |#1| (-43 (-409 (-568))))) (|has| |#1| (-43 (-568))) (|has| |#3| (-609 (-1161)))) (-12 (|has| |#1| (-43 (-409 (-568)))) (|has| |#3| (-609 (-1161)))))) (($ (-953 |#1|)) 202 (|has| |#3| (-609 (-1161)))) (((-1143) $) 180 (-12 (|has| |#1| (-1037 (-568))) (|has| |#3| (-609 (-1161))))) (((-953 |#1|) $) 179 (|has| |#3| (-609 (-1161))))) (-1364 ((|#1| $) 173 (|has| |#1| (-453))) (($ $ |#3|) 104 (|has| |#1| (-453)))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) 102 (-2141 (|has| $ (-148)) (|has| |#1| (-904))))) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ |#1|) 161) (($ |#3|) 135) (((-953 |#1|) $) 178 (|has| |#3| (-609 (-1161)))) (($ (-409 (-568))) 70 (-2199 (|has| |#1| (-1037 (-409 (-568)))) (|has| |#1| (-43 (-409 (-568)))))) (($ $) 83 (|has| |#1| (-558)))) (-3304 (((-634 |#1|) $) 166)) (-2079 ((|#1| $ |#2|) 153) (($ $ |#3| (-763)) 126) (($ $ (-634 |#3|) (-634 (-763))) 125)) (-3385 (((-3 $ "failed") $) 71 (-2199 (-2141 (|has| $ (-148)) (|has| |#1| (-904))) (|has| |#1| (-148))))) (-3425 (((-763)) 28)) (-3925 (($ $ $ (-763)) 171 (|has| |#1| (-172)))) (-2273 (((-121) $ $) 87 (|has| |#1| (-558)))) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-3011 (((-3 (-121) "failed") $ $) 238)) (-1557 (($) 29 T CONST)) (-4038 (($ $ $ $ (-763)) 187 (|has| |#1| (-558)))) (-3611 (($ $ $ (-763)) 188 (|has| |#1| (-558)))) (-3192 (($ $ |#3|) 37) (($ $ (-634 |#3|)) 36) (($ $ |#3| (-763)) 35) (($ $ (-634 |#3|) (-634 (-763))) 34)) (-1753 (((-121) $ $) 74 (|has| |#1| (-842)))) (-1740 (((-121) $ $) 73 (|has| |#1| (-842)))) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 75 (|has| |#1| (-842)))) (-1734 (((-121) $ $) 72 (|has| |#1| (-842)))) (-1781 (($ $ |#1|) 154 (|has| |#1| (-365)))) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ (-409 (-568))) 156 (|has| |#1| (-43 (-409 (-568))))) (($ (-409 (-568)) $) 155 (|has| |#1| (-43 (-409 (-568))))) (($ |#1| $) 145) (($ $ |#1|) 144))) 
-(((-1061 |#1| |#2| |#3|) (-1275) (-1047) (-788) (-842)) (T -1061)) 
-((-4001 (*1 *2 *1) (-12 (-4 *1 (-1061 *3 *4 *2)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)))) (-1850 (*1 *2 *1) (-12 (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-763)))) (-4436 (*1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)))) (-3763 (*1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)))) (-3623 (*1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)))) (-1303 (*1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)))) (-2631 (*1 *2 *1) (-12 (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-1061 *3 *4 *5)))) (-1595 (*1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)))) (-2104 (*1 *1 *1 *2) (-12 (-4 *1 (-1061 *3 *4 *2)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)))) (-2116 (*1 *1 *1 *2) (-12 (-4 *1 (-1061 *3 *4 *2)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)))) (-3463 (*1 *2 *1) (-12 (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121)))) (-1593 (*1 *2 *1) (-12 (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121)))) (-2417 (*1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)))) (-3226 (*1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)))) (-2174 (*1 *2 *1) (-12 (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-1061 *3 *4 *5)))) (-3509 (*1 *2 *1) (-12 (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-1061 *3 *4 *5)))) (-3011 (*1 *2 *1 *1) (|partial| -12 (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121)))) (-4342 (*1 *2 *1 *1) (-12 (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121)))) (-3266 (*1 *2 *1 *1) (-12 (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121)))) (-1359 (*1 *2 *1 *1) (-12 (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121)))) (-1359 (*1 *2 *1 *3) (-12 (-5 *3 (-634 *1)) (-4 *1 (-1061 *4 *5 *6)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)))) (-3236 (*1 *2 *1 *1) (-12 (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121)))) (-3236 (*1 *2 *1 *3) (-12 (-5 *3 (-634 *1)) (-4 *1 (-1061 *4 *5 *6)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)))) (-2157 (*1 *2 *1 *1) (-12 (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121)))) (-2157 (*1 *2 *1 *3) (-12 (-5 *3 (-634 *1)) (-4 *1 (-1061 *4 *5 *6)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)))) (-3764 (*1 *2 *1 *1) (-12 (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121)))) (-3764 (*1 *2 *1 *3) (-12 (-5 *3 (-634 *1)) (-4 *1 (-1061 *4 *5 *6)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)))) (-3002 (*1 *1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)))) (-4117 (*1 *1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)))) (-3002 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1061 *3 *4 *2)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)))) (-4117 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1061 *3 *4 *2)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)))) (-1604 (*1 *1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)))) (-2708 (*1 *1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)))) (-1604 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1061 *3 *4 *2)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)))) (-2708 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1061 *3 *4 *2)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)))) (-2322 (*1 *2 *1 *1) (-12 (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-2 (|:| -2350 *1) (|:| |gap| (-763)) (|:| -2607 *1))) (-4 *1 (-1061 *3 *4 *5)))) (-2322 (*1 *2 *1 *1 *3) (-12 (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *3 (-842)) (-5 *2 (-2 (|:| -2350 *1) (|:| |gap| (-763)) (|:| -2607 *1))) (-4 *1 (-1061 *4 *5 *3)))) (-2802 (*1 *2 *1 *1) (-12 (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-2 (|:| -2350 *1) (|:| |gap| (-763)) (|:| -4409 *1) (|:| -2607 *1))) (-4 *1 (-1061 *3 *4 *5)))) (-2802 (*1 *2 *1 *1 *3) (-12 (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *3 (-842)) (-5 *2 (-2 (|:| -2350 *1) (|:| |gap| (-763)) (|:| -4409 *1) (|:| -2607 *1))) (-4 *1 (-1061 *4 *5 *3)))) (-3777 (*1 *2 *1 *1) (-12 (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-2 (|:| -4409 *1) (|:| -2607 *1))) (-4 *1 (-1061 *3 *4 *5)))) (-1653 (*1 *1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)))) (-3481 (*1 *2 *1 *1) (-12 (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-2 (|:| |polnum| *1) (|:| |polden| *1) (|:| -2567 (-763)))) (-4 *1 (-1061 *3 *4 *5)))) (-1452 (*1 *1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)))) (-1315 (*1 *1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)))) (-3668 (*1 *1 *2) (|partial| -12 (-5 *2 (-953 (-409 (-568)))) (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-43 (-409 (-568)))) (-4 *5 (-609 (-1161))) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)))) (-2857 (*1 *1 *2) (-12 (-5 *2 (-953 (-409 (-568)))) (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-43 (-409 (-568)))) (-4 *5 (-609 (-1161))) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)))) (-4280 (*1 *1 *2) (-12 (-5 *2 (-953 (-409 (-568)))) (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-43 (-409 (-568)))) (-4 *5 (-609 (-1161))) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)))) (-3668 (*1 *1 *2) (|partial| -2199 (-12 (-5 *2 (-953 (-568))) (-4 *1 (-1061 *3 *4 *5)) (-12 (-3046 (-4 *3 (-43 (-409 (-568))))) (-4 *3 (-43 (-568))) (-4 *5 (-609 (-1161)))) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842))) (-12 (-5 *2 (-953 (-568))) (-4 *1 (-1061 *3 *4 *5)) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *5 (-609 (-1161)))) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842))))) (-2857 (*1 *1 *2) (-2199 (-12 (-5 *2 (-953 (-568))) (-4 *1 (-1061 *3 *4 *5)) (-12 (-3046 (-4 *3 (-43 (-409 (-568))))) (-4 *3 (-43 (-568))) (-4 *5 (-609 (-1161)))) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842))) (-12 (-5 *2 (-953 (-568))) (-4 *1 (-1061 *3 *4 *5)) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *5 (-609 (-1161)))) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842))))) (-4280 (*1 *1 *2) (-2199 (-12 (-5 *2 (-953 (-568))) (-4 *1 (-1061 *3 *4 *5)) (-12 (-3046 (-4 *3 (-43 (-409 (-568))))) (-4 *3 (-43 (-568))) (-4 *5 (-609 (-1161)))) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842))) (-12 (-5 *2 (-953 (-568))) (-4 *1 (-1061 *3 *4 *5)) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *5 (-609 (-1161)))) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842))))) (-3668 (*1 *1 *2) (|partial| -2199 (-12 (-5 *2 (-953 *3)) (-12 (-3046 (-4 *3 (-43 (-409 (-568))))) (-3046 (-4 *3 (-43 (-568)))) (-4 *5 (-609 (-1161)))) (-4 *3 (-1047)) (-4 *1 (-1061 *3 *4 *5)) (-4 *4 (-788)) (-4 *5 (-842))) (-12 (-5 *2 (-953 *3)) (-12 (-3046 (-4 *3 (-550))) (-3046 (-4 *3 (-43 (-409 (-568))))) (-4 *3 (-43 (-568))) (-4 *5 (-609 (-1161)))) (-4 *3 (-1047)) (-4 *1 (-1061 *3 *4 *5)) (-4 *4 (-788)) (-4 *5 (-842))) (-12 (-5 *2 (-953 *3)) (-12 (-3046 (-4 *3 (-993 (-568)))) (-4 *3 (-43 (-409 (-568)))) (-4 *5 (-609 (-1161)))) (-4 *3 (-1047)) (-4 *1 (-1061 *3 *4 *5)) (-4 *4 (-788)) (-4 *5 (-842))))) (-2857 (*1 *1 *2) (-2199 (-12 (-5 *2 (-953 *3)) (-12 (-3046 (-4 *3 (-43 (-409 (-568))))) (-3046 (-4 *3 (-43 (-568)))) (-4 *5 (-609 (-1161)))) (-4 *3 (-1047)) (-4 *1 (-1061 *3 *4 *5)) (-4 *4 (-788)) (-4 *5 (-842))) (-12 (-5 *2 (-953 *3)) (-12 (-3046 (-4 *3 (-550))) (-3046 (-4 *3 (-43 (-409 (-568))))) (-4 *3 (-43 (-568))) (-4 *5 (-609 (-1161)))) (-4 *3 (-1047)) (-4 *1 (-1061 *3 *4 *5)) (-4 *4 (-788)) (-4 *5 (-842))) (-12 (-5 *2 (-953 *3)) (-12 (-3046 (-4 *3 (-993 (-568)))) (-4 *3 (-43 (-409 (-568)))) (-4 *5 (-609 (-1161)))) (-4 *3 (-1047)) (-4 *1 (-1061 *3 *4 *5)) (-4 *4 (-788)) (-4 *5 (-842))))) (-4280 (*1 *1 *2) (-12 (-5 *2 (-953 *3)) (-4 *3 (-1047)) (-4 *1 (-1061 *3 *4 *5)) (-4 *5 (-609 (-1161))) (-4 *4 (-788)) (-4 *5 (-842)))) (-3424 (*1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-558)))) (-2354 (*1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-558)))) (-1574 (*1 *1 *1 *2) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-558)))) (-2295 (*1 *1 *1 *2) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-558)))) (-1574 (*1 *1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-558)))) (-2295 (*1 *1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-558)))) (-1736 (*1 *1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-558)))) (-3261 (*1 *2 *1 *1) (-12 (-4 *3 (-558)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-2 (|:| -2723 *1) (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-1061 *3 *4 *5)))) (-1832 (*1 *2 *1 *1) (-12 (-4 *3 (-558)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-2 (|:| -2723 *1) (|:| |coef1| *1))) (-4 *1 (-1061 *3 *4 *5)))) (-4146 (*1 *2 *1 *1) (-12 (-4 *3 (-558)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-2 (|:| -2723 *1) (|:| |coef2| *1))) (-4 *1 (-1061 *3 *4 *5)))) (-2910 (*1 *1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-558)))) (-2115 (*1 *2 *1 *1) (-12 (-4 *3 (-558)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-1061 *3 *4 *5)))) (-3137 (*1 *1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-558)))) (-3611 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *3 (-558)))) (-4038 (*1 *1 *1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *3 (-558)))) (-1443 (*1 *1 *1 *1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-558)))) (-2723 (*1 *2 *2 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-453)))) (-1537 (*1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-453)))) (-3274 (*1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-453)))) (-3607 (*1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-453)))) (-2135 (*1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-453))))) 
-(-13 (-950 |t#1| |t#2| |t#3|) (-10 -8 (-15 -4001 (|t#3| $)) (-15 -1850 ((-763) $)) (-15 -4436 ($ $)) (-15 -3763 ($ $)) (-15 -3623 ($ $)) (-15 -1303 ($ $)) (-15 -2631 ((-634 $) $)) (-15 -1595 ($ $)) (-15 -2104 ($ $ |t#3|)) (-15 -2116 ($ $ |t#3|)) (-15 -3463 ((-121) $)) (-15 -1593 ((-121) $)) (-15 -2417 ($ $)) (-15 -3226 ($ $)) (-15 -2174 ((-634 $) $)) (-15 -3509 ((-634 $) $)) (-15 -3011 ((-3 (-121) "failed") $ $)) (-15 -4342 ((-121) $ $)) (-15 -3266 ((-121) $ $)) (-15 -1359 ((-121) $ $)) (-15 -1359 ((-121) $ (-634 $))) (-15 -3236 ((-121) $ $)) (-15 -3236 ((-121) $ (-634 $))) (-15 -2157 ((-121) $ $)) (-15 -2157 ((-121) $ (-634 $))) (-15 -3764 ((-121) $ $)) (-15 -3764 ((-121) $ (-634 $))) (-15 -3002 ($ $ $)) (-15 -4117 ($ $ $)) (-15 -3002 ($ $ $ |t#3|)) (-15 -4117 ($ $ $ |t#3|)) (-15 -1604 ($ $ $)) (-15 -2708 ($ $ $)) (-15 -1604 ($ $ $ |t#3|)) (-15 -2708 ($ $ $ |t#3|)) (-15 -2322 ((-2 (|:| -2350 $) (|:| |gap| (-763)) (|:| -2607 $)) $ $)) (-15 -2322 ((-2 (|:| -2350 $) (|:| |gap| (-763)) (|:| -2607 $)) $ $ |t#3|)) (-15 -2802 ((-2 (|:| -2350 $) (|:| |gap| (-763)) (|:| -4409 $) (|:| -2607 $)) $ $)) (-15 -2802 ((-2 (|:| -2350 $) (|:| |gap| (-763)) (|:| -4409 $) (|:| -2607 $)) $ $ |t#3|)) (-15 -3777 ((-2 (|:| -4409 $) (|:| -2607 $)) $ $)) (-15 -1653 ($ $ $)) (-15 -3481 ((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -2567 (-763))) $ $)) (-15 -1452 ($ $ $)) (-15 -1315 ($ $ $)) (IF (|has| |t#3| (-609 (-1161))) (PROGN (-6 (-608 (-953 |t#1|))) (-6 (-609 (-953 |t#1|))) (IF (|has| |t#1| (-43 (-409 (-568)))) (PROGN (-15 -3668 ((-3 $ "failed") (-953 (-409 (-568))))) (-15 -2857 ($ (-953 (-409 (-568))))) (-15 -4280 ($ (-953 (-409 (-568))))) (-15 -3668 ((-3 $ "failed") (-953 (-568)))) (-15 -2857 ($ (-953 (-568)))) (-15 -4280 ($ (-953 (-568)))) (IF (|has| |t#1| (-993 (-568))) |noBranch| (PROGN (-15 -3668 ((-3 $ "failed") (-953 |t#1|))) (-15 -2857 ($ (-953 |t#1|)))))) |noBranch|) (IF (|has| |t#1| (-43 (-568))) (IF (|has| |t#1| (-43 (-409 (-568)))) |noBranch| (PROGN (-15 -3668 ((-3 $ "failed") (-953 (-568)))) (-15 -2857 ($ (-953 (-568)))) (-15 -4280 ($ (-953 (-568)))) (IF (|has| |t#1| (-550)) |noBranch| (PROGN (-15 -3668 ((-3 $ "failed") (-953 |t#1|))) (-15 -2857 ($ (-953 |t#1|))))))) |noBranch|) (IF (|has| |t#1| (-43 (-568))) |noBranch| (IF (|has| |t#1| (-43 (-409 (-568)))) |noBranch| (PROGN (-15 -3668 ((-3 $ "failed") (-953 |t#1|))) (-15 -2857 ($ (-953 |t#1|)))))) (-15 -4280 ($ (-953 |t#1|))) (IF (|has| |t#1| (-1037 (-568))) (-6 (-609 (-1143))) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-558)) (PROGN (-15 -3424 ($ $)) (-15 -2354 ($ $)) (-15 -1574 ($ $ |t#1|)) (-15 -2295 ($ $ |t#1|)) (-15 -1574 ($ $ $)) (-15 -2295 ($ $ $)) (-15 -1736 ($ $ $)) (-15 -3261 ((-2 (|:| -2723 $) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -1832 ((-2 (|:| -2723 $) (|:| |coef1| $)) $ $)) (-15 -4146 ((-2 (|:| -2723 $) (|:| |coef2| $)) $ $)) (-15 -2910 ($ $ $)) (-15 -2115 ((-634 $) $ $)) (-15 -3137 ($ $ $)) (-15 -3611 ($ $ $ (-763))) (-15 -4038 ($ $ $ $ (-763))) (-15 -1443 ($ $ $ $ $))) |noBranch|) (IF (|has| |t#1| (-453)) (PROGN (-15 -2723 (|t#1| |t#1| $)) (-15 -1537 ($ $)) (-15 -3274 ($ $)) (-15 -3607 ($ $)) (-15 -2135 ($ $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-43 |#1|) |has| |#1| (-172)) ((-43 $) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453))) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453)) (|has| |#1| (-172))) ((-137) . T) ((-148) |has| |#1| (-148)) ((-150) |has| |#1| (-150)) ((-608 (-850)) . T) ((-608 (-953 |#1|)) |has| |#3| (-609 (-1161))) ((-172) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453)) (|has| |#1| (-172))) ((-609 (-541)) -12 (|has| |#1| (-609 (-541))) (|has| |#3| (-609 (-541)))) ((-609 (-887 (-381))) -12 (|has| |#1| (-609 (-887 (-381)))) (|has| |#3| (-609 (-887 (-381))))) ((-609 (-887 (-568))) -12 (|has| |#1| (-609 (-887 (-568)))) (|has| |#3| (-609 (-887 (-568))))) ((-609 (-953 |#1|)) |has| |#3| (-609 (-1161))) ((-609 (-1143)) -12 (|has| |#1| (-1037 (-568))) (|has| |#3| (-609 (-1161)))) ((-285) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453))) ((-303 $) . T) ((-324 |#1| |#2|) . T) ((-379 |#1|) . T) ((-413 |#1|) . T) ((-453) -2199 (|has| |#1| (-904)) (|has| |#1| (-453))) ((-523 |#3| |#1|) . T) ((-523 |#3| $) . T) ((-523 $ $) . T) ((-558) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453))) ((-637 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-637 |#1|) . T) ((-637 $) . T) ((-630 (-568)) |has| |#1| (-630 (-568))) ((-630 |#1|) . T) ((-707 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-707 |#1|) |has| |#1| (-172)) ((-707 $) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453))) ((-716) . T) ((-842) |has| |#1| (-842)) ((-895 |#3|) . T) ((-881 (-381)) -12 (|has| |#1| (-881 (-381))) (|has| |#3| (-881 (-381)))) ((-881 (-568)) -12 (|has| |#1| (-881 (-568))) (|has| |#3| (-881 (-568)))) ((-950 |#1| |#2| |#3|) . T) ((-904) |has| |#1| (-904)) ((-1037 (-409 (-568))) |has| |#1| (-1037 (-409 (-568)))) ((-1037 (-568)) |has| |#1| (-1037 (-568))) ((-1037 |#1|) . T) ((-1037 |#3|) . T) ((-1053 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-1053 |#1|) . T) ((-1053 $) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453)) (|has| |#1| (-172))) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1199) |has| |#1| (-904))) 
-((-1819 (((-121) |#3| $) 13)) (-2919 (((-3 $ "failed") |#3| (-917)) 23)) (-2902 (((-3 |#3| "failed") |#3| $) 37)) (-1436 (((-121) |#3| $) 16)) (-2859 (((-121) |#3| $) 14))) 
-(((-1062 |#1| |#2| |#3|) (-10 -8 (-15 -2919 ((-3 |#1| "failed") |#3| (-917))) (-15 -2902 ((-3 |#3| "failed") |#3| |#1|)) (-15 -1436 ((-121) |#3| |#1|)) (-15 -2859 ((-121) |#3| |#1|)) (-15 -1819 ((-121) |#3| |#1|))) (-1063 |#2| |#3|) (-13 (-840) (-365)) (-1219 |#2|)) (T -1062)) 
-NIL 
-(-10 -8 (-15 -2919 ((-3 |#1| "failed") |#3| (-917))) (-15 -2902 ((-3 |#3| "failed") |#3| |#1|)) (-15 -1436 ((-121) |#3| |#1|)) (-15 -2859 ((-121) |#3| |#1|)) (-15 -1819 ((-121) |#3| |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) |#2| $) 20)) (-3337 (((-568) |#2| $) 21)) (-2919 (((-3 $ "failed") |#2| (-917)) 14)) (-1783 ((|#1| |#2| $ |#1|) 12)) (-2902 (((-3 |#2| "failed") |#2| $) 17)) (-1436 (((-121) |#2| $) 18)) (-2859 (((-121) |#2| $) 19)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-1492 ((|#2| $) 16)) (-2747 (((-850) $) 11)) (-3999 ((|#1| |#2| $ |#1|) 13)) (-3059 (((-634 $) |#2|) 15)) (-1719 (((-121) $ $) 6))) 
-(((-1063 |#1| |#2|) (-1275) (-13 (-840) (-365)) (-1219 |t#1|)) (T -1063)) 
-((-3337 (*1 *2 *3 *1) (-12 (-4 *1 (-1063 *4 *3)) (-4 *4 (-13 (-840) (-365))) (-4 *3 (-1219 *4)) (-5 *2 (-568)))) (-1819 (*1 *2 *3 *1) (-12 (-4 *1 (-1063 *4 *3)) (-4 *4 (-13 (-840) (-365))) (-4 *3 (-1219 *4)) (-5 *2 (-121)))) (-2859 (*1 *2 *3 *1) (-12 (-4 *1 (-1063 *4 *3)) (-4 *4 (-13 (-840) (-365))) (-4 *3 (-1219 *4)) (-5 *2 (-121)))) (-1436 (*1 *2 *3 *1) (-12 (-4 *1 (-1063 *4 *3)) (-4 *4 (-13 (-840) (-365))) (-4 *3 (-1219 *4)) (-5 *2 (-121)))) (-2902 (*1 *2 *2 *1) (|partial| -12 (-4 *1 (-1063 *3 *2)) (-4 *3 (-13 (-840) (-365))) (-4 *2 (-1219 *3)))) (-1492 (*1 *2 *1) (-12 (-4 *1 (-1063 *3 *2)) (-4 *3 (-13 (-840) (-365))) (-4 *2 (-1219 *3)))) (-3059 (*1 *2 *3) (-12 (-4 *4 (-13 (-840) (-365))) (-4 *3 (-1219 *4)) (-5 *2 (-634 *1)) (-4 *1 (-1063 *4 *3)))) (-2919 (*1 *1 *2 *3) (|partial| -12 (-5 *3 (-917)) (-4 *4 (-13 (-840) (-365))) (-4 *1 (-1063 *4 *2)) (-4 *2 (-1219 *4)))) (-3999 (*1 *2 *3 *1 *2) (-12 (-4 *1 (-1063 *2 *3)) (-4 *2 (-13 (-840) (-365))) (-4 *3 (-1219 *2)))) (-1783 (*1 *2 *3 *1 *2) (-12 (-4 *1 (-1063 *2 *3)) (-4 *2 (-13 (-840) (-365))) (-4 *3 (-1219 *2))))) 
-(-13 (-1090) (-10 -8 (-15 -3337 ((-568) |t#2| $)) (-15 -1819 ((-121) |t#2| $)) (-15 -2859 ((-121) |t#2| $)) (-15 -1436 ((-121) |t#2| $)) (-15 -2902 ((-3 |t#2| "failed") |t#2| $)) (-15 -1492 (|t#2| $)) (-15 -3059 ((-634 $) |t#2|)) (-15 -2919 ((-3 $ "failed") |t#2| (-917))) (-15 -3999 (|t#1| |t#2| $ |t#1|)) (-15 -1783 (|t#1| |t#2| $ |t#1|)))) 
-(((-105) . T) ((-608 (-850)) . T) ((-1090) . T)) 
-((-1561 (((-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) (-634 |#4|) (-634 |#5|) (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) (-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) (-763)) 95)) (-2742 (((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5|) 56) (((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5| (-763)) 55)) (-1277 (((-1249) (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) (-763)) 87)) (-1490 (((-763) (-634 |#4|) (-634 |#5|)) 27)) (-1837 (((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5|) 58) (((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5| (-763)) 57) (((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5| (-763) (-121)) 59)) (-3946 (((-634 |#5|) (-634 |#4|) (-634 |#5|) (-121) (-121) (-121) (-121) (-121)) 78) (((-634 |#5|) (-634 |#4|) (-634 |#5|) (-121) (-121)) 79)) (-4280 (((-1143) (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) 82)) (-3489 (((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5| (-121)) 54)) (-3006 (((-763) (-634 |#4|) (-634 |#5|)) 19))) 
-(((-1064 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3006 ((-763) (-634 |#4|) (-634 |#5|))) (-15 -1490 ((-763) (-634 |#4|) (-634 |#5|))) (-15 -3489 ((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5| (-121))) (-15 -2742 ((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5| (-763))) (-15 -2742 ((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5|)) (-15 -1837 ((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5| (-763) (-121))) (-15 -1837 ((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5| (-763))) (-15 -1837 ((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5|)) (-15 -3946 ((-634 |#5|) (-634 |#4|) (-634 |#5|) (-121) (-121))) (-15 -3946 ((-634 |#5|) (-634 |#4|) (-634 |#5|) (-121) (-121) (-121) (-121) (-121))) (-15 -1561 ((-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) (-634 |#4|) (-634 |#5|) (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) (-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) (-763))) (-15 -4280 ((-1143) (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|)))) (-15 -1277 ((-1249) (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) (-763)))) (-453) (-788) (-842) (-1061 |#1| |#2| |#3|) (-1066 |#1| |#2| |#3| |#4|)) (T -1064)) 
-((-1277 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-2 (|:| |val| (-634 *8)) (|:| -3145 *9)))) (-5 *4 (-763)) (-4 *8 (-1061 *5 *6 *7)) (-4 *9 (-1066 *5 *6 *7 *8)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-1249)) (-5 *1 (-1064 *5 *6 *7 *8 *9)))) (-4280 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-634 *7)) (|:| -3145 *8))) (-4 *7 (-1061 *4 *5 *6)) (-4 *8 (-1066 *4 *5 *6 *7)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-1143)) (-5 *1 (-1064 *4 *5 *6 *7 *8)))) (-1561 (*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-634 *11)) (|:| |todo| (-634 (-2 (|:| |val| *3) (|:| -3145 *11)))))) (-5 *6 (-763)) (-5 *2 (-634 (-2 (|:| |val| (-634 *10)) (|:| -3145 *11)))) (-5 *3 (-634 *10)) (-5 *4 (-634 *11)) (-4 *10 (-1061 *7 *8 *9)) (-4 *11 (-1066 *7 *8 *9 *10)) (-4 *7 (-453)) (-4 *8 (-788)) (-4 *9 (-842)) (-5 *1 (-1064 *7 *8 *9 *10 *11)))) (-3946 (*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-634 *9)) (-5 *3 (-634 *8)) (-5 *4 (-121)) (-4 *8 (-1061 *5 *6 *7)) (-4 *9 (-1066 *5 *6 *7 *8)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *1 (-1064 *5 *6 *7 *8 *9)))) (-3946 (*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-634 *9)) (-5 *3 (-634 *8)) (-5 *4 (-121)) (-4 *8 (-1061 *5 *6 *7)) (-4 *9 (-1066 *5 *6 *7 *8)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *1 (-1064 *5 *6 *7 *8 *9)))) (-1837 (*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-634 *4)) (|:| |todo| (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))))) (-5 *1 (-1064 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3)))) (-1837 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-763)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *8 (-842)) (-4 *3 (-1061 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-634 *4)) (|:| |todo| (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))))) (-5 *1 (-1064 *6 *7 *8 *3 *4)) (-4 *4 (-1066 *6 *7 *8 *3)))) (-1837 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-763)) (-5 *6 (-121)) (-4 *7 (-453)) (-4 *8 (-788)) (-4 *9 (-842)) (-4 *3 (-1061 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-634 *4)) (|:| |todo| (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))))) (-5 *1 (-1064 *7 *8 *9 *3 *4)) (-4 *4 (-1066 *7 *8 *9 *3)))) (-2742 (*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-634 *4)) (|:| |todo| (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))))) (-5 *1 (-1064 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3)))) (-2742 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-763)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *8 (-842)) (-4 *3 (-1061 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-634 *4)) (|:| |todo| (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))))) (-5 *1 (-1064 *6 *7 *8 *3 *4)) (-4 *4 (-1066 *6 *7 *8 *3)))) (-3489 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *8 (-842)) (-4 *3 (-1061 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-634 *4)) (|:| |todo| (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))))) (-5 *1 (-1064 *6 *7 *8 *3 *4)) (-4 *4 (-1066 *6 *7 *8 *3)))) (-1490 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-634 *9)) (-4 *8 (-1061 *5 *6 *7)) (-4 *9 (-1066 *5 *6 *7 *8)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-763)) (-5 *1 (-1064 *5 *6 *7 *8 *9)))) (-3006 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-634 *9)) (-4 *8 (-1061 *5 *6 *7)) (-4 *9 (-1066 *5 *6 *7 *8)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-763)) (-5 *1 (-1064 *5 *6 *7 *8 *9))))) 
-(-10 -7 (-15 -3006 ((-763) (-634 |#4|) (-634 |#5|))) (-15 -1490 ((-763) (-634 |#4|) (-634 |#5|))) (-15 -3489 ((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5| (-121))) (-15 -2742 ((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5| (-763))) (-15 -2742 ((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5|)) (-15 -1837 ((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5| (-763) (-121))) (-15 -1837 ((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5| (-763))) (-15 -1837 ((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5|)) (-15 -3946 ((-634 |#5|) (-634 |#4|) (-634 |#5|) (-121) (-121))) (-15 -3946 ((-634 |#5|) (-634 |#4|) (-634 |#5|) (-121) (-121) (-121) (-121) (-121))) (-15 -1561 ((-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) (-634 |#4|) (-634 |#5|) (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) (-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) (-763))) (-15 -4280 ((-1143) (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|)))) (-15 -1277 ((-1249) (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) (-763)))) 
-((-2451 (((-121) |#5| $) 20)) (-2978 (((-121) |#5| $) 23)) (-1792 (((-121) |#5| $) 16) (((-121) $) 44)) (-1864 (((-634 $) |#5| $) NIL) (((-634 $) (-634 |#5|) $) 76) (((-634 $) (-634 |#5|) (-634 $)) 74) (((-634 $) |#5| (-634 $)) 77)) (-2168 (($ $ |#5|) NIL) (((-634 $) |#5| $) NIL) (((-634 $) |#5| (-634 $)) 59) (((-634 $) (-634 |#5|) $) 61) (((-634 $) (-634 |#5|) (-634 $)) 63)) (-1977 (((-634 $) |#5| $) NIL) (((-634 $) |#5| (-634 $)) 53) (((-634 $) (-634 |#5|) $) 55) (((-634 $) (-634 |#5|) (-634 $)) 57)) (-3541 (((-121) |#5| $) 26))) 
-(((-1065 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -2168 ((-634 |#1|) (-634 |#5|) (-634 |#1|))) (-15 -2168 ((-634 |#1|) (-634 |#5|) |#1|)) (-15 -2168 ((-634 |#1|) |#5| (-634 |#1|))) (-15 -2168 ((-634 |#1|) |#5| |#1|)) (-15 -1977 ((-634 |#1|) (-634 |#5|) (-634 |#1|))) (-15 -1977 ((-634 |#1|) (-634 |#5|) |#1|)) (-15 -1977 ((-634 |#1|) |#5| (-634 |#1|))) (-15 -1977 ((-634 |#1|) |#5| |#1|)) (-15 -1864 ((-634 |#1|) |#5| (-634 |#1|))) (-15 -1864 ((-634 |#1|) (-634 |#5|) (-634 |#1|))) (-15 -1864 ((-634 |#1|) (-634 |#5|) |#1|)) (-15 -1864 ((-634 |#1|) |#5| |#1|)) (-15 -2978 ((-121) |#5| |#1|)) (-15 -1792 ((-121) |#1|)) (-15 -3541 ((-121) |#5| |#1|)) (-15 -2451 ((-121) |#5| |#1|)) (-15 -1792 ((-121) |#5| |#1|)) (-15 -2168 (|#1| |#1| |#5|))) (-1066 |#2| |#3| |#4| |#5|) (-453) (-788) (-842) (-1061 |#2| |#3| |#4|)) (T -1065)) 
-NIL 
-(-10 -8 (-15 -2168 ((-634 |#1|) (-634 |#5|) (-634 |#1|))) (-15 -2168 ((-634 |#1|) (-634 |#5|) |#1|)) (-15 -2168 ((-634 |#1|) |#5| (-634 |#1|))) (-15 -2168 ((-634 |#1|) |#5| |#1|)) (-15 -1977 ((-634 |#1|) (-634 |#5|) (-634 |#1|))) (-15 -1977 ((-634 |#1|) (-634 |#5|) |#1|)) (-15 -1977 ((-634 |#1|) |#5| (-634 |#1|))) (-15 -1977 ((-634 |#1|) |#5| |#1|)) (-15 -1864 ((-634 |#1|) |#5| (-634 |#1|))) (-15 -1864 ((-634 |#1|) (-634 |#5|) (-634 |#1|))) (-15 -1864 ((-634 |#1|) (-634 |#5|) |#1|)) (-15 -1864 ((-634 |#1|) |#5| |#1|)) (-15 -2978 ((-121) |#5| |#1|)) (-15 -1792 ((-121) |#1|)) (-15 -3541 ((-121) |#5| |#1|)) (-15 -2451 ((-121) |#5| |#1|)) (-15 -1792 ((-121) |#5| |#1|)) (-15 -2168 (|#1| |#1| |#5|))) 
-((-2449 (((-121) $ $) 7)) (-2213 (((-634 (-2 (|:| -4094 $) (|:| -2133 (-634 |#4|)))) (-634 |#4|)) 78)) (-2353 (((-634 $) (-634 |#4|)) 79) (((-634 $) (-634 |#4|) (-121)) 104)) (-2057 (((-634 |#3|) $) 32)) (-4141 (((-121) $) 25)) (-1794 (((-121) $) 16 (|has| |#1| (-558)))) (-4231 (((-121) |#4| $) 94) (((-121) $) 90)) (-3767 ((|#4| |#4| $) 85)) (-3045 (((-634 (-2 (|:| |val| |#4|) (|:| -3145 $))) |#4| $) 119)) (-3647 (((-2 (|:| |under| $) (|:| -4115 $) (|:| |upper| $)) $ |#3|) 26)) (-1667 (((-121) $ (-763)) 43)) (-2803 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4521))) (((-3 |#4| "failed") $ |#3|) 72)) (-4490 (($) 44 T CONST)) (-4382 (((-121) $) 21 (|has| |#1| (-558)))) (-1880 (((-121) $ $) 23 (|has| |#1| (-558)))) (-2536 (((-121) $ $) 22 (|has| |#1| (-558)))) (-2343 (((-121) $) 24 (|has| |#1| (-558)))) (-2941 (((-634 |#4|) (-634 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-3993 (((-634 |#4|) (-634 |#4|) $) 17 (|has| |#1| (-558)))) (-2727 (((-634 |#4|) (-634 |#4|) $) 18 (|has| |#1| (-558)))) (-3668 (((-3 $ "failed") (-634 |#4|)) 35)) (-2857 (($ (-634 |#4|)) 34)) (-3936 (((-3 $ "failed") $) 75)) (-3255 ((|#4| |#4| $) 82)) (-3926 (($ $) 67 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521))))) (-4330 (($ |#4| $) 66 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4521)))) (-2607 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-558)))) (-1359 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-3434 ((|#4| |#4| $) 80)) (-3094 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4521))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4521))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-3158 (((-2 (|:| -4094 (-634 |#4|)) (|:| -2133 (-634 |#4|))) $) 98)) (-2451 (((-121) |#4| $) 129)) (-2978 (((-121) |#4| $) 126)) (-1792 (((-121) |#4| $) 130) (((-121) $) 127)) (-3317 (((-634 |#4|) $) 51 (|has| $ (-6 -4521)))) (-3764 (((-121) |#4| $) 97) (((-121) $) 96)) (-4001 ((|#3| $) 33)) (-3791 (((-121) $ (-763)) 42)) (-4406 (((-634 |#4|) $) 52 (|has| $ (-6 -4521)))) (-2551 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521))))) (-2253 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#4| |#4|) $) 46)) (-2249 (((-634 |#3|) $) 31)) (-1495 (((-121) |#3| $) 30)) (-3796 (((-121) $ (-763)) 41)) (-1893 (((-1143) $) 9)) (-1516 (((-3 |#4| (-634 $)) |#4| |#4| $) 121)) (-3137 (((-634 (-2 (|:| |val| |#4|) (|:| -3145 $))) |#4| |#4| $) 120)) (-4164 (((-3 |#4| "failed") $) 76)) (-3878 (((-634 $) |#4| $) 122)) (-3712 (((-3 (-121) (-634 $)) |#4| $) 125)) (-4266 (((-634 (-2 (|:| |val| (-121)) (|:| -3145 $))) |#4| $) 124) (((-121) |#4| $) 123)) (-1864 (((-634 $) |#4| $) 118) (((-634 $) (-634 |#4|) $) 117) (((-634 $) (-634 |#4|) (-634 $)) 116) (((-634 $) |#4| (-634 $)) 115)) (-3736 (($ |#4| $) 110) (($ (-634 |#4|) $) 109)) (-3882 (((-634 |#4|) $) 100)) (-2157 (((-121) |#4| $) 92) (((-121) $) 88)) (-1315 ((|#4| |#4| $) 83)) (-4342 (((-121) $ $) 103)) (-1440 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-558)))) (-3236 (((-121) |#4| $) 93) (((-121) $) 89)) (-1452 ((|#4| |#4| $) 84)) (-4025 (((-1108) $) 10)) (-3877 (((-3 |#4| "failed") $) 77)) (-2712 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-3413 (((-3 $ "failed") $ |#4|) 71)) (-2168 (($ $ |#4|) 70) (((-634 $) |#4| $) 108) (((-634 $) |#4| (-634 $)) 107) (((-634 $) (-634 |#4|) $) 106) (((-634 $) (-634 |#4|) (-634 $)) 105)) (-3951 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 |#4|) (-634 |#4|)) 58 (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ (-288 |#4|)) 56 (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ (-634 (-288 |#4|))) 55 (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090))))) (-1702 (((-121) $ $) 37)) (-2436 (((-121) $) 40)) (-1990 (($) 39)) (-1836 (((-763) $) 99)) (-4170 (((-763) |#4| $) 53 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521)))) (((-763) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4521)))) (-3865 (($ $) 38)) (-4280 (((-541) $) 68 (|has| |#4| (-609 (-541))))) (-4289 (($ (-634 |#4|)) 59)) (-3206 (($ $ |#3|) 27)) (-2527 (($ $ |#3|) 29)) (-4392 (($ $) 81)) (-4332 (($ $ |#3|) 28)) (-2747 (((-850) $) 11) (((-634 |#4|) $) 36)) (-2524 (((-763) $) 69 (|has| |#3| (-370)))) (-2835 (((-3 (-2 (|:| |bas| $) (|:| -2618 (-634 |#4|))) "failed") (-634 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -2618 (-634 |#4|))) "failed") (-634 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-2145 (((-121) $ (-1 (-121) |#4| (-634 |#4|))) 91)) (-1977 (((-634 $) |#4| $) 114) (((-634 $) |#4| (-634 $)) 113) (((-634 $) (-634 |#4|) $) 112) (((-634 $) (-634 |#4|) (-634 $)) 111)) (-3437 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4521)))) (-3321 (((-634 |#3|) $) 74)) (-3541 (((-121) |#4| $) 128)) (-1413 (((-121) |#3| $) 73)) (-1719 (((-121) $ $) 6)) (-1699 (((-763) $) 45 (|has| $ (-6 -4521))))) 
-(((-1066 |#1| |#2| |#3| |#4|) (-1275) (-453) (-788) (-842) (-1061 |t#1| |t#2| |t#3|)) (T -1066)) 
-((-1792 (*1 *2 *3 *1) (-12 (-4 *1 (-1066 *4 *5 *6 *3)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-121)))) (-2451 (*1 *2 *3 *1) (-12 (-4 *1 (-1066 *4 *5 *6 *3)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-121)))) (-3541 (*1 *2 *3 *1) (-12 (-4 *1 (-1066 *4 *5 *6 *3)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-121)))) (-1792 (*1 *2 *1) (-12 (-4 *1 (-1066 *3 *4 *5 *6)) (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-121)))) (-2978 (*1 *2 *3 *1) (-12 (-4 *1 (-1066 *4 *5 *6 *3)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-121)))) (-3712 (*1 *2 *3 *1) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-3 (-121) (-634 *1))) (-4 *1 (-1066 *4 *5 *6 *3)))) (-4266 (*1 *2 *3 *1) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-634 (-2 (|:| |val| (-121)) (|:| -3145 *1)))) (-4 *1 (-1066 *4 *5 *6 *3)))) (-4266 (*1 *2 *3 *1) (-12 (-4 *1 (-1066 *4 *5 *6 *3)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-121)))) (-3878 (*1 *2 *3 *1) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-634 *1)) (-4 *1 (-1066 *4 *5 *6 *3)))) (-1516 (*1 *2 *3 *3 *1) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-3 *3 (-634 *1))) (-4 *1 (-1066 *4 *5 *6 *3)))) (-3137 (*1 *2 *3 *3 *1) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-634 (-2 (|:| |val| *3) (|:| -3145 *1)))) (-4 *1 (-1066 *4 *5 *6 *3)))) (-3045 (*1 *2 *3 *1) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-634 (-2 (|:| |val| *3) (|:| -3145 *1)))) (-4 *1 (-1066 *4 *5 *6 *3)))) (-1864 (*1 *2 *3 *1) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-634 *1)) (-4 *1 (-1066 *4 *5 *6 *3)))) (-1864 (*1 *2 *3 *1) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-1066 *4 *5 *6 *7)))) (-1864 (*1 *2 *3 *2) (-12 (-5 *2 (-634 *1)) (-5 *3 (-634 *7)) (-4 *1 (-1066 *4 *5 *6 *7)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)))) (-1864 (*1 *2 *3 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-1066 *4 *5 *6 *3)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)))) (-1977 (*1 *2 *3 *1) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-634 *1)) (-4 *1 (-1066 *4 *5 *6 *3)))) (-1977 (*1 *2 *3 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-1066 *4 *5 *6 *3)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)))) (-1977 (*1 *2 *3 *1) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-1066 *4 *5 *6 *7)))) (-1977 (*1 *2 *3 *2) (-12 (-5 *2 (-634 *1)) (-5 *3 (-634 *7)) (-4 *1 (-1066 *4 *5 *6 *7)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)))) (-3736 (*1 *1 *2 *1) (-12 (-4 *1 (-1066 *3 *4 *5 *2)) (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *2 (-1061 *3 *4 *5)))) (-3736 (*1 *1 *2 *1) (-12 (-5 *2 (-634 *6)) (-4 *1 (-1066 *3 *4 *5 *6)) (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)))) (-2168 (*1 *2 *3 *1) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-634 *1)) (-4 *1 (-1066 *4 *5 *6 *3)))) (-2168 (*1 *2 *3 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-1066 *4 *5 *6 *3)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)))) (-2168 (*1 *2 *3 *1) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-1066 *4 *5 *6 *7)))) (-2168 (*1 *2 *3 *2) (-12 (-5 *2 (-634 *1)) (-5 *3 (-634 *7)) (-4 *1 (-1066 *4 *5 *6 *7)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)))) (-2353 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-121)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-1066 *5 *6 *7 *8))))) 
-(-13 (-1189 |t#1| |t#2| |t#3| |t#4|) (-10 -8 (-15 -1792 ((-121) |t#4| $)) (-15 -2451 ((-121) |t#4| $)) (-15 -3541 ((-121) |t#4| $)) (-15 -1792 ((-121) $)) (-15 -2978 ((-121) |t#4| $)) (-15 -3712 ((-3 (-121) (-634 $)) |t#4| $)) (-15 -4266 ((-634 (-2 (|:| |val| (-121)) (|:| -3145 $))) |t#4| $)) (-15 -4266 ((-121) |t#4| $)) (-15 -3878 ((-634 $) |t#4| $)) (-15 -1516 ((-3 |t#4| (-634 $)) |t#4| |t#4| $)) (-15 -3137 ((-634 (-2 (|:| |val| |t#4|) (|:| -3145 $))) |t#4| |t#4| $)) (-15 -3045 ((-634 (-2 (|:| |val| |t#4|) (|:| -3145 $))) |t#4| $)) (-15 -1864 ((-634 $) |t#4| $)) (-15 -1864 ((-634 $) (-634 |t#4|) $)) (-15 -1864 ((-634 $) (-634 |t#4|) (-634 $))) (-15 -1864 ((-634 $) |t#4| (-634 $))) (-15 -1977 ((-634 $) |t#4| $)) (-15 -1977 ((-634 $) |t#4| (-634 $))) (-15 -1977 ((-634 $) (-634 |t#4|) $)) (-15 -1977 ((-634 $) (-634 |t#4|) (-634 $))) (-15 -3736 ($ |t#4| $)) (-15 -3736 ($ (-634 |t#4|) $)) (-15 -2168 ((-634 $) |t#4| $)) (-15 -2168 ((-634 $) |t#4| (-634 $))) (-15 -2168 ((-634 $) (-634 |t#4|) $)) (-15 -2168 ((-634 $) (-634 |t#4|) (-634 $))) (-15 -2353 ((-634 $) (-634 |t#4|) (-121))))) 
-(((-39) . T) ((-105) . T) ((-608 (-634 |#4|)) . T) ((-608 (-850)) . T) ((-154 |#4|) . T) ((-609 (-541)) |has| |#4| (-609 (-541))) ((-303 |#4|) -12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090))) ((-499 |#4|) . T) ((-523 |#4| |#4|) -12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090))) ((-977 |#1| |#2| |#3| |#4|) . T) ((-1090) . T) ((-1189 |#1| |#2| |#3| |#4|) . T) ((-1195) . T)) 
-((-1621 (((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) |#4| |#5|) 81)) (-1912 (((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) |#4| |#4| |#5|) 112)) (-1326 (((-634 |#5|) |#4| |#5|) 70)) (-2187 (((-634 (-2 (|:| |val| (-121)) (|:| -3145 |#5|))) |#4| |#5|) 44) (((-121) |#4| |#5|) 52)) (-1777 (((-1249)) 35)) (-3398 (((-1249)) 25)) (-1798 (((-1249) (-1143) (-1143) (-1143)) 31)) (-1741 (((-1249) (-1143) (-1143) (-1143)) 20)) (-4244 (((-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) |#4| |#4| |#5|) 95)) (-3491 (((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) |#3| (-121)) 106) (((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) |#4| |#4| |#5| (-121) (-121)) 49)) (-4056 (((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) |#4| |#4| |#5|) 101))) 
-(((-1067 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1741 ((-1249) (-1143) (-1143) (-1143))) (-15 -3398 ((-1249))) (-15 -1798 ((-1249) (-1143) (-1143) (-1143))) (-15 -1777 ((-1249))) (-15 -4244 ((-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) |#4| |#4| |#5|)) (-15 -3491 ((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) |#4| |#4| |#5| (-121) (-121))) (-15 -3491 ((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) |#3| (-121))) (-15 -4056 ((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) |#4| |#4| |#5|)) (-15 -1912 ((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) |#4| |#4| |#5|)) (-15 -2187 ((-121) |#4| |#5|)) (-15 -2187 ((-634 (-2 (|:| |val| (-121)) (|:| -3145 |#5|))) |#4| |#5|)) (-15 -1326 ((-634 |#5|) |#4| |#5|)) (-15 -1621 ((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) |#4| |#5|))) (-453) (-788) (-842) (-1061 |#1| |#2| |#3|) (-1066 |#1| |#2| |#3| |#4|)) (T -1067)) 
-((-1621 (*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| *3) (|:| -3145 *4)))) (-5 *1 (-1067 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3)))) (-1326 (*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 *4)) (-5 *1 (-1067 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3)))) (-2187 (*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| (-121)) (|:| -3145 *4)))) (-5 *1 (-1067 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3)))) (-2187 (*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1067 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3)))) (-1912 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| *3) (|:| -3145 *4)))) (-5 *1 (-1067 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3)))) (-4056 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| *3) (|:| -3145 *4)))) (-5 *1 (-1067 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3)))) (-3491 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-634 (-2 (|:| |val| (-634 *8)) (|:| -3145 *9)))) (-5 *5 (-121)) (-4 *8 (-1061 *6 *7 *4)) (-4 *9 (-1066 *6 *7 *4 *8)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *4 (-842)) (-5 *2 (-634 (-2 (|:| |val| *8) (|:| -3145 *9)))) (-5 *1 (-1067 *6 *7 *4 *8 *9)))) (-3491 (*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-121)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *8 (-842)) (-4 *3 (-1061 *6 *7 *8)) (-5 *2 (-634 (-2 (|:| |val| *3) (|:| -3145 *4)))) (-5 *1 (-1067 *6 *7 *8 *3 *4)) (-4 *4 (-1066 *6 *7 *8 *3)))) (-4244 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))) (-5 *1 (-1067 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3)))) (-1777 (*1 *2) (-12 (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-1249)) (-5 *1 (-1067 *3 *4 *5 *6 *7)) (-4 *7 (-1066 *3 *4 *5 *6)))) (-1798 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1143)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-1249)) (-5 *1 (-1067 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7)))) (-3398 (*1 *2) (-12 (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-1249)) (-5 *1 (-1067 *3 *4 *5 *6 *7)) (-4 *7 (-1066 *3 *4 *5 *6)))) (-1741 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1143)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-1249)) (-5 *1 (-1067 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7))))) 
-(-10 -7 (-15 -1741 ((-1249) (-1143) (-1143) (-1143))) (-15 -3398 ((-1249))) (-15 -1798 ((-1249) (-1143) (-1143) (-1143))) (-15 -1777 ((-1249))) (-15 -4244 ((-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) |#4| |#4| |#5|)) (-15 -3491 ((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) |#4| |#4| |#5| (-121) (-121))) (-15 -3491 ((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) |#3| (-121))) (-15 -4056 ((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) |#4| |#4| |#5|)) (-15 -1912 ((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) |#4| |#4| |#5|)) (-15 -2187 ((-121) |#4| |#5|)) (-15 -2187 ((-634 (-2 (|:| |val| (-121)) (|:| -3145 |#5|))) |#4| |#5|)) (-15 -1326 ((-634 |#5|) |#4| |#5|)) (-15 -1621 ((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) |#4| |#5|))) 
-((-2449 (((-121) $ $) NIL)) (-3393 (((-1161) $) 8)) (-1893 (((-1143) $) 16)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) 11)) (-1719 (((-121) $ $) 13))) 
-(((-1068 |#1|) (-13 (-1090) (-10 -8 (-15 -3393 ((-1161) $)))) (-1161)) (T -1068)) 
-((-3393 (*1 *2 *1) (-12 (-5 *2 (-1161)) (-5 *1 (-1068 *3)) (-14 *3 *2)))) 
-(-13 (-1090) (-10 -8 (-15 -3393 ((-1161) $)))) 
-((-2449 (((-121) $ $) NIL)) (-1563 (($ $ (-634 (-1161)) (-1 (-121) (-634 |#3|))) 29)) (-3362 (($ |#3| |#3|) 21) (($ |#3| |#3| (-634 (-1161))) 19)) (-3250 ((|#3| $) 13)) (-3668 (((-3 (-288 |#3|) "failed") $) 56)) (-2857 (((-288 |#3|) $) NIL)) (-3513 (((-634 (-1161)) $) 15)) (-4365 (((-887 |#1|) $) 11)) (-2433 ((|#3| $) 12)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2781 ((|#3| $ |#3|) 25) ((|#3| $ |#3| (-917)) 36)) (-2747 (((-850) $) 84) (($ (-288 |#3|)) 20)) (-1719 (((-121) $ $) 33))) 
-(((-1069 |#1| |#2| |#3|) (-13 (-1090) (-281 |#3| |#3|) (-1037 (-288 |#3|)) (-10 -8 (-15 -3362 ($ |#3| |#3|)) (-15 -3362 ($ |#3| |#3| (-634 (-1161)))) (-15 -1563 ($ $ (-634 (-1161)) (-1 (-121) (-634 |#3|)))) (-15 -4365 ((-887 |#1|) $)) (-15 -2433 (|#3| $)) (-15 -3250 (|#3| $)) (-15 -2781 (|#3| $ |#3| (-917))) (-15 -3513 ((-634 (-1161)) $)))) (-1090) (-13 (-1047) (-881 |#1|) (-842) (-609 (-887 |#1|))) (-13 (-432 |#2|) (-881 |#1|) (-609 (-887 |#1|)))) (T -1069)) 
-((-3362 (*1 *1 *2 *2) (-12 (-4 *3 (-1090)) (-4 *4 (-13 (-1047) (-881 *3) (-842) (-609 (-887 *3)))) (-5 *1 (-1069 *3 *4 *2)) (-4 *2 (-13 (-432 *4) (-881 *3) (-609 (-887 *3)))))) (-3362 (*1 *1 *2 *2 *3) (-12 (-5 *3 (-634 (-1161))) (-4 *4 (-1090)) (-4 *5 (-13 (-1047) (-881 *4) (-842) (-609 (-887 *4)))) (-5 *1 (-1069 *4 *5 *2)) (-4 *2 (-13 (-432 *5) (-881 *4) (-609 (-887 *4)))))) (-1563 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-1161))) (-5 *3 (-1 (-121) (-634 *6))) (-4 *6 (-13 (-432 *5) (-881 *4) (-609 (-887 *4)))) (-4 *4 (-1090)) (-4 *5 (-13 (-1047) (-881 *4) (-842) (-609 (-887 *4)))) (-5 *1 (-1069 *4 *5 *6)))) (-4365 (*1 *2 *1) (-12 (-4 *3 (-1090)) (-4 *4 (-13 (-1047) (-881 *3) (-842) (-609 *2))) (-5 *2 (-887 *3)) (-5 *1 (-1069 *3 *4 *5)) (-4 *5 (-13 (-432 *4) (-881 *3) (-609 *2))))) (-2433 (*1 *2 *1) (-12 (-4 *3 (-1090)) (-4 *2 (-13 (-432 *4) (-881 *3) (-609 (-887 *3)))) (-5 *1 (-1069 *3 *4 *2)) (-4 *4 (-13 (-1047) (-881 *3) (-842) (-609 (-887 *3)))))) (-3250 (*1 *2 *1) (-12 (-4 *3 (-1090)) (-4 *2 (-13 (-432 *4) (-881 *3) (-609 (-887 *3)))) (-5 *1 (-1069 *3 *4 *2)) (-4 *4 (-13 (-1047) (-881 *3) (-842) (-609 (-887 *3)))))) (-2781 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-917)) (-4 *4 (-1090)) (-4 *5 (-13 (-1047) (-881 *4) (-842) (-609 (-887 *4)))) (-5 *1 (-1069 *4 *5 *2)) (-4 *2 (-13 (-432 *5) (-881 *4) (-609 (-887 *4)))))) (-3513 (*1 *2 *1) (-12 (-4 *3 (-1090)) (-4 *4 (-13 (-1047) (-881 *3) (-842) (-609 (-887 *3)))) (-5 *2 (-634 (-1161))) (-5 *1 (-1069 *3 *4 *5)) (-4 *5 (-13 (-432 *4) (-881 *3) (-609 (-887 *3))))))) 
-(-13 (-1090) (-281 |#3| |#3|) (-1037 (-288 |#3|)) (-10 -8 (-15 -3362 ($ |#3| |#3|)) (-15 -3362 ($ |#3| |#3| (-634 (-1161)))) (-15 -1563 ($ $ (-634 (-1161)) (-1 (-121) (-634 |#3|)))) (-15 -4365 ((-887 |#1|) $)) (-15 -2433 (|#3| $)) (-15 -3250 (|#3| $)) (-15 -2781 (|#3| $ |#3| (-917))) (-15 -3513 ((-634 (-1161)) $)))) 
-((-2449 (((-121) $ $) NIL)) (-3387 (($ (-634 (-1069 |#1| |#2| |#3|))) 12)) (-2095 (((-634 (-1069 |#1| |#2| |#3|)) $) 19)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2781 ((|#3| $ |#3|) 22) ((|#3| $ |#3| (-917)) 25)) (-2747 (((-850) $) 15)) (-1719 (((-121) $ $) 18))) 
-(((-1070 |#1| |#2| |#3|) (-13 (-1090) (-281 |#3| |#3|) (-10 -8 (-15 -3387 ($ (-634 (-1069 |#1| |#2| |#3|)))) (-15 -2095 ((-634 (-1069 |#1| |#2| |#3|)) $)) (-15 -2781 (|#3| $ |#3| (-917))))) (-1090) (-13 (-1047) (-881 |#1|) (-842) (-609 (-887 |#1|))) (-13 (-432 |#2|) (-881 |#1|) (-609 (-887 |#1|)))) (T -1070)) 
-((-3387 (*1 *1 *2) (-12 (-5 *2 (-634 (-1069 *3 *4 *5))) (-4 *3 (-1090)) (-4 *4 (-13 (-1047) (-881 *3) (-842) (-609 (-887 *3)))) (-4 *5 (-13 (-432 *4) (-881 *3) (-609 (-887 *3)))) (-5 *1 (-1070 *3 *4 *5)))) (-2095 (*1 *2 *1) (-12 (-4 *3 (-1090)) (-4 *4 (-13 (-1047) (-881 *3) (-842) (-609 (-887 *3)))) (-5 *2 (-634 (-1069 *3 *4 *5))) (-5 *1 (-1070 *3 *4 *5)) (-4 *5 (-13 (-432 *4) (-881 *3) (-609 (-887 *3)))))) (-2781 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-917)) (-4 *4 (-1090)) (-4 *5 (-13 (-1047) (-881 *4) (-842) (-609 (-887 *4)))) (-5 *1 (-1070 *4 *5 *2)) (-4 *2 (-13 (-432 *5) (-881 *4) (-609 (-887 *4))))))) 
-(-13 (-1090) (-281 |#3| |#3|) (-10 -8 (-15 -3387 ($ (-634 (-1069 |#1| |#2| |#3|)))) (-15 -2095 ((-634 (-1069 |#1| |#2| |#3|)) $)) (-15 -2781 (|#3| $ |#3| (-917))))) 
-((-2805 (((-634 (-2 (|:| -3722 (-1157 |#1|)) (|:| -1656 (-634 (-953 |#1|))))) (-634 (-953 |#1|)) (-121) (-121)) 73) (((-634 (-2 (|:| -3722 (-1157 |#1|)) (|:| -1656 (-634 (-953 |#1|))))) (-634 (-953 |#1|))) 75) (((-634 (-2 (|:| -3722 (-1157 |#1|)) (|:| -1656 (-634 (-953 |#1|))))) (-634 (-953 |#1|)) (-121)) 74))) 
-(((-1071 |#1| |#2|) (-10 -7 (-15 -2805 ((-634 (-2 (|:| -3722 (-1157 |#1|)) (|:| -1656 (-634 (-953 |#1|))))) (-634 (-953 |#1|)) (-121))) (-15 -2805 ((-634 (-2 (|:| -3722 (-1157 |#1|)) (|:| -1656 (-634 (-953 |#1|))))) (-634 (-953 |#1|)))) (-15 -2805 ((-634 (-2 (|:| -3722 (-1157 |#1|)) (|:| -1656 (-634 (-953 |#1|))))) (-634 (-953 |#1|)) (-121) (-121)))) (-13 (-301) (-150)) (-634 (-1161))) (T -1071)) 
-((-2805 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-301) (-150))) (-5 *2 (-634 (-2 (|:| -3722 (-1157 *5)) (|:| -1656 (-634 (-953 *5)))))) (-5 *1 (-1071 *5 *6)) (-5 *3 (-634 (-953 *5))) (-14 *6 (-634 (-1161))))) (-2805 (*1 *2 *3) (-12 (-4 *4 (-13 (-301) (-150))) (-5 *2 (-634 (-2 (|:| -3722 (-1157 *4)) (|:| -1656 (-634 (-953 *4)))))) (-5 *1 (-1071 *4 *5)) (-5 *3 (-634 (-953 *4))) (-14 *5 (-634 (-1161))))) (-2805 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-301) (-150))) (-5 *2 (-634 (-2 (|:| -3722 (-1157 *5)) (|:| -1656 (-634 (-953 *5)))))) (-5 *1 (-1071 *5 *6)) (-5 *3 (-634 (-953 *5))) (-14 *6 (-634 (-1161)))))) 
-(-10 -7 (-15 -2805 ((-634 (-2 (|:| -3722 (-1157 |#1|)) (|:| -1656 (-634 (-953 |#1|))))) (-634 (-953 |#1|)) (-121))) (-15 -2805 ((-634 (-2 (|:| -3722 (-1157 |#1|)) (|:| -1656 (-634 (-953 |#1|))))) (-634 (-953 |#1|)))) (-15 -2805 ((-634 (-2 (|:| -3722 (-1157 |#1|)) (|:| -1656 (-634 (-953 |#1|))))) (-634 (-953 |#1|)) (-121) (-121)))) 
-((-3850 (((-420 |#3|) |#3|) 16))) 
-(((-1072 |#1| |#2| |#3|) (-10 -7 (-15 -3850 ((-420 |#3|) |#3|))) (-1219 (-409 (-568))) (-13 (-365) (-150) (-714 (-409 (-568)) |#1|)) (-1219 |#2|)) (T -1072)) 
-((-3850 (*1 *2 *3) (-12 (-4 *4 (-1219 (-409 (-568)))) (-4 *5 (-13 (-365) (-150) (-714 (-409 (-568)) *4))) (-5 *2 (-420 *3)) (-5 *1 (-1072 *4 *5 *3)) (-4 *3 (-1219 *5))))) 
-(-10 -7 (-15 -3850 ((-420 |#3|) |#3|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 125)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#1| (-365)))) (-3661 (($ $) NIL (|has| |#1| (-365)))) (-4426 (((-121) $) NIL (|has| |#1| (-365)))) (-2883 (((-679 |#1|) (-1244 $)) NIL) (((-679 |#1|)) 115)) (-1934 ((|#1| $) 119)) (-1856 (((-1169 (-917) (-763)) (-568)) NIL (|has| |#1| (-350)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL (|has| |#1| (-365)))) (-3498 (((-420 $) $) NIL (|has| |#1| (-365)))) (-2589 (((-121) $ $) NIL (|has| |#1| (-365)))) (-3986 (((-763)) 40 (|has| |#1| (-370)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-568) "failed") $) NIL (|has| |#1| (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-3 |#1| "failed") $) NIL)) (-2857 (((-568) $) NIL (|has| |#1| (-1037 (-568)))) (((-409 (-568)) $) NIL (|has| |#1| (-1037 (-409 (-568))))) ((|#1| $) NIL)) (-3899 (($ (-1244 |#1|) (-1244 $)) NIL) (($ (-1244 |#1|)) 43)) (-1368 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-350)))) (-2403 (($ $ $) NIL (|has| |#1| (-365)))) (-3653 (((-679 |#1|) $ (-1244 $)) NIL) (((-679 |#1|) $) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 |#1|))) (-679 $) (-1244 $)) 106) (((-679 |#1|) (-679 $)) 100)) (-3094 (($ |#2|) 61) (((-3 $ "failed") (-409 |#2|)) NIL (|has| |#1| (-365)))) (-2902 (((-3 $ "failed") $) NIL)) (-2371 (((-917)) 77)) (-1733 (($) 44 (|has| |#1| (-370)))) (-2414 (($ $ $) NIL (|has| |#1| (-365)))) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL (|has| |#1| (-365)))) (-4188 (($) NIL (|has| |#1| (-350)))) (-1748 (((-121) $) NIL (|has| |#1| (-350)))) (-1887 (($ $ (-763)) NIL (|has| |#1| (-350))) (($ $) NIL (|has| |#1| (-350)))) (-2197 (((-121) $) NIL (|has| |#1| (-365)))) (-1844 (((-917) $) NIL (|has| |#1| (-350))) (((-828 (-917)) $) NIL (|has| |#1| (-350)))) (-1598 (((-121) $) NIL)) (-4417 ((|#1| $) NIL)) (-2214 (((-3 $ "failed") $) NIL (|has| |#1| (-350)))) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-1497 ((|#2| $) 84 (|has| |#1| (-365)))) (-2291 (((-917) $) 129 (|has| |#1| (-370)))) (-3087 ((|#2| $) 58)) (-2498 (($ (-634 $)) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-365)))) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL (|has| |#1| (-365)))) (-4436 (($) NIL (|has| |#1| (-350)) CONST)) (-4357 (($ (-917)) 124 (|has| |#1| (-370)))) (-4025 (((-1108) $) NIL)) (-2707 (($) 121)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#1| (-365)))) (-2723 (($ (-634 $)) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-365)))) (-2172 (((-634 (-2 (|:| -3850 (-568)) (|:| -3483 (-568))))) NIL (|has| |#1| (-350)))) (-3850 (((-420 $) $) NIL (|has| |#1| (-365)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-365))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#1| (-365)))) (-2597 (((-3 $ "failed") $ $) NIL (|has| |#1| (-365)))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-1466 (((-763) $) NIL (|has| |#1| (-365)))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-365)))) (-3440 ((|#1| (-1244 $)) NIL) ((|#1|) 109)) (-2721 (((-763) $) NIL (|has| |#1| (-350))) (((-3 (-763) "failed") $ $) NIL (|has| |#1| (-350)))) (-4191 (($ $) NIL (-2199 (-12 (|has| |#1| (-225)) (|has| |#1| (-365))) (|has| |#1| (-350)))) (($ $ (-763)) NIL (-2199 (-12 (|has| |#1| (-225)) (|has| |#1| (-365))) (|has| |#1| (-350)))) (($ $ (-1161)) NIL (-12 (|has| |#1| (-365)) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#1| (-365)) (|has| |#1| (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#1| (-365)) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#1| (-365)) (|has| |#1| (-895 (-1161))))) (($ $ (-1 |#1| |#1|) (-763)) NIL (|has| |#1| (-365))) (($ $ (-1 |#1| |#1|)) NIL (|has| |#1| (-365)))) (-1391 (((-679 |#1|) (-1244 $) (-1 |#1| |#1|)) NIL (|has| |#1| (-365)))) (-1492 ((|#2|) 73)) (-2330 (($) NIL (|has| |#1| (-350)))) (-1656 (((-1244 |#1|) $ (-1244 $)) 89) (((-679 |#1|) (-1244 $) (-1244 $)) NIL) (((-1244 |#1|) $) 71) (((-679 |#1|) (-1244 $)) 85)) (-4280 (((-1244 |#1|) $) NIL) (($ (-1244 |#1|)) NIL) ((|#2| $) NIL) (($ |#2|) NIL)) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (|has| |#1| (-350)))) (-2747 (((-850) $) 57) (($ (-568)) 53) (($ |#1|) 54) (($ $) NIL (|has| |#1| (-365))) (($ (-409 (-568))) NIL (-2199 (|has| |#1| (-365)) (|has| |#1| (-1037 (-409 (-568))))))) (-3385 (($ $) NIL (|has| |#1| (-350))) (((-3 $ "failed") $) NIL (|has| |#1| (-148)))) (-1295 ((|#2| $) 82)) (-3425 (((-763)) 75)) (-2588 (((-1244 $)) 81)) (-2273 (((-121) $ $) NIL (|has| |#1| (-365)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| |#1| (-365)))) (-3058 (($) 30 T CONST)) (-1557 (($) 19 T CONST)) (-3192 (($ $) NIL (-2199 (-12 (|has| |#1| (-225)) (|has| |#1| (-365))) (|has| |#1| (-350)))) (($ $ (-763)) NIL (-2199 (-12 (|has| |#1| (-225)) (|has| |#1| (-365))) (|has| |#1| (-350)))) (($ $ (-1161)) NIL (-12 (|has| |#1| (-365)) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#1| (-365)) (|has| |#1| (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#1| (-365)) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#1| (-365)) (|has| |#1| (-895 (-1161))))) (($ $ (-1 |#1| |#1|) (-763)) NIL (|has| |#1| (-365))) (($ $ (-1 |#1| |#1|)) NIL (|has| |#1| (-365)))) (-1719 (((-121) $ $) 63)) (-1781 (($ $ $) NIL (|has| |#1| (-365)))) (-1775 (($ $) 67) (($ $ $) NIL)) (-1769 (($ $ $) 65)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| |#1| (-365)))) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 51) (($ $ $) 69) (($ $ |#1|) NIL) (($ |#1| $) 48) (($ (-409 (-568)) $) NIL (|has| |#1| (-365))) (($ $ (-409 (-568))) NIL (|has| |#1| (-365))))) 
-(((-1073 |#1| |#2| |#3|) (-714 |#1| |#2|) (-172) (-1219 |#1|) |#2|) (T -1073)) 
-NIL 
-(-714 |#1| |#2|) 
-((-3850 (((-420 |#3|) |#3|) 16))) 
-(((-1074 |#1| |#2| |#3|) (-10 -7 (-15 -3850 ((-420 |#3|) |#3|))) (-1219 (-409 (-953 (-568)))) (-13 (-365) (-150) (-714 (-409 (-953 (-568))) |#1|)) (-1219 |#2|)) (T -1074)) 
-((-3850 (*1 *2 *3) (-12 (-4 *4 (-1219 (-409 (-953 (-568))))) (-4 *5 (-13 (-365) (-150) (-714 (-409 (-953 (-568))) *4))) (-5 *2 (-420 *3)) (-5 *1 (-1074 *4 *5 *3)) (-4 *3 (-1219 *5))))) 
-(-10 -7 (-15 -3850 ((-420 |#3|) |#3|))) 
-((-2449 (((-121) $ $) NIL)) (-1732 (($ $ $) 14)) (-2047 (($ $ $) 15)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-4116 (($) 6)) (-4280 (((-1161) $) 18)) (-2747 (((-850) $) 12)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 13)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 8))) 
-(((-1075) (-13 (-842) (-10 -8 (-15 -4116 ($)) (-15 -4280 ((-1161) $))))) (T -1075)) 
-((-4116 (*1 *1) (-5 *1 (-1075))) (-4280 (*1 *2 *1) (-12 (-5 *2 (-1161)) (-5 *1 (-1075))))) 
-(-13 (-842) (-10 -8 (-15 -4116 ($)) (-15 -4280 ((-1161) $)))) 
-((-2605 ((|#1| |#1| (-1 (-568) |#1| |#1|)) 21) ((|#1| |#1| (-1 (-121) |#1|)) 18)) (-1586 (((-1249)) 15)) (-3303 (((-634 |#1|)) 9))) 
-(((-1076 |#1|) (-10 -7 (-15 -1586 ((-1249))) (-15 -3303 ((-634 |#1|))) (-15 -2605 (|#1| |#1| (-1 (-121) |#1|))) (-15 -2605 (|#1| |#1| (-1 (-568) |#1| |#1|)))) (-138)) (T -1076)) 
-((-2605 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-568) *2 *2)) (-4 *2 (-138)) (-5 *1 (-1076 *2)))) (-2605 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *2)) (-4 *2 (-138)) (-5 *1 (-1076 *2)))) (-3303 (*1 *2) (-12 (-5 *2 (-634 *3)) (-5 *1 (-1076 *3)) (-4 *3 (-138)))) (-1586 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-1076 *3)) (-4 *3 (-138))))) 
-(-10 -7 (-15 -1586 ((-1249))) (-15 -3303 ((-634 |#1|))) (-15 -2605 (|#1| |#1| (-1 (-121) |#1|))) (-15 -2605 (|#1| |#1| (-1 (-568) |#1| |#1|)))) 
-((-3542 (((-1244 (-679 |#1|)) (-634 (-679 |#1|))) 41) (((-1244 (-679 (-953 |#1|))) (-634 (-1161)) (-679 (-953 |#1|))) 60) (((-1244 (-679 (-409 (-953 |#1|)))) (-634 (-1161)) (-679 (-409 (-953 |#1|)))) 76)) (-1656 (((-1244 |#1|) (-679 |#1|) (-634 (-679 |#1|))) 35))) 
-(((-1077 |#1|) (-10 -7 (-15 -3542 ((-1244 (-679 (-409 (-953 |#1|)))) (-634 (-1161)) (-679 (-409 (-953 |#1|))))) (-15 -3542 ((-1244 (-679 (-953 |#1|))) (-634 (-1161)) (-679 (-953 |#1|)))) (-15 -3542 ((-1244 (-679 |#1|)) (-634 (-679 |#1|)))) (-15 -1656 ((-1244 |#1|) (-679 |#1|) (-634 (-679 |#1|))))) (-365)) (T -1077)) 
-((-1656 (*1 *2 *3 *4) (-12 (-5 *4 (-634 (-679 *5))) (-5 *3 (-679 *5)) (-4 *5 (-365)) (-5 *2 (-1244 *5)) (-5 *1 (-1077 *5)))) (-3542 (*1 *2 *3) (-12 (-5 *3 (-634 (-679 *4))) (-4 *4 (-365)) (-5 *2 (-1244 (-679 *4))) (-5 *1 (-1077 *4)))) (-3542 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-1161))) (-4 *5 (-365)) (-5 *2 (-1244 (-679 (-953 *5)))) (-5 *1 (-1077 *5)) (-5 *4 (-679 (-953 *5))))) (-3542 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-1161))) (-4 *5 (-365)) (-5 *2 (-1244 (-679 (-409 (-953 *5))))) (-5 *1 (-1077 *5)) (-5 *4 (-679 (-409 (-953 *5))))))) 
-(-10 -7 (-15 -3542 ((-1244 (-679 (-409 (-953 |#1|)))) (-634 (-1161)) (-679 (-409 (-953 |#1|))))) (-15 -3542 ((-1244 (-679 (-953 |#1|))) (-634 (-1161)) (-679 (-953 |#1|)))) (-15 -3542 ((-1244 (-679 |#1|)) (-634 (-679 |#1|)))) (-15 -1656 ((-1244 |#1|) (-679 |#1|) (-634 (-679 |#1|))))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2076 (((-634 (-763)) $) NIL) (((-634 (-763)) $ (-1161)) NIL)) (-4308 (((-763) $) NIL) (((-763) $ (-1161)) NIL)) (-2057 (((-634 (-1079 (-1161))) $) NIL)) (-3840 (((-1157 $) $ (-1079 (-1161))) NIL) (((-1157 |#1|) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#1| (-558)))) (-3661 (($ $) NIL (|has| |#1| (-558)))) (-4426 (((-121) $) NIL (|has| |#1| (-558)))) (-3528 (((-763) $) NIL) (((-763) $ (-634 (-1079 (-1161)))) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-3045 (($ $) NIL (|has| |#1| (-453)))) (-3498 (((-420 $) $) NIL (|has| |#1| (-453)))) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-3988 (($ $) NIL)) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#1| "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-3 (-568) "failed") $) NIL (|has| |#1| (-1037 (-568)))) (((-3 (-1079 (-1161)) "failed") $) NIL) (((-3 (-1161) "failed") $) NIL) (((-3 (-1113 |#1| (-1161)) "failed") $) NIL)) (-2857 ((|#1| $) NIL) (((-409 (-568)) $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-568) $) NIL (|has| |#1| (-1037 (-568)))) (((-1079 (-1161)) $) NIL) (((-1161) $) NIL) (((-1113 |#1| (-1161)) $) NIL)) (-2910 (($ $ $ (-1079 (-1161))) NIL (|has| |#1| (-172)))) (-2116 (($ $) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 |#1|))) (-679 $) (-1244 $)) NIL) (((-679 |#1|) (-679 $)) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1998 (($ $) NIL (|has| |#1| (-453))) (($ $ (-1079 (-1161))) NIL (|has| |#1| (-453)))) (-2110 (((-634 $) $) NIL)) (-2197 (((-121) $) NIL (|has| |#1| (-904)))) (-2453 (($ $ |#1| (-534 (-1079 (-1161))) $) NIL)) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (-12 (|has| (-1079 (-1161)) (-881 (-381))) (|has| |#1| (-881 (-381))))) (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (-12 (|has| (-1079 (-1161)) (-881 (-568))) (|has| |#1| (-881 (-568)))))) (-1844 (((-763) $ (-1161)) NIL) (((-763) $) NIL)) (-1598 (((-121) $) NIL)) (-3971 (((-763) $) NIL)) (-2053 (($ (-1157 |#1|) (-1079 (-1161))) NIL) (($ (-1157 $) (-1079 (-1161))) NIL)) (-3062 (((-634 $) $) NIL)) (-2171 (((-121) $) NIL)) (-2049 (($ |#1| (-534 (-1079 (-1161)))) NIL) (($ $ (-1079 (-1161)) (-763)) NIL) (($ $ (-634 (-1079 (-1161))) (-634 (-763))) NIL)) (-1438 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $ (-1079 (-1161))) NIL)) (-3524 (((-534 (-1079 (-1161))) $) NIL) (((-763) $ (-1079 (-1161))) NIL) (((-634 (-763)) $ (-634 (-1079 (-1161)))) NIL)) (-1732 (($ $ $) NIL (|has| |#1| (-842)))) (-2047 (($ $ $) NIL (|has| |#1| (-842)))) (-1865 (($ (-1 (-534 (-1079 (-1161))) (-534 (-1079 (-1161)))) $) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-3029 (((-1 $ (-763)) (-1161)) NIL) (((-1 $ (-763)) $) NIL (|has| |#1| (-225)))) (-2817 (((-3 (-1079 (-1161)) "failed") $) NIL)) (-2099 (($ $) NIL)) (-2104 ((|#1| $) NIL)) (-1692 (((-1079 (-1161)) $) NIL)) (-2498 (($ (-634 $)) NIL (|has| |#1| (-453))) (($ $ $) NIL (|has| |#1| (-453)))) (-1893 (((-1143) $) NIL)) (-4448 (((-121) $) NIL)) (-4362 (((-3 (-634 $) "failed") $) NIL)) (-2112 (((-3 (-634 $) "failed") $) NIL)) (-2617 (((-3 (-2 (|:| |var| (-1079 (-1161))) (|:| -3483 (-763))) "failed") $) NIL)) (-1484 (($ $) NIL)) (-4025 (((-1108) $) NIL)) (-2088 (((-121) $) NIL)) (-2093 ((|#1| $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#1| (-453)))) (-2723 (($ (-634 $)) NIL (|has| |#1| (-453))) (($ $ $) NIL (|has| |#1| (-453)))) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-3850 (((-420 $) $) NIL (|has| |#1| (-904)))) (-2597 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-558))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-558)))) (-1339 (($ $ (-634 (-288 $))) NIL) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL) (($ $ (-1079 (-1161)) |#1|) NIL) (($ $ (-634 (-1079 (-1161))) (-634 |#1|)) NIL) (($ $ (-1079 (-1161)) $) NIL) (($ $ (-634 (-1079 (-1161))) (-634 $)) NIL) (($ $ (-1161) $) NIL (|has| |#1| (-225))) (($ $ (-634 (-1161)) (-634 $)) NIL (|has| |#1| (-225))) (($ $ (-1161) |#1|) NIL (|has| |#1| (-225))) (($ $ (-634 (-1161)) (-634 |#1|)) NIL (|has| |#1| (-225)))) (-3440 (($ $ (-1079 (-1161))) NIL (|has| |#1| (-172)))) (-4191 (($ $ (-1079 (-1161))) NIL) (($ $ (-634 (-1079 (-1161)))) NIL) (($ $ (-1079 (-1161)) (-763)) NIL) (($ $ (-634 (-1079 (-1161))) (-634 (-763))) NIL) (($ $) NIL (|has| |#1| (-225))) (($ $ (-763)) NIL (|has| |#1| (-225))) (($ $ (-1161)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-2775 (((-634 (-1161)) $) NIL)) (-1836 (((-534 (-1079 (-1161))) $) NIL) (((-763) $ (-1079 (-1161))) NIL) (((-634 (-763)) $ (-634 (-1079 (-1161)))) NIL) (((-763) $ (-1161)) NIL)) (-4280 (((-887 (-381)) $) NIL (-12 (|has| (-1079 (-1161)) (-609 (-887 (-381)))) (|has| |#1| (-609 (-887 (-381)))))) (((-887 (-568)) $) NIL (-12 (|has| (-1079 (-1161)) (-609 (-887 (-568)))) (|has| |#1| (-609 (-887 (-568)))))) (((-541) $) NIL (-12 (|has| (-1079 (-1161)) (-609 (-541))) (|has| |#1| (-609 (-541)))))) (-1364 ((|#1| $) NIL (|has| |#1| (-453))) (($ $ (-1079 (-1161))) NIL (|has| |#1| (-453)))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-12 (|has| $ (-148)) (|has| |#1| (-904))))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ |#1|) NIL) (($ (-1079 (-1161))) NIL) (($ (-1161)) NIL) (($ (-1113 |#1| (-1161))) NIL) (($ (-409 (-568))) NIL (-2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-1037 (-409 (-568)))))) (($ $) NIL (|has| |#1| (-558)))) (-3304 (((-634 |#1|) $) NIL)) (-2079 ((|#1| $ (-534 (-1079 (-1161)))) NIL) (($ $ (-1079 (-1161)) (-763)) NIL) (($ $ (-634 (-1079 (-1161))) (-634 (-763))) NIL)) (-3385 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| |#1| (-904))) (|has| |#1| (-148))))) (-3425 (((-763)) NIL)) (-3925 (($ $ $ (-763)) NIL (|has| |#1| (-172)))) (-2273 (((-121) $ $) NIL (|has| |#1| (-558)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($ $ (-1079 (-1161))) NIL) (($ $ (-634 (-1079 (-1161)))) NIL) (($ $ (-1079 (-1161)) (-763)) NIL) (($ $ (-634 (-1079 (-1161))) (-634 (-763))) NIL) (($ $) NIL (|has| |#1| (-225))) (($ $ (-763)) NIL (|has| |#1| (-225))) (($ $ (-1161)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1753 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1781 (($ $ |#1|) NIL (|has| |#1| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))) (($ (-409 (-568)) $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-1078 |#1|) (-13 (-246 |#1| (-1161) (-1079 (-1161)) (-534 (-1079 (-1161)))) (-1037 (-1113 |#1| (-1161)))) (-1047)) (T -1078)) 
-NIL 
-(-13 (-246 |#1| (-1161) (-1079 (-1161)) (-534 (-1079 (-1161)))) (-1037 (-1113 |#1| (-1161)))) 
-((-2449 (((-121) $ $) NIL)) (-4308 (((-763) $) NIL)) (-3325 ((|#1| $) 10)) (-3668 (((-3 |#1| "failed") $) NIL)) (-2857 ((|#1| $) NIL)) (-1844 (((-763) $) 11)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-3029 (($ |#1| (-763)) 9)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-4191 (($ $) NIL) (($ $ (-763)) NIL)) (-2747 (((-850) $) NIL) (($ |#1|) NIL)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 15))) 
-(((-1079 |#1|) (-262 |#1|) (-842)) (T -1079)) 
-NIL 
-(-262 |#1|) 
-((-2797 (((-634 |#2|) (-1 |#2| |#1|) (-1084 |#1|)) 23 (|has| |#1| (-840))) (((-1084 |#2|) (-1 |#2| |#1|) (-1084 |#1|)) 14))) 
-(((-1080 |#1| |#2|) (-10 -7 (-15 -2797 ((-1084 |#2|) (-1 |#2| |#1|) (-1084 |#1|))) (IF (|has| |#1| (-840)) (-15 -2797 ((-634 |#2|) (-1 |#2| |#1|) (-1084 |#1|))) |noBranch|)) (-1195) (-1195)) (T -1080)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1084 *5)) (-4 *5 (-840)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-634 *6)) (-5 *1 (-1080 *5 *6)))) (-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1084 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-1084 *6)) (-5 *1 (-1080 *5 *6))))) 
-(-10 -7 (-15 -2797 ((-1084 |#2|) (-1 |#2| |#1|) (-1084 |#1|))) (IF (|has| |#1| (-840)) (-15 -2797 ((-634 |#2|) (-1 |#2| |#1|) (-1084 |#1|))) |noBranch|)) 
-((-2797 (((-1082 |#2|) (-1 |#2| |#1|) (-1082 |#1|)) 19))) 
-(((-1081 |#1| |#2|) (-10 -7 (-15 -2797 ((-1082 |#2|) (-1 |#2| |#1|) (-1082 |#1|)))) (-1195) (-1195)) (T -1081)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1082 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-1082 *6)) (-5 *1 (-1081 *5 *6))))) 
-(-10 -7 (-15 -2797 ((-1082 |#2|) (-1 |#2| |#1|) (-1082 |#1|)))) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-3325 (((-1161) $) 11)) (-2465 (((-1084 |#1|) $) 12)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-2785 (($ (-1161) (-1084 |#1|)) 10)) (-2747 (((-850) $) 20 (|has| |#1| (-1090)))) (-1719 (((-121) $ $) 15 (|has| |#1| (-1090))))) 
-(((-1082 |#1|) (-13 (-1195) (-10 -8 (-15 -2785 ($ (-1161) (-1084 |#1|))) (-15 -3325 ((-1161) $)) (-15 -2465 ((-1084 |#1|) $)) (IF (|has| |#1| (-1090)) (-6 (-1090)) |noBranch|))) (-1195)) (T -1082)) 
-((-2785 (*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1084 *4)) (-4 *4 (-1195)) (-5 *1 (-1082 *4)))) (-3325 (*1 *2 *1) (-12 (-5 *2 (-1161)) (-5 *1 (-1082 *3)) (-4 *3 (-1195)))) (-2465 (*1 *2 *1) (-12 (-5 *2 (-1084 *3)) (-5 *1 (-1082 *3)) (-4 *3 (-1195))))) 
-(-13 (-1195) (-10 -8 (-15 -2785 ($ (-1161) (-1084 |#1|))) (-15 -3325 ((-1161) $)) (-15 -2465 ((-1084 |#1|) $)) (IF (|has| |#1| (-1090)) (-6 (-1090)) |noBranch|))) 
-((-2465 (($ |#1| |#1|) 7)) (-3544 ((|#1| $) 10)) (-2748 ((|#1| $) 12)) (-2753 (((-568) $) 8)) (-3043 ((|#1| $) 9)) (-2756 ((|#1| $) 11)) (-4280 (($ |#1|) 6)) (-4255 (($ |#1| |#1|) 14)) (-4145 (($ $ (-568)) 13))) 
-(((-1083 |#1|) (-1275) (-1195)) (T -1083)) 
-((-4255 (*1 *1 *2 *2) (-12 (-4 *1 (-1083 *2)) (-4 *2 (-1195)))) (-4145 (*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-1083 *3)) (-4 *3 (-1195)))) (-2748 (*1 *2 *1) (-12 (-4 *1 (-1083 *2)) (-4 *2 (-1195)))) (-2756 (*1 *2 *1) (-12 (-4 *1 (-1083 *2)) (-4 *2 (-1195)))) (-3544 (*1 *2 *1) (-12 (-4 *1 (-1083 *2)) (-4 *2 (-1195)))) (-3043 (*1 *2 *1) (-12 (-4 *1 (-1083 *2)) (-4 *2 (-1195)))) (-2753 (*1 *2 *1) (-12 (-4 *1 (-1083 *3)) (-4 *3 (-1195)) (-5 *2 (-568)))) (-2465 (*1 *1 *2 *2) (-12 (-4 *1 (-1083 *2)) (-4 *2 (-1195)))) (-4280 (*1 *1 *2) (-12 (-4 *1 (-1083 *2)) (-4 *2 (-1195))))) 
-(-13 (-1195) (-10 -8 (-15 -4255 ($ |t#1| |t#1|)) (-15 -4145 ($ $ (-568))) (-15 -2748 (|t#1| $)) (-15 -2756 (|t#1| $)) (-15 -3544 (|t#1| $)) (-15 -3043 (|t#1| $)) (-15 -2753 ((-568) $)) (-15 -2465 ($ |t#1| |t#1|)) (-15 -4280 ($ |t#1|)))) 
-(((-1195) . T)) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-2465 (($ |#1| |#1|) 15)) (-2797 (((-634 |#1|) (-1 |#1| |#1|) $) 37 (|has| |#1| (-840)))) (-3544 ((|#1| $) 10)) (-2748 ((|#1| $) 9)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-2753 (((-568) $) 14)) (-3043 ((|#1| $) 12)) (-2756 ((|#1| $) 11)) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-2791 (((-634 |#1|) $) 35 (|has| |#1| (-840))) (((-634 |#1|) (-634 $)) 34 (|has| |#1| (-840)))) (-4280 (($ |#1|) 26)) (-2747 (((-850) $) 25 (|has| |#1| (-1090)))) (-4255 (($ |#1| |#1|) 8)) (-4145 (($ $ (-568)) 16)) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090))))) 
-(((-1084 |#1|) (-13 (-1083 |#1|) (-10 -7 (IF (|has| |#1| (-1090)) (-6 (-1090)) |noBranch|) (IF (|has| |#1| (-840)) (-6 (-1085 |#1| (-634 |#1|))) |noBranch|))) (-1195)) (T -1084)) 
-NIL 
-(-13 (-1083 |#1|) (-10 -7 (IF (|has| |#1| (-1090)) (-6 (-1090)) |noBranch|) (IF (|has| |#1| (-840)) (-6 (-1085 |#1| (-634 |#1|))) |noBranch|))) 
-((-2465 (($ |#1| |#1|) 7)) (-2797 ((|#2| (-1 |#1| |#1|) $) 15)) (-3544 ((|#1| $) 10)) (-2748 ((|#1| $) 12)) (-2753 (((-568) $) 8)) (-3043 ((|#1| $) 9)) (-2756 ((|#1| $) 11)) (-2791 ((|#2| (-634 $)) 17) ((|#2| $) 16)) (-4280 (($ |#1|) 6)) (-4255 (($ |#1| |#1|) 14)) (-4145 (($ $ (-568)) 13))) 
-(((-1085 |#1| |#2|) (-1275) (-840) (-1134 |t#1|)) (T -1085)) 
-((-2791 (*1 *2 *3) (-12 (-5 *3 (-634 *1)) (-4 *1 (-1085 *4 *2)) (-4 *4 (-840)) (-4 *2 (-1134 *4)))) (-2791 (*1 *2 *1) (-12 (-4 *1 (-1085 *3 *2)) (-4 *3 (-840)) (-4 *2 (-1134 *3)))) (-2797 (*1 *2 *3 *1) (-12 (-5 *3 (-1 *4 *4)) (-4 *1 (-1085 *4 *2)) (-4 *4 (-840)) (-4 *2 (-1134 *4))))) 
-(-13 (-1083 |t#1|) (-10 -8 (-15 -2791 (|t#2| (-634 $))) (-15 -2791 (|t#2| $)) (-15 -2797 (|t#2| (-1 |t#1| |t#1|) $)))) 
-(((-1083 |#1|) . T) ((-1195) . T)) 
-((-1793 (($ $ $) NIL) (($ $ |#2|) 13) (($ |#2| $) 14)) (-4217 (($ $ $) 10)) (-1363 (($ $ $) NIL) (($ $ |#2|) 15))) 
-(((-1086 |#1| |#2|) (-10 -8 (-15 -1793 (|#1| |#2| |#1|)) (-15 -1793 (|#1| |#1| |#2|)) (-15 -1793 (|#1| |#1| |#1|)) (-15 -4217 (|#1| |#1| |#1|)) (-15 -1363 (|#1| |#1| |#2|)) (-15 -1363 (|#1| |#1| |#1|))) (-1087 |#2|) (-1090)) (T -1086)) 
-NIL 
-(-10 -8 (-15 -1793 (|#1| |#2| |#1|)) (-15 -1793 (|#1| |#1| |#2|)) (-15 -1793 (|#1| |#1| |#1|)) (-15 -4217 (|#1| |#1| |#1|)) (-15 -1363 (|#1| |#1| |#2|)) (-15 -1363 (|#1| |#1| |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1793 (($ $ $) 17) (($ $ |#1|) 16) (($ |#1| $) 15)) (-4217 (($ $ $) 19)) (-1430 (((-121) $ $) 18)) (-1667 (((-121) $ (-763)) 34)) (-2751 (($) 24) (($ (-634 |#1|)) 23)) (-2803 (($ (-1 (-121) |#1|) $) 55 (|has| $ (-6 -4521)))) (-4490 (($) 35 T CONST)) (-3926 (($ $) 58 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-4330 (($ |#1| $) 57 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) (($ (-1 (-121) |#1|) $) 54 (|has| $ (-6 -4521)))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 56 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 53 (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $) 52 (|has| $ (-6 -4521)))) (-3317 (((-634 |#1|) $) 42 (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) 33)) (-4406 (((-634 |#1|) $) 43 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 45 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-2253 (($ (-1 |#1| |#1|) $) 38 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 37)) (-3796 (((-121) $ (-763)) 32)) (-1893 (((-1143) $) 9)) (-1864 (($ $ $) 22)) (-4025 (((-1108) $) 10)) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 51)) (-3951 (((-121) (-1 (-121) |#1|) $) 40 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 |#1|) (-634 |#1|)) 49 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 48 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 47 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 (-288 |#1|))) 46 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 28)) (-2436 (((-121) $) 31)) (-1990 (($) 30)) (-1363 (($ $ $) 21) (($ $ |#1|) 20)) (-4170 (((-763) |#1| $) 44 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) (((-763) (-1 (-121) |#1|) $) 41 (|has| $ (-6 -4521)))) (-3865 (($ $) 29)) (-4280 (((-541) $) 59 (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) 50)) (-2747 (((-850) $) 11)) (-3846 (($) 26) (($ (-634 |#1|)) 25)) (-3437 (((-121) (-1 (-121) |#1|) $) 39 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 6)) (-1734 (((-121) $ $) 27)) (-1699 (((-763) $) 36 (|has| $ (-6 -4521))))) 
-(((-1087 |#1|) (-1275) (-1090)) (T -1087)) 
-((-1734 (*1 *2 *1 *1) (-12 (-4 *1 (-1087 *3)) (-4 *3 (-1090)) (-5 *2 (-121)))) (-3846 (*1 *1) (-12 (-4 *1 (-1087 *2)) (-4 *2 (-1090)))) (-3846 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-4 *1 (-1087 *3)))) (-2751 (*1 *1) (-12 (-4 *1 (-1087 *2)) (-4 *2 (-1090)))) (-2751 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-4 *1 (-1087 *3)))) (-1864 (*1 *1 *1 *1) (-12 (-4 *1 (-1087 *2)) (-4 *2 (-1090)))) (-1363 (*1 *1 *1 *1) (-12 (-4 *1 (-1087 *2)) (-4 *2 (-1090)))) (-1363 (*1 *1 *1 *2) (-12 (-4 *1 (-1087 *2)) (-4 *2 (-1090)))) (-4217 (*1 *1 *1 *1) (-12 (-4 *1 (-1087 *2)) (-4 *2 (-1090)))) (-1430 (*1 *2 *1 *1) (-12 (-4 *1 (-1087 *3)) (-4 *3 (-1090)) (-5 *2 (-121)))) (-1793 (*1 *1 *1 *1) (-12 (-4 *1 (-1087 *2)) (-4 *2 (-1090)))) (-1793 (*1 *1 *1 *2) (-12 (-4 *1 (-1087 *2)) (-4 *2 (-1090)))) (-1793 (*1 *1 *2 *1) (-12 (-4 *1 (-1087 *2)) (-4 *2 (-1090))))) 
-(-13 (-1090) (-154 |t#1|) (-10 -8 (-6 -4511) (-15 -1734 ((-121) $ $)) (-15 -3846 ($)) (-15 -3846 ($ (-634 |t#1|))) (-15 -2751 ($)) (-15 -2751 ($ (-634 |t#1|))) (-15 -1864 ($ $ $)) (-15 -1363 ($ $ $)) (-15 -1363 ($ $ |t#1|)) (-15 -4217 ($ $ $)) (-15 -1430 ((-121) $ $)) (-15 -1793 ($ $ $)) (-15 -1793 ($ $ |t#1|)) (-15 -1793 ($ |t#1| $)))) 
-(((-39) . T) ((-105) . T) ((-608 (-850)) . T) ((-154 |#1|) . T) ((-609 (-541)) |has| |#1| (-609 (-541))) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-499 |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-1090) . T) ((-1195) . T)) 
-((-2449 (((-121) $ $) 7)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-1836 (((-917) $) 12)) (-2747 (((-850) $) 11)) (-1719 (((-121) $ $) 6))) 
-(((-1088) (-1275)) (T -1088)) 
-((-1836 (*1 *2 *1) (-12 (-4 *1 (-1088)) (-5 *2 (-917))))) 
-(-13 (-1090) (-10 -8 (-15 -1836 ((-917) $)))) 
-(((-105) . T) ((-608 (-850)) . T) ((-1090) . T)) 
-((-1893 (((-1143) $) 10)) (-4025 (((-1108) $) 8))) 
-(((-1089 |#1|) (-10 -8 (-15 -1893 ((-1143) |#1|)) (-15 -4025 ((-1108) |#1|))) (-1090)) (T -1089)) 
-NIL 
-(-10 -8 (-15 -1893 ((-1143) |#1|)) (-15 -4025 ((-1108) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-1719 (((-121) $ $) 6))) 
-(((-1090) (-1275)) (T -1090)) 
-((-4025 (*1 *2 *1) (-12 (-4 *1 (-1090)) (-5 *2 (-1108)))) (-1893 (*1 *2 *1) (-12 (-4 *1 (-1090)) (-5 *2 (-1143))))) 
-(-13 (-105) (-608 (-850)) (-10 -8 (-15 -4025 ((-1108) $)) (-15 -1893 ((-1143) $)))) 
-(((-105) . T) ((-608 (-850)) . T)) 
-((-2449 (((-121) $ $) NIL)) (-3986 (((-763)) 30)) (-1417 (($ (-634 (-917))) 52)) (-3167 (((-3 $ "failed") $ (-917) (-917)) 57)) (-1733 (($) 32)) (-2551 (((-121) (-917) $) 35)) (-2291 (((-917) $) 50)) (-1893 (((-1143) $) NIL)) (-4357 (($ (-917)) 31)) (-1285 (((-3 $ "failed") $ (-917)) 55)) (-4025 (((-1108) $) NIL)) (-2838 (((-1244 $)) 40)) (-2163 (((-634 (-917)) $) 23)) (-3488 (((-763) $ (-917) (-917)) 56)) (-2747 (((-850) $) 29)) (-1719 (((-121) $ $) 21))) 
-(((-1091 |#1| |#2|) (-13 (-370) (-10 -8 (-15 -1285 ((-3 $ "failed") $ (-917))) (-15 -3167 ((-3 $ "failed") $ (-917) (-917))) (-15 -2163 ((-634 (-917)) $)) (-15 -1417 ($ (-634 (-917)))) (-15 -2838 ((-1244 $))) (-15 -2551 ((-121) (-917) $)) (-15 -3488 ((-763) $ (-917) (-917))))) (-917) (-917)) (T -1091)) 
-((-1285 (*1 *1 *1 *2) (|partial| -12 (-5 *2 (-917)) (-5 *1 (-1091 *3 *4)) (-14 *3 *2) (-14 *4 *2))) (-3167 (*1 *1 *1 *2 *2) (|partial| -12 (-5 *2 (-917)) (-5 *1 (-1091 *3 *4)) (-14 *3 *2) (-14 *4 *2))) (-2163 (*1 *2 *1) (-12 (-5 *2 (-634 (-917))) (-5 *1 (-1091 *3 *4)) (-14 *3 (-917)) (-14 *4 (-917)))) (-1417 (*1 *1 *2) (-12 (-5 *2 (-634 (-917))) (-5 *1 (-1091 *3 *4)) (-14 *3 (-917)) (-14 *4 (-917)))) (-2838 (*1 *2) (-12 (-5 *2 (-1244 (-1091 *3 *4))) (-5 *1 (-1091 *3 *4)) (-14 *3 (-917)) (-14 *4 (-917)))) (-2551 (*1 *2 *3 *1) (-12 (-5 *3 (-917)) (-5 *2 (-121)) (-5 *1 (-1091 *4 *5)) (-14 *4 *3) (-14 *5 *3))) (-3488 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-917)) (-5 *2 (-763)) (-5 *1 (-1091 *4 *5)) (-14 *4 *3) (-14 *5 *3)))) 
-(-13 (-370) (-10 -8 (-15 -1285 ((-3 $ "failed") $ (-917))) (-15 -3167 ((-3 $ "failed") $ (-917) (-917))) (-15 -2163 ((-634 (-917)) $)) (-15 -1417 ($ (-634 (-917)))) (-15 -2838 ((-1244 $))) (-15 -2551 ((-121) (-917) $)) (-15 -3488 ((-763) $ (-917) (-917))))) 
-((-2449 (((-121) $ $) NIL)) (-1611 (($) NIL (|has| |#1| (-370)))) (-1793 (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ $ $) 73)) (-4217 (($ $ $) 71)) (-1430 (((-121) $ $) 72)) (-1667 (((-121) $ (-763)) NIL)) (-3986 (((-763)) NIL (|has| |#1| (-370)))) (-2751 (($ (-634 |#1|)) NIL) (($) 13)) (-3963 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-2803 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-4490 (($) NIL T CONST)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1568 (($ |#1| $) 67 (|has| $ (-6 -4521))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-4330 (($ |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 43 (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 41 (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $) 39 (|has| $ (-6 -4521)))) (-1733 (($) NIL (|has| |#1| (-370)))) (-3317 (((-634 |#1|) $) 19 (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) NIL)) (-1732 ((|#1| $) 57 (|has| |#1| (-842)))) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 66 (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-2047 ((|#1| $) 55 (|has| |#1| (-842)))) (-2253 (($ (-1 |#1| |#1|) $) 33 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 34)) (-2291 (((-917) $) NIL (|has| |#1| (-370)))) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL)) (-1864 (($ $ $) 69)) (-2580 ((|#1| $) 25)) (-1708 (($ |#1| $) 65)) (-4357 (($ (-917)) NIL (|has| |#1| (-370)))) (-4025 (((-1108) $) NIL)) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 31)) (-3403 ((|#1| $) 27)) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) 21)) (-1990 (($) 11)) (-1363 (($ $ |#1|) NIL) (($ $ $) 70)) (-3132 (($) NIL) (($ (-634 |#1|)) NIL)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3865 (($ $) 16)) (-4280 (((-541) $) 52 (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) 61)) (-3695 (($ $) NIL (|has| |#1| (-370)))) (-2747 (((-850) $) NIL)) (-2429 (((-763) $) NIL)) (-3846 (($ (-634 |#1|)) NIL) (($) 12)) (-4074 (($ (-634 |#1|)) NIL)) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 54)) (-1734 (((-121) $ $) NIL)) (-1699 (((-763) $) 10 (|has| $ (-6 -4521))))) 
-(((-1092 |#1|) (-427 |#1|) (-1090)) (T -1092)) 
-NIL 
-(-427 |#1|) 
-((-2449 (((-121) $ $) 7)) (-1623 (((-121) $) 31)) (-3182 ((|#2| $) 26)) (-1454 (((-121) $) 32)) (-1744 ((|#1| $) 27)) (-3909 (((-121) $) 34)) (-2722 (((-121) $) 36)) (-2118 (((-121) $) 33)) (-1893 (((-1143) $) 9)) (-1812 (((-121) $) 30)) (-1723 ((|#3| $) 25)) (-4025 (((-1108) $) 10)) (-2538 (((-121) $) 29)) (-3770 ((|#4| $) 24)) (-4153 ((|#5| $) 23)) (-2410 (((-121) $ $) 37)) (-2781 (($ $ (-568)) 13) (($ $ (-634 (-568))) 12)) (-2045 (((-634 $) $) 28)) (-4280 (($ (-634 $)) 22) (($ |#1|) 21) (($ |#2|) 20) (($ |#3|) 19) (($ |#4|) 18) (($ |#5|) 17)) (-2747 (((-850) $) 11)) (-1527 (($ $) 15)) (-1518 (($ $) 16)) (-1803 (((-121) $) 35)) (-1719 (((-121) $ $) 6)) (-1699 (((-568) $) 14))) 
-(((-1093 |#1| |#2| |#3| |#4| |#5|) (-1275) (-1090) (-1090) (-1090) (-1090) (-1090)) (T -1093)) 
-((-2410 (*1 *2 *1 *1) (-12 (-4 *1 (-1093 *3 *4 *5 *6 *7)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)) (-5 *2 (-121)))) (-2722 (*1 *2 *1) (-12 (-4 *1 (-1093 *3 *4 *5 *6 *7)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)) (-5 *2 (-121)))) (-1803 (*1 *2 *1) (-12 (-4 *1 (-1093 *3 *4 *5 *6 *7)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)) (-5 *2 (-121)))) (-3909 (*1 *2 *1) (-12 (-4 *1 (-1093 *3 *4 *5 *6 *7)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)) (-5 *2 (-121)))) (-2118 (*1 *2 *1) (-12 (-4 *1 (-1093 *3 *4 *5 *6 *7)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)) (-5 *2 (-121)))) (-1454 (*1 *2 *1) (-12 (-4 *1 (-1093 *3 *4 *5 *6 *7)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)) (-5 *2 (-121)))) (-1623 (*1 *2 *1) (-12 (-4 *1 (-1093 *3 *4 *5 *6 *7)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)) (-5 *2 (-121)))) (-1812 (*1 *2 *1) (-12 (-4 *1 (-1093 *3 *4 *5 *6 *7)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)) (-5 *2 (-121)))) (-2538 (*1 *2 *1) (-12 (-4 *1 (-1093 *3 *4 *5 *6 *7)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)) (-5 *2 (-121)))) (-2045 (*1 *2 *1) (-12 (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)) (-5 *2 (-634 *1)) (-4 *1 (-1093 *3 *4 *5 *6 *7)))) (-1744 (*1 *2 *1) (-12 (-4 *1 (-1093 *2 *3 *4 *5 *6)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *2 (-1090)))) (-3182 (*1 *2 *1) (-12 (-4 *1 (-1093 *3 *2 *4 *5 *6)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *2 (-1090)))) (-1723 (*1 *2 *1) (-12 (-4 *1 (-1093 *3 *4 *2 *5 *6)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *2 (-1090)))) (-3770 (*1 *2 *1) (-12 (-4 *1 (-1093 *3 *4 *5 *2 *6)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *2 (-1090)))) (-4153 (*1 *2 *1) (-12 (-4 *1 (-1093 *3 *4 *5 *6 *2)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *2 (-1090)))) (-4280 (*1 *1 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-1093 *3 *4 *5 *6 *7)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)))) (-4280 (*1 *1 *2) (-12 (-4 *1 (-1093 *2 *3 *4 *5 *6)) (-4 *2 (-1090)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)))) (-4280 (*1 *1 *2) (-12 (-4 *1 (-1093 *3 *2 *4 *5 *6)) (-4 *3 (-1090)) (-4 *2 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)))) (-4280 (*1 *1 *2) (-12 (-4 *1 (-1093 *3 *4 *2 *5 *6)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *2 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)))) (-4280 (*1 *1 *2) (-12 (-4 *1 (-1093 *3 *4 *5 *2 *6)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *2 (-1090)) (-4 *6 (-1090)))) (-4280 (*1 *1 *2) (-12 (-4 *1 (-1093 *3 *4 *5 *6 *2)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *2 (-1090)))) (-1518 (*1 *1 *1) (-12 (-4 *1 (-1093 *2 *3 *4 *5 *6)) (-4 *2 (-1090)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)))) (-1527 (*1 *1 *1) (-12 (-4 *1 (-1093 *2 *3 *4 *5 *6)) (-4 *2 (-1090)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)))) (-1699 (*1 *2 *1) (-12 (-4 *1 (-1093 *3 *4 *5 *6 *7)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)) (-5 *2 (-568)))) (-2781 (*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-1093 *3 *4 *5 *6 *7)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)))) (-2781 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-568))) (-4 *1 (-1093 *3 *4 *5 *6 *7)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090))))) 
-(-13 (-1090) (-10 -8 (-15 -2410 ((-121) $ $)) (-15 -2722 ((-121) $)) (-15 -1803 ((-121) $)) (-15 -3909 ((-121) $)) (-15 -2118 ((-121) $)) (-15 -1454 ((-121) $)) (-15 -1623 ((-121) $)) (-15 -1812 ((-121) $)) (-15 -2538 ((-121) $)) (-15 -2045 ((-634 $) $)) (-15 -1744 (|t#1| $)) (-15 -3182 (|t#2| $)) (-15 -1723 (|t#3| $)) (-15 -3770 (|t#4| $)) (-15 -4153 (|t#5| $)) (-15 -4280 ($ (-634 $))) (-15 -4280 ($ |t#1|)) (-15 -4280 ($ |t#2|)) (-15 -4280 ($ |t#3|)) (-15 -4280 ($ |t#4|)) (-15 -4280 ($ |t#5|)) (-15 -1518 ($ $)) (-15 -1527 ($ $)) (-15 -1699 ((-568) $)) (-15 -2781 ($ $ (-568))) (-15 -2781 ($ $ (-634 (-568)))))) 
-(((-105) . T) ((-608 (-850)) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1623 (((-121) $) NIL)) (-3182 (((-1161) $) NIL)) (-1454 (((-121) $) NIL)) (-1744 (((-1143) $) NIL)) (-3909 (((-121) $) NIL)) (-2722 (((-121) $) NIL)) (-2118 (((-121) $) NIL)) (-1893 (((-1143) $) NIL)) (-1812 (((-121) $) NIL)) (-1723 (((-568) $) NIL)) (-4025 (((-1108) $) NIL)) (-2538 (((-121) $) NIL)) (-3770 (((-215) $) NIL)) (-4153 (((-850) $) NIL)) (-2410 (((-121) $ $) NIL)) (-2781 (($ $ (-568)) NIL) (($ $ (-634 (-568))) NIL)) (-2045 (((-634 $) $) NIL)) (-4280 (($ (-634 $)) NIL) (($ (-1143)) NIL) (($ (-1161)) NIL) (($ (-568)) NIL) (($ (-215)) NIL) (($ (-850)) NIL)) (-2747 (((-850) $) NIL)) (-1527 (($ $) NIL)) (-1518 (($ $) NIL)) (-1803 (((-121) $) NIL)) (-1719 (((-121) $ $) NIL)) (-1699 (((-568) $) NIL))) 
-(((-1094) (-1093 (-1143) (-1161) (-568) (-215) (-850))) (T -1094)) 
-NIL 
-(-1093 (-1143) (-1161) (-568) (-215) (-850)) 
-((-2449 (((-121) $ $) NIL)) (-1623 (((-121) $) 37)) (-3182 ((|#2| $) 41)) (-1454 (((-121) $) 36)) (-1744 ((|#1| $) 40)) (-3909 (((-121) $) 34)) (-2722 (((-121) $) 14)) (-2118 (((-121) $) 35)) (-1893 (((-1143) $) NIL)) (-1812 (((-121) $) 38)) (-1723 ((|#3| $) 43)) (-4025 (((-1108) $) NIL)) (-2538 (((-121) $) 39)) (-3770 ((|#4| $) 42)) (-4153 ((|#5| $) 44)) (-2410 (((-121) $ $) 33)) (-2781 (($ $ (-568)) 55) (($ $ (-634 (-568))) 57)) (-2045 (((-634 $) $) 21)) (-4280 (($ (-634 $)) 45) (($ |#1|) 46) (($ |#2|) 47) (($ |#3|) 48) (($ |#4|) 49) (($ |#5|) 50)) (-2747 (((-850) $) 22)) (-1527 (($ $) 20)) (-1518 (($ $) 51)) (-1803 (((-121) $) 18)) (-1719 (((-121) $ $) 32)) (-1699 (((-568) $) 53))) 
-(((-1095 |#1| |#2| |#3| |#4| |#5|) (-1093 |#1| |#2| |#3| |#4| |#5|) (-1090) (-1090) (-1090) (-1090) (-1090)) (T -1095)) 
-NIL 
-(-1093 |#1| |#2| |#3| |#4| |#5|) 
-((-4130 (((-1249) $) 23)) (-3222 (($ (-1161) (-436) |#2|) 11)) (-2747 (((-850) $) 16))) 
-(((-1096 |#1| |#2|) (-13 (-397) (-10 -8 (-15 -3222 ($ (-1161) (-436) |#2|)))) (-842) (-432 |#1|)) (T -1096)) 
-((-3222 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1161)) (-5 *3 (-436)) (-4 *5 (-842)) (-5 *1 (-1096 *5 *4)) (-4 *4 (-432 *5))))) 
-(-13 (-397) (-10 -8 (-15 -3222 ($ (-1161) (-436) |#2|)))) 
-((-1337 (((-121) |#5| |#5|) 37)) (-2037 (((-121) |#5| |#5|) 51)) (-3407 (((-121) |#5| (-634 |#5|)) 74) (((-121) |#5| |#5|) 60)) (-3034 (((-121) (-634 |#4|) (-634 |#4|)) 57)) (-2301 (((-121) (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|)) (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) 62)) (-1294 (((-1249)) 33)) (-3862 (((-1249) (-1143) (-1143) (-1143)) 29)) (-3778 (((-634 |#5|) (-634 |#5|)) 81)) (-1603 (((-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|)))) 79)) (-2823 (((-634 (-2 (|:| -2410 (-634 |#4|)) (|:| -3145 |#5|) (|:| |ineq| (-634 |#4|)))) (-634 |#4|) (-634 |#5|) (-121) (-121)) 101)) (-2808 (((-121) |#5| |#5|) 46)) (-3251 (((-3 (-121) "failed") |#5| |#5|) 70)) (-1569 (((-121) (-634 |#4|) (-634 |#4|)) 56)) (-3284 (((-121) (-634 |#4|) (-634 |#4|)) 58)) (-4342 (((-121) (-634 |#4|) (-634 |#4|)) 59)) (-1788 (((-3 (-2 (|:| -2410 (-634 |#4|)) (|:| -3145 |#5|) (|:| |ineq| (-634 |#4|))) "failed") (-634 |#4|) |#5| (-634 |#4|) (-121) (-121) (-121) (-121) (-121)) 97)) (-3506 (((-634 |#5|) (-634 |#5|)) 42))) 
-(((-1097 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3862 ((-1249) (-1143) (-1143) (-1143))) (-15 -1294 ((-1249))) (-15 -1337 ((-121) |#5| |#5|)) (-15 -3506 ((-634 |#5|) (-634 |#5|))) (-15 -2808 ((-121) |#5| |#5|)) (-15 -2037 ((-121) |#5| |#5|)) (-15 -3034 ((-121) (-634 |#4|) (-634 |#4|))) (-15 -1569 ((-121) (-634 |#4|) (-634 |#4|))) (-15 -3284 ((-121) (-634 |#4|) (-634 |#4|))) (-15 -4342 ((-121) (-634 |#4|) (-634 |#4|))) (-15 -3251 ((-3 (-121) "failed") |#5| |#5|)) (-15 -3407 ((-121) |#5| |#5|)) (-15 -3407 ((-121) |#5| (-634 |#5|))) (-15 -3778 ((-634 |#5|) (-634 |#5|))) (-15 -2301 ((-121) (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|)) (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|)))) (-15 -1603 ((-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) (-15 -2823 ((-634 (-2 (|:| -2410 (-634 |#4|)) (|:| -3145 |#5|) (|:| |ineq| (-634 |#4|)))) (-634 |#4|) (-634 |#5|) (-121) (-121))) (-15 -1788 ((-3 (-2 (|:| -2410 (-634 |#4|)) (|:| -3145 |#5|) (|:| |ineq| (-634 |#4|))) "failed") (-634 |#4|) |#5| (-634 |#4|) (-121) (-121) (-121) (-121) (-121)))) (-453) (-788) (-842) (-1061 |#1| |#2| |#3|) (-1066 |#1| |#2| |#3| |#4|)) (T -1097)) 
-((-1788 (*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-121)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *8 (-842)) (-4 *9 (-1061 *6 *7 *8)) (-5 *2 (-2 (|:| -2410 (-634 *9)) (|:| -3145 *4) (|:| |ineq| (-634 *9)))) (-5 *1 (-1097 *6 *7 *8 *9 *4)) (-5 *3 (-634 *9)) (-4 *4 (-1066 *6 *7 *8 *9)))) (-2823 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-634 *10)) (-5 *5 (-121)) (-4 *10 (-1066 *6 *7 *8 *9)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *8 (-842)) (-4 *9 (-1061 *6 *7 *8)) (-5 *2 (-634 (-2 (|:| -2410 (-634 *9)) (|:| -3145 *10) (|:| |ineq| (-634 *9))))) (-5 *1 (-1097 *6 *7 *8 *9 *10)) (-5 *3 (-634 *9)))) (-1603 (*1 *2 *2) (-12 (-5 *2 (-634 (-2 (|:| |val| (-634 *6)) (|:| -3145 *7)))) (-4 *6 (-1061 *3 *4 *5)) (-4 *7 (-1066 *3 *4 *5 *6)) (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-1097 *3 *4 *5 *6 *7)))) (-2301 (*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-634 *7)) (|:| -3145 *8))) (-4 *7 (-1061 *4 *5 *6)) (-4 *8 (-1066 *4 *5 *6 *7)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-1097 *4 *5 *6 *7 *8)))) (-3778 (*1 *2 *2) (-12 (-5 *2 (-634 *7)) (-4 *7 (-1066 *3 *4 *5 *6)) (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *1 (-1097 *3 *4 *5 *6 *7)))) (-3407 (*1 *2 *3 *4) (-12 (-5 *4 (-634 *3)) (-4 *3 (-1066 *5 *6 *7 *8)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *8 (-1061 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1097 *5 *6 *7 *8 *3)))) (-3407 (*1 *2 *3 *3) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1097 *4 *5 *6 *7 *3)) (-4 *3 (-1066 *4 *5 *6 *7)))) (-3251 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1097 *4 *5 *6 *7 *3)) (-4 *3 (-1066 *4 *5 *6 *7)))) (-4342 (*1 *2 *3 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-1097 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7)))) (-3284 (*1 *2 *3 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-1097 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7)))) (-1569 (*1 *2 *3 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-1097 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7)))) (-3034 (*1 *2 *3 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-1097 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7)))) (-2037 (*1 *2 *3 *3) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1097 *4 *5 *6 *7 *3)) (-4 *3 (-1066 *4 *5 *6 *7)))) (-2808 (*1 *2 *3 *3) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1097 *4 *5 *6 *7 *3)) (-4 *3 (-1066 *4 *5 *6 *7)))) (-3506 (*1 *2 *2) (-12 (-5 *2 (-634 *7)) (-4 *7 (-1066 *3 *4 *5 *6)) (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *1 (-1097 *3 *4 *5 *6 *7)))) (-1337 (*1 *2 *3 *3) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1097 *4 *5 *6 *7 *3)) (-4 *3 (-1066 *4 *5 *6 *7)))) (-1294 (*1 *2) (-12 (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-1249)) (-5 *1 (-1097 *3 *4 *5 *6 *7)) (-4 *7 (-1066 *3 *4 *5 *6)))) (-3862 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1143)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-1249)) (-5 *1 (-1097 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7))))) 
-(-10 -7 (-15 -3862 ((-1249) (-1143) (-1143) (-1143))) (-15 -1294 ((-1249))) (-15 -1337 ((-121) |#5| |#5|)) (-15 -3506 ((-634 |#5|) (-634 |#5|))) (-15 -2808 ((-121) |#5| |#5|)) (-15 -2037 ((-121) |#5| |#5|)) (-15 -3034 ((-121) (-634 |#4|) (-634 |#4|))) (-15 -1569 ((-121) (-634 |#4|) (-634 |#4|))) (-15 -3284 ((-121) (-634 |#4|) (-634 |#4|))) (-15 -4342 ((-121) (-634 |#4|) (-634 |#4|))) (-15 -3251 ((-3 (-121) "failed") |#5| |#5|)) (-15 -3407 ((-121) |#5| |#5|)) (-15 -3407 ((-121) |#5| (-634 |#5|))) (-15 -3778 ((-634 |#5|) (-634 |#5|))) (-15 -2301 ((-121) (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|)) (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|)))) (-15 -1603 ((-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) (-15 -2823 ((-634 (-2 (|:| -2410 (-634 |#4|)) (|:| -3145 |#5|) (|:| |ineq| (-634 |#4|)))) (-634 |#4|) (-634 |#5|) (-121) (-121))) (-15 -1788 ((-3 (-2 (|:| -2410 (-634 |#4|)) (|:| -3145 |#5|) (|:| |ineq| (-634 |#4|))) "failed") (-634 |#4|) |#5| (-634 |#4|) (-121) (-121) (-121) (-121) (-121)))) 
-((-3227 (((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) |#4| |#5|) 94)) (-2139 (((-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) |#4| |#4| |#5|) 70)) (-4071 (((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) |#4| |#4| |#5|) 88)) (-3578 (((-634 |#5|) |#4| |#5|) 109)) (-3361 (((-634 |#5|) |#4| |#5|) 116)) (-1468 (((-634 |#5|) |#4| |#5|) 117)) (-4125 (((-634 (-2 (|:| |val| (-121)) (|:| -3145 |#5|))) |#4| |#5|) 95)) (-2568 (((-634 (-2 (|:| |val| (-121)) (|:| -3145 |#5|))) |#4| |#5|) 115)) (-3889 (((-634 (-2 (|:| |val| (-121)) (|:| -3145 |#5|))) |#4| |#5|) 44) (((-121) |#4| |#5|) 52)) (-3480 (((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) |#3| (-121)) 82) (((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) |#4| |#4| |#5| (-121) (-121)) 49)) (-3939 (((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) |#4| |#4| |#5|) 77)) (-1777 (((-1249)) 35)) (-3398 (((-1249)) 25)) (-1798 (((-1249) (-1143) (-1143) (-1143)) 31)) (-1741 (((-1249) (-1143) (-1143) (-1143)) 20))) 
-(((-1098 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1741 ((-1249) (-1143) (-1143) (-1143))) (-15 -3398 ((-1249))) (-15 -1798 ((-1249) (-1143) (-1143) (-1143))) (-15 -1777 ((-1249))) (-15 -2139 ((-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) |#4| |#4| |#5|)) (-15 -3480 ((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) |#4| |#4| |#5| (-121) (-121))) (-15 -3480 ((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) |#3| (-121))) (-15 -3939 ((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) |#4| |#4| |#5|)) (-15 -4071 ((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) |#4| |#4| |#5|)) (-15 -3889 ((-121) |#4| |#5|)) (-15 -4125 ((-634 (-2 (|:| |val| (-121)) (|:| -3145 |#5|))) |#4| |#5|)) (-15 -3578 ((-634 |#5|) |#4| |#5|)) (-15 -2568 ((-634 (-2 (|:| |val| (-121)) (|:| -3145 |#5|))) |#4| |#5|)) (-15 -3361 ((-634 |#5|) |#4| |#5|)) (-15 -3889 ((-634 (-2 (|:| |val| (-121)) (|:| -3145 |#5|))) |#4| |#5|)) (-15 -1468 ((-634 |#5|) |#4| |#5|)) (-15 -3227 ((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) |#4| |#5|))) (-453) (-788) (-842) (-1061 |#1| |#2| |#3|) (-1066 |#1| |#2| |#3| |#4|)) (T -1098)) 
-((-3227 (*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| *3) (|:| -3145 *4)))) (-5 *1 (-1098 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3)))) (-1468 (*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 *4)) (-5 *1 (-1098 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3)))) (-3889 (*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| (-121)) (|:| -3145 *4)))) (-5 *1 (-1098 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3)))) (-3361 (*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 *4)) (-5 *1 (-1098 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3)))) (-2568 (*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| (-121)) (|:| -3145 *4)))) (-5 *1 (-1098 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3)))) (-3578 (*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 *4)) (-5 *1 (-1098 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3)))) (-4125 (*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| (-121)) (|:| -3145 *4)))) (-5 *1 (-1098 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3)))) (-3889 (*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1098 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3)))) (-4071 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| *3) (|:| -3145 *4)))) (-5 *1 (-1098 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3)))) (-3939 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| *3) (|:| -3145 *4)))) (-5 *1 (-1098 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3)))) (-3480 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-634 (-2 (|:| |val| (-634 *8)) (|:| -3145 *9)))) (-5 *5 (-121)) (-4 *8 (-1061 *6 *7 *4)) (-4 *9 (-1066 *6 *7 *4 *8)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *4 (-842)) (-5 *2 (-634 (-2 (|:| |val| *8) (|:| -3145 *9)))) (-5 *1 (-1098 *6 *7 *4 *8 *9)))) (-3480 (*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-121)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *8 (-842)) (-4 *3 (-1061 *6 *7 *8)) (-5 *2 (-634 (-2 (|:| |val| *3) (|:| -3145 *4)))) (-5 *1 (-1098 *6 *7 *8 *3 *4)) (-4 *4 (-1066 *6 *7 *8 *3)))) (-2139 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))) (-5 *1 (-1098 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3)))) (-1777 (*1 *2) (-12 (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-1249)) (-5 *1 (-1098 *3 *4 *5 *6 *7)) (-4 *7 (-1066 *3 *4 *5 *6)))) (-1798 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1143)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-1249)) (-5 *1 (-1098 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7)))) (-3398 (*1 *2) (-12 (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-1249)) (-5 *1 (-1098 *3 *4 *5 *6 *7)) (-4 *7 (-1066 *3 *4 *5 *6)))) (-1741 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1143)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-1249)) (-5 *1 (-1098 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7))))) 
-(-10 -7 (-15 -1741 ((-1249) (-1143) (-1143) (-1143))) (-15 -3398 ((-1249))) (-15 -1798 ((-1249) (-1143) (-1143) (-1143))) (-15 -1777 ((-1249))) (-15 -2139 ((-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) |#4| |#4| |#5|)) (-15 -3480 ((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) |#4| |#4| |#5| (-121) (-121))) (-15 -3480 ((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) |#3| (-121))) (-15 -3939 ((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) |#4| |#4| |#5|)) (-15 -4071 ((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) |#4| |#4| |#5|)) (-15 -3889 ((-121) |#4| |#5|)) (-15 -4125 ((-634 (-2 (|:| |val| (-121)) (|:| -3145 |#5|))) |#4| |#5|)) (-15 -3578 ((-634 |#5|) |#4| |#5|)) (-15 -2568 ((-634 (-2 (|:| |val| (-121)) (|:| -3145 |#5|))) |#4| |#5|)) (-15 -3361 ((-634 |#5|) |#4| |#5|)) (-15 -3889 ((-634 (-2 (|:| |val| (-121)) (|:| -3145 |#5|))) |#4| |#5|)) (-15 -1468 ((-634 |#5|) |#4| |#5|)) (-15 -3227 ((-634 (-2 (|:| |val| |#4|) (|:| -3145 |#5|))) |#4| |#5|))) 
-((-2449 (((-121) $ $) 7)) (-2213 (((-634 (-2 (|:| -4094 $) (|:| -2133 (-634 |#4|)))) (-634 |#4|)) 78)) (-2353 (((-634 $) (-634 |#4|)) 79) (((-634 $) (-634 |#4|) (-121)) 104)) (-2057 (((-634 |#3|) $) 32)) (-4141 (((-121) $) 25)) (-1794 (((-121) $) 16 (|has| |#1| (-558)))) (-4231 (((-121) |#4| $) 94) (((-121) $) 90)) (-3767 ((|#4| |#4| $) 85)) (-3045 (((-634 (-2 (|:| |val| |#4|) (|:| -3145 $))) |#4| $) 119)) (-3647 (((-2 (|:| |under| $) (|:| -4115 $) (|:| |upper| $)) $ |#3|) 26)) (-1667 (((-121) $ (-763)) 43)) (-2803 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4521))) (((-3 |#4| "failed") $ |#3|) 72)) (-4490 (($) 44 T CONST)) (-4382 (((-121) $) 21 (|has| |#1| (-558)))) (-1880 (((-121) $ $) 23 (|has| |#1| (-558)))) (-2536 (((-121) $ $) 22 (|has| |#1| (-558)))) (-2343 (((-121) $) 24 (|has| |#1| (-558)))) (-2941 (((-634 |#4|) (-634 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-3993 (((-634 |#4|) (-634 |#4|) $) 17 (|has| |#1| (-558)))) (-2727 (((-634 |#4|) (-634 |#4|) $) 18 (|has| |#1| (-558)))) (-3668 (((-3 $ "failed") (-634 |#4|)) 35)) (-2857 (($ (-634 |#4|)) 34)) (-3936 (((-3 $ "failed") $) 75)) (-3255 ((|#4| |#4| $) 82)) (-3926 (($ $) 67 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521))))) (-4330 (($ |#4| $) 66 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4521)))) (-2607 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-558)))) (-1359 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-3434 ((|#4| |#4| $) 80)) (-3094 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4521))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4521))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-3158 (((-2 (|:| -4094 (-634 |#4|)) (|:| -2133 (-634 |#4|))) $) 98)) (-2451 (((-121) |#4| $) 129)) (-2978 (((-121) |#4| $) 126)) (-1792 (((-121) |#4| $) 130) (((-121) $) 127)) (-3317 (((-634 |#4|) $) 51 (|has| $ (-6 -4521)))) (-3764 (((-121) |#4| $) 97) (((-121) $) 96)) (-4001 ((|#3| $) 33)) (-3791 (((-121) $ (-763)) 42)) (-4406 (((-634 |#4|) $) 52 (|has| $ (-6 -4521)))) (-2551 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521))))) (-2253 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#4| |#4|) $) 46)) (-2249 (((-634 |#3|) $) 31)) (-1495 (((-121) |#3| $) 30)) (-3796 (((-121) $ (-763)) 41)) (-1893 (((-1143) $) 9)) (-1516 (((-3 |#4| (-634 $)) |#4| |#4| $) 121)) (-3137 (((-634 (-2 (|:| |val| |#4|) (|:| -3145 $))) |#4| |#4| $) 120)) (-4164 (((-3 |#4| "failed") $) 76)) (-3878 (((-634 $) |#4| $) 122)) (-3712 (((-3 (-121) (-634 $)) |#4| $) 125)) (-4266 (((-634 (-2 (|:| |val| (-121)) (|:| -3145 $))) |#4| $) 124) (((-121) |#4| $) 123)) (-1864 (((-634 $) |#4| $) 118) (((-634 $) (-634 |#4|) $) 117) (((-634 $) (-634 |#4|) (-634 $)) 116) (((-634 $) |#4| (-634 $)) 115)) (-3736 (($ |#4| $) 110) (($ (-634 |#4|) $) 109)) (-3882 (((-634 |#4|) $) 100)) (-2157 (((-121) |#4| $) 92) (((-121) $) 88)) (-1315 ((|#4| |#4| $) 83)) (-4342 (((-121) $ $) 103)) (-1440 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-558)))) (-3236 (((-121) |#4| $) 93) (((-121) $) 89)) (-1452 ((|#4| |#4| $) 84)) (-4025 (((-1108) $) 10)) (-3877 (((-3 |#4| "failed") $) 77)) (-2712 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-3413 (((-3 $ "failed") $ |#4|) 71)) (-2168 (($ $ |#4|) 70) (((-634 $) |#4| $) 108) (((-634 $) |#4| (-634 $)) 107) (((-634 $) (-634 |#4|) $) 106) (((-634 $) (-634 |#4|) (-634 $)) 105)) (-3951 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 |#4|) (-634 |#4|)) 58 (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ (-288 |#4|)) 56 (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ (-634 (-288 |#4|))) 55 (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090))))) (-1702 (((-121) $ $) 37)) (-2436 (((-121) $) 40)) (-1990 (($) 39)) (-1836 (((-763) $) 99)) (-4170 (((-763) |#4| $) 53 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521)))) (((-763) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4521)))) (-3865 (($ $) 38)) (-4280 (((-541) $) 68 (|has| |#4| (-609 (-541))))) (-4289 (($ (-634 |#4|)) 59)) (-3206 (($ $ |#3|) 27)) (-2527 (($ $ |#3|) 29)) (-4392 (($ $) 81)) (-4332 (($ $ |#3|) 28)) (-2747 (((-850) $) 11) (((-634 |#4|) $) 36)) (-2524 (((-763) $) 69 (|has| |#3| (-370)))) (-2835 (((-3 (-2 (|:| |bas| $) (|:| -2618 (-634 |#4|))) "failed") (-634 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -2618 (-634 |#4|))) "failed") (-634 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-2145 (((-121) $ (-1 (-121) |#4| (-634 |#4|))) 91)) (-1977 (((-634 $) |#4| $) 114) (((-634 $) |#4| (-634 $)) 113) (((-634 $) (-634 |#4|) $) 112) (((-634 $) (-634 |#4|) (-634 $)) 111)) (-3437 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4521)))) (-3321 (((-634 |#3|) $) 74)) (-3541 (((-121) |#4| $) 128)) (-1413 (((-121) |#3| $) 73)) (-1719 (((-121) $ $) 6)) (-1699 (((-763) $) 45 (|has| $ (-6 -4521))))) 
-(((-1099 |#1| |#2| |#3| |#4|) (-1275) (-453) (-788) (-842) (-1061 |t#1| |t#2| |t#3|)) (T -1099)) 
-NIL 
-(-13 (-1066 |t#1| |t#2| |t#3| |t#4|)) 
-(((-39) . T) ((-105) . T) ((-608 (-634 |#4|)) . T) ((-608 (-850)) . T) ((-154 |#4|) . T) ((-609 (-541)) |has| |#4| (-609 (-541))) ((-303 |#4|) -12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090))) ((-499 |#4|) . T) ((-523 |#4| |#4|) -12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090))) ((-977 |#1| |#2| |#3| |#4|) . T) ((-1066 |#1| |#2| |#3| |#4|) . T) ((-1090) . T) ((-1189 |#1| |#2| |#3| |#4|) . T) ((-1195) . T)) 
-((-2553 (((-634 (-568)) (-568) (-568) (-568)) 20)) (-3674 (((-634 (-568)) (-568) (-568) (-568)) 12)) (-2052 (((-634 (-568)) (-568) (-568) (-568)) 16)) (-3097 (((-568) (-568) (-568)) 9)) (-3575 (((-1244 (-568)) (-634 (-568)) (-1244 (-568)) (-568)) 44) (((-1244 (-568)) (-1244 (-568)) (-1244 (-568)) (-568)) 39)) (-3565 (((-634 (-568)) (-634 (-568)) (-634 (-568)) (-121)) 26)) (-2660 (((-679 (-568)) (-634 (-568)) (-634 (-568)) (-679 (-568))) 43)) (-2834 (((-679 (-568)) (-634 (-568)) (-634 (-568))) 31)) (-3781 (((-634 (-679 (-568))) (-634 (-568))) 33)) (-1920 (((-634 (-568)) (-634 (-568)) (-634 (-568)) (-679 (-568))) 46)) (-2583 (((-679 (-568)) (-634 (-568)) (-634 (-568)) (-634 (-568))) 54))) 
-(((-1100) (-10 -7 (-15 -2583 ((-679 (-568)) (-634 (-568)) (-634 (-568)) (-634 (-568)))) (-15 -1920 ((-634 (-568)) (-634 (-568)) (-634 (-568)) (-679 (-568)))) (-15 -3781 ((-634 (-679 (-568))) (-634 (-568)))) (-15 -2834 ((-679 (-568)) (-634 (-568)) (-634 (-568)))) (-15 -2660 ((-679 (-568)) (-634 (-568)) (-634 (-568)) (-679 (-568)))) (-15 -3565 ((-634 (-568)) (-634 (-568)) (-634 (-568)) (-121))) (-15 -3575 ((-1244 (-568)) (-1244 (-568)) (-1244 (-568)) (-568))) (-15 -3575 ((-1244 (-568)) (-634 (-568)) (-1244 (-568)) (-568))) (-15 -3097 ((-568) (-568) (-568))) (-15 -2052 ((-634 (-568)) (-568) (-568) (-568))) (-15 -3674 ((-634 (-568)) (-568) (-568) (-568))) (-15 -2553 ((-634 (-568)) (-568) (-568) (-568))))) (T -1100)) 
-((-2553 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-1100)) (-5 *3 (-568)))) (-3674 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-1100)) (-5 *3 (-568)))) (-2052 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-1100)) (-5 *3 (-568)))) (-3097 (*1 *2 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-1100)))) (-3575 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-1244 (-568))) (-5 *3 (-634 (-568))) (-5 *4 (-568)) (-5 *1 (-1100)))) (-3575 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-1244 (-568))) (-5 *3 (-568)) (-5 *1 (-1100)))) (-3565 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-634 (-568))) (-5 *3 (-121)) (-5 *1 (-1100)))) (-2660 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-679 (-568))) (-5 *3 (-634 (-568))) (-5 *1 (-1100)))) (-2834 (*1 *2 *3 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-679 (-568))) (-5 *1 (-1100)))) (-3781 (*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-634 (-679 (-568)))) (-5 *1 (-1100)))) (-1920 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-634 (-568))) (-5 *3 (-679 (-568))) (-5 *1 (-1100)))) (-2583 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-679 (-568))) (-5 *1 (-1100))))) 
-(-10 -7 (-15 -2583 ((-679 (-568)) (-634 (-568)) (-634 (-568)) (-634 (-568)))) (-15 -1920 ((-634 (-568)) (-634 (-568)) (-634 (-568)) (-679 (-568)))) (-15 -3781 ((-634 (-679 (-568))) (-634 (-568)))) (-15 -2834 ((-679 (-568)) (-634 (-568)) (-634 (-568)))) (-15 -2660 ((-679 (-568)) (-634 (-568)) (-634 (-568)) (-679 (-568)))) (-15 -3565 ((-634 (-568)) (-634 (-568)) (-634 (-568)) (-121))) (-15 -3575 ((-1244 (-568)) (-1244 (-568)) (-1244 (-568)) (-568))) (-15 -3575 ((-1244 (-568)) (-634 (-568)) (-1244 (-568)) (-568))) (-15 -3097 ((-568) (-568) (-568))) (-15 -2052 ((-634 (-568)) (-568) (-568) (-568))) (-15 -3674 ((-634 (-568)) (-568) (-568) (-568))) (-15 -2553 ((-634 (-568)) (-568) (-568) (-568)))) 
-((-1889 (($ $ (-917)) 12)) (** (($ $ (-917)) 10))) 
-(((-1101 |#1|) (-10 -8 (-15 -1889 (|#1| |#1| (-917))) (-15 ** (|#1| |#1| (-917)))) (-1102)) (T -1101)) 
-NIL 
-(-10 -8 (-15 -1889 (|#1| |#1| (-917))) (-15 ** (|#1| |#1| (-917)))) 
-((-2449 (((-121) $ $) 7)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-1889 (($ $ (-917)) 12)) (-1719 (((-121) $ $) 6)) (** (($ $ (-917)) 13)) (* (($ $ $) 14))) 
-(((-1102) (-1275)) (T -1102)) 
-((* (*1 *1 *1 *1) (-4 *1 (-1102))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-1102)) (-5 *2 (-917)))) (-1889 (*1 *1 *1 *2) (-12 (-4 *1 (-1102)) (-5 *2 (-917))))) 
-(-13 (-1090) (-10 -8 (-15 * ($ $ $)) (-15 ** ($ $ (-917))) (-15 -1889 ($ $ (-917))))) 
-(((-105) . T) ((-608 (-850)) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) NIL (|has| |#3| (-1090)))) (-1819 (((-121) $) NIL (|has| |#3| (-137)))) (-4007 (($ (-917)) NIL (|has| |#3| (-1047)))) (-2481 (((-1249) $ (-568) (-568)) NIL (|has| $ (-6 -4522)))) (-2409 (($ $ $) NIL (|has| |#3| (-788)))) (-2689 (((-3 $ "failed") $ $) NIL (|has| |#3| (-137)))) (-1667 (((-121) $ (-763)) NIL)) (-3986 (((-763)) NIL (|has| |#3| (-370)))) (-3337 (((-568) $) NIL (|has| |#3| (-840)))) (-2438 ((|#3| $ (-568) |#3|) NIL (|has| $ (-6 -4522)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-568) "failed") $) NIL (-12 (|has| |#3| (-1037 (-568))) (|has| |#3| (-1090)))) (((-3 (-409 (-568)) "failed") $) NIL (-12 (|has| |#3| (-1037 (-409 (-568)))) (|has| |#3| (-1090)))) (((-3 |#3| "failed") $) NIL (|has| |#3| (-1090)))) (-2857 (((-568) $) NIL (-12 (|has| |#3| (-1037 (-568))) (|has| |#3| (-1090)))) (((-409 (-568)) $) NIL (-12 (|has| |#3| (-1037 (-409 (-568)))) (|has| |#3| (-1090)))) ((|#3| $) NIL (|has| |#3| (-1090)))) (-1668 (((-679 (-568)) (-679 $)) NIL (-12 (|has| |#3| (-630 (-568))) (|has| |#3| (-1047)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (-12 (|has| |#3| (-630 (-568))) (|has| |#3| (-1047)))) (((-2 (|:| -2908 (-679 |#3|)) (|:| |vec| (-1244 |#3|))) (-679 $) (-1244 $)) NIL (|has| |#3| (-1047))) (((-679 |#3|) (-679 $)) NIL (|has| |#3| (-1047)))) (-2902 (((-3 $ "failed") $) NIL (|has| |#3| (-716)))) (-1733 (($) NIL (|has| |#3| (-370)))) (-1292 ((|#3| $ (-568) |#3|) NIL (|has| $ (-6 -4522)))) (-2069 ((|#3| $ (-568)) 12)) (-1436 (((-121) $) NIL (|has| |#3| (-840)))) (-3317 (((-634 |#3|) $) NIL (|has| $ (-6 -4521)))) (-1598 (((-121) $) NIL (|has| |#3| (-716)))) (-2859 (((-121) $) NIL (|has| |#3| (-840)))) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-568) $) NIL (|has| (-568) (-842)))) (-1732 (($ $ $) NIL (-2199 (|has| |#3| (-788)) (|has| |#3| (-840))))) (-4406 (((-634 |#3|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#3| (-1090))))) (-3631 (((-568) $) NIL (|has| (-568) (-842)))) (-2047 (($ $ $) NIL (-2199 (|has| |#3| (-788)) (|has| |#3| (-840))))) (-2253 (($ (-1 |#3| |#3|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#3| |#3|) $) NIL)) (-2291 (((-917) $) NIL (|has| |#3| (-370)))) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (|has| |#3| (-1090)))) (-3948 (((-634 (-568)) $) NIL)) (-2916 (((-121) (-568) $) NIL)) (-4357 (($ (-917)) NIL (|has| |#3| (-370)))) (-4025 (((-1108) $) NIL (|has| |#3| (-1090)))) (-3877 ((|#3| $) NIL (|has| (-568) (-842)))) (-2490 (($ $ |#3|) NIL (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#3|))) NIL (-12 (|has| |#3| (-303 |#3|)) (|has| |#3| (-1090)))) (($ $ (-288 |#3|)) NIL (-12 (|has| |#3| (-303 |#3|)) (|has| |#3| (-1090)))) (($ $ |#3| |#3|) NIL (-12 (|has| |#3| (-303 |#3|)) (|has| |#3| (-1090)))) (($ $ (-634 |#3|) (-634 |#3|)) NIL (-12 (|has| |#3| (-303 |#3|)) (|has| |#3| (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#3| (-1090))))) (-1480 (((-634 |#3|) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#3| $ (-568) |#3|) NIL) ((|#3| $ (-568)) NIL)) (-2286 ((|#3| $ $) NIL (|has| |#3| (-1047)))) (-2041 (($ (-1244 |#3|)) NIL)) (-3108 (((-139)) NIL (|has| |#3| (-365)))) (-4191 (($ $) NIL (-12 (|has| |#3| (-225)) (|has| |#3| (-1047)))) (($ $ (-763)) NIL (-12 (|has| |#3| (-225)) (|has| |#3| (-1047)))) (($ $ (-1161)) NIL (-12 (|has| |#3| (-895 (-1161))) (|has| |#3| (-1047)))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#3| (-895 (-1161))) (|has| |#3| (-1047)))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#3| (-895 (-1161))) (|has| |#3| (-1047)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#3| (-895 (-1161))) (|has| |#3| (-1047)))) (($ $ (-1 |#3| |#3|) (-763)) NIL (|has| |#3| (-1047))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1047)))) (-4170 (((-763) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4521))) (((-763) |#3| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#3| (-1090))))) (-3865 (($ $) NIL)) (-2747 (((-1244 |#3|) $) NIL) (((-850) $) NIL (|has| |#3| (-1090))) (($ (-568)) NIL (-2199 (-12 (|has| |#3| (-1037 (-568))) (|has| |#3| (-1090))) (|has| |#3| (-1047)))) (($ (-409 (-568))) NIL (-12 (|has| |#3| (-1037 (-409 (-568)))) (|has| |#3| (-1090)))) (($ |#3|) NIL (|has| |#3| (-1090)))) (-3425 (((-763)) NIL (|has| |#3| (-1047)))) (-3437 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4521)))) (-2811 (($ $) NIL (|has| |#3| (-840)))) (-1889 (($ $ (-763)) NIL (|has| |#3| (-716))) (($ $ (-917)) NIL (|has| |#3| (-716)))) (-3058 (($) NIL (|has| |#3| (-137)) CONST)) (-1557 (($) NIL (|has| |#3| (-716)) CONST)) (-3192 (($ $) NIL (-12 (|has| |#3| (-225)) (|has| |#3| (-1047)))) (($ $ (-763)) NIL (-12 (|has| |#3| (-225)) (|has| |#3| (-1047)))) (($ $ (-1161)) NIL (-12 (|has| |#3| (-895 (-1161))) (|has| |#3| (-1047)))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#3| (-895 (-1161))) (|has| |#3| (-1047)))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#3| (-895 (-1161))) (|has| |#3| (-1047)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#3| (-895 (-1161))) (|has| |#3| (-1047)))) (($ $ (-1 |#3| |#3|) (-763)) NIL (|has| |#3| (-1047))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1047)))) (-1753 (((-121) $ $) NIL (-2199 (|has| |#3| (-788)) (|has| |#3| (-840))))) (-1740 (((-121) $ $) NIL (-2199 (|has| |#3| (-788)) (|has| |#3| (-840))))) (-1719 (((-121) $ $) NIL (|has| |#3| (-1090)))) (-1747 (((-121) $ $) NIL (-2199 (|has| |#3| (-788)) (|has| |#3| (-840))))) (-1734 (((-121) $ $) 17 (-2199 (|has| |#3| (-788)) (|has| |#3| (-840))))) (-1781 (($ $ |#3|) NIL (|has| |#3| (-365)))) (-1775 (($ $ $) NIL (|has| |#3| (-1047))) (($ $) NIL (|has| |#3| (-1047)))) (-1769 (($ $ $) NIL (|has| |#3| (-25)))) (** (($ $ (-763)) NIL (|has| |#3| (-716))) (($ $ (-917)) NIL (|has| |#3| (-716)))) (* (($ (-568) $) NIL (|has| |#3| (-1047))) (($ $ $) NIL (|has| |#3| (-716))) (($ $ |#3|) NIL (|has| |#3| (-1047))) (($ |#3| $) NIL (|has| |#3| (-1047))) (($ (-763) $) NIL (|has| |#3| (-137))) (($ (-917) $) NIL (|has| |#3| (-25)))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-1103 |#1| |#2| |#3|) (-230 |#1| |#3|) (-763) (-763) (-788)) (T -1103)) 
-NIL 
-(-230 |#1| |#3|) 
-((-1500 (((-634 (-1216 |#2| |#1|)) (-1216 |#2| |#1|) (-1216 |#2| |#1|)) 36)) (-4478 (((-568) (-1216 |#2| |#1|)) 67 (|has| |#1| (-453)))) (-1859 (((-568) (-1216 |#2| |#1|)) 53)) (-2028 (((-634 (-1216 |#2| |#1|)) (-1216 |#2| |#1|) (-1216 |#2| |#1|)) 44)) (-1735 (((-568) (-1216 |#2| |#1|) (-1216 |#2| |#1|)) 55 (|has| |#1| (-453)))) (-1394 (((-634 |#1|) (-1216 |#2| |#1|) (-1216 |#2| |#1|)) 47)) (-3153 (((-568) (-1216 |#2| |#1|) (-1216 |#2| |#1|)) 52))) 
-(((-1104 |#1| |#2|) (-10 -7 (-15 -1500 ((-634 (-1216 |#2| |#1|)) (-1216 |#2| |#1|) (-1216 |#2| |#1|))) (-15 -2028 ((-634 (-1216 |#2| |#1|)) (-1216 |#2| |#1|) (-1216 |#2| |#1|))) (-15 -1394 ((-634 |#1|) (-1216 |#2| |#1|) (-1216 |#2| |#1|))) (-15 -3153 ((-568) (-1216 |#2| |#1|) (-1216 |#2| |#1|))) (-15 -1859 ((-568) (-1216 |#2| |#1|))) (IF (|has| |#1| (-453)) (PROGN (-15 -1735 ((-568) (-1216 |#2| |#1|) (-1216 |#2| |#1|))) (-15 -4478 ((-568) (-1216 |#2| |#1|)))) |noBranch|)) (-815) (-1161)) (T -1104)) 
-((-4478 (*1 *2 *3) (-12 (-5 *3 (-1216 *5 *4)) (-4 *4 (-453)) (-4 *4 (-815)) (-14 *5 (-1161)) (-5 *2 (-568)) (-5 *1 (-1104 *4 *5)))) (-1735 (*1 *2 *3 *3) (-12 (-5 *3 (-1216 *5 *4)) (-4 *4 (-453)) (-4 *4 (-815)) (-14 *5 (-1161)) (-5 *2 (-568)) (-5 *1 (-1104 *4 *5)))) (-1859 (*1 *2 *3) (-12 (-5 *3 (-1216 *5 *4)) (-4 *4 (-815)) (-14 *5 (-1161)) (-5 *2 (-568)) (-5 *1 (-1104 *4 *5)))) (-3153 (*1 *2 *3 *3) (-12 (-5 *3 (-1216 *5 *4)) (-4 *4 (-815)) (-14 *5 (-1161)) (-5 *2 (-568)) (-5 *1 (-1104 *4 *5)))) (-1394 (*1 *2 *3 *3) (-12 (-5 *3 (-1216 *5 *4)) (-4 *4 (-815)) (-14 *5 (-1161)) (-5 *2 (-634 *4)) (-5 *1 (-1104 *4 *5)))) (-2028 (*1 *2 *3 *3) (-12 (-4 *4 (-815)) (-14 *5 (-1161)) (-5 *2 (-634 (-1216 *5 *4))) (-5 *1 (-1104 *4 *5)) (-5 *3 (-1216 *5 *4)))) (-1500 (*1 *2 *3 *3) (-12 (-4 *4 (-815)) (-14 *5 (-1161)) (-5 *2 (-634 (-1216 *5 *4))) (-5 *1 (-1104 *4 *5)) (-5 *3 (-1216 *5 *4))))) 
-(-10 -7 (-15 -1500 ((-634 (-1216 |#2| |#1|)) (-1216 |#2| |#1|) (-1216 |#2| |#1|))) (-15 -2028 ((-634 (-1216 |#2| |#1|)) (-1216 |#2| |#1|) (-1216 |#2| |#1|))) (-15 -1394 ((-634 |#1|) (-1216 |#2| |#1|) (-1216 |#2| |#1|))) (-15 -3153 ((-568) (-1216 |#2| |#1|) (-1216 |#2| |#1|))) (-15 -1859 ((-568) (-1216 |#2| |#1|))) (IF (|has| |#1| (-453)) (PROGN (-15 -1735 ((-568) (-1216 |#2| |#1|) (-1216 |#2| |#1|))) (-15 -4478 ((-568) (-1216 |#2| |#1|)))) |noBranch|)) 
-((-3337 (((-3 (-568) "failed") |#2| (-1161) |#2| (-1143)) 16) (((-3 (-568) "failed") |#2| (-1161) (-835 |#2|)) 14) (((-3 (-568) "failed") |#2|) 51))) 
-(((-1105 |#1| |#2|) (-10 -7 (-15 -3337 ((-3 (-568) "failed") |#2|)) (-15 -3337 ((-3 (-568) "failed") |#2| (-1161) (-835 |#2|))) (-15 -3337 ((-3 (-568) "failed") |#2| (-1161) |#2| (-1143)))) (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)) (-453)) (-13 (-27) (-1181) (-432 |#1|))) (T -1105)) 
-((-3337 (*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-1161)) (-5 *5 (-1143)) (-4 *6 (-13 (-558) (-842) (-1037 *2) (-630 *2) (-453))) (-5 *2 (-568)) (-5 *1 (-1105 *6 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *6))))) (-3337 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1161)) (-5 *5 (-835 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *6))) (-4 *6 (-13 (-558) (-842) (-1037 *2) (-630 *2) (-453))) (-5 *2 (-568)) (-5 *1 (-1105 *6 *3)))) (-3337 (*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-558) (-842) (-1037 *2) (-630 *2) (-453))) (-5 *2 (-568)) (-5 *1 (-1105 *4 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *4)))))) 
-(-10 -7 (-15 -3337 ((-3 (-568) "failed") |#2|)) (-15 -3337 ((-3 (-568) "failed") |#2| (-1161) (-835 |#2|))) (-15 -3337 ((-3 (-568) "failed") |#2| (-1161) |#2| (-1143)))) 
-((-3337 (((-3 (-568) "failed") (-409 (-953 |#1|)) (-1161) (-409 (-953 |#1|)) (-1143)) 34) (((-3 (-568) "failed") (-409 (-953 |#1|)) (-1161) (-835 (-409 (-953 |#1|)))) 29) (((-3 (-568) "failed") (-409 (-953 |#1|))) 12))) 
-(((-1106 |#1|) (-10 -7 (-15 -3337 ((-3 (-568) "failed") (-409 (-953 |#1|)))) (-15 -3337 ((-3 (-568) "failed") (-409 (-953 |#1|)) (-1161) (-835 (-409 (-953 |#1|))))) (-15 -3337 ((-3 (-568) "failed") (-409 (-953 |#1|)) (-1161) (-409 (-953 |#1|)) (-1143)))) (-453)) (T -1106)) 
-((-3337 (*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-409 (-953 *6))) (-5 *4 (-1161)) (-5 *5 (-1143)) (-4 *6 (-453)) (-5 *2 (-568)) (-5 *1 (-1106 *6)))) (-3337 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1161)) (-5 *5 (-835 (-409 (-953 *6)))) (-5 *3 (-409 (-953 *6))) (-4 *6 (-453)) (-5 *2 (-568)) (-5 *1 (-1106 *6)))) (-3337 (*1 *2 *3) (|partial| -12 (-5 *3 (-409 (-953 *4))) (-4 *4 (-453)) (-5 *2 (-568)) (-5 *1 (-1106 *4))))) 
-(-10 -7 (-15 -3337 ((-3 (-568) "failed") (-409 (-953 |#1|)))) (-15 -3337 ((-3 (-568) "failed") (-409 (-953 |#1|)) (-1161) (-835 (-409 (-953 |#1|))))) (-15 -3337 ((-3 (-568) "failed") (-409 (-953 |#1|)) (-1161) (-409 (-953 |#1|)) (-1143)))) 
-((-3267 (((-310 (-568)) (-53)) 11))) 
-(((-1107) (-10 -7 (-15 -3267 ((-310 (-568)) (-53))))) (T -1107)) 
-((-3267 (*1 *2 *3) (-12 (-5 *3 (-53)) (-5 *2 (-310 (-568))) (-5 *1 (-1107))))) 
-(-10 -7 (-15 -3267 ((-310 (-568)) (-53)))) 
-((-2449 (((-121) $ $) NIL)) (-1613 (($ $) 41)) (-1819 (((-121) $) 65)) (-3093 (($ $ $) 48)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 84)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2519 (($ $ $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-1353 (($ $ $ $) 74)) (-3045 (($ $) NIL)) (-3498 (((-420 $) $) NIL)) (-2589 (((-121) $ $) NIL)) (-3337 (((-568) $) NIL)) (-1872 (($ $ $) 71)) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-568) "failed") $) NIL)) (-2857 (((-568) $) NIL)) (-2403 (($ $ $) 59)) (-1668 (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) 78) (((-679 (-568)) (-679 $)) 28)) (-2902 (((-3 $ "failed") $) NIL)) (-3254 (((-3 (-409 (-568)) "failed") $) NIL)) (-1338 (((-121) $) NIL)) (-2394 (((-409 (-568)) $) NIL)) (-1733 (($) 81) (($ $) 82)) (-2414 (($ $ $) 58)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL)) (-2197 (((-121) $) NIL)) (-2382 (($ $ $ $) NIL)) (-3155 (($ $ $) 79)) (-1436 (((-121) $) NIL)) (-2341 (($ $ $) NIL)) (-1519 (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL)) (-1598 (((-121) $) 66)) (-2268 (((-121) $) 64)) (-3046 (($ $) 42)) (-2214 (((-3 $ "failed") $) NIL)) (-2859 (((-121) $) 75)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-4374 (($ $ $ $) 72)) (-1732 (($ $ $) 68) (($) 39)) (-2047 (($ $ $) 67) (($) 38)) (-3248 (($ $) NIL)) (-3680 (($ $) 70)) (-2498 (($ $ $) NIL) (($ (-634 $)) NIL)) (-1893 (((-1143) $) NIL)) (-3264 (($ $ $) NIL)) (-4436 (($) NIL T CONST)) (-1890 (($ $) 50)) (-4025 (((-1108) $) NIL) (($ $) 69)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL)) (-2723 (($ $ $) 62) (($ (-634 $)) NIL)) (-2406 (($ $) NIL)) (-3850 (((-420 $) $) NIL)) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL)) (-2597 (((-3 $ "failed") $ $) NIL)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL)) (-2080 (((-121) $) NIL)) (-1466 (((-763) $) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 61)) (-4191 (($ $ (-763)) NIL) (($ $) NIL)) (-3953 (($ $) 51)) (-3865 (($ $) NIL)) (-4280 (((-568) $) 32) (((-541) $) NIL) (((-887 (-568)) $) NIL) (((-381) $) NIL) (((-215) $) NIL)) (-2747 (((-850) $) 31) (($ (-568)) 80) (($ $) NIL) (($ (-568)) 80)) (-3425 (((-763)) NIL)) (-3600 (((-121) $ $) NIL)) (-3584 (($ $ $) NIL)) (-2404 (($) 37)) (-2273 (((-121) $ $) NIL)) (-1564 (($ $ $ $) 73)) (-2811 (($ $) 63)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-2432 (($ $ $) 44)) (-3058 (($) 35 T CONST)) (-3295 (($ $ $) 47)) (-1557 (($) 36 T CONST)) (-2628 (((-1143) $) 21) (((-1143) $ (-121)) 23) (((-1249) (-817) $) 24) (((-1249) (-817) $ (-121)) 25)) (-3253 (($ $) 45)) (-3192 (($ $ (-763)) NIL) (($ $) NIL)) (-3007 (($ $ $) 46)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 40)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 49)) (-2426 (($ $ $) 43)) (-1775 (($ $) 52) (($ $ $) 54)) (-1769 (($ $ $) 53)) (** (($ $ (-917)) NIL) (($ $ (-763)) 57)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 34) (($ $ $) 55))) 
-(((-1108) (-13 (-550) (-651) (-823) (-10 -8 (-6 -4508) (-6 -4513) (-6 -4509) (-15 -2047 ($)) (-15 -1732 ($)) (-15 -3046 ($ $)) (-15 -1613 ($ $)) (-15 -2426 ($ $ $)) (-15 -2432 ($ $ $)) (-15 -3093 ($ $ $)) (-15 -3253 ($ $)) (-15 -3007 ($ $ $)) (-15 -3295 ($ $ $))))) (T -1108)) 
-((-2432 (*1 *1 *1 *1) (-5 *1 (-1108))) (-2426 (*1 *1 *1 *1) (-5 *1 (-1108))) (-1613 (*1 *1 *1) (-5 *1 (-1108))) (-2047 (*1 *1) (-5 *1 (-1108))) (-1732 (*1 *1) (-5 *1 (-1108))) (-3046 (*1 *1 *1) (-5 *1 (-1108))) (-3093 (*1 *1 *1 *1) (-5 *1 (-1108))) (-3253 (*1 *1 *1) (-5 *1 (-1108))) (-3007 (*1 *1 *1 *1) (-5 *1 (-1108))) (-3295 (*1 *1 *1 *1) (-5 *1 (-1108)))) 
-(-13 (-550) (-651) (-823) (-10 -8 (-6 -4508) (-6 -4513) (-6 -4509) (-15 -2047 ($)) (-15 -1732 ($)) (-15 -3046 ($ $)) (-15 -1613 ($ $)) (-15 -2426 ($ $ $)) (-15 -2432 ($ $ $)) (-15 -3093 ($ $ $)) (-15 -3253 ($ $)) (-15 -3007 ($ $ $)) (-15 -3295 ($ $ $)))) 
-((-2449 (((-121) $ $) 18 (|has| |#1| (-1090)))) (-2618 ((|#1| $) 41)) (-1667 (((-121) $ (-763)) 8)) (-4490 (($) 7 T CONST)) (-2885 ((|#1| |#1| $) 43)) (-2819 ((|#1| $) 42)) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) 9)) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35)) (-3796 (((-121) $ (-763)) 10)) (-1893 (((-1143) $) 22 (|has| |#1| (-1090)))) (-2580 ((|#1| $) 36)) (-1708 (($ |#1| $) 37)) (-4025 (((-1108) $) 21 (|has| |#1| (-1090)))) (-3403 ((|#1| $) 38)) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-4156 (((-763) $) 40)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-2747 (((-850) $) 20 (|has| |#1| (-1090)))) (-4074 (($ (-634 |#1|)) 39)) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-1109 |#1|) (-1275) (-1195)) (T -1109)) 
-((-2885 (*1 *2 *2 *1) (-12 (-4 *1 (-1109 *2)) (-4 *2 (-1195)))) (-2819 (*1 *2 *1) (-12 (-4 *1 (-1109 *2)) (-4 *2 (-1195)))) (-2618 (*1 *2 *1) (-12 (-4 *1 (-1109 *2)) (-4 *2 (-1195)))) (-4156 (*1 *2 *1) (-12 (-4 *1 (-1109 *3)) (-4 *3 (-1195)) (-5 *2 (-763))))) 
-(-13 (-111 |t#1|) (-10 -8 (-6 -4521) (-15 -2885 (|t#1| |t#1| $)) (-15 -2819 (|t#1| $)) (-15 -2618 (|t#1| $)) (-15 -4156 ((-763) $)))) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1090)) ((-608 (-850)) |has| |#1| (-1090)) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-499 |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-1090) |has| |#1| (-1090)) ((-1195) . T)) 
-((-1934 ((|#3| $) 76)) (-3668 (((-3 (-568) "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL) (((-3 |#3| "failed") $) 40)) (-2857 (((-568) $) NIL) (((-409 (-568)) $) NIL) ((|#3| $) 37)) (-1668 (((-679 (-568)) (-679 $)) NIL) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL) (((-2 (|:| -2908 (-679 |#3|)) (|:| |vec| (-1244 |#3|))) (-679 $) (-1244 $)) 73) (((-679 |#3|) (-679 $)) 65)) (-4191 (($ $ (-1 |#3| |#3|)) 19) (($ $ (-1 |#3| |#3|) (-763)) NIL) (($ $ (-634 (-1161)) (-634 (-763))) NIL) (($ $ (-1161) (-763)) NIL) (($ $ (-634 (-1161))) NIL) (($ $ (-1161)) NIL) (($ $ (-763)) NIL) (($ $) NIL)) (-1966 ((|#3| $) 78)) (-1760 ((|#4| $) 32)) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ (-409 (-568))) NIL) (($ |#3|) 16)) (** (($ $ (-917)) NIL) (($ $ (-763)) 15) (($ $ (-568)) 82))) 
-(((-1110 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 ** (|#1| |#1| (-568))) (-15 -1966 (|#3| |#1|)) (-15 -1934 (|#3| |#1|)) (-15 -1760 (|#4| |#1|)) (-15 -1668 ((-679 |#3|) (-679 |#1|))) (-15 -1668 ((-2 (|:| -2908 (-679 |#3|)) (|:| |vec| (-1244 |#3|))) (-679 |#1|) (-1244 |#1|))) (-15 -1668 ((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 |#1|) (-1244 |#1|))) (-15 -1668 ((-679 (-568)) (-679 |#1|))) (-15 -2857 (|#3| |#1|)) (-15 -3668 ((-3 |#3| "failed") |#1|)) (-15 -2747 (|#1| |#3|)) (-15 -2747 (|#1| (-409 (-568)))) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2857 ((-409 (-568)) |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -2857 ((-568) |#1|)) (-15 -4191 (|#1| |#1|)) (-15 -4191 (|#1| |#1| (-763))) (-15 -4191 (|#1| |#1| (-1161))) (-15 -4191 (|#1| |#1| (-634 (-1161)))) (-15 -4191 (|#1| |#1| (-1161) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)) (-634 (-763)))) (-15 -4191 (|#1| |#1| (-1 |#3| |#3|) (-763))) (-15 -4191 (|#1| |#1| (-1 |#3| |#3|))) (-15 -2747 (|#1| (-568))) (-15 ** (|#1| |#1| (-763))) (-15 ** (|#1| |#1| (-917))) (-15 -2747 ((-850) |#1|))) (-1111 |#2| |#3| |#4| |#5|) (-763) (-1047) (-230 |#2| |#3|) (-230 |#2| |#3|)) (T -1110)) 
-NIL 
-(-10 -8 (-15 ** (|#1| |#1| (-568))) (-15 -1966 (|#3| |#1|)) (-15 -1934 (|#3| |#1|)) (-15 -1760 (|#4| |#1|)) (-15 -1668 ((-679 |#3|) (-679 |#1|))) (-15 -1668 ((-2 (|:| -2908 (-679 |#3|)) (|:| |vec| (-1244 |#3|))) (-679 |#1|) (-1244 |#1|))) (-15 -1668 ((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 |#1|) (-1244 |#1|))) (-15 -1668 ((-679 (-568)) (-679 |#1|))) (-15 -2857 (|#3| |#1|)) (-15 -3668 ((-3 |#3| "failed") |#1|)) (-15 -2747 (|#1| |#3|)) (-15 -2747 (|#1| (-409 (-568)))) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2857 ((-409 (-568)) |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -2857 ((-568) |#1|)) (-15 -4191 (|#1| |#1|)) (-15 -4191 (|#1| |#1| (-763))) (-15 -4191 (|#1| |#1| (-1161))) (-15 -4191 (|#1| |#1| (-634 (-1161)))) (-15 -4191 (|#1| |#1| (-1161) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)) (-634 (-763)))) (-15 -4191 (|#1| |#1| (-1 |#3| |#3|) (-763))) (-15 -4191 (|#1| |#1| (-1 |#3| |#3|))) (-15 -2747 (|#1| (-568))) (-15 ** (|#1| |#1| (-763))) (-15 ** (|#1| |#1| (-917))) (-15 -2747 ((-850) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-1934 ((|#2| $) 69)) (-3560 (((-121) $) 109)) (-2689 (((-3 $ "failed") $ $) 18)) (-3691 (((-121) $) 107)) (-1667 (((-121) $ (-763)) 99)) (-1637 (($ |#2|) 72)) (-4490 (($) 16 T CONST)) (-3912 (($ $) 126 (|has| |#2| (-301)))) (-2228 ((|#3| $ (-568)) 121)) (-3668 (((-3 (-568) "failed") $) 83 (|has| |#2| (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) 81 (|has| |#2| (-1037 (-409 (-568))))) (((-3 |#2| "failed") $) 78)) (-2857 (((-568) $) 84 (|has| |#2| (-1037 (-568)))) (((-409 (-568)) $) 82 (|has| |#2| (-1037 (-409 (-568))))) ((|#2| $) 77)) (-1668 (((-679 (-568)) (-679 $)) 76 (|has| |#2| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) 75 (|has| |#2| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 $) (-1244 $)) 74) (((-679 |#2|) (-679 $)) 73)) (-2902 (((-3 $ "failed") $) 33)) (-2371 (((-763) $) 127 (|has| |#2| (-558)))) (-2069 ((|#2| $ (-568) (-568)) 119)) (-3317 (((-634 |#2|) $) 92 (|has| $ (-6 -4521)))) (-1598 (((-121) $) 30)) (-3344 (((-763) $) 128 (|has| |#2| (-558)))) (-2934 (((-634 |#4|) $) 129 (|has| |#2| (-558)))) (-2241 (((-763) $) 115)) (-1901 (((-763) $) 116)) (-3791 (((-121) $ (-763)) 100)) (-2424 ((|#2| $) 64 (|has| |#2| (-6 (-4523 "*"))))) (-3139 (((-568) $) 111)) (-1343 (((-568) $) 113)) (-4406 (((-634 |#2|) $) 91 (|has| $ (-6 -4521)))) (-2551 (((-121) |#2| $) 89 (-12 (|has| |#2| (-1090)) (|has| $ (-6 -4521))))) (-3405 (((-568) $) 112)) (-2801 (((-568) $) 114)) (-2271 (($ (-634 (-634 |#2|))) 106)) (-2253 (($ (-1 |#2| |#2|) $) 96 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#2| |#2| |#2|) $ $) 123) (($ (-1 |#2| |#2|) $) 97)) (-1843 (((-634 (-634 |#2|)) $) 117)) (-3796 (((-121) $ (-763)) 101)) (-1893 (((-1143) $) 9)) (-2715 (((-3 $ "failed") $) 63 (|has| |#2| (-365)))) (-4025 (((-1108) $) 10)) (-2597 (((-3 $ "failed") $ |#2|) 124 (|has| |#2| (-558)))) (-3951 (((-121) (-1 (-121) |#2|) $) 94 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#2|))) 88 (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-288 |#2|)) 87 (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ |#2| |#2|) 86 (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-634 |#2|) (-634 |#2|)) 85 (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))))) (-1702 (((-121) $ $) 105)) (-2436 (((-121) $) 102)) (-1990 (($) 103)) (-2781 ((|#2| $ (-568) (-568) |#2|) 120) ((|#2| $ (-568) (-568)) 118)) (-4191 (($ $ (-1 |#2| |#2|)) 51) (($ $ (-1 |#2| |#2|) (-763)) 50) (($ $ (-634 (-1161)) (-634 (-763))) 43 (|has| |#2| (-895 (-1161)))) (($ $ (-1161) (-763)) 42 (|has| |#2| (-895 (-1161)))) (($ $ (-634 (-1161))) 41 (|has| |#2| (-895 (-1161)))) (($ $ (-1161)) 40 (|has| |#2| (-895 (-1161)))) (($ $ (-763)) 38 (|has| |#2| (-225))) (($ $) 36 (|has| |#2| (-225)))) (-1966 ((|#2| $) 68)) (-3499 (($ (-634 |#2|)) 71)) (-4322 (((-121) $) 108)) (-1760 ((|#3| $) 70)) (-2591 ((|#2| $) 65 (|has| |#2| (-6 (-4523 "*"))))) (-4170 (((-763) (-1 (-121) |#2|) $) 93 (|has| $ (-6 -4521))) (((-763) |#2| $) 90 (-12 (|has| |#2| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 104)) (-2522 ((|#4| $ (-568)) 122)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ (-409 (-568))) 80 (|has| |#2| (-1037 (-409 (-568))))) (($ |#2|) 79)) (-3425 (((-763)) 28)) (-3437 (((-121) (-1 (-121) |#2|) $) 95 (|has| $ (-6 -4521)))) (-2675 (((-121) $) 110)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3192 (($ $ (-1 |#2| |#2|)) 49) (($ $ (-1 |#2| |#2|) (-763)) 48) (($ $ (-634 (-1161)) (-634 (-763))) 47 (|has| |#2| (-895 (-1161)))) (($ $ (-1161) (-763)) 46 (|has| |#2| (-895 (-1161)))) (($ $ (-634 (-1161))) 45 (|has| |#2| (-895 (-1161)))) (($ $ (-1161)) 44 (|has| |#2| (-895 (-1161)))) (($ $ (-763)) 39 (|has| |#2| (-225))) (($ $) 37 (|has| |#2| (-225)))) (-1719 (((-121) $ $) 6)) (-1781 (($ $ |#2|) 125 (|has| |#2| (-365)))) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ (-568)) 62 (|has| |#2| (-365)))) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ |#2|) 131) (($ |#2| $) 130) ((|#4| $ |#4|) 67) ((|#3| |#3| $) 66)) (-1699 (((-763) $) 98 (|has| $ (-6 -4521))))) 
-(((-1111 |#1| |#2| |#3| |#4|) (-1275) (-763) (-1047) (-230 |t#1| |t#2|) (-230 |t#1| |t#2|)) (T -1111)) 
-((-1637 (*1 *1 *2) (-12 (-4 *2 (-1047)) (-4 *1 (-1111 *3 *2 *4 *5)) (-4 *4 (-230 *3 *2)) (-4 *5 (-230 *3 *2)))) (-3499 (*1 *1 *2) (-12 (-5 *2 (-634 *4)) (-4 *4 (-1047)) (-4 *1 (-1111 *3 *4 *5 *6)) (-4 *5 (-230 *3 *4)) (-4 *6 (-230 *3 *4)))) (-1760 (*1 *2 *1) (-12 (-4 *1 (-1111 *3 *4 *2 *5)) (-4 *4 (-1047)) (-4 *5 (-230 *3 *4)) (-4 *2 (-230 *3 *4)))) (-1934 (*1 *2 *1) (-12 (-4 *1 (-1111 *3 *2 *4 *5)) (-4 *4 (-230 *3 *2)) (-4 *5 (-230 *3 *2)) (-4 *2 (-1047)))) (-1966 (*1 *2 *1) (-12 (-4 *1 (-1111 *3 *2 *4 *5)) (-4 *4 (-230 *3 *2)) (-4 *5 (-230 *3 *2)) (-4 *2 (-1047)))) (* (*1 *2 *1 *2) (-12 (-4 *1 (-1111 *3 *4 *5 *2)) (-4 *4 (-1047)) (-4 *5 (-230 *3 *4)) (-4 *2 (-230 *3 *4)))) (* (*1 *2 *2 *1) (-12 (-4 *1 (-1111 *3 *4 *2 *5)) (-4 *4 (-1047)) (-4 *2 (-230 *3 *4)) (-4 *5 (-230 *3 *4)))) (-2591 (*1 *2 *1) (-12 (-4 *1 (-1111 *3 *2 *4 *5)) (-4 *4 (-230 *3 *2)) (-4 *5 (-230 *3 *2)) (|has| *2 (-6 (-4523 "*"))) (-4 *2 (-1047)))) (-2424 (*1 *2 *1) (-12 (-4 *1 (-1111 *3 *2 *4 *5)) (-4 *4 (-230 *3 *2)) (-4 *5 (-230 *3 *2)) (|has| *2 (-6 (-4523 "*"))) (-4 *2 (-1047)))) (-2715 (*1 *1 *1) (|partial| -12 (-4 *1 (-1111 *2 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-230 *2 *3)) (-4 *5 (-230 *2 *3)) (-4 *3 (-365)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-1111 *3 *4 *5 *6)) (-4 *4 (-1047)) (-4 *5 (-230 *3 *4)) (-4 *6 (-230 *3 *4)) (-4 *4 (-365))))) 
-(-13 (-223 |t#2|) (-120 |t#2| |t#2|) (-1050 |t#1| |t#1| |t#2| |t#3| |t#4|) (-413 |t#2|) (-379 |t#2|) (-10 -8 (IF (|has| |t#2| (-172)) (-6 (-707 |t#2|)) |noBranch|) (-15 -1637 ($ |t#2|)) (-15 -3499 ($ (-634 |t#2|))) (-15 -1760 (|t#3| $)) (-15 -1934 (|t#2| $)) (-15 -1966 (|t#2| $)) (-15 * (|t#4| $ |t#4|)) (-15 * (|t#3| |t#3| $)) (IF (|has| |t#2| (-6 (-4523 "*"))) (PROGN (-6 (-43 |t#2|)) (-15 -2591 (|t#2| $)) (-15 -2424 (|t#2| $))) |noBranch|) (IF (|has| |t#2| (-365)) (PROGN (-15 -2715 ((-3 $ "failed") $)) (-15 ** ($ $ (-568)))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-39) . T) ((-43 |#2|) |has| |#2| (-6 (-4523 "*"))) ((-105) . T) ((-120 |#2| |#2|) . T) ((-137) . T) ((-608 (-850)) . T) ((-223 |#2|) . T) ((-225) |has| |#2| (-225)) ((-303 |#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))) ((-379 |#2|) . T) ((-413 |#2|) . T) ((-499 |#2|) . T) ((-523 |#2| |#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))) ((-637 |#2|) . T) ((-637 $) . T) ((-630 (-568)) |has| |#2| (-630 (-568))) ((-630 |#2|) . T) ((-707 |#2|) -2199 (|has| |#2| (-172)) (|has| |#2| (-6 (-4523 "*")))) ((-716) . T) ((-895 (-1161)) |has| |#2| (-895 (-1161))) ((-1050 |#1| |#1| |#2| |#3| |#4|) . T) ((-1037 (-409 (-568))) |has| |#2| (-1037 (-409 (-568)))) ((-1037 (-568)) |has| |#2| (-1037 (-568))) ((-1037 |#2|) . T) ((-1053 |#2|) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1195) . T)) 
-((-2915 ((|#4| |#4|) 67)) (-3346 ((|#4| |#4|) 62)) (-3554 (((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -2588 (-634 |#3|))) |#4| |#3|) 75)) (-4223 (((-2 (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|) 66)) (-2702 (((-2 (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|) 64))) 
-(((-1112 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3346 (|#4| |#4|)) (-15 -2702 ((-2 (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|)) (-15 -2915 (|#4| |#4|)) (-15 -4223 ((-2 (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|)) (-15 -3554 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -2588 (-634 |#3|))) |#4| |#3|))) (-301) (-375 |#1|) (-375 |#1|) (-677 |#1| |#2| |#3|)) (T -1112)) 
-((-3554 (*1 *2 *3 *4) (-12 (-4 *5 (-301)) (-4 *6 (-375 *5)) (-4 *4 (-375 *5)) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2588 (-634 *4)))) (-5 *1 (-1112 *5 *6 *4 *3)) (-4 *3 (-677 *5 *6 *4)))) (-4223 (*1 *2 *3) (-12 (-4 *4 (-301)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4)) (-5 *2 (-2 (|:| |Smith| *3) (|:| |leftEqMat| *3) (|:| |rightEqMat| *3))) (-5 *1 (-1112 *4 *5 *6 *3)) (-4 *3 (-677 *4 *5 *6)))) (-2915 (*1 *2 *2) (-12 (-4 *3 (-301)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *1 (-1112 *3 *4 *5 *2)) (-4 *2 (-677 *3 *4 *5)))) (-2702 (*1 *2 *3) (-12 (-4 *4 (-301)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4)) (-5 *2 (-2 (|:| |Hermite| *3) (|:| |eqMat| *3))) (-5 *1 (-1112 *4 *5 *6 *3)) (-4 *3 (-677 *4 *5 *6)))) (-3346 (*1 *2 *2) (-12 (-4 *3 (-301)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *1 (-1112 *3 *4 *5 *2)) (-4 *2 (-677 *3 *4 *5))))) 
-(-10 -7 (-15 -3346 (|#4| |#4|)) (-15 -2702 ((-2 (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|)) (-15 -2915 (|#4| |#4|)) (-15 -4223 ((-2 (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|)) (-15 -3554 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -2588 (-634 |#3|))) |#4| |#3|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 17)) (-2057 (((-634 |#2|) $) 160)) (-3840 (((-1157 $) $ |#2|) 54) (((-1157 |#1|) $) 43)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 110 (|has| |#1| (-558)))) (-3661 (($ $) 112 (|has| |#1| (-558)))) (-4426 (((-121) $) 114 (|has| |#1| (-558)))) (-3528 (((-763) $) NIL) (((-763) $ (-634 |#2|)) 193)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-3045 (($ $) NIL (|has| |#1| (-453)))) (-3498 (((-420 $) $) NIL (|has| |#1| (-453)))) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#1| "failed") $) 157) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-3 (-568) "failed") $) NIL (|has| |#1| (-1037 (-568)))) (((-3 |#2| "failed") $) NIL)) (-2857 ((|#1| $) 155) (((-409 (-568)) $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-568) $) NIL (|has| |#1| (-1037 (-568)))) ((|#2| $) NIL)) (-2910 (($ $ $ |#2|) NIL (|has| |#1| (-172)))) (-2116 (($ $) 197)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 |#1|))) (-679 $) (-1244 $)) NIL) (((-679 |#1|) (-679 $)) NIL)) (-2902 (((-3 $ "failed") $) 82)) (-1998 (($ $) NIL (|has| |#1| (-453))) (($ $ |#2|) NIL (|has| |#1| (-453)))) (-2110 (((-634 $) $) NIL)) (-2197 (((-121) $) NIL (|has| |#1| (-904)))) (-2453 (($ $ |#1| (-534 |#2|) $) NIL)) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (-12 (|has| |#1| (-881 (-381))) (|has| |#2| (-881 (-381))))) (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (-12 (|has| |#1| (-881 (-568))) (|has| |#2| (-881 (-568)))))) (-1598 (((-121) $) 19)) (-3971 (((-763) $) 26)) (-2053 (($ (-1157 |#1|) |#2|) 48) (($ (-1157 $) |#2|) 64)) (-3062 (((-634 $) $) NIL)) (-2171 (((-121) $) 31)) (-2049 (($ |#1| (-534 |#2|)) 71) (($ $ |#2| (-763)) 52) (($ $ (-634 |#2|) (-634 (-763))) NIL)) (-1438 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $ |#2|) NIL)) (-3524 (((-534 |#2|) $) 187) (((-763) $ |#2|) 188) (((-634 (-763)) $ (-634 |#2|)) 189)) (-1732 (($ $ $) NIL (|has| |#1| (-842)))) (-2047 (($ $ $) NIL (|has| |#1| (-842)))) (-1865 (($ (-1 (-534 |#2|) (-534 |#2|)) $) NIL)) (-2797 (($ (-1 |#1| |#1|) $) 122)) (-2817 (((-3 |#2| "failed") $) 162)) (-2099 (($ $) 196)) (-2104 ((|#1| $) 37)) (-2498 (($ (-634 $)) NIL (|has| |#1| (-453))) (($ $ $) NIL (|has| |#1| (-453)))) (-1893 (((-1143) $) NIL)) (-4362 (((-3 (-634 $) "failed") $) NIL)) (-2112 (((-3 (-634 $) "failed") $) NIL)) (-2617 (((-3 (-2 (|:| |var| |#2|) (|:| -3483 (-763))) "failed") $) NIL)) (-4025 (((-1108) $) NIL)) (-2088 (((-121) $) 32)) (-2093 ((|#1| $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 140 (|has| |#1| (-453)))) (-2723 (($ (-634 $)) 145 (|has| |#1| (-453))) (($ $ $) 132 (|has| |#1| (-453)))) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-3850 (((-420 $) $) NIL (|has| |#1| (-904)))) (-2597 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-558))) (((-3 $ "failed") $ $) 120 (|has| |#1| (-558)))) (-1339 (($ $ (-634 (-288 $))) NIL) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL) (($ $ |#2| |#1|) 165) (($ $ (-634 |#2|) (-634 |#1|)) 178) (($ $ |#2| $) 164) (($ $ (-634 |#2|) (-634 $)) 177)) (-3440 (($ $ |#2|) NIL (|has| |#1| (-172)))) (-4191 (($ $ |#2|) 195) (($ $ (-634 |#2|)) NIL) (($ $ |#2| (-763)) NIL) (($ $ (-634 |#2|) (-634 (-763))) NIL)) (-1836 (((-534 |#2|) $) 183) (((-763) $ |#2|) 179) (((-634 (-763)) $ (-634 |#2|)) 181)) (-4280 (((-887 (-381)) $) NIL (-12 (|has| |#1| (-609 (-887 (-381)))) (|has| |#2| (-609 (-887 (-381)))))) (((-887 (-568)) $) NIL (-12 (|has| |#1| (-609 (-887 (-568)))) (|has| |#2| (-609 (-887 (-568)))))) (((-541) $) NIL (-12 (|has| |#1| (-609 (-541))) (|has| |#2| (-609 (-541)))))) (-1364 ((|#1| $) 128 (|has| |#1| (-453))) (($ $ |#2|) 131 (|has| |#1| (-453)))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-12 (|has| $ (-148)) (|has| |#1| (-904))))) (-2747 (((-850) $) 151) (($ (-568)) 76) (($ |#1|) 77) (($ |#2|) 28) (($ $) NIL (|has| |#1| (-558))) (($ (-409 (-568))) NIL (-2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-1037 (-409 (-568))))))) (-3304 (((-634 |#1|) $) 154)) (-2079 ((|#1| $ (-534 |#2|)) 73) (($ $ |#2| (-763)) NIL) (($ $ (-634 |#2|) (-634 (-763))) NIL)) (-3385 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| |#1| (-904))) (|has| |#1| (-148))))) (-3425 (((-763)) 79)) (-3925 (($ $ $ (-763)) NIL (|has| |#1| (-172)))) (-2273 (((-121) $ $) 117 (|has| |#1| (-558)))) (-1889 (($ $ (-917)) 102) (($ $ (-763)) 104)) (-3058 (($) 12 T CONST)) (-1557 (($) 14 T CONST)) (-3192 (($ $ |#2|) NIL) (($ $ (-634 |#2|)) NIL) (($ $ |#2| (-763)) NIL) (($ $ (-634 |#2|) (-634 (-763))) NIL)) (-1753 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1719 (((-121) $ $) 97)) (-1747 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1781 (($ $ |#1|) 126 (|has| |#1| (-365)))) (-1775 (($ $) 85) (($ $ $) 95)) (-1769 (($ $ $) 49)) (** (($ $ (-917)) 103) (($ $ (-763)) 100)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 88) (($ $ $) 65) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))) (($ (-409 (-568)) $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ |#1| $) 90) (($ $ |#1|) NIL))) 
-(((-1113 |#1| |#2|) (-950 |#1| (-534 |#2|) |#2|) (-1047) (-842)) (T -1113)) 
-NIL 
-(-950 |#1| (-534 |#2|) |#2|) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2057 (((-634 |#2|) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#1| (-558)))) (-3661 (($ $) NIL (|has| |#1| (-558)))) (-4426 (((-121) $) NIL (|has| |#1| (-558)))) (-1984 (($ $) 154 (|has| |#1| (-43 (-409 (-568)))))) (-1935 (($ $) 130 (|has| |#1| (-43 (-409 (-568)))))) (-2689 (((-3 $ "failed") $ $) NIL)) (-1904 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1976 (($ $) 150 (|has| |#1| (-43 (-409 (-568)))))) (-2788 (($ $) 126 (|has| |#1| (-43 (-409 (-568)))))) (-1992 (($ $) 158 (|has| |#1| (-43 (-409 (-568)))))) (-1943 (($ $) 134 (|has| |#1| (-43 (-409 (-568)))))) (-4490 (($) NIL T CONST)) (-2116 (($ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-3808 (((-953 |#1|) $ (-763)) NIL) (((-953 |#1|) $ (-763) (-763)) NIL)) (-1302 (((-121) $) NIL)) (-1899 (($) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1844 (((-763) $ |#2|) NIL) (((-763) $ |#2| (-763)) NIL)) (-1598 (((-121) $) NIL)) (-1550 (($ $ (-568)) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2171 (((-121) $) NIL)) (-2049 (($ $ (-634 |#2|) (-634 (-534 |#2|))) NIL) (($ $ |#2| (-534 |#2|)) NIL) (($ |#1| (-534 |#2|)) NIL) (($ $ |#2| (-763)) 71) (($ $ (-634 |#2|) (-634 (-763))) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-4418 (($ $) 124 (|has| |#1| (-43 (-409 (-568)))))) (-2099 (($ $) NIL)) (-2104 ((|#1| $) NIL)) (-1893 (((-1143) $) NIL)) (-1845 (($ $ |#2|) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ |#2| |#1|) 177 (|has| |#1| (-43 (-409 (-568)))))) (-4025 (((-1108) $) NIL)) (-3648 (($ (-1 $) |#2| |#1|) 176 (|has| |#1| (-43 (-409 (-568)))))) (-2168 (($ $ (-763)) 15)) (-2597 (((-3 $ "failed") $ $) NIL (|has| |#1| (-558)))) (-1894 (($ $) 122 (|has| |#1| (-43 (-409 (-568)))))) (-1339 (($ $ |#2| $) 109) (($ $ (-634 |#2|) (-634 $)) 102) (($ $ (-634 (-288 $))) NIL) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL)) (-4191 (($ $ |#2|) 111) (($ $ (-634 |#2|)) NIL) (($ $ |#2| (-763)) NIL) (($ $ (-634 |#2|) (-634 (-763))) NIL)) (-1836 (((-534 |#2|) $) NIL)) (-1660 (((-1 (-1141 |#3|) |#3|) (-634 |#2|) (-634 (-1141 |#3|))) 92)) (-1996 (($ $) 160 (|has| |#1| (-43 (-409 (-568)))))) (-1947 (($ $) 136 (|has| |#1| (-43 (-409 (-568)))))) (-1988 (($ $) 156 (|has| |#1| (-43 (-409 (-568)))))) (-1939 (($ $) 132 (|has| |#1| (-43 (-409 (-568)))))) (-1980 (($ $) 152 (|has| |#1| (-43 (-409 (-568)))))) (-2792 (($ $) 128 (|has| |#1| (-43 (-409 (-568)))))) (-2188 (($ $) 17)) (-2747 (((-850) $) 192) (($ (-568)) NIL) (($ |#1|) 59 (|has| |#1| (-172))) (($ $) NIL (|has| |#1| (-558))) (($ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))) (($ |#2|) 78) (($ |#3|) 76)) (-2079 ((|#1| $ (-534 |#2|)) 57) (($ $ |#2| (-763)) NIL) (($ $ (-634 |#2|) (-634 (-763))) 50) ((|#3| $ (-763)) 42)) (-3385 (((-3 $ "failed") $) NIL (|has| |#1| (-148)))) (-3425 (((-763)) NIL)) (-2008 (($ $) 166 (|has| |#1| (-43 (-409 (-568)))))) (-1959 (($ $) 142 (|has| |#1| (-43 (-409 (-568)))))) (-2273 (((-121) $ $) NIL (|has| |#1| (-558)))) (-2000 (($ $) 162 (|has| |#1| (-43 (-409 (-568)))))) (-1951 (($ $) 138 (|has| |#1| (-43 (-409 (-568)))))) (-2016 (($ $) 170 (|has| |#1| (-43 (-409 (-568)))))) (-1968 (($ $) 146 (|has| |#1| (-43 (-409 (-568)))))) (-1439 (($ $) 172 (|has| |#1| (-43 (-409 (-568)))))) (-1972 (($ $) 148 (|has| |#1| (-43 (-409 (-568)))))) (-2012 (($ $) 168 (|has| |#1| (-43 (-409 (-568)))))) (-1964 (($ $) 144 (|has| |#1| (-43 (-409 (-568)))))) (-2004 (($ $) 164 (|has| |#1| (-43 (-409 (-568)))))) (-1955 (($ $) 140 (|has| |#1| (-43 (-409 (-568)))))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 18 T CONST)) (-1557 (($) 10 T CONST)) (-3192 (($ $ |#2|) NIL) (($ $ (-634 |#2|)) NIL) (($ $ |#2| (-763)) NIL) (($ $ (-634 |#2|) (-634 (-763))) NIL)) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ |#1|) 194 (|has| |#1| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) 74)) (** (($ $ (-917)) NIL) (($ $ (-763)) 83) (($ $ $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) 114 (|has| |#1| (-43 (-409 (-568)))))) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 73) (($ $ (-409 (-568))) 119 (|has| |#1| (-43 (-409 (-568))))) (($ (-409 (-568)) $) 117 (|has| |#1| (-43 (-409 (-568))))) (($ |#1| $) 62) (($ $ |#1|) 63) (($ |#3| $) 61))) 
-(((-1114 |#1| |#2| |#3|) (-13 (-730 |#1| |#2|) (-10 -8 (-15 -2079 (|#3| $ (-763))) (-15 -2747 ($ |#2|)) (-15 -2747 ($ |#3|)) (-15 * ($ |#3| $)) (-15 -1660 ((-1 (-1141 |#3|) |#3|) (-634 |#2|) (-634 (-1141 |#3|)))) (IF (|has| |#1| (-43 (-409 (-568)))) (PROGN (-15 -1845 ($ $ |#2| |#1|)) (-15 -3648 ($ (-1 $) |#2| |#1|))) |noBranch|))) (-1047) (-842) (-950 |#1| (-534 |#2|) |#2|)) (T -1114)) 
-((-2079 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-4 *2 (-950 *4 (-534 *5) *5)) (-5 *1 (-1114 *4 *5 *2)) (-4 *4 (-1047)) (-4 *5 (-842)))) (-2747 (*1 *1 *2) (-12 (-4 *3 (-1047)) (-4 *2 (-842)) (-5 *1 (-1114 *3 *2 *4)) (-4 *4 (-950 *3 (-534 *2) *2)))) (-2747 (*1 *1 *2) (-12 (-4 *3 (-1047)) (-4 *4 (-842)) (-5 *1 (-1114 *3 *4 *2)) (-4 *2 (-950 *3 (-534 *4) *4)))) (* (*1 *1 *2 *1) (-12 (-4 *3 (-1047)) (-4 *4 (-842)) (-5 *1 (-1114 *3 *4 *2)) (-4 *2 (-950 *3 (-534 *4) *4)))) (-1660 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *6)) (-5 *4 (-634 (-1141 *7))) (-4 *6 (-842)) (-4 *7 (-950 *5 (-534 *6) *6)) (-4 *5 (-1047)) (-5 *2 (-1 (-1141 *7) *7)) (-5 *1 (-1114 *5 *6 *7)))) (-1845 (*1 *1 *1 *2 *3) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047)) (-4 *2 (-842)) (-5 *1 (-1114 *3 *2 *4)) (-4 *4 (-950 *3 (-534 *2) *2)))) (-3648 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1114 *4 *3 *5))) (-4 *4 (-43 (-409 (-568)))) (-4 *4 (-1047)) (-4 *3 (-842)) (-5 *1 (-1114 *4 *3 *5)) (-4 *5 (-950 *4 (-534 *3) *3))))) 
-(-13 (-730 |#1| |#2|) (-10 -8 (-15 -2079 (|#3| $ (-763))) (-15 -2747 ($ |#2|)) (-15 -2747 ($ |#3|)) (-15 * ($ |#3| $)) (-15 -1660 ((-1 (-1141 |#3|) |#3|) (-634 |#2|) (-634 (-1141 |#3|)))) (IF (|has| |#1| (-43 (-409 (-568)))) (PROGN (-15 -1845 ($ $ |#2| |#1|)) (-15 -3648 ($ (-1 $) |#2| |#1|))) |noBranch|))) 
-((-2449 (((-121) $ $) 7)) (-2213 (((-634 (-2 (|:| -4094 $) (|:| -2133 (-634 |#4|)))) (-634 |#4|)) 78)) (-2353 (((-634 $) (-634 |#4|)) 79) (((-634 $) (-634 |#4|) (-121)) 104)) (-2057 (((-634 |#3|) $) 32)) (-4141 (((-121) $) 25)) (-1794 (((-121) $) 16 (|has| |#1| (-558)))) (-4231 (((-121) |#4| $) 94) (((-121) $) 90)) (-3767 ((|#4| |#4| $) 85)) (-3045 (((-634 (-2 (|:| |val| |#4|) (|:| -3145 $))) |#4| $) 119)) (-3647 (((-2 (|:| |under| $) (|:| -4115 $) (|:| |upper| $)) $ |#3|) 26)) (-1667 (((-121) $ (-763)) 43)) (-2803 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4521))) (((-3 |#4| "failed") $ |#3|) 72)) (-4490 (($) 44 T CONST)) (-4382 (((-121) $) 21 (|has| |#1| (-558)))) (-1880 (((-121) $ $) 23 (|has| |#1| (-558)))) (-2536 (((-121) $ $) 22 (|has| |#1| (-558)))) (-2343 (((-121) $) 24 (|has| |#1| (-558)))) (-2941 (((-634 |#4|) (-634 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-3993 (((-634 |#4|) (-634 |#4|) $) 17 (|has| |#1| (-558)))) (-2727 (((-634 |#4|) (-634 |#4|) $) 18 (|has| |#1| (-558)))) (-3668 (((-3 $ "failed") (-634 |#4|)) 35)) (-2857 (($ (-634 |#4|)) 34)) (-3936 (((-3 $ "failed") $) 75)) (-3255 ((|#4| |#4| $) 82)) (-3926 (($ $) 67 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521))))) (-4330 (($ |#4| $) 66 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4521)))) (-2607 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-558)))) (-1359 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-3434 ((|#4| |#4| $) 80)) (-3094 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4521))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4521))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-3158 (((-2 (|:| -4094 (-634 |#4|)) (|:| -2133 (-634 |#4|))) $) 98)) (-2451 (((-121) |#4| $) 129)) (-2978 (((-121) |#4| $) 126)) (-1792 (((-121) |#4| $) 130) (((-121) $) 127)) (-3317 (((-634 |#4|) $) 51 (|has| $ (-6 -4521)))) (-3764 (((-121) |#4| $) 97) (((-121) $) 96)) (-4001 ((|#3| $) 33)) (-3791 (((-121) $ (-763)) 42)) (-4406 (((-634 |#4|) $) 52 (|has| $ (-6 -4521)))) (-2551 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521))))) (-2253 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#4| |#4|) $) 46)) (-2249 (((-634 |#3|) $) 31)) (-1495 (((-121) |#3| $) 30)) (-3796 (((-121) $ (-763)) 41)) (-1893 (((-1143) $) 9)) (-1516 (((-3 |#4| (-634 $)) |#4| |#4| $) 121)) (-3137 (((-634 (-2 (|:| |val| |#4|) (|:| -3145 $))) |#4| |#4| $) 120)) (-4164 (((-3 |#4| "failed") $) 76)) (-3878 (((-634 $) |#4| $) 122)) (-3712 (((-3 (-121) (-634 $)) |#4| $) 125)) (-4266 (((-634 (-2 (|:| |val| (-121)) (|:| -3145 $))) |#4| $) 124) (((-121) |#4| $) 123)) (-1864 (((-634 $) |#4| $) 118) (((-634 $) (-634 |#4|) $) 117) (((-634 $) (-634 |#4|) (-634 $)) 116) (((-634 $) |#4| (-634 $)) 115)) (-3736 (($ |#4| $) 110) (($ (-634 |#4|) $) 109)) (-3882 (((-634 |#4|) $) 100)) (-2157 (((-121) |#4| $) 92) (((-121) $) 88)) (-1315 ((|#4| |#4| $) 83)) (-4342 (((-121) $ $) 103)) (-1440 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-558)))) (-3236 (((-121) |#4| $) 93) (((-121) $) 89)) (-1452 ((|#4| |#4| $) 84)) (-4025 (((-1108) $) 10)) (-3877 (((-3 |#4| "failed") $) 77)) (-2712 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-3413 (((-3 $ "failed") $ |#4|) 71)) (-2168 (($ $ |#4|) 70) (((-634 $) |#4| $) 108) (((-634 $) |#4| (-634 $)) 107) (((-634 $) (-634 |#4|) $) 106) (((-634 $) (-634 |#4|) (-634 $)) 105)) (-3951 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 |#4|) (-634 |#4|)) 58 (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ (-288 |#4|)) 56 (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ (-634 (-288 |#4|))) 55 (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090))))) (-1702 (((-121) $ $) 37)) (-2436 (((-121) $) 40)) (-1990 (($) 39)) (-1836 (((-763) $) 99)) (-4170 (((-763) |#4| $) 53 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521)))) (((-763) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4521)))) (-3865 (($ $) 38)) (-4280 (((-541) $) 68 (|has| |#4| (-609 (-541))))) (-4289 (($ (-634 |#4|)) 59)) (-3206 (($ $ |#3|) 27)) (-2527 (($ $ |#3|) 29)) (-4392 (($ $) 81)) (-4332 (($ $ |#3|) 28)) (-2747 (((-850) $) 11) (((-634 |#4|) $) 36)) (-2524 (((-763) $) 69 (|has| |#3| (-370)))) (-2835 (((-3 (-2 (|:| |bas| $) (|:| -2618 (-634 |#4|))) "failed") (-634 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -2618 (-634 |#4|))) "failed") (-634 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-2145 (((-121) $ (-1 (-121) |#4| (-634 |#4|))) 91)) (-1977 (((-634 $) |#4| $) 114) (((-634 $) |#4| (-634 $)) 113) (((-634 $) (-634 |#4|) $) 112) (((-634 $) (-634 |#4|) (-634 $)) 111)) (-3437 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4521)))) (-3321 (((-634 |#3|) $) 74)) (-3541 (((-121) |#4| $) 128)) (-1413 (((-121) |#3| $) 73)) (-1719 (((-121) $ $) 6)) (-1699 (((-763) $) 45 (|has| $ (-6 -4521))))) 
-(((-1115 |#1| |#2| |#3| |#4|) (-1275) (-453) (-788) (-842) (-1061 |t#1| |t#2| |t#3|)) (T -1115)) 
-NIL 
-(-13 (-1099 |t#1| |t#2| |t#3| |t#4|) (-779 |t#1| |t#2| |t#3| |t#4|)) 
-(((-39) . T) ((-105) . T) ((-608 (-634 |#4|)) . T) ((-608 (-850)) . T) ((-154 |#4|) . T) ((-609 (-541)) |has| |#4| (-609 (-541))) ((-303 |#4|) -12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090))) ((-499 |#4|) . T) ((-523 |#4| |#4|) -12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090))) ((-779 |#1| |#2| |#3| |#4|) . T) ((-977 |#1| |#2| |#3| |#4|) . T) ((-1066 |#1| |#2| |#3| |#4|) . T) ((-1090) . T) ((-1099 |#1| |#2| |#3| |#4|) . T) ((-1189 |#1| |#2| |#3| |#4|) . T) ((-1195) . T)) 
-((-3259 (((-634 |#2|) |#1|) 12)) (-2225 (((-634 |#2|) |#2| |#2| |#2| |#2| |#2|) 37) (((-634 |#2|) |#1|) 47)) (-3056 (((-634 |#2|) |#2| |#2| |#2|) 35) (((-634 |#2|) |#1|) 45)) (-3075 ((|#2| |#1|) 42)) (-1882 (((-2 (|:| |solns| (-634 |#2|)) (|:| |maps| (-634 (-2 (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (-1 |#2| |#2|)) 16)) (-3163 (((-634 |#2|) |#2| |#2|) 34) (((-634 |#2|) |#1|) 44)) (-2643 (((-634 |#2|) |#2| |#2| |#2| |#2|) 36) (((-634 |#2|) |#1|) 46)) (-1952 ((|#2| |#2| |#2| |#2| |#2| |#2|) 41)) (-3053 ((|#2| |#2| |#2| |#2|) 39)) (-4419 ((|#2| |#2| |#2|) 38)) (-1460 ((|#2| |#2| |#2| |#2| |#2|) 40))) 
-(((-1116 |#1| |#2|) (-10 -7 (-15 -3259 ((-634 |#2|) |#1|)) (-15 -3075 (|#2| |#1|)) (-15 -1882 ((-2 (|:| |solns| (-634 |#2|)) (|:| |maps| (-634 (-2 (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (-1 |#2| |#2|))) (-15 -3163 ((-634 |#2|) |#1|)) (-15 -3056 ((-634 |#2|) |#1|)) (-15 -2643 ((-634 |#2|) |#1|)) (-15 -2225 ((-634 |#2|) |#1|)) (-15 -3163 ((-634 |#2|) |#2| |#2|)) (-15 -3056 ((-634 |#2|) |#2| |#2| |#2|)) (-15 -2643 ((-634 |#2|) |#2| |#2| |#2| |#2|)) (-15 -2225 ((-634 |#2|) |#2| |#2| |#2| |#2| |#2|)) (-15 -4419 (|#2| |#2| |#2|)) (-15 -3053 (|#2| |#2| |#2| |#2|)) (-15 -1460 (|#2| |#2| |#2| |#2| |#2|)) (-15 -1952 (|#2| |#2| |#2| |#2| |#2| |#2|))) (-1219 |#2|) (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (T -1116)) 
-((-1952 (*1 *2 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *1 (-1116 *3 *2)) (-4 *3 (-1219 *2)))) (-1460 (*1 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *1 (-1116 *3 *2)) (-4 *3 (-1219 *2)))) (-3053 (*1 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *1 (-1116 *3 *2)) (-4 *3 (-1219 *2)))) (-4419 (*1 *2 *2 *2) (-12 (-4 *2 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *1 (-1116 *3 *2)) (-4 *3 (-1219 *2)))) (-2225 (*1 *2 *3 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *2 (-634 *3)) (-5 *1 (-1116 *4 *3)) (-4 *4 (-1219 *3)))) (-2643 (*1 *2 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *2 (-634 *3)) (-5 *1 (-1116 *4 *3)) (-4 *4 (-1219 *3)))) (-3056 (*1 *2 *3 *3 *3) (-12 (-4 *3 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *2 (-634 *3)) (-5 *1 (-1116 *4 *3)) (-4 *4 (-1219 *3)))) (-3163 (*1 *2 *3 *3) (-12 (-4 *3 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *2 (-634 *3)) (-5 *1 (-1116 *4 *3)) (-4 *4 (-1219 *3)))) (-2225 (*1 *2 *3) (-12 (-4 *4 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *2 (-634 *4)) (-5 *1 (-1116 *3 *4)) (-4 *3 (-1219 *4)))) (-2643 (*1 *2 *3) (-12 (-4 *4 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *2 (-634 *4)) (-5 *1 (-1116 *3 *4)) (-4 *3 (-1219 *4)))) (-3056 (*1 *2 *3) (-12 (-4 *4 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *2 (-634 *4)) (-5 *1 (-1116 *3 *4)) (-4 *3 (-1219 *4)))) (-3163 (*1 *2 *3) (-12 (-4 *4 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *2 (-634 *4)) (-5 *1 (-1116 *3 *4)) (-4 *3 (-1219 *4)))) (-1882 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *5 *5)) (-4 *5 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *2 (-2 (|:| |solns| (-634 *5)) (|:| |maps| (-634 (-2 (|:| |arg| *5) (|:| |res| *5)))))) (-5 *1 (-1116 *3 *5)) (-4 *3 (-1219 *5)))) (-3075 (*1 *2 *3) (-12 (-4 *2 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *1 (-1116 *3 *2)) (-4 *3 (-1219 *2)))) (-3259 (*1 *2 *3) (-12 (-4 *4 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *2 (-634 *4)) (-5 *1 (-1116 *3 *4)) (-4 *3 (-1219 *4))))) 
-(-10 -7 (-15 -3259 ((-634 |#2|) |#1|)) (-15 -3075 (|#2| |#1|)) (-15 -1882 ((-2 (|:| |solns| (-634 |#2|)) (|:| |maps| (-634 (-2 (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (-1 |#2| |#2|))) (-15 -3163 ((-634 |#2|) |#1|)) (-15 -3056 ((-634 |#2|) |#1|)) (-15 -2643 ((-634 |#2|) |#1|)) (-15 -2225 ((-634 |#2|) |#1|)) (-15 -3163 ((-634 |#2|) |#2| |#2|)) (-15 -3056 ((-634 |#2|) |#2| |#2| |#2|)) (-15 -2643 ((-634 |#2|) |#2| |#2| |#2| |#2|)) (-15 -2225 ((-634 |#2|) |#2| |#2| |#2| |#2| |#2|)) (-15 -4419 (|#2| |#2| |#2|)) (-15 -3053 (|#2| |#2| |#2| |#2|)) (-15 -1460 (|#2| |#2| |#2| |#2| |#2|)) (-15 -1952 (|#2| |#2| |#2| |#2| |#2| |#2|))) 
-((-3001 (((-634 (-634 (-288 (-310 |#1|)))) (-634 (-288 (-409 (-953 |#1|))))) 94) (((-634 (-634 (-288 (-310 |#1|)))) (-634 (-288 (-409 (-953 |#1|)))) (-634 (-1161))) 93) (((-634 (-634 (-288 (-310 |#1|)))) (-634 (-409 (-953 |#1|)))) 91) (((-634 (-634 (-288 (-310 |#1|)))) (-634 (-409 (-953 |#1|))) (-634 (-1161))) 89) (((-634 (-288 (-310 |#1|))) (-288 (-409 (-953 |#1|)))) 75) (((-634 (-288 (-310 |#1|))) (-288 (-409 (-953 |#1|))) (-1161)) 76) (((-634 (-288 (-310 |#1|))) (-409 (-953 |#1|))) 70) (((-634 (-288 (-310 |#1|))) (-409 (-953 |#1|)) (-1161)) 59)) (-3279 (((-634 (-634 (-310 |#1|))) (-634 (-409 (-953 |#1|))) (-634 (-1161))) 87) (((-634 (-310 |#1|)) (-409 (-953 |#1|)) (-1161)) 43)) (-2444 (((-1150 (-634 (-310 |#1|)) (-634 (-288 (-310 |#1|)))) (-409 (-953 |#1|)) (-1161)) 97) (((-1150 (-634 (-310 |#1|)) (-634 (-288 (-310 |#1|)))) (-288 (-409 (-953 |#1|))) (-1161)) 96))) 
-(((-1117 |#1|) (-10 -7 (-15 -3001 ((-634 (-288 (-310 |#1|))) (-409 (-953 |#1|)) (-1161))) (-15 -3001 ((-634 (-288 (-310 |#1|))) (-409 (-953 |#1|)))) (-15 -3001 ((-634 (-288 (-310 |#1|))) (-288 (-409 (-953 |#1|))) (-1161))) (-15 -3001 ((-634 (-288 (-310 |#1|))) (-288 (-409 (-953 |#1|))))) (-15 -3001 ((-634 (-634 (-288 (-310 |#1|)))) (-634 (-409 (-953 |#1|))) (-634 (-1161)))) (-15 -3001 ((-634 (-634 (-288 (-310 |#1|)))) (-634 (-409 (-953 |#1|))))) (-15 -3001 ((-634 (-634 (-288 (-310 |#1|)))) (-634 (-288 (-409 (-953 |#1|)))) (-634 (-1161)))) (-15 -3001 ((-634 (-634 (-288 (-310 |#1|)))) (-634 (-288 (-409 (-953 |#1|)))))) (-15 -3279 ((-634 (-310 |#1|)) (-409 (-953 |#1|)) (-1161))) (-15 -3279 ((-634 (-634 (-310 |#1|))) (-634 (-409 (-953 |#1|))) (-634 (-1161)))) (-15 -2444 ((-1150 (-634 (-310 |#1|)) (-634 (-288 (-310 |#1|)))) (-288 (-409 (-953 |#1|))) (-1161))) (-15 -2444 ((-1150 (-634 (-310 |#1|)) (-634 (-288 (-310 |#1|)))) (-409 (-953 |#1|)) (-1161)))) (-13 (-301) (-842) (-150))) (T -1117)) 
-((-2444 (*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 *5))) (-5 *4 (-1161)) (-4 *5 (-13 (-301) (-842) (-150))) (-5 *2 (-1150 (-634 (-310 *5)) (-634 (-288 (-310 *5))))) (-5 *1 (-1117 *5)))) (-2444 (*1 *2 *3 *4) (-12 (-5 *3 (-288 (-409 (-953 *5)))) (-5 *4 (-1161)) (-4 *5 (-13 (-301) (-842) (-150))) (-5 *2 (-1150 (-634 (-310 *5)) (-634 (-288 (-310 *5))))) (-5 *1 (-1117 *5)))) (-3279 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 *5)))) (-5 *4 (-634 (-1161))) (-4 *5 (-13 (-301) (-842) (-150))) (-5 *2 (-634 (-634 (-310 *5)))) (-5 *1 (-1117 *5)))) (-3279 (*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 *5))) (-5 *4 (-1161)) (-4 *5 (-13 (-301) (-842) (-150))) (-5 *2 (-634 (-310 *5))) (-5 *1 (-1117 *5)))) (-3001 (*1 *2 *3) (-12 (-5 *3 (-634 (-288 (-409 (-953 *4))))) (-4 *4 (-13 (-301) (-842) (-150))) (-5 *2 (-634 (-634 (-288 (-310 *4))))) (-5 *1 (-1117 *4)))) (-3001 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-288 (-409 (-953 *5))))) (-5 *4 (-634 (-1161))) (-4 *5 (-13 (-301) (-842) (-150))) (-5 *2 (-634 (-634 (-288 (-310 *5))))) (-5 *1 (-1117 *5)))) (-3001 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-953 *4)))) (-4 *4 (-13 (-301) (-842) (-150))) (-5 *2 (-634 (-634 (-288 (-310 *4))))) (-5 *1 (-1117 *4)))) (-3001 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 *5)))) (-5 *4 (-634 (-1161))) (-4 *5 (-13 (-301) (-842) (-150))) (-5 *2 (-634 (-634 (-288 (-310 *5))))) (-5 *1 (-1117 *5)))) (-3001 (*1 *2 *3) (-12 (-5 *3 (-288 (-409 (-953 *4)))) (-4 *4 (-13 (-301) (-842) (-150))) (-5 *2 (-634 (-288 (-310 *4)))) (-5 *1 (-1117 *4)))) (-3001 (*1 *2 *3 *4) (-12 (-5 *3 (-288 (-409 (-953 *5)))) (-5 *4 (-1161)) (-4 *5 (-13 (-301) (-842) (-150))) (-5 *2 (-634 (-288 (-310 *5)))) (-5 *1 (-1117 *5)))) (-3001 (*1 *2 *3) (-12 (-5 *3 (-409 (-953 *4))) (-4 *4 (-13 (-301) (-842) (-150))) (-5 *2 (-634 (-288 (-310 *4)))) (-5 *1 (-1117 *4)))) (-3001 (*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 *5))) (-5 *4 (-1161)) (-4 *5 (-13 (-301) (-842) (-150))) (-5 *2 (-634 (-288 (-310 *5)))) (-5 *1 (-1117 *5))))) 
-(-10 -7 (-15 -3001 ((-634 (-288 (-310 |#1|))) (-409 (-953 |#1|)) (-1161))) (-15 -3001 ((-634 (-288 (-310 |#1|))) (-409 (-953 |#1|)))) (-15 -3001 ((-634 (-288 (-310 |#1|))) (-288 (-409 (-953 |#1|))) (-1161))) (-15 -3001 ((-634 (-288 (-310 |#1|))) (-288 (-409 (-953 |#1|))))) (-15 -3001 ((-634 (-634 (-288 (-310 |#1|)))) (-634 (-409 (-953 |#1|))) (-634 (-1161)))) (-15 -3001 ((-634 (-634 (-288 (-310 |#1|)))) (-634 (-409 (-953 |#1|))))) (-15 -3001 ((-634 (-634 (-288 (-310 |#1|)))) (-634 (-288 (-409 (-953 |#1|)))) (-634 (-1161)))) (-15 -3001 ((-634 (-634 (-288 (-310 |#1|)))) (-634 (-288 (-409 (-953 |#1|)))))) (-15 -3279 ((-634 (-310 |#1|)) (-409 (-953 |#1|)) (-1161))) (-15 -3279 ((-634 (-634 (-310 |#1|))) (-634 (-409 (-953 |#1|))) (-634 (-1161)))) (-15 -2444 ((-1150 (-634 (-310 |#1|)) (-634 (-288 (-310 |#1|)))) (-288 (-409 (-953 |#1|))) (-1161))) (-15 -2444 ((-1150 (-634 (-310 |#1|)) (-634 (-288 (-310 |#1|)))) (-409 (-953 |#1|)) (-1161)))) 
-((-3340 (((-409 (-1157 (-310 |#1|))) (-1244 (-310 |#1|)) (-409 (-1157 (-310 |#1|))) (-568)) 27)) (-3820 (((-409 (-1157 (-310 |#1|))) (-409 (-1157 (-310 |#1|))) (-409 (-1157 (-310 |#1|))) (-409 (-1157 (-310 |#1|)))) 39))) 
-(((-1118 |#1|) (-10 -7 (-15 -3820 ((-409 (-1157 (-310 |#1|))) (-409 (-1157 (-310 |#1|))) (-409 (-1157 (-310 |#1|))) (-409 (-1157 (-310 |#1|))))) (-15 -3340 ((-409 (-1157 (-310 |#1|))) (-1244 (-310 |#1|)) (-409 (-1157 (-310 |#1|))) (-568)))) (-13 (-558) (-842))) (T -1118)) 
-((-3340 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-409 (-1157 (-310 *5)))) (-5 *3 (-1244 (-310 *5))) (-5 *4 (-568)) (-4 *5 (-13 (-558) (-842))) (-5 *1 (-1118 *5)))) (-3820 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-409 (-1157 (-310 *3)))) (-4 *3 (-13 (-558) (-842))) (-5 *1 (-1118 *3))))) 
-(-10 -7 (-15 -3820 ((-409 (-1157 (-310 |#1|))) (-409 (-1157 (-310 |#1|))) (-409 (-1157 (-310 |#1|))) (-409 (-1157 (-310 |#1|))))) (-15 -3340 ((-409 (-1157 (-310 |#1|))) (-1244 (-310 |#1|)) (-409 (-1157 (-310 |#1|))) (-568)))) 
-((-3259 (((-634 (-634 (-288 (-310 |#1|)))) (-634 (-288 (-310 |#1|))) (-634 (-1161))) 216) (((-634 (-288 (-310 |#1|))) (-310 |#1|) (-1161)) 20) (((-634 (-288 (-310 |#1|))) (-288 (-310 |#1|)) (-1161)) 26) (((-634 (-288 (-310 |#1|))) (-288 (-310 |#1|))) 25) (((-634 (-288 (-310 |#1|))) (-310 |#1|)) 21))) 
-(((-1119 |#1|) (-10 -7 (-15 -3259 ((-634 (-288 (-310 |#1|))) (-310 |#1|))) (-15 -3259 ((-634 (-288 (-310 |#1|))) (-288 (-310 |#1|)))) (-15 -3259 ((-634 (-288 (-310 |#1|))) (-288 (-310 |#1|)) (-1161))) (-15 -3259 ((-634 (-288 (-310 |#1|))) (-310 |#1|) (-1161))) (-15 -3259 ((-634 (-634 (-288 (-310 |#1|)))) (-634 (-288 (-310 |#1|))) (-634 (-1161))))) (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (T -1119)) 
-((-3259 (*1 *2 *3 *4) (-12 (-5 *4 (-634 (-1161))) (-4 *5 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *2 (-634 (-634 (-288 (-310 *5))))) (-5 *1 (-1119 *5)) (-5 *3 (-634 (-288 (-310 *5)))))) (-3259 (*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *2 (-634 (-288 (-310 *5)))) (-5 *1 (-1119 *5)) (-5 *3 (-310 *5)))) (-3259 (*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *2 (-634 (-288 (-310 *5)))) (-5 *1 (-1119 *5)) (-5 *3 (-288 (-310 *5))))) (-3259 (*1 *2 *3) (-12 (-4 *4 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *2 (-634 (-288 (-310 *4)))) (-5 *1 (-1119 *4)) (-5 *3 (-288 (-310 *4))))) (-3259 (*1 *2 *3) (-12 (-4 *4 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *2 (-634 (-288 (-310 *4)))) (-5 *1 (-1119 *4)) (-5 *3 (-310 *4))))) 
-(-10 -7 (-15 -3259 ((-634 (-288 (-310 |#1|))) (-310 |#1|))) (-15 -3259 ((-634 (-288 (-310 |#1|))) (-288 (-310 |#1|)))) (-15 -3259 ((-634 (-288 (-310 |#1|))) (-288 (-310 |#1|)) (-1161))) (-15 -3259 ((-634 (-288 (-310 |#1|))) (-310 |#1|) (-1161))) (-15 -3259 ((-634 (-634 (-288 (-310 |#1|)))) (-634 (-288 (-310 |#1|))) (-634 (-1161))))) 
-((-3765 ((|#2| |#2|) 20 (|has| |#1| (-842))) ((|#2| |#2| (-1 (-121) |#1| |#1|)) 16)) (-3553 ((|#2| |#2|) 19 (|has| |#1| (-842))) ((|#2| |#2| (-1 (-121) |#1| |#1|)) 15))) 
-(((-1120 |#1| |#2|) (-10 -7 (-15 -3553 (|#2| |#2| (-1 (-121) |#1| |#1|))) (-15 -3765 (|#2| |#2| (-1 (-121) |#1| |#1|))) (IF (|has| |#1| (-842)) (PROGN (-15 -3553 (|#2| |#2|)) (-15 -3765 (|#2| |#2|))) |noBranch|)) (-1195) (-13 (-601 (-568) |#1|) (-10 -7 (-6 -4521) (-6 -4522)))) (T -1120)) 
-((-3765 (*1 *2 *2) (-12 (-4 *3 (-842)) (-4 *3 (-1195)) (-5 *1 (-1120 *3 *2)) (-4 *2 (-13 (-601 (-568) *3) (-10 -7 (-6 -4521) (-6 -4522)))))) (-3553 (*1 *2 *2) (-12 (-4 *3 (-842)) (-4 *3 (-1195)) (-5 *1 (-1120 *3 *2)) (-4 *2 (-13 (-601 (-568) *3) (-10 -7 (-6 -4521) (-6 -4522)))))) (-3765 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1195)) (-5 *1 (-1120 *4 *2)) (-4 *2 (-13 (-601 (-568) *4) (-10 -7 (-6 -4521) (-6 -4522)))))) (-3553 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1195)) (-5 *1 (-1120 *4 *2)) (-4 *2 (-13 (-601 (-568) *4) (-10 -7 (-6 -4521) (-6 -4522))))))) 
-(-10 -7 (-15 -3553 (|#2| |#2| (-1 (-121) |#1| |#1|))) (-15 -3765 (|#2| |#2| (-1 (-121) |#1| |#1|))) (IF (|has| |#1| (-842)) (PROGN (-15 -3553 (|#2| |#2|)) (-15 -3765 (|#2| |#2|))) |noBranch|)) 
-((-2449 (((-121) $ $) NIL)) (-3503 (((-1149 3 |#1|) $) 105)) (-2248 (((-121) $) 72)) (-4356 (($ $ (-634 (-944 |#1|))) 20) (($ $ (-634 (-634 |#1|))) 75) (($ (-634 (-944 |#1|))) 74) (((-634 (-944 |#1|)) $) 73)) (-3599 (((-121) $) 41)) (-4098 (($ $ (-944 |#1|)) 46) (($ $ (-634 |#1|)) 51) (($ $ (-763)) 53) (($ (-944 |#1|)) 47) (((-944 |#1|) $) 45)) (-2308 (((-2 (|:| -4158 (-763)) (|:| |curves| (-763)) (|:| |polygons| (-763)) (|:| |constructs| (-763))) $) 103)) (-4421 (((-763) $) 26)) (-2066 (((-763) $) 25)) (-4143 (($ $ (-763) (-944 |#1|)) 39)) (-1542 (((-121) $) 82)) (-2437 (($ $ (-634 (-634 (-944 |#1|))) (-634 (-171)) (-171)) 89) (($ $ (-634 (-634 (-634 |#1|))) (-634 (-171)) (-171)) 91) (($ $ (-634 (-634 (-944 |#1|))) (-121) (-121)) 85) (($ $ (-634 (-634 (-634 |#1|))) (-121) (-121)) 93) (($ (-634 (-634 (-944 |#1|)))) 86) (($ (-634 (-634 (-944 |#1|))) (-121) (-121)) 87) (((-634 (-634 (-944 |#1|))) $) 84)) (-3645 (($ (-634 $)) 28) (($ $ $) 29)) (-2264 (((-634 (-171)) $) 101)) (-2207 (((-634 (-944 |#1|)) $) 96)) (-3664 (((-634 (-634 (-171))) $) 100)) (-4236 (((-634 (-634 (-634 (-944 |#1|)))) $) NIL)) (-2364 (((-634 (-634 (-634 (-763)))) $) 98)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-1313 (((-763) $ (-634 (-944 |#1|))) 37)) (-2011 (((-121) $) 54)) (-1615 (($ $ (-634 (-944 |#1|))) 56) (($ $ (-634 (-634 |#1|))) 62) (($ (-634 (-944 |#1|))) 57) (((-634 (-944 |#1|)) $) 55)) (-3716 (($) 23) (($ (-1149 3 |#1|)) 24)) (-3865 (($ $) 35)) (-1400 (((-634 $) $) 34)) (-4363 (($ (-634 $)) 31)) (-4144 (((-634 $) $) 33)) (-2747 (((-850) $) 109)) (-2543 (((-121) $) 64)) (-4427 (($ $ (-634 (-944 |#1|))) 66) (($ $ (-634 (-634 |#1|))) 69) (($ (-634 (-944 |#1|))) 67) (((-634 (-944 |#1|)) $) 65)) (-3270 (($ $) 104)) (-1719 (((-121) $ $) NIL))) 
-(((-1121 |#1|) (-1122 |#1|) (-1047)) (T -1121)) 
-NIL 
-(-1122 |#1|) 
-((-2449 (((-121) $ $) 7)) (-3503 (((-1149 3 |#1|) $) 12)) (-2248 (((-121) $) 28)) (-4356 (($ $ (-634 (-944 |#1|))) 32) (($ $ (-634 (-634 |#1|))) 31) (($ (-634 (-944 |#1|))) 30) (((-634 (-944 |#1|)) $) 29)) (-3599 (((-121) $) 43)) (-4098 (($ $ (-944 |#1|)) 48) (($ $ (-634 |#1|)) 47) (($ $ (-763)) 46) (($ (-944 |#1|)) 45) (((-944 |#1|) $) 44)) (-2308 (((-2 (|:| -4158 (-763)) (|:| |curves| (-763)) (|:| |polygons| (-763)) (|:| |constructs| (-763))) $) 14)) (-4421 (((-763) $) 57)) (-2066 (((-763) $) 58)) (-4143 (($ $ (-763) (-944 |#1|)) 49)) (-1542 (((-121) $) 20)) (-2437 (($ $ (-634 (-634 (-944 |#1|))) (-634 (-171)) (-171)) 27) (($ $ (-634 (-634 (-634 |#1|))) (-634 (-171)) (-171)) 26) (($ $ (-634 (-634 (-944 |#1|))) (-121) (-121)) 25) (($ $ (-634 (-634 (-634 |#1|))) (-121) (-121)) 24) (($ (-634 (-634 (-944 |#1|)))) 23) (($ (-634 (-634 (-944 |#1|))) (-121) (-121)) 22) (((-634 (-634 (-944 |#1|))) $) 21)) (-3645 (($ (-634 $)) 56) (($ $ $) 55)) (-2264 (((-634 (-171)) $) 15)) (-2207 (((-634 (-944 |#1|)) $) 19)) (-3664 (((-634 (-634 (-171))) $) 16)) (-4236 (((-634 (-634 (-634 (-944 |#1|)))) $) 17)) (-2364 (((-634 (-634 (-634 (-763)))) $) 18)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-1313 (((-763) $ (-634 (-944 |#1|))) 50)) (-2011 (((-121) $) 38)) (-1615 (($ $ (-634 (-944 |#1|))) 42) (($ $ (-634 (-634 |#1|))) 41) (($ (-634 (-944 |#1|))) 40) (((-634 (-944 |#1|)) $) 39)) (-3716 (($) 60) (($ (-1149 3 |#1|)) 59)) (-3865 (($ $) 51)) (-1400 (((-634 $) $) 52)) (-4363 (($ (-634 $)) 54)) (-4144 (((-634 $) $) 53)) (-2747 (((-850) $) 11)) (-2543 (((-121) $) 33)) (-4427 (($ $ (-634 (-944 |#1|))) 37) (($ $ (-634 (-634 |#1|))) 36) (($ (-634 (-944 |#1|))) 35) (((-634 (-944 |#1|)) $) 34)) (-3270 (($ $) 13)) (-1719 (((-121) $ $) 6))) 
-(((-1122 |#1|) (-1275) (-1047)) (T -1122)) 
-((-2747 (*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-850)))) (-3716 (*1 *1) (-12 (-4 *1 (-1122 *2)) (-4 *2 (-1047)))) (-3716 (*1 *1 *2) (-12 (-5 *2 (-1149 3 *3)) (-4 *3 (-1047)) (-4 *1 (-1122 *3)))) (-2066 (*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-763)))) (-4421 (*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-763)))) (-3645 (*1 *1 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-1122 *3)) (-4 *3 (-1047)))) (-3645 (*1 *1 *1 *1) (-12 (-4 *1 (-1122 *2)) (-4 *2 (-1047)))) (-4363 (*1 *1 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-1122 *3)) (-4 *3 (-1047)))) (-4144 (*1 *2 *1) (-12 (-4 *3 (-1047)) (-5 *2 (-634 *1)) (-4 *1 (-1122 *3)))) (-1400 (*1 *2 *1) (-12 (-4 *3 (-1047)) (-5 *2 (-634 *1)) (-4 *1 (-1122 *3)))) (-3865 (*1 *1 *1) (-12 (-4 *1 (-1122 *2)) (-4 *2 (-1047)))) (-1313 (*1 *2 *1 *3) (-12 (-5 *3 (-634 (-944 *4))) (-4 *1 (-1122 *4)) (-4 *4 (-1047)) (-5 *2 (-763)))) (-4143 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-763)) (-5 *3 (-944 *4)) (-4 *1 (-1122 *4)) (-4 *4 (-1047)))) (-4098 (*1 *1 *1 *2) (-12 (-5 *2 (-944 *3)) (-4 *1 (-1122 *3)) (-4 *3 (-1047)))) (-4098 (*1 *1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *1 (-1122 *3)) (-4 *3 (-1047)))) (-4098 (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-1122 *3)) (-4 *3 (-1047)))) (-4098 (*1 *1 *2) (-12 (-5 *2 (-944 *3)) (-4 *3 (-1047)) (-4 *1 (-1122 *3)))) (-4098 (*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-944 *3)))) (-3599 (*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-121)))) (-1615 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-944 *3))) (-4 *1 (-1122 *3)) (-4 *3 (-1047)))) (-1615 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-634 *3))) (-4 *1 (-1122 *3)) (-4 *3 (-1047)))) (-1615 (*1 *1 *2) (-12 (-5 *2 (-634 (-944 *3))) (-4 *3 (-1047)) (-4 *1 (-1122 *3)))) (-1615 (*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-634 (-944 *3))))) (-2011 (*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-121)))) (-4427 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-944 *3))) (-4 *1 (-1122 *3)) (-4 *3 (-1047)))) (-4427 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-634 *3))) (-4 *1 (-1122 *3)) (-4 *3 (-1047)))) (-4427 (*1 *1 *2) (-12 (-5 *2 (-634 (-944 *3))) (-4 *3 (-1047)) (-4 *1 (-1122 *3)))) (-4427 (*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-634 (-944 *3))))) (-2543 (*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-121)))) (-4356 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-944 *3))) (-4 *1 (-1122 *3)) (-4 *3 (-1047)))) (-4356 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-634 *3))) (-4 *1 (-1122 *3)) (-4 *3 (-1047)))) (-4356 (*1 *1 *2) (-12 (-5 *2 (-634 (-944 *3))) (-4 *3 (-1047)) (-4 *1 (-1122 *3)))) (-4356 (*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-634 (-944 *3))))) (-2248 (*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-121)))) (-2437 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-634 (-634 (-944 *5)))) (-5 *3 (-634 (-171))) (-5 *4 (-171)) (-4 *1 (-1122 *5)) (-4 *5 (-1047)))) (-2437 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-634 (-634 (-634 *5)))) (-5 *3 (-634 (-171))) (-5 *4 (-171)) (-4 *1 (-1122 *5)) (-4 *5 (-1047)))) (-2437 (*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-634 (-634 (-944 *4)))) (-5 *3 (-121)) (-4 *1 (-1122 *4)) (-4 *4 (-1047)))) (-2437 (*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-634 (-634 (-634 *4)))) (-5 *3 (-121)) (-4 *1 (-1122 *4)) (-4 *4 (-1047)))) (-2437 (*1 *1 *2) (-12 (-5 *2 (-634 (-634 (-944 *3)))) (-4 *3 (-1047)) (-4 *1 (-1122 *3)))) (-2437 (*1 *1 *2 *3 *3) (-12 (-5 *2 (-634 (-634 (-944 *4)))) (-5 *3 (-121)) (-4 *4 (-1047)) (-4 *1 (-1122 *4)))) (-2437 (*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-634 (-634 (-944 *3)))))) (-1542 (*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-121)))) (-2207 (*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-634 (-944 *3))))) (-2364 (*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-634 (-634 (-634 (-763))))))) (-4236 (*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-634 (-634 (-634 (-944 *3))))))) (-3664 (*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-634 (-634 (-171)))))) (-2264 (*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-634 (-171))))) (-2308 (*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-2 (|:| -4158 (-763)) (|:| |curves| (-763)) (|:| |polygons| (-763)) (|:| |constructs| (-763)))))) (-3270 (*1 *1 *1) (-12 (-4 *1 (-1122 *2)) (-4 *2 (-1047)))) (-3503 (*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-1149 3 *3))))) 
-(-13 (-1090) (-10 -8 (-15 -3716 ($)) (-15 -3716 ($ (-1149 3 |t#1|))) (-15 -2066 ((-763) $)) (-15 -4421 ((-763) $)) (-15 -3645 ($ (-634 $))) (-15 -3645 ($ $ $)) (-15 -4363 ($ (-634 $))) (-15 -4144 ((-634 $) $)) (-15 -1400 ((-634 $) $)) (-15 -3865 ($ $)) (-15 -1313 ((-763) $ (-634 (-944 |t#1|)))) (-15 -4143 ($ $ (-763) (-944 |t#1|))) (-15 -4098 ($ $ (-944 |t#1|))) (-15 -4098 ($ $ (-634 |t#1|))) (-15 -4098 ($ $ (-763))) (-15 -4098 ($ (-944 |t#1|))) (-15 -4098 ((-944 |t#1|) $)) (-15 -3599 ((-121) $)) (-15 -1615 ($ $ (-634 (-944 |t#1|)))) (-15 -1615 ($ $ (-634 (-634 |t#1|)))) (-15 -1615 ($ (-634 (-944 |t#1|)))) (-15 -1615 ((-634 (-944 |t#1|)) $)) (-15 -2011 ((-121) $)) (-15 -4427 ($ $ (-634 (-944 |t#1|)))) (-15 -4427 ($ $ (-634 (-634 |t#1|)))) (-15 -4427 ($ (-634 (-944 |t#1|)))) (-15 -4427 ((-634 (-944 |t#1|)) $)) (-15 -2543 ((-121) $)) (-15 -4356 ($ $ (-634 (-944 |t#1|)))) (-15 -4356 ($ $ (-634 (-634 |t#1|)))) (-15 -4356 ($ (-634 (-944 |t#1|)))) (-15 -4356 ((-634 (-944 |t#1|)) $)) (-15 -2248 ((-121) $)) (-15 -2437 ($ $ (-634 (-634 (-944 |t#1|))) (-634 (-171)) (-171))) (-15 -2437 ($ $ (-634 (-634 (-634 |t#1|))) (-634 (-171)) (-171))) (-15 -2437 ($ $ (-634 (-634 (-944 |t#1|))) (-121) (-121))) (-15 -2437 ($ $ (-634 (-634 (-634 |t#1|))) (-121) (-121))) (-15 -2437 ($ (-634 (-634 (-944 |t#1|))))) (-15 -2437 ($ (-634 (-634 (-944 |t#1|))) (-121) (-121))) (-15 -2437 ((-634 (-634 (-944 |t#1|))) $)) (-15 -1542 ((-121) $)) (-15 -2207 ((-634 (-944 |t#1|)) $)) (-15 -2364 ((-634 (-634 (-634 (-763)))) $)) (-15 -4236 ((-634 (-634 (-634 (-944 |t#1|)))) $)) (-15 -3664 ((-634 (-634 (-171))) $)) (-15 -2264 ((-634 (-171)) $)) (-15 -2308 ((-2 (|:| -4158 (-763)) (|:| |curves| (-763)) (|:| |polygons| (-763)) (|:| |constructs| (-763))) $)) (-15 -3270 ($ $)) (-15 -3503 ((-1149 3 |t#1|) $)) (-15 -2747 ((-850) $)))) 
-(((-105) . T) ((-608 (-850)) . T) ((-1090) . T)) 
-((-2166 (((-1249) (-634 (-850))) 23) (((-1249) (-850)) 22)) (-2365 (((-1249) (-634 (-850))) 21) (((-1249) (-850)) 20)) (-4130 (((-1249) (-634 (-850))) 19) (((-1249) (-850)) 11) (((-1249) (-1143) (-850)) 17))) 
-(((-1123) (-10 -7 (-15 -4130 ((-1249) (-1143) (-850))) (-15 -4130 ((-1249) (-850))) (-15 -2365 ((-1249) (-850))) (-15 -2166 ((-1249) (-850))) (-15 -4130 ((-1249) (-634 (-850)))) (-15 -2365 ((-1249) (-634 (-850)))) (-15 -2166 ((-1249) (-634 (-850)))))) (T -1123)) 
-((-2166 (*1 *2 *3) (-12 (-5 *3 (-634 (-850))) (-5 *2 (-1249)) (-5 *1 (-1123)))) (-2365 (*1 *2 *3) (-12 (-5 *3 (-634 (-850))) (-5 *2 (-1249)) (-5 *1 (-1123)))) (-4130 (*1 *2 *3) (-12 (-5 *3 (-634 (-850))) (-5 *2 (-1249)) (-5 *1 (-1123)))) (-2166 (*1 *2 *3) (-12 (-5 *3 (-850)) (-5 *2 (-1249)) (-5 *1 (-1123)))) (-2365 (*1 *2 *3) (-12 (-5 *3 (-850)) (-5 *2 (-1249)) (-5 *1 (-1123)))) (-4130 (*1 *2 *3) (-12 (-5 *3 (-850)) (-5 *2 (-1249)) (-5 *1 (-1123)))) (-4130 (*1 *2 *3 *4) (-12 (-5 *3 (-1143)) (-5 *4 (-850)) (-5 *2 (-1249)) (-5 *1 (-1123))))) 
-(-10 -7 (-15 -4130 ((-1249) (-1143) (-850))) (-15 -4130 ((-1249) (-850))) (-15 -2365 ((-1249) (-850))) (-15 -2166 ((-1249) (-850))) (-15 -4130 ((-1249) (-634 (-850)))) (-15 -2365 ((-1249) (-634 (-850)))) (-15 -2166 ((-1249) (-634 (-850))))) 
-((-3311 (($ $ $) 10)) (-2383 (($ $) 9)) (-3301 (($ $ $) 13)) (-2149 (($ $ $) 15)) (-3826 (($ $ $) 12)) (-2547 (($ $ $) 14)) (-1813 (($ $) 17)) (-4009 (($ $) 16)) (-2811 (($ $) 6)) (-2209 (($ $ $) 11) (($ $) 7)) (-2768 (($ $ $) 8))) 
-(((-1124) (-1275)) (T -1124)) 
-((-1813 (*1 *1 *1) (-4 *1 (-1124))) (-4009 (*1 *1 *1) (-4 *1 (-1124))) (-2149 (*1 *1 *1 *1) (-4 *1 (-1124))) (-2547 (*1 *1 *1 *1) (-4 *1 (-1124))) (-3301 (*1 *1 *1 *1) (-4 *1 (-1124))) (-3826 (*1 *1 *1 *1) (-4 *1 (-1124))) (-2209 (*1 *1 *1 *1) (-4 *1 (-1124))) (-3311 (*1 *1 *1 *1) (-4 *1 (-1124))) (-2383 (*1 *1 *1) (-4 *1 (-1124))) (-2768 (*1 *1 *1 *1) (-4 *1 (-1124))) (-2209 (*1 *1 *1) (-4 *1 (-1124))) (-2811 (*1 *1 *1) (-4 *1 (-1124)))) 
-(-13 (-10 -8 (-15 -2811 ($ $)) (-15 -2209 ($ $)) (-15 -2768 ($ $ $)) (-15 -2383 ($ $)) (-15 -3311 ($ $ $)) (-15 -2209 ($ $ $)) (-15 -3826 ($ $ $)) (-15 -3301 ($ $ $)) (-15 -2547 ($ $ $)) (-15 -2149 ($ $ $)) (-15 -4009 ($ $)) (-15 -1813 ($ $)))) 
-((-2449 (((-121) $ $) 41)) (-2852 ((|#1| $) 15)) (-1686 (((-121) $ $ (-1 (-121) |#2| |#2|)) 36)) (-2814 (((-121) $) 17)) (-1946 (($ $ |#1|) 28)) (-2816 (($ $ (-121)) 30)) (-3154 (($ $) 31)) (-2535 (($ $ |#2|) 29)) (-1893 (((-1143) $) NIL)) (-2126 (((-121) $ $ (-1 (-121) |#1| |#1|) (-1 (-121) |#2| |#2|)) 35)) (-4025 (((-1108) $) NIL)) (-2436 (((-121) $) 14)) (-1990 (($) 10)) (-3865 (($ $) 27)) (-4289 (($ |#1| |#2| (-121)) 18) (($ |#1| |#2|) 19) (($ (-2 (|:| |val| |#1|) (|:| -3145 |#2|))) 21) (((-634 $) (-634 (-2 (|:| |val| |#1|) (|:| -3145 |#2|)))) 24) (((-634 $) |#1| (-634 |#2|)) 26)) (-2215 ((|#2| $) 16)) (-2747 (((-850) $) 50)) (-1719 (((-121) $ $) 39))) 
-(((-1125 |#1| |#2|) (-13 (-1090) (-10 -8 (-15 -1990 ($)) (-15 -2436 ((-121) $)) (-15 -2852 (|#1| $)) (-15 -2215 (|#2| $)) (-15 -2814 ((-121) $)) (-15 -4289 ($ |#1| |#2| (-121))) (-15 -4289 ($ |#1| |#2|)) (-15 -4289 ($ (-2 (|:| |val| |#1|) (|:| -3145 |#2|)))) (-15 -4289 ((-634 $) (-634 (-2 (|:| |val| |#1|) (|:| -3145 |#2|))))) (-15 -4289 ((-634 $) |#1| (-634 |#2|))) (-15 -3865 ($ $)) (-15 -1946 ($ $ |#1|)) (-15 -2535 ($ $ |#2|)) (-15 -2816 ($ $ (-121))) (-15 -3154 ($ $)) (-15 -2126 ((-121) $ $ (-1 (-121) |#1| |#1|) (-1 (-121) |#2| |#2|))) (-15 -1686 ((-121) $ $ (-1 (-121) |#2| |#2|))))) (-13 (-1090) (-39)) (-13 (-1090) (-39))) (T -1125)) 
-((-1990 (*1 *1) (-12 (-5 *1 (-1125 *2 *3)) (-4 *2 (-13 (-1090) (-39))) (-4 *3 (-13 (-1090) (-39))))) (-2436 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1125 *3 *4)) (-4 *3 (-13 (-1090) (-39))) (-4 *4 (-13 (-1090) (-39))))) (-2852 (*1 *2 *1) (-12 (-4 *2 (-13 (-1090) (-39))) (-5 *1 (-1125 *2 *3)) (-4 *3 (-13 (-1090) (-39))))) (-2215 (*1 *2 *1) (-12 (-4 *2 (-13 (-1090) (-39))) (-5 *1 (-1125 *3 *2)) (-4 *3 (-13 (-1090) (-39))))) (-2814 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1125 *3 *4)) (-4 *3 (-13 (-1090) (-39))) (-4 *4 (-13 (-1090) (-39))))) (-4289 (*1 *1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *1 (-1125 *2 *3)) (-4 *2 (-13 (-1090) (-39))) (-4 *3 (-13 (-1090) (-39))))) (-4289 (*1 *1 *2 *3) (-12 (-5 *1 (-1125 *2 *3)) (-4 *2 (-13 (-1090) (-39))) (-4 *3 (-13 (-1090) (-39))))) (-4289 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |val| *3) (|:| -3145 *4))) (-4 *3 (-13 (-1090) (-39))) (-4 *4 (-13 (-1090) (-39))) (-5 *1 (-1125 *3 *4)))) (-4289 (*1 *2 *3) (-12 (-5 *3 (-634 (-2 (|:| |val| *4) (|:| -3145 *5)))) (-4 *4 (-13 (-1090) (-39))) (-4 *5 (-13 (-1090) (-39))) (-5 *2 (-634 (-1125 *4 *5))) (-5 *1 (-1125 *4 *5)))) (-4289 (*1 *2 *3 *4) (-12 (-5 *4 (-634 *5)) (-4 *5 (-13 (-1090) (-39))) (-5 *2 (-634 (-1125 *3 *5))) (-5 *1 (-1125 *3 *5)) (-4 *3 (-13 (-1090) (-39))))) (-3865 (*1 *1 *1) (-12 (-5 *1 (-1125 *2 *3)) (-4 *2 (-13 (-1090) (-39))) (-4 *3 (-13 (-1090) (-39))))) (-1946 (*1 *1 *1 *2) (-12 (-5 *1 (-1125 *2 *3)) (-4 *2 (-13 (-1090) (-39))) (-4 *3 (-13 (-1090) (-39))))) (-2535 (*1 *1 *1 *2) (-12 (-5 *1 (-1125 *3 *2)) (-4 *3 (-13 (-1090) (-39))) (-4 *2 (-13 (-1090) (-39))))) (-2816 (*1 *1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1125 *3 *4)) (-4 *3 (-13 (-1090) (-39))) (-4 *4 (-13 (-1090) (-39))))) (-3154 (*1 *1 *1) (-12 (-5 *1 (-1125 *2 *3)) (-4 *2 (-13 (-1090) (-39))) (-4 *3 (-13 (-1090) (-39))))) (-2126 (*1 *2 *1 *1 *3 *4) (-12 (-5 *3 (-1 (-121) *5 *5)) (-5 *4 (-1 (-121) *6 *6)) (-4 *5 (-13 (-1090) (-39))) (-4 *6 (-13 (-1090) (-39))) (-5 *2 (-121)) (-5 *1 (-1125 *5 *6)))) (-1686 (*1 *2 *1 *1 *3) (-12 (-5 *3 (-1 (-121) *5 *5)) (-4 *5 (-13 (-1090) (-39))) (-5 *2 (-121)) (-5 *1 (-1125 *4 *5)) (-4 *4 (-13 (-1090) (-39)))))) 
-(-13 (-1090) (-10 -8 (-15 -1990 ($)) (-15 -2436 ((-121) $)) (-15 -2852 (|#1| $)) (-15 -2215 (|#2| $)) (-15 -2814 ((-121) $)) (-15 -4289 ($ |#1| |#2| (-121))) (-15 -4289 ($ |#1| |#2|)) (-15 -4289 ($ (-2 (|:| |val| |#1|) (|:| -3145 |#2|)))) (-15 -4289 ((-634 $) (-634 (-2 (|:| |val| |#1|) (|:| -3145 |#2|))))) (-15 -4289 ((-634 $) |#1| (-634 |#2|))) (-15 -3865 ($ $)) (-15 -1946 ($ $ |#1|)) (-15 -2535 ($ $ |#2|)) (-15 -2816 ($ $ (-121))) (-15 -3154 ($ $)) (-15 -2126 ((-121) $ $ (-1 (-121) |#1| |#1|) (-1 (-121) |#2| |#2|))) (-15 -1686 ((-121) $ $ (-1 (-121) |#2| |#2|))))) 
-((-2449 (((-121) $ $) NIL (|has| (-1125 |#1| |#2|) (-1090)))) (-2852 (((-1125 |#1| |#2|) $) 25)) (-4304 (($ $) 75)) (-3625 (((-121) (-1125 |#1| |#2|) $ (-1 (-121) |#2| |#2|)) 84)) (-3594 (($ $ $ (-634 (-1125 |#1| |#2|))) 89) (($ $ $ (-634 (-1125 |#1| |#2|)) (-1 (-121) |#2| |#2|)) 90)) (-1667 (((-121) $ (-763)) NIL)) (-3370 (((-1125 |#1| |#2|) $ (-1125 |#1| |#2|)) 42 (|has| $ (-6 -4522)))) (-2438 (((-1125 |#1| |#2|) $ "value" (-1125 |#1| |#2|)) NIL (|has| $ (-6 -4522)))) (-1809 (($ $ (-634 $)) 40 (|has| $ (-6 -4522)))) (-4490 (($) NIL T CONST)) (-3759 (((-634 (-2 (|:| |val| |#1|) (|:| -3145 |#2|))) $) 79)) (-1568 (($ (-1125 |#1| |#2|) $) 38)) (-4330 (($ (-1125 |#1| |#2|) $) 30)) (-3317 (((-634 (-1125 |#1| |#2|)) $) NIL (|has| $ (-6 -4521)))) (-3534 (((-634 $) $) 50)) (-1679 (((-121) (-1125 |#1| |#2|) $) 81)) (-3606 (((-121) $ $) NIL (|has| (-1125 |#1| |#2|) (-1090)))) (-3791 (((-121) $ (-763)) NIL)) (-4406 (((-634 (-1125 |#1| |#2|)) $) 54 (|has| $ (-6 -4521)))) (-2551 (((-121) (-1125 |#1| |#2|) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-1125 |#1| |#2|) (-1090))))) (-2253 (($ (-1 (-1125 |#1| |#2|) (-1125 |#1| |#2|)) $) 46 (|has| $ (-6 -4522)))) (-2797 (($ (-1 (-1125 |#1| |#2|) (-1125 |#1| |#2|)) $) 45)) (-3796 (((-121) $ (-763)) NIL)) (-4081 (((-634 (-1125 |#1| |#2|)) $) 52)) (-3319 (((-121) $) 41)) (-1893 (((-1143) $) NIL (|has| (-1125 |#1| |#2|) (-1090)))) (-4025 (((-1108) $) NIL (|has| (-1125 |#1| |#2|) (-1090)))) (-1957 (((-3 $ "failed") $) 74)) (-3951 (((-121) (-1 (-121) (-1125 |#1| |#2|)) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 (-1125 |#1| |#2|)))) NIL (-12 (|has| (-1125 |#1| |#2|) (-303 (-1125 |#1| |#2|))) (|has| (-1125 |#1| |#2|) (-1090)))) (($ $ (-288 (-1125 |#1| |#2|))) NIL (-12 (|has| (-1125 |#1| |#2|) (-303 (-1125 |#1| |#2|))) (|has| (-1125 |#1| |#2|) (-1090)))) (($ $ (-1125 |#1| |#2|) (-1125 |#1| |#2|)) NIL (-12 (|has| (-1125 |#1| |#2|) (-303 (-1125 |#1| |#2|))) (|has| (-1125 |#1| |#2|) (-1090)))) (($ $ (-634 (-1125 |#1| |#2|)) (-634 (-1125 |#1| |#2|))) NIL (-12 (|has| (-1125 |#1| |#2|) (-303 (-1125 |#1| |#2|))) (|has| (-1125 |#1| |#2|) (-1090))))) (-1702 (((-121) $ $) 49)) (-2436 (((-121) $) 22)) (-1990 (($) 24)) (-2781 (((-1125 |#1| |#2|) $ "value") NIL)) (-1665 (((-568) $ $) NIL)) (-2763 (((-121) $) 43)) (-4170 (((-763) (-1 (-121) (-1125 |#1| |#2|)) $) NIL (|has| $ (-6 -4521))) (((-763) (-1125 |#1| |#2|) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-1125 |#1| |#2|) (-1090))))) (-3865 (($ $) 48)) (-4289 (($ (-1125 |#1| |#2|)) 9) (($ |#1| |#2| (-634 $)) 12) (($ |#1| |#2| (-634 (-1125 |#1| |#2|))) 14) (($ |#1| |#2| |#1| (-634 |#2|)) 17)) (-3482 (((-634 |#2|) $) 80)) (-2747 (((-850) $) 72 (|has| (-1125 |#1| |#2|) (-1090)))) (-3180 (((-634 $) $) 28)) (-3873 (((-121) $ $) NIL (|has| (-1125 |#1| |#2|) (-1090)))) (-3437 (((-121) (-1 (-121) (-1125 |#1| |#2|)) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 63 (|has| (-1125 |#1| |#2|) (-1090)))) (-1699 (((-763) $) 57 (|has| $ (-6 -4521))))) 
-(((-1126 |#1| |#2|) (-13 (-1010 (-1125 |#1| |#2|)) (-10 -8 (-6 -4522) (-6 -4521) (-15 -1957 ((-3 $ "failed") $)) (-15 -4304 ($ $)) (-15 -4289 ($ (-1125 |#1| |#2|))) (-15 -4289 ($ |#1| |#2| (-634 $))) (-15 -4289 ($ |#1| |#2| (-634 (-1125 |#1| |#2|)))) (-15 -4289 ($ |#1| |#2| |#1| (-634 |#2|))) (-15 -3482 ((-634 |#2|) $)) (-15 -3759 ((-634 (-2 (|:| |val| |#1|) (|:| -3145 |#2|))) $)) (-15 -1679 ((-121) (-1125 |#1| |#2|) $)) (-15 -3625 ((-121) (-1125 |#1| |#2|) $ (-1 (-121) |#2| |#2|))) (-15 -4330 ($ (-1125 |#1| |#2|) $)) (-15 -1568 ($ (-1125 |#1| |#2|) $)) (-15 -3594 ($ $ $ (-634 (-1125 |#1| |#2|)))) (-15 -3594 ($ $ $ (-634 (-1125 |#1| |#2|)) (-1 (-121) |#2| |#2|))))) (-13 (-1090) (-39)) (-13 (-1090) (-39))) (T -1126)) 
-((-1957 (*1 *1 *1) (|partial| -12 (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1090) (-39))) (-4 *3 (-13 (-1090) (-39))))) (-4304 (*1 *1 *1) (-12 (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1090) (-39))) (-4 *3 (-13 (-1090) (-39))))) (-4289 (*1 *1 *2) (-12 (-5 *2 (-1125 *3 *4)) (-4 *3 (-13 (-1090) (-39))) (-4 *4 (-13 (-1090) (-39))) (-5 *1 (-1126 *3 *4)))) (-4289 (*1 *1 *2 *3 *4) (-12 (-5 *4 (-634 (-1126 *2 *3))) (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1090) (-39))) (-4 *3 (-13 (-1090) (-39))))) (-4289 (*1 *1 *2 *3 *4) (-12 (-5 *4 (-634 (-1125 *2 *3))) (-4 *2 (-13 (-1090) (-39))) (-4 *3 (-13 (-1090) (-39))) (-5 *1 (-1126 *2 *3)))) (-4289 (*1 *1 *2 *3 *2 *4) (-12 (-5 *4 (-634 *3)) (-4 *3 (-13 (-1090) (-39))) (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1090) (-39))))) (-3482 (*1 *2 *1) (-12 (-5 *2 (-634 *4)) (-5 *1 (-1126 *3 *4)) (-4 *3 (-13 (-1090) (-39))) (-4 *4 (-13 (-1090) (-39))))) (-3759 (*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |val| *3) (|:| -3145 *4)))) (-5 *1 (-1126 *3 *4)) (-4 *3 (-13 (-1090) (-39))) (-4 *4 (-13 (-1090) (-39))))) (-1679 (*1 *2 *3 *1) (-12 (-5 *3 (-1125 *4 *5)) (-4 *4 (-13 (-1090) (-39))) (-4 *5 (-13 (-1090) (-39))) (-5 *2 (-121)) (-5 *1 (-1126 *4 *5)))) (-3625 (*1 *2 *3 *1 *4) (-12 (-5 *3 (-1125 *5 *6)) (-5 *4 (-1 (-121) *6 *6)) (-4 *5 (-13 (-1090) (-39))) (-4 *6 (-13 (-1090) (-39))) (-5 *2 (-121)) (-5 *1 (-1126 *5 *6)))) (-4330 (*1 *1 *2 *1) (-12 (-5 *2 (-1125 *3 *4)) (-4 *3 (-13 (-1090) (-39))) (-4 *4 (-13 (-1090) (-39))) (-5 *1 (-1126 *3 *4)))) (-1568 (*1 *1 *2 *1) (-12 (-5 *2 (-1125 *3 *4)) (-4 *3 (-13 (-1090) (-39))) (-4 *4 (-13 (-1090) (-39))) (-5 *1 (-1126 *3 *4)))) (-3594 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-634 (-1125 *3 *4))) (-4 *3 (-13 (-1090) (-39))) (-4 *4 (-13 (-1090) (-39))) (-5 *1 (-1126 *3 *4)))) (-3594 (*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-1125 *4 *5))) (-5 *3 (-1 (-121) *5 *5)) (-4 *4 (-13 (-1090) (-39))) (-4 *5 (-13 (-1090) (-39))) (-5 *1 (-1126 *4 *5))))) 
-(-13 (-1010 (-1125 |#1| |#2|)) (-10 -8 (-6 -4522) (-6 -4521) (-15 -1957 ((-3 $ "failed") $)) (-15 -4304 ($ $)) (-15 -4289 ($ (-1125 |#1| |#2|))) (-15 -4289 ($ |#1| |#2| (-634 $))) (-15 -4289 ($ |#1| |#2| (-634 (-1125 |#1| |#2|)))) (-15 -4289 ($ |#1| |#2| |#1| (-634 |#2|))) (-15 -3482 ((-634 |#2|) $)) (-15 -3759 ((-634 (-2 (|:| |val| |#1|) (|:| -3145 |#2|))) $)) (-15 -1679 ((-121) (-1125 |#1| |#2|) $)) (-15 -3625 ((-121) (-1125 |#1| |#2|) $ (-1 (-121) |#2| |#2|))) (-15 -4330 ($ (-1125 |#1| |#2|) $)) (-15 -1568 ($ (-1125 |#1| |#2|) $)) (-15 -3594 ($ $ $ (-634 (-1125 |#1| |#2|)))) (-15 -3594 ($ $ $ (-634 (-1125 |#1| |#2|)) (-1 (-121) |#2| |#2|))))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-4089 (($ $) NIL)) (-1934 ((|#2| $) NIL)) (-3560 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3465 (($ (-679 |#2|)) 45)) (-3691 (((-121) $) NIL)) (-1667 (((-121) $ (-763)) NIL)) (-1637 (($ |#2|) 9)) (-4490 (($) NIL T CONST)) (-3912 (($ $) 58 (|has| |#2| (-301)))) (-2228 (((-232 |#1| |#2|) $ (-568)) 31)) (-3668 (((-3 (-568) "failed") $) NIL (|has| |#2| (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#2| (-1037 (-409 (-568))))) (((-3 |#2| "failed") $) NIL)) (-2857 (((-568) $) NIL (|has| |#2| (-1037 (-568)))) (((-409 (-568)) $) NIL (|has| |#2| (-1037 (-409 (-568))))) ((|#2| $) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| |#2| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| |#2| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 $) (-1244 $)) NIL) (((-679 |#2|) (-679 $)) NIL)) (-2902 (((-3 $ "failed") $) 72)) (-2371 (((-763) $) 60 (|has| |#2| (-558)))) (-2069 ((|#2| $ (-568) (-568)) NIL)) (-3317 (((-634 |#2|) $) NIL (|has| $ (-6 -4521)))) (-1598 (((-121) $) NIL)) (-3344 (((-763) $) 62 (|has| |#2| (-558)))) (-2934 (((-634 (-232 |#1| |#2|)) $) 66 (|has| |#2| (-558)))) (-2241 (((-763) $) NIL)) (-1901 (((-763) $) NIL)) (-3791 (((-121) $ (-763)) NIL)) (-2424 ((|#2| $) 56 (|has| |#2| (-6 (-4523 "*"))))) (-3139 (((-568) $) NIL)) (-1343 (((-568) $) NIL)) (-4406 (((-634 |#2|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-3405 (((-568) $) NIL)) (-2801 (((-568) $) NIL)) (-2271 (($ (-634 (-634 |#2|))) 26)) (-2253 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#2| |#2| |#2|) $ $) NIL) (($ (-1 |#2| |#2|) $) NIL)) (-1843 (((-634 (-634 |#2|)) $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL)) (-2715 (((-3 $ "failed") $) 69 (|has| |#2| (-365)))) (-4025 (((-1108) $) NIL)) (-2597 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-558)))) (-3951 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#2|))) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-288 |#2|)) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-634 |#2|) (-634 |#2|)) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#2| $ (-568) (-568) |#2|) NIL) ((|#2| $ (-568) (-568)) NIL)) (-4191 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-763)) NIL) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-1161)) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-763)) NIL (|has| |#2| (-225))) (($ $) NIL (|has| |#2| (-225)))) (-1966 ((|#2| $) NIL)) (-3499 (($ (-634 |#2|)) 40)) (-4322 (((-121) $) NIL)) (-1760 (((-232 |#1| |#2|) $) NIL)) (-2591 ((|#2| $) 54 (|has| |#2| (-6 (-4523 "*"))))) (-4170 (((-763) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521))) (((-763) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-3865 (($ $) NIL)) (-4280 (((-541) $) 81 (|has| |#2| (-609 (-541))))) (-2522 (((-232 |#1| |#2|) $ (-568)) 33)) (-2747 (((-850) $) 36) (($ (-568)) NIL) (($ (-409 (-568))) NIL (|has| |#2| (-1037 (-409 (-568))))) (($ |#2|) NIL) (((-679 |#2|) $) 42)) (-3425 (((-763)) 17)) (-3437 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521)))) (-2675 (((-121) $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 11 T CONST)) (-1557 (($) 14 T CONST)) (-3192 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-763)) NIL) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-1161)) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-763)) NIL (|has| |#2| (-225))) (($ $) NIL (|has| |#2| (-225)))) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ |#2|) NIL (|has| |#2| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) 52) (($ $ (-568)) 71 (|has| |#2| (-365)))) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL) (((-232 |#1| |#2|) $ (-232 |#1| |#2|)) 48) (((-232 |#1| |#2|) (-232 |#1| |#2|) $) 50)) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-1127 |#1| |#2|) (-13 (-1111 |#1| |#2| (-232 |#1| |#2|) (-232 |#1| |#2|)) (-608 (-679 |#2|)) (-10 -8 (-15 -4089 ($ $)) (-15 -3465 ($ (-679 |#2|))) (-15 -2747 ((-679 |#2|) $)) (IF (|has| |#2| (-6 (-4523 "*"))) (-6 -4510) |noBranch|) (IF (|has| |#2| (-6 (-4523 "*"))) (IF (|has| |#2| (-6 -4518)) (-6 -4518) |noBranch|) |noBranch|) (IF (|has| |#2| (-609 (-541))) (-6 (-609 (-541))) |noBranch|))) (-763) (-1047)) (T -1127)) 
-((-2747 (*1 *2 *1) (-12 (-5 *2 (-679 *4)) (-5 *1 (-1127 *3 *4)) (-14 *3 (-763)) (-4 *4 (-1047)))) (-4089 (*1 *1 *1) (-12 (-5 *1 (-1127 *2 *3)) (-14 *2 (-763)) (-4 *3 (-1047)))) (-3465 (*1 *1 *2) (-12 (-5 *2 (-679 *4)) (-4 *4 (-1047)) (-5 *1 (-1127 *3 *4)) (-14 *3 (-763))))) 
-(-13 (-1111 |#1| |#2| (-232 |#1| |#2|) (-232 |#1| |#2|)) (-608 (-679 |#2|)) (-10 -8 (-15 -4089 ($ $)) (-15 -3465 ($ (-679 |#2|))) (-15 -2747 ((-679 |#2|) $)) (IF (|has| |#2| (-6 (-4523 "*"))) (-6 -4510) |noBranch|) (IF (|has| |#2| (-6 (-4523 "*"))) (IF (|has| |#2| (-6 -4518)) (-6 -4518) |noBranch|) |noBranch|) (IF (|has| |#2| (-609 (-541))) (-6 (-609 (-541))) |noBranch|))) 
-((-3083 (($ $) 19)) (-1474 (($ $ (-147)) 10) (($ $ (-142)) 14)) (-3768 (((-121) $ $) 24)) (-4499 (($ $) 17)) (-2781 (((-147) $ (-568) (-147)) NIL) (((-147) $ (-568)) NIL) (($ $ (-1210 (-568))) NIL) (($ $ $) 29)) (-2747 (($ (-147)) 27) (((-850) $) NIL))) 
-(((-1128 |#1|) (-10 -8 (-15 -2747 ((-850) |#1|)) (-15 -2781 (|#1| |#1| |#1|)) (-15 -1474 (|#1| |#1| (-142))) (-15 -1474 (|#1| |#1| (-147))) (-15 -2747 (|#1| (-147))) (-15 -3768 ((-121) |#1| |#1|)) (-15 -3083 (|#1| |#1|)) (-15 -4499 (|#1| |#1|)) (-15 -2781 (|#1| |#1| (-1210 (-568)))) (-15 -2781 ((-147) |#1| (-568))) (-15 -2781 ((-147) |#1| (-568) (-147)))) (-1129)) (T -1128)) 
-NIL 
-(-10 -8 (-15 -2747 ((-850) |#1|)) (-15 -2781 (|#1| |#1| |#1|)) (-15 -1474 (|#1| |#1| (-142))) (-15 -1474 (|#1| |#1| (-147))) (-15 -2747 (|#1| (-147))) (-15 -3768 ((-121) |#1| |#1|)) (-15 -3083 (|#1| |#1|)) (-15 -4499 (|#1| |#1|)) (-15 -2781 (|#1| |#1| (-1210 (-568)))) (-15 -2781 ((-147) |#1| (-568))) (-15 -2781 ((-147) |#1| (-568) (-147)))) 
-((-2449 (((-121) $ $) 18 (|has| (-147) (-1090)))) (-2499 (($ $) 113)) (-3083 (($ $) 114)) (-1474 (($ $ (-147)) 101) (($ $ (-142)) 100)) (-2481 (((-1249) $ (-568) (-568)) 37 (|has| $ (-6 -4522)))) (-3675 (((-121) $ $) 111)) (-3762 (((-121) $ $ (-568)) 110)) (-4446 (((-634 $) $ (-147)) 103) (((-634 $) $ (-142)) 102)) (-1324 (((-121) (-1 (-121) (-147) (-147)) $) 91) (((-121) $) 85 (|has| (-147) (-842)))) (-2109 (($ (-1 (-121) (-147) (-147)) $) 82 (|has| $ (-6 -4522))) (($ $) 81 (-12 (|has| (-147) (-842)) (|has| $ (-6 -4522))))) (-3647 (($ (-1 (-121) (-147) (-147)) $) 92) (($ $) 86 (|has| (-147) (-842)))) (-1667 (((-121) $ (-763)) 8)) (-2438 (((-147) $ (-568) (-147)) 49 (|has| $ (-6 -4522))) (((-147) $ (-1210 (-568)) (-147)) 53 (|has| $ (-6 -4522)))) (-2803 (($ (-1 (-121) (-147)) $) 70 (|has| $ (-6 -4521)))) (-4490 (($) 7 T CONST)) (-1871 (($ $ (-147)) 97) (($ $ (-142)) 96)) (-4452 (($ $) 83 (|has| $ (-6 -4522)))) (-3945 (($ $) 93)) (-3943 (($ $ (-1210 (-568)) $) 107)) (-3926 (($ $) 73 (-12 (|has| (-147) (-1090)) (|has| $ (-6 -4521))))) (-4330 (($ (-147) $) 72 (-12 (|has| (-147) (-1090)) (|has| $ (-6 -4521)))) (($ (-1 (-121) (-147)) $) 69 (|has| $ (-6 -4521)))) (-3094 (((-147) (-1 (-147) (-147) (-147)) $ (-147) (-147)) 71 (-12 (|has| (-147) (-1090)) (|has| $ (-6 -4521)))) (((-147) (-1 (-147) (-147) (-147)) $ (-147)) 68 (|has| $ (-6 -4521))) (((-147) (-1 (-147) (-147) (-147)) $) 67 (|has| $ (-6 -4521)))) (-1292 (((-147) $ (-568) (-147)) 50 (|has| $ (-6 -4522)))) (-2069 (((-147) $ (-568)) 48)) (-3768 (((-121) $ $) 112)) (-2766 (((-568) (-1 (-121) (-147)) $) 90) (((-568) (-147) $) 89 (|has| (-147) (-1090))) (((-568) (-147) $ (-568)) 88 (|has| (-147) (-1090))) (((-568) $ $ (-568)) 106) (((-568) (-142) $ (-568)) 105)) (-3317 (((-634 (-147)) $) 30 (|has| $ (-6 -4521)))) (-1851 (($ (-763) (-147)) 64)) (-3791 (((-121) $ (-763)) 9)) (-2539 (((-568) $) 40 (|has| (-568) (-842)))) (-1732 (($ $ $) 80 (|has| (-147) (-842)))) (-3645 (($ (-1 (-121) (-147) (-147)) $ $) 94) (($ $ $) 87 (|has| (-147) (-842)))) (-4406 (((-634 (-147)) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) (-147) $) 27 (-12 (|has| (-147) (-1090)) (|has| $ (-6 -4521))))) (-3631 (((-568) $) 41 (|has| (-568) (-842)))) (-2047 (($ $ $) 79 (|has| (-147) (-842)))) (-4065 (((-121) $ $ (-147)) 108)) (-4439 (((-763) $ $ (-147)) 109)) (-2253 (($ (-1 (-147) (-147)) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 (-147) (-147)) $) 35) (($ (-1 (-147) (-147) (-147)) $ $) 59)) (-2739 (($ $) 115)) (-4499 (($ $) 116)) (-3796 (((-121) $ (-763)) 10)) (-3384 (($ $ (-147)) 99) (($ $ (-142)) 98)) (-1893 (((-1143) $) 22 (|has| (-147) (-1090)))) (-4124 (($ (-147) $ (-568)) 55) (($ $ $ (-568)) 54)) (-3948 (((-634 (-568)) $) 43)) (-2916 (((-121) (-568) $) 44)) (-4025 (((-1108) $) 21 (|has| (-147) (-1090)))) (-3877 (((-147) $) 39 (|has| (-568) (-842)))) (-2712 (((-3 (-147) "failed") (-1 (-121) (-147)) $) 66)) (-2490 (($ $ (-147)) 38 (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) (-147)) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 (-147)))) 26 (-12 (|has| (-147) (-303 (-147))) (|has| (-147) (-1090)))) (($ $ (-288 (-147))) 25 (-12 (|has| (-147) (-303 (-147))) (|has| (-147) (-1090)))) (($ $ (-147) (-147)) 24 (-12 (|has| (-147) (-303 (-147))) (|has| (-147) (-1090)))) (($ $ (-634 (-147)) (-634 (-147))) 23 (-12 (|has| (-147) (-303 (-147))) (|has| (-147) (-1090))))) (-1702 (((-121) $ $) 14)) (-1801 (((-121) (-147) $) 42 (-12 (|has| $ (-6 -4521)) (|has| (-147) (-1090))))) (-1480 (((-634 (-147)) $) 45)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-2781 (((-147) $ (-568) (-147)) 47) (((-147) $ (-568)) 46) (($ $ (-1210 (-568))) 58) (($ $ $) 95)) (-2828 (($ $ (-568)) 57) (($ $ (-1210 (-568))) 56)) (-4170 (((-763) (-1 (-121) (-147)) $) 31 (|has| $ (-6 -4521))) (((-763) (-147) $) 28 (-12 (|has| (-147) (-1090)) (|has| $ (-6 -4521))))) (-3306 (($ $ $ (-568)) 84 (|has| $ (-6 -4522)))) (-3865 (($ $) 13)) (-4280 (((-541) $) 74 (|has| (-147) (-609 (-541))))) (-4289 (($ (-634 (-147))) 65)) (-2770 (($ $ (-147)) 63) (($ (-147) $) 62) (($ $ $) 61) (($ (-634 $)) 60)) (-2747 (($ (-147)) 104) (((-850) $) 20 (|has| (-147) (-1090)))) (-3437 (((-121) (-1 (-121) (-147)) $) 33 (|has| $ (-6 -4521)))) (-1753 (((-121) $ $) 77 (|has| (-147) (-842)))) (-1740 (((-121) $ $) 76 (|has| (-147) (-842)))) (-1719 (((-121) $ $) 19 (|has| (-147) (-1090)))) (-1747 (((-121) $ $) 78 (|has| (-147) (-842)))) (-1734 (((-121) $ $) 75 (|has| (-147) (-842)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-1129) (-1275)) (T -1129)) 
-((-4499 (*1 *1 *1) (-4 *1 (-1129))) (-2739 (*1 *1 *1) (-4 *1 (-1129))) (-3083 (*1 *1 *1) (-4 *1 (-1129))) (-2499 (*1 *1 *1) (-4 *1 (-1129))) (-3768 (*1 *2 *1 *1) (-12 (-4 *1 (-1129)) (-5 *2 (-121)))) (-3675 (*1 *2 *1 *1) (-12 (-4 *1 (-1129)) (-5 *2 (-121)))) (-3762 (*1 *2 *1 *1 *3) (-12 (-4 *1 (-1129)) (-5 *3 (-568)) (-5 *2 (-121)))) (-4439 (*1 *2 *1 *1 *3) (-12 (-4 *1 (-1129)) (-5 *3 (-147)) (-5 *2 (-763)))) (-4065 (*1 *2 *1 *1 *3) (-12 (-4 *1 (-1129)) (-5 *3 (-147)) (-5 *2 (-121)))) (-3943 (*1 *1 *1 *2 *1) (-12 (-4 *1 (-1129)) (-5 *2 (-1210 (-568))))) (-2766 (*1 *2 *1 *1 *2) (-12 (-4 *1 (-1129)) (-5 *2 (-568)))) (-2766 (*1 *2 *3 *1 *2) (-12 (-4 *1 (-1129)) (-5 *2 (-568)) (-5 *3 (-142)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-147)) (-4 *1 (-1129)))) (-4446 (*1 *2 *1 *3) (-12 (-5 *3 (-147)) (-5 *2 (-634 *1)) (-4 *1 (-1129)))) (-4446 (*1 *2 *1 *3) (-12 (-5 *3 (-142)) (-5 *2 (-634 *1)) (-4 *1 (-1129)))) (-1474 (*1 *1 *1 *2) (-12 (-4 *1 (-1129)) (-5 *2 (-147)))) (-1474 (*1 *1 *1 *2) (-12 (-4 *1 (-1129)) (-5 *2 (-142)))) (-3384 (*1 *1 *1 *2) (-12 (-4 *1 (-1129)) (-5 *2 (-147)))) (-3384 (*1 *1 *1 *2) (-12 (-4 *1 (-1129)) (-5 *2 (-142)))) (-1871 (*1 *1 *1 *2) (-12 (-4 *1 (-1129)) (-5 *2 (-147)))) (-1871 (*1 *1 *1 *2) (-12 (-4 *1 (-1129)) (-5 *2 (-142)))) (-2781 (*1 *1 *1 *1) (-4 *1 (-1129)))) 
-(-13 (-19 (-147)) (-10 -8 (-15 -4499 ($ $)) (-15 -2739 ($ $)) (-15 -3083 ($ $)) (-15 -2499 ($ $)) (-15 -3768 ((-121) $ $)) (-15 -3675 ((-121) $ $)) (-15 -3762 ((-121) $ $ (-568))) (-15 -4439 ((-763) $ $ (-147))) (-15 -4065 ((-121) $ $ (-147))) (-15 -3943 ($ $ (-1210 (-568)) $)) (-15 -2766 ((-568) $ $ (-568))) (-15 -2766 ((-568) (-142) $ (-568))) (-15 -2747 ($ (-147))) (-15 -4446 ((-634 $) $ (-147))) (-15 -4446 ((-634 $) $ (-142))) (-15 -1474 ($ $ (-147))) (-15 -1474 ($ $ (-142))) (-15 -3384 ($ $ (-147))) (-15 -3384 ($ $ (-142))) (-15 -1871 ($ $ (-147))) (-15 -1871 ($ $ (-142))) (-15 -2781 ($ $ $)))) 
-(((-39) . T) ((-105) -2199 (|has| (-147) (-1090)) (|has| (-147) (-842))) ((-608 (-850)) -2199 (|has| (-147) (-1090)) (|has| (-147) (-842))) ((-154 (-147)) . T) ((-609 (-541)) |has| (-147) (-609 (-541))) ((-281 (-568) (-147)) . T) ((-283 (-568) (-147)) . T) ((-303 (-147)) -12 (|has| (-147) (-303 (-147))) (|has| (-147) (-1090))) ((-375 (-147)) . T) ((-499 (-147)) . T) ((-601 (-568) (-147)) . T) ((-523 (-147) (-147)) -12 (|has| (-147) (-303 (-147))) (|has| (-147) (-1090))) ((-640 (-147)) . T) ((-19 (-147)) . T) ((-842) |has| (-147) (-842)) ((-1090) -2199 (|has| (-147) (-1090)) (|has| (-147) (-842))) ((-1195) . T)) 
-((-1561 (((-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) (-634 |#4|) (-634 |#5|) (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) (-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) (-763)) 93)) (-2742 (((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5|) 54) (((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5| (-763)) 53)) (-1277 (((-1249) (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) (-763)) 85)) (-1490 (((-763) (-634 |#4|) (-634 |#5|)) 27)) (-1837 (((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5|) 56) (((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5| (-763)) 55) (((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5| (-763) (-121)) 57)) (-3946 (((-634 |#5|) (-634 |#4|) (-634 |#5|) (-121) (-121) (-121) (-121) (-121)) 76) (((-634 |#5|) (-634 |#4|) (-634 |#5|) (-121) (-121)) 77)) (-4280 (((-1143) (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) 80)) (-3489 (((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5|) 52)) (-3006 (((-763) (-634 |#4|) (-634 |#5|)) 19))) 
-(((-1130 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3006 ((-763) (-634 |#4|) (-634 |#5|))) (-15 -1490 ((-763) (-634 |#4|) (-634 |#5|))) (-15 -3489 ((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5|)) (-15 -2742 ((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5| (-763))) (-15 -2742 ((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5|)) (-15 -1837 ((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5| (-763) (-121))) (-15 -1837 ((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5| (-763))) (-15 -1837 ((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5|)) (-15 -3946 ((-634 |#5|) (-634 |#4|) (-634 |#5|) (-121) (-121))) (-15 -3946 ((-634 |#5|) (-634 |#4|) (-634 |#5|) (-121) (-121) (-121) (-121) (-121))) (-15 -1561 ((-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) (-634 |#4|) (-634 |#5|) (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) (-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) (-763))) (-15 -4280 ((-1143) (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|)))) (-15 -1277 ((-1249) (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) (-763)))) (-453) (-788) (-842) (-1061 |#1| |#2| |#3|) (-1099 |#1| |#2| |#3| |#4|)) (T -1130)) 
-((-1277 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-2 (|:| |val| (-634 *8)) (|:| -3145 *9)))) (-5 *4 (-763)) (-4 *8 (-1061 *5 *6 *7)) (-4 *9 (-1099 *5 *6 *7 *8)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-1249)) (-5 *1 (-1130 *5 *6 *7 *8 *9)))) (-4280 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-634 *7)) (|:| -3145 *8))) (-4 *7 (-1061 *4 *5 *6)) (-4 *8 (-1099 *4 *5 *6 *7)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-1143)) (-5 *1 (-1130 *4 *5 *6 *7 *8)))) (-1561 (*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-634 *11)) (|:| |todo| (-634 (-2 (|:| |val| *3) (|:| -3145 *11)))))) (-5 *6 (-763)) (-5 *2 (-634 (-2 (|:| |val| (-634 *10)) (|:| -3145 *11)))) (-5 *3 (-634 *10)) (-5 *4 (-634 *11)) (-4 *10 (-1061 *7 *8 *9)) (-4 *11 (-1099 *7 *8 *9 *10)) (-4 *7 (-453)) (-4 *8 (-788)) (-4 *9 (-842)) (-5 *1 (-1130 *7 *8 *9 *10 *11)))) (-3946 (*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-634 *9)) (-5 *3 (-634 *8)) (-5 *4 (-121)) (-4 *8 (-1061 *5 *6 *7)) (-4 *9 (-1099 *5 *6 *7 *8)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *1 (-1130 *5 *6 *7 *8 *9)))) (-3946 (*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-634 *9)) (-5 *3 (-634 *8)) (-5 *4 (-121)) (-4 *8 (-1061 *5 *6 *7)) (-4 *9 (-1099 *5 *6 *7 *8)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *1 (-1130 *5 *6 *7 *8 *9)))) (-1837 (*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-634 *4)) (|:| |todo| (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))))) (-5 *1 (-1130 *5 *6 *7 *3 *4)) (-4 *4 (-1099 *5 *6 *7 *3)))) (-1837 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-763)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *8 (-842)) (-4 *3 (-1061 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-634 *4)) (|:| |todo| (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))))) (-5 *1 (-1130 *6 *7 *8 *3 *4)) (-4 *4 (-1099 *6 *7 *8 *3)))) (-1837 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-763)) (-5 *6 (-121)) (-4 *7 (-453)) (-4 *8 (-788)) (-4 *9 (-842)) (-4 *3 (-1061 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-634 *4)) (|:| |todo| (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))))) (-5 *1 (-1130 *7 *8 *9 *3 *4)) (-4 *4 (-1099 *7 *8 *9 *3)))) (-2742 (*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-634 *4)) (|:| |todo| (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))))) (-5 *1 (-1130 *5 *6 *7 *3 *4)) (-4 *4 (-1099 *5 *6 *7 *3)))) (-2742 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-763)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *8 (-842)) (-4 *3 (-1061 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-634 *4)) (|:| |todo| (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))))) (-5 *1 (-1130 *6 *7 *8 *3 *4)) (-4 *4 (-1099 *6 *7 *8 *3)))) (-3489 (*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-634 *4)) (|:| |todo| (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))))) (-5 *1 (-1130 *5 *6 *7 *3 *4)) (-4 *4 (-1099 *5 *6 *7 *3)))) (-1490 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-634 *9)) (-4 *8 (-1061 *5 *6 *7)) (-4 *9 (-1099 *5 *6 *7 *8)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-763)) (-5 *1 (-1130 *5 *6 *7 *8 *9)))) (-3006 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-634 *9)) (-4 *8 (-1061 *5 *6 *7)) (-4 *9 (-1099 *5 *6 *7 *8)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-763)) (-5 *1 (-1130 *5 *6 *7 *8 *9))))) 
-(-10 -7 (-15 -3006 ((-763) (-634 |#4|) (-634 |#5|))) (-15 -1490 ((-763) (-634 |#4|) (-634 |#5|))) (-15 -3489 ((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5|)) (-15 -2742 ((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5| (-763))) (-15 -2742 ((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5|)) (-15 -1837 ((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5| (-763) (-121))) (-15 -1837 ((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5| (-763))) (-15 -1837 ((-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) |#4| |#5|)) (-15 -3946 ((-634 |#5|) (-634 |#4|) (-634 |#5|) (-121) (-121))) (-15 -3946 ((-634 |#5|) (-634 |#4|) (-634 |#5|) (-121) (-121) (-121) (-121) (-121))) (-15 -1561 ((-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) (-634 |#4|) (-634 |#5|) (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) (-2 (|:| |done| (-634 |#5|)) (|:| |todo| (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))))) (-763))) (-15 -4280 ((-1143) (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|)))) (-15 -1277 ((-1249) (-634 (-2 (|:| |val| (-634 |#4|)) (|:| -3145 |#5|))) (-763)))) 
-((-2449 (((-121) $ $) NIL)) (-2213 (((-634 (-2 (|:| -4094 $) (|:| -2133 (-634 |#4|)))) (-634 |#4|)) NIL)) (-2353 (((-634 $) (-634 |#4|)) 109) (((-634 $) (-634 |#4|) (-121)) 110) (((-634 $) (-634 |#4|) (-121) (-121)) 108) (((-634 $) (-634 |#4|) (-121) (-121) (-121) (-121)) 111)) (-2057 (((-634 |#3|) $) NIL)) (-4141 (((-121) $) NIL)) (-1794 (((-121) $) NIL (|has| |#1| (-558)))) (-4231 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3767 ((|#4| |#4| $) NIL)) (-3045 (((-634 (-2 (|:| |val| |#4|) (|:| -3145 $))) |#4| $) 83)) (-3647 (((-2 (|:| |under| $) (|:| -4115 $) (|:| |upper| $)) $ |#3|) NIL)) (-1667 (((-121) $ (-763)) NIL)) (-2803 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521))) (((-3 |#4| "failed") $ |#3|) 61)) (-4490 (($) NIL T CONST)) (-4382 (((-121) $) 26 (|has| |#1| (-558)))) (-1880 (((-121) $ $) NIL (|has| |#1| (-558)))) (-2536 (((-121) $ $) NIL (|has| |#1| (-558)))) (-2343 (((-121) $) NIL (|has| |#1| (-558)))) (-2941 (((-634 |#4|) (-634 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-3993 (((-634 |#4|) (-634 |#4|) $) NIL (|has| |#1| (-558)))) (-2727 (((-634 |#4|) (-634 |#4|) $) NIL (|has| |#1| (-558)))) (-3668 (((-3 $ "failed") (-634 |#4|)) NIL)) (-2857 (($ (-634 |#4|)) NIL)) (-3936 (((-3 $ "failed") $) 39)) (-3255 ((|#4| |#4| $) 64)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090))))) (-4330 (($ |#4| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521)))) (-2607 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 77 (|has| |#1| (-558)))) (-1359 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) NIL)) (-3434 ((|#4| |#4| $) NIL)) (-3094 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4521))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4521))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-3158 (((-2 (|:| -4094 (-634 |#4|)) (|:| -2133 (-634 |#4|))) $) NIL)) (-2451 (((-121) |#4| $) NIL)) (-2978 (((-121) |#4| $) NIL)) (-1792 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2123 (((-2 (|:| |val| (-634 |#4|)) (|:| |towers| (-634 $))) (-634 |#4|) (-121) (-121)) 123)) (-3317 (((-634 |#4|) $) 16 (|has| $ (-6 -4521)))) (-3764 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-4001 ((|#3| $) 33)) (-3791 (((-121) $ (-763)) NIL)) (-4406 (((-634 |#4|) $) 17 (|has| $ (-6 -4521)))) (-2551 (((-121) |#4| $) 25 (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090))))) (-2253 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#4| |#4|) $) 21)) (-2249 (((-634 |#3|) $) NIL)) (-1495 (((-121) |#3| $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL)) (-1516 (((-3 |#4| (-634 $)) |#4| |#4| $) NIL)) (-3137 (((-634 (-2 (|:| |val| |#4|) (|:| -3145 $))) |#4| |#4| $) 102)) (-4164 (((-3 |#4| "failed") $) 37)) (-3878 (((-634 $) |#4| $) 87)) (-3712 (((-3 (-121) (-634 $)) |#4| $) NIL)) (-4266 (((-634 (-2 (|:| |val| (-121)) (|:| -3145 $))) |#4| $) 97) (((-121) |#4| $) 52)) (-1864 (((-634 $) |#4| $) 106) (((-634 $) (-634 |#4|) $) NIL) (((-634 $) (-634 |#4|) (-634 $)) 107) (((-634 $) |#4| (-634 $)) NIL)) (-3196 (((-634 $) (-634 |#4|) (-121) (-121) (-121)) 118)) (-3736 (($ |#4| $) 74) (($ (-634 |#4|) $) 75) (((-634 $) |#4| $ (-121) (-121) (-121) (-121) (-121)) 73)) (-3882 (((-634 |#4|) $) NIL)) (-2157 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1315 ((|#4| |#4| $) NIL)) (-4342 (((-121) $ $) NIL)) (-1440 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-558)))) (-3236 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1452 ((|#4| |#4| $) NIL)) (-4025 (((-1108) $) NIL)) (-3877 (((-3 |#4| "failed") $) 35)) (-2712 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-3413 (((-3 $ "failed") $ |#4|) 47)) (-2168 (($ $ |#4|) NIL) (((-634 $) |#4| $) 89) (((-634 $) |#4| (-634 $)) NIL) (((-634 $) (-634 |#4|) $) NIL) (((-634 $) (-634 |#4|) (-634 $)) 85)) (-3951 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 |#4|) (-634 |#4|)) NIL (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ (-288 |#4|)) NIL (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ (-634 (-288 |#4|))) NIL (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) 15)) (-1990 (($) 13)) (-1836 (((-763) $) NIL)) (-4170 (((-763) |#4| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090)))) (((-763) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521)))) (-3865 (($ $) 12)) (-4280 (((-541) $) NIL (|has| |#4| (-609 (-541))))) (-4289 (($ (-634 |#4|)) 20)) (-3206 (($ $ |#3|) 42)) (-2527 (($ $ |#3|) 43)) (-4392 (($ $) NIL)) (-4332 (($ $ |#3|) NIL)) (-2747 (((-850) $) 31) (((-634 |#4|) $) 40)) (-2524 (((-763) $) NIL (|has| |#3| (-370)))) (-2835 (((-3 (-2 (|:| |bas| $) (|:| -2618 (-634 |#4|))) "failed") (-634 |#4|) (-1 (-121) |#4| |#4|)) NIL) (((-3 (-2 (|:| |bas| $) (|:| -2618 (-634 |#4|))) "failed") (-634 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-2145 (((-121) $ (-1 (-121) |#4| (-634 |#4|))) NIL)) (-1977 (((-634 $) |#4| $) 53) (((-634 $) |#4| (-634 $)) NIL) (((-634 $) (-634 |#4|) $) NIL) (((-634 $) (-634 |#4|) (-634 $)) NIL)) (-3437 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521)))) (-3321 (((-634 |#3|) $) NIL)) (-3541 (((-121) |#4| $) NIL)) (-1413 (((-121) |#3| $) 60)) (-1719 (((-121) $ $) NIL)) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-1131 |#1| |#2| |#3| |#4|) (-13 (-1099 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3736 ((-634 $) |#4| $ (-121) (-121) (-121) (-121) (-121))) (-15 -2353 ((-634 $) (-634 |#4|) (-121) (-121))) (-15 -2353 ((-634 $) (-634 |#4|) (-121) (-121) (-121) (-121))) (-15 -3196 ((-634 $) (-634 |#4|) (-121) (-121) (-121))) (-15 -2123 ((-2 (|:| |val| (-634 |#4|)) (|:| |towers| (-634 $))) (-634 |#4|) (-121) (-121))))) (-453) (-788) (-842) (-1061 |#1| |#2| |#3|)) (T -1131)) 
-((-3736 (*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-634 (-1131 *5 *6 *7 *3))) (-5 *1 (-1131 *5 *6 *7 *3)) (-4 *3 (-1061 *5 *6 *7)))) (-2353 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-121)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-634 (-1131 *5 *6 *7 *8))) (-5 *1 (-1131 *5 *6 *7 *8)))) (-2353 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-121)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-634 (-1131 *5 *6 *7 *8))) (-5 *1 (-1131 *5 *6 *7 *8)))) (-3196 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-121)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-634 (-1131 *5 *6 *7 *8))) (-5 *1 (-1131 *5 *6 *7 *8)))) (-2123 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *8 (-1061 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-634 *8)) (|:| |towers| (-634 (-1131 *5 *6 *7 *8))))) (-5 *1 (-1131 *5 *6 *7 *8)) (-5 *3 (-634 *8))))) 
-(-13 (-1099 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3736 ((-634 $) |#4| $ (-121) (-121) (-121) (-121) (-121))) (-15 -2353 ((-634 $) (-634 |#4|) (-121) (-121))) (-15 -2353 ((-634 $) (-634 |#4|) (-121) (-121) (-121) (-121))) (-15 -3196 ((-634 $) (-634 |#4|) (-121) (-121) (-121))) (-15 -2123 ((-2 (|:| |val| (-634 |#4|)) (|:| |towers| (-634 $))) (-634 |#4|) (-121) (-121))))) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-2618 ((|#1| $) 28)) (-2468 (($ (-634 |#1|)) 33)) (-1667 (((-121) $ (-763)) NIL)) (-4490 (($) NIL T CONST)) (-2885 ((|#1| |#1| $) 30)) (-2819 ((|#1| $) 26)) (-3317 (((-634 |#1|) $) 34 (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) NIL)) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-2253 (($ (-1 |#1| |#1|) $) 39 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 37)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-2580 ((|#1| $) 29)) (-1708 (($ |#1| $) 31)) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-3403 ((|#1| $) 27)) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) 24)) (-1990 (($) 32)) (-4156 (((-763) $) 22)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3865 (($ $) 20)) (-2747 (((-850) $) 17 (|has| |#1| (-1090)))) (-4074 (($ (-634 |#1|)) NIL)) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 12 (|has| |#1| (-1090)))) (-1699 (((-763) $) 23 (|has| $ (-6 -4521))))) 
-(((-1132 |#1|) (-13 (-1109 |#1|) (-10 -8 (-15 -2468 ($ (-634 |#1|))) (-15 -2819 (|#1| $)) (-15 -3403 (|#1| $)) (-15 -2885 (|#1| |#1| $)) (-15 -1708 ($ |#1| $)) (-15 -2580 (|#1| $)) (-15 -2618 (|#1| $)) (-15 -4156 ((-763) $)) (-15 -3796 ((-121) $ (-763))) (-15 -3791 ((-121) $ (-763))) (-15 -1667 ((-121) $ (-763))) (-15 -4074 ($ (-634 |#1|))) (-15 -2436 ((-121) $)) (-15 -1990 ($)) (-15 -4490 ($)) (-15 -3865 ($ $)) (-15 -1702 ((-121) $ $)) (-15 -2797 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4522)) (-15 -2253 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1090)) (PROGN (-15 -1893 ((-1143) $)) (-15 -4025 ((-1108) $)) (-15 -2747 ((-850) $)) (-15 -1719 ((-121) $ $)) (-15 -2449 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4521)) (PROGN (-15 -3951 ((-121) (-1 (-121) |#1|) $)) (-15 -3437 ((-121) (-1 (-121) |#1|) $)) (-15 -4170 ((-763) (-1 (-121) |#1|) $)) (-15 -1699 ((-763) $)) (-15 -3317 ((-634 |#1|) $)) (-15 -4406 ((-634 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4521)) (IF (|has| |#1| (-1090)) (PROGN (-15 -2551 ((-121) |#1| $)) (-15 -4170 ((-763) |#1| $))) |noBranch|) |noBranch|))) (-1090)) (T -1132)) 
-((-1702 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1132 *3)) (-4 *3 (-1090)))) (-3865 (*1 *1 *1) (-12 (-5 *1 (-1132 *2)) (-4 *2 (-1090)))) (-1990 (*1 *1) (-12 (-5 *1 (-1132 *2)) (-4 *2 (-1090)))) (-2436 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1132 *3)) (-4 *3 (-1090)))) (-3796 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-1132 *4)) (-4 *4 (-1090)))) (-3791 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-1132 *4)) (-4 *4 (-1090)))) (-1667 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-1132 *4)) (-4 *4 (-1090)))) (-4490 (*1 *1) (-12 (-5 *1 (-1132 *2)) (-4 *2 (-1090)))) (-1699 (*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-763)) (-5 *1 (-1132 *3)) (-4 *3 (-1090)))) (-2797 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1090)) (-5 *1 (-1132 *3)))) (-2253 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4522)) (-4 *3 (-1090)) (-5 *1 (-1132 *3)))) (-3437 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-1090)) (-5 *2 (-121)) (-5 *1 (-1132 *4)))) (-3951 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-1090)) (-5 *2 (-121)) (-5 *1 (-1132 *4)))) (-4170 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-1090)) (-5 *2 (-763)) (-5 *1 (-1132 *4)))) (-3317 (*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-634 *3)) (-5 *1 (-1132 *3)) (-4 *3 (-1090)))) (-4406 (*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-634 *3)) (-5 *1 (-1132 *3)) (-4 *3 (-1090)))) (-4170 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-763)) (-5 *1 (-1132 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-2551 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-121)) (-5 *1 (-1132 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-1893 (*1 *2 *1) (-12 (-5 *2 (-1143)) (-5 *1 (-1132 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-4025 (*1 *2 *1) (-12 (-5 *2 (-1108)) (-5 *1 (-1132 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-1132 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-1719 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1132 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-2449 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1132 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) (-4074 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-5 *1 (-1132 *3)))) (-3403 (*1 *2 *1) (-12 (-5 *1 (-1132 *2)) (-4 *2 (-1090)))) (-1708 (*1 *1 *2 *1) (-12 (-5 *1 (-1132 *2)) (-4 *2 (-1090)))) (-2580 (*1 *2 *1) (-12 (-5 *1 (-1132 *2)) (-4 *2 (-1090)))) (-2885 (*1 *2 *2 *1) (-12 (-5 *1 (-1132 *2)) (-4 *2 (-1090)))) (-2819 (*1 *2 *1) (-12 (-5 *1 (-1132 *2)) (-4 *2 (-1090)))) (-2618 (*1 *2 *1) (-12 (-5 *1 (-1132 *2)) (-4 *2 (-1090)))) (-4156 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-1132 *3)) (-4 *3 (-1090)))) (-2468 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-5 *1 (-1132 *3))))) 
-(-13 (-1109 |#1|) (-10 -8 (-15 -2468 ($ (-634 |#1|))) (-15 -2819 (|#1| $)) (-15 -3403 (|#1| $)) (-15 -2885 (|#1| |#1| $)) (-15 -1708 ($ |#1| $)) (-15 -2580 (|#1| $)) (-15 -2618 (|#1| $)) (-15 -4156 ((-763) $)) (-15 -3796 ((-121) $ (-763))) (-15 -3791 ((-121) $ (-763))) (-15 -1667 ((-121) $ (-763))) (-15 -4074 ($ (-634 |#1|))) (-15 -2436 ((-121) $)) (-15 -1990 ($)) (-15 -4490 ($)) (-15 -3865 ($ $)) (-15 -1702 ((-121) $ $)) (-15 -2797 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4522)) (-15 -2253 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1090)) (PROGN (-15 -1893 ((-1143) $)) (-15 -4025 ((-1108) $)) (-15 -2747 ((-850) $)) (-15 -1719 ((-121) $ $)) (-15 -2449 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4521)) (PROGN (-15 -3951 ((-121) (-1 (-121) |#1|) $)) (-15 -3437 ((-121) (-1 (-121) |#1|) $)) (-15 -4170 ((-763) (-1 (-121) |#1|) $)) (-15 -1699 ((-763) $)) (-15 -3317 ((-634 |#1|) $)) (-15 -4406 ((-634 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4521)) (IF (|has| |#1| (-1090)) (PROGN (-15 -2551 ((-121) |#1| $)) (-15 -4170 ((-763) |#1| $))) |noBranch|) |noBranch|))) 
-((-2438 ((|#2| $ "value" |#2|) NIL) ((|#2| $ "first" |#2|) NIL) (($ $ "rest" $) NIL) ((|#2| $ "last" |#2|) NIL) ((|#2| $ (-1210 (-568)) |#2|) 43) ((|#2| $ (-568) |#2|) 40)) (-1340 (((-121) $) 11)) (-2253 (($ (-1 |#2| |#2|) $) 38)) (-3877 ((|#2| $) NIL) (($ $ (-763)) 16)) (-2490 (($ $ |#2|) 39)) (-4049 (((-121) $) 10)) (-2781 ((|#2| $ "value") NIL) ((|#2| $ "first") NIL) (($ $ "rest") NIL) ((|#2| $ "last") NIL) (($ $ (-1210 (-568))) 30) ((|#2| $ (-568)) 22) ((|#2| $ (-568) |#2|) NIL)) (-1876 (($ $ $) 46) (($ $ |#2|) NIL)) (-2770 (($ $ $) 32) (($ |#2| $) NIL) (($ (-634 $)) 35) (($ $ |#2|) NIL))) 
-(((-1133 |#1| |#2|) (-10 -8 (-15 -1340 ((-121) |#1|)) (-15 -4049 ((-121) |#1|)) (-15 -2438 (|#2| |#1| (-568) |#2|)) (-15 -2781 (|#2| |#1| (-568) |#2|)) (-15 -2781 (|#2| |#1| (-568))) (-15 -2490 (|#1| |#1| |#2|)) (-15 -2770 (|#1| |#1| |#2|)) (-15 -2770 (|#1| (-634 |#1|))) (-15 -2781 (|#1| |#1| (-1210 (-568)))) (-15 -2438 (|#2| |#1| (-1210 (-568)) |#2|)) (-15 -2438 (|#2| |#1| "last" |#2|)) (-15 -2438 (|#1| |#1| "rest" |#1|)) (-15 -2438 (|#2| |#1| "first" |#2|)) (-15 -1876 (|#1| |#1| |#2|)) (-15 -1876 (|#1| |#1| |#1|)) (-15 -2781 (|#2| |#1| "last")) (-15 -2781 (|#1| |#1| "rest")) (-15 -3877 (|#1| |#1| (-763))) (-15 -2781 (|#2| |#1| "first")) (-15 -3877 (|#2| |#1|)) (-15 -2770 (|#1| |#2| |#1|)) (-15 -2770 (|#1| |#1| |#1|)) (-15 -2438 (|#2| |#1| "value" |#2|)) (-15 -2781 (|#2| |#1| "value")) (-15 -2253 (|#1| (-1 |#2| |#2|) |#1|))) (-1134 |#2|) (-1195)) (T -1133)) 
-NIL 
-(-10 -8 (-15 -1340 ((-121) |#1|)) (-15 -4049 ((-121) |#1|)) (-15 -2438 (|#2| |#1| (-568) |#2|)) (-15 -2781 (|#2| |#1| (-568) |#2|)) (-15 -2781 (|#2| |#1| (-568))) (-15 -2490 (|#1| |#1| |#2|)) (-15 -2770 (|#1| |#1| |#2|)) (-15 -2770 (|#1| (-634 |#1|))) (-15 -2781 (|#1| |#1| (-1210 (-568)))) (-15 -2438 (|#2| |#1| (-1210 (-568)) |#2|)) (-15 -2438 (|#2| |#1| "last" |#2|)) (-15 -2438 (|#1| |#1| "rest" |#1|)) (-15 -2438 (|#2| |#1| "first" |#2|)) (-15 -1876 (|#1| |#1| |#2|)) (-15 -1876 (|#1| |#1| |#1|)) (-15 -2781 (|#2| |#1| "last")) (-15 -2781 (|#1| |#1| "rest")) (-15 -3877 (|#1| |#1| (-763))) (-15 -2781 (|#2| |#1| "first")) (-15 -3877 (|#2| |#1|)) (-15 -2770 (|#1| |#2| |#1|)) (-15 -2770 (|#1| |#1| |#1|)) (-15 -2438 (|#2| |#1| "value" |#2|)) (-15 -2781 (|#2| |#1| "value")) (-15 -2253 (|#1| (-1 |#2| |#2|) |#1|))) 
-((-2449 (((-121) $ $) 18 (|has| |#1| (-1090)))) (-2852 ((|#1| $) 45)) (-2237 ((|#1| $) 62)) (-3623 (($ $) 64)) (-2481 (((-1249) $ (-568) (-568)) 94 (|has| $ (-6 -4522)))) (-2121 (($ $ (-568)) 49 (|has| $ (-6 -4522)))) (-1667 (((-121) $ (-763)) 8)) (-3370 ((|#1| $ |#1|) 36 (|has| $ (-6 -4522)))) (-1958 (($ $ $) 53 (|has| $ (-6 -4522)))) (-2257 ((|#1| $ |#1|) 51 (|has| $ (-6 -4522)))) (-1706 ((|#1| $ |#1|) 55 (|has| $ (-6 -4522)))) (-2438 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4522))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4522))) (($ $ "rest" $) 52 (|has| $ (-6 -4522))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4522))) ((|#1| $ (-1210 (-568)) |#1|) 114 (|has| $ (-6 -4522))) ((|#1| $ (-568) |#1|) 83 (|has| $ (-6 -4522)))) (-1809 (($ $ (-634 $)) 38 (|has| $ (-6 -4522)))) (-2803 (($ (-1 (-121) |#1|) $) 99 (|has| $ (-6 -4521)))) (-1681 ((|#1| $) 63)) (-4490 (($) 7 T CONST)) (-3936 (($ $) 70) (($ $ (-763)) 68)) (-3926 (($ $) 96 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-4330 (($ (-1 (-121) |#1|) $) 100 (|has| $ (-6 -4521))) (($ |#1| $) 97 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $) 102 (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 101 (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 98 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-1292 ((|#1| $ (-568) |#1|) 82 (|has| $ (-6 -4522)))) (-2069 ((|#1| $ (-568)) 84)) (-1340 (((-121) $) 80)) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-3534 (((-634 $) $) 47)) (-3606 (((-121) $ $) 39 (|has| |#1| (-1090)))) (-1851 (($ (-763) |#1|) 105)) (-3791 (((-121) $ (-763)) 9)) (-2539 (((-568) $) 92 (|has| (-568) (-842)))) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3631 (((-568) $) 91 (|has| (-568) (-842)))) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 108)) (-3796 (((-121) $ (-763)) 10)) (-4081 (((-634 |#1|) $) 42)) (-3319 (((-121) $) 46)) (-1893 (((-1143) $) 22 (|has| |#1| (-1090)))) (-4164 ((|#1| $) 67) (($ $ (-763)) 65)) (-4124 (($ $ $ (-568)) 113) (($ |#1| $ (-568)) 112)) (-3948 (((-634 (-568)) $) 89)) (-2916 (((-121) (-568) $) 88)) (-4025 (((-1108) $) 21 (|has| |#1| (-1090)))) (-3877 ((|#1| $) 73) (($ $ (-763)) 71)) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 103)) (-2490 (($ $ |#1|) 93 (|has| $ (-6 -4522)))) (-4049 (((-121) $) 81)) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-1801 (((-121) |#1| $) 90 (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1480 (((-634 |#1|) $) 87)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-2781 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66) (($ $ (-1210 (-568))) 109) ((|#1| $ (-568)) 86) ((|#1| $ (-568) |#1|) 85)) (-1665 (((-568) $ $) 41)) (-2828 (($ $ (-1210 (-568))) 111) (($ $ (-568)) 110)) (-2763 (((-121) $) 43)) (-3903 (($ $) 59)) (-1499 (($ $) 56 (|has| $ (-6 -4522)))) (-3535 (((-763) $) 60)) (-4424 (($ $) 61)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-4280 (((-541) $) 95 (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) 104)) (-1876 (($ $ $) 58 (|has| $ (-6 -4522))) (($ $ |#1|) 57 (|has| $ (-6 -4522)))) (-2770 (($ $ $) 75) (($ |#1| $) 74) (($ (-634 $)) 107) (($ $ |#1|) 106)) (-2747 (((-850) $) 20 (|has| |#1| (-1090)))) (-3180 (((-634 $) $) 48)) (-3873 (((-121) $ $) 40 (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-1134 |#1|) (-1275) (-1195)) (T -1134)) 
-((-4049 (*1 *2 *1) (-12 (-4 *1 (-1134 *3)) (-4 *3 (-1195)) (-5 *2 (-121)))) (-1340 (*1 *2 *1) (-12 (-4 *1 (-1134 *3)) (-4 *3 (-1195)) (-5 *2 (-121))))) 
-(-13 (-1231 |t#1|) (-640 |t#1|) (-10 -8 (-15 -4049 ((-121) $)) (-15 -1340 ((-121) $)))) 
-(((-39) . T) ((-105) |has| |#1| (-1090)) ((-608 (-850)) |has| |#1| (-1090)) ((-154 |#1|) . T) ((-609 (-541)) |has| |#1| (-609 (-541))) ((-281 (-568) |#1|) . T) ((-283 (-568) |#1|) . T) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-499 |#1|) . T) ((-601 (-568) |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-640 |#1|) . T) ((-1010 |#1|) . T) ((-1090) |has| |#1| (-1090)) ((-1195) . T) ((-1231 |#1|) . T)) 
-((-2449 (((-121) $ $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-2988 (($) NIL) (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-2481 (((-1249) $ |#1| |#1|) NIL (|has| $ (-6 -4522)))) (-1667 (((-121) $ (-763)) NIL)) (-2438 ((|#2| $ |#1| |#2|) NIL)) (-3963 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-2803 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-2678 (((-3 |#2| "failed") |#1| $) NIL)) (-4490 (($) NIL T CONST)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))))) (-1568 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (|has| $ (-6 -4521))) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-3 |#2| "failed") |#1| $) NIL)) (-4330 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-3094 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (|has| $ (-6 -4521))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-1292 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4522)))) (-2069 ((|#2| $ |#1|) NIL)) (-3317 (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-634 |#2|) $) NIL (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) NIL)) (-2539 ((|#1| $) NIL (|has| |#1| (-842)))) (-4406 (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-634 |#2|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-3631 ((|#1| $) NIL (|has| |#1| (-842)))) (-2253 (($ (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4522))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-4253 (((-634 |#1|) $) NIL)) (-2807 (((-121) |#1| $) NIL)) (-2580 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL)) (-1708 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL)) (-3948 (((-634 |#1|) $) NIL)) (-2916 (((-121) |#1| $) NIL)) (-4025 (((-1108) $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-3877 ((|#2| $) NIL (|has| |#1| (-842)))) (-2712 (((-3 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) "failed") (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL)) (-2490 (($ $ |#2|) NIL (|has| $ (-6 -4522)))) (-3403 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL)) (-3951 (((-121) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-288 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-634 |#2|) (-634 |#2|)) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-288 |#2|)) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-634 (-288 |#2|))) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-1480 (((-634 |#2|) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-3132 (($) NIL) (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-4170 (((-763) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-763) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (((-763) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090)))) (((-763) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) NIL (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-609 (-541))))) (-4289 (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-2747 (((-850) $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-4074 (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-3437 (((-121) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-1135 |#1| |#2| |#3|) (-1172 |#1| |#2|) (-1090) (-1090) |#2|) (T -1135)) 
-NIL 
-(-1172 |#1| |#2|) 
-((-2449 (((-121) $ $) 7)) (-2214 (((-3 $ "failed") $) 12)) (-1893 (((-1143) $) 9)) (-4436 (($) 13 T CONST)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11)) (-1719 (((-121) $ $) 6))) 
-(((-1136) (-1275)) (T -1136)) 
-((-4436 (*1 *1) (-4 *1 (-1136))) (-2214 (*1 *1 *1) (|partial| -4 *1 (-1136)))) 
-(-13 (-1090) (-10 -8 (-15 -4436 ($) -3497) (-15 -2214 ((-3 $ "failed") $)))) 
-(((-105) . T) ((-608 (-850)) . T) ((-1090) . T)) 
-((-1517 (((-1141 |#1|) (-1141 |#1|)) 17)) (-4388 (((-1141 |#1|) (-1141 |#1|)) 13)) (-4169 (((-1141 |#1|) (-1141 |#1|) (-568) (-568)) 20)) (-1471 (((-1141 |#1|) (-1141 |#1|)) 15))) 
-(((-1137 |#1|) (-10 -7 (-15 -4388 ((-1141 |#1|) (-1141 |#1|))) (-15 -1471 ((-1141 |#1|) (-1141 |#1|))) (-15 -1517 ((-1141 |#1|) (-1141 |#1|))) (-15 -4169 ((-1141 |#1|) (-1141 |#1|) (-568) (-568)))) (-13 (-558) (-150))) (T -1137)) 
-((-4169 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1141 *4)) (-5 *3 (-568)) (-4 *4 (-13 (-558) (-150))) (-5 *1 (-1137 *4)))) (-1517 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-13 (-558) (-150))) (-5 *1 (-1137 *3)))) (-1471 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-13 (-558) (-150))) (-5 *1 (-1137 *3)))) (-4388 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-13 (-558) (-150))) (-5 *1 (-1137 *3))))) 
-(-10 -7 (-15 -4388 ((-1141 |#1|) (-1141 |#1|))) (-15 -1471 ((-1141 |#1|) (-1141 |#1|))) (-15 -1517 ((-1141 |#1|) (-1141 |#1|))) (-15 -4169 ((-1141 |#1|) (-1141 |#1|) (-568) (-568)))) 
-((-2770 (((-1141 |#1|) (-1141 (-1141 |#1|))) 15))) 
-(((-1138 |#1|) (-10 -7 (-15 -2770 ((-1141 |#1|) (-1141 (-1141 |#1|))))) (-1195)) (T -1138)) 
-((-2770 (*1 *2 *3) (-12 (-5 *3 (-1141 (-1141 *4))) (-5 *2 (-1141 *4)) (-5 *1 (-1138 *4)) (-4 *4 (-1195))))) 
-(-10 -7 (-15 -2770 ((-1141 |#1|) (-1141 (-1141 |#1|))))) 
-((-1678 (((-1141 |#2|) |#2| (-1 |#2| |#1| |#2|) (-1141 |#1|)) 25)) (-3094 ((|#2| |#2| (-1 |#2| |#1| |#2|) (-1141 |#1|)) 26)) (-2797 (((-1141 |#2|) (-1 |#2| |#1|) (-1141 |#1|)) 16))) 
-(((-1139 |#1| |#2|) (-10 -7 (-15 -2797 ((-1141 |#2|) (-1 |#2| |#1|) (-1141 |#1|))) (-15 -1678 ((-1141 |#2|) |#2| (-1 |#2| |#1| |#2|) (-1141 |#1|))) (-15 -3094 (|#2| |#2| (-1 |#2| |#1| |#2|) (-1141 |#1|)))) (-1195) (-1195)) (T -1139)) 
-((-3094 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1141 *5)) (-4 *5 (-1195)) (-4 *2 (-1195)) (-5 *1 (-1139 *5 *2)))) (-1678 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *3 *6 *3)) (-5 *5 (-1141 *6)) (-4 *6 (-1195)) (-4 *3 (-1195)) (-5 *2 (-1141 *3)) (-5 *1 (-1139 *6 *3)))) (-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1141 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-1141 *6)) (-5 *1 (-1139 *5 *6))))) 
-(-10 -7 (-15 -2797 ((-1141 |#2|) (-1 |#2| |#1|) (-1141 |#1|))) (-15 -1678 ((-1141 |#2|) |#2| (-1 |#2| |#1| |#2|) (-1141 |#1|))) (-15 -3094 (|#2| |#2| (-1 |#2| |#1| |#2|) (-1141 |#1|)))) 
-((-2797 (((-1141 |#3|) (-1 |#3| |#1| |#2|) (-1141 |#1|) (-1141 |#2|)) 21))) 
-(((-1140 |#1| |#2| |#3|) (-10 -7 (-15 -2797 ((-1141 |#3|) (-1 |#3| |#1| |#2|) (-1141 |#1|) (-1141 |#2|)))) (-1195) (-1195) (-1195)) (T -1140)) 
-((-2797 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1141 *6)) (-5 *5 (-1141 *7)) (-4 *6 (-1195)) (-4 *7 (-1195)) (-4 *8 (-1195)) (-5 *2 (-1141 *8)) (-5 *1 (-1140 *6 *7 *8))))) 
-(-10 -7 (-15 -2797 ((-1141 |#3|) (-1 |#3| |#1| |#2|) (-1141 |#1|) (-1141 |#2|)))) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-2852 ((|#1| $) NIL)) (-2237 ((|#1| $) NIL)) (-3623 (($ $) 48)) (-2481 (((-1249) $ (-568) (-568)) 73 (|has| $ (-6 -4522)))) (-2121 (($ $ (-568)) 107 (|has| $ (-6 -4522)))) (-1667 (((-121) $ (-763)) NIL)) (-1482 (((-850) $) 37 (|has| |#1| (-1090)))) (-3589 (((-121)) 38 (|has| |#1| (-1090)))) (-3370 ((|#1| $ |#1|) NIL (|has| $ (-6 -4522)))) (-1958 (($ $ $) 95 (|has| $ (-6 -4522))) (($ $ (-568) $) 117)) (-2257 ((|#1| $ |#1|) 104 (|has| $ (-6 -4522)))) (-1706 ((|#1| $ |#1|) 99 (|has| $ (-6 -4522)))) (-2438 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4522))) ((|#1| $ "first" |#1|) 101 (|has| $ (-6 -4522))) (($ $ "rest" $) 103 (|has| $ (-6 -4522))) ((|#1| $ "last" |#1|) 106 (|has| $ (-6 -4522))) ((|#1| $ (-1210 (-568)) |#1|) 86 (|has| $ (-6 -4522))) ((|#1| $ (-568) |#1|) 52 (|has| $ (-6 -4522)))) (-1809 (($ $ (-634 $)) NIL (|has| $ (-6 -4522)))) (-2803 (($ (-1 (-121) |#1|) $) 55)) (-1681 ((|#1| $) NIL)) (-4490 (($) NIL T CONST)) (-2584 (($ $) 14)) (-3936 (($ $) 28) (($ $ (-763)) 85)) (-4034 (((-121) (-634 |#1|) $) 112 (|has| |#1| (-1090)))) (-3308 (($ (-634 |#1|)) 109)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-4330 (($ |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090)))) (($ (-1 (-121) |#1|) $) 54)) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1292 ((|#1| $ (-568) |#1|) NIL (|has| $ (-6 -4522)))) (-2069 ((|#1| $ (-568)) NIL)) (-1340 (((-121) $) NIL)) (-3317 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-3496 (((-1249) (-568) $) 116 (|has| |#1| (-1090)))) (-1841 (((-763) $) 114)) (-3534 (((-634 $) $) NIL)) (-3606 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1851 (($ (-763) |#1|) NIL)) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-568) $) NIL (|has| (-568) (-842)))) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3631 (((-568) $) NIL (|has| (-568) (-842)))) (-2253 (($ (-1 |#1| |#1|) $) 70 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 60) (($ (-1 |#1| |#1| |#1|) $ $) 64)) (-3796 (((-121) $ (-763)) NIL)) (-4081 (((-634 |#1|) $) NIL)) (-3319 (((-121) $) NIL)) (-2798 (($ $) 87)) (-1898 (((-121) $) 13)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-4164 ((|#1| $) NIL) (($ $ (-763)) NIL)) (-4124 (($ $ $ (-568)) NIL) (($ |#1| $ (-568)) NIL)) (-3948 (((-634 (-568)) $) NIL)) (-2916 (((-121) (-568) $) 71)) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-2783 (($ (-1 |#1|)) 119) (($ (-1 |#1| |#1|) |#1|) 120)) (-2616 ((|#1| $) 10)) (-3877 ((|#1| $) 27) (($ $ (-763)) 46)) (-2912 (((-2 (|:| |cycle?| (-121)) (|:| -3392 (-763)) (|:| |period| (-763))) (-763) $) 24)) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2796 (($ (-1 (-121) |#1|) $) 121)) (-2800 (($ (-1 (-121) |#1|) $) 122)) (-2490 (($ $ |#1|) 65 (|has| $ (-6 -4522)))) (-2168 (($ $ (-568)) 31)) (-4049 (((-121) $) 69)) (-3817 (((-121) $) 12)) (-2818 (((-121) $) 113)) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 20)) (-1801 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1480 (((-634 |#1|) $) NIL)) (-2436 (((-121) $) 15)) (-1990 (($) 40)) (-2781 ((|#1| $ "value") NIL) ((|#1| $ "first") NIL) (($ $ "rest") NIL) ((|#1| $ "last") NIL) (($ $ (-1210 (-568))) NIL) ((|#1| $ (-568)) 51) ((|#1| $ (-568) |#1|) NIL)) (-1665 (((-568) $ $) 45)) (-2828 (($ $ (-1210 (-568))) NIL) (($ $ (-568)) NIL)) (-1922 (($ (-1 $)) 44)) (-2763 (((-121) $) 66)) (-3903 (($ $) 67)) (-1499 (($ $) 96 (|has| $ (-6 -4522)))) (-3535 (((-763) $) NIL)) (-4424 (($ $) NIL)) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3865 (($ $) 41)) (-4280 (((-541) $) NIL (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) 50)) (-3856 (($ |#1| $) 94)) (-1876 (($ $ $) 97 (|has| $ (-6 -4522))) (($ $ |#1|) 98 (|has| $ (-6 -4522)))) (-2770 (($ $ $) 75) (($ |#1| $) 42) (($ (-634 $)) 80) (($ $ |#1|) 74)) (-2188 (($ $) 47)) (-2747 (((-850) $) 39 (|has| |#1| (-1090))) (($ (-634 |#1|)) 108)) (-3180 (((-634 $) $) NIL)) (-3873 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 111 (|has| |#1| (-1090)))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-1141 |#1|) (-13 (-665 |#1|) (-10 -8 (-6 -4522) (-15 -2747 ($ (-634 |#1|))) (-15 -3308 ($ (-634 |#1|))) (IF (|has| |#1| (-1090)) (-15 -4034 ((-121) (-634 |#1|) $)) |noBranch|) (-15 -2912 ((-2 (|:| |cycle?| (-121)) (|:| -3392 (-763)) (|:| |period| (-763))) (-763) $)) (-15 -1922 ($ (-1 $))) (-15 -3856 ($ |#1| $)) (IF (|has| |#1| (-1090)) (PROGN (-15 -3496 ((-1249) (-568) $)) (-15 -1482 ((-850) $)) (-15 -3589 ((-121)))) |noBranch|) (-15 -1958 ($ $ (-568) $)) (-15 -2783 ($ (-1 |#1|))) (-15 -2783 ($ (-1 |#1| |#1|) |#1|)) (-15 -2796 ($ (-1 (-121) |#1|) $)) (-15 -2800 ($ (-1 (-121) |#1|) $)))) (-1195)) (T -1141)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1195)) (-5 *1 (-1141 *3)))) (-3308 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1195)) (-5 *1 (-1141 *3)))) (-4034 (*1 *2 *3 *1) (-12 (-5 *3 (-634 *4)) (-4 *4 (-1090)) (-4 *4 (-1195)) (-5 *2 (-121)) (-5 *1 (-1141 *4)))) (-2912 (*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |cycle?| (-121)) (|:| -3392 (-763)) (|:| |period| (-763)))) (-5 *1 (-1141 *4)) (-4 *4 (-1195)) (-5 *3 (-763)))) (-1922 (*1 *1 *2) (-12 (-5 *2 (-1 (-1141 *3))) (-5 *1 (-1141 *3)) (-4 *3 (-1195)))) (-3856 (*1 *1 *2 *1) (-12 (-5 *1 (-1141 *2)) (-4 *2 (-1195)))) (-3496 (*1 *2 *3 *1) (-12 (-5 *3 (-568)) (-5 *2 (-1249)) (-5 *1 (-1141 *4)) (-4 *4 (-1090)) (-4 *4 (-1195)))) (-1482 (*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-1141 *3)) (-4 *3 (-1090)) (-4 *3 (-1195)))) (-3589 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1141 *3)) (-4 *3 (-1090)) (-4 *3 (-1195)))) (-1958 (*1 *1 *1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-1141 *3)) (-4 *3 (-1195)))) (-2783 (*1 *1 *2) (-12 (-5 *2 (-1 *3)) (-4 *3 (-1195)) (-5 *1 (-1141 *3)))) (-2783 (*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1195)) (-5 *1 (-1141 *3)))) (-2796 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1195)) (-5 *1 (-1141 *3)))) (-2800 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1195)) (-5 *1 (-1141 *3))))) 
-(-13 (-665 |#1|) (-10 -8 (-6 -4522) (-15 -2747 ($ (-634 |#1|))) (-15 -3308 ($ (-634 |#1|))) (IF (|has| |#1| (-1090)) (-15 -4034 ((-121) (-634 |#1|) $)) |noBranch|) (-15 -2912 ((-2 (|:| |cycle?| (-121)) (|:| -3392 (-763)) (|:| |period| (-763))) (-763) $)) (-15 -1922 ($ (-1 $))) (-15 -3856 ($ |#1| $)) (IF (|has| |#1| (-1090)) (PROGN (-15 -3496 ((-1249) (-568) $)) (-15 -1482 ((-850) $)) (-15 -3589 ((-121)))) |noBranch|) (-15 -1958 ($ $ (-568) $)) (-15 -2783 ($ (-1 |#1|))) (-15 -2783 ($ (-1 |#1| |#1|) |#1|)) (-15 -2796 ($ (-1 (-121) |#1|) $)) (-15 -2800 ($ (-1 (-121) |#1|) $)))) 
-((-2449 (((-121) $ $) 18)) (-2499 (($ $) 113)) (-3083 (($ $) 114)) (-1474 (($ $ (-147)) 101) (($ $ (-142)) 100)) (-2481 (((-1249) $ (-568) (-568)) 37 (|has| $ (-6 -4522)))) (-3675 (((-121) $ $) 111)) (-3762 (((-121) $ $ (-568)) 110)) (-1744 (($ (-568)) 118)) (-4446 (((-634 $) $ (-147)) 103) (((-634 $) $ (-142)) 102)) (-1324 (((-121) (-1 (-121) (-147) (-147)) $) 91) (((-121) $) 85 (|has| (-147) (-842)))) (-2109 (($ (-1 (-121) (-147) (-147)) $) 82 (|has| $ (-6 -4522))) (($ $) 81 (-12 (|has| (-147) (-842)) (|has| $ (-6 -4522))))) (-3647 (($ (-1 (-121) (-147) (-147)) $) 92) (($ $) 86 (|has| (-147) (-842)))) (-1667 (((-121) $ (-763)) 8)) (-2438 (((-147) $ (-568) (-147)) 49 (|has| $ (-6 -4522))) (((-147) $ (-1210 (-568)) (-147)) 53 (|has| $ (-6 -4522)))) (-2803 (($ (-1 (-121) (-147)) $) 70 (|has| $ (-6 -4521)))) (-4490 (($) 7 T CONST)) (-1871 (($ $ (-147)) 97) (($ $ (-142)) 96)) (-4452 (($ $) 83 (|has| $ (-6 -4522)))) (-3945 (($ $) 93)) (-3943 (($ $ (-1210 (-568)) $) 107)) (-3926 (($ $) 73 (-12 (|has| (-147) (-1090)) (|has| $ (-6 -4521))))) (-4330 (($ (-147) $) 72 (-12 (|has| (-147) (-1090)) (|has| $ (-6 -4521)))) (($ (-1 (-121) (-147)) $) 69 (|has| $ (-6 -4521)))) (-3094 (((-147) (-1 (-147) (-147) (-147)) $ (-147) (-147)) 71 (-12 (|has| (-147) (-1090)) (|has| $ (-6 -4521)))) (((-147) (-1 (-147) (-147) (-147)) $ (-147)) 68 (|has| $ (-6 -4521))) (((-147) (-1 (-147) (-147) (-147)) $) 67 (|has| $ (-6 -4521)))) (-1292 (((-147) $ (-568) (-147)) 50 (|has| $ (-6 -4522)))) (-2069 (((-147) $ (-568)) 48)) (-3768 (((-121) $ $) 112)) (-2766 (((-568) (-1 (-121) (-147)) $) 90) (((-568) (-147) $) 89 (|has| (-147) (-1090))) (((-568) (-147) $ (-568)) 88 (|has| (-147) (-1090))) (((-568) $ $ (-568)) 106) (((-568) (-142) $ (-568)) 105)) (-3317 (((-634 (-147)) $) 30 (|has| $ (-6 -4521)))) (-1851 (($ (-763) (-147)) 64)) (-3791 (((-121) $ (-763)) 9)) (-2539 (((-568) $) 40 (|has| (-568) (-842)))) (-1732 (($ $ $) 80 (|has| (-147) (-842)))) (-3645 (($ (-1 (-121) (-147) (-147)) $ $) 94) (($ $ $) 87 (|has| (-147) (-842)))) (-4406 (((-634 (-147)) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) (-147) $) 27 (-12 (|has| (-147) (-1090)) (|has| $ (-6 -4521))))) (-3631 (((-568) $) 41 (|has| (-568) (-842)))) (-2047 (($ $ $) 79 (|has| (-147) (-842)))) (-4065 (((-121) $ $ (-147)) 108)) (-4439 (((-763) $ $ (-147)) 109)) (-2253 (($ (-1 (-147) (-147)) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 (-147) (-147)) $) 35) (($ (-1 (-147) (-147) (-147)) $ $) 59)) (-2739 (($ $) 115)) (-4499 (($ $) 116)) (-3796 (((-121) $ (-763)) 10)) (-3384 (($ $ (-147)) 99) (($ $ (-142)) 98)) (-1893 (((-1143) $) 22)) (-4124 (($ (-147) $ (-568)) 55) (($ $ $ (-568)) 54)) (-3948 (((-634 (-568)) $) 43)) (-2916 (((-121) (-568) $) 44)) (-4025 (((-1108) $) 21)) (-3877 (((-147) $) 39 (|has| (-568) (-842)))) (-2712 (((-3 (-147) "failed") (-1 (-121) (-147)) $) 66)) (-2490 (($ $ (-147)) 38 (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) (-147)) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 (-147)))) 26 (-12 (|has| (-147) (-303 (-147))) (|has| (-147) (-1090)))) (($ $ (-288 (-147))) 25 (-12 (|has| (-147) (-303 (-147))) (|has| (-147) (-1090)))) (($ $ (-147) (-147)) 24 (-12 (|has| (-147) (-303 (-147))) (|has| (-147) (-1090)))) (($ $ (-634 (-147)) (-634 (-147))) 23 (-12 (|has| (-147) (-303 (-147))) (|has| (-147) (-1090))))) (-1702 (((-121) $ $) 14)) (-1801 (((-121) (-147) $) 42 (-12 (|has| $ (-6 -4521)) (|has| (-147) (-1090))))) (-1480 (((-634 (-147)) $) 45)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-2781 (((-147) $ (-568) (-147)) 47) (((-147) $ (-568)) 46) (($ $ (-1210 (-568))) 58) (($ $ $) 95)) (-2828 (($ $ (-568)) 57) (($ $ (-1210 (-568))) 56)) (-4170 (((-763) (-1 (-121) (-147)) $) 31 (|has| $ (-6 -4521))) (((-763) (-147) $) 28 (-12 (|has| (-147) (-1090)) (|has| $ (-6 -4521))))) (-3306 (($ $ $ (-568)) 84 (|has| $ (-6 -4522)))) (-3865 (($ $) 13)) (-4280 (((-541) $) 74 (|has| (-147) (-609 (-541))))) (-4289 (($ (-634 (-147))) 65)) (-2770 (($ $ (-147)) 63) (($ (-147) $) 62) (($ $ $) 61) (($ (-634 $)) 60)) (-2747 (($ (-147)) 104) (((-850) $) 20)) (-3437 (((-121) (-1 (-121) (-147)) $) 33 (|has| $ (-6 -4521)))) (-2628 (((-1143) $) 122) (((-1143) $ (-121)) 121) (((-1249) (-817) $) 120) (((-1249) (-817) $ (-121)) 119)) (-1753 (((-121) $ $) 77 (|has| (-147) (-842)))) (-1740 (((-121) $ $) 76 (|has| (-147) (-842)))) (-1719 (((-121) $ $) 19)) (-1747 (((-121) $ $) 78 (|has| (-147) (-842)))) (-1734 (((-121) $ $) 75 (|has| (-147) (-842)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-1142) (-1275)) (T -1142)) 
-((-1744 (*1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-1142))))) 
-(-13 (-1129) (-1090) (-823) (-10 -8 (-15 -1744 ($ (-568))))) 
-(((-39) . T) ((-105) . T) ((-608 (-850)) . T) ((-154 (-147)) . T) ((-609 (-541)) |has| (-147) (-609 (-541))) ((-281 (-568) (-147)) . T) ((-283 (-568) (-147)) . T) ((-303 (-147)) -12 (|has| (-147) (-303 (-147))) (|has| (-147) (-1090))) ((-375 (-147)) . T) ((-499 (-147)) . T) ((-601 (-568) (-147)) . T) ((-523 (-147) (-147)) -12 (|has| (-147) (-303 (-147))) (|has| (-147) (-1090))) ((-640 (-147)) . T) ((-19 (-147)) . T) ((-823) . T) ((-842) |has| (-147) (-842)) ((-1090) . T) ((-1129) . T) ((-1195) . T)) 
-((-2449 (((-121) $ $) NIL)) (-2499 (($ $) NIL)) (-3083 (($ $) NIL)) (-1474 (($ $ (-147)) NIL) (($ $ (-142)) NIL)) (-2481 (((-1249) $ (-568) (-568)) NIL (|has| $ (-6 -4522)))) (-3675 (((-121) $ $) NIL)) (-3762 (((-121) $ $ (-568)) NIL)) (-1744 (($ (-568)) 7)) (-4446 (((-634 $) $ (-147)) NIL) (((-634 $) $ (-142)) NIL)) (-1324 (((-121) (-1 (-121) (-147) (-147)) $) NIL) (((-121) $) NIL (|has| (-147) (-842)))) (-2109 (($ (-1 (-121) (-147) (-147)) $) NIL (|has| $ (-6 -4522))) (($ $) NIL (-12 (|has| $ (-6 -4522)) (|has| (-147) (-842))))) (-3647 (($ (-1 (-121) (-147) (-147)) $) NIL) (($ $) NIL (|has| (-147) (-842)))) (-1667 (((-121) $ (-763)) NIL)) (-2438 (((-147) $ (-568) (-147)) NIL (|has| $ (-6 -4522))) (((-147) $ (-1210 (-568)) (-147)) NIL (|has| $ (-6 -4522)))) (-2803 (($ (-1 (-121) (-147)) $) NIL (|has| $ (-6 -4521)))) (-4490 (($) NIL T CONST)) (-1871 (($ $ (-147)) NIL) (($ $ (-142)) NIL)) (-4452 (($ $) NIL (|has| $ (-6 -4522)))) (-3945 (($ $) NIL)) (-3943 (($ $ (-1210 (-568)) $) NIL)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-147) (-1090))))) (-4330 (($ (-147) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-147) (-1090)))) (($ (-1 (-121) (-147)) $) NIL (|has| $ (-6 -4521)))) (-3094 (((-147) (-1 (-147) (-147) (-147)) $ (-147) (-147)) NIL (-12 (|has| $ (-6 -4521)) (|has| (-147) (-1090)))) (((-147) (-1 (-147) (-147) (-147)) $ (-147)) NIL (|has| $ (-6 -4521))) (((-147) (-1 (-147) (-147) (-147)) $) NIL (|has| $ (-6 -4521)))) (-1292 (((-147) $ (-568) (-147)) NIL (|has| $ (-6 -4522)))) (-2069 (((-147) $ (-568)) NIL)) (-3768 (((-121) $ $) NIL)) (-2766 (((-568) (-1 (-121) (-147)) $) NIL) (((-568) (-147) $) NIL (|has| (-147) (-1090))) (((-568) (-147) $ (-568)) NIL (|has| (-147) (-1090))) (((-568) $ $ (-568)) NIL) (((-568) (-142) $ (-568)) NIL)) (-3317 (((-634 (-147)) $) NIL (|has| $ (-6 -4521)))) (-1851 (($ (-763) (-147)) NIL)) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-568) $) NIL (|has| (-568) (-842)))) (-1732 (($ $ $) NIL (|has| (-147) (-842)))) (-3645 (($ (-1 (-121) (-147) (-147)) $ $) NIL) (($ $ $) NIL (|has| (-147) (-842)))) (-4406 (((-634 (-147)) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) (-147) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-147) (-1090))))) (-3631 (((-568) $) NIL (|has| (-568) (-842)))) (-2047 (($ $ $) NIL (|has| (-147) (-842)))) (-4065 (((-121) $ $ (-147)) NIL)) (-4439 (((-763) $ $ (-147)) NIL)) (-2253 (($ (-1 (-147) (-147)) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 (-147) (-147)) $) NIL) (($ (-1 (-147) (-147) (-147)) $ $) NIL)) (-2739 (($ $) NIL)) (-4499 (($ $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-3384 (($ $ (-147)) NIL) (($ $ (-142)) NIL)) (-1893 (((-1143) $) NIL)) (-4124 (($ (-147) $ (-568)) NIL) (($ $ $ (-568)) NIL)) (-3948 (((-634 (-568)) $) NIL)) (-2916 (((-121) (-568) $) NIL)) (-4025 (((-1108) $) NIL)) (-3877 (((-147) $) NIL (|has| (-568) (-842)))) (-2712 (((-3 (-147) "failed") (-1 (-121) (-147)) $) NIL)) (-2490 (($ $ (-147)) NIL (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) (-147)) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 (-147)))) NIL (-12 (|has| (-147) (-303 (-147))) (|has| (-147) (-1090)))) (($ $ (-288 (-147))) NIL (-12 (|has| (-147) (-303 (-147))) (|has| (-147) (-1090)))) (($ $ (-147) (-147)) NIL (-12 (|has| (-147) (-303 (-147))) (|has| (-147) (-1090)))) (($ $ (-634 (-147)) (-634 (-147))) NIL (-12 (|has| (-147) (-303 (-147))) (|has| (-147) (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) (-147) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-147) (-1090))))) (-1480 (((-634 (-147)) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 (((-147) $ (-568) (-147)) NIL) (((-147) $ (-568)) NIL) (($ $ (-1210 (-568))) NIL) (($ $ $) NIL)) (-2828 (($ $ (-568)) NIL) (($ $ (-1210 (-568))) NIL)) (-4170 (((-763) (-1 (-121) (-147)) $) NIL (|has| $ (-6 -4521))) (((-763) (-147) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-147) (-1090))))) (-3306 (($ $ $ (-568)) NIL (|has| $ (-6 -4522)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) NIL (|has| (-147) (-609 (-541))))) (-4289 (($ (-634 (-147))) NIL)) (-2770 (($ $ (-147)) NIL) (($ (-147) $) NIL) (($ $ $) NIL) (($ (-634 $)) NIL)) (-2747 (($ (-147)) NIL) (((-850) $) NIL)) (-3437 (((-121) (-1 (-121) (-147)) $) NIL (|has| $ (-6 -4521)))) (-2628 (((-1143) $) 18) (((-1143) $ (-121)) 20) (((-1249) (-817) $) 21) (((-1249) (-817) $ (-121)) 22)) (-1753 (((-121) $ $) NIL (|has| (-147) (-842)))) (-1740 (((-121) $ $) NIL (|has| (-147) (-842)))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (|has| (-147) (-842)))) (-1734 (((-121) $ $) NIL (|has| (-147) (-842)))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-1143) (-1142)) (T -1143)) 
-NIL 
-(-1142) 
-((-2449 (((-121) $ $) NIL (-2199 (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1090)) (|has| |#1| (-1090))))) (-2988 (($) NIL) (($ (-634 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)))) NIL)) (-2481 (((-1249) $ (-1143) (-1143)) NIL (|has| $ (-6 -4522)))) (-1667 (((-121) $ (-763)) NIL)) (-2438 ((|#1| $ (-1143) |#1|) NIL)) (-3963 (($ (-1 (-121) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $) NIL (|has| $ (-6 -4521)))) (-2803 (($ (-1 (-121) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $) NIL (|has| $ (-6 -4521)))) (-2678 (((-3 |#1| "failed") (-1143) $) NIL)) (-4490 (($) NIL T CONST)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1090))))) (-1568 (($ (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) $) NIL (|has| $ (-6 -4521))) (($ (-1 (-121) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $) NIL (|has| $ (-6 -4521))) (((-3 |#1| "failed") (-1143) $) NIL)) (-4330 (($ (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1090)))) (($ (-1 (-121) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $) NIL (|has| $ (-6 -4521)))) (-3094 (((-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $ (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1090)))) (((-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $ (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) NIL (|has| $ (-6 -4521))) (((-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $) NIL (|has| $ (-6 -4521)))) (-1292 ((|#1| $ (-1143) |#1|) NIL (|has| $ (-6 -4522)))) (-2069 ((|#1| $ (-1143)) NIL)) (-3317 (((-634 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $) NIL (|has| $ (-6 -4521))) (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-1143) $) NIL (|has| (-1143) (-842)))) (-4406 (((-634 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $) NIL (|has| $ (-6 -4521))) (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1090)))) (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3631 (((-1143) $) NIL (|has| (-1143) (-842)))) (-2253 (($ (-1 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $) NIL (|has| $ (-6 -4522))) (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $) NIL) (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (-2199 (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1090)) (|has| |#1| (-1090))))) (-4253 (((-634 (-1143)) $) NIL)) (-2807 (((-121) (-1143) $) NIL)) (-2580 (((-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) $) NIL)) (-1708 (($ (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) $) NIL)) (-3948 (((-634 (-1143)) $) NIL)) (-2916 (((-121) (-1143) $) NIL)) (-4025 (((-1108) $) NIL (-2199 (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1090)) (|has| |#1| (-1090))))) (-3877 ((|#1| $) NIL (|has| (-1143) (-842)))) (-2712 (((-3 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) "failed") (-1 (-121) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $) NIL)) (-2490 (($ $ |#1|) NIL (|has| $ (-6 -4522)))) (-3403 (((-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) $) NIL)) (-3951 (((-121) (-1 (-121) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))))) NIL (-12 (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-303 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)))) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1090)))) (($ $ (-288 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)))) NIL (-12 (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-303 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)))) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1090)))) (($ $ (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) NIL (-12 (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-303 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)))) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1090)))) (($ $ (-634 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) (-634 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)))) NIL (-12 (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-303 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)))) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1480 (((-634 |#1|) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#1| $ (-1143)) NIL) ((|#1| $ (-1143) |#1|) NIL)) (-3132 (($) NIL) (($ (-634 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)))) NIL)) (-4170 (((-763) (-1 (-121) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $) NIL (|has| $ (-6 -4521))) (((-763) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1090)))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090)))) (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) NIL (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-609 (-541))))) (-4289 (($ (-634 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)))) NIL)) (-2747 (((-850) $) NIL (-2199 (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1090)) (|has| |#1| (-1090))))) (-4074 (($ (-634 (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)))) NIL)) (-3437 (((-121) (-1 (-121) (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|))) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) NIL (-2199 (|has| (-2 (|:| -3651 (-1143)) (|:| -4085 |#1|)) (-1090)) (|has| |#1| (-1090))))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-1144 |#1|) (-13 (-1172 (-1143) |#1|) (-10 -7 (-6 -4521))) (-1090)) (T -1144)) 
-NIL 
-(-13 (-1172 (-1143) |#1|) (-10 -7 (-6 -4521))) 
-((-3409 (((-1141 |#1|) (-1141 |#1|)) 77)) (-2902 (((-3 (-1141 |#1|) "failed") (-1141 |#1|)) 37)) (-4383 (((-1141 |#1|) (-409 (-568)) (-1141 |#1|)) 117 (|has| |#1| (-43 (-409 (-568)))))) (-2567 (((-1141 |#1|) |#1| (-1141 |#1|)) 121 (|has| |#1| (-365)))) (-1304 (((-1141 |#1|) (-1141 |#1|)) 90)) (-1662 (((-1141 (-568)) (-568)) 57)) (-4393 (((-1141 |#1|) (-1141 (-1141 |#1|))) 108 (|has| |#1| (-43 (-409 (-568)))))) (-4384 (((-1141 |#1|) (-568) (-568) (-1141 |#1|)) 95)) (-2356 (((-1141 |#1|) |#1| (-568)) 45)) (-1330 (((-1141 |#1|) (-1141 |#1|) (-1141 |#1|)) 60)) (-2483 (((-1141 |#1|) (-1141 |#1|) (-1141 |#1|)) 119 (|has| |#1| (-365)))) (-1316 (((-1141 |#1|) |#1| (-1 (-1141 |#1|))) 107 (|has| |#1| (-43 (-409 (-568)))))) (-2606 (((-1141 |#1|) (-1 |#1| (-568)) |#1| (-1 (-1141 |#1|))) 120 (|has| |#1| (-365)))) (-2517 (((-1141 |#1|) (-1141 |#1|)) 89)) (-2101 (((-1141 |#1|) (-1141 |#1|)) 76)) (-1588 (((-1141 |#1|) (-568) (-568) (-1141 |#1|)) 96)) (-1845 (((-1141 |#1|) |#1| (-1141 |#1|)) 105 (|has| |#1| (-43 (-409 (-568)))))) (-2867 (((-1141 (-568)) (-568)) 56)) (-2473 (((-1141 |#1|) |#1|) 59)) (-3638 (((-1141 |#1|) (-1141 |#1|) (-568) (-568)) 92)) (-2694 (((-1141 |#1|) (-1 |#1| (-568)) (-1141 |#1|)) 66)) (-2597 (((-3 (-1141 |#1|) "failed") (-1141 |#1|) (-1141 |#1|)) 35)) (-4109 (((-1141 |#1|) (-1141 |#1|)) 91)) (-1339 (((-1141 |#1|) (-1141 |#1|) |#1|) 71)) (-1375 (((-1141 |#1|) (-1141 |#1|)) 62)) (-2480 (((-1141 |#1|) (-1141 |#1|) (-1141 |#1|)) 72)) (-2747 (((-1141 |#1|) |#1|) 67)) (-2506 (((-1141 |#1|) (-1141 (-1141 |#1|))) 82)) (-1781 (((-1141 |#1|) (-1141 |#1|) (-1141 |#1|)) 36)) (-1775 (((-1141 |#1|) (-1141 |#1|)) 21) (((-1141 |#1|) (-1141 |#1|) (-1141 |#1|)) 23)) (-1769 (((-1141 |#1|) (-1141 |#1|) (-1141 |#1|)) 17)) (* (((-1141 |#1|) (-1141 |#1|) |#1|) 29) (((-1141 |#1|) |#1| (-1141 |#1|)) 26) (((-1141 |#1|) (-1141 |#1|) (-1141 |#1|)) 27))) 
-(((-1145 |#1|) (-10 -7 (-15 -1769 ((-1141 |#1|) (-1141 |#1|) (-1141 |#1|))) (-15 -1775 ((-1141 |#1|) (-1141 |#1|) (-1141 |#1|))) (-15 -1775 ((-1141 |#1|) (-1141 |#1|))) (-15 * ((-1141 |#1|) (-1141 |#1|) (-1141 |#1|))) (-15 * ((-1141 |#1|) |#1| (-1141 |#1|))) (-15 * ((-1141 |#1|) (-1141 |#1|) |#1|)) (-15 -2597 ((-3 (-1141 |#1|) "failed") (-1141 |#1|) (-1141 |#1|))) (-15 -1781 ((-1141 |#1|) (-1141 |#1|) (-1141 |#1|))) (-15 -2902 ((-3 (-1141 |#1|) "failed") (-1141 |#1|))) (-15 -2356 ((-1141 |#1|) |#1| (-568))) (-15 -2867 ((-1141 (-568)) (-568))) (-15 -1662 ((-1141 (-568)) (-568))) (-15 -2473 ((-1141 |#1|) |#1|)) (-15 -1330 ((-1141 |#1|) (-1141 |#1|) (-1141 |#1|))) (-15 -1375 ((-1141 |#1|) (-1141 |#1|))) (-15 -2694 ((-1141 |#1|) (-1 |#1| (-568)) (-1141 |#1|))) (-15 -2747 ((-1141 |#1|) |#1|)) (-15 -1339 ((-1141 |#1|) (-1141 |#1|) |#1|)) (-15 -2480 ((-1141 |#1|) (-1141 |#1|) (-1141 |#1|))) (-15 -2101 ((-1141 |#1|) (-1141 |#1|))) (-15 -3409 ((-1141 |#1|) (-1141 |#1|))) (-15 -2506 ((-1141 |#1|) (-1141 (-1141 |#1|)))) (-15 -2517 ((-1141 |#1|) (-1141 |#1|))) (-15 -1304 ((-1141 |#1|) (-1141 |#1|))) (-15 -4109 ((-1141 |#1|) (-1141 |#1|))) (-15 -3638 ((-1141 |#1|) (-1141 |#1|) (-568) (-568))) (-15 -4384 ((-1141 |#1|) (-568) (-568) (-1141 |#1|))) (-15 -1588 ((-1141 |#1|) (-568) (-568) (-1141 |#1|))) (IF (|has| |#1| (-43 (-409 (-568)))) (PROGN (-15 -1845 ((-1141 |#1|) |#1| (-1141 |#1|))) (-15 -1316 ((-1141 |#1|) |#1| (-1 (-1141 |#1|)))) (-15 -4393 ((-1141 |#1|) (-1141 (-1141 |#1|)))) (-15 -4383 ((-1141 |#1|) (-409 (-568)) (-1141 |#1|)))) |noBranch|) (IF (|has| |#1| (-365)) (PROGN (-15 -2483 ((-1141 |#1|) (-1141 |#1|) (-1141 |#1|))) (-15 -2606 ((-1141 |#1|) (-1 |#1| (-568)) |#1| (-1 (-1141 |#1|)))) (-15 -2567 ((-1141 |#1|) |#1| (-1141 |#1|)))) |noBranch|)) (-1047)) (T -1145)) 
-((-2567 (*1 *2 *3 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-365)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) (-2606 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *4 (-568))) (-5 *5 (-1 (-1141 *4))) (-4 *4 (-365)) (-4 *4 (-1047)) (-5 *2 (-1141 *4)) (-5 *1 (-1145 *4)))) (-2483 (*1 *2 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-365)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) (-4383 (*1 *2 *3 *2) (-12 (-5 *2 (-1141 *4)) (-4 *4 (-43 *3)) (-4 *4 (-1047)) (-5 *3 (-409 (-568))) (-5 *1 (-1145 *4)))) (-4393 (*1 *2 *3) (-12 (-5 *3 (-1141 (-1141 *4))) (-5 *2 (-1141 *4)) (-5 *1 (-1145 *4)) (-4 *4 (-43 (-409 (-568)))) (-4 *4 (-1047)))) (-1316 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-1141 *3))) (-5 *2 (-1141 *3)) (-5 *1 (-1145 *3)) (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047)))) (-1845 (*1 *2 *3 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) (-1588 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-1141 *4)) (-5 *3 (-568)) (-4 *4 (-1047)) (-5 *1 (-1145 *4)))) (-4384 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-1141 *4)) (-5 *3 (-568)) (-4 *4 (-1047)) (-5 *1 (-1145 *4)))) (-3638 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1141 *4)) (-5 *3 (-568)) (-4 *4 (-1047)) (-5 *1 (-1145 *4)))) (-4109 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) (-1304 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) (-2517 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) (-2506 (*1 *2 *3) (-12 (-5 *3 (-1141 (-1141 *4))) (-5 *2 (-1141 *4)) (-5 *1 (-1145 *4)) (-4 *4 (-1047)))) (-3409 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) (-2101 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) (-2480 (*1 *2 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) (-1339 (*1 *2 *2 *3) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) (-2747 (*1 *2 *3) (-12 (-5 *2 (-1141 *3)) (-5 *1 (-1145 *3)) (-4 *3 (-1047)))) (-2694 (*1 *2 *3 *2) (-12 (-5 *2 (-1141 *4)) (-5 *3 (-1 *4 (-568))) (-4 *4 (-1047)) (-5 *1 (-1145 *4)))) (-1375 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) (-1330 (*1 *2 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) (-2473 (*1 *2 *3) (-12 (-5 *2 (-1141 *3)) (-5 *1 (-1145 *3)) (-4 *3 (-1047)))) (-1662 (*1 *2 *3) (-12 (-5 *2 (-1141 (-568))) (-5 *1 (-1145 *4)) (-4 *4 (-1047)) (-5 *3 (-568)))) (-2867 (*1 *2 *3) (-12 (-5 *2 (-1141 (-568))) (-5 *1 (-1145 *4)) (-4 *4 (-1047)) (-5 *3 (-568)))) (-2356 (*1 *2 *3 *4) (-12 (-5 *4 (-568)) (-5 *2 (-1141 *3)) (-5 *1 (-1145 *3)) (-4 *3 (-1047)))) (-2902 (*1 *2 *2) (|partial| -12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) (-1781 (*1 *2 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) (-2597 (*1 *2 *2 *2) (|partial| -12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) (* (*1 *2 *2 *3) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) (* (*1 *2 *3 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) (* (*1 *2 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) (-1775 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) (-1775 (*1 *2 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) (-1769 (*1 *2 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3))))) 
-(-10 -7 (-15 -1769 ((-1141 |#1|) (-1141 |#1|) (-1141 |#1|))) (-15 -1775 ((-1141 |#1|) (-1141 |#1|) (-1141 |#1|))) (-15 -1775 ((-1141 |#1|) (-1141 |#1|))) (-15 * ((-1141 |#1|) (-1141 |#1|) (-1141 |#1|))) (-15 * ((-1141 |#1|) |#1| (-1141 |#1|))) (-15 * ((-1141 |#1|) (-1141 |#1|) |#1|)) (-15 -2597 ((-3 (-1141 |#1|) "failed") (-1141 |#1|) (-1141 |#1|))) (-15 -1781 ((-1141 |#1|) (-1141 |#1|) (-1141 |#1|))) (-15 -2902 ((-3 (-1141 |#1|) "failed") (-1141 |#1|))) (-15 -2356 ((-1141 |#1|) |#1| (-568))) (-15 -2867 ((-1141 (-568)) (-568))) (-15 -1662 ((-1141 (-568)) (-568))) (-15 -2473 ((-1141 |#1|) |#1|)) (-15 -1330 ((-1141 |#1|) (-1141 |#1|) (-1141 |#1|))) (-15 -1375 ((-1141 |#1|) (-1141 |#1|))) (-15 -2694 ((-1141 |#1|) (-1 |#1| (-568)) (-1141 |#1|))) (-15 -2747 ((-1141 |#1|) |#1|)) (-15 -1339 ((-1141 |#1|) (-1141 |#1|) |#1|)) (-15 -2480 ((-1141 |#1|) (-1141 |#1|) (-1141 |#1|))) (-15 -2101 ((-1141 |#1|) (-1141 |#1|))) (-15 -3409 ((-1141 |#1|) (-1141 |#1|))) (-15 -2506 ((-1141 |#1|) (-1141 (-1141 |#1|)))) (-15 -2517 ((-1141 |#1|) (-1141 |#1|))) (-15 -1304 ((-1141 |#1|) (-1141 |#1|))) (-15 -4109 ((-1141 |#1|) (-1141 |#1|))) (-15 -3638 ((-1141 |#1|) (-1141 |#1|) (-568) (-568))) (-15 -4384 ((-1141 |#1|) (-568) (-568) (-1141 |#1|))) (-15 -1588 ((-1141 |#1|) (-568) (-568) (-1141 |#1|))) (IF (|has| |#1| (-43 (-409 (-568)))) (PROGN (-15 -1845 ((-1141 |#1|) |#1| (-1141 |#1|))) (-15 -1316 ((-1141 |#1|) |#1| (-1 (-1141 |#1|)))) (-15 -4393 ((-1141 |#1|) (-1141 (-1141 |#1|)))) (-15 -4383 ((-1141 |#1|) (-409 (-568)) (-1141 |#1|)))) |noBranch|) (IF (|has| |#1| (-365)) (PROGN (-15 -2483 ((-1141 |#1|) (-1141 |#1|) (-1141 |#1|))) (-15 -2606 ((-1141 |#1|) (-1 |#1| (-568)) |#1| (-1 (-1141 |#1|)))) (-15 -2567 ((-1141 |#1|) |#1| (-1141 |#1|)))) |noBranch|)) 
-((-1984 (((-1141 |#1|) (-1141 |#1|)) 57)) (-1935 (((-1141 |#1|) (-1141 |#1|)) 39)) (-1976 (((-1141 |#1|) (-1141 |#1|)) 53)) (-2788 (((-1141 |#1|) (-1141 |#1|)) 35)) (-1992 (((-1141 |#1|) (-1141 |#1|)) 60)) (-1943 (((-1141 |#1|) (-1141 |#1|)) 42)) (-4418 (((-1141 |#1|) (-1141 |#1|)) 31)) (-1894 (((-1141 |#1|) (-1141 |#1|)) 27)) (-1996 (((-1141 |#1|) (-1141 |#1|)) 61)) (-1947 (((-1141 |#1|) (-1141 |#1|)) 43)) (-1988 (((-1141 |#1|) (-1141 |#1|)) 58)) (-1939 (((-1141 |#1|) (-1141 |#1|)) 40)) (-1980 (((-1141 |#1|) (-1141 |#1|)) 55)) (-2792 (((-1141 |#1|) (-1141 |#1|)) 37)) (-2008 (((-1141 |#1|) (-1141 |#1|)) 65)) (-1959 (((-1141 |#1|) (-1141 |#1|)) 47)) (-2000 (((-1141 |#1|) (-1141 |#1|)) 63)) (-1951 (((-1141 |#1|) (-1141 |#1|)) 45)) (-2016 (((-1141 |#1|) (-1141 |#1|)) 68)) (-1968 (((-1141 |#1|) (-1141 |#1|)) 50)) (-1439 (((-1141 |#1|) (-1141 |#1|)) 69)) (-1972 (((-1141 |#1|) (-1141 |#1|)) 51)) (-2012 (((-1141 |#1|) (-1141 |#1|)) 67)) (-1964 (((-1141 |#1|) (-1141 |#1|)) 49)) (-2004 (((-1141 |#1|) (-1141 |#1|)) 66)) (-1955 (((-1141 |#1|) (-1141 |#1|)) 48)) (** (((-1141 |#1|) (-1141 |#1|) (-1141 |#1|)) 33))) 
-(((-1146 |#1|) (-10 -7 (-15 -1894 ((-1141 |#1|) (-1141 |#1|))) (-15 -4418 ((-1141 |#1|) (-1141 |#1|))) (-15 ** ((-1141 |#1|) (-1141 |#1|) (-1141 |#1|))) (-15 -2788 ((-1141 |#1|) (-1141 |#1|))) (-15 -2792 ((-1141 |#1|) (-1141 |#1|))) (-15 -1935 ((-1141 |#1|) (-1141 |#1|))) (-15 -1939 ((-1141 |#1|) (-1141 |#1|))) (-15 -1943 ((-1141 |#1|) (-1141 |#1|))) (-15 -1947 ((-1141 |#1|) (-1141 |#1|))) (-15 -1951 ((-1141 |#1|) (-1141 |#1|))) (-15 -1955 ((-1141 |#1|) (-1141 |#1|))) (-15 -1959 ((-1141 |#1|) (-1141 |#1|))) (-15 -1964 ((-1141 |#1|) (-1141 |#1|))) (-15 -1968 ((-1141 |#1|) (-1141 |#1|))) (-15 -1972 ((-1141 |#1|) (-1141 |#1|))) (-15 -1976 ((-1141 |#1|) (-1141 |#1|))) (-15 -1980 ((-1141 |#1|) (-1141 |#1|))) (-15 -1984 ((-1141 |#1|) (-1141 |#1|))) (-15 -1988 ((-1141 |#1|) (-1141 |#1|))) (-15 -1992 ((-1141 |#1|) (-1141 |#1|))) (-15 -1996 ((-1141 |#1|) (-1141 |#1|))) (-15 -2000 ((-1141 |#1|) (-1141 |#1|))) (-15 -2004 ((-1141 |#1|) (-1141 |#1|))) (-15 -2008 ((-1141 |#1|) (-1141 |#1|))) (-15 -2012 ((-1141 |#1|) (-1141 |#1|))) (-15 -2016 ((-1141 |#1|) (-1141 |#1|))) (-15 -1439 ((-1141 |#1|) (-1141 |#1|)))) (-43 (-409 (-568)))) (T -1146)) 
-((-1439 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) (-2016 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) (-2012 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) (-2008 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) (-2004 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) (-2000 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) (-1996 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) (-1992 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) (-1988 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) (-1984 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) (-1980 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) (-1976 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) (-1972 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) (-1968 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) (-1964 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) (-1959 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) (-1955 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) (-1951 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) (-1947 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) (-1943 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) (-1939 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) (-1935 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) (-2792 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) (-2788 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) (** (*1 *2 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) (-4418 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) (-1894 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3))))) 
-(-10 -7 (-15 -1894 ((-1141 |#1|) (-1141 |#1|))) (-15 -4418 ((-1141 |#1|) (-1141 |#1|))) (-15 ** ((-1141 |#1|) (-1141 |#1|) (-1141 |#1|))) (-15 -2788 ((-1141 |#1|) (-1141 |#1|))) (-15 -2792 ((-1141 |#1|) (-1141 |#1|))) (-15 -1935 ((-1141 |#1|) (-1141 |#1|))) (-15 -1939 ((-1141 |#1|) (-1141 |#1|))) (-15 -1943 ((-1141 |#1|) (-1141 |#1|))) (-15 -1947 ((-1141 |#1|) (-1141 |#1|))) (-15 -1951 ((-1141 |#1|) (-1141 |#1|))) (-15 -1955 ((-1141 |#1|) (-1141 |#1|))) (-15 -1959 ((-1141 |#1|) (-1141 |#1|))) (-15 -1964 ((-1141 |#1|) (-1141 |#1|))) (-15 -1968 ((-1141 |#1|) (-1141 |#1|))) (-15 -1972 ((-1141 |#1|) (-1141 |#1|))) (-15 -1976 ((-1141 |#1|) (-1141 |#1|))) (-15 -1980 ((-1141 |#1|) (-1141 |#1|))) (-15 -1984 ((-1141 |#1|) (-1141 |#1|))) (-15 -1988 ((-1141 |#1|) (-1141 |#1|))) (-15 -1992 ((-1141 |#1|) (-1141 |#1|))) (-15 -1996 ((-1141 |#1|) (-1141 |#1|))) (-15 -2000 ((-1141 |#1|) (-1141 |#1|))) (-15 -2004 ((-1141 |#1|) (-1141 |#1|))) (-15 -2008 ((-1141 |#1|) (-1141 |#1|))) (-15 -2012 ((-1141 |#1|) (-1141 |#1|))) (-15 -2016 ((-1141 |#1|) (-1141 |#1|))) (-15 -1439 ((-1141 |#1|) (-1141 |#1|)))) 
-((-1984 (((-1141 |#1|) (-1141 |#1|)) 100)) (-1935 (((-1141 |#1|) (-1141 |#1|)) 64)) (-3391 (((-2 (|:| -1976 (-1141 |#1|)) (|:| -1980 (-1141 |#1|))) (-1141 |#1|)) 96)) (-1976 (((-1141 |#1|) (-1141 |#1|)) 97)) (-2243 (((-2 (|:| -2788 (-1141 |#1|)) (|:| -2792 (-1141 |#1|))) (-1141 |#1|)) 53)) (-2788 (((-1141 |#1|) (-1141 |#1|)) 54)) (-1992 (((-1141 |#1|) (-1141 |#1|)) 102)) (-1943 (((-1141 |#1|) (-1141 |#1|)) 71)) (-4418 (((-1141 |#1|) (-1141 |#1|)) 39)) (-1894 (((-1141 |#1|) (-1141 |#1|)) 36)) (-1996 (((-1141 |#1|) (-1141 |#1|)) 103)) (-1947 (((-1141 |#1|) (-1141 |#1|)) 72)) (-1988 (((-1141 |#1|) (-1141 |#1|)) 101)) (-1939 (((-1141 |#1|) (-1141 |#1|)) 67)) (-1980 (((-1141 |#1|) (-1141 |#1|)) 98)) (-2792 (((-1141 |#1|) (-1141 |#1|)) 55)) (-2008 (((-1141 |#1|) (-1141 |#1|)) 111)) (-1959 (((-1141 |#1|) (-1141 |#1|)) 86)) (-2000 (((-1141 |#1|) (-1141 |#1|)) 105)) (-1951 (((-1141 |#1|) (-1141 |#1|)) 82)) (-2016 (((-1141 |#1|) (-1141 |#1|)) 115)) (-1968 (((-1141 |#1|) (-1141 |#1|)) 90)) (-1439 (((-1141 |#1|) (-1141 |#1|)) 117)) (-1972 (((-1141 |#1|) (-1141 |#1|)) 92)) (-2012 (((-1141 |#1|) (-1141 |#1|)) 113)) (-1964 (((-1141 |#1|) (-1141 |#1|)) 88)) (-2004 (((-1141 |#1|) (-1141 |#1|)) 107)) (-1955 (((-1141 |#1|) (-1141 |#1|)) 84)) (** (((-1141 |#1|) (-1141 |#1|) (-1141 |#1|)) 40))) 
-(((-1147 |#1|) (-10 -7 (-15 -1894 ((-1141 |#1|) (-1141 |#1|))) (-15 -4418 ((-1141 |#1|) (-1141 |#1|))) (-15 ** ((-1141 |#1|) (-1141 |#1|) (-1141 |#1|))) (-15 -2243 ((-2 (|:| -2788 (-1141 |#1|)) (|:| -2792 (-1141 |#1|))) (-1141 |#1|))) (-15 -2788 ((-1141 |#1|) (-1141 |#1|))) (-15 -2792 ((-1141 |#1|) (-1141 |#1|))) (-15 -1935 ((-1141 |#1|) (-1141 |#1|))) (-15 -1939 ((-1141 |#1|) (-1141 |#1|))) (-15 -1943 ((-1141 |#1|) (-1141 |#1|))) (-15 -1947 ((-1141 |#1|) (-1141 |#1|))) (-15 -1951 ((-1141 |#1|) (-1141 |#1|))) (-15 -1955 ((-1141 |#1|) (-1141 |#1|))) (-15 -1959 ((-1141 |#1|) (-1141 |#1|))) (-15 -1964 ((-1141 |#1|) (-1141 |#1|))) (-15 -1968 ((-1141 |#1|) (-1141 |#1|))) (-15 -1972 ((-1141 |#1|) (-1141 |#1|))) (-15 -3391 ((-2 (|:| -1976 (-1141 |#1|)) (|:| -1980 (-1141 |#1|))) (-1141 |#1|))) (-15 -1976 ((-1141 |#1|) (-1141 |#1|))) (-15 -1980 ((-1141 |#1|) (-1141 |#1|))) (-15 -1984 ((-1141 |#1|) (-1141 |#1|))) (-15 -1988 ((-1141 |#1|) (-1141 |#1|))) (-15 -1992 ((-1141 |#1|) (-1141 |#1|))) (-15 -1996 ((-1141 |#1|) (-1141 |#1|))) (-15 -2000 ((-1141 |#1|) (-1141 |#1|))) (-15 -2004 ((-1141 |#1|) (-1141 |#1|))) (-15 -2008 ((-1141 |#1|) (-1141 |#1|))) (-15 -2012 ((-1141 |#1|) (-1141 |#1|))) (-15 -2016 ((-1141 |#1|) (-1141 |#1|))) (-15 -1439 ((-1141 |#1|) (-1141 |#1|)))) (-43 (-409 (-568)))) (T -1147)) 
-((-1439 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) (-2016 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) (-2012 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) (-2008 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) (-2004 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) (-2000 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) (-1996 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) (-1992 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) (-1988 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) (-1984 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) (-1980 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) (-1976 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) (-3391 (*1 *2 *3) (-12 (-4 *4 (-43 (-409 (-568)))) (-5 *2 (-2 (|:| -1976 (-1141 *4)) (|:| -1980 (-1141 *4)))) (-5 *1 (-1147 *4)) (-5 *3 (-1141 *4)))) (-1972 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) (-1968 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) (-1964 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) (-1959 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) (-1955 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) (-1951 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) (-1947 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) (-1943 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) (-1939 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) (-1935 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) (-2792 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) (-2788 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) (-2243 (*1 *2 *3) (-12 (-4 *4 (-43 (-409 (-568)))) (-5 *2 (-2 (|:| -2788 (-1141 *4)) (|:| -2792 (-1141 *4)))) (-5 *1 (-1147 *4)) (-5 *3 (-1141 *4)))) (** (*1 *2 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) (-4418 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) (-1894 (*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3))))) 
-(-10 -7 (-15 -1894 ((-1141 |#1|) (-1141 |#1|))) (-15 -4418 ((-1141 |#1|) (-1141 |#1|))) (-15 ** ((-1141 |#1|) (-1141 |#1|) (-1141 |#1|))) (-15 -2243 ((-2 (|:| -2788 (-1141 |#1|)) (|:| -2792 (-1141 |#1|))) (-1141 |#1|))) (-15 -2788 ((-1141 |#1|) (-1141 |#1|))) (-15 -2792 ((-1141 |#1|) (-1141 |#1|))) (-15 -1935 ((-1141 |#1|) (-1141 |#1|))) (-15 -1939 ((-1141 |#1|) (-1141 |#1|))) (-15 -1943 ((-1141 |#1|) (-1141 |#1|))) (-15 -1947 ((-1141 |#1|) (-1141 |#1|))) (-15 -1951 ((-1141 |#1|) (-1141 |#1|))) (-15 -1955 ((-1141 |#1|) (-1141 |#1|))) (-15 -1959 ((-1141 |#1|) (-1141 |#1|))) (-15 -1964 ((-1141 |#1|) (-1141 |#1|))) (-15 -1968 ((-1141 |#1|) (-1141 |#1|))) (-15 -1972 ((-1141 |#1|) (-1141 |#1|))) (-15 -3391 ((-2 (|:| -1976 (-1141 |#1|)) (|:| -1980 (-1141 |#1|))) (-1141 |#1|))) (-15 -1976 ((-1141 |#1|) (-1141 |#1|))) (-15 -1980 ((-1141 |#1|) (-1141 |#1|))) (-15 -1984 ((-1141 |#1|) (-1141 |#1|))) (-15 -1988 ((-1141 |#1|) (-1141 |#1|))) (-15 -1992 ((-1141 |#1|) (-1141 |#1|))) (-15 -1996 ((-1141 |#1|) (-1141 |#1|))) (-15 -2000 ((-1141 |#1|) (-1141 |#1|))) (-15 -2004 ((-1141 |#1|) (-1141 |#1|))) (-15 -2008 ((-1141 |#1|) (-1141 |#1|))) (-15 -2012 ((-1141 |#1|) (-1141 |#1|))) (-15 -2016 ((-1141 |#1|) (-1141 |#1|))) (-15 -1439 ((-1141 |#1|) (-1141 |#1|)))) 
-((-4372 (((-958 |#2|) |#2| |#2|) 35)) (-1998 ((|#2| |#2| |#1|) 19 (|has| |#1| (-301))))) 
-(((-1148 |#1| |#2|) (-10 -7 (-15 -4372 ((-958 |#2|) |#2| |#2|)) (IF (|has| |#1| (-301)) (-15 -1998 (|#2| |#2| |#1|)) |noBranch|)) (-558) (-1219 |#1|)) (T -1148)) 
-((-1998 (*1 *2 *2 *3) (-12 (-4 *3 (-301)) (-4 *3 (-558)) (-5 *1 (-1148 *3 *2)) (-4 *2 (-1219 *3)))) (-4372 (*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-958 *3)) (-5 *1 (-1148 *4 *3)) (-4 *3 (-1219 *4))))) 
-(-10 -7 (-15 -4372 ((-958 |#2|) |#2| |#2|)) (IF (|has| |#1| (-301)) (-15 -1998 (|#2| |#2| |#1|)) |noBranch|)) 
-((-2449 (((-121) $ $) NIL)) (-1409 (($ $ (-634 (-763))) 66)) (-3503 (($) 25)) (-3526 (($ $) 41)) (-1448 (((-634 $) $) 50)) (-3616 (((-121) $) 16)) (-3665 (((-634 (-944 |#2|)) $) 73)) (-1916 (($ $) 67)) (-1305 (((-763) $) 36)) (-1851 (($) 24)) (-1393 (($ $ (-634 (-763)) (-944 |#2|)) 59) (($ $ (-634 (-763)) (-763)) 60) (($ $ (-763) (-944 |#2|)) 62)) (-3645 (($ $ $) 47) (($ (-634 $)) 49)) (-2469 (((-763) $) 74)) (-3319 (((-121) $) 15)) (-1893 (((-1143) $) NIL)) (-3841 (((-121) $) 17)) (-4025 (((-1108) $) NIL)) (-1892 (((-171) $) 72)) (-3219 (((-944 |#2|) $) 68)) (-3790 (((-763) $) 69)) (-1597 (((-121) $) 71)) (-2625 (($ $ (-634 (-763)) (-171)) 65)) (-3556 (($ $) 42)) (-2747 (((-850) $) 84)) (-4132 (($ $ (-634 (-763)) (-121)) 64)) (-3180 (((-634 $) $) 11)) (-4267 (($ $ (-763)) 35)) (-2084 (($ $) 31)) (-3879 (($ $ $ (-944 |#2|) (-763)) 55)) (-3902 (($ $ (-944 |#2|)) 54)) (-1816 (($ $ (-634 (-763)) (-944 |#2|)) 53) (($ $ (-634 (-763)) (-763)) 57) (((-763) $ (-944 |#2|)) 58)) (-1719 (((-121) $ $) 78))) 
-(((-1149 |#1| |#2|) (-13 (-1090) (-10 -8 (-15 -3319 ((-121) $)) (-15 -3616 ((-121) $)) (-15 -3841 ((-121) $)) (-15 -1851 ($)) (-15 -3503 ($)) (-15 -2084 ($ $)) (-15 -4267 ($ $ (-763))) (-15 -3180 ((-634 $) $)) (-15 -1305 ((-763) $)) (-15 -3526 ($ $)) (-15 -3556 ($ $)) (-15 -3645 ($ $ $)) (-15 -3645 ($ (-634 $))) (-15 -1448 ((-634 $) $)) (-15 -1816 ($ $ (-634 (-763)) (-944 |#2|))) (-15 -3902 ($ $ (-944 |#2|))) (-15 -3879 ($ $ $ (-944 |#2|) (-763))) (-15 -1393 ($ $ (-634 (-763)) (-944 |#2|))) (-15 -1816 ($ $ (-634 (-763)) (-763))) (-15 -1393 ($ $ (-634 (-763)) (-763))) (-15 -1816 ((-763) $ (-944 |#2|))) (-15 -1393 ($ $ (-763) (-944 |#2|))) (-15 -4132 ($ $ (-634 (-763)) (-121))) (-15 -2625 ($ $ (-634 (-763)) (-171))) (-15 -1409 ($ $ (-634 (-763)))) (-15 -3219 ((-944 |#2|) $)) (-15 -3790 ((-763) $)) (-15 -1597 ((-121) $)) (-15 -1892 ((-171) $)) (-15 -2469 ((-763) $)) (-15 -1916 ($ $)) (-15 -3665 ((-634 (-944 |#2|)) $)))) (-917) (-1047)) (T -1149)) 
-((-3319 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047)))) (-3616 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047)))) (-3841 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047)))) (-1851 (*1 *1) (-12 (-5 *1 (-1149 *2 *3)) (-14 *2 (-917)) (-4 *3 (-1047)))) (-3503 (*1 *1) (-12 (-5 *1 (-1149 *2 *3)) (-14 *2 (-917)) (-4 *3 (-1047)))) (-2084 (*1 *1 *1) (-12 (-5 *1 (-1149 *2 *3)) (-14 *2 (-917)) (-4 *3 (-1047)))) (-4267 (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047)))) (-3180 (*1 *2 *1) (-12 (-5 *2 (-634 (-1149 *3 *4))) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047)))) (-1305 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047)))) (-3526 (*1 *1 *1) (-12 (-5 *1 (-1149 *2 *3)) (-14 *2 (-917)) (-4 *3 (-1047)))) (-3556 (*1 *1 *1) (-12 (-5 *1 (-1149 *2 *3)) (-14 *2 (-917)) (-4 *3 (-1047)))) (-3645 (*1 *1 *1 *1) (-12 (-5 *1 (-1149 *2 *3)) (-14 *2 (-917)) (-4 *3 (-1047)))) (-3645 (*1 *1 *2) (-12 (-5 *2 (-634 (-1149 *3 *4))) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047)))) (-1448 (*1 *2 *1) (-12 (-5 *2 (-634 (-1149 *3 *4))) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047)))) (-1816 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-763))) (-5 *3 (-944 *5)) (-4 *5 (-1047)) (-5 *1 (-1149 *4 *5)) (-14 *4 (-917)))) (-3902 (*1 *1 *1 *2) (-12 (-5 *2 (-944 *4)) (-4 *4 (-1047)) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)))) (-3879 (*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-944 *5)) (-5 *3 (-763)) (-4 *5 (-1047)) (-5 *1 (-1149 *4 *5)) (-14 *4 (-917)))) (-1393 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-763))) (-5 *3 (-944 *5)) (-4 *5 (-1047)) (-5 *1 (-1149 *4 *5)) (-14 *4 (-917)))) (-1816 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-763))) (-5 *3 (-763)) (-5 *1 (-1149 *4 *5)) (-14 *4 (-917)) (-4 *5 (-1047)))) (-1393 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-763))) (-5 *3 (-763)) (-5 *1 (-1149 *4 *5)) (-14 *4 (-917)) (-4 *5 (-1047)))) (-1816 (*1 *2 *1 *3) (-12 (-5 *3 (-944 *5)) (-4 *5 (-1047)) (-5 *2 (-763)) (-5 *1 (-1149 *4 *5)) (-14 *4 (-917)))) (-1393 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-763)) (-5 *3 (-944 *5)) (-4 *5 (-1047)) (-5 *1 (-1149 *4 *5)) (-14 *4 (-917)))) (-4132 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-763))) (-5 *3 (-121)) (-5 *1 (-1149 *4 *5)) (-14 *4 (-917)) (-4 *5 (-1047)))) (-2625 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-763))) (-5 *3 (-171)) (-5 *1 (-1149 *4 *5)) (-14 *4 (-917)) (-4 *5 (-1047)))) (-1409 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-763))) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047)))) (-3219 (*1 *2 *1) (-12 (-5 *2 (-944 *4)) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047)))) (-3790 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047)))) (-1597 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047)))) (-1892 (*1 *2 *1) (-12 (-5 *2 (-171)) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047)))) (-2469 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047)))) (-1916 (*1 *1 *1) (-12 (-5 *1 (-1149 *2 *3)) (-14 *2 (-917)) (-4 *3 (-1047)))) (-3665 (*1 *2 *1) (-12 (-5 *2 (-634 (-944 *4))) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047))))) 
-(-13 (-1090) (-10 -8 (-15 -3319 ((-121) $)) (-15 -3616 ((-121) $)) (-15 -3841 ((-121) $)) (-15 -1851 ($)) (-15 -3503 ($)) (-15 -2084 ($ $)) (-15 -4267 ($ $ (-763))) (-15 -3180 ((-634 $) $)) (-15 -1305 ((-763) $)) (-15 -3526 ($ $)) (-15 -3556 ($ $)) (-15 -3645 ($ $ $)) (-15 -3645 ($ (-634 $))) (-15 -1448 ((-634 $) $)) (-15 -1816 ($ $ (-634 (-763)) (-944 |#2|))) (-15 -3902 ($ $ (-944 |#2|))) (-15 -3879 ($ $ $ (-944 |#2|) (-763))) (-15 -1393 ($ $ (-634 (-763)) (-944 |#2|))) (-15 -1816 ($ $ (-634 (-763)) (-763))) (-15 -1393 ($ $ (-634 (-763)) (-763))) (-15 -1816 ((-763) $ (-944 |#2|))) (-15 -1393 ($ $ (-763) (-944 |#2|))) (-15 -4132 ($ $ (-634 (-763)) (-121))) (-15 -2625 ($ $ (-634 (-763)) (-171))) (-15 -1409 ($ $ (-634 (-763)))) (-15 -3219 ((-944 |#2|) $)) (-15 -3790 ((-763) $)) (-15 -1597 ((-121) $)) (-15 -1892 ((-171) $)) (-15 -2469 ((-763) $)) (-15 -1916 ($ $)) (-15 -3665 ((-634 (-944 |#2|)) $)))) 
-((-2449 (((-121) $ $) NIL)) (-3250 ((|#2| $) 11)) (-2433 ((|#1| $) 10)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-4289 (($ |#1| |#2|) 9)) (-2747 (((-850) $) 16)) (-1719 (((-121) $ $) NIL))) 
-(((-1150 |#1| |#2|) (-13 (-1090) (-10 -8 (-15 -4289 ($ |#1| |#2|)) (-15 -2433 (|#1| $)) (-15 -3250 (|#2| $)))) (-1090) (-1090)) (T -1150)) 
-((-4289 (*1 *1 *2 *3) (-12 (-5 *1 (-1150 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-1090)))) (-2433 (*1 *2 *1) (-12 (-4 *2 (-1090)) (-5 *1 (-1150 *2 *3)) (-4 *3 (-1090)))) (-3250 (*1 *2 *1) (-12 (-4 *2 (-1090)) (-5 *1 (-1150 *3 *2)) (-4 *3 (-1090))))) 
-(-13 (-1090) (-10 -8 (-15 -4289 ($ |#1| |#2|)) (-15 -2433 (|#1| $)) (-15 -3250 (|#2| $)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2563 (((-1159 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-301)) (|has| |#1| (-365))))) (-2057 (((-634 (-1075)) $) NIL)) (-3325 (((-1161) $) 11)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))) (-12 (|has| (-1159 |#1| |#2| |#3|) (-904)) (|has| |#1| (-365))) (|has| |#1| (-558))))) (-3661 (($ $) NIL (-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))) (-12 (|has| (-1159 |#1| |#2| |#3|) (-904)) (|has| |#1| (-365))) (|has| |#1| (-558))))) (-4426 (((-121) $) NIL (-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))) (-12 (|has| (-1159 |#1| |#2| |#3|) (-904)) (|has| |#1| (-365))) (|has| |#1| (-558))))) (-4179 (($ $ (-568)) NIL) (($ $ (-568) (-568)) 66)) (-2013 (((-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $) NIL)) (-3054 (((-1159 |#1| |#2| |#3|) $) 36)) (-1415 (((-3 (-1159 |#1| |#2| |#3|) "failed") $) 29)) (-2067 (((-1159 |#1| |#2| |#3|) $) 30)) (-1984 (($ $) 107 (|has| |#1| (-43 (-409 (-568)))))) (-1935 (($ $) 83 (|has| |#1| (-43 (-409 (-568)))))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-904)) (|has| |#1| (-365))))) (-3045 (($ $) NIL (|has| |#1| (-365)))) (-3498 (((-420 $) $) NIL (|has| |#1| (-365)))) (-1904 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-904)) (|has| |#1| (-365))))) (-2589 (((-121) $ $) NIL (|has| |#1| (-365)))) (-1976 (($ $) 103 (|has| |#1| (-43 (-409 (-568)))))) (-2788 (($ $) 79 (|has| |#1| (-43 (-409 (-568)))))) (-3337 (((-568) $) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))))) (-2512 (($ (-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|)))) NIL)) (-1992 (($ $) 111 (|has| |#1| (-43 (-409 (-568)))))) (-1943 (($ $) 87 (|has| |#1| (-43 (-409 (-568)))))) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-1159 |#1| |#2| |#3|) "failed") $) 31) (((-3 (-1161) "failed") $) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-1037 (-1161))) (|has| |#1| (-365)))) (((-3 (-409 (-568)) "failed") $) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-1037 (-568))) (|has| |#1| (-365)))) (((-3 (-568) "failed") $) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-1037 (-568))) (|has| |#1| (-365))))) (-2857 (((-1159 |#1| |#2| |#3|) $) 131) (((-1161) $) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-1037 (-1161))) (|has| |#1| (-365)))) (((-409 (-568)) $) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-1037 (-568))) (|has| |#1| (-365)))) (((-568) $) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-1037 (-568))) (|has| |#1| (-365))))) (-2232 (($ $) 34) (($ (-568) $) 35)) (-2403 (($ $ $) NIL (|has| |#1| (-365)))) (-2116 (($ $) NIL)) (-1668 (((-679 (-1159 |#1| |#2| |#3|)) (-679 $)) NIL (|has| |#1| (-365))) (((-2 (|:| -2908 (-679 (-1159 |#1| |#2| |#3|))) (|:| |vec| (-1244 (-1159 |#1| |#2| |#3|)))) (-679 $) (-1244 $)) NIL (|has| |#1| (-365))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-630 (-568))) (|has| |#1| (-365)))) (((-679 (-568)) (-679 $)) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-630 (-568))) (|has| |#1| (-365))))) (-2902 (((-3 $ "failed") $) 48)) (-1685 (((-409 (-953 |#1|)) $ (-568)) 65 (|has| |#1| (-558))) (((-409 (-953 |#1|)) $ (-568) (-568)) 67 (|has| |#1| (-558)))) (-1733 (($) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-550)) (|has| |#1| (-365))))) (-2414 (($ $ $) NIL (|has| |#1| (-365)))) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL (|has| |#1| (-365)))) (-2197 (((-121) $) NIL (|has| |#1| (-365)))) (-1436 (((-121) $) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))))) (-1302 (((-121) $) 25)) (-1899 (($) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1519 (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-881 (-568))) (|has| |#1| (-365)))) (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-881 (-381))) (|has| |#1| (-365))))) (-1844 (((-568) $) NIL) (((-568) $ (-568)) 24)) (-1598 (((-121) $) NIL)) (-3539 (($ $) NIL (|has| |#1| (-365)))) (-2319 (((-1159 |#1| |#2| |#3|) $) 38 (|has| |#1| (-365)))) (-1550 (($ $ (-568)) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2214 (((-3 $ "failed") $) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-1136)) (|has| |#1| (-365))))) (-2859 (((-121) $) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))))) (-4168 (($ $ (-917)) NIL)) (-3698 (($ (-1 |#1| (-568)) $) NIL)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-2171 (((-121) $) NIL)) (-2049 (($ |#1| (-568)) 18) (($ $ (-1075) (-568)) NIL) (($ $ (-634 (-1075)) (-634 (-568))) NIL)) (-1732 (($ $ $) NIL (-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))) (-12 (|has| (-1159 |#1| |#2| |#3|) (-842)) (|has| |#1| (-365)))))) (-2047 (($ $ $) NIL (-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))) (-12 (|has| (-1159 |#1| |#2| |#3|) (-842)) (|has| |#1| (-365)))))) (-2797 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-1159 |#1| |#2| |#3|) (-1159 |#1| |#2| |#3|)) $) NIL (|has| |#1| (-365)))) (-4418 (($ $) 72 (|has| |#1| (-43 (-409 (-568)))))) (-2099 (($ $) NIL)) (-2104 ((|#1| $) NIL)) (-2498 (($ (-634 $)) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-365)))) (-2072 (($ (-568) (-1159 |#1| |#2| |#3|)) 33)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL (|has| |#1| (-365)))) (-1845 (($ $) 70 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-1161)) NIL (-2199 (-12 (|has| |#1| (-15 -1845 (|#1| |#1| (-1161)))) (|has| |#1| (-15 -2057 ((-634 (-1161)) |#1|))) (|has| |#1| (-43 (-409 (-568))))) (-12 (|has| |#1| (-29 (-568))) (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-959)) (|has| |#1| (-1181))))) (($ $ (-1240 |#2|)) 71 (|has| |#1| (-43 (-409 (-568)))))) (-4436 (($) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-1136)) (|has| |#1| (-365))) CONST)) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#1| (-365)))) (-2723 (($ (-634 $)) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-365)))) (-1999 (($ $) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-301)) (|has| |#1| (-365))))) (-4115 (((-1159 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-550)) (|has| |#1| (-365))))) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-904)) (|has| |#1| (-365))))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-904)) (|has| |#1| (-365))))) (-3850 (((-420 $) $) NIL (|has| |#1| (-365)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-365))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#1| (-365)))) (-2168 (($ $ (-568)) 145)) (-2597 (((-3 $ "failed") $ $) 49 (-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))) (-12 (|has| (-1159 |#1| |#2| |#3|) (-904)) (|has| |#1| (-365))) (|has| |#1| (-558))))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-1894 (($ $) 73 (|has| |#1| (-43 (-409 (-568)))))) (-1339 (((-1141 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-568))))) (($ $ (-1161) (-1159 |#1| |#2| |#3|)) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-523 (-1161) (-1159 |#1| |#2| |#3|))) (|has| |#1| (-365)))) (($ $ (-634 (-1161)) (-634 (-1159 |#1| |#2| |#3|))) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-523 (-1161) (-1159 |#1| |#2| |#3|))) (|has| |#1| (-365)))) (($ $ (-634 (-288 (-1159 |#1| |#2| |#3|)))) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-303 (-1159 |#1| |#2| |#3|))) (|has| |#1| (-365)))) (($ $ (-288 (-1159 |#1| |#2| |#3|))) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-303 (-1159 |#1| |#2| |#3|))) (|has| |#1| (-365)))) (($ $ (-1159 |#1| |#2| |#3|) (-1159 |#1| |#2| |#3|)) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-303 (-1159 |#1| |#2| |#3|))) (|has| |#1| (-365)))) (($ $ (-634 (-1159 |#1| |#2| |#3|)) (-634 (-1159 |#1| |#2| |#3|))) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-303 (-1159 |#1| |#2| |#3|))) (|has| |#1| (-365))))) (-1466 (((-763) $) NIL (|has| |#1| (-365)))) (-2781 ((|#1| $ (-568)) NIL) (($ $ $) 54 (|has| (-568) (-1102))) (($ $ (-1159 |#1| |#2| |#3|)) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-281 (-1159 |#1| |#2| |#3|) (-1159 |#1| |#2| |#3|))) (|has| |#1| (-365))))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-365)))) (-4191 (($ $ (-1 (-1159 |#1| |#2| |#3|) (-1159 |#1| |#2| |#3|))) NIL (|has| |#1| (-365))) (($ $ (-1 (-1159 |#1| |#2| |#3|) (-1159 |#1| |#2| |#3|)) (-763)) NIL (|has| |#1| (-365))) (($ $ (-1240 |#2|)) 51) (($ $ (-763)) NIL (-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-225)) (|has| |#1| (-365))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $) 50 (-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-225)) (|has| |#1| (-365))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161)))))) (($ $ (-1161) (-763)) NIL (-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161)))))) (($ $ (-634 (-1161))) NIL (-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161)))))) (($ $ (-1161)) NIL (-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161))))))) (-3210 (($ $) NIL (|has| |#1| (-365)))) (-2326 (((-1159 |#1| |#2| |#3|) $) 41 (|has| |#1| (-365)))) (-1836 (((-568) $) 37)) (-1996 (($ $) 113 (|has| |#1| (-43 (-409 (-568)))))) (-1947 (($ $) 89 (|has| |#1| (-43 (-409 (-568)))))) (-1988 (($ $) 109 (|has| |#1| (-43 (-409 (-568)))))) (-1939 (($ $) 85 (|has| |#1| (-43 (-409 (-568)))))) (-1980 (($ $) 105 (|has| |#1| (-43 (-409 (-568)))))) (-2792 (($ $) 81 (|has| |#1| (-43 (-409 (-568)))))) (-4280 (((-541) $) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-609 (-541))) (|has| |#1| (-365)))) (((-381) $) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-1021)) (|has| |#1| (-365)))) (((-215) $) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-1021)) (|has| |#1| (-365)))) (((-887 (-381)) $) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-609 (-887 (-381)))) (|has| |#1| (-365)))) (((-887 (-568)) $) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-609 (-887 (-568)))) (|has| |#1| (-365))))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-12 (|has| $ (-148)) (|has| (-1159 |#1| |#2| |#3|) (-904)) (|has| |#1| (-365))))) (-2188 (($ $) NIL)) (-2747 (((-850) $) 149) (($ (-568)) NIL) (($ |#1|) NIL (|has| |#1| (-172))) (($ (-1159 |#1| |#2| |#3|)) 27) (($ (-1240 |#2|)) 23) (($ (-1161)) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-1037 (-1161))) (|has| |#1| (-365)))) (($ $) NIL (-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))) (-12 (|has| (-1159 |#1| |#2| |#3|) (-904)) (|has| |#1| (-365))) (|has| |#1| (-558)))) (($ (-409 (-568))) NIL (-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-1037 (-568))) (|has| |#1| (-365))) (|has| |#1| (-43 (-409 (-568))))))) (-2079 ((|#1| $ (-568)) 68)) (-3385 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| (-1159 |#1| |#2| |#3|) (-904)) (|has| |#1| (-365))) (-12 (|has| (-1159 |#1| |#2| |#3|) (-148)) (|has| |#1| (-365))) (|has| |#1| (-148))))) (-3425 (((-763)) NIL)) (-1374 ((|#1| $) 12)) (-3520 (((-1159 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-550)) (|has| |#1| (-365))))) (-2008 (($ $) 119 (|has| |#1| (-43 (-409 (-568)))))) (-1959 (($ $) 95 (|has| |#1| (-43 (-409 (-568)))))) (-2273 (((-121) $ $) NIL (-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))) (-12 (|has| (-1159 |#1| |#2| |#3|) (-904)) (|has| |#1| (-365))) (|has| |#1| (-558))))) (-2000 (($ $) 115 (|has| |#1| (-43 (-409 (-568)))))) (-1951 (($ $) 91 (|has| |#1| (-43 (-409 (-568)))))) (-2016 (($ $) 123 (|has| |#1| (-43 (-409 (-568)))))) (-1968 (($ $) 99 (|has| |#1| (-43 (-409 (-568)))))) (-3999 ((|#1| $ (-568)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-568)))) (|has| |#1| (-15 -2747 (|#1| (-1161))))))) (-1439 (($ $) 125 (|has| |#1| (-43 (-409 (-568)))))) (-1972 (($ $) 101 (|has| |#1| (-43 (-409 (-568)))))) (-2012 (($ $) 121 (|has| |#1| (-43 (-409 (-568)))))) (-1964 (($ $) 97 (|has| |#1| (-43 (-409 (-568)))))) (-2004 (($ $) 117 (|has| |#1| (-43 (-409 (-568)))))) (-1955 (($ $) 93 (|has| |#1| (-43 (-409 (-568)))))) (-2811 (($ $) NIL (-12 (|has| (-1159 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| |#1| (-365)))) (-3058 (($) 20 T CONST)) (-1557 (($) 16 T CONST)) (-3192 (($ $ (-1 (-1159 |#1| |#2| |#3|) (-1159 |#1| |#2| |#3|))) NIL (|has| |#1| (-365))) (($ $ (-1 (-1159 |#1| |#2| |#3|) (-1159 |#1| |#2| |#3|)) (-763)) NIL (|has| |#1| (-365))) (($ $ (-763)) NIL (-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-225)) (|has| |#1| (-365))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $) NIL (-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-225)) (|has| |#1| (-365))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161)))))) (($ $ (-1161) (-763)) NIL (-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161)))))) (($ $ (-634 (-1161))) NIL (-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161)))))) (($ $ (-1161)) NIL (-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161))))))) (-1753 (((-121) $ $) NIL (-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))) (-12 (|has| (-1159 |#1| |#2| |#3|) (-842)) (|has| |#1| (-365)))))) (-1740 (((-121) $ $) NIL (-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))) (-12 (|has| (-1159 |#1| |#2| |#3|) (-842)) (|has| |#1| (-365)))))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))) (-12 (|has| (-1159 |#1| |#2| |#3|) (-842)) (|has| |#1| (-365)))))) (-1734 (((-121) $ $) NIL (-2199 (-12 (|has| (-1159 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))) (-12 (|has| (-1159 |#1| |#2| |#3|) (-842)) (|has| |#1| (-365)))))) (-1781 (($ $ |#1|) NIL (|has| |#1| (-365))) (($ $ $) 44 (|has| |#1| (-365))) (($ (-1159 |#1| |#2| |#3|) (-1159 |#1| |#2| |#3|)) 45 (|has| |#1| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) 21)) (** (($ $ (-917)) NIL) (($ $ (-763)) 53) (($ $ (-568)) NIL (|has| |#1| (-365))) (($ $ $) 74 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) 128 (|has| |#1| (-43 (-409 (-568)))))) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 32) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ (-1159 |#1| |#2| |#3|)) 43 (|has| |#1| (-365))) (($ (-1159 |#1| |#2| |#3|) $) 42 (|has| |#1| (-365))) (($ (-409 (-568)) $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))))) 
-(((-1151 |#1| |#2| |#3|) (-13 (-1205 |#1| (-1159 |#1| |#2| |#3|)) (-10 -8 (-15 -2747 ($ (-1240 |#2|))) (-15 -4191 ($ $ (-1240 |#2|))) (IF (|has| |#1| (-43 (-409 (-568)))) (-15 -1845 ($ $ (-1240 |#2|))) |noBranch|))) (-1047) (-1161) |#1|) (T -1151)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1151 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) (-4191 (*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1151 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) (-1845 (*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1151 *3 *4 *5)) (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047)) (-14 *5 *3)))) 
-(-13 (-1205 |#1| (-1159 |#1| |#2| |#3|)) (-10 -8 (-15 -2747 ($ (-1240 |#2|))) (-15 -4191 ($ $ (-1240 |#2|))) (IF (|has| |#1| (-43 (-409 (-568)))) (-15 -1845 ($ $ (-1240 |#2|))) |noBranch|))) 
-((-2630 ((|#2| |#2| (-1082 |#2|)) 26) ((|#2| |#2| (-1161)) 28))) 
-(((-1152 |#1| |#2|) (-10 -7 (-15 -2630 (|#2| |#2| (-1161))) (-15 -2630 (|#2| |#2| (-1082 |#2|)))) (-13 (-558) (-842) (-1037 (-568)) (-630 (-568))) (-13 (-432 |#1|) (-161) (-27) (-1181))) (T -1152)) 
-((-2630 (*1 *2 *2 *3) (-12 (-5 *3 (-1082 *2)) (-4 *2 (-13 (-432 *4) (-161) (-27) (-1181))) (-4 *4 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-1152 *4 *2)))) (-2630 (*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-1152 *4 *2)) (-4 *2 (-13 (-432 *4) (-161) (-27) (-1181)))))) 
-(-10 -7 (-15 -2630 (|#2| |#2| (-1161))) (-15 -2630 (|#2| |#2| (-1082 |#2|)))) 
-((-2630 (((-3 (-409 (-953 |#1|)) (-310 |#1|)) (-409 (-953 |#1|)) (-1082 (-409 (-953 |#1|)))) 30) (((-409 (-953 |#1|)) (-953 |#1|) (-1082 (-953 |#1|))) 44) (((-3 (-409 (-953 |#1|)) (-310 |#1|)) (-409 (-953 |#1|)) (-1161)) 32) (((-409 (-953 |#1|)) (-953 |#1|) (-1161)) 36))) 
-(((-1153 |#1|) (-10 -7 (-15 -2630 ((-409 (-953 |#1|)) (-953 |#1|) (-1161))) (-15 -2630 ((-3 (-409 (-953 |#1|)) (-310 |#1|)) (-409 (-953 |#1|)) (-1161))) (-15 -2630 ((-409 (-953 |#1|)) (-953 |#1|) (-1082 (-953 |#1|)))) (-15 -2630 ((-3 (-409 (-953 |#1|)) (-310 |#1|)) (-409 (-953 |#1|)) (-1082 (-409 (-953 |#1|)))))) (-13 (-558) (-842) (-1037 (-568)))) (T -1153)) 
-((-2630 (*1 *2 *3 *4) (-12 (-5 *4 (-1082 (-409 (-953 *5)))) (-5 *3 (-409 (-953 *5))) (-4 *5 (-13 (-558) (-842) (-1037 (-568)))) (-5 *2 (-3 *3 (-310 *5))) (-5 *1 (-1153 *5)))) (-2630 (*1 *2 *3 *4) (-12 (-5 *4 (-1082 (-953 *5))) (-5 *3 (-953 *5)) (-4 *5 (-13 (-558) (-842) (-1037 (-568)))) (-5 *2 (-409 *3)) (-5 *1 (-1153 *5)))) (-2630 (*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-13 (-558) (-842) (-1037 (-568)))) (-5 *2 (-3 (-409 (-953 *5)) (-310 *5))) (-5 *1 (-1153 *5)) (-5 *3 (-409 (-953 *5))))) (-2630 (*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-13 (-558) (-842) (-1037 (-568)))) (-5 *2 (-409 (-953 *5))) (-5 *1 (-1153 *5)) (-5 *3 (-953 *5))))) 
-(-10 -7 (-15 -2630 ((-409 (-953 |#1|)) (-953 |#1|) (-1161))) (-15 -2630 ((-3 (-409 (-953 |#1|)) (-310 |#1|)) (-409 (-953 |#1|)) (-1161))) (-15 -2630 ((-409 (-953 |#1|)) (-953 |#1|) (-1082 (-953 |#1|)))) (-15 -2630 ((-3 (-409 (-953 |#1|)) (-310 |#1|)) (-409 (-953 |#1|)) (-1082 (-409 (-953 |#1|)))))) 
-((-2797 (((-1157 |#2|) (-1 |#2| |#1|) (-1157 |#1|)) 13))) 
-(((-1154 |#1| |#2|) (-10 -7 (-15 -2797 ((-1157 |#2|) (-1 |#2| |#1|) (-1157 |#1|)))) (-1047) (-1047)) (T -1154)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1157 *5)) (-4 *5 (-1047)) (-4 *6 (-1047)) (-5 *2 (-1157 *6)) (-5 *1 (-1154 *5 *6))))) 
-(-10 -7 (-15 -2797 ((-1157 |#2|) (-1 |#2| |#1|) (-1157 |#1|)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-1969 (((-1244 |#1|) $ (-763)) NIL)) (-2057 (((-634 (-1075)) $) NIL)) (-1807 (($ (-1157 |#1|)) NIL)) (-3840 (((-1157 $) $ (-1075)) NIL) (((-1157 |#1|) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#1| (-558)))) (-3661 (($ $) NIL (|has| |#1| (-558)))) (-4426 (((-121) $) NIL (|has| |#1| (-558)))) (-3528 (((-763) $) NIL) (((-763) $ (-634 (-1075))) NIL)) (-1984 (($ $) NIL (|has| |#1| (-1181)))) (-1935 (($ $) NIL (|has| |#1| (-1181)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-1736 (($ $ $) NIL (|has| |#1| (-558)))) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-3045 (($ $) NIL (|has| |#1| (-453)))) (-3498 (((-420 $) $) NIL (|has| |#1| (-453)))) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-2589 (((-121) $ $) NIL (|has| |#1| (-365)))) (-1976 (($ $) NIL (|has| |#1| (-1181)))) (-2788 (($ $) 22 (|has| |#1| (-1181)))) (-2752 (($ $ (-763)) NIL)) (-2699 (($ $ (-763)) NIL)) (-1448 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-453)))) (-1992 (($ $) NIL (|has| |#1| (-1181)))) (-1943 (($ $) NIL (|has| |#1| (-1181)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#1| "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-3 (-568) "failed") $) NIL (|has| |#1| (-1037 (-568)))) (((-3 (-1075) "failed") $) NIL)) (-2857 ((|#1| $) NIL) (((-409 (-568)) $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-568) $) NIL (|has| |#1| (-1037 (-568)))) (((-1075) $) NIL)) (-2910 (($ $ $ (-1075)) NIL (|has| |#1| (-172))) ((|#1| $ $) NIL (|has| |#1| (-172)))) (-2403 (($ $ $) NIL (|has| |#1| (-365)))) (-2116 (($ $) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 |#1|))) (-679 $) (-1244 $)) NIL) (((-679 |#1|) (-679 $)) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-2414 (($ $ $) NIL (|has| |#1| (-365)))) (-3152 (($ $ $) NIL)) (-2929 (($ $ $) NIL (|has| |#1| (-558)))) (-3777 (((-2 (|:| -2350 |#1|) (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-558)))) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL (|has| |#1| (-365)))) (-1998 (($ $) NIL (|has| |#1| (-453))) (($ $ (-1075)) NIL (|has| |#1| (-453)))) (-2110 (((-634 $) $) NIL)) (-2197 (((-121) $) NIL (|has| |#1| (-904)))) (-2453 (($ $ |#1| (-763) $) NIL)) (-1899 (($) NIL (|has| |#1| (-1181)))) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (-12 (|has| (-1075) (-881 (-381))) (|has| |#1| (-881 (-381))))) (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (-12 (|has| (-1075) (-881 (-568))) (|has| |#1| (-881 (-568)))))) (-1844 (((-763) $ $) NIL (|has| |#1| (-558)))) (-1598 (((-121) $) NIL)) (-3971 (((-763) $) NIL)) (-2214 (((-3 $ "failed") $) NIL (|has| |#1| (-1136)))) (-2053 (($ (-1157 |#1|) (-1075)) NIL) (($ (-1157 $) (-1075)) NIL)) (-4168 (($ $ (-763)) NIL)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-3062 (((-634 $) $) NIL)) (-2171 (((-121) $) NIL)) (-2049 (($ |#1| (-763)) NIL) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL)) (-1438 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $ (-1075)) NIL) (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-3524 (((-763) $) NIL) (((-763) $ (-1075)) NIL) (((-634 (-763)) $ (-634 (-1075))) NIL)) (-1732 (($ $ $) NIL (|has| |#1| (-842)))) (-2047 (($ $ $) NIL (|has| |#1| (-842)))) (-1865 (($ (-1 (-763) (-763)) $) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-2671 (((-1157 |#1|) $) NIL)) (-2817 (((-3 (-1075) "failed") $) NIL)) (-4418 (($ $) 18 (|has| |#1| (-1181)))) (-2099 (($ $) NIL)) (-2104 ((|#1| $) NIL)) (-2498 (($ (-634 $)) NIL (|has| |#1| (-453))) (($ $ $) NIL (|has| |#1| (-453)))) (-1893 (((-1143) $) NIL)) (-3262 (((-2 (|:| -4409 $) (|:| -2607 $)) $ (-763)) NIL)) (-4362 (((-3 (-634 $) "failed") $) NIL)) (-2112 (((-3 (-634 $) "failed") $) NIL)) (-2617 (((-3 (-2 (|:| |var| (-1075)) (|:| -3483 (-763))) "failed") $) NIL)) (-1845 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4436 (($) NIL (|has| |#1| (-1136)) CONST)) (-4025 (((-1108) $) NIL)) (-2088 (((-121) $) 8)) (-2093 ((|#1| $) 9)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#1| (-453)))) (-2723 (($ (-634 $)) NIL (|has| |#1| (-453))) (($ $ $) NIL (|has| |#1| (-453)))) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#1| (-904)))) (-3850 (((-420 $) $) NIL (|has| |#1| (-904)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-365))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#1| (-365)))) (-2597 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-558))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-558)))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-1894 (($ $) 20 (|has| |#1| (-1181)))) (-1339 (($ $ (-634 (-288 $))) NIL) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL) (($ $ (-1075) |#1|) NIL) (($ $ (-634 (-1075)) (-634 |#1|)) NIL) (($ $ (-1075) $) NIL) (($ $ (-634 (-1075)) (-634 $)) NIL)) (-1466 (((-763) $) NIL (|has| |#1| (-365)))) (-2781 ((|#1| $ |#1|) NIL) (($ $ $) NIL) (((-409 $) (-409 $) (-409 $)) NIL (|has| |#1| (-558))) ((|#1| (-409 $) |#1|) NIL (|has| |#1| (-365))) (((-409 $) $ (-409 $)) NIL (|has| |#1| (-558)))) (-3805 (((-3 $ "failed") $ (-763)) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-365)))) (-3440 (($ $ (-1075)) NIL (|has| |#1| (-172))) ((|#1| $) NIL (|has| |#1| (-172)))) (-4191 (($ $ (-1075)) NIL) (($ $ (-634 (-1075))) NIL) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL) (($ $ (-763)) NIL) (($ $) NIL) (($ $ (-1161)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-1836 (((-763) $) NIL) (((-763) $ (-1075)) NIL) (((-634 (-763)) $ (-634 (-1075))) NIL)) (-1996 (($ $) NIL (|has| |#1| (-1181)))) (-1947 (($ $) NIL (|has| |#1| (-1181)))) (-1988 (($ $) NIL (|has| |#1| (-1181)))) (-1939 (($ $) NIL (|has| |#1| (-1181)))) (-1980 (($ $) NIL (|has| |#1| (-1181)))) (-2792 (($ $) 26 (|has| |#1| (-1181)))) (-4280 (((-887 (-381)) $) NIL (-12 (|has| (-1075) (-609 (-887 (-381)))) (|has| |#1| (-609 (-887 (-381)))))) (((-887 (-568)) $) NIL (-12 (|has| (-1075) (-609 (-887 (-568)))) (|has| |#1| (-609 (-887 (-568)))))) (((-541) $) NIL (-12 (|has| (-1075) (-609 (-541))) (|has| |#1| (-609 (-541)))))) (-1364 ((|#1| $) NIL (|has| |#1| (-453))) (($ $ (-1075)) NIL (|has| |#1| (-453)))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-12 (|has| $ (-148)) (|has| |#1| (-904))))) (-4363 (((-3 $ "failed") $ $) NIL (|has| |#1| (-558))) (((-3 (-409 $) "failed") (-409 $) $) NIL (|has| |#1| (-558)))) (-2747 (((-850) $) 13) (($ (-568)) NIL) (($ |#1|) 11) (($ (-1075)) NIL) (($ (-409 (-568))) NIL (-2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-1037 (-409 (-568)))))) (($ $) NIL (|has| |#1| (-558)))) (-3304 (((-634 |#1|) $) NIL)) (-2079 ((|#1| $ (-763)) NIL) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL)) (-3385 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| |#1| (-904))) (|has| |#1| (-148))))) (-3425 (((-763)) NIL)) (-3925 (($ $ $ (-763)) NIL (|has| |#1| (-172)))) (-2008 (($ $) NIL (|has| |#1| (-1181)))) (-1959 (($ $) NIL (|has| |#1| (-1181)))) (-2273 (((-121) $ $) NIL (|has| |#1| (-558)))) (-2000 (($ $) NIL (|has| |#1| (-1181)))) (-1951 (($ $) 24 (|has| |#1| (-1181)))) (-2016 (($ $) NIL (|has| |#1| (-1181)))) (-1968 (($ $) NIL (|has| |#1| (-1181)))) (-1439 (($ $) NIL (|has| |#1| (-1181)))) (-1972 (($ $) NIL (|has| |#1| (-1181)))) (-2012 (($ $) NIL (|has| |#1| (-1181)))) (-1964 (($ $) NIL (|has| |#1| (-1181)))) (-2004 (($ $) NIL (|has| |#1| (-1181)))) (-1955 (($ $) 28 (|has| |#1| (-1181)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($ $ (-1075)) NIL) (($ $ (-634 (-1075))) NIL) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL) (($ $ (-763)) NIL) (($ $) NIL) (($ $ (-1161)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1753 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1781 (($ $ |#1|) NIL (|has| |#1| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ $) NIL (|has| |#1| (-1181)))) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))) (($ (-409 (-568)) $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-1155 |#1|) (-13 (-1219 |#1|) (-10 -7 (IF (|has| |#1| (-1181)) (-6 (-1181)) |noBranch|))) (-1047)) (T -1155)) 
-NIL 
-(-13 (-1219 |#1|) (-10 -7 (IF (|has| |#1| (-1181)) (-6 (-1181)) |noBranch|))) 
-((-3498 (((-420 (-1157 (-409 |#4|))) (-1157 (-409 |#4|))) 50)) (-3850 (((-420 (-1157 (-409 |#4|))) (-1157 (-409 |#4|))) 51))) 
-(((-1156 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3850 ((-420 (-1157 (-409 |#4|))) (-1157 (-409 |#4|)))) (-15 -3498 ((-420 (-1157 (-409 |#4|))) (-1157 (-409 |#4|))))) (-788) (-842) (-453) (-950 |#3| |#1| |#2|)) (T -1156)) 
-((-3498 (*1 *2 *3) (-12 (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-453)) (-4 *7 (-950 *6 *4 *5)) (-5 *2 (-420 (-1157 (-409 *7)))) (-5 *1 (-1156 *4 *5 *6 *7)) (-5 *3 (-1157 (-409 *7))))) (-3850 (*1 *2 *3) (-12 (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-453)) (-4 *7 (-950 *6 *4 *5)) (-5 *2 (-420 (-1157 (-409 *7)))) (-5 *1 (-1156 *4 *5 *6 *7)) (-5 *3 (-1157 (-409 *7)))))) 
-(-10 -7 (-15 -3850 ((-420 (-1157 (-409 |#4|))) (-1157 (-409 |#4|)))) (-15 -3498 ((-420 (-1157 (-409 |#4|))) (-1157 (-409 |#4|))))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 30)) (-1969 (((-1244 |#1|) $ (-763)) NIL)) (-2057 (((-634 (-1075)) $) NIL)) (-1807 (($ (-1157 |#1|)) NIL)) (-3840 (((-1157 $) $ (-1075)) 59) (((-1157 |#1|) $) 48)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#1| (-558)))) (-3661 (($ $) 132 (|has| |#1| (-558)))) (-4426 (((-121) $) NIL (|has| |#1| (-558)))) (-3528 (((-763) $) NIL) (((-763) $ (-634 (-1075))) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-1736 (($ $ $) 126 (|has| |#1| (-558)))) (-3863 (((-420 (-1157 $)) (-1157 $)) 72 (|has| |#1| (-904)))) (-3045 (($ $) NIL (|has| |#1| (-453)))) (-3498 (((-420 $) $) NIL (|has| |#1| (-453)))) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) 92 (|has| |#1| (-904)))) (-2589 (((-121) $ $) NIL (|has| |#1| (-365)))) (-2752 (($ $ (-763)) 42)) (-2699 (($ $ (-763)) 43)) (-1448 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-453)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#1| "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-3 (-568) "failed") $) NIL (|has| |#1| (-1037 (-568)))) (((-3 (-1075) "failed") $) NIL)) (-2857 ((|#1| $) NIL) (((-409 (-568)) $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-568) $) NIL (|has| |#1| (-1037 (-568)))) (((-1075) $) NIL)) (-2910 (($ $ $ (-1075)) NIL (|has| |#1| (-172))) ((|#1| $ $) 128 (|has| |#1| (-172)))) (-2403 (($ $ $) NIL (|has| |#1| (-365)))) (-2116 (($ $) 57)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 |#1|))) (-679 $) (-1244 $)) NIL) (((-679 |#1|) (-679 $)) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-2414 (($ $ $) NIL (|has| |#1| (-365)))) (-3152 (($ $ $) 104)) (-2929 (($ $ $) NIL (|has| |#1| (-558)))) (-3777 (((-2 (|:| -2350 |#1|) (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-558)))) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL (|has| |#1| (-365)))) (-1998 (($ $) 133 (|has| |#1| (-453))) (($ $ (-1075)) NIL (|has| |#1| (-453)))) (-2110 (((-634 $) $) NIL)) (-2197 (((-121) $) NIL (|has| |#1| (-904)))) (-2453 (($ $ |#1| (-763) $) 46)) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (-12 (|has| (-1075) (-881 (-381))) (|has| |#1| (-881 (-381))))) (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (-12 (|has| (-1075) (-881 (-568))) (|has| |#1| (-881 (-568)))))) (-2276 (((-850) $ (-850)) 117)) (-1844 (((-763) $ $) NIL (|has| |#1| (-558)))) (-1598 (((-121) $) 32)) (-3971 (((-763) $) NIL)) (-2214 (((-3 $ "failed") $) NIL (|has| |#1| (-1136)))) (-2053 (($ (-1157 |#1|) (-1075)) 50) (($ (-1157 $) (-1075)) 66)) (-4168 (($ $ (-763)) 34)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-3062 (((-634 $) $) NIL)) (-2171 (((-121) $) NIL)) (-2049 (($ |#1| (-763)) 64) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL)) (-1438 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $ (-1075)) NIL) (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 121)) (-3524 (((-763) $) NIL) (((-763) $ (-1075)) NIL) (((-634 (-763)) $ (-634 (-1075))) NIL)) (-1732 (($ $ $) NIL (|has| |#1| (-842)))) (-2047 (($ $ $) NIL (|has| |#1| (-842)))) (-1865 (($ (-1 (-763) (-763)) $) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-2671 (((-1157 |#1|) $) NIL)) (-2817 (((-3 (-1075) "failed") $) NIL)) (-2099 (($ $) NIL)) (-2104 ((|#1| $) 53)) (-2498 (($ (-634 $)) NIL (|has| |#1| (-453))) (($ $ $) NIL (|has| |#1| (-453)))) (-1893 (((-1143) $) NIL)) (-3262 (((-2 (|:| -4409 $) (|:| -2607 $)) $ (-763)) 41)) (-4362 (((-3 (-634 $) "failed") $) NIL)) (-2112 (((-3 (-634 $) "failed") $) NIL)) (-2617 (((-3 (-2 (|:| |var| (-1075)) (|:| -3483 (-763))) "failed") $) NIL)) (-1845 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4436 (($) NIL (|has| |#1| (-1136)) CONST)) (-4025 (((-1108) $) NIL)) (-2088 (((-121) $) 33)) (-2093 ((|#1| $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 80 (|has| |#1| (-453)))) (-2723 (($ (-634 $)) NIL (|has| |#1| (-453))) (($ $ $) 135 (|has| |#1| (-453)))) (-2973 (($ $ (-763) |#1| $) 99)) (-2841 (((-420 (-1157 $)) (-1157 $)) 78 (|has| |#1| (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) 77 (|has| |#1| (-904)))) (-3850 (((-420 $) $) 85 (|has| |#1| (-904)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-365))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#1| (-365)))) (-2597 (((-3 $ "failed") $ |#1|) 131 (|has| |#1| (-558))) (((-3 $ "failed") $ $) 100 (|has| |#1| (-558)))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-1339 (($ $ (-634 (-288 $))) NIL) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL) (($ $ (-1075) |#1|) NIL) (($ $ (-634 (-1075)) (-634 |#1|)) NIL) (($ $ (-1075) $) NIL) (($ $ (-634 (-1075)) (-634 $)) NIL)) (-1466 (((-763) $) NIL (|has| |#1| (-365)))) (-2781 ((|#1| $ |#1|) 119) (($ $ $) 120) (((-409 $) (-409 $) (-409 $)) NIL (|has| |#1| (-558))) ((|#1| (-409 $) |#1|) NIL (|has| |#1| (-365))) (((-409 $) $ (-409 $)) NIL (|has| |#1| (-558)))) (-3805 (((-3 $ "failed") $ (-763)) 37)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 137 (|has| |#1| (-365)))) (-3440 (($ $ (-1075)) NIL (|has| |#1| (-172))) ((|#1| $) 124 (|has| |#1| (-172)))) (-4191 (($ $ (-1075)) NIL) (($ $ (-634 (-1075))) NIL) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL) (($ $ (-763)) NIL) (($ $) NIL) (($ $ (-1161)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-1836 (((-763) $) 55) (((-763) $ (-1075)) NIL) (((-634 (-763)) $ (-634 (-1075))) NIL)) (-4280 (((-887 (-381)) $) NIL (-12 (|has| (-1075) (-609 (-887 (-381)))) (|has| |#1| (-609 (-887 (-381)))))) (((-887 (-568)) $) NIL (-12 (|has| (-1075) (-609 (-887 (-568)))) (|has| |#1| (-609 (-887 (-568)))))) (((-541) $) NIL (-12 (|has| (-1075) (-609 (-541))) (|has| |#1| (-609 (-541)))))) (-1364 ((|#1| $) 130 (|has| |#1| (-453))) (($ $ (-1075)) NIL (|has| |#1| (-453)))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-12 (|has| $ (-148)) (|has| |#1| (-904))))) (-4363 (((-3 $ "failed") $ $) NIL (|has| |#1| (-558))) (((-3 (-409 $) "failed") (-409 $) $) NIL (|has| |#1| (-558)))) (-2747 (((-850) $) 118) (($ (-568)) NIL) (($ |#1|) 54) (($ (-1075)) NIL) (($ (-409 (-568))) NIL (-2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-1037 (-409 (-568)))))) (($ $) NIL (|has| |#1| (-558)))) (-3304 (((-634 |#1|) $) NIL)) (-2079 ((|#1| $ (-763)) NIL) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL)) (-3385 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| |#1| (-904))) (|has| |#1| (-148))))) (-3425 (((-763)) NIL)) (-3925 (($ $ $ (-763)) 28 (|has| |#1| (-172)))) (-2273 (((-121) $ $) NIL (|has| |#1| (-558)))) (-1889 (($ $ (-917)) 15) (($ $ (-763)) 16)) (-3058 (($) 17 T CONST)) (-1557 (($) 18 T CONST)) (-3192 (($ $ (-1075)) NIL) (($ $ (-634 (-1075))) NIL) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL) (($ $ (-763)) NIL) (($ $) NIL) (($ $ (-1161)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1753 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1719 (((-121) $ $) 97)) (-1747 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1781 (($ $ |#1|) 138 (|has| |#1| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) 67)) (** (($ $ (-917)) 14) (($ $ (-763)) 12)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 27) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))) (($ (-409 (-568)) $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ |#1| $) 102) (($ $ |#1|) NIL))) 
-(((-1157 |#1|) (-13 (-1219 |#1|) (-10 -8 (-15 -2276 ((-850) $ (-850))) (-15 -2973 ($ $ (-763) |#1| $)))) (-1047)) (T -1157)) 
-((-2276 (*1 *2 *1 *2) (-12 (-5 *2 (-850)) (-5 *1 (-1157 *3)) (-4 *3 (-1047)))) (-2973 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-763)) (-5 *1 (-1157 *3)) (-4 *3 (-1047))))) 
-(-13 (-1219 |#1|) (-10 -8 (-15 -2276 ((-850) $ (-850))) (-15 -2973 ($ $ (-763) |#1| $)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2057 (((-634 (-1075)) $) NIL)) (-3325 (((-1161) $) 11)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#1| (-558)))) (-3661 (($ $) NIL (|has| |#1| (-558)))) (-4426 (((-121) $) NIL (|has| |#1| (-558)))) (-4179 (($ $ (-409 (-568))) NIL) (($ $ (-409 (-568)) (-409 (-568))) NIL)) (-2013 (((-1141 (-2 (|:| |k| (-409 (-568))) (|:| |c| |#1|))) $) NIL)) (-1984 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1935 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL (|has| |#1| (-365)))) (-3498 (((-420 $) $) NIL (|has| |#1| (-365)))) (-1904 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2589 (((-121) $ $) NIL (|has| |#1| (-365)))) (-1976 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2788 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2512 (($ (-763) (-1141 (-2 (|:| |k| (-409 (-568))) (|:| |c| |#1|)))) NIL)) (-1992 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1943 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-1151 |#1| |#2| |#3|) "failed") $) 32) (((-3 (-1159 |#1| |#2| |#3|) "failed") $) 35)) (-2857 (((-1151 |#1| |#2| |#3|) $) NIL) (((-1159 |#1| |#2| |#3|) $) NIL)) (-2403 (($ $ $) NIL (|has| |#1| (-365)))) (-2116 (($ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-4147 (((-409 (-568)) $) 55)) (-2414 (($ $ $) NIL (|has| |#1| (-365)))) (-2077 (($ (-409 (-568)) (-1151 |#1| |#2| |#3|)) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL (|has| |#1| (-365)))) (-2197 (((-121) $) NIL (|has| |#1| (-365)))) (-1302 (((-121) $) NIL)) (-1899 (($) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1844 (((-409 (-568)) $) NIL) (((-409 (-568)) $ (-409 (-568))) NIL)) (-1598 (((-121) $) NIL)) (-1550 (($ $ (-568)) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4168 (($ $ (-917)) NIL) (($ $ (-409 (-568))) NIL)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-2171 (((-121) $) NIL)) (-2049 (($ |#1| (-409 (-568))) 19) (($ $ (-1075) (-409 (-568))) NIL) (($ $ (-634 (-1075)) (-634 (-409 (-568)))) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-4418 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2099 (($ $) NIL)) (-2104 ((|#1| $) NIL)) (-2498 (($ (-634 $)) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-365)))) (-3408 (((-1151 |#1| |#2| |#3|) $) 40)) (-2380 (((-3 (-1151 |#1| |#2| |#3|) "failed") $) NIL)) (-2072 (((-1151 |#1| |#2| |#3|) $) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL (|has| |#1| (-365)))) (-1845 (($ $) 38 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-1161)) NIL (-2199 (-12 (|has| |#1| (-15 -1845 (|#1| |#1| (-1161)))) (|has| |#1| (-15 -2057 ((-634 (-1161)) |#1|))) (|has| |#1| (-43 (-409 (-568))))) (-12 (|has| |#1| (-29 (-568))) (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-959)) (|has| |#1| (-1181))))) (($ $ (-1240 |#2|)) 39 (|has| |#1| (-43 (-409 (-568)))))) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#1| (-365)))) (-2723 (($ (-634 $)) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-365)))) (-3850 (((-420 $) $) NIL (|has| |#1| (-365)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-365))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#1| (-365)))) (-2168 (($ $ (-409 (-568))) NIL)) (-2597 (((-3 $ "failed") $ $) NIL (|has| |#1| (-558)))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-1894 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1339 (((-1141 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-409 (-568))))))) (-1466 (((-763) $) NIL (|has| |#1| (-365)))) (-2781 ((|#1| $ (-409 (-568))) NIL) (($ $ $) NIL (|has| (-409 (-568)) (-1102)))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-365)))) (-4191 (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161)) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-763)) NIL (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|)))) (($ $) 36 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|)))) (($ $ (-1240 |#2|)) 37)) (-1836 (((-409 (-568)) $) NIL)) (-1996 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1947 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1988 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1939 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1980 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2792 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2188 (($ $) NIL)) (-2747 (((-850) $) 58) (($ (-568)) NIL) (($ |#1|) NIL (|has| |#1| (-172))) (($ (-1151 |#1| |#2| |#3|)) 29) (($ (-1159 |#1| |#2| |#3|)) 30) (($ (-1240 |#2|)) 25) (($ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $) NIL (|has| |#1| (-558)))) (-2079 ((|#1| $ (-409 (-568))) NIL)) (-3385 (((-3 $ "failed") $) NIL (|has| |#1| (-148)))) (-3425 (((-763)) NIL)) (-1374 ((|#1| $) 12)) (-2008 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1959 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2273 (((-121) $ $) NIL (|has| |#1| (-558)))) (-2000 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1951 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2016 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1968 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-3999 ((|#1| $ (-409 (-568))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-409 (-568))))) (|has| |#1| (-15 -2747 (|#1| (-1161))))))) (-1439 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1972 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2012 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1964 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2004 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1955 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| |#1| (-365)))) (-3058 (($) 21 T CONST)) (-1557 (($) 16 T CONST)) (-3192 (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161)) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-763)) NIL (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))))) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ |#1|) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) 23)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568)))))) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-409 (-568)) $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))))) 
-(((-1158 |#1| |#2| |#3|) (-13 (-1226 |#1| (-1151 |#1| |#2| |#3|)) (-1037 (-1159 |#1| |#2| |#3|)) (-10 -8 (-15 -2747 ($ (-1240 |#2|))) (-15 -4191 ($ $ (-1240 |#2|))) (IF (|has| |#1| (-43 (-409 (-568)))) (-15 -1845 ($ $ (-1240 |#2|))) |noBranch|))) (-1047) (-1161) |#1|) (T -1158)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1158 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) (-4191 (*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1158 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) (-1845 (*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1158 *3 *4 *5)) (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047)) (-14 *5 *3)))) 
-(-13 (-1226 |#1| (-1151 |#1| |#2| |#3|)) (-1037 (-1159 |#1| |#2| |#3|)) (-10 -8 (-15 -2747 ($ (-1240 |#2|))) (-15 -4191 ($ $ (-1240 |#2|))) (IF (|has| |#1| (-43 (-409 (-568)))) (-15 -1845 ($ $ (-1240 |#2|))) |noBranch|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 124)) (-2057 (((-634 (-1075)) $) NIL)) (-3325 (((-1161) $) 115)) (-1802 (((-1216 |#2| |#1|) $ (-763)) 62)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#1| (-558)))) (-3661 (($ $) NIL (|has| |#1| (-558)))) (-4426 (((-121) $) NIL (|has| |#1| (-558)))) (-4179 (($ $ (-763)) 78) (($ $ (-763) (-763)) 75)) (-2013 (((-1141 (-2 (|:| |k| (-763)) (|:| |c| |#1|))) $) 101)) (-1984 (($ $) 168 (|has| |#1| (-43 (-409 (-568)))))) (-1935 (($ $) 144 (|has| |#1| (-43 (-409 (-568)))))) (-2689 (((-3 $ "failed") $ $) NIL)) (-1904 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1976 (($ $) 164 (|has| |#1| (-43 (-409 (-568)))))) (-2788 (($ $) 140 (|has| |#1| (-43 (-409 (-568)))))) (-2512 (($ (-1141 (-2 (|:| |k| (-763)) (|:| |c| |#1|)))) 114) (($ (-1141 |#1|)) 109)) (-1992 (($ $) 172 (|has| |#1| (-43 (-409 (-568)))))) (-1943 (($ $) 148 (|has| |#1| (-43 (-409 (-568)))))) (-4490 (($) NIL T CONST)) (-2116 (($ $) NIL)) (-2902 (((-3 $ "failed") $) 23)) (-3866 (($ $) 26)) (-3808 (((-953 |#1|) $ (-763)) 74) (((-953 |#1|) $ (-763) (-763)) 76)) (-1302 (((-121) $) 119)) (-1899 (($) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1844 (((-763) $) 121) (((-763) $ (-763)) 123)) (-1598 (((-121) $) NIL)) (-1550 (($ $ (-568)) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4168 (($ $ (-917)) NIL)) (-3698 (($ (-1 |#1| (-568)) $) NIL)) (-2171 (((-121) $) NIL)) (-2049 (($ |#1| (-763)) 13) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-4418 (($ $) 130 (|has| |#1| (-43 (-409 (-568)))))) (-2099 (($ $) NIL)) (-2104 ((|#1| $) NIL)) (-1893 (((-1143) $) NIL)) (-1845 (($ $) 128 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-1161)) NIL (-2199 (-12 (|has| |#1| (-15 -1845 (|#1| |#1| (-1161)))) (|has| |#1| (-15 -2057 ((-634 (-1161)) |#1|))) (|has| |#1| (-43 (-409 (-568))))) (-12 (|has| |#1| (-29 (-568))) (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-959)) (|has| |#1| (-1181))))) (($ $ (-1240 |#2|)) 129 (|has| |#1| (-43 (-409 (-568)))))) (-4025 (((-1108) $) NIL)) (-2168 (($ $ (-763)) 15)) (-2597 (((-3 $ "failed") $ $) 24 (|has| |#1| (-558)))) (-1894 (($ $) 132 (|has| |#1| (-43 (-409 (-568)))))) (-1339 (((-1141 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-763)))))) (-2781 ((|#1| $ (-763)) 118) (($ $ $) 127 (|has| (-763) (-1102)))) (-4191 (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161)) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-763)) NIL (|has| |#1| (-15 * (|#1| (-763) |#1|)))) (($ $) 27 (|has| |#1| (-15 * (|#1| (-763) |#1|)))) (($ $ (-1240 |#2|)) 29)) (-1836 (((-763) $) NIL)) (-1996 (($ $) 174 (|has| |#1| (-43 (-409 (-568)))))) (-1947 (($ $) 150 (|has| |#1| (-43 (-409 (-568)))))) (-1988 (($ $) 170 (|has| |#1| (-43 (-409 (-568)))))) (-1939 (($ $) 146 (|has| |#1| (-43 (-409 (-568)))))) (-1980 (($ $) 166 (|has| |#1| (-43 (-409 (-568)))))) (-2792 (($ $) 142 (|has| |#1| (-43 (-409 (-568)))))) (-2188 (($ $) NIL)) (-2747 (((-850) $) 200) (($ (-568)) NIL) (($ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $) NIL (|has| |#1| (-558))) (($ |#1|) 125 (|has| |#1| (-172))) (($ (-1216 |#2| |#1|)) 50) (($ (-1240 |#2|)) 32)) (-3304 (((-1141 |#1|) $) 97)) (-2079 ((|#1| $ (-763)) 117)) (-3385 (((-3 $ "failed") $) NIL (|has| |#1| (-148)))) (-3425 (((-763)) NIL)) (-1374 ((|#1| $) 53)) (-2008 (($ $) 180 (|has| |#1| (-43 (-409 (-568)))))) (-1959 (($ $) 156 (|has| |#1| (-43 (-409 (-568)))))) (-2273 (((-121) $ $) NIL (|has| |#1| (-558)))) (-2000 (($ $) 176 (|has| |#1| (-43 (-409 (-568)))))) (-1951 (($ $) 152 (|has| |#1| (-43 (-409 (-568)))))) (-2016 (($ $) 184 (|has| |#1| (-43 (-409 (-568)))))) (-1968 (($ $) 160 (|has| |#1| (-43 (-409 (-568)))))) (-3999 ((|#1| $ (-763)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-763)))) (|has| |#1| (-15 -2747 (|#1| (-1161))))))) (-1439 (($ $) 186 (|has| |#1| (-43 (-409 (-568)))))) (-1972 (($ $) 162 (|has| |#1| (-43 (-409 (-568)))))) (-2012 (($ $) 182 (|has| |#1| (-43 (-409 (-568)))))) (-1964 (($ $) 158 (|has| |#1| (-43 (-409 (-568)))))) (-2004 (($ $) 178 (|has| |#1| (-43 (-409 (-568)))))) (-1955 (($ $) 154 (|has| |#1| (-43 (-409 (-568)))))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 17 T CONST)) (-1557 (($) 19 T CONST)) (-3192 (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161)) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-763)) NIL (|has| |#1| (-15 * (|#1| (-763) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-763) |#1|))))) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ |#1|) NIL (|has| |#1| (-365)))) (-1775 (($ $) NIL) (($ $ $) 193)) (-1769 (($ $ $) 31)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ |#1|) 197 (|has| |#1| (-365))) (($ $ $) 133 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) 136 (|has| |#1| (-43 (-409 (-568)))))) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 131) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-409 (-568)) $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))))) 
-(((-1159 |#1| |#2| |#3|) (-13 (-1234 |#1|) (-10 -8 (-15 -2747 ($ (-1216 |#2| |#1|))) (-15 -1802 ((-1216 |#2| |#1|) $ (-763))) (-15 -2747 ($ (-1240 |#2|))) (-15 -4191 ($ $ (-1240 |#2|))) (IF (|has| |#1| (-43 (-409 (-568)))) (-15 -1845 ($ $ (-1240 |#2|))) |noBranch|))) (-1047) (-1161) |#1|) (T -1159)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1216 *4 *3)) (-4 *3 (-1047)) (-14 *4 (-1161)) (-14 *5 *3) (-5 *1 (-1159 *3 *4 *5)))) (-1802 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1216 *5 *4)) (-5 *1 (-1159 *4 *5 *6)) (-4 *4 (-1047)) (-14 *5 (-1161)) (-14 *6 *4))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1159 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) (-4191 (*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1159 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) (-1845 (*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1159 *3 *4 *5)) (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047)) (-14 *5 *3)))) 
-(-13 (-1234 |#1|) (-10 -8 (-15 -2747 ($ (-1216 |#2| |#1|))) (-15 -1802 ((-1216 |#2| |#1|) $ (-763))) (-15 -2747 ($ (-1240 |#2|))) (-15 -4191 ($ $ (-1240 |#2|))) (IF (|has| |#1| (-43 (-409 (-568)))) (-15 -1845 ($ $ (-1240 |#2|))) |noBranch|))) 
-((-2747 (((-850) $) 22) (($ (-1161)) 24)) (-2199 (($ (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)) (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $))) 35)) (-2194 (($ (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $))) 28) (($ $) 29)) (-2573 (($ (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)) (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $))) 30)) (-2687 (($ (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)) (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $))) 32)) (-2725 (($ (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)) (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $))) 31)) (-2777 (($ (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)) (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $))) 33)) (-2995 (($ (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)) (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $))) 36)) (-12 (($ (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)) (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $))) 34))) 
-(((-1160) (-13 (-608 (-850)) (-10 -8 (-15 -2747 ($ (-1161))) (-15 -2573 ($ (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)) (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)))) (-15 -2725 ($ (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)) (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)))) (-15 -2687 ($ (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)) (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)))) (-15 -2777 ($ (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)) (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)))) (-15 -2199 ($ (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)) (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)))) (-15 -2995 ($ (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)) (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)))) (-15 -12 ($ (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)) (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)))) (-15 -2194 ($ (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)))) (-15 -2194 ($ $))))) (T -1160)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-1160)))) (-2573 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| (-1160)))) (-5 *1 (-1160)))) (-2725 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| (-1160)))) (-5 *1 (-1160)))) (-2687 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| (-1160)))) (-5 *1 (-1160)))) (-2777 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| (-1160)))) (-5 *1 (-1160)))) (-2199 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| (-1160)))) (-5 *1 (-1160)))) (-2995 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| (-1160)))) (-5 *1 (-1160)))) (-12 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| (-1160)))) (-5 *1 (-1160)))) (-2194 (*1 *1 *2) (-12 (-5 *2 (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| (-1160)))) (-5 *1 (-1160)))) (-2194 (*1 *1 *1) (-5 *1 (-1160)))) 
-(-13 (-608 (-850)) (-10 -8 (-15 -2747 ($ (-1161))) (-15 -2573 ($ (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)) (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)))) (-15 -2725 ($ (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)) (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)))) (-15 -2687 ($ (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)) (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)))) (-15 -2777 ($ (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)) (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)))) (-15 -2199 ($ (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)) (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)))) (-15 -2995 ($ (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)) (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)))) (-15 -12 ($ (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)) (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)))) (-15 -2194 ($ (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| $)))) (-15 -2194 ($ $)))) 
-((-2449 (((-121) $ $) NIL)) (-3987 (($ $ (-634 (-850))) 58)) (-3966 (($ $ (-634 (-850))) 56)) (-1744 (((-1143) $) 82)) (-3689 (((-2 (|:| -1891 (-634 (-850))) (|:| -2409 (-634 (-850))) (|:| |presup| (-634 (-850))) (|:| -2749 (-634 (-850))) (|:| |args| (-634 (-850)))) $) 85)) (-1631 (((-121) $) 21)) (-3176 (($ $ (-634 (-634 (-850)))) 54) (($ $ (-2 (|:| -1891 (-634 (-850))) (|:| -2409 (-634 (-850))) (|:| |presup| (-634 (-850))) (|:| -2749 (-634 (-850))) (|:| |args| (-634 (-850))))) 80)) (-4490 (($) 122 T CONST)) (-3215 (((-1249)) 103)) (-1519 (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) 65) (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) 71)) (-1851 (($) 92) (($ $) 98)) (-3393 (($ $) 81)) (-1732 (($ $ $) NIL)) (-2047 (($ $ $) NIL)) (-3897 (((-634 $) $) 104)) (-1893 (((-1143) $) 87)) (-4025 (((-1108) $) NIL)) (-2781 (($ $ (-634 (-850))) 57)) (-4280 (((-541) $) 45) (((-1161) $) 46) (((-887 (-568)) $) 75) (((-887 (-381)) $) 73)) (-2747 (((-850) $) 52) (($ (-1143)) 47)) (-2272 (($ $ (-634 (-850))) 59)) (-2628 (((-1143) $) 33) (((-1143) $ (-121)) 34) (((-1249) (-817) $) 35) (((-1249) (-817) $ (-121)) 36)) (-1753 (((-121) $ $) NIL)) (-1740 (((-121) $ $) NIL)) (-1719 (((-121) $ $) 48)) (-1747 (((-121) $ $) NIL)) (-1734 (((-121) $ $) 49))) 
-(((-1161) (-13 (-842) (-609 (-541)) (-823) (-609 (-1161)) (-609 (-887 (-568))) (-609 (-887 (-381))) (-881 (-568)) (-881 (-381)) (-10 -8 (-15 -1851 ($)) (-15 -1851 ($ $)) (-15 -3215 ((-1249))) (-15 -2747 ($ (-1143))) (-15 -3393 ($ $)) (-15 -1631 ((-121) $)) (-15 -3689 ((-2 (|:| -1891 (-634 (-850))) (|:| -2409 (-634 (-850))) (|:| |presup| (-634 (-850))) (|:| -2749 (-634 (-850))) (|:| |args| (-634 (-850)))) $)) (-15 -3176 ($ $ (-634 (-634 (-850))))) (-15 -3176 ($ $ (-2 (|:| -1891 (-634 (-850))) (|:| -2409 (-634 (-850))) (|:| |presup| (-634 (-850))) (|:| -2749 (-634 (-850))) (|:| |args| (-634 (-850)))))) (-15 -3966 ($ $ (-634 (-850)))) (-15 -3987 ($ $ (-634 (-850)))) (-15 -2272 ($ $ (-634 (-850)))) (-15 -2781 ($ $ (-634 (-850)))) (-15 -1744 ((-1143) $)) (-15 -3897 ((-634 $) $)) (-15 -4490 ($) -3497)))) (T -1161)) 
-((-1851 (*1 *1) (-5 *1 (-1161))) (-1851 (*1 *1 *1) (-5 *1 (-1161))) (-3215 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-1161)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-1161)))) (-3393 (*1 *1 *1) (-5 *1 (-1161))) (-1631 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1161)))) (-3689 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| -1891 (-634 (-850))) (|:| -2409 (-634 (-850))) (|:| |presup| (-634 (-850))) (|:| -2749 (-634 (-850))) (|:| |args| (-634 (-850))))) (-5 *1 (-1161)))) (-3176 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-634 (-850)))) (-5 *1 (-1161)))) (-3176 (*1 *1 *1 *2) (-12 (-5 *2 (-2 (|:| -1891 (-634 (-850))) (|:| -2409 (-634 (-850))) (|:| |presup| (-634 (-850))) (|:| -2749 (-634 (-850))) (|:| |args| (-634 (-850))))) (-5 *1 (-1161)))) (-3966 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-1161)))) (-3987 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-1161)))) (-2272 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-1161)))) (-2781 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-1161)))) (-1744 (*1 *2 *1) (-12 (-5 *2 (-1143)) (-5 *1 (-1161)))) (-3897 (*1 *2 *1) (-12 (-5 *2 (-634 (-1161))) (-5 *1 (-1161)))) (-4490 (*1 *1) (-5 *1 (-1161)))) 
-(-13 (-842) (-609 (-541)) (-823) (-609 (-1161)) (-609 (-887 (-568))) (-609 (-887 (-381))) (-881 (-568)) (-881 (-381)) (-10 -8 (-15 -1851 ($)) (-15 -1851 ($ $)) (-15 -3215 ((-1249))) (-15 -2747 ($ (-1143))) (-15 -3393 ($ $)) (-15 -1631 ((-121) $)) (-15 -3689 ((-2 (|:| -1891 (-634 (-850))) (|:| -2409 (-634 (-850))) (|:| |presup| (-634 (-850))) (|:| -2749 (-634 (-850))) (|:| |args| (-634 (-850)))) $)) (-15 -3176 ($ $ (-634 (-634 (-850))))) (-15 -3176 ($ $ (-2 (|:| -1891 (-634 (-850))) (|:| -2409 (-634 (-850))) (|:| |presup| (-634 (-850))) (|:| -2749 (-634 (-850))) (|:| |args| (-634 (-850)))))) (-15 -3966 ($ $ (-634 (-850)))) (-15 -3987 ($ $ (-634 (-850)))) (-15 -2272 ($ $ (-634 (-850)))) (-15 -2781 ($ $ (-634 (-850)))) (-15 -1744 ((-1143) $)) (-15 -3897 ((-634 $) $)) (-15 -4490 ($) -3497))) 
-((-1321 (((-1244 |#1|) |#1| (-917)) 16) (((-1244 |#1|) (-634 |#1|)) 20))) 
-(((-1162 |#1|) (-10 -7 (-15 -1321 ((-1244 |#1|) (-634 |#1|))) (-15 -1321 ((-1244 |#1|) |#1| (-917)))) (-1047)) (T -1162)) 
-((-1321 (*1 *2 *3 *4) (-12 (-5 *4 (-917)) (-5 *2 (-1244 *3)) (-5 *1 (-1162 *3)) (-4 *3 (-1047)))) (-1321 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-1047)) (-5 *2 (-1244 *4)) (-5 *1 (-1162 *4))))) 
-(-10 -7 (-15 -1321 ((-1244 |#1|) (-634 |#1|))) (-15 -1321 ((-1244 |#1|) |#1| (-917)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#1| (-558)))) (-3661 (($ $) NIL (|has| |#1| (-558)))) (-4426 (((-121) $) NIL (|has| |#1| (-558)))) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-568) "failed") $) NIL (|has| |#1| (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#1| (-1037 (-409 (-568))))) (((-3 |#1| "failed") $) NIL)) (-2857 (((-568) $) NIL (|has| |#1| (-1037 (-568)))) (((-409 (-568)) $) NIL (|has| |#1| (-1037 (-409 (-568))))) ((|#1| $) NIL)) (-2116 (($ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1998 (($ $) NIL (|has| |#1| (-453)))) (-2453 (($ $ |#1| (-972) $) NIL)) (-1598 (((-121) $) NIL)) (-3971 (((-763) $) NIL)) (-2171 (((-121) $) NIL)) (-2049 (($ |#1| (-972)) NIL)) (-3524 (((-972) $) NIL)) (-1865 (($ (-1 (-972) (-972)) $) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-2099 (($ $) NIL)) (-2104 ((|#1| $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2088 (((-121) $) NIL)) (-2093 ((|#1| $) NIL)) (-2973 (($ $ (-972) |#1| $) NIL (-12 (|has| (-972) (-137)) (|has| |#1| (-558))))) (-2597 (((-3 $ "failed") $ $) NIL (|has| |#1| (-558))) (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-558)))) (-1836 (((-972) $) NIL)) (-1364 ((|#1| $) NIL (|has| |#1| (-453)))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ $) NIL (|has| |#1| (-558))) (($ |#1|) NIL) (($ (-409 (-568))) NIL (-2199 (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-1037 (-409 (-568))))))) (-3304 (((-634 |#1|) $) NIL)) (-2079 ((|#1| $ (-972)) NIL)) (-3385 (((-3 $ "failed") $) NIL (|has| |#1| (-148)))) (-3425 (((-763)) NIL)) (-3925 (($ $ $ (-763)) NIL (|has| |#1| (-172)))) (-2273 (((-121) $ $) NIL (|has| |#1| (-558)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 9 T CONST)) (-1557 (($) 14 T CONST)) (-1719 (((-121) $ $) 16)) (-1781 (($ $ |#1|) NIL (|has| |#1| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) 19)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 20) (($ $ |#1|) NIL) (($ |#1| $) 13) (($ (-409 (-568)) $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))))) 
-(((-1163 |#1|) (-13 (-324 |#1| (-972)) (-10 -8 (IF (|has| |#1| (-558)) (IF (|has| (-972) (-137)) (-15 -2973 ($ $ (-972) |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4519)) (-6 -4519) |noBranch|))) (-1047)) (T -1163)) 
-((-2973 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-972)) (-4 *2 (-137)) (-5 *1 (-1163 *3)) (-4 *3 (-558)) (-4 *3 (-1047))))) 
-(-13 (-324 |#1| (-972)) (-10 -8 (IF (|has| |#1| (-558)) (IF (|has| (-972) (-137)) (-15 -2973 ($ $ (-972) |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4519)) (-6 -4519) |noBranch|))) 
-((-2641 (((-1165) (-1161) $) 24)) (-1962 (($) 28)) (-1605 (((-3 (|:| |fst| (-436)) (|:| -3613 "void")) (-1161) $) 21)) (-3086 (((-1249) (-1161) (-3 (|:| |fst| (-436)) (|:| -3613 "void")) $) 40) (((-1249) (-1161) (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) 41) (((-1249) (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) 42)) (-2741 (((-1249) (-1161)) 57)) (-2967 (((-1249) (-1161) $) 54) (((-1249) (-1161)) 55) (((-1249)) 56)) (-1997 (((-1249) (-1161)) 36)) (-4395 (((-1161)) 35)) (-1990 (($) 33)) (-3815 (((-439) (-1161) (-439) (-1161) $) 44) (((-439) (-634 (-1161)) (-439) (-1161) $) 48) (((-439) (-1161) (-439)) 45) (((-439) (-1161) (-439) (-1161)) 49)) (-1658 (((-1161)) 34)) (-2747 (((-850) $) 27)) (-1754 (((-1249)) 29) (((-1249) (-1161)) 32)) (-3379 (((-634 (-1161)) (-1161) $) 23)) (-1622 (((-1249) (-1161) (-634 (-1161)) $) 37) (((-1249) (-1161) (-634 (-1161))) 38) (((-1249) (-634 (-1161))) 39))) 
-(((-1164) (-13 (-608 (-850)) (-10 -8 (-15 -1962 ($)) (-15 -1754 ((-1249))) (-15 -1754 ((-1249) (-1161))) (-15 -3815 ((-439) (-1161) (-439) (-1161) $)) (-15 -3815 ((-439) (-634 (-1161)) (-439) (-1161) $)) (-15 -3815 ((-439) (-1161) (-439))) (-15 -3815 ((-439) (-1161) (-439) (-1161))) (-15 -1997 ((-1249) (-1161))) (-15 -1658 ((-1161))) (-15 -4395 ((-1161))) (-15 -1622 ((-1249) (-1161) (-634 (-1161)) $)) (-15 -1622 ((-1249) (-1161) (-634 (-1161)))) (-15 -1622 ((-1249) (-634 (-1161)))) (-15 -3086 ((-1249) (-1161) (-3 (|:| |fst| (-436)) (|:| -3613 "void")) $)) (-15 -3086 ((-1249) (-1161) (-3 (|:| |fst| (-436)) (|:| -3613 "void")))) (-15 -3086 ((-1249) (-3 (|:| |fst| (-436)) (|:| -3613 "void")))) (-15 -2967 ((-1249) (-1161) $)) (-15 -2967 ((-1249) (-1161))) (-15 -2967 ((-1249))) (-15 -2741 ((-1249) (-1161))) (-15 -1990 ($)) (-15 -1605 ((-3 (|:| |fst| (-436)) (|:| -3613 "void")) (-1161) $)) (-15 -3379 ((-634 (-1161)) (-1161) $)) (-15 -2641 ((-1165) (-1161) $))))) (T -1164)) 
-((-1962 (*1 *1) (-5 *1 (-1164))) (-1754 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-1164)))) (-1754 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1249)) (-5 *1 (-1164)))) (-3815 (*1 *2 *3 *2 *3 *1) (-12 (-5 *2 (-439)) (-5 *3 (-1161)) (-5 *1 (-1164)))) (-3815 (*1 *2 *3 *2 *4 *1) (-12 (-5 *2 (-439)) (-5 *3 (-634 (-1161))) (-5 *4 (-1161)) (-5 *1 (-1164)))) (-3815 (*1 *2 *3 *2) (-12 (-5 *2 (-439)) (-5 *3 (-1161)) (-5 *1 (-1164)))) (-3815 (*1 *2 *3 *2 *3) (-12 (-5 *2 (-439)) (-5 *3 (-1161)) (-5 *1 (-1164)))) (-1997 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1249)) (-5 *1 (-1164)))) (-1658 (*1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-1164)))) (-4395 (*1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-1164)))) (-1622 (*1 *2 *3 *4 *1) (-12 (-5 *4 (-634 (-1161))) (-5 *3 (-1161)) (-5 *2 (-1249)) (-5 *1 (-1164)))) (-1622 (*1 *2 *3 *4) (-12 (-5 *4 (-634 (-1161))) (-5 *3 (-1161)) (-5 *2 (-1249)) (-5 *1 (-1164)))) (-1622 (*1 *2 *3) (-12 (-5 *3 (-634 (-1161))) (-5 *2 (-1249)) (-5 *1 (-1164)))) (-3086 (*1 *2 *3 *4 *1) (-12 (-5 *3 (-1161)) (-5 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-5 *2 (-1249)) (-5 *1 (-1164)))) (-3086 (*1 *2 *3 *4) (-12 (-5 *3 (-1161)) (-5 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-5 *2 (-1249)) (-5 *1 (-1164)))) (-3086 (*1 *2 *3) (-12 (-5 *3 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-5 *2 (-1249)) (-5 *1 (-1164)))) (-2967 (*1 *2 *3 *1) (-12 (-5 *3 (-1161)) (-5 *2 (-1249)) (-5 *1 (-1164)))) (-2967 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1249)) (-5 *1 (-1164)))) (-2967 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-1164)))) (-2741 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1249)) (-5 *1 (-1164)))) (-1990 (*1 *1) (-5 *1 (-1164))) (-1605 (*1 *2 *3 *1) (-12 (-5 *3 (-1161)) (-5 *2 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-5 *1 (-1164)))) (-3379 (*1 *2 *3 *1) (-12 (-5 *2 (-634 (-1161))) (-5 *1 (-1164)) (-5 *3 (-1161)))) (-2641 (*1 *2 *3 *1) (-12 (-5 *3 (-1161)) (-5 *2 (-1165)) (-5 *1 (-1164))))) 
-(-13 (-608 (-850)) (-10 -8 (-15 -1962 ($)) (-15 -1754 ((-1249))) (-15 -1754 ((-1249) (-1161))) (-15 -3815 ((-439) (-1161) (-439) (-1161) $)) (-15 -3815 ((-439) (-634 (-1161)) (-439) (-1161) $)) (-15 -3815 ((-439) (-1161) (-439))) (-15 -3815 ((-439) (-1161) (-439) (-1161))) (-15 -1997 ((-1249) (-1161))) (-15 -1658 ((-1161))) (-15 -4395 ((-1161))) (-15 -1622 ((-1249) (-1161) (-634 (-1161)) $)) (-15 -1622 ((-1249) (-1161) (-634 (-1161)))) (-15 -1622 ((-1249) (-634 (-1161)))) (-15 -3086 ((-1249) (-1161) (-3 (|:| |fst| (-436)) (|:| -3613 "void")) $)) (-15 -3086 ((-1249) (-1161) (-3 (|:| |fst| (-436)) (|:| -3613 "void")))) (-15 -3086 ((-1249) (-3 (|:| |fst| (-436)) (|:| -3613 "void")))) (-15 -2967 ((-1249) (-1161) $)) (-15 -2967 ((-1249) (-1161))) (-15 -2967 ((-1249))) (-15 -2741 ((-1249) (-1161))) (-15 -1990 ($)) (-15 -1605 ((-3 (|:| |fst| (-436)) (|:| -3613 "void")) (-1161) $)) (-15 -3379 ((-634 (-1161)) (-1161) $)) (-15 -2641 ((-1165) (-1161) $)))) 
-((-3208 (((-634 (-634 (-3 (|:| -3393 (-1161)) (|:| |bounds| (-634 (-3 (|:| S (-1161)) (|:| P (-953 (-568))))))))) $) 57)) (-2659 (((-634 (-3 (|:| -3393 (-1161)) (|:| |bounds| (-634 (-3 (|:| S (-1161)) (|:| P (-953 (-568)))))))) (-436) $) 40)) (-4101 (($ (-634 (-2 (|:| -3651 (-1161)) (|:| -4085 (-439))))) 15)) (-2741 (((-1249) $) 65)) (-2943 (((-634 (-1161)) $) 20)) (-3143 (((-1094) $) 53)) (-1831 (((-439) (-1161) $) 27)) (-3848 (((-634 (-1161)) $) 30)) (-1990 (($) 17)) (-3815 (((-439) (-634 (-1161)) (-439) $) 25) (((-439) (-1161) (-439) $) 24)) (-2747 (((-850) $) 9) (((-1169 (-1161) (-439)) $) 11))) 
-(((-1165) (-13 (-608 (-850)) (-10 -8 (-15 -2747 ((-1169 (-1161) (-439)) $)) (-15 -1990 ($)) (-15 -3815 ((-439) (-634 (-1161)) (-439) $)) (-15 -3815 ((-439) (-1161) (-439) $)) (-15 -1831 ((-439) (-1161) $)) (-15 -2943 ((-634 (-1161)) $)) (-15 -2659 ((-634 (-3 (|:| -3393 (-1161)) (|:| |bounds| (-634 (-3 (|:| S (-1161)) (|:| P (-953 (-568)))))))) (-436) $)) (-15 -3848 ((-634 (-1161)) $)) (-15 -3208 ((-634 (-634 (-3 (|:| -3393 (-1161)) (|:| |bounds| (-634 (-3 (|:| S (-1161)) (|:| P (-953 (-568))))))))) $)) (-15 -3143 ((-1094) $)) (-15 -2741 ((-1249) $)) (-15 -4101 ($ (-634 (-2 (|:| -3651 (-1161)) (|:| -4085 (-439))))))))) (T -1165)) 
-((-2747 (*1 *2 *1) (-12 (-5 *2 (-1169 (-1161) (-439))) (-5 *1 (-1165)))) (-1990 (*1 *1) (-5 *1 (-1165))) (-3815 (*1 *2 *3 *2 *1) (-12 (-5 *2 (-439)) (-5 *3 (-634 (-1161))) (-5 *1 (-1165)))) (-3815 (*1 *2 *3 *2 *1) (-12 (-5 *2 (-439)) (-5 *3 (-1161)) (-5 *1 (-1165)))) (-1831 (*1 *2 *3 *1) (-12 (-5 *3 (-1161)) (-5 *2 (-439)) (-5 *1 (-1165)))) (-2943 (*1 *2 *1) (-12 (-5 *2 (-634 (-1161))) (-5 *1 (-1165)))) (-2659 (*1 *2 *3 *1) (-12 (-5 *3 (-436)) (-5 *2 (-634 (-3 (|:| -3393 (-1161)) (|:| |bounds| (-634 (-3 (|:| S (-1161)) (|:| P (-953 (-568))))))))) (-5 *1 (-1165)))) (-3848 (*1 *2 *1) (-12 (-5 *2 (-634 (-1161))) (-5 *1 (-1165)))) (-3208 (*1 *2 *1) (-12 (-5 *2 (-634 (-634 (-3 (|:| -3393 (-1161)) (|:| |bounds| (-634 (-3 (|:| S (-1161)) (|:| P (-953 (-568)))))))))) (-5 *1 (-1165)))) (-3143 (*1 *2 *1) (-12 (-5 *2 (-1094)) (-5 *1 (-1165)))) (-2741 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-1165)))) (-4101 (*1 *1 *2) (-12 (-5 *2 (-634 (-2 (|:| -3651 (-1161)) (|:| -4085 (-439))))) (-5 *1 (-1165))))) 
-(-13 (-608 (-850)) (-10 -8 (-15 -2747 ((-1169 (-1161) (-439)) $)) (-15 -1990 ($)) (-15 -3815 ((-439) (-634 (-1161)) (-439) $)) (-15 -3815 ((-439) (-1161) (-439) $)) (-15 -1831 ((-439) (-1161) $)) (-15 -2943 ((-634 (-1161)) $)) (-15 -2659 ((-634 (-3 (|:| -3393 (-1161)) (|:| |bounds| (-634 (-3 (|:| S (-1161)) (|:| P (-953 (-568)))))))) (-436) $)) (-15 -3848 ((-634 (-1161)) $)) (-15 -3208 ((-634 (-634 (-3 (|:| -3393 (-1161)) (|:| |bounds| (-634 (-3 (|:| S (-1161)) (|:| P (-953 (-568))))))))) $)) (-15 -3143 ((-1094) $)) (-15 -2741 ((-1249) $)) (-15 -4101 ($ (-634 (-2 (|:| -3651 (-1161)) (|:| -4085 (-439)))))))) 
-((-4226 (((-634 (-634 (-953 |#1|))) (-634 (-409 (-953 |#1|))) (-634 (-1161))) 55)) (-3259 (((-634 (-288 (-409 (-953 |#1|)))) (-288 (-409 (-953 |#1|)))) 66) (((-634 (-288 (-409 (-953 |#1|)))) (-409 (-953 |#1|))) 62) (((-634 (-288 (-409 (-953 |#1|)))) (-288 (-409 (-953 |#1|))) (-1161)) 67) (((-634 (-288 (-409 (-953 |#1|)))) (-409 (-953 |#1|)) (-1161)) 61) (((-634 (-634 (-288 (-409 (-953 |#1|))))) (-634 (-288 (-409 (-953 |#1|))))) 91) (((-634 (-634 (-288 (-409 (-953 |#1|))))) (-634 (-409 (-953 |#1|)))) 90) (((-634 (-634 (-288 (-409 (-953 |#1|))))) (-634 (-288 (-409 (-953 |#1|)))) (-634 (-1161))) 92) (((-634 (-634 (-288 (-409 (-953 |#1|))))) (-634 (-409 (-953 |#1|))) (-634 (-1161))) 89))) 
-(((-1166 |#1|) (-10 -7 (-15 -3259 ((-634 (-634 (-288 (-409 (-953 |#1|))))) (-634 (-409 (-953 |#1|))) (-634 (-1161)))) (-15 -3259 ((-634 (-634 (-288 (-409 (-953 |#1|))))) (-634 (-288 (-409 (-953 |#1|)))) (-634 (-1161)))) (-15 -3259 ((-634 (-634 (-288 (-409 (-953 |#1|))))) (-634 (-409 (-953 |#1|))))) (-15 -3259 ((-634 (-634 (-288 (-409 (-953 |#1|))))) (-634 (-288 (-409 (-953 |#1|)))))) (-15 -3259 ((-634 (-288 (-409 (-953 |#1|)))) (-409 (-953 |#1|)) (-1161))) (-15 -3259 ((-634 (-288 (-409 (-953 |#1|)))) (-288 (-409 (-953 |#1|))) (-1161))) (-15 -3259 ((-634 (-288 (-409 (-953 |#1|)))) (-409 (-953 |#1|)))) (-15 -3259 ((-634 (-288 (-409 (-953 |#1|)))) (-288 (-409 (-953 |#1|))))) (-15 -4226 ((-634 (-634 (-953 |#1|))) (-634 (-409 (-953 |#1|))) (-634 (-1161))))) (-558)) (T -1166)) 
-((-4226 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 *5)))) (-5 *4 (-634 (-1161))) (-4 *5 (-558)) (-5 *2 (-634 (-634 (-953 *5)))) (-5 *1 (-1166 *5)))) (-3259 (*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-634 (-288 (-409 (-953 *4))))) (-5 *1 (-1166 *4)) (-5 *3 (-288 (-409 (-953 *4)))))) (-3259 (*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-634 (-288 (-409 (-953 *4))))) (-5 *1 (-1166 *4)) (-5 *3 (-409 (-953 *4))))) (-3259 (*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-558)) (-5 *2 (-634 (-288 (-409 (-953 *5))))) (-5 *1 (-1166 *5)) (-5 *3 (-288 (-409 (-953 *5)))))) (-3259 (*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-558)) (-5 *2 (-634 (-288 (-409 (-953 *5))))) (-5 *1 (-1166 *5)) (-5 *3 (-409 (-953 *5))))) (-3259 (*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-634 (-634 (-288 (-409 (-953 *4)))))) (-5 *1 (-1166 *4)) (-5 *3 (-634 (-288 (-409 (-953 *4))))))) (-3259 (*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-953 *4)))) (-4 *4 (-558)) (-5 *2 (-634 (-634 (-288 (-409 (-953 *4)))))) (-5 *1 (-1166 *4)))) (-3259 (*1 *2 *3 *4) (-12 (-5 *4 (-634 (-1161))) (-4 *5 (-558)) (-5 *2 (-634 (-634 (-288 (-409 (-953 *5)))))) (-5 *1 (-1166 *5)) (-5 *3 (-634 (-288 (-409 (-953 *5))))))) (-3259 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 *5)))) (-5 *4 (-634 (-1161))) (-4 *5 (-558)) (-5 *2 (-634 (-634 (-288 (-409 (-953 *5)))))) (-5 *1 (-1166 *5))))) 
-(-10 -7 (-15 -3259 ((-634 (-634 (-288 (-409 (-953 |#1|))))) (-634 (-409 (-953 |#1|))) (-634 (-1161)))) (-15 -3259 ((-634 (-634 (-288 (-409 (-953 |#1|))))) (-634 (-288 (-409 (-953 |#1|)))) (-634 (-1161)))) (-15 -3259 ((-634 (-634 (-288 (-409 (-953 |#1|))))) (-634 (-409 (-953 |#1|))))) (-15 -3259 ((-634 (-634 (-288 (-409 (-953 |#1|))))) (-634 (-288 (-409 (-953 |#1|)))))) (-15 -3259 ((-634 (-288 (-409 (-953 |#1|)))) (-409 (-953 |#1|)) (-1161))) (-15 -3259 ((-634 (-288 (-409 (-953 |#1|)))) (-288 (-409 (-953 |#1|))) (-1161))) (-15 -3259 ((-634 (-288 (-409 (-953 |#1|)))) (-409 (-953 |#1|)))) (-15 -3259 ((-634 (-288 (-409 (-953 |#1|)))) (-288 (-409 (-953 |#1|))))) (-15 -4226 ((-634 (-634 (-953 |#1|))) (-634 (-409 (-953 |#1|))) (-634 (-1161))))) 
-((-1848 (((-634 (-634 |#1|)) (-634 (-634 |#1|)) (-634 (-634 (-634 |#1|)))) 38)) (-4369 (((-634 (-634 (-634 |#1|))) (-634 (-634 |#1|))) 24)) (-1577 (((-1168 (-634 |#1|)) (-634 |#1|)) 34)) (-2731 (((-634 (-634 |#1|)) (-634 |#1|)) 30)) (-2486 (((-2 (|:| |f1| (-634 |#1|)) (|:| |f2| (-634 (-634 (-634 |#1|)))) (|:| |f3| (-634 (-634 |#1|))) (|:| |f4| (-634 (-634 (-634 |#1|))))) (-634 (-634 (-634 |#1|)))) 37)) (-1308 (((-2 (|:| |f1| (-634 |#1|)) (|:| |f2| (-634 (-634 (-634 |#1|)))) (|:| |f3| (-634 (-634 |#1|))) (|:| |f4| (-634 (-634 (-634 |#1|))))) (-634 |#1|) (-634 (-634 (-634 |#1|))) (-634 (-634 |#1|)) (-634 (-634 (-634 |#1|))) (-634 (-634 (-634 |#1|))) (-634 (-634 (-634 |#1|)))) 36)) (-2755 (((-634 (-634 |#1|)) (-634 (-634 |#1|))) 28)) (-2715 (((-634 |#1|) (-634 |#1|)) 31)) (-1661 (((-634 (-634 (-634 |#1|))) (-634 |#1|) (-634 (-634 (-634 |#1|)))) 18)) (-1701 (((-634 (-634 (-634 |#1|))) (-1 (-121) |#1| |#1|) (-634 |#1|) (-634 (-634 (-634 |#1|)))) 15)) (-1290 (((-2 (|:| |fs| (-121)) (|:| |sd| (-634 |#1|)) (|:| |td| (-634 (-634 |#1|)))) (-1 (-121) |#1| |#1|) (-634 |#1|) (-634 (-634 |#1|))) 13)) (-3773 (((-634 (-634 |#1|)) (-634 (-634 (-634 |#1|)))) 39)) (-3867 (((-634 (-634 |#1|)) (-1168 (-634 |#1|))) 41))) 
-(((-1167 |#1|) (-10 -7 (-15 -1290 ((-2 (|:| |fs| (-121)) (|:| |sd| (-634 |#1|)) (|:| |td| (-634 (-634 |#1|)))) (-1 (-121) |#1| |#1|) (-634 |#1|) (-634 (-634 |#1|)))) (-15 -1701 ((-634 (-634 (-634 |#1|))) (-1 (-121) |#1| |#1|) (-634 |#1|) (-634 (-634 (-634 |#1|))))) (-15 -1661 ((-634 (-634 (-634 |#1|))) (-634 |#1|) (-634 (-634 (-634 |#1|))))) (-15 -1848 ((-634 (-634 |#1|)) (-634 (-634 |#1|)) (-634 (-634 (-634 |#1|))))) (-15 -3773 ((-634 (-634 |#1|)) (-634 (-634 (-634 |#1|))))) (-15 -3867 ((-634 (-634 |#1|)) (-1168 (-634 |#1|)))) (-15 -4369 ((-634 (-634 (-634 |#1|))) (-634 (-634 |#1|)))) (-15 -1577 ((-1168 (-634 |#1|)) (-634 |#1|))) (-15 -2755 ((-634 (-634 |#1|)) (-634 (-634 |#1|)))) (-15 -2731 ((-634 (-634 |#1|)) (-634 |#1|))) (-15 -2715 ((-634 |#1|) (-634 |#1|))) (-15 -1308 ((-2 (|:| |f1| (-634 |#1|)) (|:| |f2| (-634 (-634 (-634 |#1|)))) (|:| |f3| (-634 (-634 |#1|))) (|:| |f4| (-634 (-634 (-634 |#1|))))) (-634 |#1|) (-634 (-634 (-634 |#1|))) (-634 (-634 |#1|)) (-634 (-634 (-634 |#1|))) (-634 (-634 (-634 |#1|))) (-634 (-634 (-634 |#1|))))) (-15 -2486 ((-2 (|:| |f1| (-634 |#1|)) (|:| |f2| (-634 (-634 (-634 |#1|)))) (|:| |f3| (-634 (-634 |#1|))) (|:| |f4| (-634 (-634 (-634 |#1|))))) (-634 (-634 (-634 |#1|)))))) (-842)) (T -1167)) 
-((-2486 (*1 *2 *3) (-12 (-4 *4 (-842)) (-5 *2 (-2 (|:| |f1| (-634 *4)) (|:| |f2| (-634 (-634 (-634 *4)))) (|:| |f3| (-634 (-634 *4))) (|:| |f4| (-634 (-634 (-634 *4)))))) (-5 *1 (-1167 *4)) (-5 *3 (-634 (-634 (-634 *4)))))) (-1308 (*1 *2 *3 *4 *5 *4 *4 *4) (-12 (-4 *6 (-842)) (-5 *3 (-634 *6)) (-5 *5 (-634 *3)) (-5 *2 (-2 (|:| |f1| *3) (|:| |f2| (-634 *5)) (|:| |f3| *5) (|:| |f4| (-634 *5)))) (-5 *1 (-1167 *6)) (-5 *4 (-634 *5)))) (-2715 (*1 *2 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-842)) (-5 *1 (-1167 *3)))) (-2731 (*1 *2 *3) (-12 (-4 *4 (-842)) (-5 *2 (-634 (-634 *4))) (-5 *1 (-1167 *4)) (-5 *3 (-634 *4)))) (-2755 (*1 *2 *2) (-12 (-5 *2 (-634 (-634 *3))) (-4 *3 (-842)) (-5 *1 (-1167 *3)))) (-1577 (*1 *2 *3) (-12 (-4 *4 (-842)) (-5 *2 (-1168 (-634 *4))) (-5 *1 (-1167 *4)) (-5 *3 (-634 *4)))) (-4369 (*1 *2 *3) (-12 (-4 *4 (-842)) (-5 *2 (-634 (-634 (-634 *4)))) (-5 *1 (-1167 *4)) (-5 *3 (-634 (-634 *4))))) (-3867 (*1 *2 *3) (-12 (-5 *3 (-1168 (-634 *4))) (-4 *4 (-842)) (-5 *2 (-634 (-634 *4))) (-5 *1 (-1167 *4)))) (-3773 (*1 *2 *3) (-12 (-5 *3 (-634 (-634 (-634 *4)))) (-5 *2 (-634 (-634 *4))) (-5 *1 (-1167 *4)) (-4 *4 (-842)))) (-1848 (*1 *2 *2 *3) (-12 (-5 *3 (-634 (-634 (-634 *4)))) (-5 *2 (-634 (-634 *4))) (-4 *4 (-842)) (-5 *1 (-1167 *4)))) (-1661 (*1 *2 *3 *2) (-12 (-5 *2 (-634 (-634 (-634 *4)))) (-5 *3 (-634 *4)) (-4 *4 (-842)) (-5 *1 (-1167 *4)))) (-1701 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-634 (-634 (-634 *5)))) (-5 *3 (-1 (-121) *5 *5)) (-5 *4 (-634 *5)) (-4 *5 (-842)) (-5 *1 (-1167 *5)))) (-1290 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-121) *6 *6)) (-4 *6 (-842)) (-5 *4 (-634 *6)) (-5 *2 (-2 (|:| |fs| (-121)) (|:| |sd| *4) (|:| |td| (-634 *4)))) (-5 *1 (-1167 *6)) (-5 *5 (-634 *4))))) 
-(-10 -7 (-15 -1290 ((-2 (|:| |fs| (-121)) (|:| |sd| (-634 |#1|)) (|:| |td| (-634 (-634 |#1|)))) (-1 (-121) |#1| |#1|) (-634 |#1|) (-634 (-634 |#1|)))) (-15 -1701 ((-634 (-634 (-634 |#1|))) (-1 (-121) |#1| |#1|) (-634 |#1|) (-634 (-634 (-634 |#1|))))) (-15 -1661 ((-634 (-634 (-634 |#1|))) (-634 |#1|) (-634 (-634 (-634 |#1|))))) (-15 -1848 ((-634 (-634 |#1|)) (-634 (-634 |#1|)) (-634 (-634 (-634 |#1|))))) (-15 -3773 ((-634 (-634 |#1|)) (-634 (-634 (-634 |#1|))))) (-15 -3867 ((-634 (-634 |#1|)) (-1168 (-634 |#1|)))) (-15 -4369 ((-634 (-634 (-634 |#1|))) (-634 (-634 |#1|)))) (-15 -1577 ((-1168 (-634 |#1|)) (-634 |#1|))) (-15 -2755 ((-634 (-634 |#1|)) (-634 (-634 |#1|)))) (-15 -2731 ((-634 (-634 |#1|)) (-634 |#1|))) (-15 -2715 ((-634 |#1|) (-634 |#1|))) (-15 -1308 ((-2 (|:| |f1| (-634 |#1|)) (|:| |f2| (-634 (-634 (-634 |#1|)))) (|:| |f3| (-634 (-634 |#1|))) (|:| |f4| (-634 (-634 (-634 |#1|))))) (-634 |#1|) (-634 (-634 (-634 |#1|))) (-634 (-634 |#1|)) (-634 (-634 (-634 |#1|))) (-634 (-634 (-634 |#1|))) (-634 (-634 (-634 |#1|))))) (-15 -2486 ((-2 (|:| |f1| (-634 |#1|)) (|:| |f2| (-634 (-634 (-634 |#1|)))) (|:| |f3| (-634 (-634 |#1|))) (|:| |f4| (-634 (-634 (-634 |#1|))))) (-634 (-634 (-634 |#1|)))))) 
-((-2626 (($ (-634 (-634 |#1|))) 9)) (-1843 (((-634 (-634 |#1|)) $) 10)) (-2747 (((-850) $) 25))) 
-(((-1168 |#1|) (-10 -8 (-15 -2626 ($ (-634 (-634 |#1|)))) (-15 -1843 ((-634 (-634 |#1|)) $)) (-15 -2747 ((-850) $))) (-1090)) (T -1168)) 
-((-2747 (*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-1168 *3)) (-4 *3 (-1090)))) (-1843 (*1 *2 *1) (-12 (-5 *2 (-634 (-634 *3))) (-5 *1 (-1168 *3)) (-4 *3 (-1090)))) (-2626 (*1 *1 *2) (-12 (-5 *2 (-634 (-634 *3))) (-4 *3 (-1090)) (-5 *1 (-1168 *3))))) 
-(-10 -8 (-15 -2626 ($ (-634 (-634 |#1|)))) (-15 -1843 ((-634 (-634 |#1|)) $)) (-15 -2747 ((-850) $))) 
-((-2449 (((-121) $ $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-2988 (($) NIL) (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-2481 (((-1249) $ |#1| |#1|) NIL (|has| $ (-6 -4522)))) (-1667 (((-121) $ (-763)) NIL)) (-2438 ((|#2| $ |#1| |#2|) NIL)) (-3963 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-2803 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-2678 (((-3 |#2| "failed") |#1| $) NIL)) (-4490 (($) NIL T CONST)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))))) (-1568 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (|has| $ (-6 -4521))) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-3 |#2| "failed") |#1| $) NIL)) (-4330 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-3094 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (|has| $ (-6 -4521))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521)))) (-1292 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4522)))) (-2069 ((|#2| $ |#1|) NIL)) (-3317 (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-634 |#2|) $) NIL (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) NIL)) (-2539 ((|#1| $) NIL (|has| |#1| (-842)))) (-4406 (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-634 |#2|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-3631 ((|#1| $) NIL (|has| |#1| (-842)))) (-2253 (($ (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4522))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-4253 (((-634 |#1|) $) NIL)) (-2807 (((-121) |#1| $) NIL)) (-2580 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL)) (-1708 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL)) (-3948 (((-634 |#1|) $) NIL)) (-2916 (((-121) |#1| $) NIL)) (-4025 (((-1108) $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-3877 ((|#2| $) NIL (|has| |#1| (-842)))) (-2712 (((-3 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) "failed") (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL)) (-2490 (($ $ |#2|) NIL (|has| $ (-6 -4522)))) (-3403 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL)) (-3951 (((-121) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-288 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-634 |#2|) (-634 |#2|)) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-288 |#2|)) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-634 (-288 |#2|))) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-1480 (((-634 |#2|) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-3132 (($) NIL) (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-4170 (((-763) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-763) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) NIL (-12 (|has| $ (-6 -4521)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (((-763) |#2| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090)))) (((-763) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) NIL (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-609 (-541))))) (-4289 (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-2747 (((-850) $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-4074 (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) NIL)) (-3437 (((-121) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) NIL (|has| $ (-6 -4521))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) NIL (-2199 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| |#2| (-1090))))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-1169 |#1| |#2|) (-13 (-1172 |#1| |#2|) (-10 -7 (-6 -4521))) (-1090) (-1090)) (T -1169)) 
-NIL 
-(-13 (-1172 |#1| |#2|) (-10 -7 (-6 -4521))) 
-((-1547 ((|#1| (-634 |#1|)) 32)) (-2909 ((|#1| |#1| (-568)) 18)) (-1596 (((-1157 |#1|) |#1| (-917)) 15))) 
-(((-1170 |#1|) (-10 -7 (-15 -1547 (|#1| (-634 |#1|))) (-15 -1596 ((-1157 |#1|) |#1| (-917))) (-15 -2909 (|#1| |#1| (-568)))) (-365)) (T -1170)) 
-((-2909 (*1 *2 *2 *3) (-12 (-5 *3 (-568)) (-5 *1 (-1170 *2)) (-4 *2 (-365)))) (-1596 (*1 *2 *3 *4) (-12 (-5 *4 (-917)) (-5 *2 (-1157 *3)) (-5 *1 (-1170 *3)) (-4 *3 (-365)))) (-1547 (*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-5 *1 (-1170 *2)) (-4 *2 (-365))))) 
-(-10 -7 (-15 -1547 (|#1| (-634 |#1|))) (-15 -1596 ((-1157 |#1|) |#1| (-917))) (-15 -2909 (|#1| |#1| (-568)))) 
-((-2988 (($) 10) (($ (-634 (-2 (|:| -3651 |#2|) (|:| -4085 |#3|)))) 14)) (-1568 (($ (-2 (|:| -3651 |#2|) (|:| -4085 |#3|)) $) 60) (($ (-1 (-121) (-2 (|:| -3651 |#2|) (|:| -4085 |#3|))) $) NIL) (((-3 |#3| "failed") |#2| $) NIL)) (-3317 (((-634 (-2 (|:| -3651 |#2|) (|:| -4085 |#3|))) $) 39) (((-634 |#3|) $) 41)) (-2253 (($ (-1 (-2 (|:| -3651 |#2|) (|:| -4085 |#3|)) (-2 (|:| -3651 |#2|) (|:| -4085 |#3|))) $) 52) (($ (-1 |#3| |#3|) $) 33)) (-2797 (($ (-1 (-2 (|:| -3651 |#2|) (|:| -4085 |#3|)) (-2 (|:| -3651 |#2|) (|:| -4085 |#3|))) $) 50) (($ (-1 |#3| |#3|) $) NIL) (($ (-1 |#3| |#3| |#3|) $ $) 38)) (-2580 (((-2 (|:| -3651 |#2|) (|:| -4085 |#3|)) $) 53)) (-1708 (($ (-2 (|:| -3651 |#2|) (|:| -4085 |#3|)) $) 16)) (-3948 (((-634 |#2|) $) 19)) (-2916 (((-121) |#2| $) 58)) (-2712 (((-3 (-2 (|:| -3651 |#2|) (|:| -4085 |#3|)) "failed") (-1 (-121) (-2 (|:| -3651 |#2|) (|:| -4085 |#3|))) $) 57)) (-3403 (((-2 (|:| -3651 |#2|) (|:| -4085 |#3|)) $) 62)) (-3951 (((-121) (-1 (-121) (-2 (|:| -3651 |#2|) (|:| -4085 |#3|))) $) NIL) (((-121) (-1 (-121) |#3|) $) 65)) (-1480 (((-634 |#3|) $) 43)) (-2781 ((|#3| $ |#2|) 30) ((|#3| $ |#2| |#3|) 31)) (-4170 (((-763) (-1 (-121) (-2 (|:| -3651 |#2|) (|:| -4085 |#3|))) $) NIL) (((-763) (-2 (|:| -3651 |#2|) (|:| -4085 |#3|)) $) NIL) (((-763) |#3| $) NIL) (((-763) (-1 (-121) |#3|) $) 66)) (-2747 (((-850) $) 27)) (-3437 (((-121) (-1 (-121) (-2 (|:| -3651 |#2|) (|:| -4085 |#3|))) $) NIL) (((-121) (-1 (-121) |#3|) $) 64)) (-1719 (((-121) $ $) 48))) 
-(((-1171 |#1| |#2| |#3|) (-10 -8 (-15 -1719 ((-121) |#1| |#1|)) (-15 -2747 ((-850) |#1|)) (-15 -2797 (|#1| (-1 |#3| |#3| |#3|) |#1| |#1|)) (-15 -2988 (|#1| (-634 (-2 (|:| -3651 |#2|) (|:| -4085 |#3|))))) (-15 -2988 (|#1|)) (-15 -2797 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -2253 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -3437 ((-121) (-1 (-121) |#3|) |#1|)) (-15 -3951 ((-121) (-1 (-121) |#3|) |#1|)) (-15 -4170 ((-763) (-1 (-121) |#3|) |#1|)) (-15 -3317 ((-634 |#3|) |#1|)) (-15 -4170 ((-763) |#3| |#1|)) (-15 -2781 (|#3| |#1| |#2| |#3|)) (-15 -2781 (|#3| |#1| |#2|)) (-15 -1480 ((-634 |#3|) |#1|)) (-15 -2916 ((-121) |#2| |#1|)) (-15 -3948 ((-634 |#2|) |#1|)) (-15 -1568 ((-3 |#3| "failed") |#2| |#1|)) (-15 -1568 (|#1| (-1 (-121) (-2 (|:| -3651 |#2|) (|:| -4085 |#3|))) |#1|)) (-15 -1568 (|#1| (-2 (|:| -3651 |#2|) (|:| -4085 |#3|)) |#1|)) (-15 -2712 ((-3 (-2 (|:| -3651 |#2|) (|:| -4085 |#3|)) "failed") (-1 (-121) (-2 (|:| -3651 |#2|) (|:| -4085 |#3|))) |#1|)) (-15 -2580 ((-2 (|:| -3651 |#2|) (|:| -4085 |#3|)) |#1|)) (-15 -1708 (|#1| (-2 (|:| -3651 |#2|) (|:| -4085 |#3|)) |#1|)) (-15 -3403 ((-2 (|:| -3651 |#2|) (|:| -4085 |#3|)) |#1|)) (-15 -4170 ((-763) (-2 (|:| -3651 |#2|) (|:| -4085 |#3|)) |#1|)) (-15 -3317 ((-634 (-2 (|:| -3651 |#2|) (|:| -4085 |#3|))) |#1|)) (-15 -4170 ((-763) (-1 (-121) (-2 (|:| -3651 |#2|) (|:| -4085 |#3|))) |#1|)) (-15 -3951 ((-121) (-1 (-121) (-2 (|:| -3651 |#2|) (|:| -4085 |#3|))) |#1|)) (-15 -3437 ((-121) (-1 (-121) (-2 (|:| -3651 |#2|) (|:| -4085 |#3|))) |#1|)) (-15 -2253 (|#1| (-1 (-2 (|:| -3651 |#2|) (|:| -4085 |#3|)) (-2 (|:| -3651 |#2|) (|:| -4085 |#3|))) |#1|)) (-15 -2797 (|#1| (-1 (-2 (|:| -3651 |#2|) (|:| -4085 |#3|)) (-2 (|:| -3651 |#2|) (|:| -4085 |#3|))) |#1|))) (-1172 |#2| |#3|) (-1090) (-1090)) (T -1171)) 
-NIL 
-(-10 -8 (-15 -1719 ((-121) |#1| |#1|)) (-15 -2747 ((-850) |#1|)) (-15 -2797 (|#1| (-1 |#3| |#3| |#3|) |#1| |#1|)) (-15 -2988 (|#1| (-634 (-2 (|:| -3651 |#2|) (|:| -4085 |#3|))))) (-15 -2988 (|#1|)) (-15 -2797 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -2253 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -3437 ((-121) (-1 (-121) |#3|) |#1|)) (-15 -3951 ((-121) (-1 (-121) |#3|) |#1|)) (-15 -4170 ((-763) (-1 (-121) |#3|) |#1|)) (-15 -3317 ((-634 |#3|) |#1|)) (-15 -4170 ((-763) |#3| |#1|)) (-15 -2781 (|#3| |#1| |#2| |#3|)) (-15 -2781 (|#3| |#1| |#2|)) (-15 -1480 ((-634 |#3|) |#1|)) (-15 -2916 ((-121) |#2| |#1|)) (-15 -3948 ((-634 |#2|) |#1|)) (-15 -1568 ((-3 |#3| "failed") |#2| |#1|)) (-15 -1568 (|#1| (-1 (-121) (-2 (|:| -3651 |#2|) (|:| -4085 |#3|))) |#1|)) (-15 -1568 (|#1| (-2 (|:| -3651 |#2|) (|:| -4085 |#3|)) |#1|)) (-15 -2712 ((-3 (-2 (|:| -3651 |#2|) (|:| -4085 |#3|)) "failed") (-1 (-121) (-2 (|:| -3651 |#2|) (|:| -4085 |#3|))) |#1|)) (-15 -2580 ((-2 (|:| -3651 |#2|) (|:| -4085 |#3|)) |#1|)) (-15 -1708 (|#1| (-2 (|:| -3651 |#2|) (|:| -4085 |#3|)) |#1|)) (-15 -3403 ((-2 (|:| -3651 |#2|) (|:| -4085 |#3|)) |#1|)) (-15 -4170 ((-763) (-2 (|:| -3651 |#2|) (|:| -4085 |#3|)) |#1|)) (-15 -3317 ((-634 (-2 (|:| -3651 |#2|) (|:| -4085 |#3|))) |#1|)) (-15 -4170 ((-763) (-1 (-121) (-2 (|:| -3651 |#2|) (|:| -4085 |#3|))) |#1|)) (-15 -3951 ((-121) (-1 (-121) (-2 (|:| -3651 |#2|) (|:| -4085 |#3|))) |#1|)) (-15 -3437 ((-121) (-1 (-121) (-2 (|:| -3651 |#2|) (|:| -4085 |#3|))) |#1|)) (-15 -2253 (|#1| (-1 (-2 (|:| -3651 |#2|) (|:| -4085 |#3|)) (-2 (|:| -3651 |#2|) (|:| -4085 |#3|))) |#1|)) (-15 -2797 (|#1| (-1 (-2 (|:| -3651 |#2|) (|:| -4085 |#3|)) (-2 (|:| -3651 |#2|) (|:| -4085 |#3|))) |#1|))) 
-((-2449 (((-121) $ $) 18 (-2199 (|has| |#2| (-1090)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))))) (-2988 (($) 66) (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) 65)) (-2481 (((-1249) $ |#1| |#1|) 93 (|has| $ (-6 -4522)))) (-1667 (((-121) $ (-763)) 8)) (-2438 ((|#2| $ |#1| |#2|) 67)) (-3963 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 42 (|has| $ (-6 -4521)))) (-2803 (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 52 (|has| $ (-6 -4521)))) (-2678 (((-3 |#2| "failed") |#1| $) 57)) (-4490 (($) 7 T CONST)) (-3926 (($ $) 55 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| $ (-6 -4521))))) (-1568 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 44 (|has| $ (-6 -4521))) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 43 (|has| $ (-6 -4521))) (((-3 |#2| "failed") |#1| $) 58)) (-4330 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 54 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| $ (-6 -4521)))) (($ (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 51 (|has| $ (-6 -4521)))) (-3094 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 53 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| $ (-6 -4521)))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 50 (|has| $ (-6 -4521))) (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 49 (|has| $ (-6 -4521)))) (-1292 ((|#2| $ |#1| |#2|) 81 (|has| $ (-6 -4522)))) (-2069 ((|#2| $ |#1|) 82)) (-3317 (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 30 (|has| $ (-6 -4521))) (((-634 |#2|) $) 73 (|has| $ (-6 -4521)))) (-3791 (((-121) $ (-763)) 9)) (-2539 ((|#1| $) 90 (|has| |#1| (-842)))) (-4406 (((-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 29 (|has| $ (-6 -4521))) (((-634 |#2|) $) 74 (|has| $ (-6 -4521)))) (-2551 (((-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 27 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| $ (-6 -4521)))) (((-121) |#2| $) 76 (-12 (|has| |#2| (-1090)) (|has| $ (-6 -4521))))) (-3631 ((|#1| $) 89 (|has| |#1| (-842)))) (-2253 (($ (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 34 (|has| $ (-6 -4522))) (($ (-1 |#2| |#2|) $) 69 (|has| $ (-6 -4522)))) (-2797 (($ (-1 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 35) (($ (-1 |#2| |#2|) $) 68) (($ (-1 |#2| |#2| |#2|) $ $) 64)) (-3796 (((-121) $ (-763)) 10)) (-1893 (((-1143) $) 22 (-2199 (|has| |#2| (-1090)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))))) (-4253 (((-634 |#1|) $) 59)) (-2807 (((-121) |#1| $) 60)) (-2580 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 36)) (-1708 (($ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 37)) (-3948 (((-634 |#1|) $) 87)) (-2916 (((-121) |#1| $) 86)) (-4025 (((-1108) $) 21 (-2199 (|has| |#2| (-1090)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))))) (-3877 ((|#2| $) 91 (|has| |#1| (-842)))) (-2712 (((-3 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) "failed") (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 48)) (-2490 (($ $ |#2|) 92 (|has| $ (-6 -4522)))) (-3403 (((-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 38)) (-3951 (((-121) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 32 (|has| $ (-6 -4521))) (((-121) (-1 (-121) |#2|) $) 71 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))))) 26 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-288 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) 25 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) 24 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) 23 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)))) (($ $ (-634 |#2|) (-634 |#2|)) 80 (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ |#2| |#2|) 79 (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-288 |#2|)) 78 (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090)))) (($ $ (-634 (-288 |#2|))) 77 (-12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))))) (-1702 (((-121) $ $) 14)) (-1801 (((-121) |#2| $) 88 (-12 (|has| $ (-6 -4521)) (|has| |#2| (-1090))))) (-1480 (((-634 |#2|) $) 85)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-2781 ((|#2| $ |#1|) 84) ((|#2| $ |#1| |#2|) 83)) (-3132 (($) 46) (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) 45)) (-4170 (((-763) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 31 (|has| $ (-6 -4521))) (((-763) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) $) 28 (-12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090)) (|has| $ (-6 -4521)))) (((-763) |#2| $) 75 (-12 (|has| |#2| (-1090)) (|has| $ (-6 -4521)))) (((-763) (-1 (-121) |#2|) $) 72 (|has| $ (-6 -4521)))) (-3865 (($ $) 13)) (-4280 (((-541) $) 56 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-609 (-541))))) (-4289 (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) 47)) (-2747 (((-850) $) 20 (-2199 (|has| |#2| (-1090)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))))) (-4074 (($ (-634 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) 39)) (-3437 (((-121) (-1 (-121) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) $) 33 (|has| $ (-6 -4521))) (((-121) (-1 (-121) |#2|) $) 70 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 19 (-2199 (|has| |#2| (-1090)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-1172 |#1| |#2|) (-1275) (-1090) (-1090)) (T -1172)) 
-((-2438 (*1 *2 *1 *3 *2) (-12 (-4 *1 (-1172 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-1090)))) (-2988 (*1 *1) (-12 (-4 *1 (-1172 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-1090)))) (-2988 (*1 *1 *2) (-12 (-5 *2 (-634 (-2 (|:| -3651 *3) (|:| -4085 *4)))) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *1 (-1172 *3 *4)))) (-2797 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *4 *4 *4)) (-4 *1 (-1172 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090))))) 
-(-13 (-605 |t#1| |t#2|) (-601 |t#1| |t#2|) (-10 -8 (-15 -2438 (|t#2| $ |t#1| |t#2|)) (-15 -2988 ($)) (-15 -2988 ($ (-634 (-2 (|:| -3651 |t#1|) (|:| -4085 |t#2|))))) (-15 -2797 ($ (-1 |t#2| |t#2| |t#2|) $ $)))) 
-(((-39) . T) ((-111 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((-105) -2199 (|has| |#2| (-1090)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))) ((-608 (-850)) -2199 (|has| |#2| (-1090)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))) ((-154 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((-609 (-541)) |has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-609 (-541))) ((-221 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((-227 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((-281 |#1| |#2|) . T) ((-283 |#1| |#2|) . T) ((-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) -12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))) ((-303 |#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))) ((-499 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) . T) ((-499 |#2|) . T) ((-601 |#1| |#2|) . T) ((-523 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-2 (|:| -3651 |#1|) (|:| -4085 |#2|))) -12 (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-303 (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)))) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))) ((-523 |#2| |#2|) -12 (|has| |#2| (-303 |#2|)) (|has| |#2| (-1090))) ((-605 |#1| |#2|) . T) ((-1090) -2199 (|has| |#2| (-1090)) (|has| (-2 (|:| -3651 |#1|) (|:| -4085 |#2|)) (-1090))) ((-1195) . T)) 
-((-3640 (((-121)) 24)) (-1376 (((-1249) (-1143)) 26)) (-2884 (((-121)) 36)) (-1553 (((-1249)) 34)) (-3881 (((-1249) (-1143) (-1143)) 25)) (-2181 (((-121)) 37)) (-1708 (((-1249) |#1| |#2|) 44)) (-1392 (((-1249)) 20)) (-3037 (((-3 |#2| "failed") |#1|) 42)) (-2949 (((-1249)) 35))) 
-(((-1173 |#1| |#2|) (-10 -7 (-15 -1392 ((-1249))) (-15 -3881 ((-1249) (-1143) (-1143))) (-15 -1376 ((-1249) (-1143))) (-15 -1553 ((-1249))) (-15 -2949 ((-1249))) (-15 -3640 ((-121))) (-15 -2884 ((-121))) (-15 -2181 ((-121))) (-15 -3037 ((-3 |#2| "failed") |#1|)) (-15 -1708 ((-1249) |#1| |#2|))) (-1090) (-1090)) (T -1173)) 
-((-1708 (*1 *2 *3 *4) (-12 (-5 *2 (-1249)) (-5 *1 (-1173 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090)))) (-3037 (*1 *2 *3) (|partial| -12 (-4 *2 (-1090)) (-5 *1 (-1173 *3 *2)) (-4 *3 (-1090)))) (-2181 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1173 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090)))) (-2884 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1173 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090)))) (-3640 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1173 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090)))) (-2949 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-1173 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090)))) (-1553 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-1173 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090)))) (-1376 (*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1173 *4 *5)) (-4 *4 (-1090)) (-4 *5 (-1090)))) (-3881 (*1 *2 *3 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1173 *4 *5)) (-4 *4 (-1090)) (-4 *5 (-1090)))) (-1392 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-1173 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090))))) 
-(-10 -7 (-15 -1392 ((-1249))) (-15 -3881 ((-1249) (-1143) (-1143))) (-15 -1376 ((-1249) (-1143))) (-15 -1553 ((-1249))) (-15 -2949 ((-1249))) (-15 -3640 ((-121))) (-15 -2884 ((-121))) (-15 -2181 ((-121))) (-15 -3037 ((-3 |#2| "failed") |#1|)) (-15 -1708 ((-1249) |#1| |#2|))) 
-((-2106 (((-1143) (-1143)) 18)) (-3067 (((-57) (-1143)) 21))) 
-(((-1174) (-10 -7 (-15 -3067 ((-57) (-1143))) (-15 -2106 ((-1143) (-1143))))) (T -1174)) 
-((-2106 (*1 *2 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-1174)))) (-3067 (*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-57)) (-5 *1 (-1174))))) 
-(-10 -7 (-15 -3067 ((-57) (-1143))) (-15 -2106 ((-1143) (-1143)))) 
-((-2747 (((-1176) |#1|) 11))) 
-(((-1175 |#1|) (-10 -7 (-15 -2747 ((-1176) |#1|))) (-1090)) (T -1175)) 
-((-2747 (*1 *2 *3) (-12 (-5 *2 (-1176)) (-5 *1 (-1175 *3)) (-4 *3 (-1090))))) 
-(-10 -7 (-15 -2747 ((-1176) |#1|))) 
-((-2449 (((-121) $ $) NIL)) (-3397 (((-634 (-1143)) $) 33)) (-3406 (((-634 (-1143)) $ (-634 (-1143))) 36)) (-3547 (((-634 (-1143)) $ (-634 (-1143))) 35)) (-1389 (((-634 (-1143)) $ (-634 (-1143))) 37)) (-4228 (((-634 (-1143)) $) 32)) (-1851 (($) 22)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-1907 (((-634 (-1143)) $) 34)) (-4127 (((-1249) $ (-568)) 29) (((-1249) $) 30)) (-4280 (($ (-850) (-568)) 26) (($ (-850) (-568) (-850)) NIL)) (-2747 (((-850) $) 39) (($ (-850)) 24)) (-1719 (((-121) $ $) NIL))) 
-(((-1176) (-13 (-1090) (-10 -8 (-15 -2747 ($ (-850))) (-15 -4280 ($ (-850) (-568))) (-15 -4280 ($ (-850) (-568) (-850))) (-15 -4127 ((-1249) $ (-568))) (-15 -4127 ((-1249) $)) (-15 -1907 ((-634 (-1143)) $)) (-15 -3397 ((-634 (-1143)) $)) (-15 -1851 ($)) (-15 -4228 ((-634 (-1143)) $)) (-15 -1389 ((-634 (-1143)) $ (-634 (-1143)))) (-15 -3406 ((-634 (-1143)) $ (-634 (-1143)))) (-15 -3547 ((-634 (-1143)) $ (-634 (-1143))))))) (T -1176)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-850)) (-5 *1 (-1176)))) (-4280 (*1 *1 *2 *3) (-12 (-5 *2 (-850)) (-5 *3 (-568)) (-5 *1 (-1176)))) (-4280 (*1 *1 *2 *3 *2) (-12 (-5 *2 (-850)) (-5 *3 (-568)) (-5 *1 (-1176)))) (-4127 (*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-5 *2 (-1249)) (-5 *1 (-1176)))) (-4127 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-1176)))) (-1907 (*1 *2 *1) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-1176)))) (-3397 (*1 *2 *1) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-1176)))) (-1851 (*1 *1) (-5 *1 (-1176))) (-4228 (*1 *2 *1) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-1176)))) (-1389 (*1 *2 *1 *2) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-1176)))) (-3406 (*1 *2 *1 *2) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-1176)))) (-3547 (*1 *2 *1 *2) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-1176))))) 
-(-13 (-1090) (-10 -8 (-15 -2747 ($ (-850))) (-15 -4280 ($ (-850) (-568))) (-15 -4280 ($ (-850) (-568) (-850))) (-15 -4127 ((-1249) $ (-568))) (-15 -4127 ((-1249) $)) (-15 -1907 ((-634 (-1143)) $)) (-15 -3397 ((-634 (-1143)) $)) (-15 -1851 ($)) (-15 -4228 ((-634 (-1143)) $)) (-15 -1389 ((-634 (-1143)) $ (-634 (-1143)))) (-15 -3406 ((-634 (-1143)) $ (-634 (-1143)))) (-15 -3547 ((-634 (-1143)) $ (-634 (-1143)))))) 
-((-2449 (((-121) $ $) NIL)) (-2117 (((-1143) $ (-1143)) 15) (((-1143) $) 14)) (-3637 (((-1143) $ (-1143)) 13)) (-1672 (($ $ (-1143)) NIL)) (-2555 (((-3 (-1143) "failed") $) 11)) (-1911 (((-1143) $) 8)) (-1933 (((-3 (-1143) "failed") $) 12)) (-4379 (((-1143) $) 9)) (-2133 (($ (-390)) NIL) (($ (-390) (-1143)) NIL)) (-3393 (((-390) $) NIL)) (-1893 (((-1143) $) NIL)) (-4249 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-3919 (((-1249) $) NIL)) (-2821 (((-121) $) 17)) (-2747 (((-850) $) NIL)) (-3171 (($ $) NIL)) (-1719 (((-121) $ $) NIL))) 
-(((-1177) (-13 (-366 (-390) (-1143)) (-10 -8 (-15 -2117 ((-1143) $ (-1143))) (-15 -2117 ((-1143) $)) (-15 -1911 ((-1143) $)) (-15 -2555 ((-3 (-1143) "failed") $)) (-15 -1933 ((-3 (-1143) "failed") $)) (-15 -2821 ((-121) $))))) (T -1177)) 
-((-2117 (*1 *2 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-1177)))) (-2117 (*1 *2 *1) (-12 (-5 *2 (-1143)) (-5 *1 (-1177)))) (-1911 (*1 *2 *1) (-12 (-5 *2 (-1143)) (-5 *1 (-1177)))) (-2555 (*1 *2 *1) (|partial| -12 (-5 *2 (-1143)) (-5 *1 (-1177)))) (-1933 (*1 *2 *1) (|partial| -12 (-5 *2 (-1143)) (-5 *1 (-1177)))) (-2821 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1177))))) 
-(-13 (-366 (-390) (-1143)) (-10 -8 (-15 -2117 ((-1143) $ (-1143))) (-15 -2117 ((-1143) $)) (-15 -1911 ((-1143) $)) (-15 -2555 ((-3 (-1143) "failed") $)) (-15 -1933 ((-3 (-1143) "failed") $)) (-15 -2821 ((-121) $)))) 
-((-3337 (((-3 (-568) "failed") |#1|) 19)) (-3681 (((-3 (-568) "failed") |#1|) 13)) (-2899 (((-568) (-1143)) 28))) 
-(((-1178 |#1|) (-10 -7 (-15 -3337 ((-3 (-568) "failed") |#1|)) (-15 -3681 ((-3 (-568) "failed") |#1|)) (-15 -2899 ((-568) (-1143)))) (-1047)) (T -1178)) 
-((-2899 (*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-568)) (-5 *1 (-1178 *4)) (-4 *4 (-1047)))) (-3681 (*1 *2 *3) (|partial| -12 (-5 *2 (-568)) (-5 *1 (-1178 *3)) (-4 *3 (-1047)))) (-3337 (*1 *2 *3) (|partial| -12 (-5 *2 (-568)) (-5 *1 (-1178 *3)) (-4 *3 (-1047))))) 
-(-10 -7 (-15 -3337 ((-3 (-568) "failed") |#1|)) (-15 -3681 ((-3 (-568) "failed") |#1|)) (-15 -2899 ((-568) (-1143)))) 
-((-3117 (((-1121 (-215))) 8))) 
-(((-1179) (-10 -7 (-15 -3117 ((-1121 (-215)))))) (T -1179)) 
-((-3117 (*1 *2) (-12 (-5 *2 (-1121 (-215))) (-5 *1 (-1179))))) 
-(-10 -7 (-15 -3117 ((-1121 (-215))))) 
-((-1899 (($) 11)) (-2008 (($ $) 35)) (-2000 (($ $) 33)) (-1951 (($ $) 25)) (-2016 (($ $) 17)) (-1439 (($ $) 15)) (-2012 (($ $) 19)) (-1964 (($ $) 30)) (-2004 (($ $) 34)) (-1955 (($ $) 29))) 
-(((-1180 |#1|) (-10 -8 (-15 -1899 (|#1|)) (-15 -2008 (|#1| |#1|)) (-15 -2000 (|#1| |#1|)) (-15 -2016 (|#1| |#1|)) (-15 -1439 (|#1| |#1|)) (-15 -2012 (|#1| |#1|)) (-15 -2004 (|#1| |#1|)) (-15 -1951 (|#1| |#1|)) (-15 -1964 (|#1| |#1|)) (-15 -1955 (|#1| |#1|))) (-1181)) (T -1180)) 
-NIL 
-(-10 -8 (-15 -1899 (|#1|)) (-15 -2008 (|#1| |#1|)) (-15 -2000 (|#1| |#1|)) (-15 -2016 (|#1| |#1|)) (-15 -1439 (|#1| |#1|)) (-15 -2012 (|#1| |#1|)) (-15 -2004 (|#1| |#1|)) (-15 -1951 (|#1| |#1|)) (-15 -1964 (|#1| |#1|)) (-15 -1955 (|#1| |#1|))) 
-((-1984 (($ $) 26)) (-1935 (($ $) 11)) (-1976 (($ $) 27)) (-2788 (($ $) 10)) (-1992 (($ $) 28)) (-1943 (($ $) 9)) (-1899 (($) 16)) (-4418 (($ $) 19)) (-1894 (($ $) 18)) (-1996 (($ $) 29)) (-1947 (($ $) 8)) (-1988 (($ $) 30)) (-1939 (($ $) 7)) (-1980 (($ $) 31)) (-2792 (($ $) 6)) (-2008 (($ $) 20)) (-1959 (($ $) 32)) (-2000 (($ $) 21)) (-1951 (($ $) 33)) (-2016 (($ $) 22)) (-1968 (($ $) 34)) (-1439 (($ $) 23)) (-1972 (($ $) 35)) (-2012 (($ $) 24)) (-1964 (($ $) 36)) (-2004 (($ $) 25)) (-1955 (($ $) 37)) (** (($ $ $) 17))) 
-(((-1181) (-1275)) (T -1181)) 
-((-1899 (*1 *1) (-4 *1 (-1181)))) 
-(-13 (-1184) (-98) (-502) (-40) (-279) (-10 -8 (-15 -1899 ($)))) 
-(((-40) . T) ((-98) . T) ((-279) . T) ((-502) . T) ((-1184) . T)) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-2852 ((|#1| $) 17)) (-1533 (($ |#1| (-634 $)) 23) (($ (-634 |#1|)) 27) (($ |#1|) 25)) (-1667 (((-121) $ (-763)) 46)) (-3370 ((|#1| $ |#1|) 14 (|has| $ (-6 -4522)))) (-2438 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4522)))) (-1809 (($ $ (-634 $)) 13 (|has| $ (-6 -4522)))) (-4490 (($) NIL T CONST)) (-3317 (((-634 |#1|) $) 50 (|has| $ (-6 -4521)))) (-3534 (((-634 $) $) 41)) (-3606 (((-121) $ $) 32 (|has| |#1| (-1090)))) (-3791 (((-121) $ (-763)) 39)) (-4406 (((-634 |#1|) $) 51 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 49 (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-2253 (($ (-1 |#1| |#1|) $) 24 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 22)) (-3796 (((-121) $ (-763)) 38)) (-4081 (((-634 |#1|) $) 36)) (-3319 (((-121) $) 35)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-3951 (((-121) (-1 (-121) |#1|) $) 48 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 73)) (-2436 (((-121) $) 9)) (-1990 (($) 10)) (-2781 ((|#1| $ "value") NIL)) (-1665 (((-568) $ $) 31)) (-4387 (((-634 $) $) 57)) (-3265 (((-121) $ $) 75)) (-4002 (((-634 $) $) 70)) (-3064 (($ $) 71)) (-2763 (((-121) $) 54)) (-4170 (((-763) (-1 (-121) |#1|) $) 20 (|has| $ (-6 -4521))) (((-763) |#1| $) 16 (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3865 (($ $) 56)) (-2747 (((-850) $) 59 (|has| |#1| (-1090)))) (-3180 (((-634 $) $) 12)) (-3873 (((-121) $ $) 29 (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) 47 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 28 (|has| |#1| (-1090)))) (-1699 (((-763) $) 37 (|has| $ (-6 -4521))))) 
-(((-1182 |#1|) (-13 (-1010 |#1|) (-10 -8 (-6 -4521) (-6 -4522) (-15 -1533 ($ |#1| (-634 $))) (-15 -1533 ($ (-634 |#1|))) (-15 -1533 ($ |#1|)) (-15 -2763 ((-121) $)) (-15 -3064 ($ $)) (-15 -4002 ((-634 $) $)) (-15 -3265 ((-121) $ $)) (-15 -4387 ((-634 $) $)))) (-1090)) (T -1182)) 
-((-2763 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1182 *3)) (-4 *3 (-1090)))) (-1533 (*1 *1 *2 *3) (-12 (-5 *3 (-634 (-1182 *2))) (-5 *1 (-1182 *2)) (-4 *2 (-1090)))) (-1533 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-5 *1 (-1182 *3)))) (-1533 (*1 *1 *2) (-12 (-5 *1 (-1182 *2)) (-4 *2 (-1090)))) (-3064 (*1 *1 *1) (-12 (-5 *1 (-1182 *2)) (-4 *2 (-1090)))) (-4002 (*1 *2 *1) (-12 (-5 *2 (-634 (-1182 *3))) (-5 *1 (-1182 *3)) (-4 *3 (-1090)))) (-3265 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1182 *3)) (-4 *3 (-1090)))) (-4387 (*1 *2 *1) (-12 (-5 *2 (-634 (-1182 *3))) (-5 *1 (-1182 *3)) (-4 *3 (-1090))))) 
-(-13 (-1010 |#1|) (-10 -8 (-6 -4521) (-6 -4522) (-15 -1533 ($ |#1| (-634 $))) (-15 -1533 ($ (-634 |#1|))) (-15 -1533 ($ |#1|)) (-15 -2763 ((-121) $)) (-15 -3064 ($ $)) (-15 -4002 ((-634 $) $)) (-15 -3265 ((-121) $ $)) (-15 -4387 ((-634 $) $)))) 
-((-1935 (($ $) 15)) (-1943 (($ $) 12)) (-1947 (($ $) 10)) (-1939 (($ $) 17))) 
-(((-1183 |#1|) (-10 -8 (-15 -1939 (|#1| |#1|)) (-15 -1947 (|#1| |#1|)) (-15 -1943 (|#1| |#1|)) (-15 -1935 (|#1| |#1|))) (-1184)) (T -1183)) 
-NIL 
-(-10 -8 (-15 -1939 (|#1| |#1|)) (-15 -1947 (|#1| |#1|)) (-15 -1943 (|#1| |#1|)) (-15 -1935 (|#1| |#1|))) 
-((-1935 (($ $) 11)) (-2788 (($ $) 10)) (-1943 (($ $) 9)) (-1947 (($ $) 8)) (-1939 (($ $) 7)) (-2792 (($ $) 6))) 
-(((-1184) (-1275)) (T -1184)) 
-((-1935 (*1 *1 *1) (-4 *1 (-1184))) (-2788 (*1 *1 *1) (-4 *1 (-1184))) (-1943 (*1 *1 *1) (-4 *1 (-1184))) (-1947 (*1 *1 *1) (-4 *1 (-1184))) (-1939 (*1 *1 *1) (-4 *1 (-1184))) (-2792 (*1 *1 *1) (-4 *1 (-1184)))) 
-(-13 (-10 -8 (-15 -2792 ($ $)) (-15 -1939 ($ $)) (-15 -1947 ($ $)) (-15 -1943 ($ $)) (-15 -2788 ($ $)) (-15 -1935 ($ $)))) 
-((-2634 ((|#2| |#2|) 85)) (-4293 (((-121) |#2|) 25)) (-3859 ((|#2| |#2|) 29)) (-3868 ((|#2| |#2|) 31)) (-3758 ((|#2| |#2| (-1161)) 79) ((|#2| |#2|) 80)) (-2732 (((-169 |#2|) |#2|) 27)) (-2009 ((|#2| |#2| (-1161)) 81) ((|#2| |#2|) 82))) 
-(((-1185 |#1| |#2|) (-10 -7 (-15 -3758 (|#2| |#2|)) (-15 -3758 (|#2| |#2| (-1161))) (-15 -2009 (|#2| |#2|)) (-15 -2009 (|#2| |#2| (-1161))) (-15 -2634 (|#2| |#2|)) (-15 -3859 (|#2| |#2|)) (-15 -3868 (|#2| |#2|)) (-15 -4293 ((-121) |#2|)) (-15 -2732 ((-169 |#2|) |#2|))) (-13 (-453) (-842) (-1037 (-568)) (-630 (-568))) (-13 (-27) (-1181) (-432 |#1|))) (T -1185)) 
-((-2732 (*1 *2 *3) (-12 (-4 *4 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-169 *3)) (-5 *1 (-1185 *4 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *4))))) (-4293 (*1 *2 *3) (-12 (-4 *4 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-121)) (-5 *1 (-1185 *4 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *4))))) (-3868 (*1 *2 *2) (-12 (-4 *3 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-1185 *3 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *3))))) (-3859 (*1 *2 *2) (-12 (-4 *3 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-1185 *3 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *3))))) (-2634 (*1 *2 *2) (-12 (-4 *3 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-1185 *3 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *3))))) (-2009 (*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-1185 *4 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *4))))) (-2009 (*1 *2 *2) (-12 (-4 *3 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-1185 *3 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *3))))) (-3758 (*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-1185 *4 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *4))))) (-3758 (*1 *2 *2) (-12 (-4 *3 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-1185 *3 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *3)))))) 
-(-10 -7 (-15 -3758 (|#2| |#2|)) (-15 -3758 (|#2| |#2| (-1161))) (-15 -2009 (|#2| |#2|)) (-15 -2009 (|#2| |#2| (-1161))) (-15 -2634 (|#2| |#2|)) (-15 -3859 (|#2| |#2|)) (-15 -3868 (|#2| |#2|)) (-15 -4293 ((-121) |#2|)) (-15 -2732 ((-169 |#2|) |#2|))) 
-((-3559 ((|#4| |#4| |#1|) 27)) (-3630 ((|#4| |#4| |#1|) 28))) 
-(((-1186 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3559 (|#4| |#4| |#1|)) (-15 -3630 (|#4| |#4| |#1|))) (-558) (-375 |#1|) (-375 |#1|) (-677 |#1| |#2| |#3|)) (T -1186)) 
-((-3630 (*1 *2 *2 *3) (-12 (-4 *3 (-558)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *1 (-1186 *3 *4 *5 *2)) (-4 *2 (-677 *3 *4 *5)))) (-3559 (*1 *2 *2 *3) (-12 (-4 *3 (-558)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *1 (-1186 *3 *4 *5 *2)) (-4 *2 (-677 *3 *4 *5))))) 
-(-10 -7 (-15 -3559 (|#4| |#4| |#1|)) (-15 -3630 (|#4| |#4| |#1|))) 
-((-2396 ((|#2| |#2|) 132)) (-1927 ((|#2| |#2|) 129)) (-1908 ((|#2| |#2|) 120)) (-2050 ((|#2| |#2|) 117)) (-1493 ((|#2| |#2|) 125)) (-1512 ((|#2| |#2|) 113)) (-3663 ((|#2| |#2|) 42)) (-2720 ((|#2| |#2|) 93)) (-3267 ((|#2| |#2|) 73)) (-2738 ((|#2| |#2|) 127)) (-3079 ((|#2| |#2|) 115)) (-2986 ((|#2| |#2|) 137)) (-3752 ((|#2| |#2|) 135)) (-3947 ((|#2| |#2|) 136)) (-3420 ((|#2| |#2|) 134)) (-4416 ((|#2| |#2|) 146)) (-3887 ((|#2| |#2|) 30 (-12 (|has| |#2| (-609 (-887 |#1|))) (|has| |#2| (-881 |#1|)) (|has| |#1| (-609 (-887 |#1|))) (|has| |#1| (-881 |#1|))))) (-3610 ((|#2| |#2|) 74)) (-2056 ((|#2| |#2|) 138)) (-2791 ((|#2| |#2|) 139)) (-2446 ((|#2| |#2|) 126)) (-3309 ((|#2| |#2|) 114)) (-3178 ((|#2| |#2|) 133)) (-2676 ((|#2| |#2|) 131)) (-2683 ((|#2| |#2|) 121)) (-4111 ((|#2| |#2|) 119)) (-3249 ((|#2| |#2|) 123)) (-3388 ((|#2| |#2|) 111))) 
-(((-1187 |#1| |#2|) (-10 -7 (-15 -2791 (|#2| |#2|)) (-15 -3267 (|#2| |#2|)) (-15 -4416 (|#2| |#2|)) (-15 -2720 (|#2| |#2|)) (-15 -3663 (|#2| |#2|)) (-15 -3610 (|#2| |#2|)) (-15 -2056 (|#2| |#2|)) (-15 -3388 (|#2| |#2|)) (-15 -3249 (|#2| |#2|)) (-15 -2683 (|#2| |#2|)) (-15 -3178 (|#2| |#2|)) (-15 -3309 (|#2| |#2|)) (-15 -2446 (|#2| |#2|)) (-15 -3079 (|#2| |#2|)) (-15 -2738 (|#2| |#2|)) (-15 -1512 (|#2| |#2|)) (-15 -1493 (|#2| |#2|)) (-15 -1908 (|#2| |#2|)) (-15 -2396 (|#2| |#2|)) (-15 -2050 (|#2| |#2|)) (-15 -1927 (|#2| |#2|)) (-15 -4111 (|#2| |#2|)) (-15 -2676 (|#2| |#2|)) (-15 -3420 (|#2| |#2|)) (-15 -3752 (|#2| |#2|)) (-15 -3947 (|#2| |#2|)) (-15 -2986 (|#2| |#2|)) (IF (|has| |#1| (-881 |#1|)) (IF (|has| |#1| (-609 (-887 |#1|))) (IF (|has| |#2| (-609 (-887 |#1|))) (IF (|has| |#2| (-881 |#1|)) (-15 -3887 (|#2| |#2|)) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) (-13 (-842) (-453)) (-13 (-432 |#1|) (-1181))) (T -1187)) 
-((-3887 (*1 *2 *2) (-12 (-4 *3 (-609 (-887 *3))) (-4 *3 (-881 *3)) (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-609 (-887 *3))) (-4 *2 (-881 *3)) (-4 *2 (-13 (-432 *3) (-1181))))) (-2986 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181))))) (-3947 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181))))) (-3752 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181))))) (-3420 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181))))) (-2676 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181))))) (-4111 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181))))) (-1927 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181))))) (-2050 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181))))) (-2396 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181))))) (-1908 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181))))) (-1493 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181))))) (-1512 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181))))) (-2738 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181))))) (-3079 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181))))) (-2446 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181))))) (-3309 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181))))) (-3178 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181))))) (-2683 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181))))) (-3249 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181))))) (-3388 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181))))) (-2056 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181))))) (-3610 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181))))) (-3663 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181))))) (-2720 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181))))) (-4416 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181))))) (-3267 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181))))) (-2791 (*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(-10 -7 (-15 -2791 (|#2| |#2|)) (-15 -3267 (|#2| |#2|)) (-15 -4416 (|#2| |#2|)) (-15 -2720 (|#2| |#2|)) (-15 -3663 (|#2| |#2|)) (-15 -3610 (|#2| |#2|)) (-15 -2056 (|#2| |#2|)) (-15 -3388 (|#2| |#2|)) (-15 -3249 (|#2| |#2|)) (-15 -2683 (|#2| |#2|)) (-15 -3178 (|#2| |#2|)) (-15 -3309 (|#2| |#2|)) (-15 -2446 (|#2| |#2|)) (-15 -3079 (|#2| |#2|)) (-15 -2738 (|#2| |#2|)) (-15 -1512 (|#2| |#2|)) (-15 -1493 (|#2| |#2|)) (-15 -1908 (|#2| |#2|)) (-15 -2396 (|#2| |#2|)) (-15 -2050 (|#2| |#2|)) (-15 -1927 (|#2| |#2|)) (-15 -4111 (|#2| |#2|)) (-15 -2676 (|#2| |#2|)) (-15 -3420 (|#2| |#2|)) (-15 -3752 (|#2| |#2|)) (-15 -3947 (|#2| |#2|)) (-15 -2986 (|#2| |#2|)) (IF (|has| |#1| (-881 |#1|)) (IF (|has| |#1| (-609 (-887 |#1|))) (IF (|has| |#2| (-609 (-887 |#1|))) (IF (|has| |#2| (-881 |#1|)) (-15 -3887 (|#2| |#2|)) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) 
-((-4231 (((-121) |#5| $) 59) (((-121) $) 101)) (-3767 ((|#5| |#5| $) 74)) (-2803 (($ (-1 (-121) |#5|) $) NIL) (((-3 |#5| "failed") $ |#4|) 118)) (-2941 (((-634 |#5|) (-634 |#5|) $ (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|)) 72)) (-3668 (((-3 $ "failed") (-634 |#5|)) 125)) (-3936 (((-3 $ "failed") $) 111)) (-3255 ((|#5| |#5| $) 93)) (-1359 (((-121) |#5| $ (-1 (-121) |#5| |#5|)) 30)) (-3434 ((|#5| |#5| $) 97)) (-3094 ((|#5| (-1 |#5| |#5| |#5|) $ |#5| |#5|) NIL) ((|#5| (-1 |#5| |#5| |#5|) $ |#5|) NIL) ((|#5| (-1 |#5| |#5| |#5|) $) NIL) ((|#5| |#5| $ (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|)) 68)) (-3158 (((-2 (|:| -4094 (-634 |#5|)) (|:| -2133 (-634 |#5|))) $) 54)) (-3764 (((-121) |#5| $) 57) (((-121) $) 102)) (-4001 ((|#4| $) 107)) (-4164 (((-3 |#5| "failed") $) 109)) (-3882 (((-634 |#5|) $) 48)) (-2157 (((-121) |#5| $) 66) (((-121) $) 106)) (-1315 ((|#5| |#5| $) 80)) (-4342 (((-121) $ $) 26)) (-3236 (((-121) |#5| $) 62) (((-121) $) 104)) (-1452 ((|#5| |#5| $) 77)) (-3877 (((-3 |#5| "failed") $) 108)) (-2168 (($ $ |#5|) 126)) (-1836 (((-763) $) 51)) (-4289 (($ (-634 |#5|)) 123)) (-3206 (($ $ |#4|) 121)) (-2527 (($ $ |#4|) 120)) (-4392 (($ $) 119)) (-2747 (((-850) $) NIL) (((-634 |#5|) $) 112)) (-2524 (((-763) $) 129)) (-2835 (((-3 (-2 (|:| |bas| $) (|:| -2618 (-634 |#5|))) "failed") (-634 |#5|) (-1 (-121) |#5| |#5|)) 42) (((-3 (-2 (|:| |bas| $) (|:| -2618 (-634 |#5|))) "failed") (-634 |#5|) (-1 (-121) |#5|) (-1 (-121) |#5| |#5|)) 44)) (-2145 (((-121) $ (-1 (-121) |#5| (-634 |#5|))) 99)) (-3321 (((-634 |#4|) $) 114)) (-1413 (((-121) |#4| $) 117)) (-1719 (((-121) $ $) 19))) 
-(((-1188 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -2524 ((-763) |#1|)) (-15 -2168 (|#1| |#1| |#5|)) (-15 -2803 ((-3 |#5| "failed") |#1| |#4|)) (-15 -1413 ((-121) |#4| |#1|)) (-15 -3321 ((-634 |#4|) |#1|)) (-15 -3936 ((-3 |#1| "failed") |#1|)) (-15 -4164 ((-3 |#5| "failed") |#1|)) (-15 -3877 ((-3 |#5| "failed") |#1|)) (-15 -3434 (|#5| |#5| |#1|)) (-15 -4392 (|#1| |#1|)) (-15 -3255 (|#5| |#5| |#1|)) (-15 -1315 (|#5| |#5| |#1|)) (-15 -1452 (|#5| |#5| |#1|)) (-15 -3767 (|#5| |#5| |#1|)) (-15 -2941 ((-634 |#5|) (-634 |#5|) |#1| (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|))) (-15 -3094 (|#5| |#5| |#1| (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|))) (-15 -2157 ((-121) |#1|)) (-15 -3236 ((-121) |#1|)) (-15 -4231 ((-121) |#1|)) (-15 -2145 ((-121) |#1| (-1 (-121) |#5| (-634 |#5|)))) (-15 -2157 ((-121) |#5| |#1|)) (-15 -3236 ((-121) |#5| |#1|)) (-15 -4231 ((-121) |#5| |#1|)) (-15 -1359 ((-121) |#5| |#1| (-1 (-121) |#5| |#5|))) (-15 -3764 ((-121) |#1|)) (-15 -3764 ((-121) |#5| |#1|)) (-15 -3158 ((-2 (|:| -4094 (-634 |#5|)) (|:| -2133 (-634 |#5|))) |#1|)) (-15 -1836 ((-763) |#1|)) (-15 -3882 ((-634 |#5|) |#1|)) (-15 -2835 ((-3 (-2 (|:| |bas| |#1|) (|:| -2618 (-634 |#5|))) "failed") (-634 |#5|) (-1 (-121) |#5|) (-1 (-121) |#5| |#5|))) (-15 -2835 ((-3 (-2 (|:| |bas| |#1|) (|:| -2618 (-634 |#5|))) "failed") (-634 |#5|) (-1 (-121) |#5| |#5|))) (-15 -4342 ((-121) |#1| |#1|)) (-15 -3206 (|#1| |#1| |#4|)) (-15 -2527 (|#1| |#1| |#4|)) (-15 -4001 (|#4| |#1|)) (-15 -3668 ((-3 |#1| "failed") (-634 |#5|))) (-15 -2747 ((-634 |#5|) |#1|)) (-15 -4289 (|#1| (-634 |#5|))) (-15 -3094 (|#5| (-1 |#5| |#5| |#5|) |#1|)) (-15 -3094 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5|)) (-15 -2803 (|#1| (-1 (-121) |#5|) |#1|)) (-15 -3094 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5| |#5|)) (-15 -2747 ((-850) |#1|)) (-15 -1719 ((-121) |#1| |#1|))) (-1189 |#2| |#3| |#4| |#5|) (-558) (-788) (-842) (-1061 |#2| |#3| |#4|)) (T -1188)) 
-NIL 
-(-10 -8 (-15 -2524 ((-763) |#1|)) (-15 -2168 (|#1| |#1| |#5|)) (-15 -2803 ((-3 |#5| "failed") |#1| |#4|)) (-15 -1413 ((-121) |#4| |#1|)) (-15 -3321 ((-634 |#4|) |#1|)) (-15 -3936 ((-3 |#1| "failed") |#1|)) (-15 -4164 ((-3 |#5| "failed") |#1|)) (-15 -3877 ((-3 |#5| "failed") |#1|)) (-15 -3434 (|#5| |#5| |#1|)) (-15 -4392 (|#1| |#1|)) (-15 -3255 (|#5| |#5| |#1|)) (-15 -1315 (|#5| |#5| |#1|)) (-15 -1452 (|#5| |#5| |#1|)) (-15 -3767 (|#5| |#5| |#1|)) (-15 -2941 ((-634 |#5|) (-634 |#5|) |#1| (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|))) (-15 -3094 (|#5| |#5| |#1| (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|))) (-15 -2157 ((-121) |#1|)) (-15 -3236 ((-121) |#1|)) (-15 -4231 ((-121) |#1|)) (-15 -2145 ((-121) |#1| (-1 (-121) |#5| (-634 |#5|)))) (-15 -2157 ((-121) |#5| |#1|)) (-15 -3236 ((-121) |#5| |#1|)) (-15 -4231 ((-121) |#5| |#1|)) (-15 -1359 ((-121) |#5| |#1| (-1 (-121) |#5| |#5|))) (-15 -3764 ((-121) |#1|)) (-15 -3764 ((-121) |#5| |#1|)) (-15 -3158 ((-2 (|:| -4094 (-634 |#5|)) (|:| -2133 (-634 |#5|))) |#1|)) (-15 -1836 ((-763) |#1|)) (-15 -3882 ((-634 |#5|) |#1|)) (-15 -2835 ((-3 (-2 (|:| |bas| |#1|) (|:| -2618 (-634 |#5|))) "failed") (-634 |#5|) (-1 (-121) |#5|) (-1 (-121) |#5| |#5|))) (-15 -2835 ((-3 (-2 (|:| |bas| |#1|) (|:| -2618 (-634 |#5|))) "failed") (-634 |#5|) (-1 (-121) |#5| |#5|))) (-15 -4342 ((-121) |#1| |#1|)) (-15 -3206 (|#1| |#1| |#4|)) (-15 -2527 (|#1| |#1| |#4|)) (-15 -4001 (|#4| |#1|)) (-15 -3668 ((-3 |#1| "failed") (-634 |#5|))) (-15 -2747 ((-634 |#5|) |#1|)) (-15 -4289 (|#1| (-634 |#5|))) (-15 -3094 (|#5| (-1 |#5| |#5| |#5|) |#1|)) (-15 -3094 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5|)) (-15 -2803 (|#1| (-1 (-121) |#5|) |#1|)) (-15 -3094 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5| |#5|)) (-15 -2747 ((-850) |#1|)) (-15 -1719 ((-121) |#1| |#1|))) 
-((-2449 (((-121) $ $) 7)) (-2213 (((-634 (-2 (|:| -4094 $) (|:| -2133 (-634 |#4|)))) (-634 |#4|)) 78)) (-2353 (((-634 $) (-634 |#4|)) 79)) (-2057 (((-634 |#3|) $) 32)) (-4141 (((-121) $) 25)) (-1794 (((-121) $) 16 (|has| |#1| (-558)))) (-4231 (((-121) |#4| $) 94) (((-121) $) 90)) (-3767 ((|#4| |#4| $) 85)) (-3647 (((-2 (|:| |under| $) (|:| -4115 $) (|:| |upper| $)) $ |#3|) 26)) (-1667 (((-121) $ (-763)) 43)) (-2803 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4521))) (((-3 |#4| "failed") $ |#3|) 72)) (-4490 (($) 44 T CONST)) (-4382 (((-121) $) 21 (|has| |#1| (-558)))) (-1880 (((-121) $ $) 23 (|has| |#1| (-558)))) (-2536 (((-121) $ $) 22 (|has| |#1| (-558)))) (-2343 (((-121) $) 24 (|has| |#1| (-558)))) (-2941 (((-634 |#4|) (-634 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-3993 (((-634 |#4|) (-634 |#4|) $) 17 (|has| |#1| (-558)))) (-2727 (((-634 |#4|) (-634 |#4|) $) 18 (|has| |#1| (-558)))) (-3668 (((-3 $ "failed") (-634 |#4|)) 35)) (-2857 (($ (-634 |#4|)) 34)) (-3936 (((-3 $ "failed") $) 75)) (-3255 ((|#4| |#4| $) 82)) (-3926 (($ $) 67 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521))))) (-4330 (($ |#4| $) 66 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4521)))) (-2607 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-558)))) (-1359 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-3434 ((|#4| |#4| $) 80)) (-3094 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4521))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4521))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-3158 (((-2 (|:| -4094 (-634 |#4|)) (|:| -2133 (-634 |#4|))) $) 98)) (-3317 (((-634 |#4|) $) 51 (|has| $ (-6 -4521)))) (-3764 (((-121) |#4| $) 97) (((-121) $) 96)) (-4001 ((|#3| $) 33)) (-3791 (((-121) $ (-763)) 42)) (-4406 (((-634 |#4|) $) 52 (|has| $ (-6 -4521)))) (-2551 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521))))) (-2253 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#4| |#4|) $) 46)) (-2249 (((-634 |#3|) $) 31)) (-1495 (((-121) |#3| $) 30)) (-3796 (((-121) $ (-763)) 41)) (-1893 (((-1143) $) 9)) (-4164 (((-3 |#4| "failed") $) 76)) (-3882 (((-634 |#4|) $) 100)) (-2157 (((-121) |#4| $) 92) (((-121) $) 88)) (-1315 ((|#4| |#4| $) 83)) (-4342 (((-121) $ $) 103)) (-1440 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-558)))) (-3236 (((-121) |#4| $) 93) (((-121) $) 89)) (-1452 ((|#4| |#4| $) 84)) (-4025 (((-1108) $) 10)) (-3877 (((-3 |#4| "failed") $) 77)) (-2712 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-3413 (((-3 $ "failed") $ |#4|) 71)) (-2168 (($ $ |#4|) 70)) (-3951 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 |#4|) (-634 |#4|)) 58 (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ (-288 |#4|)) 56 (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ (-634 (-288 |#4|))) 55 (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090))))) (-1702 (((-121) $ $) 37)) (-2436 (((-121) $) 40)) (-1990 (($) 39)) (-1836 (((-763) $) 99)) (-4170 (((-763) |#4| $) 53 (-12 (|has| |#4| (-1090)) (|has| $ (-6 -4521)))) (((-763) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4521)))) (-3865 (($ $) 38)) (-4280 (((-541) $) 68 (|has| |#4| (-609 (-541))))) (-4289 (($ (-634 |#4|)) 59)) (-3206 (($ $ |#3|) 27)) (-2527 (($ $ |#3|) 29)) (-4392 (($ $) 81)) (-4332 (($ $ |#3|) 28)) (-2747 (((-850) $) 11) (((-634 |#4|) $) 36)) (-2524 (((-763) $) 69 (|has| |#3| (-370)))) (-2835 (((-3 (-2 (|:| |bas| $) (|:| -2618 (-634 |#4|))) "failed") (-634 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -2618 (-634 |#4|))) "failed") (-634 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-2145 (((-121) $ (-1 (-121) |#4| (-634 |#4|))) 91)) (-3437 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4521)))) (-3321 (((-634 |#3|) $) 74)) (-1413 (((-121) |#3| $) 73)) (-1719 (((-121) $ $) 6)) (-1699 (((-763) $) 45 (|has| $ (-6 -4521))))) 
-(((-1189 |#1| |#2| |#3| |#4|) (-1275) (-558) (-788) (-842) (-1061 |t#1| |t#2| |t#3|)) (T -1189)) 
-((-4342 (*1 *2 *1 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-121)))) (-2835 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1 (-121) *8 *8)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-558)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-2 (|:| |bas| *1) (|:| -2618 (-634 *8)))) (-5 *3 (-634 *8)) (-4 *1 (-1189 *5 *6 *7 *8)))) (-2835 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 (-121) *9)) (-5 *5 (-1 (-121) *9 *9)) (-4 *9 (-1061 *6 *7 *8)) (-4 *6 (-558)) (-4 *7 (-788)) (-4 *8 (-842)) (-5 *2 (-2 (|:| |bas| *1) (|:| -2618 (-634 *9)))) (-5 *3 (-634 *9)) (-4 *1 (-1189 *6 *7 *8 *9)))) (-3882 (*1 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-634 *6)))) (-1836 (*1 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-763)))) (-3158 (*1 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-2 (|:| -4094 (-634 *6)) (|:| -2133 (-634 *6)))))) (-3764 (*1 *2 *3 *1) (-12 (-4 *1 (-1189 *4 *5 *6 *3)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-121)))) (-3764 (*1 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-121)))) (-1359 (*1 *2 *3 *1 *4) (-12 (-5 *4 (-1 (-121) *3 *3)) (-4 *1 (-1189 *5 *6 *7 *3)) (-4 *5 (-558)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-121)))) (-4231 (*1 *2 *3 *1) (-12 (-4 *1 (-1189 *4 *5 *6 *3)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-121)))) (-3236 (*1 *2 *3 *1) (-12 (-4 *1 (-1189 *4 *5 *6 *3)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-121)))) (-2157 (*1 *2 *3 *1) (-12 (-4 *1 (-1189 *4 *5 *6 *3)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-121)))) (-2145 (*1 *2 *1 *3) (-12 (-5 *3 (-1 (-121) *7 (-634 *7))) (-4 *1 (-1189 *4 *5 *6 *7)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-121)))) (-4231 (*1 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-121)))) (-3236 (*1 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-121)))) (-2157 (*1 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-121)))) (-3094 (*1 *2 *2 *1 *3 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *4 (-1 (-121) *2 *2)) (-4 *1 (-1189 *5 *6 *7 *2)) (-4 *5 (-558)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *2 (-1061 *5 *6 *7)))) (-2941 (*1 *2 *2 *1 *3 *4) (-12 (-5 *2 (-634 *8)) (-5 *3 (-1 *8 *8 *8)) (-5 *4 (-1 (-121) *8 *8)) (-4 *1 (-1189 *5 *6 *7 *8)) (-4 *5 (-558)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *8 (-1061 *5 *6 *7)))) (-3767 (*1 *2 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *2)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *2 (-1061 *3 *4 *5)))) (-1452 (*1 *2 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *2)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *2 (-1061 *3 *4 *5)))) (-1315 (*1 *2 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *2)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *2 (-1061 *3 *4 *5)))) (-3255 (*1 *2 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *2)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *2 (-1061 *3 *4 *5)))) (-4392 (*1 *1 *1) (-12 (-4 *1 (-1189 *2 *3 *4 *5)) (-4 *2 (-558)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *5 (-1061 *2 *3 *4)))) (-3434 (*1 *2 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *2)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *2 (-1061 *3 *4 *5)))) (-2353 (*1 *2 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-1189 *4 *5 *6 *7)))) (-2213 (*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-634 (-2 (|:| -4094 *1) (|:| -2133 (-634 *7))))) (-5 *3 (-634 *7)) (-4 *1 (-1189 *4 *5 *6 *7)))) (-3877 (*1 *2 *1) (|partial| -12 (-4 *1 (-1189 *3 *4 *5 *2)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *2 (-1061 *3 *4 *5)))) (-4164 (*1 *2 *1) (|partial| -12 (-4 *1 (-1189 *3 *4 *5 *2)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *2 (-1061 *3 *4 *5)))) (-3936 (*1 *1 *1) (|partial| -12 (-4 *1 (-1189 *2 *3 *4 *5)) (-4 *2 (-558)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *5 (-1061 *2 *3 *4)))) (-3321 (*1 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-634 *5)))) (-1413 (*1 *2 *3 *1) (-12 (-4 *1 (-1189 *4 *5 *3 *6)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *3 (-842)) (-4 *6 (-1061 *4 *5 *3)) (-5 *2 (-121)))) (-2803 (*1 *2 *1 *3) (|partial| -12 (-4 *1 (-1189 *4 *5 *3 *2)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *3 (-842)) (-4 *2 (-1061 *4 *5 *3)))) (-3413 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1189 *3 *4 *5 *2)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *2 (-1061 *3 *4 *5)))) (-2168 (*1 *1 *1 *2) (-12 (-4 *1 (-1189 *3 *4 *5 *2)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *2 (-1061 *3 *4 *5)))) (-2524 (*1 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-4 *5 (-370)) (-5 *2 (-763))))) 
-(-13 (-977 |t#1| |t#2| |t#3| |t#4|) (-10 -8 (-6 -4521) (-6 -4522) (-15 -4342 ((-121) $ $)) (-15 -2835 ((-3 (-2 (|:| |bas| $) (|:| -2618 (-634 |t#4|))) "failed") (-634 |t#4|) (-1 (-121) |t#4| |t#4|))) (-15 -2835 ((-3 (-2 (|:| |bas| $) (|:| -2618 (-634 |t#4|))) "failed") (-634 |t#4|) (-1 (-121) |t#4|) (-1 (-121) |t#4| |t#4|))) (-15 -3882 ((-634 |t#4|) $)) (-15 -1836 ((-763) $)) (-15 -3158 ((-2 (|:| -4094 (-634 |t#4|)) (|:| -2133 (-634 |t#4|))) $)) (-15 -3764 ((-121) |t#4| $)) (-15 -3764 ((-121) $)) (-15 -1359 ((-121) |t#4| $ (-1 (-121) |t#4| |t#4|))) (-15 -4231 ((-121) |t#4| $)) (-15 -3236 ((-121) |t#4| $)) (-15 -2157 ((-121) |t#4| $)) (-15 -2145 ((-121) $ (-1 (-121) |t#4| (-634 |t#4|)))) (-15 -4231 ((-121) $)) (-15 -3236 ((-121) $)) (-15 -2157 ((-121) $)) (-15 -3094 (|t#4| |t#4| $ (-1 |t#4| |t#4| |t#4|) (-1 (-121) |t#4| |t#4|))) (-15 -2941 ((-634 |t#4|) (-634 |t#4|) $ (-1 |t#4| |t#4| |t#4|) (-1 (-121) |t#4| |t#4|))) (-15 -3767 (|t#4| |t#4| $)) (-15 -1452 (|t#4| |t#4| $)) (-15 -1315 (|t#4| |t#4| $)) (-15 -3255 (|t#4| |t#4| $)) (-15 -4392 ($ $)) (-15 -3434 (|t#4| |t#4| $)) (-15 -2353 ((-634 $) (-634 |t#4|))) (-15 -2213 ((-634 (-2 (|:| -4094 $) (|:| -2133 (-634 |t#4|)))) (-634 |t#4|))) (-15 -3877 ((-3 |t#4| "failed") $)) (-15 -4164 ((-3 |t#4| "failed") $)) (-15 -3936 ((-3 $ "failed") $)) (-15 -3321 ((-634 |t#3|) $)) (-15 -1413 ((-121) |t#3| $)) (-15 -2803 ((-3 |t#4| "failed") $ |t#3|)) (-15 -3413 ((-3 $ "failed") $ |t#4|)) (-15 -2168 ($ $ |t#4|)) (IF (|has| |t#3| (-370)) (-15 -2524 ((-763) $)) |noBranch|))) 
-(((-39) . T) ((-105) . T) ((-608 (-634 |#4|)) . T) ((-608 (-850)) . T) ((-154 |#4|) . T) ((-609 (-541)) |has| |#4| (-609 (-541))) ((-303 |#4|) -12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090))) ((-499 |#4|) . T) ((-523 |#4| |#4|) -12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090))) ((-977 |#1| |#2| |#3| |#4|) . T) ((-1090) . T) ((-1195) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2057 (((-634 (-1161)) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#1| (-558)))) (-3661 (($ $) NIL (|has| |#1| (-558)))) (-4426 (((-121) $) NIL (|has| |#1| (-558)))) (-1984 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1935 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2689 (((-3 $ "failed") $ $) NIL)) (-1904 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1976 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2788 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1992 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1943 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4490 (($) NIL T CONST)) (-2116 (($ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-3808 (((-953 |#1|) $ (-763)) 16) (((-953 |#1|) $ (-763) (-763)) NIL)) (-1302 (((-121) $) NIL)) (-1899 (($) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1844 (((-763) $ (-1161)) NIL) (((-763) $ (-1161) (-763)) NIL)) (-1598 (((-121) $) NIL)) (-1550 (($ $ (-568)) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2171 (((-121) $) NIL)) (-2049 (($ $ (-634 (-1161)) (-634 (-534 (-1161)))) NIL) (($ $ (-1161) (-534 (-1161))) NIL) (($ |#1| (-534 (-1161))) NIL) (($ $ (-1161) (-763)) NIL) (($ $ (-634 (-1161)) (-634 (-763))) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-4418 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2099 (($ $) NIL)) (-2104 ((|#1| $) NIL)) (-1893 (((-1143) $) NIL)) (-1845 (($ $ (-1161)) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-1161) |#1|) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4025 (((-1108) $) NIL)) (-3648 (($ (-1 $) (-1161) |#1|) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2168 (($ $ (-763)) NIL)) (-2597 (((-3 $ "failed") $ $) NIL (|has| |#1| (-558)))) (-1894 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1339 (($ $ (-1161) $) NIL) (($ $ (-634 (-1161)) (-634 $)) NIL) (($ $ (-634 (-288 $))) NIL) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL)) (-4191 (($ $ (-1161)) NIL) (($ $ (-634 (-1161))) NIL) (($ $ (-1161) (-763)) NIL) (($ $ (-634 (-1161)) (-634 (-763))) NIL)) (-1836 (((-534 (-1161)) $) NIL)) (-1996 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1947 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1988 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1939 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1980 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2792 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2188 (($ $) NIL)) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ |#1|) NIL (|has| |#1| (-172))) (($ $) NIL (|has| |#1| (-558))) (($ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))) (($ (-1161)) NIL) (($ (-953 |#1|)) NIL)) (-2079 ((|#1| $ (-534 (-1161))) NIL) (($ $ (-1161) (-763)) NIL) (($ $ (-634 (-1161)) (-634 (-763))) NIL) (((-953 |#1|) $ (-763)) NIL)) (-3385 (((-3 $ "failed") $) NIL (|has| |#1| (-148)))) (-3425 (((-763)) NIL)) (-2008 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1959 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2273 (((-121) $ $) NIL (|has| |#1| (-558)))) (-2000 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1951 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2016 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1968 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1439 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1972 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2012 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1964 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2004 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1955 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($ $ (-1161)) NIL) (($ $ (-634 (-1161))) NIL) (($ $ (-1161) (-763)) NIL) (($ $ (-634 (-1161)) (-634 (-763))) NIL)) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ |#1|) NIL (|has| |#1| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568)))))) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))) (($ (-409 (-568)) $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-1190 |#1|) (-13 (-730 |#1| (-1161)) (-10 -8 (-15 -2079 ((-953 |#1|) $ (-763))) (-15 -2747 ($ (-1161))) (-15 -2747 ($ (-953 |#1|))) (IF (|has| |#1| (-43 (-409 (-568)))) (PROGN (-15 -1845 ($ $ (-1161) |#1|)) (-15 -3648 ($ (-1 $) (-1161) |#1|))) |noBranch|))) (-1047)) (T -1190)) 
-((-2079 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-953 *4)) (-5 *1 (-1190 *4)) (-4 *4 (-1047)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-1190 *3)) (-4 *3 (-1047)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-953 *3)) (-4 *3 (-1047)) (-5 *1 (-1190 *3)))) (-1845 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *1 (-1190 *3)) (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047)))) (-3648 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1190 *4))) (-5 *3 (-1161)) (-5 *1 (-1190 *4)) (-4 *4 (-43 (-409 (-568)))) (-4 *4 (-1047))))) 
-(-13 (-730 |#1| (-1161)) (-10 -8 (-15 -2079 ((-953 |#1|) $ (-763))) (-15 -2747 ($ (-1161))) (-15 -2747 ($ (-953 |#1|))) (IF (|has| |#1| (-43 (-409 (-568)))) (PROGN (-15 -1845 ($ $ (-1161) |#1|)) (-15 -3648 ($ (-1 $) (-1161) |#1|))) |noBranch|))) 
-((-1370 (($ |#1| (-634 (-634 (-944 (-215)))) (-121)) 15)) (-3275 (((-121) $ (-121)) 14)) (-1954 (((-121) $) 13)) (-1849 (((-634 (-634 (-944 (-215)))) $) 10)) (-3984 ((|#1| $) 8)) (-4429 (((-121) $) 12))) 
-(((-1191 |#1|) (-10 -8 (-15 -3984 (|#1| $)) (-15 -1849 ((-634 (-634 (-944 (-215)))) $)) (-15 -4429 ((-121) $)) (-15 -1954 ((-121) $)) (-15 -3275 ((-121) $ (-121))) (-15 -1370 ($ |#1| (-634 (-634 (-944 (-215)))) (-121)))) (-975)) (T -1191)) 
-((-1370 (*1 *1 *2 *3 *4) (-12 (-5 *3 (-634 (-634 (-944 (-215))))) (-5 *4 (-121)) (-5 *1 (-1191 *2)) (-4 *2 (-975)))) (-3275 (*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1191 *3)) (-4 *3 (-975)))) (-1954 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1191 *3)) (-4 *3 (-975)))) (-4429 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1191 *3)) (-4 *3 (-975)))) (-1849 (*1 *2 *1) (-12 (-5 *2 (-634 (-634 (-944 (-215))))) (-5 *1 (-1191 *3)) (-4 *3 (-975)))) (-3984 (*1 *2 *1) (-12 (-5 *1 (-1191 *2)) (-4 *2 (-975))))) 
-(-10 -8 (-15 -3984 (|#1| $)) (-15 -1849 ((-634 (-634 (-944 (-215)))) $)) (-15 -4429 ((-121) $)) (-15 -1954 ((-121) $)) (-15 -3275 ((-121) $ (-121))) (-15 -1370 ($ |#1| (-634 (-634 (-944 (-215)))) (-121)))) 
-((-4007 (((-944 (-215)) (-944 (-215))) 25)) (-4098 (((-944 (-215)) (-215) (-215) (-215) (-215)) 10)) (-2937 (((-634 (-944 (-215))) (-944 (-215)) (-944 (-215)) (-944 (-215)) (-215) (-634 (-634 (-215)))) 35)) (-2286 (((-215) (-944 (-215)) (-944 (-215))) 21)) (-3372 (((-944 (-215)) (-944 (-215)) (-944 (-215))) 22)) (-2578 (((-634 (-634 (-215))) (-568)) 31)) (-1775 (((-944 (-215)) (-944 (-215)) (-944 (-215))) 20)) (-1769 (((-944 (-215)) (-944 (-215)) (-944 (-215))) 19)) (* (((-944 (-215)) (-215) (-944 (-215))) 18))) 
-(((-1192) (-10 -7 (-15 -4098 ((-944 (-215)) (-215) (-215) (-215) (-215))) (-15 * ((-944 (-215)) (-215) (-944 (-215)))) (-15 -1769 ((-944 (-215)) (-944 (-215)) (-944 (-215)))) (-15 -1775 ((-944 (-215)) (-944 (-215)) (-944 (-215)))) (-15 -2286 ((-215) (-944 (-215)) (-944 (-215)))) (-15 -3372 ((-944 (-215)) (-944 (-215)) (-944 (-215)))) (-15 -4007 ((-944 (-215)) (-944 (-215)))) (-15 -2578 ((-634 (-634 (-215))) (-568))) (-15 -2937 ((-634 (-944 (-215))) (-944 (-215)) (-944 (-215)) (-944 (-215)) (-215) (-634 (-634 (-215))))))) (T -1192)) 
-((-2937 (*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-634 (-634 (-215)))) (-5 *4 (-215)) (-5 *2 (-634 (-944 *4))) (-5 *1 (-1192)) (-5 *3 (-944 *4)))) (-2578 (*1 *2 *3) (-12 (-5 *3 (-568)) (-5 *2 (-634 (-634 (-215)))) (-5 *1 (-1192)))) (-4007 (*1 *2 *2) (-12 (-5 *2 (-944 (-215))) (-5 *1 (-1192)))) (-3372 (*1 *2 *2 *2) (-12 (-5 *2 (-944 (-215))) (-5 *1 (-1192)))) (-2286 (*1 *2 *3 *3) (-12 (-5 *3 (-944 (-215))) (-5 *2 (-215)) (-5 *1 (-1192)))) (-1775 (*1 *2 *2 *2) (-12 (-5 *2 (-944 (-215))) (-5 *1 (-1192)))) (-1769 (*1 *2 *2 *2) (-12 (-5 *2 (-944 (-215))) (-5 *1 (-1192)))) (* (*1 *2 *3 *2) (-12 (-5 *2 (-944 (-215))) (-5 *3 (-215)) (-5 *1 (-1192)))) (-4098 (*1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-944 (-215))) (-5 *1 (-1192)) (-5 *3 (-215))))) 
-(-10 -7 (-15 -4098 ((-944 (-215)) (-215) (-215) (-215) (-215))) (-15 * ((-944 (-215)) (-215) (-944 (-215)))) (-15 -1769 ((-944 (-215)) (-944 (-215)) (-944 (-215)))) (-15 -1775 ((-944 (-215)) (-944 (-215)) (-944 (-215)))) (-15 -2286 ((-215) (-944 (-215)) (-944 (-215)))) (-15 -3372 ((-944 (-215)) (-944 (-215)) (-944 (-215)))) (-15 -4007 ((-944 (-215)) (-944 (-215)))) (-15 -2578 ((-634 (-634 (-215))) (-568))) (-15 -2937 ((-634 (-944 (-215))) (-944 (-215)) (-944 (-215)) (-944 (-215)) (-215) (-634 (-634 (-215)))))) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-2803 ((|#1| $ (-763)) 13)) (-3680 (((-763) $) 12)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-2747 (((-958 |#1|) $) 10) (($ (-958 |#1|)) 9) (((-850) $) 23 (|has| |#1| (-1090)))) (-1719 (((-121) $ $) 16 (|has| |#1| (-1090))))) 
-(((-1193 |#1|) (-13 (-608 (-958 |#1|)) (-10 -8 (-15 -2747 ($ (-958 |#1|))) (-15 -2803 (|#1| $ (-763))) (-15 -3680 ((-763) $)) (IF (|has| |#1| (-1090)) (-6 (-1090)) |noBranch|))) (-1195)) (T -1193)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-958 *3)) (-4 *3 (-1195)) (-5 *1 (-1193 *3)))) (-2803 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *1 (-1193 *2)) (-4 *2 (-1195)))) (-3680 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-1193 *3)) (-4 *3 (-1195))))) 
-(-13 (-608 (-958 |#1|)) (-10 -8 (-15 -2747 ($ (-958 |#1|))) (-15 -2803 (|#1| $ (-763))) (-15 -3680 ((-763) $)) (IF (|has| |#1| (-1090)) (-6 (-1090)) |noBranch|))) 
-((-3615 (((-420 (-1157 (-1157 |#1|))) (-1157 (-1157 |#1|)) (-568)) 79)) (-1765 (((-420 (-1157 (-1157 |#1|))) (-1157 (-1157 |#1|))) 73)) (-1507 (((-420 (-1157 (-1157 |#1|))) (-1157 (-1157 |#1|))) 58))) 
-(((-1194 |#1|) (-10 -7 (-15 -1765 ((-420 (-1157 (-1157 |#1|))) (-1157 (-1157 |#1|)))) (-15 -1507 ((-420 (-1157 (-1157 |#1|))) (-1157 (-1157 |#1|)))) (-15 -3615 ((-420 (-1157 (-1157 |#1|))) (-1157 (-1157 |#1|)) (-568)))) (-350)) (T -1194)) 
-((-3615 (*1 *2 *3 *4) (-12 (-5 *4 (-568)) (-4 *5 (-350)) (-5 *2 (-420 (-1157 (-1157 *5)))) (-5 *1 (-1194 *5)) (-5 *3 (-1157 (-1157 *5))))) (-1507 (*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-420 (-1157 (-1157 *4)))) (-5 *1 (-1194 *4)) (-5 *3 (-1157 (-1157 *4))))) (-1765 (*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-420 (-1157 (-1157 *4)))) (-5 *1 (-1194 *4)) (-5 *3 (-1157 (-1157 *4)))))) 
-(-10 -7 (-15 -1765 ((-420 (-1157 (-1157 |#1|))) (-1157 (-1157 |#1|)))) (-15 -1507 ((-420 (-1157 (-1157 |#1|))) (-1157 (-1157 |#1|)))) (-15 -3615 ((-420 (-1157 (-1157 |#1|))) (-1157 (-1157 |#1|)) (-568)))) 
-NIL 
-(((-1195) (-1275)) (T -1195)) 
-NIL 
-(-13 (-10 -7 (-6 -3973))) 
-((-3166 (((-121)) 14)) (-3349 (((-1249) (-634 |#1|) (-634 |#1|)) 18) (((-1249) (-634 |#1|)) 19)) (-3791 (((-121) |#1| |#1|) 30 (|has| |#1| (-842)))) (-3796 (((-121) |#1| |#1| (-1 (-121) |#1| |#1|)) 26) (((-3 (-121) "failed") |#1| |#1|) 24)) (-1382 ((|#1| (-634 |#1|)) 31 (|has| |#1| (-842))) ((|#1| (-634 |#1|) (-1 (-121) |#1| |#1|)) 27)) (-3849 (((-2 (|:| -3544 (-634 |#1|)) (|:| -3043 (-634 |#1|)))) 16))) 
-(((-1196 |#1|) (-10 -7 (-15 -3349 ((-1249) (-634 |#1|))) (-15 -3349 ((-1249) (-634 |#1|) (-634 |#1|))) (-15 -3849 ((-2 (|:| -3544 (-634 |#1|)) (|:| -3043 (-634 |#1|))))) (-15 -3796 ((-3 (-121) "failed") |#1| |#1|)) (-15 -3796 ((-121) |#1| |#1| (-1 (-121) |#1| |#1|))) (-15 -1382 (|#1| (-634 |#1|) (-1 (-121) |#1| |#1|))) (-15 -3166 ((-121))) (IF (|has| |#1| (-842)) (PROGN (-15 -1382 (|#1| (-634 |#1|))) (-15 -3791 ((-121) |#1| |#1|))) |noBranch|)) (-1090)) (T -1196)) 
-((-3791 (*1 *2 *3 *3) (-12 (-5 *2 (-121)) (-5 *1 (-1196 *3)) (-4 *3 (-842)) (-4 *3 (-1090)))) (-1382 (*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-1090)) (-4 *2 (-842)) (-5 *1 (-1196 *2)))) (-3166 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1196 *3)) (-4 *3 (-1090)))) (-1382 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *2)) (-5 *4 (-1 (-121) *2 *2)) (-5 *1 (-1196 *2)) (-4 *2 (-1090)))) (-3796 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-1 (-121) *3 *3)) (-4 *3 (-1090)) (-5 *2 (-121)) (-5 *1 (-1196 *3)))) (-3796 (*1 *2 *3 *3) (|partial| -12 (-5 *2 (-121)) (-5 *1 (-1196 *3)) (-4 *3 (-1090)))) (-3849 (*1 *2) (-12 (-5 *2 (-2 (|:| -3544 (-634 *3)) (|:| -3043 (-634 *3)))) (-5 *1 (-1196 *3)) (-4 *3 (-1090)))) (-3349 (*1 *2 *3 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-1090)) (-5 *2 (-1249)) (-5 *1 (-1196 *4)))) (-3349 (*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-1090)) (-5 *2 (-1249)) (-5 *1 (-1196 *4))))) 
-(-10 -7 (-15 -3349 ((-1249) (-634 |#1|))) (-15 -3349 ((-1249) (-634 |#1|) (-634 |#1|))) (-15 -3849 ((-2 (|:| -3544 (-634 |#1|)) (|:| -3043 (-634 |#1|))))) (-15 -3796 ((-3 (-121) "failed") |#1| |#1|)) (-15 -3796 ((-121) |#1| |#1| (-1 (-121) |#1| |#1|))) (-15 -1382 (|#1| (-634 |#1|) (-1 (-121) |#1| |#1|))) (-15 -3166 ((-121))) (IF (|has| |#1| (-842)) (PROGN (-15 -1382 (|#1| (-634 |#1|))) (-15 -3791 ((-121) |#1| |#1|))) |noBranch|)) 
-((-4411 (((-1249) (-634 (-1161)) (-634 (-1161))) 12) (((-1249) (-634 (-1161))) 10)) (-1726 (((-1249)) 13)) (-3960 (((-2 (|:| -3043 (-634 (-1161))) (|:| -3544 (-634 (-1161))))) 17))) 
-(((-1197) (-10 -7 (-15 -4411 ((-1249) (-634 (-1161)))) (-15 -4411 ((-1249) (-634 (-1161)) (-634 (-1161)))) (-15 -3960 ((-2 (|:| -3043 (-634 (-1161))) (|:| -3544 (-634 (-1161)))))) (-15 -1726 ((-1249))))) (T -1197)) 
-((-1726 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-1197)))) (-3960 (*1 *2) (-12 (-5 *2 (-2 (|:| -3043 (-634 (-1161))) (|:| -3544 (-634 (-1161))))) (-5 *1 (-1197)))) (-4411 (*1 *2 *3 *3) (-12 (-5 *3 (-634 (-1161))) (-5 *2 (-1249)) (-5 *1 (-1197)))) (-4411 (*1 *2 *3) (-12 (-5 *3 (-634 (-1161))) (-5 *2 (-1249)) (-5 *1 (-1197))))) 
-(-10 -7 (-15 -4411 ((-1249) (-634 (-1161)))) (-15 -4411 ((-1249) (-634 (-1161)) (-634 (-1161)))) (-15 -3960 ((-2 (|:| -3043 (-634 (-1161))) (|:| -3544 (-634 (-1161)))))) (-15 -1726 ((-1249)))) 
-((-3045 (($ $) 16)) (-2197 (((-121) $) 23))) 
-(((-1198 |#1|) (-10 -8 (-15 -3045 (|#1| |#1|)) (-15 -2197 ((-121) |#1|))) (-1199)) (T -1198)) 
-NIL 
-(-10 -8 (-15 -3045 (|#1| |#1|)) (-15 -2197 ((-121) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 40)) (-3661 (($ $) 39)) (-4426 (((-121) $) 37)) (-2689 (((-3 $ "failed") $ $) 18)) (-3045 (($ $) 49)) (-3498 (((-420 $) $) 50)) (-4490 (($) 16 T CONST)) (-2902 (((-3 $ "failed") $) 33)) (-2197 (((-121) $) 51)) (-1598 (((-121) $) 30)) (-2498 (($ $ $) 45) (($ (-634 $)) 44)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 43)) (-2723 (($ $ $) 47) (($ (-634 $)) 46)) (-3850 (((-420 $) $) 48)) (-2597 (((-3 $ "failed") $ $) 41)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ $) 42)) (-3425 (((-763)) 28)) (-2273 (((-121) $ $) 38)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23))) 
-(((-1199) (-1275)) (T -1199)) 
-((-2197 (*1 *2 *1) (-12 (-4 *1 (-1199)) (-5 *2 (-121)))) (-3498 (*1 *2 *1) (-12 (-5 *2 (-420 *1)) (-4 *1 (-1199)))) (-3045 (*1 *1 *1) (-4 *1 (-1199))) (-3850 (*1 *2 *1) (-12 (-5 *2 (-420 *1)) (-4 *1 (-1199))))) 
-(-13 (-453) (-10 -8 (-15 -2197 ((-121) $)) (-15 -3498 ((-420 $) $)) (-15 -3045 ($ $)) (-15 -3850 ((-420 $) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-137) . T) ((-608 (-850)) . T) ((-172) . T) ((-285) . T) ((-453) . T) ((-558) . T) ((-637 $) . T) ((-707 $) . T) ((-716) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-3992 (((-1201 |#1|) (-1201 |#1|) (-1201 |#1|)) 15))) 
-(((-1200 |#1|) (-10 -7 (-15 -3992 ((-1201 |#1|) (-1201 |#1|) (-1201 |#1|)))) (-1047)) (T -1200)) 
-((-3992 (*1 *2 *2 *2) (-12 (-5 *2 (-1201 *3)) (-4 *3 (-1047)) (-5 *1 (-1200 *3))))) 
-(-10 -7 (-15 -3992 ((-1201 |#1|) (-1201 |#1|) (-1201 |#1|)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2057 (((-634 (-1075)) $) NIL)) (-3325 (((-1161) $) NIL)) (-1802 (((-1216 (QUOTE |x|) |#1|) $ (-763)) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#1| (-558)))) (-3661 (($ $) NIL (|has| |#1| (-558)))) (-4426 (((-121) $) NIL (|has| |#1| (-558)))) (-4179 (($ $ (-763)) NIL) (($ $ (-763) (-763)) NIL)) (-2013 (((-1141 (-2 (|:| |k| (-763)) (|:| |c| |#1|))) $) NIL)) (-1984 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1935 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2689 (((-3 $ "failed") $ $) NIL)) (-1904 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1976 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2788 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2512 (($ (-1141 (-2 (|:| |k| (-763)) (|:| |c| |#1|)))) NIL) (($ (-1141 |#1|)) NIL)) (-1992 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1943 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4490 (($) NIL T CONST)) (-3409 (($ $) NIL)) (-2116 (($ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-3866 (($ $) NIL)) (-3808 (((-953 |#1|) $ (-763)) NIL) (((-953 |#1|) $ (-763) (-763)) NIL)) (-1302 (((-121) $) NIL)) (-1899 (($) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1844 (((-763) $) NIL) (((-763) $ (-763)) NIL)) (-1598 (((-121) $) NIL)) (-1304 (($ $) NIL)) (-1550 (($ $ (-568)) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4384 (($ (-568) (-568) $) NIL)) (-4168 (($ $ (-917)) NIL)) (-3698 (($ (-1 |#1| (-568)) $) NIL)) (-2171 (((-121) $) NIL)) (-2049 (($ |#1| (-763)) NIL) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-4418 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2099 (($ $) NIL)) (-2104 ((|#1| $) NIL)) (-1893 (((-1143) $) NIL)) (-2517 (($ $) NIL)) (-2101 (($ $) NIL)) (-1588 (($ (-568) (-568) $) NIL)) (-1845 (($ $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-1161)) NIL (-2199 (-12 (|has| |#1| (-15 -1845 (|#1| |#1| (-1161)))) (|has| |#1| (-15 -2057 ((-634 (-1161)) |#1|))) (|has| |#1| (-43 (-409 (-568))))) (-12 (|has| |#1| (-29 (-568))) (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-959)) (|has| |#1| (-1181))))) (($ $ (-1240 (QUOTE |x|))) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4025 (((-1108) $) NIL)) (-3638 (($ $ (-568) (-568)) NIL)) (-2168 (($ $ (-763)) NIL)) (-2597 (((-3 $ "failed") $ $) NIL (|has| |#1| (-558)))) (-1894 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4109 (($ $) NIL)) (-1339 (((-1141 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-763)))))) (-2781 ((|#1| $ (-763)) NIL) (($ $ $) NIL (|has| (-763) (-1102)))) (-4191 (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161)) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-763)) NIL (|has| |#1| (-15 * (|#1| (-763) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-763) |#1|)))) (($ $ (-1240 (QUOTE |x|))) NIL)) (-1836 (((-763) $) NIL)) (-1996 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1947 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1988 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1939 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1980 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2792 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2188 (($ $) NIL)) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $) NIL (|has| |#1| (-558))) (($ |#1|) NIL (|has| |#1| (-172))) (($ (-1216 (QUOTE |x|) |#1|)) NIL) (($ (-1240 (QUOTE |x|))) NIL)) (-3304 (((-1141 |#1|) $) NIL)) (-2079 ((|#1| $ (-763)) NIL)) (-3385 (((-3 $ "failed") $) NIL (|has| |#1| (-148)))) (-3425 (((-763)) NIL)) (-1374 ((|#1| $) NIL)) (-2008 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1959 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2273 (((-121) $ $) NIL (|has| |#1| (-558)))) (-2000 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1951 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2016 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1968 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-3999 ((|#1| $ (-763)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-763)))) (|has| |#1| (-15 -2747 (|#1| (-1161))))))) (-1439 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1972 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2012 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1964 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2004 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1955 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) NIL T CONST)) (-3192 (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161)) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-763)) NIL (|has| |#1| (-15 * (|#1| (-763) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-763) |#1|))))) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ |#1|) NIL (|has| |#1| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ |#1|) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568)))))) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-409 (-568)) $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))))) 
-(((-1201 |#1|) (-13 (-1234 |#1|) (-10 -8 (-15 -2747 ($ (-1216 (QUOTE |x|) |#1|))) (-15 -1802 ((-1216 (QUOTE |x|) |#1|) $ (-763))) (-15 -2747 ($ (-1240 (QUOTE |x|)))) (-15 -4191 ($ $ (-1240 (QUOTE |x|)))) (-15 -2101 ($ $)) (-15 -2517 ($ $)) (-15 -1304 ($ $)) (-15 -4109 ($ $)) (-15 -3638 ($ $ (-568) (-568))) (-15 -3409 ($ $)) (-15 -4384 ($ (-568) (-568) $)) (-15 -1588 ($ (-568) (-568) $)) (IF (|has| |#1| (-43 (-409 (-568)))) (-15 -1845 ($ $ (-1240 (QUOTE |x|)))) |noBranch|))) (-1047)) (T -1201)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1216 (QUOTE |x|) *3)) (-4 *3 (-1047)) (-5 *1 (-1201 *3)))) (-1802 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1216 (QUOTE |x|) *4)) (-5 *1 (-1201 *4)) (-4 *4 (-1047)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-1240 (QUOTE |x|))) (-5 *1 (-1201 *3)) (-4 *3 (-1047)))) (-4191 (*1 *1 *1 *2) (-12 (-5 *2 (-1240 (QUOTE |x|))) (-5 *1 (-1201 *3)) (-4 *3 (-1047)))) (-2101 (*1 *1 *1) (-12 (-5 *1 (-1201 *2)) (-4 *2 (-1047)))) (-2517 (*1 *1 *1) (-12 (-5 *1 (-1201 *2)) (-4 *2 (-1047)))) (-1304 (*1 *1 *1) (-12 (-5 *1 (-1201 *2)) (-4 *2 (-1047)))) (-4109 (*1 *1 *1) (-12 (-5 *1 (-1201 *2)) (-4 *2 (-1047)))) (-3638 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-1201 *3)) (-4 *3 (-1047)))) (-3409 (*1 *1 *1) (-12 (-5 *1 (-1201 *2)) (-4 *2 (-1047)))) (-4384 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-1201 *3)) (-4 *3 (-1047)))) (-1588 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-1201 *3)) (-4 *3 (-1047)))) (-1845 (*1 *1 *1 *2) (-12 (-5 *2 (-1240 (QUOTE |x|))) (-5 *1 (-1201 *3)) (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047))))) 
-(-13 (-1234 |#1|) (-10 -8 (-15 -2747 ($ (-1216 (QUOTE |x|) |#1|))) (-15 -1802 ((-1216 (QUOTE |x|) |#1|) $ (-763))) (-15 -2747 ($ (-1240 (QUOTE |x|)))) (-15 -4191 ($ $ (-1240 (QUOTE |x|)))) (-15 -2101 ($ $)) (-15 -2517 ($ $)) (-15 -1304 ($ $)) (-15 -4109 ($ $)) (-15 -3638 ($ $ (-568) (-568))) (-15 -3409 ($ $)) (-15 -4384 ($ (-568) (-568) $)) (-15 -1588 ($ (-568) (-568) $)) (IF (|has| |#1| (-43 (-409 (-568)))) (-15 -1845 ($ $ (-1240 (QUOTE |x|)))) |noBranch|))) 
-((-2797 (((-1207 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1207 |#1| |#3| |#5|)) 23))) 
-(((-1202 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -2797 ((-1207 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1207 |#1| |#3| |#5|)))) (-1047) (-1047) (-1161) (-1161) |#1| |#2|) (T -1202)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1207 *5 *7 *9)) (-4 *5 (-1047)) (-4 *6 (-1047)) (-14 *7 (-1161)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1207 *6 *8 *10)) (-5 *1 (-1202 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1161))))) 
-(-10 -7 (-15 -2797 ((-1207 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1207 |#1| |#3| |#5|)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2057 (((-634 (-1075)) $) 70)) (-3325 (((-1161) $) 98)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 50 (|has| |#1| (-558)))) (-3661 (($ $) 51 (|has| |#1| (-558)))) (-4426 (((-121) $) 53 (|has| |#1| (-558)))) (-4179 (($ $ (-568)) 93) (($ $ (-568) (-568)) 92)) (-2013 (((-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $) 100)) (-1984 (($ $) 127 (|has| |#1| (-43 (-409 (-568)))))) (-1935 (($ $) 110 (|has| |#1| (-43 (-409 (-568)))))) (-2689 (((-3 $ "failed") $ $) 18)) (-3045 (($ $) 154 (|has| |#1| (-365)))) (-3498 (((-420 $) $) 155 (|has| |#1| (-365)))) (-1904 (($ $) 109 (|has| |#1| (-43 (-409 (-568)))))) (-2589 (((-121) $ $) 145 (|has| |#1| (-365)))) (-1976 (($ $) 126 (|has| |#1| (-43 (-409 (-568)))))) (-2788 (($ $) 111 (|has| |#1| (-43 (-409 (-568)))))) (-2512 (($ (-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|)))) 166)) (-1992 (($ $) 125 (|has| |#1| (-43 (-409 (-568)))))) (-1943 (($ $) 112 (|has| |#1| (-43 (-409 (-568)))))) (-4490 (($) 16 T CONST)) (-2403 (($ $ $) 149 (|has| |#1| (-365)))) (-2116 (($ $) 59)) (-2902 (((-3 $ "failed") $) 33)) (-1685 (((-409 (-953 |#1|)) $ (-568)) 164 (|has| |#1| (-558))) (((-409 (-953 |#1|)) $ (-568) (-568)) 163 (|has| |#1| (-558)))) (-2414 (($ $ $) 148 (|has| |#1| (-365)))) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 143 (|has| |#1| (-365)))) (-2197 (((-121) $) 156 (|has| |#1| (-365)))) (-1302 (((-121) $) 69)) (-1899 (($) 137 (|has| |#1| (-43 (-409 (-568)))))) (-1844 (((-568) $) 95) (((-568) $ (-568)) 94)) (-1598 (((-121) $) 30)) (-1550 (($ $ (-568)) 108 (|has| |#1| (-43 (-409 (-568)))))) (-4168 (($ $ (-917)) 96)) (-3698 (($ (-1 |#1| (-568)) $) 165)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 152 (|has| |#1| (-365)))) (-2171 (((-121) $) 61)) (-2049 (($ |#1| (-568)) 60) (($ $ (-1075) (-568)) 72) (($ $ (-634 (-1075)) (-634 (-568))) 71)) (-2797 (($ (-1 |#1| |#1|) $) 62)) (-4418 (($ $) 134 (|has| |#1| (-43 (-409 (-568)))))) (-2099 (($ $) 64)) (-2104 ((|#1| $) 65)) (-2498 (($ (-634 $)) 141 (|has| |#1| (-365))) (($ $ $) 140 (|has| |#1| (-365)))) (-1893 (((-1143) $) 9)) (-2083 (($ $) 157 (|has| |#1| (-365)))) (-1845 (($ $) 162 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-1161)) 161 (-2199 (-12 (|has| |#1| (-29 (-568))) (|has| |#1| (-959)) (|has| |#1| (-1181)) (|has| |#1| (-43 (-409 (-568))))) (-12 (|has| |#1| (-15 -2057 ((-634 (-1161)) |#1|))) (|has| |#1| (-15 -1845 (|#1| |#1| (-1161)))) (|has| |#1| (-43 (-409 (-568)))))))) (-4025 (((-1108) $) 10)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 142 (|has| |#1| (-365)))) (-2723 (($ (-634 $)) 139 (|has| |#1| (-365))) (($ $ $) 138 (|has| |#1| (-365)))) (-3850 (((-420 $) $) 153 (|has| |#1| (-365)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 151 (|has| |#1| (-365))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 150 (|has| |#1| (-365)))) (-2168 (($ $ (-568)) 90)) (-2597 (((-3 $ "failed") $ $) 49 (|has| |#1| (-558)))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 144 (|has| |#1| (-365)))) (-1894 (($ $) 135 (|has| |#1| (-43 (-409 (-568)))))) (-1339 (((-1141 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-568)))))) (-1466 (((-763) $) 146 (|has| |#1| (-365)))) (-2781 ((|#1| $ (-568)) 99) (($ $ $) 76 (|has| (-568) (-1102)))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 147 (|has| |#1| (-365)))) (-4191 (($ $ (-634 (-1161)) (-634 (-763))) 84 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $ (-1161) (-763)) 83 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $ (-634 (-1161))) 82 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $ (-1161)) 81 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $ (-763)) 79 (|has| |#1| (-15 * (|#1| (-568) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (-1836 (((-568) $) 63)) (-1996 (($ $) 124 (|has| |#1| (-43 (-409 (-568)))))) (-1947 (($ $) 113 (|has| |#1| (-43 (-409 (-568)))))) (-1988 (($ $) 123 (|has| |#1| (-43 (-409 (-568)))))) (-1939 (($ $) 114 (|has| |#1| (-43 (-409 (-568)))))) (-1980 (($ $) 122 (|has| |#1| (-43 (-409 (-568)))))) (-2792 (($ $) 115 (|has| |#1| (-43 (-409 (-568)))))) (-2188 (($ $) 68)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ |#1|) 46 (|has| |#1| (-172))) (($ (-409 (-568))) 56 (|has| |#1| (-43 (-409 (-568))))) (($ $) 48 (|has| |#1| (-558)))) (-2079 ((|#1| $ (-568)) 58)) (-3385 (((-3 $ "failed") $) 47 (|has| |#1| (-148)))) (-3425 (((-763)) 28)) (-1374 ((|#1| $) 97)) (-2008 (($ $) 133 (|has| |#1| (-43 (-409 (-568)))))) (-1959 (($ $) 121 (|has| |#1| (-43 (-409 (-568)))))) (-2273 (((-121) $ $) 52 (|has| |#1| (-558)))) (-2000 (($ $) 132 (|has| |#1| (-43 (-409 (-568)))))) (-1951 (($ $) 120 (|has| |#1| (-43 (-409 (-568)))))) (-2016 (($ $) 131 (|has| |#1| (-43 (-409 (-568)))))) (-1968 (($ $) 119 (|has| |#1| (-43 (-409 (-568)))))) (-3999 ((|#1| $ (-568)) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-568)))) (|has| |#1| (-15 -2747 (|#1| (-1161))))))) (-1439 (($ $) 130 (|has| |#1| (-43 (-409 (-568)))))) (-1972 (($ $) 118 (|has| |#1| (-43 (-409 (-568)))))) (-2012 (($ $) 129 (|has| |#1| (-43 (-409 (-568)))))) (-1964 (($ $) 117 (|has| |#1| (-43 (-409 (-568)))))) (-2004 (($ $) 128 (|has| |#1| (-43 (-409 (-568)))))) (-1955 (($ $) 116 (|has| |#1| (-43 (-409 (-568)))))) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32) (($ $ (-568)) 158 (|has| |#1| (-365)))) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3192 (($ $ (-634 (-1161)) (-634 (-763))) 88 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $ (-1161) (-763)) 87 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $ (-634 (-1161))) 86 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $ (-1161)) 85 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $ (-763)) 80 (|has| |#1| (-15 * (|#1| (-568) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (-1719 (((-121) $ $) 6)) (-1781 (($ $ |#1|) 57 (|has| |#1| (-365))) (($ $ $) 160 (|has| |#1| (-365)))) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ (-568)) 159 (|has| |#1| (-365))) (($ $ $) 136 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) 107 (|has| |#1| (-43 (-409 (-568)))))) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-409 (-568)) $) 55 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) 54 (|has| |#1| (-43 (-409 (-568))))))) 
-(((-1203 |#1|) (-1275) (-1047)) (T -1203)) 
-((-2512 (*1 *1 *2) (-12 (-5 *2 (-1141 (-2 (|:| |k| (-568)) (|:| |c| *3)))) (-4 *3 (-1047)) (-4 *1 (-1203 *3)))) (-3698 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-568))) (-4 *1 (-1203 *3)) (-4 *3 (-1047)))) (-1685 (*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-1203 *4)) (-4 *4 (-1047)) (-4 *4 (-558)) (-5 *2 (-409 (-953 *4))))) (-1685 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-568)) (-4 *1 (-1203 *4)) (-4 *4 (-1047)) (-4 *4 (-558)) (-5 *2 (-409 (-953 *4))))) (-1845 (*1 *1 *1) (-12 (-4 *1 (-1203 *2)) (-4 *2 (-1047)) (-4 *2 (-43 (-409 (-568)))))) (-1845 (*1 *1 *1 *2) (-2199 (-12 (-5 *2 (-1161)) (-4 *1 (-1203 *3)) (-4 *3 (-1047)) (-12 (-4 *3 (-29 (-568))) (-4 *3 (-959)) (-4 *3 (-1181)) (-4 *3 (-43 (-409 (-568)))))) (-12 (-5 *2 (-1161)) (-4 *1 (-1203 *3)) (-4 *3 (-1047)) (-12 (|has| *3 (-15 -2057 ((-634 *2) *3))) (|has| *3 (-15 -1845 (*3 *3 *2))) (-4 *3 (-43 (-409 (-568))))))))) 
-(-13 (-1221 |t#1| (-568)) (-10 -8 (-15 -2512 ($ (-1141 (-2 (|:| |k| (-568)) (|:| |c| |t#1|))))) (-15 -3698 ($ (-1 |t#1| (-568)) $)) (IF (|has| |t#1| (-558)) (PROGN (-15 -1685 ((-409 (-953 |t#1|)) $ (-568))) (-15 -1685 ((-409 (-953 |t#1|)) $ (-568) (-568)))) |noBranch|) (IF (|has| |t#1| (-43 (-409 (-568)))) (PROGN (-15 -1845 ($ $)) (IF (|has| |t#1| (-15 -1845 (|t#1| |t#1| (-1161)))) (IF (|has| |t#1| (-15 -2057 ((-634 (-1161)) |t#1|))) (-15 -1845 ($ $ (-1161))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-1181)) (IF (|has| |t#1| (-959)) (IF (|has| |t#1| (-29 (-568))) (-15 -1845 ($ $ (-1161))) |noBranch|) |noBranch|) |noBranch|) (-6 (-1002)) (-6 (-1181))) |noBranch|) (IF (|has| |t#1| (-365)) (-6 (-365)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-568)) . T) ((-25) . T) ((-43 (-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-43 (-409 (-568))))) ((-43 |#1|) |has| |#1| (-172)) ((-43 $) -2199 (|has| |#1| (-558)) (|has| |#1| (-365))) ((-40) |has| |#1| (-43 (-409 (-568)))) ((-98) |has| |#1| (-43 (-409 (-568)))) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-43 (-409 (-568))))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2199 (|has| |#1| (-558)) (|has| |#1| (-365)) (|has| |#1| (-172))) ((-137) . T) ((-148) |has| |#1| (-148)) ((-150) |has| |#1| (-150)) ((-608 (-850)) . T) ((-172) -2199 (|has| |#1| (-558)) (|has| |#1| (-365)) (|has| |#1| (-172))) ((-225) |has| |#1| (-15 * (|#1| (-568) |#1|))) ((-238) |has| |#1| (-365)) ((-279) |has| |#1| (-43 (-409 (-568)))) ((-281 $ $) |has| (-568) (-1102)) ((-285) -2199 (|has| |#1| (-558)) (|has| |#1| (-365))) ((-301) |has| |#1| (-365)) ((-365) |has| |#1| (-365)) ((-453) |has| |#1| (-365)) ((-502) |has| |#1| (-43 (-409 (-568)))) ((-558) -2199 (|has| |#1| (-558)) (|has| |#1| (-365))) ((-637 (-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-43 (-409 (-568))))) ((-637 |#1|) . T) ((-637 $) . T) ((-707 (-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-43 (-409 (-568))))) ((-707 |#1|) |has| |#1| (-172)) ((-707 $) -2199 (|has| |#1| (-558)) (|has| |#1| (-365))) ((-716) . T) ((-895 (-1161)) -12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161)))) ((-974 |#1| (-568) (-1075)) . T) ((-916) |has| |#1| (-365)) ((-1002) |has| |#1| (-43 (-409 (-568)))) ((-1053 (-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-43 (-409 (-568))))) ((-1053 |#1|) . T) ((-1053 $) -2199 (|has| |#1| (-558)) (|has| |#1| (-365)) (|has| |#1| (-172))) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1181) |has| |#1| (-43 (-409 (-568)))) ((-1184) |has| |#1| (-43 (-409 (-568)))) ((-1199) |has| |#1| (-365)) ((-1221 |#1| (-568)) . T)) 
-((-1819 (((-121) $) 12)) (-3668 (((-3 |#3| "failed") $) 17) (((-3 (-1161) "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL) (((-3 (-568) "failed") $) NIL)) (-2857 ((|#3| $) 14) (((-1161) $) NIL) (((-409 (-568)) $) NIL) (((-568) $) NIL))) 
-(((-1204 |#1| |#2| |#3|) (-10 -8 (-15 -2857 ((-568) |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -2857 ((-409 (-568)) |#1|)) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2857 ((-1161) |#1|)) (-15 -3668 ((-3 (-1161) "failed") |#1|)) (-15 -2857 (|#3| |#1|)) (-15 -3668 ((-3 |#3| "failed") |#1|)) (-15 -1819 ((-121) |#1|))) (-1205 |#2| |#3|) (-1047) (-1234 |#2|)) (T -1204)) 
-NIL 
-(-10 -8 (-15 -2857 ((-568) |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -2857 ((-409 (-568)) |#1|)) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2857 ((-1161) |#1|)) (-15 -3668 ((-3 (-1161) "failed") |#1|)) (-15 -2857 (|#3| |#1|)) (-15 -3668 ((-3 |#3| "failed") |#1|)) (-15 -1819 ((-121) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2563 ((|#2| $) 219 (-2141 (|has| |#2| (-301)) (|has| |#1| (-365))))) (-2057 (((-634 (-1075)) $) 70)) (-3325 (((-1161) $) 98)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 50 (|has| |#1| (-558)))) (-3661 (($ $) 51 (|has| |#1| (-558)))) (-4426 (((-121) $) 53 (|has| |#1| (-558)))) (-4179 (($ $ (-568)) 93) (($ $ (-568) (-568)) 92)) (-2013 (((-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $) 100)) (-3054 ((|#2| $) 255)) (-1415 (((-3 |#2| "failed") $) 251)) (-2067 ((|#2| $) 252)) (-1984 (($ $) 127 (|has| |#1| (-43 (-409 (-568)))))) (-1935 (($ $) 110 (|has| |#1| (-43 (-409 (-568)))))) (-2689 (((-3 $ "failed") $ $) 18)) (-3863 (((-420 (-1157 $)) (-1157 $)) 228 (-2141 (|has| |#2| (-904)) (|has| |#1| (-365))))) (-3045 (($ $) 154 (|has| |#1| (-365)))) (-3498 (((-420 $) $) 155 (|has| |#1| (-365)))) (-1904 (($ $) 109 (|has| |#1| (-43 (-409 (-568)))))) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) 225 (-2141 (|has| |#2| (-904)) (|has| |#1| (-365))))) (-2589 (((-121) $ $) 145 (|has| |#1| (-365)))) (-1976 (($ $) 126 (|has| |#1| (-43 (-409 (-568)))))) (-2788 (($ $) 111 (|has| |#1| (-43 (-409 (-568)))))) (-3337 (((-568) $) 237 (-2141 (|has| |#2| (-815)) (|has| |#1| (-365))))) (-2512 (($ (-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|)))) 166)) (-1992 (($ $) 125 (|has| |#1| (-43 (-409 (-568)))))) (-1943 (($ $) 112 (|has| |#1| (-43 (-409 (-568)))))) (-4490 (($) 16 T CONST)) (-3668 (((-3 |#2| "failed") $) 258) (((-3 (-568) "failed") $) 247 (-2141 (|has| |#2| (-1037 (-568))) (|has| |#1| (-365)))) (((-3 (-409 (-568)) "failed") $) 245 (-2141 (|has| |#2| (-1037 (-568))) (|has| |#1| (-365)))) (((-3 (-1161) "failed") $) 230 (-2141 (|has| |#2| (-1037 (-1161))) (|has| |#1| (-365))))) (-2857 ((|#2| $) 257) (((-568) $) 248 (-2141 (|has| |#2| (-1037 (-568))) (|has| |#1| (-365)))) (((-409 (-568)) $) 246 (-2141 (|has| |#2| (-1037 (-568))) (|has| |#1| (-365)))) (((-1161) $) 231 (-2141 (|has| |#2| (-1037 (-1161))) (|has| |#1| (-365))))) (-2232 (($ $) 254) (($ (-568) $) 253)) (-2403 (($ $ $) 149 (|has| |#1| (-365)))) (-2116 (($ $) 59)) (-1668 (((-679 |#2|) (-679 $)) 209 (|has| |#1| (-365))) (((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 $) (-1244 $)) 208 (|has| |#1| (-365))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) 207 (-2141 (|has| |#2| (-630 (-568))) (|has| |#1| (-365)))) (((-679 (-568)) (-679 $)) 206 (-2141 (|has| |#2| (-630 (-568))) (|has| |#1| (-365))))) (-2902 (((-3 $ "failed") $) 33)) (-1685 (((-409 (-953 |#1|)) $ (-568)) 164 (|has| |#1| (-558))) (((-409 (-953 |#1|)) $ (-568) (-568)) 163 (|has| |#1| (-558)))) (-1733 (($) 221 (-2141 (|has| |#2| (-550)) (|has| |#1| (-365))))) (-2414 (($ $ $) 148 (|has| |#1| (-365)))) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 143 (|has| |#1| (-365)))) (-2197 (((-121) $) 156 (|has| |#1| (-365)))) (-1436 (((-121) $) 235 (-2141 (|has| |#2| (-815)) (|has| |#1| (-365))))) (-1302 (((-121) $) 69)) (-1899 (($) 137 (|has| |#1| (-43 (-409 (-568)))))) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) 213 (-2141 (|has| |#2| (-881 (-381))) (|has| |#1| (-365)))) (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) 212 (-2141 (|has| |#2| (-881 (-568))) (|has| |#1| (-365))))) (-1844 (((-568) $) 95) (((-568) $ (-568)) 94)) (-1598 (((-121) $) 30)) (-3539 (($ $) 217 (|has| |#1| (-365)))) (-2319 ((|#2| $) 215 (|has| |#1| (-365)))) (-1550 (($ $ (-568)) 108 (|has| |#1| (-43 (-409 (-568)))))) (-2214 (((-3 $ "failed") $) 249 (-2141 (|has| |#2| (-1136)) (|has| |#1| (-365))))) (-2859 (((-121) $) 236 (-2141 (|has| |#2| (-815)) (|has| |#1| (-365))))) (-4168 (($ $ (-917)) 96)) (-3698 (($ (-1 |#1| (-568)) $) 165)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 152 (|has| |#1| (-365)))) (-2171 (((-121) $) 61)) (-2049 (($ |#1| (-568)) 60) (($ $ (-1075) (-568)) 72) (($ $ (-634 (-1075)) (-634 (-568))) 71)) (-1732 (($ $ $) 239 (-2141 (|has| |#2| (-842)) (|has| |#1| (-365))))) (-2047 (($ $ $) 240 (-2141 (|has| |#2| (-842)) (|has| |#1| (-365))))) (-2797 (($ (-1 |#1| |#1|) $) 62) (($ (-1 |#2| |#2|) $) 201 (|has| |#1| (-365)))) (-4418 (($ $) 134 (|has| |#1| (-43 (-409 (-568)))))) (-2099 (($ $) 64)) (-2104 ((|#1| $) 65)) (-2498 (($ (-634 $)) 141 (|has| |#1| (-365))) (($ $ $) 140 (|has| |#1| (-365)))) (-2072 (($ (-568) |#2|) 256)) (-1893 (((-1143) $) 9)) (-2083 (($ $) 157 (|has| |#1| (-365)))) (-1845 (($ $) 162 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-1161)) 161 (-2199 (-12 (|has| |#1| (-29 (-568))) (|has| |#1| (-959)) (|has| |#1| (-1181)) (|has| |#1| (-43 (-409 (-568))))) (-12 (|has| |#1| (-15 -2057 ((-634 (-1161)) |#1|))) (|has| |#1| (-15 -1845 (|#1| |#1| (-1161)))) (|has| |#1| (-43 (-409 (-568)))))))) (-4436 (($) 250 (-2141 (|has| |#2| (-1136)) (|has| |#1| (-365))) CONST)) (-4025 (((-1108) $) 10)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 142 (|has| |#1| (-365)))) (-2723 (($ (-634 $)) 139 (|has| |#1| (-365))) (($ $ $) 138 (|has| |#1| (-365)))) (-1999 (($ $) 220 (-2141 (|has| |#2| (-301)) (|has| |#1| (-365))))) (-4115 ((|#2| $) 223 (-2141 (|has| |#2| (-550)) (|has| |#1| (-365))))) (-2841 (((-420 (-1157 $)) (-1157 $)) 226 (-2141 (|has| |#2| (-904)) (|has| |#1| (-365))))) (-2795 (((-420 (-1157 $)) (-1157 $)) 227 (-2141 (|has| |#2| (-904)) (|has| |#1| (-365))))) (-3850 (((-420 $) $) 153 (|has| |#1| (-365)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 151 (|has| |#1| (-365))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 150 (|has| |#1| (-365)))) (-2168 (($ $ (-568)) 90)) (-2597 (((-3 $ "failed") $ $) 49 (|has| |#1| (-558)))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 144 (|has| |#1| (-365)))) (-1894 (($ $) 135 (|has| |#1| (-43 (-409 (-568)))))) (-1339 (((-1141 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-568))))) (($ $ (-1161) |#2|) 200 (-2141 (|has| |#2| (-523 (-1161) |#2|)) (|has| |#1| (-365)))) (($ $ (-634 (-1161)) (-634 |#2|)) 199 (-2141 (|has| |#2| (-523 (-1161) |#2|)) (|has| |#1| (-365)))) (($ $ (-634 (-288 |#2|))) 198 (-2141 (|has| |#2| (-303 |#2|)) (|has| |#1| (-365)))) (($ $ (-288 |#2|)) 197 (-2141 (|has| |#2| (-303 |#2|)) (|has| |#1| (-365)))) (($ $ |#2| |#2|) 196 (-2141 (|has| |#2| (-303 |#2|)) (|has| |#1| (-365)))) (($ $ (-634 |#2|) (-634 |#2|)) 195 (-2141 (|has| |#2| (-303 |#2|)) (|has| |#1| (-365))))) (-1466 (((-763) $) 146 (|has| |#1| (-365)))) (-2781 ((|#1| $ (-568)) 99) (($ $ $) 76 (|has| (-568) (-1102))) (($ $ |#2|) 194 (-2141 (|has| |#2| (-281 |#2| |#2|)) (|has| |#1| (-365))))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 147 (|has| |#1| (-365)))) (-4191 (($ $ (-1 |#2| |#2|)) 205 (|has| |#1| (-365))) (($ $ (-1 |#2| |#2|) (-763)) 204 (|has| |#1| (-365))) (($ $ (-763)) 79 (-2199 (-2141 (|has| |#2| (-225)) (|has| |#1| (-365))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $) 77 (-2199 (-2141 (|has| |#2| (-225)) (|has| |#1| (-365))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $ (-634 (-1161)) (-634 (-763))) 84 (-2199 (-2141 (|has| |#2| (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-568) |#1|)))))) (($ $ (-1161) (-763)) 83 (-2199 (-2141 (|has| |#2| (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-568) |#1|)))))) (($ $ (-634 (-1161))) 82 (-2199 (-2141 (|has| |#2| (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-568) |#1|)))))) (($ $ (-1161)) 81 (-2199 (-2141 (|has| |#2| (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))))) (-3210 (($ $) 218 (|has| |#1| (-365)))) (-2326 ((|#2| $) 216 (|has| |#1| (-365)))) (-1836 (((-568) $) 63)) (-1996 (($ $) 124 (|has| |#1| (-43 (-409 (-568)))))) (-1947 (($ $) 113 (|has| |#1| (-43 (-409 (-568)))))) (-1988 (($ $) 123 (|has| |#1| (-43 (-409 (-568)))))) (-1939 (($ $) 114 (|has| |#1| (-43 (-409 (-568)))))) (-1980 (($ $) 122 (|has| |#1| (-43 (-409 (-568)))))) (-2792 (($ $) 115 (|has| |#1| (-43 (-409 (-568)))))) (-4280 (((-215) $) 234 (-2141 (|has| |#2| (-1021)) (|has| |#1| (-365)))) (((-381) $) 233 (-2141 (|has| |#2| (-1021)) (|has| |#1| (-365)))) (((-541) $) 232 (-2141 (|has| |#2| (-609 (-541))) (|has| |#1| (-365)))) (((-887 (-381)) $) 211 (-2141 (|has| |#2| (-609 (-887 (-381)))) (|has| |#1| (-365)))) (((-887 (-568)) $) 210 (-2141 (|has| |#2| (-609 (-887 (-568)))) (|has| |#1| (-365))))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) 224 (-2141 (-2141 (|has| $ (-148)) (|has| |#2| (-904))) (|has| |#1| (-365))))) (-2188 (($ $) 68)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ |#1|) 46 (|has| |#1| (-172))) (($ |#2|) 259) (($ (-1161)) 229 (-2141 (|has| |#2| (-1037 (-1161))) (|has| |#1| (-365)))) (($ (-409 (-568))) 56 (|has| |#1| (-43 (-409 (-568))))) (($ $) 48 (|has| |#1| (-558)))) (-2079 ((|#1| $ (-568)) 58)) (-3385 (((-3 $ "failed") $) 47 (-2199 (-2141 (-2199 (|has| |#2| (-148)) (-2141 (|has| $ (-148)) (|has| |#2| (-904)))) (|has| |#1| (-365))) (|has| |#1| (-148))))) (-3425 (((-763)) 28)) (-1374 ((|#1| $) 97)) (-3520 ((|#2| $) 222 (-2141 (|has| |#2| (-550)) (|has| |#1| (-365))))) (-2008 (($ $) 133 (|has| |#1| (-43 (-409 (-568)))))) (-1959 (($ $) 121 (|has| |#1| (-43 (-409 (-568)))))) (-2273 (((-121) $ $) 52 (|has| |#1| (-558)))) (-2000 (($ $) 132 (|has| |#1| (-43 (-409 (-568)))))) (-1951 (($ $) 120 (|has| |#1| (-43 (-409 (-568)))))) (-2016 (($ $) 131 (|has| |#1| (-43 (-409 (-568)))))) (-1968 (($ $) 119 (|has| |#1| (-43 (-409 (-568)))))) (-3999 ((|#1| $ (-568)) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-568)))) (|has| |#1| (-15 -2747 (|#1| (-1161))))))) (-1439 (($ $) 130 (|has| |#1| (-43 (-409 (-568)))))) (-1972 (($ $) 118 (|has| |#1| (-43 (-409 (-568)))))) (-2012 (($ $) 129 (|has| |#1| (-43 (-409 (-568)))))) (-1964 (($ $) 117 (|has| |#1| (-43 (-409 (-568)))))) (-2004 (($ $) 128 (|has| |#1| (-43 (-409 (-568)))))) (-1955 (($ $) 116 (|has| |#1| (-43 (-409 (-568)))))) (-2811 (($ $) 238 (-2141 (|has| |#2| (-815)) (|has| |#1| (-365))))) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32) (($ $ (-568)) 158 (|has| |#1| (-365)))) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3192 (($ $ (-1 |#2| |#2|)) 203 (|has| |#1| (-365))) (($ $ (-1 |#2| |#2|) (-763)) 202 (|has| |#1| (-365))) (($ $ (-763)) 80 (-2199 (-2141 (|has| |#2| (-225)) (|has| |#1| (-365))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $) 78 (-2199 (-2141 (|has| |#2| (-225)) (|has| |#1| (-365))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $ (-634 (-1161)) (-634 (-763))) 88 (-2199 (-2141 (|has| |#2| (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-568) |#1|)))))) (($ $ (-1161) (-763)) 87 (-2199 (-2141 (|has| |#2| (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-568) |#1|)))))) (($ $ (-634 (-1161))) 86 (-2199 (-2141 (|has| |#2| (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-568) |#1|)))))) (($ $ (-1161)) 85 (-2199 (-2141 (|has| |#2| (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))))) (-1753 (((-121) $ $) 242 (-2141 (|has| |#2| (-842)) (|has| |#1| (-365))))) (-1740 (((-121) $ $) 243 (-2141 (|has| |#2| (-842)) (|has| |#1| (-365))))) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 241 (-2141 (|has| |#2| (-842)) (|has| |#1| (-365))))) (-1734 (((-121) $ $) 244 (-2141 (|has| |#2| (-842)) (|has| |#1| (-365))))) (-1781 (($ $ |#1|) 57 (|has| |#1| (-365))) (($ $ $) 160 (|has| |#1| (-365))) (($ |#2| |#2|) 214 (|has| |#1| (-365)))) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ (-568)) 159 (|has| |#1| (-365))) (($ $ $) 136 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) 107 (|has| |#1| (-43 (-409 (-568)))))) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ $ |#2|) 193 (|has| |#1| (-365))) (($ |#2| $) 192 (|has| |#1| (-365))) (($ (-409 (-568)) $) 55 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) 54 (|has| |#1| (-43 (-409 (-568))))))) 
-(((-1205 |#1| |#2|) (-1275) (-1047) (-1234 |t#1|)) (T -1205)) 
-((-1836 (*1 *2 *1) (-12 (-4 *1 (-1205 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-1234 *3)) (-5 *2 (-568)))) (-2747 (*1 *1 *2) (-12 (-4 *3 (-1047)) (-4 *1 (-1205 *3 *2)) (-4 *2 (-1234 *3)))) (-2072 (*1 *1 *2 *3) (-12 (-5 *2 (-568)) (-4 *4 (-1047)) (-4 *1 (-1205 *4 *3)) (-4 *3 (-1234 *4)))) (-3054 (*1 *2 *1) (-12 (-4 *1 (-1205 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-1234 *3)))) (-2232 (*1 *1 *1) (-12 (-4 *1 (-1205 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-1234 *2)))) (-2232 (*1 *1 *2 *1) (-12 (-5 *2 (-568)) (-4 *1 (-1205 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-1234 *3)))) (-2067 (*1 *2 *1) (-12 (-4 *1 (-1205 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-1234 *3)))) (-1415 (*1 *2 *1) (|partial| -12 (-4 *1 (-1205 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-1234 *3))))) 
-(-13 (-1203 |t#1|) (-1037 |t#2|) (-10 -8 (-15 -2072 ($ (-568) |t#2|)) (-15 -1836 ((-568) $)) (-15 -3054 (|t#2| $)) (-15 -2232 ($ $)) (-15 -2232 ($ (-568) $)) (-15 -2747 ($ |t#2|)) (-15 -2067 (|t#2| $)) (-15 -1415 ((-3 |t#2| "failed") $)) (IF (|has| |t#1| (-365)) (-6 (-993 |t#2|)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-568)) . T) ((-25) . T) ((-43 (-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-43 (-409 (-568))))) ((-43 |#1|) |has| |#1| (-172)) ((-43 |#2|) |has| |#1| (-365)) ((-43 $) -2199 (|has| |#1| (-558)) (|has| |#1| (-365))) ((-40) |has| |#1| (-43 (-409 (-568)))) ((-98) |has| |#1| (-43 (-409 (-568)))) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-43 (-409 (-568))))) ((-120 |#1| |#1|) . T) ((-120 |#2| |#2|) |has| |#1| (-365)) ((-120 $ $) -2199 (|has| |#1| (-558)) (|has| |#1| (-365)) (|has| |#1| (-172))) ((-137) . T) ((-148) -2199 (-12 (|has| |#1| (-365)) (|has| |#2| (-148))) (|has| |#1| (-148))) ((-150) -2199 (-12 (|has| |#1| (-365)) (|has| |#2| (-150))) (|has| |#1| (-150))) ((-608 (-850)) . T) ((-172) -2199 (|has| |#1| (-558)) (|has| |#1| (-365)) (|has| |#1| (-172))) ((-609 (-215)) -12 (|has| |#1| (-365)) (|has| |#2| (-1021))) ((-609 (-381)) -12 (|has| |#1| (-365)) (|has| |#2| (-1021))) ((-609 (-541)) -12 (|has| |#1| (-365)) (|has| |#2| (-609 (-541)))) ((-609 (-887 (-381))) -12 (|has| |#1| (-365)) (|has| |#2| (-609 (-887 (-381))))) ((-609 (-887 (-568))) -12 (|has| |#1| (-365)) (|has| |#2| (-609 (-887 (-568))))) ((-223 |#2|) |has| |#1| (-365)) ((-225) -2199 (-12 (|has| |#1| (-365)) (|has| |#2| (-225))) (|has| |#1| (-15 * (|#1| (-568) |#1|)))) ((-238) |has| |#1| (-365)) ((-279) |has| |#1| (-43 (-409 (-568)))) ((-281 |#2| $) -12 (|has| |#1| (-365)) (|has| |#2| (-281 |#2| |#2|))) ((-281 $ $) |has| (-568) (-1102)) ((-285) -2199 (|has| |#1| (-558)) (|has| |#1| (-365))) ((-301) |has| |#1| (-365)) ((-303 |#2|) -12 (|has| |#1| (-365)) (|has| |#2| (-303 |#2|))) ((-365) |has| |#1| (-365)) ((-336 |#2|) |has| |#1| (-365)) ((-379 |#2|) |has| |#1| (-365)) ((-402 |#2|) |has| |#1| (-365)) ((-453) |has| |#1| (-365)) ((-502) |has| |#1| (-43 (-409 (-568)))) ((-523 (-1161) |#2|) -12 (|has| |#1| (-365)) (|has| |#2| (-523 (-1161) |#2|))) ((-523 |#2| |#2|) -12 (|has| |#1| (-365)) (|has| |#2| (-303 |#2|))) ((-558) -2199 (|has| |#1| (-558)) (|has| |#1| (-365))) ((-637 (-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-43 (-409 (-568))))) ((-637 |#1|) . T) ((-637 |#2|) |has| |#1| (-365)) ((-637 $) . T) ((-630 (-568)) -12 (|has| |#1| (-365)) (|has| |#2| (-630 (-568)))) ((-630 |#2|) |has| |#1| (-365)) ((-707 (-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-43 (-409 (-568))))) ((-707 |#1|) |has| |#1| (-172)) ((-707 |#2|) |has| |#1| (-365)) ((-707 $) -2199 (|has| |#1| (-558)) (|has| |#1| (-365))) ((-716) . T) ((-786) -12 (|has| |#1| (-365)) (|has| |#2| (-815))) ((-787) -12 (|has| |#1| (-365)) (|has| |#2| (-815))) ((-789) -12 (|has| |#1| (-365)) (|has| |#2| (-815))) ((-790) -12 (|has| |#1| (-365)) (|has| |#2| (-815))) ((-815) -12 (|has| |#1| (-365)) (|has| |#2| (-815))) ((-840) -12 (|has| |#1| (-365)) (|has| |#2| (-815))) ((-842) -2199 (-12 (|has| |#1| (-365)) (|has| |#2| (-842))) (-12 (|has| |#1| (-365)) (|has| |#2| (-815)))) ((-895 (-1161)) -2199 (-12 (|has| |#1| (-365)) (|has| |#2| (-895 (-1161)))) (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161))))) ((-881 (-381)) -12 (|has| |#1| (-365)) (|has| |#2| (-881 (-381)))) ((-881 (-568)) -12 (|has| |#1| (-365)) (|has| |#2| (-881 (-568)))) ((-879 |#2|) |has| |#1| (-365)) ((-904) -12 (|has| |#1| (-365)) (|has| |#2| (-904))) ((-974 |#1| (-568) (-1075)) . T) ((-916) |has| |#1| (-365)) ((-993 |#2|) |has| |#1| (-365)) ((-1002) |has| |#1| (-43 (-409 (-568)))) ((-1021) -12 (|has| |#1| (-365)) (|has| |#2| (-1021))) ((-1037 (-409 (-568))) -12 (|has| |#1| (-365)) (|has| |#2| (-1037 (-568)))) ((-1037 (-568)) -12 (|has| |#1| (-365)) (|has| |#2| (-1037 (-568)))) ((-1037 (-1161)) -12 (|has| |#1| (-365)) (|has| |#2| (-1037 (-1161)))) ((-1037 |#2|) . T) ((-1053 (-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-43 (-409 (-568))))) ((-1053 |#1|) . T) ((-1053 |#2|) |has| |#1| (-365)) ((-1053 $) -2199 (|has| |#1| (-558)) (|has| |#1| (-365)) (|has| |#1| (-172))) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1136) -12 (|has| |#1| (-365)) (|has| |#2| (-1136))) ((-1181) |has| |#1| (-43 (-409 (-568)))) ((-1184) |has| |#1| (-43 (-409 (-568)))) ((-1195) |has| |#1| (-365)) ((-1199) |has| |#1| (-365)) ((-1203 |#1|) . T) ((-1221 |#1| (-568)) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 70)) (-2563 ((|#2| $) NIL (-12 (|has| |#2| (-301)) (|has| |#1| (-365))))) (-2057 (((-634 (-1075)) $) NIL)) (-3325 (((-1161) $) 88)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#1| (-558)))) (-3661 (($ $) NIL (|has| |#1| (-558)))) (-4426 (((-121) $) NIL (|has| |#1| (-558)))) (-4179 (($ $ (-568)) 97) (($ $ (-568) (-568)) 99)) (-2013 (((-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $) 47)) (-3054 ((|#2| $) 11)) (-1415 (((-3 |#2| "failed") $) 30)) (-2067 ((|#2| $) 31)) (-1984 (($ $) 192 (|has| |#1| (-43 (-409 (-568)))))) (-1935 (($ $) 168 (|has| |#1| (-43 (-409 (-568)))))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (-12 (|has| |#2| (-904)) (|has| |#1| (-365))))) (-3045 (($ $) NIL (|has| |#1| (-365)))) (-3498 (((-420 $) $) NIL (|has| |#1| (-365)))) (-1904 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (-12 (|has| |#2| (-904)) (|has| |#1| (-365))))) (-2589 (((-121) $ $) NIL (|has| |#1| (-365)))) (-1976 (($ $) 188 (|has| |#1| (-43 (-409 (-568)))))) (-2788 (($ $) 164 (|has| |#1| (-43 (-409 (-568)))))) (-3337 (((-568) $) NIL (-12 (|has| |#2| (-815)) (|has| |#1| (-365))))) (-2512 (($ (-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|)))) 57)) (-1992 (($ $) 196 (|has| |#1| (-43 (-409 (-568)))))) (-1943 (($ $) 172 (|has| |#1| (-43 (-409 (-568)))))) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#2| "failed") $) 144) (((-3 (-568) "failed") $) NIL (-12 (|has| |#2| (-1037 (-568))) (|has| |#1| (-365)))) (((-3 (-409 (-568)) "failed") $) NIL (-12 (|has| |#2| (-1037 (-568))) (|has| |#1| (-365)))) (((-3 (-1161) "failed") $) NIL (-12 (|has| |#2| (-1037 (-1161))) (|has| |#1| (-365))))) (-2857 ((|#2| $) 143) (((-568) $) NIL (-12 (|has| |#2| (-1037 (-568))) (|has| |#1| (-365)))) (((-409 (-568)) $) NIL (-12 (|has| |#2| (-1037 (-568))) (|has| |#1| (-365)))) (((-1161) $) NIL (-12 (|has| |#2| (-1037 (-1161))) (|has| |#1| (-365))))) (-2232 (($ $) 61) (($ (-568) $) 24)) (-2403 (($ $ $) NIL (|has| |#1| (-365)))) (-2116 (($ $) NIL)) (-1668 (((-679 |#2|) (-679 $)) NIL (|has| |#1| (-365))) (((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 $) (-1244 $)) NIL (|has| |#1| (-365))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (-12 (|has| |#2| (-630 (-568))) (|has| |#1| (-365)))) (((-679 (-568)) (-679 $)) NIL (-12 (|has| |#2| (-630 (-568))) (|has| |#1| (-365))))) (-2902 (((-3 $ "failed") $) 77)) (-1685 (((-409 (-953 |#1|)) $ (-568)) 112 (|has| |#1| (-558))) (((-409 (-953 |#1|)) $ (-568) (-568)) 114 (|has| |#1| (-558)))) (-1733 (($) NIL (-12 (|has| |#2| (-550)) (|has| |#1| (-365))))) (-2414 (($ $ $) NIL (|has| |#1| (-365)))) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL (|has| |#1| (-365)))) (-2197 (((-121) $) NIL (|has| |#1| (-365)))) (-1436 (((-121) $) NIL (-12 (|has| |#2| (-815)) (|has| |#1| (-365))))) (-1302 (((-121) $) 64)) (-1899 (($) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (-12 (|has| |#2| (-881 (-381))) (|has| |#1| (-365)))) (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (-12 (|has| |#2| (-881 (-568))) (|has| |#1| (-365))))) (-1844 (((-568) $) 93) (((-568) $ (-568)) 95)) (-1598 (((-121) $) NIL)) (-3539 (($ $) NIL (|has| |#1| (-365)))) (-2319 ((|#2| $) 151 (|has| |#1| (-365)))) (-1550 (($ $ (-568)) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2214 (((-3 $ "failed") $) NIL (-12 (|has| |#2| (-1136)) (|has| |#1| (-365))))) (-2859 (((-121) $) NIL (-12 (|has| |#2| (-815)) (|has| |#1| (-365))))) (-4168 (($ $ (-917)) 136)) (-3698 (($ (-1 |#1| (-568)) $) 132)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-2171 (((-121) $) NIL)) (-2049 (($ |#1| (-568)) 19) (($ $ (-1075) (-568)) NIL) (($ $ (-634 (-1075)) (-634 (-568))) NIL)) (-1732 (($ $ $) NIL (-12 (|has| |#2| (-842)) (|has| |#1| (-365))))) (-2047 (($ $ $) NIL (-12 (|has| |#2| (-842)) (|has| |#1| (-365))))) (-2797 (($ (-1 |#1| |#1|) $) 129) (($ (-1 |#2| |#2|) $) NIL (|has| |#1| (-365)))) (-4418 (($ $) 162 (|has| |#1| (-43 (-409 (-568)))))) (-2099 (($ $) NIL)) (-2104 ((|#1| $) NIL)) (-2498 (($ (-634 $)) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-365)))) (-2072 (($ (-568) |#2|) 10)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) 145 (|has| |#1| (-365)))) (-1845 (($ $) 214 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-1161)) 219 (-2199 (-12 (|has| |#1| (-15 -1845 (|#1| |#1| (-1161)))) (|has| |#1| (-15 -2057 ((-634 (-1161)) |#1|))) (|has| |#1| (-43 (-409 (-568))))) (-12 (|has| |#1| (-29 (-568))) (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-959)) (|has| |#1| (-1181)))))) (-4436 (($) NIL (-12 (|has| |#2| (-1136)) (|has| |#1| (-365))) CONST)) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#1| (-365)))) (-2723 (($ (-634 $)) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-365)))) (-1999 (($ $) NIL (-12 (|has| |#2| (-301)) (|has| |#1| (-365))))) (-4115 ((|#2| $) NIL (-12 (|has| |#2| (-550)) (|has| |#1| (-365))))) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (-12 (|has| |#2| (-904)) (|has| |#1| (-365))))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (-12 (|has| |#2| (-904)) (|has| |#1| (-365))))) (-3850 (((-420 $) $) NIL (|has| |#1| (-365)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-365))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#1| (-365)))) (-2168 (($ $ (-568)) 126)) (-2597 (((-3 $ "failed") $ $) 116 (|has| |#1| (-558)))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-1894 (($ $) 160 (|has| |#1| (-43 (-409 (-568)))))) (-1339 (((-1141 |#1|) $ |#1|) 85 (|has| |#1| (-15 ** (|#1| |#1| (-568))))) (($ $ (-1161) |#2|) NIL (-12 (|has| |#2| (-523 (-1161) |#2|)) (|has| |#1| (-365)))) (($ $ (-634 (-1161)) (-634 |#2|)) NIL (-12 (|has| |#2| (-523 (-1161) |#2|)) (|has| |#1| (-365)))) (($ $ (-634 (-288 |#2|))) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#1| (-365)))) (($ $ (-288 |#2|)) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#1| (-365)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#1| (-365)))) (($ $ (-634 |#2|) (-634 |#2|)) NIL (-12 (|has| |#2| (-303 |#2|)) (|has| |#1| (-365))))) (-1466 (((-763) $) NIL (|has| |#1| (-365)))) (-2781 ((|#1| $ (-568)) 91) (($ $ $) 79 (|has| (-568) (-1102))) (($ $ |#2|) NIL (-12 (|has| |#2| (-281 |#2| |#2|)) (|has| |#1| (-365))))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-365)))) (-4191 (($ $ (-1 |#2| |#2|)) NIL (|has| |#1| (-365))) (($ $ (-1 |#2| |#2|) (-763)) NIL (|has| |#1| (-365))) (($ $ (-763)) NIL (-2199 (-12 (|has| |#2| (-225)) (|has| |#1| (-365))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $) 137 (-2199 (-12 (|has| |#2| (-225)) (|has| |#1| (-365))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (-2199 (-12 (|has| |#2| (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161)))))) (($ $ (-1161) (-763)) NIL (-2199 (-12 (|has| |#2| (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161)))))) (($ $ (-634 (-1161))) NIL (-2199 (-12 (|has| |#2| (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161)))))) (($ $ (-1161)) 140 (-2199 (-12 (|has| |#2| (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161))))))) (-3210 (($ $) NIL (|has| |#1| (-365)))) (-2326 ((|#2| $) 152 (|has| |#1| (-365)))) (-1836 (((-568) $) 12)) (-1996 (($ $) 198 (|has| |#1| (-43 (-409 (-568)))))) (-1947 (($ $) 174 (|has| |#1| (-43 (-409 (-568)))))) (-1988 (($ $) 194 (|has| |#1| (-43 (-409 (-568)))))) (-1939 (($ $) 170 (|has| |#1| (-43 (-409 (-568)))))) (-1980 (($ $) 190 (|has| |#1| (-43 (-409 (-568)))))) (-2792 (($ $) 166 (|has| |#1| (-43 (-409 (-568)))))) (-4280 (((-215) $) NIL (-12 (|has| |#2| (-1021)) (|has| |#1| (-365)))) (((-381) $) NIL (-12 (|has| |#2| (-1021)) (|has| |#1| (-365)))) (((-541) $) NIL (-12 (|has| |#2| (-609 (-541))) (|has| |#1| (-365)))) (((-887 (-381)) $) NIL (-12 (|has| |#2| (-609 (-887 (-381)))) (|has| |#1| (-365)))) (((-887 (-568)) $) NIL (-12 (|has| |#2| (-609 (-887 (-568)))) (|has| |#1| (-365))))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-12 (|has| $ (-148)) (|has| |#2| (-904)) (|has| |#1| (-365))))) (-2188 (($ $) 124)) (-2747 (((-850) $) 242) (($ (-568)) 23) (($ |#1|) 21 (|has| |#1| (-172))) (($ |#2|) 20) (($ (-1161)) NIL (-12 (|has| |#2| (-1037 (-1161))) (|has| |#1| (-365)))) (($ (-409 (-568))) 155 (|has| |#1| (-43 (-409 (-568))))) (($ $) NIL (|has| |#1| (-558)))) (-2079 ((|#1| $ (-568)) 74)) (-3385 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| |#2| (-904)) (|has| |#1| (-365))) (-12 (|has| |#2| (-148)) (|has| |#1| (-365))) (|has| |#1| (-148))))) (-3425 (((-763)) 142)) (-1374 ((|#1| $) 90)) (-3520 ((|#2| $) NIL (-12 (|has| |#2| (-550)) (|has| |#1| (-365))))) (-2008 (($ $) 204 (|has| |#1| (-43 (-409 (-568)))))) (-1959 (($ $) 180 (|has| |#1| (-43 (-409 (-568)))))) (-2273 (((-121) $ $) NIL (|has| |#1| (-558)))) (-2000 (($ $) 200 (|has| |#1| (-43 (-409 (-568)))))) (-1951 (($ $) 176 (|has| |#1| (-43 (-409 (-568)))))) (-2016 (($ $) 208 (|has| |#1| (-43 (-409 (-568)))))) (-1968 (($ $) 184 (|has| |#1| (-43 (-409 (-568)))))) (-3999 ((|#1| $ (-568)) 122 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-568)))) (|has| |#1| (-15 -2747 (|#1| (-1161))))))) (-1439 (($ $) 210 (|has| |#1| (-43 (-409 (-568)))))) (-1972 (($ $) 186 (|has| |#1| (-43 (-409 (-568)))))) (-2012 (($ $) 206 (|has| |#1| (-43 (-409 (-568)))))) (-1964 (($ $) 182 (|has| |#1| (-43 (-409 (-568)))))) (-2004 (($ $) 202 (|has| |#1| (-43 (-409 (-568)))))) (-1955 (($ $) 178 (|has| |#1| (-43 (-409 (-568)))))) (-2811 (($ $) NIL (-12 (|has| |#2| (-815)) (|has| |#1| (-365))))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| |#1| (-365)))) (-3058 (($) 13 T CONST)) (-1557 (($) 17 T CONST)) (-3192 (($ $ (-1 |#2| |#2|)) NIL (|has| |#1| (-365))) (($ $ (-1 |#2| |#2|) (-763)) NIL (|has| |#1| (-365))) (($ $ (-763)) NIL (-2199 (-12 (|has| |#2| (-225)) (|has| |#1| (-365))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $) NIL (-2199 (-12 (|has| |#2| (-225)) (|has| |#1| (-365))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (-2199 (-12 (|has| |#2| (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161)))))) (($ $ (-1161) (-763)) NIL (-2199 (-12 (|has| |#2| (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161)))))) (($ $ (-634 (-1161))) NIL (-2199 (-12 (|has| |#2| (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161)))))) (($ $ (-1161)) NIL (-2199 (-12 (|has| |#2| (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161))))))) (-1753 (((-121) $ $) NIL (-12 (|has| |#2| (-842)) (|has| |#1| (-365))))) (-1740 (((-121) $ $) NIL (-12 (|has| |#2| (-842)) (|has| |#1| (-365))))) (-1719 (((-121) $ $) 63)) (-1747 (((-121) $ $) NIL (-12 (|has| |#2| (-842)) (|has| |#1| (-365))))) (-1734 (((-121) $ $) NIL (-12 (|has| |#2| (-842)) (|has| |#1| (-365))))) (-1781 (($ $ |#1|) NIL (|has| |#1| (-365))) (($ $ $) 149 (|has| |#1| (-365))) (($ |#2| |#2|) 150 (|has| |#1| (-365)))) (-1775 (($ $) 213) (($ $ $) 68)) (-1769 (($ $ $) 66)) (** (($ $ (-917)) NIL) (($ $ (-763)) 73) (($ $ (-568)) 146 (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) 158 (|has| |#1| (-43 (-409 (-568)))))) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 69) (($ $ |#1|) NIL) (($ |#1| $) 139) (($ $ |#2|) 148 (|has| |#1| (-365))) (($ |#2| $) 147 (|has| |#1| (-365))) (($ (-409 (-568)) $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))))) 
-(((-1206 |#1| |#2|) (-1205 |#1| |#2|) (-1047) (-1234 |#1|)) (T -1206)) 
-NIL 
-(-1205 |#1| |#2|) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2563 (((-1235 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-301)) (|has| |#1| (-365))))) (-2057 (((-634 (-1075)) $) NIL)) (-3325 (((-1161) $) 10)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))) (-12 (|has| (-1235 |#1| |#2| |#3|) (-904)) (|has| |#1| (-365))) (|has| |#1| (-558))))) (-3661 (($ $) NIL (-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))) (-12 (|has| (-1235 |#1| |#2| |#3|) (-904)) (|has| |#1| (-365))) (|has| |#1| (-558))))) (-4426 (((-121) $) NIL (-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))) (-12 (|has| (-1235 |#1| |#2| |#3|) (-904)) (|has| |#1| (-365))) (|has| |#1| (-558))))) (-4179 (($ $ (-568)) NIL) (($ $ (-568) (-568)) NIL)) (-2013 (((-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|))) $) NIL)) (-3054 (((-1235 |#1| |#2| |#3|) $) NIL)) (-1415 (((-3 (-1235 |#1| |#2| |#3|) "failed") $) NIL)) (-2067 (((-1235 |#1| |#2| |#3|) $) NIL)) (-1984 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1935 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-904)) (|has| |#1| (-365))))) (-3045 (($ $) NIL (|has| |#1| (-365)))) (-3498 (((-420 $) $) NIL (|has| |#1| (-365)))) (-1904 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-904)) (|has| |#1| (-365))))) (-2589 (((-121) $ $) NIL (|has| |#1| (-365)))) (-1976 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2788 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-3337 (((-568) $) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))))) (-2512 (($ (-1141 (-2 (|:| |k| (-568)) (|:| |c| |#1|)))) NIL)) (-1992 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1943 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-1235 |#1| |#2| |#3|) "failed") $) NIL) (((-3 (-1161) "failed") $) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-1037 (-1161))) (|has| |#1| (-365)))) (((-3 (-409 (-568)) "failed") $) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-1037 (-568))) (|has| |#1| (-365)))) (((-3 (-568) "failed") $) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-1037 (-568))) (|has| |#1| (-365))))) (-2857 (((-1235 |#1| |#2| |#3|) $) NIL) (((-1161) $) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-1037 (-1161))) (|has| |#1| (-365)))) (((-409 (-568)) $) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-1037 (-568))) (|has| |#1| (-365)))) (((-568) $) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-1037 (-568))) (|has| |#1| (-365))))) (-2232 (($ $) NIL) (($ (-568) $) NIL)) (-2403 (($ $ $) NIL (|has| |#1| (-365)))) (-2116 (($ $) NIL)) (-1668 (((-679 (-1235 |#1| |#2| |#3|)) (-679 $)) NIL (|has| |#1| (-365))) (((-2 (|:| -2908 (-679 (-1235 |#1| |#2| |#3|))) (|:| |vec| (-1244 (-1235 |#1| |#2| |#3|)))) (-679 $) (-1244 $)) NIL (|has| |#1| (-365))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-630 (-568))) (|has| |#1| (-365)))) (((-679 (-568)) (-679 $)) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-630 (-568))) (|has| |#1| (-365))))) (-2902 (((-3 $ "failed") $) NIL)) (-1685 (((-409 (-953 |#1|)) $ (-568)) NIL (|has| |#1| (-558))) (((-409 (-953 |#1|)) $ (-568) (-568)) NIL (|has| |#1| (-558)))) (-1733 (($) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-550)) (|has| |#1| (-365))))) (-2414 (($ $ $) NIL (|has| |#1| (-365)))) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL (|has| |#1| (-365)))) (-2197 (((-121) $) NIL (|has| |#1| (-365)))) (-1436 (((-121) $) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))))) (-1302 (((-121) $) NIL)) (-1899 (($) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1519 (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-881 (-568))) (|has| |#1| (-365)))) (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-881 (-381))) (|has| |#1| (-365))))) (-1844 (((-568) $) NIL) (((-568) $ (-568)) NIL)) (-1598 (((-121) $) NIL)) (-3539 (($ $) NIL (|has| |#1| (-365)))) (-2319 (((-1235 |#1| |#2| |#3|) $) NIL (|has| |#1| (-365)))) (-1550 (($ $ (-568)) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2214 (((-3 $ "failed") $) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-1136)) (|has| |#1| (-365))))) (-2859 (((-121) $) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))))) (-4168 (($ $ (-917)) NIL)) (-3698 (($ (-1 |#1| (-568)) $) NIL)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-2171 (((-121) $) NIL)) (-2049 (($ |#1| (-568)) 17) (($ $ (-1075) (-568)) NIL) (($ $ (-634 (-1075)) (-634 (-568))) NIL)) (-1732 (($ $ $) NIL (-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))) (-12 (|has| (-1235 |#1| |#2| |#3|) (-842)) (|has| |#1| (-365)))))) (-2047 (($ $ $) NIL (-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))) (-12 (|has| (-1235 |#1| |#2| |#3|) (-842)) (|has| |#1| (-365)))))) (-2797 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-1235 |#1| |#2| |#3|) (-1235 |#1| |#2| |#3|)) $) NIL (|has| |#1| (-365)))) (-4418 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2099 (($ $) NIL)) (-2104 ((|#1| $) NIL)) (-2498 (($ (-634 $)) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-365)))) (-2072 (($ (-568) (-1235 |#1| |#2| |#3|)) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL (|has| |#1| (-365)))) (-1845 (($ $) 25 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-1161)) NIL (-2199 (-12 (|has| |#1| (-15 -1845 (|#1| |#1| (-1161)))) (|has| |#1| (-15 -2057 ((-634 (-1161)) |#1|))) (|has| |#1| (-43 (-409 (-568))))) (-12 (|has| |#1| (-29 (-568))) (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-959)) (|has| |#1| (-1181))))) (($ $ (-1240 |#2|)) 26 (|has| |#1| (-43 (-409 (-568)))))) (-4436 (($) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-1136)) (|has| |#1| (-365))) CONST)) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#1| (-365)))) (-2723 (($ (-634 $)) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-365)))) (-1999 (($ $) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-301)) (|has| |#1| (-365))))) (-4115 (((-1235 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-550)) (|has| |#1| (-365))))) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-904)) (|has| |#1| (-365))))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-904)) (|has| |#1| (-365))))) (-3850 (((-420 $) $) NIL (|has| |#1| (-365)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-365))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#1| (-365)))) (-2168 (($ $ (-568)) NIL)) (-2597 (((-3 $ "failed") $ $) NIL (-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))) (-12 (|has| (-1235 |#1| |#2| |#3|) (-904)) (|has| |#1| (-365))) (|has| |#1| (-558))))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-1894 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1339 (((-1141 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-568))))) (($ $ (-1161) (-1235 |#1| |#2| |#3|)) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-523 (-1161) (-1235 |#1| |#2| |#3|))) (|has| |#1| (-365)))) (($ $ (-634 (-1161)) (-634 (-1235 |#1| |#2| |#3|))) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-523 (-1161) (-1235 |#1| |#2| |#3|))) (|has| |#1| (-365)))) (($ $ (-634 (-288 (-1235 |#1| |#2| |#3|)))) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-303 (-1235 |#1| |#2| |#3|))) (|has| |#1| (-365)))) (($ $ (-288 (-1235 |#1| |#2| |#3|))) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-303 (-1235 |#1| |#2| |#3|))) (|has| |#1| (-365)))) (($ $ (-1235 |#1| |#2| |#3|) (-1235 |#1| |#2| |#3|)) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-303 (-1235 |#1| |#2| |#3|))) (|has| |#1| (-365)))) (($ $ (-634 (-1235 |#1| |#2| |#3|)) (-634 (-1235 |#1| |#2| |#3|))) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-303 (-1235 |#1| |#2| |#3|))) (|has| |#1| (-365))))) (-1466 (((-763) $) NIL (|has| |#1| (-365)))) (-2781 ((|#1| $ (-568)) NIL) (($ $ $) NIL (|has| (-568) (-1102))) (($ $ (-1235 |#1| |#2| |#3|)) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-281 (-1235 |#1| |#2| |#3|) (-1235 |#1| |#2| |#3|))) (|has| |#1| (-365))))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-365)))) (-4191 (($ $ (-1 (-1235 |#1| |#2| |#3|) (-1235 |#1| |#2| |#3|))) NIL (|has| |#1| (-365))) (($ $ (-1 (-1235 |#1| |#2| |#3|) (-1235 |#1| |#2| |#3|)) (-763)) NIL (|has| |#1| (-365))) (($ $ (-1240 |#2|)) 24) (($ $ (-763)) NIL (-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-225)) (|has| |#1| (-365))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $) 23 (-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-225)) (|has| |#1| (-365))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161)))))) (($ $ (-1161) (-763)) NIL (-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161)))))) (($ $ (-634 (-1161))) NIL (-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161)))))) (($ $ (-1161)) NIL (-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161))))))) (-3210 (($ $) NIL (|has| |#1| (-365)))) (-2326 (((-1235 |#1| |#2| |#3|) $) NIL (|has| |#1| (-365)))) (-1836 (((-568) $) NIL)) (-1996 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1947 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1988 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1939 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1980 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2792 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4280 (((-541) $) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-609 (-541))) (|has| |#1| (-365)))) (((-381) $) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-1021)) (|has| |#1| (-365)))) (((-215) $) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-1021)) (|has| |#1| (-365)))) (((-887 (-381)) $) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-609 (-887 (-381)))) (|has| |#1| (-365)))) (((-887 (-568)) $) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-609 (-887 (-568)))) (|has| |#1| (-365))))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-12 (|has| $ (-148)) (|has| (-1235 |#1| |#2| |#3|) (-904)) (|has| |#1| (-365))))) (-2188 (($ $) NIL)) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ |#1|) NIL (|has| |#1| (-172))) (($ (-1235 |#1| |#2| |#3|)) NIL) (($ (-1240 |#2|)) 22) (($ (-1161)) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-1037 (-1161))) (|has| |#1| (-365)))) (($ $) NIL (-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))) (-12 (|has| (-1235 |#1| |#2| |#3|) (-904)) (|has| |#1| (-365))) (|has| |#1| (-558)))) (($ (-409 (-568))) NIL (-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-1037 (-568))) (|has| |#1| (-365))) (|has| |#1| (-43 (-409 (-568))))))) (-2079 ((|#1| $ (-568)) NIL)) (-3385 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| (-1235 |#1| |#2| |#3|) (-904)) (|has| |#1| (-365))) (-12 (|has| (-1235 |#1| |#2| |#3|) (-148)) (|has| |#1| (-365))) (|has| |#1| (-148))))) (-3425 (((-763)) NIL)) (-1374 ((|#1| $) 11)) (-3520 (((-1235 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-550)) (|has| |#1| (-365))))) (-2008 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1959 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2273 (((-121) $ $) NIL (-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))) (-12 (|has| (-1235 |#1| |#2| |#3|) (-904)) (|has| |#1| (-365))) (|has| |#1| (-558))))) (-2000 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1951 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2016 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1968 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-3999 ((|#1| $ (-568)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-568)))) (|has| |#1| (-15 -2747 (|#1| (-1161))))))) (-1439 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1972 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2012 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1964 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2004 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1955 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2811 (($ $) NIL (-12 (|has| (-1235 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| |#1| (-365)))) (-3058 (($) 19 T CONST)) (-1557 (($) 15 T CONST)) (-3192 (($ $ (-1 (-1235 |#1| |#2| |#3|) (-1235 |#1| |#2| |#3|))) NIL (|has| |#1| (-365))) (($ $ (-1 (-1235 |#1| |#2| |#3|) (-1235 |#1| |#2| |#3|)) (-763)) NIL (|has| |#1| (-365))) (($ $ (-763)) NIL (-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-225)) (|has| |#1| (-365))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $) NIL (-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-225)) (|has| |#1| (-365))) (|has| |#1| (-15 * (|#1| (-568) |#1|))))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161)))))) (($ $ (-1161) (-763)) NIL (-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161)))))) (($ $ (-634 (-1161))) NIL (-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161)))))) (($ $ (-1161)) NIL (-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-895 (-1161))) (|has| |#1| (-365))) (-12 (|has| |#1| (-15 * (|#1| (-568) |#1|))) (|has| |#1| (-895 (-1161))))))) (-1753 (((-121) $ $) NIL (-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))) (-12 (|has| (-1235 |#1| |#2| |#3|) (-842)) (|has| |#1| (-365)))))) (-1740 (((-121) $ $) NIL (-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))) (-12 (|has| (-1235 |#1| |#2| |#3|) (-842)) (|has| |#1| (-365)))))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))) (-12 (|has| (-1235 |#1| |#2| |#3|) (-842)) (|has| |#1| (-365)))))) (-1734 (((-121) $ $) NIL (-2199 (-12 (|has| (-1235 |#1| |#2| |#3|) (-815)) (|has| |#1| (-365))) (-12 (|has| (-1235 |#1| |#2| |#3|) (-842)) (|has| |#1| (-365)))))) (-1781 (($ $ |#1|) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-365))) (($ (-1235 |#1| |#2| |#3|) (-1235 |#1| |#2| |#3|)) NIL (|has| |#1| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) 20)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568)))))) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ (-1235 |#1| |#2| |#3|)) NIL (|has| |#1| (-365))) (($ (-1235 |#1| |#2| |#3|) $) NIL (|has| |#1| (-365))) (($ (-409 (-568)) $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))))) 
-(((-1207 |#1| |#2| |#3|) (-13 (-1205 |#1| (-1235 |#1| |#2| |#3|)) (-10 -8 (-15 -2747 ($ (-1240 |#2|))) (-15 -4191 ($ $ (-1240 |#2|))) (IF (|has| |#1| (-43 (-409 (-568)))) (-15 -1845 ($ $ (-1240 |#2|))) |noBranch|))) (-1047) (-1161) |#1|) (T -1207)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1207 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) (-4191 (*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1207 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) (-1845 (*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1207 *3 *4 *5)) (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047)) (-14 *5 *3)))) 
-(-13 (-1205 |#1| (-1235 |#1| |#2| |#3|)) (-10 -8 (-15 -2747 ($ (-1240 |#2|))) (-15 -4191 ($ $ (-1240 |#2|))) (IF (|has| |#1| (-43 (-409 (-568)))) (-15 -1845 ($ $ (-1240 |#2|))) |noBranch|))) 
-((-2996 (((-2 (|:| |contp| (-568)) (|:| -2075 (-634 (-2 (|:| |irr| |#1|) (|:| -4402 (-568)))))) |#1| (-121)) 10)) (-4254 (((-420 |#1|) |#1|) 21)) (-3850 (((-420 |#1|) |#1|) 20))) 
-(((-1208 |#1|) (-10 -7 (-15 -3850 ((-420 |#1|) |#1|)) (-15 -4254 ((-420 |#1|) |#1|)) (-15 -2996 ((-2 (|:| |contp| (-568)) (|:| -2075 (-634 (-2 (|:| |irr| |#1|) (|:| -4402 (-568)))))) |#1| (-121)))) (-1219 (-568))) (T -1208)) 
-((-2996 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *2 (-2 (|:| |contp| (-568)) (|:| -2075 (-634 (-2 (|:| |irr| *3) (|:| -4402 (-568))))))) (-5 *1 (-1208 *3)) (-4 *3 (-1219 (-568))))) (-4254 (*1 *2 *3) (-12 (-5 *2 (-420 *3)) (-5 *1 (-1208 *3)) (-4 *3 (-1219 (-568))))) (-3850 (*1 *2 *3) (-12 (-5 *2 (-420 *3)) (-5 *1 (-1208 *3)) (-4 *3 (-1219 (-568)))))) 
-(-10 -7 (-15 -3850 ((-420 |#1|) |#1|)) (-15 -4254 ((-420 |#1|) |#1|)) (-15 -2996 ((-2 (|:| |contp| (-568)) (|:| -2075 (-634 (-2 (|:| |irr| |#1|) (|:| -4402 (-568)))))) |#1| (-121)))) 
-((-2797 (((-1141 |#2|) (-1 |#2| |#1|) (-1210 |#1|)) 23 (|has| |#1| (-840))) (((-1210 |#2|) (-1 |#2| |#1|) (-1210 |#1|)) 17))) 
-(((-1209 |#1| |#2|) (-10 -7 (-15 -2797 ((-1210 |#2|) (-1 |#2| |#1|) (-1210 |#1|))) (IF (|has| |#1| (-840)) (-15 -2797 ((-1141 |#2|) (-1 |#2| |#1|) (-1210 |#1|))) |noBranch|)) (-1195) (-1195)) (T -1209)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1210 *5)) (-4 *5 (-840)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-1141 *6)) (-5 *1 (-1209 *5 *6)))) (-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1210 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-1210 *6)) (-5 *1 (-1209 *5 *6))))) 
-(-10 -7 (-15 -2797 ((-1210 |#2|) (-1 |#2| |#1|) (-1210 |#1|))) (IF (|has| |#1| (-840)) (-15 -2797 ((-1141 |#2|) (-1 |#2| |#1|) (-1210 |#1|))) |noBranch|)) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-2465 (($ |#1| |#1|) 9) (($ |#1|) 8)) (-2797 (((-1141 |#1|) (-1 |#1| |#1|) $) 41 (|has| |#1| (-840)))) (-3544 ((|#1| $) 14)) (-2748 ((|#1| $) 10)) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-2753 (((-568) $) 18)) (-3043 ((|#1| $) 17)) (-2756 ((|#1| $) 11)) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-1336 (((-121) $) 16)) (-2791 (((-1141 |#1|) $) 38 (|has| |#1| (-840))) (((-1141 |#1|) (-634 $)) 37 (|has| |#1| (-840)))) (-4280 (($ |#1|) 25)) (-2747 (($ (-1084 |#1|)) 24) (((-850) $) 34 (|has| |#1| (-1090)))) (-4255 (($ |#1| |#1|) 20) (($ |#1|) 19)) (-4145 (($ $ (-568)) 13)) (-1719 (((-121) $ $) 27 (|has| |#1| (-1090))))) 
-(((-1210 |#1|) (-13 (-1083 |#1|) (-10 -8 (-15 -4255 ($ |#1|)) (-15 -2465 ($ |#1|)) (-15 -2747 ($ (-1084 |#1|))) (-15 -1336 ((-121) $)) (IF (|has| |#1| (-1090)) (-6 (-1090)) |noBranch|) (IF (|has| |#1| (-840)) (-6 (-1085 |#1| (-1141 |#1|))) |noBranch|))) (-1195)) (T -1210)) 
-((-4255 (*1 *1 *2) (-12 (-5 *1 (-1210 *2)) (-4 *2 (-1195)))) (-2465 (*1 *1 *2) (-12 (-5 *1 (-1210 *2)) (-4 *2 (-1195)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-1084 *3)) (-4 *3 (-1195)) (-5 *1 (-1210 *3)))) (-1336 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1210 *3)) (-4 *3 (-1195))))) 
-(-13 (-1083 |#1|) (-10 -8 (-15 -4255 ($ |#1|)) (-15 -2465 ($ |#1|)) (-15 -2747 ($ (-1084 |#1|))) (-15 -1336 ((-121) $)) (IF (|has| |#1| (-1090)) (-6 (-1090)) |noBranch|) (IF (|has| |#1| (-840)) (-6 (-1085 |#1| (-1141 |#1|))) |noBranch|))) 
-((-2797 (((-1216 |#3| |#4|) (-1 |#4| |#2|) (-1216 |#1| |#2|)) 15))) 
-(((-1211 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2797 ((-1216 |#3| |#4|) (-1 |#4| |#2|) (-1216 |#1| |#2|)))) (-1161) (-1047) (-1161) (-1047)) (T -1211)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *6)) (-5 *4 (-1216 *5 *6)) (-14 *5 (-1161)) (-4 *6 (-1047)) (-4 *8 (-1047)) (-5 *2 (-1216 *7 *8)) (-5 *1 (-1211 *5 *6 *7 *8)) (-14 *7 (-1161))))) 
-(-10 -7 (-15 -2797 ((-1216 |#3| |#4|) (-1 |#4| |#2|) (-1216 |#1| |#2|)))) 
-((-3618 (((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|) 21)) (-2471 ((|#1| |#3|) 13)) (-2609 ((|#3| |#3|) 19))) 
-(((-1212 |#1| |#2| |#3|) (-10 -7 (-15 -2471 (|#1| |#3|)) (-15 -2609 (|#3| |#3|)) (-15 -3618 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) (-558) (-993 |#1|) (-1219 |#2|)) (T -1212)) 
-((-3618 (*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *5 (-993 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-1212 *4 *5 *3)) (-4 *3 (-1219 *5)))) (-2609 (*1 *2 *2) (-12 (-4 *3 (-558)) (-4 *4 (-993 *3)) (-5 *1 (-1212 *3 *4 *2)) (-4 *2 (-1219 *4)))) (-2471 (*1 *2 *3) (-12 (-4 *4 (-993 *2)) (-4 *2 (-558)) (-5 *1 (-1212 *2 *4 *3)) (-4 *3 (-1219 *4))))) 
-(-10 -7 (-15 -2471 (|#1| |#3|)) (-15 -2609 (|#3| |#3|)) (-15 -3618 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) 
-((-2390 (((-3 |#2| "failed") |#2| (-763) |#1|) 29)) (-3745 (((-3 |#2| "failed") |#2| (-763)) 30)) (-1712 (((-3 (-2 (|:| -3030 |#2|) (|:| -3286 |#2|)) "failed") |#2|) 42)) (-3212 (((-634 |#2|) |#2|) 44)) (-1354 (((-3 |#2| "failed") |#2| |#2|) 39))) 
-(((-1213 |#1| |#2|) (-10 -7 (-15 -3745 ((-3 |#2| "failed") |#2| (-763))) (-15 -2390 ((-3 |#2| "failed") |#2| (-763) |#1|)) (-15 -1354 ((-3 |#2| "failed") |#2| |#2|)) (-15 -1712 ((-3 (-2 (|:| -3030 |#2|) (|:| -3286 |#2|)) "failed") |#2|)) (-15 -3212 ((-634 |#2|) |#2|))) (-13 (-558) (-150)) (-1219 |#1|)) (T -1213)) 
-((-3212 (*1 *2 *3) (-12 (-4 *4 (-13 (-558) (-150))) (-5 *2 (-634 *3)) (-5 *1 (-1213 *4 *3)) (-4 *3 (-1219 *4)))) (-1712 (*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-558) (-150))) (-5 *2 (-2 (|:| -3030 *3) (|:| -3286 *3))) (-5 *1 (-1213 *4 *3)) (-4 *3 (-1219 *4)))) (-1354 (*1 *2 *2 *2) (|partial| -12 (-4 *3 (-13 (-558) (-150))) (-5 *1 (-1213 *3 *2)) (-4 *2 (-1219 *3)))) (-2390 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-763)) (-4 *4 (-13 (-558) (-150))) (-5 *1 (-1213 *4 *2)) (-4 *2 (-1219 *4)))) (-3745 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-763)) (-4 *4 (-13 (-558) (-150))) (-5 *1 (-1213 *4 *2)) (-4 *2 (-1219 *4))))) 
-(-10 -7 (-15 -3745 ((-3 |#2| "failed") |#2| (-763))) (-15 -2390 ((-3 |#2| "failed") |#2| (-763) |#1|)) (-15 -1354 ((-3 |#2| "failed") |#2| |#2|)) (-15 -1712 ((-3 (-2 (|:| -3030 |#2|) (|:| -3286 |#2|)) "failed") |#2|)) (-15 -3212 ((-634 |#2|) |#2|))) 
-((-2278 (((-3 (-2 (|:| -4409 |#2|) (|:| -2607 |#2|)) "failed") |#2| |#2|) 31))) 
-(((-1214 |#1| |#2|) (-10 -7 (-15 -2278 ((-3 (-2 (|:| -4409 |#2|) (|:| -2607 |#2|)) "failed") |#2| |#2|))) (-558) (-1219 |#1|)) (T -1214)) 
-((-2278 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-558)) (-5 *2 (-2 (|:| -4409 *3) (|:| -2607 *3))) (-5 *1 (-1214 *4 *3)) (-4 *3 (-1219 *4))))) 
-(-10 -7 (-15 -2278 ((-3 (-2 (|:| -4409 |#2|) (|:| -2607 |#2|)) "failed") |#2| |#2|))) 
-((-3595 ((|#2| |#2| |#2|) 19)) (-1481 ((|#2| |#2| |#2|) 30)) (-2377 ((|#2| |#2| |#2| (-763) (-763)) 36))) 
-(((-1215 |#1| |#2|) (-10 -7 (-15 -3595 (|#2| |#2| |#2|)) (-15 -1481 (|#2| |#2| |#2|)) (-15 -2377 (|#2| |#2| |#2| (-763) (-763)))) (-1047) (-1219 |#1|)) (T -1215)) 
-((-2377 (*1 *2 *2 *2 *3 *3) (-12 (-5 *3 (-763)) (-4 *4 (-1047)) (-5 *1 (-1215 *4 *2)) (-4 *2 (-1219 *4)))) (-1481 (*1 *2 *2 *2) (-12 (-4 *3 (-1047)) (-5 *1 (-1215 *3 *2)) (-4 *2 (-1219 *3)))) (-3595 (*1 *2 *2 *2) (-12 (-4 *3 (-1047)) (-5 *1 (-1215 *3 *2)) (-4 *2 (-1219 *3))))) 
-(-10 -7 (-15 -3595 (|#2| |#2| |#2|)) (-15 -1481 (|#2| |#2| |#2|)) (-15 -2377 (|#2| |#2| |#2| (-763) (-763)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-1969 (((-1244 |#2|) $ (-763)) NIL)) (-2057 (((-634 (-1075)) $) NIL)) (-1807 (($ (-1157 |#2|)) NIL)) (-3840 (((-1157 $) $ (-1075)) NIL) (((-1157 |#2|) $) NIL)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#2| (-558)))) (-3661 (($ $) NIL (|has| |#2| (-558)))) (-4426 (((-121) $) NIL (|has| |#2| (-558)))) (-3528 (((-763) $) NIL) (((-763) $ (-634 (-1075))) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-1736 (($ $ $) NIL (|has| |#2| (-558)))) (-3863 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-3045 (($ $) NIL (|has| |#2| (-453)))) (-3498 (((-420 $) $) NIL (|has| |#2| (-453)))) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-2589 (((-121) $ $) NIL (|has| |#2| (-365)))) (-2752 (($ $ (-763)) NIL)) (-2699 (($ $ (-763)) NIL)) (-1448 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#2| (-453)))) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#2| "failed") $) NIL) (((-3 (-409 (-568)) "failed") $) NIL (|has| |#2| (-1037 (-409 (-568))))) (((-3 (-568) "failed") $) NIL (|has| |#2| (-1037 (-568)))) (((-3 (-1075) "failed") $) NIL)) (-2857 ((|#2| $) NIL) (((-409 (-568)) $) NIL (|has| |#2| (-1037 (-409 (-568))))) (((-568) $) NIL (|has| |#2| (-1037 (-568)))) (((-1075) $) NIL)) (-2910 (($ $ $ (-1075)) NIL (|has| |#2| (-172))) ((|#2| $ $) NIL (|has| |#2| (-172)))) (-2403 (($ $ $) NIL (|has| |#2| (-365)))) (-2116 (($ $) NIL)) (-1668 (((-679 (-568)) (-679 $)) NIL (|has| |#2| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) NIL (|has| |#2| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#2|)) (|:| |vec| (-1244 |#2|))) (-679 $) (-1244 $)) NIL) (((-679 |#2|) (-679 $)) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-2414 (($ $ $) NIL (|has| |#2| (-365)))) (-3152 (($ $ $) NIL)) (-2929 (($ $ $) NIL (|has| |#2| (-558)))) (-3777 (((-2 (|:| -2350 |#2|) (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#2| (-558)))) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL (|has| |#2| (-365)))) (-1998 (($ $) NIL (|has| |#2| (-453))) (($ $ (-1075)) NIL (|has| |#2| (-453)))) (-2110 (((-634 $) $) NIL)) (-2197 (((-121) $) NIL (|has| |#2| (-904)))) (-2453 (($ $ |#2| (-763) $) NIL)) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) NIL (-12 (|has| (-1075) (-881 (-381))) (|has| |#2| (-881 (-381))))) (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) NIL (-12 (|has| (-1075) (-881 (-568))) (|has| |#2| (-881 (-568)))))) (-1844 (((-763) $ $) NIL (|has| |#2| (-558)))) (-1598 (((-121) $) NIL)) (-3971 (((-763) $) NIL)) (-2214 (((-3 $ "failed") $) NIL (|has| |#2| (-1136)))) (-2053 (($ (-1157 |#2|) (-1075)) NIL) (($ (-1157 $) (-1075)) NIL)) (-4168 (($ $ (-763)) NIL)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#2| (-365)))) (-3062 (((-634 $) $) NIL)) (-2171 (((-121) $) NIL)) (-2049 (($ |#2| (-763)) 17) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL)) (-1438 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $ (-1075)) NIL) (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL)) (-3524 (((-763) $) NIL) (((-763) $ (-1075)) NIL) (((-634 (-763)) $ (-634 (-1075))) NIL)) (-1732 (($ $ $) NIL (|has| |#2| (-842)))) (-2047 (($ $ $) NIL (|has| |#2| (-842)))) (-1865 (($ (-1 (-763) (-763)) $) NIL)) (-2797 (($ (-1 |#2| |#2|) $) NIL)) (-2671 (((-1157 |#2|) $) NIL)) (-2817 (((-3 (-1075) "failed") $) NIL)) (-2099 (($ $) NIL)) (-2104 ((|#2| $) NIL)) (-2498 (($ (-634 $)) NIL (|has| |#2| (-453))) (($ $ $) NIL (|has| |#2| (-453)))) (-1893 (((-1143) $) NIL)) (-3262 (((-2 (|:| -4409 $) (|:| -2607 $)) $ (-763)) NIL)) (-4362 (((-3 (-634 $) "failed") $) NIL)) (-2112 (((-3 (-634 $) "failed") $) NIL)) (-2617 (((-3 (-2 (|:| |var| (-1075)) (|:| -3483 (-763))) "failed") $) NIL)) (-1845 (($ $) NIL (|has| |#2| (-43 (-409 (-568)))))) (-4436 (($) NIL (|has| |#2| (-1136)) CONST)) (-4025 (((-1108) $) NIL)) (-2088 (((-121) $) NIL)) (-2093 ((|#2| $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#2| (-453)))) (-2723 (($ (-634 $)) NIL (|has| |#2| (-453))) (($ $ $) NIL (|has| |#2| (-453)))) (-2973 (($ $ (-763) |#2| $) NIL)) (-2841 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) NIL (|has| |#2| (-904)))) (-3850 (((-420 $) $) NIL (|has| |#2| (-904)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-365))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#2| (-365)))) (-2597 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-558))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-558)))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#2| (-365)))) (-1339 (($ $ (-634 (-288 $))) NIL) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL) (($ $ (-1075) |#2|) NIL) (($ $ (-634 (-1075)) (-634 |#2|)) NIL) (($ $ (-1075) $) NIL) (($ $ (-634 (-1075)) (-634 $)) NIL)) (-1466 (((-763) $) NIL (|has| |#2| (-365)))) (-2781 ((|#2| $ |#2|) NIL) (($ $ $) NIL) (((-409 $) (-409 $) (-409 $)) NIL (|has| |#2| (-558))) ((|#2| (-409 $) |#2|) NIL (|has| |#2| (-365))) (((-409 $) $ (-409 $)) NIL (|has| |#2| (-558)))) (-3805 (((-3 $ "failed") $ (-763)) NIL)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#2| (-365)))) (-3440 (($ $ (-1075)) NIL (|has| |#2| (-172))) ((|#2| $) NIL (|has| |#2| (-172)))) (-4191 (($ $ (-1075)) NIL) (($ $ (-634 (-1075))) NIL) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL) (($ $ (-763)) NIL) (($ $) NIL) (($ $ (-1161)) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-1 |#2| |#2|) (-763)) NIL) (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) $) NIL)) (-1836 (((-763) $) NIL) (((-763) $ (-1075)) NIL) (((-634 (-763)) $ (-634 (-1075))) NIL)) (-4280 (((-887 (-381)) $) NIL (-12 (|has| (-1075) (-609 (-887 (-381)))) (|has| |#2| (-609 (-887 (-381)))))) (((-887 (-568)) $) NIL (-12 (|has| (-1075) (-609 (-887 (-568)))) (|has| |#2| (-609 (-887 (-568)))))) (((-541) $) NIL (-12 (|has| (-1075) (-609 (-541))) (|has| |#2| (-609 (-541)))))) (-1364 ((|#2| $) NIL (|has| |#2| (-453))) (($ $ (-1075)) NIL (|has| |#2| (-453)))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) NIL (-12 (|has| $ (-148)) (|has| |#2| (-904))))) (-4363 (((-3 $ "failed") $ $) NIL (|has| |#2| (-558))) (((-3 (-409 $) "failed") (-409 $) $) NIL (|has| |#2| (-558)))) (-2747 (((-850) $) 13) (($ (-568)) NIL) (($ |#2|) NIL) (($ (-1075)) NIL) (($ (-1240 |#1|)) 19) (($ (-409 (-568))) NIL (-2199 (|has| |#2| (-43 (-409 (-568)))) (|has| |#2| (-1037 (-409 (-568)))))) (($ $) NIL (|has| |#2| (-558)))) (-3304 (((-634 |#2|) $) NIL)) (-2079 ((|#2| $ (-763)) NIL) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL)) (-3385 (((-3 $ "failed") $) NIL (-2199 (-12 (|has| $ (-148)) (|has| |#2| (-904))) (|has| |#2| (-148))))) (-3425 (((-763)) NIL)) (-3925 (($ $ $ (-763)) NIL (|has| |#2| (-172)))) (-2273 (((-121) $ $) NIL (|has| |#2| (-558)))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) NIL T CONST)) (-1557 (($) 14 T CONST)) (-3192 (($ $ (-1075)) NIL) (($ $ (-634 (-1075))) NIL) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL) (($ $ (-763)) NIL) (($ $) NIL) (($ $ (-1161)) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-634 (-1161))) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-1161) (-763)) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) NIL (|has| |#2| (-895 (-1161)))) (($ $ (-1 |#2| |#2|) (-763)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-1753 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1719 (((-121) $ $) NIL)) (-1747 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#2| (-842)))) (-1781 (($ $ |#2|) NIL (|has| |#2| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-409 (-568))) NIL (|has| |#2| (-43 (-409 (-568))))) (($ (-409 (-568)) $) NIL (|has| |#2| (-43 (-409 (-568))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
-(((-1216 |#1| |#2|) (-13 (-1219 |#2|) (-10 -8 (-15 -2747 ($ (-1240 |#1|))) (-15 -2973 ($ $ (-763) |#2| $)))) (-1161) (-1047)) (T -1216)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1240 *3)) (-14 *3 (-1161)) (-5 *1 (-1216 *3 *4)) (-4 *4 (-1047)))) (-2973 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-763)) (-5 *1 (-1216 *4 *3)) (-14 *4 (-1161)) (-4 *3 (-1047))))) 
-(-13 (-1219 |#2|) (-10 -8 (-15 -2747 ($ (-1240 |#1|))) (-15 -2973 ($ $ (-763) |#2| $)))) 
-((-2797 ((|#4| (-1 |#3| |#1|) |#2|) 22))) 
-(((-1217 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2797 (|#4| (-1 |#3| |#1|) |#2|))) (-1047) (-1219 |#1|) (-1047) (-1219 |#3|)) (T -1217)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1047)) (-4 *6 (-1047)) (-4 *2 (-1219 *6)) (-5 *1 (-1217 *5 *4 *6 *2)) (-4 *4 (-1219 *5))))) 
-(-10 -7 (-15 -2797 (|#4| (-1 |#3| |#1|) |#2|))) 
-((-1969 (((-1244 |#2|) $ (-763)) 113)) (-2057 (((-634 (-1075)) $) 15)) (-1807 (($ (-1157 |#2|)) 66)) (-3528 (((-763) $) NIL) (((-763) $ (-634 (-1075))) 18)) (-3863 (((-420 (-1157 $)) (-1157 $)) 183)) (-3045 (($ $) 173)) (-3498 (((-420 $) $) 171)) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) 81)) (-2752 (($ $ (-763)) 70)) (-2699 (($ $ (-763)) 72)) (-1448 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) 129)) (-3668 (((-3 |#2| "failed") $) 116) (((-3 (-409 (-568)) "failed") $) NIL) (((-3 (-568) "failed") $) NIL) (((-3 (-1075) "failed") $) NIL)) (-2857 ((|#2| $) 114) (((-409 (-568)) $) NIL) (((-568) $) NIL) (((-1075) $) NIL)) (-2929 (($ $ $) 150)) (-3777 (((-2 (|:| -2350 |#2|) (|:| -4409 $) (|:| -2607 $)) $ $) 152)) (-1844 (((-763) $ $) 168)) (-2214 (((-3 $ "failed") $) 122)) (-2049 (($ |#2| (-763)) NIL) (($ $ (-1075) (-763)) 46) (($ $ (-634 (-1075)) (-634 (-763))) NIL)) (-3524 (((-763) $) NIL) (((-763) $ (-1075)) 41) (((-634 (-763)) $ (-634 (-1075))) 42)) (-2671 (((-1157 |#2|) $) 58)) (-2817 (((-3 (-1075) "failed") $) 39)) (-3262 (((-2 (|:| -4409 $) (|:| -2607 $)) $ (-763)) 69)) (-1845 (($ $) 194)) (-4436 (($) 118)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 180)) (-2841 (((-420 (-1157 $)) (-1157 $)) 87)) (-2795 (((-420 (-1157 $)) (-1157 $)) 85)) (-3850 (((-420 $) $) 105)) (-1339 (($ $ (-634 (-288 $))) 38) (($ $ (-288 $)) NIL) (($ $ $ $) NIL) (($ $ (-634 $) (-634 $)) NIL) (($ $ (-1075) |#2|) 31) (($ $ (-634 (-1075)) (-634 |#2|)) 28) (($ $ (-1075) $) 25) (($ $ (-634 (-1075)) (-634 $)) 23)) (-1466 (((-763) $) 186)) (-2781 ((|#2| $ |#2|) NIL) (($ $ $) NIL) (((-409 $) (-409 $) (-409 $)) 146) ((|#2| (-409 $) |#2|) 185) (((-409 $) $ (-409 $)) 167)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 189)) (-4191 (($ $ (-1075)) 139) (($ $ (-634 (-1075))) NIL) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL) (($ $ (-763)) NIL) (($ $) 137) (($ $ (-1161)) NIL) (($ $ (-634 (-1161))) NIL) (($ $ (-1161) (-763)) NIL) (($ $ (-634 (-1161)) (-634 (-763))) NIL) (($ $ (-1 |#2| |#2|) (-763)) NIL) (($ $ (-1 |#2| |#2|)) 136) (($ $ (-1 |#2| |#2|) $) 133)) (-1836 (((-763) $) NIL) (((-763) $ (-1075)) 16) (((-634 (-763)) $ (-634 (-1075))) 20)) (-1364 ((|#2| $) NIL) (($ $ (-1075)) 124)) (-4363 (((-3 $ "failed") $ $) 160) (((-3 (-409 $) "failed") (-409 $) $) 156)) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ |#2|) NIL) (($ (-1075)) 50) (($ (-409 (-568))) NIL) (($ $) NIL))) 
-(((-1218 |#1| |#2|) (-10 -8 (-15 -2747 (|#1| |#1|)) (-15 -3603 ((-1157 |#1|) (-1157 |#1|) (-1157 |#1|))) (-15 -3498 ((-420 |#1|) |#1|)) (-15 -3045 (|#1| |#1|)) (-15 -2747 (|#1| (-409 (-568)))) (-15 -4436 (|#1|)) (-15 -2214 ((-3 |#1| "failed") |#1|)) (-15 -2781 ((-409 |#1|) |#1| (-409 |#1|))) (-15 -1466 ((-763) |#1|)) (-15 -1854 ((-2 (|:| -4409 |#1|) (|:| -2607 |#1|)) |#1| |#1|)) (-15 -1845 (|#1| |#1|)) (-15 -2781 (|#2| (-409 |#1|) |#2|)) (-15 -1448 ((-2 (|:| |primePart| |#1|) (|:| |commonPart| |#1|)) |#1| |#1|)) (-15 -3777 ((-2 (|:| -2350 |#2|) (|:| -4409 |#1|) (|:| -2607 |#1|)) |#1| |#1|)) (-15 -2929 (|#1| |#1| |#1|)) (-15 -4363 ((-3 (-409 |#1|) "failed") (-409 |#1|) |#1|)) (-15 -4363 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1844 ((-763) |#1| |#1|)) (-15 -2781 ((-409 |#1|) (-409 |#1|) (-409 |#1|))) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|) |#1|)) (-15 -2699 (|#1| |#1| (-763))) (-15 -2752 (|#1| |#1| (-763))) (-15 -3262 ((-2 (|:| -4409 |#1|) (|:| -2607 |#1|)) |#1| (-763))) (-15 -1807 (|#1| (-1157 |#2|))) (-15 -2671 ((-1157 |#2|) |#1|)) (-15 -1969 ((-1244 |#2|) |#1| (-763))) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|))) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)) (-634 (-763)))) (-15 -4191 (|#1| |#1| (-1161) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)))) (-15 -4191 (|#1| |#1| (-1161))) (-15 -4191 (|#1| |#1|)) (-15 -4191 (|#1| |#1| (-763))) (-15 -2781 (|#1| |#1| |#1|)) (-15 -2781 (|#2| |#1| |#2|)) (-15 -3850 ((-420 |#1|) |#1|)) (-15 -3863 ((-420 (-1157 |#1|)) (-1157 |#1|))) (-15 -2795 ((-420 (-1157 |#1|)) (-1157 |#1|))) (-15 -2841 ((-420 (-1157 |#1|)) (-1157 |#1|))) (-15 -2434 ((-3 (-634 (-1157 |#1|)) "failed") (-634 (-1157 |#1|)) (-1157 |#1|))) (-15 -1364 (|#1| |#1| (-1075))) (-15 -2057 ((-634 (-1075)) |#1|)) (-15 -3528 ((-763) |#1| (-634 (-1075)))) (-15 -3528 ((-763) |#1|)) (-15 -2049 (|#1| |#1| (-634 (-1075)) (-634 (-763)))) (-15 -2049 (|#1| |#1| (-1075) (-763))) (-15 -3524 ((-634 (-763)) |#1| (-634 (-1075)))) (-15 -3524 ((-763) |#1| (-1075))) (-15 -2817 ((-3 (-1075) "failed") |#1|)) (-15 -1836 ((-634 (-763)) |#1| (-634 (-1075)))) (-15 -1836 ((-763) |#1| (-1075))) (-15 -2857 ((-1075) |#1|)) (-15 -3668 ((-3 (-1075) "failed") |#1|)) (-15 -2747 (|#1| (-1075))) (-15 -1339 (|#1| |#1| (-634 (-1075)) (-634 |#1|))) (-15 -1339 (|#1| |#1| (-1075) |#1|)) (-15 -1339 (|#1| |#1| (-634 (-1075)) (-634 |#2|))) (-15 -1339 (|#1| |#1| (-1075) |#2|)) (-15 -1339 (|#1| |#1| (-634 |#1|) (-634 |#1|))) (-15 -1339 (|#1| |#1| |#1| |#1|)) (-15 -1339 (|#1| |#1| (-288 |#1|))) (-15 -1339 (|#1| |#1| (-634 (-288 |#1|)))) (-15 -1836 ((-763) |#1|)) (-15 -2049 (|#1| |#2| (-763))) (-15 -2857 ((-568) |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -2857 ((-409 (-568)) |#1|)) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2747 (|#1| |#2|)) (-15 -3668 ((-3 |#2| "failed") |#1|)) (-15 -2857 (|#2| |#1|)) (-15 -3524 ((-763) |#1|)) (-15 -1364 (|#2| |#1|)) (-15 -4191 (|#1| |#1| (-634 (-1075)) (-634 (-763)))) (-15 -4191 (|#1| |#1| (-1075) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1075)))) (-15 -4191 (|#1| |#1| (-1075))) (-15 -2747 (|#1| (-568))) (-15 -2747 ((-850) |#1|))) (-1219 |#2|) (-1047)) (T -1218)) 
-NIL 
-(-10 -8 (-15 -2747 (|#1| |#1|)) (-15 -3603 ((-1157 |#1|) (-1157 |#1|) (-1157 |#1|))) (-15 -3498 ((-420 |#1|) |#1|)) (-15 -3045 (|#1| |#1|)) (-15 -2747 (|#1| (-409 (-568)))) (-15 -4436 (|#1|)) (-15 -2214 ((-3 |#1| "failed") |#1|)) (-15 -2781 ((-409 |#1|) |#1| (-409 |#1|))) (-15 -1466 ((-763) |#1|)) (-15 -1854 ((-2 (|:| -4409 |#1|) (|:| -2607 |#1|)) |#1| |#1|)) (-15 -1845 (|#1| |#1|)) (-15 -2781 (|#2| (-409 |#1|) |#2|)) (-15 -1448 ((-2 (|:| |primePart| |#1|) (|:| |commonPart| |#1|)) |#1| |#1|)) (-15 -3777 ((-2 (|:| -2350 |#2|) (|:| -4409 |#1|) (|:| -2607 |#1|)) |#1| |#1|)) (-15 -2929 (|#1| |#1| |#1|)) (-15 -4363 ((-3 (-409 |#1|) "failed") (-409 |#1|) |#1|)) (-15 -4363 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1844 ((-763) |#1| |#1|)) (-15 -2781 ((-409 |#1|) (-409 |#1|) (-409 |#1|))) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|) |#1|)) (-15 -2699 (|#1| |#1| (-763))) (-15 -2752 (|#1| |#1| (-763))) (-15 -3262 ((-2 (|:| -4409 |#1|) (|:| -2607 |#1|)) |#1| (-763))) (-15 -1807 (|#1| (-1157 |#2|))) (-15 -2671 ((-1157 |#2|) |#1|)) (-15 -1969 ((-1244 |#2|) |#1| (-763))) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|))) (-15 -4191 (|#1| |#1| (-1 |#2| |#2|) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)) (-634 (-763)))) (-15 -4191 (|#1| |#1| (-1161) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1161)))) (-15 -4191 (|#1| |#1| (-1161))) (-15 -4191 (|#1| |#1|)) (-15 -4191 (|#1| |#1| (-763))) (-15 -2781 (|#1| |#1| |#1|)) (-15 -2781 (|#2| |#1| |#2|)) (-15 -3850 ((-420 |#1|) |#1|)) (-15 -3863 ((-420 (-1157 |#1|)) (-1157 |#1|))) (-15 -2795 ((-420 (-1157 |#1|)) (-1157 |#1|))) (-15 -2841 ((-420 (-1157 |#1|)) (-1157 |#1|))) (-15 -2434 ((-3 (-634 (-1157 |#1|)) "failed") (-634 (-1157 |#1|)) (-1157 |#1|))) (-15 -1364 (|#1| |#1| (-1075))) (-15 -2057 ((-634 (-1075)) |#1|)) (-15 -3528 ((-763) |#1| (-634 (-1075)))) (-15 -3528 ((-763) |#1|)) (-15 -2049 (|#1| |#1| (-634 (-1075)) (-634 (-763)))) (-15 -2049 (|#1| |#1| (-1075) (-763))) (-15 -3524 ((-634 (-763)) |#1| (-634 (-1075)))) (-15 -3524 ((-763) |#1| (-1075))) (-15 -2817 ((-3 (-1075) "failed") |#1|)) (-15 -1836 ((-634 (-763)) |#1| (-634 (-1075)))) (-15 -1836 ((-763) |#1| (-1075))) (-15 -2857 ((-1075) |#1|)) (-15 -3668 ((-3 (-1075) "failed") |#1|)) (-15 -2747 (|#1| (-1075))) (-15 -1339 (|#1| |#1| (-634 (-1075)) (-634 |#1|))) (-15 -1339 (|#1| |#1| (-1075) |#1|)) (-15 -1339 (|#1| |#1| (-634 (-1075)) (-634 |#2|))) (-15 -1339 (|#1| |#1| (-1075) |#2|)) (-15 -1339 (|#1| |#1| (-634 |#1|) (-634 |#1|))) (-15 -1339 (|#1| |#1| |#1| |#1|)) (-15 -1339 (|#1| |#1| (-288 |#1|))) (-15 -1339 (|#1| |#1| (-634 (-288 |#1|)))) (-15 -1836 ((-763) |#1|)) (-15 -2049 (|#1| |#2| (-763))) (-15 -2857 ((-568) |#1|)) (-15 -3668 ((-3 (-568) "failed") |#1|)) (-15 -2857 ((-409 (-568)) |#1|)) (-15 -3668 ((-3 (-409 (-568)) "failed") |#1|)) (-15 -2747 (|#1| |#2|)) (-15 -3668 ((-3 |#2| "failed") |#1|)) (-15 -2857 (|#2| |#1|)) (-15 -3524 ((-763) |#1|)) (-15 -1364 (|#2| |#1|)) (-15 -4191 (|#1| |#1| (-634 (-1075)) (-634 (-763)))) (-15 -4191 (|#1| |#1| (-1075) (-763))) (-15 -4191 (|#1| |#1| (-634 (-1075)))) (-15 -4191 (|#1| |#1| (-1075))) (-15 -2747 (|#1| (-568))) (-15 -2747 ((-850) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-1969 (((-1244 |#1|) $ (-763)) 217)) (-2057 (((-634 (-1075)) $) 108)) (-1807 (($ (-1157 |#1|)) 215)) (-3840 (((-1157 $) $ (-1075)) 123) (((-1157 |#1|) $) 122)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 85 (|has| |#1| (-558)))) (-3661 (($ $) 86 (|has| |#1| (-558)))) (-4426 (((-121) $) 88 (|has| |#1| (-558)))) (-3528 (((-763) $) 110) (((-763) $ (-634 (-1075))) 109)) (-2689 (((-3 $ "failed") $ $) 18)) (-1736 (($ $ $) 202 (|has| |#1| (-558)))) (-3863 (((-420 (-1157 $)) (-1157 $)) 98 (|has| |#1| (-904)))) (-3045 (($ $) 96 (|has| |#1| (-453)))) (-3498 (((-420 $) $) 95 (|has| |#1| (-453)))) (-2434 (((-3 (-634 (-1157 $)) "failed") (-634 (-1157 $)) (-1157 $)) 101 (|has| |#1| (-904)))) (-2589 (((-121) $ $) 187 (|has| |#1| (-365)))) (-2752 (($ $ (-763)) 210)) (-2699 (($ $ (-763)) 209)) (-1448 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) 197 (|has| |#1| (-453)))) (-4490 (($) 16 T CONST)) (-3668 (((-3 |#1| "failed") $) 162) (((-3 (-409 (-568)) "failed") $) 160 (|has| |#1| (-1037 (-409 (-568))))) (((-3 (-568) "failed") $) 158 (|has| |#1| (-1037 (-568)))) (((-3 (-1075) "failed") $) 134)) (-2857 ((|#1| $) 163) (((-409 (-568)) $) 159 (|has| |#1| (-1037 (-409 (-568))))) (((-568) $) 157 (|has| |#1| (-1037 (-568)))) (((-1075) $) 133)) (-2910 (($ $ $ (-1075)) 106 (|has| |#1| (-172))) ((|#1| $ $) 205 (|has| |#1| (-172)))) (-2403 (($ $ $) 191 (|has| |#1| (-365)))) (-2116 (($ $) 152)) (-1668 (((-679 (-568)) (-679 $)) 132 (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 (-568))) (|:| |vec| (-1244 (-568)))) (-679 $) (-1244 $)) 131 (|has| |#1| (-630 (-568)))) (((-2 (|:| -2908 (-679 |#1|)) (|:| |vec| (-1244 |#1|))) (-679 $) (-1244 $)) 130) (((-679 |#1|) (-679 $)) 129)) (-2902 (((-3 $ "failed") $) 33)) (-2414 (($ $ $) 190 (|has| |#1| (-365)))) (-3152 (($ $ $) 208)) (-2929 (($ $ $) 199 (|has| |#1| (-558)))) (-3777 (((-2 (|:| -2350 |#1|) (|:| -4409 $) (|:| -2607 $)) $ $) 198 (|has| |#1| (-558)))) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 185 (|has| |#1| (-365)))) (-1998 (($ $) 174 (|has| |#1| (-453))) (($ $ (-1075)) 103 (|has| |#1| (-453)))) (-2110 (((-634 $) $) 107)) (-2197 (((-121) $) 94 (|has| |#1| (-904)))) (-2453 (($ $ |#1| (-763) $) 170)) (-1519 (((-884 (-381) $) $ (-887 (-381)) (-884 (-381) $)) 82 (-12 (|has| (-1075) (-881 (-381))) (|has| |#1| (-881 (-381))))) (((-884 (-568) $) $ (-887 (-568)) (-884 (-568) $)) 81 (-12 (|has| (-1075) (-881 (-568))) (|has| |#1| (-881 (-568)))))) (-1844 (((-763) $ $) 203 (|has| |#1| (-558)))) (-1598 (((-121) $) 30)) (-3971 (((-763) $) 167)) (-2214 (((-3 $ "failed") $) 183 (|has| |#1| (-1136)))) (-2053 (($ (-1157 |#1|) (-1075)) 115) (($ (-1157 $) (-1075)) 114)) (-4168 (($ $ (-763)) 214)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 194 (|has| |#1| (-365)))) (-3062 (((-634 $) $) 124)) (-2171 (((-121) $) 150)) (-2049 (($ |#1| (-763)) 151) (($ $ (-1075) (-763)) 117) (($ $ (-634 (-1075)) (-634 (-763))) 116)) (-1438 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $ (-1075)) 118) (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 212)) (-3524 (((-763) $) 168) (((-763) $ (-1075)) 120) (((-634 (-763)) $ (-634 (-1075))) 119)) (-1732 (($ $ $) 77 (|has| |#1| (-842)))) (-2047 (($ $ $) 76 (|has| |#1| (-842)))) (-1865 (($ (-1 (-763) (-763)) $) 169)) (-2797 (($ (-1 |#1| |#1|) $) 149)) (-2671 (((-1157 |#1|) $) 216)) (-2817 (((-3 (-1075) "failed") $) 121)) (-2099 (($ $) 147)) (-2104 ((|#1| $) 146)) (-2498 (($ (-634 $)) 92 (|has| |#1| (-453))) (($ $ $) 91 (|has| |#1| (-453)))) (-1893 (((-1143) $) 9)) (-3262 (((-2 (|:| -4409 $) (|:| -2607 $)) $ (-763)) 211)) (-4362 (((-3 (-634 $) "failed") $) 112)) (-2112 (((-3 (-634 $) "failed") $) 113)) (-2617 (((-3 (-2 (|:| |var| (-1075)) (|:| -3483 (-763))) "failed") $) 111)) (-1845 (($ $) 195 (|has| |#1| (-43 (-409 (-568)))))) (-4436 (($) 182 (|has| |#1| (-1136)) CONST)) (-4025 (((-1108) $) 10)) (-2088 (((-121) $) 164)) (-2093 ((|#1| $) 165)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 93 (|has| |#1| (-453)))) (-2723 (($ (-634 $)) 90 (|has| |#1| (-453))) (($ $ $) 89 (|has| |#1| (-453)))) (-2841 (((-420 (-1157 $)) (-1157 $)) 100 (|has| |#1| (-904)))) (-2795 (((-420 (-1157 $)) (-1157 $)) 99 (|has| |#1| (-904)))) (-3850 (((-420 $) $) 97 (|has| |#1| (-904)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 193 (|has| |#1| (-365))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 192 (|has| |#1| (-365)))) (-2597 (((-3 $ "failed") $ |#1|) 172 (|has| |#1| (-558))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-558)))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 186 (|has| |#1| (-365)))) (-1339 (($ $ (-634 (-288 $))) 143) (($ $ (-288 $)) 142) (($ $ $ $) 141) (($ $ (-634 $) (-634 $)) 140) (($ $ (-1075) |#1|) 139) (($ $ (-634 (-1075)) (-634 |#1|)) 138) (($ $ (-1075) $) 137) (($ $ (-634 (-1075)) (-634 $)) 136)) (-1466 (((-763) $) 188 (|has| |#1| (-365)))) (-2781 ((|#1| $ |#1|) 235) (($ $ $) 234) (((-409 $) (-409 $) (-409 $)) 204 (|has| |#1| (-558))) ((|#1| (-409 $) |#1|) 196 (|has| |#1| (-365))) (((-409 $) $ (-409 $)) 184 (|has| |#1| (-558)))) (-3805 (((-3 $ "failed") $ (-763)) 213)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 189 (|has| |#1| (-365)))) (-3440 (($ $ (-1075)) 105 (|has| |#1| (-172))) ((|#1| $) 206 (|has| |#1| (-172)))) (-4191 (($ $ (-1075)) 41) (($ $ (-634 (-1075))) 40) (($ $ (-1075) (-763)) 39) (($ $ (-634 (-1075)) (-634 (-763))) 38) (($ $ (-763)) 232) (($ $) 230) (($ $ (-1161)) 229 (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) 228 (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) 227 (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) 226 (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) 219) (($ $ (-1 |#1| |#1|)) 218) (($ $ (-1 |#1| |#1|) $) 207)) (-1836 (((-763) $) 148) (((-763) $ (-1075)) 128) (((-634 (-763)) $ (-634 (-1075))) 127)) (-4280 (((-887 (-381)) $) 80 (-12 (|has| (-1075) (-609 (-887 (-381)))) (|has| |#1| (-609 (-887 (-381)))))) (((-887 (-568)) $) 79 (-12 (|has| (-1075) (-609 (-887 (-568)))) (|has| |#1| (-609 (-887 (-568)))))) (((-541) $) 78 (-12 (|has| (-1075) (-609 (-541))) (|has| |#1| (-609 (-541)))))) (-1364 ((|#1| $) 173 (|has| |#1| (-453))) (($ $ (-1075)) 104 (|has| |#1| (-453)))) (-3070 (((-3 (-1244 $) "failed") (-679 $)) 102 (-2141 (|has| $ (-148)) (|has| |#1| (-904))))) (-4363 (((-3 $ "failed") $ $) 201 (|has| |#1| (-558))) (((-3 (-409 $) "failed") (-409 $) $) 200 (|has| |#1| (-558)))) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ |#1|) 161) (($ (-1075)) 135) (($ (-409 (-568))) 70 (-2199 (|has| |#1| (-1037 (-409 (-568)))) (|has| |#1| (-43 (-409 (-568)))))) (($ $) 83 (|has| |#1| (-558)))) (-3304 (((-634 |#1|) $) 166)) (-2079 ((|#1| $ (-763)) 153) (($ $ (-1075) (-763)) 126) (($ $ (-634 (-1075)) (-634 (-763))) 125)) (-3385 (((-3 $ "failed") $) 71 (-2199 (-2141 (|has| $ (-148)) (|has| |#1| (-904))) (|has| |#1| (-148))))) (-3425 (((-763)) 28)) (-3925 (($ $ $ (-763)) 171 (|has| |#1| (-172)))) (-2273 (((-121) $ $) 87 (|has| |#1| (-558)))) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3192 (($ $ (-1075)) 37) (($ $ (-634 (-1075))) 36) (($ $ (-1075) (-763)) 35) (($ $ (-634 (-1075)) (-634 (-763))) 34) (($ $ (-763)) 233) (($ $) 231) (($ $ (-1161)) 225 (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161))) 224 (|has| |#1| (-895 (-1161)))) (($ $ (-1161) (-763)) 223 (|has| |#1| (-895 (-1161)))) (($ $ (-634 (-1161)) (-634 (-763))) 222 (|has| |#1| (-895 (-1161)))) (($ $ (-1 |#1| |#1|) (-763)) 221) (($ $ (-1 |#1| |#1|)) 220)) (-1753 (((-121) $ $) 74 (|has| |#1| (-842)))) (-1740 (((-121) $ $) 73 (|has| |#1| (-842)))) (-1719 (((-121) $ $) 6)) (-1747 (((-121) $ $) 75 (|has| |#1| (-842)))) (-1734 (((-121) $ $) 72 (|has| |#1| (-842)))) (-1781 (($ $ |#1|) 154 (|has| |#1| (-365)))) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ (-409 (-568))) 156 (|has| |#1| (-43 (-409 (-568))))) (($ (-409 (-568)) $) 155 (|has| |#1| (-43 (-409 (-568))))) (($ |#1| $) 145) (($ $ |#1|) 144))) 
-(((-1219 |#1|) (-1275) (-1047)) (T -1219)) 
-((-1969 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-4 *1 (-1219 *4)) (-4 *4 (-1047)) (-5 *2 (-1244 *4)))) (-2671 (*1 *2 *1) (-12 (-4 *1 (-1219 *3)) (-4 *3 (-1047)) (-5 *2 (-1157 *3)))) (-1807 (*1 *1 *2) (-12 (-5 *2 (-1157 *3)) (-4 *3 (-1047)) (-4 *1 (-1219 *3)))) (-4168 (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-1219 *3)) (-4 *3 (-1047)))) (-3805 (*1 *1 *1 *2) (|partial| -12 (-5 *2 (-763)) (-4 *1 (-1219 *3)) (-4 *3 (-1047)))) (-1438 (*1 *2 *1 *1) (-12 (-4 *3 (-1047)) (-5 *2 (-2 (|:| -4409 *1) (|:| -2607 *1))) (-4 *1 (-1219 *3)))) (-3262 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-4 *4 (-1047)) (-5 *2 (-2 (|:| -4409 *1) (|:| -2607 *1))) (-4 *1 (-1219 *4)))) (-2752 (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-1219 *3)) (-4 *3 (-1047)))) (-2699 (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-1219 *3)) (-4 *3 (-1047)))) (-3152 (*1 *1 *1 *1) (-12 (-4 *1 (-1219 *2)) (-4 *2 (-1047)))) (-4191 (*1 *1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-1219 *3)) (-4 *3 (-1047)))) (-3440 (*1 *2 *1) (-12 (-4 *1 (-1219 *2)) (-4 *2 (-1047)) (-4 *2 (-172)))) (-2910 (*1 *2 *1 *1) (-12 (-4 *1 (-1219 *2)) (-4 *2 (-1047)) (-4 *2 (-172)))) (-2781 (*1 *2 *2 *2) (-12 (-5 *2 (-409 *1)) (-4 *1 (-1219 *3)) (-4 *3 (-1047)) (-4 *3 (-558)))) (-1844 (*1 *2 *1 *1) (-12 (-4 *1 (-1219 *3)) (-4 *3 (-1047)) (-4 *3 (-558)) (-5 *2 (-763)))) (-1736 (*1 *1 *1 *1) (-12 (-4 *1 (-1219 *2)) (-4 *2 (-1047)) (-4 *2 (-558)))) (-4363 (*1 *1 *1 *1) (|partial| -12 (-4 *1 (-1219 *2)) (-4 *2 (-1047)) (-4 *2 (-558)))) (-4363 (*1 *2 *2 *1) (|partial| -12 (-5 *2 (-409 *1)) (-4 *1 (-1219 *3)) (-4 *3 (-1047)) (-4 *3 (-558)))) (-2929 (*1 *1 *1 *1) (-12 (-4 *1 (-1219 *2)) (-4 *2 (-1047)) (-4 *2 (-558)))) (-3777 (*1 *2 *1 *1) (-12 (-4 *3 (-558)) (-4 *3 (-1047)) (-5 *2 (-2 (|:| -2350 *3) (|:| -4409 *1) (|:| -2607 *1))) (-4 *1 (-1219 *3)))) (-1448 (*1 *2 *1 *1) (-12 (-4 *3 (-453)) (-4 *3 (-1047)) (-5 *2 (-2 (|:| |primePart| *1) (|:| |commonPart| *1))) (-4 *1 (-1219 *3)))) (-2781 (*1 *2 *3 *2) (-12 (-5 *3 (-409 *1)) (-4 *1 (-1219 *2)) (-4 *2 (-1047)) (-4 *2 (-365)))) (-1845 (*1 *1 *1) (-12 (-4 *1 (-1219 *2)) (-4 *2 (-1047)) (-4 *2 (-43 (-409 (-568))))))) 
-(-13 (-950 |t#1| (-763) (-1075)) (-281 |t#1| |t#1|) (-281 $ $) (-225) (-223 |t#1|) (-10 -8 (-15 -1969 ((-1244 |t#1|) $ (-763))) (-15 -2671 ((-1157 |t#1|) $)) (-15 -1807 ($ (-1157 |t#1|))) (-15 -4168 ($ $ (-763))) (-15 -3805 ((-3 $ "failed") $ (-763))) (-15 -1438 ((-2 (|:| -4409 $) (|:| -2607 $)) $ $)) (-15 -3262 ((-2 (|:| -4409 $) (|:| -2607 $)) $ (-763))) (-15 -2752 ($ $ (-763))) (-15 -2699 ($ $ (-763))) (-15 -3152 ($ $ $)) (-15 -4191 ($ $ (-1 |t#1| |t#1|) $)) (IF (|has| |t#1| (-1136)) (-6 (-1136)) |noBranch|) (IF (|has| |t#1| (-172)) (PROGN (-15 -3440 (|t#1| $)) (-15 -2910 (|t#1| $ $))) |noBranch|) (IF (|has| |t#1| (-558)) (PROGN (-6 (-281 (-409 $) (-409 $))) (-15 -2781 ((-409 $) (-409 $) (-409 $))) (-15 -1844 ((-763) $ $)) (-15 -1736 ($ $ $)) (-15 -4363 ((-3 $ "failed") $ $)) (-15 -4363 ((-3 (-409 $) "failed") (-409 $) $)) (-15 -2929 ($ $ $)) (-15 -3777 ((-2 (|:| -2350 |t#1|) (|:| -4409 $) (|:| -2607 $)) $ $))) |noBranch|) (IF (|has| |t#1| (-453)) (-15 -1448 ((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $)) |noBranch|) (IF (|has| |t#1| (-365)) (PROGN (-6 (-301)) (-6 -4517) (-15 -2781 (|t#1| (-409 $) |t#1|))) |noBranch|) (IF (|has| |t#1| (-43 (-409 (-568)))) (-15 -1845 ($ $)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-763)) . T) ((-25) . T) ((-43 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-43 |#1|) |has| |#1| (-172)) ((-43 $) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453)) (|has| |#1| (-365))) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453)) (|has| |#1| (-365)) (|has| |#1| (-172))) ((-137) . T) ((-148) |has| |#1| (-148)) ((-150) |has| |#1| (-150)) ((-608 (-850)) . T) ((-172) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453)) (|has| |#1| (-365)) (|has| |#1| (-172))) ((-609 (-541)) -12 (|has| (-1075) (-609 (-541))) (|has| |#1| (-609 (-541)))) ((-609 (-887 (-381))) -12 (|has| (-1075) (-609 (-887 (-381)))) (|has| |#1| (-609 (-887 (-381))))) ((-609 (-887 (-568))) -12 (|has| (-1075) (-609 (-887 (-568)))) (|has| |#1| (-609 (-887 (-568))))) ((-223 |#1|) . T) ((-225) . T) ((-281 (-409 $) (-409 $)) |has| |#1| (-558)) ((-281 |#1| |#1|) . T) ((-281 $ $) . T) ((-285) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453)) (|has| |#1| (-365))) ((-301) |has| |#1| (-365)) ((-303 $) . T) ((-324 |#1| (-763)) . T) ((-379 |#1|) . T) ((-413 |#1|) . T) ((-453) -2199 (|has| |#1| (-904)) (|has| |#1| (-453)) (|has| |#1| (-365))) ((-523 (-1075) |#1|) . T) ((-523 (-1075) $) . T) ((-523 $ $) . T) ((-558) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453)) (|has| |#1| (-365))) ((-637 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-637 |#1|) . T) ((-637 $) . T) ((-630 (-568)) |has| |#1| (-630 (-568))) ((-630 |#1|) . T) ((-707 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-707 |#1|) |has| |#1| (-172)) ((-707 $) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453)) (|has| |#1| (-365))) ((-716) . T) ((-842) |has| |#1| (-842)) ((-895 (-1075)) . T) ((-895 (-1161)) |has| |#1| (-895 (-1161))) ((-881 (-381)) -12 (|has| (-1075) (-881 (-381))) (|has| |#1| (-881 (-381)))) ((-881 (-568)) -12 (|has| (-1075) (-881 (-568))) (|has| |#1| (-881 (-568)))) ((-950 |#1| (-763) (-1075)) . T) ((-904) |has| |#1| (-904)) ((-916) |has| |#1| (-365)) ((-1037 (-409 (-568))) |has| |#1| (-1037 (-409 (-568)))) ((-1037 (-568)) |has| |#1| (-1037 (-568))) ((-1037 (-1075)) . T) ((-1037 |#1|) . T) ((-1053 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-1053 |#1|) . T) ((-1053 $) -2199 (|has| |#1| (-904)) (|has| |#1| (-558)) (|has| |#1| (-453)) (|has| |#1| (-365)) (|has| |#1| (-172))) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1136) |has| |#1| (-1136)) ((-1199) |has| |#1| (-904))) 
-((-2057 (((-634 (-1075)) $) 28)) (-2116 (($ $) 25)) (-2049 (($ |#2| |#3|) NIL) (($ $ (-1075) |#3|) 22) (($ $ (-634 (-1075)) (-634 |#3|)) 20)) (-2099 (($ $) 14)) (-2104 ((|#2| $) 12)) (-1836 ((|#3| $) 10))) 
-(((-1220 |#1| |#2| |#3|) (-10 -8 (-15 -2057 ((-634 (-1075)) |#1|)) (-15 -2049 (|#1| |#1| (-634 (-1075)) (-634 |#3|))) (-15 -2049 (|#1| |#1| (-1075) |#3|)) (-15 -2116 (|#1| |#1|)) (-15 -2049 (|#1| |#2| |#3|)) (-15 -1836 (|#3| |#1|)) (-15 -2099 (|#1| |#1|)) (-15 -2104 (|#2| |#1|))) (-1221 |#2| |#3|) (-1047) (-787)) (T -1220)) 
-NIL 
-(-10 -8 (-15 -2057 ((-634 (-1075)) |#1|)) (-15 -2049 (|#1| |#1| (-634 (-1075)) (-634 |#3|))) (-15 -2049 (|#1| |#1| (-1075) |#3|)) (-15 -2116 (|#1| |#1|)) (-15 -2049 (|#1| |#2| |#3|)) (-15 -1836 (|#3| |#1|)) (-15 -2099 (|#1| |#1|)) (-15 -2104 (|#2| |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2057 (((-634 (-1075)) $) 70)) (-3325 (((-1161) $) 98)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 50 (|has| |#1| (-558)))) (-3661 (($ $) 51 (|has| |#1| (-558)))) (-4426 (((-121) $) 53 (|has| |#1| (-558)))) (-4179 (($ $ |#2|) 93) (($ $ |#2| |#2|) 92)) (-2013 (((-1141 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) 100)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-2116 (($ $) 59)) (-2902 (((-3 $ "failed") $) 33)) (-1302 (((-121) $) 69)) (-1844 ((|#2| $) 95) ((|#2| $ |#2|) 94)) (-1598 (((-121) $) 30)) (-4168 (($ $ (-917)) 96)) (-2171 (((-121) $) 61)) (-2049 (($ |#1| |#2|) 60) (($ $ (-1075) |#2|) 72) (($ $ (-634 (-1075)) (-634 |#2|)) 71)) (-2797 (($ (-1 |#1| |#1|) $) 62)) (-2099 (($ $) 64)) (-2104 ((|#1| $) 65)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2168 (($ $ |#2|) 90)) (-2597 (((-3 $ "failed") $ $) 49 (|has| |#1| (-558)))) (-1339 (((-1141 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| |#2|))))) (-2781 ((|#1| $ |#2|) 99) (($ $ $) 76 (|has| |#2| (-1102)))) (-4191 (($ $ (-634 (-1161)) (-634 (-763))) 84 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1161) (-763)) 83 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-634 (-1161))) 82 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1161)) 81 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-763)) 79 (|has| |#1| (-15 * (|#1| |#2| |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (-1836 ((|#2| $) 63)) (-2188 (($ $) 68)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ (-409 (-568))) 56 (|has| |#1| (-43 (-409 (-568))))) (($ $) 48 (|has| |#1| (-558))) (($ |#1|) 46 (|has| |#1| (-172)))) (-2079 ((|#1| $ |#2|) 58)) (-3385 (((-3 $ "failed") $) 47 (|has| |#1| (-148)))) (-3425 (((-763)) 28)) (-1374 ((|#1| $) 97)) (-2273 (((-121) $ $) 52 (|has| |#1| (-558)))) (-3999 ((|#1| $ |#2|) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| |#2|))) (|has| |#1| (-15 -2747 (|#1| (-1161))))))) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3192 (($ $ (-634 (-1161)) (-634 (-763))) 88 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1161) (-763)) 87 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-634 (-1161))) 86 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1161)) 85 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-763)) 80 (|has| |#1| (-15 * (|#1| |#2| |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (-1719 (((-121) $ $) 6)) (-1781 (($ $ |#1|) 57 (|has| |#1| (-365)))) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-409 (-568)) $) 55 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) 54 (|has| |#1| (-43 (-409 (-568))))))) 
-(((-1221 |#1| |#2|) (-1275) (-1047) (-787)) (T -1221)) 
-((-2013 (*1 *2 *1) (-12 (-4 *1 (-1221 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-787)) (-5 *2 (-1141 (-2 (|:| |k| *4) (|:| |c| *3)))))) (-2781 (*1 *2 *1 *3) (-12 (-4 *1 (-1221 *2 *3)) (-4 *3 (-787)) (-4 *2 (-1047)))) (-3325 (*1 *2 *1) (-12 (-4 *1 (-1221 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-787)) (-5 *2 (-1161)))) (-1374 (*1 *2 *1) (-12 (-4 *1 (-1221 *2 *3)) (-4 *3 (-787)) (-4 *2 (-1047)))) (-4168 (*1 *1 *1 *2) (-12 (-5 *2 (-917)) (-4 *1 (-1221 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-787)))) (-1844 (*1 *2 *1) (-12 (-4 *1 (-1221 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-787)))) (-1844 (*1 *2 *1 *2) (-12 (-4 *1 (-1221 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-787)))) (-4179 (*1 *1 *1 *2) (-12 (-4 *1 (-1221 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-787)))) (-4179 (*1 *1 *1 *2 *2) (-12 (-4 *1 (-1221 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-787)))) (-3999 (*1 *2 *1 *3) (-12 (-4 *1 (-1221 *2 *3)) (-4 *3 (-787)) (|has| *2 (-15 ** (*2 *2 *3))) (|has| *2 (-15 -2747 (*2 (-1161)))) (-4 *2 (-1047)))) (-2168 (*1 *1 *1 *2) (-12 (-4 *1 (-1221 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-787)))) (-1339 (*1 *2 *1 *3) (-12 (-4 *1 (-1221 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-787)) (|has| *3 (-15 ** (*3 *3 *4))) (-5 *2 (-1141 *3))))) 
-(-13 (-974 |t#1| |t#2| (-1075)) (-10 -8 (-15 -2013 ((-1141 (-2 (|:| |k| |t#2|) (|:| |c| |t#1|))) $)) (-15 -2781 (|t#1| $ |t#2|)) (-15 -3325 ((-1161) $)) (-15 -1374 (|t#1| $)) (-15 -4168 ($ $ (-917))) (-15 -1844 (|t#2| $)) (-15 -1844 (|t#2| $ |t#2|)) (-15 -4179 ($ $ |t#2|)) (-15 -4179 ($ $ |t#2| |t#2|)) (IF (|has| |t#1| (-15 -2747 (|t#1| (-1161)))) (IF (|has| |t#1| (-15 ** (|t#1| |t#1| |t#2|))) (-15 -3999 (|t#1| $ |t#2|)) |noBranch|) |noBranch|) (-15 -2168 ($ $ |t#2|)) (IF (|has| |t#2| (-1102)) (-6 (-281 $ $)) |noBranch|) (IF (|has| |t#1| (-15 * (|t#1| |t#2| |t#1|))) (PROGN (-6 (-225)) (IF (|has| |t#1| (-895 (-1161))) (-6 (-895 (-1161))) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-15 ** (|t#1| |t#1| |t#2|))) (-15 -1339 ((-1141 |t#1|) $ |t#1|)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-43 |#1|) |has| |#1| (-172)) ((-43 $) |has| |#1| (-558)) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2199 (|has| |#1| (-558)) (|has| |#1| (-172))) ((-137) . T) ((-148) |has| |#1| (-148)) ((-150) |has| |#1| (-150)) ((-608 (-850)) . T) ((-172) -2199 (|has| |#1| (-558)) (|has| |#1| (-172))) ((-225) |has| |#1| (-15 * (|#1| |#2| |#1|))) ((-281 $ $) |has| |#2| (-1102)) ((-285) |has| |#1| (-558)) ((-558) |has| |#1| (-558)) ((-637 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-637 |#1|) . T) ((-637 $) . T) ((-707 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-707 |#1|) |has| |#1| (-172)) ((-707 $) |has| |#1| (-558)) ((-716) . T) ((-895 (-1161)) -12 (|has| |#1| (-15 * (|#1| |#2| |#1|))) (|has| |#1| (-895 (-1161)))) ((-974 |#1| |#2| (-1075)) . T) ((-1053 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-1053 |#1|) . T) ((-1053 $) -2199 (|has| |#1| (-558)) (|has| |#1| (-172))) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-3045 ((|#2| |#2|) 12)) (-3498 (((-420 |#2|) |#2|) 14)) (-3598 (((-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-568))) (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-568)))) 30))) 
-(((-1222 |#1| |#2|) (-10 -7 (-15 -3498 ((-420 |#2|) |#2|)) (-15 -3045 (|#2| |#2|)) (-15 -3598 ((-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-568))) (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-568)))))) (-558) (-13 (-1219 |#1|) (-558) (-10 -8 (-15 -2723 ($ $ $))))) (T -1222)) 
-((-3598 (*1 *2 *2) (-12 (-5 *2 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *4) (|:| |xpnt| (-568)))) (-4 *4 (-13 (-1219 *3) (-558) (-10 -8 (-15 -2723 ($ $ $))))) (-4 *3 (-558)) (-5 *1 (-1222 *3 *4)))) (-3045 (*1 *2 *2) (-12 (-4 *3 (-558)) (-5 *1 (-1222 *3 *2)) (-4 *2 (-13 (-1219 *3) (-558) (-10 -8 (-15 -2723 ($ $ $))))))) (-3498 (*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-420 *3)) (-5 *1 (-1222 *4 *3)) (-4 *3 (-13 (-1219 *4) (-558) (-10 -8 (-15 -2723 ($ $ $)))))))) 
-(-10 -7 (-15 -3498 ((-420 |#2|) |#2|)) (-15 -3045 (|#2| |#2|)) (-15 -3598 ((-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-568))) (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-568)))))) 
-((-2797 (((-1228 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1228 |#1| |#3| |#5|)) 23))) 
-(((-1223 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -2797 ((-1228 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1228 |#1| |#3| |#5|)))) (-1047) (-1047) (-1161) (-1161) |#1| |#2|) (T -1223)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1228 *5 *7 *9)) (-4 *5 (-1047)) (-4 *6 (-1047)) (-14 *7 (-1161)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1228 *6 *8 *10)) (-5 *1 (-1223 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1161))))) 
-(-10 -7 (-15 -2797 ((-1228 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1228 |#1| |#3| |#5|)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2057 (((-634 (-1075)) $) 70)) (-3325 (((-1161) $) 98)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 50 (|has| |#1| (-558)))) (-3661 (($ $) 51 (|has| |#1| (-558)))) (-4426 (((-121) $) 53 (|has| |#1| (-558)))) (-4179 (($ $ (-409 (-568))) 93) (($ $ (-409 (-568)) (-409 (-568))) 92)) (-2013 (((-1141 (-2 (|:| |k| (-409 (-568))) (|:| |c| |#1|))) $) 100)) (-1984 (($ $) 127 (|has| |#1| (-43 (-409 (-568)))))) (-1935 (($ $) 110 (|has| |#1| (-43 (-409 (-568)))))) (-2689 (((-3 $ "failed") $ $) 18)) (-3045 (($ $) 154 (|has| |#1| (-365)))) (-3498 (((-420 $) $) 155 (|has| |#1| (-365)))) (-1904 (($ $) 109 (|has| |#1| (-43 (-409 (-568)))))) (-2589 (((-121) $ $) 145 (|has| |#1| (-365)))) (-1976 (($ $) 126 (|has| |#1| (-43 (-409 (-568)))))) (-2788 (($ $) 111 (|has| |#1| (-43 (-409 (-568)))))) (-2512 (($ (-763) (-1141 (-2 (|:| |k| (-409 (-568))) (|:| |c| |#1|)))) 164)) (-1992 (($ $) 125 (|has| |#1| (-43 (-409 (-568)))))) (-1943 (($ $) 112 (|has| |#1| (-43 (-409 (-568)))))) (-4490 (($) 16 T CONST)) (-2403 (($ $ $) 149 (|has| |#1| (-365)))) (-2116 (($ $) 59)) (-2902 (((-3 $ "failed") $) 33)) (-2414 (($ $ $) 148 (|has| |#1| (-365)))) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 143 (|has| |#1| (-365)))) (-2197 (((-121) $) 156 (|has| |#1| (-365)))) (-1302 (((-121) $) 69)) (-1899 (($) 137 (|has| |#1| (-43 (-409 (-568)))))) (-1844 (((-409 (-568)) $) 95) (((-409 (-568)) $ (-409 (-568))) 94)) (-1598 (((-121) $) 30)) (-1550 (($ $ (-568)) 108 (|has| |#1| (-43 (-409 (-568)))))) (-4168 (($ $ (-917)) 96) (($ $ (-409 (-568))) 163)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 152 (|has| |#1| (-365)))) (-2171 (((-121) $) 61)) (-2049 (($ |#1| (-409 (-568))) 60) (($ $ (-1075) (-409 (-568))) 72) (($ $ (-634 (-1075)) (-634 (-409 (-568)))) 71)) (-2797 (($ (-1 |#1| |#1|) $) 62)) (-4418 (($ $) 134 (|has| |#1| (-43 (-409 (-568)))))) (-2099 (($ $) 64)) (-2104 ((|#1| $) 65)) (-2498 (($ (-634 $)) 141 (|has| |#1| (-365))) (($ $ $) 140 (|has| |#1| (-365)))) (-1893 (((-1143) $) 9)) (-2083 (($ $) 157 (|has| |#1| (-365)))) (-1845 (($ $) 162 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-1161)) 161 (-2199 (-12 (|has| |#1| (-29 (-568))) (|has| |#1| (-959)) (|has| |#1| (-1181)) (|has| |#1| (-43 (-409 (-568))))) (-12 (|has| |#1| (-15 -2057 ((-634 (-1161)) |#1|))) (|has| |#1| (-15 -1845 (|#1| |#1| (-1161)))) (|has| |#1| (-43 (-409 (-568)))))))) (-4025 (((-1108) $) 10)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 142 (|has| |#1| (-365)))) (-2723 (($ (-634 $)) 139 (|has| |#1| (-365))) (($ $ $) 138 (|has| |#1| (-365)))) (-3850 (((-420 $) $) 153 (|has| |#1| (-365)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 151 (|has| |#1| (-365))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 150 (|has| |#1| (-365)))) (-2168 (($ $ (-409 (-568))) 90)) (-2597 (((-3 $ "failed") $ $) 49 (|has| |#1| (-558)))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 144 (|has| |#1| (-365)))) (-1894 (($ $) 135 (|has| |#1| (-43 (-409 (-568)))))) (-1339 (((-1141 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-409 (-568))))))) (-1466 (((-763) $) 146 (|has| |#1| (-365)))) (-2781 ((|#1| $ (-409 (-568))) 99) (($ $ $) 76 (|has| (-409 (-568)) (-1102)))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 147 (|has| |#1| (-365)))) (-4191 (($ $ (-634 (-1161)) (-634 (-763))) 84 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))))) (($ $ (-1161) (-763)) 83 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))))) (($ $ (-634 (-1161))) 82 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))))) (($ $ (-1161)) 81 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))))) (($ $ (-763)) 79 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))))) (-1836 (((-409 (-568)) $) 63)) (-1996 (($ $) 124 (|has| |#1| (-43 (-409 (-568)))))) (-1947 (($ $) 113 (|has| |#1| (-43 (-409 (-568)))))) (-1988 (($ $) 123 (|has| |#1| (-43 (-409 (-568)))))) (-1939 (($ $) 114 (|has| |#1| (-43 (-409 (-568)))))) (-1980 (($ $) 122 (|has| |#1| (-43 (-409 (-568)))))) (-2792 (($ $) 115 (|has| |#1| (-43 (-409 (-568)))))) (-2188 (($ $) 68)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ |#1|) 46 (|has| |#1| (-172))) (($ (-409 (-568))) 56 (|has| |#1| (-43 (-409 (-568))))) (($ $) 48 (|has| |#1| (-558)))) (-2079 ((|#1| $ (-409 (-568))) 58)) (-3385 (((-3 $ "failed") $) 47 (|has| |#1| (-148)))) (-3425 (((-763)) 28)) (-1374 ((|#1| $) 97)) (-2008 (($ $) 133 (|has| |#1| (-43 (-409 (-568)))))) (-1959 (($ $) 121 (|has| |#1| (-43 (-409 (-568)))))) (-2273 (((-121) $ $) 52 (|has| |#1| (-558)))) (-2000 (($ $) 132 (|has| |#1| (-43 (-409 (-568)))))) (-1951 (($ $) 120 (|has| |#1| (-43 (-409 (-568)))))) (-2016 (($ $) 131 (|has| |#1| (-43 (-409 (-568)))))) (-1968 (($ $) 119 (|has| |#1| (-43 (-409 (-568)))))) (-3999 ((|#1| $ (-409 (-568))) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-409 (-568))))) (|has| |#1| (-15 -2747 (|#1| (-1161))))))) (-1439 (($ $) 130 (|has| |#1| (-43 (-409 (-568)))))) (-1972 (($ $) 118 (|has| |#1| (-43 (-409 (-568)))))) (-2012 (($ $) 129 (|has| |#1| (-43 (-409 (-568)))))) (-1964 (($ $) 117 (|has| |#1| (-43 (-409 (-568)))))) (-2004 (($ $) 128 (|has| |#1| (-43 (-409 (-568)))))) (-1955 (($ $) 116 (|has| |#1| (-43 (-409 (-568)))))) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32) (($ $ (-568)) 158 (|has| |#1| (-365)))) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3192 (($ $ (-634 (-1161)) (-634 (-763))) 88 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))))) (($ $ (-1161) (-763)) 87 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))))) (($ $ (-634 (-1161))) 86 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))))) (($ $ (-1161)) 85 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))))) (($ $ (-763)) 80 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))))) (-1719 (((-121) $ $) 6)) (-1781 (($ $ |#1|) 57 (|has| |#1| (-365))) (($ $ $) 160 (|has| |#1| (-365)))) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ (-568)) 159 (|has| |#1| (-365))) (($ $ $) 136 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) 107 (|has| |#1| (-43 (-409 (-568)))))) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-409 (-568)) $) 55 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) 54 (|has| |#1| (-43 (-409 (-568))))))) 
-(((-1224 |#1|) (-1275) (-1047)) (T -1224)) 
-((-2512 (*1 *1 *2 *3) (-12 (-5 *2 (-763)) (-5 *3 (-1141 (-2 (|:| |k| (-409 (-568))) (|:| |c| *4)))) (-4 *4 (-1047)) (-4 *1 (-1224 *4)))) (-4168 (*1 *1 *1 *2) (-12 (-5 *2 (-409 (-568))) (-4 *1 (-1224 *3)) (-4 *3 (-1047)))) (-1845 (*1 *1 *1) (-12 (-4 *1 (-1224 *2)) (-4 *2 (-1047)) (-4 *2 (-43 (-409 (-568)))))) (-1845 (*1 *1 *1 *2) (-2199 (-12 (-5 *2 (-1161)) (-4 *1 (-1224 *3)) (-4 *3 (-1047)) (-12 (-4 *3 (-29 (-568))) (-4 *3 (-959)) (-4 *3 (-1181)) (-4 *3 (-43 (-409 (-568)))))) (-12 (-5 *2 (-1161)) (-4 *1 (-1224 *3)) (-4 *3 (-1047)) (-12 (|has| *3 (-15 -2057 ((-634 *2) *3))) (|has| *3 (-15 -1845 (*3 *3 *2))) (-4 *3 (-43 (-409 (-568))))))))) 
-(-13 (-1221 |t#1| (-409 (-568))) (-10 -8 (-15 -2512 ($ (-763) (-1141 (-2 (|:| |k| (-409 (-568))) (|:| |c| |t#1|))))) (-15 -4168 ($ $ (-409 (-568)))) (IF (|has| |t#1| (-43 (-409 (-568)))) (PROGN (-15 -1845 ($ $)) (IF (|has| |t#1| (-15 -1845 (|t#1| |t#1| (-1161)))) (IF (|has| |t#1| (-15 -2057 ((-634 (-1161)) |t#1|))) (-15 -1845 ($ $ (-1161))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-1181)) (IF (|has| |t#1| (-959)) (IF (|has| |t#1| (-29 (-568))) (-15 -1845 ($ $ (-1161))) |noBranch|) |noBranch|) |noBranch|) (-6 (-1002)) (-6 (-1181))) |noBranch|) (IF (|has| |t#1| (-365)) (-6 (-365)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-409 (-568))) . T) ((-25) . T) ((-43 (-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-43 (-409 (-568))))) ((-43 |#1|) |has| |#1| (-172)) ((-43 $) -2199 (|has| |#1| (-558)) (|has| |#1| (-365))) ((-40) |has| |#1| (-43 (-409 (-568)))) ((-98) |has| |#1| (-43 (-409 (-568)))) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-43 (-409 (-568))))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2199 (|has| |#1| (-558)) (|has| |#1| (-365)) (|has| |#1| (-172))) ((-137) . T) ((-148) |has| |#1| (-148)) ((-150) |has| |#1| (-150)) ((-608 (-850)) . T) ((-172) -2199 (|has| |#1| (-558)) (|has| |#1| (-365)) (|has| |#1| (-172))) ((-225) |has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) ((-238) |has| |#1| (-365)) ((-279) |has| |#1| (-43 (-409 (-568)))) ((-281 $ $) |has| (-409 (-568)) (-1102)) ((-285) -2199 (|has| |#1| (-558)) (|has| |#1| (-365))) ((-301) |has| |#1| (-365)) ((-365) |has| |#1| (-365)) ((-453) |has| |#1| (-365)) ((-502) |has| |#1| (-43 (-409 (-568)))) ((-558) -2199 (|has| |#1| (-558)) (|has| |#1| (-365))) ((-637 (-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-43 (-409 (-568))))) ((-637 |#1|) . T) ((-637 $) . T) ((-707 (-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-43 (-409 (-568))))) ((-707 |#1|) |has| |#1| (-172)) ((-707 $) -2199 (|has| |#1| (-558)) (|has| |#1| (-365))) ((-716) . T) ((-895 (-1161)) -12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161)))) ((-974 |#1| (-409 (-568)) (-1075)) . T) ((-916) |has| |#1| (-365)) ((-1002) |has| |#1| (-43 (-409 (-568)))) ((-1053 (-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-43 (-409 (-568))))) ((-1053 |#1|) . T) ((-1053 $) -2199 (|has| |#1| (-558)) (|has| |#1| (-365)) (|has| |#1| (-172))) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1181) |has| |#1| (-43 (-409 (-568)))) ((-1184) |has| |#1| (-43 (-409 (-568)))) ((-1199) |has| |#1| (-365)) ((-1221 |#1| (-409 (-568))) . T)) 
-((-1819 (((-121) $) 12)) (-3668 (((-3 |#3| "failed") $) 17)) (-2857 ((|#3| $) 14))) 
-(((-1225 |#1| |#2| |#3|) (-10 -8 (-15 -2857 (|#3| |#1|)) (-15 -3668 ((-3 |#3| "failed") |#1|)) (-15 -1819 ((-121) |#1|))) (-1226 |#2| |#3|) (-1047) (-1203 |#2|)) (T -1225)) 
-NIL 
-(-10 -8 (-15 -2857 (|#3| |#1|)) (-15 -3668 ((-3 |#3| "failed") |#1|)) (-15 -1819 ((-121) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2057 (((-634 (-1075)) $) 70)) (-3325 (((-1161) $) 98)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 50 (|has| |#1| (-558)))) (-3661 (($ $) 51 (|has| |#1| (-558)))) (-4426 (((-121) $) 53 (|has| |#1| (-558)))) (-4179 (($ $ (-409 (-568))) 93) (($ $ (-409 (-568)) (-409 (-568))) 92)) (-2013 (((-1141 (-2 (|:| |k| (-409 (-568))) (|:| |c| |#1|))) $) 100)) (-1984 (($ $) 127 (|has| |#1| (-43 (-409 (-568)))))) (-1935 (($ $) 110 (|has| |#1| (-43 (-409 (-568)))))) (-2689 (((-3 $ "failed") $ $) 18)) (-3045 (($ $) 154 (|has| |#1| (-365)))) (-3498 (((-420 $) $) 155 (|has| |#1| (-365)))) (-1904 (($ $) 109 (|has| |#1| (-43 (-409 (-568)))))) (-2589 (((-121) $ $) 145 (|has| |#1| (-365)))) (-1976 (($ $) 126 (|has| |#1| (-43 (-409 (-568)))))) (-2788 (($ $) 111 (|has| |#1| (-43 (-409 (-568)))))) (-2512 (($ (-763) (-1141 (-2 (|:| |k| (-409 (-568))) (|:| |c| |#1|)))) 164)) (-1992 (($ $) 125 (|has| |#1| (-43 (-409 (-568)))))) (-1943 (($ $) 112 (|has| |#1| (-43 (-409 (-568)))))) (-4490 (($) 16 T CONST)) (-3668 (((-3 |#2| "failed") $) 172)) (-2857 ((|#2| $) 171)) (-2403 (($ $ $) 149 (|has| |#1| (-365)))) (-2116 (($ $) 59)) (-2902 (((-3 $ "failed") $) 33)) (-4147 (((-409 (-568)) $) 169)) (-2414 (($ $ $) 148 (|has| |#1| (-365)))) (-2077 (($ (-409 (-568)) |#2|) 170)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 143 (|has| |#1| (-365)))) (-2197 (((-121) $) 156 (|has| |#1| (-365)))) (-1302 (((-121) $) 69)) (-1899 (($) 137 (|has| |#1| (-43 (-409 (-568)))))) (-1844 (((-409 (-568)) $) 95) (((-409 (-568)) $ (-409 (-568))) 94)) (-1598 (((-121) $) 30)) (-1550 (($ $ (-568)) 108 (|has| |#1| (-43 (-409 (-568)))))) (-4168 (($ $ (-917)) 96) (($ $ (-409 (-568))) 163)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 152 (|has| |#1| (-365)))) (-2171 (((-121) $) 61)) (-2049 (($ |#1| (-409 (-568))) 60) (($ $ (-1075) (-409 (-568))) 72) (($ $ (-634 (-1075)) (-634 (-409 (-568)))) 71)) (-2797 (($ (-1 |#1| |#1|) $) 62)) (-4418 (($ $) 134 (|has| |#1| (-43 (-409 (-568)))))) (-2099 (($ $) 64)) (-2104 ((|#1| $) 65)) (-2498 (($ (-634 $)) 141 (|has| |#1| (-365))) (($ $ $) 140 (|has| |#1| (-365)))) (-3408 ((|#2| $) 168)) (-2380 (((-3 |#2| "failed") $) 166)) (-2072 ((|#2| $) 167)) (-1893 (((-1143) $) 9)) (-2083 (($ $) 157 (|has| |#1| (-365)))) (-1845 (($ $) 162 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-1161)) 161 (-2199 (-12 (|has| |#1| (-29 (-568))) (|has| |#1| (-959)) (|has| |#1| (-1181)) (|has| |#1| (-43 (-409 (-568))))) (-12 (|has| |#1| (-15 -2057 ((-634 (-1161)) |#1|))) (|has| |#1| (-15 -1845 (|#1| |#1| (-1161)))) (|has| |#1| (-43 (-409 (-568)))))))) (-4025 (((-1108) $) 10)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 142 (|has| |#1| (-365)))) (-2723 (($ (-634 $)) 139 (|has| |#1| (-365))) (($ $ $) 138 (|has| |#1| (-365)))) (-3850 (((-420 $) $) 153 (|has| |#1| (-365)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 151 (|has| |#1| (-365))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 150 (|has| |#1| (-365)))) (-2168 (($ $ (-409 (-568))) 90)) (-2597 (((-3 $ "failed") $ $) 49 (|has| |#1| (-558)))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 144 (|has| |#1| (-365)))) (-1894 (($ $) 135 (|has| |#1| (-43 (-409 (-568)))))) (-1339 (((-1141 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-409 (-568))))))) (-1466 (((-763) $) 146 (|has| |#1| (-365)))) (-2781 ((|#1| $ (-409 (-568))) 99) (($ $ $) 76 (|has| (-409 (-568)) (-1102)))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 147 (|has| |#1| (-365)))) (-4191 (($ $ (-634 (-1161)) (-634 (-763))) 84 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))))) (($ $ (-1161) (-763)) 83 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))))) (($ $ (-634 (-1161))) 82 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))))) (($ $ (-1161)) 81 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))))) (($ $ (-763)) 79 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))))) (-1836 (((-409 (-568)) $) 63)) (-1996 (($ $) 124 (|has| |#1| (-43 (-409 (-568)))))) (-1947 (($ $) 113 (|has| |#1| (-43 (-409 (-568)))))) (-1988 (($ $) 123 (|has| |#1| (-43 (-409 (-568)))))) (-1939 (($ $) 114 (|has| |#1| (-43 (-409 (-568)))))) (-1980 (($ $) 122 (|has| |#1| (-43 (-409 (-568)))))) (-2792 (($ $) 115 (|has| |#1| (-43 (-409 (-568)))))) (-2188 (($ $) 68)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ |#1|) 46 (|has| |#1| (-172))) (($ |#2|) 173) (($ (-409 (-568))) 56 (|has| |#1| (-43 (-409 (-568))))) (($ $) 48 (|has| |#1| (-558)))) (-2079 ((|#1| $ (-409 (-568))) 58)) (-3385 (((-3 $ "failed") $) 47 (|has| |#1| (-148)))) (-3425 (((-763)) 28)) (-1374 ((|#1| $) 97)) (-2008 (($ $) 133 (|has| |#1| (-43 (-409 (-568)))))) (-1959 (($ $) 121 (|has| |#1| (-43 (-409 (-568)))))) (-2273 (((-121) $ $) 52 (|has| |#1| (-558)))) (-2000 (($ $) 132 (|has| |#1| (-43 (-409 (-568)))))) (-1951 (($ $) 120 (|has| |#1| (-43 (-409 (-568)))))) (-2016 (($ $) 131 (|has| |#1| (-43 (-409 (-568)))))) (-1968 (($ $) 119 (|has| |#1| (-43 (-409 (-568)))))) (-3999 ((|#1| $ (-409 (-568))) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-409 (-568))))) (|has| |#1| (-15 -2747 (|#1| (-1161))))))) (-1439 (($ $) 130 (|has| |#1| (-43 (-409 (-568)))))) (-1972 (($ $) 118 (|has| |#1| (-43 (-409 (-568)))))) (-2012 (($ $) 129 (|has| |#1| (-43 (-409 (-568)))))) (-1964 (($ $) 117 (|has| |#1| (-43 (-409 (-568)))))) (-2004 (($ $) 128 (|has| |#1| (-43 (-409 (-568)))))) (-1955 (($ $) 116 (|has| |#1| (-43 (-409 (-568)))))) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32) (($ $ (-568)) 158 (|has| |#1| (-365)))) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3192 (($ $ (-634 (-1161)) (-634 (-763))) 88 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))))) (($ $ (-1161) (-763)) 87 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))))) (($ $ (-634 (-1161))) 86 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))))) (($ $ (-1161)) 85 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))))) (($ $ (-763)) 80 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))))) (-1719 (((-121) $ $) 6)) (-1781 (($ $ |#1|) 57 (|has| |#1| (-365))) (($ $ $) 160 (|has| |#1| (-365)))) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ (-568)) 159 (|has| |#1| (-365))) (($ $ $) 136 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) 107 (|has| |#1| (-43 (-409 (-568)))))) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-409 (-568)) $) 55 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) 54 (|has| |#1| (-43 (-409 (-568))))))) 
-(((-1226 |#1| |#2|) (-1275) (-1047) (-1203 |t#1|)) (T -1226)) 
-((-1836 (*1 *2 *1) (-12 (-4 *1 (-1226 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-1203 *3)) (-5 *2 (-409 (-568))))) (-2747 (*1 *1 *2) (-12 (-4 *3 (-1047)) (-4 *1 (-1226 *3 *2)) (-4 *2 (-1203 *3)))) (-2077 (*1 *1 *2 *3) (-12 (-5 *2 (-409 (-568))) (-4 *4 (-1047)) (-4 *1 (-1226 *4 *3)) (-4 *3 (-1203 *4)))) (-4147 (*1 *2 *1) (-12 (-4 *1 (-1226 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-1203 *3)) (-5 *2 (-409 (-568))))) (-3408 (*1 *2 *1) (-12 (-4 *1 (-1226 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-1203 *3)))) (-2072 (*1 *2 *1) (-12 (-4 *1 (-1226 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-1203 *3)))) (-2380 (*1 *2 *1) (|partial| -12 (-4 *1 (-1226 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-1203 *3))))) 
-(-13 (-1224 |t#1|) (-1037 |t#2|) (-10 -8 (-15 -2077 ($ (-409 (-568)) |t#2|)) (-15 -4147 ((-409 (-568)) $)) (-15 -3408 (|t#2| $)) (-15 -1836 ((-409 (-568)) $)) (-15 -2747 ($ |t#2|)) (-15 -2072 (|t#2| $)) (-15 -2380 ((-3 |t#2| "failed") $)))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-409 (-568))) . T) ((-25) . T) ((-43 (-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-43 (-409 (-568))))) ((-43 |#1|) |has| |#1| (-172)) ((-43 $) -2199 (|has| |#1| (-558)) (|has| |#1| (-365))) ((-40) |has| |#1| (-43 (-409 (-568)))) ((-98) |has| |#1| (-43 (-409 (-568)))) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-43 (-409 (-568))))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2199 (|has| |#1| (-558)) (|has| |#1| (-365)) (|has| |#1| (-172))) ((-137) . T) ((-148) |has| |#1| (-148)) ((-150) |has| |#1| (-150)) ((-608 (-850)) . T) ((-172) -2199 (|has| |#1| (-558)) (|has| |#1| (-365)) (|has| |#1| (-172))) ((-225) |has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) ((-238) |has| |#1| (-365)) ((-279) |has| |#1| (-43 (-409 (-568)))) ((-281 $ $) |has| (-409 (-568)) (-1102)) ((-285) -2199 (|has| |#1| (-558)) (|has| |#1| (-365))) ((-301) |has| |#1| (-365)) ((-365) |has| |#1| (-365)) ((-453) |has| |#1| (-365)) ((-502) |has| |#1| (-43 (-409 (-568)))) ((-558) -2199 (|has| |#1| (-558)) (|has| |#1| (-365))) ((-637 (-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-43 (-409 (-568))))) ((-637 |#1|) . T) ((-637 $) . T) ((-707 (-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-43 (-409 (-568))))) ((-707 |#1|) |has| |#1| (-172)) ((-707 $) -2199 (|has| |#1| (-558)) (|has| |#1| (-365))) ((-716) . T) ((-895 (-1161)) -12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161)))) ((-974 |#1| (-409 (-568)) (-1075)) . T) ((-916) |has| |#1| (-365)) ((-1002) |has| |#1| (-43 (-409 (-568)))) ((-1037 |#2|) . T) ((-1053 (-409 (-568))) -2199 (|has| |#1| (-365)) (|has| |#1| (-43 (-409 (-568))))) ((-1053 |#1|) . T) ((-1053 $) -2199 (|has| |#1| (-558)) (|has| |#1| (-365)) (|has| |#1| (-172))) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1181) |has| |#1| (-43 (-409 (-568)))) ((-1184) |has| |#1| (-43 (-409 (-568)))) ((-1199) |has| |#1| (-365)) ((-1221 |#1| (-409 (-568))) . T) ((-1224 |#1|) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2057 (((-634 (-1075)) $) NIL)) (-3325 (((-1161) $) 96)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#1| (-558)))) (-3661 (($ $) NIL (|has| |#1| (-558)))) (-4426 (((-121) $) NIL (|has| |#1| (-558)))) (-4179 (($ $ (-409 (-568))) 106) (($ $ (-409 (-568)) (-409 (-568))) 108)) (-2013 (((-1141 (-2 (|:| |k| (-409 (-568))) (|:| |c| |#1|))) $) 51)) (-1984 (($ $) 179 (|has| |#1| (-43 (-409 (-568)))))) (-1935 (($ $) 155 (|has| |#1| (-43 (-409 (-568)))))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL (|has| |#1| (-365)))) (-3498 (((-420 $) $) NIL (|has| |#1| (-365)))) (-1904 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2589 (((-121) $ $) NIL (|has| |#1| (-365)))) (-1976 (($ $) 175 (|has| |#1| (-43 (-409 (-568)))))) (-2788 (($ $) 151 (|has| |#1| (-43 (-409 (-568)))))) (-2512 (($ (-763) (-1141 (-2 (|:| |k| (-409 (-568))) (|:| |c| |#1|)))) 61)) (-1992 (($ $) 183 (|has| |#1| (-43 (-409 (-568)))))) (-1943 (($ $) 159 (|has| |#1| (-43 (-409 (-568)))))) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#2| "failed") $) NIL)) (-2857 ((|#2| $) NIL)) (-2403 (($ $ $) NIL (|has| |#1| (-365)))) (-2116 (($ $) NIL)) (-2902 (((-3 $ "failed") $) 79)) (-4147 (((-409 (-568)) $) 12)) (-2414 (($ $ $) NIL (|has| |#1| (-365)))) (-2077 (($ (-409 (-568)) |#2|) 10)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL (|has| |#1| (-365)))) (-2197 (((-121) $) NIL (|has| |#1| (-365)))) (-1302 (((-121) $) 68)) (-1899 (($) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1844 (((-409 (-568)) $) 103) (((-409 (-568)) $ (-409 (-568))) 104)) (-1598 (((-121) $) NIL)) (-1550 (($ $ (-568)) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4168 (($ $ (-917)) 120) (($ $ (-409 (-568))) 118)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-2171 (((-121) $) NIL)) (-2049 (($ |#1| (-409 (-568))) 31) (($ $ (-1075) (-409 (-568))) NIL) (($ $ (-634 (-1075)) (-634 (-409 (-568)))) NIL)) (-2797 (($ (-1 |#1| |#1|) $) 115)) (-4418 (($ $) 149 (|has| |#1| (-43 (-409 (-568)))))) (-2099 (($ $) NIL)) (-2104 ((|#1| $) NIL)) (-2498 (($ (-634 $)) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-365)))) (-3408 ((|#2| $) 11)) (-2380 (((-3 |#2| "failed") $) 41)) (-2072 ((|#2| $) 42)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) 93 (|has| |#1| (-365)))) (-1845 (($ $) 135 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-1161)) 140 (-2199 (-12 (|has| |#1| (-15 -1845 (|#1| |#1| (-1161)))) (|has| |#1| (-15 -2057 ((-634 (-1161)) |#1|))) (|has| |#1| (-43 (-409 (-568))))) (-12 (|has| |#1| (-29 (-568))) (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-959)) (|has| |#1| (-1181)))))) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#1| (-365)))) (-2723 (($ (-634 $)) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-365)))) (-3850 (((-420 $) $) NIL (|has| |#1| (-365)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-365))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#1| (-365)))) (-2168 (($ $ (-409 (-568))) 112)) (-2597 (((-3 $ "failed") $ $) NIL (|has| |#1| (-558)))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-1894 (($ $) 147 (|has| |#1| (-43 (-409 (-568)))))) (-1339 (((-1141 |#1|) $ |#1|) 90 (|has| |#1| (-15 ** (|#1| |#1| (-409 (-568))))))) (-1466 (((-763) $) NIL (|has| |#1| (-365)))) (-2781 ((|#1| $ (-409 (-568))) 100) (($ $ $) 86 (|has| (-409 (-568)) (-1102)))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-365)))) (-4191 (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161)) 127 (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-763)) NIL (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|)))) (($ $) 124 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))))) (-1836 (((-409 (-568)) $) 16)) (-1996 (($ $) 185 (|has| |#1| (-43 (-409 (-568)))))) (-1947 (($ $) 161 (|has| |#1| (-43 (-409 (-568)))))) (-1988 (($ $) 181 (|has| |#1| (-43 (-409 (-568)))))) (-1939 (($ $) 157 (|has| |#1| (-43 (-409 (-568)))))) (-1980 (($ $) 177 (|has| |#1| (-43 (-409 (-568)))))) (-2792 (($ $) 153 (|has| |#1| (-43 (-409 (-568)))))) (-2188 (($ $) 110)) (-2747 (((-850) $) NIL) (($ (-568)) 35) (($ |#1|) 27 (|has| |#1| (-172))) (($ |#2|) 32) (($ (-409 (-568))) 128 (|has| |#1| (-43 (-409 (-568))))) (($ $) NIL (|has| |#1| (-558)))) (-2079 ((|#1| $ (-409 (-568))) 99)) (-3385 (((-3 $ "failed") $) NIL (|has| |#1| (-148)))) (-3425 (((-763)) 117)) (-1374 ((|#1| $) 98)) (-2008 (($ $) 191 (|has| |#1| (-43 (-409 (-568)))))) (-1959 (($ $) 167 (|has| |#1| (-43 (-409 (-568)))))) (-2273 (((-121) $ $) NIL (|has| |#1| (-558)))) (-2000 (($ $) 187 (|has| |#1| (-43 (-409 (-568)))))) (-1951 (($ $) 163 (|has| |#1| (-43 (-409 (-568)))))) (-2016 (($ $) 195 (|has| |#1| (-43 (-409 (-568)))))) (-1968 (($ $) 171 (|has| |#1| (-43 (-409 (-568)))))) (-3999 ((|#1| $ (-409 (-568))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-409 (-568))))) (|has| |#1| (-15 -2747 (|#1| (-1161))))))) (-1439 (($ $) 197 (|has| |#1| (-43 (-409 (-568)))))) (-1972 (($ $) 173 (|has| |#1| (-43 (-409 (-568)))))) (-2012 (($ $) 193 (|has| |#1| (-43 (-409 (-568)))))) (-1964 (($ $) 169 (|has| |#1| (-43 (-409 (-568)))))) (-2004 (($ $) 189 (|has| |#1| (-43 (-409 (-568)))))) (-1955 (($ $) 165 (|has| |#1| (-43 (-409 (-568)))))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| |#1| (-365)))) (-3058 (($) 21 T CONST)) (-1557 (($) 17 T CONST)) (-3192 (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161)) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-763)) NIL (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))))) (-1719 (((-121) $ $) 66)) (-1781 (($ $ |#1|) NIL (|has| |#1| (-365))) (($ $ $) 92 (|has| |#1| (-365)))) (-1775 (($ $) 131) (($ $ $) 72)) (-1769 (($ $ $) 70)) (** (($ $ (-917)) NIL) (($ $ (-763)) 76) (($ $ (-568)) 144 (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) 145 (|has| |#1| (-43 (-409 (-568)))))) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 74) (($ $ |#1|) NIL) (($ |#1| $) 126) (($ (-409 (-568)) $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))))) 
-(((-1227 |#1| |#2|) (-1226 |#1| |#2|) (-1047) (-1203 |#1|)) (T -1227)) 
-NIL 
-(-1226 |#1| |#2|) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2057 (((-634 (-1075)) $) NIL)) (-3325 (((-1161) $) 11)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#1| (-558)))) (-3661 (($ $) NIL (|has| |#1| (-558)))) (-4426 (((-121) $) NIL (|has| |#1| (-558)))) (-4179 (($ $ (-409 (-568))) NIL) (($ $ (-409 (-568)) (-409 (-568))) NIL)) (-2013 (((-1141 (-2 (|:| |k| (-409 (-568))) (|:| |c| |#1|))) $) NIL)) (-1984 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1935 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2689 (((-3 $ "failed") $ $) NIL)) (-3045 (($ $) NIL (|has| |#1| (-365)))) (-3498 (((-420 $) $) NIL (|has| |#1| (-365)))) (-1904 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2589 (((-121) $ $) NIL (|has| |#1| (-365)))) (-1976 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2788 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2512 (($ (-763) (-1141 (-2 (|:| |k| (-409 (-568))) (|:| |c| |#1|)))) NIL)) (-1992 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1943 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-1207 |#1| |#2| |#3|) "failed") $) 19) (((-3 (-1235 |#1| |#2| |#3|) "failed") $) 22)) (-2857 (((-1207 |#1| |#2| |#3|) $) NIL) (((-1235 |#1| |#2| |#3|) $) NIL)) (-2403 (($ $ $) NIL (|has| |#1| (-365)))) (-2116 (($ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-4147 (((-409 (-568)) $) 57)) (-2414 (($ $ $) NIL (|has| |#1| (-365)))) (-2077 (($ (-409 (-568)) (-1207 |#1| |#2| |#3|)) NIL)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) NIL (|has| |#1| (-365)))) (-2197 (((-121) $) NIL (|has| |#1| (-365)))) (-1302 (((-121) $) NIL)) (-1899 (($) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1844 (((-409 (-568)) $) NIL) (((-409 (-568)) $ (-409 (-568))) NIL)) (-1598 (((-121) $) NIL)) (-1550 (($ $ (-568)) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4168 (($ $ (-917)) NIL) (($ $ (-409 (-568))) NIL)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-2171 (((-121) $) NIL)) (-2049 (($ |#1| (-409 (-568))) 29) (($ $ (-1075) (-409 (-568))) NIL) (($ $ (-634 (-1075)) (-634 (-409 (-568)))) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-4418 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2099 (($ $) NIL)) (-2104 ((|#1| $) NIL)) (-2498 (($ (-634 $)) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-365)))) (-3408 (((-1207 |#1| |#2| |#3|) $) 60)) (-2380 (((-3 (-1207 |#1| |#2| |#3|) "failed") $) NIL)) (-2072 (((-1207 |#1| |#2| |#3|) $) NIL)) (-1893 (((-1143) $) NIL)) (-2083 (($ $) NIL (|has| |#1| (-365)))) (-1845 (($ $) 38 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-1161)) NIL (-2199 (-12 (|has| |#1| (-15 -1845 (|#1| |#1| (-1161)))) (|has| |#1| (-15 -2057 ((-634 (-1161)) |#1|))) (|has| |#1| (-43 (-409 (-568))))) (-12 (|has| |#1| (-29 (-568))) (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-959)) (|has| |#1| (-1181))))) (($ $ (-1240 |#2|)) 39 (|has| |#1| (-43 (-409 (-568)))))) (-4025 (((-1108) $) NIL)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) NIL (|has| |#1| (-365)))) (-2723 (($ (-634 $)) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-365)))) (-3850 (((-420 $) $) NIL (|has| |#1| (-365)))) (-3833 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-365))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) NIL (|has| |#1| (-365)))) (-2168 (($ $ (-409 (-568))) NIL)) (-2597 (((-3 $ "failed") $ $) NIL (|has| |#1| (-558)))) (-3922 (((-3 (-634 $) "failed") (-634 $) $) NIL (|has| |#1| (-365)))) (-1894 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1339 (((-1141 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-409 (-568))))))) (-1466 (((-763) $) NIL (|has| |#1| (-365)))) (-2781 ((|#1| $ (-409 (-568))) NIL) (($ $ $) NIL (|has| (-409 (-568)) (-1102)))) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) NIL (|has| |#1| (-365)))) (-4191 (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161)) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-763)) NIL (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|)))) (($ $) 36 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|)))) (($ $ (-1240 |#2|)) 37)) (-1836 (((-409 (-568)) $) NIL)) (-1996 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1947 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1988 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1939 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1980 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2792 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2188 (($ $) NIL)) (-2747 (((-850) $) 87) (($ (-568)) NIL) (($ |#1|) NIL (|has| |#1| (-172))) (($ (-1207 |#1| |#2| |#3|)) 16) (($ (-1235 |#1| |#2| |#3|)) 17) (($ (-1240 |#2|)) 35) (($ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $) NIL (|has| |#1| (-558)))) (-2079 ((|#1| $ (-409 (-568))) NIL)) (-3385 (((-3 $ "failed") $) NIL (|has| |#1| (-148)))) (-3425 (((-763)) NIL)) (-1374 ((|#1| $) 12)) (-2008 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1959 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2273 (((-121) $ $) NIL (|has| |#1| (-558)))) (-2000 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1951 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2016 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1968 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-3999 ((|#1| $ (-409 (-568))) 62 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-409 (-568))))) (|has| |#1| (-15 -2747 (|#1| (-1161))))))) (-1439 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1972 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2012 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1964 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2004 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1955 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| |#1| (-365)))) (-3058 (($) 31 T CONST)) (-1557 (($) 26 T CONST)) (-3192 (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161)) NIL (-12 (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-763)) NIL (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-409 (-568)) |#1|))))) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ |#1|) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) 33)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ (-568)) NIL (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568)))))) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-409 (-568)) $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))))) 
-(((-1228 |#1| |#2| |#3|) (-13 (-1226 |#1| (-1207 |#1| |#2| |#3|)) (-1037 (-1235 |#1| |#2| |#3|)) (-10 -8 (-15 -2747 ($ (-1240 |#2|))) (-15 -4191 ($ $ (-1240 |#2|))) (IF (|has| |#1| (-43 (-409 (-568)))) (-15 -1845 ($ $ (-1240 |#2|))) |noBranch|))) (-1047) (-1161) |#1|) (T -1228)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1228 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) (-4191 (*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1228 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) (-1845 (*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1228 *3 *4 *5)) (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047)) (-14 *5 *3)))) 
-(-13 (-1226 |#1| (-1207 |#1| |#2| |#3|)) (-1037 (-1235 |#1| |#2| |#3|)) (-10 -8 (-15 -2747 ($ (-1240 |#2|))) (-15 -4191 ($ $ (-1240 |#2|))) (IF (|has| |#1| (-43 (-409 (-568)))) (-15 -1845 ($ $ (-1240 |#2|))) |noBranch|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 32)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL)) (-3661 (($ $) NIL)) (-4426 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-3668 (((-3 (-568) "failed") $) NIL (|has| (-1228 |#2| |#3| |#4|) (-1037 (-568)))) (((-3 (-409 (-568)) "failed") $) NIL (|has| (-1228 |#2| |#3| |#4|) (-1037 (-409 (-568))))) (((-3 (-1228 |#2| |#3| |#4|) "failed") $) 20)) (-2857 (((-568) $) NIL (|has| (-1228 |#2| |#3| |#4|) (-1037 (-568)))) (((-409 (-568)) $) NIL (|has| (-1228 |#2| |#3| |#4|) (-1037 (-409 (-568))))) (((-1228 |#2| |#3| |#4|) $) NIL)) (-2116 (($ $) 33)) (-2902 (((-3 $ "failed") $) 25)) (-1998 (($ $) NIL (|has| (-1228 |#2| |#3| |#4|) (-453)))) (-2453 (($ $ (-1228 |#2| |#3| |#4|) (-314 |#2| |#3| |#4|) $) NIL)) (-1598 (((-121) $) NIL)) (-3971 (((-763) $) 11)) (-2171 (((-121) $) NIL)) (-2049 (($ (-1228 |#2| |#3| |#4|) (-314 |#2| |#3| |#4|)) 23)) (-3524 (((-314 |#2| |#3| |#4|) $) NIL)) (-1865 (($ (-1 (-314 |#2| |#3| |#4|) (-314 |#2| |#3| |#4|)) $) NIL)) (-2797 (($ (-1 (-1228 |#2| |#3| |#4|) (-1228 |#2| |#3| |#4|)) $) NIL)) (-4200 (((-3 (-835 |#2|) "failed") $) 72)) (-2099 (($ $) NIL)) (-2104 (((-1228 |#2| |#3| |#4|) $) 18)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2088 (((-121) $) NIL)) (-2093 (((-1228 |#2| |#3| |#4|) $) NIL)) (-2597 (((-3 $ "failed") $ (-1228 |#2| |#3| |#4|)) NIL (|has| (-1228 |#2| |#3| |#4|) (-558))) (((-3 $ "failed") $ $) NIL)) (-3323 (((-3 (-2 (|:| |%term| (-2 (|:| |%coef| (-1228 |#2| |#3| |#4|)) (|:| |%expon| (-314 |#2| |#3| |#4|)) (|:| |%expTerms| (-634 (-2 (|:| |k| (-409 (-568))) (|:| |c| |#2|)))))) (|:| |%type| (-1143))) "failed") $) 55)) (-1836 (((-314 |#2| |#3| |#4|) $) 14)) (-1364 (((-1228 |#2| |#3| |#4|) $) NIL (|has| (-1228 |#2| |#3| |#4|) (-453)))) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ (-1228 |#2| |#3| |#4|)) NIL) (($ $) NIL) (($ (-409 (-568))) NIL (-2199 (|has| (-1228 |#2| |#3| |#4|) (-43 (-409 (-568)))) (|has| (-1228 |#2| |#3| |#4|) (-1037 (-409 (-568))))))) (-3304 (((-634 (-1228 |#2| |#3| |#4|)) $) NIL)) (-2079 (((-1228 |#2| |#3| |#4|) $ (-314 |#2| |#3| |#4|)) NIL)) (-3385 (((-3 $ "failed") $) NIL (|has| (-1228 |#2| |#3| |#4|) (-148)))) (-3425 (((-763)) NIL)) (-3925 (($ $ $ (-763)) NIL (|has| (-1228 |#2| |#3| |#4|) (-172)))) (-2273 (((-121) $ $) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 60 T CONST)) (-1557 (($) NIL T CONST)) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ (-1228 |#2| |#3| |#4|)) NIL (|has| (-1228 |#2| |#3| |#4|) (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ (-1228 |#2| |#3| |#4|)) NIL) (($ (-1228 |#2| |#3| |#4|) $) NIL) (($ (-409 (-568)) $) NIL (|has| (-1228 |#2| |#3| |#4|) (-43 (-409 (-568))))) (($ $ (-409 (-568))) NIL (|has| (-1228 |#2| |#3| |#4|) (-43 (-409 (-568))))))) 
-(((-1229 |#1| |#2| |#3| |#4|) (-13 (-324 (-1228 |#2| |#3| |#4|) (-314 |#2| |#3| |#4|)) (-558) (-10 -8 (-15 -4200 ((-3 (-835 |#2|) "failed") $)) (-15 -3323 ((-3 (-2 (|:| |%term| (-2 (|:| |%coef| (-1228 |#2| |#3| |#4|)) (|:| |%expon| (-314 |#2| |#3| |#4|)) (|:| |%expTerms| (-634 (-2 (|:| |k| (-409 (-568))) (|:| |c| |#2|)))))) (|:| |%type| (-1143))) "failed") $)))) (-13 (-842) (-1037 (-568)) (-630 (-568)) (-453)) (-13 (-27) (-1181) (-432 |#1|)) (-1161) |#2|) (T -1229)) 
-((-4200 (*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-842) (-1037 (-568)) (-630 (-568)) (-453))) (-5 *2 (-835 *4)) (-5 *1 (-1229 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1181) (-432 *3))) (-14 *5 (-1161)) (-14 *6 *4))) (-3323 (*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-842) (-1037 (-568)) (-630 (-568)) (-453))) (-5 *2 (-2 (|:| |%term| (-2 (|:| |%coef| (-1228 *4 *5 *6)) (|:| |%expon| (-314 *4 *5 *6)) (|:| |%expTerms| (-634 (-2 (|:| |k| (-409 (-568))) (|:| |c| *4)))))) (|:| |%type| (-1143)))) (-5 *1 (-1229 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1181) (-432 *3))) (-14 *5 (-1161)) (-14 *6 *4)))) 
-(-13 (-324 (-1228 |#2| |#3| |#4|) (-314 |#2| |#3| |#4|)) (-558) (-10 -8 (-15 -4200 ((-3 (-835 |#2|) "failed") $)) (-15 -3323 ((-3 (-2 (|:| |%term| (-2 (|:| |%coef| (-1228 |#2| |#3| |#4|)) (|:| |%expon| (-314 |#2| |#3| |#4|)) (|:| |%expTerms| (-634 (-2 (|:| |k| (-409 (-568))) (|:| |c| |#2|)))))) (|:| |%type| (-1143))) "failed") $)))) 
-((-2852 ((|#2| $) 28)) (-2237 ((|#2| $) 18)) (-3623 (($ $) 35)) (-2121 (($ $ (-568)) 63)) (-1667 (((-121) $ (-763)) 32)) (-3370 ((|#2| $ |#2|) 60)) (-2257 ((|#2| $ |#2|) 58)) (-2438 ((|#2| $ "value" |#2|) NIL) ((|#2| $ "first" |#2|) 51) (($ $ "rest" $) 55) ((|#2| $ "last" |#2|) 53)) (-1809 (($ $ (-634 $)) 59)) (-1681 ((|#2| $) 17)) (-3936 (($ $) NIL) (($ $ (-763)) 41)) (-3534 (((-634 $) $) 25)) (-3606 (((-121) $ $) 49)) (-3791 (((-121) $ (-763)) 31)) (-3796 (((-121) $ (-763)) 30)) (-3319 (((-121) $) 27)) (-4164 ((|#2| $) 23) (($ $ (-763)) 45)) (-2781 ((|#2| $ "value") NIL) ((|#2| $ "first") 10) (($ $ "rest") 16) ((|#2| $ "last") 13)) (-2763 (((-121) $) 21)) (-3903 (($ $) 38)) (-1499 (($ $) 64)) (-3535 (((-763) $) 40)) (-4424 (($ $) 39)) (-2770 (($ $ $) 57) (($ |#2| $) NIL)) (-3180 (((-634 $) $) 26)) (-1719 (((-121) $ $) 47)) (-1699 (((-763) $) 34))) 
-(((-1230 |#1| |#2|) (-10 -8 (-15 -2121 (|#1| |#1| (-568))) (-15 -2438 (|#2| |#1| "last" |#2|)) (-15 -2257 (|#2| |#1| |#2|)) (-15 -2438 (|#1| |#1| "rest" |#1|)) (-15 -2438 (|#2| |#1| "first" |#2|)) (-15 -1499 (|#1| |#1|)) (-15 -3903 (|#1| |#1|)) (-15 -3535 ((-763) |#1|)) (-15 -4424 (|#1| |#1|)) (-15 -2237 (|#2| |#1|)) (-15 -1681 (|#2| |#1|)) (-15 -3623 (|#1| |#1|)) (-15 -4164 (|#1| |#1| (-763))) (-15 -2781 (|#2| |#1| "last")) (-15 -4164 (|#2| |#1|)) (-15 -3936 (|#1| |#1| (-763))) (-15 -2781 (|#1| |#1| "rest")) (-15 -3936 (|#1| |#1|)) (-15 -2781 (|#2| |#1| "first")) (-15 -2770 (|#1| |#2| |#1|)) (-15 -2770 (|#1| |#1| |#1|)) (-15 -3370 (|#2| |#1| |#2|)) (-15 -2438 (|#2| |#1| "value" |#2|)) (-15 -1809 (|#1| |#1| (-634 |#1|))) (-15 -3606 ((-121) |#1| |#1|)) (-15 -2763 ((-121) |#1|)) (-15 -2781 (|#2| |#1| "value")) (-15 -2852 (|#2| |#1|)) (-15 -3319 ((-121) |#1|)) (-15 -3534 ((-634 |#1|) |#1|)) (-15 -3180 ((-634 |#1|) |#1|)) (-15 -1719 ((-121) |#1| |#1|)) (-15 -1699 ((-763) |#1|)) (-15 -1667 ((-121) |#1| (-763))) (-15 -3791 ((-121) |#1| (-763))) (-15 -3796 ((-121) |#1| (-763)))) (-1231 |#2|) (-1195)) (T -1230)) 
-NIL 
-(-10 -8 (-15 -2121 (|#1| |#1| (-568))) (-15 -2438 (|#2| |#1| "last" |#2|)) (-15 -2257 (|#2| |#1| |#2|)) (-15 -2438 (|#1| |#1| "rest" |#1|)) (-15 -2438 (|#2| |#1| "first" |#2|)) (-15 -1499 (|#1| |#1|)) (-15 -3903 (|#1| |#1|)) (-15 -3535 ((-763) |#1|)) (-15 -4424 (|#1| |#1|)) (-15 -2237 (|#2| |#1|)) (-15 -1681 (|#2| |#1|)) (-15 -3623 (|#1| |#1|)) (-15 -4164 (|#1| |#1| (-763))) (-15 -2781 (|#2| |#1| "last")) (-15 -4164 (|#2| |#1|)) (-15 -3936 (|#1| |#1| (-763))) (-15 -2781 (|#1| |#1| "rest")) (-15 -3936 (|#1| |#1|)) (-15 -2781 (|#2| |#1| "first")) (-15 -2770 (|#1| |#2| |#1|)) (-15 -2770 (|#1| |#1| |#1|)) (-15 -3370 (|#2| |#1| |#2|)) (-15 -2438 (|#2| |#1| "value" |#2|)) (-15 -1809 (|#1| |#1| (-634 |#1|))) (-15 -3606 ((-121) |#1| |#1|)) (-15 -2763 ((-121) |#1|)) (-15 -2781 (|#2| |#1| "value")) (-15 -2852 (|#2| |#1|)) (-15 -3319 ((-121) |#1|)) (-15 -3534 ((-634 |#1|) |#1|)) (-15 -3180 ((-634 |#1|) |#1|)) (-15 -1719 ((-121) |#1| |#1|)) (-15 -1699 ((-763) |#1|)) (-15 -1667 ((-121) |#1| (-763))) (-15 -3791 ((-121) |#1| (-763))) (-15 -3796 ((-121) |#1| (-763)))) 
-((-2449 (((-121) $ $) 18 (|has| |#1| (-1090)))) (-2852 ((|#1| $) 45)) (-2237 ((|#1| $) 62)) (-3623 (($ $) 64)) (-2121 (($ $ (-568)) 49 (|has| $ (-6 -4522)))) (-1667 (((-121) $ (-763)) 8)) (-3370 ((|#1| $ |#1|) 36 (|has| $ (-6 -4522)))) (-1958 (($ $ $) 53 (|has| $ (-6 -4522)))) (-2257 ((|#1| $ |#1|) 51 (|has| $ (-6 -4522)))) (-1706 ((|#1| $ |#1|) 55 (|has| $ (-6 -4522)))) (-2438 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4522))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4522))) (($ $ "rest" $) 52 (|has| $ (-6 -4522))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4522)))) (-1809 (($ $ (-634 $)) 38 (|has| $ (-6 -4522)))) (-1681 ((|#1| $) 63)) (-4490 (($) 7 T CONST)) (-3936 (($ $) 70) (($ $ (-763)) 68)) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-3534 (((-634 $) $) 47)) (-3606 (((-121) $ $) 39 (|has| |#1| (-1090)))) (-3791 (((-121) $ (-763)) 9)) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35)) (-3796 (((-121) $ (-763)) 10)) (-4081 (((-634 |#1|) $) 42)) (-3319 (((-121) $) 46)) (-1893 (((-1143) $) 22 (|has| |#1| (-1090)))) (-4164 ((|#1| $) 67) (($ $ (-763)) 65)) (-4025 (((-1108) $) 21 (|has| |#1| (-1090)))) (-3877 ((|#1| $) 73) (($ $ (-763)) 71)) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-2781 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66)) (-1665 (((-568) $ $) 41)) (-2763 (((-121) $) 43)) (-3903 (($ $) 59)) (-1499 (($ $) 56 (|has| $ (-6 -4522)))) (-3535 (((-763) $) 60)) (-4424 (($ $) 61)) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3865 (($ $) 13)) (-1876 (($ $ $) 58 (|has| $ (-6 -4522))) (($ $ |#1|) 57 (|has| $ (-6 -4522)))) (-2770 (($ $ $) 75) (($ |#1| $) 74)) (-2747 (((-850) $) 20 (|has| |#1| (-1090)))) (-3180 (((-634 $) $) 48)) (-3873 (((-121) $ $) 40 (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-1231 |#1|) (-1275) (-1195)) (T -1231)) 
-((-2770 (*1 *1 *1 *1) (-12 (-4 *1 (-1231 *2)) (-4 *2 (-1195)))) (-2770 (*1 *1 *2 *1) (-12 (-4 *1 (-1231 *2)) (-4 *2 (-1195)))) (-3877 (*1 *2 *1) (-12 (-4 *1 (-1231 *2)) (-4 *2 (-1195)))) (-2781 (*1 *2 *1 *3) (-12 (-5 *3 "first") (-4 *1 (-1231 *2)) (-4 *2 (-1195)))) (-3877 (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-1231 *3)) (-4 *3 (-1195)))) (-3936 (*1 *1 *1) (-12 (-4 *1 (-1231 *2)) (-4 *2 (-1195)))) (-2781 (*1 *1 *1 *2) (-12 (-5 *2 "rest") (-4 *1 (-1231 *3)) (-4 *3 (-1195)))) (-3936 (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-1231 *3)) (-4 *3 (-1195)))) (-4164 (*1 *2 *1) (-12 (-4 *1 (-1231 *2)) (-4 *2 (-1195)))) (-2781 (*1 *2 *1 *3) (-12 (-5 *3 "last") (-4 *1 (-1231 *2)) (-4 *2 (-1195)))) (-4164 (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-1231 *3)) (-4 *3 (-1195)))) (-3623 (*1 *1 *1) (-12 (-4 *1 (-1231 *2)) (-4 *2 (-1195)))) (-1681 (*1 *2 *1) (-12 (-4 *1 (-1231 *2)) (-4 *2 (-1195)))) (-2237 (*1 *2 *1) (-12 (-4 *1 (-1231 *2)) (-4 *2 (-1195)))) (-4424 (*1 *1 *1) (-12 (-4 *1 (-1231 *2)) (-4 *2 (-1195)))) (-3535 (*1 *2 *1) (-12 (-4 *1 (-1231 *3)) (-4 *3 (-1195)) (-5 *2 (-763)))) (-3903 (*1 *1 *1) (-12 (-4 *1 (-1231 *2)) (-4 *2 (-1195)))) (-1876 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-1231 *2)) (-4 *2 (-1195)))) (-1876 (*1 *1 *1 *2) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-1231 *2)) (-4 *2 (-1195)))) (-1499 (*1 *1 *1) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-1231 *2)) (-4 *2 (-1195)))) (-1706 (*1 *2 *1 *2) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-1231 *2)) (-4 *2 (-1195)))) (-2438 (*1 *2 *1 *3 *2) (-12 (-5 *3 "first") (|has| *1 (-6 -4522)) (-4 *1 (-1231 *2)) (-4 *2 (-1195)))) (-1958 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-1231 *2)) (-4 *2 (-1195)))) (-2438 (*1 *1 *1 *2 *1) (-12 (-5 *2 "rest") (|has| *1 (-6 -4522)) (-4 *1 (-1231 *3)) (-4 *3 (-1195)))) (-2257 (*1 *2 *1 *2) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-1231 *2)) (-4 *2 (-1195)))) (-2438 (*1 *2 *1 *3 *2) (-12 (-5 *3 "last") (|has| *1 (-6 -4522)) (-4 *1 (-1231 *2)) (-4 *2 (-1195)))) (-2121 (*1 *1 *1 *2) (-12 (-5 *2 (-568)) (|has| *1 (-6 -4522)) (-4 *1 (-1231 *3)) (-4 *3 (-1195))))) 
-(-13 (-1010 |t#1|) (-10 -8 (-15 -2770 ($ $ $)) (-15 -2770 ($ |t#1| $)) (-15 -3877 (|t#1| $)) (-15 -2781 (|t#1| $ "first")) (-15 -3877 ($ $ (-763))) (-15 -3936 ($ $)) (-15 -2781 ($ $ "rest")) (-15 -3936 ($ $ (-763))) (-15 -4164 (|t#1| $)) (-15 -2781 (|t#1| $ "last")) (-15 -4164 ($ $ (-763))) (-15 -3623 ($ $)) (-15 -1681 (|t#1| $)) (-15 -2237 (|t#1| $)) (-15 -4424 ($ $)) (-15 -3535 ((-763) $)) (-15 -3903 ($ $)) (IF (|has| $ (-6 -4522)) (PROGN (-15 -1876 ($ $ $)) (-15 -1876 ($ $ |t#1|)) (-15 -1499 ($ $)) (-15 -1706 (|t#1| $ |t#1|)) (-15 -2438 (|t#1| $ "first" |t#1|)) (-15 -1958 ($ $ $)) (-15 -2438 ($ $ "rest" $)) (-15 -2257 (|t#1| $ |t#1|)) (-15 -2438 (|t#1| $ "last" |t#1|)) (-15 -2121 ($ $ (-568)))) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#1| (-1090)) ((-608 (-850)) |has| |#1| (-1090)) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-499 |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-1010 |#1|) . T) ((-1090) |has| |#1| (-1090)) ((-1195) . T)) 
-((-2797 ((|#4| (-1 |#2| |#1|) |#3|) 17))) 
-(((-1232 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2797 (|#4| (-1 |#2| |#1|) |#3|))) (-1047) (-1047) (-1234 |#1|) (-1234 |#2|)) (T -1232)) 
-((-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1047)) (-4 *6 (-1047)) (-4 *2 (-1234 *6)) (-5 *1 (-1232 *5 *6 *4 *2)) (-4 *4 (-1234 *5))))) 
-(-10 -7 (-15 -2797 (|#4| (-1 |#2| |#1|) |#3|))) 
-((-1819 (((-121) $) 15)) (-1984 (($ $) 90)) (-1935 (($ $) 66)) (-1976 (($ $) 86)) (-2788 (($ $) 62)) (-1992 (($ $) 94)) (-1943 (($ $) 70)) (-4418 (($ $) 60)) (-1894 (($ $) 58)) (-1996 (($ $) 96)) (-1947 (($ $) 72)) (-1988 (($ $) 92)) (-1939 (($ $) 68)) (-1980 (($ $) 88)) (-2792 (($ $) 64)) (-2747 (((-850) $) 46) (($ (-568)) NIL) (($ (-409 (-568))) NIL) (($ $) NIL) (($ |#2|) NIL)) (-2008 (($ $) 102)) (-1959 (($ $) 78)) (-2000 (($ $) 98)) (-1951 (($ $) 74)) (-2016 (($ $) 106)) (-1968 (($ $) 82)) (-1439 (($ $) 108)) (-1972 (($ $) 84)) (-2012 (($ $) 104)) (-1964 (($ $) 80)) (-2004 (($ $) 100)) (-1955 (($ $) 76)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ |#2|) 50) (($ $ $) 53) (($ $ (-409 (-568))) 56))) 
-(((-1233 |#1| |#2|) (-10 -8 (-15 ** (|#1| |#1| (-409 (-568)))) (-15 -1935 (|#1| |#1|)) (-15 -2788 (|#1| |#1|)) (-15 -1943 (|#1| |#1|)) (-15 -1947 (|#1| |#1|)) (-15 -1939 (|#1| |#1|)) (-15 -2792 (|#1| |#1|)) (-15 -1955 (|#1| |#1|)) (-15 -1964 (|#1| |#1|)) (-15 -1972 (|#1| |#1|)) (-15 -1968 (|#1| |#1|)) (-15 -1951 (|#1| |#1|)) (-15 -1959 (|#1| |#1|)) (-15 -1980 (|#1| |#1|)) (-15 -1988 (|#1| |#1|)) (-15 -1996 (|#1| |#1|)) (-15 -1992 (|#1| |#1|)) (-15 -1976 (|#1| |#1|)) (-15 -1984 (|#1| |#1|)) (-15 -2004 (|#1| |#1|)) (-15 -2012 (|#1| |#1|)) (-15 -1439 (|#1| |#1|)) (-15 -2016 (|#1| |#1|)) (-15 -2000 (|#1| |#1|)) (-15 -2008 (|#1| |#1|)) (-15 -4418 (|#1| |#1|)) (-15 -1894 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| |#2|)) (-15 -2747 (|#1| |#2|)) (-15 -2747 (|#1| |#1|)) (-15 -2747 (|#1| (-409 (-568)))) (-15 -2747 (|#1| (-568))) (-15 ** (|#1| |#1| (-763))) (-15 ** (|#1| |#1| (-917))) (-15 -1819 ((-121) |#1|)) (-15 -2747 ((-850) |#1|))) (-1234 |#2|) (-1047)) (T -1233)) 
-NIL 
-(-10 -8 (-15 ** (|#1| |#1| (-409 (-568)))) (-15 -1935 (|#1| |#1|)) (-15 -2788 (|#1| |#1|)) (-15 -1943 (|#1| |#1|)) (-15 -1947 (|#1| |#1|)) (-15 -1939 (|#1| |#1|)) (-15 -2792 (|#1| |#1|)) (-15 -1955 (|#1| |#1|)) (-15 -1964 (|#1| |#1|)) (-15 -1972 (|#1| |#1|)) (-15 -1968 (|#1| |#1|)) (-15 -1951 (|#1| |#1|)) (-15 -1959 (|#1| |#1|)) (-15 -1980 (|#1| |#1|)) (-15 -1988 (|#1| |#1|)) (-15 -1996 (|#1| |#1|)) (-15 -1992 (|#1| |#1|)) (-15 -1976 (|#1| |#1|)) (-15 -1984 (|#1| |#1|)) (-15 -2004 (|#1| |#1|)) (-15 -2012 (|#1| |#1|)) (-15 -1439 (|#1| |#1|)) (-15 -2016 (|#1| |#1|)) (-15 -2000 (|#1| |#1|)) (-15 -2008 (|#1| |#1|)) (-15 -4418 (|#1| |#1|)) (-15 -1894 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| |#2|)) (-15 -2747 (|#1| |#2|)) (-15 -2747 (|#1| |#1|)) (-15 -2747 (|#1| (-409 (-568)))) (-15 -2747 (|#1| (-568))) (-15 ** (|#1| |#1| (-763))) (-15 ** (|#1| |#1| (-917))) (-15 -1819 ((-121) |#1|)) (-15 -2747 ((-850) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2057 (((-634 (-1075)) $) 70)) (-3325 (((-1161) $) 98)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 50 (|has| |#1| (-558)))) (-3661 (($ $) 51 (|has| |#1| (-558)))) (-4426 (((-121) $) 53 (|has| |#1| (-558)))) (-4179 (($ $ (-763)) 93) (($ $ (-763) (-763)) 92)) (-2013 (((-1141 (-2 (|:| |k| (-763)) (|:| |c| |#1|))) $) 100)) (-1984 (($ $) 127 (|has| |#1| (-43 (-409 (-568)))))) (-1935 (($ $) 110 (|has| |#1| (-43 (-409 (-568)))))) (-2689 (((-3 $ "failed") $ $) 18)) (-1904 (($ $) 109 (|has| |#1| (-43 (-409 (-568)))))) (-1976 (($ $) 126 (|has| |#1| (-43 (-409 (-568)))))) (-2788 (($ $) 111 (|has| |#1| (-43 (-409 (-568)))))) (-2512 (($ (-1141 (-2 (|:| |k| (-763)) (|:| |c| |#1|)))) 147) (($ (-1141 |#1|)) 145)) (-1992 (($ $) 125 (|has| |#1| (-43 (-409 (-568)))))) (-1943 (($ $) 112 (|has| |#1| (-43 (-409 (-568)))))) (-4490 (($) 16 T CONST)) (-2116 (($ $) 59)) (-2902 (((-3 $ "failed") $) 33)) (-3866 (($ $) 144)) (-3808 (((-953 |#1|) $ (-763)) 142) (((-953 |#1|) $ (-763) (-763)) 141)) (-1302 (((-121) $) 69)) (-1899 (($) 137 (|has| |#1| (-43 (-409 (-568)))))) (-1844 (((-763) $) 95) (((-763) $ (-763)) 94)) (-1598 (((-121) $) 30)) (-1550 (($ $ (-568)) 108 (|has| |#1| (-43 (-409 (-568)))))) (-4168 (($ $ (-917)) 96)) (-3698 (($ (-1 |#1| (-568)) $) 143)) (-2171 (((-121) $) 61)) (-2049 (($ |#1| (-763)) 60) (($ $ (-1075) (-763)) 72) (($ $ (-634 (-1075)) (-634 (-763))) 71)) (-2797 (($ (-1 |#1| |#1|) $) 62)) (-4418 (($ $) 134 (|has| |#1| (-43 (-409 (-568)))))) (-2099 (($ $) 64)) (-2104 ((|#1| $) 65)) (-1893 (((-1143) $) 9)) (-1845 (($ $) 139 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-1161)) 138 (-2199 (-12 (|has| |#1| (-29 (-568))) (|has| |#1| (-959)) (|has| |#1| (-1181)) (|has| |#1| (-43 (-409 (-568))))) (-12 (|has| |#1| (-15 -2057 ((-634 (-1161)) |#1|))) (|has| |#1| (-15 -1845 (|#1| |#1| (-1161)))) (|has| |#1| (-43 (-409 (-568)))))))) (-4025 (((-1108) $) 10)) (-2168 (($ $ (-763)) 90)) (-2597 (((-3 $ "failed") $ $) 49 (|has| |#1| (-558)))) (-1894 (($ $) 135 (|has| |#1| (-43 (-409 (-568)))))) (-1339 (((-1141 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-763)))))) (-2781 ((|#1| $ (-763)) 99) (($ $ $) 76 (|has| (-763) (-1102)))) (-4191 (($ $ (-634 (-1161)) (-634 (-763))) 84 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-763) |#1|))))) (($ $ (-1161) (-763)) 83 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-763) |#1|))))) (($ $ (-634 (-1161))) 82 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-763) |#1|))))) (($ $ (-1161)) 81 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-763) |#1|))))) (($ $ (-763)) 79 (|has| |#1| (-15 * (|#1| (-763) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-763) |#1|))))) (-1836 (((-763) $) 63)) (-1996 (($ $) 124 (|has| |#1| (-43 (-409 (-568)))))) (-1947 (($ $) 113 (|has| |#1| (-43 (-409 (-568)))))) (-1988 (($ $) 123 (|has| |#1| (-43 (-409 (-568)))))) (-1939 (($ $) 114 (|has| |#1| (-43 (-409 (-568)))))) (-1980 (($ $) 122 (|has| |#1| (-43 (-409 (-568)))))) (-2792 (($ $) 115 (|has| |#1| (-43 (-409 (-568)))))) (-2188 (($ $) 68)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ (-409 (-568))) 56 (|has| |#1| (-43 (-409 (-568))))) (($ $) 48 (|has| |#1| (-558))) (($ |#1|) 46 (|has| |#1| (-172)))) (-3304 (((-1141 |#1|) $) 146)) (-2079 ((|#1| $ (-763)) 58)) (-3385 (((-3 $ "failed") $) 47 (|has| |#1| (-148)))) (-3425 (((-763)) 28)) (-1374 ((|#1| $) 97)) (-2008 (($ $) 133 (|has| |#1| (-43 (-409 (-568)))))) (-1959 (($ $) 121 (|has| |#1| (-43 (-409 (-568)))))) (-2273 (((-121) $ $) 52 (|has| |#1| (-558)))) (-2000 (($ $) 132 (|has| |#1| (-43 (-409 (-568)))))) (-1951 (($ $) 120 (|has| |#1| (-43 (-409 (-568)))))) (-2016 (($ $) 131 (|has| |#1| (-43 (-409 (-568)))))) (-1968 (($ $) 119 (|has| |#1| (-43 (-409 (-568)))))) (-3999 ((|#1| $ (-763)) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-763)))) (|has| |#1| (-15 -2747 (|#1| (-1161))))))) (-1439 (($ $) 130 (|has| |#1| (-43 (-409 (-568)))))) (-1972 (($ $) 118 (|has| |#1| (-43 (-409 (-568)))))) (-2012 (($ $) 129 (|has| |#1| (-43 (-409 (-568)))))) (-1964 (($ $) 117 (|has| |#1| (-43 (-409 (-568)))))) (-2004 (($ $) 128 (|has| |#1| (-43 (-409 (-568)))))) (-1955 (($ $) 116 (|has| |#1| (-43 (-409 (-568)))))) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3192 (($ $ (-634 (-1161)) (-634 (-763))) 88 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-763) |#1|))))) (($ $ (-1161) (-763)) 87 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-763) |#1|))))) (($ $ (-634 (-1161))) 86 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-763) |#1|))))) (($ $ (-1161)) 85 (-12 (|has| |#1| (-895 (-1161))) (|has| |#1| (-15 * (|#1| (-763) |#1|))))) (($ $ (-763)) 80 (|has| |#1| (-15 * (|#1| (-763) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-763) |#1|))))) (-1719 (((-121) $ $) 6)) (-1781 (($ $ |#1|) 57 (|has| |#1| (-365)))) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ |#1|) 140 (|has| |#1| (-365))) (($ $ $) 136 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) 107 (|has| |#1| (-43 (-409 (-568)))))) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-409 (-568)) $) 55 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) 54 (|has| |#1| (-43 (-409 (-568))))))) 
-(((-1234 |#1|) (-1275) (-1047)) (T -1234)) 
-((-2512 (*1 *1 *2) (-12 (-5 *2 (-1141 (-2 (|:| |k| (-763)) (|:| |c| *3)))) (-4 *3 (-1047)) (-4 *1 (-1234 *3)))) (-3304 (*1 *2 *1) (-12 (-4 *1 (-1234 *3)) (-4 *3 (-1047)) (-5 *2 (-1141 *3)))) (-2512 (*1 *1 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-4 *1 (-1234 *3)))) (-3866 (*1 *1 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1047)))) (-3698 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-568))) (-4 *1 (-1234 *3)) (-4 *3 (-1047)))) (-3808 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-4 *1 (-1234 *4)) (-4 *4 (-1047)) (-5 *2 (-953 *4)))) (-3808 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-763)) (-4 *1 (-1234 *4)) (-4 *4 (-1047)) (-5 *2 (-953 *4)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1047)) (-4 *2 (-365)))) (-1845 (*1 *1 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1047)) (-4 *2 (-43 (-409 (-568)))))) (-1845 (*1 *1 *1 *2) (-2199 (-12 (-5 *2 (-1161)) (-4 *1 (-1234 *3)) (-4 *3 (-1047)) (-12 (-4 *3 (-29 (-568))) (-4 *3 (-959)) (-4 *3 (-1181)) (-4 *3 (-43 (-409 (-568)))))) (-12 (-5 *2 (-1161)) (-4 *1 (-1234 *3)) (-4 *3 (-1047)) (-12 (|has| *3 (-15 -2057 ((-634 *2) *3))) (|has| *3 (-15 -1845 (*3 *3 *2))) (-4 *3 (-43 (-409 (-568))))))))) 
-(-13 (-1221 |t#1| (-763)) (-10 -8 (-15 -2512 ($ (-1141 (-2 (|:| |k| (-763)) (|:| |c| |t#1|))))) (-15 -3304 ((-1141 |t#1|) $)) (-15 -2512 ($ (-1141 |t#1|))) (-15 -3866 ($ $)) (-15 -3698 ($ (-1 |t#1| (-568)) $)) (-15 -3808 ((-953 |t#1|) $ (-763))) (-15 -3808 ((-953 |t#1|) $ (-763) (-763))) (IF (|has| |t#1| (-365)) (-15 ** ($ $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-43 (-409 (-568)))) (PROGN (-15 -1845 ($ $)) (IF (|has| |t#1| (-15 -1845 (|t#1| |t#1| (-1161)))) (IF (|has| |t#1| (-15 -2057 ((-634 (-1161)) |t#1|))) (-15 -1845 ($ $ (-1161))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-1181)) (IF (|has| |t#1| (-959)) (IF (|has| |t#1| (-29 (-568))) (-15 -1845 ($ $ (-1161))) |noBranch|) |noBranch|) |noBranch|) (-6 (-1002)) (-6 (-1181))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-763)) . T) ((-25) . T) ((-43 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-43 |#1|) |has| |#1| (-172)) ((-43 $) |has| |#1| (-558)) ((-40) |has| |#1| (-43 (-409 (-568)))) ((-98) |has| |#1| (-43 (-409 (-568)))) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2199 (|has| |#1| (-558)) (|has| |#1| (-172))) ((-137) . T) ((-148) |has| |#1| (-148)) ((-150) |has| |#1| (-150)) ((-608 (-850)) . T) ((-172) -2199 (|has| |#1| (-558)) (|has| |#1| (-172))) ((-225) |has| |#1| (-15 * (|#1| (-763) |#1|))) ((-279) |has| |#1| (-43 (-409 (-568)))) ((-281 $ $) |has| (-763) (-1102)) ((-285) |has| |#1| (-558)) ((-502) |has| |#1| (-43 (-409 (-568)))) ((-558) |has| |#1| (-558)) ((-637 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-637 |#1|) . T) ((-637 $) . T) ((-707 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-707 |#1|) |has| |#1| (-172)) ((-707 $) |has| |#1| (-558)) ((-716) . T) ((-895 (-1161)) -12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161)))) ((-974 |#1| (-763) (-1075)) . T) ((-1002) |has| |#1| (-43 (-409 (-568)))) ((-1053 (-409 (-568))) |has| |#1| (-43 (-409 (-568)))) ((-1053 |#1|) . T) ((-1053 $) -2199 (|has| |#1| (-558)) (|has| |#1| (-172))) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1181) |has| |#1| (-43 (-409 (-568)))) ((-1184) |has| |#1| (-43 (-409 (-568)))) ((-1221 |#1| (-763)) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2057 (((-634 (-1075)) $) NIL)) (-3325 (((-1161) $) 86)) (-1802 (((-1216 |#2| |#1|) $ (-763)) 73)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#1| (-558)))) (-3661 (($ $) NIL (|has| |#1| (-558)))) (-4426 (((-121) $) 135 (|has| |#1| (-558)))) (-4179 (($ $ (-763)) 120) (($ $ (-763) (-763)) 122)) (-2013 (((-1141 (-2 (|:| |k| (-763)) (|:| |c| |#1|))) $) 42)) (-1984 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1935 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2689 (((-3 $ "failed") $ $) NIL)) (-1904 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1976 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2788 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2512 (($ (-1141 (-2 (|:| |k| (-763)) (|:| |c| |#1|)))) 53) (($ (-1141 |#1|)) NIL)) (-1992 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1943 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4490 (($) NIL T CONST)) (-3409 (($ $) 126)) (-2116 (($ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-3866 (($ $) 133)) (-3808 (((-953 |#1|) $ (-763)) 63) (((-953 |#1|) $ (-763) (-763)) 65)) (-1302 (((-121) $) NIL)) (-1899 (($) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1844 (((-763) $) NIL) (((-763) $ (-763)) NIL)) (-1598 (((-121) $) NIL)) (-1304 (($ $) 110)) (-1550 (($ $ (-568)) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4384 (($ (-568) (-568) $) 128)) (-4168 (($ $ (-917)) 132)) (-3698 (($ (-1 |#1| (-568)) $) 104)) (-2171 (((-121) $) NIL)) (-2049 (($ |#1| (-763)) 15) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL)) (-2797 (($ (-1 |#1| |#1|) $) 92)) (-4418 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2099 (($ $) NIL)) (-2104 ((|#1| $) NIL)) (-1893 (((-1143) $) NIL)) (-2517 (($ $) 108)) (-2101 (($ $) 106)) (-1588 (($ (-568) (-568) $) 130)) (-1845 (($ $) 143 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-1161)) 149 (-2199 (-12 (|has| |#1| (-15 -1845 (|#1| |#1| (-1161)))) (|has| |#1| (-15 -2057 ((-634 (-1161)) |#1|))) (|has| |#1| (-43 (-409 (-568))))) (-12 (|has| |#1| (-29 (-568))) (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-959)) (|has| |#1| (-1181))))) (($ $ (-1240 |#2|)) 144 (|has| |#1| (-43 (-409 (-568)))))) (-4025 (((-1108) $) NIL)) (-3638 (($ $ (-568) (-568)) 114)) (-2168 (($ $ (-763)) 116)) (-2597 (((-3 $ "failed") $ $) NIL (|has| |#1| (-558)))) (-1894 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4109 (($ $) 112)) (-1339 (((-1141 |#1|) $ |#1|) 94 (|has| |#1| (-15 ** (|#1| |#1| (-763)))))) (-2781 ((|#1| $ (-763)) 89) (($ $ $) 124 (|has| (-763) (-1102)))) (-4191 (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161)) 101 (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-763)) NIL (|has| |#1| (-15 * (|#1| (-763) |#1|)))) (($ $) 96 (|has| |#1| (-15 * (|#1| (-763) |#1|)))) (($ $ (-1240 |#2|)) 97)) (-1836 (((-763) $) NIL)) (-1996 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1947 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1988 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1939 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1980 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2792 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2188 (($ $) 118)) (-2747 (((-850) $) NIL) (($ (-568)) 24) (($ (-409 (-568))) 141 (|has| |#1| (-43 (-409 (-568))))) (($ $) NIL (|has| |#1| (-558))) (($ |#1|) 23 (|has| |#1| (-172))) (($ (-1216 |#2| |#1|)) 79) (($ (-1240 |#2|)) 20)) (-3304 (((-1141 |#1|) $) NIL)) (-2079 ((|#1| $ (-763)) 88)) (-3385 (((-3 $ "failed") $) NIL (|has| |#1| (-148)))) (-3425 (((-763)) NIL)) (-1374 ((|#1| $) 87)) (-2008 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1959 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2273 (((-121) $ $) NIL (|has| |#1| (-558)))) (-2000 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1951 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2016 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1968 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-3999 ((|#1| $ (-763)) 85 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-763)))) (|has| |#1| (-15 -2747 (|#1| (-1161))))))) (-1439 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1972 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2012 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1964 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2004 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1955 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 17 T CONST)) (-1557 (($) 13 T CONST)) (-3192 (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161)) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-763)) NIL (|has| |#1| (-15 * (|#1| (-763) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-763) |#1|))))) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ |#1|) NIL (|has| |#1| (-365)))) (-1775 (($ $) NIL) (($ $ $) 100)) (-1769 (($ $ $) 18)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ |#1|) 138 (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568)))))) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 99) (($ (-409 (-568)) $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))))) 
-(((-1235 |#1| |#2| |#3|) (-13 (-1234 |#1|) (-10 -8 (-15 -2747 ($ (-1216 |#2| |#1|))) (-15 -1802 ((-1216 |#2| |#1|) $ (-763))) (-15 -2747 ($ (-1240 |#2|))) (-15 -4191 ($ $ (-1240 |#2|))) (-15 -2101 ($ $)) (-15 -2517 ($ $)) (-15 -1304 ($ $)) (-15 -4109 ($ $)) (-15 -3638 ($ $ (-568) (-568))) (-15 -3409 ($ $)) (-15 -4384 ($ (-568) (-568) $)) (-15 -1588 ($ (-568) (-568) $)) (IF (|has| |#1| (-43 (-409 (-568)))) (-15 -1845 ($ $ (-1240 |#2|))) |noBranch|))) (-1047) (-1161) |#1|) (T -1235)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1216 *4 *3)) (-4 *3 (-1047)) (-14 *4 (-1161)) (-14 *5 *3) (-5 *1 (-1235 *3 *4 *5)))) (-1802 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1216 *5 *4)) (-5 *1 (-1235 *4 *5 *6)) (-4 *4 (-1047)) (-14 *5 (-1161)) (-14 *6 *4))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1235 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) (-4191 (*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1235 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) (-2101 (*1 *1 *1) (-12 (-5 *1 (-1235 *2 *3 *4)) (-4 *2 (-1047)) (-14 *3 (-1161)) (-14 *4 *2))) (-2517 (*1 *1 *1) (-12 (-5 *1 (-1235 *2 *3 *4)) (-4 *2 (-1047)) (-14 *3 (-1161)) (-14 *4 *2))) (-1304 (*1 *1 *1) (-12 (-5 *1 (-1235 *2 *3 *4)) (-4 *2 (-1047)) (-14 *3 (-1161)) (-14 *4 *2))) (-4109 (*1 *1 *1) (-12 (-5 *1 (-1235 *2 *3 *4)) (-4 *2 (-1047)) (-14 *3 (-1161)) (-14 *4 *2))) (-3638 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-1235 *3 *4 *5)) (-4 *3 (-1047)) (-14 *4 (-1161)) (-14 *5 *3))) (-3409 (*1 *1 *1) (-12 (-5 *1 (-1235 *2 *3 *4)) (-4 *2 (-1047)) (-14 *3 (-1161)) (-14 *4 *2))) (-4384 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-1235 *3 *4 *5)) (-4 *3 (-1047)) (-14 *4 (-1161)) (-14 *5 *3))) (-1588 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-1235 *3 *4 *5)) (-4 *3 (-1047)) (-14 *4 (-1161)) (-14 *5 *3))) (-1845 (*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1235 *3 *4 *5)) (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047)) (-14 *5 *3)))) 
-(-13 (-1234 |#1|) (-10 -8 (-15 -2747 ($ (-1216 |#2| |#1|))) (-15 -1802 ((-1216 |#2| |#1|) $ (-763))) (-15 -2747 ($ (-1240 |#2|))) (-15 -4191 ($ $ (-1240 |#2|))) (-15 -2101 ($ $)) (-15 -2517 ($ $)) (-15 -1304 ($ $)) (-15 -4109 ($ $)) (-15 -3638 ($ $ (-568) (-568))) (-15 -3409 ($ $)) (-15 -4384 ($ (-568) (-568) $)) (-15 -1588 ($ (-568) (-568) $)) (IF (|has| |#1| (-43 (-409 (-568)))) (-15 -1845 ($ $ (-1240 |#2|))) |noBranch|))) 
-((-2599 (((-1 (-1141 |#1|) (-634 (-1141 |#1|))) (-1 |#2| (-634 |#2|))) 24)) (-4184 (((-1 (-1141 |#1|) (-1141 |#1|) (-1141 |#1|)) (-1 |#2| |#2| |#2|)) 16)) (-2223 (((-1 (-1141 |#1|) (-1141 |#1|)) (-1 |#2| |#2|)) 13)) (-1944 ((|#2| (-1 |#2| |#2| |#2|) |#1| |#1|) 48)) (-2564 ((|#2| (-1 |#2| |#2|) |#1|) 46)) (-3473 ((|#2| (-1 |#2| (-634 |#2|)) (-634 |#1|)) 54)) (-2128 (((-634 |#2|) (-634 |#1|) (-634 (-1 |#2| (-634 |#2|)))) 61)) (-1456 ((|#2| |#2| |#2|) 43))) 
-(((-1236 |#1| |#2|) (-10 -7 (-15 -2223 ((-1 (-1141 |#1|) (-1141 |#1|)) (-1 |#2| |#2|))) (-15 -4184 ((-1 (-1141 |#1|) (-1141 |#1|) (-1141 |#1|)) (-1 |#2| |#2| |#2|))) (-15 -2599 ((-1 (-1141 |#1|) (-634 (-1141 |#1|))) (-1 |#2| (-634 |#2|)))) (-15 -1456 (|#2| |#2| |#2|)) (-15 -2564 (|#2| (-1 |#2| |#2|) |#1|)) (-15 -1944 (|#2| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -3473 (|#2| (-1 |#2| (-634 |#2|)) (-634 |#1|))) (-15 -2128 ((-634 |#2|) (-634 |#1|) (-634 (-1 |#2| (-634 |#2|)))))) (-43 (-409 (-568))) (-1234 |#1|)) (T -1236)) 
-((-2128 (*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-1 *6 (-634 *6)))) (-4 *5 (-43 (-409 (-568)))) (-4 *6 (-1234 *5)) (-5 *2 (-634 *6)) (-5 *1 (-1236 *5 *6)))) (-3473 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-634 *2))) (-5 *4 (-634 *5)) (-4 *5 (-43 (-409 (-568)))) (-4 *2 (-1234 *5)) (-5 *1 (-1236 *5 *2)))) (-1944 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1234 *4)) (-5 *1 (-1236 *4 *2)) (-4 *4 (-43 (-409 (-568)))))) (-2564 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *2)) (-4 *2 (-1234 *4)) (-5 *1 (-1236 *4 *2)) (-4 *4 (-43 (-409 (-568)))))) (-1456 (*1 *2 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1236 *3 *2)) (-4 *2 (-1234 *3)))) (-2599 (*1 *2 *3) (-12 (-5 *3 (-1 *5 (-634 *5))) (-4 *5 (-1234 *4)) (-4 *4 (-43 (-409 (-568)))) (-5 *2 (-1 (-1141 *4) (-634 (-1141 *4)))) (-5 *1 (-1236 *4 *5)))) (-4184 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *5 *5)) (-4 *5 (-1234 *4)) (-4 *4 (-43 (-409 (-568)))) (-5 *2 (-1 (-1141 *4) (-1141 *4) (-1141 *4))) (-5 *1 (-1236 *4 *5)))) (-2223 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1234 *4)) (-4 *4 (-43 (-409 (-568)))) (-5 *2 (-1 (-1141 *4) (-1141 *4))) (-5 *1 (-1236 *4 *5))))) 
-(-10 -7 (-15 -2223 ((-1 (-1141 |#1|) (-1141 |#1|)) (-1 |#2| |#2|))) (-15 -4184 ((-1 (-1141 |#1|) (-1141 |#1|) (-1141 |#1|)) (-1 |#2| |#2| |#2|))) (-15 -2599 ((-1 (-1141 |#1|) (-634 (-1141 |#1|))) (-1 |#2| (-634 |#2|)))) (-15 -1456 (|#2| |#2| |#2|)) (-15 -2564 (|#2| (-1 |#2| |#2|) |#1|)) (-15 -1944 (|#2| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -3473 (|#2| (-1 |#2| (-634 |#2|)) (-634 |#1|))) (-15 -2128 ((-634 |#2|) (-634 |#1|) (-634 (-1 |#2| (-634 |#2|)))))) 
-((-3658 ((|#2| |#4| (-763)) 30)) (-2648 ((|#4| |#2|) 25)) (-2674 ((|#4| (-409 |#2|)) 51 (|has| |#1| (-558)))) (-2348 (((-1 |#4| (-634 |#4|)) |#3|) 45))) 
-(((-1237 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2648 (|#4| |#2|)) (-15 -3658 (|#2| |#4| (-763))) (-15 -2348 ((-1 |#4| (-634 |#4|)) |#3|)) (IF (|has| |#1| (-558)) (-15 -2674 (|#4| (-409 |#2|))) |noBranch|)) (-1047) (-1219 |#1|) (-646 |#2|) (-1234 |#1|)) (T -1237)) 
-((-2674 (*1 *2 *3) (-12 (-5 *3 (-409 *5)) (-4 *5 (-1219 *4)) (-4 *4 (-558)) (-4 *4 (-1047)) (-4 *2 (-1234 *4)) (-5 *1 (-1237 *4 *5 *6 *2)) (-4 *6 (-646 *5)))) (-2348 (*1 *2 *3) (-12 (-4 *4 (-1047)) (-4 *5 (-1219 *4)) (-5 *2 (-1 *6 (-634 *6))) (-5 *1 (-1237 *4 *5 *3 *6)) (-4 *3 (-646 *5)) (-4 *6 (-1234 *4)))) (-3658 (*1 *2 *3 *4) (-12 (-5 *4 (-763)) (-4 *5 (-1047)) (-4 *2 (-1219 *5)) (-5 *1 (-1237 *5 *2 *6 *3)) (-4 *6 (-646 *2)) (-4 *3 (-1234 *5)))) (-2648 (*1 *2 *3) (-12 (-4 *4 (-1047)) (-4 *3 (-1219 *4)) (-4 *2 (-1234 *4)) (-5 *1 (-1237 *4 *3 *5 *2)) (-4 *5 (-646 *3))))) 
-(-10 -7 (-15 -2648 (|#4| |#2|)) (-15 -3658 (|#2| |#4| (-763))) (-15 -2348 ((-1 |#4| (-634 |#4|)) |#3|)) (IF (|has| |#1| (-558)) (-15 -2674 (|#4| (-409 |#2|))) |noBranch|)) 
-((-2873 ((|#2| (-1 |#3| |#3|) (-634 |#1|)) 67))) 
-(((-1238 |#1| |#2| |#3|) (-10 -7 (-15 -2873 (|#2| (-1 |#3| |#3|) (-634 |#1|)))) (-365) (-1234 |#1|) (-1234 (-1155 |#1|))) (T -1238)) 
-((-2873 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *6)) (-5 *4 (-634 *5)) (-4 *5 (-365)) (-4 *6 (-1234 (-1155 *5))) (-4 *2 (-1234 *5)) (-5 *1 (-1238 *5 *2 *6))))) 
-(-10 -7 (-15 -2873 (|#2| (-1 |#3| |#3|) (-634 |#1|)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2057 (((-634 (-1075)) $) NIL)) (-3325 (((-1161) $) 79)) (-1802 (((-1216 |#2| |#1|) $ (-763)) 68)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) NIL (|has| |#1| (-558)))) (-3661 (($ $) NIL (|has| |#1| (-558)))) (-4426 (((-121) $) 128 (|has| |#1| (-558)))) (-4179 (($ $ (-763)) 113) (($ $ (-763) (-763)) 115)) (-2013 (((-1141 (-2 (|:| |k| (-763)) (|:| |c| |#1|))) $) 38)) (-1984 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1935 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2689 (((-3 $ "failed") $ $) NIL)) (-1904 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1976 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2788 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2512 (($ (-1141 (-2 (|:| |k| (-763)) (|:| |c| |#1|)))) 51) (($ (-1141 |#1|)) NIL)) (-1992 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1943 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4490 (($) NIL T CONST)) (-3409 (($ $) 119)) (-2116 (($ $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-3866 (($ $) 126)) (-3808 (((-953 |#1|) $ (-763)) 59) (((-953 |#1|) $ (-763) (-763)) 61)) (-1302 (((-121) $) NIL)) (-1899 (($) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1844 (((-763) $) NIL) (((-763) $ (-763)) NIL)) (-1598 (((-121) $) NIL)) (-1304 (($ $) 103)) (-1550 (($ $ (-568)) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4384 (($ (-568) (-568) $) 121)) (-4168 (($ $ (-917)) 125)) (-3698 (($ (-1 |#1| (-568)) $) 97)) (-2171 (((-121) $) NIL)) (-2049 (($ |#1| (-763)) 12) (($ $ (-1075) (-763)) NIL) (($ $ (-634 (-1075)) (-634 (-763))) NIL)) (-2797 (($ (-1 |#1| |#1|) $) 85)) (-4418 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2099 (($ $) NIL)) (-2104 ((|#1| $) NIL)) (-1893 (((-1143) $) NIL)) (-2517 (($ $) 101)) (-2101 (($ $) 99)) (-1588 (($ (-568) (-568) $) 123)) (-1845 (($ $) 136 (|has| |#1| (-43 (-409 (-568))))) (($ $ (-1161)) 139 (-2199 (-12 (|has| |#1| (-15 -1845 (|#1| |#1| (-1161)))) (|has| |#1| (-15 -2057 ((-634 (-1161)) |#1|))) (|has| |#1| (-43 (-409 (-568))))) (-12 (|has| |#1| (-29 (-568))) (|has| |#1| (-43 (-409 (-568)))) (|has| |#1| (-959)) (|has| |#1| (-1181))))) (($ $ (-1240 |#2|)) 137 (|has| |#1| (-43 (-409 (-568)))))) (-4025 (((-1108) $) NIL)) (-3638 (($ $ (-568) (-568)) 107)) (-2168 (($ $ (-763)) 109)) (-2597 (((-3 $ "failed") $ $) NIL (|has| |#1| (-558)))) (-1894 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-4109 (($ $) 105)) (-1339 (((-1141 |#1|) $ |#1|) 87 (|has| |#1| (-15 ** (|#1| |#1| (-763)))))) (-2781 ((|#1| $ (-763)) 82) (($ $ $) 117 (|has| (-763) (-1102)))) (-4191 (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161)) 92 (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-763)) NIL (|has| |#1| (-15 * (|#1| (-763) |#1|)))) (($ $) 89 (|has| |#1| (-15 * (|#1| (-763) |#1|)))) (($ $ (-1240 |#2|)) 90)) (-1836 (((-763) $) NIL)) (-1996 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1947 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1988 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1939 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1980 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2792 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2188 (($ $) 111)) (-2747 (((-850) $) NIL) (($ (-568)) 18) (($ (-409 (-568))) 134 (|has| |#1| (-43 (-409 (-568))))) (($ $) NIL (|has| |#1| (-558))) (($ |#1|) 17 (|has| |#1| (-172))) (($ (-1216 |#2| |#1|)) 73) (($ (-1240 |#2|)) 14)) (-3304 (((-1141 |#1|) $) NIL)) (-2079 ((|#1| $ (-763)) 81)) (-3385 (((-3 $ "failed") $) NIL (|has| |#1| (-148)))) (-3425 (((-763)) NIL)) (-1374 ((|#1| $) 80)) (-2008 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1959 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2273 (((-121) $ $) NIL (|has| |#1| (-558)))) (-2000 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1951 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2016 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1968 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-3999 ((|#1| $ (-763)) 78 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-763)))) (|has| |#1| (-15 -2747 (|#1| (-1161))))))) (-1439 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1972 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2012 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1964 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-2004 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1955 (($ $) NIL (|has| |#1| (-43 (-409 (-568)))))) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 44 T CONST)) (-1557 (($) 9 T CONST)) (-3192 (($ $ (-634 (-1161)) (-634 (-763))) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161) (-763)) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-634 (-1161))) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-1161)) NIL (-12 (|has| |#1| (-15 * (|#1| (-763) |#1|))) (|has| |#1| (-895 (-1161))))) (($ $ (-763)) NIL (|has| |#1| (-15 * (|#1| (-763) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-763) |#1|))))) (-1719 (((-121) $ $) NIL)) (-1781 (($ $ |#1|) NIL (|has| |#1| (-365)))) (-1775 (($ $) NIL) (($ $ $) 94)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL) (($ $ |#1|) 131 (|has| |#1| (-365))) (($ $ $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568)))))) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 93) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-409 (-568)) $) NIL (|has| |#1| (-43 (-409 (-568))))) (($ $ (-409 (-568))) NIL (|has| |#1| (-43 (-409 (-568))))))) 
-(((-1239 |#1| |#2|) (-13 (-1234 |#1|) (-10 -8 (-15 -2747 ($ (-1216 |#2| |#1|))) (-15 -1802 ((-1216 |#2| |#1|) $ (-763))) (-15 -2747 ($ (-1240 |#2|))) (-15 -4191 ($ $ (-1240 |#2|))) (-15 -2101 ($ $)) (-15 -2517 ($ $)) (-15 -1304 ($ $)) (-15 -4109 ($ $)) (-15 -3638 ($ $ (-568) (-568))) (-15 -3409 ($ $)) (-15 -4384 ($ (-568) (-568) $)) (-15 -1588 ($ (-568) (-568) $)) (IF (|has| |#1| (-43 (-409 (-568)))) (-15 -1845 ($ $ (-1240 |#2|))) |noBranch|))) (-1047) (-1161)) (T -1239)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-1216 *4 *3)) (-4 *3 (-1047)) (-14 *4 (-1161)) (-5 *1 (-1239 *3 *4)))) (-1802 (*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1216 *5 *4)) (-5 *1 (-1239 *4 *5)) (-4 *4 (-1047)) (-14 *5 (-1161)))) (-2747 (*1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1239 *3 *4)) (-4 *3 (-1047)))) (-4191 (*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1239 *3 *4)) (-4 *3 (-1047)))) (-2101 (*1 *1 *1) (-12 (-5 *1 (-1239 *2 *3)) (-4 *2 (-1047)) (-14 *3 (-1161)))) (-2517 (*1 *1 *1) (-12 (-5 *1 (-1239 *2 *3)) (-4 *2 (-1047)) (-14 *3 (-1161)))) (-1304 (*1 *1 *1) (-12 (-5 *1 (-1239 *2 *3)) (-4 *2 (-1047)) (-14 *3 (-1161)))) (-4109 (*1 *1 *1) (-12 (-5 *1 (-1239 *2 *3)) (-4 *2 (-1047)) (-14 *3 (-1161)))) (-3638 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-1239 *3 *4)) (-4 *3 (-1047)) (-14 *4 (-1161)))) (-3409 (*1 *1 *1) (-12 (-5 *1 (-1239 *2 *3)) (-4 *2 (-1047)) (-14 *3 (-1161)))) (-4384 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-1239 *3 *4)) (-4 *3 (-1047)) (-14 *4 (-1161)))) (-1588 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-1239 *3 *4)) (-4 *3 (-1047)) (-14 *4 (-1161)))) (-1845 (*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1239 *3 *4)) (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047))))) 
-(-13 (-1234 |#1|) (-10 -8 (-15 -2747 ($ (-1216 |#2| |#1|))) (-15 -1802 ((-1216 |#2| |#1|) $ (-763))) (-15 -2747 ($ (-1240 |#2|))) (-15 -4191 ($ $ (-1240 |#2|))) (-15 -2101 ($ $)) (-15 -2517 ($ $)) (-15 -1304 ($ $)) (-15 -4109 ($ $)) (-15 -3638 ($ $ (-568) (-568))) (-15 -3409 ($ $)) (-15 -4384 ($ (-568) (-568) $)) (-15 -1588 ($ (-568) (-568) $)) (IF (|has| |#1| (-43 (-409 (-568)))) (-15 -1845 ($ $ (-1240 |#2|))) |noBranch|))) 
-((-2449 (((-121) $ $) NIL)) (-3325 (((-1161)) 12)) (-1893 (((-1143) $) 17)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) 11) (((-1161) $) 8)) (-1719 (((-121) $ $) 14))) 
-(((-1240 |#1|) (-13 (-1090) (-608 (-1161)) (-10 -8 (-15 -2747 ((-1161) $)) (-15 -3325 ((-1161))))) (-1161)) (T -1240)) 
-((-2747 (*1 *2 *1) (-12 (-5 *2 (-1161)) (-5 *1 (-1240 *3)) (-14 *3 *2))) (-3325 (*1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-1240 *3)) (-14 *3 *2)))) 
-(-13 (-1090) (-608 (-1161)) (-10 -8 (-15 -2747 ((-1161) $)) (-15 -3325 ((-1161))))) 
-((-3207 (($ (-763)) 16)) (-1804 (((-679 |#2|) $ $) 37)) (-4303 ((|#2| $) 46)) (-3680 ((|#2| $) 45)) (-2286 ((|#2| $ $) 33)) (-3372 (($ $ $) 42)) (-1775 (($ $) 20) (($ $ $) 26)) (-1769 (($ $ $) 13)) (* (($ (-568) $) 23) (($ |#2| $) 29) (($ $ |#2|) 28))) 
-(((-1241 |#1| |#2|) (-10 -8 (-15 -4303 (|#2| |#1|)) (-15 -3680 (|#2| |#1|)) (-15 -3372 (|#1| |#1| |#1|)) (-15 -1804 ((-679 |#2|) |#1| |#1|)) (-15 -2286 (|#2| |#1| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-568) |#1|)) (-15 -1775 (|#1| |#1| |#1|)) (-15 -1775 (|#1| |#1|)) (-15 -3207 (|#1| (-763))) (-15 -1769 (|#1| |#1| |#1|))) (-1242 |#2|) (-1195)) (T -1241)) 
-NIL 
-(-10 -8 (-15 -4303 (|#2| |#1|)) (-15 -3680 (|#2| |#1|)) (-15 -3372 (|#1| |#1| |#1|)) (-15 -1804 ((-679 |#2|) |#1| |#1|)) (-15 -2286 (|#2| |#1| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-568) |#1|)) (-15 -1775 (|#1| |#1| |#1|)) (-15 -1775 (|#1| |#1|)) (-15 -3207 (|#1| (-763))) (-15 -1769 (|#1| |#1| |#1|))) 
-((-2449 (((-121) $ $) 18 (|has| |#1| (-1090)))) (-3207 (($ (-763)) 105 (|has| |#1| (-23)))) (-2481 (((-1249) $ (-568) (-568)) 37 (|has| $ (-6 -4522)))) (-1324 (((-121) (-1 (-121) |#1| |#1|) $) 91) (((-121) $) 85 (|has| |#1| (-842)))) (-2109 (($ (-1 (-121) |#1| |#1|) $) 82 (|has| $ (-6 -4522))) (($ $) 81 (-12 (|has| |#1| (-842)) (|has| $ (-6 -4522))))) (-3647 (($ (-1 (-121) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-842)))) (-1667 (((-121) $ (-763)) 8)) (-2438 ((|#1| $ (-568) |#1|) 49 (|has| $ (-6 -4522))) ((|#1| $ (-1210 (-568)) |#1|) 53 (|has| $ (-6 -4522)))) (-2803 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4521)))) (-4490 (($) 7 T CONST)) (-4452 (($ $) 83 (|has| $ (-6 -4522)))) (-3945 (($ $) 93)) (-3926 (($ $) 73 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-4330 (($ |#1| $) 72 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4521)))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4521)))) (-1292 ((|#1| $ (-568) |#1|) 50 (|has| $ (-6 -4522)))) (-2069 ((|#1| $ (-568)) 48)) (-2766 (((-568) (-1 (-121) |#1|) $) 90) (((-568) |#1| $) 89 (|has| |#1| (-1090))) (((-568) |#1| $ (-568)) 88 (|has| |#1| (-1090)))) (-3317 (((-634 |#1|) $) 30 (|has| $ (-6 -4521)))) (-1804 (((-679 |#1|) $ $) 98 (|has| |#1| (-1047)))) (-1851 (($ (-763) |#1|) 64)) (-3791 (((-121) $ (-763)) 9)) (-2539 (((-568) $) 40 (|has| (-568) (-842)))) (-1732 (($ $ $) 80 (|has| |#1| (-842)))) (-3645 (($ (-1 (-121) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-842)))) (-4406 (((-634 |#1|) $) 29 (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3631 (((-568) $) 41 (|has| (-568) (-842)))) (-2047 (($ $ $) 79 (|has| |#1| (-842)))) (-2253 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-4303 ((|#1| $) 95 (-12 (|has| |#1| (-1047)) (|has| |#1| (-1002))))) (-3796 (((-121) $ (-763)) 10)) (-3680 ((|#1| $) 96 (-12 (|has| |#1| (-1047)) (|has| |#1| (-1002))))) (-1893 (((-1143) $) 22 (|has| |#1| (-1090)))) (-4124 (($ |#1| $ (-568)) 55) (($ $ $ (-568)) 54)) (-3948 (((-634 (-568)) $) 43)) (-2916 (((-121) (-568) $) 44)) (-4025 (((-1108) $) 21 (|has| |#1| (-1090)))) (-3877 ((|#1| $) 39 (|has| (-568) (-842)))) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-2490 (($ $ |#1|) 38 (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) 26 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) 25 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) 23 (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) 14)) (-1801 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1480 (((-634 |#1|) $) 45)) (-2436 (((-121) $) 11)) (-1990 (($) 12)) (-2781 ((|#1| $ (-568) |#1|) 47) ((|#1| $ (-568)) 46) (($ $ (-1210 (-568))) 58)) (-2286 ((|#1| $ $) 99 (|has| |#1| (-1047)))) (-2828 (($ $ (-568)) 57) (($ $ (-1210 (-568))) 56)) (-3372 (($ $ $) 97 (|has| |#1| (-1047)))) (-4170 (((-763) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4521))) (((-763) |#1| $) 28 (-12 (|has| |#1| (-1090)) (|has| $ (-6 -4521))))) (-3306 (($ $ $ (-568)) 84 (|has| $ (-6 -4522)))) (-3865 (($ $) 13)) (-4280 (((-541) $) 74 (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) 65)) (-2770 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-634 $)) 60)) (-2747 (((-850) $) 20 (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4521)))) (-1753 (((-121) $ $) 77 (|has| |#1| (-842)))) (-1740 (((-121) $ $) 76 (|has| |#1| (-842)))) (-1719 (((-121) $ $) 19 (|has| |#1| (-1090)))) (-1747 (((-121) $ $) 78 (|has| |#1| (-842)))) (-1734 (((-121) $ $) 75 (|has| |#1| (-842)))) (-1775 (($ $) 104 (|has| |#1| (-21))) (($ $ $) 103 (|has| |#1| (-21)))) (-1769 (($ $ $) 106 (|has| |#1| (-25)))) (* (($ (-568) $) 102 (|has| |#1| (-21))) (($ |#1| $) 101 (|has| |#1| (-716))) (($ $ |#1|) 100 (|has| |#1| (-716)))) (-1699 (((-763) $) 6 (|has| $ (-6 -4521))))) 
-(((-1242 |#1|) (-1275) (-1195)) (T -1242)) 
-((-1769 (*1 *1 *1 *1) (-12 (-4 *1 (-1242 *2)) (-4 *2 (-1195)) (-4 *2 (-25)))) (-3207 (*1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-1242 *3)) (-4 *3 (-23)) (-4 *3 (-1195)))) (-1775 (*1 *1 *1) (-12 (-4 *1 (-1242 *2)) (-4 *2 (-1195)) (-4 *2 (-21)))) (-1775 (*1 *1 *1 *1) (-12 (-4 *1 (-1242 *2)) (-4 *2 (-1195)) (-4 *2 (-21)))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-568)) (-4 *1 (-1242 *3)) (-4 *3 (-1195)) (-4 *3 (-21)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-1242 *2)) (-4 *2 (-1195)) (-4 *2 (-716)))) (* (*1 *1 *1 *2) (-12 (-4 *1 (-1242 *2)) (-4 *2 (-1195)) (-4 *2 (-716)))) (-2286 (*1 *2 *1 *1) (-12 (-4 *1 (-1242 *2)) (-4 *2 (-1195)) (-4 *2 (-1047)))) (-1804 (*1 *2 *1 *1) (-12 (-4 *1 (-1242 *3)) (-4 *3 (-1195)) (-4 *3 (-1047)) (-5 *2 (-679 *3)))) (-3372 (*1 *1 *1 *1) (-12 (-4 *1 (-1242 *2)) (-4 *2 (-1195)) (-4 *2 (-1047)))) (-3680 (*1 *2 *1) (-12 (-4 *1 (-1242 *2)) (-4 *2 (-1195)) (-4 *2 (-1002)) (-4 *2 (-1047)))) (-4303 (*1 *2 *1) (-12 (-4 *1 (-1242 *2)) (-4 *2 (-1195)) (-4 *2 (-1002)) (-4 *2 (-1047))))) 
-(-13 (-19 |t#1|) (-10 -8 (IF (|has| |t#1| (-25)) (-15 -1769 ($ $ $)) |noBranch|) (IF (|has| |t#1| (-23)) (-15 -3207 ($ (-763))) |noBranch|) (IF (|has| |t#1| (-21)) (PROGN (-15 -1775 ($ $)) (-15 -1775 ($ $ $)) (-15 * ($ (-568) $))) |noBranch|) (IF (|has| |t#1| (-716)) (PROGN (-15 * ($ |t#1| $)) (-15 * ($ $ |t#1|))) |noBranch|) (IF (|has| |t#1| (-1047)) (PROGN (-15 -2286 (|t#1| $ $)) (-15 -1804 ((-679 |t#1|) $ $)) (-15 -3372 ($ $ $))) |noBranch|) (IF (|has| |t#1| (-1002)) (IF (|has| |t#1| (-1047)) (PROGN (-15 -3680 (|t#1| $)) (-15 -4303 (|t#1| $))) |noBranch|) |noBranch|))) 
-(((-39) . T) ((-105) -2199 (|has| |#1| (-1090)) (|has| |#1| (-842))) ((-608 (-850)) -2199 (|has| |#1| (-1090)) (|has| |#1| (-842))) ((-154 |#1|) . T) ((-609 (-541)) |has| |#1| (-609 (-541))) ((-281 (-568) |#1|) . T) ((-283 (-568) |#1|) . T) ((-303 |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-375 |#1|) . T) ((-499 |#1|) . T) ((-601 (-568) |#1|) . T) ((-523 |#1| |#1|) -12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))) ((-640 |#1|) . T) ((-19 |#1|) . T) ((-842) |has| |#1| (-842)) ((-1090) -2199 (|has| |#1| (-1090)) (|has| |#1| (-842))) ((-1195) . T)) 
-((-1678 (((-1244 |#2|) (-1 |#2| |#1| |#2|) (-1244 |#1|) |#2|) 13)) (-3094 ((|#2| (-1 |#2| |#1| |#2|) (-1244 |#1|) |#2|) 15)) (-2797 (((-3 (-1244 |#2|) "failed") (-1 (-3 |#2| "failed") |#1|) (-1244 |#1|)) 28) (((-1244 |#2|) (-1 |#2| |#1|) (-1244 |#1|)) 18))) 
-(((-1243 |#1| |#2|) (-10 -7 (-15 -1678 ((-1244 |#2|) (-1 |#2| |#1| |#2|) (-1244 |#1|) |#2|)) (-15 -3094 (|#2| (-1 |#2| |#1| |#2|) (-1244 |#1|) |#2|)) (-15 -2797 ((-1244 |#2|) (-1 |#2| |#1|) (-1244 |#1|))) (-15 -2797 ((-3 (-1244 |#2|) "failed") (-1 (-3 |#2| "failed") |#1|) (-1244 |#1|)))) (-1195) (-1195)) (T -1243)) 
-((-2797 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *6 "failed") *5)) (-5 *4 (-1244 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-1244 *6)) (-5 *1 (-1243 *5 *6)))) (-2797 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1244 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-1244 *6)) (-5 *1 (-1243 *5 *6)))) (-3094 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1244 *5)) (-4 *5 (-1195)) (-4 *2 (-1195)) (-5 *1 (-1243 *5 *2)))) (-1678 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-1244 *6)) (-4 *6 (-1195)) (-4 *5 (-1195)) (-5 *2 (-1244 *5)) (-5 *1 (-1243 *6 *5))))) 
-(-10 -7 (-15 -1678 ((-1244 |#2|) (-1 |#2| |#1| |#2|) (-1244 |#1|) |#2|)) (-15 -3094 (|#2| (-1 |#2| |#1| |#2|) (-1244 |#1|) |#2|)) (-15 -2797 ((-1244 |#2|) (-1 |#2| |#1|) (-1244 |#1|))) (-15 -2797 ((-3 (-1244 |#2|) "failed") (-1 (-3 |#2| "failed") |#1|) (-1244 |#1|)))) 
-((-2449 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-3207 (($ (-763)) NIL (|has| |#1| (-23)))) (-4211 (($ (-634 |#1|)) 9)) (-2481 (((-1249) $ (-568) (-568)) NIL (|has| $ (-6 -4522)))) (-1324 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-842)))) (-2109 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4522))) (($ $) NIL (-12 (|has| $ (-6 -4522)) (|has| |#1| (-842))))) (-3647 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-842)))) (-1667 (((-121) $ (-763)) NIL)) (-2438 ((|#1| $ (-568) |#1|) NIL (|has| $ (-6 -4522))) ((|#1| $ (-1210 (-568)) |#1|) NIL (|has| $ (-6 -4522)))) (-2803 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-4490 (($) NIL T CONST)) (-4452 (($ $) NIL (|has| $ (-6 -4522)))) (-3945 (($ $) NIL)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-4330 (($ |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-3094 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4521))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4521)))) (-1292 ((|#1| $ (-568) |#1|) NIL (|has| $ (-6 -4522)))) (-2069 ((|#1| $ (-568)) NIL)) (-2766 (((-568) (-1 (-121) |#1|) $) NIL) (((-568) |#1| $) NIL (|has| |#1| (-1090))) (((-568) |#1| $ (-568)) NIL (|has| |#1| (-1090)))) (-3317 (((-634 |#1|) $) 15 (|has| $ (-6 -4521)))) (-1804 (((-679 |#1|) $ $) NIL (|has| |#1| (-1047)))) (-1851 (($ (-763) |#1|) NIL)) (-3791 (((-121) $ (-763)) NIL)) (-2539 (((-568) $) NIL (|has| (-568) (-842)))) (-1732 (($ $ $) NIL (|has| |#1| (-842)))) (-3645 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-842)))) (-4406 (((-634 |#1|) $) NIL (|has| $ (-6 -4521)))) (-2551 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3631 (((-568) $) NIL (|has| (-568) (-842)))) (-2047 (($ $ $) NIL (|has| |#1| (-842)))) (-2253 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-4303 ((|#1| $) NIL (-12 (|has| |#1| (-1002)) (|has| |#1| (-1047))))) (-3796 (((-121) $ (-763)) NIL)) (-3680 ((|#1| $) NIL (-12 (|has| |#1| (-1002)) (|has| |#1| (-1047))))) (-1893 (((-1143) $) NIL (|has| |#1| (-1090)))) (-4124 (($ |#1| $ (-568)) NIL) (($ $ $ (-568)) NIL)) (-3948 (((-634 (-568)) $) NIL)) (-2916 (((-121) (-568) $) NIL)) (-4025 (((-1108) $) NIL (|has| |#1| (-1090)))) (-3877 ((|#1| $) NIL (|has| (-568) (-842)))) (-2712 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2490 (($ $ |#1|) NIL (|has| $ (-6 -4522)))) (-3951 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 (-288 |#1|))) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-288 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090)))) (($ $ (-634 |#1|) (-634 |#1|)) NIL (-12 (|has| |#1| (-303 |#1|)) (|has| |#1| (-1090))))) (-1702 (((-121) $ $) NIL)) (-1801 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-1480 (((-634 |#1|) $) NIL)) (-2436 (((-121) $) NIL)) (-1990 (($) NIL)) (-2781 ((|#1| $ (-568) |#1|) NIL) ((|#1| $ (-568)) NIL) (($ $ (-1210 (-568))) NIL)) (-2286 ((|#1| $ $) NIL (|has| |#1| (-1047)))) (-2828 (($ $ (-568)) NIL) (($ $ (-1210 (-568))) NIL)) (-3372 (($ $ $) NIL (|has| |#1| (-1047)))) (-4170 (((-763) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521))) (((-763) |#1| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#1| (-1090))))) (-3306 (($ $ $ (-568)) NIL (|has| $ (-6 -4522)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) 19 (|has| |#1| (-609 (-541))))) (-4289 (($ (-634 |#1|)) 8)) (-2770 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-634 $)) NIL)) (-2747 (((-850) $) NIL (|has| |#1| (-1090)))) (-3437 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4521)))) (-1753 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1740 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1719 (((-121) $ $) NIL (|has| |#1| (-1090)))) (-1747 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1734 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1775 (($ $) NIL (|has| |#1| (-21))) (($ $ $) NIL (|has| |#1| (-21)))) (-1769 (($ $ $) NIL (|has| |#1| (-25)))) (* (($ (-568) $) NIL (|has| |#1| (-21))) (($ |#1| $) NIL (|has| |#1| (-716))) (($ $ |#1|) NIL (|has| |#1| (-716)))) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-1244 |#1|) (-13 (-1242 |#1|) (-10 -8 (-15 -4211 ($ (-634 |#1|))))) (-1195)) (T -1244)) 
-((-4211 (*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1195)) (-5 *1 (-1244 *3))))) 
-(-13 (-1242 |#1|) (-10 -8 (-15 -4211 ($ (-634 |#1|))))) 
-((-2449 (((-121) $ $) NIL)) (-2325 (((-1143) $ (-1143)) 87) (((-1143) $ (-1143) (-1143)) 85) (((-1143) $ (-1143) (-634 (-1143))) 84)) (-4305 (($) 56)) (-2969 (((-1249) $ (-473) (-917)) 42)) (-2833 (((-1249) $ (-917) (-1143)) 70) (((-1249) $ (-917) (-869)) 71)) (-1861 (((-1249) $ (-917) (-381) (-381)) 45)) (-4037 (((-1249) $ (-1143)) 66)) (-1649 (((-1249) $ (-917) (-1143)) 75)) (-3225 (((-1249) $ (-917) (-381) (-381)) 46)) (-2492 (((-1249) $ (-917) (-917)) 43)) (-2318 (((-1249) $) 67)) (-2176 (((-1249) $ (-917) (-1143)) 74)) (-2619 (((-1249) $ (-473) (-917)) 30)) (-4158 (((-1249) $ (-917) (-1143)) 73)) (-2508 (((-634 (-256)) $) 22) (($ $ (-634 (-256))) 23)) (-4186 (((-1249) $ (-763) (-763)) 40)) (-1828 (($ $) 57) (($ (-473) (-634 (-256))) 58)) (-1893 (((-1143) $) NIL)) (-3651 (((-568) $) 37)) (-4025 (((-1108) $) NIL)) (-3066 (((-1244 (-3 (-473) "undefined")) $) 36)) (-2746 (((-1244 (-2 (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215)) (|:| -4158 (-568)) (|:| -2887 (-568)) (|:| |spline| (-568)) (|:| -3705 (-568)) (|:| |axesColor| (-869)) (|:| -2833 (-568)) (|:| |unitsColor| (-869)) (|:| |showing| (-568)))) $) 35)) (-1874 (((-1249) $ (-917) (-215) (-215) (-215) (-215) (-568) (-568) (-568) (-568) (-869) (-568) (-869) (-568)) 65)) (-2927 (((-634 (-944 (-215))) $) NIL)) (-3639 (((-473) $ (-917)) 32)) (-4076 (((-1249) $ (-763) (-763) (-917) (-917)) 39)) (-4225 (((-1249) $ (-1143)) 76)) (-2887 (((-1249) $ (-917) (-1143)) 72)) (-2747 (((-850) $) 82)) (-4094 (((-1249) $) 77)) (-3705 (((-1249) $ (-917) (-1143)) 68) (((-1249) $ (-917) (-869)) 69)) (-1719 (((-121) $ $) NIL))) 
-(((-1245) (-13 (-1090) (-10 -8 (-15 -2927 ((-634 (-944 (-215))) $)) (-15 -4305 ($)) (-15 -1828 ($ $)) (-15 -2508 ((-634 (-256)) $)) (-15 -2508 ($ $ (-634 (-256)))) (-15 -1828 ($ (-473) (-634 (-256)))) (-15 -1874 ((-1249) $ (-917) (-215) (-215) (-215) (-215) (-568) (-568) (-568) (-568) (-869) (-568) (-869) (-568))) (-15 -2746 ((-1244 (-2 (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215)) (|:| -4158 (-568)) (|:| -2887 (-568)) (|:| |spline| (-568)) (|:| -3705 (-568)) (|:| |axesColor| (-869)) (|:| -2833 (-568)) (|:| |unitsColor| (-869)) (|:| |showing| (-568)))) $)) (-15 -3066 ((-1244 (-3 (-473) "undefined")) $)) (-15 -4037 ((-1249) $ (-1143))) (-15 -2619 ((-1249) $ (-473) (-917))) (-15 -3639 ((-473) $ (-917))) (-15 -3705 ((-1249) $ (-917) (-1143))) (-15 -3705 ((-1249) $ (-917) (-869))) (-15 -2833 ((-1249) $ (-917) (-1143))) (-15 -2833 ((-1249) $ (-917) (-869))) (-15 -4158 ((-1249) $ (-917) (-1143))) (-15 -2176 ((-1249) $ (-917) (-1143))) (-15 -2887 ((-1249) $ (-917) (-1143))) (-15 -4225 ((-1249) $ (-1143))) (-15 -4094 ((-1249) $)) (-15 -4076 ((-1249) $ (-763) (-763) (-917) (-917))) (-15 -3225 ((-1249) $ (-917) (-381) (-381))) (-15 -1861 ((-1249) $ (-917) (-381) (-381))) (-15 -1649 ((-1249) $ (-917) (-1143))) (-15 -4186 ((-1249) $ (-763) (-763))) (-15 -2969 ((-1249) $ (-473) (-917))) (-15 -2492 ((-1249) $ (-917) (-917))) (-15 -2325 ((-1143) $ (-1143))) (-15 -2325 ((-1143) $ (-1143) (-1143))) (-15 -2325 ((-1143) $ (-1143) (-634 (-1143)))) (-15 -2318 ((-1249) $)) (-15 -3651 ((-568) $)) (-15 -2747 ((-850) $))))) (T -1245)) 
-((-2747 (*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-1245)))) (-2927 (*1 *2 *1) (-12 (-5 *2 (-634 (-944 (-215)))) (-5 *1 (-1245)))) (-4305 (*1 *1) (-5 *1 (-1245))) (-1828 (*1 *1 *1) (-5 *1 (-1245))) (-2508 (*1 *2 *1) (-12 (-5 *2 (-634 (-256))) (-5 *1 (-1245)))) (-2508 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-256))) (-5 *1 (-1245)))) (-1828 (*1 *1 *2 *3) (-12 (-5 *2 (-473)) (-5 *3 (-634 (-256))) (-5 *1 (-1245)))) (-1874 (*1 *2 *1 *3 *4 *4 *4 *4 *5 *5 *5 *5 *6 *5 *6 *5) (-12 (-5 *3 (-917)) (-5 *4 (-215)) (-5 *5 (-568)) (-5 *6 (-869)) (-5 *2 (-1249)) (-5 *1 (-1245)))) (-2746 (*1 *2 *1) (-12 (-5 *2 (-1244 (-2 (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215)) (|:| -4158 (-568)) (|:| -2887 (-568)) (|:| |spline| (-568)) (|:| -3705 (-568)) (|:| |axesColor| (-869)) (|:| -2833 (-568)) (|:| |unitsColor| (-869)) (|:| |showing| (-568))))) (-5 *1 (-1245)))) (-3066 (*1 *2 *1) (-12 (-5 *2 (-1244 (-3 (-473) "undefined"))) (-5 *1 (-1245)))) (-4037 (*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1245)))) (-2619 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-473)) (-5 *4 (-917)) (-5 *2 (-1249)) (-5 *1 (-1245)))) (-3639 (*1 *2 *1 *3) (-12 (-5 *3 (-917)) (-5 *2 (-473)) (-5 *1 (-1245)))) (-3705 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-917)) (-5 *4 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1245)))) (-3705 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-917)) (-5 *4 (-869)) (-5 *2 (-1249)) (-5 *1 (-1245)))) (-2833 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-917)) (-5 *4 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1245)))) (-2833 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-917)) (-5 *4 (-869)) (-5 *2 (-1249)) (-5 *1 (-1245)))) (-4158 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-917)) (-5 *4 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1245)))) (-2176 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-917)) (-5 *4 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1245)))) (-2887 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-917)) (-5 *4 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1245)))) (-4225 (*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1245)))) (-4094 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-1245)))) (-4076 (*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-763)) (-5 *4 (-917)) (-5 *2 (-1249)) (-5 *1 (-1245)))) (-3225 (*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-917)) (-5 *4 (-381)) (-5 *2 (-1249)) (-5 *1 (-1245)))) (-1861 (*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-917)) (-5 *4 (-381)) (-5 *2 (-1249)) (-5 *1 (-1245)))) (-1649 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-917)) (-5 *4 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1245)))) (-4186 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1249)) (-5 *1 (-1245)))) (-2969 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-473)) (-5 *4 (-917)) (-5 *2 (-1249)) (-5 *1 (-1245)))) (-2492 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1249)) (-5 *1 (-1245)))) (-2325 (*1 *2 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-1245)))) (-2325 (*1 *2 *1 *2 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-1245)))) (-2325 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-634 (-1143))) (-5 *2 (-1143)) (-5 *1 (-1245)))) (-2318 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-1245)))) (-3651 (*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-1245))))) 
-(-13 (-1090) (-10 -8 (-15 -2927 ((-634 (-944 (-215))) $)) (-15 -4305 ($)) (-15 -1828 ($ $)) (-15 -2508 ((-634 (-256)) $)) (-15 -2508 ($ $ (-634 (-256)))) (-15 -1828 ($ (-473) (-634 (-256)))) (-15 -1874 ((-1249) $ (-917) (-215) (-215) (-215) (-215) (-568) (-568) (-568) (-568) (-869) (-568) (-869) (-568))) (-15 -2746 ((-1244 (-2 (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215)) (|:| -4158 (-568)) (|:| -2887 (-568)) (|:| |spline| (-568)) (|:| -3705 (-568)) (|:| |axesColor| (-869)) (|:| -2833 (-568)) (|:| |unitsColor| (-869)) (|:| |showing| (-568)))) $)) (-15 -3066 ((-1244 (-3 (-473) "undefined")) $)) (-15 -4037 ((-1249) $ (-1143))) (-15 -2619 ((-1249) $ (-473) (-917))) (-15 -3639 ((-473) $ (-917))) (-15 -3705 ((-1249) $ (-917) (-1143))) (-15 -3705 ((-1249) $ (-917) (-869))) (-15 -2833 ((-1249) $ (-917) (-1143))) (-15 -2833 ((-1249) $ (-917) (-869))) (-15 -4158 ((-1249) $ (-917) (-1143))) (-15 -2176 ((-1249) $ (-917) (-1143))) (-15 -2887 ((-1249) $ (-917) (-1143))) (-15 -4225 ((-1249) $ (-1143))) (-15 -4094 ((-1249) $)) (-15 -4076 ((-1249) $ (-763) (-763) (-917) (-917))) (-15 -3225 ((-1249) $ (-917) (-381) (-381))) (-15 -1861 ((-1249) $ (-917) (-381) (-381))) (-15 -1649 ((-1249) $ (-917) (-1143))) (-15 -4186 ((-1249) $ (-763) (-763))) (-15 -2969 ((-1249) $ (-473) (-917))) (-15 -2492 ((-1249) $ (-917) (-917))) (-15 -2325 ((-1143) $ (-1143))) (-15 -2325 ((-1143) $ (-1143) (-1143))) (-15 -2325 ((-1143) $ (-1143) (-634 (-1143)))) (-15 -2318 ((-1249) $)) (-15 -3651 ((-568) $)) (-15 -2747 ((-850) $)))) 
-((-2449 (((-121) $ $) NIL)) (-4075 (((-1249) $ (-381)) 138) (((-1249) $ (-381) (-381) (-381)) 139)) (-2325 (((-1143) $ (-1143)) 146) (((-1143) $ (-1143) (-1143)) 144) (((-1143) $ (-1143) (-634 (-1143))) 143)) (-3803 (($) 49)) (-1627 (((-1249) $ (-381) (-381) (-381) (-381) (-381)) 114) (((-2 (|:| |theta| (-215)) (|:| |phi| (-215)) (|:| -3225 (-215)) (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |scaleZ| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215))) $) 112) (((-1249) $ (-2 (|:| |theta| (-215)) (|:| |phi| (-215)) (|:| -3225 (-215)) (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |scaleZ| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215)))) 113) (((-1249) $ (-568) (-568) (-381) (-381) (-381)) 115) (((-1249) $ (-381) (-381)) 116) (((-1249) $ (-381) (-381) (-381)) 123)) (-2637 (((-381)) 96) (((-381) (-381)) 97)) (-1520 (((-381)) 91) (((-381) (-381)) 93)) (-3052 (((-381)) 94) (((-381) (-381)) 95)) (-1319 (((-381)) 100) (((-381) (-381)) 101)) (-2503 (((-381)) 98) (((-381) (-381)) 99)) (-1861 (((-1249) $ (-381) (-381)) 140)) (-4037 (((-1249) $ (-1143)) 124)) (-3503 (((-1121 (-215)) $) 50) (($ $ (-1121 (-215))) 51)) (-2401 (((-1249) $ (-1143)) 152)) (-4017 (((-1249) $ (-1143)) 153)) (-3287 (((-1249) $ (-381) (-381)) 122) (((-1249) $ (-568) (-568)) 137)) (-2492 (((-1249) $ (-917) (-917)) 130)) (-2318 (((-1249) $) 110)) (-4192 (((-1249) $ (-1143)) 151)) (-1652 (((-1249) $ (-1143)) 107)) (-2508 (((-634 (-256)) $) 52) (($ $ (-634 (-256))) 53)) (-4186 (((-1249) $ (-763) (-763)) 129)) (-4143 (((-1249) $ (-763) (-944 (-215))) 158)) (-4162 (($ $) 56) (($ (-1121 (-215)) (-1143)) 57) (($ (-1121 (-215)) (-634 (-256))) 58)) (-1910 (((-1249) $ (-381) (-381) (-381)) 104)) (-1893 (((-1143) $) NIL)) (-3651 (((-568) $) 102)) (-1317 (((-1249) $ (-381)) 141)) (-3203 (((-1249) $ (-381)) 156)) (-4025 (((-1108) $) NIL)) (-4343 (((-1249) $ (-381)) 155)) (-3235 (((-1249) $ (-1143)) 109)) (-4076 (((-1249) $ (-763) (-763) (-917) (-917)) 128)) (-2346 (((-1249) $ (-1143)) 106)) (-4225 (((-1249) $ (-1143)) 108)) (-4319 (((-1249) $ (-158) (-158)) 127)) (-2747 (((-850) $) 135)) (-4094 (((-1249) $) 111)) (-3545 (((-1249) $ (-1143)) 154)) (-3705 (((-1249) $ (-1143)) 105)) (-1719 (((-121) $ $) NIL))) 
-(((-1246) (-13 (-1090) (-10 -8 (-15 -1520 ((-381))) (-15 -1520 ((-381) (-381))) (-15 -3052 ((-381))) (-15 -3052 ((-381) (-381))) (-15 -2637 ((-381))) (-15 -2637 ((-381) (-381))) (-15 -2503 ((-381))) (-15 -2503 ((-381) (-381))) (-15 -1319 ((-381))) (-15 -1319 ((-381) (-381))) (-15 -3803 ($)) (-15 -4162 ($ $)) (-15 -4162 ($ (-1121 (-215)) (-1143))) (-15 -4162 ($ (-1121 (-215)) (-634 (-256)))) (-15 -3503 ((-1121 (-215)) $)) (-15 -3503 ($ $ (-1121 (-215)))) (-15 -4143 ((-1249) $ (-763) (-944 (-215)))) (-15 -2508 ((-634 (-256)) $)) (-15 -2508 ($ $ (-634 (-256)))) (-15 -4186 ((-1249) $ (-763) (-763))) (-15 -2492 ((-1249) $ (-917) (-917))) (-15 -4037 ((-1249) $ (-1143))) (-15 -4076 ((-1249) $ (-763) (-763) (-917) (-917))) (-15 -1627 ((-1249) $ (-381) (-381) (-381) (-381) (-381))) (-15 -1627 ((-2 (|:| |theta| (-215)) (|:| |phi| (-215)) (|:| -3225 (-215)) (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |scaleZ| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215))) $)) (-15 -1627 ((-1249) $ (-2 (|:| |theta| (-215)) (|:| |phi| (-215)) (|:| -3225 (-215)) (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |scaleZ| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215))))) (-15 -1627 ((-1249) $ (-568) (-568) (-381) (-381) (-381))) (-15 -1627 ((-1249) $ (-381) (-381))) (-15 -1627 ((-1249) $ (-381) (-381) (-381))) (-15 -4225 ((-1249) $ (-1143))) (-15 -3705 ((-1249) $ (-1143))) (-15 -2346 ((-1249) $ (-1143))) (-15 -1652 ((-1249) $ (-1143))) (-15 -3235 ((-1249) $ (-1143))) (-15 -3287 ((-1249) $ (-381) (-381))) (-15 -3287 ((-1249) $ (-568) (-568))) (-15 -4075 ((-1249) $ (-381))) (-15 -4075 ((-1249) $ (-381) (-381) (-381))) (-15 -1861 ((-1249) $ (-381) (-381))) (-15 -4192 ((-1249) $ (-1143))) (-15 -4343 ((-1249) $ (-381))) (-15 -3203 ((-1249) $ (-381))) (-15 -2401 ((-1249) $ (-1143))) (-15 -4017 ((-1249) $ (-1143))) (-15 -3545 ((-1249) $ (-1143))) (-15 -1910 ((-1249) $ (-381) (-381) (-381))) (-15 -1317 ((-1249) $ (-381))) (-15 -2318 ((-1249) $)) (-15 -4319 ((-1249) $ (-158) (-158))) (-15 -2325 ((-1143) $ (-1143))) (-15 -2325 ((-1143) $ (-1143) (-1143))) (-15 -2325 ((-1143) $ (-1143) (-634 (-1143)))) (-15 -4094 ((-1249) $)) (-15 -3651 ((-568) $))))) (T -1246)) 
-((-1520 (*1 *2) (-12 (-5 *2 (-381)) (-5 *1 (-1246)))) (-1520 (*1 *2 *2) (-12 (-5 *2 (-381)) (-5 *1 (-1246)))) (-3052 (*1 *2) (-12 (-5 *2 (-381)) (-5 *1 (-1246)))) (-3052 (*1 *2 *2) (-12 (-5 *2 (-381)) (-5 *1 (-1246)))) (-2637 (*1 *2) (-12 (-5 *2 (-381)) (-5 *1 (-1246)))) (-2637 (*1 *2 *2) (-12 (-5 *2 (-381)) (-5 *1 (-1246)))) (-2503 (*1 *2) (-12 (-5 *2 (-381)) (-5 *1 (-1246)))) (-2503 (*1 *2 *2) (-12 (-5 *2 (-381)) (-5 *1 (-1246)))) (-1319 (*1 *2) (-12 (-5 *2 (-381)) (-5 *1 (-1246)))) (-1319 (*1 *2 *2) (-12 (-5 *2 (-381)) (-5 *1 (-1246)))) (-3803 (*1 *1) (-5 *1 (-1246))) (-4162 (*1 *1 *1) (-5 *1 (-1246))) (-4162 (*1 *1 *2 *3) (-12 (-5 *2 (-1121 (-215))) (-5 *3 (-1143)) (-5 *1 (-1246)))) (-4162 (*1 *1 *2 *3) (-12 (-5 *2 (-1121 (-215))) (-5 *3 (-634 (-256))) (-5 *1 (-1246)))) (-3503 (*1 *2 *1) (-12 (-5 *2 (-1121 (-215))) (-5 *1 (-1246)))) (-3503 (*1 *1 *1 *2) (-12 (-5 *2 (-1121 (-215))) (-5 *1 (-1246)))) (-4143 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-763)) (-5 *4 (-944 (-215))) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-2508 (*1 *2 *1) (-12 (-5 *2 (-634 (-256))) (-5 *1 (-1246)))) (-2508 (*1 *1 *1 *2) (-12 (-5 *2 (-634 (-256))) (-5 *1 (-1246)))) (-4186 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-2492 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-4037 (*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-4076 (*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-763)) (-5 *4 (-917)) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-1627 (*1 *2 *1 *3 *3 *3 *3 *3) (-12 (-5 *3 (-381)) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-1627 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |theta| (-215)) (|:| |phi| (-215)) (|:| -3225 (-215)) (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |scaleZ| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215)))) (-5 *1 (-1246)))) (-1627 (*1 *2 *1 *3) (-12 (-5 *3 (-2 (|:| |theta| (-215)) (|:| |phi| (-215)) (|:| -3225 (-215)) (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |scaleZ| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215)))) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-1627 (*1 *2 *1 *3 *3 *4 *4 *4) (-12 (-5 *3 (-568)) (-5 *4 (-381)) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-1627 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-381)) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-1627 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-381)) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-4225 (*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-3705 (*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-2346 (*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-1652 (*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-3235 (*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-3287 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-381)) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-3287 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-568)) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-4075 (*1 *2 *1 *3) (-12 (-5 *3 (-381)) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-4075 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-381)) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-1861 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-381)) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-4192 (*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-4343 (*1 *2 *1 *3) (-12 (-5 *3 (-381)) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-3203 (*1 *2 *1 *3) (-12 (-5 *3 (-381)) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-2401 (*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-4017 (*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-3545 (*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-1910 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-381)) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-1317 (*1 *2 *1 *3) (-12 (-5 *3 (-381)) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-2318 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-1246)))) (-4319 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-158)) (-5 *2 (-1249)) (-5 *1 (-1246)))) (-2325 (*1 *2 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-1246)))) (-2325 (*1 *2 *1 *2 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-1246)))) (-2325 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-634 (-1143))) (-5 *2 (-1143)) (-5 *1 (-1246)))) (-4094 (*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-1246)))) (-3651 (*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-1246))))) 
-(-13 (-1090) (-10 -8 (-15 -1520 ((-381))) (-15 -1520 ((-381) (-381))) (-15 -3052 ((-381))) (-15 -3052 ((-381) (-381))) (-15 -2637 ((-381))) (-15 -2637 ((-381) (-381))) (-15 -2503 ((-381))) (-15 -2503 ((-381) (-381))) (-15 -1319 ((-381))) (-15 -1319 ((-381) (-381))) (-15 -3803 ($)) (-15 -4162 ($ $)) (-15 -4162 ($ (-1121 (-215)) (-1143))) (-15 -4162 ($ (-1121 (-215)) (-634 (-256)))) (-15 -3503 ((-1121 (-215)) $)) (-15 -3503 ($ $ (-1121 (-215)))) (-15 -4143 ((-1249) $ (-763) (-944 (-215)))) (-15 -2508 ((-634 (-256)) $)) (-15 -2508 ($ $ (-634 (-256)))) (-15 -4186 ((-1249) $ (-763) (-763))) (-15 -2492 ((-1249) $ (-917) (-917))) (-15 -4037 ((-1249) $ (-1143))) (-15 -4076 ((-1249) $ (-763) (-763) (-917) (-917))) (-15 -1627 ((-1249) $ (-381) (-381) (-381) (-381) (-381))) (-15 -1627 ((-2 (|:| |theta| (-215)) (|:| |phi| (-215)) (|:| -3225 (-215)) (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |scaleZ| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215))) $)) (-15 -1627 ((-1249) $ (-2 (|:| |theta| (-215)) (|:| |phi| (-215)) (|:| -3225 (-215)) (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |scaleZ| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215))))) (-15 -1627 ((-1249) $ (-568) (-568) (-381) (-381) (-381))) (-15 -1627 ((-1249) $ (-381) (-381))) (-15 -1627 ((-1249) $ (-381) (-381) (-381))) (-15 -4225 ((-1249) $ (-1143))) (-15 -3705 ((-1249) $ (-1143))) (-15 -2346 ((-1249) $ (-1143))) (-15 -1652 ((-1249) $ (-1143))) (-15 -3235 ((-1249) $ (-1143))) (-15 -3287 ((-1249) $ (-381) (-381))) (-15 -3287 ((-1249) $ (-568) (-568))) (-15 -4075 ((-1249) $ (-381))) (-15 -4075 ((-1249) $ (-381) (-381) (-381))) (-15 -1861 ((-1249) $ (-381) (-381))) (-15 -4192 ((-1249) $ (-1143))) (-15 -4343 ((-1249) $ (-381))) (-15 -3203 ((-1249) $ (-381))) (-15 -2401 ((-1249) $ (-1143))) (-15 -4017 ((-1249) $ (-1143))) (-15 -3545 ((-1249) $ (-1143))) (-15 -1910 ((-1249) $ (-381) (-381) (-381))) (-15 -1317 ((-1249) $ (-381))) (-15 -2318 ((-1249) $)) (-15 -4319 ((-1249) $ (-158) (-158))) (-15 -2325 ((-1143) $ (-1143))) (-15 -2325 ((-1143) $ (-1143) (-1143))) (-15 -2325 ((-1143) $ (-1143) (-634 (-1143)))) (-15 -4094 ((-1249) $)) (-15 -3651 ((-568) $)))) 
-((-4257 (((-634 (-1143)) (-634 (-1143))) 94) (((-634 (-1143))) 89)) (-3876 (((-634 (-1143))) 87)) (-3345 (((-634 (-917)) (-634 (-917))) 62) (((-634 (-917))) 59)) (-2489 (((-634 (-763)) (-634 (-763))) 56) (((-634 (-763))) 52)) (-3283 (((-1249)) 64)) (-1320 (((-917) (-917)) 80) (((-917)) 79)) (-2274 (((-917) (-917)) 78) (((-917)) 77)) (-3218 (((-869) (-869)) 74) (((-869)) 73)) (-1378 (((-215)) 84) (((-215) (-381)) 86)) (-2423 (((-917)) 81) (((-917) (-917)) 82)) (-2639 (((-917) (-917)) 76) (((-917)) 75)) (-2701 (((-869) (-869)) 68) (((-869)) 66)) (-3978 (((-869) (-869)) 70) (((-869)) 69)) (-3454 (((-869) (-869)) 72) (((-869)) 71))) 
-(((-1247) (-10 -7 (-15 -2701 ((-869))) (-15 -2701 ((-869) (-869))) (-15 -3978 ((-869))) (-15 -3978 ((-869) (-869))) (-15 -3454 ((-869))) (-15 -3454 ((-869) (-869))) (-15 -3218 ((-869))) (-15 -3218 ((-869) (-869))) (-15 -2639 ((-917))) (-15 -2639 ((-917) (-917))) (-15 -2489 ((-634 (-763)))) (-15 -2489 ((-634 (-763)) (-634 (-763)))) (-15 -3345 ((-634 (-917)))) (-15 -3345 ((-634 (-917)) (-634 (-917)))) (-15 -3283 ((-1249))) (-15 -4257 ((-634 (-1143)))) (-15 -4257 ((-634 (-1143)) (-634 (-1143)))) (-15 -3876 ((-634 (-1143)))) (-15 -2274 ((-917))) (-15 -1320 ((-917))) (-15 -2274 ((-917) (-917))) (-15 -1320 ((-917) (-917))) (-15 -2423 ((-917) (-917))) (-15 -2423 ((-917))) (-15 -1378 ((-215) (-381))) (-15 -1378 ((-215))))) (T -1247)) 
-((-1378 (*1 *2) (-12 (-5 *2 (-215)) (-5 *1 (-1247)))) (-1378 (*1 *2 *3) (-12 (-5 *3 (-381)) (-5 *2 (-215)) (-5 *1 (-1247)))) (-2423 (*1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-1247)))) (-2423 (*1 *2 *2) (-12 (-5 *2 (-917)) (-5 *1 (-1247)))) (-1320 (*1 *2 *2) (-12 (-5 *2 (-917)) (-5 *1 (-1247)))) (-2274 (*1 *2 *2) (-12 (-5 *2 (-917)) (-5 *1 (-1247)))) (-1320 (*1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-1247)))) (-2274 (*1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-1247)))) (-3876 (*1 *2) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-1247)))) (-4257 (*1 *2 *2) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-1247)))) (-4257 (*1 *2) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-1247)))) (-3283 (*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-1247)))) (-3345 (*1 *2 *2) (-12 (-5 *2 (-634 (-917))) (-5 *1 (-1247)))) (-3345 (*1 *2) (-12 (-5 *2 (-634 (-917))) (-5 *1 (-1247)))) (-2489 (*1 *2 *2) (-12 (-5 *2 (-634 (-763))) (-5 *1 (-1247)))) (-2489 (*1 *2) (-12 (-5 *2 (-634 (-763))) (-5 *1 (-1247)))) (-2639 (*1 *2 *2) (-12 (-5 *2 (-917)) (-5 *1 (-1247)))) (-2639 (*1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-1247)))) (-3218 (*1 *2 *2) (-12 (-5 *2 (-869)) (-5 *1 (-1247)))) (-3218 (*1 *2) (-12 (-5 *2 (-869)) (-5 *1 (-1247)))) (-3454 (*1 *2 *2) (-12 (-5 *2 (-869)) (-5 *1 (-1247)))) (-3454 (*1 *2) (-12 (-5 *2 (-869)) (-5 *1 (-1247)))) (-3978 (*1 *2 *2) (-12 (-5 *2 (-869)) (-5 *1 (-1247)))) (-3978 (*1 *2) (-12 (-5 *2 (-869)) (-5 *1 (-1247)))) (-2701 (*1 *2 *2) (-12 (-5 *2 (-869)) (-5 *1 (-1247)))) (-2701 (*1 *2) (-12 (-5 *2 (-869)) (-5 *1 (-1247))))) 
-(-10 -7 (-15 -2701 ((-869))) (-15 -2701 ((-869) (-869))) (-15 -3978 ((-869))) (-15 -3978 ((-869) (-869))) (-15 -3454 ((-869))) (-15 -3454 ((-869) (-869))) (-15 -3218 ((-869))) (-15 -3218 ((-869) (-869))) (-15 -2639 ((-917))) (-15 -2639 ((-917) (-917))) (-15 -2489 ((-634 (-763)))) (-15 -2489 ((-634 (-763)) (-634 (-763)))) (-15 -3345 ((-634 (-917)))) (-15 -3345 ((-634 (-917)) (-634 (-917)))) (-15 -3283 ((-1249))) (-15 -4257 ((-634 (-1143)))) (-15 -4257 ((-634 (-1143)) (-634 (-1143)))) (-15 -3876 ((-634 (-1143)))) (-15 -2274 ((-917))) (-15 -1320 ((-917))) (-15 -2274 ((-917) (-917))) (-15 -1320 ((-917) (-917))) (-15 -2423 ((-917) (-917))) (-15 -2423 ((-917))) (-15 -1378 ((-215) (-381))) (-15 -1378 ((-215)))) 
-((-3101 (((-473) (-634 (-634 (-944 (-215)))) (-634 (-256))) 17) (((-473) (-634 (-634 (-944 (-215))))) 16) (((-473) (-634 (-634 (-944 (-215)))) (-869) (-869) (-917) (-634 (-256))) 15)) (-4318 (((-1245) (-634 (-634 (-944 (-215)))) (-634 (-256))) 23) (((-1245) (-634 (-634 (-944 (-215)))) (-869) (-869) (-917) (-634 (-256))) 22)) (-2747 (((-1245) (-473)) 34))) 
-(((-1248) (-10 -7 (-15 -3101 ((-473) (-634 (-634 (-944 (-215)))) (-869) (-869) (-917) (-634 (-256)))) (-15 -3101 ((-473) (-634 (-634 (-944 (-215)))))) (-15 -3101 ((-473) (-634 (-634 (-944 (-215)))) (-634 (-256)))) (-15 -4318 ((-1245) (-634 (-634 (-944 (-215)))) (-869) (-869) (-917) (-634 (-256)))) (-15 -4318 ((-1245) (-634 (-634 (-944 (-215)))) (-634 (-256)))) (-15 -2747 ((-1245) (-473))))) (T -1248)) 
-((-2747 (*1 *2 *3) (-12 (-5 *3 (-473)) (-5 *2 (-1245)) (-5 *1 (-1248)))) (-4318 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-634 (-944 (-215))))) (-5 *4 (-634 (-256))) (-5 *2 (-1245)) (-5 *1 (-1248)))) (-4318 (*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-634 (-634 (-944 (-215))))) (-5 *4 (-869)) (-5 *5 (-917)) (-5 *6 (-634 (-256))) (-5 *2 (-1245)) (-5 *1 (-1248)))) (-3101 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-634 (-944 (-215))))) (-5 *4 (-634 (-256))) (-5 *2 (-473)) (-5 *1 (-1248)))) (-3101 (*1 *2 *3) (-12 (-5 *3 (-634 (-634 (-944 (-215))))) (-5 *2 (-473)) (-5 *1 (-1248)))) (-3101 (*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-634 (-634 (-944 (-215))))) (-5 *4 (-869)) (-5 *5 (-917)) (-5 *6 (-634 (-256))) (-5 *2 (-473)) (-5 *1 (-1248))))) 
-(-10 -7 (-15 -3101 ((-473) (-634 (-634 (-944 (-215)))) (-869) (-869) (-917) (-634 (-256)))) (-15 -3101 ((-473) (-634 (-634 (-944 (-215)))))) (-15 -3101 ((-473) (-634 (-634 (-944 (-215)))) (-634 (-256)))) (-15 -4318 ((-1245) (-634 (-634 (-944 (-215)))) (-869) (-869) (-917) (-634 (-256)))) (-15 -4318 ((-1245) (-634 (-634 (-944 (-215)))) (-634 (-256)))) (-15 -2747 ((-1245) (-473)))) 
-((-3613 (($) 7)) (-2747 (((-850) $) 10))) 
-(((-1249) (-10 -8 (-15 -3613 ($)) (-15 -2747 ((-850) $)))) (T -1249)) 
-((-2747 (*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-1249)))) (-3613 (*1 *1) (-5 *1 (-1249)))) 
-(-10 -8 (-15 -3613 ($)) (-15 -2747 ((-850) $))) 
-((-1781 (($ $ |#2|) 10))) 
-(((-1250 |#1| |#2|) (-10 -8 (-15 -1781 (|#1| |#1| |#2|))) (-1251 |#2|) (-365)) (T -1250)) 
-NIL 
-(-10 -8 (-15 -1781 (|#1| |#1| |#2|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-3108 (((-139)) 25)) (-2747 (((-850) $) 11)) (-3058 (($) 17 T CONST)) (-1719 (((-121) $ $) 6)) (-1781 (($ $ |#1|) 26)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24))) 
-(((-1251 |#1|) (-1275) (-365)) (T -1251)) 
-((-1781 (*1 *1 *1 *2) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-365)))) (-3108 (*1 *2) (-12 (-4 *1 (-1251 *3)) (-4 *3 (-365)) (-5 *2 (-139))))) 
-(-13 (-707 |t#1|) (-10 -8 (-15 -1781 ($ $ |t#1|)) (-15 -3108 ((-139))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-137) . T) ((-608 (-850)) . T) ((-637 |#1|) . T) ((-707 |#1|) . T) ((-1053 |#1|) . T) ((-1090) . T)) 
-((-3809 (((-634 (-1190 |#1|)) (-1161) (-1190 |#1|)) 78)) (-4193 (((-1141 (-1141 (-953 |#1|))) (-1161) (-1141 (-953 |#1|))) 57)) (-3772 (((-1 (-1141 (-1190 |#1|)) (-1141 (-1190 |#1|))) (-763) (-1190 |#1|) (-1141 (-1190 |#1|))) 68)) (-3707 (((-1 (-1141 (-953 |#1|)) (-1141 (-953 |#1|))) (-763)) 59)) (-2894 (((-1 (-1157 (-953 |#1|)) (-953 |#1|)) (-1161)) 27)) (-2111 (((-1 (-1141 (-953 |#1|)) (-1141 (-953 |#1|))) (-763)) 58))) 
-(((-1252 |#1|) (-10 -7 (-15 -3707 ((-1 (-1141 (-953 |#1|)) (-1141 (-953 |#1|))) (-763))) (-15 -2111 ((-1 (-1141 (-953 |#1|)) (-1141 (-953 |#1|))) (-763))) (-15 -4193 ((-1141 (-1141 (-953 |#1|))) (-1161) (-1141 (-953 |#1|)))) (-15 -2894 ((-1 (-1157 (-953 |#1|)) (-953 |#1|)) (-1161))) (-15 -3809 ((-634 (-1190 |#1|)) (-1161) (-1190 |#1|))) (-15 -3772 ((-1 (-1141 (-1190 |#1|)) (-1141 (-1190 |#1|))) (-763) (-1190 |#1|) (-1141 (-1190 |#1|))))) (-365)) (T -1252)) 
-((-3772 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-763)) (-4 *6 (-365)) (-5 *4 (-1190 *6)) (-5 *2 (-1 (-1141 *4) (-1141 *4))) (-5 *1 (-1252 *6)) (-5 *5 (-1141 *4)))) (-3809 (*1 *2 *3 *4) (-12 (-5 *3 (-1161)) (-4 *5 (-365)) (-5 *2 (-634 (-1190 *5))) (-5 *1 (-1252 *5)) (-5 *4 (-1190 *5)))) (-2894 (*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-1157 (-953 *4)) (-953 *4))) (-5 *1 (-1252 *4)) (-4 *4 (-365)))) (-4193 (*1 *2 *3 *4) (-12 (-5 *3 (-1161)) (-4 *5 (-365)) (-5 *2 (-1141 (-1141 (-953 *5)))) (-5 *1 (-1252 *5)) (-5 *4 (-1141 (-953 *5))))) (-2111 (*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1 (-1141 (-953 *4)) (-1141 (-953 *4)))) (-5 *1 (-1252 *4)) (-4 *4 (-365)))) (-3707 (*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1 (-1141 (-953 *4)) (-1141 (-953 *4)))) (-5 *1 (-1252 *4)) (-4 *4 (-365))))) 
-(-10 -7 (-15 -3707 ((-1 (-1141 (-953 |#1|)) (-1141 (-953 |#1|))) (-763))) (-15 -2111 ((-1 (-1141 (-953 |#1|)) (-1141 (-953 |#1|))) (-763))) (-15 -4193 ((-1141 (-1141 (-953 |#1|))) (-1161) (-1141 (-953 |#1|)))) (-15 -2894 ((-1 (-1157 (-953 |#1|)) (-953 |#1|)) (-1161))) (-15 -3809 ((-634 (-1190 |#1|)) (-1161) (-1190 |#1|))) (-15 -3772 ((-1 (-1141 (-1190 |#1|)) (-1141 (-1190 |#1|))) (-763) (-1190 |#1|) (-1141 (-1190 |#1|))))) 
-((-2443 (((-2 (|:| -2588 (-679 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-679 |#2|))) |#2|) 74)) (-3330 (((-2 (|:| -2588 (-679 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-679 |#2|)))) 73))) 
-(((-1253 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3330 ((-2 (|:| -2588 (-679 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-679 |#2|))))) (-15 -2443 ((-2 (|:| -2588 (-679 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-679 |#2|))) |#2|))) (-350) (-1219 |#1|) (-1219 |#2|) (-411 |#2| |#3|)) (T -1253)) 
-((-2443 (*1 *2 *3) (-12 (-4 *4 (-350)) (-4 *3 (-1219 *4)) (-4 *5 (-1219 *3)) (-5 *2 (-2 (|:| -2588 (-679 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-679 *3)))) (-5 *1 (-1253 *4 *3 *5 *6)) (-4 *6 (-411 *3 *5)))) (-3330 (*1 *2) (-12 (-4 *3 (-350)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 *4)) (-5 *2 (-2 (|:| -2588 (-679 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-679 *4)))) (-5 *1 (-1253 *3 *4 *5 *6)) (-4 *6 (-411 *4 *5))))) 
-(-10 -7 (-15 -3330 ((-2 (|:| -2588 (-679 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-679 |#2|))))) (-15 -2443 ((-2 (|:| -2588 (-679 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-679 |#2|))) |#2|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 41)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-2902 (((-3 $ "failed") $) NIL)) (-1598 (((-121) $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2747 (((-850) $) 62) (($ (-568)) NIL) ((|#4| $) 52) (($ |#4|) 47) (($ |#1|) NIL (|has| |#1| (-172)))) (-3425 (((-763)) NIL)) (-3352 (((-1249) (-763)) 16)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 26 T CONST)) (-1557 (($) 65 T CONST)) (-1719 (((-121) $ $) 67)) (-1781 (((-3 $ "failed") $ $) NIL (|has| |#1| (-365)))) (-1775 (($ $) 69) (($ $ $) NIL)) (-1769 (($ $ $) 45)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 71) (($ |#1| $) NIL (|has| |#1| (-172))) (($ $ |#1|) NIL (|has| |#1| (-172))))) 
-(((-1254 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-13 (-1047) (-10 -8 (IF (|has| |#1| (-172)) (-6 (-43 |#1|)) |noBranch|) (-15 -2747 (|#4| $)) (IF (|has| |#1| (-365)) (-15 -1781 ((-3 $ "failed") $ $)) |noBranch|) (-15 -2747 ($ |#4|)) (-15 -3352 ((-1249) (-763))))) (-1047) (-842) (-788) (-950 |#1| |#3| |#2|) (-634 |#2|) (-634 (-763)) (-763)) (T -1254)) 
-((-2747 (*1 *2 *1) (-12 (-4 *2 (-950 *3 *5 *4)) (-5 *1 (-1254 *3 *4 *5 *2 *6 *7 *8)) (-4 *3 (-1047)) (-4 *4 (-842)) (-4 *5 (-788)) (-14 *6 (-634 *4)) (-14 *7 (-634 (-763))) (-14 *8 (-763)))) (-1781 (*1 *1 *1 *1) (|partial| -12 (-4 *2 (-365)) (-4 *2 (-1047)) (-4 *3 (-842)) (-4 *4 (-788)) (-14 *6 (-634 *3)) (-5 *1 (-1254 *2 *3 *4 *5 *6 *7 *8)) (-4 *5 (-950 *2 *4 *3)) (-14 *7 (-634 (-763))) (-14 *8 (-763)))) (-2747 (*1 *1 *2) (-12 (-4 *3 (-1047)) (-4 *4 (-842)) (-4 *5 (-788)) (-14 *6 (-634 *4)) (-5 *1 (-1254 *3 *4 *5 *2 *6 *7 *8)) (-4 *2 (-950 *3 *5 *4)) (-14 *7 (-634 (-763))) (-14 *8 (-763)))) (-3352 (*1 *2 *3) (-12 (-5 *3 (-763)) (-4 *4 (-1047)) (-4 *5 (-842)) (-4 *6 (-788)) (-14 *8 (-634 *5)) (-5 *2 (-1249)) (-5 *1 (-1254 *4 *5 *6 *7 *8 *9 *10)) (-4 *7 (-950 *4 *6 *5)) (-14 *9 (-634 *3)) (-14 *10 *3)))) 
-(-13 (-1047) (-10 -8 (IF (|has| |#1| (-172)) (-6 (-43 |#1|)) |noBranch|) (-15 -2747 (|#4| $)) (IF (|has| |#1| (-365)) (-15 -1781 ((-3 $ "failed") $ $)) |noBranch|) (-15 -2747 ($ |#4|)) (-15 -3352 ((-1249) (-763))))) 
-((-2449 (((-121) $ $) NIL)) (-2213 (((-634 (-2 (|:| -4094 $) (|:| -2133 (-634 |#4|)))) (-634 |#4|)) NIL)) (-2353 (((-634 $) (-634 |#4|)) 87)) (-2057 (((-634 |#3|) $) NIL)) (-4141 (((-121) $) NIL)) (-1794 (((-121) $) NIL (|has| |#1| (-558)))) (-4231 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3767 ((|#4| |#4| $) NIL)) (-3647 (((-2 (|:| |under| $) (|:| -4115 $) (|:| |upper| $)) $ |#3|) NIL)) (-1667 (((-121) $ (-763)) NIL)) (-2803 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521))) (((-3 |#4| "failed") $ |#3|) NIL)) (-4490 (($) NIL T CONST)) (-4382 (((-121) $) NIL (|has| |#1| (-558)))) (-1880 (((-121) $ $) NIL (|has| |#1| (-558)))) (-2536 (((-121) $ $) NIL (|has| |#1| (-558)))) (-2343 (((-121) $) NIL (|has| |#1| (-558)))) (-2941 (((-634 |#4|) (-634 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 27)) (-3993 (((-634 |#4|) (-634 |#4|) $) 24 (|has| |#1| (-558)))) (-2727 (((-634 |#4|) (-634 |#4|) $) NIL (|has| |#1| (-558)))) (-3668 (((-3 $ "failed") (-634 |#4|)) NIL)) (-2857 (($ (-634 |#4|)) NIL)) (-3936 (((-3 $ "failed") $) 69)) (-3255 ((|#4| |#4| $) 74)) (-3926 (($ $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090))))) (-4330 (($ |#4| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521)))) (-2607 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-558)))) (-1359 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) NIL)) (-3434 ((|#4| |#4| $) NIL)) (-3094 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4521))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4521))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-3158 (((-2 (|:| -4094 (-634 |#4|)) (|:| -2133 (-634 |#4|))) $) NIL)) (-3317 (((-634 |#4|) $) NIL (|has| $ (-6 -4521)))) (-3764 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-4001 ((|#3| $) 75)) (-3791 (((-121) $ (-763)) NIL)) (-4406 (((-634 |#4|) $) 28 (|has| $ (-6 -4521)))) (-2551 (((-121) |#4| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090))))) (-4325 (((-3 $ "failed") (-634 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 31) (((-3 $ "failed") (-634 |#4|)) 34)) (-2253 (($ (-1 |#4| |#4|) $) NIL (|has| $ (-6 -4522)))) (-2797 (($ (-1 |#4| |#4|) $) NIL)) (-2249 (((-634 |#3|) $) NIL)) (-1495 (((-121) |#3| $) NIL)) (-3796 (((-121) $ (-763)) NIL)) (-1893 (((-1143) $) NIL)) (-4164 (((-3 |#4| "failed") $) NIL)) (-3882 (((-634 |#4|) $) 49)) (-2157 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1315 ((|#4| |#4| $) 73)) (-4342 (((-121) $ $) 84)) (-1440 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-558)))) (-3236 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1452 ((|#4| |#4| $) NIL)) (-4025 (((-1108) $) NIL)) (-3877 (((-3 |#4| "failed") $) 68)) (-2712 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-3413 (((-3 $ "failed") $ |#4|) NIL)) (-2168 (($ $ |#4|) NIL)) (-3951 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521)))) (-1339 (($ $ (-634 |#4|) (-634 |#4|)) NIL (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ (-288 |#4|)) NIL (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090)))) (($ $ (-634 (-288 |#4|))) NIL (-12 (|has| |#4| (-303 |#4|)) (|has| |#4| (-1090))))) (-1702 (((-121) $ $) NIL)) (-2436 (((-121) $) 66)) (-1990 (($) 41)) (-1836 (((-763) $) NIL)) (-4170 (((-763) |#4| $) NIL (-12 (|has| $ (-6 -4521)) (|has| |#4| (-1090)))) (((-763) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521)))) (-3865 (($ $) NIL)) (-4280 (((-541) $) NIL (|has| |#4| (-609 (-541))))) (-4289 (($ (-634 |#4|)) NIL)) (-3206 (($ $ |#3|) NIL)) (-2527 (($ $ |#3|) NIL)) (-4392 (($ $) NIL)) (-4332 (($ $ |#3|) NIL)) (-2747 (((-850) $) NIL) (((-634 |#4|) $) 56)) (-2524 (((-763) $) NIL (|has| |#3| (-370)))) (-2015 (((-3 $ "failed") (-634 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 39) (((-3 $ "failed") (-634 |#4|)) 40)) (-2058 (((-634 $) (-634 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 64) (((-634 $) (-634 |#4|)) 65)) (-2835 (((-3 (-2 (|:| |bas| $) (|:| -2618 (-634 |#4|))) "failed") (-634 |#4|) (-1 (-121) |#4| |#4|)) 23) (((-3 (-2 (|:| |bas| $) (|:| -2618 (-634 |#4|))) "failed") (-634 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-2145 (((-121) $ (-1 (-121) |#4| (-634 |#4|))) NIL)) (-3437 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4521)))) (-3321 (((-634 |#3|) $) NIL)) (-1413 (((-121) |#3| $) NIL)) (-1719 (((-121) $ $) NIL)) (-1699 (((-763) $) NIL (|has| $ (-6 -4521))))) 
-(((-1255 |#1| |#2| |#3| |#4|) (-13 (-1189 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -4325 ((-3 $ "failed") (-634 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -4325 ((-3 $ "failed") (-634 |#4|))) (-15 -2015 ((-3 $ "failed") (-634 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -2015 ((-3 $ "failed") (-634 |#4|))) (-15 -2058 ((-634 $) (-634 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -2058 ((-634 $) (-634 |#4|))))) (-558) (-788) (-842) (-1061 |#1| |#2| |#3|)) (T -1255)) 
-((-4325 (*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-634 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-558)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *1 (-1255 *5 *6 *7 *8)))) (-4325 (*1 *1 *2) (|partial| -12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-1255 *3 *4 *5 *6)))) (-2015 (*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-634 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-558)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *1 (-1255 *5 *6 *7 *8)))) (-2015 (*1 *1 *2) (|partial| -12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-1255 *3 *4 *5 *6)))) (-2058 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-634 *9)) (-5 *4 (-1 (-121) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1061 *6 *7 *8)) (-4 *6 (-558)) (-4 *7 (-788)) (-4 *8 (-842)) (-5 *2 (-634 (-1255 *6 *7 *8 *9))) (-5 *1 (-1255 *6 *7 *8 *9)))) (-2058 (*1 *2 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-634 (-1255 *4 *5 *6 *7))) (-5 *1 (-1255 *4 *5 *6 *7))))) 
-(-13 (-1189 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -4325 ((-3 $ "failed") (-634 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -4325 ((-3 $ "failed") (-634 |#4|))) (-15 -2015 ((-3 $ "failed") (-634 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -2015 ((-3 $ "failed") (-634 |#4|))) (-15 -2058 ((-634 $) (-634 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -2058 ((-634 $) (-634 |#4|))))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2689 (((-3 $ "failed") $ $) 18)) (-4490 (($) 16 T CONST)) (-2902 (((-3 $ "failed") $) 33)) (-1598 (((-121) $) 30)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ |#1|) 37)) (-3425 (((-763)) 28)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ |#1|) 39) (($ |#1| $) 38))) 
-(((-1256 |#1|) (-1275) (-1047)) (T -1256)) 
-((-2747 (*1 *1 *2) (-12 (-4 *1 (-1256 *2)) (-4 *2 (-1047))))) 
-(-13 (-1047) (-120 |t#1| |t#1|) (-10 -8 (-15 -2747 ($ |t#1|)) (IF (|has| |t#1| (-172)) (-6 (-43 |t#1|)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-172)) ((-105) . T) ((-120 |#1| |#1|) . T) ((-137) . T) ((-608 (-850)) . T) ((-637 |#1|) . T) ((-637 $) . T) ((-707 |#1|) |has| |#1| (-172)) ((-716) . T) ((-1053 |#1|) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2981 (((-634 |#1|) $) 45)) (-3784 (($ $ (-763)) 39)) (-2689 (((-3 $ "failed") $ $) NIL)) (-2726 (($ $ (-763)) 17 (|has| |#2| (-172))) (($ $ $) 18 (|has| |#2| (-172)))) (-4490 (($) NIL T CONST)) (-4242 (($ $ $) 61) (($ $ (-814 |#1|)) 48) (($ $ |#1|) 52)) (-3668 (((-3 (-814 |#1|) "failed") $) NIL)) (-2857 (((-814 |#1|) $) NIL)) (-2116 (($ $) 32)) (-2902 (((-3 $ "failed") $) NIL)) (-1335 (((-121) $) NIL)) (-3201 (($ $) NIL)) (-1598 (((-121) $) NIL)) (-3971 (((-763) $) NIL)) (-3062 (((-634 $) $) NIL)) (-2171 (((-121) $) NIL)) (-2356 (($ (-814 |#1|) |#2|) 31)) (-2310 (($ $) 33)) (-1690 (((-2 (|:| |k| (-814 |#1|)) (|:| |c| |#2|)) $) 11)) (-1341 (((-814 |#1|) $) NIL)) (-3421 (((-814 |#1|) $) 34)) (-2797 (($ (-1 |#2| |#2|) $) NIL)) (-1797 (($ $ $) 60) (($ $ (-814 |#1|)) 50) (($ $ |#1|) 54)) (-3016 (((-634 (-2 (|:| |k| (-814 |#1|)) (|:| |c| |#2|))) $) NIL)) (-3749 (((-2 (|:| |k| (-814 |#1|)) (|:| |c| |#2|)) $) NIL)) (-2099 (((-814 |#1|) $) 28)) (-2104 ((|#2| $) 30)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-1836 (((-763) $) 36)) (-2475 (((-121) $) 40)) (-3497 ((|#2| $) NIL)) (-2747 (((-850) $) NIL) (($ (-814 |#1|)) 24) (($ |#1|) 25) (($ |#2|) NIL) (($ (-568)) NIL)) (-3304 (((-634 |#2|) $) NIL)) (-2079 ((|#2| $ (-814 |#1|)) NIL)) (-2350 ((|#2| $ $) 63) ((|#2| $ (-814 |#1|)) NIL)) (-3425 (((-763)) NIL)) (-1889 (($ $ (-763)) NIL) (($ $ (-917)) NIL)) (-3058 (($) 12 T CONST)) (-1557 (($) 14 T CONST)) (-1719 (((-121) $ $) 38)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) 21)) (** (($ $ (-763)) NIL) (($ $ (-917)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ |#2| $) 20) (($ $ |#2|) 59) (($ |#2| (-814 |#1|)) NIL) (($ |#1| $) 27) (($ $ $) NIL))) 
-(((-1257 |#1| |#2|) (-13 (-384 |#2| (-814 |#1|)) (-1263 |#1| |#2|)) (-842) (-1047)) (T -1257)) 
-NIL 
-(-13 (-384 |#2| (-814 |#1|)) (-1263 |#1| |#2|)) 
-((-4418 ((|#3| |#3| (-763)) 23)) (-1894 ((|#3| |#3| (-763)) 28)) (-4460 ((|#3| |#3| |#3| (-763)) 29))) 
-(((-1258 |#1| |#2| |#3|) (-10 -7 (-15 -1894 (|#3| |#3| (-763))) (-15 -4418 (|#3| |#3| (-763))) (-15 -4460 (|#3| |#3| |#3| (-763)))) (-13 (-1047) (-707 (-409 (-568)))) (-842) (-1263 |#2| |#1|)) (T -1258)) 
-((-4460 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-763)) (-4 *4 (-13 (-1047) (-707 (-409 (-568))))) (-4 *5 (-842)) (-5 *1 (-1258 *4 *5 *2)) (-4 *2 (-1263 *5 *4)))) (-4418 (*1 *2 *2 *3) (-12 (-5 *3 (-763)) (-4 *4 (-13 (-1047) (-707 (-409 (-568))))) (-4 *5 (-842)) (-5 *1 (-1258 *4 *5 *2)) (-4 *2 (-1263 *5 *4)))) (-1894 (*1 *2 *2 *3) (-12 (-5 *3 (-763)) (-4 *4 (-13 (-1047) (-707 (-409 (-568))))) (-4 *5 (-842)) (-5 *1 (-1258 *4 *5 *2)) (-4 *2 (-1263 *5 *4))))) 
-(-10 -7 (-15 -1894 (|#3| |#3| (-763))) (-15 -4418 (|#3| |#3| (-763))) (-15 -4460 (|#3| |#3| |#3| (-763)))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2981 (((-634 |#1|) $) 39)) (-2689 (((-3 $ "failed") $ $) 18)) (-2726 (($ $ $) 42 (|has| |#2| (-172))) (($ $ (-763)) 41 (|has| |#2| (-172)))) (-4490 (($) 16 T CONST)) (-4242 (($ $ |#1|) 53) (($ $ (-814 |#1|)) 52) (($ $ $) 51)) (-3668 (((-3 (-814 |#1|) "failed") $) 63)) (-2857 (((-814 |#1|) $) 62)) (-2902 (((-3 $ "failed") $) 33)) (-1335 (((-121) $) 44)) (-3201 (($ $) 43)) (-1598 (((-121) $) 30)) (-2171 (((-121) $) 49)) (-2356 (($ (-814 |#1|) |#2|) 50)) (-2310 (($ $) 48)) (-1690 (((-2 (|:| |k| (-814 |#1|)) (|:| |c| |#2|)) $) 59)) (-1341 (((-814 |#1|) $) 60)) (-2797 (($ (-1 |#2| |#2|) $) 40)) (-1797 (($ $ |#1|) 56) (($ $ (-814 |#1|)) 55) (($ $ $) 54)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-2475 (((-121) $) 46)) (-3497 ((|#2| $) 45)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ |#2|) 67) (($ (-814 |#1|)) 64) (($ |#1|) 47)) (-2350 ((|#2| $ (-814 |#1|)) 58) ((|#2| $ $) 57)) (-3425 (((-763)) 28)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ |#2| $) 66) (($ $ |#2|) 65) (($ |#1| $) 61))) 
-(((-1259 |#1| |#2|) (-1275) (-842) (-1047)) (T -1259)) 
-((* (*1 *1 *1 *2) (-12 (-4 *1 (-1259 *3 *2)) (-4 *3 (-842)) (-4 *2 (-1047)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-1259 *2 *3)) (-4 *2 (-842)) (-4 *3 (-1047)))) (-1341 (*1 *2 *1) (-12 (-4 *1 (-1259 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047)) (-5 *2 (-814 *3)))) (-1690 (*1 *2 *1) (-12 (-4 *1 (-1259 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047)) (-5 *2 (-2 (|:| |k| (-814 *3)) (|:| |c| *4))))) (-2350 (*1 *2 *1 *3) (-12 (-5 *3 (-814 *4)) (-4 *1 (-1259 *4 *2)) (-4 *4 (-842)) (-4 *2 (-1047)))) (-2350 (*1 *2 *1 *1) (-12 (-4 *1 (-1259 *3 *2)) (-4 *3 (-842)) (-4 *2 (-1047)))) (-1797 (*1 *1 *1 *2) (-12 (-4 *1 (-1259 *2 *3)) (-4 *2 (-842)) (-4 *3 (-1047)))) (-1797 (*1 *1 *1 *2) (-12 (-5 *2 (-814 *3)) (-4 *1 (-1259 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047)))) (-1797 (*1 *1 *1 *1) (-12 (-4 *1 (-1259 *2 *3)) (-4 *2 (-842)) (-4 *3 (-1047)))) (-4242 (*1 *1 *1 *2) (-12 (-4 *1 (-1259 *2 *3)) (-4 *2 (-842)) (-4 *3 (-1047)))) (-4242 (*1 *1 *1 *2) (-12 (-5 *2 (-814 *3)) (-4 *1 (-1259 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047)))) (-4242 (*1 *1 *1 *1) (-12 (-4 *1 (-1259 *2 *3)) (-4 *2 (-842)) (-4 *3 (-1047)))) (-2356 (*1 *1 *2 *3) (-12 (-5 *2 (-814 *4)) (-4 *4 (-842)) (-4 *1 (-1259 *4 *3)) (-4 *3 (-1047)))) (-2171 (*1 *2 *1) (-12 (-4 *1 (-1259 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047)) (-5 *2 (-121)))) (-2310 (*1 *1 *1) (-12 (-4 *1 (-1259 *2 *3)) (-4 *2 (-842)) (-4 *3 (-1047)))) (-2747 (*1 *1 *2) (-12 (-4 *1 (-1259 *2 *3)) (-4 *2 (-842)) (-4 *3 (-1047)))) (-2475 (*1 *2 *1) (-12 (-4 *1 (-1259 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047)) (-5 *2 (-121)))) (-3497 (*1 *2 *1) (-12 (-4 *1 (-1259 *3 *2)) (-4 *3 (-842)) (-4 *2 (-1047)))) (-1335 (*1 *2 *1) (-12 (-4 *1 (-1259 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047)) (-5 *2 (-121)))) (-3201 (*1 *1 *1) (-12 (-4 *1 (-1259 *2 *3)) (-4 *2 (-842)) (-4 *3 (-1047)))) (-2726 (*1 *1 *1 *1) (-12 (-4 *1 (-1259 *2 *3)) (-4 *2 (-842)) (-4 *3 (-1047)) (-4 *3 (-172)))) (-2726 (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-1259 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047)) (-4 *4 (-172)))) (-2797 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-1259 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047)))) (-2981 (*1 *2 *1) (-12 (-4 *1 (-1259 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047)) (-5 *2 (-634 *3))))) 
-(-13 (-1047) (-1256 |t#2|) (-1037 (-814 |t#1|)) (-10 -8 (-15 * ($ |t#1| $)) (-15 * ($ $ |t#2|)) (-15 -1341 ((-814 |t#1|) $)) (-15 -1690 ((-2 (|:| |k| (-814 |t#1|)) (|:| |c| |t#2|)) $)) (-15 -2350 (|t#2| $ (-814 |t#1|))) (-15 -2350 (|t#2| $ $)) (-15 -1797 ($ $ |t#1|)) (-15 -1797 ($ $ (-814 |t#1|))) (-15 -1797 ($ $ $)) (-15 -4242 ($ $ |t#1|)) (-15 -4242 ($ $ (-814 |t#1|))) (-15 -4242 ($ $ $)) (-15 -2356 ($ (-814 |t#1|) |t#2|)) (-15 -2171 ((-121) $)) (-15 -2310 ($ $)) (-15 -2747 ($ |t#1|)) (-15 -2475 ((-121) $)) (-15 -3497 (|t#2| $)) (-15 -1335 ((-121) $)) (-15 -3201 ($ $)) (IF (|has| |t#2| (-172)) (PROGN (-15 -2726 ($ $ $)) (-15 -2726 ($ $ (-763)))) |noBranch|) (-15 -2797 ($ (-1 |t#2| |t#2|) $)) (-15 -2981 ((-634 |t#1|) $)) (IF (|has| |t#2| (-6 -4514)) (-6 -4514) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#2|) |has| |#2| (-172)) ((-105) . T) ((-120 |#2| |#2|) . T) ((-137) . T) ((-608 (-850)) . T) ((-637 |#2|) . T) ((-637 $) . T) ((-707 |#2|) |has| |#2| (-172)) ((-716) . T) ((-1037 (-814 |#1|)) . T) ((-1053 |#2|) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1256 |#2|) . T)) 
-((-2134 (((-121) $) 13)) (-1413 (((-121) $) 12)) (-3412 (($ $) 17) (($ $ (-763)) 18))) 
-(((-1260 |#1| |#2|) (-10 -8 (-15 -3412 (|#1| |#1| (-763))) (-15 -3412 (|#1| |#1|)) (-15 -2134 ((-121) |#1|)) (-15 -1413 ((-121) |#1|))) (-1261 |#2|) (-365)) (T -1260)) 
-NIL 
-(-10 -8 (-15 -3412 (|#1| |#1| (-763))) (-15 -3412 (|#1| |#1|)) (-15 -2134 ((-121) |#1|)) (-15 -1413 ((-121) |#1|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2431 (((-2 (|:| -3591 $) (|:| -4508 $) (|:| |associate| $)) $) 40)) (-3661 (($ $) 39)) (-4426 (((-121) $) 37)) (-2134 (((-121) $) 90)) (-3800 (((-763)) 86)) (-2689 (((-3 $ "failed") $ $) 18)) (-3045 (($ $) 71)) (-3498 (((-420 $) $) 70)) (-2589 (((-121) $ $) 57)) (-4490 (($) 16 T CONST)) (-3668 (((-3 |#1| "failed") $) 97)) (-2857 ((|#1| $) 96)) (-2403 (($ $ $) 53)) (-2902 (((-3 $ "failed") $) 33)) (-2414 (($ $ $) 54)) (-4422 (((-2 (|:| -2350 (-634 $)) (|:| -2707 $)) (-634 $)) 49)) (-1887 (($ $ (-763)) 83 (-2199 (|has| |#1| (-148)) (|has| |#1| (-370)))) (($ $) 82 (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-2197 (((-121) $) 69)) (-1844 (((-828 (-917)) $) 80 (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-1598 (((-121) $) 30)) (-2855 (((-3 (-634 $) "failed") (-634 $) $) 50)) (-2498 (($ $ $) 45) (($ (-634 $)) 44)) (-1893 (((-1143) $) 9)) (-2083 (($ $) 68)) (-4051 (((-121) $) 89)) (-4025 (((-1108) $) 10)) (-3603 (((-1157 $) (-1157 $) (-1157 $)) 43)) (-2723 (($ $ $) 47) (($ (-634 $)) 46)) (-3850 (((-420 $) $) 72)) (-4321 (((-828 (-917))) 87)) (-3833 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2707 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2597 (((-3 $ "failed") $ $) 41)) (-3922 (((-3 (-634 $) "failed") (-634 $) $) 48)) (-1466 (((-763) $) 56)) (-1854 (((-2 (|:| -4409 $) (|:| -2607 $)) $ $) 55)) (-2721 (((-3 (-763) "failed") $ $) 81 (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-3108 (((-139)) 95)) (-1836 (((-828 (-917)) $) 88)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ $) 42) (($ (-409 (-568))) 63) (($ |#1|) 98)) (-3385 (((-3 $ "failed") $) 79 (-2199 (|has| |#1| (-148)) (|has| |#1| (-370))))) (-3425 (((-763)) 28)) (-2273 (((-121) $ $) 38)) (-1413 (((-121) $) 91)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32) (($ $ (-568)) 67)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-3412 (($ $) 85 (|has| |#1| (-370))) (($ $ (-763)) 84 (|has| |#1| (-370)))) (-1719 (((-121) $ $) 6)) (-1781 (($ $ $) 62) (($ $ |#1|) 94)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31) (($ $ (-568)) 66)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ $ (-409 (-568))) 65) (($ (-409 (-568)) $) 64) (($ $ |#1|) 93) (($ |#1| $) 92))) 
-(((-1261 |#1|) (-1275) (-365)) (T -1261)) 
-((-1413 (*1 *2 *1) (-12 (-4 *1 (-1261 *3)) (-4 *3 (-365)) (-5 *2 (-121)))) (-2134 (*1 *2 *1) (-12 (-4 *1 (-1261 *3)) (-4 *3 (-365)) (-5 *2 (-121)))) (-4051 (*1 *2 *1) (-12 (-4 *1 (-1261 *3)) (-4 *3 (-365)) (-5 *2 (-121)))) (-1836 (*1 *2 *1) (-12 (-4 *1 (-1261 *3)) (-4 *3 (-365)) (-5 *2 (-828 (-917))))) (-4321 (*1 *2) (-12 (-4 *1 (-1261 *3)) (-4 *3 (-365)) (-5 *2 (-828 (-917))))) (-3800 (*1 *2) (-12 (-4 *1 (-1261 *3)) (-4 *3 (-365)) (-5 *2 (-763)))) (-3412 (*1 *1 *1) (-12 (-4 *1 (-1261 *2)) (-4 *2 (-365)) (-4 *2 (-370)))) (-3412 (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-1261 *3)) (-4 *3 (-365)) (-4 *3 (-370))))) 
-(-13 (-365) (-1037 |t#1|) (-1251 |t#1|) (-10 -8 (IF (|has| |t#1| (-150)) (-6 (-150)) |noBranch|) (IF (|has| |t#1| (-148)) (-6 (-404)) |noBranch|) (-15 -1413 ((-121) $)) (-15 -2134 ((-121) $)) (-15 -4051 ((-121) $)) (-15 -1836 ((-828 (-917)) $)) (-15 -4321 ((-828 (-917)))) (-15 -3800 ((-763))) (IF (|has| |t#1| (-370)) (PROGN (-6 (-404)) (-15 -3412 ($ $)) (-15 -3412 ($ $ (-763)))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-409 (-568))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-409 (-568)) (-409 (-568))) . T) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-137) . T) ((-148) -2199 (|has| |#1| (-370)) (|has| |#1| (-148))) ((-150) |has| |#1| (-150)) ((-608 (-850)) . T) ((-172) . T) ((-238) . T) ((-285) . T) ((-301) . T) ((-365) . T) ((-404) -2199 (|has| |#1| (-370)) (|has| |#1| (-148))) ((-453) . T) ((-558) . T) ((-637 (-409 (-568))) . T) ((-637 |#1|) . T) ((-637 $) . T) ((-707 (-409 (-568))) . T) ((-707 |#1|) . T) ((-707 $) . T) ((-716) . T) ((-916) . T) ((-1037 |#1|) . T) ((-1053 (-409 (-568))) . T) ((-1053 |#1|) . T) ((-1053 $) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1199) . T) ((-1251 |#1|) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2981 (((-634 |#1|) $) 84)) (-3784 (($ $ (-763)) 87)) (-2689 (((-3 $ "failed") $ $) NIL)) (-2726 (($ $ $) NIL (|has| |#2| (-172))) (($ $ (-763)) NIL (|has| |#2| (-172)))) (-4490 (($) NIL T CONST)) (-4242 (($ $ |#1|) NIL) (($ $ (-814 |#1|)) NIL) (($ $ $) NIL)) (-3668 (((-3 (-814 |#1|) "failed") $) NIL) (((-3 (-888 |#1|) "failed") $) NIL)) (-2857 (((-814 |#1|) $) NIL) (((-888 |#1|) $) NIL)) (-2116 (($ $) 86)) (-2902 (((-3 $ "failed") $) NIL)) (-1335 (((-121) $) 75)) (-3201 (($ $) 79)) (-2062 (($ $ $ (-763)) 88)) (-1598 (((-121) $) NIL)) (-3971 (((-763) $) NIL)) (-3062 (((-634 $) $) NIL)) (-2171 (((-121) $) NIL)) (-2356 (($ (-814 |#1|) |#2|) NIL) (($ (-888 |#1|) |#2|) 25)) (-2310 (($ $) 101)) (-1690 (((-2 (|:| |k| (-814 |#1|)) (|:| |c| |#2|)) $) NIL)) (-1341 (((-814 |#1|) $) NIL)) (-3421 (((-814 |#1|) $) NIL)) (-2797 (($ (-1 |#2| |#2|) $) NIL)) (-1797 (($ $ |#1|) NIL) (($ $ (-814 |#1|)) NIL) (($ $ $) NIL)) (-4418 (($ $ (-763)) 95 (|has| |#2| (-707 (-409 (-568)))))) (-3016 (((-634 (-2 (|:| |k| (-888 |#1|)) (|:| |c| |#2|))) $) NIL)) (-3749 (((-2 (|:| |k| (-888 |#1|)) (|:| |c| |#2|)) $) NIL)) (-2099 (((-888 |#1|) $) 69)) (-2104 ((|#2| $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-1894 (($ $ (-763)) 92 (|has| |#2| (-707 (-409 (-568)))))) (-1836 (((-763) $) 85)) (-2475 (((-121) $) 70)) (-3497 ((|#2| $) 74)) (-2747 (((-850) $) 56) (($ (-568)) NIL) (($ |#2|) 50) (($ (-814 |#1|)) NIL) (($ |#1|) 58) (($ (-888 |#1|)) NIL) (($ (-656 |#1| |#2|)) 42) (((-1257 |#1| |#2|) $) 63) (((-1266 |#1| |#2|) $) 68)) (-3304 (((-634 |#2|) $) NIL)) (-2079 ((|#2| $ (-888 |#1|)) NIL)) (-2350 ((|#2| $ (-814 |#1|)) NIL) ((|#2| $ $) NIL)) (-3425 (((-763)) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 21 T CONST)) (-1557 (($) 24 T CONST)) (-3288 (((-3 (-656 |#1| |#2|) "failed") $) 100)) (-1719 (((-121) $ $) 64)) (-1775 (($ $) 94) (($ $ $) 93)) (-1769 (($ $ $) 20)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 43) (($ |#2| $) 19) (($ $ |#2|) NIL) (($ |#1| $) NIL) (($ |#2| (-888 |#1|)) NIL))) 
-(((-1262 |#1| |#2|) (-13 (-1263 |#1| |#2|) (-384 |#2| (-888 |#1|)) (-10 -8 (-15 -2747 ($ (-656 |#1| |#2|))) (-15 -2747 ((-1257 |#1| |#2|) $)) (-15 -2747 ((-1266 |#1| |#2|) $)) (-15 -3288 ((-3 (-656 |#1| |#2|) "failed") $)) (-15 -2062 ($ $ $ (-763))) (IF (|has| |#2| (-707 (-409 (-568)))) (PROGN (-15 -1894 ($ $ (-763))) (-15 -4418 ($ $ (-763)))) |noBranch|))) (-842) (-172)) (T -1262)) 
-((-2747 (*1 *1 *2) (-12 (-5 *2 (-656 *3 *4)) (-4 *3 (-842)) (-4 *4 (-172)) (-5 *1 (-1262 *3 *4)))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-1257 *3 *4)) (-5 *1 (-1262 *3 *4)) (-4 *3 (-842)) (-4 *4 (-172)))) (-2747 (*1 *2 *1) (-12 (-5 *2 (-1266 *3 *4)) (-5 *1 (-1262 *3 *4)) (-4 *3 (-842)) (-4 *4 (-172)))) (-3288 (*1 *2 *1) (|partial| -12 (-5 *2 (-656 *3 *4)) (-5 *1 (-1262 *3 *4)) (-4 *3 (-842)) (-4 *4 (-172)))) (-2062 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-1262 *3 *4)) (-4 *3 (-842)) (-4 *4 (-172)))) (-1894 (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-1262 *3 *4)) (-4 *4 (-707 (-409 (-568)))) (-4 *3 (-842)) (-4 *4 (-172)))) (-4418 (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-1262 *3 *4)) (-4 *4 (-707 (-409 (-568)))) (-4 *3 (-842)) (-4 *4 (-172))))) 
-(-13 (-1263 |#1| |#2|) (-384 |#2| (-888 |#1|)) (-10 -8 (-15 -2747 ($ (-656 |#1| |#2|))) (-15 -2747 ((-1257 |#1| |#2|) $)) (-15 -2747 ((-1266 |#1| |#2|) $)) (-15 -3288 ((-3 (-656 |#1| |#2|) "failed") $)) (-15 -2062 ($ $ $ (-763))) (IF (|has| |#2| (-707 (-409 (-568)))) (PROGN (-15 -1894 ($ $ (-763))) (-15 -4418 ($ $ (-763)))) |noBranch|))) 
-((-2449 (((-121) $ $) 7)) (-1819 (((-121) $) 15)) (-2981 (((-634 |#1|) $) 39)) (-3784 (($ $ (-763)) 68)) (-2689 (((-3 $ "failed") $ $) 18)) (-2726 (($ $ $) 42 (|has| |#2| (-172))) (($ $ (-763)) 41 (|has| |#2| (-172)))) (-4490 (($) 16 T CONST)) (-4242 (($ $ |#1|) 53) (($ $ (-814 |#1|)) 52) (($ $ $) 51)) (-3668 (((-3 (-814 |#1|) "failed") $) 63)) (-2857 (((-814 |#1|) $) 62)) (-2902 (((-3 $ "failed") $) 33)) (-1335 (((-121) $) 44)) (-3201 (($ $) 43)) (-1598 (((-121) $) 30)) (-2171 (((-121) $) 49)) (-2356 (($ (-814 |#1|) |#2|) 50)) (-2310 (($ $) 48)) (-1690 (((-2 (|:| |k| (-814 |#1|)) (|:| |c| |#2|)) $) 59)) (-1341 (((-814 |#1|) $) 60)) (-3421 (((-814 |#1|) $) 70)) (-2797 (($ (-1 |#2| |#2|) $) 40)) (-1797 (($ $ |#1|) 56) (($ $ (-814 |#1|)) 55) (($ $ $) 54)) (-1893 (((-1143) $) 9)) (-4025 (((-1108) $) 10)) (-1836 (((-763) $) 69)) (-2475 (((-121) $) 46)) (-3497 ((|#2| $) 45)) (-2747 (((-850) $) 11) (($ (-568)) 27) (($ |#2|) 67) (($ (-814 |#1|)) 64) (($ |#1|) 47)) (-2350 ((|#2| $ (-814 |#1|)) 58) ((|#2| $ $) 57)) (-3425 (((-763)) 28)) (-1889 (($ $ (-917)) 25) (($ $ (-763)) 32)) (-3058 (($) 17 T CONST)) (-1557 (($) 29 T CONST)) (-1719 (((-121) $ $) 6)) (-1775 (($ $) 21) (($ $ $) 20)) (-1769 (($ $ $) 13)) (** (($ $ (-917)) 24) (($ $ (-763)) 31)) (* (($ (-917) $) 12) (($ (-763) $) 14) (($ (-568) $) 19) (($ $ $) 23) (($ |#2| $) 66) (($ $ |#2|) 65) (($ |#1| $) 61))) 
-(((-1263 |#1| |#2|) (-1275) (-842) (-1047)) (T -1263)) 
-((-3421 (*1 *2 *1) (-12 (-4 *1 (-1263 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047)) (-5 *2 (-814 *3)))) (-1836 (*1 *2 *1) (-12 (-4 *1 (-1263 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047)) (-5 *2 (-763)))) (-3784 (*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-1263 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047))))) 
-(-13 (-1259 |t#1| |t#2|) (-10 -8 (-15 -3421 ((-814 |t#1|) $)) (-15 -1836 ((-763) $)) (-15 -3784 ($ $ (-763))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#2|) |has| |#2| (-172)) ((-105) . T) ((-120 |#2| |#2|) . T) ((-137) . T) ((-608 (-850)) . T) ((-637 |#2|) . T) ((-637 $) . T) ((-707 |#2|) |has| |#2| (-172)) ((-716) . T) ((-1037 (-814 |#1|)) . T) ((-1053 |#2|) . T) ((-1047) . T) ((-1054) . T) ((-1102) . T) ((-1090) . T) ((-1256 |#2|) . T) ((-1259 |#1| |#2|) . T)) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2981 (((-634 (-1161)) $) NIL)) (-1437 (($ (-1257 (-1161) |#1|)) NIL)) (-3784 (($ $ (-763)) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-2726 (($ $ $) NIL (|has| |#1| (-172))) (($ $ (-763)) NIL (|has| |#1| (-172)))) (-4490 (($) NIL T CONST)) (-4242 (($ $ (-1161)) NIL) (($ $ (-814 (-1161))) NIL) (($ $ $) NIL)) (-3668 (((-3 (-814 (-1161)) "failed") $) NIL)) (-2857 (((-814 (-1161)) $) NIL)) (-2902 (((-3 $ "failed") $) NIL)) (-1335 (((-121) $) NIL)) (-3201 (($ $) NIL)) (-1598 (((-121) $) NIL)) (-2171 (((-121) $) NIL)) (-2356 (($ (-814 (-1161)) |#1|) NIL)) (-2310 (($ $) NIL)) (-1690 (((-2 (|:| |k| (-814 (-1161))) (|:| |c| |#1|)) $) NIL)) (-1341 (((-814 (-1161)) $) NIL)) (-3421 (((-814 (-1161)) $) NIL)) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-1797 (($ $ (-1161)) NIL) (($ $ (-814 (-1161))) NIL) (($ $ $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2791 (((-1257 (-1161) |#1|) $) NIL)) (-1836 (((-763) $) NIL)) (-2475 (((-121) $) NIL)) (-3497 ((|#1| $) NIL)) (-2747 (((-850) $) NIL) (($ (-568)) NIL) (($ |#1|) NIL) (($ (-814 (-1161))) NIL) (($ (-1161)) NIL)) (-2350 ((|#1| $ (-814 (-1161))) NIL) ((|#1| $ $) NIL)) (-3425 (((-763)) NIL)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) NIL T CONST)) (-2759 (((-634 (-2 (|:| |k| (-1161)) (|:| |c| $))) $) NIL)) (-1557 (($) NIL T CONST)) (-1719 (((-121) $ $) NIL)) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) NIL)) (** (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-1161) $) NIL))) 
-(((-1264 |#1|) (-13 (-1263 (-1161) |#1|) (-10 -8 (-15 -2791 ((-1257 (-1161) |#1|) $)) (-15 -1437 ($ (-1257 (-1161) |#1|))) (-15 -2759 ((-634 (-2 (|:| |k| (-1161)) (|:| |c| $))) $)))) (-1047)) (T -1264)) 
-((-2791 (*1 *2 *1) (-12 (-5 *2 (-1257 (-1161) *3)) (-5 *1 (-1264 *3)) (-4 *3 (-1047)))) (-1437 (*1 *1 *2) (-12 (-5 *2 (-1257 (-1161) *3)) (-4 *3 (-1047)) (-5 *1 (-1264 *3)))) (-2759 (*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |k| (-1161)) (|:| |c| (-1264 *3))))) (-5 *1 (-1264 *3)) (-4 *3 (-1047))))) 
-(-13 (-1263 (-1161) |#1|) (-10 -8 (-15 -2791 ((-1257 (-1161) |#1|) $)) (-15 -1437 ($ (-1257 (-1161) |#1|))) (-15 -2759 ((-634 (-2 (|:| |k| (-1161)) (|:| |c| $))) $)))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2689 (((-3 $ "failed") $ $) NIL)) (-4490 (($) NIL T CONST)) (-3668 (((-3 |#2| "failed") $) NIL)) (-2857 ((|#2| $) NIL)) (-2116 (($ $) NIL)) (-2902 (((-3 $ "failed") $) 34)) (-1335 (((-121) $) 29)) (-3201 (($ $) 30)) (-1598 (((-121) $) NIL)) (-3971 (((-763) $) NIL)) (-3062 (((-634 $) $) NIL)) (-2171 (((-121) $) NIL)) (-2356 (($ |#2| |#1|) NIL)) (-1341 ((|#2| $) 19)) (-3421 ((|#2| $) 16)) (-2797 (($ (-1 |#1| |#1|) $) NIL)) (-3016 (((-634 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) NIL)) (-3749 (((-2 (|:| |k| |#2|) (|:| |c| |#1|)) $) NIL)) (-2099 ((|#2| $) NIL)) (-2104 ((|#1| $) NIL)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2475 (((-121) $) 27)) (-3497 ((|#1| $) 28)) (-2747 (((-850) $) 53) (($ (-568)) 38) (($ |#1|) 33) (($ |#2|) NIL)) (-3304 (((-634 |#1|) $) NIL)) (-2079 ((|#1| $ |#2|) NIL)) (-2350 ((|#1| $ |#2|) 24)) (-3425 (((-763)) 14)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 25 T CONST)) (-1557 (($) 11 T CONST)) (-1719 (((-121) $ $) 26)) (-1781 (($ $ |#1|) 55 (|has| |#1| (-365)))) (-1775 (($ $) NIL) (($ $ $) NIL)) (-1769 (($ $ $) 42)) (** (($ $ (-917)) NIL) (($ $ (-763)) 44)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) NIL) (($ $ $) 43) (($ |#1| $) 39) (($ $ |#1|) NIL) (($ |#1| |#2|) NIL)) (-1699 (((-763) $) 15))) 
-(((-1265 |#1| |#2|) (-13 (-1047) (-1256 |#1|) (-384 |#1| |#2|) (-10 -8 (-15 * ($ $ |#1|)) (-15 -1699 ((-763) $)) (-15 -2747 ($ |#2|)) (-15 -3421 (|#2| $)) (-15 -1341 (|#2| $)) (-15 -2116 ($ $)) (-15 -2350 (|#1| $ |#2|)) (-15 -2475 ((-121) $)) (-15 -3497 (|#1| $)) (-15 -1335 ((-121) $)) (-15 -3201 ($ $)) (-15 -2797 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-365)) (-15 -1781 ($ $ |#1|)) |noBranch|) (IF (|has| |#1| (-6 -4514)) (-6 -4514) |noBranch|) (IF (|has| |#1| (-6 -4518)) (-6 -4518) |noBranch|) (IF (|has| |#1| (-6 -4519)) (-6 -4519) |noBranch|))) (-1047) (-838)) (T -1265)) 
-((* (*1 *1 *1 *2) (-12 (-5 *1 (-1265 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-838)))) (-2116 (*1 *1 *1) (-12 (-5 *1 (-1265 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-838)))) (-2797 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1047)) (-5 *1 (-1265 *3 *4)) (-4 *4 (-838)))) (-2747 (*1 *1 *2) (-12 (-5 *1 (-1265 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-838)))) (-1699 (*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-1265 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-838)))) (-3421 (*1 *2 *1) (-12 (-4 *2 (-838)) (-5 *1 (-1265 *3 *2)) (-4 *3 (-1047)))) (-1341 (*1 *2 *1) (-12 (-4 *2 (-838)) (-5 *1 (-1265 *3 *2)) (-4 *3 (-1047)))) (-2350 (*1 *2 *1 *3) (-12 (-4 *2 (-1047)) (-5 *1 (-1265 *2 *3)) (-4 *3 (-838)))) (-2475 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1265 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-838)))) (-3497 (*1 *2 *1) (-12 (-4 *2 (-1047)) (-5 *1 (-1265 *2 *3)) (-4 *3 (-838)))) (-1335 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1265 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-838)))) (-3201 (*1 *1 *1) (-12 (-5 *1 (-1265 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-838)))) (-1781 (*1 *1 *1 *2) (-12 (-5 *1 (-1265 *2 *3)) (-4 *2 (-365)) (-4 *2 (-1047)) (-4 *3 (-838))))) 
-(-13 (-1047) (-1256 |#1|) (-384 |#1| |#2|) (-10 -8 (-15 * ($ $ |#1|)) (-15 -1699 ((-763) $)) (-15 -2747 ($ |#2|)) (-15 -3421 (|#2| $)) (-15 -1341 (|#2| $)) (-15 -2116 ($ $)) (-15 -2350 (|#1| $ |#2|)) (-15 -2475 ((-121) $)) (-15 -3497 (|#1| $)) (-15 -1335 ((-121) $)) (-15 -3201 ($ $)) (-15 -2797 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-365)) (-15 -1781 ($ $ |#1|)) |noBranch|) (IF (|has| |#1| (-6 -4514)) (-6 -4514) |noBranch|) (IF (|has| |#1| (-6 -4518)) (-6 -4518) |noBranch|) (IF (|has| |#1| (-6 -4519)) (-6 -4519) |noBranch|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) NIL)) (-2981 (((-634 |#1|) $) 119)) (-1437 (($ (-1257 |#1| |#2|)) 43)) (-3784 (($ $ (-763)) 31)) (-2689 (((-3 $ "failed") $ $) NIL)) (-2726 (($ $ $) 47 (|has| |#2| (-172))) (($ $ (-763)) 45 (|has| |#2| (-172)))) (-4490 (($) NIL T CONST)) (-4242 (($ $ |#1|) 101) (($ $ (-814 |#1|)) 102) (($ $ $) 25)) (-3668 (((-3 (-814 |#1|) "failed") $) NIL)) (-2857 (((-814 |#1|) $) NIL)) (-2902 (((-3 $ "failed") $) 109)) (-1335 (((-121) $) 104)) (-3201 (($ $) 105)) (-1598 (((-121) $) NIL)) (-2171 (((-121) $) NIL)) (-2356 (($ (-814 |#1|) |#2|) 19)) (-2310 (($ $) NIL)) (-1690 (((-2 (|:| |k| (-814 |#1|)) (|:| |c| |#2|)) $) NIL)) (-1341 (((-814 |#1|) $) 110)) (-3421 (((-814 |#1|) $) 113)) (-2797 (($ (-1 |#2| |#2|) $) 118)) (-1797 (($ $ |#1|) 99) (($ $ (-814 |#1|)) 100) (($ $ $) 55)) (-1893 (((-1143) $) NIL)) (-4025 (((-1108) $) NIL)) (-2791 (((-1257 |#1| |#2|) $) 83)) (-1836 (((-763) $) 116)) (-2475 (((-121) $) 69)) (-3497 ((|#2| $) 27)) (-2747 (((-850) $) 62) (($ (-568)) 76) (($ |#2|) 73) (($ (-814 |#1|)) 17) (($ |#1|) 72)) (-2350 ((|#2| $ (-814 |#1|)) 103) ((|#2| $ $) 26)) (-3425 (((-763)) 107)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 14 T CONST)) (-2759 (((-634 (-2 (|:| |k| |#1|) (|:| |c| $))) $) 52)) (-1557 (($) 28 T CONST)) (-1719 (((-121) $ $) 13)) (-1775 (($ $) 87) (($ $ $) 90)) (-1769 (($ $ $) 54)) (** (($ $ (-917)) NIL) (($ $ (-763)) 48)) (* (($ (-917) $) NIL) (($ (-763) $) 46) (($ (-568) $) 93) (($ $ $) 21) (($ |#2| $) 18) (($ $ |#2|) 20) (($ |#1| $) 81))) 
-(((-1266 |#1| |#2|) (-13 (-1263 |#1| |#2|) (-10 -8 (-15 -2791 ((-1257 |#1| |#2|) $)) (-15 -1437 ($ (-1257 |#1| |#2|))) (-15 -2759 ((-634 (-2 (|:| |k| |#1|) (|:| |c| $))) $)))) (-842) (-1047)) (T -1266)) 
-((-2791 (*1 *2 *1) (-12 (-5 *2 (-1257 *3 *4)) (-5 *1 (-1266 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047)))) (-1437 (*1 *1 *2) (-12 (-5 *2 (-1257 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047)) (-5 *1 (-1266 *3 *4)))) (-2759 (*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |k| *3) (|:| |c| (-1266 *3 *4))))) (-5 *1 (-1266 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047))))) 
-(-13 (-1263 |#1| |#2|) (-10 -8 (-15 -2791 ((-1257 |#1| |#2|) $)) (-15 -1437 ($ (-1257 |#1| |#2|))) (-15 -2759 ((-634 (-2 (|:| |k| |#1|) (|:| |c| $))) $)))) 
-((-2928 (((-634 (-1141 |#1|)) (-1 (-634 (-1141 |#1|)) (-634 (-1141 |#1|))) (-568)) 15) (((-1141 |#1|) (-1 (-1141 |#1|) (-1141 |#1|))) 11))) 
-(((-1267 |#1|) (-10 -7 (-15 -2928 ((-1141 |#1|) (-1 (-1141 |#1|) (-1141 |#1|)))) (-15 -2928 ((-634 (-1141 |#1|)) (-1 (-634 (-1141 |#1|)) (-634 (-1141 |#1|))) (-568)))) (-1195)) (T -1267)) 
-((-2928 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-634 (-1141 *5)) (-634 (-1141 *5)))) (-5 *4 (-568)) (-5 *2 (-634 (-1141 *5))) (-5 *1 (-1267 *5)) (-4 *5 (-1195)))) (-2928 (*1 *2 *3) (-12 (-5 *3 (-1 (-1141 *4) (-1141 *4))) (-5 *2 (-1141 *4)) (-5 *1 (-1267 *4)) (-4 *4 (-1195))))) 
-(-10 -7 (-15 -2928 ((-1141 |#1|) (-1 (-1141 |#1|) (-1141 |#1|)))) (-15 -2928 ((-634 (-1141 |#1|)) (-1 (-634 (-1141 |#1|)) (-634 (-1141 |#1|))) (-568)))) 
-((-4385 (((-634 (-2 (|:| -3722 (-1157 |#1|)) (|:| -1656 (-634 (-953 |#1|))))) (-634 (-953 |#1|))) 145) (((-634 (-2 (|:| -3722 (-1157 |#1|)) (|:| -1656 (-634 (-953 |#1|))))) (-634 (-953 |#1|)) (-121)) 144) (((-634 (-2 (|:| -3722 (-1157 |#1|)) (|:| -1656 (-634 (-953 |#1|))))) (-634 (-953 |#1|)) (-121) (-121)) 143) (((-634 (-2 (|:| -3722 (-1157 |#1|)) (|:| -1656 (-634 (-953 |#1|))))) (-634 (-953 |#1|)) (-121) (-121) (-121)) 142) (((-634 (-2 (|:| -3722 (-1157 |#1|)) (|:| -1656 (-634 (-953 |#1|))))) (-1044 |#1| |#2|)) 127)) (-1299 (((-634 (-1044 |#1| |#2|)) (-634 (-953 |#1|))) 70) (((-634 (-1044 |#1| |#2|)) (-634 (-953 |#1|)) (-121)) 69) (((-634 (-1044 |#1| |#2|)) (-634 (-953 |#1|)) (-121) (-121)) 68)) (-3498 (((-634 (-1131 |#1| (-534 (-852 |#3|)) (-852 |#3|) (-775 |#1| (-852 |#3|)))) (-1044 |#1| |#2|)) 59)) (-2531 (((-634 (-634 (-1023 (-409 |#1|)))) (-634 (-953 |#1|))) 112) (((-634 (-634 (-1023 (-409 |#1|)))) (-634 (-953 |#1|)) (-121)) 111) (((-634 (-634 (-1023 (-409 |#1|)))) (-634 (-953 |#1|)) (-121) (-121)) 110) (((-634 (-634 (-1023 (-409 |#1|)))) (-634 (-953 |#1|)) (-121) (-121) (-121)) 109) (((-634 (-634 (-1023 (-409 |#1|)))) (-1044 |#1| |#2|)) 104)) (-1473 (((-634 (-634 (-1023 (-409 |#1|)))) (-634 (-953 |#1|))) 117) (((-634 (-634 (-1023 (-409 |#1|)))) (-634 (-953 |#1|)) (-121)) 116) (((-634 (-634 (-1023 (-409 |#1|)))) (-634 (-953 |#1|)) (-121) (-121)) 115) (((-634 (-634 (-1023 (-409 |#1|)))) (-1044 |#1| |#2|)) 114)) (-4280 (((-634 (-775 |#1| (-852 |#3|))) (-1131 |#1| (-534 (-852 |#3|)) (-852 |#3|) (-775 |#1| (-852 |#3|)))) 96) (((-1157 (-1023 (-409 |#1|))) (-1157 |#1|)) 87) (((-953 (-1023 (-409 |#1|))) (-775 |#1| (-852 |#3|))) 94) (((-953 (-1023 (-409 |#1|))) (-953 |#1|)) 92) (((-775 |#1| (-852 |#3|)) (-775 |#1| (-852 |#2|))) 32))) 
-(((-1268 |#1| |#2| |#3|) (-10 -7 (-15 -1299 ((-634 (-1044 |#1| |#2|)) (-634 (-953 |#1|)) (-121) (-121))) (-15 -1299 ((-634 (-1044 |#1| |#2|)) (-634 (-953 |#1|)) (-121))) (-15 -1299 ((-634 (-1044 |#1| |#2|)) (-634 (-953 |#1|)))) (-15 -4385 ((-634 (-2 (|:| -3722 (-1157 |#1|)) (|:| -1656 (-634 (-953 |#1|))))) (-1044 |#1| |#2|))) (-15 -4385 ((-634 (-2 (|:| -3722 (-1157 |#1|)) (|:| -1656 (-634 (-953 |#1|))))) (-634 (-953 |#1|)) (-121) (-121) (-121))) (-15 -4385 ((-634 (-2 (|:| -3722 (-1157 |#1|)) (|:| -1656 (-634 (-953 |#1|))))) (-634 (-953 |#1|)) (-121) (-121))) (-15 -4385 ((-634 (-2 (|:| -3722 (-1157 |#1|)) (|:| -1656 (-634 (-953 |#1|))))) (-634 (-953 |#1|)) (-121))) (-15 -4385 ((-634 (-2 (|:| -3722 (-1157 |#1|)) (|:| -1656 (-634 (-953 |#1|))))) (-634 (-953 |#1|)))) (-15 -2531 ((-634 (-634 (-1023 (-409 |#1|)))) (-1044 |#1| |#2|))) (-15 -2531 ((-634 (-634 (-1023 (-409 |#1|)))) (-634 (-953 |#1|)) (-121) (-121) (-121))) (-15 -2531 ((-634 (-634 (-1023 (-409 |#1|)))) (-634 (-953 |#1|)) (-121) (-121))) (-15 -2531 ((-634 (-634 (-1023 (-409 |#1|)))) (-634 (-953 |#1|)) (-121))) (-15 -2531 ((-634 (-634 (-1023 (-409 |#1|)))) (-634 (-953 |#1|)))) (-15 -1473 ((-634 (-634 (-1023 (-409 |#1|)))) (-1044 |#1| |#2|))) (-15 -1473 ((-634 (-634 (-1023 (-409 |#1|)))) (-634 (-953 |#1|)) (-121) (-121))) (-15 -1473 ((-634 (-634 (-1023 (-409 |#1|)))) (-634 (-953 |#1|)) (-121))) (-15 -1473 ((-634 (-634 (-1023 (-409 |#1|)))) (-634 (-953 |#1|)))) (-15 -3498 ((-634 (-1131 |#1| (-534 (-852 |#3|)) (-852 |#3|) (-775 |#1| (-852 |#3|)))) (-1044 |#1| |#2|))) (-15 -4280 ((-775 |#1| (-852 |#3|)) (-775 |#1| (-852 |#2|)))) (-15 -4280 ((-953 (-1023 (-409 |#1|))) (-953 |#1|))) (-15 -4280 ((-953 (-1023 (-409 |#1|))) (-775 |#1| (-852 |#3|)))) (-15 -4280 ((-1157 (-1023 (-409 |#1|))) (-1157 |#1|))) (-15 -4280 ((-634 (-775 |#1| (-852 |#3|))) (-1131 |#1| (-534 (-852 |#3|)) (-852 |#3|) (-775 |#1| (-852 |#3|)))))) (-13 (-840) (-301) (-150) (-1021)) (-634 (-1161)) (-634 (-1161))) (T -1268)) 
-((-4280 (*1 *2 *3) (-12 (-5 *3 (-1131 *4 (-534 (-852 *6)) (-852 *6) (-775 *4 (-852 *6)))) (-4 *4 (-13 (-840) (-301) (-150) (-1021))) (-14 *6 (-634 (-1161))) (-5 *2 (-634 (-775 *4 (-852 *6)))) (-5 *1 (-1268 *4 *5 *6)) (-14 *5 (-634 (-1161))))) (-4280 (*1 *2 *3) (-12 (-5 *3 (-1157 *4)) (-4 *4 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-1157 (-1023 (-409 *4)))) (-5 *1 (-1268 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-14 *6 (-634 (-1161))))) (-4280 (*1 *2 *3) (-12 (-5 *3 (-775 *4 (-852 *6))) (-4 *4 (-13 (-840) (-301) (-150) (-1021))) (-14 *6 (-634 (-1161))) (-5 *2 (-953 (-1023 (-409 *4)))) (-5 *1 (-1268 *4 *5 *6)) (-14 *5 (-634 (-1161))))) (-4280 (*1 *2 *3) (-12 (-5 *3 (-953 *4)) (-4 *4 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-953 (-1023 (-409 *4)))) (-5 *1 (-1268 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-14 *6 (-634 (-1161))))) (-4280 (*1 *2 *3) (-12 (-5 *3 (-775 *4 (-852 *5))) (-4 *4 (-13 (-840) (-301) (-150) (-1021))) (-14 *5 (-634 (-1161))) (-5 *2 (-775 *4 (-852 *6))) (-5 *1 (-1268 *4 *5 *6)) (-14 *6 (-634 (-1161))))) (-3498 (*1 *2 *3) (-12 (-5 *3 (-1044 *4 *5)) (-4 *4 (-13 (-840) (-301) (-150) (-1021))) (-14 *5 (-634 (-1161))) (-5 *2 (-634 (-1131 *4 (-534 (-852 *6)) (-852 *6) (-775 *4 (-852 *6))))) (-5 *1 (-1268 *4 *5 *6)) (-14 *6 (-634 (-1161))))) (-1473 (*1 *2 *3) (-12 (-5 *3 (-634 (-953 *4))) (-4 *4 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-634 (-1023 (-409 *4))))) (-5 *1 (-1268 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-14 *6 (-634 (-1161))))) (-1473 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-953 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-634 (-1023 (-409 *5))))) (-5 *1 (-1268 *5 *6 *7)) (-14 *6 (-634 (-1161))) (-14 *7 (-634 (-1161))))) (-1473 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-634 (-953 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-634 (-1023 (-409 *5))))) (-5 *1 (-1268 *5 *6 *7)) (-14 *6 (-634 (-1161))) (-14 *7 (-634 (-1161))))) (-1473 (*1 *2 *3) (-12 (-5 *3 (-1044 *4 *5)) (-4 *4 (-13 (-840) (-301) (-150) (-1021))) (-14 *5 (-634 (-1161))) (-5 *2 (-634 (-634 (-1023 (-409 *4))))) (-5 *1 (-1268 *4 *5 *6)) (-14 *6 (-634 (-1161))))) (-2531 (*1 *2 *3) (-12 (-5 *3 (-634 (-953 *4))) (-4 *4 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-634 (-1023 (-409 *4))))) (-5 *1 (-1268 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-14 *6 (-634 (-1161))))) (-2531 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-953 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-634 (-1023 (-409 *5))))) (-5 *1 (-1268 *5 *6 *7)) (-14 *6 (-634 (-1161))) (-14 *7 (-634 (-1161))))) (-2531 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-634 (-953 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-634 (-1023 (-409 *5))))) (-5 *1 (-1268 *5 *6 *7)) (-14 *6 (-634 (-1161))) (-14 *7 (-634 (-1161))))) (-2531 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-634 (-953 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-634 (-1023 (-409 *5))))) (-5 *1 (-1268 *5 *6 *7)) (-14 *6 (-634 (-1161))) (-14 *7 (-634 (-1161))))) (-2531 (*1 *2 *3) (-12 (-5 *3 (-1044 *4 *5)) (-4 *4 (-13 (-840) (-301) (-150) (-1021))) (-14 *5 (-634 (-1161))) (-5 *2 (-634 (-634 (-1023 (-409 *4))))) (-5 *1 (-1268 *4 *5 *6)) (-14 *6 (-634 (-1161))))) (-4385 (*1 *2 *3) (-12 (-4 *4 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-2 (|:| -3722 (-1157 *4)) (|:| -1656 (-634 (-953 *4)))))) (-5 *1 (-1268 *4 *5 *6)) (-5 *3 (-634 (-953 *4))) (-14 *5 (-634 (-1161))) (-14 *6 (-634 (-1161))))) (-4385 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-2 (|:| -3722 (-1157 *5)) (|:| -1656 (-634 (-953 *5)))))) (-5 *1 (-1268 *5 *6 *7)) (-5 *3 (-634 (-953 *5))) (-14 *6 (-634 (-1161))) (-14 *7 (-634 (-1161))))) (-4385 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-2 (|:| -3722 (-1157 *5)) (|:| -1656 (-634 (-953 *5)))))) (-5 *1 (-1268 *5 *6 *7)) (-5 *3 (-634 (-953 *5))) (-14 *6 (-634 (-1161))) (-14 *7 (-634 (-1161))))) (-4385 (*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-2 (|:| -3722 (-1157 *5)) (|:| -1656 (-634 (-953 *5)))))) (-5 *1 (-1268 *5 *6 *7)) (-5 *3 (-634 (-953 *5))) (-14 *6 (-634 (-1161))) (-14 *7 (-634 (-1161))))) (-4385 (*1 *2 *3) (-12 (-5 *3 (-1044 *4 *5)) (-4 *4 (-13 (-840) (-301) (-150) (-1021))) (-14 *5 (-634 (-1161))) (-5 *2 (-634 (-2 (|:| -3722 (-1157 *4)) (|:| -1656 (-634 (-953 *4)))))) (-5 *1 (-1268 *4 *5 *6)) (-14 *6 (-634 (-1161))))) (-1299 (*1 *2 *3) (-12 (-5 *3 (-634 (-953 *4))) (-4 *4 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-1044 *4 *5))) (-5 *1 (-1268 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-14 *6 (-634 (-1161))))) (-1299 (*1 *2 *3 *4) (-12 (-5 *3 (-634 (-953 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-1044 *5 *6))) (-5 *1 (-1268 *5 *6 *7)) (-14 *6 (-634 (-1161))) (-14 *7 (-634 (-1161))))) (-1299 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-634 (-953 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-1044 *5 *6))) (-5 *1 (-1268 *5 *6 *7)) (-14 *6 (-634 (-1161))) (-14 *7 (-634 (-1161)))))) 
-(-10 -7 (-15 -1299 ((-634 (-1044 |#1| |#2|)) (-634 (-953 |#1|)) (-121) (-121))) (-15 -1299 ((-634 (-1044 |#1| |#2|)) (-634 (-953 |#1|)) (-121))) (-15 -1299 ((-634 (-1044 |#1| |#2|)) (-634 (-953 |#1|)))) (-15 -4385 ((-634 (-2 (|:| -3722 (-1157 |#1|)) (|:| -1656 (-634 (-953 |#1|))))) (-1044 |#1| |#2|))) (-15 -4385 ((-634 (-2 (|:| -3722 (-1157 |#1|)) (|:| -1656 (-634 (-953 |#1|))))) (-634 (-953 |#1|)) (-121) (-121) (-121))) (-15 -4385 ((-634 (-2 (|:| -3722 (-1157 |#1|)) (|:| -1656 (-634 (-953 |#1|))))) (-634 (-953 |#1|)) (-121) (-121))) (-15 -4385 ((-634 (-2 (|:| -3722 (-1157 |#1|)) (|:| -1656 (-634 (-953 |#1|))))) (-634 (-953 |#1|)) (-121))) (-15 -4385 ((-634 (-2 (|:| -3722 (-1157 |#1|)) (|:| -1656 (-634 (-953 |#1|))))) (-634 (-953 |#1|)))) (-15 -2531 ((-634 (-634 (-1023 (-409 |#1|)))) (-1044 |#1| |#2|))) (-15 -2531 ((-634 (-634 (-1023 (-409 |#1|)))) (-634 (-953 |#1|)) (-121) (-121) (-121))) (-15 -2531 ((-634 (-634 (-1023 (-409 |#1|)))) (-634 (-953 |#1|)) (-121) (-121))) (-15 -2531 ((-634 (-634 (-1023 (-409 |#1|)))) (-634 (-953 |#1|)) (-121))) (-15 -2531 ((-634 (-634 (-1023 (-409 |#1|)))) (-634 (-953 |#1|)))) (-15 -1473 ((-634 (-634 (-1023 (-409 |#1|)))) (-1044 |#1| |#2|))) (-15 -1473 ((-634 (-634 (-1023 (-409 |#1|)))) (-634 (-953 |#1|)) (-121) (-121))) (-15 -1473 ((-634 (-634 (-1023 (-409 |#1|)))) (-634 (-953 |#1|)) (-121))) (-15 -1473 ((-634 (-634 (-1023 (-409 |#1|)))) (-634 (-953 |#1|)))) (-15 -3498 ((-634 (-1131 |#1| (-534 (-852 |#3|)) (-852 |#3|) (-775 |#1| (-852 |#3|)))) (-1044 |#1| |#2|))) (-15 -4280 ((-775 |#1| (-852 |#3|)) (-775 |#1| (-852 |#2|)))) (-15 -4280 ((-953 (-1023 (-409 |#1|))) (-953 |#1|))) (-15 -4280 ((-953 (-1023 (-409 |#1|))) (-775 |#1| (-852 |#3|)))) (-15 -4280 ((-1157 (-1023 (-409 |#1|))) (-1157 |#1|))) (-15 -4280 ((-634 (-775 |#1| (-852 |#3|))) (-1131 |#1| (-534 (-852 |#3|)) (-852 |#3|) (-775 |#1| (-852 |#3|)))))) 
-((-3151 (((-3 (-1244 (-409 (-568))) "failed") (-1244 |#1|) |#1|) 17)) (-3040 (((-121) (-1244 |#1|)) 11)) (-1342 (((-3 (-1244 (-568)) "failed") (-1244 |#1|)) 14))) 
-(((-1269 |#1|) (-10 -7 (-15 -3040 ((-121) (-1244 |#1|))) (-15 -1342 ((-3 (-1244 (-568)) "failed") (-1244 |#1|))) (-15 -3151 ((-3 (-1244 (-409 (-568))) "failed") (-1244 |#1|) |#1|))) (-630 (-568))) (T -1269)) 
-((-3151 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1244 *4)) (-4 *4 (-630 (-568))) (-5 *2 (-1244 (-409 (-568)))) (-5 *1 (-1269 *4)))) (-1342 (*1 *2 *3) (|partial| -12 (-5 *3 (-1244 *4)) (-4 *4 (-630 (-568))) (-5 *2 (-1244 (-568))) (-5 *1 (-1269 *4)))) (-3040 (*1 *2 *3) (-12 (-5 *3 (-1244 *4)) (-4 *4 (-630 (-568))) (-5 *2 (-121)) (-5 *1 (-1269 *4))))) 
-(-10 -7 (-15 -3040 ((-121) (-1244 |#1|))) (-15 -1342 ((-3 (-1244 (-568)) "failed") (-1244 |#1|))) (-15 -3151 ((-3 (-1244 (-409 (-568))) "failed") (-1244 |#1|) |#1|))) 
-((-2449 (((-121) $ $) NIL)) (-1819 (((-121) $) 11)) (-2689 (((-3 $ "failed") $ $) NIL)) (-3986 (((-763)) 8)) (-4490 (($) NIL T CONST)) (-2902 (((-3 $ "failed") $) 43)) (-1733 (($) 36)) (-1598 (((-121) $) NIL)) (-2214 (((-3 $ "failed") $) 29)) (-2291 (((-917) $) 15)) (-1893 (((-1143) $) NIL)) (-4436 (($) 25 T CONST)) (-4357 (($ (-917)) 37)) (-4025 (((-1108) $) NIL)) (-4280 (((-568) $) 13)) (-2747 (((-850) $) 22) (($ (-568)) 19)) (-3425 (((-763)) 9)) (-1889 (($ $ (-917)) NIL) (($ $ (-763)) NIL)) (-3058 (($) 23 T CONST)) (-1557 (($) 24 T CONST)) (-1719 (((-121) $ $) 27)) (-1775 (($ $) 38) (($ $ $) 35)) (-1769 (($ $ $) 26)) (** (($ $ (-917)) NIL) (($ $ (-763)) 40)) (* (($ (-917) $) NIL) (($ (-763) $) NIL) (($ (-568) $) 32) (($ $ $) 31))) 
-(((-1270 |#1|) (-13 (-172) (-370) (-609 (-568)) (-1136)) (-917)) (T -1270)) 
-NIL 
-(-13 (-172) (-370) (-609 (-568)) (-1136)) 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-((-1275 3579603 3579608 3579613 "NIL" NIL T NIL (NIL) NIL NIL NIL) (-3 3579588 3579593 3579598 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (-2 3579573 3579578 3579583 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (-1 3579558 3579563 3579568 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (0 3579543 3579548 3579553 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (-1270 3578673 3579418 3579495 "ZMOD" 3579500 NIL ZMOD (NIL NIL) -8 NIL NIL) (-1269 3577783 3577947 3578156 "ZLINDEP" 3578505 NIL ZLINDEP (NIL T) -7 NIL NIL) (-1268 3567087 3568851 3570823 "ZDSOLVE" 3575913 NIL ZDSOLVE (NIL T NIL NIL) -7 NIL NIL) (-1267 3566333 3566474 3566663 "YSTREAM" 3566933 NIL YSTREAM (NIL T) -7 NIL NIL) (-1266 3564098 3565634 3565838 "XRPOLY" 3566176 NIL XRPOLY (NIL T T) -8 NIL NIL) (-1265 3560552 3561881 3562461 "XPR" 3563565 NIL XPR (NIL T T) -8 NIL NIL) (-1264 3558262 3559883 3560087 "XPOLY" 3560383 NIL XPOLY (NIL T) -8 NIL NIL) (-1263 3556066 3557444 3557500 "XPOLYC" 3557788 NIL XPOLYC (NIL T T) -9 NIL 3557901) (-1262 3552440 3554585 3554972 "XPBWPOLY" 3555725 NIL XPBWPOLY (NIL T T) -8 NIL NIL) (-1261 3548318 3550628 3550671 "XF" 3551292 NIL XF (NIL T) -9 NIL 3551689) (-1260 3547939 3548027 3548196 "XF-" 3548201 NIL XF- (NIL T T) -8 NIL NIL) (-1259 3543288 3544587 3544643 "XFALG" 3546815 NIL XFALG (NIL T T) -9 NIL 3547602) (-1258 3542421 3542525 3542730 "XEXPPKG" 3543180 NIL XEXPPKG (NIL T T T) -7 NIL NIL) (-1257 3540518 3542271 3542367 "XDPOLY" 3542372 NIL XDPOLY (NIL T T) -8 NIL NIL) (-1256 3539390 3540000 3540044 "XALG" 3540107 NIL XALG (NIL T) -9 NIL 3540226) (-1255 3532859 3537367 3537861 "WUTSET" 3538982 NIL WUTSET (NIL T T T T) -8 NIL NIL) (-1254 3530668 3531475 3531826 "WP" 3532642 NIL WP (NIL T T T T NIL NIL NIL) -8 NIL NIL) (-1253 3529554 3529752 3530047 "WFFINTBS" 3530465 NIL WFFINTBS (NIL T T T T) -7 NIL NIL) (-1252 3527458 3527885 3528347 "WEIER" 3529126 NIL WEIER (NIL T) -7 NIL NIL) (-1251 3526604 3527028 3527071 "VSPACE" 3527207 NIL VSPACE (NIL T) -9 NIL 3527281) (-1250 3526442 3526469 3526560 "VSPACE-" 3526565 NIL VSPACE- (NIL T T) -8 NIL NIL) (-1249 3526188 3526231 3526302 "VOID" 3526393 T VOID (NIL) -8 NIL NIL) (-1248 3524324 3524683 3525089 "VIEW" 3525804 T VIEW (NIL) -7 NIL NIL) (-1247 3520749 3521387 3522124 "VIEWDEF" 3523609 T VIEWDEF (NIL) -7 NIL NIL) (-1246 3510088 3512297 3514470 "VIEW3D" 3518598 T VIEW3D (NIL) -8 NIL NIL) (-1245 3502370 3503999 3505578 "VIEW2D" 3508531 T VIEW2D (NIL) -8 NIL NIL) (-1244 3497778 3502140 3502232 "VECTOR" 3502313 NIL VECTOR (NIL T) -8 NIL NIL) (-1243 3496355 3496614 3496932 "VECTOR2" 3497508 NIL VECTOR2 (NIL T T) -7 NIL NIL) (-1242 3489920 3494166 3494210 "VECTCAT" 3495205 NIL VECTCAT (NIL T) -9 NIL 3495785) (-1241 3488934 3489188 3489578 "VECTCAT-" 3489583 NIL VECTCAT- (NIL T T) -8 NIL NIL) (-1240 3488415 3488585 3488705 "VARIABLE" 3488849 NIL VARIABLE (NIL NIL) -8 NIL NIL) (-1239 3480457 3486248 3486726 "UTSZ" 3487985 NIL UTSZ (NIL T NIL) -8 NIL NIL) (-1238 3480063 3480113 3480247 "UTSSOL" 3480401 NIL UTSSOL (NIL T T T) -7 NIL NIL) (-1237 3478895 3479049 3479310 "UTSODETL" 3479890 NIL UTSODETL (NIL T T T T) -7 NIL NIL) (-1236 3476335 3476795 3477319 "UTSODE" 3478436 NIL UTSODE (NIL T T) -7 NIL NIL) (-1235 3468168 3473963 3474451 "UTS" 3475905 NIL UTS (NIL T NIL NIL) -8 NIL NIL) (-1234 3459454 3464814 3464858 "UTSCAT" 3465970 NIL UTSCAT (NIL T) -9 NIL 3466721) (-1233 3456809 3457524 3458513 "UTSCAT-" 3458518 NIL UTSCAT- (NIL T T) -8 NIL NIL) (-1232 3456436 3456479 3456612 "UTS2" 3456760 NIL UTS2 (NIL T T T T) -7 NIL NIL) (-1231 3450750 3453309 3453353 "URAGG" 3455423 NIL URAGG (NIL T) -9 NIL 3456145) (-1230 3447689 3448552 3449675 "URAGG-" 3449680 NIL URAGG- (NIL T T) -8 NIL NIL) (-1229 3443367 3446303 3446775 "UPXSSING" 3447353 NIL UPXSSING (NIL T T NIL NIL) -8 NIL NIL) (-1228 3435254 3442484 3442765 "UPXS" 3443144 NIL UPXS (NIL T NIL NIL) -8 NIL NIL) (-1227 3428282 3435158 3435230 "UPXSCONS" 3435235 NIL UPXSCONS (NIL T T) -8 NIL NIL) (-1226 3418494 3425319 3425382 "UPXSCCA" 3426038 NIL UPXSCCA (NIL T T) -9 NIL 3426280) (-1225 3418132 3418217 3418391 "UPXSCCA-" 3418396 NIL UPXSCCA- (NIL T T T) -8 NIL NIL) (-1224 3408276 3414874 3414918 "UPXSCAT" 3415566 NIL UPXSCAT (NIL T) -9 NIL 3416168) (-1223 3407706 3407785 3407964 "UPXS2" 3408191 NIL UPXS2 (NIL T T NIL NIL NIL NIL) -7 NIL NIL) (-1222 3406360 3406613 3406964 "UPSQFREE" 3407449 NIL UPSQFREE (NIL T T) -7 NIL NIL) (-1221 3400195 3403245 3403301 "UPSCAT" 3404462 NIL UPSCAT (NIL T T) -9 NIL 3405230) (-1220 3399399 3399606 3399933 "UPSCAT-" 3399938 NIL UPSCAT- (NIL T T T) -8 NIL NIL) (-1219 3385388 3393428 3393472 "UPOLYC" 3395573 NIL UPOLYC (NIL T) -9 NIL 3396788) (-1218 3376717 3379142 3382289 "UPOLYC-" 3382294 NIL UPOLYC- (NIL T T) -8 NIL NIL) (-1217 3376344 3376387 3376520 "UPOLYC2" 3376668 NIL UPOLYC2 (NIL T T T T) -7 NIL NIL) (-1216 3367755 3375910 3376048 "UP" 3376254 NIL UP (NIL NIL T) -8 NIL NIL) (-1215 3367094 3367201 3367365 "UPMP" 3367644 NIL UPMP (NIL T T) -7 NIL NIL) (-1214 3366647 3366728 3366867 "UPDIVP" 3367007 NIL UPDIVP (NIL T T) -7 NIL NIL) (-1213 3365215 3365464 3365780 "UPDECOMP" 3366396 NIL UPDECOMP (NIL T T) -7 NIL NIL) (-1212 3364450 3364562 3364747 "UPCDEN" 3365099 NIL UPCDEN (NIL T T T) -7 NIL NIL) (-1211 3363969 3364038 3364187 "UP2" 3364375 NIL UP2 (NIL NIL T NIL T) -7 NIL NIL) (-1210 3362490 3363177 3363452 "UNISEG" 3363729 NIL UNISEG (NIL T) -8 NIL NIL) (-1209 3361707 3361834 3362038 "UNISEG2" 3362334 NIL UNISEG2 (NIL T T) -7 NIL NIL) (-1208 3360767 3360947 3361173 "UNIFACT" 3361523 NIL UNIFACT (NIL T) -7 NIL NIL) (-1207 3344651 3359946 3360196 "ULS" 3360575 NIL ULS (NIL T NIL NIL) -8 NIL NIL) (-1206 3332606 3344555 3344627 "ULSCONS" 3344632 NIL ULSCONS (NIL T T) -8 NIL NIL) (-1205 3315273 3327290 3327353 "ULSCCAT" 3328073 NIL ULSCCAT (NIL T T) -9 NIL 3328369) (-1204 3314323 3314568 3314956 "ULSCCAT-" 3314961 NIL ULSCCAT- (NIL T T T) -8 NIL NIL) (-1203 3304259 3310771 3310815 "ULSCAT" 3311678 NIL ULSCAT (NIL T) -9 NIL 3312401) (-1202 3303689 3303768 3303947 "ULS2" 3304174 NIL ULS2 (NIL T T NIL NIL NIL NIL) -7 NIL NIL) (-1201 3295827 3301680 3302180 "UFPS" 3303224 NIL UFPS (NIL T) -8 NIL NIL) (-1200 3295524 3295581 3295679 "UFPS1" 3295764 NIL UFPS1 (NIL T) -7 NIL NIL) (-1199 3293917 3294884 3294915 "UFD" 3295127 T UFD (NIL) -9 NIL 3295241) (-1198 3293711 3293757 3293852 "UFD-" 3293857 NIL UFD- (NIL T) -8 NIL NIL) (-1197 3292793 3292976 3293192 "UDVO" 3293517 T UDVO (NIL) -7 NIL NIL) (-1196 3290611 3291020 3291490 "UDPO" 3292358 NIL UDPO (NIL T) -7 NIL NIL) (-1195 3290543 3290548 3290579 "TYPE" 3290584 T TYPE (NIL) -9 NIL NIL) (-1194 3289514 3289716 3289956 "TWOFACT" 3290337 NIL TWOFACT (NIL T) -7 NIL NIL) (-1193 3288586 3288917 3289116 "TUPLE" 3289350 NIL TUPLE (NIL T) -8 NIL NIL) (-1192 3286277 3286796 3287335 "TUBETOOL" 3288069 T TUBETOOL (NIL) -7 NIL NIL) (-1191 3285126 3285331 3285572 "TUBE" 3286070 NIL TUBE (NIL T) -8 NIL NIL) (-1190 3279846 3284100 3284382 "TS" 3284879 NIL TS (NIL T) -8 NIL NIL) (-1189 3268520 3272605 3272703 "TSETCAT" 3277972 NIL TSETCAT (NIL T T T T) -9 NIL 3279502) (-1188 3263255 3264852 3266743 "TSETCAT-" 3266748 NIL TSETCAT- (NIL T T T T T) -8 NIL NIL) (-1187 3257526 3258372 3259310 "TRMANIP" 3262395 NIL TRMANIP (NIL T T) -7 NIL NIL) (-1186 3256967 3257030 3257193 "TRIMAT" 3257458 NIL TRIMAT (NIL T T T T) -7 NIL NIL) (-1185 3254763 3255000 3255364 "TRIGMNIP" 3256716 NIL TRIGMNIP (NIL T T) -7 NIL NIL) (-1184 3254282 3254395 3254426 "TRIGCAT" 3254639 T TRIGCAT (NIL) -9 NIL NIL) (-1183 3253951 3254030 3254171 "TRIGCAT-" 3254176 NIL TRIGCAT- (NIL T) -8 NIL NIL) (-1182 3250854 3252809 3253090 "TREE" 3253705 NIL TREE (NIL T) -8 NIL NIL) (-1181 3250127 3250655 3250686 "TRANFUN" 3250721 T TRANFUN (NIL) -9 NIL 3250787) (-1180 3249406 3249597 3249877 "TRANFUN-" 3249882 NIL TRANFUN- (NIL T) -8 NIL NIL) (-1179 3249210 3249242 3249303 "TOPSP" 3249367 T TOPSP (NIL) -7 NIL NIL) (-1178 3248558 3248673 3248827 "TOOLSIGN" 3249091 NIL TOOLSIGN (NIL T) -7 NIL NIL) (-1177 3247193 3247735 3247974 "TEXTFILE" 3248341 T TEXTFILE (NIL) -8 NIL NIL) (-1176 3245058 3245572 3246010 "TEX" 3246777 T TEX (NIL) -8 NIL NIL) (-1175 3244839 3244870 3244942 "TEX1" 3245021 NIL TEX1 (NIL T) -7 NIL NIL) (-1174 3244487 3244550 3244640 "TEMUTL" 3244771 T TEMUTL (NIL) -7 NIL NIL) (-1173 3242641 3242921 3243246 "TBCMPPK" 3244210 NIL TBCMPPK (NIL T T) -7 NIL NIL) (-1172 3234386 3240646 3240703 "TBAGG" 3241103 NIL TBAGG (NIL T T) -9 NIL 3241314) (-1171 3229456 3230944 3232698 "TBAGG-" 3232703 NIL TBAGG- (NIL T T T) -8 NIL NIL) (-1170 3228840 3228947 3229092 "TANEXP" 3229345 NIL TANEXP (NIL T) -7 NIL NIL) (-1169 3222353 3228697 3228790 "TABLE" 3228795 NIL TABLE (NIL T T) -8 NIL NIL) (-1168 3221766 3221864 3222002 "TABLEAU" 3222250 NIL TABLEAU (NIL T) -8 NIL NIL) (-1167 3216374 3217594 3218842 "TABLBUMP" 3220552 NIL TABLBUMP (NIL T) -7 NIL NIL) (-1166 3212837 3213532 3214315 "SYSSOLP" 3215625 NIL SYSSOLP (NIL T) -7 NIL NIL) (-1165 3209971 3210579 3211217 "SYMTAB" 3212221 T SYMTAB (NIL) -8 NIL NIL) (-1164 3205220 3206122 3207105 "SYMS" 3209010 T SYMS (NIL) -8 NIL NIL) (-1163 3202452 3204684 3204911 "SYMPOLY" 3205028 NIL SYMPOLY (NIL T) -8 NIL NIL) (-1162 3201969 3202044 3202167 "SYMFUNC" 3202364 NIL SYMFUNC (NIL T) -7 NIL NIL) (-1161 3197947 3199206 3200028 "SYMBOL" 3201169 T SYMBOL (NIL) -8 NIL NIL) (-1160 3191486 3193175 3194895 "SWITCH" 3196249 T SWITCH (NIL) -8 NIL NIL) (-1159 3184712 3190309 3190611 "SUTS" 3191242 NIL SUTS (NIL T NIL NIL) -8 NIL NIL) (-1158 3176598 3183829 3184110 "SUPXS" 3184489 NIL SUPXS (NIL T NIL NIL) -8 NIL NIL) (-1157 3168083 3176216 3176342 "SUP" 3176507 NIL SUP (NIL T) -8 NIL NIL) (-1156 3167242 3167369 3167586 "SUPFRACF" 3167951 NIL SUPFRACF (NIL T T T T) -7 NIL NIL) (-1155 3157814 3167044 3167158 "SUPEXPR" 3167163 NIL SUPEXPR (NIL T) -8 NIL NIL) (-1154 3157435 3157494 3157607 "SUP2" 3157749 NIL SUP2 (NIL T T) -7 NIL NIL) (-1153 3155848 3156122 3156485 "SUMRF" 3157134 NIL SUMRF (NIL T) -7 NIL NIL) (-1152 3155162 3155228 3155427 "SUMFS" 3155769 NIL SUMFS (NIL T T) -7 NIL NIL) (-1151 3139086 3154341 3154591 "SULS" 3154970 NIL SULS (NIL T NIL NIL) -8 NIL NIL) (-1150 3138408 3138611 3138751 "SUCH" 3138994 NIL SUCH (NIL T T) -8 NIL NIL) (-1149 3132302 3133314 3134273 "SUBSPACE" 3137496 NIL SUBSPACE (NIL NIL T) -8 NIL NIL) (-1148 3131734 3131824 3131987 "SUBRESP" 3132191 NIL SUBRESP (NIL T T) -7 NIL NIL) (-1147 3125103 3126399 3127710 "STTF" 3130470 NIL STTF (NIL T) -7 NIL NIL) (-1146 3119276 3120396 3121543 "STTFNC" 3124003 NIL STTFNC (NIL T) -7 NIL NIL) (-1145 3110595 3112462 3114254 "STTAYLOR" 3117519 NIL STTAYLOR (NIL T) -7 NIL NIL) (-1144 3103851 3110459 3110542 "STRTBL" 3110547 NIL STRTBL (NIL T) -8 NIL NIL) (-1143 3099242 3103806 3103837 "STRING" 3103842 T STRING (NIL) -8 NIL NIL) (-1142 3094106 3098584 3098615 "STRICAT" 3098674 T STRICAT (NIL) -9 NIL 3098736) (-1141 3086833 3091633 3092251 "STREAM" 3093523 NIL STREAM (NIL T) -8 NIL NIL) (-1140 3086343 3086420 3086564 "STREAM3" 3086750 NIL STREAM3 (NIL T T T) -7 NIL NIL) (-1139 3085325 3085508 3085743 "STREAM2" 3086156 NIL STREAM2 (NIL T T) -7 NIL NIL) (-1138 3085013 3085065 3085158 "STREAM1" 3085267 NIL STREAM1 (NIL T) -7 NIL NIL) (-1137 3084029 3084210 3084441 "STINPROD" 3084829 NIL STINPROD (NIL T) -7 NIL NIL) (-1136 3083606 3083790 3083821 "STEP" 3083901 T STEP (NIL) -9 NIL 3083979) (-1135 3077161 3083505 3083582 "STBL" 3083587 NIL STBL (NIL T T NIL) -8 NIL NIL) (-1134 3072375 3076413 3076457 "STAGG" 3076610 NIL STAGG (NIL T) -9 NIL 3076699) (-1133 3070077 3070679 3071551 "STAGG-" 3071556 NIL STAGG- (NIL T T) -8 NIL NIL) (-1132 3063569 3065138 3066253 "STACK" 3068997 NIL STACK (NIL T) -8 NIL NIL) (-1131 3056294 3061710 3062166 "SREGSET" 3063199 NIL SREGSET (NIL T T T T) -8 NIL NIL) (-1130 3048720 3050088 3051601 "SRDCMPK" 3054900 NIL SRDCMPK (NIL T T T T T) -7 NIL NIL) (-1129 3041698 3046158 3046189 "SRAGG" 3047492 T SRAGG (NIL) -9 NIL 3048100) (-1128 3040715 3040970 3041349 "SRAGG-" 3041354 NIL SRAGG- (NIL T) -8 NIL NIL) (-1127 3035163 3039638 3040062 "SQMATRIX" 3040338 NIL SQMATRIX (NIL NIL T) -8 NIL NIL) (-1126 3028919 3031881 3032608 "SPLTREE" 3034508 NIL SPLTREE (NIL T T) -8 NIL NIL) (-1125 3024909 3025575 3026221 "SPLNODE" 3028345 NIL SPLNODE (NIL T T) -8 NIL NIL) (-1124 3023955 3024188 3024219 "SPFCAT" 3024663 T SPFCAT (NIL) -9 NIL NIL) (-1123 3022692 3022902 3023166 "SPECOUT" 3023713 T SPECOUT (NIL) -7 NIL NIL) (-1122 3014662 3016409 3016453 "SPACEC" 3020826 NIL SPACEC (NIL T) -9 NIL 3022642) (-1121 3012833 3014594 3014643 "SPACE3" 3014648 NIL SPACE3 (NIL T) -8 NIL NIL) (-1120 3011587 3011758 3012048 "SORTPAK" 3012639 NIL SORTPAK (NIL T T) -7 NIL NIL) (-1119 3009637 3009940 3010359 "SOLVETRA" 3011251 NIL SOLVETRA (NIL T) -7 NIL NIL) (-1118 3008648 3008870 3009144 "SOLVESER" 3009410 NIL SOLVESER (NIL T) -7 NIL NIL) (-1117 3003868 3004749 3005751 "SOLVERAD" 3007700 NIL SOLVERAD (NIL T) -7 NIL NIL) (-1116 2999683 3000292 3001021 "SOLVEFOR" 3003235 NIL SOLVEFOR (NIL T T) -7 NIL NIL) (-1115 2993986 2999031 2999129 "SNTSCAT" 2999134 NIL SNTSCAT (NIL T T T T) -9 NIL 2999204) (-1114 2988084 2992311 2992701 "SMTS" 2993677 NIL SMTS (NIL T T T) -8 NIL NIL) (-1113 2982488 2987972 2988049 "SMP" 2988054 NIL SMP (NIL T T) -8 NIL NIL) (-1112 2980647 2980948 2981346 "SMITH" 2982185 NIL SMITH (NIL T T T T) -7 NIL NIL) (-1111 2973589 2977787 2977891 "SMATCAT" 2979242 NIL SMATCAT (NIL NIL T T T) -9 NIL 2979789) (-1110 2970529 2971352 2972530 "SMATCAT-" 2972535 NIL SMATCAT- (NIL T NIL T T T) -8 NIL NIL) (-1109 2968282 2969799 2969843 "SKAGG" 2970104 NIL SKAGG (NIL T) -9 NIL 2970239) (-1108 2964340 2967386 2967664 "SINT" 2968026 T SINT (NIL) -8 NIL NIL) (-1107 2964112 2964150 2964216 "SIMPAN" 2964296 T SIMPAN (NIL) -7 NIL NIL) (-1106 2962950 2963171 2963446 "SIGNRF" 2963871 NIL SIGNRF (NIL T) -7 NIL NIL) (-1105 2961755 2961906 2962197 "SIGNEF" 2962779 NIL SIGNEF (NIL T T) -7 NIL NIL) (-1104 2959447 2959901 2960406 "SHP" 2961297 NIL SHP (NIL T NIL) -7 NIL NIL) (-1103 2953271 2959348 2959424 "SHDP" 2959429 NIL SHDP (NIL NIL NIL T) -8 NIL NIL) (-1102 2952759 2952951 2952982 "SGROUP" 2953134 T SGROUP (NIL) -9 NIL 2953221) (-1101 2952529 2952581 2952685 "SGROUP-" 2952690 NIL SGROUP- (NIL T) -8 NIL NIL) (-1100 2949365 2950062 2950785 "SGCF" 2951828 T SGCF (NIL) -7 NIL NIL) (-1099 2943766 2948811 2948909 "SFRTCAT" 2948914 NIL SFRTCAT (NIL T T T T) -9 NIL 2948953) (-1098 2937190 2938205 2939341 "SFRGCD" 2942749 NIL SFRGCD (NIL T T T T T) -7 NIL NIL) (-1097 2930318 2931389 2932575 "SFQCMPK" 2936123 NIL SFQCMPK (NIL T T T T T) -7 NIL NIL) (-1096 2929940 2930029 2930139 "SFORT" 2930259 NIL SFORT (NIL T T) -8 NIL NIL) (-1095 2929085 2929780 2929901 "SEXOF" 2929906 NIL SEXOF (NIL T T T T T) -8 NIL NIL) (-1094 2928219 2928966 2929034 "SEX" 2929039 T SEX (NIL) -8 NIL NIL) (-1093 2922994 2923683 2923779 "SEXCAT" 2927550 NIL SEXCAT (NIL T T T T T) -9 NIL 2928169) (-1092 2920174 2922928 2922976 "SET" 2922981 NIL SET (NIL T) -8 NIL NIL) (-1091 2918425 2918887 2919192 "SETMN" 2919915 NIL SETMN (NIL NIL NIL) -8 NIL NIL) (-1090 2918030 2918156 2918187 "SETCAT" 2918304 T SETCAT (NIL) -9 NIL 2918389) (-1089 2917810 2917862 2917961 "SETCAT-" 2917966 NIL SETCAT- (NIL T) -8 NIL NIL) (-1088 2917473 2917623 2917654 "SETCATD" 2917713 T SETCATD (NIL) -9 NIL 2917760) (-1087 2913859 2915933 2915977 "SETAGG" 2916847 NIL SETAGG (NIL T) -9 NIL 2917187) (-1086 2913317 2913433 2913670 "SETAGG-" 2913675 NIL SETAGG- (NIL T T) -8 NIL NIL) (-1085 2912520 2912813 2912875 "SEGXCAT" 2913161 NIL SEGXCAT (NIL T T) -9 NIL 2913281) (-1084 2911580 2912190 2912370 "SEG" 2912375 NIL SEG (NIL T) -8 NIL NIL) (-1083 2910486 2910699 2910743 "SEGCAT" 2911325 NIL SEGCAT (NIL T) -9 NIL 2911563) (-1082 2909537 2909867 2910066 "SEGBIND" 2910322 NIL SEGBIND (NIL T) -8 NIL NIL) (-1081 2909158 2909217 2909330 "SEGBIND2" 2909472 NIL SEGBIND2 (NIL T T) -7 NIL NIL) (-1080 2908379 2908505 2908708 "SEG2" 2909003 NIL SEG2 (NIL T T) -7 NIL NIL) (-1079 2907816 2908314 2908361 "SDVAR" 2908366 NIL SDVAR (NIL T) -8 NIL NIL) (-1078 2900060 2907586 2907716 "SDPOL" 2907721 NIL SDPOL (NIL T) -8 NIL NIL) (-1077 2898653 2898919 2899238 "SCPKG" 2899775 NIL SCPKG (NIL T) -7 NIL NIL) (-1076 2897874 2898007 2898186 "SCACHE" 2898508 NIL SCACHE (NIL T) -7 NIL NIL) (-1075 2897313 2897634 2897719 "SAOS" 2897811 T SAOS (NIL) -8 NIL NIL) (-1074 2896878 2896913 2897086 "SAERFFC" 2897272 NIL SAERFFC (NIL T T T) -7 NIL NIL) (-1073 2890767 2896775 2896855 "SAE" 2896860 NIL SAE (NIL T T NIL) -8 NIL NIL) (-1072 2890360 2890395 2890554 "SAEFACT" 2890726 NIL SAEFACT (NIL T T T) -7 NIL NIL) (-1071 2888681 2888995 2889396 "RURPK" 2890026 NIL RURPK (NIL T NIL) -7 NIL NIL) (-1070 2887317 2887596 2887908 "RULESET" 2888515 NIL RULESET (NIL T T T) -8 NIL NIL) (-1069 2884504 2885007 2885472 "RULE" 2886998 NIL RULE (NIL T T T) -8 NIL NIL) (-1068 2884143 2884298 2884381 "RULECOLD" 2884456 NIL RULECOLD (NIL NIL) -8 NIL NIL) (-1067 2878992 2879786 2880706 "RSETGCD" 2883342 NIL RSETGCD (NIL T T T T T) -7 NIL NIL) (-1066 2868255 2873300 2873398 "RSETCAT" 2877517 NIL RSETCAT (NIL T T T T) -9 NIL 2878614) (-1065 2866182 2866721 2867545 "RSETCAT-" 2867550 NIL RSETCAT- (NIL T T T T T) -8 NIL NIL) (-1064 2858569 2859944 2861464 "RSDCMPK" 2864781 NIL RSDCMPK (NIL T T T T T) -7 NIL NIL) (-1063 2856573 2857014 2857089 "RRCC" 2858175 NIL RRCC (NIL T T) -9 NIL 2858519) (-1062 2855924 2856098 2856377 "RRCC-" 2856382 NIL RRCC- (NIL T T T) -8 NIL NIL) (-1061 2830071 2839700 2839768 "RPOLCAT" 2850432 NIL RPOLCAT (NIL T T T) -9 NIL 2853580) (-1060 2821571 2823909 2827031 "RPOLCAT-" 2827036 NIL RPOLCAT- (NIL T T T T) -8 NIL NIL) (-1059 2812630 2819782 2820264 "ROUTINE" 2821111 T ROUTINE (NIL) -8 NIL NIL) (-1058 2809330 2812181 2812330 "ROMAN" 2812503 T ROMAN (NIL) -8 NIL NIL) (-1057 2807605 2808190 2808450 "ROIRC" 2809135 NIL ROIRC (NIL T T) -8 NIL NIL) (-1056 2803943 2806243 2806274 "RNS" 2806578 T RNS (NIL) -9 NIL 2806852) (-1055 2802452 2802835 2803369 "RNS-" 2803444 NIL RNS- (NIL T) -8 NIL NIL) (-1054 2801874 2802282 2802313 "RNG" 2802318 T RNG (NIL) -9 NIL 2802339) (-1053 2801265 2801627 2801671 "RMODULE" 2801733 NIL RMODULE (NIL T) -9 NIL 2801775) (-1052 2800101 2800195 2800531 "RMCAT2" 2801166 NIL RMCAT2 (NIL NIL NIL T T T T T T T T) -7 NIL NIL) (-1051 2796810 2799279 2799602 "RMATRIX" 2799837 NIL RMATRIX (NIL NIL NIL T) -8 NIL NIL) (-1050 2789756 2791990 2792106 "RMATCAT" 2795465 NIL RMATCAT (NIL NIL NIL T T T) -9 NIL 2796442) (-1049 2789131 2789278 2789585 "RMATCAT-" 2789590 NIL RMATCAT- (NIL T NIL NIL T T T) -8 NIL NIL) (-1048 2788698 2788773 2788901 "RINTERP" 2789050 NIL RINTERP (NIL NIL T) -7 NIL NIL) (-1047 2787741 2788305 2788336 "RING" 2788448 T RING (NIL) -9 NIL 2788543) (-1046 2787533 2787577 2787674 "RING-" 2787679 NIL RING- (NIL T) -8 NIL NIL) (-1045 2786374 2786611 2786869 "RIDIST" 2787297 T RIDIST (NIL) -7 NIL NIL) (-1044 2777690 2785842 2786048 "RGCHAIN" 2786222 NIL RGCHAIN (NIL T NIL) -8 NIL NIL) (-1043 2776490 2776731 2777010 "RFP" 2777445 NIL RFP (NIL T) -7 NIL NIL) (-1042 2773484 2774098 2774768 "RF" 2775854 NIL RF (NIL T) -7 NIL NIL) (-1041 2773130 2773193 2773296 "RFFACTOR" 2773415 NIL RFFACTOR (NIL T) -7 NIL NIL) (-1040 2772855 2772890 2772987 "RFFACT" 2773089 NIL RFFACT (NIL T) -7 NIL NIL) (-1039 2770972 2771336 2771718 "RFDIST" 2772495 T RFDIST (NIL) -7 NIL NIL) (-1038 2770425 2770517 2770680 "RETSOL" 2770874 NIL RETSOL (NIL T T) -7 NIL NIL) (-1037 2770012 2770092 2770136 "RETRACT" 2770329 NIL RETRACT (NIL T) -9 NIL NIL) (-1036 2769861 2769886 2769973 "RETRACT-" 2769978 NIL RETRACT- (NIL T T) -8 NIL NIL) (-1035 2762727 2769514 2769641 "RESULT" 2769756 T RESULT (NIL) -8 NIL NIL) (-1034 2761307 2761996 2762195 "RESRING" 2762630 NIL RESRING (NIL T T T T NIL) -8 NIL NIL) (-1033 2760943 2760992 2761090 "RESLATC" 2761244 NIL RESLATC (NIL T) -7 NIL NIL) (-1032 2760649 2760683 2760790 "REPSQ" 2760902 NIL REPSQ (NIL T) -7 NIL NIL) (-1031 2758071 2758651 2759253 "REP" 2760069 T REP (NIL) -7 NIL NIL) (-1030 2757769 2757803 2757914 "REPDB" 2758030 NIL REPDB (NIL T) -7 NIL NIL) (-1029 2751687 2753066 2754285 "REP2" 2756585 NIL REP2 (NIL T) -7 NIL NIL) (-1028 2748068 2748749 2749555 "REP1" 2750916 NIL REP1 (NIL T) -7 NIL NIL) (-1027 2740794 2746209 2746665 "REGSET" 2747698 NIL REGSET (NIL T T T T) -8 NIL NIL) (-1026 2739609 2739944 2740193 "REF" 2740580 NIL REF (NIL T) -8 NIL NIL) (-1025 2738986 2739089 2739256 "REDORDER" 2739493 NIL REDORDER (NIL T T) -7 NIL NIL) (-1024 2735848 2736314 2736923 "RECOP" 2738520 NIL RECOP (NIL T T) -7 NIL NIL) (-1023 2731788 2735061 2735288 "RECLOS" 2735676 NIL RECLOS (NIL T) -8 NIL NIL) (-1022 2730840 2731021 2731236 "REALSOLV" 2731595 T REALSOLV (NIL) -7 NIL NIL) (-1021 2730685 2730726 2730757 "REAL" 2730762 T REAL (NIL) -9 NIL 2730797) (-1020 2727168 2727970 2728854 "REAL0Q" 2729850 NIL REAL0Q (NIL T) -7 NIL NIL) (-1019 2722769 2723757 2724818 "REAL0" 2726149 NIL REAL0 (NIL T) -7 NIL NIL) (-1018 2722174 2722246 2722453 "RDIV" 2722691 NIL RDIV (NIL T T T T T) -7 NIL NIL) (-1017 2721242 2721416 2721629 "RDIST" 2721996 NIL RDIST (NIL T) -7 NIL NIL) (-1016 2719839 2720126 2720498 "RDETRS" 2720950 NIL RDETRS (NIL T T) -7 NIL NIL) (-1015 2717651 2718105 2718643 "RDETR" 2719381 NIL RDETR (NIL T T) -7 NIL NIL) (-1014 2716262 2716540 2716944 "RDEEFS" 2717367 NIL RDEEFS (NIL T T) -7 NIL NIL) (-1013 2714757 2715063 2715495 "RDEEF" 2715950 NIL RDEEF (NIL T T) -7 NIL NIL) (-1012 2708948 2711883 2711914 "RCFIELD" 2713209 T RCFIELD (NIL) -9 NIL 2713940) (-1011 2707012 2707516 2708212 "RCFIELD-" 2708287 NIL RCFIELD- (NIL T) -8 NIL NIL) (-1010 2703370 2705149 2705193 "RCAGG" 2706277 NIL RCAGG (NIL T) -9 NIL 2706740) (-1009 2702998 2703092 2703255 "RCAGG-" 2703260 NIL RCAGG- (NIL T T) -8 NIL NIL) (-1008 2702334 2702445 2702610 "RATRET" 2702882 NIL RATRET (NIL T) -7 NIL NIL) (-1007 2701887 2701954 2702075 "RATFACT" 2702262 NIL RATFACT (NIL T) -7 NIL NIL) (-1006 2701195 2701315 2701467 "RANDSRC" 2701757 T RANDSRC (NIL) -7 NIL NIL) (-1005 2700929 2700973 2701046 "RADUTIL" 2701144 T RADUTIL (NIL) -7 NIL NIL) (-1004 2693917 2699662 2699981 "RADIX" 2700644 NIL RADIX (NIL NIL) -8 NIL NIL) (-1003 2685480 2693759 2693889 "RADFF" 2693894 NIL RADFF (NIL T T T NIL NIL) -8 NIL NIL) (-1002 2685126 2685201 2685232 "RADCAT" 2685392 T RADCAT (NIL) -9 NIL NIL) (-1001 2684908 2684956 2685056 "RADCAT-" 2685061 NIL RADCAT- (NIL T) -8 NIL NIL) (-1000 2678155 2679773 2680926 "QUEUE" 2683790 NIL QUEUE (NIL T) -8 NIL NIL) (-999 2674646 2678092 2678137 "QUAT" 2678142 NIL QUAT (NIL T) -8 NIL NIL) (-998 2674284 2674327 2674454 "QUATCT2" 2674597 NIL QUATCT2 (NIL T T T T) -7 NIL NIL) (-997 2668021 2671405 2671446 "QUATCAT" 2672226 NIL QUATCAT (NIL T) -9 NIL 2672984) (-996 2664165 2665202 2666589 "QUATCAT-" 2666683 NIL QUATCAT- (NIL T T) -8 NIL NIL) (-995 2661725 2663283 2663325 "QUAGG" 2663700 NIL QUAGG (NIL T) -9 NIL 2663875) (-994 2660650 2661123 2661295 "QFORM" 2661597 NIL QFORM (NIL NIL T) -8 NIL NIL) (-993 2651877 2657144 2657185 "QFCAT" 2657843 NIL QFCAT (NIL T) -9 NIL 2658832) (-992 2647449 2648650 2650241 "QFCAT-" 2650335 NIL QFCAT- (NIL T T) -8 NIL NIL) (-991 2647087 2647130 2647257 "QFCAT2" 2647400 NIL QFCAT2 (NIL T T T T) -7 NIL NIL) (-990 2646547 2646657 2646787 "QEQUAT" 2646977 T QEQUAT (NIL) -8 NIL NIL) (-989 2639695 2640766 2641950 "QCMPACK" 2645480 NIL QCMPACK (NIL T T T T T) -7 NIL NIL) (-988 2637275 2637696 2638122 "QALGSET" 2639352 NIL QALGSET (NIL T T T T) -8 NIL NIL) (-987 2636520 2636694 2636926 "QALGSET2" 2637095 NIL QALGSET2 (NIL NIL NIL) -7 NIL NIL) (-986 2635211 2635434 2635751 "PWFFINTB" 2636293 NIL PWFFINTB (NIL T T T T) -7 NIL NIL) (-985 2633393 2633561 2633915 "PUSHVAR" 2635025 NIL PUSHVAR (NIL T T T T) -7 NIL NIL) (-984 2629310 2630364 2630406 "PTRANFN" 2632290 NIL PTRANFN (NIL T) -9 NIL NIL) (-983 2627712 2628003 2628325 "PTPACK" 2629021 NIL PTPACK (NIL T) -7 NIL NIL) (-982 2627344 2627401 2627510 "PTFUNC2" 2627649 NIL PTFUNC2 (NIL T T) -7 NIL NIL) (-981 2621844 2626178 2626220 "PTCAT" 2626593 NIL PTCAT (NIL T) -9 NIL 2626755) (-980 2621502 2621537 2621661 "PSQFR" 2621803 NIL PSQFR (NIL T T T T) -7 NIL NIL) (-979 2620089 2620389 2620725 "PSEUDLIN" 2621198 NIL PSEUDLIN (NIL T) -7 NIL NIL) (-978 2606865 2609229 2611550 "PSETPK" 2617852 NIL PSETPK (NIL T T T T) -7 NIL NIL) (-977 2599909 2602623 2602720 "PSETCAT" 2605741 NIL PSETCAT (NIL T T T T) -9 NIL 2606554) (-976 2597745 2598379 2599200 "PSETCAT-" 2599205 NIL PSETCAT- (NIL T T T T T) -8 NIL NIL) (-975 2597094 2597258 2597287 "PSCURVE" 2597555 T PSCURVE (NIL) -9 NIL 2597722) (-974 2593483 2595009 2595075 "PSCAT" 2595919 NIL PSCAT (NIL T T T) -9 NIL 2596159) (-973 2592546 2592762 2593162 "PSCAT-" 2593167 NIL PSCAT- (NIL T T T T) -8 NIL NIL) (-972 2591199 2591831 2592045 "PRTITION" 2592352 T PRTITION (NIL) -8 NIL NIL) (-971 2588363 2589012 2589053 "PRSPCAT" 2590567 NIL PRSPCAT (NIL T) -9 NIL 2591135) (-970 2577463 2579669 2581856 "PRS" 2586226 NIL PRS (NIL T T) -7 NIL NIL) (-969 2575361 2576847 2576888 "PRQAGG" 2577071 NIL PRQAGG (NIL T) -9 NIL 2577173) (-968 2574630 2575286 2575343 "PROJSP" 2575348 NIL PROJSP (NIL NIL T) -8 NIL NIL) (-967 2573812 2574553 2574605 "PROJPLPS" 2574610 NIL PROJPLPS (NIL T) -8 NIL NIL) (-966 2573071 2573749 2573794 "PROJPL" 2573799 NIL PROJPL (NIL T) -8 NIL NIL) (-965 2566877 2571269 2572073 "PRODUCT" 2572313 NIL PRODUCT (NIL T T) -8 NIL NIL) (-964 2564152 2566341 2566572 "PR" 2566691 NIL PR (NIL T T) -8 NIL NIL) (-963 2562704 2562861 2563156 "PRJALGPK" 2563992 NIL PRJALGPK (NIL T NIL T T T) -7 NIL NIL) (-962 2562500 2562532 2562591 "PRINT" 2562665 T PRINT (NIL) -7 NIL NIL) (-961 2561840 2561957 2562109 "PRIMES" 2562380 NIL PRIMES (NIL T) -7 NIL NIL) (-960 2559905 2560306 2560772 "PRIMELT" 2561419 NIL PRIMELT (NIL T) -7 NIL NIL) (-959 2559633 2559682 2559711 "PRIMCAT" 2559835 T PRIMCAT (NIL) -9 NIL NIL) (-958 2555800 2559571 2559616 "PRIMARR" 2559621 NIL PRIMARR (NIL T) -8 NIL NIL) (-957 2554807 2554985 2555213 "PRIMARR2" 2555618 NIL PRIMARR2 (NIL T T) -7 NIL NIL) (-956 2554450 2554506 2554617 "PREASSOC" 2554745 NIL PREASSOC (NIL T T) -7 NIL NIL) (-955 2553925 2554057 2554086 "PPCURVE" 2554291 T PPCURVE (NIL) -9 NIL 2554427) (-954 2551286 2551685 2552276 "POLYROOT" 2553507 NIL POLYROOT (NIL T T T T T) -7 NIL NIL) (-953 2545187 2550892 2551051 "POLY" 2551160 NIL POLY (NIL T) -8 NIL NIL) (-952 2544570 2544628 2544862 "POLYLIFT" 2545123 NIL POLYLIFT (NIL T T T T T) -7 NIL NIL) (-951 2540845 2541294 2541923 "POLYCATQ" 2544115 NIL POLYCATQ (NIL T T T T T) -7 NIL NIL) (-950 2527807 2533207 2533273 "POLYCAT" 2536787 NIL POLYCAT (NIL T T T) -9 NIL 2538700) (-949 2521257 2523118 2525502 "POLYCAT-" 2525507 NIL POLYCAT- (NIL T T T T) -8 NIL NIL) (-948 2520844 2520912 2521032 "POLY2UP" 2521183 NIL POLY2UP (NIL NIL T) -7 NIL NIL) (-947 2520476 2520533 2520642 "POLY2" 2520781 NIL POLY2 (NIL T T) -7 NIL NIL) (-946 2519163 2519402 2519677 "POLUTIL" 2520251 NIL POLUTIL (NIL T T) -7 NIL NIL) (-945 2517518 2517795 2518126 "POLTOPOL" 2518885 NIL POLTOPOL (NIL NIL T) -7 NIL NIL) (-944 2513040 2517454 2517500 "POINT" 2517505 NIL POINT (NIL T) -8 NIL NIL) (-943 2511227 2511584 2511959 "PNTHEORY" 2512685 T PNTHEORY (NIL) -7 NIL NIL) (-942 2509646 2509943 2510355 "PMTOOLS" 2510925 NIL PMTOOLS (NIL T T T) -7 NIL NIL) (-941 2509239 2509317 2509434 "PMSYM" 2509562 NIL PMSYM (NIL T) -7 NIL NIL) (-940 2508749 2508818 2508992 "PMQFCAT" 2509164 NIL PMQFCAT (NIL T T T) -7 NIL NIL) (-939 2508104 2508214 2508370 "PMPRED" 2508626 NIL PMPRED (NIL T) -7 NIL NIL) (-938 2507500 2507586 2507747 "PMPREDFS" 2508005 NIL PMPREDFS (NIL T T T) -7 NIL NIL) (-937 2506145 2506353 2506737 "PMPLCAT" 2507263 NIL PMPLCAT (NIL T T T T T) -7 NIL NIL) (-936 2505677 2505756 2505908 "PMLSAGG" 2506060 NIL PMLSAGG (NIL T T T) -7 NIL NIL) (-935 2505152 2505228 2505409 "PMKERNEL" 2505595 NIL PMKERNEL (NIL T T) -7 NIL NIL) (-934 2504769 2504844 2504957 "PMINS" 2505071 NIL PMINS (NIL T) -7 NIL NIL) (-933 2504197 2504266 2504482 "PMFS" 2504694 NIL PMFS (NIL T T T) -7 NIL NIL) (-932 2503425 2503543 2503748 "PMDOWN" 2504074 NIL PMDOWN (NIL T T T) -7 NIL NIL) (-931 2502588 2502747 2502929 "PMASS" 2503263 T PMASS (NIL) -7 NIL NIL) (-930 2501862 2501973 2502136 "PMASSFS" 2502474 NIL PMASSFS (NIL T T) -7 NIL NIL) (-929 2499622 2499875 2500258 "PLPKCRV" 2501586 NIL PLPKCRV (NIL T T T NIL T) -7 NIL NIL) (-928 2499277 2499345 2499439 "PLOTTOOL" 2499548 T PLOTTOOL (NIL) -7 NIL NIL) (-927 2493899 2495088 2496236 "PLOT" 2498149 T PLOT (NIL) -8 NIL NIL) (-926 2489713 2490747 2491668 "PLOT3D" 2492998 T PLOT3D (NIL) -8 NIL NIL) (-925 2488625 2488802 2489037 "PLOT1" 2489517 NIL PLOT1 (NIL T) -7 NIL NIL) (-924 2464020 2468691 2473542 "PLEQN" 2483891 NIL PLEQN (NIL T T T T) -7 NIL NIL) (-923 2463260 2463930 2463997 "PLCS" 2464002 NIL PLCS (NIL T T) -8 NIL NIL) (-922 2462411 2463145 2463216 "PLACESPS" 2463221 NIL PLACESPS (NIL T) -8 NIL NIL) (-921 2461618 2462324 2462381 "PLACES" 2462386 NIL PLACES (NIL T) -8 NIL NIL) (-920 2458342 2459006 2459065 "PLACESC" 2460983 NIL PLACESC (NIL T T) -9 NIL 2461554) (-919 2457660 2457782 2457962 "PINTERP" 2458207 NIL PINTERP (NIL NIL T) -7 NIL NIL) (-918 2457353 2457400 2457503 "PINTERPA" 2457607 NIL PINTERPA (NIL T T) -7 NIL NIL) (-917 2456580 2457147 2457240 "PI" 2457280 T PI (NIL) -8 NIL NIL) (-916 2454967 2455952 2455981 "PID" 2456163 T PID (NIL) -9 NIL 2456297) (-915 2454692 2454729 2454817 "PICOERCE" 2454924 NIL PICOERCE (NIL T) -7 NIL NIL) (-914 2454013 2454151 2454327 "PGROEB" 2454548 NIL PGROEB (NIL T) -7 NIL NIL) (-913 2449600 2450414 2451319 "PGE" 2453128 T PGE (NIL) -7 NIL NIL) (-912 2447724 2447970 2448336 "PGCD" 2449317 NIL PGCD (NIL T T T T) -7 NIL NIL) (-911 2447062 2447165 2447326 "PFRPAC" 2447608 NIL PFRPAC (NIL T) -7 NIL NIL) (-910 2443677 2445610 2445963 "PFR" 2446741 NIL PFR (NIL T) -8 NIL NIL) (-909 2442066 2442310 2442635 "PFOTOOLS" 2443424 NIL PFOTOOLS (NIL T T) -7 NIL NIL) (-908 2436931 2437596 2438345 "PFORP" 2441408 NIL PFORP (NIL T T T NIL) -7 NIL NIL) (-907 2435464 2435703 2436054 "PFOQ" 2436688 NIL PFOQ (NIL T T T) -7 NIL NIL) (-906 2433937 2434149 2434512 "PFO" 2435248 NIL PFO (NIL T T T T T) -7 NIL NIL) (-905 2430460 2433826 2433895 "PF" 2433900 NIL PF (NIL NIL) -8 NIL NIL) (-904 2427885 2429166 2429195 "PFECAT" 2429780 T PFECAT (NIL) -9 NIL 2430163) (-903 2427330 2427484 2427698 "PFECAT-" 2427703 NIL PFECAT- (NIL T) -8 NIL NIL) (-902 2425934 2426185 2426486 "PFBRU" 2427079 NIL PFBRU (NIL T T) -7 NIL NIL) (-901 2423801 2424152 2424584 "PFBR" 2425585 NIL PFBR (NIL T T T T) -7 NIL NIL) (-900 2419657 2421181 2421855 "PERM" 2423160 NIL PERM (NIL T) -8 NIL NIL) (-899 2414924 2415864 2416734 "PERMGRP" 2418820 NIL PERMGRP (NIL T) -8 NIL NIL) (-898 2412995 2413988 2414030 "PERMCAT" 2414476 NIL PERMCAT (NIL T) -9 NIL 2414779) (-897 2412648 2412689 2412813 "PERMAN" 2412948 NIL PERMAN (NIL NIL T) -7 NIL NIL) (-896 2410094 2412217 2412348 "PENDTREE" 2412550 NIL PENDTREE (NIL T) -8 NIL NIL) (-895 2408162 2408940 2408982 "PDRING" 2409639 NIL PDRING (NIL T) -9 NIL 2409925) (-894 2407265 2407483 2407845 "PDRING-" 2407850 NIL PDRING- (NIL T T) -8 NIL NIL) (-893 2404407 2405157 2405848 "PDEPROB" 2406594 T PDEPROB (NIL) -8 NIL NIL) (-892 2401954 2402456 2403011 "PDEPACK" 2403872 T PDEPACK (NIL) -7 NIL NIL) (-891 2400866 2401056 2401307 "PDECOMP" 2401753 NIL PDECOMP (NIL T T) -7 NIL NIL) (-890 2398470 2399287 2399316 "PDECAT" 2400103 T PDECAT (NIL) -9 NIL 2400816) (-889 2398221 2398254 2398344 "PCOMP" 2398431 NIL PCOMP (NIL T T) -7 NIL NIL) (-888 2396426 2397022 2397319 "PBWLB" 2397950 NIL PBWLB (NIL T) -8 NIL NIL) (-887 2388931 2390499 2391837 "PATTERN" 2395109 NIL PATTERN (NIL T) -8 NIL NIL) (-886 2388563 2388620 2388729 "PATTERN2" 2388868 NIL PATTERN2 (NIL T T) -7 NIL NIL) (-885 2386320 2386708 2387165 "PATTERN1" 2388152 NIL PATTERN1 (NIL T T) -7 NIL NIL) (-884 2383715 2384269 2384750 "PATRES" 2385885 NIL PATRES (NIL T T) -8 NIL NIL) (-883 2383279 2383346 2383478 "PATRES2" 2383642 NIL PATRES2 (NIL T T T) -7 NIL NIL) (-882 2381162 2381567 2381974 "PATMATCH" 2382946 NIL PATMATCH (NIL T T T) -7 NIL NIL) (-881 2380697 2380880 2380922 "PATMAB" 2381029 NIL PATMAB (NIL T) -9 NIL 2381112) (-880 2379242 2379551 2379809 "PATLRES" 2380502 NIL PATLRES (NIL T T T) -8 NIL NIL) (-879 2378789 2378912 2378954 "PATAB" 2378959 NIL PATAB (NIL T) -9 NIL 2379129) (-878 2376270 2376802 2377375 "PARTPERM" 2378236 T PARTPERM (NIL) -7 NIL NIL) (-877 2375891 2375954 2376056 "PARSURF" 2376201 NIL PARSURF (NIL T) -8 NIL NIL) (-876 2375523 2375580 2375689 "PARSU2" 2375828 NIL PARSU2 (NIL T T) -7 NIL NIL) (-875 2375144 2375207 2375309 "PARSCURV" 2375454 NIL PARSCURV (NIL T) -8 NIL NIL) (-874 2374776 2374833 2374942 "PARSC2" 2375081 NIL PARSC2 (NIL T T) -7 NIL NIL) (-873 2374415 2374473 2374570 "PARPCURV" 2374712 NIL PARPCURV (NIL T) -8 NIL NIL) (-872 2374047 2374104 2374213 "PARPC2" 2374352 NIL PARPC2 (NIL T T) -7 NIL NIL) (-871 2372527 2372645 2372964 "PARAMP" 2373902 NIL PARAMP (NIL T NIL T T T T T) -7 NIL NIL) (-870 2372047 2372133 2372252 "PAN2EXPR" 2372428 T PAN2EXPR (NIL) -7 NIL NIL) (-869 2370853 2371168 2371396 "PALETTE" 2371839 T PALETTE (NIL) -8 NIL NIL) (-868 2358486 2360652 2362768 "PAFF" 2368801 NIL PAFF (NIL T NIL T) -7 NIL NIL) (-867 2345482 2347810 2350021 "PAFFFF" 2356339 NIL PAFFFF (NIL T NIL T) -7 NIL NIL) (-866 2339323 2344741 2344935 "PADICRC" 2345337 NIL PADICRC (NIL NIL T) -8 NIL NIL) (-865 2332522 2338669 2338853 "PADICRAT" 2339171 NIL PADICRAT (NIL NIL) -8 NIL NIL) (-864 2330826 2332459 2332504 "PADIC" 2332509 NIL PADIC (NIL NIL) -8 NIL NIL) (-863 2328026 2329600 2329641 "PADICCT" 2330222 NIL PADICCT (NIL NIL) -9 NIL 2330504) (-862 2326983 2327183 2327451 "PADEPAC" 2327813 NIL PADEPAC (NIL T NIL NIL) -7 NIL NIL) (-861 2326195 2326328 2326534 "PADE" 2326845 NIL PADE (NIL T T T) -7 NIL NIL) (-860 2322672 2325813 2325932 "PACRAT" 2326096 T PACRAT (NIL) -8 NIL NIL) (-859 2318733 2321783 2321812 "PACRATC" 2321817 T PACRATC (NIL) -9 NIL 2321897) (-858 2314855 2316820 2316849 "PACPERC" 2317795 T PACPERC (NIL) -9 NIL 2318235) (-857 2311525 2314629 2314720 "PACOFF" 2314796 NIL PACOFF (NIL T) -8 NIL NIL) (-856 2308220 2310880 2310909 "PACFFC" 2310914 T PACFFC (NIL) -9 NIL 2310935) (-855 2304310 2307903 2308004 "PACEXT" 2308151 NIL PACEXT (NIL NIL) -8 NIL NIL) (-854 2299688 2303205 2303234 "PACEXTC" 2303239 T PACEXTC (NIL) -9 NIL 2303283) (-853 2297696 2298528 2298843 "OWP" 2299457 NIL OWP (NIL T NIL NIL NIL) -8 NIL NIL) (-852 2296805 2297301 2297473 "OVAR" 2297564 NIL OVAR (NIL NIL) -8 NIL NIL) (-851 2296069 2296190 2296351 "OUT" 2296664 T OUT (NIL) -7 NIL NIL) (-850 2285115 2287294 2289464 "OUTFORM" 2293919 T OUTFORM (NIL) -8 NIL NIL) (-849 2284523 2284844 2284933 "OSI" 2285046 T OSI (NIL) -8 NIL NIL) (-848 2283270 2283497 2283781 "ORTHPOL" 2284271 NIL ORTHPOL (NIL T) -7 NIL NIL) (-847 2280632 2282927 2283067 "OREUP" 2283213 NIL OREUP (NIL NIL T NIL NIL) -8 NIL NIL) (-846 2278019 2280321 2280449 "ORESUP" 2280574 NIL ORESUP (NIL T NIL NIL) -8 NIL NIL) (-845 2275527 2276033 2276598 "OREPCTO" 2277504 NIL OREPCTO (NIL T T) -7 NIL NIL) (-844 2269397 2271608 2271650 "OREPCAT" 2273998 NIL OREPCAT (NIL T) -9 NIL 2275098) (-843 2266544 2267326 2268384 "OREPCAT-" 2268389 NIL OREPCAT- (NIL T T) -8 NIL NIL) (-842 2265720 2265992 2266021 "ORDSET" 2266330 T ORDSET (NIL) -9 NIL 2266494) (-841 2265239 2265361 2265554 "ORDSET-" 2265559 NIL ORDSET- (NIL T) -8 NIL NIL) (-840 2263848 2264649 2264678 "ORDRING" 2264880 T ORDRING (NIL) -9 NIL 2265005) (-839 2263493 2263587 2263731 "ORDRING-" 2263736 NIL ORDRING- (NIL T) -8 NIL NIL) (-838 2262867 2263348 2263377 "ORDMON" 2263382 T ORDMON (NIL) -9 NIL 2263403) (-837 2262029 2262176 2262371 "ORDFUNS" 2262716 NIL ORDFUNS (NIL NIL T) -7 NIL NIL) (-836 2261539 2261898 2261927 "ORDFIN" 2261932 T ORDFIN (NIL) -9 NIL 2261953) (-835 2258051 2260131 2260537 "ORDCOMP" 2261166 NIL ORDCOMP (NIL T) -8 NIL NIL) (-834 2257317 2257444 2257630 "ORDCOMP2" 2257911 NIL ORDCOMP2 (NIL T T) -7 NIL NIL) (-833 2253825 2254707 2255544 "OPTPROB" 2256500 T OPTPROB (NIL) -8 NIL NIL) (-832 2250627 2251266 2251970 "OPTPACK" 2253141 T OPTPACK (NIL) -7 NIL NIL) (-831 2248339 2249079 2249108 "OPTCAT" 2249927 T OPTCAT (NIL) -9 NIL 2250577) (-830 2248107 2248146 2248212 "OPQUERY" 2248293 T OPQUERY (NIL) -7 NIL NIL) (-829 2245233 2246424 2246925 "OP" 2247639 NIL OP (NIL T) -8 NIL NIL) (-828 2241998 2244036 2244402 "ONECOMP" 2244900 NIL ONECOMP (NIL T) -8 NIL NIL) (-827 2241303 2241418 2241592 "ONECOMP2" 2241870 NIL ONECOMP2 (NIL T T) -7 NIL NIL) (-826 2240722 2240828 2240958 "OMSERVER" 2241193 T OMSERVER (NIL) -7 NIL NIL) (-825 2237609 2240161 2240202 "OMSAGG" 2240263 NIL OMSAGG (NIL T) -9 NIL 2240327) (-824 2236232 2236495 2236777 "OMPKG" 2237347 T OMPKG (NIL) -7 NIL NIL) (-823 2235661 2235764 2235793 "OM" 2236092 T OM (NIL) -9 NIL NIL) (-822 2234199 2235212 2235380 "OMLO" 2235543 NIL OMLO (NIL T T) -8 NIL NIL) (-821 2233124 2233271 2233498 "OMEXPR" 2234025 NIL OMEXPR (NIL T) -7 NIL NIL) (-820 2232442 2232670 2232806 "OMERR" 2233008 T OMERR (NIL) -8 NIL NIL) (-819 2231620 2231863 2232023 "OMERRK" 2232302 T OMERRK (NIL) -8 NIL NIL) (-818 2231098 2231297 2231405 "OMENC" 2231532 T OMENC (NIL) -8 NIL NIL) (-817 2224993 2226178 2227349 "OMDEV" 2229947 T OMDEV (NIL) -8 NIL NIL) (-816 2224062 2224233 2224427 "OMCONN" 2224819 T OMCONN (NIL) -8 NIL NIL) (-815 2222673 2223659 2223688 "OINTDOM" 2223693 T OINTDOM (NIL) -9 NIL 2223714) (-814 2218324 2219579 2220323 "OFMONOID" 2221961 NIL OFMONOID (NIL T) -8 NIL NIL) (-813 2217762 2218261 2218306 "ODVAR" 2218311 NIL ODVAR (NIL T) -8 NIL NIL) (-812 2214889 2217261 2217445 "ODR" 2217638 NIL ODR (NIL T T NIL) -8 NIL NIL) (-811 2207187 2214665 2214791 "ODPOL" 2214796 NIL ODPOL (NIL T) -8 NIL NIL) (-810 2200981 2207059 2207164 "ODP" 2207169 NIL ODP (NIL NIL T NIL) -8 NIL NIL) (-809 2199747 2199962 2200237 "ODETOOLS" 2200755 NIL ODETOOLS (NIL T T) -7 NIL NIL) (-808 2196716 2197372 2198088 "ODESYS" 2199080 NIL ODESYS (NIL T T) -7 NIL NIL) (-807 2191600 2192508 2193532 "ODERTRIC" 2195792 NIL ODERTRIC (NIL T T) -7 NIL NIL) (-806 2191026 2191108 2191302 "ODERED" 2191512 NIL ODERED (NIL T T T T T) -7 NIL NIL) (-805 2187914 2188462 2189139 "ODERAT" 2190449 NIL ODERAT (NIL T T) -7 NIL NIL) (-804 2184874 2185338 2185935 "ODEPRRIC" 2187443 NIL ODEPRRIC (NIL T T T T) -7 NIL NIL) (-803 2182745 2183312 2183821 "ODEPROB" 2184385 T ODEPROB (NIL) -8 NIL NIL) (-802 2179267 2179750 2180397 "ODEPRIM" 2182224 NIL ODEPRIM (NIL T T T T) -7 NIL NIL) (-801 2178516 2178618 2178878 "ODEPAL" 2179159 NIL ODEPAL (NIL T T T T) -7 NIL NIL) (-800 2174678 2175469 2176333 "ODEPACK" 2177672 T ODEPACK (NIL) -7 NIL NIL) (-799 2173711 2173818 2174047 "ODEINT" 2174567 NIL ODEINT (NIL T T) -7 NIL NIL) (-798 2167812 2169237 2170684 "ODEIFTBL" 2172284 T ODEIFTBL (NIL) -8 NIL NIL) (-797 2163147 2163933 2164892 "ODEEF" 2166971 NIL ODEEF (NIL T T) -7 NIL NIL) (-796 2162482 2162571 2162801 "ODECONST" 2163052 NIL ODECONST (NIL T T T) -7 NIL NIL) (-795 2160632 2161267 2161296 "ODECAT" 2161901 T ODECAT (NIL) -9 NIL 2162432) (-794 2157493 2160344 2160463 "OCT" 2160545 NIL OCT (NIL T) -8 NIL NIL) (-793 2157131 2157174 2157301 "OCTCT2" 2157444 NIL OCTCT2 (NIL T T T T) -7 NIL NIL) (-792 2151955 2154399 2154440 "OC" 2155537 NIL OC (NIL T) -9 NIL 2156387) (-791 2149182 2149930 2150920 "OC-" 2151014 NIL OC- (NIL T T) -8 NIL NIL) (-790 2148559 2149001 2149030 "OCAMON" 2149035 T OCAMON (NIL) -9 NIL 2149056) (-789 2148011 2148418 2148447 "OASGP" 2148452 T OASGP (NIL) -9 NIL 2148472) (-788 2147297 2147760 2147789 "OAMONS" 2147829 T OAMONS (NIL) -9 NIL 2147872) (-787 2146736 2147143 2147172 "OAMON" 2147177 T OAMON (NIL) -9 NIL 2147197) (-786 2146039 2146531 2146560 "OAGROUP" 2146565 T OAGROUP (NIL) -9 NIL 2146585) (-785 2145729 2145779 2145867 "NUMTUBE" 2145983 NIL NUMTUBE (NIL T) -7 NIL NIL) (-784 2139302 2140820 2142356 "NUMQUAD" 2144213 T NUMQUAD (NIL) -7 NIL NIL) (-783 2135058 2136046 2137071 "NUMODE" 2138297 T NUMODE (NIL) -7 NIL NIL) (-782 2132438 2133292 2133321 "NUMINT" 2134244 T NUMINT (NIL) -9 NIL 2135008) (-781 2131386 2131583 2131801 "NUMFMT" 2132240 T NUMFMT (NIL) -7 NIL NIL) (-780 2117764 2120706 2123230 "NUMERIC" 2128901 NIL NUMERIC (NIL T) -7 NIL NIL) (-779 2112167 2117212 2117308 "NTSCAT" 2117313 NIL NTSCAT (NIL T T T T) -9 NIL 2117352) (-778 2111363 2111528 2111720 "NTPOLFN" 2112007 NIL NTPOLFN (NIL T) -7 NIL NIL) (-777 2099159 2108190 2109001 "NSUP" 2110585 NIL NSUP (NIL T) -8 NIL NIL) (-776 2098791 2098848 2098957 "NSUP2" 2099096 NIL NSUP2 (NIL T T) -7 NIL NIL) (-775 2088742 2098565 2098698 "NSMP" 2098703 NIL NSMP (NIL T T) -8 NIL NIL) (-774 2076834 2088324 2088488 "NSDPS" 2088610 NIL NSDPS (NIL T) -8 NIL NIL) (-773 2075266 2075567 2075924 "NREP" 2076522 NIL NREP (NIL T) -7 NIL NIL) (-772 2072355 2072903 2073552 "NPOLYGON" 2074708 NIL NPOLYGON (NIL T T T NIL) -7 NIL NIL) (-771 2070946 2071198 2071556 "NPCOEF" 2072098 NIL NPCOEF (NIL T T T T T) -7 NIL NIL) (-770 2070228 2070730 2070814 "NOTTING" 2070894 NIL NOTTING (NIL T) -8 NIL NIL) (-769 2069294 2069409 2069625 "NORMRETR" 2070109 NIL NORMRETR (NIL T T T T NIL) -7 NIL NIL) (-768 2067335 2067625 2068034 "NORMPK" 2069002 NIL NORMPK (NIL T T T T T) -7 NIL NIL) (-767 2067020 2067048 2067172 "NORMMA" 2067301 NIL NORMMA (NIL T T T T) -7 NIL NIL) (-766 2066847 2066977 2067006 "NONE" 2067011 T NONE (NIL) -8 NIL NIL) (-765 2066636 2066665 2066734 "NONE1" 2066811 NIL NONE1 (NIL T) -7 NIL NIL) (-764 2066119 2066181 2066367 "NODE1" 2066568 NIL NODE1 (NIL T T) -7 NIL NIL) (-763 2064413 2065282 2065537 "NNI" 2065884 T NNI (NIL) -8 NIL NIL) (-762 2062833 2063146 2063510 "NLINSOL" 2064081 NIL NLINSOL (NIL T) -7 NIL NIL) (-761 2059001 2059968 2060890 "NIPROB" 2061931 T NIPROB (NIL) -8 NIL NIL) (-760 2057758 2057992 2058294 "NFINTBAS" 2058763 NIL NFINTBAS (NIL T T) -7 NIL NIL) (-759 2057487 2057530 2057611 "NEWTON" 2057709 NIL NEWTON (NIL T) -7 NIL NIL) (-758 2056195 2056426 2056707 "NCODIV" 2057255 NIL NCODIV (NIL T T) -7 NIL NIL) (-757 2055957 2055994 2056069 "NCNTFRAC" 2056152 NIL NCNTFRAC (NIL T) -7 NIL NIL) (-756 2054137 2054501 2054921 "NCEP" 2055582 NIL NCEP (NIL T) -7 NIL NIL) (-755 2053047 2053786 2053815 "NASRING" 2053925 T NASRING (NIL) -9 NIL 2053999) (-754 2052842 2052886 2052980 "NASRING-" 2052985 NIL NASRING- (NIL T) -8 NIL NIL) (-753 2051994 2052493 2052522 "NARNG" 2052639 T NARNG (NIL) -9 NIL 2052730) (-752 2051686 2051753 2051887 "NARNG-" 2051892 NIL NARNG- (NIL T) -8 NIL NIL) (-751 2050565 2050772 2051007 "NAGSP" 2051471 T NAGSP (NIL) -7 NIL NIL) (-750 2041837 2043521 2045194 "NAGS" 2048912 T NAGS (NIL) -7 NIL NIL) (-749 2040385 2040693 2041024 "NAGF07" 2041526 T NAGF07 (NIL) -7 NIL NIL) (-748 2034923 2036214 2037521 "NAGF04" 2039098 T NAGF04 (NIL) -7 NIL NIL) (-747 2027891 2029505 2031138 "NAGF02" 2033310 T NAGF02 (NIL) -7 NIL NIL) (-746 2023115 2024215 2025332 "NAGF01" 2026794 T NAGF01 (NIL) -7 NIL NIL) (-745 2016743 2018309 2019894 "NAGE04" 2021550 T NAGE04 (NIL) -7 NIL NIL) (-744 2007912 2010033 2012163 "NAGE02" 2014633 T NAGE02 (NIL) -7 NIL NIL) (-743 2003865 2004812 2005776 "NAGE01" 2006968 T NAGE01 (NIL) -7 NIL NIL) (-742 2001660 2002194 2002752 "NAGD03" 2003327 T NAGD03 (NIL) -7 NIL NIL) (-741 1993410 1995338 1997292 "NAGD02" 1999726 T NAGD02 (NIL) -7 NIL NIL) (-740 1987221 1988646 1990086 "NAGD01" 1991990 T NAGD01 (NIL) -7 NIL NIL) (-739 1983430 1984252 1985089 "NAGC06" 1986404 T NAGC06 (NIL) -7 NIL NIL) (-738 1981895 1982227 1982583 "NAGC05" 1983094 T NAGC05 (NIL) -7 NIL NIL) (-737 1981271 1981390 1981534 "NAGC02" 1981771 T NAGC02 (NIL) -7 NIL NIL) (-736 1980330 1980887 1980928 "NAALG" 1981007 NIL NAALG (NIL T) -9 NIL 1981068) (-735 1980165 1980194 1980284 "NAALG-" 1980289 NIL NAALG- (NIL T T) -8 NIL NIL) (-734 1971041 1979281 1979556 "MYUP" 1979936 NIL MYUP (NIL NIL T) -8 NIL NIL) (-733 1961404 1969497 1969868 "MYEXPR" 1970736 NIL MYEXPR (NIL NIL T) -8 NIL NIL) (-732 1955354 1956462 1957649 "MULTSQFR" 1960300 NIL MULTSQFR (NIL T T T T) -7 NIL NIL) (-731 1954673 1954748 1954932 "MULTFACT" 1955266 NIL MULTFACT (NIL T T T T) -7 NIL NIL) (-730 1947798 1951707 1951761 "MTSCAT" 1952831 NIL MTSCAT (NIL T T) -9 NIL 1953345) (-729 1947510 1947564 1947656 "MTHING" 1947738 NIL MTHING (NIL T) -7 NIL NIL) (-728 1947302 1947335 1947395 "MSYSCMD" 1947470 T MSYSCMD (NIL) -7 NIL NIL) (-727 1943414 1946057 1946377 "MSET" 1947015 NIL MSET (NIL T) -8 NIL NIL) (-726 1940508 1942974 1943016 "MSETAGG" 1943021 NIL MSETAGG (NIL T) -9 NIL 1943055) (-725 1936357 1937899 1938638 "MRING" 1939814 NIL MRING (NIL T T) -8 NIL NIL) (-724 1935923 1935990 1936121 "MRF2" 1936284 NIL MRF2 (NIL T T T) -7 NIL NIL) (-723 1935541 1935576 1935720 "MRATFAC" 1935882 NIL MRATFAC (NIL T T T T) -7 NIL NIL) (-722 1933153 1933448 1933879 "MPRFF" 1935246 NIL MPRFF (NIL T T T T) -7 NIL NIL) (-721 1927167 1933007 1933104 "MPOLY" 1933109 NIL MPOLY (NIL NIL T) -8 NIL NIL) (-720 1926657 1926692 1926900 "MPCPF" 1927126 NIL MPCPF (NIL T T T T) -7 NIL NIL) (-719 1926171 1926214 1926398 "MPC3" 1926608 NIL MPC3 (NIL T T T T T T T) -7 NIL NIL) (-718 1925366 1925447 1925668 "MPC2" 1926086 NIL MPC2 (NIL T T T T T T T) -7 NIL NIL) (-717 1923667 1924004 1924394 "MONOTOOL" 1925026 NIL MONOTOOL (NIL T T) -7 NIL NIL) (-716 1922790 1923125 1923154 "MONOID" 1923431 T MONOID (NIL) -9 NIL 1923603) (-715 1922168 1922331 1922574 "MONOID-" 1922579 NIL MONOID- (NIL T) -8 NIL NIL) (-714 1913094 1919079 1919139 "MONOGEN" 1919813 NIL MONOGEN (NIL T T) -9 NIL 1920266) (-713 1910312 1911047 1912047 "MONOGEN-" 1912166 NIL MONOGEN- (NIL T T T) -8 NIL NIL) (-712 1909170 1909590 1909619 "MONADWU" 1910011 T MONADWU (NIL) -9 NIL 1910249) (-711 1908542 1908701 1908949 "MONADWU-" 1908954 NIL MONADWU- (NIL T) -8 NIL NIL) (-710 1907926 1908144 1908173 "MONAD" 1908380 T MONAD (NIL) -9 NIL 1908492) (-709 1907611 1907689 1907821 "MONAD-" 1907826 NIL MONAD- (NIL T) -8 NIL NIL) (-708 1905862 1906524 1906803 "MOEBIUS" 1907364 NIL MOEBIUS (NIL T) -8 NIL NIL) (-707 1905253 1905631 1905672 "MODULE" 1905677 NIL MODULE (NIL T) -9 NIL 1905703) (-706 1904821 1904917 1905107 "MODULE-" 1905112 NIL MODULE- (NIL T T) -8 NIL NIL) (-705 1902490 1903185 1903512 "MODRING" 1904645 NIL MODRING (NIL T T NIL NIL NIL) -8 NIL NIL) (-704 1899436 1900601 1901119 "MODOP" 1902022 NIL MODOP (NIL T T) -8 NIL NIL) (-703 1897623 1898075 1898416 "MODMONOM" 1899235 NIL MODMONOM (NIL T T NIL) -8 NIL NIL) (-702 1887288 1895819 1896240 "MODMON" 1897253 NIL MODMON (NIL T T) -8 NIL NIL) (-701 1884414 1886132 1886408 "MODFIELD" 1887163 NIL MODFIELD (NIL T T NIL NIL NIL) -8 NIL NIL) (-700 1883418 1883695 1883885 "MMLFORM" 1884244 T MMLFORM (NIL) -8 NIL NIL) (-699 1882944 1882987 1883166 "MMAP" 1883369 NIL MMAP (NIL T T T T T T) -7 NIL NIL) (-698 1881169 1881946 1881988 "MLO" 1882411 NIL MLO (NIL T) -9 NIL 1882652) (-697 1878536 1879051 1879653 "MLIFT" 1880650 NIL MLIFT (NIL T T T T) -7 NIL NIL) (-696 1877927 1878011 1878165 "MKUCFUNC" 1878447 NIL MKUCFUNC (NIL T T T) -7 NIL NIL) (-695 1877526 1877596 1877719 "MKRECORD" 1877850 NIL MKRECORD (NIL T T) -7 NIL NIL) (-694 1876574 1876735 1876963 "MKFUNC" 1877337 NIL MKFUNC (NIL T) -7 NIL NIL) (-693 1875962 1876066 1876222 "MKFLCFN" 1876457 NIL MKFLCFN (NIL T) -7 NIL NIL) (-692 1875388 1875755 1875844 "MKCHSET" 1875906 NIL MKCHSET (NIL T) -8 NIL NIL) (-691 1874665 1874767 1874952 "MKBCFUNC" 1875281 NIL MKBCFUNC (NIL T T T T) -7 NIL NIL) (-690 1871349 1874219 1874355 "MINT" 1874549 T MINT (NIL) -8 NIL NIL) (-689 1870161 1870404 1870681 "MHROWRED" 1871104 NIL MHROWRED (NIL T) -7 NIL NIL) (-688 1865428 1868602 1869028 "MFLOAT" 1869755 T MFLOAT (NIL) -8 NIL NIL) (-687 1864785 1864861 1865032 "MFINFACT" 1865340 NIL MFINFACT (NIL T T T T) -7 NIL NIL) (-686 1861100 1861948 1862832 "MESH" 1863921 T MESH (NIL) -7 NIL NIL) (-685 1859490 1859802 1860155 "MDDFACT" 1860787 NIL MDDFACT (NIL T) -7 NIL NIL) (-684 1856372 1858683 1858725 "MDAGG" 1858980 NIL MDAGG (NIL T) -9 NIL 1859123) (-683 1846060 1855665 1855872 "MCMPLX" 1856185 T MCMPLX (NIL) -8 NIL NIL) (-682 1845201 1845347 1845547 "MCDEN" 1845909 NIL MCDEN (NIL T T) -7 NIL NIL) (-681 1843091 1843361 1843741 "MCALCFN" 1844931 NIL MCALCFN (NIL T T T T) -7 NIL NIL) (-680 1840703 1841226 1841788 "MATSTOR" 1842562 NIL MATSTOR (NIL T) -7 NIL NIL) (-679 1836617 1840079 1840325 "MATRIX" 1840490 NIL MATRIX (NIL T) -8 NIL NIL) (-678 1832393 1833096 1833829 "MATLIN" 1835977 NIL MATLIN (NIL T T T T) -7 NIL NIL) (-677 1822158 1825379 1825457 "MATCAT" 1830587 NIL MATCAT (NIL T T T) -9 NIL 1832094) (-676 1818357 1819425 1820836 "MATCAT-" 1820841 NIL MATCAT- (NIL T T T T) -8 NIL NIL) (-675 1816951 1817104 1817437 "MATCAT2" 1818192 NIL MATCAT2 (NIL T T T T T T T T) -7 NIL NIL) (-674 1815691 1815957 1816272 "MAPPKG4" 1816682 NIL MAPPKG4 (NIL T T) -7 NIL NIL) (-673 1813803 1814127 1814511 "MAPPKG3" 1815366 NIL MAPPKG3 (NIL T T T) -7 NIL NIL) (-672 1812784 1812957 1813179 "MAPPKG2" 1813627 NIL MAPPKG2 (NIL T T) -7 NIL NIL) (-671 1811283 1811567 1811894 "MAPPKG1" 1812490 NIL MAPPKG1 (NIL T) -7 NIL NIL) (-670 1810894 1810952 1811075 "MAPHACK3" 1811219 NIL MAPHACK3 (NIL T T T) -7 NIL NIL) (-669 1810486 1810547 1810661 "MAPHACK2" 1810826 NIL MAPHACK2 (NIL T T) -7 NIL NIL) (-668 1809924 1810027 1810169 "MAPHACK1" 1810377 NIL MAPHACK1 (NIL T) -7 NIL NIL) (-667 1808030 1808624 1808928 "MAGMA" 1809652 NIL MAGMA (NIL T) -8 NIL NIL) (-666 1804505 1806271 1806731 "M3D" 1807603 NIL M3D (NIL T) -8 NIL NIL) (-665 1798699 1802905 1802947 "LZSTAGG" 1803729 NIL LZSTAGG (NIL T) -9 NIL 1804024) (-664 1794673 1795830 1797287 "LZSTAGG-" 1797292 NIL LZSTAGG- (NIL T T) -8 NIL NIL) (-663 1791787 1792564 1793051 "LWORD" 1794218 NIL LWORD (NIL T) -8 NIL NIL) (-662 1784942 1791558 1791692 "LSQM" 1791697 NIL LSQM (NIL NIL T) -8 NIL NIL) (-661 1784166 1784305 1784533 "LSPP" 1784797 NIL LSPP (NIL T T T T) -7 NIL NIL) (-660 1781978 1782279 1782735 "LSMP" 1783855 NIL LSMP (NIL T T T T) -7 NIL NIL) (-659 1778757 1779431 1780161 "LSMP1" 1781280 NIL LSMP1 (NIL T) -7 NIL NIL) (-658 1772714 1777947 1777989 "LSAGG" 1778051 NIL LSAGG (NIL T) -9 NIL 1778129) (-657 1769409 1770333 1771546 "LSAGG-" 1771551 NIL LSAGG- (NIL T T) -8 NIL NIL) (-656 1767035 1768553 1768802 "LPOLY" 1769204 NIL LPOLY (NIL T T) -8 NIL NIL) (-655 1766617 1766702 1766825 "LPEFRAC" 1766944 NIL LPEFRAC (NIL T) -7 NIL NIL) (-654 1764181 1764430 1764862 "LPARSPT" 1766359 NIL LPARSPT (NIL T NIL T T T T T) -7 NIL NIL) (-653 1762656 1762983 1763343 "LOP" 1763853 NIL LOP (NIL T) -7 NIL NIL) (-652 1761005 1761752 1762004 "LO" 1762489 NIL LO (NIL T T T) -8 NIL NIL) (-651 1760656 1760768 1760797 "LOGIC" 1760908 T LOGIC (NIL) -9 NIL 1760989) (-650 1760518 1760541 1760612 "LOGIC-" 1760617 NIL LOGIC- (NIL T) -8 NIL NIL) (-649 1759711 1759851 1760044 "LODOOPS" 1760374 NIL LODOOPS (NIL T T) -7 NIL NIL) (-648 1757123 1759627 1759693 "LODO" 1759698 NIL LODO (NIL T NIL) -8 NIL NIL) (-647 1755663 1755898 1756250 "LODOF" 1756871 NIL LODOF (NIL T T) -7 NIL NIL) (-646 1752062 1754503 1754545 "LODOCAT" 1754983 NIL LODOCAT (NIL T) -9 NIL 1755193) (-645 1751795 1751853 1751980 "LODOCAT-" 1751985 NIL LODOCAT- (NIL T T) -8 NIL NIL) (-644 1749104 1751636 1751754 "LODO2" 1751759 NIL LODO2 (NIL T T) -8 NIL NIL) (-643 1746528 1749041 1749086 "LODO1" 1749091 NIL LODO1 (NIL T) -8 NIL NIL) (-642 1745388 1745553 1745865 "LODEEF" 1746351 NIL LODEEF (NIL T T T) -7 NIL NIL) (-641 1738215 1742380 1742421 "LOCPOWC" 1743883 NIL LOCPOWC (NIL T) -9 NIL 1744460) (-640 1733539 1736377 1736419 "LNAGG" 1737366 NIL LNAGG (NIL T) -9 NIL 1737809) (-639 1732686 1732900 1733242 "LNAGG-" 1733247 NIL LNAGG- (NIL T T) -8 NIL NIL) (-638 1728849 1729611 1730250 "LMOPS" 1732101 NIL LMOPS (NIL T T NIL) -8 NIL NIL) (-637 1728243 1728605 1728647 "LMODULE" 1728708 NIL LMODULE (NIL T) -9 NIL 1728750) (-636 1725495 1727888 1728011 "LMDICT" 1728153 NIL LMDICT (NIL T) -8 NIL NIL) (-635 1724652 1724786 1724973 "LISYSER" 1725357 NIL LISYSER (NIL T T) -7 NIL NIL) (-634 1717889 1723602 1723898 "LIST" 1724389 NIL LIST (NIL T) -8 NIL NIL) (-633 1717414 1717488 1717627 "LIST3" 1717809 NIL LIST3 (NIL T T T) -7 NIL NIL) (-632 1716421 1716599 1716827 "LIST2" 1717232 NIL LIST2 (NIL T T) -7 NIL NIL) (-631 1714555 1714867 1715266 "LIST2MAP" 1716068 NIL LIST2MAP (NIL T T) -7 NIL NIL) (-630 1713260 1713940 1713982 "LINEXP" 1714237 NIL LINEXP (NIL T) -9 NIL 1714386) (-629 1711907 1712167 1712464 "LINDEP" 1713012 NIL LINDEP (NIL T T) -7 NIL NIL) (-628 1708674 1709393 1710170 "LIMITRF" 1711162 NIL LIMITRF (NIL T) -7 NIL NIL) (-627 1706950 1707245 1707661 "LIMITPS" 1708369 NIL LIMITPS (NIL T T) -7 NIL NIL) (-626 1701409 1706465 1706691 "LIE" 1706773 NIL LIE (NIL T T) -8 NIL NIL) (-625 1700458 1700901 1700942 "LIECAT" 1701082 NIL LIECAT (NIL T) -9 NIL 1701232) (-624 1700299 1700326 1700414 "LIECAT-" 1700419 NIL LIECAT- (NIL T T) -8 NIL NIL) (-623 1692833 1699678 1699861 "LIB" 1700136 T LIB (NIL) -8 NIL NIL) (-622 1688470 1689351 1690286 "LGROBP" 1691950 NIL LGROBP (NIL NIL T) -7 NIL NIL) (-621 1685951 1686275 1686686 "LF" 1688143 NIL LF (NIL T T) -7 NIL NIL) (-620 1684648 1685378 1685407 "LFCAT" 1685682 T LFCAT (NIL) -9 NIL 1685857) (-619 1681552 1682180 1682868 "LEXTRIPK" 1684012 NIL LEXTRIPK (NIL T NIL) -7 NIL NIL) (-618 1678258 1679122 1679625 "LEXP" 1681132 NIL LEXP (NIL T T NIL) -8 NIL NIL) (-617 1676656 1676969 1677370 "LEADCDET" 1677940 NIL LEADCDET (NIL T T T T) -7 NIL NIL) (-616 1675846 1675920 1676149 "LAZM3PK" 1676577 NIL LAZM3PK (NIL T T T T T T) -7 NIL NIL) (-615 1670762 1673929 1674464 "LAUPOL" 1675361 NIL LAUPOL (NIL T T) -8 NIL NIL) (-614 1670327 1670371 1670539 "LAPLACE" 1670712 NIL LAPLACE (NIL T T) -7 NIL NIL) (-613 1668257 1669430 1669680 "LA" 1670161 NIL LA (NIL T T T) -8 NIL NIL) (-612 1667313 1667907 1667949 "LALG" 1668011 NIL LALG (NIL T) -9 NIL 1668070) (-611 1667027 1667086 1667222 "LALG-" 1667227 NIL LALG- (NIL T T) -8 NIL NIL) (-610 1665931 1666118 1666417 "KOVACIC" 1666827 NIL KOVACIC (NIL T T) -7 NIL NIL) (-609 1665765 1665789 1665831 "KONVERT" 1665893 NIL KONVERT (NIL T) -9 NIL NIL) (-608 1665599 1665623 1665665 "KOERCE" 1665727 NIL KOERCE (NIL T) -9 NIL NIL) (-607 1663335 1664095 1664487 "KERNEL" 1665239 NIL KERNEL (NIL T) -8 NIL NIL) (-606 1662837 1662918 1663048 "KERNEL2" 1663249 NIL KERNEL2 (NIL T T) -7 NIL NIL) (-605 1656520 1661202 1661257 "KDAGG" 1661634 NIL KDAGG (NIL T T) -9 NIL 1661840) (-604 1656049 1656173 1656378 "KDAGG-" 1656383 NIL KDAGG- (NIL T T T) -8 NIL NIL) (-603 1649198 1655710 1655865 "KAFILE" 1655927 NIL KAFILE (NIL T) -8 NIL NIL) (-602 1643657 1648713 1648939 "JORDAN" 1649021 NIL JORDAN (NIL T T) -8 NIL NIL) (-601 1640000 1641900 1641955 "IXAGG" 1642884 NIL IXAGG (NIL T T) -9 NIL 1643339) (-600 1638919 1639225 1639644 "IXAGG-" 1639649 NIL IXAGG- (NIL T T T) -8 NIL NIL) (-599 1634503 1638841 1638900 "IVECTOR" 1638905 NIL IVECTOR (NIL T NIL) -8 NIL NIL) (-598 1633269 1633506 1633772 "ITUPLE" 1634270 NIL ITUPLE (NIL T) -8 NIL NIL) (-597 1631693 1631870 1632178 "ITRIGMNP" 1633091 NIL ITRIGMNP (NIL T T T) -7 NIL NIL) (-596 1630438 1630642 1630925 "ITFUN3" 1631469 NIL ITFUN3 (NIL T T T) -7 NIL NIL) (-595 1630070 1630127 1630236 "ITFUN2" 1630375 NIL ITFUN2 (NIL T T) -7 NIL NIL) (-594 1627863 1628934 1629232 "ITAYLOR" 1629805 NIL ITAYLOR (NIL T) -8 NIL NIL) (-593 1616802 1622002 1623164 "ISUPS" 1626734 NIL ISUPS (NIL T) -8 NIL NIL) (-592 1615906 1616046 1616282 "ISUMP" 1616649 NIL ISUMP (NIL T T T T) -7 NIL NIL) (-591 1611176 1615707 1615786 "ISTRING" 1615859 NIL ISTRING (NIL NIL) -8 NIL NIL) (-590 1610386 1610467 1610683 "IRURPK" 1611090 NIL IRURPK (NIL T T T T T) -7 NIL NIL) (-589 1609322 1609523 1609763 "IRSN" 1610166 T IRSN (NIL) -7 NIL NIL) (-588 1607353 1607708 1608143 "IRRF2F" 1608961 NIL IRRF2F (NIL T) -7 NIL NIL) (-587 1607100 1607138 1607214 "IRREDFFX" 1607309 NIL IRREDFFX (NIL T) -7 NIL NIL) (-586 1605715 1605974 1606273 "IROOT" 1606833 NIL IROOT (NIL T) -7 NIL NIL) (-585 1602351 1603403 1604093 "IR" 1605057 NIL IR (NIL T) -8 NIL NIL) (-584 1599964 1600459 1601025 "IR2" 1601829 NIL IR2 (NIL T T) -7 NIL NIL) (-583 1599036 1599149 1599370 "IR2F" 1599847 NIL IR2F (NIL T T) -7 NIL NIL) (-582 1598827 1598861 1598921 "IPRNTPK" 1598996 T IPRNTPK (NIL) -7 NIL NIL) (-581 1595381 1598716 1598785 "IPF" 1598790 NIL IPF (NIL NIL) -8 NIL NIL) (-580 1593698 1595306 1595363 "IPADIC" 1595368 NIL IPADIC (NIL NIL NIL) -8 NIL NIL) (-579 1593195 1593253 1593443 "INVLAPLA" 1593634 NIL INVLAPLA (NIL T T) -7 NIL NIL) (-578 1582844 1585197 1587583 "INTTR" 1590859 NIL INTTR (NIL T T) -7 NIL NIL) (-577 1579202 1579944 1580801 "INTTOOLS" 1582036 NIL INTTOOLS (NIL T T) -7 NIL NIL) (-576 1578788 1578879 1578996 "INTSLPE" 1579105 T INTSLPE (NIL) -7 NIL NIL) (-575 1576738 1578711 1578770 "INTRVL" 1578775 NIL INTRVL (NIL T) -8 NIL NIL) (-574 1574340 1574852 1575427 "INTRF" 1576223 NIL INTRF (NIL T) -7 NIL NIL) (-573 1573751 1573848 1573990 "INTRET" 1574238 NIL INTRET (NIL T) -7 NIL NIL) (-572 1571748 1572137 1572607 "INTRAT" 1573359 NIL INTRAT (NIL T T) -7 NIL NIL) (-571 1568984 1569567 1570189 "INTPM" 1571237 NIL INTPM (NIL T T) -7 NIL NIL) (-570 1565689 1566288 1567032 "INTPAF" 1568371 NIL INTPAF (NIL T T T) -7 NIL NIL) (-569 1560868 1561830 1562881 "INTPACK" 1564658 T INTPACK (NIL) -7 NIL NIL) (-568 1557722 1560597 1560724 "INT" 1560761 T INT (NIL) -8 NIL NIL) (-567 1556974 1557126 1557334 "INTHERTR" 1557564 NIL INTHERTR (NIL T T) -7 NIL NIL) (-566 1556413 1556493 1556681 "INTHERAL" 1556888 NIL INTHERAL (NIL T T T T) -7 NIL NIL) (-565 1554259 1554702 1555159 "INTHEORY" 1555976 T INTHEORY (NIL) -7 NIL NIL) (-564 1545570 1547190 1548968 "INTG0" 1552612 NIL INTG0 (NIL T T T) -7 NIL NIL) (-563 1526143 1530933 1535743 "INTFTBL" 1540780 T INTFTBL (NIL) -8 NIL NIL) (-562 1524180 1524387 1524788 "INTFRSP" 1525933 NIL INTFRSP (NIL T NIL T T T T T T) -7 NIL NIL) (-561 1523429 1523567 1523740 "INTFACT" 1524039 NIL INTFACT (NIL T) -7 NIL NIL) (-560 1523019 1523061 1523212 "INTERGB" 1523381 NIL INTERGB (NIL T NIL T T T) -7 NIL NIL) (-559 1520404 1520850 1521414 "INTEF" 1522573 NIL INTEF (NIL T T) -7 NIL NIL) (-558 1518861 1519610 1519639 "INTDOM" 1519940 T INTDOM (NIL) -9 NIL 1520147) (-557 1518230 1518404 1518646 "INTDOM-" 1518651 NIL INTDOM- (NIL T) -8 NIL NIL) (-556 1516834 1516939 1517329 "INTDIVP" 1518120 NIL INTDIVP (NIL T NIL T T T T T T T T T) -7 NIL NIL) (-555 1513320 1515250 1515305 "INTCAT" 1516104 NIL INTCAT (NIL T) -9 NIL 1516425) (-554 1512793 1512895 1513023 "INTBIT" 1513212 T INTBIT (NIL) -7 NIL NIL) (-553 1511464 1511618 1511932 "INTALG" 1512638 NIL INTALG (NIL T T T T T) -7 NIL NIL) (-552 1510921 1511011 1511181 "INTAF" 1511368 NIL INTAF (NIL T T) -7 NIL NIL) (-551 1504387 1510731 1510871 "INTABL" 1510876 NIL INTABL (NIL T T T) -8 NIL NIL) (-550 1499332 1502058 1502087 "INS" 1503055 T INS (NIL) -9 NIL 1503738) (-549 1496572 1497343 1498317 "INS-" 1498390 NIL INS- (NIL T) -8 NIL NIL) (-548 1495347 1495574 1495872 "INPSIGN" 1496325 NIL INPSIGN (NIL T T) -7 NIL NIL) (-547 1494465 1494582 1494779 "INPRODPF" 1495227 NIL INPRODPF (NIL T T) -7 NIL NIL) (-546 1493359 1493476 1493713 "INPRODFF" 1494345 NIL INPRODFF (NIL T T T T) -7 NIL NIL) (-545 1492359 1492511 1492771 "INNMFACT" 1493195 NIL INNMFACT (NIL T T T T) -7 NIL NIL) (-544 1491556 1491653 1491841 "INMODGCD" 1492258 NIL INMODGCD (NIL T T NIL NIL) -7 NIL NIL) (-543 1490065 1490309 1490633 "INFSP" 1491301 NIL INFSP (NIL T T T) -7 NIL NIL) (-542 1489249 1489366 1489549 "INFPROD0" 1489945 NIL INFPROD0 (NIL T T) -7 NIL NIL) (-541 1486130 1487314 1487829 "INFORM" 1488742 T INFORM (NIL) -8 NIL NIL) (-540 1485740 1485800 1485898 "INFORM1" 1486065 NIL INFORM1 (NIL T) -7 NIL NIL) (-539 1485263 1485352 1485466 "INFINITY" 1485646 T INFINITY (NIL) -7 NIL NIL) (-538 1482946 1483943 1484286 "INFCLSPT" 1485123 NIL INFCLSPT (NIL T NIL T T T T T T T) -8 NIL NIL) (-537 1480823 1482068 1482362 "INFCLSPS" 1482716 NIL INFCLSPS (NIL T NIL T) -8 NIL NIL) (-536 1473373 1474296 1474517 "INFCLCT" 1479948 NIL INFCLCT (NIL T NIL T T T T T T T) -9 NIL 1480759) (-535 1471991 1472239 1472560 "INEP" 1473121 NIL INEP (NIL T T T) -7 NIL NIL) (-534 1471267 1471888 1471953 "INDE" 1471958 NIL INDE (NIL T) -8 NIL NIL) (-533 1470831 1470899 1471016 "INCRMAPS" 1471194 NIL INCRMAPS (NIL T) -7 NIL NIL) (-532 1466142 1467067 1468011 "INBFF" 1469919 NIL INBFF (NIL T) -7 NIL NIL) (-531 1462537 1465986 1466090 "IMATRIX" 1466095 NIL IMATRIX (NIL T NIL NIL) -8 NIL NIL) (-530 1461251 1461374 1461688 "IMATQF" 1462394 NIL IMATQF (NIL T T T T T T T T) -7 NIL NIL) (-529 1459473 1459700 1460036 "IMATLIN" 1461008 NIL IMATLIN (NIL T T T T) -7 NIL NIL) (-528 1454105 1459397 1459455 "ILIST" 1459460 NIL ILIST (NIL T NIL) -8 NIL NIL) (-527 1452064 1453965 1454078 "IIARRAY2" 1454083 NIL IIARRAY2 (NIL T NIL NIL T T) -8 NIL NIL) (-526 1447432 1451975 1452039 "IFF" 1452044 NIL IFF (NIL NIL NIL) -8 NIL NIL) (-525 1442481 1446724 1446912 "IFARRAY" 1447289 NIL IFARRAY (NIL T NIL) -8 NIL NIL) (-524 1441688 1442385 1442458 "IFAMON" 1442463 NIL IFAMON (NIL T T NIL) -8 NIL NIL) (-523 1441271 1441336 1441391 "IEVALAB" 1441598 NIL IEVALAB (NIL T T) -9 NIL NIL) (-522 1440946 1441014 1441174 "IEVALAB-" 1441179 NIL IEVALAB- (NIL T T T) -8 NIL NIL) (-521 1440604 1440860 1440923 "IDPO" 1440928 NIL IDPO (NIL T T) -8 NIL NIL) (-520 1439881 1440493 1440568 "IDPOAMS" 1440573 NIL IDPOAMS (NIL T T) -8 NIL NIL) (-519 1439215 1439770 1439845 "IDPOAM" 1439850 NIL IDPOAM (NIL T T) -8 NIL NIL) (-518 1438299 1438549 1438603 "IDPC" 1439016 NIL IDPC (NIL T T) -9 NIL 1439165) (-517 1437795 1438191 1438264 "IDPAM" 1438269 NIL IDPAM (NIL T T) -8 NIL NIL) (-516 1437198 1437687 1437760 "IDPAG" 1437765 NIL IDPAG (NIL T T) -8 NIL NIL) (-515 1433453 1434301 1435196 "IDECOMP" 1436355 NIL IDECOMP (NIL NIL NIL) -7 NIL NIL) (-514 1426329 1427378 1428424 "IDEAL" 1432490 NIL IDEAL (NIL T T T T) -8 NIL NIL) (-513 1424346 1425493 1425766 "ICP" 1426120 NIL ICP (NIL T NIL T) -8 NIL NIL) (-512 1423510 1423622 1423821 "ICDEN" 1424230 NIL ICDEN (NIL T T T T) -7 NIL NIL) (-511 1422609 1422990 1423137 "ICARD" 1423383 T ICARD (NIL) -8 NIL NIL) (-510 1420669 1420982 1421387 "IBPTOOLS" 1422286 NIL IBPTOOLS (NIL T T T T) -7 NIL NIL) (-509 1416283 1420289 1420402 "IBITS" 1420588 NIL IBITS (NIL NIL) -8 NIL NIL) (-508 1413006 1413582 1414277 "IBATOOL" 1415700 NIL IBATOOL (NIL T T T) -7 NIL NIL) (-507 1410786 1411247 1411780 "IBACHIN" 1412541 NIL IBACHIN (NIL T T T) -7 NIL NIL) (-506 1408669 1410632 1410735 "IARRAY2" 1410740 NIL IARRAY2 (NIL T NIL NIL) -8 NIL NIL) (-505 1404828 1408595 1408652 "IARRAY1" 1408657 NIL IARRAY1 (NIL T NIL) -8 NIL NIL) (-504 1398758 1403240 1403721 "IAN" 1404367 T IAN (NIL) -8 NIL NIL) (-503 1398269 1398326 1398499 "IALGFACT" 1398695 NIL IALGFACT (NIL T T T T) -7 NIL NIL) (-502 1397796 1397909 1397938 "HYPCAT" 1398145 T HYPCAT (NIL) -9 NIL NIL) (-501 1397334 1397451 1397637 "HYPCAT-" 1397642 NIL HYPCAT- (NIL T) -8 NIL NIL) (-500 1396338 1396615 1396805 "HTMLFORM" 1397164 T HTMLFORM (NIL) -8 NIL NIL) (-499 1393127 1394452 1394494 "HOAGG" 1395475 NIL HOAGG (NIL T) -9 NIL 1396084) (-498 1391721 1392120 1392646 "HOAGG-" 1392651 NIL HOAGG- (NIL T T) -8 NIL NIL) (-497 1385539 1391159 1391326 "HEXADEC" 1391574 T HEXADEC (NIL) -8 NIL NIL) (-496 1384287 1384509 1384772 "HEUGCD" 1385316 NIL HEUGCD (NIL T) -7 NIL NIL) (-495 1383390 1384124 1384254 "HELLFDIV" 1384259 NIL HELLFDIV (NIL T T T T) -8 NIL NIL) (-494 1377107 1378650 1379731 "HEAP" 1382341 NIL HEAP (NIL T) -8 NIL NIL) (-493 1370945 1377022 1377084 "HDP" 1377089 NIL HDP (NIL NIL T) -8 NIL NIL) (-492 1364650 1370580 1370732 "HDMP" 1370846 NIL HDMP (NIL NIL T) -8 NIL NIL) (-491 1363975 1364114 1364278 "HB" 1364506 T HB (NIL) -7 NIL NIL) (-490 1357484 1363821 1363925 "HASHTBL" 1363930 NIL HASHTBL (NIL T T NIL) -8 NIL NIL) (-489 1355231 1357106 1357288 "HACKPI" 1357322 T HACKPI (NIL) -8 NIL NIL) (-488 1337379 1341248 1345251 "GUESSUP" 1351261 NIL GUESSUP (NIL NIL) -7 NIL NIL) (-487 1308476 1315517 1322213 "GUESSP" 1330703 T GUESSP (NIL) -7 NIL NIL) (-486 1275291 1280562 1285946 "GUESS" 1303420 NIL GUESS (NIL T T T T NIL NIL) -7 NIL NIL) (-485 1248796 1255193 1261329 "GUESSINT" 1269175 T GUESSINT (NIL) -7 NIL NIL) (-484 1224167 1229617 1235184 "GUESSF" 1243281 NIL GUESSF (NIL T) -7 NIL NIL) (-483 1223889 1223926 1224021 "GUESSF1" 1224124 NIL GUESSF1 (NIL T) -7 NIL NIL) (-482 1200050 1205584 1211199 "GUESSAN" 1218294 T GUESSAN (NIL) -7 NIL NIL) (-481 1195745 1199903 1200016 "GTSET" 1200021 NIL GTSET (NIL T T T T) -8 NIL NIL) (-480 1189283 1195623 1195721 "GSTBL" 1195726 NIL GSTBL (NIL T T T NIL) -8 NIL NIL) (-479 1181513 1188316 1188580 "GSERIES" 1189075 NIL GSERIES (NIL T NIL NIL) -8 NIL NIL) (-478 1180534 1180987 1181016 "GROUP" 1181277 T GROUP (NIL) -9 NIL 1181436) (-477 1179650 1179873 1180217 "GROUP-" 1180222 NIL GROUP- (NIL T) -8 NIL NIL) (-476 1178019 1178338 1178725 "GROEBSOL" 1179327 NIL GROEBSOL (NIL NIL T T) -7 NIL NIL) (-475 1176958 1177220 1177272 "GRMOD" 1177801 NIL GRMOD (NIL T T) -9 NIL 1177969) (-474 1176726 1176762 1176890 "GRMOD-" 1176895 NIL GRMOD- (NIL T T T) -8 NIL NIL) (-473 1172055 1173080 1174080 "GRIMAGE" 1175746 T GRIMAGE (NIL) -8 NIL NIL) (-472 1170522 1170782 1171106 "GRDEF" 1171751 T GRDEF (NIL) -7 NIL NIL) (-471 1169966 1170082 1170223 "GRAY" 1170401 T GRAY (NIL) -7 NIL NIL) (-470 1169196 1169576 1169628 "GRALG" 1169781 NIL GRALG (NIL T T) -9 NIL 1169874) (-469 1168857 1168930 1169093 "GRALG-" 1169098 NIL GRALG- (NIL T T T) -8 NIL NIL) (-468 1165661 1168442 1168620 "GPOLSET" 1168764 NIL GPOLSET (NIL T T T T) -8 NIL NIL) (-467 1147864 1149354 1150943 "GPAFF" 1164352 NIL GPAFF (NIL T NIL T T T T T T T T T) -7 NIL NIL) (-466 1147218 1147275 1147533 "GOSPER" 1147801 NIL GOSPER (NIL T T T T T) -7 NIL NIL) (-465 1144611 1145205 1145694 "GOPT" 1146749 T GOPT (NIL) -8 NIL NIL) (-464 1141832 1142473 1143010 "GOPT0" 1144094 T GOPT0 (NIL) -8 NIL NIL) (-463 1137591 1138270 1138796 "GMODPOL" 1141531 NIL GMODPOL (NIL NIL T T T NIL T) -8 NIL NIL) (-462 1136596 1136780 1137018 "GHENSEL" 1137403 NIL GHENSEL (NIL T T) -7 NIL NIL) (-461 1130647 1131490 1132517 "GENUPS" 1135680 NIL GENUPS (NIL T T) -7 NIL NIL) (-460 1130344 1130395 1130484 "GENUFACT" 1130590 NIL GENUFACT (NIL T) -7 NIL NIL) (-459 1129756 1129833 1129998 "GENPGCD" 1130262 NIL GENPGCD (NIL T T T T) -7 NIL NIL) (-458 1129230 1129265 1129478 "GENMFACT" 1129715 NIL GENMFACT (NIL T T T T T) -7 NIL NIL) (-457 1127798 1128053 1128360 "GENEEZ" 1128973 NIL GENEEZ (NIL T T) -7 NIL NIL) (-456 1126342 1126619 1126943 "GDRAW" 1127494 T GDRAW (NIL) -7 NIL NIL) (-455 1120209 1125953 1126115 "GDMP" 1126265 NIL GDMP (NIL NIL T T) -8 NIL NIL) (-454 1109593 1113982 1115087 "GCNAALG" 1119193 NIL GCNAALG (NIL T NIL NIL NIL) -8 NIL NIL) (-453 1108010 1108882 1108911 "GCDDOM" 1109166 T GCDDOM (NIL) -9 NIL 1109323) (-452 1107480 1107607 1107822 "GCDDOM-" 1107827 NIL GCDDOM- (NIL T) -8 NIL NIL) (-451 1106154 1106339 1106642 "GB" 1107260 NIL GB (NIL T T T T) -7 NIL NIL) (-450 1094774 1097100 1099492 "GBINTERN" 1103845 NIL GBINTERN (NIL T T T T) -7 NIL NIL) (-449 1092611 1092903 1093324 "GBF" 1094449 NIL GBF (NIL T T T T) -7 NIL NIL) (-448 1091392 1091557 1091824 "GBEUCLID" 1092427 NIL GBEUCLID (NIL T T T T) -7 NIL NIL) (-447 1090741 1090866 1091015 "GAUSSFAC" 1091263 T GAUSSFAC (NIL) -7 NIL NIL) (-446 1089110 1089412 1089725 "GALUTIL" 1090461 NIL GALUTIL (NIL T) -7 NIL NIL) (-445 1087418 1087692 1088016 "GALPOLYU" 1088837 NIL GALPOLYU (NIL T T) -7 NIL NIL) (-444 1084783 1085073 1085480 "GALFACTU" 1087115 NIL GALFACTU (NIL T T T) -7 NIL NIL) (-443 1076589 1078088 1079696 "GALFACT" 1083215 NIL GALFACT (NIL T) -7 NIL NIL) (-442 1073977 1074634 1074663 "FVFUN" 1075819 T FVFUN (NIL) -9 NIL 1076539) (-441 1073243 1073424 1073453 "FVC" 1073744 T FVC (NIL) -9 NIL 1073927) (-440 1072885 1073040 1073121 "FUNCTION" 1073195 NIL FUNCTION (NIL NIL) -8 NIL NIL) (-439 1070555 1071106 1071595 "FT" 1072416 T FT (NIL) -8 NIL NIL) (-438 1069347 1069856 1070059 "FTEM" 1070372 T FTEM (NIL) -8 NIL NIL) (-437 1067605 1067894 1068297 "FSUPFACT" 1069039 NIL FSUPFACT (NIL T T T) -7 NIL NIL) (-436 1066002 1066291 1066623 "FST" 1067293 T FST (NIL) -8 NIL NIL) (-435 1065173 1065279 1065474 "FSRED" 1065884 NIL FSRED (NIL T T) -7 NIL NIL) (-434 1063854 1064109 1064462 "FSPRMELT" 1064889 NIL FSPRMELT (NIL T T) -7 NIL NIL) (-433 1059220 1059925 1060682 "FSPECF" 1063159 NIL FSPECF (NIL T T) -7 NIL NIL) (-432 1041478 1050067 1050108 "FS" 1053956 NIL FS (NIL T) -9 NIL 1056234) (-431 1030128 1033118 1037174 "FS-" 1037471 NIL FS- (NIL T T) -8 NIL NIL) (-430 1029642 1029696 1029873 "FSINT" 1030069 NIL FSINT (NIL T T) -7 NIL NIL) (-429 1027927 1028639 1028940 "FSERIES" 1029423 NIL FSERIES (NIL T T) -8 NIL NIL) (-428 1026941 1027057 1027288 "FSCINT" 1027807 NIL FSCINT (NIL T T) -7 NIL NIL) (-427 1023176 1025886 1025928 "FSAGG" 1026298 NIL FSAGG (NIL T) -9 NIL 1026555) (-426 1020938 1021539 1022335 "FSAGG-" 1022430 NIL FSAGG- (NIL T T) -8 NIL NIL) (-425 1019980 1020123 1020350 "FSAGG2" 1020791 NIL FSAGG2 (NIL T T T T) -7 NIL NIL) (-424 1017635 1017914 1018468 "FS2UPS" 1019698 NIL FS2UPS (NIL T T T T T NIL) -7 NIL NIL) (-423 1017217 1017260 1017415 "FS2" 1017586 NIL FS2 (NIL T T T T) -7 NIL NIL) (-422 1016074 1016245 1016554 "FS2EXPXP" 1017042 NIL FS2EXPXP (NIL T T NIL NIL) -7 NIL NIL) (-421 1015500 1015615 1015767 "FRUTIL" 1015954 NIL FRUTIL (NIL T) -7 NIL NIL) (-420 1006926 1011011 1012361 "FR" 1014182 NIL FR (NIL T) -8 NIL NIL) (-419 1002006 1004644 1004685 "FRNAALG" 1006081 NIL FRNAALG (NIL T) -9 NIL 1006687) (-418 997685 998755 1000030 "FRNAALG-" 1000780 NIL FRNAALG- (NIL T T) -8 NIL NIL) (-417 997323 997366 997493 "FRNAAF2" 997636 NIL FRNAAF2 (NIL T T T T) -7 NIL NIL) (-416 995686 996179 996473 "FRMOD" 997136 NIL FRMOD (NIL T T T T NIL) -8 NIL NIL) (-415 993401 994069 994386 "FRIDEAL" 995477 NIL FRIDEAL (NIL T T T T) -8 NIL NIL) (-414 992596 992683 992972 "FRIDEAL2" 993308 NIL FRIDEAL2 (NIL T T T T T T T T) -7 NIL NIL) (-413 991839 992253 992295 "FRETRCT" 992300 NIL FRETRCT (NIL T) -9 NIL 992474) (-412 990951 991182 991533 "FRETRCT-" 991538 NIL FRETRCT- (NIL T T) -8 NIL NIL) (-411 988156 989376 989436 "FRAMALG" 990318 NIL FRAMALG (NIL T T) -9 NIL 990610) (-410 986289 986745 987375 "FRAMALG-" 987598 NIL FRAMALG- (NIL T T T) -8 NIL NIL) (-409 980192 985774 986045 "FRAC" 986050 NIL FRAC (NIL T) -8 NIL NIL) (-408 979828 979885 979992 "FRAC2" 980129 NIL FRAC2 (NIL T T) -7 NIL NIL) (-407 979464 979521 979628 "FR2" 979765 NIL FR2 (NIL T T) -7 NIL NIL) (-406 974086 976995 977024 "FPS" 978143 T FPS (NIL) -9 NIL 978697) (-405 973535 973644 973808 "FPS-" 973954 NIL FPS- (NIL T) -8 NIL NIL) (-404 970931 972628 972657 "FPC" 972882 T FPC (NIL) -9 NIL 973024) (-403 970724 970764 970861 "FPC-" 970866 NIL FPC- (NIL T) -8 NIL NIL) (-402 969603 970213 970255 "FPATMAB" 970260 NIL FPATMAB (NIL T) -9 NIL 970410) (-401 967303 967779 968205 "FPARFRAC" 969240 NIL FPARFRAC (NIL T T) -8 NIL NIL) (-400 962698 963195 963877 "FORTRAN" 966735 NIL FORTRAN (NIL NIL NIL NIL NIL) -8 NIL NIL) (-399 960414 960914 961453 "FORT" 962179 T FORT (NIL) -7 NIL NIL) (-398 958090 958651 958680 "FORTFN" 959740 T FORTFN (NIL) -9 NIL 960364) (-397 957853 957903 957932 "FORTCAT" 957991 T FORTCAT (NIL) -9 NIL 958053) (-396 955913 956396 956795 "FORMULA" 957474 T FORMULA (NIL) -8 NIL NIL) (-395 955701 955731 955800 "FORMULA1" 955877 NIL FORMULA1 (NIL T) -7 NIL NIL) (-394 955224 955276 955449 "FORDER" 955643 NIL FORDER (NIL T T T T) -7 NIL NIL) (-393 954320 954484 954677 "FOP" 955051 T FOP (NIL) -7 NIL NIL) (-392 952928 953600 953774 "FNLA" 954202 NIL FNLA (NIL NIL NIL T) -8 NIL NIL) (-391 951595 951984 952013 "FNCAT" 952585 T FNCAT (NIL) -9 NIL 952878) (-390 951161 951554 951582 "FNAME" 951587 T FNAME (NIL) -8 NIL NIL) (-389 949814 950787 950816 "FMTC" 950821 T FMTC (NIL) -9 NIL 950857) (-388 946132 947339 947967 "FMONOID" 949219 NIL FMONOID (NIL T) -8 NIL NIL) (-387 945353 945876 946024 "FM" 946029 NIL FM (NIL T T) -8 NIL NIL) (-386 942777 943422 943451 "FMFUN" 944595 T FMFUN (NIL) -9 NIL 945303) (-385 942046 942226 942255 "FMC" 942545 T FMC (NIL) -9 NIL 942727) (-384 939258 940092 940147 "FMCAT" 941342 NIL FMCAT (NIL T T) -9 NIL 941836) (-383 938151 939024 939124 "FM1" 939203 NIL FM1 (NIL T T) -8 NIL NIL) (-382 935925 936341 936835 "FLOATRP" 937702 NIL FLOATRP (NIL T) -7 NIL NIL) (-381 929412 933581 934211 "FLOAT" 935315 T FLOAT (NIL) -8 NIL NIL) (-380 926850 927350 927928 "FLOATCP" 928879 NIL FLOATCP (NIL T) -7 NIL NIL) (-379 925635 926483 926525 "FLINEXP" 926530 NIL FLINEXP (NIL T) -9 NIL 926622) (-378 924789 925024 925352 "FLINEXP-" 925357 NIL FLINEXP- (NIL T T) -8 NIL NIL) (-377 923865 924009 924233 "FLASORT" 924641 NIL FLASORT (NIL T T) -7 NIL NIL) (-376 921081 921923 921976 "FLALG" 923203 NIL FLALG (NIL T T) -9 NIL 923670) (-375 914900 918594 918636 "FLAGG" 919898 NIL FLAGG (NIL T) -9 NIL 920546) (-374 913626 913965 914455 "FLAGG-" 914460 NIL FLAGG- (NIL T T) -8 NIL NIL) (-373 912668 912811 913038 "FLAGG2" 913479 NIL FLAGG2 (NIL T T T T) -7 NIL NIL) (-372 909639 910657 910717 "FINRALG" 911845 NIL FINRALG (NIL T T) -9 NIL 912350) (-371 908799 909028 909367 "FINRALG-" 909372 NIL FINRALG- (NIL T T T) -8 NIL NIL) (-370 908204 908417 908446 "FINITE" 908642 T FINITE (NIL) -9 NIL 908749) (-369 900662 902823 902864 "FINAALG" 906531 NIL FINAALG (NIL T) -9 NIL 907983) (-368 896002 897044 898188 "FINAALG-" 899567 NIL FINAALG- (NIL T T) -8 NIL NIL) (-367 895372 895757 895860 "FILE" 895932 NIL FILE (NIL T) -8 NIL NIL) (-366 893912 894249 894304 "FILECAT" 895082 NIL FILECAT (NIL T T) -9 NIL 895322) (-365 891722 893278 893307 "FIELD" 893347 T FIELD (NIL) -9 NIL 893427) (-364 890342 890727 891238 "FIELD-" 891243 NIL FIELD- (NIL T) -8 NIL NIL) (-363 888155 888977 889324 "FGROUP" 890028 NIL FGROUP (NIL T) -8 NIL NIL) (-362 887245 887409 887629 "FGLMICPK" 887987 NIL FGLMICPK (NIL T NIL) -7 NIL NIL) (-361 883047 887170 887227 "FFX" 887232 NIL FFX (NIL T NIL) -8 NIL NIL) (-360 882587 882654 882776 "FFSQFR" 882975 NIL FFSQFR (NIL T T) -7 NIL NIL) (-359 882188 882249 882384 "FFSLPE" 882520 NIL FFSLPE (NIL T T T) -7 NIL NIL) (-358 878184 878960 879756 "FFPOLY" 881424 NIL FFPOLY (NIL T) -7 NIL NIL) (-357 877688 877724 877933 "FFPOLY2" 878142 NIL FFPOLY2 (NIL T T) -7 NIL NIL) (-356 873510 877607 877670 "FFP" 877675 NIL FFP (NIL T NIL) -8 NIL NIL) (-355 868878 873421 873485 "FF" 873490 NIL FF (NIL NIL NIL) -8 NIL NIL) (-354 863974 868221 868411 "FFNBX" 868732 NIL FFNBX (NIL T NIL) -8 NIL NIL) (-353 858884 863109 863367 "FFNBP" 863828 NIL FFNBP (NIL T NIL) -8 NIL NIL) (-352 853487 858168 858379 "FFNB" 858717 NIL FFNB (NIL NIL NIL) -8 NIL NIL) (-351 852319 852517 852832 "FFINTBAS" 853284 NIL FFINTBAS (NIL T T T) -7 NIL NIL) (-350 848495 850730 850759 "FFIELDC" 851379 T FFIELDC (NIL) -9 NIL 851755) (-349 847158 847528 848025 "FFIELDC-" 848030 NIL FFIELDC- (NIL T) -8 NIL NIL) (-348 846728 846773 846897 "FFHOM" 847100 NIL FFHOM (NIL T T T) -7 NIL NIL) (-347 844426 844910 845427 "FFF" 846243 NIL FFF (NIL T) -7 NIL NIL) (-346 840122 840887 841731 "FFFG" 843650 NIL FFFG (NIL T T) -7 NIL NIL) (-345 838848 839057 839379 "FFFGF" 839900 NIL FFFGF (NIL T T T) -7 NIL NIL) (-344 837599 837796 838044 "FFFACTSE" 838650 NIL FFFACTSE (NIL T T) -7 NIL NIL) (-343 833187 837341 837442 "FFCGX" 837542 NIL FFCGX (NIL T NIL) -8 NIL NIL) (-342 828789 832919 833026 "FFCGP" 833130 NIL FFCGP (NIL T NIL) -8 NIL NIL) (-341 823942 828516 828624 "FFCG" 828725 NIL FFCG (NIL NIL NIL) -8 NIL NIL) (-340 805731 814853 814940 "FFCAT" 820105 NIL FFCAT (NIL T T T) -9 NIL 821590) (-339 800929 801976 803290 "FFCAT-" 804520 NIL FFCAT- (NIL T T T T) -8 NIL NIL) (-338 800340 800383 800618 "FFCAT2" 800880 NIL FFCAT2 (NIL T T T T T T T T) -7 NIL NIL) (-337 789510 793316 794534 "FEXPR" 799194 NIL FEXPR (NIL NIL NIL T) -8 NIL NIL) (-336 788512 788947 788989 "FEVALAB" 789073 NIL FEVALAB (NIL T) -9 NIL 789331) (-335 787671 787881 788219 "FEVALAB-" 788224 NIL FEVALAB- (NIL T T) -8 NIL NIL) (-334 786264 787054 787257 "FDIV" 787570 NIL FDIV (NIL T T T T) -8 NIL NIL) (-333 783329 784044 784160 "FDIVCAT" 785728 NIL FDIVCAT (NIL T T T T) -9 NIL 786165) (-332 783091 783118 783288 "FDIVCAT-" 783293 NIL FDIVCAT- (NIL T T T T T) -8 NIL NIL) (-331 782311 782398 782675 "FDIV2" 782998 NIL FDIV2 (NIL T T T T T T T T) -7 NIL NIL) (-330 780997 781256 781545 "FCPAK1" 782042 T FCPAK1 (NIL) -7 NIL NIL) (-329 780125 780497 780638 "FCOMP" 780888 NIL FCOMP (NIL T) -8 NIL NIL) (-328 763753 767168 770731 "FC" 776582 T FC (NIL) -8 NIL NIL) (-327 756297 760340 760381 "FAXF" 762183 NIL FAXF (NIL T) -9 NIL 762874) (-326 753577 754231 755056 "FAXF-" 755521 NIL FAXF- (NIL T T) -8 NIL NIL) (-325 748683 752953 753129 "FARRAY" 753434 NIL FARRAY (NIL T) -8 NIL NIL) (-324 744001 746077 746131 "FAMR" 747154 NIL FAMR (NIL T T) -9 NIL 747611) (-323 742891 743193 743628 "FAMR-" 743633 NIL FAMR- (NIL T T T) -8 NIL NIL) (-322 742479 742522 742673 "FAMR2" 742842 NIL FAMR2 (NIL T T T T T) -7 NIL NIL) (-321 741675 742401 742454 "FAMONOID" 742459 NIL FAMONOID (NIL T) -8 NIL NIL) (-320 739505 740189 740243 "FAMONC" 741184 NIL FAMONC (NIL T T) -9 NIL 741569) (-319 738199 739261 739397 "FAGROUP" 739402 NIL FAGROUP (NIL T) -8 NIL NIL) (-318 735994 736313 736716 "FACUTIL" 737880 NIL FACUTIL (NIL T T T T) -7 NIL NIL) (-317 735410 735519 735665 "FACTRN" 735880 NIL FACTRN (NIL T) -7 NIL NIL) (-316 734509 734694 734916 "FACTFUNC" 735220 NIL FACTFUNC (NIL T) -7 NIL NIL) (-315 733925 734034 734180 "FACTEXT" 734395 NIL FACTEXT (NIL T) -7 NIL NIL) (-314 726245 733176 733388 "EXPUPXS" 733781 NIL EXPUPXS (NIL T NIL NIL) -8 NIL NIL) (-313 723728 724268 724854 "EXPRTUBE" 725679 T EXPRTUBE (NIL) -7 NIL NIL) (-312 722899 722994 723214 "EXPRSOL" 723628 NIL EXPRSOL (NIL T T T T) -7 NIL NIL) (-311 719093 719685 720422 "EXPRODE" 722238 NIL EXPRODE (NIL T T) -7 NIL NIL) (-310 704114 717754 718179 "EXPR" 718700 NIL EXPR (NIL T) -8 NIL NIL) (-309 698521 699108 699921 "EXPR2UPS" 703412 NIL EXPR2UPS (NIL T T) -7 NIL NIL) (-308 698157 698214 698321 "EXPR2" 698458 NIL EXPR2 (NIL T T) -7 NIL NIL) (-307 689497 697289 697586 "EXPEXPAN" 697994 NIL EXPEXPAN (NIL T T NIL NIL) -8 NIL NIL) (-306 689209 689260 689337 "EXP3D" 689440 T EXP3D (NIL) -7 NIL NIL) (-305 689036 689166 689195 "EXIT" 689200 T EXIT (NIL) -8 NIL NIL) (-304 688663 688725 688838 "EVALCYC" 688968 NIL EVALCYC (NIL T) -7 NIL NIL) (-303 688205 688321 688363 "EVALAB" 688533 NIL EVALAB (NIL T) -9 NIL 688637) (-302 687686 687808 688029 "EVALAB-" 688034 NIL EVALAB- (NIL T T) -8 NIL NIL) (-301 685144 686456 686485 "EUCDOM" 687040 T EUCDOM (NIL) -9 NIL 687390) (-300 683549 683991 684581 "EUCDOM-" 684586 NIL EUCDOM- (NIL T) -8 NIL NIL) (-299 671089 673847 676597 "ESTOOLS" 680819 T ESTOOLS (NIL) -7 NIL NIL) (-298 670721 670778 670887 "ESTOOLS2" 671026 NIL ESTOOLS2 (NIL T T) -7 NIL NIL) (-297 670472 670514 670594 "ESTOOLS1" 670673 NIL ESTOOLS1 (NIL T) -7 NIL NIL) (-296 664398 666126 666155 "ES" 668923 T ES (NIL) -9 NIL 670330) (-295 659346 660632 662449 "ES-" 662613 NIL ES- (NIL T) -8 NIL NIL) (-294 655721 656481 657261 "ESCONT" 658586 T ESCONT (NIL) -7 NIL NIL) (-293 655466 655498 655580 "ESCONT1" 655683 NIL ESCONT1 (NIL NIL NIL) -7 NIL NIL) (-292 655141 655191 655291 "ES2" 655410 NIL ES2 (NIL T T) -7 NIL NIL) (-291 654771 654829 654938 "ES1" 655077 NIL ES1 (NIL T T) -7 NIL NIL) (-290 653987 654116 654292 "ERROR" 654615 T ERROR (NIL) -7 NIL NIL) (-289 647502 653846 653937 "EQTBL" 653942 NIL EQTBL (NIL T T) -8 NIL NIL) (-288 639961 642844 644279 "EQ" 646100 NIL -2995 (NIL T) -8 NIL NIL) (-287 639593 639650 639759 "EQ2" 639898 NIL EQ2 (NIL T T) -7 NIL NIL) (-286 634885 635931 637024 "EP" 638532 NIL EP (NIL T) -7 NIL NIL) (-285 634039 634603 634632 "ENTIRER" 634637 T ENTIRER (NIL) -9 NIL 634683) (-284 630495 631994 632364 "EMR" 633838 NIL EMR (NIL T T T NIL NIL NIL) -8 NIL NIL) (-283 629641 629824 629879 "ELTAGG" 630259 NIL ELTAGG (NIL T T) -9 NIL 630469) (-282 629360 629422 629563 "ELTAGG-" 629568 NIL ELTAGG- (NIL T T T) -8 NIL NIL) (-281 629148 629177 629232 "ELTAB" 629316 NIL ELTAB (NIL T T) -9 NIL NIL) (-280 628274 628420 628619 "ELFUTS" 628999 NIL ELFUTS (NIL T T) -7 NIL NIL) (-279 628015 628071 628100 "ELEMFUN" 628205 T ELEMFUN (NIL) -9 NIL NIL) (-278 627885 627906 627974 "ELEMFUN-" 627979 NIL ELEMFUN- (NIL T) -8 NIL NIL) (-277 622815 626018 626060 "ELAGG" 627000 NIL ELAGG (NIL T) -9 NIL 627461) (-276 621100 621534 622197 "ELAGG-" 622202 NIL ELAGG- (NIL T T) -8 NIL NIL) (-275 613970 615769 616595 "EFUPXS" 620377 NIL EFUPXS (NIL T T T T) -8 NIL NIL) (-274 607422 609223 610032 "EFULS" 613247 NIL EFULS (NIL T T T) -8 NIL NIL) (-273 604844 605202 605681 "EFSTRUC" 607054 NIL EFSTRUC (NIL T T) -7 NIL NIL) (-272 593856 595421 596982 "EF" 603359 NIL EF (NIL T T) -7 NIL NIL) (-271 592957 593341 593490 "EAB" 593727 T EAB (NIL) -8 NIL NIL) (-270 592166 592916 592944 "E04UCFA" 592949 T E04UCFA (NIL) -8 NIL NIL) (-269 591375 592125 592153 "E04NAFA" 592158 T E04NAFA (NIL) -8 NIL NIL) (-268 590584 591334 591362 "E04MBFA" 591367 T E04MBFA (NIL) -8 NIL NIL) (-267 589793 590543 590571 "E04JAFA" 590576 T E04JAFA (NIL) -8 NIL NIL) (-266 589004 589752 589780 "E04GCFA" 589785 T E04GCFA (NIL) -8 NIL NIL) (-265 588215 588963 588991 "E04FDFA" 588996 T E04FDFA (NIL) -8 NIL NIL) (-264 587424 588174 588202 "E04DGFA" 588207 T E04DGFA (NIL) -8 NIL NIL) (-263 581603 582949 584313 "E04AGNT" 586080 T E04AGNT (NIL) -7 NIL NIL) (-262 580326 580806 580847 "DVARCAT" 581322 NIL DVARCAT (NIL T) -9 NIL 581521) (-261 579530 579742 580056 "DVARCAT-" 580061 NIL DVARCAT- (NIL T T) -8 NIL NIL) (-260 572499 572981 573730 "DTP" 579061 NIL DTP (NIL T NIL T T T T T T T T T) -7 NIL NIL) (-259 569948 571921 572078 "DSTREE" 572375 NIL DSTREE (NIL T) -8 NIL NIL) (-258 567417 569262 569304 "DSTRCAT" 569523 NIL DSTRCAT (NIL T) -9 NIL 569657) (-257 560271 567216 567345 "DSMP" 567350 NIL DSMP (NIL T T T) -8 NIL NIL) (-256 555081 556216 557284 "DROPT" 559223 T DROPT (NIL) -8 NIL NIL) (-255 554746 554805 554903 "DROPT1" 555016 NIL DROPT1 (NIL T) -7 NIL NIL) (-254 549861 550987 552124 "DROPT0" 553629 T DROPT0 (NIL) -7 NIL NIL) (-253 548206 548531 548917 "DRAWPT" 549495 T DRAWPT (NIL) -7 NIL NIL) (-252 542793 543716 544795 "DRAW" 547180 NIL DRAW (NIL T) -7 NIL NIL) (-251 542426 542479 542597 "DRAWHACK" 542734 NIL DRAWHACK (NIL T) -7 NIL NIL) (-250 541157 541426 541717 "DRAWCX" 542155 T DRAWCX (NIL) -7 NIL NIL) (-249 540673 540741 540892 "DRAWCURV" 541083 NIL DRAWCURV (NIL T T) -7 NIL NIL) (-248 531145 533103 535218 "DRAWCFUN" 538578 T DRAWCFUN (NIL) -7 NIL NIL) (-247 527998 529874 529916 "DQAGG" 530545 NIL DQAGG (NIL T) -9 NIL 530818) (-246 516426 523167 523251 "DPOLCAT" 525103 NIL DPOLCAT (NIL T T T T) -9 NIL 525647) (-245 511265 512611 514569 "DPOLCAT-" 514574 NIL DPOLCAT- (NIL T T T T T) -8 NIL NIL) (-244 504004 511126 511224 "DPMO" 511229 NIL DPMO (NIL NIL T T) -8 NIL NIL) (-243 496646 503784 503951 "DPMM" 503956 NIL DPMM (NIL NIL T T T) -8 NIL NIL) (-242 490351 496281 496433 "DMP" 496547 NIL DMP (NIL NIL T) -8 NIL NIL) (-241 489951 490007 490151 "DLP" 490289 NIL DLP (NIL T) -7 NIL NIL) (-240 483601 489052 489279 "DLIST" 489756 NIL DLIST (NIL T) -8 NIL NIL) (-239 480486 482489 482531 "DLAGG" 483081 NIL DLAGG (NIL T) -9 NIL 483310) (-238 479143 479835 479864 "DIVRING" 480014 T DIVRING (NIL) -9 NIL 480122) (-237 478131 478384 478777 "DIVRING-" 478782 NIL DIVRING- (NIL T) -8 NIL NIL) (-236 476559 477724 477860 "DIV" 478028 NIL DIV (NIL T) -8 NIL NIL) (-235 474053 475121 475163 "DIVCAT" 475997 NIL DIVCAT (NIL T) -9 NIL 476328) (-234 472155 472512 472918 "DISPLAY" 473667 T DISPLAY (NIL) -7 NIL NIL) (-233 469648 470861 471243 "DIRRING" 471806 NIL DIRRING (NIL T) -8 NIL NIL) (-232 463508 469562 469625 "DIRPROD" 469630 NIL DIRPROD (NIL NIL T) -8 NIL NIL) (-231 462356 462559 462824 "DIRPROD2" 463301 NIL DIRPROD2 (NIL NIL T T) -7 NIL NIL) (-230 451920 457949 458003 "DIRPCAT" 458261 NIL DIRPCAT (NIL NIL T) -9 NIL 459105) (-229 449246 449888 450769 "DIRPCAT-" 451106 NIL DIRPCAT- (NIL T NIL T) -8 NIL NIL) (-228 448533 448693 448879 "DIOSP" 449080 T DIOSP (NIL) -7 NIL NIL) (-227 445276 447480 447522 "DIOPS" 447956 NIL DIOPS (NIL T) -9 NIL 448184) (-226 444825 444939 445130 "DIOPS-" 445135 NIL DIOPS- (NIL T T) -8 NIL NIL) (-225 443692 444330 444359 "DIFRING" 444546 T DIFRING (NIL) -9 NIL 444656) (-224 443338 443415 443567 "DIFRING-" 443572 NIL DIFRING- (NIL T) -8 NIL NIL) (-223 441120 442402 442444 "DIFEXT" 442807 NIL DIFEXT (NIL T) -9 NIL 443099) (-222 439405 439833 440499 "DIFEXT-" 440504 NIL DIFEXT- (NIL T T) -8 NIL NIL) (-221 436767 438971 439013 "DIAGG" 439018 NIL DIAGG (NIL T) -9 NIL 439038) (-220 436151 436308 436560 "DIAGG-" 436565 NIL DIAGG- (NIL T T) -8 NIL NIL) (-219 431521 435110 435387 "DHMATRIX" 435920 NIL DHMATRIX (NIL T) -8 NIL NIL) (-218 426732 431335 431409 "DFVEC" 431467 T DFVEC (NIL) -8 NIL NIL) (-217 420616 421905 423286 "DFSFUN" 425371 T DFSFUN (NIL) -7 NIL NIL) (-216 416877 420387 420481 "DFMAT" 420542 T DFMAT (NIL) -8 NIL NIL) (-215 411154 415331 415764 "DFLOAT" 416464 T DFLOAT (NIL) -8 NIL NIL) (-214 409382 409663 410059 "DFINTTLS" 410862 NIL DFINTTLS (NIL T T) -7 NIL NIL) (-213 406401 407403 407803 "DERHAM" 409048 NIL DERHAM (NIL T NIL) -8 NIL NIL) (-212 398014 399931 401366 "DEQUEUE" 404999 NIL DEQUEUE (NIL T) -8 NIL NIL) (-211 397229 397362 397558 "DEGRED" 397876 NIL DEGRED (NIL T T) -7 NIL NIL) (-210 393624 394369 395222 "DEFINTRF" 396457 NIL DEFINTRF (NIL T) -7 NIL NIL) (-209 391151 391620 392219 "DEFINTEF" 393143 NIL DEFINTEF (NIL T T) -7 NIL NIL) (-208 384969 390589 390756 "DECIMAL" 391004 T DECIMAL (NIL) -8 NIL NIL) (-207 382481 382939 383445 "DDFACT" 384513 NIL DDFACT (NIL T T) -7 NIL NIL) (-206 382077 382120 382271 "DBLRESP" 382432 NIL DBLRESP (NIL T T T T) -7 NIL NIL) (-205 379787 380121 380490 "DBASE" 381835 NIL DBASE (NIL T) -8 NIL NIL) (-204 378920 379746 379774 "D03FAFA" 379779 T D03FAFA (NIL) -8 NIL NIL) (-203 378054 378879 378907 "D03EEFA" 378912 T D03EEFA (NIL) -8 NIL NIL) (-202 376004 376470 376959 "D03AGNT" 377585 T D03AGNT (NIL) -7 NIL NIL) (-201 375320 375963 375991 "D02EJFA" 375996 T D02EJFA (NIL) -8 NIL NIL) (-200 374636 375279 375307 "D02CJFA" 375312 T D02CJFA (NIL) -8 NIL NIL) (-199 373952 374595 374623 "D02BHFA" 374628 T D02BHFA (NIL) -8 NIL NIL) (-198 373268 373911 373939 "D02BBFA" 373944 T D02BBFA (NIL) -8 NIL NIL) (-197 366467 368054 369660 "D02AGNT" 371682 T D02AGNT (NIL) -7 NIL NIL) (-196 364236 364758 365304 "D01WGTS" 365941 T D01WGTS (NIL) -7 NIL NIL) (-195 363331 364195 364223 "D01TRNS" 364228 T D01TRNS (NIL) -8 NIL NIL) (-194 362426 363290 363318 "D01GBFA" 363323 T D01GBFA (NIL) -8 NIL NIL) (-193 361521 362385 362413 "D01FCFA" 362418 T D01FCFA (NIL) -8 NIL NIL) (-192 360616 361480 361508 "D01ASFA" 361513 T D01ASFA (NIL) -8 NIL NIL) (-191 359711 360575 360603 "D01AQFA" 360608 T D01AQFA (NIL) -8 NIL NIL) (-190 358806 359670 359698 "D01APFA" 359703 T D01APFA (NIL) -8 NIL NIL) (-189 357901 358765 358793 "D01ANFA" 358798 T D01ANFA (NIL) -8 NIL NIL) (-188 356996 357860 357888 "D01AMFA" 357893 T D01AMFA (NIL) -8 NIL NIL) (-187 356091 356955 356983 "D01ALFA" 356988 T D01ALFA (NIL) -8 NIL NIL) (-186 355186 356050 356078 "D01AKFA" 356083 T D01AKFA (NIL) -8 NIL NIL) (-185 354281 355145 355173 "D01AJFA" 355178 T D01AJFA (NIL) -8 NIL NIL) (-184 347578 349129 350690 "D01AGNT" 352740 T D01AGNT (NIL) -7 NIL NIL) (-183 346915 347043 347195 "CYCLOTOM" 347446 T CYCLOTOM (NIL) -7 NIL NIL) (-182 343650 344363 345090 "CYCLES" 346208 T CYCLES (NIL) -7 NIL NIL) (-181 342962 343096 343267 "CVMP" 343511 NIL CVMP (NIL T) -7 NIL NIL) (-180 340734 340991 341367 "CTRIGMNP" 342690 NIL CTRIGMNP (NIL T T) -7 NIL NIL) (-179 340108 340207 340360 "CSTTOOLS" 340631 NIL CSTTOOLS (NIL T T) -7 NIL NIL) (-178 335907 336564 337322 "CRFP" 339420 NIL CRFP (NIL T T) -7 NIL NIL) (-177 334954 335139 335367 "CRAPACK" 335711 NIL CRAPACK (NIL T) -7 NIL NIL) (-176 334340 334441 334644 "CPMATCH" 334831 NIL CPMATCH (NIL T T T) -7 NIL NIL) (-175 334065 334093 334199 "CPIMA" 334306 NIL CPIMA (NIL T T T) -7 NIL NIL) (-174 330413 331085 331804 "COORDSYS" 333400 NIL COORDSYS (NIL T) -7 NIL NIL) (-173 326274 328416 328908 "CONTFRAC" 329953 NIL CONTFRAC (NIL T) -8 NIL NIL) (-172 325422 325986 326015 "COMRING" 326020 T COMRING (NIL) -9 NIL 326072) (-171 324503 324780 324964 "COMPPROP" 325258 T COMPPROP (NIL) -8 NIL NIL) (-170 324164 324199 324327 "COMPLPAT" 324462 NIL COMPLPAT (NIL T T T) -7 NIL NIL) (-169 314135 323975 324083 "COMPLEX" 324088 NIL COMPLEX (NIL T) -8 NIL NIL) (-168 313771 313828 313935 "COMPLEX2" 314072 NIL COMPLEX2 (NIL T T) -7 NIL NIL) (-167 313489 313524 313622 "COMPFACT" 313730 NIL COMPFACT (NIL T T) -7 NIL NIL) (-166 297741 308041 308082 "COMPCAT" 309086 NIL COMPCAT (NIL T) -9 NIL 310467) (-165 287257 290180 293807 "COMPCAT-" 294163 NIL COMPCAT- (NIL T T) -8 NIL NIL) (-164 286986 287014 287117 "COMMUPC" 287223 NIL COMMUPC (NIL T T T) -7 NIL NIL) (-163 286781 286814 286873 "COMMONOP" 286947 T COMMONOP (NIL) -7 NIL NIL) (-162 286364 286532 286619 "COMM" 286714 T COMM (NIL) -8 NIL NIL) (-161 285612 285806 285835 "COMBOPC" 286173 T COMBOPC (NIL) -9 NIL 286348) (-160 284508 284718 284960 "COMBINAT" 285402 NIL COMBINAT (NIL T) -7 NIL NIL) (-159 280706 281279 281919 "COMBF" 283930 NIL COMBF (NIL T T) -7 NIL NIL) (-158 279492 279822 280057 "COLOR" 280491 T COLOR (NIL) -8 NIL NIL) (-157 279132 279179 279304 "CMPLXRT" 279439 NIL CMPLXRT (NIL T T) -7 NIL NIL) (-156 274634 275662 276742 "CLIP" 278072 T CLIP (NIL) -7 NIL NIL) (-155 272970 273740 273979 "CLIF" 274461 NIL CLIF (NIL NIL T NIL) -8 NIL NIL) (-154 269235 271153 271195 "CLAGG" 272124 NIL CLAGG (NIL T) -9 NIL 272657) (-153 267657 268114 268697 "CLAGG-" 268702 NIL CLAGG- (NIL T T) -8 NIL NIL) (-152 267201 267286 267426 "CINTSLPE" 267566 NIL CINTSLPE (NIL T T) -7 NIL NIL) (-151 264702 265173 265721 "CHVAR" 266729 NIL CHVAR (NIL T T T) -7 NIL NIL) (-150 263920 264484 264513 "CHARZ" 264518 T CHARZ (NIL) -9 NIL 264533) (-149 263674 263714 263792 "CHARPOL" 263874 NIL CHARPOL (NIL T) -7 NIL NIL) (-148 262776 263373 263402 "CHARNZ" 263449 T CHARNZ (NIL) -9 NIL 263505) (-147 260799 261466 261801 "CHAR" 262461 T CHAR (NIL) -8 NIL NIL) (-146 260524 260585 260614 "CFCAT" 260725 T CFCAT (NIL) -9 NIL NIL) (-145 254657 260181 260299 "CDFVEC" 260426 T CDFVEC (NIL) -8 NIL NIL) (-144 250372 254414 254515 "CDFMAT" 254576 T CDFMAT (NIL) -8 NIL NIL) (-143 249617 249728 249910 "CDEN" 250256 NIL CDEN (NIL T T T) -7 NIL NIL) (-142 245609 248770 249050 "CCLASS" 249357 T CCLASS (NIL) -8 NIL NIL) (-141 240662 241638 242391 "CARTEN" 244912 NIL CARTEN (NIL NIL NIL T) -8 NIL NIL) (-140 239770 239918 240139 "CARTEN2" 240509 NIL CARTEN2 (NIL NIL NIL T T) -7 NIL NIL) (-139 238065 238920 239177 "CARD" 239533 T CARD (NIL) -8 NIL NIL) (-138 237436 237764 237793 "CACHSET" 237925 T CACHSET (NIL) -9 NIL 238002) (-137 236931 237227 237256 "CABMON" 237306 T CABMON (NIL) -9 NIL 237362) (-136 234494 236623 236730 "BTREE" 236857 NIL BTREE (NIL T) -8 NIL NIL) (-135 231998 234142 234264 "BTOURN" 234404 NIL BTOURN (NIL T) -8 NIL NIL) (-134 229455 231502 231544 "BTCAT" 231612 NIL BTCAT (NIL T) -9 NIL 231689) (-133 229122 229202 229351 "BTCAT-" 229356 NIL BTCAT- (NIL T T) -8 NIL NIL) (-132 224312 228182 228211 "BTAGG" 228467 T BTAGG (NIL) -9 NIL 228646) (-131 223735 223879 224109 "BTAGG-" 224114 NIL BTAGG- (NIL T) -8 NIL NIL) (-130 220785 223013 223228 "BSTREE" 223552 NIL BSTREE (NIL T) -8 NIL NIL) (-129 219923 220049 220233 "BRILL" 220641 NIL BRILL (NIL T) -7 NIL NIL) (-128 216663 218684 218726 "BRAGG" 219375 NIL BRAGG (NIL T) -9 NIL 219632) (-127 215192 215598 216153 "BRAGG-" 216158 NIL BRAGG- (NIL T T) -8 NIL NIL) (-126 208391 214538 214722 "BPADICRT" 215040 NIL BPADICRT (NIL NIL) -8 NIL NIL) (-125 206695 208328 208373 "BPADIC" 208378 NIL BPADIC (NIL NIL) -8 NIL NIL) (-124 206393 206423 206537 "BOUNDZRO" 206659 NIL BOUNDZRO (NIL T T) -7 NIL NIL) (-123 201908 202999 203866 "BOP" 205546 T BOP (NIL) -8 NIL NIL) (-122 199531 199975 200494 "BOP1" 201422 NIL BOP1 (NIL T) -7 NIL NIL) (-121 197884 198574 198868 "BOOLEAN" 199257 T BOOLEAN (NIL) -8 NIL NIL) (-120 197245 197623 197678 "BMODULE" 197683 NIL BMODULE (NIL T T) -9 NIL 197748) (-119 193588 194258 195044 "BLUPPACK" 196577 NIL BLUPPACK (NIL T NIL T T T) -7 NIL NIL) (-118 192980 193465 193534 "BLQT" 193539 T BLQT (NIL) -8 NIL NIL) (-117 191409 191884 191913 "BLMETCT" 192558 T BLMETCT (NIL) -9 NIL 192930) (-116 190808 191290 191357 "BLHN" 191362 T BLHN (NIL) -8 NIL NIL) (-115 189626 189885 190168 "BLAS1" 190545 T BLAS1 (NIL) -7 NIL NIL) (-114 185436 189424 189497 "BITS" 189573 T BITS (NIL) -8 NIL NIL) (-113 184507 184968 185120 "BINFILE" 185304 T BINFILE (NIL) -8 NIL NIL) (-112 178329 183948 184114 "BINARY" 184361 T BINARY (NIL) -8 NIL NIL) (-111 176196 177618 177660 "BGAGG" 177920 NIL BGAGG (NIL T) -9 NIL 178057) (-110 176027 176059 176150 "BGAGG-" 176155 NIL BGAGG- (NIL T T) -8 NIL NIL) (-109 175125 175411 175616 "BFUNCT" 175842 T BFUNCT (NIL) -8 NIL NIL) (-108 173817 173995 174282 "BEZOUT" 174950 NIL BEZOUT (NIL T T T T T) -7 NIL NIL) (-107 172780 173002 173261 "BEZIER" 173591 NIL BEZIER (NIL T) -7 NIL NIL) (-106 169303 171632 171962 "BBTREE" 172483 NIL BBTREE (NIL T) -8 NIL NIL) (-105 169036 169089 169118 "BASTYPE" 169237 T BASTYPE (NIL) -9 NIL NIL) (-104 168889 168917 168990 "BASTYPE-" 168995 NIL BASTYPE- (NIL T) -8 NIL NIL) (-103 168323 168399 168551 "BALFACT" 168800 NIL BALFACT (NIL T T) -7 NIL NIL) (-102 167687 167810 167958 "AXSERV" 168195 T AXSERV (NIL) -7 NIL NIL) (-101 166500 167097 167285 "AUTOMOR" 167532 NIL AUTOMOR (NIL T) -8 NIL NIL) (-100 166212 166217 166246 "ATTREG" 166251 T ATTREG (NIL) -9 NIL NIL) (-99 164491 164909 165261 "ATTRBUT" 165878 T ATTRBUT (NIL) -8 NIL NIL) (-98 164026 164139 164166 "ATRIG" 164367 T ATRIG (NIL) -9 NIL NIL) (-97 163835 163876 163963 "ATRIG-" 163968 NIL ATRIG- (NIL T) -8 NIL NIL) (-96 157395 158964 160075 "ASTACK" 162755 NIL ASTACK (NIL T) -8 NIL NIL) (-95 155902 156199 156563 "ASSOCEQ" 157078 NIL ASSOCEQ (NIL T T) -7 NIL NIL) (-94 154934 155561 155685 "ASP9" 155809 NIL ASP9 (NIL NIL) -8 NIL NIL) (-93 154698 154882 154921 "ASP8" 154926 NIL ASP8 (NIL NIL) -8 NIL NIL) (-92 153568 154303 154445 "ASP80" 154587 NIL ASP80 (NIL NIL) -8 NIL NIL) (-91 152467 153203 153335 "ASP7" 153467 NIL ASP7 (NIL NIL) -8 NIL NIL) (-90 151423 152144 152262 "ASP78" 152380 NIL ASP78 (NIL NIL) -8 NIL NIL) (-89 150394 151103 151220 "ASP77" 151337 NIL ASP77 (NIL NIL) -8 NIL NIL) (-88 149309 150032 150163 "ASP74" 150294 NIL ASP74 (NIL NIL) -8 NIL NIL) (-87 148210 148944 149076 "ASP73" 149208 NIL ASP73 (NIL NIL) -8 NIL NIL) (-86 147165 147887 148005 "ASP6" 148123 NIL ASP6 (NIL NIL) -8 NIL NIL) (-85 146114 146842 146960 "ASP55" 147078 NIL ASP55 (NIL NIL) -8 NIL NIL) (-84 145064 145788 145907 "ASP50" 146026 NIL ASP50 (NIL NIL) -8 NIL NIL) (-83 144152 144765 144875 "ASP4" 144985 NIL ASP4 (NIL NIL) -8 NIL NIL) (-82 143240 143853 143963 "ASP49" 144073 NIL ASP49 (NIL NIL) -8 NIL NIL) (-81 142025 142779 142947 "ASP42" 143129 NIL ASP42 (NIL NIL NIL NIL) -8 NIL NIL) (-80 140803 141558 141728 "ASP41" 141912 NIL ASP41 (NIL NIL NIL NIL) -8 NIL NIL) (-79 139755 140480 140598 "ASP35" 140716 NIL ASP35 (NIL NIL) -8 NIL NIL) (-78 139520 139703 139742 "ASP34" 139747 NIL ASP34 (NIL NIL) -8 NIL NIL) (-77 139257 139324 139400 "ASP33" 139475 NIL ASP33 (NIL NIL) -8 NIL NIL) (-76 138153 138892 139024 "ASP31" 139156 NIL ASP31 (NIL NIL) -8 NIL NIL) (-75 137918 138101 138140 "ASP30" 138145 NIL ASP30 (NIL NIL) -8 NIL NIL) (-74 137653 137722 137798 "ASP29" 137873 NIL ASP29 (NIL NIL) -8 NIL NIL) (-73 137418 137601 137640 "ASP28" 137645 NIL ASP28 (NIL NIL) -8 NIL NIL) (-72 137183 137366 137405 "ASP27" 137410 NIL ASP27 (NIL NIL) -8 NIL NIL) (-71 136267 136881 136992 "ASP24" 137103 NIL ASP24 (NIL NIL) -8 NIL NIL) (-70 135184 135908 136038 "ASP20" 136168 NIL ASP20 (NIL NIL) -8 NIL NIL) (-69 134272 134885 134995 "ASP1" 135105 NIL ASP1 (NIL NIL) -8 NIL NIL) (-68 133216 133946 134065 "ASP19" 134184 NIL ASP19 (NIL NIL) -8 NIL NIL) (-67 132953 133020 133096 "ASP12" 133171 NIL ASP12 (NIL NIL) -8 NIL NIL) (-66 131806 132552 132696 "ASP10" 132840 NIL ASP10 (NIL NIL) -8 NIL NIL) (-65 129711 131650 131741 "ARRAY2" 131746 NIL ARRAY2 (NIL T) -8 NIL NIL) (-64 125533 129359 129473 "ARRAY1" 129628 NIL ARRAY1 (NIL T) -8 NIL NIL) (-63 124565 124738 124959 "ARRAY12" 125356 NIL ARRAY12 (NIL T T) -7 NIL NIL) (-62 118964 120829 120905 "ARR2CAT" 123535 NIL ARR2CAT (NIL T T T) -9 NIL 124293) (-61 116398 117142 118096 "ARR2CAT-" 118101 NIL ARR2CAT- (NIL T T T T) -8 NIL NIL) (-60 115146 115298 115604 "APPRULE" 116234 NIL APPRULE (NIL T T T) -7 NIL NIL) (-59 114797 114845 114964 "APPLYORE" 115092 NIL APPLYORE (NIL T T T) -7 NIL NIL) (-58 114321 114409 114519 "API" 114705 T API (NIL) -7 NIL NIL) (-57 113295 113586 113781 "ANY" 114144 T ANY (NIL) -8 NIL NIL) (-56 112573 112696 112853 "ANY1" 113169 NIL ANY1 (NIL T) -7 NIL NIL) (-55 110092 111010 111337 "ANTISYM" 112297 NIL ANTISYM (NIL T NIL) -8 NIL NIL) (-54 109919 110051 110078 "ANON" 110083 T ANON (NIL) -8 NIL NIL) (-53 103986 108458 108912 "AN" 109483 T AN (NIL) -8 NIL NIL) (-52 100281 101679 101731 "AMR" 102479 NIL AMR (NIL T T) -9 NIL 103073) (-51 99393 99614 99977 "AMR-" 99982 NIL AMR- (NIL T T T) -8 NIL NIL) (-50 83955 99310 99371 "ALIST" 99376 NIL ALIST (NIL T T) -8 NIL NIL) (-49 80792 83549 83718 "ALGSC" 83873 NIL ALGSC (NIL T NIL NIL NIL) -8 NIL NIL) (-48 77350 77904 78510 "ALGPKG" 80233 NIL ALGPKG (NIL T T) -7 NIL NIL) (-47 76627 76728 76912 "ALGMFACT" 77236 NIL ALGMFACT (NIL T T T) -7 NIL NIL) (-46 72375 73059 73710 "ALGMANIP" 76154 NIL ALGMANIP (NIL T T) -7 NIL NIL) (-45 63689 72001 72151 "ALGFF" 72308 NIL ALGFF (NIL T T T NIL) -8 NIL NIL) (-44 62885 63016 63195 "ALGFACT" 63547 NIL ALGFACT (NIL T) -7 NIL NIL) (-43 61870 62480 62519 "ALGEBRA" 62579 NIL ALGEBRA (NIL T) -9 NIL 62638) (-42 61588 61647 61779 "ALGEBRA-" 61784 NIL ALGEBRA- (NIL T T) -8 NIL NIL) (-41 43395 59120 59173 "ALAGG" 59309 NIL ALAGG (NIL T T) -9 NIL 59470) (-40 42930 43043 43070 "AHYP" 43271 T AHYP (NIL) -9 NIL NIL) (-39 41861 42109 42136 "AGG" 42635 T AGG (NIL) -9 NIL 42913) (-38 41295 41457 41671 "AGG-" 41676 NIL AGG- (NIL T) -8 NIL NIL) (-37 38844 39425 39464 "AFSPCAT" 40736 NIL AFSPCAT (NIL T) -9 NIL 41231) (-36 36523 36945 37362 "AF" 38487 NIL AF (NIL T T) -7 NIL NIL) (-35 35863 36452 36506 "AFFSP" 36511 NIL AFFSP (NIL NIL T) -8 NIL NIL) (-34 35120 35790 35839 "AFFPLPS" 35844 NIL AFFPLPS (NIL T) -8 NIL NIL) (-33 34454 35061 35103 "AFFPL" 35108 NIL AFFPL (NIL T) -8 NIL NIL) (-32 31167 31654 32282 "AFALGRES" 33959 NIL AFALGRES (NIL T NIL T T T) -7 NIL NIL) (-31 29813 29990 30304 "AFALGGRO" 30986 NIL AFALGGRO (NIL T NIL T T T) -7 NIL NIL) (-30 29082 29340 29496 "ACPLOT" 29675 T ACPLOT (NIL) -8 NIL NIL) (-29 18442 26425 26477 "ACFS" 27188 NIL ACFS (NIL T) -9 NIL 27427) (-28 16456 16946 17721 "ACFS-" 17726 NIL ACFS- (NIL T T) -8 NIL NIL) (-27 12669 14625 14652 "ACF" 15531 T ACF (NIL) -9 NIL 15944) (-26 11373 11707 12200 "ACF-" 12205 NIL ACF- (NIL T) -8 NIL NIL) (-25 10970 11139 11166 "ABELSG" 11258 T ABELSG (NIL) -9 NIL 11323) (-24 10837 10862 10928 "ABELSG-" 10933 NIL ABELSG- (NIL T) -8 NIL NIL) (-23 10205 10466 10493 "ABELMON" 10663 T ABELMON (NIL) -9 NIL 10775) (-22 9869 9953 10091 "ABELMON-" 10096 NIL ABELMON- (NIL T) -8 NIL NIL) (-21 9202 9548 9575 "ABELGRP" 9700 T ABELGRP (NIL) -9 NIL 9782) (-20 8665 8794 9010 "ABELGRP-" 9015 NIL ABELGRP- (NIL T) -8 NIL NIL) (-19 4333 8027 8067 "A1AGG" 8072 NIL A1AGG (NIL T) -9 NIL 8112) (-18 30 1251 2813 "A1AGG-" 2818 NIL A1AGG- (NIL T T) -8 NIL NIL)) 
\ No newline at end of file
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-2427 (($ $ (-918)) 25)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-1055) (-1278)) (T -1055)) 
+NIL 
+(-13 (-21) (-1103)) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-1103) . T) ((-1091) . T)) 
+((-3136 (($ $) 16)) (-1847 (($ $) 22)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 49)) (-4308 (($ $) 24)) (-1346 (($ $) 11)) (-2942 (($ $) 38)) (-3817 (((-382) $) NIL) (((-216) $) NIL) (((-888 (-382)) $) 33)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) 28) (($ (-569)) NIL) (($ (-410 (-569))) 28)) (-1991 (((-764)) 8)) (-2612 (($ $) 39))) 
+(((-1056 |#1|) (-10 -8 (-15 -1847 (|#1| |#1|)) (-15 -3136 (|#1| |#1|)) (-15 -1346 (|#1| |#1|)) (-15 -2942 (|#1| |#1|)) (-15 -2612 (|#1| |#1|)) (-15 -4308 (|#1| |#1|)) (-15 -2883 ((-885 (-382) |#1|) |#1| (-888 (-382)) (-885 (-382) |#1|))) (-15 -3817 ((-888 (-382)) |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 (|#1| (-569))) (-15 -3817 ((-216) |#1|)) (-15 -3817 ((-382) |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 (|#1| |#1|)) (-15 -2185 (|#1| (-569))) (-15 -1991 ((-764))) (-15 -2185 ((-851) |#1|))) (-1057)) (T -1056)) 
+((-1991 (*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-1056 *3)) (-4 *3 (-1057))))) 
+(-10 -8 (-15 -1847 (|#1| |#1|)) (-15 -3136 (|#1| |#1|)) (-15 -1346 (|#1| |#1|)) (-15 -2942 (|#1| |#1|)) (-15 -2612 (|#1| |#1|)) (-15 -4308 (|#1| |#1|)) (-15 -2883 ((-885 (-382) |#1|) |#1| (-888 (-382)) (-885 (-382) |#1|))) (-15 -3817 ((-888 (-382)) |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 (|#1| (-569))) (-15 -3817 ((-216) |#1|)) (-15 -3817 ((-382) |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 (|#1| |#1|)) (-15 -2185 (|#1| (-569))) (-15 -1991 ((-764))) (-15 -2185 ((-851) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-3761 (((-569) $) 85)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-3136 (($ $) 83)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-2454 (($ $) 93)) (-3934 (((-121) $ $) 57)) (-3638 (((-569) $) 110)) (-2820 (($) 16 T CONST)) (-1847 (($ $) 82)) (-1647 (((-3 (-569) "failed") $) 98) (((-3 (-410 (-569)) "failed") $) 95)) (-2428 (((-569) $) 97) (((-410 (-569)) $) 94)) (-2506 (($ $ $) 53)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-3726 (((-121) $) 69)) (-2403 (((-121) $) 108)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 89)) (-1407 (((-121) $) 30)) (-4344 (($ $ (-569)) 92)) (-4308 (($ $) 88)) (-1781 (((-121) $) 109)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-3291 (($ $ $) 107)) (-1538 (($ $ $) 106)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-1346 (($ $) 84)) (-2942 (($ $) 86)) (-1743 (((-421 $) $) 72)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-3817 (((-382) $) 101) (((-216) $) 100) (((-888 (-382)) $) 90)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ (-569)) 99) (($ (-410 (-569))) 96)) (-1991 (((-764)) 28)) (-2612 (($ $) 87)) (-1961 (((-121) $ $) 38)) (-1616 (($ $) 111)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1693 (((-121) $ $) 104)) (-1684 (((-121) $ $) 103)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 105)) (-1678 (((-121) $ $) 102)) (-1715 (($ $ $) 62)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66) (($ $ (-410 (-569))) 91)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
+(((-1057) (-1278)) (T -1057)) 
+((-1616 (*1 *1 *1) (-4 *1 (-1057))) (-4308 (*1 *1 *1) (-4 *1 (-1057))) (-2612 (*1 *1 *1) (-4 *1 (-1057))) (-2942 (*1 *1 *1) (-4 *1 (-1057))) (-3761 (*1 *2 *1) (-12 (-4 *1 (-1057)) (-5 *2 (-569)))) (-1346 (*1 *1 *1) (-4 *1 (-1057))) (-3136 (*1 *1 *1) (-4 *1 (-1057))) (-1847 (*1 *1 *1) (-4 *1 (-1057)))) 
+(-13 (-366) (-841) (-1022) (-1038 (-569)) (-1038 (-410 (-569))) (-1003) (-610 (-888 (-382))) (-882 (-382)) (-151) (-10 -8 (-15 -4308 ($ $)) (-15 -2612 ($ $)) (-15 -2942 ($ $)) (-15 -3761 ((-569) $)) (-15 -1346 ($ $)) (-15 -3136 ($ $)) (-15 -1847 ($ $)) (-15 -1616 ($ $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-151) . T) ((-609 (-851)) . T) ((-173) . T) ((-610 (-216)) . T) ((-610 (-382)) . T) ((-610 (-888 (-382))) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 $) . T) ((-717) . T) ((-787) . T) ((-788) . T) ((-790) . T) ((-791) . T) ((-841) . T) ((-843) . T) ((-882 (-382)) . T) ((-917) . T) ((-1003) . T) ((-1022) . T) ((-1038 (-410 (-569))) . T) ((-1038 (-569)) . T) ((-1054 (-410 (-569))) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) |#2| $) 23)) (-2085 ((|#1| $) 10)) (-3638 (((-569) |#2| $) 88)) (-3550 (((-3 $ "failed") |#2| (-918)) 58)) (-1869 ((|#1| $) 28)) (-3555 ((|#1| |#2| $ |#1|) 37)) (-1595 (($ $) 25)) (-3428 (((-3 |#2| "failed") |#2| $) 87)) (-2403 (((-121) |#2| $) NIL)) (-1781 (((-121) |#2| $) NIL)) (-2541 (((-121) |#2| $) 24)) (-3769 ((|#1| $) 89)) (-3833 ((|#1| $) 27)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2745 ((|#2| $) 79)) (-2185 (((-851) $) 71)) (-2994 ((|#1| |#2| $ |#1|) 38)) (-2079 (((-635 $) |#2|) 60)) (-1668 (((-121) $ $) 74))) 
+(((-1058 |#1| |#2|) (-13 (-1064 |#1| |#2|) (-10 -8 (-15 -3833 (|#1| $)) (-15 -1869 (|#1| $)) (-15 -2085 (|#1| $)) (-15 -3769 (|#1| $)) (-15 -1595 ($ $)) (-15 -2541 ((-121) |#2| $)) (-15 -3555 (|#1| |#2| $ |#1|)))) (-13 (-841) (-366)) (-1222 |#1|)) (T -1058)) 
+((-3555 (*1 *2 *3 *1 *2) (-12 (-4 *2 (-13 (-841) (-366))) (-5 *1 (-1058 *2 *3)) (-4 *3 (-1222 *2)))) (-3833 (*1 *2 *1) (-12 (-4 *2 (-13 (-841) (-366))) (-5 *1 (-1058 *2 *3)) (-4 *3 (-1222 *2)))) (-1869 (*1 *2 *1) (-12 (-4 *2 (-13 (-841) (-366))) (-5 *1 (-1058 *2 *3)) (-4 *3 (-1222 *2)))) (-2085 (*1 *2 *1) (-12 (-4 *2 (-13 (-841) (-366))) (-5 *1 (-1058 *2 *3)) (-4 *3 (-1222 *2)))) (-3769 (*1 *2 *1) (-12 (-4 *2 (-13 (-841) (-366))) (-5 *1 (-1058 *2 *3)) (-4 *3 (-1222 *2)))) (-1595 (*1 *1 *1) (-12 (-4 *2 (-13 (-841) (-366))) (-5 *1 (-1058 *2 *3)) (-4 *3 (-1222 *2)))) (-2541 (*1 *2 *3 *1) (-12 (-4 *4 (-13 (-841) (-366))) (-5 *2 (-121)) (-5 *1 (-1058 *4 *3)) (-4 *3 (-1222 *4))))) 
+(-13 (-1064 |#1| |#2|) (-10 -8 (-15 -3833 (|#1| $)) (-15 -1869 (|#1| $)) (-15 -2085 (|#1| $)) (-15 -3769 (|#1| $)) (-15 -1595 ($ $)) (-15 -2541 ((-121) |#2| $)) (-15 -3555 (|#1| |#2| $ |#1|)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3394 (($ $ $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3202 (($ $ $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL)) (-3036 (($ $ $) NIL)) (-2820 (($) NIL T CONST)) (-3981 (($ (-1163)) 10) (($ (-569)) 7)) (-1647 (((-3 (-569) "failed") $) NIL)) (-2428 (((-569) $) NIL)) (-2506 (($ $ $) NIL)) (-1696 (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL) (((-680 (-569)) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4401 (((-3 (-410 (-569)) "failed") $) NIL)) (-3103 (((-121) $) NIL)) (-1442 (((-410 (-569)) $) NIL)) (-4327 (($) NIL) (($ $) NIL)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-1389 (($ $ $ $) NIL)) (-4031 (($ $ $) NIL)) (-2403 (((-121) $) NIL)) (-2381 (($ $ $) NIL)) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL)) (-1407 (((-121) $) NIL)) (-1931 (((-121) $) NIL)) (-3846 (((-3 $ "failed") $) NIL)) (-1781 (((-121) $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4131 (($ $ $ $) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-4372 (($ $) NIL)) (-1906 (($ $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-4466 (($ $ $) NIL)) (-4043 (($) NIL T CONST)) (-2761 (($ $) NIL)) (-3360 (((-1109) $) NIL) (($ $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1484 (($ $) NIL)) (-1743 (((-421 $) $) NIL)) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1657 (((-121) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3899 (($ $ (-764)) NIL) (($ $) NIL)) (-4185 (($ $) NIL)) (-1971 (($ $) NIL)) (-3817 (((-569) $) 16) (((-542) $) NIL) (((-888 (-569)) $) NIL) (((-382) $) NIL) (((-216) $) NIL) (($ (-1163)) 9)) (-2185 (((-851) $) 20) (($ (-569)) 6) (($ $) NIL) (($ (-569)) 6)) (-1991 (((-764)) NIL)) (-4317 (((-121) $ $) NIL)) (-4248 (($ $ $) NIL)) (-1475 (($) NIL)) (-1961 (((-121) $ $) NIL)) (-4423 (($ $ $ $) NIL)) (-1616 (($ $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-764)) NIL) (($ $) NIL)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL)) (-1711 (($ $) 19) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL))) 
+(((-1059) (-13 (-551) (-10 -8 (-6 -4522) (-6 -4527) (-6 -4523) (-15 -3817 ($ (-1163))) (-15 -3981 ($ (-1163))) (-15 -3981 ($ (-569)))))) (T -1059)) 
+((-3817 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1059)))) (-3981 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1059)))) (-3981 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1059))))) 
+(-13 (-551) (-10 -8 (-6 -4522) (-6 -4527) (-6 -4523) (-15 -3817 ($ (-1163))) (-15 -3981 ($ (-1163))) (-15 -3981 ($ (-569))))) 
+((-2568 (((-121) $ $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091))))) (-2281 (($) NIL) (($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) NIL)) (-3112 (((-1252) $ (-1163) (-1163)) NIL (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) NIL)) (-1505 (($) 9)) (-4469 (((-57) $ (-1163) (-57)) NIL)) (-3787 (($ $) 23)) (-2266 (($ $) 21)) (-3027 (($ $) 20)) (-3260 (($ $) 22)) (-4348 (($ $) 25)) (-2512 (($ $) 26)) (-1319 (($ $) 19)) (-1936 (($ $) 24)) (-4216 (($ (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) 18 (|has| $ (-6 -4535)))) (-2082 (((-3 (-57) "failed") (-1163) $) 34)) (-2820 (($) NIL T CONST)) (-1327 (($) 7)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091))))) (-4454 (($ (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) 46 (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-3 (-57) "failed") (-1163) $) NIL)) (-4347 (($ (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (($ (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $ (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (((-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $ (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535)))) (-4204 (((-3 (-1145) "failed") $ (-1145) (-569)) 59)) (-2726 (((-57) $ (-1163) (-57)) NIL (|has| $ (-6 -4536)))) (-1618 (((-57) $ (-1163)) NIL)) (-3470 (((-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-635 (-57)) $) NIL (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-1163) $) NIL (|has| (-1163) (-843)))) (-4259 (((-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) 28 (|has| $ (-6 -4535))) (((-635 (-57)) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-57) (-1091))))) (-1285 (((-1163) $) NIL (|has| (-1163) (-843)))) (-1853 (($ (-1 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4536))) (($ (-1 (-57) (-57)) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL) (($ (-1 (-57) (-57)) $) NIL) (($ (-1 (-57) (-57) (-57)) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091))))) (-2179 (((-635 (-1163)) $) NIL)) (-1598 (((-121) (-1163) $) NIL)) (-3889 (((-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) NIL)) (-3172 (($ (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) 37)) (-4166 (((-635 (-1163)) $) NIL)) (-3533 (((-121) (-1163) $) NIL)) (-3360 (((-1109) $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091))))) (-2104 (((-382) $ (-1163)) 45)) (-2767 (((-635 (-1145)) $ (-1145)) 60)) (-4353 (((-57) $) NIL (|has| (-1163) (-843)))) (-2502 (((-3 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) "failed") (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL)) (-3174 (($ $ (-57)) NIL (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) NIL)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))))) NIL (-12 (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (($ $ (-289 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) NIL (-12 (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (($ $ (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) NIL (-12 (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (($ $ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) NIL (-12 (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (($ $ (-635 (-57)) (-635 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1091)))) (($ $ (-57) (-57)) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1091)))) (($ $ (-289 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1091)))) (($ $ (-635 (-289 (-57)))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-57) (-1091))))) (-2691 (((-635 (-57)) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 (((-57) $ (-1163)) NIL) (((-57) $ (-1163) (-57)) NIL)) (-2566 (($) NIL) (($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) NIL)) (-1416 (($ $ (-1163)) 47)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (((-764) (-57) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-57) (-1091)))) (((-764) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) 30)) (-2250 (($ $ $) 31)) (-2185 (((-851) $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091))))) (-3274 (($ $ (-1163) (-382)) 43)) (-4342 (($ $ (-1163) (-382)) 44)) (-2793 (($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) NIL)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091))))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-1060) (-13 (-1174 (-1163) (-57)) (-10 -8 (-15 -2250 ($ $ $)) (-15 -1327 ($)) (-15 -1319 ($ $)) (-15 -3027 ($ $)) (-15 -2266 ($ $)) (-15 -3260 ($ $)) (-15 -1936 ($ $)) (-15 -3787 ($ $)) (-15 -4348 ($ $)) (-15 -2512 ($ $)) (-15 -3274 ($ $ (-1163) (-382))) (-15 -4342 ($ $ (-1163) (-382))) (-15 -2104 ((-382) $ (-1163))) (-15 -2767 ((-635 (-1145)) $ (-1145))) (-15 -1416 ($ $ (-1163))) (-15 -1505 ($)) (-15 -4204 ((-3 (-1145) "failed") $ (-1145) (-569))) (-6 -4535)))) (T -1060)) 
+((-2250 (*1 *1 *1 *1) (-5 *1 (-1060))) (-1327 (*1 *1) (-5 *1 (-1060))) (-1319 (*1 *1 *1) (-5 *1 (-1060))) (-3027 (*1 *1 *1) (-5 *1 (-1060))) (-2266 (*1 *1 *1) (-5 *1 (-1060))) (-3260 (*1 *1 *1) (-5 *1 (-1060))) (-1936 (*1 *1 *1) (-5 *1 (-1060))) (-3787 (*1 *1 *1) (-5 *1 (-1060))) (-4348 (*1 *1 *1) (-5 *1 (-1060))) (-2512 (*1 *1 *1) (-5 *1 (-1060))) (-3274 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-382)) (-5 *1 (-1060)))) (-4342 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-382)) (-5 *1 (-1060)))) (-2104 (*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-382)) (-5 *1 (-1060)))) (-2767 (*1 *2 *1 *3) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1060)) (-5 *3 (-1145)))) (-1416 (*1 *1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1060)))) (-1505 (*1 *1) (-5 *1 (-1060))) (-4204 (*1 *2 *1 *2 *3) (|partial| -12 (-5 *2 (-1145)) (-5 *3 (-569)) (-5 *1 (-1060))))) 
+(-13 (-1174 (-1163) (-57)) (-10 -8 (-15 -2250 ($ $ $)) (-15 -1327 ($)) (-15 -1319 ($ $)) (-15 -3027 ($ $)) (-15 -2266 ($ $)) (-15 -3260 ($ $)) (-15 -1936 ($ $)) (-15 -3787 ($ $)) (-15 -4348 ($ $)) (-15 -2512 ($ $)) (-15 -3274 ($ $ (-1163) (-382))) (-15 -4342 ($ $ (-1163) (-382))) (-15 -2104 ((-382) $ (-1163))) (-15 -2767 ((-635 (-1145)) $ (-1145))) (-15 -1416 ($ $ (-1163))) (-15 -1505 ($)) (-15 -4204 ((-3 (-1145) "failed") $ (-1145) (-569))) (-6 -4535))) 
+((-4459 (($ $) 45)) (-4482 (((-121) $ $) 74)) (-1647 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 |#4| "failed") $) NIL) (((-3 $ "failed") (-954 (-410 (-569)))) 226) (((-3 $ "failed") (-954 (-569))) 225) (((-3 $ "failed") (-954 |#2|)) 228)) (-2428 ((|#2| $) NIL) (((-410 (-569)) $) NIL) (((-569) $) NIL) ((|#4| $) NIL) (($ (-954 (-410 (-569)))) 214) (($ (-954 (-569))) 210) (($ (-954 |#2|)) 230)) (-4020 (($ $) NIL) (($ $ |#4|) 43)) (-3255 (((-121) $ $) 111) (((-121) $ (-635 $)) 112)) (-1381 (((-121) $) 56)) (-1884 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 106)) (-2958 (($ $) 137)) (-4433 (($ $) 133)) (-1985 (($ $) 132)) (-1816 (($ $ $) 79) (($ $ $ |#4|) 84)) (-2949 (($ $ $) 82) (($ $ $ |#4|) 86)) (-3977 (((-121) $ $) 120) (((-121) $ (-635 $)) 121)) (-4357 ((|#4| $) 33)) (-1634 (($ $ $) 109)) (-2235 (((-121) $) 55)) (-2592 (((-764) $) 35)) (-3249 (($ $) 151)) (-4356 (($ $) 148)) (-2539 (((-635 $) $) 68)) (-1528 (($ $) 57)) (-3193 (($ $) 144)) (-3548 (((-635 $) $) 65)) (-4270 (($ $) 59)) (-4012 ((|#2| $) NIL) (($ $ |#4|) 38)) (-2342 (((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -3797 (-764))) $ $) 110)) (-1586 (((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -4268 $) (|:| -1830 $)) $ $) 107) (((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -4268 $) (|:| -1830 $)) $ $ |#4|) 108)) (-2280 (((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -1830 $)) $ $) 103) (((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -1830 $)) $ $ |#4|) 104)) (-1432 (($ $ $) 89) (($ $ $ |#4|) 94)) (-2470 (($ $ $) 90) (($ $ $ |#4|) 95)) (-1955 (((-635 $) $) 51)) (-3409 (((-121) $ $) 117) (((-121) $ (-635 $)) 118)) (-3005 (($ $ $) 102)) (-4043 (($ $) 37)) (-2673 (((-121) $ $) 72)) (-4310 (((-121) $ $) 113) (((-121) $ (-635 $)) 115)) (-2533 (($ $ $) 100)) (-3975 (($ $) 40)) (-2714 ((|#2| |#2| $) 141) (($ (-635 $)) NIL) (($ $ $) NIL)) (-2111 (($ $ |#2|) NIL) (($ $ $) 130)) (-4501 (($ $ |#2|) 125) (($ $ $) 128)) (-2782 (($ $) 48)) (-1392 (($ $) 52)) (-3817 (((-888 (-382)) $) NIL) (((-888 (-569)) $) NIL) (((-542) $) NIL) (($ (-954 (-410 (-569)))) 216) (($ (-954 (-569))) 212) (($ (-954 |#2|)) 227) (((-1145) $) 249) (((-954 |#2|) $) 161)) (-2185 (((-851) $) 30) (($ (-569)) NIL) (($ |#2|) NIL) (($ |#4|) NIL) (((-954 |#2|) $) 162) (($ (-410 (-569))) NIL) (($ $) NIL)) (-1837 (((-3 (-121) "failed") $ $) 71))) 
+(((-1061 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -2185 (|#1| |#1|)) (-15 -2714 (|#1| |#1| |#1|)) (-15 -2714 (|#1| (-635 |#1|))) (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 ((-954 |#2|) |#1|)) (-15 -3817 ((-954 |#2|) |#1|)) (-15 -3817 ((-1145) |#1|)) (-15 -3249 (|#1| |#1|)) (-15 -4356 (|#1| |#1|)) (-15 -3193 (|#1| |#1|)) (-15 -2958 (|#1| |#1|)) (-15 -2714 (|#2| |#2| |#1|)) (-15 -2111 (|#1| |#1| |#1|)) (-15 -4501 (|#1| |#1| |#1|)) (-15 -2111 (|#1| |#1| |#2|)) (-15 -4501 (|#1| |#1| |#2|)) (-15 -4433 (|#1| |#1|)) (-15 -1985 (|#1| |#1|)) (-15 -3817 (|#1| (-954 |#2|))) (-15 -2428 (|#1| (-954 |#2|))) (-15 -1647 ((-3 |#1| "failed") (-954 |#2|))) (-15 -3817 (|#1| (-954 (-569)))) (-15 -2428 (|#1| (-954 (-569)))) (-15 -1647 ((-3 |#1| "failed") (-954 (-569)))) (-15 -3817 (|#1| (-954 (-410 (-569))))) (-15 -2428 (|#1| (-954 (-410 (-569))))) (-15 -1647 ((-3 |#1| "failed") (-954 (-410 (-569))))) (-15 -3005 (|#1| |#1| |#1|)) (-15 -2533 (|#1| |#1| |#1|)) (-15 -2342 ((-2 (|:| |polnum| |#1|) (|:| |polden| |#1|) (|:| -3797 (-764))) |#1| |#1|)) (-15 -1634 (|#1| |#1| |#1|)) (-15 -1884 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -1586 ((-2 (|:| -4140 |#1|) (|:| |gap| (-764)) (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1| |#4|)) (-15 -1586 ((-2 (|:| -4140 |#1|) (|:| |gap| (-764)) (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -2280 ((-2 (|:| -4140 |#1|) (|:| |gap| (-764)) (|:| -1830 |#1|)) |#1| |#1| |#4|)) (-15 -2280 ((-2 (|:| -4140 |#1|) (|:| |gap| (-764)) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -2470 (|#1| |#1| |#1| |#4|)) (-15 -1432 (|#1| |#1| |#1| |#4|)) (-15 -2470 (|#1| |#1| |#1|)) (-15 -1432 (|#1| |#1| |#1|)) (-15 -2949 (|#1| |#1| |#1| |#4|)) (-15 -1816 (|#1| |#1| |#1| |#4|)) (-15 -2949 (|#1| |#1| |#1|)) (-15 -1816 (|#1| |#1| |#1|)) (-15 -3977 ((-121) |#1| (-635 |#1|))) (-15 -3977 ((-121) |#1| |#1|)) (-15 -3409 ((-121) |#1| (-635 |#1|))) (-15 -3409 ((-121) |#1| |#1|)) (-15 -4310 ((-121) |#1| (-635 |#1|))) (-15 -4310 ((-121) |#1| |#1|)) (-15 -3255 ((-121) |#1| (-635 |#1|))) (-15 -3255 ((-121) |#1| |#1|)) (-15 -4482 ((-121) |#1| |#1|)) (-15 -2673 ((-121) |#1| |#1|)) (-15 -1837 ((-3 (-121) "failed") |#1| |#1|)) (-15 -2539 ((-635 |#1|) |#1|)) (-15 -3548 ((-635 |#1|) |#1|)) (-15 -4270 (|#1| |#1|)) (-15 -1528 (|#1| |#1|)) (-15 -1381 ((-121) |#1|)) (-15 -2235 ((-121) |#1|)) (-15 -4020 (|#1| |#1| |#4|)) (-15 -4012 (|#1| |#1| |#4|)) (-15 -1392 (|#1| |#1|)) (-15 -1955 ((-635 |#1|) |#1|)) (-15 -2782 (|#1| |#1|)) (-15 -4459 (|#1| |#1|)) (-15 -3975 (|#1| |#1|)) (-15 -4043 (|#1| |#1|)) (-15 -2592 ((-764) |#1|)) (-15 -4357 (|#4| |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -3817 ((-888 (-569)) |#1|)) (-15 -3817 ((-888 (-382)) |#1|)) (-15 -2428 (|#4| |#1|)) (-15 -1647 ((-3 |#4| "failed") |#1|)) (-15 -2185 (|#1| |#4|)) (-15 -4012 (|#2| |#1|)) (-15 -4020 (|#1| |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) (-1062 |#2| |#3| |#4|) (-1048) (-789) (-843)) (T -1061)) 
+NIL 
+(-10 -8 (-15 -2185 (|#1| |#1|)) (-15 -2714 (|#1| |#1| |#1|)) (-15 -2714 (|#1| (-635 |#1|))) (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 ((-954 |#2|) |#1|)) (-15 -3817 ((-954 |#2|) |#1|)) (-15 -3817 ((-1145) |#1|)) (-15 -3249 (|#1| |#1|)) (-15 -4356 (|#1| |#1|)) (-15 -3193 (|#1| |#1|)) (-15 -2958 (|#1| |#1|)) (-15 -2714 (|#2| |#2| |#1|)) (-15 -2111 (|#1| |#1| |#1|)) (-15 -4501 (|#1| |#1| |#1|)) (-15 -2111 (|#1| |#1| |#2|)) (-15 -4501 (|#1| |#1| |#2|)) (-15 -4433 (|#1| |#1|)) (-15 -1985 (|#1| |#1|)) (-15 -3817 (|#1| (-954 |#2|))) (-15 -2428 (|#1| (-954 |#2|))) (-15 -1647 ((-3 |#1| "failed") (-954 |#2|))) (-15 -3817 (|#1| (-954 (-569)))) (-15 -2428 (|#1| (-954 (-569)))) (-15 -1647 ((-3 |#1| "failed") (-954 (-569)))) (-15 -3817 (|#1| (-954 (-410 (-569))))) (-15 -2428 (|#1| (-954 (-410 (-569))))) (-15 -1647 ((-3 |#1| "failed") (-954 (-410 (-569))))) (-15 -3005 (|#1| |#1| |#1|)) (-15 -2533 (|#1| |#1| |#1|)) (-15 -2342 ((-2 (|:| |polnum| |#1|) (|:| |polden| |#1|) (|:| -3797 (-764))) |#1| |#1|)) (-15 -1634 (|#1| |#1| |#1|)) (-15 -1884 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -1586 ((-2 (|:| -4140 |#1|) (|:| |gap| (-764)) (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1| |#4|)) (-15 -1586 ((-2 (|:| -4140 |#1|) (|:| |gap| (-764)) (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -2280 ((-2 (|:| -4140 |#1|) (|:| |gap| (-764)) (|:| -1830 |#1|)) |#1| |#1| |#4|)) (-15 -2280 ((-2 (|:| -4140 |#1|) (|:| |gap| (-764)) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -2470 (|#1| |#1| |#1| |#4|)) (-15 -1432 (|#1| |#1| |#1| |#4|)) (-15 -2470 (|#1| |#1| |#1|)) (-15 -1432 (|#1| |#1| |#1|)) (-15 -2949 (|#1| |#1| |#1| |#4|)) (-15 -1816 (|#1| |#1| |#1| |#4|)) (-15 -2949 (|#1| |#1| |#1|)) (-15 -1816 (|#1| |#1| |#1|)) (-15 -3977 ((-121) |#1| (-635 |#1|))) (-15 -3977 ((-121) |#1| |#1|)) (-15 -3409 ((-121) |#1| (-635 |#1|))) (-15 -3409 ((-121) |#1| |#1|)) (-15 -4310 ((-121) |#1| (-635 |#1|))) (-15 -4310 ((-121) |#1| |#1|)) (-15 -3255 ((-121) |#1| (-635 |#1|))) (-15 -3255 ((-121) |#1| |#1|)) (-15 -4482 ((-121) |#1| |#1|)) (-15 -2673 ((-121) |#1| |#1|)) (-15 -1837 ((-3 (-121) "failed") |#1| |#1|)) (-15 -2539 ((-635 |#1|) |#1|)) (-15 -3548 ((-635 |#1|) |#1|)) (-15 -4270 (|#1| |#1|)) (-15 -1528 (|#1| |#1|)) (-15 -1381 ((-121) |#1|)) (-15 -2235 ((-121) |#1|)) (-15 -4020 (|#1| |#1| |#4|)) (-15 -4012 (|#1| |#1| |#4|)) (-15 -1392 (|#1| |#1|)) (-15 -1955 ((-635 |#1|) |#1|)) (-15 -2782 (|#1| |#1|)) (-15 -4459 (|#1| |#1|)) (-15 -3975 (|#1| |#1|)) (-15 -4043 (|#1| |#1|)) (-15 -2592 ((-764) |#1|)) (-15 -4357 (|#4| |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -3817 ((-888 (-569)) |#1|)) (-15 -3817 ((-888 (-382)) |#1|)) (-15 -2428 (|#4| |#1|)) (-15 -1647 ((-3 |#4| "failed") |#1|)) (-15 -2185 (|#1| |#4|)) (-15 -4012 (|#2| |#1|)) (-15 -4020 (|#1| |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1773 (((-635 |#3|) $) 108)) (-1739 (((-1159 $) $ |#3|) 123) (((-1159 |#1|) $) 122)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 85 (|has| |#1| (-559)))) (-3383 (($ $) 86 (|has| |#1| (-559)))) (-4354 (((-121) $) 88 (|has| |#1| (-559)))) (-4011 (((-764) $) 110) (((-764) $ (-635 |#3|)) 109)) (-4459 (($ $) 250)) (-4482 (((-121) $ $) 236)) (-2327 (((-3 $ "failed") $ $) 18)) (-3306 (($ $ $) 195 (|has| |#1| (-559)))) (-3106 (((-635 $) $ $) 190 (|has| |#1| (-559)))) (-2379 (((-421 (-1159 $)) (-1159 $)) 98 (|has| |#1| (-905)))) (-2004 (($ $) 96 (|has| |#1| (-454)))) (-2446 (((-421 $) $) 95 (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) 101 (|has| |#1| (-905)))) (-2820 (($) 16 T CONST)) (-1647 (((-3 |#1| "failed") $) 162) (((-3 (-410 (-569)) "failed") $) 160 (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) 158 (|has| |#1| (-1038 (-569)))) (((-3 |#3| "failed") $) 134) (((-3 $ "failed") (-954 (-410 (-569)))) 210 (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1163))))) (((-3 $ "failed") (-954 (-569))) 207 (-2232 (-12 (-3864 (|has| |#1| (-43 (-410 (-569))))) (|has| |#1| (-43 (-569))) (|has| |#3| (-610 (-1163)))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1163)))))) (((-3 $ "failed") (-954 |#1|)) 204 (-2232 (-12 (-3864 (|has| |#1| (-43 (-410 (-569))))) (-3864 (|has| |#1| (-43 (-569)))) (|has| |#3| (-610 (-1163)))) (-12 (-3864 (|has| |#1| (-551))) (-3864 (|has| |#1| (-43 (-410 (-569))))) (|has| |#1| (-43 (-569))) (|has| |#3| (-610 (-1163)))) (-12 (-3864 (|has| |#1| (-994 (-569)))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1163))))))) (-2428 ((|#1| $) 163) (((-410 (-569)) $) 159 (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) 157 (|has| |#1| (-1038 (-569)))) ((|#3| $) 133) (($ (-954 (-410 (-569)))) 209 (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1163))))) (($ (-954 (-569))) 206 (-2232 (-12 (-3864 (|has| |#1| (-43 (-410 (-569))))) (|has| |#1| (-43 (-569))) (|has| |#3| (-610 (-1163)))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1163)))))) (($ (-954 |#1|)) 203 (-2232 (-12 (-3864 (|has| |#1| (-43 (-410 (-569))))) (-3864 (|has| |#1| (-43 (-569)))) (|has| |#3| (-610 (-1163)))) (-12 (-3864 (|has| |#1| (-551))) (-3864 (|has| |#1| (-43 (-410 (-569))))) (|has| |#1| (-43 (-569))) (|has| |#3| (-610 (-1163)))) (-12 (-3864 (|has| |#1| (-994 (-569)))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1163))))))) (-3493 (($ $ $ |#3|) 106 (|has| |#1| (-173))) (($ $ $) 191 (|has| |#1| (-559)))) (-4020 (($ $) 152) (($ $ |#3|) 245)) (-1696 (((-680 (-569)) (-680 $)) 132 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 131 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 130) (((-680 |#1|) (-680 $)) 129)) (-3255 (((-121) $ $) 235) (((-121) $ (-635 $)) 234)) (-3428 (((-3 $ "failed") $) 33)) (-1381 (((-121) $) 243)) (-1884 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 215)) (-2958 (($ $) 184 (|has| |#1| (-454)))) (-1340 (($ $) 174 (|has| |#1| (-454))) (($ $ |#3|) 103 (|has| |#1| (-454)))) (-4015 (((-635 $) $) 107)) (-3726 (((-121) $) 94 (|has| |#1| (-905)))) (-4433 (($ $) 200 (|has| |#1| (-559)))) (-1985 (($ $) 201 (|has| |#1| (-559)))) (-1816 (($ $ $) 227) (($ $ $ |#3|) 225)) (-2949 (($ $ $) 226) (($ $ $ |#3|) 224)) (-1667 (($ $ |#1| |#2| $) 170)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 82 (-12 (|has| |#3| (-882 (-382))) (|has| |#1| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 81 (-12 (|has| |#3| (-882 (-569))) (|has| |#1| (-882 (-569)))))) (-1407 (((-121) $) 30)) (-4244 (((-764) $) 167)) (-3977 (((-121) $ $) 229) (((-121) $ (-635 $)) 228)) (-2465 (($ $ $ $ $) 186 (|has| |#1| (-559)))) (-4357 ((|#3| $) 254)) (-1768 (($ (-1159 |#1|) |#3|) 115) (($ (-1159 $) |#3|) 114)) (-2086 (((-635 $) $) 124)) (-3523 (((-121) $) 150)) (-1763 (($ |#1| |#2|) 151) (($ $ |#3| (-764)) 117) (($ $ (-635 |#3|) (-635 (-764))) 116)) (-1634 (($ $ $) 214)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ |#3|) 118)) (-2235 (((-121) $) 244)) (-4002 ((|#2| $) 168) (((-764) $ |#3|) 120) (((-635 (-764)) $ (-635 |#3|)) 119)) (-3291 (($ $ $) 77 (|has| |#1| (-843)))) (-2592 (((-764) $) 253)) (-1538 (($ $ $) 76 (|has| |#1| (-843)))) (-2658 (($ (-1 |#2| |#2|) $) 169)) (-1544 (($ (-1 |#1| |#1|) $) 149)) (-1637 (((-3 |#3| "failed") $) 121)) (-3249 (($ $) 181 (|has| |#1| (-454)))) (-4356 (($ $) 182 (|has| |#1| (-454)))) (-2539 (((-635 $) $) 239)) (-1528 (($ $) 242)) (-3193 (($ $) 183 (|has| |#1| (-454)))) (-3548 (((-635 $) $) 240)) (-4270 (($ $) 241)) (-1804 (($ $) 147)) (-4012 ((|#1| $) 146) (($ $ |#3|) 246)) (-2665 (($ (-635 $)) 92 (|has| |#1| (-454))) (($ $ $) 91 (|has| |#1| (-454)))) (-2342 (((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -3797 (-764))) $ $) 213)) (-1586 (((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -4268 $) (|:| -1830 $)) $ $) 217) (((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -4268 $) (|:| -1830 $)) $ $ |#3|) 216)) (-2280 (((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -1830 $)) $ $) 219) (((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -1830 $)) $ $ |#3|) 218)) (-1432 (($ $ $) 223) (($ $ $ |#3|) 221)) (-2470 (($ $ $) 222) (($ $ $ |#3|) 220)) (-2776 (((-1145) $) 9)) (-3988 (($ $ $) 189 (|has| |#1| (-559)))) (-1955 (((-635 $) $) 248)) (-4087 (((-3 (-635 $) "failed") $) 112)) (-3091 (((-3 (-635 $) "failed") $) 113)) (-1874 (((-3 (-2 (|:| |var| |#3|) (|:| -2356 (-764))) "failed") $) 111)) (-3409 (((-121) $ $) 231) (((-121) $ (-635 $)) 230)) (-3005 (($ $ $) 211)) (-4043 (($ $) 252)) (-2673 (((-121) $ $) 237)) (-4310 (((-121) $ $) 233) (((-121) $ (-635 $)) 232)) (-2533 (($ $ $) 212)) (-3975 (($ $) 251)) (-3360 (((-1109) $) 10)) (-3019 (((-2 (|:| -2714 $) (|:| |coef2| $)) $ $) 192 (|has| |#1| (-559)))) (-2458 (((-2 (|:| -2714 $) (|:| |coef1| $)) $ $) 193 (|has| |#1| (-559)))) (-1798 (((-121) $) 164)) (-1801 ((|#1| $) 165)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 93 (|has| |#1| (-454)))) (-2714 ((|#1| |#1| $) 185 (|has| |#1| (-454))) (($ (-635 $)) 90 (|has| |#1| (-454))) (($ $ $) 89 (|has| |#1| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) 100 (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) 99 (|has| |#1| (-905)))) (-1743 (((-421 $) $) 97 (|has| |#1| (-905)))) (-4442 (((-2 (|:| -2714 $) (|:| |coef1| $) (|:| |coef2| $)) $ $) 194 (|has| |#1| (-559)))) (-2941 (((-3 $ "failed") $ |#1|) 172 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-559)))) (-2111 (($ $ |#1|) 198 (|has| |#1| (-559))) (($ $ $) 196 (|has| |#1| (-559)))) (-4501 (($ $ |#1|) 199 (|has| |#1| (-559))) (($ $ $) 197 (|has| |#1| (-559)))) (-1468 (($ $ (-635 (-289 $))) 143) (($ $ (-289 $)) 142) (($ $ $ $) 141) (($ $ (-635 $) (-635 $)) 140) (($ $ |#3| |#1|) 139) (($ $ (-635 |#3|) (-635 |#1|)) 138) (($ $ |#3| $) 137) (($ $ (-635 |#3|) (-635 $)) 136)) (-2087 (($ $ |#3|) 105 (|has| |#1| (-173)))) (-3899 (($ $ |#3|) 41) (($ $ (-635 |#3|)) 40) (($ $ |#3| (-764)) 39) (($ $ (-635 |#3|) (-635 (-764))) 38)) (-2492 ((|#2| $) 148) (((-764) $ |#3|) 128) (((-635 (-764)) $ (-635 |#3|)) 127)) (-2782 (($ $) 249)) (-1392 (($ $) 247)) (-3817 (((-888 (-382)) $) 80 (-12 (|has| |#3| (-610 (-888 (-382)))) (|has| |#1| (-610 (-888 (-382)))))) (((-888 (-569)) $) 79 (-12 (|has| |#3| (-610 (-888 (-569)))) (|has| |#1| (-610 (-888 (-569)))))) (((-542) $) 78 (-12 (|has| |#3| (-610 (-542))) (|has| |#1| (-610 (-542))))) (($ (-954 (-410 (-569)))) 208 (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1163))))) (($ (-954 (-569))) 205 (-2232 (-12 (-3864 (|has| |#1| (-43 (-410 (-569))))) (|has| |#1| (-43 (-569))) (|has| |#3| (-610 (-1163)))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1163)))))) (($ (-954 |#1|)) 202 (|has| |#3| (-610 (-1163)))) (((-1145) $) 180 (-12 (|has| |#1| (-1038 (-569))) (|has| |#3| (-610 (-1163))))) (((-954 |#1|) $) 179 (|has| |#3| (-610 (-1163))))) (-3298 ((|#1| $) 173 (|has| |#1| (-454))) (($ $ |#3|) 104 (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 102 (-2206 (|has| $ (-149)) (|has| |#1| (-905))))) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 161) (($ |#3|) 135) (((-954 |#1|) $) 178 (|has| |#3| (-610 (-1163)))) (($ (-410 (-569))) 70 (-2232 (|has| |#1| (-1038 (-410 (-569)))) (|has| |#1| (-43 (-410 (-569)))))) (($ $) 83 (|has| |#1| (-559)))) (-3382 (((-635 |#1|) $) 166)) (-1653 ((|#1| $ |#2|) 153) (($ $ |#3| (-764)) 126) (($ $ (-635 |#3|) (-635 (-764))) 125)) (-3953 (((-3 $ "failed") $) 71 (-2232 (-2206 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) 28)) (-4086 (($ $ $ (-764)) 171 (|has| |#1| (-173)))) (-1961 (((-121) $ $) 87 (|has| |#1| (-559)))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1837 (((-3 (-121) "failed") $ $) 238)) (-1556 (($) 29 T CONST)) (-1325 (($ $ $ $ (-764)) 187 (|has| |#1| (-559)))) (-4381 (($ $ $ (-764)) 188 (|has| |#1| (-559)))) (-3022 (($ $ |#3|) 37) (($ $ (-635 |#3|)) 36) (($ $ |#3| (-764)) 35) (($ $ (-635 |#3|) (-635 (-764))) 34)) (-1693 (((-121) $ $) 74 (|has| |#1| (-843)))) (-1684 (((-121) $ $) 73 (|has| |#1| (-843)))) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 75 (|has| |#1| (-843)))) (-1678 (((-121) $ $) 72 (|has| |#1| (-843)))) (-1715 (($ $ |#1|) 154 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 156 (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) 155 (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 145) (($ $ |#1|) 144))) 
+(((-1062 |#1| |#2| |#3|) (-1278) (-1048) (-789) (-843)) (T -1062)) 
+((-4357 (*1 *2 *1) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) (-2592 (*1 *2 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-764)))) (-4043 (*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-3975 (*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-4459 (*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-2782 (*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-1955 (*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1062 *3 *4 *5)))) (-1392 (*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-4012 (*1 *1 *1 *2) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) (-4020 (*1 *1 *1 *2) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) (-2235 (*1 *2 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) (-1381 (*1 *2 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) (-1528 (*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-4270 (*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-3548 (*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1062 *3 *4 *5)))) (-2539 (*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1062 *3 *4 *5)))) (-1837 (*1 *2 *1 *1) (|partial| -12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) (-2673 (*1 *2 *1 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) (-4482 (*1 *2 *1 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) (-3255 (*1 *2 *1 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) (-3255 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1062 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)))) (-4310 (*1 *2 *1 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) (-4310 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1062 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)))) (-3409 (*1 *2 *1 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) (-3409 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1062 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)))) (-3977 (*1 *2 *1 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) (-3977 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1062 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)))) (-1816 (*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-2949 (*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-1816 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) (-2949 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) (-1432 (*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-2470 (*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-1432 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) (-2470 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) (-2280 (*1 *2 *1 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| -4140 *1) (|:| |gap| (-764)) (|:| -1830 *1))) (-4 *1 (-1062 *3 *4 *5)))) (-2280 (*1 *2 *1 *1 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-5 *2 (-2 (|:| -4140 *1) (|:| |gap| (-764)) (|:| -1830 *1))) (-4 *1 (-1062 *4 *5 *3)))) (-1586 (*1 *2 *1 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| -4140 *1) (|:| |gap| (-764)) (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-1062 *3 *4 *5)))) (-1586 (*1 *2 *1 *1 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-5 *2 (-2 (|:| -4140 *1) (|:| |gap| (-764)) (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-1062 *4 *5 *3)))) (-1884 (*1 *2 *1 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-1062 *3 *4 *5)))) (-1634 (*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-2342 (*1 *2 *1 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| |polnum| *1) (|:| |polden| *1) (|:| -3797 (-764)))) (-4 *1 (-1062 *3 *4 *5)))) (-2533 (*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-3005 (*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-954 (-410 (-569)))) (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-954 (-410 (-569)))) (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)))) (-3817 (*1 *1 *2) (-12 (-5 *2 (-954 (-410 (-569)))) (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)))) (-1647 (*1 *1 *2) (|partial| -2232 (-12 (-5 *2 (-954 (-569))) (-4 *1 (-1062 *3 *4 *5)) (-12 (-3864 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 (-569))) (-4 *1 (-1062 *3 *4 *5)) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))))) (-2428 (*1 *1 *2) (-2232 (-12 (-5 *2 (-954 (-569))) (-4 *1 (-1062 *3 *4 *5)) (-12 (-3864 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 (-569))) (-4 *1 (-1062 *3 *4 *5)) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))))) (-3817 (*1 *1 *2) (-2232 (-12 (-5 *2 (-954 (-569))) (-4 *1 (-1062 *3 *4 *5)) (-12 (-3864 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 (-569))) (-4 *1 (-1062 *3 *4 *5)) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))))) (-1647 (*1 *1 *2) (|partial| -2232 (-12 (-5 *2 (-954 *3)) (-12 (-3864 (-4 *3 (-43 (-410 (-569))))) (-3864 (-4 *3 (-43 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 *3)) (-12 (-3864 (-4 *3 (-551))) (-3864 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 *3)) (-12 (-3864 (-4 *3 (-994 (-569)))) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843))))) (-2428 (*1 *1 *2) (-2232 (-12 (-5 *2 (-954 *3)) (-12 (-3864 (-4 *3 (-43 (-410 (-569))))) (-3864 (-4 *3 (-43 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 *3)) (-12 (-3864 (-4 *3 (-551))) (-3864 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 *3)) (-12 (-3864 (-4 *3 (-994 (-569)))) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843))))) (-3817 (*1 *1 *2) (-12 (-5 *2 (-954 *3)) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *5 (-610 (-1163))) (-4 *4 (-789)) (-4 *5 (-843)))) (-1985 (*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) (-4433 (*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) (-4501 (*1 *1 *1 *2) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) (-2111 (*1 *1 *1 *2) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) (-4501 (*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) (-2111 (*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) (-3306 (*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) (-4442 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| -2714 *1) (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-1062 *3 *4 *5)))) (-2458 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| -2714 *1) (|:| |coef1| *1))) (-4 *1 (-1062 *3 *4 *5)))) (-3019 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| -2714 *1) (|:| |coef2| *1))) (-4 *1 (-1062 *3 *4 *5)))) (-3493 (*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) (-3106 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1062 *3 *4 *5)))) (-3988 (*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) (-4381 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *3 (-559)))) (-1325 (*1 *1 *1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *3 (-559)))) (-2465 (*1 *1 *1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) (-2714 (*1 *2 *2 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454)))) (-2958 (*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454)))) (-3193 (*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454)))) (-4356 (*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454)))) (-3249 (*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454))))) 
+(-13 (-951 |t#1| |t#2| |t#3|) (-10 -8 (-15 -4357 (|t#3| $)) (-15 -2592 ((-764) $)) (-15 -4043 ($ $)) (-15 -3975 ($ $)) (-15 -4459 ($ $)) (-15 -2782 ($ $)) (-15 -1955 ((-635 $) $)) (-15 -1392 ($ $)) (-15 -4012 ($ $ |t#3|)) (-15 -4020 ($ $ |t#3|)) (-15 -2235 ((-121) $)) (-15 -1381 ((-121) $)) (-15 -1528 ($ $)) (-15 -4270 ($ $)) (-15 -3548 ((-635 $) $)) (-15 -2539 ((-635 $) $)) (-15 -1837 ((-3 (-121) "failed") $ $)) (-15 -2673 ((-121) $ $)) (-15 -4482 ((-121) $ $)) (-15 -3255 ((-121) $ $)) (-15 -3255 ((-121) $ (-635 $))) (-15 -4310 ((-121) $ $)) (-15 -4310 ((-121) $ (-635 $))) (-15 -3409 ((-121) $ $)) (-15 -3409 ((-121) $ (-635 $))) (-15 -3977 ((-121) $ $)) (-15 -3977 ((-121) $ (-635 $))) (-15 -1816 ($ $ $)) (-15 -2949 ($ $ $)) (-15 -1816 ($ $ $ |t#3|)) (-15 -2949 ($ $ $ |t#3|)) (-15 -1432 ($ $ $)) (-15 -2470 ($ $ $)) (-15 -1432 ($ $ $ |t#3|)) (-15 -2470 ($ $ $ |t#3|)) (-15 -2280 ((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -1830 $)) $ $)) (-15 -2280 ((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -1830 $)) $ $ |t#3|)) (-15 -1586 ((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -4268 $) (|:| -1830 $)) $ $)) (-15 -1586 ((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -4268 $) (|:| -1830 $)) $ $ |t#3|)) (-15 -1884 ((-2 (|:| -4268 $) (|:| -1830 $)) $ $)) (-15 -1634 ($ $ $)) (-15 -2342 ((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -3797 (-764))) $ $)) (-15 -2533 ($ $ $)) (-15 -3005 ($ $ $)) (IF (|has| |t#3| (-610 (-1163))) (PROGN (-6 (-609 (-954 |t#1|))) (-6 (-610 (-954 |t#1|))) (IF (|has| |t#1| (-43 (-410 (-569)))) (PROGN (-15 -1647 ((-3 $ "failed") (-954 (-410 (-569))))) (-15 -2428 ($ (-954 (-410 (-569))))) (-15 -3817 ($ (-954 (-410 (-569))))) (-15 -1647 ((-3 $ "failed") (-954 (-569)))) (-15 -2428 ($ (-954 (-569)))) (-15 -3817 ($ (-954 (-569)))) (IF (|has| |t#1| (-994 (-569))) |noBranch| (PROGN (-15 -1647 ((-3 $ "failed") (-954 |t#1|))) (-15 -2428 ($ (-954 |t#1|)))))) |noBranch|) (IF (|has| |t#1| (-43 (-569))) (IF (|has| |t#1| (-43 (-410 (-569)))) |noBranch| (PROGN (-15 -1647 ((-3 $ "failed") (-954 (-569)))) (-15 -2428 ($ (-954 (-569)))) (-15 -3817 ($ (-954 (-569)))) (IF (|has| |t#1| (-551)) |noBranch| (PROGN (-15 -1647 ((-3 $ "failed") (-954 |t#1|))) (-15 -2428 ($ (-954 |t#1|))))))) |noBranch|) (IF (|has| |t#1| (-43 (-569))) |noBranch| (IF (|has| |t#1| (-43 (-410 (-569)))) |noBranch| (PROGN (-15 -1647 ((-3 $ "failed") (-954 |t#1|))) (-15 -2428 ($ (-954 |t#1|)))))) (-15 -3817 ($ (-954 |t#1|))) (IF (|has| |t#1| (-1038 (-569))) (-6 (-610 (-1145))) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-559)) (PROGN (-15 -1985 ($ $)) (-15 -4433 ($ $)) (-15 -4501 ($ $ |t#1|)) (-15 -2111 ($ $ |t#1|)) (-15 -4501 ($ $ $)) (-15 -2111 ($ $ $)) (-15 -3306 ($ $ $)) (-15 -4442 ((-2 (|:| -2714 $) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -2458 ((-2 (|:| -2714 $) (|:| |coef1| $)) $ $)) (-15 -3019 ((-2 (|:| -2714 $) (|:| |coef2| $)) $ $)) (-15 -3493 ($ $ $)) (-15 -3106 ((-635 $) $ $)) (-15 -3988 ($ $ $)) (-15 -4381 ($ $ $ (-764))) (-15 -1325 ($ $ $ $ (-764))) (-15 -2465 ($ $ $ $ $))) |noBranch|) (IF (|has| |t#1| (-454)) (PROGN (-15 -2714 (|t#1| |t#1| $)) (-15 -2958 ($ $)) (-15 -3193 ($ $)) (-15 -4356 ($ $)) (-15 -3249 ($ $))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-609 (-954 |#1|)) |has| |#3| (-610 (-1163))) ((-173) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-610 (-542)) -12 (|has| |#1| (-610 (-542))) (|has| |#3| (-610 (-542)))) ((-610 (-888 (-382))) -12 (|has| |#1| (-610 (-888 (-382)))) (|has| |#3| (-610 (-888 (-382))))) ((-610 (-888 (-569))) -12 (|has| |#1| (-610 (-888 (-569)))) (|has| |#3| (-610 (-888 (-569))))) ((-610 (-954 |#1|)) |has| |#3| (-610 (-1163))) ((-610 (-1145)) -12 (|has| |#1| (-1038 (-569))) (|has| |#3| (-610 (-1163)))) ((-286) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-304 $) . T) ((-325 |#1| |#2|) . T) ((-380 |#1|) . T) ((-414 |#1|) . T) ((-454) -2232 (|has| |#1| (-905)) (|has| |#1| (-454))) ((-524 |#3| |#1|) . T) ((-524 |#3| $) . T) ((-524 $ $) . T) ((-559) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-708 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-717) . T) ((-843) |has| |#1| (-843)) ((-896 |#3|) . T) ((-882 (-382)) -12 (|has| |#1| (-882 (-382))) (|has| |#3| (-882 (-382)))) ((-882 (-569)) -12 (|has| |#1| (-882 (-569))) (|has| |#3| (-882 (-569)))) ((-951 |#1| |#2| |#3|) . T) ((-905) |has| |#1| (-905)) ((-1038 (-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 |#1|) . T) ((-1038 |#3|) . T) ((-1054 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) |has| |#1| (-905))) 
+((-3813 (((-121) |#3| $) 13)) (-3550 (((-3 $ "failed") |#3| (-918)) 23)) (-3428 (((-3 |#3| "failed") |#3| $) 37)) (-2403 (((-121) |#3| $) 16)) (-1781 (((-121) |#3| $) 14))) 
+(((-1063 |#1| |#2| |#3|) (-10 -8 (-15 -3550 ((-3 |#1| "failed") |#3| (-918))) (-15 -3428 ((-3 |#3| "failed") |#3| |#1|)) (-15 -2403 ((-121) |#3| |#1|)) (-15 -1781 ((-121) |#3| |#1|)) (-15 -3813 ((-121) |#3| |#1|))) (-1064 |#2| |#3|) (-13 (-841) (-366)) (-1222 |#2|)) (T -1063)) 
+NIL 
+(-10 -8 (-15 -3550 ((-3 |#1| "failed") |#3| (-918))) (-15 -3428 ((-3 |#3| "failed") |#3| |#1|)) (-15 -2403 ((-121) |#3| |#1|)) (-15 -1781 ((-121) |#3| |#1|)) (-15 -3813 ((-121) |#3| |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) |#2| $) 20)) (-3638 (((-569) |#2| $) 21)) (-3550 (((-3 $ "failed") |#2| (-918)) 14)) (-3555 ((|#1| |#2| $ |#1|) 12)) (-3428 (((-3 |#2| "failed") |#2| $) 17)) (-2403 (((-121) |#2| $) 18)) (-1781 (((-121) |#2| $) 19)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2745 ((|#2| $) 16)) (-2185 (((-851) $) 11)) (-2994 ((|#1| |#2| $ |#1|) 13)) (-2079 (((-635 $) |#2|) 15)) (-1668 (((-121) $ $) 6))) 
+(((-1064 |#1| |#2|) (-1278) (-13 (-841) (-366)) (-1222 |t#1|)) (T -1064)) 
+((-3638 (*1 *2 *3 *1) (-12 (-4 *1 (-1064 *4 *3)) (-4 *4 (-13 (-841) (-366))) (-4 *3 (-1222 *4)) (-5 *2 (-569)))) (-3813 (*1 *2 *3 *1) (-12 (-4 *1 (-1064 *4 *3)) (-4 *4 (-13 (-841) (-366))) (-4 *3 (-1222 *4)) (-5 *2 (-121)))) (-1781 (*1 *2 *3 *1) (-12 (-4 *1 (-1064 *4 *3)) (-4 *4 (-13 (-841) (-366))) (-4 *3 (-1222 *4)) (-5 *2 (-121)))) (-2403 (*1 *2 *3 *1) (-12 (-4 *1 (-1064 *4 *3)) (-4 *4 (-13 (-841) (-366))) (-4 *3 (-1222 *4)) (-5 *2 (-121)))) (-3428 (*1 *2 *2 *1) (|partial| -12 (-4 *1 (-1064 *3 *2)) (-4 *3 (-13 (-841) (-366))) (-4 *2 (-1222 *3)))) (-2745 (*1 *2 *1) (-12 (-4 *1 (-1064 *3 *2)) (-4 *3 (-13 (-841) (-366))) (-4 *2 (-1222 *3)))) (-2079 (*1 *2 *3) (-12 (-4 *4 (-13 (-841) (-366))) (-4 *3 (-1222 *4)) (-5 *2 (-635 *1)) (-4 *1 (-1064 *4 *3)))) (-3550 (*1 *1 *2 *3) (|partial| -12 (-5 *3 (-918)) (-4 *4 (-13 (-841) (-366))) (-4 *1 (-1064 *4 *2)) (-4 *2 (-1222 *4)))) (-2994 (*1 *2 *3 *1 *2) (-12 (-4 *1 (-1064 *2 *3)) (-4 *2 (-13 (-841) (-366))) (-4 *3 (-1222 *2)))) (-3555 (*1 *2 *3 *1 *2) (-12 (-4 *1 (-1064 *2 *3)) (-4 *2 (-13 (-841) (-366))) (-4 *3 (-1222 *2))))) 
+(-13 (-1091) (-10 -8 (-15 -3638 ((-569) |t#2| $)) (-15 -3813 ((-121) |t#2| $)) (-15 -1781 ((-121) |t#2| $)) (-15 -2403 ((-121) |t#2| $)) (-15 -3428 ((-3 |t#2| "failed") |t#2| $)) (-15 -2745 (|t#2| $)) (-15 -2079 ((-635 $) |t#2|)) (-15 -3550 ((-3 $ "failed") |t#2| (-918))) (-15 -2994 (|t#1| |t#2| $ |t#1|)) (-15 -3555 (|t#1| |t#2| $ |t#1|)))) 
+(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
+((-4410 (((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-635 |#4|) (-635 |#5|) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) (-764)) 95)) (-1405 (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|) 56) (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764)) 55)) (-3987 (((-1252) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-764)) 87)) (-2734 (((-764) (-635 |#4|) (-635 |#5|)) 27)) (-2500 (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|) 58) (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764)) 57) (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764) (-121)) 59)) (-4157 (((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121) (-121) (-121) (-121)) 78) (((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121)) 79)) (-3817 (((-1145) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) 82)) (-2393 (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-121)) 54)) (-1828 (((-764) (-635 |#4|) (-635 |#5|)) 19))) 
+(((-1065 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1828 ((-764) (-635 |#4|) (-635 |#5|))) (-15 -2734 ((-764) (-635 |#4|) (-635 |#5|))) (-15 -2393 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-121))) (-15 -1405 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764))) (-15 -1405 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|)) (-15 -2500 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764) (-121))) (-15 -2500 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764))) (-15 -2500 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|)) (-15 -4157 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -4157 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121) (-121) (-121) (-121))) (-15 -4410 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-635 |#4|) (-635 |#5|) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) (-764))) (-15 -3817 ((-1145) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)))) (-15 -3987 ((-1252) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-764)))) (-454) (-789) (-843) (-1062 |#1| |#2| |#3|) (-1067 |#1| |#2| |#3| |#4|)) (T -1065)) 
+((-3987 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4003 *9)))) (-5 *4 (-764)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-1252)) (-5 *1 (-1065 *5 *6 *7 *8 *9)))) (-3817 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4003 *8))) (-4 *7 (-1062 *4 *5 *6)) (-4 *8 (-1067 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-1145)) (-5 *1 (-1065 *4 *5 *6 *7 *8)))) (-4410 (*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-635 *11)) (|:| |todo| (-635 (-2 (|:| |val| *3) (|:| -4003 *11)))))) (-5 *6 (-764)) (-5 *2 (-635 (-2 (|:| |val| (-635 *10)) (|:| -4003 *11)))) (-5 *3 (-635 *10)) (-5 *4 (-635 *11)) (-4 *10 (-1062 *7 *8 *9)) (-4 *11 (-1067 *7 *8 *9 *10)) (-4 *7 (-454)) (-4 *8 (-789)) (-4 *9 (-843)) (-5 *1 (-1065 *7 *8 *9 *10 *11)))) (-4157 (*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-1065 *5 *6 *7 *8 *9)))) (-4157 (*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-1065 *5 *6 *7 *8 *9)))) (-2500 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1065 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-2500 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-764)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1065 *6 *7 *8 *3 *4)) (-4 *4 (-1067 *6 *7 *8 *3)))) (-2500 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-764)) (-5 *6 (-121)) (-4 *7 (-454)) (-4 *8 (-789)) (-4 *9 (-843)) (-4 *3 (-1062 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1065 *7 *8 *9 *3 *4)) (-4 *4 (-1067 *7 *8 *9 *3)))) (-1405 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1065 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-1405 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-764)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1065 *6 *7 *8 *3 *4)) (-4 *4 (-1067 *6 *7 *8 *3)))) (-2393 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1065 *6 *7 *8 *3 *4)) (-4 *4 (-1067 *6 *7 *8 *3)))) (-2734 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-764)) (-5 *1 (-1065 *5 *6 *7 *8 *9)))) (-1828 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-764)) (-5 *1 (-1065 *5 *6 *7 *8 *9))))) 
+(-10 -7 (-15 -1828 ((-764) (-635 |#4|) (-635 |#5|))) (-15 -2734 ((-764) (-635 |#4|) (-635 |#5|))) (-15 -2393 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-121))) (-15 -1405 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764))) (-15 -1405 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|)) (-15 -2500 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764) (-121))) (-15 -2500 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764))) (-15 -2500 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|)) (-15 -4157 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -4157 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121) (-121) (-121) (-121))) (-15 -4410 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-635 |#4|) (-635 |#5|) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) (-764))) (-15 -3817 ((-1145) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)))) (-15 -3987 ((-1252) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-764)))) 
+((-1658 (((-121) |#5| $) 20)) (-3903 (((-121) |#5| $) 23)) (-3617 (((-121) |#5| $) 16) (((-121) $) 44)) (-2652 (((-635 $) |#5| $) NIL) (((-635 $) (-635 |#5|) $) 76) (((-635 $) (-635 |#5|) (-635 $)) 74) (((-635 $) |#5| (-635 $)) 77)) (-3499 (($ $ |#5|) NIL) (((-635 $) |#5| $) NIL) (((-635 $) |#5| (-635 $)) 59) (((-635 $) (-635 |#5|) $) 61) (((-635 $) (-635 |#5|) (-635 $)) 63)) (-4455 (((-635 $) |#5| $) NIL) (((-635 $) |#5| (-635 $)) 53) (((-635 $) (-635 |#5|) $) 55) (((-635 $) (-635 |#5|) (-635 $)) 57)) (-4060 (((-121) |#5| $) 26))) 
+(((-1066 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -3499 ((-635 |#1|) (-635 |#5|) (-635 |#1|))) (-15 -3499 ((-635 |#1|) (-635 |#5|) |#1|)) (-15 -3499 ((-635 |#1|) |#5| (-635 |#1|))) (-15 -3499 ((-635 |#1|) |#5| |#1|)) (-15 -4455 ((-635 |#1|) (-635 |#5|) (-635 |#1|))) (-15 -4455 ((-635 |#1|) (-635 |#5|) |#1|)) (-15 -4455 ((-635 |#1|) |#5| (-635 |#1|))) (-15 -4455 ((-635 |#1|) |#5| |#1|)) (-15 -2652 ((-635 |#1|) |#5| (-635 |#1|))) (-15 -2652 ((-635 |#1|) (-635 |#5|) (-635 |#1|))) (-15 -2652 ((-635 |#1|) (-635 |#5|) |#1|)) (-15 -2652 ((-635 |#1|) |#5| |#1|)) (-15 -3903 ((-121) |#5| |#1|)) (-15 -3617 ((-121) |#1|)) (-15 -4060 ((-121) |#5| |#1|)) (-15 -1658 ((-121) |#5| |#1|)) (-15 -3617 ((-121) |#5| |#1|)) (-15 -3499 (|#1| |#1| |#5|))) (-1067 |#2| |#3| |#4| |#5|) (-454) (-789) (-843) (-1062 |#2| |#3| |#4|)) (T -1066)) 
+NIL 
+(-10 -8 (-15 -3499 ((-635 |#1|) (-635 |#5|) (-635 |#1|))) (-15 -3499 ((-635 |#1|) (-635 |#5|) |#1|)) (-15 -3499 ((-635 |#1|) |#5| (-635 |#1|))) (-15 -3499 ((-635 |#1|) |#5| |#1|)) (-15 -4455 ((-635 |#1|) (-635 |#5|) (-635 |#1|))) (-15 -4455 ((-635 |#1|) (-635 |#5|) |#1|)) (-15 -4455 ((-635 |#1|) |#5| (-635 |#1|))) (-15 -4455 ((-635 |#1|) |#5| |#1|)) (-15 -2652 ((-635 |#1|) |#5| (-635 |#1|))) (-15 -2652 ((-635 |#1|) (-635 |#5|) (-635 |#1|))) (-15 -2652 ((-635 |#1|) (-635 |#5|) |#1|)) (-15 -2652 ((-635 |#1|) |#5| |#1|)) (-15 -3903 ((-121) |#5| |#1|)) (-15 -3617 ((-121) |#1|)) (-15 -4060 ((-121) |#5| |#1|)) (-15 -1658 ((-121) |#5| |#1|)) (-15 -3617 ((-121) |#5| |#1|)) (-15 -3499 (|#1| |#1| |#5|))) 
+((-2568 (((-121) $ $) 7)) (-3839 (((-635 (-2 (|:| -3585 $) (|:| -3230 (-635 |#4|)))) (-635 |#4|)) 78)) (-4426 (((-635 $) (-635 |#4|)) 79) (((-635 $) (-635 |#4|) (-121)) 104)) (-1773 (((-635 |#3|) $) 32)) (-3008 (((-121) $) 25)) (-3625 (((-121) $) 16 (|has| |#1| (-559)))) (-2061 (((-121) |#4| $) 94) (((-121) $) 90)) (-3982 ((|#4| |#4| $) 85)) (-2004 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 $))) |#4| $) 119)) (-3113 (((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ |#3|) 26)) (-1691 (((-121) $ (-764)) 43)) (-1962 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4535))) (((-3 |#4| "failed") $ |#3|) 72)) (-2820 (($) 44 T CONST)) (-4162 (((-121) $) 21 (|has| |#1| (-559)))) (-2716 (((-121) $ $) 23 (|has| |#1| (-559)))) (-3532 (((-121) $ $) 22 (|has| |#1| (-559)))) (-2398 (((-121) $) 24 (|has| |#1| (-559)))) (-3694 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-4318 (((-635 |#4|) (-635 |#4|) $) 17 (|has| |#1| (-559)))) (-1322 (((-635 |#4|) (-635 |#4|) $) 18 (|has| |#1| (-559)))) (-1647 (((-3 $ "failed") (-635 |#4|)) 35)) (-2428 (($ (-635 |#4|)) 34)) (-2046 (((-3 $ "failed") $) 75)) (-4407 ((|#4| |#4| $) 82)) (-2033 (($ $) 67 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ |#4| $) 66 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4535)))) (-1830 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-559)))) (-3255 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-2045 ((|#4| |#4| $) 80)) (-1774 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4535))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4535))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-4038 (((-2 (|:| -3585 (-635 |#4|)) (|:| -3230 (-635 |#4|))) $) 98)) (-1658 (((-121) |#4| $) 129)) (-3903 (((-121) |#4| $) 126)) (-3617 (((-121) |#4| $) 130) (((-121) $) 127)) (-3470 (((-635 |#4|) $) 51 (|has| $ (-6 -4535)))) (-3977 (((-121) |#4| $) 97) (((-121) $) 96)) (-4357 ((|#3| $) 33)) (-1974 (((-121) $ (-764)) 42)) (-4259 (((-635 |#4|) $) 52 (|has| $ (-6 -4535)))) (-3660 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#4| |#4|) $) 46)) (-1833 (((-635 |#3|) $) 31)) (-2760 (((-121) |#3| $) 30)) (-2006 (((-121) $ (-764)) 41)) (-2776 (((-1145) $) 9)) (-2870 (((-3 |#4| (-635 $)) |#4| |#4| $) 121)) (-3988 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 $))) |#4| |#4| $) 120)) (-4213 (((-3 |#4| "failed") $) 76)) (-2482 (((-635 $) |#4| $) 122)) (-3730 (((-3 (-121) (-635 $)) |#4| $) 125)) (-2253 (((-635 (-2 (|:| |val| (-121)) (|:| -4003 $))) |#4| $) 124) (((-121) |#4| $) 123)) (-2652 (((-635 $) |#4| $) 118) (((-635 $) (-635 |#4|) $) 117) (((-635 $) (-635 |#4|) (-635 $)) 116) (((-635 $) |#4| (-635 $)) 115)) (-3897 (($ |#4| $) 110) (($ (-635 |#4|) $) 109)) (-2515 (((-635 |#4|) $) 100)) (-3409 (((-121) |#4| $) 92) (((-121) $) 88)) (-3005 ((|#4| |#4| $) 83)) (-2673 (((-121) $ $) 103)) (-2439 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-559)))) (-4310 (((-121) |#4| $) 93) (((-121) $) 89)) (-2533 ((|#4| |#4| $) 84)) (-3360 (((-1109) $) 10)) (-4353 (((-3 |#4| "failed") $) 77)) (-2502 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-1913 (((-3 $ "failed") $ |#4|) 71)) (-3499 (($ $ |#4|) 70) (((-635 $) |#4| $) 108) (((-635 $) |#4| (-635 $)) 107) (((-635 $) (-635 |#4|) $) 106) (((-635 $) (-635 |#4|) (-635 $)) 105)) (-4177 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#4|) (-635 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-635 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))))) (-3137 (((-121) $ $) 37)) (-1601 (((-121) $) 40)) (-1296 (($) 39)) (-2492 (((-764) $) 99)) (-2846 (((-764) |#4| $) 53 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) (((-764) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4535)))) (-1971 (($ $) 38)) (-3817 (((-542) $) 68 (|has| |#4| (-610 (-542))))) (-2139 (($ (-635 |#4|)) 59)) (-4201 (($ $ |#3|) 27)) (-3460 (($ $ |#3|) 29)) (-4208 (($ $) 81)) (-2630 (($ $ |#3|) 28)) (-2185 (((-851) $) 11) (((-635 |#4|) $) 36)) (-3435 (((-764) $) 69 (|has| |#3| (-371)))) (-1702 (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-3321 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) 91)) (-4455 (((-635 $) |#4| $) 114) (((-635 $) |#4| (-635 $)) 113) (((-635 $) (-635 |#4|) $) 112) (((-635 $) (-635 |#4|) (-635 $)) 111)) (-2066 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4535)))) (-3502 (((-635 |#3|) $) 74)) (-4060 (((-121) |#4| $) 128)) (-3673 (((-121) |#3| $) 73)) (-1668 (((-121) $ $) 6)) (-4168 (((-764) $) 45 (|has| $ (-6 -4535))))) 
+(((-1067 |#1| |#2| |#3| |#4|) (-1278) (-454) (-789) (-843) (-1062 |t#1| |t#2| |t#3|)) (T -1067)) 
+((-3617 (*1 *2 *3 *1) (-12 (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121)))) (-1658 (*1 *2 *3 *1) (-12 (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121)))) (-4060 (*1 *2 *3 *1) (-12 (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121)))) (-3617 (*1 *2 *1) (-12 (-4 *1 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121)))) (-3903 (*1 *2 *3 *1) (-12 (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121)))) (-3730 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-3 (-121) (-635 *1))) (-4 *1 (-1067 *4 *5 *6 *3)))) (-2253 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4003 *1)))) (-4 *1 (-1067 *4 *5 *6 *3)))) (-2253 (*1 *2 *3 *1) (-12 (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121)))) (-2482 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3)))) (-2870 (*1 *2 *3 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-3 *3 (-635 *1))) (-4 *1 (-1067 *4 *5 *6 *3)))) (-3988 (*1 *2 *3 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *1)))) (-4 *1 (-1067 *4 *5 *6 *3)))) (-2004 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *1)))) (-4 *1 (-1067 *4 *5 *6 *3)))) (-2652 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3)))) (-2652 (*1 *2 *3 *1) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *7)))) (-2652 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 *7)) (-4 *1 (-1067 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)))) (-2652 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)))) (-4455 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3)))) (-4455 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)))) (-4455 (*1 *2 *3 *1) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *7)))) (-4455 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 *7)) (-4 *1 (-1067 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)))) (-3897 (*1 *1 *2 *1) (-12 (-4 *1 (-1067 *3 *4 *5 *2)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) (-3897 (*1 *1 *2 *1) (-12 (-5 *2 (-635 *6)) (-4 *1 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)))) (-3499 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3)))) (-3499 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)))) (-3499 (*1 *2 *3 *1) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *7)))) (-3499 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 *7)) (-4 *1 (-1067 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)))) (-4426 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *5 *6 *7 *8))))) 
+(-13 (-1191 |t#1| |t#2| |t#3| |t#4|) (-10 -8 (-15 -3617 ((-121) |t#4| $)) (-15 -1658 ((-121) |t#4| $)) (-15 -4060 ((-121) |t#4| $)) (-15 -3617 ((-121) $)) (-15 -3903 ((-121) |t#4| $)) (-15 -3730 ((-3 (-121) (-635 $)) |t#4| $)) (-15 -2253 ((-635 (-2 (|:| |val| (-121)) (|:| -4003 $))) |t#4| $)) (-15 -2253 ((-121) |t#4| $)) (-15 -2482 ((-635 $) |t#4| $)) (-15 -2870 ((-3 |t#4| (-635 $)) |t#4| |t#4| $)) (-15 -3988 ((-635 (-2 (|:| |val| |t#4|) (|:| -4003 $))) |t#4| |t#4| $)) (-15 -2004 ((-635 (-2 (|:| |val| |t#4|) (|:| -4003 $))) |t#4| $)) (-15 -2652 ((-635 $) |t#4| $)) (-15 -2652 ((-635 $) (-635 |t#4|) $)) (-15 -2652 ((-635 $) (-635 |t#4|) (-635 $))) (-15 -2652 ((-635 $) |t#4| (-635 $))) (-15 -4455 ((-635 $) |t#4| $)) (-15 -4455 ((-635 $) |t#4| (-635 $))) (-15 -4455 ((-635 $) (-635 |t#4|) $)) (-15 -4455 ((-635 $) (-635 |t#4|) (-635 $))) (-15 -3897 ($ |t#4| $)) (-15 -3897 ($ (-635 |t#4|) $)) (-15 -3499 ((-635 $) |t#4| $)) (-15 -3499 ((-635 $) |t#4| (-635 $))) (-15 -3499 ((-635 $) (-635 |t#4|) $)) (-15 -3499 ((-635 $) (-635 |t#4|) (-635 $))) (-15 -4426 ((-635 $) (-635 |t#4|) (-121))))) 
+(((-39) . T) ((-105) . T) ((-609 (-635 |#4|)) . T) ((-609 (-851)) . T) ((-155 |#4|) . T) ((-610 (-542)) |has| |#4| (-610 (-542))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))) ((-500 |#4|) . T) ((-524 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))) ((-978 |#1| |#2| |#3| |#4|) . T) ((-1091) . T) ((-1191 |#1| |#2| |#3| |#4|) . T) ((-1197) . T)) 
+((-1500 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#5|) 81)) (-2861 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5|) 112)) (-3042 (((-635 |#5|) |#4| |#5|) 70)) (-3651 (((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|) 44) (((-121) |#4| |#5|) 52)) (-3522 (((-1252)) 35)) (-3976 (((-1252)) 25)) (-3650 (((-1252) (-1145) (-1145) (-1145)) 31)) (-3327 (((-1252) (-1145) (-1145) (-1145)) 20)) (-2135 (((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) |#4| |#4| |#5|) 95)) (-2410 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) |#3| (-121)) 106) (((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5| (-121) (-121)) 49)) (-2722 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5|) 101))) 
+(((-1068 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3327 ((-1252) (-1145) (-1145) (-1145))) (-15 -3976 ((-1252))) (-15 -3650 ((-1252) (-1145) (-1145) (-1145))) (-15 -3522 ((-1252))) (-15 -2135 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) |#4| |#4| |#5|)) (-15 -2410 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5| (-121) (-121))) (-15 -2410 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) |#3| (-121))) (-15 -2722 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5|)) (-15 -2861 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5|)) (-15 -3651 ((-121) |#4| |#5|)) (-15 -3651 ((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|)) (-15 -3042 ((-635 |#5|) |#4| |#5|)) (-15 -1500 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#5|))) (-454) (-789) (-843) (-1062 |#1| |#2| |#3|) (-1067 |#1| |#2| |#3| |#4|)) (T -1068)) 
+((-1500 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-3042 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-3651 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4003 *4)))) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-3651 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-2861 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-2722 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-2410 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4003 *9)))) (-5 *5 (-121)) (-4 *8 (-1062 *6 *7 *4)) (-4 *9 (-1067 *6 *7 *4 *8)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *4 (-843)) (-5 *2 (-635 (-2 (|:| |val| *8) (|:| -4003 *9)))) (-5 *1 (-1068 *6 *7 *4 *8 *9)))) (-2410 (*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1068 *6 *7 *8 *3 *4)) (-4 *4 (-1067 *6 *7 *8 *3)))) (-2135 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-3522 (*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-1252)) (-5 *1 (-1068 *3 *4 *5 *6 *7)) (-4 *7 (-1067 *3 *4 *5 *6)))) (-3650 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-1252)) (-5 *1 (-1068 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) (-3976 (*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-1252)) (-5 *1 (-1068 *3 *4 *5 *6 *7)) (-4 *7 (-1067 *3 *4 *5 *6)))) (-3327 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-1252)) (-5 *1 (-1068 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7))))) 
+(-10 -7 (-15 -3327 ((-1252) (-1145) (-1145) (-1145))) (-15 -3976 ((-1252))) (-15 -3650 ((-1252) (-1145) (-1145) (-1145))) (-15 -3522 ((-1252))) (-15 -2135 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) |#4| |#4| |#5|)) (-15 -2410 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5| (-121) (-121))) (-15 -2410 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) |#3| (-121))) (-15 -2722 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5|)) (-15 -2861 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5|)) (-15 -3651 ((-121) |#4| |#5|)) (-15 -3651 ((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|)) (-15 -3042 ((-635 |#5|) |#4| |#5|)) (-15 -1500 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#5|))) 
+((-2568 (((-121) $ $) NIL)) (-1486 (((-1163) $) 8)) (-2776 (((-1145) $) 16)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 11)) (-1668 (((-121) $ $) 13))) 
+(((-1069 |#1|) (-13 (-1091) (-10 -8 (-15 -1486 ((-1163) $)))) (-1163)) (T -1069)) 
+((-1486 (*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-1069 *3)) (-14 *3 *2)))) 
+(-13 (-1091) (-10 -8 (-15 -1486 ((-1163) $)))) 
+((-2568 (((-121) $ $) NIL)) (-1632 (($ $ (-635 (-1163)) (-1 (-121) (-635 |#3|))) 29)) (-1932 (($ |#3| |#3|) 21) (($ |#3| |#3| (-635 (-1163))) 19)) (-4387 ((|#3| $) 13)) (-1647 (((-3 (-289 |#3|) "failed") $) 56)) (-2428 (((-289 |#3|) $) NIL)) (-2570 (((-635 (-1163)) $) 15)) (-4095 (((-888 |#1|) $) 11)) (-1589 ((|#3| $) 12)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1534 ((|#3| $ |#3|) 25) ((|#3| $ |#3| (-918)) 36)) (-2185 (((-851) $) 84) (($ (-289 |#3|)) 20)) (-1668 (((-121) $ $) 33))) 
+(((-1070 |#1| |#2| |#3|) (-13 (-1091) (-282 |#3| |#3|) (-1038 (-289 |#3|)) (-10 -8 (-15 -1932 ($ |#3| |#3|)) (-15 -1932 ($ |#3| |#3| (-635 (-1163)))) (-15 -1632 ($ $ (-635 (-1163)) (-1 (-121) (-635 |#3|)))) (-15 -4095 ((-888 |#1|) $)) (-15 -1589 (|#3| $)) (-15 -4387 (|#3| $)) (-15 -1534 (|#3| $ |#3| (-918))) (-15 -2570 ((-635 (-1163)) $)))) (-1091) (-13 (-1048) (-882 |#1|) (-843) (-610 (-888 |#1|))) (-13 (-433 |#2|) (-882 |#1|) (-610 (-888 |#1|)))) (T -1070)) 
+((-1932 (*1 *1 *2 *2) (-12 (-4 *3 (-1091)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 (-888 *3)))) (-5 *1 (-1070 *3 *4 *2)) (-4 *2 (-13 (-433 *4) (-882 *3) (-610 (-888 *3)))))) (-1932 (*1 *1 *2 *2 *3) (-12 (-5 *3 (-635 (-1163))) (-4 *4 (-1091)) (-4 *5 (-13 (-1048) (-882 *4) (-843) (-610 (-888 *4)))) (-5 *1 (-1070 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-882 *4) (-610 (-888 *4)))))) (-1632 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-1 (-121) (-635 *6))) (-4 *6 (-13 (-433 *5) (-882 *4) (-610 (-888 *4)))) (-4 *4 (-1091)) (-4 *5 (-13 (-1048) (-882 *4) (-843) (-610 (-888 *4)))) (-5 *1 (-1070 *4 *5 *6)))) (-4095 (*1 *2 *1) (-12 (-4 *3 (-1091)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 *2))) (-5 *2 (-888 *3)) (-5 *1 (-1070 *3 *4 *5)) (-4 *5 (-13 (-433 *4) (-882 *3) (-610 *2))))) (-1589 (*1 *2 *1) (-12 (-4 *3 (-1091)) (-4 *2 (-13 (-433 *4) (-882 *3) (-610 (-888 *3)))) (-5 *1 (-1070 *3 *4 *2)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 (-888 *3)))))) (-4387 (*1 *2 *1) (-12 (-4 *3 (-1091)) (-4 *2 (-13 (-433 *4) (-882 *3) (-610 (-888 *3)))) (-5 *1 (-1070 *3 *4 *2)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 (-888 *3)))))) (-1534 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-1091)) (-4 *5 (-13 (-1048) (-882 *4) (-843) (-610 (-888 *4)))) (-5 *1 (-1070 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-882 *4) (-610 (-888 *4)))))) (-2570 (*1 *2 *1) (-12 (-4 *3 (-1091)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 (-888 *3)))) (-5 *2 (-635 (-1163))) (-5 *1 (-1070 *3 *4 *5)) (-4 *5 (-13 (-433 *4) (-882 *3) (-610 (-888 *3))))))) 
+(-13 (-1091) (-282 |#3| |#3|) (-1038 (-289 |#3|)) (-10 -8 (-15 -1932 ($ |#3| |#3|)) (-15 -1932 ($ |#3| |#3| (-635 (-1163)))) (-15 -1632 ($ $ (-635 (-1163)) (-1 (-121) (-635 |#3|)))) (-15 -4095 ((-888 |#1|) $)) (-15 -1589 (|#3| $)) (-15 -4387 (|#3| $)) (-15 -1534 (|#3| $ |#3| (-918))) (-15 -2570 ((-635 (-1163)) $)))) 
+((-2568 (((-121) $ $) NIL)) (-1956 (($ (-635 (-1070 |#1| |#2| |#3|))) 12)) (-1320 (((-635 (-1070 |#1| |#2| |#3|)) $) 19)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1534 ((|#3| $ |#3|) 22) ((|#3| $ |#3| (-918)) 25)) (-2185 (((-851) $) 15)) (-1668 (((-121) $ $) 18))) 
+(((-1071 |#1| |#2| |#3|) (-13 (-1091) (-282 |#3| |#3|) (-10 -8 (-15 -1956 ($ (-635 (-1070 |#1| |#2| |#3|)))) (-15 -1320 ((-635 (-1070 |#1| |#2| |#3|)) $)) (-15 -1534 (|#3| $ |#3| (-918))))) (-1091) (-13 (-1048) (-882 |#1|) (-843) (-610 (-888 |#1|))) (-13 (-433 |#2|) (-882 |#1|) (-610 (-888 |#1|)))) (T -1071)) 
+((-1956 (*1 *1 *2) (-12 (-5 *2 (-635 (-1070 *3 *4 *5))) (-4 *3 (-1091)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 (-888 *3)))) (-4 *5 (-13 (-433 *4) (-882 *3) (-610 (-888 *3)))) (-5 *1 (-1071 *3 *4 *5)))) (-1320 (*1 *2 *1) (-12 (-4 *3 (-1091)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 (-888 *3)))) (-5 *2 (-635 (-1070 *3 *4 *5))) (-5 *1 (-1071 *3 *4 *5)) (-4 *5 (-13 (-433 *4) (-882 *3) (-610 (-888 *3)))))) (-1534 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-1091)) (-4 *5 (-13 (-1048) (-882 *4) (-843) (-610 (-888 *4)))) (-5 *1 (-1071 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-882 *4) (-610 (-888 *4))))))) 
+(-13 (-1091) (-282 |#3| |#3|) (-10 -8 (-15 -1956 ($ (-635 (-1070 |#1| |#2| |#3|)))) (-15 -1320 ((-635 (-1070 |#1| |#2| |#3|)) $)) (-15 -1534 (|#3| $ |#3| (-918))))) 
+((-1590 (((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121) (-121)) 73) (((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|))) 75) (((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121)) 74))) 
+(((-1072 |#1| |#2|) (-10 -7 (-15 -1590 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121))) (-15 -1590 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)))) (-15 -1590 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121) (-121)))) (-13 (-302) (-151)) (-635 (-1163))) (T -1072)) 
+((-1590 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *5)) (|:| -1648 (-635 (-954 *5)))))) (-5 *1 (-1072 *5 *6)) (-5 *3 (-635 (-954 *5))) (-14 *6 (-635 (-1163))))) (-1590 (*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *4)) (|:| -1648 (-635 (-954 *4)))))) (-5 *1 (-1072 *4 *5)) (-5 *3 (-635 (-954 *4))) (-14 *5 (-635 (-1163))))) (-1590 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *5)) (|:| -1648 (-635 (-954 *5)))))) (-5 *1 (-1072 *5 *6)) (-5 *3 (-635 (-954 *5))) (-14 *6 (-635 (-1163)))))) 
+(-10 -7 (-15 -1590 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121))) (-15 -1590 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)))) (-15 -1590 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121) (-121)))) 
+((-1743 (((-421 |#3|) |#3|) 16))) 
+(((-1073 |#1| |#2| |#3|) (-10 -7 (-15 -1743 ((-421 |#3|) |#3|))) (-1222 (-410 (-569))) (-13 (-366) (-151) (-715 (-410 (-569)) |#1|)) (-1222 |#2|)) (T -1073)) 
+((-1743 (*1 *2 *3) (-12 (-4 *4 (-1222 (-410 (-569)))) (-4 *5 (-13 (-366) (-151) (-715 (-410 (-569)) *4))) (-5 *2 (-421 *3)) (-5 *1 (-1073 *4 *5 *3)) (-4 *3 (-1222 *5))))) 
+(-10 -7 (-15 -1743 ((-421 |#3|) |#3|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 125)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-366)))) (-3383 (($ $) NIL (|has| |#1| (-366)))) (-4354 (((-121) $) NIL (|has| |#1| (-366)))) (-3294 (((-680 |#1|) (-1247 $)) NIL) (((-680 |#1|)) 115)) (-1377 ((|#1| $) 119)) (-2620 (((-1171 (-918) (-764)) (-569)) NIL (|has| |#1| (-351)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL (|has| |#1| (-366)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-366)))) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-2085 (((-764)) 40 (|has| |#1| (-371)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-2428 (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) NIL)) (-2623 (($ (-1247 |#1|) (-1247 $)) NIL) (($ (-1247 |#1|)) 43)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-351)))) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-3325 (((-680 |#1|) $ (-1247 $)) NIL) (((-680 |#1|) $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 106) (((-680 |#1|) (-680 $)) 100)) (-1774 (($ |#2|) 61) (((-3 $ "failed") (-410 |#2|)) NIL (|has| |#1| (-366)))) (-3428 (((-3 $ "failed") $) NIL)) (-1321 (((-918)) 77)) (-4327 (($) 44 (|has| |#1| (-371)))) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-3188 (($) NIL (|has| |#1| (-351)))) (-3354 (((-121) $) NIL (|has| |#1| (-351)))) (-2751 (($ $ (-764)) NIL (|has| |#1| (-351))) (($ $) NIL (|has| |#1| (-351)))) (-3726 (((-121) $) NIL (|has| |#1| (-366)))) (-2558 (((-918) $) NIL (|has| |#1| (-351))) (((-829 (-918)) $) NIL (|has| |#1| (-351)))) (-1407 (((-121) $) NIL)) (-4308 ((|#1| $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| |#1| (-351)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2770 ((|#2| $) 84 (|has| |#1| (-366)))) (-2083 (((-918) $) 129 (|has| |#1| (-371)))) (-1769 ((|#2| $) 58)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL (|has| |#1| (-366)))) (-4043 (($) NIL (|has| |#1| (-351)) CONST)) (-3998 (($ (-918)) 124 (|has| |#1| (-371)))) (-3360 (((-1109) $) NIL)) (-1809 (($) 121)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-366)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL (|has| |#1| (-351)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2622 (((-764) $) NIL (|has| |#1| (-366)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-2087 ((|#1| (-1247 $)) NIL) ((|#1|) 109)) (-1291 (((-764) $) NIL (|has| |#1| (-351))) (((-3 (-764) "failed") $ $) NIL (|has| |#1| (-351)))) (-3899 (($ $) NIL (-2232 (-12 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-764)) NIL (-2232 (-12 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-896 (-1163))))) (($ $ (-1 |#1| |#1|) (-764)) NIL (|has| |#1| (-366))) (($ $ (-1 |#1| |#1|)) NIL (|has| |#1| (-366)))) (-3497 (((-680 |#1|) (-1247 $) (-1 |#1| |#1|)) NIL (|has| |#1| (-366)))) (-2745 ((|#2|) 73)) (-2319 (($) NIL (|has| |#1| (-351)))) (-1648 (((-1247 |#1|) $ (-1247 $)) 89) (((-680 |#1|) (-1247 $) (-1247 $)) NIL) (((-1247 |#1|) $) 71) (((-680 |#1|) (-1247 $)) 85)) (-3817 (((-1247 |#1|) $) NIL) (($ (-1247 |#1|)) NIL) ((|#2| $) NIL) (($ |#2|) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (|has| |#1| (-351)))) (-2185 (((-851) $) 57) (($ (-569)) 53) (($ |#1|) 54) (($ $) NIL (|has| |#1| (-366))) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-366)) (|has| |#1| (-1038 (-410 (-569))))))) (-3953 (($ $) NIL (|has| |#1| (-351))) (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2742 ((|#2| $) 82)) (-1991 (((-764)) 75)) (-3930 (((-1247 $)) 81)) (-1961 (((-121) $ $) NIL (|has| |#1| (-366)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-3369 (($) 30 T CONST)) (-1556 (($) 19 T CONST)) (-3022 (($ $) NIL (-2232 (-12 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-764)) NIL (-2232 (-12 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-896 (-1163))))) (($ $ (-1 |#1| |#1|) (-764)) NIL (|has| |#1| (-366))) (($ $ (-1 |#1| |#1|)) NIL (|has| |#1| (-366)))) (-1668 (((-121) $ $) 63)) (-1715 (($ $ $) NIL (|has| |#1| (-366)))) (-1711 (($ $) 67) (($ $ $) NIL)) (-1707 (($ $ $) 65)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 51) (($ $ $) 69) (($ $ |#1|) NIL) (($ |#1| $) 48) (($ (-410 (-569)) $) NIL (|has| |#1| (-366))) (($ $ (-410 (-569))) NIL (|has| |#1| (-366))))) 
+(((-1074 |#1| |#2| |#3|) (-715 |#1| |#2|) (-173) (-1222 |#1|) |#2|) (T -1074)) 
+NIL 
+(-715 |#1| |#2|) 
+((-1743 (((-421 |#3|) |#3|) 16))) 
+(((-1075 |#1| |#2| |#3|) (-10 -7 (-15 -1743 ((-421 |#3|) |#3|))) (-1222 (-410 (-954 (-569)))) (-13 (-366) (-151) (-715 (-410 (-954 (-569))) |#1|)) (-1222 |#2|)) (T -1075)) 
+((-1743 (*1 *2 *3) (-12 (-4 *4 (-1222 (-410 (-954 (-569))))) (-4 *5 (-13 (-366) (-151) (-715 (-410 (-954 (-569))) *4))) (-5 *2 (-421 *3)) (-5 *1 (-1075 *4 *5 *3)) (-4 *3 (-1222 *5))))) 
+(-10 -7 (-15 -1743 ((-421 |#3|) |#3|))) 
+((-2568 (((-121) $ $) NIL)) (-3291 (($ $ $) 14)) (-1538 (($ $ $) 15)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2946 (($) 6)) (-3817 (((-1163) $) 18)) (-2185 (((-851) $) 12)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 13)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 8))) 
+(((-1076) (-13 (-843) (-10 -8 (-15 -2946 ($)) (-15 -3817 ((-1163) $))))) (T -1076)) 
+((-2946 (*1 *1) (-5 *1 (-1076))) (-3817 (*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-1076))))) 
+(-13 (-843) (-10 -8 (-15 -2946 ($)) (-15 -3817 ((-1163) $)))) 
+((-1824 ((|#1| |#1| (-1 (-569) |#1| |#1|)) 21) ((|#1| |#1| (-1 (-121) |#1|)) 18)) (-4189 (((-1252)) 15)) (-1706 (((-635 |#1|)) 9))) 
+(((-1077 |#1|) (-10 -7 (-15 -4189 ((-1252))) (-15 -1706 ((-635 |#1|))) (-15 -1824 (|#1| |#1| (-1 (-121) |#1|))) (-15 -1824 (|#1| |#1| (-1 (-569) |#1| |#1|)))) (-139)) (T -1077)) 
+((-1824 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-569) *2 *2)) (-4 *2 (-139)) (-5 *1 (-1077 *2)))) (-1824 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *2)) (-4 *2 (-139)) (-5 *1 (-1077 *2)))) (-1706 (*1 *2) (-12 (-5 *2 (-635 *3)) (-5 *1 (-1077 *3)) (-4 *3 (-139)))) (-4189 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1077 *3)) (-4 *3 (-139))))) 
+(-10 -7 (-15 -4189 ((-1252))) (-15 -1706 ((-635 |#1|))) (-15 -1824 (|#1| |#1| (-1 (-121) |#1|))) (-15 -1824 (|#1| |#1| (-1 (-569) |#1| |#1|)))) 
+((-4064 (((-1247 (-680 |#1|)) (-635 (-680 |#1|))) 41) (((-1247 (-680 (-954 |#1|))) (-635 (-1163)) (-680 (-954 |#1|))) 60) (((-1247 (-680 (-410 (-954 |#1|)))) (-635 (-1163)) (-680 (-410 (-954 |#1|)))) 76)) (-1648 (((-1247 |#1|) (-680 |#1|) (-635 (-680 |#1|))) 35))) 
+(((-1078 |#1|) (-10 -7 (-15 -4064 ((-1247 (-680 (-410 (-954 |#1|)))) (-635 (-1163)) (-680 (-410 (-954 |#1|))))) (-15 -4064 ((-1247 (-680 (-954 |#1|))) (-635 (-1163)) (-680 (-954 |#1|)))) (-15 -4064 ((-1247 (-680 |#1|)) (-635 (-680 |#1|)))) (-15 -1648 ((-1247 |#1|) (-680 |#1|) (-635 (-680 |#1|))))) (-366)) (T -1078)) 
+((-1648 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-680 *5))) (-5 *3 (-680 *5)) (-4 *5 (-366)) (-5 *2 (-1247 *5)) (-5 *1 (-1078 *5)))) (-4064 (*1 *2 *3) (-12 (-5 *3 (-635 (-680 *4))) (-4 *4 (-366)) (-5 *2 (-1247 (-680 *4))) (-5 *1 (-1078 *4)))) (-4064 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1163))) (-4 *5 (-366)) (-5 *2 (-1247 (-680 (-954 *5)))) (-5 *1 (-1078 *5)) (-5 *4 (-680 (-954 *5))))) (-4064 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1163))) (-4 *5 (-366)) (-5 *2 (-1247 (-680 (-410 (-954 *5))))) (-5 *1 (-1078 *5)) (-5 *4 (-680 (-410 (-954 *5))))))) 
+(-10 -7 (-15 -4064 ((-1247 (-680 (-410 (-954 |#1|)))) (-635 (-1163)) (-680 (-410 (-954 |#1|))))) (-15 -4064 ((-1247 (-680 (-954 |#1|))) (-635 (-1163)) (-680 (-954 |#1|)))) (-15 -4064 ((-1247 (-680 |#1|)) (-635 (-680 |#1|)))) (-15 -1648 ((-1247 |#1|) (-680 |#1|) (-635 (-680 |#1|))))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1644 (((-635 (-764)) $) NIL) (((-635 (-764)) $ (-1163)) NIL)) (-2496 (((-764) $) NIL) (((-764) $ (-1163)) NIL)) (-1773 (((-635 (-1080 (-1163))) $) NIL)) (-1739 (((-1159 $) $ (-1080 (-1163))) NIL) (((-1159 |#1|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 (-1080 (-1163)))) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-2004 (($ $) NIL (|has| |#1| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-4302 (($ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-1080 (-1163)) "failed") $) NIL) (((-3 (-1163) "failed") $) NIL) (((-3 (-1114 |#1| (-1163)) "failed") $) NIL)) (-2428 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-1080 (-1163)) $) NIL) (((-1163) $) NIL) (((-1114 |#1| (-1163)) $) NIL)) (-3493 (($ $ $ (-1080 (-1163))) NIL (|has| |#1| (-173)))) (-4020 (($ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) NIL) (((-680 |#1|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#1| (-454))) (($ $ (-1080 (-1163))) NIL (|has| |#1| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#1| (-905)))) (-1667 (($ $ |#1| (-535 (-1080 (-1163))) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-1080 (-1163)) (-882 (-382))) (|has| |#1| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-1080 (-1163)) (-882 (-569))) (|has| |#1| (-882 (-569)))))) (-2558 (((-764) $ (-1163)) NIL) (((-764) $) NIL)) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-1768 (($ (-1159 |#1|) (-1080 (-1163))) NIL) (($ (-1159 $) (-1080 (-1163))) NIL)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-535 (-1080 (-1163)))) NIL) (($ $ (-1080 (-1163)) (-764)) NIL) (($ $ (-635 (-1080 (-1163))) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-1080 (-1163))) NIL)) (-4002 (((-535 (-1080 (-1163))) $) NIL) (((-764) $ (-1080 (-1163))) NIL) (((-635 (-764)) $ (-635 (-1080 (-1163)))) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-2658 (($ (-1 (-535 (-1080 (-1163))) (-535 (-1080 (-1163)))) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-1918 (((-1 $ (-764)) (-1163)) NIL) (((-1 $ (-764)) $) NIL (|has| |#1| (-226)))) (-1637 (((-3 (-1080 (-1163)) "failed") $) NIL)) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-4163 (((-1080 (-1163)) $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2776 (((-1145) $) NIL)) (-4505 (((-121) $) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| (-1080 (-1163))) (|:| -2356 (-764))) "failed") $) NIL)) (-4000 (($ $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) NIL)) (-1801 ((|#1| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-905)))) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1080 (-1163)) |#1|) NIL) (($ $ (-635 (-1080 (-1163))) (-635 |#1|)) NIL) (($ $ (-1080 (-1163)) $) NIL) (($ $ (-635 (-1080 (-1163))) (-635 $)) NIL) (($ $ (-1163) $) NIL (|has| |#1| (-226))) (($ $ (-635 (-1163)) (-635 $)) NIL (|has| |#1| (-226))) (($ $ (-1163) |#1|) NIL (|has| |#1| (-226))) (($ $ (-635 (-1163)) (-635 |#1|)) NIL (|has| |#1| (-226)))) (-2087 (($ $ (-1080 (-1163))) NIL (|has| |#1| (-173)))) (-3899 (($ $ (-1080 (-1163))) NIL) (($ $ (-635 (-1080 (-1163)))) NIL) (($ $ (-1080 (-1163)) (-764)) NIL) (($ $ (-635 (-1080 (-1163))) (-635 (-764))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1511 (((-635 (-1163)) $) NIL)) (-2492 (((-535 (-1080 (-1163))) $) NIL) (((-764) $ (-1080 (-1163))) NIL) (((-635 (-764)) $ (-635 (-1080 (-1163)))) NIL) (((-764) $ (-1163)) NIL)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| (-1080 (-1163)) (-610 (-888 (-382)))) (|has| |#1| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| (-1080 (-1163)) (-610 (-888 (-569)))) (|has| |#1| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| (-1080 (-1163)) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-3298 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ (-1080 (-1163))) NIL (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-1080 (-1163))) NIL) (($ (-1163)) NIL) (($ (-1114 |#1| (-1163))) NIL) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-535 (-1080 (-1163)))) NIL) (($ $ (-1080 (-1163)) (-764)) NIL) (($ $ (-635 (-1080 (-1163))) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#1| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-1080 (-1163))) NIL) (($ $ (-635 (-1080 (-1163)))) NIL) (($ $ (-1080 (-1163)) (-764)) NIL) (($ $ (-635 (-1080 (-1163))) (-635 (-764))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((-1079 |#1|) (-13 (-247 |#1| (-1163) (-1080 (-1163)) (-535 (-1080 (-1163)))) (-1038 (-1114 |#1| (-1163)))) (-1048)) (T -1079)) 
+NIL 
+(-13 (-247 |#1| (-1163) (-1080 (-1163)) (-535 (-1080 (-1163)))) (-1038 (-1114 |#1| (-1163)))) 
+((-2568 (((-121) $ $) NIL)) (-2496 (((-764) $) NIL)) (-3534 ((|#1| $) 10)) (-1647 (((-3 |#1| "failed") $) NIL)) (-2428 ((|#1| $) NIL)) (-2558 (((-764) $) 11)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1918 (($ |#1| (-764)) 9)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-3899 (($ $) NIL) (($ $ (-764)) NIL)) (-2185 (((-851) $) NIL) (($ |#1|) NIL)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 15))) 
+(((-1080 |#1|) (-263 |#1|) (-843)) (T -1080)) 
+NIL 
+(-263 |#1|) 
+((-1544 (((-635 |#2|) (-1 |#2| |#1|) (-1085 |#1|)) 23 (|has| |#1| (-841))) (((-1085 |#2|) (-1 |#2| |#1|) (-1085 |#1|)) 14))) 
+(((-1081 |#1| |#2|) (-10 -7 (-15 -1544 ((-1085 |#2|) (-1 |#2| |#1|) (-1085 |#1|))) (IF (|has| |#1| (-841)) (-15 -1544 ((-635 |#2|) (-1 |#2| |#1|) (-1085 |#1|))) |noBranch|)) (-1197) (-1197)) (T -1081)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1085 *5)) (-4 *5 (-841)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-635 *6)) (-5 *1 (-1081 *5 *6)))) (-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1085 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1085 *6)) (-5 *1 (-1081 *5 *6))))) 
+(-10 -7 (-15 -1544 ((-1085 |#2|) (-1 |#2| |#1|) (-1085 |#1|))) (IF (|has| |#1| (-841)) (-15 -1544 ((-635 |#2|) (-1 |#2| |#1|) (-1085 |#1|))) |noBranch|)) 
+((-1544 (((-1083 |#2|) (-1 |#2| |#1|) (-1083 |#1|)) 19))) 
+(((-1082 |#1| |#2|) (-10 -7 (-15 -1544 ((-1083 |#2|) (-1 |#2| |#1|) (-1083 |#1|)))) (-1197) (-1197)) (T -1082)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1083 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1083 *6)) (-5 *1 (-1082 *5 *6))))) 
+(-10 -7 (-15 -1544 ((-1083 |#2|) (-1 |#2| |#1|) (-1083 |#1|)))) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-3534 (((-1163) $) 11)) (-1832 (((-1085 |#1|) $) 12)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-1539 (($ (-1163) (-1085 |#1|)) 10)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-1668 (((-121) $ $) 15 (|has| |#1| (-1091))))) 
+(((-1083 |#1|) (-13 (-1197) (-10 -8 (-15 -1539 ($ (-1163) (-1085 |#1|))) (-15 -3534 ((-1163) $)) (-15 -1832 ((-1085 |#1|) $)) (IF (|has| |#1| (-1091)) (-6 (-1091)) |noBranch|))) (-1197)) (T -1083)) 
+((-1539 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1085 *4)) (-4 *4 (-1197)) (-5 *1 (-1083 *4)))) (-3534 (*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-1083 *3)) (-4 *3 (-1197)))) (-1832 (*1 *2 *1) (-12 (-5 *2 (-1085 *3)) (-5 *1 (-1083 *3)) (-4 *3 (-1197))))) 
+(-13 (-1197) (-10 -8 (-15 -1539 ($ (-1163) (-1085 |#1|))) (-15 -3534 ((-1163) $)) (-15 -1832 ((-1085 |#1|) $)) (IF (|has| |#1| (-1091)) (-6 (-1091)) |noBranch|))) 
+((-1832 (($ |#1| |#1|) 7)) (-4073 ((|#1| $) 10)) (-1848 ((|#1| $) 12)) (-1852 (((-569) $) 8)) (-1990 ((|#1| $) 9)) (-1858 ((|#1| $) 11)) (-3817 (($ |#1|) 6)) (-3778 (($ |#1| |#1|) 14)) (-4171 (($ $ (-569)) 13))) 
+(((-1084 |#1|) (-1278) (-1197)) (T -1084)) 
+((-3778 (*1 *1 *2 *2) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197)))) (-4171 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1084 *3)) (-4 *3 (-1197)))) (-1848 (*1 *2 *1) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197)))) (-1858 (*1 *2 *1) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197)))) (-4073 (*1 *2 *1) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197)))) (-1990 (*1 *2 *1) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197)))) (-1852 (*1 *2 *1) (-12 (-4 *1 (-1084 *3)) (-4 *3 (-1197)) (-5 *2 (-569)))) (-1832 (*1 *1 *2 *2) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197)))) (-3817 (*1 *1 *2) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197))))) 
+(-13 (-1197) (-10 -8 (-15 -3778 ($ |t#1| |t#1|)) (-15 -4171 ($ $ (-569))) (-15 -1848 (|t#1| $)) (-15 -1858 (|t#1| $)) (-15 -4073 (|t#1| $)) (-15 -1990 (|t#1| $)) (-15 -1852 ((-569) $)) (-15 -1832 ($ |t#1| |t#1|)) (-15 -3817 ($ |t#1|)))) 
+(((-1197) . T)) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1832 (($ |#1| |#1|) 15)) (-1544 (((-635 |#1|) (-1 |#1| |#1|) $) 37 (|has| |#1| (-841)))) (-4073 ((|#1| $) 10)) (-1848 ((|#1| $) 9)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-1852 (((-569) $) 14)) (-1990 ((|#1| $) 12)) (-1858 ((|#1| $) 11)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-1939 (((-635 |#1|) $) 35 (|has| |#1| (-841))) (((-635 |#1|) (-635 $)) 34 (|has| |#1| (-841)))) (-3817 (($ |#1|) 26)) (-2185 (((-851) $) 25 (|has| |#1| (-1091)))) (-3778 (($ |#1| |#1|) 8)) (-4171 (($ $ (-569)) 16)) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091))))) 
+(((-1085 |#1|) (-13 (-1084 |#1|) (-10 -7 (IF (|has| |#1| (-1091)) (-6 (-1091)) |noBranch|) (IF (|has| |#1| (-841)) (-6 (-1086 |#1| (-635 |#1|))) |noBranch|))) (-1197)) (T -1085)) 
+NIL 
+(-13 (-1084 |#1|) (-10 -7 (IF (|has| |#1| (-1091)) (-6 (-1091)) |noBranch|) (IF (|has| |#1| (-841)) (-6 (-1086 |#1| (-635 |#1|))) |noBranch|))) 
+((-1832 (($ |#1| |#1|) 7)) (-1544 ((|#2| (-1 |#1| |#1|) $) 15)) (-4073 ((|#1| $) 10)) (-1848 ((|#1| $) 12)) (-1852 (((-569) $) 8)) (-1990 ((|#1| $) 9)) (-1858 ((|#1| $) 11)) (-1939 ((|#2| (-635 $)) 17) ((|#2| $) 16)) (-3817 (($ |#1|) 6)) (-3778 (($ |#1| |#1|) 14)) (-4171 (($ $ (-569)) 13))) 
+(((-1086 |#1| |#2|) (-1278) (-841) (-1135 |t#1|)) (T -1086)) 
+((-1939 (*1 *2 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1086 *4 *2)) (-4 *4 (-841)) (-4 *2 (-1135 *4)))) (-1939 (*1 *2 *1) (-12 (-4 *1 (-1086 *3 *2)) (-4 *3 (-841)) (-4 *2 (-1135 *3)))) (-1544 (*1 *2 *3 *1) (-12 (-5 *3 (-1 *4 *4)) (-4 *1 (-1086 *4 *2)) (-4 *4 (-841)) (-4 *2 (-1135 *4))))) 
+(-13 (-1084 |t#1|) (-10 -8 (-15 -1939 (|t#2| (-635 $))) (-15 -1939 (|t#2| $)) (-15 -1544 (|t#2| (-1 |t#1| |t#1|) $)))) 
+(((-1084 |#1|) . T) ((-1197) . T)) 
+((-1752 (($ $ $) NIL) (($ $ |#2|) 13) (($ |#2| $) 14)) (-1981 (($ $ $) 10)) (-3290 (($ $ $) NIL) (($ $ |#2|) 15))) 
+(((-1087 |#1| |#2|) (-10 -8 (-15 -1752 (|#1| |#2| |#1|)) (-15 -1752 (|#1| |#1| |#2|)) (-15 -1752 (|#1| |#1| |#1|)) (-15 -1981 (|#1| |#1| |#1|)) (-15 -3290 (|#1| |#1| |#2|)) (-15 -3290 (|#1| |#1| |#1|))) (-1088 |#2|) (-1091)) (T -1087)) 
+NIL 
+(-10 -8 (-15 -1752 (|#1| |#2| |#1|)) (-15 -1752 (|#1| |#1| |#2|)) (-15 -1752 (|#1| |#1| |#1|)) (-15 -1981 (|#1| |#1| |#1|)) (-15 -3290 (|#1| |#1| |#2|)) (-15 -3290 (|#1| |#1| |#1|))) 
+((-2568 (((-121) $ $) 7)) (-1752 (($ $ $) 17) (($ $ |#1|) 16) (($ |#1| $) 15)) (-1981 (($ $ $) 19)) (-2358 (((-121) $ $) 18)) (-1691 (((-121) $ (-764)) 34)) (-2195 (($) 24) (($ (-635 |#1|)) 23)) (-1962 (($ (-1 (-121) |#1|) $) 55 (|has| $ (-6 -4535)))) (-2820 (($) 35 T CONST)) (-2033 (($ $) 58 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ |#1| $) 57 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 54 (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 56 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 53 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 52 (|has| $ (-6 -4535)))) (-3470 (((-635 |#1|) $) 42 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 33)) (-4259 (((-635 |#1|) $) 43 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 45 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 38 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 37)) (-2006 (((-121) $ (-764)) 32)) (-2776 (((-1145) $) 9)) (-2652 (($ $ $) 22)) (-3360 (((-1109) $) 10)) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 51)) (-4177 (((-121) (-1 (-121) |#1|) $) 40 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#1|) (-635 |#1|)) 49 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 48 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 47 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 (-289 |#1|))) 46 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 28)) (-1601 (((-121) $) 31)) (-1296 (($) 30)) (-3290 (($ $ $) 21) (($ $ |#1|) 20)) (-2846 (((-764) |#1| $) 44 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (((-764) (-1 (-121) |#1|) $) 41 (|has| $ (-6 -4535)))) (-1971 (($ $) 29)) (-3817 (((-542) $) 59 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 50)) (-2185 (((-851) $) 11)) (-1959 (($) 26) (($ (-635 |#1|)) 25)) (-2066 (((-121) (-1 (-121) |#1|) $) 39 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 6)) (-1678 (((-121) $ $) 27)) (-4168 (((-764) $) 36 (|has| $ (-6 -4535))))) 
+(((-1088 |#1|) (-1278) (-1091)) (T -1088)) 
+((-1678 (*1 *2 *1 *1) (-12 (-4 *1 (-1088 *3)) (-4 *3 (-1091)) (-5 *2 (-121)))) (-1959 (*1 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091)))) (-1959 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-4 *1 (-1088 *3)))) (-2195 (*1 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091)))) (-2195 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-4 *1 (-1088 *3)))) (-2652 (*1 *1 *1 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091)))) (-3290 (*1 *1 *1 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091)))) (-3290 (*1 *1 *1 *2) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091)))) (-1981 (*1 *1 *1 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091)))) (-2358 (*1 *2 *1 *1) (-12 (-4 *1 (-1088 *3)) (-4 *3 (-1091)) (-5 *2 (-121)))) (-1752 (*1 *1 *1 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091)))) (-1752 (*1 *1 *1 *2) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091)))) (-1752 (*1 *1 *2 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091))))) 
+(-13 (-1091) (-155 |t#1|) (-10 -8 (-6 -4525) (-15 -1678 ((-121) $ $)) (-15 -1959 ($)) (-15 -1959 ($ (-635 |t#1|))) (-15 -2195 ($)) (-15 -2195 ($ (-635 |t#1|))) (-15 -2652 ($ $ $)) (-15 -3290 ($ $ $)) (-15 -3290 ($ $ |t#1|)) (-15 -1981 ($ $ $)) (-15 -2358 ((-121) $ $)) (-15 -1752 ($ $ $)) (-15 -1752 ($ $ |t#1|)) (-15 -1752 ($ |t#1| $)))) 
+(((-39) . T) ((-105) . T) ((-609 (-851)) . T) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) . T) ((-1197) . T)) 
+((-2568 (((-121) $ $) 7)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2492 (((-918) $) 12)) (-2185 (((-851) $) 11)) (-1668 (((-121) $ $) 6))) 
+(((-1089) (-1278)) (T -1089)) 
+((-2492 (*1 *2 *1) (-12 (-4 *1 (-1089)) (-5 *2 (-918))))) 
+(-13 (-1091) (-10 -8 (-15 -2492 ((-918) $)))) 
+(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
+((-2776 (((-1145) $) 10)) (-3360 (((-1109) $) 8))) 
+(((-1090 |#1|) (-10 -8 (-15 -2776 ((-1145) |#1|)) (-15 -3360 ((-1109) |#1|))) (-1091)) (T -1090)) 
+NIL 
+(-10 -8 (-15 -2776 ((-1145) |#1|)) (-15 -3360 ((-1109) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-1668 (((-121) $ $) 6))) 
+(((-1091) (-1278)) (T -1091)) 
+((-3360 (*1 *2 *1) (-12 (-4 *1 (-1091)) (-5 *2 (-1109)))) (-2776 (*1 *2 *1) (-12 (-4 *1 (-1091)) (-5 *2 (-1145))))) 
+(-13 (-105) (-609 (-851)) (-10 -8 (-15 -3360 ((-1109) $)) (-15 -2776 ((-1145) $)))) 
+(((-105) . T) ((-609 (-851)) . T)) 
+((-2568 (((-121) $ $) NIL)) (-2085 (((-764)) 30)) (-3706 (($ (-635 (-918))) 52)) (-4072 (((-3 $ "failed") $ (-918) (-918)) 57)) (-4327 (($) 32)) (-3660 (((-121) (-918) $) 35)) (-2083 (((-918) $) 50)) (-2776 (((-1145) $) NIL)) (-3998 (($ (-918)) 31)) (-2694 (((-3 $ "failed") $ (-918)) 55)) (-3360 (((-1109) $) NIL)) (-1714 (((-1247 $)) 40)) (-3459 (((-635 (-918)) $) 23)) (-2385 (((-764) $ (-918) (-918)) 56)) (-2185 (((-851) $) 29)) (-1668 (((-121) $ $) 21))) 
+(((-1092 |#1| |#2|) (-13 (-371) (-10 -8 (-15 -2694 ((-3 $ "failed") $ (-918))) (-15 -4072 ((-3 $ "failed") $ (-918) (-918))) (-15 -3459 ((-635 (-918)) $)) (-15 -3706 ($ (-635 (-918)))) (-15 -1714 ((-1247 $))) (-15 -3660 ((-121) (-918) $)) (-15 -2385 ((-764) $ (-918) (-918))))) (-918) (-918)) (T -1092)) 
+((-2694 (*1 *1 *1 *2) (|partial| -12 (-5 *2 (-918)) (-5 *1 (-1092 *3 *4)) (-14 *3 *2) (-14 *4 *2))) (-4072 (*1 *1 *1 *2 *2) (|partial| -12 (-5 *2 (-918)) (-5 *1 (-1092 *3 *4)) (-14 *3 *2) (-14 *4 *2))) (-3459 (*1 *2 *1) (-12 (-5 *2 (-635 (-918))) (-5 *1 (-1092 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918)))) (-3706 (*1 *1 *2) (-12 (-5 *2 (-635 (-918))) (-5 *1 (-1092 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918)))) (-1714 (*1 *2) (-12 (-5 *2 (-1247 (-1092 *3 *4))) (-5 *1 (-1092 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918)))) (-3660 (*1 *2 *3 *1) (-12 (-5 *3 (-918)) (-5 *2 (-121)) (-5 *1 (-1092 *4 *5)) (-14 *4 *3) (-14 *5 *3))) (-2385 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-764)) (-5 *1 (-1092 *4 *5)) (-14 *4 *3) (-14 *5 *3)))) 
+(-13 (-371) (-10 -8 (-15 -2694 ((-3 $ "failed") $ (-918))) (-15 -4072 ((-3 $ "failed") $ (-918) (-918))) (-15 -3459 ((-635 (-918)) $)) (-15 -3706 ($ (-635 (-918)))) (-15 -1714 ((-1247 $))) (-15 -3660 ((-121) (-918) $)) (-15 -2385 ((-764) $ (-918) (-918))))) 
+((-2568 (((-121) $ $) NIL)) (-1460 (($) NIL (|has| |#1| (-371)))) (-1752 (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ $ $) 73)) (-1981 (($ $ $) 71)) (-2358 (((-121) $ $) 72)) (-1691 (((-121) $ (-764)) NIL)) (-2085 (((-764)) NIL (|has| |#1| (-371)))) (-2195 (($ (-635 |#1|)) NIL) (($) 13)) (-4216 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4454 (($ |#1| $) 67 (|has| $ (-6 -4535))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-4347 (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 43 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 41 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 39 (|has| $ (-6 -4535)))) (-4327 (($) NIL (|has| |#1| (-371)))) (-3470 (((-635 |#1|) $) 19 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-3291 ((|#1| $) 57 (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 66 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1538 ((|#1| $) 55 (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) 33 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 34)) (-2083 (((-918) $) NIL (|has| |#1| (-371)))) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-2652 (($ $ $) 69)) (-3889 ((|#1| $) 25)) (-3172 (($ |#1| $) 65)) (-3998 (($ (-918)) NIL (|has| |#1| (-371)))) (-3360 (((-1109) $) NIL)) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 31)) (-1856 ((|#1| $) 27)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 21)) (-1296 (($) 11)) (-3290 (($ $ |#1|) NIL) (($ $ $) 70)) (-2566 (($) NIL) (($ (-635 |#1|)) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) 16)) (-3817 (((-542) $) 52 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 61)) (-3604 (($ $) NIL (|has| |#1| (-371)))) (-2185 (((-851) $) NIL)) (-1573 (((-764) $) NIL)) (-1959 (($ (-635 |#1|)) NIL) (($) 12)) (-2793 (($ (-635 |#1|)) NIL)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 54)) (-1678 (((-121) $ $) NIL)) (-4168 (((-764) $) 10 (|has| $ (-6 -4535))))) 
+(((-1093 |#1|) (-428 |#1|) (-1091)) (T -1093)) 
+NIL 
+(-428 |#1|) 
+((-2568 (((-121) $ $) 7)) (-1508 (((-121) $) 31)) (-2392 ((|#2| $) 26)) (-2549 (((-121) $) 32)) (-2257 ((|#1| $) 27)) (-4026 (((-121) $) 34)) (-1298 (((-121) $) 36)) (-3118 (((-121) $) 33)) (-2776 (((-1145) $) 9)) (-3750 (((-121) $) 30)) (-2234 ((|#3| $) 25)) (-3360 (((-1109) $) 10)) (-3549 (((-121) $) 29)) (-2215 ((|#4| $) 24)) (-2252 ((|#5| $) 23)) (-1502 (((-121) $ $) 37)) (-1534 (($ $ (-569)) 13) (($ $ (-635 (-569))) 12)) (-1759 (((-635 $) $) 28)) (-3817 (($ (-635 $)) 22) (($ |#1|) 21) (($ |#2|) 20) (($ |#3|) 19) (($ |#4|) 18) (($ |#5|) 17)) (-2185 (((-851) $) 11)) (-1525 (($ $) 15)) (-1520 (($ $) 16)) (-3691 (((-121) $) 35)) (-1668 (((-121) $ $) 6)) (-4168 (((-569) $) 14))) 
+(((-1094 |#1| |#2| |#3| |#4| |#5|) (-1278) (-1091) (-1091) (-1091) (-1091) (-1091)) (T -1094)) 
+((-1502 (*1 *2 *1 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121)))) (-1298 (*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121)))) (-3691 (*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121)))) (-4026 (*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121)))) (-3118 (*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121)))) (-2549 (*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121)))) (-1508 (*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121)))) (-3750 (*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121)))) (-3549 (*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121)))) (-1759 (*1 *2 *1) (-12 (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-635 *1)) (-4 *1 (-1094 *3 *4 *5 *6 *7)))) (-2257 (*1 *2 *1) (-12 (-4 *1 (-1094 *2 *3 *4 *5 *6)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091)))) (-2392 (*1 *2 *1) (-12 (-4 *1 (-1094 *3 *2 *4 *5 *6)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091)))) (-2234 (*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *2 *5 *6)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091)))) (-2215 (*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *2 *6)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091)))) (-2252 (*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *2)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091)))) (-3817 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)))) (-3817 (*1 *1 *2) (-12 (-4 *1 (-1094 *2 *3 *4 *5 *6)) (-4 *2 (-1091)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)))) (-3817 (*1 *1 *2) (-12 (-4 *1 (-1094 *3 *2 *4 *5 *6)) (-4 *3 (-1091)) (-4 *2 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)))) (-3817 (*1 *1 *2) (-12 (-4 *1 (-1094 *3 *4 *2 *5 *6)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *2 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)))) (-3817 (*1 *1 *2) (-12 (-4 *1 (-1094 *3 *4 *5 *2 *6)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *2 (-1091)) (-4 *6 (-1091)))) (-3817 (*1 *1 *2) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *2)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091)))) (-1520 (*1 *1 *1) (-12 (-4 *1 (-1094 *2 *3 *4 *5 *6)) (-4 *2 (-1091)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)))) (-1525 (*1 *1 *1) (-12 (-4 *1 (-1094 *2 *3 *4 *5 *6)) (-4 *2 (-1091)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)))) (-4168 (*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-569)))) (-1534 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)))) (-1534 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091))))) 
+(-13 (-1091) (-10 -8 (-15 -1502 ((-121) $ $)) (-15 -1298 ((-121) $)) (-15 -3691 ((-121) $)) (-15 -4026 ((-121) $)) (-15 -3118 ((-121) $)) (-15 -2549 ((-121) $)) (-15 -1508 ((-121) $)) (-15 -3750 ((-121) $)) (-15 -3549 ((-121) $)) (-15 -1759 ((-635 $) $)) (-15 -2257 (|t#1| $)) (-15 -2392 (|t#2| $)) (-15 -2234 (|t#3| $)) (-15 -2215 (|t#4| $)) (-15 -2252 (|t#5| $)) (-15 -3817 ($ (-635 $))) (-15 -3817 ($ |t#1|)) (-15 -3817 ($ |t#2|)) (-15 -3817 ($ |t#3|)) (-15 -3817 ($ |t#4|)) (-15 -3817 ($ |t#5|)) (-15 -1520 ($ $)) (-15 -1525 ($ $)) (-15 -4168 ((-569) $)) (-15 -1534 ($ $ (-569))) (-15 -1534 ($ $ (-635 (-569)))))) 
+(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) NIL)) (-1508 (((-121) $) NIL)) (-2392 (((-1163) $) NIL)) (-2549 (((-121) $) NIL)) (-2257 (((-1145) $) NIL)) (-4026 (((-121) $) NIL)) (-1298 (((-121) $) NIL)) (-3118 (((-121) $) NIL)) (-2776 (((-1145) $) NIL)) (-3750 (((-121) $) NIL)) (-2234 (((-569) $) NIL)) (-3360 (((-1109) $) NIL)) (-3549 (((-121) $) NIL)) (-2215 (((-216) $) NIL)) (-2252 (((-851) $) NIL)) (-1502 (((-121) $ $) NIL)) (-1534 (($ $ (-569)) NIL) (($ $ (-635 (-569))) NIL)) (-1759 (((-635 $) $) NIL)) (-3817 (($ (-635 $)) NIL) (($ (-1145)) NIL) (($ (-1163)) NIL) (($ (-569)) NIL) (($ (-216)) NIL) (($ (-851)) NIL)) (-2185 (((-851) $) NIL)) (-1525 (($ $) NIL)) (-1520 (($ $) NIL)) (-3691 (((-121) $) NIL)) (-1668 (((-121) $ $) NIL)) (-4168 (((-569) $) NIL))) 
+(((-1095) (-1094 (-1145) (-1163) (-569) (-216) (-851))) (T -1095)) 
+NIL 
+(-1094 (-1145) (-1163) (-569) (-216) (-851)) 
+((-2568 (((-121) $ $) NIL)) (-1508 (((-121) $) 37)) (-2392 ((|#2| $) 41)) (-2549 (((-121) $) 36)) (-2257 ((|#1| $) 40)) (-4026 (((-121) $) 34)) (-1298 (((-121) $) 14)) (-3118 (((-121) $) 35)) (-2776 (((-1145) $) NIL)) (-3750 (((-121) $) 38)) (-2234 ((|#3| $) 43)) (-3360 (((-1109) $) NIL)) (-3549 (((-121) $) 39)) (-2215 ((|#4| $) 42)) (-2252 ((|#5| $) 44)) (-1502 (((-121) $ $) 33)) (-1534 (($ $ (-569)) 55) (($ $ (-635 (-569))) 57)) (-1759 (((-635 $) $) 21)) (-3817 (($ (-635 $)) 45) (($ |#1|) 46) (($ |#2|) 47) (($ |#3|) 48) (($ |#4|) 49) (($ |#5|) 50)) (-2185 (((-851) $) 22)) (-1525 (($ $) 20)) (-1520 (($ $) 51)) (-3691 (((-121) $) 18)) (-1668 (((-121) $ $) 32)) (-4168 (((-569) $) 53))) 
+(((-1096 |#1| |#2| |#3| |#4| |#5|) (-1094 |#1| |#2| |#3| |#4| |#5|) (-1091) (-1091) (-1091) (-1091) (-1091)) (T -1096)) 
+NIL 
+(-1094 |#1| |#2| |#3| |#4| |#5|) 
+((-3836 (((-1252) $) 23)) (-3771 (($ (-1163) (-437) |#2|) 11)) (-2185 (((-851) $) 16))) 
+(((-1097 |#1| |#2|) (-13 (-398) (-10 -8 (-15 -3771 ($ (-1163) (-437) |#2|)))) (-843) (-433 |#1|)) (T -1097)) 
+((-3771 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-437)) (-4 *5 (-843)) (-5 *1 (-1097 *5 *4)) (-4 *4 (-433 *5))))) 
+(-13 (-398) (-10 -8 (-15 -3771 ($ (-1163) (-437) |#2|)))) 
+((-3099 (((-121) |#5| |#5|) 37)) (-1501 (((-121) |#5| |#5|) 51)) (-1877 (((-121) |#5| (-635 |#5|)) 74) (((-121) |#5| |#5|) 60)) (-1941 (((-121) (-635 |#4|) (-635 |#4|)) 57)) (-2149 (((-121) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) 62)) (-2737 (((-1252)) 33)) (-2371 (((-1252) (-1145) (-1145) (-1145)) 29)) (-1890 (((-635 |#5|) (-635 |#5|)) 81)) (-1428 (((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)))) 79)) (-1659 (((-635 (-2 (|:| -1502 (-635 |#4|)) (|:| -4003 |#5|) (|:| |ineq| (-635 |#4|)))) (-635 |#4|) (-635 |#5|) (-121) (-121)) 101)) (-1602 (((-121) |#5| |#5|) 46)) (-4393 (((-3 (-121) "failed") |#5| |#5|) 70)) (-4461 (((-121) (-635 |#4|) (-635 |#4|)) 56)) (-3269 (((-121) (-635 |#4|) (-635 |#4|)) 58)) (-2673 (((-121) (-635 |#4|) (-635 |#4|)) 59)) (-3590 (((-3 (-2 (|:| -1502 (-635 |#4|)) (|:| -4003 |#5|) (|:| |ineq| (-635 |#4|))) "failed") (-635 |#4|) |#5| (-635 |#4|) (-121) (-121) (-121) (-121) (-121)) 97)) (-2514 (((-635 |#5|) (-635 |#5|)) 42))) 
+(((-1098 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2371 ((-1252) (-1145) (-1145) (-1145))) (-15 -2737 ((-1252))) (-15 -3099 ((-121) |#5| |#5|)) (-15 -2514 ((-635 |#5|) (-635 |#5|))) (-15 -1602 ((-121) |#5| |#5|)) (-15 -1501 ((-121) |#5| |#5|)) (-15 -1941 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4461 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -3269 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -2673 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4393 ((-3 (-121) "failed") |#5| |#5|)) (-15 -1877 ((-121) |#5| |#5|)) (-15 -1877 ((-121) |#5| (-635 |#5|))) (-15 -1890 ((-635 |#5|) (-635 |#5|))) (-15 -2149 ((-121) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)))) (-15 -1428 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) (-15 -1659 ((-635 (-2 (|:| -1502 (-635 |#4|)) (|:| -4003 |#5|) (|:| |ineq| (-635 |#4|)))) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -3590 ((-3 (-2 (|:| -1502 (-635 |#4|)) (|:| -4003 |#5|) (|:| |ineq| (-635 |#4|))) "failed") (-635 |#4|) |#5| (-635 |#4|) (-121) (-121) (-121) (-121) (-121)))) (-454) (-789) (-843) (-1062 |#1| |#2| |#3|) (-1067 |#1| |#2| |#3| |#4|)) (T -1098)) 
+((-3590 (*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *9 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| -1502 (-635 *9)) (|:| -4003 *4) (|:| |ineq| (-635 *9)))) (-5 *1 (-1098 *6 *7 *8 *9 *4)) (-5 *3 (-635 *9)) (-4 *4 (-1067 *6 *7 *8 *9)))) (-1659 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-635 *10)) (-5 *5 (-121)) (-4 *10 (-1067 *6 *7 *8 *9)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *9 (-1062 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| -1502 (-635 *9)) (|:| -4003 *10) (|:| |ineq| (-635 *9))))) (-5 *1 (-1098 *6 *7 *8 *9 *10)) (-5 *3 (-635 *9)))) (-1428 (*1 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |val| (-635 *6)) (|:| -4003 *7)))) (-4 *6 (-1062 *3 *4 *5)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-1098 *3 *4 *5 *6 *7)))) (-2149 (*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4003 *8))) (-4 *7 (-1062 *4 *5 *6)) (-4 *8 (-1067 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *8)))) (-1890 (*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *1 (-1098 *3 *4 *5 *6 *7)))) (-1877 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1098 *5 *6 *7 *8 *3)))) (-1877 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) (-4393 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) (-2673 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) (-3269 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) (-4461 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) (-1941 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) (-1501 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) (-1602 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) (-2514 (*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *1 (-1098 *3 *4 *5 *6 *7)))) (-3099 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) (-2737 (*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-1252)) (-5 *1 (-1098 *3 *4 *5 *6 *7)) (-4 *7 (-1067 *3 *4 *5 *6)))) (-2371 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-1252)) (-5 *1 (-1098 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7))))) 
+(-10 -7 (-15 -2371 ((-1252) (-1145) (-1145) (-1145))) (-15 -2737 ((-1252))) (-15 -3099 ((-121) |#5| |#5|)) (-15 -2514 ((-635 |#5|) (-635 |#5|))) (-15 -1602 ((-121) |#5| |#5|)) (-15 -1501 ((-121) |#5| |#5|)) (-15 -1941 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4461 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -3269 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -2673 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4393 ((-3 (-121) "failed") |#5| |#5|)) (-15 -1877 ((-121) |#5| |#5|)) (-15 -1877 ((-121) |#5| (-635 |#5|))) (-15 -1890 ((-635 |#5|) (-635 |#5|))) (-15 -2149 ((-121) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)))) (-15 -1428 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) (-15 -1659 ((-635 (-2 (|:| -1502 (-635 |#4|)) (|:| -4003 |#5|) (|:| |ineq| (-635 |#4|)))) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -3590 ((-3 (-2 (|:| -1502 (-635 |#4|)) (|:| -4003 |#5|) (|:| |ineq| (-635 |#4|))) "failed") (-635 |#4|) |#5| (-635 |#4|) (-121) (-121) (-121) (-121) (-121)))) 
+((-4275 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#5|) 94)) (-3284 (((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) |#4| |#4| |#5|) 70)) (-2783 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5|) 88)) (-4223 (((-635 |#5|) |#4| |#5|) 109)) (-3835 (((-635 |#5|) |#4| |#5|) 116)) (-2635 (((-635 |#5|) |#4| |#5|) 117)) (-2969 (((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|) 95)) (-3806 (((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|) 115)) (-2571 (((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|) 44) (((-121) |#4| |#5|) 52)) (-2336 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) |#3| (-121)) 82) (((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5| (-121) (-121)) 49)) (-4135 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5|) 77)) (-3522 (((-1252)) 35)) (-3976 (((-1252)) 25)) (-3650 (((-1252) (-1145) (-1145) (-1145)) 31)) (-3327 (((-1252) (-1145) (-1145) (-1145)) 20))) 
+(((-1099 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3327 ((-1252) (-1145) (-1145) (-1145))) (-15 -3976 ((-1252))) (-15 -3650 ((-1252) (-1145) (-1145) (-1145))) (-15 -3522 ((-1252))) (-15 -3284 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) |#4| |#4| |#5|)) (-15 -2336 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5| (-121) (-121))) (-15 -2336 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) |#3| (-121))) (-15 -4135 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5|)) (-15 -2783 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5|)) (-15 -2571 ((-121) |#4| |#5|)) (-15 -2969 ((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|)) (-15 -4223 ((-635 |#5|) |#4| |#5|)) (-15 -3806 ((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|)) (-15 -3835 ((-635 |#5|) |#4| |#5|)) (-15 -2571 ((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|)) (-15 -2635 ((-635 |#5|) |#4| |#5|)) (-15 -4275 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#5|))) (-454) (-789) (-843) (-1062 |#1| |#2| |#3|) (-1067 |#1| |#2| |#3| |#4|)) (T -1099)) 
+((-4275 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-2635 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-2571 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-3835 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-3806 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-4223 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-2969 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-2571 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-2783 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-4135 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-2336 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4003 *9)))) (-5 *5 (-121)) (-4 *8 (-1062 *6 *7 *4)) (-4 *9 (-1067 *6 *7 *4 *8)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *4 (-843)) (-5 *2 (-635 (-2 (|:| |val| *8) (|:| -4003 *9)))) (-5 *1 (-1099 *6 *7 *4 *8 *9)))) (-2336 (*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1099 *6 *7 *8 *3 *4)) (-4 *4 (-1067 *6 *7 *8 *3)))) (-3284 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-3522 (*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-1252)) (-5 *1 (-1099 *3 *4 *5 *6 *7)) (-4 *7 (-1067 *3 *4 *5 *6)))) (-3650 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-1252)) (-5 *1 (-1099 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) (-3976 (*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-1252)) (-5 *1 (-1099 *3 *4 *5 *6 *7)) (-4 *7 (-1067 *3 *4 *5 *6)))) (-3327 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-1252)) (-5 *1 (-1099 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7))))) 
+(-10 -7 (-15 -3327 ((-1252) (-1145) (-1145) (-1145))) (-15 -3976 ((-1252))) (-15 -3650 ((-1252) (-1145) (-1145) (-1145))) (-15 -3522 ((-1252))) (-15 -3284 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) |#4| |#4| |#5|)) (-15 -2336 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5| (-121) (-121))) (-15 -2336 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) |#3| (-121))) (-15 -4135 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5|)) (-15 -2783 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5|)) (-15 -2571 ((-121) |#4| |#5|)) (-15 -2969 ((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|)) (-15 -4223 ((-635 |#5|) |#4| |#5|)) (-15 -3806 ((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|)) (-15 -3835 ((-635 |#5|) |#4| |#5|)) (-15 -2571 ((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|)) (-15 -2635 ((-635 |#5|) |#4| |#5|)) (-15 -4275 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#5|))) 
+((-2568 (((-121) $ $) 7)) (-3839 (((-635 (-2 (|:| -3585 $) (|:| -3230 (-635 |#4|)))) (-635 |#4|)) 78)) (-4426 (((-635 $) (-635 |#4|)) 79) (((-635 $) (-635 |#4|) (-121)) 104)) (-1773 (((-635 |#3|) $) 32)) (-3008 (((-121) $) 25)) (-3625 (((-121) $) 16 (|has| |#1| (-559)))) (-2061 (((-121) |#4| $) 94) (((-121) $) 90)) (-3982 ((|#4| |#4| $) 85)) (-2004 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 $))) |#4| $) 119)) (-3113 (((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ |#3|) 26)) (-1691 (((-121) $ (-764)) 43)) (-1962 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4535))) (((-3 |#4| "failed") $ |#3|) 72)) (-2820 (($) 44 T CONST)) (-4162 (((-121) $) 21 (|has| |#1| (-559)))) (-2716 (((-121) $ $) 23 (|has| |#1| (-559)))) (-3532 (((-121) $ $) 22 (|has| |#1| (-559)))) (-2398 (((-121) $) 24 (|has| |#1| (-559)))) (-3694 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-4318 (((-635 |#4|) (-635 |#4|) $) 17 (|has| |#1| (-559)))) (-1322 (((-635 |#4|) (-635 |#4|) $) 18 (|has| |#1| (-559)))) (-1647 (((-3 $ "failed") (-635 |#4|)) 35)) (-2428 (($ (-635 |#4|)) 34)) (-2046 (((-3 $ "failed") $) 75)) (-4407 ((|#4| |#4| $) 82)) (-2033 (($ $) 67 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ |#4| $) 66 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4535)))) (-1830 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-559)))) (-3255 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-2045 ((|#4| |#4| $) 80)) (-1774 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4535))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4535))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-4038 (((-2 (|:| -3585 (-635 |#4|)) (|:| -3230 (-635 |#4|))) $) 98)) (-1658 (((-121) |#4| $) 129)) (-3903 (((-121) |#4| $) 126)) (-3617 (((-121) |#4| $) 130) (((-121) $) 127)) (-3470 (((-635 |#4|) $) 51 (|has| $ (-6 -4535)))) (-3977 (((-121) |#4| $) 97) (((-121) $) 96)) (-4357 ((|#3| $) 33)) (-1974 (((-121) $ (-764)) 42)) (-4259 (((-635 |#4|) $) 52 (|has| $ (-6 -4535)))) (-3660 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#4| |#4|) $) 46)) (-1833 (((-635 |#3|) $) 31)) (-2760 (((-121) |#3| $) 30)) (-2006 (((-121) $ (-764)) 41)) (-2776 (((-1145) $) 9)) (-2870 (((-3 |#4| (-635 $)) |#4| |#4| $) 121)) (-3988 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 $))) |#4| |#4| $) 120)) (-4213 (((-3 |#4| "failed") $) 76)) (-2482 (((-635 $) |#4| $) 122)) (-3730 (((-3 (-121) (-635 $)) |#4| $) 125)) (-2253 (((-635 (-2 (|:| |val| (-121)) (|:| -4003 $))) |#4| $) 124) (((-121) |#4| $) 123)) (-2652 (((-635 $) |#4| $) 118) (((-635 $) (-635 |#4|) $) 117) (((-635 $) (-635 |#4|) (-635 $)) 116) (((-635 $) |#4| (-635 $)) 115)) (-3897 (($ |#4| $) 110) (($ (-635 |#4|) $) 109)) (-2515 (((-635 |#4|) $) 100)) (-3409 (((-121) |#4| $) 92) (((-121) $) 88)) (-3005 ((|#4| |#4| $) 83)) (-2673 (((-121) $ $) 103)) (-2439 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-559)))) (-4310 (((-121) |#4| $) 93) (((-121) $) 89)) (-2533 ((|#4| |#4| $) 84)) (-3360 (((-1109) $) 10)) (-4353 (((-3 |#4| "failed") $) 77)) (-2502 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-1913 (((-3 $ "failed") $ |#4|) 71)) (-3499 (($ $ |#4|) 70) (((-635 $) |#4| $) 108) (((-635 $) |#4| (-635 $)) 107) (((-635 $) (-635 |#4|) $) 106) (((-635 $) (-635 |#4|) (-635 $)) 105)) (-4177 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#4|) (-635 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-635 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))))) (-3137 (((-121) $ $) 37)) (-1601 (((-121) $) 40)) (-1296 (($) 39)) (-2492 (((-764) $) 99)) (-2846 (((-764) |#4| $) 53 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) (((-764) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4535)))) (-1971 (($ $) 38)) (-3817 (((-542) $) 68 (|has| |#4| (-610 (-542))))) (-2139 (($ (-635 |#4|)) 59)) (-4201 (($ $ |#3|) 27)) (-3460 (($ $ |#3|) 29)) (-4208 (($ $) 81)) (-2630 (($ $ |#3|) 28)) (-2185 (((-851) $) 11) (((-635 |#4|) $) 36)) (-3435 (((-764) $) 69 (|has| |#3| (-371)))) (-1702 (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-3321 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) 91)) (-4455 (((-635 $) |#4| $) 114) (((-635 $) |#4| (-635 $)) 113) (((-635 $) (-635 |#4|) $) 112) (((-635 $) (-635 |#4|) (-635 $)) 111)) (-2066 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4535)))) (-3502 (((-635 |#3|) $) 74)) (-4060 (((-121) |#4| $) 128)) (-3673 (((-121) |#3| $) 73)) (-1668 (((-121) $ $) 6)) (-4168 (((-764) $) 45 (|has| $ (-6 -4535))))) 
+(((-1100 |#1| |#2| |#3| |#4|) (-1278) (-454) (-789) (-843) (-1062 |t#1| |t#2| |t#3|)) (T -1100)) 
+NIL 
+(-13 (-1067 |t#1| |t#2| |t#3| |t#4|)) 
+(((-39) . T) ((-105) . T) ((-609 (-635 |#4|)) . T) ((-609 (-851)) . T) ((-155 |#4|) . T) ((-610 (-542)) |has| |#4| (-610 (-542))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))) ((-500 |#4|) . T) ((-524 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))) ((-978 |#1| |#2| |#3| |#4|) . T) ((-1067 |#1| |#2| |#3| |#4|) . T) ((-1091) . T) ((-1191 |#1| |#2| |#3| |#4|) . T) ((-1197) . T)) 
+((-3676 (((-635 (-569)) (-569) (-569) (-569)) 20)) (-3471 (((-635 (-569)) (-569) (-569) (-569)) 12)) (-1557 (((-635 (-569)) (-569) (-569) (-569)) 16)) (-2303 (((-569) (-569) (-569)) 9)) (-4210 (((-1247 (-569)) (-635 (-569)) (-1247 (-569)) (-569)) 44) (((-1247 (-569)) (-1247 (-569)) (-1247 (-569)) (-569)) 39)) (-4165 (((-635 (-569)) (-635 (-569)) (-635 (-569)) (-121)) 26)) (-2150 (((-680 (-569)) (-635 (-569)) (-635 (-569)) (-680 (-569))) 43)) (-1699 (((-680 (-569)) (-635 (-569)) (-635 (-569))) 31)) (-1902 (((-635 (-680 (-569))) (-635 (-569))) 33)) (-2896 (((-635 (-569)) (-635 (-569)) (-635 (-569)) (-680 (-569))) 46)) (-3908 (((-680 (-569)) (-635 (-569)) (-635 (-569)) (-635 (-569))) 54))) 
+(((-1101) (-10 -7 (-15 -3908 ((-680 (-569)) (-635 (-569)) (-635 (-569)) (-635 (-569)))) (-15 -2896 ((-635 (-569)) (-635 (-569)) (-635 (-569)) (-680 (-569)))) (-15 -1902 ((-635 (-680 (-569))) (-635 (-569)))) (-15 -1699 ((-680 (-569)) (-635 (-569)) (-635 (-569)))) (-15 -2150 ((-680 (-569)) (-635 (-569)) (-635 (-569)) (-680 (-569)))) (-15 -4165 ((-635 (-569)) (-635 (-569)) (-635 (-569)) (-121))) (-15 -4210 ((-1247 (-569)) (-1247 (-569)) (-1247 (-569)) (-569))) (-15 -4210 ((-1247 (-569)) (-635 (-569)) (-1247 (-569)) (-569))) (-15 -2303 ((-569) (-569) (-569))) (-15 -1557 ((-635 (-569)) (-569) (-569) (-569))) (-15 -3471 ((-635 (-569)) (-569) (-569) (-569))) (-15 -3676 ((-635 (-569)) (-569) (-569) (-569))))) (T -1101)) 
+((-3676 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1101)) (-5 *3 (-569)))) (-3471 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1101)) (-5 *3 (-569)))) (-1557 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1101)) (-5 *3 (-569)))) (-2303 (*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1101)))) (-4210 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-1247 (-569))) (-5 *3 (-635 (-569))) (-5 *4 (-569)) (-5 *1 (-1101)))) (-4210 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-1247 (-569))) (-5 *3 (-569)) (-5 *1 (-1101)))) (-4165 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *3 (-121)) (-5 *1 (-1101)))) (-2150 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-680 (-569))) (-5 *3 (-635 (-569))) (-5 *1 (-1101)))) (-1699 (*1 *2 *3 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-680 (-569))) (-5 *1 (-1101)))) (-1902 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-635 (-680 (-569)))) (-5 *1 (-1101)))) (-2896 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *3 (-680 (-569))) (-5 *1 (-1101)))) (-3908 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-680 (-569))) (-5 *1 (-1101))))) 
+(-10 -7 (-15 -3908 ((-680 (-569)) (-635 (-569)) (-635 (-569)) (-635 (-569)))) (-15 -2896 ((-635 (-569)) (-635 (-569)) (-635 (-569)) (-680 (-569)))) (-15 -1902 ((-635 (-680 (-569))) (-635 (-569)))) (-15 -1699 ((-680 (-569)) (-635 (-569)) (-635 (-569)))) (-15 -2150 ((-680 (-569)) (-635 (-569)) (-635 (-569)) (-680 (-569)))) (-15 -4165 ((-635 (-569)) (-635 (-569)) (-635 (-569)) (-121))) (-15 -4210 ((-1247 (-569)) (-1247 (-569)) (-1247 (-569)) (-569))) (-15 -4210 ((-1247 (-569)) (-635 (-569)) (-1247 (-569)) (-569))) (-15 -2303 ((-569) (-569) (-569))) (-15 -1557 ((-635 (-569)) (-569) (-569) (-569))) (-15 -3471 ((-635 (-569)) (-569) (-569) (-569))) (-15 -3676 ((-635 (-569)) (-569) (-569) (-569)))) 
+((-2427 (($ $ (-918)) 12)) (** (($ $ (-918)) 10))) 
+(((-1102 |#1|) (-10 -8 (-15 -2427 (|#1| |#1| (-918))) (-15 ** (|#1| |#1| (-918)))) (-1103)) (T -1102)) 
+NIL 
+(-10 -8 (-15 -2427 (|#1| |#1| (-918))) (-15 ** (|#1| |#1| (-918)))) 
+((-2568 (((-121) $ $) 7)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-2427 (($ $ (-918)) 12)) (-1668 (((-121) $ $) 6)) (** (($ $ (-918)) 13)) (* (($ $ $) 14))) 
+(((-1103) (-1278)) (T -1103)) 
+((* (*1 *1 *1 *1) (-4 *1 (-1103))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-1103)) (-5 *2 (-918)))) (-2427 (*1 *1 *1 *2) (-12 (-4 *1 (-1103)) (-5 *2 (-918))))) 
+(-13 (-1091) (-10 -8 (-15 * ($ $ $)) (-15 ** ($ $ (-918))) (-15 -2427 ($ $ (-918))))) 
+(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) NIL (|has| |#3| (-1091)))) (-3813 (((-121) $) NIL (|has| |#3| (-138)))) (-4382 (($ (-918)) NIL (|has| |#3| (-1048)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-1498 (($ $ $) NIL (|has| |#3| (-789)))) (-2327 (((-3 $ "failed") $ $) NIL (|has| |#3| (-138)))) (-1691 (((-121) $ (-764)) NIL)) (-2085 (((-764)) NIL (|has| |#3| (-371)))) (-3638 (((-569) $) NIL (|has| |#3| (-841)))) (-4469 ((|#3| $ (-569) |#3|) NIL (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (-12 (|has| |#3| (-1038 (-569))) (|has| |#3| (-1091)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#3| (-1038 (-410 (-569)))) (|has| |#3| (-1091)))) (((-3 |#3| "failed") $) NIL (|has| |#3| (-1091)))) (-2428 (((-569) $) NIL (-12 (|has| |#3| (-1038 (-569))) (|has| |#3| (-1091)))) (((-410 (-569)) $) NIL (-12 (|has| |#3| (-1038 (-410 (-569)))) (|has| |#3| (-1091)))) ((|#3| $) NIL (|has| |#3| (-1091)))) (-1696 (((-680 (-569)) (-680 $)) NIL (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048)))) (((-2 (|:| -3477 (-680 |#3|)) (|:| |vec| (-1247 |#3|))) (-680 $) (-1247 $)) NIL (|has| |#3| (-1048))) (((-680 |#3|) (-680 $)) NIL (|has| |#3| (-1048)))) (-3428 (((-3 $ "failed") $) NIL (|has| |#3| (-717)))) (-4327 (($) NIL (|has| |#3| (-371)))) (-2726 ((|#3| $ (-569) |#3|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#3| $ (-569)) 12)) (-2403 (((-121) $) NIL (|has| |#3| (-841)))) (-3470 (((-635 |#3|) $) NIL (|has| $ (-6 -4535)))) (-1407 (((-121) $) NIL (|has| |#3| (-717)))) (-1781 (((-121) $) NIL (|has| |#3| (-841)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (-2232 (|has| |#3| (-789)) (|has| |#3| (-841))))) (-4259 (((-635 |#3|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#3| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (-2232 (|has| |#3| (-789)) (|has| |#3| (-841))))) (-1853 (($ (-1 |#3| |#3|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#3| |#3|) $) NIL)) (-2083 (((-918) $) NIL (|has| |#3| (-371)))) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#3| (-1091)))) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3998 (($ (-918)) NIL (|has| |#3| (-371)))) (-3360 (((-1109) $) NIL (|has| |#3| (-1091)))) (-4353 ((|#3| $) NIL (|has| (-569) (-843)))) (-3174 (($ $ |#3|) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#3|))) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) (($ $ (-289 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) (($ $ |#3| |#3|) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) (($ $ (-635 |#3|) (-635 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#3| (-1091))))) (-2691 (((-635 |#3|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#3| $ (-569) |#3|) NIL) ((|#3| $ (-569)) NIL)) (-2049 ((|#3| $ $) NIL (|has| |#3| (-1048)))) (-1755 (($ (-1247 |#3|)) NIL)) (-2369 (((-140)) NIL (|has| |#3| (-366)))) (-3899 (($ $) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1048)))) (($ $ (-764)) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1048)))) (($ $ (-1163)) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-1 |#3| |#3|) (-764)) NIL (|has| |#3| (-1048))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1048)))) (-2846 (((-764) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4535))) (((-764) |#3| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#3| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-1247 |#3|) $) NIL) (((-851) $) NIL (|has| |#3| (-1091))) (($ (-569)) NIL (-2232 (-12 (|has| |#3| (-1038 (-569))) (|has| |#3| (-1091))) (|has| |#3| (-1048)))) (($ (-410 (-569))) NIL (-12 (|has| |#3| (-1038 (-410 (-569)))) (|has| |#3| (-1091)))) (($ |#3|) NIL (|has| |#3| (-1091)))) (-1991 (((-764)) NIL (|has| |#3| (-1048)))) (-2066 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4535)))) (-1616 (($ $) NIL (|has| |#3| (-841)))) (-2427 (($ $ (-764)) NIL (|has| |#3| (-717))) (($ $ (-918)) NIL (|has| |#3| (-717)))) (-3369 (($) NIL (|has| |#3| (-138)) CONST)) (-1556 (($) NIL (|has| |#3| (-717)) CONST)) (-3022 (($ $) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1048)))) (($ $ (-764)) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1048)))) (($ $ (-1163)) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-1 |#3| |#3|) (-764)) NIL (|has| |#3| (-1048))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1048)))) (-1693 (((-121) $ $) NIL (-2232 (|has| |#3| (-789)) (|has| |#3| (-841))))) (-1684 (((-121) $ $) NIL (-2232 (|has| |#3| (-789)) (|has| |#3| (-841))))) (-1668 (((-121) $ $) NIL (|has| |#3| (-1091)))) (-1688 (((-121) $ $) NIL (-2232 (|has| |#3| (-789)) (|has| |#3| (-841))))) (-1678 (((-121) $ $) 17 (-2232 (|has| |#3| (-789)) (|has| |#3| (-841))))) (-1715 (($ $ |#3|) NIL (|has| |#3| (-366)))) (-1711 (($ $ $) NIL (|has| |#3| (-1048))) (($ $) NIL (|has| |#3| (-1048)))) (-1707 (($ $ $) NIL (|has| |#3| (-25)))) (** (($ $ (-764)) NIL (|has| |#3| (-717))) (($ $ (-918)) NIL (|has| |#3| (-717)))) (* (($ (-569) $) NIL (|has| |#3| (-1048))) (($ $ $) NIL (|has| |#3| (-717))) (($ $ |#3|) NIL (|has| |#3| (-1048))) (($ |#3| $) NIL (|has| |#3| (-1048))) (($ (-764) $) NIL (|has| |#3| (-138))) (($ (-918) $) NIL (|has| |#3| (-25)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-1104 |#1| |#2| |#3|) (-231 |#1| |#3|) (-764) (-764) (-789)) (T -1104)) 
+NIL 
+(-231 |#1| |#3|) 
+((-2785 (((-635 (-1219 |#2| |#1|)) (-1219 |#2| |#1|) (-1219 |#2| |#1|)) 36)) (-2759 (((-569) (-1219 |#2| |#1|)) 67 (|has| |#1| (-454)))) (-2631 (((-569) (-1219 |#2| |#1|)) 53)) (-1461 (((-635 (-1219 |#2| |#1|)) (-1219 |#2| |#1|) (-1219 |#2| |#1|)) 44)) (-3299 (((-569) (-1219 |#2| |#1|) (-1219 |#2| |#1|)) 55 (|has| |#1| (-454)))) (-3521 (((-635 |#1|) (-1219 |#2| |#1|) (-1219 |#2| |#1|)) 47)) (-4024 (((-569) (-1219 |#2| |#1|) (-1219 |#2| |#1|)) 52))) 
+(((-1105 |#1| |#2|) (-10 -7 (-15 -2785 ((-635 (-1219 |#2| |#1|)) (-1219 |#2| |#1|) (-1219 |#2| |#1|))) (-15 -1461 ((-635 (-1219 |#2| |#1|)) (-1219 |#2| |#1|) (-1219 |#2| |#1|))) (-15 -3521 ((-635 |#1|) (-1219 |#2| |#1|) (-1219 |#2| |#1|))) (-15 -4024 ((-569) (-1219 |#2| |#1|) (-1219 |#2| |#1|))) (-15 -2631 ((-569) (-1219 |#2| |#1|))) (IF (|has| |#1| (-454)) (PROGN (-15 -3299 ((-569) (-1219 |#2| |#1|) (-1219 |#2| |#1|))) (-15 -2759 ((-569) (-1219 |#2| |#1|)))) |noBranch|)) (-816) (-1163)) (T -1105)) 
+((-2759 (*1 *2 *3) (-12 (-5 *3 (-1219 *5 *4)) (-4 *4 (-454)) (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-569)) (-5 *1 (-1105 *4 *5)))) (-3299 (*1 *2 *3 *3) (-12 (-5 *3 (-1219 *5 *4)) (-4 *4 (-454)) (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-569)) (-5 *1 (-1105 *4 *5)))) (-2631 (*1 *2 *3) (-12 (-5 *3 (-1219 *5 *4)) (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-569)) (-5 *1 (-1105 *4 *5)))) (-4024 (*1 *2 *3 *3) (-12 (-5 *3 (-1219 *5 *4)) (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-569)) (-5 *1 (-1105 *4 *5)))) (-3521 (*1 *2 *3 *3) (-12 (-5 *3 (-1219 *5 *4)) (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-635 *4)) (-5 *1 (-1105 *4 *5)))) (-1461 (*1 *2 *3 *3) (-12 (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-635 (-1219 *5 *4))) (-5 *1 (-1105 *4 *5)) (-5 *3 (-1219 *5 *4)))) (-2785 (*1 *2 *3 *3) (-12 (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-635 (-1219 *5 *4))) (-5 *1 (-1105 *4 *5)) (-5 *3 (-1219 *5 *4))))) 
+(-10 -7 (-15 -2785 ((-635 (-1219 |#2| |#1|)) (-1219 |#2| |#1|) (-1219 |#2| |#1|))) (-15 -1461 ((-635 (-1219 |#2| |#1|)) (-1219 |#2| |#1|) (-1219 |#2| |#1|))) (-15 -3521 ((-635 |#1|) (-1219 |#2| |#1|) (-1219 |#2| |#1|))) (-15 -4024 ((-569) (-1219 |#2| |#1|) (-1219 |#2| |#1|))) (-15 -2631 ((-569) (-1219 |#2| |#1|))) (IF (|has| |#1| (-454)) (PROGN (-15 -3299 ((-569) (-1219 |#2| |#1|) (-1219 |#2| |#1|))) (-15 -2759 ((-569) (-1219 |#2| |#1|)))) |noBranch|)) 
+((-3638 (((-3 (-569) "failed") |#2| (-1163) |#2| (-1145)) 16) (((-3 (-569) "failed") |#2| (-1163) (-836 |#2|)) 14) (((-3 (-569) "failed") |#2|) 51))) 
+(((-1106 |#1| |#2|) (-10 -7 (-15 -3638 ((-3 (-569) "failed") |#2|)) (-15 -3638 ((-3 (-569) "failed") |#2| (-1163) (-836 |#2|))) (-15 -3638 ((-3 (-569) "failed") |#2| (-1163) |#2| (-1145)))) (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)) (-454)) (-13 (-27) (-1183) (-433 |#1|))) (T -1106)) 
+((-3638 (*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-1163)) (-5 *5 (-1145)) (-4 *6 (-13 (-559) (-843) (-1038 *2) (-631 *2) (-454))) (-5 *2 (-569)) (-5 *1 (-1106 *6 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *6))))) (-3638 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1163)) (-5 *5 (-836 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-559) (-843) (-1038 *2) (-631 *2) (-454))) (-5 *2 (-569)) (-5 *1 (-1106 *6 *3)))) (-3638 (*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-559) (-843) (-1038 *2) (-631 *2) (-454))) (-5 *2 (-569)) (-5 *1 (-1106 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4)))))) 
+(-10 -7 (-15 -3638 ((-3 (-569) "failed") |#2|)) (-15 -3638 ((-3 (-569) "failed") |#2| (-1163) (-836 |#2|))) (-15 -3638 ((-3 (-569) "failed") |#2| (-1163) |#2| (-1145)))) 
+((-3638 (((-3 (-569) "failed") (-410 (-954 |#1|)) (-1163) (-410 (-954 |#1|)) (-1145)) 34) (((-3 (-569) "failed") (-410 (-954 |#1|)) (-1163) (-836 (-410 (-954 |#1|)))) 29) (((-3 (-569) "failed") (-410 (-954 |#1|))) 12))) 
+(((-1107 |#1|) (-10 -7 (-15 -3638 ((-3 (-569) "failed") (-410 (-954 |#1|)))) (-15 -3638 ((-3 (-569) "failed") (-410 (-954 |#1|)) (-1163) (-836 (-410 (-954 |#1|))))) (-15 -3638 ((-3 (-569) "failed") (-410 (-954 |#1|)) (-1163) (-410 (-954 |#1|)) (-1145)))) (-454)) (T -1107)) 
+((-3638 (*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-410 (-954 *6))) (-5 *4 (-1163)) (-5 *5 (-1145)) (-4 *6 (-454)) (-5 *2 (-569)) (-5 *1 (-1107 *6)))) (-3638 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1163)) (-5 *5 (-836 (-410 (-954 *6)))) (-5 *3 (-410 (-954 *6))) (-4 *6 (-454)) (-5 *2 (-569)) (-5 *1 (-1107 *6)))) (-3638 (*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-454)) (-5 *2 (-569)) (-5 *1 (-1107 *4))))) 
+(-10 -7 (-15 -3638 ((-3 (-569) "failed") (-410 (-954 |#1|)))) (-15 -3638 ((-3 (-569) "failed") (-410 (-954 |#1|)) (-1163) (-836 (-410 (-954 |#1|))))) (-15 -3638 ((-3 (-569) "failed") (-410 (-954 |#1|)) (-1163) (-410 (-954 |#1|)) (-1145)))) 
+((-4490 (((-311 (-569)) (-53)) 11))) 
+(((-1108) (-10 -7 (-15 -4490 ((-311 (-569)) (-53))))) (T -1108)) 
+((-4490 (*1 *2 *3) (-12 (-5 *3 (-53)) (-5 *2 (-311 (-569))) (-5 *1 (-1108))))) 
+(-10 -7 (-15 -4490 ((-311 (-569)) (-53)))) 
+((-2568 (((-121) $ $) NIL)) (-1679 (($ $) 41)) (-3813 (((-121) $) 65)) (-2283 (($ $ $) 48)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 84)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3394 (($ $ $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3202 (($ $ $ $) 74)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL)) (-3036 (($ $ $) 71)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL)) (-2428 (((-569) $) NIL)) (-2506 (($ $ $) 59)) (-1696 (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 78) (((-680 (-569)) (-680 $)) 28)) (-3428 (((-3 $ "failed") $) NIL)) (-4401 (((-3 (-410 (-569)) "failed") $) NIL)) (-3103 (((-121) $) NIL)) (-1442 (((-410 (-569)) $) NIL)) (-4327 (($) 81) (($ $) 82)) (-2524 (($ $ $) 58)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-1389 (($ $ $ $) NIL)) (-4031 (($ $ $) 79)) (-2403 (((-121) $) NIL)) (-2381 (($ $ $) NIL)) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL)) (-1407 (((-121) $) 66)) (-1931 (((-121) $) 64)) (-3864 (($ $) 42)) (-3846 (((-3 $ "failed") $) NIL)) (-1781 (((-121) $) 75)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4131 (($ $ $ $) 72)) (-3291 (($ $ $) 68) (($) 39)) (-1538 (($ $ $) 67) (($) 38)) (-4372 (($ $) NIL)) (-1906 (($ $) 70)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-4466 (($ $ $) NIL)) (-4043 (($) NIL T CONST)) (-2761 (($ $) 50)) (-3360 (((-1109) $) NIL) (($ $) 69)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) 62) (($ (-635 $)) NIL)) (-1484 (($ $) NIL)) (-1743 (((-421 $) $) NIL)) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1657 (((-121) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 61)) (-3899 (($ $ (-764)) NIL) (($ $) NIL)) (-4185 (($ $) 51)) (-1971 (($ $) NIL)) (-3817 (((-569) $) 32) (((-542) $) NIL) (((-888 (-569)) $) NIL) (((-382) $) NIL) (((-216) $) NIL)) (-2185 (((-851) $) 31) (($ (-569)) 80) (($ $) NIL) (($ (-569)) 80)) (-1991 (((-764)) NIL)) (-4317 (((-121) $ $) NIL)) (-4248 (($ $ $) NIL)) (-1475 (($) 37)) (-1961 (((-121) $ $) NIL)) (-4423 (($ $ $ $) 73)) (-1616 (($ $) 63)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-2547 (($ $ $) 44)) (-3369 (($) 35 T CONST)) (-1875 (($ $ $) 47)) (-1556 (($) 36 T CONST)) (-1940 (((-1145) $) 21) (((-1145) $ (-121)) 23) (((-1252) (-818) $) 24) (((-1252) (-818) $ (-121)) 25)) (-1849 (($ $) 45)) (-3022 (($ $ (-764)) NIL) (($ $) NIL)) (-3788 (($ $ $) 46)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 40)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 49)) (-2540 (($ $ $) 43)) (-1711 (($ $) 52) (($ $ $) 54)) (-1707 (($ $ $) 53)) (** (($ $ (-918)) NIL) (($ $ (-764)) 57)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 34) (($ $ $) 55))) 
+(((-1109) (-13 (-551) (-652) (-824) (-10 -8 (-6 -4522) (-6 -4527) (-6 -4523) (-15 -1538 ($)) (-15 -3291 ($)) (-15 -3864 ($ $)) (-15 -1679 ($ $)) (-15 -2540 ($ $ $)) (-15 -2547 ($ $ $)) (-15 -2283 ($ $ $)) (-15 -1849 ($ $)) (-15 -3788 ($ $ $)) (-15 -1875 ($ $ $))))) (T -1109)) 
+((-2547 (*1 *1 *1 *1) (-5 *1 (-1109))) (-2540 (*1 *1 *1 *1) (-5 *1 (-1109))) (-1679 (*1 *1 *1) (-5 *1 (-1109))) (-1538 (*1 *1) (-5 *1 (-1109))) (-3291 (*1 *1) (-5 *1 (-1109))) (-3864 (*1 *1 *1) (-5 *1 (-1109))) (-2283 (*1 *1 *1 *1) (-5 *1 (-1109))) (-1849 (*1 *1 *1) (-5 *1 (-1109))) (-3788 (*1 *1 *1 *1) (-5 *1 (-1109))) (-1875 (*1 *1 *1 *1) (-5 *1 (-1109)))) 
+(-13 (-551) (-652) (-824) (-10 -8 (-6 -4522) (-6 -4527) (-6 -4523) (-15 -1538 ($)) (-15 -3291 ($)) (-15 -3864 ($ $)) (-15 -1679 ($ $)) (-15 -2540 ($ $ $)) (-15 -2547 ($ $ $)) (-15 -2283 ($ $ $)) (-15 -1849 ($ $)) (-15 -3788 ($ $ $)) (-15 -1875 ($ $ $)))) 
+((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-3275 ((|#1| $) 41)) (-1691 (((-121) $ (-764)) 8)) (-2820 (($) 7 T CONST)) (-3309 ((|#1| |#1| $) 43)) (-1646 ((|#1| $) 42)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3889 ((|#1| $) 36)) (-3172 (($ |#1| $) 37)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-1856 ((|#1| $) 38)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-2835 (((-764) $) 40)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2793 (($ (-635 |#1|)) 39)) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-1110 |#1|) (-1278) (-1197)) (T -1110)) 
+((-3309 (*1 *2 *2 *1) (-12 (-4 *1 (-1110 *2)) (-4 *2 (-1197)))) (-1646 (*1 *2 *1) (-12 (-4 *1 (-1110 *2)) (-4 *2 (-1197)))) (-3275 (*1 *2 *1) (-12 (-4 *1 (-1110 *2)) (-4 *2 (-1197)))) (-2835 (*1 *2 *1) (-12 (-4 *1 (-1110 *3)) (-4 *3 (-1197)) (-5 *2 (-764))))) 
+(-13 (-111 |t#1|) (-10 -8 (-6 -4535) (-15 -3309 (|t#1| |t#1| $)) (-15 -1646 (|t#1| $)) (-15 -3275 (|t#1| $)) (-15 -2835 ((-764) $)))) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
+((-1377 ((|#3| $) 76)) (-1647 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#3| "failed") $) 40)) (-2428 (((-569) $) NIL) (((-410 (-569)) $) NIL) ((|#3| $) 37)) (-1696 (((-680 (-569)) (-680 $)) NIL) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL) (((-2 (|:| -3477 (-680 |#3|)) (|:| |vec| (-1247 |#3|))) (-680 $) (-1247 $)) 73) (((-680 |#3|) (-680 $)) 65)) (-3899 (($ $ (-1 |#3| |#3|)) 19) (($ $ (-1 |#3| |#3|) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163)) NIL) (($ $ (-764)) NIL) (($ $) NIL)) (-4397 ((|#3| $) 78)) (-3425 ((|#4| $) 32)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL) (($ |#3|) 16)) (** (($ $ (-918)) NIL) (($ $ (-764)) 15) (($ $ (-569)) 82))) 
+(((-1111 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 ** (|#1| |#1| (-569))) (-15 -4397 (|#3| |#1|)) (-15 -1377 (|#3| |#1|)) (-15 -3425 (|#4| |#1|)) (-15 -1696 ((-680 |#3|) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 |#3|)) (|:| |vec| (-1247 |#3|))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-680 (-569)) (-680 |#1|))) (-15 -2428 (|#3| |#1|)) (-15 -1647 ((-3 |#3| "failed") |#1|)) (-15 -2185 (|#1| |#3|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3899 (|#1| |#1| (-1 |#3| |#3|) (-764))) (-15 -3899 (|#1| |#1| (-1 |#3| |#3|))) (-15 -2185 (|#1| (-569))) (-15 ** (|#1| |#1| (-764))) (-15 ** (|#1| |#1| (-918))) (-15 -2185 ((-851) |#1|))) (-1112 |#2| |#3| |#4| |#5|) (-764) (-1048) (-231 |#2| |#3|) (-231 |#2| |#3|)) (T -1111)) 
+NIL 
+(-10 -8 (-15 ** (|#1| |#1| (-569))) (-15 -4397 (|#3| |#1|)) (-15 -1377 (|#3| |#1|)) (-15 -3425 (|#4| |#1|)) (-15 -1696 ((-680 |#3|) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 |#3|)) (|:| |vec| (-1247 |#3|))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-680 (-569)) (-680 |#1|))) (-15 -2428 (|#3| |#1|)) (-15 -1647 ((-3 |#3| "failed") |#1|)) (-15 -2185 (|#1| |#3|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3899 (|#1| |#1| (-1 |#3| |#3|) (-764))) (-15 -3899 (|#1| |#1| (-1 |#3| |#3|))) (-15 -2185 (|#1| (-569))) (-15 ** (|#1| |#1| (-764))) (-15 ** (|#1| |#1| (-918))) (-15 -2185 ((-851) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1377 ((|#2| $) 69)) (-4144 (((-121) $) 109)) (-2327 (((-3 $ "failed") $ $) 18)) (-3569 (((-121) $) 107)) (-1691 (((-121) $ (-764)) 99)) (-1574 (($ |#2|) 72)) (-2820 (($) 16 T CONST)) (-4036 (($ $) 126 (|has| |#2| (-302)))) (-1765 ((|#3| $ (-569)) 121)) (-1647 (((-3 (-569) "failed") $) 83 (|has| |#2| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) 81 (|has| |#2| (-1038 (-410 (-569))))) (((-3 |#2| "failed") $) 78)) (-2428 (((-569) $) 84 (|has| |#2| (-1038 (-569)))) (((-410 (-569)) $) 82 (|has| |#2| (-1038 (-410 (-569))))) ((|#2| $) 77)) (-1696 (((-680 (-569)) (-680 $)) 76 (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 75 (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) 74) (((-680 |#2|) (-680 $)) 73)) (-3428 (((-3 $ "failed") $) 33)) (-1321 (((-764) $) 127 (|has| |#2| (-559)))) (-1618 ((|#2| $ (-569) (-569)) 119)) (-3470 (((-635 |#2|) $) 92 (|has| $ (-6 -4535)))) (-1407 (((-121) $) 30)) (-3695 (((-764) $) 128 (|has| |#2| (-559)))) (-3645 (((-635 |#4|) $) 129 (|has| |#2| (-559)))) (-1810 (((-764) $) 115)) (-2806 (((-764) $) 116)) (-1974 (((-121) $ (-764)) 100)) (-1558 ((|#2| $) 64 (|has| |#2| (-6 (-4537 "*"))))) (-3992 (((-569) $) 111)) (-3127 (((-569) $) 113)) (-4259 (((-635 |#2|) $) 91 (|has| $ (-6 -4535)))) (-3660 (((-121) |#2| $) 89 (-12 (|has| |#2| (-1091)) (|has| $ (-6 -4535))))) (-1866 (((-569) $) 112)) (-1581 (((-569) $) 114)) (-1483 (($ (-635 (-635 |#2|))) 106)) (-1853 (($ (-1 |#2| |#2|) $) 96 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#2| |#2| |#2|) $ $) 123) (($ (-1 |#2| |#2|) $) 97)) (-2550 (((-635 (-635 |#2|)) $) 117)) (-2006 (((-121) $ (-764)) 101)) (-2776 (((-1145) $) 9)) (-4480 (((-3 $ "failed") $) 63 (|has| |#2| (-366)))) (-3360 (((-1109) $) 10)) (-2941 (((-3 $ "failed") $ |#2|) 124 (|has| |#2| (-559)))) (-4177 (((-121) (-1 (-121) |#2|) $) 94 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#2|))) 88 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) 87 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) 86 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) 85 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) 105)) (-1601 (((-121) $) 102)) (-1296 (($) 103)) (-1534 ((|#2| $ (-569) (-569) |#2|) 120) ((|#2| $ (-569) (-569)) 118)) (-3899 (($ $ (-1 |#2| |#2|)) 51) (($ $ (-1 |#2| |#2|) (-764)) 50) (($ $ (-635 (-1163)) (-635 (-764))) 43 (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) 42 (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) 41 (|has| |#2| (-896 (-1163)))) (($ $ (-1163)) 40 (|has| |#2| (-896 (-1163)))) (($ $ (-764)) 38 (|has| |#2| (-226))) (($ $) 36 (|has| |#2| (-226)))) (-4397 ((|#2| $) 68)) (-2455 (($ (-635 |#2|)) 71)) (-2584 (((-121) $) 108)) (-3425 ((|#3| $) 70)) (-1787 ((|#2| $) 65 (|has| |#2| (-6 (-4537 "*"))))) (-2846 (((-764) (-1 (-121) |#2|) $) 93 (|has| $ (-6 -4535))) (((-764) |#2| $) 90 (-12 (|has| |#2| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 104)) (-3419 ((|#4| $ (-569)) 122)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 80 (|has| |#2| (-1038 (-410 (-569))))) (($ |#2|) 79)) (-1991 (((-764)) 28)) (-2066 (((-121) (-1 (-121) |#2|) $) 95 (|has| $ (-6 -4535)))) (-2256 (((-121) $) 110)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-1 |#2| |#2|)) 49) (($ $ (-1 |#2| |#2|) (-764)) 48) (($ $ (-635 (-1163)) (-635 (-764))) 47 (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) 46 (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) 45 (|has| |#2| (-896 (-1163)))) (($ $ (-1163)) 44 (|has| |#2| (-896 (-1163)))) (($ $ (-764)) 39 (|has| |#2| (-226))) (($ $) 37 (|has| |#2| (-226)))) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#2|) 125 (|has| |#2| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 62 (|has| |#2| (-366)))) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#2|) 131) (($ |#2| $) 130) ((|#4| $ |#4|) 67) ((|#3| |#3| $) 66)) (-4168 (((-764) $) 98 (|has| $ (-6 -4535))))) 
+(((-1112 |#1| |#2| |#3| |#4|) (-1278) (-764) (-1048) (-231 |t#1| |t#2|) (-231 |t#1| |t#2|)) (T -1112)) 
+((-1574 (*1 *1 *2) (-12 (-4 *2 (-1048)) (-4 *1 (-1112 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)))) (-2455 (*1 *1 *2) (-12 (-5 *2 (-635 *4)) (-4 *4 (-1048)) (-4 *1 (-1112 *3 *4 *5 *6)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *3 *4)))) (-3425 (*1 *2 *1) (-12 (-4 *1 (-1112 *3 *4 *2 *5)) (-4 *4 (-1048)) (-4 *5 (-231 *3 *4)) (-4 *2 (-231 *3 *4)))) (-1377 (*1 *2 *1) (-12 (-4 *1 (-1112 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (-4 *2 (-1048)))) (-4397 (*1 *2 *1) (-12 (-4 *1 (-1112 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (-4 *2 (-1048)))) (* (*1 *2 *1 *2) (-12 (-4 *1 (-1112 *3 *4 *5 *2)) (-4 *4 (-1048)) (-4 *5 (-231 *3 *4)) (-4 *2 (-231 *3 *4)))) (* (*1 *2 *2 *1) (-12 (-4 *1 (-1112 *3 *4 *2 *5)) (-4 *4 (-1048)) (-4 *2 (-231 *3 *4)) (-4 *5 (-231 *3 *4)))) (-1787 (*1 *2 *1) (-12 (-4 *1 (-1112 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (|has| *2 (-6 (-4537 "*"))) (-4 *2 (-1048)))) (-1558 (*1 *2 *1) (-12 (-4 *1 (-1112 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (|has| *2 (-6 (-4537 "*"))) (-4 *2 (-1048)))) (-4480 (*1 *1 *1) (|partial| -12 (-4 *1 (-1112 *2 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-231 *2 *3)) (-4 *5 (-231 *2 *3)) (-4 *3 (-366)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1112 *3 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *3 *4)) (-4 *4 (-366))))) 
+(-13 (-224 |t#2|) (-120 |t#2| |t#2|) (-1051 |t#1| |t#1| |t#2| |t#3| |t#4|) (-414 |t#2|) (-380 |t#2|) (-10 -8 (IF (|has| |t#2| (-173)) (-6 (-708 |t#2|)) |noBranch|) (-15 -1574 ($ |t#2|)) (-15 -2455 ($ (-635 |t#2|))) (-15 -3425 (|t#3| $)) (-15 -1377 (|t#2| $)) (-15 -4397 (|t#2| $)) (-15 * (|t#4| $ |t#4|)) (-15 * (|t#3| |t#3| $)) (IF (|has| |t#2| (-6 (-4537 "*"))) (PROGN (-6 (-43 |t#2|)) (-15 -1787 (|t#2| $)) (-15 -1558 (|t#2| $))) |noBranch|) (IF (|has| |t#2| (-366)) (PROGN (-15 -4480 ((-3 $ "failed") $)) (-15 ** ($ $ (-569)))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-39) . T) ((-43 |#2|) |has| |#2| (-6 (-4537 "*"))) ((-105) . T) ((-120 |#2| |#2|) . T) ((-138) . T) ((-609 (-851)) . T) ((-224 |#2|) . T) ((-226) |has| |#2| (-226)) ((-304 |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) ((-380 |#2|) . T) ((-414 |#2|) . T) ((-500 |#2|) . T) ((-524 |#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) ((-638 |#2|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#2| (-631 (-569))) ((-631 |#2|) . T) ((-708 |#2|) -2232 (|has| |#2| (-173)) (|has| |#2| (-6 (-4537 "*")))) ((-717) . T) ((-896 (-1163)) |has| |#2| (-896 (-1163))) ((-1051 |#1| |#1| |#2| |#3| |#4|) . T) ((-1038 (-410 (-569))) |has| |#2| (-1038 (-410 (-569)))) ((-1038 (-569)) |has| |#2| (-1038 (-569))) ((-1038 |#2|) . T) ((-1054 |#2|) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1197) . T)) 
+((-3525 ((|#4| |#4|) 67)) (-3711 ((|#4| |#4|) 62)) (-4115 (((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -3930 (-635 |#3|))) |#4| |#3|) 75)) (-2013 (((-2 (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|) 66)) (-2424 (((-2 (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|) 64))) 
+(((-1113 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3711 (|#4| |#4|)) (-15 -2424 ((-2 (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|)) (-15 -3525 (|#4| |#4|)) (-15 -2013 ((-2 (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|)) (-15 -4115 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -3930 (-635 |#3|))) |#4| |#3|))) (-302) (-376 |#1|) (-376 |#1|) (-678 |#1| |#2| |#3|)) (T -1113)) 
+((-4115 (*1 *2 *3 *4) (-12 (-4 *5 (-302)) (-4 *6 (-376 *5)) (-4 *4 (-376 *5)) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-1113 *5 *6 *4 *3)) (-4 *3 (-678 *5 *6 *4)))) (-2013 (*1 *2 *3) (-12 (-4 *4 (-302)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-2 (|:| |Smith| *3) (|:| |leftEqMat| *3) (|:| |rightEqMat| *3))) (-5 *1 (-1113 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) (-3525 (*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1113 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5)))) (-2424 (*1 *2 *3) (-12 (-4 *4 (-302)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-2 (|:| |Hermite| *3) (|:| |eqMat| *3))) (-5 *1 (-1113 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) (-3711 (*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1113 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5))))) 
+(-10 -7 (-15 -3711 (|#4| |#4|)) (-15 -2424 ((-2 (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|)) (-15 -3525 (|#4| |#4|)) (-15 -2013 ((-2 (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|)) (-15 -4115 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -3930 (-635 |#3|))) |#4| |#3|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 17)) (-1773 (((-635 |#2|) $) 160)) (-1739 (((-1159 $) $ |#2|) 54) (((-1159 |#1|) $) 43)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 110 (|has| |#1| (-559)))) (-3383 (($ $) 112 (|has| |#1| (-559)))) (-4354 (((-121) $) 114 (|has| |#1| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 |#2|)) 193)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-2004 (($ $) NIL (|has| |#1| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) 157) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 |#2| "failed") $) NIL)) (-2428 ((|#1| $) 155) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1038 (-569)))) ((|#2| $) NIL)) (-3493 (($ $ $ |#2|) NIL (|has| |#1| (-173)))) (-4020 (($ $) 197)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) NIL) (((-680 |#1|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) 82)) (-1340 (($ $) NIL (|has| |#1| (-454))) (($ $ |#2|) NIL (|has| |#1| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#1| (-905)))) (-1667 (($ $ |#1| (-535 |#2|) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| |#1| (-882 (-382))) (|has| |#2| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| |#1| (-882 (-569))) (|has| |#2| (-882 (-569)))))) (-1407 (((-121) $) 19)) (-4244 (((-764) $) 26)) (-1768 (($ (-1159 |#1|) |#2|) 48) (($ (-1159 $) |#2|) 64)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) 31)) (-1763 (($ |#1| (-535 |#2|)) 71) (($ $ |#2| (-764)) 52) (($ $ (-635 |#2|) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ |#2|) NIL)) (-4002 (((-535 |#2|) $) 187) (((-764) $ |#2|) 188) (((-635 (-764)) $ (-635 |#2|)) 189)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-2658 (($ (-1 (-535 |#2|) (-535 |#2|)) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) 122)) (-1637 (((-3 |#2| "failed") $) 162)) (-1804 (($ $) 196)) (-4012 ((|#1| $) 37)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2776 (((-1145) $) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| |#2|) (|:| -2356 (-764))) "failed") $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) 32)) (-1801 ((|#1| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 140 (|has| |#1| (-454)))) (-2714 (($ (-635 $)) 145 (|has| |#1| (-454))) (($ $ $) 132 (|has| |#1| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-905)))) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) 120 (|has| |#1| (-559)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ |#2| |#1|) 165) (($ $ (-635 |#2|) (-635 |#1|)) 178) (($ $ |#2| $) 164) (($ $ (-635 |#2|) (-635 $)) 177)) (-2087 (($ $ |#2|) NIL (|has| |#1| (-173)))) (-3899 (($ $ |#2|) 195) (($ $ (-635 |#2|)) NIL) (($ $ |#2| (-764)) NIL) (($ $ (-635 |#2|) (-635 (-764))) NIL)) (-2492 (((-535 |#2|) $) 183) (((-764) $ |#2|) 179) (((-635 (-764)) $ (-635 |#2|)) 181)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| |#1| (-610 (-888 (-382)))) (|has| |#2| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| |#1| (-610 (-888 (-569)))) (|has| |#2| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| |#1| (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-3298 ((|#1| $) 128 (|has| |#1| (-454))) (($ $ |#2|) 131 (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-905))))) (-2185 (((-851) $) 151) (($ (-569)) 76) (($ |#1|) 77) (($ |#2|) 28) (($ $) NIL (|has| |#1| (-559))) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569))))))) (-3382 (((-635 |#1|) $) 154)) (-1653 ((|#1| $ (-535 |#2|)) 73) (($ $ |#2| (-764)) NIL) (($ $ (-635 |#2|) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) 79)) (-4086 (($ $ $ (-764)) NIL (|has| |#1| (-173)))) (-1961 (((-121) $ $) 117 (|has| |#1| (-559)))) (-2427 (($ $ (-918)) 102) (($ $ (-764)) 104)) (-3369 (($) 12 T CONST)) (-1556 (($) 14 T CONST)) (-3022 (($ $ |#2|) NIL) (($ $ (-635 |#2|)) NIL) (($ $ |#2| (-764)) NIL) (($ $ (-635 |#2|) (-635 (-764))) NIL)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) 97)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1715 (($ $ |#1|) 126 (|has| |#1| (-366)))) (-1711 (($ $) 85) (($ $ $) 95)) (-1707 (($ $ $) 49)) (** (($ $ (-918)) 103) (($ $ (-764)) 100)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 88) (($ $ $) 65) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 90) (($ $ |#1|) NIL))) 
+(((-1114 |#1| |#2|) (-951 |#1| (-535 |#2|) |#2|) (-1048) (-843)) (T -1114)) 
+NIL 
+(-951 |#1| (-535 |#2|) |#2|) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 |#2|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-1753 (($ $) 154 (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1744 (($ $) 150 (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) 126 (|has| |#1| (-43 (-410 (-569)))))) (-1760 (($ $) 158 (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) 134 (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2088 (((-954 |#1|) $ (-764)) NIL) (((-954 |#1|) $ (-764) (-764)) NIL)) (-2777 (((-121) $) NIL)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-764) $ |#2|) NIL) (((-764) $ |#2| (-764)) NIL)) (-1407 (((-121) $) NIL)) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3523 (((-121) $) NIL)) (-1763 (($ $ (-635 |#2|) (-635 (-535 |#2|))) NIL) (($ $ |#2| (-535 |#2|)) NIL) (($ |#1| (-535 |#2|)) NIL) (($ $ |#2| (-764)) 71) (($ $ (-635 |#2|) (-635 (-764))) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-4450 (($ $) 124 (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-2565 (($ $ |#2|) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ |#2| |#1|) 177 (|has| |#1| (-43 (-410 (-569)))))) (-3360 (((-1109) $) NIL)) (-3304 (($ (-1 $) |#2| |#1|) 176 (|has| |#1| (-43 (-410 (-569)))))) (-3499 (($ $ (-764)) 15)) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-2436 (($ $) 122 (|has| |#1| (-43 (-410 (-569)))))) (-1468 (($ $ |#2| $) 109) (($ $ (-635 |#2|) (-635 $)) 102) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL)) (-3899 (($ $ |#2|) 111) (($ $ (-635 |#2|)) NIL) (($ $ |#2| (-764)) NIL) (($ $ (-635 |#2|) (-635 (-764))) NIL)) (-2492 (((-535 |#2|) $) NIL)) (-1660 (((-1 (-1143 |#3|) |#3|) (-635 |#2|) (-635 (-1143 |#3|))) 92)) (-1764 (($ $) 160 (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) 136 (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) 156 (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) 152 (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) 128 (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) 17)) (-2185 (((-851) $) 192) (($ (-569)) NIL) (($ |#1|) 59 (|has| |#1| (-173))) (($ $) NIL (|has| |#1| (-559))) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#2|) 78) (($ |#3|) 76)) (-1653 ((|#1| $ (-535 |#2|)) 57) (($ $ |#2| (-764)) NIL) (($ $ (-635 |#2|) (-635 (-764))) 50) ((|#3| $ (-764)) 42)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-1779 (($ $) 166 (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) 142 (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) 162 (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) 138 (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) 170 (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) 146 (|has| |#1| (-43 (-410 (-569)))))) (-2430 (($ $) 172 (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) 148 (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) 168 (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) 144 (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) 164 (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) 140 (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 18 T CONST)) (-1556 (($) 10 T CONST)) (-3022 (($ $ |#2|) NIL) (($ $ (-635 |#2|)) NIL) (($ $ |#2| (-764)) NIL) (($ $ (-635 |#2|) (-635 (-764))) NIL)) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ |#1|) 194 (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 74)) (** (($ $ (-918)) NIL) (($ $ (-764)) 83) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 114 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 73) (($ $ (-410 (-569))) 119 (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) 117 (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 62) (($ $ |#1|) 63) (($ |#3| $) 61))) 
+(((-1115 |#1| |#2| |#3|) (-13 (-731 |#1| |#2|) (-10 -8 (-15 -1653 (|#3| $ (-764))) (-15 -2185 ($ |#2|)) (-15 -2185 ($ |#3|)) (-15 * ($ |#3| $)) (-15 -1660 ((-1 (-1143 |#3|) |#3|) (-635 |#2|) (-635 (-1143 |#3|)))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -2565 ($ $ |#2| |#1|)) (-15 -3304 ($ (-1 $) |#2| |#1|))) |noBranch|))) (-1048) (-843) (-951 |#1| (-535 |#2|) |#2|)) (T -1115)) 
+((-1653 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *2 (-951 *4 (-535 *5) *5)) (-5 *1 (-1115 *4 *5 *2)) (-4 *4 (-1048)) (-4 *5 (-843)))) (-2185 (*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *2 (-843)) (-5 *1 (-1115 *3 *2 *4)) (-4 *4 (-951 *3 (-535 *2) *2)))) (-2185 (*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *4 (-843)) (-5 *1 (-1115 *3 *4 *2)) (-4 *2 (-951 *3 (-535 *4) *4)))) (* (*1 *1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-843)) (-5 *1 (-1115 *3 *4 *2)) (-4 *2 (-951 *3 (-535 *4) *4)))) (-1660 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 (-1143 *7))) (-4 *6 (-843)) (-4 *7 (-951 *5 (-535 *6) *6)) (-4 *5 (-1048)) (-5 *2 (-1 (-1143 *7) *7)) (-5 *1 (-1115 *5 *6 *7)))) (-2565 (*1 *1 *1 *2 *3) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-4 *2 (-843)) (-5 *1 (-1115 *3 *2 *4)) (-4 *4 (-951 *3 (-535 *2) *2)))) (-3304 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1115 *4 *3 *5))) (-4 *4 (-43 (-410 (-569)))) (-4 *4 (-1048)) (-4 *3 (-843)) (-5 *1 (-1115 *4 *3 *5)) (-4 *5 (-951 *4 (-535 *3) *3))))) 
+(-13 (-731 |#1| |#2|) (-10 -8 (-15 -1653 (|#3| $ (-764))) (-15 -2185 ($ |#2|)) (-15 -2185 ($ |#3|)) (-15 * ($ |#3| $)) (-15 -1660 ((-1 (-1143 |#3|) |#3|) (-635 |#2|) (-635 (-1143 |#3|)))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -2565 ($ $ |#2| |#1|)) (-15 -3304 ($ (-1 $) |#2| |#1|))) |noBranch|))) 
+((-2568 (((-121) $ $) 7)) (-3839 (((-635 (-2 (|:| -3585 $) (|:| -3230 (-635 |#4|)))) (-635 |#4|)) 78)) (-4426 (((-635 $) (-635 |#4|)) 79) (((-635 $) (-635 |#4|) (-121)) 104)) (-1773 (((-635 |#3|) $) 32)) (-3008 (((-121) $) 25)) (-3625 (((-121) $) 16 (|has| |#1| (-559)))) (-2061 (((-121) |#4| $) 94) (((-121) $) 90)) (-3982 ((|#4| |#4| $) 85)) (-2004 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 $))) |#4| $) 119)) (-3113 (((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ |#3|) 26)) (-1691 (((-121) $ (-764)) 43)) (-1962 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4535))) (((-3 |#4| "failed") $ |#3|) 72)) (-2820 (($) 44 T CONST)) (-4162 (((-121) $) 21 (|has| |#1| (-559)))) (-2716 (((-121) $ $) 23 (|has| |#1| (-559)))) (-3532 (((-121) $ $) 22 (|has| |#1| (-559)))) (-2398 (((-121) $) 24 (|has| |#1| (-559)))) (-3694 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-4318 (((-635 |#4|) (-635 |#4|) $) 17 (|has| |#1| (-559)))) (-1322 (((-635 |#4|) (-635 |#4|) $) 18 (|has| |#1| (-559)))) (-1647 (((-3 $ "failed") (-635 |#4|)) 35)) (-2428 (($ (-635 |#4|)) 34)) (-2046 (((-3 $ "failed") $) 75)) (-4407 ((|#4| |#4| $) 82)) (-2033 (($ $) 67 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ |#4| $) 66 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4535)))) (-1830 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-559)))) (-3255 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-2045 ((|#4| |#4| $) 80)) (-1774 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4535))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4535))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-4038 (((-2 (|:| -3585 (-635 |#4|)) (|:| -3230 (-635 |#4|))) $) 98)) (-1658 (((-121) |#4| $) 129)) (-3903 (((-121) |#4| $) 126)) (-3617 (((-121) |#4| $) 130) (((-121) $) 127)) (-3470 (((-635 |#4|) $) 51 (|has| $ (-6 -4535)))) (-3977 (((-121) |#4| $) 97) (((-121) $) 96)) (-4357 ((|#3| $) 33)) (-1974 (((-121) $ (-764)) 42)) (-4259 (((-635 |#4|) $) 52 (|has| $ (-6 -4535)))) (-3660 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#4| |#4|) $) 46)) (-1833 (((-635 |#3|) $) 31)) (-2760 (((-121) |#3| $) 30)) (-2006 (((-121) $ (-764)) 41)) (-2776 (((-1145) $) 9)) (-2870 (((-3 |#4| (-635 $)) |#4| |#4| $) 121)) (-3988 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 $))) |#4| |#4| $) 120)) (-4213 (((-3 |#4| "failed") $) 76)) (-2482 (((-635 $) |#4| $) 122)) (-3730 (((-3 (-121) (-635 $)) |#4| $) 125)) (-2253 (((-635 (-2 (|:| |val| (-121)) (|:| -4003 $))) |#4| $) 124) (((-121) |#4| $) 123)) (-2652 (((-635 $) |#4| $) 118) (((-635 $) (-635 |#4|) $) 117) (((-635 $) (-635 |#4|) (-635 $)) 116) (((-635 $) |#4| (-635 $)) 115)) (-3897 (($ |#4| $) 110) (($ (-635 |#4|) $) 109)) (-2515 (((-635 |#4|) $) 100)) (-3409 (((-121) |#4| $) 92) (((-121) $) 88)) (-3005 ((|#4| |#4| $) 83)) (-2673 (((-121) $ $) 103)) (-2439 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-559)))) (-4310 (((-121) |#4| $) 93) (((-121) $) 89)) (-2533 ((|#4| |#4| $) 84)) (-3360 (((-1109) $) 10)) (-4353 (((-3 |#4| "failed") $) 77)) (-2502 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-1913 (((-3 $ "failed") $ |#4|) 71)) (-3499 (($ $ |#4|) 70) (((-635 $) |#4| $) 108) (((-635 $) |#4| (-635 $)) 107) (((-635 $) (-635 |#4|) $) 106) (((-635 $) (-635 |#4|) (-635 $)) 105)) (-4177 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#4|) (-635 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-635 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))))) (-3137 (((-121) $ $) 37)) (-1601 (((-121) $) 40)) (-1296 (($) 39)) (-2492 (((-764) $) 99)) (-2846 (((-764) |#4| $) 53 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) (((-764) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4535)))) (-1971 (($ $) 38)) (-3817 (((-542) $) 68 (|has| |#4| (-610 (-542))))) (-2139 (($ (-635 |#4|)) 59)) (-4201 (($ $ |#3|) 27)) (-3460 (($ $ |#3|) 29)) (-4208 (($ $) 81)) (-2630 (($ $ |#3|) 28)) (-2185 (((-851) $) 11) (((-635 |#4|) $) 36)) (-3435 (((-764) $) 69 (|has| |#3| (-371)))) (-1702 (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-3321 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) 91)) (-4455 (((-635 $) |#4| $) 114) (((-635 $) |#4| (-635 $)) 113) (((-635 $) (-635 |#4|) $) 112) (((-635 $) (-635 |#4|) (-635 $)) 111)) (-2066 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4535)))) (-3502 (((-635 |#3|) $) 74)) (-4060 (((-121) |#4| $) 128)) (-3673 (((-121) |#3| $) 73)) (-1668 (((-121) $ $) 6)) (-4168 (((-764) $) 45 (|has| $ (-6 -4535))))) 
+(((-1116 |#1| |#2| |#3| |#4|) (-1278) (-454) (-789) (-843) (-1062 |t#1| |t#2| |t#3|)) (T -1116)) 
+NIL 
+(-13 (-1100 |t#1| |t#2| |t#3| |t#4|) (-780 |t#1| |t#2| |t#3| |t#4|)) 
+(((-39) . T) ((-105) . T) ((-609 (-635 |#4|)) . T) ((-609 (-851)) . T) ((-155 |#4|) . T) ((-610 (-542)) |has| |#4| (-610 (-542))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))) ((-500 |#4|) . T) ((-524 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))) ((-780 |#1| |#2| |#3| |#4|) . T) ((-978 |#1| |#2| |#3| |#4|) . T) ((-1067 |#1| |#2| |#3| |#4|) . T) ((-1091) . T) ((-1100 |#1| |#2| |#3| |#4|) . T) ((-1191 |#1| |#2| |#3| |#4|) . T) ((-1197) . T)) 
+((-4435 (((-635 |#2|) |#1|) 12)) (-3907 (((-635 |#2|) |#2| |#2| |#2| |#2| |#2|) 37) (((-635 |#2|) |#1|) 47)) (-2065 (((-635 |#2|) |#2| |#2| |#2|) 35) (((-635 |#2|) |#1|) 45)) (-2163 ((|#2| |#1|) 42)) (-2724 (((-2 (|:| |solns| (-635 |#2|)) (|:| |maps| (-635 (-2 (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (-1 |#2| |#2|)) 16)) (-4055 (((-635 |#2|) |#2| |#2|) 34) (((-635 |#2|) |#1|) 44)) (-2035 (((-635 |#2|) |#2| |#2| |#2| |#2|) 36) (((-635 |#2|) |#1|) 46)) (-2996 ((|#2| |#2| |#2| |#2| |#2| |#2|) 41)) (-2044 ((|#2| |#2| |#2| |#2|) 39)) (-4313 ((|#2| |#2| |#2|) 38)) (-2591 ((|#2| |#2| |#2| |#2| |#2|) 40))) 
+(((-1117 |#1| |#2|) (-10 -7 (-15 -4435 ((-635 |#2|) |#1|)) (-15 -2163 (|#2| |#1|)) (-15 -2724 ((-2 (|:| |solns| (-635 |#2|)) (|:| |maps| (-635 (-2 (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (-1 |#2| |#2|))) (-15 -4055 ((-635 |#2|) |#1|)) (-15 -2065 ((-635 |#2|) |#1|)) (-15 -2035 ((-635 |#2|) |#1|)) (-15 -3907 ((-635 |#2|) |#1|)) (-15 -4055 ((-635 |#2|) |#2| |#2|)) (-15 -2065 ((-635 |#2|) |#2| |#2| |#2|)) (-15 -2035 ((-635 |#2|) |#2| |#2| |#2| |#2|)) (-15 -3907 ((-635 |#2|) |#2| |#2| |#2| |#2| |#2|)) (-15 -4313 (|#2| |#2| |#2|)) (-15 -2044 (|#2| |#2| |#2| |#2|)) (-15 -2591 (|#2| |#2| |#2| |#2| |#2|)) (-15 -2996 (|#2| |#2| |#2| |#2| |#2| |#2|))) (-1222 |#2|) (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (T -1117)) 
+((-2996 (*1 *2 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1117 *3 *2)) (-4 *3 (-1222 *2)))) (-2591 (*1 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1117 *3 *2)) (-4 *3 (-1222 *2)))) (-2044 (*1 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1117 *3 *2)) (-4 *3 (-1222 *2)))) (-4313 (*1 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1117 *3 *2)) (-4 *3 (-1222 *2)))) (-3907 (*1 *2 *3 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1117 *4 *3)) (-4 *4 (-1222 *3)))) (-2035 (*1 *2 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1117 *4 *3)) (-4 *4 (-1222 *3)))) (-2065 (*1 *2 *3 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1117 *4 *3)) (-4 *4 (-1222 *3)))) (-4055 (*1 *2 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1117 *4 *3)) (-4 *4 (-1222 *3)))) (-3907 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1117 *3 *4)) (-4 *3 (-1222 *4)))) (-2035 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1117 *3 *4)) (-4 *3 (-1222 *4)))) (-2065 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1117 *3 *4)) (-4 *3 (-1222 *4)))) (-4055 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1117 *3 *4)) (-4 *3 (-1222 *4)))) (-2724 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *5 *5)) (-4 *5 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-2 (|:| |solns| (-635 *5)) (|:| |maps| (-635 (-2 (|:| |arg| *5) (|:| |res| *5)))))) (-5 *1 (-1117 *3 *5)) (-4 *3 (-1222 *5)))) (-2163 (*1 *2 *3) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1117 *3 *2)) (-4 *3 (-1222 *2)))) (-4435 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1117 *3 *4)) (-4 *3 (-1222 *4))))) 
+(-10 -7 (-15 -4435 ((-635 |#2|) |#1|)) (-15 -2163 (|#2| |#1|)) (-15 -2724 ((-2 (|:| |solns| (-635 |#2|)) (|:| |maps| (-635 (-2 (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (-1 |#2| |#2|))) (-15 -4055 ((-635 |#2|) |#1|)) (-15 -2065 ((-635 |#2|) |#1|)) (-15 -2035 ((-635 |#2|) |#1|)) (-15 -3907 ((-635 |#2|) |#1|)) (-15 -4055 ((-635 |#2|) |#2| |#2|)) (-15 -2065 ((-635 |#2|) |#2| |#2| |#2|)) (-15 -2035 ((-635 |#2|) |#2| |#2| |#2| |#2|)) (-15 -3907 ((-635 |#2|) |#2| |#2| |#2| |#2| |#2|)) (-15 -4313 (|#2| |#2| |#2|)) (-15 -2044 (|#2| |#2| |#2| |#2|)) (-15 -2591 (|#2| |#2| |#2| |#2| |#2|)) (-15 -2996 (|#2| |#2| |#2| |#2| |#2| |#2|))) 
+((-1812 (((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-410 (-954 |#1|))))) 94) (((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-410 (-954 |#1|)))) (-635 (-1163))) 93) (((-635 (-635 (-289 (-311 |#1|)))) (-635 (-410 (-954 |#1|)))) 91) (((-635 (-635 (-289 (-311 |#1|)))) (-635 (-410 (-954 |#1|))) (-635 (-1163))) 89) (((-635 (-289 (-311 |#1|))) (-289 (-410 (-954 |#1|)))) 75) (((-635 (-289 (-311 |#1|))) (-289 (-410 (-954 |#1|))) (-1163)) 76) (((-635 (-289 (-311 |#1|))) (-410 (-954 |#1|))) 70) (((-635 (-289 (-311 |#1|))) (-410 (-954 |#1|)) (-1163)) 59)) (-3225 (((-635 (-635 (-311 |#1|))) (-635 (-410 (-954 |#1|))) (-635 (-1163))) 87) (((-635 (-311 |#1|)) (-410 (-954 |#1|)) (-1163)) 43)) (-1631 (((-1152 (-635 (-311 |#1|)) (-635 (-289 (-311 |#1|)))) (-410 (-954 |#1|)) (-1163)) 97) (((-1152 (-635 (-311 |#1|)) (-635 (-289 (-311 |#1|)))) (-289 (-410 (-954 |#1|))) (-1163)) 96))) 
+(((-1118 |#1|) (-10 -7 (-15 -1812 ((-635 (-289 (-311 |#1|))) (-410 (-954 |#1|)) (-1163))) (-15 -1812 ((-635 (-289 (-311 |#1|))) (-410 (-954 |#1|)))) (-15 -1812 ((-635 (-289 (-311 |#1|))) (-289 (-410 (-954 |#1|))) (-1163))) (-15 -1812 ((-635 (-289 (-311 |#1|))) (-289 (-410 (-954 |#1|))))) (-15 -1812 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-410 (-954 |#1|))) (-635 (-1163)))) (-15 -1812 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-410 (-954 |#1|))))) (-15 -1812 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-410 (-954 |#1|)))) (-635 (-1163)))) (-15 -1812 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-410 (-954 |#1|)))))) (-15 -3225 ((-635 (-311 |#1|)) (-410 (-954 |#1|)) (-1163))) (-15 -3225 ((-635 (-635 (-311 |#1|))) (-635 (-410 (-954 |#1|))) (-635 (-1163)))) (-15 -1631 ((-1152 (-635 (-311 |#1|)) (-635 (-289 (-311 |#1|)))) (-289 (-410 (-954 |#1|))) (-1163))) (-15 -1631 ((-1152 (-635 (-311 |#1|)) (-635 (-289 (-311 |#1|)))) (-410 (-954 |#1|)) (-1163)))) (-13 (-302) (-843) (-151))) (T -1118)) 
+((-1631 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-1152 (-635 (-311 *5)) (-635 (-289 (-311 *5))))) (-5 *1 (-1118 *5)))) (-1631 (*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-954 *5)))) (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-1152 (-635 (-311 *5)) (-635 (-289 (-311 *5))))) (-5 *1 (-1118 *5)))) (-3225 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 *5)))) (-5 *4 (-635 (-1163))) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-635 (-311 *5)))) (-5 *1 (-1118 *5)))) (-3225 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-311 *5))) (-5 *1 (-1118 *5)))) (-1812 (*1 *2 *3) (-12 (-5 *3 (-635 (-289 (-410 (-954 *4))))) (-4 *4 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *4))))) (-5 *1 (-1118 *4)))) (-1812 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-289 (-410 (-954 *5))))) (-5 *4 (-635 (-1163))) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *5))))) (-5 *1 (-1118 *5)))) (-1812 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 *4)))) (-4 *4 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *4))))) (-5 *1 (-1118 *4)))) (-1812 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 *5)))) (-5 *4 (-635 (-1163))) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *5))))) (-5 *1 (-1118 *5)))) (-1812 (*1 *2 *3) (-12 (-5 *3 (-289 (-410 (-954 *4)))) (-4 *4 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1118 *4)))) (-1812 (*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-954 *5)))) (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1118 *5)))) (-1812 (*1 *2 *3) (-12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1118 *4)))) (-1812 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1118 *5))))) 
+(-10 -7 (-15 -1812 ((-635 (-289 (-311 |#1|))) (-410 (-954 |#1|)) (-1163))) (-15 -1812 ((-635 (-289 (-311 |#1|))) (-410 (-954 |#1|)))) (-15 -1812 ((-635 (-289 (-311 |#1|))) (-289 (-410 (-954 |#1|))) (-1163))) (-15 -1812 ((-635 (-289 (-311 |#1|))) (-289 (-410 (-954 |#1|))))) (-15 -1812 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-410 (-954 |#1|))) (-635 (-1163)))) (-15 -1812 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-410 (-954 |#1|))))) (-15 -1812 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-410 (-954 |#1|)))) (-635 (-1163)))) (-15 -1812 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-410 (-954 |#1|)))))) (-15 -3225 ((-635 (-311 |#1|)) (-410 (-954 |#1|)) (-1163))) (-15 -3225 ((-635 (-635 (-311 |#1|))) (-635 (-410 (-954 |#1|))) (-635 (-1163)))) (-15 -1631 ((-1152 (-635 (-311 |#1|)) (-635 (-289 (-311 |#1|)))) (-289 (-410 (-954 |#1|))) (-1163))) (-15 -1631 ((-1152 (-635 (-311 |#1|)) (-635 (-289 (-311 |#1|)))) (-410 (-954 |#1|)) (-1163)))) 
+((-3662 (((-410 (-1159 (-311 |#1|))) (-1247 (-311 |#1|)) (-410 (-1159 (-311 |#1|))) (-569)) 27)) (-2153 (((-410 (-1159 (-311 |#1|))) (-410 (-1159 (-311 |#1|))) (-410 (-1159 (-311 |#1|))) (-410 (-1159 (-311 |#1|)))) 39))) 
+(((-1119 |#1|) (-10 -7 (-15 -2153 ((-410 (-1159 (-311 |#1|))) (-410 (-1159 (-311 |#1|))) (-410 (-1159 (-311 |#1|))) (-410 (-1159 (-311 |#1|))))) (-15 -3662 ((-410 (-1159 (-311 |#1|))) (-1247 (-311 |#1|)) (-410 (-1159 (-311 |#1|))) (-569)))) (-13 (-559) (-843))) (T -1119)) 
+((-3662 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-410 (-1159 (-311 *5)))) (-5 *3 (-1247 (-311 *5))) (-5 *4 (-569)) (-4 *5 (-13 (-559) (-843))) (-5 *1 (-1119 *5)))) (-2153 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-410 (-1159 (-311 *3)))) (-4 *3 (-13 (-559) (-843))) (-5 *1 (-1119 *3))))) 
+(-10 -7 (-15 -2153 ((-410 (-1159 (-311 |#1|))) (-410 (-1159 (-311 |#1|))) (-410 (-1159 (-311 |#1|))) (-410 (-1159 (-311 |#1|))))) (-15 -3662 ((-410 (-1159 (-311 |#1|))) (-1247 (-311 |#1|)) (-410 (-1159 (-311 |#1|))) (-569)))) 
+((-4435 (((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-311 |#1|))) (-635 (-1163))) 216) (((-635 (-289 (-311 |#1|))) (-311 |#1|) (-1163)) 20) (((-635 (-289 (-311 |#1|))) (-289 (-311 |#1|)) (-1163)) 26) (((-635 (-289 (-311 |#1|))) (-289 (-311 |#1|))) 25) (((-635 (-289 (-311 |#1|))) (-311 |#1|)) 21))) 
+(((-1120 |#1|) (-10 -7 (-15 -4435 ((-635 (-289 (-311 |#1|))) (-311 |#1|))) (-15 -4435 ((-635 (-289 (-311 |#1|))) (-289 (-311 |#1|)))) (-15 -4435 ((-635 (-289 (-311 |#1|))) (-289 (-311 |#1|)) (-1163))) (-15 -4435 ((-635 (-289 (-311 |#1|))) (-311 |#1|) (-1163))) (-15 -4435 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-311 |#1|))) (-635 (-1163))))) (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (T -1120)) 
+((-4435 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1163))) (-4 *5 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *5))))) (-5 *1 (-1120 *5)) (-5 *3 (-635 (-289 (-311 *5)))))) (-4435 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1120 *5)) (-5 *3 (-311 *5)))) (-4435 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1120 *5)) (-5 *3 (-289 (-311 *5))))) (-4435 (*1 *2 *3) (-12 (-4 *4 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1120 *4)) (-5 *3 (-289 (-311 *4))))) (-4435 (*1 *2 *3) (-12 (-4 *4 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1120 *4)) (-5 *3 (-311 *4))))) 
+(-10 -7 (-15 -4435 ((-635 (-289 (-311 |#1|))) (-311 |#1|))) (-15 -4435 ((-635 (-289 (-311 |#1|))) (-289 (-311 |#1|)))) (-15 -4435 ((-635 (-289 (-311 |#1|))) (-289 (-311 |#1|)) (-1163))) (-15 -4435 ((-635 (-289 (-311 |#1|))) (-311 |#1|) (-1163))) (-15 -4435 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-311 |#1|))) (-635 (-1163))))) 
+((-3978 ((|#2| |#2|) 20 (|has| |#1| (-843))) ((|#2| |#2| (-1 (-121) |#1| |#1|)) 16)) (-4110 ((|#2| |#2|) 19 (|has| |#1| (-843))) ((|#2| |#2| (-1 (-121) |#1| |#1|)) 15))) 
+(((-1121 |#1| |#2|) (-10 -7 (-15 -4110 (|#2| |#2| (-1 (-121) |#1| |#1|))) (-15 -3978 (|#2| |#2| (-1 (-121) |#1| |#1|))) (IF (|has| |#1| (-843)) (PROGN (-15 -4110 (|#2| |#2|)) (-15 -3978 (|#2| |#2|))) |noBranch|)) (-1197) (-13 (-602 (-569) |#1|) (-10 -7 (-6 -4535) (-6 -4536)))) (T -1121)) 
+((-3978 (*1 *2 *2) (-12 (-4 *3 (-843)) (-4 *3 (-1197)) (-5 *1 (-1121 *3 *2)) (-4 *2 (-13 (-602 (-569) *3) (-10 -7 (-6 -4535) (-6 -4536)))))) (-4110 (*1 *2 *2) (-12 (-4 *3 (-843)) (-4 *3 (-1197)) (-5 *1 (-1121 *3 *2)) (-4 *2 (-13 (-602 (-569) *3) (-10 -7 (-6 -4535) (-6 -4536)))))) (-3978 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1197)) (-5 *1 (-1121 *4 *2)) (-4 *2 (-13 (-602 (-569) *4) (-10 -7 (-6 -4535) (-6 -4536)))))) (-4110 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1197)) (-5 *1 (-1121 *4 *2)) (-4 *2 (-13 (-602 (-569) *4) (-10 -7 (-6 -4535) (-6 -4536))))))) 
+(-10 -7 (-15 -4110 (|#2| |#2| (-1 (-121) |#1| |#1|))) (-15 -3978 (|#2| |#2| (-1 (-121) |#1| |#1|))) (IF (|has| |#1| (-843)) (PROGN (-15 -4110 (|#2| |#2|)) (-15 -3978 (|#2| |#2|))) |noBranch|)) 
+((-2568 (((-121) $ $) NIL)) (-2489 (((-1151 3 |#1|) $) 105)) (-1829 (((-121) $) 72)) (-4070 (($ $ (-635 (-945 |#1|))) 20) (($ $ (-635 (-635 |#1|))) 75) (($ (-635 (-945 |#1|))) 74) (((-635 (-945 |#1|)) $) 73)) (-4311 (((-121) $) 41)) (-2893 (($ $ (-945 |#1|)) 46) (($ $ (-635 |#1|)) 51) (($ $ (-764)) 53) (($ (-945 |#1|)) 47) (((-945 |#1|) $) 45)) (-2194 (((-2 (|:| -3047 (-764)) (|:| |curves| (-764)) (|:| |polygons| (-764)) (|:| |constructs| (-764))) $) 103)) (-4322 (((-764) $) 26)) (-1607 (((-764) $) 25)) (-3012 (($ $ (-764) (-945 |#1|)) 39)) (-2977 (((-121) $) 82)) (-1605 (($ $ (-635 (-635 (-945 |#1|))) (-635 (-172)) (-172)) 89) (($ $ (-635 (-635 (-635 |#1|))) (-635 (-172)) (-172)) 91) (($ $ (-635 (-635 (-945 |#1|))) (-121) (-121)) 85) (($ $ (-635 (-635 (-635 |#1|))) (-121) (-121)) 93) (($ (-635 (-635 (-945 |#1|)))) 86) (($ (-635 (-635 (-945 |#1|))) (-121) (-121)) 87) (((-635 (-635 (-945 |#1|))) $) 84)) (-3288 (($ (-635 $)) 28) (($ $ $) 29)) (-1903 (((-635 (-172)) $) 101)) (-3796 (((-635 (-945 |#1|)) $) 96)) (-3405 (((-635 (-635 (-172))) $) 100)) (-2089 (((-635 (-635 (-635 (-945 |#1|)))) $) NIL)) (-4503 (((-635 (-635 (-635 (-764)))) $) 98)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2999 (((-764) $ (-635 (-945 |#1|))) 37)) (-1398 (((-121) $) 54)) (-1473 (($ $ (-635 (-945 |#1|))) 56) (($ $ (-635 (-635 |#1|))) 62) (($ (-635 (-945 |#1|))) 57) (((-635 (-945 |#1|)) $) 55)) (-3764 (($) 23) (($ (-1151 3 |#1|)) 24)) (-1971 (($ $) 35)) (-3572 (((-635 $) $) 34)) (-4091 (($ (-635 $)) 31)) (-3016 (((-635 $) $) 33)) (-2185 (((-851) $) 109)) (-3592 (((-121) $) 64)) (-4363 (($ $ (-635 (-945 |#1|))) 66) (($ $ (-635 (-635 |#1|))) 69) (($ (-635 (-945 |#1|))) 67) (((-635 (-945 |#1|)) $) 65)) (-4506 (($ $) 104)) (-1668 (((-121) $ $) NIL))) 
+(((-1122 |#1|) (-1123 |#1|) (-1048)) (T -1122)) 
+NIL 
+(-1123 |#1|) 
+((-2568 (((-121) $ $) 7)) (-2489 (((-1151 3 |#1|) $) 12)) (-1829 (((-121) $) 28)) (-4070 (($ $ (-635 (-945 |#1|))) 32) (($ $ (-635 (-635 |#1|))) 31) (($ (-635 (-945 |#1|))) 30) (((-635 (-945 |#1|)) $) 29)) (-4311 (((-121) $) 43)) (-2893 (($ $ (-945 |#1|)) 48) (($ $ (-635 |#1|)) 47) (($ $ (-764)) 46) (($ (-945 |#1|)) 45) (((-945 |#1|) $) 44)) (-2194 (((-2 (|:| -3047 (-764)) (|:| |curves| (-764)) (|:| |polygons| (-764)) (|:| |constructs| (-764))) $) 14)) (-4322 (((-764) $) 57)) (-1607 (((-764) $) 58)) (-3012 (($ $ (-764) (-945 |#1|)) 49)) (-2977 (((-121) $) 20)) (-1605 (($ $ (-635 (-635 (-945 |#1|))) (-635 (-172)) (-172)) 27) (($ $ (-635 (-635 (-635 |#1|))) (-635 (-172)) (-172)) 26) (($ $ (-635 (-635 (-945 |#1|))) (-121) (-121)) 25) (($ $ (-635 (-635 (-635 |#1|))) (-121) (-121)) 24) (($ (-635 (-635 (-945 |#1|)))) 23) (($ (-635 (-635 (-945 |#1|))) (-121) (-121)) 22) (((-635 (-635 (-945 |#1|))) $) 21)) (-3288 (($ (-635 $)) 56) (($ $ $) 55)) (-1903 (((-635 (-172)) $) 15)) (-3796 (((-635 (-945 |#1|)) $) 19)) (-3405 (((-635 (-635 (-172))) $) 16)) (-2089 (((-635 (-635 (-635 (-945 |#1|)))) $) 17)) (-4503 (((-635 (-635 (-635 (-764)))) $) 18)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2999 (((-764) $ (-635 (-945 |#1|))) 50)) (-1398 (((-121) $) 38)) (-1473 (($ $ (-635 (-945 |#1|))) 42) (($ $ (-635 (-635 |#1|))) 41) (($ (-635 (-945 |#1|))) 40) (((-635 (-945 |#1|)) $) 39)) (-3764 (($) 60) (($ (-1151 3 |#1|)) 59)) (-1971 (($ $) 51)) (-3572 (((-635 $) $) 52)) (-4091 (($ (-635 $)) 54)) (-3016 (((-635 $) $) 53)) (-2185 (((-851) $) 11)) (-3592 (((-121) $) 33)) (-4363 (($ $ (-635 (-945 |#1|))) 37) (($ $ (-635 (-635 |#1|))) 36) (($ (-635 (-945 |#1|))) 35) (((-635 (-945 |#1|)) $) 34)) (-4506 (($ $) 13)) (-1668 (((-121) $ $) 6))) 
+(((-1123 |#1|) (-1278) (-1048)) (T -1123)) 
+((-2185 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-851)))) (-3764 (*1 *1) (-12 (-4 *1 (-1123 *2)) (-4 *2 (-1048)))) (-3764 (*1 *1 *2) (-12 (-5 *2 (-1151 3 *3)) (-4 *3 (-1048)) (-4 *1 (-1123 *3)))) (-1607 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-764)))) (-4322 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-764)))) (-3288 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) (-3288 (*1 *1 *1 *1) (-12 (-4 *1 (-1123 *2)) (-4 *2 (-1048)))) (-4091 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) (-3016 (*1 *2 *1) (-12 (-4 *3 (-1048)) (-5 *2 (-635 *1)) (-4 *1 (-1123 *3)))) (-3572 (*1 *2 *1) (-12 (-4 *3 (-1048)) (-5 *2 (-635 *1)) (-4 *1 (-1123 *3)))) (-1971 (*1 *1 *1) (-12 (-4 *1 (-1123 *2)) (-4 *2 (-1048)))) (-2999 (*1 *2 *1 *3) (-12 (-5 *3 (-635 (-945 *4))) (-4 *1 (-1123 *4)) (-4 *4 (-1048)) (-5 *2 (-764)))) (-3012 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-764)) (-5 *3 (-945 *4)) (-4 *1 (-1123 *4)) (-4 *4 (-1048)))) (-2893 (*1 *1 *1 *2) (-12 (-5 *2 (-945 *3)) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) (-2893 (*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) (-2893 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) (-2893 (*1 *1 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-1048)) (-4 *1 (-1123 *3)))) (-2893 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-945 *3)))) (-4311 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-121)))) (-1473 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-945 *3))) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) (-1473 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) (-1473 (*1 *1 *2) (-12 (-5 *2 (-635 (-945 *3))) (-4 *3 (-1048)) (-4 *1 (-1123 *3)))) (-1473 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-945 *3))))) (-1398 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-121)))) (-4363 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-945 *3))) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) (-4363 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) (-4363 (*1 *1 *2) (-12 (-5 *2 (-635 (-945 *3))) (-4 *3 (-1048)) (-4 *1 (-1123 *3)))) (-4363 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-945 *3))))) (-3592 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-121)))) (-4070 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-945 *3))) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) (-4070 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) (-4070 (*1 *1 *2) (-12 (-5 *2 (-635 (-945 *3))) (-4 *3 (-1048)) (-4 *1 (-1123 *3)))) (-4070 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-945 *3))))) (-1829 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-121)))) (-1605 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-635 (-945 *5)))) (-5 *3 (-635 (-172))) (-5 *4 (-172)) (-4 *1 (-1123 *5)) (-4 *5 (-1048)))) (-1605 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-635 (-635 *5)))) (-5 *3 (-635 (-172))) (-5 *4 (-172)) (-4 *1 (-1123 *5)) (-4 *5 (-1048)))) (-1605 (*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-635 (-945 *4)))) (-5 *3 (-121)) (-4 *1 (-1123 *4)) (-4 *4 (-1048)))) (-1605 (*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-635 (-635 *4)))) (-5 *3 (-121)) (-4 *1 (-1123 *4)) (-4 *4 (-1048)))) (-1605 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-945 *3)))) (-4 *3 (-1048)) (-4 *1 (-1123 *3)))) (-1605 (*1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-635 (-945 *4)))) (-5 *3 (-121)) (-4 *4 (-1048)) (-4 *1 (-1123 *4)))) (-1605 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-635 (-945 *3)))))) (-2977 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-121)))) (-3796 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-945 *3))))) (-4503 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-635 (-635 (-764))))))) (-2089 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-635 (-635 (-945 *3))))))) (-3405 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-635 (-172)))))) (-1903 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-172))))) (-2194 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| -3047 (-764)) (|:| |curves| (-764)) (|:| |polygons| (-764)) (|:| |constructs| (-764)))))) (-4506 (*1 *1 *1) (-12 (-4 *1 (-1123 *2)) (-4 *2 (-1048)))) (-2489 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-1151 3 *3))))) 
+(-13 (-1091) (-10 -8 (-15 -3764 ($)) (-15 -3764 ($ (-1151 3 |t#1|))) (-15 -1607 ((-764) $)) (-15 -4322 ((-764) $)) (-15 -3288 ($ (-635 $))) (-15 -3288 ($ $ $)) (-15 -4091 ($ (-635 $))) (-15 -3016 ((-635 $) $)) (-15 -3572 ((-635 $) $)) (-15 -1971 ($ $)) (-15 -2999 ((-764) $ (-635 (-945 |t#1|)))) (-15 -3012 ($ $ (-764) (-945 |t#1|))) (-15 -2893 ($ $ (-945 |t#1|))) (-15 -2893 ($ $ (-635 |t#1|))) (-15 -2893 ($ $ (-764))) (-15 -2893 ($ (-945 |t#1|))) (-15 -2893 ((-945 |t#1|) $)) (-15 -4311 ((-121) $)) (-15 -1473 ($ $ (-635 (-945 |t#1|)))) (-15 -1473 ($ $ (-635 (-635 |t#1|)))) (-15 -1473 ($ (-635 (-945 |t#1|)))) (-15 -1473 ((-635 (-945 |t#1|)) $)) (-15 -1398 ((-121) $)) (-15 -4363 ($ $ (-635 (-945 |t#1|)))) (-15 -4363 ($ $ (-635 (-635 |t#1|)))) (-15 -4363 ($ (-635 (-945 |t#1|)))) (-15 -4363 ((-635 (-945 |t#1|)) $)) (-15 -3592 ((-121) $)) (-15 -4070 ($ $ (-635 (-945 |t#1|)))) (-15 -4070 ($ $ (-635 (-635 |t#1|)))) (-15 -4070 ($ (-635 (-945 |t#1|)))) (-15 -4070 ((-635 (-945 |t#1|)) $)) (-15 -1829 ((-121) $)) (-15 -1605 ($ $ (-635 (-635 (-945 |t#1|))) (-635 (-172)) (-172))) (-15 -1605 ($ $ (-635 (-635 (-635 |t#1|))) (-635 (-172)) (-172))) (-15 -1605 ($ $ (-635 (-635 (-945 |t#1|))) (-121) (-121))) (-15 -1605 ($ $ (-635 (-635 (-635 |t#1|))) (-121) (-121))) (-15 -1605 ($ (-635 (-635 (-945 |t#1|))))) (-15 -1605 ($ (-635 (-635 (-945 |t#1|))) (-121) (-121))) (-15 -1605 ((-635 (-635 (-945 |t#1|))) $)) (-15 -2977 ((-121) $)) (-15 -3796 ((-635 (-945 |t#1|)) $)) (-15 -4503 ((-635 (-635 (-635 (-764)))) $)) (-15 -2089 ((-635 (-635 (-635 (-945 |t#1|)))) $)) (-15 -3405 ((-635 (-635 (-172))) $)) (-15 -1903 ((-635 (-172)) $)) (-15 -2194 ((-2 (|:| -3047 (-764)) (|:| |curves| (-764)) (|:| |polygons| (-764)) (|:| |constructs| (-764))) $)) (-15 -4506 ($ $)) (-15 -2489 ((-1151 3 |t#1|) $)) (-15 -2185 ((-851) $)))) 
+(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
+((-3483 (((-1252) (-635 (-851))) 23) (((-1252) (-851)) 22)) (-4511 (((-1252) (-635 (-851))) 21) (((-1252) (-851)) 20)) (-3836 (((-1252) (-635 (-851))) 19) (((-1252) (-851)) 11) (((-1252) (-1145) (-851)) 17))) 
+(((-1124) (-10 -7 (-15 -3836 ((-1252) (-1145) (-851))) (-15 -3836 ((-1252) (-851))) (-15 -4511 ((-1252) (-851))) (-15 -3483 ((-1252) (-851))) (-15 -3836 ((-1252) (-635 (-851)))) (-15 -4511 ((-1252) (-635 (-851)))) (-15 -3483 ((-1252) (-635 (-851)))))) (T -1124)) 
+((-3483 (*1 *2 *3) (-12 (-5 *3 (-635 (-851))) (-5 *2 (-1252)) (-5 *1 (-1124)))) (-4511 (*1 *2 *3) (-12 (-5 *3 (-635 (-851))) (-5 *2 (-1252)) (-5 *1 (-1124)))) (-3836 (*1 *2 *3) (-12 (-5 *3 (-635 (-851))) (-5 *2 (-1252)) (-5 *1 (-1124)))) (-3483 (*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1252)) (-5 *1 (-1124)))) (-4511 (*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1252)) (-5 *1 (-1124)))) (-3836 (*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1252)) (-5 *1 (-1124)))) (-3836 (*1 *2 *3 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-851)) (-5 *2 (-1252)) (-5 *1 (-1124))))) 
+(-10 -7 (-15 -3836 ((-1252) (-1145) (-851))) (-15 -3836 ((-1252) (-851))) (-15 -4511 ((-1252) (-851))) (-15 -3483 ((-1252) (-851))) (-15 -3836 ((-1252) (-635 (-851)))) (-15 -4511 ((-1252) (-635 (-851)))) (-15 -3483 ((-1252) (-635 (-851))))) 
+((-3429 (($ $ $) 10)) (-1394 (($ $) 9)) (-3367 (($ $ $) 13)) (-3349 (($ $ $) 15)) (-2178 (($ $ $) 12)) (-3627 (($ $ $) 14)) (-3759 (($ $) 17)) (-4395 (($ $) 16)) (-1616 (($ $) 6)) (-3814 (($ $ $) 11) (($ $) 7)) (-1485 (($ $ $) 8))) 
+(((-1125) (-1278)) (T -1125)) 
+((-3759 (*1 *1 *1) (-4 *1 (-1125))) (-4395 (*1 *1 *1) (-4 *1 (-1125))) (-3349 (*1 *1 *1 *1) (-4 *1 (-1125))) (-3627 (*1 *1 *1 *1) (-4 *1 (-1125))) (-3367 (*1 *1 *1 *1) (-4 *1 (-1125))) (-2178 (*1 *1 *1 *1) (-4 *1 (-1125))) (-3814 (*1 *1 *1 *1) (-4 *1 (-1125))) (-3429 (*1 *1 *1 *1) (-4 *1 (-1125))) (-1394 (*1 *1 *1) (-4 *1 (-1125))) (-1485 (*1 *1 *1 *1) (-4 *1 (-1125))) (-3814 (*1 *1 *1) (-4 *1 (-1125))) (-1616 (*1 *1 *1) (-4 *1 (-1125)))) 
+(-13 (-10 -8 (-15 -1616 ($ $)) (-15 -3814 ($ $)) (-15 -1485 ($ $ $)) (-15 -1394 ($ $)) (-15 -3429 ($ $ $)) (-15 -3814 ($ $ $)) (-15 -2178 ($ $ $)) (-15 -3367 ($ $ $)) (-15 -3627 ($ $ $)) (-15 -3349 ($ $ $)) (-15 -4395 ($ $)) (-15 -3759 ($ $)))) 
+((-2568 (((-121) $ $) 41)) (-2247 ((|#1| $) 15)) (-3073 (((-121) $ $ (-1 (-121) |#2| |#2|)) 36)) (-3156 (((-121) $) 17)) (-2981 (($ $ |#1|) 28)) (-1633 (($ $ (-121)) 30)) (-4027 (($ $) 31)) (-3524 (($ $ |#2|) 29)) (-2776 (((-1145) $) NIL)) (-3173 (((-121) $ $ (-1 (-121) |#1| |#1|) (-1 (-121) |#2| |#2|)) 35)) (-3360 (((-1109) $) NIL)) (-1601 (((-121) $) 14)) (-1296 (($) 10)) (-1971 (($ $) 27)) (-2139 (($ |#1| |#2| (-121)) 18) (($ |#1| |#2|) 19) (($ (-2 (|:| |val| |#1|) (|:| -4003 |#2|))) 21) (((-635 $) (-635 (-2 (|:| |val| |#1|) (|:| -4003 |#2|)))) 24) (((-635 $) |#1| (-635 |#2|)) 26)) (-1609 ((|#2| $) 16)) (-2185 (((-851) $) 50)) (-1668 (((-121) $ $) 39))) 
+(((-1126 |#1| |#2|) (-13 (-1091) (-10 -8 (-15 -1296 ($)) (-15 -1601 ((-121) $)) (-15 -2247 (|#1| $)) (-15 -1609 (|#2| $)) (-15 -3156 ((-121) $)) (-15 -2139 ($ |#1| |#2| (-121))) (-15 -2139 ($ |#1| |#2|)) (-15 -2139 ($ (-2 (|:| |val| |#1|) (|:| -4003 |#2|)))) (-15 -2139 ((-635 $) (-635 (-2 (|:| |val| |#1|) (|:| -4003 |#2|))))) (-15 -2139 ((-635 $) |#1| (-635 |#2|))) (-15 -1971 ($ $)) (-15 -2981 ($ $ |#1|)) (-15 -3524 ($ $ |#2|)) (-15 -1633 ($ $ (-121))) (-15 -4027 ($ $)) (-15 -3173 ((-121) $ $ (-1 (-121) |#1| |#1|) (-1 (-121) |#2| |#2|))) (-15 -3073 ((-121) $ $ (-1 (-121) |#2| |#2|))))) (-13 (-1091) (-39)) (-13 (-1091) (-39))) (T -1126)) 
+((-1296 (*1 *1) (-12 (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) (-1601 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1126 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))))) (-2247 (*1 *2 *1) (-12 (-4 *2 (-13 (-1091) (-39))) (-5 *1 (-1126 *2 *3)) (-4 *3 (-13 (-1091) (-39))))) (-1609 (*1 *2 *1) (-12 (-4 *2 (-13 (-1091) (-39))) (-5 *1 (-1126 *3 *2)) (-4 *3 (-13 (-1091) (-39))))) (-3156 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1126 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))))) (-2139 (*1 *1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) (-2139 (*1 *1 *2 *3) (-12 (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) (-2139 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |val| *3) (|:| -4003 *4))) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))) (-5 *1 (-1126 *3 *4)))) (-2139 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |val| *4) (|:| -4003 *5)))) (-4 *4 (-13 (-1091) (-39))) (-4 *5 (-13 (-1091) (-39))) (-5 *2 (-635 (-1126 *4 *5))) (-5 *1 (-1126 *4 *5)))) (-2139 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *5)) (-4 *5 (-13 (-1091) (-39))) (-5 *2 (-635 (-1126 *3 *5))) (-5 *1 (-1126 *3 *5)) (-4 *3 (-13 (-1091) (-39))))) (-1971 (*1 *1 *1) (-12 (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) (-2981 (*1 *1 *1 *2) (-12 (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) (-3524 (*1 *1 *1 *2) (-12 (-5 *1 (-1126 *3 *2)) (-4 *3 (-13 (-1091) (-39))) (-4 *2 (-13 (-1091) (-39))))) (-1633 (*1 *1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1126 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))))) (-4027 (*1 *1 *1) (-12 (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) (-3173 (*1 *2 *1 *1 *3 *4) (-12 (-5 *3 (-1 (-121) *5 *5)) (-5 *4 (-1 (-121) *6 *6)) (-4 *5 (-13 (-1091) (-39))) (-4 *6 (-13 (-1091) (-39))) (-5 *2 (-121)) (-5 *1 (-1126 *5 *6)))) (-3073 (*1 *2 *1 *1 *3) (-12 (-5 *3 (-1 (-121) *5 *5)) (-4 *5 (-13 (-1091) (-39))) (-5 *2 (-121)) (-5 *1 (-1126 *4 *5)) (-4 *4 (-13 (-1091) (-39)))))) 
+(-13 (-1091) (-10 -8 (-15 -1296 ($)) (-15 -1601 ((-121) $)) (-15 -2247 (|#1| $)) (-15 -1609 (|#2| $)) (-15 -3156 ((-121) $)) (-15 -2139 ($ |#1| |#2| (-121))) (-15 -2139 ($ |#1| |#2|)) (-15 -2139 ($ (-2 (|:| |val| |#1|) (|:| -4003 |#2|)))) (-15 -2139 ((-635 $) (-635 (-2 (|:| |val| |#1|) (|:| -4003 |#2|))))) (-15 -2139 ((-635 $) |#1| (-635 |#2|))) (-15 -1971 ($ $)) (-15 -2981 ($ $ |#1|)) (-15 -3524 ($ $ |#2|)) (-15 -1633 ($ $ (-121))) (-15 -4027 ($ $)) (-15 -3173 ((-121) $ $ (-1 (-121) |#1| |#1|) (-1 (-121) |#2| |#2|))) (-15 -3073 ((-121) $ $ (-1 (-121) |#2| |#2|))))) 
+((-2568 (((-121) $ $) NIL (|has| (-1126 |#1| |#2|) (-1091)))) (-2247 (((-1126 |#1| |#2|) $) 25)) (-2464 (($ $) 75)) (-4475 (((-121) (-1126 |#1| |#2|) $ (-1 (-121) |#2| |#2|)) 84)) (-4292 (($ $ $ (-635 (-1126 |#1| |#2|))) 89) (($ $ $ (-635 (-1126 |#1| |#2|)) (-1 (-121) |#2| |#2|)) 90)) (-1691 (((-121) $ (-764)) NIL)) (-3891 (((-1126 |#1| |#2|) $ (-1126 |#1| |#2|)) 42 (|has| $ (-6 -4536)))) (-4469 (((-1126 |#1| |#2|) $ "value" (-1126 |#1| |#2|)) NIL (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) 40 (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-3971 (((-635 (-2 (|:| |val| |#1|) (|:| -4003 |#2|))) $) 79)) (-4454 (($ (-1126 |#1| |#2|) $) 38)) (-4347 (($ (-1126 |#1| |#2|) $) 30)) (-3470 (((-635 (-1126 |#1| |#2|)) $) NIL (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) 50)) (-3048 (((-121) (-1126 |#1| |#2|) $) 81)) (-4349 (((-121) $ $) NIL (|has| (-1126 |#1| |#2|) (-1091)))) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 (-1126 |#1| |#2|)) $) 54 (|has| $ (-6 -4535)))) (-3660 (((-121) (-1126 |#1| |#2|) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-1126 |#1| |#2|) (-1091))))) (-1853 (($ (-1 (-1126 |#1| |#2|) (-1126 |#1| |#2|)) $) 46 (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-1126 |#1| |#2|) (-1126 |#1| |#2|)) $) 45)) (-2006 (((-121) $ (-764)) NIL)) (-2824 (((-635 (-1126 |#1| |#2|)) $) 52)) (-3486 (((-121) $) 41)) (-2776 (((-1145) $) NIL (|has| (-1126 |#1| |#2|) (-1091)))) (-3360 (((-1109) $) NIL (|has| (-1126 |#1| |#2|) (-1091)))) (-3009 (((-3 $ "failed") $) 74)) (-4177 (((-121) (-1 (-121) (-1126 |#1| |#2|)) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-1126 |#1| |#2|)))) NIL (-12 (|has| (-1126 |#1| |#2|) (-304 (-1126 |#1| |#2|))) (|has| (-1126 |#1| |#2|) (-1091)))) (($ $ (-289 (-1126 |#1| |#2|))) NIL (-12 (|has| (-1126 |#1| |#2|) (-304 (-1126 |#1| |#2|))) (|has| (-1126 |#1| |#2|) (-1091)))) (($ $ (-1126 |#1| |#2|) (-1126 |#1| |#2|)) NIL (-12 (|has| (-1126 |#1| |#2|) (-304 (-1126 |#1| |#2|))) (|has| (-1126 |#1| |#2|) (-1091)))) (($ $ (-635 (-1126 |#1| |#2|)) (-635 (-1126 |#1| |#2|))) NIL (-12 (|has| (-1126 |#1| |#2|) (-304 (-1126 |#1| |#2|))) (|has| (-1126 |#1| |#2|) (-1091))))) (-3137 (((-121) $ $) 49)) (-1601 (((-121) $) 22)) (-1296 (($) 24)) (-1534 (((-1126 |#1| |#2|) $ "value") NIL)) (-1686 (((-569) $ $) NIL)) (-1472 (((-121) $) 43)) (-2846 (((-764) (-1 (-121) (-1126 |#1| |#2|)) $) NIL (|has| $ (-6 -4535))) (((-764) (-1126 |#1| |#2|) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-1126 |#1| |#2|) (-1091))))) (-1971 (($ $) 48)) (-2139 (($ (-1126 |#1| |#2|)) 9) (($ |#1| |#2| (-635 $)) 12) (($ |#1| |#2| (-635 (-1126 |#1| |#2|))) 14) (($ |#1| |#2| |#1| (-635 |#2|)) 17)) (-2349 (((-635 |#2|) $) 80)) (-2185 (((-851) $) 72 (|has| (-1126 |#1| |#2|) (-1091)))) (-4114 (((-635 $) $) 28)) (-2447 (((-121) $ $) NIL (|has| (-1126 |#1| |#2|) (-1091)))) (-2066 (((-121) (-1 (-121) (-1126 |#1| |#2|)) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 63 (|has| (-1126 |#1| |#2|) (-1091)))) (-4168 (((-764) $) 57 (|has| $ (-6 -4535))))) 
+(((-1127 |#1| |#2|) (-13 (-1011 (-1126 |#1| |#2|)) (-10 -8 (-6 -4536) (-6 -4535) (-15 -3009 ((-3 $ "failed") $)) (-15 -2464 ($ $)) (-15 -2139 ($ (-1126 |#1| |#2|))) (-15 -2139 ($ |#1| |#2| (-635 $))) (-15 -2139 ($ |#1| |#2| (-635 (-1126 |#1| |#2|)))) (-15 -2139 ($ |#1| |#2| |#1| (-635 |#2|))) (-15 -2349 ((-635 |#2|) $)) (-15 -3971 ((-635 (-2 (|:| |val| |#1|) (|:| -4003 |#2|))) $)) (-15 -3048 ((-121) (-1126 |#1| |#2|) $)) (-15 -4475 ((-121) (-1126 |#1| |#2|) $ (-1 (-121) |#2| |#2|))) (-15 -4347 ($ (-1126 |#1| |#2|) $)) (-15 -4454 ($ (-1126 |#1| |#2|) $)) (-15 -4292 ($ $ $ (-635 (-1126 |#1| |#2|)))) (-15 -4292 ($ $ $ (-635 (-1126 |#1| |#2|)) (-1 (-121) |#2| |#2|))))) (-13 (-1091) (-39)) (-13 (-1091) (-39))) (T -1127)) 
+((-3009 (*1 *1 *1) (|partial| -12 (-5 *1 (-1127 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) (-2464 (*1 *1 *1) (-12 (-5 *1 (-1127 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) (-2139 (*1 *1 *2) (-12 (-5 *2 (-1126 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))) (-5 *1 (-1127 *3 *4)))) (-2139 (*1 *1 *2 *3 *4) (-12 (-5 *4 (-635 (-1127 *2 *3))) (-5 *1 (-1127 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) (-2139 (*1 *1 *2 *3 *4) (-12 (-5 *4 (-635 (-1126 *2 *3))) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))) (-5 *1 (-1127 *2 *3)))) (-2139 (*1 *1 *2 *3 *2 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-13 (-1091) (-39))) (-5 *1 (-1127 *2 *3)) (-4 *2 (-13 (-1091) (-39))))) (-2349 (*1 *2 *1) (-12 (-5 *2 (-635 *4)) (-5 *1 (-1127 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))))) (-3971 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1127 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))))) (-3048 (*1 *2 *3 *1) (-12 (-5 *3 (-1126 *4 *5)) (-4 *4 (-13 (-1091) (-39))) (-4 *5 (-13 (-1091) (-39))) (-5 *2 (-121)) (-5 *1 (-1127 *4 *5)))) (-4475 (*1 *2 *3 *1 *4) (-12 (-5 *3 (-1126 *5 *6)) (-5 *4 (-1 (-121) *6 *6)) (-4 *5 (-13 (-1091) (-39))) (-4 *6 (-13 (-1091) (-39))) (-5 *2 (-121)) (-5 *1 (-1127 *5 *6)))) (-4347 (*1 *1 *2 *1) (-12 (-5 *2 (-1126 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))) (-5 *1 (-1127 *3 *4)))) (-4454 (*1 *1 *2 *1) (-12 (-5 *2 (-1126 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))) (-5 *1 (-1127 *3 *4)))) (-4292 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-635 (-1126 *3 *4))) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))) (-5 *1 (-1127 *3 *4)))) (-4292 (*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1126 *4 *5))) (-5 *3 (-1 (-121) *5 *5)) (-4 *4 (-13 (-1091) (-39))) (-4 *5 (-13 (-1091) (-39))) (-5 *1 (-1127 *4 *5))))) 
+(-13 (-1011 (-1126 |#1| |#2|)) (-10 -8 (-6 -4536) (-6 -4535) (-15 -3009 ((-3 $ "failed") $)) (-15 -2464 ($ $)) (-15 -2139 ($ (-1126 |#1| |#2|))) (-15 -2139 ($ |#1| |#2| (-635 $))) (-15 -2139 ($ |#1| |#2| (-635 (-1126 |#1| |#2|)))) (-15 -2139 ($ |#1| |#2| |#1| (-635 |#2|))) (-15 -2349 ((-635 |#2|) $)) (-15 -3971 ((-635 (-2 (|:| |val| |#1|) (|:| -4003 |#2|))) $)) (-15 -3048 ((-121) (-1126 |#1| |#2|) $)) (-15 -4475 ((-121) (-1126 |#1| |#2|) $ (-1 (-121) |#2| |#2|))) (-15 -4347 ($ (-1126 |#1| |#2|) $)) (-15 -4454 ($ (-1126 |#1| |#2|) $)) (-15 -4292 ($ $ $ (-635 (-1126 |#1| |#2|)))) (-15 -4292 ($ $ $ (-635 (-1126 |#1| |#2|)) (-1 (-121) |#2| |#2|))))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2853 (($ $) NIL)) (-1377 ((|#2| $) NIL)) (-4144 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2251 (($ (-680 |#2|)) 45)) (-3569 (((-121) $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-1574 (($ |#2|) 9)) (-2820 (($) NIL T CONST)) (-4036 (($ $) 58 (|has| |#2| (-302)))) (-1765 (((-233 |#1| |#2|) $ (-569)) 31)) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#2| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-3 |#2| "failed") $) NIL)) (-2428 (((-569) $) NIL (|has| |#2| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#2| (-1038 (-410 (-569))))) ((|#2| $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL) (((-680 |#2|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) 72)) (-1321 (((-764) $) 60 (|has| |#2| (-559)))) (-1618 ((|#2| $ (-569) (-569)) NIL)) (-3470 (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-1407 (((-121) $) NIL)) (-3695 (((-764) $) 62 (|has| |#2| (-559)))) (-3645 (((-635 (-233 |#1| |#2|)) $) 66 (|has| |#2| (-559)))) (-1810 (((-764) $) NIL)) (-2806 (((-764) $) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-1558 ((|#2| $) 56 (|has| |#2| (-6 (-4537 "*"))))) (-3992 (((-569) $) NIL)) (-3127 (((-569) $) NIL)) (-4259 (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1866 (((-569) $) NIL)) (-1581 (((-569) $) NIL)) (-1483 (($ (-635 (-635 |#2|))) 26)) (-1853 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#2| |#2| |#2|) $ $) NIL) (($ (-1 |#2| |#2|) $) NIL)) (-2550 (((-635 (-635 |#2|)) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-4480 (((-3 $ "failed") $) 69 (|has| |#2| (-366)))) (-3360 (((-1109) $) NIL)) (-2941 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559)))) (-4177 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#2| $ (-569) (-569) |#2|) NIL) ((|#2| $ (-569) (-569)) NIL)) (-3899 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-764)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-4397 ((|#2| $) NIL)) (-2455 (($ (-635 |#2|)) 40)) (-2584 (((-121) $) NIL)) (-3425 (((-233 |#1| |#2|) $) NIL)) (-1787 ((|#2| $) 54 (|has| |#2| (-6 (-4537 "*"))))) (-2846 (((-764) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535))) (((-764) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1971 (($ $) NIL)) (-3817 (((-542) $) 81 (|has| |#2| (-610 (-542))))) (-3419 (((-233 |#1| |#2|) $ (-569)) 33)) (-2185 (((-851) $) 36) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#2| (-1038 (-410 (-569))))) (($ |#2|) NIL) (((-680 |#2|) $) 42)) (-1991 (((-764)) 17)) (-2066 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-2256 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 11 T CONST)) (-1556 (($) 14 T CONST)) (-3022 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-764)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) 52) (($ $ (-569)) 71 (|has| |#2| (-366)))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL) (((-233 |#1| |#2|) $ (-233 |#1| |#2|)) 48) (((-233 |#1| |#2|) (-233 |#1| |#2|) $) 50)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-1128 |#1| |#2|) (-13 (-1112 |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) (-609 (-680 |#2|)) (-10 -8 (-15 -2853 ($ $)) (-15 -2251 ($ (-680 |#2|))) (-15 -2185 ((-680 |#2|) $)) (IF (|has| |#2| (-6 (-4537 "*"))) (-6 -4524) |noBranch|) (IF (|has| |#2| (-6 (-4537 "*"))) (IF (|has| |#2| (-6 -4532)) (-6 -4532) |noBranch|) |noBranch|) (IF (|has| |#2| (-610 (-542))) (-6 (-610 (-542))) |noBranch|))) (-764) (-1048)) (T -1128)) 
+((-2185 (*1 *2 *1) (-12 (-5 *2 (-680 *4)) (-5 *1 (-1128 *3 *4)) (-14 *3 (-764)) (-4 *4 (-1048)))) (-2853 (*1 *1 *1) (-12 (-5 *1 (-1128 *2 *3)) (-14 *2 (-764)) (-4 *3 (-1048)))) (-2251 (*1 *1 *2) (-12 (-5 *2 (-680 *4)) (-4 *4 (-1048)) (-5 *1 (-1128 *3 *4)) (-14 *3 (-764))))) 
+(-13 (-1112 |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) (-609 (-680 |#2|)) (-10 -8 (-15 -2853 ($ $)) (-15 -2251 ($ (-680 |#2|))) (-15 -2185 ((-680 |#2|) $)) (IF (|has| |#2| (-6 (-4537 "*"))) (-6 -4524) |noBranch|) (IF (|has| |#2| (-6 (-4537 "*"))) (IF (|has| |#2| (-6 -4532)) (-6 -4532) |noBranch|) |noBranch|) (IF (|has| |#2| (-610 (-542))) (-6 (-610 (-542))) |noBranch|))) 
+((-2217 (($ $) 19)) (-2668 (($ $ (-148)) 10) (($ $ (-143)) 14)) (-3227 (((-121) $ $) 24)) (-2869 (($ $) 17)) (-1534 (((-148) $ (-569) (-148)) NIL) (((-148) $ (-569)) NIL) (($ $ (-1213 (-569))) NIL) (($ $ $) 29)) (-2185 (($ (-148)) 27) (((-851) $) NIL))) 
+(((-1129 |#1|) (-10 -8 (-15 -2185 ((-851) |#1|)) (-15 -1534 (|#1| |#1| |#1|)) (-15 -2668 (|#1| |#1| (-143))) (-15 -2668 (|#1| |#1| (-148))) (-15 -2185 (|#1| (-148))) (-15 -3227 ((-121) |#1| |#1|)) (-15 -2217 (|#1| |#1|)) (-15 -2869 (|#1| |#1|)) (-15 -1534 (|#1| |#1| (-1213 (-569)))) (-15 -1534 ((-148) |#1| (-569))) (-15 -1534 ((-148) |#1| (-569) (-148)))) (-1130)) (T -1129)) 
+NIL 
+(-10 -8 (-15 -2185 ((-851) |#1|)) (-15 -1534 (|#1| |#1| |#1|)) (-15 -2668 (|#1| |#1| (-143))) (-15 -2668 (|#1| |#1| (-148))) (-15 -2185 (|#1| (-148))) (-15 -3227 ((-121) |#1| |#1|)) (-15 -2217 (|#1| |#1|)) (-15 -2869 (|#1| |#1|)) (-15 -1534 (|#1| |#1| (-1213 (-569)))) (-15 -1534 ((-148) |#1| (-569))) (-15 -1534 ((-148) |#1| (-569) (-148)))) 
+((-2568 (((-121) $ $) 18 (|has| (-148) (-1091)))) (-3241 (($ $) 113)) (-2217 (($ $) 114)) (-2668 (($ $ (-148)) 101) (($ $ (-143)) 100)) (-3112 (((-1252) $ (-569) (-569)) 37 (|has| $ (-6 -4536)))) (-3134 (((-121) $ $) 111)) (-3254 (((-121) $ $ (-569)) 110)) (-4493 (((-635 $) $ (-148)) 103) (((-635 $) $ (-143)) 102)) (-3034 (((-121) (-1 (-121) (-148) (-148)) $) 91) (((-121) $) 85 (|has| (-148) (-843)))) (-3076 (($ (-1 (-121) (-148) (-148)) $) 82 (|has| $ (-6 -4536))) (($ $) 81 (-12 (|has| (-148) (-843)) (|has| $ (-6 -4536))))) (-3113 (($ (-1 (-121) (-148) (-148)) $) 92) (($ $) 86 (|has| (-148) (-843)))) (-1691 (((-121) $ (-764)) 8)) (-4469 (((-148) $ (-569) (-148)) 49 (|has| $ (-6 -4536))) (((-148) $ (-1213 (-569)) (-148)) 53 (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) (-148)) $) 70 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-1281 (($ $ (-148)) 97) (($ $ (-143)) 96)) (-1302 (($ $) 83 (|has| $ (-6 -4536)))) (-2052 (($ $) 93)) (-4149 (($ $ (-1213 (-569)) $) 107)) (-2033 (($ $) 73 (-12 (|has| (-148) (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ (-148) $) 72 (-12 (|has| (-148) (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) (-148)) $) 69 (|has| $ (-6 -4535)))) (-1774 (((-148) (-1 (-148) (-148) (-148)) $ (-148) (-148)) 71 (-12 (|has| (-148) (-1091)) (|has| $ (-6 -4535)))) (((-148) (-1 (-148) (-148) (-148)) $ (-148)) 68 (|has| $ (-6 -4535))) (((-148) (-1 (-148) (-148) (-148)) $) 67 (|has| $ (-6 -4535)))) (-2726 (((-148) $ (-569) (-148)) 50 (|has| $ (-6 -4536)))) (-1618 (((-148) $ (-569)) 48)) (-3227 (((-121) $ $) 112)) (-3727 (((-569) (-1 (-121) (-148)) $) 90) (((-569) (-148) $) 89 (|has| (-148) (-1091))) (((-569) (-148) $ (-569)) 88 (|has| (-148) (-1091))) (((-569) $ $ (-569)) 106) (((-569) (-143) $ (-569)) 105)) (-3470 (((-635 (-148)) $) 30 (|has| $ (-6 -4535)))) (-2659 (($ (-764) (-148)) 64)) (-1974 (((-121) $ (-764)) 9)) (-3557 (((-569) $) 40 (|has| (-569) (-843)))) (-3291 (($ $ $) 80 (|has| (-148) (-843)))) (-3288 (($ (-1 (-121) (-148) (-148)) $ $) 94) (($ $ $) 87 (|has| (-148) (-843)))) (-4259 (((-635 (-148)) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) (-148) $) 27 (-12 (|has| (-148) (-1091)) (|has| $ (-6 -4535))))) (-1285 (((-569) $) 41 (|has| (-569) (-843)))) (-1538 (($ $ $) 79 (|has| (-148) (-843)))) (-3536 (((-121) $ $ (-148)) 108)) (-4436 (((-764) $ $ (-148)) 109)) (-1853 (($ (-1 (-148) (-148)) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-148) (-148)) $) 35) (($ (-1 (-148) (-148) (-148)) $ $) 59)) (-1390 (($ $) 115)) (-2869 (($ $) 116)) (-2006 (((-121) $ (-764)) 10)) (-2973 (($ $ (-148)) 99) (($ $ (-143)) 98)) (-2776 (((-1145) $) 22 (|has| (-148) (-1091)))) (-3614 (($ (-148) $ (-569)) 55) (($ $ $ (-569)) 54)) (-4166 (((-635 (-569)) $) 43)) (-3533 (((-121) (-569) $) 44)) (-3360 (((-1109) $) 21 (|has| (-148) (-1091)))) (-4353 (((-148) $) 39 (|has| (-569) (-843)))) (-2502 (((-3 (-148) "failed") (-1 (-121) (-148)) $) 66)) (-3174 (($ $ (-148)) 38 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) (-148)) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-148)))) 26 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-289 (-148))) 25 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-148) (-148)) 24 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-635 (-148)) (-635 (-148))) 23 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) (-148) $) 42 (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-2691 (((-635 (-148)) $) 45)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 (((-148) $ (-569) (-148)) 47) (((-148) $ (-569)) 46) (($ $ (-1213 (-569))) 58) (($ $ $) 95)) (-3010 (($ $ (-569)) 57) (($ $ (-1213 (-569))) 56)) (-2846 (((-764) (-1 (-121) (-148)) $) 31 (|has| $ (-6 -4535))) (((-764) (-148) $) 28 (-12 (|has| (-148) (-1091)) (|has| $ (-6 -4535))))) (-3389 (($ $ $ (-569)) 84 (|has| $ (-6 -4536)))) (-1971 (($ $) 13)) (-3817 (((-542) $) 74 (|has| (-148) (-610 (-542))))) (-2139 (($ (-635 (-148))) 65)) (-2250 (($ $ (-148)) 63) (($ (-148) $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-2185 (($ (-148)) 104) (((-851) $) 20 (|has| (-148) (-1091)))) (-2066 (((-121) (-1 (-121) (-148)) $) 33 (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) 77 (|has| (-148) (-843)))) (-1684 (((-121) $ $) 76 (|has| (-148) (-843)))) (-1668 (((-121) $ $) 19 (|has| (-148) (-1091)))) (-1688 (((-121) $ $) 78 (|has| (-148) (-843)))) (-1678 (((-121) $ $) 75 (|has| (-148) (-843)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-1130) (-1278)) (T -1130)) 
+((-2869 (*1 *1 *1) (-4 *1 (-1130))) (-1390 (*1 *1 *1) (-4 *1 (-1130))) (-2217 (*1 *1 *1) (-4 *1 (-1130))) (-3241 (*1 *1 *1) (-4 *1 (-1130))) (-3227 (*1 *2 *1 *1) (-12 (-4 *1 (-1130)) (-5 *2 (-121)))) (-3134 (*1 *2 *1 *1) (-12 (-4 *1 (-1130)) (-5 *2 (-121)))) (-3254 (*1 *2 *1 *1 *3) (-12 (-4 *1 (-1130)) (-5 *3 (-569)) (-5 *2 (-121)))) (-4436 (*1 *2 *1 *1 *3) (-12 (-4 *1 (-1130)) (-5 *3 (-148)) (-5 *2 (-764)))) (-3536 (*1 *2 *1 *1 *3) (-12 (-4 *1 (-1130)) (-5 *3 (-148)) (-5 *2 (-121)))) (-4149 (*1 *1 *1 *2 *1) (-12 (-4 *1 (-1130)) (-5 *2 (-1213 (-569))))) (-3727 (*1 *2 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-569)))) (-3727 (*1 *2 *3 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-569)) (-5 *3 (-143)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-148)) (-4 *1 (-1130)))) (-4493 (*1 *2 *1 *3) (-12 (-5 *3 (-148)) (-5 *2 (-635 *1)) (-4 *1 (-1130)))) (-4493 (*1 *2 *1 *3) (-12 (-5 *3 (-143)) (-5 *2 (-635 *1)) (-4 *1 (-1130)))) (-2668 (*1 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-148)))) (-2668 (*1 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-143)))) (-2973 (*1 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-148)))) (-2973 (*1 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-143)))) (-1281 (*1 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-148)))) (-1281 (*1 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-143)))) (-1534 (*1 *1 *1 *1) (-4 *1 (-1130)))) 
+(-13 (-19 (-148)) (-10 -8 (-15 -2869 ($ $)) (-15 -1390 ($ $)) (-15 -2217 ($ $)) (-15 -3241 ($ $)) (-15 -3227 ((-121) $ $)) (-15 -3134 ((-121) $ $)) (-15 -3254 ((-121) $ $ (-569))) (-15 -4436 ((-764) $ $ (-148))) (-15 -3536 ((-121) $ $ (-148))) (-15 -4149 ($ $ (-1213 (-569)) $)) (-15 -3727 ((-569) $ $ (-569))) (-15 -3727 ((-569) (-143) $ (-569))) (-15 -2185 ($ (-148))) (-15 -4493 ((-635 $) $ (-148))) (-15 -4493 ((-635 $) $ (-143))) (-15 -2668 ($ $ (-148))) (-15 -2668 ($ $ (-143))) (-15 -2973 ($ $ (-148))) (-15 -2973 ($ $ (-143))) (-15 -1281 ($ $ (-148))) (-15 -1281 ($ $ (-143))) (-15 -1534 ($ $ $)))) 
+(((-39) . T) ((-105) -2232 (|has| (-148) (-1091)) (|has| (-148) (-843))) ((-609 (-851)) -2232 (|has| (-148) (-1091)) (|has| (-148) (-843))) ((-155 (-148)) . T) ((-610 (-542)) |has| (-148) (-610 (-542))) ((-282 (-569) (-148)) . T) ((-284 (-569) (-148)) . T) ((-304 (-148)) -12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091))) ((-376 (-148)) . T) ((-500 (-148)) . T) ((-602 (-569) (-148)) . T) ((-524 (-148) (-148)) -12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091))) ((-641 (-148)) . T) ((-19 (-148)) . T) ((-843) |has| (-148) (-843)) ((-1091) -2232 (|has| (-148) (-1091)) (|has| (-148) (-843))) ((-1197) . T)) 
+((-4410 (((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-635 |#4|) (-635 |#5|) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) (-764)) 93)) (-1405 (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|) 54) (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764)) 53)) (-3987 (((-1252) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-764)) 85)) (-2734 (((-764) (-635 |#4|) (-635 |#5|)) 27)) (-2500 (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|) 56) (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764)) 55) (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764) (-121)) 57)) (-4157 (((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121) (-121) (-121) (-121)) 76) (((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121)) 77)) (-3817 (((-1145) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) 80)) (-2393 (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|) 52)) (-1828 (((-764) (-635 |#4|) (-635 |#5|)) 19))) 
+(((-1131 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1828 ((-764) (-635 |#4|) (-635 |#5|))) (-15 -2734 ((-764) (-635 |#4|) (-635 |#5|))) (-15 -2393 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|)) (-15 -1405 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764))) (-15 -1405 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|)) (-15 -2500 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764) (-121))) (-15 -2500 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764))) (-15 -2500 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|)) (-15 -4157 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -4157 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121) (-121) (-121) (-121))) (-15 -4410 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-635 |#4|) (-635 |#5|) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) (-764))) (-15 -3817 ((-1145) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)))) (-15 -3987 ((-1252) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-764)))) (-454) (-789) (-843) (-1062 |#1| |#2| |#3|) (-1100 |#1| |#2| |#3| |#4|)) (T -1131)) 
+((-3987 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4003 *9)))) (-5 *4 (-764)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1100 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-1252)) (-5 *1 (-1131 *5 *6 *7 *8 *9)))) (-3817 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4003 *8))) (-4 *7 (-1062 *4 *5 *6)) (-4 *8 (-1100 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-1145)) (-5 *1 (-1131 *4 *5 *6 *7 *8)))) (-4410 (*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-635 *11)) (|:| |todo| (-635 (-2 (|:| |val| *3) (|:| -4003 *11)))))) (-5 *6 (-764)) (-5 *2 (-635 (-2 (|:| |val| (-635 *10)) (|:| -4003 *11)))) (-5 *3 (-635 *10)) (-5 *4 (-635 *11)) (-4 *10 (-1062 *7 *8 *9)) (-4 *11 (-1100 *7 *8 *9 *10)) (-4 *7 (-454)) (-4 *8 (-789)) (-4 *9 (-843)) (-5 *1 (-1131 *7 *8 *9 *10 *11)))) (-4157 (*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1100 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-1131 *5 *6 *7 *8 *9)))) (-4157 (*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1100 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-1131 *5 *6 *7 *8 *9)))) (-2500 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1131 *5 *6 *7 *3 *4)) (-4 *4 (-1100 *5 *6 *7 *3)))) (-2500 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-764)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1131 *6 *7 *8 *3 *4)) (-4 *4 (-1100 *6 *7 *8 *3)))) (-2500 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-764)) (-5 *6 (-121)) (-4 *7 (-454)) (-4 *8 (-789)) (-4 *9 (-843)) (-4 *3 (-1062 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1131 *7 *8 *9 *3 *4)) (-4 *4 (-1100 *7 *8 *9 *3)))) (-1405 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1131 *5 *6 *7 *3 *4)) (-4 *4 (-1100 *5 *6 *7 *3)))) (-1405 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-764)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1131 *6 *7 *8 *3 *4)) (-4 *4 (-1100 *6 *7 *8 *3)))) (-2393 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1131 *5 *6 *7 *3 *4)) (-4 *4 (-1100 *5 *6 *7 *3)))) (-2734 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1100 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-764)) (-5 *1 (-1131 *5 *6 *7 *8 *9)))) (-1828 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1100 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-764)) (-5 *1 (-1131 *5 *6 *7 *8 *9))))) 
+(-10 -7 (-15 -1828 ((-764) (-635 |#4|) (-635 |#5|))) (-15 -2734 ((-764) (-635 |#4|) (-635 |#5|))) (-15 -2393 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|)) (-15 -1405 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764))) (-15 -1405 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|)) (-15 -2500 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764) (-121))) (-15 -2500 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764))) (-15 -2500 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|)) (-15 -4157 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -4157 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121) (-121) (-121) (-121))) (-15 -4410 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-635 |#4|) (-635 |#5|) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) (-764))) (-15 -3817 ((-1145) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)))) (-15 -3987 ((-1252) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-764)))) 
+((-2568 (((-121) $ $) NIL)) (-3839 (((-635 (-2 (|:| -3585 $) (|:| -3230 (-635 |#4|)))) (-635 |#4|)) NIL)) (-4426 (((-635 $) (-635 |#4|)) 109) (((-635 $) (-635 |#4|) (-121)) 110) (((-635 $) (-635 |#4|) (-121) (-121)) 108) (((-635 $) (-635 |#4|) (-121) (-121) (-121) (-121)) 111)) (-1773 (((-635 |#3|) $) NIL)) (-3008 (((-121) $) NIL)) (-3625 (((-121) $) NIL (|has| |#1| (-559)))) (-2061 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3982 ((|#4| |#4| $) NIL)) (-2004 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 $))) |#4| $) 83)) (-3113 (((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ |#3|) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-1962 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535))) (((-3 |#4| "failed") $ |#3|) 61)) (-2820 (($) NIL T CONST)) (-4162 (((-121) $) 26 (|has| |#1| (-559)))) (-2716 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3532 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2398 (((-121) $) NIL (|has| |#1| (-559)))) (-3694 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-4318 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-1322 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-1647 (((-3 $ "failed") (-635 |#4|)) NIL)) (-2428 (($ (-635 |#4|)) NIL)) (-2046 (((-3 $ "failed") $) 39)) (-4407 ((|#4| |#4| $) 64)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091))))) (-4347 (($ |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1830 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 77 (|has| |#1| (-559)))) (-3255 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) NIL)) (-2045 ((|#4| |#4| $) NIL)) (-1774 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4535))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4535))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-4038 (((-2 (|:| -3585 (-635 |#4|)) (|:| -3230 (-635 |#4|))) $) NIL)) (-1658 (((-121) |#4| $) NIL)) (-3903 (((-121) |#4| $) NIL)) (-3617 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3152 (((-2 (|:| |val| (-635 |#4|)) (|:| |towers| (-635 $))) (-635 |#4|) (-121) (-121)) 123)) (-3470 (((-635 |#4|) $) 16 (|has| $ (-6 -4535)))) (-3977 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-4357 ((|#3| $) 33)) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#4|) $) 17 (|has| $ (-6 -4535)))) (-3660 (((-121) |#4| $) 25 (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091))))) (-1853 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#4| |#4|) $) 21)) (-1833 (((-635 |#3|) $) NIL)) (-2760 (((-121) |#3| $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-2870 (((-3 |#4| (-635 $)) |#4| |#4| $) NIL)) (-3988 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 $))) |#4| |#4| $) 102)) (-4213 (((-3 |#4| "failed") $) 37)) (-2482 (((-635 $) |#4| $) 87)) (-3730 (((-3 (-121) (-635 $)) |#4| $) NIL)) (-2253 (((-635 (-2 (|:| |val| (-121)) (|:| -4003 $))) |#4| $) 97) (((-121) |#4| $) 52)) (-2652 (((-635 $) |#4| $) 106) (((-635 $) (-635 |#4|) $) NIL) (((-635 $) (-635 |#4|) (-635 $)) 107) (((-635 $) |#4| (-635 $)) NIL)) (-4164 (((-635 $) (-635 |#4|) (-121) (-121) (-121)) 118)) (-3897 (($ |#4| $) 74) (($ (-635 |#4|) $) 75) (((-635 $) |#4| $ (-121) (-121) (-121) (-121) (-121)) 73)) (-2515 (((-635 |#4|) $) NIL)) (-3409 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3005 ((|#4| |#4| $) NIL)) (-2673 (((-121) $ $) NIL)) (-2439 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-4310 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2533 ((|#4| |#4| $) NIL)) (-3360 (((-1109) $) NIL)) (-4353 (((-3 |#4| "failed") $) 35)) (-2502 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-1913 (((-3 $ "failed") $ |#4|) 47)) (-3499 (($ $ |#4|) NIL) (((-635 $) |#4| $) 89) (((-635 $) |#4| (-635 $)) NIL) (((-635 $) (-635 |#4|) $) NIL) (((-635 $) (-635 |#4|) (-635 $)) 85)) (-4177 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#4|) (-635 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-635 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 15)) (-1296 (($) 13)) (-2492 (((-764) $) NIL)) (-2846 (((-764) |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) (((-764) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) 12)) (-3817 (((-542) $) NIL (|has| |#4| (-610 (-542))))) (-2139 (($ (-635 |#4|)) 20)) (-4201 (($ $ |#3|) 42)) (-3460 (($ $ |#3|) 43)) (-4208 (($ $) NIL)) (-2630 (($ $ |#3|) NIL)) (-2185 (((-851) $) 31) (((-635 |#4|) $) 40)) (-3435 (((-764) $) NIL (|has| |#3| (-371)))) (-1702 (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) NIL) (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-3321 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) NIL)) (-4455 (((-635 $) |#4| $) 53) (((-635 $) |#4| (-635 $)) NIL) (((-635 $) (-635 |#4|) $) NIL) (((-635 $) (-635 |#4|) (-635 $)) NIL)) (-2066 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-3502 (((-635 |#3|) $) NIL)) (-4060 (((-121) |#4| $) NIL)) (-3673 (((-121) |#3| $) 60)) (-1668 (((-121) $ $) NIL)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-1132 |#1| |#2| |#3| |#4|) (-13 (-1100 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3897 ((-635 $) |#4| $ (-121) (-121) (-121) (-121) (-121))) (-15 -4426 ((-635 $) (-635 |#4|) (-121) (-121))) (-15 -4426 ((-635 $) (-635 |#4|) (-121) (-121) (-121) (-121))) (-15 -4164 ((-635 $) (-635 |#4|) (-121) (-121) (-121))) (-15 -3152 ((-2 (|:| |val| (-635 |#4|)) (|:| |towers| (-635 $))) (-635 |#4|) (-121) (-121))))) (-454) (-789) (-843) (-1062 |#1| |#2| |#3|)) (T -1132)) 
+((-3897 (*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1132 *5 *6 *7 *3))) (-5 *1 (-1132 *5 *6 *7 *3)) (-4 *3 (-1062 *5 *6 *7)))) (-4426 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1132 *5 *6 *7 *8))) (-5 *1 (-1132 *5 *6 *7 *8)))) (-4426 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1132 *5 *6 *7 *8))) (-5 *1 (-1132 *5 *6 *7 *8)))) (-4164 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1132 *5 *6 *7 *8))) (-5 *1 (-1132 *5 *6 *7 *8)))) (-3152 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-635 *8)) (|:| |towers| (-635 (-1132 *5 *6 *7 *8))))) (-5 *1 (-1132 *5 *6 *7 *8)) (-5 *3 (-635 *8))))) 
+(-13 (-1100 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3897 ((-635 $) |#4| $ (-121) (-121) (-121) (-121) (-121))) (-15 -4426 ((-635 $) (-635 |#4|) (-121) (-121))) (-15 -4426 ((-635 $) (-635 |#4|) (-121) (-121) (-121) (-121))) (-15 -4164 ((-635 $) (-635 |#4|) (-121) (-121) (-121))) (-15 -3152 ((-2 (|:| |val| (-635 |#4|)) (|:| |towers| (-635 $))) (-635 |#4|) (-121) (-121))))) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-3275 ((|#1| $) 28)) (-1725 (($ (-635 |#1|)) 33)) (-1691 (((-121) $ (-764)) NIL)) (-2820 (($) NIL T CONST)) (-3309 ((|#1| |#1| $) 30)) (-1646 ((|#1| $) 26)) (-3470 (((-635 |#1|) $) 34 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1853 (($ (-1 |#1| |#1|) $) 39 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 37)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3889 ((|#1| $) 29)) (-3172 (($ |#1| $) 31)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-1856 ((|#1| $) 27)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 24)) (-1296 (($) 32)) (-2835 (((-764) $) 22)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) 20)) (-2185 (((-851) $) 17 (|has| |#1| (-1091)))) (-2793 (($ (-635 |#1|)) NIL)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 12 (|has| |#1| (-1091)))) (-4168 (((-764) $) 23 (|has| $ (-6 -4535))))) 
+(((-1133 |#1|) (-13 (-1110 |#1|) (-10 -8 (-15 -1725 ($ (-635 |#1|))) (-15 -1646 (|#1| $)) (-15 -1856 (|#1| $)) (-15 -3309 (|#1| |#1| $)) (-15 -3172 ($ |#1| $)) (-15 -3889 (|#1| $)) (-15 -3275 (|#1| $)) (-15 -2835 ((-764) $)) (-15 -2006 ((-121) $ (-764))) (-15 -1974 ((-121) $ (-764))) (-15 -1691 ((-121) $ (-764))) (-15 -2793 ($ (-635 |#1|))) (-15 -1601 ((-121) $)) (-15 -1296 ($)) (-15 -2820 ($)) (-15 -1971 ($ $)) (-15 -3137 ((-121) $ $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4536)) (-15 -1853 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1091)) (PROGN (-15 -2776 ((-1145) $)) (-15 -3360 ((-1109) $)) (-15 -2185 ((-851) $)) (-15 -1668 ((-121) $ $)) (-15 -2568 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4535)) (PROGN (-15 -4177 ((-121) (-1 (-121) |#1|) $)) (-15 -2066 ((-121) (-1 (-121) |#1|) $)) (-15 -2846 ((-764) (-1 (-121) |#1|) $)) (-15 -4168 ((-764) $)) (-15 -3470 ((-635 |#1|) $)) (-15 -4259 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4535)) (IF (|has| |#1| (-1091)) (PROGN (-15 -3660 ((-121) |#1| $)) (-15 -2846 ((-764) |#1| $))) |noBranch|) |noBranch|))) (-1091)) (T -1133)) 
+((-3137 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)))) (-1971 (*1 *1 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091)))) (-1296 (*1 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091)))) (-1601 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)))) (-2006 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-1133 *4)) (-4 *4 (-1091)))) (-1974 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-1133 *4)) (-4 *4 (-1091)))) (-1691 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-1133 *4)) (-4 *4 (-1091)))) (-2820 (*1 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091)))) (-4168 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)))) (-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-1133 *3)))) (-1853 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4536)) (-4 *3 (-1091)) (-5 *1 (-1133 *3)))) (-2066 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-1133 *4)))) (-4177 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-1133 *4)))) (-2846 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-764)) (-5 *1 (-1133 *4)))) (-3470 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)))) (-4259 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)))) (-2846 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-3660 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-121)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2776 (*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-3360 (*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-1668 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2568 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2793 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-1133 *3)))) (-1856 (*1 *2 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091)))) (-3172 (*1 *1 *2 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091)))) (-3889 (*1 *2 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091)))) (-3309 (*1 *2 *2 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091)))) (-1646 (*1 *2 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091)))) (-3275 (*1 *2 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091)))) (-2835 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)))) (-1725 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-1133 *3))))) 
+(-13 (-1110 |#1|) (-10 -8 (-15 -1725 ($ (-635 |#1|))) (-15 -1646 (|#1| $)) (-15 -1856 (|#1| $)) (-15 -3309 (|#1| |#1| $)) (-15 -3172 ($ |#1| $)) (-15 -3889 (|#1| $)) (-15 -3275 (|#1| $)) (-15 -2835 ((-764) $)) (-15 -2006 ((-121) $ (-764))) (-15 -1974 ((-121) $ (-764))) (-15 -1691 ((-121) $ (-764))) (-15 -2793 ($ (-635 |#1|))) (-15 -1601 ((-121) $)) (-15 -1296 ($)) (-15 -2820 ($)) (-15 -1971 ($ $)) (-15 -3137 ((-121) $ $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4536)) (-15 -1853 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1091)) (PROGN (-15 -2776 ((-1145) $)) (-15 -3360 ((-1109) $)) (-15 -2185 ((-851) $)) (-15 -1668 ((-121) $ $)) (-15 -2568 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4535)) (PROGN (-15 -4177 ((-121) (-1 (-121) |#1|) $)) (-15 -2066 ((-121) (-1 (-121) |#1|) $)) (-15 -2846 ((-764) (-1 (-121) |#1|) $)) (-15 -4168 ((-764) $)) (-15 -3470 ((-635 |#1|) $)) (-15 -4259 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4535)) (IF (|has| |#1| (-1091)) (PROGN (-15 -3660 ((-121) |#1| $)) (-15 -2846 ((-764) |#1| $))) |noBranch|) |noBranch|))) 
+((-4469 ((|#2| $ "value" |#2|) NIL) ((|#2| $ "first" |#2|) NIL) (($ $ "rest" $) NIL) ((|#2| $ "last" |#2|) NIL) ((|#2| $ (-1213 (-569)) |#2|) 43) ((|#2| $ (-569) |#2|) 40)) (-3108 (((-121) $) 11)) (-1853 (($ (-1 |#2| |#2|) $) 38)) (-4353 ((|#2| $) NIL) (($ $ (-764)) 16)) (-3174 (($ $ |#2|) 39)) (-2695 (((-121) $) 10)) (-1534 ((|#2| $ "value") NIL) ((|#2| $ "first") NIL) (($ $ "rest") NIL) ((|#2| $ "last") NIL) (($ $ (-1213 (-569))) 30) ((|#2| $ (-569)) 22) ((|#2| $ (-569) |#2|) NIL)) (-2697 (($ $ $) 46) (($ $ |#2|) NIL)) (-2250 (($ $ $) 32) (($ |#2| $) NIL) (($ (-635 $)) 35) (($ $ |#2|) NIL))) 
+(((-1134 |#1| |#2|) (-10 -8 (-15 -3108 ((-121) |#1|)) (-15 -2695 ((-121) |#1|)) (-15 -4469 (|#2| |#1| (-569) |#2|)) (-15 -1534 (|#2| |#1| (-569) |#2|)) (-15 -1534 (|#2| |#1| (-569))) (-15 -3174 (|#1| |#1| |#2|)) (-15 -2250 (|#1| |#1| |#2|)) (-15 -2250 (|#1| (-635 |#1|))) (-15 -1534 (|#1| |#1| (-1213 (-569)))) (-15 -4469 (|#2| |#1| (-1213 (-569)) |#2|)) (-15 -4469 (|#2| |#1| "last" |#2|)) (-15 -4469 (|#1| |#1| "rest" |#1|)) (-15 -4469 (|#2| |#1| "first" |#2|)) (-15 -2697 (|#1| |#1| |#2|)) (-15 -2697 (|#1| |#1| |#1|)) (-15 -1534 (|#2| |#1| "last")) (-15 -1534 (|#1| |#1| "rest")) (-15 -4353 (|#1| |#1| (-764))) (-15 -1534 (|#2| |#1| "first")) (-15 -4353 (|#2| |#1|)) (-15 -2250 (|#1| |#2| |#1|)) (-15 -2250 (|#1| |#1| |#1|)) (-15 -4469 (|#2| |#1| "value" |#2|)) (-15 -1534 (|#2| |#1| "value")) (-15 -1853 (|#1| (-1 |#2| |#2|) |#1|))) (-1135 |#2|) (-1197)) (T -1134)) 
+NIL 
+(-10 -8 (-15 -3108 ((-121) |#1|)) (-15 -2695 ((-121) |#1|)) (-15 -4469 (|#2| |#1| (-569) |#2|)) (-15 -1534 (|#2| |#1| (-569) |#2|)) (-15 -1534 (|#2| |#1| (-569))) (-15 -3174 (|#1| |#1| |#2|)) (-15 -2250 (|#1| |#1| |#2|)) (-15 -2250 (|#1| (-635 |#1|))) (-15 -1534 (|#1| |#1| (-1213 (-569)))) (-15 -4469 (|#2| |#1| (-1213 (-569)) |#2|)) (-15 -4469 (|#2| |#1| "last" |#2|)) (-15 -4469 (|#1| |#1| "rest" |#1|)) (-15 -4469 (|#2| |#1| "first" |#2|)) (-15 -2697 (|#1| |#1| |#2|)) (-15 -2697 (|#1| |#1| |#1|)) (-15 -1534 (|#2| |#1| "last")) (-15 -1534 (|#1| |#1| "rest")) (-15 -4353 (|#1| |#1| (-764))) (-15 -1534 (|#2| |#1| "first")) (-15 -4353 (|#2| |#1|)) (-15 -2250 (|#1| |#2| |#1|)) (-15 -2250 (|#1| |#1| |#1|)) (-15 -4469 (|#2| |#1| "value" |#2|)) (-15 -1534 (|#2| |#1| "value")) (-15 -1853 (|#1| (-1 |#2| |#2|) |#1|))) 
+((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-2247 ((|#1| $) 45)) (-4360 ((|#1| $) 62)) (-4459 (($ $) 64)) (-3112 (((-1252) $ (-569) (-569)) 94 (|has| $ (-6 -4536)))) (-3138 (($ $ (-569)) 49 (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) 8)) (-3891 ((|#1| $ |#1|) 36 (|has| $ (-6 -4536)))) (-3014 (($ $ $) 53 (|has| $ (-6 -4536)))) (-1868 ((|#1| $ |#1|) 51 (|has| $ (-6 -4536)))) (-3159 ((|#1| $ |#1|) 55 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4536))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4536))) (($ $ "rest" $) 52 (|has| $ (-6 -4536))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) 114 (|has| $ (-6 -4536))) ((|#1| $ (-569) |#1|) 83 (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) 38 (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) 99 (|has| $ (-6 -4535)))) (-1669 ((|#1| $) 63)) (-2820 (($) 7 T CONST)) (-2046 (($ $) 70) (($ $ (-764)) 68)) (-2033 (($ $) 96 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ (-1 (-121) |#1|) $) 100 (|has| $ (-6 -4535))) (($ |#1| $) 97 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $) 102 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 101 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 98 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-2726 ((|#1| $ (-569) |#1|) 82 (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) 84)) (-3108 (((-121) $) 80)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) 47)) (-4349 (((-121) $ $) 39 (|has| |#1| (-1091)))) (-2659 (($ (-764) |#1|) 105)) (-1974 (((-121) $ (-764)) 9)) (-3557 (((-569) $) 92 (|has| (-569) (-843)))) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1285 (((-569) $) 91 (|has| (-569) (-843)))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 108)) (-2006 (((-121) $ (-764)) 10)) (-2824 (((-635 |#1|) $) 42)) (-3486 (((-121) $) 46)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-4213 ((|#1| $) 67) (($ $ (-764)) 65)) (-3614 (($ $ $ (-569)) 113) (($ |#1| $ (-569)) 112)) (-4166 (((-635 (-569)) $) 89)) (-3533 (((-121) (-569) $) 88)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4353 ((|#1| $) 73) (($ $ (-764)) 71)) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 103)) (-3174 (($ $ |#1|) 93 (|has| $ (-6 -4536)))) (-2695 (((-121) $) 81)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) |#1| $) 90 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) 87)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66) (($ $ (-1213 (-569))) 109) ((|#1| $ (-569)) 86) ((|#1| $ (-569) |#1|) 85)) (-1686 (((-569) $ $) 41)) (-3010 (($ $ (-1213 (-569))) 111) (($ $ (-569)) 110)) (-1472 (((-121) $) 43)) (-2645 (($ $) 59)) (-2780 (($ $) 56 (|has| $ (-6 -4536)))) (-4035 (((-764) $) 60)) (-4343 (($ $) 61)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-3817 (((-542) $) 95 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 104)) (-2697 (($ $ $) 58 (|has| $ (-6 -4536))) (($ $ |#1|) 57 (|has| $ (-6 -4536)))) (-2250 (($ $ $) 75) (($ |#1| $) 74) (($ (-635 $)) 107) (($ $ |#1|) 106)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-4114 (((-635 $) $) 48)) (-2447 (((-121) $ $) 40 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-1135 |#1|) (-1278) (-1197)) (T -1135)) 
+((-2695 (*1 *2 *1) (-12 (-4 *1 (-1135 *3)) (-4 *3 (-1197)) (-5 *2 (-121)))) (-3108 (*1 *2 *1) (-12 (-4 *1 (-1135 *3)) (-4 *3 (-1197)) (-5 *2 (-121))))) 
+(-13 (-1234 |t#1|) (-641 |t#1|) (-10 -8 (-15 -2695 ((-121) $)) (-15 -3108 ((-121) $)))) 
+(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-641 |#1|) . T) ((-1011 |#1|) . T) ((-1091) |has| |#1| (-1091)) ((-1197) . T) ((-1234 |#1|) . T)) 
+((-2568 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2281 (($) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-3112 (((-1252) $ |#1| |#1|) NIL (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#2| $ |#1| |#2|) NIL)) (-4216 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-2082 (((-3 |#2| "failed") |#1| $) NIL)) (-2820 (($) NIL T CONST)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-4454 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-3 |#2| "failed") |#1| $) NIL)) (-4347 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#2| $ |#1|) NIL)) (-3470 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 ((|#1| $) NIL (|has| |#1| (-843)))) (-4259 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1285 ((|#1| $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4536))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2179 (((-635 |#1|) $) NIL)) (-1598 (((-121) |#1| $) NIL)) (-3889 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-3172 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4166 (((-635 |#1|) $) NIL)) (-3533 (((-121) |#1| $) NIL)) (-3360 (((-1109) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4353 ((|#2| $) NIL (|has| |#1| (-843)))) (-2502 (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL)) (-3174 (($ $ |#2|) NIL (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-2691 (((-635 |#2|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-2566 (($) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-764) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091)))) (((-764) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2185 (((-851) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2793 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-1136 |#1| |#2| |#3|) (-1174 |#1| |#2|) (-1091) (-1091) |#2|) (T -1136)) 
+NIL 
+(-1174 |#1| |#2|) 
+((-2568 (((-121) $ $) 7)) (-3846 (((-3 $ "failed") $) 12)) (-2776 (((-1145) $) 9)) (-4043 (($) 13 T CONST)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-1668 (((-121) $ $) 6))) 
+(((-1137) (-1278)) (T -1137)) 
+((-4043 (*1 *1) (-4 *1 (-1137))) (-3846 (*1 *1 *1) (|partial| -4 *1 (-1137)))) 
+(-13 (-1091) (-10 -8 (-15 -4043 ($) -2043) (-15 -3846 ((-3 $ "failed") $)))) 
+(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
+((-2877 (((-1143 |#1|) (-1143 |#1|)) 17)) (-4191 (((-1143 |#1|) (-1143 |#1|)) 13)) (-3094 (((-1143 |#1|) (-1143 |#1|) (-569) (-569)) 20)) (-2651 (((-1143 |#1|) (-1143 |#1|)) 15))) 
+(((-1138 |#1|) (-10 -7 (-15 -4191 ((-1143 |#1|) (-1143 |#1|))) (-15 -2651 ((-1143 |#1|) (-1143 |#1|))) (-15 -2877 ((-1143 |#1|) (-1143 |#1|))) (-15 -3094 ((-1143 |#1|) (-1143 |#1|) (-569) (-569)))) (-13 (-559) (-151))) (T -1138)) 
+((-3094 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1143 *4)) (-5 *3 (-569)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-1138 *4)))) (-2877 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1138 *3)))) (-2651 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1138 *3)))) (-4191 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1138 *3))))) 
+(-10 -7 (-15 -4191 ((-1143 |#1|) (-1143 |#1|))) (-15 -2651 ((-1143 |#1|) (-1143 |#1|))) (-15 -2877 ((-1143 |#1|) (-1143 |#1|))) (-15 -3094 ((-1143 |#1|) (-1143 |#1|) (-569) (-569)))) 
+((-1582 (((-1143 |#1|) (-1143 |#1|) (-1 (-635 |#1|) |#1|)) 16))) 
+(((-1139 |#1|) (-10 -7 (-15 -1582 ((-1143 |#1|) (-1143 |#1|) (-1 (-635 |#1|) |#1|)))) (-1197)) (T -1139)) 
+((-1582 (*1 *2 *2 *3) (-12 (-5 *2 (-1143 *4)) (-5 *3 (-1 (-635 *4) *4)) (-4 *4 (-1197)) (-5 *1 (-1139 *4))))) 
+(-10 -7 (-15 -1582 ((-1143 |#1|) (-1143 |#1|) (-1 (-635 |#1|) |#1|)))) 
+((-2250 (((-1143 |#1|) (-1143 (-1143 |#1|))) 15))) 
+(((-1140 |#1|) (-10 -7 (-15 -2250 ((-1143 |#1|) (-1143 (-1143 |#1|))))) (-1197)) (T -1140)) 
+((-2250 (*1 *2 *3) (-12 (-5 *3 (-1143 (-1143 *4))) (-5 *2 (-1143 *4)) (-5 *1 (-1140 *4)) (-4 *4 (-1197))))) 
+(-10 -7 (-15 -2250 ((-1143 |#1|) (-1143 (-1143 |#1|))))) 
+((-3043 (((-1143 |#2|) |#2| (-1 |#2| |#1| |#2|) (-1143 |#1|)) 25)) (-1774 ((|#2| |#2| (-1 |#2| |#1| |#2|) (-1143 |#1|)) 26)) (-1544 (((-1143 |#2|) (-1 |#2| |#1|) (-1143 |#1|)) 16))) 
+(((-1141 |#1| |#2|) (-10 -7 (-15 -1544 ((-1143 |#2|) (-1 |#2| |#1|) (-1143 |#1|))) (-15 -3043 ((-1143 |#2|) |#2| (-1 |#2| |#1| |#2|) (-1143 |#1|))) (-15 -1774 (|#2| |#2| (-1 |#2| |#1| |#2|) (-1143 |#1|)))) (-1197) (-1197)) (T -1141)) 
+((-1774 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1143 *5)) (-4 *5 (-1197)) (-4 *2 (-1197)) (-5 *1 (-1141 *5 *2)))) (-3043 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *3 *6 *3)) (-5 *5 (-1143 *6)) (-4 *6 (-1197)) (-4 *3 (-1197)) (-5 *2 (-1143 *3)) (-5 *1 (-1141 *6 *3)))) (-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1143 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1143 *6)) (-5 *1 (-1141 *5 *6))))) 
+(-10 -7 (-15 -1544 ((-1143 |#2|) (-1 |#2| |#1|) (-1143 |#1|))) (-15 -3043 ((-1143 |#2|) |#2| (-1 |#2| |#1| |#2|) (-1143 |#1|))) (-15 -1774 (|#2| |#2| (-1 |#2| |#1| |#2|) (-1143 |#1|)))) 
+((-1544 (((-1143 |#3|) (-1 |#3| |#1| |#2|) (-1143 |#1|) (-1143 |#2|)) 21))) 
+(((-1142 |#1| |#2| |#3|) (-10 -7 (-15 -1544 ((-1143 |#3|) (-1 |#3| |#1| |#2|) (-1143 |#1|) (-1143 |#2|)))) (-1197) (-1197) (-1197)) (T -1142)) 
+((-1544 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1143 *6)) (-5 *5 (-1143 *7)) (-4 *6 (-1197)) (-4 *7 (-1197)) (-4 *8 (-1197)) (-5 *2 (-1143 *8)) (-5 *1 (-1142 *6 *7 *8))))) 
+(-10 -7 (-15 -1544 ((-1143 |#3|) (-1 |#3| |#1| |#2|) (-1143 |#1|) (-1143 |#2|)))) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2247 ((|#1| $) NIL)) (-4360 ((|#1| $) NIL)) (-4459 (($ $) 48)) (-3112 (((-1252) $ (-569) (-569)) 73 (|has| $ (-6 -4536)))) (-3138 (($ $ (-569)) 107 (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) NIL)) (-2701 (((-851) $) 37 (|has| |#1| (-1091)))) (-4266 (((-121)) 38 (|has| |#1| (-1091)))) (-3891 ((|#1| $ |#1|) NIL (|has| $ (-6 -4536)))) (-3014 (($ $ $) 95 (|has| $ (-6 -4536))) (($ $ (-569) $) 117)) (-1868 ((|#1| $ |#1|) 104 (|has| $ (-6 -4536)))) (-3159 ((|#1| $ |#1|) 99 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4536))) ((|#1| $ "first" |#1|) 101 (|has| $ (-6 -4536))) (($ $ "rest" $) 103 (|has| $ (-6 -4536))) ((|#1| $ "last" |#1|) 106 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) 86 (|has| $ (-6 -4536))) ((|#1| $ (-569) |#1|) 52 (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) NIL (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) 55)) (-1669 ((|#1| $) NIL)) (-2820 (($) NIL T CONST)) (-3913 (($ $) 14)) (-2046 (($ $) 28) (($ $ (-764)) 85)) (-1301 (((-121) (-635 |#1|) $) 112 (|has| |#1| (-1091)))) (-3404 (($ (-635 |#1|)) 109)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4347 (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (($ (-1 (-121) |#1|) $) 54)) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2726 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) NIL)) (-3108 (((-121) $) NIL)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3020 (((-1252) (-569) $) 116 (|has| |#1| (-1091)))) (-2534 (((-764) $) 114)) (-4032 (((-635 $) $) NIL)) (-4349 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2659 (($ (-764) |#1|) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1853 (($ (-1 |#1| |#1|) $) 70 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 60) (($ (-1 |#1| |#1| |#1|) $ $) 64)) (-2006 (((-121) $ (-764)) NIL)) (-2824 (((-635 |#1|) $) NIL)) (-3486 (((-121) $) NIL)) (-1572 (($ $) 87)) (-2796 (((-121) $) 13)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-4213 ((|#1| $) NIL) (($ $ (-764)) NIL)) (-3614 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) 71)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-1923 (($ (-1 |#1|)) 119) (($ (-1 |#1| |#1|) |#1|) 120)) (-1867 ((|#1| $) 10)) (-4353 ((|#1| $) 27) (($ $ (-764)) 46)) (-3501 (((-2 (|:| |cycle?| (-121)) (|:| -3968 (-764)) (|:| |period| (-764))) (-764) $) 24)) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-1946 (($ (-1 (-121) |#1|) $) 121)) (-1953 (($ (-1 (-121) |#1|) $) 122)) (-3174 (($ $ |#1|) 65 (|has| $ (-6 -4536)))) (-3499 (($ $ (-569)) 31)) (-2695 (((-121) $) 69)) (-2134 (((-121) $) 12)) (-1642 (((-121) $) 113)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 20)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) 15)) (-1296 (($) 40)) (-1534 ((|#1| $ "value") NIL) ((|#1| $ "first") NIL) (($ $ "rest") NIL) ((|#1| $ "last") NIL) (($ $ (-1213 (-569))) NIL) ((|#1| $ (-569)) 51) ((|#1| $ (-569) |#1|) NIL)) (-1686 (((-569) $ $) 45)) (-3010 (($ $ (-1213 (-569))) NIL) (($ $ (-569)) NIL)) (-2906 (($ (-1 $)) 44)) (-1472 (((-121) $) 66)) (-2645 (($ $) 67)) (-2780 (($ $) 96 (|has| $ (-6 -4536)))) (-4035 (((-764) $) NIL)) (-4343 (($ $) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) 41)) (-3817 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 50)) (-1963 (($ |#1| $) 94)) (-2697 (($ $ $) 97 (|has| $ (-6 -4536))) (($ $ |#1|) 98 (|has| $ (-6 -4536)))) (-2250 (($ $ $) 75) (($ |#1| $) 42) (($ (-635 $)) 80) (($ $ |#1|) 74)) (-3659 (($ $) 47)) (-2185 (((-851) $) 39 (|has| |#1| (-1091))) (($ (-635 |#1|)) 108)) (-4114 (((-635 $) $) NIL)) (-2447 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 111 (|has| |#1| (-1091)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-1143 |#1|) (-13 (-666 |#1|) (-10 -8 (-6 -4536) (-15 -2185 ($ (-635 |#1|))) (-15 -3404 ($ (-635 |#1|))) (IF (|has| |#1| (-1091)) (-15 -1301 ((-121) (-635 |#1|) $)) |noBranch|) (-15 -3501 ((-2 (|:| |cycle?| (-121)) (|:| -3968 (-764)) (|:| |period| (-764))) (-764) $)) (-15 -2906 ($ (-1 $))) (-15 -1963 ($ |#1| $)) (IF (|has| |#1| (-1091)) (PROGN (-15 -3020 ((-1252) (-569) $)) (-15 -2701 ((-851) $)) (-15 -4266 ((-121)))) |noBranch|) (-15 -3014 ($ $ (-569) $)) (-15 -1923 ($ (-1 |#1|))) (-15 -1923 ($ (-1 |#1| |#1|) |#1|)) (-15 -1946 ($ (-1 (-121) |#1|) $)) (-15 -1953 ($ (-1 (-121) |#1|) $)))) (-1197)) (T -1143)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-5 *1 (-1143 *3)))) (-3404 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-5 *1 (-1143 *3)))) (-1301 (*1 *2 *3 *1) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1091)) (-4 *4 (-1197)) (-5 *2 (-121)) (-5 *1 (-1143 *4)))) (-3501 (*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |cycle?| (-121)) (|:| -3968 (-764)) (|:| |period| (-764)))) (-5 *1 (-1143 *4)) (-4 *4 (-1197)) (-5 *3 (-764)))) (-2906 (*1 *1 *2) (-12 (-5 *2 (-1 (-1143 *3))) (-5 *1 (-1143 *3)) (-4 *3 (-1197)))) (-1963 (*1 *1 *2 *1) (-12 (-5 *1 (-1143 *2)) (-4 *2 (-1197)))) (-3020 (*1 *2 *3 *1) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-1143 *4)) (-4 *4 (-1091)) (-4 *4 (-1197)))) (-2701 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-1143 *3)) (-4 *3 (-1091)) (-4 *3 (-1197)))) (-4266 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1143 *3)) (-4 *3 (-1091)) (-4 *3 (-1197)))) (-3014 (*1 *1 *1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1143 *3)) (-4 *3 (-1197)))) (-1923 (*1 *1 *2) (-12 (-5 *2 (-1 *3)) (-4 *3 (-1197)) (-5 *1 (-1143 *3)))) (-1923 (*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1197)) (-5 *1 (-1143 *3)))) (-1946 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1197)) (-5 *1 (-1143 *3)))) (-1953 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1197)) (-5 *1 (-1143 *3))))) 
+(-13 (-666 |#1|) (-10 -8 (-6 -4536) (-15 -2185 ($ (-635 |#1|))) (-15 -3404 ($ (-635 |#1|))) (IF (|has| |#1| (-1091)) (-15 -1301 ((-121) (-635 |#1|) $)) |noBranch|) (-15 -3501 ((-2 (|:| |cycle?| (-121)) (|:| -3968 (-764)) (|:| |period| (-764))) (-764) $)) (-15 -2906 ($ (-1 $))) (-15 -1963 ($ |#1| $)) (IF (|has| |#1| (-1091)) (PROGN (-15 -3020 ((-1252) (-569) $)) (-15 -2701 ((-851) $)) (-15 -4266 ((-121)))) |noBranch|) (-15 -3014 ($ $ (-569) $)) (-15 -1923 ($ (-1 |#1|))) (-15 -1923 ($ (-1 |#1| |#1|) |#1|)) (-15 -1946 ($ (-1 (-121) |#1|) $)) (-15 -1953 ($ (-1 (-121) |#1|) $)))) 
+((-2568 (((-121) $ $) 18)) (-3241 (($ $) 113)) (-2217 (($ $) 114)) (-2668 (($ $ (-148)) 101) (($ $ (-143)) 100)) (-3112 (((-1252) $ (-569) (-569)) 37 (|has| $ (-6 -4536)))) (-3134 (((-121) $ $) 111)) (-3254 (((-121) $ $ (-569)) 110)) (-2257 (($ (-569)) 118)) (-4493 (((-635 $) $ (-148)) 103) (((-635 $) $ (-143)) 102)) (-3034 (((-121) (-1 (-121) (-148) (-148)) $) 91) (((-121) $) 85 (|has| (-148) (-843)))) (-3076 (($ (-1 (-121) (-148) (-148)) $) 82 (|has| $ (-6 -4536))) (($ $) 81 (-12 (|has| (-148) (-843)) (|has| $ (-6 -4536))))) (-3113 (($ (-1 (-121) (-148) (-148)) $) 92) (($ $) 86 (|has| (-148) (-843)))) (-1691 (((-121) $ (-764)) 8)) (-4469 (((-148) $ (-569) (-148)) 49 (|has| $ (-6 -4536))) (((-148) $ (-1213 (-569)) (-148)) 53 (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) (-148)) $) 70 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-1281 (($ $ (-148)) 97) (($ $ (-143)) 96)) (-1302 (($ $) 83 (|has| $ (-6 -4536)))) (-2052 (($ $) 93)) (-4149 (($ $ (-1213 (-569)) $) 107)) (-2033 (($ $) 73 (-12 (|has| (-148) (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ (-148) $) 72 (-12 (|has| (-148) (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) (-148)) $) 69 (|has| $ (-6 -4535)))) (-1774 (((-148) (-1 (-148) (-148) (-148)) $ (-148) (-148)) 71 (-12 (|has| (-148) (-1091)) (|has| $ (-6 -4535)))) (((-148) (-1 (-148) (-148) (-148)) $ (-148)) 68 (|has| $ (-6 -4535))) (((-148) (-1 (-148) (-148) (-148)) $) 67 (|has| $ (-6 -4535)))) (-2726 (((-148) $ (-569) (-148)) 50 (|has| $ (-6 -4536)))) (-1618 (((-148) $ (-569)) 48)) (-3227 (((-121) $ $) 112)) (-3727 (((-569) (-1 (-121) (-148)) $) 90) (((-569) (-148) $) 89 (|has| (-148) (-1091))) (((-569) (-148) $ (-569)) 88 (|has| (-148) (-1091))) (((-569) $ $ (-569)) 106) (((-569) (-143) $ (-569)) 105)) (-3470 (((-635 (-148)) $) 30 (|has| $ (-6 -4535)))) (-2659 (($ (-764) (-148)) 64)) (-1974 (((-121) $ (-764)) 9)) (-3557 (((-569) $) 40 (|has| (-569) (-843)))) (-3291 (($ $ $) 80 (|has| (-148) (-843)))) (-3288 (($ (-1 (-121) (-148) (-148)) $ $) 94) (($ $ $) 87 (|has| (-148) (-843)))) (-4259 (((-635 (-148)) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) (-148) $) 27 (-12 (|has| (-148) (-1091)) (|has| $ (-6 -4535))))) (-1285 (((-569) $) 41 (|has| (-569) (-843)))) (-1538 (($ $ $) 79 (|has| (-148) (-843)))) (-3536 (((-121) $ $ (-148)) 108)) (-4436 (((-764) $ $ (-148)) 109)) (-1853 (($ (-1 (-148) (-148)) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-148) (-148)) $) 35) (($ (-1 (-148) (-148) (-148)) $ $) 59)) (-1390 (($ $) 115)) (-2869 (($ $) 116)) (-2006 (((-121) $ (-764)) 10)) (-2973 (($ $ (-148)) 99) (($ $ (-143)) 98)) (-2776 (((-1145) $) 22)) (-3614 (($ (-148) $ (-569)) 55) (($ $ $ (-569)) 54)) (-4166 (((-635 (-569)) $) 43)) (-3533 (((-121) (-569) $) 44)) (-3360 (((-1109) $) 21)) (-4353 (((-148) $) 39 (|has| (-569) (-843)))) (-2502 (((-3 (-148) "failed") (-1 (-121) (-148)) $) 66)) (-3174 (($ $ (-148)) 38 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) (-148)) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-148)))) 26 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-289 (-148))) 25 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-148) (-148)) 24 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-635 (-148)) (-635 (-148))) 23 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) (-148) $) 42 (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-2691 (((-635 (-148)) $) 45)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 (((-148) $ (-569) (-148)) 47) (((-148) $ (-569)) 46) (($ $ (-1213 (-569))) 58) (($ $ $) 95)) (-3010 (($ $ (-569)) 57) (($ $ (-1213 (-569))) 56)) (-2846 (((-764) (-1 (-121) (-148)) $) 31 (|has| $ (-6 -4535))) (((-764) (-148) $) 28 (-12 (|has| (-148) (-1091)) (|has| $ (-6 -4535))))) (-3389 (($ $ $ (-569)) 84 (|has| $ (-6 -4536)))) (-1971 (($ $) 13)) (-3817 (((-542) $) 74 (|has| (-148) (-610 (-542))))) (-2139 (($ (-635 (-148))) 65)) (-2250 (($ $ (-148)) 63) (($ (-148) $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-2185 (($ (-148)) 104) (((-851) $) 20)) (-2066 (((-121) (-1 (-121) (-148)) $) 33 (|has| $ (-6 -4535)))) (-1940 (((-1145) $) 122) (((-1145) $ (-121)) 121) (((-1252) (-818) $) 120) (((-1252) (-818) $ (-121)) 119)) (-1693 (((-121) $ $) 77 (|has| (-148) (-843)))) (-1684 (((-121) $ $) 76 (|has| (-148) (-843)))) (-1668 (((-121) $ $) 19)) (-1688 (((-121) $ $) 78 (|has| (-148) (-843)))) (-1678 (((-121) $ $) 75 (|has| (-148) (-843)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-1144) (-1278)) (T -1144)) 
+((-2257 (*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1144))))) 
+(-13 (-1130) (-1091) (-824) (-10 -8 (-15 -2257 ($ (-569))))) 
+(((-39) . T) ((-105) . T) ((-609 (-851)) . T) ((-155 (-148)) . T) ((-610 (-542)) |has| (-148) (-610 (-542))) ((-282 (-569) (-148)) . T) ((-284 (-569) (-148)) . T) ((-304 (-148)) -12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091))) ((-376 (-148)) . T) ((-500 (-148)) . T) ((-602 (-569) (-148)) . T) ((-524 (-148) (-148)) -12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091))) ((-641 (-148)) . T) ((-19 (-148)) . T) ((-824) . T) ((-843) |has| (-148) (-843)) ((-1091) . T) ((-1130) . T) ((-1197) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3241 (($ $) NIL)) (-2217 (($ $) NIL)) (-2668 (($ $ (-148)) NIL) (($ $ (-143)) NIL)) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3134 (((-121) $ $) NIL)) (-3254 (((-121) $ $ (-569)) NIL)) (-2257 (($ (-569)) 7)) (-4493 (((-635 $) $ (-148)) NIL) (((-635 $) $ (-143)) NIL)) (-3034 (((-121) (-1 (-121) (-148) (-148)) $) NIL) (((-121) $) NIL (|has| (-148) (-843)))) (-3076 (($ (-1 (-121) (-148) (-148)) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| (-148) (-843))))) (-3113 (($ (-1 (-121) (-148) (-148)) $) NIL) (($ $) NIL (|has| (-148) (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 (((-148) $ (-569) (-148)) NIL (|has| $ (-6 -4536))) (((-148) $ (-1213 (-569)) (-148)) NIL (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1281 (($ $ (-148)) NIL) (($ $ (-143)) NIL)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-4149 (($ $ (-1213 (-569)) $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-4347 (($ (-148) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091)))) (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-148) (-1 (-148) (-148) (-148)) $ (-148) (-148)) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091)))) (((-148) (-1 (-148) (-148) (-148)) $ (-148)) NIL (|has| $ (-6 -4535))) (((-148) (-1 (-148) (-148) (-148)) $) NIL (|has| $ (-6 -4535)))) (-2726 (((-148) $ (-569) (-148)) NIL (|has| $ (-6 -4536)))) (-1618 (((-148) $ (-569)) NIL)) (-3227 (((-121) $ $) NIL)) (-3727 (((-569) (-1 (-121) (-148)) $) NIL) (((-569) (-148) $) NIL (|has| (-148) (-1091))) (((-569) (-148) $ (-569)) NIL (|has| (-148) (-1091))) (((-569) $ $ (-569)) NIL) (((-569) (-143) $ (-569)) NIL)) (-3470 (((-635 (-148)) $) NIL (|has| $ (-6 -4535)))) (-2659 (($ (-764) (-148)) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| (-148) (-843)))) (-3288 (($ (-1 (-121) (-148) (-148)) $ $) NIL) (($ $ $) NIL (|has| (-148) (-843)))) (-4259 (((-635 (-148)) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-148) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| (-148) (-843)))) (-3536 (((-121) $ $ (-148)) NIL)) (-4436 (((-764) $ $ (-148)) NIL)) (-1853 (($ (-1 (-148) (-148)) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-148) (-148)) $) NIL) (($ (-1 (-148) (-148) (-148)) $ $) NIL)) (-1390 (($ $) NIL)) (-2869 (($ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2973 (($ $ (-148)) NIL) (($ $ (-143)) NIL)) (-2776 (((-1145) $) NIL)) (-3614 (($ (-148) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL)) (-4353 (((-148) $) NIL (|has| (-569) (-843)))) (-2502 (((-3 (-148) "failed") (-1 (-121) (-148)) $) NIL)) (-3174 (($ $ (-148)) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-148)))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-289 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-148) (-148)) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-635 (-148)) (-635 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) (-148) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-2691 (((-635 (-148)) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 (((-148) $ (-569) (-148)) NIL) (((-148) $ (-569)) NIL) (($ $ (-1213 (-569))) NIL) (($ $ $) NIL)) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-2846 (((-764) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535))) (((-764) (-148) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-148) (-610 (-542))))) (-2139 (($ (-635 (-148))) NIL)) (-2250 (($ $ (-148)) NIL) (($ (-148) $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-2185 (($ (-148)) NIL) (((-851) $) NIL)) (-2066 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535)))) (-1940 (((-1145) $) 18) (((-1145) $ (-121)) 20) (((-1252) (-818) $) 21) (((-1252) (-818) $ (-121)) 22)) (-1693 (((-121) $ $) NIL (|has| (-148) (-843)))) (-1684 (((-121) $ $) NIL (|has| (-148) (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| (-148) (-843)))) (-1678 (((-121) $ $) NIL (|has| (-148) (-843)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-1145) (-1144)) (T -1145)) 
+NIL 
+(-1144) 
+((-2568 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)) (|has| |#1| (-1091))))) (-2281 (($) NIL) (($ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) NIL)) (-3112 (((-1252) $ (-1145) (-1145)) NIL (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#1| $ (-1145) |#1|) NIL)) (-4216 (($ (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535)))) (-2082 (((-3 |#1| "failed") (-1145) $) NIL)) (-2820 (($) NIL T CONST)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091))))) (-4454 (($ (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535))) (((-3 |#1| "failed") (-1145) $) NIL)) (-4347 (($ (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)))) (($ (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $ (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)))) (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $ (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-1145) |#1|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-1145)) NIL)) (-3470 (((-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-1145) $) NIL (|has| (-1145) (-843)))) (-4259 (((-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)))) (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1285 (((-1145) $) NIL (|has| (-1145) (-843)))) (-1853 (($ (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4536))) (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL) (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (-2232 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)) (|has| |#1| (-1091))))) (-2179 (((-635 (-1145)) $) NIL)) (-1598 (((-121) (-1145) $) NIL)) (-3889 (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL)) (-3172 (($ (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL)) (-4166 (((-635 (-1145)) $) NIL)) (-3533 (((-121) (-1145) $) NIL)) (-3360 (((-1109) $) NIL (-2232 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)) (|has| |#1| (-1091))))) (-4353 ((|#1| $) NIL (|has| (-1145) (-843)))) (-2502 (((-3 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) "failed") (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL)) (-3174 (($ $ |#1|) NIL (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))))) NIL (-12 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) NIL (-12 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)))) (($ $ (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) NIL (-12 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)))) (($ $ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) NIL (-12 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ (-1145)) NIL) ((|#1| $ (-1145) |#1|) NIL)) (-2566 (($) NIL) (($ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) NIL)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) NIL)) (-2185 (((-851) $) NIL (-2232 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)) (|has| |#1| (-1091))))) (-2793 (($ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) NIL)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)) (|has| |#1| (-1091))))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-1146 |#1|) (-13 (-1174 (-1145) |#1|) (-10 -7 (-6 -4535))) (-1091)) (T -1146)) 
+NIL 
+(-13 (-1174 (-1145) |#1|) (-10 -7 (-6 -4535))) 
+((-1889 (((-1143 |#1|) (-1143 |#1|)) 77)) (-3428 (((-3 (-1143 |#1|) "failed") (-1143 |#1|)) 37)) (-4167 (((-1143 |#1|) (-410 (-569)) (-1143 |#1|)) 117 (|has| |#1| (-43 (-410 (-569)))))) (-3797 (((-1143 |#1|) |#1| (-1143 |#1|)) 121 (|has| |#1| (-366)))) (-2787 (((-1143 |#1|) (-1143 |#1|)) 90)) (-1670 (((-1143 (-569)) (-569)) 57)) (-4212 (((-1143 |#1|) (-1143 (-1143 |#1|))) 108 (|has| |#1| (-43 (-410 (-569)))))) (-4173 (((-1143 |#1|) (-569) (-569) (-1143 |#1|)) 95)) (-4145 (((-1143 |#1|) |#1| (-569)) 45)) (-3062 (((-1143 |#1|) (-1143 |#1|) (-1143 |#1|)) 60)) (-3125 (((-1143 |#1|) (-1143 |#1|) (-1143 |#1|)) 119 (|has| |#1| (-366)))) (-3007 (((-1143 |#1|) |#1| (-1 (-1143 |#1|))) 107 (|has| |#1| (-43 (-410 (-569)))))) (-1827 (((-1143 |#1|) (-1 |#1| (-569)) |#1| (-1 (-1143 |#1|))) 120 (|has| |#1| (-366)))) (-3380 (((-1143 |#1|) (-1143 |#1|)) 89)) (-1722 (((-1143 |#1|) (-1143 |#1|)) 76)) (-1357 (((-1143 |#1|) (-569) (-569) (-1143 |#1|)) 96)) (-2565 (((-1143 |#1|) |#1| (-1143 |#1|)) 105 (|has| |#1| (-43 (-410 (-569)))))) (-3169 (((-1143 (-569)) (-569)) 56)) (-1741 (((-1143 |#1|) |#1|) 59)) (-3235 (((-1143 |#1|) (-1143 |#1|) (-569) (-569)) 92)) (-2361 (((-1143 |#1|) (-1 |#1| (-569)) (-1143 |#1|)) 66)) (-2941 (((-3 (-1143 |#1|) "failed") (-1143 |#1|) (-1143 |#1|)) 35)) (-2924 (((-1143 |#1|) (-1143 |#1|)) 91)) (-1468 (((-1143 |#1|) (-1143 |#1|) |#1|) 71)) (-3370 (((-1143 |#1|) (-1143 |#1|)) 62)) (-3107 (((-1143 |#1|) (-1143 |#1|) (-1143 |#1|)) 72)) (-2185 (((-1143 |#1|) |#1|) 67)) (-3301 (((-1143 |#1|) (-1143 (-1143 |#1|))) 82)) (-1715 (((-1143 |#1|) (-1143 |#1|) (-1143 |#1|)) 36)) (-1711 (((-1143 |#1|) (-1143 |#1|)) 21) (((-1143 |#1|) (-1143 |#1|) (-1143 |#1|)) 23)) (-1707 (((-1143 |#1|) (-1143 |#1|) (-1143 |#1|)) 17)) (* (((-1143 |#1|) (-1143 |#1|) |#1|) 29) (((-1143 |#1|) |#1| (-1143 |#1|)) 26) (((-1143 |#1|) (-1143 |#1|) (-1143 |#1|)) 27))) 
+(((-1147 |#1|) (-10 -7 (-15 -1707 ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -1711 ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -1711 ((-1143 |#1|) (-1143 |#1|))) (-15 * ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 * ((-1143 |#1|) |#1| (-1143 |#1|))) (-15 * ((-1143 |#1|) (-1143 |#1|) |#1|)) (-15 -2941 ((-3 (-1143 |#1|) "failed") (-1143 |#1|) (-1143 |#1|))) (-15 -1715 ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -3428 ((-3 (-1143 |#1|) "failed") (-1143 |#1|))) (-15 -4145 ((-1143 |#1|) |#1| (-569))) (-15 -3169 ((-1143 (-569)) (-569))) (-15 -1670 ((-1143 (-569)) (-569))) (-15 -1741 ((-1143 |#1|) |#1|)) (-15 -3062 ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -3370 ((-1143 |#1|) (-1143 |#1|))) (-15 -2361 ((-1143 |#1|) (-1 |#1| (-569)) (-1143 |#1|))) (-15 -2185 ((-1143 |#1|) |#1|)) (-15 -1468 ((-1143 |#1|) (-1143 |#1|) |#1|)) (-15 -3107 ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -1722 ((-1143 |#1|) (-1143 |#1|))) (-15 -1889 ((-1143 |#1|) (-1143 |#1|))) (-15 -3301 ((-1143 |#1|) (-1143 (-1143 |#1|)))) (-15 -3380 ((-1143 |#1|) (-1143 |#1|))) (-15 -2787 ((-1143 |#1|) (-1143 |#1|))) (-15 -2924 ((-1143 |#1|) (-1143 |#1|))) (-15 -3235 ((-1143 |#1|) (-1143 |#1|) (-569) (-569))) (-15 -4173 ((-1143 |#1|) (-569) (-569) (-1143 |#1|))) (-15 -1357 ((-1143 |#1|) (-569) (-569) (-1143 |#1|))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -2565 ((-1143 |#1|) |#1| (-1143 |#1|))) (-15 -3007 ((-1143 |#1|) |#1| (-1 (-1143 |#1|)))) (-15 -4212 ((-1143 |#1|) (-1143 (-1143 |#1|)))) (-15 -4167 ((-1143 |#1|) (-410 (-569)) (-1143 |#1|)))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-15 -3125 ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -1827 ((-1143 |#1|) (-1 |#1| (-569)) |#1| (-1 (-1143 |#1|)))) (-15 -3797 ((-1143 |#1|) |#1| (-1143 |#1|)))) |noBranch|)) (-1048)) (T -1147)) 
+((-3797 (*1 *2 *3 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-366)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-1827 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *4 (-569))) (-5 *5 (-1 (-1143 *4))) (-4 *4 (-366)) (-4 *4 (-1048)) (-5 *2 (-1143 *4)) (-5 *1 (-1147 *4)))) (-3125 (*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-366)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-4167 (*1 *2 *3 *2) (-12 (-5 *2 (-1143 *4)) (-4 *4 (-43 *3)) (-4 *4 (-1048)) (-5 *3 (-410 (-569))) (-5 *1 (-1147 *4)))) (-4212 (*1 *2 *3) (-12 (-5 *3 (-1143 (-1143 *4))) (-5 *2 (-1143 *4)) (-5 *1 (-1147 *4)) (-4 *4 (-43 (-410 (-569)))) (-4 *4 (-1048)))) (-3007 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-1143 *3))) (-5 *2 (-1143 *3)) (-5 *1 (-1147 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)))) (-2565 (*1 *2 *3 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-1357 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-1143 *4)) (-5 *3 (-569)) (-4 *4 (-1048)) (-5 *1 (-1147 *4)))) (-4173 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-1143 *4)) (-5 *3 (-569)) (-4 *4 (-1048)) (-5 *1 (-1147 *4)))) (-3235 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1143 *4)) (-5 *3 (-569)) (-4 *4 (-1048)) (-5 *1 (-1147 *4)))) (-2924 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-2787 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-3380 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-3301 (*1 *2 *3) (-12 (-5 *3 (-1143 (-1143 *4))) (-5 *2 (-1143 *4)) (-5 *1 (-1147 *4)) (-4 *4 (-1048)))) (-1889 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-1722 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-3107 (*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-1468 (*1 *2 *2 *3) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-2185 (*1 *2 *3) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-1147 *3)) (-4 *3 (-1048)))) (-2361 (*1 *2 *3 *2) (-12 (-5 *2 (-1143 *4)) (-5 *3 (-1 *4 (-569))) (-4 *4 (-1048)) (-5 *1 (-1147 *4)))) (-3370 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-3062 (*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-1741 (*1 *2 *3) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-1147 *3)) (-4 *3 (-1048)))) (-1670 (*1 *2 *3) (-12 (-5 *2 (-1143 (-569))) (-5 *1 (-1147 *4)) (-4 *4 (-1048)) (-5 *3 (-569)))) (-3169 (*1 *2 *3) (-12 (-5 *2 (-1143 (-569))) (-5 *1 (-1147 *4)) (-4 *4 (-1048)) (-5 *3 (-569)))) (-4145 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-5 *2 (-1143 *3)) (-5 *1 (-1147 *3)) (-4 *3 (-1048)))) (-3428 (*1 *2 *2) (|partial| -12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-1715 (*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-2941 (*1 *2 *2 *2) (|partial| -12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (* (*1 *2 *2 *3) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (* (*1 *2 *3 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (* (*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-1711 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-1711 (*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-1707 (*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3))))) 
+(-10 -7 (-15 -1707 ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -1711 ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -1711 ((-1143 |#1|) (-1143 |#1|))) (-15 * ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 * ((-1143 |#1|) |#1| (-1143 |#1|))) (-15 * ((-1143 |#1|) (-1143 |#1|) |#1|)) (-15 -2941 ((-3 (-1143 |#1|) "failed") (-1143 |#1|) (-1143 |#1|))) (-15 -1715 ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -3428 ((-3 (-1143 |#1|) "failed") (-1143 |#1|))) (-15 -4145 ((-1143 |#1|) |#1| (-569))) (-15 -3169 ((-1143 (-569)) (-569))) (-15 -1670 ((-1143 (-569)) (-569))) (-15 -1741 ((-1143 |#1|) |#1|)) (-15 -3062 ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -3370 ((-1143 |#1|) (-1143 |#1|))) (-15 -2361 ((-1143 |#1|) (-1 |#1| (-569)) (-1143 |#1|))) (-15 -2185 ((-1143 |#1|) |#1|)) (-15 -1468 ((-1143 |#1|) (-1143 |#1|) |#1|)) (-15 -3107 ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -1722 ((-1143 |#1|) (-1143 |#1|))) (-15 -1889 ((-1143 |#1|) (-1143 |#1|))) (-15 -3301 ((-1143 |#1|) (-1143 (-1143 |#1|)))) (-15 -3380 ((-1143 |#1|) (-1143 |#1|))) (-15 -2787 ((-1143 |#1|) (-1143 |#1|))) (-15 -2924 ((-1143 |#1|) (-1143 |#1|))) (-15 -3235 ((-1143 |#1|) (-1143 |#1|) (-569) (-569))) (-15 -4173 ((-1143 |#1|) (-569) (-569) (-1143 |#1|))) (-15 -1357 ((-1143 |#1|) (-569) (-569) (-1143 |#1|))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -2565 ((-1143 |#1|) |#1| (-1143 |#1|))) (-15 -3007 ((-1143 |#1|) |#1| (-1 (-1143 |#1|)))) (-15 -4212 ((-1143 |#1|) (-1143 (-1143 |#1|)))) (-15 -4167 ((-1143 |#1|) (-410 (-569)) (-1143 |#1|)))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-15 -3125 ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -1827 ((-1143 |#1|) (-1 |#1| (-569)) |#1| (-1 (-1143 |#1|)))) (-15 -3797 ((-1143 |#1|) |#1| (-1143 |#1|)))) |noBranch|)) 
+((-1753 (((-1143 |#1|) (-1143 |#1|)) 57)) (-2530 (((-1143 |#1|) (-1143 |#1|)) 39)) (-1744 (((-1143 |#1|) (-1143 |#1|)) 53)) (-2513 (((-1143 |#1|) (-1143 |#1|)) 35)) (-1760 (((-1143 |#1|) (-1143 |#1|)) 60)) (-2546 (((-1143 |#1|) (-1143 |#1|)) 42)) (-4450 (((-1143 |#1|) (-1143 |#1|)) 31)) (-2436 (((-1143 |#1|) (-1143 |#1|)) 27)) (-1764 (((-1143 |#1|) (-1143 |#1|)) 61)) (-2554 (((-1143 |#1|) (-1143 |#1|)) 43)) (-1756 (((-1143 |#1|) (-1143 |#1|)) 58)) (-2538 (((-1143 |#1|) (-1143 |#1|)) 40)) (-1748 (((-1143 |#1|) (-1143 |#1|)) 55)) (-2522 (((-1143 |#1|) (-1143 |#1|)) 37)) (-1779 (((-1143 |#1|) (-1143 |#1|)) 65)) (-1727 (((-1143 |#1|) (-1143 |#1|)) 47)) (-1770 (((-1143 |#1|) (-1143 |#1|)) 63)) (-2561 (((-1143 |#1|) (-1143 |#1|)) 45)) (-1785 (((-1143 |#1|) (-1143 |#1|)) 68)) (-1736 (((-1143 |#1|) (-1143 |#1|)) 50)) (-2430 (((-1143 |#1|) (-1143 |#1|)) 69)) (-1740 (((-1143 |#1|) (-1143 |#1|)) 51)) (-1782 (((-1143 |#1|) (-1143 |#1|)) 67)) (-1731 (((-1143 |#1|) (-1143 |#1|)) 49)) (-1775 (((-1143 |#1|) (-1143 |#1|)) 66)) (-2569 (((-1143 |#1|) (-1143 |#1|)) 48)) (** (((-1143 |#1|) (-1143 |#1|) (-1143 |#1|)) 33))) 
+(((-1148 |#1|) (-10 -7 (-15 -2436 ((-1143 |#1|) (-1143 |#1|))) (-15 -4450 ((-1143 |#1|) (-1143 |#1|))) (-15 ** ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -2513 ((-1143 |#1|) (-1143 |#1|))) (-15 -2522 ((-1143 |#1|) (-1143 |#1|))) (-15 -2530 ((-1143 |#1|) (-1143 |#1|))) (-15 -2538 ((-1143 |#1|) (-1143 |#1|))) (-15 -2546 ((-1143 |#1|) (-1143 |#1|))) (-15 -2554 ((-1143 |#1|) (-1143 |#1|))) (-15 -2561 ((-1143 |#1|) (-1143 |#1|))) (-15 -2569 ((-1143 |#1|) (-1143 |#1|))) (-15 -1727 ((-1143 |#1|) (-1143 |#1|))) (-15 -1731 ((-1143 |#1|) (-1143 |#1|))) (-15 -1736 ((-1143 |#1|) (-1143 |#1|))) (-15 -1740 ((-1143 |#1|) (-1143 |#1|))) (-15 -1744 ((-1143 |#1|) (-1143 |#1|))) (-15 -1748 ((-1143 |#1|) (-1143 |#1|))) (-15 -1753 ((-1143 |#1|) (-1143 |#1|))) (-15 -1756 ((-1143 |#1|) (-1143 |#1|))) (-15 -1760 ((-1143 |#1|) (-1143 |#1|))) (-15 -1764 ((-1143 |#1|) (-1143 |#1|))) (-15 -1770 ((-1143 |#1|) (-1143 |#1|))) (-15 -1775 ((-1143 |#1|) (-1143 |#1|))) (-15 -1779 ((-1143 |#1|) (-1143 |#1|))) (-15 -1782 ((-1143 |#1|) (-1143 |#1|))) (-15 -1785 ((-1143 |#1|) (-1143 |#1|))) (-15 -2430 ((-1143 |#1|) (-1143 |#1|)))) (-43 (-410 (-569)))) (T -1148)) 
+((-2430 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1785 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1782 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1779 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1775 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1770 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1764 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1760 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1756 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1753 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1748 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1744 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1740 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1736 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1731 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1727 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-2569 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-2561 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-2554 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-2546 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-2538 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-2530 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-2522 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-2513 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (** (*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-4450 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-2436 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3))))) 
+(-10 -7 (-15 -2436 ((-1143 |#1|) (-1143 |#1|))) (-15 -4450 ((-1143 |#1|) (-1143 |#1|))) (-15 ** ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -2513 ((-1143 |#1|) (-1143 |#1|))) (-15 -2522 ((-1143 |#1|) (-1143 |#1|))) (-15 -2530 ((-1143 |#1|) (-1143 |#1|))) (-15 -2538 ((-1143 |#1|) (-1143 |#1|))) (-15 -2546 ((-1143 |#1|) (-1143 |#1|))) (-15 -2554 ((-1143 |#1|) (-1143 |#1|))) (-15 -2561 ((-1143 |#1|) (-1143 |#1|))) (-15 -2569 ((-1143 |#1|) (-1143 |#1|))) (-15 -1727 ((-1143 |#1|) (-1143 |#1|))) (-15 -1731 ((-1143 |#1|) (-1143 |#1|))) (-15 -1736 ((-1143 |#1|) (-1143 |#1|))) (-15 -1740 ((-1143 |#1|) (-1143 |#1|))) (-15 -1744 ((-1143 |#1|) (-1143 |#1|))) (-15 -1748 ((-1143 |#1|) (-1143 |#1|))) (-15 -1753 ((-1143 |#1|) (-1143 |#1|))) (-15 -1756 ((-1143 |#1|) (-1143 |#1|))) (-15 -1760 ((-1143 |#1|) (-1143 |#1|))) (-15 -1764 ((-1143 |#1|) (-1143 |#1|))) (-15 -1770 ((-1143 |#1|) (-1143 |#1|))) (-15 -1775 ((-1143 |#1|) (-1143 |#1|))) (-15 -1779 ((-1143 |#1|) (-1143 |#1|))) (-15 -1782 ((-1143 |#1|) (-1143 |#1|))) (-15 -1785 ((-1143 |#1|) (-1143 |#1|))) (-15 -2430 ((-1143 |#1|) (-1143 |#1|)))) 
+((-1753 (((-1143 |#1|) (-1143 |#1|)) 100)) (-2530 (((-1143 |#1|) (-1143 |#1|)) 64)) (-3966 (((-2 (|:| -1744 (-1143 |#1|)) (|:| -1748 (-1143 |#1|))) (-1143 |#1|)) 96)) (-1744 (((-1143 |#1|) (-1143 |#1|)) 97)) (-1817 (((-2 (|:| -2513 (-1143 |#1|)) (|:| -2522 (-1143 |#1|))) (-1143 |#1|)) 53)) (-2513 (((-1143 |#1|) (-1143 |#1|)) 54)) (-1760 (((-1143 |#1|) (-1143 |#1|)) 102)) (-2546 (((-1143 |#1|) (-1143 |#1|)) 71)) (-4450 (((-1143 |#1|) (-1143 |#1|)) 39)) (-2436 (((-1143 |#1|) (-1143 |#1|)) 36)) (-1764 (((-1143 |#1|) (-1143 |#1|)) 103)) (-2554 (((-1143 |#1|) (-1143 |#1|)) 72)) (-1756 (((-1143 |#1|) (-1143 |#1|)) 101)) (-2538 (((-1143 |#1|) (-1143 |#1|)) 67)) (-1748 (((-1143 |#1|) (-1143 |#1|)) 98)) (-2522 (((-1143 |#1|) (-1143 |#1|)) 55)) (-1779 (((-1143 |#1|) (-1143 |#1|)) 111)) (-1727 (((-1143 |#1|) (-1143 |#1|)) 86)) (-1770 (((-1143 |#1|) (-1143 |#1|)) 105)) (-2561 (((-1143 |#1|) (-1143 |#1|)) 82)) (-1785 (((-1143 |#1|) (-1143 |#1|)) 115)) (-1736 (((-1143 |#1|) (-1143 |#1|)) 90)) (-2430 (((-1143 |#1|) (-1143 |#1|)) 117)) (-1740 (((-1143 |#1|) (-1143 |#1|)) 92)) (-1782 (((-1143 |#1|) (-1143 |#1|)) 113)) (-1731 (((-1143 |#1|) (-1143 |#1|)) 88)) (-1775 (((-1143 |#1|) (-1143 |#1|)) 107)) (-2569 (((-1143 |#1|) (-1143 |#1|)) 84)) (** (((-1143 |#1|) (-1143 |#1|) (-1143 |#1|)) 40))) 
+(((-1149 |#1|) (-10 -7 (-15 -2436 ((-1143 |#1|) (-1143 |#1|))) (-15 -4450 ((-1143 |#1|) (-1143 |#1|))) (-15 ** ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -1817 ((-2 (|:| -2513 (-1143 |#1|)) (|:| -2522 (-1143 |#1|))) (-1143 |#1|))) (-15 -2513 ((-1143 |#1|) (-1143 |#1|))) (-15 -2522 ((-1143 |#1|) (-1143 |#1|))) (-15 -2530 ((-1143 |#1|) (-1143 |#1|))) (-15 -2538 ((-1143 |#1|) (-1143 |#1|))) (-15 -2546 ((-1143 |#1|) (-1143 |#1|))) (-15 -2554 ((-1143 |#1|) (-1143 |#1|))) (-15 -2561 ((-1143 |#1|) (-1143 |#1|))) (-15 -2569 ((-1143 |#1|) (-1143 |#1|))) (-15 -1727 ((-1143 |#1|) (-1143 |#1|))) (-15 -1731 ((-1143 |#1|) (-1143 |#1|))) (-15 -1736 ((-1143 |#1|) (-1143 |#1|))) (-15 -1740 ((-1143 |#1|) (-1143 |#1|))) (-15 -3966 ((-2 (|:| -1744 (-1143 |#1|)) (|:| -1748 (-1143 |#1|))) (-1143 |#1|))) (-15 -1744 ((-1143 |#1|) (-1143 |#1|))) (-15 -1748 ((-1143 |#1|) (-1143 |#1|))) (-15 -1753 ((-1143 |#1|) (-1143 |#1|))) (-15 -1756 ((-1143 |#1|) (-1143 |#1|))) (-15 -1760 ((-1143 |#1|) (-1143 |#1|))) (-15 -1764 ((-1143 |#1|) (-1143 |#1|))) (-15 -1770 ((-1143 |#1|) (-1143 |#1|))) (-15 -1775 ((-1143 |#1|) (-1143 |#1|))) (-15 -1779 ((-1143 |#1|) (-1143 |#1|))) (-15 -1782 ((-1143 |#1|) (-1143 |#1|))) (-15 -1785 ((-1143 |#1|) (-1143 |#1|))) (-15 -2430 ((-1143 |#1|) (-1143 |#1|)))) (-43 (-410 (-569)))) (T -1149)) 
+((-2430 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1785 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1782 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1779 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1775 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1770 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1764 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1760 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1756 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1753 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1748 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1744 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-3966 (*1 *2 *3) (-12 (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-2 (|:| -1744 (-1143 *4)) (|:| -1748 (-1143 *4)))) (-5 *1 (-1149 *4)) (-5 *3 (-1143 *4)))) (-1740 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1736 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1731 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1727 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-2569 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-2561 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-2554 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-2546 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-2538 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-2530 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-2522 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-2513 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1817 (*1 *2 *3) (-12 (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-2 (|:| -2513 (-1143 *4)) (|:| -2522 (-1143 *4)))) (-5 *1 (-1149 *4)) (-5 *3 (-1143 *4)))) (** (*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-4450 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-2436 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
+(-10 -7 (-15 -2436 ((-1143 |#1|) (-1143 |#1|))) (-15 -4450 ((-1143 |#1|) (-1143 |#1|))) (-15 ** ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -1817 ((-2 (|:| -2513 (-1143 |#1|)) (|:| -2522 (-1143 |#1|))) (-1143 |#1|))) (-15 -2513 ((-1143 |#1|) (-1143 |#1|))) (-15 -2522 ((-1143 |#1|) (-1143 |#1|))) (-15 -2530 ((-1143 |#1|) (-1143 |#1|))) (-15 -2538 ((-1143 |#1|) (-1143 |#1|))) (-15 -2546 ((-1143 |#1|) (-1143 |#1|))) (-15 -2554 ((-1143 |#1|) (-1143 |#1|))) (-15 -2561 ((-1143 |#1|) (-1143 |#1|))) (-15 -2569 ((-1143 |#1|) (-1143 |#1|))) (-15 -1727 ((-1143 |#1|) (-1143 |#1|))) (-15 -1731 ((-1143 |#1|) (-1143 |#1|))) (-15 -1736 ((-1143 |#1|) (-1143 |#1|))) (-15 -1740 ((-1143 |#1|) (-1143 |#1|))) (-15 -3966 ((-2 (|:| -1744 (-1143 |#1|)) (|:| -1748 (-1143 |#1|))) (-1143 |#1|))) (-15 -1744 ((-1143 |#1|) (-1143 |#1|))) (-15 -1748 ((-1143 |#1|) (-1143 |#1|))) (-15 -1753 ((-1143 |#1|) (-1143 |#1|))) (-15 -1756 ((-1143 |#1|) (-1143 |#1|))) (-15 -1760 ((-1143 |#1|) (-1143 |#1|))) (-15 -1764 ((-1143 |#1|) (-1143 |#1|))) (-15 -1770 ((-1143 |#1|) (-1143 |#1|))) (-15 -1775 ((-1143 |#1|) (-1143 |#1|))) (-15 -1779 ((-1143 |#1|) (-1143 |#1|))) (-15 -1782 ((-1143 |#1|) (-1143 |#1|))) (-15 -1785 ((-1143 |#1|) (-1143 |#1|))) (-15 -2430 ((-1143 |#1|) (-1143 |#1|)))) 
+((-4122 (((-959 |#2|) |#2| |#2|) 35)) (-1340 ((|#2| |#2| |#1|) 19 (|has| |#1| (-302))))) 
+(((-1150 |#1| |#2|) (-10 -7 (-15 -4122 ((-959 |#2|) |#2| |#2|)) (IF (|has| |#1| (-302)) (-15 -1340 (|#2| |#2| |#1|)) |noBranch|)) (-559) (-1222 |#1|)) (T -1150)) 
+((-1340 (*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-4 *3 (-559)) (-5 *1 (-1150 *3 *2)) (-4 *2 (-1222 *3)))) (-4122 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-959 *3)) (-5 *1 (-1150 *4 *3)) (-4 *3 (-1222 *4))))) 
+(-10 -7 (-15 -4122 ((-959 |#2|) |#2| |#2|)) (IF (|has| |#1| (-302)) (-15 -1340 (|#2| |#2| |#1|)) |noBranch|)) 
+((-2568 (((-121) $ $) NIL)) (-4071 (($ $ (-635 (-764))) 66)) (-2489 (($) 25)) (-4006 (($ $) 41)) (-2499 (((-635 $) $) 50)) (-4408 (((-121) $) 16)) (-3413 (((-635 (-945 |#2|)) $) 73)) (-2878 (($ $) 67)) (-2792 (((-764) $) 36)) (-2659 (($) 24)) (-3513 (($ $ (-635 (-764)) (-945 |#2|)) 59) (($ $ (-635 (-764)) (-764)) 60) (($ $ (-764) (-945 |#2|)) 62)) (-3288 (($ $ $) 47) (($ (-635 $)) 49)) (-1840 (((-764) $) 74)) (-3486 (((-121) $) 15)) (-2776 (((-1145) $) NIL)) (-2259 (((-121) $) 17)) (-3360 (((-1109) $) NIL)) (-2771 (((-172) $) 72)) (-4247 (((-945 |#2|) $) 68)) (-1967 (((-764) $) 69)) (-1402 (((-121) $) 71)) (-1917 (($ $ (-635 (-764)) (-172)) 65)) (-4124 (($ $) 42)) (-2185 (((-851) $) 84)) (-2983 (($ $ (-635 (-764)) (-121)) 64)) (-4114 (((-635 $) $) 11)) (-2260 (($ $ (-764)) 35)) (-1666 (($ $) 31)) (-2490 (($ $ $ (-945 |#2|) (-764)) 55)) (-2640 (($ $ (-945 |#2|)) 54)) (-3786 (($ $ (-635 (-764)) (-945 |#2|)) 53) (($ $ (-635 (-764)) (-764)) 57) (((-764) $ (-945 |#2|)) 58)) (-1668 (((-121) $ $) 78))) 
+(((-1151 |#1| |#2|) (-13 (-1091) (-10 -8 (-15 -3486 ((-121) $)) (-15 -4408 ((-121) $)) (-15 -2259 ((-121) $)) (-15 -2659 ($)) (-15 -2489 ($)) (-15 -1666 ($ $)) (-15 -2260 ($ $ (-764))) (-15 -4114 ((-635 $) $)) (-15 -2792 ((-764) $)) (-15 -4006 ($ $)) (-15 -4124 ($ $)) (-15 -3288 ($ $ $)) (-15 -3288 ($ (-635 $))) (-15 -2499 ((-635 $) $)) (-15 -3786 ($ $ (-635 (-764)) (-945 |#2|))) (-15 -2640 ($ $ (-945 |#2|))) (-15 -2490 ($ $ $ (-945 |#2|) (-764))) (-15 -3513 ($ $ (-635 (-764)) (-945 |#2|))) (-15 -3786 ($ $ (-635 (-764)) (-764))) (-15 -3513 ($ $ (-635 (-764)) (-764))) (-15 -3786 ((-764) $ (-945 |#2|))) (-15 -3513 ($ $ (-764) (-945 |#2|))) (-15 -2983 ($ $ (-635 (-764)) (-121))) (-15 -1917 ($ $ (-635 (-764)) (-172))) (-15 -4071 ($ $ (-635 (-764)))) (-15 -4247 ((-945 |#2|) $)) (-15 -1967 ((-764) $)) (-15 -1402 ((-121) $)) (-15 -2771 ((-172) $)) (-15 -1840 ((-764) $)) (-15 -2878 ($ $)) (-15 -3413 ((-635 (-945 |#2|)) $)))) (-918) (-1048)) (T -1151)) 
+((-3486 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-4408 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-2259 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-2659 (*1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048)))) (-2489 (*1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048)))) (-1666 (*1 *1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048)))) (-2260 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-4114 (*1 *2 *1) (-12 (-5 *2 (-635 (-1151 *3 *4))) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-2792 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-4006 (*1 *1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048)))) (-4124 (*1 *1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048)))) (-3288 (*1 *1 *1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048)))) (-3288 (*1 *1 *2) (-12 (-5 *2 (-635 (-1151 *3 *4))) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-2499 (*1 *2 *1) (-12 (-5 *2 (-635 (-1151 *3 *4))) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-3786 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-764))) (-5 *3 (-945 *5)) (-4 *5 (-1048)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)))) (-2640 (*1 *1 *1 *2) (-12 (-5 *2 (-945 *4)) (-4 *4 (-1048)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)))) (-2490 (*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-945 *5)) (-5 *3 (-764)) (-4 *5 (-1048)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)))) (-3513 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-764))) (-5 *3 (-945 *5)) (-4 *5 (-1048)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)))) (-3786 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-764))) (-5 *3 (-764)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)) (-4 *5 (-1048)))) (-3513 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-764))) (-5 *3 (-764)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)) (-4 *5 (-1048)))) (-3786 (*1 *2 *1 *3) (-12 (-5 *3 (-945 *5)) (-4 *5 (-1048)) (-5 *2 (-764)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)))) (-3513 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-764)) (-5 *3 (-945 *5)) (-4 *5 (-1048)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)))) (-2983 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-764))) (-5 *3 (-121)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)) (-4 *5 (-1048)))) (-1917 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-764))) (-5 *3 (-172)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)) (-4 *5 (-1048)))) (-4071 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-764))) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-4247 (*1 *2 *1) (-12 (-5 *2 (-945 *4)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-1967 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-1402 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-2771 (*1 *2 *1) (-12 (-5 *2 (-172)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-1840 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-2878 (*1 *1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048)))) (-3413 (*1 *2 *1) (-12 (-5 *2 (-635 (-945 *4))) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
+(-13 (-1091) (-10 -8 (-15 -3486 ((-121) $)) (-15 -4408 ((-121) $)) (-15 -2259 ((-121) $)) (-15 -2659 ($)) (-15 -2489 ($)) (-15 -1666 ($ $)) (-15 -2260 ($ $ (-764))) (-15 -4114 ((-635 $) $)) (-15 -2792 ((-764) $)) (-15 -4006 ($ $)) (-15 -4124 ($ $)) (-15 -3288 ($ $ $)) (-15 -3288 ($ (-635 $))) (-15 -2499 ((-635 $) $)) (-15 -3786 ($ $ (-635 (-764)) (-945 |#2|))) (-15 -2640 ($ $ (-945 |#2|))) (-15 -2490 ($ $ $ (-945 |#2|) (-764))) (-15 -3513 ($ $ (-635 (-764)) (-945 |#2|))) (-15 -3786 ($ $ (-635 (-764)) (-764))) (-15 -3513 ($ $ (-635 (-764)) (-764))) (-15 -3786 ((-764) $ (-945 |#2|))) (-15 -3513 ($ $ (-764) (-945 |#2|))) (-15 -2983 ($ $ (-635 (-764)) (-121))) (-15 -1917 ($ $ (-635 (-764)) (-172))) (-15 -4071 ($ $ (-635 (-764)))) (-15 -4247 ((-945 |#2|) $)) (-15 -1967 ((-764) $)) (-15 -1402 ((-121) $)) (-15 -2771 ((-172) $)) (-15 -1840 ((-764) $)) (-15 -2878 ($ $)) (-15 -3413 ((-635 (-945 |#2|)) $)))) 
+((-2568 (((-121) $ $) NIL)) (-4387 ((|#2| $) 11)) (-1589 ((|#1| $) 10)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2139 (($ |#1| |#2|) 9)) (-2185 (((-851) $) 16)) (-1668 (((-121) $ $) NIL))) 
+(((-1152 |#1| |#2|) (-13 (-1091) (-10 -8 (-15 -2139 ($ |#1| |#2|)) (-15 -1589 (|#1| $)) (-15 -4387 (|#2| $)))) (-1091) (-1091)) (T -1152)) 
+((-2139 (*1 *1 *2 *3) (-12 (-5 *1 (-1152 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091)))) (-1589 (*1 *2 *1) (-12 (-4 *2 (-1091)) (-5 *1 (-1152 *2 *3)) (-4 *3 (-1091)))) (-4387 (*1 *2 *1) (-12 (-4 *2 (-1091)) (-5 *1 (-1152 *3 *2)) (-4 *3 (-1091))))) 
+(-13 (-1091) (-10 -8 (-15 -2139 ($ |#1| |#2|)) (-15 -1589 (|#1| $)) (-15 -4387 (|#2| $)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3761 (((-1161 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-302)) (|has| |#1| (-366))))) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) 11)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1161 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-3383 (($ $) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1161 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-4354 (((-121) $) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1161 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-3136 (($ $ (-569)) NIL) (($ $ (-569) (-569)) 66)) (-1403 (((-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-2051 (((-1161 |#1| |#2| |#3|) $) 36)) (-3690 (((-3 (-1161 |#1| |#2| |#3|) "failed") $) 29)) (-1784 (((-1161 |#1| |#2| |#3|) $) 30)) (-1753 (($ $) 107 (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) 83 (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))))) (-2004 (($ $) NIL (|has| |#1| (-366)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))))) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-1744 (($ $) 103 (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) 79 (|has| |#1| (-43 (-410 (-569)))))) (-3638 (((-569) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))))) (-3343 (($ (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) NIL)) (-1760 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) 87 (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-1161 |#1| |#2| |#3|) "failed") $) 31) (((-3 (-1163) "failed") $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-1038 (-1163))) (|has| |#1| (-366)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-1038 (-569))) (|has| |#1| (-366)))) (((-3 (-569) "failed") $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-1038 (-569))) (|has| |#1| (-366))))) (-2428 (((-1161 |#1| |#2| |#3|) $) 131) (((-1163) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-1038 (-1163))) (|has| |#1| (-366)))) (((-410 (-569)) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-1038 (-569))) (|has| |#1| (-366)))) (((-569) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-1038 (-569))) (|has| |#1| (-366))))) (-1783 (($ $) 34) (($ (-569) $) 35)) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-4020 (($ $) NIL)) (-1696 (((-680 (-1161 |#1| |#2| |#3|)) (-680 $)) NIL (|has| |#1| (-366))) (((-2 (|:| -3477 (-680 (-1161 |#1| |#2| |#3|))) (|:| |vec| (-1247 (-1161 |#1| |#2| |#3|)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-366))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-631 (-569))) (|has| |#1| (-366)))) (((-680 (-569)) (-680 $)) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-631 (-569))) (|has| |#1| (-366))))) (-3428 (((-3 $ "failed") $) 48)) (-3068 (((-410 (-954 |#1|)) $ (-569)) 65 (|has| |#1| (-559))) (((-410 (-954 |#1|)) $ (-569) (-569)) 67 (|has| |#1| (-559)))) (-4327 (($) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-551)) (|has| |#1| (-366))))) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-3726 (((-121) $) NIL (|has| |#1| (-366)))) (-2403 (((-121) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))))) (-2777 (((-121) $) 25)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-882 (-569))) (|has| |#1| (-366)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-882 (-382))) (|has| |#1| (-366))))) (-2558 (((-569) $) NIL) (((-569) $ (-569)) 24)) (-1407 (((-121) $) NIL)) (-4052 (($ $) NIL (|has| |#1| (-366)))) (-4116 (((-1161 |#1| |#2| |#3|) $) 38 (|has| |#1| (-366)))) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3846 (((-3 $ "failed") $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-1137)) (|has| |#1| (-366))))) (-1781 (((-121) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))))) (-3089 (($ $ (-918)) NIL)) (-3622 (($ (-1 |#1| (-569)) $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-569)) 18) (($ $ (-1076) (-569)) NIL) (($ $ (-635 (-1076)) (-635 (-569))) NIL)) (-3291 (($ $ $) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1161 |#1| |#2| |#3|) (-843)) (|has| |#1| (-366)))))) (-1538 (($ $ $) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1161 |#1| |#2| |#3|) (-843)) (|has| |#1| (-366)))))) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-1161 |#1| |#2| |#3|) (-1161 |#1| |#2| |#3|)) $) NIL (|has| |#1| (-366)))) (-4450 (($ $) 72 (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1788 (($ (-569) (-1161 |#1| |#2| |#3|)) 33)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL (|has| |#1| (-366)))) (-2565 (($ $) 70 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) NIL (-2232 (-12 (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-960)) (|has| |#1| (-1183))))) (($ $ (-1243 |#2|)) 71 (|has| |#1| (-43 (-410 (-569)))))) (-4043 (($) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-1137)) (|has| |#1| (-366))) CONST)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-366)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1346 (($ $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-302)) (|has| |#1| (-366))))) (-2942 (((-1161 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-551)) (|has| |#1| (-366))))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))))) (-1743 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3499 (($ $ (-569)) 145)) (-2941 (((-3 $ "failed") $ $) 49 (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1161 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2436 (($ $) 73 (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-569))))) (($ $ (-1163) (-1161 |#1| |#2| |#3|)) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-524 (-1163) (-1161 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-635 (-1163)) (-635 (-1161 |#1| |#2| |#3|))) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-524 (-1163) (-1161 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-635 (-289 (-1161 |#1| |#2| |#3|)))) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-304 (-1161 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-289 (-1161 |#1| |#2| |#3|))) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-304 (-1161 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-1161 |#1| |#2| |#3|) (-1161 |#1| |#2| |#3|)) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-304 (-1161 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-635 (-1161 |#1| |#2| |#3|)) (-635 (-1161 |#1| |#2| |#3|))) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-304 (-1161 |#1| |#2| |#3|))) (|has| |#1| (-366))))) (-2622 (((-764) $) NIL (|has| |#1| (-366)))) (-1534 ((|#1| $ (-569)) NIL) (($ $ $) 54 (|has| (-569) (-1103))) (($ $ (-1161 |#1| |#2| |#3|)) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-282 (-1161 |#1| |#2| |#3|) (-1161 |#1| |#2| |#3|))) (|has| |#1| (-366))))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-3899 (($ $ (-1 (-1161 |#1| |#2| |#3|) (-1161 |#1| |#2| |#3|))) NIL (|has| |#1| (-366))) (($ $ (-1 (-1161 |#1| |#2| |#3|) (-1161 |#1| |#2| |#3|)) (-764)) NIL (|has| |#1| (-366))) (($ $ (-1243 |#2|)) 51) (($ $ (-764)) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) 50 (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-1163) (-764)) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-635 (-1163))) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-1163)) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))))) (-4214 (($ $) NIL (|has| |#1| (-366)))) (-4121 (((-1161 |#1| |#2| |#3|) $) 41 (|has| |#1| (-366)))) (-2492 (((-569) $) 37)) (-1764 (($ $) 113 (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) 89 (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) 109 (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) 85 (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) 105 (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) 81 (|has| |#1| (-43 (-410 (-569)))))) (-3817 (((-542) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-610 (-542))) (|has| |#1| (-366)))) (((-382) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-1022)) (|has| |#1| (-366)))) (((-216) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-1022)) (|has| |#1| (-366)))) (((-888 (-382)) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-610 (-888 (-382)))) (|has| |#1| (-366)))) (((-888 (-569)) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-610 (-888 (-569)))) (|has| |#1| (-366))))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| (-1161 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))))) (-3659 (($ $) NIL)) (-2185 (((-851) $) 149) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1161 |#1| |#2| |#3|)) 27) (($ (-1243 |#2|)) 23) (($ (-1163)) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-1038 (-1163))) (|has| |#1| (-366)))) (($ $) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1161 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (|has| |#1| (-559)))) (($ (-410 (-569))) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-1038 (-569))) (|has| |#1| (-366))) (|has| |#1| (-43 (-410 (-569))))))) (-1653 ((|#1| $ (-569)) 68)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| (-1161 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (-12 (|has| (-1161 |#1| |#2| |#3|) (-149)) (|has| |#1| (-366))) (|has| |#1| (-149))))) (-1991 (((-764)) NIL)) (-4030 ((|#1| $) 12)) (-2612 (((-1161 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-551)) (|has| |#1| (-366))))) (-1779 (($ $) 119 (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) 95 (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1161 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-1770 (($ $) 115 (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) 91 (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) 123 (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) 99 (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-569)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) 125 (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) 101 (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) 121 (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) 97 (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) 117 (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) 93 (|has| |#1| (-43 (-410 (-569)))))) (-1616 (($ $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-3369 (($) 20 T CONST)) (-1556 (($) 16 T CONST)) (-3022 (($ $ (-1 (-1161 |#1| |#2| |#3|) (-1161 |#1| |#2| |#3|))) NIL (|has| |#1| (-366))) (($ $ (-1 (-1161 |#1| |#2| |#3|) (-1161 |#1| |#2| |#3|)) (-764)) NIL (|has| |#1| (-366))) (($ $ (-764)) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-1163) (-764)) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-635 (-1163))) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-1163)) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))))) (-1693 (((-121) $ $) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1161 |#1| |#2| |#3|) (-843)) (|has| |#1| (-366)))))) (-1684 (((-121) $ $) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1161 |#1| |#2| |#3|) (-843)) (|has| |#1| (-366)))))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1161 |#1| |#2| |#3|) (-843)) (|has| |#1| (-366)))))) (-1678 (((-121) $ $) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1161 |#1| |#2| |#3|) (-843)) (|has| |#1| (-366)))))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) 44 (|has| |#1| (-366))) (($ (-1161 |#1| |#2| |#3|) (-1161 |#1| |#2| |#3|)) 45 (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 21)) (** (($ $ (-918)) NIL) (($ $ (-764)) 53) (($ $ (-569)) NIL (|has| |#1| (-366))) (($ $ $) 74 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 128 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 32) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ (-1161 |#1| |#2| |#3|)) 43 (|has| |#1| (-366))) (($ (-1161 |#1| |#2| |#3|) $) 42 (|has| |#1| (-366))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1153 |#1| |#2| |#3|) (-13 (-1208 |#1| (-1161 |#1| |#2| |#3|)) (-10 -8 (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) (-1048) (-1163) |#1|) (T -1153)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1153 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1153 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-2565 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1153 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3)))) 
+(-13 (-1208 |#1| (-1161 |#1| |#2| |#3|)) (-10 -8 (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) 
+((-2029 ((|#2| |#2| (-1083 |#2|)) 26) ((|#2| |#2| (-1163)) 28))) 
+(((-1154 |#1| |#2|) (-10 -7 (-15 -2029 (|#2| |#2| (-1163))) (-15 -2029 (|#2| |#2| (-1083 |#2|)))) (-13 (-559) (-843) (-1038 (-569)) (-631 (-569))) (-13 (-433 |#1|) (-162) (-27) (-1183))) (T -1154)) 
+((-2029 (*1 *2 *2 *3) (-12 (-5 *3 (-1083 *2)) (-4 *2 (-13 (-433 *4) (-162) (-27) (-1183))) (-4 *4 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1154 *4 *2)))) (-2029 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1154 *4 *2)) (-4 *2 (-13 (-433 *4) (-162) (-27) (-1183)))))) 
+(-10 -7 (-15 -2029 (|#2| |#2| (-1163))) (-15 -2029 (|#2| |#2| (-1083 |#2|)))) 
+((-2029 (((-3 (-410 (-954 |#1|)) (-311 |#1|)) (-410 (-954 |#1|)) (-1083 (-410 (-954 |#1|)))) 30) (((-410 (-954 |#1|)) (-954 |#1|) (-1083 (-954 |#1|))) 44) (((-3 (-410 (-954 |#1|)) (-311 |#1|)) (-410 (-954 |#1|)) (-1163)) 32) (((-410 (-954 |#1|)) (-954 |#1|) (-1163)) 36))) 
+(((-1155 |#1|) (-10 -7 (-15 -2029 ((-410 (-954 |#1|)) (-954 |#1|) (-1163))) (-15 -2029 ((-3 (-410 (-954 |#1|)) (-311 |#1|)) (-410 (-954 |#1|)) (-1163))) (-15 -2029 ((-410 (-954 |#1|)) (-954 |#1|) (-1083 (-954 |#1|)))) (-15 -2029 ((-3 (-410 (-954 |#1|)) (-311 |#1|)) (-410 (-954 |#1|)) (-1083 (-410 (-954 |#1|)))))) (-13 (-559) (-843) (-1038 (-569)))) (T -1155)) 
+((-2029 (*1 *2 *3 *4) (-12 (-5 *4 (-1083 (-410 (-954 *5)))) (-5 *3 (-410 (-954 *5))) (-4 *5 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-3 *3 (-311 *5))) (-5 *1 (-1155 *5)))) (-2029 (*1 *2 *3 *4) (-12 (-5 *4 (-1083 (-954 *5))) (-5 *3 (-954 *5)) (-4 *5 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-410 *3)) (-5 *1 (-1155 *5)))) (-2029 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-3 (-410 (-954 *5)) (-311 *5))) (-5 *1 (-1155 *5)) (-5 *3 (-410 (-954 *5))))) (-2029 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-410 (-954 *5))) (-5 *1 (-1155 *5)) (-5 *3 (-954 *5))))) 
+(-10 -7 (-15 -2029 ((-410 (-954 |#1|)) (-954 |#1|) (-1163))) (-15 -2029 ((-3 (-410 (-954 |#1|)) (-311 |#1|)) (-410 (-954 |#1|)) (-1163))) (-15 -2029 ((-410 (-954 |#1|)) (-954 |#1|) (-1083 (-954 |#1|)))) (-15 -2029 ((-3 (-410 (-954 |#1|)) (-311 |#1|)) (-410 (-954 |#1|)) (-1083 (-410 (-954 |#1|)))))) 
+((-1544 (((-1159 |#2|) (-1 |#2| |#1|) (-1159 |#1|)) 13))) 
+(((-1156 |#1| |#2|) (-10 -7 (-15 -1544 ((-1159 |#2|) (-1 |#2| |#1|) (-1159 |#1|)))) (-1048) (-1048)) (T -1156)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1159 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-5 *2 (-1159 *6)) (-5 *1 (-1156 *5 *6))))) 
+(-10 -7 (-15 -1544 ((-1159 |#2|) (-1 |#2| |#1|) (-1159 |#1|)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-4411 (((-1247 |#1|) $ (-764)) NIL)) (-1773 (((-635 (-1076)) $) NIL)) (-3707 (($ (-1159 |#1|)) NIL)) (-1739 (((-1159 $) $ (-1076)) NIL) (((-1159 |#1|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 (-1076))) NIL)) (-1753 (($ $) NIL (|has| |#1| (-1183)))) (-2530 (($ $) NIL (|has| |#1| (-1183)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-3306 (($ $ $) NIL (|has| |#1| (-559)))) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-2004 (($ $) NIL (|has| |#1| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-1744 (($ $) NIL (|has| |#1| (-1183)))) (-2513 (($ $) 22 (|has| |#1| (-1183)))) (-1435 (($ $ (-764)) NIL)) (-2399 (($ $ (-764)) NIL)) (-2499 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-454)))) (-1760 (($ $) NIL (|has| |#1| (-1183)))) (-2546 (($ $) NIL (|has| |#1| (-1183)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-1076) "failed") $) NIL)) (-2428 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-1076) $) NIL)) (-3493 (($ $ $ (-1076)) NIL (|has| |#1| (-173))) ((|#1| $ $) NIL (|has| |#1| (-173)))) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-4020 (($ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) NIL) (((-680 |#1|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-4021 (($ $ $) NIL)) (-3611 (($ $ $) NIL (|has| |#1| (-559)))) (-1884 (((-2 (|:| -4140 |#1|) (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-559)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-1340 (($ $) NIL (|has| |#1| (-454))) (($ $ (-1076)) NIL (|has| |#1| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#1| (-905)))) (-1667 (($ $ |#1| (-764) $) NIL)) (-2445 (($) NIL (|has| |#1| (-1183)))) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-1076) (-882 (-382))) (|has| |#1| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-1076) (-882 (-569))) (|has| |#1| (-882 (-569)))))) (-2558 (((-764) $ $) NIL (|has| |#1| (-559)))) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| |#1| (-1137)))) (-1768 (($ (-1159 |#1|) (-1076)) NIL) (($ (-1159 $) (-1076)) NIL)) (-3089 (($ $ (-764)) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-764)) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-1076)) NIL) (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-4002 (((-764) $) NIL) (((-764) $ (-1076)) NIL) (((-635 (-764)) $ (-635 (-1076))) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-2658 (($ (-1 (-764) (-764)) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2225 (((-1159 |#1|) $) NIL)) (-1637 (((-3 (-1076) "failed") $) NIL)) (-4450 (($ $) 18 (|has| |#1| (-1183)))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2776 (((-1145) $) NIL)) (-4451 (((-2 (|:| -4268 $) (|:| -1830 $)) $ (-764)) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| (-1076)) (|:| -2356 (-764))) "failed") $) NIL)) (-2565 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4043 (($) NIL (|has| |#1| (-1137)) CONST)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) 8)) (-1801 ((|#1| $) 9)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-905)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2436 (($ $) 20 (|has| |#1| (-1183)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1076) |#1|) NIL) (($ $ (-635 (-1076)) (-635 |#1|)) NIL) (($ $ (-1076) $) NIL) (($ $ (-635 (-1076)) (-635 $)) NIL)) (-2622 (((-764) $) NIL (|has| |#1| (-366)))) (-1534 ((|#1| $ |#1|) NIL) (($ $ $) NIL) (((-410 $) (-410 $) (-410 $)) NIL (|has| |#1| (-559))) ((|#1| (-410 $) |#1|) NIL (|has| |#1| (-366))) (((-410 $) $ (-410 $)) NIL (|has| |#1| (-559)))) (-2067 (((-3 $ "failed") $ (-764)) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-2087 (($ $ (-1076)) NIL (|has| |#1| (-173))) ((|#1| $) NIL (|has| |#1| (-173)))) (-3899 (($ $ (-1076)) NIL) (($ $ (-635 (-1076))) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL) (($ $ (-764)) NIL) (($ $) NIL) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-2492 (((-764) $) NIL) (((-764) $ (-1076)) NIL) (((-635 (-764)) $ (-635 (-1076))) NIL)) (-1764 (($ $) NIL (|has| |#1| (-1183)))) (-2554 (($ $) NIL (|has| |#1| (-1183)))) (-1756 (($ $) NIL (|has| |#1| (-1183)))) (-2538 (($ $) NIL (|has| |#1| (-1183)))) (-1748 (($ $) NIL (|has| |#1| (-1183)))) (-2522 (($ $) 26 (|has| |#1| (-1183)))) (-3817 (((-888 (-382)) $) NIL (-12 (|has| (-1076) (-610 (-888 (-382)))) (|has| |#1| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| (-1076) (-610 (-888 (-569)))) (|has| |#1| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| (-1076) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-3298 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ (-1076)) NIL (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-905))))) (-4091 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559))) (((-3 (-410 $) "failed") (-410 $) $) NIL (|has| |#1| (-559)))) (-2185 (((-851) $) 13) (($ (-569)) NIL) (($ |#1|) 11) (($ (-1076)) NIL) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-764)) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#1| (-173)))) (-1779 (($ $) NIL (|has| |#1| (-1183)))) (-1727 (($ $) NIL (|has| |#1| (-1183)))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) NIL (|has| |#1| (-1183)))) (-2561 (($ $) 24 (|has| |#1| (-1183)))) (-1785 (($ $) NIL (|has| |#1| (-1183)))) (-1736 (($ $) NIL (|has| |#1| (-1183)))) (-2430 (($ $) NIL (|has| |#1| (-1183)))) (-1740 (($ $) NIL (|has| |#1| (-1183)))) (-1782 (($ $) NIL (|has| |#1| (-1183)))) (-1731 (($ $) NIL (|has| |#1| (-1183)))) (-1775 (($ $) NIL (|has| |#1| (-1183)))) (-2569 (($ $) 28 (|has| |#1| (-1183)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-1076)) NIL) (($ $ (-635 (-1076))) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL) (($ $ (-764)) NIL) (($ $) NIL) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ $) NIL (|has| |#1| (-1183)))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((-1157 |#1|) (-13 (-1222 |#1|) (-10 -7 (IF (|has| |#1| (-1183)) (-6 (-1183)) |noBranch|))) (-1048)) (T -1157)) 
+NIL 
+(-13 (-1222 |#1|) (-10 -7 (IF (|has| |#1| (-1183)) (-6 (-1183)) |noBranch|))) 
+((-2446 (((-421 (-1159 (-410 |#4|))) (-1159 (-410 |#4|))) 50)) (-1743 (((-421 (-1159 (-410 |#4|))) (-1159 (-410 |#4|))) 51))) 
+(((-1158 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1743 ((-421 (-1159 (-410 |#4|))) (-1159 (-410 |#4|)))) (-15 -2446 ((-421 (-1159 (-410 |#4|))) (-1159 (-410 |#4|))))) (-789) (-843) (-454) (-951 |#3| |#1| |#2|)) (T -1158)) 
+((-2446 (*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-454)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-421 (-1159 (-410 *7)))) (-5 *1 (-1158 *4 *5 *6 *7)) (-5 *3 (-1159 (-410 *7))))) (-1743 (*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-454)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-421 (-1159 (-410 *7)))) (-5 *1 (-1158 *4 *5 *6 *7)) (-5 *3 (-1159 (-410 *7)))))) 
+(-10 -7 (-15 -1743 ((-421 (-1159 (-410 |#4|))) (-1159 (-410 |#4|)))) (-15 -2446 ((-421 (-1159 (-410 |#4|))) (-1159 (-410 |#4|))))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 30)) (-4411 (((-1247 |#1|) $ (-764)) NIL)) (-1773 (((-635 (-1076)) $) NIL)) (-3707 (($ (-1159 |#1|)) NIL)) (-1739 (((-1159 $) $ (-1076)) 59) (((-1159 |#1|) $) 48)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) 132 (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 (-1076))) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3306 (($ $ $) 126 (|has| |#1| (-559)))) (-2379 (((-421 (-1159 $)) (-1159 $)) 72 (|has| |#1| (-905)))) (-2004 (($ $) NIL (|has| |#1| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) 92 (|has| |#1| (-905)))) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-1435 (($ $ (-764)) 42)) (-2399 (($ $ (-764)) 43)) (-2499 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-454)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-1076) "failed") $) NIL)) (-2428 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-1076) $) NIL)) (-3493 (($ $ $ (-1076)) NIL (|has| |#1| (-173))) ((|#1| $ $) 128 (|has| |#1| (-173)))) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-4020 (($ $) 57)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) NIL) (((-680 |#1|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-4021 (($ $ $) 104)) (-3611 (($ $ $) NIL (|has| |#1| (-559)))) (-1884 (((-2 (|:| -4140 |#1|) (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-559)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-1340 (($ $) 133 (|has| |#1| (-454))) (($ $ (-1076)) NIL (|has| |#1| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#1| (-905)))) (-1667 (($ $ |#1| (-764) $) 46)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-1076) (-882 (-382))) (|has| |#1| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-1076) (-882 (-569))) (|has| |#1| (-882 (-569)))))) (-1982 (((-851) $ (-851)) 117)) (-2558 (((-764) $ $) NIL (|has| |#1| (-559)))) (-1407 (((-121) $) 32)) (-4244 (((-764) $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| |#1| (-1137)))) (-1768 (($ (-1159 |#1|) (-1076)) 50) (($ (-1159 $) (-1076)) 66)) (-3089 (($ $ (-764)) 34)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-764)) 64) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-1076)) NIL) (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 121)) (-4002 (((-764) $) NIL) (((-764) $ (-1076)) NIL) (((-635 (-764)) $ (-635 (-1076))) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-2658 (($ (-1 (-764) (-764)) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2225 (((-1159 |#1|) $) NIL)) (-1637 (((-3 (-1076) "failed") $) NIL)) (-1804 (($ $) NIL)) (-4012 ((|#1| $) 53)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2776 (((-1145) $) NIL)) (-4451 (((-2 (|:| -4268 $) (|:| -1830 $)) $ (-764)) 41)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| (-1076)) (|:| -2356 (-764))) "failed") $) NIL)) (-2565 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4043 (($) NIL (|has| |#1| (-1137)) CONST)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) 33)) (-1801 ((|#1| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 80 (|has| |#1| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) 135 (|has| |#1| (-454)))) (-3877 (($ $ (-764) |#1| $) 99)) (-1721 (((-421 (-1159 $)) (-1159 $)) 78 (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) 77 (|has| |#1| (-905)))) (-1743 (((-421 $) $) 85 (|has| |#1| (-905)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-2941 (((-3 $ "failed") $ |#1|) 131 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 100 (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1076) |#1|) NIL) (($ $ (-635 (-1076)) (-635 |#1|)) NIL) (($ $ (-1076) $) NIL) (($ $ (-635 (-1076)) (-635 $)) NIL)) (-2622 (((-764) $) NIL (|has| |#1| (-366)))) (-1534 ((|#1| $ |#1|) 119) (($ $ $) 120) (((-410 $) (-410 $) (-410 $)) NIL (|has| |#1| (-559))) ((|#1| (-410 $) |#1|) NIL (|has| |#1| (-366))) (((-410 $) $ (-410 $)) NIL (|has| |#1| (-559)))) (-2067 (((-3 $ "failed") $ (-764)) 37)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 137 (|has| |#1| (-366)))) (-2087 (($ $ (-1076)) NIL (|has| |#1| (-173))) ((|#1| $) 124 (|has| |#1| (-173)))) (-3899 (($ $ (-1076)) NIL) (($ $ (-635 (-1076))) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL) (($ $ (-764)) NIL) (($ $) NIL) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-2492 (((-764) $) 55) (((-764) $ (-1076)) NIL) (((-635 (-764)) $ (-635 (-1076))) NIL)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| (-1076) (-610 (-888 (-382)))) (|has| |#1| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| (-1076) (-610 (-888 (-569)))) (|has| |#1| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| (-1076) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-3298 ((|#1| $) 130 (|has| |#1| (-454))) (($ $ (-1076)) NIL (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-905))))) (-4091 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559))) (((-3 (-410 $) "failed") (-410 $) $) NIL (|has| |#1| (-559)))) (-2185 (((-851) $) 118) (($ (-569)) NIL) (($ |#1|) 54) (($ (-1076)) NIL) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-764)) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) 28 (|has| |#1| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2427 (($ $ (-918)) 15) (($ $ (-764)) 16)) (-3369 (($) 17 T CONST)) (-1556 (($) 18 T CONST)) (-3022 (($ $ (-1076)) NIL) (($ $ (-635 (-1076))) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL) (($ $ (-764)) NIL) (($ $) NIL) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) 97)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1715 (($ $ |#1|) 138 (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 67)) (** (($ $ (-918)) 14) (($ $ (-764)) 12)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 27) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 102) (($ $ |#1|) NIL))) 
+(((-1159 |#1|) (-13 (-1222 |#1|) (-10 -8 (-15 -1982 ((-851) $ (-851))) (-15 -3877 ($ $ (-764) |#1| $)))) (-1048)) (T -1159)) 
+((-1982 (*1 *2 *1 *2) (-12 (-5 *2 (-851)) (-5 *1 (-1159 *3)) (-4 *3 (-1048)))) (-3877 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1159 *3)) (-4 *3 (-1048))))) 
+(-13 (-1222 |#1|) (-10 -8 (-15 -1982 ((-851) $ (-851))) (-15 -3877 ($ $ (-764) |#1| $)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) 11)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-3136 (($ $ (-410 (-569))) NIL) (($ $ (-410 (-569)) (-410 (-569))) NIL)) (-1403 (((-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) NIL)) (-1753 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL (|has| |#1| (-366)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-1744 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3343 (($ (-764) (-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) NIL)) (-1760 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-1153 |#1| |#2| |#3|) "failed") $) 32) (((-3 (-1161 |#1| |#2| |#3|) "failed") $) 35)) (-2428 (((-1153 |#1| |#2| |#3|) $) NIL) (((-1161 |#1| |#2| |#3|) $) NIL)) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-3023 (((-410 (-569)) $) 55)) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-1791 (($ (-410 (-569)) (-1153 |#1| |#2| |#3|)) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-3726 (((-121) $) NIL (|has| |#1| (-366)))) (-2777 (((-121) $) NIL)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-410 (-569)) $) NIL) (((-410 (-569)) $ (-410 (-569))) NIL)) (-1407 (((-121) $) NIL)) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3089 (($ $ (-918)) NIL) (($ $ (-410 (-569))) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-410 (-569))) 19) (($ $ (-1076) (-410 (-569))) NIL) (($ $ (-635 (-1076)) (-635 (-410 (-569)))) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-4450 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1883 (((-1153 |#1| |#2| |#3|) $) 40)) (-1379 (((-3 (-1153 |#1| |#2| |#3|) "failed") $) NIL)) (-1788 (((-1153 |#1| |#2| |#3|) $) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL (|has| |#1| (-366)))) (-2565 (($ $) 38 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) NIL (-2232 (-12 (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-960)) (|has| |#1| (-1183))))) (($ $ (-1243 |#2|)) 39 (|has| |#1| (-43 (-410 (-569)))))) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-366)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3499 (($ $ (-410 (-569))) NIL)) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2436 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2622 (((-764) $) NIL (|has| |#1| (-366)))) (-1534 ((|#1| $ (-410 (-569))) NIL) (($ $ $) NIL (|has| (-410 (-569)) (-1103)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 36 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $ (-1243 |#2|)) 37)) (-2492 (((-410 (-569)) $) NIL)) (-1764 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) NIL)) (-2185 (((-851) $) 58) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1153 |#1| |#2| |#3|)) 29) (($ (-1161 |#1| |#2| |#3|)) 30) (($ (-1243 |#2|)) 25) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559)))) (-1653 ((|#1| $ (-410 (-569))) NIL)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-4030 ((|#1| $) 12)) (-1779 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-410 (-569))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-3369 (($) 21 T CONST)) (-1556 (($) 16 T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 23)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1160 |#1| |#2| |#3|) (-13 (-1229 |#1| (-1153 |#1| |#2| |#3|)) (-1038 (-1161 |#1| |#2| |#3|)) (-10 -8 (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) (-1048) (-1163) |#1|) (T -1160)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1160 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1160 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-2565 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1160 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3)))) 
+(-13 (-1229 |#1| (-1153 |#1| |#2| |#3|)) (-1038 (-1161 |#1| |#2| |#3|)) (-10 -8 (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 124)) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) 115)) (-3683 (((-1219 |#2| |#1|) $ (-764)) 62)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-3136 (($ $ (-764)) 78) (($ $ (-764) (-764)) 75)) (-1403 (((-1143 (-2 (|:| |k| (-764)) (|:| |c| |#1|))) $) 101)) (-1753 (($ $) 168 (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) 144 (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1744 (($ $) 164 (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) 140 (|has| |#1| (-43 (-410 (-569)))))) (-3343 (($ (-1143 (-2 (|:| |k| (-764)) (|:| |c| |#1|)))) 114) (($ (-1143 |#1|)) 109)) (-1760 (($ $) 172 (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) 148 (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) 23)) (-2394 (($ $) 26)) (-2088 (((-954 |#1|) $ (-764)) 74) (((-954 |#1|) $ (-764) (-764)) 76)) (-2777 (((-121) $) 119)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-764) $) 121) (((-764) $ (-764)) 123)) (-1407 (((-121) $) NIL)) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3089 (($ $ (-918)) NIL)) (-3622 (($ (-1 |#1| (-569)) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-764)) 13) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-4450 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-2565 (($ $) 128 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) NIL (-2232 (-12 (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-960)) (|has| |#1| (-1183))))) (($ $ (-1243 |#2|)) 129 (|has| |#1| (-43 (-410 (-569)))))) (-3360 (((-1109) $) NIL)) (-3499 (($ $ (-764)) 15)) (-2941 (((-3 $ "failed") $ $) 24 (|has| |#1| (-559)))) (-2436 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-764)))))) (-1534 ((|#1| $ (-764)) 118) (($ $ $) 127 (|has| (-764) (-1103)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $) 27 (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $ (-1243 |#2|)) 29)) (-2492 (((-764) $) NIL)) (-1764 (($ $) 174 (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) 150 (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) 170 (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) 146 (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) 166 (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) 142 (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) NIL)) (-2185 (((-851) $) 200) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) 125 (|has| |#1| (-173))) (($ (-1219 |#2| |#1|)) 50) (($ (-1243 |#2|)) 32)) (-3382 (((-1143 |#1|) $) 97)) (-1653 ((|#1| $ (-764)) 117)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-4030 ((|#1| $) 53)) (-1779 (($ $) 180 (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) 156 (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) 176 (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) 152 (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) 184 (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) 160 (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-764)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-764)))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) 186 (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) 162 (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) 182 (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) 158 (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) 178 (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) 154 (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 17 T CONST)) (-1556 (($) 19 T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) 193)) (-1707 (($ $ $) 31)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ |#1|) 197 (|has| |#1| (-366))) (($ $ $) 133 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 136 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 131) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1161 |#1| |#2| |#3|) (-13 (-1237 |#1|) (-10 -8 (-15 -2185 ($ (-1219 |#2| |#1|))) (-15 -3683 ((-1219 |#2| |#1|) $ (-764))) (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) (-1048) (-1163) |#1|) (T -1161)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1219 *4 *3)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-14 *5 *3) (-5 *1 (-1161 *3 *4 *5)))) (-3683 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1219 *5 *4)) (-5 *1 (-1161 *4 *5 *6)) (-4 *4 (-1048)) (-14 *5 (-1163)) (-14 *6 *4))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1161 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1161 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-2565 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1161 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3)))) 
+(-13 (-1237 |#1|) (-10 -8 (-15 -2185 ($ (-1219 |#2| |#1|))) (-15 -3683 ((-1219 |#2| |#1|) $ (-764))) (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) 
+((-2185 (((-851) $) 22) (($ (-1163)) 24)) (-2232 (($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 35)) (-2224 (($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 28) (($ $) 29)) (-2736 (($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 30)) (-2852 (($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 32)) (-2890 (($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 31)) (-2961 (($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 33)) (-3189 (($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 36)) (-12 (($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 34))) 
+(((-1162) (-13 (-609 (-851)) (-10 -8 (-15 -2185 ($ (-1163))) (-15 -2736 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2890 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2852 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2961 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2232 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -3189 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -12 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2224 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2224 ($ $))))) (T -1162)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1162)))) (-2736 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162)))) (-2890 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162)))) (-2852 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162)))) (-2961 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162)))) (-2232 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162)))) (-3189 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162)))) (-12 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162)))) (-2224 (*1 *1 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162)))) (-2224 (*1 *1 *1) (-5 *1 (-1162)))) 
+(-13 (-609 (-851)) (-10 -8 (-15 -2185 ($ (-1163))) (-15 -2736 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2890 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2852 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2961 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2232 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -3189 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -12 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2224 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2224 ($ $)))) 
+((-2568 (((-121) $ $) NIL)) (-4298 (($ $ (-635 (-851))) 58)) (-4224 (($ $ (-635 (-851))) 56)) (-2257 (((-1145) $) 82)) (-1912 (((-2 (|:| -2766 (-635 (-851))) (|:| -1498 (-635 (-851))) (|:| |presup| (-635 (-851))) (|:| -1427 (-635 (-851))) (|:| |args| (-635 (-851)))) $) 85)) (-1547 (((-121) $) 21)) (-3719 (($ $ (-635 (-635 (-851)))) 54) (($ $ (-2 (|:| -2766 (-635 (-851))) (|:| -1498 (-635 (-851))) (|:| |presup| (-635 (-851))) (|:| -1427 (-635 (-851))) (|:| |args| (-635 (-851))))) 80)) (-2820 (($) 122 T CONST)) (-4230 (((-1252)) 103)) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 65) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 71)) (-2659 (($) 92) (($ $) 98)) (-1486 (($ $) 81)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2005 (((-635 $) $) 104)) (-2776 (((-1145) $) 87)) (-3360 (((-1109) $) NIL)) (-1534 (($ $ (-635 (-851))) 57)) (-3817 (((-542) $) 45) (((-1163) $) 46) (((-888 (-569)) $) 75) (((-888 (-382)) $) 73)) (-2185 (((-851) $) 52) (($ (-1145)) 47)) (-1954 (($ $ (-635 (-851))) 59)) (-1940 (((-1145) $) 33) (((-1145) $ (-121)) 34) (((-1252) (-818) $) 35) (((-1252) (-818) $ (-121)) 36)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 48)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 49))) 
+(((-1163) (-13 (-843) (-610 (-542)) (-824) (-610 (-1163)) (-610 (-888 (-569))) (-610 (-888 (-382))) (-882 (-569)) (-882 (-382)) (-10 -8 (-15 -2659 ($)) (-15 -2659 ($ $)) (-15 -4230 ((-1252))) (-15 -2185 ($ (-1145))) (-15 -1486 ($ $)) (-15 -1547 ((-121) $)) (-15 -1912 ((-2 (|:| -2766 (-635 (-851))) (|:| -1498 (-635 (-851))) (|:| |presup| (-635 (-851))) (|:| -1427 (-635 (-851))) (|:| |args| (-635 (-851)))) $)) (-15 -3719 ($ $ (-635 (-635 (-851))))) (-15 -3719 ($ $ (-2 (|:| -2766 (-635 (-851))) (|:| -1498 (-635 (-851))) (|:| |presup| (-635 (-851))) (|:| -1427 (-635 (-851))) (|:| |args| (-635 (-851)))))) (-15 -4224 ($ $ (-635 (-851)))) (-15 -4298 ($ $ (-635 (-851)))) (-15 -1954 ($ $ (-635 (-851)))) (-15 -1534 ($ $ (-635 (-851)))) (-15 -2257 ((-1145) $)) (-15 -2005 ((-635 $) $)) (-15 -2820 ($) -2043)))) (T -1163)) 
+((-2659 (*1 *1) (-5 *1 (-1163))) (-2659 (*1 *1 *1) (-5 *1 (-1163))) (-4230 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1163)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1163)))) (-1486 (*1 *1 *1) (-5 *1 (-1163))) (-1547 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1163)))) (-1912 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| -2766 (-635 (-851))) (|:| -1498 (-635 (-851))) (|:| |presup| (-635 (-851))) (|:| -1427 (-635 (-851))) (|:| |args| (-635 (-851))))) (-5 *1 (-1163)))) (-3719 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 (-851)))) (-5 *1 (-1163)))) (-3719 (*1 *1 *1 *2) (-12 (-5 *2 (-2 (|:| -2766 (-635 (-851))) (|:| -1498 (-635 (-851))) (|:| |presup| (-635 (-851))) (|:| -1427 (-635 (-851))) (|:| |args| (-635 (-851))))) (-5 *1 (-1163)))) (-4224 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-1163)))) (-4298 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-1163)))) (-1954 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-1163)))) (-1534 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-1163)))) (-2257 (*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-1163)))) (-2005 (*1 *2 *1) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-1163)))) (-2820 (*1 *1) (-5 *1 (-1163)))) 
+(-13 (-843) (-610 (-542)) (-824) (-610 (-1163)) (-610 (-888 (-569))) (-610 (-888 (-382))) (-882 (-569)) (-882 (-382)) (-10 -8 (-15 -2659 ($)) (-15 -2659 ($ $)) (-15 -4230 ((-1252))) (-15 -2185 ($ (-1145))) (-15 -1486 ($ $)) (-15 -1547 ((-121) $)) (-15 -1912 ((-2 (|:| -2766 (-635 (-851))) (|:| -1498 (-635 (-851))) (|:| |presup| (-635 (-851))) (|:| -1427 (-635 (-851))) (|:| |args| (-635 (-851)))) $)) (-15 -3719 ($ $ (-635 (-635 (-851))))) (-15 -3719 ($ $ (-2 (|:| -2766 (-635 (-851))) (|:| -1498 (-635 (-851))) (|:| |presup| (-635 (-851))) (|:| -1427 (-635 (-851))) (|:| |args| (-635 (-851)))))) (-15 -4224 ($ $ (-635 (-851)))) (-15 -4298 ($ $ (-635 (-851)))) (-15 -1954 ($ $ (-635 (-851)))) (-15 -1534 ($ $ (-635 (-851)))) (-15 -2257 ((-1145) $)) (-15 -2005 ((-635 $) $)) (-15 -2820 ($) -2043))) 
+((-3025 (((-1247 |#1|) |#1| (-918)) 16) (((-1247 |#1|) (-635 |#1|)) 20))) 
+(((-1164 |#1|) (-10 -7 (-15 -3025 ((-1247 |#1|) (-635 |#1|))) (-15 -3025 ((-1247 |#1|) |#1| (-918)))) (-1048)) (T -1164)) 
+((-3025 (*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-5 *2 (-1247 *3)) (-5 *1 (-1164 *3)) (-4 *3 (-1048)))) (-3025 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1048)) (-5 *2 (-1247 *4)) (-5 *1 (-1164 *4))))) 
+(-10 -7 (-15 -3025 ((-1247 |#1|) (-635 |#1|))) (-15 -3025 ((-1247 |#1|) |#1| (-918)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-2428 (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) NIL)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#1| (-454)))) (-1667 (($ $ |#1| (-973) $) NIL)) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-973)) NIL)) (-4002 (((-973) $) NIL)) (-2658 (($ (-1 (-973) (-973)) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) NIL)) (-1801 ((|#1| $) NIL)) (-3877 (($ $ (-973) |#1| $) NIL (-12 (|has| (-973) (-138)) (|has| |#1| (-559))))) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-2492 (((-973) $) NIL)) (-3298 ((|#1| $) NIL (|has| |#1| (-454)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) NIL) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569))))))) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-973)) NIL)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#1| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 9 T CONST)) (-1556 (($) 14 T CONST)) (-1668 (((-121) $ $) 16)) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 19)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 20) (($ $ |#1|) NIL) (($ |#1| $) 13) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1165 |#1|) (-13 (-325 |#1| (-973)) (-10 -8 (IF (|has| |#1| (-559)) (IF (|has| (-973) (-138)) (-15 -3877 ($ $ (-973) |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4533)) (-6 -4533) |noBranch|))) (-1048)) (T -1165)) 
+((-3877 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-973)) (-4 *2 (-138)) (-5 *1 (-1165 *3)) (-4 *3 (-559)) (-4 *3 (-1048))))) 
+(-13 (-325 |#1| (-973)) (-10 -8 (IF (|has| |#1| (-559)) (IF (|has| (-973) (-138)) (-15 -3877 ($ $ (-973) |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4533)) (-6 -4533) |noBranch|))) 
+((-2021 (((-1167) (-1163) $) 24)) (-4377 (($) 28)) (-1436 (((-3 (|:| |fst| (-437)) (|:| -1861 "void")) (-1163) $) 21)) (-2241 (((-1252) (-1163) (-3 (|:| |fst| (-437)) (|:| -1861 "void")) $) 40) (((-1252) (-1163) (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) 41) (((-1252) (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) 42)) (-1400 (((-1252) (-1163)) 57)) (-3850 (((-1252) (-1163) $) 54) (((-1252) (-1163)) 55) (((-1252)) 56)) (-1334 (((-1252) (-1163)) 36)) (-4221 (((-1163)) 35)) (-1296 (($) 33)) (-2873 (((-440) (-1163) (-440) (-1163) $) 44) (((-440) (-635 (-1163)) (-440) (-1163) $) 48) (((-440) (-1163) (-440)) 45) (((-440) (-1163) (-440) (-1163)) 49)) (-1652 (((-1163)) 34)) (-2185 (((-851) $) 27)) (-3385 (((-1252)) 29) (((-1252) (-1163)) 32)) (-3936 (((-635 (-1163)) (-1163) $) 23)) (-1504 (((-1252) (-1163) (-635 (-1163)) $) 37) (((-1252) (-1163) (-635 (-1163))) 38) (((-1252) (-635 (-1163))) 39))) 
+(((-1166) (-13 (-609 (-851)) (-10 -8 (-15 -4377 ($)) (-15 -3385 ((-1252))) (-15 -3385 ((-1252) (-1163))) (-15 -2873 ((-440) (-1163) (-440) (-1163) $)) (-15 -2873 ((-440) (-635 (-1163)) (-440) (-1163) $)) (-15 -2873 ((-440) (-1163) (-440))) (-15 -2873 ((-440) (-1163) (-440) (-1163))) (-15 -1334 ((-1252) (-1163))) (-15 -1652 ((-1163))) (-15 -4221 ((-1163))) (-15 -1504 ((-1252) (-1163) (-635 (-1163)) $)) (-15 -1504 ((-1252) (-1163) (-635 (-1163)))) (-15 -1504 ((-1252) (-635 (-1163)))) (-15 -2241 ((-1252) (-1163) (-3 (|:| |fst| (-437)) (|:| -1861 "void")) $)) (-15 -2241 ((-1252) (-1163) (-3 (|:| |fst| (-437)) (|:| -1861 "void")))) (-15 -2241 ((-1252) (-3 (|:| |fst| (-437)) (|:| -1861 "void")))) (-15 -3850 ((-1252) (-1163) $)) (-15 -3850 ((-1252) (-1163))) (-15 -3850 ((-1252))) (-15 -1400 ((-1252) (-1163))) (-15 -1296 ($)) (-15 -1436 ((-3 (|:| |fst| (-437)) (|:| -1861 "void")) (-1163) $)) (-15 -3936 ((-635 (-1163)) (-1163) $)) (-15 -2021 ((-1167) (-1163) $))))) (T -1166)) 
+((-4377 (*1 *1) (-5 *1 (-1166))) (-3385 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1166)))) (-3385 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166)))) (-2873 (*1 *2 *3 *2 *3 *1) (-12 (-5 *2 (-440)) (-5 *3 (-1163)) (-5 *1 (-1166)))) (-2873 (*1 *2 *3 *2 *4 *1) (-12 (-5 *2 (-440)) (-5 *3 (-635 (-1163))) (-5 *4 (-1163)) (-5 *1 (-1166)))) (-2873 (*1 *2 *3 *2) (-12 (-5 *2 (-440)) (-5 *3 (-1163)) (-5 *1 (-1166)))) (-2873 (*1 *2 *3 *2 *3) (-12 (-5 *2 (-440)) (-5 *3 (-1163)) (-5 *1 (-1166)))) (-1334 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166)))) (-1652 (*1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1166)))) (-4221 (*1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1166)))) (-1504 (*1 *2 *3 *4 *1) (-12 (-5 *4 (-635 (-1163))) (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166)))) (-1504 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1163))) (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166)))) (-1504 (*1 *2 *3) (-12 (-5 *3 (-635 (-1163))) (-5 *2 (-1252)) (-5 *1 (-1166)))) (-2241 (*1 *2 *3 *4 *1) (-12 (-5 *3 (-1163)) (-5 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *2 (-1252)) (-5 *1 (-1166)))) (-2241 (*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *2 (-1252)) (-5 *1 (-1166)))) (-2241 (*1 *2 *3) (-12 (-5 *3 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *2 (-1252)) (-5 *1 (-1166)))) (-3850 (*1 *2 *3 *1) (-12 (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166)))) (-3850 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166)))) (-3850 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1166)))) (-1400 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166)))) (-1296 (*1 *1) (-5 *1 (-1166))) (-1436 (*1 *2 *3 *1) (-12 (-5 *3 (-1163)) (-5 *2 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *1 (-1166)))) (-3936 (*1 *2 *3 *1) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-1166)) (-5 *3 (-1163)))) (-2021 (*1 *2 *3 *1) (-12 (-5 *3 (-1163)) (-5 *2 (-1167)) (-5 *1 (-1166))))) 
+(-13 (-609 (-851)) (-10 -8 (-15 -4377 ($)) (-15 -3385 ((-1252))) (-15 -3385 ((-1252) (-1163))) (-15 -2873 ((-440) (-1163) (-440) (-1163) $)) (-15 -2873 ((-440) (-635 (-1163)) (-440) (-1163) $)) (-15 -2873 ((-440) (-1163) (-440))) (-15 -2873 ((-440) (-1163) (-440) (-1163))) (-15 -1334 ((-1252) (-1163))) (-15 -1652 ((-1163))) (-15 -4221 ((-1163))) (-15 -1504 ((-1252) (-1163) (-635 (-1163)) $)) (-15 -1504 ((-1252) (-1163) (-635 (-1163)))) (-15 -1504 ((-1252) (-635 (-1163)))) (-15 -2241 ((-1252) (-1163) (-3 (|:| |fst| (-437)) (|:| -1861 "void")) $)) (-15 -2241 ((-1252) (-1163) (-3 (|:| |fst| (-437)) (|:| -1861 "void")))) (-15 -2241 ((-1252) (-3 (|:| |fst| (-437)) (|:| -1861 "void")))) (-15 -3850 ((-1252) (-1163) $)) (-15 -3850 ((-1252) (-1163))) (-15 -3850 ((-1252))) (-15 -1400 ((-1252) (-1163))) (-15 -1296 ($)) (-15 -1436 ((-3 (|:| |fst| (-437)) (|:| -1861 "void")) (-1163) $)) (-15 -3936 ((-635 (-1163)) (-1163) $)) (-15 -2021 ((-1167) (-1163) $)))) 
+((-4205 (((-635 (-635 (-3 (|:| -1486 (-1163)) (|:| |bounds| (-635 (-3 (|:| S (-1163)) (|:| P (-954 (-569))))))))) $) 57)) (-2144 (((-635 (-3 (|:| -1486 (-1163)) (|:| |bounds| (-635 (-3 (|:| S (-1163)) (|:| P (-954 (-569)))))))) (-437) $) 40)) (-3800 (($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-440))))) 15)) (-1400 (((-1252) $) 65)) (-3702 (((-635 (-1163)) $) 20)) (-4001 (((-1095) $) 53)) (-2449 (((-440) (-1163) $) 27)) (-2298 (((-635 (-1163)) $) 30)) (-1296 (($) 17)) (-2873 (((-440) (-635 (-1163)) (-440) $) 25) (((-440) (-1163) (-440) $) 24)) (-2185 (((-851) $) 9) (((-1171 (-1163) (-440)) $) 11))) 
+(((-1167) (-13 (-609 (-851)) (-10 -8 (-15 -2185 ((-1171 (-1163) (-440)) $)) (-15 -1296 ($)) (-15 -2873 ((-440) (-635 (-1163)) (-440) $)) (-15 -2873 ((-440) (-1163) (-440) $)) (-15 -2449 ((-440) (-1163) $)) (-15 -3702 ((-635 (-1163)) $)) (-15 -2144 ((-635 (-3 (|:| -1486 (-1163)) (|:| |bounds| (-635 (-3 (|:| S (-1163)) (|:| P (-954 (-569)))))))) (-437) $)) (-15 -2298 ((-635 (-1163)) $)) (-15 -4205 ((-635 (-635 (-3 (|:| -1486 (-1163)) (|:| |bounds| (-635 (-3 (|:| S (-1163)) (|:| P (-954 (-569))))))))) $)) (-15 -4001 ((-1095) $)) (-15 -1400 ((-1252) $)) (-15 -3800 ($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-440))))))))) (T -1167)) 
+((-2185 (*1 *2 *1) (-12 (-5 *2 (-1171 (-1163) (-440))) (-5 *1 (-1167)))) (-1296 (*1 *1) (-5 *1 (-1167))) (-2873 (*1 *2 *3 *2 *1) (-12 (-5 *2 (-440)) (-5 *3 (-635 (-1163))) (-5 *1 (-1167)))) (-2873 (*1 *2 *3 *2 *1) (-12 (-5 *2 (-440)) (-5 *3 (-1163)) (-5 *1 (-1167)))) (-2449 (*1 *2 *3 *1) (-12 (-5 *3 (-1163)) (-5 *2 (-440)) (-5 *1 (-1167)))) (-3702 (*1 *2 *1) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-1167)))) (-2144 (*1 *2 *3 *1) (-12 (-5 *3 (-437)) (-5 *2 (-635 (-3 (|:| -1486 (-1163)) (|:| |bounds| (-635 (-3 (|:| S (-1163)) (|:| P (-954 (-569))))))))) (-5 *1 (-1167)))) (-2298 (*1 *2 *1) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-1167)))) (-4205 (*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-3 (|:| -1486 (-1163)) (|:| |bounds| (-635 (-3 (|:| S (-1163)) (|:| P (-954 (-569)))))))))) (-5 *1 (-1167)))) (-4001 (*1 *2 *1) (-12 (-5 *2 (-1095)) (-5 *1 (-1167)))) (-1400 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-1167)))) (-3800 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-440))))) (-5 *1 (-1167))))) 
+(-13 (-609 (-851)) (-10 -8 (-15 -2185 ((-1171 (-1163) (-440)) $)) (-15 -1296 ($)) (-15 -2873 ((-440) (-635 (-1163)) (-440) $)) (-15 -2873 ((-440) (-1163) (-440) $)) (-15 -2449 ((-440) (-1163) $)) (-15 -3702 ((-635 (-1163)) $)) (-15 -2144 ((-635 (-3 (|:| -1486 (-1163)) (|:| |bounds| (-635 (-3 (|:| S (-1163)) (|:| P (-954 (-569)))))))) (-437) $)) (-15 -2298 ((-635 (-1163)) $)) (-15 -4205 ((-635 (-635 (-3 (|:| -1486 (-1163)) (|:| |bounds| (-635 (-3 (|:| S (-1163)) (|:| P (-954 (-569))))))))) $)) (-15 -4001 ((-1095) $)) (-15 -1400 ((-1252) $)) (-15 -3800 ($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-440)))))))) 
+((-2032 (((-635 (-635 (-954 |#1|))) (-635 (-410 (-954 |#1|))) (-635 (-1163))) 55)) (-4435 (((-635 (-289 (-410 (-954 |#1|)))) (-289 (-410 (-954 |#1|)))) 66) (((-635 (-289 (-410 (-954 |#1|)))) (-410 (-954 |#1|))) 62) (((-635 (-289 (-410 (-954 |#1|)))) (-289 (-410 (-954 |#1|))) (-1163)) 67) (((-635 (-289 (-410 (-954 |#1|)))) (-410 (-954 |#1|)) (-1163)) 61) (((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-289 (-410 (-954 |#1|))))) 91) (((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-410 (-954 |#1|)))) 90) (((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-289 (-410 (-954 |#1|)))) (-635 (-1163))) 92) (((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-410 (-954 |#1|))) (-635 (-1163))) 89))) 
+(((-1168 |#1|) (-10 -7 (-15 -4435 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-410 (-954 |#1|))) (-635 (-1163)))) (-15 -4435 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-289 (-410 (-954 |#1|)))) (-635 (-1163)))) (-15 -4435 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-410 (-954 |#1|))))) (-15 -4435 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-289 (-410 (-954 |#1|)))))) (-15 -4435 ((-635 (-289 (-410 (-954 |#1|)))) (-410 (-954 |#1|)) (-1163))) (-15 -4435 ((-635 (-289 (-410 (-954 |#1|)))) (-289 (-410 (-954 |#1|))) (-1163))) (-15 -4435 ((-635 (-289 (-410 (-954 |#1|)))) (-410 (-954 |#1|)))) (-15 -4435 ((-635 (-289 (-410 (-954 |#1|)))) (-289 (-410 (-954 |#1|))))) (-15 -2032 ((-635 (-635 (-954 |#1|))) (-635 (-410 (-954 |#1|))) (-635 (-1163))))) (-559)) (T -1168)) 
+((-2032 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 *5)))) (-5 *4 (-635 (-1163))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-954 *5)))) (-5 *1 (-1168 *5)))) (-4435 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-289 (-410 (-954 *4))))) (-5 *1 (-1168 *4)) (-5 *3 (-289 (-410 (-954 *4)))))) (-4435 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-289 (-410 (-954 *4))))) (-5 *1 (-1168 *4)) (-5 *3 (-410 (-954 *4))))) (-4435 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-559)) (-5 *2 (-635 (-289 (-410 (-954 *5))))) (-5 *1 (-1168 *5)) (-5 *3 (-289 (-410 (-954 *5)))))) (-4435 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-559)) (-5 *2 (-635 (-289 (-410 (-954 *5))))) (-5 *1 (-1168 *5)) (-5 *3 (-410 (-954 *5))))) (-4435 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *4)))))) (-5 *1 (-1168 *4)) (-5 *3 (-635 (-289 (-410 (-954 *4))))))) (-4435 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 *4)))) (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *4)))))) (-5 *1 (-1168 *4)))) (-4435 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1163))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *5)))))) (-5 *1 (-1168 *5)) (-5 *3 (-635 (-289 (-410 (-954 *5))))))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 *5)))) (-5 *4 (-635 (-1163))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *5)))))) (-5 *1 (-1168 *5))))) 
+(-10 -7 (-15 -4435 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-410 (-954 |#1|))) (-635 (-1163)))) (-15 -4435 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-289 (-410 (-954 |#1|)))) (-635 (-1163)))) (-15 -4435 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-410 (-954 |#1|))))) (-15 -4435 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-289 (-410 (-954 |#1|)))))) (-15 -4435 ((-635 (-289 (-410 (-954 |#1|)))) (-410 (-954 |#1|)) (-1163))) (-15 -4435 ((-635 (-289 (-410 (-954 |#1|)))) (-289 (-410 (-954 |#1|))) (-1163))) (-15 -4435 ((-635 (-289 (-410 (-954 |#1|)))) (-410 (-954 |#1|)))) (-15 -4435 ((-635 (-289 (-410 (-954 |#1|)))) (-289 (-410 (-954 |#1|))))) (-15 -2032 ((-635 (-635 (-954 |#1|))) (-635 (-410 (-954 |#1|))) (-635 (-1163))))) 
+((-2579 (((-635 (-635 |#1|)) (-635 (-635 |#1|)) (-635 (-635 (-635 |#1|)))) 38)) (-4112 (((-635 (-635 (-635 |#1|))) (-635 (-635 |#1|))) 24)) (-1286 (((-1170 (-635 |#1|)) (-635 |#1|)) 34)) (-1348 (((-635 (-635 |#1|)) (-635 |#1|)) 30)) (-3146 (((-2 (|:| |f1| (-635 |#1|)) (|:| |f2| (-635 (-635 (-635 |#1|)))) (|:| |f3| (-635 (-635 |#1|))) (|:| |f4| (-635 (-635 (-635 |#1|))))) (-635 (-635 (-635 |#1|)))) 37)) (-2807 (((-2 (|:| |f1| (-635 |#1|)) (|:| |f2| (-635 (-635 (-635 |#1|)))) (|:| |f3| (-635 (-635 |#1|))) (|:| |f4| (-635 (-635 (-635 |#1|))))) (-635 |#1|) (-635 (-635 (-635 |#1|))) (-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))) (-635 (-635 (-635 |#1|))) (-635 (-635 (-635 |#1|)))) 36)) (-1443 (((-635 (-635 |#1|)) (-635 (-635 |#1|))) 28)) (-4480 (((-635 |#1|) (-635 |#1|)) 31)) (-1665 (((-635 (-635 (-635 |#1|))) (-635 |#1|) (-635 (-635 (-635 |#1|)))) 18)) (-3129 (((-635 (-635 (-635 |#1|))) (-1 (-121) |#1| |#1|) (-635 |#1|) (-635 (-635 (-635 |#1|)))) 15)) (-2717 (((-2 (|:| |fs| (-121)) (|:| |sd| (-635 |#1|)) (|:| |td| (-635 (-635 |#1|)))) (-1 (-121) |#1| |#1|) (-635 |#1|) (-635 (-635 |#1|))) 13)) (-3989 (((-635 (-635 |#1|)) (-635 (-635 (-635 |#1|)))) 39)) (-2402 (((-635 (-635 |#1|)) (-1170 (-635 |#1|))) 41))) 
+(((-1169 |#1|) (-10 -7 (-15 -2717 ((-2 (|:| |fs| (-121)) (|:| |sd| (-635 |#1|)) (|:| |td| (-635 (-635 |#1|)))) (-1 (-121) |#1| |#1|) (-635 |#1|) (-635 (-635 |#1|)))) (-15 -3129 ((-635 (-635 (-635 |#1|))) (-1 (-121) |#1| |#1|) (-635 |#1|) (-635 (-635 (-635 |#1|))))) (-15 -1665 ((-635 (-635 (-635 |#1|))) (-635 |#1|) (-635 (-635 (-635 |#1|))))) (-15 -2579 ((-635 (-635 |#1|)) (-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))))) (-15 -3989 ((-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))))) (-15 -2402 ((-635 (-635 |#1|)) (-1170 (-635 |#1|)))) (-15 -4112 ((-635 (-635 (-635 |#1|))) (-635 (-635 |#1|)))) (-15 -1286 ((-1170 (-635 |#1|)) (-635 |#1|))) (-15 -1443 ((-635 (-635 |#1|)) (-635 (-635 |#1|)))) (-15 -1348 ((-635 (-635 |#1|)) (-635 |#1|))) (-15 -4480 ((-635 |#1|) (-635 |#1|))) (-15 -2807 ((-2 (|:| |f1| (-635 |#1|)) (|:| |f2| (-635 (-635 (-635 |#1|)))) (|:| |f3| (-635 (-635 |#1|))) (|:| |f4| (-635 (-635 (-635 |#1|))))) (-635 |#1|) (-635 (-635 (-635 |#1|))) (-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))) (-635 (-635 (-635 |#1|))) (-635 (-635 (-635 |#1|))))) (-15 -3146 ((-2 (|:| |f1| (-635 |#1|)) (|:| |f2| (-635 (-635 (-635 |#1|)))) (|:| |f3| (-635 (-635 |#1|))) (|:| |f4| (-635 (-635 (-635 |#1|))))) (-635 (-635 (-635 |#1|)))))) (-843)) (T -1169)) 
+((-3146 (*1 *2 *3) (-12 (-4 *4 (-843)) (-5 *2 (-2 (|:| |f1| (-635 *4)) (|:| |f2| (-635 (-635 (-635 *4)))) (|:| |f3| (-635 (-635 *4))) (|:| |f4| (-635 (-635 (-635 *4)))))) (-5 *1 (-1169 *4)) (-5 *3 (-635 (-635 (-635 *4)))))) (-2807 (*1 *2 *3 *4 *5 *4 *4 *4) (-12 (-4 *6 (-843)) (-5 *3 (-635 *6)) (-5 *5 (-635 *3)) (-5 *2 (-2 (|:| |f1| *3) (|:| |f2| (-635 *5)) (|:| |f3| *5) (|:| |f4| (-635 *5)))) (-5 *1 (-1169 *6)) (-5 *4 (-635 *5)))) (-4480 (*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-1169 *3)))) (-1348 (*1 *2 *3) (-12 (-4 *4 (-843)) (-5 *2 (-635 (-635 *4))) (-5 *1 (-1169 *4)) (-5 *3 (-635 *4)))) (-1443 (*1 *2 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-843)) (-5 *1 (-1169 *3)))) (-1286 (*1 *2 *3) (-12 (-4 *4 (-843)) (-5 *2 (-1170 (-635 *4))) (-5 *1 (-1169 *4)) (-5 *3 (-635 *4)))) (-4112 (*1 *2 *3) (-12 (-4 *4 (-843)) (-5 *2 (-635 (-635 (-635 *4)))) (-5 *1 (-1169 *4)) (-5 *3 (-635 (-635 *4))))) (-2402 (*1 *2 *3) (-12 (-5 *3 (-1170 (-635 *4))) (-4 *4 (-843)) (-5 *2 (-635 (-635 *4))) (-5 *1 (-1169 *4)))) (-3989 (*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-635 *4)))) (-5 *2 (-635 (-635 *4))) (-5 *1 (-1169 *4)) (-4 *4 (-843)))) (-2579 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-635 (-635 *4)))) (-5 *2 (-635 (-635 *4))) (-4 *4 (-843)) (-5 *1 (-1169 *4)))) (-1665 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-635 (-635 *4)))) (-5 *3 (-635 *4)) (-4 *4 (-843)) (-5 *1 (-1169 *4)))) (-3129 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-635 (-635 (-635 *5)))) (-5 *3 (-1 (-121) *5 *5)) (-5 *4 (-635 *5)) (-4 *5 (-843)) (-5 *1 (-1169 *5)))) (-2717 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-121) *6 *6)) (-4 *6 (-843)) (-5 *4 (-635 *6)) (-5 *2 (-2 (|:| |fs| (-121)) (|:| |sd| *4) (|:| |td| (-635 *4)))) (-5 *1 (-1169 *6)) (-5 *5 (-635 *4))))) 
+(-10 -7 (-15 -2717 ((-2 (|:| |fs| (-121)) (|:| |sd| (-635 |#1|)) (|:| |td| (-635 (-635 |#1|)))) (-1 (-121) |#1| |#1|) (-635 |#1|) (-635 (-635 |#1|)))) (-15 -3129 ((-635 (-635 (-635 |#1|))) (-1 (-121) |#1| |#1|) (-635 |#1|) (-635 (-635 (-635 |#1|))))) (-15 -1665 ((-635 (-635 (-635 |#1|))) (-635 |#1|) (-635 (-635 (-635 |#1|))))) (-15 -2579 ((-635 (-635 |#1|)) (-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))))) (-15 -3989 ((-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))))) (-15 -2402 ((-635 (-635 |#1|)) (-1170 (-635 |#1|)))) (-15 -4112 ((-635 (-635 (-635 |#1|))) (-635 (-635 |#1|)))) (-15 -1286 ((-1170 (-635 |#1|)) (-635 |#1|))) (-15 -1443 ((-635 (-635 |#1|)) (-635 (-635 |#1|)))) (-15 -1348 ((-635 (-635 |#1|)) (-635 |#1|))) (-15 -4480 ((-635 |#1|) (-635 |#1|))) (-15 -2807 ((-2 (|:| |f1| (-635 |#1|)) (|:| |f2| (-635 (-635 (-635 |#1|)))) (|:| |f3| (-635 (-635 |#1|))) (|:| |f4| (-635 (-635 (-635 |#1|))))) (-635 |#1|) (-635 (-635 (-635 |#1|))) (-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))) (-635 (-635 (-635 |#1|))) (-635 (-635 (-635 |#1|))))) (-15 -3146 ((-2 (|:| |f1| (-635 |#1|)) (|:| |f2| (-635 (-635 (-635 |#1|)))) (|:| |f3| (-635 (-635 |#1|))) (|:| |f4| (-635 (-635 (-635 |#1|))))) (-635 (-635 (-635 |#1|)))))) 
+((-1924 (($ (-635 (-635 |#1|))) 9)) (-2550 (((-635 (-635 |#1|)) $) 10)) (-2185 (((-851) $) 25))) 
+(((-1170 |#1|) (-10 -8 (-15 -1924 ($ (-635 (-635 |#1|)))) (-15 -2550 ((-635 (-635 |#1|)) $)) (-15 -2185 ((-851) $))) (-1091)) (T -1170)) 
+((-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-1170 *3)) (-4 *3 (-1091)))) (-2550 (*1 *2 *1) (-12 (-5 *2 (-635 (-635 *3))) (-5 *1 (-1170 *3)) (-4 *3 (-1091)))) (-1924 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1091)) (-5 *1 (-1170 *3))))) 
+(-10 -8 (-15 -1924 ($ (-635 (-635 |#1|)))) (-15 -2550 ((-635 (-635 |#1|)) $)) (-15 -2185 ((-851) $))) 
+((-2568 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2281 (($) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-3112 (((-1252) $ |#1| |#1|) NIL (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#2| $ |#1| |#2|) NIL)) (-4216 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-2082 (((-3 |#2| "failed") |#1| $) NIL)) (-2820 (($) NIL T CONST)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-4454 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-3 |#2| "failed") |#1| $) NIL)) (-4347 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#2| $ |#1|) NIL)) (-3470 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 ((|#1| $) NIL (|has| |#1| (-843)))) (-4259 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1285 ((|#1| $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4536))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2179 (((-635 |#1|) $) NIL)) (-1598 (((-121) |#1| $) NIL)) (-3889 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-3172 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4166 (((-635 |#1|) $) NIL)) (-3533 (((-121) |#1| $) NIL)) (-3360 (((-1109) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4353 ((|#2| $) NIL (|has| |#1| (-843)))) (-2502 (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL)) (-3174 (($ $ |#2|) NIL (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-2691 (((-635 |#2|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-2566 (($) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-764) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091)))) (((-764) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2185 (((-851) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2793 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-1171 |#1| |#2|) (-13 (-1174 |#1| |#2|) (-10 -7 (-6 -4535))) (-1091) (-1091)) (T -1171)) 
+NIL 
+(-13 (-1174 |#1| |#2|) (-10 -7 (-6 -4535))) 
+((-4325 ((|#1| (-635 |#1|)) 32)) (-3485 ((|#1| |#1| (-569)) 18)) (-1397 (((-1159 |#1|) |#1| (-918)) 15))) 
+(((-1172 |#1|) (-10 -7 (-15 -4325 (|#1| (-635 |#1|))) (-15 -1397 ((-1159 |#1|) |#1| (-918))) (-15 -3485 (|#1| |#1| (-569)))) (-366)) (T -1172)) 
+((-3485 (*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-1172 *2)) (-4 *2 (-366)))) (-1397 (*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-5 *2 (-1159 *3)) (-5 *1 (-1172 *3)) (-4 *3 (-366)))) (-4325 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-1172 *2)) (-4 *2 (-366))))) 
+(-10 -7 (-15 -4325 (|#1| (-635 |#1|))) (-15 -1397 ((-1159 |#1|) |#1| (-918))) (-15 -3485 (|#1| |#1| (-569)))) 
+((-2281 (($) 10) (($ (-635 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)))) 14)) (-4454 (($ (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) $) 60) (($ (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) $) NIL) (((-3 |#3| "failed") |#2| $) NIL)) (-3470 (((-635 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) $) 39) (((-635 |#3|) $) 41)) (-1853 (($ (-1 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) $) 52) (($ (-1 |#3| |#3|) $) 33)) (-1544 (($ (-1 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) $) 50) (($ (-1 |#3| |#3|) $) NIL) (($ (-1 |#3| |#3| |#3|) $ $) 38)) (-3889 (((-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) $) 53)) (-3172 (($ (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) $) 16)) (-4166 (((-635 |#2|) $) 19)) (-3533 (((-121) |#2| $) 58)) (-2502 (((-3 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) "failed") (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) $) 57)) (-1856 (((-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) $) 62)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) $) NIL) (((-121) (-1 (-121) |#3|) $) 65)) (-2691 (((-635 |#3|) $) 43)) (-1534 ((|#3| $ |#2|) 30) ((|#3| $ |#2| |#3|) 31)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) $) NIL) (((-764) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) $) NIL) (((-764) |#3| $) NIL) (((-764) (-1 (-121) |#3|) $) 66)) (-2185 (((-851) $) 27)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) $) NIL) (((-121) (-1 (-121) |#3|) $) 64)) (-1668 (((-121) $ $) 48))) 
+(((-1173 |#1| |#2| |#3|) (-10 -8 (-15 -1668 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1544 (|#1| (-1 |#3| |#3| |#3|) |#1| |#1|)) (-15 -2281 (|#1| (-635 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))))) (-15 -2281 (|#1|)) (-15 -1544 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -1853 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -2066 ((-121) (-1 (-121) |#3|) |#1|)) (-15 -4177 ((-121) (-1 (-121) |#3|) |#1|)) (-15 -2846 ((-764) (-1 (-121) |#3|) |#1|)) (-15 -3470 ((-635 |#3|) |#1|)) (-15 -2846 ((-764) |#3| |#1|)) (-15 -1534 (|#3| |#1| |#2| |#3|)) (-15 -1534 (|#3| |#1| |#2|)) (-15 -2691 ((-635 |#3|) |#1|)) (-15 -3533 ((-121) |#2| |#1|)) (-15 -4166 ((-635 |#2|) |#1|)) (-15 -4454 ((-3 |#3| "failed") |#2| |#1|)) (-15 -4454 (|#1| (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -4454 (|#1| (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) |#1|)) (-15 -2502 ((-3 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) "failed") (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -3889 ((-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) |#1|)) (-15 -3172 (|#1| (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) |#1|)) (-15 -1856 ((-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) |#1|)) (-15 -2846 ((-764) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) |#1|)) (-15 -3470 ((-635 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -2846 ((-764) (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -4177 ((-121) (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -2066 ((-121) (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -1853 (|#1| (-1 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -1544 (|#1| (-1 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|))) (-1174 |#2| |#3|) (-1091) (-1091)) (T -1173)) 
+NIL 
+(-10 -8 (-15 -1668 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1544 (|#1| (-1 |#3| |#3| |#3|) |#1| |#1|)) (-15 -2281 (|#1| (-635 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))))) (-15 -2281 (|#1|)) (-15 -1544 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -1853 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -2066 ((-121) (-1 (-121) |#3|) |#1|)) (-15 -4177 ((-121) (-1 (-121) |#3|) |#1|)) (-15 -2846 ((-764) (-1 (-121) |#3|) |#1|)) (-15 -3470 ((-635 |#3|) |#1|)) (-15 -2846 ((-764) |#3| |#1|)) (-15 -1534 (|#3| |#1| |#2| |#3|)) (-15 -1534 (|#3| |#1| |#2|)) (-15 -2691 ((-635 |#3|) |#1|)) (-15 -3533 ((-121) |#2| |#1|)) (-15 -4166 ((-635 |#2|) |#1|)) (-15 -4454 ((-3 |#3| "failed") |#2| |#1|)) (-15 -4454 (|#1| (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -4454 (|#1| (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) |#1|)) (-15 -2502 ((-3 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) "failed") (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -3889 ((-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) |#1|)) (-15 -3172 (|#1| (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) |#1|)) (-15 -1856 ((-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) |#1|)) (-15 -2846 ((-764) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) |#1|)) (-15 -3470 ((-635 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -2846 ((-764) (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -4177 ((-121) (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -2066 ((-121) (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -1853 (|#1| (-1 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -1544 (|#1| (-1 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|))) 
+((-2568 (((-121) $ $) 18 (-2232 (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-2281 (($) 66) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 65)) (-3112 (((-1252) $ |#1| |#1|) 93 (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) 8)) (-4469 ((|#2| $ |#1| |#2|) 67)) (-4216 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 42 (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 52 (|has| $ (-6 -4535)))) (-2082 (((-3 |#2| "failed") |#1| $) 57)) (-2820 (($) 7 T CONST)) (-2033 (($ $) 55 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535))))) (-4454 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 44 (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 43 (|has| $ (-6 -4535))) (((-3 |#2| "failed") |#1| $) 58)) (-4347 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 54 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 51 (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 53 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 50 (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 49 (|has| $ (-6 -4535)))) (-2726 ((|#2| $ |#1| |#2|) 81 (|has| $ (-6 -4536)))) (-1618 ((|#2| $ |#1|) 82)) (-3470 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 30 (|has| $ (-6 -4535))) (((-635 |#2|) $) 73 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-3557 ((|#1| $) 90 (|has| |#1| (-843)))) (-4259 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 29 (|has| $ (-6 -4535))) (((-635 |#2|) $) 74 (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 27 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))) (((-121) |#2| $) 76 (-12 (|has| |#2| (-1091)) (|has| $ (-6 -4535))))) (-1285 ((|#1| $) 89 (|has| |#1| (-843)))) (-1853 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 34 (|has| $ (-6 -4536))) (($ (-1 |#2| |#2|) $) 69 (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 35) (($ (-1 |#2| |#2|) $) 68) (($ (-1 |#2| |#2| |#2|) $ $) 64)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (-2232 (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-2179 (((-635 |#1|) $) 59)) (-1598 (((-121) |#1| $) 60)) (-3889 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 36)) (-3172 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 37)) (-4166 (((-635 |#1|) $) 87)) (-3533 (((-121) |#1| $) 86)) (-3360 (((-1109) $) 21 (-2232 (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-4353 ((|#2| $) 91 (|has| |#1| (-843)))) (-2502 (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 48)) (-3174 (($ $ |#2|) 92 (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 38)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 32 (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) 71 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 26 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 25 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 24 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 23 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) 80 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) 79 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) 78 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 (-289 |#2|))) 77 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) |#2| $) 88 (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-2691 (((-635 |#2|) $) 85)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#2| $ |#1|) 84) ((|#2| $ |#1| |#2|) 83)) (-2566 (($) 46) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 45)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 31 (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 28 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))) (((-764) |#2| $) 75 (-12 (|has| |#2| (-1091)) (|has| $ (-6 -4535)))) (((-764) (-1 (-121) |#2|) $) 72 (|has| $ (-6 -4535)))) (-1971 (($ $) 13)) (-3817 (((-542) $) 56 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 47)) (-2185 (((-851) $) 20 (-2232 (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-2793 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 39)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 33 (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) 70 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (-2232 (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-1174 |#1| |#2|) (-1278) (-1091) (-1091)) (T -1174)) 
+((-4469 (*1 *2 *1 *3 *2) (-12 (-4 *1 (-1174 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1091)))) (-2281 (*1 *1) (-12 (-4 *1 (-1174 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091)))) (-2281 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -2335 *3) (|:| -3782 *4)))) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *1 (-1174 *3 *4)))) (-1544 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *4 *4 *4)) (-4 *1 (-1174 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091))))) 
+(-13 (-606 |t#1| |t#2|) (-602 |t#1| |t#2|) (-10 -8 (-15 -4469 (|t#2| $ |t#1| |t#2|)) (-15 -2281 ($)) (-15 -2281 ($ (-635 (-2 (|:| -2335 |t#1|) (|:| -3782 |t#2|))))) (-15 -1544 ($ (-1 |t#2| |t#2| |t#2|) $ $)))) 
+(((-39) . T) ((-111 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-105) -2232 (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))) ((-609 (-851)) -2232 (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))) ((-155 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-610 (-542)) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542))) ((-222 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-228 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-282 |#1| |#2|) . T) ((-284 |#1| |#2|) . T) ((-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) -12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))) ((-304 |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) ((-500 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-500 |#2|) . T) ((-602 |#1| |#2|) . T) ((-524 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) -12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))) ((-524 |#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) ((-606 |#1| |#2|) . T) ((-1091) -2232 (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))) ((-1197) . T)) 
+((-3253 (((-121)) 24)) (-3377 (((-1252) (-1145)) 26)) (-3302 (((-121)) 36)) (-4365 (((-1252)) 34)) (-2507 (((-1252) (-1145) (-1145)) 25)) (-3609 (((-121)) 37)) (-3172 (((-1252) |#1| |#2|) 44)) (-3505 (((-1252)) 20)) (-1957 (((-3 |#2| "failed") |#1|) 42)) (-3744 (((-1252)) 35))) 
+(((-1175 |#1| |#2|) (-10 -7 (-15 -3505 ((-1252))) (-15 -2507 ((-1252) (-1145) (-1145))) (-15 -3377 ((-1252) (-1145))) (-15 -4365 ((-1252))) (-15 -3744 ((-1252))) (-15 -3253 ((-121))) (-15 -3302 ((-121))) (-15 -3609 ((-121))) (-15 -1957 ((-3 |#2| "failed") |#1|)) (-15 -3172 ((-1252) |#1| |#2|))) (-1091) (-1091)) (T -1175)) 
+((-3172 (*1 *2 *3 *4) (-12 (-5 *2 (-1252)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)))) (-1957 (*1 *2 *3) (|partial| -12 (-4 *2 (-1091)) (-5 *1 (-1175 *3 *2)) (-4 *3 (-1091)))) (-3609 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)))) (-3302 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)))) (-3253 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)))) (-3744 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)))) (-4365 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)))) (-3377 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1175 *4 *5)) (-4 *4 (-1091)) (-4 *5 (-1091)))) (-2507 (*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1175 *4 *5)) (-4 *4 (-1091)) (-4 *5 (-1091)))) (-3505 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091))))) 
+(-10 -7 (-15 -3505 ((-1252))) (-15 -2507 ((-1252) (-1145) (-1145))) (-15 -3377 ((-1252) (-1145))) (-15 -4365 ((-1252))) (-15 -3744 ((-1252))) (-15 -3253 ((-121))) (-15 -3302 ((-121))) (-15 -3609 ((-121))) (-15 -1957 ((-3 |#2| "failed") |#1|)) (-15 -3172 ((-1252) |#1| |#2|))) 
+((-3064 (((-1145) (-1145)) 18)) (-2113 (((-57) (-1145)) 21))) 
+(((-1176) (-10 -7 (-15 -2113 ((-57) (-1145))) (-15 -3064 ((-1145) (-1145))))) (T -1176)) 
+((-3064 (*1 *2 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1176)))) (-2113 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-57)) (-5 *1 (-1176))))) 
+(-10 -7 (-15 -2113 ((-57) (-1145))) (-15 -3064 ((-1145) (-1145)))) 
+((-2185 (((-1178) |#1|) 11))) 
+(((-1177 |#1|) (-10 -7 (-15 -2185 ((-1178) |#1|))) (-1091)) (T -1177)) 
+((-2185 (*1 *2 *3) (-12 (-5 *2 (-1178)) (-5 *1 (-1177 *3)) (-4 *3 (-1091))))) 
+(-10 -7 (-15 -2185 ((-1178) |#1|))) 
+((-2568 (((-121) $ $) NIL)) (-3927 (((-635 (-1145)) $) 33)) (-1871 (((-635 (-1145)) $ (-635 (-1145))) 36)) (-4085 (((-635 (-1145)) $ (-635 (-1145))) 35)) (-3481 (((-635 (-1145)) $ (-635 (-1145))) 37)) (-2039 (((-635 (-1145)) $) 32)) (-2659 (($) 22)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2834 (((-635 (-1145)) $) 34)) (-3615 (((-1252) $ (-569)) 29) (((-1252) $) 30)) (-3817 (($ (-851) (-569)) 26) (($ (-851) (-569) (-851)) NIL)) (-2185 (((-851) $) 39) (($ (-851)) 24)) (-1668 (((-121) $ $) NIL))) 
+(((-1178) (-13 (-1091) (-10 -8 (-15 -2185 ($ (-851))) (-15 -3817 ($ (-851) (-569))) (-15 -3817 ($ (-851) (-569) (-851))) (-15 -3615 ((-1252) $ (-569))) (-15 -3615 ((-1252) $)) (-15 -2834 ((-635 (-1145)) $)) (-15 -3927 ((-635 (-1145)) $)) (-15 -2659 ($)) (-15 -2039 ((-635 (-1145)) $)) (-15 -3481 ((-635 (-1145)) $ (-635 (-1145)))) (-15 -1871 ((-635 (-1145)) $ (-635 (-1145)))) (-15 -4085 ((-635 (-1145)) $ (-635 (-1145))))))) (T -1178)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-851)) (-5 *1 (-1178)))) (-3817 (*1 *1 *2 *3) (-12 (-5 *2 (-851)) (-5 *3 (-569)) (-5 *1 (-1178)))) (-3817 (*1 *1 *2 *3 *2) (-12 (-5 *2 (-851)) (-5 *3 (-569)) (-5 *1 (-1178)))) (-3615 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-1178)))) (-3615 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-1178)))) (-2834 (*1 *2 *1) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1178)))) (-3927 (*1 *2 *1) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1178)))) (-2659 (*1 *1) (-5 *1 (-1178))) (-2039 (*1 *2 *1) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1178)))) (-3481 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1178)))) (-1871 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1178)))) (-4085 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1178))))) 
+(-13 (-1091) (-10 -8 (-15 -2185 ($ (-851))) (-15 -3817 ($ (-851) (-569))) (-15 -3817 ($ (-851) (-569) (-851))) (-15 -3615 ((-1252) $ (-569))) (-15 -3615 ((-1252) $)) (-15 -2834 ((-635 (-1145)) $)) (-15 -3927 ((-635 (-1145)) $)) (-15 -2659 ($)) (-15 -2039 ((-635 (-1145)) $)) (-15 -3481 ((-635 (-1145)) $ (-635 (-1145)))) (-15 -1871 ((-635 (-1145)) $ (-635 (-1145)))) (-15 -4085 ((-635 (-1145)) $ (-635 (-1145)))))) 
+((-2568 (((-121) $ $) NIL)) (-3111 (((-1145) $ (-1145)) 15) (((-1145) $) 14)) (-1331 (((-1145) $ (-1145)) 13)) (-3030 (($ $ (-1145)) NIL)) (-3693 (((-3 (-1145) "failed") $) 11)) (-2856 (((-1145) $) 8)) (-2948 (((-3 (-1145) "failed") $) 12)) (-4154 (((-1145) $) 9)) (-3230 (($ (-391)) NIL) (($ (-391) (-1145)) NIL)) (-1486 (((-391) $) NIL)) (-2776 (((-1145) $) NIL)) (-2160 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-4061 (((-1252) $) NIL)) (-1651 (((-121) $) 17)) (-2185 (((-851) $) NIL)) (-4084 (($ $) NIL)) (-1668 (((-121) $ $) NIL))) 
+(((-1179) (-13 (-367 (-391) (-1145)) (-10 -8 (-15 -3111 ((-1145) $ (-1145))) (-15 -3111 ((-1145) $)) (-15 -2856 ((-1145) $)) (-15 -3693 ((-3 (-1145) "failed") $)) (-15 -2948 ((-3 (-1145) "failed") $)) (-15 -1651 ((-121) $))))) (T -1179)) 
+((-3111 (*1 *2 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1179)))) (-3111 (*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-1179)))) (-2856 (*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-1179)))) (-3693 (*1 *2 *1) (|partial| -12 (-5 *2 (-1145)) (-5 *1 (-1179)))) (-2948 (*1 *2 *1) (|partial| -12 (-5 *2 (-1145)) (-5 *1 (-1179)))) (-1651 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1179))))) 
+(-13 (-367 (-391) (-1145)) (-10 -8 (-15 -3111 ((-1145) $ (-1145))) (-15 -3111 ((-1145) $)) (-15 -2856 ((-1145) $)) (-15 -3693 ((-3 (-1145) "failed") $)) (-15 -2948 ((-3 (-1145) "failed") $)) (-15 -1651 ((-121) $)))) 
+((-3638 (((-3 (-569) "failed") |#1|) 19)) (-3503 (((-3 (-569) "failed") |#1|) 13)) (-3403 (((-569) (-1145)) 28))) 
+(((-1180 |#1|) (-10 -7 (-15 -3638 ((-3 (-569) "failed") |#1|)) (-15 -3503 ((-3 (-569) "failed") |#1|)) (-15 -3403 ((-569) (-1145)))) (-1048)) (T -1180)) 
+((-3403 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-569)) (-5 *1 (-1180 *4)) (-4 *4 (-1048)))) (-3503 (*1 *2 *3) (|partial| -12 (-5 *2 (-569)) (-5 *1 (-1180 *3)) (-4 *3 (-1048)))) (-3638 (*1 *2 *3) (|partial| -12 (-5 *2 (-569)) (-5 *1 (-1180 *3)) (-4 *3 (-1048))))) 
+(-10 -7 (-15 -3638 ((-3 (-569) "failed") |#1|)) (-15 -3503 ((-3 (-569) "failed") |#1|)) (-15 -3403 ((-569) (-1145)))) 
+((-2444 (((-1122 (-216))) 8))) 
+(((-1181) (-10 -7 (-15 -2444 ((-1122 (-216)))))) (T -1181)) 
+((-2444 (*1 *2) (-12 (-5 *2 (-1122 (-216))) (-5 *1 (-1181))))) 
+(-10 -7 (-15 -2444 ((-1122 (-216))))) 
+((-2445 (($) 11)) (-1779 (($ $) 35)) (-1770 (($ $) 33)) (-2561 (($ $) 25)) (-1785 (($ $) 17)) (-2430 (($ $) 15)) (-1782 (($ $) 19)) (-1731 (($ $) 30)) (-1775 (($ $) 34)) (-2569 (($ $) 29))) 
+(((-1182 |#1|) (-10 -8 (-15 -2445 (|#1|)) (-15 -1779 (|#1| |#1|)) (-15 -1770 (|#1| |#1|)) (-15 -1785 (|#1| |#1|)) (-15 -2430 (|#1| |#1|)) (-15 -1782 (|#1| |#1|)) (-15 -1775 (|#1| |#1|)) (-15 -2561 (|#1| |#1|)) (-15 -1731 (|#1| |#1|)) (-15 -2569 (|#1| |#1|))) (-1183)) (T -1182)) 
+NIL 
+(-10 -8 (-15 -2445 (|#1|)) (-15 -1779 (|#1| |#1|)) (-15 -1770 (|#1| |#1|)) (-15 -1785 (|#1| |#1|)) (-15 -2430 (|#1| |#1|)) (-15 -1782 (|#1| |#1|)) (-15 -1775 (|#1| |#1|)) (-15 -2561 (|#1| |#1|)) (-15 -1731 (|#1| |#1|)) (-15 -2569 (|#1| |#1|))) 
+((-1753 (($ $) 26)) (-2530 (($ $) 11)) (-1744 (($ $) 27)) (-2513 (($ $) 10)) (-1760 (($ $) 28)) (-2546 (($ $) 9)) (-2445 (($) 16)) (-4450 (($ $) 19)) (-2436 (($ $) 18)) (-1764 (($ $) 29)) (-2554 (($ $) 8)) (-1756 (($ $) 30)) (-2538 (($ $) 7)) (-1748 (($ $) 31)) (-2522 (($ $) 6)) (-1779 (($ $) 20)) (-1727 (($ $) 32)) (-1770 (($ $) 21)) (-2561 (($ $) 33)) (-1785 (($ $) 22)) (-1736 (($ $) 34)) (-2430 (($ $) 23)) (-1740 (($ $) 35)) (-1782 (($ $) 24)) (-1731 (($ $) 36)) (-1775 (($ $) 25)) (-2569 (($ $) 37)) (** (($ $ $) 17))) 
+(((-1183) (-1278)) (T -1183)) 
+((-2445 (*1 *1) (-4 *1 (-1183)))) 
+(-13 (-1186) (-98) (-503) (-40) (-280) (-10 -8 (-15 -2445 ($)))) 
+(((-40) . T) ((-98) . T) ((-280) . T) ((-503) . T) ((-1186) . T)) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2247 ((|#1| $) 17)) (-2943 (($ |#1| (-635 $)) 23) (($ (-635 |#1|)) 27) (($ |#1|) 25)) (-1691 (((-121) $ (-764)) 46)) (-3891 ((|#1| $ |#1|) 14 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) 13 (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-3470 (((-635 |#1|) $) 50 (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) 41)) (-4349 (((-121) $ $) 32 (|has| |#1| (-1091)))) (-1974 (((-121) $ (-764)) 39)) (-4259 (((-635 |#1|) $) 51 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 49 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1853 (($ (-1 |#1| |#1|) $) 24 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 22)) (-2006 (((-121) $ (-764)) 38)) (-2824 (((-635 |#1|) $) 36)) (-3486 (((-121) $) 35)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4177 (((-121) (-1 (-121) |#1|) $) 48 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 73)) (-1601 (((-121) $) 9)) (-1296 (($) 10)) (-1534 ((|#1| $ "value") NIL)) (-1686 (((-569) $ $) 31)) (-4186 (((-635 $) $) 57)) (-4474 (((-121) $ $) 75)) (-4364 (((-635 $) $) 70)) (-2100 (($ $) 71)) (-1472 (((-121) $) 54)) (-2846 (((-764) (-1 (-121) |#1|) $) 20 (|has| $ (-6 -4535))) (((-764) |#1| $) 16 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) 56)) (-2185 (((-851) $) 59 (|has| |#1| (-1091)))) (-4114 (((-635 $) $) 12)) (-2447 (((-121) $ $) 29 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 47 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 28 (|has| |#1| (-1091)))) (-4168 (((-764) $) 37 (|has| $ (-6 -4535))))) 
+(((-1184 |#1|) (-13 (-1011 |#1|) (-10 -8 (-6 -4535) (-6 -4536) (-15 -2943 ($ |#1| (-635 $))) (-15 -2943 ($ (-635 |#1|))) (-15 -2943 ($ |#1|)) (-15 -1472 ((-121) $)) (-15 -2100 ($ $)) (-15 -4364 ((-635 $) $)) (-15 -4474 ((-121) $ $)) (-15 -4186 ((-635 $) $)))) (-1091)) (T -1184)) 
+((-1472 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1184 *3)) (-4 *3 (-1091)))) (-2943 (*1 *1 *2 *3) (-12 (-5 *3 (-635 (-1184 *2))) (-5 *1 (-1184 *2)) (-4 *2 (-1091)))) (-2943 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-1184 *3)))) (-2943 (*1 *1 *2) (-12 (-5 *1 (-1184 *2)) (-4 *2 (-1091)))) (-2100 (*1 *1 *1) (-12 (-5 *1 (-1184 *2)) (-4 *2 (-1091)))) (-4364 (*1 *2 *1) (-12 (-5 *2 (-635 (-1184 *3))) (-5 *1 (-1184 *3)) (-4 *3 (-1091)))) (-4474 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1184 *3)) (-4 *3 (-1091)))) (-4186 (*1 *2 *1) (-12 (-5 *2 (-635 (-1184 *3))) (-5 *1 (-1184 *3)) (-4 *3 (-1091))))) 
+(-13 (-1011 |#1|) (-10 -8 (-6 -4535) (-6 -4536) (-15 -2943 ($ |#1| (-635 $))) (-15 -2943 ($ (-635 |#1|))) (-15 -2943 ($ |#1|)) (-15 -1472 ((-121) $)) (-15 -2100 ($ $)) (-15 -4364 ((-635 $) $)) (-15 -4474 ((-121) $ $)) (-15 -4186 ((-635 $) $)))) 
+((-2530 (($ $) 15)) (-2546 (($ $) 12)) (-2554 (($ $) 10)) (-2538 (($ $) 17))) 
+(((-1185 |#1|) (-10 -8 (-15 -2538 (|#1| |#1|)) (-15 -2554 (|#1| |#1|)) (-15 -2546 (|#1| |#1|)) (-15 -2530 (|#1| |#1|))) (-1186)) (T -1185)) 
+NIL 
+(-10 -8 (-15 -2538 (|#1| |#1|)) (-15 -2554 (|#1| |#1|)) (-15 -2546 (|#1| |#1|)) (-15 -2530 (|#1| |#1|))) 
+((-2530 (($ $) 11)) (-2513 (($ $) 10)) (-2546 (($ $) 9)) (-2554 (($ $) 8)) (-2538 (($ $) 7)) (-2522 (($ $) 6))) 
+(((-1186) (-1278)) (T -1186)) 
+((-2530 (*1 *1 *1) (-4 *1 (-1186))) (-2513 (*1 *1 *1) (-4 *1 (-1186))) (-2546 (*1 *1 *1) (-4 *1 (-1186))) (-2554 (*1 *1 *1) (-4 *1 (-1186))) (-2538 (*1 *1 *1) (-4 *1 (-1186))) (-2522 (*1 *1 *1) (-4 *1 (-1186)))) 
+(-13 (-10 -8 (-15 -2522 ($ $)) (-15 -2538 ($ $)) (-15 -2554 ($ $)) (-15 -2546 ($ $)) (-15 -2513 ($ $)) (-15 -2530 ($ $)))) 
+((-1977 ((|#2| |#2|) 85)) (-2387 (((-121) |#2|) 25)) (-1747 ((|#2| |#2|) 29)) (-1751 ((|#2| |#2|) 31)) (-3969 ((|#2| |#2| (-1163)) 79) ((|#2| |#2|) 80)) (-1354 (((-170 |#2|) |#2|) 27)) (-1388 ((|#2| |#2| (-1163)) 81) ((|#2| |#2|) 82))) 
+(((-1187 |#1| |#2|) (-10 -7 (-15 -3969 (|#2| |#2|)) (-15 -3969 (|#2| |#2| (-1163))) (-15 -1388 (|#2| |#2|)) (-15 -1388 (|#2| |#2| (-1163))) (-15 -1977 (|#2| |#2|)) (-15 -1747 (|#2| |#2|)) (-15 -1751 (|#2| |#2|)) (-15 -2387 ((-121) |#2|)) (-15 -1354 ((-170 |#2|) |#2|))) (-13 (-454) (-843) (-1038 (-569)) (-631 (-569))) (-13 (-27) (-1183) (-433 |#1|))) (T -1187)) 
+((-1354 (*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-170 *3)) (-5 *1 (-1187 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4))))) (-2387 (*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-121)) (-5 *1 (-1187 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4))))) (-1751 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3))))) (-1747 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3))))) (-1977 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3))))) (-1388 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4))))) (-1388 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3))))) (-3969 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4))))) (-3969 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3)))))) 
+(-10 -7 (-15 -3969 (|#2| |#2|)) (-15 -3969 (|#2| |#2| (-1163))) (-15 -1388 (|#2| |#2|)) (-15 -1388 (|#2| |#2| (-1163))) (-15 -1977 (|#2| |#2|)) (-15 -1747 (|#2| |#2|)) (-15 -1751 (|#2| |#2|)) (-15 -2387 ((-121) |#2|)) (-15 -1354 ((-170 |#2|) |#2|))) 
+((-4139 ((|#4| |#4| |#1|) 27)) (-1279 ((|#4| |#4| |#1|) 28))) 
+(((-1188 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4139 (|#4| |#4| |#1|)) (-15 -1279 (|#4| |#4| |#1|))) (-559) (-376 |#1|) (-376 |#1|) (-678 |#1| |#2| |#3|)) (T -1188)) 
+((-1279 (*1 *2 *2 *3) (-12 (-4 *3 (-559)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1188 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5)))) (-4139 (*1 *2 *2 *3) (-12 (-4 *3 (-559)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1188 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5))))) 
+(-10 -7 (-15 -4139 (|#4| |#4| |#1|)) (-15 -1279 (|#4| |#4| |#1|))) 
+((-1450 ((|#2| |#2|) 132)) (-2926 ((|#2| |#2|) 129)) (-2839 ((|#2| |#2|) 120)) (-1548 ((|#2| |#2|) 117)) (-2750 ((|#2| |#2|) 125)) (-2849 ((|#2| |#2|) 113)) (-3397 ((|#2| |#2|) 42)) (-1284 ((|#2| |#2|) 93)) (-4490 ((|#2| |#2|) 73)) (-1385 ((|#2| |#2|) 127)) (-2189 ((|#2| |#2|) 115)) (-3931 ((|#2| |#2|) 137)) (-3957 ((|#2| |#2|) 135)) (-4161 ((|#2| |#2|) 136)) (-1958 ((|#2| |#2|) 134)) (-4303 ((|#2| |#2|) 146)) (-2556 ((|#2| |#2|) 30 (-12 (|has| |#2| (-610 (-888 |#1|))) (|has| |#2| (-882 |#1|)) (|has| |#1| (-610 (-888 |#1|))) (|has| |#1| (-882 |#1|))))) (-4374 ((|#2| |#2|) 74)) (-1570 ((|#2| |#2|) 138)) (-1939 ((|#2| |#2|) 139)) (-1641 ((|#2| |#2|) 126)) (-3412 ((|#2| |#2|) 114)) (-4105 ((|#2| |#2|) 133)) (-2262 ((|#2| |#2|) 131)) (-2302 ((|#2| |#2|) 121)) (-2933 ((|#2| |#2|) 119)) (-4380 ((|#2| |#2|) 123)) (-3959 ((|#2| |#2|) 111))) 
+(((-1189 |#1| |#2|) (-10 -7 (-15 -1939 (|#2| |#2|)) (-15 -4490 (|#2| |#2|)) (-15 -4303 (|#2| |#2|)) (-15 -1284 (|#2| |#2|)) (-15 -3397 (|#2| |#2|)) (-15 -4374 (|#2| |#2|)) (-15 -1570 (|#2| |#2|)) (-15 -3959 (|#2| |#2|)) (-15 -4380 (|#2| |#2|)) (-15 -2302 (|#2| |#2|)) (-15 -4105 (|#2| |#2|)) (-15 -3412 (|#2| |#2|)) (-15 -1641 (|#2| |#2|)) (-15 -2189 (|#2| |#2|)) (-15 -1385 (|#2| |#2|)) (-15 -2849 (|#2| |#2|)) (-15 -2750 (|#2| |#2|)) (-15 -2839 (|#2| |#2|)) (-15 -1450 (|#2| |#2|)) (-15 -1548 (|#2| |#2|)) (-15 -2926 (|#2| |#2|)) (-15 -2933 (|#2| |#2|)) (-15 -2262 (|#2| |#2|)) (-15 -1958 (|#2| |#2|)) (-15 -3957 (|#2| |#2|)) (-15 -4161 (|#2| |#2|)) (-15 -3931 (|#2| |#2|)) (IF (|has| |#1| (-882 |#1|)) (IF (|has| |#1| (-610 (-888 |#1|))) (IF (|has| |#2| (-610 (-888 |#1|))) (IF (|has| |#2| (-882 |#1|)) (-15 -2556 (|#2| |#2|)) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) (-13 (-843) (-454)) (-13 (-433 |#1|) (-1183))) (T -1189)) 
+((-2556 (*1 *2 *2) (-12 (-4 *3 (-610 (-888 *3))) (-4 *3 (-882 *3)) (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-610 (-888 *3))) (-4 *2 (-882 *3)) (-4 *2 (-13 (-433 *3) (-1183))))) (-3931 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-4161 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-3957 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-1958 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-2262 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-2933 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-2926 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-1548 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-1450 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-2839 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-2750 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-2849 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-1385 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-2189 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-1641 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-3412 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-4105 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-2302 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-4380 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-3959 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-1570 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-4374 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-3397 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-1284 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-4303 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-4490 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-1939 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(-10 -7 (-15 -1939 (|#2| |#2|)) (-15 -4490 (|#2| |#2|)) (-15 -4303 (|#2| |#2|)) (-15 -1284 (|#2| |#2|)) (-15 -3397 (|#2| |#2|)) (-15 -4374 (|#2| |#2|)) (-15 -1570 (|#2| |#2|)) (-15 -3959 (|#2| |#2|)) (-15 -4380 (|#2| |#2|)) (-15 -2302 (|#2| |#2|)) (-15 -4105 (|#2| |#2|)) (-15 -3412 (|#2| |#2|)) (-15 -1641 (|#2| |#2|)) (-15 -2189 (|#2| |#2|)) (-15 -1385 (|#2| |#2|)) (-15 -2849 (|#2| |#2|)) (-15 -2750 (|#2| |#2|)) (-15 -2839 (|#2| |#2|)) (-15 -1450 (|#2| |#2|)) (-15 -1548 (|#2| |#2|)) (-15 -2926 (|#2| |#2|)) (-15 -2933 (|#2| |#2|)) (-15 -2262 (|#2| |#2|)) (-15 -1958 (|#2| |#2|)) (-15 -3957 (|#2| |#2|)) (-15 -4161 (|#2| |#2|)) (-15 -3931 (|#2| |#2|)) (IF (|has| |#1| (-882 |#1|)) (IF (|has| |#1| (-610 (-888 |#1|))) (IF (|has| |#2| (-610 (-888 |#1|))) (IF (|has| |#2| (-882 |#1|)) (-15 -2556 (|#2| |#2|)) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) 
+((-2061 (((-121) |#5| $) 59) (((-121) $) 101)) (-3982 ((|#5| |#5| $) 74)) (-1962 (($ (-1 (-121) |#5|) $) NIL) (((-3 |#5| "failed") $ |#4|) 118)) (-3694 (((-635 |#5|) (-635 |#5|) $ (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|)) 72)) (-1647 (((-3 $ "failed") (-635 |#5|)) 125)) (-2046 (((-3 $ "failed") $) 111)) (-4407 ((|#5| |#5| $) 93)) (-3255 (((-121) |#5| $ (-1 (-121) |#5| |#5|)) 30)) (-2045 ((|#5| |#5| $) 97)) (-1774 ((|#5| (-1 |#5| |#5| |#5|) $ |#5| |#5|) NIL) ((|#5| (-1 |#5| |#5| |#5|) $ |#5|) NIL) ((|#5| (-1 |#5| |#5| |#5|) $) NIL) ((|#5| |#5| $ (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|)) 68)) (-4038 (((-2 (|:| -3585 (-635 |#5|)) (|:| -3230 (-635 |#5|))) $) 54)) (-3977 (((-121) |#5| $) 57) (((-121) $) 102)) (-4357 ((|#4| $) 107)) (-4213 (((-3 |#5| "failed") $) 109)) (-2515 (((-635 |#5|) $) 48)) (-3409 (((-121) |#5| $) 66) (((-121) $) 106)) (-3005 ((|#5| |#5| $) 80)) (-2673 (((-121) $ $) 26)) (-4310 (((-121) |#5| $) 62) (((-121) $) 104)) (-2533 ((|#5| |#5| $) 77)) (-4353 (((-3 |#5| "failed") $) 108)) (-3499 (($ $ |#5|) 126)) (-2492 (((-764) $) 51)) (-2139 (($ (-635 |#5|)) 123)) (-4201 (($ $ |#4|) 121)) (-3460 (($ $ |#4|) 120)) (-4208 (($ $) 119)) (-2185 (((-851) $) NIL) (((-635 |#5|) $) 112)) (-3435 (((-764) $) 129)) (-1702 (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#5|))) "failed") (-635 |#5|) (-1 (-121) |#5| |#5|)) 42) (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#5|))) "failed") (-635 |#5|) (-1 (-121) |#5|) (-1 (-121) |#5| |#5|)) 44)) (-3321 (((-121) $ (-1 (-121) |#5| (-635 |#5|))) 99)) (-3502 (((-635 |#4|) $) 114)) (-3673 (((-121) |#4| $) 117)) (-1668 (((-121) $ $) 19))) 
+(((-1190 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -3435 ((-764) |#1|)) (-15 -3499 (|#1| |#1| |#5|)) (-15 -1962 ((-3 |#5| "failed") |#1| |#4|)) (-15 -3673 ((-121) |#4| |#1|)) (-15 -3502 ((-635 |#4|) |#1|)) (-15 -2046 ((-3 |#1| "failed") |#1|)) (-15 -4213 ((-3 |#5| "failed") |#1|)) (-15 -4353 ((-3 |#5| "failed") |#1|)) (-15 -2045 (|#5| |#5| |#1|)) (-15 -4208 (|#1| |#1|)) (-15 -4407 (|#5| |#5| |#1|)) (-15 -3005 (|#5| |#5| |#1|)) (-15 -2533 (|#5| |#5| |#1|)) (-15 -3982 (|#5| |#5| |#1|)) (-15 -3694 ((-635 |#5|) (-635 |#5|) |#1| (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|))) (-15 -1774 (|#5| |#5| |#1| (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|))) (-15 -3409 ((-121) |#1|)) (-15 -4310 ((-121) |#1|)) (-15 -2061 ((-121) |#1|)) (-15 -3321 ((-121) |#1| (-1 (-121) |#5| (-635 |#5|)))) (-15 -3409 ((-121) |#5| |#1|)) (-15 -4310 ((-121) |#5| |#1|)) (-15 -2061 ((-121) |#5| |#1|)) (-15 -3255 ((-121) |#5| |#1| (-1 (-121) |#5| |#5|))) (-15 -3977 ((-121) |#1|)) (-15 -3977 ((-121) |#5| |#1|)) (-15 -4038 ((-2 (|:| -3585 (-635 |#5|)) (|:| -3230 (-635 |#5|))) |#1|)) (-15 -2492 ((-764) |#1|)) (-15 -2515 ((-635 |#5|) |#1|)) (-15 -1702 ((-3 (-2 (|:| |bas| |#1|) (|:| -3275 (-635 |#5|))) "failed") (-635 |#5|) (-1 (-121) |#5|) (-1 (-121) |#5| |#5|))) (-15 -1702 ((-3 (-2 (|:| |bas| |#1|) (|:| -3275 (-635 |#5|))) "failed") (-635 |#5|) (-1 (-121) |#5| |#5|))) (-15 -2673 ((-121) |#1| |#1|)) (-15 -4201 (|#1| |#1| |#4|)) (-15 -3460 (|#1| |#1| |#4|)) (-15 -4357 (|#4| |#1|)) (-15 -1647 ((-3 |#1| "failed") (-635 |#5|))) (-15 -2185 ((-635 |#5|) |#1|)) (-15 -2139 (|#1| (-635 |#5|))) (-15 -1774 (|#5| (-1 |#5| |#5| |#5|) |#1|)) (-15 -1774 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5|)) (-15 -1962 (|#1| (-1 (-121) |#5|) |#1|)) (-15 -1774 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5| |#5|)) (-15 -2185 ((-851) |#1|)) (-15 -1668 ((-121) |#1| |#1|))) (-1191 |#2| |#3| |#4| |#5|) (-559) (-789) (-843) (-1062 |#2| |#3| |#4|)) (T -1190)) 
+NIL 
+(-10 -8 (-15 -3435 ((-764) |#1|)) (-15 -3499 (|#1| |#1| |#5|)) (-15 -1962 ((-3 |#5| "failed") |#1| |#4|)) (-15 -3673 ((-121) |#4| |#1|)) (-15 -3502 ((-635 |#4|) |#1|)) (-15 -2046 ((-3 |#1| "failed") |#1|)) (-15 -4213 ((-3 |#5| "failed") |#1|)) (-15 -4353 ((-3 |#5| "failed") |#1|)) (-15 -2045 (|#5| |#5| |#1|)) (-15 -4208 (|#1| |#1|)) (-15 -4407 (|#5| |#5| |#1|)) (-15 -3005 (|#5| |#5| |#1|)) (-15 -2533 (|#5| |#5| |#1|)) (-15 -3982 (|#5| |#5| |#1|)) (-15 -3694 ((-635 |#5|) (-635 |#5|) |#1| (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|))) (-15 -1774 (|#5| |#5| |#1| (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|))) (-15 -3409 ((-121) |#1|)) (-15 -4310 ((-121) |#1|)) (-15 -2061 ((-121) |#1|)) (-15 -3321 ((-121) |#1| (-1 (-121) |#5| (-635 |#5|)))) (-15 -3409 ((-121) |#5| |#1|)) (-15 -4310 ((-121) |#5| |#1|)) (-15 -2061 ((-121) |#5| |#1|)) (-15 -3255 ((-121) |#5| |#1| (-1 (-121) |#5| |#5|))) (-15 -3977 ((-121) |#1|)) (-15 -3977 ((-121) |#5| |#1|)) (-15 -4038 ((-2 (|:| -3585 (-635 |#5|)) (|:| -3230 (-635 |#5|))) |#1|)) (-15 -2492 ((-764) |#1|)) (-15 -2515 ((-635 |#5|) |#1|)) (-15 -1702 ((-3 (-2 (|:| |bas| |#1|) (|:| -3275 (-635 |#5|))) "failed") (-635 |#5|) (-1 (-121) |#5|) (-1 (-121) |#5| |#5|))) (-15 -1702 ((-3 (-2 (|:| |bas| |#1|) (|:| -3275 (-635 |#5|))) "failed") (-635 |#5|) (-1 (-121) |#5| |#5|))) (-15 -2673 ((-121) |#1| |#1|)) (-15 -4201 (|#1| |#1| |#4|)) (-15 -3460 (|#1| |#1| |#4|)) (-15 -4357 (|#4| |#1|)) (-15 -1647 ((-3 |#1| "failed") (-635 |#5|))) (-15 -2185 ((-635 |#5|) |#1|)) (-15 -2139 (|#1| (-635 |#5|))) (-15 -1774 (|#5| (-1 |#5| |#5| |#5|) |#1|)) (-15 -1774 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5|)) (-15 -1962 (|#1| (-1 (-121) |#5|) |#1|)) (-15 -1774 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5| |#5|)) (-15 -2185 ((-851) |#1|)) (-15 -1668 ((-121) |#1| |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3839 (((-635 (-2 (|:| -3585 $) (|:| -3230 (-635 |#4|)))) (-635 |#4|)) 78)) (-4426 (((-635 $) (-635 |#4|)) 79)) (-1773 (((-635 |#3|) $) 32)) (-3008 (((-121) $) 25)) (-3625 (((-121) $) 16 (|has| |#1| (-559)))) (-2061 (((-121) |#4| $) 94) (((-121) $) 90)) (-3982 ((|#4| |#4| $) 85)) (-3113 (((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ |#3|) 26)) (-1691 (((-121) $ (-764)) 43)) (-1962 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4535))) (((-3 |#4| "failed") $ |#3|) 72)) (-2820 (($) 44 T CONST)) (-4162 (((-121) $) 21 (|has| |#1| (-559)))) (-2716 (((-121) $ $) 23 (|has| |#1| (-559)))) (-3532 (((-121) $ $) 22 (|has| |#1| (-559)))) (-2398 (((-121) $) 24 (|has| |#1| (-559)))) (-3694 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-4318 (((-635 |#4|) (-635 |#4|) $) 17 (|has| |#1| (-559)))) (-1322 (((-635 |#4|) (-635 |#4|) $) 18 (|has| |#1| (-559)))) (-1647 (((-3 $ "failed") (-635 |#4|)) 35)) (-2428 (($ (-635 |#4|)) 34)) (-2046 (((-3 $ "failed") $) 75)) (-4407 ((|#4| |#4| $) 82)) (-2033 (($ $) 67 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ |#4| $) 66 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4535)))) (-1830 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-559)))) (-3255 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-2045 ((|#4| |#4| $) 80)) (-1774 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4535))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4535))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-4038 (((-2 (|:| -3585 (-635 |#4|)) (|:| -3230 (-635 |#4|))) $) 98)) (-3470 (((-635 |#4|) $) 51 (|has| $ (-6 -4535)))) (-3977 (((-121) |#4| $) 97) (((-121) $) 96)) (-4357 ((|#3| $) 33)) (-1974 (((-121) $ (-764)) 42)) (-4259 (((-635 |#4|) $) 52 (|has| $ (-6 -4535)))) (-3660 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#4| |#4|) $) 46)) (-1833 (((-635 |#3|) $) 31)) (-2760 (((-121) |#3| $) 30)) (-2006 (((-121) $ (-764)) 41)) (-2776 (((-1145) $) 9)) (-4213 (((-3 |#4| "failed") $) 76)) (-2515 (((-635 |#4|) $) 100)) (-3409 (((-121) |#4| $) 92) (((-121) $) 88)) (-3005 ((|#4| |#4| $) 83)) (-2673 (((-121) $ $) 103)) (-2439 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-559)))) (-4310 (((-121) |#4| $) 93) (((-121) $) 89)) (-2533 ((|#4| |#4| $) 84)) (-3360 (((-1109) $) 10)) (-4353 (((-3 |#4| "failed") $) 77)) (-2502 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-1913 (((-3 $ "failed") $ |#4|) 71)) (-3499 (($ $ |#4|) 70)) (-4177 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#4|) (-635 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-635 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))))) (-3137 (((-121) $ $) 37)) (-1601 (((-121) $) 40)) (-1296 (($) 39)) (-2492 (((-764) $) 99)) (-2846 (((-764) |#4| $) 53 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) (((-764) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4535)))) (-1971 (($ $) 38)) (-3817 (((-542) $) 68 (|has| |#4| (-610 (-542))))) (-2139 (($ (-635 |#4|)) 59)) (-4201 (($ $ |#3|) 27)) (-3460 (($ $ |#3|) 29)) (-4208 (($ $) 81)) (-2630 (($ $ |#3|) 28)) (-2185 (((-851) $) 11) (((-635 |#4|) $) 36)) (-3435 (((-764) $) 69 (|has| |#3| (-371)))) (-1702 (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-3321 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) 91)) (-2066 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4535)))) (-3502 (((-635 |#3|) $) 74)) (-3673 (((-121) |#3| $) 73)) (-1668 (((-121) $ $) 6)) (-4168 (((-764) $) 45 (|has| $ (-6 -4535))))) 
+(((-1191 |#1| |#2| |#3| |#4|) (-1278) (-559) (-789) (-843) (-1062 |t#1| |t#2| |t#3|)) (T -1191)) 
+((-2673 (*1 *2 *1 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121)))) (-1702 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1 (-121) *8 *8)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-2 (|:| |bas| *1) (|:| -3275 (-635 *8)))) (-5 *3 (-635 *8)) (-4 *1 (-1191 *5 *6 *7 *8)))) (-1702 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 (-121) *9)) (-5 *5 (-1 (-121) *9 *9)) (-4 *9 (-1062 *6 *7 *8)) (-4 *6 (-559)) (-4 *7 (-789)) (-4 *8 (-843)) (-5 *2 (-2 (|:| |bas| *1) (|:| -3275 (-635 *9)))) (-5 *3 (-635 *9)) (-4 *1 (-1191 *6 *7 *8 *9)))) (-2515 (*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-635 *6)))) (-2492 (*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-764)))) (-4038 (*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-2 (|:| -3585 (-635 *6)) (|:| -3230 (-635 *6)))))) (-3977 (*1 *2 *3 *1) (-12 (-4 *1 (-1191 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121)))) (-3977 (*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121)))) (-3255 (*1 *2 *3 *1 *4) (-12 (-5 *4 (-1 (-121) *3 *3)) (-4 *1 (-1191 *5 *6 *7 *3)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-121)))) (-2061 (*1 *2 *3 *1) (-12 (-4 *1 (-1191 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121)))) (-4310 (*1 *2 *3 *1) (-12 (-4 *1 (-1191 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121)))) (-3409 (*1 *2 *3 *1) (-12 (-4 *1 (-1191 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121)))) (-3321 (*1 *2 *1 *3) (-12 (-5 *3 (-1 (-121) *7 (-635 *7))) (-4 *1 (-1191 *4 *5 *6 *7)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)))) (-2061 (*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121)))) (-4310 (*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121)))) (-3409 (*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121)))) (-1774 (*1 *2 *2 *1 *3 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *4 (-1 (-121) *2 *2)) (-4 *1 (-1191 *5 *6 *7 *2)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *2 (-1062 *5 *6 *7)))) (-3694 (*1 *2 *2 *1 *3 *4) (-12 (-5 *2 (-635 *8)) (-5 *3 (-1 *8 *8 *8)) (-5 *4 (-1 (-121) *8 *8)) (-4 *1 (-1191 *5 *6 *7 *8)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7)))) (-3982 (*1 *2 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) (-2533 (*1 *2 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) (-3005 (*1 *2 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) (-4407 (*1 *2 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) (-4208 (*1 *1 *1) (-12 (-4 *1 (-1191 *2 *3 *4 *5)) (-4 *2 (-559)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-1062 *2 *3 *4)))) (-2045 (*1 *2 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) (-4426 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1191 *4 *5 *6 *7)))) (-3839 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| -3585 *1) (|:| -3230 (-635 *7))))) (-5 *3 (-635 *7)) (-4 *1 (-1191 *4 *5 *6 *7)))) (-4353 (*1 *2 *1) (|partial| -12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) (-4213 (*1 *2 *1) (|partial| -12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) (-2046 (*1 *1 *1) (|partial| -12 (-4 *1 (-1191 *2 *3 *4 *5)) (-4 *2 (-559)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-1062 *2 *3 *4)))) (-3502 (*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-635 *5)))) (-3673 (*1 *2 *3 *1) (-12 (-4 *1 (-1191 *4 *5 *3 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *3 (-843)) (-4 *6 (-1062 *4 *5 *3)) (-5 *2 (-121)))) (-1962 (*1 *2 *1 *3) (|partial| -12 (-4 *1 (-1191 *4 *5 *3 *2)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *3 (-843)) (-4 *2 (-1062 *4 *5 *3)))) (-1913 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) (-3499 (*1 *1 *1 *2) (-12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) (-3435 (*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *5 (-371)) (-5 *2 (-764))))) 
+(-13 (-978 |t#1| |t#2| |t#3| |t#4|) (-10 -8 (-6 -4535) (-6 -4536) (-15 -2673 ((-121) $ $)) (-15 -1702 ((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |t#4|))) "failed") (-635 |t#4|) (-1 (-121) |t#4| |t#4|))) (-15 -1702 ((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |t#4|))) "failed") (-635 |t#4|) (-1 (-121) |t#4|) (-1 (-121) |t#4| |t#4|))) (-15 -2515 ((-635 |t#4|) $)) (-15 -2492 ((-764) $)) (-15 -4038 ((-2 (|:| -3585 (-635 |t#4|)) (|:| -3230 (-635 |t#4|))) $)) (-15 -3977 ((-121) |t#4| $)) (-15 -3977 ((-121) $)) (-15 -3255 ((-121) |t#4| $ (-1 (-121) |t#4| |t#4|))) (-15 -2061 ((-121) |t#4| $)) (-15 -4310 ((-121) |t#4| $)) (-15 -3409 ((-121) |t#4| $)) (-15 -3321 ((-121) $ (-1 (-121) |t#4| (-635 |t#4|)))) (-15 -2061 ((-121) $)) (-15 -4310 ((-121) $)) (-15 -3409 ((-121) $)) (-15 -1774 (|t#4| |t#4| $ (-1 |t#4| |t#4| |t#4|) (-1 (-121) |t#4| |t#4|))) (-15 -3694 ((-635 |t#4|) (-635 |t#4|) $ (-1 |t#4| |t#4| |t#4|) (-1 (-121) |t#4| |t#4|))) (-15 -3982 (|t#4| |t#4| $)) (-15 -2533 (|t#4| |t#4| $)) (-15 -3005 (|t#4| |t#4| $)) (-15 -4407 (|t#4| |t#4| $)) (-15 -4208 ($ $)) (-15 -2045 (|t#4| |t#4| $)) (-15 -4426 ((-635 $) (-635 |t#4|))) (-15 -3839 ((-635 (-2 (|:| -3585 $) (|:| -3230 (-635 |t#4|)))) (-635 |t#4|))) (-15 -4353 ((-3 |t#4| "failed") $)) (-15 -4213 ((-3 |t#4| "failed") $)) (-15 -2046 ((-3 $ "failed") $)) (-15 -3502 ((-635 |t#3|) $)) (-15 -3673 ((-121) |t#3| $)) (-15 -1962 ((-3 |t#4| "failed") $ |t#3|)) (-15 -1913 ((-3 $ "failed") $ |t#4|)) (-15 -3499 ($ $ |t#4|)) (IF (|has| |t#3| (-371)) (-15 -3435 ((-764) $)) |noBranch|))) 
+(((-39) . T) ((-105) . T) ((-609 (-635 |#4|)) . T) ((-609 (-851)) . T) ((-155 |#4|) . T) ((-610 (-542)) |has| |#4| (-610 (-542))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))) ((-500 |#4|) . T) ((-524 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))) ((-978 |#1| |#2| |#3| |#4|) . T) ((-1091) . T) ((-1197) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-1163)) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-1753 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1744 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1760 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2088 (((-954 |#1|) $ (-764)) 16) (((-954 |#1|) $ (-764) (-764)) NIL)) (-2777 (((-121) $) NIL)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-764) $ (-1163)) NIL) (((-764) $ (-1163) (-764)) NIL)) (-1407 (((-121) $) NIL)) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3523 (((-121) $) NIL)) (-1763 (($ $ (-635 (-1163)) (-635 (-535 (-1163)))) NIL) (($ $ (-1163) (-535 (-1163))) NIL) (($ |#1| (-535 (-1163))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-4450 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-2565 (($ $ (-1163)) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163) |#1|) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3360 (((-1109) $) NIL)) (-3304 (($ (-1 $) (-1163) |#1|) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3499 (($ $ (-764)) NIL)) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-2436 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1468 (($ $ (-1163) $) NIL) (($ $ (-635 (-1163)) (-635 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL)) (-3899 (($ $ (-1163)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL)) (-2492 (((-535 (-1163)) $) NIL)) (-1764 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ $) NIL (|has| |#1| (-559))) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-1163)) NIL) (($ (-954 |#1|)) NIL)) (-1653 ((|#1| $ (-535 (-1163))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL) (((-954 |#1|) $ (-764)) NIL)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-1779 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2430 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-1163)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL)) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((-1192 |#1|) (-13 (-731 |#1| (-1163)) (-10 -8 (-15 -1653 ((-954 |#1|) $ (-764))) (-15 -2185 ($ (-1163))) (-15 -2185 ($ (-954 |#1|))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -2565 ($ $ (-1163) |#1|)) (-15 -3304 ($ (-1 $) (-1163) |#1|))) |noBranch|))) (-1048)) (T -1192)) 
+((-1653 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-954 *4)) (-5 *1 (-1192 *4)) (-4 *4 (-1048)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1192 *3)) (-4 *3 (-1048)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-954 *3)) (-4 *3 (-1048)) (-5 *1 (-1192 *3)))) (-2565 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *1 (-1192 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)))) (-3304 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1192 *4))) (-5 *3 (-1163)) (-5 *1 (-1192 *4)) (-4 *4 (-43 (-410 (-569)))) (-4 *4 (-1048))))) 
+(-13 (-731 |#1| (-1163)) (-10 -8 (-15 -1653 ((-954 |#1|) $ (-764))) (-15 -2185 ($ (-1163))) (-15 -2185 ($ (-954 |#1|))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -2565 ($ $ (-1163) |#1|)) (-15 -3304 ($ (-1 $) (-1163) |#1|))) |noBranch|))) 
+((-3340 (($ |#1| (-635 (-635 (-945 (-216)))) (-121)) 15)) (-3201 (((-121) $ (-121)) 14)) (-3003 (((-121) $) 13)) (-2585 (((-635 (-635 (-945 (-216)))) $) 10)) (-4288 ((|#1| $) 8)) (-4376 (((-121) $) 12))) 
+(((-1193 |#1|) (-10 -8 (-15 -4288 (|#1| $)) (-15 -2585 ((-635 (-635 (-945 (-216)))) $)) (-15 -4376 ((-121) $)) (-15 -3003 ((-121) $)) (-15 -3201 ((-121) $ (-121))) (-15 -3340 ($ |#1| (-635 (-635 (-945 (-216)))) (-121)))) (-976)) (T -1193)) 
+((-3340 (*1 *1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *4 (-121)) (-5 *1 (-1193 *2)) (-4 *2 (-976)))) (-3201 (*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1193 *3)) (-4 *3 (-976)))) (-3003 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1193 *3)) (-4 *3 (-976)))) (-4376 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1193 *3)) (-4 *3 (-976)))) (-2585 (*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *1 (-1193 *3)) (-4 *3 (-976)))) (-4288 (*1 *2 *1) (-12 (-5 *1 (-1193 *2)) (-4 *2 (-976))))) 
+(-10 -8 (-15 -4288 (|#1| $)) (-15 -2585 ((-635 (-635 (-945 (-216)))) $)) (-15 -4376 ((-121) $)) (-15 -3003 ((-121) $)) (-15 -3201 ((-121) $ (-121))) (-15 -3340 ($ |#1| (-635 (-635 (-945 (-216)))) (-121)))) 
+((-4382 (((-945 (-216)) (-945 (-216))) 25)) (-2893 (((-945 (-216)) (-216) (-216) (-216) (-216)) 10)) (-3661 (((-635 (-945 (-216))) (-945 (-216)) (-945 (-216)) (-945 (-216)) (-216) (-635 (-635 (-216)))) 35)) (-2049 (((-216) (-945 (-216)) (-945 (-216))) 21)) (-3904 (((-945 (-216)) (-945 (-216)) (-945 (-216))) 22)) (-3876 (((-635 (-635 (-216))) (-569)) 31)) (-1711 (((-945 (-216)) (-945 (-216)) (-945 (-216))) 20)) (-1707 (((-945 (-216)) (-945 (-216)) (-945 (-216))) 19)) (* (((-945 (-216)) (-216) (-945 (-216))) 18))) 
+(((-1194) (-10 -7 (-15 -2893 ((-945 (-216)) (-216) (-216) (-216) (-216))) (-15 * ((-945 (-216)) (-216) (-945 (-216)))) (-15 -1707 ((-945 (-216)) (-945 (-216)) (-945 (-216)))) (-15 -1711 ((-945 (-216)) (-945 (-216)) (-945 (-216)))) (-15 -2049 ((-216) (-945 (-216)) (-945 (-216)))) (-15 -3904 ((-945 (-216)) (-945 (-216)) (-945 (-216)))) (-15 -4382 ((-945 (-216)) (-945 (-216)))) (-15 -3876 ((-635 (-635 (-216))) (-569))) (-15 -3661 ((-635 (-945 (-216))) (-945 (-216)) (-945 (-216)) (-945 (-216)) (-216) (-635 (-635 (-216))))))) (T -1194)) 
+((-3661 (*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-635 (-635 (-216)))) (-5 *4 (-216)) (-5 *2 (-635 (-945 *4))) (-5 *1 (-1194)) (-5 *3 (-945 *4)))) (-3876 (*1 *2 *3) (-12 (-5 *3 (-569)) (-5 *2 (-635 (-635 (-216)))) (-5 *1 (-1194)))) (-4382 (*1 *2 *2) (-12 (-5 *2 (-945 (-216))) (-5 *1 (-1194)))) (-3904 (*1 *2 *2 *2) (-12 (-5 *2 (-945 (-216))) (-5 *1 (-1194)))) (-2049 (*1 *2 *3 *3) (-12 (-5 *3 (-945 (-216))) (-5 *2 (-216)) (-5 *1 (-1194)))) (-1711 (*1 *2 *2 *2) (-12 (-5 *2 (-945 (-216))) (-5 *1 (-1194)))) (-1707 (*1 *2 *2 *2) (-12 (-5 *2 (-945 (-216))) (-5 *1 (-1194)))) (* (*1 *2 *3 *2) (-12 (-5 *2 (-945 (-216))) (-5 *3 (-216)) (-5 *1 (-1194)))) (-2893 (*1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-945 (-216))) (-5 *1 (-1194)) (-5 *3 (-216))))) 
+(-10 -7 (-15 -2893 ((-945 (-216)) (-216) (-216) (-216) (-216))) (-15 * ((-945 (-216)) (-216) (-945 (-216)))) (-15 -1707 ((-945 (-216)) (-945 (-216)) (-945 (-216)))) (-15 -1711 ((-945 (-216)) (-945 (-216)) (-945 (-216)))) (-15 -2049 ((-216) (-945 (-216)) (-945 (-216)))) (-15 -3904 ((-945 (-216)) (-945 (-216)) (-945 (-216)))) (-15 -4382 ((-945 (-216)) (-945 (-216)))) (-15 -3876 ((-635 (-635 (-216))) (-569))) (-15 -3661 ((-635 (-945 (-216))) (-945 (-216)) (-945 (-216)) (-945 (-216)) (-216) (-635 (-635 (-216)))))) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1962 ((|#1| $ (-764)) 13)) (-1906 (((-764) $) 12)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-2185 (((-959 |#1|) $) 10) (($ (-959 |#1|)) 9) (((-851) $) 23 (|has| |#1| (-1091)))) (-1668 (((-121) $ $) 16 (|has| |#1| (-1091))))) 
+(((-1195 |#1|) (-13 (-609 (-959 |#1|)) (-10 -8 (-15 -2185 ($ (-959 |#1|))) (-15 -1962 (|#1| $ (-764))) (-15 -1906 ((-764) $)) (IF (|has| |#1| (-1091)) (-6 (-1091)) |noBranch|))) (-1197)) (T -1195)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-959 *3)) (-4 *3 (-1197)) (-5 *1 (-1195 *3)))) (-1962 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *1 (-1195 *2)) (-4 *2 (-1197)))) (-1906 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1195 *3)) (-4 *3 (-1197))))) 
+(-13 (-609 (-959 |#1|)) (-10 -8 (-15 -2185 ($ (-959 |#1|))) (-15 -1962 (|#1| $ (-764))) (-15 -1906 ((-764) $)) (IF (|has| |#1| (-1091)) (-6 (-1091)) |noBranch|))) 
+((-4402 (((-421 (-1159 (-1159 |#1|))) (-1159 (-1159 |#1|)) (-569)) 79)) (-3458 (((-421 (-1159 (-1159 |#1|))) (-1159 (-1159 |#1|))) 73)) (-2821 (((-421 (-1159 (-1159 |#1|))) (-1159 (-1159 |#1|))) 58))) 
+(((-1196 |#1|) (-10 -7 (-15 -3458 ((-421 (-1159 (-1159 |#1|))) (-1159 (-1159 |#1|)))) (-15 -2821 ((-421 (-1159 (-1159 |#1|))) (-1159 (-1159 |#1|)))) (-15 -4402 ((-421 (-1159 (-1159 |#1|))) (-1159 (-1159 |#1|)) (-569)))) (-351)) (T -1196)) 
+((-4402 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-351)) (-5 *2 (-421 (-1159 (-1159 *5)))) (-5 *1 (-1196 *5)) (-5 *3 (-1159 (-1159 *5))))) (-2821 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 (-1159 (-1159 *4)))) (-5 *1 (-1196 *4)) (-5 *3 (-1159 (-1159 *4))))) (-3458 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 (-1159 (-1159 *4)))) (-5 *1 (-1196 *4)) (-5 *3 (-1159 (-1159 *4)))))) 
+(-10 -7 (-15 -3458 ((-421 (-1159 (-1159 |#1|))) (-1159 (-1159 |#1|)))) (-15 -2821 ((-421 (-1159 (-1159 |#1|))) (-1159 (-1159 |#1|)))) (-15 -4402 ((-421 (-1159 (-1159 |#1|))) (-1159 (-1159 |#1|)) (-569)))) 
+NIL 
+(((-1197) (-1278)) (T -1197)) 
+NIL 
+(-13 (-10 -7 (-6 -2982))) 
+((-2568 (((-121) $ $) NIL (|has| (-569) (-1091)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) (-569) (-569)) $) NIL) (((-121) $) NIL (|has| (-569) (-843)))) (-3076 (($ (-1 (-121) (-569) (-569)) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| (-569) (-843))))) (-3113 (($ (-1 (-121) (-569) (-569)) $) NIL) (($ $) NIL (|has| (-569) (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 (((-569) $ (-569) (-569)) 15 (|has| $ (-6 -4536))) (((-569) $ (-1213 (-569)) (-569)) NIL (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-569) (-1091))))) (-4347 (($ (-569) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-569) (-1091)))) (($ (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-569) (-1 (-569) (-569) (-569)) $ (-569) (-569)) NIL (-12 (|has| $ (-6 -4535)) (|has| (-569) (-1091)))) (((-569) (-1 (-569) (-569) (-569)) $ (-569)) NIL (|has| $ (-6 -4535))) (((-569) (-1 (-569) (-569) (-569)) $) NIL (|has| $ (-6 -4535)))) (-2726 (((-569) $ (-569) (-569)) 14 (|has| $ (-6 -4536)))) (-1618 (((-569) $ (-569)) 12)) (-3727 (((-569) (-1 (-121) (-569)) $) NIL) (((-569) (-569) $) NIL (|has| (-569) (-1091))) (((-569) (-569) $ (-569)) NIL (|has| (-569) (-1091)))) (-3470 (((-635 (-569)) $) NIL (|has| $ (-6 -4535)))) (-2659 (($ (-764) (-569)) 11)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) 9 (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| (-569) (-843)))) (-3288 (($ (-1 (-121) (-569) (-569)) $ $) NIL) (($ $ $) NIL (|has| (-569) (-843)))) (-4259 (((-635 (-569)) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-569) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-569) (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| (-569) (-843)))) (-1853 (($ (-1 (-569) (-569)) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-569) (-569)) $) NIL) (($ (-1 (-569) (-569) (-569)) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| (-569) (-1091)))) (-3614 (($ (-569) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| (-569) (-1091)))) (-4353 (((-569) $) NIL (|has| (-569) (-843)))) (-2502 (((-3 (-569) "failed") (-1 (-121) (-569)) $) NIL)) (-3174 (($ $ (-569)) 16 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-569)))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1091)))) (($ $ (-289 (-569))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1091)))) (($ $ (-569) (-569)) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1091)))) (($ $ (-635 (-569)) (-635 (-569))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) (-569) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-569) (-1091))))) (-2691 (((-635 (-569)) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 10)) (-1534 (((-569) $ (-569) (-569)) NIL) (((-569) $ (-569)) 13) (($ $ (-1213 (-569))) NIL)) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-2846 (((-764) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4535))) (((-764) (-569) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-569) (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-569) (-610 (-542))))) (-2139 (($ (-635 (-569))) NIL)) (-2250 (($ $ (-569)) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-2185 (((-851) $) NIL (|has| (-569) (-1091)))) (-2066 (((-121) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1684 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1668 (((-121) $ $) NIL (|has| (-569) (-1091)))) (-1688 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1678 (((-121) $ $) NIL (|has| (-569) (-843)))) (-4168 (((-764) $) 7 (|has| $ (-6 -4535))))) 
+(((-1198) (-19 (-569))) (T -1198)) 
+NIL 
+(-19 (-569)) 
+((-4067 (((-121)) 14)) (-3737 (((-1252) (-635 |#1|) (-635 |#1|)) 18) (((-1252) (-635 |#1|)) 19)) (-1974 (((-121) |#1| |#1|) 30 (|has| |#1| (-843)))) (-2006 (((-121) |#1| |#1| (-1 (-121) |#1| |#1|)) 26) (((-3 (-121) "failed") |#1| |#1|) 24)) (-3424 ((|#1| (-635 |#1|)) 31 (|has| |#1| (-843))) ((|#1| (-635 |#1|) (-1 (-121) |#1| |#1|)) 27)) (-2305 (((-2 (|:| -4073 (-635 |#1|)) (|:| -1990 (-635 |#1|)))) 16))) 
+(((-1199 |#1|) (-10 -7 (-15 -3737 ((-1252) (-635 |#1|))) (-15 -3737 ((-1252) (-635 |#1|) (-635 |#1|))) (-15 -2305 ((-2 (|:| -4073 (-635 |#1|)) (|:| -1990 (-635 |#1|))))) (-15 -2006 ((-3 (-121) "failed") |#1| |#1|)) (-15 -2006 ((-121) |#1| |#1| (-1 (-121) |#1| |#1|))) (-15 -3424 (|#1| (-635 |#1|) (-1 (-121) |#1| |#1|))) (-15 -4067 ((-121))) (IF (|has| |#1| (-843)) (PROGN (-15 -3424 (|#1| (-635 |#1|))) (-15 -1974 ((-121) |#1| |#1|))) |noBranch|)) (-1091)) (T -1199)) 
+((-1974 (*1 *2 *3 *3) (-12 (-5 *2 (-121)) (-5 *1 (-1199 *3)) (-4 *3 (-843)) (-4 *3 (-1091)))) (-3424 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1091)) (-4 *2 (-843)) (-5 *1 (-1199 *2)))) (-4067 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1199 *3)) (-4 *3 (-1091)))) (-3424 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *2)) (-5 *4 (-1 (-121) *2 *2)) (-5 *1 (-1199 *2)) (-4 *2 (-1091)))) (-2006 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-1 (-121) *3 *3)) (-4 *3 (-1091)) (-5 *2 (-121)) (-5 *1 (-1199 *3)))) (-2006 (*1 *2 *3 *3) (|partial| -12 (-5 *2 (-121)) (-5 *1 (-1199 *3)) (-4 *3 (-1091)))) (-2305 (*1 *2) (-12 (-5 *2 (-2 (|:| -4073 (-635 *3)) (|:| -1990 (-635 *3)))) (-5 *1 (-1199 *3)) (-4 *3 (-1091)))) (-3737 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1091)) (-5 *2 (-1252)) (-5 *1 (-1199 *4)))) (-3737 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1091)) (-5 *2 (-1252)) (-5 *1 (-1199 *4))))) 
+(-10 -7 (-15 -3737 ((-1252) (-635 |#1|))) (-15 -3737 ((-1252) (-635 |#1|) (-635 |#1|))) (-15 -2305 ((-2 (|:| -4073 (-635 |#1|)) (|:| -1990 (-635 |#1|))))) (-15 -2006 ((-3 (-121) "failed") |#1| |#1|)) (-15 -2006 ((-121) |#1| |#1| (-1 (-121) |#1| |#1|))) (-15 -3424 (|#1| (-635 |#1|) (-1 (-121) |#1| |#1|))) (-15 -4067 ((-121))) (IF (|has| |#1| (-843)) (PROGN (-15 -3424 (|#1| (-635 |#1|))) (-15 -1974 ((-121) |#1| |#1|))) |noBranch|)) 
+((-4278 (((-1252) (-635 (-1163)) (-635 (-1163))) 12) (((-1252) (-635 (-1163))) 10)) (-3257 (((-1252)) 13)) (-4207 (((-2 (|:| -1990 (-635 (-1163))) (|:| -4073 (-635 (-1163))))) 17))) 
+(((-1200) (-10 -7 (-15 -4278 ((-1252) (-635 (-1163)))) (-15 -4278 ((-1252) (-635 (-1163)) (-635 (-1163)))) (-15 -4207 ((-2 (|:| -1990 (-635 (-1163))) (|:| -4073 (-635 (-1163)))))) (-15 -3257 ((-1252))))) (T -1200)) 
+((-3257 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1200)))) (-4207 (*1 *2) (-12 (-5 *2 (-2 (|:| -1990 (-635 (-1163))) (|:| -4073 (-635 (-1163))))) (-5 *1 (-1200)))) (-4278 (*1 *2 *3 *3) (-12 (-5 *3 (-635 (-1163))) (-5 *2 (-1252)) (-5 *1 (-1200)))) (-4278 (*1 *2 *3) (-12 (-5 *3 (-635 (-1163))) (-5 *2 (-1252)) (-5 *1 (-1200))))) 
+(-10 -7 (-15 -4278 ((-1252) (-635 (-1163)))) (-15 -4278 ((-1252) (-635 (-1163)) (-635 (-1163)))) (-15 -4207 ((-2 (|:| -1990 (-635 (-1163))) (|:| -4073 (-635 (-1163)))))) (-15 -3257 ((-1252)))) 
+((-2004 (($ $) 16)) (-3726 (((-121) $) 23))) 
+(((-1201 |#1|) (-10 -8 (-15 -2004 (|#1| |#1|)) (-15 -3726 ((-121) |#1|))) (-1202)) (T -1201)) 
+NIL 
+(-10 -8 (-15 -2004 (|#1| |#1|)) (-15 -3726 ((-121) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 49)) (-2446 (((-421 $) $) 50)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-3726 (((-121) $) 51)) (-1407 (((-121) $) 30)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-1743 (((-421 $) $) 48)) (-2941 (((-3 $ "failed") $ $) 41)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-1202) (-1278)) (T -1202)) 
+((-3726 (*1 *2 *1) (-12 (-4 *1 (-1202)) (-5 *2 (-121)))) (-2446 (*1 *2 *1) (-12 (-5 *2 (-421 *1)) (-4 *1 (-1202)))) (-2004 (*1 *1 *1) (-4 *1 (-1202))) (-1743 (*1 *2 *1) (-12 (-5 *2 (-421 *1)) (-4 *1 (-1202))))) 
+(-13 (-454) (-10 -8 (-15 -3726 ((-121) $)) (-15 -2446 ((-421 $) $)) (-15 -2004 ($ $)) (-15 -1743 ((-421 $) $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-173) . T) ((-286) . T) ((-454) . T) ((-559) . T) ((-638 $) . T) ((-708 $) . T) ((-717) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-4312 (((-1204 |#1|) (-1204 |#1|) (-1204 |#1|)) 15))) 
+(((-1203 |#1|) (-10 -7 (-15 -4312 ((-1204 |#1|) (-1204 |#1|) (-1204 |#1|)))) (-1048)) (T -1203)) 
+((-4312 (*1 *2 *2 *2) (-12 (-5 *2 (-1204 *3)) (-4 *3 (-1048)) (-5 *1 (-1203 *3))))) 
+(-10 -7 (-15 -4312 ((-1204 |#1|) (-1204 |#1|) (-1204 |#1|)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) NIL)) (-3683 (((-1219 (QUOTE |x|) |#1|) $ (-764)) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-3136 (($ $ (-764)) NIL) (($ $ (-764) (-764)) NIL)) (-1403 (((-1143 (-2 (|:| |k| (-764)) (|:| |c| |#1|))) $) NIL)) (-1753 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1744 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3343 (($ (-1143 (-2 (|:| |k| (-764)) (|:| |c| |#1|)))) NIL) (($ (-1143 |#1|)) NIL)) (-1760 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-1889 (($ $) NIL)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2394 (($ $) NIL)) (-2088 (((-954 |#1|) $ (-764)) NIL) (((-954 |#1|) $ (-764) (-764)) NIL)) (-2777 (((-121) $) NIL)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-764) $) NIL) (((-764) $ (-764)) NIL)) (-1407 (((-121) $) NIL)) (-2787 (($ $) NIL)) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4173 (($ (-569) (-569) $) NIL)) (-3089 (($ $ (-918)) NIL)) (-3622 (($ (-1 |#1| (-569)) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-764)) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-4450 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3380 (($ $) NIL)) (-1722 (($ $) NIL)) (-1357 (($ (-569) (-569) $) NIL)) (-2565 (($ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) NIL (-2232 (-12 (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-960)) (|has| |#1| (-1183))))) (($ $ (-1243 (QUOTE |x|))) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3360 (((-1109) $) NIL)) (-3235 (($ $ (-569) (-569)) NIL)) (-3499 (($ $ (-764)) NIL)) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-2436 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2924 (($ $) NIL)) (-1468 (((-1143 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-764)))))) (-1534 ((|#1| $ (-764)) NIL) (($ $ $) NIL (|has| (-764) (-1103)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $ (-1243 (QUOTE |x|))) NIL)) (-2492 (((-764) $) NIL)) (-1764 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1219 (QUOTE |x|) |#1|)) NIL) (($ (-1243 (QUOTE |x|))) NIL)) (-3382 (((-1143 |#1|) $) NIL)) (-1653 ((|#1| $ (-764)) NIL)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-4030 ((|#1| $) NIL)) (-1779 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-764)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-764)))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1204 |#1|) (-13 (-1237 |#1|) (-10 -8 (-15 -2185 ($ (-1219 (QUOTE |x|) |#1|))) (-15 -3683 ((-1219 (QUOTE |x|) |#1|) $ (-764))) (-15 -2185 ($ (-1243 (QUOTE |x|)))) (-15 -3899 ($ $ (-1243 (QUOTE |x|)))) (-15 -1722 ($ $)) (-15 -3380 ($ $)) (-15 -2787 ($ $)) (-15 -2924 ($ $)) (-15 -3235 ($ $ (-569) (-569))) (-15 -1889 ($ $)) (-15 -4173 ($ (-569) (-569) $)) (-15 -1357 ($ (-569) (-569) $)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 (QUOTE |x|)))) |noBranch|))) (-1048)) (T -1204)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1219 (QUOTE |x|) *3)) (-4 *3 (-1048)) (-5 *1 (-1204 *3)))) (-3683 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1219 (QUOTE |x|) *4)) (-5 *1 (-1204 *4)) (-4 *4 (-1048)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1243 (QUOTE |x|))) (-5 *1 (-1204 *3)) (-4 *3 (-1048)))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 (QUOTE |x|))) (-5 *1 (-1204 *3)) (-4 *3 (-1048)))) (-1722 (*1 *1 *1) (-12 (-5 *1 (-1204 *2)) (-4 *2 (-1048)))) (-3380 (*1 *1 *1) (-12 (-5 *1 (-1204 *2)) (-4 *2 (-1048)))) (-2787 (*1 *1 *1) (-12 (-5 *1 (-1204 *2)) (-4 *2 (-1048)))) (-2924 (*1 *1 *1) (-12 (-5 *1 (-1204 *2)) (-4 *2 (-1048)))) (-3235 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1204 *3)) (-4 *3 (-1048)))) (-1889 (*1 *1 *1) (-12 (-5 *1 (-1204 *2)) (-4 *2 (-1048)))) (-4173 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1204 *3)) (-4 *3 (-1048)))) (-1357 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1204 *3)) (-4 *3 (-1048)))) (-2565 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 (QUOTE |x|))) (-5 *1 (-1204 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048))))) 
+(-13 (-1237 |#1|) (-10 -8 (-15 -2185 ($ (-1219 (QUOTE |x|) |#1|))) (-15 -3683 ((-1219 (QUOTE |x|) |#1|) $ (-764))) (-15 -2185 ($ (-1243 (QUOTE |x|)))) (-15 -3899 ($ $ (-1243 (QUOTE |x|)))) (-15 -1722 ($ $)) (-15 -3380 ($ $)) (-15 -2787 ($ $)) (-15 -2924 ($ $)) (-15 -3235 ($ $ (-569) (-569))) (-15 -1889 ($ $)) (-15 -4173 ($ (-569) (-569) $)) (-15 -1357 ($ (-569) (-569) $)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 (QUOTE |x|)))) |noBranch|))) 
+((-1544 (((-1210 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1210 |#1| |#3| |#5|)) 23))) 
+(((-1205 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -1544 ((-1210 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1210 |#1| |#3| |#5|)))) (-1048) (-1048) (-1163) (-1163) |#1| |#2|) (T -1205)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1210 *5 *7 *9)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-14 *7 (-1163)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1210 *6 *8 *10)) (-5 *1 (-1205 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1163))))) 
+(-10 -7 (-15 -1544 ((-1210 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1210 |#1| |#3| |#5|)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1773 (((-635 (-1076)) $) 70)) (-3534 (((-1163) $) 98)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-3383 (($ $) 51 (|has| |#1| (-559)))) (-4354 (((-121) $) 53 (|has| |#1| (-559)))) (-3136 (($ $ (-569)) 93) (($ $ (-569) (-569)) 92)) (-1403 (((-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 100)) (-1753 (($ $) 127 (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) 110 (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 154 (|has| |#1| (-366)))) (-2446 (((-421 $) $) 155 (|has| |#1| (-366)))) (-2454 (($ $) 109 (|has| |#1| (-43 (-410 (-569)))))) (-3934 (((-121) $ $) 145 (|has| |#1| (-366)))) (-1744 (($ $) 126 (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-3343 (($ (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 166)) (-1760 (($ $) 125 (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) 112 (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) 16 T CONST)) (-2506 (($ $ $) 149 (|has| |#1| (-366)))) (-4020 (($ $) 59)) (-3428 (((-3 $ "failed") $) 33)) (-3068 (((-410 (-954 |#1|)) $ (-569)) 164 (|has| |#1| (-559))) (((-410 (-954 |#1|)) $ (-569) (-569)) 163 (|has| |#1| (-559)))) (-2524 (($ $ $) 148 (|has| |#1| (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 143 (|has| |#1| (-366)))) (-3726 (((-121) $) 156 (|has| |#1| (-366)))) (-2777 (((-121) $) 69)) (-2445 (($) 137 (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-569) $) 95) (((-569) $ (-569)) 94)) (-1407 (((-121) $) 30)) (-4344 (($ $ (-569)) 108 (|has| |#1| (-43 (-410 (-569)))))) (-3089 (($ $ (-918)) 96)) (-3622 (($ (-1 |#1| (-569)) $) 165)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 152 (|has| |#1| (-366)))) (-3523 (((-121) $) 61)) (-1763 (($ |#1| (-569)) 60) (($ $ (-1076) (-569)) 72) (($ $ (-635 (-1076)) (-635 (-569))) 71)) (-1544 (($ (-1 |#1| |#1|) $) 62)) (-4450 (($ $) 134 (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) 64)) (-4012 ((|#1| $) 65)) (-2665 (($ (-635 $)) 141 (|has| |#1| (-366))) (($ $ $) 140 (|has| |#1| (-366)))) (-2776 (((-1145) $) 9)) (-1795 (($ $) 157 (|has| |#1| (-366)))) (-2565 (($ $) 162 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) 161 (-2232 (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-960)) (|has| |#1| (-1183)) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-43 (-410 (-569)))))))) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 142 (|has| |#1| (-366)))) (-2714 (($ (-635 $)) 139 (|has| |#1| (-366))) (($ $ $) 138 (|has| |#1| (-366)))) (-1743 (((-421 $) $) 153 (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 151 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 150 (|has| |#1| (-366)))) (-3499 (($ $ (-569)) 90)) (-2941 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 144 (|has| |#1| (-366)))) (-2436 (($ $) 135 (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-569)))))) (-2622 (((-764) $) 146 (|has| |#1| (-366)))) (-1534 ((|#1| $ (-569)) 99) (($ $ $) 76 (|has| (-569) (-1103)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 147 (|has| |#1| (-366)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) 84 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-1163) (-764)) 83 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163))) 82 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-1163)) 81 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-764)) 79 (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (-2492 (((-569) $) 63)) (-1764 (($ $) 124 (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) 113 (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) 123 (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) 114 (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) 122 (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) 115 (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) 68)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 46 (|has| |#1| (-173))) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559)))) (-1653 ((|#1| $ (-569)) 58)) (-3953 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-1991 (((-764)) 28)) (-4030 ((|#1| $) 97)) (-1779 (($ $) 133 (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) 121 (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) 52 (|has| |#1| (-559)))) (-1770 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) 120 (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) 131 (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) 119 (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-569)) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) 118 (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) 129 (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) 117 (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) 128 (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) 116 (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 158 (|has| |#1| (-366)))) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) 88 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-1163) (-764)) 87 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163))) 86 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-1163)) 85 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-764)) 80 (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#1|) 57 (|has| |#1| (-366))) (($ $ $) 160 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 159 (|has| |#1| (-366))) (($ $ $) 136 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 107 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1206 |#1|) (-1278) (-1048)) (T -1206)) 
+((-3343 (*1 *1 *2) (-12 (-5 *2 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-4 *3 (-1048)) (-4 *1 (-1206 *3)))) (-3622 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-569))) (-4 *1 (-1206 *3)) (-4 *3 (-1048)))) (-3068 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1206 *4)) (-4 *4 (-1048)) (-4 *4 (-559)) (-5 *2 (-410 (-954 *4))))) (-3068 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1206 *4)) (-4 *4 (-1048)) (-4 *4 (-559)) (-5 *2 (-410 (-954 *4))))) (-2565 (*1 *1 *1) (-12 (-4 *1 (-1206 *2)) (-4 *2 (-1048)) (-4 *2 (-43 (-410 (-569)))))) (-2565 (*1 *1 *1 *2) (-2232 (-12 (-5 *2 (-1163)) (-4 *1 (-1206 *3)) (-4 *3 (-1048)) (-12 (-4 *3 (-29 (-569))) (-4 *3 (-960)) (-4 *3 (-1183)) (-4 *3 (-43 (-410 (-569)))))) (-12 (-5 *2 (-1163)) (-4 *1 (-1206 *3)) (-4 *3 (-1048)) (-12 (|has| *3 (-15 -1773 ((-635 *2) *3))) (|has| *3 (-15 -2565 (*3 *3 *2))) (-4 *3 (-43 (-410 (-569))))))))) 
+(-13 (-1224 |t#1| (-569)) (-10 -8 (-15 -3343 ($ (-1143 (-2 (|:| |k| (-569)) (|:| |c| |t#1|))))) (-15 -3622 ($ (-1 |t#1| (-569)) $)) (IF (|has| |t#1| (-559)) (PROGN (-15 -3068 ((-410 (-954 |t#1|)) $ (-569))) (-15 -3068 ((-410 (-954 |t#1|)) $ (-569) (-569)))) |noBranch|) (IF (|has| |t#1| (-43 (-410 (-569)))) (PROGN (-15 -2565 ($ $)) (IF (|has| |t#1| (-15 -2565 (|t#1| |t#1| (-1163)))) (IF (|has| |t#1| (-15 -1773 ((-635 (-1163)) |t#1|))) (-15 -2565 ($ $ (-1163))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-1183)) (IF (|has| |t#1| (-960)) (IF (|has| |t#1| (-29 (-569))) (-15 -2565 ($ $ (-1163))) |noBranch|) |noBranch|) |noBranch|) (-6 (-1003)) (-6 (-1183))) |noBranch|) (IF (|has| |t#1| (-366)) (-6 (-366)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| (-569)) . T) ((-25) . T) ((-43 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-40) |has| |#1| (-43 (-410 (-569)))) ((-98) |has| |#1| (-43 (-410 (-569)))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) -2232 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-226) |has| |#1| (-15 * (|#1| (-569) |#1|))) ((-239) |has| |#1| (-366)) ((-280) |has| |#1| (-43 (-410 (-569)))) ((-282 $ $) |has| (-569) (-1103)) ((-286) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-302) |has| |#1| (-366)) ((-366) |has| |#1| (-366)) ((-454) |has| |#1| (-366)) ((-503) |has| |#1| (-43 (-410 (-569)))) ((-559) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-638 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-638 |#1|) . T) ((-638 $) . T) ((-708 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-717) . T) ((-896 (-1163)) -12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))) ((-975 |#1| (-569) (-1076)) . T) ((-917) |has| |#1| (-366)) ((-1003) |has| |#1| (-43 (-410 (-569)))) ((-1054 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1183) |has| |#1| (-43 (-410 (-569)))) ((-1186) |has| |#1| (-43 (-410 (-569)))) ((-1202) |has| |#1| (-366)) ((-1224 |#1| (-569)) . T)) 
+((-3813 (((-121) $) 12)) (-1647 (((-3 |#3| "failed") $) 17) (((-3 (-1163) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-569) "failed") $) NIL)) (-2428 ((|#3| $) 14) (((-1163) $) NIL) (((-410 (-569)) $) NIL) (((-569) $) NIL))) 
+(((-1207 |#1| |#2| |#3|) (-10 -8 (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2428 ((-1163) |#1|)) (-15 -1647 ((-3 (-1163) "failed") |#1|)) (-15 -2428 (|#3| |#1|)) (-15 -1647 ((-3 |#3| "failed") |#1|)) (-15 -3813 ((-121) |#1|))) (-1208 |#2| |#3|) (-1048) (-1237 |#2|)) (T -1207)) 
+NIL 
+(-10 -8 (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2428 ((-1163) |#1|)) (-15 -1647 ((-3 (-1163) "failed") |#1|)) (-15 -2428 (|#3| |#1|)) (-15 -1647 ((-3 |#3| "failed") |#1|)) (-15 -3813 ((-121) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-3761 ((|#2| $) 219 (-2206 (|has| |#2| (-302)) (|has| |#1| (-366))))) (-1773 (((-635 (-1076)) $) 70)) (-3534 (((-1163) $) 98)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-3383 (($ $) 51 (|has| |#1| (-559)))) (-4354 (((-121) $) 53 (|has| |#1| (-559)))) (-3136 (($ $ (-569)) 93) (($ $ (-569) (-569)) 92)) (-1403 (((-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 100)) (-2051 ((|#2| $) 255)) (-3690 (((-3 |#2| "failed") $) 251)) (-1784 ((|#2| $) 252)) (-1753 (($ $) 127 (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) 110 (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) 18)) (-2379 (((-421 (-1159 $)) (-1159 $)) 228 (-2206 (|has| |#2| (-905)) (|has| |#1| (-366))))) (-2004 (($ $) 154 (|has| |#1| (-366)))) (-2446 (((-421 $) $) 155 (|has| |#1| (-366)))) (-2454 (($ $) 109 (|has| |#1| (-43 (-410 (-569)))))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) 225 (-2206 (|has| |#2| (-905)) (|has| |#1| (-366))))) (-3934 (((-121) $ $) 145 (|has| |#1| (-366)))) (-1744 (($ $) 126 (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-3638 (((-569) $) 237 (-2206 (|has| |#2| (-816)) (|has| |#1| (-366))))) (-3343 (($ (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 166)) (-1760 (($ $) 125 (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) 112 (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) 16 T CONST)) (-1647 (((-3 |#2| "failed") $) 258) (((-3 (-569) "failed") $) 247 (-2206 (|has| |#2| (-1038 (-569))) (|has| |#1| (-366)))) (((-3 (-410 (-569)) "failed") $) 245 (-2206 (|has| |#2| (-1038 (-569))) (|has| |#1| (-366)))) (((-3 (-1163) "failed") $) 230 (-2206 (|has| |#2| (-1038 (-1163))) (|has| |#1| (-366))))) (-2428 ((|#2| $) 257) (((-569) $) 248 (-2206 (|has| |#2| (-1038 (-569))) (|has| |#1| (-366)))) (((-410 (-569)) $) 246 (-2206 (|has| |#2| (-1038 (-569))) (|has| |#1| (-366)))) (((-1163) $) 231 (-2206 (|has| |#2| (-1038 (-1163))) (|has| |#1| (-366))))) (-1783 (($ $) 254) (($ (-569) $) 253)) (-2506 (($ $ $) 149 (|has| |#1| (-366)))) (-4020 (($ $) 59)) (-1696 (((-680 |#2|) (-680 $)) 209 (|has| |#1| (-366))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) 208 (|has| |#1| (-366))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 207 (-2206 (|has| |#2| (-631 (-569))) (|has| |#1| (-366)))) (((-680 (-569)) (-680 $)) 206 (-2206 (|has| |#2| (-631 (-569))) (|has| |#1| (-366))))) (-3428 (((-3 $ "failed") $) 33)) (-3068 (((-410 (-954 |#1|)) $ (-569)) 164 (|has| |#1| (-559))) (((-410 (-954 |#1|)) $ (-569) (-569)) 163 (|has| |#1| (-559)))) (-4327 (($) 221 (-2206 (|has| |#2| (-551)) (|has| |#1| (-366))))) (-2524 (($ $ $) 148 (|has| |#1| (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 143 (|has| |#1| (-366)))) (-3726 (((-121) $) 156 (|has| |#1| (-366)))) (-2403 (((-121) $) 235 (-2206 (|has| |#2| (-816)) (|has| |#1| (-366))))) (-2777 (((-121) $) 69)) (-2445 (($) 137 (|has| |#1| (-43 (-410 (-569)))))) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 213 (-2206 (|has| |#2| (-882 (-382))) (|has| |#1| (-366)))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 212 (-2206 (|has| |#2| (-882 (-569))) (|has| |#1| (-366))))) (-2558 (((-569) $) 95) (((-569) $ (-569)) 94)) (-1407 (((-121) $) 30)) (-4052 (($ $) 217 (|has| |#1| (-366)))) (-4116 ((|#2| $) 215 (|has| |#1| (-366)))) (-4344 (($ $ (-569)) 108 (|has| |#1| (-43 (-410 (-569)))))) (-3846 (((-3 $ "failed") $) 249 (-2206 (|has| |#2| (-1137)) (|has| |#1| (-366))))) (-1781 (((-121) $) 236 (-2206 (|has| |#2| (-816)) (|has| |#1| (-366))))) (-3089 (($ $ (-918)) 96)) (-3622 (($ (-1 |#1| (-569)) $) 165)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 152 (|has| |#1| (-366)))) (-3523 (((-121) $) 61)) (-1763 (($ |#1| (-569)) 60) (($ $ (-1076) (-569)) 72) (($ $ (-635 (-1076)) (-635 (-569))) 71)) (-3291 (($ $ $) 239 (-2206 (|has| |#2| (-843)) (|has| |#1| (-366))))) (-1538 (($ $ $) 240 (-2206 (|has| |#2| (-843)) (|has| |#1| (-366))))) (-1544 (($ (-1 |#1| |#1|) $) 62) (($ (-1 |#2| |#2|) $) 201 (|has| |#1| (-366)))) (-4450 (($ $) 134 (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) 64)) (-4012 ((|#1| $) 65)) (-2665 (($ (-635 $)) 141 (|has| |#1| (-366))) (($ $ $) 140 (|has| |#1| (-366)))) (-1788 (($ (-569) |#2|) 256)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 157 (|has| |#1| (-366)))) (-2565 (($ $) 162 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) 161 (-2232 (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-960)) (|has| |#1| (-1183)) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-43 (-410 (-569)))))))) (-4043 (($) 250 (-2206 (|has| |#2| (-1137)) (|has| |#1| (-366))) CONST)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 142 (|has| |#1| (-366)))) (-2714 (($ (-635 $)) 139 (|has| |#1| (-366))) (($ $ $) 138 (|has| |#1| (-366)))) (-1346 (($ $) 220 (-2206 (|has| |#2| (-302)) (|has| |#1| (-366))))) (-2942 ((|#2| $) 223 (-2206 (|has| |#2| (-551)) (|has| |#1| (-366))))) (-1721 (((-421 (-1159 $)) (-1159 $)) 226 (-2206 (|has| |#2| (-905)) (|has| |#1| (-366))))) (-1568 (((-421 (-1159 $)) (-1159 $)) 227 (-2206 (|has| |#2| (-905)) (|has| |#1| (-366))))) (-1743 (((-421 $) $) 153 (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 151 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 150 (|has| |#1| (-366)))) (-3499 (($ $ (-569)) 90)) (-2941 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 144 (|has| |#1| (-366)))) (-2436 (($ $) 135 (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-569))))) (($ $ (-1163) |#2|) 200 (-2206 (|has| |#2| (-524 (-1163) |#2|)) (|has| |#1| (-366)))) (($ $ (-635 (-1163)) (-635 |#2|)) 199 (-2206 (|has| |#2| (-524 (-1163) |#2|)) (|has| |#1| (-366)))) (($ $ (-635 (-289 |#2|))) 198 (-2206 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366)))) (($ $ (-289 |#2|)) 197 (-2206 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366)))) (($ $ |#2| |#2|) 196 (-2206 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366)))) (($ $ (-635 |#2|) (-635 |#2|)) 195 (-2206 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366))))) (-2622 (((-764) $) 146 (|has| |#1| (-366)))) (-1534 ((|#1| $ (-569)) 99) (($ $ $) 76 (|has| (-569) (-1103))) (($ $ |#2|) 194 (-2206 (|has| |#2| (-282 |#2| |#2|)) (|has| |#1| (-366))))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 147 (|has| |#1| (-366)))) (-3899 (($ $ (-1 |#2| |#2|)) 205 (|has| |#1| (-366))) (($ $ (-1 |#2| |#2|) (-764)) 204 (|has| |#1| (-366))) (($ $ (-764)) 79 (-2232 (-2206 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) 77 (-2232 (-2206 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163)) (-635 (-764))) 84 (-2232 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (($ $ (-1163) (-764)) 83 (-2232 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (($ $ (-635 (-1163))) 82 (-2232 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (($ $ (-1163)) 81 (-2232 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))))) (-4214 (($ $) 218 (|has| |#1| (-366)))) (-4121 ((|#2| $) 216 (|has| |#1| (-366)))) (-2492 (((-569) $) 63)) (-1764 (($ $) 124 (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) 113 (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) 123 (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) 114 (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) 122 (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) 115 (|has| |#1| (-43 (-410 (-569)))))) (-3817 (((-216) $) 234 (-2206 (|has| |#2| (-1022)) (|has| |#1| (-366)))) (((-382) $) 233 (-2206 (|has| |#2| (-1022)) (|has| |#1| (-366)))) (((-542) $) 232 (-2206 (|has| |#2| (-610 (-542))) (|has| |#1| (-366)))) (((-888 (-382)) $) 211 (-2206 (|has| |#2| (-610 (-888 (-382)))) (|has| |#1| (-366)))) (((-888 (-569)) $) 210 (-2206 (|has| |#2| (-610 (-888 (-569)))) (|has| |#1| (-366))))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 224 (-2206 (-2206 (|has| $ (-149)) (|has| |#2| (-905))) (|has| |#1| (-366))))) (-3659 (($ $) 68)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 46 (|has| |#1| (-173))) (($ |#2|) 259) (($ (-1163)) 229 (-2206 (|has| |#2| (-1038 (-1163))) (|has| |#1| (-366)))) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559)))) (-1653 ((|#1| $ (-569)) 58)) (-3953 (((-3 $ "failed") $) 47 (-2232 (-2206 (-2232 (|has| |#2| (-149)) (-2206 (|has| $ (-149)) (|has| |#2| (-905)))) (|has| |#1| (-366))) (|has| |#1| (-149))))) (-1991 (((-764)) 28)) (-4030 ((|#1| $) 97)) (-2612 ((|#2| $) 222 (-2206 (|has| |#2| (-551)) (|has| |#1| (-366))))) (-1779 (($ $) 133 (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) 121 (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) 52 (|has| |#1| (-559)))) (-1770 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) 120 (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) 131 (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) 119 (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-569)) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) 118 (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) 129 (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) 117 (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) 128 (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) 116 (|has| |#1| (-43 (-410 (-569)))))) (-1616 (($ $) 238 (-2206 (|has| |#2| (-816)) (|has| |#1| (-366))))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 158 (|has| |#1| (-366)))) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-1 |#2| |#2|)) 203 (|has| |#1| (-366))) (($ $ (-1 |#2| |#2|) (-764)) 202 (|has| |#1| (-366))) (($ $ (-764)) 80 (-2232 (-2206 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) 78 (-2232 (-2206 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163)) (-635 (-764))) 88 (-2232 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (($ $ (-1163) (-764)) 87 (-2232 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (($ $ (-635 (-1163))) 86 (-2232 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (($ $ (-1163)) 85 (-2232 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))))) (-1693 (((-121) $ $) 242 (-2206 (|has| |#2| (-843)) (|has| |#1| (-366))))) (-1684 (((-121) $ $) 243 (-2206 (|has| |#2| (-843)) (|has| |#1| (-366))))) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 241 (-2206 (|has| |#2| (-843)) (|has| |#1| (-366))))) (-1678 (((-121) $ $) 244 (-2206 (|has| |#2| (-843)) (|has| |#1| (-366))))) (-1715 (($ $ |#1|) 57 (|has| |#1| (-366))) (($ $ $) 160 (|has| |#1| (-366))) (($ |#2| |#2|) 214 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 159 (|has| |#1| (-366))) (($ $ $) 136 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 107 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ $ |#2|) 193 (|has| |#1| (-366))) (($ |#2| $) 192 (|has| |#1| (-366))) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1208 |#1| |#2|) (-1278) (-1048) (-1237 |t#1|)) (T -1208)) 
+((-2492 (*1 *2 *1) (-12 (-4 *1 (-1208 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1237 *3)) (-5 *2 (-569)))) (-2185 (*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *1 (-1208 *3 *2)) (-4 *2 (-1237 *3)))) (-1788 (*1 *1 *2 *3) (-12 (-5 *2 (-569)) (-4 *4 (-1048)) (-4 *1 (-1208 *4 *3)) (-4 *3 (-1237 *4)))) (-2051 (*1 *2 *1) (-12 (-4 *1 (-1208 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1237 *3)))) (-1783 (*1 *1 *1) (-12 (-4 *1 (-1208 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-1237 *2)))) (-1783 (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-1208 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1237 *3)))) (-1784 (*1 *2 *1) (-12 (-4 *1 (-1208 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1237 *3)))) (-3690 (*1 *2 *1) (|partial| -12 (-4 *1 (-1208 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1237 *3))))) 
+(-13 (-1206 |t#1|) (-1038 |t#2|) (-10 -8 (-15 -1788 ($ (-569) |t#2|)) (-15 -2492 ((-569) $)) (-15 -2051 (|t#2| $)) (-15 -1783 ($ $)) (-15 -1783 ($ (-569) $)) (-15 -2185 ($ |t#2|)) (-15 -1784 (|t#2| $)) (-15 -3690 ((-3 |t#2| "failed") $)) (IF (|has| |t#1| (-366)) (-6 (-994 |t#2|)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| (-569)) . T) ((-25) . T) ((-43 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-43 |#1|) |has| |#1| (-173)) ((-43 |#2|) |has| |#1| (-366)) ((-43 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-40) |has| |#1| (-43 (-410 (-569)))) ((-98) |has| |#1| (-43 (-410 (-569)))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-120 |#1| |#1|) . T) ((-120 |#2| |#2|) |has| |#1| (-366)) ((-120 $ $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-138) . T) ((-149) -2232 (-12 (|has| |#1| (-366)) (|has| |#2| (-149))) (|has| |#1| (-149))) ((-151) -2232 (-12 (|has| |#1| (-366)) (|has| |#2| (-151))) (|has| |#1| (-151))) ((-609 (-851)) . T) ((-173) -2232 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-610 (-216)) -12 (|has| |#1| (-366)) (|has| |#2| (-1022))) ((-610 (-382)) -12 (|has| |#1| (-366)) (|has| |#2| (-1022))) ((-610 (-542)) -12 (|has| |#1| (-366)) (|has| |#2| (-610 (-542)))) ((-610 (-888 (-382))) -12 (|has| |#1| (-366)) (|has| |#2| (-610 (-888 (-382))))) ((-610 (-888 (-569))) -12 (|has| |#1| (-366)) (|has| |#2| (-610 (-888 (-569))))) ((-224 |#2|) |has| |#1| (-366)) ((-226) -2232 (-12 (|has| |#1| (-366)) (|has| |#2| (-226))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))) ((-239) |has| |#1| (-366)) ((-280) |has| |#1| (-43 (-410 (-569)))) ((-282 |#2| $) -12 (|has| |#1| (-366)) (|has| |#2| (-282 |#2| |#2|))) ((-282 $ $) |has| (-569) (-1103)) ((-286) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-302) |has| |#1| (-366)) ((-304 |#2|) -12 (|has| |#1| (-366)) (|has| |#2| (-304 |#2|))) ((-366) |has| |#1| (-366)) ((-337 |#2|) |has| |#1| (-366)) ((-380 |#2|) |has| |#1| (-366)) ((-403 |#2|) |has| |#1| (-366)) ((-454) |has| |#1| (-366)) ((-503) |has| |#1| (-43 (-410 (-569)))) ((-524 (-1163) |#2|) -12 (|has| |#1| (-366)) (|has| |#2| (-524 (-1163) |#2|))) ((-524 |#2| |#2|) -12 (|has| |#1| (-366)) (|has| |#2| (-304 |#2|))) ((-559) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-638 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-638 |#1|) . T) ((-638 |#2|) |has| |#1| (-366)) ((-638 $) . T) ((-631 (-569)) -12 (|has| |#1| (-366)) (|has| |#2| (-631 (-569)))) ((-631 |#2|) |has| |#1| (-366)) ((-708 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-708 |#1|) |has| |#1| (-173)) ((-708 |#2|) |has| |#1| (-366)) ((-708 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-717) . T) ((-787) -12 (|has| |#1| (-366)) (|has| |#2| (-816))) ((-788) -12 (|has| |#1| (-366)) (|has| |#2| (-816))) ((-790) -12 (|has| |#1| (-366)) (|has| |#2| (-816))) ((-791) -12 (|has| |#1| (-366)) (|has| |#2| (-816))) ((-816) -12 (|has| |#1| (-366)) (|has| |#2| (-816))) ((-841) -12 (|has| |#1| (-366)) (|has| |#2| (-816))) ((-843) -2232 (-12 (|has| |#1| (-366)) (|has| |#2| (-843))) (-12 (|has| |#1| (-366)) (|has| |#2| (-816)))) ((-896 (-1163)) -2232 (-12 (|has| |#1| (-366)) (|has| |#2| (-896 (-1163)))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) ((-882 (-382)) -12 (|has| |#1| (-366)) (|has| |#2| (-882 (-382)))) ((-882 (-569)) -12 (|has| |#1| (-366)) (|has| |#2| (-882 (-569)))) ((-880 |#2|) |has| |#1| (-366)) ((-905) -12 (|has| |#1| (-366)) (|has| |#2| (-905))) ((-975 |#1| (-569) (-1076)) . T) ((-917) |has| |#1| (-366)) ((-994 |#2|) |has| |#1| (-366)) ((-1003) |has| |#1| (-43 (-410 (-569)))) ((-1022) -12 (|has| |#1| (-366)) (|has| |#2| (-1022))) ((-1038 (-410 (-569))) -12 (|has| |#1| (-366)) (|has| |#2| (-1038 (-569)))) ((-1038 (-569)) -12 (|has| |#1| (-366)) (|has| |#2| (-1038 (-569)))) ((-1038 (-1163)) -12 (|has| |#1| (-366)) (|has| |#2| (-1038 (-1163)))) ((-1038 |#2|) . T) ((-1054 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-1054 |#1|) . T) ((-1054 |#2|) |has| |#1| (-366)) ((-1054 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1137) -12 (|has| |#1| (-366)) (|has| |#2| (-1137))) ((-1183) |has| |#1| (-43 (-410 (-569)))) ((-1186) |has| |#1| (-43 (-410 (-569)))) ((-1197) |has| |#1| (-366)) ((-1202) |has| |#1| (-366)) ((-1206 |#1|) . T) ((-1224 |#1| (-569)) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 70)) (-3761 ((|#2| $) NIL (-12 (|has| |#2| (-302)) (|has| |#1| (-366))))) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) 88)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-3136 (($ $ (-569)) 97) (($ $ (-569) (-569)) 99)) (-1403 (((-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 47)) (-2051 ((|#2| $) 11)) (-3690 (((-3 |#2| "failed") $) 30)) (-1784 ((|#2| $) 31)) (-1753 (($ $) 192 (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) 168 (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| |#2| (-905)) (|has| |#1| (-366))))) (-2004 (($ $) NIL (|has| |#1| (-366)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (-12 (|has| |#2| (-905)) (|has| |#1| (-366))))) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-1744 (($ $) 188 (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) 164 (|has| |#1| (-43 (-410 (-569)))))) (-3638 (((-569) $) NIL (-12 (|has| |#2| (-816)) (|has| |#1| (-366))))) (-3343 (($ (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 57)) (-1760 (($ $) 196 (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) 172 (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#2| "failed") $) 144) (((-3 (-569) "failed") $) NIL (-12 (|has| |#2| (-1038 (-569))) (|has| |#1| (-366)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#2| (-1038 (-569))) (|has| |#1| (-366)))) (((-3 (-1163) "failed") $) NIL (-12 (|has| |#2| (-1038 (-1163))) (|has| |#1| (-366))))) (-2428 ((|#2| $) 143) (((-569) $) NIL (-12 (|has| |#2| (-1038 (-569))) (|has| |#1| (-366)))) (((-410 (-569)) $) NIL (-12 (|has| |#2| (-1038 (-569))) (|has| |#1| (-366)))) (((-1163) $) NIL (-12 (|has| |#2| (-1038 (-1163))) (|has| |#1| (-366))))) (-1783 (($ $) 61) (($ (-569) $) 24)) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-4020 (($ $) NIL)) (-1696 (((-680 |#2|) (-680 $)) NIL (|has| |#1| (-366))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL (|has| |#1| (-366))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#1| (-366)))) (((-680 (-569)) (-680 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#1| (-366))))) (-3428 (((-3 $ "failed") $) 77)) (-3068 (((-410 (-954 |#1|)) $ (-569)) 112 (|has| |#1| (-559))) (((-410 (-954 |#1|)) $ (-569) (-569)) 114 (|has| |#1| (-559)))) (-4327 (($) NIL (-12 (|has| |#2| (-551)) (|has| |#1| (-366))))) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-3726 (((-121) $) NIL (|has| |#1| (-366)))) (-2403 (((-121) $) NIL (-12 (|has| |#2| (-816)) (|has| |#1| (-366))))) (-2777 (((-121) $) 64)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| |#2| (-882 (-382))) (|has| |#1| (-366)))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| |#2| (-882 (-569))) (|has| |#1| (-366))))) (-2558 (((-569) $) 93) (((-569) $ (-569)) 95)) (-1407 (((-121) $) NIL)) (-4052 (($ $) NIL (|has| |#1| (-366)))) (-4116 ((|#2| $) 151 (|has| |#1| (-366)))) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3846 (((-3 $ "failed") $) NIL (-12 (|has| |#2| (-1137)) (|has| |#1| (-366))))) (-1781 (((-121) $) NIL (-12 (|has| |#2| (-816)) (|has| |#1| (-366))))) (-3089 (($ $ (-918)) 136)) (-3622 (($ (-1 |#1| (-569)) $) 132)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-569)) 19) (($ $ (-1076) (-569)) NIL) (($ $ (-635 (-1076)) (-635 (-569))) NIL)) (-3291 (($ $ $) NIL (-12 (|has| |#2| (-843)) (|has| |#1| (-366))))) (-1538 (($ $ $) NIL (-12 (|has| |#2| (-843)) (|has| |#1| (-366))))) (-1544 (($ (-1 |#1| |#1|) $) 129) (($ (-1 |#2| |#2|) $) NIL (|has| |#1| (-366)))) (-4450 (($ $) 162 (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1788 (($ (-569) |#2|) 10)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 145 (|has| |#1| (-366)))) (-2565 (($ $) 214 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) 219 (-2232 (-12 (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-960)) (|has| |#1| (-1183)))))) (-4043 (($) NIL (-12 (|has| |#2| (-1137)) (|has| |#1| (-366))) CONST)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-366)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1346 (($ $) NIL (-12 (|has| |#2| (-302)) (|has| |#1| (-366))))) (-2942 ((|#2| $) NIL (-12 (|has| |#2| (-551)) (|has| |#1| (-366))))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| |#2| (-905)) (|has| |#1| (-366))))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| |#2| (-905)) (|has| |#1| (-366))))) (-1743 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3499 (($ $ (-569)) 126)) (-2941 (((-3 $ "failed") $ $) 116 (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2436 (($ $) 160 (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) 85 (|has| |#1| (-15 ** (|#1| |#1| (-569))))) (($ $ (-1163) |#2|) NIL (-12 (|has| |#2| (-524 (-1163) |#2|)) (|has| |#1| (-366)))) (($ $ (-635 (-1163)) (-635 |#2|)) NIL (-12 (|has| |#2| (-524 (-1163) |#2|)) (|has| |#1| (-366)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366))))) (-2622 (((-764) $) NIL (|has| |#1| (-366)))) (-1534 ((|#1| $ (-569)) 91) (($ $ $) 79 (|has| (-569) (-1103))) (($ $ |#2|) NIL (-12 (|has| |#2| (-282 |#2| |#2|)) (|has| |#1| (-366))))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-3899 (($ $ (-1 |#2| |#2|)) NIL (|has| |#1| (-366))) (($ $ (-1 |#2| |#2|) (-764)) NIL (|has| |#1| (-366))) (($ $ (-764)) NIL (-2232 (-12 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) 137 (-2232 (-12 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-2232 (-12 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-1163) (-764)) NIL (-2232 (-12 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-635 (-1163))) NIL (-2232 (-12 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-1163)) 140 (-2232 (-12 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))))) (-4214 (($ $) NIL (|has| |#1| (-366)))) (-4121 ((|#2| $) 152 (|has| |#1| (-366)))) (-2492 (((-569) $) 12)) (-1764 (($ $) 198 (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) 174 (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) 194 (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) 170 (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) 190 (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) 166 (|has| |#1| (-43 (-410 (-569)))))) (-3817 (((-216) $) NIL (-12 (|has| |#2| (-1022)) (|has| |#1| (-366)))) (((-382) $) NIL (-12 (|has| |#2| (-1022)) (|has| |#1| (-366)))) (((-542) $) NIL (-12 (|has| |#2| (-610 (-542))) (|has| |#1| (-366)))) (((-888 (-382)) $) NIL (-12 (|has| |#2| (-610 (-888 (-382)))) (|has| |#1| (-366)))) (((-888 (-569)) $) NIL (-12 (|has| |#2| (-610 (-888 (-569)))) (|has| |#1| (-366))))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-905)) (|has| |#1| (-366))))) (-3659 (($ $) 124)) (-2185 (((-851) $) 242) (($ (-569)) 23) (($ |#1|) 21 (|has| |#1| (-173))) (($ |#2|) 20) (($ (-1163)) NIL (-12 (|has| |#2| (-1038 (-1163))) (|has| |#1| (-366)))) (($ (-410 (-569))) 155 (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559)))) (-1653 ((|#1| $ (-569)) 74)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#2| (-905)) (|has| |#1| (-366))) (-12 (|has| |#2| (-149)) (|has| |#1| (-366))) (|has| |#1| (-149))))) (-1991 (((-764)) 142)) (-4030 ((|#1| $) 90)) (-2612 ((|#2| $) NIL (-12 (|has| |#2| (-551)) (|has| |#1| (-366))))) (-1779 (($ $) 204 (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) 180 (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) 200 (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) 176 (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) 208 (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) 184 (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-569)) 122 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) 210 (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) 186 (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) 206 (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) 182 (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) 202 (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) 178 (|has| |#1| (-43 (-410 (-569)))))) (-1616 (($ $) NIL (-12 (|has| |#2| (-816)) (|has| |#1| (-366))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-3369 (($) 13 T CONST)) (-1556 (($) 17 T CONST)) (-3022 (($ $ (-1 |#2| |#2|)) NIL (|has| |#1| (-366))) (($ $ (-1 |#2| |#2|) (-764)) NIL (|has| |#1| (-366))) (($ $ (-764)) NIL (-2232 (-12 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) NIL (-2232 (-12 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-2232 (-12 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-1163) (-764)) NIL (-2232 (-12 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-635 (-1163))) NIL (-2232 (-12 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-1163)) NIL (-2232 (-12 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))))) (-1693 (((-121) $ $) NIL (-12 (|has| |#2| (-843)) (|has| |#1| (-366))))) (-1684 (((-121) $ $) NIL (-12 (|has| |#2| (-843)) (|has| |#1| (-366))))) (-1668 (((-121) $ $) 63)) (-1688 (((-121) $ $) NIL (-12 (|has| |#2| (-843)) (|has| |#1| (-366))))) (-1678 (((-121) $ $) NIL (-12 (|has| |#2| (-843)) (|has| |#1| (-366))))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) 149 (|has| |#1| (-366))) (($ |#2| |#2|) 150 (|has| |#1| (-366)))) (-1711 (($ $) 213) (($ $ $) 68)) (-1707 (($ $ $) 66)) (** (($ $ (-918)) NIL) (($ $ (-764)) 73) (($ $ (-569)) 146 (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 158 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 69) (($ $ |#1|) NIL) (($ |#1| $) 139) (($ $ |#2|) 148 (|has| |#1| (-366))) (($ |#2| $) 147 (|has| |#1| (-366))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1209 |#1| |#2|) (-1208 |#1| |#2|) (-1048) (-1237 |#1|)) (T -1209)) 
+NIL 
+(-1208 |#1| |#2|) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3761 (((-1238 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-302)) (|has| |#1| (-366))))) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) 10)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1238 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-3383 (($ $) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1238 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-4354 (((-121) $) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1238 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-3136 (($ $ (-569)) NIL) (($ $ (-569) (-569)) NIL)) (-1403 (((-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-2051 (((-1238 |#1| |#2| |#3|) $) NIL)) (-3690 (((-3 (-1238 |#1| |#2| |#3|) "failed") $) NIL)) (-1784 (((-1238 |#1| |#2| |#3|) $) NIL)) (-1753 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))))) (-2004 (($ $) NIL (|has| |#1| (-366)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))))) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-1744 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3638 (((-569) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))))) (-3343 (($ (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) NIL)) (-1760 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-1238 |#1| |#2| |#3|) "failed") $) NIL) (((-3 (-1163) "failed") $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-1038 (-1163))) (|has| |#1| (-366)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-1038 (-569))) (|has| |#1| (-366)))) (((-3 (-569) "failed") $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-1038 (-569))) (|has| |#1| (-366))))) (-2428 (((-1238 |#1| |#2| |#3|) $) NIL) (((-1163) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-1038 (-1163))) (|has| |#1| (-366)))) (((-410 (-569)) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-1038 (-569))) (|has| |#1| (-366)))) (((-569) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-1038 (-569))) (|has| |#1| (-366))))) (-1783 (($ $) NIL) (($ (-569) $) NIL)) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-4020 (($ $) NIL)) (-1696 (((-680 (-1238 |#1| |#2| |#3|)) (-680 $)) NIL (|has| |#1| (-366))) (((-2 (|:| -3477 (-680 (-1238 |#1| |#2| |#3|))) (|:| |vec| (-1247 (-1238 |#1| |#2| |#3|)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-366))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-631 (-569))) (|has| |#1| (-366)))) (((-680 (-569)) (-680 $)) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-631 (-569))) (|has| |#1| (-366))))) (-3428 (((-3 $ "failed") $) NIL)) (-3068 (((-410 (-954 |#1|)) $ (-569)) NIL (|has| |#1| (-559))) (((-410 (-954 |#1|)) $ (-569) (-569)) NIL (|has| |#1| (-559)))) (-4327 (($) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-551)) (|has| |#1| (-366))))) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-3726 (((-121) $) NIL (|has| |#1| (-366)))) (-2403 (((-121) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))))) (-2777 (((-121) $) NIL)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-882 (-569))) (|has| |#1| (-366)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-882 (-382))) (|has| |#1| (-366))))) (-2558 (((-569) $) NIL) (((-569) $ (-569)) NIL)) (-1407 (((-121) $) NIL)) (-4052 (($ $) NIL (|has| |#1| (-366)))) (-4116 (((-1238 |#1| |#2| |#3|) $) NIL (|has| |#1| (-366)))) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3846 (((-3 $ "failed") $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-1137)) (|has| |#1| (-366))))) (-1781 (((-121) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))))) (-3089 (($ $ (-918)) NIL)) (-3622 (($ (-1 |#1| (-569)) $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-569)) 17) (($ $ (-1076) (-569)) NIL) (($ $ (-635 (-1076)) (-635 (-569))) NIL)) (-3291 (($ $ $) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1238 |#1| |#2| |#3|) (-843)) (|has| |#1| (-366)))))) (-1538 (($ $ $) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1238 |#1| |#2| |#3|) (-843)) (|has| |#1| (-366)))))) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|)) $) NIL (|has| |#1| (-366)))) (-4450 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1788 (($ (-569) (-1238 |#1| |#2| |#3|)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL (|has| |#1| (-366)))) (-2565 (($ $) 25 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) NIL (-2232 (-12 (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-960)) (|has| |#1| (-1183))))) (($ $ (-1243 |#2|)) 26 (|has| |#1| (-43 (-410 (-569)))))) (-4043 (($) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-1137)) (|has| |#1| (-366))) CONST)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-366)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1346 (($ $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-302)) (|has| |#1| (-366))))) (-2942 (((-1238 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-551)) (|has| |#1| (-366))))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))))) (-1743 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3499 (($ $ (-569)) NIL)) (-2941 (((-3 $ "failed") $ $) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1238 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2436 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-569))))) (($ $ (-1163) (-1238 |#1| |#2| |#3|)) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-524 (-1163) (-1238 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-635 (-1163)) (-635 (-1238 |#1| |#2| |#3|))) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-524 (-1163) (-1238 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-635 (-289 (-1238 |#1| |#2| |#3|)))) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-304 (-1238 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-289 (-1238 |#1| |#2| |#3|))) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-304 (-1238 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|)) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-304 (-1238 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-635 (-1238 |#1| |#2| |#3|)) (-635 (-1238 |#1| |#2| |#3|))) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-304 (-1238 |#1| |#2| |#3|))) (|has| |#1| (-366))))) (-2622 (((-764) $) NIL (|has| |#1| (-366)))) (-1534 ((|#1| $ (-569)) NIL) (($ $ $) NIL (|has| (-569) (-1103))) (($ $ (-1238 |#1| |#2| |#3|)) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-282 (-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|))) (|has| |#1| (-366))))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-3899 (($ $ (-1 (-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|))) NIL (|has| |#1| (-366))) (($ $ (-1 (-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|)) (-764)) NIL (|has| |#1| (-366))) (($ $ (-1243 |#2|)) 24) (($ $ (-764)) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) 23 (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-1163) (-764)) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-635 (-1163))) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-1163)) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))))) (-4214 (($ $) NIL (|has| |#1| (-366)))) (-4121 (((-1238 |#1| |#2| |#3|) $) NIL (|has| |#1| (-366)))) (-2492 (((-569) $) NIL)) (-1764 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3817 (((-542) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-610 (-542))) (|has| |#1| (-366)))) (((-382) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-1022)) (|has| |#1| (-366)))) (((-216) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-1022)) (|has| |#1| (-366)))) (((-888 (-382)) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-610 (-888 (-382)))) (|has| |#1| (-366)))) (((-888 (-569)) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-610 (-888 (-569)))) (|has| |#1| (-366))))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| (-1238 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))))) (-3659 (($ $) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1238 |#1| |#2| |#3|)) NIL) (($ (-1243 |#2|)) 22) (($ (-1163)) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-1038 (-1163))) (|has| |#1| (-366)))) (($ $) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1238 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (|has| |#1| (-559)))) (($ (-410 (-569))) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-1038 (-569))) (|has| |#1| (-366))) (|has| |#1| (-43 (-410 (-569))))))) (-1653 ((|#1| $ (-569)) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| (-1238 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (-12 (|has| (-1238 |#1| |#2| |#3|) (-149)) (|has| |#1| (-366))) (|has| |#1| (-149))))) (-1991 (((-764)) NIL)) (-4030 ((|#1| $) 11)) (-2612 (((-1238 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-551)) (|has| |#1| (-366))))) (-1779 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1238 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-1770 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-569)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1616 (($ $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-3369 (($) 19 T CONST)) (-1556 (($) 15 T CONST)) (-3022 (($ $ (-1 (-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|))) NIL (|has| |#1| (-366))) (($ $ (-1 (-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|)) (-764)) NIL (|has| |#1| (-366))) (($ $ (-764)) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-1163) (-764)) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-635 (-1163))) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-1163)) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))))) (-1693 (((-121) $ $) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1238 |#1| |#2| |#3|) (-843)) (|has| |#1| (-366)))))) (-1684 (((-121) $ $) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1238 |#1| |#2| |#3|) (-843)) (|has| |#1| (-366)))))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1238 |#1| |#2| |#3|) (-843)) (|has| |#1| (-366)))))) (-1678 (((-121) $ $) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1238 |#1| |#2| |#3|) (-843)) (|has| |#1| (-366)))))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366))) (($ (-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|)) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 20)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ (-1238 |#1| |#2| |#3|)) NIL (|has| |#1| (-366))) (($ (-1238 |#1| |#2| |#3|) $) NIL (|has| |#1| (-366))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1210 |#1| |#2| |#3|) (-13 (-1208 |#1| (-1238 |#1| |#2| |#3|)) (-10 -8 (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) (-1048) (-1163) |#1|) (T -1210)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1210 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1210 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-2565 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1210 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3)))) 
+(-13 (-1208 |#1| (-1238 |#1| |#2| |#3|)) (-10 -8 (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) 
+((-3952 (((-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| |#1|) (|:| -4245 (-569)))))) |#1| (-121)) 10)) (-2186 (((-421 |#1|) |#1|) 21)) (-1743 (((-421 |#1|) |#1|) 20))) 
+(((-1211 |#1|) (-10 -7 (-15 -1743 ((-421 |#1|) |#1|)) (-15 -2186 ((-421 |#1|) |#1|)) (-15 -3952 ((-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| |#1|) (|:| -4245 (-569)))))) |#1| (-121)))) (-1222 (-569))) (T -1211)) 
+((-3952 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *2 (-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| *3) (|:| -4245 (-569))))))) (-5 *1 (-1211 *3)) (-4 *3 (-1222 (-569))))) (-2186 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1211 *3)) (-4 *3 (-1222 (-569))))) (-1743 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1211 *3)) (-4 *3 (-1222 (-569)))))) 
+(-10 -7 (-15 -1743 ((-421 |#1|) |#1|)) (-15 -2186 ((-421 |#1|) |#1|)) (-15 -3952 ((-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| |#1|) (|:| -4245 (-569)))))) |#1| (-121)))) 
+((-1544 (((-1143 |#2|) (-1 |#2| |#1|) (-1213 |#1|)) 23 (|has| |#1| (-841))) (((-1213 |#2|) (-1 |#2| |#1|) (-1213 |#1|)) 17))) 
+(((-1212 |#1| |#2|) (-10 -7 (-15 -1544 ((-1213 |#2|) (-1 |#2| |#1|) (-1213 |#1|))) (IF (|has| |#1| (-841)) (-15 -1544 ((-1143 |#2|) (-1 |#2| |#1|) (-1213 |#1|))) |noBranch|)) (-1197) (-1197)) (T -1212)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1213 *5)) (-4 *5 (-841)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1143 *6)) (-5 *1 (-1212 *5 *6)))) (-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1213 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1213 *6)) (-5 *1 (-1212 *5 *6))))) 
+(-10 -7 (-15 -1544 ((-1213 |#2|) (-1 |#2| |#1|) (-1213 |#1|))) (IF (|has| |#1| (-841)) (-15 -1544 ((-1143 |#2|) (-1 |#2| |#1|) (-1213 |#1|))) |noBranch|)) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1832 (($ |#1| |#1|) 9) (($ |#1|) 8)) (-1544 (((-1143 |#1|) (-1 |#1| |#1|) $) 41 (|has| |#1| (-841)))) (-4073 ((|#1| $) 14)) (-1848 ((|#1| $) 10)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-1852 (((-569) $) 18)) (-1990 ((|#1| $) 17)) (-1858 ((|#1| $) 11)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-3093 (((-121) $) 16)) (-1939 (((-1143 |#1|) $) 38 (|has| |#1| (-841))) (((-1143 |#1|) (-635 $)) 37 (|has| |#1| (-841)))) (-3817 (($ |#1|) 25)) (-2185 (($ (-1085 |#1|)) 24) (((-851) $) 34 (|has| |#1| (-1091)))) (-3778 (($ |#1| |#1|) 20) (($ |#1|) 19)) (-4171 (($ $ (-569)) 13)) (-1668 (((-121) $ $) 27 (|has| |#1| (-1091))))) 
+(((-1213 |#1|) (-13 (-1084 |#1|) (-10 -8 (-15 -3778 ($ |#1|)) (-15 -1832 ($ |#1|)) (-15 -2185 ($ (-1085 |#1|))) (-15 -3093 ((-121) $)) (IF (|has| |#1| (-1091)) (-6 (-1091)) |noBranch|) (IF (|has| |#1| (-841)) (-6 (-1086 |#1| (-1143 |#1|))) |noBranch|))) (-1197)) (T -1213)) 
+((-3778 (*1 *1 *2) (-12 (-5 *1 (-1213 *2)) (-4 *2 (-1197)))) (-1832 (*1 *1 *2) (-12 (-5 *1 (-1213 *2)) (-4 *2 (-1197)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1085 *3)) (-4 *3 (-1197)) (-5 *1 (-1213 *3)))) (-3093 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1213 *3)) (-4 *3 (-1197))))) 
+(-13 (-1084 |#1|) (-10 -8 (-15 -3778 ($ |#1|)) (-15 -1832 ($ |#1|)) (-15 -2185 ($ (-1085 |#1|))) (-15 -3093 ((-121) $)) (IF (|has| |#1| (-1091)) (-6 (-1091)) |noBranch|) (IF (|has| |#1| (-841)) (-6 (-1086 |#1| (-1143 |#1|))) |noBranch|))) 
+((-1544 (((-1219 |#3| |#4|) (-1 |#4| |#2|) (-1219 |#1| |#2|)) 15))) 
+(((-1214 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1544 ((-1219 |#3| |#4|) (-1 |#4| |#2|) (-1219 |#1| |#2|)))) (-1163) (-1048) (-1163) (-1048)) (T -1214)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *6)) (-5 *4 (-1219 *5 *6)) (-14 *5 (-1163)) (-4 *6 (-1048)) (-4 *8 (-1048)) (-5 *2 (-1219 *7 *8)) (-5 *1 (-1214 *5 *6 *7 *8)) (-14 *7 (-1163))))) 
+(-10 -7 (-15 -1544 ((-1219 |#3| |#4|) (-1 |#4| |#2|) (-1219 |#1| |#2|)))) 
+((-4422 (((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|) 21)) (-1733 ((|#1| |#3|) 13)) (-1839 ((|#3| |#3|) 19))) 
+(((-1215 |#1| |#2| |#3|) (-10 -7 (-15 -1733 (|#1| |#3|)) (-15 -1839 (|#3| |#3|)) (-15 -4422 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) (-559) (-994 |#1|) (-1222 |#2|)) (T -1215)) 
+((-4422 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-994 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-1215 *4 *5 *3)) (-4 *3 (-1222 *5)))) (-1839 (*1 *2 *2) (-12 (-4 *3 (-559)) (-4 *4 (-994 *3)) (-5 *1 (-1215 *3 *4 *2)) (-4 *2 (-1222 *4)))) (-1733 (*1 *2 *3) (-12 (-4 *4 (-994 *2)) (-4 *2 (-559)) (-5 *1 (-1215 *2 *4 *3)) (-4 *3 (-1222 *4))))) 
+(-10 -7 (-15 -1733 (|#1| |#3|)) (-15 -1839 (|#3| |#3|)) (-15 -4422 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) 
+((-1426 (((-3 |#2| "failed") |#2| (-764) |#1|) 29)) (-3937 (((-3 |#2| "failed") |#2| (-764)) 30)) (-3187 (((-3 (-2 (|:| -3833 |#2|) (|:| -1869 |#2|)) "failed") |#2|) 42)) (-4222 (((-635 |#2|) |#2|) 44)) (-3211 (((-3 |#2| "failed") |#2| |#2|) 39))) 
+(((-1216 |#1| |#2|) (-10 -7 (-15 -3937 ((-3 |#2| "failed") |#2| (-764))) (-15 -1426 ((-3 |#2| "failed") |#2| (-764) |#1|)) (-15 -3211 ((-3 |#2| "failed") |#2| |#2|)) (-15 -3187 ((-3 (-2 (|:| -3833 |#2|) (|:| -1869 |#2|)) "failed") |#2|)) (-15 -4222 ((-635 |#2|) |#2|))) (-13 (-559) (-151)) (-1222 |#1|)) (T -1216)) 
+((-4222 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-151))) (-5 *2 (-635 *3)) (-5 *1 (-1216 *4 *3)) (-4 *3 (-1222 *4)))) (-3187 (*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-559) (-151))) (-5 *2 (-2 (|:| -3833 *3) (|:| -1869 *3))) (-5 *1 (-1216 *4 *3)) (-4 *3 (-1222 *4)))) (-3211 (*1 *2 *2 *2) (|partial| -12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1216 *3 *2)) (-4 *2 (-1222 *3)))) (-1426 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-764)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-1216 *4 *2)) (-4 *2 (-1222 *4)))) (-3937 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-764)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-1216 *4 *2)) (-4 *2 (-1222 *4))))) 
+(-10 -7 (-15 -3937 ((-3 |#2| "failed") |#2| (-764))) (-15 -1426 ((-3 |#2| "failed") |#2| (-764) |#1|)) (-15 -3211 ((-3 |#2| "failed") |#2| |#2|)) (-15 -3187 ((-3 (-2 (|:| -3833 |#2|) (|:| -1869 |#2|)) "failed") |#2|)) (-15 -4222 ((-635 |#2|) |#2|))) 
+((-1995 (((-3 (-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) "failed") |#2| |#2|) 31))) 
+(((-1217 |#1| |#2|) (-10 -7 (-15 -1995 ((-3 (-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) "failed") |#2| |#2|))) (-559) (-1222 |#1|)) (T -1217)) 
+((-1995 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-559)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-1217 *4 *3)) (-4 *3 (-1222 *4))))) 
+(-10 -7 (-15 -1995 ((-3 (-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) "failed") |#2| |#2|))) 
+((-4297 ((|#2| |#2| |#2|) 19)) (-2696 ((|#2| |#2| |#2|) 30)) (-1360 ((|#2| |#2| |#2| (-764) (-764)) 36))) 
+(((-1218 |#1| |#2|) (-10 -7 (-15 -4297 (|#2| |#2| |#2|)) (-15 -2696 (|#2| |#2| |#2|)) (-15 -1360 (|#2| |#2| |#2| (-764) (-764)))) (-1048) (-1222 |#1|)) (T -1218)) 
+((-1360 (*1 *2 *2 *2 *3 *3) (-12 (-5 *3 (-764)) (-4 *4 (-1048)) (-5 *1 (-1218 *4 *2)) (-4 *2 (-1222 *4)))) (-2696 (*1 *2 *2 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-1218 *3 *2)) (-4 *2 (-1222 *3)))) (-4297 (*1 *2 *2 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-1218 *3 *2)) (-4 *2 (-1222 *3))))) 
+(-10 -7 (-15 -4297 (|#2| |#2| |#2|)) (-15 -2696 (|#2| |#2| |#2|)) (-15 -1360 (|#2| |#2| |#2| (-764) (-764)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-4411 (((-1247 |#2|) $ (-764)) NIL)) (-1773 (((-635 (-1076)) $) NIL)) (-3707 (($ (-1159 |#2|)) NIL)) (-1739 (((-1159 $) $ (-1076)) NIL) (((-1159 |#2|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#2| (-559)))) (-3383 (($ $) NIL (|has| |#2| (-559)))) (-4354 (((-121) $) NIL (|has| |#2| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 (-1076))) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3306 (($ $ $) NIL (|has| |#2| (-559)))) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-2004 (($ $) NIL (|has| |#2| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#2| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-3934 (((-121) $ $) NIL (|has| |#2| (-366)))) (-1435 (($ $ (-764)) NIL)) (-2399 (($ $ (-764)) NIL)) (-2499 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#2| (-454)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1038 (-569)))) (((-3 (-1076) "failed") $) NIL)) (-2428 ((|#2| $) NIL) (((-410 (-569)) $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#2| (-1038 (-569)))) (((-1076) $) NIL)) (-3493 (($ $ $ (-1076)) NIL (|has| |#2| (-173))) ((|#2| $ $) NIL (|has| |#2| (-173)))) (-2506 (($ $ $) NIL (|has| |#2| (-366)))) (-4020 (($ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL) (((-680 |#2|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL (|has| |#2| (-366)))) (-4021 (($ $ $) NIL)) (-3611 (($ $ $) NIL (|has| |#2| (-559)))) (-1884 (((-2 (|:| -4140 |#2|) (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#2| (-559)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#2| (-366)))) (-1340 (($ $) NIL (|has| |#2| (-454))) (($ $ (-1076)) NIL (|has| |#2| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#2| (-905)))) (-1667 (($ $ |#2| (-764) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-1076) (-882 (-382))) (|has| |#2| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-1076) (-882 (-569))) (|has| |#2| (-882 (-569)))))) (-2558 (((-764) $ $) NIL (|has| |#2| (-559)))) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| |#2| (-1137)))) (-1768 (($ (-1159 |#2|) (-1076)) NIL) (($ (-1159 $) (-1076)) NIL)) (-3089 (($ $ (-764)) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-366)))) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#2| (-764)) 17) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-1076)) NIL) (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-4002 (((-764) $) NIL) (((-764) $ (-1076)) NIL) (((-635 (-764)) $ (-635 (-1076))) NIL)) (-3291 (($ $ $) NIL (|has| |#2| (-843)))) (-1538 (($ $ $) NIL (|has| |#2| (-843)))) (-2658 (($ (-1 (-764) (-764)) $) NIL)) (-1544 (($ (-1 |#2| |#2|) $) NIL)) (-2225 (((-1159 |#2|) $) NIL)) (-1637 (((-3 (-1076) "failed") $) NIL)) (-1804 (($ $) NIL)) (-4012 ((|#2| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2776 (((-1145) $) NIL)) (-4451 (((-2 (|:| -4268 $) (|:| -1830 $)) $ (-764)) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| (-1076)) (|:| -2356 (-764))) "failed") $) NIL)) (-2565 (($ $) NIL (|has| |#2| (-43 (-410 (-569)))))) (-4043 (($) NIL (|has| |#2| (-1137)) CONST)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) NIL)) (-1801 ((|#2| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#2| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-3877 (($ $ (-764) |#2| $) NIL)) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#2| (-905)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#2| (-366)))) (-2941 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-366)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1076) |#2|) NIL) (($ $ (-635 (-1076)) (-635 |#2|)) NIL) (($ $ (-1076) $) NIL) (($ $ (-635 (-1076)) (-635 $)) NIL)) (-2622 (((-764) $) NIL (|has| |#2| (-366)))) (-1534 ((|#2| $ |#2|) NIL) (($ $ $) NIL) (((-410 $) (-410 $) (-410 $)) NIL (|has| |#2| (-559))) ((|#2| (-410 $) |#2|) NIL (|has| |#2| (-366))) (((-410 $) $ (-410 $)) NIL (|has| |#2| (-559)))) (-2067 (((-3 $ "failed") $ (-764)) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#2| (-366)))) (-2087 (($ $ (-1076)) NIL (|has| |#2| (-173))) ((|#2| $) NIL (|has| |#2| (-173)))) (-3899 (($ $ (-1076)) NIL) (($ $ (-635 (-1076))) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL) (($ $ (-764)) NIL) (($ $) NIL) (($ $ (-1163)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) $) NIL)) (-2492 (((-764) $) NIL) (((-764) $ (-1076)) NIL) (((-635 (-764)) $ (-635 (-1076))) NIL)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| (-1076) (-610 (-888 (-382)))) (|has| |#2| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| (-1076) (-610 (-888 (-569)))) (|has| |#2| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| (-1076) (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-3298 ((|#2| $) NIL (|has| |#2| (-454))) (($ $ (-1076)) NIL (|has| |#2| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-905))))) (-4091 (((-3 $ "failed") $ $) NIL (|has| |#2| (-559))) (((-3 (-410 $) "failed") (-410 $) $) NIL (|has| |#2| (-559)))) (-2185 (((-851) $) 13) (($ (-569)) NIL) (($ |#2|) NIL) (($ (-1076)) NIL) (($ (-1243 |#1|)) 19) (($ (-410 (-569))) NIL (-2232 (|has| |#2| (-43 (-410 (-569)))) (|has| |#2| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#2| (-559)))) (-3382 (((-635 |#2|) $) NIL)) (-1653 ((|#2| $ (-764)) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#2| (-905))) (|has| |#2| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#2| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#2| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) 14 T CONST)) (-3022 (($ $ (-1076)) NIL) (($ $ (-635 (-1076))) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL) (($ $ (-764)) NIL) (($ $) NIL) (($ $ (-1163)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-1693 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1715 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#2| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#2| (-43 (-410 (-569))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
+(((-1219 |#1| |#2|) (-13 (-1222 |#2|) (-10 -8 (-15 -2185 ($ (-1243 |#1|))) (-15 -3877 ($ $ (-764) |#2| $)))) (-1163) (-1048)) (T -1219)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1243 *3)) (-14 *3 (-1163)) (-5 *1 (-1219 *3 *4)) (-4 *4 (-1048)))) (-3877 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1219 *4 *3)) (-14 *4 (-1163)) (-4 *3 (-1048))))) 
+(-13 (-1222 |#2|) (-10 -8 (-15 -2185 ($ (-1243 |#1|))) (-15 -3877 ($ $ (-764) |#2| $)))) 
+((-1544 ((|#4| (-1 |#3| |#1|) |#2|) 22))) 
+(((-1220 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1544 (|#4| (-1 |#3| |#1|) |#2|))) (-1048) (-1222 |#1|) (-1048) (-1222 |#3|)) (T -1220)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-4 *2 (-1222 *6)) (-5 *1 (-1220 *5 *4 *6 *2)) (-4 *4 (-1222 *5))))) 
+(-10 -7 (-15 -1544 (|#4| (-1 |#3| |#1|) |#2|))) 
+((-4411 (((-1247 |#2|) $ (-764)) 113)) (-1773 (((-635 (-1076)) $) 15)) (-3707 (($ (-1159 |#2|)) 66)) (-4011 (((-764) $) NIL) (((-764) $ (-635 (-1076))) 18)) (-2379 (((-421 (-1159 $)) (-1159 $)) 183)) (-2004 (($ $) 173)) (-2446 (((-421 $) $) 171)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) 81)) (-1435 (($ $ (-764)) 70)) (-2399 (($ $ (-764)) 72)) (-2499 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) 129)) (-1647 (((-3 |#2| "failed") $) 116) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 (-1076) "failed") $) NIL)) (-2428 ((|#2| $) 114) (((-410 (-569)) $) NIL) (((-569) $) NIL) (((-1076) $) NIL)) (-3611 (($ $ $) 150)) (-1884 (((-2 (|:| -4140 |#2|) (|:| -4268 $) (|:| -1830 $)) $ $) 152)) (-2558 (((-764) $ $) 168)) (-3846 (((-3 $ "failed") $) 122)) (-1763 (($ |#2| (-764)) NIL) (($ $ (-1076) (-764)) 46) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-4002 (((-764) $) NIL) (((-764) $ (-1076)) 41) (((-635 (-764)) $ (-635 (-1076))) 42)) (-2225 (((-1159 |#2|) $) 58)) (-1637 (((-3 (-1076) "failed") $) 39)) (-4451 (((-2 (|:| -4268 $) (|:| -1830 $)) $ (-764)) 69)) (-2565 (($ $) 194)) (-4043 (($) 118)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 180)) (-1721 (((-421 (-1159 $)) (-1159 $)) 87)) (-1568 (((-421 (-1159 $)) (-1159 $)) 85)) (-1743 (((-421 $) $) 105)) (-1468 (($ $ (-635 (-289 $))) 38) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1076) |#2|) 31) (($ $ (-635 (-1076)) (-635 |#2|)) 28) (($ $ (-1076) $) 25) (($ $ (-635 (-1076)) (-635 $)) 23)) (-2622 (((-764) $) 186)) (-1534 ((|#2| $ |#2|) NIL) (($ $ $) NIL) (((-410 $) (-410 $) (-410 $)) 146) ((|#2| (-410 $) |#2|) 185) (((-410 $) $ (-410 $)) 167)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 189)) (-3899 (($ $ (-1076)) 139) (($ $ (-635 (-1076))) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL) (($ $ (-764)) NIL) (($ $) 137) (($ $ (-1163)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-1 |#2| |#2|)) 136) (($ $ (-1 |#2| |#2|) $) 133)) (-2492 (((-764) $) NIL) (((-764) $ (-1076)) 16) (((-635 (-764)) $ (-635 (-1076))) 20)) (-3298 ((|#2| $) NIL) (($ $ (-1076)) 124)) (-4091 (((-3 $ "failed") $ $) 160) (((-3 (-410 $) "failed") (-410 $) $) 156)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#2|) NIL) (($ (-1076)) 50) (($ (-410 (-569))) NIL) (($ $) NIL))) 
+(((-1221 |#1| |#2|) (-10 -8 (-15 -2185 (|#1| |#1|)) (-15 -4336 ((-1159 |#1|) (-1159 |#1|) (-1159 |#1|))) (-15 -2446 ((-421 |#1|) |#1|)) (-15 -2004 (|#1| |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -4043 (|#1|)) (-15 -3846 ((-3 |#1| "failed") |#1|)) (-15 -1534 ((-410 |#1|) |#1| (-410 |#1|))) (-15 -2622 ((-764) |#1|)) (-15 -2609 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -2565 (|#1| |#1|)) (-15 -1534 (|#2| (-410 |#1|) |#2|)) (-15 -2499 ((-2 (|:| |primePart| |#1|) (|:| |commonPart| |#1|)) |#1| |#1|)) (-15 -1884 ((-2 (|:| -4140 |#2|) (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -3611 (|#1| |#1| |#1|)) (-15 -4091 ((-3 (-410 |#1|) "failed") (-410 |#1|) |#1|)) (-15 -4091 ((-3 |#1| "failed") |#1| |#1|)) (-15 -2558 ((-764) |#1| |#1|)) (-15 -1534 ((-410 |#1|) (-410 |#1|) (-410 |#1|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) |#1|)) (-15 -2399 (|#1| |#1| (-764))) (-15 -1435 (|#1| |#1| (-764))) (-15 -4451 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| (-764))) (-15 -3707 (|#1| (-1159 |#2|))) (-15 -2225 ((-1159 |#2|) |#1|)) (-15 -4411 ((-1247 |#2|) |#1| (-764))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -1534 (|#1| |#1| |#1|)) (-15 -1534 (|#2| |#1| |#2|)) (-15 -1743 ((-421 |#1|) |#1|)) (-15 -2379 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1568 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1721 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1593 ((-3 (-635 (-1159 |#1|)) "failed") (-635 (-1159 |#1|)) (-1159 |#1|))) (-15 -3298 (|#1| |#1| (-1076))) (-15 -1773 ((-635 (-1076)) |#1|)) (-15 -4011 ((-764) |#1| (-635 (-1076)))) (-15 -4011 ((-764) |#1|)) (-15 -1763 (|#1| |#1| (-635 (-1076)) (-635 (-764)))) (-15 -1763 (|#1| |#1| (-1076) (-764))) (-15 -4002 ((-635 (-764)) |#1| (-635 (-1076)))) (-15 -4002 ((-764) |#1| (-1076))) (-15 -1637 ((-3 (-1076) "failed") |#1|)) (-15 -2492 ((-635 (-764)) |#1| (-635 (-1076)))) (-15 -2492 ((-764) |#1| (-1076))) (-15 -2428 ((-1076) |#1|)) (-15 -1647 ((-3 (-1076) "failed") |#1|)) (-15 -2185 (|#1| (-1076))) (-15 -1468 (|#1| |#1| (-635 (-1076)) (-635 |#1|))) (-15 -1468 (|#1| |#1| (-1076) |#1|)) (-15 -1468 (|#1| |#1| (-635 (-1076)) (-635 |#2|))) (-15 -1468 (|#1| |#1| (-1076) |#2|)) (-15 -1468 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#1| |#1|)) (-15 -1468 (|#1| |#1| (-289 |#1|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2492 ((-764) |#1|)) (-15 -1763 (|#1| |#2| (-764))) (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -4002 ((-764) |#1|)) (-15 -3298 (|#2| |#1|)) (-15 -3899 (|#1| |#1| (-635 (-1076)) (-635 (-764)))) (-15 -3899 (|#1| |#1| (-1076) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1076)))) (-15 -3899 (|#1| |#1| (-1076))) (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) (-1222 |#2|) (-1048)) (T -1221)) 
+NIL 
+(-10 -8 (-15 -2185 (|#1| |#1|)) (-15 -4336 ((-1159 |#1|) (-1159 |#1|) (-1159 |#1|))) (-15 -2446 ((-421 |#1|) |#1|)) (-15 -2004 (|#1| |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -4043 (|#1|)) (-15 -3846 ((-3 |#1| "failed") |#1|)) (-15 -1534 ((-410 |#1|) |#1| (-410 |#1|))) (-15 -2622 ((-764) |#1|)) (-15 -2609 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -2565 (|#1| |#1|)) (-15 -1534 (|#2| (-410 |#1|) |#2|)) (-15 -2499 ((-2 (|:| |primePart| |#1|) (|:| |commonPart| |#1|)) |#1| |#1|)) (-15 -1884 ((-2 (|:| -4140 |#2|) (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -3611 (|#1| |#1| |#1|)) (-15 -4091 ((-3 (-410 |#1|) "failed") (-410 |#1|) |#1|)) (-15 -4091 ((-3 |#1| "failed") |#1| |#1|)) (-15 -2558 ((-764) |#1| |#1|)) (-15 -1534 ((-410 |#1|) (-410 |#1|) (-410 |#1|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) |#1|)) (-15 -2399 (|#1| |#1| (-764))) (-15 -1435 (|#1| |#1| (-764))) (-15 -4451 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| (-764))) (-15 -3707 (|#1| (-1159 |#2|))) (-15 -2225 ((-1159 |#2|) |#1|)) (-15 -4411 ((-1247 |#2|) |#1| (-764))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -1534 (|#1| |#1| |#1|)) (-15 -1534 (|#2| |#1| |#2|)) (-15 -1743 ((-421 |#1|) |#1|)) (-15 -2379 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1568 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1721 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1593 ((-3 (-635 (-1159 |#1|)) "failed") (-635 (-1159 |#1|)) (-1159 |#1|))) (-15 -3298 (|#1| |#1| (-1076))) (-15 -1773 ((-635 (-1076)) |#1|)) (-15 -4011 ((-764) |#1| (-635 (-1076)))) (-15 -4011 ((-764) |#1|)) (-15 -1763 (|#1| |#1| (-635 (-1076)) (-635 (-764)))) (-15 -1763 (|#1| |#1| (-1076) (-764))) (-15 -4002 ((-635 (-764)) |#1| (-635 (-1076)))) (-15 -4002 ((-764) |#1| (-1076))) (-15 -1637 ((-3 (-1076) "failed") |#1|)) (-15 -2492 ((-635 (-764)) |#1| (-635 (-1076)))) (-15 -2492 ((-764) |#1| (-1076))) (-15 -2428 ((-1076) |#1|)) (-15 -1647 ((-3 (-1076) "failed") |#1|)) (-15 -2185 (|#1| (-1076))) (-15 -1468 (|#1| |#1| (-635 (-1076)) (-635 |#1|))) (-15 -1468 (|#1| |#1| (-1076) |#1|)) (-15 -1468 (|#1| |#1| (-635 (-1076)) (-635 |#2|))) (-15 -1468 (|#1| |#1| (-1076) |#2|)) (-15 -1468 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#1| |#1|)) (-15 -1468 (|#1| |#1| (-289 |#1|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2492 ((-764) |#1|)) (-15 -1763 (|#1| |#2| (-764))) (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -4002 ((-764) |#1|)) (-15 -3298 (|#2| |#1|)) (-15 -3899 (|#1| |#1| (-635 (-1076)) (-635 (-764)))) (-15 -3899 (|#1| |#1| (-1076) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1076)))) (-15 -3899 (|#1| |#1| (-1076))) (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-4411 (((-1247 |#1|) $ (-764)) 217)) (-1773 (((-635 (-1076)) $) 108)) (-3707 (($ (-1159 |#1|)) 215)) (-1739 (((-1159 $) $ (-1076)) 123) (((-1159 |#1|) $) 122)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 85 (|has| |#1| (-559)))) (-3383 (($ $) 86 (|has| |#1| (-559)))) (-4354 (((-121) $) 88 (|has| |#1| (-559)))) (-4011 (((-764) $) 110) (((-764) $ (-635 (-1076))) 109)) (-2327 (((-3 $ "failed") $ $) 18)) (-3306 (($ $ $) 202 (|has| |#1| (-559)))) (-2379 (((-421 (-1159 $)) (-1159 $)) 98 (|has| |#1| (-905)))) (-2004 (($ $) 96 (|has| |#1| (-454)))) (-2446 (((-421 $) $) 95 (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) 101 (|has| |#1| (-905)))) (-3934 (((-121) $ $) 187 (|has| |#1| (-366)))) (-1435 (($ $ (-764)) 210)) (-2399 (($ $ (-764)) 209)) (-2499 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) 197 (|has| |#1| (-454)))) (-2820 (($) 16 T CONST)) (-1647 (((-3 |#1| "failed") $) 162) (((-3 (-410 (-569)) "failed") $) 160 (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) 158 (|has| |#1| (-1038 (-569)))) (((-3 (-1076) "failed") $) 134)) (-2428 ((|#1| $) 163) (((-410 (-569)) $) 159 (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) 157 (|has| |#1| (-1038 (-569)))) (((-1076) $) 133)) (-3493 (($ $ $ (-1076)) 106 (|has| |#1| (-173))) ((|#1| $ $) 205 (|has| |#1| (-173)))) (-2506 (($ $ $) 191 (|has| |#1| (-366)))) (-4020 (($ $) 152)) (-1696 (((-680 (-569)) (-680 $)) 132 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 131 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 130) (((-680 |#1|) (-680 $)) 129)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 190 (|has| |#1| (-366)))) (-4021 (($ $ $) 208)) (-3611 (($ $ $) 199 (|has| |#1| (-559)))) (-1884 (((-2 (|:| -4140 |#1|) (|:| -4268 $) (|:| -1830 $)) $ $) 198 (|has| |#1| (-559)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 185 (|has| |#1| (-366)))) (-1340 (($ $) 174 (|has| |#1| (-454))) (($ $ (-1076)) 103 (|has| |#1| (-454)))) (-4015 (((-635 $) $) 107)) (-3726 (((-121) $) 94 (|has| |#1| (-905)))) (-1667 (($ $ |#1| (-764) $) 170)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 82 (-12 (|has| (-1076) (-882 (-382))) (|has| |#1| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 81 (-12 (|has| (-1076) (-882 (-569))) (|has| |#1| (-882 (-569)))))) (-2558 (((-764) $ $) 203 (|has| |#1| (-559)))) (-1407 (((-121) $) 30)) (-4244 (((-764) $) 167)) (-3846 (((-3 $ "failed") $) 183 (|has| |#1| (-1137)))) (-1768 (($ (-1159 |#1|) (-1076)) 115) (($ (-1159 $) (-1076)) 114)) (-3089 (($ $ (-764)) 214)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 194 (|has| |#1| (-366)))) (-2086 (((-635 $) $) 124)) (-3523 (((-121) $) 150)) (-1763 (($ |#1| (-764)) 151) (($ $ (-1076) (-764)) 117) (($ $ (-635 (-1076)) (-635 (-764))) 116)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-1076)) 118) (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 212)) (-4002 (((-764) $) 168) (((-764) $ (-1076)) 120) (((-635 (-764)) $ (-635 (-1076))) 119)) (-3291 (($ $ $) 77 (|has| |#1| (-843)))) (-1538 (($ $ $) 76 (|has| |#1| (-843)))) (-2658 (($ (-1 (-764) (-764)) $) 169)) (-1544 (($ (-1 |#1| |#1|) $) 149)) (-2225 (((-1159 |#1|) $) 216)) (-1637 (((-3 (-1076) "failed") $) 121)) (-1804 (($ $) 147)) (-4012 ((|#1| $) 146)) (-2665 (($ (-635 $)) 92 (|has| |#1| (-454))) (($ $ $) 91 (|has| |#1| (-454)))) (-2776 (((-1145) $) 9)) (-4451 (((-2 (|:| -4268 $) (|:| -1830 $)) $ (-764)) 211)) (-4087 (((-3 (-635 $) "failed") $) 112)) (-3091 (((-3 (-635 $) "failed") $) 113)) (-1874 (((-3 (-2 (|:| |var| (-1076)) (|:| -2356 (-764))) "failed") $) 111)) (-2565 (($ $) 195 (|has| |#1| (-43 (-410 (-569)))))) (-4043 (($) 182 (|has| |#1| (-1137)) CONST)) (-3360 (((-1109) $) 10)) (-1798 (((-121) $) 164)) (-1801 ((|#1| $) 165)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 93 (|has| |#1| (-454)))) (-2714 (($ (-635 $)) 90 (|has| |#1| (-454))) (($ $ $) 89 (|has| |#1| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) 100 (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) 99 (|has| |#1| (-905)))) (-1743 (((-421 $) $) 97 (|has| |#1| (-905)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 193 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 192 (|has| |#1| (-366)))) (-2941 (((-3 $ "failed") $ |#1|) 172 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 186 (|has| |#1| (-366)))) (-1468 (($ $ (-635 (-289 $))) 143) (($ $ (-289 $)) 142) (($ $ $ $) 141) (($ $ (-635 $) (-635 $)) 140) (($ $ (-1076) |#1|) 139) (($ $ (-635 (-1076)) (-635 |#1|)) 138) (($ $ (-1076) $) 137) (($ $ (-635 (-1076)) (-635 $)) 136)) (-2622 (((-764) $) 188 (|has| |#1| (-366)))) (-1534 ((|#1| $ |#1|) 235) (($ $ $) 234) (((-410 $) (-410 $) (-410 $)) 204 (|has| |#1| (-559))) ((|#1| (-410 $) |#1|) 196 (|has| |#1| (-366))) (((-410 $) $ (-410 $)) 184 (|has| |#1| (-559)))) (-2067 (((-3 $ "failed") $ (-764)) 213)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 189 (|has| |#1| (-366)))) (-2087 (($ $ (-1076)) 105 (|has| |#1| (-173))) ((|#1| $) 206 (|has| |#1| (-173)))) (-3899 (($ $ (-1076)) 41) (($ $ (-635 (-1076))) 40) (($ $ (-1076) (-764)) 39) (($ $ (-635 (-1076)) (-635 (-764))) 38) (($ $ (-764)) 232) (($ $) 230) (($ $ (-1163)) 229 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) 228 (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) 227 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) 226 (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) 219) (($ $ (-1 |#1| |#1|)) 218) (($ $ (-1 |#1| |#1|) $) 207)) (-2492 (((-764) $) 148) (((-764) $ (-1076)) 128) (((-635 (-764)) $ (-635 (-1076))) 127)) (-3817 (((-888 (-382)) $) 80 (-12 (|has| (-1076) (-610 (-888 (-382)))) (|has| |#1| (-610 (-888 (-382)))))) (((-888 (-569)) $) 79 (-12 (|has| (-1076) (-610 (-888 (-569)))) (|has| |#1| (-610 (-888 (-569)))))) (((-542) $) 78 (-12 (|has| (-1076) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-3298 ((|#1| $) 173 (|has| |#1| (-454))) (($ $ (-1076)) 104 (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 102 (-2206 (|has| $ (-149)) (|has| |#1| (-905))))) (-4091 (((-3 $ "failed") $ $) 201 (|has| |#1| (-559))) (((-3 (-410 $) "failed") (-410 $) $) 200 (|has| |#1| (-559)))) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 161) (($ (-1076)) 135) (($ (-410 (-569))) 70 (-2232 (|has| |#1| (-1038 (-410 (-569)))) (|has| |#1| (-43 (-410 (-569)))))) (($ $) 83 (|has| |#1| (-559)))) (-3382 (((-635 |#1|) $) 166)) (-1653 ((|#1| $ (-764)) 153) (($ $ (-1076) (-764)) 126) (($ $ (-635 (-1076)) (-635 (-764))) 125)) (-3953 (((-3 $ "failed") $) 71 (-2232 (-2206 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) 28)) (-4086 (($ $ $ (-764)) 171 (|has| |#1| (-173)))) (-1961 (((-121) $ $) 87 (|has| |#1| (-559)))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-1076)) 37) (($ $ (-635 (-1076))) 36) (($ $ (-1076) (-764)) 35) (($ $ (-635 (-1076)) (-635 (-764))) 34) (($ $ (-764)) 233) (($ $) 231) (($ $ (-1163)) 225 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) 224 (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) 223 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) 222 (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) 221) (($ $ (-1 |#1| |#1|)) 220)) (-1693 (((-121) $ $) 74 (|has| |#1| (-843)))) (-1684 (((-121) $ $) 73 (|has| |#1| (-843)))) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 75 (|has| |#1| (-843)))) (-1678 (((-121) $ $) 72 (|has| |#1| (-843)))) (-1715 (($ $ |#1|) 154 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 156 (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) 155 (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 145) (($ $ |#1|) 144))) 
+(((-1222 |#1|) (-1278) (-1048)) (T -1222)) 
+((-4411 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-1222 *4)) (-4 *4 (-1048)) (-5 *2 (-1247 *4)))) (-2225 (*1 *2 *1) (-12 (-4 *1 (-1222 *3)) (-4 *3 (-1048)) (-5 *2 (-1159 *3)))) (-3707 (*1 *1 *2) (-12 (-5 *2 (-1159 *3)) (-4 *3 (-1048)) (-4 *1 (-1222 *3)))) (-3089 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1222 *3)) (-4 *3 (-1048)))) (-2067 (*1 *1 *1 *2) (|partial| -12 (-5 *2 (-764)) (-4 *1 (-1222 *3)) (-4 *3 (-1048)))) (-2421 (*1 *2 *1 *1) (-12 (-4 *3 (-1048)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-1222 *3)))) (-4451 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *4 (-1048)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-1222 *4)))) (-1435 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1222 *3)) (-4 *3 (-1048)))) (-2399 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1222 *3)) (-4 *3 (-1048)))) (-4021 (*1 *1 *1 *1) (-12 (-4 *1 (-1222 *2)) (-4 *2 (-1048)))) (-3899 (*1 *1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-1222 *3)) (-4 *3 (-1048)))) (-2087 (*1 *2 *1) (-12 (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-173)))) (-3493 (*1 *2 *1 *1) (-12 (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-173)))) (-1534 (*1 *2 *2 *2) (-12 (-5 *2 (-410 *1)) (-4 *1 (-1222 *3)) (-4 *3 (-1048)) (-4 *3 (-559)))) (-2558 (*1 *2 *1 *1) (-12 (-4 *1 (-1222 *3)) (-4 *3 (-1048)) (-4 *3 (-559)) (-5 *2 (-764)))) (-3306 (*1 *1 *1 *1) (-12 (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-559)))) (-4091 (*1 *1 *1 *1) (|partial| -12 (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-559)))) (-4091 (*1 *2 *2 *1) (|partial| -12 (-5 *2 (-410 *1)) (-4 *1 (-1222 *3)) (-4 *3 (-1048)) (-4 *3 (-559)))) (-3611 (*1 *1 *1 *1) (-12 (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-559)))) (-1884 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| -4140 *3) (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-1222 *3)))) (-2499 (*1 *2 *1 *1) (-12 (-4 *3 (-454)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| |primePart| *1) (|:| |commonPart| *1))) (-4 *1 (-1222 *3)))) (-1534 (*1 *2 *3 *2) (-12 (-5 *3 (-410 *1)) (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) (-2565 (*1 *1 *1) (-12 (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-43 (-410 (-569))))))) 
+(-13 (-951 |t#1| (-764) (-1076)) (-282 |t#1| |t#1|) (-282 $ $) (-226) (-224 |t#1|) (-10 -8 (-15 -4411 ((-1247 |t#1|) $ (-764))) (-15 -2225 ((-1159 |t#1|) $)) (-15 -3707 ($ (-1159 |t#1|))) (-15 -3089 ($ $ (-764))) (-15 -2067 ((-3 $ "failed") $ (-764))) (-15 -2421 ((-2 (|:| -4268 $) (|:| -1830 $)) $ $)) (-15 -4451 ((-2 (|:| -4268 $) (|:| -1830 $)) $ (-764))) (-15 -1435 ($ $ (-764))) (-15 -2399 ($ $ (-764))) (-15 -4021 ($ $ $)) (-15 -3899 ($ $ (-1 |t#1| |t#1|) $)) (IF (|has| |t#1| (-1137)) (-6 (-1137)) |noBranch|) (IF (|has| |t#1| (-173)) (PROGN (-15 -2087 (|t#1| $)) (-15 -3493 (|t#1| $ $))) |noBranch|) (IF (|has| |t#1| (-559)) (PROGN (-6 (-282 (-410 $) (-410 $))) (-15 -1534 ((-410 $) (-410 $) (-410 $))) (-15 -2558 ((-764) $ $)) (-15 -3306 ($ $ $)) (-15 -4091 ((-3 $ "failed") $ $)) (-15 -4091 ((-3 (-410 $) "failed") (-410 $) $)) (-15 -3611 ($ $ $)) (-15 -1884 ((-2 (|:| -4140 |t#1|) (|:| -4268 $) (|:| -1830 $)) $ $))) |noBranch|) (IF (|has| |t#1| (-454)) (-15 -2499 ((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $)) |noBranch|) (IF (|has| |t#1| (-366)) (PROGN (-6 (-302)) (-6 -4531) (-15 -1534 (|t#1| (-410 $) |t#1|))) |noBranch|) (IF (|has| |t#1| (-43 (-410 (-569)))) (-15 -2565 ($ $)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| (-764)) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-610 (-542)) -12 (|has| (-1076) (-610 (-542))) (|has| |#1| (-610 (-542)))) ((-610 (-888 (-382))) -12 (|has| (-1076) (-610 (-888 (-382)))) (|has| |#1| (-610 (-888 (-382))))) ((-610 (-888 (-569))) -12 (|has| (-1076) (-610 (-888 (-569)))) (|has| |#1| (-610 (-888 (-569))))) ((-224 |#1|) . T) ((-226) . T) ((-282 (-410 $) (-410 $)) |has| |#1| (-559)) ((-282 |#1| |#1|) . T) ((-282 $ $) . T) ((-286) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366))) ((-302) |has| |#1| (-366)) ((-304 $) . T) ((-325 |#1| (-764)) . T) ((-380 |#1|) . T) ((-414 |#1|) . T) ((-454) -2232 (|has| |#1| (-905)) (|has| |#1| (-454)) (|has| |#1| (-366))) ((-524 (-1076) |#1|) . T) ((-524 (-1076) $) . T) ((-524 $ $) . T) ((-559) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366))) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-708 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366))) ((-717) . T) ((-843) |has| |#1| (-843)) ((-896 (-1076)) . T) ((-896 (-1163)) |has| |#1| (-896 (-1163))) ((-882 (-382)) -12 (|has| (-1076) (-882 (-382))) (|has| |#1| (-882 (-382)))) ((-882 (-569)) -12 (|has| (-1076) (-882 (-569))) (|has| |#1| (-882 (-569)))) ((-951 |#1| (-764) (-1076)) . T) ((-905) |has| |#1| (-905)) ((-917) |has| |#1| (-366)) ((-1038 (-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 (-1076)) . T) ((-1038 |#1|) . T) ((-1054 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1137) |has| |#1| (-1137)) ((-1202) |has| |#1| (-905))) 
+((-1773 (((-635 (-1076)) $) 28)) (-4020 (($ $) 25)) (-1763 (($ |#2| |#3|) NIL) (($ $ (-1076) |#3|) 22) (($ $ (-635 (-1076)) (-635 |#3|)) 20)) (-1804 (($ $) 14)) (-4012 ((|#2| $) 12)) (-2492 ((|#3| $) 10))) 
+(((-1223 |#1| |#2| |#3|) (-10 -8 (-15 -1773 ((-635 (-1076)) |#1|)) (-15 -1763 (|#1| |#1| (-635 (-1076)) (-635 |#3|))) (-15 -1763 (|#1| |#1| (-1076) |#3|)) (-15 -4020 (|#1| |#1|)) (-15 -1763 (|#1| |#2| |#3|)) (-15 -2492 (|#3| |#1|)) (-15 -1804 (|#1| |#1|)) (-15 -4012 (|#2| |#1|))) (-1224 |#2| |#3|) (-1048) (-788)) (T -1223)) 
+NIL 
+(-10 -8 (-15 -1773 ((-635 (-1076)) |#1|)) (-15 -1763 (|#1| |#1| (-635 (-1076)) (-635 |#3|))) (-15 -1763 (|#1| |#1| (-1076) |#3|)) (-15 -4020 (|#1| |#1|)) (-15 -1763 (|#1| |#2| |#3|)) (-15 -2492 (|#3| |#1|)) (-15 -1804 (|#1| |#1|)) (-15 -4012 (|#2| |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1773 (((-635 (-1076)) $) 70)) (-3534 (((-1163) $) 98)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-3383 (($ $) 51 (|has| |#1| (-559)))) (-4354 (((-121) $) 53 (|has| |#1| (-559)))) (-3136 (($ $ |#2|) 93) (($ $ |#2| |#2|) 92)) (-1403 (((-1143 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) 100)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-4020 (($ $) 59)) (-3428 (((-3 $ "failed") $) 33)) (-2777 (((-121) $) 69)) (-2558 ((|#2| $) 95) ((|#2| $ |#2|) 94)) (-1407 (((-121) $) 30)) (-3089 (($ $ (-918)) 96)) (-3523 (((-121) $) 61)) (-1763 (($ |#1| |#2|) 60) (($ $ (-1076) |#2|) 72) (($ $ (-635 (-1076)) (-635 |#2|)) 71)) (-1544 (($ (-1 |#1| |#1|) $) 62)) (-1804 (($ $) 64)) (-4012 ((|#1| $) 65)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-3499 (($ $ |#2|) 90)) (-2941 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-1468 (((-1143 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| |#2|))))) (-1534 ((|#1| $ |#2|) 99) (($ $ $) 76 (|has| |#2| (-1103)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) 84 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1163) (-764)) 83 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-635 (-1163))) 82 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1163)) 81 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-764)) 79 (|has| |#1| (-15 * (|#1| |#2| |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (-2492 ((|#2| $) 63)) (-3659 (($ $) 68)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559))) (($ |#1|) 46 (|has| |#1| (-173)))) (-1653 ((|#1| $ |#2|) 58)) (-3953 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-1991 (((-764)) 28)) (-4030 ((|#1| $) 97)) (-1961 (((-121) $ $) 52 (|has| |#1| (-559)))) (-2994 ((|#1| $ |#2|) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| |#2|))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) 88 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1163) (-764)) 87 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-635 (-1163))) 86 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1163)) 85 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-764)) 80 (|has| |#1| (-15 * (|#1| |#2| |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#1|) 57 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1224 |#1| |#2|) (-1278) (-1048) (-788)) (T -1224)) 
+((-1403 (*1 *2 *1) (-12 (-4 *1 (-1224 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-5 *2 (-1143 (-2 (|:| |k| *4) (|:| |c| *3)))))) (-1534 (*1 *2 *1 *3) (-12 (-4 *1 (-1224 *2 *3)) (-4 *3 (-788)) (-4 *2 (-1048)))) (-3534 (*1 *2 *1) (-12 (-4 *1 (-1224 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-5 *2 (-1163)))) (-4030 (*1 *2 *1) (-12 (-4 *1 (-1224 *2 *3)) (-4 *3 (-788)) (-4 *2 (-1048)))) (-3089 (*1 *1 *1 *2) (-12 (-5 *2 (-918)) (-4 *1 (-1224 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)))) (-2558 (*1 *2 *1) (-12 (-4 *1 (-1224 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788)))) (-2558 (*1 *2 *1 *2) (-12 (-4 *1 (-1224 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788)))) (-3136 (*1 *1 *1 *2) (-12 (-4 *1 (-1224 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788)))) (-3136 (*1 *1 *1 *2 *2) (-12 (-4 *1 (-1224 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788)))) (-2994 (*1 *2 *1 *3) (-12 (-4 *1 (-1224 *2 *3)) (-4 *3 (-788)) (|has| *2 (-15 ** (*2 *2 *3))) (|has| *2 (-15 -2185 (*2 (-1163)))) (-4 *2 (-1048)))) (-3499 (*1 *1 *1 *2) (-12 (-4 *1 (-1224 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788)))) (-1468 (*1 *2 *1 *3) (-12 (-4 *1 (-1224 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (|has| *3 (-15 ** (*3 *3 *4))) (-5 *2 (-1143 *3))))) 
+(-13 (-975 |t#1| |t#2| (-1076)) (-10 -8 (-15 -1403 ((-1143 (-2 (|:| |k| |t#2|) (|:| |c| |t#1|))) $)) (-15 -1534 (|t#1| $ |t#2|)) (-15 -3534 ((-1163) $)) (-15 -4030 (|t#1| $)) (-15 -3089 ($ $ (-918))) (-15 -2558 (|t#2| $)) (-15 -2558 (|t#2| $ |t#2|)) (-15 -3136 ($ $ |t#2|)) (-15 -3136 ($ $ |t#2| |t#2|)) (IF (|has| |t#1| (-15 -2185 (|t#1| (-1163)))) (IF (|has| |t#1| (-15 ** (|t#1| |t#1| |t#2|))) (-15 -2994 (|t#1| $ |t#2|)) |noBranch|) |noBranch|) (-15 -3499 ($ $ |t#2|)) (IF (|has| |t#2| (-1103)) (-6 (-282 $ $)) |noBranch|) (IF (|has| |t#1| (-15 * (|t#1| |t#2| |t#1|))) (PROGN (-6 (-226)) (IF (|has| |t#1| (-896 (-1163))) (-6 (-896 (-1163))) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-15 ** (|t#1| |t#1| |t#2|))) (-15 -1468 ((-1143 |t#1|) $ |t#1|)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-226) |has| |#1| (-15 * (|#1| |#2| |#1|))) ((-282 $ $) |has| |#2| (-1103)) ((-286) |has| |#1| (-559)) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-708 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) |has| |#1| (-559)) ((-717) . T) ((-896 (-1163)) -12 (|has| |#1| (-15 * (|#1| |#2| |#1|))) (|has| |#1| (-896 (-1163)))) ((-975 |#1| |#2| (-1076)) . T) ((-1054 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-2004 ((|#2| |#2|) 12)) (-2446 (((-421 |#2|) |#2|) 14)) (-4306 (((-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-569))) (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-569)))) 30))) 
+(((-1225 |#1| |#2|) (-10 -7 (-15 -2446 ((-421 |#2|) |#2|)) (-15 -2004 (|#2| |#2|)) (-15 -4306 ((-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-569))) (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-569)))))) (-559) (-13 (-1222 |#1|) (-559) (-10 -8 (-15 -2714 ($ $ $))))) (T -1225)) 
+((-4306 (*1 *2 *2) (-12 (-5 *2 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *4) (|:| |xpnt| (-569)))) (-4 *4 (-13 (-1222 *3) (-559) (-10 -8 (-15 -2714 ($ $ $))))) (-4 *3 (-559)) (-5 *1 (-1225 *3 *4)))) (-2004 (*1 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-1225 *3 *2)) (-4 *2 (-13 (-1222 *3) (-559) (-10 -8 (-15 -2714 ($ $ $))))))) (-2446 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-421 *3)) (-5 *1 (-1225 *4 *3)) (-4 *3 (-13 (-1222 *4) (-559) (-10 -8 (-15 -2714 ($ $ $)))))))) 
+(-10 -7 (-15 -2446 ((-421 |#2|) |#2|)) (-15 -2004 (|#2| |#2|)) (-15 -4306 ((-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-569))) (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-569)))))) 
+((-1544 (((-1231 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1231 |#1| |#3| |#5|)) 23))) 
+(((-1226 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -1544 ((-1231 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1231 |#1| |#3| |#5|)))) (-1048) (-1048) (-1163) (-1163) |#1| |#2|) (T -1226)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1231 *5 *7 *9)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-14 *7 (-1163)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1231 *6 *8 *10)) (-5 *1 (-1226 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1163))))) 
+(-10 -7 (-15 -1544 ((-1231 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1231 |#1| |#3| |#5|)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1773 (((-635 (-1076)) $) 70)) (-3534 (((-1163) $) 98)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-3383 (($ $) 51 (|has| |#1| (-559)))) (-4354 (((-121) $) 53 (|has| |#1| (-559)))) (-3136 (($ $ (-410 (-569))) 93) (($ $ (-410 (-569)) (-410 (-569))) 92)) (-1403 (((-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) 100)) (-1753 (($ $) 127 (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) 110 (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 154 (|has| |#1| (-366)))) (-2446 (((-421 $) $) 155 (|has| |#1| (-366)))) (-2454 (($ $) 109 (|has| |#1| (-43 (-410 (-569)))))) (-3934 (((-121) $ $) 145 (|has| |#1| (-366)))) (-1744 (($ $) 126 (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-3343 (($ (-764) (-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) 164)) (-1760 (($ $) 125 (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) 112 (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) 16 T CONST)) (-2506 (($ $ $) 149 (|has| |#1| (-366)))) (-4020 (($ $) 59)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 148 (|has| |#1| (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 143 (|has| |#1| (-366)))) (-3726 (((-121) $) 156 (|has| |#1| (-366)))) (-2777 (((-121) $) 69)) (-2445 (($) 137 (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-410 (-569)) $) 95) (((-410 (-569)) $ (-410 (-569))) 94)) (-1407 (((-121) $) 30)) (-4344 (($ $ (-569)) 108 (|has| |#1| (-43 (-410 (-569)))))) (-3089 (($ $ (-918)) 96) (($ $ (-410 (-569))) 163)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 152 (|has| |#1| (-366)))) (-3523 (((-121) $) 61)) (-1763 (($ |#1| (-410 (-569))) 60) (($ $ (-1076) (-410 (-569))) 72) (($ $ (-635 (-1076)) (-635 (-410 (-569)))) 71)) (-1544 (($ (-1 |#1| |#1|) $) 62)) (-4450 (($ $) 134 (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) 64)) (-4012 ((|#1| $) 65)) (-2665 (($ (-635 $)) 141 (|has| |#1| (-366))) (($ $ $) 140 (|has| |#1| (-366)))) (-2776 (((-1145) $) 9)) (-1795 (($ $) 157 (|has| |#1| (-366)))) (-2565 (($ $) 162 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) 161 (-2232 (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-960)) (|has| |#1| (-1183)) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-43 (-410 (-569)))))))) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 142 (|has| |#1| (-366)))) (-2714 (($ (-635 $)) 139 (|has| |#1| (-366))) (($ $ $) 138 (|has| |#1| (-366)))) (-1743 (((-421 $) $) 153 (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 151 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 150 (|has| |#1| (-366)))) (-3499 (($ $ (-410 (-569))) 90)) (-2941 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 144 (|has| |#1| (-366)))) (-2436 (($ $) 135 (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2622 (((-764) $) 146 (|has| |#1| (-366)))) (-1534 ((|#1| $ (-410 (-569))) 99) (($ $ $) 76 (|has| (-410 (-569)) (-1103)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 147 (|has| |#1| (-366)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) 84 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1163) (-764)) 83 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-635 (-1163))) 82 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1163)) 81 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-764)) 79 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-2492 (((-410 (-569)) $) 63)) (-1764 (($ $) 124 (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) 113 (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) 123 (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) 114 (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) 122 (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) 115 (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) 68)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 46 (|has| |#1| (-173))) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559)))) (-1653 ((|#1| $ (-410 (-569))) 58)) (-3953 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-1991 (((-764)) 28)) (-4030 ((|#1| $) 97)) (-1779 (($ $) 133 (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) 121 (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) 52 (|has| |#1| (-559)))) (-1770 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) 120 (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) 131 (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) 119 (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-410 (-569))) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) 118 (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) 129 (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) 117 (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) 128 (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) 116 (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 158 (|has| |#1| (-366)))) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) 88 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1163) (-764)) 87 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-635 (-1163))) 86 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1163)) 85 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-764)) 80 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#1|) 57 (|has| |#1| (-366))) (($ $ $) 160 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 159 (|has| |#1| (-366))) (($ $ $) 136 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 107 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1227 |#1|) (-1278) (-1048)) (T -1227)) 
+((-3343 (*1 *1 *2 *3) (-12 (-5 *2 (-764)) (-5 *3 (-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| *4)))) (-4 *4 (-1048)) (-4 *1 (-1227 *4)))) (-3089 (*1 *1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-4 *1 (-1227 *3)) (-4 *3 (-1048)))) (-2565 (*1 *1 *1) (-12 (-4 *1 (-1227 *2)) (-4 *2 (-1048)) (-4 *2 (-43 (-410 (-569)))))) (-2565 (*1 *1 *1 *2) (-2232 (-12 (-5 *2 (-1163)) (-4 *1 (-1227 *3)) (-4 *3 (-1048)) (-12 (-4 *3 (-29 (-569))) (-4 *3 (-960)) (-4 *3 (-1183)) (-4 *3 (-43 (-410 (-569)))))) (-12 (-5 *2 (-1163)) (-4 *1 (-1227 *3)) (-4 *3 (-1048)) (-12 (|has| *3 (-15 -1773 ((-635 *2) *3))) (|has| *3 (-15 -2565 (*3 *3 *2))) (-4 *3 (-43 (-410 (-569))))))))) 
+(-13 (-1224 |t#1| (-410 (-569))) (-10 -8 (-15 -3343 ($ (-764) (-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |t#1|))))) (-15 -3089 ($ $ (-410 (-569)))) (IF (|has| |t#1| (-43 (-410 (-569)))) (PROGN (-15 -2565 ($ $)) (IF (|has| |t#1| (-15 -2565 (|t#1| |t#1| (-1163)))) (IF (|has| |t#1| (-15 -1773 ((-635 (-1163)) |t#1|))) (-15 -2565 ($ $ (-1163))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-1183)) (IF (|has| |t#1| (-960)) (IF (|has| |t#1| (-29 (-569))) (-15 -2565 ($ $ (-1163))) |noBranch|) |noBranch|) |noBranch|) (-6 (-1003)) (-6 (-1183))) |noBranch|) (IF (|has| |t#1| (-366)) (-6 (-366)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| (-410 (-569))) . T) ((-25) . T) ((-43 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-40) |has| |#1| (-43 (-410 (-569)))) ((-98) |has| |#1| (-43 (-410 (-569)))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) -2232 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-226) |has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) ((-239) |has| |#1| (-366)) ((-280) |has| |#1| (-43 (-410 (-569)))) ((-282 $ $) |has| (-410 (-569)) (-1103)) ((-286) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-302) |has| |#1| (-366)) ((-366) |has| |#1| (-366)) ((-454) |has| |#1| (-366)) ((-503) |has| |#1| (-43 (-410 (-569)))) ((-559) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-638 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-638 |#1|) . T) ((-638 $) . T) ((-708 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-717) . T) ((-896 (-1163)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163)))) ((-975 |#1| (-410 (-569)) (-1076)) . T) ((-917) |has| |#1| (-366)) ((-1003) |has| |#1| (-43 (-410 (-569)))) ((-1054 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1183) |has| |#1| (-43 (-410 (-569)))) ((-1186) |has| |#1| (-43 (-410 (-569)))) ((-1202) |has| |#1| (-366)) ((-1224 |#1| (-410 (-569))) . T)) 
+((-3813 (((-121) $) 12)) (-1647 (((-3 |#3| "failed") $) 17)) (-2428 ((|#3| $) 14))) 
+(((-1228 |#1| |#2| |#3|) (-10 -8 (-15 -2428 (|#3| |#1|)) (-15 -1647 ((-3 |#3| "failed") |#1|)) (-15 -3813 ((-121) |#1|))) (-1229 |#2| |#3|) (-1048) (-1206 |#2|)) (T -1228)) 
+NIL 
+(-10 -8 (-15 -2428 (|#3| |#1|)) (-15 -1647 ((-3 |#3| "failed") |#1|)) (-15 -3813 ((-121) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1773 (((-635 (-1076)) $) 70)) (-3534 (((-1163) $) 98)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-3383 (($ $) 51 (|has| |#1| (-559)))) (-4354 (((-121) $) 53 (|has| |#1| (-559)))) (-3136 (($ $ (-410 (-569))) 93) (($ $ (-410 (-569)) (-410 (-569))) 92)) (-1403 (((-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) 100)) (-1753 (($ $) 127 (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) 110 (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 154 (|has| |#1| (-366)))) (-2446 (((-421 $) $) 155 (|has| |#1| (-366)))) (-2454 (($ $) 109 (|has| |#1| (-43 (-410 (-569)))))) (-3934 (((-121) $ $) 145 (|has| |#1| (-366)))) (-1744 (($ $) 126 (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-3343 (($ (-764) (-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) 164)) (-1760 (($ $) 125 (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) 112 (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) 16 T CONST)) (-1647 (((-3 |#2| "failed") $) 172)) (-2428 ((|#2| $) 171)) (-2506 (($ $ $) 149 (|has| |#1| (-366)))) (-4020 (($ $) 59)) (-3428 (((-3 $ "failed") $) 33)) (-3023 (((-410 (-569)) $) 169)) (-2524 (($ $ $) 148 (|has| |#1| (-366)))) (-1791 (($ (-410 (-569)) |#2|) 170)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 143 (|has| |#1| (-366)))) (-3726 (((-121) $) 156 (|has| |#1| (-366)))) (-2777 (((-121) $) 69)) (-2445 (($) 137 (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-410 (-569)) $) 95) (((-410 (-569)) $ (-410 (-569))) 94)) (-1407 (((-121) $) 30)) (-4344 (($ $ (-569)) 108 (|has| |#1| (-43 (-410 (-569)))))) (-3089 (($ $ (-918)) 96) (($ $ (-410 (-569))) 163)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 152 (|has| |#1| (-366)))) (-3523 (((-121) $) 61)) (-1763 (($ |#1| (-410 (-569))) 60) (($ $ (-1076) (-410 (-569))) 72) (($ $ (-635 (-1076)) (-635 (-410 (-569)))) 71)) (-1544 (($ (-1 |#1| |#1|) $) 62)) (-4450 (($ $) 134 (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) 64)) (-4012 ((|#1| $) 65)) (-2665 (($ (-635 $)) 141 (|has| |#1| (-366))) (($ $ $) 140 (|has| |#1| (-366)))) (-1883 ((|#2| $) 168)) (-1379 (((-3 |#2| "failed") $) 166)) (-1788 ((|#2| $) 167)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 157 (|has| |#1| (-366)))) (-2565 (($ $) 162 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) 161 (-2232 (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-960)) (|has| |#1| (-1183)) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-43 (-410 (-569)))))))) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 142 (|has| |#1| (-366)))) (-2714 (($ (-635 $)) 139 (|has| |#1| (-366))) (($ $ $) 138 (|has| |#1| (-366)))) (-1743 (((-421 $) $) 153 (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 151 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 150 (|has| |#1| (-366)))) (-3499 (($ $ (-410 (-569))) 90)) (-2941 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 144 (|has| |#1| (-366)))) (-2436 (($ $) 135 (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2622 (((-764) $) 146 (|has| |#1| (-366)))) (-1534 ((|#1| $ (-410 (-569))) 99) (($ $ $) 76 (|has| (-410 (-569)) (-1103)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 147 (|has| |#1| (-366)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) 84 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1163) (-764)) 83 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-635 (-1163))) 82 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1163)) 81 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-764)) 79 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-2492 (((-410 (-569)) $) 63)) (-1764 (($ $) 124 (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) 113 (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) 123 (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) 114 (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) 122 (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) 115 (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) 68)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 46 (|has| |#1| (-173))) (($ |#2|) 173) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559)))) (-1653 ((|#1| $ (-410 (-569))) 58)) (-3953 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-1991 (((-764)) 28)) (-4030 ((|#1| $) 97)) (-1779 (($ $) 133 (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) 121 (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) 52 (|has| |#1| (-559)))) (-1770 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) 120 (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) 131 (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) 119 (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-410 (-569))) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) 118 (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) 129 (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) 117 (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) 128 (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) 116 (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 158 (|has| |#1| (-366)))) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) 88 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1163) (-764)) 87 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-635 (-1163))) 86 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1163)) 85 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-764)) 80 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#1|) 57 (|has| |#1| (-366))) (($ $ $) 160 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 159 (|has| |#1| (-366))) (($ $ $) 136 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 107 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1229 |#1| |#2|) (-1278) (-1048) (-1206 |t#1|)) (T -1229)) 
+((-2492 (*1 *2 *1) (-12 (-4 *1 (-1229 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1206 *3)) (-5 *2 (-410 (-569))))) (-2185 (*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *1 (-1229 *3 *2)) (-4 *2 (-1206 *3)))) (-1791 (*1 *1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-4 *4 (-1048)) (-4 *1 (-1229 *4 *3)) (-4 *3 (-1206 *4)))) (-3023 (*1 *2 *1) (-12 (-4 *1 (-1229 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1206 *3)) (-5 *2 (-410 (-569))))) (-1883 (*1 *2 *1) (-12 (-4 *1 (-1229 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1206 *3)))) (-1788 (*1 *2 *1) (-12 (-4 *1 (-1229 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1206 *3)))) (-1379 (*1 *2 *1) (|partial| -12 (-4 *1 (-1229 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1206 *3))))) 
+(-13 (-1227 |t#1|) (-1038 |t#2|) (-10 -8 (-15 -1791 ($ (-410 (-569)) |t#2|)) (-15 -3023 ((-410 (-569)) $)) (-15 -1883 (|t#2| $)) (-15 -2492 ((-410 (-569)) $)) (-15 -2185 ($ |t#2|)) (-15 -1788 (|t#2| $)) (-15 -1379 ((-3 |t#2| "failed") $)))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| (-410 (-569))) . T) ((-25) . T) ((-43 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-40) |has| |#1| (-43 (-410 (-569)))) ((-98) |has| |#1| (-43 (-410 (-569)))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) -2232 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-226) |has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) ((-239) |has| |#1| (-366)) ((-280) |has| |#1| (-43 (-410 (-569)))) ((-282 $ $) |has| (-410 (-569)) (-1103)) ((-286) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-302) |has| |#1| (-366)) ((-366) |has| |#1| (-366)) ((-454) |has| |#1| (-366)) ((-503) |has| |#1| (-43 (-410 (-569)))) ((-559) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-638 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-638 |#1|) . T) ((-638 $) . T) ((-708 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-717) . T) ((-896 (-1163)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163)))) ((-975 |#1| (-410 (-569)) (-1076)) . T) ((-917) |has| |#1| (-366)) ((-1003) |has| |#1| (-43 (-410 (-569)))) ((-1038 |#2|) . T) ((-1054 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1183) |has| |#1| (-43 (-410 (-569)))) ((-1186) |has| |#1| (-43 (-410 (-569)))) ((-1202) |has| |#1| (-366)) ((-1224 |#1| (-410 (-569))) . T) ((-1227 |#1|) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) 96)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-3136 (($ $ (-410 (-569))) 106) (($ $ (-410 (-569)) (-410 (-569))) 108)) (-1403 (((-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) 51)) (-1753 (($ $) 179 (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) 155 (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL (|has| |#1| (-366)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-1744 (($ $) 175 (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) 151 (|has| |#1| (-43 (-410 (-569)))))) (-3343 (($ (-764) (-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) 61)) (-1760 (($ $) 183 (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) 159 (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#2| "failed") $) NIL)) (-2428 ((|#2| $) NIL)) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) 79)) (-3023 (((-410 (-569)) $) 12)) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-1791 (($ (-410 (-569)) |#2|) 10)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-3726 (((-121) $) NIL (|has| |#1| (-366)))) (-2777 (((-121) $) 68)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-410 (-569)) $) 103) (((-410 (-569)) $ (-410 (-569))) 104)) (-1407 (((-121) $) NIL)) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3089 (($ $ (-918)) 120) (($ $ (-410 (-569))) 118)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-410 (-569))) 31) (($ $ (-1076) (-410 (-569))) NIL) (($ $ (-635 (-1076)) (-635 (-410 (-569)))) NIL)) (-1544 (($ (-1 |#1| |#1|) $) 115)) (-4450 (($ $) 149 (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1883 ((|#2| $) 11)) (-1379 (((-3 |#2| "failed") $) 41)) (-1788 ((|#2| $) 42)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 93 (|has| |#1| (-366)))) (-2565 (($ $) 135 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) 140 (-2232 (-12 (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-960)) (|has| |#1| (-1183)))))) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-366)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3499 (($ $ (-410 (-569))) 112)) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2436 (($ $) 147 (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) 90 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2622 (((-764) $) NIL (|has| |#1| (-366)))) (-1534 ((|#1| $ (-410 (-569))) 100) (($ $ $) 86 (|has| (-410 (-569)) (-1103)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) 127 (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 124 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-2492 (((-410 (-569)) $) 16)) (-1764 (($ $) 185 (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) 161 (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) 181 (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) 157 (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) 177 (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) 153 (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) 110)) (-2185 (((-851) $) NIL) (($ (-569)) 35) (($ |#1|) 27 (|has| |#1| (-173))) (($ |#2|) 32) (($ (-410 (-569))) 128 (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559)))) (-1653 ((|#1| $ (-410 (-569))) 99)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) 117)) (-4030 ((|#1| $) 98)) (-1779 (($ $) 191 (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) 167 (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) 187 (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) 163 (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) 195 (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) 171 (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-410 (-569))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) 197 (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) 173 (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) 193 (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) 169 (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) 189 (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) 165 (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-3369 (($) 21 T CONST)) (-1556 (($) 17 T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1668 (((-121) $ $) 66)) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) 92 (|has| |#1| (-366)))) (-1711 (($ $) 131) (($ $ $) 72)) (-1707 (($ $ $) 70)) (** (($ $ (-918)) NIL) (($ $ (-764)) 76) (($ $ (-569)) 144 (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 145 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 74) (($ $ |#1|) NIL) (($ |#1| $) 126) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1230 |#1| |#2|) (-1229 |#1| |#2|) (-1048) (-1206 |#1|)) (T -1230)) 
+NIL 
+(-1229 |#1| |#2|) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) 11)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-3136 (($ $ (-410 (-569))) NIL) (($ $ (-410 (-569)) (-410 (-569))) NIL)) (-1403 (((-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) NIL)) (-1753 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL (|has| |#1| (-366)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-1744 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3343 (($ (-764) (-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) NIL)) (-1760 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-1210 |#1| |#2| |#3|) "failed") $) 19) (((-3 (-1238 |#1| |#2| |#3|) "failed") $) 22)) (-2428 (((-1210 |#1| |#2| |#3|) $) NIL) (((-1238 |#1| |#2| |#3|) $) NIL)) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-3023 (((-410 (-569)) $) 57)) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-1791 (($ (-410 (-569)) (-1210 |#1| |#2| |#3|)) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-3726 (((-121) $) NIL (|has| |#1| (-366)))) (-2777 (((-121) $) NIL)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-410 (-569)) $) NIL) (((-410 (-569)) $ (-410 (-569))) NIL)) (-1407 (((-121) $) NIL)) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3089 (($ $ (-918)) NIL) (($ $ (-410 (-569))) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-410 (-569))) 29) (($ $ (-1076) (-410 (-569))) NIL) (($ $ (-635 (-1076)) (-635 (-410 (-569)))) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-4450 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1883 (((-1210 |#1| |#2| |#3|) $) 60)) (-1379 (((-3 (-1210 |#1| |#2| |#3|) "failed") $) NIL)) (-1788 (((-1210 |#1| |#2| |#3|) $) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL (|has| |#1| (-366)))) (-2565 (($ $) 38 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) NIL (-2232 (-12 (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-960)) (|has| |#1| (-1183))))) (($ $ (-1243 |#2|)) 39 (|has| |#1| (-43 (-410 (-569)))))) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-366)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3499 (($ $ (-410 (-569))) NIL)) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2436 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2622 (((-764) $) NIL (|has| |#1| (-366)))) (-1534 ((|#1| $ (-410 (-569))) NIL) (($ $ $) NIL (|has| (-410 (-569)) (-1103)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 36 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $ (-1243 |#2|)) 37)) (-2492 (((-410 (-569)) $) NIL)) (-1764 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) NIL)) (-2185 (((-851) $) 87) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1210 |#1| |#2| |#3|)) 16) (($ (-1238 |#1| |#2| |#3|)) 17) (($ (-1243 |#2|)) 35) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559)))) (-1653 ((|#1| $ (-410 (-569))) NIL)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-4030 ((|#1| $) 12)) (-1779 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-410 (-569))) 62 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-3369 (($) 31 T CONST)) (-1556 (($) 26 T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 33)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1231 |#1| |#2| |#3|) (-13 (-1229 |#1| (-1210 |#1| |#2| |#3|)) (-1038 (-1238 |#1| |#2| |#3|)) (-10 -8 (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) (-1048) (-1163) |#1|) (T -1231)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1231 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1231 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-2565 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1231 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3)))) 
+(-13 (-1229 |#1| (-1210 |#1| |#2| |#3|)) (-1038 (-1238 |#1| |#2| |#3|)) (-10 -8 (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 32)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (|has| (-1231 |#2| |#3| |#4|) (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-1231 |#2| |#3| |#4|) (-1038 (-410 (-569))))) (((-3 (-1231 |#2| |#3| |#4|) "failed") $) 20)) (-2428 (((-569) $) NIL (|has| (-1231 |#2| |#3| |#4|) (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| (-1231 |#2| |#3| |#4|) (-1038 (-410 (-569))))) (((-1231 |#2| |#3| |#4|) $) NIL)) (-4020 (($ $) 33)) (-3428 (((-3 $ "failed") $) 25)) (-1340 (($ $) NIL (|has| (-1231 |#2| |#3| |#4|) (-454)))) (-1667 (($ $ (-1231 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|) $) NIL)) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) 11)) (-3523 (((-121) $) NIL)) (-1763 (($ (-1231 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) 23)) (-4002 (((-315 |#2| |#3| |#4|) $) NIL)) (-2658 (($ (-1 (-315 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) $) NIL)) (-1544 (($ (-1 (-1231 |#2| |#3| |#4|) (-1231 |#2| |#3| |#4|)) $) NIL)) (-3256 (((-3 (-836 |#2|) "failed") $) 72)) (-1804 (($ $) NIL)) (-4012 (((-1231 |#2| |#3| |#4|) $) 18)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) NIL)) (-1801 (((-1231 |#2| |#3| |#4|) $) NIL)) (-2941 (((-3 $ "failed") $ (-1231 |#2| |#3| |#4|)) NIL (|has| (-1231 |#2| |#3| |#4|) (-559))) (((-3 $ "failed") $ $) NIL)) (-3518 (((-3 (-2 (|:| |%term| (-2 (|:| |%coef| (-1231 |#2| |#3| |#4|)) (|:| |%expon| (-315 |#2| |#3| |#4|)) (|:| |%expTerms| (-635 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#2|)))))) (|:| |%type| (-1145))) "failed") $) 55)) (-2492 (((-315 |#2| |#3| |#4|) $) 14)) (-3298 (((-1231 |#2| |#3| |#4|) $) NIL (|has| (-1231 |#2| |#3| |#4|) (-454)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ (-1231 |#2| |#3| |#4|)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL (-2232 (|has| (-1231 |#2| |#3| |#4|) (-43 (-410 (-569)))) (|has| (-1231 |#2| |#3| |#4|) (-1038 (-410 (-569))))))) (-3382 (((-635 (-1231 |#2| |#3| |#4|)) $) NIL)) (-1653 (((-1231 |#2| |#3| |#4|) $ (-315 |#2| |#3| |#4|)) NIL)) (-3953 (((-3 $ "failed") $) NIL (|has| (-1231 |#2| |#3| |#4|) (-149)))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| (-1231 |#2| |#3| |#4|) (-173)))) (-1961 (((-121) $ $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 60 T CONST)) (-1556 (($) NIL T CONST)) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ (-1231 |#2| |#3| |#4|)) NIL (|has| (-1231 |#2| |#3| |#4|) (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-1231 |#2| |#3| |#4|)) NIL) (($ (-1231 |#2| |#3| |#4|) $) NIL) (($ (-410 (-569)) $) NIL (|has| (-1231 |#2| |#3| |#4|) (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| (-1231 |#2| |#3| |#4|) (-43 (-410 (-569))))))) 
+(((-1232 |#1| |#2| |#3| |#4|) (-13 (-325 (-1231 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) (-559) (-10 -8 (-15 -3256 ((-3 (-836 |#2|) "failed") $)) (-15 -3518 ((-3 (-2 (|:| |%term| (-2 (|:| |%coef| (-1231 |#2| |#3| |#4|)) (|:| |%expon| (-315 |#2| |#3| |#4|)) (|:| |%expTerms| (-635 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#2|)))))) (|:| |%type| (-1145))) "failed") $)))) (-13 (-843) (-1038 (-569)) (-631 (-569)) (-454)) (-13 (-27) (-1183) (-433 |#1|)) (-1163) |#2|) (T -1232)) 
+((-3256 (*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-843) (-1038 (-569)) (-631 (-569)) (-454))) (-5 *2 (-836 *4)) (-5 *1 (-1232 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1183) (-433 *3))) (-14 *5 (-1163)) (-14 *6 *4))) (-3518 (*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-843) (-1038 (-569)) (-631 (-569)) (-454))) (-5 *2 (-2 (|:| |%term| (-2 (|:| |%coef| (-1231 *4 *5 *6)) (|:| |%expon| (-315 *4 *5 *6)) (|:| |%expTerms| (-635 (-2 (|:| |k| (-410 (-569))) (|:| |c| *4)))))) (|:| |%type| (-1145)))) (-5 *1 (-1232 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1183) (-433 *3))) (-14 *5 (-1163)) (-14 *6 *4)))) 
+(-13 (-325 (-1231 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) (-559) (-10 -8 (-15 -3256 ((-3 (-836 |#2|) "failed") $)) (-15 -3518 ((-3 (-2 (|:| |%term| (-2 (|:| |%coef| (-1231 |#2| |#3| |#4|)) (|:| |%expon| (-315 |#2| |#3| |#4|)) (|:| |%expTerms| (-635 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#2|)))))) (|:| |%type| (-1145))) "failed") $)))) 
+((-2247 ((|#2| $) 28)) (-4360 ((|#2| $) 18)) (-4459 (($ $) 35)) (-3138 (($ $ (-569)) 63)) (-1691 (((-121) $ (-764)) 32)) (-3891 ((|#2| $ |#2|) 60)) (-1868 ((|#2| $ |#2|) 58)) (-4469 ((|#2| $ "value" |#2|) NIL) ((|#2| $ "first" |#2|) 51) (($ $ "rest" $) 55) ((|#2| $ "last" |#2|) 53)) (-3725 (($ $ (-635 $)) 59)) (-1669 ((|#2| $) 17)) (-2046 (($ $) NIL) (($ $ (-764)) 41)) (-4032 (((-635 $) $) 25)) (-4349 (((-121) $ $) 49)) (-1974 (((-121) $ (-764)) 31)) (-2006 (((-121) $ (-764)) 30)) (-3486 (((-121) $) 27)) (-4213 ((|#2| $) 23) (($ $ (-764)) 45)) (-1534 ((|#2| $ "value") NIL) ((|#2| $ "first") 10) (($ $ "rest") 16) ((|#2| $ "last") 13)) (-1472 (((-121) $) 21)) (-2645 (($ $) 38)) (-2780 (($ $) 64)) (-4035 (((-764) $) 40)) (-4343 (($ $) 39)) (-2250 (($ $ $) 57) (($ |#2| $) NIL)) (-4114 (((-635 $) $) 26)) (-1668 (((-121) $ $) 47)) (-4168 (((-764) $) 34))) 
+(((-1233 |#1| |#2|) (-10 -8 (-15 -3138 (|#1| |#1| (-569))) (-15 -4469 (|#2| |#1| "last" |#2|)) (-15 -1868 (|#2| |#1| |#2|)) (-15 -4469 (|#1| |#1| "rest" |#1|)) (-15 -4469 (|#2| |#1| "first" |#2|)) (-15 -2780 (|#1| |#1|)) (-15 -2645 (|#1| |#1|)) (-15 -4035 ((-764) |#1|)) (-15 -4343 (|#1| |#1|)) (-15 -4360 (|#2| |#1|)) (-15 -1669 (|#2| |#1|)) (-15 -4459 (|#1| |#1|)) (-15 -4213 (|#1| |#1| (-764))) (-15 -1534 (|#2| |#1| "last")) (-15 -4213 (|#2| |#1|)) (-15 -2046 (|#1| |#1| (-764))) (-15 -1534 (|#1| |#1| "rest")) (-15 -2046 (|#1| |#1|)) (-15 -1534 (|#2| |#1| "first")) (-15 -2250 (|#1| |#2| |#1|)) (-15 -2250 (|#1| |#1| |#1|)) (-15 -3891 (|#2| |#1| |#2|)) (-15 -4469 (|#2| |#1| "value" |#2|)) (-15 -3725 (|#1| |#1| (-635 |#1|))) (-15 -4349 ((-121) |#1| |#1|)) (-15 -1472 ((-121) |#1|)) (-15 -1534 (|#2| |#1| "value")) (-15 -2247 (|#2| |#1|)) (-15 -3486 ((-121) |#1|)) (-15 -4032 ((-635 |#1|) |#1|)) (-15 -4114 ((-635 |#1|) |#1|)) (-15 -1668 ((-121) |#1| |#1|)) (-15 -4168 ((-764) |#1|)) (-15 -1691 ((-121) |#1| (-764))) (-15 -1974 ((-121) |#1| (-764))) (-15 -2006 ((-121) |#1| (-764)))) (-1234 |#2|) (-1197)) (T -1233)) 
+NIL 
+(-10 -8 (-15 -3138 (|#1| |#1| (-569))) (-15 -4469 (|#2| |#1| "last" |#2|)) (-15 -1868 (|#2| |#1| |#2|)) (-15 -4469 (|#1| |#1| "rest" |#1|)) (-15 -4469 (|#2| |#1| "first" |#2|)) (-15 -2780 (|#1| |#1|)) (-15 -2645 (|#1| |#1|)) (-15 -4035 ((-764) |#1|)) (-15 -4343 (|#1| |#1|)) (-15 -4360 (|#2| |#1|)) (-15 -1669 (|#2| |#1|)) (-15 -4459 (|#1| |#1|)) (-15 -4213 (|#1| |#1| (-764))) (-15 -1534 (|#2| |#1| "last")) (-15 -4213 (|#2| |#1|)) (-15 -2046 (|#1| |#1| (-764))) (-15 -1534 (|#1| |#1| "rest")) (-15 -2046 (|#1| |#1|)) (-15 -1534 (|#2| |#1| "first")) (-15 -2250 (|#1| |#2| |#1|)) (-15 -2250 (|#1| |#1| |#1|)) (-15 -3891 (|#2| |#1| |#2|)) (-15 -4469 (|#2| |#1| "value" |#2|)) (-15 -3725 (|#1| |#1| (-635 |#1|))) (-15 -4349 ((-121) |#1| |#1|)) (-15 -1472 ((-121) |#1|)) (-15 -1534 (|#2| |#1| "value")) (-15 -2247 (|#2| |#1|)) (-15 -3486 ((-121) |#1|)) (-15 -4032 ((-635 |#1|) |#1|)) (-15 -4114 ((-635 |#1|) |#1|)) (-15 -1668 ((-121) |#1| |#1|)) (-15 -4168 ((-764) |#1|)) (-15 -1691 ((-121) |#1| (-764))) (-15 -1974 ((-121) |#1| (-764))) (-15 -2006 ((-121) |#1| (-764)))) 
+((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-2247 ((|#1| $) 45)) (-4360 ((|#1| $) 62)) (-4459 (($ $) 64)) (-3138 (($ $ (-569)) 49 (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) 8)) (-3891 ((|#1| $ |#1|) 36 (|has| $ (-6 -4536)))) (-3014 (($ $ $) 53 (|has| $ (-6 -4536)))) (-1868 ((|#1| $ |#1|) 51 (|has| $ (-6 -4536)))) (-3159 ((|#1| $ |#1|) 55 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4536))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4536))) (($ $ "rest" $) 52 (|has| $ (-6 -4536))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) 38 (|has| $ (-6 -4536)))) (-1669 ((|#1| $) 63)) (-2820 (($) 7 T CONST)) (-2046 (($ $) 70) (($ $ (-764)) 68)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) 47)) (-4349 (((-121) $ $) 39 (|has| |#1| (-1091)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2824 (((-635 |#1|) $) 42)) (-3486 (((-121) $) 46)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-4213 ((|#1| $) 67) (($ $ (-764)) 65)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4353 ((|#1| $) 73) (($ $ (-764)) 71)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66)) (-1686 (((-569) $ $) 41)) (-1472 (((-121) $) 43)) (-2645 (($ $) 59)) (-2780 (($ $) 56 (|has| $ (-6 -4536)))) (-4035 (((-764) $) 60)) (-4343 (($ $) 61)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2697 (($ $ $) 58 (|has| $ (-6 -4536))) (($ $ |#1|) 57 (|has| $ (-6 -4536)))) (-2250 (($ $ $) 75) (($ |#1| $) 74)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-4114 (((-635 $) $) 48)) (-2447 (((-121) $ $) 40 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-1234 |#1|) (-1278) (-1197)) (T -1234)) 
+((-2250 (*1 *1 *1 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-2250 (*1 *1 *2 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-4353 (*1 *2 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 "first") (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-4353 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1234 *3)) (-4 *3 (-1197)))) (-2046 (*1 *1 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-1534 (*1 *1 *1 *2) (-12 (-5 *2 "rest") (-4 *1 (-1234 *3)) (-4 *3 (-1197)))) (-2046 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1234 *3)) (-4 *3 (-1197)))) (-4213 (*1 *2 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 "last") (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-4213 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1234 *3)) (-4 *3 (-1197)))) (-4459 (*1 *1 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-1669 (*1 *2 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-4360 (*1 *2 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-4343 (*1 *1 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-4035 (*1 *2 *1) (-12 (-4 *1 (-1234 *3)) (-4 *3 (-1197)) (-5 *2 (-764)))) (-2645 (*1 *1 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-2697 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-2697 (*1 *1 *1 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-2780 (*1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-3159 (*1 *2 *1 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-4469 (*1 *2 *1 *3 *2) (-12 (-5 *3 "first") (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-3014 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-4469 (*1 *1 *1 *2 *1) (-12 (-5 *2 "rest") (|has| *1 (-6 -4536)) (-4 *1 (-1234 *3)) (-4 *3 (-1197)))) (-1868 (*1 *2 *1 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-4469 (*1 *2 *1 *3 *2) (-12 (-5 *3 "last") (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-3138 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (|has| *1 (-6 -4536)) (-4 *1 (-1234 *3)) (-4 *3 (-1197))))) 
+(-13 (-1011 |t#1|) (-10 -8 (-15 -2250 ($ $ $)) (-15 -2250 ($ |t#1| $)) (-15 -4353 (|t#1| $)) (-15 -1534 (|t#1| $ "first")) (-15 -4353 ($ $ (-764))) (-15 -2046 ($ $)) (-15 -1534 ($ $ "rest")) (-15 -2046 ($ $ (-764))) (-15 -4213 (|t#1| $)) (-15 -1534 (|t#1| $ "last")) (-15 -4213 ($ $ (-764))) (-15 -4459 ($ $)) (-15 -1669 (|t#1| $)) (-15 -4360 (|t#1| $)) (-15 -4343 ($ $)) (-15 -4035 ((-764) $)) (-15 -2645 ($ $)) (IF (|has| $ (-6 -4536)) (PROGN (-15 -2697 ($ $ $)) (-15 -2697 ($ $ |t#1|)) (-15 -2780 ($ $)) (-15 -3159 (|t#1| $ |t#1|)) (-15 -4469 (|t#1| $ "first" |t#1|)) (-15 -3014 ($ $ $)) (-15 -4469 ($ $ "rest" $)) (-15 -1868 (|t#1| $ |t#1|)) (-15 -4469 (|t#1| $ "last" |t#1|)) (-15 -3138 ($ $ (-569)))) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1011 |#1|) . T) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
+((-1544 ((|#4| (-1 |#2| |#1|) |#3|) 17))) 
+(((-1235 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1544 (|#4| (-1 |#2| |#1|) |#3|))) (-1048) (-1048) (-1237 |#1|) (-1237 |#2|)) (T -1235)) 
+((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-4 *2 (-1237 *6)) (-5 *1 (-1235 *5 *6 *4 *2)) (-4 *4 (-1237 *5))))) 
+(-10 -7 (-15 -1544 (|#4| (-1 |#2| |#1|) |#3|))) 
+((-3813 (((-121) $) 15)) (-1753 (($ $) 90)) (-2530 (($ $) 66)) (-1744 (($ $) 86)) (-2513 (($ $) 62)) (-1760 (($ $) 94)) (-2546 (($ $) 70)) (-4450 (($ $) 60)) (-2436 (($ $) 58)) (-1764 (($ $) 96)) (-2554 (($ $) 72)) (-1756 (($ $) 92)) (-2538 (($ $) 68)) (-1748 (($ $) 88)) (-2522 (($ $) 64)) (-2185 (((-851) $) 46) (($ (-569)) NIL) (($ (-410 (-569))) NIL) (($ $) NIL) (($ |#2|) NIL)) (-1779 (($ $) 102)) (-1727 (($ $) 78)) (-1770 (($ $) 98)) (-2561 (($ $) 74)) (-1785 (($ $) 106)) (-1736 (($ $) 82)) (-2430 (($ $) 108)) (-1740 (($ $) 84)) (-1782 (($ $) 104)) (-1731 (($ $) 80)) (-1775 (($ $) 100)) (-2569 (($ $) 76)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ |#2|) 50) (($ $ $) 53) (($ $ (-410 (-569))) 56))) 
+(((-1236 |#1| |#2|) (-10 -8 (-15 ** (|#1| |#1| (-410 (-569)))) (-15 -2530 (|#1| |#1|)) (-15 -2513 (|#1| |#1|)) (-15 -2546 (|#1| |#1|)) (-15 -2554 (|#1| |#1|)) (-15 -2538 (|#1| |#1|)) (-15 -2522 (|#1| |#1|)) (-15 -2569 (|#1| |#1|)) (-15 -1731 (|#1| |#1|)) (-15 -1740 (|#1| |#1|)) (-15 -1736 (|#1| |#1|)) (-15 -2561 (|#1| |#1|)) (-15 -1727 (|#1| |#1|)) (-15 -1748 (|#1| |#1|)) (-15 -1756 (|#1| |#1|)) (-15 -1764 (|#1| |#1|)) (-15 -1760 (|#1| |#1|)) (-15 -1744 (|#1| |#1|)) (-15 -1753 (|#1| |#1|)) (-15 -1775 (|#1| |#1|)) (-15 -1782 (|#1| |#1|)) (-15 -2430 (|#1| |#1|)) (-15 -1785 (|#1| |#1|)) (-15 -1770 (|#1| |#1|)) (-15 -1779 (|#1| |#1|)) (-15 -4450 (|#1| |#1|)) (-15 -2436 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| |#2|)) (-15 -2185 (|#1| |#2|)) (-15 -2185 (|#1| |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 (|#1| (-569))) (-15 ** (|#1| |#1| (-764))) (-15 ** (|#1| |#1| (-918))) (-15 -3813 ((-121) |#1|)) (-15 -2185 ((-851) |#1|))) (-1237 |#2|) (-1048)) (T -1236)) 
+NIL 
+(-10 -8 (-15 ** (|#1| |#1| (-410 (-569)))) (-15 -2530 (|#1| |#1|)) (-15 -2513 (|#1| |#1|)) (-15 -2546 (|#1| |#1|)) (-15 -2554 (|#1| |#1|)) (-15 -2538 (|#1| |#1|)) (-15 -2522 (|#1| |#1|)) (-15 -2569 (|#1| |#1|)) (-15 -1731 (|#1| |#1|)) (-15 -1740 (|#1| |#1|)) (-15 -1736 (|#1| |#1|)) (-15 -2561 (|#1| |#1|)) (-15 -1727 (|#1| |#1|)) (-15 -1748 (|#1| |#1|)) (-15 -1756 (|#1| |#1|)) (-15 -1764 (|#1| |#1|)) (-15 -1760 (|#1| |#1|)) (-15 -1744 (|#1| |#1|)) (-15 -1753 (|#1| |#1|)) (-15 -1775 (|#1| |#1|)) (-15 -1782 (|#1| |#1|)) (-15 -2430 (|#1| |#1|)) (-15 -1785 (|#1| |#1|)) (-15 -1770 (|#1| |#1|)) (-15 -1779 (|#1| |#1|)) (-15 -4450 (|#1| |#1|)) (-15 -2436 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| |#2|)) (-15 -2185 (|#1| |#2|)) (-15 -2185 (|#1| |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 (|#1| (-569))) (-15 ** (|#1| |#1| (-764))) (-15 ** (|#1| |#1| (-918))) (-15 -3813 ((-121) |#1|)) (-15 -2185 ((-851) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1773 (((-635 (-1076)) $) 70)) (-3534 (((-1163) $) 98)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-3383 (($ $) 51 (|has| |#1| (-559)))) (-4354 (((-121) $) 53 (|has| |#1| (-559)))) (-3136 (($ $ (-764)) 93) (($ $ (-764) (-764)) 92)) (-1403 (((-1143 (-2 (|:| |k| (-764)) (|:| |c| |#1|))) $) 100)) (-1753 (($ $) 127 (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) 110 (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) 18)) (-2454 (($ $) 109 (|has| |#1| (-43 (-410 (-569)))))) (-1744 (($ $) 126 (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-3343 (($ (-1143 (-2 (|:| |k| (-764)) (|:| |c| |#1|)))) 147) (($ (-1143 |#1|)) 145)) (-1760 (($ $) 125 (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) 112 (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) 16 T CONST)) (-4020 (($ $) 59)) (-3428 (((-3 $ "failed") $) 33)) (-2394 (($ $) 144)) (-2088 (((-954 |#1|) $ (-764)) 142) (((-954 |#1|) $ (-764) (-764)) 141)) (-2777 (((-121) $) 69)) (-2445 (($) 137 (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-764) $) 95) (((-764) $ (-764)) 94)) (-1407 (((-121) $) 30)) (-4344 (($ $ (-569)) 108 (|has| |#1| (-43 (-410 (-569)))))) (-3089 (($ $ (-918)) 96)) (-3622 (($ (-1 |#1| (-569)) $) 143)) (-3523 (((-121) $) 61)) (-1763 (($ |#1| (-764)) 60) (($ $ (-1076) (-764)) 72) (($ $ (-635 (-1076)) (-635 (-764))) 71)) (-1544 (($ (-1 |#1| |#1|) $) 62)) (-4450 (($ $) 134 (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) 64)) (-4012 ((|#1| $) 65)) (-2776 (((-1145) $) 9)) (-2565 (($ $) 139 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) 138 (-2232 (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-960)) (|has| |#1| (-1183)) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-43 (-410 (-569)))))))) (-3360 (((-1109) $) 10)) (-3499 (($ $ (-764)) 90)) (-2941 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-2436 (($ $) 135 (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-764)))))) (-1534 ((|#1| $ (-764)) 99) (($ $ $) 76 (|has| (-764) (-1103)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) 84 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (($ $ (-1163) (-764)) 83 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (($ $ (-635 (-1163))) 82 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (($ $ (-1163)) 81 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (($ $ (-764)) 79 (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (-2492 (((-764) $) 63)) (-1764 (($ $) 124 (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) 113 (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) 123 (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) 114 (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) 122 (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) 115 (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) 68)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559))) (($ |#1|) 46 (|has| |#1| (-173)))) (-3382 (((-1143 |#1|) $) 146)) (-1653 ((|#1| $ (-764)) 58)) (-3953 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-1991 (((-764)) 28)) (-4030 ((|#1| $) 97)) (-1779 (($ $) 133 (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) 121 (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) 52 (|has| |#1| (-559)))) (-1770 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) 120 (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) 131 (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) 119 (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-764)) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-764)))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) 118 (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) 129 (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) 117 (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) 128 (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) 116 (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) 88 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (($ $ (-1163) (-764)) 87 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (($ $ (-635 (-1163))) 86 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (($ $ (-1163)) 85 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (($ $ (-764)) 80 (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#1|) 57 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ |#1|) 140 (|has| |#1| (-366))) (($ $ $) 136 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 107 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1237 |#1|) (-1278) (-1048)) (T -1237)) 
+((-3343 (*1 *1 *2) (-12 (-5 *2 (-1143 (-2 (|:| |k| (-764)) (|:| |c| *3)))) (-4 *3 (-1048)) (-4 *1 (-1237 *3)))) (-3382 (*1 *2 *1) (-12 (-4 *1 (-1237 *3)) (-4 *3 (-1048)) (-5 *2 (-1143 *3)))) (-3343 (*1 *1 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-4 *1 (-1237 *3)))) (-2394 (*1 *1 *1) (-12 (-4 *1 (-1237 *2)) (-4 *2 (-1048)))) (-3622 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-569))) (-4 *1 (-1237 *3)) (-4 *3 (-1048)))) (-2088 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-1237 *4)) (-4 *4 (-1048)) (-5 *2 (-954 *4)))) (-2088 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-764)) (-4 *1 (-1237 *4)) (-4 *4 (-1048)) (-5 *2 (-954 *4)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-1237 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) (-2565 (*1 *1 *1) (-12 (-4 *1 (-1237 *2)) (-4 *2 (-1048)) (-4 *2 (-43 (-410 (-569)))))) (-2565 (*1 *1 *1 *2) (-2232 (-12 (-5 *2 (-1163)) (-4 *1 (-1237 *3)) (-4 *3 (-1048)) (-12 (-4 *3 (-29 (-569))) (-4 *3 (-960)) (-4 *3 (-1183)) (-4 *3 (-43 (-410 (-569)))))) (-12 (-5 *2 (-1163)) (-4 *1 (-1237 *3)) (-4 *3 (-1048)) (-12 (|has| *3 (-15 -1773 ((-635 *2) *3))) (|has| *3 (-15 -2565 (*3 *3 *2))) (-4 *3 (-43 (-410 (-569))))))))) 
+(-13 (-1224 |t#1| (-764)) (-10 -8 (-15 -3343 ($ (-1143 (-2 (|:| |k| (-764)) (|:| |c| |t#1|))))) (-15 -3382 ((-1143 |t#1|) $)) (-15 -3343 ($ (-1143 |t#1|))) (-15 -2394 ($ $)) (-15 -3622 ($ (-1 |t#1| (-569)) $)) (-15 -2088 ((-954 |t#1|) $ (-764))) (-15 -2088 ((-954 |t#1|) $ (-764) (-764))) (IF (|has| |t#1| (-366)) (-15 ** ($ $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-43 (-410 (-569)))) (PROGN (-15 -2565 ($ $)) (IF (|has| |t#1| (-15 -2565 (|t#1| |t#1| (-1163)))) (IF (|has| |t#1| (-15 -1773 ((-635 (-1163)) |t#1|))) (-15 -2565 ($ $ (-1163))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-1183)) (IF (|has| |t#1| (-960)) (IF (|has| |t#1| (-29 (-569))) (-15 -2565 ($ $ (-1163))) |noBranch|) |noBranch|) |noBranch|) (-6 (-1003)) (-6 (-1183))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| (-764)) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-40) |has| |#1| (-43 (-410 (-569)))) ((-98) |has| |#1| (-43 (-410 (-569)))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-226) |has| |#1| (-15 * (|#1| (-764) |#1|))) ((-280) |has| |#1| (-43 (-410 (-569)))) ((-282 $ $) |has| (-764) (-1103)) ((-286) |has| |#1| (-559)) ((-503) |has| |#1| (-43 (-410 (-569)))) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-708 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) |has| |#1| (-559)) ((-717) . T) ((-896 (-1163)) -12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163)))) ((-975 |#1| (-764) (-1076)) . T) ((-1003) |has| |#1| (-43 (-410 (-569)))) ((-1054 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1183) |has| |#1| (-43 (-410 (-569)))) ((-1186) |has| |#1| (-43 (-410 (-569)))) ((-1224 |#1| (-764)) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) 86)) (-3683 (((-1219 |#2| |#1|) $ (-764)) 73)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) 135 (|has| |#1| (-559)))) (-3136 (($ $ (-764)) 120) (($ $ (-764) (-764)) 122)) (-1403 (((-1143 (-2 (|:| |k| (-764)) (|:| |c| |#1|))) $) 42)) (-1753 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1744 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3343 (($ (-1143 (-2 (|:| |k| (-764)) (|:| |c| |#1|)))) 53) (($ (-1143 |#1|)) NIL)) (-1760 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-1889 (($ $) 126)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2394 (($ $) 133)) (-2088 (((-954 |#1|) $ (-764)) 63) (((-954 |#1|) $ (-764) (-764)) 65)) (-2777 (((-121) $) NIL)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-764) $) NIL) (((-764) $ (-764)) NIL)) (-1407 (((-121) $) NIL)) (-2787 (($ $) 110)) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4173 (($ (-569) (-569) $) 128)) (-3089 (($ $ (-918)) 132)) (-3622 (($ (-1 |#1| (-569)) $) 104)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-764)) 15) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-1544 (($ (-1 |#1| |#1|) $) 92)) (-4450 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3380 (($ $) 108)) (-1722 (($ $) 106)) (-1357 (($ (-569) (-569) $) 130)) (-2565 (($ $) 143 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) 149 (-2232 (-12 (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-960)) (|has| |#1| (-1183))))) (($ $ (-1243 |#2|)) 144 (|has| |#1| (-43 (-410 (-569)))))) (-3360 (((-1109) $) NIL)) (-3235 (($ $ (-569) (-569)) 114)) (-3499 (($ $ (-764)) 116)) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-2436 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2924 (($ $) 112)) (-1468 (((-1143 |#1|) $ |#1|) 94 (|has| |#1| (-15 ** (|#1| |#1| (-764)))))) (-1534 ((|#1| $ (-764)) 89) (($ $ $) 124 (|has| (-764) (-1103)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) 101 (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $) 96 (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $ (-1243 |#2|)) 97)) (-2492 (((-764) $) NIL)) (-1764 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) 118)) (-2185 (((-851) $) NIL) (($ (-569)) 24) (($ (-410 (-569))) 141 (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) 23 (|has| |#1| (-173))) (($ (-1219 |#2| |#1|)) 79) (($ (-1243 |#2|)) 20)) (-3382 (((-1143 |#1|) $) NIL)) (-1653 ((|#1| $ (-764)) 88)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-4030 ((|#1| $) 87)) (-1779 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-764)) 85 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-764)))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 17 T CONST)) (-1556 (($) 13 T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) 100)) (-1707 (($ $ $) 18)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ |#1|) 138 (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 99) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1238 |#1| |#2| |#3|) (-13 (-1237 |#1|) (-10 -8 (-15 -2185 ($ (-1219 |#2| |#1|))) (-15 -3683 ((-1219 |#2| |#1|) $ (-764))) (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (-15 -1722 ($ $)) (-15 -3380 ($ $)) (-15 -2787 ($ $)) (-15 -2924 ($ $)) (-15 -3235 ($ $ (-569) (-569))) (-15 -1889 ($ $)) (-15 -4173 ($ (-569) (-569) $)) (-15 -1357 ($ (-569) (-569) $)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) (-1048) (-1163) |#1|) (T -1238)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1219 *4 *3)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-14 *5 *3) (-5 *1 (-1238 *3 *4 *5)))) (-3683 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1219 *5 *4)) (-5 *1 (-1238 *4 *5 *6)) (-4 *4 (-1048)) (-14 *5 (-1163)) (-14 *6 *4))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1238 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1238 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-1722 (*1 *1 *1) (-12 (-5 *1 (-1238 *2 *3 *4)) (-4 *2 (-1048)) (-14 *3 (-1163)) (-14 *4 *2))) (-3380 (*1 *1 *1) (-12 (-5 *1 (-1238 *2 *3 *4)) (-4 *2 (-1048)) (-14 *3 (-1163)) (-14 *4 *2))) (-2787 (*1 *1 *1) (-12 (-5 *1 (-1238 *2 *3 *4)) (-4 *2 (-1048)) (-14 *3 (-1163)) (-14 *4 *2))) (-2924 (*1 *1 *1) (-12 (-5 *1 (-1238 *2 *3 *4)) (-4 *2 (-1048)) (-14 *3 (-1163)) (-14 *4 *2))) (-3235 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1238 *3 *4 *5)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-14 *5 *3))) (-1889 (*1 *1 *1) (-12 (-5 *1 (-1238 *2 *3 *4)) (-4 *2 (-1048)) (-14 *3 (-1163)) (-14 *4 *2))) (-4173 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1238 *3 *4 *5)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-14 *5 *3))) (-1357 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1238 *3 *4 *5)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-14 *5 *3))) (-2565 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1238 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3)))) 
+(-13 (-1237 |#1|) (-10 -8 (-15 -2185 ($ (-1219 |#2| |#1|))) (-15 -3683 ((-1219 |#2| |#1|) $ (-764))) (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (-15 -1722 ($ $)) (-15 -3380 ($ $)) (-15 -2787 ($ $)) (-15 -2924 ($ $)) (-15 -3235 ($ $ (-569) (-569))) (-15 -1889 ($ $)) (-15 -4173 ($ (-569) (-569) $)) (-15 -1357 ($ (-569) (-569) $)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) 
+((-1807 (((-1 (-1143 |#1|) (-635 (-1143 |#1|))) (-1 |#2| (-635 |#2|))) 24)) (-3158 (((-1 (-1143 |#1|) (-1143 |#1|) (-1143 |#1|)) (-1 |#2| |#2| |#2|)) 16)) (-3895 (((-1 (-1143 |#1|) (-1143 |#1|)) (-1 |#2| |#2|)) 13)) (-2975 ((|#2| (-1 |#2| |#2| |#2|) |#1| |#1|) 48)) (-3770 ((|#2| (-1 |#2| |#2|) |#1|) 46)) (-2297 ((|#2| (-1 |#2| (-635 |#2|)) (-635 |#1|)) 54)) (-3190 (((-635 |#2|) (-635 |#1|) (-635 (-1 |#2| (-635 |#2|)))) 61)) (-2564 ((|#2| |#2| |#2|) 43))) 
+(((-1239 |#1| |#2|) (-10 -7 (-15 -3895 ((-1 (-1143 |#1|) (-1143 |#1|)) (-1 |#2| |#2|))) (-15 -3158 ((-1 (-1143 |#1|) (-1143 |#1|) (-1143 |#1|)) (-1 |#2| |#2| |#2|))) (-15 -1807 ((-1 (-1143 |#1|) (-635 (-1143 |#1|))) (-1 |#2| (-635 |#2|)))) (-15 -2564 (|#2| |#2| |#2|)) (-15 -3770 (|#2| (-1 |#2| |#2|) |#1|)) (-15 -2975 (|#2| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -2297 (|#2| (-1 |#2| (-635 |#2|)) (-635 |#1|))) (-15 -3190 ((-635 |#2|) (-635 |#1|) (-635 (-1 |#2| (-635 |#2|)))))) (-43 (-410 (-569))) (-1237 |#1|)) (T -1239)) 
+((-3190 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-1 *6 (-635 *6)))) (-4 *5 (-43 (-410 (-569)))) (-4 *6 (-1237 *5)) (-5 *2 (-635 *6)) (-5 *1 (-1239 *5 *6)))) (-2297 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-635 *2))) (-5 *4 (-635 *5)) (-4 *5 (-43 (-410 (-569)))) (-4 *2 (-1237 *5)) (-5 *1 (-1239 *5 *2)))) (-2975 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1237 *4)) (-5 *1 (-1239 *4 *2)) (-4 *4 (-43 (-410 (-569)))))) (-3770 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *2)) (-4 *2 (-1237 *4)) (-5 *1 (-1239 *4 *2)) (-4 *4 (-43 (-410 (-569)))))) (-2564 (*1 *2 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1239 *3 *2)) (-4 *2 (-1237 *3)))) (-1807 (*1 *2 *3) (-12 (-5 *3 (-1 *5 (-635 *5))) (-4 *5 (-1237 *4)) (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-1 (-1143 *4) (-635 (-1143 *4)))) (-5 *1 (-1239 *4 *5)))) (-3158 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *5 *5)) (-4 *5 (-1237 *4)) (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-1 (-1143 *4) (-1143 *4) (-1143 *4))) (-5 *1 (-1239 *4 *5)))) (-3895 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1237 *4)) (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-1 (-1143 *4) (-1143 *4))) (-5 *1 (-1239 *4 *5))))) 
+(-10 -7 (-15 -3895 ((-1 (-1143 |#1|) (-1143 |#1|)) (-1 |#2| |#2|))) (-15 -3158 ((-1 (-1143 |#1|) (-1143 |#1|) (-1143 |#1|)) (-1 |#2| |#2| |#2|))) (-15 -1807 ((-1 (-1143 |#1|) (-635 (-1143 |#1|))) (-1 |#2| (-635 |#2|)))) (-15 -2564 (|#2| |#2| |#2|)) (-15 -3770 (|#2| (-1 |#2| |#2|) |#1|)) (-15 -2975 (|#2| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -2297 (|#2| (-1 |#2| (-635 |#2|)) (-635 |#1|))) (-15 -3190 ((-635 |#2|) (-635 |#1|) (-635 (-1 |#2| (-635 |#2|)))))) 
+((-3361 ((|#2| |#4| (-764)) 30)) (-2070 ((|#4| |#2|) 25)) (-2249 ((|#4| (-410 |#2|)) 51 (|has| |#1| (-559)))) (-2434 (((-1 |#4| (-635 |#4|)) |#3|) 45))) 
+(((-1240 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2070 (|#4| |#2|)) (-15 -3361 (|#2| |#4| (-764))) (-15 -2434 ((-1 |#4| (-635 |#4|)) |#3|)) (IF (|has| |#1| (-559)) (-15 -2249 (|#4| (-410 |#2|))) |noBranch|)) (-1048) (-1222 |#1|) (-647 |#2|) (-1237 |#1|)) (T -1240)) 
+((-2249 (*1 *2 *3) (-12 (-5 *3 (-410 *5)) (-4 *5 (-1222 *4)) (-4 *4 (-559)) (-4 *4 (-1048)) (-4 *2 (-1237 *4)) (-5 *1 (-1240 *4 *5 *6 *2)) (-4 *6 (-647 *5)))) (-2434 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-1222 *4)) (-5 *2 (-1 *6 (-635 *6))) (-5 *1 (-1240 *4 *5 *3 *6)) (-4 *3 (-647 *5)) (-4 *6 (-1237 *4)))) (-3361 (*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-1048)) (-4 *2 (-1222 *5)) (-5 *1 (-1240 *5 *2 *6 *3)) (-4 *6 (-647 *2)) (-4 *3 (-1237 *5)))) (-2070 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *3 (-1222 *4)) (-4 *2 (-1237 *4)) (-5 *1 (-1240 *4 *3 *5 *2)) (-4 *5 (-647 *3))))) 
+(-10 -7 (-15 -2070 (|#4| |#2|)) (-15 -3361 (|#2| |#4| (-764))) (-15 -2434 ((-1 |#4| (-635 |#4|)) |#3|)) (IF (|has| |#1| (-559)) (-15 -2249 (|#4| (-410 |#2|))) |noBranch|)) 
+((-3216 ((|#2| (-1 |#3| |#3|) (-635 |#1|)) 67))) 
+(((-1241 |#1| |#2| |#3|) (-10 -7 (-15 -3216 (|#2| (-1 |#3| |#3|) (-635 |#1|)))) (-366) (-1237 |#1|) (-1237 (-1157 |#1|))) (T -1241)) 
+((-3216 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *6)) (-5 *4 (-635 *5)) (-4 *5 (-366)) (-4 *6 (-1237 (-1157 *5))) (-4 *2 (-1237 *5)) (-5 *1 (-1241 *5 *2 *6))))) 
+(-10 -7 (-15 -3216 (|#2| (-1 |#3| |#3|) (-635 |#1|)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) 79)) (-3683 (((-1219 |#2| |#1|) $ (-764)) 68)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) 128 (|has| |#1| (-559)))) (-3136 (($ $ (-764)) 113) (($ $ (-764) (-764)) 115)) (-1403 (((-1143 (-2 (|:| |k| (-764)) (|:| |c| |#1|))) $) 38)) (-1753 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1744 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3343 (($ (-1143 (-2 (|:| |k| (-764)) (|:| |c| |#1|)))) 51) (($ (-1143 |#1|)) NIL)) (-1760 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-1889 (($ $) 119)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2394 (($ $) 126)) (-2088 (((-954 |#1|) $ (-764)) 59) (((-954 |#1|) $ (-764) (-764)) 61)) (-2777 (((-121) $) NIL)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-764) $) NIL) (((-764) $ (-764)) NIL)) (-1407 (((-121) $) NIL)) (-2787 (($ $) 103)) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4173 (($ (-569) (-569) $) 121)) (-3089 (($ $ (-918)) 125)) (-3622 (($ (-1 |#1| (-569)) $) 97)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-764)) 12) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-1544 (($ (-1 |#1| |#1|) $) 85)) (-4450 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3380 (($ $) 101)) (-1722 (($ $) 99)) (-1357 (($ (-569) (-569) $) 123)) (-2565 (($ $) 136 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) 139 (-2232 (-12 (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-960)) (|has| |#1| (-1183))))) (($ $ (-1243 |#2|)) 137 (|has| |#1| (-43 (-410 (-569)))))) (-3360 (((-1109) $) NIL)) (-3235 (($ $ (-569) (-569)) 107)) (-3499 (($ $ (-764)) 109)) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-2436 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2924 (($ $) 105)) (-1468 (((-1143 |#1|) $ |#1|) 87 (|has| |#1| (-15 ** (|#1| |#1| (-764)))))) (-1534 ((|#1| $ (-764)) 82) (($ $ $) 117 (|has| (-764) (-1103)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) 92 (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $) 89 (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $ (-1243 |#2|)) 90)) (-2492 (((-764) $) NIL)) (-1764 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) 111)) (-2185 (((-851) $) NIL) (($ (-569)) 18) (($ (-410 (-569))) 134 (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) 17 (|has| |#1| (-173))) (($ (-1219 |#2| |#1|)) 73) (($ (-1243 |#2|)) 14)) (-3382 (((-1143 |#1|) $) NIL)) (-1653 ((|#1| $ (-764)) 81)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-4030 ((|#1| $) 80)) (-1779 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-764)) 78 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-764)))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 44 T CONST)) (-1556 (($) 9 T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) 94)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ |#1|) 131 (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 93) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1242 |#1| |#2|) (-13 (-1237 |#1|) (-10 -8 (-15 -2185 ($ (-1219 |#2| |#1|))) (-15 -3683 ((-1219 |#2| |#1|) $ (-764))) (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (-15 -1722 ($ $)) (-15 -3380 ($ $)) (-15 -2787 ($ $)) (-15 -2924 ($ $)) (-15 -3235 ($ $ (-569) (-569))) (-15 -1889 ($ $)) (-15 -4173 ($ (-569) (-569) $)) (-15 -1357 ($ (-569) (-569) $)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) (-1048) (-1163)) (T -1242)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-1219 *4 *3)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-5 *1 (-1242 *3 *4)))) (-3683 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1219 *5 *4)) (-5 *1 (-1242 *4 *5)) (-4 *4 (-1048)) (-14 *5 (-1163)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1242 *3 *4)) (-4 *3 (-1048)))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1242 *3 *4)) (-4 *3 (-1048)))) (-1722 (*1 *1 *1) (-12 (-5 *1 (-1242 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-1163)))) (-3380 (*1 *1 *1) (-12 (-5 *1 (-1242 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-1163)))) (-2787 (*1 *1 *1) (-12 (-5 *1 (-1242 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-1163)))) (-2924 (*1 *1 *1) (-12 (-5 *1 (-1242 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-1163)))) (-3235 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1242 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-1163)))) (-1889 (*1 *1 *1) (-12 (-5 *1 (-1242 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-1163)))) (-4173 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1242 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-1163)))) (-1357 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1242 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-1163)))) (-2565 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1242 *3 *4)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048))))) 
+(-13 (-1237 |#1|) (-10 -8 (-15 -2185 ($ (-1219 |#2| |#1|))) (-15 -3683 ((-1219 |#2| |#1|) $ (-764))) (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (-15 -1722 ($ $)) (-15 -3380 ($ $)) (-15 -2787 ($ $)) (-15 -2924 ($ $)) (-15 -3235 ($ $ (-569) (-569))) (-15 -1889 ($ $)) (-15 -4173 ($ (-569) (-569) $)) (-15 -1357 ($ (-569) (-569) $)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) 
+((-2568 (((-121) $ $) NIL)) (-3534 (((-1163)) 12)) (-2776 (((-1145) $) 17)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 11) (((-1163) $) 8)) (-1668 (((-121) $ $) 14))) 
+(((-1243 |#1|) (-13 (-1091) (-609 (-1163)) (-10 -8 (-15 -2185 ((-1163) $)) (-15 -3534 ((-1163))))) (-1163)) (T -1243)) 
+((-2185 (*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-1243 *3)) (-14 *3 *2))) (-3534 (*1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1243 *3)) (-14 *3 *2)))) 
+(-13 (-1091) (-609 (-1163)) (-10 -8 (-15 -2185 ((-1163) $)) (-15 -3534 ((-1163))))) 
+((-2418 (($ (-764)) 16)) (-4404 (((-680 |#2|) $ $) 37)) (-2456 ((|#2| $) 46)) (-1906 ((|#2| $) 45)) (-2049 ((|#2| $ $) 33)) (-3904 (($ $ $) 42)) (-1711 (($ $) 20) (($ $ $) 26)) (-1707 (($ $ $) 13)) (* (($ (-569) $) 23) (($ |#2| $) 29) (($ $ |#2|) 28))) 
+(((-1244 |#1| |#2|) (-10 -8 (-15 -2456 (|#2| |#1|)) (-15 -1906 (|#2| |#1|)) (-15 -3904 (|#1| |#1| |#1|)) (-15 -4404 ((-680 |#2|) |#1| |#1|)) (-15 -2049 (|#2| |#1| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 -2418 (|#1| (-764))) (-15 -1707 (|#1| |#1| |#1|))) (-1245 |#2|) (-1197)) (T -1244)) 
+NIL 
+(-10 -8 (-15 -2456 (|#2| |#1|)) (-15 -1906 (|#2| |#1|)) (-15 -3904 (|#1| |#1| |#1|)) (-15 -4404 ((-680 |#2|) |#1| |#1|)) (-15 -2049 (|#2| |#1| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 -2418 (|#1| (-764))) (-15 -1707 (|#1| |#1| |#1|))) 
+((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-2418 (($ (-764)) 105 (|has| |#1| (-23)))) (-3112 (((-1252) $ (-569) (-569)) 37 (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) |#1| |#1|) $) 91) (((-121) $) 85 (|has| |#1| (-843)))) (-3076 (($ (-1 (-121) |#1| |#1|) $) 82 (|has| $ (-6 -4536))) (($ $) 81 (-12 (|has| |#1| (-843)) (|has| $ (-6 -4536))))) (-3113 (($ (-1 (-121) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-843)))) (-1691 (((-121) $ (-764)) 8)) (-4469 ((|#1| $ (-569) |#1|) 49 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) 53 (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-1302 (($ $) 83 (|has| $ (-6 -4536)))) (-2052 (($ $) 93)) (-2033 (($ $) 73 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ |#1| $) 72 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) 50 (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) 48)) (-3727 (((-569) (-1 (-121) |#1|) $) 90) (((-569) |#1| $) 89 (|has| |#1| (-1091))) (((-569) |#1| $ (-569)) 88 (|has| |#1| (-1091)))) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-4404 (((-680 |#1|) $ $) 98 (|has| |#1| (-1048)))) (-2659 (($ (-764) |#1|) 64)) (-1974 (((-121) $ (-764)) 9)) (-3557 (((-569) $) 40 (|has| (-569) (-843)))) (-3291 (($ $ $) 80 (|has| |#1| (-843)))) (-3288 (($ (-1 (-121) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1285 (((-569) $) 41 (|has| (-569) (-843)))) (-1538 (($ $ $) 79 (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-2456 ((|#1| $) 95 (-12 (|has| |#1| (-1048)) (|has| |#1| (-1003))))) (-2006 (((-121) $ (-764)) 10)) (-1906 ((|#1| $) 96 (-12 (|has| |#1| (-1048)) (|has| |#1| (-1003))))) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3614 (($ |#1| $ (-569)) 55) (($ $ $ (-569)) 54)) (-4166 (((-635 (-569)) $) 43)) (-3533 (((-121) (-569) $) 44)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4353 ((|#1| $) 39 (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-3174 (($ $ |#1|) 38 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) 45)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ (-569) |#1|) 47) ((|#1| $ (-569)) 46) (($ $ (-1213 (-569))) 58)) (-2049 ((|#1| $ $) 99 (|has| |#1| (-1048)))) (-3010 (($ $ (-569)) 57) (($ $ (-1213 (-569))) 56)) (-3904 (($ $ $) 97 (|has| |#1| (-1048)))) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-3389 (($ $ $ (-569)) 84 (|has| $ (-6 -4536)))) (-1971 (($ $) 13)) (-3817 (((-542) $) 74 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 65)) (-2250 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) 77 (|has| |#1| (-843)))) (-1684 (((-121) $ $) 76 (|has| |#1| (-843)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-1688 (((-121) $ $) 78 (|has| |#1| (-843)))) (-1678 (((-121) $ $) 75 (|has| |#1| (-843)))) (-1711 (($ $) 104 (|has| |#1| (-21))) (($ $ $) 103 (|has| |#1| (-21)))) (-1707 (($ $ $) 106 (|has| |#1| (-25)))) (* (($ (-569) $) 102 (|has| |#1| (-21))) (($ |#1| $) 101 (|has| |#1| (-717))) (($ $ |#1|) 100 (|has| |#1| (-717)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
+(((-1245 |#1|) (-1278) (-1197)) (T -1245)) 
+((-1707 (*1 *1 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-25)))) (-2418 (*1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1245 *3)) (-4 *3 (-23)) (-4 *3 (-1197)))) (-1711 (*1 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-21)))) (-1711 (*1 *1 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-21)))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-1245 *3)) (-4 *3 (-1197)) (-4 *3 (-21)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-717)))) (* (*1 *1 *1 *2) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-717)))) (-2049 (*1 *2 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-1048)))) (-4404 (*1 *2 *1 *1) (-12 (-4 *1 (-1245 *3)) (-4 *3 (-1197)) (-4 *3 (-1048)) (-5 *2 (-680 *3)))) (-3904 (*1 *1 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-1048)))) (-1906 (*1 *2 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-1003)) (-4 *2 (-1048)))) (-2456 (*1 *2 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-1003)) (-4 *2 (-1048))))) 
+(-13 (-19 |t#1|) (-10 -8 (IF (|has| |t#1| (-25)) (-15 -1707 ($ $ $)) |noBranch|) (IF (|has| |t#1| (-23)) (-15 -2418 ($ (-764))) |noBranch|) (IF (|has| |t#1| (-21)) (PROGN (-15 -1711 ($ $)) (-15 -1711 ($ $ $)) (-15 * ($ (-569) $))) |noBranch|) (IF (|has| |t#1| (-717)) (PROGN (-15 * ($ |t#1| $)) (-15 * ($ $ |t#1|))) |noBranch|) (IF (|has| |t#1| (-1048)) (PROGN (-15 -2049 (|t#1| $ $)) (-15 -4404 ((-680 |t#1|) $ $)) (-15 -3904 ($ $ $))) |noBranch|) (IF (|has| |t#1| (-1003)) (IF (|has| |t#1| (-1048)) (PROGN (-15 -1906 (|t#1| $)) (-15 -2456 (|t#1| $))) |noBranch|) |noBranch|))) 
+(((-39) . T) ((-105) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-609 (-851)) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-376 |#1|) . T) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-641 |#1|) . T) ((-19 |#1|) . T) ((-843) |has| |#1| (-843)) ((-1091) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-1197) . T)) 
+((-3043 (((-1247 |#2|) (-1 |#2| |#1| |#2|) (-1247 |#1|) |#2|) 13)) (-1774 ((|#2| (-1 |#2| |#1| |#2|) (-1247 |#1|) |#2|) 15)) (-1544 (((-3 (-1247 |#2|) "failed") (-1 (-3 |#2| "failed") |#1|) (-1247 |#1|)) 28) (((-1247 |#2|) (-1 |#2| |#1|) (-1247 |#1|)) 18))) 
+(((-1246 |#1| |#2|) (-10 -7 (-15 -3043 ((-1247 |#2|) (-1 |#2| |#1| |#2|) (-1247 |#1|) |#2|)) (-15 -1774 (|#2| (-1 |#2| |#1| |#2|) (-1247 |#1|) |#2|)) (-15 -1544 ((-1247 |#2|) (-1 |#2| |#1|) (-1247 |#1|))) (-15 -1544 ((-3 (-1247 |#2|) "failed") (-1 (-3 |#2| "failed") |#1|) (-1247 |#1|)))) (-1197) (-1197)) (T -1246)) 
+((-1544 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *6 "failed") *5)) (-5 *4 (-1247 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1247 *6)) (-5 *1 (-1246 *5 *6)))) (-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1247 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1247 *6)) (-5 *1 (-1246 *5 *6)))) (-1774 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1247 *5)) (-4 *5 (-1197)) (-4 *2 (-1197)) (-5 *1 (-1246 *5 *2)))) (-3043 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-1247 *6)) (-4 *6 (-1197)) (-4 *5 (-1197)) (-5 *2 (-1247 *5)) (-5 *1 (-1246 *6 *5))))) 
+(-10 -7 (-15 -3043 ((-1247 |#2|) (-1 |#2| |#1| |#2|) (-1247 |#1|) |#2|)) (-15 -1774 (|#2| (-1 |#2| |#1| |#2|) (-1247 |#1|) |#2|)) (-15 -1544 ((-1247 |#2|) (-1 |#2| |#1|) (-1247 |#1|))) (-15 -1544 ((-3 (-1247 |#2|) "failed") (-1 (-3 |#2| "failed") |#1|) (-1247 |#1|)))) 
+((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2418 (($ (-764)) NIL (|has| |#1| (-23)))) (-3916 (($ (-635 |#1|)) 9)) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-843)))) (-3076 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| |#1| (-843))))) (-3113 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) NIL (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4347 (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) NIL)) (-3727 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1091))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1091)))) (-3470 (((-635 |#1|) $) 15 (|has| $ (-6 -4535)))) (-4404 (((-680 |#1|) $ $) NIL (|has| |#1| (-1048)))) (-2659 (($ (-764) |#1|) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-3288 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2456 ((|#1| $) NIL (-12 (|has| |#1| (-1003)) (|has| |#1| (-1048))))) (-2006 (((-121) $ (-764)) NIL)) (-1906 ((|#1| $) NIL (-12 (|has| |#1| (-1003)) (|has| |#1| (-1048))))) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3614 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4353 ((|#1| $) NIL (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-3174 (($ $ |#1|) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-2049 ((|#1| $ $) NIL (|has| |#1| (-1048)))) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-3904 (($ $ $) NIL (|has| |#1| (-1048)))) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) 19 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 8)) (-2250 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1711 (($ $) NIL (|has| |#1| (-21))) (($ $ $) NIL (|has| |#1| (-21)))) (-1707 (($ $ $) NIL (|has| |#1| (-25)))) (* (($ (-569) $) NIL (|has| |#1| (-21))) (($ |#1| $) NIL (|has| |#1| (-717))) (($ $ |#1|) NIL (|has| |#1| (-717)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-1247 |#1|) (-13 (-1245 |#1|) (-10 -8 (-15 -3916 ($ (-635 |#1|))))) (-1197)) (T -1247)) 
+((-3916 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-5 *1 (-1247 *3))))) 
+(-13 (-1245 |#1|) (-10 -8 (-15 -3916 ($ (-635 |#1|))))) 
+((-2568 (((-121) $ $) NIL)) (-2960 (((-1145) $ (-1145)) 87) (((-1145) $ (-1145) (-1145)) 85) (((-1145) $ (-1145) (-635 (-1145))) 84)) (-2474 (($) 56)) (-2638 (((-1252) $ (-474) (-918)) 42)) (-3601 (((-1252) $ (-918) (-1145)) 70) (((-1252) $ (-918) (-870)) 71)) (-2894 (((-1252) $ (-918) (-382) (-382)) 45)) (-1318 (((-1252) $ (-1145)) 66)) (-4251 (((-1252) $ (-918) (-1145)) 75)) (-4265 (((-1252) $ (-918) (-382) (-382)) 46)) (-3191 (((-1252) $ (-918) (-918)) 43)) (-2956 (((-1252) $) 67)) (-3565 (((-1252) $ (-918) (-1145)) 74)) (-1881 (((-1252) $ (-474) (-918)) 30)) (-3047 (((-1252) $ (-918) (-1145)) 73)) (-3315 (((-635 (-257)) $) 22) (($ $ (-635 (-257))) 23)) (-3171 (((-1252) $ (-764) (-764)) 40)) (-2422 (($ $) 57) (($ (-474) (-635 (-257))) 58)) (-2776 (((-1145) $) NIL)) (-2335 (((-569) $) 37)) (-3360 (((-1109) $) NIL)) (-2107 (((-1247 (-3 (-474) "undefined")) $) 36)) (-1423 (((-1247 (-2 (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)) (|:| -3047 (-569)) (|:| -3323 (-569)) (|:| |spline| (-569)) (|:| -3671 (-569)) (|:| |axesColor| (-870)) (|:| -3601 (-569)) (|:| |unitsColor| (-870)) (|:| |showing| (-569)))) $) 35)) (-2688 (((-1252) $ (-918) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-870) (-569) (-870) (-569)) 65)) (-3602 (((-635 (-945 (-216))) $) NIL)) (-3244 (((-474) $ (-918)) 32)) (-2803 (((-1252) $ (-764) (-764) (-918) (-918)) 39)) (-2025 (((-1252) $ (-1145)) 76)) (-3323 (((-1252) $ (-918) (-1145)) 72)) (-2185 (((-851) $) 82)) (-3585 (((-1252) $) 77)) (-3671 (((-1252) $ (-918) (-1145)) 68) (((-1252) $ (-918) (-870)) 69)) (-1668 (((-121) $ $) NIL))) 
+(((-1248) (-13 (-1091) (-10 -8 (-15 -3602 ((-635 (-945 (-216))) $)) (-15 -2474 ($)) (-15 -2422 ($ $)) (-15 -3315 ((-635 (-257)) $)) (-15 -3315 ($ $ (-635 (-257)))) (-15 -2422 ($ (-474) (-635 (-257)))) (-15 -2688 ((-1252) $ (-918) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-870) (-569) (-870) (-569))) (-15 -1423 ((-1247 (-2 (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)) (|:| -3047 (-569)) (|:| -3323 (-569)) (|:| |spline| (-569)) (|:| -3671 (-569)) (|:| |axesColor| (-870)) (|:| -3601 (-569)) (|:| |unitsColor| (-870)) (|:| |showing| (-569)))) $)) (-15 -2107 ((-1247 (-3 (-474) "undefined")) $)) (-15 -1318 ((-1252) $ (-1145))) (-15 -1881 ((-1252) $ (-474) (-918))) (-15 -3244 ((-474) $ (-918))) (-15 -3671 ((-1252) $ (-918) (-1145))) (-15 -3671 ((-1252) $ (-918) (-870))) (-15 -3601 ((-1252) $ (-918) (-1145))) (-15 -3601 ((-1252) $ (-918) (-870))) (-15 -3047 ((-1252) $ (-918) (-1145))) (-15 -3565 ((-1252) $ (-918) (-1145))) (-15 -3323 ((-1252) $ (-918) (-1145))) (-15 -2025 ((-1252) $ (-1145))) (-15 -3585 ((-1252) $)) (-15 -2803 ((-1252) $ (-764) (-764) (-918) (-918))) (-15 -4265 ((-1252) $ (-918) (-382) (-382))) (-15 -2894 ((-1252) $ (-918) (-382) (-382))) (-15 -4251 ((-1252) $ (-918) (-1145))) (-15 -3171 ((-1252) $ (-764) (-764))) (-15 -2638 ((-1252) $ (-474) (-918))) (-15 -3191 ((-1252) $ (-918) (-918))) (-15 -2960 ((-1145) $ (-1145))) (-15 -2960 ((-1145) $ (-1145) (-1145))) (-15 -2960 ((-1145) $ (-1145) (-635 (-1145)))) (-15 -2956 ((-1252) $)) (-15 -2335 ((-569) $)) (-15 -2185 ((-851) $))))) (T -1248)) 
+((-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-1248)))) (-3602 (*1 *2 *1) (-12 (-5 *2 (-635 (-945 (-216)))) (-5 *1 (-1248)))) (-2474 (*1 *1) (-5 *1 (-1248))) (-2422 (*1 *1 *1) (-5 *1 (-1248))) (-3315 (*1 *2 *1) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1248)))) (-3315 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1248)))) (-2422 (*1 *1 *2 *3) (-12 (-5 *2 (-474)) (-5 *3 (-635 (-257))) (-5 *1 (-1248)))) (-2688 (*1 *2 *1 *3 *4 *4 *4 *4 *5 *5 *5 *5 *6 *5 *6 *5) (-12 (-5 *3 (-918)) (-5 *4 (-216)) (-5 *5 (-569)) (-5 *6 (-870)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-1423 (*1 *2 *1) (-12 (-5 *2 (-1247 (-2 (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)) (|:| -3047 (-569)) (|:| -3323 (-569)) (|:| |spline| (-569)) (|:| -3671 (-569)) (|:| |axesColor| (-870)) (|:| -3601 (-569)) (|:| |unitsColor| (-870)) (|:| |showing| (-569))))) (-5 *1 (-1248)))) (-2107 (*1 *2 *1) (-12 (-5 *2 (-1247 (-3 (-474) "undefined"))) (-5 *1 (-1248)))) (-1318 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-1881 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-474)) (-5 *4 (-918)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-3244 (*1 *2 *1 *3) (-12 (-5 *3 (-918)) (-5 *2 (-474)) (-5 *1 (-1248)))) (-3671 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-3671 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-870)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-3601 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-3601 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-870)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-3047 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-3565 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-3323 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-2025 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-3585 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-1248)))) (-2803 (*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-764)) (-5 *4 (-918)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-4265 (*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-918)) (-5 *4 (-382)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-2894 (*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-918)) (-5 *4 (-382)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-4251 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-3171 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-2638 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-474)) (-5 *4 (-918)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-3191 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-2960 (*1 *2 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1248)))) (-2960 (*1 *2 *1 *2 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1248)))) (-2960 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-635 (-1145))) (-5 *2 (-1145)) (-5 *1 (-1248)))) (-2956 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-1248)))) (-2335 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1248))))) 
+(-13 (-1091) (-10 -8 (-15 -3602 ((-635 (-945 (-216))) $)) (-15 -2474 ($)) (-15 -2422 ($ $)) (-15 -3315 ((-635 (-257)) $)) (-15 -3315 ($ $ (-635 (-257)))) (-15 -2422 ($ (-474) (-635 (-257)))) (-15 -2688 ((-1252) $ (-918) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-870) (-569) (-870) (-569))) (-15 -1423 ((-1247 (-2 (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)) (|:| -3047 (-569)) (|:| -3323 (-569)) (|:| |spline| (-569)) (|:| -3671 (-569)) (|:| |axesColor| (-870)) (|:| -3601 (-569)) (|:| |unitsColor| (-870)) (|:| |showing| (-569)))) $)) (-15 -2107 ((-1247 (-3 (-474) "undefined")) $)) (-15 -1318 ((-1252) $ (-1145))) (-15 -1881 ((-1252) $ (-474) (-918))) (-15 -3244 ((-474) $ (-918))) (-15 -3671 ((-1252) $ (-918) (-1145))) (-15 -3671 ((-1252) $ (-918) (-870))) (-15 -3601 ((-1252) $ (-918) (-1145))) (-15 -3601 ((-1252) $ (-918) (-870))) (-15 -3047 ((-1252) $ (-918) (-1145))) (-15 -3565 ((-1252) $ (-918) (-1145))) (-15 -3323 ((-1252) $ (-918) (-1145))) (-15 -2025 ((-1252) $ (-1145))) (-15 -3585 ((-1252) $)) (-15 -2803 ((-1252) $ (-764) (-764) (-918) (-918))) (-15 -4265 ((-1252) $ (-918) (-382) (-382))) (-15 -2894 ((-1252) $ (-918) (-382) (-382))) (-15 -4251 ((-1252) $ (-918) (-1145))) (-15 -3171 ((-1252) $ (-764) (-764))) (-15 -2638 ((-1252) $ (-474) (-918))) (-15 -3191 ((-1252) $ (-918) (-918))) (-15 -2960 ((-1145) $ (-1145))) (-15 -2960 ((-1145) $ (-1145) (-1145))) (-15 -2960 ((-1145) $ (-1145) (-635 (-1145)))) (-15 -2956 ((-1252) $)) (-15 -2335 ((-569) $)) (-15 -2185 ((-851) $)))) 
+((-2568 (((-121) $ $) NIL)) (-2798 (((-1252) $ (-382)) 138) (((-1252) $ (-382) (-382) (-382)) 139)) (-2960 (((-1145) $ (-1145)) 146) (((-1145) $ (-1145) (-1145)) 144) (((-1145) $ (-1145) (-635 (-1145))) 143)) (-2053 (($) 49)) (-1526 (((-1252) $ (-382) (-382) (-382) (-382) (-382)) 114) (((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) $) 112) (((-1252) $ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) 113) (((-1252) $ (-569) (-569) (-382) (-382) (-382)) 115) (((-1252) $ (-382) (-382)) 116) (((-1252) $ (-382) (-382) (-382)) 123)) (-1996 (((-382)) 96) (((-382) (-382)) 97)) (-2889 (((-382)) 91) (((-382) (-382)) 93)) (-2036 (((-382)) 94) (((-382) (-382)) 95)) (-3018 (((-382)) 100) (((-382) (-382)) 101)) (-3276 (((-382)) 98) (((-382) (-382)) 99)) (-2894 (((-1252) $ (-382) (-382)) 140)) (-1318 (((-1252) $ (-1145)) 124)) (-2489 (((-1122 (-216)) $) 50) (($ $ (-1122 (-216))) 51)) (-1471 (((-1252) $ (-1145)) 152)) (-4437 (((-1252) $ (-1145)) 153)) (-3278 (((-1252) $ (-382) (-382)) 122) (((-1252) $ (-569) (-569)) 137)) (-3191 (((-1252) $ (-918) (-918)) 130)) (-2956 (((-1252) $) 110)) (-3204 (((-1252) $ (-1145)) 151)) (-1630 (((-1252) $ (-1145)) 107)) (-3315 (((-635 (-257)) $) 52) (($ $ (-635 (-257))) 53)) (-3171 (((-1252) $ (-764) (-764)) 129)) (-3012 (((-1252) $ (-764) (-945 (-216))) 158)) (-3067 (($ $) 56) (($ (-1122 (-216)) (-1145)) 57) (($ (-1122 (-216)) (-635 (-257))) 58)) (-2850 (((-1252) $ (-382) (-382) (-382)) 104)) (-2776 (((-1145) $) NIL)) (-2335 (((-569) $) 102)) (-3011 (((-1252) $ (-382)) 141)) (-4188 (((-1252) $ (-382)) 156)) (-3360 (((-1109) $) NIL)) (-2676 (((-1252) $ (-382)) 155)) (-4305 (((-1252) $ (-1145)) 109)) (-2803 (((-1252) $ (-764) (-764) (-918) (-918)) 128)) (-2416 (((-1252) $ (-1145)) 106)) (-2025 (((-1252) $ (-1145)) 108)) (-2572 (((-1252) $ (-159) (-159)) 127)) (-2185 (((-851) $) 135)) (-3585 (((-1252) $) 111)) (-4077 (((-1252) $ (-1145)) 154)) (-3671 (((-1252) $ (-1145)) 105)) (-1668 (((-121) $ $) NIL))) 
+(((-1249) (-13 (-1091) (-10 -8 (-15 -2889 ((-382))) (-15 -2889 ((-382) (-382))) (-15 -2036 ((-382))) (-15 -2036 ((-382) (-382))) (-15 -1996 ((-382))) (-15 -1996 ((-382) (-382))) (-15 -3276 ((-382))) (-15 -3276 ((-382) (-382))) (-15 -3018 ((-382))) (-15 -3018 ((-382) (-382))) (-15 -2053 ($)) (-15 -3067 ($ $)) (-15 -3067 ($ (-1122 (-216)) (-1145))) (-15 -3067 ($ (-1122 (-216)) (-635 (-257)))) (-15 -2489 ((-1122 (-216)) $)) (-15 -2489 ($ $ (-1122 (-216)))) (-15 -3012 ((-1252) $ (-764) (-945 (-216)))) (-15 -3315 ((-635 (-257)) $)) (-15 -3315 ($ $ (-635 (-257)))) (-15 -3171 ((-1252) $ (-764) (-764))) (-15 -3191 ((-1252) $ (-918) (-918))) (-15 -1318 ((-1252) $ (-1145))) (-15 -2803 ((-1252) $ (-764) (-764) (-918) (-918))) (-15 -1526 ((-1252) $ (-382) (-382) (-382) (-382) (-382))) (-15 -1526 ((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) $)) (-15 -1526 ((-1252) $ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -1526 ((-1252) $ (-569) (-569) (-382) (-382) (-382))) (-15 -1526 ((-1252) $ (-382) (-382))) (-15 -1526 ((-1252) $ (-382) (-382) (-382))) (-15 -2025 ((-1252) $ (-1145))) (-15 -3671 ((-1252) $ (-1145))) (-15 -2416 ((-1252) $ (-1145))) (-15 -1630 ((-1252) $ (-1145))) (-15 -4305 ((-1252) $ (-1145))) (-15 -3278 ((-1252) $ (-382) (-382))) (-15 -3278 ((-1252) $ (-569) (-569))) (-15 -2798 ((-1252) $ (-382))) (-15 -2798 ((-1252) $ (-382) (-382) (-382))) (-15 -2894 ((-1252) $ (-382) (-382))) (-15 -3204 ((-1252) $ (-1145))) (-15 -2676 ((-1252) $ (-382))) (-15 -4188 ((-1252) $ (-382))) (-15 -1471 ((-1252) $ (-1145))) (-15 -4437 ((-1252) $ (-1145))) (-15 -4077 ((-1252) $ (-1145))) (-15 -2850 ((-1252) $ (-382) (-382) (-382))) (-15 -3011 ((-1252) $ (-382))) (-15 -2956 ((-1252) $)) (-15 -2572 ((-1252) $ (-159) (-159))) (-15 -2960 ((-1145) $ (-1145))) (-15 -2960 ((-1145) $ (-1145) (-1145))) (-15 -2960 ((-1145) $ (-1145) (-635 (-1145)))) (-15 -3585 ((-1252) $)) (-15 -2335 ((-569) $))))) (T -1249)) 
+((-2889 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) (-2889 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) (-2036 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) (-2036 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) (-1996 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) (-1996 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) (-3276 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) (-3276 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) (-3018 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) (-3018 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) (-2053 (*1 *1) (-5 *1 (-1249))) (-3067 (*1 *1 *1) (-5 *1 (-1249))) (-3067 (*1 *1 *2 *3) (-12 (-5 *2 (-1122 (-216))) (-5 *3 (-1145)) (-5 *1 (-1249)))) (-3067 (*1 *1 *2 *3) (-12 (-5 *2 (-1122 (-216))) (-5 *3 (-635 (-257))) (-5 *1 (-1249)))) (-2489 (*1 *2 *1) (-12 (-5 *2 (-1122 (-216))) (-5 *1 (-1249)))) (-2489 (*1 *1 *1 *2) (-12 (-5 *2 (-1122 (-216))) (-5 *1 (-1249)))) (-3012 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-764)) (-5 *4 (-945 (-216))) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-3315 (*1 *2 *1) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1249)))) (-3315 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1249)))) (-3171 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-3191 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-1318 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-2803 (*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-764)) (-5 *4 (-918)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-1526 (*1 *2 *1 *3 *3 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-1526 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *1 (-1249)))) (-1526 (*1 *2 *1 *3) (-12 (-5 *3 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-1526 (*1 *2 *1 *3 *3 *4 *4 *4) (-12 (-5 *3 (-569)) (-5 *4 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-1526 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-1526 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-2025 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-3671 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-2416 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-1630 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-4305 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-3278 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-3278 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-2798 (*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-2798 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-2894 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-3204 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-2676 (*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-4188 (*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-1471 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-4437 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-4077 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-2850 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-3011 (*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-2956 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-1249)))) (-2572 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-159)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-2960 (*1 *2 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1249)))) (-2960 (*1 *2 *1 *2 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1249)))) (-2960 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-635 (-1145))) (-5 *2 (-1145)) (-5 *1 (-1249)))) (-3585 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-1249)))) (-2335 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1249))))) 
+(-13 (-1091) (-10 -8 (-15 -2889 ((-382))) (-15 -2889 ((-382) (-382))) (-15 -2036 ((-382))) (-15 -2036 ((-382) (-382))) (-15 -1996 ((-382))) (-15 -1996 ((-382) (-382))) (-15 -3276 ((-382))) (-15 -3276 ((-382) (-382))) (-15 -3018 ((-382))) (-15 -3018 ((-382) (-382))) (-15 -2053 ($)) (-15 -3067 ($ $)) (-15 -3067 ($ (-1122 (-216)) (-1145))) (-15 -3067 ($ (-1122 (-216)) (-635 (-257)))) (-15 -2489 ((-1122 (-216)) $)) (-15 -2489 ($ $ (-1122 (-216)))) (-15 -3012 ((-1252) $ (-764) (-945 (-216)))) (-15 -3315 ((-635 (-257)) $)) (-15 -3315 ($ $ (-635 (-257)))) (-15 -3171 ((-1252) $ (-764) (-764))) (-15 -3191 ((-1252) $ (-918) (-918))) (-15 -1318 ((-1252) $ (-1145))) (-15 -2803 ((-1252) $ (-764) (-764) (-918) (-918))) (-15 -1526 ((-1252) $ (-382) (-382) (-382) (-382) (-382))) (-15 -1526 ((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) $)) (-15 -1526 ((-1252) $ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -1526 ((-1252) $ (-569) (-569) (-382) (-382) (-382))) (-15 -1526 ((-1252) $ (-382) (-382))) (-15 -1526 ((-1252) $ (-382) (-382) (-382))) (-15 -2025 ((-1252) $ (-1145))) (-15 -3671 ((-1252) $ (-1145))) (-15 -2416 ((-1252) $ (-1145))) (-15 -1630 ((-1252) $ (-1145))) (-15 -4305 ((-1252) $ (-1145))) (-15 -3278 ((-1252) $ (-382) (-382))) (-15 -3278 ((-1252) $ (-569) (-569))) (-15 -2798 ((-1252) $ (-382))) (-15 -2798 ((-1252) $ (-382) (-382) (-382))) (-15 -2894 ((-1252) $ (-382) (-382))) (-15 -3204 ((-1252) $ (-1145))) (-15 -2676 ((-1252) $ (-382))) (-15 -4188 ((-1252) $ (-382))) (-15 -1471 ((-1252) $ (-1145))) (-15 -4437 ((-1252) $ (-1145))) (-15 -4077 ((-1252) $ (-1145))) (-15 -2850 ((-1252) $ (-382) (-382) (-382))) (-15 -3011 ((-1252) $ (-382))) (-15 -2956 ((-1252) $)) (-15 -2572 ((-1252) $ (-159) (-159))) (-15 -2960 ((-1145) $ (-1145))) (-15 -2960 ((-1145) $ (-1145) (-1145))) (-15 -2960 ((-1145) $ (-1145) (-635 (-1145)))) (-15 -3585 ((-1252) $)) (-15 -2335 ((-569) $)))) 
+((-2199 (((-635 (-1145)) (-635 (-1145))) 94) (((-635 (-1145))) 89)) (-2473 (((-635 (-1145))) 87)) (-3703 (((-635 (-918)) (-635 (-918))) 62) (((-635 (-918))) 59)) (-3168 (((-635 (-764)) (-635 (-764))) 56) (((-635 (-764))) 52)) (-3261 (((-1252)) 64)) (-3021 (((-918) (-918)) 80) (((-918)) 79)) (-1970 (((-918) (-918)) 78) (((-918)) 77)) (-4242 (((-870) (-870)) 74) (((-870)) 73)) (-3391 (((-216)) 84) (((-216) (-382)) 86)) (-1553 (((-918)) 81) (((-918) (-918)) 82)) (-2009 (((-918) (-918)) 76) (((-918)) 75)) (-2417 (((-870) (-870)) 68) (((-870)) 66)) (-4263 (((-870) (-870)) 70) (((-870)) 69)) (-2171 (((-870) (-870)) 72) (((-870)) 71))) 
+(((-1250) (-10 -7 (-15 -2417 ((-870))) (-15 -2417 ((-870) (-870))) (-15 -4263 ((-870))) (-15 -4263 ((-870) (-870))) (-15 -2171 ((-870))) (-15 -2171 ((-870) (-870))) (-15 -4242 ((-870))) (-15 -4242 ((-870) (-870))) (-15 -2009 ((-918))) (-15 -2009 ((-918) (-918))) (-15 -3168 ((-635 (-764)))) (-15 -3168 ((-635 (-764)) (-635 (-764)))) (-15 -3703 ((-635 (-918)))) (-15 -3703 ((-635 (-918)) (-635 (-918)))) (-15 -3261 ((-1252))) (-15 -2199 ((-635 (-1145)))) (-15 -2199 ((-635 (-1145)) (-635 (-1145)))) (-15 -2473 ((-635 (-1145)))) (-15 -1970 ((-918))) (-15 -3021 ((-918))) (-15 -1970 ((-918) (-918))) (-15 -3021 ((-918) (-918))) (-15 -1553 ((-918) (-918))) (-15 -1553 ((-918))) (-15 -3391 ((-216) (-382))) (-15 -3391 ((-216))))) (T -1250)) 
+((-3391 (*1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-1250)))) (-3391 (*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-216)) (-5 *1 (-1250)))) (-1553 (*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250)))) (-1553 (*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250)))) (-3021 (*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250)))) (-1970 (*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250)))) (-3021 (*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250)))) (-1970 (*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250)))) (-2473 (*1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1250)))) (-2199 (*1 *2 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1250)))) (-2199 (*1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1250)))) (-3261 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1250)))) (-3703 (*1 *2 *2) (-12 (-5 *2 (-635 (-918))) (-5 *1 (-1250)))) (-3703 (*1 *2) (-12 (-5 *2 (-635 (-918))) (-5 *1 (-1250)))) (-3168 (*1 *2 *2) (-12 (-5 *2 (-635 (-764))) (-5 *1 (-1250)))) (-3168 (*1 *2) (-12 (-5 *2 (-635 (-764))) (-5 *1 (-1250)))) (-2009 (*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250)))) (-2009 (*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250)))) (-4242 (*1 *2 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250)))) (-4242 (*1 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250)))) (-2171 (*1 *2 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250)))) (-2171 (*1 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250)))) (-4263 (*1 *2 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250)))) (-4263 (*1 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250)))) (-2417 (*1 *2 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250)))) (-2417 (*1 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250))))) 
+(-10 -7 (-15 -2417 ((-870))) (-15 -2417 ((-870) (-870))) (-15 -4263 ((-870))) (-15 -4263 ((-870) (-870))) (-15 -2171 ((-870))) (-15 -2171 ((-870) (-870))) (-15 -4242 ((-870))) (-15 -4242 ((-870) (-870))) (-15 -2009 ((-918))) (-15 -2009 ((-918) (-918))) (-15 -3168 ((-635 (-764)))) (-15 -3168 ((-635 (-764)) (-635 (-764)))) (-15 -3703 ((-635 (-918)))) (-15 -3703 ((-635 (-918)) (-635 (-918)))) (-15 -3261 ((-1252))) (-15 -2199 ((-635 (-1145)))) (-15 -2199 ((-635 (-1145)) (-635 (-1145)))) (-15 -2473 ((-635 (-1145)))) (-15 -1970 ((-918))) (-15 -3021 ((-918))) (-15 -1970 ((-918) (-918))) (-15 -3021 ((-918) (-918))) (-15 -1553 ((-918) (-918))) (-15 -1553 ((-918))) (-15 -3391 ((-216) (-382))) (-15 -3391 ((-216)))) 
+((-2328 (((-474) (-635 (-635 (-945 (-216)))) (-635 (-257))) 17) (((-474) (-635 (-635 (-945 (-216))))) 16) (((-474) (-635 (-635 (-945 (-216)))) (-870) (-870) (-918) (-635 (-257))) 15)) (-2563 (((-1248) (-635 (-635 (-945 (-216)))) (-635 (-257))) 23) (((-1248) (-635 (-635 (-945 (-216)))) (-870) (-870) (-918) (-635 (-257))) 22)) (-2185 (((-1248) (-474)) 34))) 
+(((-1251) (-10 -7 (-15 -2328 ((-474) (-635 (-635 (-945 (-216)))) (-870) (-870) (-918) (-635 (-257)))) (-15 -2328 ((-474) (-635 (-635 (-945 (-216)))))) (-15 -2328 ((-474) (-635 (-635 (-945 (-216)))) (-635 (-257)))) (-15 -2563 ((-1248) (-635 (-635 (-945 (-216)))) (-870) (-870) (-918) (-635 (-257)))) (-15 -2563 ((-1248) (-635 (-635 (-945 (-216)))) (-635 (-257)))) (-15 -2185 ((-1248) (-474))))) (T -1251)) 
+((-2185 (*1 *2 *3) (-12 (-5 *3 (-474)) (-5 *2 (-1248)) (-5 *1 (-1251)))) (-2563 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *4 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-1251)))) (-2563 (*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *4 (-870)) (-5 *5 (-918)) (-5 *6 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-1251)))) (-2328 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *4 (-635 (-257))) (-5 *2 (-474)) (-5 *1 (-1251)))) (-2328 (*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *2 (-474)) (-5 *1 (-1251)))) (-2328 (*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *4 (-870)) (-5 *5 (-918)) (-5 *6 (-635 (-257))) (-5 *2 (-474)) (-5 *1 (-1251))))) 
+(-10 -7 (-15 -2328 ((-474) (-635 (-635 (-945 (-216)))) (-870) (-870) (-918) (-635 (-257)))) (-15 -2328 ((-474) (-635 (-635 (-945 (-216)))))) (-15 -2328 ((-474) (-635 (-635 (-945 (-216)))) (-635 (-257)))) (-15 -2563 ((-1248) (-635 (-635 (-945 (-216)))) (-870) (-870) (-918) (-635 (-257)))) (-15 -2563 ((-1248) (-635 (-635 (-945 (-216)))) (-635 (-257)))) (-15 -2185 ((-1248) (-474)))) 
+((-1861 (($) 7)) (-2185 (((-851) $) 10))) 
+(((-1252) (-10 -8 (-15 -1861 ($)) (-15 -2185 ((-851) $)))) (T -1252)) 
+((-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-1252)))) (-1861 (*1 *1) (-5 *1 (-1252)))) 
+(-10 -8 (-15 -1861 ($)) (-15 -2185 ((-851) $))) 
+((-1715 (($ $ |#2|) 10))) 
+(((-1253 |#1| |#2|) (-10 -8 (-15 -1715 (|#1| |#1| |#2|))) (-1254 |#2|) (-366)) (T -1253)) 
+NIL 
+(-10 -8 (-15 -1715 (|#1| |#1| |#2|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2369 (((-140)) 25)) (-2185 (((-851) $) 11)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#1|) 26)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24))) 
+(((-1254 |#1|) (-1278) (-366)) (T -1254)) 
+((-1715 (*1 *1 *1 *2) (-12 (-4 *1 (-1254 *2)) (-4 *2 (-366)))) (-2369 (*1 *2) (-12 (-4 *1 (-1254 *3)) (-4 *3 (-366)) (-5 *2 (-140))))) 
+(-13 (-708 |t#1|) (-10 -8 (-15 -1715 ($ $ |t#1|)) (-15 -2369 ((-140))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#1|) . T) ((-708 |#1|) . T) ((-1054 |#1|) . T) ((-1091) . T)) 
+((-2095 (((-635 (-1192 |#1|)) (-1163) (-1192 |#1|)) 78)) (-3212 (((-1143 (-1143 (-954 |#1|))) (-1163) (-1143 (-954 |#1|))) 57)) (-3986 (((-1 (-1143 (-1192 |#1|)) (-1143 (-1192 |#1|))) (-764) (-1192 |#1|) (-1143 (-1192 |#1|))) 68)) (-3688 (((-1 (-1143 (-954 |#1|)) (-1143 (-954 |#1|))) (-764)) 59)) (-3374 (((-1 (-1159 (-954 |#1|)) (-954 |#1|)) (-1163)) 27)) (-3084 (((-1 (-1143 (-954 |#1|)) (-1143 (-954 |#1|))) (-764)) 58))) 
+(((-1255 |#1|) (-10 -7 (-15 -3688 ((-1 (-1143 (-954 |#1|)) (-1143 (-954 |#1|))) (-764))) (-15 -3084 ((-1 (-1143 (-954 |#1|)) (-1143 (-954 |#1|))) (-764))) (-15 -3212 ((-1143 (-1143 (-954 |#1|))) (-1163) (-1143 (-954 |#1|)))) (-15 -3374 ((-1 (-1159 (-954 |#1|)) (-954 |#1|)) (-1163))) (-15 -2095 ((-635 (-1192 |#1|)) (-1163) (-1192 |#1|))) (-15 -3986 ((-1 (-1143 (-1192 |#1|)) (-1143 (-1192 |#1|))) (-764) (-1192 |#1|) (-1143 (-1192 |#1|))))) (-366)) (T -1255)) 
+((-3986 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-764)) (-4 *6 (-366)) (-5 *4 (-1192 *6)) (-5 *2 (-1 (-1143 *4) (-1143 *4))) (-5 *1 (-1255 *6)) (-5 *5 (-1143 *4)))) (-2095 (*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-4 *5 (-366)) (-5 *2 (-635 (-1192 *5))) (-5 *1 (-1255 *5)) (-5 *4 (-1192 *5)))) (-3374 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-1159 (-954 *4)) (-954 *4))) (-5 *1 (-1255 *4)) (-4 *4 (-366)))) (-3212 (*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-4 *5 (-366)) (-5 *2 (-1143 (-1143 (-954 *5)))) (-5 *1 (-1255 *5)) (-5 *4 (-1143 (-954 *5))))) (-3084 (*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1 (-1143 (-954 *4)) (-1143 (-954 *4)))) (-5 *1 (-1255 *4)) (-4 *4 (-366)))) (-3688 (*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1 (-1143 (-954 *4)) (-1143 (-954 *4)))) (-5 *1 (-1255 *4)) (-4 *4 (-366))))) 
+(-10 -7 (-15 -3688 ((-1 (-1143 (-954 |#1|)) (-1143 (-954 |#1|))) (-764))) (-15 -3084 ((-1 (-1143 (-954 |#1|)) (-1143 (-954 |#1|))) (-764))) (-15 -3212 ((-1143 (-1143 (-954 |#1|))) (-1163) (-1143 (-954 |#1|)))) (-15 -3374 ((-1 (-1159 (-954 |#1|)) (-954 |#1|)) (-1163))) (-15 -2095 ((-635 (-1192 |#1|)) (-1163) (-1192 |#1|))) (-15 -3986 ((-1 (-1143 (-1192 |#1|)) (-1143 (-1192 |#1|))) (-764) (-1192 |#1|) (-1143 (-1192 |#1|))))) 
+((-1627 (((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))) |#2|) 74)) (-3577 (((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|)))) 73))) 
+(((-1256 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3577 ((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))))) (-15 -1627 ((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))) |#2|))) (-351) (-1222 |#1|) (-1222 |#2|) (-412 |#2| |#3|)) (T -1256)) 
+((-1627 (*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 *3)) (-5 *2 (-2 (|:| -3930 (-680 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-680 *3)))) (-5 *1 (-1256 *4 *3 *5 *6)) (-4 *6 (-412 *3 *5)))) (-3577 (*1 *2) (-12 (-4 *3 (-351)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| -3930 (-680 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-680 *4)))) (-5 *1 (-1256 *3 *4 *5 *6)) (-4 *6 (-412 *4 *5))))) 
+(-10 -7 (-15 -3577 ((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))))) (-15 -1627 ((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))) |#2|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 41)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) NIL)) (-1407 (((-121) $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 62) (($ (-569)) NIL) ((|#4| $) 52) (($ |#4|) 47) (($ |#1|) NIL (|has| |#1| (-173)))) (-1991 (((-764)) NIL)) (-3763 (((-1252) (-764)) 16)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 26 T CONST)) (-1556 (($) 65 T CONST)) (-1668 (((-121) $ $) 67)) (-1715 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-1711 (($ $) 69) (($ $ $) NIL)) (-1707 (($ $ $) 45)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 71) (($ |#1| $) NIL (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))))) 
+(((-1257 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-13 (-1048) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -2185 (|#4| $)) (IF (|has| |#1| (-366)) (-15 -1715 ((-3 $ "failed") $ $)) |noBranch|) (-15 -2185 ($ |#4|)) (-15 -3763 ((-1252) (-764))))) (-1048) (-843) (-789) (-951 |#1| |#3| |#2|) (-635 |#2|) (-635 (-764)) (-764)) (T -1257)) 
+((-2185 (*1 *2 *1) (-12 (-4 *2 (-951 *3 *5 *4)) (-5 *1 (-1257 *3 *4 *5 *2 *6 *7 *8)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-789)) (-14 *6 (-635 *4)) (-14 *7 (-635 (-764))) (-14 *8 (-764)))) (-1715 (*1 *1 *1 *1) (|partial| -12 (-4 *2 (-366)) (-4 *2 (-1048)) (-4 *3 (-843)) (-4 *4 (-789)) (-14 *6 (-635 *3)) (-5 *1 (-1257 *2 *3 *4 *5 *6 *7 *8)) (-4 *5 (-951 *2 *4 *3)) (-14 *7 (-635 (-764))) (-14 *8 (-764)))) (-2185 (*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-789)) (-14 *6 (-635 *4)) (-5 *1 (-1257 *3 *4 *5 *2 *6 *7 *8)) (-4 *2 (-951 *3 *5 *4)) (-14 *7 (-635 (-764))) (-14 *8 (-764)))) (-3763 (*1 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-1048)) (-4 *5 (-843)) (-4 *6 (-789)) (-14 *8 (-635 *5)) (-5 *2 (-1252)) (-5 *1 (-1257 *4 *5 *6 *7 *8 *9 *10)) (-4 *7 (-951 *4 *6 *5)) (-14 *9 (-635 *3)) (-14 *10 *3)))) 
+(-13 (-1048) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -2185 (|#4| $)) (IF (|has| |#1| (-366)) (-15 -1715 ((-3 $ "failed") $ $)) |noBranch|) (-15 -2185 ($ |#4|)) (-15 -3763 ((-1252) (-764))))) 
+((-2568 (((-121) $ $) NIL)) (-3839 (((-635 (-2 (|:| -3585 $) (|:| -3230 (-635 |#4|)))) (-635 |#4|)) NIL)) (-4426 (((-635 $) (-635 |#4|)) 87)) (-1773 (((-635 |#3|) $) NIL)) (-3008 (((-121) $) NIL)) (-3625 (((-121) $) NIL (|has| |#1| (-559)))) (-2061 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3982 ((|#4| |#4| $) NIL)) (-3113 (((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ |#3|) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-1962 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535))) (((-3 |#4| "failed") $ |#3|) NIL)) (-2820 (($) NIL T CONST)) (-4162 (((-121) $) NIL (|has| |#1| (-559)))) (-2716 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3532 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2398 (((-121) $) NIL (|has| |#1| (-559)))) (-3694 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 27)) (-4318 (((-635 |#4|) (-635 |#4|) $) 24 (|has| |#1| (-559)))) (-1322 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-1647 (((-3 $ "failed") (-635 |#4|)) NIL)) (-2428 (($ (-635 |#4|)) NIL)) (-2046 (((-3 $ "failed") $) 69)) (-4407 ((|#4| |#4| $) 74)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091))))) (-4347 (($ |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1830 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-3255 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) NIL)) (-2045 ((|#4| |#4| $) NIL)) (-1774 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4535))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4535))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-4038 (((-2 (|:| -3585 (-635 |#4|)) (|:| -3230 (-635 |#4|))) $) NIL)) (-3470 (((-635 |#4|) $) NIL (|has| $ (-6 -4535)))) (-3977 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-4357 ((|#3| $) 75)) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#4|) $) 28 (|has| $ (-6 -4535)))) (-3660 (((-121) |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091))))) (-2602 (((-3 $ "failed") (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 31) (((-3 $ "failed") (-635 |#4|)) 34)) (-1853 (($ (-1 |#4| |#4|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#4| |#4|) $) NIL)) (-1833 (((-635 |#3|) $) NIL)) (-2760 (((-121) |#3| $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-4213 (((-3 |#4| "failed") $) NIL)) (-2515 (((-635 |#4|) $) 49)) (-3409 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3005 ((|#4| |#4| $) 73)) (-2673 (((-121) $ $) 84)) (-2439 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-4310 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2533 ((|#4| |#4| $) NIL)) (-3360 (((-1109) $) NIL)) (-4353 (((-3 |#4| "failed") $) 68)) (-2502 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-1913 (((-3 $ "failed") $ |#4|) NIL)) (-3499 (($ $ |#4|) NIL)) (-4177 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#4|) (-635 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-635 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 66)) (-1296 (($) 41)) (-2492 (((-764) $) NIL)) (-2846 (((-764) |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) (((-764) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| |#4| (-610 (-542))))) (-2139 (($ (-635 |#4|)) NIL)) (-4201 (($ $ |#3|) NIL)) (-3460 (($ $ |#3|) NIL)) (-4208 (($ $) NIL)) (-2630 (($ $ |#3|) NIL)) (-2185 (((-851) $) NIL) (((-635 |#4|) $) 56)) (-3435 (((-764) $) NIL (|has| |#3| (-371)))) (-1413 (((-3 $ "failed") (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 39) (((-3 $ "failed") (-635 |#4|)) 40)) (-1575 (((-635 $) (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 64) (((-635 $) (-635 |#4|)) 65)) (-1702 (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) 23) (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-3321 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) NIL)) (-2066 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-3502 (((-635 |#3|) $) NIL)) (-3673 (((-121) |#3| $) NIL)) (-1668 (((-121) $ $) NIL)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
+(((-1258 |#1| |#2| |#3| |#4|) (-13 (-1191 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -2602 ((-3 $ "failed") (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -2602 ((-3 $ "failed") (-635 |#4|))) (-15 -1413 ((-3 $ "failed") (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -1413 ((-3 $ "failed") (-635 |#4|))) (-15 -1575 ((-635 $) (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -1575 ((-635 $) (-635 |#4|))))) (-559) (-789) (-843) (-1062 |#1| |#2| |#3|)) (T -1258)) 
+((-2602 (*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-635 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-1258 *5 *6 *7 *8)))) (-2602 (*1 *1 *2) (|partial| -12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-1258 *3 *4 *5 *6)))) (-1413 (*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-635 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-1258 *5 *6 *7 *8)))) (-1413 (*1 *1 *2) (|partial| -12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-1258 *3 *4 *5 *6)))) (-1575 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *9)) (-5 *4 (-1 (-121) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1062 *6 *7 *8)) (-4 *6 (-559)) (-4 *7 (-789)) (-4 *8 (-843)) (-5 *2 (-635 (-1258 *6 *7 *8 *9))) (-5 *1 (-1258 *6 *7 *8 *9)))) (-1575 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 (-1258 *4 *5 *6 *7))) (-5 *1 (-1258 *4 *5 *6 *7))))) 
+(-13 (-1191 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -2602 ((-3 $ "failed") (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -2602 ((-3 $ "failed") (-635 |#4|))) (-15 -1413 ((-3 $ "failed") (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -1413 ((-3 $ "failed") (-635 |#4|))) (-15 -1575 ((-635 $) (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -1575 ((-635 $) (-635 |#4|))))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 37)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 39) (($ |#1| $) 38))) 
+(((-1259 |#1|) (-1278) (-1048)) (T -1259)) 
+((-2185 (*1 *1 *2) (-12 (-4 *1 (-1259 *2)) (-4 *2 (-1048))))) 
+(-13 (-1048) (-120 |t#1| |t#1|) (-10 -8 (-15 -2185 ($ |t#1|)) (IF (|has| |t#1| (-173)) (-6 (-43 |t#1|)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-173)) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-708 |#1|) |has| |#1| (-173)) ((-717) . T) ((-1054 |#1|) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3914 (((-635 |#1|) $) 45)) (-1920 (($ $ (-764)) 39)) (-2327 (((-3 $ "failed") $ $) NIL)) (-1313 (($ $ (-764)) 17 (|has| |#2| (-173))) (($ $ $) 18 (|has| |#2| (-173)))) (-2820 (($) NIL T CONST)) (-2123 (($ $ $) 61) (($ $ (-815 |#1|)) 48) (($ $ |#1|) 52)) (-1647 (((-3 (-815 |#1|) "failed") $) NIL)) (-2428 (((-815 |#1|) $) NIL)) (-4020 (($ $) 32)) (-3428 (((-3 $ "failed") $) NIL)) (-3088 (((-121) $) NIL)) (-4183 (($ $) NIL)) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-4145 (($ (-815 |#1|) |#2|) 31)) (-2208 (($ $) 33)) (-3087 (((-2 (|:| |k| (-815 |#1|)) (|:| |c| |#2|)) $) 11)) (-3116 (((-815 |#1|) $) NIL)) (-1966 (((-815 |#1|) $) 34)) (-1544 (($ (-1 |#2| |#2|) $) NIL)) (-3642 (($ $ $) 60) (($ $ (-815 |#1|)) 50) (($ $ |#1|) 54)) (-1859 (((-635 (-2 (|:| |k| (-815 |#1|)) (|:| |c| |#2|))) $) NIL)) (-3948 (((-2 (|:| |k| (-815 |#1|)) (|:| |c| |#2|)) $) NIL)) (-1804 (((-815 |#1|) $) 28)) (-4012 ((|#2| $) 30)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2492 (((-764) $) 36)) (-1749 (((-121) $) 40)) (-2043 ((|#2| $) NIL)) (-2185 (((-851) $) NIL) (($ (-815 |#1|)) 24) (($ |#1|) 25) (($ |#2|) NIL) (($ (-569)) NIL)) (-3382 (((-635 |#2|) $) NIL)) (-1653 ((|#2| $ (-815 |#1|)) NIL)) (-4140 ((|#2| $ $) 63) ((|#2| $ (-815 |#1|)) NIL)) (-1991 (((-764)) NIL)) (-2427 (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (-3369 (($) 12 T CONST)) (-1556 (($) 14 T CONST)) (-1668 (((-121) $ $) 38)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 21)) (** (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ |#2| $) 20) (($ $ |#2|) 59) (($ |#2| (-815 |#1|)) NIL) (($ |#1| $) 27) (($ $ $) NIL))) 
+(((-1260 |#1| |#2|) (-13 (-385 |#2| (-815 |#1|)) (-1266 |#1| |#2|)) (-843) (-1048)) (T -1260)) 
+NIL 
+(-13 (-385 |#2| (-815 |#1|)) (-1266 |#1| |#2|)) 
+((-4450 ((|#3| |#3| (-764)) 23)) (-2436 ((|#3| |#3| (-764)) 28)) (-1358 ((|#3| |#3| |#3| (-764)) 29))) 
+(((-1261 |#1| |#2| |#3|) (-10 -7 (-15 -2436 (|#3| |#3| (-764))) (-15 -4450 (|#3| |#3| (-764))) (-15 -1358 (|#3| |#3| |#3| (-764)))) (-13 (-1048) (-708 (-410 (-569)))) (-843) (-1266 |#2| |#1|)) (T -1261)) 
+((-1358 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-13 (-1048) (-708 (-410 (-569))))) (-4 *5 (-843)) (-5 *1 (-1261 *4 *5 *2)) (-4 *2 (-1266 *5 *4)))) (-4450 (*1 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-13 (-1048) (-708 (-410 (-569))))) (-4 *5 (-843)) (-5 *1 (-1261 *4 *5 *2)) (-4 *2 (-1266 *5 *4)))) (-2436 (*1 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-13 (-1048) (-708 (-410 (-569))))) (-4 *5 (-843)) (-5 *1 (-1261 *4 *5 *2)) (-4 *2 (-1266 *5 *4))))) 
+(-10 -7 (-15 -2436 (|#3| |#3| (-764))) (-15 -4450 (|#3| |#3| (-764))) (-15 -1358 (|#3| |#3| |#3| (-764)))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-3914 (((-635 |#1|) $) 39)) (-2327 (((-3 $ "failed") $ $) 18)) (-1313 (($ $ $) 42 (|has| |#2| (-173))) (($ $ (-764)) 41 (|has| |#2| (-173)))) (-2820 (($) 16 T CONST)) (-2123 (($ $ |#1|) 53) (($ $ (-815 |#1|)) 52) (($ $ $) 51)) (-1647 (((-3 (-815 |#1|) "failed") $) 63)) (-2428 (((-815 |#1|) $) 62)) (-3428 (((-3 $ "failed") $) 33)) (-3088 (((-121) $) 44)) (-4183 (($ $) 43)) (-1407 (((-121) $) 30)) (-3523 (((-121) $) 49)) (-4145 (($ (-815 |#1|) |#2|) 50)) (-2208 (($ $) 48)) (-3087 (((-2 (|:| |k| (-815 |#1|)) (|:| |c| |#2|)) $) 59)) (-3116 (((-815 |#1|) $) 60)) (-1544 (($ (-1 |#2| |#2|) $) 40)) (-3642 (($ $ |#1|) 56) (($ $ (-815 |#1|)) 55) (($ $ $) 54)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-1749 (((-121) $) 46)) (-2043 ((|#2| $) 45)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#2|) 67) (($ (-815 |#1|)) 64) (($ |#1|) 47)) (-4140 ((|#2| $ (-815 |#1|)) 58) ((|#2| $ $) 57)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ |#2| $) 66) (($ $ |#2|) 65) (($ |#1| $) 61))) 
+(((-1262 |#1| |#2|) (-1278) (-843) (-1048)) (T -1262)) 
+((* (*1 *1 *1 *2) (-12 (-4 *1 (-1262 *3 *2)) (-4 *3 (-843)) (-4 *2 (-1048)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)))) (-3116 (*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-815 *3)))) (-3087 (*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-2 (|:| |k| (-815 *3)) (|:| |c| *4))))) (-4140 (*1 *2 *1 *3) (-12 (-5 *3 (-815 *4)) (-4 *1 (-1262 *4 *2)) (-4 *4 (-843)) (-4 *2 (-1048)))) (-4140 (*1 *2 *1 *1) (-12 (-4 *1 (-1262 *3 *2)) (-4 *3 (-843)) (-4 *2 (-1048)))) (-3642 (*1 *1 *1 *2) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)))) (-3642 (*1 *1 *1 *2) (-12 (-5 *2 (-815 *3)) (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)))) (-3642 (*1 *1 *1 *1) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)))) (-2123 (*1 *1 *1 *2) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)))) (-2123 (*1 *1 *1 *2) (-12 (-5 *2 (-815 *3)) (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)))) (-2123 (*1 *1 *1 *1) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)))) (-4145 (*1 *1 *2 *3) (-12 (-5 *2 (-815 *4)) (-4 *4 (-843)) (-4 *1 (-1262 *4 *3)) (-4 *3 (-1048)))) (-3523 (*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-121)))) (-2208 (*1 *1 *1) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)))) (-2185 (*1 *1 *2) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)))) (-1749 (*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-121)))) (-2043 (*1 *2 *1) (-12 (-4 *1 (-1262 *3 *2)) (-4 *3 (-843)) (-4 *2 (-1048)))) (-3088 (*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-121)))) (-4183 (*1 *1 *1) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)))) (-1313 (*1 *1 *1 *1) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)) (-4 *3 (-173)))) (-1313 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-4 *4 (-173)))) (-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)))) (-3914 (*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-635 *3))))) 
+(-13 (-1048) (-1259 |t#2|) (-1038 (-815 |t#1|)) (-10 -8 (-15 * ($ |t#1| $)) (-15 * ($ $ |t#2|)) (-15 -3116 ((-815 |t#1|) $)) (-15 -3087 ((-2 (|:| |k| (-815 |t#1|)) (|:| |c| |t#2|)) $)) (-15 -4140 (|t#2| $ (-815 |t#1|))) (-15 -4140 (|t#2| $ $)) (-15 -3642 ($ $ |t#1|)) (-15 -3642 ($ $ (-815 |t#1|))) (-15 -3642 ($ $ $)) (-15 -2123 ($ $ |t#1|)) (-15 -2123 ($ $ (-815 |t#1|))) (-15 -2123 ($ $ $)) (-15 -4145 ($ (-815 |t#1|) |t#2|)) (-15 -3523 ((-121) $)) (-15 -2208 ($ $)) (-15 -2185 ($ |t#1|)) (-15 -1749 ((-121) $)) (-15 -2043 (|t#2| $)) (-15 -3088 ((-121) $)) (-15 -4183 ($ $)) (IF (|has| |t#2| (-173)) (PROGN (-15 -1313 ($ $ $)) (-15 -1313 ($ $ (-764)))) |noBranch|) (-15 -1544 ($ (-1 |t#2| |t#2|) $)) (-15 -3914 ((-635 |t#1|) $)) (IF (|has| |t#2| (-6 -4528)) (-6 -4528) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#2|) |has| |#2| (-173)) ((-105) . T) ((-120 |#2| |#2|) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#2|) . T) ((-638 $) . T) ((-708 |#2|) |has| |#2| (-173)) ((-717) . T) ((-1038 (-815 |#1|)) . T) ((-1054 |#2|) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1259 |#2|) . T)) 
+((-3240 (((-121) $) 13)) (-3673 (((-121) $) 12)) (-1907 (($ $) 17) (($ $ (-764)) 18))) 
+(((-1263 |#1| |#2|) (-10 -8 (-15 -1907 (|#1| |#1| (-764))) (-15 -1907 (|#1| |#1|)) (-15 -3240 ((-121) |#1|)) (-15 -3673 ((-121) |#1|))) (-1264 |#2|) (-366)) (T -1263)) 
+NIL 
+(-10 -8 (-15 -1907 (|#1| |#1| (-764))) (-15 -1907 (|#1| |#1|)) (-15 -3240 ((-121) |#1|)) (-15 -3673 ((-121) |#1|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-3240 (((-121) $) 90)) (-2031 (((-764)) 86)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-3934 (((-121) $ $) 57)) (-2820 (($) 16 T CONST)) (-1647 (((-3 |#1| "failed") $) 97)) (-2428 ((|#1| $) 96)) (-2506 (($ $ $) 53)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-2751 (($ $ (-764)) 83 (-2232 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) 82 (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3726 (((-121) $) 69)) (-2558 (((-829 (-918)) $) 80 (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1407 (((-121) $) 30)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-2705 (((-121) $) 89)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-1743 (((-421 $) $) 72)) (-2578 (((-829 (-918))) 87)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-1291 (((-3 (-764) "failed") $ $) 81 (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2369 (((-140)) 95)) (-2492 (((-829 (-918)) $) 88)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ |#1|) 98)) (-3953 (((-3 $ "failed") $) 79 (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-3673 (((-121) $) 91)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1907 (($ $) 85 (|has| |#1| (-371))) (($ $ (-764)) 84 (|has| |#1| (-371)))) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 62) (($ $ |#1|) 94)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ $ |#1|) 93) (($ |#1| $) 92))) 
+(((-1264 |#1|) (-1278) (-366)) (T -1264)) 
+((-3673 (*1 *2 *1) (-12 (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) (-3240 (*1 *2 *1) (-12 (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) (-2705 (*1 *2 *1) (-12 (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) (-2492 (*1 *2 *1) (-12 (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-5 *2 (-829 (-918))))) (-2578 (*1 *2) (-12 (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-5 *2 (-829 (-918))))) (-2031 (*1 *2) (-12 (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-5 *2 (-764)))) (-1907 (*1 *1 *1) (-12 (-4 *1 (-1264 *2)) (-4 *2 (-366)) (-4 *2 (-371)))) (-1907 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-4 *3 (-371))))) 
+(-13 (-366) (-1038 |t#1|) (-1254 |t#1|) (-10 -8 (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-405)) |noBranch|) (-15 -3673 ((-121) $)) (-15 -3240 ((-121) $)) (-15 -2705 ((-121) $)) (-15 -2492 ((-829 (-918)) $)) (-15 -2578 ((-829 (-918)))) (-15 -2031 ((-764))) (IF (|has| |t#1| (-371)) (PROGN (-6 (-405)) (-15 -1907 ($ $)) (-15 -1907 ($ $ (-764)))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -2232 (|has| |#1| (-371)) (|has| |#1| (-149))) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-405) -2232 (|has| |#1| (-371)) (|has| |#1| (-149))) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 |#1|) . T) ((-708 $) . T) ((-717) . T) ((-917) . T) ((-1038 |#1|) . T) ((-1054 (-410 (-569))) . T) ((-1054 |#1|) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) . T) ((-1254 |#1|) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3914 (((-635 |#1|) $) 84)) (-1920 (($ $ (-764)) 87)) (-2327 (((-3 $ "failed") $ $) NIL)) (-1313 (($ $ $) NIL (|has| |#2| (-173))) (($ $ (-764)) NIL (|has| |#2| (-173)))) (-2820 (($) NIL T CONST)) (-2123 (($ $ |#1|) NIL) (($ $ (-815 |#1|)) NIL) (($ $ $) NIL)) (-1647 (((-3 (-815 |#1|) "failed") $) NIL) (((-3 (-889 |#1|) "failed") $) NIL)) (-2428 (((-815 |#1|) $) NIL) (((-889 |#1|) $) NIL)) (-4020 (($ $) 86)) (-3428 (((-3 $ "failed") $) NIL)) (-3088 (((-121) $) 75)) (-4183 (($ $) 79)) (-1592 (($ $ $ (-764)) 88)) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-4145 (($ (-815 |#1|) |#2|) NIL) (($ (-889 |#1|) |#2|) 25)) (-2208 (($ $) 101)) (-3087 (((-2 (|:| |k| (-815 |#1|)) (|:| |c| |#2|)) $) NIL)) (-3116 (((-815 |#1|) $) NIL)) (-1966 (((-815 |#1|) $) NIL)) (-1544 (($ (-1 |#2| |#2|) $) NIL)) (-3642 (($ $ |#1|) NIL) (($ $ (-815 |#1|)) NIL) (($ $ $) NIL)) (-4450 (($ $ (-764)) 95 (|has| |#2| (-708 (-410 (-569)))))) (-1859 (((-635 (-2 (|:| |k| (-889 |#1|)) (|:| |c| |#2|))) $) NIL)) (-3948 (((-2 (|:| |k| (-889 |#1|)) (|:| |c| |#2|)) $) NIL)) (-1804 (((-889 |#1|) $) 69)) (-4012 ((|#2| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2436 (($ $ (-764)) 92 (|has| |#2| (-708 (-410 (-569)))))) (-2492 (((-764) $) 85)) (-1749 (((-121) $) 70)) (-2043 ((|#2| $) 74)) (-2185 (((-851) $) 56) (($ (-569)) NIL) (($ |#2|) 50) (($ (-815 |#1|)) NIL) (($ |#1|) 58) (($ (-889 |#1|)) NIL) (($ (-657 |#1| |#2|)) 42) (((-1260 |#1| |#2|) $) 63) (((-1269 |#1| |#2|) $) 68)) (-3382 (((-635 |#2|) $) NIL)) (-1653 ((|#2| $ (-889 |#1|)) NIL)) (-4140 ((|#2| $ (-815 |#1|)) NIL) ((|#2| $ $) NIL)) (-1991 (((-764)) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 21 T CONST)) (-1556 (($) 24 T CONST)) (-3287 (((-3 (-657 |#1| |#2|) "failed") $) 100)) (-1668 (((-121) $ $) 64)) (-1711 (($ $) 94) (($ $ $) 93)) (-1707 (($ $ $) 20)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 43) (($ |#2| $) 19) (($ $ |#2|) NIL) (($ |#1| $) NIL) (($ |#2| (-889 |#1|)) NIL))) 
+(((-1265 |#1| |#2|) (-13 (-1266 |#1| |#2|) (-385 |#2| (-889 |#1|)) (-10 -8 (-15 -2185 ($ (-657 |#1| |#2|))) (-15 -2185 ((-1260 |#1| |#2|) $)) (-15 -2185 ((-1269 |#1| |#2|) $)) (-15 -3287 ((-3 (-657 |#1| |#2|) "failed") $)) (-15 -1592 ($ $ $ (-764))) (IF (|has| |#2| (-708 (-410 (-569)))) (PROGN (-15 -2436 ($ $ (-764))) (-15 -4450 ($ $ (-764)))) |noBranch|))) (-843) (-173)) (T -1265)) 
+((-2185 (*1 *1 *2) (-12 (-5 *2 (-657 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)) (-5 *1 (-1265 *3 *4)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-1260 *3 *4)) (-5 *1 (-1265 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-1269 *3 *4)) (-5 *1 (-1265 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)))) (-3287 (*1 *2 *1) (|partial| -12 (-5 *2 (-657 *3 *4)) (-5 *1 (-1265 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)))) (-1592 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-1265 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)))) (-2436 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-1265 *3 *4)) (-4 *4 (-708 (-410 (-569)))) (-4 *3 (-843)) (-4 *4 (-173)))) (-4450 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-1265 *3 *4)) (-4 *4 (-708 (-410 (-569)))) (-4 *3 (-843)) (-4 *4 (-173))))) 
+(-13 (-1266 |#1| |#2|) (-385 |#2| (-889 |#1|)) (-10 -8 (-15 -2185 ($ (-657 |#1| |#2|))) (-15 -2185 ((-1260 |#1| |#2|) $)) (-15 -2185 ((-1269 |#1| |#2|) $)) (-15 -3287 ((-3 (-657 |#1| |#2|) "failed") $)) (-15 -1592 ($ $ $ (-764))) (IF (|has| |#2| (-708 (-410 (-569)))) (PROGN (-15 -2436 ($ $ (-764))) (-15 -4450 ($ $ (-764)))) |noBranch|))) 
+((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-3914 (((-635 |#1|) $) 39)) (-1920 (($ $ (-764)) 68)) (-2327 (((-3 $ "failed") $ $) 18)) (-1313 (($ $ $) 42 (|has| |#2| (-173))) (($ $ (-764)) 41 (|has| |#2| (-173)))) (-2820 (($) 16 T CONST)) (-2123 (($ $ |#1|) 53) (($ $ (-815 |#1|)) 52) (($ $ $) 51)) (-1647 (((-3 (-815 |#1|) "failed") $) 63)) (-2428 (((-815 |#1|) $) 62)) (-3428 (((-3 $ "failed") $) 33)) (-3088 (((-121) $) 44)) (-4183 (($ $) 43)) (-1407 (((-121) $) 30)) (-3523 (((-121) $) 49)) (-4145 (($ (-815 |#1|) |#2|) 50)) (-2208 (($ $) 48)) (-3087 (((-2 (|:| |k| (-815 |#1|)) (|:| |c| |#2|)) $) 59)) (-3116 (((-815 |#1|) $) 60)) (-1966 (((-815 |#1|) $) 70)) (-1544 (($ (-1 |#2| |#2|) $) 40)) (-3642 (($ $ |#1|) 56) (($ $ (-815 |#1|)) 55) (($ $ $) 54)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2492 (((-764) $) 69)) (-1749 (((-121) $) 46)) (-2043 ((|#2| $) 45)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#2|) 67) (($ (-815 |#1|)) 64) (($ |#1|) 47)) (-4140 ((|#2| $ (-815 |#1|)) 58) ((|#2| $ $) 57)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ |#2| $) 66) (($ $ |#2|) 65) (($ |#1| $) 61))) 
+(((-1266 |#1| |#2|) (-1278) (-843) (-1048)) (T -1266)) 
+((-1966 (*1 *2 *1) (-12 (-4 *1 (-1266 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-815 *3)))) (-2492 (*1 *2 *1) (-12 (-4 *1 (-1266 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-764)))) (-1920 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1266 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048))))) 
+(-13 (-1262 |t#1| |t#2|) (-10 -8 (-15 -1966 ((-815 |t#1|) $)) (-15 -2492 ((-764) $)) (-15 -1920 ($ $ (-764))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#2|) |has| |#2| (-173)) ((-105) . T) ((-120 |#2| |#2|) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#2|) . T) ((-638 $) . T) ((-708 |#2|) |has| |#2| (-173)) ((-717) . T) ((-1038 (-815 |#1|)) . T) ((-1054 |#2|) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1259 |#2|) . T) ((-1262 |#1| |#2|) . T)) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3914 (((-635 (-1163)) $) NIL)) (-2412 (($ (-1260 (-1163) |#1|)) NIL)) (-1920 (($ $ (-764)) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-1313 (($ $ $) NIL (|has| |#1| (-173))) (($ $ (-764)) NIL (|has| |#1| (-173)))) (-2820 (($) NIL T CONST)) (-2123 (($ $ (-1163)) NIL) (($ $ (-815 (-1163))) NIL) (($ $ $) NIL)) (-1647 (((-3 (-815 (-1163)) "failed") $) NIL)) (-2428 (((-815 (-1163)) $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-3088 (((-121) $) NIL)) (-4183 (($ $) NIL)) (-1407 (((-121) $) NIL)) (-3523 (((-121) $) NIL)) (-4145 (($ (-815 (-1163)) |#1|) NIL)) (-2208 (($ $) NIL)) (-3087 (((-2 (|:| |k| (-815 (-1163))) (|:| |c| |#1|)) $) NIL)) (-3116 (((-815 (-1163)) $) NIL)) (-1966 (((-815 (-1163)) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-3642 (($ $ (-1163)) NIL) (($ $ (-815 (-1163))) NIL) (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1939 (((-1260 (-1163) |#1|) $) NIL)) (-2492 (((-764) $) NIL)) (-1749 (((-121) $) NIL)) (-2043 ((|#1| $) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-815 (-1163))) NIL) (($ (-1163)) NIL)) (-4140 ((|#1| $ (-815 (-1163))) NIL) ((|#1| $ $) NIL)) (-1991 (((-764)) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1455 (((-635 (-2 (|:| |k| (-1163)) (|:| |c| $))) $) NIL)) (-1556 (($) NIL T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-1163) $) NIL))) 
+(((-1267 |#1|) (-13 (-1266 (-1163) |#1|) (-10 -8 (-15 -1939 ((-1260 (-1163) |#1|) $)) (-15 -2412 ($ (-1260 (-1163) |#1|))) (-15 -1455 ((-635 (-2 (|:| |k| (-1163)) (|:| |c| $))) $)))) (-1048)) (T -1267)) 
+((-1939 (*1 *2 *1) (-12 (-5 *2 (-1260 (-1163) *3)) (-5 *1 (-1267 *3)) (-4 *3 (-1048)))) (-2412 (*1 *1 *2) (-12 (-5 *2 (-1260 (-1163) *3)) (-4 *3 (-1048)) (-5 *1 (-1267 *3)))) (-1455 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| (-1163)) (|:| |c| (-1267 *3))))) (-5 *1 (-1267 *3)) (-4 *3 (-1048))))) 
+(-13 (-1266 (-1163) |#1|) (-10 -8 (-15 -1939 ((-1260 (-1163) |#1|) $)) (-15 -2412 ($ (-1260 (-1163) |#1|))) (-15 -1455 ((-635 (-2 (|:| |k| (-1163)) (|:| |c| $))) $)))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#2| "failed") $) NIL)) (-2428 ((|#2| $) NIL)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) 34)) (-3088 (((-121) $) 29)) (-4183 (($ $) 30)) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-4145 (($ |#2| |#1|) NIL)) (-3116 ((|#2| $) 19)) (-1966 ((|#2| $) 16)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-1859 (((-635 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) NIL)) (-3948 (((-2 (|:| |k| |#2|) (|:| |c| |#1|)) $) NIL)) (-1804 ((|#2| $) NIL)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1749 (((-121) $) 27)) (-2043 ((|#1| $) 28)) (-2185 (((-851) $) 53) (($ (-569)) 38) (($ |#1|) 33) (($ |#2|) NIL)) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ |#2|) NIL)) (-4140 ((|#1| $ |#2|) 24)) (-1991 (((-764)) 14)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 25 T CONST)) (-1556 (($) 11 T CONST)) (-1668 (((-121) $ $) 26)) (-1715 (($ $ |#1|) 55 (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 42)) (** (($ $ (-918)) NIL) (($ $ (-764)) 44)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 43) (($ |#1| $) 39) (($ $ |#1|) NIL) (($ |#1| |#2|) NIL)) (-4168 (((-764) $) 15))) 
+(((-1268 |#1| |#2|) (-13 (-1048) (-1259 |#1|) (-385 |#1| |#2|) (-10 -8 (-15 * ($ $ |#1|)) (-15 -4168 ((-764) $)) (-15 -2185 ($ |#2|)) (-15 -1966 (|#2| $)) (-15 -3116 (|#2| $)) (-15 -4020 ($ $)) (-15 -4140 (|#1| $ |#2|)) (-15 -1749 ((-121) $)) (-15 -2043 (|#1| $)) (-15 -3088 ((-121) $)) (-15 -4183 ($ $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-366)) (-15 -1715 ($ $ |#1|)) |noBranch|) (IF (|has| |#1| (-6 -4528)) (-6 -4528) |noBranch|) (IF (|has| |#1| (-6 -4532)) (-6 -4532) |noBranch|) (IF (|has| |#1| (-6 -4533)) (-6 -4533) |noBranch|))) (-1048) (-839)) (T -1268)) 
+((* (*1 *1 *1 *2) (-12 (-5 *1 (-1268 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-839)))) (-4020 (*1 *1 *1) (-12 (-5 *1 (-1268 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-839)))) (-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-1268 *3 *4)) (-4 *4 (-839)))) (-2185 (*1 *1 *2) (-12 (-5 *1 (-1268 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-839)))) (-4168 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1268 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-839)))) (-1966 (*1 *2 *1) (-12 (-4 *2 (-839)) (-5 *1 (-1268 *3 *2)) (-4 *3 (-1048)))) (-3116 (*1 *2 *1) (-12 (-4 *2 (-839)) (-5 *1 (-1268 *3 *2)) (-4 *3 (-1048)))) (-4140 (*1 *2 *1 *3) (-12 (-4 *2 (-1048)) (-5 *1 (-1268 *2 *3)) (-4 *3 (-839)))) (-1749 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1268 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-839)))) (-2043 (*1 *2 *1) (-12 (-4 *2 (-1048)) (-5 *1 (-1268 *2 *3)) (-4 *3 (-839)))) (-3088 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1268 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-839)))) (-4183 (*1 *1 *1) (-12 (-5 *1 (-1268 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-839)))) (-1715 (*1 *1 *1 *2) (-12 (-5 *1 (-1268 *2 *3)) (-4 *2 (-366)) (-4 *2 (-1048)) (-4 *3 (-839))))) 
+(-13 (-1048) (-1259 |#1|) (-385 |#1| |#2|) (-10 -8 (-15 * ($ $ |#1|)) (-15 -4168 ((-764) $)) (-15 -2185 ($ |#2|)) (-15 -1966 (|#2| $)) (-15 -3116 (|#2| $)) (-15 -4020 ($ $)) (-15 -4140 (|#1| $ |#2|)) (-15 -1749 ((-121) $)) (-15 -2043 (|#1| $)) (-15 -3088 ((-121) $)) (-15 -4183 ($ $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-366)) (-15 -1715 ($ $ |#1|)) |noBranch|) (IF (|has| |#1| (-6 -4528)) (-6 -4528) |noBranch|) (IF (|has| |#1| (-6 -4532)) (-6 -4532) |noBranch|) (IF (|has| |#1| (-6 -4533)) (-6 -4533) |noBranch|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3914 (((-635 |#1|) $) 119)) (-2412 (($ (-1260 |#1| |#2|)) 43)) (-1920 (($ $ (-764)) 31)) (-2327 (((-3 $ "failed") $ $) NIL)) (-1313 (($ $ $) 47 (|has| |#2| (-173))) (($ $ (-764)) 45 (|has| |#2| (-173)))) (-2820 (($) NIL T CONST)) (-2123 (($ $ |#1|) 101) (($ $ (-815 |#1|)) 102) (($ $ $) 25)) (-1647 (((-3 (-815 |#1|) "failed") $) NIL)) (-2428 (((-815 |#1|) $) NIL)) (-3428 (((-3 $ "failed") $) 109)) (-3088 (((-121) $) 104)) (-4183 (($ $) 105)) (-1407 (((-121) $) NIL)) (-3523 (((-121) $) NIL)) (-4145 (($ (-815 |#1|) |#2|) 19)) (-2208 (($ $) NIL)) (-3087 (((-2 (|:| |k| (-815 |#1|)) (|:| |c| |#2|)) $) NIL)) (-3116 (((-815 |#1|) $) 110)) (-1966 (((-815 |#1|) $) 113)) (-1544 (($ (-1 |#2| |#2|) $) 118)) (-3642 (($ $ |#1|) 99) (($ $ (-815 |#1|)) 100) (($ $ $) 55)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1939 (((-1260 |#1| |#2|) $) 83)) (-2492 (((-764) $) 116)) (-1749 (((-121) $) 69)) (-2043 ((|#2| $) 27)) (-2185 (((-851) $) 62) (($ (-569)) 76) (($ |#2|) 73) (($ (-815 |#1|)) 17) (($ |#1|) 72)) (-4140 ((|#2| $ (-815 |#1|)) 103) ((|#2| $ $) 26)) (-1991 (((-764)) 107)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 14 T CONST)) (-1455 (((-635 (-2 (|:| |k| |#1|) (|:| |c| $))) $) 52)) (-1556 (($) 28 T CONST)) (-1668 (((-121) $ $) 13)) (-1711 (($ $) 87) (($ $ $) 90)) (-1707 (($ $ $) 54)) (** (($ $ (-918)) NIL) (($ $ (-764)) 48)) (* (($ (-918) $) NIL) (($ (-764) $) 46) (($ (-569) $) 93) (($ $ $) 21) (($ |#2| $) 18) (($ $ |#2|) 20) (($ |#1| $) 81))) 
+(((-1269 |#1| |#2|) (-13 (-1266 |#1| |#2|) (-10 -8 (-15 -1939 ((-1260 |#1| |#2|) $)) (-15 -2412 ($ (-1260 |#1| |#2|))) (-15 -1455 ((-635 (-2 (|:| |k| |#1|) (|:| |c| $))) $)))) (-843) (-1048)) (T -1269)) 
+((-1939 (*1 *2 *1) (-12 (-5 *2 (-1260 *3 *4)) (-5 *1 (-1269 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)))) (-2412 (*1 *1 *2) (-12 (-5 *2 (-1260 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *1 (-1269 *3 *4)))) (-1455 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| *3) (|:| |c| (-1269 *3 *4))))) (-5 *1 (-1269 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048))))) 
+(-13 (-1266 |#1| |#2|) (-10 -8 (-15 -1939 ((-1260 |#1| |#2|) $)) (-15 -2412 ($ (-1260 |#1| |#2|))) (-15 -1455 ((-635 (-2 (|:| |k| |#1|) (|:| |c| $))) $)))) 
+((-2374 (((-635 (-1143 |#1|)) (-1 (-635 (-1143 |#1|)) (-635 (-1143 |#1|))) (-569)) 15) (((-1143 |#1|) (-1 (-1143 |#1|) (-1143 |#1|))) 11))) 
+(((-1270 |#1|) (-10 -7 (-15 -2374 ((-1143 |#1|) (-1 (-1143 |#1|) (-1143 |#1|)))) (-15 -2374 ((-635 (-1143 |#1|)) (-1 (-635 (-1143 |#1|)) (-635 (-1143 |#1|))) (-569)))) (-1197)) (T -1270)) 
+((-2374 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-635 (-1143 *5)) (-635 (-1143 *5)))) (-5 *4 (-569)) (-5 *2 (-635 (-1143 *5))) (-5 *1 (-1270 *5)) (-4 *5 (-1197)))) (-2374 (*1 *2 *3) (-12 (-5 *3 (-1 (-1143 *4) (-1143 *4))) (-5 *2 (-1143 *4)) (-5 *1 (-1270 *4)) (-4 *4 (-1197))))) 
+(-10 -7 (-15 -2374 ((-1143 |#1|) (-1 (-1143 |#1|) (-1143 |#1|)))) (-15 -2374 ((-635 (-1143 |#1|)) (-1 (-635 (-1143 |#1|)) (-635 (-1143 |#1|))) (-569)))) 
+((-4178 (((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|))) 145) (((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121)) 144) (((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121) (-121)) 143) (((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121) (-121) (-121)) 142) (((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-1045 |#1| |#2|)) 127)) (-2762 (((-635 (-1045 |#1| |#2|)) (-635 (-954 |#1|))) 70) (((-635 (-1045 |#1| |#2|)) (-635 (-954 |#1|)) (-121)) 69) (((-635 (-1045 |#1| |#2|)) (-635 (-954 |#1|)) (-121) (-121)) 68)) (-2446 (((-635 (-1132 |#1| (-535 (-853 |#3|)) (-853 |#3|) (-776 |#1| (-853 |#3|)))) (-1045 |#1| |#2|)) 59)) (-3492 (((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|))) 112) (((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121)) 111) (((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121) (-121)) 110) (((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121) (-121) (-121)) 109) (((-635 (-635 (-1024 (-410 |#1|)))) (-1045 |#1| |#2|)) 104)) (-2662 (((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|))) 117) (((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121)) 116) (((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121) (-121)) 115) (((-635 (-635 (-1024 (-410 |#1|)))) (-1045 |#1| |#2|)) 114)) (-3817 (((-635 (-776 |#1| (-853 |#3|))) (-1132 |#1| (-535 (-853 |#3|)) (-853 |#3|) (-776 |#1| (-853 |#3|)))) 96) (((-1159 (-1024 (-410 |#1|))) (-1159 |#1|)) 87) (((-954 (-1024 (-410 |#1|))) (-776 |#1| (-853 |#3|))) 94) (((-954 (-1024 (-410 |#1|))) (-954 |#1|)) 92) (((-776 |#1| (-853 |#3|)) (-776 |#1| (-853 |#2|))) 32))) 
+(((-1271 |#1| |#2| |#3|) (-10 -7 (-15 -2762 ((-635 (-1045 |#1| |#2|)) (-635 (-954 |#1|)) (-121) (-121))) (-15 -2762 ((-635 (-1045 |#1| |#2|)) (-635 (-954 |#1|)) (-121))) (-15 -2762 ((-635 (-1045 |#1| |#2|)) (-635 (-954 |#1|)))) (-15 -4178 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-1045 |#1| |#2|))) (-15 -4178 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121) (-121) (-121))) (-15 -4178 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121) (-121))) (-15 -4178 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121))) (-15 -4178 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)))) (-15 -3492 ((-635 (-635 (-1024 (-410 |#1|)))) (-1045 |#1| |#2|))) (-15 -3492 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121) (-121) (-121))) (-15 -3492 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121) (-121))) (-15 -3492 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121))) (-15 -3492 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)))) (-15 -2662 ((-635 (-635 (-1024 (-410 |#1|)))) (-1045 |#1| |#2|))) (-15 -2662 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121) (-121))) (-15 -2662 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121))) (-15 -2662 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)))) (-15 -2446 ((-635 (-1132 |#1| (-535 (-853 |#3|)) (-853 |#3|) (-776 |#1| (-853 |#3|)))) (-1045 |#1| |#2|))) (-15 -3817 ((-776 |#1| (-853 |#3|)) (-776 |#1| (-853 |#2|)))) (-15 -3817 ((-954 (-1024 (-410 |#1|))) (-954 |#1|))) (-15 -3817 ((-954 (-1024 (-410 |#1|))) (-776 |#1| (-853 |#3|)))) (-15 -3817 ((-1159 (-1024 (-410 |#1|))) (-1159 |#1|))) (-15 -3817 ((-635 (-776 |#1| (-853 |#3|))) (-1132 |#1| (-535 (-853 |#3|)) (-853 |#3|) (-776 |#1| (-853 |#3|)))))) (-13 (-841) (-302) (-151) (-1022)) (-635 (-1163)) (-635 (-1163))) (T -1271)) 
+((-3817 (*1 *2 *3) (-12 (-5 *3 (-1132 *4 (-535 (-853 *6)) (-853 *6) (-776 *4 (-853 *6)))) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-776 *4 (-853 *6)))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163))))) (-3817 (*1 *2 *3) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-1159 (-1024 (-410 *4)))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-14 *6 (-635 (-1163))))) (-3817 (*1 *2 *3) (-12 (-5 *3 (-776 *4 (-853 *6))) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *6 (-635 (-1163))) (-5 *2 (-954 (-1024 (-410 *4)))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163))))) (-3817 (*1 *2 *3) (-12 (-5 *3 (-954 *4)) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-954 (-1024 (-410 *4)))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-14 *6 (-635 (-1163))))) (-3817 (*1 *2 *3) (-12 (-5 *3 (-776 *4 (-853 *5))) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *5 (-635 (-1163))) (-5 *2 (-776 *4 (-853 *6))) (-5 *1 (-1271 *4 *5 *6)) (-14 *6 (-635 (-1163))))) (-2446 (*1 *2 *3) (-12 (-5 *3 (-1045 *4 *5)) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *5 (-635 (-1163))) (-5 *2 (-635 (-1132 *4 (-535 (-853 *6)) (-853 *6) (-776 *4 (-853 *6))))) (-5 *1 (-1271 *4 *5 *6)) (-14 *6 (-635 (-1163))))) (-2662 (*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *4))))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-14 *6 (-635 (-1163))))) (-2662 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *5))))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) (-2662 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *5))))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) (-2662 (*1 *2 *3) (-12 (-5 *3 (-1045 *4 *5)) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *5 (-635 (-1163))) (-5 *2 (-635 (-635 (-1024 (-410 *4))))) (-5 *1 (-1271 *4 *5 *6)) (-14 *6 (-635 (-1163))))) (-3492 (*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *4))))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-14 *6 (-635 (-1163))))) (-3492 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *5))))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) (-3492 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *5))))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) (-3492 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *5))))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) (-3492 (*1 *2 *3) (-12 (-5 *3 (-1045 *4 *5)) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *5 (-635 (-1163))) (-5 *2 (-635 (-635 (-1024 (-410 *4))))) (-5 *1 (-1271 *4 *5 *6)) (-14 *6 (-635 (-1163))))) (-4178 (*1 *2 *3) (-12 (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *4)) (|:| -1648 (-635 (-954 *4)))))) (-5 *1 (-1271 *4 *5 *6)) (-5 *3 (-635 (-954 *4))) (-14 *5 (-635 (-1163))) (-14 *6 (-635 (-1163))))) (-4178 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *5)) (|:| -1648 (-635 (-954 *5)))))) (-5 *1 (-1271 *5 *6 *7)) (-5 *3 (-635 (-954 *5))) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) (-4178 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *5)) (|:| -1648 (-635 (-954 *5)))))) (-5 *1 (-1271 *5 *6 *7)) (-5 *3 (-635 (-954 *5))) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) (-4178 (*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *5)) (|:| -1648 (-635 (-954 *5)))))) (-5 *1 (-1271 *5 *6 *7)) (-5 *3 (-635 (-954 *5))) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) (-4178 (*1 *2 *3) (-12 (-5 *3 (-1045 *4 *5)) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *5 (-635 (-1163))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *4)) (|:| -1648 (-635 (-954 *4)))))) (-5 *1 (-1271 *4 *5 *6)) (-14 *6 (-635 (-1163))))) (-2762 (*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-1045 *4 *5))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-14 *6 (-635 (-1163))))) (-2762 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-1045 *5 *6))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) (-2762 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-1045 *5 *6))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163)))))) 
+(-10 -7 (-15 -2762 ((-635 (-1045 |#1| |#2|)) (-635 (-954 |#1|)) (-121) (-121))) (-15 -2762 ((-635 (-1045 |#1| |#2|)) (-635 (-954 |#1|)) (-121))) (-15 -2762 ((-635 (-1045 |#1| |#2|)) (-635 (-954 |#1|)))) (-15 -4178 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-1045 |#1| |#2|))) (-15 -4178 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121) (-121) (-121))) (-15 -4178 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121) (-121))) (-15 -4178 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121))) (-15 -4178 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)))) (-15 -3492 ((-635 (-635 (-1024 (-410 |#1|)))) (-1045 |#1| |#2|))) (-15 -3492 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121) (-121) (-121))) (-15 -3492 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121) (-121))) (-15 -3492 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121))) (-15 -3492 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)))) (-15 -2662 ((-635 (-635 (-1024 (-410 |#1|)))) (-1045 |#1| |#2|))) (-15 -2662 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121) (-121))) (-15 -2662 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121))) (-15 -2662 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)))) (-15 -2446 ((-635 (-1132 |#1| (-535 (-853 |#3|)) (-853 |#3|) (-776 |#1| (-853 |#3|)))) (-1045 |#1| |#2|))) (-15 -3817 ((-776 |#1| (-853 |#3|)) (-776 |#1| (-853 |#2|)))) (-15 -3817 ((-954 (-1024 (-410 |#1|))) (-954 |#1|))) (-15 -3817 ((-954 (-1024 (-410 |#1|))) (-776 |#1| (-853 |#3|)))) (-15 -3817 ((-1159 (-1024 (-410 |#1|))) (-1159 |#1|))) (-15 -3817 ((-635 (-776 |#1| (-853 |#3|))) (-1132 |#1| (-535 (-853 |#3|)) (-853 |#3|) (-776 |#1| (-853 |#3|)))))) 
+((-4018 (((-3 (-1247 (-410 (-569))) "failed") (-1247 |#1|) |#1|) 17)) (-1972 (((-121) (-1247 |#1|)) 11)) (-3121 (((-3 (-1247 (-569)) "failed") (-1247 |#1|)) 14))) 
+(((-1272 |#1|) (-10 -7 (-15 -1972 ((-121) (-1247 |#1|))) (-15 -3121 ((-3 (-1247 (-569)) "failed") (-1247 |#1|))) (-15 -4018 ((-3 (-1247 (-410 (-569))) "failed") (-1247 |#1|) |#1|))) (-631 (-569))) (T -1272)) 
+((-4018 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1247 *4)) (-4 *4 (-631 (-569))) (-5 *2 (-1247 (-410 (-569)))) (-5 *1 (-1272 *4)))) (-3121 (*1 *2 *3) (|partial| -12 (-5 *3 (-1247 *4)) (-4 *4 (-631 (-569))) (-5 *2 (-1247 (-569))) (-5 *1 (-1272 *4)))) (-1972 (*1 *2 *3) (-12 (-5 *3 (-1247 *4)) (-4 *4 (-631 (-569))) (-5 *2 (-121)) (-5 *1 (-1272 *4))))) 
+(-10 -7 (-15 -1972 ((-121) (-1247 |#1|))) (-15 -3121 ((-3 (-1247 (-569)) "failed") (-1247 |#1|))) (-15 -4018 ((-3 (-1247 (-410 (-569))) "failed") (-1247 |#1|) |#1|))) 
+((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 11)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2085 (((-764)) 8)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) 43)) (-4327 (($) 36)) (-1407 (((-121) $) NIL)) (-3846 (((-3 $ "failed") $) 29)) (-2083 (((-918) $) 15)) (-2776 (((-1145) $) NIL)) (-4043 (($) 25 T CONST)) (-3998 (($ (-918)) 37)) (-3360 (((-1109) $) NIL)) (-3817 (((-569) $) 13)) (-2185 (((-851) $) 22) (($ (-569)) 19)) (-1991 (((-764)) 9)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 23 T CONST)) (-1556 (($) 24 T CONST)) (-1668 (((-121) $ $) 27)) (-1711 (($ $) 38) (($ $ $) 35)) (-1707 (($ $ $) 26)) (** (($ $ (-918)) NIL) (($ $ (-764)) 40)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 32) (($ $ $) 31))) 
+(((-1273 |#1|) (-13 (-173) (-371) (-610 (-569)) (-1137)) (-918)) (T -1273)) 
+NIL 
+(-13 (-173) (-371) (-610 (-569)) (-1137)) 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+((-1278 3588519 3588524 3588529 "NIL" NIL T NIL (NIL) NIL NIL NIL) (-3 3588504 3588509 3588514 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (-2 3588489 3588494 3588499 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (-1 3588474 3588479 3588484 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (0 3588459 3588464 3588469 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (-1273 3587589 3588334 3588411 "ZMOD" 3588416 NIL ZMOD (NIL NIL) -8 NIL NIL) (-1272 3586699 3586863 3587072 "ZLINDEP" 3587421 NIL ZLINDEP (NIL T) -7 NIL NIL) (-1271 3576003 3577767 3579739 "ZDSOLVE" 3584829 NIL ZDSOLVE (NIL T NIL NIL) -7 NIL NIL) (-1270 3575249 3575390 3575579 "YSTREAM" 3575849 NIL YSTREAM (NIL T) -7 NIL NIL) (-1269 3573014 3574550 3574754 "XRPOLY" 3575092 NIL XRPOLY (NIL T T) -8 NIL NIL) (-1268 3569468 3570797 3571377 "XPR" 3572481 NIL XPR (NIL T T) -8 NIL NIL) (-1267 3567178 3568799 3569003 "XPOLY" 3569299 NIL XPOLY (NIL T) -8 NIL NIL) (-1266 3564982 3566360 3566416 "XPOLYC" 3566704 NIL XPOLYC (NIL T T) -9 NIL 3566817) (-1265 3561356 3563501 3563888 "XPBWPOLY" 3564641 NIL XPBWPOLY (NIL T T) -8 NIL NIL) (-1264 3557234 3559544 3559587 "XF" 3560208 NIL XF (NIL T) -9 NIL 3560605) (-1263 3556855 3556943 3557112 "XF-" 3557117 NIL XF- (NIL T T) -8 NIL NIL) (-1262 3552204 3553503 3553559 "XFALG" 3555731 NIL XFALG (NIL T T) -9 NIL 3556518) (-1261 3551337 3551441 3551646 "XEXPPKG" 3552096 NIL XEXPPKG (NIL T T T) -7 NIL NIL) (-1260 3549434 3551187 3551283 "XDPOLY" 3551288 NIL XDPOLY (NIL T T) -8 NIL NIL) (-1259 3548306 3548916 3548960 "XALG" 3549023 NIL XALG (NIL T) -9 NIL 3549142) (-1258 3541775 3546283 3546777 "WUTSET" 3547898 NIL WUTSET (NIL T T T T) -8 NIL NIL) (-1257 3539584 3540391 3540742 "WP" 3541558 NIL WP (NIL T T T T NIL NIL NIL) -8 NIL NIL) (-1256 3538470 3538668 3538963 "WFFINTBS" 3539381 NIL WFFINTBS (NIL T T T T) -7 NIL NIL) (-1255 3536374 3536801 3537263 "WEIER" 3538042 NIL WEIER (NIL T) -7 NIL NIL) (-1254 3535520 3535944 3535987 "VSPACE" 3536123 NIL VSPACE (NIL T) -9 NIL 3536197) (-1253 3535358 3535385 3535476 "VSPACE-" 3535481 NIL VSPACE- (NIL T T) -8 NIL NIL) (-1252 3535104 3535147 3535218 "VOID" 3535309 T VOID (NIL) -8 NIL NIL) (-1251 3533240 3533599 3534005 "VIEW" 3534720 T VIEW (NIL) -7 NIL NIL) (-1250 3529665 3530303 3531040 "VIEWDEF" 3532525 T VIEWDEF (NIL) -7 NIL NIL) (-1249 3519004 3521213 3523386 "VIEW3D" 3527514 T VIEW3D (NIL) -8 NIL NIL) (-1248 3511286 3512915 3514494 "VIEW2D" 3517447 T VIEW2D (NIL) -8 NIL NIL) (-1247 3506694 3511056 3511148 "VECTOR" 3511229 NIL VECTOR (NIL T) -8 NIL NIL) (-1246 3505271 3505530 3505848 "VECTOR2" 3506424 NIL VECTOR2 (NIL T T) -7 NIL NIL) (-1245 3498836 3503082 3503126 "VECTCAT" 3504121 NIL VECTCAT (NIL T) -9 NIL 3504701) (-1244 3497850 3498104 3498494 "VECTCAT-" 3498499 NIL VECTCAT- (NIL T T) -8 NIL NIL) (-1243 3497331 3497501 3497621 "VARIABLE" 3497765 NIL VARIABLE (NIL NIL) -8 NIL NIL) (-1242 3489373 3495164 3495642 "UTSZ" 3496901 NIL UTSZ (NIL T NIL) -8 NIL NIL) (-1241 3488979 3489029 3489163 "UTSSOL" 3489317 NIL UTSSOL (NIL T T T) -7 NIL NIL) (-1240 3487811 3487965 3488226 "UTSODETL" 3488806 NIL UTSODETL (NIL T T T T) -7 NIL NIL) (-1239 3485251 3485711 3486235 "UTSODE" 3487352 NIL UTSODE (NIL T T) -7 NIL NIL) (-1238 3477084 3482879 3483367 "UTS" 3484821 NIL UTS (NIL T NIL NIL) -8 NIL NIL) (-1237 3468370 3473730 3473774 "UTSCAT" 3474886 NIL UTSCAT (NIL T) -9 NIL 3475637) (-1236 3465725 3466440 3467429 "UTSCAT-" 3467434 NIL UTSCAT- (NIL T T) -8 NIL NIL) (-1235 3465352 3465395 3465528 "UTS2" 3465676 NIL UTS2 (NIL T T T T) -7 NIL NIL) (-1234 3459666 3462225 3462269 "URAGG" 3464339 NIL URAGG (NIL T) -9 NIL 3465061) (-1233 3456605 3457468 3458591 "URAGG-" 3458596 NIL URAGG- (NIL T T) -8 NIL NIL) (-1232 3452283 3455219 3455691 "UPXSSING" 3456269 NIL UPXSSING (NIL T T NIL NIL) -8 NIL NIL) (-1231 3444170 3451400 3451681 "UPXS" 3452060 NIL UPXS (NIL T NIL NIL) -8 NIL NIL) (-1230 3437198 3444074 3444146 "UPXSCONS" 3444151 NIL UPXSCONS (NIL T T) -8 NIL NIL) (-1229 3427410 3434235 3434298 "UPXSCCA" 3434954 NIL UPXSCCA (NIL T T) -9 NIL 3435196) (-1228 3427048 3427133 3427307 "UPXSCCA-" 3427312 NIL UPXSCCA- (NIL T T T) -8 NIL NIL) (-1227 3417192 3423790 3423834 "UPXSCAT" 3424482 NIL UPXSCAT (NIL T) -9 NIL 3425084) (-1226 3416622 3416701 3416880 "UPXS2" 3417107 NIL UPXS2 (NIL T T NIL NIL NIL NIL) -7 NIL NIL) (-1225 3415276 3415529 3415880 "UPSQFREE" 3416365 NIL UPSQFREE (NIL T T) -7 NIL NIL) (-1224 3409111 3412161 3412217 "UPSCAT" 3413378 NIL UPSCAT (NIL T T) -9 NIL 3414146) (-1223 3408315 3408522 3408849 "UPSCAT-" 3408854 NIL UPSCAT- (NIL T T T) -8 NIL NIL) (-1222 3394304 3402344 3402388 "UPOLYC" 3404489 NIL UPOLYC (NIL T) -9 NIL 3405704) (-1221 3385633 3388058 3391205 "UPOLYC-" 3391210 NIL UPOLYC- (NIL T T) -8 NIL NIL) (-1220 3385260 3385303 3385436 "UPOLYC2" 3385584 NIL UPOLYC2 (NIL T T T T) -7 NIL NIL) (-1219 3376671 3384826 3384964 "UP" 3385170 NIL UP (NIL NIL T) -8 NIL NIL) (-1218 3376010 3376117 3376281 "UPMP" 3376560 NIL UPMP (NIL T T) -7 NIL NIL) (-1217 3375563 3375644 3375783 "UPDIVP" 3375923 NIL UPDIVP (NIL T T) -7 NIL NIL) (-1216 3374131 3374380 3374696 "UPDECOMP" 3375312 NIL UPDECOMP (NIL T T) -7 NIL NIL) (-1215 3373366 3373478 3373663 "UPCDEN" 3374015 NIL UPCDEN (NIL T T T) -7 NIL NIL) (-1214 3372885 3372954 3373103 "UP2" 3373291 NIL UP2 (NIL NIL T NIL T) -7 NIL NIL) (-1213 3371406 3372093 3372368 "UNISEG" 3372645 NIL UNISEG (NIL T) -8 NIL NIL) (-1212 3370623 3370750 3370954 "UNISEG2" 3371250 NIL UNISEG2 (NIL T T) -7 NIL NIL) (-1211 3369683 3369863 3370089 "UNIFACT" 3370439 NIL UNIFACT (NIL T) -7 NIL NIL) (-1210 3353567 3368862 3369112 "ULS" 3369491 NIL ULS (NIL T NIL NIL) -8 NIL NIL) (-1209 3341522 3353471 3353543 "ULSCONS" 3353548 NIL ULSCONS (NIL T T) -8 NIL NIL) (-1208 3324189 3336206 3336269 "ULSCCAT" 3336989 NIL ULSCCAT (NIL T T) -9 NIL 3337285) (-1207 3323239 3323484 3323872 "ULSCCAT-" 3323877 NIL ULSCCAT- (NIL T T T) -8 NIL NIL) (-1206 3313175 3319687 3319731 "ULSCAT" 3320594 NIL ULSCAT (NIL T) -9 NIL 3321317) (-1205 3312605 3312684 3312863 "ULS2" 3313090 NIL ULS2 (NIL T T NIL NIL NIL NIL) -7 NIL NIL) (-1204 3304743 3310596 3311096 "UFPS" 3312140 NIL UFPS (NIL T) -8 NIL NIL) (-1203 3304440 3304497 3304595 "UFPS1" 3304680 NIL UFPS1 (NIL T) -7 NIL NIL) (-1202 3302833 3303800 3303831 "UFD" 3304043 T UFD (NIL) -9 NIL 3304157) (-1201 3302627 3302673 3302768 "UFD-" 3302773 NIL UFD- (NIL T) -8 NIL NIL) (-1200 3301709 3301892 3302108 "UDVO" 3302433 T UDVO (NIL) -7 NIL NIL) (-1199 3299527 3299936 3300406 "UDPO" 3301274 NIL UDPO (NIL T) -7 NIL NIL) (-1198 3295490 3299472 3299508 "U32VEC" 3299513 T U32VEC (NIL) -8 NIL NIL) (-1197 3295422 3295427 3295458 "TYPE" 3295463 T TYPE (NIL) -9 NIL NIL) (-1196 3294393 3294595 3294835 "TWOFACT" 3295216 NIL TWOFACT (NIL T) -7 NIL NIL) (-1195 3293465 3293796 3293995 "TUPLE" 3294229 NIL TUPLE (NIL T) -8 NIL NIL) (-1194 3291156 3291675 3292214 "TUBETOOL" 3292948 T TUBETOOL (NIL) -7 NIL NIL) (-1193 3290005 3290210 3290451 "TUBE" 3290949 NIL TUBE (NIL T) -8 NIL NIL) (-1192 3284725 3288979 3289261 "TS" 3289758 NIL TS (NIL T) -8 NIL NIL) (-1191 3273399 3277484 3277582 "TSETCAT" 3282851 NIL TSETCAT (NIL T T T T) -9 NIL 3284381) (-1190 3268134 3269731 3271622 "TSETCAT-" 3271627 NIL TSETCAT- (NIL T T T T T) -8 NIL NIL) (-1189 3262405 3263251 3264189 "TRMANIP" 3267274 NIL TRMANIP (NIL T T) -7 NIL NIL) (-1188 3261846 3261909 3262072 "TRIMAT" 3262337 NIL TRIMAT (NIL T T T T) -7 NIL NIL) (-1187 3259642 3259879 3260243 "TRIGMNIP" 3261595 NIL TRIGMNIP (NIL T T) -7 NIL NIL) (-1186 3259161 3259274 3259305 "TRIGCAT" 3259518 T TRIGCAT (NIL) -9 NIL NIL) (-1185 3258830 3258909 3259050 "TRIGCAT-" 3259055 NIL TRIGCAT- (NIL T) -8 NIL NIL) (-1184 3255733 3257688 3257969 "TREE" 3258584 NIL TREE (NIL T) -8 NIL NIL) (-1183 3255006 3255534 3255565 "TRANFUN" 3255600 T TRANFUN (NIL) -9 NIL 3255666) (-1182 3254285 3254476 3254756 "TRANFUN-" 3254761 NIL TRANFUN- (NIL T) -8 NIL NIL) (-1181 3254089 3254121 3254182 "TOPSP" 3254246 T TOPSP (NIL) -7 NIL NIL) (-1180 3253437 3253552 3253706 "TOOLSIGN" 3253970 NIL TOOLSIGN (NIL T) -7 NIL NIL) (-1179 3252072 3252614 3252853 "TEXTFILE" 3253220 T TEXTFILE (NIL) -8 NIL NIL) (-1178 3249937 3250451 3250889 "TEX" 3251656 T TEX (NIL) -8 NIL NIL) (-1177 3249718 3249749 3249821 "TEX1" 3249900 NIL TEX1 (NIL T) -7 NIL NIL) (-1176 3249366 3249429 3249519 "TEMUTL" 3249650 T TEMUTL (NIL) -7 NIL NIL) (-1175 3247520 3247800 3248125 "TBCMPPK" 3249089 NIL TBCMPPK (NIL T T) -7 NIL NIL) (-1174 3239265 3245525 3245582 "TBAGG" 3245982 NIL TBAGG (NIL T T) -9 NIL 3246193) (-1173 3234335 3235823 3237577 "TBAGG-" 3237582 NIL TBAGG- (NIL T T T) -8 NIL NIL) (-1172 3233719 3233826 3233971 "TANEXP" 3234224 NIL TANEXP (NIL T) -7 NIL NIL) (-1171 3227232 3233576 3233669 "TABLE" 3233674 NIL TABLE (NIL T T) -8 NIL NIL) (-1170 3226645 3226743 3226881 "TABLEAU" 3227129 NIL TABLEAU (NIL T) -8 NIL NIL) (-1169 3221253 3222473 3223721 "TABLBUMP" 3225431 NIL TABLBUMP (NIL T) -7 NIL NIL) (-1168 3217716 3218411 3219194 "SYSSOLP" 3220504 NIL SYSSOLP (NIL T) -7 NIL NIL) (-1167 3214850 3215458 3216096 "SYMTAB" 3217100 T SYMTAB (NIL) -8 NIL NIL) (-1166 3210099 3211001 3211984 "SYMS" 3213889 T SYMS (NIL) -8 NIL NIL) (-1165 3207331 3209563 3209790 "SYMPOLY" 3209907 NIL SYMPOLY (NIL T) -8 NIL NIL) (-1164 3206848 3206923 3207046 "SYMFUNC" 3207243 NIL SYMFUNC (NIL T) -7 NIL NIL) (-1163 3202826 3204085 3204907 "SYMBOL" 3206048 T SYMBOL (NIL) -8 NIL NIL) (-1162 3196365 3198054 3199774 "SWITCH" 3201128 T SWITCH (NIL) -8 NIL NIL) (-1161 3189591 3195188 3195490 "SUTS" 3196121 NIL SUTS (NIL T NIL NIL) -8 NIL NIL) (-1160 3181477 3188708 3188989 "SUPXS" 3189368 NIL SUPXS (NIL T NIL NIL) -8 NIL NIL) (-1159 3172962 3181095 3181221 "SUP" 3181386 NIL SUP (NIL T) -8 NIL NIL) (-1158 3172121 3172248 3172465 "SUPFRACF" 3172830 NIL SUPFRACF (NIL T T T T) -7 NIL NIL) (-1157 3162693 3171923 3172037 "SUPEXPR" 3172042 NIL SUPEXPR (NIL T) -8 NIL NIL) (-1156 3162314 3162373 3162486 "SUP2" 3162628 NIL SUP2 (NIL T T) -7 NIL NIL) (-1155 3160727 3161001 3161364 "SUMRF" 3162013 NIL SUMRF (NIL T) -7 NIL NIL) (-1154 3160041 3160107 3160306 "SUMFS" 3160648 NIL SUMFS (NIL T T) -7 NIL NIL) (-1153 3143965 3159220 3159470 "SULS" 3159849 NIL SULS (NIL T NIL NIL) -8 NIL NIL) (-1152 3143287 3143490 3143630 "SUCH" 3143873 NIL SUCH (NIL T T) -8 NIL NIL) (-1151 3137181 3138193 3139152 "SUBSPACE" 3142375 NIL SUBSPACE (NIL NIL T) -8 NIL NIL) (-1150 3136613 3136703 3136866 "SUBRESP" 3137070 NIL SUBRESP (NIL T T) -7 NIL NIL) (-1149 3129982 3131278 3132589 "STTF" 3135349 NIL STTF (NIL T) -7 NIL NIL) (-1148 3124155 3125275 3126422 "STTFNC" 3128882 NIL STTFNC (NIL T) -7 NIL NIL) (-1147 3115474 3117341 3119133 "STTAYLOR" 3122398 NIL STTAYLOR (NIL T) -7 NIL NIL) (-1146 3108730 3115338 3115421 "STRTBL" 3115426 NIL STRTBL (NIL T) -8 NIL NIL) (-1145 3104121 3108685 3108716 "STRING" 3108721 T STRING (NIL) -8 NIL NIL) (-1144 3098985 3103463 3103494 "STRICAT" 3103553 T STRICAT (NIL) -9 NIL 3103615) (-1143 3091712 3096512 3097130 "STREAM" 3098402 NIL STREAM (NIL T) -8 NIL NIL) (-1142 3091222 3091299 3091443 "STREAM3" 3091629 NIL STREAM3 (NIL T T T) -7 NIL NIL) (-1141 3090204 3090387 3090622 "STREAM2" 3091035 NIL STREAM2 (NIL T T) -7 NIL NIL) (-1140 3089892 3089944 3090037 "STREAM1" 3090146 NIL STREAM1 (NIL T) -7 NIL NIL) (-1139 3089536 3089602 3089709 "STNSR" 3089820 NIL STNSR (NIL T) -7 NIL NIL) (-1138 3088552 3088733 3088964 "STINPROD" 3089352 NIL STINPROD (NIL T) -7 NIL NIL) (-1137 3088129 3088313 3088344 "STEP" 3088424 T STEP (NIL) -9 NIL 3088502) (-1136 3081684 3088028 3088105 "STBL" 3088110 NIL STBL (NIL T T NIL) -8 NIL NIL) (-1135 3076898 3080936 3080980 "STAGG" 3081133 NIL STAGG (NIL T) -9 NIL 3081222) (-1134 3074600 3075202 3076074 "STAGG-" 3076079 NIL STAGG- (NIL T T) -8 NIL NIL) (-1133 3068092 3069661 3070776 "STACK" 3073520 NIL STACK (NIL T) -8 NIL NIL) (-1132 3060817 3066233 3066689 "SREGSET" 3067722 NIL SREGSET (NIL T T T T) -8 NIL NIL) (-1131 3053243 3054611 3056124 "SRDCMPK" 3059423 NIL SRDCMPK (NIL T T T T T) -7 NIL NIL) (-1130 3046221 3050681 3050712 "SRAGG" 3052015 T SRAGG (NIL) -9 NIL 3052623) (-1129 3045238 3045493 3045872 "SRAGG-" 3045877 NIL SRAGG- (NIL T) -8 NIL NIL) (-1128 3039686 3044161 3044585 "SQMATRIX" 3044861 NIL SQMATRIX (NIL NIL T) -8 NIL NIL) (-1127 3033442 3036404 3037131 "SPLTREE" 3039031 NIL SPLTREE (NIL T T) -8 NIL NIL) (-1126 3029432 3030098 3030744 "SPLNODE" 3032868 NIL SPLNODE (NIL T T) -8 NIL NIL) (-1125 3028478 3028711 3028742 "SPFCAT" 3029186 T SPFCAT (NIL) -9 NIL NIL) (-1124 3027215 3027425 3027689 "SPECOUT" 3028236 T SPECOUT (NIL) -7 NIL NIL) (-1123 3019185 3020932 3020976 "SPACEC" 3025349 NIL SPACEC (NIL T) -9 NIL 3027165) (-1122 3017356 3019117 3019166 "SPACE3" 3019171 NIL SPACE3 (NIL T) -8 NIL NIL) (-1121 3016110 3016281 3016571 "SORTPAK" 3017162 NIL SORTPAK (NIL T T) -7 NIL NIL) (-1120 3014160 3014463 3014882 "SOLVETRA" 3015774 NIL SOLVETRA (NIL T) -7 NIL NIL) (-1119 3013171 3013393 3013667 "SOLVESER" 3013933 NIL SOLVESER (NIL T) -7 NIL NIL) (-1118 3008391 3009272 3010274 "SOLVERAD" 3012223 NIL SOLVERAD (NIL T) -7 NIL NIL) (-1117 3004206 3004815 3005544 "SOLVEFOR" 3007758 NIL SOLVEFOR (NIL T T) -7 NIL NIL) (-1116 2998509 3003554 3003652 "SNTSCAT" 3003657 NIL SNTSCAT (NIL T T T T) -9 NIL 3003727) (-1115 2992607 2996834 2997224 "SMTS" 2998200 NIL SMTS (NIL T T T) -8 NIL NIL) (-1114 2987011 2992495 2992572 "SMP" 2992577 NIL SMP (NIL T T) -8 NIL NIL) (-1113 2985170 2985471 2985869 "SMITH" 2986708 NIL SMITH (NIL T T T T) -7 NIL NIL) (-1112 2978112 2982310 2982414 "SMATCAT" 2983765 NIL SMATCAT (NIL NIL T T T) -9 NIL 2984312) (-1111 2975052 2975875 2977053 "SMATCAT-" 2977058 NIL SMATCAT- (NIL T NIL T T T) -8 NIL NIL) (-1110 2972805 2974322 2974366 "SKAGG" 2974627 NIL SKAGG (NIL T) -9 NIL 2974762) (-1109 2968863 2971909 2972187 "SINT" 2972549 T SINT (NIL) -8 NIL NIL) (-1108 2968635 2968673 2968739 "SIMPAN" 2968819 T SIMPAN (NIL) -7 NIL NIL) (-1107 2967473 2967694 2967969 "SIGNRF" 2968394 NIL SIGNRF (NIL T) -7 NIL NIL) (-1106 2966278 2966429 2966720 "SIGNEF" 2967302 NIL SIGNEF (NIL T T) -7 NIL NIL) (-1105 2963970 2964424 2964929 "SHP" 2965820 NIL SHP (NIL T NIL) -7 NIL NIL) (-1104 2957794 2963871 2963947 "SHDP" 2963952 NIL SHDP (NIL NIL NIL T) -8 NIL NIL) (-1103 2957282 2957474 2957505 "SGROUP" 2957657 T SGROUP (NIL) -9 NIL 2957744) (-1102 2957052 2957104 2957208 "SGROUP-" 2957213 NIL SGROUP- (NIL T) -8 NIL NIL) (-1101 2953888 2954585 2955308 "SGCF" 2956351 T SGCF (NIL) -7 NIL NIL) (-1100 2948289 2953334 2953432 "SFRTCAT" 2953437 NIL SFRTCAT (NIL T T T T) -9 NIL 2953476) (-1099 2941713 2942728 2943864 "SFRGCD" 2947272 NIL SFRGCD (NIL T T T T T) -7 NIL NIL) (-1098 2934841 2935912 2937098 "SFQCMPK" 2940646 NIL SFQCMPK (NIL T T T T T) -7 NIL NIL) (-1097 2934463 2934552 2934662 "SFORT" 2934782 NIL SFORT (NIL T T) -8 NIL NIL) (-1096 2933608 2934303 2934424 "SEXOF" 2934429 NIL SEXOF (NIL T T T T T) -8 NIL NIL) (-1095 2932742 2933489 2933557 "SEX" 2933562 T SEX (NIL) -8 NIL NIL) (-1094 2927517 2928206 2928302 "SEXCAT" 2932073 NIL SEXCAT (NIL T T T T T) -9 NIL 2932692) (-1093 2924697 2927451 2927499 "SET" 2927504 NIL SET (NIL T) -8 NIL NIL) (-1092 2922948 2923410 2923715 "SETMN" 2924438 NIL SETMN (NIL NIL NIL) -8 NIL NIL) (-1091 2922553 2922679 2922710 "SETCAT" 2922827 T SETCAT (NIL) -9 NIL 2922912) (-1090 2922333 2922385 2922484 "SETCAT-" 2922489 NIL SETCAT- (NIL T) -8 NIL NIL) (-1089 2921996 2922146 2922177 "SETCATD" 2922236 T SETCATD (NIL) -9 NIL 2922283) (-1088 2918382 2920456 2920500 "SETAGG" 2921370 NIL SETAGG (NIL T) -9 NIL 2921710) (-1087 2917840 2917956 2918193 "SETAGG-" 2918198 NIL SETAGG- (NIL T T) -8 NIL NIL) (-1086 2917043 2917336 2917398 "SEGXCAT" 2917684 NIL SEGXCAT (NIL T T) -9 NIL 2917804) (-1085 2916103 2916713 2916893 "SEG" 2916898 NIL SEG (NIL T) -8 NIL NIL) (-1084 2915009 2915222 2915266 "SEGCAT" 2915848 NIL SEGCAT (NIL T) -9 NIL 2916086) (-1083 2914060 2914390 2914589 "SEGBIND" 2914845 NIL SEGBIND (NIL T) -8 NIL NIL) (-1082 2913681 2913740 2913853 "SEGBIND2" 2913995 NIL SEGBIND2 (NIL T T) -7 NIL NIL) (-1081 2912902 2913028 2913231 "SEG2" 2913526 NIL SEG2 (NIL T T) -7 NIL NIL) (-1080 2912339 2912837 2912884 "SDVAR" 2912889 NIL SDVAR (NIL T) -8 NIL NIL) (-1079 2904583 2912109 2912239 "SDPOL" 2912244 NIL SDPOL (NIL T) -8 NIL NIL) (-1078 2903176 2903442 2903761 "SCPKG" 2904298 NIL SCPKG (NIL T) -7 NIL NIL) (-1077 2902397 2902530 2902709 "SCACHE" 2903031 NIL SCACHE (NIL T) -7 NIL NIL) (-1076 2901836 2902157 2902242 "SAOS" 2902334 T SAOS (NIL) -8 NIL NIL) (-1075 2901401 2901436 2901609 "SAERFFC" 2901795 NIL SAERFFC (NIL T T T) -7 NIL NIL) (-1074 2895290 2901298 2901378 "SAE" 2901383 NIL SAE (NIL T T NIL) -8 NIL NIL) (-1073 2894883 2894918 2895077 "SAEFACT" 2895249 NIL SAEFACT (NIL T T T) -7 NIL NIL) (-1072 2893204 2893518 2893919 "RURPK" 2894549 NIL RURPK (NIL T NIL) -7 NIL NIL) (-1071 2891840 2892119 2892431 "RULESET" 2893038 NIL RULESET (NIL T T T) -8 NIL NIL) (-1070 2889027 2889530 2889995 "RULE" 2891521 NIL RULE (NIL T T T) -8 NIL NIL) (-1069 2888666 2888821 2888904 "RULECOLD" 2888979 NIL RULECOLD (NIL NIL) -8 NIL NIL) (-1068 2883515 2884309 2885229 "RSETGCD" 2887865 NIL RSETGCD (NIL T T T T T) -7 NIL NIL) (-1067 2872778 2877823 2877921 "RSETCAT" 2882040 NIL RSETCAT (NIL T T T T) -9 NIL 2883137) (-1066 2870705 2871244 2872068 "RSETCAT-" 2872073 NIL RSETCAT- (NIL T T T T T) -8 NIL NIL) (-1065 2863092 2864467 2865987 "RSDCMPK" 2869304 NIL RSDCMPK (NIL T T T T T) -7 NIL NIL) (-1064 2861096 2861537 2861612 "RRCC" 2862698 NIL RRCC (NIL T T) -9 NIL 2863042) (-1063 2860447 2860621 2860900 "RRCC-" 2860905 NIL RRCC- (NIL T T T) -8 NIL NIL) (-1062 2834594 2844223 2844291 "RPOLCAT" 2854955 NIL RPOLCAT (NIL T T T) -9 NIL 2858103) (-1061 2826094 2828432 2831554 "RPOLCAT-" 2831559 NIL RPOLCAT- (NIL T T T T) -8 NIL NIL) (-1060 2817153 2824305 2824787 "ROUTINE" 2825634 T ROUTINE (NIL) -8 NIL NIL) (-1059 2813853 2816704 2816853 "ROMAN" 2817026 T ROMAN (NIL) -8 NIL NIL) (-1058 2812128 2812713 2812973 "ROIRC" 2813658 NIL ROIRC (NIL T T) -8 NIL NIL) (-1057 2808466 2810766 2810797 "RNS" 2811101 T RNS (NIL) -9 NIL 2811375) (-1056 2806975 2807358 2807892 "RNS-" 2807967 NIL RNS- (NIL T) -8 NIL NIL) (-1055 2806397 2806805 2806836 "RNG" 2806841 T RNG (NIL) -9 NIL 2806862) (-1054 2805788 2806150 2806194 "RMODULE" 2806256 NIL RMODULE (NIL T) -9 NIL 2806298) (-1053 2804624 2804718 2805054 "RMCAT2" 2805689 NIL RMCAT2 (NIL NIL NIL T T T T T T T T) -7 NIL NIL) (-1052 2801333 2803802 2804125 "RMATRIX" 2804360 NIL RMATRIX (NIL NIL NIL T) -8 NIL NIL) (-1051 2794279 2796513 2796629 "RMATCAT" 2799988 NIL RMATCAT (NIL NIL NIL T T T) -9 NIL 2800965) (-1050 2793654 2793801 2794108 "RMATCAT-" 2794113 NIL RMATCAT- (NIL T NIL NIL T T T) -8 NIL NIL) (-1049 2793221 2793296 2793424 "RINTERP" 2793573 NIL RINTERP (NIL NIL T) -7 NIL NIL) (-1048 2792264 2792828 2792859 "RING" 2792971 T RING (NIL) -9 NIL 2793066) (-1047 2792056 2792100 2792197 "RING-" 2792202 NIL RING- (NIL T) -8 NIL NIL) (-1046 2790897 2791134 2791392 "RIDIST" 2791820 T RIDIST (NIL) -7 NIL NIL) (-1045 2782213 2790365 2790571 "RGCHAIN" 2790745 NIL RGCHAIN (NIL T NIL) -8 NIL NIL) (-1044 2781013 2781254 2781533 "RFP" 2781968 NIL RFP (NIL T) -7 NIL NIL) (-1043 2778007 2778621 2779291 "RF" 2780377 NIL RF (NIL T) -7 NIL NIL) (-1042 2777653 2777716 2777819 "RFFACTOR" 2777938 NIL RFFACTOR (NIL T) -7 NIL NIL) (-1041 2777378 2777413 2777510 "RFFACT" 2777612 NIL RFFACT (NIL T) -7 NIL NIL) (-1040 2775495 2775859 2776241 "RFDIST" 2777018 T RFDIST (NIL) -7 NIL NIL) (-1039 2774948 2775040 2775203 "RETSOL" 2775397 NIL RETSOL (NIL T T) -7 NIL NIL) (-1038 2774535 2774615 2774659 "RETRACT" 2774852 NIL RETRACT (NIL T) -9 NIL NIL) (-1037 2774384 2774409 2774496 "RETRACT-" 2774501 NIL RETRACT- (NIL T T) -8 NIL NIL) (-1036 2767250 2774037 2774164 "RESULT" 2774279 T RESULT (NIL) -8 NIL NIL) (-1035 2765830 2766519 2766718 "RESRING" 2767153 NIL RESRING (NIL T T T T NIL) -8 NIL NIL) (-1034 2765466 2765515 2765613 "RESLATC" 2765767 NIL RESLATC (NIL T) -7 NIL NIL) (-1033 2765172 2765206 2765313 "REPSQ" 2765425 NIL REPSQ (NIL T) -7 NIL NIL) (-1032 2762594 2763174 2763776 "REP" 2764592 T REP (NIL) -7 NIL NIL) (-1031 2762292 2762326 2762437 "REPDB" 2762553 NIL REPDB (NIL T) -7 NIL NIL) (-1030 2756210 2757589 2758808 "REP2" 2761108 NIL REP2 (NIL T) -7 NIL NIL) (-1029 2752591 2753272 2754078 "REP1" 2755439 NIL REP1 (NIL T) -7 NIL NIL) (-1028 2745317 2750732 2751188 "REGSET" 2752221 NIL REGSET (NIL T T T T) -8 NIL NIL) (-1027 2744132 2744467 2744716 "REF" 2745103 NIL REF (NIL T) -8 NIL NIL) (-1026 2743509 2743612 2743779 "REDORDER" 2744016 NIL REDORDER (NIL T T) -7 NIL NIL) (-1025 2740371 2740837 2741446 "RECOP" 2743043 NIL RECOP (NIL T T) -7 NIL NIL) (-1024 2736311 2739584 2739811 "RECLOS" 2740199 NIL RECLOS (NIL T) -8 NIL NIL) (-1023 2735363 2735544 2735759 "REALSOLV" 2736118 T REALSOLV (NIL) -7 NIL NIL) (-1022 2735208 2735249 2735280 "REAL" 2735285 T REAL (NIL) -9 NIL 2735320) (-1021 2731691 2732493 2733377 "REAL0Q" 2734373 NIL REAL0Q (NIL T) -7 NIL NIL) (-1020 2727292 2728280 2729341 "REAL0" 2730672 NIL REAL0 (NIL T) -7 NIL NIL) (-1019 2726697 2726769 2726976 "RDIV" 2727214 NIL RDIV (NIL T T T T T) -7 NIL NIL) (-1018 2725765 2725939 2726152 "RDIST" 2726519 NIL RDIST (NIL T) -7 NIL NIL) (-1017 2724362 2724649 2725021 "RDETRS" 2725473 NIL RDETRS (NIL T T) -7 NIL NIL) (-1016 2722174 2722628 2723166 "RDETR" 2723904 NIL RDETR (NIL T T) -7 NIL NIL) (-1015 2720785 2721063 2721467 "RDEEFS" 2721890 NIL RDEEFS (NIL T T) -7 NIL NIL) (-1014 2719280 2719586 2720018 "RDEEF" 2720473 NIL RDEEF (NIL T T) -7 NIL NIL) (-1013 2713471 2716406 2716437 "RCFIELD" 2717732 T RCFIELD (NIL) -9 NIL 2718463) (-1012 2711535 2712039 2712735 "RCFIELD-" 2712810 NIL RCFIELD- (NIL T) -8 NIL NIL) (-1011 2707893 2709672 2709716 "RCAGG" 2710800 NIL RCAGG (NIL T) -9 NIL 2711263) (-1010 2707521 2707615 2707778 "RCAGG-" 2707783 NIL RCAGG- (NIL T T) -8 NIL NIL) (-1009 2706857 2706968 2707133 "RATRET" 2707405 NIL RATRET (NIL T) -7 NIL NIL) (-1008 2706410 2706477 2706598 "RATFACT" 2706785 NIL RATFACT (NIL T) -7 NIL NIL) (-1007 2705718 2705838 2705990 "RANDSRC" 2706280 T RANDSRC (NIL) -7 NIL NIL) (-1006 2705452 2705496 2705569 "RADUTIL" 2705667 T RADUTIL (NIL) -7 NIL NIL) (-1005 2698440 2704185 2704504 "RADIX" 2705167 NIL RADIX (NIL NIL) -8 NIL NIL) (-1004 2690003 2698282 2698412 "RADFF" 2698417 NIL RADFF (NIL T T T NIL NIL) -8 NIL NIL) (-1003 2689649 2689724 2689755 "RADCAT" 2689915 T RADCAT (NIL) -9 NIL NIL) (-1002 2689431 2689479 2689579 "RADCAT-" 2689584 NIL RADCAT- (NIL T) -8 NIL NIL) (-1001 2682678 2684296 2685449 "QUEUE" 2688313 NIL QUEUE (NIL T) -8 NIL NIL) (-1000 2679167 2682613 2682660 "QUAT" 2682665 NIL QUAT (NIL T) -8 NIL NIL) (-999 2678805 2678848 2678975 "QUATCT2" 2679118 NIL QUATCT2 (NIL T T T T) -7 NIL NIL) (-998 2672542 2675926 2675967 "QUATCAT" 2676747 NIL QUATCAT (NIL T) -9 NIL 2677505) (-997 2668686 2669723 2671110 "QUATCAT-" 2671204 NIL QUATCAT- (NIL T T) -8 NIL NIL) (-996 2666246 2667804 2667846 "QUAGG" 2668221 NIL QUAGG (NIL T) -9 NIL 2668396) (-995 2665171 2665644 2665816 "QFORM" 2666118 NIL QFORM (NIL NIL T) -8 NIL NIL) (-994 2656398 2661665 2661706 "QFCAT" 2662364 NIL QFCAT (NIL T) -9 NIL 2663353) (-993 2651970 2653171 2654762 "QFCAT-" 2654856 NIL QFCAT- (NIL T T) -8 NIL NIL) (-992 2651608 2651651 2651778 "QFCAT2" 2651921 NIL QFCAT2 (NIL T T T T) -7 NIL NIL) (-991 2651068 2651178 2651308 "QEQUAT" 2651498 T QEQUAT (NIL) -8 NIL NIL) (-990 2644216 2645287 2646471 "QCMPACK" 2650001 NIL QCMPACK (NIL T T T T T) -7 NIL NIL) (-989 2641796 2642217 2642643 "QALGSET" 2643873 NIL QALGSET (NIL T T T T) -8 NIL NIL) (-988 2641041 2641215 2641447 "QALGSET2" 2641616 NIL QALGSET2 (NIL NIL NIL) -7 NIL NIL) (-987 2639732 2639955 2640272 "PWFFINTB" 2640814 NIL PWFFINTB (NIL T T T T) -7 NIL NIL) (-986 2637914 2638082 2638436 "PUSHVAR" 2639546 NIL PUSHVAR (NIL T T T T) -7 NIL NIL) (-985 2633831 2634885 2634927 "PTRANFN" 2636811 NIL PTRANFN (NIL T) -9 NIL NIL) (-984 2632233 2632524 2632846 "PTPACK" 2633542 NIL PTPACK (NIL T) -7 NIL NIL) (-983 2631865 2631922 2632031 "PTFUNC2" 2632170 NIL PTFUNC2 (NIL T T) -7 NIL NIL) (-982 2626365 2630699 2630741 "PTCAT" 2631114 NIL PTCAT (NIL T) -9 NIL 2631276) (-981 2626023 2626058 2626182 "PSQFR" 2626324 NIL PSQFR (NIL T T T T) -7 NIL NIL) (-980 2624610 2624910 2625246 "PSEUDLIN" 2625719 NIL PSEUDLIN (NIL T) -7 NIL NIL) (-979 2611386 2613750 2616071 "PSETPK" 2622373 NIL PSETPK (NIL T T T T) -7 NIL NIL) (-978 2604430 2607144 2607241 "PSETCAT" 2610262 NIL PSETCAT (NIL T T T T) -9 NIL 2611075) (-977 2602266 2602900 2603721 "PSETCAT-" 2603726 NIL PSETCAT- (NIL T T T T T) -8 NIL NIL) (-976 2601615 2601779 2601808 "PSCURVE" 2602076 T PSCURVE (NIL) -9 NIL 2602243) (-975 2598004 2599530 2599596 "PSCAT" 2600440 NIL PSCAT (NIL T T T) -9 NIL 2600680) (-974 2597067 2597283 2597683 "PSCAT-" 2597688 NIL PSCAT- (NIL T T T T) -8 NIL NIL) (-973 2595720 2596352 2596566 "PRTITION" 2596873 T PRTITION (NIL) -8 NIL NIL) (-972 2592884 2593533 2593574 "PRSPCAT" 2595088 NIL PRSPCAT (NIL T) -9 NIL 2595656) (-971 2581984 2584190 2586377 "PRS" 2590747 NIL PRS (NIL T T) -7 NIL NIL) (-970 2579882 2581368 2581409 "PRQAGG" 2581592 NIL PRQAGG (NIL T) -9 NIL 2581694) (-969 2579151 2579807 2579864 "PROJSP" 2579869 NIL PROJSP (NIL NIL T) -8 NIL NIL) (-968 2578333 2579074 2579126 "PROJPLPS" 2579131 NIL PROJPLPS (NIL T) -8 NIL NIL) (-967 2577592 2578270 2578315 "PROJPL" 2578320 NIL PROJPL (NIL T) -8 NIL NIL) (-966 2571398 2575790 2576594 "PRODUCT" 2576834 NIL PRODUCT (NIL T T) -8 NIL NIL) (-965 2568673 2570862 2571093 "PR" 2571212 NIL PR (NIL T T) -8 NIL NIL) (-964 2567225 2567382 2567677 "PRJALGPK" 2568513 NIL PRJALGPK (NIL T NIL T T T) -7 NIL NIL) (-963 2567021 2567053 2567112 "PRINT" 2567186 T PRINT (NIL) -7 NIL NIL) (-962 2566361 2566478 2566630 "PRIMES" 2566901 NIL PRIMES (NIL T) -7 NIL NIL) (-961 2564426 2564827 2565293 "PRIMELT" 2565940 NIL PRIMELT (NIL T) -7 NIL NIL) (-960 2564154 2564203 2564232 "PRIMCAT" 2564356 T PRIMCAT (NIL) -9 NIL NIL) (-959 2560321 2564092 2564137 "PRIMARR" 2564142 NIL PRIMARR (NIL T) -8 NIL NIL) (-958 2559328 2559506 2559734 "PRIMARR2" 2560139 NIL PRIMARR2 (NIL T T) -7 NIL NIL) (-957 2558971 2559027 2559138 "PREASSOC" 2559266 NIL PREASSOC (NIL T T) -7 NIL NIL) (-956 2558446 2558578 2558607 "PPCURVE" 2558812 T PPCURVE (NIL) -9 NIL 2558948) (-955 2555807 2556206 2556797 "POLYROOT" 2558028 NIL POLYROOT (NIL T T T T T) -7 NIL NIL) (-954 2549708 2555413 2555572 "POLY" 2555681 NIL POLY (NIL T) -8 NIL NIL) (-953 2549091 2549149 2549383 "POLYLIFT" 2549644 NIL POLYLIFT (NIL T T T T T) -7 NIL NIL) (-952 2545366 2545815 2546444 "POLYCATQ" 2548636 NIL POLYCATQ (NIL T T T T T) -7 NIL NIL) (-951 2532328 2537728 2537794 "POLYCAT" 2541308 NIL POLYCAT (NIL T T T) -9 NIL 2543221) (-950 2525778 2527639 2530023 "POLYCAT-" 2530028 NIL POLYCAT- (NIL T T T T) -8 NIL NIL) (-949 2525365 2525433 2525553 "POLY2UP" 2525704 NIL POLY2UP (NIL NIL T) -7 NIL NIL) (-948 2524997 2525054 2525163 "POLY2" 2525302 NIL POLY2 (NIL T T) -7 NIL NIL) (-947 2523684 2523923 2524198 "POLUTIL" 2524772 NIL POLUTIL (NIL T T) -7 NIL NIL) (-946 2522039 2522316 2522647 "POLTOPOL" 2523406 NIL POLTOPOL (NIL NIL T) -7 NIL NIL) (-945 2517561 2521975 2522021 "POINT" 2522026 NIL POINT (NIL T) -8 NIL NIL) (-944 2515748 2516105 2516480 "PNTHEORY" 2517206 T PNTHEORY (NIL) -7 NIL NIL) (-943 2514167 2514464 2514876 "PMTOOLS" 2515446 NIL PMTOOLS (NIL T T T) -7 NIL NIL) (-942 2513760 2513838 2513955 "PMSYM" 2514083 NIL PMSYM (NIL T) -7 NIL NIL) (-941 2513270 2513339 2513513 "PMQFCAT" 2513685 NIL PMQFCAT (NIL T T T) -7 NIL NIL) (-940 2512625 2512735 2512891 "PMPRED" 2513147 NIL PMPRED (NIL T) -7 NIL NIL) (-939 2512021 2512107 2512268 "PMPREDFS" 2512526 NIL PMPREDFS (NIL T T T) -7 NIL NIL) (-938 2510666 2510874 2511258 "PMPLCAT" 2511784 NIL PMPLCAT (NIL T T T T T) -7 NIL NIL) (-937 2510198 2510277 2510429 "PMLSAGG" 2510581 NIL PMLSAGG (NIL T T T) -7 NIL NIL) (-936 2509673 2509749 2509930 "PMKERNEL" 2510116 NIL PMKERNEL (NIL T T) -7 NIL NIL) (-935 2509290 2509365 2509478 "PMINS" 2509592 NIL PMINS (NIL T) -7 NIL NIL) (-934 2508718 2508787 2509003 "PMFS" 2509215 NIL PMFS (NIL T T T) -7 NIL NIL) (-933 2507946 2508064 2508269 "PMDOWN" 2508595 NIL PMDOWN (NIL T T T) -7 NIL NIL) (-932 2507109 2507268 2507450 "PMASS" 2507784 T PMASS (NIL) -7 NIL NIL) (-931 2506383 2506494 2506657 "PMASSFS" 2506995 NIL PMASSFS (NIL T T) -7 NIL NIL) (-930 2504143 2504396 2504779 "PLPKCRV" 2506107 NIL PLPKCRV (NIL T T T NIL T) -7 NIL NIL) (-929 2503798 2503866 2503960 "PLOTTOOL" 2504069 T PLOTTOOL (NIL) -7 NIL NIL) (-928 2498420 2499609 2500757 "PLOT" 2502670 T PLOT (NIL) -8 NIL NIL) (-927 2494234 2495268 2496189 "PLOT3D" 2497519 T PLOT3D (NIL) -8 NIL NIL) (-926 2493146 2493323 2493558 "PLOT1" 2494038 NIL PLOT1 (NIL T) -7 NIL NIL) (-925 2468541 2473212 2478063 "PLEQN" 2488412 NIL PLEQN (NIL T T T T) -7 NIL NIL) (-924 2467781 2468451 2468518 "PLCS" 2468523 NIL PLCS (NIL T T) -8 NIL NIL) (-923 2466932 2467666 2467737 "PLACESPS" 2467742 NIL PLACESPS (NIL T) -8 NIL NIL) (-922 2466139 2466845 2466902 "PLACES" 2466907 NIL PLACES (NIL T) -8 NIL NIL) (-921 2462863 2463527 2463586 "PLACESC" 2465504 NIL PLACESC (NIL T T) -9 NIL 2466075) (-920 2462181 2462303 2462483 "PINTERP" 2462728 NIL PINTERP (NIL NIL T) -7 NIL NIL) (-919 2461874 2461921 2462024 "PINTERPA" 2462128 NIL PINTERPA (NIL T T) -7 NIL NIL) (-918 2461101 2461668 2461761 "PI" 2461801 T PI (NIL) -8 NIL NIL) (-917 2459488 2460473 2460502 "PID" 2460684 T PID (NIL) -9 NIL 2460818) (-916 2459213 2459250 2459338 "PICOERCE" 2459445 NIL PICOERCE (NIL T) -7 NIL NIL) (-915 2458534 2458672 2458848 "PGROEB" 2459069 NIL PGROEB (NIL T) -7 NIL NIL) (-914 2454121 2454935 2455840 "PGE" 2457649 T PGE (NIL) -7 NIL NIL) (-913 2452245 2452491 2452857 "PGCD" 2453838 NIL PGCD (NIL T T T T) -7 NIL NIL) (-912 2451583 2451686 2451847 "PFRPAC" 2452129 NIL PFRPAC (NIL T) -7 NIL NIL) (-911 2448198 2450131 2450484 "PFR" 2451262 NIL PFR (NIL T) -8 NIL NIL) (-910 2446587 2446831 2447156 "PFOTOOLS" 2447945 NIL PFOTOOLS (NIL T T) -7 NIL NIL) (-909 2441452 2442117 2442866 "PFORP" 2445929 NIL PFORP (NIL T T T NIL) -7 NIL NIL) (-908 2439985 2440224 2440575 "PFOQ" 2441209 NIL PFOQ (NIL T T T) -7 NIL NIL) (-907 2438458 2438670 2439033 "PFO" 2439769 NIL PFO (NIL T T T T T) -7 NIL NIL) (-906 2434981 2438347 2438416 "PF" 2438421 NIL PF (NIL NIL) -8 NIL NIL) (-905 2432406 2433687 2433716 "PFECAT" 2434301 T PFECAT (NIL) -9 NIL 2434684) (-904 2431851 2432005 2432219 "PFECAT-" 2432224 NIL PFECAT- (NIL T) -8 NIL NIL) (-903 2430455 2430706 2431007 "PFBRU" 2431600 NIL PFBRU (NIL T T) -7 NIL NIL) (-902 2428322 2428673 2429105 "PFBR" 2430106 NIL PFBR (NIL T T T T) -7 NIL NIL) (-901 2424178 2425702 2426376 "PERM" 2427681 NIL PERM (NIL T) -8 NIL NIL) (-900 2419445 2420385 2421255 "PERMGRP" 2423341 NIL PERMGRP (NIL T) -8 NIL NIL) (-899 2417516 2418509 2418551 "PERMCAT" 2418997 NIL PERMCAT (NIL T) -9 NIL 2419300) (-898 2417169 2417210 2417334 "PERMAN" 2417469 NIL PERMAN (NIL NIL T) -7 NIL NIL) (-897 2414615 2416738 2416869 "PENDTREE" 2417071 NIL PENDTREE (NIL T) -8 NIL NIL) (-896 2412683 2413461 2413503 "PDRING" 2414160 NIL PDRING (NIL T) -9 NIL 2414446) (-895 2411786 2412004 2412366 "PDRING-" 2412371 NIL PDRING- (NIL T T) -8 NIL NIL) (-894 2408928 2409678 2410369 "PDEPROB" 2411115 T PDEPROB (NIL) -8 NIL NIL) (-893 2406475 2406977 2407532 "PDEPACK" 2408393 T PDEPACK (NIL) -7 NIL NIL) (-892 2405387 2405577 2405828 "PDECOMP" 2406274 NIL PDECOMP (NIL T T) -7 NIL NIL) (-891 2402991 2403808 2403837 "PDECAT" 2404624 T PDECAT (NIL) -9 NIL 2405337) (-890 2402742 2402775 2402865 "PCOMP" 2402952 NIL PCOMP (NIL T T) -7 NIL NIL) (-889 2400947 2401543 2401840 "PBWLB" 2402471 NIL PBWLB (NIL T) -8 NIL NIL) (-888 2393452 2395020 2396358 "PATTERN" 2399630 NIL PATTERN (NIL T) -8 NIL NIL) (-887 2393084 2393141 2393250 "PATTERN2" 2393389 NIL PATTERN2 (NIL T T) -7 NIL NIL) (-886 2390841 2391229 2391686 "PATTERN1" 2392673 NIL PATTERN1 (NIL T T) -7 NIL NIL) (-885 2388236 2388790 2389271 "PATRES" 2390406 NIL PATRES (NIL T T) -8 NIL NIL) (-884 2387800 2387867 2387999 "PATRES2" 2388163 NIL PATRES2 (NIL T T T) -7 NIL NIL) (-883 2385683 2386088 2386495 "PATMATCH" 2387467 NIL PATMATCH (NIL T T T) -7 NIL NIL) (-882 2385218 2385401 2385443 "PATMAB" 2385550 NIL PATMAB (NIL T) -9 NIL 2385633) (-881 2383763 2384072 2384330 "PATLRES" 2385023 NIL PATLRES (NIL T T T) -8 NIL NIL) (-880 2383310 2383433 2383475 "PATAB" 2383480 NIL PATAB (NIL T) -9 NIL 2383650) (-879 2380791 2381323 2381896 "PARTPERM" 2382757 T PARTPERM (NIL) -7 NIL NIL) (-878 2380412 2380475 2380577 "PARSURF" 2380722 NIL PARSURF (NIL T) -8 NIL NIL) (-877 2380044 2380101 2380210 "PARSU2" 2380349 NIL PARSU2 (NIL T T) -7 NIL NIL) (-876 2379665 2379728 2379830 "PARSCURV" 2379975 NIL PARSCURV (NIL T) -8 NIL NIL) (-875 2379297 2379354 2379463 "PARSC2" 2379602 NIL PARSC2 (NIL T T) -7 NIL NIL) (-874 2378936 2378994 2379091 "PARPCURV" 2379233 NIL PARPCURV (NIL T) -8 NIL NIL) (-873 2378568 2378625 2378734 "PARPC2" 2378873 NIL PARPC2 (NIL T T) -7 NIL NIL) (-872 2377048 2377166 2377485 "PARAMP" 2378423 NIL PARAMP (NIL T NIL T T T T T) -7 NIL NIL) (-871 2376568 2376654 2376773 "PAN2EXPR" 2376949 T PAN2EXPR (NIL) -7 NIL NIL) (-870 2375374 2375689 2375917 "PALETTE" 2376360 T PALETTE (NIL) -8 NIL NIL) (-869 2363007 2365173 2367289 "PAFF" 2373322 NIL PAFF (NIL T NIL T) -7 NIL NIL) (-868 2350003 2352331 2354542 "PAFFFF" 2360860 NIL PAFFFF (NIL T NIL T) -7 NIL NIL) (-867 2343844 2349262 2349456 "PADICRC" 2349858 NIL PADICRC (NIL NIL T) -8 NIL NIL) (-866 2337043 2343190 2343374 "PADICRAT" 2343692 NIL PADICRAT (NIL NIL) -8 NIL NIL) (-865 2335347 2336980 2337025 "PADIC" 2337030 NIL PADIC (NIL NIL) -8 NIL NIL) (-864 2332547 2334121 2334162 "PADICCT" 2334743 NIL PADICCT (NIL NIL) -9 NIL 2335025) (-863 2331504 2331704 2331972 "PADEPAC" 2332334 NIL PADEPAC (NIL T NIL NIL) -7 NIL NIL) (-862 2330716 2330849 2331055 "PADE" 2331366 NIL PADE (NIL T T T) -7 NIL NIL) (-861 2327193 2330334 2330453 "PACRAT" 2330617 T PACRAT (NIL) -8 NIL NIL) (-860 2323254 2326304 2326333 "PACRATC" 2326338 T PACRATC (NIL) -9 NIL 2326418) (-859 2319376 2321341 2321370 "PACPERC" 2322316 T PACPERC (NIL) -9 NIL 2322756) (-858 2316046 2319150 2319241 "PACOFF" 2319317 NIL PACOFF (NIL T) -8 NIL NIL) (-857 2312741 2315401 2315430 "PACFFC" 2315435 T PACFFC (NIL) -9 NIL 2315456) (-856 2308831 2312424 2312525 "PACEXT" 2312672 NIL PACEXT (NIL NIL) -8 NIL NIL) (-855 2304209 2307726 2307755 "PACEXTC" 2307760 T PACEXTC (NIL) -9 NIL 2307804) (-854 2302217 2303049 2303364 "OWP" 2303978 NIL OWP (NIL T NIL NIL NIL) -8 NIL NIL) (-853 2301326 2301822 2301994 "OVAR" 2302085 NIL OVAR (NIL NIL) -8 NIL NIL) (-852 2300590 2300711 2300872 "OUT" 2301185 T OUT (NIL) -7 NIL NIL) (-851 2289636 2291815 2293985 "OUTFORM" 2298440 T OUTFORM (NIL) -8 NIL NIL) (-850 2289044 2289365 2289454 "OSI" 2289567 T OSI (NIL) -8 NIL NIL) (-849 2287791 2288018 2288302 "ORTHPOL" 2288792 NIL ORTHPOL (NIL T) -7 NIL NIL) (-848 2285153 2287448 2287588 "OREUP" 2287734 NIL OREUP (NIL NIL T NIL NIL) -8 NIL NIL) (-847 2282540 2284842 2284970 "ORESUP" 2285095 NIL ORESUP (NIL T NIL NIL) -8 NIL NIL) (-846 2280048 2280554 2281119 "OREPCTO" 2282025 NIL OREPCTO (NIL T T) -7 NIL NIL) (-845 2273918 2276129 2276171 "OREPCAT" 2278519 NIL OREPCAT (NIL T) -9 NIL 2279619) (-844 2271065 2271847 2272905 "OREPCAT-" 2272910 NIL OREPCAT- (NIL T T) -8 NIL NIL) (-843 2270241 2270513 2270542 "ORDSET" 2270851 T ORDSET (NIL) -9 NIL 2271015) (-842 2269760 2269882 2270075 "ORDSET-" 2270080 NIL ORDSET- (NIL T) -8 NIL NIL) (-841 2268369 2269170 2269199 "ORDRING" 2269401 T ORDRING (NIL) -9 NIL 2269526) (-840 2268014 2268108 2268252 "ORDRING-" 2268257 NIL ORDRING- (NIL T) -8 NIL NIL) (-839 2267388 2267869 2267898 "ORDMON" 2267903 T ORDMON (NIL) -9 NIL 2267924) (-838 2266550 2266697 2266892 "ORDFUNS" 2267237 NIL ORDFUNS (NIL NIL T) -7 NIL NIL) (-837 2266060 2266419 2266448 "ORDFIN" 2266453 T ORDFIN (NIL) -9 NIL 2266474) (-836 2262572 2264652 2265058 "ORDCOMP" 2265687 NIL ORDCOMP (NIL T) -8 NIL NIL) (-835 2261838 2261965 2262151 "ORDCOMP2" 2262432 NIL ORDCOMP2 (NIL T T) -7 NIL NIL) (-834 2258346 2259228 2260065 "OPTPROB" 2261021 T OPTPROB (NIL) -8 NIL NIL) (-833 2255148 2255787 2256491 "OPTPACK" 2257662 T OPTPACK (NIL) -7 NIL NIL) (-832 2252860 2253600 2253629 "OPTCAT" 2254448 T OPTCAT (NIL) -9 NIL 2255098) (-831 2252628 2252667 2252733 "OPQUERY" 2252814 T OPQUERY (NIL) -7 NIL NIL) (-830 2249754 2250945 2251446 "OP" 2252160 NIL OP (NIL T) -8 NIL NIL) (-829 2246519 2248557 2248923 "ONECOMP" 2249421 NIL ONECOMP (NIL T) -8 NIL NIL) (-828 2245824 2245939 2246113 "ONECOMP2" 2246391 NIL ONECOMP2 (NIL T T) -7 NIL NIL) (-827 2245243 2245349 2245479 "OMSERVER" 2245714 T OMSERVER (NIL) -7 NIL NIL) (-826 2242130 2244682 2244723 "OMSAGG" 2244784 NIL OMSAGG (NIL T) -9 NIL 2244848) (-825 2240753 2241016 2241298 "OMPKG" 2241868 T OMPKG (NIL) -7 NIL NIL) (-824 2240182 2240285 2240314 "OM" 2240613 T OM (NIL) -9 NIL NIL) (-823 2238720 2239733 2239901 "OMLO" 2240064 NIL OMLO (NIL T T) -8 NIL NIL) (-822 2237645 2237792 2238019 "OMEXPR" 2238546 NIL OMEXPR (NIL T) -7 NIL NIL) (-821 2236963 2237191 2237327 "OMERR" 2237529 T OMERR (NIL) -8 NIL NIL) (-820 2236141 2236384 2236544 "OMERRK" 2236823 T OMERRK (NIL) -8 NIL NIL) (-819 2235619 2235818 2235926 "OMENC" 2236053 T OMENC (NIL) -8 NIL NIL) (-818 2229514 2230699 2231870 "OMDEV" 2234468 T OMDEV (NIL) -8 NIL NIL) (-817 2228583 2228754 2228948 "OMCONN" 2229340 T OMCONN (NIL) -8 NIL NIL) (-816 2227194 2228180 2228209 "OINTDOM" 2228214 T OINTDOM (NIL) -9 NIL 2228235) (-815 2222845 2224100 2224844 "OFMONOID" 2226482 NIL OFMONOID (NIL T) -8 NIL NIL) (-814 2222283 2222782 2222827 "ODVAR" 2222832 NIL ODVAR (NIL T) -8 NIL NIL) (-813 2219410 2221782 2221966 "ODR" 2222159 NIL ODR (NIL T T NIL) -8 NIL NIL) (-812 2211708 2219186 2219312 "ODPOL" 2219317 NIL ODPOL (NIL T) -8 NIL NIL) (-811 2205502 2211580 2211685 "ODP" 2211690 NIL ODP (NIL NIL T NIL) -8 NIL NIL) (-810 2204268 2204483 2204758 "ODETOOLS" 2205276 NIL ODETOOLS (NIL T T) -7 NIL NIL) (-809 2201237 2201893 2202609 "ODESYS" 2203601 NIL ODESYS (NIL T T) -7 NIL NIL) (-808 2196121 2197029 2198053 "ODERTRIC" 2200313 NIL ODERTRIC (NIL T T) -7 NIL NIL) (-807 2195547 2195629 2195823 "ODERED" 2196033 NIL ODERED (NIL T T T T T) -7 NIL NIL) (-806 2192435 2192983 2193660 "ODERAT" 2194970 NIL ODERAT (NIL T T) -7 NIL NIL) (-805 2189395 2189859 2190456 "ODEPRRIC" 2191964 NIL ODEPRRIC (NIL T T T T) -7 NIL NIL) (-804 2187266 2187833 2188342 "ODEPROB" 2188906 T ODEPROB (NIL) -8 NIL NIL) (-803 2183788 2184271 2184918 "ODEPRIM" 2186745 NIL ODEPRIM (NIL T T T T) -7 NIL NIL) (-802 2183037 2183139 2183399 "ODEPAL" 2183680 NIL ODEPAL (NIL T T T T) -7 NIL NIL) (-801 2179199 2179990 2180854 "ODEPACK" 2182193 T ODEPACK (NIL) -7 NIL NIL) (-800 2178232 2178339 2178568 "ODEINT" 2179088 NIL ODEINT (NIL T T) -7 NIL NIL) (-799 2172333 2173758 2175205 "ODEIFTBL" 2176805 T ODEIFTBL (NIL) -8 NIL NIL) (-798 2167668 2168454 2169413 "ODEEF" 2171492 NIL ODEEF (NIL T T) -7 NIL NIL) (-797 2167003 2167092 2167322 "ODECONST" 2167573 NIL ODECONST (NIL T T T) -7 NIL NIL) (-796 2165153 2165788 2165817 "ODECAT" 2166422 T ODECAT (NIL) -9 NIL 2166953) (-795 2161997 2164858 2164980 "OCT" 2165063 NIL OCT (NIL T) -8 NIL NIL) (-794 2161635 2161678 2161805 "OCTCT2" 2161948 NIL OCTCT2 (NIL T T T T) -7 NIL NIL) (-793 2156459 2158903 2158944 "OC" 2160041 NIL OC (NIL T) -9 NIL 2160891) (-792 2153686 2154434 2155424 "OC-" 2155518 NIL OC- (NIL T T) -8 NIL NIL) (-791 2153063 2153505 2153534 "OCAMON" 2153539 T OCAMON (NIL) -9 NIL 2153560) (-790 2152515 2152922 2152951 "OASGP" 2152956 T OASGP (NIL) -9 NIL 2152976) (-789 2151801 2152264 2152293 "OAMONS" 2152333 T OAMONS (NIL) -9 NIL 2152376) (-788 2151240 2151647 2151676 "OAMON" 2151681 T OAMON (NIL) -9 NIL 2151701) (-787 2150543 2151035 2151064 "OAGROUP" 2151069 T OAGROUP (NIL) -9 NIL 2151089) (-786 2150233 2150283 2150371 "NUMTUBE" 2150487 NIL NUMTUBE (NIL T) -7 NIL NIL) (-785 2143806 2145324 2146860 "NUMQUAD" 2148717 T NUMQUAD (NIL) -7 NIL NIL) (-784 2139562 2140550 2141575 "NUMODE" 2142801 T NUMODE (NIL) -7 NIL NIL) (-783 2136942 2137796 2137825 "NUMINT" 2138748 T NUMINT (NIL) -9 NIL 2139512) (-782 2135890 2136087 2136305 "NUMFMT" 2136744 T NUMFMT (NIL) -7 NIL NIL) (-781 2122268 2125210 2127734 "NUMERIC" 2133405 NIL NUMERIC (NIL T) -7 NIL NIL) (-780 2116671 2121716 2121812 "NTSCAT" 2121817 NIL NTSCAT (NIL T T T T) -9 NIL 2121856) (-779 2115867 2116032 2116224 "NTPOLFN" 2116511 NIL NTPOLFN (NIL T) -7 NIL NIL) (-778 2103663 2112694 2113505 "NSUP" 2115089 NIL NSUP (NIL T) -8 NIL NIL) (-777 2103295 2103352 2103461 "NSUP2" 2103600 NIL NSUP2 (NIL T T) -7 NIL NIL) (-776 2093246 2103069 2103202 "NSMP" 2103207 NIL NSMP (NIL T T) -8 NIL NIL) (-775 2081338 2092828 2092992 "NSDPS" 2093114 NIL NSDPS (NIL T) -8 NIL NIL) (-774 2079770 2080071 2080428 "NREP" 2081026 NIL NREP (NIL T) -7 NIL NIL) (-773 2076859 2077407 2078056 "NPOLYGON" 2079212 NIL NPOLYGON (NIL T T T NIL) -7 NIL NIL) (-772 2075450 2075702 2076060 "NPCOEF" 2076602 NIL NPCOEF (NIL T T T T T) -7 NIL NIL) (-771 2074732 2075234 2075318 "NOTTING" 2075398 NIL NOTTING (NIL T) -8 NIL NIL) (-770 2073798 2073913 2074129 "NORMRETR" 2074613 NIL NORMRETR (NIL T T T T NIL) -7 NIL NIL) (-769 2071839 2072129 2072538 "NORMPK" 2073506 NIL NORMPK (NIL T T T T T) -7 NIL NIL) (-768 2071524 2071552 2071676 "NORMMA" 2071805 NIL NORMMA (NIL T T T T) -7 NIL NIL) (-767 2071351 2071481 2071510 "NONE" 2071515 T NONE (NIL) -8 NIL NIL) (-766 2071140 2071169 2071238 "NONE1" 2071315 NIL NONE1 (NIL T) -7 NIL NIL) (-765 2070623 2070685 2070871 "NODE1" 2071072 NIL NODE1 (NIL T T) -7 NIL NIL) (-764 2068917 2069786 2070041 "NNI" 2070388 T NNI (NIL) -8 NIL NIL) (-763 2067337 2067650 2068014 "NLINSOL" 2068585 NIL NLINSOL (NIL T) -7 NIL NIL) (-762 2063505 2064472 2065394 "NIPROB" 2066435 T NIPROB (NIL) -8 NIL NIL) (-761 2062262 2062496 2062798 "NFINTBAS" 2063267 NIL NFINTBAS (NIL T T) -7 NIL NIL) (-760 2061991 2062034 2062115 "NEWTON" 2062213 NIL NEWTON (NIL T) -7 NIL NIL) (-759 2060699 2060930 2061211 "NCODIV" 2061759 NIL NCODIV (NIL T T) -7 NIL NIL) (-758 2060461 2060498 2060573 "NCNTFRAC" 2060656 NIL NCNTFRAC (NIL T) -7 NIL NIL) (-757 2058641 2059005 2059425 "NCEP" 2060086 NIL NCEP (NIL T) -7 NIL NIL) (-756 2057551 2058290 2058319 "NASRING" 2058429 T NASRING (NIL) -9 NIL 2058503) (-755 2057346 2057390 2057484 "NASRING-" 2057489 NIL NASRING- (NIL T) -8 NIL NIL) (-754 2056498 2056997 2057026 "NARNG" 2057143 T NARNG (NIL) -9 NIL 2057234) (-753 2056190 2056257 2056391 "NARNG-" 2056396 NIL NARNG- (NIL T) -8 NIL NIL) (-752 2055069 2055276 2055511 "NAGSP" 2055975 T NAGSP (NIL) -7 NIL NIL) (-751 2046341 2048025 2049698 "NAGS" 2053416 T NAGS (NIL) -7 NIL NIL) (-750 2044889 2045197 2045528 "NAGF07" 2046030 T NAGF07 (NIL) -7 NIL NIL) (-749 2039427 2040718 2042025 "NAGF04" 2043602 T NAGF04 (NIL) -7 NIL NIL) (-748 2032395 2034009 2035642 "NAGF02" 2037814 T NAGF02 (NIL) -7 NIL NIL) (-747 2027619 2028719 2029836 "NAGF01" 2031298 T NAGF01 (NIL) -7 NIL NIL) (-746 2021247 2022813 2024398 "NAGE04" 2026054 T NAGE04 (NIL) -7 NIL NIL) (-745 2012416 2014537 2016667 "NAGE02" 2019137 T NAGE02 (NIL) -7 NIL NIL) (-744 2008369 2009316 2010280 "NAGE01" 2011472 T NAGE01 (NIL) -7 NIL NIL) (-743 2006164 2006698 2007256 "NAGD03" 2007831 T NAGD03 (NIL) -7 NIL NIL) (-742 1997914 1999842 2001796 "NAGD02" 2004230 T NAGD02 (NIL) -7 NIL NIL) (-741 1991725 1993150 1994590 "NAGD01" 1996494 T NAGD01 (NIL) -7 NIL NIL) (-740 1987934 1988756 1989593 "NAGC06" 1990908 T NAGC06 (NIL) -7 NIL NIL) (-739 1986399 1986731 1987087 "NAGC05" 1987598 T NAGC05 (NIL) -7 NIL NIL) (-738 1985775 1985894 1986038 "NAGC02" 1986275 T NAGC02 (NIL) -7 NIL NIL) (-737 1984834 1985391 1985432 "NAALG" 1985511 NIL NAALG (NIL T) -9 NIL 1985572) (-736 1984669 1984698 1984788 "NAALG-" 1984793 NIL NAALG- (NIL T T) -8 NIL NIL) (-735 1975545 1983785 1984060 "MYUP" 1984440 NIL MYUP (NIL NIL T) -8 NIL NIL) (-734 1965908 1974001 1974372 "MYEXPR" 1975240 NIL MYEXPR (NIL NIL T) -8 NIL NIL) (-733 1959858 1960966 1962153 "MULTSQFR" 1964804 NIL MULTSQFR (NIL T T T T) -7 NIL NIL) (-732 1959177 1959252 1959436 "MULTFACT" 1959770 NIL MULTFACT (NIL T T T T) -7 NIL NIL) (-731 1952302 1956211 1956265 "MTSCAT" 1957335 NIL MTSCAT (NIL T T) -9 NIL 1957849) (-730 1952014 1952068 1952160 "MTHING" 1952242 NIL MTHING (NIL T) -7 NIL NIL) (-729 1951806 1951839 1951899 "MSYSCMD" 1951974 T MSYSCMD (NIL) -7 NIL NIL) (-728 1947918 1950561 1950881 "MSET" 1951519 NIL MSET (NIL T) -8 NIL NIL) (-727 1945012 1947478 1947520 "MSETAGG" 1947525 NIL MSETAGG (NIL T) -9 NIL 1947559) (-726 1940861 1942403 1943142 "MRING" 1944318 NIL MRING (NIL T T) -8 NIL NIL) (-725 1940427 1940494 1940625 "MRF2" 1940788 NIL MRF2 (NIL T T T) -7 NIL NIL) (-724 1940045 1940080 1940224 "MRATFAC" 1940386 NIL MRATFAC (NIL T T T T) -7 NIL NIL) (-723 1937657 1937952 1938383 "MPRFF" 1939750 NIL MPRFF (NIL T T T T) -7 NIL NIL) (-722 1931671 1937511 1937608 "MPOLY" 1937613 NIL MPOLY (NIL NIL T) -8 NIL NIL) (-721 1931161 1931196 1931404 "MPCPF" 1931630 NIL MPCPF (NIL T T T T) -7 NIL NIL) (-720 1930675 1930718 1930902 "MPC3" 1931112 NIL MPC3 (NIL T T T T T T T) -7 NIL NIL) (-719 1929870 1929951 1930172 "MPC2" 1930590 NIL MPC2 (NIL T T T T T T T) -7 NIL NIL) (-718 1928171 1928508 1928898 "MONOTOOL" 1929530 NIL MONOTOOL (NIL T T) -7 NIL NIL) (-717 1927294 1927629 1927658 "MONOID" 1927935 T MONOID (NIL) -9 NIL 1928107) (-716 1926672 1926835 1927078 "MONOID-" 1927083 NIL MONOID- (NIL T) -8 NIL NIL) (-715 1917598 1923583 1923643 "MONOGEN" 1924317 NIL MONOGEN (NIL T T) -9 NIL 1924770) (-714 1914816 1915551 1916551 "MONOGEN-" 1916670 NIL MONOGEN- (NIL T T T) -8 NIL NIL) (-713 1913674 1914094 1914123 "MONADWU" 1914515 T MONADWU (NIL) -9 NIL 1914753) (-712 1913046 1913205 1913453 "MONADWU-" 1913458 NIL MONADWU- (NIL T) -8 NIL NIL) (-711 1912430 1912648 1912677 "MONAD" 1912884 T MONAD (NIL) -9 NIL 1912996) (-710 1912115 1912193 1912325 "MONAD-" 1912330 NIL MONAD- (NIL T) -8 NIL NIL) (-709 1910366 1911028 1911307 "MOEBIUS" 1911868 NIL MOEBIUS (NIL T) -8 NIL NIL) (-708 1909757 1910135 1910176 "MODULE" 1910181 NIL MODULE (NIL T) -9 NIL 1910207) (-707 1909325 1909421 1909611 "MODULE-" 1909616 NIL MODULE- (NIL T T) -8 NIL NIL) (-706 1906994 1907689 1908016 "MODRING" 1909149 NIL MODRING (NIL T T NIL NIL NIL) -8 NIL NIL) (-705 1903940 1905105 1905623 "MODOP" 1906526 NIL MODOP (NIL T T) -8 NIL NIL) (-704 1902127 1902579 1902920 "MODMONOM" 1903739 NIL MODMONOM (NIL T T NIL) -8 NIL NIL) (-703 1891792 1900323 1900744 "MODMON" 1901757 NIL MODMON (NIL T T) -8 NIL NIL) (-702 1888918 1890636 1890912 "MODFIELD" 1891667 NIL MODFIELD (NIL T T NIL NIL NIL) -8 NIL NIL) (-701 1887922 1888199 1888389 "MMLFORM" 1888748 T MMLFORM (NIL) -8 NIL NIL) (-700 1887448 1887491 1887670 "MMAP" 1887873 NIL MMAP (NIL T T T T T T) -7 NIL NIL) (-699 1885673 1886450 1886492 "MLO" 1886915 NIL MLO (NIL T) -9 NIL 1887156) (-698 1883040 1883555 1884157 "MLIFT" 1885154 NIL MLIFT (NIL T T T T) -7 NIL NIL) (-697 1882431 1882515 1882669 "MKUCFUNC" 1882951 NIL MKUCFUNC (NIL T T T) -7 NIL NIL) (-696 1882030 1882100 1882223 "MKRECORD" 1882354 NIL MKRECORD (NIL T T) -7 NIL NIL) (-695 1881078 1881239 1881467 "MKFUNC" 1881841 NIL MKFUNC (NIL T) -7 NIL NIL) (-694 1880466 1880570 1880726 "MKFLCFN" 1880961 NIL MKFLCFN (NIL T) -7 NIL NIL) (-693 1879892 1880259 1880348 "MKCHSET" 1880410 NIL MKCHSET (NIL T) -8 NIL NIL) (-692 1879169 1879271 1879456 "MKBCFUNC" 1879785 NIL MKBCFUNC (NIL T T T T) -7 NIL NIL) (-691 1875853 1878723 1878859 "MINT" 1879053 T MINT (NIL) -8 NIL NIL) (-690 1874665 1874908 1875185 "MHROWRED" 1875608 NIL MHROWRED (NIL T) -7 NIL NIL) (-689 1869932 1873106 1873532 "MFLOAT" 1874259 T MFLOAT (NIL) -8 NIL NIL) (-688 1869289 1869365 1869536 "MFINFACT" 1869844 NIL MFINFACT (NIL T T T T) -7 NIL NIL) (-687 1865604 1866452 1867336 "MESH" 1868425 T MESH (NIL) -7 NIL NIL) (-686 1863994 1864306 1864659 "MDDFACT" 1865291 NIL MDDFACT (NIL T) -7 NIL NIL) (-685 1860876 1863187 1863229 "MDAGG" 1863484 NIL MDAGG (NIL T) -9 NIL 1863627) (-684 1850564 1860169 1860376 "MCMPLX" 1860689 T MCMPLX (NIL) -8 NIL NIL) (-683 1849705 1849851 1850051 "MCDEN" 1850413 NIL MCDEN (NIL T T) -7 NIL NIL) (-682 1847595 1847865 1848245 "MCALCFN" 1849435 NIL MCALCFN (NIL T T T T) -7 NIL NIL) (-681 1845207 1845730 1846292 "MATSTOR" 1847066 NIL MATSTOR (NIL T) -7 NIL NIL) (-680 1841121 1844583 1844829 "MATRIX" 1844994 NIL MATRIX (NIL T) -8 NIL NIL) (-679 1836897 1837600 1838333 "MATLIN" 1840481 NIL MATLIN (NIL T T T T) -7 NIL NIL) (-678 1826662 1829883 1829961 "MATCAT" 1835091 NIL MATCAT (NIL T T T) -9 NIL 1836598) (-677 1822861 1823929 1825340 "MATCAT-" 1825345 NIL MATCAT- (NIL T T T T) -8 NIL NIL) (-676 1821455 1821608 1821941 "MATCAT2" 1822696 NIL MATCAT2 (NIL T T T T T T T T) -7 NIL NIL) (-675 1820195 1820461 1820776 "MAPPKG4" 1821186 NIL MAPPKG4 (NIL T T) -7 NIL NIL) (-674 1818307 1818631 1819015 "MAPPKG3" 1819870 NIL MAPPKG3 (NIL T T T) -7 NIL NIL) (-673 1817288 1817461 1817683 "MAPPKG2" 1818131 NIL MAPPKG2 (NIL T T) -7 NIL NIL) (-672 1815787 1816071 1816398 "MAPPKG1" 1816994 NIL MAPPKG1 (NIL T) -7 NIL NIL) (-671 1815398 1815456 1815579 "MAPHACK3" 1815723 NIL MAPHACK3 (NIL T T T) -7 NIL NIL) (-670 1814990 1815051 1815165 "MAPHACK2" 1815330 NIL MAPHACK2 (NIL T T) -7 NIL NIL) (-669 1814428 1814531 1814673 "MAPHACK1" 1814881 NIL MAPHACK1 (NIL T) -7 NIL NIL) (-668 1812534 1813128 1813432 "MAGMA" 1814156 NIL MAGMA (NIL T) -8 NIL NIL) (-667 1809009 1810775 1811235 "M3D" 1812107 NIL M3D (NIL T) -8 NIL NIL) (-666 1803203 1807409 1807451 "LZSTAGG" 1808233 NIL LZSTAGG (NIL T) -9 NIL 1808528) (-665 1799177 1800334 1801791 "LZSTAGG-" 1801796 NIL LZSTAGG- (NIL T T) -8 NIL NIL) (-664 1796291 1797068 1797555 "LWORD" 1798722 NIL LWORD (NIL T) -8 NIL NIL) (-663 1789446 1796062 1796196 "LSQM" 1796201 NIL LSQM (NIL NIL T) -8 NIL NIL) (-662 1788670 1788809 1789037 "LSPP" 1789301 NIL LSPP (NIL T T T T) -7 NIL NIL) (-661 1786482 1786783 1787239 "LSMP" 1788359 NIL LSMP (NIL T T T T) -7 NIL NIL) (-660 1783261 1783935 1784665 "LSMP1" 1785784 NIL LSMP1 (NIL T) -7 NIL NIL) (-659 1777218 1782451 1782493 "LSAGG" 1782555 NIL LSAGG (NIL T) -9 NIL 1782633) (-658 1773913 1774837 1776050 "LSAGG-" 1776055 NIL LSAGG- (NIL T T) -8 NIL NIL) (-657 1771539 1773057 1773306 "LPOLY" 1773708 NIL LPOLY (NIL T T) -8 NIL NIL) (-656 1771121 1771206 1771329 "LPEFRAC" 1771448 NIL LPEFRAC (NIL T) -7 NIL NIL) (-655 1768685 1768934 1769366 "LPARSPT" 1770863 NIL LPARSPT (NIL T NIL T T T T T) -7 NIL NIL) (-654 1767160 1767487 1767847 "LOP" 1768357 NIL LOP (NIL T) -7 NIL NIL) (-653 1765509 1766256 1766508 "LO" 1766993 NIL LO (NIL T T T) -8 NIL NIL) (-652 1765160 1765272 1765301 "LOGIC" 1765412 T LOGIC (NIL) -9 NIL 1765493) (-651 1765022 1765045 1765116 "LOGIC-" 1765121 NIL LOGIC- (NIL T) -8 NIL NIL) (-650 1764215 1764355 1764548 "LODOOPS" 1764878 NIL LODOOPS (NIL T T) -7 NIL NIL) (-649 1761627 1764131 1764197 "LODO" 1764202 NIL LODO (NIL T NIL) -8 NIL NIL) (-648 1760167 1760402 1760754 "LODOF" 1761375 NIL LODOF (NIL T T) -7 NIL NIL) (-647 1756566 1759007 1759049 "LODOCAT" 1759487 NIL LODOCAT (NIL T) -9 NIL 1759697) (-646 1756299 1756357 1756484 "LODOCAT-" 1756489 NIL LODOCAT- (NIL T T) -8 NIL NIL) (-645 1753608 1756140 1756258 "LODO2" 1756263 NIL LODO2 (NIL T T) -8 NIL NIL) (-644 1751032 1753545 1753590 "LODO1" 1753595 NIL LODO1 (NIL T) -8 NIL NIL) (-643 1749892 1750057 1750369 "LODEEF" 1750855 NIL LODEEF (NIL T T T) -7 NIL NIL) (-642 1742719 1746884 1746925 "LOCPOWC" 1748387 NIL LOCPOWC (NIL T) -9 NIL 1748964) (-641 1738043 1740881 1740923 "LNAGG" 1741870 NIL LNAGG (NIL T) -9 NIL 1742313) (-640 1737190 1737404 1737746 "LNAGG-" 1737751 NIL LNAGG- (NIL T T) -8 NIL NIL) (-639 1733353 1734115 1734754 "LMOPS" 1736605 NIL LMOPS (NIL T T NIL) -8 NIL NIL) (-638 1732747 1733109 1733151 "LMODULE" 1733212 NIL LMODULE (NIL T) -9 NIL 1733254) (-637 1729999 1732392 1732515 "LMDICT" 1732657 NIL LMDICT (NIL T) -8 NIL NIL) (-636 1729156 1729290 1729477 "LISYSER" 1729861 NIL LISYSER (NIL T T) -7 NIL NIL) (-635 1722393 1728106 1728402 "LIST" 1728893 NIL LIST (NIL T) -8 NIL NIL) (-634 1721918 1721992 1722131 "LIST3" 1722313 NIL LIST3 (NIL T T T) -7 NIL NIL) (-633 1720925 1721103 1721331 "LIST2" 1721736 NIL LIST2 (NIL T T) -7 NIL NIL) (-632 1719059 1719371 1719770 "LIST2MAP" 1720572 NIL LIST2MAP (NIL T T) -7 NIL NIL) (-631 1717764 1718444 1718486 "LINEXP" 1718741 NIL LINEXP (NIL T) -9 NIL 1718890) (-630 1716411 1716671 1716968 "LINDEP" 1717516 NIL LINDEP (NIL T T) -7 NIL NIL) (-629 1713178 1713897 1714674 "LIMITRF" 1715666 NIL LIMITRF (NIL T) -7 NIL NIL) (-628 1711454 1711749 1712165 "LIMITPS" 1712873 NIL LIMITPS (NIL T T) -7 NIL NIL) (-627 1705913 1710969 1711195 "LIE" 1711277 NIL LIE (NIL T T) -8 NIL NIL) (-626 1704962 1705405 1705446 "LIECAT" 1705586 NIL LIECAT (NIL T) -9 NIL 1705736) (-625 1704803 1704830 1704918 "LIECAT-" 1704923 NIL LIECAT- (NIL T T) -8 NIL NIL) (-624 1697337 1704182 1704365 "LIB" 1704640 T LIB (NIL) -8 NIL NIL) (-623 1692974 1693855 1694790 "LGROBP" 1696454 NIL LGROBP (NIL NIL T) -7 NIL NIL) (-622 1690455 1690779 1691190 "LF" 1692647 NIL LF (NIL T T) -7 NIL NIL) (-621 1689152 1689882 1689911 "LFCAT" 1690186 T LFCAT (NIL) -9 NIL 1690361) (-620 1686056 1686684 1687372 "LEXTRIPK" 1688516 NIL LEXTRIPK (NIL T NIL) -7 NIL NIL) (-619 1682762 1683626 1684129 "LEXP" 1685636 NIL LEXP (NIL T T NIL) -8 NIL NIL) (-618 1681160 1681473 1681874 "LEADCDET" 1682444 NIL LEADCDET (NIL T T T T) -7 NIL NIL) (-617 1680350 1680424 1680653 "LAZM3PK" 1681081 NIL LAZM3PK (NIL T T T T T T) -7 NIL NIL) (-616 1675266 1678433 1678968 "LAUPOL" 1679865 NIL LAUPOL (NIL T T) -8 NIL NIL) (-615 1674831 1674875 1675043 "LAPLACE" 1675216 NIL LAPLACE (NIL T T) -7 NIL NIL) (-614 1672761 1673934 1674184 "LA" 1674665 NIL LA (NIL T T T) -8 NIL NIL) (-613 1671817 1672411 1672453 "LALG" 1672515 NIL LALG (NIL T) -9 NIL 1672574) (-612 1671531 1671590 1671726 "LALG-" 1671731 NIL LALG- (NIL T T) -8 NIL NIL) (-611 1670435 1670622 1670921 "KOVACIC" 1671331 NIL KOVACIC (NIL T T) -7 NIL NIL) (-610 1670269 1670293 1670335 "KONVERT" 1670397 NIL KONVERT (NIL T) -9 NIL NIL) (-609 1670103 1670127 1670169 "KOERCE" 1670231 NIL KOERCE (NIL T) -9 NIL NIL) (-608 1667839 1668599 1668991 "KERNEL" 1669743 NIL KERNEL (NIL T) -8 NIL NIL) (-607 1667341 1667422 1667552 "KERNEL2" 1667753 NIL KERNEL2 (NIL T T) -7 NIL NIL) (-606 1661024 1665706 1665761 "KDAGG" 1666138 NIL KDAGG (NIL T T) -9 NIL 1666344) (-605 1660553 1660677 1660882 "KDAGG-" 1660887 NIL KDAGG- (NIL T T T) -8 NIL NIL) (-604 1653702 1660214 1660369 "KAFILE" 1660431 NIL KAFILE (NIL T) -8 NIL NIL) (-603 1648161 1653217 1653443 "JORDAN" 1653525 NIL JORDAN (NIL T T) -8 NIL NIL) (-602 1644504 1646404 1646459 "IXAGG" 1647388 NIL IXAGG (NIL T T) -9 NIL 1647843) (-601 1643423 1643729 1644148 "IXAGG-" 1644153 NIL IXAGG- (NIL T T T) -8 NIL NIL) (-600 1639007 1643345 1643404 "IVECTOR" 1643409 NIL IVECTOR (NIL T NIL) -8 NIL NIL) (-599 1637773 1638010 1638276 "ITUPLE" 1638774 NIL ITUPLE (NIL T) -8 NIL NIL) (-598 1636197 1636374 1636682 "ITRIGMNP" 1637595 NIL ITRIGMNP (NIL T T T) -7 NIL NIL) (-597 1634942 1635146 1635429 "ITFUN3" 1635973 NIL ITFUN3 (NIL T T T) -7 NIL NIL) (-596 1634574 1634631 1634740 "ITFUN2" 1634879 NIL ITFUN2 (NIL T T) -7 NIL NIL) (-595 1632367 1633438 1633736 "ITAYLOR" 1634309 NIL ITAYLOR (NIL T) -8 NIL NIL) (-594 1621306 1626506 1627668 "ISUPS" 1631238 NIL ISUPS (NIL T) -8 NIL NIL) (-593 1620410 1620550 1620786 "ISUMP" 1621153 NIL ISUMP (NIL T T T T) -7 NIL NIL) (-592 1615680 1620211 1620290 "ISTRING" 1620363 NIL ISTRING (NIL NIL) -8 NIL NIL) (-591 1614890 1614971 1615187 "IRURPK" 1615594 NIL IRURPK (NIL T T T T T) -7 NIL NIL) (-590 1613826 1614027 1614267 "IRSN" 1614670 T IRSN (NIL) -7 NIL NIL) (-589 1611857 1612212 1612647 "IRRF2F" 1613465 NIL IRRF2F (NIL T) -7 NIL NIL) (-588 1611604 1611642 1611718 "IRREDFFX" 1611813 NIL IRREDFFX (NIL T) -7 NIL NIL) (-587 1610219 1610478 1610777 "IROOT" 1611337 NIL IROOT (NIL T) -7 NIL NIL) (-586 1606855 1607907 1608597 "IR" 1609561 NIL IR (NIL T) -8 NIL NIL) (-585 1604468 1604963 1605529 "IR2" 1606333 NIL IR2 (NIL T T) -7 NIL NIL) (-584 1603540 1603653 1603874 "IR2F" 1604351 NIL IR2F (NIL T T) -7 NIL NIL) (-583 1603331 1603365 1603425 "IPRNTPK" 1603500 T IPRNTPK (NIL) -7 NIL NIL) (-582 1599885 1603220 1603289 "IPF" 1603294 NIL IPF (NIL NIL) -8 NIL NIL) (-581 1598202 1599810 1599867 "IPADIC" 1599872 NIL IPADIC (NIL NIL NIL) -8 NIL NIL) (-580 1597699 1597757 1597947 "INVLAPLA" 1598138 NIL INVLAPLA (NIL T T) -7 NIL NIL) (-579 1587348 1589701 1592087 "INTTR" 1595363 NIL INTTR (NIL T T) -7 NIL NIL) (-578 1583706 1584448 1585305 "INTTOOLS" 1586540 NIL INTTOOLS (NIL T T) -7 NIL NIL) (-577 1583292 1583383 1583500 "INTSLPE" 1583609 T INTSLPE (NIL) -7 NIL NIL) (-576 1581242 1583215 1583274 "INTRVL" 1583279 NIL INTRVL (NIL T) -8 NIL NIL) (-575 1578844 1579356 1579931 "INTRF" 1580727 NIL INTRF (NIL T) -7 NIL NIL) (-574 1578255 1578352 1578494 "INTRET" 1578742 NIL INTRET (NIL T) -7 NIL NIL) (-573 1576252 1576641 1577111 "INTRAT" 1577863 NIL INTRAT (NIL T T) -7 NIL NIL) (-572 1573488 1574071 1574693 "INTPM" 1575741 NIL INTPM (NIL T T) -7 NIL NIL) (-571 1570193 1570792 1571536 "INTPAF" 1572875 NIL INTPAF (NIL T T T) -7 NIL NIL) (-570 1565372 1566334 1567385 "INTPACK" 1569162 T INTPACK (NIL) -7 NIL NIL) (-569 1562226 1565101 1565228 "INT" 1565265 T INT (NIL) -8 NIL NIL) (-568 1561478 1561630 1561838 "INTHERTR" 1562068 NIL INTHERTR (NIL T T) -7 NIL NIL) (-567 1560917 1560997 1561185 "INTHERAL" 1561392 NIL INTHERAL (NIL T T T T) -7 NIL NIL) (-566 1558763 1559206 1559663 "INTHEORY" 1560480 T INTHEORY (NIL) -7 NIL NIL) (-565 1550074 1551694 1553472 "INTG0" 1557116 NIL INTG0 (NIL T T T) -7 NIL NIL) (-564 1530647 1535437 1540247 "INTFTBL" 1545284 T INTFTBL (NIL) -8 NIL NIL) (-563 1528684 1528891 1529292 "INTFRSP" 1530437 NIL INTFRSP (NIL T NIL T T T T T T) -7 NIL NIL) (-562 1527933 1528071 1528244 "INTFACT" 1528543 NIL INTFACT (NIL T) -7 NIL NIL) (-561 1527523 1527565 1527716 "INTERGB" 1527885 NIL INTERGB (NIL T NIL T T T) -7 NIL NIL) (-560 1524908 1525354 1525918 "INTEF" 1527077 NIL INTEF (NIL T T) -7 NIL NIL) (-559 1523365 1524114 1524143 "INTDOM" 1524444 T INTDOM (NIL) -9 NIL 1524651) (-558 1522734 1522908 1523150 "INTDOM-" 1523155 NIL INTDOM- (NIL T) -8 NIL NIL) (-557 1521338 1521443 1521833 "INTDIVP" 1522624 NIL INTDIVP (NIL T NIL T T T T T T T T T) -7 NIL NIL) (-556 1517824 1519754 1519809 "INTCAT" 1520608 NIL INTCAT (NIL T) -9 NIL 1520929) (-555 1517297 1517399 1517527 "INTBIT" 1517716 T INTBIT (NIL) -7 NIL NIL) (-554 1515968 1516122 1516436 "INTALG" 1517142 NIL INTALG (NIL T T T T T) -7 NIL NIL) (-553 1515425 1515515 1515685 "INTAF" 1515872 NIL INTAF (NIL T T) -7 NIL NIL) (-552 1508891 1515235 1515375 "INTABL" 1515380 NIL INTABL (NIL T T T) -8 NIL NIL) (-551 1503836 1506562 1506591 "INS" 1507559 T INS (NIL) -9 NIL 1508242) (-550 1501076 1501847 1502821 "INS-" 1502894 NIL INS- (NIL T) -8 NIL NIL) (-549 1499851 1500078 1500376 "INPSIGN" 1500829 NIL INPSIGN (NIL T T) -7 NIL NIL) (-548 1498969 1499086 1499283 "INPRODPF" 1499731 NIL INPRODPF (NIL T T) -7 NIL NIL) (-547 1497863 1497980 1498217 "INPRODFF" 1498849 NIL INPRODFF (NIL T T T T) -7 NIL NIL) (-546 1496863 1497015 1497275 "INNMFACT" 1497699 NIL INNMFACT (NIL T T T T) -7 NIL NIL) (-545 1496060 1496157 1496345 "INMODGCD" 1496762 NIL INMODGCD (NIL T T NIL NIL) -7 NIL NIL) (-544 1494569 1494813 1495137 "INFSP" 1495805 NIL INFSP (NIL T T T) -7 NIL NIL) (-543 1493753 1493870 1494053 "INFPROD0" 1494449 NIL INFPROD0 (NIL T T) -7 NIL NIL) (-542 1490634 1491818 1492333 "INFORM" 1493246 T INFORM (NIL) -8 NIL NIL) (-541 1490244 1490304 1490402 "INFORM1" 1490569 NIL INFORM1 (NIL T) -7 NIL NIL) (-540 1489767 1489856 1489970 "INFINITY" 1490150 T INFINITY (NIL) -7 NIL NIL) (-539 1487450 1488447 1488790 "INFCLSPT" 1489627 NIL INFCLSPT (NIL T NIL T T T T T T T) -8 NIL NIL) (-538 1485327 1486572 1486866 "INFCLSPS" 1487220 NIL INFCLSPS (NIL T NIL T) -8 NIL NIL) (-537 1477877 1478800 1479021 "INFCLCT" 1484452 NIL INFCLCT (NIL T NIL T T T T T T T) -9 NIL 1485263) (-536 1476495 1476743 1477064 "INEP" 1477625 NIL INEP (NIL T T T) -7 NIL NIL) (-535 1475771 1476392 1476457 "INDE" 1476462 NIL INDE (NIL T) -8 NIL NIL) (-534 1475335 1475403 1475520 "INCRMAPS" 1475698 NIL INCRMAPS (NIL T) -7 NIL NIL) (-533 1470646 1471571 1472515 "INBFF" 1474423 NIL INBFF (NIL T) -7 NIL NIL) (-532 1467041 1470490 1470594 "IMATRIX" 1470599 NIL IMATRIX (NIL T NIL NIL) -8 NIL NIL) (-531 1465755 1465878 1466192 "IMATQF" 1466898 NIL IMATQF (NIL T T T T T T T T) -7 NIL NIL) (-530 1463977 1464204 1464540 "IMATLIN" 1465512 NIL IMATLIN (NIL T T T T) -7 NIL NIL) (-529 1458609 1463901 1463959 "ILIST" 1463964 NIL ILIST (NIL T NIL) -8 NIL NIL) (-528 1456568 1458469 1458582 "IIARRAY2" 1458587 NIL IIARRAY2 (NIL T NIL NIL T T) -8 NIL NIL) (-527 1451936 1456479 1456543 "IFF" 1456548 NIL IFF (NIL NIL NIL) -8 NIL NIL) (-526 1446985 1451228 1451416 "IFARRAY" 1451793 NIL IFARRAY (NIL T NIL) -8 NIL NIL) (-525 1446192 1446889 1446962 "IFAMON" 1446967 NIL IFAMON (NIL T T NIL) -8 NIL NIL) (-524 1445775 1445840 1445895 "IEVALAB" 1446102 NIL IEVALAB (NIL T T) -9 NIL NIL) (-523 1445450 1445518 1445678 "IEVALAB-" 1445683 NIL IEVALAB- (NIL T T T) -8 NIL NIL) (-522 1445108 1445364 1445427 "IDPO" 1445432 NIL IDPO (NIL T T) -8 NIL NIL) (-521 1444385 1444997 1445072 "IDPOAMS" 1445077 NIL IDPOAMS (NIL T T) -8 NIL NIL) (-520 1443719 1444274 1444349 "IDPOAM" 1444354 NIL IDPOAM (NIL T T) -8 NIL NIL) (-519 1442803 1443053 1443107 "IDPC" 1443520 NIL IDPC (NIL T T) -9 NIL 1443669) (-518 1442299 1442695 1442768 "IDPAM" 1442773 NIL IDPAM (NIL T T) -8 NIL NIL) (-517 1441702 1442191 1442264 "IDPAG" 1442269 NIL IDPAG (NIL T T) -8 NIL NIL) (-516 1437957 1438805 1439700 "IDECOMP" 1440859 NIL IDECOMP (NIL NIL NIL) -7 NIL NIL) (-515 1430833 1431882 1432928 "IDEAL" 1436994 NIL IDEAL (NIL T T T T) -8 NIL NIL) (-514 1428850 1429997 1430270 "ICP" 1430624 NIL ICP (NIL T NIL T) -8 NIL NIL) (-513 1428014 1428126 1428325 "ICDEN" 1428734 NIL ICDEN (NIL T T T T) -7 NIL NIL) (-512 1427113 1427494 1427641 "ICARD" 1427887 T ICARD (NIL) -8 NIL NIL) (-511 1425173 1425486 1425891 "IBPTOOLS" 1426790 NIL IBPTOOLS (NIL T T T T) -7 NIL NIL) (-510 1420787 1424793 1424906 "IBITS" 1425092 NIL IBITS (NIL NIL) -8 NIL NIL) (-509 1417510 1418086 1418781 "IBATOOL" 1420204 NIL IBATOOL (NIL T T T) -7 NIL NIL) (-508 1415290 1415751 1416284 "IBACHIN" 1417045 NIL IBACHIN (NIL T T T) -7 NIL NIL) (-507 1413173 1415136 1415239 "IARRAY2" 1415244 NIL IARRAY2 (NIL T NIL NIL) -8 NIL NIL) (-506 1409332 1413099 1413156 "IARRAY1" 1413161 NIL IARRAY1 (NIL T NIL) -8 NIL NIL) (-505 1403262 1407744 1408225 "IAN" 1408871 T IAN (NIL) -8 NIL NIL) (-504 1402773 1402830 1403003 "IALGFACT" 1403199 NIL IALGFACT (NIL T T T T) -7 NIL NIL) (-503 1402300 1402413 1402442 "HYPCAT" 1402649 T HYPCAT (NIL) -9 NIL NIL) (-502 1401838 1401955 1402141 "HYPCAT-" 1402146 NIL HYPCAT- (NIL T) -8 NIL NIL) (-501 1400842 1401119 1401309 "HTMLFORM" 1401668 T HTMLFORM (NIL) -8 NIL NIL) (-500 1397631 1398956 1398998 "HOAGG" 1399979 NIL HOAGG (NIL T) -9 NIL 1400588) (-499 1396225 1396624 1397150 "HOAGG-" 1397155 NIL HOAGG- (NIL T T) -8 NIL NIL) (-498 1390043 1395663 1395830 "HEXADEC" 1396078 T HEXADEC (NIL) -8 NIL NIL) (-497 1388791 1389013 1389276 "HEUGCD" 1389820 NIL HEUGCD (NIL T) -7 NIL NIL) (-496 1387894 1388628 1388758 "HELLFDIV" 1388763 NIL HELLFDIV (NIL T T T T) -8 NIL NIL) (-495 1381611 1383154 1384235 "HEAP" 1386845 NIL HEAP (NIL T) -8 NIL NIL) (-494 1375449 1381526 1381588 "HDP" 1381593 NIL HDP (NIL NIL T) -8 NIL NIL) (-493 1369154 1375084 1375236 "HDMP" 1375350 NIL HDMP (NIL NIL T) -8 NIL NIL) (-492 1368479 1368618 1368782 "HB" 1369010 T HB (NIL) -7 NIL NIL) (-491 1361988 1368325 1368429 "HASHTBL" 1368434 NIL HASHTBL (NIL T T NIL) -8 NIL NIL) (-490 1359735 1361610 1361792 "HACKPI" 1361826 T HACKPI (NIL) -8 NIL NIL) (-489 1341883 1345752 1349755 "GUESSUP" 1355765 NIL GUESSUP (NIL NIL) -7 NIL NIL) (-488 1312980 1320021 1326717 "GUESSP" 1335207 T GUESSP (NIL) -7 NIL NIL) (-487 1279795 1285066 1290450 "GUESS" 1307924 NIL GUESS (NIL T T T T NIL NIL) -7 NIL NIL) (-486 1253300 1259697 1265833 "GUESSINT" 1273679 T GUESSINT (NIL) -7 NIL NIL) (-485 1228671 1234121 1239688 "GUESSF" 1247785 NIL GUESSF (NIL T) -7 NIL NIL) (-484 1228393 1228430 1228525 "GUESSF1" 1228628 NIL GUESSF1 (NIL T) -7 NIL NIL) (-483 1204554 1210088 1215703 "GUESSAN" 1222798 T GUESSAN (NIL) -7 NIL NIL) (-482 1200249 1204407 1204520 "GTSET" 1204525 NIL GTSET (NIL T T T T) -8 NIL NIL) (-481 1193787 1200127 1200225 "GSTBL" 1200230 NIL GSTBL (NIL T T T NIL) -8 NIL NIL) (-480 1186017 1192820 1193084 "GSERIES" 1193579 NIL GSERIES (NIL T NIL NIL) -8 NIL NIL) (-479 1185038 1185491 1185520 "GROUP" 1185781 T GROUP (NIL) -9 NIL 1185940) (-478 1184154 1184377 1184721 "GROUP-" 1184726 NIL GROUP- (NIL T) -8 NIL NIL) (-477 1182523 1182842 1183229 "GROEBSOL" 1183831 NIL GROEBSOL (NIL NIL T T) -7 NIL NIL) (-476 1181462 1181724 1181776 "GRMOD" 1182305 NIL GRMOD (NIL T T) -9 NIL 1182473) (-475 1181230 1181266 1181394 "GRMOD-" 1181399 NIL GRMOD- (NIL T T T) -8 NIL NIL) (-474 1176559 1177584 1178584 "GRIMAGE" 1180250 T GRIMAGE (NIL) -8 NIL NIL) (-473 1175026 1175286 1175610 "GRDEF" 1176255 T GRDEF (NIL) -7 NIL NIL) (-472 1174470 1174586 1174727 "GRAY" 1174905 T GRAY (NIL) -7 NIL NIL) (-471 1173700 1174080 1174132 "GRALG" 1174285 NIL GRALG (NIL T T) -9 NIL 1174378) (-470 1173361 1173434 1173597 "GRALG-" 1173602 NIL GRALG- (NIL T T T) -8 NIL NIL) (-469 1170165 1172946 1173124 "GPOLSET" 1173268 NIL GPOLSET (NIL T T T T) -8 NIL NIL) (-468 1152368 1153858 1155447 "GPAFF" 1168856 NIL GPAFF (NIL T NIL T T T T T T T T T) -7 NIL NIL) (-467 1151722 1151779 1152037 "GOSPER" 1152305 NIL GOSPER (NIL T T T T T) -7 NIL NIL) (-466 1148233 1149036 1149731 "GOPT" 1151047 T GOPT (NIL) -8 NIL NIL) (-465 1143712 1144730 1145638 "GOPT0" 1147345 T GOPT0 (NIL) -8 NIL NIL) (-464 1139471 1140150 1140676 "GMODPOL" 1143411 NIL GMODPOL (NIL NIL T T T NIL T) -8 NIL NIL) (-463 1138476 1138660 1138898 "GHENSEL" 1139283 NIL GHENSEL (NIL T T) -7 NIL NIL) (-462 1132527 1133370 1134397 "GENUPS" 1137560 NIL GENUPS (NIL T T) -7 NIL NIL) (-461 1132224 1132275 1132364 "GENUFACT" 1132470 NIL GENUFACT (NIL T) -7 NIL NIL) (-460 1131636 1131713 1131878 "GENPGCD" 1132142 NIL GENPGCD (NIL T T T T) -7 NIL NIL) (-459 1131110 1131145 1131358 "GENMFACT" 1131595 NIL GENMFACT (NIL T T T T T) -7 NIL NIL) (-458 1129678 1129933 1130240 "GENEEZ" 1130853 NIL GENEEZ (NIL T T) -7 NIL NIL) (-457 1128222 1128499 1128823 "GDRAW" 1129374 T GDRAW (NIL) -7 NIL NIL) (-456 1122089 1127833 1127995 "GDMP" 1128145 NIL GDMP (NIL NIL T T) -8 NIL NIL) (-455 1111473 1115862 1116967 "GCNAALG" 1121073 NIL GCNAALG (NIL T NIL NIL NIL) -8 NIL NIL) (-454 1109890 1110762 1110791 "GCDDOM" 1111046 T GCDDOM (NIL) -9 NIL 1111203) (-453 1109360 1109487 1109702 "GCDDOM-" 1109707 NIL GCDDOM- (NIL T) -8 NIL NIL) (-452 1108034 1108219 1108522 "GB" 1109140 NIL GB (NIL T T T T) -7 NIL NIL) (-451 1096654 1098980 1101372 "GBINTERN" 1105725 NIL GBINTERN (NIL T T T T) -7 NIL NIL) (-450 1094491 1094783 1095204 "GBF" 1096329 NIL GBF (NIL T T T T) -7 NIL NIL) (-449 1093272 1093437 1093704 "GBEUCLID" 1094307 NIL GBEUCLID (NIL T T T T) -7 NIL NIL) (-448 1092621 1092746 1092895 "GAUSSFAC" 1093143 T GAUSSFAC (NIL) -7 NIL NIL) (-447 1090990 1091292 1091605 "GALUTIL" 1092341 NIL GALUTIL (NIL T) -7 NIL NIL) (-446 1089298 1089572 1089896 "GALPOLYU" 1090717 NIL GALPOLYU (NIL T T) -7 NIL NIL) (-445 1086663 1086953 1087360 "GALFACTU" 1088995 NIL GALFACTU (NIL T T T) -7 NIL NIL) (-444 1078469 1079968 1081576 "GALFACT" 1085095 NIL GALFACT (NIL T) -7 NIL NIL) (-443 1075857 1076514 1076543 "FVFUN" 1077699 T FVFUN (NIL) -9 NIL 1078419) (-442 1075123 1075304 1075333 "FVC" 1075624 T FVC (NIL) -9 NIL 1075807) (-441 1074765 1074920 1075001 "FUNCTION" 1075075 NIL FUNCTION (NIL NIL) -8 NIL NIL) (-440 1072435 1072986 1073475 "FT" 1074296 T FT (NIL) -8 NIL NIL) (-439 1071227 1071736 1071939 "FTEM" 1072252 T FTEM (NIL) -8 NIL NIL) (-438 1069485 1069774 1070177 "FSUPFACT" 1070919 NIL FSUPFACT (NIL T T T) -7 NIL NIL) (-437 1067882 1068171 1068503 "FST" 1069173 T FST (NIL) -8 NIL NIL) (-436 1067053 1067159 1067354 "FSRED" 1067764 NIL FSRED (NIL T T) -7 NIL NIL) (-435 1065734 1065989 1066342 "FSPRMELT" 1066769 NIL FSPRMELT (NIL T T) -7 NIL NIL) (-434 1061100 1061805 1062562 "FSPECF" 1065039 NIL FSPECF (NIL T T) -7 NIL NIL) (-433 1043358 1051947 1051988 "FS" 1055836 NIL FS (NIL T) -9 NIL 1058114) (-432 1032008 1034998 1039054 "FS-" 1039351 NIL FS- (NIL T T) -8 NIL NIL) (-431 1031522 1031576 1031753 "FSINT" 1031949 NIL FSINT (NIL T T) -7 NIL NIL) (-430 1029807 1030519 1030820 "FSERIES" 1031303 NIL FSERIES (NIL T T) -8 NIL NIL) (-429 1028821 1028937 1029168 "FSCINT" 1029687 NIL FSCINT (NIL T T) -7 NIL NIL) (-428 1025056 1027766 1027808 "FSAGG" 1028178 NIL FSAGG (NIL T) -9 NIL 1028435) (-427 1022818 1023419 1024215 "FSAGG-" 1024310 NIL FSAGG- (NIL T T) -8 NIL NIL) (-426 1021860 1022003 1022230 "FSAGG2" 1022671 NIL FSAGG2 (NIL T T T T) -7 NIL NIL) (-425 1019515 1019794 1020348 "FS2UPS" 1021578 NIL FS2UPS (NIL T T T T T NIL) -7 NIL NIL) (-424 1019097 1019140 1019295 "FS2" 1019466 NIL FS2 (NIL T T T T) -7 NIL NIL) (-423 1017954 1018125 1018434 "FS2EXPXP" 1018922 NIL FS2EXPXP (NIL T T NIL NIL) -7 NIL NIL) (-422 1017380 1017495 1017647 "FRUTIL" 1017834 NIL FRUTIL (NIL T) -7 NIL NIL) (-421 1008806 1012891 1014241 "FR" 1016062 NIL FR (NIL T) -8 NIL NIL) (-420 1003886 1006524 1006565 "FRNAALG" 1007961 NIL FRNAALG (NIL T) -9 NIL 1008567) (-419 999565 1000635 1001910 "FRNAALG-" 1002660 NIL FRNAALG- (NIL T T) -8 NIL NIL) (-418 999203 999246 999373 "FRNAAF2" 999516 NIL FRNAAF2 (NIL T T T T) -7 NIL NIL) (-417 997566 998059 998353 "FRMOD" 999016 NIL FRMOD (NIL T T T T NIL) -8 NIL NIL) (-416 995281 995949 996266 "FRIDEAL" 997357 NIL FRIDEAL (NIL T T T T) -8 NIL NIL) (-415 994476 994563 994852 "FRIDEAL2" 995188 NIL FRIDEAL2 (NIL T T T T T T T T) -7 NIL NIL) (-414 993719 994133 994175 "FRETRCT" 994180 NIL FRETRCT (NIL T) -9 NIL 994354) (-413 992831 993062 993413 "FRETRCT-" 993418 NIL FRETRCT- (NIL T T) -8 NIL NIL) (-412 990036 991256 991316 "FRAMALG" 992198 NIL FRAMALG (NIL T T) -9 NIL 992490) (-411 988169 988625 989255 "FRAMALG-" 989478 NIL FRAMALG- (NIL T T T) -8 NIL NIL) (-410 982072 987654 987925 "FRAC" 987930 NIL FRAC (NIL T) -8 NIL NIL) (-409 981708 981765 981872 "FRAC2" 982009 NIL FRAC2 (NIL T T) -7 NIL NIL) (-408 981344 981401 981508 "FR2" 981645 NIL FR2 (NIL T T) -7 NIL NIL) (-407 975966 978875 978904 "FPS" 980023 T FPS (NIL) -9 NIL 980577) (-406 975415 975524 975688 "FPS-" 975834 NIL FPS- (NIL T) -8 NIL NIL) (-405 972811 974508 974537 "FPC" 974762 T FPC (NIL) -9 NIL 974904) (-404 972604 972644 972741 "FPC-" 972746 NIL FPC- (NIL T) -8 NIL NIL) (-403 971483 972093 972135 "FPATMAB" 972140 NIL FPATMAB (NIL T) -9 NIL 972290) (-402 969183 969659 970085 "FPARFRAC" 971120 NIL FPARFRAC (NIL T T) -8 NIL NIL) (-401 964578 965075 965757 "FORTRAN" 968615 NIL FORTRAN (NIL NIL NIL NIL NIL) -8 NIL NIL) (-400 962294 962794 963333 "FORT" 964059 T FORT (NIL) -7 NIL NIL) (-399 959970 960531 960560 "FORTFN" 961620 T FORTFN (NIL) -9 NIL 962244) (-398 959733 959783 959812 "FORTCAT" 959871 T FORTCAT (NIL) -9 NIL 959933) (-397 957793 958276 958675 "FORMULA" 959354 T FORMULA (NIL) -8 NIL NIL) (-396 957581 957611 957680 "FORMULA1" 957757 NIL FORMULA1 (NIL T) -7 NIL NIL) (-395 957104 957156 957329 "FORDER" 957523 NIL FORDER (NIL T T T T) -7 NIL NIL) (-394 956200 956364 956557 "FOP" 956931 T FOP (NIL) -7 NIL NIL) (-393 954808 955480 955654 "FNLA" 956082 NIL FNLA (NIL NIL NIL T) -8 NIL NIL) (-392 953475 953864 953893 "FNCAT" 954465 T FNCAT (NIL) -9 NIL 954758) (-391 953041 953434 953462 "FNAME" 953467 T FNAME (NIL) -8 NIL NIL) (-390 951694 952667 952696 "FMTC" 952701 T FMTC (NIL) -9 NIL 952737) (-389 948012 949219 949847 "FMONOID" 951099 NIL FMONOID (NIL T) -8 NIL NIL) (-388 947233 947756 947904 "FM" 947909 NIL FM (NIL T T) -8 NIL NIL) (-387 944657 945302 945331 "FMFUN" 946475 T FMFUN (NIL) -9 NIL 947183) (-386 943926 944106 944135 "FMC" 944425 T FMC (NIL) -9 NIL 944607) (-385 941138 941972 942027 "FMCAT" 943222 NIL FMCAT (NIL T T) -9 NIL 943716) (-384 940031 940904 941004 "FM1" 941083 NIL FM1 (NIL T T) -8 NIL NIL) (-383 937805 938221 938715 "FLOATRP" 939582 NIL FLOATRP (NIL T) -7 NIL NIL) (-382 931292 935461 936091 "FLOAT" 937195 T FLOAT (NIL) -8 NIL NIL) (-381 928730 929230 929808 "FLOATCP" 930759 NIL FLOATCP (NIL T) -7 NIL NIL) (-380 927515 928363 928405 "FLINEXP" 928410 NIL FLINEXP (NIL T) -9 NIL 928502) (-379 926669 926904 927232 "FLINEXP-" 927237 NIL FLINEXP- (NIL T T) -8 NIL NIL) (-378 925745 925889 926113 "FLASORT" 926521 NIL FLASORT (NIL T T) -7 NIL NIL) (-377 922961 923803 923856 "FLALG" 925083 NIL FLALG (NIL T T) -9 NIL 925550) (-376 916780 920474 920516 "FLAGG" 921778 NIL FLAGG (NIL T) -9 NIL 922426) (-375 915506 915845 916335 "FLAGG-" 916340 NIL FLAGG- (NIL T T) -8 NIL NIL) (-374 914548 914691 914918 "FLAGG2" 915359 NIL FLAGG2 (NIL T T T T) -7 NIL NIL) (-373 911519 912537 912597 "FINRALG" 913725 NIL FINRALG (NIL T T) -9 NIL 914230) (-372 910679 910908 911247 "FINRALG-" 911252 NIL FINRALG- (NIL T T T) -8 NIL NIL) (-371 910084 910297 910326 "FINITE" 910522 T FINITE (NIL) -9 NIL 910629) (-370 902542 904703 904744 "FINAALG" 908411 NIL FINAALG (NIL T) -9 NIL 909863) (-369 897882 898924 900068 "FINAALG-" 901447 NIL FINAALG- (NIL T T) -8 NIL NIL) (-368 897252 897637 897740 "FILE" 897812 NIL FILE (NIL T) -8 NIL NIL) (-367 895792 896129 896184 "FILECAT" 896962 NIL FILECAT (NIL T T) -9 NIL 897202) (-366 893602 895158 895187 "FIELD" 895227 T FIELD (NIL) -9 NIL 895307) (-365 892222 892607 893118 "FIELD-" 893123 NIL FIELD- (NIL T) -8 NIL NIL) (-364 890035 890857 891204 "FGROUP" 891908 NIL FGROUP (NIL T) -8 NIL NIL) (-363 889125 889289 889509 "FGLMICPK" 889867 NIL FGLMICPK (NIL T NIL) -7 NIL NIL) (-362 884927 889050 889107 "FFX" 889112 NIL FFX (NIL T NIL) -8 NIL NIL) (-361 884467 884534 884656 "FFSQFR" 884855 NIL FFSQFR (NIL T T) -7 NIL NIL) (-360 884068 884129 884264 "FFSLPE" 884400 NIL FFSLPE (NIL T T T) -7 NIL NIL) (-359 880064 880840 881636 "FFPOLY" 883304 NIL FFPOLY (NIL T) -7 NIL NIL) (-358 879568 879604 879813 "FFPOLY2" 880022 NIL FFPOLY2 (NIL T T) -7 NIL NIL) (-357 875390 879487 879550 "FFP" 879555 NIL FFP (NIL T NIL) -8 NIL NIL) (-356 870758 875301 875365 "FF" 875370 NIL FF (NIL NIL NIL) -8 NIL NIL) (-355 865854 870101 870291 "FFNBX" 870612 NIL FFNBX (NIL T NIL) -8 NIL NIL) (-354 860764 864989 865247 "FFNBP" 865708 NIL FFNBP (NIL T NIL) -8 NIL NIL) (-353 855367 860048 860259 "FFNB" 860597 NIL FFNB (NIL NIL NIL) -8 NIL NIL) (-352 854199 854397 854712 "FFINTBAS" 855164 NIL FFINTBAS (NIL T T T) -7 NIL NIL) (-351 850375 852610 852639 "FFIELDC" 853259 T FFIELDC (NIL) -9 NIL 853635) (-350 849038 849408 849905 "FFIELDC-" 849910 NIL FFIELDC- (NIL T) -8 NIL NIL) (-349 848608 848653 848777 "FFHOM" 848980 NIL FFHOM (NIL T T T) -7 NIL NIL) (-348 846306 846790 847307 "FFF" 848123 NIL FFF (NIL T) -7 NIL NIL) (-347 842002 842767 843611 "FFFG" 845530 NIL FFFG (NIL T T) -7 NIL NIL) (-346 840728 840937 841259 "FFFGF" 841780 NIL FFFGF (NIL T T T) -7 NIL NIL) (-345 839479 839676 839924 "FFFACTSE" 840530 NIL FFFACTSE (NIL T T) -7 NIL NIL) (-344 835067 839221 839322 "FFCGX" 839422 NIL FFCGX (NIL T NIL) -8 NIL NIL) (-343 830669 834799 834906 "FFCGP" 835010 NIL FFCGP (NIL T NIL) -8 NIL NIL) (-342 825822 830396 830504 "FFCG" 830605 NIL FFCG (NIL NIL NIL) -8 NIL NIL) (-341 807611 816733 816820 "FFCAT" 821985 NIL FFCAT (NIL T T T) -9 NIL 823470) (-340 802809 803856 805170 "FFCAT-" 806400 NIL FFCAT- (NIL T T T T) -8 NIL NIL) (-339 802220 802263 802498 "FFCAT2" 802760 NIL FFCAT2 (NIL T T T T T T T T) -7 NIL NIL) (-338 791390 795196 796414 "FEXPR" 801074 NIL FEXPR (NIL NIL NIL T) -8 NIL NIL) (-337 790392 790827 790869 "FEVALAB" 790953 NIL FEVALAB (NIL T) -9 NIL 791211) (-336 789551 789761 790099 "FEVALAB-" 790104 NIL FEVALAB- (NIL T T) -8 NIL NIL) (-335 788144 788934 789137 "FDIV" 789450 NIL FDIV (NIL T T T T) -8 NIL NIL) (-334 785209 785924 786040 "FDIVCAT" 787608 NIL FDIVCAT (NIL T T T T) -9 NIL 788045) (-333 784971 784998 785168 "FDIVCAT-" 785173 NIL FDIVCAT- (NIL T T T T T) -8 NIL NIL) (-332 784191 784278 784555 "FDIV2" 784878 NIL FDIV2 (NIL T T T T T T T T) -7 NIL NIL) (-331 782877 783136 783425 "FCPAK1" 783922 T FCPAK1 (NIL) -7 NIL NIL) (-330 782005 782377 782518 "FCOMP" 782768 NIL FCOMP (NIL T) -8 NIL NIL) (-329 765633 769048 772611 "FC" 778462 T FC (NIL) -8 NIL NIL) (-328 758177 762220 762261 "FAXF" 764063 NIL FAXF (NIL T) -9 NIL 764754) (-327 755457 756111 756936 "FAXF-" 757401 NIL FAXF- (NIL T T) -8 NIL NIL) (-326 750563 754833 755009 "FARRAY" 755314 NIL FARRAY (NIL T) -8 NIL NIL) (-325 745881 747957 748011 "FAMR" 749034 NIL FAMR (NIL T T) -9 NIL 749491) (-324 744771 745073 745508 "FAMR-" 745513 NIL FAMR- (NIL T T T) -8 NIL NIL) (-323 744359 744402 744553 "FAMR2" 744722 NIL FAMR2 (NIL T T T T T) -7 NIL NIL) (-322 743555 744281 744334 "FAMONOID" 744339 NIL FAMONOID (NIL T) -8 NIL NIL) (-321 741385 742069 742123 "FAMONC" 743064 NIL FAMONC (NIL T T) -9 NIL 743449) (-320 740079 741141 741277 "FAGROUP" 741282 NIL FAGROUP (NIL T) -8 NIL NIL) (-319 737874 738193 738596 "FACUTIL" 739760 NIL FACUTIL (NIL T T T T) -7 NIL NIL) (-318 737290 737399 737545 "FACTRN" 737760 NIL FACTRN (NIL T) -7 NIL NIL) (-317 736389 736574 736796 "FACTFUNC" 737100 NIL FACTFUNC (NIL T) -7 NIL NIL) (-316 735805 735914 736060 "FACTEXT" 736275 NIL FACTEXT (NIL T) -7 NIL NIL) (-315 728125 735056 735268 "EXPUPXS" 735661 NIL EXPUPXS (NIL T NIL NIL) -8 NIL NIL) (-314 725608 726148 726734 "EXPRTUBE" 727559 T EXPRTUBE (NIL) -7 NIL NIL) (-313 724779 724874 725094 "EXPRSOL" 725508 NIL EXPRSOL (NIL T T T T) -7 NIL NIL) (-312 720973 721565 722302 "EXPRODE" 724118 NIL EXPRODE (NIL T T) -7 NIL NIL) (-311 705994 719634 720059 "EXPR" 720580 NIL EXPR (NIL T) -8 NIL NIL) (-310 700401 700988 701801 "EXPR2UPS" 705292 NIL EXPR2UPS (NIL T T) -7 NIL NIL) (-309 700037 700094 700201 "EXPR2" 700338 NIL EXPR2 (NIL T T) -7 NIL NIL) (-308 691377 699169 699466 "EXPEXPAN" 699874 NIL EXPEXPAN (NIL T T NIL NIL) -8 NIL NIL) (-307 691089 691140 691217 "EXP3D" 691320 T EXP3D (NIL) -7 NIL NIL) (-306 690916 691046 691075 "EXIT" 691080 T EXIT (NIL) -8 NIL NIL) (-305 690543 690605 690718 "EVALCYC" 690848 NIL EVALCYC (NIL T) -7 NIL NIL) (-304 690085 690201 690243 "EVALAB" 690413 NIL EVALAB (NIL T) -9 NIL 690517) (-303 689566 689688 689909 "EVALAB-" 689914 NIL EVALAB- (NIL T T) -8 NIL NIL) (-302 687024 688336 688365 "EUCDOM" 688920 T EUCDOM (NIL) -9 NIL 689270) (-301 685429 685871 686461 "EUCDOM-" 686466 NIL EUCDOM- (NIL T) -8 NIL NIL) (-300 672969 675727 678477 "ESTOOLS" 682699 T ESTOOLS (NIL) -7 NIL NIL) (-299 672601 672658 672767 "ESTOOLS2" 672906 NIL ESTOOLS2 (NIL T T) -7 NIL NIL) (-298 672352 672394 672474 "ESTOOLS1" 672553 NIL ESTOOLS1 (NIL T) -7 NIL NIL) (-297 666278 668006 668035 "ES" 670803 T ES (NIL) -9 NIL 672210) (-296 661226 662512 664329 "ES-" 664493 NIL ES- (NIL T) -8 NIL NIL) (-295 657601 658361 659141 "ESCONT" 660466 T ESCONT (NIL) -7 NIL NIL) (-294 657346 657378 657460 "ESCONT1" 657563 NIL ESCONT1 (NIL NIL NIL) -7 NIL NIL) (-293 657021 657071 657171 "ES2" 657290 NIL ES2 (NIL T T) -7 NIL NIL) (-292 656651 656709 656818 "ES1" 656957 NIL ES1 (NIL T T) -7 NIL NIL) (-291 655867 655996 656172 "ERROR" 656495 T ERROR (NIL) -7 NIL NIL) (-290 649382 655726 655817 "EQTBL" 655822 NIL EQTBL (NIL T T) -8 NIL NIL) (-289 641841 644724 646159 "EQ" 647980 NIL -3189 (NIL T) -8 NIL NIL) (-288 641473 641530 641639 "EQ2" 641778 NIL EQ2 (NIL T T) -7 NIL NIL) (-287 636765 637811 638904 "EP" 640412 NIL EP (NIL T) -7 NIL NIL) (-286 635919 636483 636512 "ENTIRER" 636517 T ENTIRER (NIL) -9 NIL 636563) (-285 632375 633874 634244 "EMR" 635718 NIL EMR (NIL T T T NIL NIL NIL) -8 NIL NIL) (-284 631521 631704 631759 "ELTAGG" 632139 NIL ELTAGG (NIL T T) -9 NIL 632349) (-283 631240 631302 631443 "ELTAGG-" 631448 NIL ELTAGG- (NIL T T T) -8 NIL NIL) (-282 631028 631057 631112 "ELTAB" 631196 NIL ELTAB (NIL T T) -9 NIL NIL) (-281 630154 630300 630499 "ELFUTS" 630879 NIL ELFUTS (NIL T T) -7 NIL NIL) (-280 629895 629951 629980 "ELEMFUN" 630085 T ELEMFUN (NIL) -9 NIL NIL) (-279 629765 629786 629854 "ELEMFUN-" 629859 NIL ELEMFUN- (NIL T) -8 NIL NIL) (-278 624695 627898 627940 "ELAGG" 628880 NIL ELAGG (NIL T) -9 NIL 629341) (-277 622980 623414 624077 "ELAGG-" 624082 NIL ELAGG- (NIL T T) -8 NIL NIL) (-276 615850 617649 618475 "EFUPXS" 622257 NIL EFUPXS (NIL T T T T) -8 NIL NIL) (-275 609302 611103 611912 "EFULS" 615127 NIL EFULS (NIL T T T) -8 NIL NIL) (-274 606724 607082 607561 "EFSTRUC" 608934 NIL EFSTRUC (NIL T T) -7 NIL NIL) (-273 595736 597301 598862 "EF" 605239 NIL EF (NIL T T) -7 NIL NIL) (-272 594837 595221 595370 "EAB" 595607 T EAB (NIL) -8 NIL NIL) (-271 594046 594796 594824 "E04UCFA" 594829 T E04UCFA (NIL) -8 NIL NIL) (-270 593255 594005 594033 "E04NAFA" 594038 T E04NAFA (NIL) -8 NIL NIL) (-269 592464 593214 593242 "E04MBFA" 593247 T E04MBFA (NIL) -8 NIL NIL) (-268 591673 592423 592451 "E04JAFA" 592456 T E04JAFA (NIL) -8 NIL NIL) (-267 590884 591632 591660 "E04GCFA" 591665 T E04GCFA (NIL) -8 NIL NIL) (-266 590095 590843 590871 "E04FDFA" 590876 T E04FDFA (NIL) -8 NIL NIL) (-265 589304 590054 590082 "E04DGFA" 590087 T E04DGFA (NIL) -8 NIL NIL) (-264 583483 584829 586193 "E04AGNT" 587960 T E04AGNT (NIL) -7 NIL NIL) (-263 582206 582686 582727 "DVARCAT" 583202 NIL DVARCAT (NIL T) -9 NIL 583401) (-262 581410 581622 581936 "DVARCAT-" 581941 NIL DVARCAT- (NIL T T) -8 NIL NIL) (-261 574379 574861 575610 "DTP" 580941 NIL DTP (NIL T NIL T T T T T T T T T) -7 NIL NIL) (-260 571828 573801 573958 "DSTREE" 574255 NIL DSTREE (NIL T) -8 NIL NIL) (-259 569297 571142 571184 "DSTRCAT" 571403 NIL DSTRCAT (NIL T) -9 NIL 571537) (-258 562151 569096 569225 "DSMP" 569230 NIL DSMP (NIL T T T) -8 NIL NIL) (-257 556961 558096 559164 "DROPT" 561103 T DROPT (NIL) -8 NIL NIL) (-256 556626 556685 556783 "DROPT1" 556896 NIL DROPT1 (NIL T) -7 NIL NIL) (-255 551741 552867 554004 "DROPT0" 555509 T DROPT0 (NIL) -7 NIL NIL) (-254 550086 550411 550797 "DRAWPT" 551375 T DRAWPT (NIL) -7 NIL NIL) (-253 544673 545596 546675 "DRAW" 549060 NIL DRAW (NIL T) -7 NIL NIL) (-252 544306 544359 544477 "DRAWHACK" 544614 NIL DRAWHACK (NIL T) -7 NIL NIL) (-251 543037 543306 543597 "DRAWCX" 544035 T DRAWCX (NIL) -7 NIL NIL) (-250 542553 542621 542772 "DRAWCURV" 542963 NIL DRAWCURV (NIL T T) -7 NIL NIL) (-249 533025 534983 537098 "DRAWCFUN" 540458 T DRAWCFUN (NIL) -7 NIL NIL) (-248 529878 531754 531796 "DQAGG" 532425 NIL DQAGG (NIL T) -9 NIL 532698) (-247 518306 525047 525131 "DPOLCAT" 526983 NIL DPOLCAT (NIL T T T T) -9 NIL 527527) (-246 513145 514491 516449 "DPOLCAT-" 516454 NIL DPOLCAT- (NIL T T T T T) -8 NIL NIL) (-245 505884 513006 513104 "DPMO" 513109 NIL DPMO (NIL NIL T T) -8 NIL NIL) (-244 498526 505664 505831 "DPMM" 505836 NIL DPMM (NIL NIL T T T) -8 NIL NIL) (-243 492231 498161 498313 "DMP" 498427 NIL DMP (NIL NIL T) -8 NIL NIL) (-242 491831 491887 492031 "DLP" 492169 NIL DLP (NIL T) -7 NIL NIL) (-241 485481 490932 491159 "DLIST" 491636 NIL DLIST (NIL T) -8 NIL NIL) (-240 482366 484369 484411 "DLAGG" 484961 NIL DLAGG (NIL T) -9 NIL 485190) (-239 481023 481715 481744 "DIVRING" 481894 T DIVRING (NIL) -9 NIL 482002) (-238 480011 480264 480657 "DIVRING-" 480662 NIL DIVRING- (NIL T) -8 NIL NIL) (-237 478439 479604 479740 "DIV" 479908 NIL DIV (NIL T) -8 NIL NIL) (-236 475933 477001 477043 "DIVCAT" 477877 NIL DIVCAT (NIL T) -9 NIL 478208) (-235 474035 474392 474798 "DISPLAY" 475547 T DISPLAY (NIL) -7 NIL NIL) (-234 471528 472741 473123 "DIRRING" 473686 NIL DIRRING (NIL T) -8 NIL NIL) (-233 465388 471442 471505 "DIRPROD" 471510 NIL DIRPROD (NIL NIL T) -8 NIL NIL) (-232 464236 464439 464704 "DIRPROD2" 465181 NIL DIRPROD2 (NIL NIL T T) -7 NIL NIL) (-231 453800 459829 459883 "DIRPCAT" 460141 NIL DIRPCAT (NIL NIL T) -9 NIL 460985) (-230 451126 451768 452649 "DIRPCAT-" 452986 NIL DIRPCAT- (NIL T NIL T) -8 NIL NIL) (-229 450413 450573 450759 "DIOSP" 450960 T DIOSP (NIL) -7 NIL NIL) (-228 447156 449360 449402 "DIOPS" 449836 NIL DIOPS (NIL T) -9 NIL 450064) (-227 446705 446819 447010 "DIOPS-" 447015 NIL DIOPS- (NIL T T) -8 NIL NIL) (-226 445572 446210 446239 "DIFRING" 446426 T DIFRING (NIL) -9 NIL 446536) (-225 445218 445295 445447 "DIFRING-" 445452 NIL DIFRING- (NIL T) -8 NIL NIL) (-224 443000 444282 444324 "DIFEXT" 444687 NIL DIFEXT (NIL T) -9 NIL 444979) (-223 441285 441713 442379 "DIFEXT-" 442384 NIL DIFEXT- (NIL T T) -8 NIL NIL) (-222 438647 440851 440893 "DIAGG" 440898 NIL DIAGG (NIL T) -9 NIL 440918) (-221 438031 438188 438440 "DIAGG-" 438445 NIL DIAGG- (NIL T T) -8 NIL NIL) (-220 433401 436990 437267 "DHMATRIX" 437800 NIL DHMATRIX (NIL T) -8 NIL NIL) (-219 428612 433215 433289 "DFVEC" 433347 T DFVEC (NIL) -8 NIL NIL) (-218 422213 423563 425000 "DFSFUN" 427195 T DFSFUN (NIL) -7 NIL NIL) (-217 418474 421984 422078 "DFMAT" 422139 T DFMAT (NIL) -8 NIL NIL) (-216 412751 416928 417361 "DFLOAT" 418061 T DFLOAT (NIL) -8 NIL NIL) (-215 410979 411260 411656 "DFINTTLS" 412459 NIL DFINTTLS (NIL T T) -7 NIL NIL) (-214 407998 409000 409400 "DERHAM" 410645 NIL DERHAM (NIL T NIL) -8 NIL NIL) (-213 399611 401528 402963 "DEQUEUE" 406596 NIL DEQUEUE (NIL T) -8 NIL NIL) (-212 398826 398959 399155 "DEGRED" 399473 NIL DEGRED (NIL T T) -7 NIL NIL) (-211 395221 395966 396819 "DEFINTRF" 398054 NIL DEFINTRF (NIL T) -7 NIL NIL) (-210 392748 393217 393816 "DEFINTEF" 394740 NIL DEFINTEF (NIL T T) -7 NIL NIL) (-209 386566 392186 392353 "DECIMAL" 392601 T DECIMAL (NIL) -8 NIL NIL) (-208 384078 384536 385042 "DDFACT" 386110 NIL DDFACT (NIL T T) -7 NIL NIL) (-207 383674 383717 383868 "DBLRESP" 384029 NIL DBLRESP (NIL T T T T) -7 NIL NIL) (-206 381384 381718 382087 "DBASE" 383432 NIL DBASE (NIL T) -8 NIL NIL) (-205 380517 381343 381371 "D03FAFA" 381376 T D03FAFA (NIL) -8 NIL NIL) (-204 379651 380476 380504 "D03EEFA" 380509 T D03EEFA (NIL) -8 NIL NIL) (-203 377601 378067 378556 "D03AGNT" 379182 T D03AGNT (NIL) -7 NIL NIL) (-202 376917 377560 377588 "D02EJFA" 377593 T D02EJFA (NIL) -8 NIL NIL) (-201 376233 376876 376904 "D02CJFA" 376909 T D02CJFA (NIL) -8 NIL NIL) (-200 375549 376192 376220 "D02BHFA" 376225 T D02BHFA (NIL) -8 NIL NIL) (-199 374865 375508 375536 "D02BBFA" 375541 T D02BBFA (NIL) -8 NIL NIL) (-198 368064 369651 371257 "D02AGNT" 373279 T D02AGNT (NIL) -7 NIL NIL) (-197 365833 366355 366901 "D01WGTS" 367538 T D01WGTS (NIL) -7 NIL NIL) (-196 364928 365792 365820 "D01TRNS" 365825 T D01TRNS (NIL) -8 NIL NIL) (-195 364023 364887 364915 "D01GBFA" 364920 T D01GBFA (NIL) -8 NIL NIL) (-194 363118 363982 364010 "D01FCFA" 364015 T D01FCFA (NIL) -8 NIL NIL) (-193 362213 363077 363105 "D01ASFA" 363110 T D01ASFA (NIL) -8 NIL NIL) (-192 361308 362172 362200 "D01AQFA" 362205 T D01AQFA (NIL) -8 NIL NIL) (-191 360403 361267 361295 "D01APFA" 361300 T D01APFA (NIL) -8 NIL NIL) (-190 359498 360362 360390 "D01ANFA" 360395 T D01ANFA (NIL) -8 NIL NIL) (-189 358593 359457 359485 "D01AMFA" 359490 T D01AMFA (NIL) -8 NIL NIL) (-188 357688 358552 358580 "D01ALFA" 358585 T D01ALFA (NIL) -8 NIL NIL) (-187 356783 357647 357675 "D01AKFA" 357680 T D01AKFA (NIL) -8 NIL NIL) (-186 355878 356742 356770 "D01AJFA" 356775 T D01AJFA (NIL) -8 NIL NIL) (-185 349175 350726 352287 "D01AGNT" 354337 T D01AGNT (NIL) -7 NIL NIL) (-184 348512 348640 348792 "CYCLOTOM" 349043 T CYCLOTOM (NIL) -7 NIL NIL) (-183 345247 345960 346687 "CYCLES" 347805 T CYCLES (NIL) -7 NIL NIL) (-182 344559 344693 344864 "CVMP" 345108 NIL CVMP (NIL T) -7 NIL NIL) (-181 342331 342588 342964 "CTRIGMNP" 344287 NIL CTRIGMNP (NIL T T) -7 NIL NIL) (-180 341705 341804 341957 "CSTTOOLS" 342228 NIL CSTTOOLS (NIL T T) -7 NIL NIL) (-179 337504 338161 338919 "CRFP" 341017 NIL CRFP (NIL T T) -7 NIL NIL) (-178 336551 336736 336964 "CRAPACK" 337308 NIL CRAPACK (NIL T) -7 NIL NIL) (-177 335937 336038 336241 "CPMATCH" 336428 NIL CPMATCH (NIL T T T) -7 NIL NIL) (-176 335662 335690 335796 "CPIMA" 335903 NIL CPIMA (NIL T T T) -7 NIL NIL) (-175 332010 332682 333401 "COORDSYS" 334997 NIL COORDSYS (NIL T) -7 NIL NIL) (-174 327871 330013 330505 "CONTFRAC" 331550 NIL CONTFRAC (NIL T) -8 NIL NIL) (-173 327019 327583 327612 "COMRING" 327617 T COMRING (NIL) -9 NIL 327669) (-172 326100 326377 326561 "COMPPROP" 326855 T COMPPROP (NIL) -8 NIL NIL) (-171 325761 325796 325924 "COMPLPAT" 326059 NIL COMPLPAT (NIL T T T) -7 NIL NIL) (-170 315732 325572 325680 "COMPLEX" 325685 NIL COMPLEX (NIL T) -8 NIL NIL) (-169 315368 315425 315532 "COMPLEX2" 315669 NIL COMPLEX2 (NIL T T) -7 NIL NIL) (-168 315086 315121 315219 "COMPFACT" 315327 NIL COMPFACT (NIL T T) -7 NIL NIL) (-167 299338 309638 309679 "COMPCAT" 310683 NIL COMPCAT (NIL T) -9 NIL 312064) (-166 288854 291777 295404 "COMPCAT-" 295760 NIL COMPCAT- (NIL T T) -8 NIL NIL) (-165 288583 288611 288714 "COMMUPC" 288820 NIL COMMUPC (NIL T T T) -7 NIL NIL) (-164 288378 288411 288470 "COMMONOP" 288544 T COMMONOP (NIL) -7 NIL NIL) (-163 287961 288129 288216 "COMM" 288311 T COMM (NIL) -8 NIL NIL) (-162 287209 287403 287432 "COMBOPC" 287770 T COMBOPC (NIL) -9 NIL 287945) (-161 286105 286315 286557 "COMBINAT" 286999 NIL COMBINAT (NIL T) -7 NIL NIL) (-160 282303 282876 283516 "COMBF" 285527 NIL COMBF (NIL T T) -7 NIL NIL) (-159 281089 281419 281654 "COLOR" 282088 T COLOR (NIL) -8 NIL NIL) (-158 280729 280776 280901 "CMPLXRT" 281036 NIL CMPLXRT (NIL T T) -7 NIL NIL) (-157 276231 277259 278339 "CLIP" 279669 T CLIP (NIL) -7 NIL NIL) (-156 274567 275337 275576 "CLIF" 276058 NIL CLIF (NIL NIL T NIL) -8 NIL NIL) (-155 270832 272750 272792 "CLAGG" 273721 NIL CLAGG (NIL T) -9 NIL 274254) (-154 269254 269711 270294 "CLAGG-" 270299 NIL CLAGG- (NIL T T) -8 NIL NIL) (-153 268798 268883 269023 "CINTSLPE" 269163 NIL CINTSLPE (NIL T T) -7 NIL NIL) (-152 266299 266770 267318 "CHVAR" 268326 NIL CHVAR (NIL T T T) -7 NIL NIL) (-151 265517 266081 266110 "CHARZ" 266115 T CHARZ (NIL) -9 NIL 266130) (-150 265271 265311 265389 "CHARPOL" 265471 NIL CHARPOL (NIL T) -7 NIL NIL) (-149 264373 264970 264999 "CHARNZ" 265046 T CHARNZ (NIL) -9 NIL 265102) (-148 262396 263063 263398 "CHAR" 264058 T CHAR (NIL) -8 NIL NIL) (-147 262121 262182 262211 "CFCAT" 262322 T CFCAT (NIL) -9 NIL NIL) (-146 256254 261778 261896 "CDFVEC" 262023 T CDFVEC (NIL) -8 NIL NIL) (-145 251969 256011 256112 "CDFMAT" 256173 T CDFMAT (NIL) -8 NIL NIL) (-144 251214 251325 251507 "CDEN" 251853 NIL CDEN (NIL T T T) -7 NIL NIL) (-143 247206 250367 250647 "CCLASS" 250954 T CCLASS (NIL) -8 NIL NIL) (-142 242259 243235 243988 "CARTEN" 246509 NIL CARTEN (NIL NIL NIL T) -8 NIL NIL) (-141 241367 241515 241736 "CARTEN2" 242106 NIL CARTEN2 (NIL NIL NIL T T) -7 NIL NIL) (-140 239662 240517 240774 "CARD" 241130 T CARD (NIL) -8 NIL NIL) (-139 239033 239361 239390 "CACHSET" 239522 T CACHSET (NIL) -9 NIL 239599) (-138 238528 238824 238853 "CABMON" 238903 T CABMON (NIL) -9 NIL 238959) (-137 236091 238220 238327 "BTREE" 238454 NIL BTREE (NIL T) -8 NIL NIL) (-136 233595 235739 235861 "BTOURN" 236001 NIL BTOURN (NIL T) -8 NIL NIL) (-135 231052 233099 233141 "BTCAT" 233209 NIL BTCAT (NIL T) -9 NIL 233286) (-134 230719 230799 230948 "BTCAT-" 230953 NIL BTCAT- (NIL T T) -8 NIL NIL) (-133 225909 229779 229808 "BTAGG" 230064 T BTAGG (NIL) -9 NIL 230243) (-132 225332 225476 225706 "BTAGG-" 225711 NIL BTAGG- (NIL T) -8 NIL NIL) (-131 222382 224610 224825 "BSTREE" 225149 NIL BSTREE (NIL T) -8 NIL NIL) (-130 220785 221332 221632 "BSD" 222102 T BSD (NIL) -8 NIL NIL) (-129 219923 220049 220233 "BRILL" 220641 NIL BRILL (NIL T) -7 NIL NIL) (-128 216663 218684 218726 "BRAGG" 219375 NIL BRAGG (NIL T) -9 NIL 219632) (-127 215192 215598 216153 "BRAGG-" 216158 NIL BRAGG- (NIL T T) -8 NIL NIL) (-126 208391 214538 214722 "BPADICRT" 215040 NIL BPADICRT (NIL NIL) -8 NIL NIL) (-125 206695 208328 208373 "BPADIC" 208378 NIL BPADIC (NIL NIL) -8 NIL NIL) (-124 206393 206423 206537 "BOUNDZRO" 206659 NIL BOUNDZRO (NIL T T) -7 NIL NIL) (-123 201908 202999 203866 "BOP" 205546 T BOP (NIL) -8 NIL NIL) (-122 199531 199975 200494 "BOP1" 201422 NIL BOP1 (NIL T) -7 NIL NIL) (-121 197884 198574 198868 "BOOLEAN" 199257 T BOOLEAN (NIL) -8 NIL NIL) (-120 197245 197623 197678 "BMODULE" 197683 NIL BMODULE (NIL T T) -9 NIL 197748) (-119 193588 194258 195044 "BLUPPACK" 196577 NIL BLUPPACK (NIL T NIL T T T) -7 NIL NIL) (-118 192980 193465 193534 "BLQT" 193539 T BLQT (NIL) -8 NIL NIL) (-117 191409 191884 191913 "BLMETCT" 192558 T BLMETCT (NIL) -9 NIL 192930) (-116 190808 191290 191357 "BLHN" 191362 T BLHN (NIL) -8 NIL NIL) (-115 189626 189885 190168 "BLAS1" 190545 T BLAS1 (NIL) -7 NIL NIL) (-114 185436 189424 189497 "BITS" 189573 T BITS (NIL) -8 NIL NIL) (-113 184507 184968 185120 "BINFILE" 185304 T BINFILE (NIL) -8 NIL NIL) (-112 178329 183948 184114 "BINARY" 184361 T BINARY (NIL) -8 NIL NIL) (-111 176196 177618 177660 "BGAGG" 177920 NIL BGAGG (NIL T) -9 NIL 178057) (-110 176027 176059 176150 "BGAGG-" 176155 NIL BGAGG- (NIL T T) -8 NIL NIL) (-109 175125 175411 175616 "BFUNCT" 175842 T BFUNCT (NIL) -8 NIL NIL) (-108 173817 173995 174282 "BEZOUT" 174950 NIL BEZOUT (NIL T T T T T) -7 NIL NIL) (-107 172780 173002 173261 "BEZIER" 173591 NIL BEZIER (NIL T) -7 NIL NIL) (-106 169303 171632 171962 "BBTREE" 172483 NIL BBTREE (NIL T) -8 NIL NIL) (-105 169036 169089 169118 "BASTYPE" 169237 T BASTYPE (NIL) -9 NIL NIL) (-104 168889 168917 168990 "BASTYPE-" 168995 NIL BASTYPE- (NIL T) -8 NIL NIL) (-103 168323 168399 168551 "BALFACT" 168800 NIL BALFACT (NIL T T) -7 NIL NIL) (-102 167687 167810 167958 "AXSERV" 168195 T AXSERV (NIL) -7 NIL NIL) (-101 166500 167097 167285 "AUTOMOR" 167532 NIL AUTOMOR (NIL T) -8 NIL NIL) (-100 166212 166217 166246 "ATTREG" 166251 T ATTREG (NIL) -9 NIL NIL) (-99 164491 164909 165261 "ATTRBUT" 165878 T ATTRBUT (NIL) -8 NIL NIL) (-98 164026 164139 164166 "ATRIG" 164367 T ATRIG (NIL) -9 NIL NIL) (-97 163835 163876 163963 "ATRIG-" 163968 NIL ATRIG- (NIL T) -8 NIL NIL) (-96 157395 158964 160075 "ASTACK" 162755 NIL ASTACK (NIL T) -8 NIL NIL) (-95 155902 156199 156563 "ASSOCEQ" 157078 NIL ASSOCEQ (NIL T T) -7 NIL NIL) (-94 154934 155561 155685 "ASP9" 155809 NIL ASP9 (NIL NIL) -8 NIL NIL) (-93 154698 154882 154921 "ASP8" 154926 NIL ASP8 (NIL NIL) -8 NIL NIL) (-92 153568 154303 154445 "ASP80" 154587 NIL ASP80 (NIL NIL) -8 NIL NIL) (-91 152467 153203 153335 "ASP7" 153467 NIL ASP7 (NIL NIL) -8 NIL NIL) (-90 151423 152144 152262 "ASP78" 152380 NIL ASP78 (NIL NIL) -8 NIL NIL) (-89 150394 151103 151220 "ASP77" 151337 NIL ASP77 (NIL NIL) -8 NIL NIL) (-88 149309 150032 150163 "ASP74" 150294 NIL ASP74 (NIL NIL) -8 NIL NIL) (-87 148210 148944 149076 "ASP73" 149208 NIL ASP73 (NIL NIL) -8 NIL NIL) (-86 147165 147887 148005 "ASP6" 148123 NIL ASP6 (NIL NIL) -8 NIL NIL) (-85 146114 146842 146960 "ASP55" 147078 NIL ASP55 (NIL NIL) -8 NIL NIL) (-84 145064 145788 145907 "ASP50" 146026 NIL ASP50 (NIL NIL) -8 NIL NIL) (-83 144152 144765 144875 "ASP4" 144985 NIL ASP4 (NIL NIL) -8 NIL NIL) (-82 143240 143853 143963 "ASP49" 144073 NIL ASP49 (NIL NIL) -8 NIL NIL) (-81 142025 142779 142947 "ASP42" 143129 NIL ASP42 (NIL NIL NIL NIL) -8 NIL NIL) (-80 140803 141558 141728 "ASP41" 141912 NIL ASP41 (NIL NIL NIL NIL) -8 NIL NIL) (-79 139755 140480 140598 "ASP35" 140716 NIL ASP35 (NIL NIL) -8 NIL NIL) (-78 139520 139703 139742 "ASP34" 139747 NIL ASP34 (NIL NIL) -8 NIL NIL) (-77 139257 139324 139400 "ASP33" 139475 NIL ASP33 (NIL NIL) -8 NIL NIL) (-76 138153 138892 139024 "ASP31" 139156 NIL ASP31 (NIL NIL) -8 NIL NIL) (-75 137918 138101 138140 "ASP30" 138145 NIL ASP30 (NIL NIL) -8 NIL NIL) (-74 137653 137722 137798 "ASP29" 137873 NIL ASP29 (NIL NIL) -8 NIL NIL) (-73 137418 137601 137640 "ASP28" 137645 NIL ASP28 (NIL NIL) -8 NIL NIL) (-72 137183 137366 137405 "ASP27" 137410 NIL ASP27 (NIL NIL) -8 NIL NIL) (-71 136267 136881 136992 "ASP24" 137103 NIL ASP24 (NIL NIL) -8 NIL NIL) (-70 135184 135908 136038 "ASP20" 136168 NIL ASP20 (NIL NIL) -8 NIL NIL) (-69 134272 134885 134995 "ASP1" 135105 NIL ASP1 (NIL NIL) -8 NIL NIL) (-68 133216 133946 134065 "ASP19" 134184 NIL ASP19 (NIL NIL) -8 NIL NIL) (-67 132953 133020 133096 "ASP12" 133171 NIL ASP12 (NIL NIL) -8 NIL NIL) (-66 131806 132552 132696 "ASP10" 132840 NIL ASP10 (NIL NIL) -8 NIL NIL) (-65 129711 131650 131741 "ARRAY2" 131746 NIL ARRAY2 (NIL T) -8 NIL NIL) (-64 125533 129359 129473 "ARRAY1" 129628 NIL ARRAY1 (NIL T) -8 NIL NIL) (-63 124565 124738 124959 "ARRAY12" 125356 NIL ARRAY12 (NIL T T) -7 NIL NIL) (-62 118964 120829 120905 "ARR2CAT" 123535 NIL ARR2CAT (NIL T T T) -9 NIL 124293) (-61 116398 117142 118096 "ARR2CAT-" 118101 NIL ARR2CAT- (NIL T T T T) -8 NIL NIL) (-60 115146 115298 115604 "APPRULE" 116234 NIL APPRULE (NIL T T T) -7 NIL NIL) (-59 114797 114845 114964 "APPLYORE" 115092 NIL APPLYORE (NIL T T T) -7 NIL NIL) (-58 114321 114409 114519 "API" 114705 T API (NIL) -7 NIL NIL) (-57 113295 113586 113781 "ANY" 114144 T ANY (NIL) -8 NIL NIL) (-56 112573 112696 112853 "ANY1" 113169 NIL ANY1 (NIL T) -7 NIL NIL) (-55 110092 111010 111337 "ANTISYM" 112297 NIL ANTISYM (NIL T NIL) -8 NIL NIL) (-54 109919 110051 110078 "ANON" 110083 T ANON (NIL) -8 NIL NIL) (-53 103986 108458 108912 "AN" 109483 T AN (NIL) -8 NIL NIL) (-52 100281 101679 101731 "AMR" 102479 NIL AMR (NIL T T) -9 NIL 103073) (-51 99393 99614 99977 "AMR-" 99982 NIL AMR- (NIL T T T) -8 NIL NIL) (-50 83955 99310 99371 "ALIST" 99376 NIL ALIST (NIL T T) -8 NIL NIL) (-49 80792 83549 83718 "ALGSC" 83873 NIL ALGSC (NIL T NIL NIL NIL) -8 NIL NIL) (-48 77350 77904 78510 "ALGPKG" 80233 NIL ALGPKG (NIL T T) -7 NIL NIL) (-47 76627 76728 76912 "ALGMFACT" 77236 NIL ALGMFACT (NIL T T T) -7 NIL NIL) (-46 72375 73059 73710 "ALGMANIP" 76154 NIL ALGMANIP (NIL T T) -7 NIL NIL) (-45 63689 72001 72151 "ALGFF" 72308 NIL ALGFF (NIL T T T NIL) -8 NIL NIL) (-44 62885 63016 63195 "ALGFACT" 63547 NIL ALGFACT (NIL T) -7 NIL NIL) (-43 61870 62480 62519 "ALGEBRA" 62579 NIL ALGEBRA (NIL T) -9 NIL 62638) (-42 61588 61647 61779 "ALGEBRA-" 61784 NIL ALGEBRA- (NIL T T) -8 NIL NIL) (-41 43395 59120 59173 "ALAGG" 59309 NIL ALAGG (NIL T T) -9 NIL 59470) (-40 42930 43043 43070 "AHYP" 43271 T AHYP (NIL) -9 NIL NIL) (-39 41861 42109 42136 "AGG" 42635 T AGG (NIL) -9 NIL 42913) (-38 41295 41457 41671 "AGG-" 41676 NIL AGG- (NIL T) -8 NIL NIL) (-37 38844 39425 39464 "AFSPCAT" 40736 NIL AFSPCAT (NIL T) -9 NIL 41231) (-36 36523 36945 37362 "AF" 38487 NIL AF (NIL T T) -7 NIL NIL) (-35 35863 36452 36506 "AFFSP" 36511 NIL AFFSP (NIL NIL T) -8 NIL NIL) (-34 35120 35790 35839 "AFFPLPS" 35844 NIL AFFPLPS (NIL T) -8 NIL NIL) (-33 34454 35061 35103 "AFFPL" 35108 NIL AFFPL (NIL T) -8 NIL NIL) (-32 31167 31654 32282 "AFALGRES" 33959 NIL AFALGRES (NIL T NIL T T T) -7 NIL NIL) (-31 29813 29990 30304 "AFALGGRO" 30986 NIL AFALGGRO (NIL T NIL T T T) -7 NIL NIL) (-30 29082 29340 29496 "ACPLOT" 29675 T ACPLOT (NIL) -8 NIL NIL) (-29 18442 26425 26477 "ACFS" 27188 NIL ACFS (NIL T) -9 NIL 27427) (-28 16456 16946 17721 "ACFS-" 17726 NIL ACFS- (NIL T T) -8 NIL NIL) (-27 12669 14625 14652 "ACF" 15531 T ACF (NIL) -9 NIL 15944) (-26 11373 11707 12200 "ACF-" 12205 NIL ACF- (NIL T) -8 NIL NIL) (-25 10970 11139 11166 "ABELSG" 11258 T ABELSG (NIL) -9 NIL 11323) (-24 10837 10862 10928 "ABELSG-" 10933 NIL ABELSG- (NIL T) -8 NIL NIL) (-23 10205 10466 10493 "ABELMON" 10663 T ABELMON (NIL) -9 NIL 10775) (-22 9869 9953 10091 "ABELMON-" 10096 NIL ABELMON- (NIL T) -8 NIL NIL) (-21 9202 9548 9575 "ABELGRP" 9700 T ABELGRP (NIL) -9 NIL 9782) (-20 8665 8794 9010 "ABELGRP-" 9015 NIL ABELGRP- (NIL T) -8 NIL NIL) (-19 4333 8027 8067 "A1AGG" 8072 NIL A1AGG (NIL T) -9 NIL 8112) (-18 30 1251 2813 "A1AGG-" 2818 NIL A1AGG- (NIL T T) -8 NIL NIL)) 
\ No newline at end of file
diff --git a/src/share/algebra/operation.daase b/src/share/algebra/operation.daase
index 6f152f0..9de07bb 100644
--- a/src/share/algebra/operation.daase
+++ b/src/share/algebra/operation.daase
@@ -1,3229 +1,3240 @@
 
-(830583 . 3488060044)        
-(((*1 *2 *3 *4) (-12 (-5 *3 (-816)) (-5 *4 (-57)) (-5 *2 (-1249)) (-5 *1 (-826))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-392 *3 *4 *5)) (-14 *3 (-763)) (-14 *4 (-763)) (-4 *5 (-172))))) 
-(((*1 *1) (-5 *1 (-142))) ((*1 *1 *1) (-5 *1 (-147))) ((*1 *1 *1) (-4 *1 (-1129)))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-788)) (-4 *4 (-842)) (-4 *6 (-301)) (-5 *2 (-420 *3)) (-5 *1 (-732 *5 *4 *6 *3)) (-4 *3 (-950 *6 *5 *4))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-277 *2)) (-4 *2 (-1195)) (-4 *2 (-842)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-277 *3)) (-4 *3 (-1195)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-494 *2)) (-4 *2 (-842)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-969 *2)) (-4 *2 (-842))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-1047)) (-4 *3 (-842)) (-5 *2 (-2 (|:| |val| *1) (|:| -3483 (-568)))) (-4 *1 (-432 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-887 *3)) (|:| -3483 (-887 *3)))) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1047)) (-4 *7 (-950 *6 *4 *5)) (-5 *2 (-2 (|:| |val| *3) (|:| -3483 (-568)))) (-5 *1 (-951 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-365) (-10 -8 (-15 -2747 ($ *7)) (-15 -2319 (*7 $)) (-15 -2326 (*7 $)))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-3 (-1157 *4) (-1244 (-634 (-2 (|:| -2852 *4) (|:| -4357 (-1108))))))) (-5 *1 (-347 *4)) (-4 *4 (-350))))) 
-(((*1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) ((*1 *2 *2) (-12 (-5 *2 (-917)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-565)))) ((*1 *2 *3) (-12 (-5 *2 (-1157 (-409 (-568)))) (-5 *1 (-943)) (-5 *3 (-568))))) 
-(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-1035)) (-5 *3 (-1161)) (-5 *1 (-184))))) 
-(((*1 *1) (-4 *1 (-23))) ((*1 *1) (-4 *1 (-39))) ((*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1090)))) ((*1 *1) (-12 (-5 *1 (-141 *2 *3 *4)) (-14 *2 (-568)) (-14 *3 (-763)) (-4 *4 (-172)))) ((*1 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) ((*1 *1) (-12 (-5 *1 (-494 *2)) (-4 *2 (-842)))) ((*1 *1) (-4 *1 (-716))) ((*1 *1) (-12 (-5 *1 (-1000 *2)) (-4 *2 (-1090)))) ((*1 *1) (-12 (-5 *1 (-1132 *2)) (-4 *2 (-1090)))) ((*1 *1) (-5 *1 (-1161)))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-1199)) (-4 *5 (-1219 *4)) (-5 *2 (-2 (|:| |func| *3) (|:| |poly| *3) (|:| |c1| (-409 *5)) (|:| |c2| (-409 *5)) (|:| |deg| (-763)))) (-5 *1 (-151 *4 *5 *3)) (-4 *3 (-1219 (-409 *5)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 (-492 *3 *4))) (-14 *3 (-634 (-1161))) (-4 *4 (-453)) (-5 *1 (-622 *3 *4))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *2 (-568)) (-5 *1 (-573 *3)) (-4 *3 (-1037 *2))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-453)) (-4 *3 (-842)) (-4 *3 (-1037 (-568))) (-4 *3 (-558)) (-5 *1 (-46 *3 *2)) (-4 *2 (-432 *3)) (-4 *2 (-13 (-365) (-296) (-10 -8 (-15 -2319 ((-1113 *3 (-607 $)) $)) (-15 -2326 ((-1113 *3 (-607 $)) $)) (-15 -2747 ($ (-1113 *3 (-607 $)))))))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-139))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-950 *3 *4 *5)) (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-514 *3 *4 *5 *6))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-1047)) (-5 *1 (-445 *3 *2)) (-4 *2 (-1219 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-850)) (-5 *2 (-1143)) (-5 *1 (-500)))) ((*1 *2 *3) (-12 (-5 *3 (-850)) (-5 *2 (-1143)) (-5 *1 (-700))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-453)) (-4 *3 (-842)) (-4 *3 (-1037 (-568))) (-4 *3 (-558)) (-5 *1 (-46 *3 *2)) (-4 *2 (-432 *3)) (-4 *2 (-13 (-365) (-296) (-10 -8 (-15 -2319 ((-1113 *3 (-607 $)) $)) (-15 -2326 ((-1113 *3 (-607 $)) $)) (-15 -2747 ($ (-1113 *3 (-607 $)))))))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -4151 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-365)) (-4 *7 (-1219 *6)) (-5 *2 (-2 (|:| |answer| (-585 (-409 *7))) (|:| |a0| *6))) (-5 *1 (-578 *6 *7)) (-5 *3 (-409 *7))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1216 *5 *4)) (-4 *4 (-453)) (-4 *4 (-815)) (-14 *5 (-1161)) (-5 *2 (-568)) (-5 *1 (-1104 *4 *5))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-763)) (-5 *1 (-848 *2)) (-4 *2 (-172)))) ((*1 *2 *3) (-12 (-5 *2 (-1157 (-568))) (-5 *1 (-943)) (-5 *3 (-568))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-763)) (-4 *5 (-558)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-970 *5 *3)) (-4 *3 (-1219 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-409 (-568))) (-4 *1 (-555 *3)) (-4 *3 (-13 (-406) (-1181))))) ((*1 *1 *2) (-12 (-4 *1 (-555 *2)) (-4 *2 (-13 (-406) (-1181))))) ((*1 *1 *2 *2) (-12 (-4 *1 (-555 *2)) (-4 *2 (-13 (-406) (-1181)))))) 
-(((*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-927))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-679 *3)) (-4 *3 (-365)) (-5 *1 (-653 *3))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-679 *3)) (-4 *3 (-301)) (-5 *1 (-689 *3))))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *3 (-763)) (-4 *4 (-350)) (-5 *1 (-207 *4 *2)) (-4 *2 (-1219 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-917)) (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *7 (-230 (-1699 *6) (-763))) (-5 *2 (-634 *8)) (-5 *1 (-31 *5 *6 *3 *7 *8)) (-4 *3 (-950 *5 *7 (-852 *6))) (-4 *8 (-971 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-917)) (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *7 (-230 (-1699 *6) (-763))) (-5 *2 (-3 (-634 *8) "failed" "Infinite" (-568))) (-5 *1 (-32 *5 *6 *3 *7 *8)) (-4 *3 (-950 *5 *7 (-852 *6))) (-4 *8 (-971 *5))))) 
-(((*1 *2) (-12 (-4 *3 (-558)) (-5 *2 (-634 (-679 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-419 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-763)) (-5 *1 (-464)))) ((*1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-465))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-492 *4 *5)) (-14 *4 (-634 (-1161))) (-4 *5 (-1047)) (-5 *2 (-953 *5)) (-5 *1 (-945 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-57)) (-5 *1 (-824))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-828 (-215))) (-5 *1 (-217)) (-5 *3 (-215))))) 
-(((*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) ((*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-409 (-568))) (-4 *4 (-1037 (-568))) (-4 *4 (-13 (-842) (-558))) (-5 *1 (-36 *4 *2)) (-4 *2 (-432 *4)))) ((*1 *1 *1 *1) (-5 *1 (-139))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-159 *3 *2)) (-4 *2 (-432 *3)))) ((*1 *1 *1 *1) (-5 *1 (-215))) ((*1 *1 *1 *2) (-12 (-4 *1 (-238)) (-5 *2 (-568)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-409 (-568))) (-4 *4 (-365)) (-4 *4 (-43 *3)) (-4 *5 (-1234 *4)) (-5 *1 (-274 *4 *5 *2)) (-4 *2 (-1205 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-409 (-568))) (-4 *4 (-365)) (-4 *4 (-43 *3)) (-4 *5 (-1203 *4)) (-5 *1 (-275 *4 *5 *2 *6)) (-4 *2 (-1226 *4 *5)) (-4 *6 (-984 *5)))) ((*1 *1 *1 *1) (-4 *1 (-279))) ((*1 *1 *2 *3) (-12 (-5 *3 (-568)) (-5 *1 (-363 *2)) (-4 *2 (-1090)))) ((*1 *1 *1 *1) (-5 *1 (-381))) ((*1 *1 *2 *3) (-12 (-5 *3 (-763)) (-5 *1 (-388 *2)) (-4 *2 (-1090)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-432 *3)) (-4 *3 (-842)) (-4 *3 (-1102)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-478)) (-5 *2 (-568)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-514 *3 *4 *5 *6)) (-4 *6 (-950 *3 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1244 *4)) (-5 *3 (-568)) (-4 *4 (-350)) (-5 *1 (-532 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-541)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-541)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-763)) (-4 *4 (-1090)) (-5 *1 (-671 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-4 *3 (-365)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-679 *4)) (-5 *3 (-763)) (-4 *4 (-1047)) (-5 *1 (-680 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-4 *3 (-1047)) (-5 *1 (-704 *3 *4)) (-4 *4 (-637 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-568)) (-4 *4 (-1047)) (-5 *1 (-704 *4 *5)) (-4 *5 (-637 *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-710)) (-5 *2 (-917)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-712)) (-5 *2 (-763)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-716)) (-5 *2 (-763)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-733 *2 *3)) (-14 *2 (-1161)) (-4 *3 (-13 (-1047) (-842) (-558))))) ((*1 *1 *2 *3) (-12 (-5 *3 (-763)) (-5 *1 (-814 *2)) (-4 *2 (-842)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-829 *3)) (-4 *3 (-1047)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-568)) (-5 *1 (-829 *4)) (-4 *4 (-1047)))) ((*1 *1 *1 *1) (-5 *1 (-850))) ((*1 *1 *1 *1) (-12 (-5 *1 (-887 *2)) (-4 *2 (-1090)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1002)) (-5 *2 (-409 (-568))))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1102)) (-5 *2 (-917)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-1111 *3 *4 *5 *6)) (-4 *4 (-1047)) (-4 *5 (-230 *3 *4)) (-4 *6 (-230 *3 *4)) (-4 *4 (-365)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1047)) (-4 *2 (-365))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-641 *2)) (-4 *2 (-365))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-763)) (-4 *4 (-13 (-1047) (-707 (-409 (-568))))) (-4 *5 (-842)) (-5 *1 (-1258 *4 *5 *2)) (-4 *2 (-1263 *5 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-558) (-842) (-1037 (-568)))) (-4 *5 (-432 *4)) (-5 *2 (-420 *3)) (-5 *1 (-437 *4 *5 *3)) (-4 *3 (-1219 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-679 (-169 (-409 (-568))))) (-5 *2 (-634 (-2 (|:| |outval| (-169 *4)) (|:| |outmult| (-568)) (|:| |outvect| (-634 (-679 (-169 *4))))))) (-5 *1 (-756 *4)) (-4 *4 (-13 (-365) (-840)))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-2 (|:| -4194 (-123)) (|:| |w| (-215)))) (-5 *1 (-196))))) 
-(((*1 *1 *1) (-4 *1 (-863 *2)))) 
-(((*1 *1 *1 *2 *1) (-12 (-4 *1 (-134 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-763)) (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *7 (-950 *5 *8 (-852 *6))) (-4 *8 (-230 (-1699 *6) *4)) (-4 *9 (-971 *5)) (-4 *10 (-641 *5)) (-4 *11 (-920 *5 *10)) (-4 *3 (-235 *11)) (-4 *12 (-536 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-117)) (-5 *2 (-634 *7)) (-5 *1 (-467 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-4 *13 (-258 *12)))) ((*1 *2 *3 *4 *5 *2) (-12 (-5 *2 (-634 *5)) (-4 *5 (-950 *6 *8 (-852 *7))) (-4 *8 (-230 (-1699 *7) *4)) (-5 *4 (-763)) (-4 *6 (-365)) (-14 *7 (-634 (-1161))) (-4 *10 (-641 *6)) (-4 *11 (-920 *6 *10)) (-5 *1 (-562 *6 *7 *5 *8 *9 *10 *11 *3)) (-4 *9 (-971 *6)) (-4 *3 (-235 *11)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-236 (-922 *5))) (-5 *4 (-763)) (-4 *5 (-350)) (-5 *2 (-634 (-242 *6 *5))) (-5 *1 (-867 *5 *6 *7)) (-14 *6 (-634 (-1161))) (-4 *7 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-236 (-921 *5))) (-5 *4 (-763)) (-4 *5 (-365)) (-5 *2 (-634 (-242 *6 *5))) (-5 *1 (-868 *5 *6 *7)) (-14 *6 (-634 (-1161))) (-4 *7 (-117))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *6)) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-5 *2 (-3 (-634 *8) "failed" "Infinite" (-568))) (-5 *1 (-31 *4 *5 *6 *7 *8)) (-4 *8 (-971 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *6)) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-5 *2 (-3 (-634 *8) "failed" "Infinite" (-568))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *8 (-971 *4))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) ((*1 *1 *1) (-12 (-4 *1 (-247 *2)) (-4 *2 (-1195)))) ((*1 *1 *1) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-375 *2)) (-4 *2 (-1195)))) ((*1 *1 *1) (-12 (-5 *1 (-638 *2 *3 *4)) (-4 *2 (-1090)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-1244 (-679 *4))) (-5 *1 (-95 *4 *5)) (-5 *3 (-679 *4)) (-4 *5 (-646 *4))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-4 *4 (-365)) (-5 *2 (-634 *1)) (-4 *1 (-37 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-365)) (-5 *2 (-634 *1)) (-4 *1 (-37 *3)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-898 *3)) (-4 *3 (-1090)) (-5 *2 (-1092 *3)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1090)) (-5 *2 (-1092 (-634 *4))) (-5 *1 (-899 *4)) (-5 *3 (-634 *4)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1090)) (-5 *2 (-1092 (-1092 *4))) (-5 *1 (-899 *4)) (-5 *3 (-1092 *4)))) ((*1 *2 *1 *3) (-12 (-5 *2 (-1092 *3)) (-5 *1 (-899 *3)) (-4 *3 (-1090)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-4 *4 (-365)) (-5 *2 (-634 *1)) (-4 *1 (-971 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-365)) (-5 *2 (-634 *1)) (-4 *1 (-971 *3))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1219 (-568))))) ((*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1219 (-568)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-246 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-842)) (-4 *5 (-262 *4)) (-4 *6 (-788)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1047)) (-5 *2 (-568)) (-5 *1 (-444 *4 *3 *5)) (-4 *3 (-1219 *4)) (-4 *5 (-13 (-406) (-1037 *4) (-365) (-1181) (-279)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-420 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1219 (-53))))) ((*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |less| (-130 *3)) (|:| |greater| (-130 *3)))) (-5 *1 (-130 *3)) (-4 *3 (-842)))) ((*1 *2 *1) (-12 (-4 *3 (-1090)) (-5 *2 (-634 *1)) (-4 *1 (-235 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-585 *4)) (-4 *4 (-13 (-29 *3) (-1181))) (-4 *3 (-13 (-453) (-1037 (-568)) (-842) (-630 (-568)))) (-5 *1 (-583 *3 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-585 (-409 (-953 *3)))) (-4 *3 (-13 (-453) (-1037 (-568)) (-842) (-630 (-568)))) (-5 *1 (-588 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1219 *5)) (-4 *5 (-365)) (-5 *2 (-2 (|:| -2244 *3) (|:| |special| *3))) (-5 *1 (-717 *5 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1244 *5)) (-4 *5 (-365)) (-4 *5 (-1047)) (-5 *2 (-634 (-634 (-679 *5)))) (-5 *1 (-1029 *5)) (-5 *3 (-634 (-679 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1244 (-1244 *5))) (-4 *5 (-365)) (-4 *5 (-1047)) (-5 *2 (-634 (-634 (-679 *5)))) (-5 *1 (-1029 *5)) (-5 *3 (-634 (-679 *5))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-142)) (-5 *2 (-634 *1)) (-4 *1 (-1129)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-147)) (-5 *2 (-634 *1)) (-4 *1 (-1129))))) 
-(((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-132)))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-634 *1)) (-5 *3 (-634 (-763))) (-5 *4 (-568)) (-4 *1 (-641 *5)) (-4 *5 (-365))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-585 *2)) (-4 *2 (-13 (-29 *4) (-1181))) (-5 *1 (-583 *4 *2)) (-4 *4 (-13 (-453) (-1037 (-568)) (-842) (-630 (-568)))))) ((*1 *2 *3) (-12 (-5 *3 (-585 (-409 (-953 *4)))) (-4 *4 (-13 (-453) (-1037 (-568)) (-842) (-630 (-568)))) (-5 *2 (-310 *4)) (-5 *1 (-588 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1195)) (-5 *2 (-763)) (-5 *1 (-179 *4 *3)) (-4 *3 (-665 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-381)) (-5 *1 (-197))))) 
-(((*1 *1 *1) (-12 (-4 *2 (-301)) (-4 *3 (-993 *2)) (-4 *4 (-1219 *3)) (-5 *1 (-415 *2 *3 *4 *5)) (-4 *5 (-13 (-411 *3 *4) (-1037 *3)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 *6)) (-4 *5 (-1090)) (-4 *6 (-1195)) (-5 *2 (-1 *6 *5)) (-5 *1 (-631 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 *2)) (-4 *5 (-1090)) (-4 *2 (-1195)) (-5 *1 (-631 *5 *2)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-634 *6)) (-5 *4 (-634 *5)) (-4 *6 (-1090)) (-4 *5 (-1195)) (-5 *2 (-1 *5 *6)) (-5 *1 (-631 *6 *5)))) ((*1 *2 *3 *4 *5 *2) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 *2)) (-4 *5 (-1090)) (-4 *2 (-1195)) (-5 *1 (-631 *5 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-1 *6 *5)) (-5 *3 (-634 *5)) (-5 *4 (-634 *6)) (-4 *5 (-1090)) (-4 *6 (-1195)) (-5 *1 (-631 *5 *6)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 *2)) (-5 *6 (-1 *2 *5)) (-4 *5 (-1090)) (-4 *2 (-1195)) (-5 *1 (-631 *5 *2)))) ((*1 *2 *1 *1 *3) (-12 (-4 *1 (-1129)) (-5 *3 (-147)) (-5 *2 (-763))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-641 *2)) (-4 *2 (-365))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-1 (-585 *3) *3 (-1161))) (-5 *6 (-1 (-3 (-2 (|:| |special| *3) (|:| |integrand| *3)) "failed") *3 (-1161))) (-4 *3 (-279)) (-4 *3 (-620)) (-4 *3 (-1037 *4)) (-4 *3 (-432 *7)) (-5 *4 (-1161)) (-4 *7 (-609 (-887 (-568)))) (-4 *7 (-453)) (-4 *7 (-881 (-568))) (-4 *7 (-842)) (-5 *2 (-585 *3)) (-5 *1 (-577 *7 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)))) ((*1 *1) (-4 *1 (-1136)))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-215) (-215))) (-5 *1 (-313)) (-5 *3 (-215))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 (-763) *2)) (-5 *4 (-763)) (-4 *2 (-1090)) (-5 *1 (-668 *2)))) ((*1 *2 *2) (-12 (-5 *2 (-1 *3 (-763) *3)) (-4 *3 (-1090)) (-5 *1 (-671 *3))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-420 *3)) (-4 *3 (-558))))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-1157 *3)) (-5 *1 (-910 *3)) (-4 *3 (-301))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-819)) (-5 *1 (-820))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1157 *6)) (-5 *3 (-568)) (-4 *6 (-301)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-732 *4 *5 *6 *7)) (-4 *7 (-950 *6 *4 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-171)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1191 *3)) (-4 *3 (-975))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-53))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-53))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-365)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763))))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-365)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-842) (-558))) (-14 *9 (-1 *5 *8)) (-5 *2 (-634 (-2 (|:| -1866 *7) (|:| -1844 (-763))))) (-5 *1 (-486 *5 *6 *7 *8 *9 *10)) (-4 *6 (-453)) (-4 *7 (-13 (-432 (-568)) (-558) (-1037 *8) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-734 *4 (-568))))) (-14 *4 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-734 *5 (-568))))) (-5 *4 (-634 (-465))) (-14 *5 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *5 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-634 (-944 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-944 *3))) (-4 *3 (-1047)) (-4 *1 (-1122 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-634 *3))) (-4 *1 (-1122 *3)) (-4 *3 (-1047)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-944 *3))) (-4 *1 (-1122 *3)) (-4 *3 (-1047))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-558)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-899 (-568))) (-5 *1 (-913)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-899 (-568))) (-5 *1 (-913))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1231 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-634 (-310 (-215)))) (-5 *3 (-215)) (-5 *2 (-121)) (-5 *1 (-202))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-916)) (-5 *2 (-2 (|:| -2350 (-634 *1)) (|:| -2707 *1))) (-5 *3 (-634 *1))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-763))))) 
-(((*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-472)))) ((*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-472)))) ((*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-927))))) 
-(((*1 *2 *2 *2) (-12 (-4 *2 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *1 (-1116 *3 *2)) (-4 *3 (-1219 *2))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) ((*1 *1 *1) (-4 *1 (-279))) ((*1 *2 *3) (-12 (-5 *3 (-420 *4)) (-4 *4 (-558)) (-5 *2 (-634 (-2 (|:| -2350 (-763)) (|:| |logand| *4)))) (-5 *1 (-316 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) ((*1 *2 *1) (-12 (-5 *2 (-656 *3 *4)) (-5 *1 (-618 *3 *4 *5)) (-4 *3 (-842)) (-4 *4 (-13 (-172) (-707 (-409 (-568))))) (-14 *5 (-917)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-763)) (-4 *4 (-13 (-1047) (-707 (-409 (-568))))) (-4 *5 (-842)) (-5 *1 (-1258 *4 *5 *2)) (-4 *2 (-1263 *5 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-1262 *3 *4)) (-4 *4 (-707 (-409 (-568)))) (-4 *3 (-842)) (-4 *4 (-172))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-607 (-53)))) (-5 *1 (-53)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-607 (-53))) (-5 *1 (-53)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1157 (-53))) (-5 *3 (-634 (-607 (-53)))) (-5 *1 (-53)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1157 (-53))) (-5 *3 (-607 (-53))) (-5 *1 (-53)))) ((*1 *2 *1) (-12 (-4 *1 (-166 *2)) (-4 *2 (-172)))) ((*1 *2 *3) (-12 (-4 *2 (-13 (-365) (-840))) (-5 *1 (-178 *2 *3)) (-4 *3 (-1219 (-169 *2))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-917)) (-4 *1 (-327 *3)) (-4 *3 (-365)) (-4 *3 (-370)))) ((*1 *2 *1) (-12 (-4 *1 (-327 *2)) (-4 *2 (-365)))) ((*1 *2 *1) (-12 (-4 *1 (-372 *2 *3)) (-4 *3 (-1219 *2)) (-4 *2 (-172)))) ((*1 *2 *1) (-12 (-4 *4 (-1219 *2)) (-4 *2 (-993 *3)) (-5 *1 (-415 *3 *2 *4 *5)) (-4 *3 (-301)) (-4 *5 (-13 (-411 *2 *4) (-1037 *2))))) ((*1 *2 *1) (-12 (-4 *4 (-1219 *2)) (-4 *2 (-993 *3)) (-5 *1 (-416 *3 *2 *4 *5 *6)) (-4 *3 (-301)) (-4 *5 (-411 *2 *4)) (-14 *6 (-1244 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-917)) (-4 *5 (-1047)) (-4 *2 (-13 (-406) (-1037 *5) (-365) (-1181) (-279))) (-5 *1 (-444 *5 *3 *2)) (-4 *3 (-1219 *5)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-607 (-504)))) (-5 *1 (-504)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-607 (-504))) (-5 *1 (-504)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1157 (-504))) (-5 *3 (-634 (-607 (-504)))) (-5 *1 (-504)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1157 (-504))) (-5 *3 (-607 (-504))) (-5 *1 (-504)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1244 *4)) (-5 *3 (-917)) (-4 *4 (-350)) (-5 *1 (-532 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-453)) (-4 *5 (-714 *4 *2)) (-4 *2 (-1219 *4)) (-5 *1 (-767 *4 *2 *5 *3)) (-4 *3 (-1219 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-792 *2)) (-4 *2 (-172)))) ((*1 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-172)))) ((*1 *1 *1) (-4 *1 (-1056)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(((*1 *2 *3 *1) (|partial| -12 (-5 *3 (-887 *4)) (-4 *4 (-1090)) (-4 *2 (-1090)) (-5 *1 (-884 *4 *2))))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *3 (-763)) (-4 *4 (-350)) (-5 *1 (-207 *4 *2)) (-4 *2 (-1219 *4)))) ((*1 *2 *2 *3 *2 *3) (-12 (-5 *3 (-568)) (-5 *1 (-685 *2)) (-4 *2 (-1219 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-215))) (-5 *2 (-1244 (-688))) (-5 *1 (-299))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-1161))) (-5 *2 (-1249)) (-5 *1 (-1197)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-634 (-1161))) (-5 *2 (-1249)) (-5 *1 (-1197))))) 
-(((*1 *1) (-5 *1 (-818)))) 
-(((*1 *1 *1 *2) (-12 (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-514 *3 *4 *5 *2)) (-4 *2 (-950 *3 *4 *5)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-365)) (-4 *3 (-788)) (-4 *4 (-842)) (-5 *1 (-514 *2 *3 *4 *5)) (-4 *5 (-950 *2 *3 *4))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *5 (-1037 (-53))) (-4 *4 (-13 (-558) (-842) (-1037 (-568)))) (-4 *5 (-432 *4)) (-5 *2 (-420 (-1157 (-53)))) (-5 *1 (-437 *4 *5 *3)) (-4 *3 (-1219 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-147))))) 
-(((*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-634 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-634 *3)) (-5 *1 (-212 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-634 *3)) (-5 *1 (-494 *3)) (-4 *3 (-842)))) ((*1 *2 *1) (-12 (|has| *1 (-6 -4521)) (-4 *1 (-499 *3)) (-4 *3 (-1195)) (-5 *2 (-634 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-634 *3)) (-5 *1 (-727 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-634 *3)) (-5 *1 (-1000 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-634 *3)) (-5 *1 (-1132 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-634 *6) "failed") (-568) *6 *6)) (-4 *6 (-365)) (-4 *7 (-1219 *6)) (-5 *2 (-2 (|:| |answer| (-585 (-409 *7))) (|:| |a0| *6))) (-5 *1 (-578 *6 *7)) (-5 *3 (-409 *7))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-568))))) 
-(((*1 *1 *1) (-5 *1 (-121)))) 
-(((*1 *2) (-12 (-4 *3 (-1047)) (-5 *2 (-958 (-702 *3 *4))) (-5 *1 (-702 *3 *4)) (-4 *4 (-1219 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-568)) (-5 *1 (-450 *4 *5 *6 *3)) (-4 *3 (-950 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1047)) (-5 *2 (-1244 *3)) (-5 *1 (-702 *3 *4)) (-4 *4 (-1219 *3))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-634 (-1069 *4 *5 *2))) (-4 *4 (-1090)) (-4 *5 (-13 (-1047) (-881 *4) (-842) (-609 (-887 *4)))) (-4 *2 (-13 (-432 *5) (-881 *4) (-609 (-887 *4)))) (-5 *1 (-60 *4 *5 *2)))) ((*1 *2 *3 *2 *4) (-12 (-5 *3 (-634 (-1069 *5 *6 *2))) (-5 *4 (-917)) (-4 *5 (-1090)) (-4 *6 (-13 (-1047) (-881 *5) (-842) (-609 (-887 *5)))) (-4 *2 (-13 (-432 *6) (-881 *5) (-609 (-887 *5)))) (-5 *1 (-60 *5 *6 *2))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-541) (-634 (-541)))) (-5 *1 (-123)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-541) (-634 (-541)))) (-5 *1 (-123))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1249)) (-5 *1 (-381))))) 
-(((*1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-1164))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-904)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-950 *4 *5 *6)) (-5 *2 (-420 (-1157 *7))) (-5 *1 (-901 *4 *5 *6 *7)) (-5 *3 (-1157 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-904)) (-4 *5 (-1219 *4)) (-5 *2 (-420 (-1157 *5))) (-5 *1 (-902 *4 *5)) (-5 *3 (-1157 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1141 (-1141 *4))) (-5 *2 (-1141 *4)) (-5 *1 (-1145 *4)) (-4 *4 (-43 (-409 (-568)))) (-4 *4 (-1047))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1189 *2 *3 *4 *5)) (-4 *2 (-558)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *5 (-1061 *2 *3 *4))))) 
-(((*1 *2 *1 *2 *3) (|partial| -12 (-5 *2 (-1143)) (-5 *3 (-568)) (-5 *1 (-1059))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-369 *2)) (-4 *2 (-172))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-1004 *3)) (-14 *3 (-568))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-558) (-150))) (-5 *1 (-542 *3 *2)) (-4 *2 (-1234 *3)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-365) (-370) (-609 (-568)))) (-4 *4 (-1219 *3)) (-4 *5 (-714 *3 *4)) (-5 *1 (-546 *3 *4 *5 *2)) (-4 *2 (-1234 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-365) (-370) (-609 (-568)))) (-5 *1 (-547 *3 *2)) (-4 *2 (-1234 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-13 (-558) (-150))) (-5 *1 (-1137 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-1182 *3))) (-5 *1 (-1182 *3)) (-4 *3 (-1090))))) 
-(((*1 *2) (-12 (-4 *3 (-558)) (-5 *2 (-634 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-419 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1044 *4 *5)) (-4 *4 (-13 (-840) (-301) (-150) (-1021))) (-14 *5 (-634 (-1161))) (-5 *2 (-634 (-2 (|:| -3722 (-1157 *4)) (|:| -1656 (-634 (-953 *4)))))) (-5 *1 (-1268 *4 *5 *6)) (-14 *6 (-634 (-1161))))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-2 (|:| -3722 (-1157 *5)) (|:| -1656 (-634 (-953 *5)))))) (-5 *1 (-1268 *5 *6 *7)) (-5 *3 (-634 (-953 *5))) (-14 *6 (-634 (-1161))) (-14 *7 (-634 (-1161))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-2 (|:| -3722 (-1157 *5)) (|:| -1656 (-634 (-953 *5)))))) (-5 *1 (-1268 *5 *6 *7)) (-5 *3 (-634 (-953 *5))) (-14 *6 (-634 (-1161))) (-14 *7 (-634 (-1161))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-2 (|:| -3722 (-1157 *5)) (|:| -1656 (-634 (-953 *5)))))) (-5 *1 (-1268 *5 *6 *7)) (-5 *3 (-634 (-953 *5))) (-14 *6 (-634 (-1161))) (-14 *7 (-634 (-1161))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-2 (|:| -3722 (-1157 *4)) (|:| -1656 (-634 (-953 *4)))))) (-5 *1 (-1268 *4 *5 *6)) (-5 *3 (-634 (-953 *4))) (-14 *5 (-634 (-1161))) (-14 *6 (-634 (-1161)))))) 
-(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-1141 *4)) (-5 *3 (-568)) (-4 *4 (-1047)) (-5 *1 (-1145 *4)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-1201 *3)) (-4 *3 (-1047)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-1235 *3 *4 *5)) (-4 *3 (-1047)) (-14 *4 (-1161)) (-14 *5 *3))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-1239 *3 *4)) (-4 *3 (-1047)) (-14 *4 (-1161))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1141 *4)) (-4 *4 (-43 *3)) (-4 *4 (-1047)) (-5 *3 (-409 (-568))) (-5 *1 (-1145 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-977 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-748))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-215)) (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-366 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-1090))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-1219 *2)) (-4 *2 (-1199)) (-5 *1 (-151 *2 *4 *3)) (-4 *3 (-1219 (-409 *4)))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-763)) (-4 *4 (-13 (-558) (-453))) (-5 *2 (-634 *4)) (-5 *1 (-346 *4 *5)) (-4 *5 (-52 *4 *3))))) 
-(((*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-634 (-953 *6))) (-5 *4 (-634 (-1161))) (-4 *6 (-453)) (-5 *2 (-634 (-634 *7))) (-5 *1 (-543 *6 *7 *5)) (-4 *7 (-365)) (-4 *5 (-13 (-365) (-840)))))) 
-(((*1 *1 *1 *1 *1) (-4 *1 (-550)))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1163 (-409 (-568)))) (-5 *1 (-182)) (-5 *3 (-568))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-958 *3)) (-5 *1 (-1148 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-748))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-842)) (-5 *2 (-634 (-634 (-634 *4)))) (-5 *1 (-1167 *4)) (-5 *3 (-634 (-634 *4)))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-763)) (-4 *2 (-13 (-558) (-453))) (-5 *1 (-346 *2 *4)) (-4 *4 (-52 *2 *3))))) 
-(((*1 *1 *2 *3 *1) (-12 (-5 *2 (-887 *4)) (-4 *4 (-1090)) (-5 *1 (-884 *4 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-828 (-215))) (-5 *1 (-217)))) ((*1 *1 *1) (-4 *1 (-620))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-621 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002) (-1181)))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1090)) (-4 *4 (-13 (-1047) (-881 *3) (-842) (-609 *2))) (-5 *2 (-887 *3)) (-5 *1 (-1069 *3 *4 *5)) (-4 *5 (-13 (-432 *4) (-881 *3) (-609 *2)))))) 
-(((*1 *2 *3 *4 *3 *4 *4 *4) (-12 (-5 *3 (-679 (-215))) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-748))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-1122 *3)) (-4 *3 (-1047)))) ((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-409 *1)) (-4 *1 (-1219 *3)) (-4 *3 (-1047)) (-4 *3 (-558)))) ((*1 *1 *1 *1) (|partial| -12 (-4 *1 (-1219 *2)) (-4 *2 (-1047)) (-4 *2 (-558))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-1102)) (-4 *3 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-432 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-634 (-887 *3))) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-950 *3 *4 *5)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1047)) (-4 *7 (-950 *6 *4 *5)) (-5 *2 (-634 *3)) (-5 *1 (-951 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-365) (-10 -8 (-15 -2747 ($ *7)) (-15 -2319 (*7 $)) (-15 -2326 (*7 $)))))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-679 (-409 (-953 (-568))))) (-5 *2 (-634 (-679 (-310 (-568))))) (-5 *1 (-1031)) (-5 *3 (-310 (-568)))))) 
-(((*1 *2 *3 *4 *3 *5 *5 *3 *5 *4) (-12 (-5 *4 (-679 (-215))) (-5 *5 (-679 (-568))) (-5 *3 (-568)) (-5 *2 (-1035)) (-5 *1 (-748))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-634 (-953 *3))) (-4 *3 (-453)) (-5 *1 (-362 *3 *4)) (-14 *4 (-634 (-1161))))) ((*1 *2 *2) (|partial| -12 (-5 *2 (-634 (-775 *3 (-852 *4)))) (-4 *3 (-453)) (-14 *4 (-634 (-1161))) (-5 *1 (-619 *3 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-917)) (-4 *1 (-370)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1244 *4)) (-5 *1 (-532 *4)) (-4 *4 (-350)))) ((*1 *2 *1) (-12 (-4 *2 (-842)) (-5 *1 (-703 *2 *3 *4)) (-4 *3 (-1090)) (-14 *4 (-1 (-121) (-2 (|:| -4357 *2) (|:| -3483 *3)) (-2 (|:| -4357 *2) (|:| -3483 *3))))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-634 (-944 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-944 *3))) (-4 *3 (-1047)) (-4 *1 (-1122 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-634 *3))) (-4 *1 (-1122 *3)) (-4 *3 (-1047)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-944 *3))) (-4 *1 (-1122 *3)) (-4 *3 (-1047))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-432 *4)) (-5 *1 (-433 *4 *2)) (-4 *4 (-13 (-842) (-558)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-2 (|:| |num| (-1244 *4)) (|:| |den| *4)))))) 
-(((*1 *2) (-12 (-5 *2 (-634 (-1161))) (-5 *1 (-109))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *2 (-409 (-953 *4))) (-5 *1 (-924 *4 *5 *6 *3)) (-4 *3 (-950 *4 *6 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-679 *7)) (-4 *7 (-950 *4 *6 *5)) (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *2 (-679 (-409 (-953 *4)))) (-5 *1 (-924 *4 *5 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-950 *4 *6 *5)) (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *2 (-634 (-409 (-953 *4)))) (-5 *1 (-924 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-748))))) 
-(((*1 *1 *2 *3 *1) (-12 (-14 *4 (-634 (-1161))) (-4 *2 (-172)) (-4 *3 (-230 (-1699 *4) (-763))) (-14 *6 (-1 (-121) (-2 (|:| -4357 *5) (|:| -3483 *3)) (-2 (|:| -4357 *5) (|:| -3483 *3)))) (-5 *1 (-463 *4 *2 *5 *3 *6 *7)) (-4 *5 (-842)) (-4 *7 (-950 *2 *3 (-852 *4)))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-436))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-340 *4 *3 *5)) (-4 *4 (-1199)) (-4 *3 (-1219 *4)) (-4 *5 (-1219 (-409 *3))) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-121))))) 
-(((*1 *2 *3 *3 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-568)) (-5 *5 (-679 (-215))) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-748))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1219 *6)) (-4 *6 (-13 (-27) (-432 *5))) (-4 *5 (-13 (-842) (-558) (-1037 (-568)))) (-4 *8 (-1219 (-409 *7))) (-5 *2 (-585 *3)) (-5 *1 (-553 *5 *6 *7 *8 *3)) (-4 *3 (-340 *6 *7 *8))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-927))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-381)) (-5 *2 (-1249)) (-5 *1 (-1246))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-989 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-1097 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-121))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-565))))) 
-(((*1 *2 *3 *3 *4 *3 *5 *3 *5 *4 *5 *5 *4 *4 *5 *3) (-12 (-5 *4 (-679 (-215))) (-5 *5 (-679 (-568))) (-5 *3 (-568)) (-5 *2 (-1035)) (-5 *1 (-748))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *1 (-340 *4 *5 *6)) (-4 *4 (-1199)) (-4 *5 (-1219 *4)) (-4 *6 (-1219 (-409 *5))) (-5 *2 (-2 (|:| |num| (-679 *5)) (|:| |den| *5)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -2908 (-679 (-409 (-953 *4)))) (|:| |vec| (-634 (-409 (-953 *4)))) (|:| -2371 (-763)) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568))))) (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *2 (-2 (|:| |partsol| (-1244 (-409 (-953 *4)))) (|:| -2588 (-634 (-1244 (-409 (-953 *4))))))) (-5 *1 (-924 *4 *5 *6 *7)) (-4 *7 (-950 *4 *6 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-679 (-953 *4))) (-5 *1 (-1028 *4)) (-4 *4 (-1047))))) 
-(((*1 *2 *3 *4) (-12 (-4 *4 (-854)) (-5 *2 (-420 (-1157 *4))) (-5 *1 (-315 *4)) (-5 *3 (-1157 *4)))) ((*1 *2 *3 *4) (-12 (-4 *4 (-859)) (-5 *2 (-420 (-1157 *4))) (-5 *1 (-317 *4)) (-5 *3 (-1157 *4))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1244 *4)) (-5 *3 (-568)) (-4 *4 (-350)) (-5 *1 (-532 *4))))) 
-(((*1 *2 *3 *4 *5 *6 *3 *3 *3 *3 *6 *3 *7 *8) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-121)) (-5 *6 (-215)) (-5 *7 (-3 (|:| |fn| (-390)) (|:| |fp| (-73 APROD)))) (-5 *8 (-3 (|:| |fn| (-390)) (|:| |fp| (-78 MSOLVE)))) (-5 *2 (-1035)) (-5 *1 (-748))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-634 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-419 *4))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-235 *2)) (-4 *2 (-1090)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-977 *3 *4 *2 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)) (-4 *5 (-1061 *3 *4 *2))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-436))))) 
-(((*1 *1 *2 *1) (-12 (|has| *1 (-6 -4521)) (-4 *1 (-154 *2)) (-4 *2 (-1195)) (-4 *2 (-1090)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4521)) (-4 *1 (-154 *3)) (-4 *3 (-1195)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-665 *3)) (-4 *3 (-1195)))) ((*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-121) *4)) (-5 *3 (-568)) (-4 *4 (-1090)) (-5 *1 (-727 *4)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-568)) (-5 *1 (-727 *2)) (-4 *2 (-1090)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1125 *3 *4)) (-4 *3 (-13 (-1090) (-39))) (-4 *4 (-13 (-1090) (-39))) (-5 *1 (-1126 *3 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-833)) (-5 *2 (-1035)) (-5 *1 (-832)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-310 (-381)))) (-5 *4 (-634 (-381))) (-5 *2 (-1035)) (-5 *1 (-832))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -2910 *4))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *2 *3 *4 *3 *4 *5 *3 *4 *3 *3 *3 *3) (-12 (-5 *4 (-679 (-215))) (-5 *5 (-679 (-568))) (-5 *3 (-568)) (-5 *2 (-1035)) (-5 *1 (-748))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-53))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-53))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) ((*1 *2 *3) (-12 (-4 (-53) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-5 *1 (-482)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-484 *4)) (-4 *4 (-1037 *3)) (-4 *4 (-13 (-350) (-609 (-568)))))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-4 (-409 (-568)) (-1037 *3)) (-4 (-568) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-365)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763))))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-365)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-842) (-558))) (-14 *9 (-1 *5 *8)) (-5 *2 (-634 (-2 (|:| -1866 *7) (|:| -1844 (-763))))) (-5 *1 (-486 *5 *6 *7 *8 *9 *10)) (-4 *6 (-453)) (-4 *7 (-13 (-432 (-568)) (-558) (-1037 *8) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1037 *3)) (-4 *5 (-1037 *3)) (-4 *4 (-365)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 *3) (-1037 (-568)) (-161) (-895 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) ((*1 *2 *3) (-12 (-4 (-409 (-953 (-568))) (-1037 *3)) (-4 (-953 (-568)) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-5 *1 (-487)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-734 *4 (-568))))) (-14 *4 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-734 *5 (-568))))) (-5 *4 (-634 (-465))) (-14 *5 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *5 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 *4 (-568)))) (-634 (-465)))) (-5 *1 (-488 *4)) (-14 *4 *3)))) 
-(((*1 *1 *2) (|partial| -12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-1255 *3 *4 *5 *6)))) ((*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-634 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-558)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *1 (-1255 *5 *6 *7 *8))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-438))))) 
-(((*1 *1) (-5 *1 (-798)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-5 *2 (-121))))) 
-(((*1 *2) (-12 (-4 *4 (-365)) (-5 *2 (-917)) (-5 *1 (-326 *3 *4)) (-4 *3 (-327 *4)))) ((*1 *2) (-12 (-4 *4 (-365)) (-5 *2 (-828 (-917))) (-5 *1 (-326 *3 *4)) (-4 *3 (-327 *4)))) ((*1 *2) (-12 (-4 *1 (-327 *3)) (-4 *3 (-365)) (-5 *2 (-917)))) ((*1 *2) (-12 (-4 *1 (-1261 *3)) (-4 *3 (-365)) (-5 *2 (-828 (-917)))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *4 *3 *3 *3 *3 *5 *3 *6) (-12 (-5 *3 (-568)) (-5 *5 (-679 (-215))) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-75 APROD)))) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-748))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-158)) (-5 *2 (-1249)) (-5 *1 (-1246))))) 
-(((*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-634 (-634 (-944 (-215))))) (-5 *4 (-869)) (-5 *5 (-917)) (-5 *6 (-634 (-256))) (-5 *2 (-1245)) (-5 *1 (-1248)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-634 (-944 (-215))))) (-5 *4 (-634 (-256))) (-5 *2 (-1245)) (-5 *1 (-1248))))) 
-(((*1 *1) (-12 (-5 *1 (-638 *2 *3 *4)) (-4 *2 (-1090)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *2 *3) (-12 (-4 *4 (-453)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-634 *3)) (-5 *1 (-978 *4 *5 *6 *3)) (-4 *3 (-1061 *4 *5 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-333 *3 *4 *5 *6)) (-4 *3 (-365)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-4 *6 (-340 *3 *4 *5)) (-5 *2 (-415 *4 (-409 *4) *5 *6)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 *6)) (-4 *6 (-13 (-411 *4 *5) (-1037 *4))) (-4 *4 (-993 *3)) (-4 *5 (-1219 *4)) (-4 *3 (-301)) (-5 *1 (-415 *3 *4 *5 *6)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-950 *3 *4 *5)) (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-514 *3 *4 *5 *6))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1047)) (-14 *3 (-634 (-1161))))) ((*1 *1 *1) (-12 (-5 *1 (-213 *2 *3)) (-4 *2 (-13 (-1047) (-842))) (-14 *3 (-634 (-1161)))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-4 *5 (-558)) (-5 *2 (-2 (|:| |minor| (-634 (-917))) (|:| -2410 *3) (|:| |minors| (-634 (-634 (-917)))) (|:| |ops| (-634 *3)))) (-5 *1 (-95 *5 *3)) (-5 *4 (-917)) (-4 *3 (-646 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-634 (-763)))) (-5 *1 (-899 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *7)) (-5 *4 (-1157 *7)) (-4 *5 (-1047)) (-4 *7 (-1047)) (-4 *2 (-1219 *5)) (-5 *1 (-510 *5 *2 *6 *7)) (-4 *6 (-1219 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1047)) (-4 *7 (-1047)) (-4 *4 (-1219 *5)) (-5 *2 (-1157 *7)) (-5 *1 (-510 *5 *4 *6 *7)) (-4 *6 (-1219 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-123)))) ((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-123)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-246 *4 *3 *5 *6)) (-4 *4 (-1047)) (-4 *3 (-842)) (-4 *5 (-262 *3)) (-4 *6 (-788)) (-5 *2 (-763)))) ((*1 *2 *1) (-12 (-4 *1 (-246 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-842)) (-4 *5 (-262 *4)) (-4 *6 (-788)) (-5 *2 (-763)))) ((*1 *2 *1) (-12 (-4 *1 (-262 *3)) (-4 *3 (-842)) (-5 *2 (-763))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-2 (|:| -1638 (-568)) (|:| -2075 (-634 *3)))) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *1) (-5 *1 (-1245)))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1090) (-39))) (-4 *3 (-13 (-1090) (-39)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1242 *2)) (-4 *2 (-1195)) (-4 *2 (-1002)) (-4 *2 (-1047))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-558)) (-4 *3 (-1047)) (-5 *2 (-2 (|:| -4409 *1) (|:| -2607 *1))) (-4 *1 (-844 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-558)) (-4 *5 (-1047)) (-5 *2 (-2 (|:| -4409 *3) (|:| -2607 *3))) (-5 *1 (-845 *5 *3)) (-4 *3 (-844 *5))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-824)) (-5 *3 (-1143))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-365)) (-4 *1 (-37 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-453)) (-5 *2 (-634 (-2 (|:| |eigval| (-3 (-409 (-953 *4)) (-1150 (-1161) (-953 *4)))) (|:| |geneigvec| (-634 (-679 (-409 (-953 *4)))))))) (-5 *1 (-286 *4)) (-5 *3 (-679 (-409 (-953 *4))))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-381) (-381))) (-5 *4 (-381)) (-5 *2 (-2 (|:| -2852 *4) (|:| -2185 *4) (|:| |totalpts| (-568)) (|:| |success| (-121)))) (-5 *1 (-784)) (-5 *5 (-568))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-259 *3)) (-4 *3 (-1090)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-259 *3)) (-4 *3 (-1090)))) ((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-513 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-513 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-537 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-537 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) ((*1 *2) (-12 (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-5 *2 (-121)) (-5 *1 (-538 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *7 (-971 *3)) (-4 *10 (-235 *9)) (-4 *11 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-5 *1 (-538 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *7 (-971 *3)) (-4 *10 (-235 *9)) (-4 *11 (-117)))) ((*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-855 *3)) (-14 *3 (-860)))) ((*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-857 *3)) (-4 *3 (-350)))) ((*1 *2 *1) (-12 (-4 *1 (-858)) (-5 *2 (-850)))) ((*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-860))))) 
-(((*1 *1) (-12 (-5 *1 (-219 *2)) (-4 *2 (-13 (-365) (-1181)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-558) (-842) (-1037 (-568)))) (-5 *2 (-121)) (-5 *1 (-180 *4 *3)) (-4 *3 (-13 (-27) (-1181) (-432 (-169 *4)))))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-436)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-121)) (-5 *1 (-1185 *4 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *4)))))) 
-(((*1 *1) (-5 *1 (-818)))) 
-(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-169 (-215))) (-5 *5 (-568)) (-5 *6 (-1143)) (-5 *3 (-215)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-638 *2 *3 *4)) (-4 *2 (-1090)) (-4 *3 (-23)) (-14 *4 *3))) ((*1 *1 *2 *3 *1) (-12 (-5 *1 (-638 *2 *3 *4)) (-4 *2 (-1090)) (-4 *3 (-23)) (-14 *4 *3))) ((*1 *1 *1 *1) (-12 (-5 *1 (-666 *2)) (-4 *2 (-1047)) (-4 *2 (-1090))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1195)) (-4 *1 (-154 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-2 (|:| -3483 (-763)) (|:| -1374 *4) (|:| |num| *4)))) (-4 *4 (-1219 *3)) (-4 *3 (-13 (-365) (-150))) (-5 *1 (-401 *3 *4)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-5 *3 (-634 (-953 (-568)))) (-5 *4 (-121)) (-5 *1 (-439)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-5 *3 (-634 (-1161))) (-5 *4 (-121)) (-5 *1 (-439)))) ((*1 *2 *1) (-12 (-5 *2 (-1141 *3)) (-5 *1 (-598 *3)) (-4 *3 (-1195)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-625 *2)) (-4 *2 (-172)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-663 *3)) (-4 *3 (-842)) (-5 *1 (-656 *3 *4)) (-4 *4 (-172)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-663 *3)) (-4 *3 (-842)) (-5 *1 (-656 *3 *4)) (-4 *4 (-172)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-663 *3)) (-4 *3 (-842)) (-5 *1 (-656 *3 *4)) (-4 *4 (-172)))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-634 (-634 *3)))) (-4 *3 (-1090)) (-5 *1 (-666 *3)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-703 *2 *3 *4)) (-4 *2 (-842)) (-4 *3 (-1090)) (-14 *4 (-1 (-121) (-2 (|:| -4357 *2) (|:| -3483 *3)) (-2 (|:| -4357 *2) (|:| -3483 *3)))))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-2 (|:| -3651 (-1161)) (|:| -4085 *4)))) (-4 *4 (-1090)) (-5 *1 (-884 *3 *4)) (-4 *3 (-1090)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-634 *5)) (-4 *5 (-13 (-1090) (-39))) (-5 *2 (-634 (-1125 *3 *5))) (-5 *1 (-1125 *3 *5)) (-4 *3 (-13 (-1090) (-39))))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-2 (|:| |val| *4) (|:| -3145 *5)))) (-4 *4 (-13 (-1090) (-39))) (-4 *5 (-13 (-1090) (-39))) (-5 *2 (-634 (-1125 *4 *5))) (-5 *1 (-1125 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |val| *3) (|:| -3145 *4))) (-4 *3 (-13 (-1090) (-39))) (-4 *4 (-13 (-1090) (-39))) (-5 *1 (-1125 *3 *4)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-1125 *2 *3)) (-4 *2 (-13 (-1090) (-39))) (-4 *3 (-13 (-1090) (-39))))) ((*1 *1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *1 (-1125 *2 *3)) (-4 *2 (-13 (-1090) (-39))) (-4 *3 (-13 (-1090) (-39))))) ((*1 *1 *2 *3 *2 *4) (-12 (-5 *4 (-634 *3)) (-4 *3 (-13 (-1090) (-39))) (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1090) (-39))))) ((*1 *1 *2 *3 *4) (-12 (-5 *4 (-634 (-1125 *2 *3))) (-4 *2 (-13 (-1090) (-39))) (-4 *3 (-13 (-1090) (-39))) (-5 *1 (-1126 *2 *3)))) ((*1 *1 *2 *3 *4) (-12 (-5 *4 (-634 (-1126 *2 *3))) (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1090) (-39))) (-4 *3 (-13 (-1090) (-39))))) ((*1 *1 *2) (-12 (-5 *2 (-1125 *3 *4)) (-4 *3 (-13 (-1090) (-39))) (-4 *4 (-13 (-1090) (-39))) (-5 *1 (-1126 *3 *4)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-1150 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-1090))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-117)) (-5 *2 (-33 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-792 *2)) (-4 *2 (-172)))) ((*1 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-172))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-565))))) 
-(((*1 *1 *1) (-5 *1 (-541)))) 
-(((*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *3 (-971 *4)) (-4 *8 (-641 *4)) (-4 *9 (-920 *4 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *4 *5 *6 *7 *3 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-634 *9)) (-5 *1 (-467 *4 *5 *6 *7 *3 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) ((*1 *2 *3) (-12 (-5 *3 (-967 *4)) (-4 *4 (-350)) (-5 *2 (-634 (-922 *4))) (-5 *1 (-867 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-966 *4)) (-4 *4 (-365)) (-5 *2 (-634 (-921 *4))) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-4 *6 (-117))))) 
-(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-169 (-215))) (-5 *5 (-568)) (-5 *6 (-1143)) (-5 *3 (-215)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *3 (-123)) (-5 *4 (-1161)) (-4 *5 (-13 (-842) (-558) (-609 (-541)))) (-4 *2 (-432 *5)) (-5 *1 (-312 *5 *2 *6 *7)) (-4 *6 (-1234 *2)) (-4 *7 (-1234 (-1155 *2)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-558)) (-5 *2 (-1157 *4)) (-5 *1 (-759 *4))))) 
-(((*1 *2 *3) (-12 (-4 *5 (-13 (-609 *2) (-172))) (-5 *2 (-887 *4)) (-5 *1 (-170 *4 *5 *3)) (-4 *4 (-1090)) (-4 *3 (-166 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-1084 (-835 (-381))))) (-5 *2 (-634 (-1084 (-835 (-215))))) (-5 *1 (-299)))) ((*1 *1 *2) (-12 (-5 *2 (-215)) (-5 *1 (-381)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-850)) (-5 *3 (-568)) (-5 *1 (-396)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 *3)) (-4 *3 (-172)) (-4 *1 (-411 *3 *4)) (-4 *4 (-1219 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-411 *3 *4)) (-4 *3 (-172)) (-4 *4 (-1219 *3)) (-5 *2 (-1244 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 *3)) (-4 *3 (-172)) (-4 *1 (-419 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-419 *3)) (-4 *3 (-172)) (-5 *2 (-1244 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-420 *1)) (-4 *1 (-432 *3)) (-4 *3 (-558)) (-4 *3 (-842)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-468 *3 *4 *5 *6)))) ((*1 *1 *2) (-12 (-5 *2 (-1094)) (-5 *1 (-541)))) ((*1 *2 *1) (-12 (-4 *1 (-609 *2)) (-4 *2 (-1195)))) ((*1 *1 *2) (-12 (-4 *3 (-172)) (-4 *1 (-714 *3 *2)) (-4 *2 (-1219 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-887 *3))) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1047)) (-4 *1 (-981 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-1058)))) ((*1 *1 *2) (-12 (-5 *2 (-953 *3)) (-4 *3 (-1047)) (-4 *1 (-1061 *3 *4 *5)) (-4 *5 (-609 (-1161))) (-4 *4 (-788)) (-4 *5 (-842)))) ((*1 *1 *2) (-2199 (-12 (-5 *2 (-953 (-568))) (-4 *1 (-1061 *3 *4 *5)) (-12 (-3046 (-4 *3 (-43 (-409 (-568))))) (-4 *3 (-43 (-568))) (-4 *5 (-609 (-1161)))) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842))) (-12 (-5 *2 (-953 (-568))) (-4 *1 (-1061 *3 *4 *5)) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *5 (-609 (-1161)))) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842))))) ((*1 *1 *2) (-12 (-5 *2 (-953 (-409 (-568)))) (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-43 (-409 (-568)))) (-4 *5 (-609 (-1161))) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-634 *7)) (|:| -3145 *8))) (-4 *7 (-1061 *4 *5 *6)) (-4 *8 (-1066 *4 *5 *6 *7)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-1143)) (-5 *1 (-1064 *4 *5 *6 *7 *8)))) ((*1 *2 *1) (-12 (-5 *2 (-1161)) (-5 *1 (-1075)))) ((*1 *1 *2) (-12 (-4 *1 (-1083 *2)) (-4 *2 (-1195)))) ((*1 *1 *2) (-12 (-4 *1 (-1093 *3 *4 *5 *6 *2)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *2 (-1090)))) ((*1 *1 *2) (-12 (-4 *1 (-1093 *3 *4 *5 *2 *6)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *2 (-1090)) (-4 *6 (-1090)))) ((*1 *1 *2) (-12 (-4 *1 (-1093 *3 *4 *2 *5 *6)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *2 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)))) ((*1 *1 *2) (-12 (-4 *1 (-1093 *3 *2 *4 *5 *6)) (-4 *3 (-1090)) (-4 *2 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)))) ((*1 *1 *2) (-12 (-4 *1 (-1093 *2 *3 *4 *5 *6)) (-4 *2 (-1090)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-1093 *3 *4 *5 *6 *7)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-634 *7)) (|:| -3145 *8))) (-4 *7 (-1061 *4 *5 *6)) (-4 *8 (-1099 *4 *5 *6 *7)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-1143)) (-5 *1 (-1130 *4 *5 *6 *7 *8)))) ((*1 *1 *2 *3 *2) (-12 (-5 *2 (-850)) (-5 *3 (-568)) (-5 *1 (-1176)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-850)) (-5 *3 (-568)) (-5 *1 (-1176)))) ((*1 *2 *3) (-12 (-5 *3 (-775 *4 (-852 *5))) (-4 *4 (-13 (-840) (-301) (-150) (-1021))) (-14 *5 (-634 (-1161))) (-5 *2 (-775 *4 (-852 *6))) (-5 *1 (-1268 *4 *5 *6)) (-14 *6 (-634 (-1161))))) ((*1 *2 *3) (-12 (-5 *3 (-953 *4)) (-4 *4 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-953 (-1023 (-409 *4)))) (-5 *1 (-1268 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-14 *6 (-634 (-1161))))) ((*1 *2 *3) (-12 (-5 *3 (-775 *4 (-852 *6))) (-4 *4 (-13 (-840) (-301) (-150) (-1021))) (-14 *6 (-634 (-1161))) (-5 *2 (-953 (-1023 (-409 *4)))) (-5 *1 (-1268 *4 *5 *6)) (-14 *5 (-634 (-1161))))) ((*1 *2 *3) (-12 (-5 *3 (-1157 *4)) (-4 *4 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-1157 (-1023 (-409 *4)))) (-5 *1 (-1268 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-14 *6 (-634 (-1161))))) ((*1 *2 *3) (-12 (-5 *3 (-1131 *4 (-534 (-852 *6)) (-852 *6) (-775 *4 (-852 *6)))) (-4 *4 (-13 (-840) (-301) (-150) (-1021))) (-14 *6 (-634 (-1161))) (-5 *2 (-634 (-775 *4 (-852 *6)))) (-5 *1 (-1268 *4 *5 *6)) (-14 *5 (-634 (-1161)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-365)) (-5 *2 (-634 *3)) (-5 *1 (-946 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *5 (-3 (|:| |fn| (-390)) (|:| |fp| (-69 -1478)))) (-5 *2 (-1035)) (-5 *1 (-740))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1219 *5)) (-4 *5 (-365)) (-5 *2 (-2 (|:| |answer| *3) (|:| |polypart| *3))) (-5 *1 (-578 *5 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-215)) (-5 *1 (-250))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-121)) (-5 *1 (-294))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-944 *2)) (-5 *1 (-983 *2)) (-4 *2 (-1047))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-950 *4 *5 *6)) (-4 *4 (-365)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-451 *4 *5 *6 *2)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-101 *6)) (-5 *5 (-1 *6 *6)) (-4 *6 (-365)) (-5 *2 (-2 (|:| R (-679 *6)) (|:| A (-679 *6)) (|:| |Ainv| (-679 *6)))) (-5 *1 (-979 *6)) (-5 *3 (-679 *6))))) 
-(((*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-688)))) ((*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-688))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-4 *7 (-950 *4 *6 *5)) (-5 *2 (-2 (|:| |sysok| (-121)) (|:| |z0| (-634 *7)) (|:| |n0| (-634 *7)))) (-5 *1 (-924 *4 *5 *6 *7)) (-5 *3 (-634 *7))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *1 *1) (-5 *1 (-1059)))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-1066 *4 *5 *6 *3)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-634 (-2 (|:| |val| (-121)) (|:| -3145 *1)))) (-4 *1 (-1066 *4 *5 *6 *3))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-777 *2)) (-4 *2 (-1047))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *5 (-3 (|:| |fn| (-390)) (|:| |fp| (-69 -1478)))) (-5 *2 (-1035)) (-5 *1 (-740))))) 
-(((*1 *2) (-12 (-4 *3 (-13 (-842) (-558) (-1037 (-568)))) (-5 *2 (-1249)) (-5 *1 (-435 *3 *4)) (-4 *4 (-432 *3))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1141 (-634 (-568)))) (-5 *1 (-878)) (-5 *3 (-568))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-432 *4)) (-5 *1 (-433 *4 *2)) (-4 *4 (-13 (-842) (-558)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1141 *3)) (-5 *1 (-173 *3)) (-4 *3 (-301))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-568)) (-5 *1 (-420 *2)) (-4 *2 (-558))))) 
-(((*1 *2) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-1247)))) ((*1 *2 *2) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-1247))))) 
-(((*1 *1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *1 *1) (-5 *1 (-850))) ((*1 *1 *1 *1) (-5 *1 (-850))) ((*1 *1 *2 *2) (-12 (-4 *1 (-1083 *2)) (-4 *2 (-1195)))) ((*1 *1 *2) (-12 (-5 *1 (-1210 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-420 *3)) (-5 *1 (-207 *4 *3)) (-4 *3 (-1219 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-634 *3)) (-5 *1 (-344 *4 *3)) (-4 *3 (-1219 *4)))) ((*1 *2 *3) (-12 (-5 *2 (-420 *3)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-763)) (-5 *2 (-420 *3)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-634 (-763))) (-5 *2 (-420 *3)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-634 (-763))) (-5 *5 (-763)) (-5 *2 (-420 *3)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-763)) (-5 *2 (-420 *3)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) ((*1 *2 *3) (-12 (-5 *2 (-420 *3)) (-5 *1 (-1007 *3)) (-4 *3 (-1219 (-409 (-568)))))) ((*1 *2 *3) (-12 (-5 *2 (-420 *3)) (-5 *1 (-1208 *3)) (-4 *3 (-1219 (-568)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-5 *1 (-563)))) ((*1 *2 *1) (-12 (-4 *1 (-605 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-5 *2 (-634 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))) (-5 *1 (-798))))) 
-(((*1 *2 *3 *3 *4 *5 *3 *3 *4 *4 *4 *6) (-12 (-5 *4 (-568)) (-5 *5 (-679 (-215))) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-69 -1478)))) (-5 *3 (-215)) (-5 *2 (-1035)) (-5 *1 (-740))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-2 (|:| |func| *3) (|:| |kers| (-634 (-607 *3))) (|:| |vals| (-634 *3)))) (-5 *1 (-273 *5 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *5)))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *4 (-634 (-1161))) (-5 *2 (-634 (-634 *5))) (-5 *1 (-382 *5)) (-4 *5 (-13 (-840) (-365))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 (-568)))) (-5 *2 (-634 *4)) (-5 *1 (-382 *4)) (-4 *4 (-13 (-840) (-365)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-366 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-5 *2 (-1143))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-926))))) 
-(((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-867 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117))))) 
-(((*1 *2 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *5 (-3 (|:| |fn| (-390)) (|:| |fp| (-69 -1478)))) (-5 *2 (-1035)) (-5 *1 (-740))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-944 *3)) (-4 *3 (-13 (-365) (-1181) (-1002))) (-5 *1 (-174 *3))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))) (-5 *1 (-1067 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-381) (-381))) (-5 *4 (-381)) (-5 *2 (-2 (|:| -2852 *4) (|:| -2185 *4) (|:| |totalpts| (-568)) (|:| |success| (-121)))) (-5 *1 (-784)) (-5 *5 (-568))))) 
-(((*1 *2 *2 *1) (-12 (-5 *2 (-1266 *3 *4)) (-4 *1 (-376 *3 *4)) (-4 *3 (-842)) (-4 *4 (-172)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-388 *2)) (-4 *2 (-1090)))) ((*1 *1 *1 *2) (|partial| -12 (-5 *1 (-814 *2)) (-4 *2 (-842)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-814 *2)) (-4 *2 (-842)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1259 *2 *3)) (-4 *2 (-842)) (-4 *3 (-1047)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-814 *3)) (-4 *1 (-1259 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1259 *2 *3)) (-4 *2 (-842)) (-4 *3 (-1047))))) 
-(((*1 *2) (-12 (-4 *3 (-558)) (-5 *2 (-634 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-419 *3))))) 
-(((*1 *2 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *5 (-3 (|:| |fn| (-390)) (|:| |fp| (-69 G)))) (-5 *2 (-1035)) (-5 *1 (-740))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-123)) (-5 *1 (-122 *3)) (-4 *3 (-842)) (-4 *3 (-1090))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-887 *4)) (-4 *4 (-1090)) (-5 *2 (-634 *5)) (-5 *1 (-885 *4 *5)) (-4 *5 (-1195))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1108)) (-5 *1 (-328))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-634 (-634 (-634 (-944 *3)))))))) 
-(((*1 *2) (-12 (-5 *2 (-409 (-953 *3))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-1141 (-215))) (-5 *1 (-184)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-310 (-215))) (-5 *4 (-634 (-1161))) (-5 *5 (-1084 (-835 (-215)))) (-5 *2 (-1141 (-215))) (-5 *1 (-294)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1244 (-310 (-215)))) (-5 *4 (-634 (-1161))) (-5 *5 (-1084 (-835 (-215)))) (-5 *2 (-1141 (-215))) (-5 *1 (-294))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-634 (-215)))) (-5 *1 (-926))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1189 *4 *5 *6 *3)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *4 (-950 *5 *7 (-852 *6))) (-4 *7 (-230 (-1699 *6) (-763))) (-4 *3 (-971 *5)) (-4 *8 (-641 *5)) (-4 *9 (-920 *5 *8)) (-4 *10 (-235 *9)) (-4 *12 (-117)) (-4 *2 (-258 *11)) (-5 *1 (-260 *5 *6 *4 *7 *3 *8 *9 *10 *11 *2 *12)) (-4 *11 (-536 *5 *6 *4 *7 *3 *8 *9 *10 *12))))) 
-(((*1 *2 *1) (-12 (-4 *4 (-1090)) (-5 *2 (-121)) (-5 *1 (-880 *3 *4 *5)) (-4 *3 (-1090)) (-4 *5 (-658 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-884 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-396)))) ((*1 *2 *1) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-1176))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *5 (-3 (|:| |fn| (-390)) (|:| |fp| (-69 G)))) (-5 *2 (-1035)) (-5 *1 (-740))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 *5)))) (-5 *4 (-634 (-1161))) (-4 *5 (-558)) (-5 *2 (-634 (-634 (-953 *5)))) (-5 *1 (-1166 *5))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1245)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1246))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-1161))) (-5 *3 (-57)) (-5 *1 (-887 *4)) (-4 *4 (-1090))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-301)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4)) (-5 *2 (-2 (|:| |Smith| *3) (|:| |leftEqMat| *3) (|:| |rightEqMat| *3))) (-5 *1 (-1112 *4 *5 *6 *3)) (-4 *3 (-677 *4 *5 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) ((*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-215))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *2 (-1061 *4 *5 *6)) (-5 *1 (-768 *4 *5 *6 *2 *3)) (-4 *3 (-1066 *4 *5 *6 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1143)) (-5 *1 (-781))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1087 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *5 (-3 (|:| |fn| (-390)) (|:| |fp| (-69 G)))) (-5 *2 (-1035)) (-5 *1 (-740))))) 
-(((*1 *1 *2 *3) (-12 (-5 *1 (-429 *3 *2)) (-4 *3 (-13 (-172) (-43 (-409 (-568))))) (-4 *2 (-13 (-842) (-21)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-432 *4)) (-5 *1 (-159 *4 *2)) (-4 *4 (-13 (-842) (-558)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-365) (-840))) (-5 *1 (-178 *3 *2)) (-4 *2 (-1219 (-169 *3)))))) 
-(((*1 *2) (-12 (-5 *2 (-958 (-1108))) (-5 *1 (-341 *3 *4)) (-14 *3 (-917)) (-14 *4 (-917)))) ((*1 *2) (-12 (-5 *2 (-958 (-1108))) (-5 *1 (-342 *3 *4)) (-4 *3 (-350)) (-14 *4 (-1157 *3)))) ((*1 *2) (-12 (-5 *2 (-958 (-1108))) (-5 *1 (-343 *3 *4)) (-4 *3 (-350)) (-14 *4 (-917))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-169 (-215)))) (-5 *1 (-145)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1195)) (-5 *1 (-1244 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1163 (-409 (-568)))) (-5 *1 (-182)) (-5 *3 (-568))))) 
-(((*1 *1 *1) (-5 *1 (-1059)))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1163 (-409 (-568)))) (-5 *1 (-182)) (-5 *3 (-568))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-4 *2 (-1090)) (-4 *2 (-842)) (-5 *1 (-122 *2))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-310 (-215)))) (-5 *4 (-763)) (-5 *2 (-679 (-215))) (-5 *1 (-263))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *5 *5 *5 *3 *5 *5 *3 *6 *3 *3 *3) (-12 (-5 *5 (-679 (-215))) (-5 *6 (-679 (-568))) (-5 *3 (-568)) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-744))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-147))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-710)) (-5 *2 (-917)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-712)) (-5 *2 (-763))))) 
-(((*1 *2) (|partial| -12 (-4 *4 (-1199)) (-4 *5 (-1219 (-409 *2))) (-4 *2 (-1219 *4)) (-5 *1 (-339 *3 *4 *2 *5)) (-4 *3 (-340 *4 *2 *5)))) ((*1 *2) (|partial| -12 (-4 *1 (-340 *3 *2 *4)) (-4 *3 (-1199)) (-4 *4 (-1219 (-409 *2))) (-4 *2 (-1219 *3))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-842) (-1037 (-568)) (-630 (-568)) (-453))) (-5 *2 (-835 *4)) (-5 *1 (-307 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1181) (-432 *3))) (-14 *5 (-1161)) (-14 *6 *4))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-842) (-1037 (-568)) (-630 (-568)) (-453))) (-5 *2 (-835 *4)) (-5 *1 (-1229 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1181) (-432 *3))) (-14 *5 (-1161)) (-14 *6 *4)))) 
-(((*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-634 *7)) (|:| |badPols| (-634 *7)))) (-5 *1 (-978 *4 *5 *6 *7)) (-5 *3 (-634 *7))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2 *3 *2) (-12 (-4 *2 (-13 (-365) (-840))) (-5 *1 (-178 *2 *3)) (-4 *3 (-1219 (-169 *2))))) ((*1 *2 *3) (-12 (-4 *2 (-13 (-365) (-840))) (-5 *1 (-178 *2 *3)) (-4 *3 (-1219 (-169 *2)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-432 *4)) (-5 *1 (-433 *4 *2)) (-4 *4 (-13 (-842) (-558)))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *1 *2) (-12 (-4 *3 (-1047)) (-5 *1 (-822 *2 *3)) (-4 *2 (-698 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1161)) (-4 *5 (-365)) (-5 *2 (-1141 (-1141 (-953 *5)))) (-5 *1 (-1252 *5)) (-5 *4 (-1141 (-953 *5)))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1246))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-763)) (-4 *1 (-223 *4)) (-4 *4 (-1047)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-223 *3)) (-4 *3 (-1047)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-225)) (-5 *2 (-763)))) ((*1 *1 *1) (-4 *1 (-225))) ((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-262 *3)) (-4 *3 (-842)))) ((*1 *1 *1) (-12 (-4 *1 (-262 *2)) (-4 *2 (-842)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *3 (-13 (-365) (-150))) (-5 *1 (-401 *3 *4)) (-4 *4 (-1219 *3)))) ((*1 *1 *1) (-12 (-4 *2 (-13 (-365) (-150))) (-5 *1 (-401 *2 *3)) (-4 *3 (-1219 *2)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-479 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) ((*1 *2 *1 *3) (-12 (-4 *2 (-365)) (-4 *2 (-895 *3)) (-5 *1 (-585 *2)) (-5 *3 (-1161)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-585 *2)) (-4 *2 (-365)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-850)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 *4)) (-5 *3 (-634 (-763))) (-4 *1 (-895 *4)) (-4 *4 (-1090)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-763)) (-4 *1 (-895 *2)) (-4 *2 (-1090)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *1 (-895 *3)) (-4 *3 (-1090)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-895 *2)) (-4 *2 (-1090)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1151 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1158 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1159 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1240 (QUOTE |x|))) (-5 *1 (-1201 *3)) (-4 *3 (-1047)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1207 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-1219 *3)) (-4 *3 (-1047)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1228 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1235 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1239 *3 *4)) (-4 *3 (-1047))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-634 (-953 *4))) (-5 *3 (-634 (-1161))) (-4 *4 (-453)) (-5 *1 (-914 *4))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *1) (-4 *1 (-350))) ((*1 *2 *3) (-12 (-5 *3 (-634 *5)) (-4 *5 (-432 *4)) (-4 *4 (-13 (-558) (-842) (-150))) (-5 *2 (-2 (|:| |primelt| *5) (|:| |poly| (-634 (-1157 *5))) (|:| |prim| (-1157 *5)))) (-5 *1 (-434 *4 *5)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-558) (-842) (-150))) (-5 *2 (-2 (|:| |primelt| *3) (|:| |pol1| (-1157 *3)) (|:| |pol2| (-1157 *3)) (|:| |prim| (-1157 *3)))) (-5 *1 (-434 *4 *3)) (-4 *3 (-27)) (-4 *3 (-432 *4)))) ((*1 *2 *3 *4 *3 *4) (-12 (-5 *3 (-953 *5)) (-5 *4 (-1161)) (-4 *5 (-13 (-365) (-150))) (-5 *2 (-2 (|:| |coef1| (-568)) (|:| |coef2| (-568)) (|:| |prim| (-1157 *5)))) (-5 *1 (-960 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-953 *5))) (-5 *4 (-634 (-1161))) (-4 *5 (-13 (-365) (-150))) (-5 *2 (-2 (|:| -2350 (-634 (-568))) (|:| |poly| (-634 (-1157 *5))) (|:| |prim| (-1157 *5)))) (-5 *1 (-960 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-634 (-953 *6))) (-5 *4 (-634 (-1161))) (-5 *5 (-1161)) (-4 *6 (-13 (-365) (-150))) (-5 *2 (-2 (|:| -2350 (-634 (-568))) (|:| |poly| (-634 (-1157 *6))) (|:| |prim| (-1157 *6)))) (-5 *1 (-960 *6))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1012)) (-5 *2 (-850))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1249)) (-5 *1 (-1245)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1249)) (-5 *1 (-1246))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1141 (-634 (-568)))) (-5 *1 (-878))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *5 *5)) (-4 *5 (-1234 *4)) (-4 *4 (-43 (-409 (-568)))) (-5 *2 (-1 (-1141 *4) (-1141 *4) (-1141 *4))) (-5 *1 (-1236 *4 *5))))) 
-(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-141 *5 *6 *7)) (-14 *5 (-568)) (-14 *6 (-763)) (-4 *7 (-172)) (-4 *8 (-172)) (-5 *2 (-141 *5 *6 *8)) (-5 *1 (-140 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 *9)) (-4 *9 (-1047)) (-4 *5 (-842)) (-4 *6 (-788)) (-4 *8 (-1047)) (-4 *2 (-950 *9 *7 *5)) (-5 *1 (-718 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-788)) (-4 *4 (-950 *8 *6 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-492 *4 *5)) (-14 *4 (-634 (-1161))) (-4 *5 (-1047)) (-5 *2 (-242 *4 *5)) (-5 *1 (-945 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-438))))) 
-(((*1 *1 *1) (-4 *1 (-1056))) ((*1 *1 *1 *2 *2) (-12 (-4 *1 (-1221 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-787)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1221 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-787))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-1141 (-634 (-568)))) (-5 *1 (-878)) (-5 *3 (-568)))) ((*1 *2 *3) (-12 (-5 *2 (-1141 (-634 (-568)))) (-5 *1 (-878)) (-5 *3 (-568)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-1141 (-634 (-568)))) (-5 *1 (-878)) (-5 *3 (-568))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-840)) (-4 *4 (-365)) (-5 *2 (-763)) (-5 *1 (-946 *4 *5)) (-4 *5 (-1219 *4))))) 
-(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-558) (-842))) (-4 *2 (-13 (-432 (-169 *4)) (-1002) (-1181))) (-5 *1 (-597 *4 *3 *2)) (-4 *3 (-13 (-432 *4) (-1002) (-1181)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-950 *4 *6 *5)) (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *2 (-121)) (-5 *1 (-924 *4 *5 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-953 *4))) (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *2 (-121)) (-5 *1 (-924 *4 *5 *6 *7)) (-4 *7 (-950 *4 *6 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-792 *2)) (-4 *2 (-172)))) ((*1 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-172))))) 
-(((*1 *2 *3 *3 *3 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-944 *3) (-944 *3))) (-5 *1 (-174 *3)) (-4 *3 (-13 (-365) (-1181) (-1002)))))) 
-(((*1 *2 *3 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-763)) (-5 *1 (-96 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-1090)) (-5 *2 (-763)) (-5 *1 (-96 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-763)) (-5 *1 (-212 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-1090)) (-5 *2 (-763)) (-5 *1 (-212 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-763)) (-5 *1 (-494 *3)) (-4 *3 (-1090)) (-4 *3 (-842)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-842)) (-5 *2 (-763)) (-5 *1 (-494 *4)))) ((*1 *2 *3 *1) (-12 (|has| *1 (-6 -4521)) (-4 *1 (-499 *3)) (-4 *3 (-1195)) (-4 *3 (-1090)) (-5 *2 (-763)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4521)) (-4 *1 (-499 *4)) (-4 *4 (-1195)) (-5 *2 (-763)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-763)) (-5 *1 (-1000 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-1090)) (-5 *2 (-763)) (-5 *1 (-1000 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-763)) (-5 *1 (-1132 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-1090)) (-5 *2 (-763)) (-5 *1 (-1132 *4))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-568)) (-4 *4 (-13 (-558) (-150))) (-5 *1 (-542 *4 *2)) (-4 *2 (-1234 *4)))) ((*1 *2 *2 *3 *3) (-12 (-5 *3 (-568)) (-4 *4 (-13 (-365) (-370) (-609 *3))) (-4 *5 (-1219 *4)) (-4 *6 (-714 *4 *5)) (-5 *1 (-546 *4 *5 *6 *2)) (-4 *2 (-1234 *6)))) ((*1 *2 *2 *3 *3) (-12 (-5 *3 (-568)) (-4 *4 (-13 (-365) (-370) (-609 *3))) (-5 *1 (-547 *4 *2)) (-4 *2 (-1234 *4)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1141 *4)) (-5 *3 (-568)) (-4 *4 (-13 (-558) (-150))) (-5 *1 (-1137 *4))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-1219 *3)) (-4 *3 (-1047)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-917)) (-4 *1 (-1221 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-787)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-409 (-568))) (-4 *1 (-1224 *3)) (-4 *3 (-1047))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-320 *2 *4)) (-4 *4 (-137)) (-4 *2 (-1090)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-5 *1 (-363 *2)) (-4 *2 (-1090)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-5 *1 (-388 *2)) (-4 *2 (-1090)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-5 *1 (-420 *2)) (-4 *2 (-558)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *2 (-1090)) (-5 *1 (-638 *2 *4 *5)) (-4 *4 (-23)) (-14 *5 *4))) ((*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-5 *1 (-814 *2)) (-4 *2 (-842))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-842) (-558))) (-5 *2 (-121)) (-5 *1 (-272 *4 *3)) (-4 *3 (-13 (-432 *4) (-1002)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-169 (-215))) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-239 *2)) (-4 *2 (-1195)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-1189 *3 *4 *5 *2)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *2 (-1061 *3 *4 *5)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-1231 *3)) (-4 *3 (-1195)))) ((*1 *2 *1) (-12 (-4 *1 (-1231 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-568)) (-4 *3 (-172)) (-4 *5 (-375 *3)) (-4 *6 (-375 *3)) (-5 *1 (-678 *3 *5 *6 *2)) (-4 *2 (-677 *3 *5 *6))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1121 (-215))) (-5 *3 (-634 (-256))) (-5 *1 (-1246)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1121 (-215))) (-5 *3 (-1143)) (-5 *1 (-1246)))) ((*1 *1 *1) (-5 *1 (-1246)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-325 *3)) (-4 *3 (-1195)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-525 *3 *4)) (-4 *3 (-1195)) (-14 *4 (-568))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1163 (-409 (-568)))) (-5 *1 (-182))))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *3 (-568)) (-5 *4 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-420 *2)) (-4 *2 (-558))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-917)) (-5 *4 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1245))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-96 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-212 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-4 *1 (-1109 *3)) (-4 *3 (-1195)) (-5 *2 (-763)))) ((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-1132 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *3 *1) (-12 (-4 *4 (-365)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-514 *4 *5 *6 *3)) (-4 *3 (-950 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-857 *4))) (-4 *4 (-350)) (-5 *2 (-967 *4)) (-5 *1 (-867 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-365)) (-5 *2 (-966 *4)) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-365)) (-4 *1 (-971 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1093 *3 *4 *5 *6 *2)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *2 (-1090))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1161)) (-4 *4 (-13 (-453) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-559 *4 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *4)))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-585 *2)) (-4 *2 (-365))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-365)) (-5 *1 (-758 *2 *3)) (-4 *2 (-698 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-844 *2)) (-4 *2 (-1047)) (-4 *2 (-365))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1226 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-1203 *3)) (-5 *2 (-409 (-568)))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2723 (-777 *3)) (|:| |coef2| (-777 *3)))) (-5 *1 (-777 *3)) (-4 *3 (-558)) (-4 *3 (-1047)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-558)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-2 (|:| -2723 *1) (|:| |coef2| *1))) (-4 *1 (-1061 *3 *4 *5))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-1083 *3)) (-4 *3 (-1195))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1047)) (-5 *2 (-634 *1)) (-4 *1 (-1122 *3))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-763)) (-5 *3 (-944 *4)) (-4 *1 (-1122 *4)) (-4 *4 (-1047)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-763)) (-5 *4 (-944 (-215))) (-5 *2 (-1249)) (-5 *1 (-1246))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-977 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-121))))) 
-(((*1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-446 *3)) (-4 *3 (-1047))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-365) (-1037 (-409 *2)))) (-5 *2 (-568)) (-5 *1 (-124 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *1) (-5 *1 (-439)))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-365)) (-4 *3 (-1047)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -2707 *1))) (-4 *1 (-844 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1160)) (-5 *1 (-328)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1160)) (-5 *1 (-328))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-369 *4)) (-4 *4 (-172)) (-5 *2 (-679 *4)))) ((*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-679 *4)) (-5 *1 (-418 *3 *4)) (-4 *3 (-419 *4)))) ((*1 *2) (-12 (-4 *1 (-419 *3)) (-4 *3 (-172)) (-5 *2 (-679 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-634 *3))) (-4 *3 (-1090)) (-5 *1 (-900 *3))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-763))) (-5 *3 (-121)) (-5 *1 (-1149 *4 *5)) (-14 *4 (-917)) (-4 *5 (-1047))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-634 (-1161))) (-5 *2 (-1161)) (-5 *1 (-328))))) 
-(((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-67 *3)) (-14 *3 (-1161)))) ((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-74 *3)) (-14 *3 (-1161)))) ((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-77 *3)) (-14 *3 (-1161)))) ((*1 *2 *1) (-12 (-4 *1 (-397)) (-5 *2 (-1249)))) ((*1 *2 *3) (-12 (-5 *3 (-390)) (-5 *2 (-1249)) (-5 *1 (-399)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1143)) (-5 *4 (-850)) (-5 *2 (-1249)) (-5 *1 (-1123)))) ((*1 *2 *3) (-12 (-5 *3 (-850)) (-5 *2 (-1249)) (-5 *1 (-1123)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-850))) (-5 *2 (-1249)) (-5 *1 (-1123))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-1047)) (-4 *2 (-677 *4 *5 *6)) (-5 *1 (-108 *4 *3 *2 *5 *6)) (-4 *3 (-1219 *4)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-850) (-850))) (-5 *1 (-123)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-850) (-634 (-850)))) (-5 *1 (-123)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-850) (-634 (-850)))) (-5 *1 (-123)))) ((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-205 *3)) (-4 *3 (-13 (-842) (-10 -8 (-15 -2781 ((-1143) $ (-1161))) (-15 -4127 (*2 $)) (-15 -3687 (*2 $))))))) ((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-396)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-5 *2 (-1249)) (-5 *1 (-396)))) ((*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-500)))) ((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-511)))) ((*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-700)))) ((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-1176)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-5 *2 (-1249)) (-5 *1 (-1176))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-5 *1 (-1000 *3))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| (-121)) (|:| -3145 *4)))) (-5 *1 (-1098 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3))))) 
-(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-640 *3)) (-4 *3 (-1195)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-640 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-634 *14)) (-4 *14 (-258 *13)) (-4 *13 (-536 *5 *6 *7 *8 *9 *10 *11 *12 *15)) (-4 *15 (-117)) (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *7 (-950 *5 *8 (-852 *6))) (-4 *8 (-230 (-1699 *6) *3)) (-4 *9 (-971 *5)) (-4 *10 (-641 *5)) (-4 *11 (-920 *5 *10)) (-4 *12 (-235 *11)) (-5 *3 (-763)) (-5 *2 (-568)) (-5 *1 (-260 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14 *15))))) 
-(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-679 *3)) (-4 *3 (-301)) (-5 *1 (-689 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-393))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-1141 (-2 (|:| |k| (-568)) (|:| |c| *6)))) (-5 *4 (-1026 (-835 (-568)))) (-5 *5 (-1161)) (-5 *7 (-409 (-568))) (-4 *6 (-1047)) (-5 *2 (-850)) (-5 *1 (-593 *6))))) 
-(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1061 *3 *4 *2)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842))))) 
-(((*1 *1 *2 *3) (-12 (-4 *4 (-365)) (-4 *6 (-230 (-1699 *5) (-763))) (-4 *7 (-641 *4)) (-4 *8 (-920 *4 *7)) (-4 *1 (-536 *4 *5 *3 *6 *2 *7 *8 *9 *10)) (-4 *3 (-950 *4 *6 (-852 *5))) (-4 *2 (-971 *4)) (-4 *9 (-235 *8)) (-4 *10 (-117)))) ((*1 *1 *2 *3 *4 *5 *6 *5 *7 *8 *9) (-12 (-5 *3 (-242 (-4289 (QUOTE X) (QUOTE -2928)) *8)) (-5 *4 (-33 *8)) (-5 *9 (-1161)) (-4 *8 (-365)) (-5 *5 (-763)) (-4 *12 (-230 (-1699 *10) *5)) (-4 *13 (-641 *8)) (-4 *14 (-920 *8 *13)) (-4 *1 (-536 *8 *10 *11 *12 *2 *13 *14 *7 *6)) (-4 *11 (-950 *8 *12 (-852 *10))) (-4 *2 (-971 *8)) (-4 *7 (-235 *14)) (-4 *6 (-117)))) ((*1 *1 *2) (-12 (-5 *2 (-1161)) (-4 *3 (-365)) (-4 *1 (-920 *3 *4)) (-4 *4 (-641 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-365)) (-4 *1 (-920 *3 *4)) (-4 *4 (-641 *3)))) ((*1 *1) (-5 *1 (-1075)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-993 *2)) (-4 *2 (-558)) (-4 *2 (-550)))) ((*1 *1 *1) (-4 *1 (-1056)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *1 *2 *2 *2) (-12 (-5 *2 (-1143)) (-4 *1 (-391))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-944 *3) (-944 *3))) (-5 *1 (-174 *3)) (-4 *3 (-13 (-365) (-1181) (-1002)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1141 *3)) (-5 *1 (-173 *3)) (-4 *3 (-301))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1201 *2)) (-4 *2 (-1047)))) ((*1 *1 *1) (-12 (-5 *1 (-1235 *2 *3 *4)) (-4 *2 (-1047)) (-14 *3 (-1161)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1239 *2 *3)) (-4 *2 (-1047)) (-14 *3 (-1161))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-917)) (-5 *1 (-781))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-390)) (-5 *2 (-1249)) (-5 *1 (-393)))) ((*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-393))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-235 *2)) (-4 *2 (-1090))))) 
-(((*1 *1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *1 *2 *2 *2 *2) (-12 (-4 *1 (-997 *2)) (-4 *2 (-172))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-634 (-492 *4 *5))) (-5 *3 (-634 (-852 *4))) (-14 *4 (-634 (-1161))) (-4 *5 (-453)) (-5 *1 (-476 *4 *5 *6)) (-4 *6 (-453))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-2 (|:| -3651 (-1161)) (|:| -4085 (-439))))) (-5 *1 (-1165))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1157 *7)) (-4 *7 (-950 *6 *4 *5)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1047)) (-5 *2 (-1157 *6)) (-5 *1 (-318 *4 *5 *6 *7))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-944 (-215))) (-5 *4 (-869)) (-5 *2 (-1249)) (-5 *1 (-473)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1047)) (-4 *1 (-981 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-944 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-944 *3)) (-4 *3 (-1047)) (-4 *1 (-1122 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-1122 *3)) (-4 *3 (-1047)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *1 (-1122 *3)) (-4 *3 (-1047)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-944 *3)) (-4 *1 (-1122 *3)) (-4 *3 (-1047)))) ((*1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-944 (-215))) (-5 *1 (-1192)) (-5 *3 (-215))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-565)) (-5 *3 (-568))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-679 *4)) (-4 *4 (-365)) (-5 *2 (-1157 *4)) (-5 *1 (-535 *4 *5 *6)) (-4 *5 (-365)) (-4 *6 (-13 (-365) (-840)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-171)))) ((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-1245)))) ((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-1246))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1219 (-568)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-634 (-944 (-215))))) (-5 *1 (-473))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-141 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-763)) (-4 *5 (-172)))) ((*1 *1 *1) (-12 (-5 *1 (-141 *2 *3 *4)) (-14 *2 (-568)) (-14 *3 (-763)) (-4 *4 (-172)))) ((*1 *1 *1) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)))) ((*1 *1 *2) (-12 (-4 *3 (-1047)) (-4 *1 (-677 *3 *2 *4)) (-4 *2 (-375 *3)) (-4 *4 (-375 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1127 *2 *3)) (-14 *2 (-763)) (-4 *3 (-1047))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-833)) (-5 *4 (-1059)) (-5 *2 (-1035)) (-5 *1 (-832)))) ((*1 *2 *3) (-12 (-5 *3 (-833)) (-5 *2 (-1035)) (-5 *1 (-832)))) ((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-634 (-381))) (-5 *5 (-634 (-835 (-381)))) (-5 *6 (-634 (-310 (-381)))) (-5 *3 (-310 (-381))) (-5 *2 (-1035)) (-5 *1 (-832)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-634 (-381))) (-5 *5 (-634 (-835 (-381)))) (-5 *2 (-1035)) (-5 *1 (-832)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-634 (-381))) (-5 *2 (-1035)) (-5 *1 (-832)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-310 (-381)))) (-5 *4 (-634 (-381))) (-5 *2 (-1035)) (-5 *1 (-832))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-563))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-121) (-123) (-123))) (-5 *1 (-123))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *3 (-1219 *4)) (-5 *1 (-804 *4 *3 *2 *5)) (-4 *2 (-646 *3)) (-4 *5 (-646 (-409 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-409 *5)) (-4 *4 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *5 (-1219 *4)) (-5 *1 (-804 *4 *5 *2 *6)) (-4 *2 (-646 *5)) (-4 *6 (-646 *3))))) 
-(((*1 *2 *1 *2) (-12 (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *2 (-117))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1010 *3)) (-4 *3 (-1195)) (-5 *2 (-634 *3))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) ((*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-1195)))) ((*1 *2 *1) (-12 (-5 *1 (-1000 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *2 (-634 *3)) (-5 *1 (-924 *4 *5 *6 *3)) (-4 *3 (-950 *4 *6 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-121))))) 
-(((*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-763)) (-5 *4 (-917)) (-5 *2 (-1249)) (-5 *1 (-1245)))) ((*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-763)) (-5 *4 (-917)) (-5 *2 (-1249)) (-5 *1 (-1246))))) 
-(((*1 *1 *1 *2 *2 *2) (-12 (-5 *2 (-1084 (-215))) (-5 *1 (-926)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-1084 (-215))) (-5 *1 (-927)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1084 (-215))) (-5 *1 (-927)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-381)) (-5 *2 (-1249)) (-5 *1 (-1246)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-381)) (-5 *2 (-1249)) (-5 *1 (-1246))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-5 *1 (-96 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1195)) (-4 *1 (-111 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-5 *1 (-212 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-842)) (-5 *1 (-494 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-5 *1 (-1000 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-5 *1 (-1132 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-381)) (-5 *2 (-1143)) (-5 *1 (-299))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| *3) (|:| -3145 *4)))) (-5 *1 (-1098 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002)))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-288 *2)) (-4 *2 (-296)) (-4 *2 (-1195)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-607 *1))) (-5 *3 (-634 *1)) (-4 *1 (-296)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-288 *1))) (-4 *1 (-296)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-288 *1)) (-4 *1 (-296))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-634 (-944 (-215))))) (-5 *2 (-634 (-1084 (-215)))) (-5 *1 (-928))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-763)) (-4 *3 (-13 (-558) (-453))) (-5 *2 (-634 *3)) (-5 *1 (-346 *3 *5)) (-4 *5 (-52 *3 *4))))) 
-(((*1 *2 *1 *1 *3) (-12 (-4 *1 (-1129)) (-5 *3 (-147)) (-5 *2 (-121))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1026 (-835 (-568)))) (-5 *3 (-1141 (-2 (|:| |k| (-568)) (|:| |c| *4)))) (-4 *4 (-1047)) (-5 *1 (-593 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-4 *3 (-301)) (-5 *2 (-634 *5))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-763)) (-5 *1 (-586 *2)) (-4 *2 (-550)))) ((*1 *2 *3) (-12 (-5 *2 (-2 (|:| -2404 *3) (|:| -3483 (-763)))) (-5 *1 (-586 *3)) (-4 *3 (-550))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-568)) (-5 *1 (-464)))) ((*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-465))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-2 (|:| |zeros| (-1141 (-215))) (|:| |ones| (-1141 (-215))) (|:| |singularities| (-1141 (-215))))) (-5 *1 (-109))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-917)) (-5 *1 (-358 *3)) (-4 *3 (-350))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-634 *6)) (-5 *1 (-514 *3 *4 *5 *6)) (-4 *6 (-950 *3 *4 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-634 (-900 *3))) (-5 *1 (-899 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| *3) (|:| -3145 *4)))) (-5 *1 (-1067 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-917)) (-5 *3 (-634 (-256))) (-5 *1 (-254)))) ((*1 *1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-256))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *1) (-5 *1 (-147))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-256))) (-5 *2 (-1121 (-215))) (-5 *1 (-254)))) ((*1 *1 *2) (-12 (-5 *2 (-1121 (-215))) (-5 *1 (-256))))) 
-(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-239 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1261 *3)) (-4 *3 (-365)) (-5 *2 (-121))))) 
-(((*1 *1 *1) (|partial| -12 (-5 *1 (-288 *2)) (-4 *2 (-716)) (-4 *2 (-1195))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1134 *3)) (-4 *3 (-1195)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-169 (-215))) (-5 *5 (-568)) (-5 *6 (-1143)) (-5 *3 (-215)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-381)) (-5 *1 (-99))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-927))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-944 *3) (-944 *3))) (-5 *1 (-174 *3)) (-4 *3 (-13 (-365) (-1181) (-1002)))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1195)) (-5 *1 (-377 *4 *2)) (-4 *2 (-13 (-375 *4) (-10 -7 (-6 -4522))))))) 
-(((*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-568)) (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3))))) 
-(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-169 (-215))) (-5 *5 (-568)) (-5 *6 (-1143)) (-5 *3 (-215)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-365)) (-5 *1 (-280 *3 *2)) (-4 *2 (-1234 *3))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-950 *3 *4 *5)) (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-450 *3 *4 *5 *6))))) 
-(((*1 *1 *1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *3 (-558))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1143)) (-5 *3 (-634 (-256))) (-5 *1 (-254)))) ((*1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-256)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1245)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1246))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-739))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) ((*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-1195)))) ((*1 *2 *1) (-12 (-5 *1 (-1000 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-634 *4)) (-4 *4 (-1090)) (-4 *4 (-1195)) (-5 *2 (-121)) (-5 *1 (-1141 *4))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-763)) (-4 *5 (-558)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-970 *5 *3)) (-4 *3 (-1219 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-420 *3)) (-5 *1 (-910 *3)) (-4 *3 (-301))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1210 (-568))) (-4 *1 (-277 *3)) (-4 *3 (-1195)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-277 *3)) (-4 *3 (-1195))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-739))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *2 *3) (-12 (-4 *2 (-365)) (-4 *2 (-840)) (-5 *1 (-946 *2 *3)) (-4 *3 (-1219 *2))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1108)) (-5 *1 (-96 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-5 *2 (-1108)) (-5 *1 (-212 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-215)))) ((*1 *2 *1) (-12 (-5 *2 (-1108)) (-5 *1 (-494 *3)) (-4 *3 (-1090)) (-4 *3 (-842)))) ((*1 *1 *1) (-4 *1 (-550))) ((*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-591 *3)) (-14 *3 *2))) ((*1 *2 *1) (-12 (-5 *2 (-1108)) (-5 *1 (-1000 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-4 *1 (-1090)) (-5 *2 (-1108)))) ((*1 *2 *1) (-12 (-5 *2 (-1108)) (-5 *1 (-1132 *3)) (-4 *3 (-1090)) (-4 *3 (-1090))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-420 *3)) (-5 *1 (-561 *3)) (-4 *3 (-550))))) 
-(((*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-739))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121)) (-5 *1 (-514 *3 *4 *5 *6)) (-4 *6 (-950 *3 *4 *5)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-634 *6)) (-4 *6 (-842)) (-4 *4 (-365)) (-4 *5 (-788)) (-5 *2 (-121)) (-5 *1 (-514 *4 *5 *6 *7)) (-4 *7 (-950 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-121)) (-5 *1 (-464)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-465)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-927))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-57))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-679 *4)) (-5 *3 (-917)) (-4 *4 (-1047)) (-5 *1 (-1028 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-634 (-679 *4))) (-5 *3 (-917)) (-4 *4 (-1047)) (-5 *1 (-1028 *4))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1246))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-44 *3)) (-4 *3 (-1219 (-53)))))) 
-(((*1 *2 *3 *3 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-739))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-234)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-1143))) (-5 *2 (-1249)) (-5 *1 (-234))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-208))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-850)) (-5 *2 (-1143)) (-5 *1 (-500)))) ((*1 *2 *3) (-12 (-5 *3 (-850)) (-5 *2 (-1143)) (-5 *1 (-700))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-169 (-215))) (-5 *1 (-217)))) ((*1 *2 *2) (-12 (-5 *2 (-215)) (-5 *1 (-217)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) ((*1 *1 *1) (-4 *1 (-1124)))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-917)) (-4 *1 (-230 *3 *4)) (-4 *4 (-1047)) (-4 *4 (-1195)))) ((*1 *1 *2) (-12 (-14 *3 (-634 (-1161))) (-4 *4 (-172)) (-4 *5 (-230 (-1699 *3) (-763))) (-14 *6 (-1 (-121) (-2 (|:| -4357 *2) (|:| -3483 *5)) (-2 (|:| -4357 *2) (|:| -3483 *5)))) (-5 *1 (-463 *3 *4 *2 *5 *6 *7)) (-4 *2 (-842)) (-4 *7 (-950 *4 *5 (-852 *3))))) ((*1 *2 *2) (-12 (-5 *2 (-944 (-215))) (-5 *1 (-1192))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-568)) (-5 *4 (-1143)) (-5 *5 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-739))))) 
-(((*1 *1 *2 *2) (-12 (-4 *1 (-166 *2)) (-4 *2 (-172))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-792 *2)) (-4 *2 (-172)))) ((*1 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-172))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-147))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-1182 *3))) (-5 *1 (-1182 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-977 *3 *4 *2 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-1061 *3 *4 *2)) (-4 *2 (-842)))) ((*1 *2 *1) (-12 (-4 *1 (-1061 *3 *4 *2)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-147))))) 
-(((*1 *2 *1 *3) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-126 *4)) (-14 *4 *3) (-5 *3 (-568)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-863 *3)) (-5 *2 (-568)))) ((*1 *2 *1 *3) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-865 *4)) (-14 *4 *3) (-5 *3 (-568)))) ((*1 *2 *1 *3) (-12 (-14 *4 *3) (-5 *2 (-409 (-568))) (-5 *1 (-866 *4 *5)) (-5 *3 (-568)) (-4 *5 (-863 *4)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1012)) (-5 *2 (-409 (-568))))) ((*1 *2 *3 *1 *2) (-12 (-4 *1 (-1063 *2 *3)) (-4 *2 (-13 (-840) (-365))) (-4 *3 (-1219 *2)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-1221 *2 *3)) (-4 *3 (-787)) (|has| *2 (-15 ** (*2 *2 *3))) (|has| *2 (-15 -2747 (*2 (-1161)))) (-4 *2 (-1047))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-568)) (-5 *4 (-1143)) (-5 *5 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-739))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-679 *3)) (-4 *3 (-365)) (-5 *1 (-653 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-679 (-905 *3))) (-5 *1 (-352 *3 *4)) (-14 *3 (-917)) (-14 *4 (-917)))) ((*1 *2) (-12 (-5 *2 (-679 *3)) (-5 *1 (-353 *3 *4)) (-4 *3 (-350)) (-14 *4 (-3 (-1157 *3) (-1244 (-634 (-2 (|:| -2852 *3) (|:| -4357 (-1108))))))))) ((*1 *2) (-12 (-5 *2 (-679 *3)) (-5 *1 (-354 *3 *4)) (-4 *3 (-350)) (-14 *4 (-917))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-831)) (-5 *3 (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) (-5 *2 (-1035)))) ((*1 *2 *3) (-12 (-4 *1 (-831)) (-5 *3 (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) (-5 *2 (-1035))))) 
-(((*1 *2 *2 *1) (-12 (-5 *2 (-634 *6)) (-4 *1 (-977 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1201 *3)) (-4 *3 (-1047)) (-5 *1 (-1200 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-887 *4)) (-4 *4 (-1090)) (-5 *2 (-1 (-121) *5)) (-5 *1 (-885 *4 *5)) (-4 *5 (-1195))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *5 *3) (-12 (-5 *3 (-568)) (-5 *4 (-1143)) (-5 *5 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-739))))) 
-(((*1 *1 *2 *2 *1) (-12 (-5 *1 (-636 *2)) (-4 *2 (-1090))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-246 *2 *3 *4 *5)) (-4 *2 (-1047)) (-4 *3 (-842)) (-4 *4 (-262 *3)) (-4 *5 (-788))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-1161))))) 
-(((*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1195)) (-5 *2 (-763)) (-5 *1 (-229 *3 *4 *5)) (-4 *3 (-230 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-320 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-137)) (-5 *2 (-763)))) ((*1 *2) (-12 (-4 *4 (-365)) (-5 *2 (-763)) (-5 *1 (-326 *3 *4)) (-4 *3 (-327 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-363 *3)) (-4 *3 (-1090)))) ((*1 *2) (-12 (-4 *1 (-370)) (-5 *2 (-763)))) ((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-388 *3)) (-4 *3 (-1090)))) ((*1 *2) (-12 (-4 *4 (-1090)) (-5 *2 (-763)) (-5 *1 (-426 *3 *4)) (-4 *3 (-427 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-638 *3 *4 *5)) (-4 *3 (-1090)) (-4 *4 (-23)) (-14 *5 *4))) ((*1 *2) (-12 (-4 *4 (-172)) (-4 *5 (-1219 *4)) (-5 *2 (-763)) (-5 *1 (-713 *3 *4 *5)) (-4 *3 (-714 *4 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-814 *3)) (-4 *3 (-842)))) ((*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-1006)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-840) (-365))) (-5 *1 (-1057 *2 *3)) (-4 *3 (-1219 *2))))) 
-(((*1 *1 *1 *1) (-4 *1 (-478))) ((*1 *1 *1 *1) (-4 *1 (-753)))) 
-(((*1 *2 *1) (-12 (-5 *1 (-1191 *2)) (-4 *2 (-975))))) 
-(((*1 *2 *3 *2 *4) (-12 (-5 *3 (-634 *6)) (-5 *4 (-634 (-242 *5 *6))) (-4 *6 (-453)) (-5 *2 (-242 *5 *6)) (-14 *5 (-634 (-1161))) (-5 *1 (-622 *5 *6))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *5 *5 *3) (-12 (-5 *3 (-568)) (-5 *4 (-1143)) (-5 *5 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-739))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-432 *4)) (-5 *1 (-159 *4 *2)) (-4 *4 (-13 (-842) (-558)))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(((*1 *2) (-12 (-5 *2 (-869)) (-5 *1 (-1247)))) ((*1 *2 *2) (-12 (-5 *2 (-869)) (-5 *1 (-1247))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-634 *2)) (-4 *2 (-1090)) (-4 *2 (-1195))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-634 (-679 *4))) (-5 *2 (-679 *4)) (-4 *4 (-1047)) (-5 *1 (-1029 *4))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-739))))) 
-(((*1 *1) (-12 (-5 *1 (-634 *2)) (-4 *2 (-1195))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-310 *3)) (-4 *3 (-558)) (-4 *3 (-842))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-324 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-787)) (-5 *2 (-763)))) ((*1 *2 *1) (-12 (-4 *1 (-384 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-1090)) (-5 *2 (-763)))) ((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-725 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-716))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-842) (-558) (-609 (-541)))) (-5 *2 (-123)) (-5 *1 (-1024 *4 *3)) (-4 *3 (-13 (-432 *4) (-23) (-1037 (-568)) (-1037 (-1161)) (-895 (-1161)) (-161)))))) 
-(((*1 *1) (-5 *1 (-439)))) 
-(((*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *7 (-230 (-1699 *5) (-763))) (-5 *2 (-634 (-634 (-1157 (-1157 *4))))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-5 *3 (-634 (-1157 (-1157 *4)))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *8 (-971 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-763)) (-5 *4 (-1244 *2)) (-4 *5 (-301)) (-4 *6 (-993 *5)) (-4 *2 (-13 (-411 *6 *7) (-1037 *6))) (-5 *1 (-415 *5 *6 *7 *2)) (-4 *7 (-1219 *6))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-1161))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-739))))) 
-(((*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) ((*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4521)) (-4 *1 (-227 *3)) (-4 *3 (-1090)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-277 *3)) (-4 *3 (-1195))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-634 *2)) (-4 *2 (-1090)) (-4 *2 (-1195))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *2) (-12 (-5 *2 (-2 (|:| -3043 (-634 (-1161))) (|:| -3544 (-634 (-1161))))) (-5 *1 (-1197))))) 
-(((*1 *2 *3 *4) (-12 (-4 *6 (-558)) (-4 *2 (-950 *3 *5 *4)) (-5 *1 (-722 *5 *4 *6 *2)) (-5 *3 (-409 (-953 *6))) (-4 *5 (-788)) (-4 *4 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $)))))))) 
-(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-739))))) 
-(((*1 *1 *2 *3 *3 *3 *4) (-12 (-4 *4 (-365)) (-4 *3 (-1219 *4)) (-4 *5 (-1219 (-409 *3))) (-4 *1 (-333 *4 *3 *5 *2)) (-4 *2 (-340 *4 *3 *5)))) ((*1 *1 *2 *2 *3) (-12 (-5 *3 (-568)) (-4 *2 (-365)) (-4 *4 (-1219 *2)) (-4 *5 (-1219 (-409 *4))) (-4 *1 (-333 *2 *4 *5 *6)) (-4 *6 (-340 *2 *4 *5)))) ((*1 *1 *2 *2) (-12 (-4 *2 (-365)) (-4 *3 (-1219 *2)) (-4 *4 (-1219 (-409 *3))) (-4 *1 (-333 *2 *3 *4 *5)) (-4 *5 (-340 *2 *3 *4)))) ((*1 *1 *2) (-12 (-4 *3 (-365)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-4 *1 (-333 *3 *4 *5 *2)) (-4 *2 (-340 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-415 *4 (-409 *4) *5 *6)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-4 *6 (-340 *3 *4 *5)) (-4 *3 (-365)) (-4 *1 (-333 *3 *4 *5 *6))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-2 (|:| -3651 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| -4085 (-2 (|:| |stiffness| (-381)) (|:| |stability| (-381)) (|:| |expense| (-381)) (|:| |accuracy| (-381)) (|:| |intermediateResults| (-381))))))) (-5 *1 (-798))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-698 *3)) (-5 *1 (-822 *2 *3)) (-4 *3 (-1047))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-634 *2)) (-4 *2 (-1090)) (-4 *2 (-1195))))) 
-(((*1 *1 *1) (-4 *1 (-550)))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-634 *3)) (-4 *3 (-1099 *5 *6 *7 *8)) (-4 *5 (-13 (-301) (-150))) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *8 (-1061 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-590 *5 *6 *7 *8 *3))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-1090)) (-5 *2 (-121)) (-5 *1 (-96 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-1090)) (-5 *2 (-121)) (-5 *1 (-212 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-842)) (-5 *2 (-121)) (-5 *1 (-494 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4521)) (-4 *1 (-499 *4)) (-4 *4 (-1195)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-1090)) (-5 *2 (-121)) (-5 *1 (-1000 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-1090)) (-5 *2 (-121)) (-5 *1 (-1132 *4))))) 
-(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-739))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-1219 *3)) (-5 *1 (-401 *3 *2)) (-4 *3 (-13 (-365) (-150)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-601 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1195)) (-5 *2 (-634 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-333 *3 *4 *5 *6)) (-4 *3 (-365)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-4 *6 (-340 *3 *4 *5)) (-5 *2 (-2 (|:| -1716 (-415 *4 (-409 *4) *5 *6)) (|:| |principalPart| *6))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1219 *5)) (-4 *5 (-365)) (-5 *2 (-2 (|:| |poly| *6) (|:| -2244 (-409 *6)) (|:| |special| (-409 *6)))) (-5 *1 (-717 *5 *6)) (-5 *3 (-409 *6)))) ((*1 *2 *3) (-12 (-4 *4 (-365)) (-5 *2 (-634 *3)) (-5 *1 (-891 *3 *4)) (-4 *3 (-1219 *4)))) ((*1 *2 *3 *4 *4) (|partial| -12 (-5 *4 (-763)) (-4 *5 (-365)) (-5 *2 (-2 (|:| -3030 *3) (|:| -3286 *3))) (-5 *1 (-891 *3 *5)) (-4 *3 (-1219 *5)))) ((*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-634 *9)) (-5 *3 (-634 *8)) (-5 *4 (-121)) (-4 *8 (-1061 *5 *6 *7)) (-4 *9 (-1066 *5 *6 *7 *8)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *1 (-1064 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-634 *9)) (-5 *3 (-634 *8)) (-5 *4 (-121)) (-4 *8 (-1061 *5 *6 *7)) (-4 *9 (-1066 *5 *6 *7 *8)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *1 (-1064 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-634 *9)) (-5 *3 (-634 *8)) (-5 *4 (-121)) (-4 *8 (-1061 *5 *6 *7)) (-4 *9 (-1099 *5 *6 *7 *8)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *1 (-1130 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-634 *9)) (-5 *3 (-634 *8)) (-5 *4 (-121)) (-4 *8 (-1061 *5 *6 *7)) (-4 *9 (-1099 *5 *6 *7 *8)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *1 (-1130 *5 *6 *7 *8 *9))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-375 *2)) (-4 *2 (-1195)))) ((*1 *2 *2) (-12 (-4 *3 (-1047)) (-5 *1 (-445 *3 *2)) (-4 *2 (-1219 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-638 *2 *3 *4)) (-4 *2 (-1090)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *2 (-634 (-2 (|:| |totdeg| (-763)) (|:| -1416 *3)))) (-5 *4 (-763)) (-4 *3 (-950 *5 *6 *7)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *1 (-450 *5 *6 *7 *3))))) 
-(((*1 *1 *1 *2 *1) (-12 (-4 *1 (-1129)) (-5 *2 (-1210 (-568)))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *5) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *5 (-3 (|:| |fn| (-390)) (|:| |fp| (-69 -1478)))) (-5 *2 (-1035)) (-5 *1 (-738))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-634 (-1157 (-568)))) (-5 *1 (-183)) (-5 *3 (-568))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-558) (-842))) (-5 *2 (-169 *5)) (-5 *1 (-597 *4 *5 *3)) (-4 *5 (-13 (-432 *4) (-1002) (-1181))) (-4 *3 (-13 (-432 (-169 *4)) (-1002) (-1181)))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| *3) (|:| -3145 *4)))) (-5 *1 (-1098 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-679 *5)) (-4 *5 (-1047)) (-5 *1 (-1051 *3 *4 *5)) (-14 *3 (-763)) (-14 *4 (-763))))) 
-(((*1 *1 *1) (-12 (-4 *2 (-453)) (-4 *3 (-842)) (-4 *4 (-788)) (-5 *1 (-988 *2 *3 *4 *5)) (-4 *5 (-950 *2 *4 *3))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-667 *2)) (-4 *2 (-842)))) ((*1 *1 *1) (-12 (-5 *1 (-814 *2)) (-4 *2 (-842)))) ((*1 *1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-842)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-1189 *2 *3 *4 *5)) (-4 *2 (-558)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *5 (-1061 *2 *3 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-1231 *3)) (-4 *3 (-1195)))) ((*1 *1 *1) (-12 (-4 *1 (-1231 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *3) (|:| |xpnt| (-568))))) (-5 *1 (-420 *3)) (-4 *3 (-558)))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-763)) (-4 *3 (-350)) (-4 *5 (-1219 *3)) (-5 *2 (-634 (-1157 *3))) (-5 *1 (-507 *3 *5 *6)) (-4 *6 (-1219 *5))))) 
-(((*1 *2 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-215)) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-86 FCN)))) (-5 *2 (-1035)) (-5 *1 (-738))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-320 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-137)) (-4 *3 (-787))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1244 *3)) (-4 *3 (-1047)) (-5 *1 (-702 *3 *4)) (-4 *4 (-1219 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-4 *1 (-898 *3))))) 
-(((*1 *2) (-12 (-4 *3 (-1047)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-5 *2 (-634 *4)) (-5 *1 (-908 *3 *4 *5 *6)) (-4 *4 (-324 *3 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *2 (-1035)) (-5 *1 (-299))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-899 (-568))) (-5 *1 (-913)))) ((*1 *2 *3) (-12 (-5 *3 (-972)) (-5 *2 (-899 (-568))) (-5 *1 (-913))))) 
-(((*1 *2 *2 *2 *3 *4) (-12 (-5 *3 (-101 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-1047)) (-5 *1 (-845 *5 *2)) (-4 *2 (-844 *5))))) 
-(((*1 *1 *1) (-12 (|has| *1 (-6 -4521)) (-4 *1 (-154 *2)) (-4 *2 (-1195)) (-4 *2 (-1090))))) 
-(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-324 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-787)) (-4 *3 (-172))))) 
-(((*1 *1 *1 *1) (-4 *1 (-296))) ((*1 *1 *1) (-4 *1 (-296)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-2 (|:| -2371 (-763)) (|:| |eqns| (-634 (-2 (|:| |det| *7) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568)))))) (|:| |fgb| (-634 *7))))) (-4 *7 (-950 *4 *6 *5)) (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *2 (-763)) (-5 *1 (-924 *4 *5 *6 *7))))) 
-(((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-634 *1)) (-4 *1 (-916))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-819))))) 
-(((*1 *2 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-1195)))) ((*1 *2 *2 *1) (-12 (-5 *1 (-1000 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-366 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-5 *2 (-1249))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-514 (-409 (-568)) (-232 *5 (-763)) (-852 *4) (-242 *4 (-409 (-568))))) (-14 *4 (-634 (-1161))) (-14 *5 (-763)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-858)) (-5 *2 (-917))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-497))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-53))) (-1201 (-53)))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-53)))) (-1201 (-1157 (-53))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-53) (-763) (-763) (-1157 (-53)))) (|:| AF (-1 (-1157 (-53)) (-763) (-763) (-1201 (-1157 (-53))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-53)) (-763)))) (-634 (-465)))) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-5 *1 (-482)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 *4)) (-1201 *4))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 *4))) (-1201 (-1157 *4)))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 *4 (-763) (-763) (-1157 *4))) (|:| AF (-1 (-1157 *4) (-763) (-763) (-1201 (-1157 *4)))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 *4) (-763)))) (-634 (-465)))) (-4 *4 (-13 (-350) (-609 (-568)))) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-484 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-568)))) (-1201 (-409 (-568))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-568))))) (-1201 (-1157 (-409 (-568)))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-568) (-763) (-763) (-1157 (-568)))) (|:| AF (-1 (-1157 (-409 (-568))) (-763) (-763) (-1201 (-1157 (-409 (-568)))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-568)) (-763)))) (-634 (-465)))) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 *4)) (-1201 *4))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 *4))) (-1201 (-1157 *4)))) (|:| |exprStream| (-1 (-1141 *6) *6 (-1161))) (|:| A (-1 *5 (-763) (-763) (-1157 *5))) (|:| AF (-1 (-1157 *4) (-763) (-763) (-1201 (-1157 *4)))) (|:| AX (-1 *6 (-763) (-1161) *6)) (|:| C (-1 (-634 *5) (-763)))) (-634 (-465)))) (-4 *4 (-365)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-14 *9 (-1 *6 *4)) (-5 *2 (-1 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-953 (-568))))) (-1201 (-409 (-953 (-568)))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-953 (-568)))))) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-953 (-568)) (-763) (-763) (-1157 (-953 (-568))))) (|:| AF (-1 (-1157 (-409 (-953 (-568)))) (-763) (-763) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-953 (-568))) (-763)))) (-634 (-465)))) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-5 *1 (-487)))) ((*1 *2 *3) (-12 (-5 *3 (-1 HPSPEC (-634 (-465)))) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 *4 (-568)))) (-634 (-465)))) (-5 *1 (-488 *4)) (-14 *4 (-1161))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-365)) (-5 *1 (-758 *2 *3)) (-4 *2 (-698 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-844 *2)) (-4 *2 (-1047)) (-4 *2 (-365))))) 
-(((*1 *1) (-5 *1 (-121)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-365)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *1 (-529 *3 *4 *5 *2)) (-4 *2 (-677 *3 *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4)) (-4 *7 (-993 *4)) (-4 *2 (-677 *7 *8 *9)) (-5 *1 (-530 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-677 *4 *5 *6)) (-4 *8 (-375 *7)) (-4 *9 (-375 *7)))) ((*1 *1 *1) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)) (-4 *2 (-301)))) ((*1 *2 *2) (-12 (-4 *3 (-301)) (-4 *3 (-172)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *1 (-678 *3 *4 *5 *2)) (-4 *2 (-677 *3 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-679 *3)) (-4 *3 (-301)) (-5 *1 (-689 *3)))) ((*1 *1 *1) (-12 (-4 *1 (-1050 *2 *3 *4 *5 *6)) (-4 *4 (-1047)) (-4 *5 (-230 *3 *4)) (-4 *6 (-230 *2 *4)) (-4 *4 (-301))))) 
-(((*1 *1 *1 *1) (-4 *1 (-753)))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-121)) (-5 *1 (-123)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-296)) (-5 *3 (-1161)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-296)) (-5 *3 (-123)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-121)) (-5 *1 (-607 *4)) (-4 *4 (-842)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-123)) (-5 *2 (-121)) (-5 *1 (-607 *4)) (-4 *4 (-842)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1090)) (-5 *2 (-121)) (-5 *1 (-882 *5 *3 *4)) (-4 *3 (-881 *5)) (-4 *4 (-609 (-887 *5))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 *6)) (-4 *6 (-881 *5)) (-4 *5 (-1090)) (-5 *2 (-121)) (-5 *1 (-882 *5 *6 *4)) (-4 *4 (-609 (-887 *5)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1093 *3 *4 *5 *6 *7)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-679 (-409 (-953 *4)))) (-4 *4 (-453)) (-5 *2 (-634 (-3 (-409 (-953 *4)) (-1150 (-1161) (-953 *4))))) (-5 *1 (-286 *4))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-944 *2)) (-5 *1 (-983 *2)) (-4 *2 (-1047))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-57))) (-5 *1 (-887 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1244 *4)) (-5 *3 (-763)) (-4 *4 (-350)) (-5 *1 (-532 *4))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1231 *2)) (-4 *2 (-1195))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-944 *4)) (-4 *4 (-1047)) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917))))) 
-(((*1 *1) (-5 *1 (-439)))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1035)) (-5 *3 (-1161)) (-5 *1 (-263))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1244 *3)) (-4 *3 (-365)) (-4 *1 (-327 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1244 *3)) (-4 *3 (-1219 *4)) (-4 *4 (-1199)) (-4 *1 (-340 *4 *3 *5)) (-4 *5 (-1219 (-409 *3))))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1244 *4)) (-5 *3 (-1244 *1)) (-4 *4 (-172)) (-4 *1 (-369 *4)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1244 *4)) (-5 *3 (-1244 *1)) (-4 *4 (-172)) (-4 *1 (-372 *4 *5)) (-4 *5 (-1219 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 *3)) (-4 *3 (-172)) (-4 *1 (-411 *3 *4)) (-4 *4 (-1219 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 *3)) (-4 *3 (-172)) (-4 *1 (-419 *3))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-884 *4 *5)) (-5 *3 (-884 *4 *6)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-658 *5)) (-5 *1 (-880 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-365)) (-5 *2 (-634 *3)))) ((*1 *1 *2) (-12 (-4 *1 (-658 *2)) (-4 *2 (-1195)))) ((*1 *2 *1) (-12 (-4 *1 (-971 *3)) (-4 *3 (-365)) (-5 *2 (-634 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-634 (-1161))) (-5 *1 (-1161))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-679 (-409 (-568)))) (-5 *2 (-634 (-2 (|:| |outval| *4) (|:| |outmult| (-568)) (|:| |outvect| (-634 (-679 *4)))))) (-5 *1 (-773 *4)) (-4 *4 (-13 (-365) (-840)))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1 (-944 (-215)) (-215) (-215))) (-5 *3 (-1 (-215) (-215) (-215) (-215))) (-5 *1 (-248))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-147))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -2910 *4))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-128 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-634 *7)) (-5 *5 (-634 (-634 *8))) (-4 *7 (-842)) (-4 *8 (-301)) (-4 *6 (-788)) (-4 *9 (-950 *8 *6 *7)) (-5 *2 (-2 (|:| |unitPart| *9) (|:| |suPart| (-634 (-2 (|:| -3850 (-1157 *9)) (|:| -3483 (-568))))))) (-5 *1 (-732 *6 *7 *8 *9)) (-5 *3 (-1157 *9))))) 
-(((*1 *1 *2 *3) (-12 (-5 *1 (-965 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-1090))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1098 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| (-121)) (|:| -3145 *4)))) (-5 *1 (-1098 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *2 (-117))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-609 (-887 *3))) (-4 *3 (-881 *3)) (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-609 (-887 *3))) (-4 *2 (-881 *3)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(((*1 *2 *3 *4 *4 *3) (|partial| -12 (-5 *4 (-607 *3)) (-4 *3 (-13 (-432 *5) (-27) (-1181))) (-4 *5 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-2 (|:| -4151 *3) (|:| |coeff| *3))) (-5 *1 (-570 *5 *3 *6)) (-4 *6 (-1090))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-1161)) (-5 *1 (-464)))) ((*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-465))))) 
-(((*1 *1) (-5 *1 (-439)))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1161)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-691 *3 *5 *6 *7)) (-4 *3 (-609 (-541))) (-4 *5 (-1195)) (-4 *6 (-1195)) (-4 *7 (-1195)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-5 *2 (-1 *6 *5)) (-5 *1 (-696 *3 *5 *6)) (-4 *3 (-609 (-541))) (-4 *5 (-1195)) (-4 *6 (-1195))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-634 *6))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1173 *4 *5)) (-4 *4 (-1090)) (-4 *5 (-1090))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-953 *5)) (-4 *5 (-1047)) (-5 *2 (-242 *4 *5)) (-5 *1 (-945 *4 *5)) (-14 *4 (-634 (-1161)))))) 
-(((*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-944 *5)) (-5 *3 (-763)) (-4 *5 (-1047)) (-5 *1 (-1149 *4 *5)) (-14 *4 (-917))))) 
-(((*1 *2 *3 *1) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-634 *1)) (-4 *1 (-1066 *4 *5 *6 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-601 *3 *2)) (-4 *3 (-1090)) (-4 *3 (-842)) (-4 *2 (-1195)))) ((*1 *2 *1) (-12 (-5 *1 (-667 *2)) (-4 *2 (-842)))) ((*1 *2 *1) (-12 (-5 *1 (-814 *2)) (-4 *2 (-842)))) ((*1 *2 *1) (-12 (-5 *2 (-663 *3)) (-5 *1 (-888 *3)) (-4 *3 (-842)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-1189 *3 *4 *5 *2)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *2 (-1061 *3 *4 *5)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-1231 *3)) (-4 *3 (-1195)))) ((*1 *2 *1) (-12 (-4 *1 (-1231 *2)) (-4 *2 (-1195))))) 
-(((*1 *2) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-1247))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-568)) (-5 *3 (-763)) (-5 *1 (-565))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-568)) (-4 *1 (-62 *4 *3 *5)) (-4 *4 (-1195)) (-4 *3 (-375 *4)) (-4 *5 (-375 *4))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1010 *3)) (-4 *3 (-1195)) (-4 *3 (-1090)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-1244 *5))) (-5 *4 (-568)) (-5 *2 (-1244 *5)) (-5 *1 (-1029 *5)) (-4 *5 (-365)) (-4 *5 (-370)) (-4 *5 (-1047))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-399))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-242 *4 *5)) (-14 *4 (-634 (-1161))) (-4 *5 (-1047)) (-5 *2 (-492 *4 *5)) (-5 *1 (-945 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-917)) (-4 *4 (-370)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-235 *10)) (-4 *12 (-536 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-634 *10)) (-5 *1 (-467 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-258 *12)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-917)) (-5 *5 (-634 *9)) (-4 *9 (-971 *6)) (-4 *6 (-365)) (-14 *7 (-634 (-1161))) (-4 *4 (-950 *6 *8 (-852 *7))) (-4 *8 (-230 (-1699 *7) (-763))) (-4 *10 (-641 *6)) (-4 *11 (-920 *6 *10)) (-4 *12 (-235 *11)) (-4 *13 (-536 *6 *7 *4 *8 *9 *10 *11 *12 *15)) (-4 *15 (-117)) (-5 *2 (-1249)) (-5 *1 (-556 *6 *7 *4 *8 *9 *10 *11 *12 *13 *14 *15)) (-4 *14 (-258 *13)))) ((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-634 (-922 *4))) (-5 *1 (-867 *4 *5 *6)) (-4 (-857 *4) (-370)) (-4 *4 (-350)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-634 (-921 *4))) (-5 *1 (-868 *4 *5 *6)) (-4 *4 (-370)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-117))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-166 *2)) (-4 *2 (-172)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-558) (-842) (-1037 (-568)))) (-5 *2 (-310 *4)) (-5 *1 (-180 *4 *3)) (-4 *3 (-13 (-27) (-1181) (-432 (-169 *4)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-1185 *3 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *3)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1168 (-634 *4))) (-4 *4 (-842)) (-5 *2 (-634 (-634 *4))) (-5 *1 (-1167 *4))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1047))))) 
-(((*1 *1 *1) (-4 *1 (-39))) ((*1 *1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1090)))) ((*1 *1 *1) (-5 *1 (-123))) ((*1 *1 *1) (-5 *1 (-171))) ((*1 *1 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) ((*1 *1 *1) (-12 (-5 *1 (-494 *2)) (-4 *2 (-842)))) ((*1 *1 *1) (-4 *1 (-550))) ((*1 *1 *1) (-12 (-5 *1 (-887 *2)) (-4 *2 (-1090)))) ((*1 *1 *1) (-12 (-5 *1 (-1000 *2)) (-4 *2 (-1090)))) ((*1 *1 *1) (-12 (-4 *1 (-1122 *2)) (-4 *2 (-1047)))) ((*1 *1 *1) (-12 (-5 *1 (-1125 *2 *3)) (-4 *2 (-13 (-1090) (-39))) (-4 *3 (-13 (-1090) (-39))))) ((*1 *1 *1) (-12 (-5 *1 (-1132 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-150)) (-4 *3 (-301)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-978 *3 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-420 (-1157 *1))) (-5 *1 (-310 *4)) (-5 *3 (-1157 *1)) (-4 *4 (-453)) (-4 *4 (-558)) (-4 *4 (-842)))) ((*1 *2 *3) (-12 (-4 *1 (-904)) (-5 *2 (-420 (-1157 *1))) (-5 *3 (-1157 *1))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1143)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-1249)) (-5 *1 (-989 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1143)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-1249)) (-5 *1 (-1097 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 *7 *7)) (-5 *5 (-634 (-409 *7))) (-4 *7 (-1219 *6)) (-5 *3 (-409 *7)) (-4 *6 (-365)) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-578 *6 *7))))) 
-(((*1 *2 *3 *4) (-12 (-4 *4 (-365)) (-5 *2 (-634 (-1141 *4))) (-5 *1 (-280 *4 *5)) (-5 *3 (-1141 *4)) (-4 *5 (-1234 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-166 *2)) (-4 *2 (-172)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-558) (-842) (-1037 (-568)))) (-5 *2 (-310 *4)) (-5 *1 (-180 *4 *3)) (-4 *3 (-13 (-27) (-1181) (-432 (-169 *4)))))) ((*1 *2 *1) (-12 (-4 *1 (-792 *2)) (-4 *2 (-172)))) ((*1 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-172)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-1185 *3 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *3)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-978 *3 *4 *5 *6)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-634 *3)) (-5 *1 (-978 *4 *5 *6 *3)) (-4 *3 (-1061 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1061 *4 *5 *6)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-978 *4 *5 *6 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-978 *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 (-634 *7) (-634 *7))) (-5 *2 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-978 *4 *5 *6 *7))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *5 (-1219 *4)) (-5 *2 (-634 (-2 (|:| -1374 *5) (|:| -2785 *5)))) (-5 *1 (-802 *4 *5 *3 *6)) (-4 *3 (-646 *5)) (-4 *6 (-646 (-409 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *4 (-1219 *5)) (-5 *2 (-634 (-2 (|:| -1374 *4) (|:| -2785 *4)))) (-5 *1 (-802 *5 *4 *3 *6)) (-4 *3 (-646 *4)) (-4 *6 (-646 (-409 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *5 (-1219 *4)) (-5 *2 (-634 (-2 (|:| -1374 *5) (|:| -2785 *5)))) (-5 *1 (-802 *4 *5 *6 *3)) (-4 *6 (-646 *5)) (-4 *3 (-646 (-409 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *4 (-1219 *5)) (-5 *2 (-634 (-2 (|:| -1374 *4) (|:| -2785 *4)))) (-5 *1 (-802 *5 *4 *6 *3)) (-4 *6 (-646 *4)) (-4 *3 (-646 (-409 *4)))))) 
-(((*1 *1 *2 *1) (-12 (-5 *1 (-634 *2)) (-4 *2 (-1195)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-1141 *2)) (-4 *2 (-1195))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-296)))) ((*1 *1 *1) (-4 *1 (-296))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850)))) ((*1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1047)) (-5 *2 (-1244 *3)) (-5 *1 (-702 *3 *4)) (-4 *4 (-1219 *3))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-679 *3)) (-4 *3 (-1047)) (-5 *1 (-680 *3))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-634 (-288 *4))) (-5 *1 (-618 *3 *4 *5)) (-4 *3 (-842)) (-4 *4 (-13 (-172) (-707 (-409 (-568))))) (-14 *5 (-917))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *2 *2)) (-4 *5 (-365)) (-4 *6 (-1219 (-409 *2))) (-4 *2 (-1219 *5)) (-5 *1 (-206 *5 *2 *6 *3)) (-4 *3 (-340 *5 *2 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-634 (-53))) (-5 *2 (-420 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1219 (-53))))) ((*1 *2 *3) (-12 (-5 *2 (-420 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1219 (-53))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-634 (-53))) (-4 *5 (-842)) (-4 *6 (-788)) (-5 *2 (-420 *3)) (-5 *1 (-47 *5 *6 *3)) (-4 *3 (-950 (-53) *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-634 (-53))) (-4 *5 (-842)) (-4 *6 (-788)) (-4 *7 (-950 (-53) *6 *5)) (-5 *2 (-420 (-1157 *7))) (-5 *1 (-47 *5 *6 *7)) (-5 *3 (-1157 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-301)) (-5 *2 (-420 *3)) (-5 *1 (-167 *4 *3)) (-4 *3 (-1219 (-169 *4))))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *4 (-13 (-365) (-840))) (-5 *2 (-420 *3)) (-5 *1 (-178 *4 *3)) (-4 *3 (-1219 (-169 *4))))) ((*1 *2 *3 *4) (-12 (-4 *4 (-13 (-365) (-840))) (-5 *2 (-420 *3)) (-5 *1 (-178 *4 *3)) (-4 *3 (-1219 (-169 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-365) (-840))) (-5 *2 (-420 *3)) (-5 *1 (-178 *4 *3)) (-4 *3 (-1219 (-169 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-420 *3)) (-5 *1 (-207 *4 *3)) (-4 *3 (-1219 *4)))) ((*1 *2 *3 *4) (-12 (-4 *4 (-854)) (-5 *2 (-420 (-1157 *4))) (-5 *1 (-315 *4)) (-5 *3 (-1157 *4)))) ((*1 *2 *3 *4) (-12 (-4 *4 (-859)) (-5 *2 (-420 (-1157 *4))) (-5 *1 (-317 *4)) (-5 *3 (-1157 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-420 *3)) (-5 *1 (-344 *4 *3)) (-4 *3 (-1219 *4)))) ((*1 *2 *3) (-12 (-5 *2 (-420 *3)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-763)) (-5 *2 (-420 *3)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-634 (-763))) (-5 *2 (-420 *3)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-634 (-763))) (-5 *5 (-763)) (-5 *2 (-420 *3)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-763)) (-5 *2 (-420 *3)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) ((*1 *2 *3) (-12 (-5 *2 (-420 (-169 (-568)))) (-5 *1 (-447)) (-5 *3 (-169 (-568))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $)) (-15 -3325 ((-3 $ "failed") (-1161)))))) (-4 *5 (-788)) (-4 *7 (-558)) (-5 *2 (-420 *3)) (-5 *1 (-458 *4 *5 *6 *7 *3)) (-4 *6 (-558)) (-4 *3 (-950 *7 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-301)) (-5 *2 (-420 (-1157 *4))) (-5 *1 (-460 *4)) (-5 *3 (-1157 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-420 *6) *6)) (-4 *6 (-1219 *5)) (-4 *5 (-365)) (-4 *7 (-13 (-365) (-150) (-714 *5 *6))) (-5 *2 (-420 *3)) (-5 *1 (-503 *5 *6 *7 *3)) (-4 *3 (-1219 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-420 (-1157 *7)) (-1157 *7))) (-4 *7 (-13 (-301) (-150))) (-4 *5 (-842)) (-4 *6 (-788)) (-5 *2 (-420 *3)) (-5 *1 (-545 *5 *6 *7 *3)) (-4 *3 (-950 *7 *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-420 (-1157 *7)) (-1157 *7))) (-4 *7 (-13 (-301) (-150))) (-4 *5 (-842)) (-4 *6 (-788)) (-4 *8 (-950 *7 *6 *5)) (-5 *2 (-420 (-1157 *8))) (-5 *1 (-545 *5 *6 *7 *8)) (-5 *3 (-1157 *8)))) ((*1 *2 *3) (-12 (-5 *2 (-420 *3)) (-5 *1 (-561 *3)) (-4 *3 (-550)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-634 *5) *6)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-4 *6 (-1219 *5)) (-5 *2 (-634 (-643 (-409 *6)))) (-5 *1 (-647 *5 *6)) (-5 *3 (-643 (-409 *6))))) ((*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-4 *5 (-1219 *4)) (-5 *2 (-634 (-643 (-409 *5)))) (-5 *1 (-647 *4 *5)) (-5 *3 (-643 (-409 *5))))) ((*1 *2 *3) (-12 (-5 *3 (-814 *4)) (-4 *4 (-842)) (-5 *2 (-634 (-663 *4))) (-5 *1 (-663 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-568)) (-5 *2 (-634 *3)) (-5 *1 (-685 *3)) (-4 *3 (-1219 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-842)) (-4 *5 (-788)) (-4 *6 (-350)) (-5 *2 (-420 *3)) (-5 *1 (-687 *4 *5 *6 *3)) (-4 *3 (-950 *6 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-842)) (-4 *5 (-788)) (-4 *6 (-350)) (-4 *7 (-950 *6 *5 *4)) (-5 *2 (-420 (-1157 *7))) (-5 *1 (-687 *4 *5 *6 *7)) (-5 *3 (-1157 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-788)) (-4 *5 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $)) (-15 -3325 ((-3 $ "failed") (-1161)))))) (-4 *6 (-301)) (-5 *2 (-420 *3)) (-5 *1 (-720 *4 *5 *6 *3)) (-4 *3 (-950 (-953 *6) *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-788)) (-4 *5 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $))))) (-4 *6 (-558)) (-5 *2 (-420 *3)) (-5 *1 (-722 *4 *5 *6 *3)) (-4 *3 (-950 (-409 (-953 *6)) *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-13 (-301) (-150))) (-5 *2 (-420 *3)) (-5 *1 (-723 *4 *5 *6 *3)) (-4 *3 (-950 (-409 *6) *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-842)) (-4 *5 (-788)) (-4 *6 (-13 (-301) (-150))) (-5 *2 (-420 *3)) (-5 *1 (-731 *4 *5 *6 *3)) (-4 *3 (-950 *6 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-842)) (-4 *5 (-788)) (-4 *6 (-13 (-301) (-150))) (-4 *7 (-950 *6 *5 *4)) (-5 *2 (-420 (-1157 *7))) (-5 *1 (-731 *4 *5 *6 *7)) (-5 *3 (-1157 *7)))) ((*1 *2 *3) (-12 (-5 *2 (-420 *3)) (-5 *1 (-1007 *3)) (-4 *3 (-1219 (-409 (-568)))))) ((*1 *2 *3) (-12 (-5 *2 (-420 *3)) (-5 *1 (-1040 *3)) (-4 *3 (-1219 (-409 (-953 (-568))))))) ((*1 *2 *3) (-12 (-4 *4 (-1219 (-409 (-568)))) (-4 *5 (-13 (-365) (-150) (-714 (-409 (-568)) *4))) (-5 *2 (-420 *3)) (-5 *1 (-1072 *4 *5 *3)) (-4 *3 (-1219 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-1219 (-409 (-953 (-568))))) (-4 *5 (-13 (-365) (-150) (-714 (-409 (-953 (-568))) *4))) (-5 *2 (-420 *3)) (-5 *1 (-1074 *4 *5 *3)) (-4 *3 (-1219 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-453)) (-4 *7 (-950 *6 *4 *5)) (-5 *2 (-420 (-1157 (-409 *7)))) (-5 *1 (-1156 *4 *5 *6 *7)) (-5 *3 (-1157 (-409 *7))))) ((*1 *2 *1) (-12 (-5 *2 (-420 *1)) (-4 *1 (-1199)))) ((*1 *2 *3) (-12 (-5 *2 (-420 *3)) (-5 *1 (-1208 *3)) (-4 *3 (-1219 (-568)))))) 
-(((*1 *2) (-12 (-5 *2 (-2 (|:| -3544 (-634 *3)) (|:| -3043 (-634 *3)))) (-5 *1 (-1196 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-1161))) (-5 *1 (-1165))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-634 *3)) (-4 *3 (-950 *4 *6 *5)) (-4 *4 (-453)) (-4 *5 (-842)) (-4 *6 (-788)) (-5 *1 (-988 *4 *5 *6 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850)))) ((*1 *1 *1) (-5 *1 (-850))) ((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-4 *1 (-1087 *3)))) ((*1 *1) (-12 (-4 *1 (-1087 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-944 *2)) (-5 *1 (-983 *2)) (-4 *2 (-1047))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-334 *5 *6 *7 *8)) (-4 *5 (-432 *4)) (-4 *6 (-1219 *5)) (-4 *7 (-1219 (-409 *6))) (-4 *8 (-340 *5 *6 *7)) (-4 *4 (-13 (-842) (-558) (-1037 (-568)))) (-5 *2 (-2 (|:| -1844 (-763)) (|:| -1866 *8))) (-5 *1 (-906 *4 *5 *6 *7 *8)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-334 (-409 (-568)) *4 *5 *6)) (-4 *4 (-1219 (-409 (-568)))) (-4 *5 (-1219 (-409 *4))) (-4 *6 (-340 (-409 (-568)) *4 *5)) (-5 *2 (-2 (|:| -1844 (-763)) (|:| -1866 *6))) (-5 *1 (-907 *4 *5 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-568)) (-5 *4 (-420 *2)) (-4 *2 (-950 *7 *5 *6)) (-5 *1 (-732 *5 *6 *7 *2)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-301))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-842) (-558))) (-5 *1 (-36 *3 *4)) (-4 *4 (-432 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-763)) (-5 *1 (-123)))) ((*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-123)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-842) (-558))) (-5 *1 (-159 *3 *4)) (-4 *4 (-432 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-123)) (-5 *1 (-163)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *4)) (-4 *4 (-13 (-432 *3) (-1002))))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-5 *1 (-295 *3)) (-4 *3 (-296)))) ((*1 *2 *2) (-12 (-4 *1 (-296)) (-5 *2 (-123)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *4 (-842)) (-5 *1 (-431 *3 *4)) (-4 *3 (-432 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *4)) (-4 *4 (-432 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-123)) (-5 *1 (-607 *3)) (-4 *3 (-842)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-842) (-558))) (-5 *1 (-621 *3 *4)) (-4 *4 (-13 (-432 *3) (-1002) (-1181)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-607 *1)) (-4 *1 (-432 *4)) (-4 *4 (-842)) (-4 *4 (-558)) (-5 *2 (-409 (-1157 *1))))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-607 *3)) (-4 *3 (-13 (-432 *6) (-27) (-1181))) (-4 *6 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-1157 (-409 (-1157 *3)))) (-5 *1 (-564 *6 *3 *7)) (-5 *5 (-1157 *3)) (-4 *7 (-1090)))) ((*1 *2 *3) (-12 (-4 *4 (-1047)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-5 *2 (-1157 *4)) (-5 *1 (-908 *4 *3 *5 *6)) (-4 *3 (-324 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1240 *5)) (-14 *5 (-1161)) (-4 *6 (-1047)) (-5 *2 (-1216 *5 (-953 *6))) (-5 *1 (-948 *5 *6)) (-5 *3 (-953 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-950 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-1157 *3)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *3 (-842)) (-5 *2 (-1157 *1)) (-4 *1 (-950 *4 *5 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-788)) (-4 *4 (-842)) (-4 *6 (-1047)) (-4 *7 (-950 *6 *5 *4)) (-5 *2 (-409 (-1157 *3))) (-5 *1 (-951 *5 *4 *6 *7 *3)) (-4 *3 (-13 (-365) (-10 -8 (-15 -2747 ($ *7)) (-15 -2319 (*7 $)) (-15 -2326 (*7 $))))))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-1157 *3)) (-4 *3 (-13 (-365) (-10 -8 (-15 -2747 ($ *7)) (-15 -2319 (*7 $)) (-15 -2326 (*7 $))))) (-4 *7 (-950 *6 *5 *4)) (-4 *5 (-788)) (-4 *4 (-842)) (-4 *6 (-1047)) (-5 *1 (-951 *5 *4 *6 *7 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-558)) (-5 *2 (-409 (-1157 (-409 (-953 *5))))) (-5 *1 (-1042 *5)) (-5 *3 (-409 (-953 *5)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-4 *3 (-558)) (-5 *2 (-1157 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1108)) (-5 *1 (-328))))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *2 (-1244 *5)) (-5 *3 (-763)) (-5 *4 (-1108)) (-4 *5 (-350)) (-5 *1 (-532 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-816)) (-5 *2 (-57)) (-5 *1 (-826))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1143)) (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *2 (-634 (-2 (|:| |eqzro| (-634 *7)) (|:| |neqzro| (-634 *7)) (|:| |wcond| (-634 (-953 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 *4)))) (|:| -2588 (-634 (-1244 (-409 (-953 *4)))))))))) (-5 *1 (-924 *4 *5 *6 *7)) (-4 *7 (-950 *4 *6 *5))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *5 *5 *5 *3) (-12 (-5 *3 (-568)) (-5 *5 (-679 (-215))) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-742))))) 
-(((*1 *2 *1 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-301)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -2707 *1))) (-4 *1 (-301))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-607 *1))) (-4 *1 (-296))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-763)) (-4 *6 (-1090)) (-4 *3 (-895 *6)) (-5 *2 (-679 *3)) (-5 *1 (-681 *6 *3 *7 *4)) (-4 *7 (-375 *3)) (-4 *4 (-13 (-375 *6) (-10 -7 (-6 -4521))))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-288 *2)) (-4 *2 (-21)) (-4 *2 (-1195))))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-634 *3)) (-5 *1 (-961 *3)) (-4 *3 (-550))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *4 (-1 *2 *2)) (-4 *2 (-637 *5)) (-4 *5 (-1047)) (-5 *1 (-59 *5 *2 *3)) (-4 *3 (-844 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-679 *3)) (-4 *1 (-419 *3)) (-4 *3 (-172)))) ((*1 *2 *1 *2 *2) (-12 (-4 *1 (-844 *2)) (-4 *2 (-1047)))) ((*1 *2 *3 *2 *2 *4 *5) (-12 (-5 *4 (-101 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-1047)) (-5 *1 (-845 *2 *3)) (-4 *3 (-844 *2))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-634 (-887 *3))) (-5 *1 (-887 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-215)) (-5 *1 (-217)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-169 (-215))) (-5 *1 (-217)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1124)))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5 *4 *6 *7) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *5 (-1143)) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-87 PDEF)))) (-5 *7 (-3 (|:| |fn| (-390)) (|:| |fp| (-88 BNDY)))) (-5 *2 (-1035)) (-5 *1 (-742))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-691 *4 *5 *6 *7)) (-4 *4 (-609 (-541))) (-4 *5 (-1195)) (-4 *6 (-1195)) (-4 *7 (-1195))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-169 (-381))) (-5 *1 (-780 *3)) (-4 *3 (-609 (-381))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-917)) (-5 *2 (-169 (-381))) (-5 *1 (-780 *3)) (-4 *3 (-609 (-381))))) ((*1 *2 *3) (-12 (-5 *3 (-169 *4)) (-4 *4 (-172)) (-4 *4 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-169 *5)) (-5 *4 (-917)) (-4 *5 (-172)) (-4 *5 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-953 (-169 *4))) (-4 *4 (-172)) (-4 *4 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-953 (-169 *5))) (-5 *4 (-917)) (-4 *5 (-172)) (-4 *5 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-953 *4)) (-4 *4 (-1047)) (-4 *4 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-953 *5)) (-5 *4 (-917)) (-4 *5 (-1047)) (-4 *5 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-409 (-953 *4))) (-4 *4 (-558)) (-4 *4 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 *5))) (-5 *4 (-917)) (-4 *5 (-558)) (-4 *5 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-409 (-953 (-169 *4)))) (-4 *4 (-558)) (-4 *4 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 (-169 *5)))) (-5 *4 (-917)) (-4 *5 (-558)) (-4 *5 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-310 *4)) (-4 *4 (-558)) (-4 *4 (-842)) (-4 *4 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-310 *5)) (-5 *4 (-917)) (-4 *5 (-558)) (-4 *5 (-842)) (-4 *5 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-310 (-169 *4))) (-4 *4 (-558)) (-4 *4 (-842)) (-4 *4 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-310 (-169 *5))) (-5 *4 (-917)) (-4 *5 (-558)) (-4 *5 (-842)) (-4 *5 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-763)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-788)) (-4 *6 (-950 *3 *4 *5)) (-4 *3 (-453)) (-4 *5 (-842)) (-5 *1 (-450 *3 *4 *5 *6))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002)))))) 
-(((*1 *2 *2 *2 *2) (-12 (-5 *2 (-409 (-1157 (-310 *3)))) (-4 *3 (-13 (-558) (-842))) (-5 *1 (-1118 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-798))))) 
-(((*1 *2) (-12 (-4 *3 (-172)) (-5 *2 (-1244 *1)) (-4 *1 (-369 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-665 *3)) (-4 *3 (-1195)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *4 *4 *4 *6 *4) (-12 (-5 *4 (-568)) (-5 *5 (-679 (-215))) (-5 *6 (-666 (-215))) (-5 *3 (-215)) (-5 *2 (-1035)) (-5 *1 (-742))))) 
-(((*1 *2 *3 *2 *3) (-12 (-5 *2 (-439)) (-5 *3 (-1161)) (-5 *1 (-1164)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-439)) (-5 *3 (-1161)) (-5 *1 (-1164)))) ((*1 *2 *3 *2 *4 *1) (-12 (-5 *2 (-439)) (-5 *3 (-634 (-1161))) (-5 *4 (-1161)) (-5 *1 (-1164)))) ((*1 *2 *3 *2 *3 *1) (-12 (-5 *2 (-439)) (-5 *3 (-1161)) (-5 *1 (-1164)))) ((*1 *2 *3 *2 *1) (-12 (-5 *2 (-439)) (-5 *3 (-1161)) (-5 *1 (-1165)))) ((*1 *2 *3 *2 *1) (-12 (-5 *2 (-439)) (-5 *3 (-634 (-1161))) (-5 *1 (-1165))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-634 *7)) (-4 *7 (-950 *5 *8 (-852 *6))) (-4 *8 (-230 (-1699 *6) (-763))) (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *10 (-641 *5)) (-4 *11 (-920 *5 *10)) (-5 *2 (-634 (-1244 *5))) (-5 *1 (-562 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-971 *5)) (-4 *3 (-235 *11))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 *7)) (-4 *7 (-971 *3)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *1 (-467 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) ((*1 *2 *2) (-12 (-5 *2 (-634 (-967 *3))) (-4 *3 (-350)) (-5 *1 (-867 *3 *4 *5)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-634 (-966 *3))) (-4 *3 (-365)) (-5 *1 (-868 *3 *4 *5)) (-14 *4 (-634 (-1161))) (-4 *5 (-117))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-978 *4 *5 *6 *3)) (-4 *3 (-1061 *4 *5 *6))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-568)) (-5 *1 (-420 *2)) (-4 *2 (-558))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-381)) (-5 *3 (-634 (-256))) (-5 *1 (-254)))) ((*1 *1 *2) (-12 (-5 *2 (-381)) (-5 *1 (-256))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1161)) (-4 *5 (-365)) (-5 *2 (-634 (-1190 *5))) (-5 *1 (-1252 *5)) (-5 *4 (-1190 *5))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-763)) (-4 *1 (-730 *4 *5)) (-4 *4 (-1047)) (-4 *5 (-842)) (-5 *2 (-953 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-4 *1 (-730 *4 *5)) (-4 *4 (-1047)) (-4 *5 (-842)) (-5 *2 (-953 *4)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-763)) (-4 *1 (-1234 *4)) (-4 *4 (-1047)) (-5 *2 (-953 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-4 *1 (-1234 *4)) (-4 *4 (-1047)) (-5 *2 (-953 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-288 (-953 (-568)))) (-5 *2 (-2 (|:| |varOrder| (-634 (-1161))) (|:| |inhom| (-3 (-634 (-1244 (-763))) "failed")) (|:| |hom| (-634 (-1244 (-763)))))) (-5 *1 (-228))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1163 (-409 (-568)))) (-5 *1 (-182))))) 
-(((*1 *1 *1 *2) (|partial| -12 (-5 *2 (-763)) (-4 *1 (-1219 *3)) (-4 *3 (-1047))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-365)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-1244 *6)) (-5 *1 (-334 *3 *4 *5 *6)) (-4 *6 (-340 *3 *4 *5))))) 
-(((*1 *1) (-5 *1 (-1246)))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-381)) (-5 *1 (-197)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-634 (-381))) (-5 *2 (-381)) (-5 *1 (-197))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-944 *3) (-944 *3))) (-5 *1 (-174 *3)) (-4 *3 (-13 (-365) (-1181) (-1002)))))) 
-(((*1 *2) (-12 (-4 *4 (-365)) (-5 *2 (-763)) (-5 *1 (-326 *3 *4)) (-4 *3 (-327 *4)))) ((*1 *2) (-12 (-4 *1 (-1261 *3)) (-4 *3 (-365)) (-5 *2 (-763))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-409 *6)) (-4 *5 (-1199)) (-4 *6 (-1219 *5)) (-5 *2 (-2 (|:| -3483 (-763)) (|:| -2350 *3) (|:| |radicand| *6))) (-5 *1 (-151 *5 *6 *7)) (-5 *4 (-763)) (-4 *7 (-1219 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-147))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-141 *3 *4 *5)) (-14 *3 (-568)) (-14 *4 (-763)) (-4 *5 (-172))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-763)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1090)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-212 *4)) (-4 *4 (-1090)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-494 *4)) (-4 *4 (-842)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-1000 *4)) (-4 *4 (-1090)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-1132 *4)) (-4 *4 (-1090)))) ((*1 *2 *3 *3) (|partial| -12 (-5 *2 (-121)) (-5 *1 (-1196 *3)) (-4 *3 (-1090)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-1 (-121) *3 *3)) (-4 *3 (-1090)) (-5 *2 (-121)) (-5 *1 (-1196 *3))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-1161)) (-4 *6 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-4 *4 (-13 (-29 *6) (-1181) (-959))) (-5 *2 (-2 (|:| |particular| *4) (|:| -2588 (-634 *4)))) (-5 *1 (-796 *6 *4 *3)) (-4 *3 (-646 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-242 *6 *5)) (-5 *4 (-967 *5)) (-4 *5 (-350)) (-14 *6 (-634 (-1161))) (-5 *2 (-242 *6 (-857 *5))) (-5 *1 (-867 *5 *6 *7)) (-4 *7 (-117)))) ((*1 *2 *2 *3 *4) (-12 (-5 *4 (-568)) (-4 *5 (-365)) (-4 *6 (-230 *7 (-763))) (-14 *7 (-763)) (-5 *1 (-929 *5 *2 *6 *7 *3)) (-4 *2 (-324 *5 *6)) (-4 *3 (-971 *5)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-365)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-5 *1 (-929 *4 *2 *5 *6 *3)) (-4 *2 (-324 *4 *5)) (-4 *3 (-971 *4))))) 
-(((*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-365) (-150) (-1037 (-568)))) (-4 *5 (-1219 *4)) (-5 *2 (-634 (-409 *5))) (-5 *1 (-1016 *4 *5)) (-5 *3 (-409 *5))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-763)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1090)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-212 *4)) (-4 *4 (-1090)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-494 *4)) (-4 *4 (-842)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-1000 *4)) (-4 *4 (-1090)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-1132 *4)) (-4 *4 (-1090)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-121)) (-5 *1 (-1196 *3)) (-4 *3 (-842)) (-4 *3 (-1090))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-558)) (-5 *2 (-2 (|:| -2908 (-679 *5)) (|:| |vec| (-1244 (-634 (-917)))))) (-5 *1 (-95 *5 *3)) (-5 *4 (-917)) (-4 *3 (-646 *5))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-634 (-1161))) (-4 *4 (-1090)) (-4 *5 (-13 (-1047) (-881 *4) (-842) (-609 (-887 *4)))) (-5 *1 (-60 *4 *5 *2)) (-4 *2 (-13 (-432 *5) (-881 *4) (-609 (-887 *4))))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-215)) (-5 *1 (-217)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-169 (-215))) (-5 *1 (-217))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-147))))) 
-(((*1 *1) (-5 *1 (-328)))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-376 *3 *4)) (-4 *3 (-842)) (-4 *4 (-172)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-1263 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-634 *6)) (-4 *6 (-842)) (-4 *4 (-365)) (-4 *5 (-788)) (-5 *2 (-2 (|:| |mval| (-679 *4)) (|:| |invmval| (-679 *4)) (|:| |genIdeal| (-514 *4 *5 *6 *7)))) (-5 *1 (-514 *4 *5 *6 *7)) (-4 *7 (-950 *4 *5 *6))))) 
-(((*1 *2) (-12 (-4 *2 (-13 (-432 *3) (-1002))) (-5 *1 (-272 *3 *2)) (-4 *3 (-13 (-842) (-558)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-634 (-679 (-568)))) (-5 *1 (-1100))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *3 *3 *3 *3) (-12 (-5 *3 (-568)) (-5 *5 (-679 (-215))) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-744))))) 
-(((*1 *2) (-12 (-4 *3 (-558)) (-5 *2 (-634 (-679 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-419 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 *7)) (-4 *7 (-1066 *3 *4 *5 *6)) (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *1 (-989 *3 *4 *5 *6 *7)))) ((*1 *2 *2) (-12 (-5 *2 (-634 *7)) (-4 *7 (-1066 *3 *4 *5 *6)) (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *1 (-1097 *3 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| -2350 *4) (|:| -4409 *3) (|:| -2607 *3))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-2 (|:| -4409 *1) (|:| -2607 *1))) (-4 *1 (-1061 *3 *4 *5)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-558)) (-4 *3 (-1047)) (-5 *2 (-2 (|:| -2350 *3) (|:| -4409 *1) (|:| -2607 *1))) (-4 *1 (-1219 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1161)) (-5 *4 (-953 (-568))) (-5 *2 (-328)) (-5 *1 (-330)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1161)) (-5 *4 (-1082 (-953 (-568)))) (-5 *2 (-328)) (-5 *1 (-330)))) ((*1 *1 *2 *2 *2) (-12 (-5 *2 (-763)) (-5 *1 (-666 *3)) (-4 *3 (-1047)) (-4 *3 (-1090))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-634 (-634 *4)))) (-5 *2 (-634 (-634 *4))) (-5 *1 (-1167 *4)) (-4 *4 (-842))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-763)) (-4 *6 (-365)) (-5 *4 (-1190 *6)) (-5 *2 (-1 (-1141 *4) (-1141 *4))) (-5 *1 (-1252 *6)) (-5 *5 (-1141 *4))))) 
-(((*1 *2 *3 *4 *4 *4 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-568)) (-5 *5 (-679 (-215))) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-91 FCN)))) (-5 *7 (-3 (|:| |fn| (-390)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-215)) (-5 *2 (-1035)) (-5 *1 (-741))))) 
-(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-568)) (-5 *3 (-917)) (-4 *1 (-406)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-568)) (-4 *1 (-406)))) ((*1 *2 *1) (-12 (-4 *1 (-1093 *3 *4 *5 *2 *6)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *2 (-1090))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-1090)) (-4 *3 (-895 *5)) (-5 *2 (-679 *3)) (-5 *1 (-681 *5 *3 *6 *4)) (-4 *6 (-375 *3)) (-4 *4 (-13 (-375 *5) (-10 -7 (-6 -4521))))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1129)) (-5 *2 (-121))))) 
-(((*1 *2 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *2)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *2 (-1061 *3 *4 *5))))) 
-(((*1 *2) (-12 (-5 *2 (-899 (-568))) (-5 *1 (-913))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1195)) (-5 *1 (-1120 *4 *2)) (-4 *2 (-13 (-601 (-568) *4) (-10 -7 (-6 -4521) (-6 -4522)))))) ((*1 *2 *2) (-12 (-4 *3 (-842)) (-4 *3 (-1195)) (-5 *1 (-1120 *3 *2)) (-4 *2 (-13 (-601 (-568) *3) (-10 -7 (-6 -4521) (-6 -4522))))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-634 *1)) (-4 *1 (-1061 *4 *5 *6)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1189 *4 *5 *6 *3)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |gen| *3) (|:| -1894 (-568)))) (-5 *1 (-236 *3)) (-4 *3 (-1088)))) ((*1 *1 *1) (-12 (-4 *1 (-239 *2)) (-4 *2 (-1195)))) ((*1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842))))) 
-(((*1 *2 *1 *1 *3) (-12 (-4 *1 (-1129)) (-5 *3 (-568)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *4 *3 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-568)) (-5 *5 (-679 (-215))) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-94 G)))) (-5 *7 (-3 (|:| |fn| (-390)) (|:| |fp| (-91 FCN)))) (-5 *3 (-215)) (-5 *2 (-1035)) (-5 *1 (-741))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |val| *3) (|:| -3145 *4)))) (-5 *1 (-1126 *3 *4)) (-4 *3 (-13 (-1090) (-39))) (-4 *4 (-13 (-1090) (-39)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-558) (-842) (-1037 (-568)))) (-5 *1 (-180 *3 *2)) (-4 *2 (-13 (-27) (-1181) (-432 (-169 *3)))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-558) (-842) (-1037 (-568)))) (-5 *1 (-180 *4 *2)) (-4 *2 (-13 (-27) (-1181) (-432 (-169 *4)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-1185 *3 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-1185 *4 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *4)))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-1047)) (-4 *2 (-677 *4 *5 *6)) (-5 *1 (-108 *4 *3 *2 *5 *6)) (-4 *3 (-1219 *4)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4))))) 
-(((*1 *2 *2) (-12 (-4 *2 (-172)) (-4 *2 (-1047)) (-5 *1 (-704 *2 *3)) (-4 *3 (-637 *2)))) ((*1 *2 *2) (-12 (-5 *1 (-829 *2)) (-4 *2 (-172)) (-4 *2 (-1047))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1244 (-763))) (-5 *1 (-666 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *3 *4 *4 *3 *5 *3 *6 *4 *7 *8 *9) (-12 (-5 *4 (-568)) (-5 *5 (-1143)) (-5 *6 (-679 (-215))) (-5 *7 (-3 (|:| |fn| (-390)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-390)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-390)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-215)) (-5 *2 (-1035)) (-5 *1 (-741))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(((*1 *1) (-5 *1 (-158)))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *3 (-763)) (-4 *4 (-350)) (-5 *1 (-207 *4 *2)) (-4 *2 (-1219 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-384 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-1090)) (-5 *2 (-2 (|:| |k| *4) (|:| |c| *3)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002)))))) 
-(((*1 *1) (-5 *1 (-439)))) 
-(((*1 *2 *3 *4 *4 *5 *4 *3 *6 *3 *4 *7 *8 *9 *10) (-12 (-5 *4 (-568)) (-5 *5 (-1143)) (-5 *6 (-679 (-215))) (-5 *7 (-3 (|:| |fn| (-390)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-390)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-390)) (|:| |fp| (-76 PEDERV)))) (-5 *10 (-3 (|:| |fn| (-390)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-215)) (-5 *2 (-1035)) (-5 *1 (-741))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-763)) (-4 *4 (-13 (-558) (-150))) (-5 *1 (-1213 *4 *2)) (-4 *2 (-1219 *4))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-634 (-953 *4))) (-5 *3 (-634 (-1161))) (-4 *4 (-453)) (-5 *1 (-914 *4))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) ((*1 *1 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-1195)))) ((*1 *1 *1) (-12 (-5 *1 (-1000 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-57))) (-5 *1 (-887 *3)) (-4 *3 (-1090))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-415 *3 *4 *5 *6)) (-4 *6 (-1037 *4)) (-4 *3 (-301)) (-4 *4 (-993 *3)) (-4 *5 (-1219 *4)) (-4 *6 (-411 *4 *5)) (-14 *7 (-1244 *6)) (-5 *1 (-416 *3 *4 *5 *6 *7)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 *6)) (-4 *6 (-411 *4 *5)) (-4 *4 (-993 *3)) (-4 *5 (-1219 *4)) (-4 *3 (-301)) (-5 *1 (-416 *3 *4 *5 *6 *7)) (-14 *7 *2)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-842)) (-5 *1 (-494 *3))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *5 *4 *4 *4 *3 *4 *4 *6) (-12 (-5 *3 (-679 (-215))) (-5 *4 (-568)) (-5 *5 (-215)) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-91 FCN)))) (-5 *2 (-1035)) (-5 *1 (-741))))) 
-(((*1 *1 *2 *3 *1) (-12 (-5 *2 (-887 *4)) (-4 *4 (-1090)) (-5 *1 (-884 *4 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-634 (-1027 *5 *6 *7 *3))) (-5 *1 (-1027 *5 *6 *7 *3)) (-4 *3 (-1061 *5 *6 *7)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-634 *6)) (-4 *1 (-1066 *3 *4 *5 *6)) (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1066 *3 *4 *5 *2)) (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *2 (-1061 *3 *4 *5)))) ((*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-634 (-1131 *5 *6 *7 *3))) (-5 *1 (-1131 *5 *6 *7 *3)) (-4 *3 (-1061 *5 *6 *7))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-763)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-788)) (-4 *7 (-950 *4 *5 *6)) (-4 *4 (-453)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-450 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4 *4 *2 *2 *2 *2) (-12 (-5 *2 (-568)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-763)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-788)) (-4 *4 (-950 *5 *6 *7)) (-4 *5 (-453)) (-4 *7 (-842)) (-5 *1 (-450 *5 *6 *7 *4))))) 
-(((*1 *1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *1 *2 *1) (-12 (-5 *1 (-130 *2)) (-4 *2 (-842))))) 
-(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *5 *5 *5 *5 *4 *4 *6 *7) (-12 (-5 *4 (-568)) (-5 *5 (-679 (-215))) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-89 FCNF)))) (-5 *7 (-3 (|:| |fn| (-390)) (|:| |fp| (-90 FCNG)))) (-5 *3 (-215)) (-5 *2 (-1035)) (-5 *1 (-741))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1157 *4)) (-5 *1 (-358 *4)) (-4 *4 (-350))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-1161))) (-5 *1 (-541))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-634 *3))) (-4 *3 (-1090)) (-5 *1 (-900 *3))))) 
-(((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-568)) (-5 *5 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *6 (-1047)) (-4 *7 (-230 *8 (-763))) (-14 *8 (-763)) (-5 *2 (-634 (-634 *3))) (-5 *1 (-772 *6 *3 *7 *8)) (-4 *3 (-324 *6 *7))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-568)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *8 (-301)) (-4 *9 (-950 *8 *6 *7)) (-5 *2 (-2 (|:| -1416 (-1157 *9)) (|:| |polval| (-1157 *8)))) (-5 *1 (-732 *6 *7 *8 *9)) (-5 *3 (-1157 *9)) (-5 *4 (-1157 *8))))) 
-(((*1 *2 *3 *4 *4 *5) (|partial| -12 (-5 *4 (-607 *3)) (-5 *5 (-634 *3)) (-4 *3 (-13 (-432 *6) (-27) (-1181))) (-4 *6 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-570 *6 *3 *7)) (-4 *7 (-1090))))) 
-(((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7) (-12 (-5 *3 (-679 (-215))) (-5 *4 (-568)) (-5 *5 (-215)) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-390)) (|:| |fp| (-92 BDYVAL)))) (-5 *2 (-1035)) (-5 *1 (-741)))) ((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7 *8 *8) (-12 (-5 *3 (-679 (-215))) (-5 *4 (-568)) (-5 *5 (-215)) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-390)) (|:| |fp| (-92 BDYVAL)))) (-5 *8 (-390)) (-5 *2 (-1035)) (-5 *1 (-741))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-271))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 (-169 (-568))))) (-5 *2 (-634 (-169 *4))) (-5 *1 (-380 *4)) (-4 *4 (-13 (-365) (-840))))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-634 (-409 (-953 (-169 (-568)))))) (-5 *4 (-634 (-1161))) (-5 *2 (-634 (-634 (-169 *5)))) (-5 *1 (-380 *5)) (-4 *5 (-13 (-365) (-840)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1244 (-310 (-215)))) (-5 *2 (-1244 (-310 (-381)))) (-5 *1 (-299))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1219 *5)) (-4 *5 (-365)) (-5 *2 (-2 (|:| -2244 (-420 *3)) (|:| |special| (-420 *3)))) (-5 *1 (-717 *5 *3))))) 
-(((*1 *1) (-5 *1 (-142)))) 
-(((*1 *1) (-5 *1 (-818)))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *3 *3 *3 *3 *5 *5 *4 *3 *6 *7) (-12 (-5 *3 (-568)) (-5 *5 (-679 (-215))) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-80 FCN JACOBF JACEPS)))) (-5 *7 (-3 (|:| |fn| (-390)) (|:| |fp| (-81 G JACOBG JACGEP)))) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-741))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1149 3 *3)) (-4 *3 (-1047)) (-4 *1 (-1122 *3)))) ((*1 *1) (-12 (-4 *1 (-1122 *2)) (-4 *2 (-1047))))) 
-(((*1 *2 *1 *2) (-12 (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) *2)) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-117)) (-5 *2 (-763))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1157 *9)) (-5 *4 (-634 *7)) (-5 *5 (-634 *8)) (-4 *7 (-842)) (-4 *8 (-1047)) (-4 *9 (-950 *8 *6 *7)) (-4 *6 (-788)) (-5 *2 (-1157 *8)) (-5 *1 (-318 *6 *7 *8 *9))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-436))))) 
-(((*1 *2 *3 *1) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-3 (-121) (-634 *1))) (-4 *1 (-1066 *4 *5 *6 *3))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-634 (-1157 *7))) (-5 *3 (-1157 *7)) (-4 *7 (-950 *4 *5 *6)) (-4 *4 (-904)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-901 *4 *5 *6 *7)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-634 (-1157 *5))) (-5 *3 (-1157 *5)) (-4 *5 (-1219 *4)) (-4 *4 (-904)) (-5 *1 (-902 *4 *5))))) 
-(((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-438))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-971 *3)) (-4 *3 (-365)) (-5 *2 (-568))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1 (-1141 (-953 *4)) (-1141 (-953 *4)))) (-5 *1 (-1252 *4)) (-4 *4 (-365))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-215))) (-5 *2 (-634 (-1143))) (-5 *1 (-184)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-215))) (-5 *2 (-634 (-1143))) (-5 *1 (-294)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-215))) (-5 *2 (-634 (-1143))) (-5 *1 (-299))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-917)) (-5 *4 (-869)) (-5 *2 (-1249)) (-5 *1 (-1245)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-917)) (-5 *4 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1245)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1246))))) 
-(((*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -4151 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-365)) (-4 *7 (-1219 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-409 *7)) (|:| |a0| *6)) (-2 (|:| -4151 (-409 *7)) (|:| |coeff| (-409 *7))) "failed")) (-5 *1 (-578 *6 *7)) (-5 *3 (-409 *7))))) 
-(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *4 *5) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *5 (-3 (|:| |fn| (-390)) (|:| |fp| (-69 G)))) (-5 *2 (-1035)) (-5 *1 (-740))))) 
-(((*1 *2 *2) (-12 (-5 *1 (-961 *2)) (-4 *2 (-550))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-763)) (-5 *1 (-848 *2)) (-4 *2 (-172))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-568))) (-4 *3 (-1047)) (-5 *1 (-593 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-568))) (-4 *1 (-1203 *3)) (-4 *3 (-1047)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-568))) (-4 *1 (-1234 *3)) (-4 *3 (-1047))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1161)) (-5 *4 (-953 (-568))) (-5 *2 (-328)) (-5 *1 (-330))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *4) (-12 (-5 *3 (-215)) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-740))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-427 *2)) (-4 *2 (-1090)) (-4 *2 (-370))))) 
-(((*1 *1) (-5 *1 (-473)))) 
-(((*1 *2 *3 *3) (-12 (|has| *2 (-6 (-4523 "*"))) (-4 *5 (-375 *2)) (-4 *6 (-375 *2)) (-4 *2 (-1047)) (-5 *1 (-108 *2 *3 *4 *5 *6)) (-4 *3 (-1219 *2)) (-4 *4 (-677 *2 *5 *6))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-158)) (-5 *1 (-869))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-5 *2 (-121))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-388 *3)) (|:| |mm| (-388 *3)) (|:| |rm| (-388 *3)))) (-5 *1 (-388 *3)) (-4 *3 (-1090)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-814 *3)) (|:| |mm| (-814 *3)) (|:| |rm| (-814 *3)))) (-5 *1 (-814 *3)) (-4 *3 (-842))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| -1891 (-634 (-850))) (|:| -2409 (-634 (-850))) (|:| |presup| (-634 (-850))) (|:| -2749 (-634 (-850))) (|:| |args| (-634 (-850))))) (-5 *1 (-1161))))) 
-(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *3 *6) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-215)) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1035)) (-5 *1 (-740))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1249)) (-5 *1 (-205 *4)) (-4 *4 (-13 (-842) (-10 -8 (-15 -2781 ((-1143) $ (-1161))) (-15 -4127 (*2 $)) (-15 -3687 (*2 $))))))) ((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-205 *3)) (-4 *3 (-13 (-842) (-10 -8 (-15 -2781 ((-1143) $ (-1161))) (-15 -4127 (*2 $)) (-15 -3687 (*2 $))))))) ((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-511))))) 
-(((*1 *1 *1) (|partial| -12 (-5 *1 (-288 *2)) (-4 *2 (-716)) (-4 *2 (-1195))))) 
-(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-381)) (-5 *3 (-1143)) (-5 *1 (-99)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-381)) (-5 *3 (-1143)) (-5 *1 (-99))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-568)) (-5 *2 (-121)) (-5 *1 (-554))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-679 *5))) (-4 *5 (-301)) (-4 *5 (-1047)) (-5 *2 (-1244 (-1244 *5))) (-5 *1 (-1029 *5)) (-5 *4 (-1244 *5))))) 
-(((*1 *2 *3 *4 *5 *6 *5 *3 *7) (-12 (-5 *4 (-568)) (-5 *6 (-2 (|:| |try| (-381)) (|:| |did| (-381)) (|:| -3652 (-381)))) (-5 *7 (-1 (-1249) (-1244 *5) (-1244 *5) (-381))) (-5 *3 (-1244 (-381))) (-5 *5 (-381)) (-5 *2 (-1249)) (-5 *1 (-783)))) ((*1 *2 *3 *4 *5 *6 *5 *3 *7 *3 *3 *3 *3 *3 *3 *3) (-12 (-5 *4 (-568)) (-5 *6 (-2 (|:| |try| (-381)) (|:| |did| (-381)) (|:| -3652 (-381)))) (-5 *7 (-1 (-1249) (-1244 *5) (-1244 *5) (-381))) (-5 *3 (-1244 (-381))) (-5 *5 (-381)) (-5 *2 (-1249)) (-5 *1 (-783))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *2 (-568)) (-5 *1 (-1178 *3)) (-4 *3 (-1047))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-212 *3)) (-4 *3 (-1090)))) ((*1 *2 *3) (-12 (-4 *4 (-1047)) (-4 *2 (-13 (-406) (-1037 *4) (-365) (-1181) (-279))) (-5 *1 (-444 *4 *3 *2)) (-4 *3 (-1219 *4)))) ((*1 *1 *1) (-4 *1 (-550))) ((*1 *2 *1) (-12 (-5 *2 (-917)) (-5 *1 (-663 *3)) (-4 *3 (-842)))) ((*1 *2 *1) (-12 (-5 *2 (-917)) (-5 *1 (-667 *3)) (-4 *3 (-842)))) ((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-814 *3)) (-4 *3 (-842)))) ((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-888 *3)) (-4 *3 (-842)))) ((*1 *2 *1) (-12 (-4 *1 (-995 *3)) (-4 *3 (-1195)) (-5 *2 (-763)))) ((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-1000 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-1193 *3)) (-4 *3 (-1195)))) ((*1 *2 *1) (-12 (-4 *1 (-1242 *2)) (-4 *2 (-1195)) (-4 *2 (-1002)) (-4 *2 (-1047))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-955)) (-5 *2 (-1084 (-215))))) ((*1 *2 *1) (-12 (-4 *1 (-975)) (-5 *2 (-1084 (-215)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-917)) (-5 *1 (-781))))) 
-(((*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-679 (-215))) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-740))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-215) (-215) (-215))) (-5 *4 (-3 (-1 (-215) (-215) (-215) (-215)) "undefined")) (-5 *5 (-1084 (-215))) (-5 *6 (-634 (-256))) (-5 *2 (-1121 (-215))) (-5 *1 (-686)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-944 (-215)) (-215) (-215))) (-5 *4 (-1084 (-215))) (-5 *5 (-634 (-256))) (-5 *2 (-1121 (-215))) (-5 *1 (-686)))) ((*1 *2 *2 *3 *4 *4 *5) (-12 (-5 *2 (-1121 (-215))) (-5 *3 (-1 (-944 (-215)) (-215) (-215))) (-5 *4 (-1084 (-215))) (-5 *5 (-634 (-256))) (-5 *1 (-686))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1129)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-1100)) (-5 *3 (-568))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-634 (-634 *3))) (-4 *3 (-365)) (-5 *1 (-653 *3))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *4 *3 *6) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-215)) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1035)) (-5 *1 (-740))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-2 (|:| -2588 (-679 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-679 *3)))) (-4 *3 (-13 (-301) (-10 -8 (-15 -3498 ((-420 $) $))))) (-4 *4 (-1219 *3)) (-5 *1 (-508 *3 *4 *5)) (-4 *5 (-411 *3 *4))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1195)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-953 (-381))) (-5 *1 (-337 *3 *4 *5)) (-4 *5 (-1037 (-381))) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-409 (-953 (-381)))) (-5 *1 (-337 *3 *4 *5)) (-4 *5 (-1037 (-381))) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-310 (-381))) (-5 *1 (-337 *3 *4 *5)) (-4 *5 (-1037 (-381))) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-953 (-568))) (-5 *1 (-337 *3 *4 *5)) (-4 *5 (-1037 (-568))) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-409 (-953 (-568)))) (-5 *1 (-337 *3 *4 *5)) (-4 *5 (-1037 (-568))) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-310 (-568))) (-5 *1 (-337 *3 *4 *5)) (-4 *5 (-1037 (-568))) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1161)) (-5 *1 (-337 *3 *4 *5)) (-14 *3 (-634 *2)) (-14 *4 (-634 *2)) (-4 *5 (-389)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-310 *5)) (-4 *5 (-389)) (-5 *1 (-337 *3 *4 *5)) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-679 (-409 (-953 (-568))))) (-4 *1 (-386)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-679 (-409 (-953 (-381))))) (-4 *1 (-386)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-679 (-953 (-568)))) (-4 *1 (-386)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-679 (-953 (-381)))) (-4 *1 (-386)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-679 (-310 (-568)))) (-4 *1 (-386)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-679 (-310 (-381)))) (-4 *1 (-386)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-409 (-953 (-568)))) (-4 *1 (-398)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-409 (-953 (-381)))) (-4 *1 (-398)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-953 (-568))) (-4 *1 (-398)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-953 (-381))) (-4 *1 (-398)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-310 (-568))) (-4 *1 (-398)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-310 (-381))) (-4 *1 (-398)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1244 (-409 (-953 (-568))))) (-4 *1 (-442)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1244 (-409 (-953 (-381))))) (-4 *1 (-442)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1244 (-953 (-568)))) (-4 *1 (-442)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1244 (-953 (-381)))) (-4 *1 (-442)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1244 (-310 (-568)))) (-4 *1 (-442)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1244 (-310 (-381)))) (-4 *1 (-442)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-350)) (-4 *5 (-327 *4)) (-4 *6 (-1219 *5)) (-5 *2 (-1157 (-1157 *4))) (-5 *1 (-769 *4 *5 *6 *3 *7)) (-4 *3 (-1219 *6)) (-14 *7 (-917)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *1 (-977 *3 *4 *5 *6)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-1037 *2)) (-4 *2 (-1195)))) ((*1 *1 *2) (|partial| -2199 (-12 (-5 *2 (-953 *3)) (-12 (-3046 (-4 *3 (-43 (-409 (-568))))) (-3046 (-4 *3 (-43 (-568)))) (-4 *5 (-609 (-1161)))) (-4 *3 (-1047)) (-4 *1 (-1061 *3 *4 *5)) (-4 *4 (-788)) (-4 *5 (-842))) (-12 (-5 *2 (-953 *3)) (-12 (-3046 (-4 *3 (-550))) (-3046 (-4 *3 (-43 (-409 (-568))))) (-4 *3 (-43 (-568))) (-4 *5 (-609 (-1161)))) (-4 *3 (-1047)) (-4 *1 (-1061 *3 *4 *5)) (-4 *4 (-788)) (-4 *5 (-842))) (-12 (-5 *2 (-953 *3)) (-12 (-3046 (-4 *3 (-993 (-568)))) (-4 *3 (-43 (-409 (-568)))) (-4 *5 (-609 (-1161)))) (-4 *3 (-1047)) (-4 *1 (-1061 *3 *4 *5)) (-4 *4 (-788)) (-4 *5 (-842))))) ((*1 *1 *2) (|partial| -2199 (-12 (-5 *2 (-953 (-568))) (-4 *1 (-1061 *3 *4 *5)) (-12 (-3046 (-4 *3 (-43 (-409 (-568))))) (-4 *3 (-43 (-568))) (-4 *5 (-609 (-1161)))) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842))) (-12 (-5 *2 (-953 (-568))) (-4 *1 (-1061 *3 *4 *5)) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *5 (-609 (-1161)))) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842))))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-953 (-409 (-568)))) (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-43 (-409 (-568)))) (-4 *5 (-609 (-1161))) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842))))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-558)) (-4 *3 (-1047)) (-5 *2 (-2 (|:| -4409 *1) (|:| -2607 *1))) (-4 *1 (-844 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-558)) (-4 *5 (-1047)) (-5 *2 (-2 (|:| -4409 *3) (|:| -2607 *3))) (-5 *1 (-845 *5 *3)) (-4 *3 (-844 *5))))) 
-(((*1 *2 *3 *3 *2 *4) (-12 (-5 *3 (-679 *2)) (-5 *4 (-568)) (-4 *2 (-13 (-301) (-10 -8 (-15 -3498 ((-420 $) $))))) (-4 *5 (-1219 *2)) (-5 *1 (-508 *2 *5 *6)) (-4 *6 (-411 *2 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-944 *4))) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-634 (-634 (-171))))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-643 *4)) (-4 *4 (-340 *5 *6 *7)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-4 *6 (-1219 *5)) (-4 *7 (-1219 (-409 *6))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2588 (-634 *4)))) (-5 *1 (-801 *5 *6 *7 *4))))) 
-(((*1 *1 *1) (-4 *1 (-558)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-432 *4)) (-5 *1 (-433 *4 *2)) (-4 *4 (-13 (-842) (-558)))))) 
-(((*1 *1 *1 *2 *1) (-12 (-5 *1 (-136 *2)) (-4 *2 (-1090)))) ((*1 *1 *2) (-12 (-5 *1 (-136 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-763)) (-4 *5 (-1047)) (-4 *2 (-1219 *5)) (-5 *1 (-1237 *5 *2 *6 *3)) (-4 *6 (-646 *2)) (-4 *3 (-1234 *5))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-453)) (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -2534 *4))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-2 (|:| -3651 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| -4085 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-563))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3))))) 
-(((*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1161)) (-5 *6 (-634 (-607 *3))) (-5 *5 (-607 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *7))) (-4 *7 (-13 (-453) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-2 (|:| -4151 *3) (|:| |coeff| *3))) (-5 *1 (-559 *7 *3))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-372 *4 *5)) (-4 *4 (-172)) (-4 *5 (-1219 *4)) (-5 *2 (-679 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-411 *3 *4)) (-4 *3 (-172)) (-4 *4 (-1219 *3)) (-5 *2 (-679 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-239 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-473)))) ((*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-1245)))) ((*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-1246))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |pde| (-634 (-310 (-215)))) (|:| |constraints| (-634 (-2 (|:| |start| (-215)) (|:| |finish| (-215)) (|:| |grid| (-763)) (|:| |boundaryType| (-568)) (|:| |dStart| (-679 (-215))) (|:| |dFinish| (-679 (-215)))))) (|:| |f| (-634 (-634 (-310 (-215))))) (|:| |st| (-1143)) (|:| |tol| (-215)))) (-5 *2 (-121)) (-5 *1 (-202))))) 
-(((*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1219 *5)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-409 *6)) (|:| |h| *6) (|:| |c1| (-409 *6)) (|:| |c2| (-409 *6)) (|:| -3494 *6))) (-5 *1 (-1016 *5 *6)) (-5 *3 (-409 *6))))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1114 *4 *3 *5))) (-4 *4 (-43 (-409 (-568)))) (-4 *4 (-1047)) (-4 *3 (-842)) (-5 *1 (-1114 *4 *3 *5)) (-4 *5 (-950 *4 (-534 *3) *3)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1190 *4))) (-5 *3 (-1161)) (-5 *1 (-1190 *4)) (-4 *4 (-43 (-409 (-568)))) (-4 *4 (-1047))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-375 *2)) (-4 *2 (-1195)) (-4 *2 (-842)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-375 *3)) (-4 *3 (-1195)))) ((*1 *2 *2) (-12 (-5 *2 (-634 (-900 *3))) (-5 *1 (-900 *3)) (-4 *3 (-1090)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *3 (-842)) (-4 *6 (-1061 *4 *5 *3)) (-5 *2 (-2 (|:| |under| *1) (|:| -4115 *1) (|:| |upper| *1))) (-4 *1 (-977 *4 *5 *3 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *4 *4)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-5 *2 (-1 *5 *4)) (-5 *1 (-672 *4 *5))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-375 *2)) (-4 *2 (-1195)) (-4 *2 (-842)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-375 *3)) (-4 *3 (-1195)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-494 *2)) (-4 *2 (-842)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-969 *2)) (-4 *2 (-842)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1122 *2)) (-4 *2 (-1047)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-1122 *3)) (-4 *3 (-1047)))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-1149 *3 *4))) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-1149 *2 *3)) (-14 *2 (-917)) (-4 *3 (-1047))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-541)) (-5 *1 (-540 *2)) (-4 *2 (-1195)))) ((*1 *2 *1) (-12 (-5 *2 (-57)) (-5 *1 (-541))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-121)) (-5 *1 (-464)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-465))))) 
+(832072 . 3524719206)        
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1213 (-569))) (-4 *1 (-278 *3)) (-4 *3 (-1197)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-278 *3)) (-4 *3 (-1197))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1222 (-569)))))) 
+(((*1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1252)) (-5 *1 (-1124)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-851))) (-5 *2 (-1252)) (-5 *1 (-1124))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-764)) (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 "skip" "MonteCarlo" "deterministic")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 "skip" "MonteCarlo" "deterministic")) (-5 *1 (-466)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 (-2 (|:| -1743 (-1159 *6)) (|:| -2356 (-569))))) (-4 *6 (-302)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-733 *4 *5 *6 *7)) (-4 *7 (-951 *6 *4 *5)))) ((*1 *1 *1) (-12 (-4 *1 (-1123 *2)) (-4 *2 (-1048))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-263 *4)) (-4 *6 (-789)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-635 (-635 (-764)))))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 (-764)) (-14 *4 (-764)) (-4 *5 (-173))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -2714 *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-569))) (-5 *1 (-1046))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-569)) (-5 *1 (-445 *4 *3 *5)) (-4 *3 (-1222 *4)) (-4 *5 (-13 (-407) (-1038 *4) (-366) (-1183) (-280)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-99)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-99))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-4 *3 (-896 *5)) (-5 *2 (-1247 *3)) (-5 *1 (-682 *5 *3 *6 *4)) (-4 *6 (-376 *3)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4535))))))) 
+(((*1 *2 *3 *4 *5 *6 *7 *6) (|partial| -12 (-5 *5 (-2 (|:| |contp| *3) (|:| -1640 (-635 (-2 (|:| |irr| *10) (|:| -4245 (-569))))))) (-5 *6 (-635 *3)) (-5 *7 (-635 *8)) (-4 *8 (-843)) (-4 *3 (-302)) (-4 *10 (-951 *3 *9 *8)) (-4 *9 (-789)) (-5 *2 (-2 (|:| |polfac| (-635 *10)) (|:| |correct| *3) (|:| |corrfact| (-635 (-1159 *3))))) (-5 *1 (-618 *8 *9 *3 *10)) (-5 *4 (-635 (-1159 *3)))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1222 (-53))))) ((*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |less| (-131 *3)) (|:| |greater| (-131 *3)))) (-5 *1 (-131 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-4 *3 (-1091)) (-5 *2 (-635 *1)) (-4 *1 (-236 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-586 *4)) (-4 *4 (-13 (-29 *3) (-1183))) (-4 *3 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *1 (-584 *3 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-586 (-410 (-954 *3)))) (-4 *3 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *1 (-589 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -2478 *3) (|:| |special| *3))) (-5 *1 (-718 *5 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1247 *5)) (-4 *5 (-366)) (-4 *5 (-1048)) (-5 *2 (-635 (-635 (-680 *5)))) (-5 *1 (-1030 *5)) (-5 *3 (-635 (-680 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1247 (-1247 *5))) (-4 *5 (-366)) (-4 *5 (-1048)) (-5 *2 (-635 (-635 (-680 *5)))) (-5 *1 (-1030 *5)) (-5 *3 (-635 (-680 *5))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-143)) (-5 *2 (-635 *1)) (-4 *1 (-1130)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-148)) (-5 *2 (-635 *1)) (-4 *1 (-1130))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3))))) 
+(((*1 *1 *1) (-12 (-4 *2 (-151)) (-4 *2 (-302)) (-4 *2 (-454)) (-4 *3 (-843)) (-4 *4 (-789)) (-5 *1 (-989 *2 *3 *4 *5)) (-4 *5 (-951 *2 *4 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-53)) (-5 *2 (-311 (-569))) (-5 *1 (-1108)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print"))) (-5 *1 (-329))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559) (-610 (-542)))) (-5 *1 (-1025 *3 *2)) (-4 *2 (-13 (-433 *3) (-23) (-1038 (-569)) (-1038 (-1163)) (-896 (-1163)) (-162)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-351)) (-5 *2 (-959 (-1109))) (-5 *1 (-348 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-954 (-216))) (-5 *2 (-311 (-382))) (-5 *1 (-300))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-818)) (-5 *1 (-817))))) 
+(((*1 *2 *3) (-12 (-4 *2 (-366)) (-4 *2 (-841)) (-5 *1 (-947 *2 *3)) (-4 *3 (-1222 *2))))) 
+(((*1 *2) (-12 (-4 *2 (-13 (-433 *3) (-1003))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-843) (-559)))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121))))) 
+(((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-133)))) 
+(((*1 *2 *2) (|partial| -12 (-4 *3 (-366)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-530 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-559)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-4 *7 (-994 *4)) (-4 *2 (-678 *7 *8 *9)) (-5 *1 (-531 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-678 *4 *5 *6)) (-4 *8 (-376 *7)) (-4 *9 (-376 *7)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-366)))) ((*1 *2 *2) (|partial| -12 (-4 *3 (-366)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-679 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5)))) ((*1 *1 *1) (|partial| -12 (-5 *1 (-680 *2)) (-4 *2 (-366)) (-4 *2 (-1048)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-1112 *2 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-231 *2 *3)) (-4 *5 (-231 *2 *3)) (-4 *3 (-366)))) ((*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-1169 *3))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-170 *4)) (-5 *1 (-179 *4 *3)) (-4 *4 (-13 (-366) (-841))) (-4 *3 (-1222 *2))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-818))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-1 *5 *5)) (-5 *1 (-800 *4 *5)) (-4 *5 (-13 (-29 *4) (-1183) (-960)))))) 
+(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 (-764))) (-5 *4 (-569)) (-4 *1 (-642 *5)) (-4 *5 (-366))))) 
+(((*1 *2 *3 *1 *4) (-12 (-5 *3 (-1126 *5 *6)) (-5 *4 (-1 (-121) *6 *6)) (-4 *5 (-13 (-1091) (-39))) (-4 *6 (-13 (-1091) (-39))) (-5 *2 (-121)) (-5 *1 (-1127 *5 *6))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1184 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-562 *3)) (-4 *3 (-551))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-410 (-569))) (-5 *1 (-300))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121))))) 
+(((*1 *2 *1 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-37 *2)) (-4 *2 (-366)))) ((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1197)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 "right") (|has| *1 (-6 -4536)) (-4 *1 (-128 *3)) (-4 *3 (-1197)))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 "left") (|has| *1 (-6 -4536)) (-4 *1 (-128 *3)) (-4 *3 (-1197)))) ((*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-284 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1197)))) ((*1 *2 *1 *3 *2) (-12 (-5 *2 (-57)) (-5 *3 (-1163)) (-5 *1 (-624)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 (-1213 (-569))) (|has| *1 (-6 -4536)) (-4 *1 (-641 *2)) (-4 *2 (-1197)))) ((*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-972 *2)) (-4 *2 (-366)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 "value") (|has| *1 (-6 -4536)) (-4 *1 (-1011 *2)) (-4 *2 (-1197)))) ((*1 *2 *1 *2) (-12 (-5 *1 (-1027 *2)) (-4 *2 (-1197)))) ((*1 *2 *1 *3 *2) (-12 (-4 *1 (-1174 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1091)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 "last") (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 "rest") (|has| *1 (-6 -4536)) (-4 *1 (-1234 *3)) (-4 *3 (-1197)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 "first") (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-586 *2)) (-4 *2 (-13 (-29 *4) (-1183))) (-5 *1 (-584 *4 *2)) (-4 *4 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-586 (-410 (-954 *4)))) (-4 *4 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *2 (-311 *4)) (-5 *1 (-589 *4))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *1 *1 *1) (-4 *1 (-551)))) 
+(((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-843)) (-4 *4 (-366)) (-4 *5 (-789)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5 *6 *7)) (-4 *7 (-951 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-351)) (-5 *2 (-1247 (-635 (-2 (|:| -2247 *4) (|:| -3998 (-1109)))))) (-5 *1 (-348 *4))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *3 (-635 (-870))) (-5 *1 (-474))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *4 (-13 (-366) (-841))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4))))) ((*1 *2 *3 *4) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4)))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1197)) (-5 *2 (-764)) (-5 *1 (-180 *4 *3)) (-4 *3 (-666 *4))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1197)))) ((*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) ((*1 *1 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-57))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 *3 *4)) (-5 *1 (-673 *4 *3)) (-4 *4 (-1091)) (-4 *3 (-1091))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 *7)) (-4 *1 (-1067 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4535)) (-4 *1 (-228 *3)) (-4 *3 (-1091)))) ((*1 *1 *2 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-228 *2)) (-4 *2 (-1091)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1197)) (-4 *2 (-1091)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-278 *3)) (-4 *3 (-1197)))) ((*1 *2 *3 *1) (|partial| -12 (-4 *1 (-606 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1091)))) ((*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-121) *4)) (-5 *3 (-569)) (-4 *4 (-1091)) (-5 *1 (-728 *4)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-728 *2)) (-4 *2 (-1091)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1126 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))) (-5 *1 (-1127 *3 *4))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-680 *4)) (-5 *3 (-918)) (-4 *4 (-1048)) (-5 *1 (-1029 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 (-680 *4))) (-5 *3 (-918)) (-4 *4 (-1048)) (-5 *1 (-1029 *4))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-1038 (-569))) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-36 *4 *2)) (-4 *2 (-433 *4)))) ((*1 *1 *1 *1) (-5 *1 (-140))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1 *1) (-5 *1 (-216))) ((*1 *1 *1 *2) (-12 (-4 *1 (-239)) (-5 *2 (-569)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-366)) (-4 *4 (-43 *3)) (-4 *5 (-1237 *4)) (-5 *1 (-275 *4 *5 *2)) (-4 *2 (-1208 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-366)) (-4 *4 (-43 *3)) (-4 *5 (-1206 *4)) (-5 *1 (-276 *4 *5 *2 *6)) (-4 *2 (-1229 *4 *5)) (-4 *6 (-985 *5)))) ((*1 *1 *1 *1) (-4 *1 (-280))) ((*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-364 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *1) (-5 *1 (-382))) ((*1 *1 *2 *3) (-12 (-5 *3 (-764)) (-5 *1 (-389 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-433 *3)) (-4 *3 (-843)) (-4 *3 (-1103)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-479)) (-5 *2 (-569)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-569)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-542)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-542)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-764)) (-4 *4 (-1091)) (-5 *1 (-672 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-680 *4)) (-5 *3 (-764)) (-4 *4 (-1048)) (-5 *1 (-681 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *3 (-1048)) (-5 *1 (-705 *3 *4)) (-4 *4 (-638 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-569)) (-4 *4 (-1048)) (-5 *1 (-705 *4 *5)) (-4 *5 (-638 *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-711)) (-5 *2 (-918)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-713)) (-5 *2 (-764)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-717)) (-5 *2 (-764)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-734 *2 *3)) (-14 *2 (-1163)) (-4 *3 (-13 (-1048) (-843) (-559))))) ((*1 *1 *2 *3) (-12 (-5 *3 (-764)) (-5 *1 (-815 *2)) (-4 *2 (-843)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-830 *3)) (-4 *3 (-1048)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-569)) (-5 *1 (-830 *4)) (-4 *4 (-1048)))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1003)) (-5 *2 (-410 (-569))))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1103)) (-5 *2 (-918)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1112 *3 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *3 *4)) (-4 *4 (-366)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1237 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *4 (-1048)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-1222 *4))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *1) (-4 *1 (-280))) ((*1 *2 *3) (-12 (-5 *3 (-421 *4)) (-4 *4 (-559)) (-5 *2 (-635 (-2 (|:| -4140 (-764)) (|:| |logand| *4)))) (-5 *1 (-317 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *2 *1) (-12 (-5 *2 (-657 *3 *4)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-13 (-1048) (-708 (-410 (-569))))) (-4 *5 (-843)) (-5 *1 (-1261 *4 *5 *2)) (-4 *2 (-1266 *5 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-1265 *3 *4)) (-4 *4 (-708 (-410 (-569)))) (-4 *3 (-843)) (-4 *4 (-173))))) 
+(((*1 *1 *2 *3 *1 *3) (-12 (-5 *2 (-888 *4)) (-4 *4 (-1091)) (-5 *1 (-885 *4 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1145)) (-5 *3 (-767)) (-5 *1 (-123))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))) (-5 *1 (-799))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2))))) 
+(((*1 *1 *1) (-12 (-4 *2 (-302)) (-4 *3 (-994 *2)) (-4 *4 (-1222 *3)) (-5 *1 (-416 *2 *3 *4 *5)) (-4 *5 (-13 (-412 *3 *4) (-1038 *3)))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2714 (-778 *3)) (|:| |coef1| (-778 *3)) (|:| |coef2| (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| -2714 *1) (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-1062 *3 *4 *5))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1252)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12))))) 
+(((*1 *1 *1 *1) (|partial| -12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1222 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-702 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-706 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3))))) 
+(((*1 *1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) ((*1 *1 *1) (|partial| -4 *1 (-713)))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1163)) (-5 *5 (-1085 (-216))) (-5 *2 (-928)) (-5 *1 (-926 *3)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-1163)) (-5 *5 (-1085 (-216))) (-5 *2 (-928)) (-5 *1 (-926 *3)) (-4 *3 (-610 (-542))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-927)))) ((*1 *1 *2 *2 *2 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-927)))) ((*1 *1 *2 *2 *2 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-927)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-928)))) ((*1 *1 *2 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) ((*1 *1 *2 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) ((*1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-1 (-216) (-216)))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-635 (-1 (-216) (-216)))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) ((*1 *1 *2 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *6)) (-4 *5 (-1091)) (-4 *6 (-1197)) (-5 *2 (-1 *6 *5)) (-5 *1 (-632 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *2)) (-4 *5 (-1091)) (-4 *2 (-1197)) (-5 *1 (-632 *5 *2)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 *5)) (-4 *6 (-1091)) (-4 *5 (-1197)) (-5 *2 (-1 *5 *6)) (-5 *1 (-632 *6 *5)))) ((*1 *2 *3 *4 *5 *2) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *2)) (-4 *5 (-1091)) (-4 *2 (-1197)) (-5 *1 (-632 *5 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-1 *6 *5)) (-5 *3 (-635 *5)) (-5 *4 (-635 *6)) (-4 *5 (-1091)) (-4 *6 (-1197)) (-5 *1 (-632 *5 *6)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *2)) (-5 *6 (-1 *2 *5)) (-4 *5 (-1091)) (-4 *2 (-1197)) (-5 *1 (-632 *5 *2)))) ((*1 *2 *1 *1 *3) (-12 (-4 *1 (-1130)) (-5 *3 (-148)) (-5 *2 (-764))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-635 (-289 (-954 *4))))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-841) (-366))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-289 (-410 (-954 (-569)))))) (-5 *2 (-635 (-635 (-289 (-954 *4))))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-841) (-366))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 (-569)))) (-5 *2 (-635 (-289 (-954 *4)))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-841) (-366))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-954 (-569))))) (-5 *2 (-635 (-289 (-954 *4)))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-841) (-366))))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1163)) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-4 *4 (-13 (-29 *6) (-1183) (-960))) (-5 *2 (-2 (|:| |particular| *4) (|:| -3930 (-635 *4)))) (-5 *1 (-643 *6 *4 *3)) (-4 *3 (-647 *4)))) ((*1 *2 *3 *2 *4 *2 *5) (|partial| -12 (-5 *4 (-1163)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-29 *6) (-1183) (-960))) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *1 (-643 *6 *2 *3)) (-4 *3 (-647 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-680 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |particular| (-3 (-1247 *5) "failed")) (|:| -3930 (-635 (-1247 *5))))) (-5 *1 (-660 *5)) (-5 *4 (-1247 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 *5))) (-4 *5 (-366)) (-5 *2 (-2 (|:| |particular| (-3 (-1247 *5) "failed")) (|:| -3930 (-635 (-1247 *5))))) (-5 *1 (-660 *5)) (-5 *4 (-1247 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-680 *5)) (-4 *5 (-366)) (-5 *2 (-635 (-2 (|:| |particular| (-3 (-1247 *5) "failed")) (|:| -3930 (-635 (-1247 *5)))))) (-5 *1 (-660 *5)) (-5 *4 (-635 (-1247 *5))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 *5))) (-4 *5 (-366)) (-5 *2 (-635 (-2 (|:| |particular| (-3 (-1247 *5) "failed")) (|:| -3930 (-635 (-1247 *5)))))) (-5 *1 (-660 *5)) (-5 *4 (-635 (-1247 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-661 *5 *6 *4 *3)) (-4 *3 (-678 *5 *6 *4)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-4 *7 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-5 *2 (-635 (-2 (|:| |particular| (-3 *7 "failed")) (|:| -3930 (-635 *7))))) (-5 *1 (-661 *5 *6 *7 *3)) (-5 *4 (-635 *7)) (-4 *3 (-678 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-635 (-1163))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *5)))))) (-5 *1 (-763 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *4)))))) (-5 *1 (-763 *4)))) ((*1 *2 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-1163)) (-4 *5 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *1 (-765 *5 *2)) (-4 *2 (-13 (-29 *5) (-1183) (-960))))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-680 *7)) (-5 *5 (-1163)) (-4 *7 (-13 (-29 *6) (-1183) (-960))) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-2 (|:| |particular| (-1247 *7)) (|:| -3930 (-635 (-1247 *7))))) (-5 *1 (-798 *6 *7)) (-5 *4 (-1247 *7)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-680 *6)) (-5 *4 (-1163)) (-4 *6 (-13 (-29 *5) (-1183) (-960))) (-4 *5 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-1247 *6))) (-5 *1 (-798 *5 *6)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-635 (-289 *7))) (-5 *4 (-635 (-123))) (-5 *5 (-1163)) (-4 *7 (-13 (-29 *6) (-1183) (-960))) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-2 (|:| |particular| (-1247 *7)) (|:| -3930 (-635 (-1247 *7))))) (-5 *1 (-798 *6 *7)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-635 *7)) (-5 *4 (-635 (-123))) (-5 *5 (-1163)) (-4 *7 (-13 (-29 *6) (-1183) (-960))) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-2 (|:| |particular| (-1247 *7)) (|:| -3930 (-635 (-1247 *7))))) (-5 *1 (-798 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-123)) (-5 *5 (-1163)) (-4 *7 (-13 (-29 *6) (-1183) (-960))) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-3 (-2 (|:| |particular| *7) (|:| -3930 (-635 *7))) *7 "failed")) (-5 *1 (-798 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-123)) (-5 *5 (-1163)) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-3 (-2 (|:| |particular| *3) (|:| -3930 (-635 *3))) *3 "failed")) (-5 *1 (-798 *6 *3)) (-4 *3 (-13 (-29 *6) (-1183) (-960))))) ((*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-289 *2)) (-5 *4 (-123)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-29 *6) (-1183) (-960))) (-5 *1 (-798 *6 *2)) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))))) ((*1 *2 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-289 *2)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-29 *6) (-1183) (-960))) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *1 (-798 *6 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-804)) (-5 *2 (-1036)) (-5 *1 (-801)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-804)) (-5 *4 (-1060)) (-5 *2 (-1036)) (-5 *1 (-801)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1247 (-311 (-382)))) (-5 *4 (-382)) (-5 *5 (-635 *4)) (-5 *2 (-1036)) (-5 *1 (-801)))) ((*1 *2 *3 *4 *4 *5 *4) (-12 (-5 *3 (-1247 (-311 (-382)))) (-5 *4 (-382)) (-5 *5 (-635 *4)) (-5 *2 (-1036)) (-5 *1 (-801)))) ((*1 *2 *3 *4 *4 *5 *6 *4) (-12 (-5 *3 (-1247 (-311 *4))) (-5 *5 (-635 (-382))) (-5 *6 (-311 (-382))) (-5 *4 (-382)) (-5 *2 (-1036)) (-5 *1 (-801)))) ((*1 *2 *3 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1247 (-311 (-382)))) (-5 *4 (-382)) (-5 *5 (-635 *4)) (-5 *2 (-1036)) (-5 *1 (-801)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4) (-12 (-5 *3 (-1247 (-311 *4))) (-5 *5 (-635 (-382))) (-5 *6 (-311 (-382))) (-5 *4 (-382)) (-5 *2 (-1036)) (-5 *1 (-801)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4 *4) (-12 (-5 *3 (-1247 (-311 *4))) (-5 *5 (-635 (-382))) (-5 *6 (-311 (-382))) (-5 *4 (-382)) (-5 *2 (-1036)) (-5 *1 (-801)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-2 (|:| |particular| *6) (|:| -3930 (-635 *6))) "failed") *7 *6)) (-4 *6 (-366)) (-4 *7 (-647 *6)) (-5 *2 (-2 (|:| |particular| (-1247 *6)) (|:| -3930 (-680 *6)))) (-5 *1 (-809 *6 *7)) (-5 *3 (-680 *6)) (-5 *4 (-1247 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-894)) (-5 *2 (-1036)) (-5 *1 (-893)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-894)) (-5 *4 (-1060)) (-5 *2 (-1036)) (-5 *1 (-893)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7 *8) (-12 (-5 *4 (-764)) (-5 *6 (-635 (-635 (-311 *3)))) (-5 *7 (-1145)) (-5 *8 (-216)) (-5 *5 (-635 (-311 (-382)))) (-5 *3 (-382)) (-5 *2 (-1036)) (-5 *1 (-893)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7) (-12 (-5 *4 (-764)) (-5 *6 (-635 (-635 (-311 *3)))) (-5 *7 (-1145)) (-5 *5 (-635 (-311 (-382)))) (-5 *3 (-382)) (-5 *2 (-1036)) (-5 *1 (-893)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-954 (-410 (-569)))) (-5 *2 (-635 (-382))) (-5 *1 (-1023)) (-5 *4 (-382)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-954 (-569))) (-5 *2 (-635 (-382))) (-5 *1 (-1023)) (-5 *4 (-382)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1117 *3 *4)) (-4 *3 (-1222 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1120 *4)) (-5 *3 (-311 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1120 *4)) (-5 *3 (-289 (-311 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1120 *5)) (-5 *3 (-289 (-311 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1120 *5)) (-5 *3 (-311 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1163))) (-4 *5 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *5))))) (-5 *1 (-1120 *5)) (-5 *3 (-635 (-289 (-311 *5)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 *5)))) (-5 *4 (-635 (-1163))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *5)))))) (-5 *1 (-1168 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1163))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *5)))))) (-5 *1 (-1168 *5)) (-5 *3 (-635 (-289 (-410 (-954 *5))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 *4)))) (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *4)))))) (-5 *1 (-1168 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *4)))))) (-5 *1 (-1168 *4)) (-5 *3 (-635 (-289 (-410 (-954 *4))))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-559)) (-5 *2 (-635 (-289 (-410 (-954 *5))))) (-5 *1 (-1168 *5)) (-5 *3 (-410 (-954 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-559)) (-5 *2 (-635 (-289 (-410 (-954 *5))))) (-5 *1 (-1168 *5)) (-5 *3 (-289 (-410 (-954 *5)))))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-289 (-410 (-954 *4))))) (-5 *1 (-1168 *4)) (-5 *3 (-410 (-954 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-289 (-410 (-954 *4))))) (-5 *1 (-1168 *4)) (-5 *3 (-289 (-410 (-954 *4))))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-588 *4)) (-4 *4 (-351))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-569)) (|has| *1 (-6 -4526)) (-4 *1 (-407)) (-5 *2 (-918))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-642 *2)) (-4 *2 (-366))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *2 *3 *4 *5 *6 *7 *8 *9) (|partial| -12 (-5 *4 (-635 *11)) (-5 *5 (-635 (-1159 *9))) (-5 *6 (-635 *9)) (-5 *7 (-635 *12)) (-5 *8 (-635 (-764))) (-4 *11 (-843)) (-4 *9 (-302)) (-4 *12 (-951 *9 *10 *11)) (-4 *10 (-789)) (-5 *2 (-635 (-1159 *12))) (-5 *1 (-698 *10 *11 *9 *12)) (-5 *3 (-1159 *12))))) 
+(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-689)))) ((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-689))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-218)))) ((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 *10)) (-5 *1 (-617 *5 *6 *7 *8 *9 *10)) (-4 *9 (-1067 *5 *6 *7 *8)) (-4 *10 (-1100 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-776 *5 (-853 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-1045 *5 *6))) (-5 *1 (-620 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-776 *5 (-853 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-1132 *5 (-535 (-853 *6)) (-853 *6) (-776 *5 (-853 *6))))) (-5 *1 (-620 *5 *6)))) ((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1028 *5 *6 *7 *8))) (-5 *1 (-1028 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1028 *5 *6 *7 *8))) (-5 *1 (-1028 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-776 *5 (-853 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-1045 *5 *6))) (-5 *1 (-1045 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1132 *5 *6 *7 *8))) (-5 *1 (-1132 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1132 *5 *6 *7 *8))) (-5 *1 (-1132 *5 *6 *7 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1191 *4 *5 *6 *7))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-302) (-151))) (-4 *4 (-13 (-843) (-610 (-1163)))) (-4 *5 (-789)) (-5 *1 (-925 *3 *4 *5 *2)) (-4 *2 (-951 *3 *5 *4))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-1 (-586 *3) *3 (-1163))) (-5 *6 (-1 (-3 (-2 (|:| |special| *3) (|:| |integrand| *3)) "failed") *3 (-1163))) (-4 *3 (-280)) (-4 *3 (-621)) (-4 *3 (-1038 *4)) (-4 *3 (-433 *7)) (-5 *4 (-1163)) (-4 *7 (-610 (-888 (-569)))) (-4 *7 (-454)) (-4 *7 (-882 (-569))) (-4 *7 (-843)) (-5 *2 (-586 *3)) (-5 *1 (-578 *7 *3))))) 
+(((*1 *1 *1 *1 *1) (-4 *1 (-551)))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-994 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-144 *4 *5 *3)) (-4 *3 (-376 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-994 *4)) (-5 *2 (-2 (|:| |num| *6) (|:| |den| *4))) (-5 *1 (-513 *4 *5 *6 *3)) (-4 *6 (-376 *4)) (-4 *3 (-376 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-680 *5)) (-4 *5 (-994 *4)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |num| (-680 *4)) (|:| |den| *4))) (-5 *1 (-683 *4 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-2 (|:| -1502 *7) (|:| |rh| (-635 (-410 *6))))) (-5 *1 (-803 *5 *6 *7 *3)) (-5 *4 (-635 (-410 *6))) (-4 *7 (-647 *6)) (-4 *3 (-647 (-410 *6))))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-994 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-1215 *4 *5 *3)) (-4 *3 (-1222 *5))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1159 *3)) (-4 *3 (-371)) (-4 *1 (-328 *3)) (-4 *3 (-366))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1095)) (-5 *1 (-57))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-44 *3)) (-4 *3 (-1222 (-53)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1247 (-1247 (-569)))) (-5 *1 (-472))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-1252)) (-5 *1 (-451 *4 *5 *6 *7))))) 
+(((*1 *1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-314)) (-5 *3 (-216))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-102)))) ((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-206 (-512))) (-5 *1 (-831))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (-5 *1 (-264))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-209))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-1247 *1)) (-4 *1 (-859)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-1222 *4)) (-4 *4 (-1048)) (-5 *2 (-1247 *4))))) 
+(((*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-635 *11)) (|:| |todo| (-635 (-2 (|:| |val| *3) (|:| -4003 *11)))))) (-5 *6 (-764)) (-5 *2 (-635 (-2 (|:| |val| (-635 *10)) (|:| -4003 *11)))) (-5 *3 (-635 *10)) (-5 *4 (-635 *11)) (-4 *10 (-1062 *7 *8 *9)) (-4 *11 (-1067 *7 *8 *9 *10)) (-4 *7 (-454)) (-4 *8 (-789)) (-4 *9 (-843)) (-5 *1 (-1065 *7 *8 *9 *10 *11)))) ((*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-635 *11)) (|:| |todo| (-635 (-2 (|:| |val| *3) (|:| -4003 *11)))))) (-5 *6 (-764)) (-5 *2 (-635 (-2 (|:| |val| (-635 *10)) (|:| -4003 *11)))) (-5 *3 (-635 *10)) (-5 *4 (-635 *11)) (-4 *10 (-1062 *7 *8 *9)) (-4 *11 (-1100 *7 *8 *9 *10)) (-4 *7 (-454)) (-4 *8 (-789)) (-4 *9 (-843)) (-5 *1 (-1131 *7 *8 *9 *10 *11))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 (-764) *2)) (-5 *4 (-764)) (-4 *2 (-1091)) (-5 *1 (-669 *2)))) ((*1 *2 *2) (-12 (-5 *2 (-1 *3 (-764) *3)) (-4 *3 (-1091)) (-5 *1 (-672 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
+(((*1 *2 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
+(((*1 *1) (-5 *1 (-159)))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1245 *3)) (-4 *3 (-1197)) (-4 *3 (-1048)) (-5 *2 (-680 *3))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-778 *2)) (-4 *2 (-1048))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-351)) (-5 *2 (-421 (-1159 (-1159 *5)))) (-5 *1 (-1196 *5)) (-5 *3 (-1159 (-1159 *5)))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-421 *3)) (-4 *3 (-551)) (-4 *3 (-559)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-793 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-829 *3)) (-4 *3 (-551)) (-4 *3 (-1091)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-836 *3)) (-4 *3 (-551)) (-4 *3 (-1091)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-998 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *3) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-1009 *3)) (-4 *3 (-1038 *2))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-501)))) ((*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-701))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-123)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-843)) (-5 *1 (-931 *4 *2)) (-4 *2 (-433 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-1145)) (-5 *2 (-311 (-569))) (-5 *1 (-932))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-421 *3)) (-4 *3 (-559))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-680 *2)) (-4 *4 (-1222 *2)) (-4 *2 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-5 *1 (-509 *2 *4 *5)) (-4 *5 (-412 *2 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1112 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (-4 *2 (-1048))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1) (-4 *1 (-1125)))) 
+(((*1 *2 *3 *3) (-12 (-5 *2 (-1159 *3)) (-5 *1 (-911 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-870))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-820)) (-5 *1 (-821))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1163)) (-5 *5 (-1085 (-216))) (-5 *2 (-928)) (-5 *1 (-926 *3)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-5 *2 (-928)) (-5 *1 (-926 *3)) (-4 *3 (-610 (-542))))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-928)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-4 *3 (-1091)) (-4 *2 (-13 (-433 *4) (-882 *3) (-610 (-888 *3)))) (-5 *1 (-1070 *3 *4 *2)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 (-888 *3)))))) ((*1 *2 *1) (-12 (-4 *2 (-1091)) (-5 *1 (-1152 *3 *2)) (-4 *3 (-1091))))) 
+(((*1 *2 *3 *2) (-12 (-5 *1 (-670 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1091))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-218)))) ((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183)))))) 
+(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-311 (-170 (-382)))) (-5 *1 (-329)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-311 (-382))) (-5 *1 (-329)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-311 (-569))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-311 (-170 (-382))))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-311 (-382)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-311 (-569)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-311 (-170 (-382))))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-311 (-382)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-311 (-569)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-311 (-170 (-382)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-311 (-382))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-311 (-569))) (-5 *1 (-329)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-311 (-684))) (-5 *1 (-329)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-311 (-689))) (-5 *1 (-329)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-311 (-691))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-311 (-684)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-311 (-689)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-311 (-691)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-311 (-684)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-311 (-689)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-311 (-691)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-684))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-689))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-691))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-684))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-689))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-691))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-311 (-684))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-311 (-689))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-311 (-691))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1145)) (-5 *1 (-329)))) ((*1 *1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1159 *6)) (-5 *3 (-569)) (-4 *6 (-302)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-733 *4 *5 *6 *7)) (-4 *7 (-951 *6 *4 *5))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-918)) (-4 *1 (-231 *3 *4)) (-4 *4 (-1048)) (-4 *4 (-1197)))) ((*1 *1 *2) (-12 (-14 *3 (-635 (-1163))) (-4 *4 (-173)) (-4 *5 (-231 (-4168 *3) (-764))) (-14 *6 (-1 (-121) (-2 (|:| -3998 *2) (|:| -2356 *5)) (-2 (|:| -3998 *2) (|:| -2356 *5)))) (-5 *1 (-464 *3 *4 *2 *5 *6 *7)) (-4 *2 (-843)) (-4 *7 (-951 *4 *5 (-853 *3))))) ((*1 *2 *2) (-12 (-5 *2 (-945 (-216))) (-5 *1 (-1194))))) 
+(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *3 (-559))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(((*1 *2 *2 *3) (-12 (-5 *1 (-670 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1159 (-410 (-954 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
+(((*1 *1) (-5 *1 (-1166)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1193 *3)) (-4 *3 (-976))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(((*1 *2 *3 *3) (-12 (-4 *3 (-302)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-679 *3 *4 *5 *6)) (-4 *6 (-678 *3 *4 *5)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-690 *3)) (-4 *3 (-302))))) 
+(((*1 *1 *1) (-4 *1 (-551)))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1048)) (-4 *7 (-1048)) (-4 *6 (-1222 *5)) (-5 *2 (-1159 (-1159 *7))) (-5 *1 (-511 *5 *6 *4 *7)) (-4 *4 (-1222 *6))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-979 *4 *5 *6 *2))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *5 (-1202)) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-5 *2 (-635 (-954 *5))) (-5 *1 (-340 *4 *5 *6 *7)) (-4 *4 (-341 *5 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *1 (-341 *4 *5 *6)) (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-4 *4 (-366)) (-5 *2 (-635 (-954 *4)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
+(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-1184 *3))) (-5 *1 (-1184 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-945 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-945 *3))) (-4 *3 (-1048)) (-4 *1 (-1123 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-945 *3))) (-4 *1 (-1123 *3)) (-4 *3 (-1048))))) 
+(((*1 *2 *3 *4 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-951 *5 *8 (-853 *6))) (-4 *8 (-231 (-4168 *6) (-764))) (-4 *9 (-972 *5)) (-4 *10 (-642 *5)) (-4 *11 (-921 *5 *10)) (-4 *3 (-236 *11)) (-4 *12 (-537 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-117)) (-5 *2 (-2 (|:| -2599 (-569)) (|:| |num| *7) (|:| |den| *7) (|:| |upTo| (-569)))) (-5 *1 (-468 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-5 *4 (-569)) (-4 *13 (-259 *12)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-237 (-923 *5))) (-4 *5 (-351)) (-5 *2 (-2 (|:| -2599 (-569)) (|:| |num| (-243 *6 *5)) (|:| |den| (-243 *6 *5)) (|:| |upTo| (-569)))) (-5 *1 (-868 *5 *6 *7)) (-5 *4 (-569)) (-14 *6 (-635 (-1163))) (-4 *7 (-117)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-237 (-922 *5))) (-4 *5 (-366)) (-5 *2 (-2 (|:| -2599 (-569)) (|:| |num| (-243 *6 *5)) (|:| |den| (-243 *6 *5)) (|:| |upTo| (-569)))) (-5 *1 (-869 *5 *6 *7)) (-5 *4 (-569)) (-14 *6 (-635 (-1163))) (-4 *7 (-117))))) 
+(((*1 *2 *3 *4 *5) (-12 (-4 *6 (-1222 *9)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *9 (-302)) (-4 *10 (-951 *9 *7 *8)) (-5 *2 (-2 (|:| |deter| (-635 (-1159 *10))) (|:| |dterm| (-635 (-635 (-2 (|:| -3358 (-764)) (|:| |pcoef| *10))))) (|:| |nfacts| (-635 *6)) (|:| |nlead| (-635 *10)))) (-5 *1 (-772 *6 *7 *8 *9 *10)) (-5 *3 (-1159 *10)) (-5 *4 (-635 *6)) (-5 *5 (-635 *10))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-745))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-635 *4)) (-4 *4 (-366)) (-5 *2 (-1247 *4)) (-5 *1 (-810 *4 *3)) (-4 *3 (-647 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *2 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-1062 *3 *4 *2)) (-4 *2 (-843)))) ((*1 *2 *1) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-954 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *5)))) (|:| -3930 (-635 (-1247 (-410 (-954 *5)))))))))) (-5 *4 (-1145)) (-4 *5 (-13 (-302) (-151))) (-4 *8 (-951 *5 *7 *6)) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *5 *6 *7 *8))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-559)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-602 *3 *2)) (-4 *3 (-1091)) (-4 *3 (-843)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-5 *1 (-668 *2)) (-4 *2 (-843)))) ((*1 *2 *1) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-664 *3)) (-5 *1 (-889 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1234 *3)) (-4 *3 (-1197)))) ((*1 *2 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *3 *3 *4 *4 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-745))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 *8)) (-5 *1 (-964 *5 *6 *3 *7 *8)) (-4 *8 (-972 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1011 *3)) (-4 *3 (-1197)) (-4 *3 (-1091)) (-5 *2 (-121))))) 
+(((*1 *1 *1) (-5 *1 (-1060)))) 
+(((*1 *1 *2 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-155 *2)) (-4 *2 (-1197)) (-4 *2 (-1091)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4535)) (-4 *1 (-155 *3)) (-4 *3 (-1197)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-666 *3)) (-4 *3 (-1197)))) ((*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-121) *4)) (-5 *3 (-569)) (-4 *4 (-1091)) (-5 *1 (-728 *4)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-728 *2)) (-4 *2 (-1091)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1126 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))) (-5 *1 (-1127 *3 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
+(((*1 *2 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-744))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-421 *5)) (-4 *5 (-559)) (-5 *2 (-2 (|:| -2356 (-764)) (|:| -4140 *5) (|:| |radicand| (-635 *5)))) (-5 *1 (-317 *5)) (-5 *4 (-764)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1003)) (-5 *2 (-569))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-382)) (-5 *1 (-1060))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-366)) (-5 *1 (-654 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-216)) (-5 *1 (-300))))) 
+(((*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-744))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569))))) 
+(((*1 *2) (-12 (-5 *2 (-680 (-906 *3))) (-5 *1 (-353 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918)))) ((*1 *2) (-12 (-5 *2 (-680 *3)) (-5 *1 (-354 *3 *4)) (-4 *3 (-351)) (-14 *4 (-3 (-1159 *3) (-1247 (-635 (-2 (|:| -2247 *3) (|:| -3998 (-1109))))))))) ((*1 *2) (-12 (-5 *2 (-680 *3)) (-5 *1 (-355 *3 *4)) (-4 *3 (-351)) (-14 *4 (-918))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-454)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1159 *6)) (-4 *6 (-951 *5 *3 *4)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-905)) (-5 *1 (-460 *3 *4 *5 *6)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-905))))) 
+(((*1 *2 *3 *1) (-12 (-4 *4 (-366)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5 *6 *3)) (-4 *3 (-951 *4 *5 *6))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-635 (-311 (-216)))) (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-203))))) 
+(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-744))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-917)) (-5 *2 (-2 (|:| -4140 (-635 *1)) (|:| -1809 *1))) (-5 *3 (-635 *1))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-796)) (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-1036))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-951 *4 *5 *6)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-450 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-951 *5 *6 *7)) (-5 *2 (-635 (-635 *8))) (-5 *1 (-450 *5 *6 *7 *8)) (-5 *3 (-635 *8)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-951 *4 *5 *6)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-450 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-951 *5 *6 *7)) (-5 *2 (-635 (-635 *8))) (-5 *1 (-450 *5 *6 *7 *8)) (-5 *3 (-635 *8))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-928)) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216))))) (-5 *1 (-157)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-928)) (-5 *4 (-410 (-569))) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216))))) (-5 *1 (-157))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) ((*1 *1) (-4 *1 (-371))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1247 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351)))) ((*1 *1 *1) (-4 *1 (-551))) ((*1 *1) (-4 *1 (-551))) ((*1 *1 *1) (-5 *1 (-569))) ((*1 *1 *1) (-5 *1 (-764))) ((*1 *2 *1) (-12 (-5 *2 (-901 *3)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-901 *4)) (-5 *1 (-900 *4)) (-4 *4 (-1091)))) ((*1 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-551)) (-4 *2 (-559))))) 
+(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-744))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-1172 *2)) (-4 *2 (-366))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-832)) (-5 *3 (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (-5 *2 (-1036)))) ((*1 *2 *3) (-12 (-4 *1 (-832)) (-5 *3 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) (-5 *2 (-1036))))) 
+(((*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-123)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-433 *6) (-23) (-1038 (-569)) (-1038 *4) (-896 *4) (-162))) (-5 *4 (-1163)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *1 (-1025 *6 *2))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-764))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1183))) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *2 (-1036)) (-5 *1 (-744))))) 
+(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) ((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
+(((*1 *2 *2 *1) (-12 (-5 *2 (-635 *6)) (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *2 (-764) (-764) *7)) (-5 *4 (-1247 *7)) (-5 *5 (-764)) (-5 *6 (-1247 (-1159 *2))) (-4 *7 (-52 *2 *5)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *7))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-744))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-851))))) 
+(((*1 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1117 *3 *2)) (-4 *3 (-1222 *2))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1204 *3)) (-4 *3 (-1048)) (-5 *1 (-1203 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-121))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1062 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1191 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-744))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-608 (-53)))) (-5 *1 (-53)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-608 (-53))) (-5 *1 (-53)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1159 (-53))) (-5 *3 (-635 (-608 (-53)))) (-5 *1 (-53)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1159 (-53))) (-5 *3 (-608 (-53))) (-5 *1 (-53)))) ((*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-4 *2 (-13 (-366) (-841))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1222 (-170 *2))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-918)) (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-366)))) ((*1 *2 *1) (-12 (-4 *1 (-373 *2 *3)) (-4 *3 (-1222 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *4 (-1222 *2)) (-4 *2 (-994 *3)) (-5 *1 (-416 *3 *2 *4 *5)) (-4 *3 (-302)) (-4 *5 (-13 (-412 *2 *4) (-1038 *2))))) ((*1 *2 *1) (-12 (-4 *4 (-1222 *2)) (-4 *2 (-994 *3)) (-5 *1 (-417 *3 *2 *4 *5 *6)) (-4 *3 (-302)) (-4 *5 (-412 *2 *4)) (-14 *6 (-1247 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-1048)) (-4 *2 (-13 (-407) (-1038 *5) (-366) (-1183) (-280))) (-5 *1 (-445 *5 *3 *2)) (-4 *3 (-1222 *5)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-608 (-505)))) (-5 *1 (-505)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-608 (-505))) (-5 *1 (-505)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1159 (-505))) (-5 *3 (-635 (-608 (-505)))) (-5 *1 (-505)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1159 (-505))) (-5 *3 (-608 (-505))) (-5 *1 (-505)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-918)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-715 *4 *2)) (-4 *2 (-1222 *4)) (-5 *1 (-768 *4 *2 *5 *3)) (-4 *3 (-1222 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173)))) ((*1 *1 *1) (-4 *1 (-1057)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-888 *4)) (-4 *4 (-1091)) (-5 *2 (-1 (-121) *5)) (-5 *1 (-886 *4 *5)) (-4 *5 (-1197))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *4) (|:| |xpnt| (-569)))) (-4 *4 (-13 (-1222 *3) (-559) (-10 -8 (-15 -2714 ($ $ $))))) (-4 *3 (-559)) (-5 *1 (-1225 *3 *4))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
+(((*1 *2 *3 *4 *4 *4 *3 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *2 (-1036)) (-5 *1 (-744))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-247 *2 *3 *4 *5)) (-4 *2 (-1048)) (-4 *3 (-843)) (-4 *4 (-263 *3)) (-4 *5 (-789))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1058 (-1024 *3) (-1159 (-1024 *3)))) (-5 *1 (-1024 *3)) (-4 *3 (-13 (-841) (-366) (-1022)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-608 *5))) (-4 *4 (-843)) (-5 *2 (-608 *5)) (-5 *1 (-578 *4 *5)) (-4 *5 (-433 *4))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-1163))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-1218 *3 *2)) (-4 *2 (-1222 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1247 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4)))))) 
+(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-58))))) 
+(((*1 *2 *3 *1) (|partial| -12 (-5 *3 (-888 *4)) (-4 *4 (-1091)) (-4 *2 (-1091)) (-5 *1 (-885 *4 *2))))) 
+(((*1 *1 *1 *1) (-4 *1 (-479))) ((*1 *1 *1 *1) (-4 *1 (-754)))) 
+(((*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1126 *4 *5))) (-5 *3 (-1 (-121) *5 *5)) (-4 *4 (-13 (-1091) (-39))) (-4 *5 (-13 (-1091) (-39))) (-5 *1 (-1127 *4 *5)))) ((*1 *1 *1 *1 *2) (-12 (-5 *2 (-635 (-1126 *3 *4))) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))) (-5 *1 (-1127 *3 *4))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-542))) (-5 *1 (-542))))) 
+(((*1 *1) (-5 *1 (-143)))) 
+(((*1 *2 *2 *3 *2) (-12 (-5 *3 (-764)) (-4 *4 (-351)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1222 *4)))) ((*1 *2 *2 *3 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-686 *2)) (-4 *2 (-1222 *3))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-1193 *2)) (-4 *2 (-976))))) 
+(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *2 (-635 (-1159 *7))) (-5 *3 (-1159 *7)) (-4 *7 (-951 *5 *6 *4)) (-4 *5 (-905)) (-4 *6 (-789)) (-4 *4 (-843)) (-5 *1 (-902 *5 *6 *4 *7))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-366)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-759 *3 *4)) (-4 *3 (-699 *4)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-845 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-366)) (-4 *5 (-1048)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-846 *5 *3)) (-4 *3 (-845 *5))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-79 FCN)))) (-5 *2 (-1036)) (-5 *1 (-739))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-1247 (-689))) (-5 *1 (-300))))) 
+(((*1 *2 *3 *2 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 (-243 *5 *6))) (-4 *6 (-454)) (-5 *2 (-243 *5 *6)) (-14 *5 (-635 (-1163))) (-5 *1 (-623 *5 *6))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-564))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-745))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-1163))) (-5 *2 (-1252)) (-5 *1 (-1200)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 (-1163))) (-5 *2 (-1252)) (-5 *1 (-1200))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-382))) (-5 *1 (-257)))) ((*1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-559)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-5 *1 (-421 *2)) (-4 *2 (-559))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
+(((*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *5 (-121)) (-5 *2 (-1036)) (-5 *1 (-738))))) 
+(((*1 *1) (-5 *1 (-819)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-843) (-559)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-131 *3))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843))))) 
+(((*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *5 (-121)) (-5 *2 (-1036)) (-5 *1 (-738))))) 
+(((*1 *1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *2)) (-4 *2 (-951 *3 *4 *5)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-789)) (-4 *4 (-843)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1143 *3)) (-4 *3 (-1091)) (-4 *3 (-1197))))) 
+(((*1 *1 *2 *2 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1183))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) ((*1 *1 *2) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) ((*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-918)) (-5 *4 (-382)) (-5 *2 (-1252)) (-5 *1 (-1248))))) 
+(((*1 *2 *3) (|partial| -12 (-4 *5 (-1038 (-53))) (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-421 (-1159 (-53)))) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1222 *5))))) 
+(((*1 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250)))) ((*1 *2 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-260 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1247 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4)))))) 
+(((*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *2 (-1036)) (-5 *1 (-745))))) 
+(((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-495 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-500 *3)) (-4 *3 (-1197)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-728 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-1133 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-635 (-680 *4))) (-5 *2 (-680 *4)) (-4 *4 (-1048)) (-5 *1 (-1030 *4))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-2 (|:| |totdeg| (-764)) (|:| -3698 *4))) (-5 *5 (-764)) (-4 *4 (-951 *6 *7 *8)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-5 *2 (-2 (|:| |lcmfij| *7) (|:| |totdeg| *5) (|:| |poli| *4) (|:| |polj| *4))) (-5 *1 (-451 *6 *7 *8 *4))))) 
+(((*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1159 (-569))) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1159 (-569))) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-868 *3 *4 *5)) (-4 (-858 *3) (-371)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 (-569))) (-5 *1 (-868 *4 *5 *6)) (-4 (-858 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) ((*1 *2) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 (-569))) (-5 *1 (-869 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-117))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-635 *6) "failed") (-569) *6 *6)) (-4 *6 (-366)) (-4 *7 (-1222 *6)) (-5 *2 (-2 (|:| |answer| (-586 (-410 *7))) (|:| |a0| *6))) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-410 (-569))) (-5 *2 (-216)) (-5 *1 (-300))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-311 *3)) (-4 *3 (-559)) (-4 *3 (-843))))) 
+(((*1 *1 *1 *1) (-4 *1 (-147))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *2 *3 *4) (-12 (-5 *4 |RationalNumber|) (-5 *2 (-1 (-569))) (-5 *1 (-1046)) (-5 *3 (-569))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-945 *4)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
+(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-58))))) 
+(((*1 *2) (-12 (-4 *3 (-1048)) (-5 *2 (-959 (-703 *3 *4))) (-5 *1 (-703 *3 *4)) (-4 *4 (-1222 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1091)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-726 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-717))))) 
+(((*1 *1 *1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851))))) 
+(((*1 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250)))) ((*1 *2 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-123)) (-5 *1 (-1025 *4 *3)) (-4 *3 (-13 (-433 *4) (-23) (-1038 (-569)) (-1038 (-1163)) (-896 (-1163)) (-162)))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-397))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-569)) (-5 *1 (-451 *4 *5 *6 *3)) (-4 *3 (-951 *4 *5 *6))))) 
+(((*1 *1) (-5 *1 (-440)))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-1085 (-410 (-569))))) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-1085 (-382)))) (-5 *1 (-257))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1085 (-836 (-216)))) (-5 *1 (-300))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1048)) (-5 *2 (-1247 *3)) (-5 *1 (-703 *3 *4)) (-4 *4 (-1222 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *7 (-231 (-4168 *5) (-764))) (-5 *2 (-635 (-635 (-1159 (-1159 *4))))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-5 *3 (-635 (-1159 (-1159 *4)))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *8 (-972 *4))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-231 (-4168 *5) (-764))) (-5 *2 (-1159 (-1159 *4))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *7 (-972 *4))))) 
+(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1163))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-635 (-1070 *4 *5 *2))) (-4 *4 (-1091)) (-4 *5 (-13 (-1048) (-882 *4) (-843) (-610 (-888 *4)))) (-4 *2 (-13 (-433 *5) (-882 *4) (-610 (-888 *4)))) (-5 *1 (-60 *4 *5 *2)))) ((*1 *2 *3 *2 *4) (-12 (-5 *3 (-635 (-1070 *5 *6 *2))) (-5 *4 (-918)) (-4 *5 (-1091)) (-4 *6 (-13 (-1048) (-882 *5) (-843) (-610 (-888 *5)))) (-4 *2 (-13 (-433 *6) (-882 *5) (-610 (-888 *5)))) (-5 *1 (-60 *5 *6 *2))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-764)) (-5 *4 (-1247 *2)) (-4 *5 (-302)) (-4 *6 (-994 *5)) (-4 *2 (-13 (-412 *6 *7) (-1038 *6))) (-5 *1 (-416 *5 *6 *7 *2)) (-4 *7 (-1222 *6))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) ((*1 *2 *3) (-12 (-5 *2 (-1159 (-410 (-569)))) (-5 *1 (-944)) (-5 *3 (-569))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-382))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-1163))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-151))) (-5 *2 (-635 *3)) (-5 *1 (-1216 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1166))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-160 *4 *2)) (-4 *2 (-433 *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1163)))) ((*1 *1 *1) (-4 *1 (-162)))) 
+(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-905)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-951 *4 *5 *6)) (-5 *2 (-421 (-1159 *7))) (-5 *1 (-902 *4 *5 *6 *7)) (-5 *3 (-1159 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-905)) (-4 *5 (-1222 *4)) (-5 *2 (-421 (-1159 *5))) (-5 *1 (-903 *4 *5)) (-5 *3 (-1159 *5))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4535)) (-4 *1 (-228 *3)) (-4 *3 (-1091)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-278 *3)) (-4 *3 (-1197))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |integrand| *3) (|:| |intvar| *3)))) (-5 *1 (-586 *3)) (-4 *3 (-366))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-843)) (-4 *2 (-559)))) ((*1 *1 *1) (-12 (-5 *1 (-734 *2 *3)) (-14 *2 (-1163)) (-4 *3 (-13 (-1048) (-843) (-559))))) ((*1 *1 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1234 *3)) (-4 *3 (-1197)))) ((*1 *2 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1143 (-1143 *4))) (-5 *2 (-1143 *4)) (-5 *1 (-1147 *4)) (-4 *4 (-43 (-410 (-569)))) (-4 *4 (-1048))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-1247 (-569))) (-5 *3 (-569)) (-5 *1 (-1101)))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-1247 (-569))) (-5 *3 (-635 (-569))) (-5 *4 (-569)) (-5 *1 (-1101))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-642 *3)) (-4 *8 (-921 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117)) (-4 *2 (-972 *3))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1191 *2 *3 *4 *5)) (-4 *2 (-559)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-1062 *2 *3 *4))))) 
+(((*1 *2) (-12 (-5 *2 (-2 (|:| -1990 (-635 (-1163))) (|:| -4073 (-635 (-1163))))) (-5 *1 (-1200))))) 
+(((*1 *2 *2 *3 *4 *5) (-12 (-5 *2 (-635 *9)) (-5 *3 (-1 (-121) *9)) (-5 *4 (-1 (-121) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1062 *6 *7 *8)) (-4 *6 (-559)) (-4 *7 (-789)) (-4 *8 (-843)) (-5 *1 (-979 *6 *7 *8 *9))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-3 (|:| -1486 (-1163)) (|:| |bounds| (-635 (-3 (|:| S (-1163)) (|:| P (-954 (-569)))))))))) (-5 *1 (-1167))))) 
+(((*1 *2 *1 *2 *3) (|partial| -12 (-5 *2 (-1145)) (-5 *3 (-569)) (-5 *1 (-1060))))) 
+(((*1 *2 *3 *4) (-12 (-4 *6 (-559)) (-4 *2 (-951 *3 *5 *4)) (-5 *1 (-723 *5 *4 *6 *2)) (-5 *3 (-410 (-954 *6))) (-4 *5 (-789)) (-4 *4 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)))))))) 
+(((*1 *2 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-978 *3 *4 *2 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *5 (-1062 *3 *4 *2))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173))))) 
+(((*1 *1 *2 *3 *3 *3 *4) (-12 (-4 *4 (-366)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 (-410 *3))) (-4 *1 (-334 *4 *3 *5 *2)) (-4 *2 (-341 *4 *3 *5)))) ((*1 *1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *2 (-366)) (-4 *4 (-1222 *2)) (-4 *5 (-1222 (-410 *4))) (-4 *1 (-334 *2 *4 *5 *6)) (-4 *6 (-341 *2 *4 *5)))) ((*1 *1 *2 *2) (-12 (-4 *2 (-366)) (-4 *3 (-1222 *2)) (-4 *4 (-1222 (-410 *3))) (-4 *1 (-334 *2 *3 *4 *5)) (-4 *5 (-341 *2 *3 *4)))) ((*1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *1 (-334 *3 *4 *5 *2)) (-4 *2 (-341 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-416 *4 (-410 *4) *5 *6)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-4 *3 (-366)) (-4 *1 (-334 *3 *4 *5 *6))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-870))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -2335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))))) (-5 *1 (-799))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-366) (-841))) (-5 *2 (-635 (-2 (|:| -1640 (-635 *3)) (|:| -1638 *5)))) (-5 *1 (-179 *5 *3)) (-4 *3 (-1222 (-170 *5))))) ((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-635 (-2 (|:| -1640 (-635 *3)) (|:| -1638 *4)))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4)))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *1 (-874 *2)) (-4 *2 (-1197)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *1 (-876 *2)) (-4 *2 (-1197)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *1 (-878 *2)) (-4 *2 (-1197))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-752))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-543 *3 *2)) (-4 *2 (-1237 *3)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-4 *4 (-1222 *3)) (-4 *5 (-715 *3 *4)) (-5 *1 (-547 *3 *4 *5 *2)) (-4 *2 (-1237 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-5 *1 (-548 *3 *2)) (-4 *2 (-1237 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1138 *3))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-699 *3)) (-5 *1 (-823 *2 *3)) (-4 *3 (-1048))))) 
+(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1077 *3)) (-4 *3 (-139))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-569)) (-5 *1 (-197))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-1184 *3))) (-5 *1 (-1184 *3)) (-4 *3 (-1091))))) 
+(((*1 *1 *1) (-4 *1 (-551)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1095)) (-5 *2 (-1252)) (-5 *1 (-102))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)))) ((*1 *1 *1) (-12 (-5 *1 (-1268 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-839))))) 
+(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1100 *5 *6 *7 *8)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-591 *5 *6 *7 *8 *3))))) 
+(((*1 *2 *3 *2 *4 *5) (-12 (-5 *2 (-635 *3)) (-5 *5 (-918)) (-4 *3 (-1222 *4)) (-4 *4 (-302)) (-5 *1 (-463 *4 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1045 *4 *5)) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *5 (-635 (-1163))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *4)) (|:| -1648 (-635 (-954 *4)))))) (-5 *1 (-1271 *4 *5 *6)) (-14 *6 (-635 (-1163))))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *5)) (|:| -1648 (-635 (-954 *5)))))) (-5 *1 (-1271 *5 *6 *7)) (-5 *3 (-635 (-954 *5))) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *5)) (|:| -1648 (-635 (-954 *5)))))) (-5 *1 (-1271 *5 *6 *7)) (-5 *3 (-635 (-954 *5))) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *5)) (|:| -1648 (-635 (-954 *5)))))) (-5 *1 (-1271 *5 *6 *7)) (-5 *3 (-635 (-954 *5))) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *4)) (|:| -1648 (-635 (-954 *4)))))) (-5 *1 (-1271 *4 *5 *6)) (-5 *3 (-635 (-954 *4))) (-14 *5 (-635 (-1163))) (-14 *6 (-635 (-1163)))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-96 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-213 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-843)) (-5 *2 (-121)) (-5 *1 (-495 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4535)) (-4 *1 (-500 *4)) (-4 *4 (-1197)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-1001 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-1133 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1222 *4)) (-5 *1 (-545 *4 *2 *5 *6)) (-4 *4 (-302)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-764)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -2087 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *1 *1 *1) (-5 *1 (-121)))) 
+(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-1143 *4)) (-5 *3 (-569)) (-4 *4 (-1048)) (-5 *1 (-1147 *4)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1204 *3)) (-4 *3 (-1048)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1238 *3 *4 *5)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-14 *5 *3))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1242 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-1163))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-1222 *3)) (-5 *1 (-402 *3 *2)) (-4 *3 (-13 (-366) (-151)))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1084 *3)) (-4 *3 (-1197))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1247 *6)) (-5 *4 (-1247 (-569))) (-5 *5 (-569)) (-4 *6 (-1091)) (-5 *2 (-1 *6)) (-5 *1 (-1018 *6))))) 
+(((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-13 (-366) (-151) (-1038 (-569)))) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| -3032 (-410 *5)) (|:| |coeff| (-410 *5)))) (-5 *1 (-573 *4 *5)) (-5 *3 (-410 *5))))) 
+(((*1 *2 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-39)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-96 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-495 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1268 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-839))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1143 *4)) (-4 *4 (-43 *3)) (-4 *4 (-1048)) (-5 *3 (-410 (-569))) (-5 *1 (-1147 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-602 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1197)) (-5 *2 (-635 *3))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *3 (-121)) (-5 *1 (-1101))))) 
+(((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1028 *5 *6 *7 *8))) (-5 *1 (-1028 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1132 *5 *6 *7 *8))) (-5 *1 (-1132 *5 *6 *7 *8))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *2 *5)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-789)) (-4 *2 (-263 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(((*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-1 *3 *3)) (-4 *3 (-1222 *6)) (-4 *6 (-13 (-366) (-151) (-1038 *4))) (-5 *4 (-569)) (-5 *2 (-3 (|:| |ans| (-2 (|:| |ans| *3) (|:| |nosol| (-121)))) (|:| -1502 (-2 (|:| |b| *3) (|:| |c| *3) (|:| |m| *4) (|:| |alpha| *3) (|:| |beta| *3))))) (-5 *1 (-1016 *6 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-2 (|:| -2223 (-416 *4 (-410 *4) *5 *6)) (|:| |principalPart| *6))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |poly| *6) (|:| -2478 (-410 *6)) (|:| |special| (-410 *6)))) (-5 *1 (-718 *5 *6)) (-5 *3 (-410 *6)))) ((*1 *2 *3) (-12 (-4 *4 (-366)) (-5 *2 (-635 *3)) (-5 *1 (-892 *3 *4)) (-4 *3 (-1222 *4)))) ((*1 *2 *3 *4 *4) (|partial| -12 (-5 *4 (-764)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -3833 *3) (|:| -1869 *3))) (-5 *1 (-892 *3 *5)) (-4 *3 (-1222 *5)))) ((*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-1065 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-1065 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1100 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-1131 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1100 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-1131 *5 *6 *7 *8 *9))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-703 *3 *2)) (-4 *2 (-1222 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-367 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1091))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *2 (-635 (-2 (|:| |totdeg| (-764)) (|:| -3698 *3)))) (-5 *4 (-764)) (-4 *3 (-951 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-451 *5 *6 *7 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1159 *2)) (-4 *2 (-951 (-410 (-954 *6)) *5 *4)) (-5 *1 (-723 *5 *4 *6 *2)) (-4 *5 (-789)) (-4 *4 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $))))) (-4 *6 (-559))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *5)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *2 (-325 *5 *7)) (-5 *1 (-119 *5 *6 *2 *7 *4)) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *4 (-117))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-1222 *2)) (-4 *2 (-1202)) (-5 *1 (-152 *2 *4 *3)) (-4 *3 (-1222 (-410 *4)))))) 
+(((*1 *1 *1 *2 *1) (-12 (-4 *1 (-1130)) (-5 *2 (-1213 (-569)))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 (-1 *4 (-635 *4)))) (-4 *4 (-1091)) (-5 *1 (-122 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1091)) (-5 *1 (-122 *4)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-635 (-1 *4 (-635 *4)))) (-5 *1 (-122 *4)) (-4 *4 (-1091))))) 
+(((*1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-635 *1)) (-4 *1 (-921 *3 *4))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569)))))) 
+(((*1 *1 *2 *3) (-12 (-4 *1 (-385 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1091)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-5 *2 (-1143 *3)) (-5 *1 (-1147 *3)) (-4 *3 (-1048)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-815 *4)) (-4 *4 (-843)) (-4 *1 (-1262 *4 *3)) (-4 *3 (-1048))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-635 (-1159 (-569)))) (-5 *1 (-184)) (-5 *3 (-569))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-13 (-559) (-454))) (-5 *2 (-635 *4)) (-5 *1 (-347 *4 *5)) (-4 *5 (-52 *4 *3))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1269 *4 *2)) (-4 *1 (-377 *4 *2)) (-4 *4 (-843)) (-4 *2 (-173)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1262 *3 *2)) (-4 *3 (-843)) (-4 *2 (-1048)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-815 *4)) (-4 *1 (-1262 *4 *2)) (-4 *4 (-843)) (-4 *2 (-1048)))) ((*1 *2 *1 *3) (-12 (-4 *2 (-1048)) (-5 *1 (-1268 *2 *3)) (-4 *3 (-839))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-559)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1188 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843))) (-5 *2 (-170 *5)) (-5 *1 (-598 *4 *5 *3)) (-4 *5 (-13 (-433 *4) (-1003) (-1183))) (-4 *3 (-13 (-433 (-170 *4)) (-1003) (-1183)))))) 
+(((*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-635 (-954 *6))) (-5 *4 (-635 (-1163))) (-4 *6 (-454)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-544 *6 *7 *5)) (-4 *7 (-366)) (-4 *5 (-13 (-366) (-841)))))) 
+(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-909 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-876 (-1 (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-876 (-1 (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-945 (-216)) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-945 (-216)) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-945 (-216)) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-945 (-216)) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-878 (-1 (-216) (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-878 (-1 (-216) (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-876 *6)) (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1122 (-216))) (-5 *1 (-253 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-876 *5)) (-5 *4 (-1083 (-382))) (-4 *5 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1122 (-216))) (-5 *1 (-253 *5)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1091))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1083 (-382))) (-5 *2 (-1122 (-216))) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1091))))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-878 *6)) (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1122 (-216))) (-5 *1 (-253 *6)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-878 *5)) (-5 *4 (-1083 (-382))) (-4 *5 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1122 (-216))) (-5 *1 (-253 *5))))) 
+(((*1 *1 *1 *1 *1) (-4 *1 (-551)))) 
+(((*1 *1 *2) (-12 (-5 *2 (-680 *5)) (-4 *5 (-1048)) (-5 *1 (-1052 *3 *4 *5)) (-14 *3 (-764)) (-14 *4 (-764))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-140)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-829 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-836 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-752))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1248)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-874 (-1 (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-874 (-1 (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *2 (-1248)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-876 (-1 (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-876 (-1 (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *2 (-1249)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-945 (-216)) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-945 (-216)) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1249)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1249)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-945 (-216)) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-945 (-216)) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1249)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-878 (-1 (-216) (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-878 (-1 (-216) (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *2 (-1249)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-1163)) (-5 *5 (-635 (-257))) (-4 *7 (-433 *6)) (-4 *6 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-1248)) (-5 *1 (-250 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1091))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1083 (-382))) (-5 *2 (-1248)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1091))))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-874 *6)) (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1248)) (-5 *1 (-253 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-874 *5)) (-5 *4 (-1083 (-382))) (-4 *5 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1248)) (-5 *1 (-253 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-876 *6)) (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1249)) (-5 *1 (-253 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-876 *5)) (-5 *4 (-1083 (-382))) (-4 *5 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1249)) (-5 *1 (-253 *5)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1091))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1083 (-382))) (-5 *2 (-1249)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1091))))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-878 *6)) (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1249)) (-5 *1 (-253 *6)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-878 *5)) (-5 *4 (-1083 (-382))) (-4 *5 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1249)) (-5 *1 (-253 *5)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-1248)) (-5 *1 (-254)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-216))) (-5 *4 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-254)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-945 (-216)))) (-5 *2 (-1248)) (-5 *1 (-254)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-945 (-216)))) (-5 *4 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-254)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-1249)) (-5 *1 (-254)))) ((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-635 (-216))) (-5 *4 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-254))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569))))) 
+(((*1 *1 *1) (-12 (-4 *2 (-454)) (-4 *3 (-843)) (-4 *4 (-789)) (-5 *1 (-989 *2 *3 *4 *5)) (-4 *5 (-951 *2 *4 *3))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-959 *3)) (-5 *1 (-1150 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1114 (-569) (-608 (-53)))) (-5 *1 (-53)))) ((*1 *2 *1) (-12 (-4 *3 (-994 *2)) (-4 *4 (-1222 *3)) (-4 *2 (-302)) (-5 *1 (-416 *2 *3 *4 *5)) (-4 *5 (-13 (-412 *3 *4) (-1038 *3))))) ((*1 *2 *1) (-12 (-4 *3 (-559)) (-4 *3 (-843)) (-5 *2 (-1114 *3 (-608 *1))) (-4 *1 (-433 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1114 (-569) (-608 (-505)))) (-5 *1 (-505)))) ((*1 *2 *1) (-12 (-4 *4 (-173)) (-4 *2 (|SubsetCategory| (-717) *4)) (-5 *1 (-614 *3 *4 *2)) (-4 *3 (-43 *4)))) ((*1 *2 *1) (-12 (-4 *4 (-173)) (-4 *2 (|SubsetCategory| (-717) *4)) (-5 *1 (-653 *3 *4 *2)) (-4 *3 (-708 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *3) (|:| |xpnt| (-569))))) (-5 *1 (-421 *3)) (-4 *3 (-559)))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-764)) (-4 *3 (-351)) (-4 *5 (-1222 *3)) (-5 *2 (-635 (-1159 *3))) (-5 *1 (-508 *3 *5 *6)) (-4 *6 (-1222 *5))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *2)) (-5 *4 (-764)) (-4 *2 (-1091)) (-5 *1 (-669 *2))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-170 (-216)) (-170 (-216)))) (-5 *4 (-1085 (-216))) (-5 *2 (-1249)) (-5 *1 (-251))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1114 (-569) (-608 (-53)))) (-5 *1 (-53)))) ((*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-994 *3)) (-4 *5 (-1222 *4)) (-5 *2 (-1247 *6)) (-5 *1 (-416 *3 *4 *5 *6)) (-4 *6 (-13 (-412 *4 *5) (-1038 *4))))) ((*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *3 (-843)) (-5 *2 (-1114 *3 (-608 *1))) (-4 *1 (-433 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1114 (-569) (-608 (-505)))) (-5 *1 (-505)))) ((*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-43 *3)) (-5 *1 (-614 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-717) *3)))) ((*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-708 *3)) (-5 *1 (-653 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-717) *3)))) ((*1 *2 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-302)) (-4 *6 (-376 *5)) (-4 *4 (-376 *5)) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-1113 *5 *6 *4 *3)) (-4 *3 (-678 *5 *6 *4))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1197)) (-5 *2 (-635 *1)) (-4 *1 (-1011 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1151 *3 *4))) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-321 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-138)) (-4 *3 (-788))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-843)) (-5 *2 (-635 (-635 (-635 *4)))) (-5 *1 (-1169 *4)) (-5 *3 (-635 (-635 *4)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-1048)) (-5 *1 (-703 *3 *4)) (-4 *4 (-1222 *3))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1197)) (-5 *1 (-1121 *4 *2)) (-4 *2 (-13 (-602 (-569) *4) (-10 -7 (-6 -4535) (-6 -4536)))))) ((*1 *2 *2) (-12 (-4 *3 (-843)) (-4 *3 (-1197)) (-5 *1 (-1121 *3 *2)) (-4 *2 (-13 (-602 (-569) *3) (-10 -7 (-6 -4535) (-6 -4536))))))) 
+(((*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-764)) (-4 *5 (-366)) (-5 *2 (-174 *6)) (-5 *1 (-862 *5 *4 *6)) (-4 *4 (-1237 *5)) (-4 *6 (-1222 *5))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-764)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *4)) (-4 *4 (-52 *2 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-4 *1 (-899 *3))))) 
+(((*1 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1048))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(((*1 *1 *2 *3 *1) (-12 (-5 *2 (-888 *4)) (-4 *4 (-1091)) (-5 *1 (-885 *4 *3)) (-4 *3 (-1091))))) 
+(((*1 *2) (-12 (-4 *3 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *2 (-635 *4)) (-5 *1 (-909 *3 *4 *5 *6)) (-4 *4 (-325 *3 *5))))) 
+(((*1 *1) (-5 *1 (-440)))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-321 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-138)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-364 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-389 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-639 *3 *4 *5)) (-4 *4 (-23)) (-14 *5 *4)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218)))) ((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *2 (-1036)) (-5 *1 (-300))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1159 *9)) (-5 *4 (-635 *7)) (-4 *7 (-843)) (-4 *9 (-951 *8 *6 *7)) (-4 *6 (-789)) (-4 *8 (-302)) (-5 *2 (-635 (-764))) (-5 *1 (-733 *6 *7 *8 *9)) (-5 *5 (-764))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) ((*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091)) (-5 *1 (-671 *5 *6 *2))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1091)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 *2))) (-5 *2 (-888 *3)) (-5 *1 (-1070 *3 *4 *5)) (-4 *5 (-13 (-433 *4) (-882 *3) (-610 *2)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) ((*1 *2 *3) (-12 (-5 *3 (-973)) (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
+(((*1 *1) (-5 *1 (-819)))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) ((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-410 *1)) (-4 *1 (-1222 *3)) (-4 *3 (-1048)) (-4 *3 (-559)))) ((*1 *1 *1 *1) (|partial| -12 (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-559))))) 
+(((*1 *2 *2 *2 *3 *4) (-12 (-5 *3 (-101 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-1048)) (-5 *1 (-846 *5 *2)) (-4 *2 (-845 *5))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-172))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-644 (-410 *2))) (-4 *2 (-1222 *4)) (-5 *1 (-806 *4 *2)) (-4 *4 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))))) ((*1 *2 *3) (-12 (-5 *3 (-645 *2 (-410 *2))) (-4 *2 (-1222 *4)) (-5 *1 (-806 *4 *2)) (-4 *4 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569)))))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-1103)) (-4 *3 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-433 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-635 (-888 *3))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-951 *3 *4 *5)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-635 *3)) (-5 *1 (-952 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $)))))))) 
+(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-325 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-4 *3 (-173))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-397)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1178))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-367 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091)))) ((*1 *1 *1) (-5 *1 (-624)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *1 *1 *1) (-4 *1 (-297))) ((*1 *1 *1) (-4 *1 (-297)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-608 *5)) (-4 *5 (-433 *4)) (-4 *4 (-1038 (-569))) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-1159 *5)) (-5 *1 (-36 *4 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-608 *1)) (-4 *1 (-1048)) (-4 *1 (-297)) (-5 *2 (-1159 *1))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-680 (-410 (-954 (-569))))) (-5 *2 (-635 (-680 (-311 (-569))))) (-5 *1 (-1032)) (-5 *3 (-311 (-569)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| *7) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 *7))))) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-764)) (-5 *1 (-925 *4 *5 *6 *7))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-859)) (-5 *2 (-1252))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-635 (-954 *3))) (-4 *3 (-454)) (-5 *1 (-363 *3 *4)) (-14 *4 (-635 (-1163))))) ((*1 *2 *2) (|partial| -12 (-5 *2 (-635 (-776 *3 (-853 *4)))) (-4 *3 (-454)) (-14 *4 (-635 (-1163))) (-5 *1 (-620 *3 *4))))) 
+(((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-635 *1)) (-4 *1 (-917))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197))))) 
+(((*1 *1 *1 *2 *2) (|partial| -12 (-5 *2 (-918)) (-5 *1 (-1092 *3 *4)) (-14 *3 *2) (-14 *4 *2)))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-764))) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-945 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-945 *3))) (-4 *3 (-1048)) (-4 *1 (-1123 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-945 *3))) (-4 *1 (-1123 *3)) (-4 *3 (-1048))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-820))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-515 (-410 (-569)) (-233 *5 (-764)) (-853 *4) (-243 *4 (-410 (-569))))) (-14 *4 (-635 (-1163))) (-14 *5 (-764)) (-5 *2 (-121)) (-5 *1 (-516 *4 *5))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1199 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-843) (-559)))))) 
+(((*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-996 *2)) (-4 *2 (-1197)))) ((*1 *2 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-1247 (-680 *4))))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1247 (-680 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) ((*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-1247 (-680 *3))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1163))) (-4 *5 (-366)) (-5 *2 (-1247 (-680 (-410 (-954 *5))))) (-5 *1 (-1078 *5)) (-5 *4 (-680 (-410 (-954 *5)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1163))) (-4 *5 (-366)) (-5 *2 (-1247 (-680 (-954 *5)))) (-5 *1 (-1078 *5)) (-5 *4 (-680 (-954 *5))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-680 *4))) (-4 *4 (-366)) (-5 *2 (-1247 (-680 *4))) (-5 *1 (-1078 *4))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| -2291 (-123)) (|:| |arg| (-635 (-888 *3))))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) ((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-635 (-888 *4))) (-5 *1 (-888 *4)) (-4 *4 (-1091))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-2 (|:| |num| (-1247 *4)) (|:| |den| *4)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-367 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-5 *2 (-1252))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4003 *4)))) (-5 *1 (-769 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-109))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-515 (-410 (-569)) (-233 *5 (-764)) (-853 *4) (-243 *4 (-410 (-569))))) (-14 *4 (-635 (-1163))) (-14 *5 (-764)) (-5 *2 (-121)) (-5 *1 (-516 *4 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1159 (-410 (-954 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1117 *3 *4)) (-4 *3 (-1222 *4)))) ((*1 *2 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1117 *4 *3)) (-4 *4 (-1222 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-410 (-954 *4))) (-5 *1 (-925 *4 *5 *6 *3)) (-4 *3 (-951 *4 *6 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-680 *7)) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-680 (-410 (-954 *4)))) (-5 *1 (-925 *4 *5 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-635 (-410 (-954 *4)))) (-5 *1 (-925 *4 *5 *6 *7))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-859)) (-5 *2 (-918))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-843)) (-4 *2 (-1048)))) ((*1 *1 *1) (-12 (-5 *1 (-734 *2 *3)) (-14 *2 (-1163)) (-4 *3 (-13 (-1048) (-843) (-559))))) ((*1 *1 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(((*1 *1 *2 *3 *1) (-12 (-14 *4 (-635 (-1163))) (-4 *2 (-173)) (-4 *3 (-231 (-4168 *4) (-764))) (-14 *6 (-1 (-121) (-2 (|:| -3998 *5) (|:| -2356 *3)) (-2 (|:| -3998 *5) (|:| -2356 *3)))) (-5 *1 (-464 *4 *2 *5 *3 *6 *7)) (-4 *5 (-843)) (-4 *7 (-951 *2 *3 (-853 *4)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-498))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *1 (-1020 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *2 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *1 (-1020 *3)) (-4 *3 (-1222 (-569))) (-5 *4 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))))) ((*1 *2 *3 *4) (-12 (-5 *2 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *1 (-1020 *3)) (-4 *3 (-1222 (-569))) (-5 *4 (-410 (-569))))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-410 (-569))) (-5 *2 (-635 (-2 (|:| -3833 *5) (|:| -1869 *5)))) (-5 *1 (-1020 *3)) (-4 *3 (-1222 (-569))) (-5 *4 (-2 (|:| -3833 *5) (|:| -1869 *5))))) ((*1 *2 *3) (-12 (-5 *2 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *1 (-1021 *3)) (-4 *3 (-1222 (-410 (-569)))))) ((*1 *2 *3 *4) (-12 (-5 *2 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *1 (-1021 *3)) (-4 *3 (-1222 (-410 (-569)))) (-5 *4 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-410 (-569))) (-5 *2 (-635 (-2 (|:| -3833 *4) (|:| -1869 *4)))) (-5 *1 (-1021 *3)) (-4 *3 (-1222 *4)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-410 (-569))) (-5 *2 (-635 (-2 (|:| -3833 *5) (|:| -1869 *5)))) (-5 *1 (-1021 *3)) (-4 *3 (-1222 *5)) (-5 *4 (-2 (|:| -3833 *5) (|:| -1869 *5)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-231 *5 (-764))) (-5 *1 (-909 *4 *3 *2 *5)) (-4 *3 (-325 *4 *2)) (-14 *5 (-764))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 *4 (-764) (-764) (-1159 *4))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 *4) (-764)))) (-635 (-466)))) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 *6) *6 (-1163))) (|:| A (-1 *5 (-764) (-764) (-1159 *5))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 *6 (-764) (-1163) *6)) (|:| C (-1 (-635 *5) (-764)))) (-635 (-466)))) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-14 *9 (-1 *6 *4)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-1 HPSPEC (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 (-1163))))) 
+(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-1163)) (-5 *6 (-121)) (-4 *7 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-4 *3 (-13 (-1183) (-960) (-29 *7))) (-5 *2 (-3 (|:| |f1| (-836 *3)) (|:| |f2| (-635 (-836 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *7 *3)) (-5 *5 (-836 *3))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) ((*1 *1) (-4 *1 (-1137)))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-297)))) ((*1 *1 *1) (-4 *1 (-297))) ((*1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-759 *2 *3)) (-4 *2 (-699 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-586 *3)) (-4 *3 (-366))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-2 (|:| -3585 (-635 *6)) (|:| -3230 (-635 *6))))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1202)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 (-410 *3))) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-366)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-530 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-4 *7 (-994 *4)) (-4 *2 (-678 *7 *8 *9)) (-5 *1 (-531 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-678 *4 *5 *6)) (-4 *8 (-376 *7)) (-4 *9 (-376 *7)))) ((*1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-302)))) ((*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-679 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-680 *3)) (-4 *3 (-302)) (-5 *1 (-690 *3)))) ((*1 *1 *1) (-12 (-4 *1 (-1051 *2 *3 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *2 *4)) (-4 *4 (-302))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1234 *3)) (-4 *3 (-1197)) (-5 *2 (-764))))) 
+(((*1 *2 *2 *2 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-608 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1163))) (-4 *2 (-13 (-433 *5) (-27) (-1183))) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *1 (-571 *5 *2 *6)) (-4 *6 (-1091))))) 
+(((*1 *1 *1 *1) (-4 *1 (-754)))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1197)) (-5 *2 (-635 *1)) (-4 *1 (-1011 *3))))) 
+(((*1 *1 *1 *1) (-4 *1 (-551)))) 
+(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-1145)) (-5 *3 (-569)) (-5 *1 (-235)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-635 (-1145))) (-5 *3 (-569)) (-5 *4 (-1145)) (-5 *1 (-235)))) ((*1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) ((*1 *2 *1) (-12 (-4 *1 (-1224 *2 *3)) (-4 *3 (-788)) (-4 *2 (-1048))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-121)) (-5 *1 (-123)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-1163)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-123)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-121)) (-5 *1 (-608 *4)) (-4 *4 (-843)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-123)) (-5 *2 (-121)) (-5 *1 (-608 *4)) (-4 *4 (-843)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-5 *2 (-121)) (-5 *1 (-883 *5 *3 *4)) (-4 *3 (-882 *5)) (-4 *4 (-610 (-888 *5))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-4 *6 (-882 *5)) (-4 *5 (-1091)) (-5 *2 (-121)) (-5 *1 (-883 *5 *6 *4)) (-4 *4 (-610 (-888 *5)))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-1163)) (-5 *5 (-1085 (-836 (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-185)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-1163)) (-5 *5 (-1085 (-836 (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-295))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1219 *5 *4)) (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-569)) (-5 *1 (-1105 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-680 (-410 (-954 *4)))) (-4 *4 (-454)) (-5 *2 (-635 (-3 (-410 (-954 *4)) (-1152 (-1163) (-954 *4))))) (-5 *1 (-287 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-569)) (-4 *6 (-642 *5)) (-4 *5 (-366)) (-5 *2 (-680 *5)) (-5 *1 (-636 *5 *6))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-1222 *2)) (-4 *2 (-1048))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788)))) ((*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-635 (-1163))))) ((*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1048) (-843))) (-14 *3 (-635 (-1163))))) ((*1 *1 *1) (-12 (-5 *1 (-237 *2)) (-4 *2 (-1089)))) ((*1 *1 *1) (-12 (-4 *1 (-385 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-1091)))) ((*1 *1 *1) (-12 (-14 *2 (-635 (-1163))) (-4 *3 (-173)) (-4 *5 (-231 (-4168 *2) (-764))) (-14 *6 (-1 (-121) (-2 (|:| -3998 *4) (|:| -2356 *5)) (-2 (|:| -3998 *4) (|:| -2356 *5)))) (-5 *1 (-464 *2 *3 *4 *5 *6 *7)) (-4 *4 (-843)) (-4 *7 (-951 *3 *5 (-853 *2))))) ((*1 *1 *1) (-12 (-4 *1 (-519 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-843)))) ((*1 *1 *1) (-12 (-4 *2 (-559)) (-5 *1 (-616 *2 *3)) (-4 *3 (-1222 *2)))) ((*1 *1 *1) (-12 (-4 *1 (-699 *2)) (-4 *2 (-1048)))) ((*1 *1 *1) (-12 (-5 *1 (-726 *2 *3)) (-4 *3 (-843)) (-4 *2 (-1048)) (-4 *3 (-717)))) ((*1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) ((*1 *1 *1) (-12 (-5 *1 (-1268 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-839))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1247 *4)) (-4 *4 (-631 (-569))) (-5 *2 (-1247 (-410 (-569)))) (-5 *1 (-1272 *4))))) 
+(((*1 *2 *3 *2 *4) (-12 (-5 *3 (-680 *2)) (-5 *4 (-764)) (-4 *2 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *5 (-1222 *2)) (-5 *1 (-509 *2 *5 *6)) (-4 *6 (-412 *2 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-951 *3 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-1252)) (-5 *1 (-451 *4 *5 *6 *7)) (-4 *7 (-951 *4 *5 *6))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-788)) (-4 *2 (-1048)))) ((*1 *2 *1) (-12 (-4 *2 (-1048)) (-5 *1 (-55 *2 *3)) (-14 *3 (-635 (-1163))))) ((*1 *2 *1) (-12 (-5 *2 (-311 *3)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1048) (-843))) (-14 *4 (-635 (-1163))))) ((*1 *2 *1) (-12 (-4 *1 (-385 *2 *3)) (-4 *3 (-1091)) (-4 *2 (-1048)))) ((*1 *2 *1) (-12 (-14 *3 (-635 (-1163))) (-4 *5 (-231 (-4168 *3) (-764))) (-14 *6 (-1 (-121) (-2 (|:| -3998 *4) (|:| -2356 *5)) (-2 (|:| -3998 *4) (|:| -2356 *5)))) (-4 *2 (-173)) (-5 *1 (-464 *3 *2 *4 *5 *6 *7)) (-4 *4 (-843)) (-4 *7 (-951 *2 *5 (-853 *3))))) ((*1 *2 *1) (-12 (-4 *1 (-519 *2 *3)) (-4 *3 (-843)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *2 (-559)) (-5 *1 (-616 *2 *3)) (-4 *3 (-1222 *2)))) ((*1 *2 *1) (-12 (-4 *1 (-699 *2)) (-4 *2 (-1048)))) ((*1 *2 *1) (-12 (-4 *2 (-1048)) (-5 *1 (-726 *2 *3)) (-4 *3 (-843)) (-4 *3 (-717)))) ((*1 *2 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)))) ((*1 *2 *1) (-12 (-4 *1 (-975 *2 *3 *4)) (-4 *3 (-788)) (-4 *4 (-843)) (-4 *2 (-1048)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-231 *6 *2)) (-14 *6 *2) (-5 *2 (-764)) (-5 *1 (-909 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *1 (-951 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-951 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-764))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *5 (-328 *4)) (-4 *6 (-1222 *5)) (-5 *2 (-635 *3)) (-5 *1 (-770 *4 *5 *6 *3 *7)) (-4 *3 (-1222 *6)) (-14 *7 (-918))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-680 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-680 *3))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))))) ((*1 *2) (|partial| -12 (-4 *4 (-1202)) (-4 *5 (-1222 (-410 *2))) (-4 *2 (-1222 *4)) (-5 *1 (-340 *3 *4 *2 *5)) (-4 *3 (-341 *4 *2 *5)))) ((*1 *2) (|partial| -12 (-4 *1 (-341 *3 *2 *4)) (-4 *3 (-1202)) (-4 *4 (-1222 (-410 *2))) (-4 *2 (-1222 *3))))) 
+(((*1 *2 *3) (-12 (-4 *3 (-1222 *2)) (-4 *2 (-1222 *4)) (-5 *1 (-987 *4 *2 *3 *5)) (-4 *4 (-351)) (-4 *5 (-715 *2 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-608 *1))) (-4 *1 (-297))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-325 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788)))) ((*1 *2 *1) (-12 (-4 *1 (-699 *3)) (-4 *3 (-1048)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-845 *3)) (-4 *3 (-1048)) (-5 *2 (-764)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *1 (-951 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 (-764))))) ((*1 *2 *1 *3) (-12 (-4 *1 (-951 *4 *5 *3)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-5 *2 (-764))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1095)) (-5 *1 (-1167))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-247 *2 *3 *4 *5)) (-4 *2 (-1048)) (-4 *3 (-843)) (-4 *4 (-263 *3)) (-4 *5 (-789))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-928))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-918)) (-4 *1 (-371)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1247 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351)))) ((*1 *2 *1) (-12 (-4 *2 (-843)) (-5 *1 (-704 *2 *3 *4)) (-4 *3 (-1091)) (-14 *4 (-1 (-121) (-2 (|:| -3998 *2) (|:| -2356 *3)) (-2 (|:| -3998 *2) (|:| -2356 *3))))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| (-664 *3)) (|:| |c| *4)))) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1128 *3 *4)) (-14 *3 (-918)) (-4 *4 (-366)) (-5 *1 (-995 *3 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-216)))) (-5 *2 (-216)) (-5 *1 (-185)))) ((*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-216)))) (-5 *2 (-216)) (-5 *1 (-295)))) ((*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-216)))) (-5 *2 (-216)) (-5 *1 (-300))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-901 *4)) (-4 *4 (-1091)) (-5 *2 (-635 (-764))) (-5 *1 (-900 *4))))) 
+(((*1 *1 *1 *1) (-5 *1 (-163))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-163))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) ((*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-635 *4)))) (-5 *2 (-635 (-635 *4))) (-5 *1 (-1169 *4)) (-4 *4 (-843))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-778 *2)) (-4 *2 (-559)) (-4 *2 (-1048)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-971 *3 *2)) (-4 *2 (-1222 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) ((*1 *2 *3 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *1)))) (-4 *1 (-1067 *4 *5 *6 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-121))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1252)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *8 (-642 *3)) (-5 *1 (-655 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *7 (-972 *3)) (-4 *9 (-921 *3 *8)))) ((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *8 (-642 *3)) (-5 *2 (-121)) (-5 *1 (-655 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *7 (-972 *3)) (-4 *9 (-921 *3 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4003 *9)))) (-5 *4 (-764)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-1252)) (-5 *1 (-1065 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4003 *9)))) (-5 *4 (-764)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1100 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-1252)) (-5 *1 (-1131 *5 *6 *7 *8 *9))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-764)) (-4 *6 (-366)) (-5 *4 (-1192 *6)) (-5 *2 (-1 (-1143 *4) (-1143 *4))) (-5 *1 (-1255 *6)) (-5 *5 (-1143 *4))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-4 *3 (-896 *5)) (-5 *2 (-680 *3)) (-5 *1 (-682 *5 *3 *6 *4)) (-4 *6 (-376 *3)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4535))))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
+(((*1 *2 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1059)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1059))))) 
+(((*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
+(((*1 *2 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1197)) (-5 *1 (-1121 *4 *2)) (-4 *2 (-13 (-602 (-569) *4) (-10 -7 (-6 -4535) (-6 -4536)))))) ((*1 *2 *2) (-12 (-4 *3 (-843)) (-4 *3 (-1197)) (-5 *1 (-1121 *3 *2)) (-4 *2 (-13 (-602 (-569) *3) (-10 -7 (-6 -4535) (-6 -4536))))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1062 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1191 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121))))) 
+(((*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-1252)) (-5 *1 (-1068 *3 *4 *5 *6 *7)) (-4 *7 (-1067 *3 *4 *5 *6)))) ((*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-1252)) (-5 *1 (-1099 *3 *4 *5 *6 *7)) (-4 *7 (-1067 *3 *4 *5 *6))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |gen| *3) (|:| -2436 (-569)))) (-5 *1 (-237 *3)) (-4 *3 (-1089)))) ((*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1197)))) ((*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) *2)) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-764))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *1) (-5 *1 (-159)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1127 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-928))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-843) (-1038 (-569)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 (-170 *3)))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-5 *1 (-181 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 (-170 *4)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4)))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-678 *4 *5 *6)) (-5 *1 (-108 *4 *3 *2 *5 *6)) (-4 *3 (-1222 *4)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-2 (|:| -1744 (-1143 *4)) (|:| -1748 (-1143 *4)))) (-5 *1 (-1149 *4)) (-5 *3 (-1143 *4))))) 
+(((*1 *2 *2) (-12 (-4 *2 (-173)) (-4 *2 (-1048)) (-5 *1 (-705 *2 *3)) (-4 *3 (-638 *2)))) ((*1 *2 *2) (-12 (-5 *1 (-830 *2)) (-4 *2 (-173)) (-4 *2 (-1048))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *2 (-921 *5 *8)) (-5 *1 (-655 *5 *6 *4 *7 *3 *8 *2)) (-4 *4 (-951 *5 *7 (-853 *6))) (-4 *3 (-972 *5)) (-4 *8 (-642 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1247 (-764))) (-5 *1 (-667 *3)) (-4 *3 (-1091))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(((*1 *1 *2 *3) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-918)) (-5 *2 (-121)) (-5 *1 (-234 *4)) (-4 *4 (-1048))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1165 (-410 (-569)))) (-5 *2 (-410 (-569))) (-5 *1 (-183))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1159 *1)) (-4 *1 (-859)) (-5 *2 (-635 *1)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-366)) (-5 *2 (-2 (|:| |zeros| (-635 *4)) (|:| -4053 (-569)))) (-5 *1 (-1044 *4))))) 
+(((*1 *1) (-5 *1 (-159)))) 
+(((*1 *1 *1) (|partial| -4 *1 (-149))) ((*1 *1 *1) (-4 *1 (-351))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-149)) (-4 *1 (-905))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *2 (-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| *3) (|:| -4245 (-569))))))) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *2 (-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| *3) (|:| -4245 (-569))))))) (-5 *1 (-1211 *3)) (-4 *3 (-1222 (-569)))))) 
+(((*1 *2 *2 *3 *2) (-12 (-5 *3 (-764)) (-4 *4 (-351)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1222 *4))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) *2)) (-4 *7 (-972 *4)) (-4 *8 (-642 *4)) (-4 *9 (-921 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-764)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-764)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-764)))) ((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) *2)) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-764)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1091)) (-5 *2 (-2 (|:| |k| *4) (|:| |c| *3)))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *3) (|:| |totdeg| (-764)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *3 (-789)) (-4 *6 (-951 *4 *3 *5)) (-4 *4 (-454)) (-4 *5 (-843)) (-5 *1 (-451 *4 *3 *5 *6))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *2 (-559)) (-5 *1 (-971 *2 *4)) (-4 *4 (-1222 *2))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-121)) (-5 *5 (-1093 (-764))) (-5 *6 (-764)) (-5 *2 (-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| *3) (|:| -4245 (-569))))))) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569)))))) 
+(((*1 *1) (-5 *1 (-440)))) 
+(((*1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-789)) (-4 *4 (-843)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1252)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 *7)) (-4 *7 (-951 *5 *8 (-853 *6))) (-4 *8 (-231 (-4168 *6) (-764))) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *9 (-972 *5)) (-4 *10 (-642 *5)) (-4 *11 (-921 *5 *10)) (-4 *12 (-236 *11)) (-4 *13 (-537 *5 *6 *7 *8 *9 *10 *11 *12 *14)) (-4 *14 (-117)) (-5 *2 (-1252)) (-5 *1 (-261 *5 *6 *7 *8 *9 *10 *11 *12 *13 *3 *14)) (-4 *3 (-259 *13))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-764)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-1216 *4 *2)) (-4 *2 (-1222 *4))))) 
+(((*1 *2 *3 *1) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-1166)) (-5 *3 (-1163))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-121))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-302)) (-5 *2 (-121))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-635 (-954 *4))) (-5 *3 (-635 (-1163))) (-4 *4 (-454)) (-5 *1 (-915 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-820))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1247 *4)) (-4 *4 (-420 *3)) (-4 *3 (-302)) (-4 *3 (-559)) (-5 *1 (-48 *3 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-366)) (-5 *2 (-1247 *1)) (-4 *1 (-328 *4)))) ((*1 *2) (-12 (-4 *3 (-366)) (-5 *2 (-1247 *1)) (-4 *1 (-328 *3)))) ((*1 *2) (-12 (-4 *3 (-173)) (-4 *4 (-1222 *3)) (-5 *2 (-1247 *1)) (-4 *1 (-412 *3 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-994 *3)) (-4 *5 (-1222 *4)) (-5 *2 (-1247 *6)) (-5 *1 (-416 *3 *4 *5 *6)) (-4 *6 (-13 (-412 *4 *5) (-1038 *4))))) ((*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-994 *3)) (-4 *5 (-1222 *4)) (-5 *2 (-1247 *6)) (-5 *1 (-417 *3 *4 *5 *6 *7)) (-4 *6 (-412 *4 *5)) (-14 *7 *2))) ((*1 *2) (-12 (-4 *3 (-173)) (-5 *2 (-1247 *1)) (-4 *1 (-420 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1247 (-1247 *4))) (-5 *1 (-533 *4)) (-4 *4 (-351))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *1 *1) (-12 (-4 *1 (-996 *2)) (-4 *2 (-1197)))) ((*1 *1 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091))))) 
+(((*1 *2) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1178))))) 
+(((*1 *2) (|partial| -12 (-4 *3 (-559)) (-4 *3 (-173)) (-5 *2 (-2 (|:| |particular| *1) (|:| -3930 (-635 *1)))) (-4 *1 (-370 *3)))) ((*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-455 *3 *4 *5 *6)) (|:| -3930 (-635 (-455 *3 *4 *5 *6))))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *2 (-635 (-216))) (-5 *1 (-300))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3))))) 
+(((*1 *2 *3 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-635 (-569))))) ((*1 *2 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-635 (-569)))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-911 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
+(((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *7)) (-5 *4 (-1159 *7)) (-4 *5 (-1048)) (-4 *7 (-1048)) (-4 *2 (-1222 *5)) (-5 *1 (-511 *5 *2 *6 *7)) (-4 *6 (-1222 *2))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-170 (-216)))) (-5 *1 (-146)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-5 *1 (-1247 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-416 *3 *4 *5 *6)) (-4 *6 (-1038 *4)) (-4 *3 (-302)) (-4 *4 (-994 *3)) (-4 *5 (-1222 *4)) (-4 *6 (-412 *4 *5)) (-14 *7 (-1247 *6)) (-5 *1 (-417 *3 *4 *5 *6 *7)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 *6)) (-4 *6 (-412 *4 *5)) (-4 *4 (-994 *3)) (-4 *5 (-1222 *4)) (-4 *3 (-302)) (-5 *1 (-417 *3 *4 *5 *6 *7)) (-14 *7 *2)))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-5 *2 (-635 (-1163))) (-5 *1 (-203)) (-5 *3 (-1163)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-764)) (-5 *2 (-635 (-1163))) (-5 *1 (-264)))) ((*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-664 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-668 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-815 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-889 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-635 *3))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1197))))) 
+(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-495 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-410 *4)) (-4 *4 (-1222 *3)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-989 (-410 (-569)) (-853 *3) (-233 *4 (-764)) (-243 *3 (-410 (-569))))) (-14 *3 (-635 (-1163))) (-14 *4 (-764)) (-5 *1 (-988 *3 *4))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-680 (-569))) (-5 *1 (-1101))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1117 *3 *4)) (-4 *3 (-1222 *4)))) ((*1 *2 *3 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1117 *4 *3)) (-4 *4 (-1222 *3))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-749))))) 
+(((*1 *1 *2 *3 *1) (-12 (-5 *2 (-888 *4)) (-4 *4 (-1091)) (-5 *1 (-885 *4 *3)) (-4 *3 (-1091))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-982 *2)) (-4 *2 (-1048)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-945 (-216))) (-5 *1 (-1194)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-1048))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-123)) (-5 *4 (-1163)) (-4 *6 (-1048)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-2 (|:| -1538 (-3 (-569) "failed")) (|:| -2599 (-3 (-569) "failed")) (|:| |ker| (-608 *5)))) (-5 *1 (-1025 *6 *5)) (-4 *5 (-13 (-433 *6) (-23) (-1038 (-569)) (-1038 *4) (-896 *4) (-162)))))) 
+(((*1 *2 *3 *3 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-749))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-733 *4 *5 *6 *3)) (-4 *3 (-951 *6 *4 *5))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-764)) (-4 *1 (-224 *4)) (-4 *4 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-224 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-226)) (-5 *2 (-764)))) ((*1 *1 *1) (-4 *1 (-226))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-263 *3)) (-4 *3 (-843)))) ((*1 *1 *1) (-12 (-4 *1 (-263 *2)) (-4 *2 (-843)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)) (-4 *4 (-1222 *3)))) ((*1 *1 *1) (-12 (-4 *2 (-13 (-366) (-151))) (-5 *1 (-402 *2 *3)) (-4 *3 (-1222 *2)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-480 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *2 *1 *3) (-12 (-4 *2 (-366)) (-4 *2 (-896 *3)) (-5 *1 (-586 *2)) (-5 *3 (-1163)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-586 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-851)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 (-764))) (-4 *1 (-896 *4)) (-4 *4 (-1091)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-896 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-896 *3)) (-4 *3 (-1091)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-896 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1153 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1160 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1161 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 (QUOTE |x|))) (-5 *1 (-1204 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1210 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-1222 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1231 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1238 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1242 *3 *4)) (-4 *3 (-1048))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-680 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| |radval| (-311 (-569))) (|:| |radmult| (-569)) (|:| |radvect| (-635 (-680 (-311 (-569)))))))) (-5 *1 (-1032))))) 
+(((*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1028 *5 *6 *7 *3))) (-5 *1 (-1028 *5 *6 *7 *3)) (-4 *3 (-1062 *5 *6 *7)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-635 *6)) (-4 *1 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1067 *3 *4 *5 *2)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) ((*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1132 *5 *6 *7 *3))) (-5 *1 (-1132 *5 *6 *7 *3)) (-4 *3 (-1062 *5 *6 *7))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-559)) (-5 *1 (-616 *2 *3)) (-4 *3 (-1222 *2))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1237 *4)) (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-1 (-1143 *4) (-1143 *4))) (-5 *1 (-1239 *4 *5))))) 
+(((*1 *2 *3 *3 *4 *3 *5 *3 *5 *4 *5 *5 *4 *4 *5 *3) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-680 (-569))) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-749))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-764)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-789)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-451 *4 *5 *6 *7))))) 
+(((*1 *2 *1 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1011 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-635 (-635 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-635 (-3 (|:| |array| (-635 *3)) (|:| |scalar| (-1163))))) (-5 *6 (-635 (-1163))) (-5 *3 (-1163)) (-5 *2 (-1095)) (-5 *1 (-400)))) ((*1 *2 *3 *4 *5 *6 *3) (-12 (-5 *5 (-635 (-635 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-635 (-3 (|:| |array| (-635 *3)) (|:| |scalar| (-1163))))) (-5 *6 (-635 (-1163))) (-5 *3 (-1163)) (-5 *2 (-1095)) (-5 *1 (-400)))) ((*1 *2 *3 *4 *5 *4) (-12 (-5 *4 (-635 (-1163))) (-5 *5 (-1166)) (-5 *3 (-1163)) (-5 *2 (-1095)) (-5 *1 (-400))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) ((*1 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-911 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *3 *4 *5 *6 *3 *3 *3 *3 *6 *3 *7 *8) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-121)) (-5 *6 (-216)) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-73 APROD)))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-78 MSOLVE)))) (-5 *2 (-1036)) (-5 *1 (-749))))) 
+(((*1 *2 *3 *4 *4 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-764)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-789)) (-4 *4 (-951 *5 *6 *7)) (-4 *5 (-454)) (-4 *7 (-843)) (-5 *1 (-451 *5 *6 *7 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-519 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-843))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-973))))) 
+(((*1 *2 *3 *4 *3 *4 *5 *3 *4 *3 *3 *3 *3) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-680 (-569))) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-749))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-635 *1)) (-4 *1 (-433 *4)) (-4 *4 (-843)))) ((*1 *1 *2 *1 *1 *1 *1) (-12 (-5 *2 (-1163)) (-4 *1 (-433 *3)) (-4 *3 (-843)))) ((*1 *1 *2 *1 *1 *1) (-12 (-5 *2 (-1163)) (-4 *1 (-433 *3)) (-4 *3 (-843)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1163)) (-4 *1 (-433 *3)) (-4 *3 (-843)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1163)) (-4 *1 (-433 *3)) (-4 *3 (-843))))) 
+(((*1 *1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-1222 *4)) (-4 *4 (-1202)) (-4 *1 (-341 *4 *3 *5)) (-4 *5 (-1222 (-410 *3)))))) 
+(((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-764)) (-5 *1 (-735 *4 *3)) (-14 *4 (-1163)) (-4 *3 (-1048)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-764)) (-5 *1 (-778 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *1 (-965 *3 *2)) (-4 *2 (-138)) (-4 *3 (-559)) (-4 *3 (-1048)) (-4 *2 (-788)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1159 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-973)) (-4 *2 (-138)) (-5 *1 (-1165 *3)) (-4 *3 (-559)) (-4 *3 (-1048)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1219 *4 *3)) (-14 *4 (-1163)) (-4 *3 (-1048))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-569)) (-5 *2 (-635 (-635 (-216)))) (-5 *1 (-1194))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *2 (-951 *4 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *4)) (-4 *8 (-642 *4)) (-4 *9 (-921 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *2 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *1 (-468 *4 *5 *2 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-243 *5 *4)) (-5 *3 (-569)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-5 *1 (-868 *4 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-243 *5 *4)) (-5 *3 (-569)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-5 *1 (-869 *4 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-909 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) ((*1 *1 *1) (-12 (-4 *1 (-972 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-972 *3)) (-4 *3 (-366))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *4 *3 *3 *3 *3 *5 *3 *6) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-75 APROD)))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-749))))) 
+(((*1 *1 *2 *1) (-12 (-5 *1 (-131 *2)) (-4 *2 (-843))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-635 (-2 (|:| |func| *2) (|:| |pole| (-121))))) (-4 *2 (-13 (-433 *4) (-1003))) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-273 *4 *2))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1145)) (-5 *1 (-782))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-569)) (-5 *1 (-868 *4 *5 *6)) (-4 (-858 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-569)) (-5 *1 (-869 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-117))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *8 (-972 *5)) (-4 *9 (-642 *5)) (-4 *10 (-921 *5 *9)) (-4 *11 (-537 *5 *6 *3 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *5 *6 *3 *7 *8 *9 *10 *2 *11 *4 *12)) (-4 *4 (-259 *11))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-466))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1247 *4)) (-4 *4 (-631 *5)) (-4 *5 (-366)) (-4 *5 (-559)) (-5 *2 (-1247 *5)) (-5 *1 (-630 *5 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1247 *4)) (-4 *4 (-631 *5)) (-3864 (-4 *5 (-366))) (-4 *5 (-559)) (-5 *2 (-1247 (-410 *5))) (-5 *1 (-630 *5 *4))))) 
+(((*1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1) (-4 *1 (-133))) ((*1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1) (-5 *1 (-1109)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-818)) (-5 *1 (-817))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-294 *4 *5)) (-14 *4 *3) (-14 *5 *3))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1085 (-836 (-216)))) (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-300)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257)))) ((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-542))))) 
+(((*1 *2 *3 *3 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-1 (-635 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-635 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-569))) (-5 *4 (-901 (-569))) (-5 *2 (-680 (-569))) (-5 *1 (-590)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-635 (-680 (-569)))) (-5 *1 (-590)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-569))) (-5 *4 (-635 (-901 (-569)))) (-5 *2 (-635 (-680 (-569)))) (-5 *1 (-590))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-272))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *2 *3) (-12 (-4 *4 (-1091)) (-4 *2 (-896 *4)) (-5 *1 (-682 *4 *2 *5 *3)) (-4 *5 (-376 *2)) (-4 *3 (-13 (-376 *4) (-10 -7 (-6 -4535))))))) 
+(((*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 (-608 *2))) (-5 *4 (-635 (-1163))) (-4 *2 (-13 (-433 (-170 *5)) (-1003) (-1183))) (-4 *5 (-13 (-559) (-843))) (-5 *1 (-598 *5 *6 *2)) (-4 *6 (-13 (-433 *5) (-1003) (-1183)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1091)) (-5 *1 (-901 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-4 *3 (-559)) (-5 *2 (-1159 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1166)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-843)) (-5 *1 (-931 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-311 (-569))) (-5 *1 (-932))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1222 (-410 *2))) (-5 *2 (-569)) (-5 *1 (-910 *4 *3)) (-4 *3 (-1222 (-410 *4)))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -2714 *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *1 *1) (|partial| -4 *1 (-1137)))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-569)) (-5 *5 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *6 (-1048)) (-4 *7 (-231 *8 (-764))) (-14 *8 (-764)) (-5 *2 (-635 (-635 *3))) (-5 *1 (-773 *6 *3 *7 *8)) (-4 *3 (-325 *6 *7))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-2 (|:| |num| (-1247 *4)) (|:| |den| *4)))))) 
+(((*1 *2 *3 *2 *2) (-12 (-5 *2 (-635 (-493 *4 *5))) (-5 *3 (-853 *4)) (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *1 (-623 *4 *5))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-843)) (-5 *1 (-931 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-311 (-569))) (-5 *1 (-932))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-1048)) (-4 *4 (-231 *5 (-764))) (-14 *5 (-764)) (-5 *1 (-909 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| -3585 *1) (|:| -3230 (-635 *7))))) (-5 *3 (-635 *7)) (-4 *1 (-1191 *4 *5 *6 *7))))) 
+(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1145)) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-680 (-410 *4)))))) 
+(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-67 *3)) (-14 *3 (-1163)))) ((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-74 *3)) (-14 *3 (-1163)))) ((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-77 *3)) (-14 *3 (-1163)))) ((*1 *2 *1) (-12 (-4 *1 (-398)) (-5 *2 (-1252)))) ((*1 *2 *3) (-12 (-5 *3 (-391)) (-5 *2 (-1252)) (-5 *1 (-400)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-851)) (-5 *2 (-1252)) (-5 *1 (-1124)))) ((*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1252)) (-5 *1 (-1124)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-851))) (-5 *2 (-1252)) (-5 *1 (-1124))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
+(((*1 *2 *3) (|partial| -12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-2 (|:| |bas| (-482 *4 *5 *6 *7)) (|:| -3275 (-635 *7)))) (-5 *1 (-979 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-128 *2)) (-4 *2 (-1197)))) ((*1 *1 *1) (-12 (-5 *1 (-664 *2)) (-4 *2 (-843)))) ((*1 *1 *1) (-12 (-5 *1 (-668 *2)) (-4 *2 (-843)))) ((*1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-841) (-366))) (-5 *1 (-1058 *2 *3)) (-4 *3 (-1222 *2))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *2 (-635 (-410 (-569)))) (-5 *1 (-1020 *4)) (-4 *4 (-1222 (-569)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-680 (-410 (-954 (-569))))) (-5 *2 (-635 (-680 (-311 (-569))))) (-5 *1 (-1032))))) 
+(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1145)) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-302)) (-4 *9 (-951 *8 *6 *7)) (-5 *2 (-2 (|:| -3698 (-1159 *9)) (|:| |polval| (-1159 *8)))) (-5 *1 (-733 *6 *7 *8 *9)) (-5 *3 (-1159 *9)) (-5 *4 (-1159 *8))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *3 *4 *4 *5) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-635 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-571 *6 *3 *7)) (-4 *7 (-1091))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *1 *1) (-5 *1 (-542)))) 
+(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-394))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-635 *8))) (-5 *3 (-635 *8)) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-121)) (-5 *1 (-925 *5 *6 *7 *8))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) (-5 *2 (-1036)) (-5 *1 (-741))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1247 (-311 (-216)))) (-5 *2 (-2 (|:| |additions| (-569)) (|:| |multiplications| (-569)) (|:| |exponentiations| (-569)) (|:| |functionCalls| (-569)))) (-5 *1 (-300))))) 
+(((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-133)))) 
+(((*1 *1 *2 *2 *2) (-12 (-5 *2 (-1145)) (-4 *1 (-392))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-130)))) ((*1 *2 *3) (-12 (-4 *5 (-13 (-610 *2) (-173))) (-5 *2 (-888 *4)) (-5 *1 (-171 *4 *5 *3)) (-4 *4 (-1091)) (-4 *3 (-167 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-1085 (-836 (-382))))) (-5 *2 (-635 (-1085 (-836 (-216))))) (-5 *1 (-300)))) ((*1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-382)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-851)) (-5 *3 (-569)) (-5 *1 (-397)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-173)) (-4 *1 (-412 *3 *4)) (-4 *4 (-1222 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1222 *3)) (-5 *2 (-1247 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-173)) (-4 *1 (-420 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-1247 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-421 *1)) (-4 *1 (-433 *3)) (-4 *3 (-559)) (-4 *3 (-843)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-469 *3 *4 *5 *6)))) ((*1 *1 *2) (-12 (-5 *2 (-1095)) (-5 *1 (-542)))) ((*1 *2 *1) (-12 (-4 *1 (-610 *2)) (-4 *2 (-1197)))) ((*1 *1 *2) (-12 (-4 *3 (-173)) (-4 *1 (-715 *3 *2)) (-4 *2 (-1222 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-888 *3))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1048)) (-4 *1 (-982 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1059)))) ((*1 *1 *2) (-12 (-5 *2 (-954 *3)) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *5 (-610 (-1163))) (-4 *4 (-789)) (-4 *5 (-843)))) ((*1 *1 *2) (-2232 (-12 (-5 *2 (-954 (-569))) (-4 *1 (-1062 *3 *4 *5)) (-12 (-3864 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 (-569))) (-4 *1 (-1062 *3 *4 *5)) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))))) ((*1 *1 *2) (-12 (-5 *2 (-954 (-410 (-569)))) (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4003 *8))) (-4 *7 (-1062 *4 *5 *6)) (-4 *8 (-1067 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-1145)) (-5 *1 (-1065 *4 *5 *6 *7 *8)))) ((*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-1076)))) ((*1 *1 *2) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197)))) ((*1 *1 *2) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *2)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091)))) ((*1 *1 *2) (-12 (-4 *1 (-1094 *3 *4 *5 *2 *6)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *2 (-1091)) (-4 *6 (-1091)))) ((*1 *1 *2) (-12 (-4 *1 (-1094 *3 *4 *2 *5 *6)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *2 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)))) ((*1 *1 *2) (-12 (-4 *1 (-1094 *3 *2 *4 *5 *6)) (-4 *3 (-1091)) (-4 *2 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)))) ((*1 *1 *2) (-12 (-4 *1 (-1094 *2 *3 *4 *5 *6)) (-4 *2 (-1091)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4003 *8))) (-4 *7 (-1062 *4 *5 *6)) (-4 *8 (-1100 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-1145)) (-5 *1 (-1131 *4 *5 *6 *7 *8)))) ((*1 *1 *2 *3 *2) (-12 (-5 *2 (-851)) (-5 *3 (-569)) (-5 *1 (-1178)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-851)) (-5 *3 (-569)) (-5 *1 (-1178)))) ((*1 *2 *3) (-12 (-5 *3 (-776 *4 (-853 *5))) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *5 (-635 (-1163))) (-5 *2 (-776 *4 (-853 *6))) (-5 *1 (-1271 *4 *5 *6)) (-14 *6 (-635 (-1163))))) ((*1 *2 *3) (-12 (-5 *3 (-954 *4)) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-954 (-1024 (-410 *4)))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-14 *6 (-635 (-1163))))) ((*1 *2 *3) (-12 (-5 *3 (-776 *4 (-853 *6))) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *6 (-635 (-1163))) (-5 *2 (-954 (-1024 (-410 *4)))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163))))) ((*1 *2 *3) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-1159 (-1024 (-410 *4)))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-14 *6 (-635 (-1163))))) ((*1 *2 *3) (-12 (-5 *3 (-1132 *4 (-535 (-853 *6)) (-853 *6) (-776 *4 (-853 *6)))) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-776 *4 (-853 *6)))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163)))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-635 (-635 (-569)))) (-5 *1 (-973)) (-5 *3 (-635 (-569)))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-13 (-366) (-151))) (-5 *2 (-635 (-2 (|:| -2356 (-764)) (|:| -4030 *4) (|:| |num| *4)))) (-5 *1 (-402 *3 *4)) (-4 *4 (-1222 *3))))) 
+(((*1 *1 *1) (-5 *1 (-216))) ((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1) (-4 *1 (-1125))) ((*1 *1 *1 *1) (-4 *1 (-1125)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1064 *4 *3)) (-4 *4 (-13 (-841) (-366))) (-4 *3 (-1222 *4)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-272))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-311 (-216)))) (-5 *2 (-121)) (-5 *1 (-264))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-391)) (-5 *2 (-1252)) (-5 *1 (-394)))) ((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-394))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *4)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-5 *2 (-1 *5)) (-5 *1 (-673 *4 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 (-170 (-569))))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-841))))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-410 (-954 (-170 (-569)))))) (-5 *4 (-635 (-1163))) (-5 *2 (-635 (-635 (-170 *5)))) (-5 *1 (-381 *5)) (-4 *5 (-13 (-366) (-841)))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) (-5 *2 (-1036)) (-5 *1 (-741))))) 
+(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-680 (-410 *4)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1 *3 *3 (-569))) (-4 *3 (-1048)) (-5 *1 (-101 *3)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-101 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-101 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-121)) (-5 *2 (-1145)) (-5 *1 (-57))))) 
+(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-440))))) (-5 *1 (-1167))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1247 (-311 (-216)))) (-5 *2 (-1247 (-311 (-382)))) (-5 *1 (-300))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-366)) (-4 *3 (-1048)) (-5 *1 (-1147 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-945 *3)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003)))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 (-635 *2) *2 *2 *2)) (-4 *2 (-1091)) (-5 *1 (-106 *2)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1091)) (-5 *1 (-106 *2))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -2478 (-421 *3)) (|:| |special| (-421 *3)))) (-5 *1 (-718 *5 *3))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *2 (-2 (|:| -2626 (-569)) (|:| -1475 (-569)) (|:| -4268 (-569)) (|:| |reste| (-569)) (|:| -1612 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-773 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-325 *4 *6)) (-4 *6 (-231 *7 (-764))) (-14 *7 (-764)) (-4 *4 (-1048)) (-5 *2 (-2 (|:| -2626 (-569)) (|:| -1475 (-569)) (|:| -4268 (-569)) (|:| |reste| (-569)) (|:| -1612 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-773 *4 *5 *6 *7))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-680 *8)) (-5 *4 (-764)) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-635 (-2 (|:| |det| *8) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (-5 *1 (-925 *5 *6 *7 *8))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-510 *2)) (-14 *2 (-569)))) ((*1 *1 *1 *1) (-5 *1 (-1109)))) 
+(((*1 *1 *1) (-5 *1 (-1060)))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-945 *5)) (-4 *5 (-1048)) (-5 *2 (-764)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-764))) (-5 *3 (-764)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)) (-4 *5 (-1048)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-764))) (-5 *3 (-945 *5)) (-4 *5 (-1048)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918))))) 
+(((*1 *2 *3 *3 *4 *5 *3 *3 *4 *4 *4 *6) (-12 (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-741))))) 
+(((*1 *2 *3 *2 *4) (|partial| -12 (-5 *4 (-1 (-3 (-569) "failed") *5)) (-4 *5 (-1048)) (-5 *2 (-569)) (-5 *1 (-549 *5 *3)) (-4 *3 (-1222 *5)))) ((*1 *2 *3 *4 *2 *5) (|partial| -12 (-5 *5 (-1 (-3 (-569) "failed") *4)) (-4 *4 (-1048)) (-5 *2 (-569)) (-5 *1 (-549 *4 *3)) (-4 *3 (-1222 *4)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-569) "failed") *4)) (-4 *4 (-1048)) (-5 *2 (-569)) (-5 *1 (-549 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-564))))) 
+(((*1 *2) (|partial| -12 (-4 *3 (-559)) (-4 *3 (-173)) (-5 *2 (-2 (|:| |particular| *1) (|:| -3930 (-635 *1)))) (-4 *1 (-370 *3)))) ((*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-455 *3 *4 *5 *6)) (|:| -3930 (-635 (-455 *3 *4 *5 *6))))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1048)) (-4 *6 (-231 *7 (-764))) (-14 *7 (-764)) (-5 *2 (-635 *6)) (-5 *1 (-909 *4 *5 *6 *7)) (-4 *5 (-325 *4 *6))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-870))))) 
+(((*1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *1 *2 *2) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197)))) ((*1 *1 *2) (-12 (-5 *1 (-1213 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) (-5 *2 (-1036)) (-5 *1 (-741))))) 
+(((*1 *2 *3 *4 *5 *5) (-12 (-5 *5 (-764)) (-4 *6 (-1091)) (-4 *7 (-896 *6)) (-5 *2 (-680 *7)) (-5 *1 (-682 *6 *7 *3 *4)) (-4 *3 (-376 *7)) (-4 *4 (-13 (-376 *6) (-10 -7 (-6 -4535))))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-569)) (-5 *1 (-445 *4 *3 *5)) (-4 *3 (-1222 *4)) (-4 *5 (-13 (-407) (-1038 *4) (-366) (-1183) (-280)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-13 (-407) (-1038 *4) (-366) (-1183) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1222 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-1048)) (-4 *2 (-13 (-407) (-1038 *5) (-366) (-1183) (-280))) (-5 *1 (-445 *5 *3 *2)) (-4 *3 (-1222 *5))))) 
+(((*1 *1) (-5 *1 (-819)))) 
+(((*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1183)))))) 
+(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-437)) (-4 *5 (-843)) (-5 *1 (-1097 *5 *4)) (-4 *4 (-433 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *2)) (-4 *2 (-1237 *4)) (-5 *1 (-1239 *4 *2)) (-4 *4 (-43 (-410 (-569))))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-13 (-841) (-366))) (-5 *1 (-1058 *2 *3)) (-4 *3 (-1222 *2))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1159 *1)) (-4 *1 (-1013))))) 
+(((*1 *2 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1036)) (-5 *1 (-741))))) 
+(((*1 *2 *3) (|partial| -12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| |radicand| (-410 *5)) (|:| |deg| (-764)))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1222 (-410 *5)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1151 3 *3)) (-4 *3 (-1048)) (-4 *1 (-1123 *3)))) ((*1 *1) (-12 (-4 *1 (-1123 *2)) (-4 *2 (-1048))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-854 *4 *5 *6 *7)) (-4 *4 (-1048)) (-14 *5 (-635 (-1163))) (-14 *6 (-635 *3)) (-14 *7 *3))) ((*1 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-1048)) (-4 *5 (-843)) (-4 *6 (-789)) (-14 *8 (-635 *5)) (-5 *2 (-1252)) (-5 *1 (-1257 *4 *5 *6 *7 *8 *9 *10)) (-4 *7 (-951 *4 *6 *5)) (-14 *9 (-635 *3)) (-14 *10 *3)))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1159 *4))) (-5 *3 (-1159 *4)) (-4 *4 (-905)) (-5 *1 (-656 *4))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302)))) ((*1 *2 *1) (-12 (-5 *1 (-911 *2)) (-4 *2 (-302)))) ((*1 *2 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)) (-4 *2 (-302)))) ((*1 *2 *1) (-12 (-4 *1 (-1057)) (-5 *2 (-569))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1) (-4 *1 (-1125)))) 
+(((*1 *2 *3 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-121)) (-5 *1 (-492))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-635 (-257))) (-5 *4 (-1163)) (-5 *1 (-256 *2)) (-4 *2 (-1197)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-635 (-257))) (-5 *4 (-1163)) (-5 *2 (-57)) (-5 *1 (-257)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-635 (-466))) (-5 *4 (-1163)) (-5 *2 (-57)) (-5 *1 (-466))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-689)) (-5 *1 (-300))))) 
+(((*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) *2)) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-764))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-197))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-382)) (-5 *1 (-781 *3)) (-4 *3 (-610 *2)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-5 *2 (-382)) (-5 *1 (-781 *3)) (-4 *3 (-610 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-954 *4)) (-4 *4 (-1048)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-954 *5)) (-5 *4 (-918)) (-4 *5 (-1048)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-559)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-843)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-843)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *2 (-1 *6 *5 *4)) (-5 *1 (-674 *4 *5 *6))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1036)) (-5 *1 (-741))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) ((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-574 *3)) (-4 *3 (-1038 (-569))))) ((*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (-12 (-5 *2 (-635 (-170 *4))) (-5 *1 (-158 *3 *4)) (-4 *3 (-1222 (-170 (-569)))) (-4 *4 (-13 (-366) (-841))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4))))) ((*1 *2 *3 *4) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4)))))) 
+(((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *4 (-216)) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 *4)))) (|:| |xValues| (-1085 *4)) (|:| |yValues| (-1085 *4)))) (-5 *1 (-157)) (-5 *3 (-635 (-635 (-945 *4))))))) 
+(((*1 *1) (-5 *1 (-143)))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1159 *9)) (-5 *4 (-635 *7)) (-5 *5 (-635 *8)) (-4 *7 (-843)) (-4 *8 (-1048)) (-4 *9 (-951 *8 *6 *7)) (-4 *6 (-789)) (-5 *2 (-1159 *8)) (-5 *1 (-319 *6 *7 *8 *9))))) 
+(((*1 *2 *2) (-12 (-4 *2 (-13 (-366) (-841))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1222 (-170 *2)))))) 
+(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091))))) 
+(((*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-121)) (-5 *1 (-888 *4)) (-4 *4 (-1091))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-159)))) ((*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-635 *8))) (-5 *3 (-635 *8)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-121)) (-5 *1 (-979 *5 *6 *7 *8))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-956)) (-5 *2 (-1085 (-216))))) ((*1 *2 *1) (-12 (-4 *1 (-976)) (-5 *2 (-1085 (-216)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1091)) (-5 *2 (-1252)) (-5 *1 (-1199 *4)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1091)) (-5 *2 (-1252)) (-5 *1 (-1199 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1036)) (-5 *1 (-741))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-451 *3 *4 *5 *2)) (-4 *2 (-951 *3 *4 *5))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1197)) (-5 *1 (-378 *4 *2)) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4536))))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183))))) 
+(((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-3 (-121) (-635 *1))) (-4 *1 (-1067 *4 *5 *6 *3))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-1109)) (-5 *2 (-121)) (-5 *1 (-817))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1109)) (-5 *1 (-817))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-113)))) ((*1 *2 *1) (-12 (-4 *1 (-139)) (-5 *2 (-764)))) ((*1 *2 *3 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-376 *3)) (-4 *3 (-1197)) (-4 *3 (-1091)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-376 *3)) (-4 *3 (-1197)) (-4 *3 (-1091)) (-5 *2 (-569)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (-4 *1 (-376 *4)) (-4 *4 (-1197)) (-5 *2 (-569)))) ((*1 *2 *3 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-569)) (-5 *3 (-143)))) ((*1 *2 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-569))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-170 (-569))) (-5 *2 (-121)) (-5 *1 (-448)))) ((*1 *2 *3) (-12 (-5 *3 (-515 (-410 (-569)) (-233 *5 (-764)) (-853 *4) (-243 *4 (-410 (-569))))) (-14 *4 (-635 (-1163))) (-14 *5 (-764)) (-5 *2 (-121)) (-5 *1 (-516 *4 *5)))) ((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-962 *3)) (-4 *3 (-551)))) ((*1 *2 *1) (-12 (-4 *1 (-1202)) (-5 *2 (-121))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 *1)) (|has| *1 (-6 -4536)) (-4 *1 (-1011 *3)) (-4 *3 (-1197))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1048)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-2 (|:| |adjMat| *3) (|:| |detMat| *4))) (-5 *1 (-679 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-173)) (-4 *2 (-1048)) (-5 *1 (-705 *2 *3)) (-4 *3 (-638 *2)))) ((*1 *1 *1) (-12 (-4 *2 (-173)) (-4 *2 (-1048)) (-5 *1 (-705 *2 *3)) (-4 *3 (-638 *2)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-830 *2)) (-4 *2 (-173)) (-4 *2 (-1048)))) ((*1 *1 *1) (-12 (-5 *1 (-830 *2)) (-4 *2 (-173)) (-4 *2 (-1048))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))))) (-5 *2 (-635 (-1145))) (-5 *1 (-264))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1159 *7))) (-5 *3 (-1159 *7)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-905)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-902 *4 *5 *6 *7)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1159 *5))) (-5 *3 (-1159 *5)) (-4 *5 (-1222 *4)) (-4 *4 (-905)) (-5 *1 (-903 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-542)) (-5 *1 (-541 *4)) (-4 *4 (-1197))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-2 (|:| -2766 (-635 (-851))) (|:| -1498 (-635 (-851))) (|:| |presup| (-635 (-851))) (|:| -1427 (-635 (-851))) (|:| |args| (-635 (-851))))) (-5 *1 (-1163)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 (-851)))) (-5 *1 (-1163))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *2 (-951 *3 *5 (-853 *4))) (-4 *5 (-231 (-4168 *4) (-764))) (-4 *6 (-972 *3)) (-4 *7 (-642 *3)) (-4 *8 (-921 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-537 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-117)) (-5 *1 (-468 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *2) (-12 (-5 *2 (-243 *4 *3)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-5 *1 (-868 *3 *4 *5)) (-4 *5 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-243 *4 *3)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-5 *1 (-869 *3 *4 *5)) (-4 *5 (-117))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *5 *5 *5 *3 *5 *5 *3 *6 *3 *3 *3) (-12 (-5 *5 (-680 (-216))) (-5 *6 (-680 (-569))) (-5 *3 (-569)) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-745))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-5 *2 (-635 (-2 (|:| C (-680 *5)) (|:| |g| (-1247 *5))))) (-5 *1 (-980 *5)) (-5 *3 (-680 *5)) (-5 *4 (-1247 *5))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-815 *3)) (-4 *3 (-843)) (-5 *1 (-664 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *2 (-493 *4 *5)) (-5 *1 (-623 *4 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1095)) (-5 *1 (-329))))) 
+(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-439))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-944)) (-5 *3 (-569)))) ((*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1113 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566))))) 
+(((*1 *1 *2 *2 *2 *2 *2 *2 *2 *2) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-1000 *3)) (-4 *3 (-173)) (-5 *1 (-795 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1159 *3)) (-4 *3 (-1048)) (-4 *1 (-1222 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-918))) (-5 *1 (-1092 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-608 *4)) (-5 *1 (-607 *3 *4)) (-4 *3 (-843)) (-4 *4 (-843))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-972 *3)) (-4 *3 (-366)) (-5 *2 (-569))))) 
+(((*1 *2) (-12 (-5 *2 (-635 (-918))) (-5 *1 (-1250)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-918))) (-5 *1 (-1250))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-1167))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 (-311 (-216)))) (-5 *1 (-264))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-421 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-1048)) (-5 *2 (-635 *6)) (-5 *1 (-446 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1247 *4)) (-4 *4 (-351)) (-5 *2 (-1159 *4)) (-5 *1 (-533 *4))))) 
+(((*1 *2 *1 *1) (|partial| -12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-1159 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-1159 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-764)) (-5 *1 (-530 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-559)) (-5 *2 (-764)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-764)) (-5 *1 (-679 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-559)) (-5 *2 (-764))))) 
+(((*1 *2 *2 *1 *3 *4) (-12 (-5 *2 (-635 *8)) (-5 *3 (-1 *8 *8 *8)) (-5 *4 (-1 (-121) *8 *8)) (-4 *1 (-1191 *5 *6 *7 *8)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1145)) (-5 *1 (-1179))))) 
+(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *1 (-1208 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1237 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1 (-1143 (-954 *4)) (-1143 (-954 *4)))) (-5 *1 (-1255 *4)) (-4 *4 (-366))))) 
+(((*1 *2 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-410 *6)) (|:| |c| (-410 *6)) (|:| -3417 *6))) (-5 *1 (-1016 *5 *6)) (-5 *3 (-410 *6))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6))))) 
+(((*1 *1 *1 *1) (|partial| -12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
+(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1219 *5 *4)) (-5 *1 (-1161 *4 *5 *6)) (-4 *4 (-1048)) (-14 *5 (-1163)) (-14 *6 *4))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1219 (QUOTE |x|) *4)) (-5 *1 (-1204 *4)) (-4 *4 (-1048)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1219 *5 *4)) (-5 *1 (-1238 *4 *5 *6)) (-4 *4 (-1048)) (-14 *5 (-1163)) (-14 *6 *4))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1219 *5 *4)) (-5 *1 (-1242 *4 *5)) (-4 *4 (-1048)) (-14 *5 (-1163))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-142 *5 *6 *7)) (-14 *5 (-569)) (-14 *6 (-764)) (-4 *7 (-173)) (-4 *8 (-173)) (-5 *2 (-142 *5 *6 *8)) (-5 *1 (-141 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *9)) (-4 *9 (-1048)) (-4 *5 (-843)) (-4 *6 (-789)) (-4 *8 (-1048)) (-4 *2 (-951 *9 *7 *5)) (-5 *1 (-719 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-789)) (-4 *4 (-951 *8 *6 *5))))) 
+(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121))))) 
+(((*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-129 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *2) (-12 (-5 *2 (-764)) (-5 *1 (-129 *3)) (-4 *3 (-1222 (-569)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-635 (-1145))) (-5 *1 (-185)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-635 (-1145))) (-5 *1 (-295)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-635 (-1145))) (-5 *1 (-300))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *1 (-587 *2)) (-4 *2 (-551))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-971 *5 *3)) (-4 *3 (-1222 *5))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1101)) (-5 *3 (-569))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-918)) (-4 *5 (-559)) (-5 *2 (-680 *5)) (-5 *1 (-957 *5 *3)) (-4 *3 (-647 *5))))) 
+(((*1 *2 *3 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-1191 *4 *5 *3 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *3 (-843)) (-4 *6 (-1062 *4 *5 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-602 *4 *3)) (-4 *4 (-1091)) (-4 *3 (-1197)) (-4 *3 (-1091)) (-5 *2 (-121))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-870)) (-5 *2 (-1252)) (-5 *1 (-1248)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
+(((*1 *2) (-12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-121)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366))))) 
+(((*1 *2 *3) (-12 (-4 *3 (-1222 (-410 (-569)))) (-5 *2 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569)))) (-5 *1 (-910 *3 *4)) (-4 *4 (-1222 (-410 *3))))) ((*1 *2 *3) (-12 (-4 *4 (-1222 (-410 *2))) (-5 *2 (-569)) (-5 *1 (-910 *4 *3)) (-4 *3 (-1222 (-410 *4)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-170 (-216))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-647 *3)) (-4 *3 (-1048)) (-4 *3 (-366)))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-764)) (-5 *4 (-1 *5 *5)) (-4 *5 (-366)) (-5 *1 (-650 *5 *2)) (-4 *2 (-647 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1091)) (-5 *2 (-635 *3))))) 
+(((*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3032 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-366)) (-4 *7 (-1222 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-410 *7)) (|:| |a0| *6)) (-2 (|:| -3032 (-410 *7)) (|:| |coeff| (-410 *7))) "failed")) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1247 *4)) (-4 *4 (-1048)) (-4 *2 (-1222 *4)) (-5 *1 (-446 *4 *2)))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-410 (-1159 (-311 *5)))) (-5 *3 (-1247 (-311 *5))) (-5 *4 (-569)) (-4 *5 (-13 (-559) (-843))) (-5 *1 (-1119 *5))))) 
+(((*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-635 (-635 (-216)))) (-5 *4 (-216)) (-5 *2 (-635 (-945 *4))) (-5 *1 (-1194)) (-5 *3 (-945 *4))))) 
+(((*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) ((*1 *2 *3 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-500 *3)) (-4 *3 (-1197)) (-4 *3 (-1091)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-901 *4)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-900 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-121)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-918)) (-5 *2 (-121)) (-5 *1 (-1092 *4 *5)) (-14 *4 *3) (-14 *5 *3))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-121)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302)))) ((*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) ((*1 *1 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1197)))) ((*1 *1 *1) (-4 *1 (-864 *2))) ((*1 *1 *1) (-12 (-4 *1 (-975 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-788)) (-4 *4 (-843))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-680 (-410 (-954 (-569))))) (-5 *2 (-635 (-311 (-569)))) (-5 *1 (-1032))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(((*1 *2 *2) (-12 (-5 *1 (-962 *2)) (-4 *2 (-551))))) 
+(((*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1252) (-1247 *5) (-1247 *5) (-382))) (-5 *3 (-1247 (-382))) (-5 *5 (-382)) (-5 *2 (-1252)) (-5 *1 (-784))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-1013)) (-5 *2 (-851))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4003 *4)))) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-1252)) (-5 *1 (-1068 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-1252)) (-5 *1 (-1099 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-311 (-216)))) (-5 *2 (-121)) (-5 *1 (-264)))) ((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-121)) (-5 *1 (-264)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-979 *4 *5 *6 *3)) (-4 *3 (-1062 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (|has| *6 (-6 -4536)) (-4 *4 (-366)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-635 *6)) (-5 *1 (-530 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) ((*1 *2 *3) (-12 (|has| *9 (-6 -4536)) (-4 *4 (-559)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-4 *7 (-994 *4)) (-4 *8 (-376 *7)) (-4 *9 (-376 *7)) (-5 *2 (-635 *6)) (-5 *1 (-531 *4 *5 *6 *3 *7 *8 *9 *10)) (-4 *3 (-678 *4 *5 *6)) (-4 *10 (-678 *7 *8 *9)))) ((*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-559)) (-5 *2 (-635 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-635 *6)) (-5 *1 (-679 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-559)) (-5 *2 (-635 *7))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *3 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-635 *3)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13)) (-4 *12 (-259 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *2 *1) (-12 (-5 *2 (-1269 *3 *4)) (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-389 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *2) (|partial| -12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-815 *3)) (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-454)) (-5 *2 (-635 (-2 (|:| |eigval| (-3 (-410 (-954 *4)) (-1152 (-1163) (-954 *4)))) (|:| |eigmult| (-764)) (|:| |eigvec| (-635 (-680 (-410 (-954 *4)))))))) (-5 *1 (-287 *4)) (-5 *3 (-680 (-410 (-954 *4))))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-849 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-841)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1064 *4 *3)) (-4 *4 (-13 (-841) (-366))) (-4 *3 (-1222 *4)) (-5 *2 (-569)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-559) (-843) (-1038 *2) (-631 *2) (-454))) (-5 *2 (-569)) (-5 *1 (-1106 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4))))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1163)) (-5 *5 (-836 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-559) (-843) (-1038 *2) (-631 *2) (-454))) (-5 *2 (-569)) (-5 *1 (-1106 *6 *3)))) ((*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-1163)) (-5 *5 (-1145)) (-4 *6 (-13 (-559) (-843) (-1038 *2) (-631 *2) (-454))) (-5 *2 (-569)) (-5 *1 (-1106 *6 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *6))))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-454)) (-5 *2 (-569)) (-5 *1 (-1107 *4)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1163)) (-5 *5 (-836 (-410 (-954 *6)))) (-5 *3 (-410 (-954 *6))) (-4 *6 (-454)) (-5 *2 (-569)) (-5 *1 (-1107 *6)))) ((*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-410 (-954 *6))) (-5 *4 (-1163)) (-5 *5 (-1145)) (-4 *6 (-454)) (-5 *2 (-569)) (-5 *1 (-1107 *6)))) ((*1 *2 *3) (|partial| -12 (-5 *2 (-569)) (-5 *1 (-1180 *3)) (-4 *3 (-1048))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1183)))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1202)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 (-410 *3))) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569))))) (-4 *4 (-1222 (-410 *2))) (-5 *2 (-569)) (-5 *1 (-910 *4 *5)) (-4 *5 (-1222 (-410 *4)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-635 (-1163))))) ((*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *2 (-121)) (-5 *1 (-56 *4)) (-4 *4 (-1197)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1048) (-843))) (-14 *4 (-635 (-1163))))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-664 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-668 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-843))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1163)) (|:| |arrayIndex| (-635 (-954 (-569)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -2252 (-851)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1163)) (|:| |rand| (-851)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1162)) (|:| |thenClause| (-329)) (|:| |elseClause| (-329)))) (|:| |returnBranch| (-2 (|:| -1601 (-121)) (|:| -2247 (-2 (|:| |ints2Floats?| (-121)) (|:| -2252 (-851)))))) (|:| |blockBranch| (-635 (-329))) (|:| |commentBranch| (-635 (-1145))) (|:| |callBranch| (-1145)) (|:| |forBranch| (-2 (|:| -4235 (-1083 (-954 (-569)))) (|:| |span| (-954 (-569))) (|:| |body| (-329)))) (|:| |labelBranch| (-1109)) (|:| |loopBranch| (-2 (|:| |switch| (-1162)) (|:| |body| (-329)))) (|:| |commonBranch| (-2 (|:| -1486 (-1163)) (|:| |contents| (-635 (-1163))))) (|:| |printBranch| (-635 (-851))))) (-5 *1 (-329))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *3 *4 *5 *5 *5 *5 *4 *6) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1252) (-1247 *5) (-1247 *5) (-382))) (-5 *3 (-1247 (-382))) (-5 *5 (-382)) (-5 *2 (-1252)) (-5 *1 (-784))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *2) (|:| |xpnt| (-569))))) (-4 *2 (-559)) (-5 *1 (-421 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| *4) (|:| -4245 (-569))))))) (-4 *4 (-1222 (-569))) (-5 *2 (-421 *4)) (-5 *1 (-444 *4))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1125)))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-836 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-1048)) (-5 *2 (-569)) (-5 *1 (-445 *5 *3 *6)) (-4 *3 (-1222 *5)) (-4 *6 (-13 (-407) (-1038 *5) (-366) (-1183) (-280))))) ((*1 *2 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-569)) (-5 *1 (-445 *4 *3 *5)) (-4 *3 (-1222 *4)) (-4 *5 (-13 (-407) (-1038 *4) (-366) (-1183) (-280)))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-569))) (-4 *3 (-1048)) (-5 *1 (-594 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-569))) (-4 *1 (-1206 *3)) (-4 *3 (-1048)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-569))) (-4 *1 (-1237 *3)) (-4 *3 (-1048))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1151 3 (-216))) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-307))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-1109)) (-4 *4 (-351)) (-5 *1 (-533 *4))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-5 *1 (-654 *3))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1247 *5)) (-4 *5 (-788)) (-5 *2 (-121)) (-5 *1 (-838 *4 *5)) (-14 *4 (-764))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-851) (-851))) (-5 *1 (-123)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-851) (-635 (-851)))) (-5 *1 (-123)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-851) (-635 (-851)))) (-5 *1 (-123)))) ((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 (*2 $)) (-15 -3552 (*2 $))))))) ((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-397)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-397)))) ((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-501)))) ((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-512)))) ((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-701)))) ((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-1178)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-1178))))) 
+(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-641 *3)) (-4 *3 (-1197)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-641 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-764)) (-5 *4 (-569)) (-5 *1 (-447 *2)) (-4 *2 (-1048))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-954 (-569))) (-5 *2 (-329)) (-5 *1 (-331))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-559))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-569))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-394))))) 
+(((*1 *1 *2 *3 *1) (-12 (-5 *2 (-1083 (-954 (-569)))) (-5 *3 (-954 (-569))) (-5 *1 (-329)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1083 (-954 (-569)))) (-5 *1 (-329))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-1091)) (-4 *2 (-371))))) 
+(((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-845 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-366)) (-4 *5 (-1048)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-846 *5 *3)) (-4 *3 (-845 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-945 (-216)))) (-5 *1 (-1248))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-382))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-382))) (-5 *1 (-474)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-382))) (-5 *1 (-474)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-870)) (-5 *2 (-1252)) (-5 *1 (-1248)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-680 *4)) (-5 *3 (-918)) (|has| *4 (-6 (-4537 "*"))) (-4 *4 (-1048)) (-5 *1 (-1029 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 (-680 *4))) (-5 *3 (-918)) (|has| *4 (-6 (-4537 "*"))) (-4 *4 (-1048)) (-5 *1 (-1029 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-213 *3)))) ((*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-4 *1 (-248 *3)))) ((*1 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197))))) 
+(((*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1183)))))) 
+(((*1 *1) (-5 *1 (-474)))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-1159 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *9 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| -1502 (-635 *9)) (|:| -4003 *4) (|:| |ineq| (-635 *9)))) (-5 *1 (-990 *6 *7 *8 *9 *4)) (-5 *3 (-635 *9)) (-4 *4 (-1067 *6 *7 *8 *9)))) ((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *9 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| -1502 (-635 *9)) (|:| -4003 *4) (|:| |ineq| (-635 *9)))) (-5 *1 (-1098 *6 *7 *8 *9 *4)) (-5 *3 (-635 *9)) (-4 *4 (-1067 *6 *7 *8 *9))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-635 (-608 *5))) (-5 *3 (-1163)) (-4 *5 (-433 *4)) (-4 *4 (-843)) (-5 *1 (-578 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) (-5 *2 (-382)) (-5 *1 (-264)))) ((*1 *2 *3) (-12 (-5 *3 (-1247 (-311 (-216)))) (-5 *2 (-382)) (-5 *1 (-300))))) 
+(((*1 *2 *3 *3) (-12 (|has| *2 (-6 (-4537 "*"))) (-4 *5 (-376 *2)) (-4 *6 (-376 *2)) (-4 *2 (-1048)) (-5 *1 (-108 *2 *3 *4 *5 *6)) (-4 *3 (-1222 *2)) (-4 *4 (-678 *2 *5 *6))))) 
+(((*1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-825))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) ((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-1248)))) ((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-1249))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-1252))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1093 *3)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-1093 *3)) (-5 *1 (-901 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-608 *7)) (-4 *7 (-13 (-433 *6) (-23) (-1038 *2) (-1038 *5) (-896 *5) (-162))) (-5 *5 (-1163)) (-4 *6 (-1048)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-569)) (-5 *1 (-1025 *6 *7))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-492))))) 
+(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-447 *3)) (-4 *3 (-1048))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-870))))) 
+(((*1 *2) (-12 (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-1247 *1)) (-4 *1 (-341 *3 *4 *5)))) ((*1 *2) (-12 (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *2 (-2 (|:| -3930 (-680 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-680 *3)))) (-5 *1 (-352 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) ((*1 *2) (-12 (-4 *3 (-1222 (-569))) (-5 *2 (-2 (|:| -3930 (-680 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-680 (-569))))) (-5 *1 (-761 *3 *4)) (-4 *4 (-412 (-569) *3)))) ((*1 *2) (-12 (-4 *3 (-351)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| -3930 (-680 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-680 *4)))) (-5 *1 (-987 *3 *4 *5 *6)) (-4 *6 (-715 *4 *5)))) ((*1 *2) (-12 (-4 *3 (-351)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| -3930 (-680 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-680 *4)))) (-5 *1 (-1256 *3 *4 *5 *6)) (-4 *6 (-412 *4 *5))))) 
+(((*1 *2 *1) (-12 (-4 *4 (-1091)) (-5 *2 (-885 *3 *4)) (-5 *1 (-881 *3 *4 *5)) (-4 *3 (-1091)) (-4 *5 (-659 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-834)) (-5 *4 (-1060)) (-5 *2 (-1036)) (-5 *1 (-833)))) ((*1 *2 *3) (-12 (-5 *3 (-834)) (-5 *2 (-1036)) (-5 *1 (-833)))) ((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-635 (-382))) (-5 *5 (-635 (-836 (-382)))) (-5 *6 (-635 (-311 (-382)))) (-5 *3 (-311 (-382))) (-5 *2 (-1036)) (-5 *1 (-833)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-382))) (-5 *5 (-635 (-836 (-382)))) (-5 *2 (-1036)) (-5 *1 (-833)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-382))) (-5 *2 (-1036)) (-5 *1 (-833)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-311 (-382)))) (-5 *4 (-635 (-382))) (-5 *2 (-1036)) (-5 *1 (-833))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1048)) (-5 *2 (-635 *1)) (-4 *1 (-1123 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-311 (-410 (-569)))) (-5 *1 (-300))))) 
+(((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1145)) (-5 *2 (-767)) (-5 *1 (-123))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1222 *5)) (-4 *5 (-302)) (-5 *2 (-764)) (-5 *1 (-458 *5 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-302)) (-5 *2 (-410 (-421 (-954 *4)))) (-5 *1 (-1042 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *7)) (-4 *7 (-951 *5 *8 (-853 *6))) (-4 *8 (-231 (-4168 *6) (-764))) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *10 (-642 *5)) (-4 *11 (-921 *5 *10)) (-5 *2 (-635 (-1247 *5))) (-5 *1 (-563 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-972 *5)) (-4 *3 (-236 *11))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1247 (-635 (-2 (|:| -2247 *4) (|:| -3998 (-1109)))))) (-4 *4 (-351)) (-5 *2 (-1252)) (-5 *1 (-533 *4))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-4 *6 (-366)) (-14 *7 (-635 (-1163))) (-4 *9 (-231 (-4168 *7) (-764))) (-5 *2 (-2 (|:| |mult| (-764)) (|:| |subMult| (-764)) (|:| |blUpRec| (-635 (-2 (|:| |recTransStr| (-243 (-2139 (QUOTE X) (QUOTE -2374)) *6)) (|:| |recPoint| (-33 *6)) (|:| |recChart| *5) (|:| |definingExtension| *6)))))) (-5 *1 (-119 *6 *7 *8 *9 *5)) (-5 *3 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *6)) (-5 *4 (-33 *6)) (-4 *8 (-325 *6 *9)) (-4 *5 (-117))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-389 *3)) (|:| |mm| (-389 *3)) (|:| |rm| (-389 *3)))) (-5 *1 (-389 *3)) (-4 *3 (-1091)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-815 *3)) (|:| |mm| (-815 *3)) (|:| |rm| (-815 *3)))) (-5 *1 (-815 *3)) (-4 *3 (-843))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1091)) (-5 *2 (-635 *3))))) 
+(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1 (-216) (-216) (-216) (-216))) (-5 *2 (-1 (-945 (-216)) (-216) (-216))) (-5 *1 (-687))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-602 *2 *3)) (-4 *3 (-1197)) (-4 *2 (-1091)) (-4 *2 (-843))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1024 *3)) (-4 *3 (-13 (-841) (-366) (-1022))))) ((*1 *2 *3 *1 *2) (-12 (-4 *2 (-13 (-841) (-366))) (-5 *1 (-1058 *2 *3)) (-4 *3 (-1222 *2)))) ((*1 *2 *3 *1 *2) (-12 (-4 *1 (-1064 *2 *3)) (-4 *2 (-13 (-841) (-366))) (-4 *3 (-1222 *2))))) 
+(((*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-371)) (-4 *2 (-366))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1252)) (-5 *1 (-206 *4)) (-4 *4 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 (*2 $)) (-15 -3552 (*2 $))))))) ((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 (*2 $)) (-15 -3552 (*2 $))))))) ((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-512))))) 
+(((*1 *2 *2 *2) (|partial| -12 (-4 *3 (-366)) (-5 *1 (-759 *2 *3)) (-4 *2 (-699 *3)))) ((*1 *1 *1 *1) (|partial| -12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1159 *1)) (-5 *3 (-1163)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-954 *1)) (-4 *1 (-27)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1163)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-843) (-559))))) ((*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-843) (-559))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1159 *2)) (-5 *4 (-1163)) (-4 *2 (-433 *5)) (-5 *1 (-36 *5 *2)) (-4 *5 (-13 (-843) (-559))))) ((*1 *1 *2 *3) (|partial| -12 (-5 *2 (-1159 *1)) (-5 *3 (-918)) (-4 *1 (-1013)))) ((*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-1159 *1)) (-5 *3 (-918)) (-5 *4 (-851)) (-4 *1 (-1013)))) ((*1 *1 *2 *3) (|partial| -12 (-5 *3 (-918)) (-4 *4 (-13 (-841) (-366))) (-4 *1 (-1064 *4 *2)) (-4 *2 (-1222 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1062 *3 *4 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
+(((*1 *1 *1) (|partial| -12 (-5 *1 (-289 *2)) (-4 *2 (-717)) (-4 *2 (-1197))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) ((*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-843) (-559) (-1038 (-569)))) (-5 *2 (-410 (-569))) (-5 *1 (-436 *4 *3)) (-4 *3 (-433 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-608 *3)) (-4 *3 (-433 *5)) (-4 *5 (-13 (-843) (-559) (-1038 (-569)))) (-5 *2 (-1159 (-410 (-569)))) (-5 *1 (-436 *5 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-4 *6 (-325 *5 *7)) (-4 *7 (-231 *8 (-764))) (-14 *8 (-764)) (-4 *5 (-366)) (-5 *2 (-121)) (-5 *1 (-930 *5 *6 *7 *8 *4)) (-4 *4 (-972 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1163)) (-4 *5 (-610 (-888 (-569)))) (-4 *5 (-882 (-569))) (-4 *5 (-13 (-843) (-1038 (-569)) (-454) (-631 (-569)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-572 *5 *3)) (-4 *3 (-621)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) ((*1 *2 *2 *3 *4 *4) (|partial| -12 (-5 *3 (-1163)) (-5 *4 (-836 *2)) (-4 *2 (-1125)) (-4 *2 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-610 (-888 (-569)))) (-4 *5 (-882 (-569))) (-4 *5 (-13 (-843) (-1038 (-569)) (-454) (-631 (-569)))) (-5 *1 (-572 *5 *2))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-123))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *3 (-608 $)) $)) (-15 -4121 ((-1114 *3 (-608 $)) $)) (-15 -2185 ($ (-1114 *3 (-608 $))))))))) ((*1 *2 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *3 (-608 $)) $)) (-15 -4121 ((-1114 *3 (-608 $)) $)) (-15 -2185 ($ (-1114 *3 (-608 $))))))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *4 (-608 $)) $)) (-15 -4121 ((-1114 *4 (-608 $)) $)) (-15 -2185 ($ (-1114 *4 (-608 $))))))) (-4 *4 (-559)) (-5 *1 (-46 *4 *2)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-608 *2))) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *4 (-608 $)) $)) (-15 -4121 ((-1114 *4 (-608 $)) $)) (-15 -2185 ($ (-1114 *4 (-608 $))))))) (-4 *4 (-559)) (-5 *1 (-46 *4 *2))))) 
+(((*1 *2 *1 *1 *3) (-12 (-4 *1 (-1130)) (-5 *3 (-148)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-382)) (-5 *3 (-1145)) (-5 *1 (-99)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-382)) (-5 *3 (-1145)) (-5 *1 (-99))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-263 *2)) (-4 *2 (-843)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1163)) (-5 *1 (-853 *3)) (-14 *3 (-635 *2)))) ((*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-991)))) ((*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-1083 *3)) (-4 *3 (-1197)))) ((*1 *2 *1) (-12 (-4 *1 (-1224 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-5 *2 (-1163)))) ((*1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1243 *3)) (-14 *3 *2)))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-602 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1197)) (-5 *2 (-121))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2) (-12 (-4 *1 (-351)) (-5 *2 (-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569)))))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1145)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-257))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-121)) (-5 *1 (-123))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-121)) (-5 *1 (-555))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1159 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1113 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5))))) 
+(((*1 *1 *1 *2) (-12 (-5 *1 (-1126 *3 *2)) (-4 *3 (-13 (-1091) (-39))) (-4 *2 (-13 (-1091) (-39)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-52 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1091)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-594 *3)) (-4 *3 (-1048)))) ((*1 *2 *1) (-12 (-4 *3 (-559)) (-5 *2 (-121)) (-5 *1 (-616 *3 *4)) (-4 *4 (-1222 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-726 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-717)))) ((*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-121))))) 
+(((*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-1252)) (-5 *1 (-1068 *3 *4 *5 *6 *7)) (-4 *7 (-1067 *3 *4 *5 *6)))) ((*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-1252)) (-5 *1 (-1099 *3 *4 *5 *6 *7)) (-4 *7 (-1067 *3 *4 *5 *6))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1219 *5 *4)) (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-635 *4)) (-5 *1 (-1105 *4 *5))))) 
+(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1145)) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-680 *5))) (-4 *5 (-302)) (-4 *5 (-1048)) (-5 *2 (-1247 (-1247 *5))) (-5 *1 (-1030 *5)) (-5 *4 (-1247 *5))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-843) (-1038 (-569)) (-631 (-569)) (-454))) (-5 *2 (-2 (|:| |%term| (-2 (|:| |%coef| (-1231 *4 *5 *6)) (|:| |%expon| (-315 *4 *5 *6)) (|:| |%expTerms| (-635 (-2 (|:| |k| (-410 (-569))) (|:| |c| *4)))))) (|:| |%type| (-1145)))) (-5 *1 (-1232 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1183) (-433 *3))) (-14 *5 (-1163)) (-14 *6 *4)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-841)) (-5 *1 (-298 *3))))) 
+(((*1 *2 *3 *3) (-12 (-4 *2 (-559)) (-4 *2 (-454)) (-5 *1 (-971 *2 *3)) (-4 *3 (-1222 *2))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-901 *3))) (-5 *1 (-900 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-764)) (-5 *3 (-945 *5)) (-4 *5 (-1048)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-764))) (-5 *3 (-764)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)) (-4 *5 (-1048)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-764))) (-5 *3 (-945 *5)) (-4 *5 (-1048)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918))))) 
+(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1145)) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *3 *4 *5 *6 *5 *3 *7) (-12 (-5 *4 (-569)) (-5 *6 (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -3120 (-382)))) (-5 *7 (-1 (-1252) (-1247 *5) (-1247 *5) (-382))) (-5 *3 (-1247 (-382))) (-5 *5 (-382)) (-5 *2 (-1252)) (-5 *1 (-784)))) ((*1 *2 *3 *4 *5 *6 *5 *3 *7 *3 *3 *3 *3 *3 *3 *3) (-12 (-5 *4 (-569)) (-5 *6 (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -3120 (-382)))) (-5 *7 (-1 (-1252) (-1247 *5) (-1247 *5) (-382))) (-5 *3 (-1247 (-382))) (-5 *5 (-382)) (-5 *2 (-1252)) (-5 *1 (-784))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-569)) (-5 *1 (-235)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-1145))) (-5 *2 (-569)) (-5 *1 (-235))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-870)) (-5 *3 (-635 (-257))) (-5 *1 (-255))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-2 (|:| -2043 *5) (|:| -1502 *3)))) (-5 *1 (-805 *5 *6 *3 *7)) (-4 *3 (-647 *6)) (-4 *7 (-647 (-410 *6)))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3493 *3) (|:| |coef1| (-778 *3)) (|:| |coef2| (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048))))) 
+(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740))))) 
+(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091))))) 
+(((*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-3 (-2 (|:| -3032 *7) (|:| |coeff| *7)) "failed") *7)) (-5 *6 (-635 (-410 *8))) (-4 *7 (-366)) (-4 *8 (-1222 *7)) (-5 *3 (-410 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-579 *7 *8))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *2 (-569)) (-5 *1 (-1180 *3)) (-4 *3 (-1048))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-635 *5))))) 
+(((*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |cycle?| (-121)) (|:| -3968 (-764)) (|:| |period| (-764)))) (-5 *1 (-1143 *4)) (-4 *4 (-1197)) (-5 *3 (-764))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3493 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-666 *3)) (-4 *3 (-1197)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-731 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-843)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-864 *3)) (-5 *2 (-569)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-982 *3)) (-4 *3 (-1048)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 *7)) (-4 *1 (-1067 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1224 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788))))) 
+(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1247 *1)) (-5 *4 (-1 *5 *5)) (-4 *5 (-366)) (-4 *1 (-715 *5 *6)) (-4 *5 (-173)) (-4 *6 (-1222 *5)) (-5 *2 (-680 *5))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-843)) (-4 *4 (-366)) (-4 *5 (-789)) (-5 *1 (-515 *4 *5 *6 *2)) (-4 *2 (-951 *4 *5 *6)))) ((*1 *1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *2)) (-4 *2 (-951 *3 *4 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-956)) (-5 *2 (-1085 (-216))))) ((*1 *2 *1) (-12 (-4 *1 (-976)) (-5 *2 (-1085 (-216)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569))))) 
+(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-951 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *3 (-173)))) ((*1 *2 *3 *3) (-12 (-4 *2 (-559)) (-5 *1 (-971 *2 *3)) (-4 *3 (-1222 *2)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-173))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-635 (-1163))) (-5 *2 (-635 (-635 (-382)))) (-5 *1 (-1023)) (-5 *5 (-382)))) ((*1 *2 *3) (-12 (-5 *3 (-1045 *4 *5)) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *5 (-635 (-1163))) (-5 *2 (-635 (-635 (-1024 (-410 *4))))) (-5 *1 (-1271 *4 *5 *6)) (-14 *6 (-635 (-1163))))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *5))))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *5))))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *5))))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *4))))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-14 *6 (-635 (-1163)))))) 
+(((*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *1 (-1013)) (-5 *2 (-851))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-136 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-918)) (-5 *1 (-782))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1011 *3)) (-4 *3 (-1197)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-1172 *2)) (-4 *2 (-366))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1252)) (-5 *1 (-465))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1252)) (-5 *1 (-1124)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-851))) (-5 *2 (-1252)) (-5 *1 (-1124))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-820))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-397)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1178))))) 
+(((*1 *2 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-3 (-1 (-216) (-216) (-216) (-216)) "undefined")) (-5 *5 (-1085 (-216))) (-5 *6 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-687)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-945 (-216)) (-216) (-216))) (-5 *4 (-1085 (-216))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-687)))) ((*1 *2 *2 *3 *4 *4 *5) (-12 (-5 *2 (-1122 (-216))) (-5 *3 (-1 (-945 (-216)) (-216) (-216))) (-5 *4 (-1085 (-216))) (-5 *5 (-635 (-257))) (-5 *1 (-687))))) 
+(((*1 *2 *3 *2) (-12 (-4 *1 (-783)) (-5 *2 (-1036)) (-5 *3 (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) ((*1 *2 *3 *2) (-12 (-4 *1 (-783)) (-5 *2 (-1036)) (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-216))) (-5 *4 (-764)) (-5 *2 (-680 (-216))) (-5 *1 (-300))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-635 (-2 (|:| |deg| (-764)) (|:| -1551 *3)))) (-5 *1 (-208 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-954 (-170 *4))) (-4 *4 (-173)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-954 (-170 *5))) (-5 *4 (-918)) (-4 *5 (-173)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-954 *4)) (-4 *4 (-1048)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-954 *5)) (-5 *4 (-918)) (-4 *5 (-1048)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-954 (-170 *4)))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-954 (-170 *5)))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-843)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 *5)) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-843)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-311 (-170 *4))) (-4 *4 (-559)) (-4 *4 (-843)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 (-170 *5))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-843)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-569)) (-4 *5 (-841)) (-4 *5 (-366)) (-5 *2 (-764)) (-5 *1 (-947 *5 *6)) (-4 *6 (-1222 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-870)))) ((*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1145)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1101)) (-5 *3 (-569))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-495 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-500 *3)) (-4 *3 (-1197)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-1133 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-57))) (-5 *2 (-1252)) (-5 *1 (-852))))) 
+(((*1 *1 *2 *2 *2 *2 *2 *3 *4) (-12 (-5 *2 (-569)) (-5 *3 (-121)) (-5 *4 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *1 (-117))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1145)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *7)) (-4 *7 (-843)) (-4 *5 (-905)) (-4 *6 (-789)) (-4 *8 (-951 *5 *6 *7)) (-5 *2 (-421 (-1159 *8))) (-5 *1 (-902 *5 *6 *7 *8)) (-5 *4 (-1159 *8)))) ((*1 *2 *3) (-12 (-4 *4 (-905)) (-4 *5 (-1222 *4)) (-5 *2 (-421 (-1159 *5))) (-5 *1 (-903 *4 *5)) (-5 *3 (-1159 *5))))) 
+(((*1 *1 *2 *3 *3 *4 *4) (-12 (-5 *2 (-954 (-569))) (-5 *3 (-1163)) (-5 *4 (-1085 (-410 (-569)))) (-5 *1 (-30))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |deg| (-764)) (|:| -1551 *5)))) (-4 *5 (-1222 *4)) (-4 *4 (-351)) (-5 *2 (-635 *5)) (-5 *1 (-208 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| -1743 *5) (|:| -2492 (-569))))) (-5 *4 (-569)) (-4 *5 (-1222 *4)) (-5 *2 (-635 *5)) (-5 *1 (-686 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-326 *3)) (-4 *3 (-1197)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-526 *3 *4)) (-4 *3 (-1197)) (-14 *4 (-569))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-978 *3 *4 *2 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *5 (-1062 *3 *4 *2))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-918))) (-5 *1 (-1092 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 (-1159 (-1159 *4)))) (-5 *1 (-1196 *4)) (-5 *3 (-1159 (-1159 *4)))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1145)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1247 (-1247 (-569)))) (-5 *3 (-918)) (-5 *1 (-472))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-366)) (-5 *1 (-654 *3))))) 
+(((*1 *1) (-5 *1 (-143)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
+(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *4 (-1 *3)) (-4 *3 (-843)) (-4 *5 (-789)) (-4 *6 (-559)) (-4 *7 (-951 *6 *5 *3)) (-5 *1 (-467 *5 *3 *6 *7 *2)) (-4 *2 (-13 (-1038 (-410 (-569))) (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $)))))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1145)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *3))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-454) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-103 *4 *3)) (-4 *3 (-1222 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1222 *5)) (-4 *5 (-13 (-454) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-103 *5 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-764)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
+(((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-133))) ((*1 *1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *2 (-1 *6 *5)) (-5 *1 (-674 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-818)) (-5 *2 (-57)) (-5 *1 (-825))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-569)) (-4 *1 (-62 *4 *5 *3)) (-4 *4 (-1197)) (-4 *5 (-376 *4)) (-4 *3 (-376 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-433 *4)) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-843) (-559) (-1038 (-569)))) (-5 *2 (-121)) (-5 *1 (-907 *4 *5 *6 *7 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-335 (-410 (-569)) *4 *5 *6)) (-4 *4 (-1222 (-410 (-569)))) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 (-410 (-569)) *4 *5)) (-5 *2 (-121)) (-5 *1 (-908 *4 *5 *6))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-888 *4)) (-4 *4 (-1091)) (-5 *1 (-886 *4 *3)) (-4 *3 (-1197)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-57)) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740))))) 
+(((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-170 (-216)) (-170 (-216)))) (-5 *4 (-1085 (-216))) (-5 *5 (-121)) (-5 *2 (-1249)) (-5 *1 (-251))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-2 (|:| -3930 (-680 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-680 *3)))) (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *6) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1085 (-216))) (-5 *6 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-687))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-870)) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-257))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *5 (-371)) (-5 *2 (-764))))) 
+(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-311 *3)) (-4 *3 (-559)) (-4 *3 (-843))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-216)) (-5 *1 (-300))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-635 (-123)))))) 
+(((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-845 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-559)) (-4 *5 (-1048)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-846 *5 *3)) (-4 *3 (-845 *5))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-216)) (-5 *3 (-764)) (-5 *1 (-218)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-170 (-216))) (-5 *3 (-764)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1125)))) 
+(((*1 *1 *1) (|partial| -12 (-5 *1 (-156 *2 *3 *4)) (-14 *2 (-918)) (-4 *3 (-366)) (-14 *4 (-995 *2 *3)))) ((*1 *1 *1) (|partial| -12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1222 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) ((*1 *1 *1) (|partial| -12 (-5 *1 (-706 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) ((*1 *1) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) ((*1 *1 *1) (|partial| -4 *1 (-713))) ((*1 *1 *1) (|partial| -4 *1 (-717))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *3))) (-5 *1 (-769 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) ((*1 *2 *2 *1) (|partial| -12 (-4 *1 (-1064 *3 *2)) (-4 *3 (-13 (-841) (-366))) (-4 *2 (-1222 *3)))) ((*1 *2 *2) (|partial| -12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1093 (-1163))) (-5 *1 (-58)) (-5 *3 (-1163))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 (-121) *6)) (-4 *6 (-13 (-1091) (-1038 *5))) (-4 *5 (-882 *4)) (-4 *4 (-1091)) (-5 *2 (-1 (-121) *5)) (-5 *1 (-933 *4 *5 *6))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1112 *3 *4 *2 *5)) (-4 *4 (-1048)) (-4 *5 (-231 *3 *4)) (-4 *2 (-231 *3 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *2)) (-5 *4 (-1 (-121) *2 *2)) (-5 *1 (-1199 *2)) (-4 *2 (-1091)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1091)) (-4 *2 (-843)) (-5 *1 (-1199 *2))))) 
+(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740))))) 
+(((*1 *2 *3 *3 *2 *4) (-12 (-5 *3 (-680 *2)) (-5 *4 (-569)) (-4 *2 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *5 (-1222 *2)) (-5 *1 (-509 *2 *5 *6)) (-4 *6 (-412 *2 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-311 (-382))) (-5 *1 (-300))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *4 *5 *2)) (-4 *4 (-1197)) (-4 *5 (-376 *4)) (-4 *2 (-376 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1051 *4 *5 *6 *7 *2)) (-4 *6 (-1048)) (-4 *7 (-231 *5 *6)) (-4 *2 (-231 *4 *6))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 *3)) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1 (-382))) (-5 *1 (-1040))))) 
+(((*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1046))))) 
+(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-5 *2 (-1 (-216) (-216))) (-5 *1 (-694 *3)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1163)) (-5 *2 (-1 (-216) (-216) (-216))) (-5 *1 (-694 *3)) (-4 *3 (-610 (-542)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-945 *4))) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1062 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1191 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *3 (-236 *10)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-117)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-5 *1 (-563 *4 *5 *6 *7 *8 *9 *10 *3)) (-4 *8 (-972 *4)) (-4 *3 (-236 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-635 (-243 *6 *5))) (-4 *5 (-351)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-243 *6 (-858 *5)))) (-5 *1 (-868 *5 *6 *7)) (-4 *7 (-117)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-243 *5 *4))) (-5 *3 (-237 (-922 *4))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-5 *1 (-869 *4 *5 *6)) (-4 *6 (-117))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3493 *3) (|:| |coef1| (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) (-5 *2 (-1036)) (-5 *1 (-739))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-635 (-172))))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-5 *1 (-1143 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-569)) (-5 *1 (-1180 *4)) (-4 *4 (-1048))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-759 *2 *3)) (-4 *2 (-699 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
+(((*1 *2 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-86 FCN)))) (-5 *2 (-1036)) (-5 *1 (-739))))) 
+(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-764)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1048)))) ((*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1048))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *1 (-440))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-1109)) (-5 *4 (-959 (-216))) (-5 *2 (-216)) (-5 *1 (-115))))) 
+(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927))))) 
+(((*1 *1 *1 *1) (-4 *1 (-551)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-635 (-954 *4))))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-635 (-954 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) ((*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-635 (-954 *3))))) ((*1 *2) (-12 (-5 *2 (-635 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) ((*1 *2 *3) (-12 (-5 *3 (-1247 (-455 *4 *5 *6 *7))) (-5 *2 (-635 (-954 *4))) (-5 *1 (-455 *4 *5 *6 *7)) (-4 *4 (-559)) (-4 *4 (-173)) (-14 *5 (-918)) (-14 *6 (-635 (-1163))) (-14 *7 (-1247 (-680 *4)))))) 
+(((*1 *1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-216)) (-5 *1 (-1250)))) ((*1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-1250))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-644 *4)) (-4 *4 (-341 *5 *6 *7)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-802 *5 *6 *7 *4))))) 
+(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-569)) (|has| *1 (-6 -4536)) (-4 *1 (-376 *3)) (-4 *3 (-1197))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-555))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-635 (-257))) (-5 *1 (-255))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1159 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166)))) ((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1166))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1197)) (-4 *2 (-1091)))) ((*1 *1 *1) (-12 (-4 *1 (-685 *2)) (-4 *2 (-1091))))) 
+(((*1 *1 *1) (-4 *1 (-559)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1091)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-595 *3)) (-4 *3 (-1048)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-726 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-717)))) ((*1 *2 *1) (-12 (-4 *1 (-845 *3)) (-4 *3 (-1048)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1237 *3)) (-4 *3 (-1048)) (-5 *2 (-1143 *3))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-954 (-410 (-569)))) (-5 *4 (-1163)) (-5 *5 (-1085 (-836 (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-295))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1204 *2)) (-4 *2 (-1048)))) ((*1 *1 *1) (-12 (-5 *1 (-1238 *2 *3 *4)) (-4 *2 (-1048)) (-14 *3 (-1163)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1242 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-1163))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1175 *4 *5)) (-4 *4 (-1091)) (-4 *5 (-1091))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-843) (-559)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1036))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-1159 (-954 *4)) (-954 *4))) (-5 *1 (-1255 *4)) (-4 *4 (-366))))) 
+(((*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1183)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
+(((*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1197))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3))))) 
+(((*1 *1) (-4 *1 (-23))) ((*1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1) (-5 *1 (-542))) ((*1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091))))) 
+(((*1 *1 *1 *2 *1) (-12 (-5 *1 (-137 *2)) (-4 *2 (-1091)))) ((*1 *1 *2) (-12 (-5 *1 (-137 *2)) (-4 *2 (-1091))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1125)))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-918)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-257))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-421 *4)) (-4 *4 (-559))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-359 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1247 *4)) (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-533 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-4 *2 (-1048)) (-5 *1 (-909 *2 *3 *5 *6)) (-4 *3 (-325 *2 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-1048)) (-4 *2 (-1222 *5)) (-5 *1 (-1240 *5 *2 *6 *3)) (-4 *6 (-647 *2)) (-4 *3 (-1237 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-216)))) ((*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) ((*1 *1 *1) (-4 *1 (-551))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-592 *3)) (-14 *3 *2))) ((*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-1091)) (-5 *2 (-1109)))) ((*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1091)) (-4 *1 (-899 *3))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-918)) (-5 *1 (-1033 *2)) (-4 *2 (-13 (-1091) (-10 -8 (-15 * ($ $ $)))))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569))))) 
+(((*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-2 (|:| |ans| *7) (|:| -1869 *7) (|:| |sol?| (-121))) (-569) *7)) (-5 *6 (-635 (-410 *8))) (-4 *7 (-366)) (-4 *8 (-1222 *7)) (-5 *3 (-410 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-579 *7 *8))))) 
+(((*1 *2 *3 *4 *2 *5) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 (-888 *6))) (-5 *5 (-1 (-885 *6 *8) *8 (-888 *6) (-885 *6 *8))) (-4 *6 (-1091)) (-4 *8 (-13 (-1048) (-610 (-888 *6)) (-1038 *7))) (-5 *2 (-885 *6 *8)) (-4 *7 (-13 (-1048) (-843))) (-5 *1 (-943 *6 *7 *8))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-351)) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-359 *4))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3516 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-918)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-257))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-764)) (-5 *1 (-451 *4 *5 *6 *3)) (-4 *3 (-951 *4 *5 *6))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-635 *2)) (-5 *1 (-122 *2)) (-4 *2 (-1091)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 (-635 *4))) (-4 *4 (-1091)) (-5 *1 (-122 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1091)) (-5 *1 (-122 *4)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-1 *4 (-635 *4))) (-5 *1 (-122 *4)) (-4 *4 (-1091)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-638 *3)) (-4 *3 (-1048)) (-5 *1 (-705 *3 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-830 *3))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1125)))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-1029 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-635 (-680 *3))) (-4 *3 (-1048)) (-5 *1 (-1029 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-1029 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-680 *3))) (-4 *3 (-1048)) (-5 *1 (-1029 *3))))) 
+(((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *12)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-635 (-260 (-538 *3 *4 *5)))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-635 (-260 (-514 *3 *4 *5)))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-564))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-302)) (-5 *1 (-178 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1 (-121) *8))) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-2 (|:| |goodPols| (-635 *8)) (|:| |badPols| (-635 *8)))) (-5 *1 (-979 *5 *6 *7 *8)) (-5 *4 (-635 *8))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1183) (-433 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-410 (-569))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-410 (-569))) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-569))) (-5 *4 (-289 *6)) (-4 *6 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-569))) (-5 *4 (-289 *7)) (-5 *5 (-1213 (-569))) (-4 *7 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-5 *6 (-1213 (-569))) (-4 *3 (-13 (-27) (-1183) (-433 *7))) (-4 *7 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-410 (-569)))) (-5 *4 (-289 *8)) (-5 *5 (-1213 (-410 (-569)))) (-5 *6 (-410 (-569))) (-4 *8 (-13 (-27) (-1183) (-433 *7))) (-4 *7 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *8)))) ((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-5 *6 (-1213 (-410 (-569)))) (-5 *7 (-410 (-569))) (-4 *3 (-13 (-27) (-1183) (-433 *8))) (-4 *8 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *8 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-4 *3 (-1048)) (-5 *1 (-594 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-595 *3)))) ((*1 *1 *2 *3 *1) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) ((*1 *1 *2) (-12 (-5 *2 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-4 *3 (-1048)) (-4 *1 (-1206 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-764)) (-5 *3 (-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| *4)))) (-4 *4 (-1048)) (-4 *1 (-1227 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-4 *1 (-1237 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1143 (-2 (|:| |k| (-764)) (|:| |c| *3)))) (-4 *3 (-1048)) (-4 *1 (-1237 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *4)) (-4 *8 (-642 *4)) (-4 *9 (-921 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-569)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-928)) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216))))) (-5 *1 (-157)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-928)) (-5 *4 (-410 (-569))) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216))))) (-5 *1 (-157)))) ((*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216))))) (-5 *1 (-157)) (-5 *3 (-635 (-945 (-216)))))) ((*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216))))) (-5 *1 (-157)) (-5 *3 (-635 (-635 (-945 (-216))))))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-1085 (-382)))) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-216)) (-5 *5 (-569)) (-5 *2 (-1193 *3)) (-5 *1 (-786 *3)) (-4 *3 (-976)))) ((*1 *1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *4 (-121)) (-5 *1 (-1193 *2)) (-4 *2 (-976))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1007))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1 (-382))) (-5 *1 (-1040))))) 
+(((*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1163)) (-5 *6 (-635 (-608 *3))) (-5 *5 (-608 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *7))) (-4 *7 (-13 (-454) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| -3032 *3) (|:| |coeff| *3))) (-5 *1 (-560 *7 *3))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-635 (-778 *3))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $))))) (-4 *6 (-559)) (-5 *2 (-2 (|:| -1498 (-954 *6)) (|:| -3637 (-954 *6)))) (-5 *1 (-723 *4 *5 *6 *3)) (-4 *3 (-951 (-410 (-954 *6)) *4 *5))))) 
+(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-1252)) (-5 *1 (-1068 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-1252)) (-5 *1 (-1099 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7))))) 
+(((*1 *2) (-12 (-4 *1 (-351)) (-5 *2 (-3 "prime" "polynomial" "normal" "cyclic"))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-680 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1222 *3)) (-5 *2 (-680 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-231 *6 *2)) (-14 *6 *2) (-5 *2 (-764)) (-5 *1 (-909 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-433 *4)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-851)) (-5 *1 (-36 *4 *5))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1 (-121) *7 (-635 *7))) (-4 *1 (-1191 *4 *5 *6 *7)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-410 *2)) (-4 *2 (-1222 *5)) (-5 *1 (-803 *5 *2 *3 *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *6 (-647 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-410 *2))) (-4 *2 (-1222 *5)) (-5 *1 (-803 *5 *2 *3 *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *6 (-647 (-410 *2)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) (-5 *2 (-121)) (-5 *1 (-203))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *3)) (-5 *1 (-979 *4 *5 *6 *3)) (-4 *3 (-1062 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *2)) (-4 *2 (-173)))) ((*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-419 *3 *2)) (-4 *3 (-420 *2)))) ((*1 *2) (-12 (-4 *1 (-420 *2)) (-4 *2 (-173))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1248)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1248)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1249)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1249))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-764)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-789)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-451 *4 *5 *6 *7))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-366)) (-4 *5 (-1222 *4)) (-5 *2 (-1252)) (-5 *1 (-45 *4 *5 *6 *7)) (-4 *6 (-1222 (-410 *5))) (-14 *7 *6)))) 
+(((*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-410 *6)) (|:| |h| *6) (|:| |c1| (-410 *6)) (|:| |c2| (-410 *6)) (|:| -3417 *6))) (-5 *1 (-1017 *5 *6)) (-5 *3 (-410 *6))))) 
+(((*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 (-608 *6))) (-5 *4 (-1163)) (-5 *2 (-608 *6)) (-4 *6 (-433 *5)) (-4 *5 (-843)) (-5 *1 (-578 *5 *6))))) 
+(((*1 *2 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) ((*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1110 *2)) (-4 *2 (-1197)))) ((*1 *2 *2 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-680 *3)) (-4 *3 (-302)) (-5 *1 (-690 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-971 *3 *2)) (-4 *2 (-1222 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-559))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) (-5 *2 (-410 (-569))) (-5 *1 (-1020 *4)) (-4 *4 (-1222 (-569)))))) 
+(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1115 *4 *3 *5))) (-4 *4 (-43 (-410 (-569)))) (-4 *4 (-1048)) (-4 *3 (-843)) (-5 *1 (-1115 *4 *3 *5)) (-4 *5 (-951 *4 (-535 *3) *3)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1192 *4))) (-5 *3 (-1163)) (-5 *1 (-1192 *4)) (-4 *4 (-43 (-410 (-569)))) (-4 *4 (-1048))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-359 *3)) (-4 *3 (-351))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1143 (-1143 *4))) (-5 *2 (-1143 *4)) (-5 *1 (-1147 *4)) (-4 *4 (-1048))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *5 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-743))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1219 *5 *4)) (-4 *4 (-454)) (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-569)) (-5 *1 (-1105 *4 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *3 (-788)) (-4 *2 (-1048)) (-4 *2 (-454)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1222 (-569))) (-5 *2 (-635 (-569))) (-5 *1 (-497 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-454)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-951 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *3 (-454))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *4 *4)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-5 *2 (-1 *5 *4)) (-5 *1 (-673 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-382)))) (-5 *2 (-1085 (-836 (-216)))) (-5 *1 (-300))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-680 *4)))) ((*1 *2) (-12 (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-680 *4)) (-5 *1 (-411 *3 *4 *5)) (-4 *3 (-412 *4 *5)))) ((*1 *2) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1222 *3)) (-5 *2 (-680 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-140))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173))))) 
+(((*1 *1) (-12 (-4 *1 (-407)) (-3864 (|has| *1 (-6 -4526))) (-3864 (|has| *1 (-6 -4518))))) ((*1 *2 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-1091)) (-4 *2 (-843)))) ((*1 *2 *1) (-12 (-4 *1 (-826 *2)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (-4 *1 (-843))) ((*1 *1) (-5 *1 (-1109)))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5 *4 *6 *7) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-1145)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-87 PDEF)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-88 BNDY)))) (-5 *2 (-1036)) (-5 *1 (-743))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-376 *2)) (-4 *2 (-1197)) (-4 *2 (-843)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-376 *3)) (-4 *3 (-1197)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-970 *2)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1123 *2)) (-4 *2 (-1048)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-1151 *3 *4))) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048))))) 
+(((*1 *1 *2) (|partial| -12 (-5 *2 (-1260 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)) (-5 *1 (-657 *3 *4)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-657 *3 *4)) (-5 *1 (-1265 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-50 (-1145) (-767))) (-5 *1 (-123))))) 
+(((*1 *1 *2 *3 *3 *4 *5) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *3 (-635 (-870))) (-5 *4 (-635 (-918))) (-5 *5 (-635 (-257))) (-5 *1 (-474)))) ((*1 *1 *2 *3 *3 *4) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *3 (-635 (-870))) (-5 *4 (-635 (-918))) (-5 *1 (-474)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *1 (-474)))) ((*1 *1 *1) (-5 *1 (-474)))) 
+(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
+(((*1 *2 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *4 *4 *4 *6 *4) (-12 (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-667 (-216))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-743))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1159 (-954 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) ((*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-4 *3 (-366)) (-5 *2 (-1159 (-954 *3))))) ((*1 *2) (-12 (-5 *2 (-1159 (-410 (-954 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
+(((*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-1249)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
+(((*1 *2 *2 *3) (-12 (-4 *4 (-789)) (-4 *3 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $))))) (-4 *5 (-559)) (-5 *1 (-723 *4 *3 *5 *2)) (-4 *2 (-951 (-410 (-954 *5)) *4 *3)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-5 *1 (-986 *4 *5 *3 *2)) (-4 *2 (-951 (-954 *4) *5 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-4 *4 (-1048)) (-4 *5 (-789)) (-5 *1 (-986 *4 *5 *6 *2)) (-4 *2 (-951 (-954 *4) *5 *6))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) ((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-1110 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-382)) (-5 *1 (-1060))))) 
+(((*1 *2) (-12 (-5 *2 (-635 *3)) (-5 *1 (-1044 *3)) (-4 *3 (-366))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-711)) (-5 *2 (-918)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-713)) (-5 *2 (-764))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-685 *3)) (-4 *3 (-1091)) (-5 *2 (-635 (-2 (|:| -3782 *3) (|:| -2846 (-764)))))))) 
 (((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-121) (-123) (-123))) (-5 *1 (-123))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-472)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-472))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1173 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-917)) (-5 *2 (-473)) (-5 *1 (-1245))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1141 *4)) (-5 *3 (-568)) (-4 *4 (-1047)) (-5 *1 (-1145 *4)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-1201 *3)) (-4 *3 (-1047)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-1235 *3 *4 *5)) (-4 *3 (-1047)) (-14 *4 (-1161)) (-14 *5 *3))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-1239 *3 *4)) (-4 *3 (-1047)) (-14 *4 (-1161))))) 
-(((*1 *2 *1 *2) (-12 (-4 *1 (-366 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-1090))))) 
-(((*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) ((*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-314 *3 *4 *5)) (-4 *3 (-13 (-365) (-842))) (-14 *4 (-1161)) (-14 *5 *3)))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -3286 *6) (|:| |sol?| (-121))) (-568) *6)) (-4 *6 (-365)) (-4 *7 (-1219 *6)) (-5 *2 (-2 (|:| |answer| (-585 (-409 *7))) (|:| |a0| *6))) (-5 *1 (-578 *6 *7)) (-5 *3 (-409 *7))))) 
-(((*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1219 *5)) (-4 *5 (-365)) (-5 *2 (-2 (|:| -4151 (-409 *6)) (|:| |coeff| (-409 *6)))) (-5 *1 (-578 *5 *6)) (-5 *3 (-409 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-381)) (-5 *1 (-184))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-601 *2 *3)) (-4 *3 (-1195)) (-4 *2 (-1090)) (-4 *2 (-842))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-558)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *1 (-1186 *3 *4 *5 *2)) (-4 *2 (-677 *3 *4 *5))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -2723 *3))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3))))) 
-(((*1 *2) (-12 (-4 *2 (-13 (-432 *3) (-1002))) (-5 *1 (-272 *3 *2)) (-4 *3 (-13 (-842) (-558)))))) 
-(((*1 *2 *3 *1 *4) (-12 (-5 *3 (-1125 *5 *6)) (-5 *4 (-1 (-121) *6 *6)) (-4 *5 (-13 (-1090) (-39))) (-4 *6 (-13 (-1090) (-39))) (-5 *2 (-121)) (-5 *1 (-1126 *5 *6))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-239 *2)) (-4 *2 (-1195)))) ((*1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)))) ((*1 *1 *1) (-12 (-4 *1 (-1231 *2)) (-4 *2 (-1195))))) 
-(((*1 *1 *2 *3 *1 *3) (-12 (-5 *2 (-887 *4)) (-4 *4 (-1090)) (-5 *1 (-884 *4 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-235 *10)) (-4 *12 (-536 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1249)) (-5 *1 (-260 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-258 *12))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1157 *4)) (-5 *1 (-587 *4)) (-4 *4 (-350))))) 
-(((*1 *2 *3 *4 *5 *6 *7 *8 *9) (|partial| -12 (-5 *4 (-634 *11)) (-5 *5 (-634 (-1157 *9))) (-5 *6 (-634 *9)) (-5 *7 (-634 *12)) (-5 *8 (-634 (-763))) (-4 *11 (-842)) (-4 *9 (-301)) (-4 *12 (-950 *9 *10 *11)) (-4 *10 (-788)) (-5 *2 (-634 (-1157 *12))) (-5 *1 (-697 *10 *11 *9 *12)) (-5 *3 (-1157 *12))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *5 (-993 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-143 *4 *5 *3)) (-4 *3 (-375 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *5 (-993 *4)) (-5 *2 (-2 (|:| |num| *6) (|:| |den| *4))) (-5 *1 (-512 *4 *5 *6 *3)) (-4 *6 (-375 *4)) (-4 *3 (-375 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-679 *5)) (-4 *5 (-993 *4)) (-4 *4 (-558)) (-5 *2 (-2 (|:| |num| (-679 *4)) (|:| |den| *4))) (-5 *1 (-682 *4 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *6 (-1219 *5)) (-5 *2 (-2 (|:| -2410 *7) (|:| |rh| (-634 (-409 *6))))) (-5 *1 (-802 *5 *6 *7 *3)) (-5 *4 (-634 (-409 *6))) (-4 *7 (-646 *6)) (-4 *3 (-646 (-409 *6))))) ((*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *5 (-993 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-1212 *4 *5 *3)) (-4 *3 (-1219 *5))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-102)))) ((*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-205 (-511))) (-5 *1 (-830))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-568)) (-4 *5 (-350)) (-5 *2 (-420 (-1157 (-1157 *5)))) (-5 *1 (-1194 *5)) (-5 *3 (-1157 (-1157 *5)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002)))))) 
-(((*1 *1) (-5 *1 (-1249)))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1161)) (-5 *5 (-1084 (-215))) (-5 *2 (-927)) (-5 *1 (-925 *3)) (-4 *3 (-609 (-541))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-5 *2 (-927)) (-5 *1 (-925 *3)) (-4 *3 (-609 (-541))))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-215) (-215))) (-5 *1 (-927)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-215) (-215))) (-5 *3 (-1084 (-215))) (-5 *1 (-927))))) 
-(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *3 (-558))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-409 (-953 *3))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3)))))) 
-(((*1 *2 *3 *4 *5) (-12 (-4 *6 (-1219 *9)) (-4 *7 (-788)) (-4 *8 (-842)) (-4 *9 (-301)) (-4 *10 (-950 *9 *7 *8)) (-5 *2 (-2 (|:| |deter| (-634 (-1157 *10))) (|:| |dterm| (-634 (-634 (-2 (|:| -2514 (-763)) (|:| |pcoef| *10))))) (|:| |nfacts| (-634 *6)) (|:| |nlead| (-634 *10)))) (-5 *1 (-771 *6 *7 *8 *9 *10)) (-5 *3 (-1157 *10)) (-5 *4 (-634 *6)) (-5 *5 (-634 *10))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-453))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1010 *3)) (-4 *3 (-1195)) (-4 *3 (-1090)) (-5 *2 (-121))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-381)) (-5 *1 (-1059))))) 
-(((*1 *2) (-12 (-5 *2 (-835 (-568))) (-5 *1 (-539)))) ((*1 *1) (-12 (-5 *1 (-835 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1157 *1)) (-4 *1 (-453)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1157 *6)) (-4 *6 (-950 *5 *3 *4)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *5 (-904)) (-5 *1 (-459 *3 *4 *5 *6)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1157 *1)) (-4 *1 (-904))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-795)) (-5 *3 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-1035))))) 
-(((*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-123)) (-5 *5 (-634 *2)) (-4 *2 (-13 (-432 *6) (-23) (-1037 (-568)) (-1037 *4) (-895 *4) (-161))) (-5 *4 (-1161)) (-4 *6 (-13 (-842) (-558) (-609 (-541)))) (-5 *1 (-1024 *6 *2))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-550)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-121))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *4) (|:| |xpnt| (-568)))) (-4 *4 (-13 (-1219 *3) (-558) (-10 -8 (-15 -2723 ($ $ $))))) (-4 *3 (-558)) (-5 *1 (-1222 *3 *4))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1057 (-1023 *3) (-1157 (-1023 *3)))) (-5 *1 (-1023 *3)) (-4 *3 (-13 (-840) (-365) (-1021)))))) 
-(((*1 *2) (-12 (-5 *2 (-835 (-568))) (-5 *1 (-539)))) ((*1 *1) (-12 (-5 *1 (-835 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-1047)) (-5 *1 (-1215 *3 *2)) (-4 *2 (-1219 *3))))) 
-(((*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-1125 *4 *5))) (-5 *3 (-1 (-121) *5 *5)) (-4 *4 (-13 (-1090) (-39))) (-4 *5 (-13 (-1090) (-39))) (-5 *1 (-1126 *4 *5)))) ((*1 *1 *1 *1 *2) (-12 (-5 *2 (-634 (-1125 *3 *4))) (-4 *3 (-13 (-1090) (-39))) (-4 *4 (-13 (-1090) (-39))) (-5 *1 (-1126 *3 *4))))) 
-(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *2 (-634 (-1157 *7))) (-5 *3 (-1157 *7)) (-4 *7 (-950 *5 *6 *4)) (-4 *5 (-904)) (-4 *6 (-788)) (-4 *4 (-842)) (-5 *1 (-901 *5 *6 *4 *7))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-53))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-53))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) ((*1 *2 *3) (-12 (-4 (-53) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-5 *1 (-482)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-484 *4)) (-4 *4 (-1037 *3)) (-4 *4 (-13 (-350) (-609 (-568)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-4 (-409 (-568)) (-1037 *3)) (-4 (-568) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-5 *1 (-485)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-365)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-842) (-558))) (-14 *9 (-1 *5 *8)) (-5 *2 (-634 (-2 (|:| -1866 *7) (|:| -1844 (-763))))) (-5 *1 (-486 *5 *6 *7 *8 *9 *10)) (-4 *6 (-453)) (-4 *7 (-13 (-432 (-568)) (-558) (-1037 *8) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-365)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763))))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1037 *3)) (-4 *5 (-1037 *3)) (-4 *4 (-365)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 *3) (-1037 (-568)) (-161) (-895 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) ((*1 *2 *3) (-12 (-4 (-409 (-953 (-568))) (-1037 *3)) (-4 (-953 (-568)) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-5 *1 (-487)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-734 *5 (-568))))) (-5 *4 (-634 (-465))) (-14 *5 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *5 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-734 *4 (-568))))) (-14 *4 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 *4 (-568)))) (-634 (-465)))) (-5 *1 (-488 *4)) (-14 *4 *3)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-381))) (-5 *1 (-256)))) ((*1 *1) (|partial| -12 (-4 *1 (-369 *2)) (-4 *2 (-558)) (-4 *2 (-172)))) ((*1 *2 *1) (-12 (-5 *1 (-420 *2)) (-4 *2 (-558))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-842)) (-5 *1 (-130 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1141 *3)) (-4 *3 (-1090)) (-4 *3 (-1195))))) 
-(((*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-744))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1143)) (-5 *1 (-259 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-2 (|:| |totdeg| (-763)) (|:| -1416 *4))) (-5 *5 (-763)) (-4 *4 (-950 *6 *7 *8)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *8 (-842)) (-5 *2 (-2 (|:| |lcmfij| *7) (|:| |totdeg| *5) (|:| |poli| *4) (|:| |polj| *4))) (-5 *1 (-450 *6 *7 *8 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-409 (-568))) (-5 *2 (-215)) (-5 *1 (-299))))) 
-(((*1 *1 *1 *1) (-4 *1 (-146))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-159 *3 *2)) (-4 *2 (-432 *3)))) ((*1 *2 *2 *2) (-12 (-5 *1 (-160 *2)) (-4 *2 (-550)))) ((*1 *1 *1 *1) (-5 *1 (-850))) ((*1 *2 *3 *4) (-12 (-5 *4 |RationalNumber|) (-5 *2 (-1 (-568))) (-5 *1 (-1045)) (-5 *3 (-568))))) 
-(((*1 *1 *1 *1 *1) (-5 *1 (-850))) ((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850))))) 
-(((*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) ((*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-1084 (-409 (-568))))) (-5 *1 (-256)))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-1084 (-381)))) (-5 *1 (-256))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-230 (-1699 *5) (-763))) (-5 *2 (-1157 (-1157 *4))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-950 *4 *6 (-852 *5))) (-4 *7 (-971 *4))))) 
-(((*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) ((*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 *4)) (-5 *1 (-1098 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-159 *3 *2)) (-4 *2 (-432 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-842) (-558))) (-5 *1 (-159 *4 *2)) (-4 *2 (-432 *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-161)) (-5 *2 (-1161)))) ((*1 *1 *1) (-4 *1 (-161)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |integrand| *3) (|:| |intvar| *3)))) (-5 *1 (-585 *3)) (-4 *3 (-365))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-1244 (-568))) (-5 *3 (-568)) (-5 *1 (-1100)))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-1244 (-568))) (-5 *3 (-634 (-568))) (-5 *4 (-568)) (-5 *1 (-1100))))) 
-(((*1 *2 *2 *3 *4 *5) (-12 (-5 *2 (-634 *9)) (-5 *3 (-1 (-121) *9)) (-5 *4 (-1 (-121) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1061 *6 *7 *8)) (-4 *6 (-558)) (-4 *7 (-788)) (-4 *8 (-842)) (-5 *1 (-978 *6 *7 *8 *9))))) 
-(((*1 *2 *2 *2 *2) (-12 (-5 *2 (-679 *3)) (-4 *3 (-1047)) (-5 *1 (-680 *3))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-1004 *3)) (-14 *3 (-568))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-365) (-840))) (-5 *2 (-634 (-2 (|:| -2075 (-634 *3)) (|:| -2185 *5)))) (-5 *1 (-178 *5 *3)) (-4 *3 (-1219 (-169 *5))))) ((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-365) (-840))) (-5 *2 (-634 (-2 (|:| -2075 (-634 *3)) (|:| -2185 *4)))) (-5 *1 (-178 *4 *3)) (-4 *3 (-1219 (-169 *4)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-568)) (-5 *1 (-196))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1094)) (-5 *2 (-1249)) (-5 *1 (-102))))) 
-(((*1 *2 *3 *2 *4 *5) (-12 (-5 *2 (-634 *3)) (-5 *5 (-917)) (-4 *3 (-1219 *4)) (-4 *4 (-301)) (-5 *1 (-462 *4 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-1219 *4)) (-5 *1 (-544 *4 *2 *5 *6)) (-4 *4 (-301)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-763)))))) 
-(((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-13 (-365) (-150) (-1037 (-568)))) (-4 *5 (-1219 *4)) (-5 *2 (-2 (|:| -4151 (-409 *5)) (|:| |coeff| (-409 *5)))) (-5 *1 (-572 *4 *5)) (-5 *3 (-409 *5))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-634 (-568))) (-5 *3 (-121)) (-5 *1 (-1100))))) 
-(((*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-1 *3 *3)) (-4 *3 (-1219 *6)) (-4 *6 (-13 (-365) (-150) (-1037 *4))) (-5 *4 (-568)) (-5 *2 (-3 (|:| |ans| (-2 (|:| |ans| *3) (|:| |nosol| (-121)))) (|:| -2410 (-2 (|:| |b| *3) (|:| |c| *3) (|:| |m| *4) (|:| |alpha| *3) (|:| |beta| *3))))) (-5 *1 (-1015 *6 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-850))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1157 *2)) (-4 *2 (-950 (-409 (-953 *6)) *5 *4)) (-5 *1 (-722 *5 *4 *6 *2)) (-4 *5 (-788)) (-4 *4 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $))))) (-4 *6 (-558))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-634 (-1 *4 (-634 *4)))) (-4 *4 (-1090)) (-5 *1 (-122 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1090)) (-5 *1 (-122 *4)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-634 (-1 *4 (-634 *4)))) (-5 *1 (-122 *4)) (-4 *4 (-1090))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-5 *2 (-121))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-558)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *1 (-1186 *3 *4 *5 *2)) (-4 *2 (-677 *3 *4 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-53))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-53))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-365)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-842) (-558))) (-14 *9 (-1 *5 *8)) (-5 *2 (-634 (-2 (|:| -1866 *7) (|:| -1844 (-763))))) (-5 *1 (-486 *5 *6 *7 *8 *9 *10)) (-4 *6 (-453)) (-4 *7 (-13 (-432 (-568)) (-558) (-1037 *8) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-365)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763))))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-734 *5 (-568))))) (-5 *4 (-634 (-465))) (-14 *5 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *5 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-734 *4 (-568))))) (-14 *4 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-139)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-828 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-835 *3)) (-4 *3 (-1090))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1149 *2 *3)) (-14 *2 (-917)) (-4 *3 (-1047))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-169 (-215)) (-169 (-215)))) (-5 *4 (-1084 (-215))) (-5 *2 (-1246)) (-5 *1 (-250))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-301)) (-4 *6 (-375 *5)) (-4 *4 (-375 *5)) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2588 (-634 *4)))) (-5 *1 (-1112 *5 *6 *4 *3)) (-4 *3 (-677 *5 *6 *4))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1195)) (-5 *1 (-1120 *4 *2)) (-4 *2 (-13 (-601 (-568) *4) (-10 -7 (-6 -4521) (-6 -4522)))))) ((*1 *2 *2) (-12 (-4 *3 (-842)) (-4 *3 (-1195)) (-5 *1 (-1120 *3 *2)) (-4 *2 (-13 (-601 (-568) *3) (-10 -7 (-6 -4521) (-6 -4522))))))) 
-(((*1 *1) (-12 (-5 *1 (-233 *2)) (-4 *2 (-1047))))) 
-(((*1 *1) (-5 *1 (-439)))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1157 *9)) (-5 *4 (-634 *7)) (-4 *7 (-842)) (-4 *9 (-950 *8 *6 *7)) (-4 *6 (-788)) (-4 *8 (-301)) (-5 *2 (-634 (-763))) (-5 *1 (-732 *6 *7 *8 *9)) (-5 *5 (-763))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002)))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-171))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-396)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-1176))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1246))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1083 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-514 (-409 (-568)) (-232 *5 (-763)) (-852 *4) (-242 *4 (-409 (-568))))) (-14 *4 (-634 (-1161))) (-14 *5 (-763)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-369 *4)) (-4 *4 (-172)) (-5 *2 (-1244 (-679 *4))))) ((*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-1244 (-679 *4))) (-5 *1 (-418 *3 *4)) (-4 *3 (-419 *4)))) ((*1 *2) (-12 (-4 *1 (-419 *3)) (-4 *3 (-172)) (-5 *2 (-1244 (-679 *3))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-1161))) (-4 *5 (-365)) (-5 *2 (-1244 (-679 (-409 (-953 *5))))) (-5 *1 (-1077 *5)) (-5 *4 (-679 (-409 (-953 *5)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-1161))) (-4 *5 (-365)) (-5 *2 (-1244 (-679 (-953 *5)))) (-5 *1 (-1077 *5)) (-5 *4 (-679 (-953 *5))))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-679 *4))) (-4 *4 (-365)) (-5 *2 (-1244 (-679 *4))) (-5 *1 (-1077 *4))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-1066 *4 *5 *6 *3)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1157 (-409 (-953 *3)))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3)))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-432 *2)) (-4 *2 (-842)) (-4 *2 (-1047)))) ((*1 *1 *1) (-12 (-5 *1 (-733 *2 *3)) (-14 *2 (-1161)) (-4 *3 (-13 (-1047) (-842) (-558))))) ((*1 *1 *1) (-12 (-4 *1 (-993 *2)) (-4 *2 (-558))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))))) (-5 *1 (-1019 *3)) (-4 *3 (-1219 (-568))))) ((*1 *2 *3 *4) (-12 (-5 *2 (-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))))) (-5 *1 (-1019 *3)) (-4 *3 (-1219 (-568))) (-5 *4 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))))) ((*1 *2 *3 *4) (-12 (-5 *2 (-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))))) (-5 *1 (-1019 *3)) (-4 *3 (-1219 (-568))) (-5 *4 (-409 (-568))))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-409 (-568))) (-5 *2 (-634 (-2 (|:| -3030 *5) (|:| -3286 *5)))) (-5 *1 (-1019 *3)) (-4 *3 (-1219 (-568))) (-5 *4 (-2 (|:| -3030 *5) (|:| -3286 *5))))) ((*1 *2 *3) (-12 (-5 *2 (-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))))) (-5 *1 (-1020 *3)) (-4 *3 (-1219 (-409 (-568)))))) ((*1 *2 *3 *4) (-12 (-5 *2 (-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))))) (-5 *1 (-1020 *3)) (-4 *3 (-1219 (-409 (-568)))) (-5 *4 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-409 (-568))) (-5 *2 (-634 (-2 (|:| -3030 *4) (|:| -3286 *4)))) (-5 *1 (-1020 *3)) (-4 *3 (-1219 *4)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-409 (-568))) (-5 *2 (-634 (-2 (|:| -3030 *5) (|:| -3286 *5)))) (-5 *1 (-1020 *3)) (-4 *3 (-1219 *5)) (-5 *4 (-2 (|:| -3030 *5) (|:| -3286 *5)))))) 
-(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-1161)) (-5 *6 (-121)) (-4 *7 (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-4 *3 (-13 (-1181) (-959) (-29 *7))) (-5 *2 (-3 (|:| |f1| (-835 *3)) (|:| |f2| (-634 (-835 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-209 *7 *3)) (-5 *5 (-835 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-585 *3)) (-4 *3 (-365))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1231 *3)) (-4 *3 (-1195)) (-5 *2 (-763))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1195)) (-5 *2 (-634 *1)) (-4 *1 (-1010 *3))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-310 (-215))) (-5 *4 (-1161)) (-5 *5 (-1084 (-835 (-215)))) (-5 *2 (-634 (-215))) (-5 *1 (-184)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-310 (-215))) (-5 *4 (-1161)) (-5 *5 (-1084 (-835 (-215)))) (-5 *2 (-634 (-215))) (-5 *1 (-294))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-173 *2)) (-4 *2 (-301))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 *6)) (-5 *4 (-568)) (-4 *6 (-641 *5)) (-4 *5 (-365)) (-5 *2 (-679 *5)) (-5 *1 (-635 *5 *6))))) 
-(((*1 *2 *3 *2 *4) (-12 (-5 *3 (-679 *2)) (-5 *4 (-763)) (-4 *2 (-13 (-301) (-10 -8 (-15 -3498 ((-420 $) $))))) (-4 *5 (-1219 *2)) (-5 *1 (-508 *2 *5 *6)) (-4 *6 (-411 *2 *5))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1047)) (-4 *5 (-230 *6 *2)) (-14 *6 *2) (-5 *2 (-763)) (-5 *1 (-908 *4 *3 *5 *6)) (-4 *3 (-324 *4 *5)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-634 *6)) (-4 *1 (-950 *4 *5 *6)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-763)))) ((*1 *2 *1) (-12 (-4 *1 (-950 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-763))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-350)) (-4 *5 (-327 *4)) (-4 *6 (-1219 *5)) (-5 *2 (-634 *3)) (-5 *1 (-769 *4 *5 *6 *3 *7)) (-4 *3 (-1219 *6)) (-14 *7 (-917))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1149 *2 *3)) (-14 *2 (-917)) (-4 *3 (-1047))))) 
-(((*1 *2 *3) (-12 (-4 *3 (-1219 *2)) (-4 *2 (-1219 *4)) (-5 *1 (-986 *4 *2 *3 *5)) (-4 *4 (-350)) (-4 *5 (-714 *2 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-324 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-787)))) ((*1 *2 *1) (-12 (-4 *1 (-698 *3)) (-4 *3 (-1047)) (-5 *2 (-763)))) ((*1 *2 *1) (-12 (-4 *1 (-844 *3)) (-4 *3 (-1047)) (-5 *2 (-763)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-634 *6)) (-4 *1 (-950 *4 *5 *6)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-634 (-763))))) ((*1 *2 *1 *3) (-12 (-4 *1 (-950 *4 *5 *3)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *3 (-842)) (-5 *2 (-763))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-927))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1127 *3 *4)) (-14 *3 (-917)) (-4 *4 (-365)) (-5 *1 (-994 *3 *4))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-900 *4)) (-4 *4 (-1090)) (-5 *2 (-634 (-763))) (-5 *1 (-899 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-993 *2)) (-4 *2 (-558)) (-4 *2 (-550)))) ((*1 *1 *1) (-4 *1 (-1056)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-169 *5)) (-4 *5 (-13 (-432 *4) (-1002) (-1181))) (-4 *4 (-13 (-558) (-842))) (-4 *2 (-13 (-432 (-169 *4)) (-1002) (-1181))) (-5 *1 (-597 *4 *5 *2))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-2 (|:| |partsol| (-1244 (-409 (-953 *4)))) (|:| -2588 (-634 (-1244 (-409 (-953 *4))))))) (-5 *3 (-634 *7)) (-4 *4 (-13 (-301) (-150))) (-4 *7 (-950 *4 *6 *5)) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *1 (-924 *4 *5 *6 *7))))) 
-(((*1 *1 *1 *1) (-5 *1 (-850))) ((*1 *1 *1) (-5 *1 (-850))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1157 (-568))) (-5 *3 (-568)) (-4 *1 (-863 *4))))) 
-(((*1 *1 *2 *1) (-12 (-5 *1 (-638 *2 *3 *4)) (-4 *2 (-1090)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1157 *1)) (-4 *1 (-1012))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-558)) (-4 *3 (-950 *7 *5 *6)) (-5 *2 (-2 (|:| -3483 (-763)) (|:| -2350 *3) (|:| |radicand| (-634 *3)))) (-5 *1 (-954 *5 *6 *7 *3 *8)) (-5 *4 (-763)) (-4 *8 (-13 (-365) (-10 -8 (-15 -2319 (*3 $)) (-15 -2326 (*3 $)) (-15 -2747 ($ *3)))))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1090)) (-4 *4 (-13 (-1047) (-881 *3) (-842) (-609 (-887 *3)))) (-5 *2 (-634 (-1161))) (-5 *1 (-1069 *3 *4 *5)) (-4 *5 (-13 (-432 *4) (-881 *3) (-609 (-887 *3))))))) 
-(((*1 *2 *1 *3) (-12 (-5 *2 (-2 (|:| |k| (-568)) (|:| |c| *4))) (-5 *1 (-774 *4)) (-4 *4 (-365)) (-5 *3 (-568))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-950 *3 *4 *5)) (-4 *3 (-301)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-448 *3 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-634 *7)) (-5 *3 (-1143)) (-4 *7 (-950 *4 *5 *6)) (-4 *4 (-301)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-448 *4 *5 *6 *7)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-634 *7)) (-5 *3 (-1143)) (-4 *7 (-950 *4 *5 *6)) (-4 *4 (-301)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-448 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1157 *5)) (-4 *5 (-453)) (-5 *2 (-634 *6)) (-5 *1 (-543 *5 *6 *4)) (-4 *6 (-365)) (-4 *4 (-13 (-365) (-840))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-953 *5)) (-4 *5 (-453)) (-5 *2 (-634 *6)) (-5 *1 (-543 *5 *6 *4)) (-4 *6 (-365)) (-4 *4 (-13 (-365) (-840)))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-1061 *3 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-381)) (|:| |stabilityFactor| (-381)))) (-5 *1 (-197))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-972)) (-5 *1 (-900 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 *7)) (-4 *7 (-1066 *3 *4 *5 *6)) (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *1 (-989 *3 *4 *5 *6 *7)))) ((*1 *2 *2) (-12 (-5 *2 (-634 *7)) (-4 *7 (-1066 *3 *4 *5 *6)) (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *1 (-1097 *3 *4 *5 *6 *7))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1157 *1)) (-5 *3 (-1161)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-1157 *1)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-953 *1)) (-4 *1 (-27)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1161)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-842) (-558))))) ((*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-842) (-558)))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-365)) (-4 *2 (-1219 *4)) (-5 *1 (-918 *4 *2))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-1149 3 *3)))) ((*1 *1) (-12 (-5 *1 (-1149 *2 *3)) (-14 *2 (-917)) (-4 *3 (-1047)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1121 (-215))) (-5 *1 (-1246)))) ((*1 *2 *1) (-12 (-5 *2 (-1121 (-215))) (-5 *1 (-1246))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-1090)) (-5 *1 (-965 *2 *3)) (-4 *3 (-1090))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1057 (-1023 *4) (-1157 (-1023 *4)))) (-5 *3 (-850)) (-5 *1 (-1023 *4)) (-4 *4 (-13 (-840) (-365) (-1021)))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-634 *2)) (-5 *1 (-177 *2)) (-4 *2 (-301)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-634 (-634 *4))) (-5 *2 (-634 *4)) (-4 *4 (-301)) (-5 *1 (-177 *4)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-634 *8)) (-5 *4 (-634 (-2 (|:| -2588 (-679 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-679 *7))))) (-5 *5 (-763)) (-4 *8 (-1219 *7)) (-4 *7 (-1219 *6)) (-4 *6 (-350)) (-5 *2 (-2 (|:| -2588 (-679 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-679 *7)))) (-5 *1 (-507 *6 *7 *8)))) ((*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-565))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *1)) (-4 *3 (-1047)) (-4 *1 (-677 *3 *4 *5)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1047)) (-4 *1 (-677 *3 *4 *5)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 *3)) (-4 *3 (-1047)) (-5 *1 (-679 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *4)) (-4 *4 (-1047)) (-4 *1 (-1111 *3 *4 *5 *6)) (-4 *5 (-230 *3 *4)) (-4 *6 (-230 *3 *4))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-420 *3)) (-5 *1 (-561 *3)) (-4 *3 (-550)))) ((*1 *2 *3) (-12 (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-301)) (-5 *2 (-420 *3)) (-5 *1 (-732 *4 *5 *6 *3)) (-4 *3 (-950 *6 *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-301)) (-4 *7 (-950 *6 *4 *5)) (-5 *2 (-420 (-1157 *7))) (-5 *1 (-732 *4 *5 *6 *7)) (-5 *3 (-1157 *7)))) ((*1 *2 *1) (-12 (-4 *3 (-453)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-420 *1)) (-4 *1 (-950 *3 *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-842)) (-4 *5 (-788)) (-4 *6 (-453)) (-5 *2 (-420 *3)) (-5 *1 (-980 *4 *5 *6 *3)) (-4 *3 (-950 *6 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-453)) (-4 *7 (-950 *6 *4 *5)) (-5 *2 (-420 (-1157 (-409 *7)))) (-5 *1 (-1156 *4 *5 *6 *7)) (-5 *3 (-1157 (-409 *7))))) ((*1 *2 *1) (-12 (-5 *2 (-420 *1)) (-4 *1 (-1199)))) ((*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-420 *3)) (-5 *1 (-1222 *4 *3)) (-4 *3 (-13 (-1219 *4) (-558) (-10 -8 (-15 -2723 ($ $ $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1044 *4 *5)) (-4 *4 (-13 (-840) (-301) (-150) (-1021))) (-14 *5 (-634 (-1161))) (-5 *2 (-634 (-1131 *4 (-534 (-852 *6)) (-852 *6) (-775 *4 (-852 *6))))) (-5 *1 (-1268 *4 *5 *6)) (-14 *6 (-634 (-1161)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5)) (-4 *5 (-1090)) (-5 *2 (-1 *5 *4)) (-5 *1 (-672 *4 *5)) (-4 *4 (-1090)))) ((*1 *2 *3) (-12 (-4 *4 (-230 *5 (-763))) (-14 *5 (-763)) (-4 *2 (-1047)) (-5 *1 (-908 *2 *3 *4 *5)) (-4 *3 (-324 *2 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-842)) (-5 *1 (-930 *3 *2)) (-4 *2 (-432 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-310 (-568))) (-5 *1 (-931)))) ((*1 *2 *1) (-12 (-4 *1 (-1259 *3 *2)) (-4 *3 (-842)) (-4 *2 (-1047)))) ((*1 *2 *1) (-12 (-4 *2 (-1047)) (-5 *1 (-1265 *2 *3)) (-4 *3 (-838))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-851)))) ((*1 *2 *3) (-12 (-5 *3 (-850)) (-5 *2 (-1249)) (-5 *1 (-851)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1143)) (-5 *4 (-850)) (-5 *2 (-1249)) (-5 *1 (-851)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-568)) (-5 *2 (-1249)) (-5 *1 (-1141 *4)) (-4 *4 (-1090)) (-4 *4 (-1195))))) 
-(((*1 *1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1 (-381))) (-5 *1 (-1039))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-926))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-53))) (-1201 (-53)))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-53)))) (-1201 (-1157 (-53))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-53) (-763) (-763) (-1157 (-53)))) (|:| AF (-1 (-1157 (-53)) (-763) (-763) (-1201 (-1157 (-53))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-53)) (-763))))) (-5 *1 (-482)))) ((*1 *2 *3) (-12 (-4 (-53) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-53))) (-1201 (-53)))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-53)))) (-1201 (-1157 (-53))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) *3)) (|:| A (-1 (-53) (-763) (-763) (-1157 (-53)))) (|:| AF (-1 (-1157 (-53)) (-763) (-763) (-1201 (-1157 (-53))))) (|:| AX (-1 (-310 (-568)) (-763) *3 (-310 (-568)))) (|:| C (-1 (-634 (-53)) (-763)))) (-634 (-465)))) (-5 *1 (-482)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1141 (-1201 *4)) (-1201 *4))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 *4))) (-1201 (-1157 *4)))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 *4 (-763) (-763) (-1157 *4))) (|:| AF (-1 (-1157 *4) (-763) (-763) (-1201 (-1157 *4)))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 *4) (-763))))) (-5 *1 (-484 *4)) (-4 *4 (-13 (-350) (-609 (-568)))))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 *4)) (-1201 *4))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 *4))) (-1201 (-1157 *4)))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) *3)) (|:| A (-1 *4 (-763) (-763) (-1157 *4))) (|:| AF (-1 (-1157 *4) (-763) (-763) (-1201 (-1157 *4)))) (|:| AX (-1 (-310 (-568)) (-763) *3 (-310 (-568)))) (|:| C (-1 (-634 *4) (-763)))) (-634 (-465)))) (-5 *1 (-484 *4)) (-4 *4 (-1037 *3)) (-4 *4 (-13 (-350) (-609 (-568)))))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-568)))) (-1201 (-409 (-568))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-568))))) (-1201 (-1157 (-409 (-568)))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-568) (-763) (-763) (-1157 (-568)))) (|:| AF (-1 (-1157 (-409 (-568))) (-763) (-763) (-1201 (-1157 (-409 (-568)))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-568)) (-763))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-4 (-409 (-568)) (-1037 *3)) (-4 (-568) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-568)))) (-1201 (-409 (-568))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-568))))) (-1201 (-1157 (-409 (-568)))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) *3)) (|:| A (-1 (-568) (-763) (-763) (-1157 (-568)))) (|:| AF (-1 (-1157 (-409 (-568))) (-763) (-763) (-1201 (-1157 (-409 (-568)))))) (|:| AX (-1 (-310 (-568)) (-763) *3 (-310 (-568)))) (|:| C (-1 (-634 (-568)) (-763)))) (-634 (-465)))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1141 (-1201 *4)) (-1201 *4))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 *4))) (-1201 (-1157 *4)))) (|:| |exprStream| (-1 (-1141 *6) *6 (-1161))) (|:| A (-1 *5 (-763) (-763) (-1157 *5))) (|:| AF (-1 (-1157 *4) (-763) (-763) (-1201 (-1157 *4)))) (|:| AX (-1 *6 (-763) (-1161) *6)) (|:| C (-1 (-634 *5) (-763))))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *4 (-365)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 *4)) (-1201 *4))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 *4))) (-1201 (-1157 *4)))) (|:| |exprStream| (-1 (-1141 *6) *6 *3)) (|:| A (-1 *5 (-763) (-763) (-1157 *5))) (|:| AF (-1 (-1157 *4) (-763) (-763) (-1201 (-1157 *4)))) (|:| AX (-1 *6 (-763) *3 *6)) (|:| C (-1 (-634 *5) (-763)))) (-634 (-465)))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1037 *3)) (-4 *5 (-1037 *3)) (-4 *4 (-365)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 *3) (-1037 (-568)) (-161) (-895 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-953 (-568))))) (-1201 (-409 (-953 (-568)))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-953 (-568)))))) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-953 (-568)) (-763) (-763) (-1157 (-953 (-568))))) (|:| AF (-1 (-1157 (-409 (-953 (-568)))) (-763) (-763) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-953 (-568))) (-763))))) (-5 *1 (-487)))) ((*1 *2 *3) (-12 (-4 (-409 (-953 (-568))) (-1037 *3)) (-4 (-953 (-568)) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-953 (-568))))) (-1201 (-409 (-953 (-568)))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-953 (-568)))))) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) *3)) (|:| A (-1 (-953 (-568)) (-763) (-763) (-1157 (-953 (-568))))) (|:| AF (-1 (-1157 (-409 (-953 (-568)))) (-763) (-763) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| AX (-1 (-310 (-568)) (-763) *3 (-310 (-568)))) (|:| C (-1 (-634 (-953 (-568))) (-763)))) (-634 (-465)))) (-5 *1 (-487)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 HPSPEC) (-5 *1 (-488 *4)) (-14 *4 (-1161)))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 HPSPEC (-634 (-465)))) (-5 *1 (-488 *4)) (-14 *4 *3)))) 
-(((*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-121)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *8 (-842)) (-4 *3 (-1061 *6 *7 *8)) (-5 *2 (-634 (-2 (|:| |val| *3) (|:| -3145 *4)))) (-5 *1 (-1067 *6 *7 *8 *3 *4)) (-4 *4 (-1066 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-634 (-2 (|:| |val| (-634 *8)) (|:| -3145 *9)))) (-5 *5 (-121)) (-4 *8 (-1061 *6 *7 *4)) (-4 *9 (-1066 *6 *7 *4 *8)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *4 (-842)) (-5 *2 (-634 (-2 (|:| |val| *8) (|:| -3145 *9)))) (-5 *1 (-1067 *6 *7 *4 *8 *9))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-568)) (-5 *1 (-464)))) ((*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-465))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *8 (-842)) (-4 *3 (-1061 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-634 *4)) (|:| |todo| (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))))) (-5 *1 (-1064 *6 *7 *8 *3 *4)) (-4 *4 (-1066 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-634 *4)) (|:| |todo| (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))))) (-5 *1 (-1130 *5 *6 *7 *3 *4)) (-4 *4 (-1099 *5 *6 *7 *3))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-917)) (-5 *2 (-763)) (-5 *1 (-1091 *4 *5)) (-14 *4 *3) (-14 *5 *3)))) 
-(((*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) ((*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-215)) (-5 *2 (-1143)) (-5 *1 (-184)))) ((*1 *2 *3) (-12 (-5 *3 (-215)) (-5 *2 (-1143)) (-5 *1 (-294)))) ((*1 *2 *3) (-12 (-5 *3 (-215)) (-5 *2 (-1143)) (-5 *1 (-299))))) 
-(((*1 *1) (-12 (-4 *3 (-1090)) (-5 *1 (-880 *2 *3 *4)) (-4 *2 (-1090)) (-4 *4 (-658 *3)))) ((*1 *1) (-12 (-5 *1 (-884 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-1090))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-420 *3)) (-4 *3 (-558)) (-5 *1 (-421 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1228 *3 *4 *5)) (-5 *1 (-314 *3 *4 *5)) (-4 *3 (-13 (-365) (-842))) (-14 *4 (-1161)) (-14 *5 *3))) ((*1 *2 *1) (-12 (-4 *1 (-406)) (-5 *2 (-568)))) ((*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-420 *3)) (-4 *3 (-558)))) ((*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-688)))) ((*1 *2 *1) (-12 (-4 *2 (-1090)) (-5 *1 (-703 *3 *2 *4)) (-4 *3 (-842)) (-14 *4 (-1 (-121) (-2 (|:| -4357 *3) (|:| -3483 *2)) (-2 (|:| -4357 *3) (|:| -3483 *2))))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 *4)) (-5 *1 (-1126 *3 *4)) (-4 *3 (-13 (-1090) (-39))) (-4 *4 (-13 (-1090) (-39)))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |polnum| (-777 *3)) (|:| |polden| *3) (|:| -2567 (-763)))) (-5 *1 (-777 *3)) (-4 *3 (-1047)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-2 (|:| |polnum| *1) (|:| |polden| *1) (|:| -2567 (-763)))) (-4 *1 (-1061 *3 *4 *5))))) 
-(((*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-121)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *8 (-842)) (-4 *3 (-1061 *6 *7 *8)) (-5 *2 (-634 (-2 (|:| |val| *3) (|:| -3145 *4)))) (-5 *1 (-1098 *6 *7 *8 *3 *4)) (-4 *4 (-1066 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-634 (-2 (|:| |val| (-634 *8)) (|:| -3145 *9)))) (-5 *5 (-121)) (-4 *8 (-1061 *6 *7 *4)) (-4 *9 (-1066 *6 *7 *4 *8)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *4 (-842)) (-5 *2 (-634 (-2 (|:| |val| *8) (|:| -3145 *9)))) (-5 *1 (-1098 *6 *7 *4 *8 *9))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-236 (-922 *4))) (-4 *4 (-350)) (-5 *2 (-679 *4)) (-5 *1 (-867 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-236 (-922 *5))) (-5 *4 (-634 (-922 *5))) (-4 *5 (-350)) (-5 *2 (-679 *5)) (-5 *1 (-867 *5 *6 *7)) (-14 *6 (-634 (-1161))) (-4 *7 (-117)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-236 (-921 *4))) (-4 *4 (-365)) (-5 *2 (-679 *4)) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-236 (-921 *5))) (-5 *4 (-634 (-921 *5))) (-4 *5 (-365)) (-5 *2 (-679 *5)) (-5 *1 (-868 *5 *6 *7)) (-14 *6 (-634 (-1161))) (-4 *7 (-117))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-432 *4)) (-5 *1 (-433 *4 *2)) (-4 *4 (-13 (-842) (-558)))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-3 (-121) "failed")) (-4 *3 (-453)) (-4 *4 (-842)) (-4 *5 (-788)) (-5 *1 (-988 *3 *4 *5 *6)) (-4 *6 (-950 *3 *5 *4))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-234)) (-5 *3 (-1143)))) ((*1 *2 *2) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-234)))) ((*1 *1 *2) (-12 (-5 *2 (-158)) (-5 *1 (-869))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002)))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-634 (-1084 (-381)))) (-5 *3 (-634 (-256))) (-5 *1 (-254)))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-1084 (-381)))) (-5 *1 (-256)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-634 (-1084 (-381)))) (-5 *1 (-473)))) ((*1 *2 *1) (-12 (-5 *2 (-634 (-1084 (-381)))) (-5 *1 (-473))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-634 *2))) (-5 *4 (-634 *5)) (-4 *5 (-43 (-409 (-568)))) (-4 *2 (-1234 *5)) (-5 *1 (-1236 *5 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1244 *5)) (-4 *5 (-630 *4)) (-4 *4 (-558)) (-5 *2 (-121)) (-5 *1 (-629 *4 *5))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *4 *6) (-12 (-5 *3 (-310 (-568))) (-5 *4 (-1 (-215) (-215))) (-5 *5 (-1084 (-215))) (-5 *6 (-568)) (-5 *2 (-1191 (-926))) (-5 *1 (-313)))) ((*1 *2 *3 *3 *3 *4 *5 *4 *6 *7) (-12 (-5 *3 (-310 (-568))) (-5 *4 (-1 (-215) (-215))) (-5 *5 (-1084 (-215))) (-5 *6 (-568)) (-5 *7 (-1143)) (-5 *2 (-1191 (-926))) (-5 *1 (-313)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7) (-12 (-5 *3 (-310 (-568))) (-5 *4 (-1 (-215) (-215))) (-5 *5 (-1084 (-215))) (-5 *6 (-215)) (-5 *7 (-568)) (-5 *2 (-1191 (-926))) (-5 *1 (-313)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7 *8) (-12 (-5 *3 (-310 (-568))) (-5 *4 (-1 (-215) (-215))) (-5 *5 (-1084 (-215))) (-5 *6 (-215)) (-5 *7 (-568)) (-5 *8 (-1143)) (-5 *2 (-1191 (-926))) (-5 *1 (-313))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-585 *3)) (-5 *1 (-428 *5 *3)) (-4 *3 (-13 (-1181) (-29 *5)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-310 (-215))) (-5 *2 (-121)) (-5 *1 (-263))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1094)) (-5 *3 (-766)) (-5 *1 (-57))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-1244 *5)) (-4 *5 (-630 *4)) (-4 *4 (-558)) (-5 *2 (-1244 *4)) (-5 *1 (-629 *4 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-679 *4)) (-4 *4 (-1047)) (-5 *1 (-1127 *3 *4)) (-14 *3 (-763))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-288 (-835 *3))) (-4 *3 (-13 (-27) (-1181) (-432 *5))) (-4 *5 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-3 (-835 *3) (-2 (|:| |leftHandLimit| (-3 (-835 *3) "failed")) (|:| |rightHandLimit| (-3 (-835 *3) "failed"))) "failed")) (-5 *1 (-627 *5 *3)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-288 *3)) (-5 *5 (-1143)) (-4 *3 (-13 (-27) (-1181) (-432 *6))) (-4 *6 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-835 *3)) (-5 *1 (-627 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-288 (-835 (-953 *5)))) (-4 *5 (-453)) (-5 *2 (-3 (-835 (-409 (-953 *5))) (-2 (|:| |leftHandLimit| (-3 (-835 (-409 (-953 *5))) "failed")) (|:| |rightHandLimit| (-3 (-835 (-409 (-953 *5))) "failed"))) "failed")) (-5 *1 (-628 *5)) (-5 *3 (-409 (-953 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-288 (-409 (-953 *5)))) (-5 *3 (-409 (-953 *5))) (-4 *5 (-453)) (-5 *2 (-3 (-835 *3) (-2 (|:| |leftHandLimit| (-3 (-835 *3) "failed")) (|:| |rightHandLimit| (-3 (-835 *3) "failed"))) "failed")) (-5 *1 (-628 *5)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-288 (-409 (-953 *6)))) (-5 *5 (-1143)) (-5 *3 (-409 (-953 *6))) (-4 *6 (-453)) (-5 *2 (-835 *3)) (-5 *1 (-628 *6))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1047)) (-5 *2 (-121)) (-5 *1 (-445 *4 *3)) (-4 *3 (-1219 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-634 *5)) (-4 *5 (-1219 *3)) (-4 *3 (-301)) (-5 *2 (-121)) (-5 *1 (-457 *3 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-150)) (-4 *3 (-301)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-978 *3 *4 *5 *6))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1108)) (-5 *2 (-1249)) (-5 *1 (-826))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1160)) (-5 *1 (-328))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-828 (-215))) (-5 *1 (-217))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-634 (-852 *5))) (-14 *5 (-634 (-1161))) (-4 *6 (-453)) (-5 *2 (-634 (-634 (-242 *5 *6)))) (-5 *1 (-476 *5 *6 *7)) (-5 *3 (-634 (-242 *5 *6))) (-4 *7 (-453))))) 
-(((*1 *2) (-12 (-4 *3 (-370)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-568)) (-5 *1 (-467 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) ((*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-867 *3 *4 *5)) (-4 (-857 *3) (-370)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-370)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1249)) (-5 *1 (-381)))) ((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-381))))) 
-(((*1 *2) (-12 (-5 *2 (-869)) (-5 *1 (-1247)))) ((*1 *2 *2) (-12 (-5 *2 (-869)) (-5 *1 (-1247))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-159 *3 *2)) (-4 *2 (-432 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-117)) (-5 *2 (-634 *8))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-663 *3)) (-4 *3 (-842)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-667 *3)) (-4 *3 (-842)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-814 *3)) (-4 *3 (-842))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1141 *3)) (-5 *1 (-173 *3)) (-4 *3 (-301))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *1 (-561 *2)) (-4 *2 (-550))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-363 (-123))) (-4 *2 (-1047)) (-5 *1 (-704 *2 *4)) (-4 *4 (-637 *2)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-363 (-123))) (-5 *1 (-829 *2)) (-4 *2 (-1047))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-850))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-634 *1)) (-4 *1 (-296)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-296)) (-5 *2 (-123)))) ((*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-607 *3)) (-4 *3 (-842)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-123)) (-5 *3 (-634 *5)) (-5 *4 (-763)) (-4 *5 (-842)) (-5 *1 (-607 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-763)) (-5 *1 (-589))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-420 *3)) (-5 *1 (-360 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-763)) (-5 *1 (-48 *4 *3)) (-4 *3 (-419 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-568)) (-5 *1 (-464)))) ((*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-465))))) 
-(((*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) ((*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121))))) 
-(((*1 *2) (-12 (-4 *2 (-172)) (-5 *1 (-165 *3 *2)) (-4 *3 (-166 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-372 *2 *4)) (-4 *4 (-1219 *2)) (-4 *2 (-172)))) ((*1 *2) (-12 (-4 *4 (-1219 *2)) (-4 *2 (-172)) (-5 *1 (-410 *3 *2 *4)) (-4 *3 (-411 *2 *4)))) ((*1 *2) (-12 (-4 *1 (-411 *2 *3)) (-4 *3 (-1219 *2)) (-4 *2 (-172)))) ((*1 *2) (-12 (-4 *3 (-1219 *2)) (-5 *2 (-568)) (-5 *1 (-760 *3 *4)) (-4 *4 (-411 *2 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-950 *3 *4 *2)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)) (-4 *3 (-172)))) ((*1 *2 *3) (-12 (-4 *2 (-558)) (-5 *1 (-970 *2 *3)) (-4 *3 (-1219 *2)))) ((*1 *2 *1) (-12 (-4 *1 (-1219 *2)) (-4 *2 (-1047)) (-4 *2 (-172))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 (-679 (-310 (-568))))) (-5 *1 (-1031))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-365)) (-5 *2 (-634 *3)) (-5 *1 (-946 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-1090)) (-5 *2 (-121)) (-5 *1 (-96 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-1090)) (-5 *2 (-121)) (-5 *1 (-212 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-842)) (-5 *2 (-121)) (-5 *1 (-494 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4521)) (-4 *1 (-499 *4)) (-4 *4 (-1195)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-1090)) (-5 *2 (-121)) (-5 *1 (-1000 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4521)) (-4 *4 (-1090)) (-5 *2 (-121)) (-5 *1 (-1132 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-842)) (-5 *2 (-634 (-656 *4 *5))) (-5 *1 (-618 *4 *5 *6)) (-4 *5 (-13 (-172) (-707 (-409 (-568))))) (-14 *6 (-917))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-235 *3)) (-4 *3 (-1090)) (-5 *2 (-121))))) 
-(((*1 *2 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *2)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *2 (-1061 *3 *4 *5))))) 
-(((*1 *2 *1 *2) (-12 (-5 *1 (-1026 *2)) (-4 *2 (-1195))))) 
-(((*1 *2) (-12 (-5 *2 (-1244 (-634 (-2 (|:| -2852 (-905 *3)) (|:| -4357 (-1108)))))) (-5 *1 (-352 *3 *4)) (-14 *3 (-917)) (-14 *4 (-917)))) ((*1 *2) (-12 (-5 *2 (-1244 (-634 (-2 (|:| -2852 *3) (|:| -4357 (-1108)))))) (-5 *1 (-353 *3 *4)) (-4 *3 (-350)) (-14 *4 (-3 (-1157 *3) *2)))) ((*1 *2) (-12 (-5 *2 (-1244 (-634 (-2 (|:| -2852 *3) (|:| -4357 (-1108)))))) (-5 *1 (-354 *3 *4)) (-4 *3 (-350)) (-14 *4 (-917))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-453)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-978 *3 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) ((*1 *2 *1) (-12 (-4 *1 (-247 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-409 (-953 *3))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-391)) (-5 *2 (-1143))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1163 (-409 (-568)))) (-5 *1 (-182)) (-5 *3 (-568))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1141 (-409 *3))) (-5 *1 (-173 *3)) (-4 *3 (-301))))) 
-(((*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-763)) (-5 *1 (-165 *3 *4)) (-4 *3 (-166 *4)))) ((*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1195)) (-5 *2 (-763)) (-5 *1 (-229 *3 *4 *5)) (-4 *3 (-230 *4 *5)))) ((*1 *2) (-12 (-4 *4 (-842)) (-5 *2 (-763)) (-5 *1 (-431 *3 *4)) (-4 *3 (-432 *4)))) ((*1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-549 *3)) (-4 *3 (-550)))) ((*1 *2) (-12 (-4 *1 (-755)) (-5 *2 (-763)))) ((*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-763)) (-5 *1 (-791 *3 *4)) (-4 *3 (-792 *4)))) ((*1 *2) (-12 (-4 *4 (-558)) (-5 *2 (-763)) (-5 *1 (-992 *3 *4)) (-4 *3 (-993 *4)))) ((*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-763)) (-5 *1 (-996 *3 *4)) (-4 *3 (-997 *4)))) ((*1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-1011 *3)) (-4 *3 (-1012)))) ((*1 *2) (-12 (-4 *1 (-1047)) (-5 *2 (-763)))) ((*1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-1055 *3)) (-4 *3 (-1056))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-558))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *3 (-950 *5 *7 (-852 *6))) (-4 *7 (-230 (-1699 *6) (-763))) (-4 *8 (-971 *5)) (-4 *4 (-920 *5 *2)) (-4 *9 (-235 *4)) (-4 *10 (-536 *5 *6 *3 *7 *8 *2 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-641 *5)) (-5 *1 (-467 *5 *6 *3 *7 *8 *2 *4 *9 *10 *11 *12)) (-4 *11 (-258 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-242 *6 *5)) (-5 *4 (-922 *5)) (-4 *5 (-350)) (-14 *6 (-634 (-1161))) (-5 *2 (-774 (-857 *5))) (-5 *1 (-867 *5 *6 *7)) (-4 *7 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-242 *6 *5)) (-5 *4 (-921 *5)) (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-5 *2 (-774 *5)) (-5 *1 (-868 *5 *6 *7)) (-4 *7 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-634 *2)) (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *7 (-230 (-1699 *6) (-763))) (-4 *2 (-641 *5)) (-5 *1 (-871 *5 *6 *3 *7 *8 *2 *9)) (-4 *3 (-950 *5 *7 (-852 *6))) (-4 *8 (-971 *5)) (-4 *9 (-920 *5 *2)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *7 (-230 (-1699 *6) (-763))) (-4 *2 (-641 *5)) (-5 *1 (-871 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-950 *5 *7 (-852 *6))) (-4 *8 (-971 *5)) (-4 *4 (-920 *5 *2)))) ((*1 *2 *3 *3 *4) (-12 (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *7 (-230 (-1699 *6) (-763))) (-4 *2 (-641 *5)) (-5 *1 (-871 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-950 *5 *7 (-852 *6))) (-4 *8 (-971 *5)) (-4 *4 (-920 *5 *2)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-568)) (-4 *6 (-365)) (-14 *7 (-634 (-1161))) (-4 *8 (-230 (-1699 *7) (-763))) (-4 *2 (-641 *6)) (-5 *1 (-871 *6 *7 *3 *8 *9 *2 *4)) (-4 *3 (-950 *6 *8 (-852 *7))) (-4 *9 (-971 *6)) (-4 *4 (-920 *6 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1244 (-1244 *4))) (-4 *4 (-1047)) (-5 *2 (-679 *4)) (-5 *1 (-1029 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1263 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047)) (-5 *2 (-814 *3)))) ((*1 *2 *1) (-12 (-4 *2 (-838)) (-5 *1 (-1265 *3 *2)) (-4 *3 (-1047))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-850)))) ((*1 *2 *3) (-12 (-5 *3 (-850)) (-5 *2 (-1249)) (-5 *1 (-962))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-121)) (-4 *6 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-4 *3 (-13 (-27) (-1181) (-432 *6) (-10 -8 (-15 -2747 ($ *7))))) (-4 *7 (-840)) (-4 *8 (-13 (-1221 *3 *7) (-365) (-1181) (-10 -8 (-15 -4191 ($ $)) (-15 -1845 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1143)) (|:| |prob| (-1143)))))) (-5 *1 (-424 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1143)) (-4 *9 (-984 *8)) (-14 *10 (-1161))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-635 *4))) (-5 *3 (-635 *4)) (-4 *4 (-366)) (-5 *1 (-654 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-351)) (-4 *2 (-13 (-405) (-10 -7 (-15 -2185 (*2 *4)) (-15 -2083 ((-918) *2)) (-15 -3930 ((-1247 *2) (-918))) (-15 -1907 (*2 *2))))) (-5 *1 (-358 *2 *4))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *8)) (-5 *4 (-680 (-1159 *8))) (-4 *5 (-1048)) (-4 *8 (-1048)) (-4 *6 (-1222 *5)) (-5 *2 (-680 *6)) (-5 *1 (-511 *5 *6 *7 *8)) (-4 *7 (-1222 *6))))) 
+(((*1 *2) (|partial| -12 (-4 *4 (-1202)) (-4 *5 (-1222 (-410 *2))) (-4 *2 (-1222 *4)) (-5 *1 (-340 *3 *4 *2 *5)) (-4 *3 (-341 *4 *2 *5)))) ((*1 *2) (|partial| -12 (-4 *1 (-341 *3 *2 *4)) (-4 *3 (-1202)) (-4 *4 (-1222 (-410 *2))) (-4 *2 (-1222 *3))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-551)) (-5 *1 (-161 *2))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473))))) 
+(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1250))))) 
+(((*1 *1 *1) (-5 *1 (-1060)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-27) (-433 *4))) (-4 *4 (-13 (-843) (-559) (-1038 (-569)))) (-4 *7 (-1222 (-410 *6))) (-5 *1 (-554 *4 *5 *6 *7 *2)) (-4 *2 (-341 *5 *6 *7))))) 
+(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1200))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-843) (-1038 (-569)) (-631 (-569)) (-454))) (-5 *2 (-836 *4)) (-5 *1 (-308 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1183) (-433 *3))) (-14 *5 (-1163)) (-14 *6 *4))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-843) (-1038 (-569)) (-631 (-569)) (-454))) (-5 *2 (-836 *4)) (-5 *1 (-1232 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1183) (-433 *3))) (-14 *5 (-1163)) (-14 *6 *4)))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1062 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) ((*1 *2 *3 *1 *4) (-12 (-5 *4 (-1 (-121) *3 *3)) (-4 *1 (-1191 *5 *6 *7 *3)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-121))))) 
+(((*1 *2 *1 *1 *3) (-12 (-4 *1 (-1130)) (-5 *3 (-569)) (-5 *2 (-121))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091))))) 
+(((*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-421 (-1159 (-410 (-569))))) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1222 *5))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-1027 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (-5 *1 (-185))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *3 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-745))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-979 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-351)) (-5 *2 (-2 (|:| |cont| *5) (|:| -1640 (-635 (-2 (|:| |irr| *3) (|:| -4245 (-569))))))) (-5 *1 (-208 *5 *3)) (-4 *3 (-1222 *5))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-918)) (-5 *2 (-474)) (-5 *1 (-1248))))) 
+(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-680 (-410 *4)))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-366)) (-14 *7 (-635 (-1163))) (-4 *8 (-231 (-4168 *7) (-764))) (-4 *9 (-642 *6)) (-5 *2 (-635 *9)) (-5 *1 (-655 *6 *7 *4 *8 *3 *9 *10)) (-4 *4 (-951 *6 *8 (-853 *7))) (-4 *3 (-972 *6)) (-4 *10 (-921 *6 *9))))) 
+(((*1 *1 *1) (-4 *1 (-1130)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *4 *4 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-742))))) 
+(((*1 *2 *2 *2 *2 *3) (-12 (-4 *3 (-559)) (-5 *1 (-971 *3 *2)) (-4 *2 (-1222 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) *2)) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-764))))) 
+(((*1 *2 *3 *2) (-12 (-4 *2 (-13 (-366) (-841))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1222 (-170 *2))))) ((*1 *2 *3) (-12 (-4 *2 (-13 (-366) (-841))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1222 (-170 *2)))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1143 *4)) (-5 *3 (-569)) (-4 *4 (-1048)) (-5 *1 (-1147 *4)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1204 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1238 *3 *4 *5)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-14 *5 *3))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1242 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-1163))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1145)) (-5 *3 (-569)) (-5 *1 (-235))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-451 *4 *5 *6 *2))))) 
+(((*1 *2 *3 *4 *4 *3 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-742))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-1145)) (-4 *1 (-367 *2 *4)) (-4 *2 (-1091)) (-4 *4 (-1091)))) ((*1 *1 *2) (-12 (-4 *1 (-367 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091))))) 
+(((*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-1145)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *4 (-1062 *6 *7 *8)) (-5 *2 (-1252)) (-5 *1 (-769 *6 *7 *8 *4 *5)) (-4 *5 (-1067 *6 *7 *8 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-843) (-559)))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1130)) (-5 *2 (-121))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-311 (-216))) (-5 *1 (-203))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-311 *5))) (-5 *1 (-1118 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 *5)))) (-5 *4 (-635 (-1163))) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-635 (-311 *5)))) (-5 *1 (-1118 *5))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-730 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-329))))) 
+(((*1 *2 *3 *4 *4 *3 *5 *3 *6 *4 *7 *8 *9) (-12 (-5 *4 (-569)) (-5 *5 (-1145)) (-5 *6 (-680 (-216))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-742))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *2 (-635 (-644 (-410 *5)))) (-5 *1 (-648 *4 *5)) (-5 *3 (-644 (-410 *5)))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-979 *4 *5 *6 *3)) (-4 *3 (-1062 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1252)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569)))))) 
+(((*1 *2 *3 *4 *3 *3) (-12 (-5 *3 (-289 *6)) (-5 *4 (-123)) (-4 *6 (-433 *5)) (-4 *5 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *5 *6)))) ((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-123)) (-5 *5 (-635 *7)) (-4 *7 (-433 *6)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) ((*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-635 (-289 *7))) (-5 *4 (-635 (-123))) (-5 *5 (-289 *7)) (-4 *7 (-433 *6)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 (-289 *8))) (-5 *4 (-635 (-123))) (-5 *5 (-289 *8)) (-5 *6 (-635 *8)) (-4 *8 (-433 *7)) (-4 *7 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *8)))) ((*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-635 *7)) (-5 *4 (-635 (-123))) (-5 *5 (-289 *7)) (-4 *7 (-433 *6)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 (-123))) (-5 *6 (-635 (-289 *8))) (-4 *8 (-433 *7)) (-5 *5 (-289 *8)) (-4 *7 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *8)))) ((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-289 *5)) (-5 *4 (-123)) (-4 *5 (-433 *6)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *5)))) ((*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-4 *3 (-433 *6)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *3)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-4 *3 (-433 *6)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-5 *6 (-635 *3)) (-4 *3 (-433 *7)) (-4 *7 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-123)) (-5 *5 (-1163)) (-5 *6 (-635 *3)) (-4 *3 (-433 *7)) (-4 *7 (-13 (-843) (-559) (-610 (-542)))) (-4 *2 (-1237 *3)) (-5 *1 (-313 *7 *3 *2 *8)) (-4 *8 (-1237 (-1157 *3))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *6)) (-5 *4 (-635 *5)) (-4 *5 (-366)) (-4 *6 (-1237 (-1157 *5))) (-4 *2 (-1237 *5)) (-5 *1 (-1241 *5 *2 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-13 (-559) (-454))) (-5 *2 (-635 *4)) (-5 *1 (-347 *4 *5)) (-4 *5 (-52 *4 *3))))) 
+(((*1 *2 *3 *4 *4 *5 *4 *3 *6 *3 *4 *7 *8 *9 *10) (-12 (-5 *4 (-569)) (-5 *5 (-1145)) (-5 *6 (-680 (-216))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-391)) (|:| |fp| (-76 PEDERV)))) (-5 *10 (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-742))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-4 *5 (-366)) (-5 *2 (-1143 (-1143 (-954 *5)))) (-5 *1 (-1255 *5)) (-5 *4 (-1143 (-954 *5)))))) 
+(((*1 *2 *2 *2) (|partial| -12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1216 *3 *2)) (-4 *2 (-1222 *3))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-160 *4 *2)) (-4 *2 (-433 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1083 *2)) (-4 *2 (-433 *4)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-160 *4 *2)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1083 *1)) (-4 *1 (-162)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1163))))) 
 (((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-53))) (-1201 (-53)))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-53)))) (-1201 (-1157 (-53))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-53) (-763) (-763) (-1157 (-53)))) (|:| AF (-1 (-1157 (-53)) (-763) (-763) (-1201 (-1157 (-53))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-53)) (-763))))) (-5 *1 (-482)))) ((*1 *2 *3) (-12 (-4 (-53) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-53))) (-1201 (-53)))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-53)))) (-1201 (-1157 (-53))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) *3)) (|:| A (-1 (-53) (-763) (-763) (-1157 (-53)))) (|:| AF (-1 (-1157 (-53)) (-763) (-763) (-1201 (-1157 (-53))))) (|:| AX (-1 (-310 (-568)) (-763) *3 (-310 (-568)))) (|:| C (-1 (-634 (-53)) (-763)))) (-634 (-465)))) (-5 *1 (-482)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1141 (-1201 *4)) (-1201 *4))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 *4))) (-1201 (-1157 *4)))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 *4 (-763) (-763) (-1157 *4))) (|:| AF (-1 (-1157 *4) (-763) (-763) (-1201 (-1157 *4)))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 *4) (-763))))) (-5 *1 (-484 *4)) (-4 *4 (-13 (-350) (-609 (-568)))))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 *4)) (-1201 *4))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 *4))) (-1201 (-1157 *4)))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) *3)) (|:| A (-1 *4 (-763) (-763) (-1157 *4))) (|:| AF (-1 (-1157 *4) (-763) (-763) (-1201 (-1157 *4)))) (|:| AX (-1 (-310 (-568)) (-763) *3 (-310 (-568)))) (|:| C (-1 (-634 *4) (-763)))) (-634 (-465)))) (-5 *1 (-484 *4)) (-4 *4 (-1037 *3)) (-4 *4 (-13 (-350) (-609 (-568)))))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-568)))) (-1201 (-409 (-568))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-568))))) (-1201 (-1157 (-409 (-568)))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-568) (-763) (-763) (-1157 (-568)))) (|:| AF (-1 (-1157 (-409 (-568))) (-763) (-763) (-1201 (-1157 (-409 (-568)))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-568)) (-763))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-4 (-409 (-568)) (-1037 *3)) (-4 (-568) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-568)))) (-1201 (-409 (-568))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-568))))) (-1201 (-1157 (-409 (-568)))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) *3)) (|:| A (-1 (-568) (-763) (-763) (-1157 (-568)))) (|:| AF (-1 (-1157 (-409 (-568))) (-763) (-763) (-1201 (-1157 (-409 (-568)))))) (|:| AX (-1 (-310 (-568)) (-763) *3 (-310 (-568)))) (|:| C (-1 (-634 (-568)) (-763)))) (-634 (-465)))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1141 (-1201 *4)) (-1201 *4))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 *4))) (-1201 (-1157 *4)))) (|:| |exprStream| (-1 (-1141 *6) *6 (-1161))) (|:| A (-1 *5 (-763) (-763) (-1157 *5))) (|:| AF (-1 (-1157 *4) (-763) (-763) (-1201 (-1157 *4)))) (|:| AX (-1 *6 (-763) (-1161) *6)) (|:| C (-1 (-634 *5) (-763))))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *4 (-365)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 *4)) (-1201 *4))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 *4))) (-1201 (-1157 *4)))) (|:| |exprStream| (-1 (-1141 *6) *6 *3)) (|:| A (-1 *5 (-763) (-763) (-1157 *5))) (|:| AF (-1 (-1157 *4) (-763) (-763) (-1201 (-1157 *4)))) (|:| AX (-1 *6 (-763) *3 *6)) (|:| C (-1 (-634 *5) (-763)))) (-634 (-465)))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1037 *3)) (-4 *5 (-1037 *3)) (-4 *4 (-365)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 *3) (-1037 (-568)) (-161) (-895 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-953 (-568))))) (-1201 (-409 (-953 (-568)))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-953 (-568)))))) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) (-1161))) (|:| A (-1 (-953 (-568)) (-763) (-763) (-1157 (-953 (-568))))) (|:| AF (-1 (-1157 (-409 (-953 (-568)))) (-763) (-763) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| AX (-1 (-310 (-568)) (-763) (-1161) (-310 (-568)))) (|:| C (-1 (-634 (-953 (-568))) (-763))))) (-5 *1 (-487)))) ((*1 *2 *3) (-12 (-4 (-409 (-953 (-568))) (-1037 *3)) (-4 (-953 (-568)) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1141 (-1201 (-409 (-953 (-568))))) (-1201 (-409 (-953 (-568)))))) (|:| |degreeStream| (-1141 (-763))) (|:| |testStream| (-1 (-1141 (-1201 (-1157 (-409 (-953 (-568)))))) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| |exprStream| (-1 (-1141 (-310 (-568))) (-310 (-568)) *3)) (|:| A (-1 (-953 (-568)) (-763) (-763) (-1157 (-953 (-568))))) (|:| AF (-1 (-1157 (-409 (-953 (-568)))) (-763) (-763) (-1201 (-1157 (-409 (-953 (-568))))))) (|:| AX (-1 (-310 (-568)) (-763) *3 (-310 (-568)))) (|:| C (-1 (-634 (-953 (-568))) (-763)))) (-634 (-465)))) (-5 *1 (-487)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 HPSPEC) (-5 *1 (-488 *4)) (-14 *4 (-1161)))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 HPSPEC (-634 (-465)))) (-5 *1 (-488 *4)) (-14 *4 *3)))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-763)) (-5 *5 (-634 *3)) (-4 *3 (-301)) (-4 *6 (-842)) (-4 *7 (-788)) (-5 *2 (-121)) (-5 *1 (-617 *6 *7 *3 *8)) (-4 *8 (-950 *3 *7 *6))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-121)) (-5 *1 (-824))))) 
-(((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1189 *3 *4 *5 *2)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *2 (-1061 *3 *4 *5))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-350)) (-4 *4 (-327 *3)) (-4 *5 (-1219 *4)) (-5 *1 (-769 *3 *4 *5 *2 *6)) (-4 *2 (-1219 *5)) (-14 *6 (-917)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-1261 *3)) (-4 *3 (-365)) (-4 *3 (-370)))) ((*1 *1 *1) (-12 (-4 *1 (-1261 *2)) (-4 *2 (-365)) (-4 *2 (-370))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-328))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-1161))) (-5 *1 (-820))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1201 *2)) (-4 *2 (-1047)))) ((*1 *1 *1) (-12 (-5 *1 (-1235 *2 *3 *4)) (-4 *2 (-1047)) (-14 *3 (-1161)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1239 *2 *3)) (-4 *2 (-1047)) (-14 *3 (-1161))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1226 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-1203 *3))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-989 *4 *5 *6 *7 *3)) (-4 *3 (-1066 *4 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-634 *3)) (-4 *3 (-1066 *5 *6 *7 *8)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *8 (-1061 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-989 *5 *6 *7 *8 *3)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1097 *4 *5 *6 *7 *3)) (-4 *3 (-1066 *4 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-634 *3)) (-4 *3 (-1066 *5 *6 *7 *8)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *8 (-1061 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1097 *5 *6 *7 *8 *3))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-1176))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1195)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *2 (-568)))) ((*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-5 *2 (-568))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-818)) (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1090)))) ((*1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1195)))) ((*1 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) ((*1 *2 *1) (-12 (-5 *1 (-494 *2)) (-4 *2 (-842)))) ((*1 *2 *1) (-12 (-5 *1 (-1000 *2)) (-4 *2 (-1090)))) ((*1 *2 *1) (-12 (-5 *1 (-1132 *2)) (-4 *2 (-1090))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-917)) (-4 *1 (-736 *3)) (-4 *3 (-172))))) 
-(((*1 *1 *2 *3) (-12 (-5 *1 (-429 *3 *2)) (-4 *3 (-13 (-172) (-43 (-409 (-568))))) (-4 *2 (-13 (-842) (-21)))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-325 *3)) (-4 *3 (-1195)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-525 *3 *4)) (-4 *3 (-1195)) (-14 *4 *2)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-439))))) 
-(((*1 *2) (-12 (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-1249)) (-5 *1 (-1067 *3 *4 *5 *6 *7)) (-4 *7 (-1066 *3 *4 *5 *6)))) ((*1 *2) (-12 (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-1249)) (-5 *1 (-1098 *3 *4 *5 *6 *7)) (-4 *7 (-1066 *3 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-1176))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) *2)) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-117)) (-5 *2 (-763))))) 
-(((*1 *1) (-5 *1 (-158)))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-148))) (-5 *1 (-143)))) ((*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-143))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-382)) (-5 *1 (-1040))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *5 *4 *4 *4 *3 *4 *4 *6) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *2 (-1036)) (-5 *1 (-742))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *6))) (-5 *4 (-635 (-1163))) (-4 *6 (-13 (-559) (-1038 *5))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *6)))))) (-5 *1 (-1039 *5 *6))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
+(((*1 *2 *3 *4 *2 *5 *6 *7 *8 *9 *10) (|partial| -12 (-5 *2 (-635 (-1159 *13))) (-5 *3 (-1159 *13)) (-5 *4 (-635 *12)) (-5 *5 (-635 *10)) (-5 *6 (-635 *13)) (-5 *7 (-635 (-635 (-2 (|:| -3358 (-764)) (|:| |pcoef| *13))))) (-5 *8 (-635 (-764))) (-5 *9 (-1247 (-635 (-1159 *10)))) (-4 *12 (-843)) (-4 *10 (-302)) (-4 *13 (-951 *10 *11 *12)) (-4 *11 (-789)) (-5 *1 (-698 *11 *12 *10 *13))))) 
+(((*1 *1 *1 *1 *1) (-4 *1 (-551)))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1193 *3)) (-4 *3 (-976))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-306)) (-5 *1 (-825))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1222 *6)) (-4 *6 (-13 (-27) (-433 *5))) (-4 *5 (-13 (-843) (-559) (-1038 (-569)))) (-4 *8 (-1222 (-410 *7))) (-5 *2 (-586 *3)) (-5 *1 (-554 *5 *6 *7 *8 *3)) (-4 *3 (-341 *6 *7 *8))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-121)) (-5 *1 (-825))))) 
+(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *5 *5 *5 *5 *4 *4 *6 *7) (-12 (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-89 FCNF)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-90 FCNG)))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-742))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-635 (-954 *4))) (-5 *3 (-635 (-1163))) (-4 *4 (-454)) (-5 *1 (-915 *4))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3493 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *2) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-534 *3)) (-4 *3 (-13 (-717) (-25)))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-635 *8)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1252)) (-5 *1 (-1248)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-1 *6 (-635 *6)))) (-4 *5 (-43 (-410 (-569)))) (-4 *6 (-1237 *5)) (-5 *2 (-635 *6)) (-5 *1 (-1239 *5 *6))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162))))) 
+(((*1 *1) (-4 *1 (-351))) ((*1 *2 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-433 *4)) (-4 *4 (-13 (-559) (-843) (-151))) (-5 *2 (-2 (|:| |primelt| *5) (|:| |poly| (-635 (-1159 *5))) (|:| |prim| (-1159 *5)))) (-5 *1 (-435 *4 *5)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-559) (-843) (-151))) (-5 *2 (-2 (|:| |primelt| *3) (|:| |pol1| (-1159 *3)) (|:| |pol2| (-1159 *3)) (|:| |prim| (-1159 *3)))) (-5 *1 (-435 *4 *3)) (-4 *3 (-27)) (-4 *3 (-433 *4)))) ((*1 *2 *3 *4 *3 *4) (-12 (-5 *3 (-954 *5)) (-5 *4 (-1163)) (-4 *5 (-13 (-366) (-151))) (-5 *2 (-2 (|:| |coef1| (-569)) (|:| |coef2| (-569)) (|:| |prim| (-1159 *5)))) (-5 *1 (-961 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-635 (-1163))) (-4 *5 (-13 (-366) (-151))) (-5 *2 (-2 (|:| -4140 (-635 (-569))) (|:| |poly| (-635 (-1159 *5))) (|:| |prim| (-1159 *5)))) (-5 *1 (-961 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-954 *6))) (-5 *4 (-635 (-1163))) (-5 *5 (-1163)) (-4 *6 (-13 (-366) (-151))) (-5 *2 (-2 (|:| -4140 (-635 (-569))) (|:| |poly| (-635 (-1159 *6))) (|:| |prim| (-1159 *6)))) (-5 *1 (-961 *6))))) 
+(((*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-559) (-151))) (-5 *2 (-2 (|:| -3833 *3) (|:| -1869 *3))) (-5 *1 (-1216 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL)))) (-5 *2 (-1036)) (-5 *1 (-742)))) ((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7 *8 *8) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL)))) (-5 *8 (-391)) (-5 *2 (-1036)) (-5 *1 (-742))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-951 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-449 *4 *5 *6 *2))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-820)) (-5 *3 (-635 (-1163))) (-5 *1 (-821))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-954 (-569))) (-5 *2 (-329)) (-5 *1 (-331))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-667 *3)) (-4 *3 (-1048)) (-4 *3 (-1091))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *3 *3 *3 *3 *5 *5 *4 *3 *6 *7) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-80 FCN JACOBF JACEPS)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-81 G JACOBG JACGEP)))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-742))))) 
+(((*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-691)))) ((*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-691))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-1013)) (-5 *2 (-851))))) 
+(((*1 *1) (-5 *1 (-564)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-608 *4)) (-4 *4 (-843)) (-4 *2 (-843)) (-5 *1 (-607 *2 *4))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-62 *2 *3 *4)) (-4 *2 (-1197)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *1 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-602 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1197))))) 
+(((*1 *2 *1 *1 *3 *4) (-12 (-5 *3 (-1 (-121) *5 *5)) (-5 *4 (-1 (-121) *6 *6)) (-4 *5 (-13 (-1091) (-39))) (-4 *6 (-13 (-1091) (-39))) (-5 *2 (-121)) (-5 *1 (-1126 *5 *6))))) 
+(((*1 *1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1197)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-131 *2)) (-4 *2 (-843)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-136 *2)) (-4 *2 (-843)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-278 *3)) (-4 *3 (-1197)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-278 *2)) (-4 *2 (-1197)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) (-5 *1 (-564)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-685 *2)) (-4 *2 (-1091)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| -2335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))))) (-5 *1 (-799)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091)))) ((*1 *2 *3 *4) (-12 (-5 *2 (-1252)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-1248)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1143 (-569))) (-5 *1 (-1147 *4)) (-4 *4 (-1048)) (-5 *3 (-569))))) 
+(((*1 *2) (-12 (-5 *2 (-635 (-764))) (-5 *1 (-1250)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-764))) (-5 *1 (-1250))))) 
+(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1036)) (-5 *1 (-741))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-764)) (-4 *4 (-302)) (-4 *6 (-1222 *4)) (-5 *2 (-1247 (-635 *6))) (-5 *1 (-458 *4 *6)) (-5 *5 (-635 *6))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351))))) 
+(((*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-764)) (-4 *4 (-173))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-680 (-410 (-954 (-569))))) (-5 *2 (-680 (-311 (-569)))) (-5 *1 (-1032))))) 
+(((*1 *2 *2 *2 *3 *3 *4 *2 *5) (|partial| -12 (-5 *3 (-608 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1163))) (-5 *5 (-1159 *2)) (-4 *2 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *1 (-565 *6 *2 *7)) (-4 *7 (-1091)))) ((*1 *2 *2 *2 *3 *3 *4 *3 *2 *5) (|partial| -12 (-5 *3 (-608 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1163))) (-5 *5 (-410 (-1159 *2))) (-4 *2 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *1 (-565 *6 *2 *7)) (-4 *7 (-1091))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-559)) (-4 *7 (-951 *3 *5 *6)) (-5 *2 (-2 (|:| -2356 (-764)) (|:| -4140 *8) (|:| |radicand| *8))) (-5 *1 (-955 *5 *6 *3 *7 *8)) (-5 *4 (-764)) (-4 *8 (-13 (-366) (-10 -8 (-15 -4116 (*7 $)) (-15 -4121 (*7 $)) (-15 -2185 ($ *7)))))))) 
+(((*1 *2 *1 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *5 *5)) (-4 *5 (-1237 *4)) (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-1 (-1143 *4) (-1143 *4) (-1143 *4))) (-5 *1 (-1239 *4 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-851))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-454)) (-4 *4 (-843)) (-4 *5 (-789)) (-5 *2 (-121)) (-5 *1 (-989 *3 *4 *5 *6)) (-4 *6 (-951 *3 *5 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1126 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39)))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-741))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *3 (-236 *10)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-117)) (-5 *2 (-2 (|:| |num| (-635 *6)) (|:| |den| *6))) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-764)) (-4 *5 (-351)) (-5 *2 (-635 (-410 (-243 *6 *5)))) (-5 *1 (-868 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-4 *7 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-237 (-923 *4))) (-4 *4 (-351)) (-5 *2 (-2 (|:| |num| (-635 (-243 *5 *4))) (|:| |den| (-243 *5 *4)))) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-922 *5))) (-5 *4 (-764)) (-4 *5 (-366)) (-5 *2 (-635 (-410 (-243 *6 *5)))) (-5 *1 (-869 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-4 *7 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-237 (-922 *4))) (-4 *4 (-366)) (-5 *2 (-2 (|:| |num| (-635 (-243 *5 *4))) (|:| |den| (-243 *5 *4)))) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117))))) 
+(((*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-635 *8)) (|:| |towers| (-635 (-1028 *5 *6 *7 *8))))) (-5 *1 (-1028 *5 *6 *7 *8)) (-5 *3 (-635 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-635 *8)) (|:| |towers| (-635 (-1132 *5 *6 *7 *8))))) (-5 *1 (-1132 *5 *6 *7 *8)) (-5 *3 (-635 *8))))) 
+(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1036)) (-5 *1 (-741))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-493 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-1048)) (-5 *2 (-243 *4 *5)) (-5 *1 (-946 *4 *5))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-5 *2 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *5)) (-5 *1 (-119 *5 *6 *3 *7 *4)) (-4 *3 (-325 *5 *7)) (-4 *4 (-117))))) 
+(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-99))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-537 *2 *3 *4 *5 *6 *7 *8 *9 *10)) (-4 *4 (-951 *2 *5 (-853 *3))) (-4 *5 (-231 (-4168 *3) (-764))) (-4 *6 (-972 *2)) (-4 *7 (-642 *2)) (-4 *8 (-921 *2 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117)) (-4 *2 (-366))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-843)) (-5 *2 (-2 (|:| |f1| (-635 *4)) (|:| |f2| (-635 (-635 (-635 *4)))) (|:| |f3| (-635 (-635 *4))) (|:| |f4| (-635 (-635 (-635 *4)))))) (-5 *1 (-1169 *4)) (-5 *3 (-635 (-635 (-635 *4))))))) 
+(((*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-741))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-918))) (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-642 *4)) (-4 *3 (-921 *4 *8)) (-4 *9 (-236 *3)) (-4 *10 (-537 *4 *5 *6 *7 *2 *8 *3 *9 *12)) (-4 *12 (-117)) (-4 *2 (-972 *4)) (-5 *1 (-468 *4 *5 *6 *7 *2 *8 *3 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-642 *4)) (-4 *2 (-972 *4)) (-5 *1 (-655 *4 *5 *6 *7 *2 *8 *3)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *3 (-921 *4 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-923 *4)) (-4 *4 (-351)) (-5 *2 (-968 *4)) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-922 *4)) (-4 *4 (-366)) (-5 *2 (-967 *4)) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-439))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *2 (-1036)) (-5 *1 (-300)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036)))) (-5 *2 (-1036)) (-5 *1 (-300))))) 
+(((*1 *2 *3 *4) (-12 (-4 *7 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-559)) (-4 *8 (-951 *7 *5 *6)) (-5 *2 (-2 (|:| -2356 (-764)) (|:| -4140 *3) (|:| |radicand| *3))) (-5 *1 (-955 *5 *6 *7 *8 *3)) (-5 *4 (-764)) (-4 *3 (-13 (-366) (-10 -8 (-15 -4116 (*8 $)) (-15 -4121 (*8 $)) (-15 -2185 ($ *8)))))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (|has| *1 (-6 -4536)) (-4 *1 (-1234 *3)) (-4 *3 (-1197))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-39)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1091)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-843)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1133 *3)) (-4 *3 (-1091))))) 
+(((*1 *1 *1) (-4 *1 (-1057))) ((*1 *1 *1 *2 *2) (-12 (-4 *1 (-1224 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1224 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788))))) 
+(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *4 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1036)) (-5 *1 (-741))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1130)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1197)) (-5 *1 (-378 *4 *2)) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4536))))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-1091)) (-5 *1 (-966 *3 *2)) (-4 *3 (-1091))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -2247 *4) (|:| -2496 (-569))))) (-4 *4 (-1091)) (-5 *2 (-1 *4)) (-5 *1 (-1018 *4))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *2 (-635 (-635 (-635 *5)))) (-5 *3 (-1 (-121) *5 *5)) (-5 *4 (-635 *5)) (-4 *5 (-843)) (-5 *1 (-1169 *5))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-569)))) ((*1 *2 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-569)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-569))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-260 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-514 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-538 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2 *1) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-5 *2 (-851)) (-5 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *7 (-972 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-366)) (-4 *3 (-1048)) (-5 *1 (-1147 *3))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1163)) (-5 *5 (-635 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-454) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-560 *6 *3))))) 
+(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-841)) (-4 *4 (-366)) (-5 *2 (-764)) (-5 *1 (-947 *4 *5)) (-4 *5 (-1222 *4))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-1247 *4)) (-4 *4 (-631 (-569))) (-5 *2 (-1247 (-569))) (-5 *1 (-1272 *4))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-1247 *6)) (-5 *1 (-335 *3 *4 *5 *6)) (-4 *6 (-341 *3 *4 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-5 *1 (-326 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-5 *1 (-526 *3 *4)) (-14 *4 (-569))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-815 *3)))) ((*1 *2 *1) (-12 (-4 *2 (-839)) (-5 *1 (-1268 *3 *2)) (-4 *3 (-1048))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843))) (-4 *2 (-13 (-433 (-170 *4)) (-1003) (-1183))) (-5 *1 (-598 *4 *3 *2)) (-4 *3 (-13 (-433 *4) (-1003) (-1183)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-148)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-148))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-376 *2)) (-4 *2 (-1197)) (-4 *2 (-843)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-376 *3)) (-4 *3 (-1197)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-901 *3))) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-4 *6 (-1062 *4 *5 *3)) (-5 *2 (-2 (|:| |under| *1) (|:| -2942 *1) (|:| |upper| *1))) (-4 *1 (-978 *4 *5 *3 *6))))) 
+(((*1 *2 *1 *3 *3) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-602 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1197)) (-5 *2 (-1252))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-1179)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1179))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-680 (-311 (-569)))) (-5 *1 (-1032))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-121)) (-5 *1 (-925 *4 *5 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-121)) (-5 *1 (-925 *4 *5 *6 *7)) (-4 *7 (-951 *4 *6 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1135 *3)) (-4 *3 (-1197)) (-5 *2 (-121))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-890 *2 *3)) (-4 *2 (-1222 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3))))) 
+(((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1062 *3 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1222 (-410 *3))) (-5 *2 (-918)) (-5 *1 (-910 *4 *5)) (-4 *5 (-1222 (-410 *4)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-37 *4)) (-4 *4 (-366)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-421 *3)) (-4 *3 (-551)) (-4 *3 (-559)))) ((*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-793 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-829 *3)) (-4 *3 (-551)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-836 *3)) (-4 *3 (-551)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-972 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-972 *4)) (-4 *4 (-366)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-998 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-1009 *3)) (-4 *3 (-1038 (-410 (-569))))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-680 (-410 (-569)))) (-5 *2 (-635 *4)) (-5 *1 (-774 *4)) (-4 *4 (-13 (-366) (-841)))))) 
+(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1252) (-1247 *5) (-1247 *5) (-382))) (-5 *3 (-1247 (-382))) (-5 *5 (-382)) (-5 *2 (-1252)) (-5 *1 (-784)))) ((*1 *2 *3 *4 *5 *5 *6 *3 *3 *3 *3) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1252) (-1247 *5) (-1247 *5) (-382))) (-5 *3 (-1247 (-382))) (-5 *5 (-382)) (-5 *2 (-1252)) (-5 *1 (-784))))) 
+(((*1 *2 *3 *2) (|partial| -12 (-5 *3 (-918)) (-5 *1 (-444 *2)) (-4 *2 (-1222 (-569))))) ((*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-918)) (-5 *4 (-764)) (-5 *1 (-444 *2)) (-4 *2 (-1222 (-569))))) ((*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-918)) (-5 *4 (-635 (-764))) (-5 *1 (-444 *2)) (-4 *2 (-1222 (-569))))) ((*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *3 (-918)) (-5 *4 (-635 (-764))) (-5 *5 (-764)) (-5 *1 (-444 *2)) (-4 *2 (-1222 (-569))))) ((*1 *2 *3 *2 *4 *5 *6) (|partial| -12 (-5 *3 (-918)) (-5 *4 (-635 (-764))) (-5 *5 (-764)) (-5 *6 (-121)) (-5 *1 (-444 *2)) (-4 *2 (-1222 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-421 *2)) (-4 *2 (-1222 *5)) (-5 *1 (-446 *5 *2)) (-4 *5 (-1048))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-979 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-543 *4 *2)) (-4 *2 (-1237 *4)))) ((*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-13 (-366) (-371) (-610 *3))) (-4 *5 (-1222 *4)) (-4 *6 (-715 *4 *5)) (-5 *1 (-547 *4 *5 *6 *2)) (-4 *2 (-1237 *6)))) ((*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-13 (-366) (-371) (-610 *3))) (-5 *1 (-548 *4 *2)) (-4 *2 (-1237 *4)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1143 *4)) (-5 *3 (-569)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-1138 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1213 *3)) (-4 *3 (-1197))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-23)) (-5 *1 (-285 *3 *4 *2 *5 *6 *7)) (-4 *4 (-1222 *3)) (-14 *5 (-1 *4 *4 *2)) (-14 *6 (-1 (-3 *2 "failed") *2 *2)) (-14 *7 (-1 (-3 *4 "failed") *4 *4 *2)))) ((*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-702 *3 *2 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) ((*1 *2) (-12 (-4 *2 (-1222 *3)) (-5 *1 (-703 *3 *2)) (-4 *3 (-1048)))) ((*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-706 *3 *2 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) ((*1 *2) (-12 (-4 *1 (-864 *3)) (-5 *2 (-569))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-433 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-635 (-888 *3))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-951 *3 *4 *5)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-635 *3)) (-5 *1 (-952 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $)))))))) 
+(((*1 *2) (-12 (-5 *2 (-836 (-569))) (-5 *1 (-540)))) ((*1 *1) (-12 (-5 *1 (-836 *2)) (-4 *2 (-1091))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1222 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-918)) (-4 *1 (-1224 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-4 *1 (-1227 *3)) (-4 *3 (-1048))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1268 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-839))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-2 (|:| |k| (-815 *3)) (|:| |c| *4)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-156 *3 *4 *5)) (-14 *3 *2) (-4 *4 (-366)) (-14 *5 (-995 *3 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1 (-1143 (-954 *4)) (-1143 (-954 *4)))) (-5 *1 (-1255 *4)) (-4 *4 (-366))))) 
+(((*1 *2) (-12 (-5 *2 (-836 (-569))) (-5 *1 (-540)))) ((*1 *1) (-12 (-5 *1 (-836 *2)) (-4 *2 (-1091))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-321 *2 *4)) (-4 *4 (-138)) (-4 *2 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-364 *2)) (-4 *2 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-389 *2)) (-4 *2 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-1091)) (-5 *1 (-639 *2 *4 *5)) (-4 *4 (-23)) (-14 *5 *4))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-815 *2)) (-4 *2 (-843))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-559)) (-5 *1 (-971 *4 *2)) (-4 *2 (-1222 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-976)) (-5 *2 (-1085 (-216)))))) 
+(((*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-745))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1163)) (-5 *1 (-608 *3)) (-4 *3 (-843))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5))))) 
+(((*1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-376 *2)) (-4 *2 (-1197)) (-4 *2 (-843)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (|has| *1 (-6 -4536)) (-4 *1 (-376 *3)) (-4 *3 (-1197))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-843) (-559))) (-5 *2 (-121)) (-5 *1 (-273 *4 *3)) (-4 *3 (-13 (-433 *4) (-1003)))))) 
+(((*1 *2 *2 *3 *4 *5) (-12 (-5 *3 (-123)) (-5 *2 (-569)) (-5 *4 (-1163)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *1 (-1025 *6 *5)) (-4 *5 (-13 (-433 *6) (-23) (-1038 *2) (-1038 *4) (-896 *4) (-162)))))) 
+(((*1 *2 *1 *1 *3) (-12 (-5 *3 (-1 (-121) *5 *5)) (-4 *5 (-13 (-1091) (-39))) (-5 *2 (-121)) (-5 *1 (-1126 *4 *5)) (-4 *4 (-13 (-1091) (-39)))))) 
+(((*1 *2 *3 *4 *5 *5 *5 *6 *4 *4 *4 *5 *4 *5 *7) (-12 (-5 *3 (-1145)) (-5 *5 (-680 (-216))) (-5 *6 (-216)) (-5 *7 (-680 (-569))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-745))))) 
+(((*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-569)) (-4 *3 (-173)) (-4 *5 (-376 *3)) (-4 *6 (-376 *3)) (-5 *1 (-679 *3 *5 *6 *2)) (-4 *2 (-678 *3 *5 *6))))) 
+(((*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *2 (-972 *3)) (-4 *7 (-642 *3)) (-4 *8 (-921 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117))))) 
+(((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-121)) (-5 *5 (-569)) (-4 *6 (-366)) (-4 *6 (-371)) (-4 *6 (-1048)) (-5 *2 (-635 (-635 (-680 *6)))) (-5 *1 (-1030 *6)) (-5 *3 (-635 (-680 *6))))) ((*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *4 (-371)) (-4 *4 (-1048)) (-5 *2 (-635 (-635 (-680 *4)))) (-5 *1 (-1030 *4)) (-5 *3 (-635 (-680 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-366)) (-4 *5 (-371)) (-4 *5 (-1048)) (-5 *2 (-635 (-635 (-680 *5)))) (-5 *1 (-1030 *5)) (-5 *3 (-635 (-680 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-366)) (-4 *5 (-371)) (-4 *5 (-1048)) (-5 *2 (-635 (-635 (-680 *5)))) (-5 *1 (-1030 *5)) (-5 *3 (-635 (-680 *5)))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1206 *4)) (-4 *4 (-1048)) (-4 *4 (-559)) (-5 *2 (-410 (-954 *4))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1206 *4)) (-4 *4 (-1048)) (-4 *4 (-559)) (-5 *2 (-410 (-954 *4)))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1122 (-216))) (-5 *3 (-635 (-257))) (-5 *1 (-1249)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1122 (-216))) (-5 *3 (-1145)) (-5 *1 (-1249)))) ((*1 *1 *1) (-5 *1 (-1249)))) 
+(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *5 *3 *3 *3 *6 *4 *3) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-680 (-569))) (-5 *6 (-216)) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-745))))) 
+(((*1 *1) (-5 *1 (-148)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1176))))) 
+(((*1 *2 *3 *4 *5 *4 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *7 *4) (-12 (-5 *3 (-1145)) (-5 *5 (-680 (-216))) (-5 *6 (-216)) (-5 *7 (-680 (-569))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-745))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -2436 *4)))) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1091)) (-4 *4 (-23)) (-14 *5 *4)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-326 *3)) (-4 *3 (-1197)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-526 *3 *4)) (-4 *3 (-1197)) (-14 *4 (-569))))) 
+(((*1 *2 *3 *4 *5 *5 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-216)) (-5 *2 (-1036)) (-5 *1 (-745))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-616 *4 *5)) (-5 *3 (-1 (-2 (|:| |ans| *4) (|:| -1869 *4) (|:| |sol?| (-121))) (-569) *4)) (-4 *4 (-366)) (-4 *5 (-1222 *4)) (-5 *1 (-579 *4 *5))))) 
+(((*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -1869 *6) (|:| |sol?| (-121))) (-569) *6)) (-4 *6 (-366)) (-4 *7 (-1222 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-410 *7)) (|:| |a0| *6)) (-2 (|:| -3032 (-410 *7)) (|:| |coeff| (-410 *7))) "failed")) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-745))))) 
+(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-569)) (-5 *3 (-918)) (-5 *1 (-689)))) ((*1 *2 *2 *2 *3 *4) (-12 (-5 *2 (-680 *5)) (-5 *3 (-101 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-366)) (-5 *1 (-980 *5))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569)))))) 
+(((*1 *1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-421 *2)) (-4 *2 (-559))))) 
+(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-569)) (-5 *1 (-868 *4 *5 *6)) (-4 (-858 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-569)) (-5 *1 (-869 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-117))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1126 *4 *5)) (-4 *4 (-13 (-1091) (-39))) (-4 *5 (-13 (-1091) (-39))) (-5 *2 (-121)) (-5 *1 (-1127 *4 *5))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-680 *8)) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-954 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *5)))) (|:| -3930 (-635 (-1247 (-410 (-954 *5)))))))))) (-5 *1 (-925 *5 *6 *7 *8)) (-5 *4 (-635 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-680 *8)) (-5 *4 (-635 (-1163))) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-954 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *5)))) (|:| -3930 (-635 (-1247 (-410 (-954 *5)))))))))) (-5 *1 (-925 *5 *6 *7 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-680 *7)) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *7)) (|:| |neqzro| (-635 *7)) (|:| |wcond| (-635 (-954 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *4)))) (|:| -3930 (-635 (-1247 (-410 (-954 *4)))))))))) (-5 *1 (-925 *4 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *9)) (-5 *5 (-918)) (-4 *9 (-951 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-843) (-610 (-1163)))) (-4 *8 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *9)) (|:| |neqzro| (-635 *9)) (|:| |wcond| (-635 (-954 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *6)))) (|:| -3930 (-635 (-1247 (-410 (-954 *6)))))))))) (-5 *1 (-925 *6 *7 *8 *9)) (-5 *4 (-635 *9)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *9)) (-5 *4 (-635 (-1163))) (-5 *5 (-918)) (-4 *9 (-951 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-843) (-610 (-1163)))) (-4 *8 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *9)) (|:| |neqzro| (-635 *9)) (|:| |wcond| (-635 (-954 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *6)))) (|:| -3930 (-635 (-1247 (-410 (-954 *6)))))))))) (-5 *1 (-925 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-680 *8)) (-5 *4 (-918)) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-954 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *5)))) (|:| -3930 (-635 (-1247 (-410 (-954 *5)))))))))) (-5 *1 (-925 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *9)) (-5 *4 (-635 *9)) (-5 *5 (-1145)) (-4 *9 (-951 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-843) (-610 (-1163)))) (-4 *8 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *6 *7 *8 *9)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *9)) (-5 *4 (-635 (-1163))) (-5 *5 (-1145)) (-4 *9 (-951 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-843) (-610 (-1163)))) (-4 *8 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-680 *8)) (-5 *4 (-1145)) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-680 *10)) (-5 *4 (-635 *10)) (-5 *5 (-918)) (-5 *6 (-1145)) (-4 *10 (-951 *7 *9 *8)) (-4 *7 (-13 (-302) (-151))) (-4 *8 (-13 (-843) (-610 (-1163)))) (-4 *9 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-680 *10)) (-5 *4 (-635 (-1163))) (-5 *5 (-918)) (-5 *6 (-1145)) (-4 *10 (-951 *7 *9 *8)) (-4 *7 (-13 (-302) (-151))) (-4 *8 (-13 (-843) (-610 (-1163)))) (-4 *9 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *9)) (-5 *4 (-918)) (-5 *5 (-1145)) (-4 *9 (-951 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-843) (-610 (-1163)))) (-4 *8 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *6 *7 *8 *9))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *4 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-745))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-3 (-130) (-569))) (-5 *1 (-130))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-64 *6)) (-4 *6 (-1197)) (-4 *5 (-1197)) (-5 *2 (-64 *5)) (-5 *1 (-63 *6 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *7 *5)) (-5 *4 (-233 *6 *7)) (-14 *6 (-764)) (-4 *7 (-1197)) (-4 *5 (-1197)) (-5 *2 (-233 *6 *5)) (-5 *1 (-232 *6 *7 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1197)) (-4 *5 (-1197)) (-4 *2 (-376 *5)) (-5 *1 (-374 *6 *4 *5 *2)) (-4 *4 (-376 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1091)) (-4 *5 (-1091)) (-4 *2 (-428 *5)) (-5 *1 (-426 *6 *4 *5 *2)) (-4 *4 (-428 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-635 *6)) (-4 *6 (-1197)) (-4 *5 (-1197)) (-5 *2 (-635 *5)) (-5 *1 (-633 *6 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-959 *6)) (-4 *6 (-1197)) (-4 *5 (-1197)) (-5 *2 (-959 *5)) (-5 *1 (-958 *6 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *3 *6 *3)) (-5 *5 (-1143 *6)) (-4 *6 (-1197)) (-4 *3 (-1197)) (-5 *2 (-1143 *3)) (-5 *1 (-1141 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-1247 *6)) (-4 *6 (-1197)) (-4 *5 (-1197)) (-5 *2 (-1247 *5)) (-5 *1 (-1246 *6 *5))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
+(((*1 *2 *3 *1) (-12 (-4 *4 (-366)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5 *6 *3)) (-4 *3 (-951 *4 *5 *6))))) 
+(((*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-945 (-216))) (-5 *4 (-870)) (-5 *5 (-918)) (-5 *2 (-1252)) (-5 *1 (-474)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-945 (-216))) (-5 *2 (-1252)) (-5 *1 (-474)))) ((*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-635 (-945 (-216)))) (-5 *4 (-870)) (-5 *5 (-918)) (-5 *2 (-1252)) (-5 *1 (-474))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-858 *4))) (-4 *4 (-351)) (-5 *2 (-968 *4)) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-5 *2 (-967 *4)) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-972 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-121)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-979 *4 *5 *6 *7))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-382)))) ((*1 *1 *1 *1) (-4 *1 (-551))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) ((*1 *1 *2) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-764))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-560 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-376 *3)) (-4 *3 (-1197)) (-4 *3 (-843)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *1 (-376 *4)) (-4 *4 (-1197)) (-5 *2 (-121))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-586 *2)) (-4 *2 (-366))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-121)) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-4 *3 (-13 (-27) (-1183) (-433 *6) (-10 -8 (-15 -2185 ($ *7))))) (-4 *7 (-841)) (-4 *8 (-13 (-1224 *3 *7) (-366) (-1183) (-10 -8 (-15 -3899 ($ $)) (-15 -2565 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145)))))) (-5 *1 (-425 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1145)) (-4 *9 (-985 *8)) (-14 *10 (-1163))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1145)) (-4 *1 (-367 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-759 *2 *3)) (-4 *2 (-699 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-635 *4))))) 
+(((*1 *1 *1) (-5 *1 (-1060)))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1048)) (-5 *2 (-1247 *4)) (-5 *1 (-1164 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-5 *2 (-1247 *3)) (-5 *1 (-1164 *3)) (-4 *3 (-1048))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-587 *3)) (-4 *3 (-551))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1229 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1206 *3)) (-5 *2 (-410 (-569)))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-764)) (-4 *1 (-224 *4)) (-4 *4 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-224 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-226)) (-5 *2 (-764)))) ((*1 *1 *1) (-4 *1 (-226))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)) (-4 *4 (-1222 *3)))) ((*1 *1 *1) (-12 (-4 *2 (-13 (-366) (-151))) (-5 *1 (-402 *2 *3)) (-4 *3 (-1222 *2)))) ((*1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1048)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 (-764))) (-4 *1 (-896 *4)) (-4 *4 (-1091)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-896 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-896 *3)) (-4 *3 (-1091)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-896 *2)) (-4 *2 (-1091))))) 
+(((*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250)))) ((*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-852)))) ((*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1252)) (-5 *1 (-852)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-851)) (-5 *2 (-1252)) (-5 *1 (-852)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-1143 *4)) (-4 *4 (-1091)) (-4 *4 (-1197))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2714 (-778 *3)) (|:| |coef2| (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| -2714 *1) (|:| |coef2| *1))) (-4 *1 (-1062 *3 *4 *5))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) ((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-911 *2)) (-4 *2 (-302))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1048)) (-5 *2 (-635 *1)) (-4 *1 (-1123 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-569)) (-5 *1 (-497 *4)) (-4 *4 (-1222 *2))))) 
+(((*1 *1 *1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1143 *3)) (-4 *3 (-1197)))) ((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-235)) (-5 *3 (-1145)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-235)))) ((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-870))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-764)) (-5 *3 (-945 *4)) (-4 *1 (-1123 *4)) (-4 *4 (-1048)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-764)) (-5 *4 (-945 (-216))) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1213 (-569))) (-4 *1 (-641 *3)) (-4 *3 (-1197)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-641 *3)) (-4 *3 (-1197))))) 
+(((*1 *1 *1) (|partial| -12 (-5 *1 (-1127 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-1143 *3))) (-5 *2 (-1143 *3)) (-5 *1 (-1147 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-121)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-979 *4 *5 *6 *7))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5))))) 
+(((*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-447 *3)) (-4 *3 (-1048))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1193 *3)) (-4 *3 (-976))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-1038 (-410 *2)))) (-5 *2 (-569)) (-5 *1 (-124 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-764)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-635 (-945 *4))) (-4 *1 (-1123 *4)) (-4 *4 (-1048)) (-5 *2 (-764))))) 
+(((*1 *1) (-5 *1 (-440)))) 
+(((*1 *1 *2 *2) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1117 *3 *2)) (-4 *3 (-1222 *2))))) 
+(((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -1809 *1))) (-4 *1 (-845 *3))))) 
+(((*1 *2 *1 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-126 *4)) (-14 *4 *3) (-5 *3 (-569)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-864 *3)) (-5 *2 (-569)))) ((*1 *2 *1 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-866 *4)) (-14 *4 *3) (-5 *3 (-569)))) ((*1 *2 *1 *3) (-12 (-14 *4 *3) (-5 *2 (-410 (-569))) (-5 *1 (-867 *4 *5)) (-5 *3 (-569)) (-4 *5 (-864 *4)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1013)) (-5 *2 (-410 (-569))))) ((*1 *2 *3 *1 *2) (-12 (-4 *1 (-1064 *2 *3)) (-4 *2 (-13 (-841) (-366))) (-4 *3 (-1222 *2)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-1224 *2 *3)) (-4 *3 (-788)) (|has| *2 (-15 ** (*2 *2 *3))) (|has| *2 (-15 -2185 (*2 (-1163)))) (-4 *2 (-1048))))) 
+(((*1 *1 *2 *2) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1183)))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-764) (-764) *8)) (-5 *5 (-1247 *9)) (-5 *6 (-635 (-764))) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-325 *7 (-764))) (-4 *9 (-325 (-410 *7) (-764))) (-5 *2 (-680 (-1159 *7))) (-5 *1 (-346 *7 *8 *9)))) ((*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-764) (-764) *8)) (-5 *5 (-1247 *9)) (-5 *6 (-764)) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-325 *7 *6)) (-4 *9 (-325 (-410 *7) *6)) (-5 *2 (-1143 (-680 (-1159 *7)))) (-5 *1 (-346 *7 *8 *9)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-764) (-764) *8)) (-5 *5 (-1247 *8)) (-5 *6 (-635 (-764))) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-52 *7 (-764))) (-5 *2 (-680 (-1159 *7))) (-5 *1 (-347 *7 *8)))) ((*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-764) (-764) *8)) (-5 *5 (-1247 *8)) (-5 *6 (-764)) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-52 *7 *6)) (-5 *2 (-1143 (-680 (-1159 *7)))) (-5 *1 (-347 *7 *8))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-680 *4)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-680 *4)) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) ((*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-680 *3))))) 
+(((*1 *2 *3 *1) (|partial| -12 (-4 *1 (-41 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-5 *2 (-2 (|:| -2335 *3) (|:| -3782 *4)))))) 
+(((*1 *2 *2 *3 *4) (-12 (-5 *2 (-635 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-979 *5 *6 *7 *8))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-851)))) ((*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1252)) (-5 *1 (-963))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-849 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-173))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1091)) (-5 *1 (-901 *3))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-849 *2)) (-4 *2 (-173)))) ((*1 *2 *3 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-849 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *1) (-12 (-14 *3 (-635 (-1163))) (-4 *4 (-173)) (-14 *6 (-1 (-121) (-2 (|:| -3998 *5) (|:| -2356 *2)) (-2 (|:| -3998 *5) (|:| -2356 *2)))) (-4 *2 (-231 (-4168 *3) (-764))) (-5 *1 (-464 *3 *4 *5 *2 *6 *7)) (-4 *5 (-843)) (-4 *7 (-951 *4 *2 (-853 *3)))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-764))) (-5 *3 (-121)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)) (-4 *5 (-1048))))) 
+(((*1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1197))))) 
+(((*1 *1 *1 *2) (-12 (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39)))))) 
+(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-764)) (-4 *5 (-173)))) ((*1 *1 *1 *2 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-764)) (-4 *5 (-173)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-515 (-410 (-569)) (-233 *5 (-764)) (-853 *4) (-243 *4 (-410 (-569))))) (-5 *3 (-635 (-853 *4))) (-14 *4 (-635 (-1163))) (-14 *5 (-764)) (-5 *1 (-516 *4 *5))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-635 (-1163))) (-5 *2 (-1163)) (-5 *1 (-329))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-678 *4 *5 *6)) (-5 *1 (-108 *4 *3 *2 *5 *6)) (-4 *3 (-1222 *4)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1237 *4)) (-5 *1 (-1239 *4 *2)) (-4 *4 (-43 (-410 (-569))))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1048)) (-5 *1 (-319 *4 *5 *2 *6)) (-4 *6 (-951 *2 *4 *5))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-143)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-148))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-1001 *3))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-764)) (-5 *3 (-121)) (-5 *1 (-114)))) ((*1 *2 *2) (-12 (-5 *2 (-918)) (|has| *1 (-6 -4526)) (-4 *1 (-407)))) ((*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-918))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1040))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-302)) (-5 *1 (-913 *3 *4 *5 *2)) (-4 *2 (-951 *5 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1159 *6)) (-4 *6 (-951 *5 *3 *4)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-302)) (-5 *1 (-913 *3 *4 *5 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-951 *6 *4 *5)) (-5 *1 (-913 *4 *5 *6 *2)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *14)) (-4 *14 (-259 *13)) (-4 *13 (-537 *5 *6 *7 *8 *9 *10 *11 *12 *15)) (-4 *15 (-117)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-951 *5 *8 (-853 *6))) (-4 *8 (-231 (-4168 *6) *3)) (-4 *9 (-972 *5)) (-4 *10 (-642 *5)) (-4 *11 (-921 *5 *10)) (-4 *12 (-236 *11)) (-5 *3 (-764)) (-5 *2 (-569)) (-5 *1 (-261 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14 *15))))) 
+(((*1 *1) (-5 *1 (-329)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-851))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-911 *2)) (-4 *2 (-302))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-302)) (-5 *1 (-690 *3))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162))))) 
+(((*1 *2 *1 *2 *3) (-12 (-5 *3 (-635 (-1145))) (-5 *2 (-1145)) (-5 *1 (-1248)))) ((*1 *2 *1 *2 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1248)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1248)))) ((*1 *2 *1 *2 *3) (-12 (-5 *3 (-635 (-1145))) (-5 *2 (-1145)) (-5 *1 (-1249)))) ((*1 *2 *1 *2 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1249)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1249))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-911 *2)) (-4 *2 (-302))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1252)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-1248)))) ((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-1249))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-366)))) ((*1 *2 *1) (-12 (-4 *1 (-972 *2)) (-4 *2 (-366))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *6) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *3 (-635 *6)) (-4 *6 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *6)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *7) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *6 (-635 (-466))) (-5 *3 (-635 *7)) (-4 *7 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 *8) (|:| -2558 (-764)))) (-635 *6) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *3 (-635 *6)) (-4 *6 (-366)) (-14 *11 (-1 *8 *6)) (-4 *9 (-13 (-843) (-559))) (-14 *10 (-1 *6 *9)) (-5 *2 (-635 (-2 (|:| -1813 *8) (|:| -2558 (-764))))) (-5 *1 (-487 *6 *7 *8 *9 *10 *11)) (-4 *7 (-454)) (-4 *8 (-13 (-433 (-569)) (-559) (-1038 *9) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 *9) (|:| -2558 (-764)))) (-635 *7) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *6 (-635 (-466))) (-5 *3 (-635 *7)) (-4 *7 (-366)) (-14 *12 (-1 *9 *7)) (-4 *10 (-13 (-843) (-559))) (-14 *11 (-1 *7 *10)) (-5 *2 (-635 (-2 (|:| -1813 *9) (|:| -2558 (-764))))) (-5 *1 (-487 *7 *8 *9 *10 *11 *12)) (-4 *8 (-454)) (-4 *9 (-13 (-433 (-569)) (-559) (-1038 *10) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-734 *6 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *6 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *3 (-635 (-410 (-735 *6 (-569))))) (-14 *6 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *6 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *6)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-734 *7 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *7 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-410 (-735 *7 (-569))))) (-14 *7 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *7 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *7))))) 
+(((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *6)))) (-5 *4 (-1027 (-836 (-569)))) (-5 *5 (-1163)) (-5 *7 (-410 (-569))) (-4 *6 (-1048)) (-5 *2 (-851)) (-5 *1 (-594 *6))))) 
+(((*1 *1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-1048)) (-4 *4 (-231 *5 (-764))) (-14 *5 (-764)) (-5 *1 (-909 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-930 *4 *2 *5 *6 *3)) (-4 *2 (-325 *4 *5)) (-4 *3 (-972 *4)))) ((*1 *2 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-366)) (-4 *6 (-231 *7 (-764))) (-14 *7 (-764)) (-5 *1 (-930 *5 *2 *6 *7 *3)) (-4 *2 (-325 *5 *6)) (-4 *3 (-972 *5))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3))))) 
+(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1109)) (-5 *1 (-113)))) ((*1 *2 *1) (|partial| -12 (-5 *1 (-368 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-1145)) (-5 *1 (-1179))))) 
+(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *5 (-608 *4)) (-5 *6 (-1163)) (-4 *4 (-13 (-433 *7) (-27) (-1183))) (-4 *7 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-571 *7 *4 *3)) (-4 *3 (-647 *4)) (-4 *3 (-1091))))) 
+(((*1 *1 *2 *3) (-12 (-4 *4 (-366)) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-642 *4)) (-4 *8 (-921 *4 *7)) (-4 *1 (-537 *4 *5 *3 *6 *2 *7 *8 *9 *10)) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *2 (-972 *4)) (-4 *9 (-236 *8)) (-4 *10 (-117)))) ((*1 *1 *2 *3 *4 *5 *6 *5 *7 *8 *9) (-12 (-5 *3 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *8)) (-5 *4 (-33 *8)) (-5 *9 (-1163)) (-4 *8 (-366)) (-5 *5 (-764)) (-4 *12 (-231 (-4168 *10) *5)) (-4 *13 (-642 *8)) (-4 *14 (-921 *8 *13)) (-4 *1 (-537 *8 *10 *11 *12 *2 *13 *14 *7 *6)) (-4 *11 (-951 *8 *12 (-853 *10))) (-4 *2 (-972 *8)) (-4 *7 (-236 *14)) (-4 *6 (-117)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-4 *3 (-366)) (-4 *1 (-921 *3 *4)) (-4 *4 (-642 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-921 *3 *4)) (-4 *4 (-642 *3)))) ((*1 *1) (-5 *1 (-1076)))) 
+(((*1 *1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-366)) (-5 *2 (-635 *5)) (-5 *1 (-636 *5 *3)) (-4 *3 (-642 *5))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-4 *1 (-259 *3)))) ((*1 *1 *2) (-12 (-4 *1 (-259 *2)) (-4 *2 (-1091)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-259 *2)) (-4 *2 (-1091)))) ((*1 *1 *2) (-12 (-5 *1 (-1184 *2)) (-4 *2 (-1091)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-1184 *3)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-635 (-1184 *2))) (-5 *1 (-1184 *2)) (-4 *2 (-1091))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)) (-4 *2 (-551)))) ((*1 *1 *1) (-4 *1 (-1057)))) 
+(((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788)) (-4 *2 (-559)))) ((*1 *1 *1 *1) (|partial| -4 *1 (-559))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-559)))) ((*1 *1 *1 *1) (|partial| -5 *1 (-764))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-559)))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1247 *4)) (-4 *4 (-1222 *3)) (-4 *3 (-559)) (-5 *1 (-971 *3 *4)))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1051 *3 *4 *2 *5 *6)) (-4 *2 (-1048)) (-4 *5 (-231 *4 *2)) (-4 *6 (-231 *3 *2)) (-4 *2 (-559)))) ((*1 *2 *2 *2) (|partial| -12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *5 *5 *6 *7 *8 *8 *3) (-12 (-5 *6 (-635 (-121))) (-5 *7 (-680 (-216))) (-5 *8 (-680 (-569))) (-5 *3 (-569)) (-5 *4 (-216)) (-5 *5 (-121)) (-5 *2 (-1036)) (-5 *1 (-747))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-410 *6))) (-5 *1 (-808 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-644 (-410 *7))) (-5 *4 (-1 (-635 *6) *7)) (-5 *5 (-1 (-421 *7) *7)) (-4 *6 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *7 (-1222 *6)) (-5 *2 (-635 (-410 *7))) (-5 *1 (-808 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-410 *6))) (-5 *1 (-808 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-645 *7 (-410 *7))) (-5 *4 (-1 (-635 *6) *7)) (-5 *5 (-1 (-421 *7) *7)) (-4 *6 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *7 (-1222 *6)) (-5 *2 (-635 (-410 *7))) (-5 *1 (-808 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-644 (-410 *5))) (-4 *5 (-1222 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-635 (-410 *5))) (-5 *1 (-808 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1222 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-635 (-410 *6))) (-5 *1 (-808 *5 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-645 *5 (-410 *5))) (-4 *5 (-1222 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-635 (-410 *5))) (-5 *1 (-808 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1222 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-635 (-410 *6))) (-5 *1 (-808 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003)))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *5 *6 *5 *4 *7 *3) (-12 (-5 *4 (-680 (-569))) (-5 *5 (-121)) (-5 *7 (-680 (-216))) (-5 *3 (-569)) (-5 *6 (-216)) (-5 *2 (-1036)) (-5 *1 (-747))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-996 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-979 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *5 *6 *6 *7 *7 *3) (-12 (-5 *4 (-635 (-121))) (-5 *5 (-680 (-216))) (-5 *6 (-680 (-569))) (-5 *7 (-216)) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-747))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-680 (-311 (-216)))) (-5 *2 (-382)) (-5 *1 (-198))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-944)) (-5 *3 (-569))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-542)) (-5 *1 (-541 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-5 *2 (-57)) (-5 *1 (-542))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *3 *4 *3 *5 *3) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-680 (-569))) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-747))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-569)) (|has| *1 (-6 -4526)) (-4 *1 (-407)) (-5 *2 (-918))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1204 *2)) (-4 *2 (-1048)))) ((*1 *1 *1) (-12 (-5 *1 (-1238 *2 *3 *4)) (-4 *2 (-1048)) (-14 *3 (-1163)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1242 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-1163))))) 
+(((*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-747))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-672 *2)) (-4 *2 (-1091)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-635 *5) (-635 *5))) (-5 *4 (-569)) (-5 *2 (-635 *5)) (-5 *1 (-672 *5)) (-4 *5 (-1091))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-1159 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-918)) (-5 *1 (-782))))) 
+(((*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-747))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-979 *4 *5 *6 *7))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-184)) (-5 *3 (-569)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-779 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-944)) (-5 *3 (-569))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1091))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-747))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-927)))) ((*1 *2 *1) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-928))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-170 (-216)))) (-5 *2 (-1036)) (-5 *1 (-747))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-635 (-1163))))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1048) (-843))) (-14 *4 (-635 (-1163)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-680 *4)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-680 *4)) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) ((*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-680 *3))))) 
+(((*1 *1 *2 *2 *2 *2) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-170 (-216)))) (-5 *2 (-1036)) (-5 *1 (-747))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1 *1)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-1143 *3))) (-5 *1 (-1143 *3)) (-4 *3 (-1197))))) 
+(((*1 *2 *3 *4 *2 *3 *2 *3) (-12 (-5 *2 (-959 (-216))) (-5 *3 (-1109)) (-5 *4 (-216)) (-5 *1 (-115))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-493 *4 *5))) (-5 *3 (-635 (-853 *4))) (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *1 (-477 *4 *5 *6)) (-4 *6 (-454))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-170 (-216)))) (-5 *2 (-1036)) (-5 *1 (-747))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |var| (-635 (-1163))) (|:| |pred| (-57)))) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-99)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-99))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1159 *7)) (-4 *7 (-951 *6 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-5 *2 (-1159 *6)) (-5 *1 (-319 *4 *5 *6 *7))))) 
+(((*1 *1 *2) (|partial| -12 (-5 *2 (-1163)) (-5 *1 (-130))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-729))))) 
+(((*1 *2 *3 *4 *4 *3 *4 *5 *4 *4 *3 *3 *3 *3 *6 *3 *7) (-12 (-5 *3 (-569)) (-5 *5 (-121)) (-5 *6 (-680 (-216))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN)))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-746))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *3 (-680 (-569))) (-5 *1 (-1101))))) 
+(((*1 *1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *1 *2 *2 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1183))))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-569)) (-4 *5 (-1048)) (-4 *6 (-231 *7 (-764))) (-14 *7 (-764)) (-5 *1 (-909 *5 *2 *6 *7)) (-4 *2 (-325 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-909 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) ((*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-918)) (-5 *4 (-382)) (-5 *2 (-1252)) (-5 *1 (-1248)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-945 (-216))) (-5 *4 (-870)) (-5 *2 (-1252)) (-5 *1 (-474)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1048)) (-4 *1 (-982 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-945 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-1048)) (-4 *1 (-1123 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-945 *3)) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) ((*1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-945 (-216))) (-5 *1 (-1194)) (-5 *3 (-216))))) 
+(((*1 *2) (-12 (-5 *2 (-635 (-130))) (-5 *1 (-130))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-84 LSFUN1)))) (-5 *2 (-1036)) (-5 *1 (-746))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) ((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216) (-216) (-216))) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216) (-216))) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-257))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-566)) (-5 *3 (-569))))) 
+(((*1 *2) (-12 (-5 *2 (-1171 (-1163) (-130))) (-5 *1 (-130))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-68 LSFUN2)))) (-5 *2 (-1036)) (-5 *1 (-746))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 *3)) (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-4 *3 (-167 *6)) (-4 (-954 *6) (-882 *5)) (-4 *6 (-13 (-882 *5) (-173))) (-5 *1 (-177 *5 *6 *3)))) ((*1 *2 *1 *3 *2) (-12 (-5 *2 (-885 *4 *1)) (-5 *3 (-888 *4)) (-4 *1 (-882 *4)) (-4 *4 (-1091)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 *6)) (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-4 *6 (-13 (-1091) (-1038 *3))) (-4 *3 (-882 *5)) (-5 *1 (-933 *5 *3 *6)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 *3)) (-4 *5 (-1091)) (-4 *3 (-13 (-433 *6) (-610 *4) (-882 *5) (-1038 (-608 $)))) (-5 *4 (-888 *5)) (-4 *6 (-13 (-559) (-843) (-882 *5))) (-5 *1 (-934 *5 *6 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 (-569) *3)) (-5 *4 (-888 (-569))) (-4 *3 (-551)) (-5 *1 (-935 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 *6)) (-5 *3 (-608 *6)) (-4 *5 (-1091)) (-4 *6 (-13 (-843) (-1038 (-608 $)) (-610 *4) (-882 *5))) (-5 *4 (-888 *5)) (-5 *1 (-936 *5 *6)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-881 *5 *6 *3)) (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-4 *6 (-882 *5)) (-4 *3 (-659 *6)) (-5 *1 (-937 *5 *6 *3)))) ((*1 *2 *3 *4 *2 *5) (-12 (-5 *5 (-1 (-885 *6 *3) *8 (-888 *6) (-885 *6 *3))) (-4 *8 (-843)) (-5 *2 (-885 *6 *3)) (-5 *4 (-888 *6)) (-4 *6 (-1091)) (-4 *3 (-13 (-951 *9 *7 *8) (-610 *4))) (-4 *7 (-789)) (-4 *9 (-13 (-1048) (-843) (-882 *6))) (-5 *1 (-938 *6 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 *3)) (-4 *5 (-1091)) (-4 *3 (-13 (-951 *8 *6 *7) (-610 *4))) (-5 *4 (-888 *5)) (-4 *7 (-882 *5)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-13 (-1048) (-843) (-882 *5))) (-5 *1 (-938 *5 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 *3)) (-4 *5 (-1091)) (-4 *3 (-994 *6)) (-4 *6 (-13 (-559) (-882 *5) (-610 *4))) (-5 *4 (-888 *5)) (-5 *1 (-941 *5 *6 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 (-1163))) (-5 *3 (-1163)) (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-5 *1 (-942 *5)))) ((*1 *2 *3 *4 *5 *2 *6) (-12 (-5 *4 (-635 (-888 *7))) (-5 *5 (-1 *9 (-635 *9))) (-5 *6 (-1 (-885 *7 *9) *9 (-888 *7) (-885 *7 *9))) (-4 *7 (-1091)) (-4 *9 (-13 (-1048) (-610 (-888 *7)) (-1038 *8))) (-5 *2 (-885 *7 *9)) (-5 *3 (-635 *9)) (-4 *8 (-13 (-1048) (-843))) (-5 *1 (-943 *7 *8 *9))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-817)) (-5 *4 (-57)) (-5 *2 (-1252)) (-5 *1 (-827))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-680 *4)) (-4 *4 (-366)) (-5 *2 (-1159 *4)) (-5 *1 (-536 *4 *5 *6)) (-4 *5 (-366)) (-4 *6 (-13 (-366) (-841)))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1163)) (-5 *1 (-130))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *3 *5) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-71 FUNCT1)))) (-5 *2 (-1036)) (-5 *1 (-746))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-543 *3 *2)) (-4 *2 (-1237 *3)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-4 *4 (-1222 *3)) (-4 *5 (-715 *3 *4)) (-5 *1 (-547 *3 *4 *5 *2)) (-4 *2 (-1237 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-5 *1 (-548 *3 *2)) (-4 *2 (-1237 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1138 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 (-764)) (-14 *4 (-764)) (-4 *5 (-173))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *1 *2 *2) (|partial| -12 (-5 *2 (-1163)) (-5 *1 (-130))))) 
+(((*1 *2 *3 *2 *3) (-12 (-5 *2 (-440)) (-5 *3 (-1163)) (-5 *1 (-1166)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-440)) (-5 *3 (-1163)) (-5 *1 (-1166)))) ((*1 *2 *3 *2 *4 *1) (-12 (-5 *2 (-440)) (-5 *3 (-635 (-1163))) (-5 *4 (-1163)) (-5 *1 (-1166)))) ((*1 *2 *3 *2 *3 *1) (-12 (-5 *2 (-440)) (-5 *3 (-1163)) (-5 *1 (-1166)))) ((*1 *2 *3 *2 *1) (-12 (-5 *2 (-440)) (-5 *3 (-1163)) (-5 *1 (-1167)))) ((*1 *2 *3 *2 *1) (-12 (-5 *2 (-440)) (-5 *3 (-635 (-1163))) (-5 *1 (-1167))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-121)) (-5 *2 (-1036)) (-5 *1 (-746))))) 
+(((*1 *2 *2) (-12 (-5 *1 (-587 *2)) (-4 *2 (-551))))) 
+(((*1 *2 *3 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-3 *3 (-635 *1))) (-4 *1 (-1067 *4 *5 *6 *3))))) 
+(((*1 *1) (-5 *1 (-143))) ((*1 *1 *1) (-5 *1 (-148))) ((*1 *1 *1) (-4 *1 (-1130)))) 
+(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1222 (-569)))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *3 *3 *3 *4 *5 *5 *5 *5 *5 *5 *6 *6 *6 *3 *3 *5 *7 *3 *8) (-12 (-5 *5 (-680 (-216))) (-5 *6 (-121)) (-5 *7 (-680 (-569))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-70 QPHESS)))) (-5 *3 (-569)) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-746))))) 
+(((*1 *1) (-5 *1 (-159)))) 
+(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-680 (-410 *4)))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-789)) (-4 *4 (-843)) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-733 *5 *4 *6 *3)) (-4 *3 (-951 *6 *5 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *1 (-474))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *3 *3 *5 *6 *3 *6 *6 *5 *6 *6 *6 *6 *5 *3 *3 *3 *3 *3 *6 *6 *6 *3 *3 *3 *3 *3 *7 *4 *4 *4 *4 *3 *8 *9) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-121)) (-5 *6 (-216)) (-5 *7 (-680 (-569))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-85 CONFUN)))) (-5 *9 (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN)))) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-746))))) 
+(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1145)) (-5 *1 (-300))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *3 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-746))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-1179))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-406 *3)) (-4 *3 (-407)))) ((*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-406 *3)) (-4 *3 (-407)))) ((*1 *2 *2) (-12 (-5 *2 (-918)) (|has| *1 (-6 -4526)) (-4 *1 (-407)))) ((*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-918)))) ((*1 *2 *1) (-12 (-4 *1 (-864 *3)) (-5 *2 (-1143 (-569)))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1197)) (-4 *2 (-843)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-278 *3)) (-4 *3 (-1197)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-970 *2)) (-4 *2 (-843))))) 
+(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-764)) (-4 *5 (-173)))) ((*1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-764)) (-4 *4 (-173)))) ((*1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *1 (-678 *3 *2 *4)) (-4 *2 (-376 *3)) (-4 *4 (-376 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1128 *2 *3)) (-14 *2 (-764)) (-4 *3 (-1048))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *3 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-745))))) 
+(((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-1048)) (-4 *3 (-843)) (-5 *2 (-2 (|:| |val| *1) (|:| -2356 (-569)))) (-4 *1 (-433 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-888 *3)) (|:| -2356 (-888 *3)))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-2 (|:| |val| *3) (|:| -2356 (-569)))) (-5 *1 (-952 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $)))))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-764)) (-5 *1 (-96 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-764)) (-5 *1 (-213 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-843)) (-5 *2 (-764)) (-5 *1 (-495 *4)))) ((*1 *2 *3 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-500 *3)) (-4 *3 (-1197)) (-4 *3 (-1091)) (-5 *2 (-764)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4535)) (-4 *1 (-500 *4)) (-4 *4 (-1197)) (-5 *2 (-764)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-764)) (-5 *1 (-1001 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-764)) (-5 *1 (-1133 *4))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-745))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-559)) (-5 *1 (-971 *4 *2)) (-4 *2 (-1222 *4))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1083 (-382))) (-5 *5 (-1145)) (-5 *6 (-635 (-257))) (-5 *2 (-1252)) (-5 *1 (-457)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1083 (-382))) (-5 *5 (-1145)) (-5 *2 (-1252)) (-5 *1 (-457)))) ((*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1083 (-382))) (-5 *5 (-1145)) (-5 *6 (-635 (-257))) (-5 *2 (-1252)) (-5 *1 (-457)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1083 (-382))) (-5 *5 (-1145)) (-5 *2 (-1252)) (-5 *1 (-457))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-3 (-1159 *4) (-1247 (-635 (-2 (|:| -2247 *4) (|:| -3998 (-1109))))))) (-5 *1 (-348 *4)) (-4 *4 (-351))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-121) (-123) (-123))) (-5 *1 (-123))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-745))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *3 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-451 *4 *3 *5 *6)) (-4 *6 (-951 *4 *3 *5))))) 
+(((*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569)))))) 
+(((*1 *2 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *3 (-1222 *4)) (-5 *1 (-805 *4 *3 *2 *5)) (-4 *2 (-647 *3)) (-4 *5 (-647 (-410 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-410 *5)) (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *1 (-805 *4 *5 *2 *6)) (-4 *2 (-647 *5)) (-4 *6 (-647 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-96 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-1110 *3)) (-4 *3 (-1197)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1133 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-397)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1178))))) 
+(((*1 *2 *3 *4 *4 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *2 (-1036)) (-5 *1 (-745))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) ((*1 *2 *3) (-12 (-5 *2 (-1159 (-410 (-569)))) (-5 *1 (-944)) (-5 *3 (-569))))) 
+(((*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *2 (-117))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-909 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *2 (-1036)) (-5 *1 (-745))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-410 (-569))) (-5 *1 (-216)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-410 (-569))) (-5 *1 (-216)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-410 (-569))) (-5 *1 (-382)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-410 (-569))) (-5 *1 (-382))))) 
+(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-1036)) (-5 *3 (-1163)) (-5 *1 (-185))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1011 *3)) (-4 *3 (-1197)) (-5 *2 (-635 *3))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-366)) (-5 *1 (-650 *4 *2)) (-4 *2 (-647 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 (-1159 (-1159 *4)))) (-5 *1 (-1196 *4)) (-5 *3 (-1159 (-1159 *4)))))) 
+(((*1 *1) (-4 *1 (-23))) ((*1 *1) (-4 *1 (-39))) ((*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) ((*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-764)) (-4 *4 (-173)))) ((*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) ((*1 *1) (-4 *1 (-717))) ((*1 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) ((*1 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091)))) ((*1 *1) (-5 *1 (-1163)))) 
+(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-996 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
+(((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1162)) (-5 *1 (-329)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1162)) (-5 *1 (-329))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-820))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 (-954 *3))) (-4 *3 (-454)) (-5 *1 (-363 *3 *4)) (-14 *4 (-635 (-1163))))) ((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-452 *3 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1145)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-452 *4 *5 *6 *7)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1145)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-452 *4 *5 *6 *7)))) ((*1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-789)) (-4 *4 (-843)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-951 *3 *5 *6)) (-4 *3 (-366)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-561 *3 *4 *5 *6 *7)) (-14 *4 (-635 (-1163))))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-776 *3 (-853 *4)))) (-4 *3 (-454)) (-14 *4 (-635 (-1163))) (-5 *1 (-620 *3 *4))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| |func| *3) (|:| |poly| *3) (|:| |c1| (-410 *5)) (|:| |c2| (-410 *5)) (|:| |deg| (-764)))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1222 (-410 *5)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-635 *3)) (-5 *1 (-925 *4 *5 *6 *3)) (-4 *3 (-951 *4 *6 *5))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-454)) (-4 *4 (-843)) (-5 *1 (-578 *4 *2)) (-4 *2 (-280)) (-4 *2 (-433 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 (-493 *3 *4))) (-14 *3 (-635 (-1163))) (-4 *4 (-454)) (-5 *1 (-623 *3 *4))))) 
+(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *5 *4 *4 *4) (-12 (-4 *6 (-843)) (-5 *3 (-635 *6)) (-5 *5 (-635 *3)) (-5 *2 (-2 (|:| |f1| *3) (|:| |f2| (-635 *5)) (|:| |f3| *5) (|:| |f4| (-635 *5)))) (-5 *1 (-1169 *6)) (-5 *4 (-635 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-764))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-559)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-679 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *2 (-569)) (-5 *1 (-574 *3)) (-4 *3 (-1038 *2))))) 
+(((*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-764)) (-5 *4 (-918)) (-5 *2 (-1252)) (-5 *1 (-1248)))) ((*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-764)) (-5 *4 (-918)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-448)) (-5 *3 (-569))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1222 *4)) (-4 *4 (-1202)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-2 (|:| |num| *1) (|:| |den| *5) (|:| |derivden| *5) (|:| |gd| *5))) (-4 *1 (-341 *4 *5 *6))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1159 (-954 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) ((*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-4 *3 (-366)) (-5 *2 (-1159 (-954 *3))))) ((*1 *2) (-12 (-5 *2 (-1159 (-410 (-954 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2))))) 
+(((*1 *1 *1 *2 *2 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-927)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-928)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-928)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-1159 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1197)) (-5 *2 (-121))))) 
+(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) ((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-843)) (-4 *3 (-1038 (-569))) (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-433 *3)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *3 (-608 $)) $)) (-15 -4121 ((-1114 *3 (-608 $)) $)) (-15 -2185 ($ (-1114 *3 (-608 $)))))))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-96 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-4 *1 (-111 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-213 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-495 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-1001 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-1133 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
+(((*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569)))))) 
+(((*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) *2)) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-764))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-140))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1145)) (-5 *1 (-300))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1204 *2)) (-4 *2 (-1048)))) ((*1 *1 *1) (-12 (-5 *1 (-1238 *2 *3 *4)) (-4 *2 (-1048)) (-14 *3 (-1163)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1242 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-1163))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-851))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-635 (-1219 *5 *4))) (-5 *1 (-1105 *4 *5)) (-5 *3 (-1219 *5 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *6))))) 
+(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-57))))) 
+(((*1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-1048)) (-5 *1 (-446 *3 *2)) (-4 *2 (-1222 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-595 *3)) (-4 *3 (-1048)))) ((*1 *2 *1) (-12 (-4 *1 (-975 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-788)) (-4 *5 (-843)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-1091)) (-5 *2 (-1145)))) ((*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) ((*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-501)))) ((*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-701))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-297)) (-4 *2 (-1197)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-608 *1))) (-5 *3 (-635 *1)) (-4 *1 (-297)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-289 *1))) (-4 *1 (-297)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-289 *1)) (-4 *1 (-297))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1159 *1)) (-5 *3 (-1163)) (-4 *1 (-859)))) ((*1 *1 *2 *1 *3) (-12 (-5 *2 (-1159 *1)) (-5 *3 (-1163)) (-4 *1 (-859)))) ((*1 *1 *2 *2 *3 *1 *4) (-12 (-5 *2 (-1159 (-861))) (-5 *3 (-918)) (-5 *4 (-1163)) (-5 *1 (-861))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-172)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-5 *2 (-1159 *1)) (-4 *1 (-328 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-1159 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-373 *3 *2)) (-4 *3 (-173)) (-4 *3 (-366)) (-4 *2 (-1222 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1247 *4)) (-4 *4 (-351)) (-5 *2 (-1159 *4)) (-5 *1 (-533 *4))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-843)) (-4 *3 (-1038 (-569))) (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-433 *3)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *3 (-608 $)) $)) (-15 -4121 ((-1114 *3 (-608 $)) $)) (-15 -2185 ($ (-1114 *3 (-608 $)))))))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *2 (-635 (-1085 (-216)))) (-5 *1 (-929))))) 
+(((*1 *2 *1 *3) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1060)) (-5 *3 (-1145))))) 
+(((*1 *1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *2 (-433 *3)) (-5 *1 (-36 *3 *2)) (-4 *3 (-1038 *4)) (-4 *3 (-13 (-843) (-559)))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3032 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-366)) (-4 *7 (-1222 *6)) (-5 *2 (-2 (|:| |answer| (-586 (-410 *7))) (|:| |a0| *6))) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-4 *3 (-13 (-559) (-454))) (-5 *2 (-635 *3)) (-5 *1 (-347 *3 *5)) (-4 *5 (-52 *3 *4))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-1045 *5 *6))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-1045 *5 *6))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-1045 *4 *5))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-14 *6 (-635 (-1163)))))) 
+(((*1 *1 *1) (-4 *1 (-551)))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-978 *4 *5 *3 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-4 *6 (-1062 *4 *5 *3)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1219 *5 *4)) (-4 *4 (-454)) (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-569)) (-5 *1 (-1105 *4 *5))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1027 (-836 (-569)))) (-5 *3 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *4)))) (-4 *4 (-1048)) (-5 *1 (-594 *4))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-900 *4)) (-4 *4 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-900 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-13 (-407) (-1038 *4) (-366) (-1183) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1222 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-861)) (-5 *1 (-856 *3)) (-14 *3 *2)))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-849 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-944)) (-5 *3 (-569))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-302)) (-5 *2 (-635 *5))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-5 *2 (-2 (|:| A (-680 *5)) (|:| |eqs| (-635 (-2 (|:| C (-680 *5)) (|:| |g| (-1247 *5)) (|:| -1502 *6) (|:| |rh| *5)))))) (-5 *1 (-809 *5 *6)) (-5 *3 (-680 *5)) (-5 *4 (-1247 *5)) (-4 *6 (-647 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-647 *5)) (-5 *2 (-2 (|:| -3477 (-680 *6)) (|:| |vec| (-1247 *5)))) (-5 *1 (-809 *5 *6)) (-5 *3 (-680 *6)) (-5 *4 (-1247 *5))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-405)) (-5 *2 (-764)))) ((*1 *1 *1) (-4 *1 (-405)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-971 *5 *3)) (-4 *3 (-1222 *5))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-764)) (-5 *1 (-587 *2)) (-4 *2 (-551)))) ((*1 *2 *3) (-12 (-5 *2 (-2 (|:| -1475 *3) (|:| -2356 (-764)))) (-5 *1 (-587 *3)) (-4 *3 (-551))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-569)) (-5 *1 (-868 *4 *5 *6)) (-4 (-858 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-569)) (-5 *1 (-869 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-117))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -2436 *4)))) (-4 *3 (-1091)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-639 *3 *4 *5))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-1038 (-569))) (-4 *3 (-13 (-843) (-559))) (-5 *1 (-36 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1159 *4)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4)))) ((*1 *1 *1) (-12 (-4 *1 (-1048)) (-4 *1 (-297)))) ((*1 *2) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-1159 *3)))) ((*1 *2) (-12 (-4 *1 (-715 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1222 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-859)))) ((*1 *2) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-859)))) ((*1 *2 *1) (-12 (-4 *1 (-1064 *3 *2)) (-4 *3 (-13 (-841) (-366))) (-4 *2 (-1222 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1183))))) ((*1 *1 *2) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1183))))) ((*1 *1 *2 *2) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1183)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-918) "arbitrary")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-918) "arbitrary")) (-5 *1 (-466))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-680 *2)) (-4 *2 (-173)) (-5 *1 (-150 *2)))) ((*1 *2 *3) (-12 (-4 *4 (-173)) (-4 *2 (-1222 *4)) (-5 *1 (-176 *4 *2 *3)) (-4 *3 (-715 *4 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-680 (-410 (-954 *5)))) (-5 *4 (-1163)) (-5 *2 (-954 *5)) (-5 *1 (-287 *5)) (-4 *5 (-454)))) ((*1 *2 *3) (-12 (-5 *3 (-680 (-410 (-954 *4)))) (-5 *2 (-954 *4)) (-5 *1 (-287 *4)) (-4 *4 (-454)))) ((*1 *2 *1) (-12 (-4 *1 (-373 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1222 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-680 (-170 (-410 (-569))))) (-5 *2 (-954 (-170 (-410 (-569))))) (-5 *1 (-757 *4)) (-4 *4 (-13 (-366) (-841))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-680 (-170 (-410 (-569))))) (-5 *4 (-1163)) (-5 *2 (-954 (-170 (-410 (-569))))) (-5 *1 (-757 *5)) (-4 *5 (-13 (-366) (-841))))) ((*1 *2 *3) (-12 (-5 *3 (-680 (-410 (-569)))) (-5 *2 (-954 (-410 (-569)))) (-5 *1 (-774 *4)) (-4 *4 (-13 (-366) (-841))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-680 (-410 (-569)))) (-5 *4 (-1163)) (-5 *2 (-954 (-410 (-569)))) (-5 *1 (-774 *5)) (-4 *5 (-13 (-366) (-841)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 (-1163))) (-4 *6 (-366)) (-5 *2 (-635 (-289 (-954 *6)))) (-5 *1 (-544 *5 *6 *7)) (-4 *5 (-454)) (-4 *7 (-13 (-366) (-841)))))) 
+(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-2 (|:| |zeros| (-1143 (-216))) (|:| |ones| (-1143 (-216))) (|:| |singularities| (-1143 (-216))))) (-5 *1 (-109))))) 
+(((*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-1252)) (-5 *1 (-990 *3 *4 *5 *6 *7)) (-4 *7 (-1067 *3 *4 *5 *6)))) ((*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-1252)) (-5 *1 (-1098 *3 *4 *5 *6 *7)) (-4 *7 (-1067 *3 *4 *5 *6))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1 (-121) *8))) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-2 (|:| |goodPols| (-635 *8)) (|:| |badPols| (-635 *8)))) (-5 *1 (-979 *5 *6 *7 *8)) (-5 *4 (-635 *8))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-764)) (-5 *1 (-1065 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1100 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-764)) (-5 *1 (-1131 *5 *6 *7 *8 *9))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-366)) (-5 *1 (-654 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-359 *3)) (-4 *3 (-351))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-680 *5))) (-5 *4 (-1247 *5)) (-4 *5 (-302)) (-4 *5 (-1048)) (-5 *2 (-680 *5)) (-5 *1 (-1030 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-680 *5)) (-5 *4 (-1247 *5)) (-4 *5 (-366)) (-5 *2 (-121)) (-5 *1 (-660 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-5 *2 (-121)) (-5 *1 (-661 *5 *6 *4 *3)) (-4 *3 (-678 *5 *6 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1093 (-1093 *3))) (-5 *1 (-900 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-680 *3)) (-4 *3 (-302)) (-5 *1 (-690 *3))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *6)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-901 *3))) (-5 *1 (-900 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1197)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)))) ((*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-284 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1197))))) 
+(((*1 *1) (-5 *1 (-121)))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *5 *5)) (-4 *5 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-2 (|:| |solns| (-635 *5)) (|:| |maps| (-635 (-2 (|:| |arg| *5) (|:| |res| *5)))))) (-5 *1 (-1117 *3 *5)) (-4 *3 (-1222 *5))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |mval| (-680 *3)) (|:| |invmval| (-680 *3)) (|:| |genIdeal| (-515 *3 *4 *5 *6)))) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5))))) 
+(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(((*1 *2 *3 *4 *4 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-764)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-789)) (-4 *4 (-951 *5 *6 *7)) (-4 *5 (-454)) (-4 *7 (-843)) (-5 *1 (-451 *5 *6 *7 *4))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1202)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 (-410 *3))) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-918)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-257))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-121) *6 *6)) (-4 *6 (-843)) (-5 *4 (-635 *6)) (-5 *2 (-2 (|:| |fs| (-121)) (|:| |sd| *4) (|:| |td| (-635 *4)))) (-5 *1 (-1169 *6)) (-5 *5 (-635 *4))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-454)))) ((*1 *1 *1 *1) (-4 *1 (-454))) ((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-497 *2)) (-4 *2 (-1222 (-569))))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-686 *2)) (-4 *2 (-1222 *3)))) ((*1 *1 *1 *1) (-5 *1 (-764))) ((*1 *2 *2 *2) (-12 (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-302)) (-5 *1 (-913 *3 *4 *5 *2)) (-4 *2 (-951 *5 *3 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-951 *6 *4 *5)) (-5 *1 (-913 *4 *5 *6 *2)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1159 *6)) (-4 *6 (-951 *5 *3 *4)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-302)) (-5 *1 (-913 *3 *4 *5 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-1159 *7))) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302)) (-5 *2 (-1159 *7)) (-5 *1 (-913 *4 *5 *6 *7)) (-4 *7 (-951 *6 *4 *5)))) ((*1 *1 *1 *1) (-5 *1 (-918))) ((*1 *2 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-559)) (-5 *1 (-971 *3 *2)) (-4 *2 (-1222 *3)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454))))) 
+(((*1 *1) (-5 *1 (-148))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-1122 (-216))) (-5 *1 (-257))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-121) *8)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-2 (|:| |goodPols| (-635 *8)) (|:| |badPols| (-635 *8)))) (-5 *1 (-979 *5 *6 *7 *8)) (-5 *4 (-635 *8))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-121)) (-5 *1 (-215 *4 *5)) (-4 *5 (-13 (-1183) (-29 *4)))))) 
+(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-240 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-583))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-956)) (-5 *2 (-635 (-635 (-945 (-216))))))) ((*1 *2 *1) (-12 (-4 *1 (-976)) (-5 *2 (-635 (-635 (-945 (-216)))))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-1109)) (-5 *1 (-113))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-635 (-608 *2))) (-5 *4 (-1163)) (-4 *2 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *5 *2))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-762)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036)))) (-5 *1 (-570)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-762)) (-5 *4 (-1060)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036)))) (-5 *1 (-570)))) ((*1 *2 *3 *4) (-12 (-4 *1 (-783)) (-5 *3 (-1060)) (-5 *4 (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036)))))) ((*1 *2 *3 *4) (-12 (-4 *1 (-783)) (-5 *3 (-1060)) (-5 *4 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036)))))) ((*1 *2 *3 *4) (-12 (-4 *1 (-796)) (-5 *3 (-1060)) (-5 *4 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)))))) ((*1 *2 *3) (-12 (-5 *3 (-804)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *1 (-801)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-804)) (-5 *4 (-1060)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *1 (-801)))) ((*1 *2 *3 *4) (-12 (-4 *1 (-832)) (-5 *3 (-1060)) (-5 *4 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) (-5 *2 (-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)))))) ((*1 *2 *3 *4) (-12 (-4 *1 (-832)) (-5 *3 (-1060)) (-5 *4 (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (-5 *2 (-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)))))) ((*1 *2 *3) (-12 (-5 *3 (-834)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *1 (-833)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-834)) (-5 *4 (-1060)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *1 (-833)))) ((*1 *2 *3 *4) (-12 (-4 *1 (-891)) (-5 *3 (-1060)) (-5 *4 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) (-5 *2 (-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)))))) ((*1 *2 *3) (-12 (-5 *3 (-894)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *1 (-893)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-894)) (-5 *4 (-1060)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *1 (-893))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-361 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-1143 *3)) (-4 *3 (-1091)) (-4 *3 (-1197))))) 
+(((*1 *1 *1) (|partial| -12 (-5 *1 (-289 *2)) (-4 *2 (-717)) (-4 *2 (-1197))))) 
+(((*1 *2 *2 *3) (-12 (-4 *4 (-789)) (-4 *3 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $))))) (-4 *5 (-559)) (-5 *1 (-723 *4 *3 *5 *2)) (-4 *2 (-951 (-410 (-954 *5)) *4 *3)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-5 *1 (-986 *4 *5 *3 *2)) (-4 *2 (-951 (-954 *4) *5 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-4 *4 (-1048)) (-4 *5 (-789)) (-5 *1 (-986 *4 *5 *6 *2)) (-4 *2 (-951 (-954 *4) *5 *6))))) 
+(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748))))) 
+(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-240 *2)) (-4 *2 (-1197)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1197)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1197)))) ((*1 *1 *1 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) ((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-1218 *3 *2)) (-4 *2 (-1222 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1135 *3)) (-4 *3 (-1197)) (-5 *2 (-121))))) 
+(((*1 *1 *1 *2) (|partial| -12 (-5 *2 (-918)) (-5 *1 (-1092 *3 *4)) (-14 *3 *2) (-14 *4 *2)))) 
+(((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-748))))) 
+(((*1 *2 *2 *2 *2 *2 *3) (-12 (-5 *2 (-680 *4)) (-5 *3 (-764)) (-4 *4 (-1048)) (-5 *1 (-681 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-564)))) ((*1 *2 *1) (-12 (-4 *1 (-602 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1197)) (-5 *2 (-635 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-429 *5 *3)) (-4 *3 (-13 (-1183) (-29 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-559) (-1038 (-569)) (-151))) (-5 *2 (-586 (-410 (-954 *5)))) (-5 *1 (-575 *5)) (-5 *3 (-410 (-954 *5)))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748))))) 
+(((*1 *2 *1 *3 *4 *4 *4 *4 *5 *5 *5 *5 *6 *5 *6 *5) (-12 (-5 *3 (-918)) (-5 *4 (-216)) (-5 *5 (-569)) (-5 *6 (-870)) (-5 *2 (-1252)) (-5 *1 (-1248))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1222 *6)) (-4 *6 (-13 (-27) (-433 *5))) (-4 *5 (-13 (-843) (-559) (-1038 (-569)))) (-4 *8 (-1222 (-410 *7))) (-5 *2 (-586 *3)) (-5 *1 (-554 *5 *6 *7 *8 *3)) (-4 *3 (-341 *6 *7 *8))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-608 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4))) (-4 *4 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-140))))) 
+(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1036))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-891)) (-5 *3 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) (-5 *2 (-1036))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-2 (|:| |poly| *6) (|:| -1502 *3)))) (-5 *1 (-805 *5 *6 *3 *7)) (-4 *3 (-647 *6)) (-4 *7 (-647 (-410 *6))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-2 (|:| |poly| *6) (|:| -1502 (-645 *6 (-410 *6)))))) (-5 *1 (-808 *5 *6)) (-5 *3 (-645 *6 (-410 *6)))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-764)) (-4 *5 (-351)) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-2 (|:| -3930 (-680 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-680 *6))))) (-5 *1 (-508 *5 *6 *7)) (-5 *3 (-2 (|:| -3930 (-680 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-680 *6)))) (-4 *7 (-1222 *6))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *1 (-800 *4 *2)) (-4 *2 (-13 (-29 *4) (-1183) (-960)))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-231 (-4168 *5) (-764))) (-5 *2 (-3 (-635 *7) "failed" "Infinite" (-569))) (-5 *1 (-31 *4 *5 *3 *6 *7)) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *7 (-972 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-231 (-4168 *5) (-764))) (-5 *2 (-3 (-635 *7) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *7 (-972 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1159 (-1159 *4))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *7 (-231 (-4168 *5) (-764))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *8 (-972 *4))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-143)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-148))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566))))) 
+(((*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-635 (-680 *6))) (-5 *4 (-121)) (-5 *5 (-569)) (-5 *2 (-680 *6)) (-5 *1 (-1030 *6)) (-4 *6 (-366)) (-4 *6 (-1048)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 (-680 *4))) (-5 *2 (-680 *4)) (-5 *1 (-1030 *4)) (-4 *4 (-366)) (-4 *4 (-1048)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-680 *5))) (-5 *4 (-569)) (-5 *2 (-680 *5)) (-5 *1 (-1030 *5)) (-4 *5 (-366)) (-4 *5 (-1048))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-454)))) ((*1 *1 *1 *1) (-4 *1 (-454)))) 
+(((*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1159 *1)) (-5 *4 (-1163)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-1159 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-954 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1045 *4 *5)) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *5 (-635 (-1163))) (-5 *2 (-635 (-635 (-1024 (-410 *4))))) (-5 *1 (-1271 *4 *5 *6)) (-14 *6 (-635 (-1163))))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *5))))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *5))))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *4))))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-14 *6 (-635 (-1163)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *1 (-341 *4 *5 *6)) (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-2 (|:| |num| (-680 *5)) (|:| |den| *5)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-5 *4 (-410 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-806 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-2 (|:| -3930 (-635 (-410 *6))) (|:| -3477 (-680 *5)))) (-5 *1 (-806 *5 *6)) (-5 *4 (-635 (-410 *6))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-5 *4 (-410 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-806 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-2 (|:| -3930 (-635 (-410 *6))) (|:| -3477 (-680 *5)))) (-5 *1 (-806 *5 *6)) (-5 *4 (-635 (-410 *6)))))) 
+(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-764)) (-4 *3 (-1197)) (-4 *1 (-62 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1) (-5 *1 (-172))) ((*1 *1 *2 *2 *2) (-12 (-5 *2 (-1145)) (-4 *1 (-392)))) ((*1 *1) (-5 *1 (-397))) ((*1 *1 *2 *3) (-12 (-5 *2 (-764)) (-4 *1 (-641 *3)) (-4 *3 (-1197)))) ((*1 *1) (-12 (-4 *3 (-1091)) (-5 *1 (-881 *2 *3 *4)) (-4 *2 (-1091)) (-4 *4 (-659 *3)))) ((*1 *1) (-12 (-5 *1 (-885 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091)))) ((*1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048)))) ((*1 *1 *1) (-5 *1 (-1163))) ((*1 *1) (-5 *1 (-1163))) ((*1 *1) (-5 *1 (-1178)))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-325 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-4 *4 (-1048)) (-5 *1 (-909 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-764)) (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -3477 (-680 (-410 (-954 *4)))) (|:| |vec| (-635 (-410 (-954 *4)))) (|:| -1321 (-764)) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-2 (|:| |partsol| (-1247 (-410 (-954 *4)))) (|:| -3930 (-635 (-1247 (-410 (-954 *4))))))) (-5 *1 (-925 *4 *5 *6 *7)) (-4 *7 (-951 *4 *6 *5))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-782))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-515 *3 *4 *5 *6))) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-789)) (-4 *4 (-843)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 *7)) (-4 *1 (-1067 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-543 *3 *2)) (-4 *2 (-1237 *3)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-4 *4 (-1222 *3)) (-4 *5 (-715 *3 *4)) (-5 *1 (-547 *3 *4 *5 *2)) (-4 *2 (-1237 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-5 *1 (-548 *3 *2)) (-4 *2 (-1237 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1138 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-680 (-954 *4))) (-5 *1 (-1029 *4)) (-4 *4 (-1048))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-764)) (-4 *4 (-351)) (-5 *1 (-533 *4))))) 
+(((*1 *2 *3 *4 *3 *4 *4 *4 *4 *4) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-748))))) 
+(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-635 *5))) (-4 *5 (-325 *4 *6)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-4 *4 (-1048)) (-5 *2 (-764)) (-5 *1 (-773 *4 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-5 *2 (-764)) (-5 *1 (-930 *5 *3 *6 *7 *4)) (-4 *3 (-325 *5 *6)) (-4 *4 (-972 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-366)) (-4 *7 (-231 *8 *2)) (-14 *8 *2) (-5 *2 (-764)) (-5 *1 (-930 *6 *3 *7 *8 *4)) (-4 *3 (-325 *6 *7)) (-4 *4 (-972 *6))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *3 *4) (-12 (-4 *4 (-855)) (-5 *2 (-421 (-1159 *4))) (-5 *1 (-316 *4)) (-5 *3 (-1159 *4)))) ((*1 *2 *3 *4) (-12 (-4 *4 (-860)) (-5 *2 (-421 (-1159 *4))) (-5 *1 (-318 *4)) (-5 *3 (-1159 *4))))) 
+(((*1 *2 *3 *3 *4 *4 *3 *3 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-748))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1202)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 (-410 *3))) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121))))) 
+(((*1 *2 *2 *2) (|partial| -12 (-4 *3 (-366)) (-5 *1 (-892 *2 *3)) (-4 *2 (-1222 *3))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-945 *4)) (-4 *4 (-1048)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-569)) (-4 *4 (-351)) (-5 *1 (-533 *4))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-474)) (-5 *4 (-918)) (-5 *2 (-1252)) (-5 *1 (-1248))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *3 *6 *6 *3) (-12 (-5 *3 (-569)) (-5 *5 (-121)) (-5 *6 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-748))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-1048)) (-4 *4 (-231 *5 (-764))) (-14 *5 (-764)) (-5 *1 (-909 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
+(((*1 *1) (-5 *1 (-440)))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
+(((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE)))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-748)))) ((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7 *8) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE)))) (-5 *8 (-391)) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-748))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1219 *5 *4)) (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-569)) (-5 *1 (-1105 *4 *5))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-978 *3 *4 *2 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *5 (-1062 *3 *4 *2))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1159 (-954 *6))) (-4 *6 (-559)) (-4 *2 (-951 (-410 (-954 *6)) *5 *4)) (-5 *1 (-723 *5 *4 *6 *2)) (-4 *5 (-789)) (-4 *4 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)))))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1036)) (-5 *3 (-1163)) (-5 *1 (-264))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-121)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-248 *3)) (-4 *3 (-1197)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-764)))) ((*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-13 (-407) (-1038 *4) (-366) (-1183) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1222 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-608 *3)) (-4 *3 (-843)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-851))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-366)) (-4 *1 (-328 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-1222 *4)) (-4 *4 (-1202)) (-4 *1 (-341 *4 *3 *5)) (-4 *5 (-1222 (-410 *3))))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-1247 *1)) (-4 *4 (-173)) (-4 *1 (-370 *4)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-1247 *1)) (-4 *4 (-173)) (-4 *1 (-373 *4 *5)) (-4 *5 (-1222 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-173)) (-4 *1 (-412 *3 *4)) (-4 *4 (-1222 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-173)) (-4 *1 (-420 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-302)) (-5 *2 (-764))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-121)) (-5 *5 (-680 (-170 (-216)))) (-5 *2 (-1036)) (-5 *1 (-748))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-351)) (-5 *3 (-569)) (-5 *2 (-1171 (-918) (-764)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-834)) (-5 *2 (-1036)) (-5 *1 (-833)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-311 (-382)))) (-5 *4 (-635 (-382))) (-5 *2 (-1036)) (-5 *1 (-833))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-885 *4 *5)) (-5 *3 (-885 *4 *6)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-659 *5)) (-5 *1 (-881 *4 *5 *6))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *2 (-829 (-216))) (-5 *1 (-218)) (-5 *4 (-216))))) 
+(((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1145)) (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3493 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-680 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| |outval| *4) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 *4)))))) (-5 *1 (-774 *4)) (-4 *4 (-13 (-366) (-841)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)) (-4 *2 (-551)))) ((*1 *1 *1) (-4 *1 (-1057)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-515 (-410 (-569)) (-233 *4 (-764)) (-853 *3) (-243 *3 (-410 (-569))))) (-14 *3 (-635 (-1163))) (-14 *4 (-764)) (-5 *1 (-516 *3 *4))))) 
+(((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1145)) (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-302)))) ((*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-389 *3)) (|:| |rm| (-389 *3)))) (-5 *1 (-389 *3)) (-4 *3 (-1091)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -4268 (-764)) (|:| -1830 (-764)))) (-5 *1 (-764)))) ((*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-3 (-815 *3) "failed")) (|:| |rm| (-3 (-815 *3) "failed")))) (-5 *1 (-815 *3)) (-4 *3 (-843)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-170 *5)) (-4 *5 (-13 (-433 *4) (-1003) (-1183))) (-4 *4 (-13 (-559) (-843))) (-4 *2 (-13 (-433 (-170 *4)) (-1003) (-1183))) (-5 *1 (-598 *4 *5 *2))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1 (-945 (-216)) (-216) (-216))) (-5 *3 (-1 (-216) (-216) (-216) (-216))) (-5 *1 (-249))))) 
+(((*1 *2 *3 *4 *5 *3 *6 *3) (-12 (-5 *3 (-569)) (-5 *5 (-170 (-216))) (-5 *6 (-1145)) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6))))) 
+(((*1 *1 *2) (|partial| -12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-1258 *3 *4 *5 *6)))) ((*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-635 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-1258 *5 *6 *7 *8))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-2 (|:| |partsol| (-1247 (-410 (-954 *4)))) (|:| -3930 (-635 (-1247 (-410 (-954 *4))))))) (-5 *3 (-635 *7)) (-4 *4 (-13 (-302) (-151))) (-4 *7 (-951 *4 *6 *5)) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *1 (-925 *4 *5 *6 *7))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-148))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3493 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1) (-5 *1 (-851))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *3 (-569)) (-4 *1 (-864 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-439))))) 
+(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-750))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-764))))) 
+(((*1 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1117 *3 *2)) (-4 *3 (-1222 *2))))) 
+(((*1 *1) (-5 *1 (-799)))) 
+(((*1 *1 *2 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-635 *3)) (-4 *3 (-1197))))) 
+(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-128 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *3 *4 *4 *5 *4 *6 *4 *5) (-12 (-5 *3 (-1145)) (-5 *5 (-680 (-216))) (-5 *6 (-680 (-569))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-750))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *1 (-1193 *3)) (-4 *3 (-976))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 *7)) (-5 *5 (-635 (-635 *8))) (-4 *7 (-843)) (-4 *8 (-302)) (-4 *6 (-789)) (-4 *9 (-951 *8 *6 *7)) (-5 *2 (-2 (|:| |unitPart| *9) (|:| |suPart| (-635 (-2 (|:| -1743 (-1159 *9)) (|:| -2356 (-569))))))) (-5 *1 (-733 *6 *7 *8 *9)) (-5 *3 (-1159 *9))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1159 *1)) (-4 *1 (-1013))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1159 *7)) (-5 *3 (-569)) (-4 *7 (-951 *6 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-5 *1 (-319 *4 *5 *6 *7))))) 
+(((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-750))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-635 (-635 *4)))) (-5 *2 (-635 (-635 *4))) (-4 *4 (-843)) (-5 *1 (-1169 *4))))) 
+(((*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-918)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) ((*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-829 (-918))) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) ((*1 *2) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-918)))) ((*1 *2) (-12 (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-5 *2 (-829 (-918)))))) 
+(((*1 *1 *2 *3) (-12 (-5 *1 (-966 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-559)) (-4 *3 (-951 *7 *5 *6)) (-5 *2 (-2 (|:| -2356 (-764)) (|:| -4140 *3) (|:| |radicand| (-635 *3)))) (-5 *1 (-955 *5 *6 *7 *3 *8)) (-5 *4 (-764)) (-4 *8 (-13 (-366) (-10 -8 (-15 -4116 (*3 $)) (-15 -4121 (*3 $)) (-15 -2185 ($ *3)))))))) 
+(((*1 *2 *3 *4 *3 *5) (-12 (-4 *6 (-366)) (-14 *7 (-635 (-1163))) (-4 *8 (-231 (-4168 *7) (-764))) (-4 *9 (-642 *6)) (-5 *2 (-2 (|:| |fnc| *3) (|:| |crv| *3) (|:| |chart| (-635 (-569))))) (-5 *1 (-655 *6 *7 *3 *8 *4 *9 *10)) (-5 *5 (-569)) (-4 *3 (-951 *6 *8 (-853 *7))) (-4 *4 (-972 *6)) (-4 *10 (-921 *6 *9))))) 
+(((*1 *2 *3 *4 *4 *5 *4 *4 *5) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-750))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-5 *1 (-1044 *3))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-159)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1091)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 (-888 *3)))) (-5 *2 (-635 (-1163))) (-5 *1 (-1070 *3 *4 *5)) (-4 *5 (-13 (-433 *4) (-882 *3) (-610 (-888 *3))))))) 
+(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-105)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-1159 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-4 *1 (-228 *3)))) ((*1 *1) (-12 (-4 *1 (-228 *2)) (-4 *2 (-1091))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1083 (-836 *3))) (-4 *3 (-13 (-1183) (-960) (-29 *5))) (-4 *5 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-836 *3)) (|:| |f2| (-635 (-836 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1083 (-836 *3))) (-5 *5 (-1145)) (-4 *3 (-13 (-1183) (-960) (-29 *6))) (-4 *6 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-836 *3)) (|:| |f2| (-635 (-836 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1083 (-836 (-311 *5)))) (-4 *5 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-836 (-311 *5))) (|:| |f2| (-635 (-836 (-311 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-410 (-954 *6))) (-5 *4 (-1083 (-836 (-311 *6)))) (-5 *5 (-1145)) (-4 *6 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-836 (-311 *6))) (|:| |f2| (-635 (-836 (-311 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *6)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1083 (-836 (-410 (-954 *5))))) (-5 *3 (-410 (-954 *5))) (-4 *5 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-836 (-311 *5))) (|:| |f2| (-635 (-836 (-311 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1083 (-836 (-410 (-954 *6))))) (-5 *5 (-1145)) (-5 *3 (-410 (-954 *6))) (-4 *6 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-836 (-311 *6))) (|:| |f2| (-635 (-836 (-311 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *6)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 *3 (-635 *3))) (-5 *1 (-431 *5 *3)) (-4 *3 (-13 (-1183) (-960) (-29 *5))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-480 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-836 (-382)))) (-5 *5 (-382)) (-5 *6 (-1060)) (-5 *2 (-1036)) (-5 *1 (-570)))) ((*1 *2 *3) (-12 (-5 *3 (-762)) (-5 *2 (-1036)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-836 (-382)))) (-5 *5 (-382)) (-5 *2 (-1036)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-836 (-382)))) (-5 *5 (-382)) (-5 *2 (-1036)) (-5 *1 (-570)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-836 (-382)))) (-5 *2 (-1036)) (-5 *1 (-570)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1085 (-836 (-382))))) (-5 *2 (-1036)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1085 (-836 (-382))))) (-5 *5 (-382)) (-5 *2 (-1036)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1085 (-836 (-382))))) (-5 *5 (-382)) (-5 *2 (-1036)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1085 (-836 (-382))))) (-5 *5 (-382)) (-5 *6 (-1060)) (-5 *2 (-1036)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-311 (-382))) (-5 *4 (-1083 (-836 (-382)))) (-5 *5 (-1145)) (-5 *2 (-1036)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-311 (-382))) (-5 *4 (-1083 (-836 (-382)))) (-5 *5 (-1163)) (-5 *2 (-1036)) (-5 *1 (-570)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1038 (-569)))) (-4 *5 (-1222 *4)) (-5 *2 (-586 (-410 *5))) (-5 *1 (-573 *4 *5)) (-5 *3 (-410 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1163)) (-4 *5 (-151)) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *2 (-3 (-311 *5) (-635 (-311 *5)))) (-5 *1 (-589 *5)))) ((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-731 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-843)) (-4 *3 (-43 (-410 (-569)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-954 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)))) ((*1 *1 *1 *2 *3) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-4 *2 (-843)) (-5 *1 (-1115 *3 *2 *4)) (-4 *4 (-951 *3 (-535 *2) *2)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1153 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1160 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1161 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *1 (-1192 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 (QUOTE |x|))) (-5 *1 (-1204 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-2232 (-12 (-5 *2 (-1163)) (-4 *1 (-1206 *3)) (-4 *3 (-1048)) (-12 (-4 *3 (-29 (-569))) (-4 *3 (-960)) (-4 *3 (-1183)) (-4 *3 (-43 (-410 (-569)))))) (-12 (-5 *2 (-1163)) (-4 *1 (-1206 *3)) (-4 *3 (-1048)) (-12 (|has| *3 (-15 -1773 ((-635 *2) *3))) (|has| *3 (-15 -2565 (*3 *3 *2))) (-4 *3 (-43 (-410 (-569)))))))) ((*1 *1 *1) (-12 (-4 *1 (-1206 *2)) (-4 *2 (-1048)) (-4 *2 (-43 (-410 (-569)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1210 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *1) (-12 (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-43 (-410 (-569)))))) ((*1 *1 *1 *2) (-2232 (-12 (-5 *2 (-1163)) (-4 *1 (-1227 *3)) (-4 *3 (-1048)) (-12 (-4 *3 (-29 (-569))) (-4 *3 (-960)) (-4 *3 (-1183)) (-4 *3 (-43 (-410 (-569)))))) (-12 (-5 *2 (-1163)) (-4 *1 (-1227 *3)) (-4 *3 (-1048)) (-12 (|has| *3 (-15 -1773 ((-635 *2) *3))) (|has| *3 (-15 -2565 (*3 *3 *2))) (-4 *3 (-43 (-410 (-569)))))))) ((*1 *1 *1) (-12 (-4 *1 (-1227 *2)) (-4 *2 (-1048)) (-4 *2 (-43 (-410 (-569)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1231 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *1 *2) (-2232 (-12 (-5 *2 (-1163)) (-4 *1 (-1237 *3)) (-4 *3 (-1048)) (-12 (-4 *3 (-29 (-569))) (-4 *3 (-960)) (-4 *3 (-1183)) (-4 *3 (-43 (-410 (-569)))))) (-12 (-5 *2 (-1163)) (-4 *1 (-1237 *3)) (-4 *3 (-1048)) (-12 (|has| *3 (-15 -1773 ((-635 *2) *3))) (|has| *3 (-15 -2565 (*3 *3 *2))) (-4 *3 (-43 (-410 (-569)))))))) ((*1 *1 *1) (-12 (-4 *1 (-1237 *2)) (-4 *2 (-1048)) (-4 *2 (-43 (-410 (-569)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1238 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1242 *3 *4)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1239 *3 *2)) (-4 *2 (-1237 *3))))) 
+(((*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *4 (-870)) (-5 *5 (-918)) (-5 *6 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-1251)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *4 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-1251))))) 
+(((*1 *2 *1 *3) (-12 (-5 *2 (-2 (|:| |k| (-569)) (|:| |c| *4))) (-5 *1 (-775 *4)) (-4 *4 (-366)) (-5 *3 (-569))))) 
+(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-818))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *2 (-117))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-263 *4)) (-4 *6 (-789)) (-5 *2 (-764)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1048)) (-4 *3 (-843)) (-4 *5 (-263 *3)) (-4 *6 (-789)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-263 *3)) (-4 *3 (-843)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-351)) (-5 *2 (-918)))) ((*1 *2 *3) (-12 (-5 *3 (-335 *4 *5 *6 *7)) (-4 *4 (-13 (-371) (-366))) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-4 *7 (-341 *4 *5 *6)) (-5 *2 (-764)) (-5 *1 (-395 *4 *5 *6 *7)))) ((*1 *2 *1) (-12 (-4 *1 (-405)) (-5 *2 (-829 (-918))))) ((*1 *2 *1) (-12 (-4 *1 (-407)) (-5 *2 (-569)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-595 *3)) (-4 *3 (-1048)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-595 *3)) (-4 *3 (-1048)))) ((*1 *2 *1) (-12 (-4 *3 (-559)) (-5 *2 (-569)) (-5 *1 (-616 *3 *4)) (-4 *4 (-1222 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) ((*1 *2 *1 *3 *2) (-12 (-5 *2 (-764)) (-4 *1 (-731 *4 *3)) (-4 *4 (-1048)) (-4 *3 (-843)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-731 *4 *3)) (-4 *4 (-1048)) (-4 *3 (-843)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-864 *3)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-433 *4)) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-843) (-559) (-1038 (-569)))) (-5 *2 (-764)) (-5 *1 (-907 *4 *5 *6 *7 *8)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-335 (-410 (-569)) *4 *5 *6)) (-4 *4 (-1222 (-410 (-569)))) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 (-410 (-569)) *4 *5)) (-5 *2 (-764)) (-5 *1 (-908 *4 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-335 *6 *7 *4 *8)) (-5 *5 (-1 *9 *6)) (-4 *6 (-366)) (-4 *7 (-1222 *6)) (-4 *4 (-1222 (-410 *7))) (-4 *8 (-341 *6 *7 *4)) (-4 *9 (-13 (-371) (-366))) (-5 *2 (-764)) (-5 *1 (-1019 *6 *7 *4 *8 *9)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1222 *3)) (-4 *3 (-1048)) (-4 *3 (-559)) (-5 *2 (-764)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-1224 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788)))) ((*1 *2 *1) (-12 (-4 *1 (-1224 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-5 *2 (-635 *8)) (-5 *1 (-964 *4 *5 *6 *7 *8)) (-4 *8 (-972 *4))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-610 (-888 *3))) (-4 *3 (-882 *3)) (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-610 (-888 *3))) (-4 *2 (-882 *3)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(((*1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) ((*1 *1 *1) (-4 *1 (-1186)))) 
+(((*1 *2) (-12 (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-905)) (-5 *1 (-460 *3 *4 *2 *5)) (-4 *5 (-951 *2 *3 *4)))) ((*1 *2) (-12 (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-905)) (-5 *1 (-902 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4)))) ((*1 *2) (-12 (-4 *2 (-905)) (-5 *1 (-903 *2 *3)) (-4 *3 (-1222 *2))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-302)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-449 *3 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1145)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-449 *4 *5 *6 *7)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1145)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-449 *4 *5 *6 *7))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1109)) (-5 *1 (-329))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-635 (-635 *3))))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-635 (-635 *5))))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-635 *3))) (-5 *1 (-1170 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *3)) (-5 *1 (-979 *4 *5 *6 *3)) (-4 *3 (-1062 *4 *5 *6))))) 
+(((*1 *1 *1 *1) (-4 *1 (-652))) ((*1 *1 *1 *1) (-5 *1 (-1109)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) ((*1 *1 *1) (-4 *1 (-1186)))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1231 *3 *4 *5)) (-4 *3 (-13 (-366) (-843))) (-14 *4 (-1163)) (-14 *5 *3) (-5 *1 (-315 *3 *4 *5)))) ((*1 *2 *3) (-12 (-5 *2 (-1 (-382))) (-5 *1 (-1040)) (-5 *3 (-382))))) 
+(((*1 *2 *3 *4 *4 *3) (|partial| -12 (-5 *4 (-608 *3)) (-4 *3 (-13 (-433 *5) (-27) (-1183))) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| -3032 *3) (|:| |coeff| *3))) (-5 *1 (-571 *5 *3 *6)) (-4 *6 (-1091))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1159 *5)) (-4 *5 (-454)) (-5 *2 (-635 *6)) (-5 *1 (-544 *5 *6 *4)) (-4 *6 (-366)) (-4 *4 (-13 (-366) (-841))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-954 *5)) (-4 *5 (-454)) (-5 *2 (-635 *6)) (-5 *1 (-544 *5 *6 *4)) (-4 *6 (-366)) (-4 *4 (-13 (-366) (-841)))))) 
+(((*1 *1 *1 *2) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3)))) 
+(((*1 *2 *3 *1) (-12 (-4 *4 (-13 (-841) (-366))) (-5 *2 (-121)) (-5 *1 (-1058 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *1 *1 *1) (-4 *1 (-652))) ((*1 *1 *1 *1) (-5 *1 (-1109)))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1062 *3 *4 *5))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) ((*1 *1 *1) (-4 *1 (-1186)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-416 *4 (-410 *4) *5 *6)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 *6)) (-4 *6 (-13 (-412 *4 *5) (-1038 *4))) (-4 *4 (-994 *3)) (-4 *5 (-1222 *4)) (-4 *3 (-302)) (-5 *1 (-416 *3 *4 *5 *6)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1163)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-466))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1197)) (-5 *2 (-764))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *4 *6 *6 *3) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-680 (-569))) (-5 *6 (-216)) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-744))))) 
+(((*1 *1) (-5 *1 (-440)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) ((*1 *1 *1) (-4 *1 (-1186)))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-635 (-1163))))) ((*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1048) (-843))) (-14 *3 (-635 (-1163)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382)))) (-5 *1 (-198))))) 
+(((*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *2 (-236 *9)) (-4 *10 (-117))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-680 (-311 (-216)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382)))) (-5 *1 (-198))))) 
+(((*1 *1 *1 *1) (-4 *1 (-302))) ((*1 *1 *1 *1) (-5 *1 (-764))) ((*1 *1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-973)) (-5 *1 (-901 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *2) (-12 (-5 *1 (-330 *2)) (-4 *2 (-843)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) ((*1 *1 *1) (-4 *1 (-1186)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4))))) ((*1 *1 *1) (-5 *1 (-382))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-769 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1163)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-692 *3 *5 *6 *7)) (-4 *3 (-610 (-542))) (-4 *5 (-1197)) (-4 *6 (-1197)) (-4 *7 (-1197)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-5 *2 (-1 *6 *5)) (-5 *1 (-697 *3 *5 *6)) (-4 *3 (-610 (-542))) (-4 *5 (-1197)) (-4 *6 (-1197))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |minor| (-635 (-918))) (|:| -1502 *3) (|:| |minors| (-635 (-635 (-918)))) (|:| |ops| (-635 *3)))) (-5 *1 (-95 *5 *3)) (-5 *4 (-918)) (-4 *3 (-647 *5))))) 
+(((*1 *2 *3 *4 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-170 (-216)))) (-5 *2 (-1036)) (-5 *1 (-749))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-566)) (-5 *3 (-569)))) ((*1 *2 *3) (-12 (-5 *2 (-1159 (-410 (-569)))) (-5 *1 (-944)) (-5 *3 (-569))))) 
+(((*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *9)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-635 (-923 *3))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-635 (-922 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-635 *6))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *1 (-990 *3 *4 *5 *6 *7)))) ((*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *1 (-1098 *3 *4 *5 *6 *7))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *2) (-12 (-5 *1 (-330 *2)) (-4 *2 (-843)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) ((*1 *1 *1) (-4 *1 (-1186)))) 
+(((*1 *1 *1) (-5 *1 (-1060)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-764)))) (-5 *1 (-900 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *1 (-679 *4 *5 *6 *2)) (-4 *2 (-678 *4 *5 *6))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-1159 *2)) (-4 *2 (-433 *4)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-36 *4 *2))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-410 *4)) (-4 *4 (-1222 *3)) (-4 *3 (-13 (-366) (-151) (-1038 (-569)))) (-5 *1 (-573 *3 *4))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1175 *4 *5)) (-4 *4 (-1091)) (-4 *5 (-1091))))) 
+(((*1 *1 *1 *1) (-4 *1 (-302))) ((*1 *1 *1 *1) (-5 *1 (-764))) ((*1 *1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183)))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *6)) (-5 *5 (-1 (-421 (-1159 *6)) (-1159 *6))) (-4 *6 (-366)) (-5 *2 (-635 (-2 (|:| |outval| *7) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 *7)))))) (-5 *1 (-536 *6 *7 *4)) (-4 *7 (-366)) (-4 *4 (-13 (-366) (-841)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *7)) (-5 *4 (-1159 *7)) (-4 *5 (-1048)) (-4 *7 (-1048)) (-4 *2 (-1222 *5)) (-5 *1 (-511 *5 *2 *6 *7)) (-4 *6 (-1222 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1048)) (-4 *7 (-1048)) (-4 *4 (-1222 *5)) (-5 *2 (-1159 *7)) (-5 *1 (-511 *5 *4 *6 *7)) (-4 *6 (-1222 *4))))) 
+(((*1 *2 *3 *1) (|partial| -12 (-5 *3 (-1 (-121) *2)) (-4 *1 (-155 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-749))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-764)) (-5 *6 (-121)) (-4 *7 (-454)) (-4 *8 (-789)) (-4 *9 (-843)) (-4 *3 (-1062 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1065 *7 *8 *9 *3 *4)) (-4 *4 (-1067 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-764)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1065 *6 *7 *8 *3 *4)) (-4 *4 (-1067 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1065 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-764)) (-5 *6 (-121)) (-4 *7 (-454)) (-4 *8 (-789)) (-4 *9 (-843)) (-4 *3 (-1062 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1131 *7 *8 *9 *3 *4)) (-4 *4 (-1100 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-764)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1131 *6 *7 *8 *3 *4)) (-4 *4 (-1100 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1131 *5 *6 *7 *3 *4)) (-4 *4 (-1100 *5 *6 *7 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *4 (-559)) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| -4172 (-616 *4 *5)) (|:| -3815 (-410 *5)))) (-5 *1 (-616 *4 *5)) (-5 *3 (-410 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1151 *3 *4))) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-454)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| |primePart| *1) (|:| |commonPart| *1))) (-4 *1 (-1222 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-954 *5)) (-4 *5 (-1048)) (-5 *2 (-243 *4 *5)) (-5 *1 (-946 *4 *5)) (-14 *4 (-635 (-1163)))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-4 *2 (-1222 *4)) (-5 *1 (-919 *4 *2))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-123)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-123)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1048)) (-4 *3 (-843)) (-4 *5 (-263 *3)) (-4 *6 (-789)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-263 *4)) (-4 *6 (-789)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-263 *3)) (-4 *3 (-843)) (-5 *2 (-764))))) 
+(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-240 *2)) (-4 *2 (-1197))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-764)) (-5 *1 (-106 *3)) (-4 *3 (-1091))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1159 *1)) (-5 *3 (-1163)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-954 *1)) (-4 *1 (-27)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1163)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-843) (-559))))) ((*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-843) (-559)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-52 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-635 (-1163))))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1048) (-843))) (-14 *4 (-635 (-1163))))) ((*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1091)) (-5 *2 (-569)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1048)) (-4 *3 (-843)) (-4 *5 (-263 *3)) (-4 *6 (-789)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-272)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1159 *8)) (-5 *4 (-635 *6)) (-4 *6 (-843)) (-4 *8 (-951 *7 *5 *6)) (-4 *5 (-789)) (-4 *7 (-1048)) (-5 *2 (-635 (-764))) (-5 *1 (-319 *5 *6 *7 *8)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-918)))) ((*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-476 *3 *2)) (-4 *3 (-173)) (-4 *2 (-23)))) ((*1 *2 *1) (-12 (-4 *3 (-559)) (-5 *2 (-569)) (-5 *1 (-616 *3 *4)) (-4 *4 (-1222 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-699 *3)) (-4 *3 (-1048)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-845 *3)) (-4 *3 (-1048)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-1048)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-5 *2 (-764)) (-5 *1 (-909 *5 *3 *6 *7)) (-4 *3 (-325 *5 *6)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *1 (-951 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 (-764))))) ((*1 *2 *1 *3) (-12 (-4 *1 (-951 *4 *5 *3)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-975 *3 *2 *4)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *2 (-788)))) ((*1 *2 *1) (-12 (-4 *1 (-1089)) (-5 *2 (-918)))) ((*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-1208 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1237 *3)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-4 *1 (-1229 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1206 *3)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (-12 (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-5 *2 (-829 (-918))))) ((*1 *2 *1) (-12 (-4 *1 (-1266 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-764))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-2 (|:| -1578 (-569)) (|:| -1640 (-635 *3)))) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569)))))) 
+(((*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-945 *5)) (-5 *3 (-764)) (-4 *5 (-1048)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-1151 3 *3)))) ((*1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1122 (-216))) (-5 *1 (-1249)))) ((*1 *2 *1) (-12 (-5 *2 (-1122 (-216))) (-5 *1 (-1249))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-638 *3)) (-4 *3 (-1048)) (-5 *1 (-705 *3 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-830 *3))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-569)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1048))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-1159 *3))))) 
+(((*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-749))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-779 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-173))))) 
+(((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1040))))) 
+(((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-1091)) (-5 *1 (-966 *2 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 *5)) (-4 *5 (-13 (-559) (-454))) (-5 *4 (-764)) (-5 *2 (-410 (-1159 *5))) (-5 *1 (-347 *5 *6)) (-4 *6 (-52 *5 *4)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-410 *5))) (-4 *5 (-13 (-559) (-454))) (-5 *4 (-764)) (-5 *2 (-410 (-1159 *5))) (-5 *1 (-347 *5 *6)) (-4 *6 (-52 *5 *4)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1219 *4 *5)) (-5 *3 (-635 *5)) (-14 *4 (-1163)) (-4 *5 (-366)) (-5 *1 (-920 *4 *5)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-366)) (-5 *2 (-1159 *5)) (-5 *1 (-920 *4 *5)) (-14 *4 (-1163)))) ((*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-764)) (-4 *6 (-366)) (-5 *2 (-410 (-954 *6))) (-5 *1 (-1049 *5 *6)) (-14 *5 (-1163))))) 
+(((*1 *2 *3 *3) (-12 (-5 *2 (-1 (-382))) (-5 *1 (-1040)) (-5 *3 (-382))))) 
+(((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183)))))) 
+(((*1 *2 *3 *4 *3 *4 *4 *4) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-749))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3)))) ((*1 *2 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3))))) 
+(((*1 *1) (-5 *1 (-1248)))) 
+(((*1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1250))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1058 (-1024 *4) (-1159 (-1024 *4)))) (-5 *3 (-851)) (-5 *1 (-1024 *4)) (-4 *4 (-13 (-841) (-366) (-1022)))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-604 *2)) (-4 *2 (-1091)))) ((*1 *1 *1) (-5 *1 (-624)))) 
+(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843))))) 
+(((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183)))))) 
+(((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-608 *3)) (-5 *5 (-1 (-1159 *3) (-1159 *3))) (-4 *3 (-13 (-27) (-433 *6))) (-4 *6 (-13 (-843) (-559))) (-5 *2 (-586 *3)) (-5 *1 (-553 *6 *3))))) 
+(((*1 *2 *3 *4 *3 *5 *5 *3 *5 *4) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-680 (-569))) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-749))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-1222 (-410 (-569)))) (-5 *1 (-910 *3 *2)) (-4 *2 (-1222 (-410 *3)))))) 
+(((*1 *1 *1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1127 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39)))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-569)) (-5 *3 (-764)) (-5 *1 (-566))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-178 *2)) (-4 *2 (-302)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-635 (-635 *4))) (-5 *2 (-635 *4)) (-4 *4 (-302)) (-5 *1 (-178 *4)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 (-2 (|:| -3930 (-680 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-680 *7))))) (-5 *5 (-764)) (-4 *8 (-1222 *7)) (-4 *7 (-1222 *6)) (-4 *6 (-351)) (-5 *2 (-2 (|:| -3930 (-680 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-680 *7)))) (-5 *1 (-508 *6 *7 *8)))) ((*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-5 *1 (-458 *3 *2)) (-4 *2 (-1222 *3)))) ((*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-5 *1 (-463 *3 *2)) (-4 *2 (-1222 *3)))) ((*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-14 *4 *3) (-14 *5 (-1 *3 *3 (-764))) (-5 *1 (-545 *3 *2 *4 *5)) (-4 *2 (-1222 *3))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-484 *3)) (-4 *3 (-13 (-351) (-610 (-569))))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |%expansion| (-308 *5 *3 *6 *7)) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145)))))) (-5 *1 (-423 *5 *3 *6 *7)) (-4 *3 (-13 (-27) (-1183) (-433 *5))) (-14 *6 (-1163)) (-14 *7 *3)))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2714 (-778 *3)) (|:| |coef1| (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| -2714 *1) (|:| |coef1| *1))) (-4 *1 (-1062 *3 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| *7) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 *7))))) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-764)) (-5 *1 (-925 *4 *5 *6 *7))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-1003)) (-4 *2 (-1048))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *3 (-1048)) (-4 *1 (-678 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1048)) (-4 *1 (-678 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-1048)) (-5 *1 (-680 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *4)) (-4 *4 (-1048)) (-4 *1 (-1112 *3 *4 *5 *6)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *3 *4))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-864 *3)) (-5 *2 (-569)))) ((*1 *1 *1) (-4 *1 (-1003))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1013)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-4 *1 (-1013)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1013)) (-5 *2 (-764)))) ((*1 *1 *1) (-4 *1 (-1013)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *1 (-617 *3 *4 *5 *6 *7 *2)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *2 (-1100 *3 *4 *5 *6))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-1159 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-569)) (-4 *1 (-62 *4 *3 *5)) (-4 *4 (-1197)) (-4 *3 (-376 *4)) (-4 *5 (-376 *4))))) 
+(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1163)) (-5 *2 (-440)) (-5 *1 (-1167))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1011 *3)) (-4 *3 (-1197)) (-4 *3 (-1091)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-562 *3)) (-4 *3 (-551)))) ((*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-733 *4 *5 *6 *3)) (-4 *3 (-951 *6 *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-421 (-1159 *7))) (-5 *1 (-733 *4 *5 *6 *7)) (-5 *3 (-1159 *7)))) ((*1 *2 *1) (-12 (-4 *3 (-454)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-421 *1)) (-4 *1 (-951 *3 *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-843)) (-4 *5 (-789)) (-4 *6 (-454)) (-5 *2 (-421 *3)) (-5 *1 (-981 *4 *5 *6 *3)) (-4 *3 (-951 *6 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-454)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-421 (-1159 (-410 *7)))) (-5 *1 (-1158 *4 *5 *6 *7)) (-5 *3 (-1159 (-410 *7))))) ((*1 *2 *1) (-12 (-5 *2 (-421 *1)) (-4 *1 (-1202)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-421 *3)) (-5 *1 (-1225 *4 *3)) (-4 *3 (-13 (-1222 *4) (-559) (-10 -8 (-15 -2714 ($ $ $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1045 *4 *5)) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *5 (-635 (-1163))) (-5 *2 (-635 (-1132 *4 (-535 (-853 *6)) (-853 *6) (-776 *4 (-853 *6))))) (-5 *1 (-1271 *4 *5 *6)) (-14 *6 (-635 (-1163)))))) 
+(((*1 *2) (-12 (-4 *2 (-13 (-433 *3) (-1003))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-843) (-559))))) ((*1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *1) (-5 *1 (-490))) ((*1 *1) (-4 *1 (-1183)))) 
+(((*1 *2) (-12 (-5 *2 (-1122 (-216))) (-5 *1 (-1181))))) 
+(((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-845 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-559)) (-4 *5 (-1048)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-846 *5 *3)) (-4 *3 (-845 *5))))) 
+(((*1 *1 *1 *1 *2) (|partial| -12 (-5 *2 (-121)) (-5 *1 (-594 *3)) (-4 *3 (-1048))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-139)) (-5 *3 (-764)) (-5 *2 (-1252))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-635 (-410 *6))) (-5 *3 (-410 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-573 *5 *6))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-978 *4 *5 *6 *3)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1247 *5))) (-5 *4 (-569)) (-5 *2 (-1247 *5)) (-5 *1 (-1030 *5)) (-4 *5 (-366)) (-4 *5 (-371)) (-4 *5 (-1048))))) 
+(((*1 *1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-55 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-635 (-1163))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *1) (-4 *1 (-280))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-657 *3 *4)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-5 *1 (-619 *3 *4 *5)) (-14 *5 (-918)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-13 (-1048) (-708 (-410 (-569))))) (-4 *5 (-843)) (-5 *1 (-1261 *4 *5 *2)) (-4 *2 (-1266 *5 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-1265 *3 *4)) (-4 *4 (-708 (-410 (-569)))) (-4 *3 (-843)) (-4 *4 (-173))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-825)) (-5 *3 (-1145))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-1222 *4)) (-5 *2 (-1 *6 (-635 *6))) (-5 *1 (-1240 *4 *5 *3 *6)) (-4 *3 (-647 *5)) (-4 *6 (-1237 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-497 *2)) (-4 *2 (-1222 (-569)))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-973))))) 
+(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-400))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1197)))) ((*1 *1 *2) (-12 (-5 *2 (-954 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-382))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-954 (-382)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-382))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-382))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-954 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-569))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-954 (-569)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-569))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-569))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 *2)) (-14 *4 (-635 *2)) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-311 *5)) (-4 *5 (-390)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))))) ((*1 *1 *2) (-12 (-5 *2 (-680 (-410 (-954 (-569))))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-680 (-410 (-954 (-382))))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-680 (-954 (-569)))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-680 (-954 (-382)))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-680 (-311 (-569)))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-680 (-311 (-382)))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-954 (-569)))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-954 (-382)))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-954 (-569))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-954 (-382))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-410 (-954 (-569))))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-410 (-954 (-382))))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-954 (-569)))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-954 (-382)))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-311 (-569)))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-311 (-382)))) (-4 *1 (-443)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-735 *3 *4))) (-5 *1 (-734 *3 *4)) (-14 *3 (-1163)) (-4 *4 (-13 (-1048) (-843) (-559))))) ((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) (-5 *1 (-762)))) ((*1 *1 *2) (-12 (-5 *2 (-1204 *3)) (-4 *3 (-351)) (-5 *1 (-771 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-804)))) ((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))))) (-5 *1 (-834)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) (-5 *1 (-894)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *1 (-978 *3 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1038 *2)) (-4 *2 (-1197)))) ((*1 *1 *2) (-2232 (-12 (-5 *2 (-954 *3)) (-12 (-3864 (-4 *3 (-43 (-410 (-569))))) (-3864 (-4 *3 (-43 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 *3)) (-12 (-3864 (-4 *3 (-551))) (-3864 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 *3)) (-12 (-3864 (-4 *3 (-994 (-569)))) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843))))) ((*1 *1 *2) (-2232 (-12 (-5 *2 (-954 (-569))) (-4 *1 (-1062 *3 *4 *5)) (-12 (-3864 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 (-569))) (-4 *1 (-1062 *3 *4 *5)) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))))) ((*1 *1 *2) (-12 (-5 *2 (-954 (-410 (-569)))) (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))))) 
+(((*1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1) (-4 *1 (-133))) ((*1 *1 *1 *2) (-12 (-4 *1 (-239)) (-5 *2 (-569)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-479)) (-5 *2 (-569)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-717)) (-5 *2 (-764)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1103)) (-5 *2 (-918))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-951 *3 *5 *4)) (-5 *1 (-989 *3 *4 *5 *2)) (-4 *3 (-454)) (-4 *4 (-843)) (-4 *5 (-789))))) 
 (((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-927))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1161)) (-5 *1 (-123)))) ((*1 *2 *1) (-12 (-4 *1 (-366 *2 *3)) (-4 *3 (-1090)) (-4 *2 (-1090)))) ((*1 *2 *1) (-12 (-4 *1 (-391)) (-5 *2 (-1143)))) ((*1 *2 *1) (-12 (-5 *2 (-1161)) (-5 *1 (-440 *3)) (-14 *3 *2))) ((*1 *2 *1) (-12 (-5 *2 (-1161)) (-5 *1 (-607 *3)) (-4 *3 (-842)))) ((*1 *2 *1) (-12 (-5 *2 (-1161)) (-5 *1 (-1068 *3)) (-14 *3 *2))) ((*1 *1 *1) (-5 *1 (-1161)))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-43 (-409 (-568)))) (-5 *2 (-2 (|:| -1976 (-1141 *4)) (|:| -1980 (-1141 *4)))) (-5 *1 (-1147 *4)) (-5 *3 (-1141 *4))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *7 (-230 (-1699 *6) (-763))) (-4 *2 (-920 *5 *8)) (-5 *1 (-654 *5 *6 *4 *7 *3 *8 *2)) (-4 *4 (-950 *5 *7 (-852 *6))) (-4 *3 (-971 *5)) (-4 *8 (-641 *5))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-1069 *3 *4 *5))) (-4 *3 (-1090)) (-4 *4 (-13 (-1047) (-881 *3) (-842) (-609 (-887 *3)))) (-4 *5 (-13 (-432 *4) (-881 *3) (-609 (-887 *3)))) (-5 *1 (-1070 *3 *4 *5))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1163 (-409 (-568)))) (-5 *2 (-409 (-568))) (-5 *1 (-182))))) 
-(((*1 *1 *1) (|partial| -4 *1 (-148))) ((*1 *1 *1) (-4 *1 (-350))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-148)) (-4 *1 (-904))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1129)) (-5 *2 (-142)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1129)) (-5 *2 (-147))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *3 (-950 *4 *6 (-852 *5))) (-4 *6 (-230 (-1699 *5) *2)) (-4 *7 (-971 *4)) (-4 *8 (-641 *4)) (-4 *9 (-920 *4 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-763)) (-5 *1 (-260 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) ((*1 *2) (-12 (-4 *4 (-1199)) (-4 *5 (-1219 *4)) (-4 *6 (-1219 (-409 *5))) (-5 *2 (-763)) (-5 *1 (-339 *3 *4 *5 *6)) (-4 *3 (-340 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-763)))) ((*1 *2) (-12 (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) *2)) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-763)) (-5 *1 (-467 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) ((*1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-867 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-634 (-2 (|:| |lcmfij| *3) (|:| |totdeg| (-763)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *3 (-788)) (-4 *6 (-950 *4 *3 *5)) (-4 *4 (-453)) (-4 *5 (-842)) (-5 *1 (-450 *4 *3 *5 *6))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-763)) (-4 *2 (-558)) (-5 *1 (-970 *2 *4)) (-4 *4 (-1219 *2))))) 
-(((*1 *1 *1) (-12 (-4 *2 (-365)) (-4 *3 (-788)) (-4 *4 (-842)) (-5 *1 (-514 *2 *3 *4 *5)) (-4 *5 (-950 *2 *3 *4))))) 
-(((*1 *2 *3 *1) (-12 (-5 *2 (-634 (-1161))) (-5 *1 (-1164)) (-5 *3 (-1161))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-819))))) 
-(((*1 *2) (-12 (-5 *2 (-409 (-953 *3))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3)))))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-1141 (-634 (-568)))) (-5 *1 (-878)) (-5 *3 (-634 (-568))))) ((*1 *2 *3) (-12 (-5 *2 (-1141 (-634 (-568)))) (-5 *1 (-878)) (-5 *3 (-634 (-568)))))) 
-(((*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121))))) 
-(((*1 *2) (-12 (-4 *3 (-558)) (-5 *2 (-634 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-419 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-409 *4)) (-4 *4 (-1219 *3)) (-4 *3 (-13 (-365) (-150))) (-5 *1 (-401 *3 *4))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-981 *2)) (-4 *2 (-1047)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-944 (-215))) (-5 *1 (-1192)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1242 *2)) (-4 *2 (-1195)) (-4 *2 (-1047))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-679 (-409 (-953 (-568))))) (-5 *2 (-634 (-2 (|:| |radval| (-310 (-568))) (|:| |radmult| (-568)) (|:| |radvect| (-634 (-679 (-310 (-568)))))))) (-5 *1 (-1031))))) 
-(((*1 *2 *1 *2) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-1010 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-518 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-842))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1244 *3)) (-4 *3 (-1219 *4)) (-4 *4 (-1199)) (-4 *1 (-340 *4 *3 *5)) (-4 *5 (-1219 (-409 *3)))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-634 (-2 (|:| |func| *2) (|:| |pole| (-121))))) (-4 *2 (-13 (-432 *4) (-1002))) (-4 *4 (-13 (-842) (-558))) (-5 *1 (-272 *4 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-568)) (-5 *1 (-464)))) ((*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-465))))) 
-(((*1 *2 *3 *3 *3) (-12 (-4 *4 (-1047)) (-5 *2 (-1 (-634 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-634 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-4 *3 (-558)) (-5 *2 (-1157 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-2 (|:| |num| (-1244 *4)) (|:| |den| *4)))))) 
-(((*1 *1 *2 *2 *3) (-12 (-5 *3 (-634 (-1161))) (-4 *4 (-1090)) (-4 *5 (-13 (-1047) (-881 *4) (-842) (-609 (-887 *4)))) (-5 *1 (-1069 *4 *5 *2)) (-4 *2 (-13 (-432 *5) (-881 *4) (-609 (-887 *4)))))) ((*1 *1 *2 *2) (-12 (-4 *3 (-1090)) (-4 *4 (-13 (-1047) (-881 *3) (-842) (-609 (-887 *3)))) (-5 *1 (-1069 *3 *4 *2)) (-4 *2 (-13 (-432 *4) (-881 *3) (-609 (-887 *3))))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 *4)) (-5 *1 (-1098 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-917)) (|has| *1 (-6 -4512)) (-4 *1 (-406)))) ((*1 *2) (-12 (-4 *1 (-406)) (-5 *2 (-917)))) ((*1 *2 *2) (-12 (-5 *2 (-917)) (-5 *1 (-688)))) ((*1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-688))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-13 (-365) (-150))) (-5 *2 (-634 (-2 (|:| -3483 (-763)) (|:| -1374 *4) (|:| |num| *4)))) (-5 *1 (-401 *3 *4)) (-4 *4 (-1219 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *4)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-5 *2 (-1 *5)) (-5 *1 (-672 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1157 *4)) (-5 *1 (-358 *4)) (-4 *4 (-350))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-1047)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-5 *2 (-2 (|:| -2963 (-568)) (|:| -2404 (-568)) (|:| -4409 (-568)) (|:| |reste| (-568)) (|:| -2221 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-772 *4 *3 *5 *6)) (-4 *3 (-324 *4 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *5)) (-4 *5 (-324 *4 *6)) (-4 *6 (-230 *7 (-763))) (-14 *7 (-763)) (-4 *4 (-1047)) (-5 *2 (-2 (|:| -2963 (-568)) (|:| -2404 (-568)) (|:| -4409 (-568)) (|:| |reste| (-568)) (|:| -2221 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-772 *4 *5 *6 *7))))) 
-(((*1 *2) (|partial| -12 (-4 *3 (-558)) (-4 *3 (-172)) (-5 *2 (-2 (|:| |particular| *1) (|:| -2588 (-634 *1)))) (-4 *1 (-369 *3)))) ((*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-454 *3 *4 *5 *6)) (|:| -2588 (-634 (-454 *3 *4 *5 *6))))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3)))))) 
-(((*1 *1 *2) (-12 (-5 *1 (-219 *2)) (-4 *2 (-13 (-365) (-1181)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1249)) (-5 *1 (-853 *4 *5 *6 *7)) (-4 *4 (-1047)) (-14 *5 (-634 (-1161))) (-14 *6 (-634 *3)) (-14 *7 *3))) ((*1 *2 *3) (-12 (-5 *3 (-763)) (-4 *4 (-1047)) (-4 *5 (-842)) (-4 *6 (-788)) (-14 *8 (-634 *5)) (-5 *2 (-1249)) (-5 *1 (-1254 *4 *5 *6 *7 *8 *9 *10)) (-4 *7 (-950 *4 *6 *5)) (-14 *9 (-634 *3)) (-14 *10 *3)))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-634 (-215))) (-5 *1 (-196))))) 
-(((*1 *2 *2) (-12 (-4 *2 (-13 (-365) (-840))) (-5 *1 (-178 *2 *3)) (-4 *3 (-1219 (-169 *2)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-1090)) (-5 *2 (-1249)) (-5 *1 (-1196 *4)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-1090)) (-5 *2 (-1249)) (-5 *1 (-1196 *4))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-1143)) (-5 *4 (-1108)) (-5 *2 (-121)) (-5 *1 (-816))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-541)) (-5 *1 (-540 *4)) (-4 *4 (-1195))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1157 (-568))) (-5 *1 (-943)) (-5 *3 (-568)))) ((*1 *2 *2) (-12 (-4 *3 (-301)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *1 (-1112 *3 *4 *5 *2)) (-4 *2 (-677 *3 *4 *5))))) 
-(((*1 *2) (-12 (-5 *2 (-634 (-917))) (-5 *1 (-1247)))) ((*1 *2 *2) (-12 (-5 *2 (-634 (-917))) (-5 *1 (-1247))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-365)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4)) (-5 *2 (-763)) (-5 *1 (-529 *4 *5 *6 *3)) (-4 *3 (-677 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-4 *3 (-558)) (-5 *2 (-763)))) ((*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *4 (-172)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4)) (-5 *2 (-763)) (-5 *1 (-678 *4 *5 *6 *3)) (-4 *3 (-677 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-4 *5 (-558)) (-5 *2 (-763))))) 
-(((*1 *2 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1219 *5)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-409 *6)) (|:| |c| (-409 *6)) (|:| -3494 *6))) (-5 *1 (-1015 *5 *6)) (-5 *3 (-409 *6))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *1 (-586 *2)) (-4 *2 (-550))))) 
-(((*1 *2) (-12 (-4 *4 (-1199)) (-4 *5 (-1219 *4)) (-4 *6 (-1219 (-409 *5))) (-5 *2 (-121)) (-5 *1 (-339 *3 *4 *5 *6)) (-4 *3 (-340 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1244 *4)) (-4 *4 (-1047)) (-4 *2 (-1219 *4)) (-5 *1 (-445 *4 *2)))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-409 (-1157 (-310 *5)))) (-5 *3 (-1244 (-310 *5))) (-5 *4 (-568)) (-4 *5 (-13 (-558) (-842))) (-5 *1 (-1118 *5))))) 
-(((*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *4 (-568)) (-5 *6 (-1 (-1249) (-1244 *5) (-1244 *5) (-381))) (-5 *3 (-1244 (-381))) (-5 *5 (-381)) (-5 *2 (-1249)) (-5 *1 (-783))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-310 (-215)))) (-5 *2 (-121)) (-5 *1 (-263)))) ((*1 *2 *3) (-12 (-5 *3 (-310 (-215))) (-5 *2 (-121)) (-5 *1 (-263)))) ((*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-978 *4 *5 *6 *3)) (-4 *3 (-1061 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-840)) (-5 *2 (-568)))) ((*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-900 *3)) (-4 *3 (-1090)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1063 *4 *3)) (-4 *4 (-13 (-840) (-365))) (-4 *3 (-1219 *4)) (-5 *2 (-568)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-558) (-842) (-1037 *2) (-630 *2) (-453))) (-5 *2 (-568)) (-5 *1 (-1105 *4 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *4))))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1161)) (-5 *5 (-835 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *6))) (-4 *6 (-13 (-558) (-842) (-1037 *2) (-630 *2) (-453))) (-5 *2 (-568)) (-5 *1 (-1105 *6 *3)))) ((*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-1161)) (-5 *5 (-1143)) (-4 *6 (-13 (-558) (-842) (-1037 *2) (-630 *2) (-453))) (-5 *2 (-568)) (-5 *1 (-1105 *6 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *6))))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-409 (-953 *4))) (-4 *4 (-453)) (-5 *2 (-568)) (-5 *1 (-1106 *4)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1161)) (-5 *5 (-835 (-409 (-953 *6)))) (-5 *3 (-409 (-953 *6))) (-4 *6 (-453)) (-5 *2 (-568)) (-5 *1 (-1106 *6)))) ((*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-409 (-953 *6))) (-5 *4 (-1161)) (-5 *5 (-1143)) (-4 *6 (-453)) (-5 *2 (-568)) (-5 *1 (-1106 *6)))) ((*1 *2 *3) (|partial| -12 (-5 *2 (-568)) (-5 *1 (-1178 *3)) (-4 *3 (-1047))))) 
-(((*1 *2 *3 *4 *5 *5 *5 *5 *4 *6) (-12 (-5 *4 (-568)) (-5 *6 (-1 (-1249) (-1244 *5) (-1244 *5) (-381))) (-5 *3 (-1244 (-381))) (-5 *5 (-381)) (-5 *2 (-1249)) (-5 *1 (-783))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1149 3 (-215))) (-5 *4 (-1143)) (-5 *2 (-1249)) (-5 *1 (-306))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002)))))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-365)) (-4 *3 (-1047)) (-5 *2 (-2 (|:| -4409 *1) (|:| -2607 *1))) (-4 *1 (-844 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-365)) (-4 *5 (-1047)) (-5 *2 (-2 (|:| -4409 *3) (|:| -2607 *3))) (-5 *1 (-845 *5 *3)) (-4 *3 (-844 *5))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-1157 *3)) (-4 *3 (-350)) (-5 *1 (-358 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-824))))) 
-(((*1 *2) (-12 (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-1244 *1)) (-4 *1 (-340 *3 *4 *5)))) ((*1 *2) (-12 (-4 *3 (-13 (-301) (-10 -8 (-15 -3498 ((-420 $) $))))) (-4 *4 (-1219 *3)) (-5 *2 (-2 (|:| -2588 (-679 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-679 *3)))) (-5 *1 (-351 *3 *4 *5)) (-4 *5 (-411 *3 *4)))) ((*1 *2) (-12 (-4 *3 (-1219 (-568))) (-5 *2 (-2 (|:| -2588 (-679 (-568))) (|:| |basisDen| (-568)) (|:| |basisInv| (-679 (-568))))) (-5 *1 (-760 *3 *4)) (-4 *4 (-411 (-568) *3)))) ((*1 *2) (-12 (-4 *3 (-350)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 *4)) (-5 *2 (-2 (|:| -2588 (-679 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-679 *4)))) (-5 *1 (-986 *3 *4 *5 *6)) (-4 *6 (-714 *4 *5)))) ((*1 *2) (-12 (-4 *3 (-350)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 *4)) (-5 *2 (-2 (|:| -2588 (-679 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-679 *4)))) (-5 *1 (-1253 *3 *4 *5 *6)) (-4 *6 (-411 *4 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-634 *3)) (-4 *3 (-1219 *5)) (-4 *5 (-301)) (-5 *2 (-763)) (-5 *1 (-457 *5 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-235 *3)) (-4 *3 (-1090)) (-5 *2 (-634 *3))))) 
-(((*1 *2 *2 *2) (|partial| -12 (-4 *3 (-365)) (-5 *1 (-758 *2 *3)) (-4 *2 (-698 *3)))) ((*1 *1 *1 *1) (|partial| -12 (-4 *1 (-844 *2)) (-4 *2 (-1047)) (-4 *2 (-365))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-899 (-568))) (-5 *1 (-913)))) ((*1 *2) (-12 (-5 *2 (-899 (-568))) (-5 *1 (-913))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-262 *2)) (-4 *2 (-842)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1161)) (-5 *1 (-852 *3)) (-14 *3 (-634 *2)))) ((*1 *2 *1) (-12 (-5 *2 (-1161)) (-5 *1 (-990)))) ((*1 *2 *1) (-12 (-5 *2 (-1161)) (-5 *1 (-1082 *3)) (-4 *3 (-1195)))) ((*1 *2 *1) (-12 (-4 *1 (-1221 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-787)) (-5 *2 (-1161)))) ((*1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-1240 *3)) (-14 *3 *2)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1157 *3)) (-4 *3 (-350)) (-5 *1 (-358 *3))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-842) (-1037 (-568)) (-630 (-568)) (-453))) (-5 *2 (-2 (|:| |%term| (-2 (|:| |%coef| (-1228 *4 *5 *6)) (|:| |%expon| (-314 *4 *5 *6)) (|:| |%expTerms| (-634 (-2 (|:| |k| (-409 (-568))) (|:| |c| *4)))))) (|:| |%type| (-1143)))) (-5 *1 (-1229 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1181) (-432 *3))) (-14 *5 (-1161)) (-14 *6 *4)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-568)) (-5 *1 (-234)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-1143))) (-5 *2 (-568)) (-5 *1 (-234))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-634 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-568))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-920 *3 *4)) (-4 *3 (-365)) (-4 *4 (-641 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1010 *3)) (-4 *3 (-1195)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047))))) 
-(((*1 *2 *3 *2) (-12 (-4 *1 (-782)) (-5 *2 (-1035)) (-5 *3 (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))))) ((*1 *2 *3 *2) (-12 (-4 *1 (-782)) (-5 *2 (-1035)) (-5 *3 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215))))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1195)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *2 (-634 *3)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-634 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-634 *3)) (-5 *1 (-212 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-634 *3)) (-5 *1 (-494 *3)) (-4 *3 (-842)))) ((*1 *2 *1) (-12 (|has| *1 (-6 -4521)) (-4 *1 (-499 *3)) (-4 *3 (-1195)) (-5 *2 (-634 *3)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-634 *3)) (-5 *1 (-1000 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-634 *3)) (-5 *1 (-1132 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-2 (|:| |deg| (-763)) (|:| -1632 *5)))) (-4 *5 (-1219 *4)) (-4 *4 (-350)) (-5 *2 (-634 *5)) (-5 *1 (-207 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-2 (|:| -3850 *5) (|:| -1836 (-568))))) (-5 *4 (-568)) (-4 *5 (-1219 *4)) (-5 *2 (-634 *5)) (-5 *1 (-685 *5))))) 
-(((*1 *1) (-5 *1 (-142)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-5 *2 (-1 *6 *5)) (-5 *1 (-673 *4 *5 *6))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *6) (-12 (-5 *3 (-310 (-568))) (-5 *4 (-1 (-215) (-215))) (-5 *5 (-1084 (-215))) (-5 *6 (-634 (-256))) (-5 *2 (-1121 (-215))) (-5 *1 (-686))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *5 *5 *6 *7 *8 *8 *3) (-12 (-5 *6 (-634 (-121))) (-5 *7 (-679 (-215))) (-5 *8 (-679 (-568))) (-5 *3 (-568)) (-5 *4 (-215)) (-5 *5 (-121)) (-5 *2 (-1035)) (-5 *1 (-746))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-215)) (-5 *3 (-763)) (-5 *1 (-217)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-169 (-215))) (-5 *3 (-763)) (-5 *1 (-217)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1124)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-215)) (-5 *2 (-310 (-381))) (-5 *1 (-299))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1195)) (-5 *1 (-1141 *3))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-1108)) (-5 *4 (-958 (-215))) (-5 *2 (-215)) (-5 *1 (-115))))) 
-(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-568)) (|has| *1 (-6 -4522)) (-4 *1 (-375 *3)) (-4 *3 (-1195))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *5 *6 *5 *4 *7 *3) (-12 (-5 *4 (-679 (-568))) (-5 *5 (-121)) (-5 *7 (-679 (-215))) (-5 *3 (-568)) (-5 *6 (-215)) (-5 *2 (-1035)) (-5 *1 (-746))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-324 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-787)) (-5 *2 (-634 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-384 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-1090)) (-5 *2 (-634 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1141 *3)) (-5 *1 (-594 *3)) (-4 *3 (-1047)))) ((*1 *2 *1) (-12 (-5 *2 (-634 *3)) (-5 *1 (-725 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-716)))) ((*1 *2 *1) (-12 (-4 *1 (-844 *3)) (-4 *3 (-1047)) (-5 *2 (-634 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1234 *3)) (-4 *3 (-1047)) (-5 *2 (-1141 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-634 *3)) (-5 *1 (-1076 *3)) (-4 *3 (-138))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1035))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-215)) (-5 *1 (-217)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-169 (-215))) (-5 *1 (-217)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1124)))) 
-(((*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-2 (|:| |ans| *7) (|:| -3286 *7) (|:| |sol?| (-121))) (-568) *7)) (-5 *6 (-634 (-409 *8))) (-4 *7 (-365)) (-4 *8 (-1219 *7)) (-5 *3 (-409 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-578 *7 *8))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-917)) (-5 *3 (-634 (-256))) (-5 *1 (-254)))) ((*1 *1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-256))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-634 *3)) (-4 *3 (-301)) (-5 *1 (-177 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-641 *2)) (-4 *2 (-365))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-509 *2)) (-14 *2 (-568)))) ((*1 *1 *1 *1) (-5 *1 (-1108)))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1047)) (-4 *5 (-230 *6 *2)) (-14 *6 *2) (-5 *2 (-763)) (-5 *1 (-908 *4 *3 *5 *6)) (-4 *3 (-324 *4 *5))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *5 *6 *6 *7 *7 *3) (-12 (-5 *4 (-634 (-121))) (-5 *5 (-679 (-215))) (-5 *6 (-679 (-568))) (-5 *7 (-215)) (-5 *3 (-568)) (-5 *2 (-1035)) (-5 *1 (-746))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-634 *3)) (-5 *1 (-978 *4 *5 *6 *3)) (-4 *3 (-1061 *4 *5 *6))))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *3 (-634 (-607 *6))) (-5 *4 (-1161)) (-5 *2 (-607 *6)) (-4 *6 (-432 *5)) (-4 *5 (-842)) (-5 *1 (-577 *5 *6))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-917)) (-5 *1 (-358 *3)) (-4 *3 (-350))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1084 (-835 (-381)))) (-5 *2 (-1084 (-835 (-215)))) (-5 *1 (-299))))) 
-(((*1 *1 *2) (|partial| -12 (-5 *2 (-1257 *3 *4)) (-4 *3 (-842)) (-4 *4 (-172)) (-5 *1 (-656 *3 *4)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-656 *3 *4)) (-5 *1 (-1262 *3 *4)) (-4 *3 (-842)) (-4 *4 (-172))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-568)) (-5 *2 (-1249)) (-5 *1 (-1246)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-381)) (-5 *2 (-1249)) (-5 *1 (-1246))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-128 *2)) (-4 *2 (-1195)))) ((*1 *1 *1) (-12 (-5 *1 (-663 *2)) (-4 *2 (-842)))) ((*1 *1 *1) (-12 (-5 *1 (-667 *2)) (-4 *2 (-842)))) ((*1 *1 *1) (-5 *1 (-850))) ((*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-850)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-840) (-365))) (-5 *1 (-1057 *2 *3)) (-4 *3 (-1219 *2))))) 
-(((*1 *2 *3 *4 *3 *5 *3) (-12 (-5 *4 (-679 (-215))) (-5 *5 (-679 (-568))) (-5 *3 (-568)) (-5 *2 (-1035)) (-5 *1 (-746))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-989 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-1097 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7))))) 
-(((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-1247))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-558) (-842) (-1037 (-568)))) (-4 *5 (-432 *4)) (-5 *2 (-420 (-1157 (-409 (-568))))) (-5 *1 (-437 *4 *5 *3)) (-4 *3 (-1219 *5))))) 
-(((*1 *2) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-679 (-409 *4)))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1143)) (-5 *3 (-568)) (-5 *1 (-234))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 *5))) (-5 *4 (-1161)) (-4 *5 (-13 (-301) (-842) (-150))) (-5 *2 (-634 (-310 *5))) (-5 *1 (-1117 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 *5)))) (-5 *4 (-634 (-1161))) (-4 *5 (-13 (-301) (-842) (-150))) (-5 *2 (-634 (-634 (-310 *5)))) (-5 *1 (-1117 *5))))) 
-(((*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-746))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1191 *3)) (-4 *3 (-975))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-453))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-819)) (-5 *3 (-634 (-1161))) (-5 *1 (-820))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-887 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-634 (-2 (|:| -3850 (-1157 *6)) (|:| -3483 (-568))))) (-4 *6 (-301)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121)) (-5 *1 (-732 *4 *5 *6 *7)) (-4 *7 (-950 *6 *4 *5)))) ((*1 *1 *1) (-12 (-4 *1 (-1122 *2)) (-4 *2 (-1047))))) 
-(((*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-568))) (-5 *1 (-1045))))) 
-(((*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1143)) (-5 *4 (-568)) (-5 *5 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-746))))) 
-(((*1 *1 *1) (-12 (-4 *2 (-150)) (-4 *2 (-301)) (-4 *2 (-453)) (-4 *3 (-842)) (-4 *4 (-788)) (-5 *1 (-988 *2 *3 *4 *5)) (-4 *5 (-950 *2 *4 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-53)) (-5 *2 (-310 (-568))) (-5 *1 (-1107)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1182 *3)) (-4 *3 (-1090))))) 
-(((*1 *1 *1 *1) (-4 *1 (-550)))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-453)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-978 *3 *4 *5 *6))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-4 *4 (-1047)) (-5 *2 (-2 (|:| -4409 *1) (|:| -2607 *1))) (-4 *1 (-1219 *4))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2723 (-777 *3)) (|:| |coef1| (-777 *3)) (|:| |coef2| (-777 *3)))) (-5 *1 (-777 *3)) (-4 *3 (-558)) (-4 *3 (-1047)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-558)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-2 (|:| -2723 *1) (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-1061 *3 *4 *5))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1143)) (-5 *4 (-568)) (-5 *5 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-746))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *2 (-634 (-634 (-288 (-953 *4))))) (-5 *1 (-382 *4)) (-4 *4 (-13 (-840) (-365))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-288 (-409 (-953 (-568)))))) (-5 *2 (-634 (-634 (-288 (-953 *4))))) (-5 *1 (-382 *4)) (-4 *4 (-13 (-840) (-365))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 (-568)))) (-5 *2 (-634 (-288 (-953 *4)))) (-5 *1 (-382 *4)) (-4 *4 (-13 (-840) (-365))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-288 (-409 (-953 (-568))))) (-5 *2 (-634 (-288 (-953 *4)))) (-5 *1 (-382 *4)) (-4 *4 (-13 (-840) (-365))))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1161)) (-4 *6 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-4 *4 (-13 (-29 *6) (-1181) (-959))) (-5 *2 (-2 (|:| |particular| *4) (|:| -2588 (-634 *4)))) (-5 *1 (-642 *6 *4 *3)) (-4 *3 (-646 *4)))) ((*1 *2 *3 *2 *4 *2 *5) (|partial| -12 (-5 *4 (-1161)) (-5 *5 (-634 *2)) (-4 *2 (-13 (-29 *6) (-1181) (-959))) (-4 *6 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *1 (-642 *6 *2 *3)) (-4 *3 (-646 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-679 *5)) (-4 *5 (-365)) (-5 *2 (-2 (|:| |particular| (-3 (-1244 *5) "failed")) (|:| -2588 (-634 (-1244 *5))))) (-5 *1 (-659 *5)) (-5 *4 (-1244 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-634 *5))) (-4 *5 (-365)) (-5 *2 (-2 (|:| |particular| (-3 (-1244 *5) "failed")) (|:| -2588 (-634 (-1244 *5))))) (-5 *1 (-659 *5)) (-5 *4 (-1244 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-679 *5)) (-4 *5 (-365)) (-5 *2 (-634 (-2 (|:| |particular| (-3 (-1244 *5) "failed")) (|:| -2588 (-634 (-1244 *5)))))) (-5 *1 (-659 *5)) (-5 *4 (-634 (-1244 *5))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-634 *5))) (-4 *5 (-365)) (-5 *2 (-634 (-2 (|:| |particular| (-3 (-1244 *5) "failed")) (|:| -2588 (-634 (-1244 *5)))))) (-5 *1 (-659 *5)) (-5 *4 (-634 (-1244 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-4 *6 (-13 (-375 *5) (-10 -7 (-6 -4522)))) (-4 *4 (-13 (-375 *5) (-10 -7 (-6 -4522)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2588 (-634 *4)))) (-5 *1 (-660 *5 *6 *4 *3)) (-4 *3 (-677 *5 *6 *4)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-4 *6 (-13 (-375 *5) (-10 -7 (-6 -4522)))) (-4 *7 (-13 (-375 *5) (-10 -7 (-6 -4522)))) (-5 *2 (-634 (-2 (|:| |particular| (-3 *7 "failed")) (|:| -2588 (-634 *7))))) (-5 *1 (-660 *5 *6 *7 *3)) (-5 *4 (-634 *7)) (-4 *3 (-677 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-953 *5))) (-5 *4 (-634 (-1161))) (-4 *5 (-558)) (-5 *2 (-634 (-634 (-288 (-409 (-953 *5)))))) (-5 *1 (-762 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-953 *4))) (-4 *4 (-558)) (-5 *2 (-634 (-634 (-288 (-409 (-953 *4)))))) (-5 *1 (-762 *4)))) ((*1 *2 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-1161)) (-4 *5 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *1 (-764 *5 *2)) (-4 *2 (-13 (-29 *5) (-1181) (-959))))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-679 *7)) (-5 *5 (-1161)) (-4 *7 (-13 (-29 *6) (-1181) (-959))) (-4 *6 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *2 (-2 (|:| |particular| (-1244 *7)) (|:| -2588 (-634 (-1244 *7))))) (-5 *1 (-797 *6 *7)) (-5 *4 (-1244 *7)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-679 *6)) (-5 *4 (-1161)) (-4 *6 (-13 (-29 *5) (-1181) (-959))) (-4 *5 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *2 (-634 (-1244 *6))) (-5 *1 (-797 *5 *6)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-634 (-288 *7))) (-5 *4 (-634 (-123))) (-5 *5 (-1161)) (-4 *7 (-13 (-29 *6) (-1181) (-959))) (-4 *6 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *2 (-2 (|:| |particular| (-1244 *7)) (|:| -2588 (-634 (-1244 *7))))) (-5 *1 (-797 *6 *7)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-634 *7)) (-5 *4 (-634 (-123))) (-5 *5 (-1161)) (-4 *7 (-13 (-29 *6) (-1181) (-959))) (-4 *6 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *2 (-2 (|:| |particular| (-1244 *7)) (|:| -2588 (-634 (-1244 *7))))) (-5 *1 (-797 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-288 *7)) (-5 *4 (-123)) (-5 *5 (-1161)) (-4 *7 (-13 (-29 *6) (-1181) (-959))) (-4 *6 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *2 (-3 (-2 (|:| |particular| *7) (|:| -2588 (-634 *7))) *7 "failed")) (-5 *1 (-797 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-123)) (-5 *5 (-1161)) (-4 *6 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *2 (-3 (-2 (|:| |particular| *3) (|:| -2588 (-634 *3))) *3 "failed")) (-5 *1 (-797 *6 *3)) (-4 *3 (-13 (-29 *6) (-1181) (-959))))) ((*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-288 *2)) (-5 *4 (-123)) (-5 *5 (-634 *2)) (-4 *2 (-13 (-29 *6) (-1181) (-959))) (-5 *1 (-797 *6 *2)) (-4 *6 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))))) ((*1 *2 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-288 *2)) (-5 *5 (-634 *2)) (-4 *2 (-13 (-29 *6) (-1181) (-959))) (-4 *6 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *1 (-797 *6 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-803)) (-5 *2 (-1035)) (-5 *1 (-800)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-803)) (-5 *4 (-1059)) (-5 *2 (-1035)) (-5 *1 (-800)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1244 (-310 (-381)))) (-5 *4 (-381)) (-5 *5 (-634 *4)) (-5 *2 (-1035)) (-5 *1 (-800)))) ((*1 *2 *3 *4 *4 *5 *4) (-12 (-5 *3 (-1244 (-310 (-381)))) (-5 *4 (-381)) (-5 *5 (-634 *4)) (-5 *2 (-1035)) (-5 *1 (-800)))) ((*1 *2 *3 *4 *4 *5 *6 *4) (-12 (-5 *3 (-1244 (-310 *4))) (-5 *5 (-634 (-381))) (-5 *6 (-310 (-381))) (-5 *4 (-381)) (-5 *2 (-1035)) (-5 *1 (-800)))) ((*1 *2 *3 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1244 (-310 (-381)))) (-5 *4 (-381)) (-5 *5 (-634 *4)) (-5 *2 (-1035)) (-5 *1 (-800)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4) (-12 (-5 *3 (-1244 (-310 *4))) (-5 *5 (-634 (-381))) (-5 *6 (-310 (-381))) (-5 *4 (-381)) (-5 *2 (-1035)) (-5 *1 (-800)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4 *4) (-12 (-5 *3 (-1244 (-310 *4))) (-5 *5 (-634 (-381))) (-5 *6 (-310 (-381))) (-5 *4 (-381)) (-5 *2 (-1035)) (-5 *1 (-800)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-2 (|:| |particular| *6) (|:| -2588 (-634 *6))) "failed") *7 *6)) (-4 *6 (-365)) (-4 *7 (-646 *6)) (-5 *2 (-2 (|:| |particular| (-1244 *6)) (|:| -2588 (-679 *6)))) (-5 *1 (-808 *6 *7)) (-5 *3 (-679 *6)) (-5 *4 (-1244 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-893)) (-5 *2 (-1035)) (-5 *1 (-892)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-893)) (-5 *4 (-1059)) (-5 *2 (-1035)) (-5 *1 (-892)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7 *8) (-12 (-5 *4 (-763)) (-5 *6 (-634 (-634 (-310 *3)))) (-5 *7 (-1143)) (-5 *8 (-215)) (-5 *5 (-634 (-310 (-381)))) (-5 *3 (-381)) (-5 *2 (-1035)) (-5 *1 (-892)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7) (-12 (-5 *4 (-763)) (-5 *6 (-634 (-634 (-310 *3)))) (-5 *7 (-1143)) (-5 *5 (-634 (-310 (-381)))) (-5 *3 (-381)) (-5 *2 (-1035)) (-5 *1 (-892)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-953 (-409 (-568)))) (-5 *2 (-634 (-381))) (-5 *1 (-1022)) (-5 *4 (-381)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-953 (-568))) (-5 *2 (-634 (-381))) (-5 *1 (-1022)) (-5 *4 (-381)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *2 (-634 *4)) (-5 *1 (-1116 *3 *4)) (-4 *3 (-1219 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *2 (-634 (-288 (-310 *4)))) (-5 *1 (-1119 *4)) (-5 *3 (-310 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *2 (-634 (-288 (-310 *4)))) (-5 *1 (-1119 *4)) (-5 *3 (-288 (-310 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *2 (-634 (-288 (-310 *5)))) (-5 *1 (-1119 *5)) (-5 *3 (-288 (-310 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *2 (-634 (-288 (-310 *5)))) (-5 *1 (-1119 *5)) (-5 *3 (-310 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-634 (-1161))) (-4 *5 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *2 (-634 (-634 (-288 (-310 *5))))) (-5 *1 (-1119 *5)) (-5 *3 (-634 (-288 (-310 *5)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 *5)))) (-5 *4 (-634 (-1161))) (-4 *5 (-558)) (-5 *2 (-634 (-634 (-288 (-409 (-953 *5)))))) (-5 *1 (-1166 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-634 (-1161))) (-4 *5 (-558)) (-5 *2 (-634 (-634 (-288 (-409 (-953 *5)))))) (-5 *1 (-1166 *5)) (-5 *3 (-634 (-288 (-409 (-953 *5))))))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-953 *4)))) (-4 *4 (-558)) (-5 *2 (-634 (-634 (-288 (-409 (-953 *4)))))) (-5 *1 (-1166 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-634 (-634 (-288 (-409 (-953 *4)))))) (-5 *1 (-1166 *4)) (-5 *3 (-634 (-288 (-409 (-953 *4))))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-558)) (-5 *2 (-634 (-288 (-409 (-953 *5))))) (-5 *1 (-1166 *5)) (-5 *3 (-409 (-953 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-558)) (-5 *2 (-634 (-288 (-409 (-953 *5))))) (-5 *1 (-1166 *5)) (-5 *3 (-288 (-409 (-953 *5)))))) ((*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-634 (-288 (-409 (-953 *4))))) (-5 *1 (-1166 *4)) (-5 *3 (-409 (-953 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-634 (-288 (-409 (-953 *4))))) (-5 *1 (-1166 *4)) (-5 *3 (-288 (-409 (-953 *4))))))) 
-(((*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-688)))) ((*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-688))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1157 *3)) (-4 *3 (-370)) (-4 *1 (-327 *3)) (-4 *3 (-365))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) (-5 *1 (-263))))) 
-(((*1 *2 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *2)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *2 (-1061 *3 *4 *5))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-166 *3)) (-4 *3 (-172)) (-4 *3 (-550)) (-5 *2 (-409 (-568))))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-409 (-568))) (-5 *1 (-420 *3)) (-4 *3 (-550)) (-4 *3 (-558)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-550)) (-5 *2 (-409 (-568))))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-792 *3)) (-4 *3 (-172)) (-4 *3 (-550)) (-5 *2 (-409 (-568))))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-409 (-568))) (-5 *1 (-828 *3)) (-4 *3 (-550)) (-4 *3 (-1090)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-409 (-568))) (-5 *1 (-835 *3)) (-4 *3 (-550)) (-4 *3 (-1090)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-997 *3)) (-4 *3 (-172)) (-4 *3 (-550)) (-5 *2 (-409 (-568))))) ((*1 *2 *3) (|partial| -12 (-5 *2 (-409 (-568))) (-5 *1 (-1008 *3)) (-4 *3 (-1037 *2))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-509 *2)) (-14 *2 (-568)))) ((*1 *1 *1) (-5 *1 (-1108)))) 
-(((*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-169 (-215)))) (-5 *2 (-1035)) (-5 *1 (-746))))) 
-(((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-989 *4 *5 *6 *7 *3)) (-4 *3 (-1066 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1097 *4 *5 *6 *7 *3)) (-4 *3 (-1066 *4 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-288 *2)) (-4 *2 (-1195)))) ((*1 *2 *1) (-12 (-4 *3 (-1090)) (-4 *2 (-13 (-432 *4) (-881 *3) (-609 (-887 *3)))) (-5 *1 (-1069 *3 *4 *2)) (-4 *4 (-13 (-1047) (-881 *3) (-842) (-609 (-887 *3)))))) ((*1 *2 *1) (-12 (-4 *2 (-1090)) (-5 *1 (-1150 *3 *2)) (-4 *3 (-1090))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(((*1 *1 *1) (-4 *1 (-550)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *5 (-1199)) (-4 *6 (-1219 *5)) (-4 *7 (-1219 (-409 *6))) (-5 *2 (-634 (-953 *5))) (-5 *1 (-339 *4 *5 *6 *7)) (-4 *4 (-340 *5 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *1 (-340 *4 *5 *6)) (-4 *4 (-1199)) (-4 *5 (-1219 *4)) (-4 *6 (-1219 (-409 *5))) (-4 *4 (-365)) (-5 *2 (-634 (-953 *4)))))) 
-(((*1 *2 *3 *4 *4) (-12 (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *7 (-950 *5 *8 (-852 *6))) (-4 *8 (-230 (-1699 *6) (-763))) (-4 *9 (-971 *5)) (-4 *10 (-641 *5)) (-4 *11 (-920 *5 *10)) (-4 *3 (-235 *11)) (-4 *12 (-536 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-117)) (-5 *2 (-2 (|:| -3894 (-568)) (|:| |num| *7) (|:| |den| *7) (|:| |upTo| (-568)))) (-5 *1 (-467 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-5 *4 (-568)) (-4 *13 (-258 *12)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-236 (-922 *5))) (-4 *5 (-350)) (-5 *2 (-2 (|:| -3894 (-568)) (|:| |num| (-242 *6 *5)) (|:| |den| (-242 *6 *5)) (|:| |upTo| (-568)))) (-5 *1 (-867 *5 *6 *7)) (-5 *4 (-568)) (-14 *6 (-634 (-1161))) (-4 *7 (-117)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-236 (-921 *5))) (-4 *5 (-365)) (-5 *2 (-2 (|:| -3894 (-568)) (|:| |num| (-242 *6 *5)) (|:| |den| (-242 *6 *5)) (|:| |upTo| (-568)))) (-5 *1 (-868 *5 *6 *7)) (-5 *4 (-568)) (-14 *6 (-634 (-1161))) (-4 *7 (-117))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-2 (|:| |eqzro| (-634 *8)) (|:| |neqzro| (-634 *8)) (|:| |wcond| (-634 (-953 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 *5)))) (|:| -2588 (-634 (-1244 (-409 (-953 *5)))))))))) (-5 *4 (-1143)) (-4 *5 (-13 (-301) (-150))) (-4 *8 (-950 *5 *7 *6)) (-4 *6 (-13 (-842) (-609 (-1161)))) (-4 *7 (-788)) (-5 *2 (-568)) (-5 *1 (-924 *5 *6 *7 *8))))) 
-(((*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1143)) (-5 *4 (-568)) (-5 *5 (-679 (-169 (-215)))) (-5 *2 (-1035)) (-5 *1 (-746))))) 
-(((*1 *1 *1) (-5 *1 (-1059)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-310 (-215))) (-5 *2 (-215)) (-5 *1 (-299))))) 
-(((*1 *2 *3 *1) (-12 (-4 *4 (-365)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-514 *4 *5 *6 *3)) (-4 *3 (-950 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-927)) (-5 *2 (-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215))))) (-5 *1 (-156)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-927)) (-5 *4 (-409 (-568))) (-5 *2 (-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215))))) (-5 *1 (-156))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1143)) (-5 *4 (-568)) (-5 *5 (-679 (-169 (-215)))) (-5 *2 (-1035)) (-5 *1 (-746))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-555 *3)) (-4 *3 (-13 (-406) (-1181))) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *2 (-763) (-763) *7)) (-5 *4 (-1244 *7)) (-5 *5 (-763)) (-5 *6 (-1244 (-1157 *2))) (-4 *7 (-52 *2 *5)) (-4 *2 (-13 (-558) (-453))) (-5 *1 (-346 *2 *7))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-634 *1)) (-4 *1 (-1061 *4 *5 *6)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1189 *4 *5 *6 *3)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-121))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1246))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-607 *5))) (-4 *4 (-842)) (-5 *2 (-607 *5)) (-5 *1 (-577 *4 *5)) (-4 *5 (-432 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1244 *1)) (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4)))))) 
-(((*1 *1) (-5 *1 (-142)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-728))))) 
-(((*1 *2 *3 *4 *4 *3 *4 *5 *4 *4 *3 *3 *3 *3 *6 *3 *7) (-12 (-5 *3 (-568)) (-5 *5 (-121)) (-5 *6 (-679 (-215))) (-5 *7 (-3 (|:| |fn| (-390)) (|:| |fp| (-82 OBJFUN)))) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-745))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-365)) (-5 *2 (-2 (|:| -4409 *3) (|:| -2607 *3))) (-5 *1 (-758 *3 *4)) (-4 *3 (-698 *4)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-365)) (-4 *3 (-1047)) (-5 *2 (-2 (|:| -4409 *1) (|:| -2607 *1))) (-4 *1 (-844 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-365)) (-4 *5 (-1047)) (-5 *2 (-2 (|:| -4409 *3) (|:| -2607 *3))) (-5 *1 (-845 *5 *3)) (-4 *3 (-844 *5))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-302)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-2 (|:| |Hermite| *3) (|:| |eqMat| *3))) (-5 *1 (-1113 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-5 *1 (-329))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-474)) (-5 *3 (-635 (-257))) (-5 *1 (-1248)))) ((*1 *1 *1) (-5 *1 (-1248)))) 
+(((*1 *2 *1 *1 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-951 *4 *5 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1048)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-1222 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-1048)) (-5 *2 (-493 *4 *5)) (-5 *1 (-946 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 *4 (-764) (-764) (-1159 *4))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 *4) (-764))))) (-5 *1 (-485 *4)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 *4 (-764) (-764) (-1159 *4))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 *4) (-764)))) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 *6) *6 (-1163))) (|:| A (-1 *5 (-764) (-764) (-1159 *5))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 *6 (-764) (-1163) *6)) (|:| C (-1 (-635 *5) (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 *6) *6 *3)) (|:| A (-1 *5 (-764) (-764) (-1159 *5))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 *6 (-764) *3 *6)) (|:| C (-1 (-635 *5) (-764)))) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 HPSPEC) (-5 *1 (-489 *4)) (-14 *4 (-1163)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 HPSPEC (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-764)) (-4 *3 (-1048)) (-4 *1 (-678 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1245 *3)) (-4 *3 (-23)) (-4 *3 (-1197))))) 
+(((*1 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250)))) ((*1 *2 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-1159 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-454)) (-5 *2 (-635 (-2 (|:| |eigval| (-3 (-410 (-954 *4)) (-1152 (-1163) (-954 *4)))) (|:| |geneigvec| (-635 (-680 (-410 (-954 *4)))))))) (-5 *1 (-287 *4)) (-5 *3 (-680 (-410 (-954 *4))))))) 
+(((*1 *1) (-5 *1 (-148))) ((*1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1260 (-1163) *3)) (-4 *3 (-1048)) (-5 *1 (-1267 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1260 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *1 (-1269 *3 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-635 *10)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-918)) (-5 *5 (-635 *9)) (-4 *9 (-972 *6)) (-4 *6 (-366)) (-14 *7 (-635 (-1163))) (-4 *4 (-951 *6 *8 (-853 *7))) (-4 *8 (-231 (-4168 *7) (-764))) (-4 *10 (-642 *6)) (-4 *11 (-921 *6 *10)) (-4 *12 (-236 *11)) (-4 *13 (-537 *6 *7 *4 *8 *9 *10 *11 *12 *15)) (-4 *15 (-117)) (-5 *2 (-1252)) (-5 *1 (-557 *6 *7 *4 *8 *9 *10 *11 *12 *13 *14 *15)) (-4 *14 (-259 *13)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-635 (-923 *4))) (-5 *1 (-868 *4 *5 *6)) (-4 (-858 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-635 (-922 *4))) (-5 *1 (-869 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-117))))) 
+(((*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1068 *6 *7 *8 *3 *4)) (-4 *4 (-1067 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4003 *9)))) (-5 *5 (-121)) (-4 *8 (-1062 *6 *7 *4)) (-4 *9 (-1067 *6 *7 *4 *8)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *4 (-843)) (-5 *2 (-635 (-2 (|:| |val| *8) (|:| -4003 *9)))) (-5 *1 (-1068 *6 *7 *4 *8 *9))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569))))) 
+(((*1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-752))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1091)) (-5 *2 (-635 *3))))) 
+(((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1183))) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-841)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1064 *4 *3)) (-4 *4 (-13 (-841) (-366))) (-4 *3 (-1222 *4)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1170 (-635 *4))) (-4 *4 (-843)) (-5 *2 (-635 (-635 *4))) (-5 *1 (-1169 *4))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-260 *3)) (-4 *3 (-1091)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-260 *3)) (-4 *3 (-1091)))) ((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-514 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-514 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-538 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-538 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-5 *2 (-121)) (-5 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *7 (-972 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-5 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *7 (-972 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-856 *3)) (-14 *3 (-861)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-858 *3)) (-4 *3 (-351)))) ((*1 *2 *1) (-12 (-4 *1 (-859)) (-5 *2 (-851)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-861))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-901 *4)) (-4 *4 (-1091)) (-5 *2 (-635 (-764))) (-5 *1 (-900 *4))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1222 *3)) (-4 *3 (-1048))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-466))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-37 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-117)) (-4 *2 (-236 *9))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1237 *2)) (-4 *2 (-1048))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1065 *6 *7 *8 *3 *4)) (-4 *4 (-1067 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1131 *5 *6 *7 *3 *4)) (-4 *4 (-1100 *5 *6 *7 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1094 *3 *2 *4 *5 *6)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6))))) 
+(((*1 *1) (-5 *1 (-216))) ((*1 *1) (-5 *1 (-382)))) 
+(((*1 *1) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1183)))))) 
+(((*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-159))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-121)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 (-170 *4)))))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-121)) (-5 *1 (-1187 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-764)) (-5 *1 (-1092 *4 *5)) (-14 *4 *3) (-14 *5 *3)))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-493 *5 *6))) (-5 *4 (-853 *5)) (-14 *5 (-635 (-1163))) (-5 *2 (-493 *5 *6)) (-5 *1 (-623 *5 *6)) (-4 *6 (-454)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-493 *5 *6))) (-5 *4 (-853 *5)) (-14 *5 (-635 (-1163))) (-5 *2 (-493 *5 *6)) (-5 *1 (-623 *5 *6)) (-4 *6 (-454))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-359 *3)) (-4 *3 (-351))))) 
+(((*1 *1 *1 *1) (-4 *1 (-147))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551))))) 
+(((*1 *1) (-5 *1 (-819)))) 
+(((*1 *2 *3) (-12 (-5 *2 (-421 (-1159 *1))) (-5 *1 (-311 *4)) (-5 *3 (-1159 *1)) (-4 *4 (-454)) (-4 *4 (-559)) (-4 *4 (-843)))) ((*1 *2 *3) (-12 (-4 *1 (-905)) (-5 *2 (-421 (-1159 *1))) (-5 *3 (-1159 *1))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-637 *3)) (-4 *3 (-1091))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *6 *7) (|partial| -12 (-5 *5 (-1163)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-635 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3032 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1183) (-27) (-433 *8))) (-4 *8 (-13 (-454) (-843) (-151) (-1038 *3) (-631 *3))) (-5 *3 (-569)) (-5 *2 (-635 *4)) (-5 *1 (-1015 *8 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) ((*1 *1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 (-1143 *4) (-1143 *4))) (-5 *2 (-1143 *4)) (-5 *1 (-1270 *4)) (-4 *4 (-1197)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-635 (-1143 *5)) (-635 (-1143 *5)))) (-5 *4 (-569)) (-5 *2 (-635 (-1143 *5))) (-5 *1 (-1270 *5)) (-4 *5 (-1197))))) 
+(((*1 *2 *3 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003)))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3))) ((*1 *1 *2 *3 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3))) ((*1 *1 *1 *1) (-12 (-5 *1 (-667 *2)) (-4 *2 (-1048)) (-4 *2 (-1091))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-1252)) (-5 *1 (-990 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-1252)) (-5 *1 (-1098 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1145)) (-5 *1 (-185)))) ((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1145)) (-5 *1 (-295)))) ((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1145)) (-5 *1 (-300))))) 
+(((*1 *2) (-12 (-14 *4 (-764)) (-4 *5 (-1197)) (-5 *2 (-140)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5)))) ((*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-140)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) ((*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-173)))) ((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-569)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-843)) (-4 *4 (-366)) (-4 *5 (-789)) (-5 *2 (-569)) (-5 *1 (-515 *4 *5 *6 *7)) (-4 *7 (-951 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-982 *3)) (-4 *3 (-1048)) (-5 *2 (-918)))) ((*1 *2) (-12 (-4 *1 (-1254 *3)) (-4 *3 (-366)) (-5 *2 (-140))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *2) (-12 (-4 *3 (-1048)) (-5 *2 (-959 (-703 *3 *4))) (-5 *1 (-703 *3 *4)) (-4 *4 (-1222 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-1057)) (-4 *3 (-1183)) (-5 *2 (-2 (|:| |r| *3) (|:| |phi| *3)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-843) (-1038 (-569)) (-454) (-631 (-569)))) (-5 *2 (-2 (|:| -4456 *3) (|:| |nconst| *3))) (-5 *1 (-572 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5)))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 *7 *7)) (-5 *5 (-635 (-410 *7))) (-4 *7 (-1222 *6)) (-5 *3 (-410 *7)) (-4 *6 (-366)) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-579 *6 *7))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-33 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-454)) (-5 *2 (-121)) (-5 *1 (-363 *4 *5)) (-14 *5 (-635 (-1163))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-776 *4 (-853 *5)))) (-4 *4 (-454)) (-14 *5 (-635 (-1163))) (-5 *2 (-121)) (-5 *1 (-620 *4 *5))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1143 *4)) (-5 *3 (-1 *4 (-569))) (-4 *4 (-1048)) (-5 *1 (-1147 *4))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-421 *3)) (-4 *3 (-559)) (-5 *1 (-422 *3))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-608 *1)) (-4 *1 (-297))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1088 *3)) (-4 *3 (-1091)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1231 *3 *4 *5)) (-5 *1 (-315 *3 *4 *5)) (-4 *3 (-13 (-366) (-843))) (-14 *4 (-1163)) (-14 *5 *3))) ((*1 *2 *1) (-12 (-4 *1 (-407)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-421 *3)) (-4 *3 (-559)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-689)))) ((*1 *2 *1) (-12 (-4 *2 (-1091)) (-5 *1 (-704 *3 *2 *4)) (-4 *3 (-843)) (-14 *4 (-1 (-121) (-2 (|:| -3998 *3) (|:| -2356 *2)) (-2 (|:| -3998 *3) (|:| -2356 *2))))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-1159 *3))))) 
+(((*1 *2 *3 *4) (-12 (-4 *4 (-366)) (-5 *2 (-635 (-1143 *4))) (-5 *1 (-281 *4 *5)) (-5 *3 (-1143 *4)) (-4 *5 (-1237 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-927))))) 
+(((*1 *1) (-5 *1 (-143)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *3)) (-5 *1 (-979 *4 *5 *6 *3)) (-4 *3 (-1062 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-979 *4 *5 *6 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 (-635 *7) (-635 *7))) (-5 *2 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-979 *4 *5 *6 *7))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 *4)) (-5 *1 (-1127 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-954 (-569))) (-5 *2 (-329)) (-5 *1 (-331))))) 
+(((*1 *2 *2 *3 *3) (|partial| -12 (-5 *3 (-1163)) (-4 *4 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-580 *4 *2)) (-4 *2 (-13 (-1183) (-960) (-1125) (-29 *4)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *4)) (-4 *8 (-642 *4)) (-4 *9 (-921 *4 *8)) (-4 *10 (-537 *4 *5 *3 *6 *7 *8 *9 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *9)) (-5 *1 (-468 *4 *5 *3 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-635 *13)) (-5 *5 (-635 *9)) (-4 *9 (-972 *6)) (-4 *13 (-259 *12)) (-4 *6 (-366)) (-4 *12 (-537 *6 *7 *3 *8 *9 *10 *11 *2 *14)) (-4 *14 (-117)) (-14 *7 (-635 (-1163))) (-4 *3 (-951 *6 *8 (-853 *7))) (-4 *8 (-231 (-4168 *7) (-764))) (-4 *10 (-642 *6)) (-4 *11 (-921 *6 *10)) (-4 *2 (-236 *11)) (-5 *1 (-557 *6 *7 *3 *8 *9 *10 *11 *2 *12 *13 *14)))) ((*1 *2 *3) (-12 (-5 *3 (-243 *5 *4)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-5 *2 (-237 (-923 *4))) (-5 *1 (-868 *4 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-243 *5 *4)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-5 *2 (-237 (-922 *4))) (-5 *1 (-869 *4 *5 *6)) (-4 *6 (-117))))) 
+(((*1 *2 *3 *3 *2) (|partial| -12 (-5 *2 (-764)) (-4 *3 (-13 (-717) (-371) (-10 -7 (-15 ** (*3 *3 (-569)))))) (-5 *1 (-242 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *3 (-972 *4)) (-4 *8 (-642 *4)) (-4 *9 (-921 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *6 *7 *3 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *9)) (-5 *1 (-468 *4 *5 *6 *7 *3 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3) (-12 (-5 *3 (-968 *4)) (-4 *4 (-351)) (-5 *2 (-635 (-923 *4))) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-967 *4)) (-4 *4 (-366)) (-5 *2 (-635 (-922 *4))) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *2 (-635 (-2 (|:| -4030 *5) (|:| -1539 *5)))) (-5 *1 (-803 *4 *5 *3 *6)) (-4 *3 (-647 *5)) (-4 *6 (-647 (-410 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *4 (-1222 *5)) (-5 *2 (-635 (-2 (|:| -4030 *4) (|:| -1539 *4)))) (-5 *1 (-803 *5 *4 *3 *6)) (-4 *3 (-647 *4)) (-4 *6 (-647 (-410 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *2 (-635 (-2 (|:| -4030 *5) (|:| -1539 *5)))) (-5 *1 (-803 *4 *5 *6 *3)) (-4 *6 (-647 *5)) (-4 *3 (-647 (-410 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *4 (-1222 *5)) (-5 *2 (-635 (-2 (|:| -4030 *4) (|:| -1539 *4)))) (-5 *1 (-803 *5 *4 *6 *3)) (-4 *6 (-647 *4)) (-4 *3 (-647 (-410 *4)))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |polnum| (-778 *3)) (|:| |polden| *3) (|:| -3797 (-764)))) (-5 *1 (-778 *3)) (-4 *3 (-1048)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| |polnum| *1) (|:| |polden| *1) (|:| -3797 (-764)))) (-4 *1 (-1062 *3 *4 *5))))) 
+(((*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-864 *3)) (-5 *2 (-569))))) 
+(((*1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *2 *2 *3 *4) (-12 (-5 *3 (-123)) (-5 *4 (-1163)) (-4 *5 (-13 (-843) (-559) (-610 (-542)))) (-4 *2 (-433 *5)) (-5 *1 (-313 *5 *2 *6 *7)) (-4 *6 (-1237 *2)) (-4 *7 (-1237 (-1157 *2)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-297)))) ((*1 *1 *1) (-4 *1 (-297))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) ((*1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1099 *6 *7 *8 *3 *4)) (-4 *4 (-1067 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4003 *9)))) (-5 *5 (-121)) (-4 *8 (-1062 *6 *7 *4)) (-4 *9 (-1067 *6 *7 *4 *8)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *4 (-843)) (-5 *2 (-635 (-2 (|:| |val| *8) (|:| -4003 *9)))) (-5 *1 (-1099 *6 *7 *4 *8 *9))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-474)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1248)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1249))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-851))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-1048)) (-4 *2 (-173))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-608 *3)) (-4 *3 (-13 (-433 *5) (-27) (-1183))) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-571 *5 *3 *6)) (-4 *6 (-1091))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-559)) (-5 *2 (-1159 *4)) (-5 *1 (-760 *4))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1048)) (-5 *2 (-1247 *3)) (-5 *1 (-703 *3 *4)) (-4 *4 (-1222 *3))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-237 (-923 *4))) (-4 *4 (-351)) (-5 *2 (-680 *4)) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-635 (-923 *5))) (-4 *5 (-351)) (-5 *2 (-680 *5)) (-5 *1 (-868 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-4 *7 (-117)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-237 (-922 *4))) (-4 *4 (-366)) (-5 *2 (-680 *4)) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-922 *5))) (-5 *4 (-635 (-922 *5))) (-4 *5 (-366)) (-5 *2 (-680 *5)) (-5 *1 (-869 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-4 *7 (-117))))) 
+(((*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *4 (-870)) (-5 *5 (-918)) (-5 *6 (-635 (-257))) (-5 *2 (-474)) (-5 *1 (-1251)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *2 (-474)) (-5 *1 (-1251)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *4 (-635 (-257))) (-5 *2 (-474)) (-5 *1 (-1251))))) 
+(((*1 *1 *1 *1) (|partial| -4 *1 (-138)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1247 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-5 *2 (-635 *3)) (-5 *1 (-947 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-843) (-559)))))) 
+(((*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-123)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-433 *6) (-23) (-1038 (-569)) (-1038 *4) (-896 *4) (-162))) (-5 *4 (-1163)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *1 (-1025 *6 *2))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-1048))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1163)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-466))))) 
+(((*1 *1) (-4 *1 (-351)))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-635 (-289 *4))) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-3 (-121) "failed")) (-4 *3 (-454)) (-4 *4 (-843)) (-4 *5 (-789)) (-5 *1 (-989 *3 *4 *5 *6)) (-4 *6 (-951 *3 *5 *4))))) 
+(((*1 *2 *2 *3 *3 *4) (-12 (-5 *3 (-764)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *4)) (-4 *4 (-52 *2 *3))))) 
+(((*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1163)) (-4 *5 (-13 (-454) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| -3032 *3) (|:| |coeff| *3))) (-5 *1 (-560 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5)))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |answer| *3) (|:| |polypart| *3))) (-5 *1 (-579 *5 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *2 *2)) (-4 *5 (-366)) (-4 *6 (-1222 (-410 *2))) (-4 *2 (-1222 *5)) (-5 *1 (-207 *5 *2 *6 *3)) (-4 *3 (-341 *5 *2 *6))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-1145))) (-5 *2 (-1145)) (-5 *1 (-185)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-505))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-251))))) 
+(((*1 *2) (-12 (-5 *2 (-2 (|:| -4073 (-635 *3)) (|:| -1990 (-635 *3)))) (-5 *1 (-1199 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-1085 (-382)))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-1085 (-382)))) (-5 *1 (-257)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1085 (-382)))) (-5 *1 (-474)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1085 (-382)))) (-5 *1 (-474))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1101))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(((*1 *1 *2 *1) (-12 (-4 *1 (-21)) (-5 *2 (-569)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-764)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-25)) (-5 *2 (-918)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-764)) (-4 *4 (-173)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-216)) (-5 *1 (-159)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-918)) (-5 *1 (-159)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183))) (-5 *1 (-220 *3)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1103)) (-4 *2 (-1197)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1103)) (-4 *2 (-1197)))) ((*1 *1 *2 *3) (-12 (-4 *1 (-321 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-138)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-364 *2)) (-4 *2 (-1091)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-364 *2)) (-4 *2 (-1091)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-384 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-843)))) ((*1 *1 *2 *3) (-12 (-4 *1 (-385 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-1091)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1091)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1091)))) ((*1 *1 *2 *1) (-12 (-14 *3 (-635 (-1163))) (-4 *4 (-173)) (-4 *6 (-231 (-4168 *3) (-764))) (-14 *7 (-1 (-121) (-2 (|:| -3998 *5) (|:| -2356 *6)) (-2 (|:| -3998 *5) (|:| -2356 *6)))) (-5 *1 (-464 *3 *4 *5 *6 *7 *2)) (-4 *5 (-843)) (-4 *2 (-951 *4 *6 (-853 *3))))) ((*1 *1 *1 *2) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-789)) (-4 *4 (-843)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-351)) (-5 *1 (-533 *3)))) ((*1 *1 *1 *1) (-5 *1 (-542))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-595 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-595 *2)) (-4 *2 (-1048)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-595 *2)) (-4 *2 (-1048)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-638 *2)) (-4 *2 (-1055)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-668 *2)) (-4 *2 (-843)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-1 *7 *5)) (-5 *1 (-674 *5 *6 *7)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1091)) (-4 *4 (-1048)) (-5 *1 (-675 *3 *4)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-678 *3 *2 *4)) (-4 *3 (-1048)) (-4 *2 (-376 *3)) (-4 *4 (-376 *3)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-678 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *2 (-376 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *1 *1) (-4 *1 (-711))) ((*1 *1 *1 *1) (-12 (-5 *1 (-734 *2 *3)) (-14 *2 (-1163)) (-4 *3 (-13 (-1048) (-843) (-559))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-569)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-237 *1)) (-4 *1 (-921 *4 *5)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1247 *4)) (-4 *4 (-1222 *3)) (-4 *3 (-559)) (-5 *1 (-971 *3 *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1054 *2)) (-4 *2 (-1055)))) ((*1 *1 *1 *1) (-4 *1 (-1103))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1112 *3 *4 *2 *5)) (-4 *4 (-1048)) (-4 *2 (-231 *3 *4)) (-4 *5 (-231 *3 *4)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-1112 *3 *4 *5 *2)) (-4 *4 (-1048)) (-4 *5 (-231 *3 *4)) (-4 *2 (-231 *3 *4)))) ((*1 *1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-843)) (-5 *1 (-1115 *3 *4 *2)) (-4 *2 (-951 *3 (-535 *4) *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-945 (-216))) (-5 *3 (-216)) (-5 *1 (-1194)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-717)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-717)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-1245 *3)) (-4 *3 (-1197)) (-4 *3 (-21)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1262 *3 *2)) (-4 *3 (-843)) (-4 *2 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-1268 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-839))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-451 *4 *5 *6 *2))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-121)) (-5 *1 (-295))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-1167))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-635 *2))) (-5 *4 (-635 *5)) (-4 *5 (-43 (-410 (-569)))) (-4 *2 (-1237 *5)) (-5 *1 (-1239 *5 *2))))) 
+(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-493 *4 *5))) (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *2 (-2 (|:| |gblist| (-635 (-243 *4 *5))) (|:| |gvlist| (-635 (-569))))) (-5 *1 (-623 *4 *5))))) 
+(((*1 *2 *3 *4 *5 *6 *7 *7 *8) (-12 (-5 *3 (-2 (|:| |det| *12) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-5 *4 (-680 *12)) (-5 *5 (-635 (-410 (-954 *9)))) (-5 *6 (-635 (-635 *12))) (-5 *7 (-764)) (-5 *8 (-569)) (-4 *9 (-13 (-302) (-151))) (-4 *12 (-951 *9 *11 *10)) (-4 *10 (-13 (-843) (-610 (-1163)))) (-4 *11 (-789)) (-5 *2 (-2 (|:| |eqzro| (-635 *12)) (|:| |neqzro| (-635 *12)) (|:| |wcond| (-635 (-954 *9))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *9)))) (|:| -3930 (-635 (-1247 (-410 (-954 *9))))))))) (-5 *1 (-925 *9 *10 *11 *12))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-951 *4 *6 *5)) (-4 *4 (-454)) (-4 *5 (-843)) (-4 *6 (-789)) (-5 *1 (-989 *4 *5 *6 *3))))) 
+(((*1 *1 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-823 *2 *3)) (-4 *2 (-699 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1247 *5)) (-4 *5 (-631 *4)) (-4 *4 (-559)) (-5 *2 (-121)) (-5 *1 (-630 *4 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-853 *5))) (-14 *5 (-635 (-1163))) (-4 *6 (-454)) (-5 *2 (-2 (|:| |dpolys| (-635 (-243 *5 *6))) (|:| |coords| (-635 (-569))))) (-5 *1 (-477 *5 *6 *7)) (-5 *3 (-635 (-243 *5 *6))) (-4 *7 (-454))))) 
+(((*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-569))) (-5 *1 (-1046))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 (-311 (-216)))) (-5 *1 (-264))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-951 *4 *5 *6)) (-4 *4 (-366)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-452 *4 *5 *6 *2)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-101 *6)) (-5 *5 (-1 *6 *6)) (-4 *6 (-366)) (-5 *2 (-2 (|:| R (-680 *6)) (|:| A (-680 *6)) (|:| |Ainv| (-680 *6)))) (-5 *1 (-980 *6)) (-5 *3 (-680 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *4 *6) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1085 (-216))) (-5 *6 (-569)) (-5 *2 (-1193 (-927))) (-5 *1 (-314)))) ((*1 *2 *3 *3 *3 *4 *5 *4 *6 *7) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1085 (-216))) (-5 *6 (-569)) (-5 *7 (-1145)) (-5 *2 (-1193 (-927))) (-5 *1 (-314)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1085 (-216))) (-5 *6 (-216)) (-5 *7 (-569)) (-5 *2 (-1193 (-927))) (-5 *1 (-314)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7 *8) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1085 (-216))) (-5 *6 (-216)) (-5 *7 (-569)) (-5 *8 (-1145)) (-5 *2 (-1193 (-927))) (-5 *1 (-314))))) 
+(((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-133))) ((*1 *1 *1 *1) (-5 *1 (-1109)))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1237 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -2335 *3) (|:| -3782 *4)))) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *1 (-1174 *3 *4)))) ((*1 *1) (-12 (-4 *1 (-1174 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091))))) 
+(((*1 *2 *1 *1 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-5 *2 (-2 (|:| -4140 *1) (|:| |gap| (-764)) (|:| -1830 *1))) (-4 *1 (-1062 *4 *5 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| -4140 *1) (|:| |gap| (-764)) (|:| -1830 *1))) (-4 *1 (-1062 *3 *4 *5))))) 
+(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-689)))) ((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-689))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-433 *4)) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-843) (-559) (-1038 (-569)))) (-5 *2 (-2 (|:| -2558 (-764)) (|:| -1813 *8))) (-5 *1 (-907 *4 *5 *6 *7 *8)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-335 (-410 (-569)) *4 *5 *6)) (-4 *4 (-1222 (-410 (-569)))) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 (-410 (-569)) *4 *5)) (-5 *2 (-2 (|:| -2558 (-764)) (|:| -1813 *6))) (-5 *1 (-908 *4 *5 *6))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-429 *5 *3)) (-4 *3 (-13 (-1183) (-29 *5)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-493 *4 *5))) (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *2 (-635 (-243 *4 *5))) (-5 *1 (-623 *4 *5))))) 
+(((*1 *2 *3 *3) (-12 (-4 *3 (-1202)) (-4 *5 (-1222 *3)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-121)) (-5 *1 (-340 *4 *3 *5 *6)) (-4 *4 (-341 *3 *5 *6)))) ((*1 *2 *3 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-4 *7 (-951 *4 *6 *5)) (-5 *2 (-2 (|:| |sysok| (-121)) (|:| |z0| (-635 *7)) (|:| |n0| (-635 *7)))) (-5 *1 (-925 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-421 *2)) (-4 *2 (-951 *7 *5 *6)) (-5 *1 (-733 *5 *6 *7 *2)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-302))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-121)) (-5 *1 (-264))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-954 (-216))) (-5 *2 (-216)) (-5 *1 (-300))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-466))))) 
+(((*1 *2 *1) (-12 (-14 *3 (-635 (-1163))) (-4 *4 (-173)) (-4 *5 (-231 (-4168 *3) (-764))) (-14 *6 (-1 (-121) (-2 (|:| -3998 *2) (|:| -2356 *5)) (-2 (|:| -3998 *2) (|:| -2356 *5)))) (-4 *2 (-843)) (-5 *1 (-464 *3 *4 *2 *5 *6 *7)) (-4 *7 (-951 *4 *5 (-853 *3)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-50 (-1145) (-767))) (-5 *1 (-123))))) 
+(((*1 *1 *1) (-5 *1 (-1060)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-843) (-559))) (-5 *1 (-36 *3 *4)) (-4 *4 (-433 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-764)) (-5 *1 (-123)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-123)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *4)) (-4 *4 (-433 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-123)) (-5 *1 (-164)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *4)) (-4 *4 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-5 *1 (-296 *3)) (-4 *3 (-297)))) ((*1 *2 *2) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *4 (-843)) (-5 *1 (-432 *3 *4)) (-4 *3 (-433 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *4)) (-4 *4 (-433 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-123)) (-5 *1 (-608 *3)) (-4 *3 (-843)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *4)) (-4 *4 (-13 (-433 *3) (-1003) (-1183)))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-779 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-173))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *1 (-586 *2)) (-4 *2 (-1038 *3)) (-4 *2 (-366)))) ((*1 *1 *2 *2) (-12 (-5 *1 (-586 *2)) (-4 *2 (-366)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-622 *4 *2)) (-4 *2 (-13 (-433 *4) (-1003) (-1183))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1083 *2)) (-4 *2 (-13 (-433 *4) (-1003) (-1183))) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-622 *4 *2)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-960)) (-5 *2 (-1163)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1083 *1)) (-4 *1 (-960))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-1247 *5)) (-4 *5 (-631 *4)) (-4 *4 (-559)) (-5 *2 (-1247 *4)) (-5 *1 (-630 *4 *5))))) 
+(((*1 *1 *1) (-5 *1 (-851))) ((*1 *2 *1) (-12 (-4 *1 (-1094 *2 *3 *4 *5 *6)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1144)))) ((*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-1163))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-1048)) (-4 *6 (-231 *7 *3)) (-14 *7 *3) (-5 *2 (-635 *5)) (-5 *1 (-909 *4 *5 *6 *7)) (-4 *5 (-325 *4 *6))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4003 *1)))) (-4 *1 (-1067 *4 *5 *6 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *2)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-680 *4)) (-4 *4 (-1048)) (-5 *1 (-1128 *3 *4)) (-14 *3 (-764))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1091)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1036)) (-5 *1 (-300)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-1036))) (-5 *2 (-1036)) (-5 *1 (-300)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-641 *3)) (-4 *3 (-1197)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-641 *2)) (-4 *2 (-1197)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-641 *2)) (-4 *2 (-1197)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-641 *2)) (-4 *2 (-1197)))) ((*1 *1 *1 *1) (-5 *1 (-1060))) ((*1 *2 *3) (-12 (-5 *3 (-1143 (-1143 *4))) (-5 *2 (-1143 *4)) (-5 *1 (-1140 *4)) (-4 *4 (-1197)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-410 *5)) (-4 *5 (-1222 *4)) (-4 *4 (-559)) (-4 *4 (-1048)) (-4 *2 (-1237 *4)) (-5 *1 (-1240 *4 *5 *6 *2)) (-4 *6 (-647 *5))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-364 *3)) (-4 *3 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-764)) (-5 *1 (-389 *4)) (-4 *4 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-23)) (-5 *1 (-639 *4 *2 *5)) (-4 *4 (-1091)) (-14 *5 *2))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-764)) (-5 *1 (-815 *4)) (-4 *4 (-843))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-850)))) ((*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-991)))) ((*1 *2 *1) (-12 (-4 *1 (-1011 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-1091) (-39))) (-5 *1 (-1126 *2 *3)) (-4 *3 (-13 (-1091) (-39)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-4 *3 (-559)) (-5 *2 (-1159 *3))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-870)) (-5 *3 (-635 (-257))) (-5 *1 (-255))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-778 *2)) (-4 *2 (-1048))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1109)) (-5 *1 (-329))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-289 (-836 *3))) (-4 *3 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (-836 *3) (-2 (|:| |leftHandLimit| (-3 (-836 *3) "failed")) (|:| |rightHandLimit| (-3 (-836 *3) "failed"))) "failed")) (-5 *1 (-628 *5 *3)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-289 *3)) (-5 *5 (-1145)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-836 *3)) (-5 *1 (-628 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 (-836 (-954 *5)))) (-4 *5 (-454)) (-5 *2 (-3 (-836 (-410 (-954 *5))) (-2 (|:| |leftHandLimit| (-3 (-836 (-410 (-954 *5))) "failed")) (|:| |rightHandLimit| (-3 (-836 (-410 (-954 *5))) "failed"))) "failed")) (-5 *1 (-629 *5)) (-5 *3 (-410 (-954 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 (-410 (-954 *5)))) (-5 *3 (-410 (-954 *5))) (-4 *5 (-454)) (-5 *2 (-3 (-836 *3) (-2 (|:| |leftHandLimit| (-3 (-836 *3) "failed")) (|:| |rightHandLimit| (-3 (-836 *3) "failed"))) "failed")) (-5 *1 (-629 *5)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-289 (-410 (-954 *6)))) (-5 *5 (-1145)) (-5 *3 (-410 (-954 *6))) (-4 *6 (-454)) (-5 *2 (-836 *3)) (-5 *1 (-629 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *2 (-1252)) (-5 *1 (-1166)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *2 (-1252)) (-5 *1 (-1166)))) ((*1 *2 *3 *4 *1) (-12 (-5 *3 (-1163)) (-5 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *2 (-1252)) (-5 *1 (-1166))))) 
+(((*1 *2 *1) (-12 (-4 *4 (-1091)) (-5 *2 (-885 *3 *5)) (-5 *1 (-881 *3 *4 *5)) (-4 *3 (-1091)) (-4 *5 (-659 *4))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-366)) (-5 *1 (-650 *4 *2)) (-4 *2 (-647 *4))))) 
+(((*1 *2) (-12 (-4 *3 (-13 (-843) (-559) (-1038 (-569)))) (-5 *2 (-1252)) (-5 *1 (-436 *3 *4)) (-4 *4 (-433 *3))))) 
+(((*1 *2 *2 *3 *4) (-12 (-5 *2 (-1247 *5)) (-5 *3 (-764)) (-5 *4 (-1109)) (-4 *5 (-351)) (-5 *1 (-533 *5))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-121)) (-5 *1 (-446 *4 *3)) (-4 *3 (-1222 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-569)) (-5 *1 (-574 *3)) (-4 *3 (-1038 *2)))) ((*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *2 *5 *6)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))) (-5 *2 (-1036)) (-5 *1 (-300))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-321 *4 *2)) (-4 *4 (-1091)) (-4 *2 (-138))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *3 (-608 $)) $)) (-15 -4121 ((-1114 *3 (-608 $)) $)) (-15 -2185 ($ (-1114 *3 (-608 $)))))))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-569))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-817)) (-5 *2 (-57)) (-5 *1 (-827))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-542))) (-5 *2 (-1163)) (-5 *1 (-542))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1222 *3)) (-4 *3 (-1048)) (-5 *2 (-1159 *3))))) 
+(((*1 *1 *1) (-5 *1 (-1162))) ((*1 *1 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162))))) 
+(((*1 *2 *2) (-12 (-5 *1 (-672 *2)) (-4 *2 (-1091))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1027 (-836 (-569)))) (-5 *1 (-594 *3)) (-4 *3 (-1048))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *5)) (-4 *5 (-1222 *3)) (-4 *3 (-302)) (-5 *2 (-121)) (-5 *1 (-458 *3 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-843) (-559)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *7)) (|:| |neqzro| (-635 *7)) (|:| |wcond| (-635 (-954 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *4)))) (|:| -3930 (-635 (-1247 (-410 (-954 *4)))))))))) (-5 *1 (-925 *4 *5 *6 *7)) (-4 *7 (-951 *4 *6 *5))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6))))) 
+(((*1 *1) (-5 *1 (-143))) ((*1 *1 *1) (-5 *1 (-148))) ((*1 *1 *1) (-4 *1 (-1130)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1093 *3)) (-5 *1 (-901 *3)) (-4 *3 (-371)) (-4 *3 (-1091))))) 
+(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-569)) (-5 *3 (-918)) (-4 *1 (-407)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-407)))) ((*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *2 *6)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-311 (-382))) (-5 *1 (-300))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *1 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-302)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -1809 *1))) (-4 *1 (-302))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1109)) (-5 *2 (-1252)) (-5 *1 (-827))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3493 *3) (|:| |coef2| (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-259 *11)))) ((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-537 *3 *4 *5 *6 *7 *8 *9 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *9)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2) (-12 (-5 *2 (-237 (-923 *3))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-237 (-922 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-377 *2 *3)) (-4 *2 (-843)) (-4 *3 (-173)))) ((*1 *1 *1) (-12 (-5 *1 (-619 *2 *3 *4)) (-4 *2 (-843)) (-4 *3 (-13 (-173) (-708 (-410 (-569))))) (-14 *4 (-918)))) ((*1 *1 *1) (-12 (-5 *1 (-668 *2)) (-4 *2 (-843)))) ((*1 *1 *1) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) ((*1 *1 *1) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-329))))) 
+(((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-133))) ((*1 *1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-764)) (-4 *6 (-1091)) (-4 *3 (-896 *6)) (-5 *2 (-680 *3)) (-5 *1 (-682 *6 *3 *7 *4)) (-4 *7 (-376 *3)) (-4 *4 (-13 (-376 *6) (-10 -7 (-6 -4535))))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1162)) (-5 *1 (-329))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-1143 *2)) (-4 *2 (-302)) (-5 *1 (-174 *2))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-1163)) (-4 *6 (-433 *5)) (-4 *5 (-843)) (-5 *2 (-635 (-608 *6))) (-5 *1 (-578 *5 *6))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569)))))) 
+(((*1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1250)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1250))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1197))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-672 *3)) (-4 *3 (-1091))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-4 *1 (-1088 *3)))) ((*1 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| -3047 (-764)) (|:| |curves| (-764)) (|:| |polygons| (-764)) (|:| |constructs| (-764))))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *2 (-635 (-216))) (-5 *1 (-474))))) 
+(((*1 *1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *2 *3 *3) (-12 (-5 *2 (-635 *3)) (-5 *1 (-962 *3)) (-4 *3 (-551))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-853 *5))) (-14 *5 (-635 (-1163))) (-4 *6 (-454)) (-5 *2 (-635 (-635 (-243 *5 *6)))) (-5 *1 (-477 *5 *6 *7)) (-5 *3 (-635 (-243 *5 *6))) (-4 *7 (-454))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(((*1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-635 *1)) (-4 *1 (-921 *3 *4))))) 
+(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-3 (-1 (-216) (-216) (-216) (-216)) "undefined")) (-5 *5 (-1085 (-216))) (-5 *6 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-687))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1222 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-635 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1222 *4)))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-764))) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-764))) (-5 *5 (-764)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-764)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1008 *3)) (-4 *3 (-1222 (-410 (-569)))))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1211 *3)) (-4 *3 (-1222 (-569)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-37 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) ((*1 *1 *2) (-12 (-4 *1 (-43 *2)) (-4 *2 (-173)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-366)) (-14 *6 (-1247 (-680 *3))) (-5 *1 (-49 *3 *4 *5 *6)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))))) ((*1 *1 *2) (-12 (-5 *2 (-1114 (-569) (-608 (-53)))) (-5 *1 (-53)))) ((*1 *2 *3) (-12 (-5 *2 (-57)) (-5 *1 (-56 *3)) (-4 *3 (-1197)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-2139) (-689)))) (-5 *1 (-66 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139) (-2139 (QUOTE XC)) (-689)))) (-5 *1 (-68 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-338 (-2139 (QUOTE X)) (-2139) (-689))) (-5 *1 (-69 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-680 (-338 (-2139) (-2139 (QUOTE X) (QUOTE HESS)) (-689)))) (-5 *1 (-70 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-338 (-2139) (-2139 (QUOTE XC)) (-689))) (-5 *1 (-71 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689)))) (-5 *1 (-76 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689)))) (-5 *1 (-79 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE X) (QUOTE EPS)) (-2139 (QUOTE -2374)) (-689)))) (-5 *1 (-80 *3 *4 *5)) (-14 *3 (-1163)) (-14 *4 (-1163)) (-14 *5 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE EPS)) (-2139 (QUOTE YA) (QUOTE YB)) (-689)))) (-5 *1 (-81 *3 *4 *5)) (-14 *3 (-1163)) (-14 *4 (-1163)) (-14 *5 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-338 (-2139) (-2139 (QUOTE X)) (-689))) (-5 *1 (-82 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-338 (-2139) (-2139 (QUOTE X)) (-689))) (-5 *1 (-83 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139) (-2139 (QUOTE XC)) (-689)))) (-5 *1 (-84 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689)))) (-5 *1 (-85 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689)))) (-5 *1 (-86 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE X) (QUOTE -2374)) (-2139) (-689)))) (-5 *1 (-87 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-680 (-338 (-2139 (QUOTE X) (QUOTE -2374)) (-2139) (-689)))) (-5 *1 (-88 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-680 (-338 (-2139 (QUOTE X)) (-2139) (-689)))) (-5 *1 (-89 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE X)) (-2139) (-689)))) (-5 *1 (-90 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689)))) (-5 *1 (-91 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-680 (-338 (-2139 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-2139) (-689)))) (-5 *1 (-92 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689))) (-5 *1 (-94 *3)) (-14 *3 (-1163)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-1005 2)) (-5 *1 (-112)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-112)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-117)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-142 *3 *4 *5))) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-764)) (-4 *5 (-173)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *5)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-764)))) ((*1 *1 *2) (-12 (-5 *2 (-1128 *4 *5)) (-14 *4 (-764)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)))) ((*1 *1 *2) (-12 (-5 *2 (-233 *4 *5)) (-14 *4 (-764)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)))) ((*1 *2 *3) (-12 (-5 *3 (-1247 (-680 *4))) (-4 *4 (-173)) (-5 *2 (-1247 (-680 (-410 (-954 *4))))) (-5 *1 (-182 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $))))) (-5 *1 (-206 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1005 10)) (-5 *1 (-209)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-209)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-234 *3)) (-4 *3 (-1048)))) ((*1 *1 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-234 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1 *3 (-918))) (-5 *1 (-234 *3)) (-4 *3 (-1048)))) ((*1 *1 *2) (-12 (-5 *2 (-1 *3 (-918))) (-4 *3 (-1048)) (-5 *1 (-234 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-241 *3)) (-4 *3 (-843)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-241 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1083 (-311 *4))) (-4 *4 (-13 (-843) (-559) (-610 (-382)))) (-5 *2 (-1083 (-382))) (-5 *1 (-252 *4)))) ((*1 *1 *2) (-12 (-4 *1 (-263 *2)) (-4 *2 (-843)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-272)))) ((*1 *2 *1) (-12 (-4 *2 (-1222 *3)) (-5 *1 (-285 *3 *2 *4 *5 *6 *7)) (-4 *3 (-173)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-1231 *4 *5 *6)) (-4 *4 (-13 (-27) (-1183) (-433 *3))) (-14 *5 (-1163)) (-14 *6 *4) (-4 *3 (-13 (-843) (-1038 (-569)) (-631 (-569)) (-454))) (-5 *1 (-308 *3 *4 *5 *6)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-329)))) ((*1 *2 *1) (-12 (-5 *2 (-311 *5)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *2 (-328 *4)) (-5 *1 (-349 *3 *4 *2)) (-4 *3 (-328 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *2 (-328 *4)) (-5 *1 (-349 *2 *4 *3)) (-4 *3 (-328 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)) (-5 *2 (-1269 *3 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)) (-5 *2 (-1260 *3 *4)))) ((*1 *1 *2) (-12 (-4 *1 (-377 *2 *3)) (-4 *2 (-843)) (-4 *3 (-173)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) (-4 *1 (-386)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-386)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-386)))) ((*1 *1 *2) (-12 (-5 *2 (-680 (-689))) (-4 *1 (-386)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-387)))) ((*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1145)))) ((*1 *1 *2) (-12 (-5 *2 (-1145)) (-4 *1 (-392)))) ((*1 *2 *3) (-12 (-5 *2 (-397)) (-5 *1 (-396 *3)) (-4 *3 (-1091)))) ((*1 *1 *2) (-12 (-5 *2 (-851)) (-5 *1 (-397)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-170 (-382))))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-382)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-569)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-170 (-382)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-684)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-689)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-691)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-684))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-689))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-691))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-330 *4)) (-4 *4 (-13 (-843) (-21))) (-5 *1 (-430 *3 *4)) (-4 *3 (-13 (-173) (-43 (-410 (-569))))))) ((*1 *1 *2) (-12 (-5 *1 (-430 *2 *3)) (-4 *2 (-13 (-173) (-43 (-410 (-569))))) (-4 *3 (-13 (-843) (-21))))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-954 (-410 *3)))) (-4 *3 (-559)) (-4 *3 (-843)) (-4 *1 (-433 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-954 (-410 *3))) (-4 *3 (-559)) (-4 *3 (-843)) (-4 *1 (-433 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-410 *3)) (-4 *3 (-559)) (-4 *3 (-843)) (-4 *1 (-433 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1114 *3 (-608 *1))) (-4 *3 (-1048)) (-4 *3 (-843)) (-4 *1 (-433 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1095)) (-5 *1 (-437)))) ((*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-437)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-437)))) ((*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-437)))) ((*1 *1 *2) (-12 (-5 *2 (-437)) (-5 *1 (-440)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-440)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) (-4 *1 (-442)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-442)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-442)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-689))) (-4 *1 (-442)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-410 (-954 *3)))) (-4 *3 (-173)) (-14 *6 (-1247 (-680 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *1 (-474)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-474)))) ((*1 *1 *2) (-12 (-5 *2 (-1231 *3 *4 *5)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-14 *5 *3) (-5 *1 (-480 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-480 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-1005 16)) (-5 *1 (-498)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-498)))) ((*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-501)))) ((*1 *1 *2) (-12 (-5 *2 (-1114 (-569) (-608 (-505)))) (-5 *1 (-505)))) ((*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-512)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *6)))) ((*1 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-603 *3 *2)) (-4 *2 (-737 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-609 *2)) (-4 *2 (-1197)))) ((*1 *1 *2) (-12 (-4 *1 (-613 *2)) (-4 *2 (-1048)))) ((*1 *2 *1) (-12 (-5 *2 (-1265 *3 *4)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918)))) ((*1 *2 *1) (-12 (-5 *2 (-1260 *3 *4)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918)))) ((*1 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-627 *3 *2)) (-4 *2 (-737 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *3)))))) ((*1 *1 *2) (-12 (-5 *2 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-4 *3 (-366)) (-4 *1 (-642 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-668 *3)) (-5 *1 (-664 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-815 *3)) (-5 *1 (-664 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-959 (-959 (-959 *3)))) (-5 *1 (-667 *3)) (-4 *3 (-1091)))) ((*1 *1 *2) (-12 (-5 *2 (-959 (-959 (-959 *3)))) (-4 *3 (-1091)) (-5 *1 (-667 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-815 *3)) (-5 *1 (-668 *3)) (-4 *3 (-843)))) ((*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-672 *3)) (-4 *3 (-1091)))) ((*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *1 (-678 *3 *4 *2)) (-4 *4 (-376 *3)) (-4 *2 (-376 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-170 (-382))) (-5 *1 (-684)))) ((*1 *1 *2) (-12 (-5 *2 (-170 (-691))) (-5 *1 (-684)))) ((*1 *1 *2) (-12 (-5 *2 (-170 (-689))) (-5 *1 (-684)))) ((*1 *1 *2) (-12 (-5 *2 (-170 (-569))) (-5 *1 (-684)))) ((*1 *1 *2) (-12 (-5 *2 (-170 (-382))) (-5 *1 (-684)))) ((*1 *1 *2) (-12 (-5 *2 (-691)) (-5 *1 (-689)))) ((*1 *2 *1) (-12 (-5 *2 (-382)) (-5 *1 (-689)))) ((*1 *2 *3) (-12 (-5 *3 (-311 (-569))) (-5 *2 (-311 (-691))) (-5 *1 (-691)))) ((*1 *1 *2) (-12 (-5 *1 (-693 *2)) (-4 *2 (-1091)))) ((*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-701)))) ((*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-702 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-703 *3 *2)) (-4 *2 (-1222 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| -3998 *3) (|:| -2356 *4))) (-5 *1 (-704 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-1091)) (-14 *5 (-1 (-121) *2 *2)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| -3998 *3) (|:| -2356 *4))) (-4 *3 (-843)) (-4 *4 (-1091)) (-5 *1 (-704 *3 *4 *5)) (-14 *5 (-1 (-121) *2 *2)))) ((*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-706 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -4140 *3) (|:| -4145 *4)))) (-4 *3 (-1048)) (-4 *4 (-717)) (-5 *1 (-726 *3 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-735 *3 *4))) (-14 *3 (-1163)) (-4 *4 (-13 (-1048) (-843) (-559))) (-5 *1 (-734 *3 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-954 *4)) (-4 *4 (-1048)) (-5 *1 (-735 *3 *4)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-1243 *3)) (-14 *3 (-1163)) (-5 *1 (-735 *3 *4)) (-4 *4 (-1048)))) ((*1 *1 *2) (-12 (-5 *1 (-735 *3 *2)) (-14 *3 (-1163)) (-4 *2 (-1048)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-756)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) (-5 *1 (-762)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-762)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-762)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-762)))) ((*1 *2 *3) (-12 (-5 *2 (-767)) (-5 *1 (-766 *3)) (-4 *3 (-1197)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-804)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-804)))) ((*1 *2 *1) (-12 (-4 *2 (-896 *3)) (-5 *1 (-813 *3 *2 *4)) (-4 *3 (-1091)) (-14 *4 *3))) ((*1 *1 *2) (-12 (-4 *3 (-1091)) (-14 *4 *3) (-5 *1 (-813 *3 *2 *4)) (-4 *2 (-896 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-820)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))))) (-5 *1 (-834)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) (-5 *1 (-834)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (-5 *1 (-834)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-834)))) ((*1 *1 *2) (-12 (-5 *2 (-1243 *3)) (-14 *3 (-1163)) (-5 *1 (-848 *3 *4 *5 *6)) (-4 *4 (-1048)) (-14 *5 (-101 *4)) (-14 *6 (-1 *4 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-850)))) ((*1 *1 *2) (-12 (-5 *2 (-954 *3)) (-4 *3 (-1048)) (-5 *1 (-854 *3 *4 *5 *6)) (-14 *4 (-635 (-1163))) (-14 *5 (-635 (-764))) (-14 *6 (-764)))) ((*1 *2 *1) (-12 (-5 *2 (-954 *3)) (-5 *1 (-854 *3 *4 *5 *6)) (-4 *3 (-1048)) (-14 *4 (-635 (-1163))) (-14 *5 (-635 (-764))) (-14 *6 (-764)))) ((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-870)))) ((*1 *2 *3) (-12 (-5 *3 (-954 (-53))) (-5 *2 (-311 (-569))) (-5 *1 (-871)))) ((*1 *2 *3) (-12 (-5 *3 (-410 (-954 (-53)))) (-5 *2 (-311 (-569))) (-5 *1 (-871)))) ((*1 *1 *2) (-12 (-5 *1 (-889 *2)) (-4 *2 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-815 *3)) (-5 *1 (-889 *3)) (-4 *3 (-843)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) (-5 *1 (-894)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-894)))) ((*1 *2 *1) (-12 (-5 *2 (-1184 *3)) (-5 *1 (-897 *3)) (-4 *3 (-1091)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-901 *3))) (-4 *3 (-1091)) (-5 *1 (-900 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-901 *3))) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-901 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1091)) (-5 *1 (-901 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-421 *3))) (-4 *3 (-302)) (-5 *1 (-911 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-410 *3)) (-5 *1 (-911 *3)) (-4 *3 (-302)))) ((*1 *2 *3) (-12 (-5 *3 (-490)) (-5 *2 (-311 *4)) (-5 *1 (-916 *4)) (-4 *4 (-13 (-843) (-559))))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-972 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-972 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-973)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569)))) ((*1 *2 *3) (-12 (-5 *2 (-1252)) (-5 *1 (-1034 *3)) (-4 *3 (-1197)))) ((*1 *2 *3) (-12 (-5 *3 (-306)) (-5 *1 (-1034 *2)) (-4 *2 (-1197)))) ((*1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-1035 *3 *4 *5 *2 *6)) (-4 *2 (-951 *3 *4 *5)) (-14 *6 (-635 *2)))) ((*1 *1 *2) (-12 (-4 *1 (-1038 *2)) (-4 *2 (-1197)))) ((*1 *2 *3) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-1043 *3)) (-4 *3 (-559)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1048)))) ((*1 *2 *1) (-12 (-5 *2 (-680 *5)) (-5 *1 (-1052 *3 *4 *5)) (-14 *3 (-764)) (-14 *4 (-764)) (-4 *5 (-1048)))) ((*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *4 (-843)) (-5 *1 (-1115 *3 *4 *2)) (-4 *2 (-951 *3 (-535 *4) *4)))) ((*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *2 (-843)) (-5 *1 (-1115 *3 *2 *4)) (-4 *4 (-951 *3 (-535 *2) *2)))) ((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-851)))) ((*1 *2 *1) (-12 (-5 *2 (-680 *4)) (-5 *1 (-1128 *3 *4)) (-14 *3 (-764)) (-4 *4 (-1048)))) ((*1 *1 *2) (-12 (-5 *2 (-148)) (-4 *1 (-1130)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-5 *1 (-1143 *3)))) ((*1 *2 *3) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-1147 *3)) (-4 *3 (-1048)))) ((*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1153 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1160 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1161 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1219 *4 *3)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-14 *5 *3) (-5 *1 (-1161 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1162)))) ((*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1163)))) ((*1 *2 *1) (-12 (-5 *2 (-1171 (-1163) (-440))) (-5 *1 (-1167)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-1170 *3)) (-4 *3 (-1091)))) ((*1 *2 *3) (-12 (-5 *2 (-1178)) (-5 *1 (-1177 *3)) (-4 *3 (-1091)))) ((*1 *1 *2) (-12 (-5 *2 (-851)) (-5 *1 (-1178)))) ((*1 *1 *2) (-12 (-5 *2 (-954 *3)) (-4 *3 (-1048)) (-5 *1 (-1192 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1192 *3)) (-4 *3 (-1048)))) ((*1 *1 *2) (-12 (-5 *2 (-959 *3)) (-4 *3 (-1197)) (-5 *1 (-1195 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1243 (QUOTE |x|))) (-5 *1 (-1204 *3)) (-4 *3 (-1048)))) ((*1 *1 *2) (-12 (-5 *2 (-1219 (QUOTE |x|) *3)) (-4 *3 (-1048)) (-5 *1 (-1204 *3)))) ((*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *1 (-1208 *3 *2)) (-4 *2 (-1237 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1210 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1085 *3)) (-4 *3 (-1197)) (-5 *1 (-1213 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1243 *3)) (-14 *3 (-1163)) (-5 *1 (-1219 *3 *4)) (-4 *4 (-1048)))) ((*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *1 (-1229 *3 *2)) (-4 *2 (-1206 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1231 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1238 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1219 *4 *3)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-14 *5 *3) (-5 *1 (-1238 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1242 *3 *4)) (-4 *3 (-1048)))) ((*1 *1 *2) (-12 (-5 *2 (-1219 *4 *3)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-5 *1 (-1242 *3 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-1243 *3)) (-14 *3 *2))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-1248)))) ((*1 *2 *3) (-12 (-5 *3 (-474)) (-5 *2 (-1248)) (-5 *1 (-1251)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-1252)))) ((*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-789)) (-14 *6 (-635 *4)) (-5 *1 (-1257 *3 *4 *5 *2 *6 *7 *8)) (-4 *2 (-951 *3 *5 *4)) (-14 *7 (-635 (-764))) (-14 *8 (-764)))) ((*1 *2 *1) (-12 (-4 *2 (-951 *3 *5 *4)) (-5 *1 (-1257 *3 *4 *5 *2 *6 *7 *8)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-789)) (-14 *6 (-635 *4)) (-14 *7 (-635 (-764))) (-14 *8 (-764)))) ((*1 *1 *2) (-12 (-4 *1 (-1259 *2)) (-4 *2 (-1048)))) ((*1 *1 *2) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)))) ((*1 *2 *1) (-12 (-5 *2 (-1269 *3 *4)) (-5 *1 (-1265 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)))) ((*1 *2 *1) (-12 (-5 *2 (-1260 *3 *4)) (-5 *1 (-1265 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)))) ((*1 *1 *2) (-12 (-5 *2 (-657 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)) (-5 *1 (-1265 *3 *4)))) ((*1 *1 *2) (-12 (-5 *1 (-1268 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-839))))) 
+(((*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-868 *3 *4 *5)) (-4 (-858 *3) (-371)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-635 (-888 *3))) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-4 *2 (-896 *5)) (-5 *1 (-682 *5 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4535))))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-843) (-559)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-843) (-559)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-5 *1 (-564)))) ((*1 *2 *1) (-12 (-4 *1 (-606 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-5 *1 (-799))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1125)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-382)))) ((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-382))))) 
+(((*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *5 (-608 *4)) (-5 *6 (-1159 *4)) (-4 *4 (-13 (-433 *7) (-27) (-1183))) (-4 *7 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-565 *7 *4 *3)) (-4 *3 (-647 *4)) (-4 *3 (-1091)))) ((*1 *2 *3 *4 *5 *5 *5 *4 *6) (-12 (-5 *5 (-608 *4)) (-5 *6 (-410 (-1159 *4))) (-4 *4 (-13 (-433 *7) (-27) (-1183))) (-4 *7 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-565 *7 *4 *3)) (-4 *3 (-647 *4)) (-4 *3 (-1091))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-971 *5 *3)) (-4 *3 (-1222 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-776 *5 (-853 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-1045 *5 *6))) (-5 *1 (-620 *5 *6))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| |func| *3) (|:| |kers| (-635 (-608 *3))) (|:| |vals| (-635 *3)))) (-5 *1 (-274 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-692 *4 *5 *6 *7)) (-4 *4 (-610 (-542))) (-4 *5 (-1197)) (-4 *6 (-1197)) (-4 *7 (-1197))))) 
+(((*1 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250)))) ((*1 *2 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-542))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-454) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-560 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 *5)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-764)) (-4 *5 (-173))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-1159 (-1159 *4)))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *7 (-231 (-4168 *5) (-764))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *8 (-972 *4))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-1163))) (-5 *2 (-635 (-635 *5))) (-5 *1 (-383 *5)) (-4 *5 (-13 (-841) (-366))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 (-569)))) (-5 *2 (-635 *4)) (-5 *1 (-383 *4)) (-4 *4 (-13 (-841) (-366)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-764)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-789)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-454)) (-4 *5 (-843)) (-5 *1 (-451 *3 *4 *5 *6))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3))))) 
+(((*1 *2 *3 *2) (|partial| -12 (-5 *2 (-1247 *4)) (-5 *3 (-680 *4)) (-4 *4 (-366)) (-5 *1 (-660 *4)))) ((*1 *2 *3 *2) (|partial| -12 (-4 *4 (-366)) (-4 *5 (-13 (-376 *4) (-10 -7 (-6 -4536)))) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4536)))) (-5 *1 (-661 *4 *5 *2 *3)) (-4 *3 (-678 *4 *5 *2)))) ((*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *4 (-635 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-366)) (-5 *1 (-810 *2 *3)) (-4 *3 (-647 *2)))) ((*1 *2 *3) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1117 *3 *2)) (-4 *3 (-1222 *2))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-918)) (-4 *1 (-921 *4 *5)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-1252))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *6)) (-5 *4 (-1 *6 (-764) (-1247 (-1159 *6)))) (-5 *5 (-635 (-764))) (-4 *6 (-13 (-559) (-454))) (-5 *2 (-680 (-1159 *6))) (-5 *1 (-347 *6 *7)) (-4 *7 (-52 *6 (-764)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-367 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-5 *2 (-1145))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-635 *8))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-841))) (-5 *1 (-179 *3 *2)) (-4 *2 (-1222 (-170 *3)))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1237 *3))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *3 (-1197)) (-5 *1 (-180 *3 *2)) (-4 *2 (-666 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-927))))) 
+(((*1 *2 *2 *2 *2) (-12 (-5 *2 (-410 (-1159 (-311 *3)))) (-4 *3 (-13 (-559) (-843))) (-5 *1 (-1119 *3))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-664 *3)) (-4 *3 (-843)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-668 *3)) (-4 *3 (-843)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-815 *3)) (-4 *3 (-843))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843))) (-4 *2 (-13 (-433 *4) (-1003) (-1183))) (-5 *1 (-598 *4 *2 *3)) (-4 *3 (-13 (-433 (-170 *4)) (-1003) (-1183)))))) 
+(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-680 (-569))) (-5 *3 (-635 (-569))) (-5 *1 (-1101))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4003 *8))) (-4 *7 (-1062 *4 *5 *6)) (-4 *8 (-1067 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *8)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4003 *8))) (-4 *7 (-1062 *4 *5 *6)) (-4 *8 (-1067 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *8))))) 
+(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117))))) 
+(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-799))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-635 *5)) (-4 *1 (-921 *4 *5)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-1252))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-437)) (-5 *2 (-635 (-3 (|:| -1486 (-1163)) (|:| |bounds| (-635 (-3 (|:| S (-1163)) (|:| P (-954 (-569))))))))) (-5 *1 (-1167))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) ((*1 *2 *2 *2 *3) (-12 (-5 *2 (-680 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3))))) 
+(((*1 *2) (-12 (-4 *3 (-173)) (-5 *2 (-1247 *1)) (-4 *1 (-370 *3))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *1 (-562 *2)) (-4 *2 (-551))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-4 *1 (-155 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -2356 (-764)) (|:| -4030 *4) (|:| |num| *4)))) (-4 *4 (-1222 *3)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-121)) (-5 *1 (-440)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *3 (-635 (-1163))) (-5 *4 (-121)) (-5 *1 (-440)))) ((*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-599 *3)) (-4 *3 (-1197)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-626 *2)) (-4 *2 (-173)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-664 *3)) (-4 *3 (-843)) (-5 *1 (-657 *3 *4)) (-4 *4 (-173)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-664 *3)) (-4 *3 (-843)) (-5 *1 (-657 *3 *4)) (-4 *4 (-173)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-664 *3)) (-4 *3 (-843)) (-5 *1 (-657 *3 *4)) (-4 *4 (-173)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-635 *3)))) (-4 *3 (-1091)) (-5 *1 (-667 *3)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-704 *2 *3 *4)) (-4 *2 (-843)) (-4 *3 (-1091)) (-14 *4 (-1 (-121) (-2 (|:| -3998 *2) (|:| -2356 *3)) (-2 (|:| -3998 *2) (|:| -2356 *3)))))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 *4)))) (-4 *4 (-1091)) (-5 *1 (-885 *3 *4)) (-4 *3 (-1091)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 *5)) (-4 *5 (-13 (-1091) (-39))) (-5 *2 (-635 (-1126 *3 *5))) (-5 *1 (-1126 *3 *5)) (-4 *3 (-13 (-1091) (-39))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |val| *4) (|:| -4003 *5)))) (-4 *4 (-13 (-1091) (-39))) (-4 *5 (-13 (-1091) (-39))) (-5 *2 (-635 (-1126 *4 *5))) (-5 *1 (-1126 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |val| *3) (|:| -4003 *4))) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))) (-5 *1 (-1126 *3 *4)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) ((*1 *1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) ((*1 *1 *2 *3 *2 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-13 (-1091) (-39))) (-5 *1 (-1127 *2 *3)) (-4 *2 (-13 (-1091) (-39))))) ((*1 *1 *2 *3 *4) (-12 (-5 *4 (-635 (-1126 *2 *3))) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))) (-5 *1 (-1127 *2 *3)))) ((*1 *1 *2 *3 *4) (-12 (-5 *4 (-635 (-1127 *2 *3))) (-5 *1 (-1127 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) ((*1 *1 *2) (-12 (-5 *2 (-1126 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))) (-5 *1 (-1127 *3 *4)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-1152 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091))))) 
+(((*1 *1 *1) (-5 *1 (-216))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *1 *1) (-5 *1 (-382))) ((*1 *1) (-5 *1 (-382)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1247 (-635 (-2 (|:| -2247 *4) (|:| -3998 (-1109)))))) (-4 *4 (-351)) (-5 *2 (-680 *4)) (-5 *1 (-348 *4))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-1 (-635 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-635 *4))))) 
+(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1197)) (-5 *2 (-121))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-364 (-123))) (-4 *2 (-1048)) (-5 *1 (-705 *2 *4)) (-4 *4 (-638 *2)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-364 (-123))) (-5 *1 (-830 *2)) (-4 *2 (-1048))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-680 *1)) (-4 *1 (-351)) (-5 *2 (-1247 *1)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-680 *1)) (-4 *1 (-149)) (-4 *1 (-905)) (-5 *2 (-1247 *1))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-635 (-1247 *4))) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-4 *3 (-559)) (-5 *2 (-635 (-1247 *3)))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1247 *5)) (-4 *5 (-788)) (-5 *2 (-121)) (-5 *1 (-838 *4 *5)) (-14 *4 (-764))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *7)) (-4 *7 (-951 *5 *8 (-853 *6))) (-4 *8 (-231 (-4168 *6) (-764))) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *10 (-642 *5)) (-4 *11 (-921 *5 *10)) (-5 *2 (-635 (-1247 *5))) (-5 *1 (-563 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-972 *5)) (-4 *3 (-236 *11))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851))))) 
+(((*1 *2 *3 *4 *4 *3 *5) (-12 (-5 *4 (-608 *3)) (-5 *5 (-1159 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1091)))) ((*1 *2 *3 *4 *4 *4 *3 *5) (-12 (-5 *4 (-608 *3)) (-5 *5 (-410 (-1159 *3))) (-4 *3 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1091))))) 
+(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 (-680 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-382)))) ((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-382))))) 
+(((*1 *2 *2 *1) (-12 (-5 *2 (-1269 *3 *4)) (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-389 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *2) (|partial| -12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-815 *3)) (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-972 *3)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-968 *3))) (-4 *3 (-351)) (-5 *1 (-868 *3 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-967 *3))) (-4 *3 (-366)) (-5 *1 (-869 *3 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-117))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-764)) (-5 *1 (-590))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-897 *2)) (-4 *2 (-1091)))) ((*1 *1 *2) (-12 (-5 *1 (-897 *2)) (-4 *2 (-1091))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1247 *5)) (-4 *5 (-788)) (-5 *2 (-121)) (-5 *1 (-838 *4 *5)) (-14 *4 (-764))))) 
+(((*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1163)) (-4 *5 (-13 (-559) (-1038 (-569)) (-151))) (-5 *2 (-2 (|:| -3032 (-410 (-954 *5))) (|:| |coeff| (-410 (-954 *5))))) (-5 *1 (-575 *5)) (-5 *3 (-410 (-954 *5)))))) 
+(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-979 *4 *5 *6 *3)) (-4 *3 (-1062 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-361 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-57)) (-5 *1 (-1176))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-123)) (-5 *1 (-122 *3)) (-4 *3 (-843)) (-4 *3 (-1091))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-764)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) ((*1 *2 *1) (-12 (-5 *2 (-1247 (-3 (-474) "undefined"))) (-5 *1 (-1248))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-928))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-382)) (-5 *1 (-1060))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-888 *4)) (-4 *4 (-1091)) (-5 *2 (-635 *5)) (-5 *1 (-886 *4 *5)) (-4 *5 (-1197))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-382)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-257))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-466))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1184 *2)) (-4 *2 (-1091))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-569)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-451 *4 *5 *6 *7))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-1026 *3 *2)) (-4 *2 (-647 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-5 *2 (-2 (|:| -1502 *3) (|:| -2291 (-635 *5)))) (-5 *1 (-1026 *5 *3)) (-5 *4 (-635 *5)) (-4 *3 (-647 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-235)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-1145))) (-5 *2 (-1252)) (-5 *1 (-235))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1109)) (-5 *1 (-329))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-4 *5 (-366)) (-5 *2 (-635 (-1192 *5))) (-5 *1 (-1255 *5)) (-5 *4 (-1192 *5))))) 
+(((*1 *1 *2 *2 *1) (-12 (-5 *1 (-637 *2)) (-4 *2 (-1091))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -1809 *1))) (-4 *1 (-845 *3))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1091))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-145)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-146)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-217)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-219))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-635 (-635 (-945 *3)))))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-764)) (-4 *1 (-731 *4 *5)) (-4 *4 (-1048)) (-4 *5 (-843)) (-5 *2 (-954 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-731 *4 *5)) (-4 *4 (-1048)) (-4 *5 (-843)) (-5 *2 (-954 *4)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-764)) (-4 *1 (-1237 *4)) (-4 *4 (-1048)) (-5 *2 (-954 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-1237 *4)) (-4 *4 (-1048)) (-5 *2 (-954 *4))))) 
+(((*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-166 *3 *2)) (-4 *3 (-167 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-373 *2 *4)) (-4 *4 (-1222 *2)) (-4 *2 (-173)))) ((*1 *2) (-12 (-4 *4 (-1222 *2)) (-4 *2 (-173)) (-5 *1 (-411 *3 *2 *4)) (-4 *3 (-412 *2 *4)))) ((*1 *2) (-12 (-4 *1 (-412 *2 *3)) (-4 *3 (-1222 *2)) (-4 *2 (-173)))) ((*1 *2) (-12 (-4 *3 (-1222 *2)) (-5 *2 (-569)) (-5 *1 (-761 *3 *4)) (-4 *4 (-412 *2 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-951 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *3 (-173)))) ((*1 *2 *3) (-12 (-4 *2 (-559)) (-5 *1 (-971 *2 *3)) (-4 *3 (-1222 *2)))) ((*1 *2 *1) (-12 (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-173))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-1091)) (-5 *2 (-635 *1)) (-4 *1 (-385 *3 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-726 *3 *4))) (-5 *1 (-726 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-717)))) ((*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *2 (-635 *3)) (-5 *1 (-909 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) ((*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-951 *3 *4 *5))))) 
+(((*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1197)) (-5 *2 (-764)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-321 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-138)) (-5 *2 (-764)))) ((*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-764)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-364 *3)) (-4 *3 (-1091)))) ((*1 *2) (-12 (-4 *1 (-371)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-389 *3)) (-4 *3 (-1091)))) ((*1 *2) (-12 (-4 *4 (-1091)) (-5 *2 (-764)) (-5 *1 (-427 *3 *4)) (-4 *3 (-428 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1091)) (-4 *4 (-23)) (-14 *5 *4))) ((*1 *2) (-12 (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-764)) (-5 *1 (-714 *3 *4 *5)) (-4 *3 (-715 *4 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-815 *3)) (-4 *3 (-843)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1007)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-841) (-366))) (-5 *1 (-1058 *2 *3)) (-4 *3 (-1222 *2))))) 
+(((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-667 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-371)) (-5 *2 (-918)))) ((*1 *2 *3) (-12 (-5 *3 (-1247 *4)) (-4 *4 (-351)) (-5 *2 (-918)) (-5 *1 (-533 *4))))) 
+(((*1 *2 *3 *1) (|partial| -12 (-4 *1 (-606 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1091))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1091)) (-4 *2 (-1197))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 (-680 (-311 (-569))))) (-5 *1 (-1032))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-954 (-569))) (-5 *2 (-635 *1)) (-4 *1 (-1013)))) ((*1 *2 *3) (-12 (-5 *3 (-954 (-410 (-569)))) (-5 *2 (-635 *1)) (-4 *1 (-1013)))) ((*1 *2 *3) (-12 (-5 *3 (-954 *1)) (-4 *1 (-1013)) (-5 *2 (-635 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-1159 (-569))) (-5 *2 (-635 *1)) (-4 *1 (-1013)))) ((*1 *2 *3) (-12 (-5 *3 (-1159 (-410 (-569)))) (-5 *2 (-635 *1)) (-4 *1 (-1013)))) ((*1 *2 *3) (-12 (-5 *3 (-1159 *1)) (-4 *1 (-1013)) (-5 *2 (-635 *1)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-841) (-366))) (-4 *3 (-1222 *4)) (-5 *2 (-635 *1)) (-4 *1 (-1064 *4 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-945 (-216))) (-5 *2 (-1252)) (-5 *1 (-474))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-289 (-954 (-569)))) (-5 *2 (-2 (|:| |varOrder| (-635 (-1163))) (|:| |inhom| (-3 (-635 (-1247 (-764))) "failed")) (|:| |hom| (-635 (-1247 (-764)))))) (-5 *1 (-229))))) 
+(((*1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-366))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-1143 (-216))) (-5 *1 (-185)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-635 (-1163))) (-5 *5 (-1085 (-836 (-216)))) (-5 *2 (-1143 (-216))) (-5 *1 (-295)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1247 (-311 (-216)))) (-5 *4 (-635 (-1163))) (-5 *5 (-1085 (-836 (-216)))) (-5 *2 (-1143 (-216))) (-5 *1 (-295))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-366)) (-5 *2 (-635 *3)) (-5 *1 (-947 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-859))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *3 (-1222 *4)) (-4 *2 (-1237 *4)) (-5 *1 (-1240 *4 *3 *5 *2)) (-4 *5 (-647 *3))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-216)))) (-5 *1 (-927))))) 
+(((*1 *1 *1 *2) (|partial| -12 (-5 *2 (-764)) (-4 *1 (-1222 *3)) (-4 *3 (-1048))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-96 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-213 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-843)) (-5 *2 (-121)) (-5 *1 (-495 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4535)) (-4 *1 (-500 *4)) (-4 *4 (-1197)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-1001 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-1133 *4))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1117 *3 *4)) (-4 *3 (-1222 *4)))) ((*1 *2 *3 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1117 *4 *3)) (-4 *4 (-1222 *3))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1091)) (-4 *2 (-1197))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-257))) (-5 *4 (-1163)) (-5 *2 (-121)) (-5 *1 (-257))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1191 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1091)) (-4 *2 (-1197))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-843)) (-5 *2 (-635 (-657 *4 *5))) (-5 *1 (-619 *4 *5 *6)) (-4 *5 (-13 (-173) (-708 (-410 (-569))))) (-14 *6 (-918))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-1247 *6)) (-5 *1 (-335 *3 *4 *5 *6)) (-4 *6 (-341 *3 *4 *5))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-680 *7)) (-5 *3 (-635 *7)) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *1 (-925 *4 *5 *6 *7))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
+(((*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *4 (-951 *5 *7 (-853 *6))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *3 (-972 *5)) (-4 *8 (-642 *5)) (-4 *9 (-921 *5 *8)) (-4 *10 (-236 *9)) (-4 *12 (-117)) (-4 *2 (-259 *11)) (-5 *1 (-261 *5 *6 *4 *7 *3 *8 *9 *10 *11 *2 *12)) (-4 *11 (-537 *5 *6 *4 *7 *3 *8 *9 *10 *12))))) 
+(((*1 *1) (-5 *1 (-1249)))) 
+(((*1 *1 *1) (-12 (-4 *1 (-376 *2)) (-4 *2 (-1197)))) ((*1 *2 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-446 *3 *2)) (-4 *2 (-1222 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1208 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1237 *3))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 (-635 *7) *7 (-1159 *7))) (-5 *5 (-1 (-421 *7) *7)) (-4 *7 (-1222 *6)) (-4 *6 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-5 *2 (-635 (-2 (|:| |frac| (-410 *7)) (|:| -1502 *3)))) (-5 *1 (-805 *6 *7 *3 *8)) (-4 *3 (-647 *7)) (-4 *8 (-647 (-410 *7))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-635 (-2 (|:| |frac| (-410 *6)) (|:| -1502 (-645 *6 (-410 *6)))))) (-5 *1 (-808 *5 *6)) (-5 *3 (-645 *6 (-410 *6)))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-231 *3 *2)) (-4 *2 (-1197)) (-4 *2 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-851)))) ((*1 *1 *1) (-5 *1 (-851))) ((*1 *2 *3 *3) (-12 (-5 *3 (-945 (-216))) (-5 *2 (-216)) (-5 *1 (-1194)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-1048))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1091)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-881 *3 *4 *5)) (-4 *3 (-1091)) (-4 *5 (-659 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-885 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-668 *2)) (-4 *2 (-843)))) ((*1 *1 *1) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) ((*1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-843)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-1191 *2 *3 *4 *5)) (-4 *2 (-559)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-1062 *2 *3 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1234 *3)) (-4 *3 (-1197)))) ((*1 *1 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5))))) 
+(((*1 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1117 *3 *2)) (-4 *3 (-1222 *2))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *5)) (-4 *5 (-1091)) (-5 *2 (-1 *5 *4)) (-5 *1 (-673 *4 *5)) (-4 *4 (-1091)))) ((*1 *2 *3) (-12 (-4 *4 (-231 *5 (-764))) (-14 *5 (-764)) (-4 *2 (-1048)) (-5 *1 (-909 *2 *3 *4 *5)) (-4 *3 (-325 *2 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-843)) (-5 *1 (-931 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-311 (-569))) (-5 *1 (-932)))) ((*1 *2 *1) (-12 (-4 *1 (-1262 *3 *2)) (-4 *3 (-843)) (-4 *2 (-1048)))) ((*1 *2 *1) (-12 (-4 *2 (-1048)) (-5 *1 (-1268 *2 *3)) (-4 *3 (-839))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-251))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-198)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-382))) (-5 *2 (-382)) (-5 *1 (-198))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-397)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1178))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003)))))) 
+(((*1 *2 *1 *2) (-12 (-5 *1 (-1027 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) ((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1117 *3 *4)) (-4 *3 (-1222 *4)))) ((*1 *2 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1117 *4 *3)) (-4 *4 (-1222 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *6 *4)) (-4 *4 (-1091)) (-4 *6 (-1091)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-674 *4 *5 *6)) (-4 *5 (-1091))))) 
+(((*1 *1 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-155 *2)) (-4 *2 (-1197)) (-4 *2 (-1091))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 *5)))) (-5 *4 (-635 (-1163))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-954 *5)))) (-5 *1 (-1168 *5))))) 
+(((*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-764)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) ((*1 *2) (-12 (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-5 *2 (-764))))) 
+(((*1 *2) (-12 (-5 *2 (-1247 (-635 (-2 (|:| -2247 (-906 *3)) (|:| -3998 (-1109)))))) (-5 *1 (-353 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918)))) ((*1 *2) (-12 (-5 *2 (-1247 (-635 (-2 (|:| -2247 *3) (|:| -3998 (-1109)))))) (-5 *1 (-354 *3 *4)) (-4 *3 (-351)) (-14 *4 (-3 (-1159 *3) *2)))) ((*1 *2) (-12 (-5 *2 (-1247 (-635 (-2 (|:| -2247 *3) (|:| -3998 (-1109)))))) (-5 *1 (-355 *3 *4)) (-4 *3 (-351)) (-14 *4 (-918))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-1085 *3)) (-4 *3 (-951 *7 *6 *4)) (-4 *6 (-789)) (-4 *4 (-843)) (-4 *7 (-559)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-569)))) (-5 *1 (-593 *6 *4 *7 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-789)) (-4 *4 (-843)) (-4 *6 (-559)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-569)))) (-5 *1 (-593 *5 *4 *6 *3)) (-4 *3 (-951 *6 *5 *4)))) ((*1 *1 *1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1) (-5 *1 (-851))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1154 *4 *2)) (-4 *2 (-13 (-433 *4) (-162) (-27) (-1183))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1083 *2)) (-4 *2 (-13 (-433 *4) (-162) (-27) (-1183))) (-4 *4 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1154 *4 *2)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-410 (-954 *5))) (-5 *1 (-1155 *5)) (-5 *3 (-954 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-3 (-410 (-954 *5)) (-311 *5))) (-5 *1 (-1155 *5)) (-5 *3 (-410 (-954 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1083 (-954 *5))) (-5 *3 (-954 *5)) (-4 *5 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-410 *3)) (-5 *1 (-1155 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1083 (-410 (-954 *5)))) (-5 *3 (-410 (-954 *5))) (-4 *5 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-3 *3 (-311 *5))) (-5 *1 (-1155 *5))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569)))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1247 (-1163))) (-5 *3 (-1247 (-455 *4 *5 *6 *7))) (-5 *1 (-455 *4 *5 *6 *7)) (-4 *4 (-173)) (-14 *5 (-918)) (-14 *6 (-635 (-1163))) (-14 *7 (-1247 (-680 *4))))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-455 *4 *5 *6 *7))) (-5 *1 (-455 *4 *5 *6 *7)) (-4 *4 (-173)) (-14 *5 (-918)) (-14 *6 (-635 *2)) (-14 *7 (-1247 (-680 *4))))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-455 *3 *4 *5 *6))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-1163))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 *2)) (-14 *6 (-1247 (-680 *3))))) ((*1 *1) (-12 (-5 *1 (-455 *2 *3 *4 *5)) (-4 *2 (-173)) (-14 *3 (-918)) (-14 *4 (-635 (-1163))) (-14 *5 (-1247 (-680 *2)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-410 *6)) (-4 *5 (-1202)) (-4 *6 (-1222 *5)) (-5 *2 (-2 (|:| -2356 (-764)) (|:| -4140 *3) (|:| |radicand| *6))) (-5 *1 (-152 *5 *6 *7)) (-5 *4 (-764)) (-4 *7 (-1222 *3))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-4 *2 (-1222 *4)) (-5 *1 (-805 *4 *2 *3 *5)) (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *5 (-647 (-410 *2)))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1163)) (-5 *2 (-1167)) (-5 *1 (-1166))))) 
+(((*1 *2 *3 *2 *4) (-12 (-5 *3 (-123)) (-5 *4 (-764)) (-4 *5 (-454)) (-4 *5 (-843)) (-4 *5 (-1038 (-569))) (-4 *5 (-559)) (-5 *1 (-46 *5 *2)) (-4 *2 (-433 *5)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *5 (-608 $)) $)) (-15 -4121 ((-1114 *5 (-608 $)) $)) (-15 -2185 ($ (-1114 *5 (-608 $)))))))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-57)) (-5 *1 (-888 *4)) (-4 *4 (-1091))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-1 (-635 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-635 *4))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-421 *2)) (-4 *2 (-302)) (-5 *1 (-911 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-57)) (-5 *1 (-912 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-421 (-954 *6))) (-5 *5 (-1163)) (-5 *3 (-954 *6)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-57)) (-5 *1 (-912 *6))))) 
+(((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1040))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-302)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-2 (|:| |Smith| *3) (|:| |leftEqMat| *3) (|:| |rightEqMat| *3))) (-5 *1 (-1113 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-764)) (-4 *5 (-173))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-815 *4)) (-4 *4 (-843)) (-5 *2 (-121)) (-5 *1 (-664 *4))))) 
+(((*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250)))) ((*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-764)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-495 *4)) (-4 *4 (-843)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-1001 *4)) (-4 *4 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-1133 *4)) (-4 *4 (-1091)))) ((*1 *2 *3 *3) (|partial| -12 (-5 *2 (-121)) (-5 *1 (-1199 *3)) (-4 *3 (-1091)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-1 (-121) *3 *3)) (-4 *3 (-1091)) (-5 *2 (-121)) (-5 *1 (-1199 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) ((*1 *1 *2) (-12 (-4 *1 (-659 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-4 *1 (-972 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-1163))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-951 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *1)))) (-4 *1 (-1067 *4 *5 *6 *3)))) ((*1 *1 *1) (-4 *1 (-1202))) ((*1 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-1225 *3 *2)) (-4 *2 (-13 (-1222 *3) (-559) (-10 -8 (-15 -2714 ($ $ $)))))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-901 (-569))) (-5 *4 (-569)) (-5 *2 (-680 *4)) (-5 *1 (-1029 *5)) (-4 *5 (-1048)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-680 (-569))) (-5 *1 (-1029 *4)) (-4 *4 (-1048)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-901 (-569)))) (-5 *4 (-569)) (-5 *2 (-635 (-680 *4))) (-5 *1 (-1029 *5)) (-4 *5 (-1048)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-569)))) (-5 *2 (-635 (-680 (-569)))) (-5 *1 (-1029 *4)) (-4 *4 (-1048))))) 
+(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-1145)) (-5 *3 (-819)) (-5 *1 (-818))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-216))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-1163)) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-4 *4 (-13 (-29 *6) (-1183) (-960))) (-5 *2 (-2 (|:| |particular| *4) (|:| -3930 (-635 *4)))) (-5 *1 (-797 *6 *4 *3)) (-4 *3 (-647 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1143 (-410 *3))) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) ((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249))))) 
+(((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-559)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-1217 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *2 (-2 (|:| |part1| *3) (|:| |part2| *4))) (-5 *1 (-696 *3 *4)) (-4 *3 (-1197)) (-4 *4 (-1197))))) 
+(((*1 *2 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *2 (-1062 *4 *5 *6)) (-5 *1 (-769 *4 *5 *6 *2 *3)) (-4 *3 (-1067 *4 *5 *6 *2))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-968 *5)) (-4 *5 (-351)) (-14 *6 (-635 (-1163))) (-5 *2 (-243 *6 (-858 *5))) (-5 *1 (-868 *5 *6 *7)) (-4 *7 (-117)))) ((*1 *2 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-366)) (-4 *6 (-231 *7 (-764))) (-14 *7 (-764)) (-5 *1 (-930 *5 *2 *6 *7 *3)) (-4 *2 (-325 *5 *6)) (-4 *3 (-972 *5)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-930 *4 *2 *5 *6 *3)) (-4 *2 (-325 *4 *5)) (-4 *3 (-972 *4))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-764)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4)))) ((*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1197)) (-5 *2 (-764)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5)))) ((*1 *2) (-12 (-4 *4 (-843)) (-5 *2 (-764)) (-5 *1 (-432 *3 *4)) (-4 *3 (-433 *4)))) ((*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-550 *3)) (-4 *3 (-551)))) ((*1 *2) (-12 (-4 *1 (-756)) (-5 *2 (-764)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-764)) (-5 *1 (-792 *3 *4)) (-4 *3 (-793 *4)))) ((*1 *2) (-12 (-4 *4 (-559)) (-5 *2 (-764)) (-5 *1 (-993 *3 *4)) (-4 *3 (-994 *4)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-764)) (-5 *1 (-997 *3 *4)) (-4 *3 (-998 *4)))) ((*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-1012 *3)) (-4 *3 (-1013)))) ((*1 *2) (-12 (-4 *1 (-1048)) (-5 *2 (-764)))) ((*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-1056 *3)) (-4 *3 (-1057))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1143 (-216))) (-5 *2 (-635 (-1145))) (-5 *1 (-185)))) ((*1 *2 *3) (-12 (-5 *3 (-1143 (-216))) (-5 *2 (-635 (-1145))) (-5 *1 (-295)))) ((*1 *2 *3) (-12 (-5 *3 (-1143 (-216))) (-5 *2 (-635 (-1145))) (-5 *1 (-300))))) 
+(((*1 *1 *2 *2 *2) (-12 (-5 *1 (-878 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1145)) (-5 *1 (-782))))) 
+(((*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-366) (-151) (-1038 (-569)))) (-4 *5 (-1222 *4)) (-5 *2 (-635 (-410 *5))) (-5 *1 (-1017 *4 *5)) (-5 *3 (-410 *5))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-764)) (-5 *1 (-587 *2)) (-4 *2 (-551))))) 
+(((*1 *1 *2) (-12 (-5 *1 (-1027 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *1 *3 *3 *4) (-12 (-5 *3 (-1 (-851) (-851) (-851))) (-5 *4 (-569)) (-5 *2 (-851)) (-5 *1 (-639 *5 *6 *7)) (-4 *5 (-1091)) (-4 *6 (-23)) (-14 *7 *6))) ((*1 *2 *1 *2) (-12 (-5 *2 (-851)) (-5 *1 (-847 *3 *4 *5)) (-4 *3 (-1048)) (-14 *4 (-101 *3)) (-14 *5 (-1 *3 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-851)))) ((*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-851)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-851)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-851)) (-5 *1 (-1159 *3)) (-4 *3 (-1048))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *8 (-972 *5)) (-4 *4 (-921 *5 *2)) (-4 *9 (-236 *4)) (-4 *10 (-537 *5 *6 *3 *7 *8 *2 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-642 *5)) (-5 *1 (-468 *5 *6 *3 *7 *8 *2 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-923 *5)) (-4 *5 (-351)) (-14 *6 (-635 (-1163))) (-5 *2 (-775 (-858 *5))) (-5 *1 (-868 *5 *6 *7)) (-4 *7 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-922 *5)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-5 *2 (-775 *5)) (-5 *1 (-869 *5 *6 *7)) (-4 *7 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 *2)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *2 (-642 *5)) (-5 *1 (-872 *5 *6 *3 *7 *8 *2 *9)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *8 (-972 *5)) (-4 *9 (-921 *5 *2)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *2 (-642 *5)) (-5 *1 (-872 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *8 (-972 *5)) (-4 *4 (-921 *5 *2)))) ((*1 *2 *3 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *2 (-642 *5)) (-5 *1 (-872 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *8 (-972 *5)) (-4 *4 (-921 *5 *2)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-366)) (-14 *7 (-635 (-1163))) (-4 *8 (-231 (-4168 *7) (-764))) (-4 *2 (-642 *6)) (-5 *1 (-872 *6 *7 *3 *8 *9 *2 *4)) (-4 *3 (-951 *6 *8 (-853 *7))) (-4 *9 (-972 *6)) (-4 *4 (-921 *6 *2))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-96 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-843) (-1038 (-569)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 (-170 *3)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1159 *4))) (-4 *4 (-366)) (-5 *2 (-2 (|:| |zeros| (-635 *4)) (|:| -4053 (-569)))) (-5 *1 (-1044 *4))))) 
+(((*1 *1 *2 *3) (-12 (-5 *1 (-430 *3 *2)) (-4 *3 (-13 (-173) (-43 (-410 (-569))))) (-4 *2 (-13 (-843) (-21)))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-764)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-495 *4)) (-4 *4 (-843)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-1001 *4)) (-4 *4 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-1133 *4)) (-4 *4 (-1091)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-121)) (-5 *1 (-1199 *3)) (-4 *3 (-843)) (-4 *3 (-1091))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1247 (-1247 *4))) (-4 *4 (-1048)) (-5 *2 (-680 *4)) (-5 *1 (-1030 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1247 *4)) (-4 *4 (-631 (-569))) (-5 *2 (-121)) (-5 *1 (-1272 *4))))) 
+(((*1 *1 *1) (-4 *1 (-39))) ((*1 *1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) ((*1 *1 *1) (-5 *1 (-123))) ((*1 *1 *1) (-5 *1 (-172))) ((*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) ((*1 *1 *1) (-4 *1 (-551))) ((*1 *1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) ((*1 *1 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) ((*1 *1 *1) (-12 (-4 *1 (-1123 *2)) (-4 *2 (-1048)))) ((*1 *1 *1) (-12 (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) ((*1 *1 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091))))) 
+(((*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250)))) ((*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-843) (-559)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1266 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-815 *3)))) ((*1 *2 *1) (-12 (-4 *2 (-839)) (-5 *1 (-1268 *3 *2)) (-4 *3 (-1048))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-366)) (-5 *1 (-892 *2 *4)) (-4 *2 (-1222 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) ((*1 *1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *1 *2 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1197)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-1143 *2)) (-4 *2 (-1197))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4535)) (-4 *1 (-155 *3)) (-4 *3 (-1197)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1197)) (-5 *1 (-599 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-666 *3)) (-4 *3 (-1197)))) ((*1 *2 *1 *3) (|partial| -12 (-4 *1 (-1191 *4 *5 *3 *2)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *3 (-843)) (-4 *2 (-1062 *4 *5 *3)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *1 (-1195 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-559)) (-5 *2 (-121))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-841))) (-5 *1 (-179 *3 *2)) (-4 *2 (-1222 (-170 *3)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) ((*1 *1 *1) (-5 *1 (-851))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-4 *1 (-1088 *3)))) ((*1 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(((*1 *2 *3) (|partial| -12 (-4 *2 (-1091)) (-5 *1 (-1175 *3 *2)) (-4 *3 (-1091))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-1070 *3 *4 *5))) (-4 *3 (-1091)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 (-888 *3)))) (-4 *5 (-13 (-433 *4) (-882 *3) (-610 (-888 *3)))) (-5 *1 (-1071 *3 *4 *5))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1062 *3 *4 *5))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-1163))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1197)) (-5 *1 (-599 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1197)) (-5 *1 (-1143 *3))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-559)) (-5 *2 (-2 (|:| -3477 (-680 *5)) (|:| |vec| (-1247 (-635 (-918)))))) (-5 *1 (-95 *5 *3)) (-5 *4 (-918)) (-4 *3 (-647 *5))))) 
+(((*1 *2) (-12 (-5 *2 (-959 (-1109))) (-5 *1 (-342 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918)))) ((*1 *2) (-12 (-5 *2 (-959 (-1109))) (-5 *1 (-343 *3 *4)) (-4 *3 (-351)) (-14 *4 (-1159 *3)))) ((*1 *2) (-12 (-5 *2 (-959 (-1109))) (-5 *1 (-344 *3 *4)) (-4 *3 (-351)) (-14 *4 (-918))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-1163))) (-4 *4 (-1091)) (-4 *5 (-13 (-1048) (-882 *4) (-843) (-610 (-888 *4)))) (-5 *1 (-60 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-882 *4) (-610 (-888 *4))))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-121)) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-4 *3 (-13 (-27) (-1183) (-433 *6) (-10 -8 (-15 -2185 ($ *7))))) (-4 *7 (-841)) (-4 *8 (-13 (-1224 *3 *7) (-366) (-1183) (-10 -8 (-15 -3899 ($ $)) (-15 -2565 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145)))))) (-5 *1 (-425 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1145)) (-4 *9 (-985 *8)) (-14 *10 (-1163))))) 
+(((*1 *2 *3 *4) (-12 (-4 *2 (-1222 *4)) (-5 *1 (-803 *4 *2 *3 *5)) (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *5 (-647 (-410 *2))))) ((*1 *2 *3 *4) (-12 (-4 *2 (-1222 *4)) (-5 *1 (-803 *4 *2 *5 *3)) (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *5 (-647 *2)) (-4 *3 (-647 (-410 *2)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1197)) (-5 *1 (-599 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1197)) (-5 *1 (-1143 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |preimage| (-635 *3)) (|:| |image| (-635 *3)))) (-5 *1 (-901 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *4 (-1 *2 *2)) (-4 *2 (-638 *5)) (-4 *5 (-1048)) (-5 *1 (-59 *5 *2 *3)) (-4 *3 (-845 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-680 *3)) (-4 *1 (-420 *3)) (-4 *3 (-173)))) ((*1 *2 *1 *2 *2) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)))) ((*1 *2 *3 *2 *2 *4 *5) (-12 (-5 *4 (-101 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-1048)) (-5 *1 (-846 *2 *3)) (-4 *3 (-845 *2))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-13 (-824) (-843) (-1048))) (-5 *2 (-1145)) (-5 *1 (-822 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-121)) (-4 *5 (-13 (-824) (-843) (-1048))) (-5 *2 (-1145)) (-5 *1 (-822 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-818)) (-5 *4 (-311 *5)) (-4 *5 (-13 (-824) (-843) (-1048))) (-5 *2 (-1252)) (-5 *1 (-822 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-818)) (-5 *4 (-311 *6)) (-5 *5 (-121)) (-4 *6 (-13 (-824) (-843) (-1048))) (-5 *2 (-1252)) (-5 *1 (-822 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-824)) (-5 *2 (-1145)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-824)) (-5 *3 (-121)) (-5 *2 (-1145)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-824)) (-5 *3 (-818)) (-5 *2 (-1252)))) ((*1 *2 *3 *1 *4) (-12 (-4 *1 (-824)) (-5 *3 (-818)) (-5 *4 (-121)) (-5 *2 (-1252))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *6 (-13 (-559) (-843))) (-5 *2 (-635 (-311 *6))) (-5 *1 (-212 *5 *6)) (-5 *3 (-311 *6)) (-4 *5 (-1048)))) ((*1 *2 *1) (-12 (-5 *1 (-421 *2)) (-4 *2 (-559)))) ((*1 *2 *3) (-12 (-5 *3 (-586 *5)) (-4 *5 (-13 (-29 *4) (-1183))) (-4 *4 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *2 (-635 *5)) (-5 *1 (-584 *4 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-586 (-410 (-954 *4)))) (-4 *4 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *2 (-635 (-311 *4))) (-5 *1 (-589 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1086 *3 *2)) (-4 *3 (-841)) (-4 *2 (-1135 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1086 *4 *2)) (-4 *4 (-841)) (-4 *2 (-1135 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) ((*1 *2 *1) (-12 (-5 *2 (-1260 (-1163) *3)) (-5 *1 (-1267 *3)) (-4 *3 (-1048)))) ((*1 *2 *1) (-12 (-5 *2 (-1260 *3 *4)) (-5 *1 (-1269 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-764))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
 (((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| *3) (|:| -3145 *4)))) (-5 *1 (-1098 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842))))) 
-(((*1 *1 *2 *2 *2) (-12 (-5 *1 (-219 *2)) (-4 *2 (-13 (-365) (-1181))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-708 *2)) (-4 *2 (-365)))) ((*1 *1 *2) (-12 (-5 *1 (-708 *2)) (-4 *2 (-365)))) ((*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-917)) (-5 *4 (-381)) (-5 *2 (-1249)) (-5 *1 (-1245))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1244 *1)) (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4)))))) 
-(((*1 *2) (-12 (-4 *3 (-370)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1157 (-568))) (-5 *1 (-467 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) ((*1 *2 *3) (-12 (-5 *3 (-917)) (-4 *4 (-370)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-235 *10)) (-4 *12 (-536 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1157 (-568))) (-5 *1 (-467 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-258 *12)))) ((*1 *2) (-12 (-5 *2 (-1157 (-568))) (-5 *1 (-867 *3 *4 *5)) (-4 (-857 *3) (-370)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1157 (-568))) (-5 *1 (-867 *4 *5 *6)) (-4 (-857 *4) (-370)) (-4 *4 (-350)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) ((*1 *2) (-12 (-5 *2 (-1157 (-568))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-370)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1157 (-568))) (-5 *1 (-868 *4 *5 *6)) (-4 *4 (-370)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-117))))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1161)) (-5 *3 (-436)) (-4 *5 (-842)) (-5 *1 (-1096 *5 *4)) (-4 *4 (-432 *5))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-3 (|:| |fn| (-390)) (|:| |fp| (-84 LSFUN1)))) (-5 *2 (-1035)) (-5 *1 (-745))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-887 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-944 *4)) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047))))) 
-(((*1 *2) (-12 (-5 *2 (-869)) (-5 *1 (-1247)))) ((*1 *2 *2) (-12 (-5 *2 (-869)) (-5 *1 (-1247))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-396))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1084 (-835 (-215)))) (-5 *1 (-299))))) 
-(((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-1161))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-565)))) ((*1 *2 *3) (-12 (-5 *2 (-1157 (-409 (-568)))) (-5 *1 (-943)) (-5 *3 (-568))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-3 (|:| |fn| (-390)) (|:| |fp| (-68 LSFUN2)))) (-5 *2 (-1035)) (-5 *1 (-745))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-558) (-150))) (-5 *2 (-634 *3)) (-5 *1 (-1213 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-568)) (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-432 *2)) (-4 *2 (-842)) (-4 *2 (-558)))) ((*1 *1 *1) (-12 (-5 *1 (-733 *2 *3)) (-14 *2 (-1161)) (-4 *3 (-13 (-1047) (-842) (-558))))) ((*1 *1 *1) (-12 (-4 *1 (-993 *2)) (-4 *2 (-558))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-536 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-641 *3)) (-4 *8 (-920 *3 *7)) (-4 *9 (-235 *8)) (-4 *10 (-117)) (-4 *2 (-971 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-634 (-3 (|:| -3393 (-1161)) (|:| |bounds| (-634 (-3 (|:| S (-1161)) (|:| P (-953 (-568)))))))))) (-5 *1 (-1165))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-763)) (-4 *3 (-1047)) (-4 *1 (-677 *3 *4 *5)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-1242 *3)) (-4 *3 (-23)) (-4 *3 (-1195))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-977 *3 *4 *2 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)) (-4 *5 (-1061 *3 *4 *2))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-158)) (-5 *1 (-869))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *1 (-873 *2)) (-4 *2 (-1195)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *1 (-875 *2)) (-4 *2 (-1195)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *1 (-877 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-381)) (-5 *2 (-1249)) (-5 *1 (-1246))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *3 *5) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-3 (|:| |fn| (-390)) (|:| |fp| (-71 FUNCT1)))) (-5 *2 (-1035)) (-5 *1 (-745))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1259 *2 *3)) (-4 *2 (-842)) (-4 *3 (-1047)))) ((*1 *1 *1) (-12 (-5 *1 (-1265 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-838))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-53))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-53))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) ((*1 *2 *3) (-12 (-4 (-53) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-5 *1 (-482)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-484 *4)) (-4 *4 (-1037 *3)) (-4 *4 (-13 (-350) (-609 (-568)))))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-4 (-409 (-568)) (-1037 *3)) (-4 (-568) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-365)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763))))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-365)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-842) (-558))) (-14 *9 (-1 *5 *8)) (-5 *2 (-634 (-2 (|:| -1866 *7) (|:| -1844 (-763))))) (-5 *1 (-486 *5 *6 *7 *8 *9 *10)) (-4 *6 (-453)) (-4 *7 (-13 (-432 (-568)) (-558) (-1037 *8) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1037 *3)) (-4 *5 (-1037 *3)) (-4 *4 (-365)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 *3) (-1037 (-568)) (-161) (-895 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) ((*1 *2 *3) (-12 (-4 (-409 (-953 (-568))) (-1037 *3)) (-4 (-953 (-568)) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-5 *1 (-487)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-734 *4 (-568))))) (-14 *4 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-734 *5 (-568))))) (-5 *4 (-634 (-465))) (-14 *5 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *5 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 *4 (-568)))) (-634 (-465)))) (-5 *1 (-488 *4)) (-14 *4 *3)))) 
-(((*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3440 *4))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1244 *6)) (-5 *4 (-1244 (-568))) (-5 *5 (-568)) (-4 *6 (-1090)) (-5 *2 (-1 *6)) (-5 *1 (-1017 *6))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-121)) (-5 *2 (-1035)) (-5 *1 (-745))))) 
-(((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-121)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-634 (-1027 *5 *6 *7 *8))) (-5 *1 (-1027 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-121)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-634 (-1131 *5 *6 *7 *8))) (-5 *1 (-1131 *5 *6 *7 *8))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-792 *2)) (-4 *2 (-172))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-1047)) (-5 *1 (-702 *3 *2)) (-4 *2 (-1219 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-121)) (-5 *1 (-464)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-465))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-763)) (-4 *1 (-223 *4)) (-4 *4 (-1047)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-223 *3)) (-4 *3 (-1047)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-225)) (-5 *2 (-763)))) ((*1 *1 *1) (-4 *1 (-225))) ((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *3 (-13 (-365) (-150))) (-5 *1 (-401 *3 *4)) (-4 *4 (-1219 *3)))) ((*1 *1 *1) (-12 (-4 *2 (-13 (-365) (-150))) (-5 *1 (-401 *2 *3)) (-4 *3 (-1219 *2)))) ((*1 *1) (-12 (-4 *1 (-646 *2)) (-4 *2 (-1047)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 *4)) (-5 *3 (-634 (-763))) (-4 *1 (-895 *4)) (-4 *4 (-1090)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-763)) (-4 *1 (-895 *2)) (-4 *2 (-1090)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *1 (-895 *3)) (-4 *3 (-1090)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-895 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-242 (-4289 (QUOTE X) (QUOTE -2928)) *5)) (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *2 (-324 *5 *7)) (-5 *1 (-119 *5 *6 *2 *7 *4)) (-4 *7 (-230 (-1699 *6) (-763))) (-4 *4 (-117))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *3 *3 *3 *4 *5 *5 *5 *5 *5 *5 *6 *6 *6 *3 *3 *5 *7 *3 *8) (-12 (-5 *5 (-679 (-215))) (-5 *6 (-121)) (-5 *7 (-679 (-568))) (-5 *8 (-3 (|:| |fn| (-390)) (|:| |fp| (-70 QPHESS)))) (-5 *3 (-568)) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-745))))) 
-(((*1 *2) (-12 (-4 *3 (-365)) (-4 *4 (-641 *3)) (-5 *2 (-634 *1)) (-4 *1 (-920 *3 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-926))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-568)) (-4 *4 (-1047)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-5 *1 (-908 *4 *2 *5 *6)) (-4 *2 (-324 *4 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-751))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *3 *3 *5 *6 *3 *6 *6 *5 *6 *6 *6 *6 *5 *3 *3 *3 *3 *3 *6 *6 *6 *3 *3 *3 *3 *3 *7 *4 *4 *4 *4 *3 *8 *9) (-12 (-5 *4 (-679 (-215))) (-5 *5 (-121)) (-5 *6 (-215)) (-5 *7 (-679 (-568))) (-5 *8 (-3 (|:| |fn| (-390)) (|:| |fp| (-85 CONFUN)))) (-5 *9 (-3 (|:| |fn| (-390)) (|:| |fp| (-82 OBJFUN)))) (-5 *3 (-568)) (-5 *2 (-1035)) (-5 *1 (-745))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1093 *3 *2 *4 *5 *6)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *2 (-1090))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *2)) (-5 *4 (-763)) (-4 *2 (-1090)) (-5 *1 (-668 *2))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1195)) (-5 *2 (-634 *1)) (-4 *1 (-1010 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-634 (-1149 *3 *4))) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047))))) 
-(((*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-763)) (-4 *5 (-365)) (-5 *2 (-173 *6)) (-5 *1 (-861 *5 *4 *6)) (-4 *4 (-1234 *5)) (-4 *6 (-1219 *5))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-320 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-137)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1090)) (-5 *1 (-363 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1090)) (-5 *1 (-388 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1090)) (-5 *1 (-638 *3 *4 *5)) (-4 *4 (-23)) (-14 *5 *4)))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-2 (|:| -1891 (-634 (-850))) (|:| -2409 (-634 (-850))) (|:| |presup| (-634 (-850))) (|:| -2749 (-634 (-850))) (|:| |args| (-634 (-850))))) (-5 *1 (-1161)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-634 (-850)))) (-5 *1 (-1161))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-899 (-568))) (-5 *1 (-913)))) ((*1 *2) (-12 (-5 *2 (-899 (-568))) (-5 *1 (-913))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *3 *5 *3) (-12 (-5 *3 (-568)) (-5 *5 (-679 (-215))) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-745))))) 
-(((*1 *1) (-5 *1 (-818)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-643 (-409 *2))) (-4 *2 (-1219 *4)) (-5 *1 (-805 *4 *2)) (-4 *4 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))))) ((*1 *2 *3) (-12 (-5 *3 (-644 *2 (-409 *2))) (-4 *2 (-1219 *4)) (-5 *1 (-805 *4 *2)) (-4 *4 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568)))))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-366 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-1090)))) ((*1 *1 *1) (-5 *1 (-623)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-607 *5)) (-4 *5 (-432 *4)) (-4 *4 (-1037 (-568))) (-4 *4 (-13 (-842) (-558))) (-5 *2 (-1157 *5)) (-5 *1 (-36 *4 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-607 *1)) (-4 *1 (-1047)) (-4 *1 (-296)) (-5 *2 (-1157 *1))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *3 *4 *3 *3 *3) (-12 (-5 *3 (-568)) (-5 *5 (-679 (-215))) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-744))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-858)) (-5 *2 (-1249))))) 
-(((*1 *1 *1 *2 *2) (|partial| -12 (-5 *2 (-917)) (-5 *1 (-1091 *3 *4)) (-14 *3 *2) (-14 *4 *2)))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1196 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| -4194 (-123)) (|:| |arg| (-634 (-887 *3))))) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) ((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-634 (-887 *4))) (-5 *1 (-887 *4)) (-4 *4 (-1090))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| (-121)) (|:| -3145 *4)))) (-5 *1 (-768 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *2 (-634 *4)) (-5 *1 (-1116 *3 *4)) (-4 *3 (-1219 *4)))) ((*1 *2 *3 *3) (-12 (-4 *3 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *2 (-634 *3)) (-5 *1 (-1116 *4 *3)) (-4 *4 (-1219 *3))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *5 (-679 (-215))) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-744))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1047)) (-4 *2 (-230 *5 (-763))) (-5 *1 (-908 *4 *3 *2 *5)) (-4 *3 (-324 *4 *2)) (-14 *5 (-763))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-296)))) ((*1 *1 *1) (-4 *1 (-296))) ((*1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-2 (|:| -4094 (-634 *6)) (|:| -2133 (-634 *6))))))) 
-(((*1 *2 *2 *2 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-607 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1161))) (-4 *2 (-13 (-432 *5) (-27) (-1181))) (-4 *5 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *1 (-570 *5 *2 *6)) (-4 *6 (-1090))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-744))))) 
-(((*1 *1 *1 *1) (-4 *1 (-550)))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1125 *2 *3)) (-4 *2 (-13 (-1090) (-39))) (-4 *3 (-13 (-1090) (-39)))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1216 *5 *4)) (-4 *4 (-815)) (-14 *5 (-1161)) (-5 *2 (-568)) (-5 *1 (-1104 *4 *5))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1219 *2)) (-4 *2 (-1047))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1244 *4)) (-4 *4 (-630 (-568))) (-5 *2 (-1244 (-409 (-568)))) (-5 *1 (-1269 *4))))) 
-(((*1 *2 *3 *4 *4 *5 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-215)) (-5 *2 (-1035)) (-5 *1 (-744))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-568)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-1249)) (-5 *1 (-450 *4 *5 *6 *7)) (-4 *7 (-950 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-369 *4)) (-4 *4 (-172)) (-5 *2 (-679 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-419 *3)) (-4 *3 (-172)) (-5 *2 (-679 *3))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-944 *3) (-944 *3))) (-5 *1 (-174 *3)) (-4 *3 (-13 (-365) (-1181) (-1002))))) ((*1 *2) (|partial| -12 (-4 *4 (-1199)) (-4 *5 (-1219 (-409 *2))) (-4 *2 (-1219 *4)) (-5 *1 (-339 *3 *4 *2 *5)) (-4 *3 (-340 *4 *2 *5)))) ((*1 *2) (|partial| -12 (-4 *1 (-340 *3 *2 *4)) (-4 *3 (-1199)) (-4 *4 (-1219 (-409 *2))) (-4 *2 (-1219 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-607 *1))) (-4 *1 (-296))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-215)) (-5 *2 (-1035)) (-5 *1 (-744))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1094)) (-5 *1 (-1165))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |k| (-663 *3)) (|:| |c| *4)))) (-5 *1 (-618 *3 *4 *5)) (-4 *3 (-842)) (-4 *4 (-13 (-172) (-707 (-409 (-568))))) (-14 *5 (-917))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1084 (-835 (-215)))) (-5 *2 (-215)) (-5 *1 (-184)))) ((*1 *2 *3) (-12 (-5 *3 (-1084 (-835 (-215)))) (-5 *2 (-215)) (-5 *1 (-294)))) ((*1 *2 *3) (-12 (-5 *3 (-1084 (-835 (-215)))) (-5 *2 (-215)) (-5 *1 (-299))))) 
-(((*1 *1 *1 *1) (-5 *1 (-162))) ((*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-162))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1195)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *2 (-568)))) ((*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-5 *2 (-568))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-899 (-568))) (-5 *1 (-913)))) ((*1 *2) (-12 (-5 *2 (-899 (-568))) (-5 *1 (-913))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-777 *2)) (-4 *2 (-558)) (-4 *2 (-1047)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-558)) (-5 *1 (-970 *3 *2)) (-4 *2 (-1219 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-558)))) ((*1 *2 *3 *3 *1) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-634 (-2 (|:| |val| *3) (|:| -3145 *1)))) (-4 *1 (-1066 *4 *5 *6 *3))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-53))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-53))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) ((*1 *2 *3) (-12 (-4 (-53) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-5 *1 (-482)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-484 *4)) (-4 *4 (-1037 *3)) (-4 *4 (-13 (-350) (-609 (-568)))))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-4 (-409 (-568)) (-1037 *3)) (-4 (-568) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-365)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763))))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-365)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-842) (-558))) (-14 *9 (-1 *5 *8)) (-5 *2 (-634 (-2 (|:| -1866 *7) (|:| -1844 (-763))))) (-5 *1 (-486 *5 *6 *7 *8 *9 *10)) (-4 *6 (-453)) (-4 *7 (-13 (-432 (-568)) (-558) (-1037 *8) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1037 *3)) (-4 *5 (-1037 *3)) (-4 *4 (-365)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 *3) (-1037 (-568)) (-161) (-895 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) ((*1 *2 *3) (-12 (-4 (-409 (-953 (-568))) (-1037 *3)) (-4 (-953 (-568)) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-5 *1 (-487)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-734 *4 (-568))))) (-14 *4 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-734 *5 (-568))))) (-5 *4 (-634 (-465))) (-14 *5 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *5 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 *4 (-568)))) (-634 (-465)))) (-5 *1 (-488 *4)) (-14 *4 *3)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-1058)))) ((*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-1058))))) 
-(((*1 *2 *2 *2 *2) (-12 (-5 *2 (-679 *3)) (-4 *3 (-1047)) (-5 *1 (-680 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-4 *1 (-227 *3)))) ((*1 *1) (-12 (-4 *1 (-227 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1161)) (-5 *1 (-817))))) 
-(((*1 *2) (-12 (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-904)) (-5 *1 (-459 *3 *4 *2 *5)) (-4 *5 (-950 *2 *3 *4)))) ((*1 *2) (-12 (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-904)) (-5 *1 (-901 *2 *3 *4 *5)) (-4 *5 (-950 *2 *3 *4)))) ((*1 *2) (-12 (-4 *2 (-904)) (-5 *1 (-902 *2 *3)) (-4 *3 (-1219 *2))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1228 *3 *4 *5)) (-4 *3 (-13 (-365) (-842))) (-14 *4 (-1161)) (-14 *5 *3) (-5 *1 (-314 *3 *4 *5)))) ((*1 *2 *3) (-12 (-5 *2 (-1 (-381))) (-5 *1 (-1039)) (-5 *3 (-381))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002)))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-273 *4 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *4))))) ((*1 *1 *1) (-5 *1 (-381))) ((*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| *3) (|:| -3145 *4)))) (-5 *1 (-768 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3))))) 
-(((*1 *1 *1) (-5 *1 (-1059)))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-679 *6)) (-5 *5 (-1 (-420 (-1157 *6)) (-1157 *6))) (-4 *6 (-365)) (-5 *2 (-634 (-2 (|:| |outval| *7) (|:| |outmult| (-568)) (|:| |outvect| (-634 (-679 *7)))))) (-5 *1 (-535 *6 *7 *4)) (-4 *7 (-365)) (-4 *4 (-13 (-365) (-840)))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-763)) (-5 *1 (-106 *3)) (-4 *3 (-1090))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-637 *3)) (-4 *3 (-1047)) (-5 *1 (-704 *3 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1047)) (-5 *1 (-829 *3))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-301)) (-5 *1 (-457 *3 *2)) (-4 *2 (-1219 *3)))) ((*1 *2 *2 *3) (-12 (-4 *3 (-301)) (-5 *1 (-462 *3 *2)) (-4 *2 (-1219 *3)))) ((*1 *2 *2 *3) (-12 (-4 *3 (-301)) (-14 *4 *3) (-14 *5 (-1 *3 *3 (-763))) (-5 *1 (-544 *3 *2 *4 *5)) (-4 *2 (-1219 *3))))) 
-(((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-607 *3)) (-5 *5 (-1 (-1157 *3) (-1157 *3))) (-4 *3 (-13 (-27) (-432 *6))) (-4 *6 (-13 (-842) (-558))) (-5 *2 (-585 *3)) (-5 *1 (-552 *6 *3))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-310 (-568))) (-5 *1 (-483 *3)) (-4 *3 (-13 (-350) (-609 (-568))))))) 
-(((*1 *2) (-12 (-4 *3 (-558)) (-5 *2 (-634 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-419 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-1121 (-215))) (-5 *1 (-1179))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-5 *1 (-496 *2)) (-4 *2 (-1219 (-568)))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-950 *3 *5 *4)) (-5 *1 (-988 *3 *4 *5 *2)) (-4 *3 (-453)) (-4 *4 (-842)) (-4 *5 (-788))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-1157 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-887 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-900 *4)) (-4 *4 (-1090)) (-5 *2 (-634 (-763))) (-5 *1 (-899 *4))))) 
-(((*1 *1) (-5 *1 (-215))) ((*1 *1) (-5 *1 (-381)))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-634 (-492 *5 *6))) (-5 *4 (-852 *5)) (-14 *5 (-634 (-1161))) (-5 *2 (-492 *5 *6)) (-5 *1 (-622 *5 *6)) (-4 *6 (-453)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-492 *5 *6))) (-5 *4 (-852 *5)) (-14 *5 (-634 (-1161))) (-5 *2 (-492 *5 *6)) (-5 *1 (-622 *5 *6)) (-4 *6 (-453))))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-1 (-944 *3) (-944 *3))) (-5 *1 (-174 *3)) (-4 *3 (-13 (-365) (-1181) (-1002)))))) 
-(((*1 *2) (-12 (-14 *4 (-763)) (-4 *5 (-1195)) (-5 *2 (-139)) (-5 *1 (-229 *3 *4 *5)) (-4 *3 (-230 *4 *5)))) ((*1 *2) (-12 (-4 *4 (-365)) (-5 *2 (-139)) (-5 *1 (-326 *3 *4)) (-4 *3 (-327 *4)))) ((*1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-392 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-172)))) ((*1 *2 *1) (-12 (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-568)) (-5 *1 (-514 *3 *4 *5 *6)) (-4 *6 (-950 *3 *4 *5)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-634 *6)) (-4 *6 (-842)) (-4 *4 (-365)) (-4 *5 (-788)) (-5 *2 (-568)) (-5 *1 (-514 *4 *5 *6 *7)) (-4 *7 (-950 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-981 *3)) (-4 *3 (-1047)) (-5 *2 (-917)))) ((*1 *2) (-12 (-4 *1 (-1251 *3)) (-4 *3 (-365)) (-5 *2 (-139))))) 
-(((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-132))) ((*1 *1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-953 *4))) (-4 *4 (-453)) (-5 *2 (-121)) (-5 *1 (-362 *4 *5)) (-14 *5 (-634 (-1161))))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-775 *4 (-852 *5)))) (-4 *4 (-453)) (-14 *5 (-634 (-1161))) (-5 *2 (-121)) (-5 *1 (-619 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-1157 *3))))) 
-(((*1 *2 *3 *3 *2) (|partial| -12 (-5 *2 (-763)) (-4 *3 (-13 (-716) (-370) (-10 -7 (-15 ** (*3 *3 (-568)))))) (-5 *1 (-241 *3))))) 
-(((*1 *2 *2 *2) (-12 (-5 *1 (-160 *2)) (-4 *2 (-550))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)) (-4 *2 (-1047)) (-4 *2 (-172))))) 
-(((*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-634 (-634 (-944 (-215))))) (-5 *4 (-869)) (-5 *5 (-917)) (-5 *6 (-634 (-256))) (-5 *2 (-473)) (-5 *1 (-1248)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-634 (-944 (-215))))) (-5 *2 (-473)) (-5 *1 (-1248)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-634 (-944 (-215))))) (-5 *4 (-634 (-256))) (-5 *2 (-473)) (-5 *1 (-1248))))) 
-(((*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-123)) (-5 *5 (-634 *2)) (-4 *2 (-13 (-432 *6) (-23) (-1037 (-568)) (-1037 *4) (-895 *4) (-161))) (-5 *4 (-1161)) (-4 *6 (-13 (-842) (-558) (-609 (-541)))) (-5 *1 (-1024 *6 *2))))) 
-(((*1 *2 *2 *3 *3 *4) (-12 (-5 *3 (-763)) (-4 *2 (-13 (-558) (-453))) (-5 *1 (-346 *2 *4)) (-4 *4 (-52 *2 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-1143))) (-5 *2 (-1143)) (-5 *1 (-184)))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-1100))))) 
-(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-568)) (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-634 (-852 *5))) (-14 *5 (-634 (-1161))) (-4 *6 (-453)) (-5 *2 (-2 (|:| |dpolys| (-634 (-242 *5 *6))) (|:| |coords| (-634 (-568))))) (-5 *1 (-476 *5 *6 *7)) (-5 *3 (-634 (-242 *5 *6))) (-4 *7 (-453))))) 
-(((*1 *1 *1) (-5 *1 (-53))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-64 *5)) (-4 *5 (-1195)) (-4 *2 (-1195)) (-5 *1 (-63 *5 *2)))) ((*1 *2 *3 *1 *2 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1090)) (|has| *1 (-6 -4521)) (-4 *1 (-154 *2)) (-4 *2 (-1195)))) ((*1 *2 *3 *1 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4521)) (-4 *1 (-154 *2)) (-4 *2 (-1195)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4521)) (-4 *1 (-154 *2)) (-4 *2 (-1195)))) ((*1 *2 *3) (-12 (-4 *4 (-1047)) (-5 *2 (-2 (|:| -1416 (-1157 *4)) (|:| |deg| (-917)))) (-5 *1 (-211 *4 *5)) (-5 *3 (-1157 *4)) (-4 *5 (-13 (-558) (-842))))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *6 *2)) (-5 *4 (-232 *5 *6)) (-14 *5 (-763)) (-4 *6 (-1195)) (-4 *2 (-1195)) (-5 *1 (-231 *5 *6 *2)))) ((*1 *1 *2 *3) (-12 (-4 *4 (-172)) (-5 *1 (-284 *4 *2 *3 *5 *6 *7)) (-4 *2 (-1219 *4)) (-4 *3 (-23)) (-14 *5 (-1 *2 *2 *3)) (-14 *6 (-1 (-3 *3 "failed") *3 *3)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-310 *2)) (-4 *2 (-558)) (-4 *2 (-842)))) ((*1 *1 *1) (-12 (-4 *1 (-333 *2 *3 *4 *5)) (-4 *2 (-365)) (-4 *3 (-1219 *2)) (-4 *4 (-1219 (-409 *3))) (-4 *5 (-340 *2 *3 *4)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1195)) (-4 *2 (-1195)) (-5 *1 (-373 *5 *4 *2 *6)) (-4 *4 (-375 *5)) (-4 *6 (-375 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1090)) (-4 *2 (-1090)) (-5 *1 (-425 *5 *4 *2 *6)) (-4 *4 (-427 *5)) (-4 *6 (-427 *2)))) ((*1 *1 *1) (-5 *1 (-504))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-634 *5)) (-4 *5 (-1195)) (-4 *2 (-1195)) (-5 *1 (-632 *5 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1047)) (-4 *2 (-1047)) (-4 *6 (-375 *5)) (-4 *7 (-375 *5)) (-4 *8 (-375 *2)) (-4 *9 (-375 *2)) (-5 *1 (-675 *5 *6 *7 *4 *2 *8 *9 *10)) (-4 *4 (-677 *5 *6 *7)) (-4 *10 (-677 *2 *8 *9)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-701 *2 *3 *4 *5 *6)) (-4 *2 (-172)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (-12 (-4 *3 (-1047)) (-5 *1 (-702 *3 *2)) (-4 *2 (-1219 *3)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-705 *2 *3 *4 *5 *6)) (-4 *2 (-172)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-409 *4)) (-4 *4 (-1219 *3)) (-4 *3 (-365)) (-4 *3 (-172)) (-4 *1 (-714 *3 *4)))) ((*1 *1 *2) (-12 (-4 *3 (-172)) (-4 *1 (-714 *3 *2)) (-4 *2 (-1219 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1157 *1)) (-4 *1 (-858)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *1)) (-4 *1 (-920 *4 *5)) (-4 *4 (-365)) (-4 *5 (-641 *4)) (-5 *2 (-236 *1)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-958 *5)) (-4 *5 (-1195)) (-4 *2 (-1195)) (-5 *1 (-957 *5 *2)))) ((*1 *1 *2) (-12 (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-1034 *3 *4 *5 *2 *6)) (-4 *2 (-950 *3 *4 *5)) (-14 *6 (-634 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *7 *2)) (-4 *7 (-1047)) (-4 *2 (-1047)) (-14 *5 (-763)) (-14 *6 (-763)) (-4 *8 (-230 *6 *7)) (-4 *9 (-230 *5 *7)) (-4 *10 (-230 *6 *2)) (-4 *11 (-230 *5 *2)) (-5 *1 (-1052 *5 *6 *7 *8 *9 *4 *2 *10 *11 *12)) (-4 *4 (-1050 *5 *6 *7 *8 *9)) (-4 *12 (-1050 *5 *6 *2 *10 *11)))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1141 *5)) (-4 *5 (-1195)) (-4 *2 (-1195)) (-5 *1 (-1139 *5 *2)))) ((*1 *2 *2 *1 *3 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *4 (-1 (-121) *2 *2)) (-4 *1 (-1189 *5 *6 *7 *2)) (-4 *5 (-558)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *2 (-1061 *5 *6 *7)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1244 *5)) (-4 *5 (-1195)) (-4 *2 (-1195)) (-5 *1 (-1243 *5 *2))))) 
-(((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-132))) ((*1 *1 *1 *1) (-5 *1 (-1108)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-492 *4 *5))) (-14 *4 (-634 (-1161))) (-4 *5 (-453)) (-5 *2 (-634 (-242 *4 *5))) (-5 *1 (-622 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-953 (-215))) (-5 *2 (-215)) (-5 *1 (-299))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-763)) (-5 *1 (-778 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-172))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002)))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-869)) (-5 *3 (-634 (-256))) (-5 *1 (-254))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-607 *6)) (-4 *6 (-13 (-432 *5) (-27) (-1181))) (-4 *5 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-1157 (-409 (-1157 *6)))) (-5 *1 (-564 *5 *6 *7)) (-5 *3 (-1157 *6)) (-4 *7 (-1090)))) ((*1 *2 *1) (-12 (-4 *2 (-1219 *3)) (-5 *1 (-702 *3 *2)) (-4 *3 (-1047)))) ((*1 *2 *1) (-12 (-4 *1 (-714 *3 *2)) (-4 *3 (-172)) (-4 *2 (-1219 *3)))) ((*1 *2 *3 *4 *4 *5 *6 *7 *8) (|partial| -12 (-5 *4 (-1157 *11)) (-5 *6 (-634 *10)) (-5 *7 (-634 (-763))) (-5 *8 (-634 *11)) (-4 *10 (-842)) (-4 *11 (-301)) (-4 *9 (-788)) (-4 *5 (-950 *11 *9 *10)) (-5 *2 (-634 (-1157 *5))) (-5 *1 (-732 *9 *10 *11 *5)) (-5 *3 (-1157 *5)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-1157 *1)) (-4 *1 (-858)))) ((*1 *2 *1) (-12 (-5 *2 (-1157 *1)) (-4 *1 (-858)))) ((*1 *2 *1) (-12 (-4 *2 (-950 *3 *4 *5)) (-5 *1 (-1034 *3 *4 *5 *2 *6)) (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-14 *6 (-634 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-5 *2 (-1249)) (-5 *1 (-1164)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1161)) (-5 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-5 *2 (-1249)) (-5 *1 (-1164)))) ((*1 *2 *3 *4 *1) (-12 (-5 *3 (-1161)) (-5 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-5 *2 (-1249)) (-5 *1 (-1164))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-558)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-365) (-296) (-10 -8 (-15 -2319 ((-1113 *3 (-607 $)) $)) (-15 -2326 ((-1113 *3 (-607 $)) $)) (-15 -2747 ($ (-1113 *3 (-607 $)))))))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(((*1 *1) (-5 *1 (-142))) ((*1 *1 *1) (-5 *1 (-147))) ((*1 *1 *1) (-4 *1 (-1129)))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2910 *3) (|:| |coef2| (-777 *3)))) (-5 *1 (-777 *3)) (-4 *3 (-558)) (-4 *3 (-1047))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-1141 *2)) (-4 *2 (-301)) (-5 *1 (-173 *2))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-671 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-1090)) (-4 *2 (-895 *5)) (-5 *1 (-681 *5 *2 *3 *4)) (-4 *3 (-375 *2)) (-4 *4 (-13 (-375 *5) (-10 -7 (-6 -4521))))))) 
-(((*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *5 (-607 *4)) (-5 *6 (-1157 *4)) (-4 *4 (-13 (-432 *7) (-27) (-1181))) (-4 *7 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2588 (-634 *4)))) (-5 *1 (-564 *7 *4 *3)) (-4 *3 (-646 *4)) (-4 *3 (-1090)))) ((*1 *2 *3 *4 *5 *5 *5 *4 *6) (-12 (-5 *5 (-607 *4)) (-5 *6 (-409 (-1157 *4))) (-4 *4 (-13 (-432 *7) (-27) (-1181))) (-4 *7 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2588 (-634 *4)))) (-5 *1 (-564 *7 *4 *3)) (-4 *3 (-646 *4)) (-4 *3 (-1090))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-541))))) 
-(((*1 *2 *3 *2) (|partial| -12 (-5 *2 (-1244 *4)) (-5 *3 (-679 *4)) (-4 *4 (-365)) (-5 *1 (-659 *4)))) ((*1 *2 *3 *2) (|partial| -12 (-4 *4 (-365)) (-4 *5 (-13 (-375 *4) (-10 -7 (-6 -4522)))) (-4 *2 (-13 (-375 *4) (-10 -7 (-6 -4522)))) (-5 *1 (-660 *4 *5 *2 *3)) (-4 *3 (-677 *4 *5 *2)))) ((*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *4 (-634 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-365)) (-5 *1 (-809 *2 *3)) (-4 *3 (-646 *2)))) ((*1 *2 *3) (-12 (-4 *2 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *1 (-1116 *3 *2)) (-4 *3 (-1219 *2))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-365) (-840))) (-5 *1 (-178 *3 *2)) (-4 *2 (-1219 (-169 *3)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-558) (-842))) (-4 *2 (-13 (-432 *4) (-1002) (-1181))) (-5 *1 (-597 *4 *2 *3)) (-4 *3 (-13 (-432 (-169 *4)) (-1002) (-1181)))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-634 *5)) (-4 *1 (-920 *4 *5)) (-4 *4 (-365)) (-4 *5 (-641 *4)) (-5 *2 (-1249))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-1047)) (-5 *2 (-1 (-634 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-634 *4))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-679 *1)) (-4 *1 (-350)) (-5 *2 (-1244 *1)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-679 *1)) (-4 *1 (-148)) (-4 *1 (-904)) (-5 *2 (-1244 *1))))) 
-(((*1 *2 *3 *4 *4 *3 *5) (-12 (-5 *4 (-607 *3)) (-5 *5 (-1157 *3)) (-4 *3 (-13 (-432 *6) (-27) (-1181))) (-4 *6 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-585 *3)) (-5 *1 (-564 *6 *3 *7)) (-4 *7 (-1090)))) ((*1 *2 *3 *4 *4 *4 *3 *5) (-12 (-5 *4 (-607 *3)) (-5 *5 (-409 (-1157 *3))) (-4 *3 (-13 (-432 *6) (-27) (-1181))) (-4 *6 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-585 *3)) (-5 *1 (-564 *6 *3 *7)) (-4 *7 (-1090))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-409 (-953 *3))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-57)) (-5 *1 (-1174))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1163 (-409 (-568)))) (-5 *1 (-182)) (-5 *3 (-568)))) ((*1 *2 *1) (-12 (-5 *2 (-1244 (-3 (-473) "undefined"))) (-5 *1 (-1245))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-917)) (-5 *1 (-1030 *2)) (-4 *2 (-13 (-1090) (-10 -8 (-15 -1769 ($ $ $)))))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1182 *2)) (-4 *2 (-1090))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-144)))) ((*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-145)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-216)))) ((*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-218))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1047)) (-4 *4 (-1090)) (-5 *2 (-634 *1)) (-4 *1 (-384 *3 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-634 (-725 *3 *4))) (-5 *1 (-725 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-716)))) ((*1 *2 *3) (-12 (-4 *4 (-1047)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-5 *2 (-634 *3)) (-5 *1 (-908 *4 *3 *5 *6)) (-4 *3 (-324 *4 *5)))) ((*1 *2 *1) (-12 (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-950 *3 *4 *5))))) 
-(((*1 *2) (-12 (-5 *2 (-828 (-568))) (-5 *1 (-539)))) ((*1 *1) (-12 (-5 *1 (-828 *2)) (-4 *2 (-1090))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-634 *1)) (-4 *1 (-432 *4)) (-4 *4 (-842)))) ((*1 *1 *2 *1 *1 *1 *1) (-12 (-5 *2 (-1161)) (-4 *1 (-432 *3)) (-4 *3 (-842)))) ((*1 *1 *2 *1 *1 *1) (-12 (-5 *2 (-1161)) (-4 *1 (-432 *3)) (-4 *3 (-842)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1161)) (-4 *1 (-432 *3)) (-4 *3 (-842)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1161)) (-4 *1 (-432 *3)) (-4 *3 (-842))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-953 (-568))) (-5 *2 (-634 *1)) (-4 *1 (-1012)))) ((*1 *2 *3) (-12 (-5 *3 (-953 (-409 (-568)))) (-5 *2 (-634 *1)) (-4 *1 (-1012)))) ((*1 *2 *3) (-12 (-5 *3 (-953 *1)) (-4 *1 (-1012)) (-5 *2 (-634 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-1157 (-568))) (-5 *2 (-634 *1)) (-4 *1 (-1012)))) ((*1 *2 *3) (-12 (-5 *3 (-1157 (-409 (-568)))) (-5 *2 (-634 *1)) (-4 *1 (-1012)))) ((*1 *2 *3) (-12 (-5 *3 (-1157 *1)) (-4 *1 (-1012)) (-5 *2 (-634 *1)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-840) (-365))) (-4 *3 (-1219 *4)) (-5 *2 (-634 *1)) (-4 *1 (-1063 *4 *3))))) 
-(((*1 *1) (-4 *1 (-23))) ((*1 *1) (-12 (-4 *1 (-475 *2 *3)) (-4 *2 (-172)) (-4 *3 (-23)))) ((*1 *1) (-5 *1 (-541))) ((*1 *1) (-12 (-5 *1 (-887 *2)) (-4 *2 (-1090))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-858))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *2 (-634 *4)) (-5 *1 (-1116 *3 *4)) (-4 *3 (-1219 *4)))) ((*1 *2 *3 *3 *3) (-12 (-4 *3 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *2 (-634 *3)) (-5 *1 (-1116 *4 *3)) (-4 *4 (-1219 *3))))) 
-(((*1 *2 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-247 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1205 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-1234 *3))))) 
-(((*1 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *1 (-1116 *3 *2)) (-4 *3 (-1219 *2))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-381)) (-5 *1 (-1246)))) ((*1 *2) (-12 (-5 *2 (-381)) (-5 *1 (-1246))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002)))))) 
-(((*1 *2 *3) (-12 (-4 *2 (-1219 *4)) (-5 *1 (-804 *4 *2 *3 *5)) (-4 *4 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *3 (-646 *2)) (-4 *5 (-646 (-409 *2)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-1161)) (-5 *1 (-464)))) ((*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-465))))) 
-(((*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-1047)) (-5 *2 (-1 (-634 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-634 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-814 *4)) (-4 *4 (-842)) (-5 *2 (-121)) (-5 *1 (-663 *4))))) 
-(((*1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1) (-4 *1 (-132))) ((*1 *1 *1) (-5 *1 (-850))) ((*1 *1 *1) (-5 *1 (-1108)))) 
-(((*1 *1 *1) (-12 (-4 *1 (-950 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-453)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-634 (-2 (|:| |val| *3) (|:| -3145 *1)))) (-4 *1 (-1066 *4 *5 *6 *3)))) ((*1 *1 *1) (-4 *1 (-1199))) ((*1 *2 *2) (-12 (-4 *3 (-558)) (-5 *1 (-1222 *3 *2)) (-4 *2 (-13 (-1219 *3) (-558) (-10 -8 (-15 -2723 ($ $ $)))))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-337 *3 *4 *5)) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) ((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-337 *3 *4 *5)) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1083 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-763)) (-5 *1 (-586 *2)) (-4 *2 (-550))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-5 *1 (-96 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1244 *4)) (-4 *4 (-630 (-568))) (-5 *2 (-121)) (-5 *1 (-1269 *4))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-842)) (-5 *1 (-930 *3 *2)) (-4 *2 (-432 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-310 (-568))) (-5 *1 (-931))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-763)) (-4 *4 (-365)) (-5 *1 (-891 *2 *4)) (-4 *2 (-1219 *4))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *2 (-1090)) (-5 *1 (-1173 *3 *2)) (-4 *3 (-1090))))) 
-(((*1 *2 *3 *4) (-12 (-4 *2 (-1219 *4)) (-5 *1 (-802 *4 *2 *3 *5)) (-4 *4 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *3 (-646 *2)) (-4 *5 (-646 (-409 *2))))) ((*1 *2 *3 *4) (-12 (-4 *2 (-1219 *4)) (-5 *1 (-802 *4 *2 *5 *3)) (-4 *4 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *5 (-646 *2)) (-4 *3 (-646 (-409 *2)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-842)) (-5 *1 (-930 *3 *2)) (-4 *2 (-432 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-310 (-568))) (-5 *1 (-931))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-989 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-1097 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-614 *4 *2)) (-4 *2 (-13 (-1181) (-959) (-29 *4)))))) 
-(((*1 *2 *3 *4 *4 *3 *3 *5) (|partial| -12 (-5 *4 (-607 *3)) (-5 *5 (-1157 *3)) (-4 *3 (-13 (-432 *6) (-27) (-1181))) (-4 *6 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-2 (|:| -4151 *3) (|:| |coeff| *3))) (-5 *1 (-564 *6 *3 *7)) (-4 *7 (-1090)))) ((*1 *2 *3 *4 *4 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-607 *3)) (-5 *5 (-409 (-1157 *3))) (-4 *3 (-13 (-432 *6) (-27) (-1181))) (-4 *6 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-2 (|:| -4151 *3) (|:| |coeff| *3))) (-5 *1 (-564 *6 *3 *7)) (-4 *7 (-1090))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-761)) (-5 *2 (-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))) (|:| |extra| (-1035)))) (-5 *1 (-569)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-761)) (-5 *4 (-1059)) (-5 *2 (-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))) (|:| |extra| (-1035)))) (-5 *1 (-569)))) ((*1 *2 *3 *4) (-12 (-4 *1 (-782)) (-5 *3 (-1059)) (-5 *4 (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035)))))) ((*1 *2 *3 *4) (-12 (-4 *1 (-782)) (-5 *3 (-1059)) (-5 *4 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)) (|:| |extra| (-1035)))))) ((*1 *2 *3 *4) (-12 (-4 *1 (-795)) (-5 *3 (-1059)) (-5 *4 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)))))) ((*1 *2 *3) (-12 (-5 *3 (-803)) (-5 *2 (-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))))) (-5 *1 (-800)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-803)) (-5 *4 (-1059)) (-5 *2 (-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))))) (-5 *1 (-800)))) ((*1 *2 *3 *4) (-12 (-4 *1 (-831)) (-5 *3 (-1059)) (-5 *4 (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) (-5 *2 (-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)))))) ((*1 *2 *3 *4) (-12 (-4 *1 (-831)) (-5 *3 (-1059)) (-5 *4 (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) (-5 *2 (-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)))))) ((*1 *2 *3) (-12 (-5 *3 (-833)) (-5 *2 (-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))))) (-5 *1 (-832)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-833)) (-5 *4 (-1059)) (-5 *2 (-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))))) (-5 *1 (-832)))) ((*1 *2 *3 *4) (-12 (-4 *1 (-890)) (-5 *3 (-1059)) (-5 *4 (-2 (|:| |pde| (-634 (-310 (-215)))) (|:| |constraints| (-634 (-2 (|:| |start| (-215)) (|:| |finish| (-215)) (|:| |grid| (-763)) (|:| |boundaryType| (-568)) (|:| |dStart| (-679 (-215))) (|:| |dFinish| (-679 (-215)))))) (|:| |f| (-634 (-634 (-310 (-215))))) (|:| |st| (-1143)) (|:| |tol| (-215)))) (-5 *2 (-2 (|:| -3031 (-381)) (|:| |explanations| (-1143)))))) ((*1 *2 *3) (-12 (-5 *3 (-893)) (-5 *2 (-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))))) (-5 *1 (-892)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-893)) (-5 *4 (-1059)) (-5 *2 (-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))))) (-5 *1 (-892))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-128 *2)) (-4 *2 (-1195)))) ((*1 *1 *1) (-12 (-5 *1 (-663 *2)) (-4 *2 (-842)))) ((*1 *1 *1) (-12 (-5 *1 (-667 *2)) (-4 *2 (-842)))) ((*1 *1 *1) (-5 *1 (-850))) ((*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-850)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-840) (-365))) (-5 *1 (-1057 *2 *3)) (-4 *3 (-1219 *2))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-225)) (-4 *3 (-1047)) (-4 *4 (-842)) (-4 *5 (-262 *4)) (-4 *6 (-788)) (-5 *2 (-1 *1 (-763))) (-4 *1 (-246 *3 *4 *5 *6)))) ((*1 *2 *3) (-12 (-4 *4 (-1047)) (-4 *3 (-842)) (-4 *5 (-262 *3)) (-4 *6 (-788)) (-5 *2 (-1 *1 (-763))) (-4 *1 (-246 *4 *3 *5 *6)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-763)) (-4 *1 (-262 *2)) (-4 *2 (-842))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-887 *3)) (-4 *3 (-1090))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-5 *1 (-900 *3))))) 
-(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-747))))) 
-(((*1 *1 *1) (-5 *1 (-215))) ((*1 *1 *1) (-5 *1 (-381))) ((*1 *1) (-5 *1 (-381)))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-1141 (-634 (-568)))) (-5 *1 (-878)) (-5 *3 (-634 (-568)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-817))))) 
-(((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-679 (-215))) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-747))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-917)) (-5 *2 (-1244 (-634 (-2 (|:| -2852 *4) (|:| -4357 (-1108)))))) (-5 *1 (-347 *4)) (-4 *4 (-350))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-409 (-953 *3))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3)))))) 
-(((*1 *2 *3 *3) (-12 (-4 *2 (-558)) (-5 *1 (-970 *2 *3)) (-4 *3 (-1219 *2))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-409 *2)) (-5 *4 (-1 *2 *2)) (-4 *2 (-1219 *5)) (-5 *1 (-717 *5 *2)) (-4 *5 (-365))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-747))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-384 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-1090)) (-5 *2 (-634 (-2 (|:| |k| *4) (|:| |c| *3)))))) ((*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |k| (-888 *3)) (|:| |c| *4)))) (-5 *1 (-618 *3 *4 *5)) (-4 *3 (-842)) (-4 *4 (-13 (-172) (-707 (-409 (-568))))) (-14 *5 (-917)))) ((*1 *2 *1) (-12 (-5 *2 (-634 (-663 *3))) (-5 *1 (-888 *3)) (-4 *3 (-842))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-432 *4)) (-5 *1 (-433 *4 *2)) (-4 *4 (-13 (-842) (-558)))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *6) (|partial| -12 (-5 *4 (-607 *3)) (-5 *5 (-634 *3)) (-5 *6 (-1157 *3)) (-4 *3 (-13 (-432 *7) (-27) (-1181))) (-4 *7 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-564 *7 *3 *8)) (-4 *8 (-1090)))) ((*1 *2 *3 *4 *4 *5 *4 *3 *6) (|partial| -12 (-5 *4 (-607 *3)) (-5 *5 (-634 *3)) (-5 *6 (-409 (-1157 *3))) (-4 *3 (-13 (-432 *7) (-27) (-1181))) (-4 *7 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-564 *7 *3 *8)) (-4 *8 (-1090))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-747))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *3 (-950 *4 *6 (-852 *5))) (-4 *6 (-230 (-1699 *5) (-763))) (-4 *7 (-971 *4)) (-4 *8 (-641 *4)) (-4 *9 (-920 *4 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-634 *12)) (-5 *1 (-260 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) ((*1 *2) (-12 (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-634 *12)) (-5 *1 (-467 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) ((*1 *2) (-12 (-5 *2 (-634 (-259 (-537 *3 *4 *5)))) (-5 *1 (-867 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-634 (-259 (-513 *3 *4 *5)))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117))))) 
-(((*1 *2 *1 *1) (|partial| -12 (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5 *4)) (-4 *5 (-1090)) (-4 *4 (-1090)) (-4 *6 (-1090)) (-5 *2 (-1 *6 *5)) (-5 *1 (-673 *5 *4 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-396))))) 
-(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-747))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-509 *2)) (-14 *2 (-568)))) ((*1 *1 *1 *1) (-5 *1 (-1108)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-634 *9)) (-4 *8 (-1061 *5 *6 *7)) (-4 *9 (-1066 *5 *6 *7 *8)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-763)) (-5 *1 (-1064 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-634 *9)) (-4 *8 (-1061 *5 *6 *7)) (-4 *9 (-1099 *5 *6 *7 *8)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-763)) (-5 *1 (-1130 *5 *6 *7 *8 *9))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-365)) (-5 *2 (-679 *4)) (-5 *1 (-809 *4 *5)) (-4 *5 (-646 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-763)) (-4 *5 (-365)) (-5 *2 (-679 *5)) (-5 *1 (-809 *5 *6)) (-4 *6 (-646 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 *6 *5)) (-5 *1 (-696 *4 *5 *6)) (-4 *4 (-609 (-541))) (-4 *5 (-1195)) (-4 *6 (-1195))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1061 *3 *4 *2)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 *5))) (-5 *4 (-1161)) (-4 *5 (-13 (-301) (-842) (-150))) (-5 *2 (-634 (-288 (-310 *5)))) (-5 *1 (-1117 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-409 (-953 *4))) (-4 *4 (-13 (-301) (-842) (-150))) (-5 *2 (-634 (-288 (-310 *4)))) (-5 *1 (-1117 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-288 (-409 (-953 *5)))) (-5 *4 (-1161)) (-4 *5 (-13 (-301) (-842) (-150))) (-5 *2 (-634 (-288 (-310 *5)))) (-5 *1 (-1117 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-288 (-409 (-953 *4)))) (-4 *4 (-13 (-301) (-842) (-150))) (-5 *2 (-634 (-288 (-310 *4)))) (-5 *1 (-1117 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 *5)))) (-5 *4 (-634 (-1161))) (-4 *5 (-13 (-301) (-842) (-150))) (-5 *2 (-634 (-634 (-288 (-310 *5))))) (-5 *1 (-1117 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-953 *4)))) (-4 *4 (-13 (-301) (-842) (-150))) (-5 *2 (-634 (-634 (-288 (-310 *4))))) (-5 *1 (-1117 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-288 (-409 (-953 *5))))) (-5 *4 (-634 (-1161))) (-4 *5 (-13 (-301) (-842) (-150))) (-5 *2 (-634 (-634 (-288 (-310 *5))))) (-5 *1 (-1117 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-288 (-409 (-953 *4))))) (-4 *4 (-13 (-301) (-842) (-150))) (-5 *2 (-634 (-634 (-288 (-310 *4))))) (-5 *1 (-1117 *4))))) 
-(((*1 *1 *2 *3) (-12 (-5 *1 (-638 *2 *3 *4)) (-4 *2 (-1090)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-747))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-917)) (-5 *2 (-121)) (-5 *1 (-233 *4)) (-4 *4 (-1047))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1157 *1)) (-4 *1 (-858)) (-5 *2 (-634 *1)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1157 *4)) (-4 *4 (-365)) (-5 *2 (-2 (|:| |zeros| (-634 *4)) (|:| -3917 (-568)))) (-5 *1 (-1043 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *2 (-2 (|:| |contp| (-568)) (|:| -2075 (-634 (-2 (|:| |irr| *3) (|:| -4402 (-568))))))) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *2 (-2 (|:| |contp| (-568)) (|:| -2075 (-634 (-2 (|:| |irr| *3) (|:| -4402 (-568))))))) (-5 *1 (-1208 *3)) (-4 *3 (-1219 (-568)))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| (-1160)))) (-5 *1 (-1160))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-747))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-1004 *3)) (-14 *3 (-568))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-436))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-121)) (-5 *5 (-1092 (-763))) (-5 *6 (-763)) (-5 *2 (-2 (|:| |contp| (-568)) (|:| -2075 (-634 (-2 (|:| |irr| *3) (|:| -4402 (-568))))))) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-235 *10)) (-4 *12 (-536 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1249)) (-5 *1 (-260 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-258 *12)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-634 *7)) (-4 *7 (-950 *5 *8 (-852 *6))) (-4 *8 (-230 (-1699 *6) (-763))) (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *9 (-971 *5)) (-4 *10 (-641 *5)) (-4 *11 (-920 *5 *10)) (-4 *12 (-235 *11)) (-4 *13 (-536 *5 *6 *7 *8 *9 *10 *11 *12 *14)) (-4 *14 (-117)) (-5 *2 (-1249)) (-5 *1 (-260 *5 *6 *7 *8 *9 *10 *11 *12 *13 *3 *14)) (-4 *3 (-258 *13))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-747))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-2 (|:| -3651 *3) (|:| -4085 *4)))) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *1 (-1172 *3 *4)))) ((*1 *1) (-12 (-4 *1 (-1172 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-1090))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-391)) (-5 *2 (-121))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))))) (-5 *2 (-634 (-215))) (-5 *1 (-299))))) 
-(((*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) ((*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-747))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-763)) (-5 *2 (-634 (-1161))) (-5 *1 (-202)) (-5 *3 (-1161)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-310 (-215))) (-5 *4 (-763)) (-5 *2 (-634 (-1161))) (-5 *1 (-263)))) ((*1 *2 *1) (-12 (-4 *1 (-376 *3 *4)) (-4 *3 (-842)) (-4 *4 (-172)) (-5 *2 (-634 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-634 *3)) (-5 *1 (-618 *3 *4 *5)) (-4 *3 (-842)) (-4 *4 (-13 (-172) (-707 (-409 (-568))))) (-14 *5 (-917)))) ((*1 *2 *1) (-12 (-5 *2 (-634 *3)) (-5 *1 (-663 *3)) (-4 *3 (-842)))) ((*1 *2 *1) (-12 (-5 *2 (-634 *3)) (-5 *1 (-667 *3)) (-4 *3 (-842)))) ((*1 *2 *1) (-12 (-5 *2 (-634 *3)) (-5 *1 (-814 *3)) (-4 *3 (-842)))) ((*1 *2 *1) (-12 (-5 *2 (-634 *3)) (-5 *1 (-888 *3)) (-4 *3 (-842)))) ((*1 *2 *1) (-12 (-4 *1 (-1259 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047)) (-5 *2 (-634 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-988 (-409 (-568)) (-852 *3) (-232 *4 (-763)) (-242 *3 (-409 (-568))))) (-14 *3 (-634 (-1161))) (-14 *4 (-763)) (-5 *1 (-987 *3 *4))))) 
-(((*1 *2 *3 *4 *3 *4 *4 *4 *4 *4) (-12 (-5 *3 (-679 (-215))) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-747))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-1066 *4 *5 *6 *3)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-420 *3)) (-5 *1 (-344 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-634 (-634 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-634 (-3 (|:| |array| (-634 *3)) (|:| |scalar| (-1161))))) (-5 *6 (-634 (-1161))) (-5 *3 (-1161)) (-5 *2 (-1094)) (-5 *1 (-399)))) ((*1 *2 *3 *4 *5 *6 *3) (-12 (-5 *5 (-634 (-634 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-634 (-3 (|:| |array| (-634 *3)) (|:| |scalar| (-1161))))) (-5 *6 (-634 (-1161))) (-5 *3 (-1161)) (-5 *2 (-1094)) (-5 *1 (-399)))) ((*1 *2 *3 *4 *5 *4) (-12 (-5 *4 (-634 (-1161))) (-5 *5 (-1164)) (-5 *3 (-1161)) (-5 *2 (-1094)) (-5 *1 (-399))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(((*1 *2 *3 *3 *4 *4 *3 *3 *5 *3) (-12 (-5 *3 (-568)) (-5 *5 (-679 (-215))) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-747))))) 
-(((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-763)) (-5 *1 (-734 *4 *3)) (-14 *4 (-1161)) (-4 *3 (-1047)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-763)) (-5 *1 (-777 *3)) (-4 *3 (-1047)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *1 (-964 *3 *2)) (-4 *2 (-137)) (-4 *3 (-558)) (-4 *3 (-1047)) (-4 *2 (-787)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-763)) (-5 *1 (-1157 *3)) (-4 *3 (-1047)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-972)) (-4 *2 (-137)) (-5 *1 (-1163 *3)) (-4 *3 (-558)) (-4 *3 (-1047)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-763)) (-5 *1 (-1216 *4 *3)) (-14 *4 (-1161)) (-4 *3 (-1047))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1143)) (-5 *1 (-781))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1244 *4)) (-4 *4 (-630 *5)) (-4 *5 (-365)) (-4 *5 (-558)) (-5 *2 (-1244 *5)) (-5 *1 (-629 *5 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1244 *4)) (-4 *4 (-630 *5)) (-3046 (-4 *5 (-365))) (-4 *5 (-558)) (-5 *2 (-1244 (-409 *5))) (-5 *1 (-629 *5 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-568))) (-5 *4 (-900 (-568))) (-5 *2 (-679 (-568))) (-5 *1 (-589)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-634 (-679 (-568)))) (-5 *1 (-589)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-568))) (-5 *4 (-634 (-900 (-568)))) (-5 *2 (-634 (-679 (-568)))) (-5 *1 (-589))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-473)) (-5 *4 (-917)) (-5 *2 (-1249)) (-5 *1 (-1245))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *3 *6 *6 *3) (-12 (-5 *3 (-568)) (-5 *5 (-121)) (-5 *6 (-679 (-215))) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-747))))) 
-(((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-1164)))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1249)) (-5 *1 (-1164)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1161)) (-5 *2 (-1249)) (-5 *1 (-1164))))) 
-(((*1 *2 *3 *2 *2) (-12 (-5 *2 (-634 (-492 *4 *5))) (-5 *3 (-852 *4)) (-14 *4 (-634 (-1161))) (-4 *5 (-453)) (-5 *1 (-622 *4 *5))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-2 (|:| |bas| (-481 *4 *5 *6 *7)) (|:| -2618 (-634 *7)))) (-5 *1 (-978 *4 *5 *6 *7)) (-5 *3 (-634 *7))))) 
-(((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7) (-12 (-5 *3 (-568)) (-5 *5 (-679 (-215))) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-390)) (|:| |fp| (-73 IMAGE)))) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-747)))) ((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7 *8) (-12 (-5 *3 (-568)) (-5 *5 (-679 (-215))) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-390)) (|:| |fp| (-73 IMAGE)))) (-5 *8 (-390)) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-747))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-212 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-4 *1 (-247 *3)) (-4 *3 (-1195)) (-5 *2 (-763)))) ((*1 *2 *1) (-12 (-4 *1 (-296)) (-5 *2 (-763)))) ((*1 *2 *3) (-12 (-4 *4 (-1047)) (-4 *2 (-13 (-406) (-1037 *4) (-365) (-1181) (-279))) (-5 *1 (-444 *4 *3 *2)) (-4 *3 (-1219 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-607 *3)) (-4 *3 (-842)))) ((*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-850)))) ((*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-850))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-634 (-256))) (-5 *4 (-1161)) (-5 *1 (-255 *2)) (-4 *2 (-1195)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-634 (-256))) (-5 *4 (-1161)) (-5 *2 (-57)) (-5 *1 (-256)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-634 (-465))) (-5 *4 (-1161)) (-5 *2 (-57)) (-5 *1 (-465))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1244 (-310 (-215)))) (-5 *2 (-2 (|:| |additions| (-568)) (|:| |multiplications| (-568)) (|:| |exponentiations| (-568)) (|:| |functionCalls| (-568)))) (-5 *1 (-299))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-634 (-634 (-568)))) (-5 *1 (-972)) (-5 *3 (-634 (-568)))))) 
-(((*1 *2) (-12 (-4 *3 (-558)) (-5 *2 (-634 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-419 *3))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-568)) (-5 *4 (-121)) (-5 *5 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-747))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 (-634 *2) *2 *2 *2)) (-4 *2 (-1090)) (-5 *1 (-106 *2)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1090)) (-5 *1 (-106 *2))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-679 *8)) (-5 *4 (-763)) (-4 *8 (-950 *5 *7 *6)) (-4 *5 (-13 (-301) (-150))) (-4 *6 (-13 (-842) (-609 (-1161)))) (-4 *7 (-788)) (-5 *2 (-634 (-2 (|:| |det| *8) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568)))))) (-5 *1 (-924 *5 *6 *7 *8))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-568)) (-4 *4 (-1047)) (-4 *6 (-230 *7 (-763))) (-14 *7 (-763)) (-5 *2 (-634 *6)) (-5 *1 (-908 *4 *5 *6 *7)) (-4 *5 (-324 *4 *6))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-568)) (-5 *4 (-121)) (-5 *5 (-679 (-169 (-215)))) (-5 *2 (-1035)) (-5 *1 (-747))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-13 (-840) (-365))) (-5 *1 (-1057 *2 *3)) (-4 *3 (-1219 *2))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-634 (-1157 *4))) (-5 *3 (-1157 *4)) (-4 *4 (-904)) (-5 *1 (-655 *4))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-381)) (-5 *1 (-780 *3)) (-4 *3 (-609 *2)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-917)) (-5 *2 (-381)) (-5 *1 (-780 *3)) (-4 *3 (-609 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-953 *4)) (-4 *4 (-1047)) (-4 *4 (-609 *2)) (-5 *2 (-381)) (-5 *1 (-780 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-953 *5)) (-5 *4 (-917)) (-4 *5 (-1047)) (-4 *5 (-609 *2)) (-5 *2 (-381)) (-5 *1 (-780 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-409 (-953 *4))) (-4 *4 (-558)) (-4 *4 (-609 *2)) (-5 *2 (-381)) (-5 *1 (-780 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 *5))) (-5 *4 (-917)) (-4 *5 (-558)) (-4 *5 (-609 *2)) (-5 *2 (-381)) (-5 *1 (-780 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-310 *4)) (-4 *4 (-558)) (-4 *4 (-842)) (-4 *4 (-609 *2)) (-5 *2 (-381)) (-5 *1 (-780 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-310 *5)) (-5 *4 (-917)) (-4 *5 (-558)) (-4 *5 (-842)) (-4 *5 (-609 *2)) (-5 *2 (-381)) (-5 *1 (-780 *5))))) 
-(((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1143)) (-5 *4 (-169 (-215))) (-5 *5 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-1173 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1108)) (-5 *1 (-816))))) 
-(((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1143)) (-5 *4 (-169 (-215))) (-5 *5 (-568)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *2 (-950 *3 *5 (-852 *4))) (-4 *5 (-230 (-1699 *4) (-763))) (-4 *6 (-971 *3)) (-4 *7 (-641 *3)) (-4 *8 (-920 *3 *7)) (-4 *9 (-235 *8)) (-4 *10 (-536 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-117)) (-5 *1 (-467 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-258 *10)))) ((*1 *2 *2) (-12 (-5 *2 (-242 *4 *3)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-5 *1 (-867 *3 *4 *5)) (-4 *5 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-242 *4 *3)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-5 *1 (-868 *3 *4 *5)) (-4 *5 (-117))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-565))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-1161))) (-5 *1 (-1165))))) 
-(((*1 *2 *3 *4 *5 *3 *6 *3) (-12 (-5 *3 (-568)) (-5 *5 (-169 (-215))) (-5 *6 (-1143)) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-750))))) 
-(((*1 *2 *2 *1 *3 *4) (-12 (-5 *2 (-634 *8)) (-5 *3 (-1 *8 *8 *8)) (-5 *4 (-1 (-121) *8 *8)) (-4 *1 (-1189 *5 *6 *7 *8)) (-4 *5 (-558)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *8 (-1061 *5 *6 *7))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-453)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-978 *3 *4 *5 *6))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-763)) (-4 *5 (-558)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-970 *5 *3)) (-4 *3 (-1219 *5))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-641 *3)) (-4 *3 (-365))))) 
-(((*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-634 (-634 (-215)))) (-5 *4 (-215)) (-5 *2 (-634 (-944 *4))) (-5 *1 (-1192)) (-5 *3 (-944 *4))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1012)) (-5 *2 (-850))))) 
-(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-749))))) 
-(((*1 *2 *3) (-12 (|has| *6 (-6 -4522)) (-4 *4 (-365)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4)) (-5 *2 (-634 *6)) (-5 *1 (-529 *4 *5 *6 *3)) (-4 *3 (-677 *4 *5 *6)))) ((*1 *2 *3) (-12 (|has| *9 (-6 -4522)) (-4 *4 (-558)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4)) (-4 *7 (-993 *4)) (-4 *8 (-375 *7)) (-4 *9 (-375 *7)) (-5 *2 (-634 *6)) (-5 *1 (-530 *4 *5 *6 *3 *7 *8 *9 *10)) (-4 *3 (-677 *4 *5 *6)) (-4 *10 (-677 *7 *8 *9)))) ((*1 *2 *1) (-12 (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-4 *3 (-558)) (-5 *2 (-634 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *4 (-172)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4)) (-5 *2 (-634 *6)) (-5 *1 (-678 *4 *5 *6 *3)) (-4 *3 (-677 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-4 *5 (-558)) (-5 *2 (-634 *7))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-555 *2)) (-4 *2 (-13 (-406) (-1181)))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-634 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *2) (|:| |xpnt| (-568))))) (-4 *2 (-558)) (-5 *1 (-420 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |contp| (-568)) (|:| -2075 (-634 (-2 (|:| |irr| *4) (|:| -4402 (-568))))))) (-4 *4 (-1219 (-568))) (-5 *2 (-420 *4)) (-5 *1 (-443 *4))))) 
-(((*1 *2 *3 *4 *4 *5 *4 *6 *4 *5) (-12 (-5 *3 (-1143)) (-5 *5 (-679 (-215))) (-5 *6 (-679 (-568))) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-749))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1244 *4)) (-5 *3 (-1108)) (-4 *4 (-350)) (-5 *1 (-532 *4))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1219 *2)) (-4 *2 (-1047)) (-4 *2 (-558))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 (-1141 *4) (-1141 *4))) (-5 *2 (-1141 *4)) (-5 *1 (-1267 *4)) (-4 *4 (-1195)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-634 (-1141 *5)) (-634 (-1141 *5)))) (-5 *4 (-568)) (-5 *2 (-634 (-1141 *5))) (-5 *1 (-1267 *5)) (-4 *5 (-1195))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-944 (-215)))) (-5 *1 (-1245))))) 
-(((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1143)) (-5 *4 (-568)) (-5 *5 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-749))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-920 *3 *4)) (-4 *3 (-365)) (-4 *4 (-641 *3)) (-5 *2 (-1249))))) 
-(((*1 *2 *1) (-12 (-4 *4 (-1090)) (-5 *2 (-884 *3 *4)) (-5 *1 (-880 *3 *4 *5)) (-4 *3 (-1090)) (-4 *5 (-658 *4))))) 
-(((*1 *2 *3 *4 *4 *5 *4 *4 *5) (-12 (-5 *3 (-1143)) (-5 *4 (-568)) (-5 *5 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-749))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-409 (-953 *4))) (-4 *4 (-301)) (-5 *2 (-409 (-420 (-953 *4)))) (-5 *1 (-1041 *4))))) 
-(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-1 (-215) (-215) (-215))) (-5 *4 (-1 (-215) (-215) (-215) (-215))) (-5 *2 (-1 (-944 (-215)) (-215) (-215))) (-5 *1 (-686))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1157 *1)) (-5 *3 (-1161)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-1157 *1)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-953 *1)) (-4 *1 (-27)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1161)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-842) (-558))))) ((*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-842) (-558))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1157 *2)) (-5 *4 (-1161)) (-4 *2 (-432 *5)) (-5 *1 (-36 *5 *2)) (-4 *5 (-13 (-842) (-558))))) ((*1 *1 *2 *3) (|partial| -12 (-5 *2 (-1157 *1)) (-5 *3 (-917)) (-4 *1 (-1012)))) ((*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-1157 *1)) (-5 *3 (-917)) (-5 *4 (-850)) (-4 *1 (-1012)))) ((*1 *1 *2 *3) (|partial| -12 (-5 *3 (-917)) (-4 *4 (-13 (-840) (-365))) (-4 *1 (-1063 *4 *2)) (-4 *2 (-1219 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-147)))) ((*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-147))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-842) (-558) (-1037 (-568)))) (-5 *2 (-409 (-568))) (-5 *1 (-435 *4 *3)) (-4 *3 (-432 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-607 *3)) (-4 *3 (-432 *5)) (-4 *5 (-13 (-842) (-558) (-1037 (-568)))) (-5 *2 (-1157 (-409 (-568)))) (-5 *1 (-435 *5 *3))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-601 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1195)) (-5 *2 (-121))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-301)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *1 (-1112 *3 *4 *5 *2)) (-4 *2 (-677 *3 *4 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-840)) (-5 *1 (-297 *3))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-869)) (-5 *3 (-634 (-256))) (-5 *1 (-254))))) 
-(((*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |cycle?| (-121)) (|:| -3392 (-763)) (|:| |period| (-763)))) (-5 *1 (-1141 *4)) (-4 *4 (-1195)) (-5 *3 (-763))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1108)) (-5 *1 (-328))))) 
-(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-950 *3 *4 *2)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)) (-4 *3 (-172)))) ((*1 *2 *3 *3) (-12 (-4 *2 (-558)) (-5 *1 (-970 *2 *3)) (-4 *3 (-1219 *2)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-558)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1219 *2)) (-4 *2 (-1047)) (-4 *2 (-172))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-568)) (-5 *1 (-1170 *2)) (-4 *2 (-365))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-215))) (-5 *4 (-763)) (-5 *2 (-679 (-215))) (-5 *1 (-299))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-57))) (-5 *2 (-1249)) (-5 *1 (-851))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-325 *3)) (-4 *3 (-1195)))) ((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-525 *3 *4)) (-4 *3 (-1195)) (-14 *4 (-568))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-899 (-568))) (-5 *1 (-913)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-899 (-568))) (-5 *1 (-913))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-817)) (-5 *2 (-57)) (-5 *1 (-824))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-869)) (-5 *1 (-256)))) ((*1 *1 *2) (-12 (-5 *2 (-381)) (-5 *1 (-256))))) 
-(((*1 *1 *1) (|partial| -12 (-5 *1 (-155 *2 *3 *4)) (-14 *2 (-917)) (-4 *3 (-365)) (-14 *4 (-994 *2 *3)))) ((*1 *1 *1) (|partial| -12 (-4 *2 (-172)) (-5 *1 (-284 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1219 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-369 *2)) (-4 *2 (-172)) (-4 *2 (-558)))) ((*1 *1 *1) (|partial| -12 (-5 *1 (-705 *2 *3 *4 *5 *6)) (-4 *2 (-172)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-708 *2)) (-4 *2 (-365)))) ((*1 *1) (-12 (-5 *1 (-708 *2)) (-4 *2 (-365)))) ((*1 *1 *1) (|partial| -4 *1 (-712))) ((*1 *1 *1) (|partial| -4 *1 (-716))) ((*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *3))) (-5 *1 (-768 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3)))) ((*1 *2 *2 *1) (|partial| -12 (-4 *1 (-1063 *3 *2)) (-4 *3 (-13 (-840) (-365))) (-4 *2 (-1219 *3)))) ((*1 *2 *2) (|partial| -12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-944 *3)) (-4 *3 (-13 (-365) (-1181) (-1002))) (-5 *1 (-174 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-887 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-568)) (-5 *1 (-1178 *4)) (-4 *4 (-1047))))) 
-(((*1 *2 *3 *4 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-169 (-215)))) (-5 *2 (-1035)) (-5 *1 (-748))))) 
-(((*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-926))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-554))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-953 (-409 (-568)))) (-5 *4 (-1161)) (-5 *5 (-1084 (-835 (-215)))) (-5 *2 (-634 (-215))) (-5 *1 (-294))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-1157 (-953 *4)) (-953 *4))) (-5 *1 (-1252 *4)) (-4 *4 (-365))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-917)) (-5 *3 (-634 (-256))) (-5 *1 (-254)))) ((*1 *1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-256))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-634 *3))) (-4 *3 (-1090)) (-4 *1 (-898 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-763)) (-5 *1 (-450 *4 *5 *6 *3)) (-4 *3 (-950 *4 *5 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-1 (-121) *8))) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-558)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-2 (|:| |goodPols| (-634 *8)) (|:| |badPols| (-634 *8)))) (-5 *1 (-978 *5 *6 *7 *8)) (-5 *4 (-634 *8))))) 
-(((*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) ((*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-634 (-777 *3))) (-5 *1 (-777 *3)) (-4 *3 (-558)) (-4 *3 (-1047))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-917)) (-5 *4 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1245))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-369 *2)) (-4 *2 (-172)))) ((*1 *2) (-12 (-4 *2 (-172)) (-5 *1 (-418 *3 *2)) (-4 *3 (-419 *2)))) ((*1 *2) (-12 (-4 *1 (-419 *2)) (-4 *2 (-172))))) 
-(((*1 *2 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1090)))) ((*1 *2 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1109 *2)) (-4 *2 (-1195)))) ((*1 *2 *2 *1) (-12 (-5 *1 (-1132 *2)) (-4 *2 (-1090))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1173 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-372 *4 *5)) (-4 *4 (-172)) (-4 *5 (-1219 *4)) (-5 *2 (-679 *4)))) ((*1 *2) (-12 (-4 *4 (-172)) (-4 *5 (-1219 *4)) (-5 *2 (-679 *4)) (-5 *1 (-410 *3 *4 *5)) (-4 *3 (-411 *4 *5)))) ((*1 *2) (-12 (-4 *1 (-411 *3 *4)) (-4 *3 (-172)) (-4 *4 (-1219 *3)) (-5 *2 (-679 *3))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-50 (-1143) (-766))) (-5 *1 (-123))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-788)) (-4 *3 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $))))) (-4 *5 (-558)) (-5 *1 (-722 *4 *3 *5 *2)) (-4 *2 (-950 (-409 (-953 *5)) *4 *3)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *3 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $)) (-15 -3325 ((-3 $ "failed") (-1161)))))) (-5 *1 (-985 *4 *5 *3 *2)) (-4 *2 (-950 (-953 *4) *5 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-634 *6)) (-4 *6 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $)) (-15 -3325 ((-3 $ "failed") (-1161)))))) (-4 *4 (-1047)) (-4 *5 (-788)) (-5 *1 (-985 *4 *5 *6 *2)) (-4 *2 (-950 (-953 *4) *5 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *1 *1) (-5 *1 (-1059)))) 
-(((*1 *2 *1) (-12 (-5 *1 (-1026 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-568)) (-4 *6 (-365)) (-14 *7 (-634 (-1161))) (-4 *8 (-230 (-1699 *7) (-763))) (-4 *9 (-641 *6)) (-5 *2 (-634 *9)) (-5 *1 (-654 *6 *7 *4 *8 *3 *9 *10)) (-4 *4 (-950 *6 *8 (-852 *7))) (-4 *3 (-971 *6)) (-4 *10 (-920 *6 *9))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-1004 *3)) (-14 *3 (-568))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-842)) (-5 *1 (-729 *3))))) 
-(((*1 *1 *1 *1) (-5 *1 (-121)))) 
-(((*1 *2 *3 *4 *3 *3) (-12 (-5 *3 (-288 *6)) (-5 *4 (-123)) (-4 *6 (-432 *5)) (-4 *5 (-13 (-842) (-558) (-609 (-541)))) (-5 *2 (-57)) (-5 *1 (-311 *5 *6)))) ((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-288 *7)) (-5 *4 (-123)) (-5 *5 (-634 *7)) (-4 *7 (-432 *6)) (-4 *6 (-13 (-842) (-558) (-609 (-541)))) (-5 *2 (-57)) (-5 *1 (-311 *6 *7)))) ((*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-634 (-288 *7))) (-5 *4 (-634 (-123))) (-5 *5 (-288 *7)) (-4 *7 (-432 *6)) (-4 *6 (-13 (-842) (-558) (-609 (-541)))) (-5 *2 (-57)) (-5 *1 (-311 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-634 (-288 *8))) (-5 *4 (-634 (-123))) (-5 *5 (-288 *8)) (-5 *6 (-634 *8)) (-4 *8 (-432 *7)) (-4 *7 (-13 (-842) (-558) (-609 (-541)))) (-5 *2 (-57)) (-5 *1 (-311 *7 *8)))) ((*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-634 *7)) (-5 *4 (-634 (-123))) (-5 *5 (-288 *7)) (-4 *7 (-432 *6)) (-4 *6 (-13 (-842) (-558) (-609 (-541)))) (-5 *2 (-57)) (-5 *1 (-311 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-634 *8)) (-5 *4 (-634 (-123))) (-5 *6 (-634 (-288 *8))) (-4 *8 (-432 *7)) (-5 *5 (-288 *8)) (-4 *7 (-13 (-842) (-558) (-609 (-541)))) (-5 *2 (-57)) (-5 *1 (-311 *7 *8)))) ((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-288 *5)) (-5 *4 (-123)) (-4 *5 (-432 *6)) (-4 *6 (-13 (-842) (-558) (-609 (-541)))) (-5 *2 (-57)) (-5 *1 (-311 *6 *5)))) ((*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-123)) (-5 *5 (-288 *3)) (-4 *3 (-432 *6)) (-4 *6 (-13 (-842) (-558) (-609 (-541)))) (-5 *2 (-57)) (-5 *1 (-311 *6 *3)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-123)) (-5 *5 (-288 *3)) (-4 *3 (-432 *6)) (-4 *6 (-13 (-842) (-558) (-609 (-541)))) (-5 *2 (-57)) (-5 *1 (-311 *6 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-123)) (-5 *5 (-288 *3)) (-5 *6 (-634 *3)) (-4 *3 (-432 *7)) (-4 *7 (-13 (-842) (-558) (-609 (-541)))) (-5 *2 (-57)) (-5 *1 (-311 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-123)) (-5 *5 (-1161)) (-5 *6 (-634 *3)) (-4 *3 (-432 *7)) (-4 *7 (-13 (-842) (-558) (-609 (-541)))) (-4 *2 (-1234 *3)) (-5 *1 (-312 *7 *3 *2 *8)) (-4 *8 (-1234 (-1155 *3))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *6)) (-5 *4 (-634 *5)) (-4 *5 (-365)) (-4 *6 (-1234 (-1155 *5))) (-4 *2 (-1234 *5)) (-5 *1 (-1238 *5 *2 *6))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-147))) (-5 *1 (-142)))) ((*1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-142))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-305)) (-5 *1 (-824))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-634 *8)) (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-117))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1161)) (-5 *4 (-953 (-568))) (-5 *2 (-328)) (-5 *1 (-330))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-607 *4)) (-4 *4 (-842)) (-4 *2 (-842)) (-5 *1 (-606 *2 *4))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1141 (-568))) (-5 *1 (-1145 *4)) (-4 *4 (-1047)) (-5 *3 (-568))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-679 (-409 (-953 (-568))))) (-5 *2 (-679 (-310 (-568)))) (-5 *1 (-1031))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *3 (-235 *10)) (-4 *11 (-536 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-117)) (-5 *2 (-2 (|:| |num| (-634 *6)) (|:| |den| *6))) (-5 *1 (-467 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-258 *11)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-236 (-922 *5))) (-5 *4 (-763)) (-4 *5 (-350)) (-5 *2 (-634 (-409 (-242 *6 *5)))) (-5 *1 (-867 *5 *6 *7)) (-14 *6 (-634 (-1161))) (-4 *7 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-236 (-922 *4))) (-4 *4 (-350)) (-5 *2 (-2 (|:| |num| (-634 (-242 *5 *4))) (|:| |den| (-242 *5 *4)))) (-5 *1 (-867 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-236 (-921 *5))) (-5 *4 (-763)) (-4 *5 (-365)) (-5 *2 (-634 (-409 (-242 *6 *5)))) (-5 *1 (-868 *5 *6 *7)) (-14 *6 (-634 (-1161))) (-4 *7 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-236 (-921 *4))) (-4 *4 (-365)) (-5 *2 (-2 (|:| |num| (-634 (-242 *5 *4))) (|:| |den| (-242 *5 *4)))) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-4 *6 (-117))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-50 (-1143) (-766))) (-5 *1 (-123))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-536 *2 *3 *4 *5 *6 *7 *8 *9 *10)) (-4 *4 (-950 *2 *5 (-852 *3))) (-4 *5 (-230 (-1699 *3) (-763))) (-4 *6 (-971 *2)) (-4 *7 (-641 *2)) (-4 *8 (-920 *2 *7)) (-4 *9 (-235 *8)) (-4 *10 (-117)) (-4 *2 (-365))))) 
-(((*1 *2 *3 *4) (-12 (-4 *7 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-558)) (-4 *8 (-950 *7 *5 *6)) (-5 *2 (-2 (|:| -3483 (-763)) (|:| -2350 *3) (|:| |radicand| *3))) (-5 *1 (-954 *5 *6 *7 *8 *3)) (-5 *4 (-763)) (-4 *3 (-13 (-365) (-10 -8 (-15 -2319 (*8 $)) (-15 -2326 (*8 $)) (-15 -2747 ($ *8)))))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-1090)) (-5 *1 (-965 *3 *2)) (-4 *3 (-1090))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-259 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-513 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) ((*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-537 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) ((*1 *2 *1) (-12 (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-5 *2 (-850)) (-5 *1 (-538 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *7 (-971 *3)) (-4 *10 (-235 *9)) (-4 *11 (-117))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-555 *3)) (-4 *3 (-13 (-406) (-1181))) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-840)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1063 *4 *3)) (-4 *4 (-13 (-840) (-365))) (-4 *3 (-1219 *4)) (-5 *2 (-121))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1195)))) ((*1 *1 *2) (-12 (-5 *2 (-953 (-381))) (-5 *1 (-337 *3 *4 *5)) (-4 *5 (-1037 (-381))) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) ((*1 *1 *2) (-12 (-5 *2 (-409 (-953 (-381)))) (-5 *1 (-337 *3 *4 *5)) (-4 *5 (-1037 (-381))) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) ((*1 *1 *2) (-12 (-5 *2 (-310 (-381))) (-5 *1 (-337 *3 *4 *5)) (-4 *5 (-1037 (-381))) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) ((*1 *1 *2) (-12 (-5 *2 (-953 (-568))) (-5 *1 (-337 *3 *4 *5)) (-4 *5 (-1037 (-568))) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) ((*1 *1 *2) (-12 (-5 *2 (-409 (-953 (-568)))) (-5 *1 (-337 *3 *4 *5)) (-4 *5 (-1037 (-568))) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) ((*1 *1 *2) (-12 (-5 *2 (-310 (-568))) (-5 *1 (-337 *3 *4 *5)) (-4 *5 (-1037 (-568))) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) ((*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-337 *3 *4 *5)) (-14 *3 (-634 *2)) (-14 *4 (-634 *2)) (-4 *5 (-389)))) ((*1 *1 *2) (-12 (-5 *2 (-310 *5)) (-4 *5 (-389)) (-5 *1 (-337 *3 *4 *5)) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))))) ((*1 *1 *2) (-12 (-5 *2 (-679 (-409 (-953 (-568))))) (-4 *1 (-386)))) ((*1 *1 *2) (-12 (-5 *2 (-679 (-409 (-953 (-381))))) (-4 *1 (-386)))) ((*1 *1 *2) (-12 (-5 *2 (-679 (-953 (-568)))) (-4 *1 (-386)))) ((*1 *1 *2) (-12 (-5 *2 (-679 (-953 (-381)))) (-4 *1 (-386)))) ((*1 *1 *2) (-12 (-5 *2 (-679 (-310 (-568)))) (-4 *1 (-386)))) ((*1 *1 *2) (-12 (-5 *2 (-679 (-310 (-381)))) (-4 *1 (-386)))) ((*1 *1 *2) (-12 (-5 *2 (-409 (-953 (-568)))) (-4 *1 (-398)))) ((*1 *1 *2) (-12 (-5 *2 (-409 (-953 (-381)))) (-4 *1 (-398)))) ((*1 *1 *2) (-12 (-5 *2 (-953 (-568))) (-4 *1 (-398)))) ((*1 *1 *2) (-12 (-5 *2 (-953 (-381))) (-4 *1 (-398)))) ((*1 *1 *2) (-12 (-5 *2 (-310 (-568))) (-4 *1 (-398)))) ((*1 *1 *2) (-12 (-5 *2 (-310 (-381))) (-4 *1 (-398)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 (-409 (-953 (-568))))) (-4 *1 (-442)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 (-409 (-953 (-381))))) (-4 *1 (-442)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 (-953 (-568)))) (-4 *1 (-442)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 (-953 (-381)))) (-4 *1 (-442)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 (-310 (-568)))) (-4 *1 (-442)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 (-310 (-381)))) (-4 *1 (-442)))) ((*1 *2 *1) (-12 (-5 *2 (-409 (-734 *3 *4))) (-5 *1 (-733 *3 *4)) (-14 *3 (-1161)) (-4 *4 (-13 (-1047) (-842) (-558))))) ((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| |mdnia| (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))))) (-5 *1 (-761)))) ((*1 *1 *2) (-12 (-5 *2 (-1201 *3)) (-4 *3 (-350)) (-5 *1 (-770 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *1 (-803)))) ((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) (|:| |lsa| (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))))) (-5 *1 (-833)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |pde| (-634 (-310 (-215)))) (|:| |constraints| (-634 (-2 (|:| |start| (-215)) (|:| |finish| (-215)) (|:| |grid| (-763)) (|:| |boundaryType| (-568)) (|:| |dStart| (-679 (-215))) (|:| |dFinish| (-679 (-215)))))) (|:| |f| (-634 (-634 (-310 (-215))))) (|:| |st| (-1143)) (|:| |tol| (-215)))) (-5 *1 (-893)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *1 (-977 *3 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1037 *2)) (-4 *2 (-1195)))) ((*1 *1 *2) (-2199 (-12 (-5 *2 (-953 *3)) (-12 (-3046 (-4 *3 (-43 (-409 (-568))))) (-3046 (-4 *3 (-43 (-568)))) (-4 *5 (-609 (-1161)))) (-4 *3 (-1047)) (-4 *1 (-1061 *3 *4 *5)) (-4 *4 (-788)) (-4 *5 (-842))) (-12 (-5 *2 (-953 *3)) (-12 (-3046 (-4 *3 (-550))) (-3046 (-4 *3 (-43 (-409 (-568))))) (-4 *3 (-43 (-568))) (-4 *5 (-609 (-1161)))) (-4 *3 (-1047)) (-4 *1 (-1061 *3 *4 *5)) (-4 *4 (-788)) (-4 *5 (-842))) (-12 (-5 *2 (-953 *3)) (-12 (-3046 (-4 *3 (-993 (-568)))) (-4 *3 (-43 (-409 (-568)))) (-4 *5 (-609 (-1161)))) (-4 *3 (-1047)) (-4 *1 (-1061 *3 *4 *5)) (-4 *4 (-788)) (-4 *5 (-842))))) ((*1 *1 *2) (-2199 (-12 (-5 *2 (-953 (-568))) (-4 *1 (-1061 *3 *4 *5)) (-12 (-3046 (-4 *3 (-43 (-409 (-568))))) (-4 *3 (-43 (-568))) (-4 *5 (-609 (-1161)))) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842))) (-12 (-5 *2 (-953 (-568))) (-4 *1 (-1061 *3 *4 *5)) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *5 (-609 (-1161)))) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842))))) ((*1 *1 *2) (-12 (-5 *2 (-953 (-409 (-568)))) (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-43 (-409 (-568)))) (-4 *5 (-609 (-1161))) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 (-634 *3))) (-4 *3 (-365)) (-5 *1 (-653 *3))))) 
-(((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-634 *1)) (-4 *1 (-301))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-638 *3 *4 *5)) (-4 *3 (-1090)) (-4 *4 (-23)) (-14 *5 *4)))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1161)) (-5 *5 (-634 (-409 (-953 *6)))) (-5 *3 (-409 (-953 *6))) (-4 *6 (-13 (-558) (-1037 (-568)) (-150))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-574 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-849)))) ((*1 *2 *1) (-12 (-5 *2 (-1143)) (-5 *1 (-990)))) ((*1 *2 *1) (-12 (-4 *1 (-1010 *2)) (-4 *2 (-1195)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-1090) (-39))) (-5 *1 (-1125 *2 *3)) (-4 *3 (-13 (-1090) (-39)))))) 
-(((*1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-751))))) 
-(((*1 *2 *3 *4 *5 *6 *2 *7 *8) (|partial| -12 (-5 *2 (-634 (-1157 *11))) (-5 *3 (-1157 *11)) (-5 *4 (-634 *10)) (-5 *5 (-634 *8)) (-5 *6 (-634 (-763))) (-5 *7 (-1244 (-634 (-1157 *8)))) (-4 *10 (-842)) (-4 *8 (-301)) (-4 *11 (-950 *8 *9 *10)) (-4 *9 (-788)) (-5 *1 (-697 *9 *10 *8 *11))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3440 *4))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1161)) (|:| |arrayIndex| (-634 (-953 (-568)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -4153 (-850)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1161)) (|:| |rand| (-850)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1160)) (|:| |thenClause| (-328)) (|:| |elseClause| (-328)))) (|:| |returnBranch| (-2 (|:| -2436 (-121)) (|:| -2852 (-2 (|:| |ints2Floats?| (-121)) (|:| -4153 (-850)))))) (|:| |blockBranch| (-634 (-328))) (|:| |commentBranch| (-634 (-1143))) (|:| |callBranch| (-1143)) (|:| |forBranch| (-2 (|:| -3581 (-1082 (-953 (-568)))) (|:| |span| (-953 (-568))) (|:| |body| (-328)))) (|:| |labelBranch| (-1108)) (|:| |loopBranch| (-2 (|:| |switch| (-1160)) (|:| |body| (-328)))) (|:| |commonBranch| (-2 (|:| -3393 (-1161)) (|:| |contents| (-634 (-1161))))) (|:| |printBranch| (-634 (-850))))) (-5 *1 (-328))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-320 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-137))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-950 *4 *5 *6)) (-4 *6 (-609 (-1161))) (-4 *4 (-365)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-1150 (-634 (-953 *4)) (-634 (-288 (-953 *4))))) (-5 *1 (-514 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-835 (-215)))) (-5 *4 (-215)) (-5 *2 (-634 *4)) (-5 *1 (-263))))) 
-(((*1 *1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-917)) (-4 *5 (-842)) (-5 *2 (-634 (-663 *5))) (-5 *1 (-663 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-432 *4)) (-5 *1 (-159 *4 *2)) (-4 *4 (-13 (-842) (-558)))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-904)) (-5 *2 (-420 (-1157 *1))) (-5 *3 (-1157 *1))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-155 *3 *4 *5)) (-14 *3 *2) (-4 *4 (-365)) (-14 *5 (-994 *3 *4))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-917)) (-5 *2 (-121)) (-5 *1 (-233 *4)) (-4 *4 (-1047))))) 
-(((*1 *2) (-12 (-5 *2 (-1244 (-1091 *3 *4))) (-5 *1 (-1091 *3 *4)) (-14 *3 (-917)) (-14 *4 (-917))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1141 (-634 (-568)))) (-5 *3 (-634 (-568))) (-5 *1 (-878))))) 
-(((*1 *1 *1 *2) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 (-121) *9)) (-5 *5 (-1 (-121) *9 *9)) (-4 *9 (-1061 *6 *7 *8)) (-4 *6 (-558)) (-4 *7 (-788)) (-4 *8 (-842)) (-5 *2 (-2 (|:| |bas| *1) (|:| -2618 (-634 *9)))) (-5 *3 (-634 *9)) (-4 *1 (-1189 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1 (-121) *8 *8)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-558)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-2 (|:| |bas| *1) (|:| -2618 (-634 *8)))) (-5 *3 (-634 *8)) (-4 *1 (-1189 *5 *6 *7 *8))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-679 (-568))) (-5 *1 (-1100))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-634 (-381))) (-5 *3 (-634 (-256))) (-5 *1 (-254)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-634 (-381))) (-5 *1 (-473)))) ((*1 *2 *1) (-12 (-5 *2 (-634 (-381))) (-5 *1 (-473)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-917)) (-5 *4 (-869)) (-5 *2 (-1249)) (-5 *1 (-1245)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-917)) (-5 *4 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1245))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-57))) (-5 *1 (-887 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *3 *4 *4 *5 *6 *7) (-12 (-5 *5 (-1161)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-634 *4))) (-5 *7 (-1 (-3 (-2 (|:| -4151 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1181) (-27) (-432 *8))) (-4 *8 (-13 (-453) (-842) (-150) (-1037 *3) (-630 *3))) (-5 *3 (-568)) (-5 *2 (-2 (|:| |ans| *4) (|:| -3286 *4) (|:| |sol?| (-121)))) (-5 *1 (-1013 *8 *4))))) 
-(((*1 *1 *1) (-4 *1 (-620))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-621 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002) (-1181)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-310 *3)) (-4 *3 (-13 (-1047) (-842))) (-5 *1 (-213 *3 *4)) (-14 *4 (-634 (-1161)))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1210 (-568))) (-4 *1 (-640 *3)) (-4 *3 (-1195)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-640 *3)) (-4 *3 (-1195))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-634 *7)) (-4 *7 (-842)) (-4 *8 (-950 *5 *6 *7)) (-4 *5 (-558)) (-4 *6 (-788)) (-5 *2 (-2 (|:| |particular| (-3 (-1244 (-409 *8)) "failed")) (|:| -2588 (-634 (-1244 (-409 *8)))))) (-5 *1 (-661 *5 *6 *7 *8))))) 
-(((*1 *2 *3 *4 *5 *5 *2) (|partial| -12 (-5 *2 (-121)) (-5 *3 (-953 *6)) (-5 *4 (-1161)) (-5 *5 (-835 *7)) (-4 *6 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-4 *7 (-13 (-1181) (-29 *6))) (-5 *1 (-214 *6 *7)))) ((*1 *2 *3 *4 *4 *2) (|partial| -12 (-5 *2 (-121)) (-5 *3 (-1157 *6)) (-5 *4 (-835 *6)) (-4 *6 (-13 (-1181) (-29 *5))) (-4 *5 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-214 *5 *6))))) 
-(((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1143)) (-5 *2 (-766)) (-5 *1 (-123))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-381) (-381))) (-5 *4 (-381)) (-5 *2 (-2 (|:| -2852 *4) (|:| -2185 *4) (|:| |totalpts| (-568)) (|:| |success| (-121)))) (-5 *1 (-784)) (-5 *5 (-568))))) 
-(((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-634 *10)) (-5 *5 (-121)) (-4 *10 (-1066 *6 *7 *8 *9)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *8 (-842)) (-4 *9 (-1061 *6 *7 *8)) (-5 *2 (-634 (-2 (|:| -2410 (-634 *9)) (|:| -3145 *10) (|:| |ineq| (-634 *9))))) (-5 *1 (-989 *6 *7 *8 *9 *10)) (-5 *3 (-634 *9)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-634 *10)) (-5 *5 (-121)) (-4 *10 (-1066 *6 *7 *8 *9)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *8 (-842)) (-4 *9 (-1061 *6 *7 *8)) (-5 *2 (-634 (-2 (|:| -2410 (-634 *9)) (|:| -3145 *10) (|:| |ineq| (-634 *9))))) (-5 *1 (-1097 *6 *7 *8 *9 *10)) (-5 *3 (-634 *9))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-1143)) (-5 *2 (-381)) (-5 *1 (-781))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1177))))) 
-(((*1 *2 *3 *4) (-12 (-5 *2 (-2 (|:| |part1| *3) (|:| |part2| *4))) (-5 *1 (-695 *3 *4)) (-4 *3 (-1195)) (-4 *4 (-1195))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1090)))) ((*1 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) ((*1 *2 *1) (-12 (-4 *1 (-1109 *2)) (-4 *2 (-1195)))) ((*1 *2 *1) (-12 (-5 *1 (-1132 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-665 *3)) (-4 *3 (-1195)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-950 *3 *4 *2)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-788)) (-4 *5 (-1047)) (-4 *6 (-950 *5 *4 *2)) (-4 *2 (-842)) (-5 *1 (-951 *4 *2 *5 *6 *3)) (-4 *3 (-13 (-365) (-10 -8 (-15 -2747 ($ *6)) (-15 -2319 (*6 $)) (-15 -2326 (*6 $))))))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-409 (-953 *4))) (-4 *4 (-558)) (-5 *2 (-1161)) (-5 *1 (-1042 *4))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1125 *3 *4)) (-4 *3 (-13 (-1090) (-39))) (-4 *4 (-13 (-1090) (-39)))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-710)) (-5 *2 (-917)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-712)) (-5 *2 (-763))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-453)) (-4 *4 (-842)) (-4 *5 (-788)) (-5 *2 (-121)) (-5 *1 (-988 *3 *4 *5 *6)) (-4 *6 (-950 *3 *5 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1125 *3 *4)) (-4 *3 (-13 (-1090) (-39))) (-4 *4 (-13 (-1090) (-39)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-763)) (-5 *1 (-48 *4 *3)) (-4 *3 (-419 *4))))) 
-(((*1 *1 *1) (|partial| -12 (-4 *1 (-369 *2)) (-4 *2 (-172)) (-4 *2 (-558)))) ((*1 *1 *1) (|partial| -4 *1 (-712)))) 
-(((*1 *1 *1) (-12 (-4 *1 (-166 *2)) (-4 *2 (-172)) (-4 *2 (-1056)))) ((*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-792 *2)) (-4 *2 (-172)) (-4 *2 (-1056)))) ((*1 *1 *1) (-4 *1 (-840))) ((*1 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-172)) (-4 *2 (-1056)))) ((*1 *1 *1) (-4 *1 (-1056))) ((*1 *1 *1) (-4 *1 (-1124)))) 
-(((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-679 *11)) (-5 *4 (-634 (-409 (-953 *8)))) (-5 *5 (-763)) (-5 *6 (-1143)) (-4 *8 (-13 (-301) (-150))) (-4 *11 (-950 *8 *10 *9)) (-4 *9 (-13 (-842) (-609 (-1161)))) (-4 *10 (-788)) (-5 *2 (-2 (|:| |rgl| (-634 (-2 (|:| |eqzro| (-634 *11)) (|:| |neqzro| (-634 *11)) (|:| |wcond| (-634 (-953 *8))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 *8)))) (|:| -2588 (-634 (-1244 (-409 (-953 *8)))))))))) (|:| |rgsz| (-568)))) (-5 *1 (-924 *8 *9 *10 *11)) (-5 *7 (-568))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-763)) (-5 *1 (-48 *4 *3)) (-4 *3 (-419 *4))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-989 *4 *5 *6 *7 *3)) (-4 *3 (-1066 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1097 *4 *5 *6 *7 *3)) (-4 *3 (-1066 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-605 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1244 (-634 *3))) (-4 *4 (-301)) (-5 *2 (-634 *3)) (-5 *1 (-457 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-301) (-150))) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *8 (-1061 *5 *6 *7)) (-5 *2 (-634 *3)) (-5 *1 (-590 *5 *6 *7 *8 *3)) (-4 *3 (-1099 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-301) (-150))) (-5 *2 (-634 (-2 (|:| -3722 (-1157 *5)) (|:| -1656 (-634 (-953 *5)))))) (-5 *1 (-1071 *5 *6)) (-5 *3 (-634 (-953 *5))) (-14 *6 (-634 (-1161))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-301) (-150))) (-5 *2 (-634 (-2 (|:| -3722 (-1157 *4)) (|:| -1656 (-634 (-953 *4)))))) (-5 *1 (-1071 *4 *5)) (-5 *3 (-634 (-953 *4))) (-14 *5 (-634 (-1161))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-301) (-150))) (-5 *2 (-634 (-2 (|:| -3722 (-1157 *5)) (|:| -1656 (-634 (-953 *5)))))) (-5 *1 (-1071 *5 *6)) (-5 *3 (-634 (-953 *5))) (-14 *6 (-634 (-1161)))))) 
-(((*1 *2 *3 *1) (|partial| -12 (-4 *1 (-41 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-5 *2 (-2 (|:| -3651 *3) (|:| -4085 *4)))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4521)) (-4 *1 (-154 *3)) (-4 *3 (-1195)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1195)) (-5 *1 (-598 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-665 *3)) (-4 *3 (-1195)))) ((*1 *2 *1 *3) (|partial| -12 (-4 *1 (-1189 *4 *5 *3 *2)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *3 (-842)) (-4 *2 (-1061 *4 *5 *3)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *1 (-1193 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2350 *3) (|:| |gap| (-763)) (|:| -4409 (-777 *3)) (|:| -2607 (-777 *3)))) (-5 *1 (-777 *3)) (-4 *3 (-1047)))) ((*1 *2 *1 *1 *3) (-12 (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *3 (-842)) (-5 *2 (-2 (|:| -2350 *1) (|:| |gap| (-763)) (|:| -4409 *1) (|:| -2607 *1))) (-4 *1 (-1061 *4 *5 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-2 (|:| -2350 *1) (|:| |gap| (-763)) (|:| -4409 *1) (|:| -2607 *1))) (-4 *1 (-1061 *3 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1195)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *2 (-568)))) ((*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-5 *2 (-568))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1195)) (-5 *1 (-598 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1195)) (-5 *1 (-1141 *3))))) 
-(((*1 *1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *1 *1) (-12 (-4 *1 (-665 *2)) (-4 *2 (-1195))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-52 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-787)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1047)) (-5 *1 (-55 *3 *4)) (-14 *4 (-634 (-1161))))) ((*1 *1 *2 *1 *1 *3) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1195)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1195)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1195)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-64 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-64 *6)) (-5 *1 (-63 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1090)) (-5 *1 (-96 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *7)) (-5 *4 (-141 *5 *6 *7)) (-14 *5 (-568)) (-14 *6 (-763)) (-4 *7 (-172)) (-4 *8 (-172)) (-5 *2 (-141 *5 *6 *8)) (-5 *1 (-140 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-169 *5)) (-4 *5 (-172)) (-4 *6 (-172)) (-5 *2 (-169 *6)) (-5 *1 (-168 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1090)) (-5 *1 (-212 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-310 *3) (-310 *3))) (-4 *3 (-13 (-1047) (-842))) (-5 *1 (-213 *3 *4)) (-14 *4 (-634 (-1161))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-232 *5 *6)) (-14 *5 (-763)) (-4 *6 (-1195)) (-4 *7 (-1195)) (-5 *2 (-232 *5 *7)) (-5 *1 (-231 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-288 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-288 *6)) (-5 *1 (-287 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1195)) (-5 *1 (-288 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1143)) (-5 *5 (-607 *6)) (-4 *6 (-296)) (-4 *2 (-1195)) (-5 *1 (-291 *6 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5)) (-5 *4 (-607 *5)) (-4 *5 (-296)) (-4 *2 (-296)) (-5 *1 (-292 *5 *2)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 *1 *1)) (-5 *3 (-607 *1)) (-4 *1 (-296)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-679 *5)) (-4 *5 (-1047)) (-4 *6 (-1047)) (-5 *2 (-679 *6)) (-5 *1 (-298 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-310 *5)) (-4 *5 (-842)) (-4 *6 (-842)) (-5 *2 (-310 *6)) (-5 *1 (-308 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-4 *6 (-1047)) (-4 *7 (-1047)) (-4 *5 (-787)) (-4 *2 (-324 *7 *5)) (-5 *1 (-322 *5 *6 *4 *7 *2)) (-4 *4 (-324 *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-334 *5 *6 *7 *8)) (-4 *5 (-365)) (-4 *6 (-1219 *5)) (-4 *7 (-1219 (-409 *6))) (-4 *8 (-340 *5 *6 *7)) (-4 *9 (-365)) (-4 *10 (-1219 *9)) (-4 *11 (-1219 (-409 *10))) (-5 *2 (-334 *9 *10 *11 *12)) (-5 *1 (-331 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-340 *9 *10 *11)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-336 *3)) (-4 *3 (-1090)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1199)) (-4 *8 (-1199)) (-4 *6 (-1219 *5)) (-4 *7 (-1219 (-409 *6))) (-4 *9 (-1219 *8)) (-4 *2 (-340 *8 *9 *10)) (-5 *1 (-338 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-340 *5 *6 *7)) (-4 *10 (-1219 (-409 *9))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-4 *2 (-375 *6)) (-5 *1 (-373 *5 *4 *6 *2)) (-4 *4 (-375 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-384 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-1090)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-420 *5)) (-4 *5 (-558)) (-4 *6 (-558)) (-5 *2 (-420 *6)) (-5 *1 (-407 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-409 *5)) (-4 *5 (-558)) (-4 *6 (-558)) (-5 *2 (-409 *6)) (-5 *1 (-408 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-415 *5 *6 *7 *8)) (-4 *5 (-301)) (-4 *6 (-993 *5)) (-4 *7 (-1219 *6)) (-4 *8 (-13 (-411 *6 *7) (-1037 *6))) (-4 *9 (-301)) (-4 *10 (-993 *9)) (-4 *11 (-1219 *10)) (-5 *2 (-415 *9 *10 *11 *12)) (-5 *1 (-414 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-13 (-411 *10 *11) (-1037 *10))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-172)) (-4 *6 (-172)) (-4 *2 (-419 *6)) (-5 *1 (-417 *4 *5 *2 *6)) (-4 *4 (-419 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-558)) (-5 *1 (-420 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-13 (-1047) (-842))) (-4 *6 (-13 (-1047) (-842))) (-4 *2 (-432 *6)) (-5 *1 (-423 *5 *4 *6 *2)) (-4 *4 (-432 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *2 (-427 *6)) (-5 *1 (-425 *5 *4 *6 *2)) (-4 *4 (-427 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-842)) (-5 *1 (-494 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-499 *3)) (-4 *3 (-1195)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-518 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-842)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-585 *5)) (-4 *5 (-365)) (-4 *6 (-365)) (-5 *2 (-585 *6)) (-5 *1 (-584 *5 *6)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| -4151 *5) (|:| |coeff| *5)) "failed")) (-4 *5 (-365)) (-4 *6 (-365)) (-5 *2 (-2 (|:| -4151 *6) (|:| |coeff| *6))) (-5 *1 (-584 *5 *6)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *2 *5)) (-5 *4 (-3 *5 "failed")) (-4 *5 (-365)) (-4 *2 (-365)) (-5 *1 (-584 *5 *2)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| |mainpart| *5) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| *5) (|:| |logand| *5))))) "failed")) (-4 *5 (-365)) (-4 *6 (-365)) (-5 *2 (-2 (|:| |mainpart| *6) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| *6) (|:| |logand| *6)))))) (-5 *1 (-584 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-598 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-598 *6)) (-5 *1 (-595 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-598 *6)) (-5 *5 (-598 *7)) (-4 *6 (-1195)) (-4 *7 (-1195)) (-4 *8 (-1195)) (-5 *2 (-598 *8)) (-5 *1 (-596 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1141 *6)) (-5 *5 (-598 *7)) (-4 *6 (-1195)) (-4 *7 (-1195)) (-4 *8 (-1195)) (-5 *2 (-1141 *8)) (-5 *1 (-596 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-598 *6)) (-5 *5 (-1141 *7)) (-4 *6 (-1195)) (-4 *7 (-1195)) (-4 *8 (-1195)) (-5 *2 (-1141 *8)) (-5 *1 (-596 *6 *7 *8)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1195)) (-5 *1 (-598 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-634 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-634 *6)) (-5 *1 (-632 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-634 *6)) (-5 *5 (-634 *7)) (-4 *6 (-1195)) (-4 *7 (-1195)) (-4 *8 (-1195)) (-5 *2 (-634 *8)) (-5 *1 (-633 *6 *7 *8)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-640 *3)) (-4 *3 (-1195)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1047)) (-4 *8 (-1047)) (-4 *6 (-375 *5)) (-4 *7 (-375 *5)) (-4 *2 (-677 *8 *9 *10)) (-5 *1 (-675 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-677 *5 *6 *7)) (-4 *9 (-375 *8)) (-4 *10 (-375 *8)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *8 "failed") *5)) (-4 *5 (-1047)) (-4 *8 (-1047)) (-4 *6 (-375 *5)) (-4 *7 (-375 *5)) (-4 *2 (-677 *8 *9 *10)) (-5 *1 (-675 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-677 *5 *6 *7)) (-4 *9 (-375 *8)) (-4 *10 (-375 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-558)) (-4 *7 (-558)) (-4 *6 (-1219 *5)) (-4 *2 (-1219 (-409 *8))) (-5 *1 (-699 *5 *6 *4 *7 *8 *2)) (-4 *4 (-1219 (-409 *6))) (-4 *8 (-1219 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *8)) (-4 *8 (-1047)) (-4 *9 (-1047)) (-4 *5 (-842)) (-4 *6 (-788)) (-4 *2 (-950 *9 *7 *5)) (-5 *1 (-718 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-788)) (-4 *4 (-950 *8 *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-842)) (-4 *6 (-842)) (-4 *7 (-788)) (-4 *9 (-1047)) (-4 *2 (-950 *9 *8 *6)) (-5 *1 (-719 *5 *6 *7 *8 *9 *4 *2)) (-4 *8 (-788)) (-4 *4 (-950 *9 *7 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-725 *5 *7)) (-4 *5 (-1047)) (-4 *6 (-1047)) (-4 *7 (-716)) (-5 *2 (-725 *6 *7)) (-5 *1 (-724 *5 *6 *7)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1047)) (-5 *1 (-725 *3 *4)) (-4 *4 (-716)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-777 *5)) (-4 *5 (-1047)) (-4 *6 (-1047)) (-5 *2 (-777 *6)) (-5 *1 (-776 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-172)) (-4 *6 (-172)) (-4 *2 (-792 *6)) (-5 *1 (-793 *4 *5 *2 *6)) (-4 *4 (-792 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-828 *5)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-5 *2 (-828 *6)) (-5 *1 (-827 *5 *6)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-828 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-828 *5)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-5 *1 (-827 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-835 *5)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-5 *2 (-835 *6)) (-5 *1 (-834 *5 *6)))) ((*1 *2 *3 *4 *2 *2) (-12 (-5 *2 (-835 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-835 *5)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-5 *1 (-834 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-873 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-873 *6)) (-5 *1 (-872 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-875 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-875 *6)) (-5 *1 (-874 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-877 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-877 *6)) (-5 *1 (-876 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-884 *5 *6)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)) (-5 *2 (-884 *5 *7)) (-5 *1 (-883 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-887 *5)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-5 *2 (-887 *6)) (-5 *1 (-886 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-953 *5)) (-4 *5 (-1047)) (-4 *6 (-1047)) (-5 *2 (-953 *6)) (-5 *1 (-947 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *7)) (-5 *4 (-1 *2 *8)) (-4 *7 (-842)) (-4 *8 (-1047)) (-4 *6 (-788)) (-4 *2 (-13 (-1090) (-10 -8 (-15 -1769 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-763)))))) (-5 *1 (-952 *6 *7 *8 *5 *2)) (-4 *5 (-950 *8 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-958 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-958 *6)) (-5 *1 (-957 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-944 *5)) (-4 *5 (-1047)) (-4 *6 (-1047)) (-5 *2 (-944 *6)) (-5 *1 (-982 *5 *6)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-1 *2 (-953 *4))) (-4 *4 (-1047)) (-4 *2 (-950 (-953 *4) *5 *6)) (-4 *5 (-788)) (-4 *6 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $)) (-15 -3325 ((-3 $ "failed") (-1161)))))) (-5 *1 (-985 *4 *5 *6 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-558)) (-4 *6 (-558)) (-4 *2 (-993 *6)) (-5 *1 (-991 *5 *6 *4 *2)) (-4 *4 (-993 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-172)) (-4 *6 (-172)) (-4 *2 (-997 *6)) (-5 *1 (-998 *4 *5 *2 *6)) (-4 *4 (-997 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1090)) (-5 *1 (-1000 *3)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *5 *5 *5)) (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *5 *5)) (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *10 *7)) (-4 *7 (-1047)) (-4 *10 (-1047)) (-14 *5 (-763)) (-14 *6 (-763)) (-4 *8 (-230 *6 *7)) (-4 *9 (-230 *5 *7)) (-4 *2 (-1050 *5 *6 *10 *11 *12)) (-5 *1 (-1052 *5 *6 *7 *8 *9 *4 *10 *11 *12 *2)) (-4 *4 (-1050 *5 *6 *7 *8 *9)) (-4 *11 (-230 *6 *10)) (-4 *12 (-230 *5 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1084 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-1084 *6)) (-5 *1 (-1080 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1084 *5)) (-4 *5 (-840)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-634 *6)) (-5 *1 (-1080 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1082 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-1082 *6)) (-5 *1 (-1081 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 *4 *4)) (-4 *1 (-1085 *4 *2)) (-4 *4 (-840)) (-4 *2 (-1134 *4)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1090)) (-5 *1 (-1132 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1141 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-1141 *6)) (-5 *1 (-1139 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1141 *6)) (-5 *5 (-1141 *7)) (-4 *6 (-1195)) (-4 *7 (-1195)) (-4 *8 (-1195)) (-5 *2 (-1141 *8)) (-5 *1 (-1140 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1157 *5)) (-4 *5 (-1047)) (-4 *6 (-1047)) (-5 *2 (-1157 *6)) (-5 *1 (-1154 *5 *6)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *4 *4 *4)) (-4 *1 (-1172 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1207 *5 *7 *9)) (-4 *5 (-1047)) (-4 *6 (-1047)) (-14 *7 (-1161)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1207 *6 *8 *10)) (-5 *1 (-1202 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1161)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1210 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-1210 *6)) (-5 *1 (-1209 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1210 *5)) (-4 *5 (-840)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-1141 *6)) (-5 *1 (-1209 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *6)) (-5 *4 (-1216 *5 *6)) (-14 *5 (-1161)) (-4 *6 (-1047)) (-4 *8 (-1047)) (-5 *2 (-1216 *7 *8)) (-5 *1 (-1211 *5 *6 *7 *8)) (-14 *7 (-1161)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1047)) (-4 *6 (-1047)) (-4 *2 (-1219 *6)) (-5 *1 (-1217 *5 *4 *6 *2)) (-4 *4 (-1219 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1228 *5 *7 *9)) (-4 *5 (-1047)) (-4 *6 (-1047)) (-14 *7 (-1161)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1228 *6 *8 *10)) (-5 *1 (-1223 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1161)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1047)) (-4 *6 (-1047)) (-4 *2 (-1234 *6)) (-5 *1 (-1232 *5 *6 *4 *2)) (-4 *4 (-1234 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1244 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-1244 *6)) (-5 *1 (-1243 *5 *6)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *6 "failed") *5)) (-5 *4 (-1244 *5)) (-4 *5 (-1195)) (-4 *6 (-1195)) (-5 *2 (-1244 *6)) (-5 *1 (-1243 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-1259 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1047)) (-5 *1 (-1265 *3 *4)) (-4 *4 (-838))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1195)) (-5 *1 (-598 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1195)) (-5 *1 (-1141 *3))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-420 (-1157 *1))) (-5 *1 (-310 *4)) (-5 *3 (-1157 *1)) (-4 *4 (-453)) (-4 *4 (-558)) (-4 *4 (-842)))) ((*1 *2 *3) (-12 (-4 *1 (-904)) (-5 *2 (-420 (-1157 *1))) (-5 *3 (-1157 *1))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-971 *3)) (-4 *3 (-365)) (-5 *2 (-568))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1084 (-835 (-215)))) (-5 *2 (-215)) (-5 *1 (-184)))) ((*1 *2 *3) (-12 (-5 *3 (-1084 (-835 (-215)))) (-5 *2 (-215)) (-5 *1 (-294)))) ((*1 *2 *3) (-12 (-5 *3 (-1084 (-835 (-215)))) (-5 *2 (-215)) (-5 *1 (-299))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) ((*1 *1 *2) (-12 (-5 *1 (-329 *2)) (-4 *2 (-842)))) ((*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) ((*1 *1 *1) (-4 *1 (-1184)))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-917)) (-4 *6 (-13 (-558) (-842))) (-5 *2 (-634 (-310 *6))) (-5 *1 (-211 *5 *6)) (-5 *3 (-310 *6)) (-4 *5 (-1047)))) ((*1 *2 *1) (-12 (-5 *1 (-420 *2)) (-4 *2 (-558)))) ((*1 *2 *3) (-12 (-5 *3 (-585 *5)) (-4 *5 (-13 (-29 *4) (-1181))) (-4 *4 (-13 (-453) (-1037 (-568)) (-842) (-630 (-568)))) (-5 *2 (-634 *5)) (-5 *1 (-583 *4 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-585 (-409 (-953 *4)))) (-4 *4 (-13 (-453) (-1037 (-568)) (-842) (-630 (-568)))) (-5 *2 (-634 (-310 *4))) (-5 *1 (-588 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1085 *3 *2)) (-4 *3 (-840)) (-4 *2 (-1134 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *1)) (-4 *1 (-1085 *4 *2)) (-4 *4 (-840)) (-4 *2 (-1134 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181))))) ((*1 *2 *1) (-12 (-5 *2 (-1257 (-1161) *3)) (-5 *1 (-1264 *3)) (-4 *3 (-1047)))) ((*1 *2 *1) (-12 (-5 *2 (-1257 *3 *4)) (-5 *1 (-1266 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-406)) (-5 *2 (-568)))) ((*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-688))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-428 *4 *2)) (-4 *2 (-13 (-1181) (-29 *4))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 *5))) (-5 *4 (-1161)) (-4 *5 (-150)) (-4 *5 (-13 (-453) (-1037 (-568)) (-842) (-630 (-568)))) (-5 *2 (-310 *5)) (-5 *1 (-588 *5))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) ((*1 *1 *2) (-12 (-5 *1 (-329 *2)) (-4 *2 (-842)))) ((*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) ((*1 *1 *1) (-4 *1 (-1184)))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-533 *3)) (-4 *3 (-13 (-716) (-25)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-369 *2)) (-4 *2 (-172))))) 
-(((*1 *1 *2 *2) (-12 (-5 *1 (-288 *2)) (-4 *2 (-1195)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1143)) (-5 *1 (-990)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1084 *4)) (-4 *4 (-1195)) (-5 *1 (-1082 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-634 *3)) (-4 *3 (-950 *5 *6 *7)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-2 (|:| |poly| *3) (|:| |mult| *5))) (-5 *1 (-450 *5 *6 *7 *3))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1244 (-634 (-568)))) (-5 *1 (-491)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1195)) (-5 *1 (-598 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1195)) (-5 *1 (-1141 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1 *3)) (-4 *3 (-1195)) (-5 *1 (-1141 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1141 (-568))) (-5 *1 (-1004 *3)) (-14 *3 (-568))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-37 *2)) (-4 *2 (-365)))) ((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-568)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1195)) (-4 *4 (-375 *2)) (-4 *5 (-375 *2)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-568)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-375 *2)) (-4 *5 (-375 *2)) (-4 *2 (-1195)))) ((*1 *1 *1 *2) (-12 (-5 *2 "right") (-4 *1 (-128 *3)) (-4 *3 (-1195)))) ((*1 *1 *1 *2) (-12 (-5 *2 "left") (-4 *1 (-128 *3)) (-4 *3 (-1195)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-634 (-568))) (-4 *2 (-172)) (-5 *1 (-141 *4 *5 *2)) (-14 *4 (-568)) (-14 *5 (-763)))) ((*1 *2 *1 *3 *3 *3 *3) (-12 (-5 *3 (-568)) (-4 *2 (-172)) (-5 *1 (-141 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-763)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-568)) (-4 *2 (-172)) (-5 *1 (-141 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-763)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-568)) (-4 *2 (-172)) (-5 *1 (-141 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-763)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *2 (-172)) (-5 *1 (-141 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-763)))) ((*1 *2 *1) (-12 (-4 *2 (-172)) (-5 *1 (-141 *3 *4 *2)) (-14 *3 (-568)) (-14 *4 (-763)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-240 (-1143))) (-5 *1 (-205 *4)) (-4 *4 (-13 (-842) (-10 -8 (-15 -2781 ((-1143) $ *3)) (-15 -4127 ((-1249) $)) (-15 -3687 ((-1249) $))))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-990)) (-5 *1 (-205 *3)) (-4 *3 (-13 (-842) (-10 -8 (-15 -2781 ((-1143) $ (-1161))) (-15 -4127 ((-1249) $)) (-15 -3687 ((-1249) $))))))) ((*1 *2 *1 *3) (-12 (-5 *3 "count") (-5 *2 (-763)) (-5 *1 (-240 *4)) (-4 *4 (-842)))) ((*1 *1 *1 *2) (-12 (-5 *2 "sort") (-5 *1 (-240 *3)) (-4 *3 (-842)))) ((*1 *1 *1 *2) (-12 (-5 *2 "unique") (-5 *1 (-240 *3)) (-4 *3 (-842)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-281 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-1195)))) ((*1 *2 *1 *3 *2) (-12 (-4 *1 (-283 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-1195)))) ((*1 *2 *1 *2) (-12 (-4 *3 (-172)) (-5 *1 (-284 *3 *2 *4 *5 *6 *7)) (-4 *2 (-1219 *3)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-634 *1)) (-4 *1 (-296)))) ((*1 *1 *2 *1 *1 *1 *1) (-12 (-4 *1 (-296)) (-5 *2 (-123)))) ((*1 *1 *2 *1 *1 *1) (-12 (-4 *1 (-296)) (-5 *2 (-123)))) ((*1 *1 *2 *1 *1) (-12 (-4 *1 (-296)) (-5 *2 (-123)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-296)) (-5 *2 (-123)))) ((*1 *2 *1 *2 *2) (-12 (-4 *1 (-340 *2 *3 *4)) (-4 *2 (-1199)) (-4 *3 (-1219 *2)) (-4 *4 (-1219 (-409 *3))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-419 *2)) (-4 *2 (-172)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1143)) (-5 *1 (-511)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-57)) (-5 *1 (-623)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1210 (-568))) (-4 *1 (-640 *3)) (-4 *3 (-1195)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-763)) (-5 *1 (-666 *2)) (-4 *2 (-1090)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-634 (-568))) (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-634 (-887 *4))) (-5 *1 (-887 *4)) (-4 *4 (-1090)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-898 *2)) (-4 *2 (-1090)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-900 *4)) (-5 *1 (-899 *4)) (-4 *4 (-1090)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-920 *2 *4)) (-4 *4 (-641 *2)) (-4 *2 (-365)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-971 *2)) (-4 *2 (-365)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-232 *4 *2)) (-14 *4 (-917)) (-4 *2 (-365)) (-5 *1 (-994 *4 *2)))) ((*1 *2 *1 *3) (-12 (-5 *3 "value") (-4 *1 (-1010 *2)) (-4 *2 (-1195)))) ((*1 *2 *1) (-12 (-5 *1 (-1026 *2)) (-4 *2 (-1195)))) ((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-568)) (-4 *1 (-1050 *4 *5 *2 *6 *7)) (-4 *2 (-1047)) (-4 *6 (-230 *5 *2)) (-4 *7 (-230 *4 *2)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-568)) (-4 *1 (-1050 *4 *5 *2 *6 *7)) (-4 *6 (-230 *5 *2)) (-4 *7 (-230 *4 *2)) (-4 *2 (-1047)))) ((*1 *2 *1 *2 *3) (-12 (-5 *3 (-917)) (-4 *4 (-1090)) (-4 *5 (-13 (-1047) (-881 *4) (-842) (-609 (-887 *4)))) (-5 *1 (-1069 *4 *5 *2)) (-4 *2 (-13 (-432 *5) (-881 *4) (-609 (-887 *4)))))) ((*1 *2 *1 *2 *3) (-12 (-5 *3 (-917)) (-4 *4 (-1090)) (-4 *5 (-13 (-1047) (-881 *4) (-842) (-609 (-887 *4)))) (-5 *1 (-1070 *4 *5 *2)) (-4 *2 (-13 (-432 *5) (-881 *4) (-609 (-887 *4)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-568))) (-4 *1 (-1093 *3 *4 *5 *6 *7)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-1093 *3 *4 *5 *6 *7)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)))) ((*1 *1 *1 *1) (-4 *1 (-1129))) ((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-1161)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-409 *1)) (-4 *1 (-1219 *2)) (-4 *2 (-1047)) (-4 *2 (-365)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-409 *1)) (-4 *1 (-1219 *3)) (-4 *3 (-1047)) (-4 *3 (-558)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-1221 *2 *3)) (-4 *3 (-787)) (-4 *2 (-1047)))) ((*1 *2 *1 *3) (-12 (-5 *3 "last") (-4 *1 (-1231 *2)) (-4 *2 (-1195)))) ((*1 *1 *1 *2) (-12 (-5 *2 "rest") (-4 *1 (-1231 *3)) (-4 *3 (-1195)))) ((*1 *2 *1 *3) (-12 (-5 *3 "first") (-4 *1 (-1231 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1219 *5)) (-4 *5 (-365)) (-4 *7 (-1219 (-409 *6))) (-5 *2 (-2 (|:| |answer| *3) (|:| -1989 *3))) (-5 *1 (-566 *5 *6 *7 *3)) (-4 *3 (-340 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1219 *5)) (-4 *5 (-365)) (-5 *2 (-2 (|:| |answer| (-409 *6)) (|:| -1989 (-409 *6)) (|:| |specpart| (-409 *6)) (|:| |polypart| *6))) (-5 *1 (-567 *5 *6)) (-5 *3 (-409 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-842) (-558))) (-5 *2 (-121)) (-5 *1 (-36 *4 *5)) (-4 *5 (-432 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-842) (-558))) (-5 *2 (-121)) (-5 *1 (-159 *4 *5)) (-4 *5 (-432 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-842) (-558))) (-5 *2 (-121)) (-5 *1 (-272 *4 *5)) (-4 *5 (-13 (-432 *4) (-1002))))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-5 *2 (-121)) (-5 *1 (-295 *4)) (-4 *4 (-296)))) ((*1 *2 *3) (-12 (-4 *1 (-296)) (-5 *3 (-123)) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *5 (-842)) (-5 *2 (-121)) (-5 *1 (-431 *4 *5)) (-4 *4 (-432 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-842) (-558))) (-5 *2 (-121)) (-5 *1 (-433 *4 *5)) (-4 *5 (-432 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-842) (-558))) (-5 *2 (-121)) (-5 *1 (-621 *4 *5)) (-4 *5 (-13 (-432 *4) (-1002) (-1181)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002)))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| (-1160)))) (-5 *1 (-1160))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-333 *3 *4 *5 *6)) (-4 *3 (-365)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-4 *6 (-340 *3 *4 *5)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-246 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-842)) (-4 *5 (-262 *4)) (-4 *6 (-788)) (-5 *2 (-634 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-816))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-828 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-835 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-121)) (-5 *1 (-464)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-465))))) 
-(((*1 *2 *3 *4 *2 *2 *5) (|partial| -12 (-5 *2 (-835 *4)) (-5 *3 (-607 *4)) (-5 *5 (-121)) (-4 *4 (-13 (-1181) (-29 *6))) (-4 *6 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-214 *6 *4))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-235 *2)) (-4 *2 (-1090)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1035)) (-5 *1 (-299)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-1035))) (-5 *2 (-1035)) (-5 *1 (-299)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-640 *3)) (-4 *3 (-1195)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-640 *2)) (-4 *2 (-1195)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-640 *2)) (-4 *2 (-1195)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-640 *2)) (-4 *2 (-1195)))) ((*1 *1 *1 *1) (-5 *1 (-1059))) ((*1 *2 *3) (-12 (-5 *3 (-1141 (-1141 *4))) (-5 *2 (-1141 *4)) (-5 *1 (-1138 *4)) (-4 *4 (-1195)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1231 *2)) (-4 *2 (-1195)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1231 *2)) (-4 *2 (-1195))))) 
-(((*1 *1) (-12 (-4 *1 (-327 *2)) (-4 *2 (-370)) (-4 *2 (-365)))) ((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1244 *4)) (-5 *1 (-532 *4)) (-4 *4 (-350))))) 
-(((*1 *1 *1 *1) (-5 *1 (-215))) ((*1 *2 *2 *2) (-12 (-5 *2 (-215)) (-5 *1 (-217)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-169 (-215))) (-5 *1 (-217)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1 (-381))) (-5 *1 (-1039)))) ((*1 *1 *1 *1) (-4 *1 (-1124)))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-558)) (-4 *4 (-842)) (-5 *1 (-577 *4 *2)) (-4 *2 (-432 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1108)) (-5 *1 (-113)))) ((*1 *2 *1) (-12 (-4 *1 (-138)) (-5 *2 (-763)))) ((*1 *2 *3 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-375 *3)) (-4 *3 (-1195)) (-4 *3 (-1090)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-375 *3)) (-4 *3 (-1195)) (-4 *3 (-1090)) (-5 *2 (-568)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (-4 *1 (-375 *4)) (-4 *4 (-1195)) (-5 *2 (-568)))) ((*1 *2 *3 *1 *2) (-12 (-4 *1 (-1129)) (-5 *2 (-568)) (-5 *3 (-142)))) ((*1 *2 *1 *1 *2) (-12 (-4 *1 (-1129)) (-5 *2 (-568))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-541))) (-5 *2 (-1161)) (-5 *1 (-541))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-420 *3)) (-4 *3 (-558)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-2 (|:| -3850 *4) (|:| -1836 (-568))))) (-4 *4 (-1219 (-568))) (-5 *2 (-763)) (-5 *1 (-443 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1010 *3)) (-4 *3 (-1195)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1182 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-150) (-27) (-1037 (-568)) (-1037 (-409 (-568))))) (-4 *5 (-1219 *4)) (-5 *2 (-1157 (-409 *5))) (-5 *1 (-610 *4 *5)) (-5 *3 (-409 *5)))) ((*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 (-420 *6) *6)) (-4 *6 (-1219 *5)) (-4 *5 (-13 (-150) (-27) (-1037 (-568)) (-1037 (-409 (-568))))) (-5 *2 (-1157 (-409 *6))) (-5 *1 (-610 *5 *6)) (-5 *3 (-409 *6))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-215)) (-5 *1 (-217)))) ((*1 *2 *2) (-12 (-5 *2 (-169 (-215))) (-5 *1 (-217))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-763)) (-4 *2 (-13 (-558) (-453))) (-5 *1 (-346 *2 *4)) (-4 *4 (-52 *2 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |k| (-1161)) (|:| |c| (-1264 *3))))) (-5 *1 (-1264 *3)) (-4 *3 (-1047)))) ((*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |k| *3) (|:| |c| (-1266 *3 *4))))) (-5 *1 (-1266 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-828 (-215))) (-5 *1 (-217))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1163 (-409 (-568)))) (-5 *1 (-182)) (-5 *3 (-568))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1083 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 (-634 *3))) (-4 *3 (-842)) (-5 *1 (-1167 *3))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-1195)) (-5 *1 (-179 *3 *2)) (-4 *2 (-665 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-235 *2)) (-4 *2 (-1090)))) ((*1 *2 *1) (-12 (-4 *1 (-1083 *3)) (-4 *3 (-1195)) (-5 *2 (-568))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-1219 *3)) (-4 *3 (-1047))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-4 *1 (-1087 *3)))) ((*1 *1) (-12 (-4 *1 (-1087 *2)) (-4 *2 (-1090))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-5 *1 (-106 *3))))) 
-(((*1 *1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1083 *2)) (-4 *2 (-1195))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-365)) (-4 *1 (-37 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-365)) (-5 *2 (-634 *3)))) ((*1 *1 *2) (-12 (-4 *1 (-43 *2)) (-4 *2 (-172)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 *3)) (-4 *3 (-365)) (-14 *6 (-1244 (-679 *3))) (-5 *1 (-49 *3 *4 *5 *6)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))))) ((*1 *1 *2) (-12 (-5 *2 (-1113 (-568) (-607 (-53)))) (-5 *1 (-53)))) ((*1 *2 *3) (-12 (-5 *2 (-57)) (-5 *1 (-56 *3)) (-4 *3 (-1195)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 (-337 (-4289 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-4289) (-688)))) (-5 *1 (-66 *3)) (-14 *3 (-1161)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 (-337 (-4289) (-4289 (QUOTE XC)) (-688)))) (-5 *1 (-68 *3)) (-14 *3 (-1161)))) ((*1 *1 *2) (-12 (-5 *2 (-337 (-4289 (QUOTE X)) (-4289) (-688))) (-5 *1 (-69 *3)) (-14 *3 (-1161)))) ((*1 *1 *2) (-12 (-5 *2 (-679 (-337 (-4289) (-4289 (QUOTE X) (QUOTE HESS)) (-688)))) (-5 *1 (-70 *3)) (-14 *3 (-1161)))) ((*1 *1 *2) (-12 (-5 *2 (-337 (-4289) (-4289 (QUOTE XC)) (-688))) (-5 *1 (-71 *3)) (-14 *3 (-1161)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 (-337 (-4289 (QUOTE X)) (-4289 (QUOTE -2928)) (-688)))) (-5 *1 (-76 *3)) (-14 *3 (-1161)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 (-337 (-4289) (-4289 (QUOTE X)) (-688)))) (-5 *1 (-79 *3)) (-14 *3 (-1161)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 (-337 (-4289 (QUOTE X) (QUOTE EPS)) (-4289 (QUOTE -2928)) (-688)))) (-5 *1 (-80 *3 *4 *5)) (-14 *3 (-1161)) (-14 *4 (-1161)) (-14 *5 (-1161)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 (-337 (-4289 (QUOTE EPS)) (-4289 (QUOTE YA) (QUOTE YB)) (-688)))) (-5 *1 (-81 *3 *4 *5)) (-14 *3 (-1161)) (-14 *4 (-1161)) (-14 *5 (-1161)))) ((*1 *1 *2) (-12 (-5 *2 (-337 (-4289) (-4289 (QUOTE X)) (-688))) (-5 *1 (-82 *3)) (-14 *3 (-1161)))) ((*1 *1 *2) (-12 (-5 *2 (-337 (-4289) (-4289 (QUOTE X)) (-688))) (-5 *1 (-83 *3)) (-14 *3 (-1161)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 (-337 (-4289) (-4289 (QUOTE XC)) (-688)))) (-5 *1 (-84 *3)) (-14 *3 (-1161)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 (-337 (-4289) (-4289 (QUOTE X)) (-688)))) (-5 *1 (-85 *3)) (-14 *3 (-1161)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 (-337 (-4289) (-4289 (QUOTE X)) (-688)))) (-5 *1 (-86 *3)) (-14 *3 (-1161)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 (-337 (-4289 (QUOTE X) (QUOTE -2928)) (-4289) (-688)))) (-5 *1 (-87 *3)) (-14 *3 (-1161)))) ((*1 *1 *2) (-12 (-5 *2 (-679 (-337 (-4289 (QUOTE X) (QUOTE -2928)) (-4289) (-688)))) (-5 *1 (-88 *3)) (-14 *3 (-1161)))) ((*1 *1 *2) (-12 (-5 *2 (-679 (-337 (-4289 (QUOTE X)) (-4289) (-688)))) (-5 *1 (-89 *3)) (-14 *3 (-1161)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 (-337 (-4289 (QUOTE X)) (-4289) (-688)))) (-5 *1 (-90 *3)) (-14 *3 (-1161)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 (-337 (-4289 (QUOTE X)) (-4289 (QUOTE -2928)) (-688)))) (-5 *1 (-91 *3)) (-14 *3 (-1161)))) ((*1 *1 *2) (-12 (-5 *2 (-679 (-337 (-4289 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-4289) (-688)))) (-5 *1 (-92 *3)) (-14 *3 (-1161)))) ((*1 *1 *2) (-12 (-5 *2 (-337 (-4289 (QUOTE X)) (-4289 (QUOTE -2928)) (-688))) (-5 *1 (-94 *3)) (-14 *3 (-1161)))) ((*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-96 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-5 *2 (-1004 2)) (-5 *1 (-112)))) ((*1 *2 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-112)))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-568))) (-4 *1 (-117)))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-141 *3 *4 *5))) (-5 *1 (-141 *3 *4 *5)) (-14 *3 (-568)) (-14 *4 (-763)) (-4 *5 (-172)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *5)) (-4 *5 (-172)) (-5 *1 (-141 *3 *4 *5)) (-14 *3 (-568)) (-14 *4 (-763)))) ((*1 *1 *2) (-12 (-5 *2 (-1127 *4 *5)) (-14 *4 (-763)) (-4 *5 (-172)) (-5 *1 (-141 *3 *4 *5)) (-14 *3 (-568)))) ((*1 *1 *2) (-12 (-5 *2 (-232 *4 *5)) (-14 *4 (-763)) (-4 *5 (-172)) (-5 *1 (-141 *3 *4 *5)) (-14 *3 (-568)))) ((*1 *2 *3) (-12 (-5 *3 (-1244 (-679 *4))) (-4 *4 (-172)) (-5 *2 (-1244 (-679 (-409 (-953 *4))))) (-5 *1 (-181 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-13 (-842) (-10 -8 (-15 -2781 ((-1143) $ (-1161))) (-15 -4127 ((-1249) $)) (-15 -3687 ((-1249) $))))) (-5 *1 (-205 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1004 10)) (-5 *1 (-208)))) ((*1 *2 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-208)))) ((*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-212 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-5 *2 (-1141 *3)) (-5 *1 (-233 *3)) (-4 *3 (-1047)))) ((*1 *1 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-233 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1 *3 (-917))) (-5 *1 (-233 *3)) (-4 *3 (-1047)))) ((*1 *1 *2) (-12 (-5 *2 (-1 *3 (-917))) (-4 *3 (-1047)) (-5 *1 (-233 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-634 *3)) (-5 *1 (-240 *3)) (-4 *3 (-842)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-842)) (-5 *1 (-240 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1082 (-310 *4))) (-4 *4 (-13 (-842) (-558) (-609 (-381)))) (-5 *2 (-1082 (-381))) (-5 *1 (-251 *4)))) ((*1 *1 *2) (-12 (-4 *1 (-262 *2)) (-4 *2 (-842)))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-271)))) ((*1 *2 *1) (-12 (-4 *2 (-1219 *3)) (-5 *1 (-284 *3 *2 *4 *5 *6 *7)) (-4 *3 (-172)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-1228 *4 *5 *6)) (-4 *4 (-13 (-27) (-1181) (-432 *3))) (-14 *5 (-1161)) (-14 *6 *4) (-4 *3 (-13 (-842) (-1037 (-568)) (-630 (-568)) (-453))) (-5 *1 (-307 *3 *4 *5 *6)))) ((*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-328)))) ((*1 *2 *1) (-12 (-5 *2 (-310 *5)) (-5 *1 (-337 *3 *4 *5)) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-1161))) (-4 *5 (-389)))) ((*1 *2 *3) (-12 (-4 *4 (-350)) (-4 *2 (-327 *4)) (-5 *1 (-348 *3 *4 *2)) (-4 *3 (-327 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-350)) (-4 *2 (-327 *4)) (-5 *1 (-348 *2 *4 *3)) (-4 *3 (-327 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-376 *3 *4)) (-4 *3 (-842)) (-4 *4 (-172)) (-5 *2 (-1266 *3 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-376 *3 *4)) (-4 *3 (-842)) (-4 *4 (-172)) (-5 *2 (-1257 *3 *4)))) ((*1 *1 *2) (-12 (-4 *1 (-376 *2 *3)) (-4 *2 (-842)) (-4 *3 (-172)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) (-4 *1 (-385)))) ((*1 *1 *2) (-12 (-5 *2 (-328)) (-4 *1 (-385)))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-328))) (-4 *1 (-385)))) ((*1 *1 *2) (-12 (-5 *2 (-679 (-688))) (-4 *1 (-385)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) (-4 *1 (-386)))) ((*1 *1 *2) (-12 (-5 *2 (-328)) (-4 *1 (-386)))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-328))) (-4 *1 (-386)))) ((*1 *2 *1) (-12 (-4 *1 (-391)) (-5 *2 (-1143)))) ((*1 *1 *2) (-12 (-5 *2 (-1143)) (-4 *1 (-391)))) ((*1 *2 *3) (-12 (-5 *2 (-396)) (-5 *1 (-395 *3)) (-4 *3 (-1090)))) ((*1 *1 *2) (-12 (-5 *2 (-850)) (-5 *1 (-396)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) (-4 *1 (-398)))) ((*1 *1 *2) (-12 (-5 *2 (-328)) (-4 *1 (-398)))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-328))) (-4 *1 (-398)))) ((*1 *1 *2) (-12 (-5 *2 (-288 (-310 (-169 (-381))))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-288 (-310 (-381)))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-288 (-310 (-568)))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-310 (-169 (-381)))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-310 (-381))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-310 (-568))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-288 (-310 (-683)))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-288 (-310 (-688)))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-288 (-310 (-690)))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-310 (-683))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-310 (-688))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-310 (-690))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-328))) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-328)) (-5 *1 (-400 *3 *4 *5 *6)) (-14 *3 (-1161)) (-14 *4 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-14 *5 (-634 (-1161))) (-14 *6 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-329 *4)) (-4 *4 (-13 (-842) (-21))) (-5 *1 (-429 *3 *4)) (-4 *3 (-13 (-172) (-43 (-409 (-568))))))) ((*1 *1 *2) (-12 (-5 *1 (-429 *2 *3)) (-4 *2 (-13 (-172) (-43 (-409 (-568))))) (-4 *3 (-13 (-842) (-21))))) ((*1 *1 *2) (-12 (-5 *2 (-409 (-953 (-409 *3)))) (-4 *3 (-558)) (-4 *3 (-842)) (-4 *1 (-432 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-953 (-409 *3))) (-4 *3 (-558)) (-4 *3 (-842)) (-4 *1 (-432 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-409 *3)) (-4 *3 (-558)) (-4 *3 (-842)) (-4 *1 (-432 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1113 *3 (-607 *1))) (-4 *3 (-1047)) (-4 *3 (-842)) (-4 *1 (-432 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1094)) (-5 *1 (-436)))) ((*1 *2 *1) (-12 (-5 *2 (-1161)) (-5 *1 (-436)))) ((*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-436)))) ((*1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-436)))) ((*1 *1 *2) (-12 (-5 *2 (-436)) (-5 *1 (-439)))) ((*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-439)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) (-4 *1 (-441)))) ((*1 *1 *2) (-12 (-5 *2 (-328)) (-4 *1 (-441)))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-328))) (-4 *1 (-441)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 (-688))) (-4 *1 (-441)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1165)) (|:| -2848 (-634 (-328))))) (-4 *1 (-442)))) ((*1 *1 *2) (-12 (-5 *2 (-328)) (-4 *1 (-442)))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-328))) (-4 *1 (-442)))) ((*1 *1 *2) (-12 (-5 *2 (-1244 (-409 (-953 *3)))) (-4 *3 (-172)) (-14 *6 (-1244 (-679 *3))) (-5 *1 (-454 *3 *4 *5 *6)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-634 (-944 (-215))))) (-5 *1 (-473)))) ((*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-473)))) ((*1 *1 *2) (-12 (-5 *2 (-1228 *3 *4 *5)) (-4 *3 (-1047)) (-14 *4 (-1161)) (-14 *5 *3) (-5 *1 (-479 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-479 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) ((*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-494 *3)) (-4 *3 (-1090)) (-4 *3 (-842)))) ((*1 *2 *1) (-12 (-5 *2 (-1004 16)) (-5 *1 (-497)))) ((*1 *2 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-497)))) ((*1 *2 *3) (-12 (-5 *3 (-850)) (-5 *2 (-1143)) (-5 *1 (-500)))) ((*1 *1 *2) (-12 (-5 *2 (-1113 (-568) (-607 (-504)))) (-5 *1 (-504)))) ((*1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-511)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-950 *3 *4 *5)) (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-514 *3 *4 *5 *6)))) ((*1 *1 *2) (-12 (-4 *3 (-172)) (-5 *1 (-602 *3 *2)) (-4 *2 (-736 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-608 *2)) (-4 *2 (-1195)))) ((*1 *1 *2) (-12 (-4 *1 (-612 *2)) (-4 *2 (-1047)))) ((*1 *2 *1) (-12 (-5 *2 (-1262 *3 *4)) (-5 *1 (-618 *3 *4 *5)) (-4 *3 (-842)) (-4 *4 (-13 (-172) (-707 (-409 (-568))))) (-14 *5 (-917)))) ((*1 *2 *1) (-12 (-5 *2 (-1257 *3 *4)) (-5 *1 (-618 *3 *4 *5)) (-4 *3 (-842)) (-4 *4 (-13 (-172) (-707 (-409 (-568))))) (-14 *5 (-917)))) ((*1 *1 *2) (-12 (-4 *3 (-172)) (-5 *1 (-626 *3 *2)) (-4 *2 (-736 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-641 *3)) (-4 *3 (-365)) (-5 *2 (-1141 (-2 (|:| |k| (-568)) (|:| |c| *3)))))) ((*1 *1 *2) (-12 (-5 *2 (-1141 (-2 (|:| |k| (-568)) (|:| |c| *3)))) (-4 *3 (-365)) (-4 *1 (-641 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-667 *3)) (-5 *1 (-663 *3)) (-4 *3 (-842)))) ((*1 *2 *1) (-12 (-5 *2 (-814 *3)) (-5 *1 (-663 *3)) (-4 *3 (-842)))) ((*1 *2 *1) (-12 (-5 *2 (-958 (-958 (-958 *3)))) (-5 *1 (-666 *3)) (-4 *3 (-1090)))) ((*1 *1 *2) (-12 (-5 *2 (-958 (-958 (-958 *3)))) (-4 *3 (-1090)) (-5 *1 (-666 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-814 *3)) (-5 *1 (-667 *3)) (-4 *3 (-842)))) ((*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-671 *3)) (-4 *3 (-1090)))) ((*1 *1 *2) (-12 (-4 *3 (-1047)) (-4 *1 (-677 *3 *4 *2)) (-4 *4 (-375 *3)) (-4 *2 (-375 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-169 (-381))) (-5 *1 (-683)))) ((*1 *1 *2) (-12 (-5 *2 (-169 (-690))) (-5 *1 (-683)))) ((*1 *1 *2) (-12 (-5 *2 (-169 (-688))) (-5 *1 (-683)))) ((*1 *1 *2) (-12 (-5 *2 (-169 (-568))) (-5 *1 (-683)))) ((*1 *1 *2) (-12 (-5 *2 (-169 (-381))) (-5 *1 (-683)))) ((*1 *1 *2) (-12 (-5 *2 (-690)) (-5 *1 (-688)))) ((*1 *2 *1) (-12 (-5 *2 (-381)) (-5 *1 (-688)))) ((*1 *2 *3) (-12 (-5 *3 (-310 (-568))) (-5 *2 (-310 (-690))) (-5 *1 (-690)))) ((*1 *1 *2) (-12 (-5 *1 (-692 *2)) (-4 *2 (-1090)))) ((*1 *2 *3) (-12 (-5 *3 (-850)) (-5 *2 (-1143)) (-5 *1 (-700)))) ((*1 *2 *1) (-12 (-4 *2 (-172)) (-5 *1 (-701 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (-12 (-4 *3 (-1047)) (-5 *1 (-702 *3 *2)) (-4 *2 (-1219 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| -4357 *3) (|:| -3483 *4))) (-5 *1 (-703 *3 *4 *5)) (-4 *3 (-842)) (-4 *4 (-1090)) (-14 *5 (-1 (-121) *2 *2)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| -4357 *3) (|:| -3483 *4))) (-4 *3 (-842)) (-4 *4 (-1090)) (-5 *1 (-703 *3 *4 *5)) (-14 *5 (-1 (-121) *2 *2)))) ((*1 *2 *1) (-12 (-4 *2 (-172)) (-5 *1 (-705 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-2 (|:| -2350 *3) (|:| -2356 *4)))) (-4 *3 (-1047)) (-4 *4 (-716)) (-5 *1 (-725 *3 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-409 (-734 *3 *4))) (-14 *3 (-1161)) (-4 *4 (-13 (-1047) (-842) (-558))) (-5 *1 (-733 *3 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-953 *4)) (-4 *4 (-1047)) (-5 *1 (-734 *3 *4)) (-14 *3 (-1161)))) ((*1 *1 *2) (-12 (-5 *2 (-1240 *3)) (-14 *3 (-1161)) (-5 *1 (-734 *3 *4)) (-4 *4 (-1047)))) ((*1 *1 *2) (-12 (-5 *1 (-734 *3 *2)) (-14 *3 (-1161)) (-4 *2 (-1047)))) ((*1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-755)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| |mdnia| (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))))) (-5 *1 (-761)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-310 (-215))) (|:| -3581 (-634 (-1084 (-835 (-215))))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *1 (-761)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *1 (-761)))) ((*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-761)))) ((*1 *2 *3) (-12 (-5 *2 (-766)) (-5 *1 (-765 *3)) (-4 *3 (-1195)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *1 (-803)))) ((*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-803)))) ((*1 *2 *1) (-12 (-4 *2 (-895 *3)) (-5 *1 (-812 *3 *2 *4)) (-4 *3 (-1090)) (-14 *4 *3))) ((*1 *1 *2) (-12 (-4 *3 (-1090)) (-14 *4 *3) (-5 *1 (-812 *3 *2 *4)) (-4 *2 (-895 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-819)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) (|:| |lsa| (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))))) (-5 *1 (-833)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) (-5 *1 (-833)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) (-5 *1 (-833)))) ((*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-833)))) ((*1 *1 *2) (-12 (-5 *2 (-1240 *3)) (-14 *3 (-1161)) (-5 *1 (-847 *3 *4 *5 *6)) (-4 *4 (-1047)) (-14 *5 (-101 *4)) (-14 *6 (-1 *4 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-849)))) ((*1 *1 *2) (-12 (-5 *2 (-953 *3)) (-4 *3 (-1047)) (-5 *1 (-853 *3 *4 *5 *6)) (-14 *4 (-634 (-1161))) (-14 *5 (-634 (-763))) (-14 *6 (-763)))) ((*1 *2 *1) (-12 (-5 *2 (-953 *3)) (-5 *1 (-853 *3 *4 *5 *6)) (-4 *3 (-1047)) (-14 *4 (-634 (-1161))) (-14 *5 (-634 (-763))) (-14 *6 (-763)))) ((*1 *1 *2) (-12 (-5 *2 (-158)) (-5 *1 (-869)))) ((*1 *2 *3) (-12 (-5 *3 (-953 (-53))) (-5 *2 (-310 (-568))) (-5 *1 (-870)))) ((*1 *2 *3) (-12 (-5 *3 (-409 (-953 (-53)))) (-5 *2 (-310 (-568))) (-5 *1 (-870)))) ((*1 *1 *2) (-12 (-5 *1 (-888 *2)) (-4 *2 (-842)))) ((*1 *2 *1) (-12 (-5 *2 (-814 *3)) (-5 *1 (-888 *3)) (-4 *3 (-842)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |pde| (-634 (-310 (-215)))) (|:| |constraints| (-634 (-2 (|:| |start| (-215)) (|:| |finish| (-215)) (|:| |grid| (-763)) (|:| |boundaryType| (-568)) (|:| |dStart| (-679 (-215))) (|:| |dFinish| (-679 (-215)))))) (|:| |f| (-634 (-634 (-310 (-215))))) (|:| |st| (-1143)) (|:| |tol| (-215)))) (-5 *1 (-893)))) ((*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-893)))) ((*1 *2 *1) (-12 (-5 *2 (-1182 *3)) (-5 *1 (-896 *3)) (-4 *3 (-1090)))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-900 *3))) (-4 *3 (-1090)) (-5 *1 (-899 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-634 (-900 *3))) (-5 *1 (-899 *3)) (-4 *3 (-1090)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-5 *1 (-900 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-634 *3))) (-4 *3 (-1090)) (-5 *1 (-900 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-409 (-420 *3))) (-4 *3 (-301)) (-5 *1 (-910 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-409 *3)) (-5 *1 (-910 *3)) (-4 *3 (-301)))) ((*1 *2 *3) (-12 (-5 *3 (-489)) (-5 *2 (-310 *4)) (-5 *1 (-915 *4)) (-4 *4 (-13 (-842) (-558))))) ((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-365)) (-4 *1 (-971 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-971 *3)) (-4 *3 (-365)) (-5 *2 (-634 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-972)))) ((*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-1000 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-1004 *3)) (-14 *3 (-568)))) ((*1 *2 *3) (-12 (-5 *2 (-1249)) (-5 *1 (-1033 *3)) (-4 *3 (-1195)))) ((*1 *2 *3) (-12 (-5 *3 (-305)) (-5 *1 (-1033 *2)) (-4 *2 (-1195)))) ((*1 *1 *2) (-12 (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-1034 *3 *4 *5 *2 *6)) (-4 *2 (-950 *3 *4 *5)) (-14 *6 (-634 *2)))) ((*1 *1 *2) (-12 (-4 *1 (-1037 *2)) (-4 *2 (-1195)))) ((*1 *2 *3) (-12 (-5 *2 (-409 (-953 *3))) (-5 *1 (-1042 *3)) (-4 *3 (-558)))) ((*1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-1047)))) ((*1 *2 *1) (-12 (-5 *2 (-679 *5)) (-5 *1 (-1051 *3 *4 *5)) (-14 *3 (-763)) (-14 *4 (-763)) (-4 *5 (-1047)))) ((*1 *1 *2) (-12 (-4 *3 (-1047)) (-4 *4 (-842)) (-5 *1 (-1114 *3 *4 *2)) (-4 *2 (-950 *3 (-534 *4) *4)))) ((*1 *1 *2) (-12 (-4 *3 (-1047)) (-4 *2 (-842)) (-5 *1 (-1114 *3 *2 *4)) (-4 *4 (-950 *3 (-534 *2) *2)))) ((*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-850)))) ((*1 *2 *1) (-12 (-5 *2 (-679 *4)) (-5 *1 (-1127 *3 *4)) (-14 *3 (-763)) (-4 *4 (-1047)))) ((*1 *1 *2) (-12 (-5 *2 (-147)) (-4 *1 (-1129)))) ((*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-1132 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1195)) (-5 *1 (-1141 *3)))) ((*1 *2 *3) (-12 (-5 *2 (-1141 *3)) (-5 *1 (-1145 *3)) (-4 *3 (-1047)))) ((*1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1151 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1158 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1159 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1216 *4 *3)) (-4 *3 (-1047)) (-14 *4 (-1161)) (-14 *5 *3) (-5 *1 (-1159 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-1160)))) ((*1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-1161)))) ((*1 *2 *1) (-12 (-5 *2 (-1169 (-1161) (-439))) (-5 *1 (-1165)))) ((*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-1168 *3)) (-4 *3 (-1090)))) ((*1 *2 *3) (-12 (-5 *2 (-1176)) (-5 *1 (-1175 *3)) (-4 *3 (-1090)))) ((*1 *1 *2) (-12 (-5 *2 (-850)) (-5 *1 (-1176)))) ((*1 *1 *2) (-12 (-5 *2 (-953 *3)) (-4 *3 (-1047)) (-5 *1 (-1190 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-1190 *3)) (-4 *3 (-1047)))) ((*1 *1 *2) (-12 (-5 *2 (-958 *3)) (-4 *3 (-1195)) (-5 *1 (-1193 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1240 (QUOTE |x|))) (-5 *1 (-1201 *3)) (-4 *3 (-1047)))) ((*1 *1 *2) (-12 (-5 *2 (-1216 (QUOTE |x|) *3)) (-4 *3 (-1047)) (-5 *1 (-1201 *3)))) ((*1 *1 *2) (-12 (-4 *3 (-1047)) (-4 *1 (-1205 *3 *2)) (-4 *2 (-1234 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1207 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1084 *3)) (-4 *3 (-1195)) (-5 *1 (-1210 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1240 *3)) (-14 *3 (-1161)) (-5 *1 (-1216 *3 *4)) (-4 *4 (-1047)))) ((*1 *1 *2) (-12 (-4 *3 (-1047)) (-4 *1 (-1226 *3 *2)) (-4 *2 (-1203 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1228 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1235 *3 *4 *5)) (-4 *3 (-1047)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1216 *4 *3)) (-4 *3 (-1047)) (-14 *4 (-1161)) (-14 *5 *3) (-5 *1 (-1235 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1239 *3 *4)) (-4 *3 (-1047)))) ((*1 *1 *2) (-12 (-5 *2 (-1216 *4 *3)) (-4 *3 (-1047)) (-14 *4 (-1161)) (-5 *1 (-1239 *3 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-1161)) (-5 *1 (-1240 *3)) (-14 *3 *2))) ((*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-1245)))) ((*1 *2 *3) (-12 (-5 *3 (-473)) (-5 *2 (-1245)) (-5 *1 (-1248)))) ((*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-1249)))) ((*1 *1 *2) (-12 (-4 *3 (-1047)) (-4 *4 (-842)) (-4 *5 (-788)) (-14 *6 (-634 *4)) (-5 *1 (-1254 *3 *4 *5 *2 *6 *7 *8)) (-4 *2 (-950 *3 *5 *4)) (-14 *7 (-634 (-763))) (-14 *8 (-763)))) ((*1 *2 *1) (-12 (-4 *2 (-950 *3 *5 *4)) (-5 *1 (-1254 *3 *4 *5 *2 *6 *7 *8)) (-4 *3 (-1047)) (-4 *4 (-842)) (-4 *5 (-788)) (-14 *6 (-634 *4)) (-14 *7 (-634 (-763))) (-14 *8 (-763)))) ((*1 *1 *2) (-12 (-4 *1 (-1256 *2)) (-4 *2 (-1047)))) ((*1 *1 *2) (-12 (-4 *1 (-1259 *2 *3)) (-4 *2 (-842)) (-4 *3 (-1047)))) ((*1 *2 *1) (-12 (-5 *2 (-1266 *3 *4)) (-5 *1 (-1262 *3 *4)) (-4 *3 (-842)) (-4 *4 (-172)))) ((*1 *2 *1) (-12 (-5 *2 (-1257 *3 *4)) (-5 *1 (-1262 *3 *4)) (-4 *3 (-842)) (-4 *4 (-172)))) ((*1 *1 *2) (-12 (-5 *2 (-656 *3 *4)) (-4 *3 (-842)) (-4 *4 (-172)) (-5 *1 (-1262 *3 *4)))) ((*1 *1 *2) (-12 (-5 *1 (-1265 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-838))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1244 (-2 (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215)) (|:| -4158 (-568)) (|:| -2887 (-568)) (|:| |spline| (-568)) (|:| -3705 (-568)) (|:| |axesColor| (-869)) (|:| -2833 (-568)) (|:| |unitsColor| (-869)) (|:| |showing| (-568))))) (-5 *1 (-1245))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-828 (-215))) (-5 *1 (-217))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |cd| (-1143)) (|:| -3393 (-1143)))) (-5 *1 (-817))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-215)) (-5 *2 (-409 (-568))) (-5 *1 (-299))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-763)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *8 (-842)) (-4 *3 (-1061 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-634 *4)) (|:| |todo| (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))))) (-5 *1 (-1064 *6 *7 *8 *3 *4)) (-4 *4 (-1066 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-634 *4)) (|:| |todo| (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))))) (-5 *1 (-1064 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-763)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *8 (-842)) (-4 *3 (-1061 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-634 *4)) (|:| |todo| (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))))) (-5 *1 (-1130 *6 *7 *8 *3 *4)) (-4 *4 (-1099 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-634 *4)) (|:| |todo| (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))))) (-5 *1 (-1130 *5 *6 *7 *3 *4)) (-4 *4 (-1099 *5 *6 *7 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1249)) (-5 *1 (-1164)))) ((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-1165))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1244 (-310 (-215)))) (-5 *4 (-634 (-1161))) (-5 *2 (-679 (-310 (-215)))) (-5 *1 (-197)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1090)) (-4 *6 (-895 *5)) (-5 *2 (-679 *6)) (-5 *1 (-681 *5 *6 *3 *4)) (-4 *3 (-375 *6)) (-4 *4 (-13 (-375 *5) (-10 -7 (-6 -4521))))))) 
-(((*1 *1 *1) (-4 *1 (-1129)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *6 (-917)) (-4 *5 (-301)) (-4 *3 (-1219 *5)) (-5 *2 (-2 (|:| |plist| (-634 *3)) (|:| |modulo| *5))) (-5 *1 (-462 *5 *3)) (-5 *4 (-634 *3))))) 
-(((*1 *1 *1) (-12 (-4 *2 (-350)) (-4 *2 (-1047)) (-5 *1 (-702 *2 *3)) (-4 *3 (-1219 *2))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-112)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-541))) (-5 *1 (-541))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 *5)) (-5 *1 (-141 *3 *4 *5)) (-14 *3 (-568)) (-14 *4 (-763)) (-4 *5 (-172))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-14 *5 (-634 (-1161))) (-4 *3 (-950 *2 *6 (-852 *5))) (-4 *6 (-230 (-1699 *5) (-763))) (-4 *7 (-971 *2)) (-4 *8 (-641 *2)) (-4 *4 (-920 *2 *8)) (-4 *9 (-235 *4)) (-4 *10 (-536 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-365)) (-5 *1 (-467 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-258 *10)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-14 *5 (-634 (-1161))) (-4 *3 (-950 *2 *6 (-852 *5))) (-4 *6 (-230 (-1699 *5) (-763))) (-4 *7 (-971 *2)) (-4 *8 (-641 *2)) (-4 *4 (-920 *2 *8)) (-4 *9 (-235 *4)) (-4 *10 (-536 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-365)) (-5 *1 (-467 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-258 *10)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-409 *6)) (-4 *6 (-950 *2 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-14 *5 (-634 (-1161))) (-4 *8 (-971 *2)) (-4 *9 (-641 *2)) (-4 *4 (-920 *2 *9)) (-4 *10 (-235 *4)) (-4 *11 (-536 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-117)) (-4 *2 (-365)) (-5 *1 (-467 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-242 *5 *2)) (-5 *4 (-922 *2)) (-14 *5 (-634 (-1161))) (-4 *2 (-350)) (-5 *1 (-867 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-242 *5 *2)) (-5 *4 (-922 *2)) (-14 *5 (-634 (-1161))) (-4 *2 (-350)) (-5 *1 (-867 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-409 (-242 *5 *2))) (-5 *4 (-922 *2)) (-14 *5 (-634 (-1161))) (-4 *2 (-350)) (-5 *1 (-867 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-242 *5 *2)) (-5 *4 (-921 *2)) (-14 *5 (-634 (-1161))) (-4 *2 (-365)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-242 *5 *2)) (-5 *4 (-921 *2)) (-14 *5 (-634 (-1161))) (-4 *2 (-365)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-409 (-242 *5 *2))) (-5 *4 (-921 *2)) (-14 *5 (-634 (-1161))) (-4 *2 (-365)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-558) (-842) (-1037 (-568)))) (-5 *2 (-169 (-310 *4))) (-5 *1 (-180 *4 *3)) (-4 *3 (-13 (-27) (-1181) (-432 (-169 *4)))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-169 *3)) (-5 *1 (-1185 *4 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *4)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-842)) (-5 *2 (-634 (-634 *4))) (-5 *1 (-1167 *4)) (-5 *3 (-634 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-900 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *1 *3 *3 *3 *2) (-12 (-5 *3 (-763)) (-5 *1 (-666 *2)) (-4 *2 (-1090))))) 
-(((*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-472)))) ((*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-472)))) ((*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-927))))) 
-(((*1 *2 *2 *1) (-12 (-5 *2 (-634 *6)) (-4 *1 (-977 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-1259 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047)) (-4 *4 (-172)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1259 *2 *3)) (-4 *2 (-842)) (-4 *3 (-1047)) (-4 *3 (-172))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| (-1160)))) (-5 *1 (-1160))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-568)) (-5 *1 (-420 *2)) (-4 *2 (-558))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-453)))) ((*1 *1 *1 *1) (-4 *1 (-453))) ((*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-5 *1 (-496 *2)) (-4 *2 (-1219 (-568))))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-568)) (-5 *1 (-685 *2)) (-4 *2 (-1219 *3)))) ((*1 *1 *1 *1) (-5 *1 (-763))) ((*1 *2 *2 *2) (-12 (-4 *3 (-788)) (-4 *4 (-842)) (-4 *5 (-301)) (-5 *1 (-912 *3 *4 *5 *2)) (-4 *2 (-950 *5 *3 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-950 *6 *4 *5)) (-5 *1 (-912 *4 *5 *6 *2)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-301)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1157 *6)) (-4 *6 (-950 *5 *3 *4)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *5 (-301)) (-5 *1 (-912 *3 *4 *5 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-1157 *7))) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-301)) (-5 *2 (-1157 *7)) (-5 *1 (-912 *4 *5 *6 *7)) (-4 *7 (-950 *6 *4 *5)))) ((*1 *1 *1 *1) (-5 *1 (-917))) ((*1 *2 *2 *2) (-12 (-4 *3 (-453)) (-4 *3 (-558)) (-5 *1 (-970 *3 *2)) (-4 *2 (-1219 *3)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-453))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1093 *3 *4 *5 *6 *7)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-350)) (-5 *2 (-763)))) ((*1 *2 *1 *1) (|partial| -12 (-4 *1 (-404)) (-5 *2 (-763))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(((*1 *1) (-12 (-4 *1 (-166 *2)) (-4 *2 (-172))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-899 (-568))) (-5 *1 (-913)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-899 (-568))) (-5 *1 (-913))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-381)) (-5 *1 (-99)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-381)) (-5 *1 (-99))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558) (-609 (-541)))) (-5 *1 (-1024 *3 *2)) (-4 *2 (-13 (-432 *3) (-23) (-1037 (-568)) (-1037 (-1161)) (-895 (-1161)) (-161)))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *3 (-365)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *1 (-529 *3 *4 *5 *2)) (-4 *2 (-677 *3 *4 *5)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-558)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4)) (-4 *7 (-993 *4)) (-4 *2 (-677 *7 *8 *9)) (-5 *1 (-530 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-677 *4 *5 *6)) (-4 *8 (-375 *7)) (-4 *9 (-375 *7)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)) (-4 *2 (-365)))) ((*1 *2 *2) (|partial| -12 (-4 *3 (-365)) (-4 *3 (-172)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *1 (-678 *3 *4 *5 *2)) (-4 *2 (-677 *3 *4 *5)))) ((*1 *1 *1) (|partial| -12 (-5 *1 (-679 *2)) (-4 *2 (-365)) (-4 *2 (-1047)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-1111 *2 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-230 *2 *3)) (-4 *5 (-230 *2 *3)) (-4 *3 (-365)))) ((*1 *2 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-842)) (-5 *1 (-1167 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-310 (-215))) (-5 *2 (-409 (-568))) (-5 *1 (-299))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-568)) (-4 *4 (-172)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4)) (-5 *1 (-678 *4 *5 *6 *2)) (-4 *2 (-677 *4 *5 *6))))) 
-(((*1 *2 *3 *1) (|partial| -12 (-5 *3 (-1 (-121) *2)) (-4 *1 (-154 *2)) (-4 *2 (-1195))))) 
-(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-239 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-568)) (-5 *1 (-446 *3)) (-4 *3 (-406)) (-4 *3 (-1047))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-634 *5)) (-4 *5 (-13 (-558) (-453))) (-5 *4 (-763)) (-5 *2 (-409 (-1157 *5))) (-5 *1 (-346 *5 *6)) (-4 *6 (-52 *5 *4)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-634 (-409 *5))) (-4 *5 (-13 (-558) (-453))) (-5 *4 (-763)) (-5 *2 (-409 (-1157 *5))) (-5 *1 (-346 *5 *6)) (-4 *6 (-52 *5 *4)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1216 *4 *5)) (-5 *3 (-634 *5)) (-14 *4 (-1161)) (-4 *5 (-365)) (-5 *1 (-919 *4 *5)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-634 *5)) (-4 *5 (-365)) (-5 *2 (-1157 *5)) (-5 *1 (-919 *4 *5)) (-14 *4 (-1161)))) ((*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-634 *6)) (-5 *4 (-763)) (-4 *6 (-365)) (-5 *2 (-409 (-953 *6))) (-5 *1 (-1048 *5 *6)) (-14 *5 (-1161))))) 
-(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1061 *3 *4 *2)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1047)) (-14 *4 (-634 (-1161))))) ((*1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-213 *3 *4)) (-4 *3 (-13 (-1047) (-842))) (-14 *4 (-634 (-1161))))) ((*1 *1) (-12 (-4 *1 (-327 *2)) (-4 *2 (-370)) (-4 *2 (-365)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-333 *3 *4 *5 *2)) (-4 *3 (-365)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-4 *2 (-340 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-392 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-172)))) ((*1 *1) (-12 (-4 *2 (-172)) (-4 *1 (-714 *2 *3)) (-4 *3 (-1219 *2))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-3 (|:| |%expansion| (-307 *5 *3 *6 *7)) (|:| |%problem| (-2 (|:| |func| (-1143)) (|:| |prob| (-1143)))))) (-5 *1 (-422 *5 *3 *6 *7)) (-4 *3 (-13 (-27) (-1181) (-432 *5))) (-14 *6 (-1161)) (-14 *7 *3)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *1 (-616 *3 *4 *5 *6 *7 *2)) (-4 *7 (-1066 *3 *4 *5 *6)) (-4 *2 (-1099 *3 *4 *5 *6))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-138)) (-5 *3 (-763)) (-5 *2 (-1249))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-239 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-301)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4)) (-5 *2 (-2 (|:| |Hermite| *3) (|:| |eqMat| *3))) (-5 *1 (-1112 *4 *5 *6 *3)) (-4 *3 (-677 *4 *5 *6))))) 
-(((*1 *2) (-12 (-5 *2 (-869)) (-5 *1 (-1247)))) ((*1 *2 *2) (-12 (-5 *2 (-869)) (-5 *1 (-1247))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-235 *3)) (-4 *3 (-1090)) (-5 *2 (-634 *3))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-1219 *3)) (-4 *3 (-1047))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-150)) (-4 *3 (-301)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-978 *3 *4 *5 *6))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(((*1 *2 *3 *4 *4 *4 *5 *6 *7) (|partial| -12 (-5 *5 (-1161)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-634 *4))) (-5 *7 (-1 (-3 (-2 (|:| -4151 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1181) (-27) (-432 *8))) (-4 *8 (-13 (-453) (-842) (-150) (-1037 *3) (-630 *3))) (-5 *3 (-568)) (-5 *2 (-634 *4)) (-5 *1 (-1014 *8 *4))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1141 *4)) (-5 *3 (-1 *4 (-568))) (-4 *4 (-1047)) (-5 *1 (-1145 *4))))) 
-(((*1 *1) (-5 *1 (-142)))) 
-(((*1 *2 *2 *3 *3) (|partial| -12 (-5 *3 (-1161)) (-4 *4 (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-579 *4 *2)) (-4 *2 (-13 (-1181) (-959) (-1124) (-29 *4)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-863 *3)) (-5 *2 (-568))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-850))))) 
-(((*1 *1 *1 *1) (|partial| -4 *1 (-137)))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-1047))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| (-1160)))) (-5 *1 (-1160))))) 
-(((*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1161)) (-4 *5 (-13 (-453) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-2 (|:| -4151 *3) (|:| |coeff| *3))) (-5 *1 (-559 *5 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *5)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-328))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-944 *2)) (-5 *1 (-983 *2)) (-4 *2 (-1047))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-492 *4 *5))) (-14 *4 (-634 (-1161))) (-4 *5 (-453)) (-5 *2 (-2 (|:| |gblist| (-634 (-242 *4 *5))) (|:| |gvlist| (-634 (-568))))) (-5 *1 (-622 *4 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 (-310 (-215)))) (-5 *1 (-263))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-365)) (-5 *1 (-280 *3 *2)) (-4 *2 (-1234 *3))))) 
-(((*1 *2 *3 *3) (-12 (-4 *3 (-1199)) (-4 *5 (-1219 *3)) (-4 *6 (-1219 (-409 *5))) (-5 *2 (-121)) (-5 *1 (-339 *4 *3 *5 *6)) (-4 *4 (-340 *3 *5 *6)))) ((*1 *2 *3 *3) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-121))))) 
-(((*1 *2 *3 *1) (|partial| -12 (-4 *1 (-605 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-1090))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-568)) (-5 *1 (-464)))) ((*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-465))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-409 *5)) (-4 *5 (-1219 *4)) (-4 *4 (-558)) (-4 *4 (-1047)) (-4 *2 (-1234 *4)) (-5 *1 (-1237 *4 *5 *6 *2)) (-4 *6 (-646 *5))))) 
-(((*1 *2 *1) (-12 (-4 *4 (-1090)) (-5 *2 (-884 *3 *5)) (-5 *1 (-880 *3 *4 *5)) (-4 *3 (-1090)) (-4 *5 (-658 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |stiffness| (-381)) (|:| |stability| (-381)) (|:| |expense| (-381)) (|:| |accuracy| (-381)) (|:| |intermediateResults| (-381)))) (-5 *2 (-1035)) (-5 *1 (-299))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1219 *3)) (-4 *3 (-1047)) (-5 *2 (-1157 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1092 *3)) (-5 *1 (-900 *3)) (-4 *3 (-370)) (-4 *3 (-1090))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-536 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-235 *10)) (-5 *1 (-260 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-258 *11)))) ((*1 *2) (-12 (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-536 *3 *4 *5 *6 *7 *8 *9 *2 *12)) (-4 *12 (-117)) (-4 *2 (-235 *9)) (-5 *1 (-467 *3 *4 *5 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-258 *10)))) ((*1 *2) (-12 (-5 *2 (-236 (-922 *3))) (-5 *1 (-867 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-236 (-921 *3))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 *6)) (-5 *4 (-1161)) (-4 *6 (-432 *5)) (-4 *5 (-842)) (-5 *2 (-634 (-607 *6))) (-5 *1 (-577 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-634 (-944 (-215))))) (-5 *2 (-634 (-215))) (-5 *1 (-473))))) 
-(((*1 *2) (-12 (-4 *3 (-365)) (-4 *4 (-641 *3)) (-5 *2 (-634 *1)) (-4 *1 (-920 *3 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-432 *4)) (-5 *1 (-159 *4 *2)) (-4 *4 (-13 (-842) (-558)))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-763)) (-4 *5 (-558)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-970 *5 *3)) (-4 *3 (-1219 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-13 (-453) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-585 *3)) (-5 *1 (-559 *5 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *5)))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-917)) (-4 *1 (-920 *4 *5)) (-4 *4 (-365)) (-4 *5 (-641 *4)) (-5 *2 (-1249))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-365)) (-5 *1 (-280 *3 *2)) (-4 *2 (-1234 *3))))) 
-(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-679 (-568))) (-5 *3 (-634 (-568))) (-5 *1 (-1100))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-436)) (-5 *2 (-634 (-3 (|:| -3393 (-1161)) (|:| |bounds| (-634 (-3 (|:| S (-1161)) (|:| P (-953 (-568))))))))) (-5 *1 (-1165))))) 
-(((*1 *1 *1) (-5 *1 (-215))) ((*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) ((*1 *1 *1) (-5 *1 (-381))) ((*1 *1) (-5 *1 (-381)))) 
-(((*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-634 (-1244 *4))) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) ((*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-4 *3 (-558)) (-5 *2 (-634 (-1244 *3)))))) 
-(((*1 *2) (-12 (-4 *3 (-558)) (-5 *2 (-634 (-679 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-419 *3))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1244 *5)) (-4 *5 (-787)) (-5 *2 (-121)) (-5 *1 (-837 *4 *5)) (-14 *4 (-763))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-420 *3)) (-5 *1 (-344 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-634 *7)) (-5 *3 (-568)) (-4 *7 (-950 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-450 *4 *5 *6 *7))))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-365)) (-4 *3 (-1047)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -2707 *1))) (-4 *1 (-844 *3))))) 
-(((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1161)) (-5 *1 (-666 *3)) (-4 *3 (-1090))))) 
-(((*1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-365))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1047)) (-4 *3 (-1219 *4)) (-4 *2 (-1234 *4)) (-5 *1 (-1237 *4 *3 *5 *2)) (-4 *5 (-646 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-256))) (-5 *4 (-1161)) (-5 *2 (-121)) (-5 *1 (-256)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-465))) (-5 *4 (-1161)) (-5 *2 (-121)) (-5 *1 (-465))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-679 *7)) (-5 *3 (-634 *7)) (-4 *7 (-950 *4 *6 *5)) (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *1 (-924 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 (-634 *7) *7 (-1157 *7))) (-5 *5 (-1 (-420 *7) *7)) (-4 *7 (-1219 *6)) (-4 *6 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-5 *2 (-634 (-2 (|:| |frac| (-409 *7)) (|:| -2410 *3)))) (-5 *1 (-804 *6 *7 *3 *8)) (-4 *3 (-646 *7)) (-4 *8 (-646 (-409 *7))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-420 *6) *6)) (-4 *6 (-1219 *5)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-5 *2 (-634 (-2 (|:| |frac| (-409 *6)) (|:| -2410 (-644 *6 (-409 *6)))))) (-5 *1 (-807 *5 *6)) (-5 *3 (-644 *6 (-409 *6)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-250))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *2 (-634 *4)) (-5 *1 (-1116 *3 *4)) (-4 *3 (-1219 *4)))) ((*1 *2 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *2 (-634 *3)) (-5 *1 (-1116 *4 *3)) (-4 *4 (-1219 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568)))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1161)) (-5 *2 (-1165)) (-5 *1 (-1164))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-420 *2)) (-4 *2 (-301)) (-5 *1 (-910 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 *5))) (-5 *4 (-1161)) (-4 *5 (-13 (-301) (-150))) (-5 *2 (-57)) (-5 *1 (-911 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-420 (-953 *6))) (-5 *5 (-1161)) (-5 *3 (-953 *6)) (-4 *6 (-13 (-301) (-150))) (-5 *2 (-57)) (-5 *1 (-911 *6))))) 
-(((*1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-1247)))) ((*1 *2 *2) (-12 (-5 *2 (-917)) (-5 *1 (-1247))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-900 (-568))) (-5 *4 (-568)) (-5 *2 (-679 *4)) (-5 *1 (-1028 *5)) (-4 *5 (-1047)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-679 (-568))) (-5 *1 (-1028 *4)) (-4 *4 (-1047)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-900 (-568)))) (-5 *4 (-568)) (-5 *2 (-634 (-679 *4))) (-5 *1 (-1028 *5)) (-4 *5 (-1047)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-634 (-568)))) (-5 *2 (-634 (-679 (-568)))) (-5 *1 (-1028 *4)) (-4 *4 (-1047))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-381)) (-5 *1 (-1246)))) ((*1 *2) (-12 (-5 *2 (-381)) (-5 *1 (-1246))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1141 (-215))) (-5 *2 (-634 (-1143))) (-5 *1 (-184)))) ((*1 *2 *3) (-12 (-5 *3 (-1141 (-215))) (-5 *2 (-634 (-1143))) (-5 *1 (-294)))) ((*1 *2 *3) (-12 (-5 *3 (-1141 (-215))) (-5 *2 (-634 (-1143))) (-5 *1 (-299))))) 
-(((*1 *1 *2) (-12 (-5 *1 (-1026 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-558) (-842) (-1037 (-568)))) (-5 *1 (-180 *3 *2)) (-4 *2 (-13 (-27) (-1181) (-432 (-169 *3)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-1185 *3 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *3)))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850)))) ((*1 *1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-1061 *3 *4 *5))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-1084 *3)) (-4 *3 (-950 *7 *6 *4)) (-4 *6 (-788)) (-4 *4 (-842)) (-4 *7 (-558)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-568)))) (-5 *1 (-592 *6 *4 *7 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-788)) (-4 *4 (-842)) (-4 *6 (-558)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-568)))) (-5 *1 (-592 *5 *4 *6 *3)) (-4 *3 (-950 *6 *5 *4)))) ((*1 *1 *1 *1 *1) (-5 *1 (-850))) ((*1 *1 *1 *1) (-5 *1 (-850))) ((*1 *1 *1) (-5 *1 (-850))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-1152 *4 *2)) (-4 *2 (-13 (-432 *4) (-161) (-27) (-1181))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1082 *2)) (-4 *2 (-13 (-432 *4) (-161) (-27) (-1181))) (-4 *4 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-1152 *4 *2)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-13 (-558) (-842) (-1037 (-568)))) (-5 *2 (-409 (-953 *5))) (-5 *1 (-1153 *5)) (-5 *3 (-953 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-13 (-558) (-842) (-1037 (-568)))) (-5 *2 (-3 (-409 (-953 *5)) (-310 *5))) (-5 *1 (-1153 *5)) (-5 *3 (-409 (-953 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1082 (-953 *5))) (-5 *3 (-953 *5)) (-4 *5 (-13 (-558) (-842) (-1037 (-568)))) (-5 *2 (-409 *3)) (-5 *1 (-1153 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1082 (-409 (-953 *5)))) (-5 *3 (-409 (-953 *5))) (-4 *5 (-13 (-558) (-842) (-1037 (-568)))) (-5 *2 (-3 *3 (-310 *5))) (-5 *1 (-1153 *5))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-310 *4)) (-4 *4 (-13 (-823) (-842) (-1047))) (-5 *2 (-1143)) (-5 *1 (-821 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-310 *5)) (-5 *4 (-121)) (-4 *5 (-13 (-823) (-842) (-1047))) (-5 *2 (-1143)) (-5 *1 (-821 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-817)) (-5 *4 (-310 *5)) (-4 *5 (-13 (-823) (-842) (-1047))) (-5 *2 (-1249)) (-5 *1 (-821 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-817)) (-5 *4 (-310 *6)) (-5 *5 (-121)) (-4 *6 (-13 (-823) (-842) (-1047))) (-5 *2 (-1249)) (-5 *1 (-821 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-823)) (-5 *2 (-1143)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-823)) (-5 *3 (-121)) (-5 *2 (-1143)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-823)) (-5 *3 (-817)) (-5 *2 (-1249)))) ((*1 *2 *3 *1 *4) (-12 (-4 *1 (-823)) (-5 *3 (-817)) (-5 *4 (-121)) (-5 *2 (-1249))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-554))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-634 *3))) (-4 *3 (-1090)) (-5 *1 (-1168 *3))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-763))) (-5 *3 (-171)) (-5 *1 (-1149 *4 *5)) (-14 *4 (-917)) (-4 *5 (-1047))))) 
-(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3 *3 *3 *3)) (-4 *3 (-1090)) (-5 *1 (-106 *3)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *1 (-106 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-763)) (-5 *1 (-848 *2)) (-4 *2 (-172)))) ((*1 *2 *3) (-12 (-5 *2 (-1157 (-568))) (-5 *1 (-943)) (-5 *3 (-568))))) 
-(((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-3 (-409 (-953 *6)) (-1150 (-1161) (-953 *6)))) (-5 *5 (-763)) (-4 *6 (-453)) (-5 *2 (-634 (-679 (-409 (-953 *6))))) (-5 *1 (-286 *6)) (-5 *4 (-679 (-409 (-953 *6)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-2 (|:| |eigval| (-3 (-409 (-953 *5)) (-1150 (-1161) (-953 *5)))) (|:| |eigmult| (-763)) (|:| |eigvec| (-634 *4)))) (-4 *5 (-453)) (-5 *2 (-634 (-679 (-409 (-953 *5))))) (-5 *1 (-286 *5)) (-5 *4 (-679 (-409 (-953 *5))))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-288 (-828 *3))) (-4 *5 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-828 *3)) (-5 *1 (-627 *5 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-288 (-828 (-953 *5)))) (-4 *5 (-453)) (-5 *2 (-828 (-409 (-953 *5)))) (-5 *1 (-628 *5)) (-5 *3 (-409 (-953 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-288 (-409 (-953 *5)))) (-5 *3 (-409 (-953 *5))) (-4 *5 (-453)) (-5 *2 (-828 *3)) (-5 *1 (-628 *5))))) 
-(((*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-926))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-473)) (-5 *4 (-917)) (-5 *2 (-1249)) (-5 *1 (-1245))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1090)))) ((*1 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) ((*1 *2 *1) (-12 (-4 *1 (-1109 *2)) (-4 *2 (-1195)))) ((*1 *2 *1) (-12 (-5 *1 (-1132 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1161)) (-4 *4 (-1047)) (-4 *4 (-842)) (-5 *2 (-2 (|:| |var| (-607 *1)) (|:| -3483 (-568)))) (-4 *1 (-432 *4)))) ((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-123)) (-4 *4 (-1047)) (-4 *4 (-842)) (-5 *2 (-2 (|:| |var| (-607 *1)) (|:| -3483 (-568)))) (-4 *1 (-432 *4)))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-1102)) (-4 *3 (-842)) (-5 *2 (-2 (|:| |var| (-607 *1)) (|:| -3483 (-568)))) (-4 *1 (-432 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-887 *3)) (|:| -3483 (-763)))) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-950 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-2 (|:| |var| *5) (|:| -3483 (-763)))))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1047)) (-4 *7 (-950 *6 *4 *5)) (-5 *2 (-2 (|:| |var| *5) (|:| -3483 (-568)))) (-5 *1 (-951 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-365) (-10 -8 (-15 -2747 ($ *7)) (-15 -2319 (*7 $)) (-15 -2326 (*7 $)))))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-665 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1249)) (-5 *1 (-381)))) ((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-381))))) 
-(((*1 *1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-37 *3)) (-4 *3 (-365)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-634 *1)) (-5 *3 (-763)) (-4 *1 (-37 *4)) (-4 *4 (-365)))) ((*1 *2 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-971 *3)) (-4 *3 (-365)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-634 *1)) (-5 *3 (-763)) (-4 *1 (-971 *4)) (-4 *4 (-365))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1141 (-2 (|:| |k| (-568)) (|:| |c| *3)))) (-5 *1 (-593 *3)) (-4 *3 (-1047))))) 
-(((*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-453)) (-4 *3 (-788)) (-4 *5 (-842)) (-5 *2 (-121)) (-5 *1 (-450 *4 *3 *5 *6)) (-4 *6 (-950 *4 *3 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-558)) (-4 *4 (-993 *3)) (-5 *1 (-143 *3 *4 *2)) (-4 *2 (-375 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *5 (-993 *4)) (-4 *2 (-375 *4)) (-5 *1 (-512 *4 *5 *2 *3)) (-4 *3 (-375 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-679 *5)) (-4 *5 (-993 *4)) (-4 *4 (-558)) (-5 *2 (-679 *4)) (-5 *1 (-682 *4 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-558)) (-4 *4 (-993 *3)) (-5 *1 (-1212 *3 *4 *2)) (-4 *2 (-1219 *4))))) 
-(((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-867 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-977 *4 *5 *6 *3)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-4 *4 (-558)) (-5 *2 (-2 (|:| |rnum| *4) (|:| |polnum| *3) (|:| |den| *4)))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *4 (-568))) (-5 *5 (-1 (-1141 *4))) (-4 *4 (-365)) (-4 *4 (-1047)) (-5 *2 (-1141 *4)) (-5 *1 (-1145 *4))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *2)) (-4 *2 (-138)) (-5 *1 (-1076 *2)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-568) *2 *2)) (-4 *2 (-138)) (-5 *1 (-1076 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-2 (|:| -3850 *4) (|:| -1836 (-568))))) (-4 *4 (-1219 (-568))) (-5 *2 (-727 (-763))) (-5 *1 (-443 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-420 *5)) (-4 *5 (-1219 *4)) (-4 *4 (-1047)) (-5 *2 (-727 (-763))) (-5 *1 (-445 *4 *5))))) 
-(((*1 *2) (-12 (-4 *4 (-1199)) (-4 *5 (-1219 *4)) (-4 *6 (-1219 (-409 *5))) (-5 *2 (-634 (-634 *4))) (-5 *1 (-339 *3 *4 *5 *6)) (-4 *3 (-340 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-4 *3 (-370)) (-5 *2 (-634 (-634 *3))))) ((*1 *2) (-12 (-4 *3 (-370)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-634 *7)) (-5 *1 (-467 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) ((*1 *2) (-12 (-5 *2 (-634 (-967 *3))) (-5 *1 (-867 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-634 (-966 *3))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-917)) (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *7 (-230 (-1699 *6) (-763))) (-5 *2 (-634 *8)) (-5 *1 (-963 *5 *6 *3 *7 *8)) (-4 *3 (-950 *5 *7 (-852 *6))) (-4 *8 (-971 *5))))) 
-(((*1 *1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *2 *3) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-1249)) (-5 *1 (-450 *4 *5 *6 *3)) (-4 *3 (-950 *4 *5 *6))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-365)) (-5 *1 (-758 *2 *3)) (-4 *2 (-698 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-844 *2)) (-4 *2 (-1047)) (-4 *2 (-365))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5 (-634 *5))) (-4 *5 (-1234 *4)) (-4 *4 (-43 (-409 (-568)))) (-5 *2 (-1 (-1141 *4) (-634 (-1141 *4)))) (-5 *1 (-1236 *4 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850)))) ((*1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-166 *2)) (-4 *2 (-172)) (-4 *2 (-558)))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-324 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-787)) (-4 *2 (-558)))) ((*1 *1 *1 *1) (|partial| -4 *1 (-558))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)) (-4 *2 (-558)))) ((*1 *1 *1 *1) (|partial| -5 *1 (-763))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-844 *2)) (-4 *2 (-1047)) (-4 *2 (-558)))) ((*1 *1 *1 *1) (-5 *1 (-850))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1244 *4)) (-4 *4 (-1219 *3)) (-4 *3 (-558)) (-5 *1 (-970 *3 *4)))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1050 *3 *4 *2 *5 *6)) (-4 *2 (-1047)) (-4 *5 (-230 *4 *2)) (-4 *6 (-230 *3 *2)) (-4 *2 (-558)))) ((*1 *2 *2 *2) (|partial| -12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-926))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-634 *3)) (-4 *3 (-1195))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1047)) (-4 *2 (-13 (-406) (-1037 *4) (-365) (-1181) (-279))) (-5 *1 (-444 *4 *3 *2)) (-4 *3 (-1219 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-917)) (-4 *5 (-842)) (-5 *2 (-64 (-634 (-663 *5)))) (-5 *1 (-663 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-792 *2)) (-4 *2 (-172))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-375 *2)) (-4 *5 (-375 *2)) (-4 *2 (-365)) (-5 *1 (-529 *2 *4 *5 *3)) (-4 *3 (-677 *2 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)) (|has| *2 (-6 (-4523 "*"))) (-4 *2 (-1047)))) ((*1 *2 *3) (-12 (-4 *4 (-375 *2)) (-4 *5 (-375 *2)) (-4 *2 (-172)) (-5 *1 (-678 *2 *4 *5 *3)) (-4 *3 (-677 *2 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-1111 *3 *2 *4 *5)) (-4 *4 (-230 *3 *2)) (-4 *5 (-230 *3 *2)) (|has| *2 (-6 (-4523 "*"))) (-4 *2 (-1047))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-301)) (-5 *2 (-121))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1244 *4)) (-4 *4 (-419 *3)) (-4 *3 (-301)) (-4 *3 (-558)) (-5 *1 (-48 *3 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-917)) (-4 *4 (-365)) (-5 *2 (-1244 *1)) (-4 *1 (-327 *4)))) ((*1 *2) (-12 (-4 *3 (-365)) (-5 *2 (-1244 *1)) (-4 *1 (-327 *3)))) ((*1 *2) (-12 (-4 *3 (-172)) (-4 *4 (-1219 *3)) (-5 *2 (-1244 *1)) (-4 *1 (-411 *3 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-301)) (-4 *4 (-993 *3)) (-4 *5 (-1219 *4)) (-5 *2 (-1244 *6)) (-5 *1 (-415 *3 *4 *5 *6)) (-4 *6 (-13 (-411 *4 *5) (-1037 *4))))) ((*1 *2 *1) (-12 (-4 *3 (-301)) (-4 *4 (-993 *3)) (-4 *5 (-1219 *4)) (-5 *2 (-1244 *6)) (-5 *1 (-416 *3 *4 *5 *6 *7)) (-4 *6 (-411 *4 *5)) (-14 *7 *2))) ((*1 *2) (-12 (-4 *3 (-172)) (-5 *2 (-1244 *1)) (-4 *1 (-419 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1244 (-1244 *4))) (-5 *1 (-532 *4)) (-4 *4 (-350))))) 
-(((*1 *2) (|partial| -12 (-4 *3 (-558)) (-4 *3 (-172)) (-5 *2 (-2 (|:| |particular| *1) (|:| -2588 (-634 *1)))) (-4 *1 (-369 *3)))) ((*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-454 *3 *4 *5 *6)) (|:| -2588 (-634 (-454 *3 *4 *5 *6))))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3)))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-910 *3)) (-4 *3 (-301))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *7)) (-5 *4 (-1157 *7)) (-4 *5 (-1047)) (-4 *7 (-1047)) (-4 *2 (-1219 *5)) (-5 *1 (-510 *5 *2 *6 *7)) (-4 *6 (-1219 *2))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-665 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-679 (-568))) (-5 *1 (-1100))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-123)) (-5 *4 (-1161)) (-4 *6 (-1047)) (-4 *6 (-13 (-842) (-558) (-609 (-541)))) (-5 *2 (-2 (|:| -2047 (-3 (-568) "failed")) (|:| -3894 (-3 (-568) "failed")) (|:| |ker| (-607 *5)))) (-5 *1 (-1024 *6 *5)) (-4 *5 (-13 (-432 *6) (-23) (-1037 (-568)) (-1037 *4) (-895 *4) (-161)))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-558)) (-5 *1 (-615 *2 *3)) (-4 *3 (-1219 *2))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1090)))) ((*1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1195)))) ((*1 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) ((*1 *2 *1) (-12 (-5 *1 (-494 *2)) (-4 *2 (-842)))) ((*1 *2 *1) (-12 (-5 *1 (-1000 *2)) (-4 *2 (-1090)))) ((*1 *2 *1) (-12 (-5 *1 (-1132 *2)) (-4 *2 (-1090))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-568)) (-5 *2 (-634 (-634 (-215)))) (-5 *1 (-1192))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-917)) (-4 *4 (-370)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-235 *10)) (-4 *12 (-536 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-568)) (-5 *1 (-467 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-258 *12)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-917)) (-5 *2 (-568)) (-5 *1 (-867 *4 *5 *6)) (-4 (-857 *4) (-370)) (-4 *4 (-350)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-917)) (-5 *2 (-568)) (-5 *1 (-868 *4 *5 *6)) (-4 *4 (-370)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-117))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-817)) (-5 *1 (-816))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-271))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1219 (-409 *2))) (-5 *2 (-568)) (-5 *1 (-909 *4 *3)) (-4 *3 (-1219 (-409 *4)))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| (-1160)))) (-5 *1 (-1160))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-1047)) (-4 *4 (-230 *5 (-763))) (-14 *5 (-763)) (-5 *1 (-908 *3 *2 *4 *5)) (-4 *2 (-324 *3 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568)))))) (-5 *2 (-634 (-409 (-568)))) (-5 *1 (-1019 *4)) (-4 *4 (-1219 (-568)))))) 
-(((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-132)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-310 (-215)))) (-5 *2 (-121)) (-5 *1 (-263))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| (-121)) (|:| -3145 *4)))) (-5 *1 (-1098 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-365)) (-4 *3 (-1047)) (-5 *1 (-1145 *3))))) 
-(((*1 *2 *3 *2 *4) (|partial| -12 (-5 *4 (-1 (-3 (-568) "failed") *5)) (-4 *5 (-1047)) (-5 *2 (-568)) (-5 *1 (-548 *5 *3)) (-4 *3 (-1219 *5)))) ((*1 *2 *3 *4 *2 *5) (|partial| -12 (-5 *5 (-1 (-3 (-568) "failed") *4)) (-4 *4 (-1047)) (-5 *2 (-568)) (-5 *1 (-548 *4 *3)) (-4 *3 (-1219 *4)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-568) "failed") *4)) (-4 *4 (-1047)) (-5 *2 (-568)) (-5 *1 (-548 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-158)) (-5 *1 (-869))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *2)) (-4 *2 (-1234 *4)) (-5 *1 (-1236 *4 *2)) (-4 *4 (-43 (-409 (-568))))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-173 *2)) (-4 *2 (-301)))) ((*1 *2 *1) (-12 (-5 *1 (-910 *2)) (-4 *2 (-301)))) ((*1 *2 *1) (-12 (-4 *1 (-993 *2)) (-4 *2 (-558)) (-4 *2 (-301)))) ((*1 *2 *1) (-12 (-4 *1 (-1056)) (-5 *2 (-568))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-5 *2 (-1 *6 *5 *4)) (-5 *1 (-673 *4 *5 *6))))) 
-(((*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-121)) (-5 *1 (-887 *4)) (-4 *4 (-1090))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-568))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-3 (|:| |noa| (-2 (|:| |fn| (-310 (-215))) (|:| -4436 (-634 (-215))) (|:| |lb| (-634 (-835 (-215)))) (|:| |cf| (-634 (-310 (-215)))) (|:| |ub| (-634 (-835 (-215)))))) (|:| |lsa| (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))))) (-5 *2 (-634 (-1143))) (-5 *1 (-263))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1094)) (-5 *1 (-328))))) 
-(((*1 *1 *2 *2 *2 *2 *2 *2 *2 *2) (-12 (-4 *1 (-792 *2)) (-4 *2 (-172)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-999 *3)) (-4 *3 (-172)) (-5 *1 (-794 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 (-310 (-215)))) (-5 *1 (-263))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1143)) (-5 *1 (-1177))))) 
-(((*1 *1 *1 *1) (|partial| -12 (-4 *1 (-844 *2)) (-4 *2 (-1047)) (-4 *2 (-365))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-1100)) (-5 *3 (-568))))) 
-(((*1 *2 *3) (-12 (-4 *3 (-1219 (-409 (-568)))) (-5 *2 (-2 (|:| |den| (-568)) (|:| |gcdnum| (-568)))) (-5 *1 (-909 *3 *4)) (-4 *4 (-1219 (-409 *3))))) ((*1 *2 *3) (-12 (-4 *4 (-1219 (-409 *2))) (-5 *2 (-568)) (-5 *1 (-909 *4 *3)) (-4 *3 (-1219 (-409 *4)))))) 
-(((*1 *2 *3 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-121)) (-5 *1 (-212 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-121)) (-5 *1 (-494 *3)) (-4 *3 (-1090)) (-4 *3 (-842)))) ((*1 *2 *3 *1) (-12 (|has| *1 (-6 -4521)) (-4 *1 (-499 *3)) (-4 *3 (-1195)) (-4 *3 (-1090)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-900 *4)) (-4 *4 (-1090)) (-5 *2 (-121)) (-5 *1 (-899 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-121)) (-5 *1 (-1000 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-917)) (-5 *2 (-121)) (-5 *1 (-1091 *4 *5)) (-14 *4 *3) (-14 *5 *3))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-121)) (-5 *1 (-1132 *3)) (-4 *3 (-1090)) (-4 *3 (-1090))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-568))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-235 *10)) (-4 *3 (-536 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-634 *3)) (-5 *1 (-260 *4 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13)) (-4 *12 (-258 *3))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-340 *4 *3 *5)) (-4 *4 (-1199)) (-4 *3 (-1219 *4)) (-4 *5 (-1219 (-409 *3))) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-121))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-215)) (-5 *1 (-217)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-169 (-215))) (-5 *1 (-217)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1124)))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-634 *3)) (-4 *3 (-365)) (-5 *1 (-653 *3))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-641 *3)) (-4 *3 (-365)) (-5 *2 (-568))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-679 *4)) (-5 *3 (-917)) (|has| *4 (-6 (-4523 "*"))) (-4 *4 (-1047)) (-5 *1 (-1028 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-634 (-679 *4))) (-5 *3 (-917)) (|has| *4 (-6 (-4523 "*"))) (-4 *4 (-1047)) (-5 *1 (-1028 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-121))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-491))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-4 *6 (-365)) (-14 *7 (-634 (-1161))) (-4 *9 (-230 (-1699 *7) (-763))) (-5 *2 (-2 (|:| |mult| (-763)) (|:| |subMult| (-763)) (|:| |blUpRec| (-634 (-2 (|:| |recTransStr| (-242 (-4289 (QUOTE X) (QUOTE -2928)) *6)) (|:| |recPoint| (-33 *6)) (|:| |recChart| *5) (|:| |definingExtension| *6)))))) (-5 *1 (-119 *6 *7 *8 *9 *5)) (-5 *3 (-242 (-4289 (QUOTE X) (QUOTE -2928)) *6)) (-5 *4 (-33 *6)) (-4 *8 (-324 *6 *9)) (-4 *5 (-117))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1157 *4)) (-5 *1 (-358 *4)) (-4 *4 (-350))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-601 *2 *3)) (-4 *3 (-1195)) (-4 *2 (-1090)) (-4 *2 (-842))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1093 *3 *4 *5 *6 *7)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 *6)) (-4 *6 (-324 *5 *7)) (-4 *7 (-230 *8 (-763))) (-14 *8 (-763)) (-4 *5 (-365)) (-5 *2 (-121)) (-5 *1 (-929 *5 *6 *7 *8 *4)) (-4 *4 (-971 *5))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-977 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)) (-5 *2 (-121))))) 
-(((*1 *1 *1 *2) (-12 (-5 *1 (-1125 *3 *2)) (-4 *3 (-13 (-1090) (-39))) (-4 *2 (-13 (-1090) (-39)))))) 
-(((*1 *2 *3 *3) (-12 (-4 *2 (-558)) (-4 *2 (-453)) (-5 *1 (-970 *2 *3)) (-4 *3 (-1219 *2))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-634 *5) *6)) (-4 *5 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *6 (-1219 *5)) (-5 *2 (-634 (-2 (|:| -3497 *5) (|:| -2410 *3)))) (-5 *1 (-804 *5 *6 *3 *7)) (-4 *3 (-646 *6)) (-4 *7 (-646 (-409 *6)))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -2910 *4))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-634 (-953 (-568)))) (-5 *4 (-634 (-1161))) (-5 *2 (-634 (-634 (-381)))) (-5 *1 (-1022)) (-5 *5 (-381)))) ((*1 *2 *3) (-12 (-5 *3 (-1044 *4 *5)) (-4 *4 (-13 (-840) (-301) (-150) (-1021))) (-14 *5 (-634 (-1161))) (-5 *2 (-634 (-634 (-1023 (-409 *4))))) (-5 *1 (-1268 *4 *5 *6)) (-14 *6 (-634 (-1161))))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-634 (-953 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-634 (-1023 (-409 *5))))) (-5 *1 (-1268 *5 *6 *7)) (-14 *6 (-634 (-1161))) (-14 *7 (-634 (-1161))))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-634 (-953 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-634 (-1023 (-409 *5))))) (-5 *1 (-1268 *5 *6 *7)) (-14 *6 (-634 (-1161))) (-14 *7 (-634 (-1161))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-953 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-634 (-1023 (-409 *5))))) (-5 *1 (-1268 *5 *6 *7)) (-14 *6 (-634 (-1161))) (-14 *7 (-634 (-1161))))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-953 *4))) (-4 *4 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-634 (-1023 (-409 *4))))) (-5 *1 (-1268 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-14 *6 (-634 (-1161)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-1249)) (-5 *1 (-465))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-634 (-2 (|:| |deg| (-763)) (|:| -1632 *3)))) (-5 *1 (-207 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *1 *2 *2 *2 *2 *2 *3 *4) (-12 (-5 *2 (-568)) (-5 *3 (-121)) (-5 *4 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *1 (-117))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-977 *3 *4 *2 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)) (-4 *5 (-1061 *3 *4 *2))))) 
-(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *4 (-1 *3)) (-4 *3 (-842)) (-4 *5 (-788)) (-4 *6 (-558)) (-4 *7 (-950 *6 *5 *3)) (-5 *1 (-466 *5 *3 *6 *7 *2)) (-4 *2 (-13 (-1037 (-409 (-568))) (-365) (-10 -8 (-15 -2747 ($ *7)) (-15 -2319 (*7 $)) (-15 -2326 (*7 $)))))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-568)) (-4 *1 (-62 *4 *5 *3)) (-4 *4 (-1195)) (-4 *5 (-375 *4)) (-4 *3 (-375 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-4 *5 (-370)) (-5 *2 (-763))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1092 (-1161))) (-5 *1 (-58)) (-5 *3 (-1161))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-62 *4 *5 *2)) (-4 *4 (-1195)) (-4 *5 (-375 *4)) (-4 *2 (-375 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-1050 *4 *5 *6 *7 *2)) (-4 *6 (-1047)) (-4 *7 (-230 *5 *6)) (-4 *2 (-230 *4 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-409 (-953 *3))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3)))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-365)) (-5 *1 (-758 *2 *3)) (-4 *2 (-698 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-844 *2)) (-4 *2 (-1047)) (-4 *2 (-365))))) 
-(((*1 *1 *1 *1) (-4 *1 (-550)))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-634 (-256))) (-5 *1 (-254))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1201 *2)) (-4 *2 (-1047)))) ((*1 *1 *1) (-12 (-5 *1 (-1235 *2 *3 *4)) (-4 *2 (-1047)) (-14 *3 (-1161)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1239 *2 *3)) (-4 *2 (-1047)) (-14 *3 (-1161))))) 
-(((*1 *1 *2) (-12 (-5 *1 (-219 *2)) (-4 *2 (-13 (-365) (-1181)))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-5 *2 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-420 *4)) (-4 *4 (-558))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-917)) (-5 *1 (-1032 *2)) (-4 *2 (-13 (-1090) (-10 -8 (-15 * ($ $ $)))))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-634 *2)) (-5 *1 (-122 *2)) (-4 *2 (-1090)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 (-634 *4))) (-4 *4 (-1090)) (-5 *1 (-122 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1090)) (-5 *1 (-122 *4)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-1 *4 (-634 *4))) (-5 *1 (-122 *4)) (-4 *4 (-1090)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-637 *3)) (-4 *3 (-1047)) (-5 *1 (-704 *3 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1047)) (-5 *1 (-829 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *4 *5)) (-4 *5 (-13 (-27) (-1181) (-432 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *4 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-409 (-568))) (-4 *5 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *5 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-288 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *5))) (-4 *5 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-288 *3)) (-5 *5 (-409 (-568))) (-4 *3 (-13 (-27) (-1181) (-432 *6))) (-4 *6 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-568))) (-5 *4 (-288 *6)) (-4 *6 (-13 (-27) (-1181) (-432 *5))) (-4 *5 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1161)) (-5 *5 (-288 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *6))) (-4 *6 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-568))) (-5 *4 (-288 *7)) (-5 *5 (-1210 (-568))) (-4 *7 (-13 (-27) (-1181) (-432 *6))) (-4 *6 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1161)) (-5 *5 (-288 *3)) (-5 *6 (-1210 (-568))) (-4 *3 (-13 (-27) (-1181) (-432 *7))) (-4 *7 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-409 (-568)))) (-5 *4 (-288 *8)) (-5 *5 (-1210 (-409 (-568)))) (-5 *6 (-409 (-568))) (-4 *8 (-13 (-27) (-1181) (-432 *7))) (-4 *7 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *7 *8)))) ((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1161)) (-5 *5 (-288 *3)) (-5 *6 (-1210 (-409 (-568)))) (-5 *7 (-409 (-568))) (-4 *3 (-13 (-27) (-1181) (-432 *8))) (-4 *8 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *8 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1141 (-2 (|:| |k| (-568)) (|:| |c| *3)))) (-4 *3 (-1047)) (-5 *1 (-593 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-594 *3)))) ((*1 *1 *2 *3 *1) (-12 (-5 *2 (-568)) (-4 *1 (-641 *3)) (-4 *3 (-365)))) ((*1 *1 *2) (-12 (-5 *2 (-1141 (-2 (|:| |k| (-568)) (|:| |c| *3)))) (-4 *3 (-1047)) (-4 *1 (-1203 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-763)) (-5 *3 (-1141 (-2 (|:| |k| (-409 (-568))) (|:| |c| *4)))) (-4 *4 (-1047)) (-4 *1 (-1224 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-4 *1 (-1234 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1141 (-2 (|:| |k| (-763)) (|:| |c| *3)))) (-4 *3 (-1047)) (-4 *1 (-1234 *3))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-788)) (-4 *5 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $))))) (-4 *6 (-558)) (-5 *2 (-2 (|:| -2409 (-953 *6)) (|:| -2933 (-953 *6)))) (-5 *1 (-722 *4 *5 *6 *3)) (-4 *3 (-950 (-409 (-953 *6)) *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *5)) (-4 *5 (-432 *4)) (-4 *4 (-13 (-842) (-558))) (-5 *2 (-850)) (-5 *1 (-36 *4 *5))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-256))) (-5 *1 (-1245)))) ((*1 *2 *1) (-12 (-5 *2 (-634 (-256))) (-5 *1 (-1245)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-256))) (-5 *1 (-1246)))) ((*1 *2 *1) (-12 (-5 *2 (-634 (-256))) (-5 *1 (-1246))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-679 *3)) (-4 *3 (-301)) (-5 *1 (-689 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1141 (-1141 *4))) (-5 *2 (-1141 *4)) (-5 *1 (-1145 *4)) (-4 *4 (-1047))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-139))))) 
-(((*1 *1 *2 *3 *3 *4 *5) (-12 (-5 *2 (-634 (-634 (-944 (-215))))) (-5 *3 (-634 (-869))) (-5 *4 (-634 (-917))) (-5 *5 (-634 (-256))) (-5 *1 (-473)))) ((*1 *1 *2 *3 *3 *4) (-12 (-5 *2 (-634 (-634 (-944 (-215))))) (-5 *3 (-634 (-869))) (-5 *4 (-634 (-917))) (-5 *1 (-473)))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-634 (-944 (-215))))) (-5 *1 (-473)))) ((*1 *1 *1) (-5 *1 (-473)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-381)) (-5 *1 (-1246)))) ((*1 *2) (-12 (-5 *2 (-381)) (-5 *1 (-1246))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-634 (-634 *4))) (-5 *3 (-634 *4)) (-4 *4 (-365)) (-5 *1 (-653 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (-5 *1 (-184))))) 
-(((*1 *1 *1) (-4 *1 (-1129)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-453)))) ((*1 *1 *1 *1) (-4 *1 (-453)))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-950 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-450 *4 *5 *6 *2))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-328))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-763)) (-4 *4 (-13 (-558) (-453))) (-5 *2 (-634 *4)) (-5 *1 (-346 *4 *5)) (-4 *5 (-52 *4 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-381)) (-5 *1 (-1039))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1219 *6)) (-4 *6 (-13 (-27) (-432 *5))) (-4 *5 (-13 (-842) (-558) (-1037 (-568)))) (-4 *8 (-1219 (-409 *7))) (-5 *2 (-585 *3)) (-5 *1 (-553 *5 *6 *7 *8 *3)) (-4 *3 (-340 *6 *7 *8))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1249)) (-5 *1 (-1245)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1249)) (-5 *1 (-1246))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-666 *3)) (-4 *3 (-1047)) (-4 *3 (-1090))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-62 *2 *3 *4)) (-4 *2 (-1195)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)))) ((*1 *1 *1 *2) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-601 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-1195))))) 
-(((*1 *2) (-12 (-5 *2 (-634 (-763))) (-5 *1 (-1247)))) ((*1 *2 *2) (-12 (-5 *2 (-634 (-763))) (-5 *1 (-1247))))) 
-(((*1 *2 *2 *2 *3 *3 *4 *2 *5) (|partial| -12 (-5 *3 (-607 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1161))) (-5 *5 (-1157 *2)) (-4 *2 (-13 (-432 *6) (-27) (-1181))) (-4 *6 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *1 (-564 *6 *2 *7)) (-4 *7 (-1090)))) ((*1 *2 *2 *2 *3 *3 *4 *3 *2 *5) (|partial| -12 (-5 *3 (-607 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1161))) (-5 *5 (-409 (-1157 *2))) (-4 *2 (-13 (-432 *6) (-27) (-1181))) (-4 *6 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *1 (-564 *6 *2 *7)) (-4 *7 (-1090))))) 
-(((*1 *2 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-247 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-842)) (-5 *2 (-2 (|:| |f1| (-634 *4)) (|:| |f2| (-634 (-634 (-634 *4)))) (|:| |f3| (-634 (-634 *4))) (|:| |f4| (-634 (-634 (-634 *4)))))) (-5 *1 (-1167 *4)) (-5 *3 (-634 (-634 (-634 *4))))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-679 *3)) (-4 *3 (-13 (-301) (-10 -8 (-15 -3498 ((-420 $) $))))) (-4 *4 (-1219 *3)) (-5 *1 (-508 *3 *4 *5)) (-4 *5 (-411 *3 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-2 (|:| -2852 *4) (|:| -4308 (-568))))) (-4 *4 (-1090)) (-5 *2 (-1 *4)) (-5 *1 (-1017 *4))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-365)) (-4 *3 (-1047)) (-5 *1 (-1145 *3))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-365)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-1244 *6)) (-5 *1 (-334 *3 *4 *5 *6)) (-4 *6 (-340 *3 *4 *5))))) 
-(((*1 *2 *1 *3 *3) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-601 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1195)) (-5 *2 (-1249))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-1047)) (-5 *1 (-889 *2 *3)) (-4 *2 (-1219 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-679 (-409 (-568)))) (-5 *2 (-634 *4)) (-5 *1 (-773 *4)) (-4 *4 (-13 (-365) (-840)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-634 *7)) (|:| |badPols| (-634 *7)))) (-5 *1 (-978 *4 *5 *6 *7)) (-5 *3 (-634 *7))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-172)) (-4 *2 (-23)) (-5 *1 (-284 *3 *4 *2 *5 *6 *7)) (-4 *4 (-1219 *3)) (-14 *5 (-1 *4 *4 *2)) (-14 *6 (-1 (-3 *2 "failed") *2 *2)) (-14 *7 (-1 (-3 *4 "failed") *4 *4 *2)))) ((*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-701 *3 *2 *4 *5 *6)) (-4 *3 (-172)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) ((*1 *2) (-12 (-4 *2 (-1219 *3)) (-5 *1 (-702 *3 *2)) (-4 *3 (-1047)))) ((*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-705 *3 *2 *4 *5 *6)) (-4 *3 (-172)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) ((*1 *2) (-12 (-4 *1 (-863 *3)) (-5 *2 (-568))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1157 *4)) (-5 *1 (-358 *4)) (-4 *4 (-350))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-4 *1 (-1259 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1265 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-838))))) 
-(((*1 *1 *1) (-4 *1 (-858)))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *1 (-799 *4 *2)) (-4 *2 (-13 (-29 *4) (-1181) (-959))))) ((*1 *1 *1 *1 *1) (-5 *1 (-850))) ((*1 *1 *1 *1) (-5 *1 (-850))) ((*1 *1 *1) (-5 *1 (-850))) ((*1 *2 *3) (-12 (-5 *2 (-1141 *3)) (-5 *1 (-1145 *3)) (-4 *3 (-1047))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-565)) (-5 *3 (-568))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-993 *2)) (-4 *2 (-558)) (-5 *1 (-143 *2 *4 *3)) (-4 *3 (-375 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-993 *2)) (-4 *2 (-558)) (-5 *1 (-512 *2 *4 *5 *3)) (-4 *5 (-375 *2)) (-4 *3 (-375 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-679 *4)) (-4 *4 (-993 *2)) (-4 *2 (-558)) (-5 *1 (-682 *2 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-993 *2)) (-4 *2 (-558)) (-5 *1 (-1212 *2 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-926))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-5 *1 (-1132 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-369 *2)) (-4 *2 (-172))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1199)) (-4 *5 (-1219 *4)) (-5 *2 (-2 (|:| -2350 (-409 *5)) (|:| |poly| *3))) (-5 *1 (-151 *4 *5 *3)) (-4 *3 (-1219 (-409 *5)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1084 *3)) (-5 *1 (-1082 *3)) (-4 *3 (-1195)))) ((*1 *1 *2 *2) (-12 (-4 *1 (-1083 *2)) (-4 *2 (-1195)))) ((*1 *1 *2) (-12 (-5 *1 (-1210 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-139))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-409 (-953 *4))) (-5 *3 (-1161)) (-4 *4 (-13 (-558) (-1037 (-568)) (-150))) (-5 *1 (-574 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-250))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-634 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-763)) (|:| |poli| *3) (|:| |polj| *3)))) (-4 *5 (-788)) (-4 *3 (-950 *4 *5 *6)) (-4 *4 (-453)) (-4 *6 (-842)) (-5 *1 (-450 *4 *5 *6 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-301) (-150))) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-950 *4 *5 *6)) (-5 *2 (-634 (-634 *7))) (-5 *1 (-449 *4 *5 *6 *7)) (-5 *3 (-634 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-301) (-150))) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *8 (-950 *5 *6 *7)) (-5 *2 (-634 (-634 *8))) (-5 *1 (-449 *5 *6 *7 *8)) (-5 *3 (-634 *8))))) 
-(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-128 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-944 *2)) (-5 *1 (-983 *2)) (-4 *2 (-1047))))) 
-(((*1 *1 *2 *3 *4) (-12 (-14 *5 (-634 (-1161))) (-4 *2 (-172)) (-4 *4 (-230 (-1699 *5) (-763))) (-14 *6 (-1 (-121) (-2 (|:| -4357 *3) (|:| -3483 *4)) (-2 (|:| -4357 *3) (|:| -3483 *4)))) (-5 *1 (-463 *5 *2 *3 *4 *6 *7)) (-4 *3 (-842)) (-4 *7 (-950 *2 *4 (-852 *5)))))) 
-(((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-563))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-953 *4)) (-4 *4 (-1047)) (-4 *4 (-609 *2)) (-5 *2 (-381)) (-5 *1 (-780 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-953 *5)) (-5 *4 (-917)) (-4 *5 (-1047)) (-4 *5 (-609 *2)) (-5 *2 (-381)) (-5 *1 (-780 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-409 (-953 *4))) (-4 *4 (-558)) (-4 *4 (-609 *2)) (-5 *2 (-381)) (-5 *1 (-780 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-409 (-953 *5))) (-5 *4 (-917)) (-4 *5 (-558)) (-4 *5 (-609 *2)) (-5 *2 (-381)) (-5 *1 (-780 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-310 *4)) (-4 *4 (-558)) (-4 *4 (-842)) (-4 *4 (-609 *2)) (-5 *2 (-381)) (-5 *1 (-780 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-310 *5)) (-5 *4 (-917)) (-4 *5 (-558)) (-4 *5 (-842)) (-4 *5 (-609 *2)) (-5 *2 (-381)) (-5 *1 (-780 *5))))) 
-(((*1 *1 *1 *2 *3 *1) (-12 (-4 *1 (-324 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-787))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-1066 *4 *5 *6 *3)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-568)) (-5 *2 (-1249)) (-5 *1 (-1006))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-105)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-212 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-494 *3)) (-4 *3 (-1090)) (-4 *3 (-842)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1000 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1132 *3)) (-4 *3 (-1090)) (-4 *3 (-1090))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-828 (-215))) (-5 *1 (-217))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-409 (-953 *3))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-420 (-1157 (-568)))) (-5 *1 (-183)) (-5 *3 (-568))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-288 (-409 (-953 *5)))) (-5 *4 (-1161)) (-4 *5 (-13 (-301) (-842) (-150))) (-5 *2 (-1150 (-634 (-310 *5)) (-634 (-288 (-310 *5))))) (-5 *1 (-1117 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 *5))) (-5 *4 (-1161)) (-4 *5 (-13 (-301) (-842) (-150))) (-5 *2 (-1150 (-634 (-310 *5)) (-634 (-288 (-310 *5))))) (-5 *1 (-1117 *5))))) 
-(((*1 *2 *3) (-12 (-4 *3 (-13 (-301) (-10 -8 (-15 -3498 ((-420 $) $))))) (-4 *4 (-1219 *3)) (-5 *2 (-2 (|:| -2588 (-679 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-679 *3)))) (-5 *1 (-351 *3 *4 *5)) (-4 *5 (-411 *3 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-568)) (-4 *4 (-1219 *3)) (-5 *2 (-2 (|:| -2588 (-679 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-679 *3)))) (-5 *1 (-760 *4 *5)) (-4 *5 (-411 *3 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-350)) (-4 *3 (-1219 *4)) (-4 *5 (-1219 *3)) (-5 *2 (-2 (|:| -2588 (-679 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-679 *3)))) (-5 *1 (-986 *4 *3 *5 *6)) (-4 *6 (-714 *3 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-350)) (-4 *3 (-1219 *4)) (-4 *5 (-1219 *3)) (-5 *2 (-2 (|:| -2588 (-679 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-679 *3)))) (-5 *1 (-1253 *4 *3 *5 *6)) (-4 *6 (-411 *3 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-899 (-568))) (-5 *1 (-913)))) ((*1 *2) (-12 (-5 *2 (-899 (-568))) (-5 *1 (-913))))) 
-(((*1 *2 *2 *3 *3 *4) (-12 (-5 *4 (-763)) (-4 *3 (-558)) (-5 *1 (-970 *3 *2)) (-4 *2 (-1219 *3))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-763)) (-5 *1 (-123))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-1161)) (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-117))))) 
-(((*1 *2 *1 *3 *2) (-12 (-5 *3 (-568)) (-4 *1 (-37 *2)) (-4 *2 (-365)))) ((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-568)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1195)) (-4 *4 (-375 *2)) (-4 *5 (-375 *2)))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 "right") (|has| *1 (-6 -4522)) (-4 *1 (-128 *3)) (-4 *3 (-1195)))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 "left") (|has| *1 (-6 -4522)) (-4 *1 (-128 *3)) (-4 *3 (-1195)))) ((*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-283 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-1195)))) ((*1 *2 *1 *3 *2) (-12 (-5 *2 (-57)) (-5 *3 (-1161)) (-5 *1 (-623)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 (-1210 (-568))) (|has| *1 (-6 -4522)) (-4 *1 (-640 *2)) (-4 *2 (-1195)))) ((*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-634 (-568))) (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 (-568)) (-4 *1 (-971 *2)) (-4 *2 (-365)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 "value") (|has| *1 (-6 -4522)) (-4 *1 (-1010 *2)) (-4 *2 (-1195)))) ((*1 *2 *1 *2) (-12 (-5 *1 (-1026 *2)) (-4 *2 (-1195)))) ((*1 *2 *1 *3 *2) (-12 (-4 *1 (-1172 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-1090)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 "last") (|has| *1 (-6 -4522)) (-4 *1 (-1231 *2)) (-4 *2 (-1195)))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 "rest") (|has| *1 (-6 -4522)) (-4 *1 (-1231 *3)) (-4 *3 (-1195)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 "first") (|has| *1 (-6 -4522)) (-4 *1 (-1231 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-634 (-634 (-944 *3)))))) ((*1 *1 *2 *3 *3) (-12 (-5 *2 (-634 (-634 (-944 *4)))) (-5 *3 (-121)) (-4 *4 (-1047)) (-4 *1 (-1122 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-634 (-944 *3)))) (-4 *3 (-1047)) (-4 *1 (-1122 *3)))) ((*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-634 (-634 (-634 *4)))) (-5 *3 (-121)) (-4 *1 (-1122 *4)) (-4 *4 (-1047)))) ((*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-634 (-634 (-944 *4)))) (-5 *3 (-121)) (-4 *1 (-1122 *4)) (-4 *4 (-1047)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-634 (-634 (-634 *5)))) (-5 *3 (-634 (-171))) (-5 *4 (-171)) (-4 *1 (-1122 *5)) (-4 *5 (-1047)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-634 (-634 (-944 *5)))) (-5 *3 (-634 (-171))) (-5 *4 (-171)) (-4 *1 (-1122 *5)) (-4 *5 (-1047))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-39)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-212 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-494 *3)) (-4 *3 (-842)))) ((*1 *2 *1) (-12 (-4 *3 (-453)) (-4 *4 (-842)) (-4 *5 (-788)) (-5 *2 (-121)) (-5 *1 (-988 *3 *4 *5 *6)) (-4 *6 (-950 *3 *5 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1000 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1125 *3 *4)) (-4 *3 (-13 (-1090) (-39))) (-4 *4 (-13 (-1090) (-39))))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1132 *3)) (-4 *3 (-1090))))) 
-(((*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) ((*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-634 (-1157 *5))) (-5 *3 (-1157 *5)) (-4 *5 (-166 *4)) (-4 *4 (-550)) (-5 *1 (-152 *4 *5)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-634 *3)) (-4 *3 (-1219 *5)) (-4 *5 (-1219 *4)) (-4 *4 (-350)) (-5 *1 (-359 *4 *5 *3)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-634 (-1157 (-568)))) (-5 *3 (-1157 (-568))) (-5 *1 (-576)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-634 (-1157 *1))) (-5 *3 (-1157 *1)) (-4 *1 (-904))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-288 *2)) (-4 *2 (-1195)))) ((*1 *2 *1) (-12 (-4 *3 (-1090)) (-4 *2 (-13 (-432 *4) (-881 *3) (-609 (-887 *3)))) (-5 *1 (-1069 *3 *4 *2)) (-4 *4 (-13 (-1047) (-881 *3) (-842) (-609 (-887 *3)))))) ((*1 *2 *1) (-12 (-4 *2 (-1090)) (-5 *1 (-1150 *2 *3)) (-4 *3 (-1090))))) 
-(((*1 *1 *1 *1) (-4 *1 (-651))) ((*1 *1 *1 *1) (-5 *1 (-1108)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| -3591 *1) (|:| -4508 *1) (|:| |associate| *1))) (-4 *1 (-558))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-869)) (-5 *1 (-256)))) ((*1 *1 *2) (-12 (-5 *2 (-381)) (-5 *1 (-256))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-427 *3)) (-4 *3 (-1090)) (-5 *2 (-763))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-568)) (-5 *2 (-634 (-2 (|:| -3850 *3) (|:| -1836 *4)))) (-5 *1 (-685 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-234))))) 
-(((*1 *1 *1 *1) (-4 *1 (-651))) ((*1 *1 *1 *1) (-5 *1 (-1108)))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1143)) (-5 *3 (-818)) (-5 *1 (-817))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)) (|has| *2 (-6 (-4523 "*"))) (-4 *2 (-1047)))) ((*1 *2 *3) (-12 (-4 *4 (-375 *2)) (-4 *5 (-375 *2)) (-4 *2 (-172)) (-5 *1 (-678 *2 *4 *5 *3)) (-4 *3 (-677 *2 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-1111 *3 *2 *4 *5)) (-4 *4 (-230 *3 *2)) (-4 *5 (-230 *3 *2)) (|has| *2 (-6 (-4523 "*"))) (-4 *2 (-1047))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-917)) (-5 *1 (-1247)))) ((*1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-1247))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-390)) (-5 *1 (-623))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-409 (-568))) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-558)) (-4 *8 (-950 *7 *5 *6)) (-5 *2 (-2 (|:| -3483 (-763)) (|:| -2350 *9) (|:| |radicand| *9))) (-5 *1 (-954 *5 *6 *7 *8 *9)) (-5 *4 (-763)) (-4 *9 (-13 (-365) (-10 -8 (-15 -2319 (*8 $)) (-15 -2326 (*8 $)) (-15 -2747 ($ *8)))))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1143)) (-5 *1 (-541))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-365)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *1 (-529 *3 *4 *5 *2)) (-4 *2 (-677 *3 *4 *5))))) 
-(((*1 *1 *1 *1) (-4 *1 (-301))) ((*1 *1 *1 *1) (-5 *1 (-763))) ((*1 *1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-1006)))) ((*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-1006))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *2 (-634 (-634 (-568)))) (-5 *1 (-924 *4 *5 *6 *7)) (-5 *3 (-568)) (-4 *7 (-950 *4 *6 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-944 *3)) (-4 *3 (-13 (-365) (-1181) (-1002))) (-5 *1 (-174 *3))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1093 *3 *4 *5 *6 *7)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-555 *2)) (-4 *2 (-13 (-406) (-1181))))) ((*1 *1 *1 *1) (-4 *1 (-788)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-3 (-409 (-953 *5)) (-1150 (-1161) (-953 *5)))) (-4 *5 (-453)) (-5 *2 (-634 (-679 (-409 (-953 *5))))) (-5 *1 (-286 *5)) (-5 *4 (-679 (-409 (-953 *5))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-835 (-381))) (-5 *2 (-835 (-215))) (-5 *1 (-299))))) 
-(((*1 *1 *1) (-4 *1 (-146))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-159 *3 *2)) (-4 *2 (-432 *3)))) ((*1 *2 *2) (-12 (-5 *1 (-160 *2)) (-4 *2 (-550))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1244 (-679 *4))) (-4 *4 (-172)) (-5 *2 (-1244 (-679 (-953 *4)))) (-5 *1 (-181 *4))))) 
-(((*1 *2) (-12 (-4 *1 (-406)) (-5 *2 (-917)))) ((*1 *1) (-4 *1 (-550))) ((*1 *2 *2) (-12 (-5 *2 (-917)) (-5 *1 (-688)))) ((*1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-688)))) ((*1 *2 *1) (-12 (-5 *2 (-634 *3)) (-5 *1 (-899 *3)) (-4 *3 (-1090))))) 
-(((*1 *1 *1 *1) (-4 *1 (-301))) ((*1 *1 *1 *1) (-5 *1 (-763))) ((*1 *1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1094)) (-5 *1 (-57))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1246))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-388 *2)) (-4 *2 (-1090)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-814 *2)) (-4 *2 (-842))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-381)) (-5 *1 (-197))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-409 (-568))) (-5 *4 (-568)) (-5 *2 (-57)) (-5 *1 (-1005))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1108)) (-5 *2 (-121)) (-5 *1 (-816))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-593 *3)) (-4 *3 (-43 *2)) (-4 *3 (-1047))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-166 *3)) (-4 *3 (-172)) (-4 *3 (-550)) (-5 *2 (-409 (-568))))) ((*1 *2 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-420 *3)) (-4 *3 (-550)) (-4 *3 (-558)))) ((*1 *2 *1) (-12 (-4 *1 (-550)) (-5 *2 (-409 (-568))))) ((*1 *2 *1) (-12 (-4 *1 (-792 *3)) (-4 *3 (-172)) (-4 *3 (-550)) (-5 *2 (-409 (-568))))) ((*1 *2 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-828 *3)) (-4 *3 (-550)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-835 *3)) (-4 *3 (-550)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-4 *1 (-997 *3)) (-4 *3 (-172)) (-4 *3 (-550)) (-5 *2 (-409 (-568))))) ((*1 *2 *3) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-1008 *3)) (-4 *3 (-1037 *2))))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *2 (-242 (-4289 (QUOTE X) (QUOTE -2928)) *5)) (-4 *5 (-365)) (-5 *3 (-763)) (-14 *6 (-634 (-1161))) (-4 *8 (-230 (-1699 *6) *3)) (-5 *1 (-119 *5 *6 *7 *8 *4)) (-4 *7 (-324 *5 *8)) (-4 *4 (-117))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-171))))) 
-(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 (-2 (|:| -4151 *4) (|:| |coeff| *4)) "failed") *4)) (-4 *4 (-365)) (-5 *1 (-578 *4 *2)) (-4 *2 (-1219 *4))))) 
-(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-763)) (-4 *4 (-13 (-558) (-150))) (-5 *1 (-1213 *4 *2)) (-4 *2 (-1219 *4))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-310 (-215))) (-5 *1 (-263))))) 
-(((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-887 *4)) (-4 *4 (-1090)) (-5 *2 (-121)) (-5 *1 (-884 *4 *5)) (-4 *5 (-1090)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-887 *5)) (-4 *5 (-1090)) (-5 *2 (-121)) (-5 *1 (-885 *5 *3)) (-4 *3 (-1195)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 *6)) (-5 *4 (-887 *5)) (-4 *5 (-1090)) (-4 *6 (-1195)) (-5 *2 (-121)) (-5 *1 (-885 *5 *6))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-365)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-37 *3)) (-4 *3 (-365)))) ((*1 *1 *1) (-12 (-4 *1 (-166 *2)) (-4 *2 (-172)))) ((*1 *1 *1 *1) (-4 *1 (-478))) ((*1 *1 *1) (-12 (-4 *1 (-792 *2)) (-4 *2 (-172)))) ((*1 *1 *1) (-4 *1 (-858))) ((*1 *2 *2) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-878)))) ((*1 *1 *1) (-12 (-4 *1 (-971 *2)) (-4 *2 (-365)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-971 *3)) (-4 *3 (-365)))) ((*1 *1 *1) (-5 *1 (-972))) ((*1 *1 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-172))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-390)) (-5 *1 (-438)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-390)) (-5 *1 (-438))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-213 *2 *3)) (-4 *2 (-13 (-1047) (-842))) (-14 *3 (-634 (-1161)))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-453)) (-4 *4 (-842)) (-4 *5 (-788)) (-5 *2 (-634 *6)) (-5 *1 (-988 *3 *4 *5 *6)) (-4 *6 (-950 *3 *5 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-215)) (-5 *1 (-217)))) ((*1 *2 *2) (-12 (-5 *2 (-169 (-215))) (-5 *1 (-217)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) ((*1 *1 *1) (-4 *1 (-1124)))) 
-(((*1 *1 *1 *1 *1) (-4 *1 (-550)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1092 *4)) (-4 *4 (-1090)) (-5 *2 (-1 *4)) (-5 *1 (-1017 *4)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-1 (-381))) (-5 *1 (-1039)) (-5 *3 (-381)))) ((*1 *2 *3) (-12 (-5 *3 (-1084 (-568))) (-5 *2 (-1 (-568))) (-5 *1 (-1045))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-1226 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-1203 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-641 *2)) (-4 *2 (-365))))) 
-(((*1 *2) (-12 (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-634 *7)) (-5 *1 (-467 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) ((*1 *2) (-12 (-5 *2 (-634 (-967 *3))) (-5 *1 (-867 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-634 (-966 *3))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-230 (-1699 *5) (-763))) (-5 *2 (-634 *7)) (-5 *1 (-963 *4 *5 *3 *6 *7)) (-4 *3 (-950 *4 *6 (-852 *5))) (-4 *7 (-971 *4))))) 
-(((*1 *2 *2 *2 *3 *3) (-12 (-5 *3 (-763)) (-4 *4 (-1047)) (-5 *1 (-1215 *4 *2)) (-4 *2 (-1219 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-899 (-568))) (-5 *1 (-913)))) ((*1 *2) (-12 (-5 *2 (-899 (-568))) (-5 *1 (-913))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-899 (-568))) (-5 *1 (-913)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-899 (-568))) (-5 *1 (-913))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-844 *2)) (-4 *2 (-1047)) (-4 *2 (-365))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-1161))) (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *2 (-634 (-409 (-953 *4)))) (-5 *1 (-924 *4 *5 *6 *7)) (-4 *7 (-950 *4 *6 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-673 *4 *5 *6)) (-4 *4 (-1090))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-141 *3 *4 *5)) (-14 *3 (-568)) (-14 *4 *2) (-4 *5 (-172)))) ((*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-917)) (-5 *1 (-165 *3 *4)) (-4 *3 (-166 *4)))) ((*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-917)))) ((*1 *2) (-12 (-4 *1 (-372 *3 *4)) (-4 *3 (-172)) (-4 *4 (-1219 *3)) (-5 *2 (-917)))) ((*1 *2 *3) (-12 (-4 *4 (-365)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4)) (-5 *2 (-763)) (-5 *1 (-529 *4 *5 *6 *3)) (-4 *3 (-677 *4 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-679 *5)) (-5 *4 (-1244 *5)) (-4 *5 (-365)) (-5 *2 (-763)) (-5 *1 (-659 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-4 *6 (-13 (-375 *5) (-10 -7 (-6 -4522)))) (-4 *4 (-13 (-375 *5) (-10 -7 (-6 -4522)))) (-5 *2 (-763)) (-5 *1 (-660 *5 *6 *4 *3)) (-4 *3 (-677 *5 *6 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-4 *3 (-558)) (-5 *2 (-763)))) ((*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *4 (-172)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4)) (-5 *2 (-763)) (-5 *1 (-678 *4 *5 *6 *3)) (-4 *3 (-677 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-4 *5 (-558)) (-5 *2 (-763))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-5 *1 (-727 *3)))) ((*1 *1 *2) (-12 (-5 *1 (-727 *2)) (-4 *2 (-1090)))) ((*1 *1) (-12 (-5 *1 (-727 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-2 (|:| -3850 (-1157 *6)) (|:| -3483 (-568))))) (-4 *6 (-301)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-568)) (-5 *1 (-732 *4 *5 *6 *7)) (-4 *7 (-950 *6 *4 *5))))) 
-(((*1 *2 *3 *4 *4 *4 *5 *4 *5 *5 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-215)) (-5 *2 (-1035)) (-5 *1 (-743))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-953 *5)) (-4 *5 (-1047)) (-5 *2 (-492 *4 *5)) (-5 *1 (-945 *4 *5)) (-14 *4 (-634 (-1161)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-850)) (-5 *2 (-1249)) (-5 *1 (-1123)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-850))) (-5 *2 (-1249)) (-5 *1 (-1123))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-634 (-634 (-634 (-763)))))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-1090)) (-4 *3 (-895 *5)) (-5 *2 (-1244 *3)) (-5 *1 (-681 *5 *3 *6 *4)) (-4 *6 (-375 *3)) (-4 *4 (-13 (-375 *5) (-10 -7 (-6 -4521))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1157 *4)) (-4 *4 (-350)) (-5 *2 (-958 (-1108))) (-5 *1 (-347 *4))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-169 *4)) (-5 *1 (-178 *4 *3)) (-4 *4 (-13 (-365) (-840))) (-4 *3 (-1219 *2))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-634 (-634 (-944 (-215))))) (-5 *3 (-634 (-869))) (-5 *1 (-473))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 *3 *4)) (-5 *1 (-672 *4 *3)) (-4 *4 (-1090)) (-4 *3 (-1090))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-381) (-381))) (-5 *4 (-381)) (-5 *2 (-2 (|:| -2852 *4) (|:| -2185 *4) (|:| |totalpts| (-568)) (|:| |success| (-121)))) (-5 *1 (-784)) (-5 *5 (-568))))) 
-(((*1 *1 *2 *3) (-12 (-4 *1 (-384 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-1090)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-568)) (-5 *2 (-1141 *3)) (-5 *1 (-1145 *3)) (-4 *3 (-1047)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-814 *4)) (-4 *4 (-842)) (-4 *1 (-1259 *4 *3)) (-4 *3 (-1047))))) 
-(((*1 *1 *1 *1) (|partial| -12 (-4 *2 (-172)) (-5 *1 (-284 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1219 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-701 *2 *3 *4 *5 *6)) (-4 *2 (-172)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-705 *2 *3 *4 *5 *6)) (-4 *2 (-172)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-558))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-121)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-634 *10)) (-5 *1 (-616 *5 *6 *7 *8 *9 *10)) (-4 *9 (-1066 *5 *6 *7 *8)) (-4 *10 (-1099 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-775 *5 (-852 *6)))) (-5 *4 (-121)) (-4 *5 (-453)) (-14 *6 (-634 (-1161))) (-5 *2 (-634 (-1044 *5 *6))) (-5 *1 (-619 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-775 *5 (-852 *6)))) (-5 *4 (-121)) (-4 *5 (-453)) (-14 *6 (-634 (-1161))) (-5 *2 (-634 (-1131 *5 (-534 (-852 *6)) (-852 *6) (-775 *5 (-852 *6))))) (-5 *1 (-619 *5 *6)))) ((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-121)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-634 (-1027 *5 *6 *7 *8))) (-5 *1 (-1027 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-121)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-634 (-1027 *5 *6 *7 *8))) (-5 *1 (-1027 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-634 (-775 *5 (-852 *6)))) (-5 *4 (-121)) (-4 *5 (-453)) (-14 *6 (-634 (-1161))) (-5 *2 (-634 (-1044 *5 *6))) (-5 *1 (-1044 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-121)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-1066 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-121)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-634 (-1131 *5 *6 *7 *8))) (-5 *1 (-1131 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-121)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-634 (-1131 *5 *6 *7 *8))) (-5 *1 (-1131 *5 *6 *7 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-1189 *4 *5 *6 *7))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1244 (-1244 (-568)))) (-5 *1 (-471))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-1157 *3)) (-4 *3 (-350)) (-5 *1 (-358 *3))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1266 *4 *2)) (-4 *1 (-376 *4 *2)) (-4 *4 (-842)) (-4 *2 (-172)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1259 *3 *2)) (-4 *3 (-842)) (-4 *2 (-1047)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-814 *4)) (-4 *1 (-1259 *4 *2)) (-4 *4 (-842)) (-4 *2 (-1047)))) ((*1 *2 *1 *3) (-12 (-4 *2 (-1047)) (-5 *1 (-1265 *2 *3)) (-4 *3 (-838))))) 
-(((*1 *1 *1 *1 *2) (|partial| -12 (-5 *2 (-121)) (-5 *1 (-593 *3)) (-4 *3 (-1047))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1047)) (-4 *5 (-1219 *4)) (-5 *2 (-1 *6 (-634 *6))) (-5 *1 (-1237 *4 *5 *3 *6)) (-4 *3 (-646 *5)) (-4 *6 (-1234 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-328))) (-5 *1 (-328))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1246))))) 
-(((*1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-751))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-875 (-1 (-215) (-215)))) (-5 *4 (-1084 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1121 (-215))) (-5 *1 (-248)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-875 (-1 (-215) (-215)))) (-5 *4 (-1084 (-381))) (-5 *2 (-1121 (-215))) (-5 *1 (-248)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-944 (-215)) (-215))) (-5 *4 (-1084 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1121 (-215))) (-5 *1 (-248)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-944 (-215)) (-215))) (-5 *4 (-1084 (-381))) (-5 *2 (-1121 (-215))) (-5 *1 (-248)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-215) (-215) (-215))) (-5 *4 (-1084 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1121 (-215))) (-5 *1 (-248)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-215) (-215) (-215))) (-5 *4 (-1084 (-381))) (-5 *2 (-1121 (-215))) (-5 *1 (-248)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-944 (-215)) (-215) (-215))) (-5 *4 (-1084 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1121 (-215))) (-5 *1 (-248)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-944 (-215)) (-215) (-215))) (-5 *4 (-1084 (-381))) (-5 *2 (-1121 (-215))) (-5 *1 (-248)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-877 (-1 (-215) (-215) (-215)))) (-5 *4 (-1084 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1121 (-215))) (-5 *1 (-248)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-877 (-1 (-215) (-215) (-215)))) (-5 *4 (-1084 (-381))) (-5 *2 (-1121 (-215))) (-5 *1 (-248)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-875 *6)) (-5 *4 (-1082 (-381))) (-5 *5 (-634 (-256))) (-4 *6 (-13 (-609 (-541)) (-1090))) (-5 *2 (-1121 (-215))) (-5 *1 (-252 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-875 *5)) (-5 *4 (-1082 (-381))) (-4 *5 (-13 (-609 (-541)) (-1090))) (-5 *2 (-1121 (-215))) (-5 *1 (-252 *5)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1082 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1121 (-215))) (-5 *1 (-252 *3)) (-4 *3 (-13 (-609 (-541)) (-1090))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1082 (-381))) (-5 *2 (-1121 (-215))) (-5 *1 (-252 *3)) (-4 *3 (-13 (-609 (-541)) (-1090))))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-877 *6)) (-5 *4 (-1082 (-381))) (-5 *5 (-634 (-256))) (-4 *6 (-13 (-609 (-541)) (-1090))) (-5 *2 (-1121 (-215))) (-5 *1 (-252 *6)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-877 *5)) (-5 *4 (-1082 (-381))) (-4 *5 (-13 (-609 (-541)) (-1090))) (-5 *2 (-1121 (-215))) (-5 *1 (-252 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-977 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)) (-5 *2 (-121))))) 
-(((*1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-158))))) 
-(((*1 *1 *1 *1) (-4 *1 (-146))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-159 *3 *2)) (-4 *2 (-432 *3)))) ((*1 *2 *2 *2) (-12 (-5 *1 (-160 *2)) (-4 *2 (-550))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850)))) ((*1 *1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *2) (-12 (-4 *3 (-1047)) (-5 *2 (-958 (-702 *3 *4))) (-5 *1 (-702 *3 *4)) (-4 *4 (-1219 *3))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-215) (-215))) (-5 *4 (-1084 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1245)) (-5 *1 (-248)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-215) (-215))) (-5 *4 (-1084 (-381))) (-5 *2 (-1245)) (-5 *1 (-248)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-873 (-1 (-215) (-215)))) (-5 *4 (-1084 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1245)) (-5 *1 (-248)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-873 (-1 (-215) (-215)))) (-5 *4 (-1084 (-381))) (-5 *2 (-1245)) (-5 *1 (-248)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-875 (-1 (-215) (-215)))) (-5 *4 (-1084 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1246)) (-5 *1 (-248)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-875 (-1 (-215) (-215)))) (-5 *4 (-1084 (-381))) (-5 *2 (-1246)) (-5 *1 (-248)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-944 (-215)) (-215))) (-5 *4 (-1084 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1246)) (-5 *1 (-248)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-944 (-215)) (-215))) (-5 *4 (-1084 (-381))) (-5 *2 (-1246)) (-5 *1 (-248)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-215) (-215) (-215))) (-5 *4 (-1084 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1246)) (-5 *1 (-248)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-215) (-215) (-215))) (-5 *4 (-1084 (-381))) (-5 *2 (-1246)) (-5 *1 (-248)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-944 (-215)) (-215) (-215))) (-5 *4 (-1084 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1246)) (-5 *1 (-248)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-944 (-215)) (-215) (-215))) (-5 *4 (-1084 (-381))) (-5 *2 (-1246)) (-5 *1 (-248)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-877 (-1 (-215) (-215) (-215)))) (-5 *4 (-1084 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1246)) (-5 *1 (-248)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-877 (-1 (-215) (-215) (-215)))) (-5 *4 (-1084 (-381))) (-5 *2 (-1246)) (-5 *1 (-248)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-288 *7)) (-5 *4 (-1161)) (-5 *5 (-634 (-256))) (-4 *7 (-432 *6)) (-4 *6 (-13 (-558) (-842) (-1037 (-568)))) (-5 *2 (-1245)) (-5 *1 (-249 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1082 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1245)) (-5 *1 (-252 *3)) (-4 *3 (-13 (-609 (-541)) (-1090))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1082 (-381))) (-5 *2 (-1245)) (-5 *1 (-252 *3)) (-4 *3 (-13 (-609 (-541)) (-1090))))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-873 *6)) (-5 *4 (-1082 (-381))) (-5 *5 (-634 (-256))) (-4 *6 (-13 (-609 (-541)) (-1090))) (-5 *2 (-1245)) (-5 *1 (-252 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-873 *5)) (-5 *4 (-1082 (-381))) (-4 *5 (-13 (-609 (-541)) (-1090))) (-5 *2 (-1245)) (-5 *1 (-252 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-875 *6)) (-5 *4 (-1082 (-381))) (-5 *5 (-634 (-256))) (-4 *6 (-13 (-609 (-541)) (-1090))) (-5 *2 (-1246)) (-5 *1 (-252 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-875 *5)) (-5 *4 (-1082 (-381))) (-4 *5 (-13 (-609 (-541)) (-1090))) (-5 *2 (-1246)) (-5 *1 (-252 *5)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1082 (-381))) (-5 *5 (-634 (-256))) (-5 *2 (-1246)) (-5 *1 (-252 *3)) (-4 *3 (-13 (-609 (-541)) (-1090))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1082 (-381))) (-5 *2 (-1246)) (-5 *1 (-252 *3)) (-4 *3 (-13 (-609 (-541)) (-1090))))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-877 *6)) (-5 *4 (-1082 (-381))) (-5 *5 (-634 (-256))) (-4 *6 (-13 (-609 (-541)) (-1090))) (-5 *2 (-1246)) (-5 *1 (-252 *6)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-877 *5)) (-5 *4 (-1082 (-381))) (-4 *5 (-13 (-609 (-541)) (-1090))) (-5 *2 (-1246)) (-5 *1 (-252 *5)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-634 (-215))) (-5 *2 (-1245)) (-5 *1 (-253)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-634 (-215))) (-5 *4 (-634 (-256))) (-5 *2 (-1245)) (-5 *1 (-253)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-944 (-215)))) (-5 *2 (-1245)) (-5 *1 (-253)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-944 (-215)))) (-5 *4 (-634 (-256))) (-5 *2 (-1245)) (-5 *1 (-253)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-634 (-215))) (-5 *2 (-1246)) (-5 *1 (-253)))) ((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-634 (-215))) (-5 *4 (-634 (-256))) (-5 *2 (-1246)) (-5 *1 (-253))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-607 *1)) (-4 *1 (-296))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-926))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *3 (-950 *4 *6 (-852 *5))) (-4 *6 (-230 (-1699 *5) (-763))) (-4 *7 (-971 *4)) (-4 *8 (-641 *4)) (-4 *9 (-920 *4 *8)) (-4 *10 (-536 *4 *5 *3 *6 *7 *8 *9 *2 *12)) (-4 *12 (-117)) (-4 *2 (-235 *9)) (-5 *1 (-467 *4 *5 *3 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-258 *10)))) ((*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-634 *13)) (-5 *5 (-634 *9)) (-4 *9 (-971 *6)) (-4 *13 (-258 *12)) (-4 *6 (-365)) (-4 *12 (-536 *6 *7 *3 *8 *9 *10 *11 *2 *14)) (-4 *14 (-117)) (-14 *7 (-634 (-1161))) (-4 *3 (-950 *6 *8 (-852 *7))) (-4 *8 (-230 (-1699 *7) (-763))) (-4 *10 (-641 *6)) (-4 *11 (-920 *6 *10)) (-4 *2 (-235 *11)) (-5 *1 (-556 *6 *7 *3 *8 *9 *10 *11 *2 *12 *13 *14)))) ((*1 *2 *3) (-12 (-5 *3 (-242 *5 *4)) (-4 *4 (-350)) (-14 *5 (-634 (-1161))) (-5 *2 (-236 (-922 *4))) (-5 *1 (-867 *4 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-242 *5 *4)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-5 *2 (-236 (-921 *4))) (-5 *1 (-868 *4 *5 *6)) (-4 *6 (-117))))) 
-(((*1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-607 *3)) (-4 *3 (-13 (-432 *5) (-27) (-1181))) (-4 *5 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-585 *3)) (-5 *1 (-570 *5 *3 *6)) (-4 *6 (-1090))))) 
-(((*1 *1) (-5 *1 (-328)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1244 *1)) (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4)))))) 
-(((*1 *1) (-4 *1 (-350)))) 
-(((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-504))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-950 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-450 *4 *5 *6 *2))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1113 (-568) (-607 (-53)))) (-5 *1 (-53)))) ((*1 *2 *1) (-12 (-4 *3 (-993 *2)) (-4 *4 (-1219 *3)) (-4 *2 (-301)) (-5 *1 (-415 *2 *3 *4 *5)) (-4 *5 (-13 (-411 *3 *4) (-1037 *3))))) ((*1 *2 *1) (-12 (-4 *3 (-558)) (-4 *3 (-842)) (-5 *2 (-1113 *3 (-607 *1))) (-4 *1 (-432 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1113 (-568) (-607 (-504)))) (-5 *1 (-504)))) ((*1 *2 *1) (-12 (-4 *4 (-172)) (-4 *2 (|SubsetCategory| (-716) *4)) (-5 *1 (-613 *3 *4 *2)) (-4 *3 (-43 *4)))) ((*1 *2 *1) (-12 (-4 *4 (-172)) (-4 *2 (|SubsetCategory| (-716) *4)) (-5 *1 (-652 *3 *4 *2)) (-4 *3 (-707 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-993 *2)) (-4 *2 (-558))))) 
-(((*1 *2 *1 *2 *3) (-12 (-5 *3 (-634 (-1143))) (-5 *2 (-1143)) (-5 *1 (-1245)))) ((*1 *2 *1 *2 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-1245)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-1245)))) ((*1 *2 *1 *2 *3) (-12 (-5 *3 (-634 (-1143))) (-5 *2 (-1143)) (-5 *1 (-1246)))) ((*1 *2 *1 *2 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-1246)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-1246))))) 
-(((*1 *2 *3 *4 *5 *6 *7 *7 *8) (-12 (-5 *3 (-2 (|:| |det| *12) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568))))) (-5 *4 (-679 *12)) (-5 *5 (-634 (-409 (-953 *9)))) (-5 *6 (-634 (-634 *12))) (-5 *7 (-763)) (-5 *8 (-568)) (-4 *9 (-13 (-301) (-150))) (-4 *12 (-950 *9 *11 *10)) (-4 *10 (-13 (-842) (-609 (-1161)))) (-4 *11 (-788)) (-5 *2 (-2 (|:| |eqzro| (-634 *12)) (|:| |neqzro| (-634 *12)) (|:| |wcond| (-634 (-953 *9))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 *9)))) (|:| -2588 (-634 (-1244 (-409 (-953 *9))))))))) (-5 *1 (-924 *9 *10 *11 *12))))) 
-(((*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-568))) (-5 *1 (-1045))))) 
-(((*1 *2 *1 *1 *3) (-12 (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *3 (-842)) (-5 *2 (-2 (|:| -2350 *1) (|:| |gap| (-763)) (|:| -2607 *1))) (-4 *1 (-1061 *4 *5 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-2 (|:| -2350 *1) (|:| |gap| (-763)) (|:| -2607 *1))) (-4 *1 (-1061 *3 *4 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-926))))) 
-(((*1 *2 *1) (-12 (-14 *3 (-634 (-1161))) (-4 *4 (-172)) (-4 *5 (-230 (-1699 *3) (-763))) (-14 *6 (-1 (-121) (-2 (|:| -4357 *2) (|:| -3483 *5)) (-2 (|:| -4357 *2) (|:| -3483 *5)))) (-4 *2 (-842)) (-5 *1 (-463 *3 *4 *2 *5 *6 *7)) (-4 *7 (-950 *4 *5 (-852 *3)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1113 (-568) (-607 (-53)))) (-5 *1 (-53)))) ((*1 *2 *1) (-12 (-4 *3 (-301)) (-4 *4 (-993 *3)) (-4 *5 (-1219 *4)) (-5 *2 (-1244 *6)) (-5 *1 (-415 *3 *4 *5 *6)) (-4 *6 (-13 (-411 *4 *5) (-1037 *4))))) ((*1 *2 *1) (-12 (-4 *3 (-1047)) (-4 *3 (-842)) (-5 *2 (-1113 *3 (-607 *1))) (-4 *1 (-432 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1113 (-568) (-607 (-504)))) (-5 *1 (-504)))) ((*1 *2 *1) (-12 (-4 *3 (-172)) (-4 *2 (-43 *3)) (-5 *1 (-613 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-716) *3)))) ((*1 *2 *1) (-12 (-4 *3 (-172)) (-4 *2 (-707 *3)) (-5 *1 (-652 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-716) *3)))) ((*1 *2 *1) (-12 (-4 *1 (-993 *2)) (-4 *2 (-558))))) 
-(((*1 *2) (-12 (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1249)) (-5 *1 (-467 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) ((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-1245)))) ((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-1246))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *1 (-585 *2)) (-4 *2 (-1037 *3)) (-4 *2 (-365)))) ((*1 *1 *2 *2) (-12 (-5 *1 (-585 *2)) (-4 *2 (-365)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-842) (-558))) (-5 *1 (-621 *4 *2)) (-4 *2 (-13 (-432 *4) (-1002) (-1181))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1082 *2)) (-4 *2 (-13 (-432 *4) (-1002) (-1181))) (-4 *4 (-13 (-842) (-558))) (-5 *1 (-621 *4 *2)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-959)) (-5 *2 (-1161)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1082 *1)) (-4 *1 (-959))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-763)) (-4 *4 (-1047)) (-4 *6 (-230 *7 *3)) (-14 *7 *3) (-5 *2 (-634 *5)) (-5 *1 (-908 *4 *5 *6 *7)) (-4 *5 (-324 *4 *6))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-363 *3)) (-4 *3 (-1090)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-5 *2 (-763)) (-5 *1 (-388 *4)) (-4 *4 (-1090)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *2 (-23)) (-5 *1 (-638 *4 *2 *5)) (-4 *4 (-1090)) (-14 *5 *2))) ((*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-5 *2 (-763)) (-5 *1 (-814 *4)) (-4 *4 (-842))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-646 *2)) (-4 *2 (-1047)) (-4 *2 (-365)))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-365)) (-5 *1 (-649 *4 *2)) (-4 *2 (-646 *4))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-320 *4 *2)) (-4 *4 (-1090)) (-4 *2 (-137))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1026 (-835 (-568)))) (-5 *1 (-593 *3)) (-4 *3 (-1047))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-310 (-215))) (-5 *2 (-310 (-381))) (-5 *1 (-299))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-376 *2 *3)) (-4 *2 (-842)) (-4 *3 (-172)))) ((*1 *1 *1) (-12 (-5 *1 (-618 *2 *3 *4)) (-4 *2 (-842)) (-4 *3 (-13 (-172) (-707 (-409 (-568))))) (-14 *4 (-917)))) ((*1 *1 *1) (-12 (-5 *1 (-667 *2)) (-4 *2 (-842)))) ((*1 *1 *1) (-12 (-5 *1 (-814 *2)) (-4 *2 (-842)))) ((*1 *1 *1) (-12 (-4 *1 (-1259 *2 *3)) (-4 *2 (-842)) (-4 *3 (-1047))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-2 (|:| -4158 (-763)) (|:| |curves| (-763)) (|:| |polygons| (-763)) (|:| |constructs| (-763))))))) 
-(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-215) (-215) (-215))) (-5 *4 (-3 (-1 (-215) (-215) (-215) (-215)) "undefined")) (-5 *5 (-1084 (-215))) (-5 *6 (-634 (-256))) (-5 *2 (-1121 (-215))) (-5 *1 (-686))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-432 *4)) (-5 *1 (-159 *4 *2)) (-4 *4 (-13 (-842) (-558)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-775 *5 (-852 *6)))) (-5 *4 (-121)) (-4 *5 (-453)) (-14 *6 (-634 (-1161))) (-5 *2 (-634 (-1044 *5 *6))) (-5 *1 (-619 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-1157 (-1157 *4)))) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *7 (-230 (-1699 *5) (-763))) (-5 *2 (-3 (-634 *8) "failed" "Infinite" (-568))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *8 (-971 *4))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-634 *6)) (-5 *4 (-1 *6 (-763) (-1244 (-1157 *6)))) (-5 *5 (-634 (-763))) (-4 *6 (-13 (-558) (-453))) (-5 *2 (-679 (-1157 *6))) (-5 *1 (-346 *6 *7)) (-4 *7 (-52 *6 (-763)))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *3 (-1195)) (-5 *1 (-179 *3 *2)) (-4 *2 (-665 *3))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-634 *7)) (|:| -3145 *8))) (-4 *7 (-1061 *4 *5 *6)) (-4 *8 (-1066 *4 *5 *6 *7)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-989 *4 *5 *6 *7 *8)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-634 *7)) (|:| -3145 *8))) (-4 *7 (-1061 *4 *5 *6)) (-4 *8 (-1066 *4 *5 *6 *7)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-1097 *4 *5 *6 *7 *8))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-679 *3)) (-4 *3 (-13 (-301) (-10 -8 (-15 -3498 ((-420 $) $))))) (-4 *4 (-1219 *3)) (-5 *1 (-508 *3 *4 *5)) (-4 *5 (-411 *3 *4)))) ((*1 *2 *2 *2 *3) (-12 (-5 *2 (-679 *3)) (-4 *3 (-13 (-301) (-10 -8 (-15 -3498 ((-420 $) $))))) (-4 *4 (-1219 *3)) (-5 *1 (-508 *3 *4 *5)) (-4 *5 (-411 *3 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1244 (-634 (-2 (|:| -2852 *4) (|:| -4357 (-1108)))))) (-4 *4 (-350)) (-5 *2 (-679 *4)) (-5 *1 (-347 *4))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1244 *5)) (-4 *5 (-787)) (-5 *2 (-121)) (-5 *1 (-837 *4 *5)) (-14 *4 (-763))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1249)) (-5 *1 (-381)))) ((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-381))))) 
-(((*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1161)) (-4 *5 (-13 (-558) (-1037 (-568)) (-150))) (-5 *2 (-2 (|:| -4151 (-409 (-953 *5))) (|:| |coeff| (-409 (-953 *5))))) (-5 *1 (-574 *5)) (-5 *3 (-409 (-953 *5)))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-558)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-558))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-381)) (-5 *1 (-1059))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-365)) (-5 *1 (-1025 *3 *2)) (-4 *2 (-646 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-5 *2 (-2 (|:| -2410 *3) (|:| -4194 (-634 *5)))) (-5 *1 (-1025 *5 *3)) (-5 *4 (-634 *5)) (-4 *3 (-646 *5))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-235 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-370)) (-5 *2 (-917)))) ((*1 *2 *3) (-12 (-5 *3 (-1244 *4)) (-4 *4 (-350)) (-5 *2 (-917)) (-5 *1 (-532 *4))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-944 (-215))) (-5 *2 (-1249)) (-5 *1 (-473))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-388 *2)) (-4 *2 (-1090)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-814 *2)) (-4 *2 (-842))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-53))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-53))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) ((*1 *2 *3) (-12 (-4 (-53) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-5 *1 (-482)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-484 *4)) (-4 *4 (-1037 *3)) (-4 *4 (-13 (-350) (-609 (-568)))))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-4 (-409 (-568)) (-1037 *3)) (-4 (-568) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-365)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763))))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-365)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-842) (-558))) (-14 *9 (-1 *5 *8)) (-5 *2 (-634 (-2 (|:| -1866 *7) (|:| -1844 (-763))))) (-5 *1 (-486 *5 *6 *7 *8 *9 *10)) (-4 *6 (-453)) (-4 *7 (-13 (-432 (-568)) (-558) (-1037 *8) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1037 *3)) (-4 *5 (-1037 *3)) (-4 *4 (-365)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 *3) (-1037 (-568)) (-161) (-895 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) ((*1 *2 *3) (-12 (-4 (-409 (-953 (-568))) (-1037 *3)) (-4 (-953 (-568)) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-5 *1 (-487)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-734 *4 (-568))))) (-14 *4 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-734 *5 (-568))))) (-5 *4 (-634 (-465))) (-14 *5 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *5 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 *4 (-568)))) (-634 (-465)))) (-5 *1 (-488 *4)) (-14 *4 *3)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002)))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-230 *3 *2)) (-4 *2 (-1195)) (-4 *2 (-1047)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-850)))) ((*1 *1 *1) (-5 *1 (-850))) ((*1 *2 *3 *3) (-12 (-5 *3 (-944 (-215))) (-5 *2 (-215)) (-5 *1 (-1192)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1242 *2)) (-4 *2 (-1195)) (-4 *2 (-1047))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *6 *4)) (-4 *4 (-1090)) (-4 *6 (-1090)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-673 *4 *5 *6)) (-4 *5 (-1090))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1244 (-1161))) (-5 *3 (-1244 (-454 *4 *5 *6 *7))) (-5 *1 (-454 *4 *5 *6 *7)) (-4 *4 (-172)) (-14 *5 (-917)) (-14 *6 (-634 (-1161))) (-14 *7 (-1244 (-679 *4))))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1244 (-454 *4 *5 *6 *7))) (-5 *1 (-454 *4 *5 *6 *7)) (-4 *4 (-172)) (-14 *5 (-917)) (-14 *6 (-634 *2)) (-14 *7 (-1244 (-679 *4))))) ((*1 *1 *2) (-12 (-5 *2 (-1244 (-454 *3 *4 *5 *6))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-1244 (-1161))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 *2)) (-14 *6 (-1244 (-679 *3))))) ((*1 *1) (-12 (-5 *1 (-454 *2 *3 *4 *5)) (-4 *2 (-172)) (-14 *3 (-917)) (-14 *4 (-634 (-1161))) (-14 *5 (-1244 (-679 *2)))))) 
-(((*1 *2 *3 *2 *4) (-12 (-5 *3 (-123)) (-5 *4 (-763)) (-4 *5 (-453)) (-4 *5 (-842)) (-4 *5 (-1037 (-568))) (-4 *5 (-558)) (-5 *1 (-46 *5 *2)) (-4 *2 (-432 *5)) (-4 *2 (-13 (-365) (-296) (-10 -8 (-15 -2319 ((-1113 *5 (-607 $)) $)) (-15 -2326 ((-1113 *5 (-607 $)) $)) (-15 -2747 ($ (-1113 *5 (-607 $)))))))))) 
-(((*1 *2) (-12 (-5 *2 (-381)) (-5 *1 (-1039))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-121)) (-5 *1 (-464)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-465))))) 
-(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-1143)) (-5 *3 (-818)) (-5 *1 (-817))))) 
-(((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-558)) (-5 *2 (-2 (|:| -4409 *3) (|:| -2607 *3))) (-5 *1 (-1214 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *1 *2 *2 *2) (-12 (-5 *1 (-877 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *1 *3 *3 *4) (-12 (-5 *3 (-1 (-850) (-850) (-850))) (-5 *4 (-568)) (-5 *2 (-850)) (-5 *1 (-638 *5 *6 *7)) (-4 *5 (-1090)) (-4 *6 (-23)) (-14 *7 *6))) ((*1 *2 *1 *2) (-12 (-5 *2 (-850)) (-5 *1 (-846 *3 *4 *5)) (-4 *3 (-1047)) (-14 *4 (-101 *3)) (-14 *5 (-1 *3 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-215)) (-5 *1 (-850)))) ((*1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-850)))) ((*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-850)))) ((*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-850)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-850)) (-5 *1 (-1157 *3)) (-4 *3 (-1047))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-1157 *4))) (-4 *4 (-365)) (-5 *2 (-2 (|:| |zeros| (-634 *4)) (|:| -3917 (-568)))) (-5 *1 (-1043 *4))))) 
-(((*1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-1247)))) ((*1 *2 *2) (-12 (-5 *2 (-917)) (-5 *1 (-1247))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-558)) (-5 *2 (-121))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-1161))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-634 *3))) (-4 *3 (-1047)) (-4 *1 (-677 *3 *4 *5)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-634 (-850)))) (-5 *1 (-850)))) ((*1 *2 *1) (-12 (-5 *2 (-1127 *3 *4)) (-5 *1 (-994 *3 *4)) (-14 *3 (-917)) (-4 *4 (-365)))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-634 *5))) (-4 *5 (-1047)) (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |preimage| (-634 *3)) (|:| |image| (-634 *3)))) (-5 *1 (-900 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-634 (-763))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1037 (-568))) (-4 *1 (-296)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-550)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-900 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-978 *4 *5 *6 *7))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-301)) (-5 *2 (-634 (-763))) (-5 *1 (-771 *3 *4 *5 *6 *7)) (-4 *3 (-1219 *6)) (-4 *7 (-950 *6 *4 *5))))) 
-(((*1 *1 *1 *2 *2 *2 *2) (-12 (-5 *2 (-568)) (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-634 (-171)))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-634 (-634 *3))) (-4 *3 (-324 *4 *5)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-4 *4 (-1047)) (-5 *1 (-772 *4 *3 *5 *6))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-568)) (-5 *1 (-420 *2)) (-4 *2 (-558))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-763)) (-5 *1 (-64 *3)) (-4 *3 (-1195)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1195)) (-5 *1 (-64 *3))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-310 (-215))) (-5 *1 (-299)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |num| (-887 *3)) (|:| |den| (-887 *3)))) (-5 *1 (-887 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-33 *3)) (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-117))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-1219 *4)) (-5 *1 (-544 *4 *2 *5 *6)) (-4 *4 (-301)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-763)))))) 
-(((*1 *2 *1 *2) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-1231 *2)) (-4 *2 (-1195))))) 
-(((*1 *1 *2 *1) (-12 (-4 *1 (-21)) (-5 *2 (-568)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-763)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-25)) (-5 *2 (-917)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-141 *2 *3 *4)) (-14 *2 (-568)) (-14 *3 (-763)) (-4 *4 (-172)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-215)) (-5 *1 (-158)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-917)) (-5 *1 (-158)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-944 *3)) (-4 *3 (-13 (-365) (-1181))) (-5 *1 (-219 *3)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-288 *2)) (-4 *2 (-1102)) (-4 *2 (-1195)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-288 *2)) (-4 *2 (-1102)) (-4 *2 (-1195)))) ((*1 *1 *2 *3) (-12 (-4 *1 (-320 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-137)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-363 *2)) (-4 *2 (-1090)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-363 *2)) (-4 *2 (-1090)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-383 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-842)))) ((*1 *1 *2 *3) (-12 (-4 *1 (-384 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-1090)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-388 *2)) (-4 *2 (-1090)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-388 *2)) (-4 *2 (-1090)))) ((*1 *1 *2 *1) (-12 (-14 *3 (-634 (-1161))) (-4 *4 (-172)) (-4 *6 (-230 (-1699 *3) (-763))) (-14 *7 (-1 (-121) (-2 (|:| -4357 *5) (|:| -3483 *6)) (-2 (|:| -4357 *5) (|:| -3483 *6)))) (-5 *1 (-463 *3 *4 *5 *6 *7 *2)) (-4 *5 (-842)) (-4 *2 (-950 *4 *6 (-852 *3))))) ((*1 *1 *1 *2) (-12 (-4 *1 (-475 *2 *3)) (-4 *2 (-172)) (-4 *3 (-23)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-475 *2 *3)) (-4 *2 (-172)) (-4 *3 (-23)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-365)) (-4 *3 (-788)) (-4 *4 (-842)) (-5 *1 (-514 *2 *3 *4 *5)) (-4 *5 (-950 *2 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1244 *3)) (-4 *3 (-350)) (-5 *1 (-532 *3)))) ((*1 *1 *1 *1) (-5 *1 (-541))) ((*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-594 *3)) (-4 *3 (-1047)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-594 *2)) (-4 *2 (-1047)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-1047)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-637 *2)) (-4 *2 (-1054)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-667 *2)) (-4 *2 (-842)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)) (-5 *2 (-1 *7 *5)) (-5 *1 (-673 *5 *6 *7)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1090)) (-4 *4 (-1047)) (-5 *1 (-674 *3 *4)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-677 *3 *2 *4)) (-4 *3 (-1047)) (-4 *2 (-375 *3)) (-4 *4 (-375 *3)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-677 *3 *4 *2)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *2 (-375 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-568)) (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)))) ((*1 *1 *1 *1) (-4 *1 (-710))) ((*1 *1 *1 *1) (-12 (-5 *1 (-733 *2 *3)) (-14 *2 (-1161)) (-4 *3 (-13 (-1047) (-842) (-558))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-814 *2)) (-4 *2 (-842)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-814 *2)) (-4 *2 (-842)))) ((*1 *1 *1 *1) (-5 *1 (-850))) ((*1 *1 *1 *1) (-12 (-5 *1 (-887 *2)) (-4 *2 (-1090)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-568)) (-4 *4 (-365)) (-4 *5 (-641 *4)) (-5 *2 (-236 *1)) (-4 *1 (-920 *4 *5)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1244 *4)) (-4 *4 (-1219 *3)) (-4 *3 (-558)) (-5 *1 (-970 *3 *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1053 *2)) (-4 *2 (-1054)))) ((*1 *1 *1 *1) (-4 *1 (-1102))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1111 *3 *4 *2 *5)) (-4 *4 (-1047)) (-4 *2 (-230 *3 *4)) (-4 *5 (-230 *3 *4)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-1111 *3 *4 *5 *2)) (-4 *4 (-1047)) (-4 *5 (-230 *3 *4)) (-4 *2 (-230 *3 *4)))) ((*1 *1 *2 *1) (-12 (-4 *3 (-1047)) (-4 *4 (-842)) (-5 *1 (-1114 *3 *4 *2)) (-4 *2 (-950 *3 (-534 *4) *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-944 (-215))) (-5 *3 (-215)) (-5 *1 (-1192)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1242 *2)) (-4 *2 (-1195)) (-4 *2 (-716)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1242 *2)) (-4 *2 (-1195)) (-4 *2 (-716)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-568)) (-4 *1 (-1242 *3)) (-4 *3 (-1195)) (-4 *3 (-21)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1259 *2 *3)) (-4 *2 (-842)) (-4 *3 (-1047)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1259 *3 *2)) (-4 *3 (-842)) (-4 *2 (-1047)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-1265 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-838))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-679 *5))) (-5 *4 (-568)) (-4 *5 (-365)) (-4 *5 (-1047)) (-5 *2 (-121)) (-5 *1 (-1029 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-679 *4))) (-4 *4 (-365)) (-4 *4 (-1047)) (-5 *2 (-121)) (-5 *1 (-1029 *4))))) 
-(((*1 *1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-944 (-215)) (-215))) (-5 *3 (-1084 (-215))) (-5 *1 (-926)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-944 (-215)) (-215))) (-5 *3 (-1084 (-215))) (-5 *1 (-926)))) ((*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-944 (-215)) (-215))) (-5 *3 (-1084 (-215))) (-5 *1 (-927)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-944 (-215)) (-215))) (-5 *3 (-1084 (-215))) (-5 *1 (-927))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1195)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4522)) (-4 *3 (-1090)) (-5 *1 (-96 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4522)) (-4 *3 (-1090)) (-5 *1 (-212 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4522)) (-4 *3 (-842)) (-5 *1 (-494 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| *1 (-6 -4522)) (-4 *1 (-499 *3)) (-4 *3 (-1195)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4522)) (-4 *3 (-1090)) (-5 *1 (-1000 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4522)) (-4 *3 (-1090)) (-5 *1 (-1132 *3))))) 
-(((*1 *1 *1) (-4 *1 (-1056)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1157 *1)) (-5 *4 (-1161)) (-4 *1 (-27)) (-5 *2 (-634 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-1157 *1)) (-4 *1 (-27)) (-5 *2 (-634 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-953 *1)) (-4 *1 (-27)) (-5 *2 (-634 *1)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-842) (-558))) (-5 *2 (-634 *1)) (-4 *1 (-29 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *2 (-634 *1)) (-4 *1 (-29 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-310 (-215))) (-5 *4 (-634 (-1161))) (-5 *5 (-1084 (-835 (-215)))) (-5 *2 (-1141 (-215))) (-5 *1 (-294))))) 
-(((*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-763)) (-4 *5 (-365)) (-5 *2 (-409 *6)) (-5 *1 (-861 *5 *4 *6)) (-4 *4 (-1234 *5)) (-4 *6 (-1219 *5)))) ((*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-763)) (-5 *4 (-1235 *5 *6 *7)) (-4 *5 (-365)) (-14 *6 (-1161)) (-14 *7 *5) (-5 *2 (-409 (-1216 *6 *5))) (-5 *1 (-862 *5 *6 *7)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-763)) (-5 *4 (-1235 *5 *6 *7)) (-4 *5 (-365)) (-14 *6 (-1161)) (-14 *7 *5) (-5 *2 (-409 (-1216 *6 *5))) (-5 *1 (-862 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-977 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-634 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1143)) (-5 *1 (-817))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-944 *3) (-944 *3))) (-5 *1 (-174 *3)) (-4 *3 (-13 (-365) (-1181) (-1002)))))) 
-(((*1 *2 *2) (-12 (-5 *1 (-961 *2)) (-4 *2 (-550))))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-1 (-381))) (-5 *1 (-1039)) (-5 *3 (-381))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-43 (-409 (-568)))) (-5 *2 (-2 (|:| -2788 (-1141 *4)) (|:| -2792 (-1141 *4)))) (-5 *1 (-1147 *4)) (-5 *3 (-1141 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-958 (-1157 *4))) (-5 *1 (-358 *4)) (-5 *3 (-1157 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1195)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *2 (-763)))) ((*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-5 *2 (-763))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-842)) (-5 *2 (-2 (|:| -2350 (-568)) (|:| |var| (-607 *1)))) (-4 *1 (-432 *3))))) 
-(((*1 *2) (-12 (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-1244 *1)) (-4 *1 (-340 *3 *4 *5))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1160)) (-5 *1 (-328))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1231 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-568)) (-5 *1 (-381))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-369 *4)) (-4 *4 (-172)) (-5 *2 (-679 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-419 *3)) (-4 *3 (-172)) (-5 *2 (-679 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-1157 *3)) (-5 *1 (-46 *4 *3)) (-4 *3 (-13 (-365) (-296) (-10 -8 (-15 -2319 ((-1113 *4 (-607 $)) $)) (-15 -2326 ((-1113 *4 (-607 $)) $)) (-15 -2747 ($ (-1113 *4 (-607 $)))))))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-158)))) ((*1 *2 *1) (-12 (-5 *2 (-158)) (-5 *1 (-869)))) ((*1 *2 *3) (-12 (-5 *3 (-944 *2)) (-5 *1 (-983 *2)) (-4 *2 (-1047))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-126 *3)) (-14 *3 *2))) ((*1 *1 *1) (-12 (-5 *1 (-126 *2)) (-14 *2 (-568)))) ((*1 *1 *1) (-12 (-4 *1 (-641 *2)) (-4 *2 (-365)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-568)) (-4 *1 (-641 *3)) (-4 *3 (-365)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-865 *3)) (-14 *3 *2))) ((*1 *1 *1) (-12 (-5 *1 (-865 *2)) (-14 *2 (-568)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-568)) (-14 *3 *2) (-5 *1 (-866 *3 *4)) (-4 *4 (-863 *3)))) ((*1 *1 *1) (-12 (-14 *2 (-568)) (-5 *1 (-866 *2 *3)) (-4 *3 (-863 *2)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-568)) (-4 *1 (-1205 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-1234 *3)))) ((*1 *1 *1) (-12 (-4 *1 (-1205 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-1234 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1157 *6)) (-4 *6 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-1157 *7)) (-5 *1 (-318 *4 *5 *6 *7)) (-4 *7 (-950 *6 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1157 (-568))) (-5 *2 (-568)) (-5 *1 (-943))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-235 *10)) (-4 *12 (-536 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1249)) (-5 *1 (-260 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-258 *12))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-62 *4 *2 *5)) (-4 *4 (-1195)) (-4 *5 (-375 *4)) (-4 *2 (-375 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-1050 *4 *5 *6 *2 *7)) (-4 *6 (-1047)) (-4 *7 (-230 *4 *6)) (-4 *2 (-230 *5 *6))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *5)) (-4 *5 (-172)) (-5 *1 (-141 *3 *4 *5)) (-14 *3 (-568)) (-14 *4 (-763))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *2 (-634 *4)) (-5 *1 (-1116 *3 *4)) (-4 *3 (-1219 *4)))) ((*1 *2 *3 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *2 (-634 *3)) (-5 *1 (-1116 *4 *3)) (-4 *4 (-1219 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-301)) (-5 *2 (-420 *3)) (-5 *1 (-732 *4 *5 *6 *3)) (-4 *3 (-950 *6 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1234 *4)) (-4 *4 (-43 (-409 (-568)))) (-5 *2 (-1 (-1141 *4) (-1141 *4))) (-5 *1 (-1236 *4 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-910 *3)) (-4 *3 (-301))))) 
+(((*1 *1 *1) (-5 *1 (-1060)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 *4 (-764) (-764) (-1159 *4))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 *4) (-764))))) (-5 *1 (-485 *4)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 *4 (-764) (-764) (-1159 *4))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 *4) (-764)))) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 *6) *6 (-1163))) (|:| A (-1 *5 (-764) (-764) (-1159 *5))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 *6 (-764) (-1163) *6)) (|:| C (-1 (-635 *5) (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 *6) *6 *3)) (|:| A (-1 *5 (-764) (-764) (-1159 *5))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 *6 (-764) *3 *6)) (|:| C (-1 (-635 *5) (-764)))) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 HPSPEC) (-5 *1 (-489 *4)) (-14 *4 (-1163)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 HPSPEC (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-615 *4 *2)) (-4 *2 (-13 (-1183) (-960) (-29 *4)))))) 
+(((*1 *1 *2 *2 *3) (-12 (-5 *3 (-635 (-1163))) (-4 *4 (-1091)) (-4 *5 (-13 (-1048) (-882 *4) (-843) (-610 (-888 *4)))) (-5 *1 (-1070 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-882 *4) (-610 (-888 *4)))))) ((*1 *1 *2 *2) (-12 (-4 *3 (-1091)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 (-888 *3)))) (-5 *1 (-1070 *3 *4 *2)) (-4 *2 (-13 (-433 *4) (-882 *3) (-610 (-888 *3))))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1038 (-569))) (-4 *1 (-297)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-901 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-555))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-534 *3)) (-4 *3 (-13 (-717) (-25)))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569))))) 
+(((*1 *1) (-5 *1 (-329)))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-764)) (-5 *5 (-635 *3)) (-4 *3 (-302)) (-4 *6 (-843)) (-4 *7 (-789)) (-5 *2 (-121)) (-5 *1 (-618 *6 *7 *3 *8)) (-4 *8 (-951 *3 *7 *6))))) 
+(((*1 *2 *3 *4 *4 *3 *3 *5) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-1159 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| -3032 *3) (|:| |coeff| *3))) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1091)))) ((*1 *2 *3 *4 *4 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-410 (-1159 *3))) (-4 *3 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| -3032 *3) (|:| |coeff| *3))) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1091))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1091)) (-5 *1 (-1170 *3))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1247 (-635 (-569)))) (-5 *1 (-492)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1197)) (-5 *1 (-599 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1197)) (-5 *1 (-1143 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1 *3)) (-4 *3 (-1197)) (-5 *1 (-1143 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-979 *4 *5 *6 *7))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-4 *2 (-1091)) (-4 *2 (-843)) (-5 *1 (-122 *2))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1266 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-121)) (-5 *1 (-825))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-226)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-263 *4)) (-4 *6 (-789)) (-5 *2 (-1 *1 (-764))) (-4 *1 (-247 *3 *4 *5 *6)))) ((*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *3 (-843)) (-4 *5 (-263 *3)) (-4 *6 (-789)) (-5 *2 (-1 *1 (-764))) (-4 *1 (-247 *4 *3 *5 *6)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-263 *2)) (-4 *2 (-843))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-764))) (-5 *3 (-172)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)) (-4 *5 (-1048))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302)) (-5 *2 (-635 (-764))) (-5 *1 (-772 *3 *4 *5 *6 *7)) (-4 *3 (-1222 *6)) (-4 *7 (-951 *6 *4 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-311 (-216)))) (-5 *4 (-764)) (-5 *2 (-680 (-216))) (-5 *1 (-264))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-843)) (-4 *4 (-366)) (-4 *5 (-789)) (-5 *2 (-2 (|:| |mval| (-680 *4)) (|:| |invmval| (-680 *4)) (|:| |genIdeal| (-515 *4 *5 *6 *7)))) (-5 *1 (-515 *4 *5 *6 *7)) (-4 *7 (-951 *4 *5 *6))))) 
+(((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| -2766 (-635 (-851))) (|:| -1498 (-635 (-851))) (|:| |presup| (-635 (-851))) (|:| -1427 (-635 (-851))) (|:| |args| (-635 (-851))))) (-5 *1 (-1163))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
+(((*1 *1 *1 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3))))) 
+(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3 *3 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-106 *3)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *1 (-106 *2)) (-4 *2 (-1091))))) 
+(((*1 *2) (-12 (-4 *2 (-13 (-433 *3) (-1003))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-843) (-559)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-351)) (-4 *4 (-328 *3)) (-4 *5 (-1222 *4)) (-5 *1 (-770 *3 *4 *5 *2 *6)) (-4 *2 (-1222 *5)) (-14 *6 (-918)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-4 *3 (-371)))) ((*1 *1 *1) (-12 (-4 *1 (-1264 *2)) (-4 *2 (-366)) (-4 *2 (-371))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) ((*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-13 (-407) (-1038 *4) (-366) (-1183) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1222 *4)))) ((*1 *1 *1) (-4 *1 (-551))) ((*1 *2 *1) (-12 (-5 *2 (-918)) (-5 *1 (-664 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-918)) (-5 *1 (-668 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-815 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-889 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-4 *1 (-996 *3)) (-4 *3 (-1197)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1195 *3)) (-4 *3 (-1197)))) ((*1 *2 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-1003)) (-4 *2 (-1048))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-849 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-944)) (-5 *3 (-569))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-901 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-172)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-635 (-680 (-569)))) (-5 *1 (-1101))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-329))))) 
+(((*1 *1 *1) (-5 *1 (-216))) ((*1 *1 *1) (-5 *1 (-382))) ((*1 *1) (-5 *1 (-382)))) 
+(((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-3 (-410 (-954 *6)) (-1152 (-1163) (-954 *6)))) (-5 *5 (-764)) (-4 *6 (-454)) (-5 *2 (-635 (-680 (-410 (-954 *6))))) (-5 *1 (-287 *6)) (-5 *4 (-680 (-410 (-954 *6)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-2 (|:| |eigval| (-3 (-410 (-954 *5)) (-1152 (-1163) (-954 *5)))) (|:| |eigmult| (-764)) (|:| |eigvec| (-635 *4)))) (-4 *5 (-454)) (-5 *2 (-635 (-680 (-410 (-954 *5))))) (-5 *1 (-287 *5)) (-5 *4 (-680 (-410 (-954 *5))))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-325 *4 *5)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-4 *4 (-1048)) (-5 *1 (-773 *4 *3 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-918) (-121))) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-918) (-121))) (-5 *1 (-466))))) 
+(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 (-680 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-821))))) 
+(((*1 *2 *3 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-635 (-569)))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-289 (-829 *3))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-829 *3)) (-5 *1 (-628 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 (-829 (-954 *5)))) (-4 *5 (-454)) (-5 *2 (-829 (-410 (-954 *5)))) (-5 *1 (-629 *5)) (-5 *3 (-410 (-954 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 (-410 (-954 *5)))) (-5 *3 (-410 (-954 *5))) (-4 *5 (-454)) (-5 *2 (-829 *3)) (-5 *1 (-629 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *1 (-990 *3 *4 *5 *6 *7)))) ((*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *1 (-1098 *3 *4 *5 *6 *7))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1204 *2)) (-4 *2 (-1048)))) ((*1 *1 *1) (-12 (-5 *1 (-1238 *2 *3 *4)) (-4 *2 (-1048)) (-14 *3 (-1163)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1242 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-1163))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-818))))) 
+(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-764)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-466))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-764)) (-5 *1 (-64 *3)) (-4 *3 (-1197)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-5 *1 (-64 *3))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| -4140 *4) (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-1062 *3 *4 *5)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| -4140 *3) (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-1222 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1229 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1206 *3))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-918)) (-5 *2 (-1247 (-635 (-2 (|:| -2247 *4) (|:| -3998 (-1109)))))) (-5 *1 (-348 *4)) (-4 *4 (-351))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-474)) (-5 *4 (-918)) (-5 *2 (-1252)) (-5 *1 (-1248))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-33 *3)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-918) "arbitrary")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-918) "arbitrary")) (-5 *1 (-466))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-990 *5 *6 *7 *8 *3)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1098 *5 *6 *7 *8 *3))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-510 *2)) (-14 *2 (-569)))) ((*1 *1 *1 *1) (-5 *1 (-1109)))) 
+(((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1163)) (-4 *4 (-1048)) (-4 *4 (-843)) (-5 *2 (-2 (|:| |var| (-608 *1)) (|:| -2356 (-569)))) (-4 *1 (-433 *4)))) ((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-123)) (-4 *4 (-1048)) (-4 *4 (-843)) (-5 *2 (-2 (|:| |var| (-608 *1)) (|:| -2356 (-569)))) (-4 *1 (-433 *4)))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-1103)) (-4 *3 (-843)) (-5 *2 (-2 (|:| |var| (-608 *1)) (|:| -2356 (-569)))) (-4 *1 (-433 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-888 *3)) (|:| -2356 (-764)))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-951 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| |var| *5) (|:| -2356 (-764)))))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-2 (|:| |var| *5) (|:| -2356 (-569)))) (-5 *1 (-952 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $)))))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1222 *4)) (-5 *1 (-545 *4 *2 *5 *6)) (-4 *4 (-302)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-764)))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-954 (-569))) (-5 *2 (-329)) (-5 *1 (-331)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-1083 (-954 (-569)))) (-5 *2 (-329)) (-5 *1 (-331)))) ((*1 *1 *2 *2 *2) (-12 (-5 *2 (-764)) (-5 *1 (-667 *3)) (-4 *3 (-1048)) (-4 *3 (-1091))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1178))))) 
+(((*1 *2 *3 *3) (-12 (-4 *2 (-559)) (-5 *1 (-971 *2 *3)) (-4 *3 (-1222 *2))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-128 *2)) (-4 *2 (-1197)))) ((*1 *1 *1) (-12 (-5 *1 (-664 *2)) (-4 *2 (-843)))) ((*1 *1 *1) (-12 (-5 *1 (-668 *2)) (-4 *2 (-843)))) ((*1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-841) (-366))) (-5 *1 (-1058 *2 *3)) (-4 *3 (-1222 *2))))) 
+(((*1 *2 *1 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-410 *2)) (-5 *4 (-1 *2 *2)) (-4 *2 (-1222 *5)) (-5 *1 (-718 *5 *2)) (-4 *5 (-366))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-382)))) ((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-382))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-680 *5))) (-5 *4 (-569)) (-4 *5 (-366)) (-4 *5 (-1048)) (-5 *2 (-121)) (-5 *1 (-1030 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-680 *4))) (-4 *4 (-366)) (-4 *4 (-1048)) (-5 *2 (-121)) (-5 *1 (-1030 *4))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-819)) (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *1) (-5 *1 (-1252)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-37 *3)) (-4 *3 (-366)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 *1)) (-5 *3 (-764)) (-4 *1 (-37 *4)) (-4 *4 (-366)))) ((*1 *2 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-972 *3)) (-4 *3 (-366)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 *1)) (-5 *3 (-764)) (-4 *1 (-972 *4)) (-4 *4 (-366))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1091)) (-5 *2 (-635 (-2 (|:| |k| *4) (|:| |c| *3)))))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| (-889 *3)) (|:| |c| *4)))) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-664 *3))) (-5 *1 (-889 *3)) (-4 *3 (-843))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197))))) 
+(((*1 *1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-945 (-216)) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-927)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-945 (-216)) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-927)))) ((*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-945 (-216)) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-945 (-216)) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) ((*1 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-843) (-559)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-5 *1 (-594 *3)) (-4 *3 (-1048))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4536)) (-4 *3 (-1091)) (-5 *1 (-96 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4536)) (-4 *3 (-1091)) (-5 *1 (-213 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4536)) (-4 *3 (-843)) (-5 *1 (-495 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| *1 (-6 -4536)) (-4 *1 (-500 *3)) (-4 *3 (-1197)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4536)) (-4 *3 (-1091)) (-5 *1 (-1001 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4536)) (-4 *3 (-1091)) (-5 *1 (-1133 *3))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-1084 *3)) (-4 *3 (-1197)) (-5 *2 (-569))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-918)) (-4 *1 (-737 *3)) (-4 *3 (-173))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *6) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-635 *3)) (-5 *6 (-1159 *3)) (-4 *3 (-13 (-433 *7) (-27) (-1183))) (-4 *7 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-565 *7 *3 *8)) (-4 *8 (-1091)))) ((*1 *2 *3 *4 *4 *5 *4 *3 *6) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-635 *3)) (-5 *6 (-410 (-1159 *3))) (-4 *3 (-13 (-433 *7) (-27) (-1183))) (-4 *7 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-565 *7 *3 *8)) (-4 *8 (-1091))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-510 *2)) (-14 *2 (-569)))) ((*1 *1 *1) (-5 *1 (-1109)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197))))) 
+(((*1 *1 *1) (-4 *1 (-1057)))) 
+(((*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-454)) (-4 *3 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-451 *4 *3 *5 *6)) (-4 *6 (-951 *4 *3 *5))))) 
+(((*1 *1 *2 *3) (-12 (-5 *1 (-430 *3 *2)) (-4 *3 (-13 (-173) (-43 (-410 (-569))))) (-4 *2 (-13 (-843) (-21)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *4)) (-4 *8 (-642 *4)) (-4 *9 (-921 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *12)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *12)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-635 (-260 (-538 *3 *4 *5)))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-635 (-260 (-514 *3 *4 *5)))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1159 *1)) (-5 *4 (-1163)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-1159 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-954 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-635 (-1163))) (-5 *5 (-1085 (-836 (-216)))) (-5 *2 (-1143 (-216))) (-5 *1 (-295))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-326 *3)) (-4 *3 (-1197)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-526 *3 *4)) (-4 *3 (-1197)) (-14 *4 *2)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-559)) (-4 *4 (-994 *3)) (-5 *1 (-144 *3 *4 *2)) (-4 *2 (-376 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-994 *4)) (-4 *2 (-376 *4)) (-5 *1 (-513 *4 *5 *2 *3)) (-4 *3 (-376 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-680 *5)) (-4 *5 (-994 *4)) (-4 *4 (-559)) (-5 *2 (-680 *4)) (-5 *1 (-683 *4 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-559)) (-4 *4 (-994 *3)) (-5 *1 (-1215 *3 *4 *2)) (-4 *2 (-1222 *4))))) 
+(((*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-764)) (-4 *5 (-366)) (-5 *2 (-410 *6)) (-5 *1 (-862 *5 *4 *6)) (-4 *4 (-1237 *5)) (-4 *6 (-1222 *5)))) ((*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-764)) (-5 *4 (-1238 *5 *6 *7)) (-4 *5 (-366)) (-14 *6 (-1163)) (-14 *7 *5) (-5 *2 (-410 (-1219 *6 *5))) (-5 *1 (-863 *5 *6 *7)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-764)) (-5 *4 (-1238 *5 *6 *7)) (-4 *5 (-366)) (-14 *6 (-1163)) (-14 *7 *5) (-5 *2 (-410 (-1219 *6 *5))) (-5 *1 (-863 *5 *6 *7))))) 
+(((*1 *2 *1 *1) (|partial| -12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-440))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5 *4)) (-4 *5 (-1091)) (-4 *4 (-1091)) (-4 *6 (-1091)) (-5 *2 (-1 *6 *5)) (-5 *1 (-674 *5 *4 *6))))) 
+(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-635 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1085 *3)) (-5 *1 (-1083 *3)) (-4 *3 (-1197)))) ((*1 *1 *2 *2) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197)))) ((*1 *1 *2) (-12 (-5 *1 (-1213 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-397))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-978 *4 *5 *6 *3)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |rnum| *4) (|:| |polnum| *3) (|:| |den| *4)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-764)) (-5 *1 (-1065 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1100 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-764)) (-5 *1 (-1131 *5 *6 *7 *8 *9))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *4 (-569))) (-5 *5 (-1 (-1143 *4))) (-4 *4 (-366)) (-4 *4 (-1048)) (-5 *2 (-1143 *4)) (-5 *1 (-1147 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-818))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-5 *2 (-680 *4)) (-5 *1 (-810 *4 *5)) (-4 *5 (-647 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-764)) (-4 *5 (-366)) (-5 *2 (-680 *5)) (-5 *1 (-810 *5 *6)) (-4 *6 (-647 *5))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *2)) (-4 *2 (-139)) (-5 *1 (-1077 *2)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-569) *2 *2)) (-4 *2 (-139)) (-5 *1 (-1077 *2))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 *6 *5)) (-5 *1 (-697 *4 *5 *6)) (-4 *4 (-610 (-542))) (-4 *5 (-1197)) (-4 *6 (-1197))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -1743 *4) (|:| -2492 (-569))))) (-4 *4 (-1222 (-569))) (-5 *2 (-728 (-764))) (-5 *1 (-444 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-421 *5)) (-4 *5 (-1222 *4)) (-4 *4 (-1048)) (-5 *2 (-728 (-764))) (-5 *1 (-446 *4 *5))))) 
+(((*1 *2 *2) (-12 (-5 *1 (-962 *2)) (-4 *2 (-551))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(((*1 *2) (-12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-635 (-635 *4))) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *3 (-371)) (-5 *2 (-635 (-635 *3))))) ((*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *7)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-635 (-968 *3))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-635 (-967 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-5 *2 (-635 *8)) (-5 *1 (-964 *5 *6 *3 *7 *8)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *8 (-972 *5))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-2 (|:| -2513 (-1143 *4)) (|:| -2522 (-1143 *4)))) (-5 *1 (-1149 *4)) (-5 *3 (-1143 *4))))) 
+(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-1252)) (-5 *1 (-451 *4 *5 *6 *3)) (-4 *3 (-951 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-959 (-1159 *4))) (-5 *1 (-359 *4)) (-5 *3 (-1159 *4))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-1163)) (-5 *1 (-542)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-695 *3)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *2 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-695 *3)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *2 *2 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-695 *3)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *2 *4) (-12 (-5 *4 (-635 (-1163))) (-5 *2 (-1163)) (-5 *1 (-695 *3)) (-4 *3 (-610 (-542)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1118 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1118 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-954 *5)))) (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1118 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-289 (-410 (-954 *4)))) (-4 *4 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1118 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 *5)))) (-5 *4 (-635 (-1163))) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *5))))) (-5 *1 (-1118 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 *4)))) (-4 *4 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *4))))) (-5 *1 (-1118 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-289 (-410 (-954 *5))))) (-5 *4 (-635 (-1163))) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *5))))) (-5 *1 (-1118 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-289 (-410 (-954 *4))))) (-4 *4 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *4))))) (-5 *1 (-1118 *4))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-759 *2 *3)) (-4 *2 (-699 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-764))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-635 (-1163))))) ((*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1048) (-843))) (-14 *4 (-635 (-1163))))) ((*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-371)) (-4 *2 (-366)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-334 *3 *4 *5 *2)) (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *2 (-341 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-173)))) ((*1 *1) (-12 (-4 *2 (-173)) (-4 *1 (-715 *2 *3)) (-4 *3 (-1222 *2))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *5 (-635 *5))) (-4 *5 (-1237 *4)) (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-1 (-1143 *4) (-635 (-1143 *4)))) (-5 *1 (-1239 *4 *5))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-843)) (-5 *2 (-2 (|:| -4140 (-569)) (|:| |var| (-608 *1)))) (-4 *1 (-433 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-391)) (-5 *1 (-624))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788)))) ((*1 *2 *1) (-12 (-4 *1 (-385 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-14 *3 (-635 (-1163))) (-4 *4 (-173)) (-4 *6 (-231 (-4168 *3) (-764))) (-14 *7 (-1 (-121) (-2 (|:| -3998 *5) (|:| -2356 *6)) (-2 (|:| -3998 *5) (|:| -2356 *6)))) (-5 *2 (-704 *5 *6 *7)) (-5 *1 (-464 *3 *4 *5 *6 *7 *8)) (-4 *5 (-843)) (-4 *8 (-951 *4 *6 (-853 *3))))) ((*1 *2 *1) (-12 (-4 *2 (-717)) (-4 *2 (-843)) (-5 *1 (-726 *3 *2)) (-4 *3 (-1048)))) ((*1 *1 *1) (-12 (-4 *1 (-975 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-788)) (-4 *4 (-843))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) ((*1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *2) (-12 (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-1247 *1)) (-4 *1 (-341 *3 *4 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *3 (-788)) (-4 *2 (-1048)))) ((*1 *2 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-843))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1162)) (-5 *1 (-329))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-433 *3)) (-4 *3 (-843)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-734 *3 *4)) (-14 *3 (-1163)) (-4 *4 (-13 (-1048) (-843) (-559))))) ((*1 *2 *1) (-12 (-4 *1 (-859)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-13 (-407) (-1038 *4) (-366) (-1183) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1222 *4))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-569)) (-5 *1 (-382))))) 
+(((*1 *1 *1) (-4 *1 (-239))) ((*1 *1 *1) (-12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1222 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (-2232 (-12 (-5 *1 (-289 *2)) (-4 *2 (-366)) (-4 *2 (-1197))) (-12 (-5 *1 (-289 *2)) (-4 *2 (-479)) (-4 *2 (-1197))))) ((*1 *1 *1) (-4 *1 (-479))) ((*1 *2 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-351)) (-5 *1 (-533 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-706 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)) (-4 *2 (-366))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1095)) (-5 *3 (-767)) (-5 *1 (-57))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-918)) (-4 *5 (-843)) (-5 *2 (-64 (-635 (-664 *5)))) (-5 *1 (-664 *5))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-680 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-680 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1183) (-433 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-410 (-569))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-410 (-569))) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-410 (-569)))) (-5 *4 (-289 *8)) (-5 *5 (-1213 (-410 (-569)))) (-5 *6 (-410 (-569))) (-4 *8 (-13 (-27) (-1183) (-433 *7))) (-4 *7 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *8)))) ((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-5 *6 (-1213 (-410 (-569)))) (-5 *7 (-410 (-569))) (-4 *3 (-13 (-27) (-1183) (-433 *8))) (-4 *8 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *8 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-4 *4 (-1048)) (-4 *1 (-1229 *4 *3)) (-4 *3 (-1206 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-1159 *3)) (-5 *1 (-46 *4 *3)) (-4 *3 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *4 (-608 $)) $)) (-15 -4121 ((-1114 *4 (-608 $)) $)) (-15 -2185 ($ (-1114 *4 (-608 $)))))))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1183) (-433 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-13 (-454) (-843) (-1038 *4) (-631 *4))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-454) (-843) (-1038 *5) (-631 *5))) (-5 *5 (-569)) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-569))) (-5 *4 (-289 *7)) (-5 *5 (-1213 (-569))) (-4 *7 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-5 *6 (-1213 (-569))) (-4 *3 (-13 (-27) (-1183) (-433 *7))) (-4 *7 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-569)) (-4 *4 (-1048)) (-4 *1 (-1208 *4 *3)) (-4 *3 (-1237 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1229 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1206 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-366)) (-5 *1 (-530 *2 *4 *5 *3)) (-4 *3 (-678 *2 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (|has| *2 (-6 (-4537 "*"))) (-4 *2 (-1048)))) ((*1 *2 *3) (-12 (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-173)) (-5 *1 (-679 *2 *4 *5 *3)) (-4 *3 (-678 *2 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-1112 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (|has| *2 (-6 (-4537 "*"))) (-4 *2 (-1048))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-159)))) ((*1 *2 *1) (-12 (-5 *2 (-159)) (-5 *1 (-870)))) ((*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048))))) 
+(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1183) (-433 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-764)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-569))) (-5 *4 (-289 *6)) (-4 *6 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-569))) (-5 *4 (-289 *7)) (-5 *5 (-1213 (-764))) (-4 *7 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-5 *6 (-1213 (-764))) (-4 *3 (-13 (-27) (-1183) (-433 *7))) (-4 *7 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1208 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1237 *3))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-126 *3)) (-14 *3 *2))) ((*1 *1 *1) (-12 (-5 *1 (-126 *2)) (-14 *2 (-569)))) ((*1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-866 *3)) (-14 *3 *2))) ((*1 *1 *1) (-12 (-5 *1 (-866 *2)) (-14 *2 (-569)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-14 *3 *2) (-5 *1 (-867 *3 *4)) (-4 *4 (-864 *3)))) ((*1 *1 *1) (-12 (-14 *2 (-569)) (-5 *1 (-867 *2 *3)) (-4 *3 (-864 *2)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-1208 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1237 *3)))) ((*1 *1 *1) (-12 (-4 *1 (-1208 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-1237 *2))))) 
+(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1183))) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-841)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1064 *4 *3)) (-4 *4 (-13 (-841) (-366))) (-4 *3 (-1222 *4)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1159 *6)) (-4 *6 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-1159 *7)) (-5 *1 (-319 *4 *5 *6 *7)) (-4 *7 (-951 *6 *4 *5))))) 
+(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 *1)) (-4 *1 (-297)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-608 *3)) (-4 *3 (-843)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-123)) (-5 *3 (-635 *5)) (-5 *4 (-764)) (-4 *5 (-843)) (-5 *1 (-608 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1159 (-569))) (-5 *2 (-569)) (-5 *1 (-944))))) 
+(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
+(((*1 *1 *1) (-5 *1 (-53))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-64 *5)) (-4 *5 (-1197)) (-4 *2 (-1197)) (-5 *1 (-63 *5 *2)))) ((*1 *2 *3 *1 *2 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1091)) (|has| *1 (-6 -4535)) (-4 *1 (-155 *2)) (-4 *2 (-1197)))) ((*1 *2 *3 *1 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4535)) (-4 *1 (-155 *2)) (-4 *2 (-1197)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4535)) (-4 *1 (-155 *2)) (-4 *2 (-1197)))) ((*1 *2 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-2 (|:| -3698 (-1159 *4)) (|:| |deg| (-918)))) (-5 *1 (-212 *4 *5)) (-5 *3 (-1159 *4)) (-4 *5 (-13 (-559) (-843))))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *6 *2)) (-5 *4 (-233 *5 *6)) (-14 *5 (-764)) (-4 *6 (-1197)) (-4 *2 (-1197)) (-5 *1 (-232 *5 *6 *2)))) ((*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-285 *4 *2 *3 *5 *6 *7)) (-4 *2 (-1222 *4)) (-4 *3 (-23)) (-14 *5 (-1 *2 *2 *3)) (-14 *6 (-1 (-3 *3 "failed") *3 *3)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-311 *2)) (-4 *2 (-559)) (-4 *2 (-843)))) ((*1 *1 *1) (-12 (-4 *1 (-334 *2 *3 *4 *5)) (-4 *2 (-366)) (-4 *3 (-1222 *2)) (-4 *4 (-1222 (-410 *3))) (-4 *5 (-341 *2 *3 *4)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1197)) (-4 *2 (-1197)) (-5 *1 (-374 *5 *4 *2 *6)) (-4 *4 (-376 *5)) (-4 *6 (-376 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1091)) (-4 *2 (-1091)) (-5 *1 (-426 *5 *4 *2 *6)) (-4 *4 (-428 *5)) (-4 *6 (-428 *2)))) ((*1 *1 *1) (-5 *1 (-505))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-635 *5)) (-4 *5 (-1197)) (-4 *2 (-1197)) (-5 *1 (-633 *5 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1048)) (-4 *2 (-1048)) (-4 *6 (-376 *5)) (-4 *7 (-376 *5)) (-4 *8 (-376 *2)) (-4 *9 (-376 *2)) (-5 *1 (-676 *5 *6 *7 *4 *2 *8 *9 *10)) (-4 *4 (-678 *5 *6 *7)) (-4 *10 (-678 *2 *8 *9)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-702 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-703 *3 *2)) (-4 *2 (-1222 *3)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-706 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-410 *4)) (-4 *4 (-1222 *3)) (-4 *3 (-366)) (-4 *3 (-173)) (-4 *1 (-715 *3 *4)))) ((*1 *1 *2) (-12 (-4 *3 (-173)) (-4 *1 (-715 *3 *2)) (-4 *2 (-1222 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-859)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-921 *4 *5)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-237 *1)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-959 *5)) (-4 *5 (-1197)) (-4 *2 (-1197)) (-5 *1 (-958 *5 *2)))) ((*1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-1035 *3 *4 *5 *2 *6)) (-4 *2 (-951 *3 *4 *5)) (-14 *6 (-635 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *7 *2)) (-4 *7 (-1048)) (-4 *2 (-1048)) (-14 *5 (-764)) (-14 *6 (-764)) (-4 *8 (-231 *6 *7)) (-4 *9 (-231 *5 *7)) (-4 *10 (-231 *6 *2)) (-4 *11 (-231 *5 *2)) (-5 *1 (-1053 *5 *6 *7 *8 *9 *4 *2 *10 *11 *12)) (-4 *4 (-1051 *5 *6 *7 *8 *9)) (-4 *12 (-1051 *5 *6 *2 *10 *11)))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1143 *5)) (-4 *5 (-1197)) (-4 *2 (-1197)) (-5 *1 (-1141 *5 *2)))) ((*1 *2 *2 *1 *3 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *4 (-1 (-121) *2 *2)) (-4 *1 (-1191 *5 *6 *7 *2)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *2 (-1062 *5 *6 *7)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1247 *5)) (-4 *5 (-1197)) (-4 *2 (-1197)) (-5 *1 (-1246 *5 *2))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) (-5 *2 (-635 (-1163))) (-5 *1 (-264)))) ((*1 *2 *3) (-12 (-5 *3 (-1159 *7)) (-4 *7 (-951 *6 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-5 *2 (-635 *5)) (-5 *1 (-319 *4 *5 *6 *7)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-338 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-390)))) ((*1 *2 *1) (-12 (-4 *1 (-433 *3)) (-4 *3 (-843)) (-5 *2 (-635 (-1163))))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-888 *3))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-951 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-635 *5)) (-5 *1 (-952 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $))))))) ((*1 *2 *1) (-12 (-4 *1 (-975 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-788)) (-4 *5 (-843)) (-5 *2 (-635 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-635 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-559)) (-5 *2 (-635 (-1163))) (-5 *1 (-1043 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-366)) (-5 *1 (-654 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1252)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12))))) 
+(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-608 *6)) (-4 *6 (-13 (-433 *5) (-27) (-1183))) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-1159 (-410 (-1159 *6)))) (-5 *1 (-565 *5 *6 *7)) (-5 *3 (-1159 *6)) (-4 *7 (-1091)))) ((*1 *2 *1) (-12 (-4 *2 (-1222 *3)) (-5 *1 (-703 *3 *2)) (-4 *3 (-1048)))) ((*1 *2 *1) (-12 (-4 *1 (-715 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1222 *3)))) ((*1 *2 *3 *4 *4 *5 *6 *7 *8) (|partial| -12 (-5 *4 (-1159 *11)) (-5 *6 (-635 *10)) (-5 *7 (-635 (-764))) (-5 *8 (-635 *11)) (-4 *10 (-843)) (-4 *11 (-302)) (-4 *9 (-789)) (-4 *5 (-951 *11 *9 *10)) (-5 *2 (-635 (-1159 *5))) (-5 *1 (-733 *9 *10 *11 *5)) (-5 *3 (-1159 *5)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-859)))) ((*1 *2 *1) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-859)))) ((*1 *2 *1) (-12 (-4 *2 (-951 *3 *4 *5)) (-5 *1 (-1035 *3 *4 *5 *2 *6)) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-14 *6 (-635 *2))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1159 (-410 (-1159 *2)))) (-5 *4 (-608 *2)) (-4 *2 (-13 (-433 *5) (-27) (-1183))) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *1 (-565 *5 *2 *6)) (-4 *6 (-1091)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-951 *4 *5 *3)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1159 *4)) (-4 *4 (-1048)) (-4 *1 (-951 *4 *5 *3)) (-4 *5 (-789)) (-4 *3 (-843)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-1159 *2))) (-4 *5 (-789)) (-4 *4 (-843)) (-4 *6 (-1048)) (-4 *2 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $))))) (-5 *1 (-952 *5 *4 *6 *7 *2)) (-4 *7 (-951 *6 *5 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-1159 (-410 (-954 *5))))) (-5 *4 (-1163)) (-5 *2 (-410 (-954 *5))) (-5 *1 (-1043 *5)) (-4 *5 (-559))))) 
+(((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-635 *1)) (-4 *1 (-302))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1145))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *4 *2 *5)) (-4 *4 (-1197)) (-4 *5 (-376 *4)) (-4 *2 (-376 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1051 *4 *5 *6 *2 *7)) (-4 *6 (-1048)) (-4 *7 (-231 *4 *6)) (-4 *2 (-231 *5 *6))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *1) (-4 *1 (-503))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
+(((*1 *1 *2 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-635 (-918))) (-5 *1 (-156 *4 *2 *5)) (-14 *4 (-918)) (-4 *2 (-366)) (-14 *5 (-995 *4 *2)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-704 *5 *6 *7)) (-4 *5 (-843)) (-4 *6 (-231 (-4168 *4) (-764))) (-14 *7 (-1 (-121) (-2 (|:| -3998 *5) (|:| -2356 *6)) (-2 (|:| -3998 *5) (|:| -2356 *6)))) (-14 *4 (-635 (-1163))) (-4 *2 (-173)) (-5 *1 (-464 *4 *2 *5 *6 *7 *8)) (-4 *8 (-951 *2 *6 (-853 *4))))) ((*1 *1 *2 *3) (-12 (-4 *1 (-519 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-843)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-4 *2 (-559)) (-5 *1 (-616 *2 *4)) (-4 *4 (-1222 *2)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-699 *2)) (-4 *2 (-1048)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-726 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-717)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *5)) (-5 *3 (-635 (-764))) (-4 *1 (-731 *4 *5)) (-4 *4 (-1048)) (-4 *5 (-843)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-731 *4 *2)) (-4 *4 (-1048)) (-4 *2 (-843)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-845 *2)) (-4 *2 (-1048)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *6)) (-5 *3 (-635 (-764))) (-4 *1 (-951 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-951 *4 *5 *2)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *2 (-843)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *6)) (-5 *3 (-635 *5)) (-4 *1 (-975 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-788)) (-4 *6 (-843)))) ((*1 *1 *1 *2 *3) (-12 (-4 *1 (-975 *4 *3 *2)) (-4 *4 (-1048)) (-4 *3 (-788)) (-4 *2 (-843))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1091)) (-4 *4 (-23)) (-14 *5 *4)))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *5)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-764))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *1) (-4 *1 (-503))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 *4)))) (-5 *1 (-885 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)))) ((*1 *2 *1) (-12 (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-635 *1)) (-4 *1 (-1094 *3 *4 *5 *6 *7))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1163)) (-5 *5 (-635 (-410 (-954 *6)))) (-5 *3 (-410 (-954 *6))) (-4 *6 (-13 (-559) (-1038 (-569)) (-151))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-575 *6))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *1) (-4 *1 (-503))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1247 *4)) (-4 *4 (-1197)) (-4 *1 (-231 *3 *4))))) 
+(((*1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-752))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *1 *1) (-4 *1 (-503))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-635 (-608 *4))) (-4 *4 (-433 *3)) (-4 *3 (-843)) (-5 *1 (-578 *3 *4)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-885 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-311 *4)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 (-170 *4)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3)))))) 
+(((*1 *2 *3 *4 *5 *6 *2 *7 *8) (|partial| -12 (-5 *2 (-635 (-1159 *11))) (-5 *3 (-1159 *11)) (-5 *4 (-635 *10)) (-5 *5 (-635 *8)) (-5 *6 (-635 (-764))) (-5 *7 (-1247 (-635 (-1159 *8)))) (-4 *10 (-843)) (-4 *8 (-302)) (-4 *11 (-951 *8 *9 *10)) (-4 *9 (-789)) (-5 *1 (-698 *9 *10 *8 *11))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1268 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-839))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *1 *1) (-4 *1 (-503))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-311 *4)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 (-170 *4)))))) ((*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -2087 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *1 *1) (-4 *1 (-859)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *1 *1) (-4 *1 (-503))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-53))) (-5 *2 (-421 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1222 (-53))))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1222 (-53))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-53))) (-4 *5 (-843)) (-4 *6 (-789)) (-5 *2 (-421 *3)) (-5 *1 (-47 *5 *6 *3)) (-4 *3 (-951 (-53) *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-53))) (-4 *5 (-843)) (-4 *6 (-789)) (-4 *7 (-951 (-53) *6 *5)) (-5 *2 (-421 (-1159 *7))) (-5 *1 (-47 *5 *6 *7)) (-5 *3 (-1159 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-168 *4 *3)) (-4 *3 (-1222 (-170 *4))))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *4 (-13 (-366) (-841))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4))))) ((*1 *2 *3 *4) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1222 *4)))) ((*1 *2 *3 *4) (-12 (-4 *4 (-855)) (-5 *2 (-421 (-1159 *4))) (-5 *1 (-316 *4)) (-5 *3 (-1159 *4)))) ((*1 *2 *3 *4) (-12 (-4 *4 (-860)) (-5 *2 (-421 (-1159 *4))) (-5 *1 (-318 *4)) (-5 *3 (-1159 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1222 *4)))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-764))) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-764))) (-5 *5 (-764)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-764)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3) (-12 (-5 *2 (-421 (-170 (-569)))) (-5 *1 (-448)) (-5 *3 (-170 (-569))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-4 *5 (-789)) (-4 *7 (-559)) (-5 *2 (-421 *3)) (-5 *1 (-459 *4 *5 *6 *7 *3)) (-4 *6 (-559)) (-4 *3 (-951 *7 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-302)) (-5 *2 (-421 (-1159 *4))) (-5 *1 (-461 *4)) (-5 *3 (-1159 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1222 *5)) (-4 *5 (-366)) (-4 *7 (-13 (-366) (-151) (-715 *5 *6))) (-5 *2 (-421 *3)) (-5 *1 (-504 *5 *6 *7 *3)) (-4 *3 (-1222 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 (-1159 *7)) (-1159 *7))) (-4 *7 (-13 (-302) (-151))) (-4 *5 (-843)) (-4 *6 (-789)) (-5 *2 (-421 *3)) (-5 *1 (-546 *5 *6 *7 *3)) (-4 *3 (-951 *7 *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 (-1159 *7)) (-1159 *7))) (-4 *7 (-13 (-302) (-151))) (-4 *5 (-843)) (-4 *6 (-789)) (-4 *8 (-951 *7 *6 *5)) (-5 *2 (-421 (-1159 *8))) (-5 *1 (-546 *5 *6 *7 *8)) (-5 *3 (-1159 *8)))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-562 *3)) (-4 *3 (-551)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-644 (-410 *6)))) (-5 *1 (-648 *5 *6)) (-5 *3 (-644 (-410 *6))))) ((*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *2 (-635 (-644 (-410 *5)))) (-5 *1 (-648 *4 *5)) (-5 *3 (-644 (-410 *5))))) ((*1 *2 *3) (-12 (-5 *3 (-815 *4)) (-4 *4 (-843)) (-5 *2 (-635 (-664 *4))) (-5 *1 (-664 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-5 *2 (-635 *3)) (-5 *1 (-686 *3)) (-4 *3 (-1222 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-843)) (-4 *5 (-789)) (-4 *6 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-688 *4 *5 *6 *3)) (-4 *3 (-951 *6 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-843)) (-4 *5 (-789)) (-4 *6 (-351)) (-4 *7 (-951 *6 *5 *4)) (-5 *2 (-421 (-1159 *7))) (-5 *1 (-688 *4 *5 *6 *7)) (-5 *3 (-1159 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-721 *4 *5 *6 *3)) (-4 *3 (-951 (-954 *6) *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $))))) (-4 *6 (-559)) (-5 *2 (-421 *3)) (-5 *1 (-723 *4 *5 *6 *3)) (-4 *3 (-951 (-410 (-954 *6)) *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-724 *4 *5 *6 *3)) (-4 *3 (-951 (-410 *6) *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-843)) (-4 *5 (-789)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-732 *4 *5 *6 *3)) (-4 *3 (-951 *6 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-843)) (-4 *5 (-789)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-951 *6 *5 *4)) (-5 *2 (-421 (-1159 *7))) (-5 *1 (-732 *4 *5 *6 *7)) (-5 *3 (-1159 *7)))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1008 *3)) (-4 *3 (-1222 (-410 (-569)))))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1041 *3)) (-4 *3 (-1222 (-410 (-954 (-569))))))) ((*1 *2 *3) (-12 (-4 *4 (-1222 (-410 (-569)))) (-4 *5 (-13 (-366) (-151) (-715 (-410 (-569)) *4))) (-5 *2 (-421 *3)) (-5 *1 (-1073 *4 *5 *3)) (-4 *3 (-1222 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-1222 (-410 (-954 (-569))))) (-4 *5 (-13 (-366) (-151) (-715 (-410 (-954 (-569))) *4))) (-5 *2 (-421 *3)) (-5 *1 (-1075 *4 *5 *3)) (-4 *3 (-1222 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-454)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-421 (-1159 (-410 *7)))) (-5 *1 (-1158 *4 *5 *6 *7)) (-5 *3 (-1159 (-410 *7))))) ((*1 *2 *1) (-12 (-5 *2 (-421 *1)) (-4 *1 (-1202)))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1211 *3)) (-4 *3 (-1222 (-569)))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-321 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-138))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *1 (-800 *4 *2)) (-4 *2 (-13 (-29 *4) (-1183) (-960))))) ((*1 *1 *1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1) (-5 *1 (-851))) ((*1 *2 *3) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-1147 *3)) (-4 *3 (-1048))))) 
+(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-608 *1)) (-4 *1 (-433 *4)) (-4 *4 (-843)) (-4 *4 (-559)) (-5 *2 (-410 (-1159 *1))))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-608 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-1159 (-410 (-1159 *3)))) (-5 *1 (-565 *6 *3 *7)) (-5 *5 (-1159 *3)) (-4 *7 (-1091)))) ((*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *2 (-1159 *4)) (-5 *1 (-909 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1243 *5)) (-14 *5 (-1163)) (-4 *6 (-1048)) (-5 *2 (-1219 *5 (-954 *6))) (-5 *1 (-949 *5 *6)) (-5 *3 (-954 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-951 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-1159 *3)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-5 *2 (-1159 *1)) (-4 *1 (-951 *4 *5 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-789)) (-4 *4 (-843)) (-4 *6 (-1048)) (-4 *7 (-951 *6 *5 *4)) (-5 *2 (-410 (-1159 *3))) (-5 *1 (-952 *5 *4 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $))))))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-1159 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $))))) (-4 *7 (-951 *6 *5 *4)) (-4 *5 (-789)) (-4 *4 (-843)) (-4 *6 (-1048)) (-5 *1 (-952 *5 *4 *6 *7 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-559)) (-5 *2 (-410 (-1159 (-410 (-954 *5))))) (-5 *1 (-1043 *5)) (-5 *3 (-410 (-954 *5)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-951 *4 *5 *6)) (-4 *6 (-610 (-1163))) (-4 *4 (-366)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-1152 (-635 (-954 *4)) (-635 (-289 (-954 *4))))) (-5 *1 (-515 *4 *5 *6 *7))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-566)) (-5 *3 (-569))))) 
+(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-608 *1))) (-4 *1 (-297))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-836 (-216)))) (-5 *4 (-216)) (-5 *2 (-635 *4)) (-5 *1 (-264))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-994 *2)) (-4 *2 (-559)) (-5 *1 (-144 *2 *4 *3)) (-4 *3 (-376 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-994 *2)) (-4 *2 (-559)) (-5 *1 (-513 *2 *4 *5 *3)) (-4 *5 (-376 *2)) (-4 *3 (-376 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-680 *4)) (-4 *4 (-994 *2)) (-4 *2 (-559)) (-5 *1 (-683 *2 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-994 *2)) (-4 *2 (-559)) (-5 *1 (-1215 *2 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-918)) (|has| *1 (-6 -4526)) (-4 *1 (-407)))) ((*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-918)))) ((*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-689)))) ((*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-689))))) 
+(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-170 (-382))) (-5 *1 (-781 *3)) (-4 *3 (-610 (-382))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-5 *2 (-170 (-382))) (-5 *1 (-781 *3)) (-4 *3 (-610 (-382))))) ((*1 *2 *3) (-12 (-5 *3 (-170 *4)) (-4 *4 (-173)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-170 *5)) (-5 *4 (-918)) (-4 *5 (-173)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-954 (-170 *4))) (-4 *4 (-173)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-954 (-170 *5))) (-5 *4 (-918)) (-4 *5 (-173)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-954 *4)) (-4 *4 (-1048)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-954 *5)) (-5 *4 (-918)) (-4 *5 (-1048)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-410 (-954 (-170 *4)))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 (-170 *5)))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-843)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-843)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-311 (-170 *4))) (-4 *4 (-559)) (-4 *4 (-843)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 (-170 *5))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-843)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5))))) 
+(((*1 *1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927))))) 
+(((*1 *1 *1) (-4 *1 (-98))) ((*1 *1 *1 *1) (-5 *1 (-216))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *1 *1 *1) (-5 *1 (-382))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-918)) (-4 *5 (-843)) (-5 *2 (-635 (-664 *5))) (-5 *1 (-664 *5))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-1133 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-843) (-559)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1204 *2)) (-4 *2 (-1048)))) ((*1 *1 *1) (-12 (-5 *1 (-1238 *2 *3 *4)) (-4 *2 (-1048)) (-14 *3 (-1163)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1242 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-1163))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-905)) (-5 *2 (-421 (-1159 *1))) (-5 *3 (-1159 *1))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| -4140 (-410 *5)) (|:| |poly| *3))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1222 (-410 *5)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-241 *3))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-918)) (-5 *2 (-121)) (-5 *1 (-234 *4)) (-4 *4 (-1048))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788)) (-4 *2 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-216)))) ((*1 *1 *1 *1) (-2232 (-12 (-5 *1 (-289 *2)) (-4 *2 (-366)) (-4 *2 (-1197))) (-12 (-5 *1 (-289 *2)) (-4 *2 (-479)) (-4 *2 (-1197))))) ((*1 *1 *1 *1) (-4 *1 (-366))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-382)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-1114 *3 (-608 *1))) (-4 *3 (-559)) (-4 *3 (-843)) (-4 *1 (-433 *3)))) ((*1 *1 *1 *1) (-4 *1 (-479))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-351)) (-5 *1 (-533 *3)))) ((*1 *1 *1 *1) (-5 *1 (-542))) ((*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-614 *2 *4 *3)) (-4 *2 (-43 *4)) (-4 *3 (|SubsetCategory| (-717) *4)))) ((*1 *1 *1 *2) (-12 (-4 *4 (-173)) (-5 *1 (-614 *3 *4 *2)) (-4 *3 (-43 *4)) (-4 *2 (|SubsetCategory| (-717) *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-626 *2)) (-4 *2 (-173)) (-4 *2 (-366)))) ((*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-653 *2 *4 *3)) (-4 *2 (-708 *4)) (-4 *3 (|SubsetCategory| (-717) *4)))) ((*1 *1 *1 *2) (-12 (-4 *4 (-173)) (-5 *1 (-653 *3 *4 *2)) (-4 *3 (-708 *4)) (-4 *2 (|SubsetCategory| (-717) *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 (-311 (-569)) *3)) (-4 *3 (-1091)) (-5 *1 (-675 *3 *4)) (-4 *4 (-1048)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-734 *2 *3)) (-14 *2 (-1163)) (-4 *3 (-13 (-1048) (-843) (-559))))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-854 *2 *3 *4 *5)) (-4 *2 (-366)) (-4 *2 (-1048)) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-764))) (-14 *5 (-764)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) ((*1 *1 *2 *2) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1051 *3 *4 *2 *5 *6)) (-4 *2 (-1048)) (-4 *5 (-231 *4 *2)) (-4 *6 (-231 *3 *2)) (-4 *2 (-366)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1254 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *1) (|partial| -12 (-4 *2 (-366)) (-4 *2 (-1048)) (-4 *3 (-843)) (-4 *4 (-789)) (-14 *6 (-635 *3)) (-5 *1 (-1257 *2 *3 *4 *5 *6 *7 *8)) (-4 *5 (-951 *2 *4 *3)) (-14 *7 (-635 (-764))) (-14 *8 (-764)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-1268 *2 *3)) (-4 *2 (-366)) (-4 *2 (-1048)) (-4 *3 (-839))))) 
+(((*1 *2) (-12 (-5 *2 (-1247 (-1092 *3 *4))) (-5 *1 (-1092 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1159 *9)) (-5 *4 (-635 *7)) (-5 *5 (-635 (-635 *8))) (-4 *7 (-843)) (-4 *8 (-302)) (-4 *9 (-951 *8 *6 *7)) (-4 *6 (-789)) (-5 *2 (-2 (|:| |upol| (-1159 *8)) (|:| |Lval| (-635 *8)) (|:| |Lfact| (-635 (-2 (|:| -1743 (-1159 *8)) (|:| -2356 (-569))))) (|:| |ctpol| *8))) (-5 *1 (-733 *6 *7 *8 *9))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-140))))) 
+(((*1 *1 *1 *1) (-4 *1 (-21))) ((*1 *1 *1) (-4 *1 (-21))) ((*1 *1 *1 *1) (|partial| -5 *1 (-140))) ((*1 *1 *1 *1) (-12 (-5 *1 (-206 *2)) (-4 *2 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $))))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1197)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1197)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1091)) (-4 *4 (-1048)) (-5 *1 (-675 *3 *4)))) ((*1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) ((*1 *2 *2 *1) (-12 (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-945 (-216))) (-5 *1 (-1194)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-21)))) ((*1 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-21))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *3 (-635 (-569))) (-5 *1 (-879))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-410 (-954 *4))) (-5 *3 (-1163)) (-4 *4 (-13 (-559) (-1038 (-569)) (-151))) (-5 *1 (-575 *4))))) 
+(((*1 *1 *1 *1) (-4 *1 (-25))) ((*1 *1 *1 *1) (-5 *1 (-159))) ((*1 *1 *1 *1) (-12 (-5 *1 (-206 *2)) (-4 *2 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $))))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-25)) (-4 *2 (-1197)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-25)) (-4 *2 (-1197)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-321 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-138)))) ((*1 *1 *2 *1) (-12 (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *2)) (-4 *2 (-1222 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-789)) (-4 *4 (-843)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4)))) ((*1 *1 *1 *1) (-5 *1 (-542))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1091)) (-4 *4 (-1048)) (-5 *1 (-675 *3 *4)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) ((*1 *2 *2 *1) (-12 (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-945 (-216))) (-5 *1 (-1194)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-25))))) 
+(((*1 *2) (-12 (-5 *2 (-635 *3)) (-5 *1 (-1077 *3)) (-4 *3 (-139))))) 
+(((*1 *1 *1 *2) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1163)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-466))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-251))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 (-121) *9)) (-5 *5 (-1 (-121) *9 *9)) (-4 *9 (-1062 *6 *7 *8)) (-4 *6 (-559)) (-4 *7 (-789)) (-4 *8 (-843)) (-5 *2 (-2 (|:| |bas| *1) (|:| -3275 (-635 *9)))) (-5 *3 (-635 *9)) (-4 *1 (-1191 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1 (-121) *8 *8)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-2 (|:| |bas| *1) (|:| -3275 (-635 *8)))) (-5 *3 (-635 *8)) (-4 *1 (-1191 *5 *6 *7 *8))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-764)) (|:| |poli| *3) (|:| |polj| *3)))) (-4 *5 (-789)) (-4 *3 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *6 (-843)) (-5 *1 (-451 *4 *5 *6 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-569)) (-4 *6 (-642 *5)) (-4 *5 (-366)) (-5 *2 (-680 *5)) (-5 *1 (-636 *5 *6))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-680 (-569))) (-5 *1 (-1101))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-951 *4 *5 *6)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-450 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-951 *5 *6 *7)) (-5 *2 (-635 (-635 *8))) (-5 *1 (-450 *5 *6 *7 *8)) (-5 *3 (-635 *8))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1222 (-569))) (-5 *1 (-497 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-680 *1)) (-5 *4 (-1247 *1)) (-4 *1 (-631 *5)) (-4 *5 (-1048)) (-5 *2 (-2 (|:| -3477 (-680 *5)) (|:| |vec| (-1247 *5)))))) ((*1 *2 *3) (-12 (-5 *3 (-680 *1)) (-4 *1 (-631 *4)) (-4 *4 (-1048)) (-5 *2 (-680 *4))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-311 (-216))) (-5 *1 (-300)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |num| (-888 *3)) (|:| |den| (-888 *3)))) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-843)) (-5 *2 (-121)))) ((*1 *1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-231 (-4168 *4) (-764))) (-4 *6 (-972 *3)) (-4 *7 (-642 *3)) (-4 *8 (-921 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-537 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-117)) (-4 *2 (-951 *3 *5 (-853 *4))) (-5 *1 (-468 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2) (-12 (-5 *2 (-243 *4 *3)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-243 *4 *3)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-764)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-495 *4)) (-4 *4 (-843)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-1001 *4)) (-4 *4 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-1133 *4)) (-4 *4 (-1091))))) 
+(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-128 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *3 *4 *4 *5 *6 *7) (-12 (-5 *5 (-1163)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-635 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3032 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1183) (-27) (-433 *8))) (-4 *8 (-13 (-454) (-843) (-151) (-1038 *3) (-631 *3))) (-5 *3 (-569)) (-5 *2 (-2 (|:| |ans| *4) (|:| -1869 *4) (|:| |sol?| (-121)))) (-5 *1 (-1014 *8 *4))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1091)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-843)) (-5 *2 (-121)))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-900 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1011 *3)) (-4 *3 (-1197)) (-5 *2 (-569))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-170 (-216))) (-5 *2 (-216)) (-5 *1 (-115))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-843)) (-5 *2 (-121)))) ((*1 *1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183)))))) 
+(((*1 *1 *2 *3 *4) (-12 (-14 *5 (-635 (-1163))) (-4 *2 (-173)) (-4 *4 (-231 (-4168 *5) (-764))) (-14 *6 (-1 (-121) (-2 (|:| -3998 *3) (|:| -2356 *4)) (-2 (|:| -3998 *3) (|:| -2356 *4)))) (-5 *1 (-464 *5 *2 *3 *4 *6 *7)) (-4 *3 (-843)) (-4 *7 (-951 *2 *4 (-853 *5)))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-421 *2)) (-4 *2 (-559))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1143 (-410 *3))) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
+(((*1 *1 *1) (-4 *1 (-652))) ((*1 *1 *1) (-5 *1 (-1109)))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-843)) (-5 *2 (-121)))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *2 *1 *1) (-12 (-4 *1 (-899 *3)) (-4 *3 (-1091)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1088 *3)) (-4 *3 (-1091)) (-5 *2 (-121))))) 
+(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-564))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-311 *3)) (-4 *3 (-13 (-1048) (-843))) (-5 *1 (-214 *3 *4)) (-14 *4 (-635 (-1163)))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-635 (-888 *3))) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-843)) (-4 *3 (-1038 (-569))) (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-433 *3)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *3 (-608 $)) $)) (-15 -4121 ((-1114 *3 (-608 $)) $)) (-15 -2185 ($ (-1114 *3 (-608 $)))))))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *7)) (-4 *7 (-843)) (-4 *8 (-951 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-5 *2 (-2 (|:| |particular| (-3 (-1247 (-410 *8)) "failed")) (|:| -3930 (-635 (-1247 (-410 *8)))))) (-5 *1 (-662 *5 *6 *7 *8))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-954 *4)) (-4 *4 (-1048)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-954 *5)) (-5 *4 (-918)) (-4 *5 (-1048)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-559)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-843)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 *5)) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-843)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-216))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1143 (-569))) (-5 *1 (-1147 *4)) (-4 *4 (-1048)) (-5 *3 (-569))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-105)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *1 *2 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1197)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1027 *3)) (-4 *3 (-1197)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091))))) 
+(((*1 *1 *1 *2 *3 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-635 (-635 *4)))) (-5 *3 (-635 *4)) (-4 *4 (-843)) (-5 *1 (-1169 *4))))) 
+(((*1 *2 *3 *4 *5 *5 *2) (|partial| -12 (-5 *2 (-121)) (-5 *3 (-954 *6)) (-5 *4 (-1163)) (-5 *5 (-836 *7)) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-4 *7 (-13 (-1183) (-29 *6))) (-5 *1 (-215 *6 *7)))) ((*1 *2 *3 *4 *4 *2) (|partial| -12 (-5 *2 (-121)) (-5 *3 (-1159 *6)) (-5 *4 (-836 *6)) (-4 *6 (-13 (-1183) (-29 *5))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-215 *5 *6))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-664 *3)) (-4 *3 (-843)) (-4 *1 (-377 *3 *4)) (-4 *4 (-173))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 (-1143 *7))) (-4 *6 (-843)) (-4 *7 (-951 *5 (-535 *6) *6)) (-4 *5 (-1048)) (-5 *2 (-1 (-1143 *7) *7)) (-5 *1 (-1115 *5 *6 *7))))) 
+(((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-635 *10)) (-5 *5 (-121)) (-4 *10 (-1067 *6 *7 *8 *9)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *9 (-1062 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| -1502 (-635 *9)) (|:| -4003 *10) (|:| |ineq| (-635 *9))))) (-5 *1 (-990 *6 *7 *8 *9 *10)) (-5 *3 (-635 *9)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-635 *10)) (-5 *5 (-121)) (-4 *10 (-1067 *6 *7 *8 *9)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *9 (-1062 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| -1502 (-635 *9)) (|:| -4003 *10) (|:| |ineq| (-635 *9))))) (-5 *1 (-1098 *6 *7 *8 *9 *10)) (-5 *3 (-635 *9))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1038 (-569))) (-4 *1 (-297)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-901 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-782))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-1007))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-788)) (-4 *2 (-1048)))) ((*1 *2 *1 *1) (-12 (-4 *2 (-1048)) (-5 *1 (-55 *2 *3)) (-14 *3 (-635 (-1163))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 (-918))) (-4 *2 (-366)) (-5 *1 (-156 *4 *2 *5)) (-14 *4 (-918)) (-14 *5 (-995 *4 *2)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-311 *3)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1048) (-843))) (-14 *4 (-635 (-1163))))) ((*1 *2 *3 *1) (-12 (-4 *1 (-321 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-138)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-385 *2 *3)) (-4 *3 (-1091)) (-4 *2 (-1048)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-559)) (-5 *1 (-616 *2 *4)) (-4 *4 (-1222 *2)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-699 *2)) (-4 *2 (-1048)))) ((*1 *2 *1 *3) (-12 (-4 *2 (-1048)) (-5 *1 (-726 *2 *3)) (-4 *3 (-717)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *5)) (-5 *3 (-635 (-764))) (-4 *1 (-731 *4 *5)) (-4 *4 (-1048)) (-4 *5 (-843)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-731 *4 *2)) (-4 *4 (-1048)) (-4 *2 (-843)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-845 *2)) (-4 *2 (-1048)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *6)) (-5 *3 (-635 (-764))) (-4 *1 (-951 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-951 *4 *5 *2)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *2 (-843)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *2 (-951 *4 (-535 *5) *5)) (-5 *1 (-1115 *4 *5 *2)) (-4 *4 (-1048)) (-4 *5 (-843)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-954 *4)) (-5 *1 (-1192 *4)) (-4 *4 (-1048))))) 
+(((*1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1166))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1179))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1 (-945 (-216)) (-945 (-216)))) (-5 *1 (-257)))) ((*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-328 *4)) (-4 *4 (-366)) (-5 *2 (-680 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-1247 *3)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-680 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-1247 *4)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-680 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-1247 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-412 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-680 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1222 *3)) (-5 *2 (-1247 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-420 *4)) (-4 *4 (-173)) (-5 *2 (-680 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-1247 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-680 *5))) (-5 *3 (-680 *5)) (-4 *5 (-366)) (-5 *2 (-1247 *5)) (-5 *1 (-1078 *5))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1197)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-954 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-382))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-954 (-382)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-382))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-382))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-954 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-569))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-954 (-569)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-569))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-569))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1163)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 *2)) (-14 *4 (-635 *2)) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-311 *5)) (-4 *5 (-390)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-680 (-410 (-954 (-569))))) (-4 *1 (-387)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-680 (-410 (-954 (-382))))) (-4 *1 (-387)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-680 (-954 (-569)))) (-4 *1 (-387)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-680 (-954 (-382)))) (-4 *1 (-387)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-680 (-311 (-569)))) (-4 *1 (-387)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-680 (-311 (-382)))) (-4 *1 (-387)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-954 (-569)))) (-4 *1 (-399)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-954 (-382)))) (-4 *1 (-399)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-954 (-569))) (-4 *1 (-399)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-954 (-382))) (-4 *1 (-399)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-569))) (-4 *1 (-399)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-382))) (-4 *1 (-399)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1247 (-410 (-954 (-569))))) (-4 *1 (-443)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1247 (-410 (-954 (-382))))) (-4 *1 (-443)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1247 (-954 (-569)))) (-4 *1 (-443)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1247 (-954 (-382)))) (-4 *1 (-443)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1247 (-311 (-569)))) (-4 *1 (-443)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1247 (-311 (-382)))) (-4 *1 (-443)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-351)) (-4 *5 (-328 *4)) (-4 *6 (-1222 *5)) (-5 *2 (-1159 (-1159 *4))) (-5 *1 (-770 *4 *5 *6 *3 *7)) (-4 *3 (-1222 *6)) (-14 *7 (-918)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *1 (-978 *3 *4 *5 *6)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-1038 *2)) (-4 *2 (-1197)))) ((*1 *1 *2) (|partial| -2232 (-12 (-5 *2 (-954 *3)) (-12 (-3864 (-4 *3 (-43 (-410 (-569))))) (-3864 (-4 *3 (-43 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 *3)) (-12 (-3864 (-4 *3 (-551))) (-3864 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 *3)) (-12 (-3864 (-4 *3 (-994 (-569)))) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843))))) ((*1 *1 *2) (|partial| -2232 (-12 (-5 *2 (-954 (-569))) (-4 *1 (-1062 *3 *4 *5)) (-12 (-3864 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 (-569))) (-4 *1 (-1062 *3 *4 *5)) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-954 (-410 (-569)))) (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-1110 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1048)) (-4 *3 (-843)) (-4 *5 (-263 *3)) (-4 *6 (-789)) (-5 *2 (-635 (-764))))) ((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-263 *4)) (-4 *6 (-789)) (-5 *2 (-635 (-764)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-216))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1197)) (-5 *2 (-121))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -2436 (-569))))) (-5 *1 (-364 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -2436 (-764))))) (-5 *1 (-389 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -1743 *3) (|:| -2356 (-569))))) (-5 *1 (-421 *3)) (-4 *3 (-559)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -2436 (-764))))) (-5 *1 (-815 *3)) (-4 *3 (-843))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-351)) (-5 *2 (-635 *3)) (-5 *1 (-345 *5 *3)) (-4 *3 (-1222 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-306)) (-5 *1 (-291)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-1145))) (-5 *2 (-306)) (-5 *1 (-291)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-306)) (-5 *1 (-291)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1145))) (-5 *3 (-1145)) (-5 *2 (-306)) (-5 *1 (-291))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *1 (-951 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-789)) (-4 *5 (-1048)) (-4 *6 (-951 *5 *4 *2)) (-4 *2 (-843)) (-5 *1 (-952 *4 *2 *5 *6 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *6)) (-15 -4116 (*6 $)) (-15 -4121 (*6 $))))))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-559)) (-5 *2 (-1163)) (-5 *1 (-1043 *4))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-421 (-1159 (-569)))) (-5 *1 (-184)) (-5 *3 (-569))))) 
+(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-752))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-778 *2)) (-4 *2 (-1048)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1126 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39)))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-888 *4)) (-5 *3 (-1 (-121) *5)) (-4 *4 (-1091)) (-4 *5 (-1197)) (-5 *1 (-886 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-888 *4)) (-5 *3 (-635 (-1 (-121) *5))) (-4 *4 (-1091)) (-4 *5 (-1197)) (-5 *1 (-886 *4 *5)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-888 *5)) (-5 *3 (-635 (-1163))) (-5 *4 (-1 (-121) (-635 *6))) (-4 *5 (-1091)) (-4 *6 (-1197)) (-5 *1 (-886 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *5)) (-4 *5 (-1197)) (-4 *4 (-843)) (-5 *1 (-939 *4 *2 *5)) (-4 *2 (-433 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-1 (-121) *5))) (-4 *5 (-1197)) (-4 *4 (-843)) (-5 *1 (-939 *4 *2 *5)) (-4 *2 (-433 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-1 (-121) *5)) (-4 *5 (-1197)) (-5 *2 (-311 (-569))) (-5 *1 (-940 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-635 (-1 (-121) *5))) (-4 *5 (-1197)) (-5 *2 (-311 (-569))) (-5 *1 (-940 *5)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-1 (-121) (-635 *6))) (-4 *6 (-13 (-433 *5) (-882 *4) (-610 (-888 *4)))) (-4 *4 (-1091)) (-4 *5 (-13 (-1048) (-882 *4) (-843) (-610 (-888 *4)))) (-5 *1 (-1070 *4 *5 *6))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-954 *5)))) (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-1152 (-635 (-311 *5)) (-635 (-289 (-311 *5))))) (-5 *1 (-1118 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-1152 (-635 (-311 *5)) (-635 (-289 (-311 *5))))) (-5 *1 (-1118 *5))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *3)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-711)) (-5 *2 (-918)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-713)) (-5 *2 (-764))))) 
+(((*1 *2 *3) (-12 (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *2 (-2 (|:| -3930 (-680 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-680 *3)))) (-5 *1 (-352 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1222 *3)) (-5 *2 (-2 (|:| -3930 (-680 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-680 *3)))) (-5 *1 (-761 *4 *5)) (-4 *5 (-412 *3 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 *3)) (-5 *2 (-2 (|:| -3930 (-680 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-680 *3)))) (-5 *1 (-987 *4 *3 *5 *6)) (-4 *6 (-715 *3 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 *3)) (-5 *2 (-2 (|:| -3930 (-680 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-680 *3)))) (-5 *1 (-1256 *4 *3 *5 *6)) (-4 *6 (-412 *3 *5))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-901 *3))) (-4 *3 (-1091)) (-5 *1 (-900 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1222 (-569))) (-5 *1 (-497 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-764)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) ((*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-311 (-216))) (-5 *1 (-264))))) 
+(((*1 *1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) ((*1 *1 *1) (|partial| -4 *1 (-713)))) 
+(((*1 *2 *2 *3 *3 *4) (-12 (-5 *4 (-764)) (-4 *3 (-559)) (-5 *1 (-971 *3 *2)) (-4 *2 (-1222 *3))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-1197)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-284 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1197)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1051 *4 *5 *2 *6 *7)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)) (-4 *2 (-1048))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-2 (|:| |start| *3) (|:| -1640 (-421 *3)))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4)))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-1057)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)) (-4 *2 (-1057)))) ((*1 *1 *1) (-4 *1 (-841))) ((*1 *2 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173)) (-4 *2 (-1057)))) ((*1 *1 *1) (-4 *1 (-1057))) ((*1 *1 *1) (-4 *1 (-1125)))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-764)) (-5 *1 (-123))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))) (-5 *1 (-185))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-680 (-170 (-410 (-569))))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-757 *4)) (-4 *4 (-13 (-366) (-841)))))) 
 (((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-3 "left" "center" "right" "vertical" "horizontal"))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-972))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-568)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *2 (-950 *4 *6 (-852 *5))) (-4 *6 (-230 (-1699 *5) (-763))) (-4 *7 (-971 *4)) (-4 *8 (-641 *4)) (-4 *9 (-920 *4 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *4 *5 *2 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *1 (-467 *4 *5 *2 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-242 *5 *4)) (-5 *3 (-568)) (-4 *4 (-350)) (-14 *5 (-634 (-1161))) (-5 *1 (-867 *4 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-242 *5 *4)) (-5 *3 (-568)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-5 *1 (-868 *4 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-568)) (-4 *4 (-1047)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-5 *1 (-908 *4 *2 *5 *6)) (-4 *2 (-324 *4 *5)))) ((*1 *1 *1) (-12 (-4 *1 (-971 *2)) (-4 *2 (-365)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-971 *3)) (-4 *3 (-365))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *3 (-950 *5 *7 (-852 *6))) (-4 *7 (-230 (-1699 *6) (-763))) (-4 *8 (-971 *5)) (-4 *9 (-641 *5)) (-4 *10 (-920 *5 *9)) (-4 *11 (-536 *5 *6 *3 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-235 *10)) (-5 *1 (-260 *5 *6 *3 *7 *8 *9 *10 *2 *11 *4 *12)) (-4 *4 (-258 *11))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-215)) (-5 *2 (-121)) (-5 *1 (-293 *4 *5)) (-14 *4 *3) (-14 *5 *3))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1084 (-835 (-215)))) (-5 *3 (-215)) (-5 *2 (-121)) (-5 *1 (-299)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121)) (-5 *1 (-514 *3 *4 *5 *6)) (-4 *6 (-950 *3 *4 *5))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-1090)) (-4 *2 (-895 *4)) (-5 *1 (-681 *4 *2 *5 *3)) (-4 *5 (-375 *2)) (-4 *3 (-13 (-375 *4) (-10 -7 (-6 -4521))))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-13 (-1090) (-39))) (-5 *1 (-1125 *3 *2)) (-4 *3 (-13 (-1090) (-39)))))) 
-(((*1 *1 *1) (|partial| -4 *1 (-1136)))) 
-(((*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-634 (-2 (|:| -4094 *1) (|:| -2133 (-634 *7))))) (-5 *3 (-634 *7)) (-4 *1 (-1189 *4 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) ((*1 *2 *1) (-12 (-4 *1 (-247 *2)) (-4 *2 (-1195))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-123)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1143)) (-4 *4 (-842)) (-5 *1 (-930 *4 *2)) (-4 *2 (-432 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1161)) (-5 *4 (-1143)) (-5 *2 (-310 (-568))) (-5 *1 (-931))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-634 (-634 *8))) (-5 *3 (-634 *8)) (-4 *8 (-950 *5 *7 *6)) (-4 *5 (-13 (-301) (-150))) (-4 *6 (-13 (-842) (-609 (-1161)))) (-4 *7 (-788)) (-5 *2 (-121)) (-5 *1 (-924 *5 *6 *7 *8))))) 
-(((*1 *1 *1) (-5 *1 (-215))) ((*1 *2 *2) (-12 (-5 *2 (-215)) (-5 *1 (-217)))) ((*1 *2 *2) (-12 (-5 *2 (-169 (-215))) (-5 *1 (-217)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) ((*1 *1 *1) (-4 *1 (-1124))) ((*1 *1 *1 *1) (-4 *1 (-1124)))) 
-(((*1 *2) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-679 (-409 *4)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-634 (-944 *3)))))) 
-(((*1 *1 *1) (-5 *1 (-1059)))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| (-1160)))) (-5 *1 (-1160))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1047)) (-4 *2 (-13 (-406) (-1037 *4) (-365) (-1181) (-279))) (-5 *1 (-444 *4 *3 *2)) (-4 *3 (-1219 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-917)) (-4 *5 (-1047)) (-4 *2 (-13 (-406) (-1037 *5) (-365) (-1181) (-279))) (-5 *1 (-444 *5 *3 *2)) (-4 *3 (-1219 *5))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-215)) (-5 *2 (-688)) (-5 *1 (-299))))) 
-(((*1 *2 *3 *4) (-12 (-5 *2 (-634 (-169 *4))) (-5 *1 (-157 *3 *4)) (-4 *3 (-1219 (-169 (-568)))) (-4 *4 (-13 (-365) (-840))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-365) (-840))) (-5 *2 (-634 (-169 *4))) (-5 *1 (-178 *4 *3)) (-4 *3 (-1219 (-169 *4))))) ((*1 *2 *3 *4) (-12 (-4 *4 (-13 (-365) (-840))) (-5 *2 (-634 (-169 *4))) (-5 *1 (-178 *4 *3)) (-4 *3 (-1219 (-169 *4)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-158)))) ((*1 *2 *3) (-12 (-5 *3 (-944 *2)) (-5 *1 (-983 *2)) (-4 *2 (-1047))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| (-1160)))) (-5 *1 (-1160))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-450 *3 *4 *5 *2)) (-4 *2 (-950 *3 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-169 (-568))) (-5 *2 (-121)) (-5 *1 (-447)))) ((*1 *2 *3) (-12 (-5 *3 (-514 (-409 (-568)) (-232 *5 (-763)) (-852 *4) (-242 *4 (-409 (-568))))) (-14 *4 (-634 (-1161))) (-14 *5 (-763)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5)))) ((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-961 *3)) (-4 *3 (-550)))) ((*1 *2 *1) (-12 (-4 *1 (-1199)) (-5 *2 (-121))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-814 *3)) (-4 *3 (-842)) (-5 *1 (-663 *3))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-607 *4)) (-5 *1 (-606 *3 *4)) (-4 *3 (-842)) (-4 *4 (-842))))) 
-(((*1 *1 *1) (-5 *1 (-1160))) ((*1 *1 *2) (-12 (-5 *2 (-3 (|:| I (-310 (-568))) (|:| -1478 (-310 (-381))) (|:| CF (-310 (-169 (-381)))) (|:| |switch| (-1160)))) (-5 *1 (-1160))))) 
-(((*1 *2 *1 *1) (|partial| -12 (-4 *1 (-327 *3)) (-4 *3 (-365)) (-4 *3 (-370)) (-5 *2 (-1157 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-327 *3)) (-4 *3 (-365)) (-4 *3 (-370)) (-5 *2 (-1157 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-828 (-215))) (-5 *1 (-217))))) 
-(((*1 *2) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-917)) (-4 *5 (-558)) (-5 *2 (-679 *5)) (-5 *1 (-956 *5 *3)) (-4 *3 (-646 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-436))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-173 *2)) (-4 *2 (-301)))) ((*1 *2 *3) (-12 (-5 *2 (-1163 (-409 (-568)))) (-5 *1 (-182)) (-5 *3 (-568)))) ((*1 *1 *1) (-12 (-4 *1 (-665 *2)) (-4 *2 (-1195)))) ((*1 *1 *1) (-4 *1 (-863 *2))) ((*1 *1 *1) (-12 (-4 *1 (-974 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-787)) (-4 *4 (-842))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1067 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| (-121)) (|:| -3145 *4)))) (-5 *1 (-1067 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-453)) (-5 *2 (-634 (-2 (|:| |eigval| (-3 (-409 (-953 *4)) (-1150 (-1161) (-953 *4)))) (|:| |eigmult| (-763)) (|:| |eigvec| (-634 (-679 (-409 (-953 *4)))))))) (-5 *1 (-286 *4)) (-5 *3 (-679 (-409 (-953 *4))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-305)) (-5 *1 (-290)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-1143))) (-5 *2 (-305)) (-5 *1 (-290)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-305)) (-5 *1 (-290)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-634 (-1143))) (-5 *3 (-1143)) (-5 *2 (-305)) (-5 *1 (-290))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-273 *4 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *4)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-763)) (-4 *5 (-1047)) (-5 *2 (-568)) (-5 *1 (-444 *5 *3 *6)) (-4 *3 (-1219 *5)) (-4 *6 (-13 (-406) (-1037 *5) (-365) (-1181) (-279))))) ((*1 *2 *3) (-12 (-4 *4 (-1047)) (-5 *2 (-568)) (-5 *1 (-444 *4 *3 *5)) (-4 *3 (-1219 *4)) (-4 *5 (-13 (-406) (-1037 *4) (-365) (-1181) (-279)))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1244 *5)) (-4 *5 (-787)) (-5 *2 (-121)) (-5 *1 (-837 *4 *5)) (-14 *4 (-763))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1173 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) ((*1 *2 *1) (-12 (-4 *1 (-247 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-634 (-607 *5))) (-5 *3 (-1161)) (-4 *5 (-432 *4)) (-4 *4 (-842)) (-5 *1 (-577 *4 *5))))) 
-(((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-446 *3)) (-4 *3 (-1047))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-310 (-215))) (-5 *2 (-310 (-409 (-568)))) (-5 *1 (-299))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-917)) (-5 *4 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1245))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1141 *3)) (-5 *1 (-173 *3)) (-4 *3 (-301))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-1061 *3 *4 *5))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-123))))) 
-(((*1 *2) (-12 (-4 *1 (-350)) (-5 *2 (-634 (-2 (|:| -3850 (-568)) (|:| -3483 (-568)))))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-52 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-787)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-384 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-1090)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-593 *3)) (-4 *3 (-1047)))) ((*1 *2 *1) (-12 (-4 *3 (-558)) (-5 *2 (-121)) (-5 *1 (-615 *3 *4)) (-4 *4 (-1219 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-725 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-716)))) ((*1 *2 *1) (-12 (-4 *1 (-1259 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-900 *3))) (-5 *1 (-899 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2910 *3) (|:| |coef1| (-777 *3)) (|:| |coef2| (-777 *3)))) (-5 *1 (-777 *3)) (-4 *3 (-558)) (-4 *3 (-1047))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-173 *3)) (-4 *3 (-301)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-665 *3)) (-4 *3 (-1195)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-730 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-842)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-863 *3)) (-5 *2 (-568)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *1 (-981 *3)) (-4 *3 (-1047)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-634 *1)) (-5 *3 (-634 *7)) (-4 *1 (-1066 *4 *5 *6 *7)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-1066 *4 *5 *6 *7)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-1066 *4 *5 *6 *3)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-634 *1)) (-4 *1 (-1066 *4 *5 *6 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1189 *3 *4 *5 *2)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *2 (-1061 *3 *4 *5)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1221 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-787))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-842)) (-5 *1 (-135 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-850)) (-5 *2 (-1249)) (-5 *1 (-1123)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-850))) (-5 *2 (-1249)) (-5 *1 (-1123))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-953 (-169 *4))) (-4 *4 (-172)) (-4 *4 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-953 (-169 *5))) (-5 *4 (-917)) (-4 *5 (-172)) (-4 *5 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-953 *4)) (-4 *4 (-1047)) (-4 *4 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-953 *5)) (-5 *4 (-917)) (-4 *5 (-1047)) (-4 *5 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-409 (-953 *4))) (-4 *4 (-558)) (-4 *4 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-409 (-953 *5))) (-5 *4 (-917)) (-4 *5 (-558)) (-4 *5 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-409 (-953 (-169 *4)))) (-4 *4 (-558)) (-4 *4 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-409 (-953 (-169 *5)))) (-5 *4 (-917)) (-4 *5 (-558)) (-4 *5 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-310 *4)) (-4 *4 (-558)) (-4 *4 (-842)) (-4 *4 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-310 *5)) (-5 *4 (-917)) (-4 *5 (-558)) (-4 *5 (-842)) (-4 *5 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-310 (-169 *4))) (-4 *4 (-558)) (-4 *4 (-842)) (-4 *4 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-310 (-169 *5))) (-5 *4 (-917)) (-4 *5 (-558)) (-4 *5 (-842)) (-4 *5 (-609 (-381))) (-5 *2 (-169 (-381))) (-5 *1 (-780 *5))))) 
-(((*1 *1 *2 *3 *3 *4 *4) (-12 (-5 *2 (-953 (-568))) (-5 *3 (-1161)) (-5 *4 (-1084 (-409 (-568)))) (-5 *1 (-30))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-917))) (-5 *1 (-1091 *3 *4)) (-14 *3 (-917)) (-14 *4 (-917))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-763)) (-5 *1 (-48 *4 *3)) (-4 *3 (-419 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-334 *5 *6 *7 *8)) (-4 *5 (-432 *4)) (-4 *6 (-1219 *5)) (-4 *7 (-1219 (-409 *6))) (-4 *8 (-340 *5 *6 *7)) (-4 *4 (-13 (-842) (-558) (-1037 (-568)))) (-5 *2 (-121)) (-5 *1 (-906 *4 *5 *6 *7 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-334 (-409 (-568)) *4 *5 *6)) (-4 *4 (-1219 (-409 (-568)))) (-4 *5 (-1219 (-409 *4))) (-4 *6 (-340 (-409 (-568)) *4 *5)) (-5 *2 (-121)) (-5 *1 (-907 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-296)) (-5 *2 (-634 (-123)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 (-121) *6)) (-4 *6 (-13 (-1090) (-1037 *5))) (-4 *5 (-881 *4)) (-4 *4 (-1090)) (-5 *2 (-1 (-121) *5)) (-5 *1 (-932 *4 *5 *6))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-634 *3)) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-634 *1)) (-4 *1 (-1061 *4 *5 *6)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1189 *4 *5 *6 *3)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-5 *1 (-439))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-369 *4)) (-4 *4 (-172)) (-5 *2 (-634 (-953 *4))))) ((*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-634 (-953 *4))) (-5 *1 (-418 *3 *4)) (-4 *3 (-419 *4)))) ((*1 *2) (-12 (-4 *1 (-419 *3)) (-4 *3 (-172)) (-5 *2 (-634 (-953 *3))))) ((*1 *2) (-12 (-5 *2 (-634 (-953 *3))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3))))) ((*1 *2 *3) (-12 (-5 *3 (-1244 (-454 *4 *5 *6 *7))) (-5 *2 (-634 (-953 *4))) (-5 *1 (-454 *4 *5 *6 *7)) (-4 *4 (-558)) (-4 *4 (-172)) (-14 *5 (-917)) (-14 *6 (-634 (-1161))) (-14 *7 (-1244 (-679 *4)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1157 *4)) (-5 *1 (-532 *4)) (-4 *4 (-350))))) 
-(((*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) ((*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-53))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-53))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) ((*1 *2 *3) (-12 (-4 (-53) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465)))) (-5 *1 (-482)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-484 *4)) (-4 *4 (-1037 *3)) (-4 *4 (-13 (-350) (-609 (-568)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-4 (-409 (-568)) (-1037 *3)) (-4 (-568) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465)))) (-5 *1 (-485)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-365)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-842) (-558))) (-14 *9 (-1 *5 *8)) (-5 *2 (-634 (-2 (|:| -1866 *7) (|:| -1844 (-763))))) (-5 *1 (-486 *5 *6 *7 *8 *9 *10)) (-4 *6 (-453)) (-4 *7 (-13 (-432 (-568)) (-558) (-1037 *8) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-365)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763))))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763)))) (-634 *4) (-634 (-465)))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1037 *3)) (-4 *5 (-1037 *3)) (-4 *4 (-365)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 *3) (-1037 (-568)) (-161) (-895 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) ((*1 *2 *3) (-12 (-4 (-409 (-953 (-568))) (-1037 *3)) (-4 (-953 (-568)) (-1037 *3)) (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465)))) (-5 *1 (-487)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-734 *5 (-568))))) (-5 *4 (-634 (-465))) (-14 *5 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *5 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-734 *4 (-568))))) (-14 *4 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 *4 (-568)))) (-634 (-465)))) (-5 *1 (-488 *4)) (-14 *4 *3)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-327 *3)) (-4 *3 (-365)) (-4 *3 (-370)) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-5 *3 (-1157 *4)) (-4 *4 (-350)) (-5 *2 (-121)) (-5 *1 (-358 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1244 *4)) (-4 *4 (-350)) (-5 *2 (-121)) (-5 *1 (-532 *4))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-381) (-381))) (-5 *4 (-381)) (-5 *2 (-2 (|:| -2852 *4) (|:| -2185 *4) (|:| |totalpts| (-568)) (|:| |success| (-121)))) (-5 *1 (-784)) (-5 *5 (-568))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-215)) (-5 *1 (-217)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-169 (-215))) (-5 *1 (-217)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1124)))) 
-(((*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *3 (-950 *4 *6 (-852 *5))) (-4 *6 (-230 (-1699 *5) (-763))) (-4 *7 (-971 *4)) (-4 *8 (-641 *4)) (-4 *9 (-920 *4 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-568)) (-5 *1 (-260 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) ((*1 *2) (-12 (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-568)) (-5 *1 (-467 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) ((*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-867 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117))))) 
-(((*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-1006))))) 
-(((*1 *2) (-12 (-4 *3 (-558)) (-5 *2 (-634 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-419 *3))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1 (-121) *7 (-634 *7))) (-4 *1 (-1189 *4 *5 *6 *7)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-763)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-788)) (-4 *7 (-950 *4 *5 *6)) (-4 *4 (-453)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-450 *4 *5 *6 *7))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-850))) (-5 *1 (-850))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121)) (-5 *1 (-514 *3 *4 *5 *6)) (-4 *6 (-950 *3 *4 *5))))) 
-(((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-132))) ((*1 *1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-792 *2)) (-4 *2 (-172))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))) (-5 *1 (-1098 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-684 *3)) (-4 *3 (-1090)) (-5 *2 (-634 (-2 (|:| -4085 *3) (|:| -4170 (-763)))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1157 *4)) (-4 *4 (-350)) (-4 *2 (-13 (-404) (-10 -7 (-15 -2747 (*2 *4)) (-15 -2291 ((-917) *2)) (-15 -2588 ((-1244 *2) (-917))) (-15 -3412 (*2 *2))))) (-5 *1 (-357 *2 *4))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1 *6 *6)) (-4 *6 (-1219 *5)) (-4 *5 (-13 (-27) (-432 *4))) (-4 *4 (-13 (-842) (-558) (-1037 (-568)))) (-4 *7 (-1219 (-409 *6))) (-5 *1 (-553 *4 *5 *6 *7 *2)) (-4 *2 (-340 *5 *6 *7))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-453))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1261 *3)) (-4 *3 (-365)) (-5 *2 (-121))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-1143)) (-4 *1 (-366 *2 *4)) (-4 *2 (-1090)) (-4 *4 (-1090)))) ((*1 *1 *2) (-12 (-4 *1 (-366 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-1090))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-235 *10)) (-4 *12 (-536 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1249)) (-5 *1 (-260 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-258 *12))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-381)) (-5 *1 (-197))))) 
-(((*1 *2 *3 *4 *2 *5 *6 *7 *8 *9 *10) (|partial| -12 (-5 *2 (-634 (-1157 *13))) (-5 *3 (-1157 *13)) (-5 *4 (-634 *12)) (-5 *5 (-634 *10)) (-5 *6 (-634 *13)) (-5 *7 (-634 (-634 (-2 (|:| -2514 (-763)) (|:| |pcoef| *13))))) (-5 *8 (-634 (-763))) (-5 *9 (-1244 (-634 (-1157 *10)))) (-4 *12 (-842)) (-4 *10 (-301)) (-4 *13 (-950 *10 *11 *12)) (-4 *11 (-788)) (-5 *1 (-697 *11 *12 *10 *13))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-121)) (-5 *1 (-824))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-1 *6 (-634 *6)))) (-4 *5 (-43 (-409 (-568)))) (-4 *6 (-1234 *5)) (-5 *2 (-634 *6)) (-5 *1 (-1236 *5 *6))))) 
-(((*1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-690)))) ((*1 *2 *2) (-12 (-5 *2 (-917)) (-5 *1 (-690))))) 
-(((*1 *2 *1 *1 *3 *4) (-12 (-5 *3 (-1 (-121) *5 *5)) (-5 *4 (-1 (-121) *6 *6)) (-4 *5 (-13 (-1090) (-39))) (-4 *6 (-13 (-1090) (-39))) (-5 *2 (-121)) (-5 *1 (-1125 *5 *6))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-763)) (-4 *4 (-301)) (-4 *6 (-1219 *4)) (-5 *2 (-1244 (-634 *6))) (-5 *1 (-457 *4 *6)) (-5 *5 (-634 *6))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-558)) (-4 *7 (-950 *3 *5 *6)) (-5 *2 (-2 (|:| -3483 (-763)) (|:| -2350 *8) (|:| |radicand| *8))) (-5 *1 (-954 *5 *6 *3 *7 *8)) (-5 *4 (-763)) (-4 *8 (-13 (-365) (-10 -8 (-15 -2319 (*7 $)) (-15 -2326 (*7 $)) (-15 -2747 ($ *7)))))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *8 (-1061 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-634 *8)) (|:| |towers| (-634 (-1027 *5 *6 *7 *8))))) (-5 *1 (-1027 *5 *6 *7 *8)) (-5 *3 (-634 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *8 (-1061 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-634 *8)) (|:| |towers| (-634 (-1131 *5 *6 *7 *8))))) (-5 *1 (-1131 *5 *6 *7 *8)) (-5 *3 (-634 *8))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))))) (-5 *2 (-1035)) (-5 *1 (-299)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -3031 (-381)) (|:| -3393 (-1143)) (|:| |explanations| (-634 (-1143))) (|:| |extra| (-1035)))) (-5 *2 (-1035)) (-5 *1 (-299))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-568)) (|has| *1 (-6 -4522)) (-4 *1 (-1231 *3)) (-4 *3 (-1195))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) ((*1 *2 *1) (-12 (-4 *1 (-247 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1161)) (-5 *5 (-634 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *6))) (-4 *6 (-13 (-453) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-559 *6 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1093 *3 *4 *5 *6 *7)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1143)) (-5 *1 (-1177)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-1177))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-787)))) ((*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1047)) (-14 *3 (-634 (-1161))))) ((*1 *1 *1) (-12 (-5 *1 (-213 *2 *3)) (-4 *2 (-13 (-1047) (-842))) (-14 *3 (-634 (-1161))))) ((*1 *1 *1) (-12 (-5 *1 (-236 *2)) (-4 *2 (-1088)))) ((*1 *1 *1) (-12 (-4 *1 (-384 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-1090)))) ((*1 *1 *1) (-12 (-14 *2 (-634 (-1161))) (-4 *3 (-172)) (-4 *5 (-230 (-1699 *2) (-763))) (-14 *6 (-1 (-121) (-2 (|:| -4357 *4) (|:| -3483 *5)) (-2 (|:| -4357 *4) (|:| -3483 *5)))) (-5 *1 (-463 *2 *3 *4 *5 *6 *7)) (-4 *4 (-842)) (-4 *7 (-950 *3 *5 (-852 *2))))) ((*1 *1 *1) (-12 (-4 *1 (-518 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-842)))) ((*1 *1 *1) (-12 (-4 *2 (-558)) (-5 *1 (-615 *2 *3)) (-4 *3 (-1219 *2)))) ((*1 *1 *1) (-12 (-4 *1 (-698 *2)) (-4 *2 (-1047)))) ((*1 *1 *1) (-12 (-5 *1 (-725 *2 *3)) (-4 *3 (-842)) (-4 *2 (-1047)) (-4 *3 (-716)))) ((*1 *1 *1) (-12 (-4 *1 (-844 *2)) (-4 *2 (-1047)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1061 *3 *4 *2)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)))) ((*1 *1 *1) (-12 (-5 *1 (-1265 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-838))))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-558)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-1061 *3 *4 *5))))) 
-(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-568)) (-5 *6 (-1 (-1249) (-1244 *5) (-1244 *5) (-381))) (-5 *3 (-1244 (-381))) (-5 *5 (-381)) (-5 *2 (-1249)) (-5 *1 (-783)))) ((*1 *2 *3 *4 *5 *5 *6 *3 *3 *3 *3) (-12 (-5 *4 (-568)) (-5 *6 (-1 (-1249) (-1244 *5) (-1244 *5) (-381))) (-5 *3 (-1244 (-381))) (-5 *5 (-381)) (-5 *2 (-1249)) (-5 *1 (-783))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002)))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-432 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-634 (-887 *3))) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-950 *3 *4 *5)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1047)) (-4 *7 (-950 *6 *4 *5)) (-5 *2 (-634 *3)) (-5 *1 (-951 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-365) (-10 -8 (-15 -2747 ($ *7)) (-15 -2319 (*7 $)) (-15 -2326 (*7 $)))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1 (-1141 (-953 *4)) (-1141 (-953 *4)))) (-5 *1 (-1252 *4)) (-4 *4 (-365))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-950 *3 *4 *5))))) 
-(((*1 *1 *1) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-375 *2)) (-4 *2 (-1195)) (-4 *2 (-842)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (|has| *1 (-6 -4522)) (-4 *1 (-375 *3)) (-4 *3 (-1195))))) 
-(((*1 *2 *2 *3 *4 *5) (-12 (-5 *3 (-123)) (-5 *2 (-568)) (-5 *4 (-1161)) (-4 *6 (-13 (-842) (-558) (-609 (-541)))) (-5 *1 (-1024 *6 *5)) (-4 *5 (-13 (-432 *6) (-23) (-1037 *2) (-1037 *4) (-895 *4) (-161)))))) 
-(((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-121)) (-5 *5 (-568)) (-4 *6 (-365)) (-4 *6 (-370)) (-4 *6 (-1047)) (-5 *2 (-634 (-634 (-679 *6)))) (-5 *1 (-1029 *6)) (-5 *3 (-634 (-679 *6))))) ((*1 *2 *3) (-12 (-4 *4 (-365)) (-4 *4 (-370)) (-4 *4 (-1047)) (-5 *2 (-634 (-634 (-679 *4)))) (-5 *1 (-1029 *4)) (-5 *3 (-634 (-679 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-365)) (-4 *5 (-370)) (-4 *5 (-1047)) (-5 *2 (-634 (-634 (-679 *5)))) (-5 *1 (-1029 *5)) (-5 *3 (-634 (-679 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-917)) (-4 *5 (-365)) (-4 *5 (-370)) (-4 *5 (-1047)) (-5 *2 (-634 (-634 (-679 *5)))) (-5 *1 (-1029 *5)) (-5 *3 (-634 (-679 *5)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-1174))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-787)) (-4 *2 (-1047)))) ((*1 *2 *1) (-12 (-4 *2 (-1047)) (-5 *1 (-55 *2 *3)) (-14 *3 (-634 (-1161))))) ((*1 *2 *1) (-12 (-5 *2 (-310 *3)) (-5 *1 (-213 *3 *4)) (-4 *3 (-13 (-1047) (-842))) (-14 *4 (-634 (-1161))))) ((*1 *2 *1) (-12 (-4 *1 (-384 *2 *3)) (-4 *3 (-1090)) (-4 *2 (-1047)))) ((*1 *2 *1) (-12 (-14 *3 (-634 (-1161))) (-4 *5 (-230 (-1699 *3) (-763))) (-14 *6 (-1 (-121) (-2 (|:| -4357 *4) (|:| -3483 *5)) (-2 (|:| -4357 *4) (|:| -3483 *5)))) (-4 *2 (-172)) (-5 *1 (-463 *3 *2 *4 *5 *6 *7)) (-4 *4 (-842)) (-4 *7 (-950 *2 *5 (-852 *3))))) ((*1 *2 *1) (-12 (-4 *1 (-518 *2 *3)) (-4 *3 (-842)) (-4 *2 (-1090)))) ((*1 *2 *1) (-12 (-4 *2 (-558)) (-5 *1 (-615 *2 *3)) (-4 *3 (-1219 *2)))) ((*1 *2 *1) (-12 (-4 *1 (-698 *2)) (-4 *2 (-1047)))) ((*1 *2 *1) (-12 (-4 *2 (-1047)) (-5 *1 (-725 *2 *3)) (-4 *3 (-842)) (-4 *3 (-716)))) ((*1 *2 *1) (-12 (-4 *1 (-844 *2)) (-4 *2 (-1047)))) ((*1 *2 *1) (-12 (-4 *1 (-974 *2 *3 *4)) (-4 *3 (-787)) (-4 *4 (-842)) (-4 *2 (-1047)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1061 *3 *4 *2)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842))))) 
-(((*1 *2) (-12 (-4 *3 (-558)) (-5 *2 (-634 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-419 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-917)) (-4 *4 (-370)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-235 *10)) (-4 *12 (-536 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-568)) (-5 *1 (-467 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-258 *12)))) ((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-568)) (-5 *1 (-867 *4 *5 *6)) (-4 (-857 *4) (-370)) (-4 *4 (-350)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-568)) (-5 *1 (-868 *4 *5 *6)) (-4 *4 (-370)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-117))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1201 *2)) (-4 *2 (-1047)))) ((*1 *1 *1) (-12 (-5 *1 (-1235 *2 *3 *4)) (-4 *2 (-1047)) (-14 *3 (-1161)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1239 *2 *3)) (-4 *2 (-1047)) (-14 *3 (-1161))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-842)) (-5 *1 (-240 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-787)))) ((*1 *2 *1) (-12 (-4 *1 (-384 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-1090)))) ((*1 *2 *1) (-12 (-14 *3 (-634 (-1161))) (-4 *4 (-172)) (-4 *6 (-230 (-1699 *3) (-763))) (-14 *7 (-1 (-121) (-2 (|:| -4357 *5) (|:| -3483 *6)) (-2 (|:| -4357 *5) (|:| -3483 *6)))) (-5 *2 (-703 *5 *6 *7)) (-5 *1 (-463 *3 *4 *5 *6 *7 *8)) (-4 *5 (-842)) (-4 *8 (-950 *4 *6 (-852 *3))))) ((*1 *2 *1) (-12 (-4 *2 (-716)) (-4 *2 (-842)) (-5 *1 (-725 *3 *2)) (-4 *3 (-1047)))) ((*1 *1 *1) (-12 (-4 *1 (-974 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-787)) (-4 *4 (-842))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-887 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1157 *9)) (-5 *4 (-634 *7)) (-5 *5 (-634 (-634 *8))) (-4 *7 (-842)) (-4 *8 (-301)) (-4 *9 (-950 *8 *6 *7)) (-4 *6 (-788)) (-5 *2 (-2 (|:| |upol| (-1157 *8)) (|:| |Lval| (-634 *8)) (|:| |Lfact| (-634 (-2 (|:| -3850 (-1157 *8)) (|:| -3483 (-568))))) (|:| |ctpol| *8))) (-5 *1 (-732 *6 *7 *8 *9))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-844 *2)) (-4 *2 (-1047)) (-4 *2 (-365))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1090)) (-4 *4 (-13 (-1047) (-881 *3) (-842) (-609 (-887 *3)))) (-5 *2 (-634 (-1069 *3 *4 *5))) (-5 *1 (-1070 *3 *4 *5)) (-4 *5 (-13 (-432 *4) (-881 *3) (-609 (-887 *3))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-465))) (-5 *2 (-1161)) (-5 *1 (-464)))) ((*1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-465))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-324 *2 *3)) (-4 *3 (-787)) (-4 *2 (-1047)))) ((*1 *2 *1) (-12 (-4 *1 (-432 *2)) (-4 *2 (-842))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 *6)) (-5 *4 (-568)) (-4 *6 (-641 *5)) (-4 *5 (-365)) (-5 *2 (-679 *5)) (-5 *1 (-635 *5 *6))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1219 (-568))) (-5 *1 (-496 *3))))) 
-(((*1 *2) (-12 (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-230 (-1699 *4) (-763))) (-4 *6 (-971 *3)) (-4 *7 (-641 *3)) (-4 *8 (-920 *3 *7)) (-4 *9 (-235 *8)) (-4 *10 (-536 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-117)) (-4 *2 (-950 *3 *5 (-852 *4))) (-5 *1 (-467 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-258 *10)))) ((*1 *2) (-12 (-5 *2 (-242 *4 *3)) (-5 *1 (-867 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-242 *4 *3)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-169 (-215))) (-5 *2 (-215)) (-5 *1 (-115))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-324 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-787)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-432 *3)) (-4 *3 (-842)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-733 *3 *4)) (-14 *3 (-1161)) (-4 *4 (-13 (-1047) (-842) (-558))))) ((*1 *2 *1) (-12 (-4 *1 (-858)) (-5 *2 (-121))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-420 *2)) (-4 *2 (-558))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-453)) (-4 *3 (-842)) (-4 *3 (-1037 (-568))) (-4 *3 (-558)) (-5 *1 (-46 *3 *2)) (-4 *2 (-432 *3)) (-4 *2 (-13 (-365) (-296) (-10 -8 (-15 -2319 ((-1113 *3 (-607 $)) $)) (-15 -2326 ((-1113 *3 (-607 $)) $)) (-15 -2747 ($ (-1113 *3 (-607 $)))))))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-215))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1149 *2 *3)) (-14 *2 (-917)) (-4 *3 (-1047))))) 
-(((*1 *1 *1) (-4 *1 (-238))) ((*1 *1 *1) (-12 (-4 *2 (-172)) (-5 *1 (-284 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1219 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (-2199 (-12 (-5 *1 (-288 *2)) (-4 *2 (-365)) (-4 *2 (-1195))) (-12 (-5 *1 (-288 *2)) (-4 *2 (-478)) (-4 *2 (-1195))))) ((*1 *1 *1) (-4 *1 (-478))) ((*1 *2 *2) (-12 (-5 *2 (-1244 *3)) (-4 *3 (-350)) (-5 *1 (-532 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-705 *2 *3 *4 *5 *6)) (-4 *2 (-172)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (-12 (-4 *1 (-792 *2)) (-4 *2 (-172)) (-4 *2 (-365))))) 
+(((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-680 *11)) (-5 *4 (-635 (-410 (-954 *8)))) (-5 *5 (-764)) (-5 *6 (-1145)) (-4 *8 (-13 (-302) (-151))) (-4 *11 (-951 *8 *10 *9)) (-4 *9 (-13 (-843) (-610 (-1163)))) (-4 *10 (-789)) (-5 *2 (-2 (|:| |rgl| (-635 (-2 (|:| |eqzro| (-635 *11)) (|:| |neqzro| (-635 *11)) (|:| |wcond| (-635 (-954 *8))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *8)))) (|:| -3930 (-635 (-1247 (-410 (-954 *8)))))))))) (|:| |rgsz| (-569)))) (-5 *1 (-925 *8 *9 *10 *11)) (-5 *7 (-569))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-1163)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-13 (-1091) (-39))) (-5 *1 (-1126 *3 *2)) (-4 *3 (-13 (-1091) (-39)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-216)) (-5 *1 (-818))))) 
+(((*1 *2) (-12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-764)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-764))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-764)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-635 (-945 *3)))))) ((*1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-635 (-945 *4)))) (-5 *3 (-121)) (-4 *4 (-1048)) (-4 *1 (-1123 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-945 *3)))) (-4 *3 (-1048)) (-4 *1 (-1123 *3)))) ((*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-635 (-635 *4)))) (-5 *3 (-121)) (-4 *1 (-1123 *4)) (-4 *4 (-1048)))) ((*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-635 (-945 *4)))) (-5 *3 (-121)) (-4 *1 (-1123 *4)) (-4 *4 (-1048)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-635 (-635 *5)))) (-5 *3 (-635 (-172))) (-5 *4 (-172)) (-4 *1 (-1123 *5)) (-4 *5 (-1048)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-635 (-945 *5)))) (-5 *3 (-635 (-172))) (-5 *4 (-172)) (-4 *1 (-1123 *5)) (-4 *5 (-1048))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-954 (-569)))) (-5 *1 (-440)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-680 (-216))) (-5 *2 (-1095)) (-5 *1 (-752)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-680 (-569))) (-5 *2 (-1095)) (-5 *1 (-752))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-243 *4 *5))) (-5 *2 (-243 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *1 (-623 *4 *5))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-39)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-4 *3 (-454)) (-4 *4 (-843)) (-4 *5 (-789)) (-5 *2 (-121)) (-5 *1 (-989 *3 *4 *5 *6)) (-4 *6 (-951 *3 *5 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1126 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1133 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-764)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-789)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-454)) (-4 *5 (-843)) (-5 *1 (-451 *3 *4 *5 *6))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-569) (-569))) (-5 *1 (-364 *3)) (-4 *3 (-1091)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-764) (-764))) (-5 *1 (-389 *3)) (-4 *3 (-1091)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1091))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-606 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-5 *2 (-121))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-30)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-421 *4) *4)) (-4 *4 (-559)) (-5 *2 (-421 *4)) (-5 *1 (-422 *4)))) ((*1 *1 *1) (-5 *1 (-927))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-927)))) ((*1 *1 *1) (-5 *1 (-928))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-928)))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) (-5 *4 (-410 (-569))) (-5 *1 (-1020 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) (-5 *1 (-1020 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) (-5 *4 (-410 (-569))) (-5 *1 (-1021 *3)) (-4 *3 (-1222 *4)))) ((*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) (-5 *1 (-1021 *3)) (-4 *3 (-1222 (-410 (-569)))))) ((*1 *1 *1) (-12 (-4 *2 (-13 (-841) (-366))) (-5 *1 (-1058 *2 *3)) (-4 *3 (-1222 *2))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1247 (-635 *3))) (-4 *4 (-302)) (-5 *2 (-635 *3)) (-5 *1 (-458 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1159 *5))) (-5 *3 (-1159 *5)) (-4 *5 (-167 *4)) (-4 *4 (-551)) (-5 *1 (-153 *4 *5)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 *3)) (-4 *3 (-1222 *5)) (-4 *5 (-1222 *4)) (-4 *4 (-351)) (-5 *1 (-360 *4 *5 *3)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1159 (-569)))) (-5 *3 (-1159 (-569))) (-5 *1 (-577)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1159 *1))) (-5 *3 (-1159 *1)) (-4 *1 (-905))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-764)) (-4 *4 (-173)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-160 *4 *2)) (-4 *2 (-433 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1083 *2)) (-4 *2 (-433 *4)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-160 *4 *2)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1083 *1)) (-4 *1 (-162)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1163)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-471 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-1265 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |ir| (-586 (-410 *6))) (|:| |specpart| (-410 *6)) (|:| |polypart| *6))) (-5 *1 (-579 *5 *6)) (-5 *3 (-410 *6))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7)) (-5 *2 (-635 *3)) (-5 *1 (-591 *5 *6 *7 *8 *3)) (-4 *3 (-1100 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *5)) (|:| -1648 (-635 (-954 *5)))))) (-5 *1 (-1072 *5 *6)) (-5 *3 (-635 (-954 *5))) (-14 *6 (-635 (-1163))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *4)) (|:| -1648 (-635 (-954 *4)))))) (-5 *1 (-1072 *4 *5)) (-5 *3 (-635 (-954 *4))) (-14 *5 (-635 (-1163))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *5)) (|:| -1648 (-635 (-954 *5)))))) (-5 *1 (-1072 *5 *6)) (-5 *3 (-635 (-954 *5))) (-14 *6 (-635 (-1163)))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-4 *3 (-1091)) (-4 *2 (-13 (-433 *4) (-882 *3) (-610 (-888 *3)))) (-5 *1 (-1070 *3 *4 *2)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 (-888 *3)))))) ((*1 *2 *1) (-12 (-4 *2 (-1091)) (-5 *1 (-1152 *2 *3)) (-4 *3 (-1091))))) 
+(((*1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-559)) (-4 *2 (-173))))) 
+(((*1 *2) (-12 (-5 *2 (-1133 (-1145))) (-5 *1 (-394))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -4140 *3) (|:| |gap| (-764)) (|:| -4268 (-778 *3)) (|:| -1830 (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-1048)))) ((*1 *2 *1 *1 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-5 *2 (-2 (|:| -4140 *1) (|:| |gap| (-764)) (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-1062 *4 *5 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| -4140 *1) (|:| |gap| (-764)) (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-1062 *3 *4 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| -4276 *1) (|:| -4522 *1) (|:| |associate| *1))) (-4 *1 (-559))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *2)) (-4 *2 (-173)))) ((*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-419 *3 *2)) (-4 *3 (-420 *2)))) ((*1 *2) (-12 (-4 *1 (-420 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-302)) (-5 *1 (-178 *3))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1143 *4)) (-5 *3 (-1 (-635 *4) *4)) (-4 *4 (-1197)) (-5 *1 (-1139 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-870)) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-257))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1128 *4 *2)) (-14 *4 (-918)) (-4 *2 (-13 (-1048) (-10 -7 (-6 (-4537 "*"))))) (-5 *1 (-898 *4 *2))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-851)))) ((*1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-918)) (-5 *1 (-1031 *2)) (-4 *2 (-13 (-1091) (-10 -8 (-15 -1707 ($ $ $)))))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 (-1258 *4 *5 *6 *7))) (-5 *1 (-1258 *4 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *9)) (-5 *4 (-1 (-121) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1062 *6 *7 *8)) (-4 *6 (-559)) (-4 *7 (-789)) (-4 *8 (-843)) (-5 *2 (-635 (-1258 *6 *7 *8 *9))) (-5 *1 (-1258 *6 *7 *8 *9))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-764)) (-4 *3 (-1048)) (-4 *1 (-678 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2) (-12 (-4 *2 (-1048)) (-4 *1 (-1112 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-428 *3)) (-4 *3 (-1091)) (-5 *2 (-764))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-5 *2 (-635 (-2 (|:| -1743 *3) (|:| -2492 *4)))) (-5 *1 (-686 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-1163))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-421 (-1159 *1))) (-5 *1 (-311 *4)) (-5 *3 (-1159 *1)) (-4 *4 (-454)) (-4 *4 (-559)) (-4 *4 (-843)))) ((*1 *2 *3) (-12 (-4 *1 (-905)) (-5 *2 (-421 (-1159 *1))) (-5 *3 (-1159 *1))))) 
+(((*1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-235))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-843) (-559)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-289 *3))) (-5 *1 (-289 *3)) (-4 *3 (-559)) (-4 *3 (-1197))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1 (-382))) (-5 *1 (-1040))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-972 *3)) (-4 *3 (-366)) (-5 *2 (-569))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1145)) (-5 *3 (-819)) (-5 *1 (-818))))) 
+(((*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1242 (-569) -3417)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1242 (-569) -3417)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2) (-12 (-5 *2 (-1242 (-569) -3417)) (-5 *1 (-868 *3 *4 *5)) (-4 (-858 *3) (-371)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1242 (-569) -3417)) (-5 *1 (-868 *4 *5 *6)) (-4 (-858 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) ((*1 *2) (-12 (-5 *2 (-1242 (-569) -3417)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1242 (-569) -3417)) (-5 *1 (-869 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-117))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1222 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-216)))) (-5 *2 (-216)) (-5 *1 (-185)))) ((*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-216)))) (-5 *2 (-216)) (-5 *1 (-295)))) ((*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-216)))) (-5 *2 (-216)) (-5 *1 (-300))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (|has| *2 (-6 (-4537 "*"))) (-4 *2 (-1048)))) ((*1 *2 *3) (-12 (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-173)) (-5 *1 (-679 *2 *4 *5 *3)) (-4 *3 (-678 *2 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-1112 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (|has| *2 (-6 (-4537 "*"))) (-4 *2 (-1048))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1101)) (-5 *3 (-569))))) 
+(((*1 *1) (-12 (-4 *1 (-471 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1) (-5 *1 (-542))) ((*1 *1) (-4 *1 (-713))) ((*1 *1) (-4 *1 (-717))) ((*1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) ((*1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-843))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *7 (-1222 *5)) (-4 *4 (-715 *5 *7)) (-5 *2 (-2 (|:| -3477 (-680 *6)) (|:| |vec| (-1247 *5)))) (-5 *1 (-807 *5 *6 *7 *4 *3)) (-4 *6 (-647 *5)) (-4 *3 (-647 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-407)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-689))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250)))) ((*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *1 *1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-429 *4 *2)) (-4 *2 (-13 (-1183) (-29 *4))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1163)) (-4 *5 (-151)) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *2 (-311 *5)) (-5 *1 (-589 *5))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1163))))) 
+(((*1 *1) (-12 (-4 *3 (-1091)) (-5 *1 (-881 *2 *3 *4)) (-4 *2 (-1091)) (-4 *4 (-659 *3)))) ((*1 *1) (-12 (-5 *1 (-885 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-52 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-55 *3 *4)) (-14 *4 (-635 (-1163))))) ((*1 *1 *2 *1 *1 *3) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-64 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-64 *6)) (-5 *1 (-63 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-96 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *7)) (-5 *4 (-142 *5 *6 *7)) (-14 *5 (-569)) (-14 *6 (-764)) (-4 *7 (-173)) (-4 *8 (-173)) (-5 *2 (-142 *5 *6 *8)) (-5 *1 (-141 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-170 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-5 *2 (-170 *6)) (-5 *1 (-169 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-213 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-311 *3) (-311 *3))) (-4 *3 (-13 (-1048) (-843))) (-5 *1 (-214 *3 *4)) (-14 *4 (-635 (-1163))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-233 *5 *6)) (-14 *5 (-764)) (-4 *6 (-1197)) (-4 *7 (-1197)) (-5 *2 (-233 *5 *7)) (-5 *1 (-232 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-289 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-289 *6)) (-5 *1 (-288 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1197)) (-5 *1 (-289 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1145)) (-5 *5 (-608 *6)) (-4 *6 (-297)) (-4 *2 (-1197)) (-5 *1 (-292 *6 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5)) (-5 *4 (-608 *5)) (-4 *5 (-297)) (-4 *2 (-297)) (-5 *1 (-293 *5 *2)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 *1 *1)) (-5 *3 (-608 *1)) (-4 *1 (-297)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-680 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-5 *2 (-680 *6)) (-5 *1 (-299 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-311 *5)) (-4 *5 (-843)) (-4 *6 (-843)) (-5 *2 (-311 *6)) (-5 *1 (-309 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-4 *6 (-1048)) (-4 *7 (-1048)) (-4 *5 (-788)) (-4 *2 (-325 *7 *5)) (-5 *1 (-323 *5 *6 *4 *7 *2)) (-4 *4 (-325 *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-335 *5 *6 *7 *8)) (-4 *5 (-366)) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *9 (-366)) (-4 *10 (-1222 *9)) (-4 *11 (-1222 (-410 *10))) (-5 *2 (-335 *9 *10 *11 *12)) (-5 *1 (-332 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-341 *9 *10 *11)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-337 *3)) (-4 *3 (-1091)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1202)) (-4 *8 (-1202)) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-4 *9 (-1222 *8)) (-4 *2 (-341 *8 *9 *10)) (-5 *1 (-339 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-341 *5 *6 *7)) (-4 *10 (-1222 (-410 *9))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-4 *2 (-376 *6)) (-5 *1 (-374 *5 *4 *6 *2)) (-4 *4 (-376 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-385 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1091)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-421 *5)) (-4 *5 (-559)) (-4 *6 (-559)) (-5 *2 (-421 *6)) (-5 *1 (-408 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-410 *5)) (-4 *5 (-559)) (-4 *6 (-559)) (-5 *2 (-410 *6)) (-5 *1 (-409 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-416 *5 *6 *7 *8)) (-4 *5 (-302)) (-4 *6 (-994 *5)) (-4 *7 (-1222 *6)) (-4 *8 (-13 (-412 *6 *7) (-1038 *6))) (-4 *9 (-302)) (-4 *10 (-994 *9)) (-4 *11 (-1222 *10)) (-5 *2 (-416 *9 *10 *11 *12)) (-5 *1 (-415 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-13 (-412 *10 *11) (-1038 *10))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-420 *6)) (-5 *1 (-418 *4 *5 *2 *6)) (-4 *4 (-420 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-559)) (-5 *1 (-421 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-13 (-1048) (-843))) (-4 *6 (-13 (-1048) (-843))) (-4 *2 (-433 *6)) (-5 *1 (-424 *5 *4 *6 *2)) (-4 *4 (-433 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-428 *6)) (-5 *1 (-426 *5 *4 *6 *2)) (-4 *4 (-428 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-843)) (-5 *1 (-495 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-500 *3)) (-4 *3 (-1197)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-519 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-843)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-586 *5)) (-4 *5 (-366)) (-4 *6 (-366)) (-5 *2 (-586 *6)) (-5 *1 (-585 *5 *6)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| -3032 *5) (|:| |coeff| *5)) "failed")) (-4 *5 (-366)) (-4 *6 (-366)) (-5 *2 (-2 (|:| -3032 *6) (|:| |coeff| *6))) (-5 *1 (-585 *5 *6)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *2 *5)) (-5 *4 (-3 *5 "failed")) (-4 *5 (-366)) (-4 *2 (-366)) (-5 *1 (-585 *5 *2)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| |mainpart| *5) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *5) (|:| |logand| *5))))) "failed")) (-4 *5 (-366)) (-4 *6 (-366)) (-5 *2 (-2 (|:| |mainpart| *6) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *6) (|:| |logand| *6)))))) (-5 *1 (-585 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-599 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-599 *6)) (-5 *1 (-596 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-599 *6)) (-5 *5 (-599 *7)) (-4 *6 (-1197)) (-4 *7 (-1197)) (-4 *8 (-1197)) (-5 *2 (-599 *8)) (-5 *1 (-597 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1143 *6)) (-5 *5 (-599 *7)) (-4 *6 (-1197)) (-4 *7 (-1197)) (-4 *8 (-1197)) (-5 *2 (-1143 *8)) (-5 *1 (-597 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-599 *6)) (-5 *5 (-1143 *7)) (-4 *6 (-1197)) (-4 *7 (-1197)) (-4 *8 (-1197)) (-5 *2 (-1143 *8)) (-5 *1 (-597 *6 *7 *8)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1197)) (-5 *1 (-599 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-635 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-635 *6)) (-5 *1 (-633 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-635 *6)) (-5 *5 (-635 *7)) (-4 *6 (-1197)) (-4 *7 (-1197)) (-4 *8 (-1197)) (-5 *2 (-635 *8)) (-5 *1 (-634 *6 *7 *8)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-641 *3)) (-4 *3 (-1197)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1048)) (-4 *8 (-1048)) (-4 *6 (-376 *5)) (-4 *7 (-376 *5)) (-4 *2 (-678 *8 *9 *10)) (-5 *1 (-676 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-678 *5 *6 *7)) (-4 *9 (-376 *8)) (-4 *10 (-376 *8)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *8 "failed") *5)) (-4 *5 (-1048)) (-4 *8 (-1048)) (-4 *6 (-376 *5)) (-4 *7 (-376 *5)) (-4 *2 (-678 *8 *9 *10)) (-5 *1 (-676 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-678 *5 *6 *7)) (-4 *9 (-376 *8)) (-4 *10 (-376 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-559)) (-4 *7 (-559)) (-4 *6 (-1222 *5)) (-4 *2 (-1222 (-410 *8))) (-5 *1 (-700 *5 *6 *4 *7 *8 *2)) (-4 *4 (-1222 (-410 *6))) (-4 *8 (-1222 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *8)) (-4 *8 (-1048)) (-4 *9 (-1048)) (-4 *5 (-843)) (-4 *6 (-789)) (-4 *2 (-951 *9 *7 *5)) (-5 *1 (-719 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-789)) (-4 *4 (-951 *8 *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-843)) (-4 *6 (-843)) (-4 *7 (-789)) (-4 *9 (-1048)) (-4 *2 (-951 *9 *8 *6)) (-5 *1 (-720 *5 *6 *7 *8 *9 *4 *2)) (-4 *8 (-789)) (-4 *4 (-951 *9 *7 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-726 *5 *7)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-4 *7 (-717)) (-5 *2 (-726 *6 *7)) (-5 *1 (-725 *5 *6 *7)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-726 *3 *4)) (-4 *4 (-717)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-778 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-5 *2 (-778 *6)) (-5 *1 (-777 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-793 *6)) (-5 *1 (-794 *4 *5 *2 *6)) (-4 *4 (-793 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-829 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *2 (-829 *6)) (-5 *1 (-828 *5 *6)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-829 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-829 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *1 (-828 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-836 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *2 (-836 *6)) (-5 *1 (-835 *5 *6)))) ((*1 *2 *3 *4 *2 *2) (-12 (-5 *2 (-836 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-836 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *1 (-835 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-874 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-874 *6)) (-5 *1 (-873 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-876 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-876 *6)) (-5 *1 (-875 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-878 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-878 *6)) (-5 *1 (-877 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-885 *5 *6)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-885 *5 *7)) (-5 *1 (-884 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *2 (-888 *6)) (-5 *1 (-887 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-954 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-5 *2 (-954 *6)) (-5 *1 (-948 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *7)) (-5 *4 (-1 *2 *8)) (-4 *7 (-843)) (-4 *8 (-1048)) (-4 *6 (-789)) (-4 *2 (-13 (-1091) (-10 -8 (-15 -1707 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-764)))))) (-5 *1 (-953 *6 *7 *8 *5 *2)) (-4 *5 (-951 *8 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-959 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-959 *6)) (-5 *1 (-958 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-945 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-5 *2 (-945 *6)) (-5 *1 (-983 *5 *6)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-1 *2 (-954 *4))) (-4 *4 (-1048)) (-4 *2 (-951 (-954 *4) *5 *6)) (-4 *5 (-789)) (-4 *6 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-5 *1 (-986 *4 *5 *6 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-559)) (-4 *6 (-559)) (-4 *2 (-994 *6)) (-5 *1 (-992 *5 *6 *4 *2)) (-4 *4 (-994 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-998 *6)) (-5 *1 (-999 *4 *5 *2 *6)) (-4 *4 (-998 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-1001 *3)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *5 *5 *5)) (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *5 *5)) (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *10 *7)) (-4 *7 (-1048)) (-4 *10 (-1048)) (-14 *5 (-764)) (-14 *6 (-764)) (-4 *8 (-231 *6 *7)) (-4 *9 (-231 *5 *7)) (-4 *2 (-1051 *5 *6 *10 *11 *12)) (-5 *1 (-1053 *5 *6 *7 *8 *9 *4 *10 *11 *12 *2)) (-4 *4 (-1051 *5 *6 *7 *8 *9)) (-4 *11 (-231 *6 *10)) (-4 *12 (-231 *5 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1085 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1085 *6)) (-5 *1 (-1081 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1085 *5)) (-4 *5 (-841)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-635 *6)) (-5 *1 (-1081 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1083 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1083 *6)) (-5 *1 (-1082 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 *4 *4)) (-4 *1 (-1086 *4 *2)) (-4 *4 (-841)) (-4 *2 (-1135 *4)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-1133 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1143 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1143 *6)) (-5 *1 (-1141 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1143 *6)) (-5 *5 (-1143 *7)) (-4 *6 (-1197)) (-4 *7 (-1197)) (-4 *8 (-1197)) (-5 *2 (-1143 *8)) (-5 *1 (-1142 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1159 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-5 *2 (-1159 *6)) (-5 *1 (-1156 *5 *6)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *4 *4 *4)) (-4 *1 (-1174 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1210 *5 *7 *9)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-14 *7 (-1163)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1210 *6 *8 *10)) (-5 *1 (-1205 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1163)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1213 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1213 *6)) (-5 *1 (-1212 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1213 *5)) (-4 *5 (-841)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1143 *6)) (-5 *1 (-1212 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *6)) (-5 *4 (-1219 *5 *6)) (-14 *5 (-1163)) (-4 *6 (-1048)) (-4 *8 (-1048)) (-5 *2 (-1219 *7 *8)) (-5 *1 (-1214 *5 *6 *7 *8)) (-14 *7 (-1163)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-4 *2 (-1222 *6)) (-5 *1 (-1220 *5 *4 *6 *2)) (-4 *4 (-1222 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1231 *5 *7 *9)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-14 *7 (-1163)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1231 *6 *8 *10)) (-5 *1 (-1226 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1163)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-4 *2 (-1237 *6)) (-5 *1 (-1235 *5 *6 *4 *2)) (-4 *4 (-1237 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1247 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1247 *6)) (-5 *1 (-1246 *5 *6)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *6 "failed") *5)) (-5 *4 (-1247 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1247 *6)) (-5 *1 (-1246 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-1268 *3 *4)) (-4 *4 (-839))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-1048)) (-5 *1 (-446 *3 *2)) (-4 *2 (-1222 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-1133 (-1145))) (-5 *1 (-394))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-951 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-2 (|:| |poly| *3) (|:| |mult| *5))) (-5 *1 (-451 *5 *6 *7 *3))))) 
+(((*1 *1 *2 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1197)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1145)) (-5 *1 (-991)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1085 *4)) (-4 *4 (-1197)) (-5 *1 (-1083 *4))))) 
+(((*1 *1) (-12 (-4 *1 (-407)) (-3864 (|has| *1 (-6 -4526))) (-3864 (|has| *1 (-6 -4518))))) ((*1 *2 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-1091)) (-4 *2 (-843)))) ((*1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (-4 *1 (-843))) ((*1 *2 *1) (-12 (-4 *1 (-970 *2)) (-4 *2 (-843)))) ((*1 *1) (-5 *1 (-1109)))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-569))) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-559)) (-4 *8 (-951 *7 *5 *6)) (-5 *2 (-2 (|:| -2356 (-764)) (|:| -4140 *9) (|:| |radicand| *9))) (-5 *1 (-955 *5 *6 *7 *8 *9)) (-5 *4 (-764)) (-4 *9 (-13 (-366) (-10 -8 (-15 -4116 (*8 $)) (-15 -4121 (*8 $)) (-15 -2185 ($ *8)))))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-905)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-951 *4 *5 *6)) (-5 *2 (-421 (-1159 *7))) (-5 *1 (-902 *4 *5 *6 *7)) (-5 *3 (-1159 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-905)) (-4 *5 (-1222 *4)) (-5 *2 (-421 (-1159 *5))) (-5 *1 (-903 *4 *5)) (-5 *3 (-1159 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1143 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-37 *2)) (-4 *2 (-366)))) ((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1197)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-1197)))) ((*1 *1 *1 *2) (-12 (-5 *2 "right") (-4 *1 (-128 *3)) (-4 *3 (-1197)))) ((*1 *1 *1 *2) (-12 (-5 *2 "left") (-4 *1 (-128 *3)) (-4 *3 (-1197)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 (-569))) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 (-569)) (-14 *5 (-764)))) ((*1 *2 *1 *3 *3 *3 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-764)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-764)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-764)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-764)))) ((*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-142 *3 *4 *2)) (-14 *3 (-569)) (-14 *4 (-764)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-241 (-1145))) (-5 *1 (-206 *4)) (-4 *4 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ *3)) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $))))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-991)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $))))))) ((*1 *2 *1 *3) (-12 (-5 *3 "count") (-5 *2 (-764)) (-5 *1 (-241 *4)) (-4 *4 (-843)))) ((*1 *1 *1 *2) (-12 (-5 *2 "sort") (-5 *1 (-241 *3)) (-4 *3 (-843)))) ((*1 *1 *1 *2) (-12 (-5 *2 "unique") (-5 *1 (-241 *3)) (-4 *3 (-843)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-282 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1197)))) ((*1 *2 *1 *3 *2) (-12 (-4 *1 (-284 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1197)))) ((*1 *2 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-285 *3 *2 *4 *5 *6 *7)) (-4 *2 (-1222 *3)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 *1)) (-4 *1 (-297)))) ((*1 *1 *2 *1 *1 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *1 *2 *1 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *1 *2 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *2 *1 *2 *2) (-12 (-4 *1 (-341 *2 *3 *4)) (-4 *2 (-1202)) (-4 *3 (-1222 *2)) (-4 *4 (-1222 (-410 *3))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-420 *2)) (-4 *2 (-173)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1145)) (-5 *1 (-512)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-57)) (-5 *1 (-624)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1213 (-569))) (-4 *1 (-641 *3)) (-4 *3 (-1197)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-764)) (-5 *1 (-667 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 (-888 *4))) (-5 *1 (-888 *4)) (-4 *4 (-1091)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-899 *2)) (-4 *2 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-901 *4)) (-5 *1 (-900 *4)) (-4 *4 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-921 *2 *4)) (-4 *4 (-642 *2)) (-4 *2 (-366)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-972 *2)) (-4 *2 (-366)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-233 *4 *2)) (-14 *4 (-918)) (-4 *2 (-366)) (-5 *1 (-995 *4 *2)))) ((*1 *2 *1 *3) (-12 (-5 *3 "value") (-4 *1 (-1011 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-5 *1 (-1027 *2)) (-4 *2 (-1197)))) ((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-1051 *4 *5 *2 *6 *7)) (-4 *2 (-1048)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1051 *4 *5 *2 *6 *7)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)) (-4 *2 (-1048)))) ((*1 *2 *1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-1091)) (-4 *5 (-13 (-1048) (-882 *4) (-843) (-610 (-888 *4)))) (-5 *1 (-1070 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-882 *4) (-610 (-888 *4)))))) ((*1 *2 *1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-1091)) (-4 *5 (-13 (-1048) (-882 *4) (-843) (-610 (-888 *4)))) (-5 *1 (-1071 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-882 *4) (-610 (-888 *4)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)))) ((*1 *1 *1 *1) (-4 *1 (-1130))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-1163)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-410 *1)) (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-410 *1)) (-4 *1 (-1222 *3)) (-4 *3 (-1048)) (-4 *3 (-559)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-1224 *2 *3)) (-4 *3 (-788)) (-4 *2 (-1048)))) ((*1 *2 *1 *3) (-12 (-5 *3 "last") (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) ((*1 *1 *1 *2) (-12 (-5 *2 "rest") (-4 *1 (-1234 *3)) (-4 *3 (-1197)))) ((*1 *2 *1 *3) (-12 (-5 *3 "first") (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851))))) 
+(((*1 *2) (-12 (-5 *2 (-829 (-569))) (-5 *1 (-540)))) ((*1 *1) (-12 (-5 *1 (-829 *2)) (-4 *2 (-1091))))) 
+(((*1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-559)) (-4 *2 (-173))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1247 (-635 (-2 (|:| -2247 *4) (|:| -3998 (-1109)))))) (-4 *4 (-351)) (-5 *2 (-764)) (-5 *1 (-348 *4)))) ((*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-353 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918)))) ((*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-354 *3 *4)) (-4 *3 (-351)) (-14 *4 (-3 (-1159 *3) (-1247 (-635 (-2 (|:| -2247 *3) (|:| -3998 (-1109))))))))) ((*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-355 *3 *4)) (-4 *3 (-351)) (-14 *4 (-918))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-366)) (-4 *7 (-1222 (-410 *6))) (-5 *2 (-2 (|:| |answer| *3) (|:| -1289 *3))) (-5 *1 (-567 *5 *6 *7 *3)) (-4 *3 (-341 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |answer| (-410 *6)) (|:| -1289 (-410 *6)) (|:| |specpart| (-410 *6)) (|:| |polypart| *6))) (-5 *1 (-568 *5 *6)) (-5 *3 (-410 *6))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843))))) 
+(((*1 *1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1159 *2)) (|:| |logand| (-1159 *2))))) (-5 *4 (-635 (-2 (|:| |integrand| *2) (|:| |intvar| *2)))) (-4 *2 (-366)) (-5 *1 (-586 *2))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *1 (-257)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) ((*1 *2 *1 *3 *3 *4 *4 *4) (-12 (-5 *3 (-569)) (-5 *4 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *2 (-1252)) (-5 *1 (-1249)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *1 (-1249)))) ((*1 *2 *1 *3 *3 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1094 *2 *3 *4 *5 *6)) (-4 *2 (-1091)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-121)) (-5 *1 (-36 *4 *5)) (-4 *5 (-433 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-121)) (-5 *1 (-160 *4 *5)) (-4 *5 (-433 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-121)) (-5 *1 (-273 *4 *5)) (-4 *5 (-13 (-433 *4) (-1003))))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-5 *2 (-121)) (-5 *1 (-296 *4)) (-4 *4 (-297)))) ((*1 *2 *3) (-12 (-4 *1 (-297)) (-5 *3 (-123)) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-432 *4 *5)) (-4 *4 (-433 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-121)) (-5 *1 (-434 *4 *5)) (-4 *5 (-433 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-121)) (-5 *1 (-622 *4 *5)) (-4 *5 (-13 (-433 *4) (-1003) (-1183)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-542))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-954 *4)) (-4 *4 (-13 (-302) (-151))) (-4 *2 (-951 *4 *6 *5)) (-5 *1 (-925 *4 *5 *6 *2)) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-909 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1094 *2 *3 *4 *5 *6)) (-4 *2 (-1091)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-366)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-530 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-311 (-170 (-382)))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-684))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-691))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-689))) (-5 *1 (-329)))) ((*1 *1) (-5 *1 (-329)))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-776 *5 (-853 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-1132 *5 (-535 (-853 *6)) (-853 *6) (-776 *5 (-853 *6))))) (-5 *1 (-620 *5 *6))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-121))))) 
+(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1007)))) ((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1007))))) 
+(((*1 *1) (-5 *1 (-440)))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-123)) (-4 *4 (-1048)) (-5 *1 (-705 *4 *2)) (-4 *2 (-638 *4)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-123)) (-5 *1 (-830 *2)) (-4 *2 (-1048))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-263 *4)) (-4 *6 (-789)) (-5 *2 (-635 *4))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-635 (-635 (-569)))) (-5 *1 (-925 *4 *5 *6 *7)) (-5 *3 (-569)) (-4 *7 (-951 *4 *6 *5))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -3493 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-817))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3))))) 
+(((*1 *1) (-5 *1 (-1060)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-1163))) (-5 *2 (-1252)) (-5 *1 (-1166)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1163))) (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166)))) ((*1 *2 *3 *4 *1) (-12 (-5 *4 (-635 (-1163))) (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-829 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-836 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-918) (-121))) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-918) (-121))) (-5 *1 (-466))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1183))))) ((*1 *1 *1 *1) (-4 *1 (-789)))) 
+(((*1 *1 *2 *2 *2 *2) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-764)) (|:| |poli| *2) (|:| |polj| *2))) (-4 *5 (-789)) (-4 *2 (-951 *4 *5 *6)) (-5 *1 (-451 *4 *5 *6 *2)) (-4 *4 (-454)) (-4 *6 (-843))))) 
 (((*1 *1) (-5 *1 (-121)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-663 *3)) (-4 *3 (-842)) (-4 *1 (-376 *3 *4)) (-4 *4 (-172))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1037 (-568))) (-4 *1 (-296)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-550)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-900 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-787)) (-4 *2 (-1047)))) ((*1 *2 *1 *1) (-12 (-4 *2 (-1047)) (-5 *1 (-55 *2 *3)) (-14 *3 (-634 (-1161))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-634 (-917))) (-4 *2 (-365)) (-5 *1 (-155 *4 *2 *5)) (-14 *4 (-917)) (-14 *5 (-994 *4 *2)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-310 *3)) (-5 *1 (-213 *3 *4)) (-4 *3 (-13 (-1047) (-842))) (-14 *4 (-634 (-1161))))) ((*1 *2 *3 *1) (-12 (-4 *1 (-320 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-137)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-384 *2 *3)) (-4 *3 (-1090)) (-4 *2 (-1047)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *2 (-558)) (-5 *1 (-615 *2 *4)) (-4 *4 (-1219 *2)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-4 *1 (-698 *2)) (-4 *2 (-1047)))) ((*1 *2 *1 *3) (-12 (-4 *2 (-1047)) (-5 *1 (-725 *2 *3)) (-4 *3 (-716)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 *5)) (-5 *3 (-634 (-763))) (-4 *1 (-730 *4 *5)) (-4 *4 (-1047)) (-4 *5 (-842)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-763)) (-4 *1 (-730 *4 *2)) (-4 *4 (-1047)) (-4 *2 (-842)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-4 *1 (-844 *2)) (-4 *2 (-1047)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 *6)) (-5 *3 (-634 (-763))) (-4 *1 (-950 *4 *5 *6)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *6 (-842)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-763)) (-4 *1 (-950 *4 *5 *2)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *2 (-842)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-4 *2 (-950 *4 (-534 *5) *5)) (-5 *1 (-1114 *4 *5 *2)) (-4 *4 (-1047)) (-4 *5 (-842)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-953 *4)) (-5 *1 (-1190 *4)) (-4 *4 (-1047))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-1004 *3)) (-14 *3 (-568))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *4 *5)) (-4 *5 (-13 (-27) (-1181) (-432 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *4 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-409 (-568))) (-4 *5 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *5 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-288 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *5))) (-4 *5 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-288 *3)) (-5 *5 (-409 (-568))) (-4 *3 (-13 (-27) (-1181) (-432 *6))) (-4 *6 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *6 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-409 (-568)))) (-5 *4 (-288 *8)) (-5 *5 (-1210 (-409 (-568)))) (-5 *6 (-409 (-568))) (-4 *8 (-13 (-27) (-1181) (-432 *7))) (-4 *7 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *7 *8)))) ((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1161)) (-5 *5 (-288 *3)) (-5 *6 (-1210 (-409 (-568)))) (-5 *7 (-409 (-568))) (-4 *3 (-13 (-27) (-1181) (-432 *8))) (-4 *8 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *8 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-409 (-568))) (-4 *4 (-1047)) (-4 *1 (-1226 *4 *3)) (-4 *3 (-1203 *4))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-246 *4 *3 *5 *6)) (-4 *4 (-1047)) (-4 *3 (-842)) (-4 *5 (-262 *3)) (-4 *6 (-788)) (-5 *2 (-634 (-763))))) ((*1 *2 *1) (-12 (-4 *1 (-246 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-842)) (-4 *5 (-262 *4)) (-4 *6 (-788)) (-5 *2 (-634 (-763)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |gen| *3) (|:| -1894 (-568))))) (-5 *1 (-363 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |gen| *3) (|:| -1894 (-763))))) (-5 *1 (-388 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| -3850 *3) (|:| -3483 (-568))))) (-5 *1 (-420 *3)) (-4 *3 (-558)))) ((*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |gen| *3) (|:| -1894 (-763))))) (-5 *1 (-814 *3)) (-4 *3 (-842))))) 
-(((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-751))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-242 (-4289 (QUOTE X) (QUOTE -2928)) *3)) (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-117))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *4 *5)) (-4 *5 (-13 (-27) (-1181) (-432 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *4 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-568)) (-4 *5 (-13 (-453) (-842) (-1037 *4) (-630 *4))) (-5 *2 (-57)) (-5 *1 (-309 *5 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-288 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *5))) (-4 *5 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-288 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *6))) (-4 *6 (-13 (-453) (-842) (-1037 *5) (-630 *5))) (-5 *5 (-568)) (-5 *2 (-57)) (-5 *1 (-309 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-568))) (-5 *4 (-288 *7)) (-5 *5 (-1210 (-568))) (-4 *7 (-13 (-27) (-1181) (-432 *6))) (-4 *6 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1161)) (-5 *5 (-288 *3)) (-5 *6 (-1210 (-568))) (-4 *3 (-13 (-27) (-1181) (-432 *7))) (-4 *7 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *7 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-568)) (-4 *4 (-1047)) (-4 *1 (-1205 *4 *3)) (-4 *3 (-1234 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1226 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-1203 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-900 *3))) (-4 *3 (-1090)) (-5 *1 (-899 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-944 *3)) (-4 *3 (-13 (-365) (-1181) (-1002))) (-5 *1 (-174 *3))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-568)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-375 *2)) (-4 *5 (-375 *2)) (-4 *2 (-1195)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-283 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-1195)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-568)) (-4 *1 (-1050 *4 *5 *2 *6 *7)) (-4 *6 (-230 *5 *2)) (-4 *7 (-230 *4 *2)) (-4 *2 (-1047))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))) (-5 *1 (-184))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *4 *5)) (-4 *5 (-13 (-27) (-1181) (-432 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *4 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-763)) (-4 *5 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *5 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-288 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *5))) (-4 *5 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-288 *3)) (-5 *5 (-763)) (-4 *3 (-13 (-27) (-1181) (-432 *6))) (-4 *6 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-309 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-568))) (-5 *4 (-288 *6)) (-4 *6 (-13 (-27) (-1181) (-432 *5))) (-4 *5 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1161)) (-5 *5 (-288 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *6))) (-4 *6 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-568))) (-5 *4 (-288 *7)) (-5 *5 (-1210 (-763))) (-4 *7 (-13 (-27) (-1181) (-432 *6))) (-4 *6 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1161)) (-5 *5 (-288 *3)) (-5 *6 (-1210 (-763))) (-4 *3 (-13 (-27) (-1181) (-432 *7))) (-4 *7 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-57)) (-5 *1 (-461 *7 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1205 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-1234 *3))))) 
-(((*1 *2) (-12 (-4 *4 (-1199)) (-4 *5 (-1219 *4)) (-4 *6 (-1219 (-409 *5))) (-5 *2 (-763)) (-5 *1 (-339 *3 *4 *5 *6)) (-4 *3 (-340 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-763)))) ((*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-763))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-953 (-568)))) (-5 *1 (-439)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1161)) (-5 *4 (-679 (-215))) (-5 *2 (-1094)) (-5 *1 (-751)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1161)) (-5 *4 (-679 (-568))) (-5 *2 (-1094)) (-5 *1 (-751))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-634 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-763)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-788)) (-4 *6 (-950 *3 *4 *5)) (-4 *3 (-453)) (-4 *5 (-842)) (-5 *1 (-450 *3 *4 *5 *6))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-381) (-381))) (-5 *4 (-381)) (-5 *2 (-2 (|:| -2852 *4) (|:| -2185 *4) (|:| |totalpts| (-568)) (|:| |success| (-121)))) (-5 *1 (-784)) (-5 *5 (-568))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-141 *2 *3 *4)) (-14 *2 (-568)) (-14 *3 (-763)) (-4 *4 (-172)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-842) (-558))) (-5 *1 (-159 *4 *2)) (-4 *2 (-432 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1082 *2)) (-4 *2 (-432 *4)) (-4 *4 (-13 (-842) (-558))) (-5 *1 (-159 *4 *2)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1082 *1)) (-4 *1 (-161)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-161)) (-5 *2 (-1161)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-470 *2 *3)) (-4 *2 (-172)) (-4 *3 (-23)))) ((*1 *1 *1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-1262 *3 *4)) (-4 *3 (-842)) (-4 *4 (-172))))) 
-(((*1 *1) (|partial| -12 (-4 *1 (-369 *2)) (-4 *2 (-558)) (-4 *2 (-172))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-369 *2)) (-4 *2 (-172)))) ((*1 *2) (-12 (-4 *2 (-172)) (-5 *1 (-418 *3 *2)) (-4 *3 (-419 *2)))) ((*1 *2) (-12 (-4 *1 (-419 *2)) (-4 *2 (-172))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1127 *4 *2)) (-14 *4 (-917)) (-4 *2 (-13 (-1047) (-10 -7 (-6 (-4523 "*"))))) (-5 *1 (-897 *4 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-634 (-1255 *4 *5 *6 *7))) (-5 *1 (-1255 *4 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-634 *9)) (-5 *4 (-1 (-121) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1061 *6 *7 *8)) (-4 *6 (-558)) (-4 *7 (-788)) (-4 *8 (-842)) (-5 *2 (-634 (-1255 *6 *7 *8 *9))) (-5 *1 (-1255 *6 *7 *8 *9))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) (-5 *2 (-634 (-1161))) (-5 *1 (-263)))) ((*1 *2 *3) (-12 (-5 *3 (-1157 *7)) (-4 *7 (-950 *6 *4 *5)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1047)) (-5 *2 (-634 *5)) (-5 *1 (-318 *4 *5 *6 *7)))) ((*1 *2 *1) (-12 (-5 *2 (-634 (-1161))) (-5 *1 (-337 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-389)))) ((*1 *2 *1) (-12 (-4 *1 (-432 *3)) (-4 *3 (-842)) (-5 *2 (-634 (-1161))))) ((*1 *2 *1) (-12 (-5 *2 (-634 (-887 *3))) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-4 *1 (-950 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-634 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1047)) (-4 *7 (-950 *6 *4 *5)) (-5 *2 (-634 *5)) (-5 *1 (-951 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-365) (-10 -8 (-15 -2747 ($ *7)) (-15 -2319 (*7 $)) (-15 -2326 (*7 $))))))) ((*1 *2 *1) (-12 (-4 *1 (-974 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-787)) (-4 *5 (-842)) (-5 *2 (-634 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-977 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-634 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-409 (-953 *4))) (-4 *4 (-558)) (-5 *2 (-634 (-1161))) (-5 *1 (-1042 *4))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-432 *4)) (-5 *1 (-159 *4 *2)) (-4 *4 (-13 (-842) (-558)))))) 
-(((*1 *2) (-12 (-4 *3 (-370)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1239 (-568) -3494)) (-5 *1 (-467 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) ((*1 *2 *3) (-12 (-5 *3 (-917)) (-4 *4 (-370)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-235 *10)) (-4 *12 (-536 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1239 (-568) -3494)) (-5 *1 (-467 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-258 *12)))) ((*1 *2) (-12 (-5 *2 (-1239 (-568) -3494)) (-5 *1 (-867 *3 *4 *5)) (-4 (-857 *3) (-370)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1239 (-568) -3494)) (-5 *1 (-867 *4 *5 *6)) (-4 (-857 *4) (-370)) (-4 *4 (-350)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) ((*1 *2) (-12 (-5 *2 (-1239 (-568) -3494)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-370)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1239 (-568) -3494)) (-5 *1 (-868 *4 *5 *6)) (-4 *4 (-370)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-117))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1157 (-409 (-1157 *2)))) (-5 *4 (-607 *2)) (-4 *2 (-13 (-432 *5) (-27) (-1181))) (-4 *5 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *1 (-564 *5 *2 *6)) (-4 *6 (-1090)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1157 *1)) (-4 *1 (-950 *4 *5 *3)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *3 (-842)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1157 *4)) (-4 *4 (-1047)) (-4 *1 (-950 *4 *5 *3)) (-4 *5 (-788)) (-4 *3 (-842)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-409 (-1157 *2))) (-4 *5 (-788)) (-4 *4 (-842)) (-4 *6 (-1047)) (-4 *2 (-13 (-365) (-10 -8 (-15 -2747 ($ *7)) (-15 -2319 (*7 $)) (-15 -2326 (*7 $))))) (-5 *1 (-951 *5 *4 *6 *7 *2)) (-4 *7 (-950 *6 *5 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-409 (-1157 (-409 (-953 *5))))) (-5 *4 (-1161)) (-5 *2 (-409 (-953 *5))) (-5 *1 (-1042 *5)) (-4 *5 (-558))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-1100)) (-5 *3 (-568))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(((*1 *1 *2 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-787)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-634 (-917))) (-5 *1 (-155 *4 *2 *5)) (-14 *4 (-917)) (-4 *2 (-365)) (-14 *5 (-994 *4 *2)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-703 *5 *6 *7)) (-4 *5 (-842)) (-4 *6 (-230 (-1699 *4) (-763))) (-14 *7 (-1 (-121) (-2 (|:| -4357 *5) (|:| -3483 *6)) (-2 (|:| -4357 *5) (|:| -3483 *6)))) (-14 *4 (-634 (-1161))) (-4 *2 (-172)) (-5 *1 (-463 *4 *2 *5 *6 *7 *8)) (-4 *8 (-950 *2 *6 (-852 *4))))) ((*1 *1 *2 *3) (-12 (-4 *1 (-518 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-842)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-568)) (-4 *2 (-558)) (-5 *1 (-615 *2 *4)) (-4 *4 (-1219 *2)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-763)) (-4 *1 (-698 *2)) (-4 *2 (-1047)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-725 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-716)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 *5)) (-5 *3 (-634 (-763))) (-4 *1 (-730 *4 *5)) (-4 *4 (-1047)) (-4 *5 (-842)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-763)) (-4 *1 (-730 *4 *2)) (-4 *4 (-1047)) (-4 *2 (-842)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-763)) (-4 *1 (-844 *2)) (-4 *2 (-1047)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 *6)) (-5 *3 (-634 (-763))) (-4 *1 (-950 *4 *5 *6)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *6 (-842)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-763)) (-4 *1 (-950 *4 *5 *2)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *2 (-842)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 *6)) (-5 *3 (-634 *5)) (-4 *1 (-974 *4 *5 *6)) (-4 *4 (-1047)) (-4 *5 (-787)) (-4 *6 (-842)))) ((*1 *1 *1 *2 *3) (-12 (-4 *1 (-974 *4 *3 *2)) (-4 *4 (-1047)) (-4 *3 (-787)) (-4 *2 (-842))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-1047)) (-5 *1 (-445 *3 *2)) (-4 *2 (-1219 *3))))) 
-(((*1 *1) (-12 (-4 *1 (-406)) (-3046 (|has| *1 (-6 -4512))) (-3046 (|has| *1 (-6 -4504))))) ((*1 *2 *1) (-12 (-4 *1 (-427 *2)) (-4 *2 (-1090)) (-4 *2 (-842)))) ((*1 *2 *1) (-12 (-5 *1 (-494 *2)) (-4 *2 (-842)))) ((*1 *1 *1 *1) (-4 *1 (-842))) ((*1 *2 *1) (-12 (-4 *1 (-969 *2)) (-4 *2 (-842)))) ((*1 *1) (-5 *1 (-1108)))) 
-(((*1 *1) (|partial| -12 (-4 *1 (-369 *2)) (-4 *2 (-558)) (-4 *2 (-172))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| -3651 (-1161)) (|:| -4085 *4)))) (-5 *1 (-884 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090)))) ((*1 *2 *1) (-12 (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)) (-5 *2 (-634 *1)) (-4 *1 (-1093 *3 *4 *5 *6 *7))))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *3 (-634 (-2 (|:| |scalar| (-409 (-568))) (|:| |coeff| (-1157 *2)) (|:| |logand| (-1157 *2))))) (-5 *4 (-634 (-2 (|:| |integrand| *2) (|:| |intvar| *2)))) (-4 *2 (-365)) (-5 *1 (-585 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-953 *4)) (-4 *4 (-13 (-301) (-150))) (-4 *2 (-950 *4 *6 *5)) (-5 *1 (-924 *4 *5 *6 *2)) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-310 (-169 (-381)))) (-5 *1 (-328)))) ((*1 *1 *2) (-12 (-5 *2 (-310 (-568))) (-5 *1 (-328)))) ((*1 *1 *2) (-12 (-5 *2 (-310 (-381))) (-5 *1 (-328)))) ((*1 *1 *2) (-12 (-5 *2 (-310 (-683))) (-5 *1 (-328)))) ((*1 *1 *2) (-12 (-5 *2 (-310 (-690))) (-5 *1 (-328)))) ((*1 *1 *2) (-12 (-5 *2 (-310 (-688))) (-5 *1 (-328)))) ((*1 *1) (-5 *1 (-328)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1244 *4)) (-4 *4 (-1195)) (-4 *1 (-230 *3 *4))))) 
-(((*1 *1) (-5 *1 (-439)))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -2910 *4))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *1) (-5 *1 (-1059)))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-989 *4 *5 *6 *7 *3)) (-4 *3 (-1066 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1097 *4 *5 *6 *7 *3)) (-4 *3 (-1066 *4 *5 *6 *7))))) 
-(((*1 *1 *2 *2 *2 *2) (-12 (-5 *1 (-708 *2)) (-4 *2 (-365))))) 
-(((*1 *1 *2) (|partial| -12 (-5 *2 (-814 *3)) (-4 *3 (-842)) (-5 *1 (-663 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-365)) (-5 *2 (-634 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-971 *3)) (-4 *3 (-365)) (-5 *2 (-634 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-57)) (-5 *1 (-824))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-1047)) (-4 *4 (-1219 *3)) (-5 *1 (-164 *3 *4 *2)) (-4 *2 (-1219 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-288 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *5 (-1219 *4)) (-5 *2 (-634 (-2 (|:| |deg| (-763)) (|:| -2410 *5)))) (-5 *1 (-804 *4 *5 *3 *6)) (-4 *3 (-646 *5)) (-4 *6 (-646 (-409 *5)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-422 *3 *2 *4 *5)) (-4 *2 (-13 (-27) (-1181) (-432 *3))) (-14 *4 (-1161)) (-14 *5 *2))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-4 *2 (-13 (-27) (-1181) (-432 *3) (-10 -8 (-15 -2747 ($ *4))))) (-4 *4 (-840)) (-4 *5 (-13 (-1221 *2 *4) (-365) (-1181) (-10 -8 (-15 -4191 ($ $)) (-15 -1845 ($ $))))) (-5 *1 (-424 *3 *2 *4 *5 *6 *7)) (-4 *6 (-984 *5)) (-14 *7 (-1161))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-815)) (-14 *5 (-1161)) (-5 *2 (-634 (-1216 *5 *4))) (-5 *1 (-1104 *4 *5)) (-5 *3 (-1216 *5 *4))))) 
-(((*1 *1) (-12 (-5 *1 (-141 *2 *3 *4)) (-14 *2 (-568)) (-14 *3 (-763)) (-4 *4 (-172))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-536 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-235 *10)) (-5 *1 (-260 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-258 *11))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-391)) (-5 *2 (-1143))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-242 *4 *5)) (-14 *4 (-634 (-1161))) (-4 *5 (-1047)) (-5 *2 (-953 *5)) (-5 *1 (-945 *4 *5))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-453)) (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -2534 *4))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-230 (-1699 *5) (-763))) (-5 *1 (-119 *4 *5 *2 *6 *3)) (-4 *2 (-324 *4 *6)) (-4 *3 (-117))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-365) (-150) (-1037 (-568)))) (-4 *5 (-1219 *4)) (-5 *2 (-2 (|:| |ans| (-409 *5)) (|:| |nosol| (-121)))) (-5 *1 (-1015 *4 *5)) (-5 *3 (-409 *5))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-634 *7)) (|:| |badPols| (-634 *7)))) (-5 *1 (-978 *4 *5 *6 *7)) (-5 *3 (-634 *7))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -2723 *3))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-568)) (-4 *3 (-172)) (-4 *5 (-375 *3)) (-4 *6 (-375 *3)) (-5 *1 (-678 *3 *5 *6 *2)) (-4 *2 (-677 *3 *5 *6))))) 
-(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3))))) 
-(((*1 *1 *2) (|partial| -12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-1255 *3 *4 *5 *6)))) ((*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-634 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-558)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *1 (-1255 *5 *6 *7 *8))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-166 *2)) (-4 *2 (-172)) (-4 *2 (-1181)))) ((*1 *2 *1) (-12 (-5 *1 (-329 *2)) (-4 *2 (-842)))) ((*1 *2 *1) (-12 (-5 *2 (-634 *3)) (-5 *1 (-607 *3)) (-4 *3 (-842))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-320 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-137)) (-5 *2 (-634 (-2 (|:| |gen| *3) (|:| -1894 *4)))))) ((*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| -2350 *3) (|:| -2356 *4)))) (-5 *1 (-725 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-716)))) ((*1 *2 *1) (-12 (-4 *1 (-1221 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-787)) (-5 *2 (-1141 (-2 (|:| |k| *4) (|:| |c| *3))))))) 
-(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-121))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *3 (-558)) (-4 *3 (-172)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *1 (-678 *3 *4 *5 *2)) (-4 *2 (-677 *3 *4 *5))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-558) (-842) (-1037 (-568)))) (-5 *1 (-180 *3 *2)) (-4 *2 (-13 (-27) (-1181) (-432 (-169 *3)))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-558) (-842) (-1037 (-568)))) (-5 *1 (-180 *4 *2)) (-4 *2 (-13 (-27) (-1181) (-432 (-169 *4)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-1185 *3 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-1185 *4 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *4)))))) 
-(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3))))) 
-(((*1 *1 *1 *1 *1) (-4 *1 (-753)))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-634 (-256))) (-5 *1 (-254)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-256))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 (-169 (-568)))))) (-5 *2 (-634 (-634 (-288 (-953 (-169 *4)))))) (-5 *1 (-380 *4)) (-4 *4 (-13 (-365) (-840))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-288 (-409 (-953 (-169 (-568))))))) (-5 *2 (-634 (-634 (-288 (-953 (-169 *4)))))) (-5 *1 (-380 *4)) (-4 *4 (-13 (-365) (-840))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 (-169 (-568))))) (-5 *2 (-634 (-288 (-953 (-169 *4))))) (-5 *1 (-380 *4)) (-4 *4 (-13 (-365) (-840))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-288 (-409 (-953 (-169 (-568)))))) (-5 *2 (-634 (-288 (-953 (-169 *4))))) (-5 *1 (-380 *4)) (-4 *4 (-13 (-365) (-840)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-850)) (-5 *2 (-1143)) (-5 *1 (-500)))) ((*1 *2 *3) (-12 (-5 *3 (-850)) (-5 *2 (-1143)) (-5 *1 (-700))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1157 *5)) (-4 *5 (-365)) (-5 *2 (-634 *6)) (-5 *1 (-535 *5 *6 *4)) (-4 *6 (-365)) (-4 *4 (-13 (-365) (-840)))))) 
-(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-112)))) ((*1 *2 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-208)))) ((*1 *2 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-497)))) ((*1 *1 *1) (-12 (-4 *1 (-993 *2)) (-4 *2 (-558)) (-4 *2 (-301)))) ((*1 *2 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-1004 *3)) (-14 *3 (-568)))) ((*1 *1 *1) (-4 *1 (-1056)))) 
-(((*1 *1 *1) (-12 (-4 *1 (-324 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-787)) (-4 *2 (-453)))) ((*1 *1 *1) (-12 (-4 *1 (-340 *2 *3 *4)) (-4 *2 (-1199)) (-4 *3 (-1219 *2)) (-4 *4 (-1219 (-409 *3))))) ((*1 *1 *1) (-12 (-4 *1 (-844 *2)) (-4 *2 (-1047)) (-4 *2 (-453)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-950 *3 *4 *2)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)) (-4 *3 (-453)))) ((*1 *1 *1) (-12 (-4 *1 (-950 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-453)))) ((*1 *2 *2 *3) (-12 (-4 *3 (-301)) (-4 *3 (-558)) (-5 *1 (-1148 *3 *2)) (-4 *2 (-1219 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1249)) (-5 *1 (-1164))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) ((*1 *1 *1) (-4 *1 (-502))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3))))) 
-(((*1 *1) (-5 *1 (-1059)))) 
-(((*1 *1 *1) (-5 *1 (-1059)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-953 *5))) (-5 *4 (-634 (-1161))) (-4 *5 (-558)) (-5 *2 (-634 (-634 (-288 (-409 (-953 *5)))))) (-5 *1 (-762 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-953 *4))) (-4 *4 (-558)) (-5 *2 (-634 (-634 (-288 (-409 (-953 *4)))))) (-5 *1 (-762 *4)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-679 *7)) (-5 *5 (-1 (-2 (|:| |particular| (-3 *6 "failed")) (|:| -2588 (-634 *6))) *7 *6)) (-4 *6 (-365)) (-4 *7 (-646 *6)) (-5 *2 (-2 (|:| |particular| (-3 (-1244 *6) "failed")) (|:| -2588 (-634 (-1244 *6))))) (-5 *1 (-808 *6 *7)) (-5 *4 (-1244 *6))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) ((*1 *1 *1) (-4 *1 (-502))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-173 (-409 (-568)))) (-5 *1 (-126 *3)) (-14 *3 (-568)))) ((*1 *1 *2 *3 *3) (-12 (-5 *3 (-1141 *2)) (-4 *2 (-301)) (-5 *1 (-173 *2)))) ((*1 *1 *2) (-12 (-5 *2 (-409 *3)) (-4 *3 (-301)) (-5 *1 (-173 *3)))) ((*1 *2 *3) (-12 (-5 *2 (-173 (-568))) (-5 *1 (-757 *3)) (-4 *3 (-406)))) ((*1 *2 *1) (-12 (-5 *2 (-173 (-409 (-568)))) (-5 *1 (-865 *3)) (-14 *3 (-568)))) ((*1 *2 *1) (-12 (-14 *3 (-568)) (-5 *2 (-173 (-409 (-568)))) (-5 *1 (-866 *3 *4)) (-4 *4 (-863 *3))))) 
-(((*1 *1) (-4 *1 (-39))) ((*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1090)))) ((*1 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) ((*1 *1) (-12 (-5 *1 (-494 *2)) (-4 *2 (-842)))) ((*1 *1) (-5 *1 (-850))) ((*1 *1) (-12 (-4 *2 (-453)) (-4 *3 (-842)) (-4 *4 (-788)) (-5 *1 (-988 *2 *3 *4 *5)) (-4 *5 (-950 *2 *4 *3)))) ((*1 *1) (-12 (-5 *1 (-1000 *2)) (-4 *2 (-1090)))) ((*1 *1) (-12 (-5 *1 (-1125 *2 *3)) (-4 *2 (-13 (-1090) (-39))) (-4 *3 (-13 (-1090) (-39))))) ((*1 *1) (-12 (-5 *1 (-1132 *2)) (-4 *2 (-1090)))) ((*1 *1) (-5 *1 (-1164))) ((*1 *1) (-5 *1 (-1165)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |scalar| (-409 (-568))) (|:| |coeff| (-1157 *3)) (|:| |logand| (-1157 *3))))) (-5 *1 (-585 *3)) (-4 *3 (-365))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) ((*1 *1 *1) (-4 *1 (-502))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-555 *2)) (-4 *2 (-13 (-406) (-1181))))) ((*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-850)))) ((*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-850))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-565))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-392 *3 *4 *5)) (-14 *3 (-763)) (-14 *4 (-763)) (-4 *5 (-172))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) ((*1 *1 *1) (-4 *1 (-502))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3))))) 
-(((*1 *2 *3 *4 *5 *6 *7 *6) (|partial| -12 (-5 *5 (-2 (|:| |contp| *3) (|:| -2075 (-634 (-2 (|:| |irr| *10) (|:| -4402 (-568))))))) (-5 *6 (-634 *3)) (-5 *7 (-634 *8)) (-4 *8 (-842)) (-4 *3 (-301)) (-4 *10 (-950 *3 *9 *8)) (-4 *9 (-788)) (-5 *2 (-2 (|:| |polfac| (-634 *10)) (|:| |correct| *3) (|:| |corrfact| (-634 (-1157 *3))))) (-5 *1 (-617 *8 *9 *3 *10)) (-5 *4 (-634 (-1157 *3)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-953 (-215))) (-5 *2 (-310 (-381))) (-5 *1 (-299))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1161)) (-5 *1 (-817))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) ((*1 *1 *1) (-4 *1 (-502))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *4 (-13 (-365) (-840))) (-5 *2 (-420 *3)) (-5 *1 (-178 *4 *3)) (-4 *3 (-1219 (-169 *4))))) ((*1 *2 *3 *4) (-12 (-4 *4 (-13 (-365) (-840))) (-5 *2 (-420 *3)) (-5 *1 (-178 *4 *3)) (-4 *3 (-1219 (-169 *4)))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-634 *1)) (-5 *3 (-634 *7)) (-4 *1 (-1066 *4 *5 *6 *7)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-1066 *4 *5 *6 *7)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-1066 *4 *5 *6 *3)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-634 *1)) (-4 *1 (-1066 *4 *5 *6 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) ((*1 *1 *1) (-4 *1 (-502))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1143)) (-5 *3 (-766)) (-5 *1 (-123))))) 
-(((*1 *1 *1) (|partial| -12 (-4 *1 (-369 *2)) (-4 *2 (-172)) (-4 *2 (-558)))) ((*1 *1 *1) (|partial| -4 *1 (-712)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-568)) (|has| *1 (-6 -4512)) (-4 *1 (-406)) (-5 *2 (-917))))) 
-(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-301) (-150))) (-4 *4 (-13 (-842) (-609 (-1161)))) (-4 *5 (-788)) (-5 *1 (-924 *3 *4 *5 *2)) (-4 *2 (-950 *3 *5 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-950 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-1249)) (-5 *1 (-450 *4 *5 *6 *7))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-1244 *1)) (-4 *1 (-858)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-4 *1 (-1219 *4)) (-4 *4 (-1047)) (-5 *2 (-1244 *4))))) 
-(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3))))) 
-(((*1 *1) (-5 *1 (-158)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-679 *2)) (-4 *4 (-1219 *2)) (-4 *2 (-13 (-301) (-10 -8 (-15 -3498 ((-420 $) $))))) (-5 *1 (-508 *2 *4 *5)) (-4 *5 (-411 *2 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1111 *3 *2 *4 *5)) (-4 *4 (-230 *3 *2)) (-4 *5 (-230 *3 *2)) (-4 *2 (-1047))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-158)) (-5 *1 (-869))))) 
-(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3))))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1161)) (-5 *3 (-634 (-953 (-568)))) (-5 *4 (-310 (-169 (-381)))) (-5 *1 (-328)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1161)) (-5 *3 (-634 (-953 (-568)))) (-5 *4 (-310 (-381))) (-5 *1 (-328)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1161)) (-5 *3 (-634 (-953 (-568)))) (-5 *4 (-310 (-568))) (-5 *1 (-328)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1244 (-310 (-169 (-381))))) (-5 *1 (-328)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1244 (-310 (-381)))) (-5 *1 (-328)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1244 (-310 (-568)))) (-5 *1 (-328)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-679 (-310 (-169 (-381))))) (-5 *1 (-328)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-679 (-310 (-381)))) (-5 *1 (-328)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-679 (-310 (-568)))) (-5 *1 (-328)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-310 (-169 (-381)))) (-5 *1 (-328)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-310 (-381))) (-5 *1 (-328)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-310 (-568))) (-5 *1 (-328)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1161)) (-5 *3 (-634 (-953 (-568)))) (-5 *4 (-310 (-683))) (-5 *1 (-328)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1161)) (-5 *3 (-634 (-953 (-568)))) (-5 *4 (-310 (-688))) (-5 *1 (-328)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1161)) (-5 *3 (-634 (-953 (-568)))) (-5 *4 (-310 (-690))) (-5 *1 (-328)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1244 (-310 (-683)))) (-5 *1 (-328)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1244 (-310 (-688)))) (-5 *1 (-328)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1244 (-310 (-690)))) (-5 *1 (-328)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-679 (-310 (-683)))) (-5 *1 (-328)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-679 (-310 (-688)))) (-5 *1 (-328)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-679 (-310 (-690)))) (-5 *1 (-328)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1244 (-683))) (-5 *1 (-328)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1244 (-688))) (-5 *1 (-328)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1244 (-690))) (-5 *1 (-328)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-679 (-683))) (-5 *1 (-328)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-679 (-688))) (-5 *1 (-328)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-679 (-690))) (-5 *1 (-328)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-310 (-683))) (-5 *1 (-328)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-310 (-688))) (-5 *1 (-328)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-310 (-690))) (-5 *1 (-328)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1143)) (-5 *1 (-328)))) ((*1 *1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *1) (-5 *1 (-1164)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1047)) (-4 *7 (-1047)) (-4 *6 (-1219 *5)) (-5 *2 (-1157 (-1157 *7))) (-5 *1 (-510 *5 *6 *4 *7)) (-4 *4 (-1219 *6))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-910 *2)) (-4 *2 (-301))))) 
-(((*1 *1 *1) (-4 *1 (-98))) ((*1 *1 *1 *1) (-5 *1 (-215))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) ((*1 *1 *1 *1) (-5 *1 (-381))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3))))) 
-(((*1 *1 *1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-1141 *3)) (-4 *3 (-1195)))) ((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-1231 *2)) (-4 *2 (-1195))))) 
-(((*1 *1 *1) (|partial| -12 (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1090) (-39))) (-4 *3 (-13 (-1090) (-39)))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-978 *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (-12 (-5 *2 (-634 *7)) (-5 *3 (-121)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-978 *4 *5 *6 *7))))) 
-(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1191 *3)) (-4 *3 (-975))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-763)) (-5 *1 (-48 *4 *3)) (-4 *3 (-419 *4))))) 
-(((*1 *2 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *1 (-1116 *3 *2)) (-4 *3 (-1219 *2))))) 
-(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3))))) 
-(((*1 *1 *2 *2) (-12 (-4 *1 (-555 *2)) (-4 *2 (-13 (-406) (-1181)))))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *2 (-634 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-558)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *1 (-978 *5 *6 *7 *8))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-763)) (-5 *1 (-848 *2)) (-4 *2 (-172)))) ((*1 *2 *3 *3 *2) (-12 (-5 *3 (-763)) (-5 *1 (-848 *2)) (-4 *2 (-172))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) ((*1 *1 *1) (-4 *1 (-1184)))) 
-(((*1 *1 *1 *2) (-12 (-5 *1 (-1125 *2 *3)) (-4 *2 (-13 (-1090) (-39))) (-4 *3 (-13 (-1090) (-39)))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1234 *4)) (-5 *1 (-1236 *4 *2)) (-4 *4 (-43 (-409 (-568))))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) ((*1 *1 *1) (-4 *1 (-1184)))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(((*1 *2) (-12 (-5 *2 (-381)) (-5 *1 (-1039))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-850))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) ((*1 *1 *1) (-4 *1 (-1184)))) 
-(((*1 *2 *1) (-12 (-5 *1 (-910 *2)) (-4 *2 (-301))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-365)))) ((*1 *2 *1) (-12 (-4 *1 (-971 *2)) (-4 *2 (-365))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-1047)) (-4 *4 (-230 *5 (-763))) (-14 *5 (-763)) (-5 *1 (-908 *3 *2 *4 *5)) (-4 *2 (-324 *3 *4)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-365)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-5 *1 (-929 *4 *2 *5 *6 *3)) (-4 *2 (-324 *4 *5)) (-4 *3 (-971 *4)))) ((*1 *2 *2 *3 *4) (-12 (-5 *4 (-568)) (-4 *5 (-365)) (-4 *6 (-230 *7 (-763))) (-14 *7 (-763)) (-5 *1 (-929 *5 *2 *6 *7 *3)) (-4 *2 (-324 *5 *6)) (-4 *3 (-971 *5))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) ((*1 *1 *1) (-4 *1 (-1184)))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-917)) (-4 *1 (-327 *3)) (-4 *3 (-365)) (-4 *3 (-370)))) ((*1 *2 *1) (-12 (-4 *1 (-327 *2)) (-4 *2 (-365)))) ((*1 *2 *1) (-12 (-4 *1 (-372 *2 *3)) (-4 *3 (-1219 *2)) (-4 *2 (-172)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1244 *4)) (-5 *3 (-917)) (-4 *4 (-350)) (-5 *1 (-532 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1111 *3 *2 *4 *5)) (-4 *4 (-230 *3 *2)) (-4 *5 (-230 *3 *2)) (-4 *2 (-1047))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1108)) (-5 *1 (-113)))) ((*1 *2 *1) (|partial| -12 (-5 *1 (-367 *2)) (-4 *2 (-1090)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-1143)) (-5 *1 (-1177))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-568)) (-4 *5 (-365)) (-5 *2 (-634 *5)) (-5 *1 (-635 *5 *3)) (-4 *3 (-641 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-944 *3)) (-4 *3 (-13 (-365) (-1181) (-1002))) (-5 *1 (-174 *3))))) 
-(((*1 *1 *1) (-4 *1 (-620))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-621 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002) (-1181)))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) ((*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-1195)))) ((*1 *2 *1) (-12 (-5 *1 (-1000 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-679 (-310 (-215)))) (-5 *2 (-381)) (-5 *1 (-197))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-671 *2)) (-4 *2 (-1090)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-634 *5) (-634 *5))) (-5 *4 (-568)) (-5 *2 (-634 *5)) (-5 *1 (-671 *5)) (-4 *5 (-1090))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-978 *4 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1084 (-215))) (-5 *1 (-926)))) ((*1 *2 *1) (-12 (-5 *2 (-1084 (-215))) (-5 *1 (-927))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1047)) (-14 *4 (-634 (-1161))))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3 *4)) (-4 *3 (-13 (-1047) (-842))) (-14 *4 (-634 (-1161)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1 *1)) (-4 *1 (-641 *3)) (-4 *3 (-365)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-1141 *3))) (-5 *1 (-1141 *3)) (-4 *3 (-1195))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |var| (-634 (-1161))) (|:| |pred| (-57)))) (-5 *1 (-887 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-634 (-568))) (-5 *3 (-679 (-568))) (-5 *1 (-1100))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1 (-215) (-215) (-215) (-215))) (-5 *1 (-256)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-215) (-215) (-215))) (-5 *1 (-256)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-215) (-215))) (-5 *1 (-256))))) 
-(((*1 *1 *1) (-4 *1 (-620))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-621 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002) (-1181)))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-887 *2)) (-4 *2 (-1090))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1149 *2 *3)) (-14 *2 (-917)) (-4 *3 (-1047))))) 
-(((*1 *2 *2) (-12 (-5 *1 (-586 *2)) (-4 *2 (-550))))) 
-(((*1 *1) (-5 *1 (-158)))) 
-(((*1 *1 *1) (-4 *1 (-620))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-621 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002) (-1181)))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| *3) (|:| -3145 *4)))) (-5 *1 (-1067 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1143)) (-5 *1 (-1177))))) 
-(((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-381)) (-5 *2 (-1249)) (-5 *1 (-1246))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-1082 (-381))) (-5 *5 (-1143)) (-5 *6 (-634 (-256))) (-5 *2 (-1249)) (-5 *1 (-456)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-1082 (-381))) (-5 *5 (-1143)) (-5 *2 (-1249)) (-5 *1 (-456)))) ((*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-1082 (-381))) (-5 *5 (-1143)) (-5 *6 (-634 (-256))) (-5 *2 (-1249)) (-5 *1 (-456)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-1082 (-381))) (-5 *5 (-1143)) (-5 *2 (-1249)) (-5 *1 (-456))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-396)))) ((*1 *2 *1) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-1176))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568)))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-863 *3)) (-5 *2 (-568)))) ((*1 *1 *1) (-4 *1 (-1002))) ((*1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-1012)))) ((*1 *1 *2) (-12 (-5 *2 (-409 (-568))) (-4 *1 (-1012)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1012)) (-5 *2 (-763)))) ((*1 *1 *1) (-4 *1 (-1012)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-819))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1195)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *2 (-763)))) ((*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-5 *2 (-763))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1219 *4)) (-4 *4 (-1199)) (-4 *6 (-1219 (-409 *5))) (-5 *2 (-2 (|:| |num| *1) (|:| |den| *5) (|:| |derivden| *5) (|:| |gd| *5))) (-4 *1 (-340 *4 *5 *6))))) 
-(((*1 *2) (-12 (-4 *2 (-13 (-432 *3) (-1002))) (-5 *1 (-272 *3 *2)) (-4 *3 (-13 (-842) (-558))))) ((*1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) ((*1 *1) (-5 *1 (-489))) ((*1 *1) (-4 *1 (-1181)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-665 *3)) (-4 *3 (-1195)) (-5 *2 (-121))))) 
-(((*1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568))))) ((*1 *2 *2) (-12 (-5 *2 (-917)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-850))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-57))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-55 *3 *4)) (-4 *3 (-1047)) (-14 *4 (-634 (-1161))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) ((*1 *1 *1) (-4 *1 (-279))) ((*1 *1 *1) (-12 (-5 *1 (-337 *2 *3 *4)) (-14 *2 (-634 (-1161))) (-14 *3 (-634 (-1161))) (-4 *4 (-389)))) ((*1 *1 *2) (-12 (-5 *2 (-656 *3 *4)) (-4 *3 (-842)) (-4 *4 (-13 (-172) (-707 (-409 (-568))))) (-5 *1 (-618 *3 *4 *5)) (-14 *5 (-917)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-763)) (-4 *4 (-13 (-1047) (-707 (-409 (-568))))) (-4 *5 (-842)) (-5 *1 (-1258 *4 *5 *2)) (-4 *2 (-1263 *5 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-1262 *3 *4)) (-4 *4 (-707 (-409 (-568)))) (-4 *3 (-842)) (-4 *4 (-172))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1143)) (-5 *1 (-96 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-5 *2 (-1143)) (-5 *1 (-212 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-5 *2 (-1143)) (-5 *1 (-494 *3)) (-4 *3 (-1090)) (-4 *3 (-842)))) ((*1 *2 *1) (-12 (-5 *2 (-1143)) (-5 *1 (-1000 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-4 *1 (-1090)) (-5 *2 (-1143)))) ((*1 *2 *1) (-12 (-5 *2 (-1143)) (-5 *1 (-1132 *3)) (-4 *3 (-1090)) (-4 *3 (-1090))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-171)) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047))))) 
-(((*1 *1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *1 *1) (-4 *1 (-550)))) 
-(((*1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1) (-4 *1 (-132))) ((*1 *1 *1 *2) (-12 (-4 *1 (-238)) (-5 *2 (-568)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-478)) (-5 *2 (-568)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-716)) (-5 *2 (-763)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1102)) (-5 *2 (-917))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1047)) (-4 *2 (-13 (-406) (-1037 *4) (-365) (-1181) (-279))) (-5 *1 (-444 *4 *3 *2)) (-4 *3 (-1219 *4))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-404)) (-5 *2 (-763)))) ((*1 *1 *1) (-4 *1 (-404)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-2 (|:| |gen| *3) (|:| -1894 *4)))) (-4 *3 (-1090)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-638 *3 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-568))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-1 (-121) *8))) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-558)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-2 (|:| |goodPols| (-634 *8)) (|:| |badPols| (-634 *8)))) (-5 *1 (-978 *5 *6 *7 *8)) (-5 *4 (-634 *8))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-679 *5)) (-5 *4 (-1244 *5)) (-4 *5 (-365)) (-5 *2 (-121)) (-5 *1 (-659 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-4 *6 (-13 (-375 *5) (-10 -7 (-6 -4522)))) (-4 *4 (-13 (-375 *5) (-10 -7 (-6 -4522)))) (-5 *2 (-121)) (-5 *1 (-660 *5 *6 *4 *3)) (-4 *3 (-677 *5 *6 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *5 *5)) (-4 *5 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *2 (-2 (|:| |solns| (-634 *5)) (|:| |maps| (-634 (-2 (|:| |arg| *5) (|:| |res| *5)))))) (-5 *1 (-1116 *3 *5)) (-4 *3 (-1219 *5))))) 
-(((*1 *2 *3 *4 *4 *2 *2 *2) (-12 (-5 *2 (-568)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-763)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-788)) (-4 *4 (-950 *5 *6 *7)) (-4 *5 (-453)) (-4 *7 (-842)) (-5 *1 (-450 *5 *6 *7 *4))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-977 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-121) *8)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-558)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-2 (|:| |goodPols| (-634 *8)) (|:| |badPols| (-634 *8)))) (-5 *1 (-978 *5 *6 *7 *8)) (-5 *4 (-634 *8))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-955)) (-5 *2 (-634 (-634 (-944 (-215))))))) ((*1 *2 *1) (-12 (-4 *1 (-975)) (-5 *2 (-634 (-634 (-944 (-215)))))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-420 *3)) (-5 *1 (-360 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-239 *2)) (-4 *2 (-1195)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-277 *2)) (-4 *2 (-1195)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-277 *2)) (-4 *2 (-1195)))) ((*1 *1 *1 *2) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-1231 *2)) (-4 *2 (-1195)))) ((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-1231 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *2 *2 *2 *2 *3) (-12 (-5 *2 (-679 *4)) (-5 *3 (-763)) (-4 *4 (-1047)) (-5 *1 (-680 *4))))) 
-(((*1 *2 *1 *3 *4 *4 *4 *4 *5 *5 *5 *5 *6 *5 *6 *5) (-12 (-5 *3 (-917)) (-5 *4 (-215)) (-5 *5 (-568)) (-5 *6 (-869)) (-5 *2 (-1249)) (-5 *1 (-1245))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002)))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-381)))) ((*1 *1 *1 *1) (-4 *1 (-550))) ((*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-641 *3)) (-4 *3 (-365)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-708 *2)) (-4 *2 (-365)))) ((*1 *1 *2) (-12 (-5 *1 (-708 *2)) (-4 *2 (-365)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-763))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1129)) (-5 *2 (-142)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1129)) (-5 *2 (-147))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1035))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-634 *5) *6)) (-4 *5 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *6 (-1219 *5)) (-5 *2 (-634 (-2 (|:| |poly| *6) (|:| -2410 *3)))) (-5 *1 (-804 *5 *6 *3 *7)) (-4 *3 (-646 *6)) (-4 *7 (-646 (-409 *6))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-634 *5) *6)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-4 *6 (-1219 *5)) (-5 *2 (-634 (-2 (|:| |poly| *6) (|:| -2410 (-644 *6 (-409 *6)))))) (-5 *1 (-807 *5 *6)) (-5 *3 (-644 *6 (-409 *6)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-230 (-1699 *5) (-763))) (-5 *2 (-3 (-634 *7) "failed" "Infinite" (-568))) (-5 *1 (-31 *4 *5 *3 *6 *7)) (-4 *3 (-950 *4 *6 (-852 *5))) (-4 *7 (-971 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-230 (-1699 *5) (-763))) (-5 *2 (-3 (-634 *7) "failed" "Infinite" (-568))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-950 *4 *6 (-852 *5))) (-4 *7 (-971 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1157 (-1157 *4))) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *7 (-230 (-1699 *5) (-763))) (-5 *2 (-3 (-634 *8) "failed" "Infinite" (-568))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *8 (-971 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1157 *1)) (-5 *4 (-1161)) (-4 *1 (-27)) (-5 *2 (-634 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-1157 *1)) (-4 *1 (-27)) (-5 *2 (-634 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-953 *1)) (-4 *1 (-27)) (-5 *2 (-634 *1)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-842) (-558))) (-5 *2 (-634 *1)) (-4 *1 (-29 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *2 (-634 *1)) (-4 *1 (-29 *3))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-1161))) (-5 *3 (-1161)) (-5 *1 (-541)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-694 *3)) (-4 *3 (-609 (-541))))) ((*1 *2 *3 *2 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-694 *3)) (-4 *3 (-609 (-541))))) ((*1 *2 *3 *2 *2 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-694 *3)) (-4 *3 (-609 (-541))))) ((*1 *2 *3 *2 *4) (-12 (-5 *4 (-634 (-1161))) (-5 *2 (-1161)) (-5 *1 (-694 *3)) (-4 *3 (-609 (-541)))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-324 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-787)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-4 *4 (-1047)) (-5 *1 (-908 *4 *2 *5 *6)) (-4 *2 (-324 *4 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-514 *3 *4 *5 *6))) (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-514 *3 *4 *5 *6)) (-4 *6 (-950 *3 *4 *5)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-365)) (-4 *3 (-788)) (-4 *4 (-842)) (-5 *1 (-514 *2 *3 *4 *5)) (-4 *5 (-950 *2 *3 *4)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-634 *1)) (-4 *1 (-1066 *4 *5 *6 *3)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-634 *1)) (-5 *3 (-634 *7)) (-4 *1 (-1066 *4 *5 *6 *7)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-634 *1)) (-4 *1 (-1066 *4 *5 *6 *7)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-634 *1)) (-4 *1 (-1066 *4 *5 *6 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1087 *2)) (-4 *2 (-1090))))) 
-(((*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-926))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-340 *4 *3 *5)) (-4 *4 (-1199)) (-4 *3 (-1219 *4)) (-4 *5 (-1219 (-409 *3))) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-121))))) 
-(((*1 *1 *2 *2 *2) (-12 (-5 *1 (-219 *2)) (-4 *2 (-13 (-365) (-1181))))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-568)) (-4 *5 (-1047)) (-4 *6 (-230 *7 (-763))) (-14 *7 (-763)) (-5 *1 (-908 *5 *2 *6 *7)) (-4 *2 (-324 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-1047)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-5 *1 (-908 *4 *2 *5 *6)) (-4 *2 (-324 *4 *5)))) ((*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-917)) (-5 *4 (-381)) (-5 *2 (-1249)) (-5 *1 (-1245)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-381)) (-5 *2 (-1249)) (-5 *1 (-1246))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-1047)) (-4 *4 (-230 *5 (-763))) (-14 *5 (-763)) (-5 *1 (-908 *3 *2 *4 *5)) (-4 *2 (-324 *3 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1216 *5 *4)) (-4 *4 (-815)) (-14 *5 (-1161)) (-5 *2 (-568)) (-5 *1 (-1104 *4 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-634 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-350)) (-5 *3 (-568)) (-5 *2 (-1169 (-917) (-763)))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-565))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -4409 *1) (|:| -2607 *1))) (-4 *1 (-301)))) ((*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-388 *3)) (|:| |rm| (-388 *3)))) (-5 *1 (-388 *3)) (-4 *3 (-1090)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -4409 (-763)) (|:| -2607 (-763)))) (-5 *1 (-763)))) ((*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-3 (-814 *3) "failed")) (|:| |rm| (-3 (-814 *3) "failed")))) (-5 *1 (-814 *3)) (-4 *3 (-842)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| -4409 *3) (|:| -2607 *3))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-978 *3 *4 *5 *6))))) 
-(((*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) ((*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121))))) 
-(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-763)) (-4 *3 (-1195)) (-4 *1 (-62 *3 *4 *5)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) ((*1 *1) (-5 *1 (-171))) ((*1 *1 *2 *2 *2) (-12 (-5 *2 (-1143)) (-4 *1 (-391)))) ((*1 *1) (-5 *1 (-396))) ((*1 *1 *2 *3) (-12 (-5 *2 (-763)) (-4 *1 (-640 *3)) (-4 *3 (-1195)))) ((*1 *1) (-12 (-4 *3 (-1090)) (-5 *1 (-880 *2 *3 *4)) (-4 *2 (-1090)) (-4 *4 (-658 *3)))) ((*1 *1) (-12 (-5 *1 (-884 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-1090)))) ((*1 *1) (-12 (-5 *1 (-1149 *2 *3)) (-14 *2 (-917)) (-4 *3 (-1047)))) ((*1 *1 *1) (-5 *1 (-1161))) ((*1 *1) (-5 *1 (-1161))) ((*1 *1) (-5 *1 (-1176)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-763))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-634 (-944 (-215))))) (-5 *1 (-1191 *3)) (-4 *3 (-975))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-634 (-634 (-634 *4)))) (-5 *2 (-634 (-634 *4))) (-4 *4 (-842)) (-5 *1 (-1167 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-365)) (-5 *1 (-1043 *3))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-896 *2)) (-4 *2 (-1090)))) ((*1 *1 *2) (-12 (-5 *1 (-896 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1082 (-835 *3))) (-4 *3 (-13 (-1181) (-959) (-29 *5))) (-4 *5 (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-3 (|:| |f1| (-835 *3)) (|:| |f2| (-634 (-835 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-209 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1082 (-835 *3))) (-5 *5 (-1143)) (-4 *3 (-13 (-1181) (-959) (-29 *6))) (-4 *6 (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-3 (|:| |f1| (-835 *3)) (|:| |f2| (-634 (-835 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-209 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 *5))) (-5 *4 (-1082 (-835 (-310 *5)))) (-4 *5 (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-3 (|:| |f1| (-835 (-310 *5))) (|:| |f2| (-634 (-835 (-310 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-409 (-953 *6))) (-5 *4 (-1082 (-835 (-310 *6)))) (-5 *5 (-1143)) (-4 *6 (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-3 (|:| |f1| (-835 (-310 *6))) (|:| |f2| (-634 (-835 (-310 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *6)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1082 (-835 (-409 (-953 *5))))) (-5 *3 (-409 (-953 *5))) (-4 *5 (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-3 (|:| |f1| (-835 (-310 *5))) (|:| |f2| (-634 (-835 (-310 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1082 (-835 (-409 (-953 *6))))) (-5 *5 (-1143)) (-5 *3 (-409 (-953 *6))) (-4 *6 (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-3 (|:| |f1| (-835 (-310 *6))) (|:| |f2| (-634 (-835 (-310 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *6)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-3 *3 (-634 *3))) (-5 *1 (-430 *5 *3)) (-4 *3 (-13 (-1181) (-959) (-29 *5))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-479 *3 *4 *5)) (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047)) (-14 *5 *3))) ((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-1084 (-835 (-381)))) (-5 *5 (-381)) (-5 *6 (-1059)) (-5 *2 (-1035)) (-5 *1 (-569)))) ((*1 *2 *3) (-12 (-5 *3 (-761)) (-5 *2 (-1035)) (-5 *1 (-569)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-1084 (-835 (-381)))) (-5 *5 (-381)) (-5 *2 (-1035)) (-5 *1 (-569)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-1084 (-835 (-381)))) (-5 *5 (-381)) (-5 *2 (-1035)) (-5 *1 (-569)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-1084 (-835 (-381)))) (-5 *2 (-1035)) (-5 *1 (-569)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-634 (-1084 (-835 (-381))))) (-5 *2 (-1035)) (-5 *1 (-569)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-634 (-1084 (-835 (-381))))) (-5 *5 (-381)) (-5 *2 (-1035)) (-5 *1 (-569)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-634 (-1084 (-835 (-381))))) (-5 *5 (-381)) (-5 *2 (-1035)) (-5 *1 (-569)))) ((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-310 (-381))) (-5 *4 (-634 (-1084 (-835 (-381))))) (-5 *5 (-381)) (-5 *6 (-1059)) (-5 *2 (-1035)) (-5 *1 (-569)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-310 (-381))) (-5 *4 (-1082 (-835 (-381)))) (-5 *5 (-1143)) (-5 *2 (-1035)) (-5 *1 (-569)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-310 (-381))) (-5 *4 (-1082 (-835 (-381)))) (-5 *5 (-1161)) (-5 *2 (-1035)) (-5 *1 (-569)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-365) (-150) (-1037 (-568)))) (-4 *5 (-1219 *4)) (-5 *2 (-585 (-409 *5))) (-5 *1 (-572 *4 *5)) (-5 *3 (-409 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-409 (-953 *5))) (-5 *4 (-1161)) (-4 *5 (-150)) (-4 *5 (-13 (-453) (-1037 (-568)) (-842) (-630 (-568)))) (-5 *2 (-3 (-310 *5) (-634 (-310 *5)))) (-5 *1 (-588 *5)))) ((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-730 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-842)) (-4 *3 (-43 (-409 (-568)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-953 *3)) (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047)))) ((*1 *1 *1 *2 *3) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047)) (-4 *2 (-842)) (-5 *1 (-1114 *3 *2 *4)) (-4 *4 (-950 *3 (-534 *2) *2)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1151 *3 *4 *5)) (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1158 *3 *4 *5)) (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1159 *3 *4 *5)) (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047)) (-14 *5 *3))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *1 (-1190 *3)) (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1240 (QUOTE |x|))) (-5 *1 (-1201 *3)) (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047)))) ((*1 *1 *1 *2) (-2199 (-12 (-5 *2 (-1161)) (-4 *1 (-1203 *3)) (-4 *3 (-1047)) (-12 (-4 *3 (-29 (-568))) (-4 *3 (-959)) (-4 *3 (-1181)) (-4 *3 (-43 (-409 (-568)))))) (-12 (-5 *2 (-1161)) (-4 *1 (-1203 *3)) (-4 *3 (-1047)) (-12 (|has| *3 (-15 -2057 ((-634 *2) *3))) (|has| *3 (-15 -1845 (*3 *3 *2))) (-4 *3 (-43 (-409 (-568)))))))) ((*1 *1 *1) (-12 (-4 *1 (-1203 *2)) (-4 *2 (-1047)) (-4 *2 (-43 (-409 (-568)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1207 *3 *4 *5)) (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047)) (-14 *5 *3))) ((*1 *1 *1) (-12 (-4 *1 (-1219 *2)) (-4 *2 (-1047)) (-4 *2 (-43 (-409 (-568)))))) ((*1 *1 *1 *2) (-2199 (-12 (-5 *2 (-1161)) (-4 *1 (-1224 *3)) (-4 *3 (-1047)) (-12 (-4 *3 (-29 (-568))) (-4 *3 (-959)) (-4 *3 (-1181)) (-4 *3 (-43 (-409 (-568)))))) (-12 (-5 *2 (-1161)) (-4 *1 (-1224 *3)) (-4 *3 (-1047)) (-12 (|has| *3 (-15 -2057 ((-634 *2) *3))) (|has| *3 (-15 -1845 (*3 *3 *2))) (-4 *3 (-43 (-409 (-568)))))))) ((*1 *1 *1) (-12 (-4 *1 (-1224 *2)) (-4 *2 (-1047)) (-4 *2 (-43 (-409 (-568)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1228 *3 *4 *5)) (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047)) (-14 *5 *3))) ((*1 *1 *1 *2) (-2199 (-12 (-5 *2 (-1161)) (-4 *1 (-1234 *3)) (-4 *3 (-1047)) (-12 (-4 *3 (-29 (-568))) (-4 *3 (-959)) (-4 *3 (-1181)) (-4 *3 (-43 (-409 (-568)))))) (-12 (-5 *2 (-1161)) (-4 *1 (-1234 *3)) (-4 *3 (-1047)) (-12 (|has| *3 (-15 -2057 ((-634 *2) *3))) (|has| *3 (-15 -1845 (*3 *3 *2))) (-4 *3 (-43 (-409 (-568)))))))) ((*1 *1 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1047)) (-4 *2 (-43 (-409 (-568)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1235 *3 *4 *5)) (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1240 *4)) (-14 *4 (-1161)) (-5 *1 (-1239 *3 *4)) (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-246 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-842)) (-4 *5 (-262 *4)) (-4 *6 (-788)) (-5 *2 (-763)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-246 *4 *3 *5 *6)) (-4 *4 (-1047)) (-4 *3 (-842)) (-4 *5 (-262 *3)) (-4 *6 (-788)) (-5 *2 (-763)))) ((*1 *2 *1) (-12 (-4 *1 (-262 *3)) (-4 *3 (-842)) (-5 *2 (-763)))) ((*1 *2 *1) (-12 (-4 *1 (-350)) (-5 *2 (-917)))) ((*1 *2 *3) (-12 (-5 *3 (-334 *4 *5 *6 *7)) (-4 *4 (-13 (-370) (-365))) (-4 *5 (-1219 *4)) (-4 *6 (-1219 (-409 *5))) (-4 *7 (-340 *4 *5 *6)) (-5 *2 (-763)) (-5 *1 (-394 *4 *5 *6 *7)))) ((*1 *2 *1) (-12 (-4 *1 (-404)) (-5 *2 (-828 (-917))))) ((*1 *2 *1) (-12 (-4 *1 (-406)) (-5 *2 (-568)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-594 *3)) (-4 *3 (-1047)))) ((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-594 *3)) (-4 *3 (-1047)))) ((*1 *2 *1) (-12 (-4 *3 (-558)) (-5 *2 (-568)) (-5 *1 (-615 *3 *4)) (-4 *4 (-1219 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-641 *3)) (-4 *3 (-365)) (-5 *2 (-568)))) ((*1 *2 *1) (-12 (-4 *1 (-641 *3)) (-4 *3 (-365)) (-5 *2 (-568)))) ((*1 *2 *1 *3 *2) (-12 (-5 *2 (-763)) (-4 *1 (-730 *4 *3)) (-4 *4 (-1047)) (-4 *3 (-842)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-730 *4 *3)) (-4 *4 (-1047)) (-4 *3 (-842)) (-5 *2 (-763)))) ((*1 *2 *1) (-12 (-4 *1 (-863 *3)) (-5 *2 (-763)))) ((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-899 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-900 *3)) (-4 *3 (-1090)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-334 *5 *6 *7 *8)) (-4 *5 (-432 *4)) (-4 *6 (-1219 *5)) (-4 *7 (-1219 (-409 *6))) (-4 *8 (-340 *5 *6 *7)) (-4 *4 (-13 (-842) (-558) (-1037 (-568)))) (-5 *2 (-763)) (-5 *1 (-906 *4 *5 *6 *7 *8)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-334 (-409 (-568)) *4 *5 *6)) (-4 *4 (-1219 (-409 (-568)))) (-4 *5 (-1219 (-409 *4))) (-4 *6 (-340 (-409 (-568)) *4 *5)) (-5 *2 (-763)) (-5 *1 (-907 *4 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-334 *6 *7 *4 *8)) (-5 *5 (-1 *9 *6)) (-4 *6 (-365)) (-4 *7 (-1219 *6)) (-4 *4 (-1219 (-409 *7))) (-4 *8 (-340 *6 *7 *4)) (-4 *9 (-13 (-370) (-365))) (-5 *2 (-763)) (-5 *1 (-1018 *6 *7 *4 *8 *9)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1219 *3)) (-4 *3 (-1047)) (-4 *3 (-558)) (-5 *2 (-763)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-1221 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-787)))) ((*1 *2 *1) (-12 (-4 *1 (-1221 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-787))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-677 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *2 (-634 (-634 *3))))) ((*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-5 *2 (-634 (-634 *5))))) ((*1 *2 *1) (-12 (-5 *2 (-634 (-634 *3))) (-5 *1 (-1168 *3)) (-4 *3 (-1090))))) 
-(((*1 *1 *1 *2) (-12 (-5 *1 (-638 *2 *3 *4)) (-4 *2 (-1090)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-665 *3)) (-4 *3 (-1195)) (-5 *2 (-763))))) 
-(((*1 *2 *1 *2) (-12 (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *2 (-235 *9)) (-4 *10 (-117))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-565)) (-5 *3 (-568)))) ((*1 *2 *3) (-12 (-5 *2 (-1157 (-409 (-568)))) (-5 *1 (-943)) (-5 *3 (-568))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-1157 *2)) (-4 *2 (-432 *4)) (-4 *4 (-13 (-842) (-558))) (-5 *1 (-36 *4 *2))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-763)) (-5 *6 (-121)) (-4 *7 (-453)) (-4 *8 (-788)) (-4 *9 (-842)) (-4 *3 (-1061 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-634 *4)) (|:| |todo| (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))))) (-5 *1 (-1064 *7 *8 *9 *3 *4)) (-4 *4 (-1066 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-763)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *8 (-842)) (-4 *3 (-1061 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-634 *4)) (|:| |todo| (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))))) (-5 *1 (-1064 *6 *7 *8 *3 *4)) (-4 *4 (-1066 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-634 *4)) (|:| |todo| (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))))) (-5 *1 (-1064 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-763)) (-5 *6 (-121)) (-4 *7 (-453)) (-4 *8 (-788)) (-4 *9 (-842)) (-4 *3 (-1061 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-634 *4)) (|:| |todo| (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))))) (-5 *1 (-1130 *7 *8 *9 *3 *4)) (-4 *4 (-1099 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-763)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *8 (-842)) (-4 *3 (-1061 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-634 *4)) (|:| |todo| (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))))) (-5 *1 (-1130 *6 *7 *8 *3 *4)) (-4 *4 (-1099 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-634 *4)) (|:| |todo| (-634 (-2 (|:| |val| (-634 *3)) (|:| -3145 *4)))))) (-5 *1 (-1130 *5 *6 *7 *3 *4)) (-4 *4 (-1099 *5 *6 *7 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-52 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-787)))) ((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1047)) (-14 *4 (-634 (-1161))))) ((*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-213 *3 *4)) (-4 *3 (-13 (-1047) (-842))) (-14 *4 (-634 (-1161))))) ((*1 *2 *1) (-12 (-4 *1 (-235 *3)) (-4 *3 (-1090)) (-5 *2 (-568)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-246 *4 *3 *5 *6)) (-4 *4 (-1047)) (-4 *3 (-842)) (-4 *5 (-262 *3)) (-4 *6 (-788)) (-5 *2 (-763)))) ((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-271)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1157 *8)) (-5 *4 (-634 *6)) (-4 *6 (-842)) (-4 *8 (-950 *7 *5 *6)) (-4 *5 (-788)) (-4 *7 (-1047)) (-5 *2 (-634 (-763))) (-5 *1 (-318 *5 *6 *7 *8)))) ((*1 *2 *1) (-12 (-4 *1 (-327 *3)) (-4 *3 (-365)) (-5 *2 (-917)))) ((*1 *2 *1) (-12 (-4 *1 (-376 *3 *4)) (-4 *3 (-842)) (-4 *4 (-172)) (-5 *2 (-763)))) ((*1 *2 *1) (-12 (-4 *1 (-475 *3 *2)) (-4 *3 (-172)) (-4 *2 (-23)))) ((*1 *2 *1) (-12 (-4 *3 (-558)) (-5 *2 (-568)) (-5 *1 (-615 *3 *4)) (-4 *4 (-1219 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-698 *3)) (-4 *3 (-1047)) (-5 *2 (-763)))) ((*1 *2 *1) (-12 (-4 *1 (-844 *3)) (-4 *3 (-1047)) (-5 *2 (-763)))) ((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-899 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-900 *3)) (-4 *3 (-1090)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-568)) (-4 *5 (-1047)) (-4 *6 (-230 *7 *2)) (-14 *7 *2) (-5 *2 (-763)) (-5 *1 (-908 *5 *3 *6 *7)) (-4 *3 (-324 *5 *6)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-634 *6)) (-4 *1 (-950 *4 *5 *6)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-634 (-763))))) ((*1 *2 *1 *3) (-12 (-4 *1 (-950 *4 *5 *3)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *3 (-842)) (-5 *2 (-763)))) ((*1 *2 *1) (-12 (-4 *1 (-974 *3 *2 *4)) (-4 *3 (-1047)) (-4 *4 (-842)) (-4 *2 (-787)))) ((*1 *2 *1) (-12 (-4 *1 (-1088)) (-5 *2 (-917)))) ((*1 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-763)))) ((*1 *2 *1) (-12 (-4 *1 (-1205 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-1234 *3)) (-5 *2 (-568)))) ((*1 *2 *1) (-12 (-4 *1 (-1226 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-1203 *3)) (-5 *2 (-409 (-568))))) ((*1 *2 *1) (-12 (-4 *1 (-1261 *3)) (-4 *3 (-365)) (-5 *2 (-828 (-917))))) ((*1 *2 *1) (-12 (-4 *1 (-1263 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047)) (-5 *2 (-763))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-763)) (-5 *1 (-778 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-172))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-679 *3)) (-4 *3 (-1047)) (-5 *1 (-680 *3)))) ((*1 *2 *2 *2 *2) (-12 (-5 *2 (-679 *3)) (-4 *3 (-1047)) (-5 *1 (-680 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-1219 (-409 (-568)))) (-5 *1 (-909 *3 *2)) (-4 *2 (-1219 (-409 *3)))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2723 (-777 *3)) (|:| |coef1| (-777 *3)))) (-5 *1 (-777 *3)) (-4 *3 (-558)) (-4 *3 (-1047)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-558)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-2 (|:| -2723 *1) (|:| |coef1| *1))) (-4 *1 (-1061 *3 *4 *5))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1161)) (-5 *2 (-439)) (-5 *1 (-1165))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-634 (-409 *6))) (-5 *3 (-409 *6)) (-4 *6 (-1219 *5)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-572 *5 *6))))) 
-(((*1 *2 *2) (-12 (-5 *1 (-160 *2)) (-4 *2 (-550)))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-972))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-473)) (-5 *3 (-634 (-256))) (-5 *1 (-1245)))) ((*1 *1 *1) (-5 *1 (-1245)))) 
-(((*1 *1) (-5 *1 (-147))) ((*1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *1 *1) (-4 *1 (-620))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-621 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002) (-1181)))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-634 (-256))) (-5 *1 (-254)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-256)))) ((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-472)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-472))))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *3 (-634 (-607 *2))) (-5 *4 (-634 (-1161))) (-4 *2 (-13 (-432 (-169 *5)) (-1002) (-1181))) (-4 *5 (-13 (-558) (-842))) (-5 *1 (-597 *5 *6 *2)) (-4 *6 (-13 (-432 *5) (-1002) (-1181)))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -2723 *3))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *2) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-679 (-409 *4)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-679 (-409 (-953 (-568))))) (-5 *2 (-634 (-679 (-310 (-568))))) (-5 *1 (-1031))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-472)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-472))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121)) (-5 *1 (-514 *3 *4 *5 *6)) (-4 *6 (-950 *3 *4 *5)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1063 *4 *3)) (-4 *4 (-13 (-840) (-365))) (-4 *3 (-1219 *4)) (-5 *2 (-121))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1 *3 *3 (-568))) (-4 *3 (-1047)) (-5 *1 (-101 *3)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1047)) (-5 *1 (-101 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1047)) (-5 *1 (-101 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-850))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-944 *5)) (-4 *5 (-1047)) (-5 *2 (-763)) (-5 *1 (-1149 *4 *5)) (-14 *4 (-917)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-763))) (-5 *3 (-763)) (-5 *1 (-1149 *4 *5)) (-14 *4 (-917)) (-4 *5 (-1047)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-763))) (-5 *3 (-944 *5)) (-4 *5 (-1047)) (-5 *1 (-1149 *4 *5)) (-14 *4 (-917))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1047)) (-5 *2 (-568)) (-5 *1 (-444 *4 *3 *5)) (-4 *3 (-1219 *4)) (-4 *5 (-13 (-406) (-1037 *4) (-365) (-1181) (-279)))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *4 (-1199)) (-4 *5 (-1219 *4)) (-5 *2 (-2 (|:| |radicand| (-409 *5)) (|:| |deg| (-763)))) (-5 *1 (-151 *4 *5 *3)) (-4 *3 (-1219 (-409 *5)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-215)) (-5 *1 (-217)))) ((*1 *2 *2) (-12 (-5 *2 (-169 (-215))) (-5 *1 (-217)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3)))) ((*1 *1 *1) (-4 *1 (-1124)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-436)))) ((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-573 *3)) (-4 *3 (-1037 (-568))))) ((*1 *2 *1) (-12 (-4 *1 (-1093 *3 *4 *5 *6 *7)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-634 (-634 *8))) (-5 *3 (-634 *8)) (-4 *8 (-1061 *5 *6 *7)) (-4 *5 (-558)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-121)) (-5 *1 (-978 *5 *6 *7 *8))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-1163 (-409 (-568)))) (-5 *1 (-182))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-634 *1)) (|has| *1 (-6 -4522)) (-4 *1 (-1010 *3)) (-4 *3 (-1195))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-5 *2 (-634 (-2 (|:| C (-679 *5)) (|:| |g| (-1244 *5))))) (-5 *1 (-979 *5)) (-5 *3 (-679 *5)) (-5 *4 (-1244 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1157 *3)) (-4 *3 (-1047)) (-4 *1 (-1219 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-917)) (-5 *4 (-420 *6)) (-4 *6 (-1219 *5)) (-4 *5 (-1047)) (-5 *2 (-634 *6)) (-5 *1 (-445 *5 *6))))) 
-(((*1 *2 *3 *4 *4 *4 *5 *4 *6 *6 *3) (-12 (-5 *4 (-679 (-215))) (-5 *5 (-679 (-568))) (-5 *6 (-215)) (-5 *3 (-568)) (-5 *2 (-1035)) (-5 *1 (-743))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1242 *3)) (-4 *3 (-1195)) (-4 *3 (-1047)) (-5 *2 (-679 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1093 *3 *4 *5 *6 *7)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)) (-5 *2 (-121))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1216 *5 *4)) (-5 *1 (-1159 *4 *5 *6)) (-4 *4 (-1047)) (-14 *5 (-1161)) (-14 *6 *4))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1216 (QUOTE |x|) *4)) (-5 *1 (-1201 *4)) (-4 *4 (-1047)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1216 *5 *4)) (-5 *1 (-1235 *4 *5 *6)) (-4 *4 (-1047)) (-14 *5 (-1161)) (-14 *6 *4))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1216 *5 *4)) (-5 *1 (-1239 *4 *5)) (-4 *4 (-1047)) (-14 *5 (-1161))))) 
-(((*1 *2 *3 *1) (-12 (|has| *1 (-6 -4521)) (-4 *1 (-601 *4 *3)) (-4 *4 (-1090)) (-4 *3 (-1195)) (-4 *3 (-1090)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-235 *3)) (-4 *3 (-1090)) (-5 *2 (-634 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-679 (-409 (-953 (-568))))) (-5 *2 (-634 (-310 (-568)))) (-5 *1 (-1031))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1143)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-1249)) (-5 *1 (-1067 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1143)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-1249)) (-5 *1 (-1098 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7))))) 
-(((*1 *2 *2 *1) (-12 (-5 *2 (-1266 *3 *4)) (-4 *1 (-376 *3 *4)) (-4 *3 (-842)) (-4 *4 (-172)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-388 *2)) (-4 *2 (-1090)))) ((*1 *1 *1 *2) (|partial| -12 (-5 *1 (-814 *2)) (-4 *2 (-842)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-814 *2)) (-4 *2 (-842)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1259 *2 *3)) (-4 *2 (-842)) (-4 *3 (-1047)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-814 *3)) (-4 *1 (-1259 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1259 *2 *3)) (-4 *2 (-842)) (-4 *3 (-1047))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-2 (|:| |den| (-568)) (|:| |gcdnum| (-568))))) (-4 *4 (-1219 (-409 *2))) (-5 *2 (-568)) (-5 *1 (-909 *4 *5)) (-4 *5 (-1219 (-409 *4)))))) 
-(((*1 *2 *3 *4 *5 *5 *5 *6 *4 *4 *4 *5 *4 *5 *7) (-12 (-5 *3 (-1143)) (-5 *5 (-679 (-215))) (-5 *6 (-215)) (-5 *7 (-679 (-568))) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-744))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-977 *3 *4 *5 *6)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)) (-5 *2 (-121))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-634 (-607 *4))) (-4 *4 (-432 *3)) (-4 *3 (-842)) (-5 *1 (-577 *3 *4)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-884 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-1090)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1087 *2)) (-4 *2 (-1090)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1087 *2)) (-4 *2 (-1090)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1087 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1066 *3 *4 *5 *6)) (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1066 *4 *5 *6 *3)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-121))))) 
-(((*1 *1 *2 *3 *1) (-12 (-5 *2 (-1082 (-953 (-568)))) (-5 *3 (-953 (-568))) (-5 *1 (-328)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1082 (-953 (-568)))) (-5 *1 (-328))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *5 *3 *3 *3 *6 *4 *3) (-12 (-5 *4 (-679 (-215))) (-5 *5 (-679 (-568))) (-5 *6 (-215)) (-5 *3 (-568)) (-5 *2 (-1035)) (-5 *1 (-744))))) 
-(((*1 *1 *2) (-12 (-5 *1 (-219 *2)) (-4 *2 (-13 (-365) (-1181)))))) 
-(((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-121)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *8 (-842)) (-4 *9 (-1061 *6 *7 *8)) (-5 *2 (-2 (|:| -2410 (-634 *9)) (|:| -3145 *4) (|:| |ineq| (-634 *9)))) (-5 *1 (-989 *6 *7 *8 *9 *4)) (-5 *3 (-634 *9)) (-4 *4 (-1066 *6 *7 *8 *9)))) ((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-121)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *8 (-842)) (-4 *9 (-1061 *6 *7 *8)) (-5 *2 (-2 (|:| -2410 (-634 *9)) (|:| -3145 *4) (|:| |ineq| (-634 *9)))) (-5 *1 (-1097 *6 *7 *8 *9 *4)) (-5 *3 (-634 *9)) (-4 *4 (-1066 *6 *7 *8 *9))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1092 *3)) (-5 *1 (-899 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-5 *2 (-1092 *3)) (-5 *1 (-900 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-381) (-381))) (-5 *4 (-381)) (-5 *2 (-2 (|:| -2852 *4) (|:| -2185 *4) (|:| |totalpts| (-568)) (|:| |success| (-121)))) (-5 *1 (-784)) (-5 *5 (-568))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1244 (-634 (-2 (|:| -2852 *4) (|:| -4357 (-1108)))))) (-4 *4 (-350)) (-5 *2 (-1249)) (-5 *1 (-532 *4))))) 
-(((*1 *2 *3 *4 *5 *4 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *7 *4) (-12 (-5 *3 (-1143)) (-5 *5 (-679 (-215))) (-5 *6 (-215)) (-5 *7 (-679 (-568))) (-5 *4 (-568)) (-5 *2 (-1035)) (-5 *1 (-744))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-409 (-568))) (-5 *1 (-1023 *3)) (-4 *3 (-13 (-840) (-365) (-1021))))) ((*1 *2 *3 *1 *2) (-12 (-4 *2 (-13 (-840) (-365))) (-5 *1 (-1057 *2 *3)) (-4 *3 (-1219 *2)))) ((*1 *2 *3 *1 *2) (-12 (-4 *1 (-1063 *2 *3)) (-4 *2 (-13 (-840) (-365))) (-4 *3 (-1219 *2))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1047)) (-4 *3 (-787)) (-4 *2 (-365)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-215)))) ((*1 *1 *1 *1) (-2199 (-12 (-5 *1 (-288 *2)) (-4 *2 (-365)) (-4 *2 (-1195))) (-12 (-5 *1 (-288 *2)) (-4 *2 (-478)) (-4 *2 (-1195))))) ((*1 *1 *1 *1) (-4 *1 (-365))) ((*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-381)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-1113 *3 (-607 *1))) (-4 *3 (-558)) (-4 *3 (-842)) (-4 *1 (-432 *3)))) ((*1 *1 *1 *1) (-4 *1 (-478))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1244 *3)) (-4 *3 (-350)) (-5 *1 (-532 *3)))) ((*1 *1 *1 *1) (-5 *1 (-541))) ((*1 *1 *2 *3) (-12 (-4 *4 (-172)) (-5 *1 (-613 *2 *4 *3)) (-4 *2 (-43 *4)) (-4 *3 (|SubsetCategory| (-716) *4)))) ((*1 *1 *1 *2) (-12 (-4 *4 (-172)) (-5 *1 (-613 *3 *4 *2)) (-4 *3 (-43 *4)) (-4 *2 (|SubsetCategory| (-716) *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-625 *2)) (-4 *2 (-172)) (-4 *2 (-365)))) ((*1 *1 *2 *3) (-12 (-4 *4 (-172)) (-5 *1 (-652 *2 *4 *3)) (-4 *2 (-707 *4)) (-4 *3 (|SubsetCategory| (-716) *4)))) ((*1 *1 *1 *2) (-12 (-4 *4 (-172)) (-5 *1 (-652 *3 *4 *2)) (-4 *3 (-707 *4)) (-4 *2 (|SubsetCategory| (-716) *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 (-310 (-568)) *3)) (-4 *3 (-1090)) (-5 *1 (-674 *3 *4)) (-4 *4 (-1047)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)) (-4 *2 (-365)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-733 *2 *3)) (-14 *2 (-1161)) (-4 *3 (-13 (-1047) (-842) (-558))))) ((*1 *1 *1 *1) (-5 *1 (-850))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-853 *2 *3 *4 *5)) (-4 *2 (-365)) (-4 *2 (-1047)) (-14 *3 (-634 (-1161))) (-14 *4 (-634 (-763))) (-14 *5 (-763)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-887 *2)) (-4 *2 (-1090)))) ((*1 *1 *2 *2) (-12 (-4 *1 (-993 *2)) (-4 *2 (-558)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1050 *3 *4 *2 *5 *6)) (-4 *2 (-1047)) (-4 *5 (-230 *4 *2)) (-4 *6 (-230 *3 *2)) (-4 *2 (-365)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-365)))) ((*1 *1 *1 *1) (|partial| -12 (-4 *2 (-365)) (-4 *2 (-1047)) (-4 *3 (-842)) (-4 *4 (-788)) (-14 *6 (-634 *3)) (-5 *1 (-1254 *2 *3 *4 *5 *6 *7 *8)) (-4 *5 (-950 *2 *4 *3)) (-14 *7 (-634 (-763))) (-14 *8 (-763)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-1265 *2 *3)) (-4 *2 (-365)) (-4 *2 (-1047)) (-4 *3 (-838))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1161)) (-4 *5 (-609 (-887 (-568)))) (-4 *5 (-881 (-568))) (-4 *5 (-13 (-842) (-1037 (-568)) (-453) (-630 (-568)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-571 *5 *3)) (-4 *3 (-620)) (-4 *3 (-13 (-27) (-1181) (-432 *5))))) ((*1 *2 *2 *3 *4 *4) (|partial| -12 (-5 *3 (-1161)) (-5 *4 (-835 *2)) (-4 *2 (-1124)) (-4 *2 (-13 (-27) (-1181) (-432 *5))) (-4 *5 (-609 (-887 (-568)))) (-4 *5 (-881 (-568))) (-4 *5 (-13 (-842) (-1037 (-568)) (-453) (-630 (-568)))) (-5 *1 (-571 *5 *2))))) 
-(((*1 *2 *3 *4 *5 *5 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *4) (-12 (-5 *3 (-1143)) (-5 *4 (-568)) (-5 *5 (-679 (-215))) (-5 *6 (-215)) (-5 *2 (-1035)) (-5 *1 (-744))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1143)) (-5 *3 (-634 (-256))) (-5 *1 (-254)))) ((*1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-256))))) 
-(((*1 *2) (-12 (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-1249)) (-5 *1 (-1067 *3 *4 *5 *6 *7)) (-4 *7 (-1066 *3 *4 *5 *6)))) ((*1 *2) (-12 (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-1249)) (-5 *1 (-1098 *3 *4 *5 *6 *7)) (-4 *7 (-1066 *3 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-887 *3)) (-4 *3 (-1090))))) 
-(((*1 *1 *1 *1) (-4 *1 (-21))) ((*1 *1 *1) (-4 *1 (-21))) ((*1 *1 *1 *1) (|partial| -5 *1 (-139))) ((*1 *1 *1 *1) (-12 (-5 *1 (-205 *2)) (-4 *2 (-13 (-842) (-10 -8 (-15 -2781 ((-1143) $ (-1161))) (-15 -4127 ((-1249) $)) (-15 -3687 ((-1249) $))))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-288 *2)) (-4 *2 (-21)) (-4 *2 (-1195)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-288 *2)) (-4 *2 (-21)) (-4 *2 (-1195)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-475 *2 *3)) (-4 *2 (-172)) (-4 *3 (-23)))) ((*1 *1 *1) (-12 (-4 *1 (-475 *2 *3)) (-4 *2 (-172)) (-4 *3 (-23)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1090)) (-4 *4 (-1047)) (-5 *1 (-674 *3 *4)))) ((*1 *1 *1) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)))) ((*1 *1 *1) (-5 *1 (-850))) ((*1 *1 *1 *1) (-5 *1 (-850))) ((*1 *2 *1) (-12 (-4 *3 (-365)) (-4 *4 (-641 *3)) (-5 *2 (-236 *1)) (-4 *1 (-920 *3 *4)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-236 *1)) (-4 *1 (-920 *3 *4)) (-4 *3 (-365)) (-4 *4 (-641 *3)))) ((*1 *2 *2 *1) (-12 (-5 *2 (-236 *1)) (-4 *1 (-920 *3 *4)) (-4 *3 (-365)) (-4 *4 (-641 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-365)) (-4 *4 (-641 *3)) (-5 *2 (-236 *1)) (-4 *1 (-920 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-944 (-215))) (-5 *1 (-1192)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1242 *2)) (-4 *2 (-1195)) (-4 *2 (-21)))) ((*1 *1 *1) (-12 (-4 *1 (-1242 *2)) (-4 *2 (-1195)) (-4 *2 (-21))))) 
-(((*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-3 (-2 (|:| -4151 *7) (|:| |coeff| *7)) "failed") *7)) (-5 *6 (-634 (-409 *8))) (-4 *7 (-365)) (-4 *8 (-1219 *7)) (-5 *3 (-409 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-634 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-578 *7 *8))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-744))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *3 (-634 *6)) (-4 *6 (-842)) (-4 *4 (-365)) (-4 *5 (-788)) (-5 *1 (-514 *4 *5 *6 *2)) (-4 *2 (-950 *4 *5 *6)))) ((*1 *1 *1 *2) (-12 (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-514 *3 *4 *5 *2)) (-4 *2 (-950 *3 *4 *5))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-1012)) (-5 *2 (-850))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-819))))) 
-(((*1 *1 *1 *1) (-4 *1 (-25))) ((*1 *1 *1 *1) (-5 *1 (-158))) ((*1 *1 *1 *1) (-12 (-5 *1 (-205 *2)) (-4 *2 (-13 (-842) (-10 -8 (-15 -2781 ((-1143) $ (-1161))) (-15 -4127 ((-1249) $)) (-15 -3687 ((-1249) $))))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-288 *2)) (-4 *2 (-25)) (-4 *2 (-1195)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-288 *2)) (-4 *2 (-25)) (-4 *2 (-1195)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-320 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-137)))) ((*1 *1 *2 *1) (-12 (-4 *3 (-13 (-365) (-150))) (-5 *1 (-401 *3 *2)) (-4 *2 (-1219 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-475 *2 *3)) (-4 *2 (-172)) (-4 *3 (-23)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-365)) (-4 *3 (-788)) (-4 *4 (-842)) (-5 *1 (-514 *2 *3 *4 *5)) (-4 *5 (-950 *2 *3 *4)))) ((*1 *1 *1 *1) (-5 *1 (-541))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1090)) (-4 *4 (-1047)) (-5 *1 (-674 *3 *4)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-677 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-375 *2)) (-4 *4 (-375 *2)))) ((*1 *1 *1 *1) (-5 *1 (-850))) ((*1 *1 *1 *1) (-12 (-5 *1 (-887 *2)) (-4 *2 (-1090)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-236 *1)) (-4 *1 (-920 *3 *4)) (-4 *3 (-365)) (-4 *4 (-641 *3)))) ((*1 *2 *2 *1) (-12 (-5 *2 (-236 *1)) (-4 *1 (-920 *3 *4)) (-4 *3 (-365)) (-4 *4 (-641 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-365)) (-4 *4 (-641 *3)) (-5 *2 (-236 *1)) (-4 *1 (-920 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-944 (-215))) (-5 *1 (-1192)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1242 *2)) (-4 *2 (-1195)) (-4 *2 (-25))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-568)) (-4 *5 (-840)) (-4 *5 (-365)) (-5 *2 (-763)) (-5 *1 (-946 *5 *6)) (-4 *6 (-1219 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-792 *2)) (-4 *2 (-172))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *4 *4 *3 *3 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-744))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-420 (-1157 (-1157 *4)))) (-5 *1 (-1194 *4)) (-5 *3 (-1157 (-1157 *4)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-117)) (-5 *2 (-242 (-4289 (QUOTE X) (QUOTE -2928)) *3))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-887 *4)) (-4 *4 (-1090)) (-5 *1 (-885 *4 *3)) (-4 *3 (-1195)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-57)) (-5 *1 (-887 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-310 *3)) (-4 *3 (-558)) (-4 *3 (-842))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-568)) (-5 *5 (-679 (-215))) (-5 *4 (-215)) (-5 *2 (-1035)) (-5 *1 (-744))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1111 *3 *4 *2 *5)) (-4 *4 (-1047)) (-4 *5 (-230 *3 *4)) (-4 *2 (-230 *3 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-5 *2 (-1 (-215) (-215))) (-5 *1 (-693 *3)) (-4 *3 (-609 (-541))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1161)) (-5 *2 (-1 (-215) (-215) (-215))) (-5 *1 (-693 *3)) (-4 *3 (-609 (-541)))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *3 (-235 *10)) (-4 *11 (-536 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-117)) (-5 *1 (-467 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-258 *11)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-5 *1 (-562 *4 *5 *6 *7 *8 *9 *10 *3)) (-4 *8 (-971 *4)) (-4 *3 (-235 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-236 (-922 *5))) (-5 *4 (-634 (-242 *6 *5))) (-4 *5 (-350)) (-14 *6 (-634 (-1161))) (-5 *2 (-634 (-242 *6 (-857 *5)))) (-5 *1 (-867 *5 *6 *7)) (-4 *7 (-117)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-634 (-242 *5 *4))) (-5 *3 (-236 (-921 *4))) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-5 *1 (-868 *4 *5 *6)) (-4 *6 (-117))))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-679 *3)) (-4 *3 (-1047)) (-5 *1 (-680 *3))))) 
-(((*1 *2 *3 *3 *4 *4 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-744))))) 
-(((*1 *1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1161)) (-5 *2 (-1249)) (-5 *1 (-1164)))) ((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-1164))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-842)) (-5 *2 (-121)))) ((*1 *1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(((*1 *2 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-743))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-288 *2)) (-4 *2 (-21)) (-4 *2 (-1195))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-944 *2)) (-5 *1 (-983 *2)) (-4 *2 (-1047))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-350)) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-5 *3 (-1157 *4)) (-4 *4 (-350)) (-5 *2 (-121)) (-5 *1 (-358 *4))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-235 *3)) (-4 *3 (-1090)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-842)) (-5 *2 (-121)))) ((*1 *1 *1 *1) (-5 *1 (-850))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-899 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-679 *3)) (-4 *3 (-1047)) (-5 *1 (-1028 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-634 (-679 *3))) (-4 *3 (-1047)) (-5 *1 (-1028 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-679 *3)) (-4 *3 (-1047)) (-5 *1 (-1028 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-634 (-679 *3))) (-4 *3 (-1047)) (-5 *1 (-1028 *3))))) 
-(((*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-743))))) 
-(((*1 *1 *1) (-5 *1 (-850))) ((*1 *2 *1) (-12 (-4 *1 (-1093 *2 *3 *4 *5 *6)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *2 (-1090)))) ((*1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-1142)))) ((*1 *2 *1) (-12 (-5 *2 (-1143)) (-5 *1 (-1161))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-927)) (-5 *2 (-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215))))) (-5 *1 (-156)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-927)) (-5 *4 (-409 (-568))) (-5 *2 (-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215))))) (-5 *1 (-156)))) ((*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215))))) (-5 *1 (-156)) (-5 *3 (-634 (-944 (-215)))))) ((*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-634 (-634 (-944 (-215))))) (|:| |xValues| (-1084 (-215))) (|:| |yValues| (-1084 (-215))))) (-5 *1 (-156)) (-5 *3 (-634 (-634 (-944 (-215))))))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-1084 (-381)))) (-5 *1 (-256)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-256))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1143)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-1249)) (-5 *1 (-1067 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1143)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-1249)) (-5 *1 (-1098 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-842)) (-5 *2 (-121)))) ((*1 *1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-409 *2)) (-4 *2 (-1219 *5)) (-5 *1 (-802 *5 *2 *3 *6)) (-4 *5 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *3 (-646 *2)) (-4 *6 (-646 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-634 (-409 *2))) (-4 *2 (-1219 *5)) (-5 *1 (-802 *5 *2 *3 *6)) (-4 *5 (-13 (-365) (-150) (-1037 (-409 (-568))))) (-4 *3 (-646 *2)) (-4 *6 (-646 (-409 *2)))))) 
-(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-743))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-409 (-568))) (-4 *4 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-273 *4 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *4)))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-558)) (-5 *1 (-970 *3 *2)) (-4 *2 (-1219 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-558)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1219 *2)) (-4 *2 (-1047)) (-4 *2 (-558))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1216 *5 *4)) (-4 *4 (-453)) (-4 *4 (-815)) (-14 *5 (-1161)) (-5 *2 (-568)) (-5 *1 (-1104 *4 *5))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-842)) (-5 *2 (-121)))) ((*1 *1 *1 *1) (-5 *1 (-850))) ((*1 *2 *1 *1) (-12 (-4 *1 (-898 *3)) (-4 *3 (-1090)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-899 *3)) (-4 *3 (-1090)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1087 *3)) (-4 *3 (-1090)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1157 *4)) (-5 *1 (-358 *4)) (-4 *4 (-350)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1157 *4)) (-5 *1 (-358 *4)) (-4 *4 (-350)))) ((*1 *1) (-4 *1 (-370))) ((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1244 *4)) (-5 *1 (-532 *4)) (-4 *4 (-350)))) ((*1 *1 *1) (-4 *1 (-550))) ((*1 *1) (-4 *1 (-550))) ((*1 *1 *1) (-5 *1 (-568))) ((*1 *1 *1) (-5 *1 (-763))) ((*1 *2 *1) (-12 (-5 *2 (-900 *3)) (-5 *1 (-899 *3)) (-4 *3 (-1090)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-5 *2 (-900 *4)) (-5 *1 (-899 *4)) (-4 *4 (-1090)))) ((*1 *1) (-12 (-4 *1 (-993 *2)) (-4 *2 (-550)) (-4 *2 (-558))))) 
-(((*1 *1) (-12 (-4 *1 (-406)) (-3046 (|has| *1 (-6 -4512))) (-3046 (|has| *1 (-6 -4504))))) ((*1 *2 *1) (-12 (-4 *1 (-427 *2)) (-4 *2 (-1090)) (-4 *2 (-842)))) ((*1 *2 *1) (-12 (-4 *1 (-825 *2)) (-4 *2 (-842)))) ((*1 *1 *1 *1) (-4 *1 (-842))) ((*1 *1) (-5 *1 (-1108)))) 
-(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-743))))) 
-(((*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-1157 (-953 *4))) (-5 *1 (-418 *3 *4)) (-4 *3 (-419 *4)))) ((*1 *2) (-12 (-4 *1 (-419 *3)) (-4 *3 (-172)) (-4 *3 (-365)) (-5 *2 (-1157 (-953 *3))))) ((*1 *2) (-12 (-5 *2 (-1157 (-409 (-953 *3)))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3)))))) 
-(((*1 *2 *3 *2) (-12 (-5 *1 (-669 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-1090))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-381)) (-5 *1 (-1059))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *8)) (-5 *4 (-679 (-1157 *8))) (-4 *5 (-1047)) (-4 *8 (-1047)) (-4 *6 (-1219 *5)) (-5 *2 (-679 *6)) (-5 *1 (-510 *5 *6 *7 *8)) (-4 *7 (-1219 *6))))) 
-(((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-1197))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-350)) (-5 *2 (-2 (|:| |cont| *5) (|:| -2075 (-634 (-2 (|:| |irr| *3) (|:| -4402 (-568))))))) (-5 *1 (-207 *5 *3)) (-4 *3 (-1219 *5))))) 
-(((*1 *2 *3 *4 *4 *4 *5 *5 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-215)) (-5 *2 (-1035)) (-5 *1 (-743))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-568)) (-5 *1 (-573 *3)) (-4 *3 (-1037 *2)))) ((*1 *2 *1) (-12 (-4 *1 (-1093 *3 *4 *2 *5 *6)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *2 (-1090))))) 
-(((*1 *2 *2 *3) (-12 (-5 *1 (-669 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-1090))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) *2)) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-117)) (-5 *2 (-763))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-310 (-215))) (-5 *1 (-202))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-105)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-212 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) ((*1 *1 *2 *2) (-12 (-5 *1 (-288 *2)) (-4 *2 (-1195)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-436)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-494 *3)) (-4 *3 (-1090)) (-4 *3 (-842)))) ((*1 *1 *1 *1) (-5 *1 (-850))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1000 *3)) (-4 *3 (-1090)) (-4 *3 (-1090)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1026 *3)) (-4 *3 (-1195)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1132 *3)) (-4 *3 (-1090)) (-4 *3 (-1090))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-4 *5 (-1219 *4)) (-5 *2 (-634 (-643 (-409 *5)))) (-5 *1 (-647 *4 *5)) (-5 *3 (-643 (-409 *5)))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-743))))) 
-(((*1 *2 *2) (-12 (-5 *1 (-671 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-842) (-558))) (-5 *1 (-159 *4 *2)) (-4 *2 (-432 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1082 *2)) (-4 *2 (-432 *4)) (-4 *4 (-13 (-842) (-558))) (-5 *1 (-159 *4 *2)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1082 *1)) (-4 *1 (-161)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-161)) (-5 *2 (-1161))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-953 *6))) (-5 *4 (-634 (-1161))) (-4 *6 (-13 (-558) (-1037 *5))) (-4 *5 (-558)) (-5 *2 (-634 (-634 (-288 (-409 (-953 *6)))))) (-5 *1 (-1038 *5 *6))))) 
-(((*1 *2) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-533 *3)) (-4 *3 (-13 (-716) (-25)))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-558) (-150))) (-5 *2 (-2 (|:| -3030 *3) (|:| -3286 *3))) (-5 *1 (-1213 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-381)) (-5 *1 (-197))))) 
-(((*1 *2 *3 *4 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-743))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-328)))) ((*1 *1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-328))))) 
-(((*1 *1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1090)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1195)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-130 *2)) (-4 *2 (-842)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-135 *2)) (-4 *2 (-842)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) ((*1 *1 *1 *1 *2) (-12 (-5 *2 (-568)) (-4 *1 (-277 *3)) (-4 *3 (-1195)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-277 *2)) (-4 *2 (-1195)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-494 *2)) (-4 *2 (-842)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| -3651 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| -4085 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) (-5 *1 (-563)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-763)) (-4 *1 (-684 *2)) (-4 *2 (-1090)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| -3651 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| -4085 (-2 (|:| |stiffness| (-381)) (|:| |stability| (-381)) (|:| |expense| (-381)) (|:| |accuracy| (-381)) (|:| |intermediateResults| (-381)))))) (-5 *1 (-798)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-1000 *2)) (-4 *2 (-1090)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-1132 *2)) (-4 *2 (-1090)))) ((*1 *2 *3 *4) (-12 (-5 *2 (-1249)) (-5 *1 (-1173 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-1157 *4)) (-5 *1 (-358 *4)) (-4 *4 (-350))))) 
-(((*1 *2 *1 *2) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-1231 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *7 (-230 (-1699 *6) (-763))) (-5 *2 (-242 (-4289 (QUOTE X) (QUOTE -2928)) *5)) (-5 *1 (-119 *5 *6 *3 *7 *4)) (-4 *3 (-324 *5 *7)) (-4 *4 (-117))))) 
-(((*1 *2 *3 *4 *4 *4 *3 *3 *5 *5 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-215)) (-5 *2 (-1035)) (-5 *1 (-743))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-917))) (-5 *2 (-899 (-568))) (-5 *1 (-913))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-39)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1090)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-212 *3)) (-4 *3 (-1090)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-494 *3)) (-4 *3 (-842)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1000 *3)) (-4 *3 (-1090)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1132 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *2 (-634 (-634 (-634 *5)))) (-5 *3 (-1 (-121) *5 *5)) (-5 *4 (-634 *5)) (-4 *5 (-842)) (-5 *1 (-1167 *5))))) 
-(((*1 *2) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (|has| *1 (-6 -4521)) (-4 *1 (-39)) (-5 *2 (-763)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-763)) (-5 *1 (-96 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-763)) (-5 *1 (-212 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-763)) (-5 *1 (-494 *3)) (-4 *3 (-842)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-763)) (-5 *1 (-1000 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-4 *1 (-1093 *3 *4 *5 *6 *7)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)) (-5 *2 (-568)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4521)) (-5 *2 (-763)) (-5 *1 (-1132 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-1265 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-838))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-850))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1195)) (-5 *1 (-325 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1195)) (-5 *1 (-525 *3 *4)) (-14 *4 (-568))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-679 (-310 (-568)))) (-5 *1 (-1031))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-568)) (-4 *4 (-1219 (-409 *3))) (-5 *2 (-917)) (-5 *1 (-909 *4 *5)) (-4 *5 (-1219 (-409 *4)))))) 
-(((*1 *2 *3 *2) (|partial| -12 (-5 *3 (-917)) (-5 *1 (-443 *2)) (-4 *2 (-1219 (-568))))) ((*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-917)) (-5 *4 (-763)) (-5 *1 (-443 *2)) (-4 *2 (-1219 (-568))))) ((*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-917)) (-5 *4 (-634 (-763))) (-5 *1 (-443 *2)) (-4 *2 (-1219 (-568))))) ((*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *3 (-917)) (-5 *4 (-634 (-763))) (-5 *5 (-763)) (-5 *1 (-443 *2)) (-4 *2 (-1219 (-568))))) ((*1 *2 *3 *2 *4 *5 *6) (|partial| -12 (-5 *3 (-917)) (-5 *4 (-634 (-763))) (-5 *5 (-763)) (-5 *6 (-121)) (-5 *1 (-443 *2)) (-4 *2 (-1219 (-568))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-917)) (-5 *4 (-420 *2)) (-4 *2 (-1219 *5)) (-5 *1 (-445 *5 *2)) (-4 *5 (-1047))))) 
-(((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-58))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-246 *3 *4 *2 *5)) (-4 *3 (-1047)) (-4 *4 (-842)) (-4 *5 (-788)) (-4 *2 (-262 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-641 *2)) (-4 *2 (-365))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1259 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047)) (-5 *2 (-2 (|:| |k| (-814 *3)) (|:| |c| *4)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-975)) (-5 *2 (-1084 (-215)))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1161)) (-5 *1 (-607 *3)) (-4 *3 (-842))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-634 (-541))) (-5 *1 (-541))))) 
-(((*1 *2 *1 *1 *3) (-12 (-5 *3 (-1 (-121) *5 *5)) (-4 *5 (-13 (-1090) (-39))) (-5 *2 (-121)) (-5 *1 (-1125 *4 *5)) (-4 *4 (-13 (-1090) (-39)))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-568)) (-4 *1 (-1203 *4)) (-4 *4 (-1047)) (-4 *4 (-558)) (-5 *2 (-409 (-953 *4))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-568)) (-4 *1 (-1203 *4)) (-4 *4 (-1047)) (-4 *4 (-558)) (-5 *2 (-409 (-953 *4)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| |gen| *3) (|:| -1894 *4)))) (-5 *1 (-638 *3 *4 *5)) (-4 *3 (-1090)) (-4 *4 (-23)) (-14 *5 *4)))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-615 *4 *5)) (-5 *3 (-1 (-2 (|:| |ans| *4) (|:| -3286 *4) (|:| |sol?| (-121))) (-568) *4)) (-4 *4 (-365)) (-4 *5 (-1219 *4)) (-5 *1 (-578 *4 *5))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-215)) (-5 *6 (-3 (|:| |fn| (-390)) (|:| |fp| (-79 FCN)))) (-5 *2 (-1035)) (-5 *1 (-738))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1231 *2)) (-4 *2 (-1195))))) 
-(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-568)) (-5 *3 (-917)) (-5 *1 (-688)))) ((*1 *2 *2 *2 *3 *4) (-12 (-5 *2 (-679 *5)) (-5 *3 (-101 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-365)) (-5 *1 (-979 *5))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1125 *4 *5)) (-4 *4 (-13 (-1090) (-39))) (-4 *5 (-13 (-1090) (-39))) (-5 *2 (-121)) (-5 *1 (-1126 *4 *5))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-64 *6)) (-4 *6 (-1195)) (-4 *5 (-1195)) (-5 *2 (-64 *5)) (-5 *1 (-63 *6 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *7 *5)) (-5 *4 (-232 *6 *7)) (-14 *6 (-763)) (-4 *7 (-1195)) (-4 *5 (-1195)) (-5 *2 (-232 *6 *5)) (-5 *1 (-231 *6 *7 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1195)) (-4 *5 (-1195)) (-4 *2 (-375 *5)) (-5 *1 (-373 *6 *4 *5 *2)) (-4 *4 (-375 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1090)) (-4 *5 (-1090)) (-4 *2 (-427 *5)) (-5 *1 (-425 *6 *4 *5 *2)) (-4 *4 (-427 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-634 *6)) (-4 *6 (-1195)) (-4 *5 (-1195)) (-5 *2 (-634 *5)) (-5 *1 (-632 *6 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-958 *6)) (-4 *6 (-1195)) (-4 *5 (-1195)) (-5 *2 (-958 *5)) (-5 *1 (-957 *6 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *3 *6 *3)) (-5 *5 (-1141 *6)) (-4 *6 (-1195)) (-4 *3 (-1195)) (-5 *2 (-1141 *3)) (-5 *1 (-1139 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-1244 *6)) (-4 *6 (-1195)) (-4 *5 (-1195)) (-5 *2 (-1244 *5)) (-5 *1 (-1243 *6 *5))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-563))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *2 (-1035)) (-5 *1 (-744))))) 
-(((*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-944 (-215))) (-5 *4 (-869)) (-5 *5 (-917)) (-5 *2 (-1249)) (-5 *1 (-473)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-944 (-215))) (-5 *2 (-1249)) (-5 *1 (-473)))) ((*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-634 (-944 (-215)))) (-5 *4 (-869)) (-5 *5 (-917)) (-5 *2 (-1249)) (-5 *1 (-473))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-978 *3 *4 *5 *6))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1143)) (-4 *1 (-366 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090))))) 
-(((*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-679 (-215))) (-5 *4 (-568)) (-5 *5 (-121)) (-5 *2 (-1035)) (-5 *1 (-737))))) 
-(((*1 *1 *1) (-5 *1 (-1059)))) 
-(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-586 *3)) (-4 *3 (-550))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-679 *1)) (-5 *4 (-1244 *1)) (-4 *1 (-630 *5)) (-4 *5 (-1047)) (-5 *2 (-2 (|:| -2908 (-679 *5)) (|:| |vec| (-1244 *5)))))) ((*1 *2 *3) (-12 (-5 *3 (-679 *1)) (-4 *1 (-630 *4)) (-4 *4 (-1047)) (-5 *2 (-679 *4))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-763)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1090)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-212 *4)) (-4 *4 (-1090)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-494 *4)) (-4 *4 (-842)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-1000 *4)) (-4 *4 (-1090)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-121)) (-5 *1 (-1132 *4)) (-4 *4 (-1090))))) 
-(((*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-679 (-215))) (-5 *4 (-568)) (-5 *5 (-121)) (-5 *2 (-1035)) (-5 *1 (-737))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1010 *3)) (-4 *3 (-1195)) (-5 *2 (-568))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1141 (-409 *3))) (-5 *1 (-173 *3)) (-4 *3 (-301))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-634 (-887 *3))) (-5 *1 (-887 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1141 (-568))) (-5 *1 (-1145 *4)) (-4 *4 (-1047)) (-5 *3 (-568))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-634 (-634 (-634 *4)))) (-5 *3 (-634 *4)) (-4 *4 (-842)) (-5 *1 (-1167 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 *6)) (-5 *4 (-634 (-1141 *7))) (-4 *6 (-842)) (-4 *7 (-950 *5 (-534 *6) *6)) (-4 *5 (-1047)) (-5 *2 (-1 (-1141 *7) *7)) (-5 *1 (-1114 *5 *6 *7))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-433 *3 *2)) (-4 *2 (-432 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-1164))))) 
-(((*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-568)) (-5 *4 (-679 (-215))) (-5 *5 (-215)) (-5 *2 (-1035)) (-5 *1 (-744))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1 (-944 (-215)) (-944 (-215)))) (-5 *1 (-256)))) ((*1 *2 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-327 *4)) (-4 *4 (-365)) (-5 *2 (-679 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-327 *3)) (-4 *3 (-365)) (-5 *2 (-1244 *3)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-369 *4)) (-4 *4 (-172)) (-5 *2 (-679 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-369 *4)) (-4 *4 (-172)) (-5 *2 (-1244 *4)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-372 *4 *5)) (-4 *4 (-172)) (-4 *5 (-1219 *4)) (-5 *2 (-679 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-372 *4 *5)) (-4 *4 (-172)) (-4 *5 (-1219 *4)) (-5 *2 (-1244 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-411 *4 *5)) (-4 *4 (-172)) (-4 *5 (-1219 *4)) (-5 *2 (-679 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-411 *3 *4)) (-4 *3 (-172)) (-4 *4 (-1219 *3)) (-5 *2 (-1244 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-419 *4)) (-4 *4 (-172)) (-5 *2 (-679 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-419 *3)) (-4 *3 (-172)) (-5 *2 (-1244 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-634 (-679 *5))) (-5 *3 (-679 *5)) (-4 *5 (-365)) (-5 *2 (-1244 *5)) (-5 *1 (-1077 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-215))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-763)) (-4 *5 (-350)) (-5 *2 (-634 *3)) (-5 *1 (-344 *5 *3)) (-4 *3 (-1219 *5))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-777 *2)) (-4 *2 (-1047)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1246))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1219 (-568))) (-5 *1 (-496 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-310 (-215))) (-5 *1 (-263))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-917)) (-5 *4 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1245))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-365) (-840))) (-5 *2 (-2 (|:| |start| *3) (|:| -2075 (-420 *3)))) (-5 *1 (-178 *4 *3)) (-4 *3 (-1219 (-169 *4)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-679 (-169 (-409 (-568))))) (-5 *2 (-634 (-169 *4))) (-5 *1 (-756 *4)) (-4 *4 (-13 (-365) (-840)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-215)) (-5 *1 (-817))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-634 (-242 *4 *5))) (-5 *2 (-242 *4 *5)) (-14 *4 (-634 (-1161))) (-4 *5 (-453)) (-5 *1 (-622 *4 *5))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-568) (-568))) (-5 *1 (-363 *3)) (-4 *3 (-1090)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-763) (-763))) (-5 *1 (-388 *3)) (-4 *3 (-1090)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-638 *3 *4 *5)) (-4 *3 (-1090))))) 
-(((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-58))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-215)) (-5 *1 (-30)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-420 *4) *4)) (-4 *4 (-558)) (-5 *2 (-420 *4)) (-5 *1 (-421 *4)))) ((*1 *1 *1) (-5 *1 (-926))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1084 (-215))) (-5 *1 (-926)))) ((*1 *1 *1) (-5 *1 (-927))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1084 (-215))) (-5 *1 (-927)))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) (-5 *4 (-409 (-568))) (-5 *1 (-1019 *3)) (-4 *3 (-1219 (-568))))) ((*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) (-5 *1 (-1019 *3)) (-4 *3 (-1219 (-568))))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) (-5 *4 (-409 (-568))) (-5 *1 (-1020 *3)) (-4 *3 (-1219 *4)))) ((*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) (-5 *1 (-1020 *3)) (-4 *3 (-1219 (-409 (-568)))))) ((*1 *1 *1) (-12 (-4 *2 (-13 (-840) (-365))) (-5 *1 (-1057 *2 *3)) (-4 *3 (-1219 *2))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1219 *5)) (-4 *5 (-365)) (-5 *2 (-2 (|:| |ir| (-585 (-409 *6))) (|:| |specpart| (-409 *6)) (|:| |polypart| *6))) (-5 *1 (-578 *5 *6)) (-5 *3 (-409 *6))))) 
-(((*1 *2) (-12 (-5 *2 (-1132 (-1143))) (-5 *1 (-393))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-301)) (-5 *1 (-177 *3))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-850)))) ((*1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-763)) (-4 *3 (-1047)) (-4 *1 (-677 *3 *4 *5)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)))) ((*1 *1 *2) (-12 (-4 *2 (-1047)) (-4 *1 (-1111 *3 *2 *4 *5)) (-4 *4 (-230 *3 *2)) (-4 *5 (-230 *3 *2))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-117)) (-5 *2 (-1161))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-288 *3))) (-5 *1 (-288 *3)) (-4 *3 (-558)) (-4 *3 (-1195))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-121)) (-5 *1 (-207 *4 *3)) (-4 *3 (-1219 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-121)) (-5 *1 (-344 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-4 *7 (-1219 *5)) (-4 *4 (-714 *5 *7)) (-5 *2 (-2 (|:| -2908 (-679 *6)) (|:| |vec| (-1244 *5)))) (-5 *1 (-806 *5 *6 *7 *4 *3)) (-4 *6 (-646 *5)) (-4 *3 (-646 *4))))) 
-(((*1 *1 *1 *1 *1) (-5 *1 (-850))) ((*1 *1 *1 *1) (-5 *1 (-850))) ((*1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1161))))) 
-(((*1 *2) (-12 (-5 *2 (-1132 (-1143))) (-5 *1 (-393))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-904)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-950 *4 *5 *6)) (-5 *2 (-420 (-1157 *7))) (-5 *1 (-901 *4 *5 *6 *7)) (-5 *3 (-1157 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-904)) (-4 *5 (-1219 *4)) (-5 *2 (-420 (-1157 *5))) (-5 *1 (-902 *4 *5)) (-5 *3 (-1157 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1244 (-634 (-2 (|:| -2852 *4) (|:| -4357 (-1108)))))) (-4 *4 (-350)) (-5 *2 (-763)) (-5 *1 (-347 *4)))) ((*1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-352 *3 *4)) (-14 *3 (-917)) (-14 *4 (-917)))) ((*1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-353 *3 *4)) (-4 *3 (-350)) (-14 *4 (-3 (-1157 *3) (-1244 (-634 (-2 (|:| -2852 *3) (|:| -4357 (-1108))))))))) ((*1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-354 *3 *4)) (-4 *3 (-350)) (-14 *4 (-917))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-2 (|:| |theta| (-215)) (|:| |phi| (-215)) (|:| -3225 (-215)) (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |scaleZ| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215)))) (-5 *3 (-634 (-256))) (-5 *1 (-254)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |theta| (-215)) (|:| |phi| (-215)) (|:| -3225 (-215)) (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |scaleZ| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215)))) (-5 *1 (-256)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-381)) (-5 *2 (-1249)) (-5 *1 (-1246)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-381)) (-5 *2 (-1249)) (-5 *1 (-1246)))) ((*1 *2 *1 *3 *3 *4 *4 *4) (-12 (-5 *3 (-568)) (-5 *4 (-381)) (-5 *2 (-1249)) (-5 *1 (-1246)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-2 (|:| |theta| (-215)) (|:| |phi| (-215)) (|:| -3225 (-215)) (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |scaleZ| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215)))) (-5 *2 (-1249)) (-5 *1 (-1246)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |theta| (-215)) (|:| |phi| (-215)) (|:| -3225 (-215)) (|:| |scaleX| (-215)) (|:| |scaleY| (-215)) (|:| |scaleZ| (-215)) (|:| |deltaX| (-215)) (|:| |deltaY| (-215)))) (-5 *1 (-1246)))) ((*1 *2 *1 *3 *3 *3 *3 *3) (-12 (-5 *3 (-381)) (-5 *2 (-1249)) (-5 *1 (-1246))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-568)) (-4 *4 (-1047)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-5 *1 (-908 *4 *2 *5 *6)) (-4 *2 (-324 *4 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-775 *5 (-852 *6)))) (-5 *4 (-121)) (-4 *5 (-453)) (-14 *6 (-634 (-1161))) (-5 *2 (-634 (-1131 *5 (-534 (-852 *6)) (-852 *6) (-775 *5 (-852 *6))))) (-5 *1 (-619 *5 *6))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-123)) (-4 *4 (-1047)) (-5 *1 (-704 *4 *2)) (-4 *2 (-637 *4)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-123)) (-5 *1 (-829 *2)) (-4 *2 (-1047))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-887 *3)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-4 *1 (-1093 *3 *4 *5 *6 *7)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-1161))) (-5 *2 (-1249)) (-5 *1 (-1164)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-634 (-1161))) (-5 *3 (-1161)) (-5 *2 (-1249)) (-5 *1 (-1164)))) ((*1 *2 *3 *4 *1) (-12 (-5 *4 (-634 (-1161))) (-5 *3 (-1161)) (-5 *2 (-1249)) (-5 *1 (-1164))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 (-2 (|:| |val| *3) (|:| -3145 *4)))) (-5 *1 (-1067 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-763)) (|:| |poli| *2) (|:| |polj| *2))) (-4 *5 (-788)) (-4 *2 (-950 *4 *5 *6)) (-5 *1 (-450 *4 *5 *6 *2)) (-4 *4 (-453)) (-4 *6 (-842))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-329 *3)) (-4 *3 (-842))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-558) (-842) (-1037 (-568)))) (-4 *5 (-432 *4)) (-5 *2 (-3 (|:| |overq| (-1157 (-409 (-568)))) (|:| |overan| (-1157 (-53))) (|:| -3485 (-121)))) (-5 *1 (-437 *4 *5 *3)) (-4 *3 (-1219 *5))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1 (-944 (-215)) (-944 (-215)))) (-5 *3 (-634 (-256))) (-5 *1 (-254)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-944 (-215)) (-944 (-215)))) (-5 *1 (-256)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-634 (-492 *5 *6))) (-5 *3 (-492 *5 *6)) (-14 *5 (-634 (-1161))) (-4 *6 (-453)) (-5 *2 (-1244 *6)) (-5 *1 (-622 *5 *6))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-763)) (-5 *1 (-446 *3)) (-4 *3 (-1047)))) ((*1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-446 *3)) (-4 *3 (-1047))))) 
-(((*1 *1 *2 *2) (-12 (-5 *1 (-873 *2)) (-4 *2 (-1195)))) ((*1 *1 *2 *2 *2) (-12 (-5 *1 (-875 *2)) (-4 *2 (-1195)))) ((*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-634 (-944 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-634 (-944 *3))) (-4 *3 (-1047)) (-4 *1 (-1122 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-634 *3))) (-4 *1 (-1122 *3)) (-4 *3 (-1047)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-944 *3))) (-4 *1 (-1122 *3)) (-4 *3 (-1047))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-568)) (-5 *4 (-1 (-1249) (-1094))) (-5 *2 (-1249)) (-5 *1 (-102))))) 
-(((*1 *1 *1) (-4 *1 (-651))) ((*1 *1 *1) (-5 *1 (-1108)))) 
-(((*1 *2 *3) (-12 (-5 *2 (-568)) (-5 *1 (-446 *3)) (-4 *3 (-406)) (-4 *3 (-1047))))) 
-(((*1 *1) (-12 (-4 *1 (-427 *2)) (-4 *2 (-370)) (-4 *2 (-1090))))) 
-(((*1 *2 *3) (-12 (-14 *4 (-634 (-1161))) (-14 *5 (-763)) (-5 *2 (-634 (-514 (-409 (-568)) (-232 *5 (-763)) (-852 *4) (-242 *4 (-409 (-568)))))) (-5 *1 (-515 *4 *5)) (-5 *3 (-514 (-409 (-568)) (-232 *5 (-763)) (-852 *4) (-242 *4 (-409 (-568)))))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-296)) (-5 *3 (-1161)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-296)) (-5 *2 (-121))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-1047))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 (-634 *6))) (-4 *6 (-950 *3 *5 *4)) (-4 *3 (-13 (-301) (-150))) (-4 *4 (-13 (-842) (-609 (-1161)))) (-4 *5 (-788)) (-5 *1 (-924 *3 *4 *5 *6))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-568)) (-5 *1 (-685 *2)) (-4 *2 (-1219 *3))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1161)) (-5 *2 (-3 (|:| |fst| (-436)) (|:| -3613 "void"))) (-5 *1 (-1164))))) 
-(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1061 *3 *4 *2)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 (-2 (|:| |val| (-634 *6)) (|:| -3145 *7)))) (-4 *6 (-1061 *3 *4 *5)) (-4 *7 (-1066 *3 *4 *5 *6)) (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-989 *3 *4 *5 *6 *7)))) ((*1 *2 *2) (-12 (-5 *2 (-634 (-2 (|:| |val| (-634 *6)) (|:| -3145 *7)))) (-4 *6 (-1061 *3 *4 *5)) (-4 *7 (-1066 *3 *4 *5 *6)) (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-1097 *3 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *2 *3 *2 *3) (-12 (-5 *2 (-958 (-215))) (-5 *3 (-1108)) (-5 *1 (-115))))) 
-(((*1 *2 *3) (-12 (-14 *4 (-634 (-1161))) (-4 *5 (-453)) (-5 *2 (-2 (|:| |glbase| (-634 (-242 *4 *5))) (|:| |glval| (-634 (-568))))) (-5 *1 (-622 *4 *5)) (-5 *3 (-634 (-242 *4 *5)))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1161)) (-5 *1 (-1059))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121)) (-5 *1 (-514 *3 *4 *5 *6)) (-4 *6 (-950 *3 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-712)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-716)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-917)) (-5 *2 (-1157 *3)) (-5 *1 (-1170 *3)) (-4 *3 (-365))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-242 *3 *4)) (-14 *3 (-634 (-1161))) (-4 *4 (-1047)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-568))) (-14 *3 (-634 (-1161))) (-5 *1 (-455 *3 *4 *5)) (-4 *4 (-1047)) (-4 *5 (-230 (-1699 *3) (-763))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-492 *3 *4)) (-14 *3 (-634 (-1161))) (-4 *4 (-1047))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-679 *3)) (-4 *3 (-1047)) (-5 *1 (-680 *3))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-634 *13)) (-4 *13 (-258 *12)) (-4 *12 (-536 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) *2)) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-235 *10)) (-5 *2 (-763)) (-5 *1 (-260 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14))))) 
-(((*1 *2 *3) (-12 (|has| *2 (-6 (-4523 "*"))) (-4 *5 (-375 *2)) (-4 *6 (-375 *2)) (-4 *2 (-1047)) (-5 *1 (-108 *2 *3 *4 *5 *6)) (-4 *3 (-1219 *2)) (-4 *4 (-677 *2 *5 *6))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-751))))) 
-(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-1141 *4)) (-5 *3 (-568)) (-4 *4 (-1047)) (-5 *1 (-1145 *4)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-1201 *3)) (-4 *3 (-1047)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-1235 *3 *4 *5)) (-4 *3 (-1047)) (-14 *4 (-1161)) (-14 *5 *3))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-1239 *3 *4)) (-4 *3 (-1047)) (-14 *4 (-1161))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-242 (-4289 (QUOTE X) (QUOTE -2928)) *4)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *7 (-230 (-1699 *5) (-763))) (-5 *2 (-634 (-634 (-763)))) (-5 *1 (-119 *4 *5 *6 *7 *8)) (-4 *6 (-324 *4 *7)) (-4 *8 (-117))))) 
-(((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-1076 *3)) (-4 *3 (-138))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1141 *3)) (-5 *1 (-173 *3)) (-4 *3 (-301))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-381)) (-5 *1 (-99))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-1090)) (-4 *6 (-881 *5)) (-5 *2 (-880 *5 *6 (-634 *6))) (-5 *1 (-882 *5 *6 *4)) (-5 *3 (-634 *6)) (-4 *4 (-609 (-887 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1090)) (-5 *2 (-634 (-288 *3))) (-5 *1 (-882 *5 *3 *4)) (-4 *3 (-1037 (-1161))) (-4 *3 (-881 *5)) (-4 *4 (-609 (-887 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1090)) (-5 *2 (-634 (-288 (-953 *3)))) (-5 *1 (-882 *5 *3 *4)) (-4 *3 (-1047)) (-3046 (-4 *3 (-1037 (-1161)))) (-4 *3 (-881 *5)) (-4 *4 (-609 (-887 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1090)) (-5 *2 (-884 *5 *3)) (-5 *1 (-882 *5 *3 *4)) (-3046 (-4 *3 (-1037 (-1161)))) (-3046 (-4 *3 (-1047))) (-4 *3 (-881 *5)) (-4 *4 (-609 (-887 *5)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-679 *8)) (-4 *8 (-950 *5 *7 *6)) (-4 *5 (-13 (-301) (-150))) (-4 *6 (-13 (-842) (-609 (-1161)))) (-4 *7 (-788)) (-5 *2 (-634 (-2 (|:| -2371 (-763)) (|:| |eqns| (-634 (-2 (|:| |det| *8) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568)))))) (|:| |fgb| (-634 *8))))) (-5 *1 (-924 *5 *6 *7 *8)) (-5 *4 (-763))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-766)) (-5 *1 (-57))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-310 (-381))) (-5 *2 (-310 (-215))) (-5 *1 (-299))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-763)) (-5 *2 (-121)) (-5 *1 (-586 *3)) (-4 *3 (-550))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-842)) (-5 *2 (-1168 (-634 *4))) (-5 *1 (-1167 *4)) (-5 *3 (-634 *4))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1161)) (-4 *5 (-609 (-887 (-568)))) (-4 *5 (-881 (-568))) (-4 *5 (-13 (-842) (-1037 (-568)) (-453) (-630 (-568)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-571 *5 *3)) (-4 *3 (-620)) (-4 *3 (-13 (-27) (-1181) (-432 *5)))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-763)) (-4 *3 (-13 (-301) (-10 -8 (-15 -3498 ((-420 $) $))))) (-4 *4 (-1219 *3)) (-5 *1 (-508 *3 *4 *5)) (-4 *5 (-411 *3 *4))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-558)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-558))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print"))) (-5 *1 (-328))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-817)) (-5 *1 (-816))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *2 (-1 *5 *5)) (-5 *1 (-799 *4 *5)) (-4 *5 (-13 (-29 *4) (-1181) (-959)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1157 *4)) (-4 *4 (-350)) (-5 *2 (-1244 (-634 (-2 (|:| -2852 *4) (|:| -4357 (-1108)))))) (-5 *1 (-347 *4))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-989 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-634 *7)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-1097 *4 *5 *6 *7 *8)) (-4 *8 (-1066 *4 *5 *6 *7))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4521)) (-4 *1 (-227 *3)) (-4 *3 (-1090)))) ((*1 *1 *2 *1) (-12 (|has| *1 (-6 -4521)) (-4 *1 (-227 *2)) (-4 *2 (-1090)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-277 *2)) (-4 *2 (-1195)) (-4 *2 (-1090)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-277 *3)) (-4 *3 (-1195)))) ((*1 *2 *3 *1) (|partial| -12 (-4 *1 (-605 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-1090)))) ((*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-121) *4)) (-5 *3 (-568)) (-4 *4 (-1090)) (-5 *1 (-727 *4)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-568)) (-5 *1 (-727 *2)) (-4 *2 (-1090)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1125 *3 *4)) (-4 *3 (-13 (-1090) (-39))) (-4 *4 (-13 (-1090) (-39))) (-5 *1 (-1126 *3 *4))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |xinit| (-215)) (|:| |xend| (-215)) (|:| |fn| (-1244 (-310 (-215)))) (|:| |yinit| (-634 (-215))) (|:| |intvals| (-634 (-215))) (|:| |g| (-310 (-215))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (-5 *2 (-2 (|:| |stiffness| (-381)) (|:| |stability| (-381)) (|:| |expense| (-381)) (|:| |accuracy| (-381)) (|:| |intermediateResults| (-381)))) (-5 *1 (-798))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1161)) (-5 *5 (-1084 (-215))) (-5 *2 (-927)) (-5 *1 (-925 *3)) (-4 *3 (-609 (-541))))) ((*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-1161)) (-5 *5 (-1084 (-215))) (-5 *2 (-927)) (-5 *1 (-925 *3)) (-4 *3 (-609 (-541))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1084 (-215))) (-5 *1 (-926)))) ((*1 *1 *2 *2 *2 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-215) (-215))) (-5 *3 (-1084 (-215))) (-5 *1 (-926)))) ((*1 *1 *2 *2 *2 *2 *3) (-12 (-5 *2 (-1 (-215) (-215))) (-5 *3 (-1084 (-215))) (-5 *1 (-926)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1084 (-215))) (-5 *1 (-927)))) ((*1 *1 *2 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-215) (-215))) (-5 *3 (-1084 (-215))) (-5 *1 (-927)))) ((*1 *1 *2 *2 *3) (-12 (-5 *2 (-1 (-215) (-215))) (-5 *3 (-1084 (-215))) (-5 *1 (-927)))) ((*1 *1 *2 *3 *3) (-12 (-5 *2 (-634 (-1 (-215) (-215)))) (-5 *3 (-1084 (-215))) (-5 *1 (-927)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-634 (-1 (-215) (-215)))) (-5 *3 (-1084 (-215))) (-5 *1 (-927)))) ((*1 *1 *2 *3 *3) (-12 (-5 *2 (-1 (-215) (-215))) (-5 *3 (-1084 (-215))) (-5 *1 (-927)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-215) (-215))) (-5 *3 (-1084 (-215))) (-5 *1 (-927))))) 
-(((*1 *1 *1) (-4 *1 (-620))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-621 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002) (-1181)))))) 
-(((*1 *1 *1 *1 *1) (-4 *1 (-550)))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-887 *4)) (-5 *3 (-1 (-121) *5)) (-4 *4 (-1090)) (-4 *5 (-1195)) (-5 *1 (-885 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-887 *4)) (-5 *3 (-634 (-1 (-121) *5))) (-4 *4 (-1090)) (-4 *5 (-1195)) (-5 *1 (-885 *4 *5)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-887 *5)) (-5 *3 (-634 (-1161))) (-5 *4 (-1 (-121) (-634 *6))) (-4 *5 (-1090)) (-4 *6 (-1195)) (-5 *1 (-885 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *5)) (-4 *5 (-1195)) (-4 *4 (-842)) (-5 *1 (-938 *4 *2 *5)) (-4 *2 (-432 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-634 (-1 (-121) *5))) (-4 *5 (-1195)) (-4 *4 (-842)) (-5 *1 (-938 *4 *2 *5)) (-4 *2 (-432 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1161)) (-5 *4 (-1 (-121) *5)) (-4 *5 (-1195)) (-5 *2 (-310 (-568))) (-5 *1 (-939 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1161)) (-5 *4 (-634 (-1 (-121) *5))) (-4 *5 (-1195)) (-5 *2 (-310 (-568))) (-5 *1 (-939 *5)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-1161))) (-5 *3 (-1 (-121) (-634 *6))) (-4 *6 (-13 (-432 *5) (-881 *4) (-609 (-887 *4)))) (-4 *4 (-1090)) (-4 *5 (-13 (-1047) (-881 *4) (-842) (-609 (-887 *4)))) (-5 *1 (-1069 *4 *5 *6))))) 
-(((*1 *1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-634 *11)) (|:| |todo| (-634 (-2 (|:| |val| *3) (|:| -3145 *11)))))) (-5 *6 (-763)) (-5 *2 (-634 (-2 (|:| |val| (-634 *10)) (|:| -3145 *11)))) (-5 *3 (-634 *10)) (-5 *4 (-634 *11)) (-4 *10 (-1061 *7 *8 *9)) (-4 *11 (-1066 *7 *8 *9 *10)) (-4 *7 (-453)) (-4 *8 (-788)) (-4 *9 (-842)) (-5 *1 (-1064 *7 *8 *9 *10 *11)))) ((*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-634 *11)) (|:| |todo| (-634 (-2 (|:| |val| *3) (|:| -3145 *11)))))) (-5 *6 (-763)) (-5 *2 (-634 (-2 (|:| |val| (-634 *10)) (|:| -3145 *11)))) (-5 *3 (-634 *10)) (-5 *4 (-634 *11)) (-4 *10 (-1061 *7 *8 *9)) (-4 *11 (-1099 *7 *8 *9 *10)) (-4 *7 (-453)) (-4 *8 (-788)) (-4 *9 (-842)) (-5 *1 (-1130 *7 *8 *9 *10 *11))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-777 *2)) (-4 *2 (-1047))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-927))))) 
-(((*1 *1 *1) (-4 *1 (-620))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-621 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002) (-1181)))))) 
-(((*1 *1) (-12 (-4 *1 (-470 *2 *3)) (-4 *2 (-172)) (-4 *3 (-23)))) ((*1 *1) (-5 *1 (-541))) ((*1 *1) (-4 *1 (-712))) ((*1 *1) (-4 *1 (-716))) ((*1 *1) (-12 (-5 *1 (-887 *2)) (-4 *2 (-1090)))) ((*1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-842))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1157 (-409 (-953 *3)))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3)))))) 
-(((*1 *2 *3 *3) (-12 (-4 *3 (-301)) (-4 *3 (-172)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *2 (-2 (|:| -4409 *3) (|:| -2607 *3))) (-5 *1 (-678 *3 *4 *5 *6)) (-4 *6 (-677 *3 *4 *5)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-2 (|:| -4409 *3) (|:| -2607 *3))) (-5 *1 (-689 *3)) (-4 *3 (-301))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-1061 *4 *5 *6)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-978 *4 *5 *6 *2))))) 
-(((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-1173 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-634 *4)) (-4 *4 (-365)) (-5 *2 (-1244 *4)) (-5 *1 (-809 *4 *3)) (-4 *3 (-646 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-634 *3)) (-4 *3 (-950 *5 *7 (-852 *6))) (-4 *7 (-230 (-1699 *6) (-763))) (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-5 *2 (-634 *8)) (-5 *1 (-963 *5 *6 *3 *7 *8)) (-4 *8 (-971 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-420 *5)) (-4 *5 (-558)) (-5 *2 (-2 (|:| -3483 (-763)) (|:| -2350 *5) (|:| |radicand| (-634 *5)))) (-5 *1 (-316 *5)) (-5 *4 (-763)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1002)) (-5 *2 (-568))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-381) (-381))) (-5 *4 (-381)) (-5 *2 (-2 (|:| -2852 *4) (|:| -2185 *4) (|:| |totalpts| (-568)) (|:| |success| (-121)))) (-5 *1 (-784)) (-5 *5 (-568))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-301) (-150))) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-950 *4 *5 *6)) (-5 *2 (-634 (-634 *7))) (-5 *1 (-449 *4 *5 *6 *7)) (-5 *3 (-634 *7)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-301) (-150))) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *8 (-950 *5 *6 *7)) (-5 *2 (-634 (-634 *8))) (-5 *1 (-449 *5 *6 *7 *8)) (-5 *3 (-634 *8)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-301) (-150))) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-950 *4 *5 *6)) (-5 *2 (-634 (-634 *7))) (-5 *1 (-449 *4 *5 *6 *7)) (-5 *3 (-634 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-301) (-150))) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *8 (-950 *5 *6 *7)) (-5 *2 (-634 (-634 *8))) (-5 *1 (-449 *5 *6 *7 *8)) (-5 *3 (-634 *8))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-5 *1 (-1170 *2)) (-4 *2 (-365))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-634 *7)) (-5 *4 (-1 *7 (-763) (-763) *8)) (-5 *5 (-1244 *9)) (-5 *6 (-634 (-763))) (-4 *7 (-13 (-558) (-453))) (-4 *8 (-324 *7 (-763))) (-4 *9 (-324 (-409 *7) (-763))) (-5 *2 (-679 (-1157 *7))) (-5 *1 (-345 *7 *8 *9)))) ((*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-634 *7)) (-5 *4 (-1 *7 (-763) (-763) *8)) (-5 *5 (-1244 *9)) (-5 *6 (-763)) (-4 *7 (-13 (-558) (-453))) (-4 *8 (-324 *7 *6)) (-4 *9 (-324 (-409 *7) *6)) (-5 *2 (-1141 (-679 (-1157 *7)))) (-5 *1 (-345 *7 *8 *9)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-634 *7)) (-5 *4 (-1 *7 (-763) (-763) *8)) (-5 *5 (-1244 *8)) (-5 *6 (-634 (-763))) (-4 *7 (-13 (-558) (-453))) (-4 *8 (-52 *7 (-763))) (-5 *2 (-679 (-1157 *7))) (-5 *1 (-346 *7 *8)))) ((*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-634 *7)) (-5 *4 (-1 *7 (-763) (-763) *8)) (-5 *5 (-1244 *8)) (-5 *6 (-763)) (-4 *7 (-13 (-558) (-453))) (-4 *8 (-52 *7 *6)) (-5 *2 (-1141 (-679 (-1157 *7)))) (-5 *1 (-346 *7 *8))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-763)) (-5 *1 (-848 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-172))))) 
-(((*1 *2 *1) (-12 (-14 *3 (-634 (-1161))) (-4 *4 (-172)) (-14 *6 (-1 (-121) (-2 (|:| -4357 *5) (|:| -3483 *2)) (-2 (|:| -4357 *5) (|:| -3483 *2)))) (-4 *2 (-230 (-1699 *3) (-763))) (-5 *1 (-463 *3 *4 *5 *2 *6 *7)) (-4 *5 (-842)) (-4 *7 (-950 *4 *2 (-852 *3)))))) 
-(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-141 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-763)) (-4 *5 (-172)))) ((*1 *1 *1 *2 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-141 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-763)) (-4 *5 (-172)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-514 (-409 (-568)) (-232 *5 (-763)) (-852 *4) (-242 *4 (-409 (-568))))) (-5 *3 (-634 (-852 *4))) (-14 *4 (-634 (-1161))) (-14 *5 (-763)) (-5 *1 (-515 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1122 *3)) (-4 *3 (-1047)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-568)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *2 (-1047)) (-5 *1 (-318 *4 *5 *2 *6)) (-4 *6 (-950 *2 *4 *5))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-763)) (-5 *3 (-121)) (-5 *1 (-114)))) ((*1 *2 *2) (-12 (-5 *2 (-917)) (|has| *1 (-6 -4512)) (-4 *1 (-406)))) ((*1 *2) (-12 (-4 *1 (-406)) (-5 *2 (-917))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-788)) (-4 *4 (-842)) (-4 *5 (-301)) (-5 *1 (-912 *3 *4 *5 *2)) (-4 *2 (-950 *5 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1157 *6)) (-4 *6 (-950 *5 *3 *4)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *5 (-301)) (-5 *1 (-912 *3 *4 *5 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-950 *6 *4 *5)) (-5 *1 (-912 *4 *5 *6 *2)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-301))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-910 *2)) (-4 *2 (-301))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-453))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-53))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-53))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))))) (-5 *5 (-634 (-1161))) (-5 *3 (-634 (-53))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-53)) (-634 (-465))))) (-5 *5 (-634 (-1161))) (-5 *6 (-634 (-465))) (-5 *3 (-634 (-53))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 *6) (-634 (-465))))) (-5 *5 (-634 (-1161))) (-5 *3 (-634 *6)) (-4 *6 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *6)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 *7) (-634 (-465))))) (-5 *5 (-634 (-1161))) (-5 *6 (-634 (-465))) (-5 *3 (-634 *7)) (-4 *7 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))))) (-5 *5 (-634 (-1161))) (-5 *3 (-634 (-409 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-568))) (-634 (-465))))) (-5 *5 (-634 (-1161))) (-5 *6 (-634 (-465))) (-5 *3 (-634 (-409 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-365)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763))))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-365)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-842) (-558))) (-14 *9 (-1 *5 *8)) (-5 *2 (-634 (-2 (|:| -1866 *7) (|:| -1844 (-763))))) (-5 *1 (-486 *5 *6 *7 *8 *9 *10)) (-4 *6 (-453)) (-4 *7 (-13 (-432 (-568)) (-558) (-1037 *8) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-634 (-1 (-634 (-2 (|:| -1866 *8) (|:| -1844 (-763)))) (-634 *6) (-634 (-465))))) (-5 *5 (-634 (-1161))) (-5 *3 (-634 *6)) (-4 *6 (-365)) (-14 *11 (-1 *8 *6)) (-4 *9 (-13 (-842) (-558))) (-14 *10 (-1 *6 *9)) (-5 *2 (-634 (-2 (|:| -1866 *8) (|:| -1844 (-763))))) (-5 *1 (-486 *6 *7 *8 *9 *10 *11)) (-4 *7 (-453)) (-4 *8 (-13 (-432 (-568)) (-558) (-1037 *9) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-634 (-1 (-634 (-2 (|:| -1866 *9) (|:| -1844 (-763)))) (-634 *7) (-634 (-465))))) (-5 *5 (-634 (-1161))) (-5 *6 (-634 (-465))) (-5 *3 (-634 *7)) (-4 *7 (-365)) (-14 *12 (-1 *9 *7)) (-4 *10 (-13 (-842) (-558))) (-14 *11 (-1 *7 *10)) (-5 *2 (-634 (-2 (|:| -1866 *9) (|:| -1844 (-763))))) (-5 *1 (-486 *7 *8 *9 *10 *11 *12)) (-4 *8 (-453)) (-4 *9 (-13 (-432 (-568)) (-558) (-1037 *10) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))))) (-5 *5 (-634 (-1161))) (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-634 (-1 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-953 (-568)))) (-634 (-465))))) (-5 *5 (-634 (-1161))) (-5 *6 (-634 (-465))) (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-734 *4 (-568))))) (-14 *4 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-734 *5 (-568))))) (-5 *4 (-634 (-465))) (-14 *5 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *5 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-634 (-1 (-634 (-2 (|:| -1866 (-733 *6 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 *6 (-568)))) (-634 (-465))))) (-5 *5 (-634 (-1161))) (-5 *3 (-634 (-409 (-734 *6 (-568))))) (-14 *6 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *6 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *6)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-634 (-1 (-634 (-2 (|:| -1866 (-733 *7 (-568))) (|:| -1844 (-763)))) (-634 (-409 (-734 *7 (-568)))) (-634 (-465))))) (-5 *5 (-634 (-1161))) (-5 *6 (-634 (-465))) (-5 *3 (-634 (-409 (-734 *7 (-568))))) (-14 *7 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *7 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *7))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-944 *3)) (-4 *3 (-13 (-365) (-1181) (-1002))) (-5 *1 (-174 *3))))) 
-(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *5 (-607 *4)) (-5 *6 (-1161)) (-4 *4 (-13 (-432 *7) (-27) (-1181))) (-4 *7 (-13 (-453) (-1037 (-568)) (-842) (-150) (-630 (-568)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2588 (-634 *4)))) (-5 *1 (-570 *7 *4 *3)) (-4 *3 (-646 *4)) (-4 *3 (-1090))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-4 *1 (-258 *3)))) ((*1 *1 *2) (-12 (-4 *1 (-258 *2)) (-4 *2 (-1090)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-634 *1)) (-4 *1 (-258 *2)) (-4 *2 (-1090)))) ((*1 *1 *2) (-12 (-5 *1 (-1182 *2)) (-4 *2 (-1090)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-5 *1 (-1182 *3)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-634 (-1182 *2))) (-5 *1 (-1182 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-643 (-409 *6))) (-5 *4 (-1 (-634 *5) *6)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-4 *6 (-1219 *5)) (-5 *2 (-634 (-409 *6))) (-5 *1 (-807 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-643 (-409 *7))) (-5 *4 (-1 (-634 *6) *7)) (-5 *5 (-1 (-420 *7) *7)) (-4 *6 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-4 *7 (-1219 *6)) (-5 *2 (-634 (-409 *7))) (-5 *1 (-807 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-644 *6 (-409 *6))) (-5 *4 (-1 (-634 *5) *6)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-4 *6 (-1219 *5)) (-5 *2 (-634 (-409 *6))) (-5 *1 (-807 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-644 *7 (-409 *7))) (-5 *4 (-1 (-634 *6) *7)) (-5 *5 (-1 (-420 *7) *7)) (-4 *6 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-4 *7 (-1219 *6)) (-5 *2 (-634 (-409 *7))) (-5 *1 (-807 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-643 (-409 *5))) (-4 *5 (-1219 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-5 *2 (-634 (-409 *5))) (-5 *1 (-807 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-643 (-409 *6))) (-5 *4 (-1 (-420 *6) *6)) (-4 *6 (-1219 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-5 *2 (-634 (-409 *6))) (-5 *1 (-807 *5 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-644 *5 (-409 *5))) (-4 *5 (-1219 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-5 *2 (-634 (-409 *5))) (-5 *1 (-807 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-644 *6 (-409 *6))) (-5 *4 (-1 (-420 *6) *6)) (-4 *6 (-1219 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-5 *2 (-634 (-409 *6))) (-5 *1 (-807 *5 *6))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-634 *7)) (|:| |badPols| (-634 *7)))) (-5 *1 (-978 *4 *5 *6 *7)) (-5 *3 (-634 *7))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1157 (-568))) (-5 *1 (-943)) (-5 *3 (-568))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-568)) (|has| *1 (-6 -4512)) (-4 *1 (-406)) (-5 *2 (-917))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-1157 *3)) (-4 *3 (-350)) (-5 *1 (-358 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1093 *2 *3 *4 *5 *6)) (-4 *2 (-1090)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1157 (-568))) (-5 *1 (-183)) (-5 *3 (-568)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-763)) (-5 *1 (-778 *2)) (-4 *2 (-172)))) ((*1 *2 *3) (-12 (-5 *2 (-1157 (-568))) (-5 *1 (-943)) (-5 *3 (-568))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1244 *1)) (-4 *1 (-369 *4)) (-4 *4 (-172)) (-5 *2 (-679 *4)))) ((*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-679 *4)) (-5 *1 (-418 *3 *4)) (-4 *3 (-419 *4)))) ((*1 *2) (-12 (-4 *1 (-419 *3)) (-4 *3 (-172)) (-5 *2 (-679 *3))))) 
-(((*1 *2 *3 *4 *2 *3 *2 *3) (-12 (-5 *2 (-958 (-215))) (-5 *3 (-1108)) (-5 *4 (-215)) (-5 *1 (-115))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-381)) (-5 *1 (-99)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-381)) (-5 *1 (-99))))) 
-(((*1 *1 *1 *1) (-5 *1 (-850)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-381)) (-5 *1 (-1246)))) ((*1 *2) (-12 (-5 *2 (-381)) (-5 *1 (-1246))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *2 (-884 *5 *3)) (-5 *4 (-887 *5)) (-4 *5 (-1090)) (-4 *3 (-166 *6)) (-4 (-953 *6) (-881 *5)) (-4 *6 (-13 (-881 *5) (-172))) (-5 *1 (-176 *5 *6 *3)))) ((*1 *2 *1 *3 *2) (-12 (-5 *2 (-884 *4 *1)) (-5 *3 (-887 *4)) (-4 *1 (-881 *4)) (-4 *4 (-1090)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-884 *5 *6)) (-5 *4 (-887 *5)) (-4 *5 (-1090)) (-4 *6 (-13 (-1090) (-1037 *3))) (-4 *3 (-881 *5)) (-5 *1 (-932 *5 *3 *6)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-884 *5 *3)) (-4 *5 (-1090)) (-4 *3 (-13 (-432 *6) (-609 *4) (-881 *5) (-1037 (-607 $)))) (-5 *4 (-887 *5)) (-4 *6 (-13 (-558) (-842) (-881 *5))) (-5 *1 (-933 *5 *6 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-884 (-568) *3)) (-5 *4 (-887 (-568))) (-4 *3 (-550)) (-5 *1 (-934 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-884 *5 *6)) (-5 *3 (-607 *6)) (-4 *5 (-1090)) (-4 *6 (-13 (-842) (-1037 (-607 $)) (-609 *4) (-881 *5))) (-5 *4 (-887 *5)) (-5 *1 (-935 *5 *6)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-880 *5 *6 *3)) (-5 *4 (-887 *5)) (-4 *5 (-1090)) (-4 *6 (-881 *5)) (-4 *3 (-658 *6)) (-5 *1 (-936 *5 *6 *3)))) ((*1 *2 *3 *4 *2 *5) (-12 (-5 *5 (-1 (-884 *6 *3) *8 (-887 *6) (-884 *6 *3))) (-4 *8 (-842)) (-5 *2 (-884 *6 *3)) (-5 *4 (-887 *6)) (-4 *6 (-1090)) (-4 *3 (-13 (-950 *9 *7 *8) (-609 *4))) (-4 *7 (-788)) (-4 *9 (-13 (-1047) (-842) (-881 *6))) (-5 *1 (-937 *6 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-884 *5 *3)) (-4 *5 (-1090)) (-4 *3 (-13 (-950 *8 *6 *7) (-609 *4))) (-5 *4 (-887 *5)) (-4 *7 (-881 *5)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *8 (-13 (-1047) (-842) (-881 *5))) (-5 *1 (-937 *5 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-884 *5 *3)) (-4 *5 (-1090)) (-4 *3 (-993 *6)) (-4 *6 (-13 (-558) (-881 *5) (-609 *4))) (-5 *4 (-887 *5)) (-5 *1 (-940 *5 *6 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-884 *5 (-1161))) (-5 *3 (-1161)) (-5 *4 (-887 *5)) (-4 *5 (-1090)) (-5 *1 (-941 *5)))) ((*1 *2 *3 *4 *5 *2 *6) (-12 (-5 *4 (-634 (-887 *7))) (-5 *5 (-1 *9 (-634 *9))) (-5 *6 (-1 (-884 *7 *9) *9 (-887 *7) (-884 *7 *9))) (-4 *7 (-1090)) (-4 *9 (-13 (-1047) (-609 (-887 *7)) (-1037 *8))) (-5 *2 (-884 *7 *9)) (-5 *3 (-634 *9)) (-4 *8 (-13 (-1047) (-842))) (-5 *1 (-942 *7 *8 *9))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1093 *2 *3 *4 *5 *6)) (-4 *2 (-1090)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-558) (-150))) (-5 *1 (-542 *3 *2)) (-4 *2 (-1234 *3)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-365) (-370) (-609 (-568)))) (-4 *4 (-1219 *3)) (-4 *5 (-714 *3 *4)) (-5 *1 (-546 *3 *4 *5 *2)) (-4 *2 (-1234 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-365) (-370) (-609 (-568)))) (-5 *1 (-547 *3 *2)) (-4 *2 (-1234 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-13 (-558) (-150))) (-5 *1 (-1137 *3))))) 
-(((*1 *2 *3 *3 *1) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-5 *2 (-3 *3 (-634 *1))) (-4 *1 (-1066 *4 *5 *6 *3))))) 
-(((*1 *2) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-679 (-409 *4)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-381)) (-5 *2 (-1143)) (-5 *1 (-299))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-917)) (-5 *1 (-405 *3)) (-4 *3 (-406)))) ((*1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-405 *3)) (-4 *3 (-406)))) ((*1 *2 *2) (-12 (-5 *2 (-917)) (|has| *1 (-6 -4512)) (-4 *1 (-406)))) ((*1 *2) (-12 (-4 *1 (-406)) (-5 *2 (-917)))) ((*1 *2 *1) (-12 (-4 *1 (-863 *3)) (-5 *2 (-1141 (-568)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-763)) (-4 *4 (-558)) (-5 *1 (-970 *4 *2)) (-4 *2 (-1219 *4))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-453)) (-4 *3 (-788)) (-4 *5 (-842)) (-5 *2 (-121)) (-5 *1 (-450 *4 *3 *5 *6)) (-4 *6 (-950 *4 *3 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-369 *2)) (-4 *2 (-172))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-763)) (-5 *2 (-409 (-568))) (-5 *1 (-215)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-409 (-568))) (-5 *1 (-215)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-763)) (-5 *2 (-409 (-568))) (-5 *1 (-381)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-5 *2 (-409 (-568))) (-5 *1 (-381))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-350)) (-5 *2 (-420 (-1157 (-1157 *4)))) (-5 *1 (-1194 *4)) (-5 *3 (-1157 (-1157 *4)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 (-953 *3))) (-4 *3 (-453)) (-5 *1 (-362 *3 *4)) (-14 *4 (-634 (-1161))))) ((*1 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-950 *3 *4 *5)) (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-451 *3 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-634 *7)) (-5 *3 (-1143)) (-4 *7 (-950 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-451 *4 *5 *6 *7)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-634 *7)) (-5 *3 (-1143)) (-4 *7 (-950 *4 *5 *6)) (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-451 *4 *5 *6 *7)))) ((*1 *1 *1) (-12 (-4 *2 (-365)) (-4 *3 (-788)) (-4 *4 (-842)) (-5 *1 (-514 *2 *3 *4 *5)) (-4 *5 (-950 *2 *3 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-634 *7)) (-4 *7 (-950 *3 *5 *6)) (-4 *3 (-365)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-560 *3 *4 *5 *6 *7)) (-14 *4 (-634 (-1161))))) ((*1 *2 *2) (-12 (-5 *2 (-634 (-775 *3 (-852 *4)))) (-4 *3 (-453)) (-14 *4 (-634 (-1161))) (-5 *1 (-619 *3 *4))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-453)) (-4 *4 (-842)) (-5 *1 (-577 *4 *2)) (-4 *2 (-279)) (-4 *2 (-432 *4))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-558)) (-4 *3 (-172)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *1 (-678 *3 *4 *5 *2)) (-4 *2 (-677 *3 *4 *5))))) 
-(((*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-1157 (-953 *4))) (-5 *1 (-418 *3 *4)) (-4 *3 (-419 *4)))) ((*1 *2) (-12 (-4 *1 (-419 *3)) (-4 *3 (-172)) (-4 *3 (-365)) (-5 *2 (-1157 (-953 *3))))) ((*1 *2) (-12 (-5 *2 (-1157 (-409 (-953 *3)))) (-5 *1 (-454 *3 *4 *5 *6)) (-4 *3 (-558)) (-4 *3 (-172)) (-14 *4 (-917)) (-14 *5 (-634 (-1161))) (-14 *6 (-1244 (-679 *3)))))) 
-(((*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-472)))) ((*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-472)))) ((*1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-927))))) 
-(((*1 *2 *1 *2) (-12 (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) *2)) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-117)) (-5 *2 (-763))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-815)) (-14 *5 (-1161)) (-5 *2 (-634 (-1216 *5 *4))) (-5 *1 (-1104 *4 *5)) (-5 *3 (-1216 *5 *4))))) 
-(((*1 *1 *1) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-1231 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-899 (-568))) (-5 *1 (-913)))) ((*1 *2) (-12 (-5 *2 (-899 (-568))) (-5 *1 (-913))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-917)) (-4 *4 (-370)) (-4 *4 (-365)) (-5 *2 (-1157 *1)) (-4 *1 (-327 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-327 *3)) (-4 *3 (-365)) (-5 *2 (-1157 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-372 *3 *2)) (-4 *3 (-172)) (-4 *3 (-365)) (-4 *2 (-1219 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1244 *4)) (-4 *4 (-350)) (-5 *2 (-1157 *4)) (-5 *1 (-532 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-568)) (-4 *2 (-432 *3)) (-5 *1 (-36 *3 *2)) (-4 *3 (-1037 *4)) (-4 *3 (-13 (-842) (-558)))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-977 *4 *5 *3 *6)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *3 (-842)) (-4 *6 (-1061 *4 *5 *3)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-860)) (-5 *1 (-855 *3)) (-14 *3 *2)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-453))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-432 *3) (-1181)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-1037 (-568))) (-4 *3 (-13 (-842) (-558))) (-5 *1 (-36 *3 *2)) (-4 *2 (-432 *3)))) ((*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-1157 *4)) (-5 *1 (-165 *3 *4)) (-4 *3 (-166 *4)))) ((*1 *1 *1) (-12 (-4 *1 (-1047)) (-4 *1 (-296)))) ((*1 *2) (-12 (-4 *1 (-327 *3)) (-4 *3 (-365)) (-5 *2 (-1157 *3)))) ((*1 *2) (-12 (-4 *1 (-714 *3 *2)) (-4 *3 (-172)) (-4 *2 (-1219 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1157 *1)) (-4 *1 (-858)))) ((*1 *2) (-12 (-5 *2 (-1157 *1)) (-4 *1 (-858)))) ((*1 *2 *1) (-12 (-4 *1 (-1063 *3 *2)) (-4 *3 (-13 (-840) (-365))) (-4 *2 (-1219 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 *6)) (-5 *4 (-634 (-1161))) (-4 *6 (-365)) (-5 *2 (-634 (-288 (-953 *6)))) (-5 *1 (-543 *5 *6 *7)) (-4 *5 (-453)) (-4 *7 (-13 (-365) (-840)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-634 *9)) (-4 *8 (-1061 *5 *6 *7)) (-4 *9 (-1066 *5 *6 *7 *8)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-763)) (-5 *1 (-1064 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 *8)) (-5 *4 (-634 *9)) (-4 *8 (-1061 *5 *6 *7)) (-4 *9 (-1099 *5 *6 *7 *8)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-763)) (-5 *1 (-1130 *5 *6 *7 *8 *9))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1092 (-1092 *3))) (-5 *1 (-899 *3)) (-4 *3 (-1090))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |mval| (-679 *3)) (|:| |invmval| (-679 *3)) (|:| |genIdeal| (-514 *3 *4 *5 *6)))) (-4 *3 (-365)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-514 *3 *4 *5 *6)) (-4 *6 (-950 *3 *4 *5))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-340 *4 *3 *5)) (-4 *4 (-1199)) (-4 *3 (-1219 *4)) (-4 *5 (-1219 (-409 *3))) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-4 *1 (-340 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-1219 *3)) (-4 *5 (-1219 (-409 *4))) (-5 *2 (-121))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1143)) (-4 *4 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-121)) (-5 *1 (-214 *4 *5)) (-4 *5 (-13 (-1181) (-29 *4)))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-246 *2 *3 *4 *5)) (-4 *2 (-1047)) (-4 *3 (-842)) (-4 *4 (-262 *3)) (-4 *5 (-788))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-1108)) (-5 *1 (-113))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-850)) (-5 *1 (-1141 *3)) (-4 *3 (-1090)) (-4 *3 (-1195))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-1047)) (-5 *1 (-1215 *3 *2)) (-4 *2 (-1219 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-634 (-2 (|:| -3651 (-2 (|:| |var| (-1161)) (|:| |fn| (-310 (-215))) (|:| -3581 (-1084 (-835 (-215)))) (|:| |abserr| (-215)) (|:| |relerr| (-215)))) (|:| -4085 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1141 (-215))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -3581 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-563)))) ((*1 *2 *1) (-12 (-4 *1 (-601 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1195)) (-5 *2 (-634 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-565))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1 (-381))) (-5 *1 (-1039))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-607 *2)) (-4 *2 (-13 (-27) (-1181) (-432 *4))) (-4 *4 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-273 *4 *2))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-890)) (-5 *3 (-2 (|:| |pde| (-634 (-310 (-215)))) (|:| |constraints| (-634 (-2 (|:| |start| (-215)) (|:| |finish| (-215)) (|:| |grid| (-763)) (|:| |boundaryType| (-568)) (|:| |dStart| (-679 (-215))) (|:| |dFinish| (-679 (-215)))))) (|:| |f| (-634 (-634 (-310 (-215))))) (|:| |st| (-1143)) (|:| |tol| (-215)))) (-5 *2 (-1035))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-763)) (-4 *5 (-350)) (-4 *6 (-1219 *5)) (-5 *2 (-634 (-2 (|:| -2588 (-679 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-679 *6))))) (-5 *1 (-507 *5 *6 *7)) (-5 *3 (-2 (|:| -2588 (-679 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-679 *6)))) (-4 *7 (-1219 *6))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1129)) (-5 *2 (-142)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1129)) (-5 *2 (-147))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1044 *4 *5)) (-4 *4 (-13 (-840) (-301) (-150) (-1021))) (-14 *5 (-634 (-1161))) (-5 *2 (-634 (-634 (-1023 (-409 *4))))) (-5 *1 (-1268 *4 *5 *6)) (-14 *6 (-634 (-1161))))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-634 (-953 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-634 (-1023 (-409 *5))))) (-5 *1 (-1268 *5 *6 *7)) (-14 *6 (-634 (-1161))) (-14 *7 (-634 (-1161))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-953 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-634 (-1023 (-409 *5))))) (-5 *1 (-1268 *5 *6 *7)) (-14 *6 (-634 (-1161))) (-14 *7 (-634 (-1161))))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-953 *4))) (-4 *4 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-634 (-1023 (-409 *4))))) (-5 *1 (-1268 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-14 *6 (-634 (-1161)))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-763)) (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-558) (-150))) (-5 *1 (-542 *3 *2)) (-4 *2 (-1234 *3)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-365) (-370) (-609 (-568)))) (-4 *4 (-1219 *3)) (-4 *5 (-714 *3 *4)) (-5 *1 (-546 *3 *4 *5 *2)) (-4 *2 (-1234 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-365) (-370) (-609 (-568)))) (-5 *1 (-547 *3 *2)) (-4 *2 (-1234 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-13 (-558) (-150))) (-5 *1 (-1137 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-634 *5))) (-4 *5 (-324 *4 *6)) (-4 *6 (-230 *7 *2)) (-14 *7 *2) (-4 *4 (-1047)) (-5 *2 (-763)) (-5 *1 (-772 *4 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-4 *6 (-230 *7 *2)) (-14 *7 *2) (-5 *2 (-763)) (-5 *1 (-929 *5 *3 *6 *7 *4)) (-4 *3 (-324 *5 *6)) (-4 *4 (-971 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-568)) (-4 *6 (-365)) (-4 *7 (-230 *8 *2)) (-14 *8 *2) (-5 *2 (-763)) (-5 *1 (-929 *6 *3 *7 *8 *4)) (-4 *3 (-324 *6 *7)) (-4 *4 (-971 *6))))) 
-(((*1 *2 *2 *2) (|partial| -12 (-4 *3 (-365)) (-5 *1 (-891 *2 *3)) (-4 *2 (-1219 *3))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 *4)) (-5 *1 (-1098 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1157 (-953 *6))) (-4 *6 (-558)) (-4 *2 (-950 (-409 (-953 *6)) *5 *4)) (-5 *1 (-722 *5 *4 *6 *2)) (-4 *5 (-788)) (-4 *4 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $)))))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-301)) (-5 *2 (-763))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-568)) (-5 *2 (-828 (-215))) (-5 *1 (-217)) (-5 *4 (-215))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-514 (-409 (-568)) (-232 *4 (-763)) (-852 *3) (-242 *3 (-409 (-568))))) (-14 *3 (-634 (-1161))) (-14 *4 (-763)) (-5 *1 (-515 *3 *4))))) 
-(((*1 *2) (-12 (-4 *4 (-172)) (-5 *2 (-121)) (-5 *1 (-368 *3 *4)) (-4 *3 (-369 *4)))) ((*1 *2) (-12 (-4 *1 (-369 *3)) (-4 *3 (-172)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-381) (-381))) (-5 *4 (-381)) (-5 *2 (-2 (|:| -2852 *4) (|:| -2185 *4) (|:| |totalpts| (-568)) (|:| |success| (-121)))) (-5 *1 (-784)) (-5 *5 (-568))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-984 *2)) (-4 *2 (-1181))))) 
-(((*1 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-365) (-10 -8 (-15 ** ($ $ (-409 (-568))))))) (-5 *1 (-1116 *3 *2)) (-4 *3 (-1219 *2))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1157 *7)) (-5 *3 (-568)) (-4 *7 (-950 *6 *4 *5)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1047)) (-5 *1 (-318 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4 *3 *5) (-12 (-4 *6 (-365)) (-14 *7 (-634 (-1161))) (-4 *8 (-230 (-1699 *7) (-763))) (-4 *9 (-641 *6)) (-5 *2 (-2 (|:| |fnc| *3) (|:| |crv| *3) (|:| |chart| (-634 (-568))))) (-5 *1 (-654 *6 *7 *3 *8 *4 *9 *10)) (-5 *5 (-568)) (-4 *3 (-950 *6 *8 (-852 *7))) (-4 *4 (-971 *6)) (-4 *10 (-920 *6 *9))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-1157 *3)) (-4 *3 (-350)) (-5 *1 (-358 *3))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1236 *3 *2)) (-4 *2 (-1234 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *6)) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-5 *2 (-634 *8)) (-5 *1 (-963 *4 *5 *6 *7 *8)) (-4 *8 (-971 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1093 *3 *4 *5 *6 *7)) (-4 *3 (-1090)) (-4 *4 (-1090)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *7 (-1090)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *1) (-12 (-4 *4 (-13 (-840) (-365))) (-5 *2 (-121)) (-5 *1 (-1057 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *2)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *2 (-1061 *3 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-679 (-310 (-215)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-381)) (|:| |stabilityFactor| (-381)))) (-5 *1 (-197))))) 
-(((*1 *2) (-12 (-4 *3 (-370)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-634 *9)) (-5 *1 (-467 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) ((*1 *2) (-12 (-5 *2 (-634 (-922 *3))) (-5 *1 (-867 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-634 (-921 *3))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-409 *4)) (-4 *4 (-1219 *3)) (-4 *3 (-13 (-365) (-150) (-1037 (-568)))) (-5 *1 (-572 *3 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-365)) (-4 *4 (-558)) (-4 *5 (-1219 *4)) (-5 *2 (-2 (|:| -3949 (-615 *4 *5)) (|:| -3358 (-409 *5)))) (-5 *1 (-615 *4 *5)) (-5 *3 (-409 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-634 (-1149 *3 *4))) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-453)) (-4 *3 (-1047)) (-5 *2 (-2 (|:| |primePart| *1) (|:| |commonPart| *1))) (-4 *1 (-1219 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-327 *3)) (-4 *3 (-365)) (-4 *3 (-370)) (-5 *2 (-1157 *3))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1090)) (-4 *6 (-1090)) (-4 *2 (-1090)) (-5 *1 (-670 *5 *6 *2))))) 
-(((*1 *2) (-12 (-5 *2 (-381)) (-5 *1 (-1039))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-603 *2)) (-4 *2 (-1090)))) ((*1 *1 *1) (-5 *1 (-623)))) 
-(((*1 *1 *1 *1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)) (-4 *2 (-558))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-2 (|:| -2371 (-763)) (|:| |eqns| (-634 (-2 (|:| |det| *7) (|:| |rows| (-634 (-568))) (|:| |cols| (-634 (-568)))))) (|:| |fgb| (-634 *7))))) (-4 *7 (-950 *4 *6 *5)) (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *2 (-763)) (-5 *1 (-924 *4 *5 *6 *7))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-978 *3 *4 *5 *6))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-977 *4 *5 *6 *3)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *3 (-1061 *4 *5 *6)) (-4 *4 (-558)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4)))))) 
-(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1234 *3)) (-5 *1 (-274 *3 *4 *2)) (-4 *2 (-1205 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-409 (-568)))) (-4 *4 (-1203 *3)) (-5 *1 (-275 *3 *4 *2 *5)) (-4 *2 (-1226 *3 *4)) (-4 *5 (-984 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1146 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-43 (-409 (-568)))) (-5 *1 (-1147 *3))))) 
-(((*1 *2 *1 *1 *3) (-12 (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *3 (-842)) (-5 *2 (-2 (|:| -4409 *1) (|:| -2607 *1))) (-4 *1 (-950 *4 *5 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1047)) (-5 *2 (-2 (|:| -4409 *1) (|:| -2607 *1))) (-4 *1 (-1219 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1257 (-1161) *3)) (-4 *3 (-1047)) (-5 *1 (-1264 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1257 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047)) (-5 *1 (-1266 *3 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-555 *3)) (-4 *3 (-13 (-406) (-1181))) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-840)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1063 *4 *3)) (-4 *4 (-13 (-840) (-365))) (-4 *3 (-1219 *4)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-536 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-117)) (-4 *2 (-235 *9))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-917)) (-5 *1 (-358 *3)) (-4 *3 (-350))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-636 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-166 *3)) (-4 *3 (-172)) (-4 *3 (-1056)) (-4 *3 (-1181)) (-5 *2 (-2 (|:| |r| *3) (|:| |phi| *3)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-13 (-842) (-1037 (-568)) (-453) (-630 (-568)))) (-5 *2 (-2 (|:| -2358 *3) (|:| |nconst| *3))) (-5 *1 (-571 *5 *3)) (-4 *3 (-13 (-27) (-1181) (-432 *5)))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1087 *3)) (-4 *3 (-1090)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1161)) (-5 *4 (-953 (-568))) (-5 *2 (-328)) (-5 *1 (-330))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-121)) (-5 *2 (-1143)) (-5 *1 (-57))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-944 *3) (-944 *3))) (-5 *1 (-174 *3)) (-4 *3 (-13 (-365) (-1181) (-1002)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-391)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *5 *5) (-12 (-5 *5 (-763)) (-4 *6 (-1090)) (-4 *7 (-895 *6)) (-5 *2 (-679 *7)) (-5 *1 (-681 *6 *7 *3 *4)) (-4 *3 (-375 *7)) (-4 *4 (-13 (-375 *6) (-10 -7 (-6 -4521))))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1157 *1)) (-4 *1 (-1012))))) 
-(((*1 *2 *3 *3 *3 *3) (-12 (-5 *3 (-568)) (-5 *2 (-121)) (-5 *1 (-491))))) 
-(((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *4 (-215)) (-5 *2 (-2 (|:| |brans| (-634 (-634 (-944 *4)))) (|:| |xValues| (-1084 *4)) (|:| |yValues| (-1084 *4)))) (-5 *1 (-156)) (-5 *3 (-634 (-634 (-944 *4))))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-955)) (-5 *2 (-1084 (-215))))) ((*1 *2 *1) (-12 (-4 *1 (-975)) (-5 *2 (-1084 (-215)))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1195)) (-5 *1 (-377 *4 *2)) (-4 *2 (-13 (-375 *4) (-10 -7 (-6 -4522))))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-646 *2)) (-4 *2 (-1047)))) ((*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *4 (-172)) (-4 *5 (-375 *4)) (-4 *6 (-375 *4)) (-5 *2 (-2 (|:| |adjMat| *3) (|:| |detMat| *4))) (-5 *1 (-678 *4 *5 *6 *3)) (-4 *3 (-677 *4 *5 *6)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-172)) (-4 *2 (-1047)) (-5 *1 (-704 *2 *3)) (-4 *3 (-637 *2)))) ((*1 *1 *1) (-12 (-4 *2 (-172)) (-4 *2 (-1047)) (-5 *1 (-704 *2 *3)) (-4 *3 (-637 *2)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-829 *2)) (-4 *2 (-172)) (-4 *2 (-1047)))) ((*1 *1 *1) (-12 (-5 *1 (-829 *2)) (-4 *2 (-172)) (-4 *2 (-1047))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-242 *4 *5)) (-14 *4 (-634 (-1161))) (-4 *5 (-453)) (-5 *2 (-492 *4 *5)) (-5 *1 (-622 *4 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 (-917))) (-5 *1 (-1091 *3 *4)) (-14 *3 (-917)) (-14 *4 (-917))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1244 *4)) (-4 *4 (-350)) (-5 *2 (-1157 *4)) (-5 *1 (-532 *4))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-1205 *3 *2)) (-4 *3 (-1047)) (-4 *2 (-1234 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-129 *3)) (-4 *3 (-1219 (-568))))) ((*1 *2 *2) (-12 (-5 *2 (-763)) (-5 *1 (-129 *3)) (-4 *3 (-1219 (-568)))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-1189 *4 *5 *3 *6)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *3 (-842)) (-4 *6 (-1061 *4 *5 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1261 *3)) (-4 *3 (-365)) (-5 *2 (-121))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-763)) (-4 *1 (-646 *3)) (-4 *3 (-1047)) (-4 *3 (-365)))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-763)) (-5 *4 (-1 *5 *5)) (-4 *5 (-365)) (-5 *1 (-649 *5 *2)) (-4 *2 (-646 *5))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-1163 (-409 (-568)))) (-5 *1 (-182))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-763))) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-57))) (-5 *1 (-887 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1047)) (-14 *4 (-634 (-1161))))) ((*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *2 (-121)) (-5 *1 (-56 *4)) (-4 *4 (-1195)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3 *4)) (-4 *3 (-13 (-1047) (-842))) (-14 *4 (-634 (-1161))))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-663 *3)) (-4 *3 (-842)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-667 *3)) (-4 *3 (-842)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-842))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1108)) (-5 *1 (-835 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-763)) (-5 *4 (-568)) (-5 *1 (-446 *2)) (-4 *2 (-1047))))) 
-(((*1 *2) (-12 (-5 *2 (-1143)) (-5 *1 (-393))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1090)) (-5 *1 (-212 *3)))) ((*1 *1) (-12 (-5 *1 (-212 *2)) (-4 *2 (-1090)))) ((*1 *1 *2) (-12 (-5 *2 (-634 *3)) (-4 *3 (-1195)) (-4 *1 (-247 *3)))) ((*1 *1) (-12 (-4 *1 (-247 *2)) (-4 *2 (-1195))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-634 (-310 (-215)))) (|:| -4436 (-634 (-215))))) (-5 *2 (-381)) (-5 *1 (-263)))) ((*1 *2 *3) (-12 (-5 *3 (-1244 (-310 (-215)))) (-5 *2 (-381)) (-5 *1 (-299))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-607 *7)) (-4 *7 (-13 (-432 *6) (-23) (-1037 *2) (-1037 *5) (-895 *5) (-161))) (-5 *5 (-1161)) (-4 *6 (-1047)) (-4 *6 (-13 (-842) (-558) (-609 (-541)))) (-5 *2 (-568)) (-5 *1 (-1024 *6 *7))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1047)) (-5 *2 (-634 *1)) (-4 *1 (-1122 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-634 *7)) (-4 *7 (-950 *5 *8 (-852 *6))) (-4 *8 (-230 (-1699 *6) (-763))) (-4 *5 (-365)) (-14 *6 (-634 (-1161))) (-4 *10 (-641 *5)) (-4 *11 (-920 *5 *10)) (-5 *2 (-634 (-1244 *5))) (-5 *1 (-562 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-971 *5)) (-4 *3 (-235 *11))))) 
-(((*1 *1) (-12 (-4 *1 (-327 *2)) (-4 *2 (-370)) (-4 *2 (-365))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-558)) (-5 *2 (-634 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-419 *4))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-558)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-365) (-296) (-10 -8 (-15 -2319 ((-1113 *3 (-607 $)) $)) (-15 -2326 ((-1113 *3 (-607 $)) $)) (-15 -2747 ($ (-1113 *3 (-607 $))))))))) ((*1 *2 *2 *2) (-12 (-4 *3 (-558)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-365) (-296) (-10 -8 (-15 -2319 ((-1113 *3 (-607 $)) $)) (-15 -2326 ((-1113 *3 (-607 $)) $)) (-15 -2747 ($ (-1113 *3 (-607 $))))))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-13 (-365) (-296) (-10 -8 (-15 -2319 ((-1113 *4 (-607 $)) $)) (-15 -2326 ((-1113 *4 (-607 $)) $)) (-15 -2747 ($ (-1113 *4 (-607 $))))))) (-4 *4 (-558)) (-5 *1 (-46 *4 *2)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-634 (-607 *2))) (-4 *2 (-13 (-365) (-296) (-10 -8 (-15 -2319 ((-1113 *4 (-607 $)) $)) (-15 -2326 ((-1113 *4 (-607 $)) $)) (-15 -2747 ($ (-1113 *4 (-607 $))))))) (-4 *4 (-558)) (-5 *1 (-46 *4 *2))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-121)) (-5 *1 (-123))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1216 *5 *4)) (-4 *4 (-815)) (-14 *5 (-1161)) (-5 *2 (-634 *4)) (-5 *1 (-1104 *4 *5))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-763)) (-5 *3 (-944 *5)) (-4 *5 (-1047)) (-5 *1 (-1149 *4 *5)) (-14 *4 (-917)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-763))) (-5 *3 (-763)) (-5 *1 (-1149 *4 *5)) (-14 *4 (-917)) (-4 *5 (-1047)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-763))) (-5 *3 (-944 *5)) (-4 *5 (-1047)) (-5 *1 (-1149 *4 *5)) (-14 *4 (-917))))) 
-(((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-1173 *3 *4)) (-4 *3 (-1090)) (-4 *4 (-1090))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1244 *1)) (-5 *4 (-1 *5 *5)) (-4 *5 (-365)) (-4 *1 (-714 *5 *6)) (-4 *5 (-172)) (-4 *6 (-1219 *5)) (-5 *2 (-679 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-927))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-396)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-1176))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-869)))) ((*1 *2 *3) (-12 (-5 *3 (-944 *2)) (-5 *1 (-983 *2)) (-4 *2 (-1047))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 *7)) (-4 *7 (-842)) (-4 *5 (-904)) (-4 *6 (-788)) (-4 *8 (-950 *5 *6 *7)) (-5 *2 (-420 (-1157 *8))) (-5 *1 (-901 *5 *6 *7 *8)) (-5 *4 (-1157 *8)))) ((*1 *2 *3) (-12 (-4 *4 (-904)) (-4 *5 (-1219 *4)) (-5 *2 (-420 (-1157 *5))) (-5 *1 (-902 *4 *5)) (-5 *3 (-1157 *5))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1244 (-1244 (-568)))) (-5 *3 (-917)) (-5 *1 (-471))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-453) (-150))) (-5 *2 (-420 *3)) (-5 *1 (-103 *4 *3)) (-4 *3 (-1219 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-634 *3)) (-4 *3 (-1219 *5)) (-4 *5 (-13 (-453) (-150))) (-5 *2 (-420 *3)) (-5 *1 (-103 *5 *3))))) 
-(((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-169 (-215)) (-169 (-215)))) (-5 *4 (-1084 (-215))) (-5 *5 (-121)) (-5 *2 (-1246)) (-5 *1 (-250))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-381)) (-5 *2 (-215)) (-5 *1 (-299))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 *2)) (-5 *4 (-1 (-121) *2 *2)) (-5 *1 (-1196 *2)) (-4 *2 (-1090)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-1090)) (-4 *2 (-842)) (-5 *1 (-1196 *2))))) 
-(((*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-568)) (-5 *1 (-1045))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2910 *3) (|:| |coef1| (-777 *3)))) (-5 *1 (-777 *3)) (-4 *3 (-558)) (-4 *3 (-1047))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-763)) (-5 *1 (-446 *3)) (-4 *3 (-406)) (-4 *3 (-1047)))) ((*1 *2) (-12 (-5 *2 (-763)) (-5 *1 (-446 *3)) (-4 *3 (-406)) (-4 *3 (-1047))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-381)) (-5 *2 (-215)) (-5 *1 (-1247)))) ((*1 *2) (-12 (-5 *2 (-215)) (-5 *1 (-1247))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-277 *2)) (-4 *2 (-1195)) (-4 *2 (-1090)))) ((*1 *1 *1) (-12 (-4 *1 (-684 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-1173 *4 *5)) (-4 *4 (-1090)) (-4 *5 (-1090))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3))))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-1143)) (-5 *3 (-568)) (-5 *1 (-234)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-634 (-1143))) (-5 *3 (-568)) (-5 *4 (-1143)) (-5 *1 (-234)))) ((*1 *1 *1) (-5 *1 (-850))) ((*1 *1 *1 *2) (-12 (-5 *2 (-568)) (-5 *1 (-850)))) ((*1 *2 *1) (-12 (-4 *1 (-1221 *2 *3)) (-4 *3 (-787)) (-4 *2 (-1047))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-917)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-4 *2 (-1047)) (-5 *1 (-908 *2 *3 *5 *6)) (-4 *3 (-324 *2 *5))))) 
-(((*1 *2 *3 *4 *2 *5) (-12 (-5 *3 (-634 *8)) (-5 *4 (-634 (-887 *6))) (-5 *5 (-1 (-884 *6 *8) *8 (-887 *6) (-884 *6 *8))) (-4 *6 (-1090)) (-4 *8 (-13 (-1047) (-609 (-887 *6)) (-1037 *7))) (-5 *2 (-884 *6 *8)) (-4 *7 (-13 (-1047) (-842))) (-5 *1 (-942 *6 *7 *8))))) 
-(((*1 *2) (-12 (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *7 (-971 *3)) (-4 *8 (-641 *3)) (-4 *9 (-920 *3 *8)) (-4 *10 (-235 *9)) (-4 *11 (-536 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-634 *12)) (-5 *1 (-467 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) ((*1 *2) (-12 (-5 *2 (-634 (-259 (-537 *3 *4 *5)))) (-5 *1 (-867 *3 *4 *5)) (-4 *3 (-350)) (-14 *4 (-634 (-1161))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-634 (-259 (-513 *3 *4 *5)))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *5 (-117))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-215)) (-5 *5 (-568)) (-5 *2 (-1191 *3)) (-5 *1 (-785 *3)) (-4 *3 (-975)))) ((*1 *1 *2 *3 *4) (-12 (-5 *3 (-634 (-634 (-944 (-215))))) (-5 *4 (-121)) (-5 *1 (-1191 *2)) (-4 *2 (-975))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1 (-381))) (-5 *1 (-1039))))) 
-(((*1 *2) (-12 (-4 *1 (-350)) (-5 *2 (-3 "prime" "polynomial" "normal" "cyclic"))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-763)) (-4 *4 (-365)) (-4 *5 (-1219 *4)) (-5 *2 (-1249)) (-5 *1 (-45 *4 *5 *6 *7)) (-4 *6 (-1219 (-409 *5))) (-14 *7 *6)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -3030 (-409 (-568))) (|:| -3286 (-409 (-568))))) (-5 *2 (-409 (-568))) (-5 *1 (-1019 *4)) (-4 *4 (-1219 (-568)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-324 *2 *3)) (-4 *3 (-787)) (-4 *2 (-1047)) (-4 *2 (-453)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-1219 (-568))) (-5 *2 (-634 (-568))) (-5 *1 (-496 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-844 *2)) (-4 *2 (-1047)) (-4 *2 (-453)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-950 *3 *4 *2)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *2 (-842)) (-4 *3 (-453))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1087 *2)) (-4 *2 (-1090)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1087 *2)) (-4 *2 (-1090))))) 
-(((*1 *2 *2 *2) (-12 (-5 *1 (-160 *2)) (-4 *2 (-550))))) 
-(((*1 *2) (-12 (-5 *2 (-634 *3)) (-5 *1 (-1043 *3)) (-4 *3 (-365))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-550)) (-5 *1 (-160 *2))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-634 *1)) (-4 *1 (-1061 *4 *5 *6)) (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1061 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *2 (-121)))) ((*1 *2 *3 *1 *4) (-12 (-5 *4 (-1 (-121) *3 *3)) (-4 *1 (-1189 *5 *6 *7 *3)) (-4 *5 (-558)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-121))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-828 (-215))) (-5 *1 (-217))))) 
-(((*1 *2 *2 *2 *2 *3) (-12 (-4 *3 (-558)) (-5 *1 (-970 *3 *2)) (-4 *2 (-1219 *3))))) 
-(((*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-1143)) (-4 *6 (-453)) (-4 *7 (-788)) (-4 *8 (-842)) (-4 *4 (-1061 *6 *7 *8)) (-5 *2 (-1249)) (-5 *1 (-768 *6 *7 *8 *4 *5)) (-4 *5 (-1066 *6 *7 *8 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *2 (-121)) (-5 *1 (-978 *4 *5 *6 *3)) (-4 *3 (-1061 *4 *5 *6))))) 
-(((*1 *2 *2 *2) (|partial| -12 (-4 *3 (-13 (-558) (-150))) (-5 *1 (-1213 *3 *2)) (-4 *2 (-1219 *3))))) 
-(((*1 *1 *1 *1 *1) (-4 *1 (-550)))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-558)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -2910 *4))) (-5 *1 (-970 *4 *3)) (-4 *3 (-1219 *4))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-634 *2)) (-4 *2 (-950 *4 *5 *6)) (-4 *4 (-301)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-448 *4 *5 *6 *2))))) 
-(((*1 *1) (-5 *1 (-563)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-391)) (-5 *2 (-121))))) 
-(((*1 *1) (-12 (-5 *1 (-141 *2 *3 *4)) (-14 *2 (-568)) (-14 *3 (-763)) (-4 *4 (-172))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-568)) (-5 *1 (-850))))) 
-(((*1 *2) (-12 (-5 *2 (-1249)) (-5 *1 (-99))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-641 *4)) (-4 *3 (-920 *4 *8)) (-4 *9 (-235 *3)) (-4 *10 (-536 *4 *5 *6 *7 *2 *8 *3 *9 *12)) (-4 *12 (-117)) (-4 *2 (-971 *4)) (-5 *1 (-467 *4 *5 *6 *7 *2 *8 *3 *9 *10 *11 *12)) (-4 *11 (-258 *10)))) ((*1 *2 *3) (-12 (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-641 *4)) (-4 *2 (-971 *4)) (-5 *1 (-654 *4 *5 *6 *7 *2 *8 *3)) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *3 (-920 *4 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-922 *4)) (-4 *4 (-350)) (-5 *2 (-967 *4)) (-5 *1 (-867 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-921 *4)) (-4 *4 (-365)) (-5 *2 (-966 *4)) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-4 *6 (-117))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1195)) (-5 *1 (-377 *4 *2)) (-4 *2 (-13 (-375 *4) (-10 -7 (-6 -4522))))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1195)) (-4 *4 (-375 *3)) (-4 *5 (-375 *3)) (-5 *2 (-568)))) ((*1 *2 *1) (-12 (-4 *1 (-1050 *3 *4 *5 *6 *7)) (-4 *5 (-1047)) (-4 *6 (-230 *4 *5)) (-4 *7 (-230 *3 *5)) (-5 *2 (-568))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-1244 *4)) (-4 *4 (-630 (-568))) (-5 *2 (-1244 (-568))) (-5 *1 (-1269 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1259 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047)) (-5 *2 (-814 *3)))) ((*1 *2 *1) (-12 (-4 *2 (-838)) (-5 *1 (-1265 *3 *2)) (-4 *3 (-1047))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1134 *3)) (-4 *3 (-1195)) (-5 *2 (-121))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-409 *5)) (-4 *4 (-1199)) (-4 *5 (-1219 *4)) (-5 *1 (-151 *4 *5 *2)) (-4 *2 (-1219 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1163 (-409 (-568)))) (-5 *2 (-409 (-568))) (-5 *1 (-182)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-679 (-310 (-215)))) (-5 *3 (-634 (-1161))) (-5 *4 (-1244 (-310 (-215)))) (-5 *1 (-197)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-288 *3))) (-4 *3 (-303 *3)) (-4 *3 (-1090)) (-4 *3 (-1195)) (-5 *1 (-288 *3)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-303 *2)) (-4 *2 (-1090)) (-4 *2 (-1195)) (-5 *1 (-288 *2)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *1 *1)) (-4 *1 (-296)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *1 (-634 *1))) (-4 *1 (-296)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-123))) (-5 *3 (-634 (-1 *1 (-634 *1)))) (-4 *1 (-296)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-123))) (-5 *3 (-634 (-1 *1 *1))) (-4 *1 (-296)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1 *1 *1)) (-4 *1 (-296)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1161)) (-5 *3 (-1 *1 (-634 *1))) (-4 *1 (-296)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-1161))) (-5 *3 (-634 (-1 *1 (-634 *1)))) (-4 *1 (-296)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 (-1161))) (-5 *3 (-634 (-1 *1 *1))) (-4 *1 (-296)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-288 *3))) (-4 *1 (-303 *3)) (-4 *3 (-1090)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-288 *3)) (-4 *1 (-303 *3)) (-4 *3 (-1090)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-568))) (-5 *4 (-1163 (-409 (-568)))) (-5 *1 (-304 *2)) (-4 *2 (-43 (-409 (-568)))))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 *4)) (-5 *3 (-634 *1)) (-4 *1 (-376 *4 *5)) (-4 *4 (-842)) (-4 *5 (-172)))) ((*1 *1 *1 *2 *1) (-12 (-4 *1 (-376 *2 *3)) (-4 *2 (-842)) (-4 *3 (-172)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1161)) (-5 *3 (-763)) (-5 *4 (-1 *1 *1)) (-4 *1 (-432 *5)) (-4 *5 (-842)) (-4 *5 (-1047)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1161)) (-5 *3 (-763)) (-5 *4 (-1 *1 (-634 *1))) (-4 *1 (-432 *5)) (-4 *5 (-842)) (-4 *5 (-1047)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-634 (-1161))) (-5 *3 (-634 (-763))) (-5 *4 (-634 (-1 *1 (-634 *1)))) (-4 *1 (-432 *5)) (-4 *5 (-842)) (-4 *5 (-1047)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-634 (-1161))) (-5 *3 (-634 (-763))) (-5 *4 (-634 (-1 *1 *1))) (-4 *1 (-432 *5)) (-4 *5 (-842)) (-4 *5 (-1047)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-634 (-123))) (-5 *3 (-634 *1)) (-5 *4 (-1161)) (-4 *1 (-432 *5)) (-4 *5 (-842)) (-4 *5 (-609 (-541))))) ((*1 *1 *1 *2 *1 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1161)) (-4 *1 (-432 *4)) (-4 *4 (-842)) (-4 *4 (-609 (-541))))) ((*1 *1 *1) (-12 (-4 *1 (-432 *2)) (-4 *2 (-842)) (-4 *2 (-609 (-541))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-634 (-1161))) (-4 *1 (-432 *3)) (-4 *3 (-842)) (-4 *3 (-609 (-541))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1161)) (-4 *1 (-432 *3)) (-4 *3 (-842)) (-4 *3 (-609 (-541))))) ((*1 *2 *3 *4) (-12 (-14 *5 (-634 (-1161))) (-4 *3 (-950 *2 *6 (-852 *5))) (-4 *6 (-230 (-1699 *5) (-763))) (-4 *7 (-971 *2)) (-4 *8 (-641 *2)) (-4 *4 (-920 *2 *8)) (-4 *9 (-235 *4)) (-4 *10 (-536 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-365)) (-5 *1 (-467 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-258 *10)))) ((*1 *2 *3 *3 *4) (-12 (-14 *5 (-634 (-1161))) (-4 *3 (-950 *2 *6 (-852 *5))) (-4 *6 (-230 (-1699 *5) (-763))) (-4 *7 (-971 *2)) (-4 *8 (-641 *2)) (-4 *4 (-920 *2 *8)) (-4 *9 (-235 *4)) (-4 *10 (-536 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-365)) (-5 *1 (-467 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-258 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-409 *6)) (-4 *6 (-950 *2 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-14 *5 (-634 (-1161))) (-4 *8 (-971 *2)) (-4 *9 (-641 *2)) (-4 *4 (-920 *2 *9)) (-4 *10 (-235 *4)) (-4 *11 (-536 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-117)) (-4 *2 (-365)) (-5 *1 (-467 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-258 *11)))) ((*1 *1 *1 *2 *3) (-12 (-4 *1 (-523 *2 *3)) (-4 *2 (-1090)) (-4 *3 (-1195)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-634 *4)) (-5 *3 (-634 *5)) (-4 *1 (-523 *4 *5)) (-4 *4 (-1090)) (-4 *5 (-1195)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-828 *3)) (-4 *3 (-365)) (-5 *1 (-708 *3)))) ((*1 *2 *1 *2) (-12 (-5 *1 (-708 *2)) (-4 *2 (-365)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-242 *5 *2)) (-5 *4 (-922 *2)) (-14 *5 (-634 (-1161))) (-4 *2 (-350)) (-5 *1 (-867 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-242 *5 *2)) (-5 *4 (-922 *2)) (-14 *5 (-634 (-1161))) (-4 *2 (-350)) (-5 *1 (-867 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-409 (-242 *5 *2))) (-5 *4 (-922 *2)) (-14 *5 (-634 (-1161))) (-4 *2 (-350)) (-5 *1 (-867 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-242 *5 *2)) (-5 *4 (-921 *2)) (-14 *5 (-634 (-1161))) (-4 *2 (-365)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-242 *5 *2)) (-5 *4 (-921 *2)) (-14 *5 (-634 (-1161))) (-4 *2 (-365)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-409 (-242 *5 *2))) (-5 *4 (-921 *2)) (-14 *5 (-634 (-1161))) (-4 *2 (-365)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-898 *2)) (-4 *2 (-1090)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-4 *2 (-365)) (-5 *1 (-929 *2 *3 *5 *6 *4)) (-4 *3 (-324 *2 *5)) (-4 *4 (-971 *2)))) ((*1 *2 *2 *3 *2) (-12 (-5 *2 (-409 (-953 *4))) (-5 *3 (-1161)) (-4 *4 (-558)) (-5 *1 (-1042 *4)))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-634 (-1161))) (-5 *4 (-634 (-409 (-953 *5)))) (-5 *2 (-409 (-953 *5))) (-4 *5 (-558)) (-5 *1 (-1042 *5)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-288 (-409 (-953 *4)))) (-5 *2 (-409 (-953 *4))) (-4 *4 (-558)) (-5 *1 (-1042 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-634 (-288 (-409 (-953 *4))))) (-5 *2 (-409 (-953 *4))) (-4 *4 (-558)) (-5 *1 (-1042 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-1221 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-787)) (|has| *3 (-15 ** (*3 *3 *4))) (-5 *2 (-1141 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-365)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-4 *1 (-37 *4)) (-4 *4 (-365)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-166 *3)) (-4 *3 (-172)) (-4 *3 (-550)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-420 *3)) (-4 *3 (-550)) (-4 *3 (-558)))) ((*1 *2 *1) (-12 (-4 *1 (-550)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-792 *3)) (-4 *3 (-172)) (-4 *3 (-550)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-828 *3)) (-4 *3 (-550)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-835 *3)) (-4 *3 (-550)) (-4 *3 (-1090)))) ((*1 *2 *1) (-12 (-4 *1 (-971 *3)) (-4 *3 (-365)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-763)) (-4 *1 (-971 *4)) (-4 *4 (-365)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-997 *3)) (-4 *3 (-172)) (-4 *3 (-550)) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-1008 *3)) (-4 *3 (-1037 (-409 (-568))))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-989 *4 *5 *6 *7 *3)) (-4 *3 (-1066 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-453)) (-4 *5 (-788)) (-4 *6 (-842)) (-4 *7 (-1061 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1097 *4 *5 *6 *7 *3)) (-4 *3 (-1066 *4 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1210 *3)) (-4 *3 (-1195))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1259 *3 *4)) (-4 *3 (-842)) (-4 *4 (-1047)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1265 *3 *4)) (-4 *3 (-1047)) (-4 *4 (-838))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-763)) (-4 *4 (-558)) (-5 *1 (-970 *4 *2)) (-4 *2 (-1219 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-53))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-53))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-482)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-13 (-350) (-609 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-484 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-568)))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-365)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-842) (-558))) (-14 *8 (-1 *4 *7)) (-5 *2 (-634 (-2 (|:| -1866 *6) (|:| -1844 (-763))))) (-5 *1 (-486 *4 *5 *6 *7 *8 *9)) (-4 *5 (-453)) (-4 *6 (-13 (-432 (-568)) (-558) (-1037 *7) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 *5)) (-5 *4 (-634 (-465))) (-4 *5 (-365)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-842) (-558))) (-14 *9 (-1 *5 *8)) (-5 *2 (-634 (-2 (|:| -1866 *7) (|:| -1844 (-763))))) (-5 *1 (-486 *5 *6 *7 *8 *9 *10)) (-4 *6 (-453)) (-4 *7 (-13 (-432 (-568)) (-558) (-1037 *8) (-1037 (-1161)) (-1037 (-568)) (-161) (-895 (-1161)) (-10 -8 (-15 * ($ $ $)) (-15 -1781 ($ $ $)) (-15 ** ($ $ $)) (-15 -3539 ($ $)) (-15 -3210 ($ $)) (-15 -2088 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-953 (-568))))) (-5 *4 (-634 (-465))) (-5 *2 (-634 (-2 (|:| -1866 (-310 (-568))) (|:| -1844 (-763))))) (-5 *1 (-487)))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-409 (-734 *4 (-568))))) (-14 *4 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *4 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-409 (-734 *5 (-568))))) (-5 *4 (-634 (-465))) (-14 *5 (-1161)) (-5 *2 (-634 (-2 (|:| -1866 (-733 *5 (-568))) (|:| -1844 (-763))))) (-5 *1 (-488 *5))))) 
-(((*1 *2 *1 *2) (-12 (-4 *1 (-536 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-365)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *2 (-971 *3)) (-4 *7 (-641 *3)) (-4 *8 (-920 *3 *7)) (-4 *9 (-235 *8)) (-4 *10 (-117))))) 
-(((*1 *1) (-5 *1 (-147)))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3))))) 
-(((*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -3286 *6) (|:| |sol?| (-121))) (-568) *6)) (-4 *6 (-365)) (-4 *7 (-1219 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-409 *7)) (|:| |a0| *6)) (-2 (|:| -4151 (-409 *7)) (|:| |coeff| (-409 *7))) "failed")) (-5 *1 (-578 *6 *7)) (-5 *3 (-409 *7))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-443 *3)) (-4 *3 (-1219 (-568)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-679 *8)) (-4 *8 (-950 *5 *7 *6)) (-4 *5 (-13 (-301) (-150))) (-4 *6 (-13 (-842) (-609 (-1161)))) (-4 *7 (-788)) (-5 *2 (-634 (-2 (|:| |eqzro| (-634 *8)) (|:| |neqzro| (-634 *8)) (|:| |wcond| (-634 (-953 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 *5)))) (|:| -2588 (-634 (-1244 (-409 (-953 *5)))))))))) (-5 *1 (-924 *5 *6 *7 *8)) (-5 *4 (-634 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-679 *8)) (-5 *4 (-634 (-1161))) (-4 *8 (-950 *5 *7 *6)) (-4 *5 (-13 (-301) (-150))) (-4 *6 (-13 (-842) (-609 (-1161)))) (-4 *7 (-788)) (-5 *2 (-634 (-2 (|:| |eqzro| (-634 *8)) (|:| |neqzro| (-634 *8)) (|:| |wcond| (-634 (-953 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 *5)))) (|:| -2588 (-634 (-1244 (-409 (-953 *5)))))))))) (-5 *1 (-924 *5 *6 *7 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-679 *7)) (-4 *7 (-950 *4 *6 *5)) (-4 *4 (-13 (-301) (-150))) (-4 *5 (-13 (-842) (-609 (-1161)))) (-4 *6 (-788)) (-5 *2 (-634 (-2 (|:| |eqzro| (-634 *7)) (|:| |neqzro| (-634 *7)) (|:| |wcond| (-634 (-953 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 *4)))) (|:| -2588 (-634 (-1244 (-409 (-953 *4)))))))))) (-5 *1 (-924 *4 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-679 *9)) (-5 *5 (-917)) (-4 *9 (-950 *6 *8 *7)) (-4 *6 (-13 (-301) (-150))) (-4 *7 (-13 (-842) (-609 (-1161)))) (-4 *8 (-788)) (-5 *2 (-634 (-2 (|:| |eqzro| (-634 *9)) (|:| |neqzro| (-634 *9)) (|:| |wcond| (-634 (-953 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 *6)))) (|:| -2588 (-634 (-1244 (-409 (-953 *6)))))))))) (-5 *1 (-924 *6 *7 *8 *9)) (-5 *4 (-634 *9)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-679 *9)) (-5 *4 (-634 (-1161))) (-5 *5 (-917)) (-4 *9 (-950 *6 *8 *7)) (-4 *6 (-13 (-301) (-150))) (-4 *7 (-13 (-842) (-609 (-1161)))) (-4 *8 (-788)) (-5 *2 (-634 (-2 (|:| |eqzro| (-634 *9)) (|:| |neqzro| (-634 *9)) (|:| |wcond| (-634 (-953 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 *6)))) (|:| -2588 (-634 (-1244 (-409 (-953 *6)))))))))) (-5 *1 (-924 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-679 *8)) (-5 *4 (-917)) (-4 *8 (-950 *5 *7 *6)) (-4 *5 (-13 (-301) (-150))) (-4 *6 (-13 (-842) (-609 (-1161)))) (-4 *7 (-788)) (-5 *2 (-634 (-2 (|:| |eqzro| (-634 *8)) (|:| |neqzro| (-634 *8)) (|:| |wcond| (-634 (-953 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1244 (-409 (-953 *5)))) (|:| -2588 (-634 (-1244 (-409 (-953 *5)))))))))) (-5 *1 (-924 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-679 *9)) (-5 *4 (-634 *9)) (-5 *5 (-1143)) (-4 *9 (-950 *6 *8 *7)) (-4 *6 (-13 (-301) (-150))) (-4 *7 (-13 (-842) (-609 (-1161)))) (-4 *8 (-788)) (-5 *2 (-568)) (-5 *1 (-924 *6 *7 *8 *9)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-679 *9)) (-5 *4 (-634 (-1161))) (-5 *5 (-1143)) (-4 *9 (-950 *6 *8 *7)) (-4 *6 (-13 (-301) (-150))) (-4 *7 (-13 (-842) (-609 (-1161)))) (-4 *8 (-788)) (-5 *2 (-568)) (-5 *1 (-924 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-679 *8)) (-5 *4 (-1143)) (-4 *8 (-950 *5 *7 *6)) (-4 *5 (-13 (-301) (-150))) (-4 *6 (-13 (-842) (-609 (-1161)))) (-4 *7 (-788)) (-5 *2 (-568)) (-5 *1 (-924 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-679 *10)) (-5 *4 (-634 *10)) (-5 *5 (-917)) (-5 *6 (-1143)) (-4 *10 (-950 *7 *9 *8)) (-4 *7 (-13 (-301) (-150))) (-4 *8 (-13 (-842) (-609 (-1161)))) (-4 *9 (-788)) (-5 *2 (-568)) (-5 *1 (-924 *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-679 *10)) (-5 *4 (-634 (-1161))) (-5 *5 (-917)) (-5 *6 (-1143)) (-4 *10 (-950 *7 *9 *8)) (-4 *7 (-13 (-301) (-150))) (-4 *8 (-13 (-842) (-609 (-1161)))) (-4 *9 (-788)) (-5 *2 (-568)) (-5 *1 (-924 *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-679 *9)) (-5 *4 (-917)) (-5 *5 (-1143)) (-4 *9 (-950 *6 *8 *7)) (-4 *6 (-13 (-301) (-150))) (-4 *7 (-13 (-842) (-609 (-1161)))) (-4 *8 (-788)) (-5 *2 (-568)) (-5 *1 (-924 *6 *7 *8 *9))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-4 *3 (-1061 *5 *6 *7)) (-5 *2 (-634 *4)) (-5 *1 (-1067 *5 *6 *7 *3 *4)) (-4 *4 (-1066 *5 *6 *7 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-634 *6)) (-4 *6 (-1061 *3 *4 *5)) (-4 *3 (-453)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-5 *1 (-978 *3 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-634 *7)) (-5 *3 (-121)) (-4 *7 (-1061 *4 *5 *6)) (-4 *4 (-453)) (-4 *4 (-558)) (-4 *5 (-788)) (-4 *6 (-842)) (-5 *1 (-978 *4 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-375 *3)) (-4 *3 (-1195)) (-4 *3 (-842)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *1 (-375 *4)) (-4 *4 (-1195)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-121)) (-4 *6 (-13 (-453) (-842) (-1037 (-568)) (-630 (-568)))) (-4 *3 (-13 (-27) (-1181) (-432 *6) (-10 -8 (-15 -2747 ($ *7))))) (-4 *7 (-840)) (-4 *8 (-13 (-1221 *3 *7) (-365) (-1181) (-10 -8 (-15 -4191 ($ $)) (-15 -1845 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1143)) (|:| |prob| (-1143)))))) (-5 *1 (-424 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1143)) (-4 *9 (-984 *8)) (-14 *10 (-1161))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-920 *3 *4)) (-4 *3 (-365)) (-4 *4 (-641 *3)) (-5 *2 (-634 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 *4)) (-4 *4 (-1047)) (-5 *2 (-1244 *4)) (-5 *1 (-1162 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-917)) (-5 *2 (-1244 *3)) (-5 *1 (-1162 *3)) (-4 *3 (-1047))))) 
-(((*1 *2) (-12 (-5 *2 (-917)) (-5 *1 (-1247)))) ((*1 *2 *2) (-12 (-5 *2 (-917)) (-5 *1 (-1247))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-381)) (-5 *1 (-1246)))) ((*1 *2) (-12 (-5 *2 (-381)) (-5 *1 (-1246))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-568))) (-5 *2 (-568)) (-5 *1 (-496 *4)) (-4 *4 (-1219 *2))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-381)) (-5 *2 (-1249)) (-5 *1 (-1246))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-1141 *3))) (-5 *2 (-1141 *3)) (-5 *1 (-1145 *3)) (-4 *3 (-43 (-409 (-568)))) (-4 *3 (-1047))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1189 *3 *4 *5 *2)) (-4 *3 (-558)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *2 (-1061 *3 *4 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-817))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-634 (-944 *4))) (-4 *1 (-1122 *4)) (-4 *4 (-1047)) (-5 *2 (-763))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-568)) (-4 *4 (-1047)) (-4 *5 (-230 *6 (-763))) (-14 *6 (-763)) (-5 *1 (-908 *4 *2 *5 *6)) (-4 *2 (-324 *4 *5))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-646 *2)) (-4 *2 (-1047)) (-4 *2 (-365)))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-365)) (-5 *1 (-649 *4 *2)) (-4 *2 (-646 *4))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-844 *2)) (-4 *2 (-1047)) (-4 *2 (-365))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-844 *2)) (-4 *2 (-1047)) (-4 *2 (-365))))) 
-(((*1 *2 *3 *4 *5 *4 *4 *4) (-12 (-4 *6 (-842)) (-5 *3 (-634 *6)) (-5 *5 (-634 *3)) (-5 *2 (-2 (|:| |f1| *3) (|:| |f2| (-634 *5)) (|:| |f3| *5) (|:| |f4| (-634 *5)))) (-5 *1 (-1167 *6)) (-5 *4 (-634 *5))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-634 (-568))) (-5 *1 (-447)) (-5 *3 (-568))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-1157 *3)) (-4 *3 (-350)) (-5 *1 (-358 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-763)) (-5 *1 (-1149 *3 *4)) (-14 *3 (-917)) (-4 *4 (-1047))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1141 *3)) (-4 *3 (-1047)) (-5 *1 (-1145 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1201 *2)) (-4 *2 (-1047)))) ((*1 *1 *1) (-12 (-5 *1 (-1235 *2 *3 *4)) (-4 *2 (-1047)) (-14 *3 (-1161)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1239 *2 *3)) (-4 *2 (-1047)) (-14 *3 (-1161))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1061 *2 *3 *4)) (-4 *2 (-1047)) (-4 *3 (-788)) (-4 *4 (-842))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-594 *3)) (-4 *3 (-1047)))) ((*1 *2 *1) (-12 (-4 *1 (-974 *3 *4 *5)) (-4 *3 (-1047)) (-4 *4 (-787)) (-4 *5 (-842)) (-5 *2 (-121))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1157 *1)) (-5 *3 (-1161)) (-4 *1 (-858)))) ((*1 *1 *2 *1 *3) (-12 (-5 *2 (-1157 *1)) (-5 *3 (-1161)) (-4 *1 (-858)))) ((*1 *1 *2 *2 *3 *1 *4) (-12 (-5 *2 (-1157 (-860))) (-5 *3 (-917)) (-5 *4 (-1161)) (-5 *1 (-860))))) 
-(((*1 *2 *1 *3) (-12 (-5 *2 (-634 (-1143))) (-5 *1 (-1059)) (-5 *3 (-1143))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-634 (-953 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-1044 *5 *6))) (-5 *1 (-1268 *5 *6 *7)) (-14 *6 (-634 (-1161))) (-14 *7 (-634 (-1161))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-953 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-1044 *5 *6))) (-5 *1 (-1268 *5 *6 *7)) (-14 *6 (-634 (-1161))) (-14 *7 (-634 (-1161))))) ((*1 *2 *3) (-12 (-5 *3 (-634 (-953 *4))) (-4 *4 (-13 (-840) (-301) (-150) (-1021))) (-5 *2 (-634 (-1044 *4 *5))) (-5 *1 (-1268 *4 *5 *6)) (-14 *5 (-634 (-1161))) (-14 *6 (-634 (-1161)))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-568)) (-5 *2 (-1249)) (-5 *1 (-899 *4)) (-4 *4 (-1090)))) ((*1 *2 *1) (-12 (-5 *2 (-1249)) (-5 *1 (-899 *3)) (-4 *3 (-1090))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-5 *2 (-2 (|:| A (-679 *5)) (|:| |eqs| (-634 (-2 (|:| C (-679 *5)) (|:| |g| (-1244 *5)) (|:| -2410 *6) (|:| |rh| *5)))))) (-5 *1 (-808 *5 *6)) (-5 *3 (-679 *5)) (-5 *4 (-1244 *5)) (-4 *6 (-646 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-365)) (-4 *6 (-646 *5)) (-5 *2 (-2 (|:| -2908 (-679 *6)) (|:| |vec| (-1244 *5)))) (-5 *1 (-808 *5 *6)) (-5 *3 (-679 *6)) (-5 *4 (-1244 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-917)) (-4 *4 (-370)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-235 *10)) (-4 *12 (-536 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-568)) (-5 *1 (-467 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-258 *12)))) ((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-568)) (-5 *1 (-867 *4 *5 *6)) (-4 (-857 *4) (-370)) (-4 *4 (-350)) (-14 *5 (-634 (-1161))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-917)) (-5 *2 (-568)) (-5 *1 (-868 *4 *5 *6)) (-4 *4 (-370)) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-117))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-679 *2)) (-4 *2 (-172)) (-5 *1 (-149 *2)))) ((*1 *2 *3) (-12 (-4 *4 (-172)) (-4 *2 (-1219 *4)) (-5 *1 (-175 *4 *2 *3)) (-4 *3 (-714 *4 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-679 (-409 (-953 *5)))) (-5 *4 (-1161)) (-5 *2 (-953 *5)) (-5 *1 (-286 *5)) (-4 *5 (-453)))) ((*1 *2 *3) (-12 (-5 *3 (-679 (-409 (-953 *4)))) (-5 *2 (-953 *4)) (-5 *1 (-286 *4)) (-4 *4 (-453)))) ((*1 *2 *1) (-12 (-4 *1 (-372 *3 *2)) (-4 *3 (-172)) (-4 *2 (-1219 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-679 (-169 (-409 (-568))))) (-5 *2 (-953 (-169 (-409 (-568))))) (-5 *1 (-756 *4)) (-4 *4 (-13 (-365) (-840))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-679 (-169 (-409 (-568))))) (-5 *4 (-1161)) (-5 *2 (-953 (-169 (-409 (-568))))) (-5 *1 (-756 *5)) (-4 *5 (-13 (-365) (-840))))) ((*1 *2 *3) (-12 (-5 *3 (-679 (-409 (-568)))) (-5 *2 (-953 (-409 (-568)))) (-5 *1 (-773 *4)) (-4 *4 (-13 (-365) (-840))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-679 (-409 (-568)))) (-5 *4 (-1161)) (-5 *2 (-953 (-409 (-568)))) (-5 *1 (-773 *5)) (-4 *5 (-13 (-365) (-840)))))) 
-(((*1 *2) (-12 (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-1249)) (-5 *1 (-989 *3 *4 *5 *6 *7)) (-4 *7 (-1066 *3 *4 *5 *6)))) ((*1 *2) (-12 (-4 *3 (-453)) (-4 *4 (-788)) (-4 *5 (-842)) (-4 *6 (-1061 *3 *4 *5)) (-5 *2 (-1249)) (-5 *1 (-1097 *3 *4 *5 *6 *7)) (-4 *7 (-1066 *3 *4 *5 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-679 *5))) (-5 *4 (-1244 *5)) (-4 *5 (-301)) (-4 *5 (-1047)) (-5 *2 (-679 *5)) (-5 *1 (-1029 *5))))) 
-(((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-568)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1195)) (-4 *4 (-375 *2)) (-4 *5 (-375 *2)))) ((*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4522)) (-4 *1 (-283 *3 *2)) (-4 *3 (-1090)) (-4 *2 (-1195))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-593 *2)) (-4 *2 (-43 (-409 (-568)))) (-4 *2 (-1047))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-121) *6 *6)) (-4 *6 (-842)) (-5 *4 (-634 *6)) (-5 *2 (-2 (|:| |fs| (-121)) (|:| |sd| *4) (|:| |td| (-634 *4)))) (-5 *1 (-1167 *6)) (-5 *5 (-634 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-944 *3)) (-4 *3 (-13 (-365) (-1181) (-1002))) (-5 *1 (-174 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-1249)) (-5 *1 (-582))))) 
-(((*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-634 (-607 *2))) (-5 *4 (-1161)) (-4 *2 (-13 (-27) (-1181) (-432 *5))) (-4 *5 (-13 (-558) (-842) (-1037 (-568)) (-630 (-568)))) (-5 *1 (-273 *5 *2))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-788)) (-4 *3 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $))))) (-4 *5 (-558)) (-5 *1 (-722 *4 *3 *5 *2)) (-4 *2 (-950 (-409 (-953 *5)) *4 *3)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-1047)) (-4 *5 (-788)) (-4 *3 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $)) (-15 -3325 ((-3 $ "failed") (-1161)))))) (-5 *1 (-985 *4 *5 *3 *2)) (-4 *2 (-950 (-953 *4) *5 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-634 *6)) (-4 *6 (-13 (-842) (-10 -8 (-15 -4280 ((-1161) $)) (-15 -3325 ((-3 $ "failed") (-1161)))))) (-4 *4 (-1047)) (-4 *5 (-788)) (-5 *1 (-985 *4 *5 *6 *2)) (-4 *2 (-950 (-953 *4) *5 *6))))) 
-(((*1 *1 *1 *2) (|partial| -12 (-5 *2 (-917)) (-5 *1 (-1091 *3 *4)) (-14 *3 *2) (-14 *4 *2)))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-13 (-301) (-842) (-150) (-1037 (-568)) (-630 (-568)))) (-5 *2 (-585 *3)) (-5 *1 (-428 *5 *3)) (-4 *3 (-13 (-1181) (-29 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1161)) (-4 *5 (-13 (-558) (-1037 (-568)) (-150))) (-5 *2 (-585 (-409 (-953 *5)))) (-5 *1 (-574 *5)) (-5 *3 (-409 (-953 *5)))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-646 *2)) (-4 *2 (-1047)) (-4 *2 (-365))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-139))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-842) (-558))) (-5 *1 (-272 *3 *2)) (-4 *2 (-13 (-432 *3) (-1002)))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1161)) (-4 *4 (-13 (-842) (-301) (-1037 (-568)) (-630 (-568)) (-150))) (-5 *1 (-799 *4 *2)) (-4 *2 (-13 (-29 *4) (-1181) (-959)))))) 
-(((*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-634 (-679 *6))) (-5 *4 (-121)) (-5 *5 (-568)) (-5 *2 (-679 *6)) (-5 *1 (-1029 *6)) (-4 *6 (-365)) (-4 *6 (-1047)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-634 (-679 *4))) (-5 *2 (-679 *4)) (-5 *1 (-1029 *4)) (-4 *4 (-365)) (-4 *4 (-1047)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-634 (-679 *5))) (-5 *4 (-568)) (-5 *2 (-679 *5)) (-5 *1 (-1029 *5)) (-4 *5 (-365)) (-4 *5 (-1047))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-643 (-409 *6))) (-5 *4 (-409 *6)) (-4 *6 (-1219 *5)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2588 (-634 *4)))) (-5 *1 (-805 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-643 (-409 *6))) (-4 *6 (-1219 *5)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-5 *2 (-2 (|:| -2588 (-634 (-409 *6))) (|:| -2908 (-679 *5)))) (-5 *1 (-805 *5 *6)) (-5 *4 (-634 (-409 *6))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-644 *6 (-409 *6))) (-5 *4 (-409 *6)) (-4 *6 (-1219 *5)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2588 (-634 *4)))) (-5 *1 (-805 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-644 *6 (-409 *6))) (-4 *6 (-1219 *5)) (-4 *5 (-13 (-365) (-150) (-1037 (-568)) (-1037 (-409 (-568))))) (-5 *2 (-2 (|:| -2588 (-634 (-409 *6))) (|:| -2908 (-679 *5)))) (-5 *1 (-805 *5 *6)) (-5 *4 (-634 (-409 *6)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-634 (-121))) (-4 *4 (-365)) (-14 *5 (-634 (-1161))) (-4 *6 (-950 *4 *7 (-852 *5))) (-4 *7 (-230 (-1699 *5) (-763))) (-4 *8 (-971 *4)) (-4 *9 (-641 *4)) (-4 *10 (-920 *4 *9)) (-4 *11 (-235 *10)) (-4 *12 (-536 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1249)) (-5 *1 (-467 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-258 *12)))) ((*1 *2) (-12 (-4 *1 (-641 *3)) (-4 *3 (-365)) (-5 *2 (-121)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *1 (-641 *3)) (-4 *3 (-365)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *8 (-641 *3)) (-5 *1 (-654 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *7 (-971 *3)) (-4 *9 (-920 *3 *8)))) ((*1 *2) (-12 (-4 *3 (-365)) (-14 *4 (-634 (-1161))) (-4 *6 (-230 (-1699 *4) (-763))) (-4 *8 (-641 *3)) (-5 *2 (-121)) (-5 *1 (-654 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-950 *3 *6 (-852 *4))) (-4 *7 (-971 *3)) (-4 *9 (-920 *3 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-2 (|:| |val| (-634 *8)) (|:| -3145 *9)))) (-5 *4 (-763)) (-4 *8 (-1061 *5 *6 *7)) (-4 *9 (-1066 *5 *6 *7 *8)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-1249)) (-5 *1 (-1064 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-634 (-2 (|:| |val| (-634 *8)) (|:| -3145 *9)))) (-5 *4 (-763)) (-4 *8 (-1061 *5 *6 *7)) (-4 *9 (-1099 *5 *6 *7 *8)) (-4 *5 (-453)) (-4 *6 (-788)) (-4 *7 (-842)) (-5 *2 (-1249)) (-5 *1 (-1130 *5 *6 *7 *8 *9))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1143)) (-5 *2 (-381)) (-5 *1 (-781))))) 
-((-1276 . 830515) (-1277 . 829073) (-1278 . 828100) (-1279 . 827698) (-1280 . 827534) (-1281 . 827431) (-1282 . 827382) (-1283 . 827311) (-1284 . 826980) (-1285 . 826884) (-1286 . 826286) (-1287 . 826091) (-1288 . 826022) (-1289 . 825927) (-1290 . 825737) (-1291 . 825653) (-1292 . 825432) (-1293 . 825295) (-1294 . 824971) (-1295 . 823942) (-1296 . 823268) (-1297 . 822858) (-1298 . 822696) (-1299 . 822087) (-1300 . 822007) (-1301 . 821757) (-1302 . 821582) (-1303 . 821489) (-1304 . 821196) (-1305 . 821105) (-1306 . 821021) (-1307 . 820947) (-1308 . 820739) (-1309 . 820665) (-1310 . 820591) (-1311 . 820419) (-1312 . 820274) (-1313 . 820174) (-1314 . 820121) (-1315 . 819905) (-1316 . 819774) (-1317 . 819702) (-1318 . 819606) (-1319 . 819506) (-1320 . 819406) (-1321 . 819221) (-1322 . 819127) (-1323 . 818676) (-1324 . 818493) (-1325 . 818174) (-1326 . 818002) (-1327 . 814264) (-1328 . 814189) (-1329 . 813871) (-1330 . 813792) (-1331 . 813764) (-1332 . 813526) (-1333 . 811089) (-1334 . 810991) (-1335 . 810814) (-1336 . 810742) (-1337 . 810408) (-1338 . 809477) (-1339 . 803645) (-1340 . 803573) (-1341 . 803408) (-1342 . 803293) (-1343 . 803058) (-1344 . 802926) (-1345 . 802114) (-1346 . 802065) (-1347 . 802013) (-1348 . 801923) (-1349 . 801871) (-1350 . 801843) (-1351 . 801704) (-1352 . 801579) (-1353 . 801542) (-1354 . 801438) (-1355 . 801304) (-1356 . 801113) (-1357 . 801027) (-1358 . 800968) (-1359 . 800567) (-1360 . 800491) (-1361 . 800420) (-1362 . 800362) (-1363 . 800245) (-1364 . 799881) (-1365 . 799730) (-1366 . 799579) (-1367 . 799526) (-1368 . 799440) (-1369 . 799367) (-1370 . 799147) (-1371 . 798533) (-1372 . 798267) (-1373 . 798122) (-1374 . 797802) (-1375 . 797726) (-1376 . 797618) (-1377 . 797493) (-1378 . 797378) (-1379 . 797212) (-1380 . 797086) (-1381 . 797024) (-1382 . 796833) (-1383 . 796766) (-1384 . 796625) (-1385 . 796388) (-1386 . 796302) (-1387 . 795999) (-1388 . 795876) (-1389 . 795752) (-1390 . 795700) (-1391 . 795549) (-1392 . 795460) (-1393 . 795110) (-1394 . 794991) (-1395 . 794920) (-1396 . 794069) (-1397 . 793976) (-1398 . 793909) (-1399 . 793617) (-1400 . 793542) (-1401 . 793291) (-1402 . 793088) (-1403 . 792843) (-1404 . 792793) (-1405 . 792704) (-1406 . 792632) (-1407 . 792145) (-1408 . 792065) (-1409 . 791964) (-1410 . 791872) (-1411 . 791788) (-1412 . 791586) (-1413 . 791380) (-1414 . 791230) (-1415 . 791141) (-1416 . 791048) (-1417 . 790950) (-1418 . 790826) (-1419 . 790265) (-1420 . 790133) (-1421 . 790016) (-1422 . 789815) (-1423 . 789739) (-1424 . 789672) (-1425 . 789485) (-1426 . 789433) (-1427 . 789323) (-1428 . 789256) (-1429 . 789163) (-1430 . 789088) (-1431 . 788885) (-1432 . 788757) (-1433 . 788686) (-1434 . 788616) (-1435 . 788381) (-1436 . 788142) (-1437 . 787964) (-1438 . 787723) (-1439 . 787178) (-1440 . 786997) (-1441 . 786860) (-1442 . 786538) (-1443 . 786421) (-1444 . 786337) (-1445 . 786287) (-1446 . 786149) (-1447 . 786060) (-1448 . 785660) (-1449 . 785527) (-1450 . 784925) (-1451 . 784784) (-1452 . 784568) (-1453 . 784459) (-1454 . 784311) (-1455 . 784102) (-1456 . 784008) (-1457 . 783924) (-1458 . 783609) (-1459 . 783453) (-1460 . 783322) (-1461 . 783256) (-1462 . 783054) (-1463 . 782902) (-1464 . 782739) (-1465 . 782647) (-1466 . 782595) (-1467 . 782395) (-1468 . 782223) (-1469 . 782133) (-1470 . 781648) (-1471 . 781225) (-1472 . 781141) (-1473 . 780302) (-1474 . 780193) (-1475 . 779902) (-1476 . 779545) (-1477 . 779386) (-1478 . 779310) (-1479 . 779258) (-1480 . 778207) (-1481 . 778125) (-1482 . 778037) (-1483 . 777981) (-1484 . 777868) (-1485 . 777706) (-1486 . 777622) (-1487 . 777381) (-1488 . 777165) (-1489 . 777082) (-1490 . 776675) (-1491 . 776495) (-1492 . 775915) (-1493 . 775811) (-1494 . 775744) (-1495 . 775606) (-1496 . 775481) (-1497 . 775124) (-1498 . 774990) (-1499 . 774911) (-1500 . 774781) (-1501 . 774530) (-1502 . 774386) (-1503 . 774024) (-1504 . 773885) (-1505 . 773760) (-1506 . 772824) (-1507 . 772707) (-1508 . 772402) (-1509 . 772347) (-1510 . 772211) (-1511 . 772113) (-1512 . 772009) (-1513 . 771698) (-1514 . 771630) (-1515 . 771501) (-1516 . 771349) (-1517 . 770926) (-1518 . 770793) (-1519 . 768646) (-1520 . 768546) (-1521 . 768512) (-1522 . 768378) (-1523 . 768273) (-1524 . 768026) (-1525 . 767973) (-1526 . 767756) (-1527 . 767623) (-1528 . 767539) (-1529 . 767450) (-1530 . 767375) (-1531 . 767172) (-1532 . 765477) (-1533 . 765067) (-1534 . 764768) (-1535 . 764673) (-1536 . 758142) (-1537 . 758034) (-1538 . 757979) (-1539 . 757588) (-1540 . 757401) (-1541 . 757267) (-1542 . 757195) (-1543 . 756787) (-1544 . 756523) (-1545 . 756422) (-1546 . 755475) (-1547 . 755401) (-1548 . 754672) (-1549 . 754470) (-1550 . 754252) (-1551 . 754040) (-1552 . 753911) (-1553 . 753822) (-1554 . 753682) (-1555 . 753399) (-1556 . 753220) (-1557 . 752977) (-1558 . 752838) (-1559 . 752786) (-1560 . 752727) (-1561 . 751984) (-1562 . 751950) (-1563 . 750849) (-1564 . 750812) (-1565 . 750673) (-1566 . 749554) (-1567 . 749149) (-1568 . 748438) (-1569 . 748068) (-1570 . 747931) (-1571 . 747751) (-1572 . 747699) (-1573 . 747231) (-1574 . 747012) (-1575 . 746853) (-1576 . 746567) (-1577 . 746467) (-1578 . 746379) (-1579 . 746298) (-1580 . 746247) (-1581 . 745904) (-1582 . 745226) (-1583 . 745175) (-1584 . 745101) (-1585 . 744998) (-1586 . 744929) (-1587 . 744690) (-1588 . 744313) (-1589 . 744264) (-1590 . 744089) (-1591 . 743718) (-1592 . 743638) (-1593 . 743530) (-1594 . 743176) (-1595 . 743083) (-1596 . 742990) (-1597 . 742899) (-1598 . 742668) (-1599 . 742615) (-1600 . 742558) (-1601 . 742372) (-1602 . 742285) (-1603 . 741873) (-1604 . 741681) (-1605 . 741573) (-1606 . 741496) (-1607 . 741319) (-1608 . 741263) (-1609 . 741140) (-1610 . 740890) (-1611 . 740822) (-1612 . 740736) (-1613 . 740676) (-1614 . 740576) (-1615 . 740136) (-1616 . 740000) (-1617 . 739672) (-1618 . 739449) (-1619 . 739379) (-1620 . 739176) (-1621 . 738972) (-1622 . 738706) (-1623 . 738490) (-1624 . 738324) (-1625 . 738116) (-1626 . 737971) (-1627 . 736734) (-1628 . 736287) (-1629 . 736005) (-1630 . 735947) (-1631 . 735894) (-1632 . 735798) (-1633 . 735594) (-1634 . 735413) (-1635 . 735317) (-1636 . 735064) (-1637 . 734843) (-1638 . 734760) (-1639 . 734684) (-1640 . 734626) (-1641 . 734421) (-1642 . 733409) (-1643 . 733360) (-1644 . 733084) (-1645 . 732950) (-1646 . 732898) (-1647 . 732766) (-1648 . 732617) (-1649 . 732526) (-1650 . 732467) (-1651 . 732386) (-1652 . 732313) (-1653 . 732161) (-1654 . 732048) (-1655 . 731995) (-1656 . 730861) (-1657 . 730747) (-1658 . 730696) (-1659 . 730607) (-1660 . 730424) (-1661 . 730315) (-1662 . 730220) (-1663 . 730129) (-1664 . 730048) (-1665 . 729973) (-1666 . 729859) (-1667 . 729360) (-1668 . 729117) (-1669 . 729047) (-1670 . 729015) (-1671 . 728901) (-1672 . 728807) (-1673 . 728670) (-1674 . 728604) (-1675 . 728291) (-1676 . 728183) (-1677 . 727240) (-1678 . 726109) (-1679 . 725969) (-1680 . 725780) (-1681 . 725723) (-1682 . 725548) (-1683 . 725359) (-1684 . 725221) (-1685 . 724991) (-1686 . 724844) (-1687 . 724766) (-1688 . 724685) (-1689 . 724625) (-1690 . 724504) (-1691 . 724449) (-1692 . 724336) (-1693 . 724287) (-1694 . 723586) (-1695 . 723461) (-1696 . 723394) (-1697 . 723230) (-1698 . 723178) (-1699 . 722428) (-1700 . 722309) (-1701 . 722171) (-1702 . 721762) (-1703 . 721681) (-1704 . 721552) (-1705 . 721339) (-1706 . 721257) (-1707 . 721168) (-1708 . 719041) (-1709 . 718931) (-1710 . 718829) (-1711 . 718564) (-1712 . 718420) (-1713 . 718337) (-1714 . 718149) (-1715 . 717824) (-1716 . 717768) (-1717 . 717663) (-1718 . 717465) (-1719 . 716764) (-1720 . 716705) (-1721 . 716457) (-1722 . 716379) (-1723 . 716175) (-1724 . 716052) (-1725 . 715870) (-1726 . 715819) (-1727 . 715610) (-1728 . 715535) (-1729 . 715457) (-1730 . 715095) (-1731 . 714987) (-1732 . 714716) (-1733 . 714094) (-1734 . 713794) (-1735 . 713663) (-1736 . 713403) (-1737 . 713240) (-1738 . 713132) (-1739 . 712761) (-1740 . 712675) (-1741 . 712300) (-1742 . 712216) (-1743 . 711373) (-1744 . 711111) (-1745 . 711012) (-1746 . 710701) (-1747 . 710473) (-1748 . 710335) (-1749 . 710261) (-1750 . 710191) (-1751 . 710086) (-1752 . 710002) (-1753 . 709916) (-1754 . 709798) (-1755 . 709764) (-1756 . 709647) (-1757 . 709567) (-1758 . 708610) (-1759 . 708387) (-1760 . 708279) (-1761 . 708156) (-1762 . 708071) (-1763 . 707905) (-1764 . 707618) (-1765 . 707501) (-1766 . 707378) (-1767 . 707323) (-1768 . 707177) (-1769 . 705670) (-1770 . 705618) (-1771 . 705555) (-1772 . 705295) (-1773 . 705181) (-1774 . 704822) (-1775 . 703223) (-1776 . 703152) (-1777 . 702827) (-1778 . 702699) (-1779 . 702530) (-1780 . 701989) (-1781 . 699693) (-1782 . 699609) (-1783 . 699319) (-1784 . 699125) (-1785 . 698988) (-1786 . 698783) (-1787 . 698636) (-1788 . 698064) (-1789 . 697995) (-1790 . 697826) (-1791 . 697664) (-1792 . 697394) (-1793 . 697044) (-1794 . 696894) (-1795 . 696715) (-1796 . 696544) (-1797 . 696007) (-1798 . 695632) (-1799 . 695529) (-1800 . 695455) (-1801 . 695324) (-1802 . 694846) (-1803 . 694698) (-1804 . 694604) (-1805 . 694453) (-1806 . 694321) (-1807 . 694245) (-1808 . 694091) (-1809 . 693991) (-1810 . 693902) (-1811 . 693722) (-1812 . 693450) (-1813 . 693227) (-1814 . 693051) (-1815 . 692901) (-1816 . 692554) (-1817 . 692502) (-1818 . 692273) (-1819 . 691986) (-1820 . 691888) (-1821 . 691778) (-1822 . 691649) (-1823 . 691507) (-1824 . 691292) (-1825 . 691071) (-1826 . 690932) (-1827 . 690876) (-1828 . 690769) (-1829 . 690658) (-1830 . 690397) (-1831 . 690325) (-1832 . 690039) (-1833 . 689940) (-1834 . 689786) (-1835 . 689685) (-1836 . 687395) (-1837 . 685790) (-1838 . 685680) (-1839 . 685527) (-1840 . 685289) (-1841 . 685218) (-1842 . 685127) (-1843 . 684792) (-1844 . 682508) (-1845 . 675668) (-1846 . 675556) (-1847 . 675482) (-1848 . 675366) (-1849 . 675274) (-1850 . 675166) (-1851 . 674561) (-1852 . 674409) (-1853 . 674272) (-1854 . 673712) (-1855 . 673657) (-1856 . 673575) (-1857 . 673516) (-1858 . 673463) (-1859 . 673350) (-1860 . 673220) (-1861 . 672675) (-1862 . 672434) (-1863 . 672385) (-1864 . 671470) (-1865 . 671228) (-1866 . 670799) (-1867 . 670385) (-1868 . 669698) (-1869 . 669208) (-1870 . 669155) (-1871 . 669046) (-1872 . 668731) (-1873 . 668628) (-1874 . 668475) (-1875 . 668374) (-1876 . 668023) (-1877 . 667928) (-1878 . 667785) (-1879 . 667556) (-1880 . 667403) (-1881 . 667170) (-1882 . 666934) (-1883 . 666633) (-1884 . 666397) (-1885 . 666345) (-1886 . 666207) (-1887 . 666124) (-1888 . 665989) (-1889 . 665721) (-1890 . 665690) (-1891 . 665656) (-1892 . 665565) (-1893 . 665086) (-1894 . 663936) (-1895 . 663885) (-1896 . 663816) (-1897 . 663666) (-1898 . 663595) (-1899 . 663341) (-1900 . 663135) (-1901 . 662900) (-1902 . 662816) (-1903 . 662764) (-1904 . 662382) (-1905 . 662304) (-1906 . 662220) (-1907 . 662102) (-1908 . 661998) (-1909 . 661471) (-1910 . 661393) (-1911 . 661339) (-1912 . 661132) (-1913 . 660993) (-1914 . 660965) (-1915 . 660910) (-1916 . 660834) (-1917 . 660778) (-1918 . 660639) (-1919 . 660432) (-1920 . 660344) (-1921 . 660229) (-1922 . 660080) (-1923 . 659875) (-1924 . 659758) (-1925 . 659603) (-1926 . 659406) (-1927 . 659302) (-1928 . 659221) (-1929 . 659058) (-1930 . 658919) (-1931 . 658824) (-1932 . 658712) (-1933 . 658525) (-1934 . 658117) (-1935 . 657464) (-1936 . 657025) (-1937 . 656919) (-1938 . 656864) (-1939 . 656317) (-1940 . 656265) (-1941 . 656215) (-1942 . 656149) (-1943 . 655602) (-1944 . 655483) (-1945 . 655399) (-1946 . 655296) (-1947 . 654749) (-1948 . 654603) (-1949 . 654412) (-1950 . 654340) (-1951 . 653689) (-1952 . 653555) (-1953 . 653465) (-1954 . 653394) (-1955 . 652743) (-1956 . 652448) (-1957 . 652338) (-1958 . 652181) (-1959 . 651468) (-1960 . 651413) (-1961 . 651245) (-1962 . 651216) (-1963 . 648550) (-1964 . 648005) (-1965 . 647953) (-1966 . 647689) (-1967 . 647661) (-1968 . 647116) (-1969 . 646966) (-1970 . 646814) (-1971 . 646662) (-1972 . 646117) (-1973 . 646028) (-1974 . 645910) (-1975 . 645836) (-1976 . 645184) (-1977 . 644593) (-1978 . 644342) (-1979 . 644220) (-1980 . 643568) (-1981 . 643515) (-1982 . 643434) (-1983 . 643045) (-1984 . 642393) (-1985 . 642285) (-1986 . 642233) (-1987 . 642069) (-1988 . 641523) (-1989 . 641368) (-1990 . 640808) (-1991 . 640317) (-1992 . 639771) (-1993 . 639211) (-1994 . 639179) (-1995 . 639150) (-1996 . 638604) (-1997 . 638534) (-1998 . 637969) (-1999 . 637626) (-2000 . 637081) (-2001 . 636937) (-2002 . 636804) (-2003 . 636187) (-2004 . 635642) (-2005 . 635576) (-2006 . 635450) (-2007 . 635413) (-2008 . 634868) (-2009 . 634299) (-2010 . 634150) (-2011 . 634078) (-2012 . 633533) (-2013 . 633169) (-2014 . 632976) (-2015 . 632629) (-2016 . 632084) (-2017 . 631936) (-2018 . 631811) (-2019 . 631608) (-2020 . 631505) (-2021 . 631322) (-2022 . 631159) (-2023 . 631002) (-2024 . 630880) (-2025 . 630827) (-2026 . 630494) (-2027 . 630404) (-2028 . 630274) (-2029 . 630208) (-2030 . 629722) (-2031 . 629507) (-2032 . 629354) (-2033 . 629287) (-2034 . 629145) (-2035 . 629062) (-2036 . 628998) (-2037 . 628664) (-2038 . 628635) (-2039 . 628510) (-2040 . 628482) (-2041 . 628404) (-2042 . 628033) (-2043 . 627863) (-2044 . 627643) (-2045 . 627365) (-2046 . 627288) (-2047 . 626965) (-2048 . 626884) (-2049 . 625337) (-2050 . 625233) (-2051 . 625167) (-2052 . 625086) (-2053 . 624270) (-2054 . 622899) (-2055 . 622792) (-2056 . 622688) (-2057 . 621471) (-2058 . 621074) (-2059 . 620945) (-2060 . 620752) (-2061 . 620675) (-2062 . 620093) (-2063 . 619888) (-2064 . 619675) (-2065 . 619427) (-2066 . 619096) (-2067 . 617362) (-2068 . 616920) (-2069 . 616598) (-2070 . 616503) (-2071 . 616422) (-2072 . 614992) (-2073 . 614702) (-2074 . 614652) (-2075 . 614223) (-2076 . 613953) (-2077 . 612491) (-2078 . 612412) (-2079 . 610894) (-2080 . 610702) (-2081 . 610611) (-2082 . 610583) (-2083 . 609877) (-2084 . 609801) (-2085 . 609742) (-2086 . 609469) (-2087 . 609414) (-2088 . 609101) (-2089 . 609027) (-2090 . 608469) (-2091 . 608388) (-2092 . 608258) (-2093 . 608132) (-2094 . 608007) (-2095 . 607805) (-2096 . 607731) (-2097 . 607400) (-2098 . 607329) (-2099 . 606724) (-2100 . 606651) (-2101 . 606358) (-2102 . 605684) (-2103 . 605594) (-2104 . 604479) (-2105 . 604376) (-2106 . 604322) (-2107 . 603680) (-2108 . 603470) (-2109 . 603273) (-2110 . 603163) (-2111 . 603043) (-2112 . 602507) (-2113 . 602404) (-2114 . 602059) (-2115 . 601930) (-2116 . 600797) (-2117 . 600689) (-2118 . 600541) (-2119 . 600246) (-2120 . 600137) (-2121 . 600040) (-2122 . 599739) (-2123 . 599270) (-2124 . 598977) (-2125 . 598825) (-2126 . 598649) (-2127 . 598551) (-2128 . 598388) (-2129 . 598320) (-2130 . 597931) (-2131 . 597666) (-2132 . 597314) (-2133 . 597148) (-2134 . 597077) (-2135 . 596969) (-2136 . 596743) (-2137 . 596540) (-2138 . 596430) (-2139 . 596216) (-2140 . 596161) (-2141 . 596065) (-2142 . 595932) (-2143 . 595873) (-2144 . 595652) (-2145 . 595481) (-2146 . 595391) (-2147 . 595341) (-2148 . 594431) (-2149 . 594196) (-2150 . 593994) (-2151 . 593737) (-2152 . 589813) (-2153 . 589661) (-2154 . 589572) (-2155 . 588936) (-2156 . 588848) (-2157 . 588344) (-2158 . 588246) (-2159 . 588087) (-2160 . 588028) (-2161 . 587617) (-2162 . 587527) (-2163 . 587429) (-2164 . 587313) (-2165 . 585582) (-2166 . 585440) (-2167 . 585367) (-2168 . 584222) (-2169 . 584072) (-2170 . 583991) (-2171 . 583486) (-2172 . 583394) (-2173 . 583338) (-2174 . 583227) (-2175 . 583153) (-2176 . 583062) (-2177 . 582974) (-2178 . 582905) (-2179 . 582785) (-2180 . 582676) (-2181 . 582588) (-2182 . 582477) (-2183 . 582162) (-2184 . 581870) (-2185 . 581571) (-2186 . 581332) (-2187 . 580958) (-2188 . 580651) (-2189 . 580599) (-2190 . 580477) (-2191 . 580358) (-2192 . 580299) (-2193 . 580111) (-2194 . 579930) (-2195 . 579839) (-2196 . 579766) (-2197 . 579400) (-2198 . 579282) (-2199 . 579127) (-2200 . 579004) (-2201 . 578634) (-2202 . 578567) (-2203 . 578501) (-2204 . 578216) (-12 . 578061) (-2206 . 578029) (-2207 . 577947) (-2208 . 577818) (-2209 . 577446) (-2210 . 577233) (-2211 . 576994) (-2212 . 576885) (-2213 . 576690) (-2214 . 576648) (-2215 . 576548) (-2216 . 576400) (-2217 . 576073) (-2218 . 575737) (-2219 . 574849) (-2220 . 574797) (-2221 . 574699) (-2222 . 574629) (-2223 . 574484) (-2224 . 574348) (-2225 . 574059) (-2226 . 573956) (-2227 . 573845) (-2228 . 573604) (-2229 . 573252) (-2230 . 573177) (-2231 . 573020) (-2232 . 572323) (-2233 . 572151) (-2234 . 571930) (-2235 . 571765) (-2236 . 571710) (-2237 . 571653) (-2238 . 571597) (-2239 . 571474) (-2240 . 571341) (-2241 . 571106) (-2242 . 571006) (-2243 . 570859) (-2244 . 570783) (-2245 . 570728) (-2246 . 570618) (-2247 . 570565) (-2248 . 570493) (-2249 . 570355) (-2250 . 569857) (-2251 . 569305) (-2252 . 569273) (-2253 . 568577) (-2254 . 568183) (-2255 . 567944) (* . 563439) (-2257 . 563357) (-2258 . 563217) (-2259 . 562960) (-2260 . 562771) (-2261 . 562628) (-2262 . 562555) (-2263 . 562400) (-2264 . 562321) (-2265 . 562196) (-2266 . 562034) (-2267 . 561882) (-2268 . 561690) (-2269 . 561588) (-2270 . 561468) (-2271 . 561056) (-2272 . 560993) (-2273 . 560938) (-2274 . 560838) (-2275 . 560697) (-2276 . 560150) (-2277 . 560088) (-2278 . 559954) (-2279 . 559880) (-2280 . 559757) (-2281 . 559707) (-2282 . 559398) (-2283 . 558449) (-2284 . 558314) (-2285 . 558248) (-2286 . 557942) (-2287 . 557839) (-2288 . 553915) (-2289 . 553801) (-2290 . 553723) (-2291 . 553585) (-2292 . 553529) (-2293 . 553304) (-2294 . 553232) (-2295 . 553013) (-2296 . 552800) (-2297 . 552685) (-2298 . 552574) (-2299 . 552438) (-2300 . 552114) (-2301 . 551680) (-2302 . 551593) (-2303 . 551384) (-2304 . 551128) (-2305 . 550964) (-2306 . 550857) (-2307 . 550648) (-2308 . 550487) (-2309 . 550412) (-2310 . 550047) (-2311 . 549966) (-2312 . 549880) (-2313 . 549788) (-2314 . 549616) (-2315 . 549268) (-2316 . 549116) (-2317 . 548602) (-2318 . 548153) (-2319 . 547481) (-2320 . 547217) (-2321 . 547165) (-2322 . 546849) (-2323 . 546766) (-2324 . 546199) (-2325 . 545814) (-2326 . 545162) (-2327 . 545023) (-2328 . 544968) (-2329 . 544884) (-2330 . 544856) (-2331 . 544730) (-2332 . 544702) (-2333 . 544496) (-2334 . 544465) (-2335 . 543466) (-2336 . 543414) (-2337 . 543349) (-2338 . 539483) (-2339 . 539380) (-2340 . 539290) (-2341 . 539112) (-2342 . 539063) (-2343 . 538913) (-2344 . 536678) (-2345 . 536628) (-2346 . 536555) (-2347 . 536496) (-2348 . 536348) (-2349 . 536261) (-2350 . 535920) (-2351 . 535836) (-2352 . 535753) (-2353 . 533884) (-2354 . 533776) (-2355 . 533178) (-2356 . 532916) (-2357 . 532714) (-2358 . 532620) (-2359 . 532522) (-2360 . 532469) (-2361 . 532361) (-2362 . 532264) (-2363 . 532097) (-2364 . 532004) (-2365 . 531862) (-2366 . 531740) (-2367 . 531611) (-2368 . 531416) (-2369 . 531239) (-2370 . 531186) (-2371 . 529999) (-2372 . 529864) (-2373 . 529657) (-2374 . 529583) (-2375 . 529431) (-2376 . 529297) (-2377 . 529194) (-2378 . 528419) (-2379 . 528364) (-2380 . 528275) (-2381 . 528032) (-2382 . 527995) (-2383 . 527772) (-2384 . 527636) (-2385 . 527540) (-2386 . 527436) (-2387 . 526892) (-2388 . 526537) (-2389 . 526468) (-2390 . 526346) (-2391 . 526186) (-2392 . 526134) (-2393 . 525907) (-2394 . 525233) (-2395 . 525135) (-2396 . 525031) (-2397 . 524960) (-2398 . 524868) (-2399 . 524603) (-2400 . 524489) (-2401 . 524416) (-2402 . 524364) (-2403 . 524268) (-2404 . 524028) (-2405 . 523914) (-2406 . 523745) (-2407 . 523664) (-2408 . 523479) (-2409 . 523379) (-2410 . 523228) (-2411 . 523133) (-2412 . 522934) (-2413 . 522834) (-2414 . 522738) (-2415 . 522614) (-2416 . 522561) (-2417 . 522468) (-2418 . 522409) (-2419 . 522094) (-2420 . 522042) (-2421 . 521989) (-2422 . 521923) (-2423 . 521823) (-2424 . 521443) (-2425 . 521372) (-2426 . 521306) (-2427 . 521256) (-2428 . 521129) (-2429 . 521058) (-2430 . 520957) (-2431 . 520856) (-2432 . 520790) (-2433 . 520494) (-2434 . 520041) (-2435 . 519889) (-2436 . 519256) (-2437 . 518490) (-2438 . 517105) (-2439 . 516849) (-2440 . 516787) (-2441 . 516686) (-2442 . 516552) (-2443 . 515747) (-2444 . 515389) (-2445 . 515307) (-2446 . 515203) (-2447 . 515032) (-2448 . 514973) (-2449 . 514483) (-2450 . 514414) (-2451 . 514276) (-2452 . 514142) (-2453 . 514059) (-2454 . 513278) (-2455 . 513228) (-2456 . 512958) (-2457 . 512884) (-2458 . 512803) (-2459 . 512440) (-2460 . 512227) (-2461 . 512175) (-2462 . 512038) (-2463 . 511986) (-2464 . 511933) (-2465 . 511746) (-2466 . 511588) (-2467 . 511533) (-2468 . 511458) (-2469 . 511367) (-2470 . 511318) (-2471 . 510919) (-2472 . 510845) (-2473 . 510515) (-2474 . 510484) (-2475 . 510239) (-2476 . 510150) (-2477 . 509470) (-2478 . 509267) (-2479 . 509149) (-2480 . 508992) (-2481 . 508873) (-2482 . 508721) (-2483 . 508627) (-2484 . 508500) (-2485 . 508338) (-2486 . 508118) (-2487 . 508003) (-2488 . 507450) (-2489 . 507336) (-2490 . 507139) (-2491 . 507052) (-2492 . 506905) (-2493 . 506671) (-2494 . 506603) (-2495 . 506479) (-2496 . 506426) (-2497 . 506287) (-2498 . 506201) (-2499 . 506169) (-2500 . 505665) (-2501 . 505612) (-2502 . 505511) (-2503 . 505411) (-2504 . 505039) (-2505 . 504987) (-2506 . 504884) (-2507 . 504805) (-2508 . 504568) (-2509 . 504447) (-2510 . 504219) (-2511 . 504135) (-2512 . 501296) (-2513 . 500732) (-2514 . 500626) (-2515 . 500511) (-2516 . 500442) (-2517 . 500149) (-2518 . 500072) (-2519 . 500038) (-2520 . 499888) (-2521 . 499717) (-2522 . 499476) (-2523 . 499400) (-2524 . 499250) (-2525 . 499132) (-2526 . 498870) (-2527 . 498747) (-2528 . 498601) (-2529 . 498470) (-2530 . 498395) (-2531 . 497195) (-2532 . 497053) (-2533 . 496813) (-2534 . 496718) (-2535 . 496615) (-2536 . 496462) (-2537 . 496279) (-2538 . 496131) (-2539 . 496041) (-2540 . 495952) (-2541 . 495495) (-2542 . 495440) (-2543 . 495368) (-2544 . 495122) (-2545 . 495042) (-2546 . 494963) (-2547 . 494728) (-2548 . 494362) (-2549 . 494009) (-2550 . 493957) (-2551 . 493118) (-2552 . 492858) (-2553 . 492777) (-2554 . 492693) (-2555 . 492629) (-2556 . 492563) (-2557 . 492414) (-2558 . 492361) (-2559 . 492048) (-2560 . 491996) (-2561 . 491900) (-2562 . 491762) (-2563 . 491538) (-2564 . 491425) (-2565 . 491373) (-2566 . 490938) (-2567 . 490844) (-2568 . 490636) (-2569 . 490555) (-2570 . 490490) (-2571 . 490325) (-2572 . 490195) (-2573 . 490040) (-2574 . 489930) (-2575 . 489871) (-2576 . 489819) (-2577 . 489136) (-2578 . 489054) (-2579 . 488995) (-2580 . 488674) (-2581 . 488597) (-2582 . 488284) (-2583 . 488196) (-2584 . 488140) (-2585 . 487956) (-2586 . 487883) (-2587 . 487525) (-2588 . 486702) (-2589 . 486647) (-2590 . 486563) (-2591 . 486062) (-2592 . 486007) (-2593 . 485885) (-2594 . 485750) (-2595 . 485679) (-2596 . 485627) (-2597 . 484810) (-2598 . 484723) (-2599 . 484564) (-2600 . 484414) (-2601 . 484280) (-2602 . 484246) (-2603 . 483144) (-2604 . 482890) (-2605 . 482726) (-2606 . 482582) (-2607 . 482382) (-2608 . 482159) (-2609 . 481742) (-2610 . 481689) (-2611 . 481547) (-2612 . 481440) (-2613 . 481123) (-2614 . 481089) (-2615 . 480974) (-2616 . 480918) (-2617 . 479956) (-2618 . 479740) (-2619 . 479650) (-2620 . 479601) (-2621 . 479133) (-2622 . 478677) (-2623 . 478532) (-2624 . 478364) (-2625 . 478245) (-2626 . 478163) (-2627 . 478108) (-2628 . 477333) (-2629 . 477230) (-2630 . 475833) (-2631 . 475722) (-2632 . 475632) (-2633 . 475548) (-2634 . 475281) (-2635 . 475224) (-2636 . 474981) (-2637 . 474881) (-2638 . 474430) (-2639 . 474330) (-2640 . 473987) (-2641 . 473914) (-2642 . 473836) (-2643 . 473550) (-2644 . 473498) (-2645 . 472954) (-2646 . 472763) (-2647 . 472580) (-2648 . 472458) (-2649 . 472407) (-2650 . 472329) (-2651 . 472193) (-2652 . 472036) (-2653 . 471983) (-2654 . 471888) (-2655 . 471777) (-2656 . 471680) (-2657 . 471491) (-2658 . 471301) (-2659 . 471140) (-2660 . 471052) (-2661 . 470972) (-2662 . 470862) (-2663 . 470680) (-2664 . 470511) (-2665 . 470404) (-2666 . 470313) (-2667 . 470218) (-2668 . 470080) (-2669 . 469184) (-2670 . 469094) (-2671 . 469018) (-2672 . 468820) (-2673 . 468703) (-2674 . 468548) (-2675 . 468312) (-2676 . 468208) (-2677 . 468085) (-2678 . 467997) (-2679 . 467723) (-2680 . 467643) (-2681 . 467577) (-2682 . 467390) (-2683 . 467286) (-2684 . 467212) (-2685 . 467159) (-2686 . 466937) (-2687 . 466782) (-2688 . 466723) (-2689 . 466679) (-2690 . 466626) (-2691 . 466571) (-2692 . 466386) (-2693 . 466358) (-2694 . 466256) (-2695 . 466190) (-2696 . 465773) (-2697 . 465689) (-2698 . 465519) (-2699 . 465444) (-2700 . 465370) (-2701 . 465270) (-2702 . 465096) (-2703 . 465040) (-2704 . 464969) (-2705 . 464788) (-2706 . 464482) (-2707 . 463905) (-2708 . 463713) (-2709 . 463027) (-2710 . 462941) (-2711 . 462860) (-2712 . 462768) (-2713 . 462623) (-2714 . 462542) (-2715 . 461642) (-2716 . 461473) (-2717 . 461339) (-2718 . 461187) (-2719 . 461135) (-2720 . 461031) (-2721 . 460917) (-2722 . 460769) (-2723 . 459718) (-2724 . 459645) (-2725 . 459490) (-2726 . 459292) (-2727 . 459136) (-2728 . 458992) (-2729 . 458909) (-2730 . 458838) (-2731 . 458739) (-2732 . 458429) (-2733 . 456465) (-2734 . 456354) (-2735 . 456236) (-2736 . 456143) (-2737 . 455969) (-2738 . 455865) (-2739 . 455833) (-2740 . 455548) (-2741 . 455427) (-2742 . 454392) (-2743 . 454318) (-2744 . 454229) (-2745 . 454170) (-2746 . 453851) (-2747 . 430343) (-2748 . 430286) (-2749 . 430252) (-2750 . 430175) (-2751 . 430049) (-2752 . 429974) (-2753 . 429849) (-2754 . 429769) (-2755 . 429688) (-2756 . 429631) (-2757 . 429549) (-2758 . 429490) (-2759 . 429245) (-2760 . 429133) (-2761 . 429025) (-2762 . 428627) (-2763 . 428486) (-2764 . 428287) (-2765 . 428212) (-2766 . 427712) (-2767 . 427602) (-2768 . 427263) (-2769 . 427110) (-2770 . 426440) (-2771 . 426236) (-2772 . 426113) (-2773 . 425974) (-2774 . 425921) (-2775 . 425790) (-2776 . 425642) (-2777 . 425487) (-2778 . 425384) (-2779 . 424517) (-2780 . 424095) (-2781 . 418997) (-2782 . 418917) (-2783 . 418611) (-2784 . 418427) (-2785 . 418207) (-2786 . 418152) (-2787 . 418066) (-2788 . 417361) (-2789 . 417033) (-2790 . 416932) (-2791 . 415973) (-2792 . 415268) (-2793 . 415028) (-2794 . 414958) (-2795 . 414749) (-2796 . 414587) (-2797 . 400755) (-2798 . 400699) (-2799 . 400665) (-2800 . 400503) (-2801 . 400268) (-2802 . 399775) (-2803 . 399311) (-2804 . 399181) (-2805 . 398373) (-2806 . 398236) (-2807 . 398143) (-2808 . 397809) (-2809 . 397719) (-2810 . 397210) (-2811 . 396725) (-2812 . 396607) (-2813 . 396517) (-2814 . 396262) (-2815 . 396155) (-2816 . 396037) (-2817 . 395615) (-2818 . 395544) (-2819 . 395328) (-2820 . 395203) (-2821 . 395150) (-2822 . 395072) (-2823 . 394486) (-2824 . 394284) (-2825 . 394203) (-2826 . 393784) (-2827 . 393526) (-2828 . 393373) (-2829 . 393259) (-2830 . 393120) (-2831 . 392671) (-2832 . 392591) (-2833 . 392217) (-2834 . 392132) (-2835 . 391655) (-2836 . 391568) (-2837 . 391476) (-2838 . 391373) (-2839 . 391284) (-2840 . 391174) (-2841 . 391092) (-2842 . 390985) (-2843 . 390869) (-2844 . 390835) (-2845 . 390733) (-2846 . 390517) (-2847 . 390421) (-2848 . 389463) (-2849 . 389341) (-2850 . 389050) (-2851 . 389000) (-2852 . 388747) (-2853 . 388475) (-2854 . 388369) (-2855 . 388301) (-2856 . 388221) (-2857 . 383159) (-2858 . 383056) (-2859 . 382817) (-2860 . 382249) (-2861 . 382174) (-2862 . 381866) (-2863 . 381631) (-2864 . 381565) (-2865 . 380446) (-2866 . 380333) (-2867 . 380238) (-2868 . 380137) (-2869 . 380044) (-2870 . 379786) (-2871 . 379715) (-2872 . 379606) (-2873 . 377495) (-2874 . 377461) (-2875 . 377385) (-2876 . 377306) (-2877 . 377047) (-2878 . 376990) (-2879 . 376958) (-2880 . 376905) (-2881 . 376307) (-2882 . 376238) (-2883 . 375922) (-2884 . 375834) (-2885 . 375606) (-2886 . 375413) (-2887 . 375322) (-2888 . 375223) (-2889 . 375071) (-2890 . 374835) (-2891 . 374702) (-2892 . 374621) (-2893 . 374495) (-2894 . 374382) (-2895 . 374242) (-2896 . 374190) (-2897 . 374141) (-2898 . 374023) (-2899 . 373935) (-2900 . 373864) (-2901 . 373769) (-2902 . 372631) (-2903 . 372530) (-2904 . 372464) (-2905 . 372312) (-2906 . 372154) (-2907 . 372080) (-2908 . 371981) (-2909 . 371907) (-2910 . 371537) (-2911 . 371484) (-2912 . 371333) (-2913 . 371256) (-2914 . 371183) (-2915 . 371058) (-2916 . 370965) (-2917 . 370687) (-2918 . 370585) (-2919 . 369840) (-2920 . 369678) (-2921 . 369565) (-2922 . 369441) (-2923 . 369324) (-2924 . 369232) (-2925 . 369129) (-2926 . 369014) (-2927 . 368947) (-2928 . 368689) (-2929 . 368614) (-2930 . 368518) (-2931 . 368369) (-2932 . 368039) (-2933 . 367970) (-2934 . 367130) (-2935 . 367031) (-2936 . 366975) (-2937 . 366838) (-2938 . 366765) (-2939 . 366596) (-2940 . 366441) (-2941 . 366246) (-2942 . 366110) (-2943 . 366049) (-2944 . 365997) (-2945 . 365430) (-2946 . 365315) (-2947 . 365262) (-2948 . 365209) (-2949 . 365120) (-2950 . 365005) (-2951 . 364126) (-2952 . 364013) (-2953 . 363922) (-2954 . 363777) (-2955 . 363617) (-2956 . 363340) (-2957 . 363165) (-2958 . 363027) (-2959 . 362937) (-2960 . 362849) (-2961 . 362653) (-2962 . 362348) (-2963 . 361866) (-2964 . 361351) (-2965 . 361138) (-2966 . 361004) (-2967 . 360816) (-2968 . 360672) (-2969 . 360582) (-2970 . 360274) (-2971 . 359978) (-2972 . 359910) (-2973 . 359339) (-2974 . 359213) (-2975 . 359129) (-2976 . 358555) (-2977 . 358460) (-2978 . 358322) (-2979 . 358211) (-2980 . 358048) (-2981 . 357265) (-2982 . 357213) (-2983 . 357108) (-2984 . 356956) (-2985 . 356825) (-2986 . 356721) (-2987 . 356669) (-2988 . 356473) (-2989 . 356362) (-2990 . 355636) (-2991 . 355419) (-2992 . 355367) (-2993 . 355288) (-2994 . 355183) (-2995 . 355028) (-2996 . 354684) (-2997 . 354476) (-2998 . 354387) (-2999 . 354282) (-3000 . 354191) (-3001 . 352974) (-3002 . 352782) (-3003 . 352698) (-3004 . 352563) (-3005 . 352324) (-3006 . 351917) (-3007 . 351826) (-3008 . 351727) (-3009 . 351667) (-3010 . 351529) (-3011 . 351408) (-3012 . 350444) (-3013 . 350336) (-3014 . 349641) (-3015 . 349534) (-3016 . 349167) (-3017 . 349062) (-3018 . 348945) (-3019 . 348865) (-3020 . 348691) (-3021 . 348548) (-3022 . 348446) (-3023 . 348394) (-3024 . 348302) (-3025 . 348218) (-3026 . 348119) (-3027 . 348045) (-3028 . 347974) (-3029 . 347620) (-3030 . 347292) (-3031 . 344337) (-3032 . 343788) (-3033 . 343621) (-3034 . 343251) (-3035 . 343103) (-3036 . 342778) (-3037 . 342692) (-3038 . 342597) (-3039 . 342449) (-3040 . 342352) (-3041 . 342279) (-3042 . 342206) (-3043 . 342149) (-3044 . 341907) (-3045 . 341484) (-3046 . 341368) (-3047 . 341280) (-3048 . 341171) (-3049 . 341046) (-3050 . 340885) (-3051 . 340782) (-3052 . 340682) (-3053 . 340554) (-3054 . 340475) (-3055 . 340360) (-3056 . 340077) (-3057 . 340022) (-3058 . 339854) (-3059 . 339286) (-3060 . 338892) (-3061 . 338786) (-3062 . 338345) (-3063 . 338140) (-3064 . 338083) (-3065 . 337973) (-3066 . 337816) (-3067 . 337748) (-3068 . 337577) (-3069 . 337108) (-3070 . 336928) (-3071 . 336825) (-3072 . 336712) (-3073 . 336551) (-3074 . 336454) (-3075 . 335915) (-3076 . 335862) (-3077 . 335245) (-3078 . 335097) (-3079 . 334993) (-3080 . 334921) (-3081 . 334844) (-3082 . 334718) (-3083 . 334633) (-3084 . 334567) (-3085 . 334365) (-3086 . 334015) (-3087 . 333107) (-3088 . 333030) (-3089 . 332927) (-3090 . 332826) (-3091 . 332752) (-3092 . 332614) (-3093 . 332517) (-3094 . 328907) (-3095 . 328674) (-3096 . 328555) (-3097 . 328499) (-3098 . 328367) (-3099 . 328252) (-3100 . 328029) (-3101 . 327679) (-3102 . 327566) (-3103 . 327508) (-3104 . 327376) (-3105 . 327302) (-3106 . 327051) (-3107 . 326955) (-3108 . 326251) (-3109 . 326138) (-3110 . 325834) (-3111 . 325781) (-3112 . 325682) (-3113 . 325611) (-3114 . 325537) (-3115 . 325419) (-3116 . 325338) (-3117 . 325280) (-3118 . 325190) (-3119 . 325093) (-3120 . 324912) (-3121 . 324633) (-3122 . 324459) (-3123 . 324385) (-3124 . 324121) (-3125 . 324089) (-3126 . 323569) (-3127 . 323485) (-3128 . 323382) (-3129 . 323184) (-3130 . 322886) (-3131 . 322833) (-3132 . 322709) (-3133 . 322629) (-3134 . 322525) (-3135 . 318601) (-3136 . 318539) (-3137 . 318107) (-3138 . 317973) (-3139 . 317738) (-3140 . 317655) (-3141 . 317415) (-3142 . 317243) (-3143 . 317189) (-3144 . 317069) (-3145 . 317007) (-3146 . 316648) (-3147 . 316483) (-3148 . 316430) (-3149 . 316281) (-3150 . 316164) (-3151 . 316039) (-3152 . 315979) (-3153 . 315863) (-3154 . 315763) (-3155 . 315729) (-3156 . 315621) (-3157 . 315370) (-3158 . 315193) (-3159 . 315082) (-3160 . 314955) (-3161 . 314871) (-3162 . 314745) (-3163 . 314465) (-3164 . 314258) (-3165 . 314025) (-3166 . 313956) (-3167 . 313857) (-3168 . 313804) (-3169 . 313672) (-3170 . 313437) (-3171 . 313334) (-3172 . 313030) (-3173 . 313002) (-3174 . 312876) (-3175 . 312742) (-3176 . 312487) (-3177 . 312134) (-3178 . 312030) (-3179 . 311879) (-3180 . 311702) (-3181 . 311606) (-3182 . 311473) (-3183 . 311095) (-3184 . 311042) (-3185 . 310989) (-3186 . 310841) (-3187 . 310788) (-3188 . 310736) (-3189 . 310645) (-3190 . 310379) (-3191 . 310166) (-3192 . 309370) (-3193 . 309247) (-3194 . 309169) (-3195 . 309114) (-3196 . 308723) (-3197 . 308576) (-3198 . 308440) (-3199 . 308301) (-3200 . 304377) (-3201 . 304230) (-3202 . 304061) (-3203 . 303989) (-3204 . 303773) (-3205 . 303721) (-3206 . 303598) (-3207 . 303399) (-3208 . 303249) (-3209 . 303014) (-3210 . 302799) (-3211 . 302680) (-3212 . 302571) (-3213 . 302408) (-3214 . 302274) (-3215 . 302223) (-3216 . 302156) (-3217 . 302093) (-3218 . 301993) (-3219 . 301899) (-3220 . 301828) (-3221 . 301665) (-3222 . 301551) (-3223 . 300216) (-3224 . 300090) (-3225 . 299818) (-3226 . 299725) (-3227 . 299521) (-3228 . 299469) (-3229 . 299077) (-3230 . 298860) (-3231 . 298791) (-3232 . 298763) (-3233 . 298637) (-3234 . 298518) (-3235 . 298445) (-3236 . 297941) (-3237 . 297747) (-3238 . 297660) (-3239 . 297526) (-3240 . 297163) (-3241 . 297027) (-3242 . 296953) (-3243 . 296921) (-3244 . 296778) (-3245 . 296388) (-3246 . 295456) (-3247 . 295121) (-3248 . 295090) (-3249 . 294986) (-3250 . 294690) (-3251 . 294336) (-3252 . 294227) (-3253 . 294142) (-3254 . 293388) (-3255 . 293265) (-3256 . 293068) (-3257 . 292976) (-3258 . 292878) (-3259 . 283985) (-3260 . 283858) (-3261 . 283531) (-3262 . 283413) (-3263 . 283258) (-3264 . 283224) (-3265 . 283149) (-3266 . 283038) (-3267 . 282718) (-3268 . 282582) (-3269 . 282499) (-3270 . 282247) (-3271 . 282176) (-3272 . 282092) (-3273 . 282014) (-3274 . 281906) (-3275 . 281832) (-3276 . 281780) (-3277 . 281702) (-3278 . 281600) (-3279 . 281292) (-3280 . 281221) (-3281 . 281092) (-3282 . 280919) (-3283 . 280868) (-3284 . 280498) (-3285 . 280374) (-3286 . 280046) (-3287 . 279899) (-3288 . 279692) (-3289 . 279595) (-3290 . 279525) (-3291 . 279384) (-3292 . 279244) (-3293 . 279065) (-3294 . 278931) (-3295 . 278840) (-3296 . 278774) (-3297 . 278719) (-3298 . 278643) (-3299 . 278517) (-3300 . 278147) (-3301 . 277912) (-3302 . 277859) (-3303 . 277788) (-3304 . 277301) (-3305 . 277123) (-3306 . 277024) (-3307 . 276928) (-3308 . 276853) (-3309 . 276749) (-3310 . 276675) (-3311 . 276410) (-3312 . 276213) (-3313 . 276044) (-3314 . 275906) (-3315 . 275878) (-3316 . 275583) (-3317 . 274915) (-3318 . 274547) (-3319 . 274299) (-3320 . 274247) (-3321 . 274109) (-3322 . 273969) (-3323 . 273602) (-3324 . 273528) (-3325 . 273120) (-3326 . 272986) (-3327 . 272816) (-3328 . 272742) (-3329 . 272629) (-3330 . 271711) (-3331 . 271654) (-3332 . 271570) (-3333 . 271297) (-3334 . 271194) (-3335 . 271097) (-3336 . 270920) (-3337 . 269650) (-3338 . 269367) (-3339 . 269196) (-3340 . 268953) (-3341 . 268691) (-3342 . 268626) (-3343 . 268386) (-3344 . 267833) (-3345 . 267719) (-3346 . 267522) (-3347 . 267435) (-3348 . 267345) (-3349 . 267163) (-3350 . 267066) (-3351 . 266861) (-3352 . 266501) (-3353 . 266432) (-3354 . 266074) (-3355 . 265490) (-3356 . 265401) (-3357 . 265288) (-3358 . 265129) (-3359 . 264914) (-3360 . 264861) (-3361 . 264689) (-3362 . 264320) (-3363 . 264162) (-3364 . 264073) (-3365 . 263967) (-3366 . 263844) (-3367 . 263672) (-3368 . 263543) (-3369 . 263469) (-3370 . 263387) (-3371 . 263197) (-3372 . 263005) (-3373 . 262897) (-3374 . 262807) (-3375 . 262740) (-3376 . 262562) (-3377 . 262394) (-3378 . 262342) (-3379 . 262262) (-3380 . 262144) (-3381 . 262046) (-3382 . 261833) (-3383 . 260672) (-3384 . 260563) (-3385 . 260435) (-3386 . 260343) (-3387 . 260141) (-3388 . 260037) (-3389 . 259953) (-3390 . 259732) (-3391 . 259585) (-3392 . 259523) (-3393 . 259120) (-3394 . 259068) (-3395 . 259040) (-3396 . 258792) (-3397 . 258731) (-3398 . 258406) (-3399 . 258354) (-3400 . 258194) (-3401 . 258080) (-3402 . 258007) (-3403 . 257686) (-3404 . 257615) (-3405 . 257380) (-3406 . 257316) (-3407 . 256615) (-3408 . 256536) (-3409 . 256243) (-3410 . 256183) (-3411 . 256124) (-3412 . 255831) (-3413 . 255698) (-3414 . 255627) (-3415 . 255455) (-3416 . 249066) (-3417 . 249014) (-3418 . 248563) (-3419 . 248445) (-3420 . 248341) (-3421 . 248176) (-3422 . 248074) (-3423 . 246508) (-3424 . 246400) (-3425 . 245579) (-3426 . 245498) (-3427 . 245416) (-3428 . 245363) (-3429 . 245192) (-3430 . 245083) (-3431 . 244928) (-3432 . 244512) (-3433 . 244452) (-3434 . 244329) (-3435 . 244258) (-3436 . 244093) (-3437 . 243399) (-3438 . 243301) (-3439 . 243227) (-3440 . 242553) (-3441 . 242401) (-3442 . 242278) (-3443 . 242188) (-3444 . 242093) (-3445 . 242019) (-3446 . 241720) (-3447 . 241665) (-3448 . 241485) (-3449 . 241420) (-3450 . 241346) (-3451 . 241133) (-3452 . 240878) (-3453 . 240789) (-3454 . 240689) (-3455 . 240574) (-3456 . 239958) (-3457 . 239767) (-3458 . 239708) (-3459 . 239652) (-3460 . 239580) (-3461 . 239413) (-3462 . 239300) (-3463 . 239102) (-3464 . 237918) (-3465 . 237824) (-3466 . 237700) (-3467 . 237630) (-3468 . 237564) (-3469 . 237490) (-3470 . 237315) (-3471 . 236596) (-3472 . 236486) (-3473 . 236348) (-3474 . 236061) (-3475 . 235958) (-3476 . 235776) (-3477 . 235626) (-3478 . 235519) (-3479 . 234894) (-3480 . 234390) (-3481 . 234095) (-3482 . 233977) (-3483 . 233519) (-3484 . 233443) (-3485 . 233281) (-3486 . 233083) (-3487 . 232931) (-3488 . 232827) (-3489 . 232308) (-3490 . 232185) (-3491 . 231681) (-3492 . 225292) (-3493 . 225240) (-3494 . 225167) (-3495 . 225133) (-3496 . 224811) (-3497 . 224288) (-3498 . 223074) (-3499 . 222650) (-3500 . 222112) (-3501 . 221971) (-3502 . 221896) (-3503 . 221629) (-3504 . 221531) (-3505 . 221207) (-3506 . 220873) (-3507 . 220802) (-3508 . 220477) (-3509 . 220366) (-3510 . 220082) (-3511 . 219639) (-3512 . 219523) (-3513 . 219330) (-3514 . 219030) (-3515 . 218963) (-3516 . 218872) (-3517 . 218732) (-3518 . 218461) (-3519 . 218282) (-3520 . 218183) (-3521 . 218084) (-3522 . 217988) (-3523 . 217939) (-3524 . 217490) (-3525 . 217367) (-3526 . 217291) (-3527 . 217134) (-3528 . 216771) (-3529 . 216668) (-3530 . 216488) (-3531 . 216358) (-3532 . 216303) (-3533 . 216040) (-3534 . 215965) (-3535 . 215893) (-3536 . 215823) (-3537 . 215504) (-3538 . 214169) (-3539 . 213953) (-3540 . 213774) (-3541 . 213636) (-3542 . 212973) (-3543 . 212795) (-3544 . 212738) (-3545 . 212665) (-3546 . 212612) (-3547 . 212488) (-3548 . 212433) (-3549 . 212330) (-3550 . 212132) (-3551 . 212104) (-3552 . 212051) (-3553 . 211766) (-3554 . 211567) (-3555 . 211444) (-3556 . 211368) (-3557 . 211180) (-3558 . 208743) (-3559 . 208615) (-3560 . 208379) (-3561 . 208071) (-3562 . 207878) (-3563 . 207826) (-3564 . 207523) (-3565 . 207442) (-3566 . 207247) (-3567 . 207107) (-3568 . 206988) (-3569 . 206919) (-3570 . 206731) (-3571 . 206402) (-3572 . 206320) (-3573 . 206240) (-3574 . 206023) (-3575 . 205840) (-3576 . 205726) (-3577 . 205451) (-3578 . 205279) (-3579 . 205127) (-3580 . 204928) (-3581 . 204790) (-3582 . 204638) (-3583 . 204542) (-3584 . 204235) (-3585 . 204161) (-3586 . 203891) (-3587 . 203819) (-3588 . 203720) (-3589 . 203635) (-3590 . 203562) (-3591 . 203377) (-3592 . 199453) (-3593 . 199274) (-3594 . 198978) (-3595 . 198896) (-3596 . 198790) (-3597 . 198657) (-3598 . 198442) (-3599 . 198370) (-3600 . 198315) (-3601 . 198092) (-3602 . 197826) (-3603 . 197574) (-3604 . 197468) (-3605 . 197393) (-3606 . 197302) (-3607 . 197194) (-3608 . 196823) (-3609 . 196649) (-3610 . 196545) (-3611 . 196416) (-3612 . 196053) (-3613 . 196024) (-3614 . 195921) (-3615 . 195786) (-3616 . 195695) (-3617 . 195567) (-3618 . 194747) (-3619 . 194442) (-3620 . 194353) (-3621 . 194001) (-3622 . 193899) (-3623 . 193699) (-3624 . 193633) (-3625 . 193464) (-3626 . 193364) (-3627 . 193275) (-3628 . 193150) (-3629 . 192999) (-3630 . 192871) (-3631 . 192781) (-3632 . 192593) (-3633 . 192404) (-3634 . 192147) (-3635 . 192022) (-3636 . 191870) (-3637 . 191792) (-3638 . 191415) (-3639 . 191344) (-3640 . 191256) (-3641 . 191158) (-3642 . 191084) (-3643 . 190961) (-3644 . 190842) (-3645 . 190266) (-3646 . 190150) (-3647 . 189737) (-3648 . 189436) (-3649 . 189158) (-3650 . 188802) (-3651 . 188650) (-3652 . 188594) (-3653 . 188385) (-3654 . 188117) (-3655 . 188028) (-3656 . 187067) (-3657 . 186927) (-3658 . 186787) (-3659 . 186672) (-3660 . 186565) (-3661 . 186534) (-3662 . 186259) (-3663 . 186155) (-3664 . 186069) (-3665 . 185968) (-3666 . 185785) (-3667 . 185512) (-3668 . 181337) (-3669 . 181111) (-3670 . 180924) (-3671 . 180840) (-3672 . 180757) (-3673 . 180704) (-3674 . 180623) (-3675 . 180567) (-3676 . 180045) (-3677 . 179946) (-3678 . 179878) (-3679 . 179761) (-3680 . 178970) (-3681 . 178888) (-3682 . 178382) (-3683 . 178236) (-3684 . 178166) (-3685 . 178026) (-3686 . 177945) (-3687 . 177565) (-3688 . 177381) (-3689 . 177137) (-3690 . 176871) (-3691 . 176635) (-3692 . 176583) (-3693 . 176405) (-3694 . 176377) (-3695 . 176306) (-3696 . 176208) (-3697 . 176115) (-3698 . 175873) (-3699 . 175820) (-3700 . 175747) (-3701 . 175663) (-3702 . 175608) (-3703 . 175451) (-3704 . 175144) (-3705 . 174896) (-3706 . 174656) (-3707 . 174536) (-3708 . 174483) (-3709 . 174413) (-3710 . 174363) (-3711 . 174055) (-3712 . 173902) (-3713 . 173850) (-3714 . 173651) (-3715 . 173400) (-3716 . 173271) (-3717 . 172988) (-3718 . 172960) (-3719 . 172932) (-3720 . 172772) (-3721 . 172675) (-3722 . 172374) (-3723 . 172322) (-3724 . 171802) (-3725 . 171483) (-3726 . 171244) (-3727 . 171007) (-3728 . 170926) (-3729 . 170863) (-3730 . 170774) (-3731 . 170521) (-3732 . 170463) (-3733 . 170429) (-3734 . 170193) (-3735 . 169975) (-3736 . 169344) (-3737 . 169245) (-3738 . 169052) (-3739 . 168979) (-3740 . 168635) (-3741 . 168558) (-3742 . 168469) (-3743 . 168306) (-3744 . 168200) (-3745 . 168081) (-3746 . 167710) (-3747 . 167682) (-3748 . 167579) (-3749 . 167465) (-3750 . 167367) (-3751 . 167339) (-3752 . 167235) (-3753 . 167146) (-3754 . 166838) (-3755 . 166759) (-3756 . 166599) (-3757 . 166449) (-3758 . 165880) (-3759 . 165730) (-3760 . 165658) (-3761 . 165424) (-3762 . 165350) (-3763 . 165104) (-3764 . 164600) (-3765 . 164315) (-3766 . 164259) (-3767 . 164136) (-3768 . 164080) (-3769 . 163914) (-3770 . 163659) (-3771 . 163420) (-3772 . 163270) (-3773 . 163157) (-3774 . 163079) (-3775 . 162792) (-3776 . 162739) (-3777 . 162335) (-3778 . 162001) (-3779 . 161904) (-3780 . 161775) (-3781 . 161686) (-3782 . 161586) (-3783 . 161349) (-3784 . 161168) (-3785 . 161140) (-3786 . 161088) (-3787 . 160974) (-3788 . 160780) (-3789 . 160618) (-3790 . 160527) (-3791 . 159941) (-3792 . 159857) (-3793 . 159692) (-3794 . 159210) (-3795 . 158965) (-3796 . 158283) (-3797 . 158165) (-3798 . 158113) (-3799 . 157910) (-3800 . 157757) (-3801 . 157647) (-3802 . 157518) (-3803 . 157489) (-3804 . 157337) (-3805 . 157252) (-3806 . 157182) (-3807 . 156987) (-3808 . 156584) (-3809 . 156464) (-3810 . 156338) (-3811 . 156265) (-3812 . 156131) (-3813 . 155535) (-3814 . 155243) (-3815 . 154775) (-3816 . 154579) (-3817 . 154508) (-3818 . 154437) (-3819 . 154387) (-3820 . 154279) (-3821 . 154176) (-3822 . 153966) (-3823 . 151929) (-3824 . 151772) (-3825 . 151537) (-3826 . 151302) (-3827 . 151211) (-3828 . 150834) (-3829 . 150758) (-3830 . 150688) (-3831 . 150504) (-3832 . 150442) (-3833 . 150243) (-3834 . 150111) (-3835 . 149739) (-3836 . 149673) (-3837 . 149562) (-3838 . 149509) (-3839 . 149420) (-3840 . 147955) (-3841 . 147864) (-3842 . 146867) (-3843 . 146713) (-3844 . 146218) (-3845 . 146144) (-3846 . 145934) (-3847 . 145795) (-3848 . 145734) (-3849 . 145623) (-3850 . 140133) (-3851 . 139978) (-3852 . 139831) (-3853 . 139754) (-3854 . 139657) (-3855 . 139490) (-3856 . 139374) (-3857 . 138533) (-3858 . 137812) (-3859 . 137371) (-3860 . 137246) (-3861 . 136991) (-3862 . 136617) (-3863 . 136408) (-3864 . 136241) (-3865 . 135658) (-3866 . 135601) (-3867 . 135494) (-3868 . 135157) (-3869 . 134065) (-3870 . 133940) (-3871 . 133880) (-3872 . 133730) (-3873 . 133639) (-3874 . 133521) (-3875 . 133451) (-3876 . 133393) (-3877 . 132876) (-3878 . 132735) (-3879 . 132617) (-3880 . 132495) (-3881 . 132384) (-3882 . 132246) (-3883 . 131948) (-3884 . 131920) (-3885 . 131795) (-3886 . 131549) (-3887 . 131359) (-3888 . 131124) (-3889 . 130750) (-3890 . 130672) (-3891 . 130384) (-3892 . 130303) (-3893 . 130178) (-3894 . 130126) (-3895 . 130004) (-3896 . 129810) (-3897 . 129557) (-3898 . 129416) (-3899 . 128844) (-3900 . 128772) (-3901 . 128744) (-3902 . 128647) (-3903 . 128590) (-3904 . 128498) (-3905 . 128421) (-3906 . 128347) (-3907 . 128276) (-3908 . 128126) (-3909 . 127978) (-3910 . 127343) (-3911 . 127309) (-3912 . 126532) (-3913 . 126504) (-3914 . 126354) (-3915 . 122673) (-3916 . 122614) (-3917 . 122562) (-3918 . 122384) (-3919 . 122293) (-3920 . 122121) (-3921 . 122069) (-3922 . 122001) (-3923 . 121679) (-3924 . 121617) (-3925 . 121507) (-3926 . 121413) (-3927 . 121290) (-3928 . 121138) (-3929 . 120325) (-3930 . 120183) (-3931 . 120109) (-3932 . 120012) (-3933 . 119920) (-3934 . 119748) (-3935 . 119445) (-3936 . 119033) (-3937 . 118915) (-3938 . 118802) (-3939 . 118595) (-3940 . 118416) (-3941 . 118334) (-3942 . 118182) (-3943 . 118115) (-3944 . 117919) (-3945 . 117703) (-3946 . 116213) (-3947 . 116109) (-3948 . 116016) (-3949 . 115926) (-3950 . 115827) (-3951 . 115133) (-3952 . 114934) (-3953 . 114903) (-3954 . 114828) (-3955 . 114751) (-3956 . 114328) (-3957 . 113605) (-3958 . 113506) (-3959 . 113321) (-3960 . 113219) (-3961 . 113166) (-3962 . 113091) (-3963 . 112908) (-3964 . 112756) (-3965 . 112660) (-3966 . 112597) (-3967 . 112421) (-3968 . 112174) (-3969 . 112146) (-3970 . 111962) (-3971 . 111700) (-3972 . 111612) (-3973 . 111559) (-3974 . 111463) (-3975 . 111397) (-3976 . 111294) (-3977 . 111219) (-3978 . 111119) (-3979 . 111053) (-3980 . 110946) (-3981 . 110862) (-3982 . 110735) (-3983 . 110580) (-3984 . 110524) (-3985 . 110459) (-3986 . 109501) (-3987 . 109438) (-3988 . 109325) (-3989 . 109263) (-3990 . 109139) (-3991 . 109023) (-3992 . 108944) (-3993 . 108788) (-3994 . 108453) (-3995 . 108387) (-3996 . 108054) (-3997 . 107981) (-3998 . 107860) (-3999 . 107218) (-4000 . 107166) (-4001 . 106956) (-4002 . 106873) (-4003 . 106821) (-4004 . 106714) (-4005 . 106656) (-4006 . 106535) (-4007 . 106127) (-4008 . 106061) (-4009 . 105838) (-4010 . 105705) (-4011 . 105602) (-4012 . 105543) (-4013 . 105401) (-4014 . 105299) (-4015 . 105223) (-4016 . 105157) (-4017 . 105084) (-4018 . 104983) (-4019 . 104793) (-4020 . 104742) (-4021 . 104570) (-4022 . 104286) (-4023 . 104187) (-4024 . 104114) (-4025 . 103494) (-4026 . 103402) (-4027 . 103349) (-4028 . 103296) (-4029 . 103212) (-4030 . 103116) (-4031 . 102963) (-4032 . 102890) (-4033 . 102738) (-4034 . 102629) (-4035 . 102466) (-4036 . 102370) (-4037 . 102102) (-4038 . 101970) (-4039 . 101834) (-4040 . 101768) (-4041 . 101688) (-4042 . 101555) (-4043 . 101433) (-4044 . 101301) (-4045 . 101191) (-4046 . 101139) (-4047 . 101069) (-4048 . 100936) (-4049 . 100864) (-4050 . 100783) (-4051 . 100712) (-4052 . 100631) (-4053 . 100467) (-4054 . 100381) (-4055 . 100255) (-4056 . 100048) (-4057 . 99834) (-4058 . 99764) (-4059 . 99604) (-4060 . 99518) (-4061 . 99395) (-4062 . 99213) (-4063 . 99082) (-4064 . 98942) (-4065 . 98868) (-4066 . 98741) (-4067 . 98655) (-4068 . 98552) (-4069 . 98278) (-4070 . 98175) (-4071 . 97968) (-4072 . 97900) (-4073 . 97814) (-4074 . 97385) (-4075 . 97049) (-4076 . 96860) (-4077 . 96741) (-4078 . 96655) (-4079 . 96485) (-4080 . 96322) (-4081 . 96247) (-4082 . 96009) (-4083 . 95673) (-4084 . 95599) (-4085 . 94666) (-4086 . 94580) (-4087 . 94514) (-4088 . 93865) (-4089 . 93402) (-4090 . 93336) (-4091 . 93263) (-4092 . 93185) (-4093 . 93099) (-4094 . 92942) (-4095 . 92889) (-4096 . 92748) (-4097 . 92674) (-4098 . 92060) (-4099 . 91903) (-4100 . 91817) (-4101 . 91720) (-4102 . 91554) (-4103 . 91490) (-4104 . 91456) (-4105 . 91400) (-4106 . 91266) (-4107 . 91180) (-4108 . 91112) (-4109 . 90819) (-4110 . 90745) (-4111 . 90641) (-4112 . 90531) (-4113 . 90472) (-4114 . 90386) (-4115 . 90287) (-4116 . 89481) (-4117 . 89289) (-4118 . 89087) (-4119 . 89021) (-4120 . 88971) (-4121 . 88898) (-4122 . 88806) (-4123 . 88416) (-4124 . 88265) (-4125 . 88057) (-4126 . 87982) (-4127 . 87193) (-4128 . 87043) (-4129 . 86957) (-4130 . 86417) (-4131 . 86338) (-4132 . 86219) (-4133 . 86138) (-4134 . 85891) (-4135 . 85779) (-4136 . 85693) (-4137 . 85557) (-4138 . 85529) (-4139 . 85413) (-4140 . 85345) (-4141 . 85210) (-4142 . 85124) (-4143 . 84934) (-4144 . 84859) (-4145 . 84784) (-4146 . 84498) (-4147 . 84397) (-4148 . 84322) (-4149 . 84236) (-4150 . 84086) (-4151 . 84031) (-4152 . 83857) (-4153 . 83724) (-4154 . 83378) (-4155 . 83242) (-4156 . 82898) (-4157 . 82812) (-4158 . 82721) (-4159 . 82603) (-4160 . 82533) (-4161 . 82375) (-4162 . 82183) (-4163 . 82035) (-4164 . 81726) (-4165 . 81633) (-4166 . 81515) (-4167 . 81038) (-4168 . 80794) (-4169 . 80295) (-4170 . 78952) (-4171 . 78842) (-4172 . 78747) (-4173 . 78640) (-4174 . 78266) (-4175 . 78105) (-4176 . 78013) (-4177 . 77888) (-4178 . 77639) (-4179 . 77454) (-4180 . 77385) (-4181 . 77260) (-4182 . 76879) (-4183 . 76787) (-4184 . 76628) (-4185 . 76561) (-4186 . 76414) (-4187 . 76358) (-4188 . 75292) (-4189 . 75203) (-4190 . 75097) (-4191 . 72852) (-4192 . 72779) (-4193 . 72644) (-4194 . 72567) (-4195 . 72495) (-4196 . 72388) (-4197 . 72194) (-4198 . 72108) (-4199 . 71905) (-4200 . 71505) (-4201 . 71253) (-4202 . 71146) (-4203 . 71094) (-4204 . 70922) (-4205 . 70816) (-4206 . 70720) (-4207 . 70638) (-4208 . 70606) (-4209 . 70524) (-4210 . 70438) (-4211 . 70300) (-4212 . 70019) (-4213 . 69922) (-4214 . 69815) (-4215 . 69701) (-4216 . 69544) (-4217 . 69484) (-4218 . 69416) (-4219 . 69263) (-4220 . 69204) (-4221 . 69052) (-4222 . 68966) (-4223 . 68768) (-4224 . 68669) (-4225 . 68526) (-4226 . 68380) (-4227 . 68217) (-4228 . 68099) (-4229 . 67901) (-4230 . 67566) (-4231 . 67296) (-4232 . 67230) (-4233 . 66750) (-4234 . 66664) (-4235 . 66496) (-4236 . 66400) (-4237 . 66347) (-4238 . 66236) (-4239 . 66150) (-4240 . 65990) (-4241 . 65900) (-4242 . 65363) (-4243 . 65161) (-4244 . 64947) (-4245 . 64852) (-4246 . 64694) (-4247 . 64471) (-4248 . 64422) (-4249 . 64331) (-4250 . 64058) (-4251 . 63819) (-4252 . 63633) (-4253 . 63109) (-4254 . 62260) (-4255 . 62087) (-4256 . 62053) (-4257 . 61937) (-4258 . 61864) (-4259 . 61778) (-4260 . 61704) (-4261 . 61597) (-4262 . 61515) (-4263 . 61398) (-4264 . 61240) (-4265 . 61181) (-4266 . 60869) (-4267 . 60775) (-4268 . 60743) (-4269 . 60657) (-4270 . 60408) (-4271 . 60310) (-4272 . 59971) (-4273 . 59897) (-4274 . 59709) (-4275 . 59657) (-4276 . 59507) (-4277 . 59349) (-4278 . 59265) (-4279 . 59170) (-4280 . 54762) (-4281 . 54670) (-4282 . 54478) (-4283 . 54345) (-4284 . 53713) (-4285 . 53682) (-4286 . 53630) (-4287 . 53523) (-4288 . 53269) (-4289 . 50731) (-4290 . 50477) (-4291 . 50344) (-4292 . 50316) (-4293 . 49970) (-4294 . 49904) (-4295 . 48550) (-4296 . 48464) (-4297 . 48259) (-4298 . 48040) (-4299 . 47968) (-4300 . 47892) (-4301 . 47619) (-4302 . 47533) (-4303 . 47444) (-4304 . 47344) (-4305 . 47315) (-4306 . 47262) (-4307 . 47145) (-4308 . 46721) (-4309 . 46635) (-4310 . 46318) (-4311 . 46233) (-4312 . 46011) (-4313 . 45836) (-4314 . 45381) (-4315 . 45295) (-4316 . 45143) (-4317 . 45058) (-4318 . 44792) (-4319 . 44717) (-4320 . 44522) (-4321 . 44206) (-4322 . 43970) (-4323 . 43942) (-4324 . 43873) (-4325 . 43526) (-4326 . 39602) (-4327 . 39460) (-4328 . 39318) (-4329 . 39146) (-4330 . 38576) (-4331 . 38524) (-4332 . 38348) (-4333 . 38255) (-4334 . 37993) (-4335 . 37901) (-4336 . 37698) (-4337 . 37601) (-4338 . 37193) (-4339 . 37017) (-4340 . 36866) (-4341 . 36814) (-4342 . 36201) (-4343 . 36129) (-4344 . 36077) (-4345 . 35843) (-4346 . 35717) (-4347 . 35476) (-4348 . 35424) (-4349 . 35358) (-4350 . 35088) (-4351 . 34983) (-4352 . 34408) (-4353 . 34351) (-4354 . 34193) (-4355 . 34086) (-4356 . 33761) (-4357 . 33455) (-4358 . 33214) (-4359 . 33081) (-4360 . 32946) (-4361 . 32893) (-4362 . 32355) (-4363 . 32098) (-4364 . 31993) (-4365 . 31819) (-4366 . 31624) (-4367 . 31525) (-4368 . 31413) (-4369 . 31300) (-4370 . 31197) (-4371 . 31095) (-4372 . 30996) (-4373 . 30914) (-4374 . 30877) (-4375 . 30691) (-4376 . 30567) (-4377 . 30492) (-4378 . 30382) (-4379 . 30307) (-4380 . 30236) (-4381 . 30134) (-4382 . 29984) (-4383 . 29866) (-4384 . 29489) (-4385 . 28266) (-4386 . 28176) (-4387 . 28093) (-4388 . 27670) (-4389 . 27591) (-4390 . 27536) (-4391 . 27451) (-4392 . 27331) (-4393 . 27200) (-4394 . 26918) (-4395 . 26867) (-4396 . 26799) (-4397 . 26647) (-4398 . 26226) (-4399 . 26129) (-4400 . 25996) (-4401 . 25893) (-4402 . 25790) (-4403 . 25759) (-4404 . 25707) (-4405 . 25478) (-4406 . 24851) (-4407 . 24799) (-4408 . 24612) (-4409 . 24373) (-4410 . 24345) (-4411 . 24191) (-4412 . 24109) (-4413 . 23931) (-4414 . 23825) (-4415 . 23759) (-4416 . 23655) (-4417 . 21943) (-4418 . 20767) (-4419 . 20642) (-4420 . 20498) (-4421 . 20426) (-4422 . 20321) (-4423 . 20219) (-4424 . 20162) (-4425 . 20010) (-4426 . 19958) (-4427 . 19633) (-4428 . 17196) (-4429 . 17076) (-4430 . 16921) (-4431 . 16869) (-4432 . 16792) (-4433 . 16719) (-4434 . 16537) (-4435 . 16458) (-4436 . 16339) (-4437 . 15988) (-4438 . 15915) (-4439 . 15078) (-4440 . 14939) (-4441 . 14674) (-4442 . 14582) (-4443 . 14289) (-4444 . 14173) (-4445 . 14108) (-4446 . 12980) (-4447 . 12830) (-4448 . 12702) (-4449 . 12546) (-4450 . 11877) (-4451 . 11758) (-4452 . 11489) (-4453 . 11012) (-4454 . 10025) (-4455 . 9963) (-4456 . 9929) (-4457 . 9697) (-4458 . 9482) (-4459 . 9338) (-4460 . 9190) (-4461 . 9132) (** . 6067) (-4463 . 5915) (-4464 . 5841) (-4465 . 5774) (-4466 . 5652) (-4467 . 5554) (-4468 . 5431) (-4469 . 5334) (-4470 . 4889) (-4471 . 4791) (-4472 . 4715) (-4473 . 4642) (-4474 . 4593) (-4475 . 4367) (-4476 . 4215) (-4477 . 4070) (-4478 . 3942) (-4479 . 3696) (-4480 . 3423) (-4481 . 3290) (-4482 . 3209) (-4483 . 3073) (-4484 . 3021) (-4485 . 2748) (-4486 . 2647) (-4487 . 2563) (-4488 . 2453) (-4489 . 2237) (-4490 . 1798) (-4491 . 1723) (-4492 . 1592) (-4493 . 1442) (-4494 . 1293) (-4495 . 782) (-4496 . 513) (-4497 . 447) (-4498 . 308) (-4499 . 223) (-4500 . 115) (-4501 . 30)) 
\ No newline at end of file
+(((*1 *2 *3 *4 *2 *2 *5) (|partial| -12 (-5 *2 (-836 *4)) (-5 *3 (-608 *4)) (-5 *5 (-121)) (-4 *4 (-13 (-1183) (-29 *6))) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-215 *6 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-3 (-410 (-954 *5)) (-1152 (-1163) (-954 *5)))) (-4 *5 (-454)) (-5 *2 (-635 (-680 (-410 (-954 *5))))) (-5 *1 (-287 *5)) (-5 *4 (-680 (-410 (-954 *5))))))) 
+(((*1 *1 *2) (|partial| -12 (-5 *2 (-815 *3)) (-4 *3 (-843)) (-5 *1 (-664 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-330 *3)) (-4 *3 (-843))))) 
+(((*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-371)) (-4 *2 (-366)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1247 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-836 (-382))) (-5 *2 (-836 (-216))) (-5 *1 (-300))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-972 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-3 (|:| |overq| (-1159 (-410 (-569)))) (|:| |overan| (-1159 (-53))) (|:| -1546 (-121)))) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1222 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-123)))) ((*1 *2 *1) (-12 (-4 *1 (-367 *2 *3)) (-4 *3 (-1091)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1145)))) ((*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-441 *3)) (-14 *3 *2))) ((*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-608 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-1069 *3)) (-14 *3 *2))) ((*1 *1 *1) (-5 *1 (-1163)))) 
+(((*1 *1 *1 *1) (-5 *1 (-216))) ((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1 (-382))) (-5 *1 (-1040)))) ((*1 *1 *1 *1) (-4 *1 (-1125)))) 
+(((*1 *1 *1) (-4 *1 (-147))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1048)) (-4 *1 (-678 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-851)))) (-5 *1 (-851)))) ((*1 *2 *1) (-12 (-5 *2 (-1128 *3 *4)) (-5 *1 (-995 *3 *4)) (-14 *3 (-918)) (-4 *4 (-366)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *5))) (-4 *5 (-1048)) (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-57)) (-5 *1 (-825))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1 (-945 (-216)) (-945 (-216)))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-945 (-216)) (-945 (-216)))) (-5 *1 (-257)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-493 *5 *6))) (-5 *3 (-493 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-454)) (-5 *2 (-1247 *6)) (-5 *1 (-623 *5 *6))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-559)) (-4 *4 (-843)) (-5 *1 (-578 *4 *2)) (-4 *2 (-433 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1247 (-680 *4))) (-4 *4 (-173)) (-5 *2 (-1247 (-680 (-954 *4)))) (-5 *1 (-182 *4))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-1048)) (-4 *4 (-1222 *3)) (-5 *1 (-165 *3 *4 *2)) (-4 *2 (-1222 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-764)) (-5 *1 (-447 *3)) (-4 *3 (-1048)))) ((*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-447 *3)) (-4 *3 (-1048))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-421 *3)) (-4 *3 (-559)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -1743 *4) (|:| -2492 (-569))))) (-4 *4 (-1222 (-569))) (-5 *2 (-764)) (-5 *1 (-444 *4))))) 
+(((*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-918)))) ((*1 *1) (-4 *1 (-551))) ((*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-689)))) ((*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-689)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-900 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *2 (-635 (-2 (|:| |deg| (-764)) (|:| -1502 *5)))) (-5 *1 (-805 *4 *5 *3 *6)) (-4 *3 (-647 *5)) (-4 *6 (-647 (-410 *5)))))) 
+(((*1 *1 *2 *2) (-12 (-5 *1 (-874 *2)) (-4 *2 (-1197)))) ((*1 *1 *2 *2 *2) (-12 (-5 *1 (-876 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-945 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-945 *3))) (-4 *3 (-1048)) (-4 *1 (-1123 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-945 *3))) (-4 *1 (-1123 *3)) (-4 *3 (-1048))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1011 *3)) (-4 *3 (-1197)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1184 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-423 *3 *2 *4 *5)) (-4 *2 (-13 (-27) (-1183) (-433 *3))) (-14 *4 (-1163)) (-14 *5 *2))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-4 *2 (-13 (-27) (-1183) (-433 *3) (-10 -8 (-15 -2185 ($ *4))))) (-4 *4 (-841)) (-4 *5 (-13 (-1224 *2 *4) (-366) (-1183) (-10 -8 (-15 -3899 ($ $)) (-15 -2565 ($ $))))) (-5 *1 (-425 *3 *2 *4 *5 *6 *7)) (-4 *6 (-985 *5)) (-14 *7 (-1163))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-1 (-1252) (-1095))) (-5 *2 (-1252)) (-5 *1 (-102))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-410 *5)) (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-5 *1 (-152 *4 *5 *2)) (-4 *2 (-1222 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1165 (-410 (-569)))) (-5 *2 (-410 (-569))) (-5 *1 (-183)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-680 (-311 (-216)))) (-5 *3 (-635 (-1163))) (-5 *4 (-1247 (-311 (-216)))) (-5 *1 (-198)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-289 *3))) (-4 *3 (-304 *3)) (-4 *3 (-1091)) (-4 *3 (-1197)) (-5 *1 (-289 *3)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-304 *2)) (-4 *2 (-1091)) (-4 *2 (-1197)) (-5 *1 (-289 *2)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *1 *1)) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *1 (-635 *1))) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-123))) (-5 *3 (-635 (-1 *1 (-635 *1)))) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-123))) (-5 *3 (-635 (-1 *1 *1))) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1 *1 *1)) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1 *1 (-635 *1))) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-635 (-1 *1 (-635 *1)))) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-635 (-1 *1 *1))) (-4 *1 (-297)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-289 *3))) (-4 *1 (-304 *3)) (-4 *3 (-1091)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-289 *3)) (-4 *1 (-304 *3)) (-4 *3 (-1091)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-569))) (-5 *4 (-1165 (-410 (-569)))) (-5 *1 (-305 *2)) (-4 *2 (-43 (-410 (-569)))))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 *1)) (-4 *1 (-377 *4 *5)) (-4 *4 (-843)) (-4 *5 (-173)))) ((*1 *1 *1 *2 *1) (-12 (-4 *1 (-377 *2 *3)) (-4 *2 (-843)) (-4 *3 (-173)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-764)) (-5 *4 (-1 *1 *1)) (-4 *1 (-433 *5)) (-4 *5 (-843)) (-4 *5 (-1048)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-764)) (-5 *4 (-1 *1 (-635 *1))) (-4 *1 (-433 *5)) (-4 *5 (-843)) (-4 *5 (-1048)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-635 (-764))) (-5 *4 (-635 (-1 *1 (-635 *1)))) (-4 *1 (-433 *5)) (-4 *5 (-843)) (-4 *5 (-1048)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-635 (-764))) (-5 *4 (-635 (-1 *1 *1))) (-4 *1 (-433 *5)) (-4 *5 (-843)) (-4 *5 (-1048)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-123))) (-5 *3 (-635 *1)) (-5 *4 (-1163)) (-4 *1 (-433 *5)) (-4 *5 (-843)) (-4 *5 (-610 (-542))))) ((*1 *1 *1 *2 *1 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1163)) (-4 *1 (-433 *4)) (-4 *4 (-843)) (-4 *4 (-610 (-542))))) ((*1 *1 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-843)) (-4 *2 (-610 (-542))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-1163))) (-4 *1 (-433 *3)) (-4 *3 (-843)) (-4 *3 (-610 (-542))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1163)) (-4 *1 (-433 *3)) (-4 *3 (-843)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *4) (-12 (-14 *5 (-635 (-1163))) (-4 *3 (-951 *2 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *2)) (-4 *8 (-642 *2)) (-4 *4 (-921 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *3 *4) (-12 (-14 *5 (-635 (-1163))) (-4 *3 (-951 *2 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *2)) (-4 *8 (-642 *2)) (-4 *4 (-921 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 *6)) (-4 *6 (-951 *2 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-14 *5 (-635 (-1163))) (-4 *8 (-972 *2)) (-4 *9 (-642 *2)) (-4 *4 (-921 *2 *9)) (-4 *10 (-236 *4)) (-4 *11 (-537 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *1 *1 *2 *3) (-12 (-4 *1 (-524 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1197)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 *5)) (-4 *1 (-524 *4 *5)) (-4 *4 (-1091)) (-4 *5 (-1197)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-829 *3)) (-4 *3 (-366)) (-5 *1 (-709 *3)))) ((*1 *2 *1 *2) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-351)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-351)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-351)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-922 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-366)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-922 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-366)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-922 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-366)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-899 *2)) (-4 *2 (-1091)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-4 *2 (-366)) (-5 *1 (-930 *2 *3 *5 *6 *4)) (-4 *3 (-325 *2 *5)) (-4 *4 (-972 *2)))) ((*1 *2 *2 *3 *2) (-12 (-5 *2 (-410 (-954 *4))) (-5 *3 (-1163)) (-4 *4 (-559)) (-5 *1 (-1043 *4)))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 (-1163))) (-5 *4 (-635 (-410 (-954 *5)))) (-5 *2 (-410 (-954 *5))) (-4 *5 (-559)) (-5 *1 (-1043 *5)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-289 (-410 (-954 *4)))) (-5 *2 (-410 (-954 *4))) (-4 *4 (-559)) (-5 *1 (-1043 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-289 (-410 (-954 *4))))) (-5 *2 (-410 (-954 *4))) (-4 *4 (-559)) (-5 *1 (-1043 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-1224 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (|has| *3 (-15 ** (*3 *3 *4))) (-5 *2 (-1143 *3))))) 
+(((*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-151) (-27) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *2 (-1159 (-410 *5))) (-5 *1 (-611 *4 *5)) (-5 *3 (-410 *5)))) ((*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-151) (-27) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-1159 (-410 *6))) (-5 *1 (-611 *5 *6)) (-5 *3 (-410 *6))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-569)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1048))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-635 (-1219 *5 *4))) (-5 *1 (-1105 *4 *5)) (-5 *3 (-1219 *5 *4))))) 
+(((*1 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-371)) (-4 *2 (-1091))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-764)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *4)) (-4 *4 (-52 *2 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-569))) (-5 *4 (-569)) (-5 *2 (-57)) (-5 *1 (-1006))))) 
+(((*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-764)) (-4 *4 (-173))))) 
+(((*1 *2 *3) (-12 (-14 *4 (-635 (-1163))) (-14 *5 (-764)) (-5 *2 (-635 (-515 (-410 (-569)) (-233 *5 (-764)) (-853 *4) (-243 *4 (-410 (-569)))))) (-5 *1 (-516 *4 *5)) (-5 *3 (-515 (-410 (-569)) (-233 *5 (-764)) (-853 *4) (-243 *4 (-410 (-569)))))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| (-1163)) (|:| |c| (-1267 *3))))) (-5 *1 (-1267 *3)) (-4 *3 (-1048)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| *3) (|:| |c| (-1269 *3 *4))))) (-5 *1 (-1269 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1109)) (-5 *2 (-121)) (-5 *1 (-817))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-259 *11))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-1163)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-121))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1145))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-1048))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-594 *3)) (-4 *3 (-43 *2)) (-4 *3 (-1048))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-1048)) (-5 *2 (-954 *5)) (-5 *1 (-946 *4 *5))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 (-635 *6))) (-4 *6 (-951 *3 *5 *4)) (-4 *3 (-13 (-302) (-151))) (-4 *4 (-13 (-843) (-610 (-1163)))) (-4 *5 (-789)) (-5 *1 (-925 *3 *4 *5 *6))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-843)) (-5 *1 (-1169 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-421 *3)) (-4 *3 (-551)) (-4 *3 (-559)))) ((*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (-12 (-4 *1 (-793 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-829 *3)) (-4 *3 (-551)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-836 *3)) (-4 *3 (-551)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-998 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1009 *3)) (-4 *3 (-1038 *2))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3516 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-686 *2)) (-4 *2 (-1222 *3))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-1197)) (-5 *1 (-180 *3 *2)) (-4 *2 (-666 *3))))) 
+(((*1 *2 *2 *3 *4) (-12 (-5 *2 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *5)) (-4 *5 (-366)) (-5 *3 (-764)) (-14 *6 (-635 (-1163))) (-4 *8 (-231 (-4168 *6) *3)) (-5 *1 (-119 *5 *6 *7 *8 *4)) (-4 *7 (-325 *5 *8)) (-4 *4 (-117))))) 
+(((*1 *2 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-231 (-4168 *5) (-764))) (-5 *1 (-119 *4 *5 *2 *6 *3)) (-4 *2 (-325 *4 *6)) (-4 *3 (-117))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1163)) (-5 *2 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *1 (-1166))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1222 *3)) (-4 *3 (-1048))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-172))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1038 (-569)))) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| |ans| (-410 *5)) (|:| |nosol| (-121)))) (-5 *1 (-1016 *4 *5)) (-5 *3 (-410 *5))))) 
+(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-106 *3))))) 
+(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 (-2 (|:| -3032 *4) (|:| |coeff| *4)) "failed") *4)) (-4 *4 (-366)) (-5 *1 (-579 *4 *2)) (-4 *2 (-1222 *4))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |val| (-635 *6)) (|:| -4003 *7)))) (-4 *6 (-1062 *3 *4 *5)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-990 *3 *4 *5 *6 *7)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |val| (-635 *6)) (|:| -4003 *7)))) (-4 *6 (-1062 *3 *4 *5)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-1098 *3 *4 *5 *6 *7))))) 
+(((*1 *1 *1 *1) (-5 *1 (-851)))) 
+(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-764)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-1216 *4 *2)) (-4 *2 (-1222 *4))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-979 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
+(((*1 *2 *3 *2 *3 *2 *3) (-12 (-5 *2 (-959 (-216))) (-5 *3 (-1109)) (-5 *1 (-115))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1247 (-2 (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)) (|:| -3047 (-569)) (|:| -3323 (-569)) (|:| |spline| (-569)) (|:| -3671 (-569)) (|:| |axesColor| (-870)) (|:| -3601 (-569)) (|:| |unitsColor| (-870)) (|:| |showing| (-569))))) (-5 *1 (-1248))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-311 (-216))) (-5 *1 (-264))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -2714 *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
+(((*1 *2 *3) (-12 (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *2 (-2 (|:| |glbase| (-635 (-243 *4 *5))) (|:| |glval| (-635 (-569))))) (-5 *1 (-623 *4 *5)) (-5 *3 (-635 (-243 *4 *5)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218))))) 
+(((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-888 *4)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-885 *4 *5)) (-4 *5 (-1091)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-5 *2 (-121)) (-5 *1 (-886 *5 *3)) (-4 *3 (-1197)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-4 *6 (-1197)) (-5 *2 (-121)) (-5 *1 (-886 *5 *6))))) 
+(((*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-569)) (-4 *3 (-173)) (-4 *5 (-376 *3)) (-4 *6 (-376 *3)) (-5 *1 (-679 *3 *5 *6 *2)) (-4 *2 (-678 *3 *5 *6))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1060))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |cd| (-1145)) (|:| -1486 (-1145)))) (-5 *1 (-818))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-37 *3)) (-4 *3 (-366)))) ((*1 *1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) ((*1 *1 *1 *1) (-4 *1 (-479))) ((*1 *1 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) ((*1 *1 *1) (-4 *1 (-859))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-879)))) ((*1 *1 *1) (-12 (-4 *1 (-972 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-972 *3)) (-4 *3 (-366)))) ((*1 *1 *1) (-5 *1 (-973))) ((*1 *1 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173))))) 
+(((*1 *1 *2) (|partial| -12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-1258 *3 *4 *5 *6)))) ((*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-635 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-1258 *5 *6 *7 *8))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *2 *3 *2) (-12 (-5 *3 (-764)) (-4 *4 (-351)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1222 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-410 (-569))) (-5 *1 (-300))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-391)) (-5 *1 (-439)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-391)) (-5 *1 (-439))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-1183)))) ((*1 *2 *1) (-12 (-5 *1 (-330 *2)) (-4 *2 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-608 *3)) (-4 *3 (-843))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-713)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-717)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-5 *2 (-635 *8)) (-5 *1 (-31 *5 *6 *3 *7 *8)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *8 (-972 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *5 *6 *3 *7 *8)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *8 (-972 *5))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-764)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1065 *6 *7 *8 *3 *4)) (-4 *4 (-1067 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1065 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-764)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1131 *6 *7 *8 *3 *4)) (-4 *4 (-1100 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1131 *5 *6 *7 *3 *4)) (-4 *4 (-1100 *5 *6 *7 *3))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1048) (-843))) (-14 *3 (-635 (-1163)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-321 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-138)) (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -2436 *4)))))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -4140 *3) (|:| -4145 *4)))) (-5 *1 (-726 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-717)))) ((*1 *2 *1) (-12 (-4 *1 (-1224 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-5 *2 (-1143 (-2 (|:| |k| *4) (|:| |c| *3))))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
+(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 (-680 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166)))) ((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-1167))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-454)) (-4 *4 (-843)) (-4 *5 (-789)) (-5 *2 (-635 *6)) (-5 *1 (-989 *3 *4 *5 *6)) (-4 *6 (-951 *3 *5 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-5 *2 (-1159 *3)) (-5 *1 (-1172 *3)) (-4 *3 (-366))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-764)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-466))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1247 (-311 (-216)))) (-5 *4 (-635 (-1163))) (-5 *2 (-680 (-311 (-216)))) (-5 *1 (-198)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-4 *6 (-896 *5)) (-5 *2 (-680 *6)) (-5 *1 (-682 *5 *6 *3 *4)) (-4 *3 (-376 *6)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4535))))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1) (-4 *1 (-1125)))) 
+(((*1 *2 *2) (|partial| -12 (-4 *3 (-559)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-679 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2))))) 
+(((*1 *1 *1) (-4 *1 (-1130)))) 
+(((*1 *1 *1 *1 *1) (-4 *1 (-551)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-843) (-1038 (-569)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 (-170 *3)))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-5 *1 (-181 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 (-170 *4)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-493 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-1048)) (-5 *2 (-954 *5)) (-5 *1 (-946 *4 *5))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-243 *3 *4)) (-14 *3 (-635 (-1163))) (-4 *4 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-14 *3 (-635 (-1163))) (-5 *1 (-456 *3 *4 *5)) (-4 *4 (-1048)) (-4 *5 (-231 (-4168 *3) (-764))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-493 *3 *4)) (-14 *3 (-635 (-1163))) (-4 *4 (-1048))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1093 *4)) (-4 *4 (-1091)) (-5 *2 (-1 *4)) (-5 *1 (-1018 *4)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-1 (-382))) (-5 *1 (-1040)) (-5 *3 (-382)))) ((*1 *2 *3) (-12 (-5 *3 (-1085 (-569))) (-5 *2 (-1 (-569))) (-5 *1 (-1046))))) 
+(((*1 *1 *1 *1 *1) (-4 *1 (-754)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-57)) (-5 *1 (-825))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *6 (-918)) (-4 *5 (-302)) (-4 *3 (-1222 *5)) (-5 *2 (-2 (|:| |plist| (-635 *3)) (|:| |modulo| *5))) (-5 *1 (-463 *5 *3)) (-5 *4 (-635 *3))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *1 (-1229 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1206 *3))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-918)) (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-366)))) ((*1 *2 *1) (-12 (-4 *1 (-373 *2 *3)) (-4 *3 (-1222 *2)) (-4 *2 (-173)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-918)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1112 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (-4 *2 (-1048))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218)) (-5 *3 (-216))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-99))))) 
+(((*1 *1 *1) (-12 (-4 *2 (-351)) (-4 *2 (-1048)) (-5 *1 (-703 *2 *3)) (-4 *3 (-1222 *2))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-928))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *13)) (-4 *13 (-259 *12)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) *2)) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-5 *2 (-764)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-112)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-542))) (-5 *1 (-542))))) 
+(((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *7)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-635 (-968 *3))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-635 (-967 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-231 (-4168 *5) (-764))) (-5 *2 (-635 *7)) (-5 *1 (-964 *4 *5 *3 *6 *7)) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *7 (-972 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-170 (-569)))))) (-5 *2 (-635 (-635 (-289 (-954 (-170 *4)))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-841))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-289 (-410 (-954 (-170 (-569))))))) (-5 *2 (-635 (-635 (-289 (-954 (-170 *4)))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-841))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 (-170 (-569))))) (-5 *2 (-635 (-289 (-954 (-170 *4))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-841))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-954 (-170 (-569)))))) (-5 *2 (-635 (-289 (-954 (-170 *4))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-841)))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003)))))) 
+(((*1 *2 *3) (-12 (|has| *2 (-6 (-4537 "*"))) (-4 *5 (-376 *2)) (-4 *6 (-376 *2)) (-4 *2 (-1048)) (-5 *1 (-108 *2 *3 *4 *5 *6)) (-4 *3 (-1222 *2)) (-4 *4 (-678 *2 *5 *6))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-14 *5 (-635 (-1163))) (-4 *3 (-951 *2 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *2)) (-4 *8 (-642 *2)) (-4 *4 (-921 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-14 *5 (-635 (-1163))) (-4 *3 (-951 *2 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *2)) (-4 *8 (-642 *2)) (-4 *4 (-921 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 *6)) (-4 *6 (-951 *2 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-14 *5 (-635 (-1163))) (-4 *8 (-972 *2)) (-4 *9 (-642 *2)) (-4 *4 (-921 *2 *9)) (-4 *10 (-236 *4)) (-4 *11 (-537 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-351)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-351)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-351)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-922 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-366)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-922 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-366)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-922 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-366)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117))))) 
+(((*1 *2 *2 *2 *3 *3) (-12 (-5 *3 (-764)) (-4 *4 (-1048)) (-5 *1 (-1218 *4 *2)) (-4 *2 (-1222 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-501)))) ((*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-701))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-13 (-1048) (-708 (-410 (-569))))) (-4 *5 (-843)) (-5 *1 (-1261 *4 *5 *2)) (-4 *2 (-1266 *5 *4))))) 
+(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-1143 *4)) (-5 *3 (-569)) (-4 *4 (-1048)) (-5 *1 (-1147 *4)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1204 *3)) (-4 *3 (-1048)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1238 *3 *4 *5)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-14 *5 *3))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1242 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-1163))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1197)) (-5 *1 (-378 *4 *2)) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4536))))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-329))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-170 (-311 *4))) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 (-170 *4)))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-170 *3)) (-5 *1 (-1187 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) ((*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1159 *5)) (-4 *5 (-366)) (-5 *2 (-635 *6)) (-5 *1 (-536 *5 *6 *4)) (-4 *6 (-366)) (-4 *4 (-13 (-366) (-841)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-421 *3)) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1222 *5))))) 
+(((*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *4)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *7 (-231 (-4168 *5) (-764))) (-5 *2 (-635 (-635 (-764)))) (-5 *1 (-119 *4 *5 *6 *7 *8)) (-4 *6 (-325 *4 *7)) (-4 *8 (-117))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-843)) (-5 *2 (-635 (-635 *4))) (-5 *1 (-1169 *4)) (-5 *3 (-635 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-112)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-209)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-498)))) ((*1 *1 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)) (-4 *2 (-302)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569)))) ((*1 *1 *1) (-4 *1 (-1057)))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-680 (-170 (-410 (-569))))) (-5 *2 (-635 (-2 (|:| |outval| (-170 *4)) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 (-170 *4))))))) (-5 *1 (-757 *4)) (-4 *4 (-13 (-366) (-841)))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1237 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-901 *3)) (-4 *3 (-1091))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788)) (-4 *2 (-454)))) ((*1 *1 *1) (-12 (-4 *1 (-341 *2 *3 *4)) (-4 *2 (-1202)) (-4 *3 (-1222 *2)) (-4 *4 (-1222 (-410 *3))))) ((*1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-454)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-951 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *3 (-454)))) ((*1 *1 *1) (-12 (-4 *1 (-951 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454)))) ((*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-4 *3 (-559)) (-5 *1 (-1150 *3 *2)) (-4 *2 (-1222 *3))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -2291 (-123)) (|:| |w| (-216)))) (-5 *1 (-197))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *1 *3 *3 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-667 *2)) (-4 *2 (-1091))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-1163))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-635 (-410 (-954 *4)))) (-5 *1 (-925 *4 *5 *6 *7)) (-4 *7 (-951 *4 *6 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166))))) 
+(((*1 *1 *1) (-4 *1 (-864 *2)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-451 *3 *4 *5 *6))))) 
+(((*1 *2 *1 *2) (-12 (-4 *1 (-367 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1091))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-99))))) 
+(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) ((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-674 *4 *5 *6)) (-4 *4 (-1091))))) 
+(((*1 *1) (-5 *1 (-1060)))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-4 *6 (-882 *5)) (-5 *2 (-881 *5 *6 (-635 *6))) (-5 *1 (-883 *5 *6 *4)) (-5 *3 (-635 *6)) (-4 *4 (-610 (-888 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-5 *2 (-635 (-289 *3))) (-5 *1 (-883 *5 *3 *4)) (-4 *3 (-1038 (-1163))) (-4 *3 (-882 *5)) (-4 *4 (-610 (-888 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-5 *2 (-635 (-289 (-954 *3)))) (-5 *1 (-883 *5 *3 *4)) (-4 *3 (-1048)) (-3864 (-4 *3 (-1038 (-1163)))) (-4 *3 (-882 *5)) (-4 *4 (-610 (-888 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-5 *2 (-885 *5 *3)) (-5 *1 (-883 *5 *3 *4)) (-3864 (-4 *3 (-1038 (-1163)))) (-3864 (-4 *3 (-1048))) (-4 *3 (-882 *5)) (-4 *4 (-610 (-888 *5)))))) 
+(((*1 *1 *1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *3 (-559))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *1 *1 *2 *1) (-12 (-4 *1 (-135 *2)) (-4 *2 (-1091))))) 
+(((*1 *2 *2 *1) (-12 (-5 *2 (-635 *6)) (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 *2) (-4 *5 (-173)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-918)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-918)))) ((*1 *2) (-12 (-4 *1 (-373 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1222 *3)) (-5 *2 (-918)))) ((*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-764)) (-5 *1 (-530 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-680 *5)) (-5 *4 (-1247 *5)) (-4 *5 (-366)) (-5 *2 (-764)) (-5 *1 (-660 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-5 *2 (-764)) (-5 *1 (-661 *5 *6 *4 *3)) (-4 *3 (-678 *5 *6 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-559)) (-5 *2 (-764)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-764)) (-5 *1 (-679 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-559)) (-5 *2 (-764))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1091)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 (-888 *3)))) (-5 *2 (-635 (-1070 *3 *4 *5))) (-5 *1 (-1071 *3 *4 *5)) (-4 *5 (-13 (-433 *4) (-882 *3) (-610 (-888 *3))))))) 
+(((*1 *1 *1) (-5 *1 (-1060)))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1145)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-257)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-951 *5 *8 (-853 *6))) (-4 *8 (-231 (-4168 *6) *4)) (-4 *9 (-972 *5)) (-4 *10 (-642 *5)) (-4 *11 (-921 *5 *10)) (-4 *3 (-236 *11)) (-4 *12 (-537 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-117)) (-5 *2 (-635 *7)) (-5 *1 (-468 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2 *3 *4 *5 *2) (-12 (-5 *2 (-635 *5)) (-4 *5 (-951 *6 *8 (-853 *7))) (-4 *8 (-231 (-4168 *7) *4)) (-5 *4 (-764)) (-4 *6 (-366)) (-14 *7 (-635 (-1163))) (-4 *10 (-642 *6)) (-4 *11 (-921 *6 *10)) (-5 *1 (-563 *6 *7 *5 *8 *9 *10 *11 *3)) (-4 *9 (-972 *6)) (-4 *3 (-236 *11)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-764)) (-4 *5 (-351)) (-5 *2 (-635 (-243 *6 *5))) (-5 *1 (-868 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-4 *7 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-922 *5))) (-5 *4 (-764)) (-4 *5 (-366)) (-5 *2 (-635 (-243 *6 *5))) (-5 *1 (-869 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-4 *7 (-117))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-680 *8)) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| *8) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 *8))))) (-5 *1 (-925 *5 *6 *7 *8)) (-5 *4 (-764))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-315 *3 *4 *5)) (-4 *3 (-13 (-366) (-843))) (-14 *4 (-1163)) (-14 *5 *3)))) 
+(((*1 *1 *1) (-5 *1 (-121)))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-4 *4 (-173)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)) (-4 *3 (-173))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-635 (-1163))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *5)))))) (-5 *1 (-763 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *4)))))) (-5 *1 (-763 *4)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *7)) (-5 *5 (-1 (-2 (|:| |particular| (-3 *6 "failed")) (|:| -3930 (-635 *6))) *7 *6)) (-4 *6 (-366)) (-4 *7 (-647 *6)) (-5 *2 (-2 (|:| |particular| (-3 (-1247 *6) "failed")) (|:| -3930 (-635 (-1247 *6))))) (-5 *1 (-809 *6 *7)) (-5 *4 (-1247 *6))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-542) (-635 (-542)))) (-5 *1 (-123)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-542) (-635 (-542)))) (-5 *1 (-123))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-996 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -1869 *6) (|:| |sol?| (-121))) (-569) *6)) (-4 *6 (-366)) (-4 *7 (-1222 *6)) (-5 *2 (-2 (|:| |answer| (-586 (-410 *7))) (|:| |a0| *6))) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-767)) (-5 *1 (-57))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-31 *4 *5 *6 *7 *8)) (-4 *8 (-972 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *8 (-972 *4))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-728 *3)))) ((*1 *1 *2) (-12 (-5 *1 (-728 *2)) (-4 *2 (-1091)))) ((*1 *1) (-12 (-5 *1 (-728 *2)) (-4 *2 (-1091))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-174 (-410 (-569)))) (-5 *1 (-126 *3)) (-14 *3 (-569)))) ((*1 *1 *2 *3 *3) (-12 (-5 *3 (-1143 *2)) (-4 *2 (-302)) (-5 *1 (-174 *2)))) ((*1 *1 *2) (-12 (-5 *2 (-410 *3)) (-4 *3 (-302)) (-5 *1 (-174 *3)))) ((*1 *2 *3) (-12 (-5 *2 (-174 (-569))) (-5 *1 (-758 *3)) (-4 *3 (-407)))) ((*1 *2 *1) (-12 (-5 *2 (-174 (-410 (-569)))) (-5 *1 (-866 *3)) (-14 *3 (-569)))) ((*1 *2 *1) (-12 (-14 *3 (-569)) (-5 *2 (-174 (-410 (-569)))) (-5 *1 (-867 *3 *4)) (-4 *4 (-864 *3))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *1 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197)))) ((*1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-376 *2)) (-4 *2 (-1197)))) ((*1 *1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3)))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1091)) (-4 *4 (-1197)) (-5 *2 (-121)) (-5 *1 (-1143 *4))))) 
+(((*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -3032 (-410 *6)) (|:| |coeff| (-410 *6)))) (-5 *1 (-579 *5 *6)) (-5 *3 (-410 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-311 (-382))) (-5 *2 (-311 (-216))) (-5 *1 (-300))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -1743 (-1159 *6)) (|:| -2356 (-569))))) (-4 *6 (-302)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-569)) (-5 *1 (-733 *4 *5 *6 *7)) (-4 *7 (-951 *6 *4 *5))))) 
+(((*1 *1) (-4 *1 (-39))) ((*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) ((*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) ((*1 *1) (-5 *1 (-851))) ((*1 *1) (-12 (-4 *2 (-454)) (-4 *3 (-843)) (-4 *4 (-789)) (-5 *1 (-989 *2 *3 *4 *5)) (-4 *5 (-951 *2 *4 *3)))) ((*1 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) ((*1 *1) (-12 (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) ((*1 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091)))) ((*1 *1) (-5 *1 (-1166))) ((*1 *1) (-5 *1 (-1167)))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-5 *2 (-121)) (-5 *1 (-587 *3)) (-4 *3 (-551))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-971 *5 *3)) (-4 *3 (-1222 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-185))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-1247 (-680 *4))) (-5 *1 (-95 *4 *5)) (-5 *3 (-680 *4)) (-4 *5 (-647 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-351)) (-5 *2 (-764)))) ((*1 *2 *1 *1) (|partial| -12 (-4 *1 (-405)) (-5 *2 (-764))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *2 (-1036)) (-5 *1 (-744))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1159 *3)) (|:| |logand| (-1159 *3))))) (-5 *1 (-586 *3)) (-4 *3 (-366))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *4 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-37 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-37 *3)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-899 *3)) (-4 *3 (-1091)) (-5 *2 (-1093 *3)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1091)) (-5 *2 (-1093 (-635 *4))) (-5 *1 (-900 *4)) (-5 *3 (-635 *4)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1091)) (-5 *2 (-1093 (-1093 *4))) (-5 *1 (-900 *4)) (-5 *3 (-1093 *4)))) ((*1 *2 *1 *3) (-12 (-5 *2 (-1093 *3)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *4 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-972 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-972 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-421 *3)) (-5 *1 (-911 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-843)) (-5 *2 (-1170 (-635 *4))) (-5 *1 (-1169 *4)) (-5 *3 (-635 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-602 *2 *3)) (-4 *3 (-1197)) (-4 *2 (-1091)) (-4 *2 (-843))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-954 *5)) (-4 *5 (-1048)) (-5 *2 (-493 *4 *5)) (-5 *1 (-946 *4 *5)) (-14 *4 (-635 (-1163)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1183))))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-851))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-143)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-148))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1163)) (-4 *5 (-610 (-888 (-569)))) (-4 *5 (-882 (-569))) (-4 *5 (-13 (-843) (-1038 (-569)) (-454) (-631 (-569)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-572 *5 *3)) (-4 *3 (-621)) (-4 *3 (-13 (-27) (-1183) (-433 *5)))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-559)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1188 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5))))) 
+((-1279 . 831944) (-1280 . 831658) (-1281 . 831549) (-1282 . 831385) (-1283 . 831263) (-1284 . 831159) (-1285 . 831069) (-1286 . 830969) (-1287 . 830896) (-1288 . 830227) (-1289 . 830072) (-1290 . 829943) (-1291 . 829829) (-1292 . 829710) (-1293 . 829522) (-1294 . 829370) (-1295 . 829282) (-1296 . 828722) (-1297 . 828527) (-1298 . 828379) (-1299 . 828298) (-1300 . 828109) (-1301 . 828000) (-1302 . 827731) (-1303 . 827240) (-1304 . 827063) (-1305 . 826990) (-1306 . 826513) (-1307 . 826462) (-1308 . 826205) (-1309 . 826042) (-1310 . 825890) (-1311 . 825330) (-1312 . 825277) (-1313 . 825079) (-1314 . 825048) (-1315 . 824923) (-1316 . 824580) (-1317 . 823593) (-1318 . 823325) (-1319 . 823293) (-1320 . 823091) (-1321 . 821904) (-1322 . 821748) (-1323 . 821686) (-1324 . 821534) (-1325 . 821402) (-1326 . 820724) (-1327 . 820695) (-1328 . 820560) (-1329 . 820416) (-1330 . 820365) (-1331 . 820287) (-1332 . 820151) (-1333 . 820117) (-1334 . 820047) (-1335 . 819840) (-1336 . 819757) (-1337 . 819683) (-1338 . 819617) (-1339 . 819385) (-1340 . 818820) (-1341 . 818746) (-1342 . 818675) (-1343 . 818572) (-1344 . 818492) (-1345 . 818277) (-1346 . 817934) (-1347 . 817782) (-1348 . 817683) (-1349 . 817444) (-1350 . 817322) (-1351 . 817178) (-1352 . 817034) (-1353 . 816900) (-1354 . 816590) (-1355 . 816537) (-1356 . 816405) (-1357 . 816028) (-1358 . 815880) (-1359 . 815747) (-1360 . 815644) (-1361 . 813680) (-1362 . 813505) (-1363 . 813395) (-1364 . 813337) (-1365 . 812720) (-1366 . 811945) (-1367 . 811827) (-1368 . 811456) (-1369 . 811404) (-1370 . 811252) (-1371 . 811186) (-1372 . 811131) (-1373 . 811038) (-1374 . 810968) (-1375 . 810894) (-1376 . 810814) (-1377 . 810406) (-1378 . 810280) (-1379 . 810191) (-1380 . 810017) (-1381 . 809909) (-1382 . 809842) (-1383 . 809805) (-1384 . 809562) (-1385 . 809458) (-1386 . 809104) (-1387 . 808982) (-1388 . 808413) (-1389 . 808376) (-1390 . 808344) (-1391 . 808246) (-1392 . 808153) (-1393 . 808004) (-1394 . 807781) (-1395 . 807496) (-1396 . 807373) (-1397 . 807280) (-1398 . 807208) (-1399 . 807072) (-1400 . 806951) (-1401 . 806854) (-1402 . 806763) (-1403 . 806399) (-1404 . 806303) (-1405 . 805268) (-1406 . 804823) (-1407 . 804592) (-1408 . 804399) (-1409 . 804295) (-1410 . 804221) (-1411 . 804123) (-1412 . 804070) (-1413 . 803723) (-1414 . 803179) (-1415 . 803090) (-1416 . 803033) (-1417 . 802885) (-1418 . 802530) (-1419 . 802471) (-1420 . 802285) (-1421 . 802160) (-1422 . 802091) (-1423 . 801772) (-1424 . 801685) (-1425 . 801482) (-1426 . 801360) (-1427 . 801326) (-1428 . 800914) (-1429 . 800811) (-1430 . 800651) (-1431 . 800574) (-1432 . 800382) (-1433 . 800199) (-1434 . 800147) (-1435 . 800072) (-1436 . 799964) (-1437 . 799801) (-1438 . 799574) (-1439 . 799494) (-1440 . 799417) (-1441 . 799260) (-1442 . 798586) (-1443 . 798505) (-1444 . 798328) (-1445 . 798206) (-1446 . 798108) (-1447 . 798026) (-1448 . 797970) (-1449 . 797917) (-1450 . 797813) (-1451 . 797754) (-1452 . 797631) (-1453 . 797298) (-1454 . 797227) (-1455 . 796982) (-1456 . 796732) (-1457 . 796642) (-1458 . 796550) (-1459 . 796438) (-1460 . 796370) (-1461 . 796240) (-1462 . 795975) (-1463 . 795867) (-1464 . 795781) (-1465 . 795715) (-1466 . 795601) (-1467 . 795203) (-1468 . 789371) (-1469 . 789271) (-1470 . 788785) (-1471 . 788712) (-1472 . 788571) (-1473 . 788131) (-1474 . 787916) (-1475 . 787676) (-1476 . 787477) (-1477 . 787341) (-1478 . 787188) (-1479 . 787074) (-1480 . 786964) (-1481 . 786636) (-1482 . 786569) (-1483 . 786157) (-1484 . 785988) (-1485 . 785649) (-1486 . 785246) (-1487 . 785023) (-1488 . 784881) (-1489 . 784800) (-1490 . 784647) (-1491 . 784577) (-1492 . 784494) (-1493 . 784309) (-1494 . 784105) (-1495 . 784077) (-1496 . 783874) (-1497 . 783810) (-1498 . 783710) (-1499 . 783563) (-1500 . 783359) (-1501 . 783025) (-1502 . 782874) (-1503 . 782735) (-1504 . 782469) (-1505 . 782440) (-1506 . 782345) (-1507 . 782292) (-1508 . 782076) (-1509 . 781951) (-1510 . 781752) (-1511 . 781621) (-1512 . 781455) (-1513 . 781427) (-1514 . 781327) (-1515 . 781179) (-1516 . 780971) (-1517 . 780600) (-1518 . 780476) (-1519 . 780373) (-1520 . 780240) (-1521 . 780095) (-1522 . 779925) (-1523 . 779872) (-1524 . 779005) (-1525 . 778872) (-1526 . 777635) (-1527 . 777415) (-1528 . 777322) (-1529 . 776900) (-1530 . 776453) (-1531 . 776376) (-1532 . 776270) (-1533 . 776211) (-1534 . 771113) (-1535 . 771033) (-1536 . 770751) (-1537 . 770436) (-1538 . 770113) (-1539 . 769893) (-1540 . 769709) (-1541 . 769651) (-1542 . 769570) (-1543 . 769517) (-1544 . 755685) (-1545 . 755630) (-1546 . 755468) (-1547 . 755415) (-1548 . 755311) (-1549 . 755245) (-1550 . 754917) (-1551 . 754821) (-1552 . 754755) (-1553 . 754655) (-1554 . 754554) (-1555 . 754350) (-1556 . 754107) (-1557 . 754026) (-1558 . 753646) (-1559 . 753406) (-1560 . 753225) (-1561 . 751854) (-1562 . 751783) (-1563 . 751713) (-1564 . 751637) (-1565 . 751541) (-1566 . 751434) (-1567 . 751384) (-1568 . 751175) (-1569 . 750922) (-1570 . 750818) (-1571 . 750691) (-1572 . 750635) (-1573 . 750564) (-1574 . 750343) (-1575 . 749946) (-1576 . 749836) (-1577 . 749802) (-1578 . 749719) (-1579 . 749590) (-1580 . 749489) (-1581 . 749254) (-1582 . 749149) (-1583 . 749073) (-1584 . 748880) (-1585 . 748779) (-1586 . 748286) (-1587 . 748228) (-1588 . 748151) (-1589 . 747855) (-1590 . 747047) (-1591 . 746842) (-1592 . 746260) (-1593 . 745807) (-1594 . 745670) (-1595 . 744658) (-1596 . 744453) (-1597 . 744301) (-1598 . 744208) (-1599 . 743932) (-1600 . 743719) (-1601 . 743086) (-1602 . 742752) (-1603 . 742618) (-1604 . 742370) (-1605 . 741604) (-1606 . 741514) (-1607 . 741183) (-1608 . 741131) (-1609 . 741031) (-1610 . 740775) (-1611 . 740266) (-1612 . 740168) (-1613 . 740036) (-1614 . 739594) (-1615 . 739532) (-1616 . 739047) (-1617 . 738898) (-1618 . 738576) (-1619 . 738475) (-1620 . 738357) (-1621 . 738298) (-1622 . 738203) (-1623 . 738069) (-1624 . 737979) (-1625 . 737898) (-1626 . 737817) (-1627 . 737012) (-1628 . 736905) (-1629 . 736615) (-1630 . 736542) (-1631 . 736184) (-1632 . 735083) (-1633 . 734965) (-1634 . 734813) (-1635 . 734763) (-1636 . 734681) (-1637 . 734259) (-1638 . 733960) (-1639 . 733847) (-1640 . 733418) (-1641 . 733314) (-1642 . 733243) (-1643 . 733190) (-1644 . 732920) (-1645 . 732749) (-1646 . 732533) (-1647 . 728358) (-1648 . 727224) (-1649 . 727145) (-1650 . 727086) (-1651 . 727033) (-1652 . 726982) (-1653 . 725464) (-1654 . 725395) (-1655 . 725317) (-1656 . 725228) (-1657 . 725036) (-1658 . 724898) (-1659 . 724312) (-1660 . 724129) (-1661 . 724038) (-1662 . 723904) (-1663 . 723702) (-1664 . 723283) (-1665 . 723174) (-1666 . 723098) (-1667 . 723015) (-1668 . 722314) (-1669 . 722257) (-1670 . 722162) (-1671 . 722103) (-1672 . 721322) (-1673 . 721064) (-1674 . 720791) (-1675 . 720700) (-1676 . 720586) (-1677 . 720536) (-1678 . 720236) (-1679 . 720176) (-1680 . 720095) (-1681 . 720040) (-1682 . 719770) (-1683 . 719631) (-1684 . 719545) (-1685 . 719471) (-1686 . 719396) (-1687 . 719322) (-1688 . 719094) (-1689 . 718645) (-1690 . 718564) (-1691 . 718065) (-1692 . 717507) (-1693 . 717421) (-1694 . 717341) (-1695 . 717152) (-1696 . 716909) (-1697 . 716828) (-1698 . 716465) (-1699 . 716380) (-1700 . 716250) (-1701 . 716037) (-1702 . 715560) (-1703 . 715508) (-1704 . 715383) (-1705 . 715296) (-1706 . 715225) (-1707 . 713718) (-1708 . 713581) (-1709 . 713507) (-1710 . 713415) (-1711 . 711816) (-1712 . 711764) (-1713 . 711433) (-1714 . 711330) (-1715 . 709034) (-1716 . 708963) (-1717 . 708910) (-1718 . 708821) (-1719 . 708748) (-1720 . 708590) (-1721 . 708508) (-1722 . 708215) (-1723 . 708160) (-1724 . 708053) (-1725 . 707978) (-1726 . 707862) (-1727 . 707149) (-1728 . 707100) (-1729 . 707066) (-1730 . 705029) (-1731 . 704484) (-1732 . 704269) (-1733 . 703870) (-1734 . 703768) (-1735 . 703706) (-1736 . 703161) (-1737 . 703087) (-1738 . 702871) (-1739 . 701406) (-1740 . 700861) (-1741 . 700531) (-1742 . 700435) (-1743 . 694945) (-1744 . 694293) (-1745 . 694262) (-1746 . 694140) (-1747 . 693699) (-1748 . 693047) (-1749 . 692802) (-1750 . 692511) (-1751 . 692174) (-1752 . 691824) (-1753 . 691172) (-1754 . 691122) (-1755 . 691044) (-1756 . 690498) (-1757 . 690395) (-1758 . 690123) (-1759 . 689845) (-1760 . 689299) (-1761 . 689188) (-1762 . 689082) (-1763 . 687535) (-1764 . 686989) (-1765 . 686748) (-1766 . 686695) (-1767 . 686627) (-1768 . 685811) (-1769 . 684903) (-1770 . 684358) (-1771 . 684006) (-1772 . 683926) (-1773 . 682709) (-1774 . 679099) (-1775 . 678554) (-1776 . 678479) (-1777 . 678180) (-1778 . 678077) (-1779 . 677532) (-1780 . 677375) (-1781 . 677136) (-1782 . 676591) (-1783 . 675894) (-1784 . 674160) (-1785 . 673615) (-1786 . 673443) (-1787 . 672942) (-1788 . 671512) (-1789 . 671291) (-1790 . 671236) (-1791 . 669774) (-1792 . 669609) (-1793 . 669487) (-1794 . 669417) (-1795 . 668711) (-1796 . 668656) (-1797 . 668521) (-1798 . 668208) (-1799 . 668152) (-1800 . 668100) (-1801 . 667974) (-1802 . 667851) (-1803 . 667764) (-1804 . 667159) (-1805 . 667107) (-1806 . 666974) (-1807 . 666815) (-1808 . 666756) (-1809 . 666179) (-1810 . 665944) (-1811 . 665794) (-1812 . 664577) (-1813 . 664148) (-1814 . 664048) (-1815 . 663914) (-1816 . 663722) (-1817 . 663575) (-1818 . 662473) (-1819 . 662389) (-1820 . 662334) (-1821 . 662080) (-1822 . 661945) (-1823 . 661835) (-1824 . 661671) (-1825 . 661432) (-1826 . 661379) (-1827 . 661235) (-1828 . 660828) (-1829 . 660756) (-1830 . 660556) (-1831 . 660496) (-1832 . 660309) (-1833 . 660171) (-1834 . 659948) (-1835 . 659810) (-1836 . 659758) (-1837 . 659637) (-1838 . 659139) (-1839 . 658722) (-1840 . 658631) (-1841 . 658471) (-1842 . 657919) (-1843 . 657866) (-1844 . 656902) (-1845 . 656788) (-1846 . 656646) (-1847 . 656614) (-1848 . 656557) (-1849 . 656472) (-1850 . 655777) (-1851 . 655704) (-1852 . 655579) (-1853 . 654883) (-1854 . 654776) (-1855 . 654669) (-1856 . 654348) (-1857 . 653954) (-1858 . 653897) (-1859 . 653530) (-1860 . 653213) (-1861 . 653184) (-1862 . 653113) (-1863 . 652874) (-1864 . 652759) (-1865 . 652642) (-1866 . 652407) (-1867 . 652351) (-1868 . 652269) (-1869 . 651941) (-1870 . 651861) (-1871 . 651797) (-1872 . 651510) (-1873 . 651370) (-1874 . 650408) (-1875 . 650317) (-1876 . 650143) (-1877 . 649442) (-1878 . 649389) (-1879 . 649232) (-1880 . 648975) (-1881 . 648885) (-1882 . 648742) (-1883 . 648663) (-1884 . 648259) (-1885 . 648116) (-1886 . 647993) (-1887 . 647944) (-1888 . 647892) (-1889 . 647599) (-1890 . 647265) (-1891 . 647192) (-1892 . 647069) (-1893 . 646601) (-1894 . 646509) (-1895 . 646449) (-1896 . 646352) (-1897 . 646205) (-1898 . 646050) (-1899 . 645594) (-1900 . 645510) (-1901 . 645451) (-1902 . 645362) (-1903 . 645283) (-1904 . 645209) (-1905 . 645064) (-1906 . 644273) (-1907 . 643980) (-1908 . 643880) (-1909 . 643712) (-1910 . 643587) (-1911 . 643516) (-1912 . 643272) (-1913 . 643139) (-1914 . 642902) (-1915 . 642796) (-1916 . 642634) (-1917 . 642515) (-1918 . 642161) (-1919 . 642090) (-1920 . 641909) (-1921 . 641813) (-1922 . 641661) (-1923 . 641355) (-1924 . 641273) (-1925 . 640724) (-1926 . 640552) (-1927 . 640524) (-1928 . 640442) (-1929 . 640356) (-1930 . 640301) (-1931 . 640109) (-1932 . 639740) (-1933 . 639573) (-1934 . 633184) (-1935 . 633132) (-1936 . 633100) (-1937 . 633048) (-1938 . 632946) (-1939 . 631987) (-1940 . 631212) (-1941 . 630842) (-1942 . 630728) (-1943 . 630351) (-1944 . 630269) (-1945 . 630149) (-1946 . 629987) (-1947 . 629884) (-1948 . 629559) (-1949 . 629108) (-1950 . 628914) (-1951 . 628633) (-1952 . 628471) (-1953 . 628309) (-1954 . 628246) (-1955 . 628135) (-1956 . 627933) (-1957 . 627847) (-1958 . 627743) (-1959 . 627533) (-1960 . 627436) (-1961 . 627381) (-1962 . 626917) (-1963 . 626801) (-1964 . 626711) (-1965 . 626616) (-1966 . 626451) (-1967 . 626360) (-1968 . 626253) (-1969 . 626169) (-1970 . 626069) (-1971 . 625486) (-1972 . 625389) (-1973 . 625287) (-1974 . 624701) (-1975 . 624587) (-1976 . 624446) (-1977 . 624179) (-1978 . 624106) (-1979 . 622540) (-1980 . 622456) (-1981 . 622396) (-1982 . 621849) (-1983 . 621792) (-1984 . 621719) (-1985 . 621611) (-1986 . 621446) (-1987 . 621378) (-1988 . 621316) (-1989 . 621073) (-1990 . 621016) (-1991 . 620195) (-1992 . 619713) (-1993 . 619560) (-1994 . 619435) (-1995 . 619301) (-1996 . 619201) (-1997 . 618959) (-1998 . 618878) (-1999 . 618633) (-2000 . 618574) (-2001 . 618492) (-2002 . 618418) (-2003 . 617967) (-2004 . 617544) (-2005 . 617291) (-2006 . 616609) (-2007 . 616457) (-2008 . 616334) (-2009 . 616234) (-2010 . 616146) (-2011 . 615975) (-2012 . 615857) (-2013 . 615659) (-2014 . 615609) (-2015 . 615266) (-2016 . 615157) (-2017 . 615048) (-2018 . 614996) (-2019 . 614897) (-2020 . 614588) (-2021 . 614515) (-2022 . 614354) (-2023 . 614199) (-2024 . 613996) (-2025 . 613853) (-2026 . 613750) (-2027 . 612801) (-2028 . 612723) (-2029 . 611326) (-2030 . 610910) (-2031 . 610757) (-2032 . 610611) (-2033 . 610517) (-2034 . 610382) (-2035 . 610096) (-2036 . 609996) (-2037 . 609936) (-2038 . 609826) (-2039 . 609708) (-2040 . 609579) (-2041 . 609527) (-2042 . 609461) (-2043 . 608938) (-2044 . 608810) (-2045 . 608687) (-2046 . 608275) (-2047 . 608077) (-2048 . 608006) (-2049 . 607700) (-2050 . 607156) (-2051 . 607077) (-2052 . 606861) (-2053 . 606832) (-2054 . 606497) (-2055 . 606382) (-2056 . 606279) (-2057 . 606088) (-2058 . 605936) (-2059 . 605771) (-2060 . 605696) (-2061 . 605426) (-2062 . 605333) (-2063 . 601409) (-2064 . 601334) (-2065 . 601051) (-2066 . 600357) (-2067 . 600272) (-2068 . 600206) (-2069 . 600092) (-2070 . 599970) (-2071 . 599915) (-2072 . 599817) (-2073 . 599747) (-2074 . 599267) (-2075 . 599216) (-2076 . 599021) (-2077 . 598943) (-2078 . 598775) (-2079 . 598207) (-2080 . 598133) (-2081 . 598058) (-2082 . 597970) (-2083 . 597832) (-2084 . 597754) (-2085 . 596796) (-2086 . 596355) (-2087 . 595681) (-2088 . 595278) (-2089 . 595182) (-2090 . 594977) (-2091 . 594921) (-2092 . 594785) (-2093 . 594633) (-2094 . 594571) (-2095 . 594451) (-2096 . 594398) (-2097 . 594256) (-2098 . 594031) (-2099 . 593874) (-2100 . 593817) (-2101 . 593660) (-2102 . 593534) (-2103 . 593423) (-2104 . 593351) (-2105 . 593179) (-2106 . 593126) (-2107 . 592969) (-2108 . 592879) (-2109 . 592806) (-2110 . 592720) (-2111 . 592501) (-2112 . 592406) (-2113 . 592338) (-2114 . 592243) (-2115 . 592109) (-2116 . 592019) (-2117 . 591806) (-2118 . 591695) (-2119 . 591583) (-2120 . 591412) (-2121 . 591338) (-2122 . 590742) (-2123 . 590205) (-2124 . 590090) (-2125 . 589993) (-2126 . 589524) (-2127 . 589469) (-2128 . 589177) (-2129 . 588975) (-2130 . 588864) (-2131 . 588675) (-2132 . 588495) (-2133 . 588315) (-2134 . 588244) (-2135 . 588030) (-2136 . 587927) (-2137 . 587791) (-2138 . 587601) (-2139 . 585063) (-2140 . 584998) (-2141 . 584927) (-2142 . 584832) (-2143 . 584508) (-2144 . 584347) (-2145 . 584234) (-2146 . 584160) (-2147 . 584110) (-2148 . 583887) (-2149 . 583453) (-2150 . 583365) (-2151 . 583204) (-2152 . 582991) (-2153 . 582883) (-2154 . 582834) (-2155 . 582747) (-2156 . 582667) (-2157 . 582570) (-2158 . 582315) (-2159 . 582212) (-2160 . 582121) (-2161 . 581912) (-2162 . 581802) (-2163 . 581263) (-2164 . 581174) (-2165 . 580964) (-2166 . 580691) (-2167 . 580435) (-2168 . 580324) (-2169 . 580142) (-2170 . 580089) (-2171 . 579989) (-2172 . 579832) (-2173 . 579593) (-2174 . 579429) (-2175 . 579260) (-2176 . 578643) (-2177 . 578528) (-2178 . 578293) (-2179 . 577769) (-2180 . 577662) (-2181 . 577555) (-2182 . 577407) (-2183 . 577316) (-2184 . 576700) (-2185 . 553192) (-2186 . 552343) (-2187 . 552134) (-2188 . 552043) (-2189 . 551939) (-2190 . 551748) (-2191 . 551672) (-2192 . 551638) (-2193 . 551543) (-2194 . 551382) (-2195 . 551256) (-2196 . 551184) (-2197 . 551125) (-2198 . 551055) (-2199 . 550939) (-2200 . 550864) (-2201 . 550726) (-2202 . 550649) (-2203 . 550593) (-2204 . 550409) (-2205 . 550336) (-2206 . 550240) (-2207 . 550130) (-2208 . 549765) (-2209 . 548869) (-2210 . 548743) (-2211 . 548671) (-2212 . 548472) (-2213 . 548398) (-2214 . 548317) (-2215 . 548062) (-2216 . 547972) (-2217 . 547887) (-2218 . 547720) (-2219 . 547348) (-2220 . 547241) (-2221 . 547128) (-2222 . 547042) (-2223 . 546986) (-2224 . 546805) (-2225 . 546729) (-2226 . 546663) (-2227 . 546588) (-2228 . 546522) (-2229 . 546440) (-2230 . 546238) (-2231 . 546146) (-2232 . 545991) (-2233 . 545793) (-2234 . 545589) (-2235 . 545391) (-2236 . 545280) (-2237 . 545163) (-2238 . 544991) (-12 . 544836) (-2240 . 544719) (-2241 . 544369) (-2242 . 543185) (-2243 . 543132) (-2244 . 543073) (-2245 . 542996) (-2246 . 542907) (-2247 . 542654) (-2248 . 542306) (-2249 . 542151) (-2250 . 541481) (-2251 . 541387) (-2252 . 541254) (-2253 . 540942) (-2254 . 540839) (-2255 . 540687) (-2256 . 540451) (-2257 . 540189) (-2258 . 540065) (-2259 . 539974) (-2260 . 539880) (-2261 . 539366) (-2262 . 539262) (-2263 . 539161) (-2264 . 539095) (-2265 . 538098) (-2266 . 538066) (-2267 . 538000) (-2268 . 537736) (-2269 . 537579) (-2270 . 537505) (-2271 . 537431) (-2272 . 537277) (-2273 . 537028) (-2274 . 536976) (-2275 . 536702) (-2276 . 536564) (-2277 . 536389) (-2278 . 535894) (-2279 . 535796) (-2280 . 535480) (-2281 . 535284) (-2282 . 535204) (-2283 . 535107) (-2284 . 534388) (-2285 . 534314) (-2286 . 533975) (-2287 . 533909) (-2288 . 533826) (-2289 . 533593) (-2290 . 533483) (-2291 . 533406) (-2292 . 533267) (-2293 . 533193) (-2294 . 532626) (-2295 . 532439) (-2296 . 532320) (-2297 . 532182) (-2298 . 532121) (-2299 . 531933) (-2300 . 531794) (* . 527289) (-2302 . 527185) (-2303 . 527129) (-2304 . 526842) (-2305 . 526731) (-2306 . 526679) (-2307 . 526624) (-2308 . 526550) (-2309 . 526418) (-2310 . 526315) (-2311 . 526160) (-2312 . 526010) (-2313 . 525926) (-2314 . 525704) (-2315 . 525589) (-2316 . 525439) (-2317 . 525292) (-2318 . 525208) (-2319 . 525180) (-2320 . 525055) (-2321 . 524996) (-2322 . 524773) (-2323 . 524666) (-2324 . 524589) (-2325 . 524494) (-2326 . 524368) (-2327 . 524324) (-2328 . 523974) (-2329 . 523349) (-2330 . 523252) (-2331 . 523160) (-2332 . 522954) (-2333 . 522841) (-2334 . 522788) (-2335 . 522636) (-2336 . 522132) (-2337 . 521965) (-2338 . 521773) (-2339 . 521742) (-2340 . 521687) (-2341 . 521629) (-2342 . 521334) (-2343 . 520493) (-2344 . 519861) (-2345 . 519729) (-2346 . 518730) (-2347 . 518545) (-2348 . 518452) (-2349 . 518334) (-2350 . 517613) (-2351 . 517561) (-2352 . 517533) (-2353 . 517481) (-2354 . 517356) (-2355 . 517282) (-2356 . 516824) (-2357 . 516717) (-2358 . 516642) (-2359 . 516577) (-2360 . 516501) (-2361 . 516399) (-2362 . 516148) (-2363 . 515894) (-2364 . 515639) (-2365 . 515436) (-2366 . 515308) (-2367 . 515205) (-2368 . 515139) (-2369 . 514435) (-2370 . 514237) (-2371 . 513863) (-2372 . 513609) (-2373 . 513496) (-2374 . 513238) (-2375 . 513148) (-2376 . 512731) (-2377 . 512579) (-2378 . 512508) (-2379 . 512299) (-2380 . 512271) (-2381 . 512093) (-2382 . 512023) (-2383 . 511939) (-2384 . 511635) (-2385 . 511531) (-2386 . 511364) (-2387 . 511018) (-2388 . 510969) (-2389 . 510903) (-2390 . 510850) (-2391 . 510680) (-2392 . 510547) (-2393 . 510028) (-2394 . 509971) (-2395 . 509736) (-2396 . 509664) (-2397 . 509507) (-2398 . 509357) (-2399 . 509282) (-2400 . 509183) (-2401 . 507829) (-2402 . 507722) (-2403 . 507483) (-2404 . 507344) (-2405 . 507270) (-2406 . 507147) (-2407 . 507097) (-2408 . 506892) (-2409 . 506821) (-2410 . 506317) (-2411 . 505225) (-2412 . 505047) (-2413 . 504991) (-2414 . 504772) (-2415 . 504698) (-2416 . 504625) (-2417 . 504525) (-2418 . 504326) (-2419 . 497937) (-2420 . 497812) (-2421 . 497571) (-2422 . 497464) (-2423 . 497405) (-2424 . 497231) (-2425 . 497179) (-2426 . 497061) (-2427 . 496793) (-2428 . 491731) (-2429 . 491671) (-2430 . 491126) (-2431 . 491015) (-2432 . 490959) (-2433 . 490878) (-2434 . 490730) (-2435 . 490654) (-2436 . 489504) (-2437 . 489470) (-2438 . 489320) (-2439 . 489139) (-2440 . 488878) (-2441 . 488807) (-2442 . 488720) (-2443 . 488447) (-2444 . 488389) (-2445 . 488135) (-2446 . 486921) (-2447 . 486830) (-2448 . 486693) (-2449 . 486621) (-2450 . 486531) (-2451 . 486413) (-2452 . 486329) (-2453 . 486148) (-2454 . 485766) (-2455 . 485342) (-2456 . 485253) (-2457 . 484931) (-2458 . 484645) (-2459 . 484339) (-2460 . 484242) (-2461 . 483963) (-2462 . 483425) (-2463 . 483355) (-2464 . 483255) (-2465 . 483138) (-2466 . 483039) (-2467 . 482906) (-2468 . 482725) (-2469 . 482586) (-2470 . 482394) (-2471 . 482310) (-2472 . 482169) (-2473 . 482111) (-2474 . 482082) (-2475 . 481928) (-2476 . 481823) (-2477 . 481684) (-2478 . 481608) (-2479 . 480922) (-2480 . 480869) (-2481 . 480794) (-2482 . 480653) (-2483 . 480603) (-2484 . 480502) (-2485 . 480400) (-2486 . 480311) (-2487 . 480225) (-2488 . 480051) (-2489 . 479784) (-2490 . 479666) (-2491 . 479549) (-2492 . 477259) (-2493 . 476935) (-2494 . 476861) (-2495 . 476780) (-2496 . 476356) (-2497 . 476258) (-2498 . 476136) (-2499 . 475736) (-2500 . 474131) (-2501 . 474029) (-2502 . 473937) (-2503 . 473620) (-2504 . 473356) (-2505 . 473217) (-2506 . 473121) (-2507 . 473010) (-2508 . 472877) (-2509 . 472767) (-2510 . 472622) (-2511 . 472537) (-2512 . 472505) (-2513 . 471800) (-2514 . 471466) (-2515 . 471328) (-2516 . 470726) (-2517 . 470573) (-2518 . 470455) (-2519 . 470233) (-2520 . 469935) (-2521 . 469415) (-2522 . 468710) (-2523 . 468639) (-2524 . 468543) (-2525 . 468402) (-2526 . 468164) (-2527 . 467839) (-2528 . 467664) (-2529 . 467580) (-2530 . 466927) (-2531 . 466899) (-2532 . 466748) (-2533 . 466532) (-2534 . 466461) (-2535 . 466358) (-2536 . 466233) (-2537 . 465778) (-2538 . 465231) (-2539 . 465120) (-2540 . 465054) (-2541 . 464945) (-2542 . 464854) (-2543 . 464570) (-2544 . 464324) (-2545 . 464126) (-2546 . 463579) (-2547 . 463513) (-2548 . 463361) (-2549 . 463213) (-2550 . 462878) (-2551 . 462825) (-2552 . 462382) (-2553 . 462084) (-2554 . 461537) (-2555 . 461452) (-2556 . 461262) (-2557 . 461053) (-2558 . 458769) (-2559 . 458534) (-2560 . 458481) (-2561 . 457830) (-2562 . 457714) (-2563 . 457448) (-2564 . 457354) (-2565 . 450514) (-2566 . 450390) (-2567 . 450306) (-2568 . 449816) (-2569 . 449165) (-2570 . 448972) (-2571 . 448598) (-2572 . 448523) (-2573 . 448449) (-2574 . 448325) (-2575 . 448010) (-2576 . 447710) (-2577 . 447632) (-2578 . 447316) (-2579 . 447200) (-2580 . 447085) (-2581 . 446929) (-2582 . 446862) (-2583 . 446574) (-2584 . 446338) (-2585 . 446246) (-2586 . 446097) (-2587 . 446016) (-2588 . 445945) (-2589 . 445854) (-2590 . 445826) (-2591 . 445695) (-2592 . 445587) (-2593 . 445488) (-2594 . 445419) (-2595 . 445279) (-2596 . 445154) (-2597 . 445088) (-2598 . 444936) (-2599 . 444884) (-2600 . 444613) (-2601 . 444411) (-2602 . 444064) (-2603 . 443927) (-2604 . 443791) (-2605 . 443669) (-2606 . 443490) (-2607 . 443338) (-2608 . 439414) (-2609 . 438854) (-2610 . 438739) (-2611 . 438576) (-2612 . 438477) (-2613 . 438283) (-2614 . 438141) (-2615 . 438086) (-2616 . 437971) (-2617 . 437879) (-2618 . 437738) (-2619 . 437566) (-2620 . 437484) (-2621 . 437339) (-2622 . 437287) (-2623 . 436715) (-2624 . 436663) (-2625 . 436610) (-2626 . 436128) (-2627 . 435990) (-2628 . 435918) (-2629 . 435718) (-2630 . 435542) (-2631 . 435429) (-2632 . 434914) (-2633 . 434821) (-2634 . 434793) (-2635 . 434621) (-2636 . 434491) (-2637 . 434347) (-2638 . 434257) (-2639 . 434165) (-2640 . 434068) (-2641 . 433978) (-2642 . 433737) (-2643 . 433611) (-2644 . 433408) (-2645 . 433351) (-2646 . 432866) (-2647 . 432817) (-2648 . 432706) (-2649 . 432614) (-2650 . 432517) (-2651 . 432094) (-2652 . 431179) (-2653 . 431074) (-2654 . 431006) (-2655 . 430895) (-2656 . 430487) (-2657 . 430403) (-2658 . 430161) (-2659 . 429556) (-2660 . 428583) (-2661 . 428407) (-2662 . 427568) (-2663 . 427154) (-2664 . 427049) (-2665 . 426963) (-2666 . 426561) (-2667 . 426509) (-2668 . 426400) (-2669 . 425713) (-2670 . 425608) (-2671 . 425444) (-2672 . 425153) (-2673 . 424540) (-2674 . 424050) (-2675 . 423947) (-2676 . 423875) (-2677 . 423518) (-2678 . 423465) (-2679 . 423366) (-2680 . 423317) (-2681 . 423158) (-2682 . 423106) (-2683 . 423003) (-2684 . 422895) (-2685 . 422824) (-2686 . 422590) (-2687 . 422538) (-2688 . 422385) (-2689 . 422280) (-2690 . 421949) (-2691 . 420898) (-2692 . 420797) (-2693 . 420695) (-2694 . 420599) (-2695 . 420527) (-2696 . 420445) (-2697 . 420094) (-2698 . 419995) (-2699 . 419397) (-2700 . 419316) (-2701 . 419228) (-2702 . 419133) (-2703 . 416178) (-2704 . 415983) (-2705 . 415912) (-2706 . 415856) (-2707 . 415713) (-2708 . 415644) (-2709 . 415563) (-2710 . 415401) (-2711 . 415172) (-2712 . 415077) (-2713 . 414913) (-2714 . 413862) (-2715 . 413778) (-2716 . 413625) (-2717 . 413435) (-2718 . 413309) (-2719 . 413068) (-2720 . 412835) (-2721 . 412751) (-2722 . 412544) (-2723 . 412328) (-2724 . 412092) (-2725 . 412064) (-2726 . 411843) (-2727 . 411629) (-2728 . 411553) (-2729 . 411470) (-2730 . 411169) (-2731 . 411032) (-2732 . 410962) (-2733 . 410889) (-2734 . 410482) (-2735 . 410246) (-2736 . 410091) (-2737 . 409767) (-2738 . 409607) (-2739 . 409558) (-2740 . 409378) (-2741 . 409326) (-2742 . 408297) (-2743 . 408140) (-2744 . 407914) (-2745 . 407334) (-2746 . 407196) (-2747 . 406522) (-2748 . 406340) (-2749 . 406188) (-2750 . 406084) (-2751 . 406001) (-2752 . 405591) (-2753 . 405460) (-2754 . 405315) (-2755 . 405248) (-2756 . 405113) (-2757 . 404951) (-2758 . 404811) (-2759 . 404683) (-2760 . 404545) (-2761 . 404514) (-2762 . 403905) (-2763 . 403778) (-2764 . 403532) (-2765 . 403407) (-2766 . 403373) (-2767 . 403293) (-2768 . 403190) (-2769 . 402917) (-2770 . 402560) (-2771 . 402469) (-2772 . 402219) (-2773 . 401945) (-2774 . 401812) (-2775 . 401678) (-2776 . 401199) (-2777 . 401024) (-2778 . 400921) (-2779 . 400840) (-2780 . 400761) (-2781 . 400710) (-2782 . 400617) (-2783 . 400410) (-2784 . 400274) (-2785 . 400144) (-2786 . 400075) (-2787 . 399782) (-2788 . 399714) (-2789 . 399662) (-2790 . 399411) (-2791 . 399261) (-2792 . 399170) (-2793 . 398741) (-2794 . 398468) (-2795 . 398324) (-2796 . 398253) (-2797 . 398169) (-2798 . 397833) (-2799 . 397732) (-2800 . 397370) (-2801 . 397164) (-2802 . 397090) (-2803 . 396901) (-2804 . 396817) (-2805 . 396678) (-2806 . 396443) (-2807 . 396235) (-2808 . 396116) (-2809 . 396006) (-2810 . 395881) (-2811 . 395797) (-2812 . 395723) (-2813 . 395553) (-2814 . 395337) (-2815 . 394401) (-2816 . 394349) (-2817 . 394237) (-2818 . 394163) (-2819 . 394000) (-2820 . 393561) (-2821 . 393444) (-2822 . 393366) (-2823 . 393194) (-2824 . 393119) (-2825 . 393044) (-2826 . 392739) (-2827 . 392655) (-2828 . 392535) (-2829 . 392390) (-2830 . 392335) (-2831 . 392097) (-2832 . 391966) (-2833 . 391849) (-2834 . 391731) (-2835 . 391387) (-2836 . 391051) (-2837 . 390901) (-2838 . 390765) (-2839 . 390661) (-2840 . 390553) (-2841 . 390479) (-2842 . 390330) (-2843 . 389803) (-2844 . 389705) (-2845 . 389579) (-2846 . 388236) (-2847 . 388170) (-2848 . 387659) (-2849 . 387555) (-2850 . 387477) (-2851 . 387345) (-2852 . 387190) (-2853 . 386727) (-2854 . 386458) (-2855 . 386147) (-2856 . 386093) (-2857 . 385967) (-2858 . 385901) (-2859 . 385835) (-2860 . 385767) (-2861 . 385560) (-2862 . 385182) (-2863 . 385109) (-2864 . 384970) (-2865 . 384841) (-2866 . 384813) (-2867 . 384547) (-2868 . 384469) (-2869 . 384384) (-2870 . 384232) (-2871 . 384177) (-2872 . 384030) (-2873 . 383562) (-2874 . 383496) (-2875 . 383443) (-2876 . 383335) (-2877 . 382912) (-2878 . 382836) (-2879 . 382667) (-2880 . 382604) (-2881 . 382463) (-2882 . 382378) (-2883 . 380231) (-2884 . 380175) (-2885 . 380012) (-2886 . 379947) (-2887 . 379873) (-2888 . 379666) (-2889 . 379566) (-2890 . 379411) (-2891 . 379248) (-2892 . 379192) (-2893 . 378578) (-2894 . 378033) (-2895 . 377999) (-2896 . 377911) (-2897 . 377694) (-2898 . 377625) (-2899 . 377562) (-2900 . 377405) (-2901 . 377271) (-2902 . 377156) (-2903 . 377022) (-2904 . 376856) (-2905 . 376751) (-2906 . 376602) (-2907 . 376459) (-2908 . 376395) (-2909 . 376148) (-2910 . 375943) (-2911 . 375834) (-2912 . 375800) (-2913 . 375747) (-2914 . 375630) (-2915 . 375503) (-2916 . 375447) (-2917 . 375230) (-2918 . 375075) (-2919 . 374939) (-2920 . 374871) (-2921 . 374787) (-2922 . 374590) (-2923 . 374488) (-2924 . 374195) (-2925 . 374106) (-2926 . 374002) (-2927 . 373878) (-2928 . 373804) (-2929 . 373685) (-2930 . 373610) (-2931 . 373529) (-2932 . 373350) (-2933 . 373246) (-2934 . 373043) (-2935 . 372880) (-2936 . 372702) (-2937 . 372592) (-2938 . 370897) (-2939 . 370802) (-2940 . 370605) (-2941 . 369788) (-2942 . 369689) (-2943 . 369279) (-2944 . 369167) (-2945 . 369133) (-2946 . 368327) (-2947 . 368028) (-2948 . 367841) (-2949 . 367649) (-2950 . 367554) (-2951 . 367115) (-2952 . 367081) (-2953 . 366879) (-2954 . 360348) (-2955 . 360242) (-2956 . 359793) (-2957 . 359727) (-2958 . 359619) (-2959 . 359564) (-2960 . 359179) (-2961 . 359024) (-2962 . 358951) (-2963 . 358896) (-2964 . 358844) (-2965 . 358816) (-2966 . 358426) (-2967 . 358035) (-2968 . 357985) (-2969 . 357777) (-2970 . 357590) (-2971 . 357524) (-2972 . 357449) (-2973 . 357340) (-2974 . 357206) (-2975 . 357087) (-2976 . 356937) (-2977 . 356865) (-2978 . 356781) (-2979 . 356702) (-2980 . 356294) (-2981 . 356191) (-2982 . 356138) (-2983 . 356019) (-2984 . 355755) (-2985 . 355609) (-2986 . 355528) (-2987 . 355427) (-2988 . 355309) (-2989 . 355118) (-2990 . 354988) (-2991 . 354741) (-2992 . 353794) (-2993 . 353722) (-2994 . 353080) (-2995 . 352944) (-2996 . 352810) (-2997 . 352752) (-2998 . 352724) (-2999 . 352624) (-3000 . 352534) (-3001 . 352418) (-3002 . 352365) (-3003 . 352294) (-3004 . 352226) (-3005 . 352010) (-3006 . 351715) (-3007 . 351584) (-3008 . 351449) (-3009 . 351339) (-3010 . 351186) (-3011 . 351114) (-3012 . 350924) (-3013 . 350742) (-3014 . 350585) (-3015 . 350489) (-3016 . 350414) (-3017 . 350359) (-3018 . 350259) (-3019 . 349973) (-3020 . 349651) (-3021 . 349551) (-3022 . 348755) (-3023 . 348654) (-3024 . 348584) (-3025 . 348399) (-3026 . 348324) (-3027 . 348292) (-3028 . 348198) (-3029 . 348048) (-3030 . 347954) (-3031 . 347503) (-3032 . 347448) (-3033 . 347311) (-3034 . 347128) (-3035 . 346954) (-3036 . 346639) (-3037 . 346573) (-3038 . 346254) (-3039 . 345908) (-3040 . 345595) (-3041 . 345459) (-3042 . 345287) (-3043 . 344156) (-3044 . 344076) (-3045 . 343953) (-3046 . 340215) (-3047 . 340124) (-3048 . 339984) (-3049 . 339310) (-3050 . 339220) (-3051 . 339102) (-3052 . 339027) (-3053 . 338838) (-3054 . 338724) (-3055 . 338654) (-3056 . 338551) (-3057 . 338233) (-3058 . 338044) (-3059 . 337875) (-3060 . 337717) (-3061 . 337579) (-3062 . 337500) (-3063 . 337306) (-3064 . 337252) (-3065 . 337224) (-3066 . 337055) (-3067 . 336863) (-3068 . 336633) (-3069 . 335991) (-3070 . 335753) (-3071 . 335605) (-3072 . 335426) (-3073 . 335279) (-3074 . 335069) (-3075 . 334951) (-3076 . 334754) (-3077 . 332317) (-3078 . 332236) (-3079 . 332137) (-3080 . 332077) (-3081 . 331979) (-3082 . 331502) (-3083 . 331396) (-3084 . 331276) (-3085 . 331187) (-3086 . 331077) (-3087 . 330956) (-3088 . 330779) (-3089 . 330535) (-3090 . 330429) (-3091 . 329893) (-3092 . 329213) (-3093 . 329141) (-3094 . 328642) (-3095 . 328587) (-3096 . 328484) (-3097 . 328281) (-3098 . 328171) (-3099 . 327837) (-3100 . 327136) (-3101 . 326791) (-3102 . 326673) (-3103 . 325742) (-3104 . 325635) (-3105 . 325510) (-3106 . 325381) (-3107 . 325224) (-3108 . 325152) (-3109 . 324778) (-3110 . 324711) (-3111 . 324603) (-3112 . 324484) (-3113 . 324071) (-3114 . 323969) (-3115 . 323808) (-3116 . 323643) (-3117 . 323479) (-3118 . 323331) (-3119 . 323179) (-3120 . 323123) (-3121 . 323008) (-3122 . 322883) (-3123 . 322764) (-3124 . 322469) (-3125 . 322375) (-3126 . 321807) (-3127 . 321572) (-3128 . 321323) (-3129 . 321185) (-3130 . 321076) (-3131 . 320949) (-3132 . 320874) (-3133 . 320742) (-3134 . 320686) (-3135 . 320499) (-3136 . 320314) (-3137 . 319905) (-3138 . 319808) (-3139 . 319646) (-3140 . 319338) (-3141 . 319037) (-3142 . 318968) (-3143 . 318156) (-3144 . 318075) (-3145 . 317976) (-3146 . 317756) (-3147 . 317521) (-3148 . 317472) (-3149 . 317259) (-3150 . 317134) (-3151 . 316950) (-3152 . 316481) (-3153 . 316366) (-3154 . 315247) (-3155 . 315149) (-3156 . 314894) (-3157 . 314842) (-3158 . 314683) (-3159 . 314601) (-3160 . 314308) (-3161 . 313755) (-3162 . 313642) (-3163 . 313552) (-3164 . 313463) (-3165 . 313396) (-3166 . 313244) (-3167 . 313087) (-3168 . 312973) (-3169 . 312878) (-3170 . 312826) (-3171 . 312679) (-3172 . 310552) (-3173 . 310376) (-3174 . 310179) (-3175 . 310078) (-3176 . 309994) (-3177 . 309729) (-3178 . 309701) (-3179 . 309645) (-3180 . 309547) (-3181 . 309264) (-3182 . 309177) (-3183 . 309084) (-3184 . 309006) (-3185 . 308867) (-3186 . 308347) (-3187 . 308203) (-3188 . 307137) (-3189 . 306982) (-3190 . 306819) (-3191 . 306672) (-3192 . 306414) (-3193 . 306306) (-3194 . 306223) (-3195 . 306098) (-3196 . 305992) (-3197 . 305739) (-3198 . 305671) (-3199 . 305437) (-3200 . 305366) (-3201 . 305292) (-3202 . 305255) (-3203 . 304866) (-3204 . 304793) (-3205 . 304605) (-3206 . 304412) (-3207 . 304344) (-3208 . 304235) (-3209 . 304183) (-3210 . 303858) (-3211 . 303754) (-3212 . 303619) (-3213 . 303354) (-3214 . 302983) (-3215 . 302859) (-3216 . 300748) (-3217 . 300670) (-3218 . 300318) (-3219 . 300184) (-3220 . 300112) (-3221 . 299914) (-3222 . 299606) (-3223 . 299553) (-3224 . 299477) (-3225 . 299169) (-3226 . 299110) (-3227 . 299054) (-3228 . 298947) (-3229 . 298756) (-3230 . 298590) (-3231 . 298356) (-3232 . 298217) (-3233 . 298138) (-3234 . 298067) (-3235 . 297690) (-3236 . 297496) (-3237 . 297248) (-3238 . 297162) (-3239 . 296923) (-3240 . 296852) (-3241 . 296820) (-3242 . 296561) (-3243 . 296432) (-3244 . 296361) (-3245 . 296179) (-3246 . 296120) (-3247 . 295917) (-3248 . 295788) (-3249 . 295680) (-3250 . 295176) (-3251 . 295119) (-3252 . 294946) (-3253 . 294858) (-3254 . 294784) (-3255 . 294383) (-3256 . 293983) (-3257 . 293932) (-3258 . 293706) (-3259 . 293653) (-3260 . 293621) (-3261 . 293570) (-3262 . 293472) (-3263 . 293396) (-3264 . 293144) (-3265 . 292935) (-3266 . 292732) (-3267 . 292631) (-3268 . 292578) (-3269 . 292208) (-3270 . 292134) (-3271 . 292024) (-3272 . 291917) (-3273 . 291846) (-3274 . 291771) (-3275 . 291555) (-3276 . 291455) (-3277 . 290857) (-3278 . 290710) (-3279 . 290587) (-3280 . 290535) (-3281 . 290477) (-3282 . 290115) (-3283 . 289919) (-3284 . 289705) (-3285 . 289333) (-3286 . 289264) (-3287 . 289057) (-3288 . 288481) (-3289 . 288246) (-3290 . 288129) (-3291 . 287858) (-3292 . 287803) (-3293 . 287751) (-3294 . 287435) (-3295 . 287338) (-3296 . 287222) (-3297 . 287089) (-3298 . 286725) (-3299 . 286594) (-3300 . 286462) (-3301 . 286359) (-3302 . 286271) (-3303 . 286201) (-3304 . 285900) (-3305 . 285749) (-3306 . 285489) (-3307 . 285430) (-3308 . 285351) (-3309 . 285123) (-3310 . 284982) (-3311 . 284704) (-3312 . 284553) (-3313 . 284390) (-3314 . 284169) (-3315 . 283932) (-3316 . 283739) (-3317 . 283599) (-3318 . 283243) (-3319 . 283190) (-3320 . 282819) (-3321 . 282648) (-3322 . 282527) (-3323 . 282436) (-3324 . 282302) (-3325 . 282093) (-3326 . 282007) (-3327 . 281632) (-3328 . 281542) (-3329 . 281314) (-3330 . 281215) (-3331 . 281149) (-3332 . 280881) (-3333 . 280808) (-3334 . 280724) (-3335 . 280674) (-3336 . 280590) (-3337 . 280438) (-3338 . 280383) (-3339 . 280294) (-3340 . 280074) (-3341 . 279231) (-3342 . 278321) (-3343 . 275482) (-3344 . 275246) (-3345 . 275170) (-3346 . 274209) (-3347 . 273595) (-3348 . 273284) (-3349 . 273049) (-3350 . 272485) (-3351 . 272352) (-3352 . 272226) (-3353 . 272086) (-3354 . 271948) (-3355 . 271682) (-3356 . 271312) (-3357 . 271110) (-3358 . 271004) (-3359 . 270923) (-3360 . 270303) (-3361 . 270163) (-3362 . 270018) (-3363 . 269944) (-3364 . 269687) (-3365 . 269572) (-3366 . 269446) (-3367 . 269211) (-3368 . 269096) (-3369 . 268928) (-3370 . 268852) (-3371 . 268782) (-3372 . 264858) (-3373 . 264789) (-3374 . 264676) (-3375 . 264623) (-3376 . 264516) (-3377 . 264408) (-3378 . 264324) (-3379 . 264172) (-3380 . 263879) (-3381 . 263739) (-3382 . 263252) (-3383 . 263221) (-3384 . 263096) (-3385 . 262978) (-3386 . 262889) (-3387 . 262812) (-3388 . 262760) (-3389 . 262661) (-3390 . 262386) (-3391 . 262271) (-3392 . 262237) (-3393 . 261601) (-3394 . 261567) (-3395 . 261518) (-3396 . 261422) (-3397 . 261318) (-3398 . 261230) (-3399 . 261064) (-3400 . 260984) (-3401 . 260812) (-3402 . 260662) (-3403 . 260574) (-3404 . 260499) (-3405 . 260413) (-3406 . 260261) (-3407 . 260135) (-3408 . 259178) (-3409 . 258674) (-3410 . 258503) (-3411 . 258432) (-3412 . 258328) (-3413 . 258227) (-3414 . 258004) (-3415 . 257905) (-3416 . 257843) (-3417 . 257770) (-3418 . 257672) (-3419 . 257431) (-3420 . 257336) (-3421 . 257262) (-3422 . 257079) (-3423 . 256980) (-3424 . 256789) (-3425 . 256681) (-3426 . 256522) (-3427 . 256446) (-3428 . 255308) (-3429 . 255043) (-3430 . 254770) (-3431 . 254711) (-3432 . 254644) (-3433 . 254559) (-3434 . 254463) (-3435 . 254313) (-3436 . 254212) (-3437 . 254043) (-3438 . 253817) (-3439 . 253676) (-3440 . 253580) (-3441 . 253414) (-3442 . 253003) (-3443 . 252885) (-3444 . 252819) (-3445 . 252681) (-3446 . 252597) (-3447 . 252501) (-3448 . 252411) (-3449 . 252174) (-3450 . 251887) (-3451 . 251760) (-3452 . 251498) (-3453 . 251346) (-3454 . 251318) (-3455 . 251235) (-3456 . 251149) (-3457 . 251025) (-3458 . 250908) (-3459 . 250810) (-3460 . 250687) (-3461 . 250529) (-3462 . 250234) (-3463 . 250181) (-3464 . 250065) (-3465 . 249762) (-3466 . 249707) (-3467 . 249586) (-3468 . 249440) (-3469 . 249366) (-3470 . 248698) (-3471 . 248617) (-3472 . 248496) (-3473 . 248373) (-3474 . 248227) (-3475 . 246496) (-3476 . 246365) (-3477 . 246266) (-3478 . 245898) (-3479 . 245376) (-3480 . 245274) (-3481 . 245150) (-3482 . 245098) (-3483 . 244956) (-3484 . 244881) (-3485 . 244807) (-3486 . 244559) (-3487 . 244491) (-3488 . 244418) (-3489 . 244366) (-3490 . 244303) (-3491 . 244204) (-3492 . 243004) (-3493 . 242634) (-3494 . 242582) (-3495 . 242465) (-3496 . 242205) (-3497 . 242054) (-3498 . 241958) (-3499 . 240813) (-3500 . 240671) (-3501 . 240520) (-3502 . 240382) (-3503 . 240300) (-3504 . 239941) (-3505 . 239852) (-3506 . 239756) (-3507 . 239606) (-3508 . 239366) (-3509 . 239289) (-3510 . 239149) (-3511 . 238643) (-3512 . 238510) (-3513 . 238160) (-3514 . 238089) (-3515 . 238008) (-3516 . 237913) (-3517 . 237840) (-3518 . 237473) (-3519 . 237327) (-3520 . 237194) (-3521 . 237075) (-3522 . 236750) (-3523 . 236245) (-3524 . 236142) (-3525 . 236017) (-3526 . 235943) (-3527 . 235873) (-3528 . 235802) (-3529 . 235674) (-3530 . 235582) (-3531 . 235496) (-3532 . 235343) (-3533 . 235250) (-3534 . 234842) (-3535 . 234702) (-3536 . 234628) (-3537 . 233777) (-3538 . 233721) (-3539 . 233180) (-3540 . 233094) (-3541 . 232911) (-3542 . 232633) (-3543 . 232499) (-3544 . 232418) (-3545 . 232325) (-3546 . 232241) (-3547 . 232155) (-3548 . 232044) (-3549 . 231896) (-3550 . 231151) (-3551 . 230981) (-3552 . 230601) (-3553 . 230527) (-3554 . 230460) (-3555 . 230170) (-3556 . 230084) (-3557 . 229994) (-3558 . 229832) (-3559 . 229758) (-3560 . 229492) (-3561 . 229035) (-3562 . 228898) (-3563 . 228606) (-3564 . 228520) (-3565 . 228429) (-3566 . 228340) (-3567 . 228227) (-3568 . 228114) (-3569 . 227878) (-3570 . 227797) (-3571 . 227709) (-3572 . 227634) (-3573 . 227429) (-3574 . 227343) (-3575 . 226694) (-3576 . 226577) (-3577 . 225659) (-3578 . 225607) (-3579 . 225538) (-3580 . 225483) (-3581 . 225232) (-3582 . 225085) (-3583 . 224999) (-3584 . 224907) (-3585 . 224750) (-3586 . 224693) (-3587 . 224515) (-3588 . 224312) (-3589 . 224192) (-3590 . 223620) (-3591 . 223534) (-3592 . 223462) (-3593 . 223359) (-3594 . 223275) (-3595 . 223247) (-3596 . 223178) (-3597 . 223069) (-3598 . 222824) (-3599 . 222738) (-3600 . 222492) (-3601 . 222118) (-3602 . 222051) (-3603 . 221778) (-3604 . 221707) (-3605 . 221604) (-3606 . 221442) (-3607 . 221392) (-3608 . 221306) (-3609 . 221218) (-3610 . 221138) (-3611 . 221063) (-3612 . 220970) (-3613 . 220881) (-3614 . 220730) (-3615 . 219941) (-3616 . 219849) (-3617 . 219579) (-3618 . 219468) (-3619 . 219389) (-3620 . 219293) (-3621 . 219196) (-3622 . 218954) (-3623 . 218639) (-3624 . 218567) (-3625 . 218417) (-3626 . 218331) (-3627 . 218096) (-3628 . 217766) (-3629 . 217589) (-3630 . 217536) (-3631 . 217244) (-3632 . 216286) (-3633 . 215799) (-3634 . 215628) (-3635 . 215542) (-3636 . 215176) (-3637 . 215107) (-3638 . 213837) (-3639 . 213764) (-3640 . 213525) (-3641 . 213445) (-3642 . 212908) (-3643 . 212822) (-3644 . 212469) (-3645 . 211629) (-3646 . 211346) (-3647 . 211262) (-3648 . 211170) (-3649 . 211084) (-3650 . 210709) (-3651 . 210335) (-3652 . 210283) (-3653 . 210227) (-3654 . 210056) (-3655 . 210001) (-3656 . 209917) (-3657 . 209831) (-3658 . 209728) (-3659 . 209421) (-3660 . 208582) (-3661 . 208445) (-3662 . 208202) (-3663 . 207895) (-3664 . 207821) (-3665 . 207619) (-3666 . 207567) (-3667 . 207474) (-3668 . 207214) (-3669 . 207141) (-3670 . 206879) (-3671 . 206631) (-3672 . 206500) (-3673 . 206294) (-3674 . 206199) (-3675 . 206077) (-3676 . 205996) (-3677 . 205827) (-3678 . 205762) (-3679 . 205522) (-3680 . 205372) (-3681 . 205253) (-3682 . 204872) (-3683 . 204394) (-3684 . 204302) (-3685 . 204218) (-3686 . 204063) (-3687 . 203823) (-3688 . 203703) (-3689 . 203644) (-3690 . 203555) (-3691 . 203407) (-3692 . 203315) (-3693 . 203251) (-3694 . 203056) (-3695 . 202503) (-3696 . 202450) (-3697 . 202262) (-3698 . 202169) (-3699 . 202037) (-3700 . 201948) (-3701 . 201882) (-3702 . 201821) (-3703 . 201707) (-3704 . 201637) (-3705 . 201546) (-3706 . 201448) (-3707 . 201372) (-3708 . 201286) (-3709 . 201136) (-3710 . 201084) (-3711 . 200887) (-3712 . 200837) (-3713 . 200784) (-3714 . 200660) (-3715 . 200587) (-3716 . 200433) (-3717 . 200261) (-3718 . 199694) (-3719 . 199439) (-3720 . 199352) (-3721 . 199044) (-3722 . 198731) (-3723 . 198645) (-3724 . 198084) (-3725 . 197984) (-3726 . 197618) (-3727 . 197118) (-3728 . 197065) (-3729 . 196975) (-3730 . 196822) (-3731 . 196733) (-3732 . 196601) (-3733 . 196483) (-3734 . 196326) (-3735 . 196274) (-3736 . 196221) (-3737 . 196039) (-3738 . 195987) (-3739 . 195901) (-3740 . 195784) (-3741 . 195604) (-3742 . 195481) (-3743 . 195385) (-3744 . 195296) (-3745 . 195199) (-3746 . 195000) (-3747 . 194972) (-3748 . 194771) (-3749 . 194401) (-3750 . 194129) (-3751 . 193966) (-3752 . 193828) (-3753 . 192949) (-3754 . 192744) (-3755 . 192493) (-3756 . 192426) (-3757 . 192121) (-3758 . 192045) (-3759 . 191822) (-3760 . 191736) (-3761 . 191512) (-3762 . 191399) (-3763 . 191039) (-3764 . 190910) (-3765 . 190734) (-3766 . 190574) (-3767 . 190507) (-3768 . 190441) (-3769 . 190350) (-3770 . 190237) (-3771 . 190123) (-3772 . 190054) (-3773 . 190026) (-3774 . 189741) (-3775 . 189591) (-3776 . 189404) (-3777 . 189246) (-3778 . 189073) (-3779 . 189021) (-3780 . 188861) (-3781 . 188503) (-3782 . 187570) (-3783 . 187518) (-3784 . 187083) (-3785 . 186897) (-3786 . 186550) (-3787 . 186518) (-3788 . 186427) (-3789 . 186150) (-3790 . 185566) (-3791 . 185406) (-3792 . 185231) (-3793 . 185121) (-3794 . 185035) (-3795 . 184983) (-3796 . 184901) (-3797 . 184807) (-3798 . 184710) (-3799 . 184621) (-3800 . 184524) (-3801 . 184434) (-3802 . 184367) (-3803 . 184138) (-3804 . 184009) (-3805 . 183851) (-3806 . 183643) (-3807 . 183342) (-3808 . 183229) (-3809 . 183095) (-3810 . 183014) (-3811 . 182962) (-3812 . 182876) (-3813 . 182589) (-3814 . 182217) (-3815 . 182058) (-3816 . 181970) (-3817 . 177512) (-3818 . 177453) (-3819 . 177388) (-3820 . 177192) (-3821 . 177094) (-3822 . 176936) (-3823 . 176723) (-3824 . 176673) (-3825 . 176642) (-3826 . 176589) (-3827 . 176270) (-3828 . 176161) (-3829 . 175922) (-3830 . 175789) (-3831 . 175679) (-3832 . 175514) (-3833 . 175186) (-3834 . 174973) (-3835 . 174801) (-3836 . 174261) (-3837 . 174132) (-3838 . 173999) (-3839 . 173804) (-3840 . 173674) (-3841 . 173526) (-3842 . 173392) (-3843 . 173234) (-3844 . 172997) (-3845 . 172911) (-3846 . 172869) (-3847 . 172727) (-3848 . 172617) (-3849 . 172469) (-3850 . 172281) (-3851 . 172192) (-3852 . 172111) (-3853 . 171896) (-3854 . 171748) (-3855 . 171662) (-3856 . 171603) (-3857 . 171295) (-3858 . 171189) (-3859 . 171126) (-3860 . 170905) (-3861 . 170578) (-3862 . 170492) (-3863 . 170440) (-3864 . 170324) (-3865 . 170028) (-3866 . 169871) (-3867 . 169782) (-3868 . 169446) (-3869 . 169360) (-3870 . 168677) (-3871 . 168609) (-3872 . 168437) (-3873 . 168379) (-3874 . 168184) (-3875 . 167296) (-3876 . 167214) (-3877 . 166643) (-3878 . 166514) (-3879 . 166480) (-3880 . 166086) (-3881 . 165944) (-3882 . 165892) (-3883 . 165833) (-3884 . 165749) (-3885 . 165675) (-3886 . 165439) (-3887 . 165177) (-3888 . 165107) (-3889 . 164786) (-3890 . 164212) (-3891 . 164130) (-3892 . 163912) (-3893 . 163817) (-3894 . 163666) (-3895 . 163521) (-3896 . 163444) (-3897 . 162813) (-3898 . 162623) (-3899 . 160378) (-3900 . 160242) (-3901 . 160116) (-3902 . 159803) (-3903 . 159665) (-3904 . 159473) (-3905 . 159374) (-3906 . 159269) (-3907 . 158980) (-3908 . 158892) (-3909 . 158729) (-3910 . 158621) (-3911 . 158548) (-3912 . 158458) (-3913 . 158402) (-3914 . 157619) (-3915 . 157275) (-3916 . 157137) (-3917 . 156953) (-3918 . 156901) (-3919 . 156834) (-3920 . 156757) (-3921 . 156684) (-3922 . 156532) (-3923 . 156354) (-3924 . 156265) (-3925 . 156134) (-3926 . 155776) (-3927 . 155715) (-3928 . 155547) (-3929 . 155384) (-3930 . 154561) (-3931 . 154457) (-3932 . 154405) (-3933 . 154299) (-3934 . 154244) (-3935 . 154192) (-3936 . 154112) (-3937 . 153993) (-3938 . 153909) (-3939 . 153183) (-3940 . 153065) (-3941 . 153037) (-3942 . 152820) (-3943 . 152722) (-3944 . 152619) (-3945 . 152567) (-3946 . 152515) (-3947 . 152302) (-3948 . 152188) (-3949 . 152109) (-3950 . 150948) (-3951 . 150850) (-3952 . 150506) (-3953 . 150378) (-3954 . 150350) (-3955 . 150142) (-3956 . 150050) (-3957 . 149946) (-3958 . 149857) (-3959 . 149753) (-3960 . 149664) (-3961 . 149573) (-3962 . 149489) (-3963 . 149410) (-3964 . 149189) (-3965 . 149029) (-3966 . 148882) (-3967 . 148732) (-3968 . 148670) (-3969 . 148101) (-3970 . 148049) (-3971 . 147899) (-3972 . 147871) (-3973 . 147799) (-3974 . 147551) (-3975 . 147305) (-3976 . 146980) (-3977 . 146476) (-3978 . 146191) (-3979 . 146111) (-3980 . 146055) (-3981 . 145951) (-3982 . 145828) (-3983 . 141904) (-3984 . 141738) (-3985 . 141676) (-3986 . 141526) (-3987 . 140084) (-3988 . 139652) (-3989 . 139539) (-3990 . 139405) (-3991 . 139327) (-3992 . 139092) (-3993 . 139009) (-3994 . 138910) (-3995 . 138670) (-3996 . 138574) (-3997 . 138402) (-3998 . 138096) (-3999 . 138047) (-4000 . 137934) (-4001 . 137880) (-4002 . 137431) (-4003 . 137369) (-4004 . 137246) (-4005 . 136887) (-4006 . 136811) (-4007 . 136646) (-4008 . 136489) (-4009 . 136412) (-4010 . 136359) (-4011 . 135996) (-4012 . 134881) (-4013 . 134778) (-4014 . 134629) (-4015 . 134519) (-4016 . 134445) (-4017 . 134265) (-4018 . 134140) (-4019 . 134069) (-4020 . 132936) (-4021 . 132876) (-4022 . 132746) (-4023 . 132596) (-4024 . 132480) (-4025 . 132425) (-4026 . 132277) (-4027 . 132177) (-4028 . 131914) (-4029 . 131279) (-4030 . 130959) (-4031 . 130925) (-4032 . 130850) (-4033 . 130816) (-4034 . 130565) (-4035 . 130493) (-4036 . 129716) (-4037 . 129475) (-4038 . 129298) (-4039 . 129228) (-4040 . 129078) (-4041 . 129026) (-4042 . 128915) (-4043 . 128796) (-4044 . 128477) (-4045 . 124796) (-4046 . 124730) (-4047 . 124603) (-4048 . 123268) (-4049 . 123209) (-4050 . 122939) (-4051 . 122855) (-4052 . 122639) (-4053 . 122587) (-4054 . 122012) (-4055 . 121732) (-4056 . 121553) (-4057 . 121375) (-4058 . 121318) (-4059 . 121111) (-4060 . 120973) (-4061 . 120882) (-4062 . 120724) (-4063 . 120491) (-4064 . 119828) (-4065 . 119656) (-4066 . 119549) (-4067 . 119480) (-4068 . 119302) (-4069 . 119250) (-4070 . 118925) (-4071 . 118824) (-4072 . 118725) (-4073 . 118668) (-4074 . 118600) (-4075 . 118359) (-4076 . 118306) (-4077 . 118233) (-4078 . 117911) (-4079 . 117776) (-4080 . 117541) (-4081 . 117488) (-4082 . 117426) (-4083 . 117373) (-4084 . 117270) (-4085 . 117146) (-4086 . 117036) (-4087 . 116498) (-4088 . 116194) (-4089 . 116139) (-4090 . 116016) (-4091 . 115759) (-4092 . 115731) (-4093 . 115628) (-4094 . 115476) (-4095 . 115302) (-4096 . 115164) (-4097 . 115030) (-4098 . 114832) (-4099 . 114019) (-4100 . 113824) (-4101 . 113471) (-4102 . 113443) (-4103 . 113301) (-4104 . 113202) (-4105 . 113098) (-4106 . 113045) (-4107 . 112971) (-4108 . 112859) (-4109 . 112708) (-4110 . 112423) (-4111 . 112326) (-4112 . 112213) (-4113 . 112121) (-4114 . 111944) (-4115 . 111745) (-4116 . 111073) (-4117 . 110970) (-4118 . 110847) (-4119 . 110751) (-4120 . 110448) (-4121 . 109796) (-4122 . 109697) (-4123 . 109644) (-4124 . 109568) (-4125 . 109450) (-4126 . 109368) (-4127 . 105502) (-4128 . 105449) (-4129 . 105261) (-4130 . 105148) (-4131 . 105111) (-4132 . 102876) (-4133 . 102728) (-4134 . 100291) (-4135 . 100084) (-4136 . 99898) (-4137 . 99719) (-4138 . 99666) (-4139 . 99538) (-4140 . 99197) (-4141 . 99073) (-4142 . 98991) (-4143 . 98939) (-4144 . 98703) (-4145 . 98441) (-4146 . 98366) (-4147 . 98275) (-4148 . 97967) (-4149 . 97900) (-4150 . 97790) (-4151 . 97577) (-4152 . 97384) (-4153 . 97188) (-4154 . 97113) (-4155 . 97035) (-4156 . 96983) (-4157 . 95493) (-4158 . 95422) (-4159 . 95367) (-4160 . 95064) (-4161 . 94960) (-4162 . 94810) (-4163 . 94697) (-4164 . 94306) (-4165 . 94225) (-4166 . 94132) (-4167 . 94014) (-4168 . 93264) (-4169 . 93069) (-4170 . 92933) (-4171 . 92858) (-4172 . 92768) (-4173 . 92391) (-4174 . 92357) (-4175 . 92218) (-4176 . 92078) (-4177 . 91384) (-4178 . 90161) (-4179 . 86237) (-4180 . 86118) (-4181 . 85919) (-4182 . 85829) (-4183 . 85682) (-4184 . 85613) (-4185 . 85582) (-4186 . 85499) (-4187 . 85311) (-4188 . 85239) (-4189 . 85170) (-4190 . 85093) (-4191 . 84670) (-4192 . 84621) (-4193 . 84405) (-4194 . 84076) (-4195 . 83653) (-4196 . 83574) (-4197 . 83522) (-4198 . 83440) (-4199 . 82717) (-4200 . 82662) (-4201 . 82539) (-4202 . 82459) (-4203 . 82274) (-4204 . 82189) (-4205 . 82039) (-4206 . 81822) (-4207 . 81720) (-4208 . 81600) (-4209 . 81365) (-4210 . 81182) (-4211 . 81129) (-4212 . 80998) (-4213 . 80689) (-4214 . 80474) (-4215 . 80360) (-4216 . 80177) (-4217 . 79895) (-4218 . 79776) (-4219 . 79501) (-4220 . 79349) (-4221 . 79298) (-4222 . 79189) (-4223 . 79017) (-4224 . 78954) (-4225 . 78886) (-4226 . 78752) (-4227 . 78600) (-4228 . 78424) (-4229 . 78003) (-4230 . 77952) (-4231 . 77753) (-4232 . 77506) (-4233 . 77409) (-4234 . 77342) (-4235 . 77204) (-4236 . 77176) (-4237 . 77043) (-4238 . 76980) (-4239 . 76828) (-4240 . 76644) (-4241 . 76541) (-4242 . 76441) (-4243 . 76345) (-4244 . 76083) (-4245 . 75980) (-4246 . 75931) (-4247 . 75837) (-4248 . 75530) (-4249 . 75442) (-4250 . 75390) (-4251 . 75299) (-4252 . 75228) (-4253 . 75154) (-4254 . 75088) (-4255 . 74859) (-4256 . 73524) (-4257 . 73254) (-4258 . 73151) (-4259 . 72524) (-4260 . 72410) (-4261 . 72284) (-4262 . 72212) (-4263 . 72112) (-4264 . 71925) (-4265 . 71653) (-4266 . 71568) (-4267 . 71502) (-4268 . 71263) (-4269 . 71149) (-4270 . 71056) (-4271 . 70983) (-4272 . 70876) (-4273 . 70848) (-4274 . 70734) (-4275 . 70530) (-4276 . 70345) (-4277 . 70261) (-4278 . 70107) (-4279 . 69999) (-4280 . 69947) (-4281 . 66023) (-4282 . 65080) (-4283 . 64925) (-4284 . 64843) (-4285 . 64668) (-4286 . 64276) (-4287 . 64097) (-4288 . 64041) (-4289 . 63863) (-4290 . 63835) (-4291 . 63757) (-4292 . 63461) (-4293 . 63396) (-4294 . 63290) (-4295 . 63241) (-4296 . 63115) (-4297 . 63033) (-4298 . 62970) (-4299 . 62904) (-4300 . 62785) (-4301 . 62652) (-4302 . 62539) (-4303 . 62435) (-4304 . 62306) (-4305 . 62233) (-4306 . 62018) (-4307 . 61902) (-4308 . 60190) (-4309 . 60088) (-4310 . 59584) (-4311 . 59512) (-4312 . 59433) (-4313 . 59308) (-4314 . 59256) (-4315 . 59151) (-4316 . 58957) (-4317 . 58902) (-4318 . 58746) (-4319 . 58602) (-4320 . 58479) (-4321 . 58392) (-4322 . 58320) (-4323 . 58097) (-4324 . 57762) (-4325 . 57688) (-4326 . 57580) (-4327 . 56958) (-4328 . 56595) (-4329 . 55866) (-4330 . 55600) (-4331 . 55534) (-4332 . 55429) (-4333 . 55321) (-4334 . 55219) (-4335 . 55083) (-4336 . 54831) (-4337 . 54498) (-4338 . 54296) (-4339 . 54197) (-4340 . 54123) (-4341 . 54050) (-4342 . 53975) (-4343 . 53918) (-4344 . 53700) (-4345 . 53595) (-4346 . 53543) (-4347 . 52973) (-4348 . 52941) (-4349 . 52850) (-4350 . 52698) (-4351 . 52486) (-4352 . 52369) (-4353 . 51852) (-4354 . 51800) (-4355 . 51410) (-4356 . 51302) (-4357 . 51092) (-4358 . 50963) (-4359 . 50840) (-4360 . 50783) (-4361 . 50412) (-4362 . 49480) (-4363 . 49155) (-4364 . 49072) (-4365 . 48983) (-4366 . 48931) (-4367 . 48596) (-4368 . 48422) (-4369 . 45985) (-4370 . 45845) (-4371 . 45677) (-4372 . 45646) (-4373 . 45363) (-4374 . 45259) (-4375 . 45152) (-4376 . 45032) (-4377 . 45003) (-4378 . 44824) (-4379 . 44746) (-4380 . 44642) (-4381 . 44513) (-4382 . 44105) (-4383 . 43950) (-4384 . 41284) (-4385 . 41096) (-4386 . 41018) (-4387 . 40722) (-4388 . 40359) (-4389 . 40293) (-4390 . 40241) (-4391 . 40189) (-4392 . 40086) (-4393 . 39732) (-4394 . 39655) (-4395 . 39432) (-4396 . 39380) (-4397 . 39116) (-4398 . 39043) (-4399 . 38804) (-4400 . 38671) (-4401 . 37917) (-4402 . 37782) (-4403 . 37723) (-4404 . 37629) (-4405 . 37601) (-4406 . 37498) (-4407 . 37375) (-4408 . 37284) (-4409 . 37102) (-4410 . 36359) (-4411 . 36209) (-4412 . 36150) (-4413 . 35953) (-4414 . 35825) (-4415 . 35746) (-4416 . 35712) (-4417 . 35560) (-4418 . 35477) (-4419 . 35401) (-4420 . 35349) (-4421 . 35257) (-4422 . 34437) (-4423 . 34400) (-4424 . 34049) (-4425 . 33897) (-4426 . 32028) (-4427 . 31840) (-4428 . 31742) (-4429 . 31437) (-4430 . 31371) (-4431 . 31298) (-4432 . 31209) (-4433 . 31101) (-4434 . 31012) (-4435 . 22119) (-4436 . 21282) (-4437 . 21209) (-4438 . 20090) (-4439 . 19972) (-4440 . 19374) (-4441 . 19022) (-4442 . 18695) (-4443 . 18556) (-4444 . 18455) (-4445 . 18050) (-4446 . 17976) (-4447 . 17774) (-4448 . 17509) (-4449 . 17407) (-4450 . 16231) (-4451 . 16113) (** . 13048) (-4453 . 12858) (-4454 . 12147) (-4455 . 11556) (-4456 . 11462) (-4457 . 11411) (-4458 . 11256) (-4459 . 11056) (-4460 . 10964) (-4461 . 10594) (-4462 . 10343) (-4463 . 10245) (-4464 . 10108) (-4465 . 9824) (-4466 . 9790) (-4467 . 9724) (-4468 . 9431) (-4469 . 8046) (-4470 . 7924) (-4471 . 7871) (-4472 . 7790) (-4473 . 7717) (-4474 . 7642) (-4475 . 7473) (-4476 . 7357) (-4477 . 7177) (-4478 . 7124) (-4479 . 7016) (-4480 . 6116) (-4481 . 6051) (-4482 . 5940) (-4483 . 5840) (-4484 . 5748) (-4485 . 5696) (-4486 . 5615) (-4487 . 5518) (-4488 . 5349) (-4489 . 4881) (-4490 . 4561) (-4491 . 4472) (-4492 . 4419) (-4493 . 3291) (-4494 . 2902) (-4495 . 2735) (-4496 . 2601) (-4497 . 2451) (-4498 . 2368) (-4499 . 2243) (-4500 . 2190) (-4501 . 1971) (-4502 . 1863) (-4503 . 1770) (-4504 . 1618) (-4505 . 1490) (-4506 . 1050) (-4507 . 899) (-4508 . 815) (-4509 . 656) (-4510 . 604) (-4511 . 462) (-4512 . 410) (-4513 . 254) (-4514 . 101) (-4515 . 30)) 
\ No newline at end of file
diff --git a/src/share/algebra/users.daase/index.kaf b/src/share/algebra/users.daase/index.kaf
old mode 100755
new mode 100644
index 2daa077..d60dd34
--- a/src/share/algebra/users.daase/index.kaf
+++ b/src/share/algebra/users.daase/index.kaf
@@ -1,4 +1,4 @@
-234547              (|ProjectiveAlgebraicSetPackage|)
+235020              (|ProjectiveAlgebraicSetPackage|)
 (|ProjectiveAlgebraicSetPackage|)
 (|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |BlowUpPackage| |DesingTreePackage| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField|)
 (|AffinePlane|)
@@ -57,7 +57,7 @@
 (|BalancedBinaryTree| |BinarySearchTree| |BinaryTournament|)
 (|SetOfMIntegersInOneToN|)
 (|DesingTreePackage|)
-(|AbelianMonoid&| |AbelianMonoidRing&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |Aggregate&| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AnonymousFunction| |AntiSymm| |Any| |AnyFunctions1| |ApplyRules| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicType&| |BezoutMatrix| |BinaryExpansion| |BinaryFile| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |BinaryTreeCategory&| |BitAggregate&| |Bits| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CardinalNumber| |CartesianTensor| |ChangeOfVariable| |Character| |CharacterClass| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Collection&| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |CommuteUnivariatePolynomialCategory| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexPattern| |ComplexPatternMatch| |ComplexRootFindingPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |ContinuedFraction| |CycleIndicators| |CyclicStreamTools| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |Dictionary&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |EqTable| |Equation| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |EvaluateCycleIndicators| |Exit| |ExpertSystemContinuityPackage| |ExpertSystemContinuityPackage1| |ExpertSystemToolsPackage| |ExpertSystemToolsPackage1| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtAlgBasis| |ExtensibleLinearAggregate&| |ExtensionField&| |FGLMIfCanPackage| |Factored| |FactoredFunctions| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |File| |FileName| |FindOrderFinite| |FiniteAbelianMonoidRing&| |FiniteAbelianMonoidRingFunctions2| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteDivisorCategory&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregate&| |FiniteLinearAggregateFunctions2| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionalIdeal| |FramedModule| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |GraphImage| |GraphicsDefaults| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Guess| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexCard| |IndexedAggregate&| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfiniteProductFiniteField| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerBits| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerLinearDependence| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRetractions| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegralDomain&| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalRationalUnivariateRepresentationPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |IrredPolyOverFiniteField| |Kernel| |KeyedAccessFile| |KeyedDictionary&| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LazyStreamAggregate&| |LeadingCoefDetermination| |LexTriangularPackage| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |LiouvillianFunction| |List| |ListAggregate&| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MakeFloatCompiledFunction| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |MergeThing| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonadWithUnit&| |Monoid&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NagEigenPackage| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagPolynomialRootsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonPolygon| |NonCommutativeOperatorDivision| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |None| |NormInMonogenicAlgebra| |NormRetractPackage| |NormalizationPackage| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericContinuedFraction| |NumericTubePlot| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |ODEIntegration| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathConnection| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedRing&| |OrderedSet&| |OrderedVariableList| |OrderingFunctions| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PadeApproximantPackage| |PadeApproximants| |Palette| |ParametricLinearEquations| |ParametrizationPackage| |PartialFraction| |Partition| |Pattern| |PatternFunctions1| |PatternMatch| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchListAggregate| |PatternMatchListResult| |PatternMatchPolynomialCategory| |PatternMatchPushDown| |PatternMatchQuotientFieldCategory| |PatternMatchResult| |PatternMatchResultFunctions2| |PatternMatchSymbol| |PatternMatchTools| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PlotTools| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PolToPol| |Polynomial| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialCategoryQuotientFunctions| |PolynomialComposition| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialNumberTheoryFunctions| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PositiveInteger| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuadraticForm| |QuasiAlgebraicSet| |QuasiAlgebraicSet2| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RationalFactorize| |RationalFunctionDefiniteIntegration| |RationalFunctionLimitPackage| |RationalInterpolation| |RationalLODE| |RationalRetractions| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RectangularMatrixCategory&| |RecurrenceOperator| |RecursiveAggregate&| |RecursivePolynomialCategory&| |ReductionOfOrder| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SegmentFunctions2| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SmithNormalForm| |SortPackage| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StorageEfficientMatrixOperations| |Stream| |StreamAggregate&| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |SupFractionFactorizer| |Switch| |Symbol| |SymbolTable| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |TableauxBumpers| |TabulatedComputationPackage| |TaylorSeries| |TaylorSolve| |TexFormat| |TextFile| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlot| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |UnaryRecursiveAggregate&| |UniqueFactorizationDomain&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesConstructorCategory&| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UniversalSegmentFunctions2| |UserDefinedPartialOrdering| |Variable| |Vector| |VectorFunctions2| |ViewDefaultsPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AbelianMonoid&| |AbelianMonoidRing&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |Aggregate&| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AnonymousFunction| |AntiSymm| |Any| |AnyFunctions1| |ApplyRules| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |BasicType&| |BezoutMatrix| |BinaryExpansion| |BinaryFile| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |BinaryTreeCategory&| |BitAggregate&| |Bits| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CardinalNumber| |CartesianTensor| |ChangeOfVariable| |Character| |CharacterClass| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Collection&| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |CommuteUnivariatePolynomialCategory| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexPattern| |ComplexPatternMatch| |ComplexRootFindingPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |ContinuedFraction| |CycleIndicators| |CyclicStreamTools| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |Dictionary&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |EqTable| |Equation| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |EvaluateCycleIndicators| |Exit| |ExpertSystemContinuityPackage| |ExpertSystemContinuityPackage1| |ExpertSystemToolsPackage| |ExpertSystemToolsPackage1| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtAlgBasis| |ExtensibleLinearAggregate&| |ExtensionField&| |FGLMIfCanPackage| |Factored| |FactoredFunctions| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |File| |FileName| |FindOrderFinite| |FiniteAbelianMonoidRing&| |FiniteAbelianMonoidRingFunctions2| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteDivisorCategory&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregate&| |FiniteLinearAggregateFunctions2| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionalIdeal| |FramedModule| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |GraphImage| |GraphicsDefaults| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Guess| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexCard| |IndexedAggregate&| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfiniteProductFiniteField| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerBits| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerLinearDependence| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRetractions| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegralDomain&| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalRationalUnivariateRepresentationPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |IrredPolyOverFiniteField| |Kernel| |KeyedAccessFile| |KeyedDictionary&| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LazyStreamAggregate&| |LeadingCoefDetermination| |LexTriangularPackage| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |LiouvillianFunction| |List| |ListAggregate&| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MakeFloatCompiledFunction| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |MergeThing| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonadWithUnit&| |Monoid&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NagEigenPackage| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagPolynomialRootsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonPolygon| |NonCommutativeOperatorDivision| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |None| |NormInMonogenicAlgebra| |NormRetractPackage| |NormalizationPackage| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericContinuedFraction| |NumericTubePlot| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |ODEIntegration| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathConnection| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedRing&| |OrderedSet&| |OrderedVariableList| |OrderingFunctions| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PadeApproximantPackage| |PadeApproximants| |Palette| |ParametricLinearEquations| |ParametrizationPackage| |PartialFraction| |Partition| |Pattern| |PatternFunctions1| |PatternMatch| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchListAggregate| |PatternMatchListResult| |PatternMatchPolynomialCategory| |PatternMatchPushDown| |PatternMatchQuotientFieldCategory| |PatternMatchResult| |PatternMatchResultFunctions2| |PatternMatchSymbol| |PatternMatchTools| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PlotTools| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PolToPol| |Polynomial| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialCategoryQuotientFunctions| |PolynomialComposition| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialNumberTheoryFunctions| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PositiveInteger| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuadraticForm| |QuasiAlgebraicSet| |QuasiAlgebraicSet2| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RationalFactorize| |RationalFunctionDefiniteIntegration| |RationalFunctionLimitPackage| |RationalInterpolation| |RationalLODE| |RationalRetractions| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RectangularMatrixCategory&| |RecurrenceOperator| |RecursiveAggregate&| |RecursivePolynomialCategory&| |ReductionOfOrder| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SegmentFunctions2| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SmithNormalForm| |SortPackage| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StorageEfficientMatrixOperations| |Stream| |StreamAggregate&| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |StreamTaylorSeriesOperations| |StreamTensor| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |SupFractionFactorizer| |Switch| |Symbol| |SymbolTable| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |TableauxBumpers| |TabulatedComputationPackage| |TaylorSeries| |TaylorSolve| |TexFormat| |TextFile| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlot| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U32Vector| |UnaryRecursiveAggregate&| |UniqueFactorizationDomain&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesConstructorCategory&| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UniversalSegmentFunctions2| |UserDefinedPartialOrdering| |Variable| |Vector| |VectorFunctions2| |ViewDefaultsPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|PrimitiveRatDE| |RationalLODE|)
 (|GaloisGroupFactorizer|)
 (|CliffordAlgebra| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |Equation| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |HomogeneousDirectProduct| |InnerFiniteField| |InnerPrimeField| |OrderedDirectProduct| |PrimeField| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |RectangularMatrix| |SplitHomogeneousDirectProduct|)
@@ -117,7 +117,7 @@
 (|FunctionSpaceComplexIntegration| |FunctionSpaceIntegration|)
 (|ElementaryIntegration|)
 (|ElementaryIntegration|)
-(|AlgebraicNumber| |ApplyRules| |ArrayStack| |AssociationList| |BalancedBinaryTree| |BalancedPAdicRational| |BinaryExpansion| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |CharacterClass| |Complex| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |DataList| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DiophantineSolutionPackage| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DistributedMultivariatePolynomial| |DoubleFloatMatrix| |DoubleFloatVector| |EigenPackage| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |EqTable| |Equation| |EquationFunctions2| |Evalable&| |ExpertSystemContinuityPackage| |ExponentialExpansion| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |Factored| |FlexibleArray| |FloatingComplexPackage| |FloatingRealPackage| |FortranExpression| |FortranProgram| |Fraction| |FullyEvalableOver&| |FunctionSpace&| |GeneralDistributedMultivariatePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InnerAlgebraicNumber| |InnerIndexedTwoDimensionalArray| |InnerNumericFloatSolvePackage| |InnerTable| |KeyedAccessFile| |LaplaceTransform| |Library| |LieExponentials| |LieSquareMatrix| |List| |ListMultiDictionary| |MachineComplex| |Matrix| |ModMonic| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonLinearSolvePackage| |Octonion| |OneDimensionalArray| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |PatternMatch| |PendantTree| |Point| |Polynomial| |PolynomialCategory&| |PolynomialIdeals| |PowerSeriesLimitPackage| |PrimitiveArray| |Quaternion| |Queue| |RadicalSolvePackage| |RadixExpansion| |RationalFunction| |RationalFunctionLimitPackage| |RationalRicDE| |RectangularMatrix| |RecurrenceOperator| |RegularChain| |RegularTriangularSet| |Result| |RetractSolvePackage| |RewriteRule| |RoutinesTable| |SequentialDifferentialPolynomial| |Set| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareMatrix| |Stack| |Stream| |String| |StringTable| |SystemSolvePackage| |Table| |TaylorSeries| |ThreeDimensionalMatrix| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |Tree| |TwoDimensionalArray| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |Vector| |WuWenTsunTriangularSet| |d01AgentsPackage| |d01TransformFunctionType| |d02AgentsPackage| |d03AgentsPackage|)
+(|AlgebraicNumber| |ApplyRules| |ArrayStack| |AssociationList| |BalancedBinaryTree| |BalancedPAdicRational| |BinaryExpansion| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |CharacterClass| |Complex| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |DataList| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DiophantineSolutionPackage| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DistributedMultivariatePolynomial| |DoubleFloatMatrix| |DoubleFloatVector| |EigenPackage| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |EqTable| |Equation| |EquationFunctions2| |Evalable&| |ExpertSystemContinuityPackage| |ExponentialExpansion| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |Factored| |FlexibleArray| |FloatingComplexPackage| |FloatingRealPackage| |FortranExpression| |FortranProgram| |Fraction| |FullyEvalableOver&| |FunctionSpace&| |GeneralDistributedMultivariatePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InnerAlgebraicNumber| |InnerIndexedTwoDimensionalArray| |InnerNumericFloatSolvePackage| |InnerTable| |KeyedAccessFile| |LaplaceTransform| |Library| |LieExponentials| |LieSquareMatrix| |List| |ListMultiDictionary| |MachineComplex| |Matrix| |ModMonic| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonLinearSolvePackage| |Octonion| |OneDimensionalArray| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |PatternMatch| |PendantTree| |Point| |Polynomial| |PolynomialCategory&| |PolynomialIdeals| |PowerSeriesLimitPackage| |PrimitiveArray| |Quaternion| |Queue| |RadicalSolvePackage| |RadixExpansion| |RationalFunction| |RationalFunctionLimitPackage| |RationalRicDE| |RectangularMatrix| |RecurrenceOperator| |RegularChain| |RegularTriangularSet| |Result| |RetractSolvePackage| |RewriteRule| |RoutinesTable| |SequentialDifferentialPolynomial| |Set| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareMatrix| |Stack| |Stream| |String| |StringTable| |SystemSolvePackage| |Table| |TaylorSeries| |ThreeDimensionalMatrix| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |Tree| |TwoDimensionalArray| |U32Vector| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |Vector| |WuWenTsunTriangularSet| |d01AgentsPackage| |d01TransformFunctionType| |d02AgentsPackage| |d03AgentsPackage|)
 (|AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AttributeButtons| |RoutinesTable| |d01AgentsPackage|)
 (|ParametricLinearEquations|)
 (|InnerModularGcd|)
@@ -252,9 +252,9 @@
 (|Table|)
 (|SparseMultivariateTaylorSeries| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero|)
 (|ComplexTrigonometricManipulations| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |TrigonometricManipulations|)
-(|AssociationList| |BalancedPAdicRational| |BasicOperatorFunctions1| |BinaryExpansion| |Bits| |Boolean| |CharacterClass| |CommonOperators| |Complex| |ComplexCategory&| |ComplexDoubleFloatVector| |DataList| |DecimalExpansion| |DifferentialSparseMultivariatePolynomial| |DistributedMultivariatePolynomial| |DoubleFloat| |DoubleFloatVector| |EqTable| |ExponentialExpansion| |Export3D| |Expression| |Factored| |FlexibleArray| |Float| |FortranPackage| |FortranProgram| |Fraction| |FunctionSpace&| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GnuDraw| |HashTable| |HexadecimalExpansion| |HomogeneousDistributedMultivariatePolynomial| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedString| |IndexedVector| |InnerTable| |InputFormFunctions1| |Integer| |IntegerNumberSystem&| |Kernel| |KeyedAccessFile| |Library| |LiouvillianFunction| |List| |ListMultiDictionary| |MachineComplex| |MachineInteger| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |Matrix| |ModMonic| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OpenMathPackage| |OrderedVariableList| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |Pi| |Point| |Polynomial| |PolynomialCategory&| |PrimitiveArray| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadixExpansion| |RectangularMatrix| |RecursivePolynomialCategory&| |RegularChain| |RegularTriangularSet| |Result| |RomanNumeral| |RoutinesTable| |SequentialDifferentialPolynomial| |Set| |SingleInteger| |SparseMultivariatePolynomial| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SquareFreeRegularTriangularSet| |SquareMatrix| |Stream| |String| |StringTable| |Symbol| |SymbolTable| |Table| |TemplateUtilities| |TopLevelDrawFunctions| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |Vector| |WuWenTsunTriangularSet|)
+(|AssociationList| |BalancedPAdicRational| |BasicOperatorFunctions1| |BinaryExpansion| |Bits| |Boolean| |CharacterClass| |CommonOperators| |Complex| |ComplexCategory&| |ComplexDoubleFloatVector| |DataList| |DecimalExpansion| |DifferentialSparseMultivariatePolynomial| |DistributedMultivariatePolynomial| |DoubleFloat| |DoubleFloatVector| |EqTable| |ExponentialExpansion| |Export3D| |Expression| |Factored| |FlexibleArray| |Float| |FortranPackage| |FortranProgram| |Fraction| |FunctionSpace&| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GnuDraw| |HashTable| |HexadecimalExpansion| |HomogeneousDistributedMultivariatePolynomial| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedString| |IndexedVector| |InnerTable| |InputFormFunctions1| |Integer| |IntegerNumberSystem&| |Kernel| |KeyedAccessFile| |Library| |LiouvillianFunction| |List| |ListMultiDictionary| |MachineComplex| |MachineInteger| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |Matrix| |ModMonic| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OpenMathPackage| |OrderedVariableList| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |Pi| |Point| |Polynomial| |PolynomialCategory&| |PrimitiveArray| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadixExpansion| |RectangularMatrix| |RecursivePolynomialCategory&| |RegularChain| |RegularTriangularSet| |Result| |RomanNumeral| |RoutinesTable| |SequentialDifferentialPolynomial| |Set| |SingleInteger| |SparseMultivariatePolynomial| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SquareFreeRegularTriangularSet| |SquareMatrix| |Stream| |String| |StringTable| |Symbol| |SymbolTable| |Table| |TemplateUtilities| |TopLevelDrawFunctions| |U32Vector| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |Vector| |WuWenTsunTriangularSet|)
 (|FunctionSpace&|)
-(|AbelianGroup&| |AbelianMonoidRing&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgFactor| |Algebra&| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |ArrayStack| |Asp10| |Asp19| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp55| |Asp73| |Asp74| |Asp77| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |Bezier| |BezoutMatrix| |BinaryExpansion| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CardinalNumber| |CartesianTensor| |ChangeOfVariable| |Character| |CharacterClass| |CharacteristicPolynomialPackage| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Color| |CombinatorialFunction| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexRootFindingPackage| |ComplexRootPackage| |ContinuedFraction| |CoordinateSystems| |CycleIndicators| |CyclotomicPolynomialPackage| |DataList| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DrawComplex| |EigenPackage| |ElementaryFunction| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |Equation| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtensibleLinearAggregate&| |Factored| |FactoredFunctions| |FactoredFunctions2| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregate&| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FloatingPointSystem&| |FortranCode| |FortranExpression| |FortranProgram| |FortranTemplate| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FractionalIdealFunctions2| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebraFunctions2| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FullyRetractableTo&| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GnuDraw| |GosperSummationMethod| |GraphImage| |GraphicsDefaults| |GrayCode| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Group&| |Guess| |GuessFinite| |GuessFiniteFunctions| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HallBasis| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperbolicFunctionCategory&| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfiniteProductCharacteristicZero| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InfinitlyClosePoint| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerBits| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRetractions| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalRationalUnivariateRepresentationPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |KeyedAccessFile| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazyStreamAggregate&| |LeadingCoefDetermination| |LeftAlgebra&| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorsOps| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemPolynomialPackage| |LinesOpPack| |LiouvillianFunction| |List| |ListAggregate&| |ListMonoidOps| |ListToMap| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |MakeFloatCompiledFunction| |MappingPackage1| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |MonogenicAlgebra&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NPCoef| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NewtonPolygon| |NonAssociativeRing&| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericContinuedFraction| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntegration| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathDevice| |OpenMathEncoding| |OpenMathError| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedRing&| |OrderedVariableList| |OrderingFunctions| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |Palette| |ParadoxicalCombinatorsForStreams| |ParametricLinearEquations| |ParametrizationPackage| |PartialFraction| |Partition| |PartitionsAndPermutations| |Pattern| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchPolynomialCategory| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |PermutationGroupExamples| |Pi| |PiCoercions| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |PointFunctions2| |PointPackage| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialCategory&| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialNumberTheoryFunctions| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSolveByFormulas| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |QuadraticForm| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RadixUtilities| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RandomNumberSource| |RationalFactorize| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalInterpolation| |RationalLODE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RectangularMatrix| |RectangularMatrixCategory&| |RectangularMatrixCategoryFunctions2| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReduceLODE| |ReductionOfOrder| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RightOpenIntervalRootCharacterization| |Ring&| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentFunctions2| |SequentialDifferentialPolynomial| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SortPackage| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stream| |StreamAggregate&| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StructuralConstantsPackage| |SturmHabichtPackage| |SubSpace| |Symbol| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Tableau| |TableauxBumpers| |TangentExpansions| |TaylorSeries| |TaylorSolve| |TemplateUtilities| |TexFormat| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalFunctionCategory&| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularMatrixOperations| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |UTSodetools| |UnaryRecursiveAggregate&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariateLaurentSeriesFunctions2| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |Vector| |VectorCategory&| |ViewDefaultsPackage| |ViewportPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AbelianGroup&| |AbelianMonoidRing&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgFactor| |Algebra&| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |ArrayStack| |Asp10| |Asp19| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp55| |Asp73| |Asp74| |Asp77| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |Bezier| |BezoutMatrix| |BinaryExpansion| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CardinalNumber| |CartesianTensor| |ChangeOfVariable| |Character| |CharacterClass| |CharacteristicPolynomialPackage| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Color| |CombinatorialFunction| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexRootFindingPackage| |ComplexRootPackage| |ContinuedFraction| |CoordinateSystems| |CycleIndicators| |CyclotomicPolynomialPackage| |DataList| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DrawComplex| |EigenPackage| |ElementaryFunction| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |Equation| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtensibleLinearAggregate&| |Factored| |FactoredFunctions| |FactoredFunctions2| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregate&| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FloatingPointSystem&| |FortranCode| |FortranExpression| |FortranProgram| |FortranTemplate| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FractionalIdealFunctions2| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebraFunctions2| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FullyRetractableTo&| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GnuDraw| |GosperSummationMethod| |GraphImage| |GraphicsDefaults| |GrayCode| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Group&| |Guess| |GuessFinite| |GuessFiniteFunctions| |HTMLFormat| |HallBasis| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperbolicFunctionCategory&| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfiniteProductCharacteristicZero| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InfinitlyClosePoint| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerBits| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRetractions| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalRationalUnivariateRepresentationPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |KeyedAccessFile| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazyStreamAggregate&| |LeadingCoefDetermination| |LeftAlgebra&| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorsOps| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemPolynomialPackage| |LinesOpPack| |LiouvillianFunction| |List| |ListAggregate&| |ListMonoidOps| |ListToMap| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |MakeFloatCompiledFunction| |MappingPackage1| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |MonogenicAlgebra&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NPCoef| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NewtonPolygon| |NonAssociativeRing&| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericContinuedFraction| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntegration| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathDevice| |OpenMathEncoding| |OpenMathError| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedRing&| |OrderedVariableList| |OrderingFunctions| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |Palette| |ParadoxicalCombinatorsForStreams| |ParametricLinearEquations| |ParametrizationPackage| |PartialFraction| |Partition| |PartitionsAndPermutations| |Pattern| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchPolynomialCategory| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |PermutationGroupExamples| |Pi| |PiCoercions| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |PointFunctions2| |PointPackage| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialCategory&| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialNumberTheoryFunctions| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSolveByFormulas| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |QuadraticForm| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RadixUtilities| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RandomNumberSource| |RationalFactorize| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalInterpolation| |RationalLODE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RectangularMatrix| |RectangularMatrixCategory&| |RectangularMatrixCategoryFunctions2| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReduceLODE| |ReductionOfOrder| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RightOpenIntervalRootCharacterization| |Ring&| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentFunctions2| |SequentialDifferentialPolynomial| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SortPackage| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stream| |StreamAggregate&| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StructuralConstantsPackage| |SturmHabichtPackage| |SubSpace| |Symbol| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Tableau| |TableauxBumpers| |TangentExpansions| |TaylorSeries| |TaylorSolve| |TemplateUtilities| |TexFormat| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalFunctionCategory&| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularMatrixOperations| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U32Vector| |UTSodetools| |UnaryRecursiveAggregate&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariateLaurentSeriesFunctions2| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |Vector| |VectorCategory&| |ViewDefaultsPackage| |ViewportPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|RandomIntegerDistributions|)
 (|ComplexRootFindingPackage| |GaloisGroupUtilities| |Guess| |IntegerNumberSystem&| |IrrRepSymNatPackage| |MultivariateLifting| |RepresentationPackage1| |SetOfMIntegersInOneToN| |SymmetricGroupCombinatoricFunctions|)
 (|CyclotomicPolynomialPackage| |Factored| |GaussianFactorizationPackage| |IntegerNumberSystem&| |NumberFieldIntegralBasis|)
@@ -301,7 +301,7 @@
 (|SystemSolvePackage|)
 (|InterpolateFormsPackage| |LinearSystemFromPowerSeriesPackage|)
 (|Expression| |PowerSeriesLimitPackage|)
-(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicManipulations| |AlgebraicMultFact| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |Any| |ApplicationProgramInterface| |ApplyRules| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttachPredicates| |AttributeButtons| |AxiomServer| |BagAggregate&| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |Bezier| |BinaryExpansion| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |BoundIntegerRoots| |CRApackage| |CardinalNumber| |CartesianTensor| |CartesianTensorFunctions2| |Character| |CharacterClass| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |CoerceVectorMatrixPackage| |Collection&| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexRootFindingPackage| |ComplexRootPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |ContinuedFraction| |CycleIndicators| |CyclotomicPolynomialPackage| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |Dictionary&| |DictionaryOperations&| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DisplayPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |DrawOptionFunctions1| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |EqTable| |Equation| |ErrorFunctions| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Evalable&| |EvaluateCycleIndicators| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExpertSystemToolsPackage1| |ExpertSystemToolsPackage2| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtAlgBasis| |ExtensibleLinearAggregate&| |FGLMIfCanPackage| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoredFunctions2| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregateFunctions2| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FiniteSetAggregateFunctions2| |FlexibleArray| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FullyEvalableOver&| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GnuDraw| |GosperSummationMethod| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Guess| |GuessAlgebraicNumber| |GuessFinite| |GuessInteger| |GuessOption| |GuessOptionFunctions0| |GuessPolynomial| |GuessUnivariatePolynomial| |HTMLFormat| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedAggregate&| |IndexedBits| |IndexedDirectProductObject| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerEvalable&| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerMatrixQuotientFieldFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegrationFunctionsTable| |IntegrationResult| |IntegrationResultFunctions2| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |InterfaceGroebnerPackage| |InternalRationalUnivariateRepresentationPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |Kernel| |KernelFunctions2| |KeyedAccessFile| |KeyedDictionary&| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LazyStreamAggregate&| |LeadingCoefDetermination| |LexTriangularPackage| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |LiouvillianFunction| |List| |ListFunctions2| |ListFunctions3| |ListMonoidOps| |ListMultiDictionary| |ListToMap| |LocalParametrizationOfSimplePointPackage| |LyndonWord| |MPolyCatFunctions2| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |MappingPackage1| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCommonDenominator| |MatrixLinearAlgebraFunctions| |MergeThing| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModuleOperator| |MoebiusTransform| |MonogenicAlgebra&| |MonoidRing| |MonoidRingFunctions2| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NewtonPolygon| |NonLinearFirstOrderODESolver| |NonLinearSolvePackage| |NormRetractPackage| |NormalizationPackage| |NumberFieldIntegralBasis| |NumberFormats| |NumericComplexEigenPackage| |NumericRealEigenPackage| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntegration| |ODEIntensityFunctionsTable| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OpenMathError| |OpenMathPackage| |OppositeMonogenicLinearOperator| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PadeApproximants| |Palette| |ParadoxicalCombinatorsForStreams| |ParametricLinearEquations| |ParametrizationPackage| |PartialDifferentialRing&| |PartialFraction| |PartialFractionPackage| |Partition| |PartitionsAndPermutations| |Pattern| |PatternFunctions1| |PatternFunctions2| |PatternMatch| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPolynomialCategory| |PatternMatchPushDown| |PatternMatchResult| |PatternMatchResultFunctions2| |PatternMatchTools| |PendantTree| |Permutation| |PermutationGroup| |PermutationGroupExamples| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PlotTools| |PoincareBirkhoffWittLyndonBasis| |Point| |PointFunctions2| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |PolyGroebner| |Polynomial| |PolynomialCategory&| |PolynomialCategoryQuotientFunctions| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialInterpolation| |PolynomialInterpolationAlgorithms| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PowerSeriesLimitPackage| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuasiAlgebraicSet| |QuasiAlgebraicSet2| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RationalFactorize| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionIntegration| |RationalFunctionSign| |RationalIntegration| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RectangularMatrix| |RecurrenceOperator| |RecursiveAggregate&| |RecursivePolynomialCategory&| |ReductionOfOrder| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentFunctions2| |SequentialDifferentialPolynomial| |Set| |SetAggregate&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SmithNormalForm| |SortedCache| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |Stream| |StreamAggregate&| |StreamFunctions2| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |String| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |SubSpaceComponentProperty| |SupFractionFactorizer| |Switch| |Symbol| |SymbolTable| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |Tableau| |TableauxBumpers| |TangentExpansions| |TaylorSeries| |TaylorSolve| |TexFormat| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDESystem| |Tree| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlot| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |UnaryRecursiveAggregate&| |UniqueFactorizationDomain&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCommonDenominator| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomialSquareFree| |UnivariatePowerSeriesCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |Vector| |VectorCategory&| |VectorFunctions2| |ViewDefaultsPackage| |ViewportPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicManipulations| |AlgebraicMultFact| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |Any| |ApplicationProgramInterface| |ApplyRules| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttachPredicates| |AttributeButtons| |AxiomServer| |BagAggregate&| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |Bezier| |BinaryExpansion| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |BoundIntegerRoots| |CRApackage| |CardinalNumber| |CartesianTensor| |CartesianTensorFunctions2| |Character| |CharacterClass| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |CoerceVectorMatrixPackage| |Collection&| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexRootFindingPackage| |ComplexRootPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |ContinuedFraction| |CycleIndicators| |CyclotomicPolynomialPackage| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |Dictionary&| |DictionaryOperations&| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DisplayPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |DrawOptionFunctions1| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |EqTable| |Equation| |ErrorFunctions| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Evalable&| |EvaluateCycleIndicators| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExpertSystemToolsPackage1| |ExpertSystemToolsPackage2| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtAlgBasis| |ExtensibleLinearAggregate&| |FGLMIfCanPackage| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoredFunctions2| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregateFunctions2| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FiniteSetAggregateFunctions2| |FlexibleArray| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FullyEvalableOver&| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GnuDraw| |GosperSummationMethod| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Guess| |GuessAlgebraicNumber| |GuessFinite| |GuessInteger| |GuessOption| |GuessOptionFunctions0| |GuessPolynomial| |GuessUnivariatePolynomial| |HTMLFormat| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedAggregate&| |IndexedBits| |IndexedDirectProductObject| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerEvalable&| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerMatrixQuotientFieldFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegrationFunctionsTable| |IntegrationResult| |IntegrationResultFunctions2| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |InterfaceGroebnerPackage| |InternalRationalUnivariateRepresentationPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |Kernel| |KernelFunctions2| |KeyedAccessFile| |KeyedDictionary&| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LazyStreamAggregate&| |LeadingCoefDetermination| |LexTriangularPackage| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |LiouvillianFunction| |List| |ListFunctions2| |ListFunctions3| |ListMonoidOps| |ListMultiDictionary| |ListToMap| |LocalParametrizationOfSimplePointPackage| |LyndonWord| |MPolyCatFunctions2| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |MappingPackage1| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCommonDenominator| |MatrixLinearAlgebraFunctions| |MergeThing| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModuleOperator| |MoebiusTransform| |MonogenicAlgebra&| |MonoidRing| |MonoidRingFunctions2| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NewtonPolygon| |NonLinearFirstOrderODESolver| |NonLinearSolvePackage| |NormRetractPackage| |NormalizationPackage| |NumberFieldIntegralBasis| |NumberFormats| |NumericComplexEigenPackage| |NumericRealEigenPackage| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntegration| |ODEIntensityFunctionsTable| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OpenMathError| |OpenMathPackage| |OppositeMonogenicLinearOperator| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PadeApproximants| |Palette| |ParadoxicalCombinatorsForStreams| |ParametricLinearEquations| |ParametrizationPackage| |PartialDifferentialRing&| |PartialFraction| |PartialFractionPackage| |Partition| |PartitionsAndPermutations| |Pattern| |PatternFunctions1| |PatternFunctions2| |PatternMatch| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPolynomialCategory| |PatternMatchPushDown| |PatternMatchResult| |PatternMatchResultFunctions2| |PatternMatchTools| |PendantTree| |Permutation| |PermutationGroup| |PermutationGroupExamples| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PlotTools| |PoincareBirkhoffWittLyndonBasis| |Point| |PointFunctions2| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |PolyGroebner| |Polynomial| |PolynomialCategory&| |PolynomialCategoryQuotientFunctions| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialInterpolation| |PolynomialInterpolationAlgorithms| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PowerSeriesLimitPackage| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuasiAlgebraicSet| |QuasiAlgebraicSet2| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RationalFactorize| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionIntegration| |RationalFunctionSign| |RationalIntegration| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RectangularMatrix| |RecurrenceOperator| |RecursiveAggregate&| |RecursivePolynomialCategory&| |ReductionOfOrder| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentFunctions2| |SequentialDifferentialPolynomial| |Set| |SetAggregate&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SmithNormalForm| |SortedCache| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |Stream| |StreamAggregate&| |StreamFunctions2| |StreamTaylorSeriesOperations| |StreamTensor| |StreamTranscendentalFunctions| |String| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |SubSpaceComponentProperty| |SupFractionFactorizer| |Switch| |Symbol| |SymbolTable| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |Tableau| |TableauxBumpers| |TangentExpansions| |TaylorSeries| |TaylorSolve| |TexFormat| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDESystem| |Tree| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlot| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U32Vector| |UnaryRecursiveAggregate&| |UniqueFactorizationDomain&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCommonDenominator| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomialSquareFree| |UnivariatePowerSeriesCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |Vector| |VectorCategory&| |VectorFunctions2| |ViewDefaultsPackage| |ViewportPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|AlgebraPackage| |Asp19| |Asp55| |DirichletRing| |ElementaryFunctionSign| |FiniteSetAggregateFunctions2| |FramedNonAssociativeAlgebra&| |GaloisGroupFactorizer| |GenericNonAssociativeAlgebra| |Guess| |LieSquareMatrix| |MatrixCommonDenominator| |PAdicWildFunctionFieldIntegralBasis| |PermutationGroupExamples| |RealSolvePackage| |TaylorSolve| |ThreeSpace| |TwoDimensionalPlotClipping| |UnivariateTaylorSeriesODESolver|)
 (|FreeGroup| |FreeMonoid| |InnerFreeAbelianMonoid|)
 (|IntegerFactorizationPackage|)
@@ -366,7 +366,7 @@
 (|BlowUpPackage|)
 (|ElementaryFunctionODESolver|)
 (|RationalRicDE|)
-(|AbelianGroup&| |AbelianMonoid&| |AbelianMonoidRing&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |Aggregate&| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |ApplyUnivariateSkewPolynomial| |ArrayStack| |Asp19| |Asp20| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp41| |Asp42| |Asp55| |Asp74| |Asp77| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |Automorphism| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicOperator| |BasicOperatorFunctions1| |BezoutMatrix| |BinaryExpansion| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |BinaryTreeCategory&| |Bits| |BlowUpPackage| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CRApackage| |CardinalNumber| |CartesianTensor| |ChangeOfVariable| |Character| |CharacterClass| |CharacteristicPolynomialInMonogenicalAlgebra| |CharacteristicPolynomialPackage| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Collection&| |CommonOperators| |CommuteUnivariatePolynomialCategory| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexPatternMatch| |ComplexRootFindingPackage| |ConstantLODE| |ContinuedFraction| |CoordinateSystems| |CyclicStreamTools| |CyclotomicPolynomialPackage| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |Dictionary&| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialRing&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DoubleResultantPackage| |DrawComplex| |EigenPackage| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |EqTable| |Equation| |EuclideanDomain&| |EuclideanModularRing| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |ExtAlgBasis| |ExtensibleLinearAggregate&| |ExtensionField&| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |FieldOfPrimeCharacteristic&| |FindOrderFinite| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FortranExpression| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |GraphImage| |GrayCode| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerSolve| |Group&| |Guess| |GuessOption| |GuessOptionFunctions0| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfiniteProductFiniteField| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InterfaceGroebnerPackage| |InternalRationalUnivariateRepresentationPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |IrredPolyOverFiniteField| |Kernel| |KernelFunctions2| |KeyedAccessFile| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazyStreamAggregate&| |LeadingCoefDetermination| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |List| |ListAggregate&| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MachineFloat| |MachineInteger| |MakeCachableSet| |MappingPackage1| |MappingPackageInternalHacks1| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |MonadWithUnit&| |MonogenicAlgebra&| |Monoid&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NewtonPolygon| |NonCommutativeOperatorDivision| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NormInMonogenicAlgebra| |NormRetractPackage| |NormalizationPackage| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |Operator| |OppositeMonogenicLinearOperator| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PadeApproximantPackage| |PadeApproximants| |ParametricLinearEquations| |ParametricPlaneCurve| |ParametricPlaneCurveFunctions2| |ParametricSpaceCurve| |ParametricSpaceCurveFunctions2| |ParametricSurface| |ParametricSurfaceFunctions2| |ParametrizationPackage| |PartialDifferentialRing&| |PartialFraction| |Partition| |Pattern| |PatternFunctions2| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchPushDown| |PatternMatchTools| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |Pi| |PlaneAlgebraicCurvePlot| |PoincareBirkhoffWittLyndonBasis| |Point| |PointPackage| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |Polynomial| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialComposition| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialInterpolationAlgorithms| |PolynomialNumberTheoryFunctions| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PositiveInteger| |PowerSeriesCategory&| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuadraticForm| |QuasiAlgebraicSet| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RectangularMatrixCategory&| |RectangularMatrixCategoryFunctions2| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReduceLODE| |ReducedDivisor| |ReductionOfOrder| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |SExpressionOf| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SortPackage| |SortedCache| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StorageEfficientMatrixOperations| |Stream| |StreamAggregate&| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |String| |StringAggregate&| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |Symbol| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |Tableau| |TabulatedComputationPackage| |TangentExpansions| |TaylorSeries| |TaylorSolve| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TransSolvePackageService| |TranscendentalHermiteIntegration| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularMatrixOperations| |TriangularSetCategory&| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |UTSodetools| |UnaryRecursiveAggregate&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |Vector| |VectorCategory&| |ViewDefaultsPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01aqfAnnaType| |d01fcfAnnaType| |d02AgentsPackage| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AbelianGroup&| |AbelianMonoid&| |AbelianMonoidRing&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |Aggregate&| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |ApplyUnivariateSkewPolynomial| |ArrayStack| |Asp19| |Asp20| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp41| |Asp42| |Asp55| |Asp74| |Asp77| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |Automorphism| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicOperator| |BasicOperatorFunctions1| |BezoutMatrix| |BinaryExpansion| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |BinaryTreeCategory&| |Bits| |BlowUpPackage| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CRApackage| |CardinalNumber| |CartesianTensor| |ChangeOfVariable| |Character| |CharacterClass| |CharacteristicPolynomialInMonogenicalAlgebra| |CharacteristicPolynomialPackage| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Collection&| |CommonOperators| |CommuteUnivariatePolynomialCategory| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexPatternMatch| |ComplexRootFindingPackage| |ConstantLODE| |ContinuedFraction| |CoordinateSystems| |CyclicStreamTools| |CyclotomicPolynomialPackage| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |Dictionary&| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialRing&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DoubleResultantPackage| |DrawComplex| |EigenPackage| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |EqTable| |Equation| |EuclideanDomain&| |EuclideanModularRing| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |ExtAlgBasis| |ExtensibleLinearAggregate&| |ExtensionField&| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |FieldOfPrimeCharacteristic&| |FindOrderFinite| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FortranExpression| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |GraphImage| |GrayCode| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerSolve| |Group&| |Guess| |GuessOption| |GuessOptionFunctions0| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfiniteProductFiniteField| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InterfaceGroebnerPackage| |InternalRationalUnivariateRepresentationPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |IrredPolyOverFiniteField| |Kernel| |KernelFunctions2| |KeyedAccessFile| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazyStreamAggregate&| |LeadingCoefDetermination| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |List| |ListAggregate&| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MachineFloat| |MachineInteger| |MakeCachableSet| |MappingPackage1| |MappingPackageInternalHacks1| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |MonadWithUnit&| |MonogenicAlgebra&| |Monoid&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NewtonPolygon| |NonCommutativeOperatorDivision| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NormInMonogenicAlgebra| |NormRetractPackage| |NormalizationPackage| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |Operator| |OppositeMonogenicLinearOperator| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PadeApproximantPackage| |PadeApproximants| |ParametricLinearEquations| |ParametricPlaneCurve| |ParametricPlaneCurveFunctions2| |ParametricSpaceCurve| |ParametricSpaceCurveFunctions2| |ParametricSurface| |ParametricSurfaceFunctions2| |ParametrizationPackage| |PartialDifferentialRing&| |PartialFraction| |Partition| |Pattern| |PatternFunctions2| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchPushDown| |PatternMatchTools| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |Pi| |PlaneAlgebraicCurvePlot| |PoincareBirkhoffWittLyndonBasis| |Point| |PointPackage| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |Polynomial| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialComposition| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialInterpolationAlgorithms| |PolynomialNumberTheoryFunctions| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PositiveInteger| |PowerSeriesCategory&| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuadraticForm| |QuasiAlgebraicSet| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RectangularMatrixCategory&| |RectangularMatrixCategoryFunctions2| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReduceLODE| |ReducedDivisor| |ReductionOfOrder| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |SExpressionOf| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SortPackage| |SortedCache| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StorageEfficientMatrixOperations| |Stream| |StreamAggregate&| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |String| |StringAggregate&| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |Symbol| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |Tableau| |TabulatedComputationPackage| |TangentExpansions| |TaylorSeries| |TaylorSolve| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TransSolvePackageService| |TranscendentalHermiteIntegration| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularMatrixOperations| |TriangularSetCategory&| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U32Vector| |UTSodetools| |UnaryRecursiveAggregate&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |Vector| |VectorCategory&| |ViewDefaultsPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01aqfAnnaType| |d01fcfAnnaType| |d02AgentsPackage| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|AlgebraicFunction| |Any| |AnyFunctions1| |BasicOperator| |BasicOperatorFunctions1| |CombinatorialFunction| |CommonOperators| |FunctionSpace&| |FunctionSpaceAttachPredicates| |FunctionalSpecialFunction| |LaplaceTransform| |LiouvillianFunction| |ModuleOperator| |NoneFunctions1| |RecurrenceOperator|)
 (|AnyFunctions1| |ModuleOperator|)
 (|InternalRationalUnivariateRepresentationPackage| |LazardSetSolvingPackage| |LexTriangularPackage| |RationalUnivariateRepresentationPackage| |ZeroDimensionalSolvePackage|)
@@ -397,7 +397,7 @@
 (|AffineAlgebraicSetComputeWithGroebnerBasis| |DesingTreePackage| |DistributedMultivariatePolynomial| |FGLMIfCanPackage| |GeneralDistributedMultivariatePolynomial| |GroebnerSolve| |Guess| |HomogeneousDistributedMultivariatePolynomial| |IdealDecompositionPackage| |InterpolateFormsPackage| |LexTriangularPackage| |LinGroebnerPackage| |LocalParametrizationOfSimplePointPackage| |MultivariatePolynomial| |PolToPol| |ProjectiveAlgebraicSetPackage| |QuasiAlgebraicSet2| |RationalUnivariateRepresentationPackage| |RegularChain| |ZeroDimensionalSolvePackage|)
 (|FullPartialFractionExpansion|)
 (|FullPartialFractionExpansion| |LinearOrdinaryDifferentialOperatorsOps| |OrderlyDifferentialPolynomial|)
-(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |Algebra&| |AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicNumber| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BinaryExpansion| |BinaryFile| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |CRApackage| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |DictionaryOperations&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatVector| |DrawOption| |ElementaryFunctionODESolver| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |EqTable| |Equation| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Exit| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionToOpenMath| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionSpace&| |GaloisGroupFactorizationUtilities| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfiniteTuple| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InputForm| |Integer| |IntegerMod| |IntegrationResult| |InternalRationalUnivariateRepresentationPackage| |IntersectionDivisorPackage| |Interval| |Kernel| |KeyedAccessFile| |LaurentPolynomial| |LeftAlgebra&| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LiouvillianFunction| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MathMLFormat| |Matrix| |MatrixCategory&| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonAssociativeRing&| |NonNegativeInteger| |None| |NormalizationPackage| |NottinghamGroup| |NumberFormats| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |PartialFraction| |Partition| |Pattern| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PrimeField| |PrimitiveArray| |PrintPackage| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |QuadraticForm| |QuasiAlgebraicSet| |Quaternion| |QuaternionCategory&| |QueryEquation| |Queue| |QuotientFieldCategory&| |RadicalFunctionField| |RadixExpansion| |RationalInterpolation| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealZeroPackage| |RectangularMatrix| |RecurrenceOperator| |RecursivePolynomialCategory&| |Reference| |RegularChain| |RegularTriangularSet| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |Ring&| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |ScriptFormulaFormat1| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareMatrix| |SquareMatrixCategory&| |Stack| |Stream| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Switch| |Symbol| |SymbolTable| |SymmetricPolynomial| |Table| |TableAggregate&| |Tableau| |TabulatedComputationPackage| |TaylorSeries| |TaylorSolve| |TexFormat| |TexFormat1| |TextFile| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctionsForCompiledFunctions| |Tree| |TriangularSetCategory&| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalViewport| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UniversalSegment| |Variable| |Vector| |Void| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |Algebra&| |AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicNumber| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |BinaryExpansion| |BinaryFile| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |CRApackage| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |DictionaryOperations&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatVector| |DrawOption| |ElementaryFunctionODESolver| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |EqTable| |Equation| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Exit| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionToOpenMath| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionSpace&| |GaloisGroupFactorizationUtilities| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfiniteTuple| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InputForm| |Integer| |IntegerMod| |IntegrationResult| |InternalRationalUnivariateRepresentationPackage| |IntersectionDivisorPackage| |Interval| |Kernel| |KeyedAccessFile| |LaurentPolynomial| |LeftAlgebra&| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LiouvillianFunction| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MathMLFormat| |Matrix| |MatrixCategory&| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonAssociativeRing&| |NonNegativeInteger| |None| |NormalizationPackage| |NottinghamGroup| |NumberFormats| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |PartialFraction| |Partition| |Pattern| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PrimeField| |PrimitiveArray| |PrintPackage| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |QuadraticForm| |QuasiAlgebraicSet| |Quaternion| |QuaternionCategory&| |QueryEquation| |Queue| |QuotientFieldCategory&| |RadicalFunctionField| |RadixExpansion| |RationalInterpolation| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealZeroPackage| |RectangularMatrix| |RecurrenceOperator| |RecursivePolynomialCategory&| |Reference| |RegularChain| |RegularTriangularSet| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |Ring&| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |ScriptFormulaFormat1| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareMatrix| |SquareMatrixCategory&| |Stack| |Stream| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Switch| |Symbol| |SymbolTable| |SymmetricPolynomial| |Table| |TableAggregate&| |Tableau| |TabulatedComputationPackage| |TaylorSeries| |TaylorSolve| |TexFormat| |TexFormat1| |TextFile| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctionsForCompiledFunctions| |Tree| |TriangularSetCategory&| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalViewport| |U32Vector| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UniversalSegment| |Variable| |Vector| |Void| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|DirichletRing| |GenUFactorize| |Guess| |IndexCard| |InternalRationalUnivariateRepresentationPackage| |NormalizationPackage| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |RationalInterpolation| |RationalUnivariateRepresentationPackage| |SparseUnivariatePolynomialExpressions| |TabulatedComputationPackage| |TaylorSolve| |ZeroDimensionalSolvePackage|)
 (|PAdicRational|)
 (|BalancedPAdicRational| |PAdicRational|)
@@ -460,7 +460,7 @@
 (|InternalRationalUnivariateRepresentationPackage| |LazardSetSolvingPackage| |QuasiComponentPackage| |RationalUnivariateRepresentationPackage| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |WuWenTsunTriangularSet| |ZeroDimensionalSolvePackage|)
 (|RadicalSolvePackage|)
 (|PolynomialCategory&|)
-(|AbelianGroup&| |AbelianMonoid&| |AbelianMonoidRing&| |AbelianSemiGroup&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |Asp19| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AttributeButtons| |Automorphism| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |Bezier| |BinaryExpansion| |BlowUpPackage| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |Complex| |ComplexCategory&| |ComplexRootFindingPackage| |ConstantLODE| |ContinuedFraction| |CoordinateSystems| |CycleIndicators| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DesingTreePackage| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatSpecialFunctions| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |ElementaryFunction| |ElementaryFunctionLODESolver| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |EllipticFunctionsUnivariateTaylorSeries| |Equation| |EuclideanModularRing| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionTubePlot| |Factored| |FactoringUtilities| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |Float| |FloatingPointSystem&| |FortranExpression| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebraFunctions2| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceIntegration| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GnuDraw| |GraphImage| |GrayCode| |Group&| |Guess| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InnerTrigonometricManipulations| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |InterfaceGroebnerPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrredPolyOverFiniteField| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LiouvillianFunction| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularField| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |Monad&| |MonadWithUnit&| |MonogenicAlgebra&| |Monoid&| |MonoidRing| |MultFiniteFactorize| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NagEigenPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonAssociativeAlgebra&| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |Numeric| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |Octonion| |OctonionCategory&| |OnePointCompletion| |Operator| |OppositeMonogenicLinearOperator| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |ParametricLinearEquations| |PartialFraction| |Partition| |PatternMatchIntegration| |Permanent| |Permutation| |PermutationGroupExamples| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialFactorizationByRecursion| |PolynomialGcdPackage| |PolynomialNumberTheoryFunctions| |PolynomialRing| |PolynomialSolveByFormulas| |PositiveInteger| |PowerSeriesCategory&| |PrecomputedAssociatedEquations| |PrimeField| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoRemainderSequence| |PureAlgebraicIntegration| |QuadraticForm| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomFloatDistributions| |RandomIntegerDistributions| |RandomNumberSource| |RealClosedField&| |RealClosure| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RecursivePolynomialCategory&| |ReduceLODE| |RegularTriangularSetCategory&| |RepeatedDoubling| |RepeatedSquaring| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |Ruleset| |SemiGroup&| |SequentialDifferentialPolynomial| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StreamTranscendentalFunctions| |SturmHabichtPackage| |SubSpace| |SymmetricFunctions| |SymmetricPolynomial| |TangentExpansions| |TaylorSeries| |TaylorSolve| |ThreeDimensionalViewport| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TranscendentalFunctionCategory&| |TranscendentalIntegration| |TranscendentalManipulations| |TubePlotTools| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialMultiplicationPackage| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AbelianGroup&| |AbelianMonoid&| |AbelianMonoidRing&| |AbelianSemiGroup&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |Asp19| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AttributeButtons| |Automorphism| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |Bezier| |BinaryExpansion| |BlowUpPackage| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |Complex| |ComplexCategory&| |ComplexRootFindingPackage| |ConstantLODE| |ContinuedFraction| |CoordinateSystems| |CycleIndicators| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DesingTreePackage| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatSpecialFunctions| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |ElementaryFunction| |ElementaryFunctionLODESolver| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |EllipticFunctionsUnivariateTaylorSeries| |Equation| |EuclideanModularRing| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionTubePlot| |Factored| |FactoringUtilities| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |Float| |FloatingPointSystem&| |FortranExpression| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebraFunctions2| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceIntegration| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GnuDraw| |GraphImage| |GrayCode| |Group&| |Guess| |GuessOptionFunctions0| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InnerTrigonometricManipulations| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |InterfaceGroebnerPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrredPolyOverFiniteField| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LiouvillianFunction| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularField| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |Monad&| |MonadWithUnit&| |MonogenicAlgebra&| |Monoid&| |MonoidRing| |MultFiniteFactorize| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NagEigenPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonAssociativeAlgebra&| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |Numeric| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |Octonion| |OctonionCategory&| |OnePointCompletion| |Operator| |OppositeMonogenicLinearOperator| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |ParametricLinearEquations| |PartialFraction| |Partition| |PatternMatchIntegration| |Permanent| |Permutation| |PermutationGroupExamples| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialFactorizationByRecursion| |PolynomialGcdPackage| |PolynomialNumberTheoryFunctions| |PolynomialRing| |PolynomialSolveByFormulas| |PositiveInteger| |PowerSeriesCategory&| |PrecomputedAssociatedEquations| |PrimeField| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoRemainderSequence| |PureAlgebraicIntegration| |QuadraticForm| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomFloatDistributions| |RandomIntegerDistributions| |RandomNumberSource| |RealClosedField&| |RealClosure| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RecursivePolynomialCategory&| |ReduceLODE| |RegularTriangularSetCategory&| |RepeatedDoubling| |RepeatedSquaring| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |Ruleset| |SemiGroup&| |SequentialDifferentialPolynomial| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StreamTranscendentalFunctions| |SturmHabichtPackage| |SubSpace| |SymmetricFunctions| |SymmetricPolynomial| |TangentExpansions| |TaylorSeries| |TaylorSolve| |ThreeDimensionalViewport| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TranscendentalFunctionCategory&| |TranscendentalIntegration| |TranscendentalManipulations| |TubePlotTools| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialMultiplicationPackage| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|DefiniteIntegrationTools| |ElementaryFunctionSign| |LaplaceTransform| |d01AgentsPackage|)
 (|AssociatedEquations|)
 (|FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldNormalBasis| |InterfaceGroebnerPackage|)
@@ -526,9 +526,9 @@
 (|DrawNumericHack| |RationalFunctionSum|)
 (|SegmentBindingFunctions2| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions|)
 (|SequentialDifferentialPolynomial|)
-(|ApplicationProgramInterface| |BasicOperator| |ExpressionSpace&| |Factored| |GaloisGroupFactorizer| |GeneralPolynomialSet| |IntegerPrimesPackage| |ModularHermitianRowReduction| |MonoidRing| |ParametricLinearEquations| |Pattern| |Permutation| |PermutationGroup| |PolynomialSetCategory&| |QuasiAlgebraicSet| |RandomDistributions| |SymmetricGroupCombinatoricFunctions| |ThreeDimensionalViewport| |ThreeSpace|)
+(|ApplicationProgramInterface| |BasicOperator| |BasicStochasticDifferential| |ExpressionSpace&| |Factored| |GaloisGroupFactorizer| |GeneralPolynomialSet| |IntegerPrimesPackage| |ModularHermitianRowReduction| |MonoidRing| |ParametricLinearEquations| |Pattern| |Permutation| |PermutationGroup| |PolynomialSetCategory&| |QuasiAlgebraicSet| |RandomDistributions| |SymmetricGroupCombinatoricFunctions| |ThreeDimensionalViewport| |ThreeSpace|)
 (|AlgebraicFunctionField| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtensionByPolynomial| |RadicalFunctionField|)
-(|AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraGivenByStructuralConstants| |AlgebraicFunctionField| |AlgebraicNumber| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BinaryExpansion| |BinaryFile| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlasLevelOne| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |Commutator| |Complex| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatVector| |DrawOption| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionSign| |EqTable| |Equation| |EuclideanModularRing| |Exit| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteDivisor| |FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranProgram| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GraphImage| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerNormalBasisFieldFunctions| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InputForm| |Integer| |IntegerMod| |IntegrationResult| |Interval| |Kernel| |KeyedAccessFile| |LaurentPolynomial| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MathMLFormat| |Matrix| |MatrixLinearAlgebraFunctions| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonNegativeInteger| |None| |NottinghamGroup| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalPDEProblem| |NumericalQuadrature| |Octonion| |OneDimensionalArray| |OnePointCompletion| |OpenMathConnection| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedCompletionFunctions2| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |PartialFraction| |Partition| |Pattern| |PatternMatchIntegration| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |Plcs| |PoincareBirkhoffWittLyndonBasis| |Point| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |Product| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |QuadraticForm| |QuasiAlgebraicSet| |Quaternion| |Queue| |RadicalFunctionField| |RadixExpansion| |RandomDistributions| |RationalFunctionLimitPackage| |RationalFunctionSign| |RealClosure| |RectangularMatrix| |Reference| |RegularChain| |RegularTriangularSet| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetCategory&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareMatrix| |Stack| |Stream| |String| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Symbol| |SymmetricPolynomial| |Table| |TaylorSeries| |TexFormat| |TextFile| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |Tree| |Tuple| |TwoDimensionalArray| |TwoDimensionalViewport| |UTSodetools| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UniversalSegment| |Variable| |Vector| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |d03fafAnnaType| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraGivenByStructuralConstants| |AlgebraicFunctionField| |AlgebraicNumber| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicStochasticDifferential| |BinaryExpansion| |BinaryFile| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlasLevelOne| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |Commutator| |Complex| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatVector| |DrawOption| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionSign| |EqTable| |Equation| |EuclideanModularRing| |Exit| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteDivisor| |FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranProgram| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GraphImage| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerNormalBasisFieldFunctions| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InputForm| |Integer| |IntegerMod| |IntegrationResult| |Interval| |Kernel| |KeyedAccessFile| |LaurentPolynomial| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MathMLFormat| |Matrix| |MatrixLinearAlgebraFunctions| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonNegativeInteger| |None| |NottinghamGroup| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalPDEProblem| |NumericalQuadrature| |Octonion| |OneDimensionalArray| |OnePointCompletion| |OpenMathConnection| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedCompletionFunctions2| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |PartialFraction| |Partition| |Pattern| |PatternMatchIntegration| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |Plcs| |PoincareBirkhoffWittLyndonBasis| |Point| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |Product| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |QuadraticForm| |QuasiAlgebraicSet| |Quaternion| |Queue| |RadicalFunctionField| |RadixExpansion| |RandomDistributions| |RationalFunctionLimitPackage| |RationalFunctionSign| |RealClosure| |RectangularMatrix| |Reference| |RegularChain| |RegularTriangularSet| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetCategory&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareMatrix| |Stack| |Stream| |String| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Symbol| |SymmetricPolynomial| |Table| |TaylorSeries| |TexFormat| |TextFile| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |Tree| |Tuple| |TwoDimensionalArray| |TwoDimensionalViewport| |U32Vector| |UTSodetools| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UniversalSegment| |Variable| |Vector| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |d03fafAnnaType| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|ExponentialOfUnivariatePuiseuxSeries| |GeneralUnivariatePowerSeries| |InnerSparseUnivariatePowerSeries| |ModMonic| |MultivariateSquareFree| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseUnivariatePolynomial| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePowerSeriesCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero|)
 (|TranscendentalRischDESystem|)
 (|Kernel| |MakeCachableSet|)
@@ -549,7 +549,7 @@
 (|AlgebraGivenByStructuralConstants| |CartesianTensor| |GenericNonAssociativeAlgebra| |LieSquareMatrix| |Permanent| |QuadraticForm|)
 (|FortranOutputStackPackage| |Queue|)
 (|Matrix|)
-(|BalancedPAdicInteger| |BasicFunctions| |ContinuedFraction| |CycleIndicators| |DirichletRing| |ElementaryFunctionsUnivariateLaurentSeries| |EllipticFunctionsUnivariateTaylorSeries| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialOfUnivariatePuiseuxSeries| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |Guess| |InfiniteProductCharacteristicZero| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InfiniteTuple| |InfiniteTupleFunctions2| |InfiniteTupleFunctions3| |InnerPAdicInteger| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |LinearSystemFromPowerSeriesPackage| |NeitherSparseOrDensePowerSeries| |NumericContinuedFraction| |PAdicInteger| |PAdicRationalConstructor| |PadeApproximants| |ParadoxicalCombinatorsForStreams| |PartitionsAndPermutations| |RadixExpansion| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |Stream| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |TableauxBumpers| |TaylorSolve| |UnivariateFormalPowerSeries| |UnivariateFormalPowerSeriesFunctions| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesFunctions2| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UniversalSegmentFunctions2| |WeierstrassPreparation| |d01AgentsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01aqfAnnaType| |e04gcfAnnaType|)
+(|BalancedPAdicInteger| |BasicFunctions| |ContinuedFraction| |CycleIndicators| |DirichletRing| |ElementaryFunctionsUnivariateLaurentSeries| |EllipticFunctionsUnivariateTaylorSeries| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialOfUnivariatePuiseuxSeries| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |Guess| |InfiniteProductCharacteristicZero| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InfiniteTuple| |InfiniteTupleFunctions2| |InfiniteTupleFunctions3| |InnerPAdicInteger| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |LinearSystemFromPowerSeriesPackage| |NeitherSparseOrDensePowerSeries| |NumericContinuedFraction| |PAdicInteger| |PAdicRationalConstructor| |PadeApproximants| |ParadoxicalCombinatorsForStreams| |PartitionsAndPermutations| |RadixExpansion| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |Stream| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |StreamTensor| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |TableauxBumpers| |TaylorSolve| |UnivariateFormalPowerSeries| |UnivariateFormalPowerSeriesFunctions| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesFunctions2| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UniversalSegmentFunctions2| |WeierstrassPreparation| |d01AgentsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01aqfAnnaType| |e04gcfAnnaType|)
 (|Guess| |PartitionsAndPermutations|)
 (|ContinuedFraction| |DirichletRing| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |FractionFreeFastGaussian| |Guess| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InfiniteTupleFunctions2| |PartitionsAndPermutations| |SparseMultivariateTaylorSeries| |Stream| |StreamFunctions3| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |TableauxBumpers| |UnivariatePuiseuxSeriesConstructor| |UnivariateTaylorSeriesFunctions2| |UniversalSegmentFunctions2| |WeierstrassPreparation|)
 (|InfiniteTupleFunctions3| |PartitionsAndPermutations| |SparseMultivariateTaylorSeries| |Stream| |StreamTaylorSeriesOperations| |UnivariateFormalPowerSeriesFunctions| |WeierstrassPreparation|)
@@ -557,21 +557,21 @@
 (|DirichletRing| |EllipticFunctionsUnivariateTaylorSeries| |InfiniteProductFiniteField| |InnerTaylorSeries| |SparseMultivariateTaylorSeries| |StreamInfiniteProduct| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |UnivariateLaurentSeriesConstructor| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |WeierstrassPreparation|)
 (|ElementaryFunctionsUnivariateLaurentSeries| |InfiniteProductFiniteField| |SparseMultivariateTaylorSeries| |StreamInfiniteProduct| |StreamTranscendentalFunctionsNonCommutative| |UnivariateTaylorSeriesCategory&|)
 (|UnivariateTaylorSeriesCategory&|)
-(|AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BinaryExpansion| |BinaryFile| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexPattern| |ComplexPatternMatch| |ComplexRootFindingPackage| |ComplexTrigonometricManipulations| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DictionaryOperations&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |EqTable| |Equation| |ErrorFunctions| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Exit| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionTubePlot| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteRankNonAssociativeAlgebra&| |FlexibleArray| |Float| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GnuDraw| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |Integer| |IntegerMod| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalPrintPackage| |InternalRationalUnivariateRepresentationPackage| |Interval| |Kernel| |KeyedAccessFile| |LaplaceTransform| |LaurentPolynomial| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LiouvillianFunction| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MakeFloatCompiledFunction| |MathMLFormat| |Matrix| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |MoreSystemCommands| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonNegativeInteger| |None| |NormalizationPackage| |NottinghamGroup| |NumberFormats| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |ODEIntegration| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OnePointCompletion| |OpenMathConnection| |OpenMathDevice| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |OpenMathServerPackage| |OperationsQuery| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |ParametricLinearEquations| |PartialFraction| |Partition| |Pattern| |PatternMatchAssertions| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |Product| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PureAlgebraicIntegration| |QuadraticForm| |QuasiAlgebraicSet| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |QueryEquation| |Queue| |RadicalFunctionField| |RadixExpansion| |RationalFunctionDefiniteIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalUnivariateRepresentationPackage| |RealClosure| |RectangularMatrix| |RecurrenceOperator| |RecursivePolynomialCategory&| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage2| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetCategory&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |Stack| |Stream| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Switch| |Symbol| |SymbolTable| |SymmetricPolynomial| |Table| |Tableau| |TabulatedComputationPackage| |TaylorSeries| |TemplateUtilities| |TexFormat| |TextFile| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TranscendentalManipulations| |Tree| |TrigonometricManipulations| |Tuple| |TwoDimensionalArray| |TwoDimensionalViewport| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UniversalSegment| |Variable| |Vector| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |BinaryExpansion| |BinaryFile| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexPattern| |ComplexPatternMatch| |ComplexRootFindingPackage| |ComplexTrigonometricManipulations| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DictionaryOperations&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |EqTable| |Equation| |ErrorFunctions| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Exit| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionTubePlot| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteRankNonAssociativeAlgebra&| |FlexibleArray| |Float| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GnuDraw| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |Integer| |IntegerMod| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalPrintPackage| |InternalRationalUnivariateRepresentationPackage| |Interval| |Kernel| |KeyedAccessFile| |LaplaceTransform| |LaurentPolynomial| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LiouvillianFunction| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MakeFloatCompiledFunction| |MathMLFormat| |Matrix| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |MoreSystemCommands| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonNegativeInteger| |None| |NormalizationPackage| |NottinghamGroup| |NumberFormats| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |ODEIntegration| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OnePointCompletion| |OpenMathConnection| |OpenMathDevice| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |OpenMathServerPackage| |OperationsQuery| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |ParametricLinearEquations| |PartialFraction| |Partition| |Pattern| |PatternMatchAssertions| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |Product| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PureAlgebraicIntegration| |QuadraticForm| |QuasiAlgebraicSet| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |QueryEquation| |Queue| |RadicalFunctionField| |RadixExpansion| |RationalFunctionDefiniteIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalUnivariateRepresentationPackage| |RealClosure| |RectangularMatrix| |RecurrenceOperator| |RecursivePolynomialCategory&| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage2| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetCategory&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |Stack| |Stream| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Switch| |Symbol| |SymbolTable| |SymmetricPolynomial| |Table| |Tableau| |TabulatedComputationPackage| |TaylorSeries| |TemplateUtilities| |TexFormat| |TextFile| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TranscendentalManipulations| |Tree| |TrigonometricManipulations| |Tuple| |TwoDimensionalArray| |TwoDimensionalViewport| |U32Vector| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UniversalSegment| |Variable| |Vector| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|InnerNumericFloatSolvePackage| |TranscendentalIntegration|)
 (|Export3D| |ThreeSpace|)
 (|MeshCreationRoutinesForThreeDimensions| |SubSpace| |ThreeDimensionalViewport| |ThreeSpace|)
 (|EigenPackage| |PolynomialIdeals| |RadicalEigenPackage| |RadicalSolvePackage|)
 (|Expression|)
 (|Asp12| |Asp30| |Asp35| |Asp55| |Asp74| |Asp8| |FortranCode|)
-(|AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |Any| |ApplicationProgramInterface| |ApplyRules| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AttachPredicates| |AttributeButtons| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BinaryExpansion| |Boolean| |CombinatorialFunction| |CommonOperators| |Complex| |ComplexCategory&| |ComplexPattern| |ComplexPatternMatch| |ComplexRootPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DesingTreePackage| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DrawOption| |DrawOptionFunctions0| |DrawOptionFunctions1| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |Equation| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |FGLMIfCanPackage| |Factored| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasisExtensionByPolynomial| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranType| |Fraction| |FramedNonAssociativeAlgebra&| |FullPartialFractionExpansion| |FullyEvalableOver&| |FunctionCalled| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |Guess| |GuessAlgebraicNumber| |GuessFinite| |GuessInteger| |GuessOption| |GuessOptionFunctions0| |GuessPolynomial| |GuessUnivariatePolynomial| |HexadecimalExpansion| |HomogeneousDirectProduct| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexCard| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerNumericFloatSolvePackage| |InnerSparseUnivariatePowerSeries| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |IntegrationResult| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |InternalPrintPackage| |InverseLaplaceTransform| |Kernel| |KeyedAccessFile| |LaplaceTransform| |LaurentPolynomial| |LexTriangularPackage| |Library| |LieSquareMatrix| |LinGroebnerPackage| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperatorsOps| |LiouvillianFunction| |List| |ListMultiDictionary| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |Matrix| |ModMonic| |MonogenicAlgebra&| |Multiset| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseUnivariatePolynomial| |NonLinearFirstOrderODESolver| |NonLinearSolvePackage| |NumberFormats| |NumericComplexEigenPackage| |NumericRealEigenPackage| |ODEIntegration| |Octonion| |OctonionCategory&| |OpenMathDevice| |OpenMathError| |OpenMathErrorKind| |OrdSetInts| |OrderedDirectProduct| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OutputForm| |PAdicRational| |PAdicRationalConstructor| |ParametricLinearEquations| |PartialFractionPackage| |Pattern| |PatternFunctions2| |PatternMatch| |PatternMatchAssertions| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPushDown| |PatternMatchResult| |PatternMatchSymbol| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |PlotFunctions1| |PolToPol| |Polynomial| |PolynomialAN2Expression| |PolynomialFunctions2| |PolynomialIdeals| |PolynomialToUnivariatePolynomial| |PowerSeriesLimitPackage| |PrimitiveElement| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PureAlgebraicIntegration| |PushVariables| |QuasiAlgebraicSet2| |Quaternion| |QuaternionCategory&| |QueryEquation| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionFactor| |RationalFunctionIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosure| |RealSolvePackage| |RectangularMatrix| |RecurrenceOperator| |RecursivePolynomialCategory&| |RepresentationPackage1| |Result| |RetractSolvePackage| |RewriteRule| |RomanNumeral| |RoutinesTable| |RuleCalled| |SExpression| |SegmentBinding| |SegmentBindingFunctions2| |SequentialDifferentialPolynomial| |Set| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingletonAsOrderedSet| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StructuralConstantsPackage| |Switch| |Symbol| |SymbolTable| |SystemSolvePackage| |TaylorSeries| |TheSymbolTable| |ThreeDimensionalMatrix| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TransSolvePackageService| |TranscendentalManipulations| |TrigonometricManipulations| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |Variable| |Vector| |WeierstrassPreparation| |XPolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |Any| |ApplicationProgramInterface| |ApplyRules| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AttachPredicates| |AttributeButtons| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |BinaryExpansion| |Boolean| |CombinatorialFunction| |CommonOperators| |Complex| |ComplexCategory&| |ComplexPattern| |ComplexPatternMatch| |ComplexRootPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DesingTreePackage| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DrawOption| |DrawOptionFunctions0| |DrawOptionFunctions1| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |Equation| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |FGLMIfCanPackage| |Factored| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasisExtensionByPolynomial| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranType| |Fraction| |FramedNonAssociativeAlgebra&| |FullPartialFractionExpansion| |FullyEvalableOver&| |FunctionCalled| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |Guess| |GuessAlgebraicNumber| |GuessFinite| |GuessInteger| |GuessOption| |GuessOptionFunctions0| |GuessPolynomial| |GuessUnivariatePolynomial| |HexadecimalExpansion| |HomogeneousDirectProduct| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexCard| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerNumericFloatSolvePackage| |InnerSparseUnivariatePowerSeries| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |IntegrationResult| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |InternalPrintPackage| |InverseLaplaceTransform| |Kernel| |KeyedAccessFile| |LaplaceTransform| |LaurentPolynomial| |LexTriangularPackage| |Library| |LieSquareMatrix| |LinGroebnerPackage| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperatorsOps| |LiouvillianFunction| |List| |ListMultiDictionary| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |Matrix| |ModMonic| |MonogenicAlgebra&| |Multiset| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseUnivariatePolynomial| |NonLinearFirstOrderODESolver| |NonLinearSolvePackage| |NumberFormats| |NumericComplexEigenPackage| |NumericRealEigenPackage| |ODEIntegration| |Octonion| |OctonionCategory&| |OpenMathDevice| |OpenMathError| |OpenMathErrorKind| |OrdSetInts| |OrderedDirectProduct| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OutputForm| |PAdicRational| |PAdicRationalConstructor| |ParametricLinearEquations| |PartialFractionPackage| |Pattern| |PatternFunctions2| |PatternMatch| |PatternMatchAssertions| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPushDown| |PatternMatchResult| |PatternMatchSymbol| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |PlotFunctions1| |PolToPol| |Polynomial| |PolynomialAN2Expression| |PolynomialFunctions2| |PolynomialIdeals| |PolynomialToUnivariatePolynomial| |PowerSeriesLimitPackage| |PrimitiveElement| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PureAlgebraicIntegration| |PushVariables| |QuasiAlgebraicSet2| |Quaternion| |QuaternionCategory&| |QueryEquation| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionFactor| |RationalFunctionIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosure| |RealSolvePackage| |RectangularMatrix| |RecurrenceOperator| |RecursivePolynomialCategory&| |RepresentationPackage1| |Result| |RetractSolvePackage| |RewriteRule| |RomanNumeral| |RoutinesTable| |RuleCalled| |SExpression| |SegmentBinding| |SegmentBindingFunctions2| |SequentialDifferentialPolynomial| |Set| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingletonAsOrderedSet| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StructuralConstantsPackage| |Switch| |Symbol| |SymbolTable| |SystemSolvePackage| |TaylorSeries| |TheSymbolTable| |ThreeDimensionalMatrix| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TransSolvePackageService| |TranscendentalManipulations| |TrigonometricManipulations| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |Variable| |Vector| |WeierstrassPreparation| |XPolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |FortranPackage| |FortranProgram| |TheSymbolTable|)
 (|TangentExpansions|)
 (|IrrRepSymNatPackage| |RepresentationPackage1|)
 (|CycleIndicators| |EvaluateCycleIndicators|)
 (|PureAlgebraicLODE|)
 (|EigenPackage| |NonLinearSolvePackage| |RadicalSolvePackage| |RetractSolvePackage| |TransSolvePackage|)
-(|AlgebraicFunctionField| |Complex| |DiscreteLogarithmPackage| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |InnerFiniteField| |InnerPrimeField| |MachineComplex| |Multiset| |PrimeField| |PseudoAlgebraicClosureOfFiniteField| |RadicalFunctionField| |RandomDistributions| |Result| |SimpleAlgebraicExtension| |SymbolTable| |TransSolvePackage|)
+(|AlgebraicFunctionField| |BasicStochasticDifferential| |Complex| |DiscreteLogarithmPackage| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |InnerFiniteField| |InnerPrimeField| |MachineComplex| |Multiset| |PrimeField| |PseudoAlgebraicClosureOfFiniteField| |RadicalFunctionField| |RandomDistributions| |Result| |SimpleAlgebraicExtension| |SymbolTable| |TransSolvePackage|)
 (|TableauxBumpers|)
 (|QuasiComponentPackage| |RegularTriangularSetGcdPackage| |SquareFreeQuasiComponentPackage| |SquareFreeRegularTriangularSetGcdPackage|)
 (|ElementaryFunctionStructurePackage|)
@@ -620,7 +620,7 @@
 (|PadeApproximantPackage| |RationalRicDE| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesFunctions2| |UnivariatePuiseuxSeries|)
 (|GeneralPackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField|)
 (|UnivariateLaurentSeriesFunctions2|)
-(|AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AssociationList| |AxiomServer| |Bits| |ComplexDoubleFloatVector| |DataList| |DisplayPackage| |DoubleFloatVector| |ExtensibleLinearAggregate&| |FlexibleArray| |Float| |GaloisGroupUtilities| |GenerateUnivariatePowerSeries| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedString| |IndexedVector| |InnerNormalBasisFieldFunctions| |LazyStreamAggregate&| |List| |ListAggregate&| |MathMLFormat| |NeitherSparseOrDensePowerSeries| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |Point| |PrimitiveArray| |Stream| |StreamAggregate&| |String| |StringAggregate&| |Symbol| |TemplateUtilities| |TexFormat| |UniversalSegmentFunctions2| |Vector|)
+(|AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AssociationList| |AxiomServer| |Bits| |ComplexDoubleFloatVector| |DataList| |DisplayPackage| |DoubleFloatVector| |ExtensibleLinearAggregate&| |FlexibleArray| |Float| |GaloisGroupUtilities| |GenerateUnivariatePowerSeries| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedString| |IndexedVector| |InnerNormalBasisFieldFunctions| |LazyStreamAggregate&| |List| |ListAggregate&| |MathMLFormat| |NeitherSparseOrDensePowerSeries| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |Point| |PrimitiveArray| |Stream| |StreamAggregate&| |String| |StringAggregate&| |Symbol| |TemplateUtilities| |TexFormat| |U32Vector| |UniversalSegmentFunctions2| |Vector|)
 (|GenerateUnivariatePowerSeries|)
 (|FunctionSpace&| |Polynomial| |UserDefinedVariableOrdering|)
 (|GeneralUnivariatePowerSeries| |MyUnivariatePolynomial| |PolynomialToUnivariatePolynomial| |SparseUnivariateLaurentSeries| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariatePolynomial| |UnivariatePuiseuxSeries| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero|)
@@ -628,7 +628,7 @@
 (|AlgebraicHermiteIntegration| |AlgebraicIntegrate| |Asp10| |Asp19| |Asp20| |Asp31| |Asp35| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp78| |Asp8| |Asp80| |FramedNonAssociativeAlgebraFunctions2| |GenExEuclid| |GenericNonAssociativeAlgebra| |LinearDependence| |SimpleAlgebraicExtension|)
 (|GraphImage| |MeshCreationRoutinesForThreeDimensions| |ThreeDimensionalViewport| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TwoDimensionalViewport| |ViewportPackage|)
 (|TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions|)
-(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AlgebraGivenByStructuralConstants| |AlgebraicFunctionField| |ApplicationProgramInterface| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociationList| |AttributeButtons| |AxiomServer| |BinaryFile| |Bits| |BlowUpPackage| |CommonOperators| |Complex| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |DataList| |Database| |DesingTreePackage| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DoubleFloat| |DoubleFloatVector| |EqTable| |EuclideanGroebnerBasisPackage| |Export3D| |ExpressionToOpenMath| |File| |FiniteAlgebraicExtensionField&| |FiniteFieldCategory&| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtensionByPolynomial| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteLinearAggregateSort| |FiniteRankNonAssociativeAlgebra&| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranTemplate| |Fraction| |FramedNonAssociativeAlgebra&| |FunctionSpaceReduce| |GaloisGroupFactorizer| |GaloisGroupUtilities| |GenUFactorize| |GeneralPackageForAlgebraicFunctionField| |GeneralSparseTable| |GenericNonAssociativeAlgebra| |GnuDraw| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOption| |HTMLFormat| |HashTable| |HomogeneousDirectProduct| |IndexCard| |IndexedAggregate&| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedString| |IndexedVector| |InnerNormalBasisFieldFunctions| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |Integer| |IntegrationFunctionsTable| |InternalPrintPackage| |InternalRationalUnivariateRepresentationPackage| |IntersectionDivisorPackage| |Kernel| |KeyedAccessFile| |Library| |List| |LocalParametrizationOfSimplePointPackage| |MachineFloat| |MakeCachableSet| |MathMLFormat| |MoreSystemCommands| |NAGLinkSupportPackage| |NagEigenPackage| |NagIntegrationPackage| |NagLinearEquationSolvingPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagRootFindingPackage| |NeitherSparseOrDensePowerSeries| |NormalizationPackage| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntensityFunctionsTable| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OpenMathConnection| |OpenMathDevice| |OpenMathPackage| |OpenMathServerPackage| |OrderedDirectProduct| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PermutationGroup| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |Plcs| |Point| |PointsOfFiniteOrder| |PrimitiveArray| |PrintPackage| |ProjectiveAlgebraicSetPackage| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |QuasiComponentPackage| |RadicalFunctionField| |RandomNumberSource| |RationalInterpolation| |RationalUnivariateRepresentationPackage| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage2| |ResolveLatticeCompletion| |Result| |RoutinesTable| |ScriptFormulaFormat| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SortPackage| |SortedCache| |SparseTable| |SparseUnivariatePolynomialExpressions| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |Stream| |String| |StringTable| |Symbol| |SymbolTable| |SystemODESolver| |Table| |TabulatedComputationPackage| |TaylorSolve| |TexFormat| |TextFile| |TheSymbolTable| |ThreeDimensionalViewport| |TwoDimensionalViewport| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |Vector| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |ZeroDimensionalSolvePackage| |e04AgentsPackage|)
+(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AlgebraGivenByStructuralConstants| |AlgebraicFunctionField| |ApplicationProgramInterface| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociationList| |AttributeButtons| |AxiomServer| |BasicStochasticDifferential| |BinaryFile| |Bits| |BlowUpPackage| |CommonOperators| |Complex| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |DataList| |Database| |DesingTreePackage| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DoubleFloat| |DoubleFloatVector| |EqTable| |EuclideanGroebnerBasisPackage| |Export3D| |ExpressionToOpenMath| |File| |FiniteAlgebraicExtensionField&| |FiniteFieldCategory&| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtensionByPolynomial| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteLinearAggregateSort| |FiniteRankNonAssociativeAlgebra&| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranTemplate| |Fraction| |FramedNonAssociativeAlgebra&| |FunctionSpaceReduce| |GaloisGroupFactorizer| |GaloisGroupUtilities| |GenUFactorize| |GeneralPackageForAlgebraicFunctionField| |GeneralSparseTable| |GenericNonAssociativeAlgebra| |GnuDraw| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |HomogeneousDirectProduct| |IndexCard| |IndexedAggregate&| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedString| |IndexedVector| |InnerNormalBasisFieldFunctions| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |Integer| |IntegrationFunctionsTable| |InternalPrintPackage| |InternalRationalUnivariateRepresentationPackage| |IntersectionDivisorPackage| |Kernel| |KeyedAccessFile| |Library| |List| |LocalParametrizationOfSimplePointPackage| |MachineFloat| |MakeCachableSet| |MathMLFormat| |MoreSystemCommands| |NAGLinkSupportPackage| |NagEigenPackage| |NagIntegrationPackage| |NagLinearEquationSolvingPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagRootFindingPackage| |NeitherSparseOrDensePowerSeries| |NormalizationPackage| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntensityFunctionsTable| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OpenMathConnection| |OpenMathDevice| |OpenMathPackage| |OpenMathServerPackage| |OrderedDirectProduct| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PermutationGroup| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |Plcs| |Point| |PointsOfFiniteOrder| |PrimitiveArray| |PrintPackage| |ProjectiveAlgebraicSetPackage| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |QuasiComponentPackage| |RadicalFunctionField| |RandomNumberSource| |RationalInterpolation| |RationalUnivariateRepresentationPackage| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage2| |ResolveLatticeCompletion| |Result| |RoutinesTable| |ScriptFormulaFormat| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SortPackage| |SortedCache| |SparseTable| |SparseUnivariatePolynomialExpressions| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |Stream| |String| |StringTable| |Symbol| |SymbolTable| |SystemODESolver| |Table| |TabulatedComputationPackage| |TaylorSolve| |TexFormat| |TextFile| |TheSymbolTable| |ThreeDimensionalViewport| |TwoDimensionalViewport| |U32Vector| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |Vector| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |ZeroDimensionalSolvePackage| |e04AgentsPackage|)
 (|OrdinaryWeightedPolynomials|)
 (|PAdicWildFunctionFieldIntegralBasis|)
 (|LieExponentials| |LiePolynomial| |XPBWPolynomial| |XPolynomial| |XRecursivePolynomial|)
@@ -663,4 +663,4 @@
 (|AnnaNumericalOptimizationPackage|)
 (|AnnaNumericalOptimizationPackage|)
 (|AnnaNumericalOptimizationPackage|)
-(("e04ucfAnnaType" 0 234510) ("e04nafAnnaType" 0 234473) ("e04mbfAnnaType" 0 234436) ("e04jafAnnaType" 0 234399) ("e04gcfAnnaType" 0 234362) ("e04fdfAnnaType" 0 234325) ("e04dgfAnnaType" 0 234288) ("e04AgentsPackage" 0 234149) ("d03eefAnnaType" 0 234106) ("d03AgentsPackage" 0 234087) ("d02ejfAnnaType" 0 234043) ("d02cjfAnnaType" 0 233999) ("d02bhfAnnaType" 0 233955) ("d02bbfAnnaType" 0 233911) ("d02AgentsPackage" 0 233841) ("d01gbfAnnaType" 0 233805) ("d01fcfAnnaType" 0 233769) ("d01asfAnnaType" 0 233733) ("d01aqfAnnaType" 0 233697) ("d01apfAnnaType" 0 233661) ("d01anfAnnaType" 0 233625) ("d01amfAnnaType" 0 233589) ("d01alfAnnaType" 0 233553) ("d01akfAnnaType" 0 233517) ("d01ajfAnnaType" 0 233481) ("d01WeightsPackage" 0 233428) ("d01TransformFunctionType" 0 233392) ("d01AgentsPackage" 0 233139) ("XRecursivePolynomial" 0 233090) ("XPolynomialRing" 0 233063) ("XPBWPolynomial" 0 233043) ("XDistributedPolynomial" 0 232953) ("WildFunctionFieldIntegralBasis" 0 232913) ("WeightedPolynomials" 0 232881) ("Void" 0 228617) ("ViewportPackage" 0 228529) ("ViewDefaultsPackage" 0 228317) ("VectorSpace&" 0 NIL) ("VectorFunctions2" 0 228008) ("VectorCategory&" 0 NIL) ("Vector" 0 222892) ("Variable" 0 222517) ("UserDefinedPartialOrdering" 0 222455) ("UniversalSegmentFunctions2" 0 222421) ("UniversalSegment" 0 221590) ("UnivariateTaylorSeriesFunctions2" 0 221552) ("UnivariateTaylorSeriesCategory&" 0 NIL) ("UnivariateTaylorSeriesCZero" 0 221423) ("UnivariateTaylorSeries" 0 221262) ("UnivariateSkewPolynomialCategoryOps" 0 221227) ("UnivariateSkewPolynomialCategory&" 0 NIL) ("UnivariatePuiseuxSeriesWithExponentialSingularity" 0 221164) ("UnivariatePuiseuxSeriesConstructorCategory&" 0 NIL) ("UnivariatePuiseuxSeriesConstructor" 0 221104) ("UnivariatePuiseuxSeries" 0 220883) ("UnivariatePowerSeriesCategory&" 0 NIL) ("UnivariatePolynomialSquareFree" 0 220764) ("UnivariatePolynomialDivisionPackage" 0 220719) ("UnivariatePolynomialDecompositionPackage" 0 220693) ("UnivariatePolynomialCommonDenominator" 0 220480) ("UnivariatePolynomialCategoryFunctions2" 0 219356) ("UnivariatePolynomialCategory&" 0 NIL) ("UnivariatePolynomial" 0 219047) ("UnivariateLaurentSeriesFunctions2" 0 219009) ("UnivariateLaurentSeriesConstructorCategory&" 0 NIL) ("UnivariateLaurentSeriesConstructor" 0 218981) ("UnivariateLaurentSeries" 0 218881) ("UnivariateFormalPowerSeriesFunctions" 0 218871) ("UnivariateFormalPowerSeries" 0 218783) ("UniqueFactorizationDomain&" 0 NIL) ("UnaryRecursiveAggregate&" 0 NIL) ("TwoFactorize" 0 218730) ("TwoDimensionalViewport" 0 218557) ("TwoDimensionalPlotClipping" 0 218511) ("TwoDimensionalArrayCategory&" 0 NIL) ("TwoDimensionalArray" 0 218495) ("TubePlotTools" 0 218454) ("TubePlot" 0 218369) ("TrigonometricManipulations" 0 218184) ("TrigonometricFunctionCategory&" 0 NIL) ("TriangularSetCategory&" 0 NIL) ("TriangularMatrixOperations" 0 217994) ("Tree" 0 217952) ("TranscendentalRischDESystem" 0 217924) ("TranscendentalRischDE" 0 217880) ("TranscendentalManipulations" 0 217764) ("TranscendentalIntegration" 0 217696) ("TranscendentalHermiteIntegration" 0 217666) ("TranscendentalFunctionCategory&" 0 NIL) ("TransSolvePackageService" 0 217644) ("TopLevelDrawFunctionsForCompiledFunctions" 0 217618) ("TopLevelDrawFunctions" 0 217606) ("ToolsForSign" 0 217499) ("ThreeSpace" 0 217247) ("ThreeDimensionalViewport" 0 217120) ("ThreeDimensionalMatrix" 0 217077) ("TheSymbolTable" 0 217027) ("TextFile" 0 216986) ("TexFormat" 0 216971) ("TemplateUtilities" 0 216951) ("TaylorSolve" 0 216931) ("TaylorSeries" 0 216904) ("TangentExpansions" 0 216865) ("TabulatedComputationPackage" 0 216729) ("Tableau" 0 216709) ("TableAggregate&" 0 NIL) ("Table" 0 216109) ("SystemSolvePackage" 0 216004) ("SystemODESolver" 0 215982) ("SymmetricPolynomial" 0 215936) ("SymmetricGroupCombinatoricFunctions" 0 215887) ("SymmetricFunctions" 0 215865) ("SymbolTable" 0 215586) ("Symbol" 0 207513) ("Switch" 0 207450) ("SupFractionFactorizer" 0 207435) ("SuchThat" 0 207355) ("SubSpaceComponentProperty" 0 207261) ("SubSpace" 0 207235) ("SubResultantPackage" 0 207173) ("StringAggregate&" 0 NIL) ("String" 0 196029) ("StreamTranscendentalFunctionsNonCommutative" 0 195993) ("StreamTranscendentalFunctions" 0 195780) ("StreamTaylorSeriesOperations" 0 195351) ("StreamInfiniteProduct" 0 195285) ("StreamFunctions3" 0 195092) ("StreamFunctions2" 0 194589) ("StreamFunctions1" 0 194551) ("StreamAggregate&" 0 NIL) ("Stream" 0 192703) ("StorageEfficientMatrixOperations" 0 192692) ("Stack" 0 192654) ("SquareMatrixCategory&" 0 NIL) ("SquareMatrix" 0 192521) ("SquareFreeRegularTriangularSetGcdPackage" 0 192394) ("SquareFreeRegularTriangularSet" 0 192297) ("SquareFreeRegularSetDecompositionPackage" 0 192262) ("SquareFreeQuasiComponentPackage" 0 192085) ("SplittingTree" 0 192058) ("SplittingNode" 0 192015) ("SparseUnivariateTaylorSeries" 0 191949) ("SparseUnivariateSkewPolynomial" 0 191883) ("SparseUnivariatePolynomialFunctions2" 0 191369) ("SparseUnivariatePolynomialExpressions" 0 191335) ("SparseUnivariatePolynomial" 0 184696) ("SparseUnivariateLaurentSeries" 0 184662) ("SparseMultivariateTaylorSeries" 0 184645) ("SparseMultivariatePolynomial" 0 183413) ("SortedCache" 0 183384) ("SmithNormalForm" 0 183352) ("SingletonAsOrderedSet" 0 182655) ("SingleInteger" 0 175089) ("SimpleAlgebraicExtension" 0 174958) ("SetCategory&" 0 NIL) ("SetAggregate&" 0 NIL) ("Set" 0 174550) ("SequentialDifferentialVariable" 0 174513) ("SemiGroup&" 0 NIL) ("SegmentFunctions2" 0 174398) ("SegmentBindingFunctions2" 0 174356) ("SegmentBinding" 0 173989) ("Segment" 0 172925) ("ScriptFormulaFormat" 0 172900) ("SExpressionOf" 0 172884) ("SExpression" 0 172655) ("RoutinesTable" 0 172064) ("RootsFindingPackage" 0 171928) ("Ring&" 0 NIL) ("RightOpenIntervalRootCharacterization" 0 171912) ("RewriteRule" 0 171867) ("RetractableTo&" 0 NIL) ("RetractSolvePackage" 0 171841) ("Result" 0 170770) ("RepeatedSquaring" 0 170529) ("RepeatedDoubling" 0 170346) ("RegularTriangularSetGcdPackage" 0 170288) ("RegularTriangularSetCategory&" 0 NIL) ("RegularTriangularSet" 0 170271) ("RegularSetDecompositionPackage" 0 170246) ("RegularChain" 0 170191) ("Reference" 0 169808) ("ReductionOfOrder" 0 169775) ("ReduceLODE" 0 169753) ("RecursivePolynomialCategory&" 0 NIL) ("RecursiveAggregate&" 0 NIL) ("RecurrenceOperator" 0 169743) ("RectangularMatrixCategory&" 0 NIL) ("RealZeroPackage" 0 169663) ("RealSolvePackage" 0 169635) ("RealRootCharacterizationCategory&" 0 NIL) ("RealPolynomialUtilitiesPackage" 0 169593) ("RealNumberSystem&" 0 NIL) ("RealClosure" 0 169561) ("RealClosedField&" 0 NIL) ("RationalRicDE" 0 169471) ("RationalLODE" 0 169332) ("RationalIntegration" 0 169211) ("RationalFunctionSign" 0 169153) ("RationalFunctionIntegration" 0 169119) ("RationalFunctionFactor" 0 169086) ("RationalFunction" 0 169038) ("RationalFactorize" 0 168808) ("RandomNumberSource" 0 168728) ("RadixExpansion" 0 168666) ("RadicalSolvePackage" 0 168644) ("RadicalCategory&" 0 NIL) ("QuotientFieldCategoryFunctions2" 0 168621) ("QuotientFieldCategory&" 0 NIL) ("Queue" 0 168609) ("QueryEquation" 0 168596) ("QuaternionCategory&" 0 NIL) ("Quaternion" 0 168583) ("QuasiComponentPackage" 0 168469) ("QuasiAlgebraicSet" 0 168446) ("QuadraticForm" 0 168426) ("PushVariables" 0 168399) ("PureAlgebraicIntegration" 0 168322) ("PseudoRemainderSequence" 0 168237) ("PseudoLinearNormalForm" 0 168217) ("PseudoAlgebraicClosureOfRationalNumber" 0 168100) ("PseudoAlgebraicClosureOfFiniteField" 0 167829) ("ProjectiveSpace" 0 167809) ("ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField" 0 167696) ("ProjectivePlane" 0 167591) ("ProjectiveAlgebraicSetPackage" 0 167498) ("Product" 0 167457) ("PrintPackage" 0 167431) ("PrimitiveRatRicDE" 0 167413) ("PrimitiveRatDE" 0 167360) ("PrimitiveElement" 0 167326) ("PrimitiveArray" 0 166597) ("PrimeField" 0 166504) ("PrecomputedAssociatedEquations" 0 166480) ("PowerSeriesLimitPackage" 0 166388) ("PowerSeriesCategory&" 0 NIL) ("PositiveInteger" 0 156711) ("PolynomialSquareFree" 0 156687) ("PolynomialSolveByFormulas" 0 156663) ("PolynomialSetUtilitiesPackage" 0 156266) ("PolynomialSetCategory&" 0 NIL) ("PolynomialRoots" 0 156163) ("PolynomialRing" 0 155995) ("PolynomialPackageForCurve" 0 155898) ("PolynomialNumberTheoryFunctions" 0 155844) ("PolynomialInterpolationAlgorithms" 0 155816) ("PolynomialIdeals" 0 155765) ("PolynomialGcdPackage" 0 155689) ("PolynomialFunctions2" 0 155493) ("PolynomialFactorizationExplicit&" 0 NIL) ("PolynomialFactorizationByRecursionUnivariate" 0 155430) ("PolynomialFactorizationByRecursion" 0 155406) ("PolynomialDecomposition" 0 155376) ("PolynomialCategoryQuotientFunctions" 0 154977) ("PolynomialCategoryLifting" 0 154342) ("PolynomialCategory&" 0 NIL) ("Polynomial" 0 151972) ("PolyGroebner" 0 151926) ("PolToPol" 0 151889) ("PointsOfFiniteOrderTools" 0 151835) ("PointsOfFiniteOrder" 0 151812) ("PointPackage" 0 151671) ("Point" 0 151235) ("PoincareBirkhoffWittLyndonBasis" 0 151198) ("PlotTools" 0 151183) ("Plot3D" 0 151116) ("Plot" 0 150979) ("Plcs" 0 150920) ("PlaneAlgebraicCurvePlot" 0 150876) ("PlacesOverPseudoAlgebraicClosureOfFiniteField" 0 150824) ("Places" 0 150787) ("PiCoercions" 0 150765) ("Pi" 0 150729) ("PermutationGroup" 0 150700) ("Permutation" 0 150605) ("PatternMatchTools" 0 150542) ("PatternMatchSymbol" 0 150531) ("PatternMatchResultFunctions2" 0 150484) ("PatternMatchResult" 0 149066) ("PatternMatchQuotientFieldCategory" 0 149039) ("PatternMatchPushDown" 0 148918) ("PatternMatchPolynomialCategory" 0 148881) ("PatternMatchListResult" 0 148836) ("PatternMatchListAggregate" 0 148819) ("PatternMatchKernel" 0 148776) ("PatternMatchIntegration" 0 148657) ("PatternMatchIntegerNumberSystem" 0 148632) ("PatternMatchFunctionSpace" 0 148617) ("PatternFunctions1" 0 148547) ("Pattern" 0 147014) ("PartitionsAndPermutations" 0 146914) ("Partition" 0 146797) ("PartialDifferentialRing&" 0 NIL) ("ParametrizationPackage" 0 146678) ("ParametricSurface" 0 146578) ("ParametricSpaceCurve" 0 146475) ("ParametricPlaneCurve" 0 146372) ("ParadoxicalCombinatorsForStreams" 0 146171) ("Palette" 0 145969) ("PackageForPoly" 0 145662) ("PAdicRationalConstructor" 0 145620) ("PAdicInteger" 0 145602) ("OutputPackage" 0 145232) ("OutputForm" 0 135530) ("OrderlyDifferentialVariable" 0 135424) ("OrderlyDifferentialPolynomial" 0 135391) ("OrderedVariableList" 0 134838) ("OrderedSet&" 0 NIL) ("OrderedRing&" 0 NIL) ("OrderedFreeMonoid" 0 134686) ("OrderedCompletionFunctions2" 0 134615) ("OrderedCompletion" 0 133832) ("OrdSetInts" 0 133798) ("OpenMathPackage" 0 133772) ("OpenMathErrorKind" 0 133754) ("OpenMathEncoding" 0 133576) ("OpenMathDevice" 0 133394) ("OpenMathConnection" 0 133368) ("OnePointCompletionFunctions2" 0 133335) ("OnePointCompletion" 0 132522) ("OneDimensionalArrayAggregate&" 0 NIL) ("OneDimensionalArray" 0 132453) ("OctonionCategory&" 0 NIL) ("ODETools" 0 132405) ("ODEIntensityFunctionsTable" 0 132342) ("ODEIntegration" 0 132233) ("NumericalPDEProblem" 0 132190) ("NumericalOptimizationProblem" 0 132134) ("NumericalODEProblem" 0 132090) ("NumericalIntegrationProblem" 0 132027) ("NumericTubePlot" 0 131981) ("NumericRealEigenPackage" 0 131960) ("Numeric" 0 131921) ("NumberTheoreticPolynomialFunctions" 0 131891) ("NumberFormats" 0 131861) ("NormalizationPackage" 0 131688) ("NoneFunctions1" 0 131653) ("None" 0 131352) ("NonNegativeInteger" 0 115695) ("NonLinearSolvePackage" 0 115677) ("NonLinearFirstOrderODESolver" 0 115645) ("NonAssociativeRng&" 0 NIL) ("NonAssociativeRing&" 0 NIL) ("NonAssociativeAlgebra&" 0 NIL) ("NewtonPolygon" 0 115627) ("NewtonInterpolation" 0 115617) ("NewSparseUnivariatePolynomialFunctions2" 0 115581) ("NewSparseUnivariatePolynomial" 0 115503) ("NewSparseMultivariatePolynomial" 0 115391) ("NeitherSparseOrDensePowerSeries" 0 115304) ("NagPartialDifferentialEquationsPackage" 0 115285) ("NagOrdinaryDifferentialEquationsPackage" 0 115215) ("NagOptimisationPackage" 0 115059) ("NagIntegrationPackage" 0 114887) ("NagEigenPackage" 0 114866) ("NPCoef" 0 114842) ("NAGLinkSupportPackage" 0 114430) ("MyUnivariatePolynomial" 0 114413) ("MyExpression" 0 114383) ("MultivariateSquareFree" 0 114319) ("MultivariateLifting" 0 114231) ("MultivariateFactorize" 0 113898) ("Multiset" 0 113839) ("MultipleMap" 0 113764) ("MultiVariableCalculusFunctions" 0 113670) ("MultFiniteFactorize" 0 113596) ("MoreSystemCommands" 0 113517) ("MonomialExtensionTools" 0 113398) ("MonoidRing" 0 113373) ("Monoid&" 0 NIL) ("MonogenicAlgebra&" 0 NIL) ("MonadWithUnit&" 0 NIL) ("Monad&" 0 NIL) ("MoebiusTransform" 0 113351) ("ModuleOperator" 0 113338) ("ModuleMonomial" 0 113310) ("Module&" 0 NIL) ("ModularRing" 0 113270) ("ModularHermitianRowReduction" 0 113065) ("ModularDistinctDegreeFactorizer" 0 113008) ("ModMonic" 0 112898) ("MeshCreationRoutinesForThreeDimensions" 0 112852) ("MergeThing" 0 112839) ("MatrixLinearAlgebraFunctions" 0 112812) ("MatrixCommonDenominator" 0 112702) ("MatrixCategoryFunctions2" 0 112321) ("MatrixCategory&" 0 NIL) ("Matrix" 0 107437) ("MappingPackageInternalHacks3" 0 107417) ("MappingPackageInternalHacks2" 0 107397) ("MappingPackageInternalHacks1" 0 107377) ("MappingPackage1" 0 107283) ("MakeUnaryCompiledFunction" 0 107223) ("MakeFunction" 0 107164) ("MakeFloatCompiledFunction" 0 107100) ("MakeBinaryCompiledFunction" 0 107052) ("Magma" 0 107021) ("MachineInteger" 0 106987) ("MachineFloat" 0 106918) ("MRationalFactorize" 0 106754) ("MPolyCatRationalFunctionFactorizer" 0 106644) ("MPolyCatPolyFactorizer" 0 106607) ("MPolyCatFunctions3" 0 106594) ("MPolyCatFunctions2" 0 106507) ("LyndonWord" 0 106420) ("Logic&" 0 NIL) ("Localize" 0 106403) ("LocalParametrizationOfSimplePointPackage" 0 106310) ("LocalAlgebra" 0 106297) ("ListToMap" 0 106246) ("ListMultiDictionary" 0 106214) ("ListMonoidOps" 0 106162) ("ListFunctions2" 0 105743) ("ListAggregate&" 0 NIL) ("List" 0 88343) ("LiouvillianFunction" 0 88302) ("LinesOpPack" 0 88237) ("LinearSystemPolynomialPackage" 0 88214) ("LinearSystemMatrixPackage" 0 87880) ("LinearSystemFromPowerSeriesPackage" 0 87852) ("LinearPolynomialEquationByFractions" 0 87731) ("LinearOrdinaryDifferentialOperatorsOps" 0 87692) ("LinearOrdinaryDifferentialOperatorFactorizer" 0 87659) ("LinearOrdinaryDifferentialOperatorCategory&" 0 NIL) ("LinearOrdinaryDifferentialOperator2" 0 87626) ("LinearOrdinaryDifferentialOperator1" 0 87462) ("LinearOrdinaryDifferentialOperator" 0 87384) ("LinearDependence" 0 87356) ("LinearAggregate&" 0 NIL) ("LinGroebnerPackage" 0 87319) ("LiePolynomial" 0 87282) ("LieAlgebra&" 0 NIL) ("LexTriangularPackage" 0 87250) ("LeftAlgebra&" 0 NIL) ("LeadingCoefDetermination" 0 87210) ("LazyStreamAggregate&" 0 NIL) ("LaurentPolynomial" 0 87139) ("Kovacic" 0 87106) ("KeyedDictionary&" 0 NIL) ("KeyedAccessFile" 0 87094) ("KernelFunctions2" 0 87079) ("Kernel" 0 85230) ("IrredPolyOverFiniteField" 0 85190) ("Interval" 0 85143) ("IntersectionDivisorPackage" 0 85099) ("InterpolateFormsPackage" 0 85055) ("InternalRationalUnivariateRepresentationPackage" 0 84981) ("InternalPrintPackage" 0 84873) ("InterfaceGroebnerPackage" 0 84826) ("IntegrationTools" 0 84517) ("IntegrationResultToFunction" 0 84422) ("IntegrationResultRFToFunction" 0 84382) ("IntegrationResultFunctions2" 0 84183) ("IntegrationResult" 0 83811) ("IntegrationFunctionsTable" 0 83756) ("IntegralDomain&" 0 NIL) ("IntegralBasisTools" 0 83627) ("IntegralBasisPolynomialTools" 0 83587) ("IntegerSolveLinearPolynomialEquation" 0 83575) ("IntegerRoots" 0 83390) ("IntegerRetractions" 0 83358) ("IntegerPrimesPackage" 0 82926) ("IntegerNumberTheoryFunctions" 0 82825) ("IntegerNumberSystem&" 0 NIL) ("IntegerMod" 0 82805) ("IntegerLinearDependence" 0 82766) ("IntegerFactorizationPackage" 0 82642) ("IntegerCombinatoricFunctions" 0 82426) ("IntegerBits" 0 82395) ("Integer" 0 66785) ("InputFormFunctions1" 0 66766) ("InputForm" 0 64540) ("InnerTrigonometricManipulations" 0 64412) ("InnerTaylorSeries" 0 64322) ("InnerTable" 0 64312) ("InnerSparseUnivariatePowerSeries" 0 64215) ("InnerPrimeField" 0 64181) ("InnerPolySum" 0 64157) ("InnerPolySign" 0 64074) ("InnerPAdicInteger" 0 64034) ("InnerNumericFloatSolvePackage" 0 63937) ("InnerNumericEigenPackage" 0 63880) ("InnerNormalBasisFieldFunctions" 0 63832) ("InnerMultFact" 0 63786) ("InnerMatrixQuotientFieldFunctions" 0 63753) ("InnerMatrixLinearAlgebraFunctions" 0 63684) ("InnerIndexedTwoDimensionalArray" 0 63606) ("InnerFreeAbelianMonoid" 0 63565) ("InnerEvalable&" 0 NIL) ("InnerCommonDenominator" 0 63319) ("InnerAlgebraicNumber" 0 63299) ("InnerAlgFactor" 0 63230) ("InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField" 0 63178) ("InfinitlyClosePoint" 0 63104) ("InfiniteTuple" 0 63050) ("InfClsPt" 0 63013) ("IndexedVector" 0 62986) ("IndexedString" 0 62975) ("IndexedOneDimensionalArray" 0 62906) ("IndexedList" 0 62897) ("IndexedFlexibleArray" 0 62810) ("IndexedExponents" 0 62534) ("IndexedDirectProductOrderedAbelianMonoidSup" 0 62513) ("IndexedDirectProductOrderedAbelianMonoid" 0 62465) ("IndexedDirectProductObject" 0 62427) ("IndexedDirectProductAbelianMonoid" 0 62347) ("IndexedDirectProductAbelianGroup" 0 62332) ("IndexedBits" 0 62323) ("IndexedAggregate&" 0 NIL) ("IdealDecompositionPackage" 0 62300) ("HyperbolicFunctionCategory&" 0 NIL) ("HomogeneousDistributedMultivariatePolynomial" 0 62231) ("HomogeneousDirectProduct" 0 62150) ("HomogeneousAggregate&" 0 NIL) ("HeuGcd" 0 62138) ("HashTable" 0 62082) ("HallBasis" 0 62061) ("GuessOptionFunctions0" 0 62051) ("GuessOption" 0 62017) ("GuessFiniteFunctions" 0 62001) ("Guess" 0 61901) ("Group&" 0 NIL) ("GroebnerPackage" 0 61672) ("GroebnerInternalPackage" 0 61545) ("GrayCode" 0 61531) ("GraphicsDefaults" 0 61431) ("GraphImage" 0 61343) ("GradedModule&" 0 NIL) ("GradedAlgebra&" 0 NIL) ("GosperSummationMethod" 0 61300) ("GenusZeroIntegration" 0 61271) ("GeneralizedMultivariateFactorize" 0 61199) ("GeneralTriangularSet" 0 61140) ("GeneralSparseTable" 0 61124) ("GeneralPolynomialSet" 0 60933) ("GeneralPolynomialGcdPackage" 0 60909) ("GeneralPackageForAlgebraicFunctionField" 0 60822) ("GeneralHenselPackage" 0 60736) ("GeneralDistributedMultivariatePolynomial" 0 60651) ("GenUFactorize" 0 60599) ("GenExEuclid" 0 60425) ("GcdDomain&" 0 NIL) ("GaloisGroupUtilities" 0 60387) ("GaloisGroupPolynomialUtilities" 0 60361) ("GaloisGroupFactorizer" 0 60313) ("GaloisGroupFactorizationUtilities" 0 60270) ("FunctionalSpecialFunction" 0 60255) ("FunctionSpaceUnivariatePolynomialFactor" 0 60156) ("FunctionSpaceToUnivariatePowerSeries" 0 60116) ("FunctionSpacePrimitiveElement" 0 60039) ("FunctionSpaceIntegration" 0 59801) ("FunctionSpaceFunctions2" 0 59717) ("FunctionSpaceComplexIntegration" 0 59688) ("FunctionSpaceAttachPredicates" 0 59641) ("FunctionSpaceAssertions" 0 59574) ("FunctionSpace&" 0 NIL) ("FunctionFieldCategoryFunctions2" 0 59546) ("FunctionFieldCategory&" 0 NIL) ("FullyRetractableTo&" 0 NIL) ("FullyLinearlyExplicitRingOver&" 0 NIL) ("FullyEvalableOver&" 0 NIL) ("FreeMonoid" 0 59524) ("FreeModule1" 0 59448) ("FreeModule" 0 59343) ("FreeGroup" 0 59313) ("FreeAbelianGroup" 0 59294) ("FramedNonAssociativeAlgebra&" 0 NIL) ("FramedModule" 0 59276) ("FramedAlgebra&" 0 NIL) ("FractionalIdealFunctions2" 0 59248) ("FractionalIdeal" 0 59080) ("FractionFreeFastGaussianFractions" 0 59070) ("FractionFreeFastGaussian" 0 59024) ("Fraction" 0 51206) ("FourierComponent" 0 51188) ("FortranType" 0 50898) ("FortranScalarType" 0 50618) ("FortranPackage" 0 50408) ("FortranOutputStackPackage" 0 50163) ("FortranExpression" 0 49998) ("FortranCode" 0 49731) ("FloatingRealPackage" 0 49710) ("FloatingPointSystem&" 0 NIL) ("Float" 0 47856) ("FlexibleArray" 0 47831) ("FiniteSetAggregate&" 0 NIL) ("FiniteRankNonAssociativeAlgebra&" 0 NIL) ("FiniteRankAlgebra&" 0 NIL) ("FiniteLinearAggregateSort" 0 47797) ("FiniteLinearAggregateFunctions2" 0 47618) ("FiniteLinearAggregate&" 0 NIL) ("FiniteFieldSquareFreeDecomposition" 0 47564) ("FiniteFieldSolveLinearPolynomialEquation" 0 47533) ("FiniteFieldPolynomialPackage" 0 47331) ("FiniteFieldNormalBasisExtensionByPolynomial" 0 47270) ("FiniteFieldFunctions" 0 47117) ("FiniteFieldFactorizationWithSizeParseBySideEffect" 0 47055) ("FiniteFieldExtensionByPolynomial" 0 46970) ("FiniteFieldExtension" 0 46949) ("FiniteFieldCyclicGroupExtensionByPolynomial" 0 46888) ("FiniteFieldCategory&" 0 NIL) ("FiniteDivisorCategory&" 0 NIL) ("FiniteDivisor" 0 46752) ("FiniteAlgebraicExtensionField&" 0 NIL) ("FiniteAbelianMonoidRingFunctions2" 0 46714) ("FiniteAbelianMonoidRing&" 0 NIL) ("FileName" 0 46333) ("File" 0 46279) ("FieldOfPrimeCharacteristic&" 0 NIL) ("Field&" 0 NIL) ("FactorisationOverPseudoAlgebraicClosureOfRationalNumber" 0 46170) ("FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber" 0 46119) ("FactoringUtilities" 0 46031) ("FactoredFunctions2" 0 45836) ("FactoredFunctions" 0 45767) ("FactoredFunctionUtilities" 0 45652) ("Factored" 0 41197) ("ExtensionField&" 0 NIL) ("ExtensibleLinearAggregate&" 0 NIL) ("ExtAlgBasis" 0 41168) ("ExpressionSpaceFunctions2" 0 41070) ("ExpressionSpace&" 0 NIL) ("ExpressionSolve" 0 41047) ("ExpressionFunctions2" 0 40670) ("Expression" 0 38859) ("ExponentialOfUnivariatePuiseuxSeries" 0 38744) ("ExponentialExpansion" 0 38704) ("ExpertSystemToolsPackage2" 0 38666) ("ExpertSystemToolsPackage1" 0 38645) ("ExpertSystemToolsPackage" 0 38154) ("ExpertSystemContinuityPackage" 0 38116) ("Exit" 0 37846) ("Evalable&" 0 NIL) ("EuclideanModularRing" 0 37826) ("EuclideanGroebnerBasisPackage" 0 37796) ("EuclideanDomain&" 0 NIL) ("ErrorFunctions" 0 37588) ("Equation" 0 34284) ("EltableAggregate&" 0 NIL) ("ElementaryRischDESystem" 0 34258) ("ElementaryRischDE" 0 34232) ("ElementaryIntegration" 0 34169) ("ElementaryFunctionsUnivariatePuiseuxSeries" 0 34129) ("ElementaryFunctionsUnivariateLaurentSeries" 0 34058) ("ElementaryFunctionStructurePackage" 0 33728) ("ElementaryFunctionSign" 0 33366) ("ElementaryFunctionODESolver" 0 33333) ("ElementaryFunctionCategory&" 0 NIL) ("ElementaryFunction" 0 33318) ("EigenPackage" 0 33294) ("DrawOptionFunctions1" 0 33269) ("DrawOptionFunctions0" 0 33065) ("DrawOption" 0 32893) ("DoubleResultantPackage" 0 32870) ("DoubleFloatVector" 0 32848) ("DoubleFloatSpecialFunctions" 0 32832) ("DoubleFloat" 0 30700) ("Divisor" 0 30477) ("DivisionRing&" 0 NIL) ("DistributedMultivariatePolynomial" 0 30072) ("DistinctDegreeFactorize" 0 29753) ("DisplayPackage" 0 29727) ("DiscreteLogarithmPackage" 0 29702) ("DirectProductCategory&" 0 NIL) ("DirectProduct" 0 29140) ("DifferentialVariableCategory&" 0 NIL) ("DifferentialSparseMultivariatePolynomial" 0 29030) ("DifferentialRing&" 0 NIL) ("DifferentialPolynomialCategory&" 0 NIL) ("DifferentialExtension&" 0 NIL) ("DictionaryOperations&" 0 NIL) ("Dictionary&" 0 NIL) ("DesingTreePackage" 0 28957) ("DesingTree" 0 28870) ("DegreeReductionPackage" 0 28846) ("DefiniteIntegrationTools" 0 28766) ("Database" 0 28746) ("DataList" 0 28733) ("CyclotomicPolynomialPackage" 0 28685) ("CyclicStreamTools" 0 28651) ("CoordinateSystems" 0 28609) ("ContinuedFraction" 0 28494) ("ConstantLODE" 0 28461) ("ComplexRootPackage" 0 28402) ("ComplexPatternMatch" 0 28381) ("ComplexPattern" 0 28360) ("ComplexIntegerSolveLinearPolynomialEquation" 0 28339) ("ComplexFunctions2" 0 28307) ("ComplexFactorization" 0 28239) ("ComplexDoubleFloatVector" 0 28210) ("ComplexCategory&" 0 NIL) ("Complex" 0 27624) ("CommuteUnivariatePolynomialCategory" 0 27477) ("Commutator" 0 27456) ("CommonOperators" 0 27303) ("CommonDenominator" 0 27169) ("CombinatorialFunction" 0 27154) ("Color" 0 27055) ("Collection&" 0 NIL) ("CoerceVectorMatrixPackage" 0 26991) ("ChineseRemainderToolsForIntegralBases" 0 26951) ("CharacteristicPolynomialInMonogenicalAlgebra" 0 26929) ("CharacterClass" 0 26856) ("Character" 0 26534) ("ChangeOfVariable" 0 26434) ("CartesianTensor" 0 26404) ("CardinalNumber" 0 25687) ("BrillhartTests" 0 25661) ("BoundIntegerRoots" 0 25627) ("Boolean" 0 7548) ("BlowUpPackage" 0 7526) ("Bits" 0 7499) ("BitAggregate&" 0 NIL) ("BinaryTreeCategory&" 0 NIL) ("BinaryTree" 0 7438) ("BinaryRecursiveAggregate&" 0 NIL) ("BasicType&" 0 NIL) ("BasicOperatorFunctions1" 0 7245) ("BasicOperator" 0 5838) ("BasicFunctions" 0 5804) ("BalancedPAdicInteger" 0 5778) ("BalancedFactorisation" 0 5739) ("BagAggregate&" 0 NIL) ("Automorphism" 0 5559) ("AttributeButtons" 0 5285) ("AssociationList" 0 5133) ("AssociatedLieAlgebra" 0 5113) ("Asp9" 0 5018) ("Asp80" 0 4974) ("Asp8" 0 4879) ("Asp78" 0 4835) ("Asp77" 0 4791) ("Asp74" 0 4731) ("Asp73" 0 4671) ("Asp7" 0 4559) ("Asp6" 0 4533) ("Asp55" 0 4489) ("Asp50" 0 4445) ("Asp49" 0 4384) ("Asp42" 0 4340) ("Asp41" 0 4296) ("Asp4" 0 4236) ("Asp35" 0 4210) ("Asp34" 0 4174) ("Asp33" 0 4130) ("Asp31" 0 4069) ("Asp30" 0 4033) ("Asp29" 0 4013) ("Asp28" 0 3959) ("Asp27" 0 3939) ("Asp24" 0 3895) ("Asp20" 0 3851) ("Asp19" 0 3807) ("Asp12" 0 3763) ("Asp10" 0 3719) ("Asp1" 0 3533) ("ArcTrigonometricFunctionCategory&" 0 NIL) ("ApplyUnivariateSkewPolynomial" 0 3493) ("ApplyRules" 0 3437) ("AnyFunctions1" 0 2370) ("Any" 0 1020) ("AntiSymm" 0 1002) ("AnnaNumericalOptimizationPackage" 0 981) ("AnnaNumericalIntegrationPackage" 0 952) ("AlgebraicallyClosedFunctionSpace&" 0 NIL) ("AlgebraicallyClosedField&" 0 NIL) ("AlgebraicNumber" 0 779) ("AlgebraicManipulations" 0 493) ("AlgebraicIntegration" 0 467) ("AlgebraicHermiteIntegration" 0 444) ("AlgebraicFunction" 0 429) ("AlgebraGivenByStructuralConstants" 0 396) ("Algebra&" 0 NIL) ("AlgFactor" 0 289) ("Aggregate&" 0 NIL) ("AffineSpace" 0 273) ("AffinePlane" 0 88) ("AffineAlgebraicSetComputeWithResultant" 0 54) ("AffineAlgebraicSetComputeWithGroebnerBasis" 0 20) ("AbelianSemiGroup&" 0 NIL) ("AbelianMonoidRing&" 0 NIL) ("AbelianMonoid&" 0 NIL) ("AbelianGroup&" 0 NIL))
\ No newline at end of file
+(("e04ucfAnnaType" 0 234983) ("e04nafAnnaType" 0 234946) ("e04mbfAnnaType" 0 234909) ("e04jafAnnaType" 0 234872) ("e04gcfAnnaType" 0 234835) ("e04fdfAnnaType" 0 234798) ("e04dgfAnnaType" 0 234761) ("e04AgentsPackage" 0 234622) ("d03eefAnnaType" 0 234579) ("d03AgentsPackage" 0 234560) ("d02ejfAnnaType" 0 234516) ("d02cjfAnnaType" 0 234472) ("d02bhfAnnaType" 0 234428) ("d02bbfAnnaType" 0 234384) ("d02AgentsPackage" 0 234314) ("d01gbfAnnaType" 0 234278) ("d01fcfAnnaType" 0 234242) ("d01asfAnnaType" 0 234206) ("d01aqfAnnaType" 0 234170) ("d01apfAnnaType" 0 234134) ("d01anfAnnaType" 0 234098) ("d01amfAnnaType" 0 234062) ("d01alfAnnaType" 0 234026) ("d01akfAnnaType" 0 233990) ("d01ajfAnnaType" 0 233954) ("d01WeightsPackage" 0 233901) ("d01TransformFunctionType" 0 233865) ("d01AgentsPackage" 0 233612) ("XRecursivePolynomial" 0 233563) ("XPolynomialRing" 0 233536) ("XPBWPolynomial" 0 233516) ("XDistributedPolynomial" 0 233426) ("WildFunctionFieldIntegralBasis" 0 233386) ("WeightedPolynomials" 0 233354) ("Void" 0 229038) ("ViewportPackage" 0 228950) ("ViewDefaultsPackage" 0 228738) ("VectorSpace&" 0 NIL) ("VectorFunctions2" 0 228429) ("VectorCategory&" 0 NIL) ("Vector" 0 223313) ("Variable" 0 222938) ("UserDefinedPartialOrdering" 0 222876) ("UniversalSegmentFunctions2" 0 222842) ("UniversalSegment" 0 221999) ("UnivariateTaylorSeriesFunctions2" 0 221961) ("UnivariateTaylorSeriesCategory&" 0 NIL) ("UnivariateTaylorSeriesCZero" 0 221832) ("UnivariateTaylorSeries" 0 221671) ("UnivariateSkewPolynomialCategoryOps" 0 221636) ("UnivariateSkewPolynomialCategory&" 0 NIL) ("UnivariatePuiseuxSeriesWithExponentialSingularity" 0 221573) ("UnivariatePuiseuxSeriesConstructorCategory&" 0 NIL) ("UnivariatePuiseuxSeriesConstructor" 0 221513) ("UnivariatePuiseuxSeries" 0 221292) ("UnivariatePowerSeriesCategory&" 0 NIL) ("UnivariatePolynomialSquareFree" 0 221173) ("UnivariatePolynomialDivisionPackage" 0 221128) ("UnivariatePolynomialDecompositionPackage" 0 221102) ("UnivariatePolynomialCommonDenominator" 0 220889) ("UnivariatePolynomialCategoryFunctions2" 0 219765) ("UnivariatePolynomialCategory&" 0 NIL) ("UnivariatePolynomial" 0 219456) ("UnivariateLaurentSeriesFunctions2" 0 219418) ("UnivariateLaurentSeriesConstructorCategory&" 0 NIL) ("UnivariateLaurentSeriesConstructor" 0 219390) ("UnivariateLaurentSeries" 0 219290) ("UnivariateFormalPowerSeriesFunctions" 0 219280) ("UnivariateFormalPowerSeries" 0 219192) ("UniqueFactorizationDomain&" 0 NIL) ("UnaryRecursiveAggregate&" 0 NIL) ("TwoFactorize" 0 219139) ("TwoDimensionalViewport" 0 218966) ("TwoDimensionalPlotClipping" 0 218920) ("TwoDimensionalArrayCategory&" 0 NIL) ("TwoDimensionalArray" 0 218904) ("TubePlotTools" 0 218863) ("TubePlot" 0 218778) ("TrigonometricManipulations" 0 218593) ("TrigonometricFunctionCategory&" 0 NIL) ("TriangularSetCategory&" 0 NIL) ("TriangularMatrixOperations" 0 218403) ("Tree" 0 218361) ("TranscendentalRischDESystem" 0 218333) ("TranscendentalRischDE" 0 218289) ("TranscendentalManipulations" 0 218173) ("TranscendentalIntegration" 0 218105) ("TranscendentalHermiteIntegration" 0 218075) ("TranscendentalFunctionCategory&" 0 NIL) ("TransSolvePackageService" 0 218053) ("TopLevelDrawFunctionsForCompiledFunctions" 0 218027) ("TopLevelDrawFunctions" 0 218015) ("ToolsForSign" 0 217908) ("ThreeSpace" 0 217656) ("ThreeDimensionalViewport" 0 217529) ("ThreeDimensionalMatrix" 0 217486) ("TheSymbolTable" 0 217436) ("TextFile" 0 217395) ("TexFormat" 0 217380) ("TemplateUtilities" 0 217360) ("TaylorSolve" 0 217340) ("TaylorSeries" 0 217313) ("TangentExpansions" 0 217274) ("TabulatedComputationPackage" 0 217138) ("Tableau" 0 217118) ("TableAggregate&" 0 NIL) ("Table" 0 216488) ("SystemSolvePackage" 0 216383) ("SystemODESolver" 0 216361) ("SymmetricPolynomial" 0 216315) ("SymmetricGroupCombinatoricFunctions" 0 216266) ("SymmetricFunctions" 0 216244) ("SymbolTable" 0 215965) ("Symbol" 0 207862) ("Switch" 0 207799) ("SupFractionFactorizer" 0 207784) ("SuchThat" 0 207704) ("SubSpaceComponentProperty" 0 207610) ("SubSpace" 0 207584) ("SubResultantPackage" 0 207522) ("StringAggregate&" 0 NIL) ("String" 0 196336) ("StreamTranscendentalFunctionsNonCommutative" 0 196300) ("StreamTranscendentalFunctions" 0 196087) ("StreamTaylorSeriesOperations" 0 195658) ("StreamInfiniteProduct" 0 195592) ("StreamFunctions3" 0 195399) ("StreamFunctions2" 0 194896) ("StreamFunctions1" 0 194858) ("StreamAggregate&" 0 NIL) ("Stream" 0 192995) ("StorageEfficientMatrixOperations" 0 192984) ("Stack" 0 192946) ("SquareMatrixCategory&" 0 NIL) ("SquareMatrix" 0 192813) ("SquareFreeRegularTriangularSetGcdPackage" 0 192686) ("SquareFreeRegularTriangularSet" 0 192589) ("SquareFreeRegularSetDecompositionPackage" 0 192554) ("SquareFreeQuasiComponentPackage" 0 192377) ("SplittingTree" 0 192350) ("SplittingNode" 0 192307) ("SparseUnivariateTaylorSeries" 0 192241) ("SparseUnivariateSkewPolynomial" 0 192175) ("SparseUnivariatePolynomialFunctions2" 0 191661) ("SparseUnivariatePolynomialExpressions" 0 191627) ("SparseUnivariatePolynomial" 0 184988) ("SparseUnivariateLaurentSeries" 0 184954) ("SparseMultivariateTaylorSeries" 0 184937) ("SparseMultivariatePolynomial" 0 183705) ("SortedCache" 0 183676) ("SmithNormalForm" 0 183644) ("SingletonAsOrderedSet" 0 182947) ("SingleInteger" 0 175339) ("SimpleAlgebraicExtension" 0 175208) ("SetCategory&" 0 NIL) ("SetAggregate&" 0 NIL) ("Set" 0 174770) ("SequentialDifferentialVariable" 0 174733) ("SemiGroup&" 0 NIL) ("SegmentFunctions2" 0 174618) ("SegmentBindingFunctions2" 0 174576) ("SegmentBinding" 0 174209) ("Segment" 0 173145) ("ScriptFormulaFormat" 0 173120) ("SExpressionOf" 0 173104) ("SExpression" 0 172875) ("RoutinesTable" 0 172284) ("RootsFindingPackage" 0 172148) ("Ring&" 0 NIL) ("RightOpenIntervalRootCharacterization" 0 172132) ("RewriteRule" 0 172087) ("RetractableTo&" 0 NIL) ("RetractSolvePackage" 0 172061) ("Result" 0 170990) ("RepeatedSquaring" 0 170749) ("RepeatedDoubling" 0 170566) ("RegularTriangularSetGcdPackage" 0 170508) ("RegularTriangularSetCategory&" 0 NIL) ("RegularTriangularSet" 0 170491) ("RegularSetDecompositionPackage" 0 170466) ("RegularChain" 0 170411) ("Reference" 0 170028) ("ReductionOfOrder" 0 169995) ("ReduceLODE" 0 169973) ("RecursivePolynomialCategory&" 0 NIL) ("RecursiveAggregate&" 0 NIL) ("RecurrenceOperator" 0 169963) ("RectangularMatrixCategory&" 0 NIL) ("RealZeroPackage" 0 169883) ("RealSolvePackage" 0 169855) ("RealRootCharacterizationCategory&" 0 NIL) ("RealPolynomialUtilitiesPackage" 0 169813) ("RealNumberSystem&" 0 NIL) ("RealClosure" 0 169781) ("RealClosedField&" 0 NIL) ("RationalRicDE" 0 169691) ("RationalLODE" 0 169552) ("RationalIntegration" 0 169431) ("RationalFunctionSign" 0 169373) ("RationalFunctionIntegration" 0 169339) ("RationalFunctionFactor" 0 169306) ("RationalFunction" 0 169258) ("RationalFactorize" 0 169028) ("RandomNumberSource" 0 168948) ("RadixExpansion" 0 168886) ("RadicalSolvePackage" 0 168864) ("RadicalCategory&" 0 NIL) ("QuotientFieldCategoryFunctions2" 0 168841) ("QuotientFieldCategory&" 0 NIL) ("Queue" 0 168829) ("QueryEquation" 0 168816) ("QuaternionCategory&" 0 NIL) ("Quaternion" 0 168803) ("QuasiComponentPackage" 0 168689) ("QuasiAlgebraicSet" 0 168666) ("QuadraticForm" 0 168646) ("PushVariables" 0 168619) ("PureAlgebraicIntegration" 0 168542) ("PseudoRemainderSequence" 0 168457) ("PseudoLinearNormalForm" 0 168437) ("PseudoAlgebraicClosureOfRationalNumber" 0 168320) ("PseudoAlgebraicClosureOfFiniteField" 0 168049) ("ProjectiveSpace" 0 168029) ("ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField" 0 167916) ("ProjectivePlane" 0 167811) ("ProjectiveAlgebraicSetPackage" 0 167718) ("Product" 0 167677) ("PrintPackage" 0 167651) ("PrimitiveRatRicDE" 0 167633) ("PrimitiveRatDE" 0 167580) ("PrimitiveElement" 0 167546) ("PrimitiveArray" 0 166817) ("PrimeField" 0 166724) ("PrecomputedAssociatedEquations" 0 166700) ("PowerSeriesLimitPackage" 0 166608) ("PowerSeriesCategory&" 0 NIL) ("PositiveInteger" 0 156907) ("PolynomialSquareFree" 0 156883) ("PolynomialSolveByFormulas" 0 156859) ("PolynomialSetUtilitiesPackage" 0 156462) ("PolynomialSetCategory&" 0 NIL) ("PolynomialRoots" 0 156359) ("PolynomialRing" 0 156191) ("PolynomialPackageForCurve" 0 156094) ("PolynomialNumberTheoryFunctions" 0 156040) ("PolynomialInterpolationAlgorithms" 0 156012) ("PolynomialIdeals" 0 155961) ("PolynomialGcdPackage" 0 155885) ("PolynomialFunctions2" 0 155689) ("PolynomialFactorizationExplicit&" 0 NIL) ("PolynomialFactorizationByRecursionUnivariate" 0 155626) ("PolynomialFactorizationByRecursion" 0 155602) ("PolynomialDecomposition" 0 155572) ("PolynomialCategoryQuotientFunctions" 0 155173) ("PolynomialCategoryLifting" 0 154538) ("PolynomialCategory&" 0 NIL) ("Polynomial" 0 152168) ("PolyGroebner" 0 152122) ("PolToPol" 0 152085) ("PointsOfFiniteOrderTools" 0 152031) ("PointsOfFiniteOrder" 0 152008) ("PointPackage" 0 151867) ("Point" 0 151431) ("PoincareBirkhoffWittLyndonBasis" 0 151394) ("PlotTools" 0 151379) ("Plot3D" 0 151312) ("Plot" 0 151175) ("Plcs" 0 151116) ("PlaneAlgebraicCurvePlot" 0 151072) ("PlacesOverPseudoAlgebraicClosureOfFiniteField" 0 151020) ("Places" 0 150983) ("PiCoercions" 0 150961) ("Pi" 0 150925) ("PermutationGroup" 0 150896) ("Permutation" 0 150801) ("PatternMatchTools" 0 150738) ("PatternMatchSymbol" 0 150727) ("PatternMatchResultFunctions2" 0 150680) ("PatternMatchResult" 0 149262) ("PatternMatchQuotientFieldCategory" 0 149235) ("PatternMatchPushDown" 0 149114) ("PatternMatchPolynomialCategory" 0 149077) ("PatternMatchListResult" 0 149032) ("PatternMatchListAggregate" 0 149015) ("PatternMatchKernel" 0 148972) ("PatternMatchIntegration" 0 148853) ("PatternMatchIntegerNumberSystem" 0 148828) ("PatternMatchFunctionSpace" 0 148813) ("PatternFunctions1" 0 148743) ("Pattern" 0 147210) ("PartitionsAndPermutations" 0 147110) ("Partition" 0 146993) ("PartialDifferentialRing&" 0 NIL) ("ParametrizationPackage" 0 146874) ("ParametricSurface" 0 146774) ("ParametricSpaceCurve" 0 146671) ("ParametricPlaneCurve" 0 146568) ("ParadoxicalCombinatorsForStreams" 0 146367) ("Palette" 0 146165) ("PackageForPoly" 0 145858) ("PAdicRationalConstructor" 0 145816) ("PAdicInteger" 0 145798) ("OutputPackage" 0 145428) ("OutputForm" 0 135684) ("OrderlyDifferentialVariable" 0 135578) ("OrderlyDifferentialPolynomial" 0 135545) ("OrderedVariableList" 0 134992) ("OrderedSet&" 0 NIL) ("OrderedRing&" 0 NIL) ("OrderedFreeMonoid" 0 134840) ("OrderedCompletionFunctions2" 0 134769) ("OrderedCompletion" 0 133986) ("OrdSetInts" 0 133952) ("OpenMathPackage" 0 133926) ("OpenMathErrorKind" 0 133908) ("OpenMathEncoding" 0 133730) ("OpenMathDevice" 0 133548) ("OpenMathConnection" 0 133522) ("OnePointCompletionFunctions2" 0 133489) ("OnePointCompletion" 0 132676) ("OneDimensionalArrayAggregate&" 0 NIL) ("OneDimensionalArray" 0 132607) ("OctonionCategory&" 0 NIL) ("ODETools" 0 132559) ("ODEIntensityFunctionsTable" 0 132496) ("ODEIntegration" 0 132387) ("NumericalPDEProblem" 0 132344) ("NumericalOptimizationProblem" 0 132288) ("NumericalODEProblem" 0 132244) ("NumericalIntegrationProblem" 0 132181) ("NumericTubePlot" 0 132135) ("NumericRealEigenPackage" 0 132114) ("Numeric" 0 132075) ("NumberTheoreticPolynomialFunctions" 0 132045) ("NumberFormats" 0 132015) ("NormalizationPackage" 0 131842) ("NoneFunctions1" 0 131807) ("None" 0 131506) ("NonNegativeInteger" 0 115837) ("NonLinearSolvePackage" 0 115819) ("NonLinearFirstOrderODESolver" 0 115787) ("NonAssociativeRng&" 0 NIL) ("NonAssociativeRing&" 0 NIL) ("NonAssociativeAlgebra&" 0 NIL) ("NewtonPolygon" 0 115769) ("NewtonInterpolation" 0 115759) ("NewSparseUnivariatePolynomialFunctions2" 0 115723) ("NewSparseUnivariatePolynomial" 0 115645) ("NewSparseMultivariatePolynomial" 0 115533) ("NeitherSparseOrDensePowerSeries" 0 115446) ("NagPartialDifferentialEquationsPackage" 0 115427) ("NagOrdinaryDifferentialEquationsPackage" 0 115357) ("NagOptimisationPackage" 0 115201) ("NagIntegrationPackage" 0 115029) ("NagEigenPackage" 0 115008) ("NPCoef" 0 114984) ("NAGLinkSupportPackage" 0 114572) ("MyUnivariatePolynomial" 0 114555) ("MyExpression" 0 114525) ("MultivariateSquareFree" 0 114461) ("MultivariateLifting" 0 114373) ("MultivariateFactorize" 0 114040) ("Multiset" 0 113981) ("MultipleMap" 0 113906) ("MultiVariableCalculusFunctions" 0 113812) ("MultFiniteFactorize" 0 113738) ("MoreSystemCommands" 0 113659) ("MonomialExtensionTools" 0 113540) ("MonoidRing" 0 113515) ("Monoid&" 0 NIL) ("MonogenicAlgebra&" 0 NIL) ("MonadWithUnit&" 0 NIL) ("Monad&" 0 NIL) ("MoebiusTransform" 0 113493) ("ModuleOperator" 0 113480) ("ModuleMonomial" 0 113452) ("Module&" 0 NIL) ("ModularRing" 0 113412) ("ModularHermitianRowReduction" 0 113207) ("ModularDistinctDegreeFactorizer" 0 113150) ("ModMonic" 0 113040) ("MeshCreationRoutinesForThreeDimensions" 0 112994) ("MergeThing" 0 112981) ("MatrixLinearAlgebraFunctions" 0 112954) ("MatrixCommonDenominator" 0 112844) ("MatrixCategoryFunctions2" 0 112463) ("MatrixCategory&" 0 NIL) ("Matrix" 0 107579) ("MappingPackageInternalHacks3" 0 107559) ("MappingPackageInternalHacks2" 0 107539) ("MappingPackageInternalHacks1" 0 107519) ("MappingPackage1" 0 107425) ("MakeUnaryCompiledFunction" 0 107365) ("MakeFunction" 0 107306) ("MakeFloatCompiledFunction" 0 107242) ("MakeBinaryCompiledFunction" 0 107194) ("Magma" 0 107163) ("MachineInteger" 0 107129) ("MachineFloat" 0 107060) ("MRationalFactorize" 0 106896) ("MPolyCatRationalFunctionFactorizer" 0 106786) ("MPolyCatPolyFactorizer" 0 106749) ("MPolyCatFunctions3" 0 106736) ("MPolyCatFunctions2" 0 106649) ("LyndonWord" 0 106562) ("Logic&" 0 NIL) ("Localize" 0 106545) ("LocalParametrizationOfSimplePointPackage" 0 106452) ("LocalAlgebra" 0 106439) ("ListToMap" 0 106388) ("ListMultiDictionary" 0 106356) ("ListMonoidOps" 0 106304) ("ListFunctions2" 0 105885) ("ListAggregate&" 0 NIL) ("List" 0 88398) ("LiouvillianFunction" 0 88357) ("LinesOpPack" 0 88292) ("LinearSystemPolynomialPackage" 0 88269) ("LinearSystemMatrixPackage" 0 87935) ("LinearSystemFromPowerSeriesPackage" 0 87907) ("LinearPolynomialEquationByFractions" 0 87786) ("LinearOrdinaryDifferentialOperatorsOps" 0 87747) ("LinearOrdinaryDifferentialOperatorFactorizer" 0 87714) ("LinearOrdinaryDifferentialOperatorCategory&" 0 NIL) ("LinearOrdinaryDifferentialOperator2" 0 87681) ("LinearOrdinaryDifferentialOperator1" 0 87517) ("LinearOrdinaryDifferentialOperator" 0 87439) ("LinearDependence" 0 87411) ("LinearAggregate&" 0 NIL) ("LinGroebnerPackage" 0 87374) ("LiePolynomial" 0 87337) ("LieAlgebra&" 0 NIL) ("LexTriangularPackage" 0 87305) ("LeftAlgebra&" 0 NIL) ("LeadingCoefDetermination" 0 87265) ("LazyStreamAggregate&" 0 NIL) ("LaurentPolynomial" 0 87194) ("Kovacic" 0 87161) ("KeyedDictionary&" 0 NIL) ("KeyedAccessFile" 0 87149) ("KernelFunctions2" 0 87134) ("Kernel" 0 85285) ("IrredPolyOverFiniteField" 0 85245) ("Interval" 0 85198) ("IntersectionDivisorPackage" 0 85154) ("InterpolateFormsPackage" 0 85110) ("InternalRationalUnivariateRepresentationPackage" 0 85036) ("InternalPrintPackage" 0 84928) ("InterfaceGroebnerPackage" 0 84881) ("IntegrationTools" 0 84572) ("IntegrationResultToFunction" 0 84477) ("IntegrationResultRFToFunction" 0 84437) ("IntegrationResultFunctions2" 0 84238) ("IntegrationResult" 0 83866) ("IntegrationFunctionsTable" 0 83811) ("IntegralDomain&" 0 NIL) ("IntegralBasisTools" 0 83682) ("IntegralBasisPolynomialTools" 0 83642) ("IntegerSolveLinearPolynomialEquation" 0 83630) ("IntegerRoots" 0 83445) ("IntegerRetractions" 0 83413) ("IntegerPrimesPackage" 0 82981) ("IntegerNumberTheoryFunctions" 0 82880) ("IntegerNumberSystem&" 0 NIL) ("IntegerMod" 0 82860) ("IntegerLinearDependence" 0 82821) ("IntegerFactorizationPackage" 0 82697) ("IntegerCombinatoricFunctions" 0 82481) ("IntegerBits" 0 82450) ("Integer" 0 66866) ("InputFormFunctions1" 0 66847) ("InputForm" 0 64609) ("InnerTrigonometricManipulations" 0 64481) ("InnerTaylorSeries" 0 64391) ("InnerTable" 0 64381) ("InnerSparseUnivariatePowerSeries" 0 64284) ("InnerPrimeField" 0 64250) ("InnerPolySum" 0 64226) ("InnerPolySign" 0 64143) ("InnerPAdicInteger" 0 64103) ("InnerNumericFloatSolvePackage" 0 64006) ("InnerNumericEigenPackage" 0 63949) ("InnerNormalBasisFieldFunctions" 0 63901) ("InnerMultFact" 0 63855) ("InnerMatrixQuotientFieldFunctions" 0 63822) ("InnerMatrixLinearAlgebraFunctions" 0 63753) ("InnerIndexedTwoDimensionalArray" 0 63675) ("InnerFreeAbelianMonoid" 0 63634) ("InnerEvalable&" 0 NIL) ("InnerCommonDenominator" 0 63388) ("InnerAlgebraicNumber" 0 63368) ("InnerAlgFactor" 0 63299) ("InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField" 0 63247) ("InfinitlyClosePoint" 0 63173) ("InfiniteTuple" 0 63119) ("InfClsPt" 0 63082) ("IndexedVector" 0 63055) ("IndexedString" 0 63044) ("IndexedOneDimensionalArray" 0 62975) ("IndexedList" 0 62966) ("IndexedFlexibleArray" 0 62879) ("IndexedExponents" 0 62603) ("IndexedDirectProductOrderedAbelianMonoidSup" 0 62582) ("IndexedDirectProductOrderedAbelianMonoid" 0 62534) ("IndexedDirectProductObject" 0 62496) ("IndexedDirectProductAbelianMonoid" 0 62416) ("IndexedDirectProductAbelianGroup" 0 62401) ("IndexedBits" 0 62392) ("IndexedAggregate&" 0 NIL) ("IdealDecompositionPackage" 0 62369) ("HyperbolicFunctionCategory&" 0 NIL) ("HomogeneousDistributedMultivariatePolynomial" 0 62300) ("HomogeneousDirectProduct" 0 62219) ("HomogeneousAggregate&" 0 NIL) ("HeuGcd" 0 62207) ("HashTable" 0 62151) ("HallBasis" 0 62130) ("GuessOptionFunctions0" 0 62120) ("GuessOption" 0 62086) ("GuessFiniteFunctions" 0 62070) ("Guess" 0 61970) ("Group&" 0 NIL) ("GroebnerPackage" 0 61741) ("GroebnerInternalPackage" 0 61614) ("GrayCode" 0 61600) ("GraphicsDefaults" 0 61500) ("GraphImage" 0 61412) ("GradedModule&" 0 NIL) ("GradedAlgebra&" 0 NIL) ("GosperSummationMethod" 0 61369) ("GenusZeroIntegration" 0 61340) ("GeneralizedMultivariateFactorize" 0 61268) ("GeneralTriangularSet" 0 61209) ("GeneralSparseTable" 0 61193) ("GeneralPolynomialSet" 0 61002) ("GeneralPolynomialGcdPackage" 0 60978) ("GeneralPackageForAlgebraicFunctionField" 0 60891) ("GeneralHenselPackage" 0 60805) ("GeneralDistributedMultivariatePolynomial" 0 60720) ("GenUFactorize" 0 60668) ("GenExEuclid" 0 60494) ("GcdDomain&" 0 NIL) ("GaloisGroupUtilities" 0 60456) ("GaloisGroupPolynomialUtilities" 0 60430) ("GaloisGroupFactorizer" 0 60382) ("GaloisGroupFactorizationUtilities" 0 60339) ("FunctionalSpecialFunction" 0 60324) ("FunctionSpaceUnivariatePolynomialFactor" 0 60225) ("FunctionSpaceToUnivariatePowerSeries" 0 60185) ("FunctionSpacePrimitiveElement" 0 60108) ("FunctionSpaceIntegration" 0 59870) ("FunctionSpaceFunctions2" 0 59786) ("FunctionSpaceComplexIntegration" 0 59757) ("FunctionSpaceAttachPredicates" 0 59710) ("FunctionSpaceAssertions" 0 59643) ("FunctionSpace&" 0 NIL) ("FunctionFieldCategoryFunctions2" 0 59615) ("FunctionFieldCategory&" 0 NIL) ("FullyRetractableTo&" 0 NIL) ("FullyLinearlyExplicitRingOver&" 0 NIL) ("FullyEvalableOver&" 0 NIL) ("FreeMonoid" 0 59593) ("FreeModule1" 0 59517) ("FreeModule" 0 59412) ("FreeGroup" 0 59382) ("FreeAbelianGroup" 0 59363) ("FramedNonAssociativeAlgebra&" 0 NIL) ("FramedModule" 0 59345) ("FramedAlgebra&" 0 NIL) ("FractionalIdealFunctions2" 0 59317) ("FractionalIdeal" 0 59149) ("FractionFreeFastGaussianFractions" 0 59139) ("FractionFreeFastGaussian" 0 59093) ("Fraction" 0 51275) ("FourierComponent" 0 51257) ("FortranType" 0 50967) ("FortranScalarType" 0 50687) ("FortranPackage" 0 50477) ("FortranOutputStackPackage" 0 50232) ("FortranExpression" 0 50067) ("FortranCode" 0 49800) ("FloatingRealPackage" 0 49779) ("FloatingPointSystem&" 0 NIL) ("Float" 0 47925) ("FlexibleArray" 0 47900) ("FiniteSetAggregate&" 0 NIL) ("FiniteRankNonAssociativeAlgebra&" 0 NIL) ("FiniteRankAlgebra&" 0 NIL) ("FiniteLinearAggregateSort" 0 47866) ("FiniteLinearAggregateFunctions2" 0 47687) ("FiniteLinearAggregate&" 0 NIL) ("FiniteFieldSquareFreeDecomposition" 0 47633) ("FiniteFieldSolveLinearPolynomialEquation" 0 47602) ("FiniteFieldPolynomialPackage" 0 47400) ("FiniteFieldNormalBasisExtensionByPolynomial" 0 47339) ("FiniteFieldFunctions" 0 47186) ("FiniteFieldFactorizationWithSizeParseBySideEffect" 0 47124) ("FiniteFieldExtensionByPolynomial" 0 47039) ("FiniteFieldExtension" 0 47018) ("FiniteFieldCyclicGroupExtensionByPolynomial" 0 46957) ("FiniteFieldCategory&" 0 NIL) ("FiniteDivisorCategory&" 0 NIL) ("FiniteDivisor" 0 46821) ("FiniteAlgebraicExtensionField&" 0 NIL) ("FiniteAbelianMonoidRingFunctions2" 0 46783) ("FiniteAbelianMonoidRing&" 0 NIL) ("FileName" 0 46402) ("File" 0 46348) ("FieldOfPrimeCharacteristic&" 0 NIL) ("Field&" 0 NIL) ("FactorisationOverPseudoAlgebraicClosureOfRationalNumber" 0 46239) ("FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber" 0 46188) ("FactoringUtilities" 0 46100) ("FactoredFunctions2" 0 45905) ("FactoredFunctions" 0 45836) ("FactoredFunctionUtilities" 0 45721) ("Factored" 0 41266) ("ExtensionField&" 0 NIL) ("ExtensibleLinearAggregate&" 0 NIL) ("ExtAlgBasis" 0 41237) ("ExpressionSpaceFunctions2" 0 41139) ("ExpressionSpace&" 0 NIL) ("ExpressionSolve" 0 41116) ("ExpressionFunctions2" 0 40739) ("Expression" 0 38928) ("ExponentialOfUnivariatePuiseuxSeries" 0 38813) ("ExponentialExpansion" 0 38773) ("ExpertSystemToolsPackage2" 0 38735) ("ExpertSystemToolsPackage1" 0 38714) ("ExpertSystemToolsPackage" 0 38223) ("ExpertSystemContinuityPackage" 0 38185) ("Exit" 0 37915) ("Evalable&" 0 NIL) ("EuclideanModularRing" 0 37895) ("EuclideanGroebnerBasisPackage" 0 37865) ("EuclideanDomain&" 0 NIL) ("ErrorFunctions" 0 37657) ("Equation" 0 34341) ("EltableAggregate&" 0 NIL) ("ElementaryRischDESystem" 0 34315) ("ElementaryRischDE" 0 34289) ("ElementaryIntegration" 0 34226) ("ElementaryFunctionsUnivariatePuiseuxSeries" 0 34186) ("ElementaryFunctionsUnivariateLaurentSeries" 0 34115) ("ElementaryFunctionStructurePackage" 0 33785) ("ElementaryFunctionSign" 0 33423) ("ElementaryFunctionODESolver" 0 33390) ("ElementaryFunctionCategory&" 0 NIL) ("ElementaryFunction" 0 33375) ("EigenPackage" 0 33351) ("DrawOptionFunctions1" 0 33326) ("DrawOptionFunctions0" 0 33122) ("DrawOption" 0 32950) ("DoubleResultantPackage" 0 32927) ("DoubleFloatVector" 0 32905) ("DoubleFloatSpecialFunctions" 0 32889) ("DoubleFloat" 0 30757) ("Divisor" 0 30534) ("DivisionRing&" 0 NIL) ("DistributedMultivariatePolynomial" 0 30129) ("DistinctDegreeFactorize" 0 29810) ("DisplayPackage" 0 29784) ("DiscreteLogarithmPackage" 0 29759) ("DirectProductCategory&" 0 NIL) ("DirectProduct" 0 29197) ("DifferentialVariableCategory&" 0 NIL) ("DifferentialSparseMultivariatePolynomial" 0 29087) ("DifferentialRing&" 0 NIL) ("DifferentialPolynomialCategory&" 0 NIL) ("DifferentialExtension&" 0 NIL) ("DictionaryOperations&" 0 NIL) ("Dictionary&" 0 NIL) ("DesingTreePackage" 0 29014) ("DesingTree" 0 28927) ("DegreeReductionPackage" 0 28903) ("DefiniteIntegrationTools" 0 28823) ("Database" 0 28803) ("DataList" 0 28790) ("CyclotomicPolynomialPackage" 0 28742) ("CyclicStreamTools" 0 28708) ("CoordinateSystems" 0 28666) ("ContinuedFraction" 0 28551) ("ConstantLODE" 0 28518) ("ComplexRootPackage" 0 28459) ("ComplexPatternMatch" 0 28438) ("ComplexPattern" 0 28417) ("ComplexIntegerSolveLinearPolynomialEquation" 0 28396) ("ComplexFunctions2" 0 28364) ("ComplexFactorization" 0 28296) ("ComplexDoubleFloatVector" 0 28267) ("ComplexCategory&" 0 NIL) ("Complex" 0 27681) ("CommuteUnivariatePolynomialCategory" 0 27534) ("Commutator" 0 27513) ("CommonOperators" 0 27360) ("CommonDenominator" 0 27226) ("CombinatorialFunction" 0 27211) ("Color" 0 27112) ("Collection&" 0 NIL) ("CoerceVectorMatrixPackage" 0 27048) ("ChineseRemainderToolsForIntegralBases" 0 27008) ("CharacteristicPolynomialInMonogenicalAlgebra" 0 26986) ("CharacterClass" 0 26913) ("Character" 0 26591) ("ChangeOfVariable" 0 26491) ("CartesianTensor" 0 26461) ("CardinalNumber" 0 25744) ("BrillhartTests" 0 25718) ("BoundIntegerRoots" 0 25684) ("Boolean" 0 7548) ("BlowUpPackage" 0 7526) ("Bits" 0 7499) ("BitAggregate&" 0 NIL) ("BinaryTreeCategory&" 0 NIL) ("BinaryTree" 0 7438) ("BinaryRecursiveAggregate&" 0 NIL) ("BasicType&" 0 NIL) ("BasicOperatorFunctions1" 0 7245) ("BasicOperator" 0 5838) ("BasicFunctions" 0 5804) ("BalancedPAdicInteger" 0 5778) ("BalancedFactorisation" 0 5739) ("BagAggregate&" 0 NIL) ("Automorphism" 0 5559) ("AttributeButtons" 0 5285) ("AssociationList" 0 5133) ("AssociatedLieAlgebra" 0 5113) ("Asp9" 0 5018) ("Asp80" 0 4974) ("Asp8" 0 4879) ("Asp78" 0 4835) ("Asp77" 0 4791) ("Asp74" 0 4731) ("Asp73" 0 4671) ("Asp7" 0 4559) ("Asp6" 0 4533) ("Asp55" 0 4489) ("Asp50" 0 4445) ("Asp49" 0 4384) ("Asp42" 0 4340) ("Asp41" 0 4296) ("Asp4" 0 4236) ("Asp35" 0 4210) ("Asp34" 0 4174) ("Asp33" 0 4130) ("Asp31" 0 4069) ("Asp30" 0 4033) ("Asp29" 0 4013) ("Asp28" 0 3959) ("Asp27" 0 3939) ("Asp24" 0 3895) ("Asp20" 0 3851) ("Asp19" 0 3807) ("Asp12" 0 3763) ("Asp10" 0 3719) ("Asp1" 0 3533) ("ArcTrigonometricFunctionCategory&" 0 NIL) ("ApplyUnivariateSkewPolynomial" 0 3493) ("ApplyRules" 0 3437) ("AnyFunctions1" 0 2370) ("Any" 0 1020) ("AntiSymm" 0 1002) ("AnnaNumericalOptimizationPackage" 0 981) ("AnnaNumericalIntegrationPackage" 0 952) ("AlgebraicallyClosedFunctionSpace&" 0 NIL) ("AlgebraicallyClosedField&" 0 NIL) ("AlgebraicNumber" 0 779) ("AlgebraicManipulations" 0 493) ("AlgebraicIntegration" 0 467) ("AlgebraicHermiteIntegration" 0 444) ("AlgebraicFunction" 0 429) ("AlgebraGivenByStructuralConstants" 0 396) ("Algebra&" 0 NIL) ("AlgFactor" 0 289) ("Aggregate&" 0 NIL) ("AffineSpace" 0 273) ("AffinePlane" 0 88) ("AffineAlgebraicSetComputeWithResultant" 0 54) ("AffineAlgebraicSetComputeWithGroebnerBasis" 0 20) ("AbelianSemiGroup&" 0 NIL) ("AbelianMonoidRing&" 0 NIL) ("AbelianMonoid&" 0 NIL) ("AbelianGroup&" 0 NIL))
\ No newline at end of file
